/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 99;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 34,
  Feature_HasStdExtZicondBit = 35,
  Feature_HasStdExtZihintpauseBit = 22,
  Feature_HasStdExtZimopBit = 33,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZilsdBit = 36,
  Feature_HasStdExtZmmulBit = 23,
  Feature_HasStdExtMBit = 24,
  Feature_HasStdExtABit = 26,
  Feature_HasStdExtZtsoBit = 28,
  Feature_NotHasStdExtZtsoBit = 27,
  Feature_HasStdExtZabhaBit = 31,
  Feature_HasStdExtZacasBit = 30,
  Feature_NoStdExtZacasBit = 29,
  Feature_HasStdExtZalasrBit = 32,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 37,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 43,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 40,
  Feature_NoStdExtZbbBit = 42,
  Feature_HasStdExtZbcBit = 45,
  Feature_HasStdExtZbsBit = 39,
  Feature_HasStdExtZbkbBit = 41,
  Feature_NoStdExtZbkbBit = 96,
  Feature_HasStdExtZbkxBit = 46,
  Feature_HasStdExtZbbOrZbkbBit = 38,
  Feature_HasStdExtZbcOrZbkcBit = 44,
  Feature_HasStdExtZkndBit = 47,
  Feature_HasStdExtZkneBit = 49,
  Feature_HasStdExtZkndOrZkneBit = 48,
  Feature_HasStdExtZknhBit = 50,
  Feature_HasStdExtZksedBit = 51,
  Feature_HasStdExtZkshBit = 52,
  Feature_HasStdExtZvkbBit = 60,
  Feature_HasStdExtZvbbBit = 59,
  Feature_HasStdExtZvbcBit = 64,
  Feature_HasStdExtZvkgBit = 61,
  Feature_HasStdExtZvknedBit = 62,
  Feature_HasStdExtZvknhaBit = 65,
  Feature_HasStdExtZvknhbBit = 66,
  Feature_HasStdExtZvksedBit = 67,
  Feature_HasStdExtZvkshBit = 63,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 55,
  Feature_HasVInstructionsAnyFBit = 54,
  Feature_HasVInstructionsF16MinimalBit = 57,
  Feature_HasVInstructionsF16Bit = 53,
  Feature_HasVInstructionsF64Bit = 58,
  Feature_HasVInstructionsFullMultiplyBit = 56,
  Feature_HasVendorXVentanaCondOpsBit = 68,
  Feature_HasVendorXTHeadBaBit = 69,
  Feature_HasVendorXTHeadBbBit = 70,
  Feature_HasVendorXTHeadBsBit = 71,
  Feature_HasVendorXTHeadCondMovBit = 72,
  Feature_HasVendorXTHeadFMemIdxBit = 77,
  Feature_HasVendorXTHeadMacBit = 73,
  Feature_HasVendorXTHeadMemIdxBit = 76,
  Feature_HasVendorXTHeadMemPairBit = 75,
  Feature_HasVendorXTHeadVdotBit = 74,
  Feature_HasVendorXSfvcpBit = 78,
  Feature_HasVendorXSfvqmaccdodBit = 79,
  Feature_HasVendorXSfvqmaccqoqBit = 80,
  Feature_HasVendorXSfvfnrclipxfqfBit = 81,
  Feature_HasVendorXCVbitmanipBit = 83,
  Feature_HasVendorXCVmacBit = 86,
  Feature_HasVendorXCVmemBit = 82,
  Feature_HasVendorXCValuBit = 84,
  Feature_HasVendorXCVbiBit = 85,
  Feature_UseCCMovInsnBit = 94,
  Feature_HasVendorXqciaBit = 90,
  Feature_HasVendorXqcibiBit = 91,
  Feature_HasVendorXqcibmBit = 92,
  Feature_HasVendorXqciintBit = 93,
  Feature_HasVendorXqciliaBit = 87,
  Feature_HasVendorXqciloBit = 88,
  Feature_HasVendorXqcislsBit = 89,
  Feature_HasVendorXAndesPerfBit = 95,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 25,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 98,
  Feature_HwMode0Bit = 97,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZihintpause())
    Features.set(Feature_HasStdExtZihintpauseBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZilsd())
    Features.set(Feature_HasStdExtZilsdBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqcibi())
    Features.set(Feature_HasVendorXqcibiBit);
  if (Subtarget->hasVendorXqcibm())
    Features.set(Feature_HasVendorXqcibmBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXAndesPerf())
    Features.set(Feature_HasVendorXAndesPerfBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZihintpause_HwMode0,
  GIFBS_HasStdExtZihintpause_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_HwMode0,
  GIFBS_HasVendorXAndesPerf_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode0,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9831,
  GICXXPred_MI_Predicate_anonymous_9833,
  GICXXPred_MI_Predicate_anonymous_9921,
  GICXXPred_MI_Predicate_anonymous_9935,
  GICXXPred_MI_Predicate_anonymous_9939,
  GICXXPred_MI_Predicate_anonymous_9941,
  GICXXPred_MI_Predicate_anonymous_9943,
  GICXXPred_MI_Predicate_anonymous_9945,
  GICXXPred_MI_Predicate_anonymous_9948,
  GICXXPred_MI_Predicate_anonymous_9950,
  GICXXPred_MI_Predicate_anonymous_9963,
  GICXXPred_MI_Predicate_anonymous_9976,
  GICXXPred_MI_Predicate_anonymous_11172,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9831: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9833: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9921: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9935: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9939: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9941: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9943: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9945: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9948: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9950: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9963: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9976: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11172: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(333), /*)*//*default:*//*Label 125*/ GIMT_Encode4(2444441),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1130),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(61071),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(80304),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(107358),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(110092),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(112826),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(115605), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(118339),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(127821),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(140442), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(155349), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(155410), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(155471), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(155562), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(155929),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(156127),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(156325),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(156905),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(157115),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(157313),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(157352),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(157391),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(167673),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(169643), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(171133), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(179337),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(184223),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(187133), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(190043),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(192953),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(193865),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(196775),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(199685),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(202595),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(205505),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(208415), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     294 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(211325), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     314 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(211543),
     /*     318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2201034), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     330 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2202602), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     354 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2205723),
     /*     358 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2209198),
     /*     362 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2210241),
     /*     366 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2213928),
     /*     370 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2222524),
     /*     374 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2225555), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     386 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2228494),
     /*     390 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2231434),
     /*     394 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2234344),
     /*     398 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2261007), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     410 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2268469), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     454 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2272861),
     /*     458 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2275595),
     /*     462 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2278329),
     /*     466 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2281182),
     /*     470 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2284035),
     /*     474 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2286888),
     /*     478 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2289741),
     /*     482 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2289799), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     518 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2289857),
     /*     522 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2292285),
     /*     526 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2294713),
     /*     530 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2297141), GIMT_Encode4(0),
     /*     538 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2313786), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     586 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2316214),
     /*     590 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2318185),
     /*     594 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2318638),
     /*     598 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2320174),
     /*     602 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2325060),
     /*     606 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2329946),
     /*     610 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2335232), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     622 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2340518),
     /*     626 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2342489), GIMT_Encode4(0),
     /*     634 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2348551),
     /*     638 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2348741),
     /*     642 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2350826), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     654 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2352911),
     /*     658 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2353037),
     /*     662 */ /*TargetOpcode::G_FMINIMUMNUM*//*Label 78*/ GIMT_Encode4(2353163),
     /*     666 */ /*TargetOpcode::G_FMAXIMUMNUM*//*Label 79*/ GIMT_Encode4(2355248), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     702 */ /*TargetOpcode::G_SMIN*//*Label 80*/ GIMT_Encode4(2357333),
     /*     706 */ /*TargetOpcode::G_SMAX*//*Label 81*/ GIMT_Encode4(2360109),
     /*     710 */ /*TargetOpcode::G_UMIN*//*Label 82*/ GIMT_Encode4(2362885),
     /*     714 */ /*TargetOpcode::G_UMAX*//*Label 83*/ GIMT_Encode4(2365661),
     /*     718 */ /*TargetOpcode::G_ABS*//*Label 84*/ GIMT_Encode4(2368437),
     /*     722 */ /*TargetOpcode::G_LROUND*//*Label 85*/ GIMT_Encode4(2368595),
     /*     726 */ /*TargetOpcode::G_LLROUND*//*Label 86*/ GIMT_Encode4(2369175),
     /*     730 */ /*TargetOpcode::G_BR*//*Label 87*/ GIMT_Encode4(2369385), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTTZ*//*Label 88*/ GIMT_Encode4(2369401), GIMT_Encode4(0),
     /*     782 */ /*TargetOpcode::G_CTLZ*//*Label 89*/ GIMT_Encode4(2371921), GIMT_Encode4(0),
     /*     790 */ /*TargetOpcode::G_CTPOP*//*Label 90*/ GIMT_Encode4(2374579),
     /*     794 */ /*TargetOpcode::G_BSWAP*//*Label 91*/ GIMT_Encode4(2377130),
     /*     798 */ /*TargetOpcode::G_BITREVERSE*//*Label 92*/ GIMT_Encode4(2379665),
     /*     802 */ /*TargetOpcode::G_FCEIL*//*Label 93*/ GIMT_Encode4(2382159), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     850 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(2382357),
     /*     854 */ /*TargetOpcode::G_FFLOOR*//*Label 95*/ GIMT_Encode4(2384533),
     /*     858 */ /*TargetOpcode::G_FRINT*//*Label 96*/ GIMT_Encode4(2384731),
     /*     862 */ /*TargetOpcode::G_FNEARBYINT*//*Label 97*/ GIMT_Encode4(2384929), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     890 */ /*TargetOpcode::G_STRICT_FADD*//*Label 98*/ GIMT_Encode4(2385127),
     /*     894 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 99*/ GIMT_Encode4(2387555),
     /*     898 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 100*/ GIMT_Encode4(2389983),
     /*     902 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 101*/ GIMT_Encode4(2392411), GIMT_Encode4(0),
     /*     910 */ /*TargetOpcode::G_STRICT_FMA*//*Label 102*/ GIMT_Encode4(2394839),
     /*     914 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 103*/ GIMT_Encode4(2411484), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     950 */ /*TargetOpcode::G_TRAP*//*Label 104*/ GIMT_Encode4(2413660),
     /*     954 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 105*/ GIMT_Encode4(2413673), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1050 */ /*RISCV::G_CLZW*//*Label 106*/ GIMT_Encode4(2413686),
     /*    1054 */ /*RISCV::G_CTZW*//*Label 107*/ GIMT_Encode4(2413781),
     /*    1058 */ /*RISCV::G_DIVUW*//*Label 108*/ GIMT_Encode4(2413811),
     /*    1062 */ /*RISCV::G_DIVW*//*Label 109*/ GIMT_Encode4(2413848),
     /*    1066 */ /*RISCV::G_FCLASS*//*Label 110*/ GIMT_Encode4(2413885),
     /*    1070 */ /*RISCV::G_FCVT_WU_RV64*//*Label 111*/ GIMT_Encode4(2414245),
     /*    1074 */ /*RISCV::G_FCVT_W_RV64*//*Label 112*/ GIMT_Encode4(2414443),
     /*    1078 */ /*RISCV::G_READ_VLENB*//*Label 113*/ GIMT_Encode4(2414641),
     /*    1082 */ /*RISCV::G_REMUW*//*Label 114*/ GIMT_Encode4(2414701),
     /*    1086 */ /*RISCV::G_ROLW*//*Label 115*/ GIMT_Encode4(2414738),
     /*    1090 */ /*RISCV::G_RORW*//*Label 116*/ GIMT_Encode4(2414863),
     /*    1094 */ /*RISCV::G_SLLW*//*Label 117*/ GIMT_Encode4(2414984), GIMT_Encode4(0),
     /*    1102 */ /*RISCV::G_SRAW*//*Label 118*/ GIMT_Encode4(2415031),
     /*    1106 */ /*RISCV::G_SRLW*//*Label 119*/ GIMT_Encode4(2415078),
     /*    1110 */ /*RISCV::G_VMCLR_VL*//*Label 120*/ GIMT_Encode4(2415125),
     /*    1114 */ /*RISCV::G_VMSET_VL*//*Label 121*/ GIMT_Encode4(2415774),
     /*    1118 */ /*RISCV::G_VMV_V_V_VL*//*Label 122*/ GIMT_Encode4(2416423),
     /*    1122 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 123*/ GIMT_Encode4(2420681),
     /*    1126 */ /*RISCV::G_VSLIDEUP_VL*//*Label 124*/ GIMT_Encode4(2432561),
     /*    1130 */ // Label 0: @1130
     /*    1130 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 150*/ GIMT_Encode4(61070),
     /*    1141 */ /*GILLT_s32*//*Label 126*/ GIMT_Encode4(1265),
     /*    1145 */ /*GILLT_s64*//*Label 127*/ GIMT_Encode4(3530), GIMT_Encode4(0),
     /*    1153 */ /*GILLT_nxv1s8*//*Label 128*/ GIMT_Encode4(11430),
     /*    1157 */ /*GILLT_nxv1s16*//*Label 129*/ GIMT_Encode4(11825),
     /*    1161 */ /*GILLT_nxv1s32*//*Label 130*/ GIMT_Encode4(14950),
     /*    1165 */ /*GILLT_nxv1s64*//*Label 131*/ GIMT_Encode4(18075), GIMT_Encode4(0),
     /*    1173 */ /*GILLT_nxv2s8*//*Label 132*/ GIMT_Encode4(21200),
     /*    1177 */ /*GILLT_nxv2s16*//*Label 133*/ GIMT_Encode4(21595),
     /*    1181 */ /*GILLT_nxv2s32*//*Label 134*/ GIMT_Encode4(24720),
     /*    1185 */ /*GILLT_nxv2s64*//*Label 135*/ GIMT_Encode4(27845), GIMT_Encode4(0),
     /*    1193 */ /*GILLT_nxv4s8*//*Label 136*/ GIMT_Encode4(30970),
     /*    1197 */ /*GILLT_nxv4s16*//*Label 137*/ GIMT_Encode4(31365),
     /*    1201 */ /*GILLT_nxv4s32*//*Label 138*/ GIMT_Encode4(34490),
     /*    1205 */ /*GILLT_nxv4s64*//*Label 139*/ GIMT_Encode4(37615), GIMT_Encode4(0),
     /*    1213 */ /*GILLT_nxv8s8*//*Label 140*/ GIMT_Encode4(40740),
     /*    1217 */ /*GILLT_nxv8s16*//*Label 141*/ GIMT_Encode4(41135),
     /*    1221 */ /*GILLT_nxv8s32*//*Label 142*/ GIMT_Encode4(44260),
     /*    1225 */ /*GILLT_nxv8s64*//*Label 143*/ GIMT_Encode4(47385), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv16s8*//*Label 144*/ GIMT_Encode4(50510),
     /*    1237 */ /*GILLT_nxv16s16*//*Label 145*/ GIMT_Encode4(50905),
     /*    1241 */ /*GILLT_nxv16s32*//*Label 146*/ GIMT_Encode4(54030), GIMT_Encode4(0),
     /*    1249 */ /*GILLT_nxv32s8*//*Label 147*/ GIMT_Encode4(57155),
     /*    1253 */ /*GILLT_nxv32s16*//*Label 148*/ GIMT_Encode4(57550), GIMT_Encode4(0),
     /*    1261 */ /*GILLT_nxv64s8*//*Label 149*/ GIMT_Encode4(60675),
     /*    1265 */ // Label 126: @1265
     /*    1265 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3529),
     /*    1270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1276 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1324), // Rule ID 2560 //
     /*    1281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1292 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1311 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1316 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1322 */     GIR_RootConstrainSelectedInstOperands,
     /*    1323 */     // GIR_Coverage, 2560,
     /*    1323 */     GIR_EraseRootFromParent_Done,
     /*    1324 */   // Label 152: @1324
     /*    1324 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1372), // Rule ID 2570 //
     /*    1329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1336 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1340 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1359 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1370 */     GIR_RootConstrainSelectedInstOperands,
     /*    1371 */     // GIR_Coverage, 2570,
     /*    1371 */     GIR_EraseRootFromParent_Done,
     /*    1372 */   // Label 153: @1372
     /*    1372 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1420), // Rule ID 2580 //
     /*    1377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1384 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1388 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1407 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1412 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1418 */     GIR_RootConstrainSelectedInstOperands,
     /*    1419 */     // GIR_Coverage, 2580,
     /*    1419 */     GIR_EraseRootFromParent_Done,
     /*    1420 */   // Label 154: @1420
     /*    1420 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1471), // Rule ID 62524 //
     /*    1425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1432 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1436 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1444 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1455 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1469 */     GIR_RootConstrainSelectedInstOperands,
     /*    1470 */     // GIR_Coverage, 62524,
     /*    1470 */     GIR_EraseRootFromParent_Done,
     /*    1471 */   // Label 155: @1471
     /*    1471 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1522), // Rule ID 62528 //
     /*    1476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1487 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1506 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1520 */     GIR_RootConstrainSelectedInstOperands,
     /*    1521 */     // GIR_Coverage, 62528,
     /*    1521 */     GIR_EraseRootFromParent_Done,
     /*    1522 */   // Label 156: @1522
     /*    1522 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1573), // Rule ID 62532 //
     /*    1527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1534 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1557 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1564 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1571 */     GIR_RootConstrainSelectedInstOperands,
     /*    1572 */     // GIR_Coverage, 62532,
     /*    1572 */     GIR_EraseRootFromParent_Done,
     /*    1573 */   // Label 157: @1573
     /*    1573 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1621), // Rule ID 64992 //
     /*    1578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1585 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    1589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    1593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1608 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:28:x, GPR:{ *:[i32] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    1611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1619 */     GIR_RootConstrainSelectedInstOperands,
     /*    1620 */     // GIR_Coverage, 64992,
     /*    1620 */     GIR_EraseRootFromParent_Done,
     /*    1621 */   // Label 158: @1621
     /*    1621 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1669), // Rule ID 65002 //
     /*    1626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1633 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    1637 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    1641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1656 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:30:x, GPR:{ *:[i32] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    1659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1661 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1667 */     GIR_RootConstrainSelectedInstOperands,
     /*    1668 */     // GIR_Coverage, 65002,
     /*    1668 */     GIR_EraseRootFromParent_Done,
     /*    1669 */   // Label 159: @1669
     /*    1669 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1717), // Rule ID 65012 //
     /*    1674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1681 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    1685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    1689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1704 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:32:x, GPR:{ *:[i32] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    1707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1715 */     GIR_RootConstrainSelectedInstOperands,
     /*    1716 */     // GIR_Coverage, 65012,
     /*    1716 */     GIR_EraseRootFromParent_Done,
     /*    1717 */   // Label 160: @1717
     /*    1717 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1765), // Rule ID 65361 //
     /*    1722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1729 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1737 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1741 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1752 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1757 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1763 */     GIR_RootConstrainSelectedInstOperands,
     /*    1764 */     // GIR_Coverage, 65361,
     /*    1764 */     GIR_EraseRootFromParent_Done,
     /*    1765 */   // Label 161: @1765
     /*    1765 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1813), // Rule ID 65369 //
     /*    1770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1777 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1785 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1789 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1800 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1811 */     GIR_RootConstrainSelectedInstOperands,
     /*    1812 */     // GIR_Coverage, 65369,
     /*    1812 */     GIR_EraseRootFromParent_Done,
     /*    1813 */   // Label 162: @1813
     /*    1813 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1861), // Rule ID 65377 //
     /*    1818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1825 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1833 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1848 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1859 */     GIR_RootConstrainSelectedInstOperands,
     /*    1860 */     // GIR_Coverage, 65377,
     /*    1860 */     GIR_EraseRootFromParent_Done,
     /*    1861 */   // Label 163: @1861
     /*    1861 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(1912), // Rule ID 74193 //
     /*    1866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1873 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1881 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1896 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1910 */     GIR_RootConstrainSelectedInstOperands,
     /*    1911 */     // GIR_Coverage, 74193,
     /*    1911 */     GIR_EraseRootFromParent_Done,
     /*    1912 */   // Label 164: @1912
     /*    1912 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(1963), // Rule ID 74197 //
     /*    1917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1924 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1932 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1947 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1954 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1961 */     GIR_RootConstrainSelectedInstOperands,
     /*    1962 */     // GIR_Coverage, 74197,
     /*    1962 */     GIR_EraseRootFromParent_Done,
     /*    1963 */   // Label 165: @1963
     /*    1963 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2014), // Rule ID 74201 //
     /*    1968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1975 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1983 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1998 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    2009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    2012 */     GIR_RootConstrainSelectedInstOperands,
     /*    2013 */     // GIR_Coverage, 74201,
     /*    2013 */     GIR_EraseRootFromParent_Done,
     /*    2014 */   // Label 166: @2014
     /*    2014 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2062), // Rule ID 74234 //
     /*    2019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2026 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    2030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2034 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    2038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    2049 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:28:y, sh1add_op:{ *:[i32] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2054 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2060 */     GIR_RootConstrainSelectedInstOperands,
     /*    2061 */     // GIR_Coverage, 74234,
     /*    2061 */     GIR_EraseRootFromParent_Done,
     /*    2062 */   // Label 167: @2062
     /*    2062 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2110), // Rule ID 74242 //
     /*    2067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2074 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    2078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2082 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    2086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    2097 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:30:y, sh2add_op:{ *:[i32] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2108 */     GIR_RootConstrainSelectedInstOperands,
     /*    2109 */     // GIR_Coverage, 74242,
     /*    2109 */     GIR_EraseRootFromParent_Done,
     /*    2110 */   // Label 168: @2110
     /*    2110 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2158), // Rule ID 74250 //
     /*    2115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2122 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    2126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2130 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    2134 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    2145 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:32:y, sh3add_op:{ *:[i32] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2156 */     GIR_RootConstrainSelectedInstOperands,
     /*    2157 */     // GIR_Coverage, 74250,
     /*    2157 */     GIR_EraseRootFromParent_Done,
     /*    2158 */   // Label 169: @2158
     /*    2158 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2226), // Rule ID 2554 //
     /*    2163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2170 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    2174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2195 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2199 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    2203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2213 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2224 */     GIR_RootConstrainSelectedInstOperands,
     /*    2225 */     // GIR_Coverage, 2554,
     /*    2225 */     GIR_EraseRootFromParent_Done,
     /*    2226 */   // Label 170: @2226
     /*    2226 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2294), // Rule ID 2564 //
     /*    2231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    2242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2263 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2267 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    2271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2281 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2292 */     GIR_RootConstrainSelectedInstOperands,
     /*    2293 */     // GIR_Coverage, 2564,
     /*    2293 */     GIR_EraseRootFromParent_Done,
     /*    2294 */   // Label 171: @2294
     /*    2294 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2362), // Rule ID 2574 //
     /*    2299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2306 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2349 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2360 */     GIR_RootConstrainSelectedInstOperands,
     /*    2361 */     // GIR_Coverage, 2574,
     /*    2361 */     GIR_EraseRootFromParent_Done,
     /*    2362 */   // Label 172: @2362
     /*    2362 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2430), // Rule ID 64986 //
     /*    2367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    2378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2399 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2403 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    2407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2417 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x, GPR:{ *:[i32] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2428 */     GIR_RootConstrainSelectedInstOperands,
     /*    2429 */     // GIR_Coverage, 64986,
     /*    2429 */     GIR_EraseRootFromParent_Done,
     /*    2430 */   // Label 173: @2430
     /*    2430 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2498), // Rule ID 64996 //
     /*    2435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    2446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2467 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    2475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2485 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x, GPR:{ *:[i32] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2496 */     GIR_RootConstrainSelectedInstOperands,
     /*    2497 */     // GIR_Coverage, 64996,
     /*    2497 */     GIR_EraseRootFromParent_Done,
     /*    2498 */   // Label 174: @2498
     /*    2498 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2566), // Rule ID 65006 //
     /*    2503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2510 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    2514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    2543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2553 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x, GPR:{ *:[i32] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2564 */     GIR_RootConstrainSelectedInstOperands,
     /*    2565 */     // GIR_Coverage, 65006,
     /*    2565 */     GIR_EraseRootFromParent_Done,
     /*    2566 */   // Label 175: @2566
     /*    2566 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2634), // Rule ID 65357 //
     /*    2571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2611 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2621 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2632 */     GIR_RootConstrainSelectedInstOperands,
     /*    2633 */     // GIR_Coverage, 65357,
     /*    2633 */     GIR_EraseRootFromParent_Done,
     /*    2634 */   // Label 176: @2634
     /*    2634 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2702), // Rule ID 65365 //
     /*    2639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2646 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2654 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2689 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2700 */     GIR_RootConstrainSelectedInstOperands,
     /*    2701 */     // GIR_Coverage, 65365,
     /*    2701 */     GIR_EraseRootFromParent_Done,
     /*    2702 */   // Label 177: @2702
     /*    2702 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2770), // Rule ID 65373 //
     /*    2707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2714 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2722 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2747 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2757 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2768 */     GIR_RootConstrainSelectedInstOperands,
     /*    2769 */     // GIR_Coverage, 65373,
     /*    2769 */     GIR_EraseRootFromParent_Done,
     /*    2770 */   // Label 178: @2770
     /*    2770 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2838), // Rule ID 74230 //
     /*    2775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2782 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*    2786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2790 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*    2794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2815 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2819 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2825 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:27:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2836 */     GIR_RootConstrainSelectedInstOperands,
     /*    2837 */     // GIR_Coverage, 74230,
     /*    2837 */     GIR_EraseRootFromParent_Done,
     /*    2838 */   // Label 179: @2838
     /*    2838 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2906), // Rule ID 74238 //
     /*    2843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2850 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*    2854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2858 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*    2862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2883 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2893 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:29:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2904 */     GIR_RootConstrainSelectedInstOperands,
     /*    2905 */     // GIR_Coverage, 74238,
     /*    2905 */     GIR_EraseRootFromParent_Done,
     /*    2906 */   // Label 180: @2906
     /*    2906 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2974), // Rule ID 74246 //
     /*    2911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2918 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*    2922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2926 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*    2930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2951 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2961 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:31:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2972 */     GIR_RootConstrainSelectedInstOperands,
     /*    2973 */     // GIR_Coverage, 74246,
     /*    2973 */     GIR_EraseRootFromParent_Done,
     /*    2974 */   // Label 181: @2974
     /*    2974 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3053), // Rule ID 62518 //
     /*    2979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3019 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3023 */     // MIs[2] Operand 1
     /*    3023 */     // No operand predicates
     /*    3023 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3037 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    3044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3051 */     GIR_RootConstrainSelectedInstOperands,
     /*    3052 */     // GIR_Coverage, 62518,
     /*    3052 */     GIR_EraseRootFromParent_Done,
     /*    3053 */   // Label 182: @3053
     /*    3053 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3132), // Rule ID 74189 //
     /*    3058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    3061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3065 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    3069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    3077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3106 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3110 */     // MIs[2] Operand 1
     /*    3110 */     // No operand predicates
     /*    3110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3116 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3130 */     GIR_RootConstrainSelectedInstOperands,
     /*    3131 */     // GIR_Coverage, 74189,
     /*    3131 */     GIR_EraseRootFromParent_Done,
     /*    3132 */   // Label 183: @3132
     /*    3132 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3181), // Rule ID 115 //
     /*    3137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    3152 */     // MIs[1] Operand 1
     /*    3152 */     // No operand predicates
     /*    3152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    3156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3164 */     // MIs[2] Operand 1
     /*    3164 */     // No operand predicates
     /*    3164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3166 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    3166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3171 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    3176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    3179 */     GIR_RootConstrainSelectedInstOperands,
     /*    3180 */     // GIR_Coverage, 115,
     /*    3180 */     GIR_EraseRootFromParent_Done,
     /*    3181 */   // Label 184: @3181
     /*    3181 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3223), // Rule ID 75 //
     /*    3186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3209 */     // MIs[1] Operand 1
     /*    3209 */     // No operand predicates
     /*    3209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3211 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    3211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3221 */     GIR_RootConstrainSelectedInstOperands,
     /*    3222 */     // GIR_Coverage, 75,
     /*    3222 */     GIR_EraseRootFromParent_Done,
     /*    3223 */   // Label 185: @3223
     /*    3223 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3295), // Rule ID 286 //
     /*    3228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    3251 */     // MIs[1] Operand 1
     /*    3251 */     // No operand predicates
     /*    3251 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9963),
     /*    3255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3257 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9963>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    3257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    3260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    3269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    3273 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    3278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    3280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    3288 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    3293 */     GIR_RootConstrainSelectedInstOperands,
     /*    3294 */     // GIR_Coverage, 286,
     /*    3294 */     GIR_EraseRootFromParent_Done,
     /*    3295 */   // Label 186: @3295
     /*    3295 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3337), // Rule ID 64516 //
     /*    3300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    3323 */     // MIs[1] Operand 1
     /*    3323 */     // No operand predicates
     /*    3323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3325 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    3325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    3328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3335 */     GIR_RootConstrainSelectedInstOperands,
     /*    3336 */     // GIR_Coverage, 64516,
     /*    3336 */     GIR_EraseRootFromParent_Done,
     /*    3337 */   // Label 187: @3337
     /*    3337 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3379), // Rule ID 64520 //
     /*    3342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    3365 */     // MIs[1] Operand 1
     /*    3365 */     // No operand predicates
     /*    3365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3367 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    3367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    3370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3377 */     GIR_RootConstrainSelectedInstOperands,
     /*    3378 */     // GIR_Coverage, 64520,
     /*    3378 */     GIR_EraseRootFromParent_Done,
     /*    3379 */   // Label 188: @3379
     /*    3379 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3440), // Rule ID 74203 //
     /*    3384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3423 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    3430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3438 */     GIR_RootConstrainSelectedInstOperands,
     /*    3439 */     // GIR_Coverage, 74203,
     /*    3439 */     GIR_EraseRootFromParent_Done,
     /*    3440 */   // Label 189: @3440
     /*    3440 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3501), // Rule ID 62585 //
     /*    3445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3484 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    3491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3499 */     GIR_RootConstrainSelectedInstOperands,
     /*    3500 */     // GIR_Coverage, 62585,
     /*    3500 */     GIR_EraseRootFromParent_Done,
     /*    3501 */   // Label 190: @3501
     /*    3501 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(3528), // Rule ID 73 //
     /*    3506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3521 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    3526 */     GIR_RootConstrainSelectedInstOperands,
     /*    3527 */     // GIR_Coverage, 73,
     /*    3527 */     GIR_Done,
     /*    3528 */   // Label 191: @3528
     /*    3528 */   GIM_Reject,
     /*    3529 */ // Label 151: @3529
     /*    3529 */ GIM_Reject,
     /*    3530 */ // Label 127: @3530
     /*    3530 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(11429),
     /*    3535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    3538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    3541 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(3636), // Rule ID 2598 //
     /*    3546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3594 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3598 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3623 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3634 */     GIR_RootConstrainSelectedInstOperands,
     /*    3635 */     // GIR_Coverage, 2598,
     /*    3635 */     GIR_EraseRootFromParent_Done,
     /*    3636 */   // Label 193: @3636
     /*    3636 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(3731), // Rule ID 2602 //
     /*    3641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    3652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3689 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3693 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    3708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3718 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3729 */     GIR_RootConstrainSelectedInstOperands,
     /*    3730 */     // GIR_Coverage, 2602,
     /*    3730 */     GIR_EraseRootFromParent_Done,
     /*    3731 */   // Label 194: @3731
     /*    3731 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(3826), // Rule ID 65040 //
     /*    3736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3743 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:40:x
     /*    3747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3784 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3788 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:40:y
     /*    3803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3813 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x, GPR:{ *:[i64] }:$rs2:$pred:40:y)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    3816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3824 */     GIR_RootConstrainSelectedInstOperands,
     /*    3825 */     // GIR_Coverage, 65040,
     /*    3825 */     GIR_EraseRootFromParent_Done,
     /*    3826 */   // Label 195: @3826
     /*    3826 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(3921), // Rule ID 65044 //
     /*    3831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3838 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:42:x
     /*    3842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3879 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3883 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:42:y
     /*    3898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3902 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3908 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x, GPR:{ *:[i64] }:$rs2:$pred:42:y)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    3911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3919 */     GIR_RootConstrainSelectedInstOperands,
     /*    3920 */     // GIR_Coverage, 65044,
     /*    3920 */     GIR_EraseRootFromParent_Done,
     /*    3921 */   // Label 196: @3921
     /*    3921 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4016), // Rule ID 2593 //
     /*    3926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3933 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3974 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3985 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3989 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4003 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4014 */     GIR_RootConstrainSelectedInstOperands,
     /*    4015 */     // GIR_Coverage, 2593,
     /*    4015 */     GIR_EraseRootFromParent_Done,
     /*    4016 */   // Label 197: @4016
     /*    4016 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4111), // Rule ID 2612 //
     /*    4021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4028 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4069 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4084 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4098 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4109 */     GIR_RootConstrainSelectedInstOperands,
     /*    4110 */     // GIR_Coverage, 2612,
     /*    4110 */     GIR_EraseRootFromParent_Done,
     /*    4111 */   // Label 198: @4111
     /*    4111 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4206), // Rule ID 2617 //
     /*    4116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4123 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4164 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4179 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4193 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4204 */     GIR_RootConstrainSelectedInstOperands,
     /*    4205 */     // GIR_Coverage, 2617,
     /*    4205 */     GIR_EraseRootFromParent_Done,
     /*    4206 */   // Label 199: @4206
     /*    4206 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4301), // Rule ID 65025 //
     /*    4211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4218 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:34:x
     /*    4222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4259 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:34:y
     /*    4278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4288 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x, GPR:{ *:[i64] }:$rs2:$pred:34:y)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4299 */     GIR_RootConstrainSelectedInstOperands,
     /*    4300 */     // GIR_Coverage, 65025,
     /*    4300 */     GIR_EraseRootFromParent_Done,
     /*    4301 */   // Label 200: @4301
     /*    4301 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4396), // Rule ID 65030 //
     /*    4306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4313 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:36:x
     /*    4317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4354 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4365 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4369 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:36:y
     /*    4373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4383 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x, GPR:{ *:[i64] }:$rs2:$pred:36:y)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4394 */     GIR_RootConstrainSelectedInstOperands,
     /*    4395 */     // GIR_Coverage, 65030,
     /*    4395 */     GIR_EraseRootFromParent_Done,
     /*    4396 */   // Label 201: @4396
     /*    4396 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4491), // Rule ID 65035 //
     /*    4401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4408 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:38:x
     /*    4412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4449 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4460 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4464 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:38:y
     /*    4468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4478 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x, GPR:{ *:[i64] }:$rs2:$pred:38:y)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    4481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4489 */     GIR_RootConstrainSelectedInstOperands,
     /*    4490 */     // GIR_Coverage, 65035,
     /*    4490 */     GIR_EraseRootFromParent_Done,
     /*    4491 */   // Label 202: @4491
     /*    4491 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4586), // Rule ID 65385 //
     /*    4496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4503 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    4507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4511 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    4515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4556 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4573 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4584 */     GIR_RootConstrainSelectedInstOperands,
     /*    4585 */     // GIR_Coverage, 65385,
     /*    4585 */     GIR_EraseRootFromParent_Done,
     /*    4586 */   // Label 203: @4586
     /*    4586 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4681), // Rule ID 65389 //
     /*    4591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    4602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4606 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    4610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4638 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4647 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4651 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4668 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4679 */     GIR_RootConstrainSelectedInstOperands,
     /*    4680 */     // GIR_Coverage, 65389,
     /*    4680 */     GIR_EraseRootFromParent_Done,
     /*    4681 */   // Label 204: @4681
     /*    4681 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4776), // Rule ID 74266 //
     /*    4686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:40:y
     /*    4697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4701 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:40:x
     /*    4705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4742 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4746 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4763 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:40:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4774 */     GIR_RootConstrainSelectedInstOperands,
     /*    4775 */     // GIR_Coverage, 74266,
     /*    4775 */     GIR_EraseRootFromParent_Done,
     /*    4776 */   // Label 205: @4776
     /*    4776 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4871), // Rule ID 74270 //
     /*    4781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4788 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:42:y
     /*    4792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:42:x
     /*    4800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4837 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4841 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4858 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:42:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4869 */     GIR_RootConstrainSelectedInstOperands,
     /*    4870 */     // GIR_Coverage, 74270,
     /*    4870 */     GIR_EraseRootFromParent_Done,
     /*    4871 */   // Label 206: @4871
     /*    4871 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4966), // Rule ID 65381 //
     /*    4876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4883 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    4887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4891 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    4895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4932 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4953 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4964 */     GIR_RootConstrainSelectedInstOperands,
     /*    4965 */     // GIR_Coverage, 65381,
     /*    4965 */     GIR_EraseRootFromParent_Done,
     /*    4966 */   // Label 207: @4966
     /*    4966 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5061), // Rule ID 65397 //
     /*    4971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4978 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5027 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5038 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5048 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5059 */     GIR_RootConstrainSelectedInstOperands,
     /*    5060 */     // GIR_Coverage, 65397,
     /*    5060 */     GIR_EraseRootFromParent_Done,
     /*    5061 */   // Label 208: @5061
     /*    5061 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5156), // Rule ID 65401 //
     /*    5066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5122 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5154 */     GIR_RootConstrainSelectedInstOperands,
     /*    5155 */     // GIR_Coverage, 65401,
     /*    5155 */     GIR_EraseRootFromParent_Done,
     /*    5156 */   // Label 209: @5156
     /*    5156 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5251), // Rule ID 74254 //
     /*    5161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5168 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:34:y
     /*    5172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:34:x
     /*    5180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5217 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5238 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:34:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    5241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5249 */     GIR_RootConstrainSelectedInstOperands,
     /*    5250 */     // GIR_Coverage, 74254,
     /*    5250 */     GIR_EraseRootFromParent_Done,
     /*    5251 */   // Label 210: @5251
     /*    5251 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5346), // Rule ID 74258 //
     /*    5256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5263 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:36:y
     /*    5267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:36:x
     /*    5275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5312 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5333 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:36:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    5336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5344 */     GIR_RootConstrainSelectedInstOperands,
     /*    5345 */     // GIR_Coverage, 74258,
     /*    5345 */     GIR_EraseRootFromParent_Done,
     /*    5346 */   // Label 211: @5346
     /*    5346 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5441), // Rule ID 74262 //
     /*    5351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5358 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:38:y
     /*    5362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:38:x
     /*    5370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5407 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5418 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5422 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5428 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:38:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    5431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5439 */     GIR_RootConstrainSelectedInstOperands,
     /*    5440 */     // GIR_Coverage, 74262,
     /*    5440 */     GIR_EraseRootFromParent_Done,
     /*    5441 */   // Label 212: @5441
     /*    5441 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5489), // Rule ID 2559 //
     /*    5446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    5457 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    5461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5476 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5487 */     GIR_RootConstrainSelectedInstOperands,
     /*    5488 */     // GIR_Coverage, 2559,
     /*    5488 */     GIR_EraseRootFromParent_Done,
     /*    5489 */   // Label 213: @5489
     /*    5489 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5537), // Rule ID 2569 //
     /*    5494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    5505 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    5509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5524 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5535 */     GIR_RootConstrainSelectedInstOperands,
     /*    5536 */     // GIR_Coverage, 2569,
     /*    5536 */     GIR_EraseRootFromParent_Done,
     /*    5537 */   // Label 214: @5537
     /*    5537 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5585), // Rule ID 2579 //
     /*    5542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5549 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    5553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    5557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5572 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5583 */     GIR_RootConstrainSelectedInstOperands,
     /*    5584 */     // GIR_Coverage, 2579,
     /*    5584 */     GIR_EraseRootFromParent_Done,
     /*    5585 */   // Label 215: @5585
     /*    5585 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5633), // Rule ID 2596 //
     /*    5590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    5601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    5605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5609 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    5620 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5631 */     GIR_RootConstrainSelectedInstOperands,
     /*    5632 */     // GIR_Coverage, 2596,
     /*    5632 */     GIR_EraseRootFromParent_Done,
     /*    5633 */   // Label 216: @5633
     /*    5633 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5681), // Rule ID 2615 //
     /*    5638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5645 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    5649 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    5653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    5668 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5679 */     GIR_RootConstrainSelectedInstOperands,
     /*    5680 */     // GIR_Coverage, 2615,
     /*    5680 */     GIR_EraseRootFromParent_Done,
     /*    5681 */   // Label 217: @5681
     /*    5681 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5729), // Rule ID 2620 //
     /*    5686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5697 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    5716 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5727 */     GIR_RootConstrainSelectedInstOperands,
     /*    5728 */     // GIR_Coverage, 2620,
     /*    5728 */     GIR_EraseRootFromParent_Done,
     /*    5729 */   // Label 218: @5729
     /*    5729 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5780), // Rule ID 62523 //
     /*    5734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5741 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    5745 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    5749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5764 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    5764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    5778 */     GIR_RootConstrainSelectedInstOperands,
     /*    5779 */     // GIR_Coverage, 62523,
     /*    5779 */     GIR_EraseRootFromParent_Done,
     /*    5780 */   // Label 219: @5780
     /*    5780 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5831), // Rule ID 62527 //
     /*    5785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5792 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    5796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    5800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5804 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5815 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    5815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5822 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    5829 */     GIR_RootConstrainSelectedInstOperands,
     /*    5830 */     // GIR_Coverage, 62527,
     /*    5830 */     GIR_EraseRootFromParent_Done,
     /*    5831 */   // Label 220: @5831
     /*    5831 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5882), // Rule ID 62531 //
     /*    5836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5843 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    5847 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    5851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5866 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    5866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    5880 */     GIR_RootConstrainSelectedInstOperands,
     /*    5881 */     // GIR_Coverage, 62531,
     /*    5881 */     GIR_EraseRootFromParent_Done,
     /*    5882 */   // Label 221: @5882
     /*    5882 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(5930), // Rule ID 64991 //
     /*    5887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    5898 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    5902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5917 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:28:x, GPR:{ *:[i64] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    5920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5928 */     GIR_RootConstrainSelectedInstOperands,
     /*    5929 */     // GIR_Coverage, 64991,
     /*    5929 */     GIR_EraseRootFromParent_Done,
     /*    5930 */   // Label 222: @5930
     /*    5930 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(5978), // Rule ID 65001 //
     /*    5935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    5946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    5950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5965 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:30:x, GPR:{ *:[i64] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    5968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5976 */     GIR_RootConstrainSelectedInstOperands,
     /*    5977 */     // GIR_Coverage, 65001,
     /*    5977 */     GIR_EraseRootFromParent_Done,
     /*    5978 */   // Label 223: @5978
     /*    5978 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6026), // Rule ID 65011 //
     /*    5983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5990 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    5994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    5998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6013 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:32:x, GPR:{ *:[i64] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6024 */     GIR_RootConstrainSelectedInstOperands,
     /*    6025 */     // GIR_Coverage, 65011,
     /*    6025 */     GIR_EraseRootFromParent_Done,
     /*    6026 */   // Label 224: @6026
     /*    6026 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6074), // Rule ID 65028 //
     /*    6031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6038 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:35:x
     /*    6042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:35:y
     /*    6046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6061 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x, GPR:{ *:[i64] }:$rs2:$pred:35:y)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6066 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6072 */     GIR_RootConstrainSelectedInstOperands,
     /*    6073 */     // GIR_Coverage, 65028,
     /*    6073 */     GIR_EraseRootFromParent_Done,
     /*    6074 */   // Label 225: @6074
     /*    6074 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6122), // Rule ID 65033 //
     /*    6079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6086 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:37:x
     /*    6090 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:37:y
     /*    6094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6109 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x, GPR:{ *:[i64] }:$rs2:$pred:37:y)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6120 */     GIR_RootConstrainSelectedInstOperands,
     /*    6121 */     // GIR_Coverage, 65033,
     /*    6121 */     GIR_EraseRootFromParent_Done,
     /*    6122 */   // Label 226: @6122
     /*    6122 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6170), // Rule ID 65038 //
     /*    6127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6134 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:39:x
     /*    6138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:39:y
     /*    6142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6157 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x, GPR:{ *:[i64] }:$rs2:$pred:39:y)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6168 */     GIR_RootConstrainSelectedInstOperands,
     /*    6169 */     // GIR_Coverage, 65038,
     /*    6169 */     GIR_EraseRootFromParent_Done,
     /*    6170 */   // Label 227: @6170
     /*    6170 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6218), // Rule ID 65360 //
     /*    6175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    6186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6190 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    6194 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6205 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6216 */     GIR_RootConstrainSelectedInstOperands,
     /*    6217 */     // GIR_Coverage, 65360,
     /*    6217 */     GIR_EraseRootFromParent_Done,
     /*    6218 */   // Label 228: @6218
     /*    6218 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6266), // Rule ID 65368 //
     /*    6223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6230 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    6234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    6242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6253 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6258 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6264 */     GIR_RootConstrainSelectedInstOperands,
     /*    6265 */     // GIR_Coverage, 65368,
     /*    6265 */     GIR_EraseRootFromParent_Done,
     /*    6266 */   // Label 229: @6266
     /*    6266 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6314), // Rule ID 65376 //
     /*    6271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6278 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    6282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6286 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    6290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6301 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6312 */     GIR_RootConstrainSelectedInstOperands,
     /*    6313 */     // GIR_Coverage, 65376,
     /*    6313 */     GIR_EraseRootFromParent_Done,
     /*    6314 */   // Label 230: @6314
     /*    6314 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6362), // Rule ID 65383 //
     /*    6319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    6330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6334 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    6338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6349 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6360 */     GIR_RootConstrainSelectedInstOperands,
     /*    6361 */     // GIR_Coverage, 65383,
     /*    6361 */     GIR_EraseRootFromParent_Done,
     /*    6362 */   // Label 231: @6362
     /*    6362 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6410), // Rule ID 65399 //
     /*    6367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    6378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6382 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    6386 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6408 */     GIR_RootConstrainSelectedInstOperands,
     /*    6409 */     // GIR_Coverage, 65399,
     /*    6409 */     GIR_EraseRootFromParent_Done,
     /*    6410 */   // Label 232: @6410
     /*    6410 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6458), // Rule ID 65403 //
     /*    6415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    6426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    6434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6456 */     GIR_RootConstrainSelectedInstOperands,
     /*    6457 */     // GIR_Coverage, 65403,
     /*    6457 */     GIR_EraseRootFromParent_Done,
     /*    6458 */   // Label 233: @6458
     /*    6458 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6509), // Rule ID 74192 //
     /*    6463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    6474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    6482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    6493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    6507 */     GIR_RootConstrainSelectedInstOperands,
     /*    6508 */     // GIR_Coverage, 74192,
     /*    6508 */     GIR_EraseRootFromParent_Done,
     /*    6509 */   // Label 234: @6509
     /*    6509 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(6560), // Rule ID 74196 //
     /*    6514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    6525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6529 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    6533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6544 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    6544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6551 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    6558 */     GIR_RootConstrainSelectedInstOperands,
     /*    6559 */     // GIR_Coverage, 74196,
     /*    6559 */     GIR_EraseRootFromParent_Done,
     /*    6560 */   // Label 235: @6560
     /*    6560 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(6611), // Rule ID 74200 //
     /*    6565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6572 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    6576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6580 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    6584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6595 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    6595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    6609 */     GIR_RootConstrainSelectedInstOperands,
     /*    6610 */     // GIR_Coverage, 74200,
     /*    6610 */     GIR_EraseRootFromParent_Done,
     /*    6611 */   // Label 236: @6611
     /*    6611 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(6659), // Rule ID 74233 //
     /*    6616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6623 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    6627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6631 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    6635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6646 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:28:y, sh1add_op:{ *:[i64] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    6649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6657 */     GIR_RootConstrainSelectedInstOperands,
     /*    6658 */     // GIR_Coverage, 74233,
     /*    6658 */     GIR_EraseRootFromParent_Done,
     /*    6659 */   // Label 237: @6659
     /*    6659 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(6707), // Rule ID 74241 //
     /*    6664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6671 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    6675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6679 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    6683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6694 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:30:y, sh2add_op:{ *:[i64] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    6697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 74241,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 238: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(6755), // Rule ID 74249 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    6723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6727 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    6731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6742 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:32:y, sh3add_op:{ *:[i64] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6753 */     GIR_RootConstrainSelectedInstOperands,
     /*    6754 */     // GIR_Coverage, 74249,
     /*    6754 */     GIR_EraseRootFromParent_Done,
     /*    6755 */   // Label 239: @6755
     /*    6755 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(6803), // Rule ID 74256 //
     /*    6760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6767 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:35:y
     /*    6771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6775 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:35:x
     /*    6779 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:35:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6801 */     GIR_RootConstrainSelectedInstOperands,
     /*    6802 */     // GIR_Coverage, 74256,
     /*    6802 */     GIR_EraseRootFromParent_Done,
     /*    6803 */   // Label 240: @6803
     /*    6803 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(6851), // Rule ID 74260 //
     /*    6808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:37:y
     /*    6819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:37:x
     /*    6827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6838 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:37:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6843 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6849 */     GIR_RootConstrainSelectedInstOperands,
     /*    6850 */     // GIR_Coverage, 74260,
     /*    6850 */     GIR_EraseRootFromParent_Done,
     /*    6851 */   // Label 241: @6851
     /*    6851 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(6899), // Rule ID 74264 //
     /*    6856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:39:y
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:39:x
     /*    6875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6886 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:39:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6897 */     GIR_RootConstrainSelectedInstOperands,
     /*    6898 */     // GIR_Coverage, 74264,
     /*    6898 */     GIR_EraseRootFromParent_Done,
     /*    6899 */   // Label 242: @6899
     /*    6899 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(6974), // Rule ID 2590 //
     /*    6904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    6915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    6947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6961 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    6964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6972 */     GIR_RootConstrainSelectedInstOperands,
     /*    6973 */     // GIR_Coverage, 2590,
     /*    6973 */     GIR_EraseRootFromParent_Done,
     /*    6974 */   // Label 243: @6974
     /*    6974 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7069), // Rule ID 2600 //
     /*    6979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    6990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7011 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7022 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    7026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7030 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7036 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7052 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    7060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7067 */     GIR_RootConstrainSelectedInstOperands,
     /*    7068 */     // GIR_Coverage, 2600,
     /*    7068 */     GIR_EraseRootFromParent_Done,
     /*    7069 */   // Label 244: @7069
     /*    7069 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7164), // Rule ID 2604 //
     /*    7074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    7085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7106 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7117 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    7121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7125 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7131 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7147 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    7155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7162 */     GIR_RootConstrainSelectedInstOperands,
     /*    7163 */     // GIR_Coverage, 2604,
     /*    7163 */     GIR_EraseRootFromParent_Done,
     /*    7164 */   // Label 245: @7164
     /*    7164 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7259), // Rule ID 2606 //
     /*    7169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    7180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7201 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7212 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    7216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7226 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7242 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7257 */     GIR_RootConstrainSelectedInstOperands,
     /*    7258 */     // GIR_Coverage, 2606,
     /*    7258 */     GIR_EraseRootFromParent_Done,
     /*    7259 */   // Label 246: @7259
     /*    7259 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7354), // Rule ID 2608 //
     /*    7264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    7275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7296 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    7307 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    7311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7321 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7337 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7352 */     GIR_RootConstrainSelectedInstOperands,
     /*    7353 */     // GIR_Coverage, 2608,
     /*    7353 */     GIR_EraseRootFromParent_Done,
     /*    7354 */   // Label 247: @7354
     /*    7354 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7449), // Rule ID 2622 //
     /*    7359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    7370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    7402 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    7406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7416 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7432 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    7440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7447 */     GIR_RootConstrainSelectedInstOperands,
     /*    7448 */     // GIR_Coverage, 2622,
     /*    7448 */     GIR_EraseRootFromParent_Done,
     /*    7449 */   // Label 248: @7449
     /*    7449 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7544), // Rule ID 2624 //
     /*    7454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7461 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    7465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7486 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    7497 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    7501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7511 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7527 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    7535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7542 */     GIR_RootConstrainSelectedInstOperands,
     /*    7543 */     // GIR_Coverage, 2624,
     /*    7543 */     GIR_EraseRootFromParent_Done,
     /*    7544 */   // Label 249: @7544
     /*    7544 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7639), // Rule ID 2626 //
     /*    7549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    7560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7581 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7592 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    7596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7606 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7622 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    7630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7637 */     GIR_RootConstrainSelectedInstOperands,
     /*    7638 */     // GIR_Coverage, 2626,
     /*    7638 */     GIR_EraseRootFromParent_Done,
     /*    7639 */   // Label 250: @7639
     /*    7639 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7714), // Rule ID 65022 //
     /*    7644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7651 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:33:x
     /*    7655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7676 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    7687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:33:y
     /*    7691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7701 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x, GPR:{ *:[i64] }:$rs2:$pred:33:y)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    7704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7712 */     GIR_RootConstrainSelectedInstOperands,
     /*    7713 */     // GIR_Coverage, 65022,
     /*    7713 */     GIR_EraseRootFromParent_Done,
     /*    7714 */   // Label 251: @7714
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7809), // Rule ID 65042 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7726 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:41:x
     /*    7730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7751 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7762 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:41:y
     /*    7766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7776 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x, GPR:{ *:[i64] }:$rs2:$pred:41:y)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7792 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    7800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7807 */     GIR_RootConstrainSelectedInstOperands,
     /*    7808 */     // GIR_Coverage, 65042,
     /*    7808 */     GIR_EraseRootFromParent_Done,
     /*    7809 */   // Label 252: @7809
     /*    7809 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7904), // Rule ID 65046 //
     /*    7814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7821 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:43:x
     /*    7825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7846 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7857 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:43:y
     /*    7861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7871 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x, GPR:{ *:[i64] }:$rs2:$pred:43:y)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7902 */     GIR_RootConstrainSelectedInstOperands,
     /*    7903 */     // GIR_Coverage, 65046,
     /*    7903 */     GIR_EraseRootFromParent_Done,
     /*    7904 */   // Label 253: @7904
     /*    7904 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7999), // Rule ID 65048 //
     /*    7909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7916 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:44:x
     /*    7920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7941 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7952 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:44:y
     /*    7956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7966 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x, GPR:{ *:[i64] }:$rs2:$pred:44:y)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    7990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7997 */     GIR_RootConstrainSelectedInstOperands,
     /*    7998 */     // GIR_Coverage, 65048,
     /*    7998 */     GIR_EraseRootFromParent_Done,
     /*    7999 */   // Label 254: @7999
     /*    7999 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8094), // Rule ID 65050 //
     /*    8004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8011 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:45:x
     /*    8015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8036 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    8047 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:45:y
     /*    8051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8061 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x, GPR:{ *:[i64] }:$rs2:$pred:45:y)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8092 */     GIR_RootConstrainSelectedInstOperands,
     /*    8093 */     // GIR_Coverage, 65050,
     /*    8093 */     GIR_EraseRootFromParent_Done,
     /*    8094 */   // Label 255: @8094
     /*    8094 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8189), // Rule ID 65052 //
     /*    8099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8106 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:46:x
     /*    8110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8131 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    8142 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:46:y
     /*    8146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8156 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x, GPR:{ *:[i64] }:$rs2:$pred:46:y)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8172 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    8180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8187 */     GIR_RootConstrainSelectedInstOperands,
     /*    8188 */     // GIR_Coverage, 65052,
     /*    8188 */     GIR_EraseRootFromParent_Done,
     /*    8189 */   // Label 256: @8189
     /*    8189 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8284), // Rule ID 65054 //
     /*    8194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8201 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:47:x
     /*    8205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8226 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    8237 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:47:y
     /*    8241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8251 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x, GPR:{ *:[i64] }:$rs2:$pred:47:y)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8267 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    8270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    8275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8282 */     GIR_RootConstrainSelectedInstOperands,
     /*    8283 */     // GIR_Coverage, 65054,
     /*    8283 */     GIR_EraseRootFromParent_Done,
     /*    8284 */   // Label 257: @8284
     /*    8284 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8379), // Rule ID 65056 //
     /*    8289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8296 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:48:x
     /*    8300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8321 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    8332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:48:y
     /*    8336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8346 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x, GPR:{ *:[i64] }:$rs2:$pred:48:y)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8362 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8377 */     GIR_RootConstrainSelectedInstOperands,
     /*    8378 */     // GIR_Coverage, 65056,
     /*    8378 */     GIR_EraseRootFromParent_Done,
     /*    8379 */   // Label 258: @8379
     /*    8379 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8447), // Rule ID 2553 //
     /*    8384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8391 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    8395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    8424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8434 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    8437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8445 */     GIR_RootConstrainSelectedInstOperands,
     /*    8446 */     // GIR_Coverage, 2553,
     /*    8446 */     GIR_EraseRootFromParent_Done,
     /*    8447 */   // Label 259: @8447
     /*    8447 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8515), // Rule ID 2563 //
     /*    8452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8459 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    8463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8488 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    8492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8502 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    8505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8513 */     GIR_RootConstrainSelectedInstOperands,
     /*    8514 */     // GIR_Coverage, 2563,
     /*    8514 */     GIR_EraseRootFromParent_Done,
     /*    8515 */   // Label 260: @8515
     /*    8515 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8583), // Rule ID 2573 //
     /*    8520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8527 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8552 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    8560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8564 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8570 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    8573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8581 */     GIR_RootConstrainSelectedInstOperands,
     /*    8582 */     // GIR_Coverage, 2573,
     /*    8582 */     GIR_EraseRootFromParent_Done,
     /*    8583 */   // Label 261: @8583
     /*    8583 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8651), // Rule ID 64985 //
     /*    8588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8595 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    8599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8624 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    8628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8638 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x, GPR:{ *:[i64] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    8641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8649 */     GIR_RootConstrainSelectedInstOperands,
     /*    8650 */     // GIR_Coverage, 64985,
     /*    8650 */     GIR_EraseRootFromParent_Done,
     /*    8651 */   // Label 262: @8651
     /*    8651 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8719), // Rule ID 64995 //
     /*    8656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8663 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    8667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8692 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    8696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8706 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x, GPR:{ *:[i64] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    8709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8717 */     GIR_RootConstrainSelectedInstOperands,
     /*    8718 */     // GIR_Coverage, 64995,
     /*    8718 */     GIR_EraseRootFromParent_Done,
     /*    8719 */   // Label 263: @8719
     /*    8719 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8787), // Rule ID 65005 //
     /*    8724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8731 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    8735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8760 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    8764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8774 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x, GPR:{ *:[i64] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    8777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8785 */     GIR_RootConstrainSelectedInstOperands,
     /*    8786 */     // GIR_Coverage, 65005,
     /*    8786 */     GIR_EraseRootFromParent_Done,
     /*    8787 */   // Label 264: @8787
     /*    8787 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8862), // Rule ID 65379 //
     /*    8792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    8803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8807 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    8811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8832 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    8843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8849 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    8852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8860 */     GIR_RootConstrainSelectedInstOperands,
     /*    8861 */     // GIR_Coverage, 65379,
     /*    8861 */     GIR_EraseRootFromParent_Done,
     /*    8862 */   // Label 265: @8862
     /*    8862 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8957), // Rule ID 65387 //
     /*    8867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    8878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    8886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8907 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    8918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8924 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8940 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    8948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8955 */     GIR_RootConstrainSelectedInstOperands,
     /*    8956 */     // GIR_Coverage, 65387,
     /*    8956 */     GIR_EraseRootFromParent_Done,
     /*    8957 */   // Label 266: @8957
     /*    8957 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9052), // Rule ID 65391 //
     /*    8962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8969 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    8973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    8981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9002 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9019 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9035 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9050 */     GIR_RootConstrainSelectedInstOperands,
     /*    9051 */     // GIR_Coverage, 65391,
     /*    9051 */     GIR_EraseRootFromParent_Done,
     /*    9052 */   // Label 267: @9052
     /*    9052 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9147), // Rule ID 65393 //
     /*    9057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9064 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    9068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    9076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9097 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9114 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9145 */     GIR_RootConstrainSelectedInstOperands,
     /*    9146 */     // GIR_Coverage, 65393,
     /*    9146 */     GIR_EraseRootFromParent_Done,
     /*    9147 */   // Label 268: @9147
     /*    9147 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9242), // Rule ID 65395 //
     /*    9152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9159 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    9163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    9171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9192 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9209 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9225 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9240 */     GIR_RootConstrainSelectedInstOperands,
     /*    9241 */     // GIR_Coverage, 65395,
     /*    9241 */     GIR_EraseRootFromParent_Done,
     /*    9242 */   // Label 269: @9242
     /*    9242 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9337), // Rule ID 65405 //
     /*    9247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9254 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    9258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    9266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9287 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    9298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9304 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9320 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    9328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9335 */     GIR_RootConstrainSelectedInstOperands,
     /*    9336 */     // GIR_Coverage, 65405,
     /*    9336 */     GIR_EraseRootFromParent_Done,
     /*    9337 */   // Label 270: @9337
     /*    9337 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9432), // Rule ID 65407 //
     /*    9342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    9353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    9361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9382 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    9393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9399 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9415 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    9423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9430 */     GIR_RootConstrainSelectedInstOperands,
     /*    9431 */     // GIR_Coverage, 65407,
     /*    9431 */     GIR_EraseRootFromParent_Done,
     /*    9432 */   // Label 271: @9432
     /*    9432 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9527), // Rule ID 65409 //
     /*    9437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9444 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    9448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9452 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    9456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9477 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9494 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9510 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    9518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9525 */     GIR_RootConstrainSelectedInstOperands,
     /*    9526 */     // GIR_Coverage, 65409,
     /*    9526 */     GIR_EraseRootFromParent_Done,
     /*    9527 */   // Label 272: @9527
     /*    9527 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9602), // Rule ID 74252 //
     /*    9532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:33:y
     /*    9543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9547 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:33:x
     /*    9551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9572 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    9583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:33:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    9589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    9592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9600 */     GIR_RootConstrainSelectedInstOperands,
     /*    9601 */     // GIR_Coverage, 74252,
     /*    9601 */     GIR_EraseRootFromParent_Done,
     /*    9602 */   // Label 273: @9602
     /*    9602 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9697), // Rule ID 74268 //
     /*    9607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:41:y
     /*    9618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:41:x
     /*    9626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9647 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    9658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9664 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:41:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    9688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9695 */     GIR_RootConstrainSelectedInstOperands,
     /*    9696 */     // GIR_Coverage, 74268,
     /*    9696 */     GIR_EraseRootFromParent_Done,
     /*    9697 */   // Label 274: @9697
     /*    9697 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(9792), // Rule ID 74272 //
     /*    9702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9709 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:43:y
     /*    9713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9717 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:43:x
     /*    9721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9742 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9759 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:43:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    9783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9790 */     GIR_RootConstrainSelectedInstOperands,
     /*    9791 */     // GIR_Coverage, 74272,
     /*    9791 */     GIR_EraseRootFromParent_Done,
     /*    9792 */   // Label 275: @9792
     /*    9792 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(9887), // Rule ID 74274 //
     /*    9797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9804 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:44:y
     /*    9808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:44:x
     /*    9816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9837 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9854 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:44:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9870 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9885 */     GIR_RootConstrainSelectedInstOperands,
     /*    9886 */     // GIR_Coverage, 74274,
     /*    9886 */     GIR_EraseRootFromParent_Done,
     /*    9887 */   // Label 276: @9887
     /*    9887 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(9982), // Rule ID 74276 //
     /*    9892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:45:y
     /*    9903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9907 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:45:x
     /*    9911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9932 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9949 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:45:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9965 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9980 */     GIR_RootConstrainSelectedInstOperands,
     /*    9981 */     // GIR_Coverage, 74276,
     /*    9981 */     GIR_EraseRootFromParent_Done,
     /*    9982 */   // Label 277: @9982
     /*    9982 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10077), // Rule ID 74278 //
     /*    9987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:46:y
     /*    9998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:46:x
     /*   10006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10027 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*   10038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10044 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:46:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10060 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   10063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10075 */     GIR_RootConstrainSelectedInstOperands,
     /*   10076 */     // GIR_Coverage, 74278,
     /*   10076 */     GIR_EraseRootFromParent_Done,
     /*   10077 */   // Label 278: @10077
     /*   10077 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10172), // Rule ID 74280 //
     /*   10082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:47:y
     /*   10093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10097 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:47:x
     /*   10101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10122 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*   10133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10139 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:47:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10155 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*   10158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*   10163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10170 */     GIR_RootConstrainSelectedInstOperands,
     /*   10171 */     // GIR_Coverage, 74280,
     /*   10171 */     GIR_EraseRootFromParent_Done,
     /*   10172 */   // Label 279: @10172
     /*   10172 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10267), // Rule ID 74282 //
     /*   10177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10184 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:48:y
     /*   10188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10192 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:48:x
     /*   10196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10217 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*   10228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10234 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:48:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10250 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10265 */     GIR_RootConstrainSelectedInstOperands,
     /*   10266 */     // GIR_Coverage, 74282,
     /*   10266 */     GIR_EraseRootFromParent_Done,
     /*   10267 */   // Label 280: @10267
     /*   10267 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10335), // Rule ID 65356 //
     /*   10272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10279 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*   10283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*   10291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10312 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10322 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*   10325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10333 */     GIR_RootConstrainSelectedInstOperands,
     /*   10334 */     // GIR_Coverage, 65356,
     /*   10334 */     GIR_EraseRootFromParent_Done,
     /*   10335 */   // Label 281: @10335
     /*   10335 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10403), // Rule ID 65364 //
     /*   10340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10347 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*   10351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10355 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*   10359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10390 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*   10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10401 */     GIR_RootConstrainSelectedInstOperands,
     /*   10402 */     // GIR_Coverage, 65364,
     /*   10402 */     GIR_EraseRootFromParent_Done,
     /*   10403 */   // Label 282: @10403
     /*   10403 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10471), // Rule ID 65372 //
     /*   10408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10415 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*   10419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10423 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*   10427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10448 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10458 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*   10461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10469 */     GIR_RootConstrainSelectedInstOperands,
     /*   10470 */     // GIR_Coverage, 65372,
     /*   10470 */     GIR_EraseRootFromParent_Done,
     /*   10471 */   // Label 283: @10471
     /*   10471 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10539), // Rule ID 74229 //
     /*   10476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*   10487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10491 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*   10495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10516 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10520 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10526 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:27:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*   10529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10537 */     GIR_RootConstrainSelectedInstOperands,
     /*   10538 */     // GIR_Coverage, 74229,
     /*   10538 */     GIR_EraseRootFromParent_Done,
     /*   10539 */   // Label 284: @10539
     /*   10539 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10607), // Rule ID 74237 //
     /*   10544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10551 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*   10555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10559 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10584 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10594 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:29:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*   10597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10605 */     GIR_RootConstrainSelectedInstOperands,
     /*   10606 */     // GIR_Coverage, 74237,
     /*   10606 */     GIR_EraseRootFromParent_Done,
     /*   10607 */   // Label 285: @10607
     /*   10607 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10675), // Rule ID 74245 //
     /*   10612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10619 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*   10623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10627 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*   10631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10652 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10662 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:31:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*   10665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10673 */     GIR_RootConstrainSelectedInstOperands,
     /*   10674 */     // GIR_Coverage, 74245,
     /*   10674 */     GIR_EraseRootFromParent_Done,
     /*   10675 */   // Label 286: @10675
     /*   10675 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10754), // Rule ID 62517 //
     /*   10680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*   10691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10720 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10724 */     // MIs[2] Operand 1
     /*   10724 */     // No operand predicates
     /*   10724 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10738 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   10745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10752 */     GIR_RootConstrainSelectedInstOperands,
     /*   10753 */     // GIR_Coverage, 62517,
     /*   10753 */     GIR_EraseRootFromParent_Done,
     /*   10754 */   // Label 287: @10754
     /*   10754 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10833), // Rule ID 74188 //
     /*   10759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10766 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*   10770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10774 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*   10778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10807 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10811 */     // MIs[2] Operand 1
     /*   10811 */     // No operand predicates
     /*   10811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10817 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10831 */     GIR_RootConstrainSelectedInstOperands,
     /*   10832 */     // GIR_Coverage, 74188,
     /*   10832 */     GIR_EraseRootFromParent_Done,
     /*   10833 */   // Label 288: @10833
     /*   10833 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10882), // Rule ID 114 //
     /*   10838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*   10853 */     // MIs[1] Operand 1
     /*   10853 */     // No operand predicates
     /*   10853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   10857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10861 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10865 */     // MIs[2] Operand 1
     /*   10865 */     // No operand predicates
     /*   10865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10867 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*   10867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   10870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10872 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   10877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*   10880 */     GIR_RootConstrainSelectedInstOperands,
     /*   10881 */     // GIR_Coverage, 114,
     /*   10881 */     GIR_EraseRootFromParent_Done,
     /*   10882 */   // Label 289: @10882
     /*   10882 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(10928), // Rule ID 265 //
     /*   10887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10910 */     // MIs[1] Operand 1
     /*   10910 */     // No operand predicates
     /*   10910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9935),
     /*   10914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10916 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_9935>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   10916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   10926 */     GIR_RootConstrainSelectedInstOperands,
     /*   10927 */     // GIR_Coverage, 265,
     /*   10927 */     GIR_EraseRootFromParent_Done,
     /*   10928 */   // Label 290: @10928
     /*   10928 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11004), // Rule ID 287 //
     /*   10933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   10956 */     // MIs[1] Operand 1
     /*   10956 */     // No operand predicates
     /*   10956 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9963),
     /*   10960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9935),
     /*   10964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10966 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9963>>:$rs2)<<P:Predicate_anonymous_9935>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   10966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   10982 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   10987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10997 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11002 */     GIR_RootConstrainSelectedInstOperands,
     /*   11003 */     // GIR_Coverage, 287,
     /*   11003 */     GIR_EraseRootFromParent_Done,
     /*   11004 */   // Label 291: @11004
     /*   11004 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11069), // Rule ID 74204 //
     /*   11009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9935),
     /*   11050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11052 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_9935>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11067 */     GIR_RootConstrainSelectedInstOperands,
     /*   11068 */     // GIR_Coverage, 74204,
     /*   11068 */     GIR_EraseRootFromParent_Done,
     /*   11069 */   // Label 292: @11069
     /*   11069 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11134), // Rule ID 62588 //
     /*   11074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9935),
     /*   11115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11117 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9935>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11132 */     GIR_RootConstrainSelectedInstOperands,
     /*   11133 */     // GIR_Coverage, 62588,
     /*   11133 */     GIR_EraseRootFromParent_Done,
     /*   11134 */   // Label 293: @11134
     /*   11134 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11176), // Rule ID 74 //
     /*   11139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11162 */     // MIs[1] Operand 1
     /*   11162 */     // No operand predicates
     /*   11162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11164 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   11164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   11174 */     GIR_RootConstrainSelectedInstOperands,
     /*   11175 */     // GIR_Coverage, 74,
     /*   11175 */     GIR_EraseRootFromParent_Done,
     /*   11176 */   // Label 294: @11176
     /*   11176 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11248), // Rule ID 285 //
     /*   11181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   11204 */     // MIs[1] Operand 1
     /*   11204 */     // No operand predicates
     /*   11204 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9963),
     /*   11208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11210 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9963>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   11210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   11213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   11226 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   11231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11241 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11246 */     GIR_RootConstrainSelectedInstOperands,
     /*   11247 */     // GIR_Coverage, 285,
     /*   11247 */     GIR_EraseRootFromParent_Done,
     /*   11248 */   // Label 295: @11248
     /*   11248 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11309), // Rule ID 74202 //
     /*   11253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11292 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11307 */     GIR_RootConstrainSelectedInstOperands,
     /*   11308 */     // GIR_Coverage, 74202,
     /*   11308 */     GIR_EraseRootFromParent_Done,
     /*   11309 */   // Label 296: @11309
     /*   11309 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11370), // Rule ID 62584 //
     /*   11314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11353 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11368 */     GIR_RootConstrainSelectedInstOperands,
     /*   11369 */     // GIR_Coverage, 62584,
     /*   11369 */     GIR_EraseRootFromParent_Done,
     /*   11370 */   // Label 297: @11370
     /*   11370 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11401), // Rule ID 264 //
     /*   11375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9935),
     /*   11394 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9935>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*   11399 */     GIR_RootConstrainSelectedInstOperands,
     /*   11400 */     // GIR_Coverage, 264,
     /*   11400 */     GIR_Done,
     /*   11401 */   // Label 298: @11401
     /*   11401 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11428), // Rule ID 72 //
     /*   11406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11421 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*   11426 */     GIR_RootConstrainSelectedInstOperands,
     /*   11427 */     // GIR_Coverage, 72,
     /*   11427 */     GIR_Done,
     /*   11428 */   // Label 299: @11428
     /*   11428 */   GIM_Reject,
     /*   11429 */ // Label 192: @11429
     /*   11429 */ GIM_Reject,
     /*   11430 */ // Label 128: @11430
     /*   11430 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11824),
     /*   11435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11445 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11513), // Rule ID 69152 //
     /*   11450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11487 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11511 */     GIR_RootConstrainSelectedInstOperands,
     /*   11512 */     // GIR_Coverage, 69152,
     /*   11512 */     GIR_EraseRootFromParent_Done,
     /*   11513 */   // Label 301: @11513
     /*   11513 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11581), // Rule ID 69153 //
     /*   11518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11555 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11579 */     GIR_RootConstrainSelectedInstOperands,
     /*   11580 */     // GIR_Coverage, 69153,
     /*   11580 */     GIR_EraseRootFromParent_Done,
     /*   11581 */   // Label 302: @11581
     /*   11581 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(11649), // Rule ID 45908 //
     /*   11586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11623 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11647 */     GIR_RootConstrainSelectedInstOperands,
     /*   11648 */     // GIR_Coverage, 45908,
     /*   11648 */     GIR_EraseRootFromParent_Done,
     /*   11649 */   // Label 303: @11649
     /*   11649 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(11717), // Rule ID 45909 //
     /*   11654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11691 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11715 */     GIR_RootConstrainSelectedInstOperands,
     /*   11716 */     // GIR_Coverage, 45909,
     /*   11716 */     GIR_EraseRootFromParent_Done,
     /*   11717 */   // Label 304: @11717
     /*   11717 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(11770), // Rule ID 45736 //
     /*   11722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11733 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11768 */     GIR_RootConstrainSelectedInstOperands,
     /*   11769 */     // GIR_Coverage, 45736,
     /*   11769 */     GIR_EraseRootFromParent_Done,
     /*   11770 */   // Label 305: @11770
     /*   11770 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(11823), // Rule ID 45737 //
     /*   11775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11786 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11821 */     GIR_RootConstrainSelectedInstOperands,
     /*   11822 */     // GIR_Coverage, 45737,
     /*   11822 */     GIR_EraseRootFromParent_Done,
     /*   11823 */   // Label 306: @11823
     /*   11823 */   GIM_Reject,
     /*   11824 */ // Label 300: @11824
     /*   11824 */ GIM_Reject,
     /*   11825 */ // Label 129: @11825
     /*   11825 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(14949),
     /*   11830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11840 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(11936), // Rule ID 69066 //
     /*   11845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11910 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   11913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11934 */     GIR_RootConstrainSelectedInstOperands,
     /*   11935 */     // GIR_Coverage, 69066,
     /*   11935 */     GIR_EraseRootFromParent_Done,
     /*   11936 */   // Label 308: @11936
     /*   11936 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12032), // Rule ID 69067 //
     /*   11941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12006 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12030 */     GIR_RootConstrainSelectedInstOperands,
     /*   12031 */     // GIR_Coverage, 69067,
     /*   12031 */     GIR_EraseRootFromParent_Done,
     /*   12032 */   // Label 309: @12032
     /*   12032 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12128), // Rule ID 70892 //
     /*   12037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12102 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12126 */     GIR_RootConstrainSelectedInstOperands,
     /*   12127 */     // GIR_Coverage, 70892,
     /*   12127 */     GIR_EraseRootFromParent_Done,
     /*   12128 */   // Label 310: @12128
     /*   12128 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12224), // Rule ID 70893 //
     /*   12133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12198 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12222 */     GIR_RootConstrainSelectedInstOperands,
     /*   12223 */     // GIR_Coverage, 70893,
     /*   12223 */     GIR_EraseRootFromParent_Done,
     /*   12224 */   // Label 311: @12224
     /*   12224 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12320), // Rule ID 70894 //
     /*   12229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12294 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12318 */     GIR_RootConstrainSelectedInstOperands,
     /*   12319 */     // GIR_Coverage, 70894,
     /*   12319 */     GIR_EraseRootFromParent_Done,
     /*   12320 */   // Label 312: @12320
     /*   12320 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12416), // Rule ID 70895 //
     /*   12325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12377 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12379 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12390 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12414 */     GIR_RootConstrainSelectedInstOperands,
     /*   12415 */     // GIR_Coverage, 70895,
     /*   12415 */     GIR_EraseRootFromParent_Done,
     /*   12416 */   // Label 313: @12416
     /*   12416 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(12512), // Rule ID 70770 //
     /*   12421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12469 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12473 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12475 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12486 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12510 */     GIR_RootConstrainSelectedInstOperands,
     /*   12511 */     // GIR_Coverage, 70770,
     /*   12511 */     GIR_EraseRootFromParent_Done,
     /*   12512 */   // Label 314: @12512
     /*   12512 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(12608), // Rule ID 70771 //
     /*   12517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12569 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12571 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12582 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12606 */     GIR_RootConstrainSelectedInstOperands,
     /*   12607 */     // GIR_Coverage, 70771,
     /*   12607 */     GIR_EraseRootFromParent_Done,
     /*   12608 */   // Label 315: @12608
     /*   12608 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(12704), // Rule ID 45820 //
     /*   12613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12665 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12669 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12678 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12702 */     GIR_RootConstrainSelectedInstOperands,
     /*   12703 */     // GIR_Coverage, 45820,
     /*   12703 */     GIR_EraseRootFromParent_Done,
     /*   12704 */   // Label 316: @12704
     /*   12704 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(12800), // Rule ID 45821 //
     /*   12709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12765 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12767 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12774 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12798 */     GIR_RootConstrainSelectedInstOperands,
     /*   12799 */     // GIR_Coverage, 45821,
     /*   12799 */     GIR_EraseRootFromParent_Done,
     /*   12800 */   // Label 317: @12800
     /*   12800 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(12896), // Rule ID 52140 //
     /*   12805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12857 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12861 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12863 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12868 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12870 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12894 */     GIR_RootConstrainSelectedInstOperands,
     /*   12895 */     // GIR_Coverage, 52140,
     /*   12895 */     GIR_EraseRootFromParent_Done,
     /*   12896 */   // Label 318: @12896
     /*   12896 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(12992), // Rule ID 52141 //
     /*   12901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12957 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12959 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12966 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12990 */     GIR_RootConstrainSelectedInstOperands,
     /*   12991 */     // GIR_Coverage, 52141,
     /*   12991 */     GIR_EraseRootFromParent_Done,
     /*   12992 */   // Label 319: @12992
     /*   12992 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13088), // Rule ID 70890 //
     /*   12997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13053 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13055 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13062 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13086 */     GIR_RootConstrainSelectedInstOperands,
     /*   13087 */     // GIR_Coverage, 70890,
     /*   13087 */     GIR_EraseRootFromParent_Done,
     /*   13088 */   // Label 320: @13088
     /*   13088 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13184), // Rule ID 70891 //
     /*   13093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13149 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13158 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13182 */     GIR_RootConstrainSelectedInstOperands,
     /*   13183 */     // GIR_Coverage, 70891,
     /*   13183 */     GIR_EraseRootFromParent_Done,
     /*   13184 */   // Label 321: @13184
     /*   13184 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13280), // Rule ID 52080 //
     /*   13189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13241 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13245 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13247 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13254 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13278 */     GIR_RootConstrainSelectedInstOperands,
     /*   13279 */     // GIR_Coverage, 52080,
     /*   13279 */     GIR_EraseRootFromParent_Done,
     /*   13280 */   // Label 322: @13280
     /*   13280 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13376), // Rule ID 52081 //
     /*   13285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13341 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13343 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13350 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13374 */     GIR_RootConstrainSelectedInstOperands,
     /*   13375 */     // GIR_Coverage, 52081,
     /*   13375 */     GIR_EraseRootFromParent_Done,
     /*   13376 */   // Label 323: @13376
     /*   13376 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13465), // Rule ID 46666 //
     /*   13381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13424 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13463 */     GIR_RootConstrainSelectedInstOperands,
     /*   13464 */     // GIR_Coverage, 46666,
     /*   13464 */     GIR_EraseRootFromParent_Done,
     /*   13465 */   // Label 324: @13465
     /*   13465 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13554), // Rule ID 46667 //
     /*   13470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13513 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13552 */     GIR_RootConstrainSelectedInstOperands,
     /*   13553 */     // GIR_Coverage, 46667,
     /*   13553 */     GIR_EraseRootFromParent_Done,
     /*   13554 */   // Label 325: @13554
     /*   13554 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13643), // Rule ID 45812 //
     /*   13559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13593 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13602 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13641 */     GIR_RootConstrainSelectedInstOperands,
     /*   13642 */     // GIR_Coverage, 45812,
     /*   13642 */     GIR_EraseRootFromParent_Done,
     /*   13643 */   // Label 326: @13643
     /*   13643 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13732), // Rule ID 45813 //
     /*   13648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13691 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13730 */     GIR_RootConstrainSelectedInstOperands,
     /*   13731 */     // GIR_Coverage, 45813,
     /*   13731 */     GIR_EraseRootFromParent_Done,
     /*   13732 */   // Label 327: @13732
     /*   13732 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13821), // Rule ID 46546 //
     /*   13737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13780 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13819 */     GIR_RootConstrainSelectedInstOperands,
     /*   13820 */     // GIR_Coverage, 46546,
     /*   13820 */     GIR_EraseRootFromParent_Done,
     /*   13821 */   // Label 328: @13821
     /*   13821 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13910), // Rule ID 46547 //
     /*   13826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13869 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13908 */     GIR_RootConstrainSelectedInstOperands,
     /*   13909 */     // GIR_Coverage, 46547,
     /*   13909 */     GIR_EraseRootFromParent_Done,
     /*   13910 */   // Label 329: @13910
     /*   13910 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13978), // Rule ID 70462 //
     /*   13915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13952 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   13955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13976 */     GIR_RootConstrainSelectedInstOperands,
     /*   13977 */     // GIR_Coverage, 70462,
     /*   13977 */     GIR_EraseRootFromParent_Done,
     /*   13978 */   // Label 330: @13978
     /*   13978 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14046), // Rule ID 70463 //
     /*   13983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14020 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14044 */     GIR_RootConstrainSelectedInstOperands,
     /*   14045 */     // GIR_Coverage, 70463,
     /*   14045 */     GIR_EraseRootFromParent_Done,
     /*   14046 */   // Label 331: @14046
     /*   14046 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14101), // Rule ID 69454 //
     /*   14051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14079 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14099 */     GIR_RootConstrainSelectedInstOperands,
     /*   14100 */     // GIR_Coverage, 69454,
     /*   14100 */     GIR_EraseRootFromParent_Done,
     /*   14101 */   // Label 332: @14101
     /*   14101 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 69455 //
     /*   14106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14134 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 69455,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14211), // Rule ID 69062 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14189 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14209 */     GIR_RootConstrainSelectedInstOperands,
     /*   14210 */     // GIR_Coverage, 69062,
     /*   14210 */     GIR_EraseRootFromParent_Done,
     /*   14211 */   // Label 334: @14211
     /*   14211 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14266), // Rule ID 69063 //
     /*   14216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14244 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14264 */     GIR_RootConstrainSelectedInstOperands,
     /*   14265 */     // GIR_Coverage, 69063,
     /*   14265 */     GIR_EraseRootFromParent_Done,
     /*   14266 */   // Label 335: @14266
     /*   14266 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14321), // Rule ID 69364 //
     /*   14271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14299 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14319 */     GIR_RootConstrainSelectedInstOperands,
     /*   14320 */     // GIR_Coverage, 69364,
     /*   14320 */     GIR_EraseRootFromParent_Done,
     /*   14321 */   // Label 336: @14321
     /*   14321 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14376), // Rule ID 69365 //
     /*   14326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14354 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14374 */     GIR_RootConstrainSelectedInstOperands,
     /*   14375 */     // GIR_Coverage, 69365,
     /*   14375 */     GIR_EraseRootFromParent_Done,
     /*   14376 */   // Label 337: @14376
     /*   14376 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14444), // Rule ID 51860 //
     /*   14381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14418 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 51860,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 338: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14512), // Rule ID 51861 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14486 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14510 */     GIR_RootConstrainSelectedInstOperands,
     /*   14511 */     // GIR_Coverage, 51861,
     /*   14511 */     GIR_EraseRootFromParent_Done,
     /*   14512 */   // Label 339: @14512
     /*   14512 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14567), // Rule ID 46726 //
     /*   14517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14545 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14565 */     GIR_RootConstrainSelectedInstOperands,
     /*   14566 */     // GIR_Coverage, 46726,
     /*   14566 */     GIR_EraseRootFromParent_Done,
     /*   14567 */   // Label 340: @14567
     /*   14567 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14622), // Rule ID 46727 //
     /*   14572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14600 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14620 */     GIR_RootConstrainSelectedInstOperands,
     /*   14621 */     // GIR_Coverage, 46727,
     /*   14621 */     GIR_EraseRootFromParent_Done,
     /*   14622 */   // Label 341: @14622
     /*   14622 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(14677), // Rule ID 45816 //
     /*   14627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14655 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14675 */     GIR_RootConstrainSelectedInstOperands,
     /*   14676 */     // GIR_Coverage, 45816,
     /*   14676 */     GIR_EraseRootFromParent_Done,
     /*   14677 */   // Label 342: @14677
     /*   14677 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(14732), // Rule ID 45817 //
     /*   14682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14710 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 45817,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 343: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(14787), // Rule ID 46606 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14765 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14785 */     GIR_RootConstrainSelectedInstOperands,
     /*   14786 */     // GIR_Coverage, 46606,
     /*   14786 */     GIR_EraseRootFromParent_Done,
     /*   14787 */   // Label 344: @14787
     /*   14787 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(14842), // Rule ID 46607 //
     /*   14792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14820 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14840 */     GIR_RootConstrainSelectedInstOperands,
     /*   14841 */     // GIR_Coverage, 46607,
     /*   14841 */     GIR_EraseRootFromParent_Done,
     /*   14842 */   // Label 345: @14842
     /*   14842 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(14895), // Rule ID 46092 //
     /*   14847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14858 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14893 */     GIR_RootConstrainSelectedInstOperands,
     /*   14894 */     // GIR_Coverage, 46092,
     /*   14894 */     GIR_EraseRootFromParent_Done,
     /*   14895 */   // Label 346: @14895
     /*   14895 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(14948), // Rule ID 46093 //
     /*   14900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14911 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14946 */     GIR_RootConstrainSelectedInstOperands,
     /*   14947 */     // GIR_Coverage, 46093,
     /*   14947 */     GIR_EraseRootFromParent_Done,
     /*   14948 */   // Label 347: @14948
     /*   14948 */   GIM_Reject,
     /*   14949 */ // Label 307: @14949
     /*   14949 */ GIM_Reject,
     /*   14950 */ // Label 130: @14950
     /*   14950 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(18074),
     /*   14955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14965 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15061), // Rule ID 70668 //
     /*   14970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15018 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15022 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15024 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15033 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15035 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15059 */     GIR_RootConstrainSelectedInstOperands,
     /*   15060 */     // GIR_Coverage, 70668,
     /*   15060 */     GIR_EraseRootFromParent_Done,
     /*   15061 */   // Label 349: @15061
     /*   15061 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15157), // Rule ID 70669 //
     /*   15066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15118 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15120 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15131 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15155 */     GIR_RootConstrainSelectedInstOperands,
     /*   15156 */     // GIR_Coverage, 70669,
     /*   15156 */     GIR_EraseRootFromParent_Done,
     /*   15157 */   // Label 350: @15157
     /*   15157 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15253), // Rule ID 70928 //
     /*   15162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15210 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15214 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15216 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15227 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15251 */     GIR_RootConstrainSelectedInstOperands,
     /*   15252 */     // GIR_Coverage, 70928,
     /*   15252 */     GIR_EraseRootFromParent_Done,
     /*   15253 */   // Label 351: @15253
     /*   15253 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15349), // Rule ID 70929 //
     /*   15258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15306 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15310 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15312 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15323 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15347 */     GIR_RootConstrainSelectedInstOperands,
     /*   15348 */     // GIR_Coverage, 70929,
     /*   15348 */     GIR_EraseRootFromParent_Done,
     /*   15349 */   // Label 352: @15349
     /*   15349 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(15445), // Rule ID 70930 //
     /*   15354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15402 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15406 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15408 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15419 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15443 */     GIR_RootConstrainSelectedInstOperands,
     /*   15444 */     // GIR_Coverage, 70930,
     /*   15444 */     GIR_EraseRootFromParent_Done,
     /*   15445 */   // Label 353: @15445
     /*   15445 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(15541), // Rule ID 70931 //
     /*   15450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15483 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15502 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15504 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15513 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15515 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15539 */     GIR_RootConstrainSelectedInstOperands,
     /*   15540 */     // GIR_Coverage, 70931,
     /*   15540 */     GIR_EraseRootFromParent_Done,
     /*   15541 */   // Label 354: @15541
     /*   15541 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(15637), // Rule ID 70782 //
     /*   15546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15598 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15600 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15611 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15635 */     GIR_RootConstrainSelectedInstOperands,
     /*   15636 */     // GIR_Coverage, 70782,
     /*   15636 */     GIR_EraseRootFromParent_Done,
     /*   15637 */   // Label 355: @15637
     /*   15637 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(15733), // Rule ID 70783 //
     /*   15642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15690 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15694 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15696 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15707 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15731 */     GIR_RootConstrainSelectedInstOperands,
     /*   15732 */     // GIR_Coverage, 70783,
     /*   15732 */     GIR_EraseRootFromParent_Done,
     /*   15733 */   // Label 356: @15733
     /*   15733 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(15829), // Rule ID 52034 //
     /*   15738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15790 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15794 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15796 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15803 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15827 */     GIR_RootConstrainSelectedInstOperands,
     /*   15828 */     // GIR_Coverage, 52034,
     /*   15828 */     GIR_EraseRootFromParent_Done,
     /*   15829 */   // Label 357: @15829
     /*   15829 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(15925), // Rule ID 52035 //
     /*   15834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15886 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15890 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15892 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15899 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15923 */     GIR_RootConstrainSelectedInstOperands,
     /*   15924 */     // GIR_Coverage, 52035,
     /*   15924 */     GIR_EraseRootFromParent_Done,
     /*   15925 */   // Label 358: @15925
     /*   15925 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16021), // Rule ID 52152 //
     /*   15930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15982 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15986 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15988 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15995 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16019 */     GIR_RootConstrainSelectedInstOperands,
     /*   16020 */     // GIR_Coverage, 52152,
     /*   16020 */     GIR_EraseRootFromParent_Done,
     /*   16021 */   // Label 359: @16021
     /*   16021 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16117), // Rule ID 52153 //
     /*   16026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16082 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16084 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16091 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16115 */     GIR_RootConstrainSelectedInstOperands,
     /*   16116 */     // GIR_Coverage, 52153,
     /*   16116 */     GIR_EraseRootFromParent_Done,
     /*   16117 */   // Label 360: @16117
     /*   16117 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16213), // Rule ID 70926 //
     /*   16122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16178 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16187 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16211 */     GIR_RootConstrainSelectedInstOperands,
     /*   16212 */     // GIR_Coverage, 70926,
     /*   16212 */     GIR_EraseRootFromParent_Done,
     /*   16213 */   // Label 361: @16213
     /*   16213 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16309), // Rule ID 70927 //
     /*   16218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16270 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16274 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16276 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16283 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16307 */     GIR_RootConstrainSelectedInstOperands,
     /*   16308 */     // GIR_Coverage, 70927,
     /*   16308 */     GIR_EraseRootFromParent_Done,
     /*   16309 */   // Label 362: @16309
     /*   16309 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16405), // Rule ID 52092 //
     /*   16314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16366 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16370 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16372 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16379 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16403 */     GIR_RootConstrainSelectedInstOperands,
     /*   16404 */     // GIR_Coverage, 52092,
     /*   16404 */     GIR_EraseRootFromParent_Done,
     /*   16405 */   // Label 363: @16405
     /*   16405 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16501), // Rule ID 52093 //
     /*   16410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16462 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16466 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16468 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16475 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16499 */     GIR_RootConstrainSelectedInstOperands,
     /*   16500 */     // GIR_Coverage, 52093,
     /*   16500 */     GIR_EraseRootFromParent_Done,
     /*   16501 */   // Label 364: @16501
     /*   16501 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16590), // Rule ID 46690 //
     /*   16506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16549 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16588 */     GIR_RootConstrainSelectedInstOperands,
     /*   16589 */     // GIR_Coverage, 46690,
     /*   16589 */     GIR_EraseRootFromParent_Done,
     /*   16590 */   // Label 365: @16590
     /*   16590 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16679), // Rule ID 46691 //
     /*   16595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16638 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16677 */     GIR_RootConstrainSelectedInstOperands,
     /*   16678 */     // GIR_Coverage, 46691,
     /*   16678 */     GIR_EraseRootFromParent_Done,
     /*   16679 */   // Label 366: @16679
     /*   16679 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16768), // Rule ID 46454 //
     /*   16684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16727 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16766 */     GIR_RootConstrainSelectedInstOperands,
     /*   16767 */     // GIR_Coverage, 46454,
     /*   16767 */     GIR_EraseRootFromParent_Done,
     /*   16768 */   // Label 367: @16768
     /*   16768 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16857), // Rule ID 46455 //
     /*   16773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16816 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16855 */     GIR_RootConstrainSelectedInstOperands,
     /*   16856 */     // GIR_Coverage, 46455,
     /*   16856 */     GIR_EraseRootFromParent_Done,
     /*   16857 */   // Label 368: @16857
     /*   16857 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16946), // Rule ID 46570 //
     /*   16862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16905 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16944 */     GIR_RootConstrainSelectedInstOperands,
     /*   16945 */     // GIR_Coverage, 46570,
     /*   16945 */     GIR_EraseRootFromParent_Done,
     /*   16946 */   // Label 369: @16946
     /*   16946 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17035), // Rule ID 46571 //
     /*   16951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16994 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   17011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   17020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17033 */     GIR_RootConstrainSelectedInstOperands,
     /*   17034 */     // GIR_Coverage, 46571,
     /*   17034 */     GIR_EraseRootFromParent_Done,
     /*   17035 */   // Label 370: @17035
     /*   17035 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17103), // Rule ID 70478 //
     /*   17040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17077 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17101 */     GIR_RootConstrainSelectedInstOperands,
     /*   17102 */     // GIR_Coverage, 70478,
     /*   17102 */     GIR_EraseRootFromParent_Done,
     /*   17103 */   // Label 371: @17103
     /*   17103 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17171), // Rule ID 70479 //
     /*   17108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17127 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17145 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17169 */     GIR_RootConstrainSelectedInstOperands,
     /*   17170 */     // GIR_Coverage, 70479,
     /*   17170 */     GIR_EraseRootFromParent_Done,
     /*   17171 */   // Label 372: @17171
     /*   17171 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17226), // Rule ID 69478 //
     /*   17176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17204 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17224 */     GIR_RootConstrainSelectedInstOperands,
     /*   17225 */     // GIR_Coverage, 69478,
     /*   17225 */     GIR_EraseRootFromParent_Done,
     /*   17226 */   // Label 373: @17226
     /*   17226 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17281), // Rule ID 69479 //
     /*   17231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17259 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17279 */     GIR_RootConstrainSelectedInstOperands,
     /*   17280 */     // GIR_Coverage, 69479,
     /*   17280 */     GIR_EraseRootFromParent_Done,
     /*   17281 */   // Label 374: @17281
     /*   17281 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17336), // Rule ID 69298 //
     /*   17286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17314 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17334 */     GIR_RootConstrainSelectedInstOperands,
     /*   17335 */     // GIR_Coverage, 69298,
     /*   17335 */     GIR_EraseRootFromParent_Done,
     /*   17336 */   // Label 375: @17336
     /*   17336 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17391), // Rule ID 69299 //
     /*   17341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17369 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17389 */     GIR_RootConstrainSelectedInstOperands,
     /*   17390 */     // GIR_Coverage, 69299,
     /*   17390 */     GIR_EraseRootFromParent_Done,
     /*   17391 */   // Label 376: @17391
     /*   17391 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17446), // Rule ID 69388 //
     /*   17396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17424 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17444 */     GIR_RootConstrainSelectedInstOperands,
     /*   17445 */     // GIR_Coverage, 69388,
     /*   17445 */     GIR_EraseRootFromParent_Done,
     /*   17446 */   // Label 377: @17446
     /*   17446 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17501), // Rule ID 69389 //
     /*   17451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17479 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17499 */     GIR_RootConstrainSelectedInstOperands,
     /*   17500 */     // GIR_Coverage, 69389,
     /*   17500 */     GIR_EraseRootFromParent_Done,
     /*   17501 */   // Label 378: @17501
     /*   17501 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17569), // Rule ID 51868 //
     /*   17506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17543 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17567 */     GIR_RootConstrainSelectedInstOperands,
     /*   17568 */     // GIR_Coverage, 51868,
     /*   17568 */     GIR_EraseRootFromParent_Done,
     /*   17569 */   // Label 379: @17569
     /*   17569 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17637), // Rule ID 51869 //
     /*   17574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17611 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17635 */     GIR_RootConstrainSelectedInstOperands,
     /*   17636 */     // GIR_Coverage, 51869,
     /*   17636 */     GIR_EraseRootFromParent_Done,
     /*   17637 */   // Label 380: @17637
     /*   17637 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17692), // Rule ID 46750 //
     /*   17642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17670 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17690 */     GIR_RootConstrainSelectedInstOperands,
     /*   17691 */     // GIR_Coverage, 46750,
     /*   17691 */     GIR_EraseRootFromParent_Done,
     /*   17692 */   // Label 381: @17692
     /*   17692 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17747), // Rule ID 46751 //
     /*   17697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17725 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17745 */     GIR_RootConstrainSelectedInstOperands,
     /*   17746 */     // GIR_Coverage, 46751,
     /*   17746 */     GIR_EraseRootFromParent_Done,
     /*   17747 */   // Label 382: @17747
     /*   17747 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17802), // Rule ID 46510 //
     /*   17752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17780 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17800 */     GIR_RootConstrainSelectedInstOperands,
     /*   17801 */     // GIR_Coverage, 46510,
     /*   17801 */     GIR_EraseRootFromParent_Done,
     /*   17802 */   // Label 383: @17802
     /*   17802 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17857), // Rule ID 46511 //
     /*   17807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17835 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17855 */     GIR_RootConstrainSelectedInstOperands,
     /*   17856 */     // GIR_Coverage, 46511,
     /*   17856 */     GIR_EraseRootFromParent_Done,
     /*   17857 */   // Label 384: @17857
     /*   17857 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(17912), // Rule ID 46630 //
     /*   17862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17890 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17910 */     GIR_RootConstrainSelectedInstOperands,
     /*   17911 */     // GIR_Coverage, 46630,
     /*   17911 */     GIR_EraseRootFromParent_Done,
     /*   17912 */   // Label 385: @17912
     /*   17912 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(17967), // Rule ID 46631 //
     /*   17917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17945 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17965 */     GIR_RootConstrainSelectedInstOperands,
     /*   17966 */     // GIR_Coverage, 46631,
     /*   17966 */     GIR_EraseRootFromParent_Done,
     /*   17967 */   // Label 386: @17967
     /*   17967 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18020), // Rule ID 46100 //
     /*   17972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17983 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   17986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18018 */     GIR_RootConstrainSelectedInstOperands,
     /*   18019 */     // GIR_Coverage, 46100,
     /*   18019 */     GIR_EraseRootFromParent_Done,
     /*   18020 */   // Label 387: @18020
     /*   18020 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18073), // Rule ID 46101 //
     /*   18025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18036 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18071 */     GIR_RootConstrainSelectedInstOperands,
     /*   18072 */     // GIR_Coverage, 46101,
     /*   18072 */     GIR_EraseRootFromParent_Done,
     /*   18073 */   // Label 388: @18073
     /*   18073 */   GIM_Reject,
     /*   18074 */ // Label 348: @18074
     /*   18074 */ GIM_Reject,
     /*   18075 */ // Label 131: @18075
     /*   18075 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(21199),
     /*   18080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18090 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18186), // Rule ID 70678 //
     /*   18095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18160 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18184 */     GIR_RootConstrainSelectedInstOperands,
     /*   18185 */     // GIR_Coverage, 70678,
     /*   18185 */     GIR_EraseRootFromParent_Done,
     /*   18186 */   // Label 390: @18186
     /*   18186 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18282), // Rule ID 70679 //
     /*   18191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18256 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18280 */     GIR_RootConstrainSelectedInstOperands,
     /*   18281 */     // GIR_Coverage, 70679,
     /*   18281 */     GIR_EraseRootFromParent_Done,
     /*   18282 */   // Label 391: @18282
     /*   18282 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18378), // Rule ID 70958 //
     /*   18287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18352 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18376 */     GIR_RootConstrainSelectedInstOperands,
     /*   18377 */     // GIR_Coverage, 70958,
     /*   18377 */     GIR_EraseRootFromParent_Done,
     /*   18378 */   // Label 392: @18378
     /*   18378 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18474), // Rule ID 70959 //
     /*   18383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18435 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18448 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18472 */     GIR_RootConstrainSelectedInstOperands,
     /*   18473 */     // GIR_Coverage, 70959,
     /*   18473 */     GIR_EraseRootFromParent_Done,
     /*   18474 */   // Label 393: @18474
     /*   18474 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18570), // Rule ID 70960 //
     /*   18479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18531 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18544 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18568 */     GIR_RootConstrainSelectedInstOperands,
     /*   18569 */     // GIR_Coverage, 70960,
     /*   18569 */     GIR_EraseRootFromParent_Done,
     /*   18570 */   // Label 394: @18570
     /*   18570 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(18666), // Rule ID 70961 //
     /*   18575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18608 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18623 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18627 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18640 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18664 */     GIR_RootConstrainSelectedInstOperands,
     /*   18665 */     // GIR_Coverage, 70961,
     /*   18665 */     GIR_EraseRootFromParent_Done,
     /*   18666 */   // Label 395: @18666
     /*   18666 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(18762), // Rule ID 70792 //
     /*   18671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18719 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18723 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18725 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18736 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18760 */     GIR_RootConstrainSelectedInstOperands,
     /*   18761 */     // GIR_Coverage, 70792,
     /*   18761 */     GIR_EraseRootFromParent_Done,
     /*   18762 */   // Label 396: @18762
     /*   18762 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(18858), // Rule ID 70793 //
     /*   18767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18815 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18819 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18821 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18832 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18856 */     GIR_RootConstrainSelectedInstOperands,
     /*   18857 */     // GIR_Coverage, 70793,
     /*   18857 */     GIR_EraseRootFromParent_Done,
     /*   18858 */   // Label 397: @18858
     /*   18858 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(18954), // Rule ID 52044 //
     /*   18863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18928 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18952 */     GIR_RootConstrainSelectedInstOperands,
     /*   18953 */     // GIR_Coverage, 52044,
     /*   18953 */     GIR_EraseRootFromParent_Done,
     /*   18954 */   // Label 398: @18954
     /*   18954 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19050), // Rule ID 52045 //
     /*   18959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19024 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   19027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19048 */     GIR_RootConstrainSelectedInstOperands,
     /*   19049 */     // GIR_Coverage, 52045,
     /*   19049 */     GIR_EraseRootFromParent_Done,
     /*   19050 */   // Label 399: @19050
     /*   19050 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19146), // Rule ID 52162 //
     /*   19055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19120 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19144 */     GIR_RootConstrainSelectedInstOperands,
     /*   19145 */     // GIR_Coverage, 52162,
     /*   19145 */     GIR_EraseRootFromParent_Done,
     /*   19146 */   // Label 400: @19146
     /*   19146 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19242), // Rule ID 52163 //
     /*   19151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19216 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19240 */     GIR_RootConstrainSelectedInstOperands,
     /*   19241 */     // GIR_Coverage, 52163,
     /*   19241 */     GIR_EraseRootFromParent_Done,
     /*   19242 */   // Label 401: @19242
     /*   19242 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19338), // Rule ID 70956 //
     /*   19247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19312 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19336 */     GIR_RootConstrainSelectedInstOperands,
     /*   19337 */     // GIR_Coverage, 70956,
     /*   19337 */     GIR_EraseRootFromParent_Done,
     /*   19338 */   // Label 402: @19338
     /*   19338 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19434), // Rule ID 70957 //
     /*   19343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19408 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19432 */     GIR_RootConstrainSelectedInstOperands,
     /*   19433 */     // GIR_Coverage, 70957,
     /*   19433 */     GIR_EraseRootFromParent_Done,
     /*   19434 */   // Label 403: @19434
     /*   19434 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19530), // Rule ID 52102 //
     /*   19439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19504 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19528 */     GIR_RootConstrainSelectedInstOperands,
     /*   19529 */     // GIR_Coverage, 52102,
     /*   19529 */     GIR_EraseRootFromParent_Done,
     /*   19530 */   // Label 404: @19530
     /*   19530 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19626), // Rule ID 52103 //
     /*   19535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19600 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19624 */     GIR_RootConstrainSelectedInstOperands,
     /*   19625 */     // GIR_Coverage, 52103,
     /*   19625 */     GIR_EraseRootFromParent_Done,
     /*   19626 */   // Label 405: @19626
     /*   19626 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19715), // Rule ID 46710 //
     /*   19631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19674 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19713 */     GIR_RootConstrainSelectedInstOperands,
     /*   19714 */     // GIR_Coverage, 46710,
     /*   19714 */     GIR_EraseRootFromParent_Done,
     /*   19715 */   // Label 406: @19715
     /*   19715 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19804), // Rule ID 46711 //
     /*   19720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19763 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19802 */     GIR_RootConstrainSelectedInstOperands,
     /*   19803 */     // GIR_Coverage, 46711,
     /*   19803 */     GIR_EraseRootFromParent_Done,
     /*   19804 */   // Label 407: @19804
     /*   19804 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19893), // Rule ID 46474 //
     /*   19809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19824 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19843 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19852 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19891 */     GIR_RootConstrainSelectedInstOperands,
     /*   19892 */     // GIR_Coverage, 46474,
     /*   19892 */     GIR_EraseRootFromParent_Done,
     /*   19893 */   // Label 408: @19893
     /*   19893 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(19982), // Rule ID 46475 //
     /*   19898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19932 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19941 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19980 */     GIR_RootConstrainSelectedInstOperands,
     /*   19981 */     // GIR_Coverage, 46475,
     /*   19981 */     GIR_EraseRootFromParent_Done,
     /*   19982 */   // Label 409: @19982
     /*   19982 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20071), // Rule ID 46590 //
     /*   19987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20021 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20030 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20069 */     GIR_RootConstrainSelectedInstOperands,
     /*   20070 */     // GIR_Coverage, 46590,
     /*   20070 */     GIR_EraseRootFromParent_Done,
     /*   20071 */   // Label 410: @20071
     /*   20071 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20160), // Rule ID 46591 //
     /*   20076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20119 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20158 */     GIR_RootConstrainSelectedInstOperands,
     /*   20159 */     // GIR_Coverage, 46591,
     /*   20159 */     GIR_EraseRootFromParent_Done,
     /*   20160 */   // Label 411: @20160
     /*   20160 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20228), // Rule ID 70510 //
     /*   20165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20202 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20226 */     GIR_RootConstrainSelectedInstOperands,
     /*   20227 */     // GIR_Coverage, 70510,
     /*   20227 */     GIR_EraseRootFromParent_Done,
     /*   20228 */   // Label 412: @20228
     /*   20228 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20296), // Rule ID 70511 //
     /*   20233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20270 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20294 */     GIR_RootConstrainSelectedInstOperands,
     /*   20295 */     // GIR_Coverage, 70511,
     /*   20295 */     GIR_EraseRootFromParent_Done,
     /*   20296 */   // Label 413: @20296
     /*   20296 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20351), // Rule ID 69498 //
     /*   20301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20329 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20349 */     GIR_RootConstrainSelectedInstOperands,
     /*   20350 */     // GIR_Coverage, 69498,
     /*   20350 */     GIR_EraseRootFromParent_Done,
     /*   20351 */   // Label 414: @20351
     /*   20351 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20406), // Rule ID 69499 //
     /*   20356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20384 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20404 */     GIR_RootConstrainSelectedInstOperands,
     /*   20405 */     // GIR_Coverage, 69499,
     /*   20405 */     GIR_EraseRootFromParent_Done,
     /*   20406 */   // Label 415: @20406
     /*   20406 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20461), // Rule ID 69318 //
     /*   20411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20439 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20459 */     GIR_RootConstrainSelectedInstOperands,
     /*   20460 */     // GIR_Coverage, 69318,
     /*   20460 */     GIR_EraseRootFromParent_Done,
     /*   20461 */   // Label 416: @20461
     /*   20461 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20516), // Rule ID 69319 //
     /*   20466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20494 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20514 */     GIR_RootConstrainSelectedInstOperands,
     /*   20515 */     // GIR_Coverage, 69319,
     /*   20515 */     GIR_EraseRootFromParent_Done,
     /*   20516 */   // Label 417: @20516
     /*   20516 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20571), // Rule ID 69408 //
     /*   20521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20549 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20569 */     GIR_RootConstrainSelectedInstOperands,
     /*   20570 */     // GIR_Coverage, 69408,
     /*   20570 */     GIR_EraseRootFromParent_Done,
     /*   20571 */   // Label 418: @20571
     /*   20571 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20626), // Rule ID 69409 //
     /*   20576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20604 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20624 */     GIR_RootConstrainSelectedInstOperands,
     /*   20625 */     // GIR_Coverage, 69409,
     /*   20625 */     GIR_EraseRootFromParent_Done,
     /*   20626 */   // Label 419: @20626
     /*   20626 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20694), // Rule ID 51884 //
     /*   20631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20668 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20692 */     GIR_RootConstrainSelectedInstOperands,
     /*   20693 */     // GIR_Coverage, 51884,
     /*   20693 */     GIR_EraseRootFromParent_Done,
     /*   20694 */   // Label 420: @20694
     /*   20694 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20762), // Rule ID 51885 //
     /*   20699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20736 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20760 */     GIR_RootConstrainSelectedInstOperands,
     /*   20761 */     // GIR_Coverage, 51885,
     /*   20761 */     GIR_EraseRootFromParent_Done,
     /*   20762 */   // Label 421: @20762
     /*   20762 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20817), // Rule ID 46770 //
     /*   20767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20795 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20815 */     GIR_RootConstrainSelectedInstOperands,
     /*   20816 */     // GIR_Coverage, 46770,
     /*   20816 */     GIR_EraseRootFromParent_Done,
     /*   20817 */   // Label 422: @20817
     /*   20817 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20872), // Rule ID 46771 //
     /*   20822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20850 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20870 */     GIR_RootConstrainSelectedInstOperands,
     /*   20871 */     // GIR_Coverage, 46771,
     /*   20871 */     GIR_EraseRootFromParent_Done,
     /*   20872 */   // Label 423: @20872
     /*   20872 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20927), // Rule ID 46530 //
     /*   20877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20905 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20925 */     GIR_RootConstrainSelectedInstOperands,
     /*   20926 */     // GIR_Coverage, 46530,
     /*   20926 */     GIR_EraseRootFromParent_Done,
     /*   20927 */   // Label 424: @20927
     /*   20927 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(20982), // Rule ID 46531 //
     /*   20932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20960 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20980 */     GIR_RootConstrainSelectedInstOperands,
     /*   20981 */     // GIR_Coverage, 46531,
     /*   20981 */     GIR_EraseRootFromParent_Done,
     /*   20982 */   // Label 425: @20982
     /*   20982 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21037), // Rule ID 46650 //
     /*   20987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21015 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   21015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21035 */     GIR_RootConstrainSelectedInstOperands,
     /*   21036 */     // GIR_Coverage, 46650,
     /*   21036 */     GIR_EraseRootFromParent_Done,
     /*   21037 */   // Label 426: @21037
     /*   21037 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21092), // Rule ID 46651 //
     /*   21042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   21045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21070 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21090 */     GIR_RootConstrainSelectedInstOperands,
     /*   21091 */     // GIR_Coverage, 46651,
     /*   21091 */     GIR_EraseRootFromParent_Done,
     /*   21092 */   // Label 427: @21092
     /*   21092 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21145), // Rule ID 46116 //
     /*   21097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21108 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21143 */     GIR_RootConstrainSelectedInstOperands,
     /*   21144 */     // GIR_Coverage, 46116,
     /*   21144 */     GIR_EraseRootFromParent_Done,
     /*   21145 */   // Label 428: @21145
     /*   21145 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21198), // Rule ID 46117 //
     /*   21150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21161 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21196 */     GIR_RootConstrainSelectedInstOperands,
     /*   21197 */     // GIR_Coverage, 46117,
     /*   21197 */     GIR_EraseRootFromParent_Done,
     /*   21198 */   // Label 429: @21198
     /*   21198 */   GIM_Reject,
     /*   21199 */ // Label 389: @21199
     /*   21199 */ GIM_Reject,
     /*   21200 */ // Label 132: @21200
     /*   21200 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21594),
     /*   21205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21215 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21283), // Rule ID 70446 //
     /*   21220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21257 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21281 */     GIR_RootConstrainSelectedInstOperands,
     /*   21282 */     // GIR_Coverage, 70446,
     /*   21282 */     GIR_EraseRootFromParent_Done,
     /*   21283 */   // Label 431: @21283
     /*   21283 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21351), // Rule ID 70447 //
     /*   21288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21325 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21349 */     GIR_RootConstrainSelectedInstOperands,
     /*   21350 */     // GIR_Coverage, 70447,
     /*   21350 */     GIR_EraseRootFromParent_Done,
     /*   21351 */   // Label 432: @21351
     /*   21351 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21419), // Rule ID 51852 //
     /*   21356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21393 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21417 */     GIR_RootConstrainSelectedInstOperands,
     /*   21418 */     // GIR_Coverage, 51852,
     /*   21418 */     GIR_EraseRootFromParent_Done,
     /*   21419 */   // Label 433: @21419
     /*   21419 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21487), // Rule ID 51853 //
     /*   21424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21461 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21485 */     GIR_RootConstrainSelectedInstOperands,
     /*   21486 */     // GIR_Coverage, 51853,
     /*   21486 */     GIR_EraseRootFromParent_Done,
     /*   21487 */   // Label 434: @21487
     /*   21487 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(21540), // Rule ID 46084 //
     /*   21492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21503 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21538 */     GIR_RootConstrainSelectedInstOperands,
     /*   21539 */     // GIR_Coverage, 46084,
     /*   21539 */     GIR_EraseRootFromParent_Done,
     /*   21540 */   // Label 435: @21540
     /*   21540 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(21593), // Rule ID 46085 //
     /*   21545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21556 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21591 */     GIR_RootConstrainSelectedInstOperands,
     /*   21592 */     // GIR_Coverage, 46085,
     /*   21592 */     GIR_EraseRootFromParent_Done,
     /*   21593 */   // Label 436: @21593
     /*   21593 */   GIM_Reject,
     /*   21594 */ // Label 430: @21594
     /*   21594 */ GIM_Reject,
     /*   21595 */ // Label 133: @21595
     /*   21595 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(24719),
     /*   21600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21610 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(21706), // Rule ID 70658 //
     /*   21615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21678 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21680 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21704 */     GIR_RootConstrainSelectedInstOperands,
     /*   21705 */     // GIR_Coverage, 70658,
     /*   21705 */     GIR_EraseRootFromParent_Done,
     /*   21706 */   // Label 438: @21706
     /*   21706 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(21802), // Rule ID 70659 //
     /*   21711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21776 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21800 */     GIR_RootConstrainSelectedInstOperands,
     /*   21801 */     // GIR_Coverage, 70659,
     /*   21801 */     GIR_EraseRootFromParent_Done,
     /*   21802 */   // Label 439: @21802
     /*   21802 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(21898), // Rule ID 70898 //
     /*   21807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21872 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21896 */     GIR_RootConstrainSelectedInstOperands,
     /*   21897 */     // GIR_Coverage, 70898,
     /*   21897 */     GIR_EraseRootFromParent_Done,
     /*   21898 */   // Label 440: @21898
     /*   21898 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(21994), // Rule ID 70899 //
     /*   21903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21968 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21992 */     GIR_RootConstrainSelectedInstOperands,
     /*   21993 */     // GIR_Coverage, 70899,
     /*   21993 */     GIR_EraseRootFromParent_Done,
     /*   21994 */   // Label 441: @21994
     /*   21994 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22090), // Rule ID 70900 //
     /*   21999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22064 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22088 */     GIR_RootConstrainSelectedInstOperands,
     /*   22089 */     // GIR_Coverage, 70900,
     /*   22089 */     GIR_EraseRootFromParent_Done,
     /*   22090 */   // Label 442: @22090
     /*   22090 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22186), // Rule ID 70901 //
     /*   22095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22160 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22184 */     GIR_RootConstrainSelectedInstOperands,
     /*   22185 */     // GIR_Coverage, 70901,
     /*   22185 */     GIR_EraseRootFromParent_Done,
     /*   22186 */   // Label 443: @22186
     /*   22186 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22282), // Rule ID 70772 //
     /*   22191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22256 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22280 */     GIR_RootConstrainSelectedInstOperands,
     /*   22281 */     // GIR_Coverage, 70772,
     /*   22281 */     GIR_EraseRootFromParent_Done,
     /*   22282 */   // Label 444: @22282
     /*   22282 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22378), // Rule ID 70773 //
     /*   22287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22352 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22376 */     GIR_RootConstrainSelectedInstOperands,
     /*   22377 */     // GIR_Coverage, 70773,
     /*   22377 */     GIR_EraseRootFromParent_Done,
     /*   22378 */   // Label 445: @22378
     /*   22378 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22474), // Rule ID 52024 //
     /*   22383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22439 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22448 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22472 */     GIR_RootConstrainSelectedInstOperands,
     /*   22473 */     // GIR_Coverage, 52024,
     /*   22473 */     GIR_EraseRootFromParent_Done,
     /*   22474 */   // Label 446: @22474
     /*   22474 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22570), // Rule ID 52025 //
     /*   22479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22516 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22531 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22535 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22537 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22544 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22568 */     GIR_RootConstrainSelectedInstOperands,
     /*   22569 */     // GIR_Coverage, 52025,
     /*   22569 */     GIR_EraseRootFromParent_Done,
     /*   22570 */   // Label 447: @22570
     /*   22570 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(22666), // Rule ID 52142 //
     /*   22575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22612 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22631 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22633 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22640 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22664 */     GIR_RootConstrainSelectedInstOperands,
     /*   22665 */     // GIR_Coverage, 52142,
     /*   22665 */     GIR_EraseRootFromParent_Done,
     /*   22666 */   // Label 448: @22666
     /*   22666 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(22762), // Rule ID 52143 //
     /*   22671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22723 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22727 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22736 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22760 */     GIR_RootConstrainSelectedInstOperands,
     /*   22761 */     // GIR_Coverage, 52143,
     /*   22761 */     GIR_EraseRootFromParent_Done,
     /*   22762 */   // Label 449: @22762
     /*   22762 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(22858), // Rule ID 70896 //
     /*   22767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22823 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22832 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22856 */     GIR_RootConstrainSelectedInstOperands,
     /*   22857 */     // GIR_Coverage, 70896,
     /*   22857 */     GIR_EraseRootFromParent_Done,
     /*   22858 */   // Label 450: @22858
     /*   22858 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(22954), // Rule ID 70897 //
     /*   22863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22928 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22952 */     GIR_RootConstrainSelectedInstOperands,
     /*   22953 */     // GIR_Coverage, 70897,
     /*   22953 */     GIR_EraseRootFromParent_Done,
     /*   22954 */   // Label 451: @22954
     /*   22954 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23050), // Rule ID 52082 //
     /*   22959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23024 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23048 */     GIR_RootConstrainSelectedInstOperands,
     /*   23049 */     // GIR_Coverage, 52082,
     /*   23049 */     GIR_EraseRootFromParent_Done,
     /*   23050 */   // Label 452: @23050
     /*   23050 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23146), // Rule ID 52083 //
     /*   23055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23120 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23144 */     GIR_RootConstrainSelectedInstOperands,
     /*   23145 */     // GIR_Coverage, 52083,
     /*   23145 */     GIR_EraseRootFromParent_Done,
     /*   23146 */   // Label 453: @23146
     /*   23146 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23235), // Rule ID 46670 //
     /*   23151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23194 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23233 */     GIR_RootConstrainSelectedInstOperands,
     /*   23234 */     // GIR_Coverage, 46670,
     /*   23234 */     GIR_EraseRootFromParent_Done,
     /*   23235 */   // Label 454: @23235
     /*   23235 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23324), // Rule ID 46671 //
     /*   23240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23283 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23322 */     GIR_RootConstrainSelectedInstOperands,
     /*   23323 */     // GIR_Coverage, 46671,
     /*   23323 */     GIR_EraseRootFromParent_Done,
     /*   23324 */   // Label 455: @23324
     /*   23324 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23413), // Rule ID 46434 //
     /*   23329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23363 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23372 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23411 */     GIR_RootConstrainSelectedInstOperands,
     /*   23412 */     // GIR_Coverage, 46434,
     /*   23412 */     GIR_EraseRootFromParent_Done,
     /*   23413 */   // Label 456: @23413
     /*   23413 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23502), // Rule ID 46435 //
     /*   23418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23461 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23500 */     GIR_RootConstrainSelectedInstOperands,
     /*   23501 */     // GIR_Coverage, 46435,
     /*   23501 */     GIR_EraseRootFromParent_Done,
     /*   23502 */   // Label 457: @23502
     /*   23502 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23591), // Rule ID 46550 //
     /*   23507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23550 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23589 */     GIR_RootConstrainSelectedInstOperands,
     /*   23590 */     // GIR_Coverage, 46550,
     /*   23590 */     GIR_EraseRootFromParent_Done,
     /*   23591 */   // Label 458: @23591
     /*   23591 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23680), // Rule ID 46551 //
     /*   23596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23639 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23678 */     GIR_RootConstrainSelectedInstOperands,
     /*   23679 */     // GIR_Coverage, 46551,
     /*   23679 */     GIR_EraseRootFromParent_Done,
     /*   23680 */   // Label 459: @23680
     /*   23680 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23748), // Rule ID 70470 //
     /*   23685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23704 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23722 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23746 */     GIR_RootConstrainSelectedInstOperands,
     /*   23747 */     // GIR_Coverage, 70470,
     /*   23747 */     GIR_EraseRootFromParent_Done,
     /*   23748 */   // Label 460: @23748
     /*   23748 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23816), // Rule ID 70471 //
     /*   23753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23790 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23814 */     GIR_RootConstrainSelectedInstOperands,
     /*   23815 */     // GIR_Coverage, 70471,
     /*   23815 */     GIR_EraseRootFromParent_Done,
     /*   23816 */   // Label 461: @23816
     /*   23816 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23871), // Rule ID 69458 //
     /*   23821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23849 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23869 */     GIR_RootConstrainSelectedInstOperands,
     /*   23870 */     // GIR_Coverage, 69458,
     /*   23870 */     GIR_EraseRootFromParent_Done,
     /*   23871 */   // Label 462: @23871
     /*   23871 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 69459 //
     /*   23876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23904 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 69459,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(23981), // Rule ID 69278 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23959 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   23962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23979 */     GIR_RootConstrainSelectedInstOperands,
     /*   23980 */     // GIR_Coverage, 69278,
     /*   23980 */     GIR_EraseRootFromParent_Done,
     /*   23981 */   // Label 464: @23981
     /*   23981 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24036), // Rule ID 69279 //
     /*   23986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24014 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24034 */     GIR_RootConstrainSelectedInstOperands,
     /*   24035 */     // GIR_Coverage, 69279,
     /*   24035 */     GIR_EraseRootFromParent_Done,
     /*   24036 */   // Label 465: @24036
     /*   24036 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24091), // Rule ID 69368 //
     /*   24041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24069 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24089 */     GIR_RootConstrainSelectedInstOperands,
     /*   24090 */     // GIR_Coverage, 69368,
     /*   24090 */     GIR_EraseRootFromParent_Done,
     /*   24091 */   // Label 466: @24091
     /*   24091 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24146), // Rule ID 69369 //
     /*   24096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24124 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24144 */     GIR_RootConstrainSelectedInstOperands,
     /*   24145 */     // GIR_Coverage, 69369,
     /*   24145 */     GIR_EraseRootFromParent_Done,
     /*   24146 */   // Label 467: @24146
     /*   24146 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24214), // Rule ID 51864 //
     /*   24151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24188 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 51864,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 468: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24282), // Rule ID 51865 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24256 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24280 */     GIR_RootConstrainSelectedInstOperands,
     /*   24281 */     // GIR_Coverage, 51865,
     /*   24281 */     GIR_EraseRootFromParent_Done,
     /*   24282 */   // Label 469: @24282
     /*   24282 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24337), // Rule ID 46730 //
     /*   24287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24315 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24335 */     GIR_RootConstrainSelectedInstOperands,
     /*   24336 */     // GIR_Coverage, 46730,
     /*   24336 */     GIR_EraseRootFromParent_Done,
     /*   24337 */   // Label 470: @24337
     /*   24337 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24392), // Rule ID 46731 //
     /*   24342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24370 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24390 */     GIR_RootConstrainSelectedInstOperands,
     /*   24391 */     // GIR_Coverage, 46731,
     /*   24391 */     GIR_EraseRootFromParent_Done,
     /*   24392 */   // Label 471: @24392
     /*   24392 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24447), // Rule ID 46490 //
     /*   24397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24425 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24445 */     GIR_RootConstrainSelectedInstOperands,
     /*   24446 */     // GIR_Coverage, 46490,
     /*   24446 */     GIR_EraseRootFromParent_Done,
     /*   24447 */   // Label 472: @24447
     /*   24447 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24502), // Rule ID 46491 //
     /*   24452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24480 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 46491,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 473: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24557), // Rule ID 46610 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24535 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24555 */     GIR_RootConstrainSelectedInstOperands,
     /*   24556 */     // GIR_Coverage, 46610,
     /*   24556 */     GIR_EraseRootFromParent_Done,
     /*   24557 */   // Label 474: @24557
     /*   24557 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(24612), // Rule ID 46611 //
     /*   24562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24590 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24610 */     GIR_RootConstrainSelectedInstOperands,
     /*   24611 */     // GIR_Coverage, 46611,
     /*   24611 */     GIR_EraseRootFromParent_Done,
     /*   24612 */   // Label 475: @24612
     /*   24612 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(24665), // Rule ID 46096 //
     /*   24617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24628 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24663 */     GIR_RootConstrainSelectedInstOperands,
     /*   24664 */     // GIR_Coverage, 46096,
     /*   24664 */     GIR_EraseRootFromParent_Done,
     /*   24665 */   // Label 476: @24665
     /*   24665 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(24718), // Rule ID 46097 //
     /*   24670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24681 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24716 */     GIR_RootConstrainSelectedInstOperands,
     /*   24717 */     // GIR_Coverage, 46097,
     /*   24717 */     GIR_EraseRootFromParent_Done,
     /*   24718 */   // Label 477: @24718
     /*   24718 */   GIM_Reject,
     /*   24719 */ // Label 437: @24719
     /*   24719 */ GIM_Reject,
     /*   24720 */ // Label 134: @24720
     /*   24720 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(27844),
     /*   24725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24735 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(24831), // Rule ID 70670 //
     /*   24740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24788 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24792 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24805 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24829 */     GIR_RootConstrainSelectedInstOperands,
     /*   24830 */     // GIR_Coverage, 70670,
     /*   24830 */     GIR_EraseRootFromParent_Done,
     /*   24831 */   // Label 479: @24831
     /*   24831 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(24927), // Rule ID 70671 //
     /*   24836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24888 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24890 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24901 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24925 */     GIR_RootConstrainSelectedInstOperands,
     /*   24926 */     // GIR_Coverage, 70671,
     /*   24926 */     GIR_EraseRootFromParent_Done,
     /*   24927 */   // Label 480: @24927
     /*   24927 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25023), // Rule ID 70934 //
     /*   24932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24984 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24997 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25021 */     GIR_RootConstrainSelectedInstOperands,
     /*   25022 */     // GIR_Coverage, 70934,
     /*   25022 */     GIR_EraseRootFromParent_Done,
     /*   25023 */   // Label 481: @25023
     /*   25023 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25119), // Rule ID 70935 //
     /*   25028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25076 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25080 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25093 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25117 */     GIR_RootConstrainSelectedInstOperands,
     /*   25118 */     // GIR_Coverage, 70935,
     /*   25118 */     GIR_EraseRootFromParent_Done,
     /*   25119 */   // Label 482: @25119
     /*   25119 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25215), // Rule ID 70936 //
     /*   25124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25176 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25189 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25213 */     GIR_RootConstrainSelectedInstOperands,
     /*   25214 */     // GIR_Coverage, 70936,
     /*   25214 */     GIR_EraseRootFromParent_Done,
     /*   25215 */   // Label 483: @25215
     /*   25215 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25311), // Rule ID 70937 //
     /*   25220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25253 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25268 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25272 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25274 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25285 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25309 */     GIR_RootConstrainSelectedInstOperands,
     /*   25310 */     // GIR_Coverage, 70937,
     /*   25310 */     GIR_EraseRootFromParent_Done,
     /*   25311 */   // Label 484: @25311
     /*   25311 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25407), // Rule ID 70784 //
     /*   25316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25364 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25368 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25370 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25381 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25405 */     GIR_RootConstrainSelectedInstOperands,
     /*   25406 */     // GIR_Coverage, 70784,
     /*   25406 */     GIR_EraseRootFromParent_Done,
     /*   25407 */   // Label 485: @25407
     /*   25407 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25503), // Rule ID 70785 //
     /*   25412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25460 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25464 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25466 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25477 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25501 */     GIR_RootConstrainSelectedInstOperands,
     /*   25502 */     // GIR_Coverage, 70785,
     /*   25502 */     GIR_EraseRootFromParent_Done,
     /*   25503 */   // Label 486: @25503
     /*   25503 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(25599), // Rule ID 52036 //
     /*   25508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25564 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25573 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25597 */     GIR_RootConstrainSelectedInstOperands,
     /*   25598 */     // GIR_Coverage, 52036,
     /*   25598 */     GIR_EraseRootFromParent_Done,
     /*   25599 */   // Label 487: @25599
     /*   25599 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(25695), // Rule ID 52037 //
     /*   25604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25656 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25660 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25669 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25693 */     GIR_RootConstrainSelectedInstOperands,
     /*   25694 */     // GIR_Coverage, 52037,
     /*   25694 */     GIR_EraseRootFromParent_Done,
     /*   25695 */   // Label 488: @25695
     /*   25695 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(25791), // Rule ID 52154 //
     /*   25700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25756 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25758 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25765 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25789 */     GIR_RootConstrainSelectedInstOperands,
     /*   25790 */     // GIR_Coverage, 52154,
     /*   25790 */     GIR_EraseRootFromParent_Done,
     /*   25791 */   // Label 489: @25791
     /*   25791 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(25887), // Rule ID 52155 //
     /*   25796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25833 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25852 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25854 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25861 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25885 */     GIR_RootConstrainSelectedInstOperands,
     /*   25886 */     // GIR_Coverage, 52155,
     /*   25886 */     GIR_EraseRootFromParent_Done,
     /*   25887 */   // Label 490: @25887
     /*   25887 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(25983), // Rule ID 70932 //
     /*   25892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25948 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25957 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25981 */     GIR_RootConstrainSelectedInstOperands,
     /*   25982 */     // GIR_Coverage, 70932,
     /*   25982 */     GIR_EraseRootFromParent_Done,
     /*   25983 */   // Label 491: @25983
     /*   25983 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26079), // Rule ID 70933 //
     /*   25988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26040 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26044 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26046 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26053 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   26064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26077 */     GIR_RootConstrainSelectedInstOperands,
     /*   26078 */     // GIR_Coverage, 70933,
     /*   26078 */     GIR_EraseRootFromParent_Done,
     /*   26079 */   // Label 492: @26079
     /*   26079 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26175), // Rule ID 52094 //
     /*   26084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26140 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26142 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26149 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26173 */     GIR_RootConstrainSelectedInstOperands,
     /*   26174 */     // GIR_Coverage, 52094,
     /*   26174 */     GIR_EraseRootFromParent_Done,
     /*   26175 */   // Label 493: @26175
     /*   26175 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26271), // Rule ID 52095 //
     /*   26180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26236 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26238 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26245 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26269 */     GIR_RootConstrainSelectedInstOperands,
     /*   26270 */     // GIR_Coverage, 52095,
     /*   26270 */     GIR_EraseRootFromParent_Done,
     /*   26271 */   // Label 494: @26271
     /*   26271 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26360), // Rule ID 46694 //
     /*   26276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26319 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26358 */     GIR_RootConstrainSelectedInstOperands,
     /*   26359 */     // GIR_Coverage, 46694,
     /*   26359 */     GIR_EraseRootFromParent_Done,
     /*   26360 */   // Label 495: @26360
     /*   26360 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26449), // Rule ID 46695 //
     /*   26365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26408 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26447 */     GIR_RootConstrainSelectedInstOperands,
     /*   26448 */     // GIR_Coverage, 46695,
     /*   26448 */     GIR_EraseRootFromParent_Done,
     /*   26449 */   // Label 496: @26449
     /*   26449 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26538), // Rule ID 46458 //
     /*   26454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26488 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26497 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26536 */     GIR_RootConstrainSelectedInstOperands,
     /*   26537 */     // GIR_Coverage, 46458,
     /*   26537 */     GIR_EraseRootFromParent_Done,
     /*   26538 */   // Label 497: @26538
     /*   26538 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26627), // Rule ID 46459 //
     /*   26543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26577 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26586 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26625 */     GIR_RootConstrainSelectedInstOperands,
     /*   26626 */     // GIR_Coverage, 46459,
     /*   26626 */     GIR_EraseRootFromParent_Done,
     /*   26627 */   // Label 498: @26627
     /*   26627 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26716), // Rule ID 46574 //
     /*   26632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26675 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26714 */     GIR_RootConstrainSelectedInstOperands,
     /*   26715 */     // GIR_Coverage, 46574,
     /*   26715 */     GIR_EraseRootFromParent_Done,
     /*   26716 */   // Label 499: @26716
     /*   26716 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26805), // Rule ID 46575 //
     /*   26721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26764 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26803 */     GIR_RootConstrainSelectedInstOperands,
     /*   26804 */     // GIR_Coverage, 46575,
     /*   26804 */     GIR_EraseRootFromParent_Done,
     /*   26805 */   // Label 500: @26805
     /*   26805 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26873), // Rule ID 70502 //
     /*   26810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26847 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26871 */     GIR_RootConstrainSelectedInstOperands,
     /*   26872 */     // GIR_Coverage, 70502,
     /*   26872 */     GIR_EraseRootFromParent_Done,
     /*   26873 */   // Label 501: @26873
     /*   26873 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(26941), // Rule ID 70503 //
     /*   26878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26897 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26915 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26939 */     GIR_RootConstrainSelectedInstOperands,
     /*   26940 */     // GIR_Coverage, 70503,
     /*   26940 */     GIR_EraseRootFromParent_Done,
     /*   26941 */   // Label 502: @26941
     /*   26941 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26996), // Rule ID 69482 //
     /*   26946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26974 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   26977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26994 */     GIR_RootConstrainSelectedInstOperands,
     /*   26995 */     // GIR_Coverage, 69482,
     /*   26995 */     GIR_EraseRootFromParent_Done,
     /*   26996 */   // Label 503: @26996
     /*   26996 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27051), // Rule ID 69483 //
     /*   27001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27029 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27049 */     GIR_RootConstrainSelectedInstOperands,
     /*   27050 */     // GIR_Coverage, 69483,
     /*   27050 */     GIR_EraseRootFromParent_Done,
     /*   27051 */   // Label 504: @27051
     /*   27051 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27106), // Rule ID 69302 //
     /*   27056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27084 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27104 */     GIR_RootConstrainSelectedInstOperands,
     /*   27105 */     // GIR_Coverage, 69302,
     /*   27105 */     GIR_EraseRootFromParent_Done,
     /*   27106 */   // Label 505: @27106
     /*   27106 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27161), // Rule ID 69303 //
     /*   27111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27139 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27159 */     GIR_RootConstrainSelectedInstOperands,
     /*   27160 */     // GIR_Coverage, 69303,
     /*   27160 */     GIR_EraseRootFromParent_Done,
     /*   27161 */   // Label 506: @27161
     /*   27161 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27216), // Rule ID 69392 //
     /*   27166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27194 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27214 */     GIR_RootConstrainSelectedInstOperands,
     /*   27215 */     // GIR_Coverage, 69392,
     /*   27215 */     GIR_EraseRootFromParent_Done,
     /*   27216 */   // Label 507: @27216
     /*   27216 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27271), // Rule ID 69393 //
     /*   27221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27249 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27269 */     GIR_RootConstrainSelectedInstOperands,
     /*   27270 */     // GIR_Coverage, 69393,
     /*   27270 */     GIR_EraseRootFromParent_Done,
     /*   27271 */   // Label 508: @27271
     /*   27271 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27339), // Rule ID 51880 //
     /*   27276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27313 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27337 */     GIR_RootConstrainSelectedInstOperands,
     /*   27338 */     // GIR_Coverage, 51880,
     /*   27338 */     GIR_EraseRootFromParent_Done,
     /*   27339 */   // Label 509: @27339
     /*   27339 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27407), // Rule ID 51881 //
     /*   27344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27381 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   27381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27405 */     GIR_RootConstrainSelectedInstOperands,
     /*   27406 */     // GIR_Coverage, 51881,
     /*   27406 */     GIR_EraseRootFromParent_Done,
     /*   27407 */   // Label 510: @27407
     /*   27407 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27462), // Rule ID 46754 //
     /*   27412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27440 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27460 */     GIR_RootConstrainSelectedInstOperands,
     /*   27461 */     // GIR_Coverage, 46754,
     /*   27461 */     GIR_EraseRootFromParent_Done,
     /*   27462 */   // Label 511: @27462
     /*   27462 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27517), // Rule ID 46755 //
     /*   27467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27495 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27515 */     GIR_RootConstrainSelectedInstOperands,
     /*   27516 */     // GIR_Coverage, 46755,
     /*   27516 */     GIR_EraseRootFromParent_Done,
     /*   27517 */   // Label 512: @27517
     /*   27517 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27572), // Rule ID 46514 //
     /*   27522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27550 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27570 */     GIR_RootConstrainSelectedInstOperands,
     /*   27571 */     // GIR_Coverage, 46514,
     /*   27571 */     GIR_EraseRootFromParent_Done,
     /*   27572 */   // Label 513: @27572
     /*   27572 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27627), // Rule ID 46515 //
     /*   27577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27605 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27625 */     GIR_RootConstrainSelectedInstOperands,
     /*   27626 */     // GIR_Coverage, 46515,
     /*   27626 */     GIR_EraseRootFromParent_Done,
     /*   27627 */   // Label 514: @27627
     /*   27627 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27682), // Rule ID 46634 //
     /*   27632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27660 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27680 */     GIR_RootConstrainSelectedInstOperands,
     /*   27681 */     // GIR_Coverage, 46634,
     /*   27681 */     GIR_EraseRootFromParent_Done,
     /*   27682 */   // Label 515: @27682
     /*   27682 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27737), // Rule ID 46635 //
     /*   27687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27715 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27735 */     GIR_RootConstrainSelectedInstOperands,
     /*   27736 */     // GIR_Coverage, 46635,
     /*   27736 */     GIR_EraseRootFromParent_Done,
     /*   27737 */   // Label 516: @27737
     /*   27737 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(27790), // Rule ID 46112 //
     /*   27742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27753 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   27753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27788 */     GIR_RootConstrainSelectedInstOperands,
     /*   27789 */     // GIR_Coverage, 46112,
     /*   27789 */     GIR_EraseRootFromParent_Done,
     /*   27790 */   // Label 517: @27790
     /*   27790 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(27843), // Rule ID 46113 //
     /*   27795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27806 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   27806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27841 */     GIR_RootConstrainSelectedInstOperands,
     /*   27842 */     // GIR_Coverage, 46113,
     /*   27842 */     GIR_EraseRootFromParent_Done,
     /*   27843 */   // Label 518: @27843
     /*   27843 */   GIM_Reject,
     /*   27844 */ // Label 478: @27844
     /*   27844 */ GIM_Reject,
     /*   27845 */ // Label 135: @27845
     /*   27845 */ GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(30969),
     /*   27850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27860 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(27956), // Rule ID 70680 //
     /*   27865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   27868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27930 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   27933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27954 */     GIR_RootConstrainSelectedInstOperands,
     /*   27955 */     // GIR_Coverage, 70680,
     /*   27955 */     GIR_EraseRootFromParent_Done,
     /*   27956 */   // Label 520: @27956
     /*   27956 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28052), // Rule ID 70681 //
     /*   27961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   27964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28026 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28050 */     GIR_RootConstrainSelectedInstOperands,
     /*   28051 */     // GIR_Coverage, 70681,
     /*   28051 */     GIR_EraseRootFromParent_Done,
     /*   28052 */   // Label 521: @28052
     /*   28052 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28148), // Rule ID 70964 //
     /*   28057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28122 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28146 */     GIR_RootConstrainSelectedInstOperands,
     /*   28147 */     // GIR_Coverage, 70964,
     /*   28147 */     GIR_EraseRootFromParent_Done,
     /*   28148 */   // Label 522: @28148
     /*   28148 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28244), // Rule ID 70965 //
     /*   28153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28201 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28205 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28207 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28218 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28242 */     GIR_RootConstrainSelectedInstOperands,
     /*   28243 */     // GIR_Coverage, 70965,
     /*   28243 */     GIR_EraseRootFromParent_Done,
     /*   28244 */   // Label 523: @28244
     /*   28244 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28340), // Rule ID 70966 //
     /*   28249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28268 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28282 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28297 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28301 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28303 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28314 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28338 */     GIR_RootConstrainSelectedInstOperands,
     /*   28339 */     // GIR_Coverage, 70966,
     /*   28339 */     GIR_EraseRootFromParent_Done,
     /*   28340 */   // Label 524: @28340
     /*   28340 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28436), // Rule ID 70967 //
     /*   28345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28393 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28397 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28399 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28410 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28434 */     GIR_RootConstrainSelectedInstOperands,
     /*   28435 */     // GIR_Coverage, 70967,
     /*   28435 */     GIR_EraseRootFromParent_Done,
     /*   28436 */   // Label 525: @28436
     /*   28436 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28532), // Rule ID 70794 //
     /*   28441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28489 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28493 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28495 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28506 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28530 */     GIR_RootConstrainSelectedInstOperands,
     /*   28531 */     // GIR_Coverage, 70794,
     /*   28531 */     GIR_EraseRootFromParent_Done,
     /*   28532 */   // Label 526: @28532
     /*   28532 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28628), // Rule ID 70795 //
     /*   28537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28585 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28589 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28591 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28602 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28626 */     GIR_RootConstrainSelectedInstOperands,
     /*   28627 */     // GIR_Coverage, 70795,
     /*   28627 */     GIR_EraseRootFromParent_Done,
     /*   28628 */   // Label 527: @28628
     /*   28628 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(28724), // Rule ID 52046 //
     /*   28633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28698 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28722 */     GIR_RootConstrainSelectedInstOperands,
     /*   28723 */     // GIR_Coverage, 52046,
     /*   28723 */     GIR_EraseRootFromParent_Done,
     /*   28724 */   // Label 528: @28724
     /*   28724 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(28820), // Rule ID 52047 //
     /*   28729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28794 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28818 */     GIR_RootConstrainSelectedInstOperands,
     /*   28819 */     // GIR_Coverage, 52047,
     /*   28819 */     GIR_EraseRootFromParent_Done,
     /*   28820 */   // Label 529: @28820
     /*   28820 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(28916), // Rule ID 52164 //
     /*   28825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28890 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28914 */     GIR_RootConstrainSelectedInstOperands,
     /*   28915 */     // GIR_Coverage, 52164,
     /*   28915 */     GIR_EraseRootFromParent_Done,
     /*   28916 */   // Label 530: @28916
     /*   28916 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29012), // Rule ID 52165 //
     /*   28921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28986 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29010 */     GIR_RootConstrainSelectedInstOperands,
     /*   29011 */     // GIR_Coverage, 52165,
     /*   29011 */     GIR_EraseRootFromParent_Done,
     /*   29012 */   // Label 531: @29012
     /*   29012 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29108), // Rule ID 70962 //
     /*   29017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29082 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29106 */     GIR_RootConstrainSelectedInstOperands,
     /*   29107 */     // GIR_Coverage, 70962,
     /*   29107 */     GIR_EraseRootFromParent_Done,
     /*   29108 */   // Label 532: @29108
     /*   29108 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29204), // Rule ID 70963 //
     /*   29113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29178 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29202 */     GIR_RootConstrainSelectedInstOperands,
     /*   29203 */     // GIR_Coverage, 70963,
     /*   29203 */     GIR_EraseRootFromParent_Done,
     /*   29204 */   // Label 533: @29204
     /*   29204 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29300), // Rule ID 52104 //
     /*   29209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29274 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29298 */     GIR_RootConstrainSelectedInstOperands,
     /*   29299 */     // GIR_Coverage, 52104,
     /*   29299 */     GIR_EraseRootFromParent_Done,
     /*   29300 */   // Label 534: @29300
     /*   29300 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29396), // Rule ID 52105 //
     /*   29305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29370 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29394 */     GIR_RootConstrainSelectedInstOperands,
     /*   29395 */     // GIR_Coverage, 52105,
     /*   29395 */     GIR_EraseRootFromParent_Done,
     /*   29396 */   // Label 535: @29396
     /*   29396 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29485), // Rule ID 46714 //
     /*   29401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29444 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29483 */     GIR_RootConstrainSelectedInstOperands,
     /*   29484 */     // GIR_Coverage, 46714,
     /*   29484 */     GIR_EraseRootFromParent_Done,
     /*   29485 */   // Label 536: @29485
     /*   29485 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29574), // Rule ID 46715 //
     /*   29490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29533 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29572 */     GIR_RootConstrainSelectedInstOperands,
     /*   29573 */     // GIR_Coverage, 46715,
     /*   29573 */     GIR_EraseRootFromParent_Done,
     /*   29574 */   // Label 537: @29574
     /*   29574 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29663), // Rule ID 46478 //
     /*   29579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29613 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29622 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29661 */     GIR_RootConstrainSelectedInstOperands,
     /*   29662 */     // GIR_Coverage, 46478,
     /*   29662 */     GIR_EraseRootFromParent_Done,
     /*   29663 */   // Label 538: @29663
     /*   29663 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29752), // Rule ID 46479 //
     /*   29668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29702 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29711 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29750 */     GIR_RootConstrainSelectedInstOperands,
     /*   29751 */     // GIR_Coverage, 46479,
     /*   29751 */     GIR_EraseRootFromParent_Done,
     /*   29752 */   // Label 539: @29752
     /*   29752 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29841), // Rule ID 46594 //
     /*   29757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29800 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29839 */     GIR_RootConstrainSelectedInstOperands,
     /*   29840 */     // GIR_Coverage, 46594,
     /*   29840 */     GIR_EraseRootFromParent_Done,
     /*   29841 */   // Label 540: @29841
     /*   29841 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29930), // Rule ID 46595 //
     /*   29846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29889 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29928 */     GIR_RootConstrainSelectedInstOperands,
     /*   29929 */     // GIR_Coverage, 46595,
     /*   29929 */     GIR_EraseRootFromParent_Done,
     /*   29930 */   // Label 541: @29930
     /*   29930 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29998), // Rule ID 70590 //
     /*   29935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29972 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   29972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   29975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   29993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29996 */     GIR_RootConstrainSelectedInstOperands,
     /*   29997 */     // GIR_Coverage, 70590,
     /*   29997 */     GIR_EraseRootFromParent_Done,
     /*   29998 */   // Label 542: @29998
     /*   29998 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30066), // Rule ID 70591 //
     /*   30003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30040 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30064 */     GIR_RootConstrainSelectedInstOperands,
     /*   30065 */     // GIR_Coverage, 70591,
     /*   30065 */     GIR_EraseRootFromParent_Done,
     /*   30066 */   // Label 543: @30066
     /*   30066 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30121), // Rule ID 69502 //
     /*   30071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30099 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30119 */     GIR_RootConstrainSelectedInstOperands,
     /*   30120 */     // GIR_Coverage, 69502,
     /*   30120 */     GIR_EraseRootFromParent_Done,
     /*   30121 */   // Label 544: @30121
     /*   30121 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30176), // Rule ID 69503 //
     /*   30126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30154 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30174 */     GIR_RootConstrainSelectedInstOperands,
     /*   30175 */     // GIR_Coverage, 69503,
     /*   30175 */     GIR_EraseRootFromParent_Done,
     /*   30176 */   // Label 545: @30176
     /*   30176 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30231), // Rule ID 69322 //
     /*   30181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30209 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30229 */     GIR_RootConstrainSelectedInstOperands,
     /*   30230 */     // GIR_Coverage, 69322,
     /*   30230 */     GIR_EraseRootFromParent_Done,
     /*   30231 */   // Label 546: @30231
     /*   30231 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30286), // Rule ID 69323 //
     /*   30236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30264 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30284 */     GIR_RootConstrainSelectedInstOperands,
     /*   30285 */     // GIR_Coverage, 69323,
     /*   30285 */     GIR_EraseRootFromParent_Done,
     /*   30286 */   // Label 547: @30286
     /*   30286 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30341), // Rule ID 69412 //
     /*   30291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30319 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30339 */     GIR_RootConstrainSelectedInstOperands,
     /*   30340 */     // GIR_Coverage, 69412,
     /*   30340 */     GIR_EraseRootFromParent_Done,
     /*   30341 */   // Label 548: @30341
     /*   30341 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30396), // Rule ID 69413 //
     /*   30346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30374 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30394 */     GIR_RootConstrainSelectedInstOperands,
     /*   30395 */     // GIR_Coverage, 69413,
     /*   30395 */     GIR_EraseRootFromParent_Done,
     /*   30396 */   // Label 549: @30396
     /*   30396 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30464), // Rule ID 51924 //
     /*   30401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30438 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   30438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30462 */     GIR_RootConstrainSelectedInstOperands,
     /*   30463 */     // GIR_Coverage, 51924,
     /*   30463 */     GIR_EraseRootFromParent_Done,
     /*   30464 */   // Label 550: @30464
     /*   30464 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30532), // Rule ID 51925 //
     /*   30469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30506 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30530 */     GIR_RootConstrainSelectedInstOperands,
     /*   30531 */     // GIR_Coverage, 51925,
     /*   30531 */     GIR_EraseRootFromParent_Done,
     /*   30532 */   // Label 551: @30532
     /*   30532 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30587), // Rule ID 46774 //
     /*   30537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30565 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30585 */     GIR_RootConstrainSelectedInstOperands,
     /*   30586 */     // GIR_Coverage, 46774,
     /*   30586 */     GIR_EraseRootFromParent_Done,
     /*   30587 */   // Label 552: @30587
     /*   30587 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30642), // Rule ID 46775 //
     /*   30592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30620 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30640 */     GIR_RootConstrainSelectedInstOperands,
     /*   30641 */     // GIR_Coverage, 46775,
     /*   30641 */     GIR_EraseRootFromParent_Done,
     /*   30642 */   // Label 553: @30642
     /*   30642 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30697), // Rule ID 46534 //
     /*   30647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30675 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30695 */     GIR_RootConstrainSelectedInstOperands,
     /*   30696 */     // GIR_Coverage, 46534,
     /*   30696 */     GIR_EraseRootFromParent_Done,
     /*   30697 */   // Label 554: @30697
     /*   30697 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30752), // Rule ID 46535 //
     /*   30702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30730 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30750 */     GIR_RootConstrainSelectedInstOperands,
     /*   30751 */     // GIR_Coverage, 46535,
     /*   30751 */     GIR_EraseRootFromParent_Done,
     /*   30752 */   // Label 555: @30752
     /*   30752 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30807), // Rule ID 46654 //
     /*   30757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30785 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30805 */     GIR_RootConstrainSelectedInstOperands,
     /*   30806 */     // GIR_Coverage, 46654,
     /*   30806 */     GIR_EraseRootFromParent_Done,
     /*   30807 */   // Label 556: @30807
     /*   30807 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(30862), // Rule ID 46655 //
     /*   30812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30840 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30860 */     GIR_RootConstrainSelectedInstOperands,
     /*   30861 */     // GIR_Coverage, 46655,
     /*   30861 */     GIR_EraseRootFromParent_Done,
     /*   30862 */   // Label 557: @30862
     /*   30862 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(30915), // Rule ID 46156 //
     /*   30867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30878 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   30878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30913 */     GIR_RootConstrainSelectedInstOperands,
     /*   30914 */     // GIR_Coverage, 46156,
     /*   30914 */     GIR_EraseRootFromParent_Done,
     /*   30915 */   // Label 558: @30915
     /*   30915 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(30968), // Rule ID 46157 //
     /*   30920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30931 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   30931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30966 */     GIR_RootConstrainSelectedInstOperands,
     /*   30967 */     // GIR_Coverage, 46157,
     /*   30967 */     GIR_EraseRootFromParent_Done,
     /*   30968 */   // Label 559: @30968
     /*   30968 */   GIM_Reject,
     /*   30969 */ // Label 519: @30969
     /*   30969 */ GIM_Reject,
     /*   30970 */ // Label 136: @30970
     /*   30970 */ GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31364),
     /*   30975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   30981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30985 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31053), // Rule ID 70454 //
     /*   30990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31027 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31051 */     GIR_RootConstrainSelectedInstOperands,
     /*   31052 */     // GIR_Coverage, 70454,
     /*   31052 */     GIR_EraseRootFromParent_Done,
     /*   31053 */   // Label 561: @31053
     /*   31053 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31121), // Rule ID 70455 //
     /*   31058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31095 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31119 */     GIR_RootConstrainSelectedInstOperands,
     /*   31120 */     // GIR_Coverage, 70455,
     /*   31120 */     GIR_EraseRootFromParent_Done,
     /*   31121 */   // Label 562: @31121
     /*   31121 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31189), // Rule ID 51856 //
     /*   31126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31163 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31187 */     GIR_RootConstrainSelectedInstOperands,
     /*   31188 */     // GIR_Coverage, 51856,
     /*   31188 */     GIR_EraseRootFromParent_Done,
     /*   31189 */   // Label 563: @31189
     /*   31189 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31257), // Rule ID 51857 //
     /*   31194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31231 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31255 */     GIR_RootConstrainSelectedInstOperands,
     /*   31256 */     // GIR_Coverage, 51857,
     /*   31256 */     GIR_EraseRootFromParent_Done,
     /*   31257 */   // Label 564: @31257
     /*   31257 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31310), // Rule ID 46088 //
     /*   31262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31273 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31308 */     GIR_RootConstrainSelectedInstOperands,
     /*   31309 */     // GIR_Coverage, 46088,
     /*   31309 */     GIR_EraseRootFromParent_Done,
     /*   31310 */   // Label 565: @31310
     /*   31310 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31363), // Rule ID 46089 //
     /*   31315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31326 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31361 */     GIR_RootConstrainSelectedInstOperands,
     /*   31362 */     // GIR_Coverage, 46089,
     /*   31362 */     GIR_EraseRootFromParent_Done,
     /*   31363 */   // Label 566: @31363
     /*   31363 */   GIM_Reject,
     /*   31364 */ // Label 560: @31364
     /*   31364 */ GIM_Reject,
     /*   31365 */ // Label 137: @31365
     /*   31365 */ GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(34489),
     /*   31370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31380 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(31476), // Rule ID 70660 //
     /*   31385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31437 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31439 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31450 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31474 */     GIR_RootConstrainSelectedInstOperands,
     /*   31475 */     // GIR_Coverage, 70660,
     /*   31475 */     GIR_EraseRootFromParent_Done,
     /*   31476 */   // Label 568: @31476
     /*   31476 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(31572), // Rule ID 70661 //
     /*   31481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31533 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31546 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31570 */     GIR_RootConstrainSelectedInstOperands,
     /*   31571 */     // GIR_Coverage, 70661,
     /*   31571 */     GIR_EraseRootFromParent_Done,
     /*   31572 */   // Label 569: @31572
     /*   31572 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(31668), // Rule ID 70904 //
     /*   31577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31625 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31629 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31642 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31666 */     GIR_RootConstrainSelectedInstOperands,
     /*   31667 */     // GIR_Coverage, 70904,
     /*   31667 */     GIR_EraseRootFromParent_Done,
     /*   31668 */   // Label 570: @31668
     /*   31668 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(31764), // Rule ID 70905 //
     /*   31673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31721 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31725 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31727 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31738 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31762 */     GIR_RootConstrainSelectedInstOperands,
     /*   31763 */     // GIR_Coverage, 70905,
     /*   31763 */     GIR_EraseRootFromParent_Done,
     /*   31764 */   // Label 571: @31764
     /*   31764 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(31860), // Rule ID 70906 //
     /*   31769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31817 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31821 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31823 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31834 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31858 */     GIR_RootConstrainSelectedInstOperands,
     /*   31859 */     // GIR_Coverage, 70906,
     /*   31859 */     GIR_EraseRootFromParent_Done,
     /*   31860 */   // Label 572: @31860
     /*   31860 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(31956), // Rule ID 70907 //
     /*   31865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31930 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31954 */     GIR_RootConstrainSelectedInstOperands,
     /*   31955 */     // GIR_Coverage, 70907,
     /*   31955 */     GIR_EraseRootFromParent_Done,
     /*   31956 */   // Label 573: @31956
     /*   31956 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32052), // Rule ID 70774 //
     /*   31961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32026 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32050 */     GIR_RootConstrainSelectedInstOperands,
     /*   32051 */     // GIR_Coverage, 70774,
     /*   32051 */     GIR_EraseRootFromParent_Done,
     /*   32052 */   // Label 574: @32052
     /*   32052 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32148), // Rule ID 70775 //
     /*   32057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32122 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32146 */     GIR_RootConstrainSelectedInstOperands,
     /*   32147 */     // GIR_Coverage, 70775,
     /*   32147 */     GIR_EraseRootFromParent_Done,
     /*   32148 */   // Label 575: @32148
     /*   32148 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32244), // Rule ID 52026 //
     /*   32153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32205 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32209 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32211 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32218 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32242 */     GIR_RootConstrainSelectedInstOperands,
     /*   32243 */     // GIR_Coverage, 52026,
     /*   32243 */     GIR_EraseRootFromParent_Done,
     /*   32244 */   // Label 576: @32244
     /*   32244 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32340), // Rule ID 52027 //
     /*   32249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32301 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32305 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32307 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32314 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32338 */     GIR_RootConstrainSelectedInstOperands,
     /*   32339 */     // GIR_Coverage, 52027,
     /*   32339 */     GIR_EraseRootFromParent_Done,
     /*   32340 */   // Label 577: @32340
     /*   32340 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32436), // Rule ID 52144 //
     /*   32345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32389 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32393 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32397 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32401 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32403 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32410 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32434 */     GIR_RootConstrainSelectedInstOperands,
     /*   32435 */     // GIR_Coverage, 52144,
     /*   32435 */     GIR_EraseRootFromParent_Done,
     /*   32436 */   // Label 578: @32436
     /*   32436 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32532), // Rule ID 52145 //
     /*   32441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32464 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32493 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32497 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32499 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32506 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32530 */     GIR_RootConstrainSelectedInstOperands,
     /*   32531 */     // GIR_Coverage, 52145,
     /*   32531 */     GIR_EraseRootFromParent_Done,
     /*   32532 */   // Label 579: @32532
     /*   32532 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32628), // Rule ID 70902 //
     /*   32537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32560 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32593 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32602 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32626 */     GIR_RootConstrainSelectedInstOperands,
     /*   32627 */     // GIR_Coverage, 70902,
     /*   32627 */     GIR_EraseRootFromParent_Done,
     /*   32628 */   // Label 580: @32628
     /*   32628 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32724), // Rule ID 70903 //
     /*   32633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32698 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32722 */     GIR_RootConstrainSelectedInstOperands,
     /*   32723 */     // GIR_Coverage, 70903,
     /*   32723 */     GIR_EraseRootFromParent_Done,
     /*   32724 */   // Label 581: @32724
     /*   32724 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(32820), // Rule ID 52084 //
     /*   32729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32794 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32818 */     GIR_RootConstrainSelectedInstOperands,
     /*   32819 */     // GIR_Coverage, 52084,
     /*   32819 */     GIR_EraseRootFromParent_Done,
     /*   32820 */   // Label 582: @32820
     /*   32820 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(32916), // Rule ID 52085 //
     /*   32825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32890 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32914 */     GIR_RootConstrainSelectedInstOperands,
     /*   32915 */     // GIR_Coverage, 52085,
     /*   32915 */     GIR_EraseRootFromParent_Done,
     /*   32916 */   // Label 583: @32916
     /*   32916 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33005), // Rule ID 46674 //
     /*   32921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32964 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   32964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   32967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   32981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33003 */     GIR_RootConstrainSelectedInstOperands,
     /*   33004 */     // GIR_Coverage, 46674,
     /*   33004 */     GIR_EraseRootFromParent_Done,
     /*   33005 */   // Label 584: @33005
     /*   33005 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33094), // Rule ID 46675 //
     /*   33010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33053 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33092 */     GIR_RootConstrainSelectedInstOperands,
     /*   33093 */     // GIR_Coverage, 46675,
     /*   33093 */     GIR_EraseRootFromParent_Done,
     /*   33094 */   // Label 585: @33094
     /*   33094 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33183), // Rule ID 46438 //
     /*   33099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33133 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33142 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33181 */     GIR_RootConstrainSelectedInstOperands,
     /*   33182 */     // GIR_Coverage, 46438,
     /*   33182 */     GIR_EraseRootFromParent_Done,
     /*   33183 */   // Label 586: @33183
     /*   33183 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33272), // Rule ID 46439 //
     /*   33188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33231 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33270 */     GIR_RootConstrainSelectedInstOperands,
     /*   33271 */     // GIR_Coverage, 46439,
     /*   33271 */     GIR_EraseRootFromParent_Done,
     /*   33272 */   // Label 587: @33272
     /*   33272 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33361), // Rule ID 46554 //
     /*   33277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33311 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33320 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33359 */     GIR_RootConstrainSelectedInstOperands,
     /*   33360 */     // GIR_Coverage, 46554,
     /*   33360 */     GIR_EraseRootFromParent_Done,
     /*   33361 */   // Label 588: @33361
     /*   33361 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33450), // Rule ID 46555 //
     /*   33366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33400 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33409 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33448 */     GIR_RootConstrainSelectedInstOperands,
     /*   33449 */     // GIR_Coverage, 46555,
     /*   33449 */     GIR_EraseRootFromParent_Done,
     /*   33450 */   // Label 589: @33450
     /*   33450 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33518), // Rule ID 70494 //
     /*   33455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33492 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33516 */     GIR_RootConstrainSelectedInstOperands,
     /*   33517 */     // GIR_Coverage, 70494,
     /*   33517 */     GIR_EraseRootFromParent_Done,
     /*   33518 */   // Label 590: @33518
     /*   33518 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33586), // Rule ID 70495 //
     /*   33523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33560 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33584 */     GIR_RootConstrainSelectedInstOperands,
     /*   33585 */     // GIR_Coverage, 70495,
     /*   33585 */     GIR_EraseRootFromParent_Done,
     /*   33586 */   // Label 591: @33586
     /*   33586 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33641), // Rule ID 69462 //
     /*   33591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33619 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33639 */     GIR_RootConstrainSelectedInstOperands,
     /*   33640 */     // GIR_Coverage, 69462,
     /*   33640 */     GIR_EraseRootFromParent_Done,
     /*   33641 */   // Label 592: @33641
     /*   33641 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 69463 //
     /*   33646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33674 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 69463,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33751), // Rule ID 69282 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33729 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33749 */     GIR_RootConstrainSelectedInstOperands,
     /*   33750 */     // GIR_Coverage, 69282,
     /*   33750 */     GIR_EraseRootFromParent_Done,
     /*   33751 */   // Label 594: @33751
     /*   33751 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33806), // Rule ID 69283 //
     /*   33756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33784 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33804 */     GIR_RootConstrainSelectedInstOperands,
     /*   33805 */     // GIR_Coverage, 69283,
     /*   33805 */     GIR_EraseRootFromParent_Done,
     /*   33806 */   // Label 595: @33806
     /*   33806 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33861), // Rule ID 69372 //
     /*   33811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33839 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33859 */     GIR_RootConstrainSelectedInstOperands,
     /*   33860 */     // GIR_Coverage, 69372,
     /*   33860 */     GIR_EraseRootFromParent_Done,
     /*   33861 */   // Label 596: @33861
     /*   33861 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(33916), // Rule ID 69373 //
     /*   33866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33894 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33914 */     GIR_RootConstrainSelectedInstOperands,
     /*   33915 */     // GIR_Coverage, 69373,
     /*   33915 */     GIR_EraseRootFromParent_Done,
     /*   33916 */   // Label 597: @33916
     /*   33916 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(33984), // Rule ID 51876 //
     /*   33921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33958 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 51876,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 598: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34052), // Rule ID 51877 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   34012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34026 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   34029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   34035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34050 */     GIR_RootConstrainSelectedInstOperands,
     /*   34051 */     // GIR_Coverage, 51877,
     /*   34051 */     GIR_EraseRootFromParent_Done,
     /*   34052 */   // Label 599: @34052
     /*   34052 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34107), // Rule ID 46734 //
     /*   34057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34085 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34105 */     GIR_RootConstrainSelectedInstOperands,
     /*   34106 */     // GIR_Coverage, 46734,
     /*   34106 */     GIR_EraseRootFromParent_Done,
     /*   34107 */   // Label 600: @34107
     /*   34107 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34162), // Rule ID 46735 //
     /*   34112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34140 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34160 */     GIR_RootConstrainSelectedInstOperands,
     /*   34161 */     // GIR_Coverage, 46735,
     /*   34161 */     GIR_EraseRootFromParent_Done,
     /*   34162 */   // Label 601: @34162
     /*   34162 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34217), // Rule ID 46494 //
     /*   34167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34195 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34215 */     GIR_RootConstrainSelectedInstOperands,
     /*   34216 */     // GIR_Coverage, 46494,
     /*   34216 */     GIR_EraseRootFromParent_Done,
     /*   34217 */   // Label 602: @34217
     /*   34217 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34272), // Rule ID 46495 //
     /*   34222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34250 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 46495,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 603: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34327), // Rule ID 46614 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34305 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34325 */     GIR_RootConstrainSelectedInstOperands,
     /*   34326 */     // GIR_Coverage, 46614,
     /*   34326 */     GIR_EraseRootFromParent_Done,
     /*   34327 */   // Label 604: @34327
     /*   34327 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34382), // Rule ID 46615 //
     /*   34332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34360 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34380 */     GIR_RootConstrainSelectedInstOperands,
     /*   34381 */     // GIR_Coverage, 46615,
     /*   34381 */     GIR_EraseRootFromParent_Done,
     /*   34382 */   // Label 605: @34382
     /*   34382 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34435), // Rule ID 46108 //
     /*   34387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34398 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34433 */     GIR_RootConstrainSelectedInstOperands,
     /*   34434 */     // GIR_Coverage, 46108,
     /*   34434 */     GIR_EraseRootFromParent_Done,
     /*   34435 */   // Label 606: @34435
     /*   34435 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(34488), // Rule ID 46109 //
     /*   34440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34451 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34486 */     GIR_RootConstrainSelectedInstOperands,
     /*   34487 */     // GIR_Coverage, 46109,
     /*   34487 */     GIR_EraseRootFromParent_Done,
     /*   34488 */   // Label 607: @34488
     /*   34488 */   GIM_Reject,
     /*   34489 */ // Label 567: @34489
     /*   34489 */ GIM_Reject,
     /*   34490 */ // Label 138: @34490
     /*   34490 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37614),
     /*   34495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34505 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(34601), // Rule ID 70672 //
     /*   34510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34558 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34562 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34564 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34575 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34599 */     GIR_RootConstrainSelectedInstOperands,
     /*   34600 */     // GIR_Coverage, 70672,
     /*   34600 */     GIR_EraseRootFromParent_Done,
     /*   34601 */   // Label 609: @34601
     /*   34601 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(34697), // Rule ID 70673 //
     /*   34606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34658 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34660 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34669 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34671 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34695 */     GIR_RootConstrainSelectedInstOperands,
     /*   34696 */     // GIR_Coverage, 70673,
     /*   34696 */     GIR_EraseRootFromParent_Done,
     /*   34697 */   // Label 610: @34697
     /*   34697 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(34793), // Rule ID 70940 //
     /*   34702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34750 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34754 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34756 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34767 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34791 */     GIR_RootConstrainSelectedInstOperands,
     /*   34792 */     // GIR_Coverage, 70940,
     /*   34792 */     GIR_EraseRootFromParent_Done,
     /*   34793 */   // Label 611: @34793
     /*   34793 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(34889), // Rule ID 70941 //
     /*   34798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34831 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34846 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34850 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34852 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34863 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34887 */     GIR_RootConstrainSelectedInstOperands,
     /*   34888 */     // GIR_Coverage, 70941,
     /*   34888 */     GIR_EraseRootFromParent_Done,
     /*   34889 */   // Label 612: @34889
     /*   34889 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(34985), // Rule ID 70942 //
     /*   34894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34942 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34946 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34948 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34959 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34983 */     GIR_RootConstrainSelectedInstOperands,
     /*   34984 */     // GIR_Coverage, 70942,
     /*   34984 */     GIR_EraseRootFromParent_Done,
     /*   34985 */   // Label 613: @34985
     /*   34985 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35081), // Rule ID 70943 //
     /*   34990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35023 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35038 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35042 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35044 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35055 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35079 */     GIR_RootConstrainSelectedInstOperands,
     /*   35080 */     // GIR_Coverage, 70943,
     /*   35080 */     GIR_EraseRootFromParent_Done,
     /*   35081 */   // Label 614: @35081
     /*   35081 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35177), // Rule ID 70786 //
     /*   35086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35126 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35130 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35134 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35138 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35151 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35175 */     GIR_RootConstrainSelectedInstOperands,
     /*   35176 */     // GIR_Coverage, 70786,
     /*   35176 */     GIR_EraseRootFromParent_Done,
     /*   35177 */   // Label 615: @35177
     /*   35177 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35273), // Rule ID 70787 //
     /*   35182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35230 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35234 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35236 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35247 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35271 */     GIR_RootConstrainSelectedInstOperands,
     /*   35272 */     // GIR_Coverage, 70787,
     /*   35272 */     GIR_EraseRootFromParent_Done,
     /*   35273 */   // Label 616: @35273
     /*   35273 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35369), // Rule ID 52038 //
     /*   35278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35330 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35334 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35336 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35343 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35367 */     GIR_RootConstrainSelectedInstOperands,
     /*   35368 */     // GIR_Coverage, 52038,
     /*   35368 */     GIR_EraseRootFromParent_Done,
     /*   35369 */   // Label 617: @35369
     /*   35369 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35465), // Rule ID 52039 //
     /*   35374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35411 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35430 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35432 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35439 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35463 */     GIR_RootConstrainSelectedInstOperands,
     /*   35464 */     // GIR_Coverage, 52039,
     /*   35464 */     GIR_EraseRootFromParent_Done,
     /*   35465 */   // Label 618: @35465
     /*   35465 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35561), // Rule ID 52156 //
     /*   35470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35522 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35526 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35528 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35533 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35535 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35559 */     GIR_RootConstrainSelectedInstOperands,
     /*   35560 */     // GIR_Coverage, 52156,
     /*   35560 */     GIR_EraseRootFromParent_Done,
     /*   35561 */   // Label 619: @35561
     /*   35561 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35657), // Rule ID 52157 //
     /*   35566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35631 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35655 */     GIR_RootConstrainSelectedInstOperands,
     /*   35656 */     // GIR_Coverage, 52157,
     /*   35656 */     GIR_EraseRootFromParent_Done,
     /*   35657 */   // Label 620: @35657
     /*   35657 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(35753), // Rule ID 70938 //
     /*   35662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35727 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35751 */     GIR_RootConstrainSelectedInstOperands,
     /*   35752 */     // GIR_Coverage, 70938,
     /*   35752 */     GIR_EraseRootFromParent_Done,
     /*   35753 */   // Label 621: @35753
     /*   35753 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(35849), // Rule ID 70939 //
     /*   35758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35823 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35847 */     GIR_RootConstrainSelectedInstOperands,
     /*   35848 */     // GIR_Coverage, 70939,
     /*   35848 */     GIR_EraseRootFromParent_Done,
     /*   35849 */   // Label 622: @35849
     /*   35849 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(35945), // Rule ID 52096 //
     /*   35854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35917 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35919 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35943 */     GIR_RootConstrainSelectedInstOperands,
     /*   35944 */     // GIR_Coverage, 52096,
     /*   35944 */     GIR_EraseRootFromParent_Done,
     /*   35945 */   // Label 623: @35945
     /*   35945 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36041), // Rule ID 52097 //
     /*   35950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   36015 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   36018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   36022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   36030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36039 */     GIR_RootConstrainSelectedInstOperands,
     /*   36040 */     // GIR_Coverage, 52097,
     /*   36040 */     GIR_EraseRootFromParent_Done,
     /*   36041 */   // Label 624: @36041
     /*   36041 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36130), // Rule ID 46698 //
     /*   36046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36089 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36128 */     GIR_RootConstrainSelectedInstOperands,
     /*   36129 */     // GIR_Coverage, 46698,
     /*   36129 */     GIR_EraseRootFromParent_Done,
     /*   36130 */   // Label 625: @36130
     /*   36130 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36219), // Rule ID 46699 //
     /*   36135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36178 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36217 */     GIR_RootConstrainSelectedInstOperands,
     /*   36218 */     // GIR_Coverage, 46699,
     /*   36218 */     GIR_EraseRootFromParent_Done,
     /*   36219 */   // Label 626: @36219
     /*   36219 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36308), // Rule ID 46462 //
     /*   36224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36258 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36267 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36306 */     GIR_RootConstrainSelectedInstOperands,
     /*   36307 */     // GIR_Coverage, 46462,
     /*   36307 */     GIR_EraseRootFromParent_Done,
     /*   36308 */   // Label 627: @36308
     /*   36308 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36397), // Rule ID 46463 //
     /*   36313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36347 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36356 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36395 */     GIR_RootConstrainSelectedInstOperands,
     /*   36396 */     // GIR_Coverage, 46463,
     /*   36396 */     GIR_EraseRootFromParent_Done,
     /*   36397 */   // Label 628: @36397
     /*   36397 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36486), // Rule ID 46578 //
     /*   36402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36436 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36445 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36484 */     GIR_RootConstrainSelectedInstOperands,
     /*   36485 */     // GIR_Coverage, 46578,
     /*   36485 */     GIR_EraseRootFromParent_Done,
     /*   36486 */   // Label 629: @36486
     /*   36486 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36575), // Rule ID 46579 //
     /*   36491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36534 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36573 */     GIR_RootConstrainSelectedInstOperands,
     /*   36574 */     // GIR_Coverage, 46579,
     /*   36574 */     GIR_EraseRootFromParent_Done,
     /*   36575 */   // Label 630: @36575
     /*   36575 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36643), // Rule ID 70566 //
     /*   36580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36617 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36641 */     GIR_RootConstrainSelectedInstOperands,
     /*   36642 */     // GIR_Coverage, 70566,
     /*   36642 */     GIR_EraseRootFromParent_Done,
     /*   36643 */   // Label 631: @36643
     /*   36643 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36711), // Rule ID 70567 //
     /*   36648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36685 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36709 */     GIR_RootConstrainSelectedInstOperands,
     /*   36710 */     // GIR_Coverage, 70567,
     /*   36710 */     GIR_EraseRootFromParent_Done,
     /*   36711 */   // Label 632: @36711
     /*   36711 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36766), // Rule ID 69486 //
     /*   36716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36744 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36764 */     GIR_RootConstrainSelectedInstOperands,
     /*   36765 */     // GIR_Coverage, 69486,
     /*   36765 */     GIR_EraseRootFromParent_Done,
     /*   36766 */   // Label 633: @36766
     /*   36766 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36821), // Rule ID 69487 //
     /*   36771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36799 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36819 */     GIR_RootConstrainSelectedInstOperands,
     /*   36820 */     // GIR_Coverage, 69487,
     /*   36820 */     GIR_EraseRootFromParent_Done,
     /*   36821 */   // Label 634: @36821
     /*   36821 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36876), // Rule ID 69306 //
     /*   36826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36854 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36874 */     GIR_RootConstrainSelectedInstOperands,
     /*   36875 */     // GIR_Coverage, 69306,
     /*   36875 */     GIR_EraseRootFromParent_Done,
     /*   36876 */   // Label 635: @36876
     /*   36876 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36931), // Rule ID 69307 //
     /*   36881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36909 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36929 */     GIR_RootConstrainSelectedInstOperands,
     /*   36930 */     // GIR_Coverage, 69307,
     /*   36930 */     GIR_EraseRootFromParent_Done,
     /*   36931 */   // Label 636: @36931
     /*   36931 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36986), // Rule ID 69396 //
     /*   36936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36964 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36984 */     GIR_RootConstrainSelectedInstOperands,
     /*   36985 */     // GIR_Coverage, 69396,
     /*   36985 */     GIR_EraseRootFromParent_Done,
     /*   36986 */   // Label 637: @36986
     /*   36986 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37041), // Rule ID 69397 //
     /*   36991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37019 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37039 */     GIR_RootConstrainSelectedInstOperands,
     /*   37040 */     // GIR_Coverage, 69397,
     /*   37040 */     GIR_EraseRootFromParent_Done,
     /*   37041 */   // Label 638: @37041
     /*   37041 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37109), // Rule ID 51912 //
     /*   37046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37083 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37107 */     GIR_RootConstrainSelectedInstOperands,
     /*   37108 */     // GIR_Coverage, 51912,
     /*   37108 */     GIR_EraseRootFromParent_Done,
     /*   37109 */   // Label 639: @37109
     /*   37109 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37177), // Rule ID 51913 //
     /*   37114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37151 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37175 */     GIR_RootConstrainSelectedInstOperands,
     /*   37176 */     // GIR_Coverage, 51913,
     /*   37176 */     GIR_EraseRootFromParent_Done,
     /*   37177 */   // Label 640: @37177
     /*   37177 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37232), // Rule ID 46758 //
     /*   37182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37210 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37230 */     GIR_RootConstrainSelectedInstOperands,
     /*   37231 */     // GIR_Coverage, 46758,
     /*   37231 */     GIR_EraseRootFromParent_Done,
     /*   37232 */   // Label 641: @37232
     /*   37232 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37287), // Rule ID 46759 //
     /*   37237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37265 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37285 */     GIR_RootConstrainSelectedInstOperands,
     /*   37286 */     // GIR_Coverage, 46759,
     /*   37286 */     GIR_EraseRootFromParent_Done,
     /*   37287 */   // Label 642: @37287
     /*   37287 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37342), // Rule ID 46518 //
     /*   37292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37320 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37340 */     GIR_RootConstrainSelectedInstOperands,
     /*   37341 */     // GIR_Coverage, 46518,
     /*   37341 */     GIR_EraseRootFromParent_Done,
     /*   37342 */   // Label 643: @37342
     /*   37342 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37397), // Rule ID 46519 //
     /*   37347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37375 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37395 */     GIR_RootConstrainSelectedInstOperands,
     /*   37396 */     // GIR_Coverage, 46519,
     /*   37396 */     GIR_EraseRootFromParent_Done,
     /*   37397 */   // Label 644: @37397
     /*   37397 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37452), // Rule ID 46638 //
     /*   37402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37430 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37450 */     GIR_RootConstrainSelectedInstOperands,
     /*   37451 */     // GIR_Coverage, 46638,
     /*   37451 */     GIR_EraseRootFromParent_Done,
     /*   37452 */   // Label 645: @37452
     /*   37452 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37507), // Rule ID 46639 //
     /*   37457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37485 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37505 */     GIR_RootConstrainSelectedInstOperands,
     /*   37506 */     // GIR_Coverage, 46639,
     /*   37506 */     GIR_EraseRootFromParent_Done,
     /*   37507 */   // Label 646: @37507
     /*   37507 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37560), // Rule ID 46144 //
     /*   37512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37523 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   37523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37558 */     GIR_RootConstrainSelectedInstOperands,
     /*   37559 */     // GIR_Coverage, 46144,
     /*   37559 */     GIR_EraseRootFromParent_Done,
     /*   37560 */   // Label 647: @37560
     /*   37560 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37613), // Rule ID 46145 //
     /*   37565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37576 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   37576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37611 */     GIR_RootConstrainSelectedInstOperands,
     /*   37612 */     // GIR_Coverage, 46145,
     /*   37612 */     GIR_EraseRootFromParent_Done,
     /*   37613 */   // Label 648: @37613
     /*   37613 */   GIM_Reject,
     /*   37614 */ // Label 608: @37614
     /*   37614 */ GIM_Reject,
     /*   37615 */ // Label 139: @37615
     /*   37615 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(40739),
     /*   37620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37630 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(37726), // Rule ID 70682 //
     /*   37635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37700 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37724 */     GIR_RootConstrainSelectedInstOperands,
     /*   37725 */     // GIR_Coverage, 70682,
     /*   37725 */     GIR_EraseRootFromParent_Done,
     /*   37726 */   // Label 650: @37726
     /*   37726 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(37822), // Rule ID 70683 //
     /*   37731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37796 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37820 */     GIR_RootConstrainSelectedInstOperands,
     /*   37821 */     // GIR_Coverage, 70683,
     /*   37821 */     GIR_EraseRootFromParent_Done,
     /*   37822 */   // Label 651: @37822
     /*   37822 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(37918), // Rule ID 70970 //
     /*   37827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37892 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37916 */     GIR_RootConstrainSelectedInstOperands,
     /*   37917 */     // GIR_Coverage, 70970,
     /*   37917 */     GIR_EraseRootFromParent_Done,
     /*   37918 */   // Label 652: @37918
     /*   37918 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38014), // Rule ID 70971 //
     /*   37923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37971 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37975 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37977 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37988 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38012 */     GIR_RootConstrainSelectedInstOperands,
     /*   38013 */     // GIR_Coverage, 70971,
     /*   38013 */     GIR_EraseRootFromParent_Done,
     /*   38014 */   // Label 653: @38014
     /*   38014 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38110), // Rule ID 70972 //
     /*   38019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38038 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38067 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38071 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38073 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38084 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38108 */     GIR_RootConstrainSelectedInstOperands,
     /*   38109 */     // GIR_Coverage, 70972,
     /*   38109 */     GIR_EraseRootFromParent_Done,
     /*   38110 */   // Label 654: @38110
     /*   38110 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38206), // Rule ID 70973 //
     /*   38115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38163 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38167 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38169 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38180 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38204 */     GIR_RootConstrainSelectedInstOperands,
     /*   38205 */     // GIR_Coverage, 70973,
     /*   38205 */     GIR_EraseRootFromParent_Done,
     /*   38206 */   // Label 655: @38206
     /*   38206 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38302), // Rule ID 70796 //
     /*   38211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38263 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38265 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38276 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38300 */     GIR_RootConstrainSelectedInstOperands,
     /*   38301 */     // GIR_Coverage, 70796,
     /*   38301 */     GIR_EraseRootFromParent_Done,
     /*   38302 */   // Label 656: @38302
     /*   38302 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38398), // Rule ID 70797 //
     /*   38307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38359 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38372 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38396 */     GIR_RootConstrainSelectedInstOperands,
     /*   38397 */     // GIR_Coverage, 70797,
     /*   38397 */     GIR_EraseRootFromParent_Done,
     /*   38398 */   // Label 657: @38398
     /*   38398 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38494), // Rule ID 52048 //
     /*   38403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38468 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38492 */     GIR_RootConstrainSelectedInstOperands,
     /*   38493 */     // GIR_Coverage, 52048,
     /*   38493 */     GIR_EraseRootFromParent_Done,
     /*   38494 */   // Label 658: @38494
     /*   38494 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38590), // Rule ID 52049 //
     /*   38499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38564 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38588 */     GIR_RootConstrainSelectedInstOperands,
     /*   38589 */     // GIR_Coverage, 52049,
     /*   38589 */     GIR_EraseRootFromParent_Done,
     /*   38590 */   // Label 659: @38590
     /*   38590 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(38686), // Rule ID 52166 //
     /*   38595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38660 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38684 */     GIR_RootConstrainSelectedInstOperands,
     /*   38685 */     // GIR_Coverage, 52166,
     /*   38685 */     GIR_EraseRootFromParent_Done,
     /*   38686 */   // Label 660: @38686
     /*   38686 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(38782), // Rule ID 52167 //
     /*   38691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38747 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38749 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38756 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38780 */     GIR_RootConstrainSelectedInstOperands,
     /*   38781 */     // GIR_Coverage, 52167,
     /*   38781 */     GIR_EraseRootFromParent_Done,
     /*   38782 */   // Label 661: @38782
     /*   38782 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(38878), // Rule ID 70968 //
     /*   38787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38839 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38843 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38845 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38852 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38876 */     GIR_RootConstrainSelectedInstOperands,
     /*   38877 */     // GIR_Coverage, 70968,
     /*   38877 */     GIR_EraseRootFromParent_Done,
     /*   38878 */   // Label 662: @38878
     /*   38878 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(38974), // Rule ID 70969 //
     /*   38883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38920 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38935 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38939 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38941 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38948 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38972 */     GIR_RootConstrainSelectedInstOperands,
     /*   38973 */     // GIR_Coverage, 70969,
     /*   38973 */     GIR_EraseRootFromParent_Done,
     /*   38974 */   // Label 663: @38974
     /*   38974 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39070), // Rule ID 52106 //
     /*   38979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39031 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39035 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39044 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39068 */     GIR_RootConstrainSelectedInstOperands,
     /*   39069 */     // GIR_Coverage, 52106,
     /*   39069 */     GIR_EraseRootFromParent_Done,
     /*   39070 */   // Label 664: @39070
     /*   39070 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39166), // Rule ID 52107 //
     /*   39075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39112 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39127 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39131 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39133 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39138 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39140 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39164 */     GIR_RootConstrainSelectedInstOperands,
     /*   39165 */     // GIR_Coverage, 52107,
     /*   39165 */     GIR_EraseRootFromParent_Done,
     /*   39166 */   // Label 665: @39166
     /*   39166 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39255), // Rule ID 46718 //
     /*   39171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39214 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39253 */     GIR_RootConstrainSelectedInstOperands,
     /*   39254 */     // GIR_Coverage, 46718,
     /*   39254 */     GIR_EraseRootFromParent_Done,
     /*   39255 */   // Label 666: @39255
     /*   39255 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39344), // Rule ID 46719 //
     /*   39260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39303 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39342 */     GIR_RootConstrainSelectedInstOperands,
     /*   39343 */     // GIR_Coverage, 46719,
     /*   39343 */     GIR_EraseRootFromParent_Done,
     /*   39344 */   // Label 667: @39344
     /*   39344 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39433), // Rule ID 46482 //
     /*   39349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39392 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39431 */     GIR_RootConstrainSelectedInstOperands,
     /*   39432 */     // GIR_Coverage, 46482,
     /*   39432 */     GIR_EraseRootFromParent_Done,
     /*   39433 */   // Label 668: @39433
     /*   39433 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39522), // Rule ID 46483 //
     /*   39438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39481 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39520 */     GIR_RootConstrainSelectedInstOperands,
     /*   39521 */     // GIR_Coverage, 46483,
     /*   39521 */     GIR_EraseRootFromParent_Done,
     /*   39522 */   // Label 669: @39522
     /*   39522 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39611), // Rule ID 46598 //
     /*   39527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39570 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39609 */     GIR_RootConstrainSelectedInstOperands,
     /*   39610 */     // GIR_Coverage, 46598,
     /*   39610 */     GIR_EraseRootFromParent_Done,
     /*   39611 */   // Label 670: @39611
     /*   39611 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39700), // Rule ID 46599 //
     /*   39616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39659 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39698 */     GIR_RootConstrainSelectedInstOperands,
     /*   39699 */     // GIR_Coverage, 46599,
     /*   39699 */     GIR_EraseRootFromParent_Done,
     /*   39700 */   // Label 671: @39700
     /*   39700 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39768), // Rule ID 70598 //
     /*   39705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39742 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   39742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39766 */     GIR_RootConstrainSelectedInstOperands,
     /*   39767 */     // GIR_Coverage, 70598,
     /*   39767 */     GIR_EraseRootFromParent_Done,
     /*   39768 */   // Label 672: @39768
     /*   39768 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39836), // Rule ID 70599 //
     /*   39773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   39776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39810 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   39810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39834 */     GIR_RootConstrainSelectedInstOperands,
     /*   39835 */     // GIR_Coverage, 70599,
     /*   39835 */     GIR_EraseRootFromParent_Done,
     /*   39836 */   // Label 673: @39836
     /*   39836 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39891), // Rule ID 69506 //
     /*   39841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39869 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39889 */     GIR_RootConstrainSelectedInstOperands,
     /*   39890 */     // GIR_Coverage, 69506,
     /*   39890 */     GIR_EraseRootFromParent_Done,
     /*   39891 */   // Label 674: @39891
     /*   39891 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39946), // Rule ID 69507 //
     /*   39896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39924 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39944 */     GIR_RootConstrainSelectedInstOperands,
     /*   39945 */     // GIR_Coverage, 69507,
     /*   39945 */     GIR_EraseRootFromParent_Done,
     /*   39946 */   // Label 675: @39946
     /*   39946 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(40001), // Rule ID 69326 //
     /*   39951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39979 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   39982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39999 */     GIR_RootConstrainSelectedInstOperands,
     /*   40000 */     // GIR_Coverage, 69326,
     /*   40000 */     GIR_EraseRootFromParent_Done,
     /*   40001 */   // Label 676: @40001
     /*   40001 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40056), // Rule ID 69327 //
     /*   40006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40034 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40054 */     GIR_RootConstrainSelectedInstOperands,
     /*   40055 */     // GIR_Coverage, 69327,
     /*   40055 */     GIR_EraseRootFromParent_Done,
     /*   40056 */   // Label 677: @40056
     /*   40056 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40111), // Rule ID 69416 //
     /*   40061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40089 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40109 */     GIR_RootConstrainSelectedInstOperands,
     /*   40110 */     // GIR_Coverage, 69416,
     /*   40110 */     GIR_EraseRootFromParent_Done,
     /*   40111 */   // Label 678: @40111
     /*   40111 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40166), // Rule ID 69417 //
     /*   40116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40144 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40164 */     GIR_RootConstrainSelectedInstOperands,
     /*   40165 */     // GIR_Coverage, 69417,
     /*   40165 */     GIR_EraseRootFromParent_Done,
     /*   40166 */   // Label 679: @40166
     /*   40166 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40234), // Rule ID 51928 //
     /*   40171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40208 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   40208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40232 */     GIR_RootConstrainSelectedInstOperands,
     /*   40233 */     // GIR_Coverage, 51928,
     /*   40233 */     GIR_EraseRootFromParent_Done,
     /*   40234 */   // Label 680: @40234
     /*   40234 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40302), // Rule ID 51929 //
     /*   40239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40276 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   40276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40300 */     GIR_RootConstrainSelectedInstOperands,
     /*   40301 */     // GIR_Coverage, 51929,
     /*   40301 */     GIR_EraseRootFromParent_Done,
     /*   40302 */   // Label 681: @40302
     /*   40302 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40357), // Rule ID 46778 //
     /*   40307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40335 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40355 */     GIR_RootConstrainSelectedInstOperands,
     /*   40356 */     // GIR_Coverage, 46778,
     /*   40356 */     GIR_EraseRootFromParent_Done,
     /*   40357 */   // Label 682: @40357
     /*   40357 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40412), // Rule ID 46779 //
     /*   40362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40390 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40410 */     GIR_RootConstrainSelectedInstOperands,
     /*   40411 */     // GIR_Coverage, 46779,
     /*   40411 */     GIR_EraseRootFromParent_Done,
     /*   40412 */   // Label 683: @40412
     /*   40412 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40467), // Rule ID 46538 //
     /*   40417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40445 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40465 */     GIR_RootConstrainSelectedInstOperands,
     /*   40466 */     // GIR_Coverage, 46538,
     /*   40466 */     GIR_EraseRootFromParent_Done,
     /*   40467 */   // Label 684: @40467
     /*   40467 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40522), // Rule ID 46539 //
     /*   40472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40500 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40520 */     GIR_RootConstrainSelectedInstOperands,
     /*   40521 */     // GIR_Coverage, 46539,
     /*   40521 */     GIR_EraseRootFromParent_Done,
     /*   40522 */   // Label 685: @40522
     /*   40522 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40577), // Rule ID 46658 //
     /*   40527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40555 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40575 */     GIR_RootConstrainSelectedInstOperands,
     /*   40576 */     // GIR_Coverage, 46658,
     /*   40576 */     GIR_EraseRootFromParent_Done,
     /*   40577 */   // Label 686: @40577
     /*   40577 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40632), // Rule ID 46659 //
     /*   40582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40610 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40630 */     GIR_RootConstrainSelectedInstOperands,
     /*   40631 */     // GIR_Coverage, 46659,
     /*   40631 */     GIR_EraseRootFromParent_Done,
     /*   40632 */   // Label 687: @40632
     /*   40632 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40685), // Rule ID 46160 //
     /*   40637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40648 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   40648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40683 */     GIR_RootConstrainSelectedInstOperands,
     /*   40684 */     // GIR_Coverage, 46160,
     /*   40684 */     GIR_EraseRootFromParent_Done,
     /*   40685 */   // Label 688: @40685
     /*   40685 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(40738), // Rule ID 46161 //
     /*   40690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40701 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   40701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40736 */     GIR_RootConstrainSelectedInstOperands,
     /*   40737 */     // GIR_Coverage, 46161,
     /*   40737 */     GIR_EraseRootFromParent_Done,
     /*   40738 */   // Label 689: @40738
     /*   40738 */   GIM_Reject,
     /*   40739 */ // Label 649: @40739
     /*   40739 */ GIM_Reject,
     /*   40740 */ // Label 140: @40740
     /*   40740 */ GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41134),
     /*   40745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40755 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(40823), // Rule ID 70486 //
     /*   40760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40797 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40821 */     GIR_RootConstrainSelectedInstOperands,
     /*   40822 */     // GIR_Coverage, 70486,
     /*   40822 */     GIR_EraseRootFromParent_Done,
     /*   40823 */   // Label 691: @40823
     /*   40823 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(40891), // Rule ID 70487 //
     /*   40828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40865 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40889 */     GIR_RootConstrainSelectedInstOperands,
     /*   40890 */     // GIR_Coverage, 70487,
     /*   40890 */     GIR_EraseRootFromParent_Done,
     /*   40891 */   // Label 692: @40891
     /*   40891 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(40959), // Rule ID 51872 //
     /*   40896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40933 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40957 */     GIR_RootConstrainSelectedInstOperands,
     /*   40958 */     // GIR_Coverage, 51872,
     /*   40958 */     GIR_EraseRootFromParent_Done,
     /*   40959 */   // Label 693: @40959
     /*   40959 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41027), // Rule ID 51873 //
     /*   40964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41001 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   41016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41025 */     GIR_RootConstrainSelectedInstOperands,
     /*   41026 */     // GIR_Coverage, 51873,
     /*   41026 */     GIR_EraseRootFromParent_Done,
     /*   41027 */   // Label 694: @41027
     /*   41027 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41080), // Rule ID 46104 //
     /*   41032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41043 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   41043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41078 */     GIR_RootConstrainSelectedInstOperands,
     /*   41079 */     // GIR_Coverage, 46104,
     /*   41079 */     GIR_EraseRootFromParent_Done,
     /*   41080 */   // Label 695: @41080
     /*   41080 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41133), // Rule ID 46105 //
     /*   41085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41096 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   41096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41131 */     GIR_RootConstrainSelectedInstOperands,
     /*   41132 */     // GIR_Coverage, 46105,
     /*   41132 */     GIR_EraseRootFromParent_Done,
     /*   41133 */   // Label 696: @41133
     /*   41133 */   GIM_Reject,
     /*   41134 */ // Label 690: @41134
     /*   41134 */ GIM_Reject,
     /*   41135 */ // Label 141: @41135
     /*   41135 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(44259),
     /*   41140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41150 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41246), // Rule ID 70662 //
     /*   41155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41220 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41244 */     GIR_RootConstrainSelectedInstOperands,
     /*   41245 */     // GIR_Coverage, 70662,
     /*   41245 */     GIR_EraseRootFromParent_Done,
     /*   41246 */   // Label 698: @41246
     /*   41246 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41342), // Rule ID 70663 //
     /*   41251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41316 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41340 */     GIR_RootConstrainSelectedInstOperands,
     /*   41341 */     // GIR_Coverage, 70663,
     /*   41341 */     GIR_EraseRootFromParent_Done,
     /*   41342 */   // Label 699: @41342
     /*   41342 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(41438), // Rule ID 70910 //
     /*   41347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41412 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41436 */     GIR_RootConstrainSelectedInstOperands,
     /*   41437 */     // GIR_Coverage, 70910,
     /*   41437 */     GIR_EraseRootFromParent_Done,
     /*   41438 */   // Label 700: @41438
     /*   41438 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(41534), // Rule ID 70911 //
     /*   41443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41508 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41532 */     GIR_RootConstrainSelectedInstOperands,
     /*   41533 */     // GIR_Coverage, 70911,
     /*   41533 */     GIR_EraseRootFromParent_Done,
     /*   41534 */   // Label 701: @41534
     /*   41534 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(41630), // Rule ID 70912 //
     /*   41539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41604 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41628 */     GIR_RootConstrainSelectedInstOperands,
     /*   41629 */     // GIR_Coverage, 70912,
     /*   41629 */     GIR_EraseRootFromParent_Done,
     /*   41630 */   // Label 702: @41630
     /*   41630 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(41726), // Rule ID 70913 //
     /*   41635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41700 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41724 */     GIR_RootConstrainSelectedInstOperands,
     /*   41725 */     // GIR_Coverage, 70913,
     /*   41725 */     GIR_EraseRootFromParent_Done,
     /*   41726 */   // Label 703: @41726
     /*   41726 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(41822), // Rule ID 70776 //
     /*   41731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41796 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41820 */     GIR_RootConstrainSelectedInstOperands,
     /*   41821 */     // GIR_Coverage, 70776,
     /*   41821 */     GIR_EraseRootFromParent_Done,
     /*   41822 */   // Label 704: @41822
     /*   41822 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(41918), // Rule ID 70777 //
     /*   41827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41892 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41916 */     GIR_RootConstrainSelectedInstOperands,
     /*   41917 */     // GIR_Coverage, 70777,
     /*   41917 */     GIR_EraseRootFromParent_Done,
     /*   41918 */   // Label 705: @41918
     /*   41918 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42014), // Rule ID 52028 //
     /*   41923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41975 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41979 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41981 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41988 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42012 */     GIR_RootConstrainSelectedInstOperands,
     /*   42013 */     // GIR_Coverage, 52028,
     /*   42013 */     GIR_EraseRootFromParent_Done,
     /*   42014 */   // Label 706: @42014
     /*   42014 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42110), // Rule ID 52029 //
     /*   42019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42042 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42071 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42075 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42077 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42084 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   42087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42108 */     GIR_RootConstrainSelectedInstOperands,
     /*   42109 */     // GIR_Coverage, 52029,
     /*   42109 */     GIR_EraseRootFromParent_Done,
     /*   42110 */   // Label 707: @42110
     /*   42110 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42206), // Rule ID 52146 //
     /*   42115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42167 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42171 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42173 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42180 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42204 */     GIR_RootConstrainSelectedInstOperands,
     /*   42205 */     // GIR_Coverage, 52146,
     /*   42205 */     GIR_EraseRootFromParent_Done,
     /*   42206 */   // Label 708: @42206
     /*   42206 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42302), // Rule ID 52147 //
     /*   42211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42263 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42267 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42269 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42276 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42300 */     GIR_RootConstrainSelectedInstOperands,
     /*   42301 */     // GIR_Coverage, 52147,
     /*   42301 */     GIR_EraseRootFromParent_Done,
     /*   42302 */   // Label 709: @42302
     /*   42302 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42398), // Rule ID 70908 //
     /*   42307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42351 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42355 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42359 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42363 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42365 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42372 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42396 */     GIR_RootConstrainSelectedInstOperands,
     /*   42397 */     // GIR_Coverage, 70908,
     /*   42397 */     GIR_EraseRootFromParent_Done,
     /*   42398 */   // Label 710: @42398
     /*   42398 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42494), // Rule ID 70909 //
     /*   42403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42468 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42492 */     GIR_RootConstrainSelectedInstOperands,
     /*   42493 */     // GIR_Coverage, 70909,
     /*   42493 */     GIR_EraseRootFromParent_Done,
     /*   42494 */   // Label 711: @42494
     /*   42494 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42590), // Rule ID 52086 //
     /*   42499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42564 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42588 */     GIR_RootConstrainSelectedInstOperands,
     /*   42589 */     // GIR_Coverage, 52086,
     /*   42589 */     GIR_EraseRootFromParent_Done,
     /*   42590 */   // Label 712: @42590
     /*   42590 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42686), // Rule ID 52087 //
     /*   42595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42660 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42684 */     GIR_RootConstrainSelectedInstOperands,
     /*   42685 */     // GIR_Coverage, 52087,
     /*   42685 */     GIR_EraseRootFromParent_Done,
     /*   42686 */   // Label 713: @42686
     /*   42686 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42775), // Rule ID 46678 //
     /*   42691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42734 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42773 */     GIR_RootConstrainSelectedInstOperands,
     /*   42774 */     // GIR_Coverage, 46678,
     /*   42774 */     GIR_EraseRootFromParent_Done,
     /*   42775 */   // Label 714: @42775
     /*   42775 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42864), // Rule ID 46679 //
     /*   42780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42823 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42862 */     GIR_RootConstrainSelectedInstOperands,
     /*   42863 */     // GIR_Coverage, 46679,
     /*   42863 */     GIR_EraseRootFromParent_Done,
     /*   42864 */   // Label 715: @42864
     /*   42864 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(42953), // Rule ID 46442 //
     /*   42869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42903 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42912 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   42929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42951 */     GIR_RootConstrainSelectedInstOperands,
     /*   42952 */     // GIR_Coverage, 46442,
     /*   42952 */     GIR_EraseRootFromParent_Done,
     /*   42953 */   // Label 716: @42953
     /*   42953 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43042), // Rule ID 46443 //
     /*   42958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43001 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   43018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43040 */     GIR_RootConstrainSelectedInstOperands,
     /*   43041 */     // GIR_Coverage, 46443,
     /*   43041 */     GIR_EraseRootFromParent_Done,
     /*   43042 */   // Label 717: @43042
     /*   43042 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43131), // Rule ID 46558 //
     /*   43047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43081 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43090 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43129 */     GIR_RootConstrainSelectedInstOperands,
     /*   43130 */     // GIR_Coverage, 46558,
     /*   43130 */     GIR_EraseRootFromParent_Done,
     /*   43131 */   // Label 718: @43131
     /*   43131 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43220), // Rule ID 46559 //
     /*   43136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43179 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43218 */     GIR_RootConstrainSelectedInstOperands,
     /*   43219 */     // GIR_Coverage, 46559,
     /*   43219 */     GIR_EraseRootFromParent_Done,
     /*   43220 */   // Label 719: @43220
     /*   43220 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43288), // Rule ID 70542 //
     /*   43225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43262 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43286 */     GIR_RootConstrainSelectedInstOperands,
     /*   43287 */     // GIR_Coverage, 70542,
     /*   43287 */     GIR_EraseRootFromParent_Done,
     /*   43288 */   // Label 720: @43288
     /*   43288 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43356), // Rule ID 70543 //
     /*   43293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43330 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43354 */     GIR_RootConstrainSelectedInstOperands,
     /*   43355 */     // GIR_Coverage, 70543,
     /*   43355 */     GIR_EraseRootFromParent_Done,
     /*   43356 */   // Label 721: @43356
     /*   43356 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43411), // Rule ID 69466 //
     /*   43361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43389 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43409 */     GIR_RootConstrainSelectedInstOperands,
     /*   43410 */     // GIR_Coverage, 69466,
     /*   43410 */     GIR_EraseRootFromParent_Done,
     /*   43411 */   // Label 722: @43411
     /*   43411 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 69467 //
     /*   43416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43444 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 69467,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43521), // Rule ID 69286 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43499 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43519 */     GIR_RootConstrainSelectedInstOperands,
     /*   43520 */     // GIR_Coverage, 69286,
     /*   43520 */     GIR_EraseRootFromParent_Done,
     /*   43521 */   // Label 724: @43521
     /*   43521 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43576), // Rule ID 69287 //
     /*   43526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43554 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43574 */     GIR_RootConstrainSelectedInstOperands,
     /*   43575 */     // GIR_Coverage, 69287,
     /*   43575 */     GIR_EraseRootFromParent_Done,
     /*   43576 */   // Label 725: @43576
     /*   43576 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43631), // Rule ID 69376 //
     /*   43581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43609 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43629 */     GIR_RootConstrainSelectedInstOperands,
     /*   43630 */     // GIR_Coverage, 69376,
     /*   43630 */     GIR_EraseRootFromParent_Done,
     /*   43631 */   // Label 726: @43631
     /*   43631 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43686), // Rule ID 69377 //
     /*   43636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43664 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43684 */     GIR_RootConstrainSelectedInstOperands,
     /*   43685 */     // GIR_Coverage, 69377,
     /*   43685 */     GIR_EraseRootFromParent_Done,
     /*   43686 */   // Label 727: @43686
     /*   43686 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43754), // Rule ID 51900 //
     /*   43691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43728 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 51900,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 728: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(43822), // Rule ID 51901 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43796 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43820 */     GIR_RootConstrainSelectedInstOperands,
     /*   43821 */     // GIR_Coverage, 51901,
     /*   43821 */     GIR_EraseRootFromParent_Done,
     /*   43822 */   // Label 729: @43822
     /*   43822 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(43877), // Rule ID 46738 //
     /*   43827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43855 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43875 */     GIR_RootConstrainSelectedInstOperands,
     /*   43876 */     // GIR_Coverage, 46738,
     /*   43876 */     GIR_EraseRootFromParent_Done,
     /*   43877 */   // Label 730: @43877
     /*   43877 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(43932), // Rule ID 46739 //
     /*   43882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43910 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43930 */     GIR_RootConstrainSelectedInstOperands,
     /*   43931 */     // GIR_Coverage, 46739,
     /*   43931 */     GIR_EraseRootFromParent_Done,
     /*   43932 */   // Label 731: @43932
     /*   43932 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(43987), // Rule ID 46498 //
     /*   43937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43965 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43985 */     GIR_RootConstrainSelectedInstOperands,
     /*   43986 */     // GIR_Coverage, 46498,
     /*   43986 */     GIR_EraseRootFromParent_Done,
     /*   43987 */   // Label 732: @43987
     /*   43987 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44042), // Rule ID 46499 //
     /*   43992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44020 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   44023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 46499,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 733: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44097), // Rule ID 46618 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44075 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44095 */     GIR_RootConstrainSelectedInstOperands,
     /*   44096 */     // GIR_Coverage, 46618,
     /*   44096 */     GIR_EraseRootFromParent_Done,
     /*   44097 */   // Label 734: @44097
     /*   44097 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44152), // Rule ID 46619 //
     /*   44102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44130 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44150 */     GIR_RootConstrainSelectedInstOperands,
     /*   44151 */     // GIR_Coverage, 46619,
     /*   44151 */     GIR_EraseRootFromParent_Done,
     /*   44152 */   // Label 735: @44152
     /*   44152 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44205), // Rule ID 46132 //
     /*   44157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44168 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44203 */     GIR_RootConstrainSelectedInstOperands,
     /*   44204 */     // GIR_Coverage, 46132,
     /*   44204 */     GIR_EraseRootFromParent_Done,
     /*   44205 */   // Label 736: @44205
     /*   44205 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44258), // Rule ID 46133 //
     /*   44210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44221 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44256 */     GIR_RootConstrainSelectedInstOperands,
     /*   44257 */     // GIR_Coverage, 46133,
     /*   44257 */     GIR_EraseRootFromParent_Done,
     /*   44258 */   // Label 737: @44258
     /*   44258 */   GIM_Reject,
     /*   44259 */ // Label 697: @44259
     /*   44259 */ GIM_Reject,
     /*   44260 */ // Label 142: @44260
     /*   44260 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(47384),
     /*   44265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44275 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44371), // Rule ID 70674 //
     /*   44280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44332 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44334 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44345 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44369 */     GIR_RootConstrainSelectedInstOperands,
     /*   44370 */     // GIR_Coverage, 70674,
     /*   44370 */     GIR_EraseRootFromParent_Done,
     /*   44371 */   // Label 739: @44371
     /*   44371 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(44467), // Rule ID 70675 //
     /*   44376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44409 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44428 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44430 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44441 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44465 */     GIR_RootConstrainSelectedInstOperands,
     /*   44466 */     // GIR_Coverage, 70675,
     /*   44466 */     GIR_EraseRootFromParent_Done,
     /*   44467 */   // Label 740: @44467
     /*   44467 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(44563), // Rule ID 70946 //
     /*   44472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44520 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44524 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44526 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44537 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44561 */     GIR_RootConstrainSelectedInstOperands,
     /*   44562 */     // GIR_Coverage, 70946,
     /*   44562 */     GIR_EraseRootFromParent_Done,
     /*   44563 */   // Label 741: @44563
     /*   44563 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(44659), // Rule ID 70947 //
     /*   44568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44601 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44616 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44620 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44633 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44657 */     GIR_RootConstrainSelectedInstOperands,
     /*   44658 */     // GIR_Coverage, 70947,
     /*   44658 */     GIR_EraseRootFromParent_Done,
     /*   44659 */   // Label 742: @44659
     /*   44659 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(44755), // Rule ID 70948 //
     /*   44664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44697 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44716 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44718 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44729 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44753 */     GIR_RootConstrainSelectedInstOperands,
     /*   44754 */     // GIR_Coverage, 70948,
     /*   44754 */     GIR_EraseRootFromParent_Done,
     /*   44755 */   // Label 743: @44755
     /*   44755 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(44851), // Rule ID 70949 //
     /*   44760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44808 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44812 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44823 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44825 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44849 */     GIR_RootConstrainSelectedInstOperands,
     /*   44850 */     // GIR_Coverage, 70949,
     /*   44850 */     GIR_EraseRootFromParent_Done,
     /*   44851 */   // Label 744: @44851
     /*   44851 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(44947), // Rule ID 70788 //
     /*   44856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44889 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44908 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44910 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44921 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   44924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44945 */     GIR_RootConstrainSelectedInstOperands,
     /*   44946 */     // GIR_Coverage, 70788,
     /*   44946 */     GIR_EraseRootFromParent_Done,
     /*   44947 */   // Label 745: @44947
     /*   44947 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45043), // Rule ID 70789 //
     /*   44952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45000 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45004 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45017 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   45024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45041 */     GIR_RootConstrainSelectedInstOperands,
     /*   45042 */     // GIR_Coverage, 70789,
     /*   45042 */     GIR_EraseRootFromParent_Done,
     /*   45043 */   // Label 746: @45043
     /*   45043 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45139), // Rule ID 52040 //
     /*   45048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45100 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45104 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45106 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45113 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45137 */     GIR_RootConstrainSelectedInstOperands,
     /*   45138 */     // GIR_Coverage, 52040,
     /*   45138 */     GIR_EraseRootFromParent_Done,
     /*   45139 */   // Label 747: @45139
     /*   45139 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45235), // Rule ID 52041 //
     /*   45144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45196 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45200 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45202 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45209 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45233 */     GIR_RootConstrainSelectedInstOperands,
     /*   45234 */     // GIR_Coverage, 52041,
     /*   45234 */     GIR_EraseRootFromParent_Done,
     /*   45235 */   // Label 748: @45235
     /*   45235 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45331), // Rule ID 52158 //
     /*   45240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45292 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45296 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45298 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45305 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45329 */     GIR_RootConstrainSelectedInstOperands,
     /*   45330 */     // GIR_Coverage, 52158,
     /*   45330 */     GIR_EraseRootFromParent_Done,
     /*   45331 */   // Label 749: @45331
     /*   45331 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45427), // Rule ID 52159 //
     /*   45336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45392 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45394 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45401 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45425 */     GIR_RootConstrainSelectedInstOperands,
     /*   45426 */     // GIR_Coverage, 52159,
     /*   45426 */     GIR_EraseRootFromParent_Done,
     /*   45427 */   // Label 750: @45427
     /*   45427 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45523), // Rule ID 70944 //
     /*   45432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45476 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45480 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45484 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45488 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45490 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45497 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45521 */     GIR_RootConstrainSelectedInstOperands,
     /*   45522 */     // GIR_Coverage, 70944,
     /*   45522 */     GIR_EraseRootFromParent_Done,
     /*   45523 */   // Label 751: @45523
     /*   45523 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45619), // Rule ID 70945 //
     /*   45528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45580 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45584 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45586 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45593 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45617 */     GIR_RootConstrainSelectedInstOperands,
     /*   45618 */     // GIR_Coverage, 70945,
     /*   45618 */     GIR_EraseRootFromParent_Done,
     /*   45619 */   // Label 752: @45619
     /*   45619 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45715), // Rule ID 52098 //
     /*   45624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45661 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45676 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45680 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45682 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45689 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45713 */     GIR_RootConstrainSelectedInstOperands,
     /*   45714 */     // GIR_Coverage, 52098,
     /*   45714 */     GIR_EraseRootFromParent_Done,
     /*   45715 */   // Label 753: @45715
     /*   45715 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(45811), // Rule ID 52099 //
     /*   45720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45772 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45776 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45778 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45785 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45809 */     GIR_RootConstrainSelectedInstOperands,
     /*   45810 */     // GIR_Coverage, 52099,
     /*   45810 */     GIR_EraseRootFromParent_Done,
     /*   45811 */   // Label 754: @45811
     /*   45811 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(45900), // Rule ID 46702 //
     /*   45816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45859 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   45859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45898 */     GIR_RootConstrainSelectedInstOperands,
     /*   45899 */     // GIR_Coverage, 46702,
     /*   45899 */     GIR_EraseRootFromParent_Done,
     /*   45900 */   // Label 755: @45900
     /*   45900 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(45989), // Rule ID 46703 //
     /*   45905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45948 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   45948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45987 */     GIR_RootConstrainSelectedInstOperands,
     /*   45988 */     // GIR_Coverage, 46703,
     /*   45988 */     GIR_EraseRootFromParent_Done,
     /*   45989 */   // Label 756: @45989
     /*   45989 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46078), // Rule ID 46466 //
     /*   45994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46037 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46076 */     GIR_RootConstrainSelectedInstOperands,
     /*   46077 */     // GIR_Coverage, 46466,
     /*   46077 */     GIR_EraseRootFromParent_Done,
     /*   46078 */   // Label 757: @46078
     /*   46078 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46167), // Rule ID 46467 //
     /*   46083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46126 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46165 */     GIR_RootConstrainSelectedInstOperands,
     /*   46166 */     // GIR_Coverage, 46467,
     /*   46166 */     GIR_EraseRootFromParent_Done,
     /*   46167 */   // Label 758: @46167
     /*   46167 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46256), // Rule ID 46582 //
     /*   46172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46215 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46254 */     GIR_RootConstrainSelectedInstOperands,
     /*   46255 */     // GIR_Coverage, 46582,
     /*   46255 */     GIR_EraseRootFromParent_Done,
     /*   46256 */   // Label 759: @46256
     /*   46256 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46345), // Rule ID 46583 //
     /*   46261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46304 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46343 */     GIR_RootConstrainSelectedInstOperands,
     /*   46344 */     // GIR_Coverage, 46583,
     /*   46344 */     GIR_EraseRootFromParent_Done,
     /*   46345 */   // Label 760: @46345
     /*   46345 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46413), // Rule ID 70574 //
     /*   46350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46387 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46411 */     GIR_RootConstrainSelectedInstOperands,
     /*   46412 */     // GIR_Coverage, 70574,
     /*   46412 */     GIR_EraseRootFromParent_Done,
     /*   46413 */   // Label 761: @46413
     /*   46413 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46481), // Rule ID 70575 //
     /*   46418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46455 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46479 */     GIR_RootConstrainSelectedInstOperands,
     /*   46480 */     // GIR_Coverage, 70575,
     /*   46480 */     GIR_EraseRootFromParent_Done,
     /*   46481 */   // Label 762: @46481
     /*   46481 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46536), // Rule ID 69490 //
     /*   46486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46514 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46534 */     GIR_RootConstrainSelectedInstOperands,
     /*   46535 */     // GIR_Coverage, 69490,
     /*   46535 */     GIR_EraseRootFromParent_Done,
     /*   46536 */   // Label 763: @46536
     /*   46536 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46591), // Rule ID 69491 //
     /*   46541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46569 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46589 */     GIR_RootConstrainSelectedInstOperands,
     /*   46590 */     // GIR_Coverage, 69491,
     /*   46590 */     GIR_EraseRootFromParent_Done,
     /*   46591 */   // Label 764: @46591
     /*   46591 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46646), // Rule ID 69310 //
     /*   46596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46624 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46644 */     GIR_RootConstrainSelectedInstOperands,
     /*   46645 */     // GIR_Coverage, 69310,
     /*   46645 */     GIR_EraseRootFromParent_Done,
     /*   46646 */   // Label 765: @46646
     /*   46646 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46701), // Rule ID 69311 //
     /*   46651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46679 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46699 */     GIR_RootConstrainSelectedInstOperands,
     /*   46700 */     // GIR_Coverage, 69311,
     /*   46700 */     GIR_EraseRootFromParent_Done,
     /*   46701 */   // Label 766: @46701
     /*   46701 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46756), // Rule ID 69400 //
     /*   46706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46734 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46754 */     GIR_RootConstrainSelectedInstOperands,
     /*   46755 */     // GIR_Coverage, 69400,
     /*   46755 */     GIR_EraseRootFromParent_Done,
     /*   46756 */   // Label 767: @46756
     /*   46756 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46811), // Rule ID 69401 //
     /*   46761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46789 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46809 */     GIR_RootConstrainSelectedInstOperands,
     /*   46810 */     // GIR_Coverage, 69401,
     /*   46810 */     GIR_EraseRootFromParent_Done,
     /*   46811 */   // Label 768: @46811
     /*   46811 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(46879), // Rule ID 51916 //
     /*   46816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46853 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46877 */     GIR_RootConstrainSelectedInstOperands,
     /*   46878 */     // GIR_Coverage, 51916,
     /*   46878 */     GIR_EraseRootFromParent_Done,
     /*   46879 */   // Label 769: @46879
     /*   46879 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46947), // Rule ID 51917 //
     /*   46884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46921 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46945 */     GIR_RootConstrainSelectedInstOperands,
     /*   46946 */     // GIR_Coverage, 51917,
     /*   46946 */     GIR_EraseRootFromParent_Done,
     /*   46947 */   // Label 770: @46947
     /*   46947 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47002), // Rule ID 46762 //
     /*   46952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46980 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47000 */     GIR_RootConstrainSelectedInstOperands,
     /*   47001 */     // GIR_Coverage, 46762,
     /*   47001 */     GIR_EraseRootFromParent_Done,
     /*   47002 */   // Label 771: @47002
     /*   47002 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47057), // Rule ID 46763 //
     /*   47007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   47022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47035 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47055 */     GIR_RootConstrainSelectedInstOperands,
     /*   47056 */     // GIR_Coverage, 46763,
     /*   47056 */     GIR_EraseRootFromParent_Done,
     /*   47057 */   // Label 772: @47057
     /*   47057 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47112), // Rule ID 46522 //
     /*   47062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47090 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47110 */     GIR_RootConstrainSelectedInstOperands,
     /*   47111 */     // GIR_Coverage, 46522,
     /*   47111 */     GIR_EraseRootFromParent_Done,
     /*   47112 */   // Label 773: @47112
     /*   47112 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47167), // Rule ID 46523 //
     /*   47117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47145 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47165 */     GIR_RootConstrainSelectedInstOperands,
     /*   47166 */     // GIR_Coverage, 46523,
     /*   47166 */     GIR_EraseRootFromParent_Done,
     /*   47167 */   // Label 774: @47167
     /*   47167 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47222), // Rule ID 46642 //
     /*   47172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47200 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47220 */     GIR_RootConstrainSelectedInstOperands,
     /*   47221 */     // GIR_Coverage, 46642,
     /*   47221 */     GIR_EraseRootFromParent_Done,
     /*   47222 */   // Label 775: @47222
     /*   47222 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47277), // Rule ID 46643 //
     /*   47227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47255 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47275 */     GIR_RootConstrainSelectedInstOperands,
     /*   47276 */     // GIR_Coverage, 46643,
     /*   47276 */     GIR_EraseRootFromParent_Done,
     /*   47277 */   // Label 776: @47277
     /*   47277 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47330), // Rule ID 46148 //
     /*   47282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47293 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   47293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47328 */     GIR_RootConstrainSelectedInstOperands,
     /*   47329 */     // GIR_Coverage, 46148,
     /*   47329 */     GIR_EraseRootFromParent_Done,
     /*   47330 */   // Label 777: @47330
     /*   47330 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47383), // Rule ID 46149 //
     /*   47335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47346 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   47346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47381 */     GIR_RootConstrainSelectedInstOperands,
     /*   47382 */     // GIR_Coverage, 46149,
     /*   47382 */     GIR_EraseRootFromParent_Done,
     /*   47383 */   // Label 778: @47383
     /*   47383 */   GIM_Reject,
     /*   47384 */ // Label 738: @47384
     /*   47384 */ GIM_Reject,
     /*   47385 */ // Label 143: @47385
     /*   47385 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(50509),
     /*   47390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47400 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47496), // Rule ID 70684 //
     /*   47405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47470 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47494 */     GIR_RootConstrainSelectedInstOperands,
     /*   47495 */     // GIR_Coverage, 70684,
     /*   47495 */     GIR_EraseRootFromParent_Done,
     /*   47496 */   // Label 780: @47496
     /*   47496 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47592), // Rule ID 70685 //
     /*   47501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47566 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47590 */     GIR_RootConstrainSelectedInstOperands,
     /*   47591 */     // GIR_Coverage, 70685,
     /*   47591 */     GIR_EraseRootFromParent_Done,
     /*   47592 */   // Label 781: @47592
     /*   47592 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(47688), // Rule ID 70976 //
     /*   47597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47662 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47686 */     GIR_RootConstrainSelectedInstOperands,
     /*   47687 */     // GIR_Coverage, 70976,
     /*   47687 */     GIR_EraseRootFromParent_Done,
     /*   47688 */   // Label 782: @47688
     /*   47688 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(47784), // Rule ID 70977 //
     /*   47693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47726 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47741 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47745 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47747 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47758 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47782 */     GIR_RootConstrainSelectedInstOperands,
     /*   47783 */     // GIR_Coverage, 70977,
     /*   47783 */     GIR_EraseRootFromParent_Done,
     /*   47784 */   // Label 783: @47784
     /*   47784 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(47880), // Rule ID 70978 //
     /*   47789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47837 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47841 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47843 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47854 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47878 */     GIR_RootConstrainSelectedInstOperands,
     /*   47879 */     // GIR_Coverage, 70978,
     /*   47879 */     GIR_EraseRootFromParent_Done,
     /*   47880 */   // Label 784: @47880
     /*   47880 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(47976), // Rule ID 70979 //
     /*   47885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47933 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47937 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47939 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47950 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47974 */     GIR_RootConstrainSelectedInstOperands,
     /*   47975 */     // GIR_Coverage, 70979,
     /*   47975 */     GIR_EraseRootFromParent_Done,
     /*   47976 */   // Label 785: @47976
     /*   47976 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48072), // Rule ID 70798 //
     /*   47981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48033 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48046 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48070 */     GIR_RootConstrainSelectedInstOperands,
     /*   48071 */     // GIR_Coverage, 70798,
     /*   48071 */     GIR_EraseRootFromParent_Done,
     /*   48072 */   // Label 786: @48072
     /*   48072 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48168), // Rule ID 70799 //
     /*   48077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48142 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48166 */     GIR_RootConstrainSelectedInstOperands,
     /*   48167 */     // GIR_Coverage, 70799,
     /*   48167 */     GIR_EraseRootFromParent_Done,
     /*   48168 */   // Label 787: @48168
     /*   48168 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48264), // Rule ID 52050 //
     /*   48173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48238 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48262 */     GIR_RootConstrainSelectedInstOperands,
     /*   48263 */     // GIR_Coverage, 52050,
     /*   48263 */     GIR_EraseRootFromParent_Done,
     /*   48264 */   // Label 788: @48264
     /*   48264 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48360), // Rule ID 52051 //
     /*   48269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48334 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48358 */     GIR_RootConstrainSelectedInstOperands,
     /*   48359 */     // GIR_Coverage, 52051,
     /*   48359 */     GIR_EraseRootFromParent_Done,
     /*   48360 */   // Label 789: @48360
     /*   48360 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48456), // Rule ID 52168 //
     /*   48365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48430 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48454 */     GIR_RootConstrainSelectedInstOperands,
     /*   48455 */     // GIR_Coverage, 52168,
     /*   48455 */     GIR_EraseRootFromParent_Done,
     /*   48456 */   // Label 790: @48456
     /*   48456 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48552), // Rule ID 52169 //
     /*   48461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48498 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48513 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48517 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48519 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48526 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48550 */     GIR_RootConstrainSelectedInstOperands,
     /*   48551 */     // GIR_Coverage, 52169,
     /*   48551 */     GIR_EraseRootFromParent_Done,
     /*   48552 */   // Label 791: @48552
     /*   48552 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48648), // Rule ID 70974 //
     /*   48557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48609 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48613 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48615 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48622 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48646 */     GIR_RootConstrainSelectedInstOperands,
     /*   48647 */     // GIR_Coverage, 70974,
     /*   48647 */     GIR_EraseRootFromParent_Done,
     /*   48648 */   // Label 792: @48648
     /*   48648 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(48744), // Rule ID 70975 //
     /*   48653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48705 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48709 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48718 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48742 */     GIR_RootConstrainSelectedInstOperands,
     /*   48743 */     // GIR_Coverage, 70975,
     /*   48743 */     GIR_EraseRootFromParent_Done,
     /*   48744 */   // Label 793: @48744
     /*   48744 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(48840), // Rule ID 52108 //
     /*   48749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48786 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48805 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48807 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48814 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48838 */     GIR_RootConstrainSelectedInstOperands,
     /*   48839 */     // GIR_Coverage, 52108,
     /*   48839 */     GIR_EraseRootFromParent_Done,
     /*   48840 */   // Label 794: @48840
     /*   48840 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(48936), // Rule ID 52109 //
     /*   48845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48897 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48901 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48910 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48934 */     GIR_RootConstrainSelectedInstOperands,
     /*   48935 */     // GIR_Coverage, 52109,
     /*   48935 */     GIR_EraseRootFromParent_Done,
     /*   48936 */   // Label 795: @48936
     /*   48936 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49025), // Rule ID 46722 //
     /*   48941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48984 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   48984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   48987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49023 */     GIR_RootConstrainSelectedInstOperands,
     /*   49024 */     // GIR_Coverage, 46722,
     /*   49024 */     GIR_EraseRootFromParent_Done,
     /*   49025 */   // Label 796: @49025
     /*   49025 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49114), // Rule ID 46723 //
     /*   49030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49073 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49112 */     GIR_RootConstrainSelectedInstOperands,
     /*   49113 */     // GIR_Coverage, 46723,
     /*   49113 */     GIR_EraseRootFromParent_Done,
     /*   49114 */   // Label 797: @49114
     /*   49114 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49203), // Rule ID 46486 //
     /*   49119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49162 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49201 */     GIR_RootConstrainSelectedInstOperands,
     /*   49202 */     // GIR_Coverage, 46486,
     /*   49202 */     GIR_EraseRootFromParent_Done,
     /*   49203 */   // Label 798: @49203
     /*   49203 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49292), // Rule ID 46487 //
     /*   49208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49251 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49290 */     GIR_RootConstrainSelectedInstOperands,
     /*   49291 */     // GIR_Coverage, 46487,
     /*   49291 */     GIR_EraseRootFromParent_Done,
     /*   49292 */   // Label 799: @49292
     /*   49292 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49381), // Rule ID 46602 //
     /*   49297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49340 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49379 */     GIR_RootConstrainSelectedInstOperands,
     /*   49380 */     // GIR_Coverage, 46602,
     /*   49380 */     GIR_EraseRootFromParent_Done,
     /*   49381 */   // Label 800: @49381
     /*   49381 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49470), // Rule ID 46603 //
     /*   49386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49429 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49468 */     GIR_RootConstrainSelectedInstOperands,
     /*   49469 */     // GIR_Coverage, 46603,
     /*   49469 */     GIR_EraseRootFromParent_Done,
     /*   49470 */   // Label 801: @49470
     /*   49470 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49538), // Rule ID 70606 //
     /*   49475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49512 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49536 */     GIR_RootConstrainSelectedInstOperands,
     /*   49537 */     // GIR_Coverage, 70606,
     /*   49537 */     GIR_EraseRootFromParent_Done,
     /*   49538 */   // Label 802: @49538
     /*   49538 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49606), // Rule ID 70607 //
     /*   49543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   49546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49580 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   49580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49604 */     GIR_RootConstrainSelectedInstOperands,
     /*   49605 */     // GIR_Coverage, 70607,
     /*   49605 */     GIR_EraseRootFromParent_Done,
     /*   49606 */   // Label 803: @49606
     /*   49606 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49661), // Rule ID 69510 //
     /*   49611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49639 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49659 */     GIR_RootConstrainSelectedInstOperands,
     /*   49660 */     // GIR_Coverage, 69510,
     /*   49660 */     GIR_EraseRootFromParent_Done,
     /*   49661 */   // Label 804: @49661
     /*   49661 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49716), // Rule ID 69511 //
     /*   49666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49694 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49714 */     GIR_RootConstrainSelectedInstOperands,
     /*   49715 */     // GIR_Coverage, 69511,
     /*   49715 */     GIR_EraseRootFromParent_Done,
     /*   49716 */   // Label 805: @49716
     /*   49716 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49771), // Rule ID 69330 //
     /*   49721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49749 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49769 */     GIR_RootConstrainSelectedInstOperands,
     /*   49770 */     // GIR_Coverage, 69330,
     /*   49770 */     GIR_EraseRootFromParent_Done,
     /*   49771 */   // Label 806: @49771
     /*   49771 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49826), // Rule ID 69331 //
     /*   49776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49804 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49824 */     GIR_RootConstrainSelectedInstOperands,
     /*   49825 */     // GIR_Coverage, 69331,
     /*   49825 */     GIR_EraseRootFromParent_Done,
     /*   49826 */   // Label 807: @49826
     /*   49826 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49881), // Rule ID 69420 //
     /*   49831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49859 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49879 */     GIR_RootConstrainSelectedInstOperands,
     /*   49880 */     // GIR_Coverage, 69420,
     /*   49880 */     GIR_EraseRootFromParent_Done,
     /*   49881 */   // Label 808: @49881
     /*   49881 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49936), // Rule ID 69421 //
     /*   49886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49914 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49934 */     GIR_RootConstrainSelectedInstOperands,
     /*   49935 */     // GIR_Coverage, 69421,
     /*   49935 */     GIR_EraseRootFromParent_Done,
     /*   49936 */   // Label 809: @49936
     /*   49936 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50004), // Rule ID 51932 //
     /*   49941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49978 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50002 */     GIR_RootConstrainSelectedInstOperands,
     /*   50003 */     // GIR_Coverage, 51932,
     /*   50003 */     GIR_EraseRootFromParent_Done,
     /*   50004 */   // Label 810: @50004
     /*   50004 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50072), // Rule ID 51933 //
     /*   50009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   50028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   50032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50046 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   50046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   50049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50070 */     GIR_RootConstrainSelectedInstOperands,
     /*   50071 */     // GIR_Coverage, 51933,
     /*   50071 */     GIR_EraseRootFromParent_Done,
     /*   50072 */   // Label 811: @50072
     /*   50072 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50127), // Rule ID 46782 //
     /*   50077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50105 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50125 */     GIR_RootConstrainSelectedInstOperands,
     /*   50126 */     // GIR_Coverage, 46782,
     /*   50126 */     GIR_EraseRootFromParent_Done,
     /*   50127 */   // Label 812: @50127
     /*   50127 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50182), // Rule ID 46783 //
     /*   50132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50160 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50180 */     GIR_RootConstrainSelectedInstOperands,
     /*   50181 */     // GIR_Coverage, 46783,
     /*   50181 */     GIR_EraseRootFromParent_Done,
     /*   50182 */   // Label 813: @50182
     /*   50182 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50237), // Rule ID 46542 //
     /*   50187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50215 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50235 */     GIR_RootConstrainSelectedInstOperands,
     /*   50236 */     // GIR_Coverage, 46542,
     /*   50236 */     GIR_EraseRootFromParent_Done,
     /*   50237 */   // Label 814: @50237
     /*   50237 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50292), // Rule ID 46543 //
     /*   50242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50270 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50290 */     GIR_RootConstrainSelectedInstOperands,
     /*   50291 */     // GIR_Coverage, 46543,
     /*   50291 */     GIR_EraseRootFromParent_Done,
     /*   50292 */   // Label 815: @50292
     /*   50292 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50347), // Rule ID 46662 //
     /*   50297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50325 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50345 */     GIR_RootConstrainSelectedInstOperands,
     /*   50346 */     // GIR_Coverage, 46662,
     /*   50346 */     GIR_EraseRootFromParent_Done,
     /*   50347 */   // Label 816: @50347
     /*   50347 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50402), // Rule ID 46663 //
     /*   50352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50380 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50400 */     GIR_RootConstrainSelectedInstOperands,
     /*   50401 */     // GIR_Coverage, 46663,
     /*   50401 */     GIR_EraseRootFromParent_Done,
     /*   50402 */   // Label 817: @50402
     /*   50402 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50455), // Rule ID 46164 //
     /*   50407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   50410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50418 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   50418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50453 */     GIR_RootConstrainSelectedInstOperands,
     /*   50454 */     // GIR_Coverage, 46164,
     /*   50454 */     GIR_EraseRootFromParent_Done,
     /*   50455 */   // Label 818: @50455
     /*   50455 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50508), // Rule ID 46165 //
     /*   50460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50471 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   50471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50506 */     GIR_RootConstrainSelectedInstOperands,
     /*   50507 */     // GIR_Coverage, 46165,
     /*   50507 */     GIR_EraseRootFromParent_Done,
     /*   50508 */   // Label 819: @50508
     /*   50508 */   GIM_Reject,
     /*   50509 */ // Label 779: @50509
     /*   50509 */ GIM_Reject,
     /*   50510 */ // Label 144: @50510
     /*   50510 */ GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50904),
     /*   50515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50525 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50593), // Rule ID 70518 //
     /*   50530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50567 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50591 */     GIR_RootConstrainSelectedInstOperands,
     /*   50592 */     // GIR_Coverage, 70518,
     /*   50592 */     GIR_EraseRootFromParent_Done,
     /*   50593 */   // Label 821: @50593
     /*   50593 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(50661), // Rule ID 70519 //
     /*   50598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50635 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50659 */     GIR_RootConstrainSelectedInstOperands,
     /*   50660 */     // GIR_Coverage, 70519,
     /*   50660 */     GIR_EraseRootFromParent_Done,
     /*   50661 */   // Label 822: @50661
     /*   50661 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(50729), // Rule ID 51888 //
     /*   50666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50703 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50727 */     GIR_RootConstrainSelectedInstOperands,
     /*   50728 */     // GIR_Coverage, 51888,
     /*   50728 */     GIR_EraseRootFromParent_Done,
     /*   50729 */   // Label 823: @50729
     /*   50729 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(50797), // Rule ID 51889 //
     /*   50734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50771 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50795 */     GIR_RootConstrainSelectedInstOperands,
     /*   50796 */     // GIR_Coverage, 51889,
     /*   50796 */     GIR_EraseRootFromParent_Done,
     /*   50797 */   // Label 824: @50797
     /*   50797 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(50850), // Rule ID 46120 //
     /*   50802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50813 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   50813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50848 */     GIR_RootConstrainSelectedInstOperands,
     /*   50849 */     // GIR_Coverage, 46120,
     /*   50849 */     GIR_EraseRootFromParent_Done,
     /*   50850 */   // Label 825: @50850
     /*   50850 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(50903), // Rule ID 46121 //
     /*   50855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50866 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   50866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50901 */     GIR_RootConstrainSelectedInstOperands,
     /*   50902 */     // GIR_Coverage, 46121,
     /*   50902 */     GIR_EraseRootFromParent_Done,
     /*   50903 */   // Label 826: @50903
     /*   50903 */   GIM_Reject,
     /*   50904 */ // Label 820: @50904
     /*   50904 */ GIM_Reject,
     /*   50905 */ // Label 145: @50905
     /*   50905 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(54029),
     /*   50910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50920 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51016), // Rule ID 70664 //
     /*   50925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50988 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50990 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   50993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51014 */     GIR_RootConstrainSelectedInstOperands,
     /*   51015 */     // GIR_Coverage, 70664,
     /*   51015 */     GIR_EraseRootFromParent_Done,
     /*   51016 */   // Label 828: @51016
     /*   51016 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51112), // Rule ID 70665 //
     /*   51021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51086 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51110 */     GIR_RootConstrainSelectedInstOperands,
     /*   51111 */     // GIR_Coverage, 70665,
     /*   51111 */     GIR_EraseRootFromParent_Done,
     /*   51112 */   // Label 829: @51112
     /*   51112 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51208), // Rule ID 70916 //
     /*   51117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51182 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51206 */     GIR_RootConstrainSelectedInstOperands,
     /*   51207 */     // GIR_Coverage, 70916,
     /*   51207 */     GIR_EraseRootFromParent_Done,
     /*   51208 */   // Label 830: @51208
     /*   51208 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51304), // Rule ID 70917 //
     /*   51213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51278 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51302 */     GIR_RootConstrainSelectedInstOperands,
     /*   51303 */     // GIR_Coverage, 70917,
     /*   51303 */     GIR_EraseRootFromParent_Done,
     /*   51304 */   // Label 831: @51304
     /*   51304 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51400), // Rule ID 70918 //
     /*   51309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51374 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51398 */     GIR_RootConstrainSelectedInstOperands,
     /*   51399 */     // GIR_Coverage, 70918,
     /*   51399 */     GIR_EraseRootFromParent_Done,
     /*   51400 */   // Label 832: @51400
     /*   51400 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(51496), // Rule ID 70919 //
     /*   51405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51470 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51494 */     GIR_RootConstrainSelectedInstOperands,
     /*   51495 */     // GIR_Coverage, 70919,
     /*   51495 */     GIR_EraseRootFromParent_Done,
     /*   51496 */   // Label 833: @51496
     /*   51496 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(51592), // Rule ID 70778 //
     /*   51501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51566 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51590 */     GIR_RootConstrainSelectedInstOperands,
     /*   51591 */     // GIR_Coverage, 70778,
     /*   51591 */     GIR_EraseRootFromParent_Done,
     /*   51592 */   // Label 834: @51592
     /*   51592 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(51688), // Rule ID 70779 //
     /*   51597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51662 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51686 */     GIR_RootConstrainSelectedInstOperands,
     /*   51687 */     // GIR_Coverage, 70779,
     /*   51687 */     GIR_EraseRootFromParent_Done,
     /*   51688 */   // Label 835: @51688
     /*   51688 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(51784), // Rule ID 52030 //
     /*   51693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51730 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51745 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51749 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51758 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51782 */     GIR_RootConstrainSelectedInstOperands,
     /*   51783 */     // GIR_Coverage, 52030,
     /*   51783 */     GIR_EraseRootFromParent_Done,
     /*   51784 */   // Label 836: @51784
     /*   51784 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(51880), // Rule ID 52031 //
     /*   51789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51812 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51841 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51845 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51847 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51854 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51878 */     GIR_RootConstrainSelectedInstOperands,
     /*   51879 */     // GIR_Coverage, 52031,
     /*   51879 */     GIR_EraseRootFromParent_Done,
     /*   51880 */   // Label 837: @51880
     /*   51880 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(51976), // Rule ID 52148 //
     /*   51885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51922 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51937 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51941 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51943 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51950 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51974 */     GIR_RootConstrainSelectedInstOperands,
     /*   51975 */     // GIR_Coverage, 52148,
     /*   51975 */     GIR_EraseRootFromParent_Done,
     /*   51976 */   // Label 838: @51976
     /*   51976 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52072), // Rule ID 52149 //
     /*   51981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52033 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52037 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52039 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52046 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52070 */     GIR_RootConstrainSelectedInstOperands,
     /*   52071 */     // GIR_Coverage, 52149,
     /*   52071 */     GIR_EraseRootFromParent_Done,
     /*   52072 */   // Label 839: @52072
     /*   52072 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52168), // Rule ID 70914 //
     /*   52077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52121 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52125 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52129 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52133 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52135 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52142 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52166 */     GIR_RootConstrainSelectedInstOperands,
     /*   52167 */     // GIR_Coverage, 70914,
     /*   52167 */     GIR_EraseRootFromParent_Done,
     /*   52168 */   // Label 840: @52168
     /*   52168 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52264), // Rule ID 70915 //
     /*   52173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52238 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52262 */     GIR_RootConstrainSelectedInstOperands,
     /*   52263 */     // GIR_Coverage, 70915,
     /*   52263 */     GIR_EraseRootFromParent_Done,
     /*   52264 */   // Label 841: @52264
     /*   52264 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52360), // Rule ID 52088 //
     /*   52269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52334 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52358 */     GIR_RootConstrainSelectedInstOperands,
     /*   52359 */     // GIR_Coverage, 52088,
     /*   52359 */     GIR_EraseRootFromParent_Done,
     /*   52360 */   // Label 842: @52360
     /*   52360 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52456), // Rule ID 52089 //
     /*   52365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52430 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52454 */     GIR_RootConstrainSelectedInstOperands,
     /*   52455 */     // GIR_Coverage, 52089,
     /*   52455 */     GIR_EraseRootFromParent_Done,
     /*   52456 */   // Label 843: @52456
     /*   52456 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52545), // Rule ID 46682 //
     /*   52461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52504 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52543 */     GIR_RootConstrainSelectedInstOperands,
     /*   52544 */     // GIR_Coverage, 46682,
     /*   52544 */     GIR_EraseRootFromParent_Done,
     /*   52545 */   // Label 844: @52545
     /*   52545 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52634), // Rule ID 46683 //
     /*   52550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52593 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52632 */     GIR_RootConstrainSelectedInstOperands,
     /*   52633 */     // GIR_Coverage, 46683,
     /*   52633 */     GIR_EraseRootFromParent_Done,
     /*   52634 */   // Label 845: @52634
     /*   52634 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52723), // Rule ID 46446 //
     /*   52639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52682 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52721 */     GIR_RootConstrainSelectedInstOperands,
     /*   52722 */     // GIR_Coverage, 46446,
     /*   52722 */     GIR_EraseRootFromParent_Done,
     /*   52723 */   // Label 846: @52723
     /*   52723 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52812), // Rule ID 46447 //
     /*   52728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52771 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52810 */     GIR_RootConstrainSelectedInstOperands,
     /*   52811 */     // GIR_Coverage, 46447,
     /*   52811 */     GIR_EraseRootFromParent_Done,
     /*   52812 */   // Label 847: @52812
     /*   52812 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52901), // Rule ID 46562 //
     /*   52817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52860 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52899 */     GIR_RootConstrainSelectedInstOperands,
     /*   52900 */     // GIR_Coverage, 46562,
     /*   52900 */     GIR_EraseRootFromParent_Done,
     /*   52901 */   // Label 848: @52901
     /*   52901 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52990), // Rule ID 46563 //
     /*   52906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52949 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52988 */     GIR_RootConstrainSelectedInstOperands,
     /*   52989 */     // GIR_Coverage, 46563,
     /*   52989 */     GIR_EraseRootFromParent_Done,
     /*   52990 */   // Label 849: @52990
     /*   52990 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53058), // Rule ID 70550 //
     /*   52995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53032 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53056 */     GIR_RootConstrainSelectedInstOperands,
     /*   53057 */     // GIR_Coverage, 70550,
     /*   53057 */     GIR_EraseRootFromParent_Done,
     /*   53058 */   // Label 850: @53058
     /*   53058 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53126), // Rule ID 70551 //
     /*   53063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53100 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53124 */     GIR_RootConstrainSelectedInstOperands,
     /*   53125 */     // GIR_Coverage, 70551,
     /*   53125 */     GIR_EraseRootFromParent_Done,
     /*   53126 */   // Label 851: @53126
     /*   53126 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53181), // Rule ID 69470 //
     /*   53131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53159 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53179 */     GIR_RootConstrainSelectedInstOperands,
     /*   53180 */     // GIR_Coverage, 69470,
     /*   53180 */     GIR_EraseRootFromParent_Done,
     /*   53181 */   // Label 852: @53181
     /*   53181 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53236), // Rule ID 69471 //
     /*   53186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53214 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53234 */     GIR_RootConstrainSelectedInstOperands,
     /*   53235 */     // GIR_Coverage, 69471,
     /*   53235 */     GIR_EraseRootFromParent_Done,
     /*   53236 */   // Label 853: @53236
     /*   53236 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53291), // Rule ID 69290 //
     /*   53241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53269 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53289 */     GIR_RootConstrainSelectedInstOperands,
     /*   53290 */     // GIR_Coverage, 69290,
     /*   53290 */     GIR_EraseRootFromParent_Done,
     /*   53291 */   // Label 854: @53291
     /*   53291 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53346), // Rule ID 69291 //
     /*   53296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53324 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53344 */     GIR_RootConstrainSelectedInstOperands,
     /*   53345 */     // GIR_Coverage, 69291,
     /*   53345 */     GIR_EraseRootFromParent_Done,
     /*   53346 */   // Label 855: @53346
     /*   53346 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53401), // Rule ID 69380 //
     /*   53351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53379 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53399 */     GIR_RootConstrainSelectedInstOperands,
     /*   53400 */     // GIR_Coverage, 69380,
     /*   53400 */     GIR_EraseRootFromParent_Done,
     /*   53401 */   // Label 856: @53401
     /*   53401 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53456), // Rule ID 69381 //
     /*   53406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53434 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53454 */     GIR_RootConstrainSelectedInstOperands,
     /*   53455 */     // GIR_Coverage, 69381,
     /*   53455 */     GIR_EraseRootFromParent_Done,
     /*   53456 */   // Label 857: @53456
     /*   53456 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53524), // Rule ID 51904 //
     /*   53461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53498 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53522 */     GIR_RootConstrainSelectedInstOperands,
     /*   53523 */     // GIR_Coverage, 51904,
     /*   53523 */     GIR_EraseRootFromParent_Done,
     /*   53524 */   // Label 858: @53524
     /*   53524 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53592), // Rule ID 51905 //
     /*   53529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53566 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53590 */     GIR_RootConstrainSelectedInstOperands,
     /*   53591 */     // GIR_Coverage, 51905,
     /*   53591 */     GIR_EraseRootFromParent_Done,
     /*   53592 */   // Label 859: @53592
     /*   53592 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53647), // Rule ID 46742 //
     /*   53597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53625 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53645 */     GIR_RootConstrainSelectedInstOperands,
     /*   53646 */     // GIR_Coverage, 46742,
     /*   53646 */     GIR_EraseRootFromParent_Done,
     /*   53647 */   // Label 860: @53647
     /*   53647 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53702), // Rule ID 46743 //
     /*   53652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53680 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53700 */     GIR_RootConstrainSelectedInstOperands,
     /*   53701 */     // GIR_Coverage, 46743,
     /*   53701 */     GIR_EraseRootFromParent_Done,
     /*   53702 */   // Label 861: @53702
     /*   53702 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53757), // Rule ID 46502 //
     /*   53707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53735 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53755 */     GIR_RootConstrainSelectedInstOperands,
     /*   53756 */     // GIR_Coverage, 46502,
     /*   53756 */     GIR_EraseRootFromParent_Done,
     /*   53757 */   // Label 862: @53757
     /*   53757 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53812), // Rule ID 46503 //
     /*   53762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53790 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53810 */     GIR_RootConstrainSelectedInstOperands,
     /*   53811 */     // GIR_Coverage, 46503,
     /*   53811 */     GIR_EraseRootFromParent_Done,
     /*   53812 */   // Label 863: @53812
     /*   53812 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53867), // Rule ID 46622 //
     /*   53817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53845 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53865 */     GIR_RootConstrainSelectedInstOperands,
     /*   53866 */     // GIR_Coverage, 46622,
     /*   53866 */     GIR_EraseRootFromParent_Done,
     /*   53867 */   // Label 864: @53867
     /*   53867 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53922), // Rule ID 46623 //
     /*   53872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53900 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53920 */     GIR_RootConstrainSelectedInstOperands,
     /*   53921 */     // GIR_Coverage, 46623,
     /*   53921 */     GIR_EraseRootFromParent_Done,
     /*   53922 */   // Label 865: @53922
     /*   53922 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53975), // Rule ID 46136 //
     /*   53927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53938 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   53938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53973 */     GIR_RootConstrainSelectedInstOperands,
     /*   53974 */     // GIR_Coverage, 46136,
     /*   53974 */     GIR_EraseRootFromParent_Done,
     /*   53975 */   // Label 866: @53975
     /*   53975 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54028), // Rule ID 46137 //
     /*   53980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53991 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   53991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   54008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   54015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54026 */     GIR_RootConstrainSelectedInstOperands,
     /*   54027 */     // GIR_Coverage, 46137,
     /*   54027 */     GIR_EraseRootFromParent_Done,
     /*   54028 */   // Label 867: @54028
     /*   54028 */   GIM_Reject,
     /*   54029 */ // Label 827: @54029
     /*   54029 */ GIM_Reject,
     /*   54030 */ // Label 146: @54030
     /*   54030 */ GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(57154),
     /*   54035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54045 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54141), // Rule ID 70676 //
     /*   54050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54115 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54139 */     GIR_RootConstrainSelectedInstOperands,
     /*   54140 */     // GIR_Coverage, 70676,
     /*   54140 */     GIR_EraseRootFromParent_Done,
     /*   54141 */   // Label 869: @54141
     /*   54141 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54237), // Rule ID 70677 //
     /*   54146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54211 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54235 */     GIR_RootConstrainSelectedInstOperands,
     /*   54236 */     // GIR_Coverage, 70677,
     /*   54236 */     GIR_EraseRootFromParent_Done,
     /*   54237 */   // Label 870: @54237
     /*   54237 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54333), // Rule ID 70952 //
     /*   54242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54307 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54331 */     GIR_RootConstrainSelectedInstOperands,
     /*   54332 */     // GIR_Coverage, 70952,
     /*   54332 */     GIR_EraseRootFromParent_Done,
     /*   54333 */   // Label 871: @54333
     /*   54333 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54429), // Rule ID 70953 //
     /*   54338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54371 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54386 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54390 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54392 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54403 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54427 */     GIR_RootConstrainSelectedInstOperands,
     /*   54428 */     // GIR_Coverage, 70953,
     /*   54428 */     GIR_EraseRootFromParent_Done,
     /*   54429 */   // Label 872: @54429
     /*   54429 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54525), // Rule ID 70954 //
     /*   54434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54482 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54486 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54488 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54499 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54523 */     GIR_RootConstrainSelectedInstOperands,
     /*   54524 */     // GIR_Coverage, 70954,
     /*   54524 */     GIR_EraseRootFromParent_Done,
     /*   54525 */   // Label 873: @54525
     /*   54525 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54621), // Rule ID 70955 //
     /*   54530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54578 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54582 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54584 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54595 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54619 */     GIR_RootConstrainSelectedInstOperands,
     /*   54620 */     // GIR_Coverage, 70955,
     /*   54620 */     GIR_EraseRootFromParent_Done,
     /*   54621 */   // Label 874: @54621
     /*   54621 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54717), // Rule ID 70790 //
     /*   54626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54666 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54670 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54674 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54678 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54680 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54691 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54715 */     GIR_RootConstrainSelectedInstOperands,
     /*   54716 */     // GIR_Coverage, 70790,
     /*   54716 */     GIR_EraseRootFromParent_Done,
     /*   54717 */   // Label 875: @54717
     /*   54717 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54813), // Rule ID 70791 //
     /*   54722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54770 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54774 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54787 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54811 */     GIR_RootConstrainSelectedInstOperands,
     /*   54812 */     // GIR_Coverage, 70791,
     /*   54812 */     GIR_EraseRootFromParent_Done,
     /*   54813 */   // Label 876: @54813
     /*   54813 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54909), // Rule ID 52042 //
     /*   54818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54883 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54907 */     GIR_RootConstrainSelectedInstOperands,
     /*   54908 */     // GIR_Coverage, 52042,
     /*   54908 */     GIR_EraseRootFromParent_Done,
     /*   54909 */   // Label 877: @54909
     /*   54909 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55005), // Rule ID 52043 //
     /*   54914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54979 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55003 */     GIR_RootConstrainSelectedInstOperands,
     /*   55004 */     // GIR_Coverage, 52043,
     /*   55004 */     GIR_EraseRootFromParent_Done,
     /*   55005 */   // Label 878: @55005
     /*   55005 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55101), // Rule ID 52160 //
     /*   55010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55075 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55099 */     GIR_RootConstrainSelectedInstOperands,
     /*   55100 */     // GIR_Coverage, 52160,
     /*   55100 */     GIR_EraseRootFromParent_Done,
     /*   55101 */   // Label 879: @55101
     /*   55101 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55197), // Rule ID 52161 //
     /*   55106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55158 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55162 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55164 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55171 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55195 */     GIR_RootConstrainSelectedInstOperands,
     /*   55196 */     // GIR_Coverage, 52161,
     /*   55196 */     GIR_EraseRootFromParent_Done,
     /*   55197 */   // Label 880: @55197
     /*   55197 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55293), // Rule ID 70950 //
     /*   55202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55254 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55258 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55260 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55267 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55291 */     GIR_RootConstrainSelectedInstOperands,
     /*   55292 */     // GIR_Coverage, 70950,
     /*   55292 */     GIR_EraseRootFromParent_Done,
     /*   55293 */   // Label 881: @55293
     /*   55293 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55389), // Rule ID 70951 //
     /*   55298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55350 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55354 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55356 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55363 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55387 */     GIR_RootConstrainSelectedInstOperands,
     /*   55388 */     // GIR_Coverage, 70951,
     /*   55388 */     GIR_EraseRootFromParent_Done,
     /*   55389 */   // Label 882: @55389
     /*   55389 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55485), // Rule ID 52100 //
     /*   55394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55431 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55450 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55452 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55459 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55483 */     GIR_RootConstrainSelectedInstOperands,
     /*   55484 */     // GIR_Coverage, 52100,
     /*   55484 */     GIR_EraseRootFromParent_Done,
     /*   55485 */   // Label 883: @55485
     /*   55485 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55581), // Rule ID 52101 //
     /*   55490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55527 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55542 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55546 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55548 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55555 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55579 */     GIR_RootConstrainSelectedInstOperands,
     /*   55580 */     // GIR_Coverage, 52101,
     /*   55580 */     GIR_EraseRootFromParent_Done,
     /*   55581 */   // Label 884: @55581
     /*   55581 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55670), // Rule ID 46706 //
     /*   55586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55629 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55668 */     GIR_RootConstrainSelectedInstOperands,
     /*   55669 */     // GIR_Coverage, 46706,
     /*   55669 */     GIR_EraseRootFromParent_Done,
     /*   55670 */   // Label 885: @55670
     /*   55670 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55759), // Rule ID 46707 //
     /*   55675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55709 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55711 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55718 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55757 */     GIR_RootConstrainSelectedInstOperands,
     /*   55758 */     // GIR_Coverage, 46707,
     /*   55758 */     GIR_EraseRootFromParent_Done,
     /*   55759 */   // Label 886: @55759
     /*   55759 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55848), // Rule ID 46470 //
     /*   55764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55798 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55807 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55846 */     GIR_RootConstrainSelectedInstOperands,
     /*   55847 */     // GIR_Coverage, 46470,
     /*   55847 */     GIR_EraseRootFromParent_Done,
     /*   55848 */   // Label 887: @55848
     /*   55848 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55937), // Rule ID 46471 //
     /*   55853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55887 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55896 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55935 */     GIR_RootConstrainSelectedInstOperands,
     /*   55936 */     // GIR_Coverage, 46471,
     /*   55936 */     GIR_EraseRootFromParent_Done,
     /*   55937 */   // Label 888: @55937
     /*   55937 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56026), // Rule ID 46586 //
     /*   55942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55985 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56024 */     GIR_RootConstrainSelectedInstOperands,
     /*   56025 */     // GIR_Coverage, 46586,
     /*   56025 */     GIR_EraseRootFromParent_Done,
     /*   56026 */   // Label 889: @56026
     /*   56026 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56115), // Rule ID 46587 //
     /*   56031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56074 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56113 */     GIR_RootConstrainSelectedInstOperands,
     /*   56114 */     // GIR_Coverage, 46587,
     /*   56114 */     GIR_EraseRootFromParent_Done,
     /*   56115 */   // Label 890: @56115
     /*   56115 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56183), // Rule ID 70582 //
     /*   56120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56157 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56181 */     GIR_RootConstrainSelectedInstOperands,
     /*   56182 */     // GIR_Coverage, 70582,
     /*   56182 */     GIR_EraseRootFromParent_Done,
     /*   56183 */   // Label 891: @56183
     /*   56183 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56251), // Rule ID 70583 //
     /*   56188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56225 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56249 */     GIR_RootConstrainSelectedInstOperands,
     /*   56250 */     // GIR_Coverage, 70583,
     /*   56250 */     GIR_EraseRootFromParent_Done,
     /*   56251 */   // Label 892: @56251
     /*   56251 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56306), // Rule ID 69494 //
     /*   56256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56284 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56304 */     GIR_RootConstrainSelectedInstOperands,
     /*   56305 */     // GIR_Coverage, 69494,
     /*   56305 */     GIR_EraseRootFromParent_Done,
     /*   56306 */   // Label 893: @56306
     /*   56306 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56361), // Rule ID 69495 //
     /*   56311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56339 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56359 */     GIR_RootConstrainSelectedInstOperands,
     /*   56360 */     // GIR_Coverage, 69495,
     /*   56360 */     GIR_EraseRootFromParent_Done,
     /*   56361 */   // Label 894: @56361
     /*   56361 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56416), // Rule ID 69314 //
     /*   56366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56394 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56414 */     GIR_RootConstrainSelectedInstOperands,
     /*   56415 */     // GIR_Coverage, 69314,
     /*   56415 */     GIR_EraseRootFromParent_Done,
     /*   56416 */   // Label 895: @56416
     /*   56416 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56471), // Rule ID 69315 //
     /*   56421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56449 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56469 */     GIR_RootConstrainSelectedInstOperands,
     /*   56470 */     // GIR_Coverage, 69315,
     /*   56470 */     GIR_EraseRootFromParent_Done,
     /*   56471 */   // Label 896: @56471
     /*   56471 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56526), // Rule ID 69404 //
     /*   56476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56504 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56524 */     GIR_RootConstrainSelectedInstOperands,
     /*   56525 */     // GIR_Coverage, 69404,
     /*   56525 */     GIR_EraseRootFromParent_Done,
     /*   56526 */   // Label 897: @56526
     /*   56526 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56581), // Rule ID 69405 //
     /*   56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56559 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56579 */     GIR_RootConstrainSelectedInstOperands,
     /*   56580 */     // GIR_Coverage, 69405,
     /*   56580 */     GIR_EraseRootFromParent_Done,
     /*   56581 */   // Label 898: @56581
     /*   56581 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56649), // Rule ID 51920 //
     /*   56586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56623 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56647 */     GIR_RootConstrainSelectedInstOperands,
     /*   56648 */     // GIR_Coverage, 51920,
     /*   56648 */     GIR_EraseRootFromParent_Done,
     /*   56649 */   // Label 899: @56649
     /*   56649 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56717), // Rule ID 51921 //
     /*   56654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56691 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56715 */     GIR_RootConstrainSelectedInstOperands,
     /*   56716 */     // GIR_Coverage, 51921,
     /*   56716 */     GIR_EraseRootFromParent_Done,
     /*   56717 */   // Label 900: @56717
     /*   56717 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56772), // Rule ID 46766 //
     /*   56722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56750 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56770 */     GIR_RootConstrainSelectedInstOperands,
     /*   56771 */     // GIR_Coverage, 46766,
     /*   56771 */     GIR_EraseRootFromParent_Done,
     /*   56772 */   // Label 901: @56772
     /*   56772 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56827), // Rule ID 46767 //
     /*   56777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56805 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56825 */     GIR_RootConstrainSelectedInstOperands,
     /*   56826 */     // GIR_Coverage, 46767,
     /*   56826 */     GIR_EraseRootFromParent_Done,
     /*   56827 */   // Label 902: @56827
     /*   56827 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56882), // Rule ID 46526 //
     /*   56832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56860 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56880 */     GIR_RootConstrainSelectedInstOperands,
     /*   56881 */     // GIR_Coverage, 46526,
     /*   56881 */     GIR_EraseRootFromParent_Done,
     /*   56882 */   // Label 903: @56882
     /*   56882 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56937), // Rule ID 46527 //
     /*   56887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56915 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56935 */     GIR_RootConstrainSelectedInstOperands,
     /*   56936 */     // GIR_Coverage, 46527,
     /*   56936 */     GIR_EraseRootFromParent_Done,
     /*   56937 */   // Label 904: @56937
     /*   56937 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56992), // Rule ID 46646 //
     /*   56942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56970 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56990 */     GIR_RootConstrainSelectedInstOperands,
     /*   56991 */     // GIR_Coverage, 46646,
     /*   56991 */     GIR_EraseRootFromParent_Done,
     /*   56992 */   // Label 905: @56992
     /*   56992 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(57047), // Rule ID 46647 //
     /*   56997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57025 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   57025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   57028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57045 */     GIR_RootConstrainSelectedInstOperands,
     /*   57046 */     // GIR_Coverage, 46647,
     /*   57046 */     GIR_EraseRootFromParent_Done,
     /*   57047 */   // Label 906: @57047
     /*   57047 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(57100), // Rule ID 46152 //
     /*   57052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57063 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57098 */     GIR_RootConstrainSelectedInstOperands,
     /*   57099 */     // GIR_Coverage, 46152,
     /*   57099 */     GIR_EraseRootFromParent_Done,
     /*   57100 */   // Label 907: @57100
     /*   57100 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(57153), // Rule ID 46153 //
     /*   57105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57116 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57151 */     GIR_RootConstrainSelectedInstOperands,
     /*   57152 */     // GIR_Coverage, 46153,
     /*   57152 */     GIR_EraseRootFromParent_Done,
     /*   57153 */   // Label 908: @57153
     /*   57153 */   GIM_Reject,
     /*   57154 */ // Label 868: @57154
     /*   57154 */ GIM_Reject,
     /*   57155 */ // Label 147: @57155
     /*   57155 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(57549),
     /*   57160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(57238), // Rule ID 70526 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57212 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57236 */     GIR_RootConstrainSelectedInstOperands,
     /*   57237 */     // GIR_Coverage, 70526,
     /*   57237 */     GIR_EraseRootFromParent_Done,
     /*   57238 */   // Label 910: @57238
     /*   57238 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(57306), // Rule ID 70527 //
     /*   57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57280 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57304 */     GIR_RootConstrainSelectedInstOperands,
     /*   57305 */     // GIR_Coverage, 70527,
     /*   57305 */     GIR_EraseRootFromParent_Done,
     /*   57306 */   // Label 911: @57306
     /*   57306 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(57374), // Rule ID 51892 //
     /*   57311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57348 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57372 */     GIR_RootConstrainSelectedInstOperands,
     /*   57373 */     // GIR_Coverage, 51892,
     /*   57373 */     GIR_EraseRootFromParent_Done,
     /*   57374 */   // Label 912: @57374
     /*   57374 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(57442), // Rule ID 51893 //
     /*   57379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57416 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57440 */     GIR_RootConstrainSelectedInstOperands,
     /*   57441 */     // GIR_Coverage, 51893,
     /*   57441 */     GIR_EraseRootFromParent_Done,
     /*   57442 */   // Label 913: @57442
     /*   57442 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(57495), // Rule ID 46124 //
     /*   57447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57458 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57493 */     GIR_RootConstrainSelectedInstOperands,
     /*   57494 */     // GIR_Coverage, 46124,
     /*   57494 */     GIR_EraseRootFromParent_Done,
     /*   57495 */   // Label 914: @57495
     /*   57495 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(57548), // Rule ID 46125 //
     /*   57500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57511 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57546 */     GIR_RootConstrainSelectedInstOperands,
     /*   57547 */     // GIR_Coverage, 46125,
     /*   57547 */     GIR_EraseRootFromParent_Done,
     /*   57548 */   // Label 915: @57548
     /*   57548 */   GIM_Reject,
     /*   57549 */ // Label 909: @57549
     /*   57549 */ GIM_Reject,
     /*   57550 */ // Label 148: @57550
     /*   57550 */ GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(60674),
     /*   57555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57565 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(57661), // Rule ID 70666 //
     /*   57570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57633 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57635 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57659 */     GIR_RootConstrainSelectedInstOperands,
     /*   57660 */     // GIR_Coverage, 70666,
     /*   57660 */     GIR_EraseRootFromParent_Done,
     /*   57661 */   // Label 917: @57661
     /*   57661 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(57757), // Rule ID 70667 //
     /*   57666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57731 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57755 */     GIR_RootConstrainSelectedInstOperands,
     /*   57756 */     // GIR_Coverage, 70667,
     /*   57756 */     GIR_EraseRootFromParent_Done,
     /*   57757 */   // Label 918: @57757
     /*   57757 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(57853), // Rule ID 70922 //
     /*   57762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57827 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57851 */     GIR_RootConstrainSelectedInstOperands,
     /*   57852 */     // GIR_Coverage, 70922,
     /*   57852 */     GIR_EraseRootFromParent_Done,
     /*   57853 */   // Label 919: @57853
     /*   57853 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(57949), // Rule ID 70923 //
     /*   57858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57923 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57947 */     GIR_RootConstrainSelectedInstOperands,
     /*   57948 */     // GIR_Coverage, 70923,
     /*   57948 */     GIR_EraseRootFromParent_Done,
     /*   57949 */   // Label 920: @57949
     /*   57949 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(58045), // Rule ID 70924 //
     /*   57954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58019 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58043 */     GIR_RootConstrainSelectedInstOperands,
     /*   58044 */     // GIR_Coverage, 70924,
     /*   58044 */     GIR_EraseRootFromParent_Done,
     /*   58045 */   // Label 921: @58045
     /*   58045 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(58141), // Rule ID 70925 //
     /*   58050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58115 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58139 */     GIR_RootConstrainSelectedInstOperands,
     /*   58140 */     // GIR_Coverage, 70925,
     /*   58140 */     GIR_EraseRootFromParent_Done,
     /*   58141 */   // Label 922: @58141
     /*   58141 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(58237), // Rule ID 70780 //
     /*   58146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58211 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58235 */     GIR_RootConstrainSelectedInstOperands,
     /*   58236 */     // GIR_Coverage, 70780,
     /*   58236 */     GIR_EraseRootFromParent_Done,
     /*   58237 */   // Label 923: @58237
     /*   58237 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(58333), // Rule ID 70781 //
     /*   58242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58307 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58331 */     GIR_RootConstrainSelectedInstOperands,
     /*   58332 */     // GIR_Coverage, 70781,
     /*   58332 */     GIR_EraseRootFromParent_Done,
     /*   58333 */   // Label 924: @58333
     /*   58333 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(58429), // Rule ID 52032 //
     /*   58338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58390 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58394 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58396 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58403 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58427 */     GIR_RootConstrainSelectedInstOperands,
     /*   58428 */     // GIR_Coverage, 52032,
     /*   58428 */     GIR_EraseRootFromParent_Done,
     /*   58429 */   // Label 925: @58429
     /*   58429 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(58525), // Rule ID 52033 //
     /*   58434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58486 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58490 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58492 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58499 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58523 */     GIR_RootConstrainSelectedInstOperands,
     /*   58524 */     // GIR_Coverage, 52033,
     /*   58524 */     GIR_EraseRootFromParent_Done,
     /*   58525 */   // Label 926: @58525
     /*   58525 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(58621), // Rule ID 52150 //
     /*   58530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58586 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58588 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58595 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58619 */     GIR_RootConstrainSelectedInstOperands,
     /*   58620 */     // GIR_Coverage, 52150,
     /*   58620 */     GIR_EraseRootFromParent_Done,
     /*   58621 */   // Label 927: @58621
     /*   58621 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(58717), // Rule ID 52151 //
     /*   58626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58678 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58682 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58684 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58691 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58715 */     GIR_RootConstrainSelectedInstOperands,
     /*   58716 */     // GIR_Coverage, 52151,
     /*   58716 */     GIR_EraseRootFromParent_Done,
     /*   58717 */   // Label 928: @58717
     /*   58717 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(58813), // Rule ID 70920 //
     /*   58722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58766 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58770 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58774 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58778 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58780 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58787 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58811 */     GIR_RootConstrainSelectedInstOperands,
     /*   58812 */     // GIR_Coverage, 70920,
     /*   58812 */     GIR_EraseRootFromParent_Done,
     /*   58813 */   // Label 929: @58813
     /*   58813 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(58909), // Rule ID 70921 //
     /*   58818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58883 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58907 */     GIR_RootConstrainSelectedInstOperands,
     /*   58908 */     // GIR_Coverage, 70921,
     /*   58908 */     GIR_EraseRootFromParent_Done,
     /*   58909 */   // Label 930: @58909
     /*   58909 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(59005), // Rule ID 52090 //
     /*   58914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58979 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59003 */     GIR_RootConstrainSelectedInstOperands,
     /*   59004 */     // GIR_Coverage, 52090,
     /*   59004 */     GIR_EraseRootFromParent_Done,
     /*   59005 */   // Label 931: @59005
     /*   59005 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(59101), // Rule ID 52091 //
     /*   59010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59075 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   59078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   59090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59099 */     GIR_RootConstrainSelectedInstOperands,
     /*   59100 */     // GIR_Coverage, 52091,
     /*   59100 */     GIR_EraseRootFromParent_Done,
     /*   59101 */   // Label 932: @59101
     /*   59101 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(59190), // Rule ID 46686 //
     /*   59106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59149 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59188 */     GIR_RootConstrainSelectedInstOperands,
     /*   59189 */     // GIR_Coverage, 46686,
     /*   59189 */     GIR_EraseRootFromParent_Done,
     /*   59190 */   // Label 933: @59190
     /*   59190 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(59279), // Rule ID 46687 //
     /*   59195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59238 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59277 */     GIR_RootConstrainSelectedInstOperands,
     /*   59278 */     // GIR_Coverage, 46687,
     /*   59278 */     GIR_EraseRootFromParent_Done,
     /*   59279 */   // Label 934: @59279
     /*   59279 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(59368), // Rule ID 46450 //
     /*   59284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59318 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59327 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59366 */     GIR_RootConstrainSelectedInstOperands,
     /*   59367 */     // GIR_Coverage, 46450,
     /*   59367 */     GIR_EraseRootFromParent_Done,
     /*   59368 */   // Label 935: @59368
     /*   59368 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(59457), // Rule ID 46451 //
     /*   59373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59407 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59416 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59455 */     GIR_RootConstrainSelectedInstOperands,
     /*   59456 */     // GIR_Coverage, 46451,
     /*   59456 */     GIR_EraseRootFromParent_Done,
     /*   59457 */   // Label 936: @59457
     /*   59457 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(59546), // Rule ID 46566 //
     /*   59462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59477 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59496 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59505 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59544 */     GIR_RootConstrainSelectedInstOperands,
     /*   59545 */     // GIR_Coverage, 46566,
     /*   59545 */     GIR_EraseRootFromParent_Done,
     /*   59546 */   // Label 937: @59546
     /*   59546 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(59635), // Rule ID 46567 //
     /*   59551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59594 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59633 */     GIR_RootConstrainSelectedInstOperands,
     /*   59634 */     // GIR_Coverage, 46567,
     /*   59634 */     GIR_EraseRootFromParent_Done,
     /*   59635 */   // Label 938: @59635
     /*   59635 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(59703), // Rule ID 70558 //
     /*   59640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59677 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59701 */     GIR_RootConstrainSelectedInstOperands,
     /*   59702 */     // GIR_Coverage, 70558,
     /*   59702 */     GIR_EraseRootFromParent_Done,
     /*   59703 */   // Label 939: @59703
     /*   59703 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(59771), // Rule ID 70559 //
     /*   59708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59745 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59769 */     GIR_RootConstrainSelectedInstOperands,
     /*   59770 */     // GIR_Coverage, 70559,
     /*   59770 */     GIR_EraseRootFromParent_Done,
     /*   59771 */   // Label 940: @59771
     /*   59771 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(59826), // Rule ID 69474 //
     /*   59776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59804 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59824 */     GIR_RootConstrainSelectedInstOperands,
     /*   59825 */     // GIR_Coverage, 69474,
     /*   59825 */     GIR_EraseRootFromParent_Done,
     /*   59826 */   // Label 941: @59826
     /*   59826 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(59881), // Rule ID 69475 //
     /*   59831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59859 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59879 */     GIR_RootConstrainSelectedInstOperands,
     /*   59880 */     // GIR_Coverage, 69475,
     /*   59880 */     GIR_EraseRootFromParent_Done,
     /*   59881 */   // Label 942: @59881
     /*   59881 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(59936), // Rule ID 69294 //
     /*   59886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59914 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59934 */     GIR_RootConstrainSelectedInstOperands,
     /*   59935 */     // GIR_Coverage, 69294,
     /*   59935 */     GIR_EraseRootFromParent_Done,
     /*   59936 */   // Label 943: @59936
     /*   59936 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(59991), // Rule ID 69295 //
     /*   59941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59969 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59989 */     GIR_RootConstrainSelectedInstOperands,
     /*   59990 */     // GIR_Coverage, 69295,
     /*   59990 */     GIR_EraseRootFromParent_Done,
     /*   59991 */   // Label 944: @59991
     /*   59991 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(60046), // Rule ID 69384 //
     /*   59996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60024 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60044 */     GIR_RootConstrainSelectedInstOperands,
     /*   60045 */     // GIR_Coverage, 69384,
     /*   60045 */     GIR_EraseRootFromParent_Done,
     /*   60046 */   // Label 945: @60046
     /*   60046 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(60101), // Rule ID 69385 //
     /*   60051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60079 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60099 */     GIR_RootConstrainSelectedInstOperands,
     /*   60100 */     // GIR_Coverage, 69385,
     /*   60100 */     GIR_EraseRootFromParent_Done,
     /*   60101 */   // Label 946: @60101
     /*   60101 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(60169), // Rule ID 51908 //
     /*   60106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60143 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   60143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60167 */     GIR_RootConstrainSelectedInstOperands,
     /*   60168 */     // GIR_Coverage, 51908,
     /*   60168 */     GIR_EraseRootFromParent_Done,
     /*   60169 */   // Label 947: @60169
     /*   60169 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(60237), // Rule ID 51909 //
     /*   60174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60211 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   60211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60235 */     GIR_RootConstrainSelectedInstOperands,
     /*   60236 */     // GIR_Coverage, 51909,
     /*   60236 */     GIR_EraseRootFromParent_Done,
     /*   60237 */   // Label 948: @60237
     /*   60237 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(60292), // Rule ID 46746 //
     /*   60242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60270 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60290 */     GIR_RootConstrainSelectedInstOperands,
     /*   60291 */     // GIR_Coverage, 46746,
     /*   60291 */     GIR_EraseRootFromParent_Done,
     /*   60292 */   // Label 949: @60292
     /*   60292 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(60347), // Rule ID 46747 //
     /*   60297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60325 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60345 */     GIR_RootConstrainSelectedInstOperands,
     /*   60346 */     // GIR_Coverage, 46747,
     /*   60346 */     GIR_EraseRootFromParent_Done,
     /*   60347 */   // Label 950: @60347
     /*   60347 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(60402), // Rule ID 46506 //
     /*   60352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60380 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60400 */     GIR_RootConstrainSelectedInstOperands,
     /*   60401 */     // GIR_Coverage, 46506,
     /*   60401 */     GIR_EraseRootFromParent_Done,
     /*   60402 */   // Label 951: @60402
     /*   60402 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(60457), // Rule ID 46507 //
     /*   60407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60435 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60455 */     GIR_RootConstrainSelectedInstOperands,
     /*   60456 */     // GIR_Coverage, 46507,
     /*   60456 */     GIR_EraseRootFromParent_Done,
     /*   60457 */   // Label 952: @60457
     /*   60457 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(60512), // Rule ID 46626 //
     /*   60462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60490 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60510 */     GIR_RootConstrainSelectedInstOperands,
     /*   60511 */     // GIR_Coverage, 46626,
     /*   60511 */     GIR_EraseRootFromParent_Done,
     /*   60512 */   // Label 953: @60512
     /*   60512 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(60567), // Rule ID 46627 //
     /*   60517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60545 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60565 */     GIR_RootConstrainSelectedInstOperands,
     /*   60566 */     // GIR_Coverage, 46627,
     /*   60566 */     GIR_EraseRootFromParent_Done,
     /*   60567 */   // Label 954: @60567
     /*   60567 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(60620), // Rule ID 46140 //
     /*   60572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60583 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   60583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60618 */     GIR_RootConstrainSelectedInstOperands,
     /*   60619 */     // GIR_Coverage, 46140,
     /*   60619 */     GIR_EraseRootFromParent_Done,
     /*   60620 */   // Label 955: @60620
     /*   60620 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(60673), // Rule ID 46141 //
     /*   60625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60636 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   60636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60671 */     GIR_RootConstrainSelectedInstOperands,
     /*   60672 */     // GIR_Coverage, 46141,
     /*   60672 */     GIR_EraseRootFromParent_Done,
     /*   60673 */   // Label 956: @60673
     /*   60673 */   GIM_Reject,
     /*   60674 */ // Label 916: @60674
     /*   60674 */ GIM_Reject,
     /*   60675 */ // Label 149: @60675
     /*   60675 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(61069),
     /*   60680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60690 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(60758), // Rule ID 70534 //
     /*   60695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60732 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60756 */     GIR_RootConstrainSelectedInstOperands,
     /*   60757 */     // GIR_Coverage, 70534,
     /*   60757 */     GIR_EraseRootFromParent_Done,
     /*   60758 */   // Label 958: @60758
     /*   60758 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(60826), // Rule ID 70535 //
     /*   60763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60800 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60824 */     GIR_RootConstrainSelectedInstOperands,
     /*   60825 */     // GIR_Coverage, 70535,
     /*   60825 */     GIR_EraseRootFromParent_Done,
     /*   60826 */   // Label 959: @60826
     /*   60826 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(60894), // Rule ID 51896 //
     /*   60831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60868 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60892 */     GIR_RootConstrainSelectedInstOperands,
     /*   60893 */     // GIR_Coverage, 51896,
     /*   60893 */     GIR_EraseRootFromParent_Done,
     /*   60894 */   // Label 960: @60894
     /*   60894 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(60962), // Rule ID 51897 //
     /*   60899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60936 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60960 */     GIR_RootConstrainSelectedInstOperands,
     /*   60961 */     // GIR_Coverage, 51897,
     /*   60961 */     GIR_EraseRootFromParent_Done,
     /*   60962 */   // Label 961: @60962
     /*   60962 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(61015), // Rule ID 46128 //
     /*   60967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60978 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   60978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   60981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61013 */     GIR_RootConstrainSelectedInstOperands,
     /*   61014 */     // GIR_Coverage, 46128,
     /*   61014 */     GIR_EraseRootFromParent_Done,
     /*   61015 */   // Label 962: @61015
     /*   61015 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(61068), // Rule ID 46129 //
     /*   61020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61031 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   61034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   61048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61066 */     GIR_RootConstrainSelectedInstOperands,
     /*   61067 */     // GIR_Coverage, 46129,
     /*   61067 */     GIR_EraseRootFromParent_Done,
     /*   61068 */   // Label 963: @61068
     /*   61068 */   GIM_Reject,
     /*   61069 */ // Label 957: @61069
     /*   61069 */ GIM_Reject,
     /*   61070 */ // Label 150: @61070
     /*   61070 */ GIM_Reject,
     /*   61071 */ // Label 1: @61071
     /*   61071 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 988*/ GIMT_Encode4(80303),
     /*   61082 */ /*GILLT_s32*//*Label 964*/ GIMT_Encode4(61206),
     /*   61086 */ /*GILLT_s64*//*Label 965*/ GIMT_Encode4(61453), GIMT_Encode4(0),
     /*   61094 */ /*GILLT_nxv1s8*//*Label 966*/ GIMT_Encode4(61729),
     /*   61098 */ /*GILLT_nxv1s16*//*Label 967*/ GIMT_Encode4(61976),
     /*   61102 */ /*GILLT_nxv1s32*//*Label 968*/ GIMT_Encode4(63099),
     /*   61106 */ /*GILLT_nxv1s64*//*Label 969*/ GIMT_Encode4(64222), GIMT_Encode4(0),
     /*   61114 */ /*GILLT_nxv2s8*//*Label 970*/ GIMT_Encode4(65345),
     /*   61118 */ /*GILLT_nxv2s16*//*Label 971*/ GIMT_Encode4(65592),
     /*   61122 */ /*GILLT_nxv2s32*//*Label 972*/ GIMT_Encode4(66715),
     /*   61126 */ /*GILLT_nxv2s64*//*Label 973*/ GIMT_Encode4(67838), GIMT_Encode4(0),
     /*   61134 */ /*GILLT_nxv4s8*//*Label 974*/ GIMT_Encode4(68961),
     /*   61138 */ /*GILLT_nxv4s16*//*Label 975*/ GIMT_Encode4(69208),
     /*   61142 */ /*GILLT_nxv4s32*//*Label 976*/ GIMT_Encode4(70331),
     /*   61146 */ /*GILLT_nxv4s64*//*Label 977*/ GIMT_Encode4(71454), GIMT_Encode4(0),
     /*   61154 */ /*GILLT_nxv8s8*//*Label 978*/ GIMT_Encode4(72577),
     /*   61158 */ /*GILLT_nxv8s16*//*Label 979*/ GIMT_Encode4(72824),
     /*   61162 */ /*GILLT_nxv8s32*//*Label 980*/ GIMT_Encode4(73947),
     /*   61166 */ /*GILLT_nxv8s64*//*Label 981*/ GIMT_Encode4(75070), GIMT_Encode4(0),
     /*   61174 */ /*GILLT_nxv16s8*//*Label 982*/ GIMT_Encode4(76193),
     /*   61178 */ /*GILLT_nxv16s16*//*Label 983*/ GIMT_Encode4(76440),
     /*   61182 */ /*GILLT_nxv16s32*//*Label 984*/ GIMT_Encode4(77563), GIMT_Encode4(0),
     /*   61190 */ /*GILLT_nxv32s8*//*Label 985*/ GIMT_Encode4(78686),
     /*   61194 */ /*GILLT_nxv32s16*//*Label 986*/ GIMT_Encode4(78933), GIMT_Encode4(0),
     /*   61202 */ /*GILLT_nxv64s8*//*Label 987*/ GIMT_Encode4(80056),
     /*   61206 */ // Label 964: @61206
     /*   61206 */ GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(61452),
     /*   61211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   61214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   61217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61221 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(61296), // Rule ID 98 //
     /*   61226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   61229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61262 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   61262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61278 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61294 */     GIR_RootConstrainSelectedInstOperands,
     /*   61295 */     // GIR_Coverage, 98,
     /*   61295 */     GIR_EraseRootFromParent_Done,
     /*   61296 */   // Label 990: @61296
     /*   61296 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61371), // Rule ID 99 //
     /*   61301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   61304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61337 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   61337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61369 */     GIR_RootConstrainSelectedInstOperands,
     /*   61370 */     // GIR_Coverage, 99,
     /*   61370 */     GIR_EraseRootFromParent_Done,
     /*   61371 */   // Label 991: @61371
     /*   61371 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61428), // Rule ID 62587 //
     /*   61376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   61379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61411 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61426 */     GIR_RootConstrainSelectedInstOperands,
     /*   61427 */     // GIR_Coverage, 62587,
     /*   61427 */     GIR_EraseRootFromParent_Done,
     /*   61428 */   // Label 992: @61428
     /*   61428 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61451), // Rule ID 77 //
     /*   61433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   61436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61444 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61449 */     GIR_RootConstrainSelectedInstOperands,
     /*   61450 */     // GIR_Coverage, 77,
     /*   61450 */     GIR_Done,
     /*   61451 */   // Label 993: @61451
     /*   61451 */   GIM_Reject,
     /*   61452 */ // Label 989: @61452
     /*   61452 */ GIM_Reject,
     /*   61453 */ // Label 965: @61453
     /*   61453 */ GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61728),
     /*   61458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   61461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   61464 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61543), // Rule ID 100 //
     /*   61469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61503 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61509 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   61509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   61512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61525 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   61528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   61541 */     GIR_RootConstrainSelectedInstOperands,
     /*   61542 */     // GIR_Coverage, 100,
     /*   61542 */     GIR_EraseRootFromParent_Done,
     /*   61543 */   // Label 995: @61543
     /*   61543 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61608), // Rule ID 62589 //
     /*   61548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   61551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9939),
     /*   61589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61591 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9939>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   61594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61606 */     GIR_RootConstrainSelectedInstOperands,
     /*   61607 */     // GIR_Coverage, 62589,
     /*   61607 */     GIR_EraseRootFromParent_Done,
     /*   61608 */   // Label 996: @61608
     /*   61608 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61669), // Rule ID 62586 //
     /*   61613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   61616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61652 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61667 */     GIR_RootConstrainSelectedInstOperands,
     /*   61668 */     // GIR_Coverage, 62586,
     /*   61668 */     GIR_EraseRootFromParent_Done,
     /*   61669 */   // Label 997: @61669
     /*   61669 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61700), // Rule ID 267 //
     /*   61674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9939),
     /*   61693 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9939>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   61698 */     GIR_RootConstrainSelectedInstOperands,
     /*   61699 */     // GIR_Coverage, 267,
     /*   61699 */     GIR_Done,
     /*   61700 */   // Label 998: @61700
     /*   61700 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61727), // Rule ID 76 //
     /*   61705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   61708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61720 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61725 */     GIR_RootConstrainSelectedInstOperands,
     /*   61726 */     // GIR_Coverage, 76,
     /*   61726 */     GIR_Done,
     /*   61727 */   // Label 999: @61727
     /*   61727 */   GIM_Reject,
     /*   61728 */ // Label 994: @61728
     /*   61728 */ GIM_Reject,
     /*   61729 */ // Label 966: @61729
     /*   61729 */ GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61975),
     /*   61734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61812), // Rule ID 51936 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61786 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61810 */     GIR_RootConstrainSelectedInstOperands,
     /*   61811 */     // GIR_Coverage, 51936,
     /*   61811 */     GIR_EraseRootFromParent_Done,
     /*   61812 */   // Label 1001: @61812
     /*   61812 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61876), // Rule ID 51937 //
     /*   61817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61850 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61874 */     GIR_RootConstrainSelectedInstOperands,
     /*   61875 */     // GIR_Coverage, 51937,
     /*   61875 */     GIR_EraseRootFromParent_Done,
     /*   61876 */   // Label 1002: @61876
     /*   61876 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61925), // Rule ID 46210 //
     /*   61881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61888 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61923 */     GIR_RootConstrainSelectedInstOperands,
     /*   61924 */     // GIR_Coverage, 46210,
     /*   61924 */     GIR_EraseRootFromParent_Done,
     /*   61925 */   // Label 1003: @61925
     /*   61925 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61974), // Rule ID 46211 //
     /*   61930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61937 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61972 */     GIR_RootConstrainSelectedInstOperands,
     /*   61973 */     // GIR_Coverage, 46211,
     /*   61973 */     GIR_EraseRootFromParent_Done,
     /*   61974 */   // Label 1004: @61974
     /*   61974 */   GIM_Reject,
     /*   61975 */ // Label 1000: @61975
     /*   61975 */ GIM_Reject,
     /*   61976 */ // Label 967: @61976
     /*   61976 */ GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(63098),
     /*   61981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   61984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   61987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61991 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(62080), // Rule ID 47206 //
     /*   61996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62039 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62078 */     GIR_RootConstrainSelectedInstOperands,
     /*   62079 */     // GIR_Coverage, 47206,
     /*   62079 */     GIR_EraseRootFromParent_Done,
     /*   62080 */   // Label 1006: @62080
     /*   62080 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(62169), // Rule ID 47207 //
     /*   62085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62128 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62167 */     GIR_RootConstrainSelectedInstOperands,
     /*   62168 */     // GIR_Coverage, 47207,
     /*   62168 */     GIR_EraseRootFromParent_Done,
     /*   62169 */   // Label 1007: @62169
     /*   62169 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62258), // Rule ID 46966 //
     /*   62174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62208 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62217 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_RootConstrainSelectedInstOperands,
     /*   62257 */     // GIR_Coverage, 46966,
     /*   62257 */     GIR_EraseRootFromParent_Done,
     /*   62258 */   // Label 1008: @62258
     /*   62258 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62347), // Rule ID 46967 //
     /*   62263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62306 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62345 */     GIR_RootConstrainSelectedInstOperands,
     /*   62346 */     // GIR_Coverage, 46967,
     /*   62346 */     GIR_EraseRootFromParent_Done,
     /*   62347 */   // Label 1009: @62347
     /*   62347 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62436), // Rule ID 47086 //
     /*   62352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62395 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62434 */     GIR_RootConstrainSelectedInstOperands,
     /*   62435 */     // GIR_Coverage, 47086,
     /*   62435 */     GIR_EraseRootFromParent_Done,
     /*   62436 */   // Label 1010: @62436
     /*   62436 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62525), // Rule ID 47087 //
     /*   62441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62484 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62523 */     GIR_RootConstrainSelectedInstOperands,
     /*   62524 */     // GIR_Coverage, 47087,
     /*   62524 */     GIR_EraseRootFromParent_Done,
     /*   62525 */   // Label 1011: @62525
     /*   62525 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62593), // Rule ID 51948 //
     /*   62530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62567 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62591 */     GIR_RootConstrainSelectedInstOperands,
     /*   62592 */     // GIR_Coverage, 51948,
     /*   62592 */     GIR_EraseRootFromParent_Done,
     /*   62593 */   // Label 1012: @62593
     /*   62593 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62661), // Rule ID 51949 //
     /*   62598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62635 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62659 */     GIR_RootConstrainSelectedInstOperands,
     /*   62660 */     // GIR_Coverage, 51949,
     /*   62660 */     GIR_EraseRootFromParent_Done,
     /*   62661 */   // Label 1013: @62661
     /*   62661 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62716), // Rule ID 47266 //
     /*   62666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62694 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62714 */     GIR_RootConstrainSelectedInstOperands,
     /*   62715 */     // GIR_Coverage, 47266,
     /*   62715 */     GIR_EraseRootFromParent_Done,
     /*   62716 */   // Label 1014: @62716
     /*   62716 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62771), // Rule ID 47267 //
     /*   62721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62749 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62769 */     GIR_RootConstrainSelectedInstOperands,
     /*   62770 */     // GIR_Coverage, 47267,
     /*   62770 */     GIR_EraseRootFromParent_Done,
     /*   62771 */   // Label 1015: @62771
     /*   62771 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62826), // Rule ID 47026 //
     /*   62776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62804 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62824 */     GIR_RootConstrainSelectedInstOperands,
     /*   62825 */     // GIR_Coverage, 47026,
     /*   62825 */     GIR_EraseRootFromParent_Done,
     /*   62826 */   // Label 1016: @62826
     /*   62826 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62881), // Rule ID 47027 //
     /*   62831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62859 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62879 */     GIR_RootConstrainSelectedInstOperands,
     /*   62880 */     // GIR_Coverage, 47027,
     /*   62880 */     GIR_EraseRootFromParent_Done,
     /*   62881 */   // Label 1017: @62881
     /*   62881 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62936), // Rule ID 47146 //
     /*   62886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62914 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62934 */     GIR_RootConstrainSelectedInstOperands,
     /*   62935 */     // GIR_Coverage, 47146,
     /*   62935 */     GIR_EraseRootFromParent_Done,
     /*   62936 */   // Label 1018: @62936
     /*   62936 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62991), // Rule ID 47147 //
     /*   62941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62969 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62989 */     GIR_RootConstrainSelectedInstOperands,
     /*   62990 */     // GIR_Coverage, 47147,
     /*   62990 */     GIR_EraseRootFromParent_Done,
     /*   62991 */   // Label 1019: @62991
     /*   62991 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63044), // Rule ID 46222 //
     /*   62996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63007 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63042 */     GIR_RootConstrainSelectedInstOperands,
     /*   63043 */     // GIR_Coverage, 46222,
     /*   63043 */     GIR_EraseRootFromParent_Done,
     /*   63044 */   // Label 1020: @63044
     /*   63044 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(63097), // Rule ID 46223 //
     /*   63049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63060 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63095 */     GIR_RootConstrainSelectedInstOperands,
     /*   63096 */     // GIR_Coverage, 46223,
     /*   63096 */     GIR_EraseRootFromParent_Done,
     /*   63097 */   // Label 1021: @63097
     /*   63097 */   GIM_Reject,
     /*   63098 */ // Label 1005: @63098
     /*   63098 */ GIM_Reject,
     /*   63099 */ // Label 968: @63099
     /*   63099 */ GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(64221),
     /*   63104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63114 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63203), // Rule ID 47230 //
     /*   63119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63162 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63201 */     GIR_RootConstrainSelectedInstOperands,
     /*   63202 */     // GIR_Coverage, 47230,
     /*   63202 */     GIR_EraseRootFromParent_Done,
     /*   63203 */   // Label 1023: @63203
     /*   63203 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(63292), // Rule ID 47231 //
     /*   63208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63251 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63290 */     GIR_RootConstrainSelectedInstOperands,
     /*   63291 */     // GIR_Coverage, 47231,
     /*   63291 */     GIR_EraseRootFromParent_Done,
     /*   63292 */   // Label 1024: @63292
     /*   63292 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63381), // Rule ID 46990 //
     /*   63297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63340 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63379 */     GIR_RootConstrainSelectedInstOperands,
     /*   63380 */     // GIR_Coverage, 46990,
     /*   63380 */     GIR_EraseRootFromParent_Done,
     /*   63381 */   // Label 1025: @63381
     /*   63381 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63470), // Rule ID 46991 //
     /*   63386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63429 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63468 */     GIR_RootConstrainSelectedInstOperands,
     /*   63469 */     // GIR_Coverage, 46991,
     /*   63469 */     GIR_EraseRootFromParent_Done,
     /*   63470 */   // Label 1026: @63470
     /*   63470 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63559), // Rule ID 47110 //
     /*   63475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63518 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63557 */     GIR_RootConstrainSelectedInstOperands,
     /*   63558 */     // GIR_Coverage, 47110,
     /*   63558 */     GIR_EraseRootFromParent_Done,
     /*   63559 */   // Label 1027: @63559
     /*   63559 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63648), // Rule ID 47111 //
     /*   63564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63607 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63646 */     GIR_RootConstrainSelectedInstOperands,
     /*   63647 */     // GIR_Coverage, 47111,
     /*   63647 */     GIR_EraseRootFromParent_Done,
     /*   63648 */   // Label 1028: @63648
     /*   63648 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63716), // Rule ID 51956 //
     /*   63653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63690 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63714 */     GIR_RootConstrainSelectedInstOperands,
     /*   63715 */     // GIR_Coverage, 51956,
     /*   63715 */     GIR_EraseRootFromParent_Done,
     /*   63716 */   // Label 1029: @63716
     /*   63716 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63784), // Rule ID 51957 //
     /*   63721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63758 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63782 */     GIR_RootConstrainSelectedInstOperands,
     /*   63783 */     // GIR_Coverage, 51957,
     /*   63783 */     GIR_EraseRootFromParent_Done,
     /*   63784 */   // Label 1030: @63784
     /*   63784 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63839), // Rule ID 47290 //
     /*   63789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63817 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63837 */     GIR_RootConstrainSelectedInstOperands,
     /*   63838 */     // GIR_Coverage, 47290,
     /*   63838 */     GIR_EraseRootFromParent_Done,
     /*   63839 */   // Label 1031: @63839
     /*   63839 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63894), // Rule ID 47291 //
     /*   63844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63872 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63892 */     GIR_RootConstrainSelectedInstOperands,
     /*   63893 */     // GIR_Coverage, 47291,
     /*   63893 */     GIR_EraseRootFromParent_Done,
     /*   63894 */   // Label 1032: @63894
     /*   63894 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63949), // Rule ID 47050 //
     /*   63899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63927 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63947 */     GIR_RootConstrainSelectedInstOperands,
     /*   63948 */     // GIR_Coverage, 47050,
     /*   63948 */     GIR_EraseRootFromParent_Done,
     /*   63949 */   // Label 1033: @63949
     /*   63949 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(64004), // Rule ID 47051 //
     /*   63954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63982 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64002 */     GIR_RootConstrainSelectedInstOperands,
     /*   64003 */     // GIR_Coverage, 47051,
     /*   64003 */     GIR_EraseRootFromParent_Done,
     /*   64004 */   // Label 1034: @64004
     /*   64004 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(64059), // Rule ID 47170 //
     /*   64009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64037 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   64037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64057 */     GIR_RootConstrainSelectedInstOperands,
     /*   64058 */     // GIR_Coverage, 47170,
     /*   64058 */     GIR_EraseRootFromParent_Done,
     /*   64059 */   // Label 1035: @64059
     /*   64059 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(64114), // Rule ID 47171 //
     /*   64064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64092 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64112 */     GIR_RootConstrainSelectedInstOperands,
     /*   64113 */     // GIR_Coverage, 47171,
     /*   64113 */     GIR_EraseRootFromParent_Done,
     /*   64114 */   // Label 1036: @64114
     /*   64114 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64167), // Rule ID 46230 //
     /*   64119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64130 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64165 */     GIR_RootConstrainSelectedInstOperands,
     /*   64166 */     // GIR_Coverage, 46230,
     /*   64166 */     GIR_EraseRootFromParent_Done,
     /*   64167 */   // Label 1037: @64167
     /*   64167 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(64220), // Rule ID 46231 //
     /*   64172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64183 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64218 */     GIR_RootConstrainSelectedInstOperands,
     /*   64219 */     // GIR_Coverage, 46231,
     /*   64219 */     GIR_EraseRootFromParent_Done,
     /*   64220 */   // Label 1038: @64220
     /*   64220 */   GIM_Reject,
     /*   64221 */ // Label 1022: @64221
     /*   64221 */ GIM_Reject,
     /*   64222 */ // Label 969: @64222
     /*   64222 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(65344),
     /*   64227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64237 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64326), // Rule ID 47250 //
     /*   64242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64285 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64324 */     GIR_RootConstrainSelectedInstOperands,
     /*   64325 */     // GIR_Coverage, 47250,
     /*   64325 */     GIR_EraseRootFromParent_Done,
     /*   64326 */   // Label 1040: @64326
     /*   64326 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64415), // Rule ID 47251 //
     /*   64331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64374 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64413 */     GIR_RootConstrainSelectedInstOperands,
     /*   64414 */     // GIR_Coverage, 47251,
     /*   64414 */     GIR_EraseRootFromParent_Done,
     /*   64415 */   // Label 1041: @64415
     /*   64415 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64504), // Rule ID 47010 //
     /*   64420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64463 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64502 */     GIR_RootConstrainSelectedInstOperands,
     /*   64503 */     // GIR_Coverage, 47010,
     /*   64503 */     GIR_EraseRootFromParent_Done,
     /*   64504 */   // Label 1042: @64504
     /*   64504 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64593), // Rule ID 47011 //
     /*   64509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64552 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64591 */     GIR_RootConstrainSelectedInstOperands,
     /*   64592 */     // GIR_Coverage, 47011,
     /*   64592 */     GIR_EraseRootFromParent_Done,
     /*   64593 */   // Label 1043: @64593
     /*   64593 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64682), // Rule ID 47130 //
     /*   64598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64613 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64641 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64680 */     GIR_RootConstrainSelectedInstOperands,
     /*   64681 */     // GIR_Coverage, 47130,
     /*   64681 */     GIR_EraseRootFromParent_Done,
     /*   64682 */   // Label 1044: @64682
     /*   64682 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64771), // Rule ID 47131 //
     /*   64687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64721 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64730 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64769 */     GIR_RootConstrainSelectedInstOperands,
     /*   64770 */     // GIR_Coverage, 47131,
     /*   64770 */     GIR_EraseRootFromParent_Done,
     /*   64771 */   // Label 1045: @64771
     /*   64771 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64839), // Rule ID 51972 //
     /*   64776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64813 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64837 */     GIR_RootConstrainSelectedInstOperands,
     /*   64838 */     // GIR_Coverage, 51972,
     /*   64838 */     GIR_EraseRootFromParent_Done,
     /*   64839 */   // Label 1046: @64839
     /*   64839 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64907), // Rule ID 51973 //
     /*   64844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64881 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64905 */     GIR_RootConstrainSelectedInstOperands,
     /*   64906 */     // GIR_Coverage, 51973,
     /*   64906 */     GIR_EraseRootFromParent_Done,
     /*   64907 */   // Label 1047: @64907
     /*   64907 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64962), // Rule ID 47310 //
     /*   64912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64940 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64960 */     GIR_RootConstrainSelectedInstOperands,
     /*   64961 */     // GIR_Coverage, 47310,
     /*   64961 */     GIR_EraseRootFromParent_Done,
     /*   64962 */   // Label 1048: @64962
     /*   64962 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(65017), // Rule ID 47311 //
     /*   64967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64995 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65015 */     GIR_RootConstrainSelectedInstOperands,
     /*   65016 */     // GIR_Coverage, 47311,
     /*   65016 */     GIR_EraseRootFromParent_Done,
     /*   65017 */   // Label 1049: @65017
     /*   65017 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(65072), // Rule ID 47070 //
     /*   65022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65050 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65070 */     GIR_RootConstrainSelectedInstOperands,
     /*   65071 */     // GIR_Coverage, 47070,
     /*   65071 */     GIR_EraseRootFromParent_Done,
     /*   65072 */   // Label 1050: @65072
     /*   65072 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(65127), // Rule ID 47071 //
     /*   65077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65105 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65125 */     GIR_RootConstrainSelectedInstOperands,
     /*   65126 */     // GIR_Coverage, 47071,
     /*   65126 */     GIR_EraseRootFromParent_Done,
     /*   65127 */   // Label 1051: @65127
     /*   65127 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(65182), // Rule ID 47190 //
     /*   65132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65160 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65180 */     GIR_RootConstrainSelectedInstOperands,
     /*   65181 */     // GIR_Coverage, 47190,
     /*   65181 */     GIR_EraseRootFromParent_Done,
     /*   65182 */   // Label 1052: @65182
     /*   65182 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(65237), // Rule ID 47191 //
     /*   65187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65215 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65235 */     GIR_RootConstrainSelectedInstOperands,
     /*   65236 */     // GIR_Coverage, 47191,
     /*   65236 */     GIR_EraseRootFromParent_Done,
     /*   65237 */   // Label 1053: @65237
     /*   65237 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65290), // Rule ID 46246 //
     /*   65242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   65245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65253 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   65253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65288 */     GIR_RootConstrainSelectedInstOperands,
     /*   65289 */     // GIR_Coverage, 46246,
     /*   65289 */     GIR_EraseRootFromParent_Done,
     /*   65290 */   // Label 1054: @65290
     /*   65290 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(65343), // Rule ID 46247 //
     /*   65295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   65298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65306 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   65306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65341 */     GIR_RootConstrainSelectedInstOperands,
     /*   65342 */     // GIR_Coverage, 46247,
     /*   65342 */     GIR_EraseRootFromParent_Done,
     /*   65343 */   // Label 1055: @65343
     /*   65343 */   GIM_Reject,
     /*   65344 */ // Label 1039: @65344
     /*   65344 */ GIM_Reject,
     /*   65345 */ // Label 970: @65345
     /*   65345 */ GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65591),
     /*   65350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65428), // Rule ID 51940 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65402 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65426 */     GIR_RootConstrainSelectedInstOperands,
     /*   65427 */     // GIR_Coverage, 51940,
     /*   65427 */     GIR_EraseRootFromParent_Done,
     /*   65428 */   // Label 1057: @65428
     /*   65428 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65492), // Rule ID 51941 //
     /*   65433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65466 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65490 */     GIR_RootConstrainSelectedInstOperands,
     /*   65491 */     // GIR_Coverage, 51941,
     /*   65491 */     GIR_EraseRootFromParent_Done,
     /*   65492 */   // Label 1058: @65492
     /*   65492 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65541), // Rule ID 46214 //
     /*   65497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65504 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65539 */     GIR_RootConstrainSelectedInstOperands,
     /*   65540 */     // GIR_Coverage, 46214,
     /*   65540 */     GIR_EraseRootFromParent_Done,
     /*   65541 */   // Label 1059: @65541
     /*   65541 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65590), // Rule ID 46215 //
     /*   65546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65553 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65588 */     GIR_RootConstrainSelectedInstOperands,
     /*   65589 */     // GIR_Coverage, 46215,
     /*   65589 */     GIR_EraseRootFromParent_Done,
     /*   65590 */   // Label 1060: @65590
     /*   65590 */   GIM_Reject,
     /*   65591 */ // Label 1056: @65591
     /*   65591 */ GIM_Reject,
     /*   65592 */ // Label 971: @65592
     /*   65592 */ GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(66714),
     /*   65597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   65600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   65603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65607 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65696), // Rule ID 47210 //
     /*   65612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65655 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65694 */     GIR_RootConstrainSelectedInstOperands,
     /*   65695 */     // GIR_Coverage, 47210,
     /*   65695 */     GIR_EraseRootFromParent_Done,
     /*   65696 */   // Label 1062: @65696
     /*   65696 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65785), // Rule ID 47211 //
     /*   65701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65744 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65783 */     GIR_RootConstrainSelectedInstOperands,
     /*   65784 */     // GIR_Coverage, 47211,
     /*   65784 */     GIR_EraseRootFromParent_Done,
     /*   65785 */   // Label 1063: @65785
     /*   65785 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65874), // Rule ID 46970 //
     /*   65790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65833 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_RootConstrainSelectedInstOperands,
     /*   65873 */     // GIR_Coverage, 46970,
     /*   65873 */     GIR_EraseRootFromParent_Done,
     /*   65874 */   // Label 1064: @65874
     /*   65874 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65963), // Rule ID 46971 //
     /*   65879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65922 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65961 */     GIR_RootConstrainSelectedInstOperands,
     /*   65962 */     // GIR_Coverage, 46971,
     /*   65962 */     GIR_EraseRootFromParent_Done,
     /*   65963 */   // Label 1065: @65963
     /*   65963 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(66052), // Rule ID 47090 //
     /*   65968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66011 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   66011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66050 */     GIR_RootConstrainSelectedInstOperands,
     /*   66051 */     // GIR_Coverage, 47090,
     /*   66051 */     GIR_EraseRootFromParent_Done,
     /*   66052 */   // Label 1066: @66052
     /*   66052 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(66141), // Rule ID 47091 //
     /*   66057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66100 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   66100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66139 */     GIR_RootConstrainSelectedInstOperands,
     /*   66140 */     // GIR_Coverage, 47091,
     /*   66140 */     GIR_EraseRootFromParent_Done,
     /*   66141 */   // Label 1067: @66141
     /*   66141 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(66209), // Rule ID 51952 //
     /*   66146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66183 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66207 */     GIR_RootConstrainSelectedInstOperands,
     /*   66208 */     // GIR_Coverage, 51952,
     /*   66208 */     GIR_EraseRootFromParent_Done,
     /*   66209 */   // Label 1068: @66209
     /*   66209 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(66277), // Rule ID 51953 //
     /*   66214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66251 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66275 */     GIR_RootConstrainSelectedInstOperands,
     /*   66276 */     // GIR_Coverage, 51953,
     /*   66276 */     GIR_EraseRootFromParent_Done,
     /*   66277 */   // Label 1069: @66277
     /*   66277 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66332), // Rule ID 47270 //
     /*   66282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66310 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66330 */     GIR_RootConstrainSelectedInstOperands,
     /*   66331 */     // GIR_Coverage, 47270,
     /*   66331 */     GIR_EraseRootFromParent_Done,
     /*   66332 */   // Label 1070: @66332
     /*   66332 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66387), // Rule ID 47271 //
     /*   66337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66365 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66385 */     GIR_RootConstrainSelectedInstOperands,
     /*   66386 */     // GIR_Coverage, 47271,
     /*   66386 */     GIR_EraseRootFromParent_Done,
     /*   66387 */   // Label 1071: @66387
     /*   66387 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66442), // Rule ID 47030 //
     /*   66392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66420 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66440 */     GIR_RootConstrainSelectedInstOperands,
     /*   66441 */     // GIR_Coverage, 47030,
     /*   66441 */     GIR_EraseRootFromParent_Done,
     /*   66442 */   // Label 1072: @66442
     /*   66442 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66497), // Rule ID 47031 //
     /*   66447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66475 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66495 */     GIR_RootConstrainSelectedInstOperands,
     /*   66496 */     // GIR_Coverage, 47031,
     /*   66496 */     GIR_EraseRootFromParent_Done,
     /*   66497 */   // Label 1073: @66497
     /*   66497 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66552), // Rule ID 47150 //
     /*   66502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66530 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66550 */     GIR_RootConstrainSelectedInstOperands,
     /*   66551 */     // GIR_Coverage, 47150,
     /*   66551 */     GIR_EraseRootFromParent_Done,
     /*   66552 */   // Label 1074: @66552
     /*   66552 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66607), // Rule ID 47151 //
     /*   66557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66585 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66605 */     GIR_RootConstrainSelectedInstOperands,
     /*   66606 */     // GIR_Coverage, 47151,
     /*   66606 */     GIR_EraseRootFromParent_Done,
     /*   66607 */   // Label 1075: @66607
     /*   66607 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66660), // Rule ID 46226 //
     /*   66612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66623 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66658 */     GIR_RootConstrainSelectedInstOperands,
     /*   66659 */     // GIR_Coverage, 46226,
     /*   66659 */     GIR_EraseRootFromParent_Done,
     /*   66660 */   // Label 1076: @66660
     /*   66660 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66713), // Rule ID 46227 //
     /*   66665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66676 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66711 */     GIR_RootConstrainSelectedInstOperands,
     /*   66712 */     // GIR_Coverage, 46227,
     /*   66712 */     GIR_EraseRootFromParent_Done,
     /*   66713 */   // Label 1077: @66713
     /*   66713 */   GIM_Reject,
     /*   66714 */ // Label 1061: @66714
     /*   66714 */ GIM_Reject,
     /*   66715 */ // Label 972: @66715
     /*   66715 */ GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(67837),
     /*   66720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   66723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   66726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66730 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66819), // Rule ID 47234 //
     /*   66735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66769 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66776 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66778 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66817 */     GIR_RootConstrainSelectedInstOperands,
     /*   66818 */     // GIR_Coverage, 47234,
     /*   66818 */     GIR_EraseRootFromParent_Done,
     /*   66819 */   // Label 1079: @66819
     /*   66819 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66908), // Rule ID 47235 //
     /*   66824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66867 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66906 */     GIR_RootConstrainSelectedInstOperands,
     /*   66907 */     // GIR_Coverage, 47235,
     /*   66907 */     GIR_EraseRootFromParent_Done,
     /*   66908 */   // Label 1080: @66908
     /*   66908 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66997), // Rule ID 46994 //
     /*   66913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66956 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   66973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66995 */     GIR_RootConstrainSelectedInstOperands,
     /*   66996 */     // GIR_Coverage, 46994,
     /*   66996 */     GIR_EraseRootFromParent_Done,
     /*   66997 */   // Label 1081: @66997
     /*   66997 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(67086), // Rule ID 46995 //
     /*   67002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67045 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   67062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67084 */     GIR_RootConstrainSelectedInstOperands,
     /*   67085 */     // GIR_Coverage, 46995,
     /*   67085 */     GIR_EraseRootFromParent_Done,
     /*   67086 */   // Label 1082: @67086
     /*   67086 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(67175), // Rule ID 47114 //
     /*   67091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67134 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   67134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67173 */     GIR_RootConstrainSelectedInstOperands,
     /*   67174 */     // GIR_Coverage, 47114,
     /*   67174 */     GIR_EraseRootFromParent_Done,
     /*   67175 */   // Label 1083: @67175
     /*   67175 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67264), // Rule ID 47115 //
     /*   67180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67223 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67262 */     GIR_RootConstrainSelectedInstOperands,
     /*   67263 */     // GIR_Coverage, 47115,
     /*   67263 */     GIR_EraseRootFromParent_Done,
     /*   67264 */   // Label 1084: @67264
     /*   67264 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67332), // Rule ID 51968 //
     /*   67269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67306 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   67306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67330 */     GIR_RootConstrainSelectedInstOperands,
     /*   67331 */     // GIR_Coverage, 51968,
     /*   67331 */     GIR_EraseRootFromParent_Done,
     /*   67332 */   // Label 1085: @67332
     /*   67332 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67400), // Rule ID 51969 //
     /*   67337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67374 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   67374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67398 */     GIR_RootConstrainSelectedInstOperands,
     /*   67399 */     // GIR_Coverage, 51969,
     /*   67399 */     GIR_EraseRootFromParent_Done,
     /*   67400 */   // Label 1086: @67400
     /*   67400 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67455), // Rule ID 47294 //
     /*   67405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67433 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67453 */     GIR_RootConstrainSelectedInstOperands,
     /*   67454 */     // GIR_Coverage, 47294,
     /*   67454 */     GIR_EraseRootFromParent_Done,
     /*   67455 */   // Label 1087: @67455
     /*   67455 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67510), // Rule ID 47295 //
     /*   67460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67488 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67508 */     GIR_RootConstrainSelectedInstOperands,
     /*   67509 */     // GIR_Coverage, 47295,
     /*   67509 */     GIR_EraseRootFromParent_Done,
     /*   67510 */   // Label 1088: @67510
     /*   67510 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67565), // Rule ID 47054 //
     /*   67515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67543 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67563 */     GIR_RootConstrainSelectedInstOperands,
     /*   67564 */     // GIR_Coverage, 47054,
     /*   67564 */     GIR_EraseRootFromParent_Done,
     /*   67565 */   // Label 1089: @67565
     /*   67565 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67620), // Rule ID 47055 //
     /*   67570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67598 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67618 */     GIR_RootConstrainSelectedInstOperands,
     /*   67619 */     // GIR_Coverage, 47055,
     /*   67619 */     GIR_EraseRootFromParent_Done,
     /*   67620 */   // Label 1090: @67620
     /*   67620 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67675), // Rule ID 47174 //
     /*   67625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67653 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67673 */     GIR_RootConstrainSelectedInstOperands,
     /*   67674 */     // GIR_Coverage, 47174,
     /*   67674 */     GIR_EraseRootFromParent_Done,
     /*   67675 */   // Label 1091: @67675
     /*   67675 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67730), // Rule ID 47175 //
     /*   67680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67708 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67728 */     GIR_RootConstrainSelectedInstOperands,
     /*   67729 */     // GIR_Coverage, 47175,
     /*   67729 */     GIR_EraseRootFromParent_Done,
     /*   67730 */   // Label 1092: @67730
     /*   67730 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67783), // Rule ID 46242 //
     /*   67735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67746 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67781 */     GIR_RootConstrainSelectedInstOperands,
     /*   67782 */     // GIR_Coverage, 46242,
     /*   67782 */     GIR_EraseRootFromParent_Done,
     /*   67783 */   // Label 1093: @67783
     /*   67783 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67836), // Rule ID 46243 //
     /*   67788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67799 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67834 */     GIR_RootConstrainSelectedInstOperands,
     /*   67835 */     // GIR_Coverage, 46243,
     /*   67835 */     GIR_EraseRootFromParent_Done,
     /*   67836 */   // Label 1094: @67836
     /*   67836 */   GIM_Reject,
     /*   67837 */ // Label 1078: @67837
     /*   67837 */ GIM_Reject,
     /*   67838 */ // Label 973: @67838
     /*   67838 */ GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(68960),
     /*   67843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   67846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   67849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67853 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67942), // Rule ID 47254 //
     /*   67858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67901 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   67918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67940 */     GIR_RootConstrainSelectedInstOperands,
     /*   67941 */     // GIR_Coverage, 47254,
     /*   67941 */     GIR_EraseRootFromParent_Done,
     /*   67942 */   // Label 1096: @67942
     /*   67942 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(68031), // Rule ID 47255 //
     /*   67947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67990 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68029 */     GIR_RootConstrainSelectedInstOperands,
     /*   68030 */     // GIR_Coverage, 47255,
     /*   68030 */     GIR_EraseRootFromParent_Done,
     /*   68031 */   // Label 1097: @68031
     /*   68031 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(68120), // Rule ID 47014 //
     /*   68036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68079 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68118 */     GIR_RootConstrainSelectedInstOperands,
     /*   68119 */     // GIR_Coverage, 47014,
     /*   68119 */     GIR_EraseRootFromParent_Done,
     /*   68120 */   // Label 1098: @68120
     /*   68120 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68209), // Rule ID 47015 //
     /*   68125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68168 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68207 */     GIR_RootConstrainSelectedInstOperands,
     /*   68208 */     // GIR_Coverage, 47015,
     /*   68208 */     GIR_EraseRootFromParent_Done,
     /*   68209 */   // Label 1099: @68209
     /*   68209 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68298), // Rule ID 47134 //
     /*   68214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68257 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68296 */     GIR_RootConstrainSelectedInstOperands,
     /*   68297 */     // GIR_Coverage, 47134,
     /*   68297 */     GIR_EraseRootFromParent_Done,
     /*   68298 */   // Label 1100: @68298
     /*   68298 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68387), // Rule ID 47135 //
     /*   68303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68337 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68346 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68385 */     GIR_RootConstrainSelectedInstOperands,
     /*   68386 */     // GIR_Coverage, 47135,
     /*   68386 */     GIR_EraseRootFromParent_Done,
     /*   68387 */   // Label 1101: @68387
     /*   68387 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68455), // Rule ID 52012 //
     /*   68392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68429 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   68429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68453 */     GIR_RootConstrainSelectedInstOperands,
     /*   68454 */     // GIR_Coverage, 52012,
     /*   68454 */     GIR_EraseRootFromParent_Done,
     /*   68455 */   // Label 1102: @68455
     /*   68455 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68523), // Rule ID 52013 //
     /*   68460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68497 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   68497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68521 */     GIR_RootConstrainSelectedInstOperands,
     /*   68522 */     // GIR_Coverage, 52013,
     /*   68522 */     GIR_EraseRootFromParent_Done,
     /*   68523 */   // Label 1103: @68523
     /*   68523 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68578), // Rule ID 47314 //
     /*   68528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68556 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68576 */     GIR_RootConstrainSelectedInstOperands,
     /*   68577 */     // GIR_Coverage, 47314,
     /*   68577 */     GIR_EraseRootFromParent_Done,
     /*   68578 */   // Label 1104: @68578
     /*   68578 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68633), // Rule ID 47315 //
     /*   68583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68611 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68631 */     GIR_RootConstrainSelectedInstOperands,
     /*   68632 */     // GIR_Coverage, 47315,
     /*   68632 */     GIR_EraseRootFromParent_Done,
     /*   68633 */   // Label 1105: @68633
     /*   68633 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68688), // Rule ID 47074 //
     /*   68638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68657 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68666 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68686 */     GIR_RootConstrainSelectedInstOperands,
     /*   68687 */     // GIR_Coverage, 47074,
     /*   68687 */     GIR_EraseRootFromParent_Done,
     /*   68688 */   // Label 1106: @68688
     /*   68688 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68743), // Rule ID 47075 //
     /*   68693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68721 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68741 */     GIR_RootConstrainSelectedInstOperands,
     /*   68742 */     // GIR_Coverage, 47075,
     /*   68742 */     GIR_EraseRootFromParent_Done,
     /*   68743 */   // Label 1107: @68743
     /*   68743 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68798), // Rule ID 47194 //
     /*   68748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68767 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68776 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68796 */     GIR_RootConstrainSelectedInstOperands,
     /*   68797 */     // GIR_Coverage, 47194,
     /*   68797 */     GIR_EraseRootFromParent_Done,
     /*   68798 */   // Label 1108: @68798
     /*   68798 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68853), // Rule ID 47195 //
     /*   68803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68831 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68851 */     GIR_RootConstrainSelectedInstOperands,
     /*   68852 */     // GIR_Coverage, 47195,
     /*   68852 */     GIR_EraseRootFromParent_Done,
     /*   68853 */   // Label 1109: @68853
     /*   68853 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68906), // Rule ID 46286 //
     /*   68858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68869 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68904 */     GIR_RootConstrainSelectedInstOperands,
     /*   68905 */     // GIR_Coverage, 46286,
     /*   68905 */     GIR_EraseRootFromParent_Done,
     /*   68906 */   // Label 1110: @68906
     /*   68906 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68959), // Rule ID 46287 //
     /*   68911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68922 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68957 */     GIR_RootConstrainSelectedInstOperands,
     /*   68958 */     // GIR_Coverage, 46287,
     /*   68958 */     GIR_EraseRootFromParent_Done,
     /*   68959 */   // Label 1111: @68959
     /*   68959 */   GIM_Reject,
     /*   68960 */ // Label 1095: @68960
     /*   68960 */ GIM_Reject,
     /*   68961 */ // Label 974: @68961
     /*   68961 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(69207),
     /*   68966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   68969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   68972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(69044), // Rule ID 51944 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69018 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69042 */     GIR_RootConstrainSelectedInstOperands,
     /*   69043 */     // GIR_Coverage, 51944,
     /*   69043 */     GIR_EraseRootFromParent_Done,
     /*   69044 */   // Label 1113: @69044
     /*   69044 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(69108), // Rule ID 51945 //
     /*   69049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69082 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69106 */     GIR_RootConstrainSelectedInstOperands,
     /*   69107 */     // GIR_Coverage, 51945,
     /*   69107 */     GIR_EraseRootFromParent_Done,
     /*   69108 */   // Label 1114: @69108
     /*   69108 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69157), // Rule ID 46218 //
     /*   69113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69120 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69155 */     GIR_RootConstrainSelectedInstOperands,
     /*   69156 */     // GIR_Coverage, 46218,
     /*   69156 */     GIR_EraseRootFromParent_Done,
     /*   69157 */   // Label 1115: @69157
     /*   69157 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(69206), // Rule ID 46219 //
     /*   69162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69169 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69204 */     GIR_RootConstrainSelectedInstOperands,
     /*   69205 */     // GIR_Coverage, 46219,
     /*   69205 */     GIR_EraseRootFromParent_Done,
     /*   69206 */   // Label 1116: @69206
     /*   69206 */   GIM_Reject,
     /*   69207 */ // Label 1112: @69207
     /*   69207 */ GIM_Reject,
     /*   69208 */ // Label 975: @69208
     /*   69208 */ GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(70330),
     /*   69213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69223 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69312), // Rule ID 47214 //
     /*   69228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69271 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69310 */     GIR_RootConstrainSelectedInstOperands,
     /*   69311 */     // GIR_Coverage, 47214,
     /*   69311 */     GIR_EraseRootFromParent_Done,
     /*   69312 */   // Label 1118: @69312
     /*   69312 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69401), // Rule ID 47215 //
     /*   69317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69360 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69399 */     GIR_RootConstrainSelectedInstOperands,
     /*   69400 */     // GIR_Coverage, 47215,
     /*   69400 */     GIR_EraseRootFromParent_Done,
     /*   69401 */   // Label 1119: @69401
     /*   69401 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69490), // Rule ID 46974 //
     /*   69406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69449 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_RootConstrainSelectedInstOperands,
     /*   69489 */     // GIR_Coverage, 46974,
     /*   69489 */     GIR_EraseRootFromParent_Done,
     /*   69490 */   // Label 1120: @69490
     /*   69490 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69579), // Rule ID 46975 //
     /*   69495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69529 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69538 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69577 */     GIR_RootConstrainSelectedInstOperands,
     /*   69578 */     // GIR_Coverage, 46975,
     /*   69578 */     GIR_EraseRootFromParent_Done,
     /*   69579 */   // Label 1121: @69579
     /*   69579 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69668), // Rule ID 47094 //
     /*   69584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69627 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69666 */     GIR_RootConstrainSelectedInstOperands,
     /*   69667 */     // GIR_Coverage, 47094,
     /*   69667 */     GIR_EraseRootFromParent_Done,
     /*   69668 */   // Label 1122: @69668
     /*   69668 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69757), // Rule ID 47095 //
     /*   69673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69688 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69716 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69755 */     GIR_RootConstrainSelectedInstOperands,
     /*   69756 */     // GIR_Coverage, 47095,
     /*   69756 */     GIR_EraseRootFromParent_Done,
     /*   69757 */   // Label 1123: @69757
     /*   69757 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69825), // Rule ID 51964 //
     /*   69762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69799 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69823 */     GIR_RootConstrainSelectedInstOperands,
     /*   69824 */     // GIR_Coverage, 51964,
     /*   69824 */     GIR_EraseRootFromParent_Done,
     /*   69825 */   // Label 1124: @69825
     /*   69825 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69893), // Rule ID 51965 //
     /*   69830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69867 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69891 */     GIR_RootConstrainSelectedInstOperands,
     /*   69892 */     // GIR_Coverage, 51965,
     /*   69892 */     GIR_EraseRootFromParent_Done,
     /*   69893 */   // Label 1125: @69893
     /*   69893 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69948), // Rule ID 47274 //
     /*   69898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69926 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69946 */     GIR_RootConstrainSelectedInstOperands,
     /*   69947 */     // GIR_Coverage, 47274,
     /*   69947 */     GIR_EraseRootFromParent_Done,
     /*   69948 */   // Label 1126: @69948
     /*   69948 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(70003), // Rule ID 47275 //
     /*   69953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69981 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70001 */     GIR_RootConstrainSelectedInstOperands,
     /*   70002 */     // GIR_Coverage, 47275,
     /*   70002 */     GIR_EraseRootFromParent_Done,
     /*   70003 */   // Label 1127: @70003
     /*   70003 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(70058), // Rule ID 47034 //
     /*   70008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70036 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70056 */     GIR_RootConstrainSelectedInstOperands,
     /*   70057 */     // GIR_Coverage, 47034,
     /*   70057 */     GIR_EraseRootFromParent_Done,
     /*   70058 */   // Label 1128: @70058
     /*   70058 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(70113), // Rule ID 47035 //
     /*   70063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70091 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70111 */     GIR_RootConstrainSelectedInstOperands,
     /*   70112 */     // GIR_Coverage, 47035,
     /*   70112 */     GIR_EraseRootFromParent_Done,
     /*   70113 */   // Label 1129: @70113
     /*   70113 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(70168), // Rule ID 47154 //
     /*   70118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70146 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70166 */     GIR_RootConstrainSelectedInstOperands,
     /*   70167 */     // GIR_Coverage, 47154,
     /*   70167 */     GIR_EraseRootFromParent_Done,
     /*   70168 */   // Label 1130: @70168
     /*   70168 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(70223), // Rule ID 47155 //
     /*   70173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70201 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70221 */     GIR_RootConstrainSelectedInstOperands,
     /*   70222 */     // GIR_Coverage, 47155,
     /*   70222 */     GIR_EraseRootFromParent_Done,
     /*   70223 */   // Label 1131: @70223
     /*   70223 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70276), // Rule ID 46238 //
     /*   70228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70239 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70274 */     GIR_RootConstrainSelectedInstOperands,
     /*   70275 */     // GIR_Coverage, 46238,
     /*   70275 */     GIR_EraseRootFromParent_Done,
     /*   70276 */   // Label 1132: @70276
     /*   70276 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70329), // Rule ID 46239 //
     /*   70281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70292 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70327 */     GIR_RootConstrainSelectedInstOperands,
     /*   70328 */     // GIR_Coverage, 46239,
     /*   70328 */     GIR_EraseRootFromParent_Done,
     /*   70329 */   // Label 1133: @70329
     /*   70329 */   GIM_Reject,
     /*   70330 */ // Label 1117: @70330
     /*   70330 */ GIM_Reject,
     /*   70331 */ // Label 976: @70331
     /*   70331 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(71453),
     /*   70336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70346 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70435), // Rule ID 47238 //
     /*   70351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70394 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70433 */     GIR_RootConstrainSelectedInstOperands,
     /*   70434 */     // GIR_Coverage, 47238,
     /*   70434 */     GIR_EraseRootFromParent_Done,
     /*   70435 */   // Label 1135: @70435
     /*   70435 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70524), // Rule ID 47239 //
     /*   70440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70483 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70522 */     GIR_RootConstrainSelectedInstOperands,
     /*   70523 */     // GIR_Coverage, 47239,
     /*   70523 */     GIR_EraseRootFromParent_Done,
     /*   70524 */   // Label 1136: @70524
     /*   70524 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70613), // Rule ID 46998 //
     /*   70529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70572 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70611 */     GIR_RootConstrainSelectedInstOperands,
     /*   70612 */     // GIR_Coverage, 46998,
     /*   70612 */     GIR_EraseRootFromParent_Done,
     /*   70613 */   // Label 1137: @70613
     /*   70613 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70702), // Rule ID 46999 //
     /*   70618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70661 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70700 */     GIR_RootConstrainSelectedInstOperands,
     /*   70701 */     // GIR_Coverage, 46999,
     /*   70701 */     GIR_EraseRootFromParent_Done,
     /*   70702 */   // Label 1138: @70702
     /*   70702 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70791), // Rule ID 47118 //
     /*   70707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70750 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70789 */     GIR_RootConstrainSelectedInstOperands,
     /*   70790 */     // GIR_Coverage, 47118,
     /*   70790 */     GIR_EraseRootFromParent_Done,
     /*   70791 */   // Label 1139: @70791
     /*   70791 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70880), // Rule ID 47119 //
     /*   70796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70839 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70878 */     GIR_RootConstrainSelectedInstOperands,
     /*   70879 */     // GIR_Coverage, 47119,
     /*   70879 */     GIR_EraseRootFromParent_Done,
     /*   70880 */   // Label 1140: @70880
     /*   70880 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70948), // Rule ID 52000 //
     /*   70885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70922 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70946 */     GIR_RootConstrainSelectedInstOperands,
     /*   70947 */     // GIR_Coverage, 52000,
     /*   70947 */     GIR_EraseRootFromParent_Done,
     /*   70948 */   // Label 1141: @70948
     /*   70948 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(71016), // Rule ID 52001 //
     /*   70953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70990 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71014 */     GIR_RootConstrainSelectedInstOperands,
     /*   71015 */     // GIR_Coverage, 52001,
     /*   71015 */     GIR_EraseRootFromParent_Done,
     /*   71016 */   // Label 1142: @71016
     /*   71016 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(71071), // Rule ID 47298 //
     /*   71021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71049 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71069 */     GIR_RootConstrainSelectedInstOperands,
     /*   71070 */     // GIR_Coverage, 47298,
     /*   71070 */     GIR_EraseRootFromParent_Done,
     /*   71071 */   // Label 1143: @71071
     /*   71071 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(71126), // Rule ID 47299 //
     /*   71076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71104 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71124 */     GIR_RootConstrainSelectedInstOperands,
     /*   71125 */     // GIR_Coverage, 47299,
     /*   71125 */     GIR_EraseRootFromParent_Done,
     /*   71126 */   // Label 1144: @71126
     /*   71126 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(71181), // Rule ID 47058 //
     /*   71131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71159 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71179 */     GIR_RootConstrainSelectedInstOperands,
     /*   71180 */     // GIR_Coverage, 47058,
     /*   71180 */     GIR_EraseRootFromParent_Done,
     /*   71181 */   // Label 1145: @71181
     /*   71181 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71236), // Rule ID 47059 //
     /*   71186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71214 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71234 */     GIR_RootConstrainSelectedInstOperands,
     /*   71235 */     // GIR_Coverage, 47059,
     /*   71235 */     GIR_EraseRootFromParent_Done,
     /*   71236 */   // Label 1146: @71236
     /*   71236 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(71291), // Rule ID 47178 //
     /*   71241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71269 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71289 */     GIR_RootConstrainSelectedInstOperands,
     /*   71290 */     // GIR_Coverage, 47178,
     /*   71290 */     GIR_EraseRootFromParent_Done,
     /*   71291 */   // Label 1147: @71291
     /*   71291 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71346), // Rule ID 47179 //
     /*   71296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71324 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71344 */     GIR_RootConstrainSelectedInstOperands,
     /*   71345 */     // GIR_Coverage, 47179,
     /*   71345 */     GIR_EraseRootFromParent_Done,
     /*   71346 */   // Label 1148: @71346
     /*   71346 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71399), // Rule ID 46274 //
     /*   71351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71362 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71397 */     GIR_RootConstrainSelectedInstOperands,
     /*   71398 */     // GIR_Coverage, 46274,
     /*   71398 */     GIR_EraseRootFromParent_Done,
     /*   71399 */   // Label 1149: @71399
     /*   71399 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71452), // Rule ID 46275 //
     /*   71404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71415 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71450 */     GIR_RootConstrainSelectedInstOperands,
     /*   71451 */     // GIR_Coverage, 46275,
     /*   71451 */     GIR_EraseRootFromParent_Done,
     /*   71452 */   // Label 1150: @71452
     /*   71452 */   GIM_Reject,
     /*   71453 */ // Label 1134: @71453
     /*   71453 */ GIM_Reject,
     /*   71454 */ // Label 977: @71454
     /*   71454 */ GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(72576),
     /*   71459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   71462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   71465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71469 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71558), // Rule ID 47258 //
     /*   71474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71517 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71556 */     GIR_RootConstrainSelectedInstOperands,
     /*   71557 */     // GIR_Coverage, 47258,
     /*   71557 */     GIR_EraseRootFromParent_Done,
     /*   71558 */   // Label 1152: @71558
     /*   71558 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71647), // Rule ID 47259 //
     /*   71563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71606 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71645 */     GIR_RootConstrainSelectedInstOperands,
     /*   71646 */     // GIR_Coverage, 47259,
     /*   71646 */     GIR_EraseRootFromParent_Done,
     /*   71647 */   // Label 1153: @71647
     /*   71647 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71736), // Rule ID 47018 //
     /*   71652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71695 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71734 */     GIR_RootConstrainSelectedInstOperands,
     /*   71735 */     // GIR_Coverage, 47018,
     /*   71735 */     GIR_EraseRootFromParent_Done,
     /*   71736 */   // Label 1154: @71736
     /*   71736 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71825), // Rule ID 47019 //
     /*   71741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71784 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71823 */     GIR_RootConstrainSelectedInstOperands,
     /*   71824 */     // GIR_Coverage, 47019,
     /*   71824 */     GIR_EraseRootFromParent_Done,
     /*   71825 */   // Label 1155: @71825
     /*   71825 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71914), // Rule ID 47138 //
     /*   71830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71864 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71873 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71912 */     GIR_RootConstrainSelectedInstOperands,
     /*   71913 */     // GIR_Coverage, 47138,
     /*   71913 */     GIR_EraseRootFromParent_Done,
     /*   71914 */   // Label 1156: @71914
     /*   71914 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(72003), // Rule ID 47139 //
     /*   71919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71953 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71962 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72001 */     GIR_RootConstrainSelectedInstOperands,
     /*   72002 */     // GIR_Coverage, 47139,
     /*   72002 */     GIR_EraseRootFromParent_Done,
     /*   72003 */   // Label 1157: @72003
     /*   72003 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(72071), // Rule ID 52016 //
     /*   72008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72045 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   72045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72069 */     GIR_RootConstrainSelectedInstOperands,
     /*   72070 */     // GIR_Coverage, 52016,
     /*   72070 */     GIR_EraseRootFromParent_Done,
     /*   72071 */   // Label 1158: @72071
     /*   72071 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(72139), // Rule ID 52017 //
     /*   72076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72113 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   72113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72137 */     GIR_RootConstrainSelectedInstOperands,
     /*   72138 */     // GIR_Coverage, 52017,
     /*   72138 */     GIR_EraseRootFromParent_Done,
     /*   72139 */   // Label 1159: @72139
     /*   72139 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(72194), // Rule ID 47318 //
     /*   72144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72172 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72192 */     GIR_RootConstrainSelectedInstOperands,
     /*   72193 */     // GIR_Coverage, 47318,
     /*   72193 */     GIR_EraseRootFromParent_Done,
     /*   72194 */   // Label 1160: @72194
     /*   72194 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(72249), // Rule ID 47319 //
     /*   72199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72227 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72247 */     GIR_RootConstrainSelectedInstOperands,
     /*   72248 */     // GIR_Coverage, 47319,
     /*   72248 */     GIR_EraseRootFromParent_Done,
     /*   72249 */   // Label 1161: @72249
     /*   72249 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72304), // Rule ID 47078 //
     /*   72254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72282 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72302 */     GIR_RootConstrainSelectedInstOperands,
     /*   72303 */     // GIR_Coverage, 47078,
     /*   72303 */     GIR_EraseRootFromParent_Done,
     /*   72304 */   // Label 1162: @72304
     /*   72304 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72359), // Rule ID 47079 //
     /*   72309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72337 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72357 */     GIR_RootConstrainSelectedInstOperands,
     /*   72358 */     // GIR_Coverage, 47079,
     /*   72358 */     GIR_EraseRootFromParent_Done,
     /*   72359 */   // Label 1163: @72359
     /*   72359 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72414), // Rule ID 47198 //
     /*   72364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72383 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72392 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72412 */     GIR_RootConstrainSelectedInstOperands,
     /*   72413 */     // GIR_Coverage, 47198,
     /*   72413 */     GIR_EraseRootFromParent_Done,
     /*   72414 */   // Label 1164: @72414
     /*   72414 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72469), // Rule ID 47199 //
     /*   72419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72447 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72467 */     GIR_RootConstrainSelectedInstOperands,
     /*   72468 */     // GIR_Coverage, 47199,
     /*   72468 */     GIR_EraseRootFromParent_Done,
     /*   72469 */   // Label 1165: @72469
     /*   72469 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72522), // Rule ID 46290 //
     /*   72474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72485 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72520 */     GIR_RootConstrainSelectedInstOperands,
     /*   72521 */     // GIR_Coverage, 46290,
     /*   72521 */     GIR_EraseRootFromParent_Done,
     /*   72522 */   // Label 1166: @72522
     /*   72522 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72575), // Rule ID 46291 //
     /*   72527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72538 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72573 */     GIR_RootConstrainSelectedInstOperands,
     /*   72574 */     // GIR_Coverage, 46291,
     /*   72574 */     GIR_EraseRootFromParent_Done,
     /*   72575 */   // Label 1167: @72575
     /*   72575 */   GIM_Reject,
     /*   72576 */ // Label 1151: @72576
     /*   72576 */ GIM_Reject,
     /*   72577 */ // Label 978: @72577
     /*   72577 */ GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72823),
     /*   72582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72660), // Rule ID 51960 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72634 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72658 */     GIR_RootConstrainSelectedInstOperands,
     /*   72659 */     // GIR_Coverage, 51960,
     /*   72659 */     GIR_EraseRootFromParent_Done,
     /*   72660 */   // Label 1169: @72660
     /*   72660 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72724), // Rule ID 51961 //
     /*   72665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72698 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72722 */     GIR_RootConstrainSelectedInstOperands,
     /*   72723 */     // GIR_Coverage, 51961,
     /*   72723 */     GIR_EraseRootFromParent_Done,
     /*   72724 */   // Label 1170: @72724
     /*   72724 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72773), // Rule ID 46234 //
     /*   72729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72736 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72771 */     GIR_RootConstrainSelectedInstOperands,
     /*   72772 */     // GIR_Coverage, 46234,
     /*   72772 */     GIR_EraseRootFromParent_Done,
     /*   72773 */   // Label 1171: @72773
     /*   72773 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72822), // Rule ID 46235 //
     /*   72778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72785 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72820 */     GIR_RootConstrainSelectedInstOperands,
     /*   72821 */     // GIR_Coverage, 46235,
     /*   72821 */     GIR_EraseRootFromParent_Done,
     /*   72822 */   // Label 1172: @72822
     /*   72822 */   GIM_Reject,
     /*   72823 */ // Label 1168: @72823
     /*   72823 */ GIM_Reject,
     /*   72824 */ // Label 979: @72824
     /*   72824 */ GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(73946),
     /*   72829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   72832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   72835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72839 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72928), // Rule ID 47218 //
     /*   72844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72887 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72926 */     GIR_RootConstrainSelectedInstOperands,
     /*   72927 */     // GIR_Coverage, 47218,
     /*   72927 */     GIR_EraseRootFromParent_Done,
     /*   72928 */   // Label 1174: @72928
     /*   72928 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(73017), // Rule ID 47219 //
     /*   72933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72976 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73015 */     GIR_RootConstrainSelectedInstOperands,
     /*   73016 */     // GIR_Coverage, 47219,
     /*   73016 */     GIR_EraseRootFromParent_Done,
     /*   73017 */   // Label 1175: @73017
     /*   73017 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(73106), // Rule ID 46978 //
     /*   73022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73065 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_RootConstrainSelectedInstOperands,
     /*   73105 */     // GIR_Coverage, 46978,
     /*   73105 */     GIR_EraseRootFromParent_Done,
     /*   73106 */   // Label 1176: @73106
     /*   73106 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(73195), // Rule ID 46979 //
     /*   73111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73154 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73193 */     GIR_RootConstrainSelectedInstOperands,
     /*   73194 */     // GIR_Coverage, 46979,
     /*   73194 */     GIR_EraseRootFromParent_Done,
     /*   73195 */   // Label 1177: @73195
     /*   73195 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73284), // Rule ID 47098 //
     /*   73200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73243 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73282 */     GIR_RootConstrainSelectedInstOperands,
     /*   73283 */     // GIR_Coverage, 47098,
     /*   73283 */     GIR_EraseRootFromParent_Done,
     /*   73284 */   // Label 1178: @73284
     /*   73284 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73373), // Rule ID 47099 //
     /*   73289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73332 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73371 */     GIR_RootConstrainSelectedInstOperands,
     /*   73372 */     // GIR_Coverage, 47099,
     /*   73372 */     GIR_EraseRootFromParent_Done,
     /*   73373 */   // Label 1179: @73373
     /*   73373 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73441), // Rule ID 51988 //
     /*   73378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73415 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   73415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73439 */     GIR_RootConstrainSelectedInstOperands,
     /*   73440 */     // GIR_Coverage, 51988,
     /*   73440 */     GIR_EraseRootFromParent_Done,
     /*   73441 */   // Label 1180: @73441
     /*   73441 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73509), // Rule ID 51989 //
     /*   73446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73483 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   73483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73507 */     GIR_RootConstrainSelectedInstOperands,
     /*   73508 */     // GIR_Coverage, 51989,
     /*   73508 */     GIR_EraseRootFromParent_Done,
     /*   73509 */   // Label 1181: @73509
     /*   73509 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73564), // Rule ID 47278 //
     /*   73514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73542 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73562 */     GIR_RootConstrainSelectedInstOperands,
     /*   73563 */     // GIR_Coverage, 47278,
     /*   73563 */     GIR_EraseRootFromParent_Done,
     /*   73564 */   // Label 1182: @73564
     /*   73564 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73619), // Rule ID 47279 //
     /*   73569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73597 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73617 */     GIR_RootConstrainSelectedInstOperands,
     /*   73618 */     // GIR_Coverage, 47279,
     /*   73618 */     GIR_EraseRootFromParent_Done,
     /*   73619 */   // Label 1183: @73619
     /*   73619 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73674), // Rule ID 47038 //
     /*   73624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73652 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73672 */     GIR_RootConstrainSelectedInstOperands,
     /*   73673 */     // GIR_Coverage, 47038,
     /*   73673 */     GIR_EraseRootFromParent_Done,
     /*   73674 */   // Label 1184: @73674
     /*   73674 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73729), // Rule ID 47039 //
     /*   73679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73707 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73727 */     GIR_RootConstrainSelectedInstOperands,
     /*   73728 */     // GIR_Coverage, 47039,
     /*   73728 */     GIR_EraseRootFromParent_Done,
     /*   73729 */   // Label 1185: @73729
     /*   73729 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73784), // Rule ID 47158 //
     /*   73734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73753 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73762 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73782 */     GIR_RootConstrainSelectedInstOperands,
     /*   73783 */     // GIR_Coverage, 47158,
     /*   73783 */     GIR_EraseRootFromParent_Done,
     /*   73784 */   // Label 1186: @73784
     /*   73784 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73839), // Rule ID 47159 //
     /*   73789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73817 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73837 */     GIR_RootConstrainSelectedInstOperands,
     /*   73838 */     // GIR_Coverage, 47159,
     /*   73838 */     GIR_EraseRootFromParent_Done,
     /*   73839 */   // Label 1187: @73839
     /*   73839 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73892), // Rule ID 46262 //
     /*   73844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73855 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73890 */     GIR_RootConstrainSelectedInstOperands,
     /*   73891 */     // GIR_Coverage, 46262,
     /*   73891 */     GIR_EraseRootFromParent_Done,
     /*   73892 */   // Label 1188: @73892
     /*   73892 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73945), // Rule ID 46263 //
     /*   73897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73908 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73943 */     GIR_RootConstrainSelectedInstOperands,
     /*   73944 */     // GIR_Coverage, 46263,
     /*   73944 */     GIR_EraseRootFromParent_Done,
     /*   73945 */   // Label 1189: @73945
     /*   73945 */   GIM_Reject,
     /*   73946 */ // Label 1173: @73946
     /*   73946 */ GIM_Reject,
     /*   73947 */ // Label 980: @73947
     /*   73947 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(75069),
     /*   73952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   73955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   73958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73962 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(74051), // Rule ID 47242 //
     /*   73967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74010 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74049 */     GIR_RootConstrainSelectedInstOperands,
     /*   74050 */     // GIR_Coverage, 47242,
     /*   74050 */     GIR_EraseRootFromParent_Done,
     /*   74051 */   // Label 1191: @74051
     /*   74051 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(74140), // Rule ID 47243 //
     /*   74056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74099 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74138 */     GIR_RootConstrainSelectedInstOperands,
     /*   74139 */     // GIR_Coverage, 47243,
     /*   74139 */     GIR_EraseRootFromParent_Done,
     /*   74140 */   // Label 1192: @74140
     /*   74140 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74229), // Rule ID 47002 //
     /*   74145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74188 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74227 */     GIR_RootConstrainSelectedInstOperands,
     /*   74228 */     // GIR_Coverage, 47002,
     /*   74228 */     GIR_EraseRootFromParent_Done,
     /*   74229 */   // Label 1193: @74229
     /*   74229 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74318), // Rule ID 47003 //
     /*   74234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74268 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74277 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74316 */     GIR_RootConstrainSelectedInstOperands,
     /*   74317 */     // GIR_Coverage, 47003,
     /*   74317 */     GIR_EraseRootFromParent_Done,
     /*   74318 */   // Label 1194: @74318
     /*   74318 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74407), // Rule ID 47122 //
     /*   74323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74366 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74405 */     GIR_RootConstrainSelectedInstOperands,
     /*   74406 */     // GIR_Coverage, 47122,
     /*   74406 */     GIR_EraseRootFromParent_Done,
     /*   74407 */   // Label 1195: @74407
     /*   74407 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74496), // Rule ID 47123 //
     /*   74412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74455 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74494 */     GIR_RootConstrainSelectedInstOperands,
     /*   74495 */     // GIR_Coverage, 47123,
     /*   74495 */     GIR_EraseRootFromParent_Done,
     /*   74496 */   // Label 1196: @74496
     /*   74496 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74564), // Rule ID 52004 //
     /*   74501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74538 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74562 */     GIR_RootConstrainSelectedInstOperands,
     /*   74563 */     // GIR_Coverage, 52004,
     /*   74563 */     GIR_EraseRootFromParent_Done,
     /*   74564 */   // Label 1197: @74564
     /*   74564 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74632), // Rule ID 52005 //
     /*   74569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74606 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74630 */     GIR_RootConstrainSelectedInstOperands,
     /*   74631 */     // GIR_Coverage, 52005,
     /*   74631 */     GIR_EraseRootFromParent_Done,
     /*   74632 */   // Label 1198: @74632
     /*   74632 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74687), // Rule ID 47302 //
     /*   74637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74665 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74685 */     GIR_RootConstrainSelectedInstOperands,
     /*   74686 */     // GIR_Coverage, 47302,
     /*   74686 */     GIR_EraseRootFromParent_Done,
     /*   74687 */   // Label 1199: @74687
     /*   74687 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74742), // Rule ID 47303 //
     /*   74692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74720 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74740 */     GIR_RootConstrainSelectedInstOperands,
     /*   74741 */     // GIR_Coverage, 47303,
     /*   74741 */     GIR_EraseRootFromParent_Done,
     /*   74742 */   // Label 1200: @74742
     /*   74742 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74797), // Rule ID 47062 //
     /*   74747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74775 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74795 */     GIR_RootConstrainSelectedInstOperands,
     /*   74796 */     // GIR_Coverage, 47062,
     /*   74796 */     GIR_EraseRootFromParent_Done,
     /*   74797 */   // Label 1201: @74797
     /*   74797 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74852), // Rule ID 47063 //
     /*   74802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74830 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74850 */     GIR_RootConstrainSelectedInstOperands,
     /*   74851 */     // GIR_Coverage, 47063,
     /*   74851 */     GIR_EraseRootFromParent_Done,
     /*   74852 */   // Label 1202: @74852
     /*   74852 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74907), // Rule ID 47182 //
     /*   74857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74885 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74905 */     GIR_RootConstrainSelectedInstOperands,
     /*   74906 */     // GIR_Coverage, 47182,
     /*   74906 */     GIR_EraseRootFromParent_Done,
     /*   74907 */   // Label 1203: @74907
     /*   74907 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74962), // Rule ID 47183 //
     /*   74912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74940 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74960 */     GIR_RootConstrainSelectedInstOperands,
     /*   74961 */     // GIR_Coverage, 47183,
     /*   74961 */     GIR_EraseRootFromParent_Done,
     /*   74962 */   // Label 1204: @74962
     /*   74962 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(75015), // Rule ID 46278 //
     /*   74967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74978 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75013 */     GIR_RootConstrainSelectedInstOperands,
     /*   75014 */     // GIR_Coverage, 46278,
     /*   75014 */     GIR_EraseRootFromParent_Done,
     /*   75015 */   // Label 1205: @75015
     /*   75015 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(75068), // Rule ID 46279 //
     /*   75020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75031 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   75034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   75048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75066 */     GIR_RootConstrainSelectedInstOperands,
     /*   75067 */     // GIR_Coverage, 46279,
     /*   75067 */     GIR_EraseRootFromParent_Done,
     /*   75068 */   // Label 1206: @75068
     /*   75068 */   GIM_Reject,
     /*   75069 */ // Label 1190: @75069
     /*   75069 */ GIM_Reject,
     /*   75070 */ // Label 981: @75070
     /*   75070 */ GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(76192),
     /*   75075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75085 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(75174), // Rule ID 47262 //
     /*   75090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75133 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75172 */     GIR_RootConstrainSelectedInstOperands,
     /*   75173 */     // GIR_Coverage, 47262,
     /*   75173 */     GIR_EraseRootFromParent_Done,
     /*   75174 */   // Label 1208: @75174
     /*   75174 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(75263), // Rule ID 47263 //
     /*   75179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75222 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75261 */     GIR_RootConstrainSelectedInstOperands,
     /*   75262 */     // GIR_Coverage, 47263,
     /*   75262 */     GIR_EraseRootFromParent_Done,
     /*   75263 */   // Label 1209: @75263
     /*   75263 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75352), // Rule ID 47022 //
     /*   75268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75311 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75350 */     GIR_RootConstrainSelectedInstOperands,
     /*   75351 */     // GIR_Coverage, 47022,
     /*   75351 */     GIR_EraseRootFromParent_Done,
     /*   75352 */   // Label 1210: @75352
     /*   75352 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75441), // Rule ID 47023 //
     /*   75357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75400 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75439 */     GIR_RootConstrainSelectedInstOperands,
     /*   75440 */     // GIR_Coverage, 47023,
     /*   75440 */     GIR_EraseRootFromParent_Done,
     /*   75441 */   // Label 1211: @75441
     /*   75441 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75530), // Rule ID 47142 //
     /*   75446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75489 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75528 */     GIR_RootConstrainSelectedInstOperands,
     /*   75529 */     // GIR_Coverage, 47142,
     /*   75529 */     GIR_EraseRootFromParent_Done,
     /*   75530 */   // Label 1212: @75530
     /*   75530 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75619), // Rule ID 47143 //
     /*   75535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75578 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75617 */     GIR_RootConstrainSelectedInstOperands,
     /*   75618 */     // GIR_Coverage, 47143,
     /*   75618 */     GIR_EraseRootFromParent_Done,
     /*   75619 */   // Label 1213: @75619
     /*   75619 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75687), // Rule ID 52020 //
     /*   75624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   75627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75661 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   75661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75685 */     GIR_RootConstrainSelectedInstOperands,
     /*   75686 */     // GIR_Coverage, 52020,
     /*   75686 */     GIR_EraseRootFromParent_Done,
     /*   75687 */   // Label 1214: @75687
     /*   75687 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75755), // Rule ID 52021 //
     /*   75692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   75695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75729 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   75729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75753 */     GIR_RootConstrainSelectedInstOperands,
     /*   75754 */     // GIR_Coverage, 52021,
     /*   75754 */     GIR_EraseRootFromParent_Done,
     /*   75755 */   // Label 1215: @75755
     /*   75755 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75810), // Rule ID 47322 //
     /*   75760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75788 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75808 */     GIR_RootConstrainSelectedInstOperands,
     /*   75809 */     // GIR_Coverage, 47322,
     /*   75809 */     GIR_EraseRootFromParent_Done,
     /*   75810 */   // Label 1216: @75810
     /*   75810 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75865), // Rule ID 47323 //
     /*   75815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75843 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75863 */     GIR_RootConstrainSelectedInstOperands,
     /*   75864 */     // GIR_Coverage, 47323,
     /*   75864 */     GIR_EraseRootFromParent_Done,
     /*   75865 */   // Label 1217: @75865
     /*   75865 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75920), // Rule ID 47082 //
     /*   75870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75898 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75918 */     GIR_RootConstrainSelectedInstOperands,
     /*   75919 */     // GIR_Coverage, 47082,
     /*   75919 */     GIR_EraseRootFromParent_Done,
     /*   75920 */   // Label 1218: @75920
     /*   75920 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75975), // Rule ID 47083 //
     /*   75925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75953 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75973 */     GIR_RootConstrainSelectedInstOperands,
     /*   75974 */     // GIR_Coverage, 47083,
     /*   75974 */     GIR_EraseRootFromParent_Done,
     /*   75975 */   // Label 1219: @75975
     /*   75975 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(76030), // Rule ID 47202 //
     /*   75980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76008 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   76008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76028 */     GIR_RootConstrainSelectedInstOperands,
     /*   76029 */     // GIR_Coverage, 47202,
     /*   76029 */     GIR_EraseRootFromParent_Done,
     /*   76030 */   // Label 1220: @76030
     /*   76030 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(76085), // Rule ID 47203 //
     /*   76035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   76038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76063 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   76063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76083 */     GIR_RootConstrainSelectedInstOperands,
     /*   76084 */     // GIR_Coverage, 47203,
     /*   76084 */     GIR_EraseRootFromParent_Done,
     /*   76085 */   // Label 1221: @76085
     /*   76085 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(76138), // Rule ID 46294 //
     /*   76090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   76093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76101 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   76101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76136 */     GIR_RootConstrainSelectedInstOperands,
     /*   76137 */     // GIR_Coverage, 46294,
     /*   76137 */     GIR_EraseRootFromParent_Done,
     /*   76138 */   // Label 1222: @76138
     /*   76138 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(76191), // Rule ID 46295 //
     /*   76143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   76146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76154 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   76154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76189 */     GIR_RootConstrainSelectedInstOperands,
     /*   76190 */     // GIR_Coverage, 46295,
     /*   76190 */     GIR_EraseRootFromParent_Done,
     /*   76191 */   // Label 1223: @76191
     /*   76191 */   GIM_Reject,
     /*   76192 */ // Label 1207: @76192
     /*   76192 */ GIM_Reject,
     /*   76193 */ // Label 982: @76193
     /*   76193 */ GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(76439),
     /*   76198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76212 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(76276), // Rule ID 51976 //
     /*   76217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76250 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   76250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76274 */     GIR_RootConstrainSelectedInstOperands,
     /*   76275 */     // GIR_Coverage, 51976,
     /*   76275 */     GIR_EraseRootFromParent_Done,
     /*   76276 */   // Label 1225: @76276
     /*   76276 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76340), // Rule ID 51977 //
     /*   76281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76314 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76338 */     GIR_RootConstrainSelectedInstOperands,
     /*   76339 */     // GIR_Coverage, 51977,
     /*   76339 */     GIR_EraseRootFromParent_Done,
     /*   76340 */   // Label 1226: @76340
     /*   76340 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76389), // Rule ID 46250 //
     /*   76345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76352 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76387 */     GIR_RootConstrainSelectedInstOperands,
     /*   76388 */     // GIR_Coverage, 46250,
     /*   76388 */     GIR_EraseRootFromParent_Done,
     /*   76389 */   // Label 1227: @76389
     /*   76389 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76438), // Rule ID 46251 //
     /*   76394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76401 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76436 */     GIR_RootConstrainSelectedInstOperands,
     /*   76437 */     // GIR_Coverage, 46251,
     /*   76437 */     GIR_EraseRootFromParent_Done,
     /*   76438 */   // Label 1228: @76438
     /*   76438 */   GIM_Reject,
     /*   76439 */ // Label 1224: @76439
     /*   76439 */ GIM_Reject,
     /*   76440 */ // Label 983: @76440
     /*   76440 */ GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(77562),
     /*   76445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   76448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   76451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76455 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76544), // Rule ID 47222 //
     /*   76460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76503 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76542 */     GIR_RootConstrainSelectedInstOperands,
     /*   76543 */     // GIR_Coverage, 47222,
     /*   76543 */     GIR_EraseRootFromParent_Done,
     /*   76544 */   // Label 1230: @76544
     /*   76544 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76633), // Rule ID 47223 //
     /*   76549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76592 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76631 */     GIR_RootConstrainSelectedInstOperands,
     /*   76632 */     // GIR_Coverage, 47223,
     /*   76632 */     GIR_EraseRootFromParent_Done,
     /*   76633 */   // Label 1231: @76633
     /*   76633 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(76722), // Rule ID 46982 //
     /*   76638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76681 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76720 */     GIR_RootConstrainSelectedInstOperands,
     /*   76721 */     // GIR_Coverage, 46982,
     /*   76721 */     GIR_EraseRootFromParent_Done,
     /*   76722 */   // Label 1232: @76722
     /*   76722 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(76811), // Rule ID 46983 //
     /*   76727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76770 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76809 */     GIR_RootConstrainSelectedInstOperands,
     /*   76810 */     // GIR_Coverage, 46983,
     /*   76810 */     GIR_EraseRootFromParent_Done,
     /*   76811 */   // Label 1233: @76811
     /*   76811 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(76900), // Rule ID 47102 //
     /*   76816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76859 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76898 */     GIR_RootConstrainSelectedInstOperands,
     /*   76899 */     // GIR_Coverage, 47102,
     /*   76899 */     GIR_EraseRootFromParent_Done,
     /*   76900 */   // Label 1234: @76900
     /*   76900 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(76989), // Rule ID 47103 //
     /*   76905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76948 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76987 */     GIR_RootConstrainSelectedInstOperands,
     /*   76988 */     // GIR_Coverage, 47103,
     /*   76988 */     GIR_EraseRootFromParent_Done,
     /*   76989 */   // Label 1235: @76989
     /*   76989 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(77057), // Rule ID 51992 //
     /*   76994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77031 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   77031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77055 */     GIR_RootConstrainSelectedInstOperands,
     /*   77056 */     // GIR_Coverage, 51992,
     /*   77056 */     GIR_EraseRootFromParent_Done,
     /*   77057 */   // Label 1236: @77057
     /*   77057 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(77125), // Rule ID 51993 //
     /*   77062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77099 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77123 */     GIR_RootConstrainSelectedInstOperands,
     /*   77124 */     // GIR_Coverage, 51993,
     /*   77124 */     GIR_EraseRootFromParent_Done,
     /*   77125 */   // Label 1237: @77125
     /*   77125 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(77180), // Rule ID 47282 //
     /*   77130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77158 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77178 */     GIR_RootConstrainSelectedInstOperands,
     /*   77179 */     // GIR_Coverage, 47282,
     /*   77179 */     GIR_EraseRootFromParent_Done,
     /*   77180 */   // Label 1238: @77180
     /*   77180 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(77235), // Rule ID 47283 //
     /*   77185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77213 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77233 */     GIR_RootConstrainSelectedInstOperands,
     /*   77234 */     // GIR_Coverage, 47283,
     /*   77234 */     GIR_EraseRootFromParent_Done,
     /*   77235 */   // Label 1239: @77235
     /*   77235 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(77290), // Rule ID 47042 //
     /*   77240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77268 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77288 */     GIR_RootConstrainSelectedInstOperands,
     /*   77289 */     // GIR_Coverage, 47042,
     /*   77289 */     GIR_EraseRootFromParent_Done,
     /*   77290 */   // Label 1240: @77290
     /*   77290 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(77345), // Rule ID 47043 //
     /*   77295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77323 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77343 */     GIR_RootConstrainSelectedInstOperands,
     /*   77344 */     // GIR_Coverage, 47043,
     /*   77344 */     GIR_EraseRootFromParent_Done,
     /*   77345 */   // Label 1241: @77345
     /*   77345 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(77400), // Rule ID 47162 //
     /*   77350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77378 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77398 */     GIR_RootConstrainSelectedInstOperands,
     /*   77399 */     // GIR_Coverage, 47162,
     /*   77399 */     GIR_EraseRootFromParent_Done,
     /*   77400 */   // Label 1242: @77400
     /*   77400 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(77455), // Rule ID 47163 //
     /*   77405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77433 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77453 */     GIR_RootConstrainSelectedInstOperands,
     /*   77454 */     // GIR_Coverage, 47163,
     /*   77454 */     GIR_EraseRootFromParent_Done,
     /*   77455 */   // Label 1243: @77455
     /*   77455 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(77508), // Rule ID 46266 //
     /*   77460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77471 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77506 */     GIR_RootConstrainSelectedInstOperands,
     /*   77507 */     // GIR_Coverage, 46266,
     /*   77507 */     GIR_EraseRootFromParent_Done,
     /*   77508 */   // Label 1244: @77508
     /*   77508 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(77561), // Rule ID 46267 //
     /*   77513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77524 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77559 */     GIR_RootConstrainSelectedInstOperands,
     /*   77560 */     // GIR_Coverage, 46267,
     /*   77560 */     GIR_EraseRootFromParent_Done,
     /*   77561 */   // Label 1245: @77561
     /*   77561 */   GIM_Reject,
     /*   77562 */ // Label 1229: @77562
     /*   77562 */ GIM_Reject,
     /*   77563 */ // Label 984: @77563
     /*   77563 */ GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(78685),
     /*   77568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   77571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   77574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   77578 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(77667), // Rule ID 47246 //
     /*   77583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77626 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77665 */     GIR_RootConstrainSelectedInstOperands,
     /*   77666 */     // GIR_Coverage, 47246,
     /*   77666 */     GIR_EraseRootFromParent_Done,
     /*   77667 */   // Label 1247: @77667
     /*   77667 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(77756), // Rule ID 47247 //
     /*   77672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77715 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77754 */     GIR_RootConstrainSelectedInstOperands,
     /*   77755 */     // GIR_Coverage, 47247,
     /*   77755 */     GIR_EraseRootFromParent_Done,
     /*   77756 */   // Label 1248: @77756
     /*   77756 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(77845), // Rule ID 47006 //
     /*   77761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77804 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77843 */     GIR_RootConstrainSelectedInstOperands,
     /*   77844 */     // GIR_Coverage, 47006,
     /*   77844 */     GIR_EraseRootFromParent_Done,
     /*   77845 */   // Label 1249: @77845
     /*   77845 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(77934), // Rule ID 47007 //
     /*   77850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77893 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77932 */     GIR_RootConstrainSelectedInstOperands,
     /*   77933 */     // GIR_Coverage, 47007,
     /*   77933 */     GIR_EraseRootFromParent_Done,
     /*   77934 */   // Label 1250: @77934
     /*   77934 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(78023), // Rule ID 47126 //
     /*   77939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77982 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78021 */     GIR_RootConstrainSelectedInstOperands,
     /*   78022 */     // GIR_Coverage, 47126,
     /*   78022 */     GIR_EraseRootFromParent_Done,
     /*   78023 */   // Label 1251: @78023
     /*   78023 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(78112), // Rule ID 47127 //
     /*   78028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78071 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   78088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78110 */     GIR_RootConstrainSelectedInstOperands,
     /*   78111 */     // GIR_Coverage, 47127,
     /*   78111 */     GIR_EraseRootFromParent_Done,
     /*   78112 */   // Label 1252: @78112
     /*   78112 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(78180), // Rule ID 52008 //
     /*   78117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78154 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   78154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78178 */     GIR_RootConstrainSelectedInstOperands,
     /*   78179 */     // GIR_Coverage, 52008,
     /*   78179 */     GIR_EraseRootFromParent_Done,
     /*   78180 */   // Label 1253: @78180
     /*   78180 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(78248), // Rule ID 52009 //
     /*   78185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78222 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   78222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78246 */     GIR_RootConstrainSelectedInstOperands,
     /*   78247 */     // GIR_Coverage, 52009,
     /*   78247 */     GIR_EraseRootFromParent_Done,
     /*   78248 */   // Label 1254: @78248
     /*   78248 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(78303), // Rule ID 47306 //
     /*   78253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78281 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78301 */     GIR_RootConstrainSelectedInstOperands,
     /*   78302 */     // GIR_Coverage, 47306,
     /*   78302 */     GIR_EraseRootFromParent_Done,
     /*   78303 */   // Label 1255: @78303
     /*   78303 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(78358), // Rule ID 47307 //
     /*   78308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78336 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78356 */     GIR_RootConstrainSelectedInstOperands,
     /*   78357 */     // GIR_Coverage, 47307,
     /*   78357 */     GIR_EraseRootFromParent_Done,
     /*   78358 */   // Label 1256: @78358
     /*   78358 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(78413), // Rule ID 47066 //
     /*   78363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78391 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78411 */     GIR_RootConstrainSelectedInstOperands,
     /*   78412 */     // GIR_Coverage, 47066,
     /*   78412 */     GIR_EraseRootFromParent_Done,
     /*   78413 */   // Label 1257: @78413
     /*   78413 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(78468), // Rule ID 47067 //
     /*   78418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78446 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78466 */     GIR_RootConstrainSelectedInstOperands,
     /*   78467 */     // GIR_Coverage, 47067,
     /*   78467 */     GIR_EraseRootFromParent_Done,
     /*   78468 */   // Label 1258: @78468
     /*   78468 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(78523), // Rule ID 47186 //
     /*   78473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78501 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78521 */     GIR_RootConstrainSelectedInstOperands,
     /*   78522 */     // GIR_Coverage, 47186,
     /*   78522 */     GIR_EraseRootFromParent_Done,
     /*   78523 */   // Label 1259: @78523
     /*   78523 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(78578), // Rule ID 47187 //
     /*   78528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78556 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78576 */     GIR_RootConstrainSelectedInstOperands,
     /*   78577 */     // GIR_Coverage, 47187,
     /*   78577 */     GIR_EraseRootFromParent_Done,
     /*   78578 */   // Label 1260: @78578
     /*   78578 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(78631), // Rule ID 46282 //
     /*   78583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78594 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   78594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78629 */     GIR_RootConstrainSelectedInstOperands,
     /*   78630 */     // GIR_Coverage, 46282,
     /*   78630 */     GIR_EraseRootFromParent_Done,
     /*   78631 */   // Label 1261: @78631
     /*   78631 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(78684), // Rule ID 46283 //
     /*   78636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78647 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   78647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78682 */     GIR_RootConstrainSelectedInstOperands,
     /*   78683 */     // GIR_Coverage, 46283,
     /*   78683 */     GIR_EraseRootFromParent_Done,
     /*   78684 */   // Label 1262: @78684
     /*   78684 */   GIM_Reject,
     /*   78685 */ // Label 1246: @78685
     /*   78685 */ GIM_Reject,
     /*   78686 */ // Label 985: @78686
     /*   78686 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(78932),
     /*   78691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78705 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(78769), // Rule ID 51980 //
     /*   78710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78743 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   78743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78767 */     GIR_RootConstrainSelectedInstOperands,
     /*   78768 */     // GIR_Coverage, 51980,
     /*   78768 */     GIR_EraseRootFromParent_Done,
     /*   78769 */   // Label 1264: @78769
     /*   78769 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78833), // Rule ID 51981 //
     /*   78774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78807 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   78807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78831 */     GIR_RootConstrainSelectedInstOperands,
     /*   78832 */     // GIR_Coverage, 51981,
     /*   78832 */     GIR_EraseRootFromParent_Done,
     /*   78833 */   // Label 1265: @78833
     /*   78833 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(78882), // Rule ID 46254 //
     /*   78838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78845 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78880 */     GIR_RootConstrainSelectedInstOperands,
     /*   78881 */     // GIR_Coverage, 46254,
     /*   78881 */     GIR_EraseRootFromParent_Done,
     /*   78882 */   // Label 1266: @78882
     /*   78882 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(78931), // Rule ID 46255 //
     /*   78887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78894 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78929 */     GIR_RootConstrainSelectedInstOperands,
     /*   78930 */     // GIR_Coverage, 46255,
     /*   78930 */     GIR_EraseRootFromParent_Done,
     /*   78931 */   // Label 1267: @78931
     /*   78931 */   GIM_Reject,
     /*   78932 */ // Label 1263: @78932
     /*   78932 */ GIM_Reject,
     /*   78933 */ // Label 986: @78933
     /*   78933 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(80055),
     /*   78938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   78941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   78944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(79037), // Rule ID 47226 //
     /*   78953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78996 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   78999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79035 */     GIR_RootConstrainSelectedInstOperands,
     /*   79036 */     // GIR_Coverage, 47226,
     /*   79036 */     GIR_EraseRootFromParent_Done,
     /*   79037 */   // Label 1269: @79037
     /*   79037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(79126), // Rule ID 47227 //
     /*   79042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79085 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 47227,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 1270: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(79215), // Rule ID 46986 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79174 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79213 */     GIR_RootConstrainSelectedInstOperands,
     /*   79214 */     // GIR_Coverage, 46986,
     /*   79214 */     GIR_EraseRootFromParent_Done,
     /*   79215 */   // Label 1271: @79215
     /*   79215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(79304), // Rule ID 46987 //
     /*   79220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79263 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79302 */     GIR_RootConstrainSelectedInstOperands,
     /*   79303 */     // GIR_Coverage, 46987,
     /*   79303 */     GIR_EraseRootFromParent_Done,
     /*   79304 */   // Label 1272: @79304
     /*   79304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(79393), // Rule ID 47106 //
     /*   79309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79352 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79391 */     GIR_RootConstrainSelectedInstOperands,
     /*   79392 */     // GIR_Coverage, 47106,
     /*   79392 */     GIR_EraseRootFromParent_Done,
     /*   79393 */   // Label 1273: @79393
     /*   79393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(79482), // Rule ID 47107 //
     /*   79398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79441 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79480 */     GIR_RootConstrainSelectedInstOperands,
     /*   79481 */     // GIR_Coverage, 47107,
     /*   79481 */     GIR_EraseRootFromParent_Done,
     /*   79482 */   // Label 1274: @79482
     /*   79482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(79550), // Rule ID 51996 //
     /*   79487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79524 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   79524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79548 */     GIR_RootConstrainSelectedInstOperands,
     /*   79549 */     // GIR_Coverage, 51996,
     /*   79549 */     GIR_EraseRootFromParent_Done,
     /*   79550 */   // Label 1275: @79550
     /*   79550 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(79618), // Rule ID 51997 //
     /*   79555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79592 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   79592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79616 */     GIR_RootConstrainSelectedInstOperands,
     /*   79617 */     // GIR_Coverage, 51997,
     /*   79617 */     GIR_EraseRootFromParent_Done,
     /*   79618 */   // Label 1276: @79618
     /*   79618 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(79673), // Rule ID 47286 //
     /*   79623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79651 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79671 */     GIR_RootConstrainSelectedInstOperands,
     /*   79672 */     // GIR_Coverage, 47286,
     /*   79672 */     GIR_EraseRootFromParent_Done,
     /*   79673 */   // Label 1277: @79673
     /*   79673 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(79728), // Rule ID 47287 //
     /*   79678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79706 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79726 */     GIR_RootConstrainSelectedInstOperands,
     /*   79727 */     // GIR_Coverage, 47287,
     /*   79727 */     GIR_EraseRootFromParent_Done,
     /*   79728 */   // Label 1278: @79728
     /*   79728 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(79783), // Rule ID 47046 //
     /*   79733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79761 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79781 */     GIR_RootConstrainSelectedInstOperands,
     /*   79782 */     // GIR_Coverage, 47046,
     /*   79782 */     GIR_EraseRootFromParent_Done,
     /*   79783 */   // Label 1279: @79783
     /*   79783 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(79838), // Rule ID 47047 //
     /*   79788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79816 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79836 */     GIR_RootConstrainSelectedInstOperands,
     /*   79837 */     // GIR_Coverage, 47047,
     /*   79837 */     GIR_EraseRootFromParent_Done,
     /*   79838 */   // Label 1280: @79838
     /*   79838 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(79893), // Rule ID 47166 //
     /*   79843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79871 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79891 */     GIR_RootConstrainSelectedInstOperands,
     /*   79892 */     // GIR_Coverage, 47166,
     /*   79892 */     GIR_EraseRootFromParent_Done,
     /*   79893 */   // Label 1281: @79893
     /*   79893 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(79948), // Rule ID 47167 //
     /*   79898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79926 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79946 */     GIR_RootConstrainSelectedInstOperands,
     /*   79947 */     // GIR_Coverage, 47167,
     /*   79947 */     GIR_EraseRootFromParent_Done,
     /*   79948 */   // Label 1282: @79948
     /*   79948 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(80001), // Rule ID 46270 //
     /*   79953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79964 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   79981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79999 */     GIR_RootConstrainSelectedInstOperands,
     /*   80000 */     // GIR_Coverage, 46270,
     /*   80000 */     GIR_EraseRootFromParent_Done,
     /*   80001 */   // Label 1283: @80001
     /*   80001 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(80054), // Rule ID 46271 //
     /*   80006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80017 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   80017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   80020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80052 */     GIR_RootConstrainSelectedInstOperands,
     /*   80053 */     // GIR_Coverage, 46271,
     /*   80053 */     GIR_EraseRootFromParent_Done,
     /*   80054 */   // Label 1284: @80054
     /*   80054 */   GIM_Reject,
     /*   80055 */ // Label 1268: @80055
     /*   80055 */ GIM_Reject,
     /*   80056 */ // Label 987: @80056
     /*   80056 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(80302),
     /*   80061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80075 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80139), // Rule ID 51984 //
     /*   80080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80113 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   80113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80137 */     GIR_RootConstrainSelectedInstOperands,
     /*   80138 */     // GIR_Coverage, 51984,
     /*   80138 */     GIR_EraseRootFromParent_Done,
     /*   80139 */   // Label 1286: @80139
     /*   80139 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(80203), // Rule ID 51985 //
     /*   80144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80177 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   80177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80201 */     GIR_RootConstrainSelectedInstOperands,
     /*   80202 */     // GIR_Coverage, 51985,
     /*   80202 */     GIR_EraseRootFromParent_Done,
     /*   80203 */   // Label 1287: @80203
     /*   80203 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(80252), // Rule ID 46258 //
     /*   80208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80215 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80250 */     GIR_RootConstrainSelectedInstOperands,
     /*   80251 */     // GIR_Coverage, 46258,
     /*   80251 */     GIR_EraseRootFromParent_Done,
     /*   80252 */   // Label 1288: @80252
     /*   80252 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(80301), // Rule ID 46259 //
     /*   80257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80264 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80299 */     GIR_RootConstrainSelectedInstOperands,
     /*   80300 */     // GIR_Coverage, 46259,
     /*   80300 */     GIR_EraseRootFromParent_Done,
     /*   80301 */   // Label 1289: @80301
     /*   80301 */   GIM_Reject,
     /*   80302 */ // Label 1285: @80302
     /*   80302 */ GIM_Reject,
     /*   80303 */ // Label 988: @80303
     /*   80303 */ GIM_Reject,
     /*   80304 */ // Label 2: @80304
     /*   80304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1314*/ GIMT_Encode4(107357),
     /*   80315 */ /*GILLT_s32*//*Label 1290*/ GIMT_Encode4(80439),
     /*   80319 */ /*GILLT_s64*//*Label 1291*/ GIMT_Encode4(80473), GIMT_Encode4(0),
     /*   80327 */ /*GILLT_nxv1s8*//*Label 1292*/ GIMT_Encode4(80677),
     /*   80331 */ /*GILLT_nxv1s16*//*Label 1293*/ GIMT_Encode4(80792),
     /*   80335 */ /*GILLT_nxv1s32*//*Label 1294*/ GIMT_Encode4(82517),
     /*   80339 */ /*GILLT_nxv1s64*//*Label 1295*/ GIMT_Encode4(84242), GIMT_Encode4(0),
     /*   80347 */ /*GILLT_nxv2s8*//*Label 1296*/ GIMT_Encode4(85967),
     /*   80351 */ /*GILLT_nxv2s16*//*Label 1297*/ GIMT_Encode4(86082),
     /*   80355 */ /*GILLT_nxv2s32*//*Label 1298*/ GIMT_Encode4(87807),
     /*   80359 */ /*GILLT_nxv2s64*//*Label 1299*/ GIMT_Encode4(89532), GIMT_Encode4(0),
     /*   80367 */ /*GILLT_nxv4s8*//*Label 1300*/ GIMT_Encode4(91257),
     /*   80371 */ /*GILLT_nxv4s16*//*Label 1301*/ GIMT_Encode4(91372),
     /*   80375 */ /*GILLT_nxv4s32*//*Label 1302*/ GIMT_Encode4(93097),
     /*   80379 */ /*GILLT_nxv4s64*//*Label 1303*/ GIMT_Encode4(94822), GIMT_Encode4(0),
     /*   80387 */ /*GILLT_nxv8s8*//*Label 1304*/ GIMT_Encode4(96547),
     /*   80391 */ /*GILLT_nxv8s16*//*Label 1305*/ GIMT_Encode4(96662),
     /*   80395 */ /*GILLT_nxv8s32*//*Label 1306*/ GIMT_Encode4(98387),
     /*   80399 */ /*GILLT_nxv8s64*//*Label 1307*/ GIMT_Encode4(100112), GIMT_Encode4(0),
     /*   80407 */ /*GILLT_nxv16s8*//*Label 1308*/ GIMT_Encode4(101837),
     /*   80411 */ /*GILLT_nxv16s16*//*Label 1309*/ GIMT_Encode4(101952),
     /*   80415 */ /*GILLT_nxv16s32*//*Label 1310*/ GIMT_Encode4(103677), GIMT_Encode4(0),
     /*   80423 */ /*GILLT_nxv32s8*//*Label 1311*/ GIMT_Encode4(105402),
     /*   80427 */ /*GILLT_nxv32s16*//*Label 1312*/ GIMT_Encode4(105517), GIMT_Encode4(0),
     /*   80435 */ /*GILLT_nxv64s8*//*Label 1313*/ GIMT_Encode4(107242),
     /*   80439 */ // Label 1290: @80439
     /*   80439 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80472), // Rule ID 292 //
     /*   80444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   80447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   80450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   80453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80465 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   80465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80470 */   GIR_RootConstrainSelectedInstOperands,
     /*   80471 */   // GIR_Coverage, 292,
     /*   80471 */   GIR_Done,
     /*   80472 */ // Label 1315: @80472
     /*   80472 */ GIM_Reject,
     /*   80473 */ // Label 1291: @80473
     /*   80473 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80676),
     /*   80478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   80481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   80484 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(80617), // Rule ID 314 //
     /*   80489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   80492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   80508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   80512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80517 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   80540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   80544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80549 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80562 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   80562 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   80565 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80569 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80574 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80578 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   80581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   80583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   80586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   80602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   80607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   80615 */     GIR_RootConstrainSelectedInstOperands,
     /*   80616 */     // GIR_Coverage, 314,
     /*   80616 */     GIR_EraseRootFromParent_Done,
     /*   80617 */   // Label 1317: @80617
     /*   80617 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(80648), // Rule ID 307 //
     /*   80622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   80625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9976),
     /*   80641 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9976>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   80646 */     GIR_RootConstrainSelectedInstOperands,
     /*   80647 */     // GIR_Coverage, 307,
     /*   80647 */     GIR_Done,
     /*   80648 */   // Label 1318: @80648
     /*   80648 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(80675), // Rule ID 291 //
     /*   80653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   80656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80668 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80673 */     GIR_RootConstrainSelectedInstOperands,
     /*   80674 */     // GIR_Coverage, 291,
     /*   80674 */     GIR_Done,
     /*   80675 */   // Label 1319: @80675
     /*   80675 */   GIM_Reject,
     /*   80676 */ // Label 1316: @80676
     /*   80676 */ GIM_Reject,
     /*   80677 */ // Label 1292: @80677
     /*   80677 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(80791),
     /*   80682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   80688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80700 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(80745), // Rule ID 50846 //
     /*   80705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80708 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80743 */     GIR_RootConstrainSelectedInstOperands,
     /*   80744 */     // GIR_Coverage, 50846,
     /*   80744 */     GIR_EraseRootFromParent_Done,
     /*   80745 */   // Label 1321: @80745
     /*   80745 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(80790), // Rule ID 50847 //
     /*   80750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80753 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80788 */     GIR_RootConstrainSelectedInstOperands,
     /*   80789 */     // GIR_Coverage, 50847,
     /*   80789 */     GIR_EraseRootFromParent_Done,
     /*   80790 */   // Label 1322: @80790
     /*   80790 */   GIM_Reject,
     /*   80791 */ // Label 1320: @80791
     /*   80791 */ GIM_Reject,
     /*   80792 */ // Label 1293: @80792
     /*   80792 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(82516),
     /*   80797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   80800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   80803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80807 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(80896), // Rule ID 51612 //
     /*   80812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80855 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80894 */     GIR_RootConstrainSelectedInstOperands,
     /*   80895 */     // GIR_Coverage, 51612,
     /*   80895 */     GIR_EraseRootFromParent_Done,
     /*   80896 */   // Label 1324: @80896
     /*   80896 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(80985), // Rule ID 51613 //
     /*   80901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80944 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80983 */     GIR_RootConstrainSelectedInstOperands,
     /*   80984 */     // GIR_Coverage, 51613,
     /*   80984 */     GIR_EraseRootFromParent_Done,
     /*   80985 */   // Label 1325: @80985
     /*   80985 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81074), // Rule ID 70386 //
     /*   80990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81033 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81072 */     GIR_RootConstrainSelectedInstOperands,
     /*   81073 */     // GIR_Coverage, 70386,
     /*   81073 */     GIR_EraseRootFromParent_Done,
     /*   81074 */   // Label 1326: @81074
     /*   81074 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81163), // Rule ID 70387 //
     /*   81079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81122 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81161 */     GIR_RootConstrainSelectedInstOperands,
     /*   81162 */     // GIR_Coverage, 70387,
     /*   81162 */     GIR_EraseRootFromParent_Done,
     /*   81163 */   // Label 1327: @81163
     /*   81163 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81252), // Rule ID 70266 //
     /*   81168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81211 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81250 */     GIR_RootConstrainSelectedInstOperands,
     /*   81251 */     // GIR_Coverage, 70266,
     /*   81251 */     GIR_EraseRootFromParent_Done,
     /*   81252 */   // Label 1328: @81252
     /*   81252 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81341), // Rule ID 70267 //
     /*   81257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81300 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81339 */     GIR_RootConstrainSelectedInstOperands,
     /*   81340 */     // GIR_Coverage, 70267,
     /*   81340 */     GIR_EraseRootFromParent_Done,
     /*   81341 */   // Label 1329: @81341
     /*   81341 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81430), // Rule ID 51792 //
     /*   81346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81389 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81428 */     GIR_RootConstrainSelectedInstOperands,
     /*   81429 */     // GIR_Coverage, 51792,
     /*   81429 */     GIR_EraseRootFromParent_Done,
     /*   81430 */   // Label 1330: @81430
     /*   81430 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(81519), // Rule ID 51793 //
     /*   81435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81478 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81517 */     GIR_RootConstrainSelectedInstOperands,
     /*   81518 */     // GIR_Coverage, 51793,
     /*   81518 */     GIR_EraseRootFromParent_Done,
     /*   81519 */   // Label 1331: @81519
     /*   81519 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(81608), // Rule ID 51492 //
     /*   81524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81539 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81558 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81567 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81606 */     GIR_RootConstrainSelectedInstOperands,
     /*   81607 */     // GIR_Coverage, 51492,
     /*   81607 */     GIR_EraseRootFromParent_Done,
     /*   81608 */   // Label 1332: @81608
     /*   81608 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(81697), // Rule ID 51493 //
     /*   81613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81628 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81656 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81695 */     GIR_RootConstrainSelectedInstOperands,
     /*   81696 */     // GIR_Coverage, 51493,
     /*   81696 */     GIR_EraseRootFromParent_Done,
     /*   81697 */   // Label 1333: @81697
     /*   81697 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(81786), // Rule ID 51732 //
     /*   81702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81717 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81745 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 51732,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1334: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(81875), // Rule ID 51733 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81834 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81873 */     GIR_RootConstrainSelectedInstOperands,
     /*   81874 */     // GIR_Coverage, 51733,
     /*   81874 */     GIR_EraseRootFromParent_Done,
     /*   81875 */   // Label 1335: @81875
     /*   81875 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(81964), // Rule ID 51672 //
     /*   81880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81923 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81962 */     GIR_RootConstrainSelectedInstOperands,
     /*   81963 */     // GIR_Coverage, 51672,
     /*   81963 */     GIR_EraseRootFromParent_Done,
     /*   81964 */   // Label 1336: @81964
     /*   81964 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82053), // Rule ID 51673 //
     /*   81969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82012 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82051 */     GIR_RootConstrainSelectedInstOperands,
     /*   82052 */     // GIR_Coverage, 51673,
     /*   82052 */     GIR_EraseRootFromParent_Done,
     /*   82053 */   // Label 1337: @82053
     /*   82053 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82142), // Rule ID 70326 //
     /*   82058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82101 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82140 */     GIR_RootConstrainSelectedInstOperands,
     /*   82141 */     // GIR_Coverage, 70326,
     /*   82141 */     GIR_EraseRootFromParent_Done,
     /*   82142 */   // Label 1338: @82142
     /*   82142 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82231), // Rule ID 70327 //
     /*   82147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82190 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82229 */     GIR_RootConstrainSelectedInstOperands,
     /*   82230 */     // GIR_Coverage, 70327,
     /*   82230 */     GIR_EraseRootFromParent_Done,
     /*   82231 */   // Label 1339: @82231
     /*   82231 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82320), // Rule ID 51552 //
     /*   82236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82270 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82279 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82318 */     GIR_RootConstrainSelectedInstOperands,
     /*   82319 */     // GIR_Coverage, 51552,
     /*   82319 */     GIR_EraseRootFromParent_Done,
     /*   82320 */   // Label 1340: @82320
     /*   82320 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82409), // Rule ID 51553 //
     /*   82325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82359 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82368 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82407 */     GIR_RootConstrainSelectedInstOperands,
     /*   82408 */     // GIR_Coverage, 51553,
     /*   82408 */     GIR_EraseRootFromParent_Done,
     /*   82409 */   // Label 1341: @82409
     /*   82409 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82462), // Rule ID 50858 //
     /*   82414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82425 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82460 */     GIR_RootConstrainSelectedInstOperands,
     /*   82461 */     // GIR_Coverage, 50858,
     /*   82461 */     GIR_EraseRootFromParent_Done,
     /*   82462 */   // Label 1342: @82462
     /*   82462 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(82515), // Rule ID 50859 //
     /*   82467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82478 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82513 */     GIR_RootConstrainSelectedInstOperands,
     /*   82514 */     // GIR_Coverage, 50859,
     /*   82514 */     GIR_EraseRootFromParent_Done,
     /*   82515 */   // Label 1343: @82515
     /*   82515 */   GIM_Reject,
     /*   82516 */ // Label 1323: @82516
     /*   82516 */ GIM_Reject,
     /*   82517 */ // Label 1294: @82517
     /*   82517 */ GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(84241),
     /*   82522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   82525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   82528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(82621), // Rule ID 51636 //
     /*   82537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82580 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82619 */     GIR_RootConstrainSelectedInstOperands,
     /*   82620 */     // GIR_Coverage, 51636,
     /*   82620 */     GIR_EraseRootFromParent_Done,
     /*   82621 */   // Label 1345: @82621
     /*   82621 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(82710), // Rule ID 51637 //
     /*   82626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82669 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82708 */     GIR_RootConstrainSelectedInstOperands,
     /*   82709 */     // GIR_Coverage, 51637,
     /*   82709 */     GIR_EraseRootFromParent_Done,
     /*   82710 */   // Label 1346: @82710
     /*   82710 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(82799), // Rule ID 70410 //
     /*   82715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82758 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82797 */     GIR_RootConstrainSelectedInstOperands,
     /*   82798 */     // GIR_Coverage, 70410,
     /*   82798 */     GIR_EraseRootFromParent_Done,
     /*   82799 */   // Label 1347: @82799
     /*   82799 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(82888), // Rule ID 70411 //
     /*   82804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82847 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82886 */     GIR_RootConstrainSelectedInstOperands,
     /*   82887 */     // GIR_Coverage, 70411,
     /*   82887 */     GIR_EraseRootFromParent_Done,
     /*   82888 */   // Label 1348: @82888
     /*   82888 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(82977), // Rule ID 70290 //
     /*   82893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82936 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82975 */     GIR_RootConstrainSelectedInstOperands,
     /*   82976 */     // GIR_Coverage, 70290,
     /*   82976 */     GIR_EraseRootFromParent_Done,
     /*   82977 */   // Label 1349: @82977
     /*   82977 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83066), // Rule ID 70291 //
     /*   82982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83025 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83064 */     GIR_RootConstrainSelectedInstOperands,
     /*   83065 */     // GIR_Coverage, 70291,
     /*   83065 */     GIR_EraseRootFromParent_Done,
     /*   83066 */   // Label 1350: @83066
     /*   83066 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83155), // Rule ID 51816 //
     /*   83071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83114 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83153 */     GIR_RootConstrainSelectedInstOperands,
     /*   83154 */     // GIR_Coverage, 51816,
     /*   83154 */     GIR_EraseRootFromParent_Done,
     /*   83155 */   // Label 1351: @83155
     /*   83155 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83244), // Rule ID 51817 //
     /*   83160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83203 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83242 */     GIR_RootConstrainSelectedInstOperands,
     /*   83243 */     // GIR_Coverage, 51817,
     /*   83243 */     GIR_EraseRootFromParent_Done,
     /*   83244 */   // Label 1352: @83244
     /*   83244 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83333), // Rule ID 51516 //
     /*   83249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83292 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83331 */     GIR_RootConstrainSelectedInstOperands,
     /*   83332 */     // GIR_Coverage, 51516,
     /*   83332 */     GIR_EraseRootFromParent_Done,
     /*   83333 */   // Label 1353: @83333
     /*   83333 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83422), // Rule ID 51517 //
     /*   83338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83381 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83420 */     GIR_RootConstrainSelectedInstOperands,
     /*   83421 */     // GIR_Coverage, 51517,
     /*   83421 */     GIR_EraseRootFromParent_Done,
     /*   83422 */   // Label 1354: @83422
     /*   83422 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83511), // Rule ID 51756 //
     /*   83427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83470 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83509 */     GIR_RootConstrainSelectedInstOperands,
     /*   83510 */     // GIR_Coverage, 51756,
     /*   83510 */     GIR_EraseRootFromParent_Done,
     /*   83511 */   // Label 1355: @83511
     /*   83511 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(83600), // Rule ID 51757 //
     /*   83516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83559 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83598 */     GIR_RootConstrainSelectedInstOperands,
     /*   83599 */     // GIR_Coverage, 51757,
     /*   83599 */     GIR_EraseRootFromParent_Done,
     /*   83600 */   // Label 1356: @83600
     /*   83600 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(83689), // Rule ID 51696 //
     /*   83605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83648 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83687 */     GIR_RootConstrainSelectedInstOperands,
     /*   83688 */     // GIR_Coverage, 51696,
     /*   83688 */     GIR_EraseRootFromParent_Done,
     /*   83689 */   // Label 1357: @83689
     /*   83689 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(83778), // Rule ID 51697 //
     /*   83694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83737 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83776 */     GIR_RootConstrainSelectedInstOperands,
     /*   83777 */     // GIR_Coverage, 51697,
     /*   83777 */     GIR_EraseRootFromParent_Done,
     /*   83778 */   // Label 1358: @83778
     /*   83778 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83867), // Rule ID 70350 //
     /*   83783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83826 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83865 */     GIR_RootConstrainSelectedInstOperands,
     /*   83866 */     // GIR_Coverage, 70350,
     /*   83866 */     GIR_EraseRootFromParent_Done,
     /*   83867 */   // Label 1359: @83867
     /*   83867 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(83956), // Rule ID 70351 //
     /*   83872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83915 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83954 */     GIR_RootConstrainSelectedInstOperands,
     /*   83955 */     // GIR_Coverage, 70351,
     /*   83955 */     GIR_EraseRootFromParent_Done,
     /*   83956 */   // Label 1360: @83956
     /*   83956 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84045), // Rule ID 51576 //
     /*   83961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84004 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84043 */     GIR_RootConstrainSelectedInstOperands,
     /*   84044 */     // GIR_Coverage, 51576,
     /*   84044 */     GIR_EraseRootFromParent_Done,
     /*   84045 */   // Label 1361: @84045
     /*   84045 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84134), // Rule ID 51577 //
     /*   84050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84093 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84132 */     GIR_RootConstrainSelectedInstOperands,
     /*   84133 */     // GIR_Coverage, 51577,
     /*   84133 */     GIR_EraseRootFromParent_Done,
     /*   84134 */   // Label 1362: @84134
     /*   84134 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84187), // Rule ID 50866 //
     /*   84139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84150 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84185 */     GIR_RootConstrainSelectedInstOperands,
     /*   84186 */     // GIR_Coverage, 50866,
     /*   84186 */     GIR_EraseRootFromParent_Done,
     /*   84187 */   // Label 1363: @84187
     /*   84187 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84240), // Rule ID 50867 //
     /*   84192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84203 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84238 */     GIR_RootConstrainSelectedInstOperands,
     /*   84239 */     // GIR_Coverage, 50867,
     /*   84239 */     GIR_EraseRootFromParent_Done,
     /*   84240 */   // Label 1364: @84240
     /*   84240 */   GIM_Reject,
     /*   84241 */ // Label 1344: @84241
     /*   84241 */ GIM_Reject,
     /*   84242 */ // Label 1295: @84242
     /*   84242 */ GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(85966),
     /*   84247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   84250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   84253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84346), // Rule ID 51656 //
     /*   84262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84296 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84305 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84344 */     GIR_RootConstrainSelectedInstOperands,
     /*   84345 */     // GIR_Coverage, 51656,
     /*   84345 */     GIR_EraseRootFromParent_Done,
     /*   84346 */   // Label 1366: @84346
     /*   84346 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(84435), // Rule ID 51657 //
     /*   84351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84394 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84433 */     GIR_RootConstrainSelectedInstOperands,
     /*   84434 */     // GIR_Coverage, 51657,
     /*   84434 */     GIR_EraseRootFromParent_Done,
     /*   84435 */   // Label 1367: @84435
     /*   84435 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(84524), // Rule ID 70430 //
     /*   84440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84483 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84522 */     GIR_RootConstrainSelectedInstOperands,
     /*   84523 */     // GIR_Coverage, 70430,
     /*   84523 */     GIR_EraseRootFromParent_Done,
     /*   84524 */   // Label 1368: @84524
     /*   84524 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(84613), // Rule ID 70431 //
     /*   84529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84572 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84611 */     GIR_RootConstrainSelectedInstOperands,
     /*   84612 */     // GIR_Coverage, 70431,
     /*   84612 */     GIR_EraseRootFromParent_Done,
     /*   84613 */   // Label 1369: @84613
     /*   84613 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(84702), // Rule ID 70310 //
     /*   84618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84661 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84700 */     GIR_RootConstrainSelectedInstOperands,
     /*   84701 */     // GIR_Coverage, 70310,
     /*   84701 */     GIR_EraseRootFromParent_Done,
     /*   84702 */   // Label 1370: @84702
     /*   84702 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(84791), // Rule ID 70311 //
     /*   84707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84750 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84789 */     GIR_RootConstrainSelectedInstOperands,
     /*   84790 */     // GIR_Coverage, 70311,
     /*   84790 */     GIR_EraseRootFromParent_Done,
     /*   84791 */   // Label 1371: @84791
     /*   84791 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(84880), // Rule ID 51836 //
     /*   84796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84839 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84878 */     GIR_RootConstrainSelectedInstOperands,
     /*   84879 */     // GIR_Coverage, 51836,
     /*   84879 */     GIR_EraseRootFromParent_Done,
     /*   84880 */   // Label 1372: @84880
     /*   84880 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(84969), // Rule ID 51837 //
     /*   84885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84919 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84928 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84967 */     GIR_RootConstrainSelectedInstOperands,
     /*   84968 */     // GIR_Coverage, 51837,
     /*   84968 */     GIR_EraseRootFromParent_Done,
     /*   84969 */   // Label 1373: @84969
     /*   84969 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85058), // Rule ID 51536 //
     /*   84974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85008 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85017 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85056 */     GIR_RootConstrainSelectedInstOperands,
     /*   85057 */     // GIR_Coverage, 51536,
     /*   85057 */     GIR_EraseRootFromParent_Done,
     /*   85058 */   // Label 1374: @85058
     /*   85058 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85147), // Rule ID 51537 //
     /*   85063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85097 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85106 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85145 */     GIR_RootConstrainSelectedInstOperands,
     /*   85146 */     // GIR_Coverage, 51537,
     /*   85146 */     GIR_EraseRootFromParent_Done,
     /*   85147 */   // Label 1375: @85147
     /*   85147 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85236), // Rule ID 51776 //
     /*   85152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85195 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85234 */     GIR_RootConstrainSelectedInstOperands,
     /*   85235 */     // GIR_Coverage, 51776,
     /*   85235 */     GIR_EraseRootFromParent_Done,
     /*   85236 */   // Label 1376: @85236
     /*   85236 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85325), // Rule ID 51777 //
     /*   85241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85284 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85323 */     GIR_RootConstrainSelectedInstOperands,
     /*   85324 */     // GIR_Coverage, 51777,
     /*   85324 */     GIR_EraseRootFromParent_Done,
     /*   85325 */   // Label 1377: @85325
     /*   85325 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85414), // Rule ID 51716 //
     /*   85330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85364 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85373 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85412 */     GIR_RootConstrainSelectedInstOperands,
     /*   85413 */     // GIR_Coverage, 51716,
     /*   85413 */     GIR_EraseRootFromParent_Done,
     /*   85414 */   // Label 1378: @85414
     /*   85414 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85503), // Rule ID 51717 //
     /*   85419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85462 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85501 */     GIR_RootConstrainSelectedInstOperands,
     /*   85502 */     // GIR_Coverage, 51717,
     /*   85502 */     GIR_EraseRootFromParent_Done,
     /*   85503 */   // Label 1379: @85503
     /*   85503 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(85592), // Rule ID 70370 //
     /*   85508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85551 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85590 */     GIR_RootConstrainSelectedInstOperands,
     /*   85591 */     // GIR_Coverage, 70370,
     /*   85591 */     GIR_EraseRootFromParent_Done,
     /*   85592 */   // Label 1380: @85592
     /*   85592 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(85681), // Rule ID 70371 //
     /*   85597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85640 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85679 */     GIR_RootConstrainSelectedInstOperands,
     /*   85680 */     // GIR_Coverage, 70371,
     /*   85680 */     GIR_EraseRootFromParent_Done,
     /*   85681 */   // Label 1381: @85681
     /*   85681 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(85770), // Rule ID 51596 //
     /*   85686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85729 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85768 */     GIR_RootConstrainSelectedInstOperands,
     /*   85769 */     // GIR_Coverage, 51596,
     /*   85769 */     GIR_EraseRootFromParent_Done,
     /*   85770 */   // Label 1382: @85770
     /*   85770 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(85859), // Rule ID 51597 //
     /*   85775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85818 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85857 */     GIR_RootConstrainSelectedInstOperands,
     /*   85858 */     // GIR_Coverage, 51597,
     /*   85858 */     GIR_EraseRootFromParent_Done,
     /*   85859 */   // Label 1383: @85859
     /*   85859 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85912), // Rule ID 50882 //
     /*   85864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   85867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85875 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   85875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85910 */     GIR_RootConstrainSelectedInstOperands,
     /*   85911 */     // GIR_Coverage, 50882,
     /*   85911 */     GIR_EraseRootFromParent_Done,
     /*   85912 */   // Label 1384: @85912
     /*   85912 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(85965), // Rule ID 50883 //
     /*   85917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   85920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85928 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   85928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85963 */     GIR_RootConstrainSelectedInstOperands,
     /*   85964 */     // GIR_Coverage, 50883,
     /*   85964 */     GIR_EraseRootFromParent_Done,
     /*   85965 */   // Label 1385: @85965
     /*   85965 */   GIM_Reject,
     /*   85966 */ // Label 1365: @85966
     /*   85966 */ GIM_Reject,
     /*   85967 */ // Label 1296: @85967
     /*   85967 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86081),
     /*   85972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   85975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   85978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85990 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86035), // Rule ID 50850 //
     /*   85995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85998 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   85998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86033 */     GIR_RootConstrainSelectedInstOperands,
     /*   86034 */     // GIR_Coverage, 50850,
     /*   86034 */     GIR_EraseRootFromParent_Done,
     /*   86035 */   // Label 1387: @86035
     /*   86035 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86080), // Rule ID 50851 //
     /*   86040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86043 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86078 */     GIR_RootConstrainSelectedInstOperands,
     /*   86079 */     // GIR_Coverage, 50851,
     /*   86079 */     GIR_EraseRootFromParent_Done,
     /*   86080 */   // Label 1388: @86080
     /*   86080 */   GIM_Reject,
     /*   86081 */ // Label 1386: @86081
     /*   86081 */ GIM_Reject,
     /*   86082 */ // Label 1297: @86082
     /*   86082 */ GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(87806),
     /*   86087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   86090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   86093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86097 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86186), // Rule ID 51616 //
     /*   86102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86145 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86184 */     GIR_RootConstrainSelectedInstOperands,
     /*   86185 */     // GIR_Coverage, 51616,
     /*   86185 */     GIR_EraseRootFromParent_Done,
     /*   86186 */   // Label 1390: @86186
     /*   86186 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(86275), // Rule ID 51617 //
     /*   86191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86234 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86273 */     GIR_RootConstrainSelectedInstOperands,
     /*   86274 */     // GIR_Coverage, 51617,
     /*   86274 */     GIR_EraseRootFromParent_Done,
     /*   86275 */   // Label 1391: @86275
     /*   86275 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(86364), // Rule ID 70390 //
     /*   86280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86323 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86362 */     GIR_RootConstrainSelectedInstOperands,
     /*   86363 */     // GIR_Coverage, 70390,
     /*   86363 */     GIR_EraseRootFromParent_Done,
     /*   86364 */   // Label 1392: @86364
     /*   86364 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(86453), // Rule ID 70391 //
     /*   86369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86412 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86451 */     GIR_RootConstrainSelectedInstOperands,
     /*   86452 */     // GIR_Coverage, 70391,
     /*   86452 */     GIR_EraseRootFromParent_Done,
     /*   86453 */   // Label 1393: @86453
     /*   86453 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(86542), // Rule ID 70270 //
     /*   86458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86501 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86540 */     GIR_RootConstrainSelectedInstOperands,
     /*   86541 */     // GIR_Coverage, 70270,
     /*   86541 */     GIR_EraseRootFromParent_Done,
     /*   86542 */   // Label 1394: @86542
     /*   86542 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(86631), // Rule ID 70271 //
     /*   86547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86590 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86629 */     GIR_RootConstrainSelectedInstOperands,
     /*   86630 */     // GIR_Coverage, 70271,
     /*   86630 */     GIR_EraseRootFromParent_Done,
     /*   86631 */   // Label 1395: @86631
     /*   86631 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(86720), // Rule ID 51796 //
     /*   86636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86679 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86718 */     GIR_RootConstrainSelectedInstOperands,
     /*   86719 */     // GIR_Coverage, 51796,
     /*   86719 */     GIR_EraseRootFromParent_Done,
     /*   86720 */   // Label 1396: @86720
     /*   86720 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(86809), // Rule ID 51797 //
     /*   86725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86768 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86807 */     GIR_RootConstrainSelectedInstOperands,
     /*   86808 */     // GIR_Coverage, 51797,
     /*   86808 */     GIR_EraseRootFromParent_Done,
     /*   86809 */   // Label 1397: @86809
     /*   86809 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(86898), // Rule ID 51496 //
     /*   86814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86857 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86896 */     GIR_RootConstrainSelectedInstOperands,
     /*   86897 */     // GIR_Coverage, 51496,
     /*   86897 */     GIR_EraseRootFromParent_Done,
     /*   86898 */   // Label 1398: @86898
     /*   86898 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(86987), // Rule ID 51497 //
     /*   86903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86946 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86985 */     GIR_RootConstrainSelectedInstOperands,
     /*   86986 */     // GIR_Coverage, 51497,
     /*   86986 */     GIR_EraseRootFromParent_Done,
     /*   86987 */   // Label 1399: @86987
     /*   86987 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87076), // Rule ID 51736 //
     /*   86992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87035 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 51736,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1400: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87165), // Rule ID 51737 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87115 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87124 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87163 */     GIR_RootConstrainSelectedInstOperands,
     /*   87164 */     // GIR_Coverage, 51737,
     /*   87164 */     GIR_EraseRootFromParent_Done,
     /*   87165 */   // Label 1401: @87165
     /*   87165 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87254), // Rule ID 51676 //
     /*   87170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87213 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87252 */     GIR_RootConstrainSelectedInstOperands,
     /*   87253 */     // GIR_Coverage, 51676,
     /*   87253 */     GIR_EraseRootFromParent_Done,
     /*   87254 */   // Label 1402: @87254
     /*   87254 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87343), // Rule ID 51677 //
     /*   87259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87302 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87341 */     GIR_RootConstrainSelectedInstOperands,
     /*   87342 */     // GIR_Coverage, 51677,
     /*   87342 */     GIR_EraseRootFromParent_Done,
     /*   87343 */   // Label 1403: @87343
     /*   87343 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87432), // Rule ID 70330 //
     /*   87348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87391 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87430 */     GIR_RootConstrainSelectedInstOperands,
     /*   87431 */     // GIR_Coverage, 70330,
     /*   87431 */     GIR_EraseRootFromParent_Done,
     /*   87432 */   // Label 1404: @87432
     /*   87432 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87521), // Rule ID 70331 //
     /*   87437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87480 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87519 */     GIR_RootConstrainSelectedInstOperands,
     /*   87520 */     // GIR_Coverage, 70331,
     /*   87520 */     GIR_EraseRootFromParent_Done,
     /*   87521 */   // Label 1405: @87521
     /*   87521 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(87610), // Rule ID 51556 //
     /*   87526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87569 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87608 */     GIR_RootConstrainSelectedInstOperands,
     /*   87609 */     // GIR_Coverage, 51556,
     /*   87609 */     GIR_EraseRootFromParent_Done,
     /*   87610 */   // Label 1406: @87610
     /*   87610 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(87699), // Rule ID 51557 //
     /*   87615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87658 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87697 */     GIR_RootConstrainSelectedInstOperands,
     /*   87698 */     // GIR_Coverage, 51557,
     /*   87698 */     GIR_EraseRootFromParent_Done,
     /*   87699 */   // Label 1407: @87699
     /*   87699 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(87752), // Rule ID 50862 //
     /*   87704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87715 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87750 */     GIR_RootConstrainSelectedInstOperands,
     /*   87751 */     // GIR_Coverage, 50862,
     /*   87751 */     GIR_EraseRootFromParent_Done,
     /*   87752 */   // Label 1408: @87752
     /*   87752 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87805), // Rule ID 50863 //
     /*   87757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87768 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87803 */     GIR_RootConstrainSelectedInstOperands,
     /*   87804 */     // GIR_Coverage, 50863,
     /*   87804 */     GIR_EraseRootFromParent_Done,
     /*   87805 */   // Label 1409: @87805
     /*   87805 */   GIM_Reject,
     /*   87806 */ // Label 1389: @87806
     /*   87806 */ GIM_Reject,
     /*   87807 */ // Label 1298: @87807
     /*   87807 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(89531),
     /*   87812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   87815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   87818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(87911), // Rule ID 51640 //
     /*   87827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87870 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87909 */     GIR_RootConstrainSelectedInstOperands,
     /*   87910 */     // GIR_Coverage, 51640,
     /*   87910 */     GIR_EraseRootFromParent_Done,
     /*   87911 */   // Label 1411: @87911
     /*   87911 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88000), // Rule ID 51641 //
     /*   87916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87959 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87998 */     GIR_RootConstrainSelectedInstOperands,
     /*   87999 */     // GIR_Coverage, 51641,
     /*   87999 */     GIR_EraseRootFromParent_Done,
     /*   88000 */   // Label 1412: @88000
     /*   88000 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88089), // Rule ID 70414 //
     /*   88005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88048 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88087 */     GIR_RootConstrainSelectedInstOperands,
     /*   88088 */     // GIR_Coverage, 70414,
     /*   88088 */     GIR_EraseRootFromParent_Done,
     /*   88089 */   // Label 1413: @88089
     /*   88089 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88178), // Rule ID 70415 //
     /*   88094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88137 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88176 */     GIR_RootConstrainSelectedInstOperands,
     /*   88177 */     // GIR_Coverage, 70415,
     /*   88177 */     GIR_EraseRootFromParent_Done,
     /*   88178 */   // Label 1414: @88178
     /*   88178 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88267), // Rule ID 70294 //
     /*   88183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88226 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88265 */     GIR_RootConstrainSelectedInstOperands,
     /*   88266 */     // GIR_Coverage, 70294,
     /*   88266 */     GIR_EraseRootFromParent_Done,
     /*   88267 */   // Label 1415: @88267
     /*   88267 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88356), // Rule ID 70295 //
     /*   88272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88315 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88354 */     GIR_RootConstrainSelectedInstOperands,
     /*   88355 */     // GIR_Coverage, 70295,
     /*   88355 */     GIR_EraseRootFromParent_Done,
     /*   88356 */   // Label 1416: @88356
     /*   88356 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88445), // Rule ID 51820 //
     /*   88361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88395 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88404 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88443 */     GIR_RootConstrainSelectedInstOperands,
     /*   88444 */     // GIR_Coverage, 51820,
     /*   88444 */     GIR_EraseRootFromParent_Done,
     /*   88445 */   // Label 1417: @88445
     /*   88445 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(88534), // Rule ID 51821 //
     /*   88450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88493 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88532 */     GIR_RootConstrainSelectedInstOperands,
     /*   88533 */     // GIR_Coverage, 51821,
     /*   88533 */     GIR_EraseRootFromParent_Done,
     /*   88534 */   // Label 1418: @88534
     /*   88534 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(88623), // Rule ID 51520 //
     /*   88539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88554 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88582 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88621 */     GIR_RootConstrainSelectedInstOperands,
     /*   88622 */     // GIR_Coverage, 51520,
     /*   88622 */     GIR_EraseRootFromParent_Done,
     /*   88623 */   // Label 1419: @88623
     /*   88623 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(88712), // Rule ID 51521 //
     /*   88628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88662 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88671 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88710 */     GIR_RootConstrainSelectedInstOperands,
     /*   88711 */     // GIR_Coverage, 51521,
     /*   88711 */     GIR_EraseRootFromParent_Done,
     /*   88712 */   // Label 1420: @88712
     /*   88712 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(88801), // Rule ID 51760 //
     /*   88717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88751 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88760 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88799 */     GIR_RootConstrainSelectedInstOperands,
     /*   88800 */     // GIR_Coverage, 51760,
     /*   88800 */     GIR_EraseRootFromParent_Done,
     /*   88801 */   // Label 1421: @88801
     /*   88801 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(88890), // Rule ID 51761 //
     /*   88806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88849 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88888 */     GIR_RootConstrainSelectedInstOperands,
     /*   88889 */     // GIR_Coverage, 51761,
     /*   88889 */     GIR_EraseRootFromParent_Done,
     /*   88890 */   // Label 1422: @88890
     /*   88890 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(88979), // Rule ID 51700 //
     /*   88895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88910 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88938 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88977 */     GIR_RootConstrainSelectedInstOperands,
     /*   88978 */     // GIR_Coverage, 51700,
     /*   88978 */     GIR_EraseRootFromParent_Done,
     /*   88979 */   // Label 1423: @88979
     /*   88979 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89068), // Rule ID 51701 //
     /*   88984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89027 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89066 */     GIR_RootConstrainSelectedInstOperands,
     /*   89067 */     // GIR_Coverage, 51701,
     /*   89067 */     GIR_EraseRootFromParent_Done,
     /*   89068 */   // Label 1424: @89068
     /*   89068 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89157), // Rule ID 70354 //
     /*   89073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89107 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89116 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89155 */     GIR_RootConstrainSelectedInstOperands,
     /*   89156 */     // GIR_Coverage, 70354,
     /*   89156 */     GIR_EraseRootFromParent_Done,
     /*   89157 */   // Label 1425: @89157
     /*   89157 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89246), // Rule ID 70355 //
     /*   89162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89177 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89205 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89244 */     GIR_RootConstrainSelectedInstOperands,
     /*   89245 */     // GIR_Coverage, 70355,
     /*   89245 */     GIR_EraseRootFromParent_Done,
     /*   89246 */   // Label 1426: @89246
     /*   89246 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89335), // Rule ID 51580 //
     /*   89251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89294 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89333 */     GIR_RootConstrainSelectedInstOperands,
     /*   89334 */     // GIR_Coverage, 51580,
     /*   89334 */     GIR_EraseRootFromParent_Done,
     /*   89335 */   // Label 1427: @89335
     /*   89335 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89424), // Rule ID 51581 //
     /*   89340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89383 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89422 */     GIR_RootConstrainSelectedInstOperands,
     /*   89423 */     // GIR_Coverage, 51581,
     /*   89423 */     GIR_EraseRootFromParent_Done,
     /*   89424 */   // Label 1428: @89424
     /*   89424 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89477), // Rule ID 50878 //
     /*   89429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89440 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89475 */     GIR_RootConstrainSelectedInstOperands,
     /*   89476 */     // GIR_Coverage, 50878,
     /*   89476 */     GIR_EraseRootFromParent_Done,
     /*   89477 */   // Label 1429: @89477
     /*   89477 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(89530), // Rule ID 50879 //
     /*   89482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89493 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89528 */     GIR_RootConstrainSelectedInstOperands,
     /*   89529 */     // GIR_Coverage, 50879,
     /*   89529 */     GIR_EraseRootFromParent_Done,
     /*   89530 */   // Label 1430: @89530
     /*   89530 */   GIM_Reject,
     /*   89531 */ // Label 1410: @89531
     /*   89531 */ GIM_Reject,
     /*   89532 */ // Label 1299: @89532
     /*   89532 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(91256),
     /*   89537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   89540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   89543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   89547 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(89636), // Rule ID 51660 //
     /*   89552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89586 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89595 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89634 */     GIR_RootConstrainSelectedInstOperands,
     /*   89635 */     // GIR_Coverage, 51660,
     /*   89635 */     GIR_EraseRootFromParent_Done,
     /*   89636 */   // Label 1432: @89636
     /*   89636 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(89725), // Rule ID 51661 //
     /*   89641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89684 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89723 */     GIR_RootConstrainSelectedInstOperands,
     /*   89724 */     // GIR_Coverage, 51661,
     /*   89724 */     GIR_EraseRootFromParent_Done,
     /*   89725 */   // Label 1433: @89725
     /*   89725 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(89814), // Rule ID 70434 //
     /*   89730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89773 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89812 */     GIR_RootConstrainSelectedInstOperands,
     /*   89813 */     // GIR_Coverage, 70434,
     /*   89813 */     GIR_EraseRootFromParent_Done,
     /*   89814 */   // Label 1434: @89814
     /*   89814 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(89903), // Rule ID 70435 //
     /*   89819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89853 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89862 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89901 */     GIR_RootConstrainSelectedInstOperands,
     /*   89902 */     // GIR_Coverage, 70435,
     /*   89902 */     GIR_EraseRootFromParent_Done,
     /*   89903 */   // Label 1435: @89903
     /*   89903 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(89992), // Rule ID 70314 //
     /*   89908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89942 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89951 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89990 */     GIR_RootConstrainSelectedInstOperands,
     /*   89991 */     // GIR_Coverage, 70314,
     /*   89991 */     GIR_EraseRootFromParent_Done,
     /*   89992 */   // Label 1436: @89992
     /*   89992 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90081), // Rule ID 70315 //
     /*   89997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90040 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90079 */     GIR_RootConstrainSelectedInstOperands,
     /*   90080 */     // GIR_Coverage, 70315,
     /*   90080 */     GIR_EraseRootFromParent_Done,
     /*   90081 */   // Label 1437: @90081
     /*   90081 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90170), // Rule ID 51840 //
     /*   90086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90129 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90168 */     GIR_RootConstrainSelectedInstOperands,
     /*   90169 */     // GIR_Coverage, 51840,
     /*   90169 */     GIR_EraseRootFromParent_Done,
     /*   90170 */   // Label 1438: @90170
     /*   90170 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90259), // Rule ID 51841 //
     /*   90175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90218 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90257 */     GIR_RootConstrainSelectedInstOperands,
     /*   90258 */     // GIR_Coverage, 51841,
     /*   90258 */     GIR_EraseRootFromParent_Done,
     /*   90259 */   // Label 1439: @90259
     /*   90259 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90348), // Rule ID 51540 //
     /*   90264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90307 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90346 */     GIR_RootConstrainSelectedInstOperands,
     /*   90347 */     // GIR_Coverage, 51540,
     /*   90347 */     GIR_EraseRootFromParent_Done,
     /*   90348 */   // Label 1440: @90348
     /*   90348 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90437), // Rule ID 51541 //
     /*   90353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90396 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90435 */     GIR_RootConstrainSelectedInstOperands,
     /*   90436 */     // GIR_Coverage, 51541,
     /*   90436 */     GIR_EraseRootFromParent_Done,
     /*   90437 */   // Label 1441: @90437
     /*   90437 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90526), // Rule ID 51780 //
     /*   90442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90485 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90524 */     GIR_RootConstrainSelectedInstOperands,
     /*   90525 */     // GIR_Coverage, 51780,
     /*   90525 */     GIR_EraseRootFromParent_Done,
     /*   90526 */   // Label 1442: @90526
     /*   90526 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(90615), // Rule ID 51781 //
     /*   90531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90574 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90613 */     GIR_RootConstrainSelectedInstOperands,
     /*   90614 */     // GIR_Coverage, 51781,
     /*   90614 */     GIR_EraseRootFromParent_Done,
     /*   90615 */   // Label 1443: @90615
     /*   90615 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(90704), // Rule ID 51720 //
     /*   90620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90654 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90663 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90702 */     GIR_RootConstrainSelectedInstOperands,
     /*   90703 */     // GIR_Coverage, 51720,
     /*   90703 */     GIR_EraseRootFromParent_Done,
     /*   90704 */   // Label 1444: @90704
     /*   90704 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(90793), // Rule ID 51721 //
     /*   90709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90752 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90791 */     GIR_RootConstrainSelectedInstOperands,
     /*   90792 */     // GIR_Coverage, 51721,
     /*   90792 */     GIR_EraseRootFromParent_Done,
     /*   90793 */   // Label 1445: @90793
     /*   90793 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(90882), // Rule ID 70374 //
     /*   90798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90841 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90880 */     GIR_RootConstrainSelectedInstOperands,
     /*   90881 */     // GIR_Coverage, 70374,
     /*   90881 */     GIR_EraseRootFromParent_Done,
     /*   90882 */   // Label 1446: @90882
     /*   90882 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(90971), // Rule ID 70375 //
     /*   90887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90930 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90969 */     GIR_RootConstrainSelectedInstOperands,
     /*   90970 */     // GIR_Coverage, 70375,
     /*   90970 */     GIR_EraseRootFromParent_Done,
     /*   90971 */   // Label 1447: @90971
     /*   90971 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91060), // Rule ID 51600 //
     /*   90976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91019 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91058 */     GIR_RootConstrainSelectedInstOperands,
     /*   91059 */     // GIR_Coverage, 51600,
     /*   91059 */     GIR_EraseRootFromParent_Done,
     /*   91060 */   // Label 1448: @91060
     /*   91060 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91149), // Rule ID 51601 //
     /*   91065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91108 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91147 */     GIR_RootConstrainSelectedInstOperands,
     /*   91148 */     // GIR_Coverage, 51601,
     /*   91148 */     GIR_EraseRootFromParent_Done,
     /*   91149 */   // Label 1449: @91149
     /*   91149 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91202), // Rule ID 50922 //
     /*   91154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   91157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91165 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   91165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91200 */     GIR_RootConstrainSelectedInstOperands,
     /*   91201 */     // GIR_Coverage, 50922,
     /*   91201 */     GIR_EraseRootFromParent_Done,
     /*   91202 */   // Label 1450: @91202
     /*   91202 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91255), // Rule ID 50923 //
     /*   91207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   91210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91218 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   91218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91253 */     GIR_RootConstrainSelectedInstOperands,
     /*   91254 */     // GIR_Coverage, 50923,
     /*   91254 */     GIR_EraseRootFromParent_Done,
     /*   91255 */   // Label 1451: @91255
     /*   91255 */   GIM_Reject,
     /*   91256 */ // Label 1431: @91256
     /*   91256 */ GIM_Reject,
     /*   91257 */ // Label 1300: @91257
     /*   91257 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91371),
     /*   91262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   91268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91280 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91325), // Rule ID 50854 //
     /*   91285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91288 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91323 */     GIR_RootConstrainSelectedInstOperands,
     /*   91324 */     // GIR_Coverage, 50854,
     /*   91324 */     GIR_EraseRootFromParent_Done,
     /*   91325 */   // Label 1453: @91325
     /*   91325 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(91370), // Rule ID 50855 //
     /*   91330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91333 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91368 */     GIR_RootConstrainSelectedInstOperands,
     /*   91369 */     // GIR_Coverage, 50855,
     /*   91369 */     GIR_EraseRootFromParent_Done,
     /*   91370 */   // Label 1454: @91370
     /*   91370 */   GIM_Reject,
     /*   91371 */ // Label 1452: @91371
     /*   91371 */ GIM_Reject,
     /*   91372 */ // Label 1301: @91372
     /*   91372 */ GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(93096),
     /*   91377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   91380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   91383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91387 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(91476), // Rule ID 51620 //
     /*   91392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91426 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91435 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91474 */     GIR_RootConstrainSelectedInstOperands,
     /*   91475 */     // GIR_Coverage, 51620,
     /*   91475 */     GIR_EraseRootFromParent_Done,
     /*   91476 */   // Label 1456: @91476
     /*   91476 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(91565), // Rule ID 51621 //
     /*   91481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91524 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91563 */     GIR_RootConstrainSelectedInstOperands,
     /*   91564 */     // GIR_Coverage, 51621,
     /*   91564 */     GIR_EraseRootFromParent_Done,
     /*   91565 */   // Label 1457: @91565
     /*   91565 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(91654), // Rule ID 70394 //
     /*   91570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91613 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91652 */     GIR_RootConstrainSelectedInstOperands,
     /*   91653 */     // GIR_Coverage, 70394,
     /*   91653 */     GIR_EraseRootFromParent_Done,
     /*   91654 */   // Label 1458: @91654
     /*   91654 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(91743), // Rule ID 70395 //
     /*   91659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91702 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91741 */     GIR_RootConstrainSelectedInstOperands,
     /*   91742 */     // GIR_Coverage, 70395,
     /*   91742 */     GIR_EraseRootFromParent_Done,
     /*   91743 */   // Label 1459: @91743
     /*   91743 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(91832), // Rule ID 70274 //
     /*   91748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91791 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91830 */     GIR_RootConstrainSelectedInstOperands,
     /*   91831 */     // GIR_Coverage, 70274,
     /*   91831 */     GIR_EraseRootFromParent_Done,
     /*   91832 */   // Label 1460: @91832
     /*   91832 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(91921), // Rule ID 70275 //
     /*   91837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91852 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91880 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91919 */     GIR_RootConstrainSelectedInstOperands,
     /*   91920 */     // GIR_Coverage, 70275,
     /*   91920 */     GIR_EraseRootFromParent_Done,
     /*   91921 */   // Label 1461: @91921
     /*   91921 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92010), // Rule ID 51800 //
     /*   91926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91969 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92008 */     GIR_RootConstrainSelectedInstOperands,
     /*   92009 */     // GIR_Coverage, 51800,
     /*   92009 */     GIR_EraseRootFromParent_Done,
     /*   92010 */   // Label 1462: @92010
     /*   92010 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92099), // Rule ID 51801 //
     /*   92015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92030 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92049 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92058 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92097 */     GIR_RootConstrainSelectedInstOperands,
     /*   92098 */     // GIR_Coverage, 51801,
     /*   92098 */     GIR_EraseRootFromParent_Done,
     /*   92099 */   // Label 1463: @92099
     /*   92099 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92188), // Rule ID 51500 //
     /*   92104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92119 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92138 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92140 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92147 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92186 */     GIR_RootConstrainSelectedInstOperands,
     /*   92187 */     // GIR_Coverage, 51500,
     /*   92187 */     GIR_EraseRootFromParent_Done,
     /*   92188 */   // Label 1464: @92188
     /*   92188 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92277), // Rule ID 51501 //
     /*   92193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92227 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92236 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92275 */     GIR_RootConstrainSelectedInstOperands,
     /*   92276 */     // GIR_Coverage, 51501,
     /*   92276 */     GIR_EraseRootFromParent_Done,
     /*   92277 */   // Label 1465: @92277
     /*   92277 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92366), // Rule ID 51740 //
     /*   92282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92297 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92316 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92325 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 51740,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1466: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92455), // Rule ID 51741 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92405 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92414 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92453 */     GIR_RootConstrainSelectedInstOperands,
     /*   92454 */     // GIR_Coverage, 51741,
     /*   92454 */     GIR_EraseRootFromParent_Done,
     /*   92455 */   // Label 1467: @92455
     /*   92455 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92544), // Rule ID 51680 //
     /*   92460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92503 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92542 */     GIR_RootConstrainSelectedInstOperands,
     /*   92543 */     // GIR_Coverage, 51680,
     /*   92543 */     GIR_EraseRootFromParent_Done,
     /*   92544 */   // Label 1468: @92544
     /*   92544 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(92633), // Rule ID 51681 //
     /*   92549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92592 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92631 */     GIR_RootConstrainSelectedInstOperands,
     /*   92632 */     // GIR_Coverage, 51681,
     /*   92632 */     GIR_EraseRootFromParent_Done,
     /*   92633 */   // Label 1469: @92633
     /*   92633 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(92722), // Rule ID 70334 //
     /*   92638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92681 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92720 */     GIR_RootConstrainSelectedInstOperands,
     /*   92721 */     // GIR_Coverage, 70334,
     /*   92721 */     GIR_EraseRootFromParent_Done,
     /*   92722 */   // Label 1470: @92722
     /*   92722 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(92811), // Rule ID 70335 //
     /*   92727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92770 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92809 */     GIR_RootConstrainSelectedInstOperands,
     /*   92810 */     // GIR_Coverage, 70335,
     /*   92810 */     GIR_EraseRootFromParent_Done,
     /*   92811 */   // Label 1471: @92811
     /*   92811 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(92900), // Rule ID 51560 //
     /*   92816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92859 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92898 */     GIR_RootConstrainSelectedInstOperands,
     /*   92899 */     // GIR_Coverage, 51560,
     /*   92899 */     GIR_EraseRootFromParent_Done,
     /*   92900 */   // Label 1472: @92900
     /*   92900 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(92989), // Rule ID 51561 //
     /*   92905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92948 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92987 */     GIR_RootConstrainSelectedInstOperands,
     /*   92988 */     // GIR_Coverage, 51561,
     /*   92988 */     GIR_EraseRootFromParent_Done,
     /*   92989 */   // Label 1473: @92989
     /*   92989 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93042), // Rule ID 50874 //
     /*   92994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93005 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93040 */     GIR_RootConstrainSelectedInstOperands,
     /*   93041 */     // GIR_Coverage, 50874,
     /*   93041 */     GIR_EraseRootFromParent_Done,
     /*   93042 */   // Label 1474: @93042
     /*   93042 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93095), // Rule ID 50875 //
     /*   93047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93058 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93093 */     GIR_RootConstrainSelectedInstOperands,
     /*   93094 */     // GIR_Coverage, 50875,
     /*   93094 */     GIR_EraseRootFromParent_Done,
     /*   93095 */   // Label 1475: @93095
     /*   93095 */   GIM_Reject,
     /*   93096 */ // Label 1455: @93096
     /*   93096 */ GIM_Reject,
     /*   93097 */ // Label 1302: @93097
     /*   93097 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(94821),
     /*   93102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   93105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   93108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   93112 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93201), // Rule ID 51644 //
     /*   93117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93160 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93199 */     GIR_RootConstrainSelectedInstOperands,
     /*   93200 */     // GIR_Coverage, 51644,
     /*   93200 */     GIR_EraseRootFromParent_Done,
     /*   93201 */   // Label 1477: @93201
     /*   93201 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93290), // Rule ID 51645 //
     /*   93206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93249 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93288 */     GIR_RootConstrainSelectedInstOperands,
     /*   93289 */     // GIR_Coverage, 51645,
     /*   93289 */     GIR_EraseRootFromParent_Done,
     /*   93290 */   // Label 1478: @93290
     /*   93290 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93379), // Rule ID 70418 //
     /*   93295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93338 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93377 */     GIR_RootConstrainSelectedInstOperands,
     /*   93378 */     // GIR_Coverage, 70418,
     /*   93378 */     GIR_EraseRootFromParent_Done,
     /*   93379 */   // Label 1479: @93379
     /*   93379 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(93468), // Rule ID 70419 //
     /*   93384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93427 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93466 */     GIR_RootConstrainSelectedInstOperands,
     /*   93467 */     // GIR_Coverage, 70419,
     /*   93467 */     GIR_EraseRootFromParent_Done,
     /*   93468 */   // Label 1480: @93468
     /*   93468 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(93557), // Rule ID 70298 //
     /*   93473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93516 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93555 */     GIR_RootConstrainSelectedInstOperands,
     /*   93556 */     // GIR_Coverage, 70298,
     /*   93556 */     GIR_EraseRootFromParent_Done,
     /*   93557 */   // Label 1481: @93557
     /*   93557 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(93646), // Rule ID 70299 //
     /*   93562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93577 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93596 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93605 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93644 */     GIR_RootConstrainSelectedInstOperands,
     /*   93645 */     // GIR_Coverage, 70299,
     /*   93645 */     GIR_EraseRootFromParent_Done,
     /*   93646 */   // Label 1482: @93646
     /*   93646 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(93735), // Rule ID 51824 //
     /*   93651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93685 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93694 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93733 */     GIR_RootConstrainSelectedInstOperands,
     /*   93734 */     // GIR_Coverage, 51824,
     /*   93734 */     GIR_EraseRootFromParent_Done,
     /*   93735 */   // Label 1483: @93735
     /*   93735 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(93824), // Rule ID 51825 //
     /*   93740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93783 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93822 */     GIR_RootConstrainSelectedInstOperands,
     /*   93823 */     // GIR_Coverage, 51825,
     /*   93823 */     GIR_EraseRootFromParent_Done,
     /*   93824 */   // Label 1484: @93824
     /*   93824 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(93913), // Rule ID 51524 //
     /*   93829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93863 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93872 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93911 */     GIR_RootConstrainSelectedInstOperands,
     /*   93912 */     // GIR_Coverage, 51524,
     /*   93912 */     GIR_EraseRootFromParent_Done,
     /*   93913 */   // Label 1485: @93913
     /*   93913 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94002), // Rule ID 51525 //
     /*   93918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93961 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94000 */     GIR_RootConstrainSelectedInstOperands,
     /*   94001 */     // GIR_Coverage, 51525,
     /*   94001 */     GIR_EraseRootFromParent_Done,
     /*   94002 */   // Label 1486: @94002
     /*   94002 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94091), // Rule ID 51764 //
     /*   94007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94050 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94089 */     GIR_RootConstrainSelectedInstOperands,
     /*   94090 */     // GIR_Coverage, 51764,
     /*   94090 */     GIR_EraseRootFromParent_Done,
     /*   94091 */   // Label 1487: @94091
     /*   94091 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94180), // Rule ID 51765 //
     /*   94096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94139 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94178 */     GIR_RootConstrainSelectedInstOperands,
     /*   94179 */     // GIR_Coverage, 51765,
     /*   94179 */     GIR_EraseRootFromParent_Done,
     /*   94180 */   // Label 1488: @94180
     /*   94180 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94269), // Rule ID 51704 //
     /*   94185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94219 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94228 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94267 */     GIR_RootConstrainSelectedInstOperands,
     /*   94268 */     // GIR_Coverage, 51704,
     /*   94268 */     GIR_EraseRootFromParent_Done,
     /*   94269 */   // Label 1489: @94269
     /*   94269 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94358), // Rule ID 51705 //
     /*   94274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94308 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94317 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94356 */     GIR_RootConstrainSelectedInstOperands,
     /*   94357 */     // GIR_Coverage, 51705,
     /*   94357 */     GIR_EraseRootFromParent_Done,
     /*   94358 */   // Label 1490: @94358
     /*   94358 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94447), // Rule ID 70358 //
     /*   94363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94397 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94406 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94445 */     GIR_RootConstrainSelectedInstOperands,
     /*   94446 */     // GIR_Coverage, 70358,
     /*   94446 */     GIR_EraseRootFromParent_Done,
     /*   94447 */   // Label 1491: @94447
     /*   94447 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94536), // Rule ID 70359 //
     /*   94452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94495 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94534 */     GIR_RootConstrainSelectedInstOperands,
     /*   94535 */     // GIR_Coverage, 70359,
     /*   94535 */     GIR_EraseRootFromParent_Done,
     /*   94536 */   // Label 1492: @94536
     /*   94536 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(94625), // Rule ID 51584 //
     /*   94541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94575 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94584 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94623 */     GIR_RootConstrainSelectedInstOperands,
     /*   94624 */     // GIR_Coverage, 51584,
     /*   94624 */     GIR_EraseRootFromParent_Done,
     /*   94625 */   // Label 1493: @94625
     /*   94625 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(94714), // Rule ID 51585 //
     /*   94630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94664 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94673 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94712 */     GIR_RootConstrainSelectedInstOperands,
     /*   94713 */     // GIR_Coverage, 51585,
     /*   94713 */     GIR_EraseRootFromParent_Done,
     /*   94714 */   // Label 1494: @94714
     /*   94714 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(94767), // Rule ID 50910 //
     /*   94719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94730 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94765 */     GIR_RootConstrainSelectedInstOperands,
     /*   94766 */     // GIR_Coverage, 50910,
     /*   94766 */     GIR_EraseRootFromParent_Done,
     /*   94767 */   // Label 1495: @94767
     /*   94767 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(94820), // Rule ID 50911 //
     /*   94772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94783 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94818 */     GIR_RootConstrainSelectedInstOperands,
     /*   94819 */     // GIR_Coverage, 50911,
     /*   94819 */     GIR_EraseRootFromParent_Done,
     /*   94820 */   // Label 1496: @94820
     /*   94820 */   GIM_Reject,
     /*   94821 */ // Label 1476: @94821
     /*   94821 */ GIM_Reject,
     /*   94822 */ // Label 1303: @94822
     /*   94822 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(96546),
     /*   94827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   94830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   94833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94837 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(94926), // Rule ID 51664 //
     /*   94842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   94845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94885 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94924 */     GIR_RootConstrainSelectedInstOperands,
     /*   94925 */     // GIR_Coverage, 51664,
     /*   94925 */     GIR_EraseRootFromParent_Done,
     /*   94926 */   // Label 1498: @94926
     /*   94926 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95015), // Rule ID 51665 //
     /*   94931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   94934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94974 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95013 */     GIR_RootConstrainSelectedInstOperands,
     /*   95014 */     // GIR_Coverage, 51665,
     /*   95014 */     GIR_EraseRootFromParent_Done,
     /*   95015 */   // Label 1499: @95015
     /*   95015 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95104), // Rule ID 70438 //
     /*   95020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95035 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95063 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95102 */     GIR_RootConstrainSelectedInstOperands,
     /*   95103 */     // GIR_Coverage, 70438,
     /*   95103 */     GIR_EraseRootFromParent_Done,
     /*   95104 */   // Label 1500: @95104
     /*   95104 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95193), // Rule ID 70439 //
     /*   95109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95124 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95152 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95191 */     GIR_RootConstrainSelectedInstOperands,
     /*   95192 */     // GIR_Coverage, 70439,
     /*   95192 */     GIR_EraseRootFromParent_Done,
     /*   95193 */   // Label 1501: @95193
     /*   95193 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95282), // Rule ID 70318 //
     /*   95198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95213 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95241 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95280 */     GIR_RootConstrainSelectedInstOperands,
     /*   95281 */     // GIR_Coverage, 70318,
     /*   95281 */     GIR_EraseRootFromParent_Done,
     /*   95282 */   // Label 1502: @95282
     /*   95282 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95371), // Rule ID 70319 //
     /*   95287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95302 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95330 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95369 */     GIR_RootConstrainSelectedInstOperands,
     /*   95370 */     // GIR_Coverage, 70319,
     /*   95370 */     GIR_EraseRootFromParent_Done,
     /*   95371 */   // Label 1503: @95371
     /*   95371 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95460), // Rule ID 51844 //
     /*   95376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95419 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95458 */     GIR_RootConstrainSelectedInstOperands,
     /*   95459 */     // GIR_Coverage, 51844,
     /*   95459 */     GIR_EraseRootFromParent_Done,
     /*   95460 */   // Label 1504: @95460
     /*   95460 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(95549), // Rule ID 51845 //
     /*   95465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95508 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95547 */     GIR_RootConstrainSelectedInstOperands,
     /*   95548 */     // GIR_Coverage, 51845,
     /*   95548 */     GIR_EraseRootFromParent_Done,
     /*   95549 */   // Label 1505: @95549
     /*   95549 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(95638), // Rule ID 51544 //
     /*   95554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95597 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95636 */     GIR_RootConstrainSelectedInstOperands,
     /*   95637 */     // GIR_Coverage, 51544,
     /*   95637 */     GIR_EraseRootFromParent_Done,
     /*   95638 */   // Label 1506: @95638
     /*   95638 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(95727), // Rule ID 51545 //
     /*   95643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95686 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95725 */     GIR_RootConstrainSelectedInstOperands,
     /*   95726 */     // GIR_Coverage, 51545,
     /*   95726 */     GIR_EraseRootFromParent_Done,
     /*   95727 */   // Label 1507: @95727
     /*   95727 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(95816), // Rule ID 51784 //
     /*   95732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95775 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95814 */     GIR_RootConstrainSelectedInstOperands,
     /*   95815 */     // GIR_Coverage, 51784,
     /*   95815 */     GIR_EraseRootFromParent_Done,
     /*   95816 */   // Label 1508: @95816
     /*   95816 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(95905), // Rule ID 51785 //
     /*   95821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95864 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95903 */     GIR_RootConstrainSelectedInstOperands,
     /*   95904 */     // GIR_Coverage, 51785,
     /*   95904 */     GIR_EraseRootFromParent_Done,
     /*   95905 */   // Label 1509: @95905
     /*   95905 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(95994), // Rule ID 51724 //
     /*   95910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95953 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95992 */     GIR_RootConstrainSelectedInstOperands,
     /*   95993 */     // GIR_Coverage, 51724,
     /*   95993 */     GIR_EraseRootFromParent_Done,
     /*   95994 */   // Label 1510: @95994
     /*   95994 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96083), // Rule ID 51725 //
     /*   95999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96042 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96081 */     GIR_RootConstrainSelectedInstOperands,
     /*   96082 */     // GIR_Coverage, 51725,
     /*   96082 */     GIR_EraseRootFromParent_Done,
     /*   96083 */   // Label 1511: @96083
     /*   96083 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96172), // Rule ID 70378 //
     /*   96088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96131 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96170 */     GIR_RootConstrainSelectedInstOperands,
     /*   96171 */     // GIR_Coverage, 70378,
     /*   96171 */     GIR_EraseRootFromParent_Done,
     /*   96172 */   // Label 1512: @96172
     /*   96172 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96261), // Rule ID 70379 //
     /*   96177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96220 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96259 */     GIR_RootConstrainSelectedInstOperands,
     /*   96260 */     // GIR_Coverage, 70379,
     /*   96260 */     GIR_EraseRootFromParent_Done,
     /*   96261 */   // Label 1513: @96261
     /*   96261 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96350), // Rule ID 51604 //
     /*   96266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96309 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96348 */     GIR_RootConstrainSelectedInstOperands,
     /*   96349 */     // GIR_Coverage, 51604,
     /*   96349 */     GIR_EraseRootFromParent_Done,
     /*   96350 */   // Label 1514: @96350
     /*   96350 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96439), // Rule ID 51605 //
     /*   96355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96398 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96437 */     GIR_RootConstrainSelectedInstOperands,
     /*   96438 */     // GIR_Coverage, 51605,
     /*   96438 */     GIR_EraseRootFromParent_Done,
     /*   96439 */   // Label 1515: @96439
     /*   96439 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96492), // Rule ID 50926 //
     /*   96444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   96447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96455 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   96455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96490 */     GIR_RootConstrainSelectedInstOperands,
     /*   96491 */     // GIR_Coverage, 50926,
     /*   96491 */     GIR_EraseRootFromParent_Done,
     /*   96492 */   // Label 1516: @96492
     /*   96492 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(96545), // Rule ID 50927 //
     /*   96497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   96500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96508 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   96508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96543 */     GIR_RootConstrainSelectedInstOperands,
     /*   96544 */     // GIR_Coverage, 50927,
     /*   96544 */     GIR_EraseRootFromParent_Done,
     /*   96545 */   // Label 1517: @96545
     /*   96545 */   GIM_Reject,
     /*   96546 */ // Label 1497: @96546
     /*   96546 */ GIM_Reject,
     /*   96547 */ // Label 1304: @96547
     /*   96547 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(96661),
     /*   96552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   96558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96570 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(96615), // Rule ID 50870 //
     /*   96575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96578 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96613 */     GIR_RootConstrainSelectedInstOperands,
     /*   96614 */     // GIR_Coverage, 50870,
     /*   96614 */     GIR_EraseRootFromParent_Done,
     /*   96615 */   // Label 1519: @96615
     /*   96615 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(96660), // Rule ID 50871 //
     /*   96620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96623 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96658 */     GIR_RootConstrainSelectedInstOperands,
     /*   96659 */     // GIR_Coverage, 50871,
     /*   96659 */     GIR_EraseRootFromParent_Done,
     /*   96660 */   // Label 1520: @96660
     /*   96660 */   GIM_Reject,
     /*   96661 */ // Label 1518: @96661
     /*   96661 */ GIM_Reject,
     /*   96662 */ // Label 1305: @96662
     /*   96662 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(98386),
     /*   96667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   96670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   96673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96677 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(96766), // Rule ID 51624 //
     /*   96682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96725 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96764 */     GIR_RootConstrainSelectedInstOperands,
     /*   96765 */     // GIR_Coverage, 51624,
     /*   96765 */     GIR_EraseRootFromParent_Done,
     /*   96766 */   // Label 1522: @96766
     /*   96766 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(96855), // Rule ID 51625 //
     /*   96771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96805 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96814 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96853 */     GIR_RootConstrainSelectedInstOperands,
     /*   96854 */     // GIR_Coverage, 51625,
     /*   96854 */     GIR_EraseRootFromParent_Done,
     /*   96855 */   // Label 1523: @96855
     /*   96855 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(96944), // Rule ID 70398 //
     /*   96860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96894 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96903 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   96920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96942 */     GIR_RootConstrainSelectedInstOperands,
     /*   96943 */     // GIR_Coverage, 70398,
     /*   96943 */     GIR_EraseRootFromParent_Done,
     /*   96944 */   // Label 1524: @96944
     /*   96944 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97033), // Rule ID 70399 //
     /*   96949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96983 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96992 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97031 */     GIR_RootConstrainSelectedInstOperands,
     /*   97032 */     // GIR_Coverage, 70399,
     /*   97032 */     GIR_EraseRootFromParent_Done,
     /*   97033 */   // Label 1525: @97033
     /*   97033 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97122), // Rule ID 70278 //
     /*   97038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97053 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97081 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97120 */     GIR_RootConstrainSelectedInstOperands,
     /*   97121 */     // GIR_Coverage, 70278,
     /*   97121 */     GIR_EraseRootFromParent_Done,
     /*   97122 */   // Label 1526: @97122
     /*   97122 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97211), // Rule ID 70279 //
     /*   97127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97161 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97170 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97209 */     GIR_RootConstrainSelectedInstOperands,
     /*   97210 */     // GIR_Coverage, 70279,
     /*   97210 */     GIR_EraseRootFromParent_Done,
     /*   97211 */   // Label 1527: @97211
     /*   97211 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97300), // Rule ID 51804 //
     /*   97216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97250 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97259 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97298 */     GIR_RootConstrainSelectedInstOperands,
     /*   97299 */     // GIR_Coverage, 51804,
     /*   97299 */     GIR_EraseRootFromParent_Done,
     /*   97300 */   // Label 1528: @97300
     /*   97300 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(97389), // Rule ID 51805 //
     /*   97305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97320 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97339 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97348 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97387 */     GIR_RootConstrainSelectedInstOperands,
     /*   97388 */     // GIR_Coverage, 51805,
     /*   97388 */     GIR_EraseRootFromParent_Done,
     /*   97389 */   // Label 1529: @97389
     /*   97389 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97478), // Rule ID 51504 //
     /*   97394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97409 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97428 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97437 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97476 */     GIR_RootConstrainSelectedInstOperands,
     /*   97477 */     // GIR_Coverage, 51504,
     /*   97477 */     GIR_EraseRootFromParent_Done,
     /*   97478 */   // Label 1530: @97478
     /*   97478 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(97567), // Rule ID 51505 //
     /*   97483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97517 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97526 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97565 */     GIR_RootConstrainSelectedInstOperands,
     /*   97566 */     // GIR_Coverage, 51505,
     /*   97566 */     GIR_EraseRootFromParent_Done,
     /*   97567 */   // Label 1531: @97567
     /*   97567 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(97656), // Rule ID 51744 //
     /*   97572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97606 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97615 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 51744,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1532: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(97745), // Rule ID 51745 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97695 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97704 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97743 */     GIR_RootConstrainSelectedInstOperands,
     /*   97744 */     // GIR_Coverage, 51745,
     /*   97744 */     GIR_EraseRootFromParent_Done,
     /*   97745 */   // Label 1533: @97745
     /*   97745 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(97834), // Rule ID 51684 //
     /*   97750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97784 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97793 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97832 */     GIR_RootConstrainSelectedInstOperands,
     /*   97833 */     // GIR_Coverage, 51684,
     /*   97833 */     GIR_EraseRootFromParent_Done,
     /*   97834 */   // Label 1534: @97834
     /*   97834 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(97923), // Rule ID 51685 //
     /*   97839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97873 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97882 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97921 */     GIR_RootConstrainSelectedInstOperands,
     /*   97922 */     // GIR_Coverage, 51685,
     /*   97922 */     GIR_EraseRootFromParent_Done,
     /*   97923 */   // Label 1535: @97923
     /*   97923 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98012), // Rule ID 70338 //
     /*   97928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97962 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97971 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98010 */     GIR_RootConstrainSelectedInstOperands,
     /*   98011 */     // GIR_Coverage, 70338,
     /*   98011 */     GIR_EraseRootFromParent_Done,
     /*   98012 */   // Label 1536: @98012
     /*   98012 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98101), // Rule ID 70339 //
     /*   98017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98051 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98060 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   98077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98099 */     GIR_RootConstrainSelectedInstOperands,
     /*   98100 */     // GIR_Coverage, 70339,
     /*   98100 */     GIR_EraseRootFromParent_Done,
     /*   98101 */   // Label 1537: @98101
     /*   98101 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98190), // Rule ID 51564 //
     /*   98106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98149 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98188 */     GIR_RootConstrainSelectedInstOperands,
     /*   98189 */     // GIR_Coverage, 51564,
     /*   98189 */     GIR_EraseRootFromParent_Done,
     /*   98190 */   // Label 1538: @98190
     /*   98190 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98279), // Rule ID 51565 //
     /*   98195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98238 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98277 */     GIR_RootConstrainSelectedInstOperands,
     /*   98278 */     // GIR_Coverage, 51565,
     /*   98278 */     GIR_EraseRootFromParent_Done,
     /*   98279 */   // Label 1539: @98279
     /*   98279 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98332), // Rule ID 50898 //
     /*   98284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98295 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98330 */     GIR_RootConstrainSelectedInstOperands,
     /*   98331 */     // GIR_Coverage, 50898,
     /*   98331 */     GIR_EraseRootFromParent_Done,
     /*   98332 */   // Label 1540: @98332
     /*   98332 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98385), // Rule ID 50899 //
     /*   98337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98348 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98383 */     GIR_RootConstrainSelectedInstOperands,
     /*   98384 */     // GIR_Coverage, 50899,
     /*   98384 */     GIR_EraseRootFromParent_Done,
     /*   98385 */   // Label 1541: @98385
     /*   98385 */   GIM_Reject,
     /*   98386 */ // Label 1521: @98386
     /*   98386 */ GIM_Reject,
     /*   98387 */ // Label 1306: @98387
     /*   98387 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(100111),
     /*   98392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   98395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   98398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   98402 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(98491), // Rule ID 51648 //
     /*   98407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98450 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98489 */     GIR_RootConstrainSelectedInstOperands,
     /*   98490 */     // GIR_Coverage, 51648,
     /*   98490 */     GIR_EraseRootFromParent_Done,
     /*   98491 */   // Label 1543: @98491
     /*   98491 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(98580), // Rule ID 51649 //
     /*   98496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98539 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98578 */     GIR_RootConstrainSelectedInstOperands,
     /*   98579 */     // GIR_Coverage, 51649,
     /*   98579 */     GIR_EraseRootFromParent_Done,
     /*   98580 */   // Label 1544: @98580
     /*   98580 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(98669), // Rule ID 70422 //
     /*   98585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98628 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98667 */     GIR_RootConstrainSelectedInstOperands,
     /*   98668 */     // GIR_Coverage, 70422,
     /*   98668 */     GIR_EraseRootFromParent_Done,
     /*   98669 */   // Label 1545: @98669
     /*   98669 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(98758), // Rule ID 70423 //
     /*   98674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98717 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98756 */     GIR_RootConstrainSelectedInstOperands,
     /*   98757 */     // GIR_Coverage, 70423,
     /*   98757 */     GIR_EraseRootFromParent_Done,
     /*   98758 */   // Label 1546: @98758
     /*   98758 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(98847), // Rule ID 70302 //
     /*   98763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98797 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98806 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98845 */     GIR_RootConstrainSelectedInstOperands,
     /*   98846 */     // GIR_Coverage, 70302,
     /*   98846 */     GIR_EraseRootFromParent_Done,
     /*   98847 */   // Label 1547: @98847
     /*   98847 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(98936), // Rule ID 70303 //
     /*   98852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98886 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98895 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98934 */     GIR_RootConstrainSelectedInstOperands,
     /*   98935 */     // GIR_Coverage, 70303,
     /*   98935 */     GIR_EraseRootFromParent_Done,
     /*   98936 */   // Label 1548: @98936
     /*   98936 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99025), // Rule ID 51828 //
     /*   98941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98984 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99023 */     GIR_RootConstrainSelectedInstOperands,
     /*   99024 */     // GIR_Coverage, 51828,
     /*   99024 */     GIR_EraseRootFromParent_Done,
     /*   99025 */   // Label 1549: @99025
     /*   99025 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99114), // Rule ID 51829 //
     /*   99030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99073 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99112 */     GIR_RootConstrainSelectedInstOperands,
     /*   99113 */     // GIR_Coverage, 51829,
     /*   99113 */     GIR_EraseRootFromParent_Done,
     /*   99114 */   // Label 1550: @99114
     /*   99114 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99203), // Rule ID 51528 //
     /*   99119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99162 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99201 */     GIR_RootConstrainSelectedInstOperands,
     /*   99202 */     // GIR_Coverage, 51528,
     /*   99202 */     GIR_EraseRootFromParent_Done,
     /*   99203 */   // Label 1551: @99203
     /*   99203 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99292), // Rule ID 51529 //
     /*   99208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99251 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99290 */     GIR_RootConstrainSelectedInstOperands,
     /*   99291 */     // GIR_Coverage, 51529,
     /*   99291 */     GIR_EraseRootFromParent_Done,
     /*   99292 */   // Label 1552: @99292
     /*   99292 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99381), // Rule ID 51768 //
     /*   99297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99340 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99379 */     GIR_RootConstrainSelectedInstOperands,
     /*   99380 */     // GIR_Coverage, 51768,
     /*   99380 */     GIR_EraseRootFromParent_Done,
     /*   99381 */   // Label 1553: @99381
     /*   99381 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99470), // Rule ID 51769 //
     /*   99386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99429 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99468 */     GIR_RootConstrainSelectedInstOperands,
     /*   99469 */     // GIR_Coverage, 51769,
     /*   99469 */     GIR_EraseRootFromParent_Done,
     /*   99470 */   // Label 1554: @99470
     /*   99470 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(99559), // Rule ID 51708 //
     /*   99475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99518 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99557 */     GIR_RootConstrainSelectedInstOperands,
     /*   99558 */     // GIR_Coverage, 51708,
     /*   99558 */     GIR_EraseRootFromParent_Done,
     /*   99559 */   // Label 1555: @99559
     /*   99559 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(99648), // Rule ID 51709 //
     /*   99564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99607 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99646 */     GIR_RootConstrainSelectedInstOperands,
     /*   99647 */     // GIR_Coverage, 51709,
     /*   99647 */     GIR_EraseRootFromParent_Done,
     /*   99648 */   // Label 1556: @99648
     /*   99648 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(99737), // Rule ID 70362 //
     /*   99653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99687 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99696 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99735 */     GIR_RootConstrainSelectedInstOperands,
     /*   99736 */     // GIR_Coverage, 70362,
     /*   99736 */     GIR_EraseRootFromParent_Done,
     /*   99737 */   // Label 1557: @99737
     /*   99737 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(99826), // Rule ID 70363 //
     /*   99742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99785 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99824 */     GIR_RootConstrainSelectedInstOperands,
     /*   99825 */     // GIR_Coverage, 70363,
     /*   99825 */     GIR_EraseRootFromParent_Done,
     /*   99826 */   // Label 1558: @99826
     /*   99826 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(99915), // Rule ID 51588 //
     /*   99831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99865 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99874 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99913 */     GIR_RootConstrainSelectedInstOperands,
     /*   99914 */     // GIR_Coverage, 51588,
     /*   99914 */     GIR_EraseRootFromParent_Done,
     /*   99915 */   // Label 1559: @99915
     /*   99915 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100004), // Rule ID 51589 //
     /*   99920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99963 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100002 */     GIR_RootConstrainSelectedInstOperands,
     /*  100003 */     // GIR_Coverage, 51589,
     /*  100003 */     GIR_EraseRootFromParent_Done,
     /*  100004 */   // Label 1560: @100004
     /*  100004 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100057), // Rule ID 50914 //
     /*  100009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100020 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100055 */     GIR_RootConstrainSelectedInstOperands,
     /*  100056 */     // GIR_Coverage, 50914,
     /*  100056 */     GIR_EraseRootFromParent_Done,
     /*  100057 */   // Label 1561: @100057
     /*  100057 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100110), // Rule ID 50915 //
     /*  100062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100073 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100108 */     GIR_RootConstrainSelectedInstOperands,
     /*  100109 */     // GIR_Coverage, 50915,
     /*  100109 */     GIR_EraseRootFromParent_Done,
     /*  100110 */   // Label 1562: @100110
     /*  100110 */   GIM_Reject,
     /*  100111 */ // Label 1542: @100111
     /*  100111 */ GIM_Reject,
     /*  100112 */ // Label 1307: @100112
     /*  100112 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(101836),
     /*  100117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  100120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  100123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  100127 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100216), // Rule ID 51668 //
     /*  100132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100175 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100214 */     GIR_RootConstrainSelectedInstOperands,
     /*  100215 */     // GIR_Coverage, 51668,
     /*  100215 */     GIR_EraseRootFromParent_Done,
     /*  100216 */   // Label 1564: @100216
     /*  100216 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100305), // Rule ID 51669 //
     /*  100221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100264 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100303 */     GIR_RootConstrainSelectedInstOperands,
     /*  100304 */     // GIR_Coverage, 51669,
     /*  100304 */     GIR_EraseRootFromParent_Done,
     /*  100305 */   // Label 1565: @100305
     /*  100305 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100394), // Rule ID 70442 //
     /*  100310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100325 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100353 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100392 */     GIR_RootConstrainSelectedInstOperands,
     /*  100393 */     // GIR_Coverage, 70442,
     /*  100393 */     GIR_EraseRootFromParent_Done,
     /*  100394 */   // Label 1566: @100394
     /*  100394 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(100483), // Rule ID 70443 //
     /*  100399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100414 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100433 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100442 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100481 */     GIR_RootConstrainSelectedInstOperands,
     /*  100482 */     // GIR_Coverage, 70443,
     /*  100482 */     GIR_EraseRootFromParent_Done,
     /*  100483 */   // Label 1567: @100483
     /*  100483 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(100572), // Rule ID 70322 //
     /*  100488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100531 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100570 */     GIR_RootConstrainSelectedInstOperands,
     /*  100571 */     // GIR_Coverage, 70322,
     /*  100571 */     GIR_EraseRootFromParent_Done,
     /*  100572 */   // Label 1568: @100572
     /*  100572 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(100661), // Rule ID 70323 //
     /*  100577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100620 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100659 */     GIR_RootConstrainSelectedInstOperands,
     /*  100660 */     // GIR_Coverage, 70323,
     /*  100660 */     GIR_EraseRootFromParent_Done,
     /*  100661 */   // Label 1569: @100661
     /*  100661 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(100750), // Rule ID 51848 //
     /*  100666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100709 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100748 */     GIR_RootConstrainSelectedInstOperands,
     /*  100749 */     // GIR_Coverage, 51848,
     /*  100749 */     GIR_EraseRootFromParent_Done,
     /*  100750 */   // Label 1570: @100750
     /*  100750 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(100839), // Rule ID 51849 //
     /*  100755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100798 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100837 */     GIR_RootConstrainSelectedInstOperands,
     /*  100838 */     // GIR_Coverage, 51849,
     /*  100838 */     GIR_EraseRootFromParent_Done,
     /*  100839 */   // Label 1571: @100839
     /*  100839 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(100928), // Rule ID 51548 //
     /*  100844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100887 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100926 */     GIR_RootConstrainSelectedInstOperands,
     /*  100927 */     // GIR_Coverage, 51548,
     /*  100927 */     GIR_EraseRootFromParent_Done,
     /*  100928 */   // Label 1572: @100928
     /*  100928 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101017), // Rule ID 51549 //
     /*  100933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100976 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101015 */     GIR_RootConstrainSelectedInstOperands,
     /*  101016 */     // GIR_Coverage, 51549,
     /*  101016 */     GIR_EraseRootFromParent_Done,
     /*  101017 */   // Label 1573: @101017
     /*  101017 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101106), // Rule ID 51788 //
     /*  101022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101065 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101104 */     GIR_RootConstrainSelectedInstOperands,
     /*  101105 */     // GIR_Coverage, 51788,
     /*  101105 */     GIR_EraseRootFromParent_Done,
     /*  101106 */   // Label 1574: @101106
     /*  101106 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101195), // Rule ID 51789 //
     /*  101111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101154 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101193 */     GIR_RootConstrainSelectedInstOperands,
     /*  101194 */     // GIR_Coverage, 51789,
     /*  101194 */     GIR_EraseRootFromParent_Done,
     /*  101195 */   // Label 1575: @101195
     /*  101195 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101284), // Rule ID 51728 //
     /*  101200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101243 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101282 */     GIR_RootConstrainSelectedInstOperands,
     /*  101283 */     // GIR_Coverage, 51728,
     /*  101283 */     GIR_EraseRootFromParent_Done,
     /*  101284 */   // Label 1576: @101284
     /*  101284 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101373), // Rule ID 51729 //
     /*  101289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101332 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101371 */     GIR_RootConstrainSelectedInstOperands,
     /*  101372 */     // GIR_Coverage, 51729,
     /*  101372 */     GIR_EraseRootFromParent_Done,
     /*  101373 */   // Label 1577: @101373
     /*  101373 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101462), // Rule ID 70382 //
     /*  101378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101393 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101421 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101460 */     GIR_RootConstrainSelectedInstOperands,
     /*  101461 */     // GIR_Coverage, 70382,
     /*  101461 */     GIR_EraseRootFromParent_Done,
     /*  101462 */   // Label 1578: @101462
     /*  101462 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101551), // Rule ID 70383 //
     /*  101467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101510 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101549 */     GIR_RootConstrainSelectedInstOperands,
     /*  101550 */     // GIR_Coverage, 70383,
     /*  101550 */     GIR_EraseRootFromParent_Done,
     /*  101551 */   // Label 1579: @101551
     /*  101551 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101640), // Rule ID 51608 //
     /*  101556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101599 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101638 */     GIR_RootConstrainSelectedInstOperands,
     /*  101639 */     // GIR_Coverage, 51608,
     /*  101639 */     GIR_EraseRootFromParent_Done,
     /*  101640 */   // Label 1580: @101640
     /*  101640 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(101729), // Rule ID 51609 //
     /*  101645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101688 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101727 */     GIR_RootConstrainSelectedInstOperands,
     /*  101728 */     // GIR_Coverage, 51609,
     /*  101728 */     GIR_EraseRootFromParent_Done,
     /*  101729 */   // Label 1581: @101729
     /*  101729 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(101782), // Rule ID 50930 //
     /*  101734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  101737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101745 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  101745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101780 */     GIR_RootConstrainSelectedInstOperands,
     /*  101781 */     // GIR_Coverage, 50930,
     /*  101781 */     GIR_EraseRootFromParent_Done,
     /*  101782 */   // Label 1582: @101782
     /*  101782 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(101835), // Rule ID 50931 //
     /*  101787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  101790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101798 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  101798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101833 */     GIR_RootConstrainSelectedInstOperands,
     /*  101834 */     // GIR_Coverage, 50931,
     /*  101834 */     GIR_EraseRootFromParent_Done,
     /*  101835 */   // Label 1583: @101835
     /*  101835 */   GIM_Reject,
     /*  101836 */ // Label 1563: @101836
     /*  101836 */ GIM_Reject,
     /*  101837 */ // Label 1308: @101837
     /*  101837 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(101951),
     /*  101842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  101848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101860 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(101905), // Rule ID 50886 //
     /*  101865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101868 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101903 */     GIR_RootConstrainSelectedInstOperands,
     /*  101904 */     // GIR_Coverage, 50886,
     /*  101904 */     GIR_EraseRootFromParent_Done,
     /*  101905 */   // Label 1585: @101905
     /*  101905 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(101950), // Rule ID 50887 //
     /*  101910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101913 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101948 */     GIR_RootConstrainSelectedInstOperands,
     /*  101949 */     // GIR_Coverage, 50887,
     /*  101949 */     GIR_EraseRootFromParent_Done,
     /*  101950 */   // Label 1586: @101950
     /*  101950 */   GIM_Reject,
     /*  101951 */ // Label 1584: @101951
     /*  101951 */ GIM_Reject,
     /*  101952 */ // Label 1309: @101952
     /*  101952 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(103676),
     /*  101957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  101963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102056), // Rule ID 51628 //
     /*  101972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102006 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102015 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102054 */     GIR_RootConstrainSelectedInstOperands,
     /*  102055 */     // GIR_Coverage, 51628,
     /*  102055 */     GIR_EraseRootFromParent_Done,
     /*  102056 */   // Label 1588: @102056
     /*  102056 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102145), // Rule ID 51629 //
     /*  102061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102095 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102104 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102143 */     GIR_RootConstrainSelectedInstOperands,
     /*  102144 */     // GIR_Coverage, 51629,
     /*  102144 */     GIR_EraseRootFromParent_Done,
     /*  102145 */   // Label 1589: @102145
     /*  102145 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102234), // Rule ID 70402 //
     /*  102150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102193 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102232 */     GIR_RootConstrainSelectedInstOperands,
     /*  102233 */     // GIR_Coverage, 70402,
     /*  102233 */     GIR_EraseRootFromParent_Done,
     /*  102234 */   // Label 1590: @102234
     /*  102234 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102323), // Rule ID 70403 //
     /*  102239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102282 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102321 */     GIR_RootConstrainSelectedInstOperands,
     /*  102322 */     // GIR_Coverage, 70403,
     /*  102322 */     GIR_EraseRootFromParent_Done,
     /*  102323 */   // Label 1591: @102323
     /*  102323 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(102412), // Rule ID 70282 //
     /*  102328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102371 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102410 */     GIR_RootConstrainSelectedInstOperands,
     /*  102411 */     // GIR_Coverage, 70282,
     /*  102411 */     GIR_EraseRootFromParent_Done,
     /*  102412 */   // Label 1592: @102412
     /*  102412 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(102501), // Rule ID 70283 //
     /*  102417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102460 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102499 */     GIR_RootConstrainSelectedInstOperands,
     /*  102500 */     // GIR_Coverage, 70283,
     /*  102500 */     GIR_EraseRootFromParent_Done,
     /*  102501 */   // Label 1593: @102501
     /*  102501 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(102590), // Rule ID 51808 //
     /*  102506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102549 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102588 */     GIR_RootConstrainSelectedInstOperands,
     /*  102589 */     // GIR_Coverage, 51808,
     /*  102589 */     GIR_EraseRootFromParent_Done,
     /*  102590 */   // Label 1594: @102590
     /*  102590 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(102679), // Rule ID 51809 //
     /*  102595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102638 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102677 */     GIR_RootConstrainSelectedInstOperands,
     /*  102678 */     // GIR_Coverage, 51809,
     /*  102678 */     GIR_EraseRootFromParent_Done,
     /*  102679 */   // Label 1595: @102679
     /*  102679 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(102768), // Rule ID 51508 //
     /*  102684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102727 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102766 */     GIR_RootConstrainSelectedInstOperands,
     /*  102767 */     // GIR_Coverage, 51508,
     /*  102767 */     GIR_EraseRootFromParent_Done,
     /*  102768 */   // Label 1596: @102768
     /*  102768 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(102857), // Rule ID 51509 //
     /*  102773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102816 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102855 */     GIR_RootConstrainSelectedInstOperands,
     /*  102856 */     // GIR_Coverage, 51509,
     /*  102856 */     GIR_EraseRootFromParent_Done,
     /*  102857 */   // Label 1597: @102857
     /*  102857 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(102946), // Rule ID 51748 //
     /*  102862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102905 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102944 */     GIR_RootConstrainSelectedInstOperands,
     /*  102945 */     // GIR_Coverage, 51748,
     /*  102945 */     GIR_EraseRootFromParent_Done,
     /*  102946 */   // Label 1598: @102946
     /*  102946 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(103035), // Rule ID 51749 //
     /*  102951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102994 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103033 */     GIR_RootConstrainSelectedInstOperands,
     /*  103034 */     // GIR_Coverage, 51749,
     /*  103034 */     GIR_EraseRootFromParent_Done,
     /*  103035 */   // Label 1599: @103035
     /*  103035 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(103124), // Rule ID 51688 //
     /*  103040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103074 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103083 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103122 */     GIR_RootConstrainSelectedInstOperands,
     /*  103123 */     // GIR_Coverage, 51688,
     /*  103123 */     GIR_EraseRootFromParent_Done,
     /*  103124 */   // Label 1600: @103124
     /*  103124 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(103213), // Rule ID 51689 //
     /*  103129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103163 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103172 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103211 */     GIR_RootConstrainSelectedInstOperands,
     /*  103212 */     // GIR_Coverage, 51689,
     /*  103212 */     GIR_EraseRootFromParent_Done,
     /*  103213 */   // Label 1601: @103213
     /*  103213 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(103302), // Rule ID 70342 //
     /*  103218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103261 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103300 */     GIR_RootConstrainSelectedInstOperands,
     /*  103301 */     // GIR_Coverage, 70342,
     /*  103301 */     GIR_EraseRootFromParent_Done,
     /*  103302 */   // Label 1602: @103302
     /*  103302 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(103391), // Rule ID 70343 //
     /*  103307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103322 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103350 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103389 */     GIR_RootConstrainSelectedInstOperands,
     /*  103390 */     // GIR_Coverage, 70343,
     /*  103390 */     GIR_EraseRootFromParent_Done,
     /*  103391 */   // Label 1603: @103391
     /*  103391 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(103480), // Rule ID 51568 //
     /*  103396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103430 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103439 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103478 */     GIR_RootConstrainSelectedInstOperands,
     /*  103479 */     // GIR_Coverage, 51568,
     /*  103479 */     GIR_EraseRootFromParent_Done,
     /*  103480 */   // Label 1604: @103480
     /*  103480 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(103569), // Rule ID 51569 //
     /*  103485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103519 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103528 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103567 */     GIR_RootConstrainSelectedInstOperands,
     /*  103568 */     // GIR_Coverage, 51569,
     /*  103568 */     GIR_EraseRootFromParent_Done,
     /*  103569 */   // Label 1605: @103569
     /*  103569 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(103622), // Rule ID 50902 //
     /*  103574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103585 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103620 */     GIR_RootConstrainSelectedInstOperands,
     /*  103621 */     // GIR_Coverage, 50902,
     /*  103621 */     GIR_EraseRootFromParent_Done,
     /*  103622 */   // Label 1606: @103622
     /*  103622 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(103675), // Rule ID 50903 //
     /*  103627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103638 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103673 */     GIR_RootConstrainSelectedInstOperands,
     /*  103674 */     // GIR_Coverage, 50903,
     /*  103674 */     GIR_EraseRootFromParent_Done,
     /*  103675 */   // Label 1607: @103675
     /*  103675 */   GIM_Reject,
     /*  103676 */ // Label 1587: @103676
     /*  103676 */ GIM_Reject,
     /*  103677 */ // Label 1310: @103677
     /*  103677 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(105401),
     /*  103682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  103685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  103688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103692 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(103781), // Rule ID 51652 //
     /*  103697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103731 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103740 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103779 */     GIR_RootConstrainSelectedInstOperands,
     /*  103780 */     // GIR_Coverage, 51652,
     /*  103780 */     GIR_EraseRootFromParent_Done,
     /*  103781 */   // Label 1609: @103781
     /*  103781 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(103870), // Rule ID 51653 //
     /*  103786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103829 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103868 */     GIR_RootConstrainSelectedInstOperands,
     /*  103869 */     // GIR_Coverage, 51653,
     /*  103869 */     GIR_EraseRootFromParent_Done,
     /*  103870 */   // Label 1610: @103870
     /*  103870 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(103959), // Rule ID 70426 //
     /*  103875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103918 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  103935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103957 */     GIR_RootConstrainSelectedInstOperands,
     /*  103958 */     // GIR_Coverage, 70426,
     /*  103958 */     GIR_EraseRootFromParent_Done,
     /*  103959 */   // Label 1611: @103959
     /*  103959 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(104048), // Rule ID 70427 //
     /*  103964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104007 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104046 */     GIR_RootConstrainSelectedInstOperands,
     /*  104047 */     // GIR_Coverage, 70427,
     /*  104047 */     GIR_EraseRootFromParent_Done,
     /*  104048 */   // Label 1612: @104048
     /*  104048 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(104137), // Rule ID 70306 //
     /*  104053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104096 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104135 */     GIR_RootConstrainSelectedInstOperands,
     /*  104136 */     // GIR_Coverage, 70306,
     /*  104136 */     GIR_EraseRootFromParent_Done,
     /*  104137 */   // Label 1613: @104137
     /*  104137 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(104226), // Rule ID 70307 //
     /*  104142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104185 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104224 */     GIR_RootConstrainSelectedInstOperands,
     /*  104225 */     // GIR_Coverage, 70307,
     /*  104225 */     GIR_EraseRootFromParent_Done,
     /*  104226 */   // Label 1614: @104226
     /*  104226 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(104315), // Rule ID 51832 //
     /*  104231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104274 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104313 */     GIR_RootConstrainSelectedInstOperands,
     /*  104314 */     // GIR_Coverage, 51832,
     /*  104314 */     GIR_EraseRootFromParent_Done,
     /*  104315 */   // Label 1615: @104315
     /*  104315 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(104404), // Rule ID 51833 //
     /*  104320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104363 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104402 */     GIR_RootConstrainSelectedInstOperands,
     /*  104403 */     // GIR_Coverage, 51833,
     /*  104403 */     GIR_EraseRootFromParent_Done,
     /*  104404 */   // Label 1616: @104404
     /*  104404 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(104493), // Rule ID 51532 //
     /*  104409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104452 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104491 */     GIR_RootConstrainSelectedInstOperands,
     /*  104492 */     // GIR_Coverage, 51532,
     /*  104492 */     GIR_EraseRootFromParent_Done,
     /*  104493 */   // Label 1617: @104493
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(104582), // Rule ID 51533 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104541 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104580 */     GIR_RootConstrainSelectedInstOperands,
     /*  104581 */     // GIR_Coverage, 51533,
     /*  104581 */     GIR_EraseRootFromParent_Done,
     /*  104582 */   // Label 1618: @104582
     /*  104582 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(104671), // Rule ID 51772 //
     /*  104587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104630 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104669 */     GIR_RootConstrainSelectedInstOperands,
     /*  104670 */     // GIR_Coverage, 51772,
     /*  104670 */     GIR_EraseRootFromParent_Done,
     /*  104671 */   // Label 1619: @104671
     /*  104671 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(104760), // Rule ID 51773 //
     /*  104676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104710 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104719 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104758 */     GIR_RootConstrainSelectedInstOperands,
     /*  104759 */     // GIR_Coverage, 51773,
     /*  104759 */     GIR_EraseRootFromParent_Done,
     /*  104760 */   // Label 1620: @104760
     /*  104760 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(104849), // Rule ID 51712 //
     /*  104765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104799 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104808 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104847 */     GIR_RootConstrainSelectedInstOperands,
     /*  104848 */     // GIR_Coverage, 51712,
     /*  104848 */     GIR_EraseRootFromParent_Done,
     /*  104849 */   // Label 1621: @104849
     /*  104849 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(104938), // Rule ID 51713 //
     /*  104854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104869 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104897 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104936 */     GIR_RootConstrainSelectedInstOperands,
     /*  104937 */     // GIR_Coverage, 51713,
     /*  104937 */     GIR_EraseRootFromParent_Done,
     /*  104938 */   // Label 1622: @104938
     /*  104938 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(105027), // Rule ID 70366 //
     /*  104943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104977 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104986 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105025 */     GIR_RootConstrainSelectedInstOperands,
     /*  105026 */     // GIR_Coverage, 70366,
     /*  105026 */     GIR_EraseRootFromParent_Done,
     /*  105027 */   // Label 1623: @105027
     /*  105027 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(105116), // Rule ID 70367 //
     /*  105032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105066 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105075 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105114 */     GIR_RootConstrainSelectedInstOperands,
     /*  105115 */     // GIR_Coverage, 70367,
     /*  105115 */     GIR_EraseRootFromParent_Done,
     /*  105116 */   // Label 1624: @105116
     /*  105116 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(105205), // Rule ID 51592 //
     /*  105121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105155 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105164 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105203 */     GIR_RootConstrainSelectedInstOperands,
     /*  105204 */     // GIR_Coverage, 51592,
     /*  105204 */     GIR_EraseRootFromParent_Done,
     /*  105205 */   // Label 1625: @105205
     /*  105205 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(105294), // Rule ID 51593 //
     /*  105210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105253 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105292 */     GIR_RootConstrainSelectedInstOperands,
     /*  105293 */     // GIR_Coverage, 51593,
     /*  105293 */     GIR_EraseRootFromParent_Done,
     /*  105294 */   // Label 1626: @105294
     /*  105294 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(105347), // Rule ID 50918 //
     /*  105299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105310 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105345 */     GIR_RootConstrainSelectedInstOperands,
     /*  105346 */     // GIR_Coverage, 50918,
     /*  105346 */     GIR_EraseRootFromParent_Done,
     /*  105347 */   // Label 1627: @105347
     /*  105347 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(105400), // Rule ID 50919 //
     /*  105352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105363 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105398 */     GIR_RootConstrainSelectedInstOperands,
     /*  105399 */     // GIR_Coverage, 50919,
     /*  105399 */     GIR_EraseRootFromParent_Done,
     /*  105400 */   // Label 1628: @105400
     /*  105400 */   GIM_Reject,
     /*  105401 */ // Label 1608: @105401
     /*  105401 */ GIM_Reject,
     /*  105402 */ // Label 1311: @105402
     /*  105402 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(105516),
     /*  105407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105425 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(105470), // Rule ID 50890 //
     /*  105430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105433 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105468 */     GIR_RootConstrainSelectedInstOperands,
     /*  105469 */     // GIR_Coverage, 50890,
     /*  105469 */     GIR_EraseRootFromParent_Done,
     /*  105470 */   // Label 1630: @105470
     /*  105470 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(105515), // Rule ID 50891 //
     /*  105475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105478 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105513 */     GIR_RootConstrainSelectedInstOperands,
     /*  105514 */     // GIR_Coverage, 50891,
     /*  105514 */     GIR_EraseRootFromParent_Done,
     /*  105515 */   // Label 1631: @105515
     /*  105515 */   GIM_Reject,
     /*  105516 */ // Label 1629: @105516
     /*  105516 */ GIM_Reject,
     /*  105517 */ // Label 1312: @105517
     /*  105517 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(107241),
     /*  105522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105532 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(105621), // Rule ID 51632 //
     /*  105537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105580 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105619 */     GIR_RootConstrainSelectedInstOperands,
     /*  105620 */     // GIR_Coverage, 51632,
     /*  105620 */     GIR_EraseRootFromParent_Done,
     /*  105621 */   // Label 1633: @105621
     /*  105621 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(105710), // Rule ID 51633 //
     /*  105626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105669 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105708 */     GIR_RootConstrainSelectedInstOperands,
     /*  105709 */     // GIR_Coverage, 51633,
     /*  105709 */     GIR_EraseRootFromParent_Done,
     /*  105710 */   // Label 1634: @105710
     /*  105710 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(105799), // Rule ID 70406 //
     /*  105715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105758 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105797 */     GIR_RootConstrainSelectedInstOperands,
     /*  105798 */     // GIR_Coverage, 70406,
     /*  105798 */     GIR_EraseRootFromParent_Done,
     /*  105799 */   // Label 1635: @105799
     /*  105799 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(105888), // Rule ID 70407 //
     /*  105804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105847 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105886 */     GIR_RootConstrainSelectedInstOperands,
     /*  105887 */     // GIR_Coverage, 70407,
     /*  105887 */     GIR_EraseRootFromParent_Done,
     /*  105888 */   // Label 1636: @105888
     /*  105888 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(105977), // Rule ID 70286 //
     /*  105893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105936 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105975 */     GIR_RootConstrainSelectedInstOperands,
     /*  105976 */     // GIR_Coverage, 70286,
     /*  105976 */     GIR_EraseRootFromParent_Done,
     /*  105977 */   // Label 1637: @105977
     /*  105977 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(106066), // Rule ID 70287 //
     /*  105982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106025 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106064 */     GIR_RootConstrainSelectedInstOperands,
     /*  106065 */     // GIR_Coverage, 70287,
     /*  106065 */     GIR_EraseRootFromParent_Done,
     /*  106066 */   // Label 1638: @106066
     /*  106066 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(106155), // Rule ID 51812 //
     /*  106071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106114 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106153 */     GIR_RootConstrainSelectedInstOperands,
     /*  106154 */     // GIR_Coverage, 51812,
     /*  106154 */     GIR_EraseRootFromParent_Done,
     /*  106155 */   // Label 1639: @106155
     /*  106155 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(106244), // Rule ID 51813 //
     /*  106160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106203 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106242 */     GIR_RootConstrainSelectedInstOperands,
     /*  106243 */     // GIR_Coverage, 51813,
     /*  106243 */     GIR_EraseRootFromParent_Done,
     /*  106244 */   // Label 1640: @106244
     /*  106244 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(106333), // Rule ID 51512 //
     /*  106249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106292 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106331 */     GIR_RootConstrainSelectedInstOperands,
     /*  106332 */     // GIR_Coverage, 51512,
     /*  106332 */     GIR_EraseRootFromParent_Done,
     /*  106333 */   // Label 1641: @106333
     /*  106333 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(106422), // Rule ID 51513 //
     /*  106338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106381 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106420 */     GIR_RootConstrainSelectedInstOperands,
     /*  106421 */     // GIR_Coverage, 51513,
     /*  106421 */     GIR_EraseRootFromParent_Done,
     /*  106422 */   // Label 1642: @106422
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(106511), // Rule ID 51752 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106470 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106509 */     GIR_RootConstrainSelectedInstOperands,
     /*  106510 */     // GIR_Coverage, 51752,
     /*  106510 */     GIR_EraseRootFromParent_Done,
     /*  106511 */   // Label 1643: @106511
     /*  106511 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(106600), // Rule ID 51753 //
     /*  106516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106559 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106598 */     GIR_RootConstrainSelectedInstOperands,
     /*  106599 */     // GIR_Coverage, 51753,
     /*  106599 */     GIR_EraseRootFromParent_Done,
     /*  106600 */   // Label 1644: @106600
     /*  106600 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(106689), // Rule ID 51692 //
     /*  106605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106648 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106687 */     GIR_RootConstrainSelectedInstOperands,
     /*  106688 */     // GIR_Coverage, 51692,
     /*  106688 */     GIR_EraseRootFromParent_Done,
     /*  106689 */   // Label 1645: @106689
     /*  106689 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(106778), // Rule ID 51693 //
     /*  106694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106737 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106776 */     GIR_RootConstrainSelectedInstOperands,
     /*  106777 */     // GIR_Coverage, 51693,
     /*  106777 */     GIR_EraseRootFromParent_Done,
     /*  106778 */   // Label 1646: @106778
     /*  106778 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(106867), // Rule ID 70346 //
     /*  106783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106826 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106865 */     GIR_RootConstrainSelectedInstOperands,
     /*  106866 */     // GIR_Coverage, 70346,
     /*  106866 */     GIR_EraseRootFromParent_Done,
     /*  106867 */   // Label 1647: @106867
     /*  106867 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(106956), // Rule ID 70347 //
     /*  106872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106915 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106954 */     GIR_RootConstrainSelectedInstOperands,
     /*  106955 */     // GIR_Coverage, 70347,
     /*  106955 */     GIR_EraseRootFromParent_Done,
     /*  106956 */   // Label 1648: @106956
     /*  106956 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(107045), // Rule ID 51572 //
     /*  106961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107004 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107043 */     GIR_RootConstrainSelectedInstOperands,
     /*  107044 */     // GIR_Coverage, 51572,
     /*  107044 */     GIR_EraseRootFromParent_Done,
     /*  107045 */   // Label 1649: @107045
     /*  107045 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(107134), // Rule ID 51573 //
     /*  107050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107093 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107132 */     GIR_RootConstrainSelectedInstOperands,
     /*  107133 */     // GIR_Coverage, 51573,
     /*  107133 */     GIR_EraseRootFromParent_Done,
     /*  107134 */   // Label 1650: @107134
     /*  107134 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(107187), // Rule ID 50906 //
     /*  107139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107150 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107185 */     GIR_RootConstrainSelectedInstOperands,
     /*  107186 */     // GIR_Coverage, 50906,
     /*  107186 */     GIR_EraseRootFromParent_Done,
     /*  107187 */   // Label 1651: @107187
     /*  107187 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(107240), // Rule ID 50907 //
     /*  107192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107203 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107238 */     GIR_RootConstrainSelectedInstOperands,
     /*  107239 */     // GIR_Coverage, 50907,
     /*  107239 */     GIR_EraseRootFromParent_Done,
     /*  107240 */   // Label 1652: @107240
     /*  107240 */   GIM_Reject,
     /*  107241 */ // Label 1632: @107241
     /*  107241 */ GIM_Reject,
     /*  107242 */ // Label 1313: @107242
     /*  107242 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(107356),
     /*  107247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  107250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  107253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107265 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(107310), // Rule ID 50894 //
     /*  107270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107273 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107308 */     GIR_RootConstrainSelectedInstOperands,
     /*  107309 */     // GIR_Coverage, 50894,
     /*  107309 */     GIR_EraseRootFromParent_Done,
     /*  107310 */   // Label 1654: @107310
     /*  107310 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(107355), // Rule ID 50895 //
     /*  107315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107318 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107353 */     GIR_RootConstrainSelectedInstOperands,
     /*  107354 */     // GIR_Coverage, 50895,
     /*  107354 */     GIR_EraseRootFromParent_Done,
     /*  107355 */   // Label 1655: @107355
     /*  107355 */   GIM_Reject,
     /*  107356 */ // Label 1653: @107356
     /*  107356 */ GIM_Reject,
     /*  107357 */ // Label 1314: @107357
     /*  107357 */ GIM_Reject,
     /*  107358 */ // Label 3: @107358
     /*  107358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1680*/ GIMT_Encode4(110091),
     /*  107369 */ /*GILLT_s32*//*Label 1656*/ GIMT_Encode4(107493),
     /*  107373 */ /*GILLT_s64*//*Label 1657*/ GIMT_Encode4(107527), GIMT_Encode4(0),
     /*  107381 */ /*GILLT_nxv1s8*//*Label 1658*/ GIMT_Encode4(107561),
     /*  107385 */ /*GILLT_nxv1s16*//*Label 1659*/ GIMT_Encode4(107676),
     /*  107389 */ /*GILLT_nxv1s32*//*Label 1660*/ GIMT_Encode4(107791),
     /*  107393 */ /*GILLT_nxv1s64*//*Label 1661*/ GIMT_Encode4(107906), GIMT_Encode4(0),
     /*  107401 */ /*GILLT_nxv2s8*//*Label 1662*/ GIMT_Encode4(108021),
     /*  107405 */ /*GILLT_nxv2s16*//*Label 1663*/ GIMT_Encode4(108136),
     /*  107409 */ /*GILLT_nxv2s32*//*Label 1664*/ GIMT_Encode4(108251),
     /*  107413 */ /*GILLT_nxv2s64*//*Label 1665*/ GIMT_Encode4(108366), GIMT_Encode4(0),
     /*  107421 */ /*GILLT_nxv4s8*//*Label 1666*/ GIMT_Encode4(108481),
     /*  107425 */ /*GILLT_nxv4s16*//*Label 1667*/ GIMT_Encode4(108596),
     /*  107429 */ /*GILLT_nxv4s32*//*Label 1668*/ GIMT_Encode4(108711),
     /*  107433 */ /*GILLT_nxv4s64*//*Label 1669*/ GIMT_Encode4(108826), GIMT_Encode4(0),
     /*  107441 */ /*GILLT_nxv8s8*//*Label 1670*/ GIMT_Encode4(108941),
     /*  107445 */ /*GILLT_nxv8s16*//*Label 1671*/ GIMT_Encode4(109056),
     /*  107449 */ /*GILLT_nxv8s32*//*Label 1672*/ GIMT_Encode4(109171),
     /*  107453 */ /*GILLT_nxv8s64*//*Label 1673*/ GIMT_Encode4(109286), GIMT_Encode4(0),
     /*  107461 */ /*GILLT_nxv16s8*//*Label 1674*/ GIMT_Encode4(109401),
     /*  107465 */ /*GILLT_nxv16s16*//*Label 1675*/ GIMT_Encode4(109516),
     /*  107469 */ /*GILLT_nxv16s32*//*Label 1676*/ GIMT_Encode4(109631), GIMT_Encode4(0),
     /*  107477 */ /*GILLT_nxv32s8*//*Label 1677*/ GIMT_Encode4(109746),
     /*  107481 */ /*GILLT_nxv32s16*//*Label 1678*/ GIMT_Encode4(109861), GIMT_Encode4(0),
     /*  107489 */ /*GILLT_nxv64s8*//*Label 1679*/ GIMT_Encode4(109976),
     /*  107493 */ // Label 1656: @107493
     /*  107493 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(107526), // Rule ID 300 //
     /*  107498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  107501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  107504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107519 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107524 */   GIR_RootConstrainSelectedInstOperands,
     /*  107525 */   // GIR_Coverage, 300,
     /*  107525 */   GIR_Done,
     /*  107526 */ // Label 1681: @107526
     /*  107526 */ GIM_Reject,
     /*  107527 */ // Label 1657: @107527
     /*  107527 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(107560), // Rule ID 299 //
     /*  107532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  107535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  107538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  107541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107553 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107553 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107558 */   GIR_RootConstrainSelectedInstOperands,
     /*  107559 */   // GIR_Coverage, 299,
     /*  107559 */   GIR_Done,
     /*  107560 */ // Label 1682: @107560
     /*  107560 */ GIM_Reject,
     /*  107561 */ // Label 1658: @107561
     /*  107561 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(107675),
     /*  107566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  107569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  107572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107584 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(107629), // Rule ID 51198 //
     /*  107589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107592 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107627 */     GIR_RootConstrainSelectedInstOperands,
     /*  107628 */     // GIR_Coverage, 51198,
     /*  107628 */     GIR_EraseRootFromParent_Done,
     /*  107629 */   // Label 1684: @107629
     /*  107629 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(107674), // Rule ID 51199 //
     /*  107634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107637 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107672 */     GIR_RootConstrainSelectedInstOperands,
     /*  107673 */     // GIR_Coverage, 51199,
     /*  107673 */     GIR_EraseRootFromParent_Done,
     /*  107674 */   // Label 1685: @107674
     /*  107674 */   GIM_Reject,
     /*  107675 */ // Label 1683: @107675
     /*  107675 */ GIM_Reject,
     /*  107676 */ // Label 1659: @107676
     /*  107676 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(107790),
     /*  107681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  107684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  107687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107699 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(107744), // Rule ID 51210 //
     /*  107704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107707 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107742 */     GIR_RootConstrainSelectedInstOperands,
     /*  107743 */     // GIR_Coverage, 51210,
     /*  107743 */     GIR_EraseRootFromParent_Done,
     /*  107744 */   // Label 1687: @107744
     /*  107744 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(107789), // Rule ID 51211 //
     /*  107749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107752 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107787 */     GIR_RootConstrainSelectedInstOperands,
     /*  107788 */     // GIR_Coverage, 51211,
     /*  107788 */     GIR_EraseRootFromParent_Done,
     /*  107789 */   // Label 1688: @107789
     /*  107789 */   GIM_Reject,
     /*  107790 */ // Label 1686: @107790
     /*  107790 */ GIM_Reject,
     /*  107791 */ // Label 1660: @107791
     /*  107791 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(107905),
     /*  107796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  107799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  107802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107814 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(107859), // Rule ID 51218 //
     /*  107819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107822 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107857 */     GIR_RootConstrainSelectedInstOperands,
     /*  107858 */     // GIR_Coverage, 51218,
     /*  107858 */     GIR_EraseRootFromParent_Done,
     /*  107859 */   // Label 1690: @107859
     /*  107859 */   GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(107904), // Rule ID 51219 //
     /*  107864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107867 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107902 */     GIR_RootConstrainSelectedInstOperands,
     /*  107903 */     // GIR_Coverage, 51219,
     /*  107903 */     GIR_EraseRootFromParent_Done,
     /*  107904 */   // Label 1691: @107904
     /*  107904 */   GIM_Reject,
     /*  107905 */ // Label 1689: @107905
     /*  107905 */ GIM_Reject,
     /*  107906 */ // Label 1661: @107906
     /*  107906 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(108020),
     /*  107911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  107914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  107917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107929 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(107974), // Rule ID 51234 //
     /*  107934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107937 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107972 */     GIR_RootConstrainSelectedInstOperands,
     /*  107973 */     // GIR_Coverage, 51234,
     /*  107973 */     GIR_EraseRootFromParent_Done,
     /*  107974 */   // Label 1693: @107974
     /*  107974 */   GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(108019), // Rule ID 51235 //
     /*  107979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107982 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108017 */     GIR_RootConstrainSelectedInstOperands,
     /*  108018 */     // GIR_Coverage, 51235,
     /*  108018 */     GIR_EraseRootFromParent_Done,
     /*  108019 */   // Label 1694: @108019
     /*  108019 */   GIM_Reject,
     /*  108020 */ // Label 1692: @108020
     /*  108020 */ GIM_Reject,
     /*  108021 */ // Label 1662: @108021
     /*  108021 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(108135),
     /*  108026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  108029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  108032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108044 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(108089), // Rule ID 51202 //
     /*  108049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108052 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108087 */     GIR_RootConstrainSelectedInstOperands,
     /*  108088 */     // GIR_Coverage, 51202,
     /*  108088 */     GIR_EraseRootFromParent_Done,
     /*  108089 */   // Label 1696: @108089
     /*  108089 */   GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(108134), // Rule ID 51203 //
     /*  108094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108097 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108132 */     GIR_RootConstrainSelectedInstOperands,
     /*  108133 */     // GIR_Coverage, 51203,
     /*  108133 */     GIR_EraseRootFromParent_Done,
     /*  108134 */   // Label 1697: @108134
     /*  108134 */   GIM_Reject,
     /*  108135 */ // Label 1695: @108135
     /*  108135 */ GIM_Reject,
     /*  108136 */ // Label 1663: @108136
     /*  108136 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(108250),
     /*  108141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  108144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  108147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108159 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(108204), // Rule ID 51214 //
     /*  108164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108167 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108202 */     GIR_RootConstrainSelectedInstOperands,
     /*  108203 */     // GIR_Coverage, 51214,
     /*  108203 */     GIR_EraseRootFromParent_Done,
     /*  108204 */   // Label 1699: @108204
     /*  108204 */   GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(108249), // Rule ID 51215 //
     /*  108209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108212 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108247 */     GIR_RootConstrainSelectedInstOperands,
     /*  108248 */     // GIR_Coverage, 51215,
     /*  108248 */     GIR_EraseRootFromParent_Done,
     /*  108249 */   // Label 1700: @108249
     /*  108249 */   GIM_Reject,
     /*  108250 */ // Label 1698: @108250
     /*  108250 */ GIM_Reject,
     /*  108251 */ // Label 1664: @108251
     /*  108251 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(108365),
     /*  108256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  108259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  108262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108274 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(108319), // Rule ID 51230 //
     /*  108279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108282 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108317 */     GIR_RootConstrainSelectedInstOperands,
     /*  108318 */     // GIR_Coverage, 51230,
     /*  108318 */     GIR_EraseRootFromParent_Done,
     /*  108319 */   // Label 1702: @108319
     /*  108319 */   GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(108364), // Rule ID 51231 //
     /*  108324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108327 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108362 */     GIR_RootConstrainSelectedInstOperands,
     /*  108363 */     // GIR_Coverage, 51231,
     /*  108363 */     GIR_EraseRootFromParent_Done,
     /*  108364 */   // Label 1703: @108364
     /*  108364 */   GIM_Reject,
     /*  108365 */ // Label 1701: @108365
     /*  108365 */ GIM_Reject,
     /*  108366 */ // Label 1665: @108366
     /*  108366 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(108480),
     /*  108371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  108374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  108377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108389 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(108434), // Rule ID 51274 //
     /*  108394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108397 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108432 */     GIR_RootConstrainSelectedInstOperands,
     /*  108433 */     // GIR_Coverage, 51274,
     /*  108433 */     GIR_EraseRootFromParent_Done,
     /*  108434 */   // Label 1705: @108434
     /*  108434 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(108479), // Rule ID 51275 //
     /*  108439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108442 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108477 */     GIR_RootConstrainSelectedInstOperands,
     /*  108478 */     // GIR_Coverage, 51275,
     /*  108478 */     GIR_EraseRootFromParent_Done,
     /*  108479 */   // Label 1706: @108479
     /*  108479 */   GIM_Reject,
     /*  108480 */ // Label 1704: @108480
     /*  108480 */ GIM_Reject,
     /*  108481 */ // Label 1666: @108481
     /*  108481 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(108595),
     /*  108486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  108489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  108492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108504 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(108549), // Rule ID 51206 //
     /*  108509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108512 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108547 */     GIR_RootConstrainSelectedInstOperands,
     /*  108548 */     // GIR_Coverage, 51206,
     /*  108548 */     GIR_EraseRootFromParent_Done,
     /*  108549 */   // Label 1708: @108549
     /*  108549 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(108594), // Rule ID 51207 //
     /*  108554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108557 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108592 */     GIR_RootConstrainSelectedInstOperands,
     /*  108593 */     // GIR_Coverage, 51207,
     /*  108593 */     GIR_EraseRootFromParent_Done,
     /*  108594 */   // Label 1709: @108594
     /*  108594 */   GIM_Reject,
     /*  108595 */ // Label 1707: @108595
     /*  108595 */ GIM_Reject,
     /*  108596 */ // Label 1667: @108596
     /*  108596 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(108710),
     /*  108601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  108604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  108607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108619 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(108664), // Rule ID 51226 //
     /*  108624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108627 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108662 */     GIR_RootConstrainSelectedInstOperands,
     /*  108663 */     // GIR_Coverage, 51226,
     /*  108663 */     GIR_EraseRootFromParent_Done,
     /*  108664 */   // Label 1711: @108664
     /*  108664 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(108709), // Rule ID 51227 //
     /*  108669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108672 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108707 */     GIR_RootConstrainSelectedInstOperands,
     /*  108708 */     // GIR_Coverage, 51227,
     /*  108708 */     GIR_EraseRootFromParent_Done,
     /*  108709 */   // Label 1712: @108709
     /*  108709 */   GIM_Reject,
     /*  108710 */ // Label 1710: @108710
     /*  108710 */ GIM_Reject,
     /*  108711 */ // Label 1668: @108711
     /*  108711 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(108825),
     /*  108716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  108719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  108722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108734 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(108779), // Rule ID 51262 //
     /*  108739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108742 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108777 */     GIR_RootConstrainSelectedInstOperands,
     /*  108778 */     // GIR_Coverage, 51262,
     /*  108778 */     GIR_EraseRootFromParent_Done,
     /*  108779 */   // Label 1714: @108779
     /*  108779 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(108824), // Rule ID 51263 //
     /*  108784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108787 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108822 */     GIR_RootConstrainSelectedInstOperands,
     /*  108823 */     // GIR_Coverage, 51263,
     /*  108823 */     GIR_EraseRootFromParent_Done,
     /*  108824 */   // Label 1715: @108824
     /*  108824 */   GIM_Reject,
     /*  108825 */ // Label 1713: @108825
     /*  108825 */ GIM_Reject,
     /*  108826 */ // Label 1669: @108826
     /*  108826 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(108940),
     /*  108831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  108834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  108837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108849 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(108894), // Rule ID 51278 //
     /*  108854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108857 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108892 */     GIR_RootConstrainSelectedInstOperands,
     /*  108893 */     // GIR_Coverage, 51278,
     /*  108893 */     GIR_EraseRootFromParent_Done,
     /*  108894 */   // Label 1717: @108894
     /*  108894 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(108939), // Rule ID 51279 //
     /*  108899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108902 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108937 */     GIR_RootConstrainSelectedInstOperands,
     /*  108938 */     // GIR_Coverage, 51279,
     /*  108938 */     GIR_EraseRootFromParent_Done,
     /*  108939 */   // Label 1718: @108939
     /*  108939 */   GIM_Reject,
     /*  108940 */ // Label 1716: @108940
     /*  108940 */ GIM_Reject,
     /*  108941 */ // Label 1670: @108941
     /*  108941 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(109055),
     /*  108946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  108949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  108952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108964 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(109009), // Rule ID 51222 //
     /*  108969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108972 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  108975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  108989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109007 */     GIR_RootConstrainSelectedInstOperands,
     /*  109008 */     // GIR_Coverage, 51222,
     /*  109008 */     GIR_EraseRootFromParent_Done,
     /*  109009 */   // Label 1720: @109009
     /*  109009 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(109054), // Rule ID 51223 //
     /*  109014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109017 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  109020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  109034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109052 */     GIR_RootConstrainSelectedInstOperands,
     /*  109053 */     // GIR_Coverage, 51223,
     /*  109053 */     GIR_EraseRootFromParent_Done,
     /*  109054 */   // Label 1721: @109054
     /*  109054 */   GIM_Reject,
     /*  109055 */ // Label 1719: @109055
     /*  109055 */ GIM_Reject,
     /*  109056 */ // Label 1671: @109056
     /*  109056 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(109170),
     /*  109061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  109064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  109067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109079 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(109124), // Rule ID 51250 //
     /*  109084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109087 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109122 */     GIR_RootConstrainSelectedInstOperands,
     /*  109123 */     // GIR_Coverage, 51250,
     /*  109123 */     GIR_EraseRootFromParent_Done,
     /*  109124 */   // Label 1723: @109124
     /*  109124 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(109169), // Rule ID 51251 //
     /*  109129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109132 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109167 */     GIR_RootConstrainSelectedInstOperands,
     /*  109168 */     // GIR_Coverage, 51251,
     /*  109168 */     GIR_EraseRootFromParent_Done,
     /*  109169 */   // Label 1724: @109169
     /*  109169 */   GIM_Reject,
     /*  109170 */ // Label 1722: @109170
     /*  109170 */ GIM_Reject,
     /*  109171 */ // Label 1672: @109171
     /*  109171 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(109285),
     /*  109176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  109179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  109182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109194 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(109239), // Rule ID 51266 //
     /*  109199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109202 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109237 */     GIR_RootConstrainSelectedInstOperands,
     /*  109238 */     // GIR_Coverage, 51266,
     /*  109238 */     GIR_EraseRootFromParent_Done,
     /*  109239 */   // Label 1726: @109239
     /*  109239 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(109284), // Rule ID 51267 //
     /*  109244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109247 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109282 */     GIR_RootConstrainSelectedInstOperands,
     /*  109283 */     // GIR_Coverage, 51267,
     /*  109283 */     GIR_EraseRootFromParent_Done,
     /*  109284 */   // Label 1727: @109284
     /*  109284 */   GIM_Reject,
     /*  109285 */ // Label 1725: @109285
     /*  109285 */ GIM_Reject,
     /*  109286 */ // Label 1673: @109286
     /*  109286 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(109400),
     /*  109291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  109294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  109297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109309 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(109354), // Rule ID 51282 //
     /*  109314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109317 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109352 */     GIR_RootConstrainSelectedInstOperands,
     /*  109353 */     // GIR_Coverage, 51282,
     /*  109353 */     GIR_EraseRootFromParent_Done,
     /*  109354 */   // Label 1729: @109354
     /*  109354 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(109399), // Rule ID 51283 //
     /*  109359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109362 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109397 */     GIR_RootConstrainSelectedInstOperands,
     /*  109398 */     // GIR_Coverage, 51283,
     /*  109398 */     GIR_EraseRootFromParent_Done,
     /*  109399 */   // Label 1730: @109399
     /*  109399 */   GIM_Reject,
     /*  109400 */ // Label 1728: @109400
     /*  109400 */ GIM_Reject,
     /*  109401 */ // Label 1674: @109401
     /*  109401 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(109515),
     /*  109406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  109409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  109412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109424 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(109469), // Rule ID 51238 //
     /*  109429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109432 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109467 */     GIR_RootConstrainSelectedInstOperands,
     /*  109468 */     // GIR_Coverage, 51238,
     /*  109468 */     GIR_EraseRootFromParent_Done,
     /*  109469 */   // Label 1732: @109469
     /*  109469 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(109514), // Rule ID 51239 //
     /*  109474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109477 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109512 */     GIR_RootConstrainSelectedInstOperands,
     /*  109513 */     // GIR_Coverage, 51239,
     /*  109513 */     GIR_EraseRootFromParent_Done,
     /*  109514 */   // Label 1733: @109514
     /*  109514 */   GIM_Reject,
     /*  109515 */ // Label 1731: @109515
     /*  109515 */ GIM_Reject,
     /*  109516 */ // Label 1675: @109516
     /*  109516 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(109630),
     /*  109521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  109524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  109527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109539 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(109584), // Rule ID 51254 //
     /*  109544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109547 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109582 */     GIR_RootConstrainSelectedInstOperands,
     /*  109583 */     // GIR_Coverage, 51254,
     /*  109583 */     GIR_EraseRootFromParent_Done,
     /*  109584 */   // Label 1735: @109584
     /*  109584 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(109629), // Rule ID 51255 //
     /*  109589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109592 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109627 */     GIR_RootConstrainSelectedInstOperands,
     /*  109628 */     // GIR_Coverage, 51255,
     /*  109628 */     GIR_EraseRootFromParent_Done,
     /*  109629 */   // Label 1736: @109629
     /*  109629 */   GIM_Reject,
     /*  109630 */ // Label 1734: @109630
     /*  109630 */ GIM_Reject,
     /*  109631 */ // Label 1676: @109631
     /*  109631 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(109745),
     /*  109636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  109639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  109642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109654 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(109699), // Rule ID 51270 //
     /*  109659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109662 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109697 */     GIR_RootConstrainSelectedInstOperands,
     /*  109698 */     // GIR_Coverage, 51270,
     /*  109698 */     GIR_EraseRootFromParent_Done,
     /*  109699 */   // Label 1738: @109699
     /*  109699 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(109744), // Rule ID 51271 //
     /*  109704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109707 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109742 */     GIR_RootConstrainSelectedInstOperands,
     /*  109743 */     // GIR_Coverage, 51271,
     /*  109743 */     GIR_EraseRootFromParent_Done,
     /*  109744 */   // Label 1739: @109744
     /*  109744 */   GIM_Reject,
     /*  109745 */ // Label 1737: @109745
     /*  109745 */ GIM_Reject,
     /*  109746 */ // Label 1677: @109746
     /*  109746 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(109860),
     /*  109751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  109754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  109757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109769 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(109814), // Rule ID 51242 //
     /*  109774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109777 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109812 */     GIR_RootConstrainSelectedInstOperands,
     /*  109813 */     // GIR_Coverage, 51242,
     /*  109813 */     GIR_EraseRootFromParent_Done,
     /*  109814 */   // Label 1741: @109814
     /*  109814 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(109859), // Rule ID 51243 //
     /*  109819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109822 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109857 */     GIR_RootConstrainSelectedInstOperands,
     /*  109858 */     // GIR_Coverage, 51243,
     /*  109858 */     GIR_EraseRootFromParent_Done,
     /*  109859 */   // Label 1742: @109859
     /*  109859 */   GIM_Reject,
     /*  109860 */ // Label 1740: @109860
     /*  109860 */ GIM_Reject,
     /*  109861 */ // Label 1678: @109861
     /*  109861 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(109975),
     /*  109866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  109869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  109872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109884 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(109929), // Rule ID 51258 //
     /*  109889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109892 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109927 */     GIR_RootConstrainSelectedInstOperands,
     /*  109928 */     // GIR_Coverage, 51258,
     /*  109928 */     GIR_EraseRootFromParent_Done,
     /*  109929 */   // Label 1744: @109929
     /*  109929 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(109974), // Rule ID 51259 //
     /*  109934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109937 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109972 */     GIR_RootConstrainSelectedInstOperands,
     /*  109973 */     // GIR_Coverage, 51259,
     /*  109973 */     GIR_EraseRootFromParent_Done,
     /*  109974 */   // Label 1745: @109974
     /*  109974 */   GIM_Reject,
     /*  109975 */ // Label 1743: @109975
     /*  109975 */ GIM_Reject,
     /*  109976 */ // Label 1679: @109976
     /*  109976 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(110090),
     /*  109981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  109984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  109987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109999 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(110044), // Rule ID 51246 //
     /*  110004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110007 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110042 */     GIR_RootConstrainSelectedInstOperands,
     /*  110043 */     // GIR_Coverage, 51246,
     /*  110043 */     GIR_EraseRootFromParent_Done,
     /*  110044 */   // Label 1747: @110044
     /*  110044 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(110089), // Rule ID 51247 //
     /*  110049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110052 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110087 */     GIR_RootConstrainSelectedInstOperands,
     /*  110088 */     // GIR_Coverage, 51247,
     /*  110088 */     GIR_EraseRootFromParent_Done,
     /*  110089 */   // Label 1748: @110089
     /*  110089 */   GIM_Reject,
     /*  110090 */ // Label 1746: @110090
     /*  110090 */ GIM_Reject,
     /*  110091 */ // Label 1680: @110091
     /*  110091 */ GIM_Reject,
     /*  110092 */ // Label 4: @110092
     /*  110092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1773*/ GIMT_Encode4(112825),
     /*  110103 */ /*GILLT_s32*//*Label 1749*/ GIMT_Encode4(110227),
     /*  110107 */ /*GILLT_s64*//*Label 1750*/ GIMT_Encode4(110261), GIMT_Encode4(0),
     /*  110115 */ /*GILLT_nxv1s8*//*Label 1751*/ GIMT_Encode4(110295),
     /*  110119 */ /*GILLT_nxv1s16*//*Label 1752*/ GIMT_Encode4(110410),
     /*  110123 */ /*GILLT_nxv1s32*//*Label 1753*/ GIMT_Encode4(110525),
     /*  110127 */ /*GILLT_nxv1s64*//*Label 1754*/ GIMT_Encode4(110640), GIMT_Encode4(0),
     /*  110135 */ /*GILLT_nxv2s8*//*Label 1755*/ GIMT_Encode4(110755),
     /*  110139 */ /*GILLT_nxv2s16*//*Label 1756*/ GIMT_Encode4(110870),
     /*  110143 */ /*GILLT_nxv2s32*//*Label 1757*/ GIMT_Encode4(110985),
     /*  110147 */ /*GILLT_nxv2s64*//*Label 1758*/ GIMT_Encode4(111100), GIMT_Encode4(0),
     /*  110155 */ /*GILLT_nxv4s8*//*Label 1759*/ GIMT_Encode4(111215),
     /*  110159 */ /*GILLT_nxv4s16*//*Label 1760*/ GIMT_Encode4(111330),
     /*  110163 */ /*GILLT_nxv4s32*//*Label 1761*/ GIMT_Encode4(111445),
     /*  110167 */ /*GILLT_nxv4s64*//*Label 1762*/ GIMT_Encode4(111560), GIMT_Encode4(0),
     /*  110175 */ /*GILLT_nxv8s8*//*Label 1763*/ GIMT_Encode4(111675),
     /*  110179 */ /*GILLT_nxv8s16*//*Label 1764*/ GIMT_Encode4(111790),
     /*  110183 */ /*GILLT_nxv8s32*//*Label 1765*/ GIMT_Encode4(111905),
     /*  110187 */ /*GILLT_nxv8s64*//*Label 1766*/ GIMT_Encode4(112020), GIMT_Encode4(0),
     /*  110195 */ /*GILLT_nxv16s8*//*Label 1767*/ GIMT_Encode4(112135),
     /*  110199 */ /*GILLT_nxv16s16*//*Label 1768*/ GIMT_Encode4(112250),
     /*  110203 */ /*GILLT_nxv16s32*//*Label 1769*/ GIMT_Encode4(112365), GIMT_Encode4(0),
     /*  110211 */ /*GILLT_nxv32s8*//*Label 1770*/ GIMT_Encode4(112480),
     /*  110215 */ /*GILLT_nxv32s16*//*Label 1771*/ GIMT_Encode4(112595), GIMT_Encode4(0),
     /*  110223 */ /*GILLT_nxv64s8*//*Label 1772*/ GIMT_Encode4(112710),
     /*  110227 */ // Label 1749: @110227
     /*  110227 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(110260), // Rule ID 302 //
     /*  110232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  110235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  110238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110253 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110258 */   GIR_RootConstrainSelectedInstOperands,
     /*  110259 */   // GIR_Coverage, 302,
     /*  110259 */   GIR_Done,
     /*  110260 */ // Label 1774: @110260
     /*  110260 */ GIM_Reject,
     /*  110261 */ // Label 1750: @110261
     /*  110261 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(110294), // Rule ID 301 //
     /*  110266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  110269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  110272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  110275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110287 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110292 */   GIR_RootConstrainSelectedInstOperands,
     /*  110293 */   // GIR_Coverage, 301,
     /*  110293 */   GIR_Done,
     /*  110294 */ // Label 1775: @110294
     /*  110294 */ GIM_Reject,
     /*  110295 */ // Label 1751: @110295
     /*  110295 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(110409),
     /*  110300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  110303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  110306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110318 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(110363), // Rule ID 51110 //
     /*  110323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110326 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110361 */     GIR_RootConstrainSelectedInstOperands,
     /*  110362 */     // GIR_Coverage, 51110,
     /*  110362 */     GIR_EraseRootFromParent_Done,
     /*  110363 */   // Label 1777: @110363
     /*  110363 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(110408), // Rule ID 51111 //
     /*  110368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110371 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110406 */     GIR_RootConstrainSelectedInstOperands,
     /*  110407 */     // GIR_Coverage, 51111,
     /*  110407 */     GIR_EraseRootFromParent_Done,
     /*  110408 */   // Label 1778: @110408
     /*  110408 */   GIM_Reject,
     /*  110409 */ // Label 1776: @110409
     /*  110409 */ GIM_Reject,
     /*  110410 */ // Label 1752: @110410
     /*  110410 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(110524),
     /*  110415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  110418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  110421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110433 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(110478), // Rule ID 51122 //
     /*  110438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110441 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110476 */     GIR_RootConstrainSelectedInstOperands,
     /*  110477 */     // GIR_Coverage, 51122,
     /*  110477 */     GIR_EraseRootFromParent_Done,
     /*  110478 */   // Label 1780: @110478
     /*  110478 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(110523), // Rule ID 51123 //
     /*  110483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110486 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110521 */     GIR_RootConstrainSelectedInstOperands,
     /*  110522 */     // GIR_Coverage, 51123,
     /*  110522 */     GIR_EraseRootFromParent_Done,
     /*  110523 */   // Label 1781: @110523
     /*  110523 */   GIM_Reject,
     /*  110524 */ // Label 1779: @110524
     /*  110524 */ GIM_Reject,
     /*  110525 */ // Label 1753: @110525
     /*  110525 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(110639),
     /*  110530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  110533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  110536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110548 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(110593), // Rule ID 51130 //
     /*  110553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110556 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110591 */     GIR_RootConstrainSelectedInstOperands,
     /*  110592 */     // GIR_Coverage, 51130,
     /*  110592 */     GIR_EraseRootFromParent_Done,
     /*  110593 */   // Label 1783: @110593
     /*  110593 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(110638), // Rule ID 51131 //
     /*  110598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110601 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110636 */     GIR_RootConstrainSelectedInstOperands,
     /*  110637 */     // GIR_Coverage, 51131,
     /*  110637 */     GIR_EraseRootFromParent_Done,
     /*  110638 */   // Label 1784: @110638
     /*  110638 */   GIM_Reject,
     /*  110639 */ // Label 1782: @110639
     /*  110639 */ GIM_Reject,
     /*  110640 */ // Label 1754: @110640
     /*  110640 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(110754),
     /*  110645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  110648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  110651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110663 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(110708), // Rule ID 51146 //
     /*  110668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110671 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110706 */     GIR_RootConstrainSelectedInstOperands,
     /*  110707 */     // GIR_Coverage, 51146,
     /*  110707 */     GIR_EraseRootFromParent_Done,
     /*  110708 */   // Label 1786: @110708
     /*  110708 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(110753), // Rule ID 51147 //
     /*  110713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110716 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110751 */     GIR_RootConstrainSelectedInstOperands,
     /*  110752 */     // GIR_Coverage, 51147,
     /*  110752 */     GIR_EraseRootFromParent_Done,
     /*  110753 */   // Label 1787: @110753
     /*  110753 */   GIM_Reject,
     /*  110754 */ // Label 1785: @110754
     /*  110754 */ GIM_Reject,
     /*  110755 */ // Label 1755: @110755
     /*  110755 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(110869),
     /*  110760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  110763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  110766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110778 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(110823), // Rule ID 51114 //
     /*  110783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110786 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110821 */     GIR_RootConstrainSelectedInstOperands,
     /*  110822 */     // GIR_Coverage, 51114,
     /*  110822 */     GIR_EraseRootFromParent_Done,
     /*  110823 */   // Label 1789: @110823
     /*  110823 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(110868), // Rule ID 51115 //
     /*  110828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110831 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110866 */     GIR_RootConstrainSelectedInstOperands,
     /*  110867 */     // GIR_Coverage, 51115,
     /*  110867 */     GIR_EraseRootFromParent_Done,
     /*  110868 */   // Label 1790: @110868
     /*  110868 */   GIM_Reject,
     /*  110869 */ // Label 1788: @110869
     /*  110869 */ GIM_Reject,
     /*  110870 */ // Label 1756: @110870
     /*  110870 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(110984),
     /*  110875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  110878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  110881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110893 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(110938), // Rule ID 51126 //
     /*  110898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110901 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110936 */     GIR_RootConstrainSelectedInstOperands,
     /*  110937 */     // GIR_Coverage, 51126,
     /*  110937 */     GIR_EraseRootFromParent_Done,
     /*  110938 */   // Label 1792: @110938
     /*  110938 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(110983), // Rule ID 51127 //
     /*  110943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110946 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110981 */     GIR_RootConstrainSelectedInstOperands,
     /*  110982 */     // GIR_Coverage, 51127,
     /*  110982 */     GIR_EraseRootFromParent_Done,
     /*  110983 */   // Label 1793: @110983
     /*  110983 */   GIM_Reject,
     /*  110984 */ // Label 1791: @110984
     /*  110984 */ GIM_Reject,
     /*  110985 */ // Label 1757: @110985
     /*  110985 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(111099),
     /*  110990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  110993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  110996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111008 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(111053), // Rule ID 51142 //
     /*  111013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111016 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111051 */     GIR_RootConstrainSelectedInstOperands,
     /*  111052 */     // GIR_Coverage, 51142,
     /*  111052 */     GIR_EraseRootFromParent_Done,
     /*  111053 */   // Label 1795: @111053
     /*  111053 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(111098), // Rule ID 51143 //
     /*  111058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111061 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111096 */     GIR_RootConstrainSelectedInstOperands,
     /*  111097 */     // GIR_Coverage, 51143,
     /*  111097 */     GIR_EraseRootFromParent_Done,
     /*  111098 */   // Label 1796: @111098
     /*  111098 */   GIM_Reject,
     /*  111099 */ // Label 1794: @111099
     /*  111099 */ GIM_Reject,
     /*  111100 */ // Label 1758: @111100
     /*  111100 */ GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(111214),
     /*  111105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  111108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  111111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111123 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(111168), // Rule ID 51186 //
     /*  111128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111131 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111166 */     GIR_RootConstrainSelectedInstOperands,
     /*  111167 */     // GIR_Coverage, 51186,
     /*  111167 */     GIR_EraseRootFromParent_Done,
     /*  111168 */   // Label 1798: @111168
     /*  111168 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(111213), // Rule ID 51187 //
     /*  111173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111176 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111211 */     GIR_RootConstrainSelectedInstOperands,
     /*  111212 */     // GIR_Coverage, 51187,
     /*  111212 */     GIR_EraseRootFromParent_Done,
     /*  111213 */   // Label 1799: @111213
     /*  111213 */   GIM_Reject,
     /*  111214 */ // Label 1797: @111214
     /*  111214 */ GIM_Reject,
     /*  111215 */ // Label 1759: @111215
     /*  111215 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(111329),
     /*  111220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  111223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  111226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111238 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(111283), // Rule ID 51118 //
     /*  111243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111246 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111281 */     GIR_RootConstrainSelectedInstOperands,
     /*  111282 */     // GIR_Coverage, 51118,
     /*  111282 */     GIR_EraseRootFromParent_Done,
     /*  111283 */   // Label 1801: @111283
     /*  111283 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(111328), // Rule ID 51119 //
     /*  111288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111291 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111326 */     GIR_RootConstrainSelectedInstOperands,
     /*  111327 */     // GIR_Coverage, 51119,
     /*  111327 */     GIR_EraseRootFromParent_Done,
     /*  111328 */   // Label 1802: @111328
     /*  111328 */   GIM_Reject,
     /*  111329 */ // Label 1800: @111329
     /*  111329 */ GIM_Reject,
     /*  111330 */ // Label 1760: @111330
     /*  111330 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(111444),
     /*  111335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  111338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  111341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111353 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(111398), // Rule ID 51138 //
     /*  111358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111361 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111396 */     GIR_RootConstrainSelectedInstOperands,
     /*  111397 */     // GIR_Coverage, 51138,
     /*  111397 */     GIR_EraseRootFromParent_Done,
     /*  111398 */   // Label 1804: @111398
     /*  111398 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(111443), // Rule ID 51139 //
     /*  111403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111406 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111441 */     GIR_RootConstrainSelectedInstOperands,
     /*  111442 */     // GIR_Coverage, 51139,
     /*  111442 */     GIR_EraseRootFromParent_Done,
     /*  111443 */   // Label 1805: @111443
     /*  111443 */   GIM_Reject,
     /*  111444 */ // Label 1803: @111444
     /*  111444 */ GIM_Reject,
     /*  111445 */ // Label 1761: @111445
     /*  111445 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(111559),
     /*  111450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  111453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  111456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111468 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(111513), // Rule ID 51174 //
     /*  111473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111476 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111511 */     GIR_RootConstrainSelectedInstOperands,
     /*  111512 */     // GIR_Coverage, 51174,
     /*  111512 */     GIR_EraseRootFromParent_Done,
     /*  111513 */   // Label 1807: @111513
     /*  111513 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(111558), // Rule ID 51175 //
     /*  111518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111521 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111556 */     GIR_RootConstrainSelectedInstOperands,
     /*  111557 */     // GIR_Coverage, 51175,
     /*  111557 */     GIR_EraseRootFromParent_Done,
     /*  111558 */   // Label 1808: @111558
     /*  111558 */   GIM_Reject,
     /*  111559 */ // Label 1806: @111559
     /*  111559 */ GIM_Reject,
     /*  111560 */ // Label 1762: @111560
     /*  111560 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(111674),
     /*  111565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  111568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  111571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111583 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(111628), // Rule ID 51190 //
     /*  111588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111591 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111626 */     GIR_RootConstrainSelectedInstOperands,
     /*  111627 */     // GIR_Coverage, 51190,
     /*  111627 */     GIR_EraseRootFromParent_Done,
     /*  111628 */   // Label 1810: @111628
     /*  111628 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(111673), // Rule ID 51191 //
     /*  111633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111636 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111671 */     GIR_RootConstrainSelectedInstOperands,
     /*  111672 */     // GIR_Coverage, 51191,
     /*  111672 */     GIR_EraseRootFromParent_Done,
     /*  111673 */   // Label 1811: @111673
     /*  111673 */   GIM_Reject,
     /*  111674 */ // Label 1809: @111674
     /*  111674 */ GIM_Reject,
     /*  111675 */ // Label 1763: @111675
     /*  111675 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(111789),
     /*  111680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  111683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  111686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111698 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(111743), // Rule ID 51134 //
     /*  111703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111706 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111741 */     GIR_RootConstrainSelectedInstOperands,
     /*  111742 */     // GIR_Coverage, 51134,
     /*  111742 */     GIR_EraseRootFromParent_Done,
     /*  111743 */   // Label 1813: @111743
     /*  111743 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(111788), // Rule ID 51135 //
     /*  111748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111751 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111786 */     GIR_RootConstrainSelectedInstOperands,
     /*  111787 */     // GIR_Coverage, 51135,
     /*  111787 */     GIR_EraseRootFromParent_Done,
     /*  111788 */   // Label 1814: @111788
     /*  111788 */   GIM_Reject,
     /*  111789 */ // Label 1812: @111789
     /*  111789 */ GIM_Reject,
     /*  111790 */ // Label 1764: @111790
     /*  111790 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(111904),
     /*  111795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  111798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  111801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111813 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(111858), // Rule ID 51162 //
     /*  111818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111821 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111856 */     GIR_RootConstrainSelectedInstOperands,
     /*  111857 */     // GIR_Coverage, 51162,
     /*  111857 */     GIR_EraseRootFromParent_Done,
     /*  111858 */   // Label 1816: @111858
     /*  111858 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(111903), // Rule ID 51163 //
     /*  111863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111866 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111901 */     GIR_RootConstrainSelectedInstOperands,
     /*  111902 */     // GIR_Coverage, 51163,
     /*  111902 */     GIR_EraseRootFromParent_Done,
     /*  111903 */   // Label 1817: @111903
     /*  111903 */   GIM_Reject,
     /*  111904 */ // Label 1815: @111904
     /*  111904 */ GIM_Reject,
     /*  111905 */ // Label 1765: @111905
     /*  111905 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(112019),
     /*  111910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  111913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  111916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111928 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(111973), // Rule ID 51178 //
     /*  111933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111936 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111971 */     GIR_RootConstrainSelectedInstOperands,
     /*  111972 */     // GIR_Coverage, 51178,
     /*  111972 */     GIR_EraseRootFromParent_Done,
     /*  111973 */   // Label 1819: @111973
     /*  111973 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(112018), // Rule ID 51179 //
     /*  111978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111981 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112016 */     GIR_RootConstrainSelectedInstOperands,
     /*  112017 */     // GIR_Coverage, 51179,
     /*  112017 */     GIR_EraseRootFromParent_Done,
     /*  112018 */   // Label 1820: @112018
     /*  112018 */   GIM_Reject,
     /*  112019 */ // Label 1818: @112019
     /*  112019 */ GIM_Reject,
     /*  112020 */ // Label 1766: @112020
     /*  112020 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(112134),
     /*  112025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  112028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  112031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112043 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(112088), // Rule ID 51194 //
     /*  112048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112051 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112086 */     GIR_RootConstrainSelectedInstOperands,
     /*  112087 */     // GIR_Coverage, 51194,
     /*  112087 */     GIR_EraseRootFromParent_Done,
     /*  112088 */   // Label 1822: @112088
     /*  112088 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(112133), // Rule ID 51195 //
     /*  112093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112096 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112131 */     GIR_RootConstrainSelectedInstOperands,
     /*  112132 */     // GIR_Coverage, 51195,
     /*  112132 */     GIR_EraseRootFromParent_Done,
     /*  112133 */   // Label 1823: @112133
     /*  112133 */   GIM_Reject,
     /*  112134 */ // Label 1821: @112134
     /*  112134 */ GIM_Reject,
     /*  112135 */ // Label 1767: @112135
     /*  112135 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(112249),
     /*  112140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  112143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  112146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112158 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(112203), // Rule ID 51150 //
     /*  112163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112166 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112201 */     GIR_RootConstrainSelectedInstOperands,
     /*  112202 */     // GIR_Coverage, 51150,
     /*  112202 */     GIR_EraseRootFromParent_Done,
     /*  112203 */   // Label 1825: @112203
     /*  112203 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(112248), // Rule ID 51151 //
     /*  112208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112211 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112246 */     GIR_RootConstrainSelectedInstOperands,
     /*  112247 */     // GIR_Coverage, 51151,
     /*  112247 */     GIR_EraseRootFromParent_Done,
     /*  112248 */   // Label 1826: @112248
     /*  112248 */   GIM_Reject,
     /*  112249 */ // Label 1824: @112249
     /*  112249 */ GIM_Reject,
     /*  112250 */ // Label 1768: @112250
     /*  112250 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(112364),
     /*  112255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  112258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  112261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112273 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(112318), // Rule ID 51166 //
     /*  112278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112281 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112316 */     GIR_RootConstrainSelectedInstOperands,
     /*  112317 */     // GIR_Coverage, 51166,
     /*  112317 */     GIR_EraseRootFromParent_Done,
     /*  112318 */   // Label 1828: @112318
     /*  112318 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(112363), // Rule ID 51167 //
     /*  112323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112326 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112361 */     GIR_RootConstrainSelectedInstOperands,
     /*  112362 */     // GIR_Coverage, 51167,
     /*  112362 */     GIR_EraseRootFromParent_Done,
     /*  112363 */   // Label 1829: @112363
     /*  112363 */   GIM_Reject,
     /*  112364 */ // Label 1827: @112364
     /*  112364 */ GIM_Reject,
     /*  112365 */ // Label 1769: @112365
     /*  112365 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(112479),
     /*  112370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  112373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  112376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112388 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(112433), // Rule ID 51182 //
     /*  112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112396 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112431 */     GIR_RootConstrainSelectedInstOperands,
     /*  112432 */     // GIR_Coverage, 51182,
     /*  112432 */     GIR_EraseRootFromParent_Done,
     /*  112433 */   // Label 1831: @112433
     /*  112433 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(112478), // Rule ID 51183 //
     /*  112438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112441 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112476 */     GIR_RootConstrainSelectedInstOperands,
     /*  112477 */     // GIR_Coverage, 51183,
     /*  112477 */     GIR_EraseRootFromParent_Done,
     /*  112478 */   // Label 1832: @112478
     /*  112478 */   GIM_Reject,
     /*  112479 */ // Label 1830: @112479
     /*  112479 */ GIM_Reject,
     /*  112480 */ // Label 1770: @112480
     /*  112480 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(112594),
     /*  112485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  112488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  112491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112503 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(112548), // Rule ID 51154 //
     /*  112508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112511 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112546 */     GIR_RootConstrainSelectedInstOperands,
     /*  112547 */     // GIR_Coverage, 51154,
     /*  112547 */     GIR_EraseRootFromParent_Done,
     /*  112548 */   // Label 1834: @112548
     /*  112548 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(112593), // Rule ID 51155 //
     /*  112553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112556 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112591 */     GIR_RootConstrainSelectedInstOperands,
     /*  112592 */     // GIR_Coverage, 51155,
     /*  112592 */     GIR_EraseRootFromParent_Done,
     /*  112593 */   // Label 1835: @112593
     /*  112593 */   GIM_Reject,
     /*  112594 */ // Label 1833: @112594
     /*  112594 */ GIM_Reject,
     /*  112595 */ // Label 1771: @112595
     /*  112595 */ GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(112709),
     /*  112600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  112603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  112606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112618 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(112663), // Rule ID 51170 //
     /*  112623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112626 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112661 */     GIR_RootConstrainSelectedInstOperands,
     /*  112662 */     // GIR_Coverage, 51170,
     /*  112662 */     GIR_EraseRootFromParent_Done,
     /*  112663 */   // Label 1837: @112663
     /*  112663 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(112708), // Rule ID 51171 //
     /*  112668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112671 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112706 */     GIR_RootConstrainSelectedInstOperands,
     /*  112707 */     // GIR_Coverage, 51171,
     /*  112707 */     GIR_EraseRootFromParent_Done,
     /*  112708 */   // Label 1838: @112708
     /*  112708 */   GIM_Reject,
     /*  112709 */ // Label 1836: @112709
     /*  112709 */ GIM_Reject,
     /*  112710 */ // Label 1772: @112710
     /*  112710 */ GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(112824),
     /*  112715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  112718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  112721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112733 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(112778), // Rule ID 51158 //
     /*  112738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112741 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112776 */     GIR_RootConstrainSelectedInstOperands,
     /*  112777 */     // GIR_Coverage, 51158,
     /*  112777 */     GIR_EraseRootFromParent_Done,
     /*  112778 */   // Label 1840: @112778
     /*  112778 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(112823), // Rule ID 51159 //
     /*  112783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112786 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112821 */     GIR_RootConstrainSelectedInstOperands,
     /*  112822 */     // GIR_Coverage, 51159,
     /*  112822 */     GIR_EraseRootFromParent_Done,
     /*  112823 */   // Label 1841: @112823
     /*  112823 */   GIM_Reject,
     /*  112824 */ // Label 1839: @112824
     /*  112824 */ GIM_Reject,
     /*  112825 */ // Label 1773: @112825
     /*  112825 */ GIM_Reject,
     /*  112826 */ // Label 5: @112826
     /*  112826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1866*/ GIMT_Encode4(115604),
     /*  112837 */ /*GILLT_s32*//*Label 1842*/ GIMT_Encode4(112961),
     /*  112841 */ /*GILLT_s64*//*Label 1843*/ GIMT_Encode4(112995), GIMT_Encode4(0),
     /*  112849 */ /*GILLT_nxv1s8*//*Label 1844*/ GIMT_Encode4(113074),
     /*  112853 */ /*GILLT_nxv1s16*//*Label 1845*/ GIMT_Encode4(113189),
     /*  112857 */ /*GILLT_nxv1s32*//*Label 1846*/ GIMT_Encode4(113304),
     /*  112861 */ /*GILLT_nxv1s64*//*Label 1847*/ GIMT_Encode4(113419), GIMT_Encode4(0),
     /*  112869 */ /*GILLT_nxv2s8*//*Label 1848*/ GIMT_Encode4(113534),
     /*  112873 */ /*GILLT_nxv2s16*//*Label 1849*/ GIMT_Encode4(113649),
     /*  112877 */ /*GILLT_nxv2s32*//*Label 1850*/ GIMT_Encode4(113764),
     /*  112881 */ /*GILLT_nxv2s64*//*Label 1851*/ GIMT_Encode4(113879), GIMT_Encode4(0),
     /*  112889 */ /*GILLT_nxv4s8*//*Label 1852*/ GIMT_Encode4(113994),
     /*  112893 */ /*GILLT_nxv4s16*//*Label 1853*/ GIMT_Encode4(114109),
     /*  112897 */ /*GILLT_nxv4s32*//*Label 1854*/ GIMT_Encode4(114224),
     /*  112901 */ /*GILLT_nxv4s64*//*Label 1855*/ GIMT_Encode4(114339), GIMT_Encode4(0),
     /*  112909 */ /*GILLT_nxv8s8*//*Label 1856*/ GIMT_Encode4(114454),
     /*  112913 */ /*GILLT_nxv8s16*//*Label 1857*/ GIMT_Encode4(114569),
     /*  112917 */ /*GILLT_nxv8s32*//*Label 1858*/ GIMT_Encode4(114684),
     /*  112921 */ /*GILLT_nxv8s64*//*Label 1859*/ GIMT_Encode4(114799), GIMT_Encode4(0),
     /*  112929 */ /*GILLT_nxv16s8*//*Label 1860*/ GIMT_Encode4(114914),
     /*  112933 */ /*GILLT_nxv16s16*//*Label 1861*/ GIMT_Encode4(115029),
     /*  112937 */ /*GILLT_nxv16s32*//*Label 1862*/ GIMT_Encode4(115144), GIMT_Encode4(0),
     /*  112945 */ /*GILLT_nxv32s8*//*Label 1863*/ GIMT_Encode4(115259),
     /*  112949 */ /*GILLT_nxv32s16*//*Label 1864*/ GIMT_Encode4(115374), GIMT_Encode4(0),
     /*  112957 */ /*GILLT_nxv64s8*//*Label 1865*/ GIMT_Encode4(115489),
     /*  112961 */ // Label 1842: @112961
     /*  112961 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(112994), // Rule ID 304 //
     /*  112966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  112969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  112972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  112975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112987 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  112987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  112992 */   GIR_RootConstrainSelectedInstOperands,
     /*  112993 */   // GIR_Coverage, 304,
     /*  112993 */   GIR_Done,
     /*  112994 */ // Label 1867: @112994
     /*  112994 */ GIM_Reject,
     /*  112995 */ // Label 1843: @112995
     /*  112995 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(113073),
     /*  113000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  113003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113010 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(113049), // Rule ID 313 //
     /*  113015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  113018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  113025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  113032 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  113035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  113042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  113047 */     GIR_RootConstrainSelectedInstOperands,
     /*  113048 */     // GIR_Coverage, 313,
     /*  113048 */     GIR_EraseRootFromParent_Done,
     /*  113049 */   // Label 1869: @113049
     /*  113049 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(113072), // Rule ID 303 //
     /*  113054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  113057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113065 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  113070 */     GIR_RootConstrainSelectedInstOperands,
     /*  113071 */     // GIR_Coverage, 303,
     /*  113071 */     GIR_Done,
     /*  113072 */   // Label 1870: @113072
     /*  113072 */   GIM_Reject,
     /*  113073 */ // Label 1868: @113073
     /*  113073 */ GIM_Reject,
     /*  113074 */ // Label 1844: @113074
     /*  113074 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(113188),
     /*  113079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  113082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  113085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113097 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(113142), // Rule ID 51374 //
     /*  113102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113105 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113140 */     GIR_RootConstrainSelectedInstOperands,
     /*  113141 */     // GIR_Coverage, 51374,
     /*  113141 */     GIR_EraseRootFromParent_Done,
     /*  113142 */   // Label 1872: @113142
     /*  113142 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(113187), // Rule ID 51375 //
     /*  113147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113150 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113185 */     GIR_RootConstrainSelectedInstOperands,
     /*  113186 */     // GIR_Coverage, 51375,
     /*  113186 */     GIR_EraseRootFromParent_Done,
     /*  113187 */   // Label 1873: @113187
     /*  113187 */   GIM_Reject,
     /*  113188 */ // Label 1871: @113188
     /*  113188 */ GIM_Reject,
     /*  113189 */ // Label 1845: @113189
     /*  113189 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(113303),
     /*  113194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  113197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  113200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113212 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(113257), // Rule ID 51386 //
     /*  113217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113220 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113255 */     GIR_RootConstrainSelectedInstOperands,
     /*  113256 */     // GIR_Coverage, 51386,
     /*  113256 */     GIR_EraseRootFromParent_Done,
     /*  113257 */   // Label 1875: @113257
     /*  113257 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(113302), // Rule ID 51387 //
     /*  113262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113265 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113300 */     GIR_RootConstrainSelectedInstOperands,
     /*  113301 */     // GIR_Coverage, 51387,
     /*  113301 */     GIR_EraseRootFromParent_Done,
     /*  113302 */   // Label 1876: @113302
     /*  113302 */   GIM_Reject,
     /*  113303 */ // Label 1874: @113303
     /*  113303 */ GIM_Reject,
     /*  113304 */ // Label 1846: @113304
     /*  113304 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(113418),
     /*  113309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  113312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  113315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113327 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(113372), // Rule ID 51394 //
     /*  113332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113335 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113370 */     GIR_RootConstrainSelectedInstOperands,
     /*  113371 */     // GIR_Coverage, 51394,
     /*  113371 */     GIR_EraseRootFromParent_Done,
     /*  113372 */   // Label 1878: @113372
     /*  113372 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(113417), // Rule ID 51395 //
     /*  113377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113380 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113415 */     GIR_RootConstrainSelectedInstOperands,
     /*  113416 */     // GIR_Coverage, 51395,
     /*  113416 */     GIR_EraseRootFromParent_Done,
     /*  113417 */   // Label 1879: @113417
     /*  113417 */   GIM_Reject,
     /*  113418 */ // Label 1877: @113418
     /*  113418 */ GIM_Reject,
     /*  113419 */ // Label 1847: @113419
     /*  113419 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(113533),
     /*  113424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  113427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  113430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113442 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(113487), // Rule ID 51410 //
     /*  113447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113450 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113485 */     GIR_RootConstrainSelectedInstOperands,
     /*  113486 */     // GIR_Coverage, 51410,
     /*  113486 */     GIR_EraseRootFromParent_Done,
     /*  113487 */   // Label 1881: @113487
     /*  113487 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(113532), // Rule ID 51411 //
     /*  113492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113495 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113530 */     GIR_RootConstrainSelectedInstOperands,
     /*  113531 */     // GIR_Coverage, 51411,
     /*  113531 */     GIR_EraseRootFromParent_Done,
     /*  113532 */   // Label 1882: @113532
     /*  113532 */   GIM_Reject,
     /*  113533 */ // Label 1880: @113533
     /*  113533 */ GIM_Reject,
     /*  113534 */ // Label 1848: @113534
     /*  113534 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(113648),
     /*  113539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  113542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  113545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113557 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(113602), // Rule ID 51378 //
     /*  113562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113565 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113600 */     GIR_RootConstrainSelectedInstOperands,
     /*  113601 */     // GIR_Coverage, 51378,
     /*  113601 */     GIR_EraseRootFromParent_Done,
     /*  113602 */   // Label 1884: @113602
     /*  113602 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(113647), // Rule ID 51379 //
     /*  113607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113610 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113645 */     GIR_RootConstrainSelectedInstOperands,
     /*  113646 */     // GIR_Coverage, 51379,
     /*  113646 */     GIR_EraseRootFromParent_Done,
     /*  113647 */   // Label 1885: @113647
     /*  113647 */   GIM_Reject,
     /*  113648 */ // Label 1883: @113648
     /*  113648 */ GIM_Reject,
     /*  113649 */ // Label 1849: @113649
     /*  113649 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(113763),
     /*  113654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  113657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  113660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113672 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(113717), // Rule ID 51390 //
     /*  113677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113680 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113715 */     GIR_RootConstrainSelectedInstOperands,
     /*  113716 */     // GIR_Coverage, 51390,
     /*  113716 */     GIR_EraseRootFromParent_Done,
     /*  113717 */   // Label 1887: @113717
     /*  113717 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(113762), // Rule ID 51391 //
     /*  113722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113725 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113760 */     GIR_RootConstrainSelectedInstOperands,
     /*  113761 */     // GIR_Coverage, 51391,
     /*  113761 */     GIR_EraseRootFromParent_Done,
     /*  113762 */   // Label 1888: @113762
     /*  113762 */   GIM_Reject,
     /*  113763 */ // Label 1886: @113763
     /*  113763 */ GIM_Reject,
     /*  113764 */ // Label 1850: @113764
     /*  113764 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(113878),
     /*  113769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  113772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  113775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113787 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(113832), // Rule ID 51406 //
     /*  113792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113795 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113830 */     GIR_RootConstrainSelectedInstOperands,
     /*  113831 */     // GIR_Coverage, 51406,
     /*  113831 */     GIR_EraseRootFromParent_Done,
     /*  113832 */   // Label 1890: @113832
     /*  113832 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(113877), // Rule ID 51407 //
     /*  113837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113840 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113875 */     GIR_RootConstrainSelectedInstOperands,
     /*  113876 */     // GIR_Coverage, 51407,
     /*  113876 */     GIR_EraseRootFromParent_Done,
     /*  113877 */   // Label 1891: @113877
     /*  113877 */   GIM_Reject,
     /*  113878 */ // Label 1889: @113878
     /*  113878 */ GIM_Reject,
     /*  113879 */ // Label 1851: @113879
     /*  113879 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(113993),
     /*  113884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  113887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  113890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113902 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(113947), // Rule ID 51450 //
     /*  113907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113910 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113945 */     GIR_RootConstrainSelectedInstOperands,
     /*  113946 */     // GIR_Coverage, 51450,
     /*  113946 */     GIR_EraseRootFromParent_Done,
     /*  113947 */   // Label 1893: @113947
     /*  113947 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(113992), // Rule ID 51451 //
     /*  113952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113955 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113990 */     GIR_RootConstrainSelectedInstOperands,
     /*  113991 */     // GIR_Coverage, 51451,
     /*  113991 */     GIR_EraseRootFromParent_Done,
     /*  113992 */   // Label 1894: @113992
     /*  113992 */   GIM_Reject,
     /*  113993 */ // Label 1892: @113993
     /*  113993 */ GIM_Reject,
     /*  113994 */ // Label 1852: @113994
     /*  113994 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(114108),
     /*  113999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  114002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  114005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114017 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(114062), // Rule ID 51382 //
     /*  114022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114025 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114060 */     GIR_RootConstrainSelectedInstOperands,
     /*  114061 */     // GIR_Coverage, 51382,
     /*  114061 */     GIR_EraseRootFromParent_Done,
     /*  114062 */   // Label 1896: @114062
     /*  114062 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(114107), // Rule ID 51383 //
     /*  114067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114070 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114105 */     GIR_RootConstrainSelectedInstOperands,
     /*  114106 */     // GIR_Coverage, 51383,
     /*  114106 */     GIR_EraseRootFromParent_Done,
     /*  114107 */   // Label 1897: @114107
     /*  114107 */   GIM_Reject,
     /*  114108 */ // Label 1895: @114108
     /*  114108 */ GIM_Reject,
     /*  114109 */ // Label 1853: @114109
     /*  114109 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(114223),
     /*  114114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  114117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  114120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114132 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(114177), // Rule ID 51402 //
     /*  114137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114140 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114175 */     GIR_RootConstrainSelectedInstOperands,
     /*  114176 */     // GIR_Coverage, 51402,
     /*  114176 */     GIR_EraseRootFromParent_Done,
     /*  114177 */   // Label 1899: @114177
     /*  114177 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(114222), // Rule ID 51403 //
     /*  114182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114185 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114220 */     GIR_RootConstrainSelectedInstOperands,
     /*  114221 */     // GIR_Coverage, 51403,
     /*  114221 */     GIR_EraseRootFromParent_Done,
     /*  114222 */   // Label 1900: @114222
     /*  114222 */   GIM_Reject,
     /*  114223 */ // Label 1898: @114223
     /*  114223 */ GIM_Reject,
     /*  114224 */ // Label 1854: @114224
     /*  114224 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(114338),
     /*  114229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  114232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  114235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114247 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(114292), // Rule ID 51438 //
     /*  114252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114255 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114290 */     GIR_RootConstrainSelectedInstOperands,
     /*  114291 */     // GIR_Coverage, 51438,
     /*  114291 */     GIR_EraseRootFromParent_Done,
     /*  114292 */   // Label 1902: @114292
     /*  114292 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(114337), // Rule ID 51439 //
     /*  114297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114300 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114335 */     GIR_RootConstrainSelectedInstOperands,
     /*  114336 */     // GIR_Coverage, 51439,
     /*  114336 */     GIR_EraseRootFromParent_Done,
     /*  114337 */   // Label 1903: @114337
     /*  114337 */   GIM_Reject,
     /*  114338 */ // Label 1901: @114338
     /*  114338 */ GIM_Reject,
     /*  114339 */ // Label 1855: @114339
     /*  114339 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(114453),
     /*  114344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  114347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  114350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114362 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(114407), // Rule ID 51454 //
     /*  114367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114370 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114405 */     GIR_RootConstrainSelectedInstOperands,
     /*  114406 */     // GIR_Coverage, 51454,
     /*  114406 */     GIR_EraseRootFromParent_Done,
     /*  114407 */   // Label 1905: @114407
     /*  114407 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(114452), // Rule ID 51455 //
     /*  114412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114415 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114450 */     GIR_RootConstrainSelectedInstOperands,
     /*  114451 */     // GIR_Coverage, 51455,
     /*  114451 */     GIR_EraseRootFromParent_Done,
     /*  114452 */   // Label 1906: @114452
     /*  114452 */   GIM_Reject,
     /*  114453 */ // Label 1904: @114453
     /*  114453 */ GIM_Reject,
     /*  114454 */ // Label 1856: @114454
     /*  114454 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(114568),
     /*  114459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  114462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  114465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114477 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(114522), // Rule ID 51398 //
     /*  114482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114485 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114520 */     GIR_RootConstrainSelectedInstOperands,
     /*  114521 */     // GIR_Coverage, 51398,
     /*  114521 */     GIR_EraseRootFromParent_Done,
     /*  114522 */   // Label 1908: @114522
     /*  114522 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(114567), // Rule ID 51399 //
     /*  114527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114530 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114565 */     GIR_RootConstrainSelectedInstOperands,
     /*  114566 */     // GIR_Coverage, 51399,
     /*  114566 */     GIR_EraseRootFromParent_Done,
     /*  114567 */   // Label 1909: @114567
     /*  114567 */   GIM_Reject,
     /*  114568 */ // Label 1907: @114568
     /*  114568 */ GIM_Reject,
     /*  114569 */ // Label 1857: @114569
     /*  114569 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(114683),
     /*  114574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  114577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  114580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114592 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(114637), // Rule ID 51426 //
     /*  114597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114600 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114635 */     GIR_RootConstrainSelectedInstOperands,
     /*  114636 */     // GIR_Coverage, 51426,
     /*  114636 */     GIR_EraseRootFromParent_Done,
     /*  114637 */   // Label 1911: @114637
     /*  114637 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(114682), // Rule ID 51427 //
     /*  114642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114645 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114680 */     GIR_RootConstrainSelectedInstOperands,
     /*  114681 */     // GIR_Coverage, 51427,
     /*  114681 */     GIR_EraseRootFromParent_Done,
     /*  114682 */   // Label 1912: @114682
     /*  114682 */   GIM_Reject,
     /*  114683 */ // Label 1910: @114683
     /*  114683 */ GIM_Reject,
     /*  114684 */ // Label 1858: @114684
     /*  114684 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(114798),
     /*  114689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  114692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  114695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114707 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(114752), // Rule ID 51442 //
     /*  114712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114715 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114750 */     GIR_RootConstrainSelectedInstOperands,
     /*  114751 */     // GIR_Coverage, 51442,
     /*  114751 */     GIR_EraseRootFromParent_Done,
     /*  114752 */   // Label 1914: @114752
     /*  114752 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(114797), // Rule ID 51443 //
     /*  114757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114760 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114795 */     GIR_RootConstrainSelectedInstOperands,
     /*  114796 */     // GIR_Coverage, 51443,
     /*  114796 */     GIR_EraseRootFromParent_Done,
     /*  114797 */   // Label 1915: @114797
     /*  114797 */   GIM_Reject,
     /*  114798 */ // Label 1913: @114798
     /*  114798 */ GIM_Reject,
     /*  114799 */ // Label 1859: @114799
     /*  114799 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(114913),
     /*  114804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  114807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  114810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114822 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(114867), // Rule ID 51458 //
     /*  114827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114830 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114865 */     GIR_RootConstrainSelectedInstOperands,
     /*  114866 */     // GIR_Coverage, 51458,
     /*  114866 */     GIR_EraseRootFromParent_Done,
     /*  114867 */   // Label 1917: @114867
     /*  114867 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(114912), // Rule ID 51459 //
     /*  114872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114875 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114910 */     GIR_RootConstrainSelectedInstOperands,
     /*  114911 */     // GIR_Coverage, 51459,
     /*  114911 */     GIR_EraseRootFromParent_Done,
     /*  114912 */   // Label 1918: @114912
     /*  114912 */   GIM_Reject,
     /*  114913 */ // Label 1916: @114913
     /*  114913 */ GIM_Reject,
     /*  114914 */ // Label 1860: @114914
     /*  114914 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(115028),
     /*  114919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  114922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  114925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114937 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(114982), // Rule ID 51414 //
     /*  114942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114945 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  114962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114980 */     GIR_RootConstrainSelectedInstOperands,
     /*  114981 */     // GIR_Coverage, 51414,
     /*  114981 */     GIR_EraseRootFromParent_Done,
     /*  114982 */   // Label 1920: @114982
     /*  114982 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(115027), // Rule ID 51415 //
     /*  114987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114990 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  115007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115025 */     GIR_RootConstrainSelectedInstOperands,
     /*  115026 */     // GIR_Coverage, 51415,
     /*  115026 */     GIR_EraseRootFromParent_Done,
     /*  115027 */   // Label 1921: @115027
     /*  115027 */   GIM_Reject,
     /*  115028 */ // Label 1919: @115028
     /*  115028 */ GIM_Reject,
     /*  115029 */ // Label 1861: @115029
     /*  115029 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(115143),
     /*  115034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  115037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  115040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115052 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(115097), // Rule ID 51430 //
     /*  115057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115060 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115095 */     GIR_RootConstrainSelectedInstOperands,
     /*  115096 */     // GIR_Coverage, 51430,
     /*  115096 */     GIR_EraseRootFromParent_Done,
     /*  115097 */   // Label 1923: @115097
     /*  115097 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(115142), // Rule ID 51431 //
     /*  115102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115105 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115140 */     GIR_RootConstrainSelectedInstOperands,
     /*  115141 */     // GIR_Coverage, 51431,
     /*  115141 */     GIR_EraseRootFromParent_Done,
     /*  115142 */   // Label 1924: @115142
     /*  115142 */   GIM_Reject,
     /*  115143 */ // Label 1922: @115143
     /*  115143 */ GIM_Reject,
     /*  115144 */ // Label 1862: @115144
     /*  115144 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(115258),
     /*  115149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  115152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  115155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115167 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(115212), // Rule ID 51446 //
     /*  115172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115175 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  115175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115210 */     GIR_RootConstrainSelectedInstOperands,
     /*  115211 */     // GIR_Coverage, 51446,
     /*  115211 */     GIR_EraseRootFromParent_Done,
     /*  115212 */   // Label 1926: @115212
     /*  115212 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(115257), // Rule ID 51447 //
     /*  115217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115220 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  115220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115255 */     GIR_RootConstrainSelectedInstOperands,
     /*  115256 */     // GIR_Coverage, 51447,
     /*  115256 */     GIR_EraseRootFromParent_Done,
     /*  115257 */   // Label 1927: @115257
     /*  115257 */   GIM_Reject,
     /*  115258 */ // Label 1925: @115258
     /*  115258 */ GIM_Reject,
     /*  115259 */ // Label 1863: @115259
     /*  115259 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(115373),
     /*  115264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  115267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  115270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115282 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(115327), // Rule ID 51418 //
     /*  115287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115290 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115325 */     GIR_RootConstrainSelectedInstOperands,
     /*  115326 */     // GIR_Coverage, 51418,
     /*  115326 */     GIR_EraseRootFromParent_Done,
     /*  115327 */   // Label 1929: @115327
     /*  115327 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(115372), // Rule ID 51419 //
     /*  115332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115335 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115370 */     GIR_RootConstrainSelectedInstOperands,
     /*  115371 */     // GIR_Coverage, 51419,
     /*  115371 */     GIR_EraseRootFromParent_Done,
     /*  115372 */   // Label 1930: @115372
     /*  115372 */   GIM_Reject,
     /*  115373 */ // Label 1928: @115373
     /*  115373 */ GIM_Reject,
     /*  115374 */ // Label 1864: @115374
     /*  115374 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(115488),
     /*  115379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  115382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  115385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115397 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(115442), // Rule ID 51434 //
     /*  115402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115405 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115440 */     GIR_RootConstrainSelectedInstOperands,
     /*  115441 */     // GIR_Coverage, 51434,
     /*  115441 */     GIR_EraseRootFromParent_Done,
     /*  115442 */   // Label 1932: @115442
     /*  115442 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(115487), // Rule ID 51435 //
     /*  115447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115450 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115485 */     GIR_RootConstrainSelectedInstOperands,
     /*  115486 */     // GIR_Coverage, 51435,
     /*  115486 */     GIR_EraseRootFromParent_Done,
     /*  115487 */   // Label 1933: @115487
     /*  115487 */   GIM_Reject,
     /*  115488 */ // Label 1931: @115488
     /*  115488 */ GIM_Reject,
     /*  115489 */ // Label 1865: @115489
     /*  115489 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(115603),
     /*  115494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  115497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  115500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115512 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(115557), // Rule ID 51422 //
     /*  115517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115520 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115555 */     GIR_RootConstrainSelectedInstOperands,
     /*  115556 */     // GIR_Coverage, 51422,
     /*  115556 */     GIR_EraseRootFromParent_Done,
     /*  115557 */   // Label 1935: @115557
     /*  115557 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(115602), // Rule ID 51423 //
     /*  115562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115565 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115600 */     GIR_RootConstrainSelectedInstOperands,
     /*  115601 */     // GIR_Coverage, 51423,
     /*  115601 */     GIR_EraseRootFromParent_Done,
     /*  115602 */   // Label 1936: @115602
     /*  115602 */   GIM_Reject,
     /*  115603 */ // Label 1934: @115603
     /*  115603 */ GIM_Reject,
     /*  115604 */ // Label 1866: @115604
     /*  115604 */ GIM_Reject,
     /*  115605 */ // Label 6: @115605
     /*  115605 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1961*/ GIMT_Encode4(118338),
     /*  115616 */ /*GILLT_s32*//*Label 1937*/ GIMT_Encode4(115740),
     /*  115620 */ /*GILLT_s64*//*Label 1938*/ GIMT_Encode4(115774), GIMT_Encode4(0),
     /*  115628 */ /*GILLT_nxv1s8*//*Label 1939*/ GIMT_Encode4(115808),
     /*  115632 */ /*GILLT_nxv1s16*//*Label 1940*/ GIMT_Encode4(115923),
     /*  115636 */ /*GILLT_nxv1s32*//*Label 1941*/ GIMT_Encode4(116038),
     /*  115640 */ /*GILLT_nxv1s64*//*Label 1942*/ GIMT_Encode4(116153), GIMT_Encode4(0),
     /*  115648 */ /*GILLT_nxv2s8*//*Label 1943*/ GIMT_Encode4(116268),
     /*  115652 */ /*GILLT_nxv2s16*//*Label 1944*/ GIMT_Encode4(116383),
     /*  115656 */ /*GILLT_nxv2s32*//*Label 1945*/ GIMT_Encode4(116498),
     /*  115660 */ /*GILLT_nxv2s64*//*Label 1946*/ GIMT_Encode4(116613), GIMT_Encode4(0),
     /*  115668 */ /*GILLT_nxv4s8*//*Label 1947*/ GIMT_Encode4(116728),
     /*  115672 */ /*GILLT_nxv4s16*//*Label 1948*/ GIMT_Encode4(116843),
     /*  115676 */ /*GILLT_nxv4s32*//*Label 1949*/ GIMT_Encode4(116958),
     /*  115680 */ /*GILLT_nxv4s64*//*Label 1950*/ GIMT_Encode4(117073), GIMT_Encode4(0),
     /*  115688 */ /*GILLT_nxv8s8*//*Label 1951*/ GIMT_Encode4(117188),
     /*  115692 */ /*GILLT_nxv8s16*//*Label 1952*/ GIMT_Encode4(117303),
     /*  115696 */ /*GILLT_nxv8s32*//*Label 1953*/ GIMT_Encode4(117418),
     /*  115700 */ /*GILLT_nxv8s64*//*Label 1954*/ GIMT_Encode4(117533), GIMT_Encode4(0),
     /*  115708 */ /*GILLT_nxv16s8*//*Label 1955*/ GIMT_Encode4(117648),
     /*  115712 */ /*GILLT_nxv16s16*//*Label 1956*/ GIMT_Encode4(117763),
     /*  115716 */ /*GILLT_nxv16s32*//*Label 1957*/ GIMT_Encode4(117878), GIMT_Encode4(0),
     /*  115724 */ /*GILLT_nxv32s8*//*Label 1958*/ GIMT_Encode4(117993),
     /*  115728 */ /*GILLT_nxv32s16*//*Label 1959*/ GIMT_Encode4(118108), GIMT_Encode4(0),
     /*  115736 */ /*GILLT_nxv64s8*//*Label 1960*/ GIMT_Encode4(118223),
     /*  115740 */ // Label 1937: @115740
     /*  115740 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(115773), // Rule ID 306 //
     /*  115745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  115748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  115751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  115754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115766 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115771 */   GIR_RootConstrainSelectedInstOperands,
     /*  115772 */   // GIR_Coverage, 306,
     /*  115772 */   GIR_Done,
     /*  115773 */ // Label 1962: @115773
     /*  115773 */ GIM_Reject,
     /*  115774 */ // Label 1938: @115774
     /*  115774 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(115807), // Rule ID 305 //
     /*  115779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  115782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115800 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115805 */   GIR_RootConstrainSelectedInstOperands,
     /*  115806 */   // GIR_Coverage, 305,
     /*  115806 */   GIR_Done,
     /*  115807 */ // Label 1963: @115807
     /*  115807 */ GIM_Reject,
     /*  115808 */ // Label 1939: @115808
     /*  115808 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(115922),
     /*  115813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  115816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115831 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(115876), // Rule ID 51286 //
     /*  115836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115839 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115874 */     GIR_RootConstrainSelectedInstOperands,
     /*  115875 */     // GIR_Coverage, 51286,
     /*  115875 */     GIR_EraseRootFromParent_Done,
     /*  115876 */   // Label 1965: @115876
     /*  115876 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(115921), // Rule ID 51287 //
     /*  115881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115884 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115919 */     GIR_RootConstrainSelectedInstOperands,
     /*  115920 */     // GIR_Coverage, 51287,
     /*  115920 */     GIR_EraseRootFromParent_Done,
     /*  115921 */   // Label 1966: @115921
     /*  115921 */   GIM_Reject,
     /*  115922 */ // Label 1964: @115922
     /*  115922 */ GIM_Reject,
     /*  115923 */ // Label 1940: @115923
     /*  115923 */ GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(116037),
     /*  115928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  115931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  115934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115946 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(115991), // Rule ID 51298 //
     /*  115951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115954 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  115957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  115971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115989 */     GIR_RootConstrainSelectedInstOperands,
     /*  115990 */     // GIR_Coverage, 51298,
     /*  115990 */     GIR_EraseRootFromParent_Done,
     /*  115991 */   // Label 1968: @115991
     /*  115991 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(116036), // Rule ID 51299 //
     /*  115996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115999 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  116002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  116016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116034 */     GIR_RootConstrainSelectedInstOperands,
     /*  116035 */     // GIR_Coverage, 51299,
     /*  116035 */     GIR_EraseRootFromParent_Done,
     /*  116036 */   // Label 1969: @116036
     /*  116036 */   GIM_Reject,
     /*  116037 */ // Label 1967: @116037
     /*  116037 */ GIM_Reject,
     /*  116038 */ // Label 1941: @116038
     /*  116038 */ GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(116152),
     /*  116043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  116046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  116049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116061 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(116106), // Rule ID 51306 //
     /*  116066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116069 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116104 */     GIR_RootConstrainSelectedInstOperands,
     /*  116105 */     // GIR_Coverage, 51306,
     /*  116105 */     GIR_EraseRootFromParent_Done,
     /*  116106 */   // Label 1971: @116106
     /*  116106 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(116151), // Rule ID 51307 //
     /*  116111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116114 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116149 */     GIR_RootConstrainSelectedInstOperands,
     /*  116150 */     // GIR_Coverage, 51307,
     /*  116150 */     GIR_EraseRootFromParent_Done,
     /*  116151 */   // Label 1972: @116151
     /*  116151 */   GIM_Reject,
     /*  116152 */ // Label 1970: @116152
     /*  116152 */ GIM_Reject,
     /*  116153 */ // Label 1942: @116153
     /*  116153 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(116267),
     /*  116158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  116161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  116164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116176 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(116221), // Rule ID 51322 //
     /*  116181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116184 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116219 */     GIR_RootConstrainSelectedInstOperands,
     /*  116220 */     // GIR_Coverage, 51322,
     /*  116220 */     GIR_EraseRootFromParent_Done,
     /*  116221 */   // Label 1974: @116221
     /*  116221 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(116266), // Rule ID 51323 //
     /*  116226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116229 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116264 */     GIR_RootConstrainSelectedInstOperands,
     /*  116265 */     // GIR_Coverage, 51323,
     /*  116265 */     GIR_EraseRootFromParent_Done,
     /*  116266 */   // Label 1975: @116266
     /*  116266 */   GIM_Reject,
     /*  116267 */ // Label 1973: @116267
     /*  116267 */ GIM_Reject,
     /*  116268 */ // Label 1943: @116268
     /*  116268 */ GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(116382),
     /*  116273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  116276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  116279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116291 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(116336), // Rule ID 51290 //
     /*  116296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116299 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116334 */     GIR_RootConstrainSelectedInstOperands,
     /*  116335 */     // GIR_Coverage, 51290,
     /*  116335 */     GIR_EraseRootFromParent_Done,
     /*  116336 */   // Label 1977: @116336
     /*  116336 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(116381), // Rule ID 51291 //
     /*  116341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116344 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116379 */     GIR_RootConstrainSelectedInstOperands,
     /*  116380 */     // GIR_Coverage, 51291,
     /*  116380 */     GIR_EraseRootFromParent_Done,
     /*  116381 */   // Label 1978: @116381
     /*  116381 */   GIM_Reject,
     /*  116382 */ // Label 1976: @116382
     /*  116382 */ GIM_Reject,
     /*  116383 */ // Label 1944: @116383
     /*  116383 */ GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(116497),
     /*  116388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  116391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  116394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116406 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(116451), // Rule ID 51302 //
     /*  116411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116414 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116449 */     GIR_RootConstrainSelectedInstOperands,
     /*  116450 */     // GIR_Coverage, 51302,
     /*  116450 */     GIR_EraseRootFromParent_Done,
     /*  116451 */   // Label 1980: @116451
     /*  116451 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(116496), // Rule ID 51303 //
     /*  116456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116459 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116494 */     GIR_RootConstrainSelectedInstOperands,
     /*  116495 */     // GIR_Coverage, 51303,
     /*  116495 */     GIR_EraseRootFromParent_Done,
     /*  116496 */   // Label 1981: @116496
     /*  116496 */   GIM_Reject,
     /*  116497 */ // Label 1979: @116497
     /*  116497 */ GIM_Reject,
     /*  116498 */ // Label 1945: @116498
     /*  116498 */ GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(116612),
     /*  116503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  116506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  116509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116521 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(116566), // Rule ID 51318 //
     /*  116526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116529 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116564 */     GIR_RootConstrainSelectedInstOperands,
     /*  116565 */     // GIR_Coverage, 51318,
     /*  116565 */     GIR_EraseRootFromParent_Done,
     /*  116566 */   // Label 1983: @116566
     /*  116566 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(116611), // Rule ID 51319 //
     /*  116571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116574 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116609 */     GIR_RootConstrainSelectedInstOperands,
     /*  116610 */     // GIR_Coverage, 51319,
     /*  116610 */     GIR_EraseRootFromParent_Done,
     /*  116611 */   // Label 1984: @116611
     /*  116611 */   GIM_Reject,
     /*  116612 */ // Label 1982: @116612
     /*  116612 */ GIM_Reject,
     /*  116613 */ // Label 1946: @116613
     /*  116613 */ GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(116727),
     /*  116618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  116621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  116624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116636 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(116681), // Rule ID 51362 //
     /*  116641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116644 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116679 */     GIR_RootConstrainSelectedInstOperands,
     /*  116680 */     // GIR_Coverage, 51362,
     /*  116680 */     GIR_EraseRootFromParent_Done,
     /*  116681 */   // Label 1986: @116681
     /*  116681 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(116726), // Rule ID 51363 //
     /*  116686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116689 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116724 */     GIR_RootConstrainSelectedInstOperands,
     /*  116725 */     // GIR_Coverage, 51363,
     /*  116725 */     GIR_EraseRootFromParent_Done,
     /*  116726 */   // Label 1987: @116726
     /*  116726 */   GIM_Reject,
     /*  116727 */ // Label 1985: @116727
     /*  116727 */ GIM_Reject,
     /*  116728 */ // Label 1947: @116728
     /*  116728 */ GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(116842),
     /*  116733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  116736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  116739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116751 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(116796), // Rule ID 51294 //
     /*  116756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116759 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116794 */     GIR_RootConstrainSelectedInstOperands,
     /*  116795 */     // GIR_Coverage, 51294,
     /*  116795 */     GIR_EraseRootFromParent_Done,
     /*  116796 */   // Label 1989: @116796
     /*  116796 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(116841), // Rule ID 51295 //
     /*  116801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116804 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116839 */     GIR_RootConstrainSelectedInstOperands,
     /*  116840 */     // GIR_Coverage, 51295,
     /*  116840 */     GIR_EraseRootFromParent_Done,
     /*  116841 */   // Label 1990: @116841
     /*  116841 */   GIM_Reject,
     /*  116842 */ // Label 1988: @116842
     /*  116842 */ GIM_Reject,
     /*  116843 */ // Label 1948: @116843
     /*  116843 */ GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(116957),
     /*  116848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  116851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  116854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116866 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(116911), // Rule ID 51314 //
     /*  116871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116874 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116909 */     GIR_RootConstrainSelectedInstOperands,
     /*  116910 */     // GIR_Coverage, 51314,
     /*  116910 */     GIR_EraseRootFromParent_Done,
     /*  116911 */   // Label 1992: @116911
     /*  116911 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(116956), // Rule ID 51315 //
     /*  116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116919 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116954 */     GIR_RootConstrainSelectedInstOperands,
     /*  116955 */     // GIR_Coverage, 51315,
     /*  116955 */     GIR_EraseRootFromParent_Done,
     /*  116956 */   // Label 1993: @116956
     /*  116956 */   GIM_Reject,
     /*  116957 */ // Label 1991: @116957
     /*  116957 */ GIM_Reject,
     /*  116958 */ // Label 1949: @116958
     /*  116958 */ GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(117072),
     /*  116963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  116966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  116969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116981 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(117026), // Rule ID 51350 //
     /*  116986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116989 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  116992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117024 */     GIR_RootConstrainSelectedInstOperands,
     /*  117025 */     // GIR_Coverage, 51350,
     /*  117025 */     GIR_EraseRootFromParent_Done,
     /*  117026 */   // Label 1995: @117026
     /*  117026 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(117071), // Rule ID 51351 //
     /*  117031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117034 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  117037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117069 */     GIR_RootConstrainSelectedInstOperands,
     /*  117070 */     // GIR_Coverage, 51351,
     /*  117070 */     GIR_EraseRootFromParent_Done,
     /*  117071 */   // Label 1996: @117071
     /*  117071 */   GIM_Reject,
     /*  117072 */ // Label 1994: @117072
     /*  117072 */ GIM_Reject,
     /*  117073 */ // Label 1950: @117073
     /*  117073 */ GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(117187),
     /*  117078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  117081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  117084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117096 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(117141), // Rule ID 51366 //
     /*  117101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117104 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117139 */     GIR_RootConstrainSelectedInstOperands,
     /*  117140 */     // GIR_Coverage, 51366,
     /*  117140 */     GIR_EraseRootFromParent_Done,
     /*  117141 */   // Label 1998: @117141
     /*  117141 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(117186), // Rule ID 51367 //
     /*  117146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117149 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117184 */     GIR_RootConstrainSelectedInstOperands,
     /*  117185 */     // GIR_Coverage, 51367,
     /*  117185 */     GIR_EraseRootFromParent_Done,
     /*  117186 */   // Label 1999: @117186
     /*  117186 */   GIM_Reject,
     /*  117187 */ // Label 1997: @117187
     /*  117187 */ GIM_Reject,
     /*  117188 */ // Label 1951: @117188
     /*  117188 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(117302),
     /*  117193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  117196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  117199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117211 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(117256), // Rule ID 51310 //
     /*  117216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117219 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117254 */     GIR_RootConstrainSelectedInstOperands,
     /*  117255 */     // GIR_Coverage, 51310,
     /*  117255 */     GIR_EraseRootFromParent_Done,
     /*  117256 */   // Label 2001: @117256
     /*  117256 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(117301), // Rule ID 51311 //
     /*  117261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117264 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117299 */     GIR_RootConstrainSelectedInstOperands,
     /*  117300 */     // GIR_Coverage, 51311,
     /*  117300 */     GIR_EraseRootFromParent_Done,
     /*  117301 */   // Label 2002: @117301
     /*  117301 */   GIM_Reject,
     /*  117302 */ // Label 2000: @117302
     /*  117302 */ GIM_Reject,
     /*  117303 */ // Label 1952: @117303
     /*  117303 */ GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(117417),
     /*  117308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  117311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  117314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(117371), // Rule ID 51338 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117334 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117369 */     GIR_RootConstrainSelectedInstOperands,
     /*  117370 */     // GIR_Coverage, 51338,
     /*  117370 */     GIR_EraseRootFromParent_Done,
     /*  117371 */   // Label 2004: @117371
     /*  117371 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(117416), // Rule ID 51339 //
     /*  117376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117379 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117414 */     GIR_RootConstrainSelectedInstOperands,
     /*  117415 */     // GIR_Coverage, 51339,
     /*  117415 */     GIR_EraseRootFromParent_Done,
     /*  117416 */   // Label 2005: @117416
     /*  117416 */   GIM_Reject,
     /*  117417 */ // Label 2003: @117417
     /*  117417 */ GIM_Reject,
     /*  117418 */ // Label 1953: @117418
     /*  117418 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(117532),
     /*  117423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  117426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  117429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117441 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(117486), // Rule ID 51354 //
     /*  117446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117449 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117484 */     GIR_RootConstrainSelectedInstOperands,
     /*  117485 */     // GIR_Coverage, 51354,
     /*  117485 */     GIR_EraseRootFromParent_Done,
     /*  117486 */   // Label 2007: @117486
     /*  117486 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(117531), // Rule ID 51355 //
     /*  117491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117494 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117529 */     GIR_RootConstrainSelectedInstOperands,
     /*  117530 */     // GIR_Coverage, 51355,
     /*  117530 */     GIR_EraseRootFromParent_Done,
     /*  117531 */   // Label 2008: @117531
     /*  117531 */   GIM_Reject,
     /*  117532 */ // Label 2006: @117532
     /*  117532 */ GIM_Reject,
     /*  117533 */ // Label 1954: @117533
     /*  117533 */ GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(117647),
     /*  117538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  117541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  117544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117556 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(117601), // Rule ID 51370 //
     /*  117561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117564 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117599 */     GIR_RootConstrainSelectedInstOperands,
     /*  117600 */     // GIR_Coverage, 51370,
     /*  117600 */     GIR_EraseRootFromParent_Done,
     /*  117601 */   // Label 2010: @117601
     /*  117601 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(117646), // Rule ID 51371 //
     /*  117606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117609 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117644 */     GIR_RootConstrainSelectedInstOperands,
     /*  117645 */     // GIR_Coverage, 51371,
     /*  117645 */     GIR_EraseRootFromParent_Done,
     /*  117646 */   // Label 2011: @117646
     /*  117646 */   GIM_Reject,
     /*  117647 */ // Label 2009: @117647
     /*  117647 */ GIM_Reject,
     /*  117648 */ // Label 1955: @117648
     /*  117648 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(117762),
     /*  117653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  117656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  117659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117671 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(117716), // Rule ID 51326 //
     /*  117676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117679 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117714 */     GIR_RootConstrainSelectedInstOperands,
     /*  117715 */     // GIR_Coverage, 51326,
     /*  117715 */     GIR_EraseRootFromParent_Done,
     /*  117716 */   // Label 2013: @117716
     /*  117716 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(117761), // Rule ID 51327 //
     /*  117721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117724 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117759 */     GIR_RootConstrainSelectedInstOperands,
     /*  117760 */     // GIR_Coverage, 51327,
     /*  117760 */     GIR_EraseRootFromParent_Done,
     /*  117761 */   // Label 2014: @117761
     /*  117761 */   GIM_Reject,
     /*  117762 */ // Label 2012: @117762
     /*  117762 */ GIM_Reject,
     /*  117763 */ // Label 1956: @117763
     /*  117763 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(117877),
     /*  117768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  117771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  117774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117786 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(117831), // Rule ID 51342 //
     /*  117791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117794 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117829 */     GIR_RootConstrainSelectedInstOperands,
     /*  117830 */     // GIR_Coverage, 51342,
     /*  117830 */     GIR_EraseRootFromParent_Done,
     /*  117831 */   // Label 2016: @117831
     /*  117831 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(117876), // Rule ID 51343 //
     /*  117836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117839 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117874 */     GIR_RootConstrainSelectedInstOperands,
     /*  117875 */     // GIR_Coverage, 51343,
     /*  117875 */     GIR_EraseRootFromParent_Done,
     /*  117876 */   // Label 2017: @117876
     /*  117876 */   GIM_Reject,
     /*  117877 */ // Label 2015: @117877
     /*  117877 */ GIM_Reject,
     /*  117878 */ // Label 1957: @117878
     /*  117878 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(117992),
     /*  117883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  117886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  117889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117901 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(117946), // Rule ID 51358 //
     /*  117906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117909 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117944 */     GIR_RootConstrainSelectedInstOperands,
     /*  117945 */     // GIR_Coverage, 51358,
     /*  117945 */     GIR_EraseRootFromParent_Done,
     /*  117946 */   // Label 2019: @117946
     /*  117946 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(117991), // Rule ID 51359 //
     /*  117951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117954 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117989 */     GIR_RootConstrainSelectedInstOperands,
     /*  117990 */     // GIR_Coverage, 51359,
     /*  117990 */     GIR_EraseRootFromParent_Done,
     /*  117991 */   // Label 2020: @117991
     /*  117991 */   GIM_Reject,
     /*  117992 */ // Label 2018: @117992
     /*  117992 */ GIM_Reject,
     /*  117993 */ // Label 1958: @117993
     /*  117993 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(118107),
     /*  117998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  118001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  118004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118016 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(118061), // Rule ID 51330 //
     /*  118021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118024 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118059 */     GIR_RootConstrainSelectedInstOperands,
     /*  118060 */     // GIR_Coverage, 51330,
     /*  118060 */     GIR_EraseRootFromParent_Done,
     /*  118061 */   // Label 2022: @118061
     /*  118061 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(118106), // Rule ID 51331 //
     /*  118066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118069 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118104 */     GIR_RootConstrainSelectedInstOperands,
     /*  118105 */     // GIR_Coverage, 51331,
     /*  118105 */     GIR_EraseRootFromParent_Done,
     /*  118106 */   // Label 2023: @118106
     /*  118106 */   GIM_Reject,
     /*  118107 */ // Label 2021: @118107
     /*  118107 */ GIM_Reject,
     /*  118108 */ // Label 1959: @118108
     /*  118108 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(118222),
     /*  118113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  118116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  118119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118131 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(118176), // Rule ID 51346 //
     /*  118136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118139 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118174 */     GIR_RootConstrainSelectedInstOperands,
     /*  118175 */     // GIR_Coverage, 51346,
     /*  118175 */     GIR_EraseRootFromParent_Done,
     /*  118176 */   // Label 2025: @118176
     /*  118176 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(118221), // Rule ID 51347 //
     /*  118181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118184 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118219 */     GIR_RootConstrainSelectedInstOperands,
     /*  118220 */     // GIR_Coverage, 51347,
     /*  118220 */     GIR_EraseRootFromParent_Done,
     /*  118221 */   // Label 2026: @118221
     /*  118221 */   GIM_Reject,
     /*  118222 */ // Label 2024: @118222
     /*  118222 */ GIM_Reject,
     /*  118223 */ // Label 1960: @118223
     /*  118223 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(118337),
     /*  118228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  118231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  118234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118246 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(118291), // Rule ID 51334 //
     /*  118251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118254 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118289 */     GIR_RootConstrainSelectedInstOperands,
     /*  118290 */     // GIR_Coverage, 51334,
     /*  118290 */     GIR_EraseRootFromParent_Done,
     /*  118291 */   // Label 2028: @118291
     /*  118291 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(118336), // Rule ID 51335 //
     /*  118296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118299 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118334 */     GIR_RootConstrainSelectedInstOperands,
     /*  118335 */     // GIR_Coverage, 51335,
     /*  118335 */     GIR_EraseRootFromParent_Done,
     /*  118336 */   // Label 2029: @118336
     /*  118336 */   GIM_Reject,
     /*  118337 */ // Label 2027: @118337
     /*  118337 */ GIM_Reject,
     /*  118338 */ // Label 1961: @118338
     /*  118338 */ GIM_Reject,
     /*  118339 */ // Label 7: @118339
     /*  118339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2061*/ GIMT_Encode4(127820),
     /*  118350 */ /*GILLT_s32*//*Label 2030*/ GIMT_Encode4(118474),
     /*  118354 */ /*GILLT_s64*//*Label 2031*/ GIMT_Encode4(119692),
     /*  118358 */ /*GILLT_nxv1s1*//*Label 2032*/ GIMT_Encode4(121013),
     /*  118362 */ /*GILLT_nxv1s8*//*Label 2033*/ GIMT_Encode4(121624),
     /*  118366 */ /*GILLT_nxv1s16*//*Label 2034*/ GIMT_Encode4(121739),
     /*  118370 */ /*GILLT_nxv1s32*//*Label 2035*/ GIMT_Encode4(121854),
     /*  118374 */ /*GILLT_nxv1s64*//*Label 2036*/ GIMT_Encode4(121969),
     /*  118378 */ /*GILLT_nxv2s1*//*Label 2037*/ GIMT_Encode4(122084),
     /*  118382 */ /*GILLT_nxv2s8*//*Label 2038*/ GIMT_Encode4(122695),
     /*  118386 */ /*GILLT_nxv2s16*//*Label 2039*/ GIMT_Encode4(122810),
     /*  118390 */ /*GILLT_nxv2s32*//*Label 2040*/ GIMT_Encode4(122925),
     /*  118394 */ /*GILLT_nxv2s64*//*Label 2041*/ GIMT_Encode4(123040),
     /*  118398 */ /*GILLT_nxv4s1*//*Label 2042*/ GIMT_Encode4(123155),
     /*  118402 */ /*GILLT_nxv4s8*//*Label 2043*/ GIMT_Encode4(123766),
     /*  118406 */ /*GILLT_nxv4s16*//*Label 2044*/ GIMT_Encode4(123881),
     /*  118410 */ /*GILLT_nxv4s32*//*Label 2045*/ GIMT_Encode4(123996),
     /*  118414 */ /*GILLT_nxv4s64*//*Label 2046*/ GIMT_Encode4(124111),
     /*  118418 */ /*GILLT_nxv8s1*//*Label 2047*/ GIMT_Encode4(124226),
     /*  118422 */ /*GILLT_nxv8s8*//*Label 2048*/ GIMT_Encode4(124837),
     /*  118426 */ /*GILLT_nxv8s16*//*Label 2049*/ GIMT_Encode4(124952),
     /*  118430 */ /*GILLT_nxv8s32*//*Label 2050*/ GIMT_Encode4(125067),
     /*  118434 */ /*GILLT_nxv8s64*//*Label 2051*/ GIMT_Encode4(125182),
     /*  118438 */ /*GILLT_nxv16s1*//*Label 2052*/ GIMT_Encode4(125297),
     /*  118442 */ /*GILLT_nxv16s8*//*Label 2053*/ GIMT_Encode4(125908),
     /*  118446 */ /*GILLT_nxv16s16*//*Label 2054*/ GIMT_Encode4(126023),
     /*  118450 */ /*GILLT_nxv16s32*//*Label 2055*/ GIMT_Encode4(126138),
     /*  118454 */ /*GILLT_nxv32s1*//*Label 2056*/ GIMT_Encode4(126253),
     /*  118458 */ /*GILLT_nxv32s8*//*Label 2057*/ GIMT_Encode4(126864),
     /*  118462 */ /*GILLT_nxv32s16*//*Label 2058*/ GIMT_Encode4(126979),
     /*  118466 */ /*GILLT_nxv64s1*//*Label 2059*/ GIMT_Encode4(127094),
     /*  118470 */ /*GILLT_nxv64s8*//*Label 2060*/ GIMT_Encode4(127705),
     /*  118474 */ // Label 2030: @118474
     /*  118474 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(119691),
     /*  118479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  118482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  118485 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(118574), // Rule ID 65331 //
     /*  118490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118534 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118538 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118558 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118572 */     GIR_RootConstrainSelectedInstOperands,
     /*  118573 */     // GIR_Coverage, 65331,
     /*  118573 */     GIR_EraseRootFromParent_Done,
     /*  118574 */   // Label 2063: @118574
     /*  118574 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(118663), // Rule ID 2534 //
     /*  118579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118623 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118627 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118647 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118661 */     GIR_RootConstrainSelectedInstOperands,
     /*  118662 */     // GIR_Coverage, 2534,
     /*  118662 */     GIR_EraseRootFromParent_Done,
     /*  118663 */   // Label 2064: @118663
     /*  118663 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(118742), // Rule ID 2461 //
     /*  118668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118707 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118711 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118728 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118740 */     GIR_RootConstrainSelectedInstOperands,
     /*  118741 */     // GIR_Coverage, 2461,
     /*  118741 */     GIR_EraseRootFromParent_Done,
     /*  118742 */   // Label 2065: @118742
     /*  118742 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(118821), // Rule ID 65319 //
     /*  118747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118807 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118819 */     GIR_RootConstrainSelectedInstOperands,
     /*  118820 */     // GIR_Coverage, 65319,
     /*  118820 */     GIR_EraseRootFromParent_Done,
     /*  118821 */   // Label 2066: @118821
     /*  118821 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(118886), // Rule ID 2481 //
     /*  118826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118862 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118866 */     // MIs[2] Operand 1
     /*  118866 */     // No operand predicates
     /*  118866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118872 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  118875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118884 */     GIR_RootConstrainSelectedInstOperands,
     /*  118885 */     // GIR_Coverage, 2481,
     /*  118885 */     GIR_EraseRootFromParent_Done,
     /*  118886 */   // Label 2067: @118886
     /*  118886 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(118951), // Rule ID 62563 //
     /*  118891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  118894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118927 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118931 */     // MIs[2] Operand 1
     /*  118931 */     // No operand predicates
     /*  118931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118937 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  118940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118949 */     GIR_RootConstrainSelectedInstOperands,
     /*  118950 */     // GIR_Coverage, 62563,
     /*  118950 */     GIR_EraseRootFromParent_Done,
     /*  118951 */   // Label 2068: @118951
     /*  118951 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(119013), // Rule ID 2469 //
     /*  118956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  118990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118997 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  119000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119011 */     GIR_RootConstrainSelectedInstOperands,
     /*  119012 */     // GIR_Coverage, 2469,
     /*  119012 */     GIR_EraseRootFromParent_Done,
     /*  119013 */   // Label 2069: @119013
     /*  119013 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(119069), // Rule ID 2463 //
     /*  119018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119041 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119056 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119067 */     GIR_RootConstrainSelectedInstOperands,
     /*  119068 */     // GIR_Coverage, 2463,
     /*  119068 */     GIR_EraseRootFromParent_Done,
     /*  119069 */   // Label 2070: @119069
     /*  119069 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(119125), // Rule ID 65305 //
     /*  119074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119102 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119112 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119123 */     GIR_RootConstrainSelectedInstOperands,
     /*  119124 */     // GIR_Coverage, 65305,
     /*  119124 */     GIR_EraseRootFromParent_Done,
     /*  119125 */   // Label 2071: @119125
     /*  119125 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(119181), // Rule ID 65321 //
     /*  119130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119157 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119168 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119179 */     GIR_RootConstrainSelectedInstOperands,
     /*  119180 */     // GIR_Coverage, 65321,
     /*  119180 */     GIR_EraseRootFromParent_Done,
     /*  119181 */   // Label 2072: @119181
     /*  119181 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(119237), // Rule ID 2437 //
     /*  119186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119218 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119224 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119235 */     GIR_RootConstrainSelectedInstOperands,
     /*  119236 */     // GIR_Coverage, 2437,
     /*  119236 */     GIR_EraseRootFromParent_Done,
     /*  119237 */   // Label 2073: @119237
     /*  119237 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(119273), // Rule ID 64464 //
     /*  119242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119253 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119264 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  119267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119271 */     GIR_RootConstrainSelectedInstOperands,
     /*  119272 */     // GIR_Coverage, 64464,
     /*  119272 */     GIR_EraseRootFromParent_Done,
     /*  119273 */   // Label 2074: @119273
     /*  119273 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(119309), // Rule ID 64466 //
     /*  119278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119289 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119300 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  119303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119307 */     GIR_RootConstrainSelectedInstOperands,
     /*  119308 */     // GIR_Coverage, 64466,
     /*  119308 */     GIR_EraseRootFromParent_Done,
     /*  119309 */   // Label 2075: @119309
     /*  119309 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(119345), // Rule ID 2545 //
     /*  119314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  119317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119325 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119336 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119343 */     GIR_RootConstrainSelectedInstOperands,
     /*  119344 */     // GIR_Coverage, 2545,
     /*  119344 */     GIR_EraseRootFromParent_Done,
     /*  119345 */   // Label 2076: @119345
     /*  119345 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(119381), // Rule ID 2546 //
     /*  119350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  119353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119361 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119372 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119379 */     GIR_RootConstrainSelectedInstOperands,
     /*  119380 */     // GIR_Coverage, 2546,
     /*  119380 */     GIR_EraseRootFromParent_Done,
     /*  119381 */   // Label 2077: @119381
     /*  119381 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(119423), // Rule ID 2548 //
     /*  119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  119389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119397 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119408 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  119408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119421 */     GIR_RootConstrainSelectedInstOperands,
     /*  119422 */     // GIR_Coverage, 2548,
     /*  119422 */     GIR_EraseRootFromParent_Done,
     /*  119423 */   // Label 2078: @119423
     /*  119423 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(119465), // Rule ID 2549 //
     /*  119428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  119431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119439 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119450 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  119450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119463 */     GIR_RootConstrainSelectedInstOperands,
     /*  119464 */     // GIR_Coverage, 2549,
     /*  119464 */     GIR_EraseRootFromParent_Done,
     /*  119465 */   // Label 2079: @119465
     /*  119465 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(119507), // Rule ID 85 //
     /*  119470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  119493 */     // MIs[1] Operand 1
     /*  119493 */     // No operand predicates
     /*  119493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119495 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  119495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  119498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119505 */     GIR_RootConstrainSelectedInstOperands,
     /*  119506 */     // GIR_Coverage, 85,
     /*  119506 */     GIR_EraseRootFromParent_Done,
     /*  119507 */   // Label 2080: @119507
     /*  119507 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(119579), // Rule ID 103 //
     /*  119512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119531 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  119535 */     // MIs[1] Operand 1
     /*  119535 */     // No operand predicates
     /*  119535 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9833),
     /*  119539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119541 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9833>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  119541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  119544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  119548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  119557 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  119562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  119567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119572 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  119577 */     GIR_RootConstrainSelectedInstOperands,
     /*  119578 */     // GIR_Coverage, 103,
     /*  119578 */     GIR_EraseRootFromParent_Done,
     /*  119579 */   // Label 2081: @119579
     /*  119579 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(119621), // Rule ID 64517 //
     /*  119584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  119587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  119607 */     // MIs[1] Operand 1
     /*  119607 */     // No operand predicates
     /*  119607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119609 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  119609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  119612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  119614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119619 */     GIR_RootConstrainSelectedInstOperands,
     /*  119620 */     // GIR_Coverage, 64517,
     /*  119620 */     GIR_EraseRootFromParent_Done,
     /*  119621 */   // Label 2082: @119621
     /*  119621 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(119663), // Rule ID 64521 //
     /*  119626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  119629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  119649 */     // MIs[1] Operand 1
     /*  119649 */     // No operand predicates
     /*  119649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119651 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  119651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  119654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119661 */     GIR_RootConstrainSelectedInstOperands,
     /*  119662 */     // GIR_Coverage, 64521,
     /*  119662 */     GIR_EraseRootFromParent_Done,
     /*  119663 */   // Label 2083: @119663
     /*  119663 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(119690), // Rule ID 83 //
     /*  119668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119683 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  119688 */     GIR_RootConstrainSelectedInstOperands,
     /*  119689 */     // GIR_Coverage, 83,
     /*  119689 */     GIR_Done,
     /*  119690 */   // Label 2084: @119690
     /*  119690 */   GIM_Reject,
     /*  119691 */ // Label 2062: @119691
     /*  119691 */ GIM_Reject,
     /*  119692 */ // Label 2031: @119692
     /*  119692 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(121012),
     /*  119697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  119700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  119703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119707 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(119792), // Rule ID 65330 //
     /*  119712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  119715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  119723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119752 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  119756 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  119776 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  119779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  119786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  119790 */     GIR_RootConstrainSelectedInstOperands,
     /*  119791 */     // GIR_Coverage, 65330,
     /*  119791 */     GIR_EraseRootFromParent_Done,
     /*  119792 */   // Label 2086: @119792
     /*  119792 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(119877), // Rule ID 2533 //
     /*  119797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  119800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  119808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119837 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  119841 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  119861 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  119864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  119871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  119875 */     GIR_RootConstrainSelectedInstOperands,
     /*  119876 */     // GIR_Coverage, 2533,
     /*  119876 */     GIR_EraseRootFromParent_Done,
     /*  119877 */   // Label 2087: @119877
     /*  119877 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(119952), // Rule ID 2460 //
     /*  119882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  119885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119913 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119917 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  119921 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  119938 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119950 */     GIR_RootConstrainSelectedInstOperands,
     /*  119951 */     // GIR_Coverage, 2460,
     /*  119951 */     GIR_EraseRootFromParent_Done,
     /*  119952 */   // Label 2088: @119952
     /*  119952 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(120027), // Rule ID 65318 //
     /*  119957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  119960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119996 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120000 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120013 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120025 */     GIR_RootConstrainSelectedInstOperands,
     /*  120026 */     // GIR_Coverage, 65318,
     /*  120026 */     GIR_EraseRootFromParent_Done,
     /*  120027 */   // Label 2089: @120027
     /*  120027 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(120088), // Rule ID 2480 //
     /*  120032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120064 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120068 */     // MIs[2] Operand 1
     /*  120068 */     // No operand predicates
     /*  120068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120074 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  120077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120086 */     GIR_RootConstrainSelectedInstOperands,
     /*  120087 */     // GIR_Coverage, 2480,
     /*  120087 */     GIR_EraseRootFromParent_Done,
     /*  120088 */   // Label 2090: @120088
     /*  120088 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(120149), // Rule ID 62562 //
     /*  120093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  120096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120125 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120129 */     // MIs[2] Operand 1
     /*  120129 */     // No operand predicates
     /*  120129 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120135 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  120138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120147 */     GIR_RootConstrainSelectedInstOperands,
     /*  120148 */     // GIR_Coverage, 62562,
     /*  120148 */     GIR_EraseRootFromParent_Done,
     /*  120149 */   // Label 2091: @120149
     /*  120149 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(120207), // Rule ID 2468 //
     /*  120154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120191 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  120194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120205 */     GIR_RootConstrainSelectedInstOperands,
     /*  120206 */     // GIR_Coverage, 2468,
     /*  120206 */     GIR_EraseRootFromParent_Done,
     /*  120207 */   // Label 2092: @120207
     /*  120207 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(120259), // Rule ID 2462 //
     /*  120212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120231 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120246 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120257 */     GIR_RootConstrainSelectedInstOperands,
     /*  120258 */     // GIR_Coverage, 2462,
     /*  120258 */     GIR_EraseRootFromParent_Done,
     /*  120259 */   // Label 2093: @120259
     /*  120259 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(120311), // Rule ID 65304 //
     /*  120264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120298 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120309 */     GIR_RootConstrainSelectedInstOperands,
     /*  120310 */     // GIR_Coverage, 65304,
     /*  120310 */     GIR_EraseRootFromParent_Done,
     /*  120311 */   // Label 2094: @120311
     /*  120311 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(120363), // Rule ID 65320 //
     /*  120316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120339 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120350 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120361 */     GIR_RootConstrainSelectedInstOperands,
     /*  120362 */     // GIR_Coverage, 65320,
     /*  120362 */     GIR_EraseRootFromParent_Done,
     /*  120363 */   // Label 2095: @120363
     /*  120363 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(120415), // Rule ID 2436 //
     /*  120368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120396 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120402 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120413 */     GIR_RootConstrainSelectedInstOperands,
     /*  120414 */     // GIR_Coverage, 2436,
     /*  120414 */     GIR_EraseRootFromParent_Done,
     /*  120415 */   // Label 2096: @120415
     /*  120415 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(120447), // Rule ID 64463 //
     /*  120420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120427 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120438 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  120441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120445 */     GIR_RootConstrainSelectedInstOperands,
     /*  120446 */     // GIR_Coverage, 64463,
     /*  120446 */     GIR_EraseRootFromParent_Done,
     /*  120447 */   // Label 2097: @120447
     /*  120447 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(120479), // Rule ID 64465 //
     /*  120452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120459 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  120470 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  120473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120477 */     GIR_RootConstrainSelectedInstOperands,
     /*  120478 */     // GIR_Coverage, 64465,
     /*  120478 */     GIR_EraseRootFromParent_Done,
     /*  120479 */   // Label 2098: @120479
     /*  120479 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(120536), // Rule ID 252 //
     /*  120484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  120487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120491 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120502 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  120502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  120518 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  120521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  120534 */     GIR_RootConstrainSelectedInstOperands,
     /*  120535 */     // GIR_Coverage, 252,
     /*  120535 */     GIR_EraseRootFromParent_Done,
     /*  120536 */   // Label 2099: @120536
     /*  120536 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(120568), // Rule ID 2547 //
     /*  120541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  120544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120548 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120559 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  120559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  120562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120566 */     GIR_RootConstrainSelectedInstOperands,
     /*  120567 */     // GIR_Coverage, 2547,
     /*  120567 */     GIR_EraseRootFromParent_Done,
     /*  120568 */   // Label 2100: @120568
     /*  120568 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(120606), // Rule ID 2550 //
     /*  120573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  120576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120580 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120591 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  120594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120604 */     GIR_RootConstrainSelectedInstOperands,
     /*  120605 */     // GIR_Coverage, 2550,
     /*  120605 */     GIR_EraseRootFromParent_Done,
     /*  120606 */   // Label 2101: @120606
     /*  120606 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(120644), // Rule ID 2591 //
     /*  120611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  120614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120618 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120629 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  120632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120642 */     GIR_RootConstrainSelectedInstOperands,
     /*  120643 */     // GIR_Coverage, 2591,
     /*  120643 */     GIR_EraseRootFromParent_Done,
     /*  120644 */   // Label 2102: @120644
     /*  120644 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(120682), // Rule ID 65023 //
     /*  120649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*  120652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120656 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120667 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*  120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120680 */     GIR_RootConstrainSelectedInstOperands,
     /*  120681 */     // GIR_Coverage, 65023,
     /*  120681 */     GIR_EraseRootFromParent_Done,
     /*  120682 */   // Label 2103: @120682
     /*  120682 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(120720), // Rule ID 84 //
     /*  120687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  120706 */     // MIs[1] Operand 1
     /*  120706 */     // No operand predicates
     /*  120706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120708 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  120708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  120711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120718 */     GIR_RootConstrainSelectedInstOperands,
     /*  120719 */     // GIR_Coverage, 84,
     /*  120719 */     GIR_EraseRootFromParent_Done,
     /*  120720 */   // Label 2104: @120720
     /*  120720 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(120788), // Rule ID 101 //
     /*  120725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  120744 */     // MIs[1] Operand 1
     /*  120744 */     // No operand predicates
     /*  120744 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9831),
     /*  120748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120750 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9831>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120766 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120781 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120786 */     GIR_RootConstrainSelectedInstOperands,
     /*  120787 */     // GIR_Coverage, 101,
     /*  120787 */     GIR_EraseRootFromParent_Done,
     /*  120788 */   // Label 2105: @120788
     /*  120788 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(120856), // Rule ID 102 //
     /*  120793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120808 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  120812 */     // MIs[1] Operand 1
     /*  120812 */     // No operand predicates
     /*  120812 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9833),
     /*  120816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120818 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9833>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120834 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120849 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 102,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2106: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(120924), // Rule ID 254 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  120864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  120880 */     // MIs[1] Operand 1
     /*  120880 */     // No operand predicates
     /*  120880 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9921),
     /*  120884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120886 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_9921>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  120893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120902 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120917 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120922 */     GIR_RootConstrainSelectedInstOperands,
     /*  120923 */     // GIR_Coverage, 254,
     /*  120923 */     GIR_EraseRootFromParent_Done,
     /*  120924 */   // Label 2107: @120924
     /*  120924 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(120988), // Rule ID 2610 //
     /*  120929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  120932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120944 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  120948 */     // MIs[1] Operand 1
     /*  120948 */     // No operand predicates
     /*  120948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120950 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  120950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120962 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  120966 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  120976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120981 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120986 */     GIR_RootConstrainSelectedInstOperands,
     /*  120987 */     // GIR_Coverage, 2610,
     /*  120987 */     GIR_EraseRootFromParent_Done,
     /*  120988 */   // Label 2108: @120988
     /*  120988 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(121011), // Rule ID 82 //
     /*  120993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121004 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  121009 */     GIR_RootConstrainSelectedInstOperands,
     /*  121010 */     // GIR_Coverage, 82,
     /*  121010 */     GIR_Done,
     /*  121011 */   // Label 2109: @121011
     /*  121011 */   GIM_Reject,
     /*  121012 */ // Label 2085: @121012
     /*  121012 */ GIM_Reject,
     /*  121013 */ // Label 2032: @121013
     /*  121013 */ GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(121623),
     /*  121018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121028 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(121094), // Rule ID 71528 //
     /*  121033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121075 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121092 */     GIR_RootConstrainSelectedInstOperands,
     /*  121093 */     // GIR_Coverage, 71528,
     /*  121093 */     GIR_EraseRootFromParent_Done,
     /*  121094 */   // Label 2111: @121094
     /*  121094 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(121160), // Rule ID 71529 //
     /*  121099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121141 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121158 */     GIR_RootConstrainSelectedInstOperands,
     /*  121159 */     // GIR_Coverage, 71529,
     /*  121159 */     GIR_EraseRootFromParent_Done,
     /*  121160 */   // Label 2112: @121160
     /*  121160 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(121226), // Rule ID 71526 //
     /*  121165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121207 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121224 */     GIR_RootConstrainSelectedInstOperands,
     /*  121225 */     // GIR_Coverage, 71526,
     /*  121225 */     GIR_EraseRootFromParent_Done,
     /*  121226 */   // Label 2113: @121226
     /*  121226 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(121292), // Rule ID 71527 //
     /*  121231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121273 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121290 */     GIR_RootConstrainSelectedInstOperands,
     /*  121291 */     // GIR_Coverage, 71527,
     /*  121291 */     GIR_EraseRootFromParent_Done,
     /*  121292 */   // Label 2114: @121292
     /*  121292 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(121358), // Rule ID 71524 //
     /*  121297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121339 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121356 */     GIR_RootConstrainSelectedInstOperands,
     /*  121357 */     // GIR_Coverage, 71524,
     /*  121357 */     GIR_EraseRootFromParent_Done,
     /*  121358 */   // Label 2115: @121358
     /*  121358 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(121424), // Rule ID 71525 //
     /*  121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121405 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121422 */     GIR_RootConstrainSelectedInstOperands,
     /*  121423 */     // GIR_Coverage, 71525,
     /*  121423 */     GIR_EraseRootFromParent_Done,
     /*  121424 */   // Label 2116: @121424
     /*  121424 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(121490), // Rule ID 53162 //
     /*  121429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121471 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121488 */     GIR_RootConstrainSelectedInstOperands,
     /*  121489 */     // GIR_Coverage, 53162,
     /*  121489 */     GIR_EraseRootFromParent_Done,
     /*  121490 */   // Label 2117: @121490
     /*  121490 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(121556), // Rule ID 53163 //
     /*  121495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121537 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121554 */     GIR_RootConstrainSelectedInstOperands,
     /*  121555 */     // GIR_Coverage, 53163,
     /*  121555 */     GIR_EraseRootFromParent_Done,
     /*  121556 */   // Label 2118: @121556
     /*  121556 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(121589), // Rule ID 53150 //
     /*  121561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121572 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  121575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121587 */     GIR_RootConstrainSelectedInstOperands,
     /*  121588 */     // GIR_Coverage, 53150,
     /*  121588 */     GIR_EraseRootFromParent_Done,
     /*  121589 */   // Label 2119: @121589
     /*  121589 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(121622), // Rule ID 53151 //
     /*  121594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121605 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  121608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121620 */     GIR_RootConstrainSelectedInstOperands,
     /*  121621 */     // GIR_Coverage, 53151,
     /*  121621 */     GIR_EraseRootFromParent_Done,
     /*  121622 */   // Label 2120: @121622
     /*  121622 */   GIM_Reject,
     /*  121623 */ // Label 2110: @121623
     /*  121623 */ GIM_Reject,
     /*  121624 */ // Label 2033: @121624
     /*  121624 */ GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(121738),
     /*  121629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  121632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  121635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121647 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(121692), // Rule ID 47642 //
     /*  121652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121655 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  121658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  121672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121690 */     GIR_RootConstrainSelectedInstOperands,
     /*  121691 */     // GIR_Coverage, 47642,
     /*  121691 */     GIR_EraseRootFromParent_Done,
     /*  121692 */   // Label 2122: @121692
     /*  121692 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(121737), // Rule ID 47643 //
     /*  121697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121700 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  121703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  121717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121735 */     GIR_RootConstrainSelectedInstOperands,
     /*  121736 */     // GIR_Coverage, 47643,
     /*  121736 */     GIR_EraseRootFromParent_Done,
     /*  121737 */   // Label 2123: @121737
     /*  121737 */   GIM_Reject,
     /*  121738 */ // Label 2121: @121738
     /*  121738 */ GIM_Reject,
     /*  121739 */ // Label 2034: @121739
     /*  121739 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(121853),
     /*  121744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  121747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  121750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121762 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(121807), // Rule ID 47654 //
     /*  121767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121770 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  121773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  121787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121805 */     GIR_RootConstrainSelectedInstOperands,
     /*  121806 */     // GIR_Coverage, 47654,
     /*  121806 */     GIR_EraseRootFromParent_Done,
     /*  121807 */   // Label 2125: @121807
     /*  121807 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(121852), // Rule ID 47655 //
     /*  121812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121815 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  121818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  121832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121850 */     GIR_RootConstrainSelectedInstOperands,
     /*  121851 */     // GIR_Coverage, 47655,
     /*  121851 */     GIR_EraseRootFromParent_Done,
     /*  121852 */   // Label 2126: @121852
     /*  121852 */   GIM_Reject,
     /*  121853 */ // Label 2124: @121853
     /*  121853 */ GIM_Reject,
     /*  121854 */ // Label 2035: @121854
     /*  121854 */ GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(121968),
     /*  121859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  121862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  121865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121877 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(121922), // Rule ID 47662 //
     /*  121882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121885 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  121885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  121888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  121902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121920 */     GIR_RootConstrainSelectedInstOperands,
     /*  121921 */     // GIR_Coverage, 47662,
     /*  121921 */     GIR_EraseRootFromParent_Done,
     /*  121922 */   // Label 2128: @121922
     /*  121922 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(121967), // Rule ID 47663 //
     /*  121927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121930 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  121930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  121933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  121947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121965 */     GIR_RootConstrainSelectedInstOperands,
     /*  121966 */     // GIR_Coverage, 47663,
     /*  121966 */     GIR_EraseRootFromParent_Done,
     /*  121967 */   // Label 2129: @121967
     /*  121967 */   GIM_Reject,
     /*  121968 */ // Label 2127: @121968
     /*  121968 */ GIM_Reject,
     /*  121969 */ // Label 2036: @121969
     /*  121969 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(122083),
     /*  121974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  121977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  121980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121992 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(122037), // Rule ID 47678 //
     /*  121997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  122000 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  122000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122035 */     GIR_RootConstrainSelectedInstOperands,
     /*  122036 */     // GIR_Coverage, 47678,
     /*  122036 */     GIR_EraseRootFromParent_Done,
     /*  122037 */   // Label 2131: @122037
     /*  122037 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(122082), // Rule ID 47679 //
     /*  122042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  122045 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  122045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122080 */     GIR_RootConstrainSelectedInstOperands,
     /*  122081 */     // GIR_Coverage, 47679,
     /*  122081 */     GIR_EraseRootFromParent_Done,
     /*  122082 */   // Label 2132: @122082
     /*  122082 */   GIM_Reject,
     /*  122083 */ // Label 2130: @122083
     /*  122083 */ GIM_Reject,
     /*  122084 */ // Label 2037: @122084
     /*  122084 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(122694),
     /*  122089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122099 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(122165), // Rule ID 71556 //
     /*  122104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122146 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122163 */     GIR_RootConstrainSelectedInstOperands,
     /*  122164 */     // GIR_Coverage, 71556,
     /*  122164 */     GIR_EraseRootFromParent_Done,
     /*  122165 */   // Label 2134: @122165
     /*  122165 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(122231), // Rule ID 71557 //
     /*  122170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122212 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122229 */     GIR_RootConstrainSelectedInstOperands,
     /*  122230 */     // GIR_Coverage, 71557,
     /*  122230 */     GIR_EraseRootFromParent_Done,
     /*  122231 */   // Label 2135: @122231
     /*  122231 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(122297), // Rule ID 71554 //
     /*  122236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122278 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122295 */     GIR_RootConstrainSelectedInstOperands,
     /*  122296 */     // GIR_Coverage, 71554,
     /*  122296 */     GIR_EraseRootFromParent_Done,
     /*  122297 */   // Label 2136: @122297
     /*  122297 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(122363), // Rule ID 71555 //
     /*  122302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122344 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122361 */     GIR_RootConstrainSelectedInstOperands,
     /*  122362 */     // GIR_Coverage, 71555,
     /*  122362 */     GIR_EraseRootFromParent_Done,
     /*  122363 */   // Label 2137: @122363
     /*  122363 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(122429), // Rule ID 71552 //
     /*  122368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122410 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122427 */     GIR_RootConstrainSelectedInstOperands,
     /*  122428 */     // GIR_Coverage, 71552,
     /*  122428 */     GIR_EraseRootFromParent_Done,
     /*  122429 */   // Label 2138: @122429
     /*  122429 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(122495), // Rule ID 71553 //
     /*  122434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122476 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122493 */     GIR_RootConstrainSelectedInstOperands,
     /*  122494 */     // GIR_Coverage, 71553,
     /*  122494 */     GIR_EraseRootFromParent_Done,
     /*  122495 */   // Label 2139: @122495
     /*  122495 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(122561), // Rule ID 53180 //
     /*  122500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122542 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122559 */     GIR_RootConstrainSelectedInstOperands,
     /*  122560 */     // GIR_Coverage, 53180,
     /*  122560 */     GIR_EraseRootFromParent_Done,
     /*  122561 */   // Label 2140: @122561
     /*  122561 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(122627), // Rule ID 53181 //
     /*  122566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122608 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122625 */     GIR_RootConstrainSelectedInstOperands,
     /*  122626 */     // GIR_Coverage, 53181,
     /*  122626 */     GIR_EraseRootFromParent_Done,
     /*  122627 */   // Label 2141: @122627
     /*  122627 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(122660), // Rule ID 53168 //
     /*  122632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122643 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  122646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122658 */     GIR_RootConstrainSelectedInstOperands,
     /*  122659 */     // GIR_Coverage, 53168,
     /*  122659 */     GIR_EraseRootFromParent_Done,
     /*  122660 */   // Label 2142: @122660
     /*  122660 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(122693), // Rule ID 53169 //
     /*  122665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122676 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  122679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122691 */     GIR_RootConstrainSelectedInstOperands,
     /*  122692 */     // GIR_Coverage, 53169,
     /*  122692 */     GIR_EraseRootFromParent_Done,
     /*  122693 */   // Label 2143: @122693
     /*  122693 */   GIM_Reject,
     /*  122694 */ // Label 2133: @122694
     /*  122694 */ GIM_Reject,
     /*  122695 */ // Label 2038: @122695
     /*  122695 */ GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(122809),
     /*  122700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  122703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122718 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(122763), // Rule ID 47646 //
     /*  122723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122726 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  122729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122761 */     GIR_RootConstrainSelectedInstOperands,
     /*  122762 */     // GIR_Coverage, 47646,
     /*  122762 */     GIR_EraseRootFromParent_Done,
     /*  122763 */   // Label 2145: @122763
     /*  122763 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(122808), // Rule ID 47647 //
     /*  122768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122771 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  122774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122806 */     GIR_RootConstrainSelectedInstOperands,
     /*  122807 */     // GIR_Coverage, 47647,
     /*  122807 */     GIR_EraseRootFromParent_Done,
     /*  122808 */   // Label 2146: @122808
     /*  122808 */   GIM_Reject,
     /*  122809 */ // Label 2144: @122809
     /*  122809 */ GIM_Reject,
     /*  122810 */ // Label 2039: @122810
     /*  122810 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(122924),
     /*  122815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  122818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122833 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(122878), // Rule ID 47658 //
     /*  122838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122841 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  122844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122876 */     GIR_RootConstrainSelectedInstOperands,
     /*  122877 */     // GIR_Coverage, 47658,
     /*  122877 */     GIR_EraseRootFromParent_Done,
     /*  122878 */   // Label 2148: @122878
     /*  122878 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(122923), // Rule ID 47659 //
     /*  122883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122886 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  122889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122921 */     GIR_RootConstrainSelectedInstOperands,
     /*  122922 */     // GIR_Coverage, 47659,
     /*  122922 */     GIR_EraseRootFromParent_Done,
     /*  122923 */   // Label 2149: @122923
     /*  122923 */   GIM_Reject,
     /*  122924 */ // Label 2147: @122924
     /*  122924 */ GIM_Reject,
     /*  122925 */ // Label 2040: @122925
     /*  122925 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(123039),
     /*  122930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  122933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  122936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122948 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(122993), // Rule ID 47674 //
     /*  122953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122956 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  122959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122991 */     GIR_RootConstrainSelectedInstOperands,
     /*  122992 */     // GIR_Coverage, 47674,
     /*  122992 */     GIR_EraseRootFromParent_Done,
     /*  122993 */   // Label 2151: @122993
     /*  122993 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(123038), // Rule ID 47675 //
     /*  122998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123001 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  123001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123036 */     GIR_RootConstrainSelectedInstOperands,
     /*  123037 */     // GIR_Coverage, 47675,
     /*  123037 */     GIR_EraseRootFromParent_Done,
     /*  123038 */   // Label 2152: @123038
     /*  123038 */   GIM_Reject,
     /*  123039 */ // Label 2150: @123039
     /*  123039 */ GIM_Reject,
     /*  123040 */ // Label 2041: @123040
     /*  123040 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(123154),
     /*  123045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  123048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  123051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123063 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(123108), // Rule ID 47718 //
     /*  123068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123071 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  123071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123106 */     GIR_RootConstrainSelectedInstOperands,
     /*  123107 */     // GIR_Coverage, 47718,
     /*  123107 */     GIR_EraseRootFromParent_Done,
     /*  123108 */   // Label 2154: @123108
     /*  123108 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(123153), // Rule ID 47719 //
     /*  123113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123116 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  123116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123151 */     GIR_RootConstrainSelectedInstOperands,
     /*  123152 */     // GIR_Coverage, 47719,
     /*  123152 */     GIR_EraseRootFromParent_Done,
     /*  123153 */   // Label 2155: @123153
     /*  123153 */   GIM_Reject,
     /*  123154 */ // Label 2153: @123154
     /*  123154 */ GIM_Reject,
     /*  123155 */ // Label 2042: @123155
     /*  123155 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(123765),
     /*  123160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123170 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(123236), // Rule ID 71584 //
     /*  123175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123217 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123234 */     GIR_RootConstrainSelectedInstOperands,
     /*  123235 */     // GIR_Coverage, 71584,
     /*  123235 */     GIR_EraseRootFromParent_Done,
     /*  123236 */   // Label 2157: @123236
     /*  123236 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(123302), // Rule ID 71585 //
     /*  123241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123283 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123300 */     GIR_RootConstrainSelectedInstOperands,
     /*  123301 */     // GIR_Coverage, 71585,
     /*  123301 */     GIR_EraseRootFromParent_Done,
     /*  123302 */   // Label 2158: @123302
     /*  123302 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(123368), // Rule ID 71582 //
     /*  123307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123349 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123366 */     GIR_RootConstrainSelectedInstOperands,
     /*  123367 */     // GIR_Coverage, 71582,
     /*  123367 */     GIR_EraseRootFromParent_Done,
     /*  123368 */   // Label 2159: @123368
     /*  123368 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(123434), // Rule ID 71583 //
     /*  123373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123415 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123432 */     GIR_RootConstrainSelectedInstOperands,
     /*  123433 */     // GIR_Coverage, 71583,
     /*  123433 */     GIR_EraseRootFromParent_Done,
     /*  123434 */   // Label 2160: @123434
     /*  123434 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(123500), // Rule ID 71580 //
     /*  123439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123481 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123498 */     GIR_RootConstrainSelectedInstOperands,
     /*  123499 */     // GIR_Coverage, 71580,
     /*  123499 */     GIR_EraseRootFromParent_Done,
     /*  123500 */   // Label 2161: @123500
     /*  123500 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(123566), // Rule ID 71581 //
     /*  123505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123547 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123564 */     GIR_RootConstrainSelectedInstOperands,
     /*  123565 */     // GIR_Coverage, 71581,
     /*  123565 */     GIR_EraseRootFromParent_Done,
     /*  123566 */   // Label 2162: @123566
     /*  123566 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(123632), // Rule ID 53198 //
     /*  123571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123613 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123630 */     GIR_RootConstrainSelectedInstOperands,
     /*  123631 */     // GIR_Coverage, 53198,
     /*  123631 */     GIR_EraseRootFromParent_Done,
     /*  123632 */   // Label 2163: @123632
     /*  123632 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(123698), // Rule ID 53199 //
     /*  123637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123679 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123696 */     GIR_RootConstrainSelectedInstOperands,
     /*  123697 */     // GIR_Coverage, 53199,
     /*  123697 */     GIR_EraseRootFromParent_Done,
     /*  123698 */   // Label 2164: @123698
     /*  123698 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(123731), // Rule ID 53186 //
     /*  123703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123714 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  123717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123729 */     GIR_RootConstrainSelectedInstOperands,
     /*  123730 */     // GIR_Coverage, 53186,
     /*  123730 */     GIR_EraseRootFromParent_Done,
     /*  123731 */   // Label 2165: @123731
     /*  123731 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(123764), // Rule ID 53187 //
     /*  123736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123747 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  123750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123762 */     GIR_RootConstrainSelectedInstOperands,
     /*  123763 */     // GIR_Coverage, 53187,
     /*  123763 */     GIR_EraseRootFromParent_Done,
     /*  123764 */   // Label 2166: @123764
     /*  123764 */   GIM_Reject,
     /*  123765 */ // Label 2156: @123765
     /*  123765 */ GIM_Reject,
     /*  123766 */ // Label 2043: @123766
     /*  123766 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(123880),
     /*  123771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  123774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  123777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123789 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(123834), // Rule ID 47650 //
     /*  123794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123797 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  123800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123832 */     GIR_RootConstrainSelectedInstOperands,
     /*  123833 */     // GIR_Coverage, 47650,
     /*  123833 */     GIR_EraseRootFromParent_Done,
     /*  123834 */   // Label 2168: @123834
     /*  123834 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(123879), // Rule ID 47651 //
     /*  123839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123842 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  123845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123877 */     GIR_RootConstrainSelectedInstOperands,
     /*  123878 */     // GIR_Coverage, 47651,
     /*  123878 */     GIR_EraseRootFromParent_Done,
     /*  123879 */   // Label 2169: @123879
     /*  123879 */   GIM_Reject,
     /*  123880 */ // Label 2167: @123880
     /*  123880 */ GIM_Reject,
     /*  123881 */ // Label 2044: @123881
     /*  123881 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(123995),
     /*  123886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  123889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123904 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(123949), // Rule ID 47670 //
     /*  123909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123912 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  123912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  123915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123947 */     GIR_RootConstrainSelectedInstOperands,
     /*  123948 */     // GIR_Coverage, 47670,
     /*  123948 */     GIR_EraseRootFromParent_Done,
     /*  123949 */   // Label 2171: @123949
     /*  123949 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(123994), // Rule ID 47671 //
     /*  123954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123957 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  123957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  123960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123992 */     GIR_RootConstrainSelectedInstOperands,
     /*  123993 */     // GIR_Coverage, 47671,
     /*  123993 */     GIR_EraseRootFromParent_Done,
     /*  123994 */   // Label 2172: @123994
     /*  123994 */   GIM_Reject,
     /*  123995 */ // Label 2170: @123995
     /*  123995 */ GIM_Reject,
     /*  123996 */ // Label 2045: @123996
     /*  123996 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(124110),
     /*  124001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  124004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124019 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(124064), // Rule ID 47706 //
     /*  124024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124027 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  124027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124062 */     GIR_RootConstrainSelectedInstOperands,
     /*  124063 */     // GIR_Coverage, 47706,
     /*  124063 */     GIR_EraseRootFromParent_Done,
     /*  124064 */   // Label 2174: @124064
     /*  124064 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(124109), // Rule ID 47707 //
     /*  124069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124072 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  124072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124107 */     GIR_RootConstrainSelectedInstOperands,
     /*  124108 */     // GIR_Coverage, 47707,
     /*  124108 */     GIR_EraseRootFromParent_Done,
     /*  124109 */   // Label 2175: @124109
     /*  124109 */   GIM_Reject,
     /*  124110 */ // Label 2173: @124110
     /*  124110 */ GIM_Reject,
     /*  124111 */ // Label 2046: @124111
     /*  124111 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(124225),
     /*  124116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  124119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  124122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124134 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(124179), // Rule ID 47722 //
     /*  124139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124142 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  124142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124177 */     GIR_RootConstrainSelectedInstOperands,
     /*  124178 */     // GIR_Coverage, 47722,
     /*  124178 */     GIR_EraseRootFromParent_Done,
     /*  124179 */   // Label 2177: @124179
     /*  124179 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(124224), // Rule ID 47723 //
     /*  124184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124187 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  124187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124222 */     GIR_RootConstrainSelectedInstOperands,
     /*  124223 */     // GIR_Coverage, 47723,
     /*  124223 */     GIR_EraseRootFromParent_Done,
     /*  124224 */   // Label 2178: @124224
     /*  124224 */   GIM_Reject,
     /*  124225 */ // Label 2176: @124225
     /*  124225 */ GIM_Reject,
     /*  124226 */ // Label 2047: @124226
     /*  124226 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(124836),
     /*  124231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124241 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(124307), // Rule ID 71612 //
     /*  124246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124288 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124305 */     GIR_RootConstrainSelectedInstOperands,
     /*  124306 */     // GIR_Coverage, 71612,
     /*  124306 */     GIR_EraseRootFromParent_Done,
     /*  124307 */   // Label 2180: @124307
     /*  124307 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(124373), // Rule ID 71613 //
     /*  124312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124354 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124371 */     GIR_RootConstrainSelectedInstOperands,
     /*  124372 */     // GIR_Coverage, 71613,
     /*  124372 */     GIR_EraseRootFromParent_Done,
     /*  124373 */   // Label 2181: @124373
     /*  124373 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(124439), // Rule ID 71610 //
     /*  124378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124420 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124437 */     GIR_RootConstrainSelectedInstOperands,
     /*  124438 */     // GIR_Coverage, 71610,
     /*  124438 */     GIR_EraseRootFromParent_Done,
     /*  124439 */   // Label 2182: @124439
     /*  124439 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(124505), // Rule ID 71611 //
     /*  124444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124486 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124503 */     GIR_RootConstrainSelectedInstOperands,
     /*  124504 */     // GIR_Coverage, 71611,
     /*  124504 */     GIR_EraseRootFromParent_Done,
     /*  124505 */   // Label 2183: @124505
     /*  124505 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(124571), // Rule ID 71608 //
     /*  124510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124552 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124569 */     GIR_RootConstrainSelectedInstOperands,
     /*  124570 */     // GIR_Coverage, 71608,
     /*  124570 */     GIR_EraseRootFromParent_Done,
     /*  124571 */   // Label 2184: @124571
     /*  124571 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(124637), // Rule ID 71609 //
     /*  124576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124618 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124635 */     GIR_RootConstrainSelectedInstOperands,
     /*  124636 */     // GIR_Coverage, 71609,
     /*  124636 */     GIR_EraseRootFromParent_Done,
     /*  124637 */   // Label 2185: @124637
     /*  124637 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(124703), // Rule ID 53216 //
     /*  124642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124684 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124701 */     GIR_RootConstrainSelectedInstOperands,
     /*  124702 */     // GIR_Coverage, 53216,
     /*  124702 */     GIR_EraseRootFromParent_Done,
     /*  124703 */   // Label 2186: @124703
     /*  124703 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(124769), // Rule ID 53217 //
     /*  124708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124750 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124767 */     GIR_RootConstrainSelectedInstOperands,
     /*  124768 */     // GIR_Coverage, 53217,
     /*  124768 */     GIR_EraseRootFromParent_Done,
     /*  124769 */   // Label 2187: @124769
     /*  124769 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(124802), // Rule ID 53204 //
     /*  124774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124785 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  124788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124800 */     GIR_RootConstrainSelectedInstOperands,
     /*  124801 */     // GIR_Coverage, 53204,
     /*  124801 */     GIR_EraseRootFromParent_Done,
     /*  124802 */   // Label 2188: @124802
     /*  124802 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(124835), // Rule ID 53205 //
     /*  124807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124818 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  124821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124833 */     GIR_RootConstrainSelectedInstOperands,
     /*  124834 */     // GIR_Coverage, 53205,
     /*  124834 */     GIR_EraseRootFromParent_Done,
     /*  124835 */   // Label 2189: @124835
     /*  124835 */   GIM_Reject,
     /*  124836 */ // Label 2179: @124836
     /*  124836 */ GIM_Reject,
     /*  124837 */ // Label 2048: @124837
     /*  124837 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(124951),
     /*  124842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  124845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  124848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124860 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(124905), // Rule ID 47666 //
     /*  124865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124868 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  124868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  124871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124903 */     GIR_RootConstrainSelectedInstOperands,
     /*  124904 */     // GIR_Coverage, 47666,
     /*  124904 */     GIR_EraseRootFromParent_Done,
     /*  124905 */   // Label 2191: @124905
     /*  124905 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(124950), // Rule ID 47667 //
     /*  124910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124913 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  124913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  124916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124948 */     GIR_RootConstrainSelectedInstOperands,
     /*  124949 */     // GIR_Coverage, 47667,
     /*  124949 */     GIR_EraseRootFromParent_Done,
     /*  124950 */   // Label 2192: @124950
     /*  124950 */   GIM_Reject,
     /*  124951 */ // Label 2190: @124951
     /*  124951 */ GIM_Reject,
     /*  124952 */ // Label 2049: @124952
     /*  124952 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(125066),
     /*  124957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  124960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124975 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(125020), // Rule ID 47694 //
     /*  124980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124983 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  124983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  124986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125018 */     GIR_RootConstrainSelectedInstOperands,
     /*  125019 */     // GIR_Coverage, 47694,
     /*  125019 */     GIR_EraseRootFromParent_Done,
     /*  125020 */   // Label 2194: @125020
     /*  125020 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(125065), // Rule ID 47695 //
     /*  125025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125028 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  125028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125063 */     GIR_RootConstrainSelectedInstOperands,
     /*  125064 */     // GIR_Coverage, 47695,
     /*  125064 */     GIR_EraseRootFromParent_Done,
     /*  125065 */   // Label 2195: @125065
     /*  125065 */   GIM_Reject,
     /*  125066 */ // Label 2193: @125066
     /*  125066 */ GIM_Reject,
     /*  125067 */ // Label 2050: @125067
     /*  125067 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(125181),
     /*  125072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  125075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  125078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125090 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(125135), // Rule ID 47710 //
     /*  125095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125098 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  125098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125133 */     GIR_RootConstrainSelectedInstOperands,
     /*  125134 */     // GIR_Coverage, 47710,
     /*  125134 */     GIR_EraseRootFromParent_Done,
     /*  125135 */   // Label 2197: @125135
     /*  125135 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(125180), // Rule ID 47711 //
     /*  125140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125143 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  125143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125178 */     GIR_RootConstrainSelectedInstOperands,
     /*  125179 */     // GIR_Coverage, 47711,
     /*  125179 */     GIR_EraseRootFromParent_Done,
     /*  125180 */   // Label 2198: @125180
     /*  125180 */   GIM_Reject,
     /*  125181 */ // Label 2196: @125181
     /*  125181 */ GIM_Reject,
     /*  125182 */ // Label 2051: @125182
     /*  125182 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(125296),
     /*  125187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  125190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125205 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(125250), // Rule ID 47726 //
     /*  125210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125213 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  125213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125248 */     GIR_RootConstrainSelectedInstOperands,
     /*  125249 */     // GIR_Coverage, 47726,
     /*  125249 */     GIR_EraseRootFromParent_Done,
     /*  125250 */   // Label 2200: @125250
     /*  125250 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(125295), // Rule ID 47727 //
     /*  125255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125258 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  125258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125293 */     GIR_RootConstrainSelectedInstOperands,
     /*  125294 */     // GIR_Coverage, 47727,
     /*  125294 */     GIR_EraseRootFromParent_Done,
     /*  125295 */   // Label 2201: @125295
     /*  125295 */   GIM_Reject,
     /*  125296 */ // Label 2199: @125296
     /*  125296 */ GIM_Reject,
     /*  125297 */ // Label 2052: @125297
     /*  125297 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(125907),
     /*  125302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125312 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(125378), // Rule ID 71640 //
     /*  125317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125359 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125376 */     GIR_RootConstrainSelectedInstOperands,
     /*  125377 */     // GIR_Coverage, 71640,
     /*  125377 */     GIR_EraseRootFromParent_Done,
     /*  125378 */   // Label 2203: @125378
     /*  125378 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(125444), // Rule ID 71641 //
     /*  125383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125425 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125442 */     GIR_RootConstrainSelectedInstOperands,
     /*  125443 */     // GIR_Coverage, 71641,
     /*  125443 */     GIR_EraseRootFromParent_Done,
     /*  125444 */   // Label 2204: @125444
     /*  125444 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(125510), // Rule ID 71638 //
     /*  125449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125491 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125508 */     GIR_RootConstrainSelectedInstOperands,
     /*  125509 */     // GIR_Coverage, 71638,
     /*  125509 */     GIR_EraseRootFromParent_Done,
     /*  125510 */   // Label 2205: @125510
     /*  125510 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(125576), // Rule ID 71639 //
     /*  125515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125557 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125574 */     GIR_RootConstrainSelectedInstOperands,
     /*  125575 */     // GIR_Coverage, 71639,
     /*  125575 */     GIR_EraseRootFromParent_Done,
     /*  125576 */   // Label 2206: @125576
     /*  125576 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(125642), // Rule ID 71636 //
     /*  125581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125623 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125640 */     GIR_RootConstrainSelectedInstOperands,
     /*  125641 */     // GIR_Coverage, 71636,
     /*  125641 */     GIR_EraseRootFromParent_Done,
     /*  125642 */   // Label 2207: @125642
     /*  125642 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(125708), // Rule ID 71637 //
     /*  125647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125689 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125706 */     GIR_RootConstrainSelectedInstOperands,
     /*  125707 */     // GIR_Coverage, 71637,
     /*  125707 */     GIR_EraseRootFromParent_Done,
     /*  125708 */   // Label 2208: @125708
     /*  125708 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(125774), // Rule ID 53234 //
     /*  125713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125755 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125772 */     GIR_RootConstrainSelectedInstOperands,
     /*  125773 */     // GIR_Coverage, 53234,
     /*  125773 */     GIR_EraseRootFromParent_Done,
     /*  125774 */   // Label 2209: @125774
     /*  125774 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(125840), // Rule ID 53235 //
     /*  125779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125821 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125838 */     GIR_RootConstrainSelectedInstOperands,
     /*  125839 */     // GIR_Coverage, 53235,
     /*  125839 */     GIR_EraseRootFromParent_Done,
     /*  125840 */   // Label 2210: @125840
     /*  125840 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(125873), // Rule ID 53222 //
     /*  125845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125856 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  125859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125871 */     GIR_RootConstrainSelectedInstOperands,
     /*  125872 */     // GIR_Coverage, 53222,
     /*  125872 */     GIR_EraseRootFromParent_Done,
     /*  125873 */   // Label 2211: @125873
     /*  125873 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(125906), // Rule ID 53223 //
     /*  125878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125889 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  125892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125904 */     GIR_RootConstrainSelectedInstOperands,
     /*  125905 */     // GIR_Coverage, 53223,
     /*  125905 */     GIR_EraseRootFromParent_Done,
     /*  125906 */   // Label 2212: @125906
     /*  125906 */   GIM_Reject,
     /*  125907 */ // Label 2202: @125907
     /*  125907 */ GIM_Reject,
     /*  125908 */ // Label 2053: @125908
     /*  125908 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(126022),
     /*  125913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  125916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  125919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125931 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(125976), // Rule ID 47682 //
     /*  125936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125939 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  125939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  125942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125974 */     GIR_RootConstrainSelectedInstOperands,
     /*  125975 */     // GIR_Coverage, 47682,
     /*  125975 */     GIR_EraseRootFromParent_Done,
     /*  125976 */   // Label 2214: @125976
     /*  125976 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(126021), // Rule ID 47683 //
     /*  125981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125984 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  125984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  125987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126019 */     GIR_RootConstrainSelectedInstOperands,
     /*  126020 */     // GIR_Coverage, 47683,
     /*  126020 */     GIR_EraseRootFromParent_Done,
     /*  126021 */   // Label 2215: @126021
     /*  126021 */   GIM_Reject,
     /*  126022 */ // Label 2213: @126022
     /*  126022 */ GIM_Reject,
     /*  126023 */ // Label 2054: @126023
     /*  126023 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(126137),
     /*  126028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  126031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  126034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126046 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(126091), // Rule ID 47698 //
     /*  126051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126054 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  126054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126089 */     GIR_RootConstrainSelectedInstOperands,
     /*  126090 */     // GIR_Coverage, 47698,
     /*  126090 */     GIR_EraseRootFromParent_Done,
     /*  126091 */   // Label 2217: @126091
     /*  126091 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(126136), // Rule ID 47699 //
     /*  126096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126099 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  126099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126134 */     GIR_RootConstrainSelectedInstOperands,
     /*  126135 */     // GIR_Coverage, 47699,
     /*  126135 */     GIR_EraseRootFromParent_Done,
     /*  126136 */   // Label 2218: @126136
     /*  126136 */   GIM_Reject,
     /*  126137 */ // Label 2216: @126137
     /*  126137 */ GIM_Reject,
     /*  126138 */ // Label 2055: @126138
     /*  126138 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(126252),
     /*  126143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  126146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  126149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126161 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(126206), // Rule ID 47714 //
     /*  126166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126169 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  126169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126204 */     GIR_RootConstrainSelectedInstOperands,
     /*  126205 */     // GIR_Coverage, 47714,
     /*  126205 */     GIR_EraseRootFromParent_Done,
     /*  126206 */   // Label 2220: @126206
     /*  126206 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(126251), // Rule ID 47715 //
     /*  126211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126214 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  126214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126249 */     GIR_RootConstrainSelectedInstOperands,
     /*  126250 */     // GIR_Coverage, 47715,
     /*  126250 */     GIR_EraseRootFromParent_Done,
     /*  126251 */   // Label 2221: @126251
     /*  126251 */   GIM_Reject,
     /*  126252 */ // Label 2219: @126252
     /*  126252 */ GIM_Reject,
     /*  126253 */ // Label 2056: @126253
     /*  126253 */ GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(126863),
     /*  126258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126268 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(126334), // Rule ID 71668 //
     /*  126273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126315 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126332 */     GIR_RootConstrainSelectedInstOperands,
     /*  126333 */     // GIR_Coverage, 71668,
     /*  126333 */     GIR_EraseRootFromParent_Done,
     /*  126334 */   // Label 2223: @126334
     /*  126334 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(126400), // Rule ID 71669 //
     /*  126339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126381 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126398 */     GIR_RootConstrainSelectedInstOperands,
     /*  126399 */     // GIR_Coverage, 71669,
     /*  126399 */     GIR_EraseRootFromParent_Done,
     /*  126400 */   // Label 2224: @126400
     /*  126400 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(126466), // Rule ID 71666 //
     /*  126405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126447 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126464 */     GIR_RootConstrainSelectedInstOperands,
     /*  126465 */     // GIR_Coverage, 71666,
     /*  126465 */     GIR_EraseRootFromParent_Done,
     /*  126466 */   // Label 2225: @126466
     /*  126466 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126532), // Rule ID 71667 //
     /*  126471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126513 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126530 */     GIR_RootConstrainSelectedInstOperands,
     /*  126531 */     // GIR_Coverage, 71667,
     /*  126531 */     GIR_EraseRootFromParent_Done,
     /*  126532 */   // Label 2226: @126532
     /*  126532 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(126598), // Rule ID 71664 //
     /*  126537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126579 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126596 */     GIR_RootConstrainSelectedInstOperands,
     /*  126597 */     // GIR_Coverage, 71664,
     /*  126597 */     GIR_EraseRootFromParent_Done,
     /*  126598 */   // Label 2227: @126598
     /*  126598 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(126664), // Rule ID 71665 //
     /*  126603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126645 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126662 */     GIR_RootConstrainSelectedInstOperands,
     /*  126663 */     // GIR_Coverage, 71665,
     /*  126663 */     GIR_EraseRootFromParent_Done,
     /*  126664 */   // Label 2228: @126664
     /*  126664 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(126730), // Rule ID 53252 //
     /*  126669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126711 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126728 */     GIR_RootConstrainSelectedInstOperands,
     /*  126729 */     // GIR_Coverage, 53252,
     /*  126729 */     GIR_EraseRootFromParent_Done,
     /*  126730 */   // Label 2229: @126730
     /*  126730 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(126796), // Rule ID 53253 //
     /*  126735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126777 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126794 */     GIR_RootConstrainSelectedInstOperands,
     /*  126795 */     // GIR_Coverage, 53253,
     /*  126795 */     GIR_EraseRootFromParent_Done,
     /*  126796 */   // Label 2230: @126796
     /*  126796 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(126829), // Rule ID 53240 //
     /*  126801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126812 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  126815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126827 */     GIR_RootConstrainSelectedInstOperands,
     /*  126828 */     // GIR_Coverage, 53240,
     /*  126828 */     GIR_EraseRootFromParent_Done,
     /*  126829 */   // Label 2231: @126829
     /*  126829 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(126862), // Rule ID 53241 //
     /*  126834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126845 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  126848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126860 */     GIR_RootConstrainSelectedInstOperands,
     /*  126861 */     // GIR_Coverage, 53241,
     /*  126861 */     GIR_EraseRootFromParent_Done,
     /*  126862 */   // Label 2232: @126862
     /*  126862 */   GIM_Reject,
     /*  126863 */ // Label 2222: @126863
     /*  126863 */ GIM_Reject,
     /*  126864 */ // Label 2057: @126864
     /*  126864 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(126978),
     /*  126869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  126872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  126875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126887 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(126932), // Rule ID 47686 //
     /*  126892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126895 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  126895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  126898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126930 */     GIR_RootConstrainSelectedInstOperands,
     /*  126931 */     // GIR_Coverage, 47686,
     /*  126931 */     GIR_EraseRootFromParent_Done,
     /*  126932 */   // Label 2234: @126932
     /*  126932 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(126977), // Rule ID 47687 //
     /*  126937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126940 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  126940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  126943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126975 */     GIR_RootConstrainSelectedInstOperands,
     /*  126976 */     // GIR_Coverage, 47687,
     /*  126976 */     GIR_EraseRootFromParent_Done,
     /*  126977 */   // Label 2235: @126977
     /*  126977 */   GIM_Reject,
     /*  126978 */ // Label 2233: @126978
     /*  126978 */ GIM_Reject,
     /*  126979 */ // Label 2058: @126979
     /*  126979 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(127093),
     /*  126984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  126987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  126990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127002 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(127047), // Rule ID 47702 //
     /*  127007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127010 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  127010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127045 */     GIR_RootConstrainSelectedInstOperands,
     /*  127046 */     // GIR_Coverage, 47702,
     /*  127046 */     GIR_EraseRootFromParent_Done,
     /*  127047 */   // Label 2237: @127047
     /*  127047 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(127092), // Rule ID 47703 //
     /*  127052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127055 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  127055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127090 */     GIR_RootConstrainSelectedInstOperands,
     /*  127091 */     // GIR_Coverage, 47703,
     /*  127091 */     GIR_EraseRootFromParent_Done,
     /*  127092 */   // Label 2238: @127092
     /*  127092 */   GIM_Reject,
     /*  127093 */ // Label 2236: @127093
     /*  127093 */ GIM_Reject,
     /*  127094 */ // Label 2059: @127094
     /*  127094 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(127704),
     /*  127099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127109 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(127175), // Rule ID 71696 //
     /*  127114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127156 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127173 */     GIR_RootConstrainSelectedInstOperands,
     /*  127174 */     // GIR_Coverage, 71696,
     /*  127174 */     GIR_EraseRootFromParent_Done,
     /*  127175 */   // Label 2240: @127175
     /*  127175 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(127241), // Rule ID 71697 //
     /*  127180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127222 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127239 */     GIR_RootConstrainSelectedInstOperands,
     /*  127240 */     // GIR_Coverage, 71697,
     /*  127240 */     GIR_EraseRootFromParent_Done,
     /*  127241 */   // Label 2241: @127241
     /*  127241 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(127307), // Rule ID 71694 //
     /*  127246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127288 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127305 */     GIR_RootConstrainSelectedInstOperands,
     /*  127306 */     // GIR_Coverage, 71694,
     /*  127306 */     GIR_EraseRootFromParent_Done,
     /*  127307 */   // Label 2242: @127307
     /*  127307 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(127373), // Rule ID 71695 //
     /*  127312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127354 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127371 */     GIR_RootConstrainSelectedInstOperands,
     /*  127372 */     // GIR_Coverage, 71695,
     /*  127372 */     GIR_EraseRootFromParent_Done,
     /*  127373 */   // Label 2243: @127373
     /*  127373 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(127439), // Rule ID 71692 //
     /*  127378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127420 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127437 */     GIR_RootConstrainSelectedInstOperands,
     /*  127438 */     // GIR_Coverage, 71692,
     /*  127438 */     GIR_EraseRootFromParent_Done,
     /*  127439 */   // Label 2244: @127439
     /*  127439 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(127505), // Rule ID 71693 //
     /*  127444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127486 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127503 */     GIR_RootConstrainSelectedInstOperands,
     /*  127504 */     // GIR_Coverage, 71693,
     /*  127504 */     GIR_EraseRootFromParent_Done,
     /*  127505 */   // Label 2245: @127505
     /*  127505 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(127571), // Rule ID 53270 //
     /*  127510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127552 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127569 */     GIR_RootConstrainSelectedInstOperands,
     /*  127570 */     // GIR_Coverage, 53270,
     /*  127570 */     GIR_EraseRootFromParent_Done,
     /*  127571 */   // Label 2246: @127571
     /*  127571 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(127637), // Rule ID 53271 //
     /*  127576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127618 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127635 */     GIR_RootConstrainSelectedInstOperands,
     /*  127636 */     // GIR_Coverage, 53271,
     /*  127636 */     GIR_EraseRootFromParent_Done,
     /*  127637 */   // Label 2247: @127637
     /*  127637 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(127670), // Rule ID 53258 //
     /*  127642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127653 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  127656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127668 */     GIR_RootConstrainSelectedInstOperands,
     /*  127669 */     // GIR_Coverage, 53258,
     /*  127669 */     GIR_EraseRootFromParent_Done,
     /*  127670 */   // Label 2248: @127670
     /*  127670 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(127703), // Rule ID 53259 //
     /*  127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127686 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  127689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 53259,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2249: @127703
     /*  127703 */   GIM_Reject,
     /*  127704 */ // Label 2239: @127704
     /*  127704 */ GIM_Reject,
     /*  127705 */ // Label 2060: @127705
     /*  127705 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(127819),
     /*  127710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  127713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127728 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(127773), // Rule ID 47690 //
     /*  127733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127736 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  127736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  127739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127771 */     GIR_RootConstrainSelectedInstOperands,
     /*  127772 */     // GIR_Coverage, 47690,
     /*  127772 */     GIR_EraseRootFromParent_Done,
     /*  127773 */   // Label 2251: @127773
     /*  127773 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(127818), // Rule ID 47691 //
     /*  127778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127781 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  127781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  127784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127816 */     GIR_RootConstrainSelectedInstOperands,
     /*  127817 */     // GIR_Coverage, 47691,
     /*  127817 */     GIR_EraseRootFromParent_Done,
     /*  127818 */   // Label 2252: @127818
     /*  127818 */   GIM_Reject,
     /*  127819 */ // Label 2250: @127819
     /*  127819 */ GIM_Reject,
     /*  127820 */ // Label 2061: @127820
     /*  127820 */ GIM_Reject,
     /*  127821 */ // Label 8: @127821
     /*  127821 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2284*/ GIMT_Encode4(140441),
     /*  127832 */ /*GILLT_s32*//*Label 2253*/ GIMT_Encode4(127956),
     /*  127836 */ /*GILLT_s64*//*Label 2254*/ GIMT_Encode4(130686),
     /*  127840 */ /*GILLT_nxv1s1*//*Label 2255*/ GIMT_Encode4(133634),
     /*  127844 */ /*GILLT_nxv1s8*//*Label 2256*/ GIMT_Encode4(134245),
     /*  127848 */ /*GILLT_nxv1s16*//*Label 2257*/ GIMT_Encode4(134360),
     /*  127852 */ /*GILLT_nxv1s32*//*Label 2258*/ GIMT_Encode4(134475),
     /*  127856 */ /*GILLT_nxv1s64*//*Label 2259*/ GIMT_Encode4(134590),
     /*  127860 */ /*GILLT_nxv2s1*//*Label 2260*/ GIMT_Encode4(134705),
     /*  127864 */ /*GILLT_nxv2s8*//*Label 2261*/ GIMT_Encode4(135316),
     /*  127868 */ /*GILLT_nxv2s16*//*Label 2262*/ GIMT_Encode4(135431),
     /*  127872 */ /*GILLT_nxv2s32*//*Label 2263*/ GIMT_Encode4(135546),
     /*  127876 */ /*GILLT_nxv2s64*//*Label 2264*/ GIMT_Encode4(135661),
     /*  127880 */ /*GILLT_nxv4s1*//*Label 2265*/ GIMT_Encode4(135776),
     /*  127884 */ /*GILLT_nxv4s8*//*Label 2266*/ GIMT_Encode4(136387),
     /*  127888 */ /*GILLT_nxv4s16*//*Label 2267*/ GIMT_Encode4(136502),
     /*  127892 */ /*GILLT_nxv4s32*//*Label 2268*/ GIMT_Encode4(136617),
     /*  127896 */ /*GILLT_nxv4s64*//*Label 2269*/ GIMT_Encode4(136732),
     /*  127900 */ /*GILLT_nxv8s1*//*Label 2270*/ GIMT_Encode4(136847),
     /*  127904 */ /*GILLT_nxv8s8*//*Label 2271*/ GIMT_Encode4(137458),
     /*  127908 */ /*GILLT_nxv8s16*//*Label 2272*/ GIMT_Encode4(137573),
     /*  127912 */ /*GILLT_nxv8s32*//*Label 2273*/ GIMT_Encode4(137688),
     /*  127916 */ /*GILLT_nxv8s64*//*Label 2274*/ GIMT_Encode4(137803),
     /*  127920 */ /*GILLT_nxv16s1*//*Label 2275*/ GIMT_Encode4(137918),
     /*  127924 */ /*GILLT_nxv16s8*//*Label 2276*/ GIMT_Encode4(138529),
     /*  127928 */ /*GILLT_nxv16s16*//*Label 2277*/ GIMT_Encode4(138644),
     /*  127932 */ /*GILLT_nxv16s32*//*Label 2278*/ GIMT_Encode4(138759),
     /*  127936 */ /*GILLT_nxv32s1*//*Label 2279*/ GIMT_Encode4(138874),
     /*  127940 */ /*GILLT_nxv32s8*//*Label 2280*/ GIMT_Encode4(139485),
     /*  127944 */ /*GILLT_nxv32s16*//*Label 2281*/ GIMT_Encode4(139600),
     /*  127948 */ /*GILLT_nxv64s1*//*Label 2282*/ GIMT_Encode4(139715),
     /*  127952 */ /*GILLT_nxv64s8*//*Label 2283*/ GIMT_Encode4(140326),
     /*  127956 */ // Label 2253: @127956
     /*  127956 */ GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(130685),
     /*  127961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  127964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  127967 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(128162), // Rule ID 65348 //
     /*  127972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  127975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  127991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  127995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128007 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128011 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128015 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128019 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128023 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128027 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128031 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128035 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128039 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128043 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128047 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128051 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128055 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128059 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128063 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128067 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128071 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128087 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128094 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128101 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128101 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128104 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128108 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128160 */     GIR_RootConstrainSelectedInstOperands,
     /*  128161 */     // GIR_Coverage, 65348,
     /*  128161 */     GIR_EraseRootFromParent_Done,
     /*  128162 */   // Label 2286: @128162
     /*  128162 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(128357), // Rule ID 65350 //
     /*  128167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128202 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128206 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128218 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128222 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128226 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128230 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128234 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128238 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128242 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128246 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128250 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128254 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128258 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128262 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128266 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128275 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128282 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128289 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128296 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128355 */     GIR_RootConstrainSelectedInstOperands,
     /*  128356 */     // GIR_Coverage, 65350,
     /*  128356 */     GIR_EraseRootFromParent_Done,
     /*  128357 */   // Label 2287: @128357
     /*  128357 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(128552), // Rule ID 65344 //
     /*  128362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128397 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128401 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128413 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128417 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128421 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128425 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128429 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128433 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128437 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128441 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128445 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128449 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128453 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128457 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128461 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128470 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128477 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128484 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128491 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128491 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  128532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  128537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128550 */     GIR_RootConstrainSelectedInstOperands,
     /*  128551 */     // GIR_Coverage, 65344,
     /*  128551 */     GIR_EraseRootFromParent_Done,
     /*  128552 */   // Label 2288: @128552
     /*  128552 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(128747), // Rule ID 65346 //
     /*  128557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128592 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128596 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128600 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128604 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128608 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128612 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128616 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128620 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128624 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128628 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128632 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128636 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128640 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128644 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128648 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128652 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128656 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128672 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128679 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128686 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128686 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128689 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128693 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  128727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  128732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128745 */     GIR_RootConstrainSelectedInstOperands,
     /*  128746 */     // GIR_Coverage, 65346,
     /*  128746 */     GIR_EraseRootFromParent_Done,
     /*  128747 */   // Label 2289: @128747
     /*  128747 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(128942), // Rule ID 65338 //
     /*  128752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  128799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128803 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128807 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128811 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  128815 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  128819 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128823 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128827 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128831 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  128835 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128839 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128843 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128847 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128851 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128860 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128867 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128874 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128881 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128881 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128884 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128888 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  128898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  128903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  128922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  128927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128940 */     GIR_RootConstrainSelectedInstOperands,
     /*  128941 */     // GIR_Coverage, 65338,
     /*  128941 */     GIR_EraseRootFromParent_Done,
     /*  128942 */   // Label 2290: @128942
     /*  128942 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(129137), // Rule ID 65342 //
     /*  128947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128982 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128986 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  128994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129002 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129006 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129010 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129014 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129018 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129022 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129026 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129030 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129034 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129038 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129042 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129046 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129055 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129062 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129069 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129076 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129076 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129079 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129083 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129135 */     GIR_RootConstrainSelectedInstOperands,
     /*  129136 */     // GIR_Coverage, 65342,
     /*  129136 */     GIR_EraseRootFromParent_Done,
     /*  129137 */   // Label 2291: @129137
     /*  129137 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(129332), // Rule ID 2541 //
     /*  129142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129177 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129181 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129193 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129197 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129201 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129205 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129209 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129213 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129217 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129221 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129225 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129229 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129233 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129237 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129241 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129243 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129250 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129257 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129264 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129271 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129271 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129274 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129278 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129330 */     GIR_RootConstrainSelectedInstOperands,
     /*  129331 */     // GIR_Coverage, 2541,
     /*  129331 */     GIR_EraseRootFromParent_Done,
     /*  129332 */   // Label 2292: @129332
     /*  129332 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(129527), // Rule ID 65340 //
     /*  129337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129376 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129392 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129396 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129400 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129404 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129408 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129412 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129416 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129420 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129424 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129428 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129432 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129436 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129445 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129452 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129459 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129466 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129466 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129469 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129473 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129525 */     GIR_RootConstrainSelectedInstOperands,
     /*  129526 */     // GIR_Coverage, 65340,
     /*  129526 */     GIR_EraseRootFromParent_Done,
     /*  129527 */   // Label 2293: @129527
     /*  129527 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(129632), // Rule ID 2536 //
     /*  129532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129555 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  129563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129575 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129588 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129595 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  129595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  129612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  129622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  129630 */     GIR_RootConstrainSelectedInstOperands,
     /*  129631 */     // GIR_Coverage, 2536,
     /*  129631 */     GIR_EraseRootFromParent_Done,
     /*  129632 */   // Label 2294: @129632
     /*  129632 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(129737), // Rule ID 65333 //
     /*  129637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129660 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  129668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129676 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129680 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129700 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  129700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  129722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  129727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  129735 */     GIR_RootConstrainSelectedInstOperands,
     /*  129736 */     // GIR_Coverage, 65333,
     /*  129736 */     GIR_EraseRootFromParent_Done,
     /*  129737 */   // Label 2295: @129737
     /*  129737 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(129826), // Rule ID 65327 //
     /*  129742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  129757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129777 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129786 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129790 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  129801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129810 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  129824 */     GIR_RootConstrainSelectedInstOperands,
     /*  129825 */     // GIR_Coverage, 65327,
     /*  129825 */     GIR_EraseRootFromParent_Done,
     /*  129826 */   // Label 2296: @129826
     /*  129826 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(129915), // Rule ID 2530 //
     /*  129831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  129846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129875 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129879 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  129890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129899 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  129913 */     GIR_RootConstrainSelectedInstOperands,
     /*  129914 */     // GIR_Coverage, 2530,
     /*  129914 */     GIR_EraseRootFromParent_Done,
     /*  129915 */   // Label 2297: @129915
     /*  129915 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(129980), // Rule ID 65329 //
     /*  129920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  129947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129963 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  129978 */     GIR_RootConstrainSelectedInstOperands,
     /*  129979 */     // GIR_Coverage, 65329,
     /*  129979 */     GIR_EraseRootFromParent_Done,
     /*  129980 */   // Label 2298: @129980
     /*  129980 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130045), // Rule ID 2532 //
     /*  129985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130008 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130028 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130043 */     GIR_RootConstrainSelectedInstOperands,
     /*  130044 */     // GIR_Coverage, 2532,
     /*  130044 */     GIR_EraseRootFromParent_Done,
     /*  130045 */   // Label 2299: @130045
     /*  130045 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130111), // Rule ID 65335 //
     /*  130050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130082 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11172),
     /*  130086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130095 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11172>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130109 */     GIR_RootConstrainSelectedInstOperands,
     /*  130110 */     // GIR_Coverage, 65335,
     /*  130110 */     GIR_EraseRootFromParent_Done,
     /*  130111 */   // Label 2300: @130111
     /*  130111 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130177), // Rule ID 2538 //
     /*  130116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130144 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11172),
     /*  130152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130161 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11172>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130175 */     GIR_RootConstrainSelectedInstOperands,
     /*  130176 */     // GIR_Coverage, 2538,
     /*  130176 */     GIR_EraseRootFromParent_Done,
     /*  130177 */   // Label 2301: @130177
     /*  130177 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130239), // Rule ID 2539 //
     /*  130182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130210 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130223 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130237 */     GIR_RootConstrainSelectedInstOperands,
     /*  130238 */     // GIR_Coverage, 2539,
     /*  130238 */     GIR_EraseRootFromParent_Done,
     /*  130239 */   // Label 2302: @130239
     /*  130239 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130301), // Rule ID 65336 //
     /*  130244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130272 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130285 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130299 */     GIR_RootConstrainSelectedInstOperands,
     /*  130300 */     // GIR_Coverage, 65336,
     /*  130300 */     GIR_EraseRootFromParent_Done,
     /*  130301 */   // Label 2303: @130301
     /*  130301 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130360), // Rule ID 2465 //
     /*  130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130329 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130346 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130358 */     GIR_RootConstrainSelectedInstOperands,
     /*  130359 */     // GIR_Coverage, 2465,
     /*  130359 */     GIR_EraseRootFromParent_Done,
     /*  130360 */   // Label 2304: @130360
     /*  130360 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(130419), // Rule ID 65323 //
     /*  130365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130392 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130405 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130417 */     GIR_RootConstrainSelectedInstOperands,
     /*  130418 */     // GIR_Coverage, 65323,
     /*  130418 */     GIR_EraseRootFromParent_Done,
     /*  130419 */   // Label 2305: @130419
     /*  130419 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130475), // Rule ID 65307 //
     /*  130424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130462 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130473 */     GIR_RootConstrainSelectedInstOperands,
     /*  130474 */     // GIR_Coverage, 65307,
     /*  130474 */     GIR_EraseRootFromParent_Done,
     /*  130475 */   // Label 2306: @130475
     /*  130475 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130531), // Rule ID 2439 //
     /*  130480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130512 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130518 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130529 */     GIR_RootConstrainSelectedInstOperands,
     /*  130530 */     // GIR_Coverage, 2439,
     /*  130530 */     GIR_EraseRootFromParent_Done,
     /*  130531 */   // Label 2307: @130531
     /*  130531 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130573), // Rule ID 81 //
     /*  130536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  130539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  130559 */     // MIs[1] Operand 1
     /*  130559 */     // No operand predicates
     /*  130559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130561 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  130561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  130564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130571 */     GIR_RootConstrainSelectedInstOperands,
     /*  130572 */     // GIR_Coverage, 81,
     /*  130572 */     GIR_EraseRootFromParent_Done,
     /*  130573 */   // Label 2308: @130573
     /*  130573 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130615), // Rule ID 64518 //
     /*  130578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  130581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  130601 */     // MIs[1] Operand 1
     /*  130601 */     // No operand predicates
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130603 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130613 */     GIR_RootConstrainSelectedInstOperands,
     /*  130614 */     // GIR_Coverage, 64518,
     /*  130614 */     GIR_EraseRootFromParent_Done,
     /*  130615 */   // Label 2309: @130615
     /*  130615 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130657), // Rule ID 64522 //
     /*  130620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  130623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  130643 */     // MIs[1] Operand 1
     /*  130643 */     // No operand predicates
     /*  130643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130645 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  130645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  130648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130655 */     GIR_RootConstrainSelectedInstOperands,
     /*  130656 */     // GIR_Coverage, 64522,
     /*  130656 */     GIR_EraseRootFromParent_Done,
     /*  130657 */   // Label 2310: @130657
     /*  130657 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130684), // Rule ID 79 //
     /*  130662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  130665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130677 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  130682 */     GIR_RootConstrainSelectedInstOperands,
     /*  130683 */     // GIR_Coverage, 79,
     /*  130683 */     GIR_Done,
     /*  130684 */   // Label 2311: @130684
     /*  130684 */   GIM_Reject,
     /*  130685 */ // Label 2285: @130685
     /*  130685 */ GIM_Reject,
     /*  130686 */ // Label 2254: @130686
     /*  130686 */ GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(133633),
     /*  130691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  130694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  130697 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(130892), // Rule ID 65347 //
     /*  130702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  130705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  130721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  130725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  130741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  130749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130753 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  130757 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  130761 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  130765 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130769 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  130773 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  130777 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  130781 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  130785 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130789 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  130793 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  130797 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  130801 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  130803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130817 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  130824 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  130831 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  130831 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  130834 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130838 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  130848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  130853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  130855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  130858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  130872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  130877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  130890 */     GIR_RootConstrainSelectedInstOperands,
     /*  130891 */     // GIR_Coverage, 65347,
     /*  130891 */     GIR_EraseRootFromParent_Done,
     /*  130892 */   // Label 2313: @130892
     /*  130892 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131087), // Rule ID 65349 //
     /*  130897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  130900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  130916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  130920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130932 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  130936 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  130944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130948 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  130952 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  130956 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  130960 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130964 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  130968 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  130972 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  130976 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  130980 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130984 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  130988 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  130992 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  130996 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  130998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131012 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131019 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131026 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131026 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131029 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131033 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131085 */     GIR_RootConstrainSelectedInstOperands,
     /*  131086 */     // GIR_Coverage, 65349,
     /*  131086 */     GIR_EraseRootFromParent_Done,
     /*  131087 */   // Label 2314: @131087
     /*  131087 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131282), // Rule ID 65343 //
     /*  131092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131127 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131131 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131151 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131155 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131159 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131163 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131167 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131171 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131175 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131179 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131183 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131187 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131191 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131200 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131207 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131214 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131221 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131221 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131224 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131228 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131280 */     GIR_RootConstrainSelectedInstOperands,
     /*  131281 */     // GIR_Coverage, 65343,
     /*  131281 */     GIR_EraseRootFromParent_Done,
     /*  131282 */   // Label 2315: @131282
     /*  131282 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131477), // Rule ID 65345 //
     /*  131287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131322 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131326 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131338 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131342 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131346 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131350 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131354 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131358 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131362 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131366 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131370 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131374 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131378 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131382 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  131386 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131402 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131409 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131416 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131416 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131423 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131475 */     GIR_RootConstrainSelectedInstOperands,
     /*  131476 */     // GIR_Coverage, 65345,
     /*  131476 */     GIR_EraseRootFromParent_Done,
     /*  131477 */   // Label 2316: @131477
     /*  131477 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131672), // Rule ID 65337 //
     /*  131482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131517 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131521 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  131525 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131529 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131533 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131537 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131541 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  131545 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131549 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131553 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131557 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131561 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  131565 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131569 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131573 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131577 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131581 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131590 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131597 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131604 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131611 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131611 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131614 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131618 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  131628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  131633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  131652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  131657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131670 */     GIR_RootConstrainSelectedInstOperands,
     /*  131671 */     // GIR_Coverage, 65337,
     /*  131671 */     GIR_EraseRootFromParent_Done,
     /*  131672 */   // Label 2317: @131672
     /*  131672 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131867), // Rule ID 65341 //
     /*  131677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131712 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131716 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  131720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131732 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131736 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  131740 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131744 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131748 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131752 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131756 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  131760 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131764 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131768 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131772 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131776 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131778 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131785 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131792 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131799 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131806 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131806 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131809 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131813 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  131823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  131828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  131847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  131852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131865 */     GIR_RootConstrainSelectedInstOperands,
     /*  131866 */     // GIR_Coverage, 65341,
     /*  131866 */     GIR_EraseRootFromParent_Done,
     /*  131867 */   // Label 2318: @131867
     /*  131867 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(132062), // Rule ID 2540 //
     /*  131872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131907 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131911 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  131915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131927 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  131935 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131939 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131943 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131947 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131951 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  131955 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131959 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131963 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131967 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131971 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131973 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131980 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131987 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131994 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132001 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132060 */     GIR_RootConstrainSelectedInstOperands,
     /*  132061 */     // GIR_Coverage, 2540,
     /*  132061 */     GIR_EraseRootFromParent_Done,
     /*  132062 */   // Label 2319: @132062
     /*  132062 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(132257), // Rule ID 65339 //
     /*  132067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132106 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132118 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132122 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132126 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132130 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132134 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132138 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132142 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132146 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132150 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132154 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132158 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132162 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132166 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132175 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132182 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132189 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132196 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132196 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132199 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132203 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132255 */     GIR_RootConstrainSelectedInstOperands,
     /*  132256 */     // GIR_Coverage, 65339,
     /*  132256 */     GIR_EraseRootFromParent_Done,
     /*  132257 */   // Label 2320: @132257
     /*  132257 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(132362), // Rule ID 2535 //
     /*  132262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132285 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  132289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132301 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132305 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132325 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132360 */     GIR_RootConstrainSelectedInstOperands,
     /*  132361 */     // GIR_Coverage, 2535,
     /*  132361 */     GIR_EraseRootFromParent_Done,
     /*  132362 */   // Label 2321: @132362
     /*  132362 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(132467), // Rule ID 65332 //
     /*  132367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132386 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  132394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132410 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132430 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  132452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132465 */     GIR_RootConstrainSelectedInstOperands,
     /*  132466 */     // GIR_Coverage, 65332,
     /*  132466 */     GIR_EraseRootFromParent_Done,
     /*  132467 */   // Label 2322: @132467
     /*  132467 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(132556), // Rule ID 65326 //
     /*  132472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  132487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  132520 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  132531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132540 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132554 */     GIR_RootConstrainSelectedInstOperands,
     /*  132555 */     // GIR_Coverage, 65326,
     /*  132555 */     GIR_EraseRootFromParent_Done,
     /*  132556 */   // Label 2323: @132556
     /*  132556 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(132645), // Rule ID 2529 //
     /*  132561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  132576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132605 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  132609 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  132620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132629 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132643 */     GIR_RootConstrainSelectedInstOperands,
     /*  132644 */     // GIR_Coverage, 2529,
     /*  132644 */     GIR_EraseRootFromParent_Done,
     /*  132645 */   // Label 2324: @132645
     /*  132645 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(132710), // Rule ID 65328 //
     /*  132650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132673 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132693 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  132708 */     GIR_RootConstrainSelectedInstOperands,
     /*  132709 */     // GIR_Coverage, 65328,
     /*  132709 */     GIR_EraseRootFromParent_Done,
     /*  132710 */   // Label 2325: @132710
     /*  132710 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(132775), // Rule ID 2531 //
     /*  132715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132738 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132751 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132758 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132773 */     GIR_RootConstrainSelectedInstOperands,
     /*  132774 */     // GIR_Coverage, 2531,
     /*  132774 */     GIR_EraseRootFromParent_Done,
     /*  132775 */   // Label 2326: @132775
     /*  132775 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(132860), // Rule ID 65353 //
     /*  132780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  132783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  132795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132820 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132824 */     // MIs[1] Operand 2
     /*  132824 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  132835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  132844 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  132847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132858 */     GIR_RootConstrainSelectedInstOperands,
     /*  132859 */     // GIR_Coverage, 65353,
     /*  132859 */     GIR_EraseRootFromParent_Done,
     /*  132860 */   // Label 2327: @132860
     /*  132860 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132945), // Rule ID 2544 //
     /*  132865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  132868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  132880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132905 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132909 */     // MIs[1] Operand 2
     /*  132909 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  132920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  132929 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  132932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132943 */     GIR_RootConstrainSelectedInstOperands,
     /*  132944 */     // GIR_Coverage, 2544,
     /*  132944 */     GIR_EraseRootFromParent_Done,
     /*  132945 */   // Label 2328: @132945
     /*  132945 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(133011), // Rule ID 65334 //
     /*  132950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132978 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11172),
     /*  132986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132995 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11172>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133009 */     GIR_RootConstrainSelectedInstOperands,
     /*  133010 */     // GIR_Coverage, 65334,
     /*  133010 */     GIR_EraseRootFromParent_Done,
     /*  133011 */   // Label 2329: @133011
     /*  133011 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(133077), // Rule ID 65352 //
     /*  133016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133044 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9948),
     /*  133052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133061 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_9948>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133075 */     GIR_RootConstrainSelectedInstOperands,
     /*  133076 */     // GIR_Coverage, 65352,
     /*  133076 */     GIR_EraseRootFromParent_Done,
     /*  133077 */   // Label 2330: @133077
     /*  133077 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(133143), // Rule ID 2537 //
     /*  133082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133110 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133114 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11172),
     /*  133118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133127 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11172>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133141 */     GIR_RootConstrainSelectedInstOperands,
     /*  133142 */     // GIR_Coverage, 2537,
     /*  133142 */     GIR_EraseRootFromParent_Done,
     /*  133143 */   // Label 2331: @133143
     /*  133143 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(133209), // Rule ID 2543 //
     /*  133148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133176 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9948),
     /*  133184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133193 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_9948>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133207 */     GIR_RootConstrainSelectedInstOperands,
     /*  133208 */     // GIR_Coverage, 2543,
     /*  133208 */     GIR_EraseRootFromParent_Done,
     /*  133209 */   // Label 2332: @133209
     /*  133209 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(133271), // Rule ID 2542 //
     /*  133214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133255 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133269 */     GIR_RootConstrainSelectedInstOperands,
     /*  133270 */     // GIR_Coverage, 2542,
     /*  133270 */     GIR_EraseRootFromParent_Done,
     /*  133271 */   // Label 2333: @133271
     /*  133271 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(133333), // Rule ID 65351 //
     /*  133276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133304 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133317 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133331 */     GIR_RootConstrainSelectedInstOperands,
     /*  133332 */     // GIR_Coverage, 65351,
     /*  133332 */     GIR_EraseRootFromParent_Done,
     /*  133333 */   // Label 2334: @133333
     /*  133333 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(133392), // Rule ID 2464 //
     /*  133338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133361 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133378 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133390 */     GIR_RootConstrainSelectedInstOperands,
     /*  133391 */     // GIR_Coverage, 2464,
     /*  133391 */     GIR_EraseRootFromParent_Done,
     /*  133392 */   // Label 2335: @133392
     /*  133392 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(133451), // Rule ID 65322 //
     /*  133397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133424 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133430 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133437 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133449 */     GIR_RootConstrainSelectedInstOperands,
     /*  133450 */     // GIR_Coverage, 65322,
     /*  133450 */     GIR_EraseRootFromParent_Done,
     /*  133451 */   // Label 2336: @133451
     /*  133451 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(133507), // Rule ID 65306 //
     /*  133456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  133488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133494 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  133497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133505 */     GIR_RootConstrainSelectedInstOperands,
     /*  133506 */     // GIR_Coverage, 65306,
     /*  133506 */     GIR_EraseRootFromParent_Done,
     /*  133507 */   // Label 2337: @133507
     /*  133507 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(133563), // Rule ID 2438 //
     /*  133512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133544 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  133548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133550 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  133553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133561 */     GIR_RootConstrainSelectedInstOperands,
     /*  133562 */     // GIR_Coverage, 2438,
     /*  133562 */     GIR_EraseRootFromParent_Done,
     /*  133563 */   // Label 2338: @133563
     /*  133563 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(133605), // Rule ID 80 //
     /*  133568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  133571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  133591 */     // MIs[1] Operand 1
     /*  133591 */     // No operand predicates
     /*  133591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133593 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  133593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  133596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  133603 */     GIR_RootConstrainSelectedInstOperands,
     /*  133604 */     // GIR_Coverage, 80,
     /*  133604 */     GIR_EraseRootFromParent_Done,
     /*  133605 */   // Label 2339: @133605
     /*  133605 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(133632), // Rule ID 78 //
     /*  133610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  133613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133625 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  133630 */     GIR_RootConstrainSelectedInstOperands,
     /*  133631 */     // GIR_Coverage, 78,
     /*  133631 */     GIR_Done,
     /*  133632 */   // Label 2340: @133632
     /*  133632 */   GIM_Reject,
     /*  133633 */ // Label 2312: @133633
     /*  133633 */ GIM_Reject,
     /*  133634 */ // Label 2255: @133634
     /*  133634 */ GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(134244),
     /*  133639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133649 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(133715), // Rule ID 71534 //
     /*  133654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133696 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133713 */     GIR_RootConstrainSelectedInstOperands,
     /*  133714 */     // GIR_Coverage, 71534,
     /*  133714 */     GIR_EraseRootFromParent_Done,
     /*  133715 */   // Label 2342: @133715
     /*  133715 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(133781), // Rule ID 71535 //
     /*  133720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133762 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133779 */     GIR_RootConstrainSelectedInstOperands,
     /*  133780 */     // GIR_Coverage, 71535,
     /*  133780 */     GIR_EraseRootFromParent_Done,
     /*  133781 */   // Label 2343: @133781
     /*  133781 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(133847), // Rule ID 71532 //
     /*  133786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133828 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133845 */     GIR_RootConstrainSelectedInstOperands,
     /*  133846 */     // GIR_Coverage, 71532,
     /*  133846 */     GIR_EraseRootFromParent_Done,
     /*  133847 */   // Label 2344: @133847
     /*  133847 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(133913), // Rule ID 71533 //
     /*  133852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133894 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133911 */     GIR_RootConstrainSelectedInstOperands,
     /*  133912 */     // GIR_Coverage, 71533,
     /*  133912 */     GIR_EraseRootFromParent_Done,
     /*  133913 */   // Label 2345: @133913
     /*  133913 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(133979), // Rule ID 71530 //
     /*  133918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133960 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133977 */     GIR_RootConstrainSelectedInstOperands,
     /*  133978 */     // GIR_Coverage, 71530,
     /*  133978 */     GIR_EraseRootFromParent_Done,
     /*  133979 */   // Label 2346: @133979
     /*  133979 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(134045), // Rule ID 71531 //
     /*  133984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134026 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134043 */     GIR_RootConstrainSelectedInstOperands,
     /*  134044 */     // GIR_Coverage, 71531,
     /*  134044 */     GIR_EraseRootFromParent_Done,
     /*  134045 */   // Label 2347: @134045
     /*  134045 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(134111), // Rule ID 53164 //
     /*  134050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134092 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134109 */     GIR_RootConstrainSelectedInstOperands,
     /*  134110 */     // GIR_Coverage, 53164,
     /*  134110 */     GIR_EraseRootFromParent_Done,
     /*  134111 */   // Label 2348: @134111
     /*  134111 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(134177), // Rule ID 53165 //
     /*  134116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134158 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134175 */     GIR_RootConstrainSelectedInstOperands,
     /*  134176 */     // GIR_Coverage, 53165,
     /*  134176 */     GIR_EraseRootFromParent_Done,
     /*  134177 */   // Label 2349: @134177
     /*  134177 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(134210), // Rule ID 53152 //
     /*  134182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134193 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134208 */     GIR_RootConstrainSelectedInstOperands,
     /*  134209 */     // GIR_Coverage, 53152,
     /*  134209 */     GIR_EraseRootFromParent_Done,
     /*  134210 */   // Label 2350: @134210
     /*  134210 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(134243), // Rule ID 53153 //
     /*  134215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134226 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134241 */     GIR_RootConstrainSelectedInstOperands,
     /*  134242 */     // GIR_Coverage, 53153,
     /*  134242 */     GIR_EraseRootFromParent_Done,
     /*  134243 */   // Label 2351: @134243
     /*  134243 */   GIM_Reject,
     /*  134244 */ // Label 2341: @134244
     /*  134244 */ GIM_Reject,
     /*  134245 */ // Label 2256: @134245
     /*  134245 */ GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(134359),
     /*  134250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  134253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  134256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134268 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(134313), // Rule ID 47774 //
     /*  134273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134276 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134311 */     GIR_RootConstrainSelectedInstOperands,
     /*  134312 */     // GIR_Coverage, 47774,
     /*  134312 */     GIR_EraseRootFromParent_Done,
     /*  134313 */   // Label 2353: @134313
     /*  134313 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(134358), // Rule ID 47775 //
     /*  134318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134321 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134356 */     GIR_RootConstrainSelectedInstOperands,
     /*  134357 */     // GIR_Coverage, 47775,
     /*  134357 */     GIR_EraseRootFromParent_Done,
     /*  134358 */   // Label 2354: @134358
     /*  134358 */   GIM_Reject,
     /*  134359 */ // Label 2352: @134359
     /*  134359 */ GIM_Reject,
     /*  134360 */ // Label 2257: @134360
     /*  134360 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(134474),
     /*  134365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  134368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  134371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134383 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(134428), // Rule ID 47786 //
     /*  134388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134391 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134426 */     GIR_RootConstrainSelectedInstOperands,
     /*  134427 */     // GIR_Coverage, 47786,
     /*  134427 */     GIR_EraseRootFromParent_Done,
     /*  134428 */   // Label 2356: @134428
     /*  134428 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(134473), // Rule ID 47787 //
     /*  134433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134436 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134471 */     GIR_RootConstrainSelectedInstOperands,
     /*  134472 */     // GIR_Coverage, 47787,
     /*  134472 */     GIR_EraseRootFromParent_Done,
     /*  134473 */   // Label 2357: @134473
     /*  134473 */   GIM_Reject,
     /*  134474 */ // Label 2355: @134474
     /*  134474 */ GIM_Reject,
     /*  134475 */ // Label 2258: @134475
     /*  134475 */ GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(134589),
     /*  134480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  134483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  134486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134498 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(134543), // Rule ID 47794 //
     /*  134503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134506 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  134509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  134523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134541 */     GIR_RootConstrainSelectedInstOperands,
     /*  134542 */     // GIR_Coverage, 47794,
     /*  134542 */     GIR_EraseRootFromParent_Done,
     /*  134543 */   // Label 2359: @134543
     /*  134543 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(134588), // Rule ID 47795 //
     /*  134548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134551 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  134554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  134568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134586 */     GIR_RootConstrainSelectedInstOperands,
     /*  134587 */     // GIR_Coverage, 47795,
     /*  134587 */     GIR_EraseRootFromParent_Done,
     /*  134588 */   // Label 2360: @134588
     /*  134588 */   GIM_Reject,
     /*  134589 */ // Label 2358: @134589
     /*  134589 */ GIM_Reject,
     /*  134590 */ // Label 2259: @134590
     /*  134590 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(134704),
     /*  134595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  134598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  134601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134613 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(134658), // Rule ID 47810 //
     /*  134618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134621 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  134621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  134624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  134638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134656 */     GIR_RootConstrainSelectedInstOperands,
     /*  134657 */     // GIR_Coverage, 47810,
     /*  134657 */     GIR_EraseRootFromParent_Done,
     /*  134658 */   // Label 2362: @134658
     /*  134658 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(134703), // Rule ID 47811 //
     /*  134663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134666 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  134666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  134669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  134683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134701 */     GIR_RootConstrainSelectedInstOperands,
     /*  134702 */     // GIR_Coverage, 47811,
     /*  134702 */     GIR_EraseRootFromParent_Done,
     /*  134703 */   // Label 2363: @134703
     /*  134703 */   GIM_Reject,
     /*  134704 */ // Label 2361: @134704
     /*  134704 */ GIM_Reject,
     /*  134705 */ // Label 2260: @134705
     /*  134705 */ GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(135315),
     /*  134710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134720 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(134786), // Rule ID 71562 //
     /*  134725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134767 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134784 */     GIR_RootConstrainSelectedInstOperands,
     /*  134785 */     // GIR_Coverage, 71562,
     /*  134785 */     GIR_EraseRootFromParent_Done,
     /*  134786 */   // Label 2365: @134786
     /*  134786 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(134852), // Rule ID 71563 //
     /*  134791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134833 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134850 */     GIR_RootConstrainSelectedInstOperands,
     /*  134851 */     // GIR_Coverage, 71563,
     /*  134851 */     GIR_EraseRootFromParent_Done,
     /*  134852 */   // Label 2366: @134852
     /*  134852 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(134918), // Rule ID 71560 //
     /*  134857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134899 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134916 */     GIR_RootConstrainSelectedInstOperands,
     /*  134917 */     // GIR_Coverage, 71560,
     /*  134917 */     GIR_EraseRootFromParent_Done,
     /*  134918 */   // Label 2367: @134918
     /*  134918 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(134984), // Rule ID 71561 //
     /*  134923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134965 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134982 */     GIR_RootConstrainSelectedInstOperands,
     /*  134983 */     // GIR_Coverage, 71561,
     /*  134983 */     GIR_EraseRootFromParent_Done,
     /*  134984 */   // Label 2368: @134984
     /*  134984 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(135050), // Rule ID 71558 //
     /*  134989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135031 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135048 */     GIR_RootConstrainSelectedInstOperands,
     /*  135049 */     // GIR_Coverage, 71558,
     /*  135049 */     GIR_EraseRootFromParent_Done,
     /*  135050 */   // Label 2369: @135050
     /*  135050 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(135116), // Rule ID 71559 //
     /*  135055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135097 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135114 */     GIR_RootConstrainSelectedInstOperands,
     /*  135115 */     // GIR_Coverage, 71559,
     /*  135115 */     GIR_EraseRootFromParent_Done,
     /*  135116 */   // Label 2370: @135116
     /*  135116 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(135182), // Rule ID 53182 //
     /*  135121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135163 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135180 */     GIR_RootConstrainSelectedInstOperands,
     /*  135181 */     // GIR_Coverage, 53182,
     /*  135181 */     GIR_EraseRootFromParent_Done,
     /*  135182 */   // Label 2371: @135182
     /*  135182 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(135248), // Rule ID 53183 //
     /*  135187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135229 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135246 */     GIR_RootConstrainSelectedInstOperands,
     /*  135247 */     // GIR_Coverage, 53183,
     /*  135247 */     GIR_EraseRootFromParent_Done,
     /*  135248 */   // Label 2372: @135248
     /*  135248 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(135281), // Rule ID 53170 //
     /*  135253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135264 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135279 */     GIR_RootConstrainSelectedInstOperands,
     /*  135280 */     // GIR_Coverage, 53170,
     /*  135280 */     GIR_EraseRootFromParent_Done,
     /*  135281 */   // Label 2373: @135281
     /*  135281 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(135314), // Rule ID 53171 //
     /*  135286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135297 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135312 */     GIR_RootConstrainSelectedInstOperands,
     /*  135313 */     // GIR_Coverage, 53171,
     /*  135313 */     GIR_EraseRootFromParent_Done,
     /*  135314 */   // Label 2374: @135314
     /*  135314 */   GIM_Reject,
     /*  135315 */ // Label 2364: @135315
     /*  135315 */ GIM_Reject,
     /*  135316 */ // Label 2261: @135316
     /*  135316 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(135430),
     /*  135321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  135324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135339 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(135384), // Rule ID 47778 //
     /*  135344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135347 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135382 */     GIR_RootConstrainSelectedInstOperands,
     /*  135383 */     // GIR_Coverage, 47778,
     /*  135383 */     GIR_EraseRootFromParent_Done,
     /*  135384 */   // Label 2376: @135384
     /*  135384 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(135429), // Rule ID 47779 //
     /*  135389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135392 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135427 */     GIR_RootConstrainSelectedInstOperands,
     /*  135428 */     // GIR_Coverage, 47779,
     /*  135428 */     GIR_EraseRootFromParent_Done,
     /*  135429 */   // Label 2377: @135429
     /*  135429 */   GIM_Reject,
     /*  135430 */ // Label 2375: @135430
     /*  135430 */ GIM_Reject,
     /*  135431 */ // Label 2262: @135431
     /*  135431 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(135545),
     /*  135436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  135439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135454 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(135499), // Rule ID 47790 //
     /*  135459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135462 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135497 */     GIR_RootConstrainSelectedInstOperands,
     /*  135498 */     // GIR_Coverage, 47790,
     /*  135498 */     GIR_EraseRootFromParent_Done,
     /*  135499 */   // Label 2379: @135499
     /*  135499 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(135544), // Rule ID 47791 //
     /*  135504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135507 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135542 */     GIR_RootConstrainSelectedInstOperands,
     /*  135543 */     // GIR_Coverage, 47791,
     /*  135543 */     GIR_EraseRootFromParent_Done,
     /*  135544 */   // Label 2380: @135544
     /*  135544 */   GIM_Reject,
     /*  135545 */ // Label 2378: @135545
     /*  135545 */ GIM_Reject,
     /*  135546 */ // Label 2263: @135546
     /*  135546 */ GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(135660),
     /*  135551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  135554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  135557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135569 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(135614), // Rule ID 47806 //
     /*  135574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135577 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  135577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  135580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135612 */     GIR_RootConstrainSelectedInstOperands,
     /*  135613 */     // GIR_Coverage, 47806,
     /*  135613 */     GIR_EraseRootFromParent_Done,
     /*  135614 */   // Label 2382: @135614
     /*  135614 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(135659), // Rule ID 47807 //
     /*  135619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135622 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  135622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  135625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135657 */     GIR_RootConstrainSelectedInstOperands,
     /*  135658 */     // GIR_Coverage, 47807,
     /*  135658 */     GIR_EraseRootFromParent_Done,
     /*  135659 */   // Label 2383: @135659
     /*  135659 */   GIM_Reject,
     /*  135660 */ // Label 2381: @135660
     /*  135660 */ GIM_Reject,
     /*  135661 */ // Label 2264: @135661
     /*  135661 */ GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(135775),
     /*  135666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  135669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  135672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135684 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(135729), // Rule ID 47850 //
     /*  135689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  135692 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  135692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  135695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  135709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135727 */     GIR_RootConstrainSelectedInstOperands,
     /*  135728 */     // GIR_Coverage, 47850,
     /*  135728 */     GIR_EraseRootFromParent_Done,
     /*  135729 */   // Label 2385: @135729
     /*  135729 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(135774), // Rule ID 47851 //
     /*  135734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135737 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  135737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  135740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  135754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135772 */     GIR_RootConstrainSelectedInstOperands,
     /*  135773 */     // GIR_Coverage, 47851,
     /*  135773 */     GIR_EraseRootFromParent_Done,
     /*  135774 */   // Label 2386: @135774
     /*  135774 */   GIM_Reject,
     /*  135775 */ // Label 2384: @135775
     /*  135775 */ GIM_Reject,
     /*  135776 */ // Label 2265: @135776
     /*  135776 */ GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(136386),
     /*  135781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135791 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(135857), // Rule ID 71590 //
     /*  135796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135838 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135855 */     GIR_RootConstrainSelectedInstOperands,
     /*  135856 */     // GIR_Coverage, 71590,
     /*  135856 */     GIR_EraseRootFromParent_Done,
     /*  135857 */   // Label 2388: @135857
     /*  135857 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(135923), // Rule ID 71591 //
     /*  135862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135904 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135921 */     GIR_RootConstrainSelectedInstOperands,
     /*  135922 */     // GIR_Coverage, 71591,
     /*  135922 */     GIR_EraseRootFromParent_Done,
     /*  135923 */   // Label 2389: @135923
     /*  135923 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(135989), // Rule ID 71588 //
     /*  135928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135970 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135987 */     GIR_RootConstrainSelectedInstOperands,
     /*  135988 */     // GIR_Coverage, 71588,
     /*  135988 */     GIR_EraseRootFromParent_Done,
     /*  135989 */   // Label 2390: @135989
     /*  135989 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(136055), // Rule ID 71589 //
     /*  135994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136036 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136053 */     GIR_RootConstrainSelectedInstOperands,
     /*  136054 */     // GIR_Coverage, 71589,
     /*  136054 */     GIR_EraseRootFromParent_Done,
     /*  136055 */   // Label 2391: @136055
     /*  136055 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(136121), // Rule ID 71586 //
     /*  136060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136102 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136119 */     GIR_RootConstrainSelectedInstOperands,
     /*  136120 */     // GIR_Coverage, 71586,
     /*  136120 */     GIR_EraseRootFromParent_Done,
     /*  136121 */   // Label 2392: @136121
     /*  136121 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(136187), // Rule ID 71587 //
     /*  136126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136168 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136185 */     GIR_RootConstrainSelectedInstOperands,
     /*  136186 */     // GIR_Coverage, 71587,
     /*  136186 */     GIR_EraseRootFromParent_Done,
     /*  136187 */   // Label 2393: @136187
     /*  136187 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(136253), // Rule ID 53200 //
     /*  136192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136234 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136251 */     GIR_RootConstrainSelectedInstOperands,
     /*  136252 */     // GIR_Coverage, 53200,
     /*  136252 */     GIR_EraseRootFromParent_Done,
     /*  136253 */   // Label 2394: @136253
     /*  136253 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(136319), // Rule ID 53201 //
     /*  136258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136300 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136317 */     GIR_RootConstrainSelectedInstOperands,
     /*  136318 */     // GIR_Coverage, 53201,
     /*  136318 */     GIR_EraseRootFromParent_Done,
     /*  136319 */   // Label 2395: @136319
     /*  136319 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(136352), // Rule ID 53188 //
     /*  136324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136335 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136350 */     GIR_RootConstrainSelectedInstOperands,
     /*  136351 */     // GIR_Coverage, 53188,
     /*  136351 */     GIR_EraseRootFromParent_Done,
     /*  136352 */   // Label 2396: @136352
     /*  136352 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(136385), // Rule ID 53189 //
     /*  136357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136368 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136383 */     GIR_RootConstrainSelectedInstOperands,
     /*  136384 */     // GIR_Coverage, 53189,
     /*  136384 */     GIR_EraseRootFromParent_Done,
     /*  136385 */   // Label 2397: @136385
     /*  136385 */   GIM_Reject,
     /*  136386 */ // Label 2387: @136386
     /*  136386 */ GIM_Reject,
     /*  136387 */ // Label 2266: @136387
     /*  136387 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(136501),
     /*  136392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  136395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  136398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136410 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(136455), // Rule ID 47782 //
     /*  136415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136418 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136453 */     GIR_RootConstrainSelectedInstOperands,
     /*  136454 */     // GIR_Coverage, 47782,
     /*  136454 */     GIR_EraseRootFromParent_Done,
     /*  136455 */   // Label 2399: @136455
     /*  136455 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(136500), // Rule ID 47783 //
     /*  136460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136463 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136498 */     GIR_RootConstrainSelectedInstOperands,
     /*  136499 */     // GIR_Coverage, 47783,
     /*  136499 */     GIR_EraseRootFromParent_Done,
     /*  136500 */   // Label 2400: @136500
     /*  136500 */   GIM_Reject,
     /*  136501 */ // Label 2398: @136501
     /*  136501 */ GIM_Reject,
     /*  136502 */ // Label 2267: @136502
     /*  136502 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(136616),
     /*  136507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  136510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136525 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(136570), // Rule ID 47802 //
     /*  136530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136533 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  136533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  136536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136568 */     GIR_RootConstrainSelectedInstOperands,
     /*  136569 */     // GIR_Coverage, 47802,
     /*  136569 */     GIR_EraseRootFromParent_Done,
     /*  136570 */   // Label 2402: @136570
     /*  136570 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(136615), // Rule ID 47803 //
     /*  136575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136578 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  136578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  136581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136613 */     GIR_RootConstrainSelectedInstOperands,
     /*  136614 */     // GIR_Coverage, 47803,
     /*  136614 */     GIR_EraseRootFromParent_Done,
     /*  136615 */   // Label 2403: @136615
     /*  136615 */   GIM_Reject,
     /*  136616 */ // Label 2401: @136616
     /*  136616 */ GIM_Reject,
     /*  136617 */ // Label 2268: @136617
     /*  136617 */ GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(136731),
     /*  136622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  136625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  136628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136640 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(136685), // Rule ID 47838 //
     /*  136645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136648 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  136648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  136651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136683 */     GIR_RootConstrainSelectedInstOperands,
     /*  136684 */     // GIR_Coverage, 47838,
     /*  136684 */     GIR_EraseRootFromParent_Done,
     /*  136685 */   // Label 2405: @136685
     /*  136685 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(136730), // Rule ID 47839 //
     /*  136690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136693 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  136693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  136696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136728 */     GIR_RootConstrainSelectedInstOperands,
     /*  136729 */     // GIR_Coverage, 47839,
     /*  136729 */     GIR_EraseRootFromParent_Done,
     /*  136730 */   // Label 2406: @136730
     /*  136730 */   GIM_Reject,
     /*  136731 */ // Label 2404: @136731
     /*  136731 */ GIM_Reject,
     /*  136732 */ // Label 2269: @136732
     /*  136732 */ GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(136846),
     /*  136737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  136740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  136743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136755 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(136800), // Rule ID 47854 //
     /*  136760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136763 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  136763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  136766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  136780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136798 */     GIR_RootConstrainSelectedInstOperands,
     /*  136799 */     // GIR_Coverage, 47854,
     /*  136799 */     GIR_EraseRootFromParent_Done,
     /*  136800 */   // Label 2408: @136800
     /*  136800 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(136845), // Rule ID 47855 //
     /*  136805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136808 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  136808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  136811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  136825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136843 */     GIR_RootConstrainSelectedInstOperands,
     /*  136844 */     // GIR_Coverage, 47855,
     /*  136844 */     GIR_EraseRootFromParent_Done,
     /*  136845 */   // Label 2409: @136845
     /*  136845 */   GIM_Reject,
     /*  136846 */ // Label 2407: @136846
     /*  136846 */ GIM_Reject,
     /*  136847 */ // Label 2270: @136847
     /*  136847 */ GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(137457),
     /*  136852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136862 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136928), // Rule ID 71618 //
     /*  136867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136909 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  136912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136926 */     GIR_RootConstrainSelectedInstOperands,
     /*  136927 */     // GIR_Coverage, 71618,
     /*  136927 */     GIR_EraseRootFromParent_Done,
     /*  136928 */   // Label 2411: @136928
     /*  136928 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(136994), // Rule ID 71619 //
     /*  136933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136975 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  136978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136992 */     GIR_RootConstrainSelectedInstOperands,
     /*  136993 */     // GIR_Coverage, 71619,
     /*  136993 */     GIR_EraseRootFromParent_Done,
     /*  136994 */   // Label 2412: @136994
     /*  136994 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(137060), // Rule ID 71616 //
     /*  136999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137041 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137058 */     GIR_RootConstrainSelectedInstOperands,
     /*  137059 */     // GIR_Coverage, 71616,
     /*  137059 */     GIR_EraseRootFromParent_Done,
     /*  137060 */   // Label 2413: @137060
     /*  137060 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(137126), // Rule ID 71617 //
     /*  137065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137107 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137124 */     GIR_RootConstrainSelectedInstOperands,
     /*  137125 */     // GIR_Coverage, 71617,
     /*  137125 */     GIR_EraseRootFromParent_Done,
     /*  137126 */   // Label 2414: @137126
     /*  137126 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(137192), // Rule ID 71614 //
     /*  137131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137173 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137190 */     GIR_RootConstrainSelectedInstOperands,
     /*  137191 */     // GIR_Coverage, 71614,
     /*  137191 */     GIR_EraseRootFromParent_Done,
     /*  137192 */   // Label 2415: @137192
     /*  137192 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(137258), // Rule ID 71615 //
     /*  137197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137239 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137256 */     GIR_RootConstrainSelectedInstOperands,
     /*  137257 */     // GIR_Coverage, 71615,
     /*  137257 */     GIR_EraseRootFromParent_Done,
     /*  137258 */   // Label 2416: @137258
     /*  137258 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(137324), // Rule ID 53218 //
     /*  137263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137305 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137322 */     GIR_RootConstrainSelectedInstOperands,
     /*  137323 */     // GIR_Coverage, 53218,
     /*  137323 */     GIR_EraseRootFromParent_Done,
     /*  137324 */   // Label 2417: @137324
     /*  137324 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(137390), // Rule ID 53219 //
     /*  137329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137371 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137388 */     GIR_RootConstrainSelectedInstOperands,
     /*  137389 */     // GIR_Coverage, 53219,
     /*  137389 */     GIR_EraseRootFromParent_Done,
     /*  137390 */   // Label 2418: @137390
     /*  137390 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(137423), // Rule ID 53206 //
     /*  137395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137406 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137421 */     GIR_RootConstrainSelectedInstOperands,
     /*  137422 */     // GIR_Coverage, 53206,
     /*  137422 */     GIR_EraseRootFromParent_Done,
     /*  137423 */   // Label 2419: @137423
     /*  137423 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(137456), // Rule ID 53207 //
     /*  137428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137439 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137454 */     GIR_RootConstrainSelectedInstOperands,
     /*  137455 */     // GIR_Coverage, 53207,
     /*  137455 */     GIR_EraseRootFromParent_Done,
     /*  137456 */   // Label 2420: @137456
     /*  137456 */   GIM_Reject,
     /*  137457 */ // Label 2410: @137457
     /*  137457 */ GIM_Reject,
     /*  137458 */ // Label 2271: @137458
     /*  137458 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(137572),
     /*  137463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  137466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  137469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137481 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(137526), // Rule ID 47798 //
     /*  137486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137489 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  137489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  137492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137524 */     GIR_RootConstrainSelectedInstOperands,
     /*  137525 */     // GIR_Coverage, 47798,
     /*  137525 */     GIR_EraseRootFromParent_Done,
     /*  137526 */   // Label 2422: @137526
     /*  137526 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(137571), // Rule ID 47799 //
     /*  137531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137534 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  137534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  137537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137569 */     GIR_RootConstrainSelectedInstOperands,
     /*  137570 */     // GIR_Coverage, 47799,
     /*  137570 */     GIR_EraseRootFromParent_Done,
     /*  137571 */   // Label 2423: @137571
     /*  137571 */   GIM_Reject,
     /*  137572 */ // Label 2421: @137572
     /*  137572 */ GIM_Reject,
     /*  137573 */ // Label 2272: @137573
     /*  137573 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(137687),
     /*  137578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  137581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137596 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(137641), // Rule ID 47826 //
     /*  137601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137604 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  137604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  137607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137639 */     GIR_RootConstrainSelectedInstOperands,
     /*  137640 */     // GIR_Coverage, 47826,
     /*  137640 */     GIR_EraseRootFromParent_Done,
     /*  137641 */   // Label 2425: @137641
     /*  137641 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(137686), // Rule ID 47827 //
     /*  137646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137649 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  137649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  137652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137684 */     GIR_RootConstrainSelectedInstOperands,
     /*  137685 */     // GIR_Coverage, 47827,
     /*  137685 */     GIR_EraseRootFromParent_Done,
     /*  137686 */   // Label 2426: @137686
     /*  137686 */   GIM_Reject,
     /*  137687 */ // Label 2424: @137687
     /*  137687 */ GIM_Reject,
     /*  137688 */ // Label 2273: @137688
     /*  137688 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(137802),
     /*  137693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  137696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137711 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(137756), // Rule ID 47842 //
     /*  137716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137719 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  137719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  137722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137754 */     GIR_RootConstrainSelectedInstOperands,
     /*  137755 */     // GIR_Coverage, 47842,
     /*  137755 */     GIR_EraseRootFromParent_Done,
     /*  137756 */   // Label 2428: @137756
     /*  137756 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(137801), // Rule ID 47843 //
     /*  137761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137764 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  137764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  137767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137799 */     GIR_RootConstrainSelectedInstOperands,
     /*  137800 */     // GIR_Coverage, 47843,
     /*  137800 */     GIR_EraseRootFromParent_Done,
     /*  137801 */   // Label 2429: @137801
     /*  137801 */   GIM_Reject,
     /*  137802 */ // Label 2427: @137802
     /*  137802 */ GIM_Reject,
     /*  137803 */ // Label 2274: @137803
     /*  137803 */ GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(137917),
     /*  137808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  137811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  137814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137826 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(137871), // Rule ID 47858 //
     /*  137831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137834 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  137834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  137837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  137851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137869 */     GIR_RootConstrainSelectedInstOperands,
     /*  137870 */     // GIR_Coverage, 47858,
     /*  137870 */     GIR_EraseRootFromParent_Done,
     /*  137871 */   // Label 2431: @137871
     /*  137871 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(137916), // Rule ID 47859 //
     /*  137876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  137879 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  137879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  137882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  137896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137914 */     GIR_RootConstrainSelectedInstOperands,
     /*  137915 */     // GIR_Coverage, 47859,
     /*  137915 */     GIR_EraseRootFromParent_Done,
     /*  137916 */   // Label 2432: @137916
     /*  137916 */   GIM_Reject,
     /*  137917 */ // Label 2430: @137917
     /*  137917 */ GIM_Reject,
     /*  137918 */ // Label 2275: @137918
     /*  137918 */ GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(138528),
     /*  137923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  137926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  137929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137933 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(137999), // Rule ID 71646 //
     /*  137938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  137953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  137957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137997 */     GIR_RootConstrainSelectedInstOperands,
     /*  137998 */     // GIR_Coverage, 71646,
     /*  137998 */     GIR_EraseRootFromParent_Done,
     /*  137999 */   // Label 2434: @137999
     /*  137999 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(138065), // Rule ID 71647 //
     /*  138004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138046 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138063 */     GIR_RootConstrainSelectedInstOperands,
     /*  138064 */     // GIR_Coverage, 71647,
     /*  138064 */     GIR_EraseRootFromParent_Done,
     /*  138065 */   // Label 2435: @138065
     /*  138065 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(138131), // Rule ID 71644 //
     /*  138070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138112 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138129 */     GIR_RootConstrainSelectedInstOperands,
     /*  138130 */     // GIR_Coverage, 71644,
     /*  138130 */     GIR_EraseRootFromParent_Done,
     /*  138131 */   // Label 2436: @138131
     /*  138131 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(138197), // Rule ID 71645 //
     /*  138136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138178 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138195 */     GIR_RootConstrainSelectedInstOperands,
     /*  138196 */     // GIR_Coverage, 71645,
     /*  138196 */     GIR_EraseRootFromParent_Done,
     /*  138197 */   // Label 2437: @138197
     /*  138197 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(138263), // Rule ID 71642 //
     /*  138202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138244 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138261 */     GIR_RootConstrainSelectedInstOperands,
     /*  138262 */     // GIR_Coverage, 71642,
     /*  138262 */     GIR_EraseRootFromParent_Done,
     /*  138263 */   // Label 2438: @138263
     /*  138263 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(138329), // Rule ID 71643 //
     /*  138268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138310 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138327 */     GIR_RootConstrainSelectedInstOperands,
     /*  138328 */     // GIR_Coverage, 71643,
     /*  138328 */     GIR_EraseRootFromParent_Done,
     /*  138329 */   // Label 2439: @138329
     /*  138329 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(138395), // Rule ID 53236 //
     /*  138334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138376 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138393 */     GIR_RootConstrainSelectedInstOperands,
     /*  138394 */     // GIR_Coverage, 53236,
     /*  138394 */     GIR_EraseRootFromParent_Done,
     /*  138395 */   // Label 2440: @138395
     /*  138395 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(138461), // Rule ID 53237 //
     /*  138400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138442 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138459 */     GIR_RootConstrainSelectedInstOperands,
     /*  138460 */     // GIR_Coverage, 53237,
     /*  138460 */     GIR_EraseRootFromParent_Done,
     /*  138461 */   // Label 2441: @138461
     /*  138461 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(138494), // Rule ID 53224 //
     /*  138466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138477 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138492 */     GIR_RootConstrainSelectedInstOperands,
     /*  138493 */     // GIR_Coverage, 53224,
     /*  138493 */     GIR_EraseRootFromParent_Done,
     /*  138494 */   // Label 2442: @138494
     /*  138494 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(138527), // Rule ID 53225 //
     /*  138499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138510 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138525 */     GIR_RootConstrainSelectedInstOperands,
     /*  138526 */     // GIR_Coverage, 53225,
     /*  138526 */     GIR_EraseRootFromParent_Done,
     /*  138527 */   // Label 2443: @138527
     /*  138527 */   GIM_Reject,
     /*  138528 */ // Label 2433: @138528
     /*  138528 */ GIM_Reject,
     /*  138529 */ // Label 2276: @138529
     /*  138529 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(138643),
     /*  138534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  138537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  138540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138552 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(138597), // Rule ID 47814 //
     /*  138557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138560 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  138560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  138563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138595 */     GIR_RootConstrainSelectedInstOperands,
     /*  138596 */     // GIR_Coverage, 47814,
     /*  138596 */     GIR_EraseRootFromParent_Done,
     /*  138597 */   // Label 2445: @138597
     /*  138597 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(138642), // Rule ID 47815 //
     /*  138602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138605 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  138605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  138608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138640 */     GIR_RootConstrainSelectedInstOperands,
     /*  138641 */     // GIR_Coverage, 47815,
     /*  138641 */     GIR_EraseRootFromParent_Done,
     /*  138642 */   // Label 2446: @138642
     /*  138642 */   GIM_Reject,
     /*  138643 */ // Label 2444: @138643
     /*  138643 */ GIM_Reject,
     /*  138644 */ // Label 2277: @138644
     /*  138644 */ GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(138758),
     /*  138649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  138652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  138655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138667 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(138712), // Rule ID 47830 //
     /*  138672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138675 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  138675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  138678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138710 */     GIR_RootConstrainSelectedInstOperands,
     /*  138711 */     // GIR_Coverage, 47830,
     /*  138711 */     GIR_EraseRootFromParent_Done,
     /*  138712 */   // Label 2448: @138712
     /*  138712 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(138757), // Rule ID 47831 //
     /*  138717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138720 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  138720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  138723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138755 */     GIR_RootConstrainSelectedInstOperands,
     /*  138756 */     // GIR_Coverage, 47831,
     /*  138756 */     GIR_EraseRootFromParent_Done,
     /*  138757 */   // Label 2449: @138757
     /*  138757 */   GIM_Reject,
     /*  138758 */ // Label 2447: @138758
     /*  138758 */ GIM_Reject,
     /*  138759 */ // Label 2278: @138759
     /*  138759 */ GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(138873),
     /*  138764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  138767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  138770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138782 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(138827), // Rule ID 47846 //
     /*  138787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138790 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  138790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  138793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138825 */     GIR_RootConstrainSelectedInstOperands,
     /*  138826 */     // GIR_Coverage, 47846,
     /*  138826 */     GIR_EraseRootFromParent_Done,
     /*  138827 */   // Label 2451: @138827
     /*  138827 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(138872), // Rule ID 47847 //
     /*  138832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138835 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  138835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  138838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138870 */     GIR_RootConstrainSelectedInstOperands,
     /*  138871 */     // GIR_Coverage, 47847,
     /*  138871 */     GIR_EraseRootFromParent_Done,
     /*  138872 */   // Label 2452: @138872
     /*  138872 */   GIM_Reject,
     /*  138873 */ // Label 2450: @138873
     /*  138873 */ GIM_Reject,
     /*  138874 */ // Label 2279: @138874
     /*  138874 */ GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(139484),
     /*  138879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(138955), // Rule ID 71674 //
     /*  138894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138936 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138953 */     GIR_RootConstrainSelectedInstOperands,
     /*  138954 */     // GIR_Coverage, 71674,
     /*  138954 */     GIR_EraseRootFromParent_Done,
     /*  138955 */   // Label 2454: @138955
     /*  138955 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(139021), // Rule ID 71675 //
     /*  138960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139002 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139019 */     GIR_RootConstrainSelectedInstOperands,
     /*  139020 */     // GIR_Coverage, 71675,
     /*  139020 */     GIR_EraseRootFromParent_Done,
     /*  139021 */   // Label 2455: @139021
     /*  139021 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(139087), // Rule ID 71672 //
     /*  139026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139068 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139085 */     GIR_RootConstrainSelectedInstOperands,
     /*  139086 */     // GIR_Coverage, 71672,
     /*  139086 */     GIR_EraseRootFromParent_Done,
     /*  139087 */   // Label 2456: @139087
     /*  139087 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(139153), // Rule ID 71673 //
     /*  139092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139134 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139151 */     GIR_RootConstrainSelectedInstOperands,
     /*  139152 */     // GIR_Coverage, 71673,
     /*  139152 */     GIR_EraseRootFromParent_Done,
     /*  139153 */   // Label 2457: @139153
     /*  139153 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(139219), // Rule ID 71670 //
     /*  139158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139200 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139217 */     GIR_RootConstrainSelectedInstOperands,
     /*  139218 */     // GIR_Coverage, 71670,
     /*  139218 */     GIR_EraseRootFromParent_Done,
     /*  139219 */   // Label 2458: @139219
     /*  139219 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(139285), // Rule ID 71671 //
     /*  139224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139266 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139283 */     GIR_RootConstrainSelectedInstOperands,
     /*  139284 */     // GIR_Coverage, 71671,
     /*  139284 */     GIR_EraseRootFromParent_Done,
     /*  139285 */   // Label 2459: @139285
     /*  139285 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(139351), // Rule ID 53254 //
     /*  139290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139332 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139349 */     GIR_RootConstrainSelectedInstOperands,
     /*  139350 */     // GIR_Coverage, 53254,
     /*  139350 */     GIR_EraseRootFromParent_Done,
     /*  139351 */   // Label 2460: @139351
     /*  139351 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(139417), // Rule ID 53255 //
     /*  139356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139398 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139415 */     GIR_RootConstrainSelectedInstOperands,
     /*  139416 */     // GIR_Coverage, 53255,
     /*  139416 */     GIR_EraseRootFromParent_Done,
     /*  139417 */   // Label 2461: @139417
     /*  139417 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(139450), // Rule ID 53242 //
     /*  139422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139433 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139448 */     GIR_RootConstrainSelectedInstOperands,
     /*  139449 */     // GIR_Coverage, 53242,
     /*  139449 */     GIR_EraseRootFromParent_Done,
     /*  139450 */   // Label 2462: @139450
     /*  139450 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(139483), // Rule ID 53243 //
     /*  139455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139466 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139481 */     GIR_RootConstrainSelectedInstOperands,
     /*  139482 */     // GIR_Coverage, 53243,
     /*  139482 */     GIR_EraseRootFromParent_Done,
     /*  139483 */   // Label 2463: @139483
     /*  139483 */   GIM_Reject,
     /*  139484 */ // Label 2453: @139484
     /*  139484 */ GIM_Reject,
     /*  139485 */ // Label 2280: @139485
     /*  139485 */ GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(139599),
     /*  139490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  139493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  139496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139508 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(139553), // Rule ID 47818 //
     /*  139513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139516 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  139519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139551 */     GIR_RootConstrainSelectedInstOperands,
     /*  139552 */     // GIR_Coverage, 47818,
     /*  139552 */     GIR_EraseRootFromParent_Done,
     /*  139553 */   // Label 2465: @139553
     /*  139553 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(139598), // Rule ID 47819 //
     /*  139558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139561 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  139564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139596 */     GIR_RootConstrainSelectedInstOperands,
     /*  139597 */     // GIR_Coverage, 47819,
     /*  139597 */     GIR_EraseRootFromParent_Done,
     /*  139598 */   // Label 2466: @139598
     /*  139598 */   GIM_Reject,
     /*  139599 */ // Label 2464: @139599
     /*  139599 */ GIM_Reject,
     /*  139600 */ // Label 2281: @139600
     /*  139600 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(139714),
     /*  139605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  139608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  139611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139623 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(139668), // Rule ID 47834 //
     /*  139628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139631 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  139634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139666 */     GIR_RootConstrainSelectedInstOperands,
     /*  139667 */     // GIR_Coverage, 47834,
     /*  139667 */     GIR_EraseRootFromParent_Done,
     /*  139668 */   // Label 2468: @139668
     /*  139668 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(139713), // Rule ID 47835 //
     /*  139673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139676 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  139679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139711 */     GIR_RootConstrainSelectedInstOperands,
     /*  139712 */     // GIR_Coverage, 47835,
     /*  139712 */     GIR_EraseRootFromParent_Done,
     /*  139713 */   // Label 2469: @139713
     /*  139713 */   GIM_Reject,
     /*  139714 */ // Label 2467: @139714
     /*  139714 */ GIM_Reject,
     /*  139715 */ // Label 2282: @139715
     /*  139715 */ GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(140325),
     /*  139720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139730 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(139796), // Rule ID 71702 //
     /*  139735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139777 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139794 */     GIR_RootConstrainSelectedInstOperands,
     /*  139795 */     // GIR_Coverage, 71702,
     /*  139795 */     GIR_EraseRootFromParent_Done,
     /*  139796 */   // Label 2471: @139796
     /*  139796 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(139862), // Rule ID 71703 //
     /*  139801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139843 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139860 */     GIR_RootConstrainSelectedInstOperands,
     /*  139861 */     // GIR_Coverage, 71703,
     /*  139861 */     GIR_EraseRootFromParent_Done,
     /*  139862 */   // Label 2472: @139862
     /*  139862 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(139928), // Rule ID 71700 //
     /*  139867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139909 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139926 */     GIR_RootConstrainSelectedInstOperands,
     /*  139927 */     // GIR_Coverage, 71700,
     /*  139927 */     GIR_EraseRootFromParent_Done,
     /*  139928 */   // Label 2473: @139928
     /*  139928 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(139994), // Rule ID 71701 //
     /*  139933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139975 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139992 */     GIR_RootConstrainSelectedInstOperands,
     /*  139993 */     // GIR_Coverage, 71701,
     /*  139993 */     GIR_EraseRootFromParent_Done,
     /*  139994 */   // Label 2474: @139994
     /*  139994 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(140060), // Rule ID 71698 //
     /*  139999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140041 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140058 */     GIR_RootConstrainSelectedInstOperands,
     /*  140059 */     // GIR_Coverage, 71698,
     /*  140059 */     GIR_EraseRootFromParent_Done,
     /*  140060 */   // Label 2475: @140060
     /*  140060 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(140126), // Rule ID 71699 //
     /*  140065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140107 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140124 */     GIR_RootConstrainSelectedInstOperands,
     /*  140125 */     // GIR_Coverage, 71699,
     /*  140125 */     GIR_EraseRootFromParent_Done,
     /*  140126 */   // Label 2476: @140126
     /*  140126 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(140192), // Rule ID 53272 //
     /*  140131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140173 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140190 */     GIR_RootConstrainSelectedInstOperands,
     /*  140191 */     // GIR_Coverage, 53272,
     /*  140191 */     GIR_EraseRootFromParent_Done,
     /*  140192 */   // Label 2477: @140192
     /*  140192 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(140258), // Rule ID 53273 //
     /*  140197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140239 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140256 */     GIR_RootConstrainSelectedInstOperands,
     /*  140257 */     // GIR_Coverage, 53273,
     /*  140257 */     GIR_EraseRootFromParent_Done,
     /*  140258 */   // Label 2478: @140258
     /*  140258 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(140291), // Rule ID 53260 //
     /*  140263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140274 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140289 */     GIR_RootConstrainSelectedInstOperands,
     /*  140290 */     // GIR_Coverage, 53260,
     /*  140290 */     GIR_EraseRootFromParent_Done,
     /*  140291 */   // Label 2479: @140291
     /*  140291 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(140324), // Rule ID 53261 //
     /*  140296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140307 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140322 */     GIR_RootConstrainSelectedInstOperands,
     /*  140323 */     // GIR_Coverage, 53261,
     /*  140323 */     GIR_EraseRootFromParent_Done,
     /*  140324 */   // Label 2480: @140324
     /*  140324 */   GIM_Reject,
     /*  140325 */ // Label 2470: @140325
     /*  140325 */ GIM_Reject,
     /*  140326 */ // Label 2283: @140326
     /*  140326 */ GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(140440),
     /*  140331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  140334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140349 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(140394), // Rule ID 47822 //
     /*  140354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140357 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140392 */     GIR_RootConstrainSelectedInstOperands,
     /*  140393 */     // GIR_Coverage, 47822,
     /*  140393 */     GIR_EraseRootFromParent_Done,
     /*  140394 */   // Label 2482: @140394
     /*  140394 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(140439), // Rule ID 47823 //
     /*  140399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140402 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140437 */     GIR_RootConstrainSelectedInstOperands,
     /*  140438 */     // GIR_Coverage, 47823,
     /*  140438 */     GIR_EraseRootFromParent_Done,
     /*  140439 */   // Label 2483: @140439
     /*  140439 */   GIM_Reject,
     /*  140440 */ // Label 2481: @140440
     /*  140440 */ GIM_Reject,
     /*  140441 */ // Label 2284: @140441
     /*  140441 */ GIM_Reject,
     /*  140442 */ // Label 9: @140442
     /*  140442 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2515*/ GIMT_Encode4(155348),
     /*  140453 */ /*GILLT_s32*//*Label 2484*/ GIMT_Encode4(140577),
     /*  140457 */ /*GILLT_s64*//*Label 2485*/ GIMT_Encode4(141115),
     /*  140461 */ /*GILLT_nxv1s1*//*Label 2486*/ GIMT_Encode4(141541),
     /*  140465 */ /*GILLT_nxv1s8*//*Label 2487*/ GIMT_Encode4(143152),
     /*  140469 */ /*GILLT_nxv1s16*//*Label 2488*/ GIMT_Encode4(143267),
     /*  140473 */ /*GILLT_nxv1s32*//*Label 2489*/ GIMT_Encode4(143382),
     /*  140477 */ /*GILLT_nxv1s64*//*Label 2490*/ GIMT_Encode4(143497),
     /*  140481 */ /*GILLT_nxv2s1*//*Label 2491*/ GIMT_Encode4(143612),
     /*  140485 */ /*GILLT_nxv2s8*//*Label 2492*/ GIMT_Encode4(145223),
     /*  140489 */ /*GILLT_nxv2s16*//*Label 2493*/ GIMT_Encode4(145338),
     /*  140493 */ /*GILLT_nxv2s32*//*Label 2494*/ GIMT_Encode4(145453),
     /*  140497 */ /*GILLT_nxv2s64*//*Label 2495*/ GIMT_Encode4(145568),
     /*  140501 */ /*GILLT_nxv4s1*//*Label 2496*/ GIMT_Encode4(145683),
     /*  140505 */ /*GILLT_nxv4s8*//*Label 2497*/ GIMT_Encode4(147294),
     /*  140509 */ /*GILLT_nxv4s16*//*Label 2498*/ GIMT_Encode4(147409),
     /*  140513 */ /*GILLT_nxv4s32*//*Label 2499*/ GIMT_Encode4(147524),
     /*  140517 */ /*GILLT_nxv4s64*//*Label 2500*/ GIMT_Encode4(147639),
     /*  140521 */ /*GILLT_nxv8s1*//*Label 2501*/ GIMT_Encode4(147754),
     /*  140525 */ /*GILLT_nxv8s8*//*Label 2502*/ GIMT_Encode4(149365),
     /*  140529 */ /*GILLT_nxv8s16*//*Label 2503*/ GIMT_Encode4(149480),
     /*  140533 */ /*GILLT_nxv8s32*//*Label 2504*/ GIMT_Encode4(149595),
     /*  140537 */ /*GILLT_nxv8s64*//*Label 2505*/ GIMT_Encode4(149710),
     /*  140541 */ /*GILLT_nxv16s1*//*Label 2506*/ GIMT_Encode4(149825),
     /*  140545 */ /*GILLT_nxv16s8*//*Label 2507*/ GIMT_Encode4(151436),
     /*  140549 */ /*GILLT_nxv16s16*//*Label 2508*/ GIMT_Encode4(151551),
     /*  140553 */ /*GILLT_nxv16s32*//*Label 2509*/ GIMT_Encode4(151666),
     /*  140557 */ /*GILLT_nxv32s1*//*Label 2510*/ GIMT_Encode4(151781),
     /*  140561 */ /*GILLT_nxv32s8*//*Label 2511*/ GIMT_Encode4(153392),
     /*  140565 */ /*GILLT_nxv32s16*//*Label 2512*/ GIMT_Encode4(153507),
     /*  140569 */ /*GILLT_nxv64s1*//*Label 2513*/ GIMT_Encode4(153622),
     /*  140573 */ /*GILLT_nxv64s8*//*Label 2514*/ GIMT_Encode4(155233),
     /*  140577 */ // Label 2484: @140577
     /*  140577 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141114),
     /*  140582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  140585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  140588 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(140671), // Rule ID 2473 //
     /*  140593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140616 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  140620 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  140624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140633 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  140633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  140636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  140640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  140651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  140661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140669 */     GIR_RootConstrainSelectedInstOperands,
     /*  140670 */     // GIR_Coverage, 2473,
     /*  140670 */     GIR_EraseRootFromParent_Done,
     /*  140671 */   // Label 2517: @140671
     /*  140671 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(140730), // Rule ID 2467 //
     /*  140676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140699 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  140703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140716 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  140719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140728 */     GIR_RootConstrainSelectedInstOperands,
     /*  140729 */     // GIR_Coverage, 2467,
     /*  140729 */     GIR_EraseRootFromParent_Done,
     /*  140730 */   // Label 2518: @140730
     /*  140730 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(140789), // Rule ID 65325 //
     /*  140735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140762 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  140766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140775 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  140778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140787 */     GIR_RootConstrainSelectedInstOperands,
     /*  140788 */     // GIR_Coverage, 65325,
     /*  140788 */     GIR_EraseRootFromParent_Done,
     /*  140789 */   // Label 2519: @140789
     /*  140789 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(140845), // Rule ID 65311 //
     /*  140794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140822 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  140826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140832 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140843 */     GIR_RootConstrainSelectedInstOperands,
     /*  140844 */     // GIR_Coverage, 65311,
     /*  140844 */     GIR_EraseRootFromParent_Done,
     /*  140845 */   // Label 2520: @140845
     /*  140845 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(140904), // Rule ID 65309 //
     /*  140850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  140887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140889 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140902 */     GIR_RootConstrainSelectedInstOperands,
     /*  140903 */     // GIR_Coverage, 65309,
     /*  140903 */     GIR_EraseRootFromParent_Done,
     /*  140904 */   // Label 2521: @140904
     /*  140904 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(140960), // Rule ID 2441 //
     /*  140909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140941 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  140945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140947 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140958 */     GIR_RootConstrainSelectedInstOperands,
     /*  140959 */     // GIR_Coverage, 2441,
     /*  140959 */     GIR_EraseRootFromParent_Done,
     /*  140960 */   // Label 2522: @140960
     /*  140960 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(141002), // Rule ID 89 //
     /*  140965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  140968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  140988 */     // MIs[1] Operand 1
     /*  140988 */     // No operand predicates
     /*  140988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140990 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  140990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  140993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141000 */     GIR_RootConstrainSelectedInstOperands,
     /*  141001 */     // GIR_Coverage, 89,
     /*  141001 */     GIR_EraseRootFromParent_Done,
     /*  141002 */   // Label 2523: @141002
     /*  141002 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(141044), // Rule ID 64519 //
     /*  141007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  141030 */     // MIs[1] Operand 1
     /*  141030 */     // No operand predicates
     /*  141030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141032 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  141032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  141035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  141037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141042 */     GIR_RootConstrainSelectedInstOperands,
     /*  141043 */     // GIR_Coverage, 64519,
     /*  141043 */     GIR_EraseRootFromParent_Done,
     /*  141044 */   // Label 2524: @141044
     /*  141044 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(141086), // Rule ID 64523 //
     /*  141049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  141072 */     // MIs[1] Operand 1
     /*  141072 */     // No operand predicates
     /*  141072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141074 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  141074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  141077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141084 */     GIR_RootConstrainSelectedInstOperands,
     /*  141085 */     // GIR_Coverage, 64523,
     /*  141085 */     GIR_EraseRootFromParent_Done,
     /*  141086 */   // Label 2525: @141086
     /*  141086 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(141113), // Rule ID 87 //
     /*  141091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141106 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141111 */     GIR_RootConstrainSelectedInstOperands,
     /*  141112 */     // GIR_Coverage, 87,
     /*  141112 */     GIR_Done,
     /*  141113 */   // Label 2526: @141113
     /*  141113 */   GIM_Reject,
     /*  141114 */ // Label 2516: @141114
     /*  141114 */ GIM_Reject,
     /*  141115 */ // Label 2485: @141115
     /*  141115 */ GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(141540),
     /*  141120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  141123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  141126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141130 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(141209), // Rule ID 2472 //
     /*  141135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141154 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141171 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  141171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  141174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141207 */     GIR_RootConstrainSelectedInstOperands,
     /*  141208 */     // GIR_Coverage, 2472,
     /*  141208 */     GIR_EraseRootFromParent_Done,
     /*  141209 */   // Label 2528: @141209
     /*  141209 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(141264), // Rule ID 2466 //
     /*  141214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141233 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141250 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141262 */     GIR_RootConstrainSelectedInstOperands,
     /*  141263 */     // GIR_Coverage, 2466,
     /*  141263 */     GIR_EraseRootFromParent_Done,
     /*  141264 */   // Label 2529: @141264
     /*  141264 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(141319), // Rule ID 65324 //
     /*  141269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141292 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141305 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141317 */     GIR_RootConstrainSelectedInstOperands,
     /*  141318 */     // GIR_Coverage, 65324,
     /*  141318 */     GIR_EraseRootFromParent_Done,
     /*  141319 */   // Label 2530: @141319
     /*  141319 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(141371), // Rule ID 65310 //
     /*  141324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141358 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141369 */     GIR_RootConstrainSelectedInstOperands,
     /*  141370 */     // GIR_Coverage, 65310,
     /*  141370 */     GIR_EraseRootFromParent_Done,
     /*  141371 */   // Label 2531: @141371
     /*  141371 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(141426), // Rule ID 65308 //
     /*  141376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141405 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141411 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141424 */     GIR_RootConstrainSelectedInstOperands,
     /*  141425 */     // GIR_Coverage, 65308,
     /*  141425 */     GIR_EraseRootFromParent_Done,
     /*  141426 */   // Label 2532: @141426
     /*  141426 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(141478), // Rule ID 2440 //
     /*  141431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141459 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141465 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  141476 */     GIR_RootConstrainSelectedInstOperands,
     /*  141477 */     // GIR_Coverage, 2440,
     /*  141477 */     GIR_EraseRootFromParent_Done,
     /*  141478 */   // Label 2533: @141478
     /*  141478 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(141516), // Rule ID 88 //
     /*  141483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  141486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  141502 */     // MIs[1] Operand 1
     /*  141502 */     // No operand predicates
     /*  141502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141504 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  141504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  141507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141514 */     GIR_RootConstrainSelectedInstOperands,
     /*  141515 */     // GIR_Coverage, 88,
     /*  141515 */     GIR_EraseRootFromParent_Done,
     /*  141516 */   // Label 2534: @141516
     /*  141516 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(141539), // Rule ID 86 //
     /*  141521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  141524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141532 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141537 */     GIR_RootConstrainSelectedInstOperands,
     /*  141538 */     // GIR_Coverage, 86,
     /*  141538 */     GIR_Done,
     /*  141539 */   // Label 2535: @141539
     /*  141539 */   GIM_Reject,
     /*  141540 */ // Label 2527: @141540
     /*  141540 */ GIM_Reject,
     /*  141541 */ // Label 2486: @141541
     /*  141541 */ GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(143151),
     /*  141546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141556 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(141625), // Rule ID 53156 //
     /*  141561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141604 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  141607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141623 */     GIR_RootConstrainSelectedInstOperands,
     /*  141624 */     // GIR_Coverage, 53156,
     /*  141624 */     GIR_EraseRootFromParent_Done,
     /*  141625 */   // Label 2537: @141625
     /*  141625 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(141694), // Rule ID 53157 //
     /*  141630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141673 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  141676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141692 */     GIR_RootConstrainSelectedInstOperands,
     /*  141693 */     // GIR_Coverage, 53157,
     /*  141693 */     GIR_EraseRootFromParent_Done,
     /*  141694 */   // Label 2538: @141694
     /*  141694 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(141763), // Rule ID 53158 //
     /*  141699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141742 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  141745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141761 */     GIR_RootConstrainSelectedInstOperands,
     /*  141762 */     // GIR_Coverage, 53158,
     /*  141762 */     GIR_EraseRootFromParent_Done,
     /*  141763 */   // Label 2539: @141763
     /*  141763 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(141832), // Rule ID 53159 //
     /*  141768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141811 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  141814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141830 */     GIR_RootConstrainSelectedInstOperands,
     /*  141831 */     // GIR_Coverage, 53159,
     /*  141831 */     GIR_EraseRootFromParent_Done,
     /*  141832 */   // Label 2540: @141832
     /*  141832 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141898), // Rule ID 71516 //
     /*  141837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141879 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  141882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141896 */     GIR_RootConstrainSelectedInstOperands,
     /*  141897 */     // GIR_Coverage, 71516,
     /*  141897 */     GIR_EraseRootFromParent_Done,
     /*  141898 */   // Label 2541: @141898
     /*  141898 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141964), // Rule ID 71517 //
     /*  141903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141945 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  141948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141962 */     GIR_RootConstrainSelectedInstOperands,
     /*  141963 */     // GIR_Coverage, 71517,
     /*  141963 */     GIR_EraseRootFromParent_Done,
     /*  141964 */   // Label 2542: @141964
     /*  141964 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(142030), // Rule ID 71514 //
     /*  141969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142011 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142028 */     GIR_RootConstrainSelectedInstOperands,
     /*  142029 */     // GIR_Coverage, 71514,
     /*  142029 */     GIR_EraseRootFromParent_Done,
     /*  142030 */   // Label 2543: @142030
     /*  142030 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(142096), // Rule ID 71515 //
     /*  142035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142077 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142094 */     GIR_RootConstrainSelectedInstOperands,
     /*  142095 */     // GIR_Coverage, 71515,
     /*  142095 */     GIR_EraseRootFromParent_Done,
     /*  142096 */   // Label 2544: @142096
     /*  142096 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(142165), // Rule ID 53160 //
     /*  142101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142144 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142163 */     GIR_RootConstrainSelectedInstOperands,
     /*  142164 */     // GIR_Coverage, 53160,
     /*  142164 */     GIR_EraseRootFromParent_Done,
     /*  142165 */   // Label 2545: @142165
     /*  142165 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(142234), // Rule ID 53161 //
     /*  142170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142213 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142232 */     GIR_RootConstrainSelectedInstOperands,
     /*  142233 */     // GIR_Coverage, 53161,
     /*  142233 */     GIR_EraseRootFromParent_Done,
     /*  142234 */   // Label 2546: @142234
     /*  142234 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(142303), // Rule ID 71510 //
     /*  142239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142282 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142301 */     GIR_RootConstrainSelectedInstOperands,
     /*  142302 */     // GIR_Coverage, 71510,
     /*  142302 */     GIR_EraseRootFromParent_Done,
     /*  142303 */   // Label 2547: @142303
     /*  142303 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(142372), // Rule ID 71511 //
     /*  142308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142351 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142370 */     GIR_RootConstrainSelectedInstOperands,
     /*  142371 */     // GIR_Coverage, 71511,
     /*  142371 */     GIR_EraseRootFromParent_Done,
     /*  142372 */   // Label 2548: @142372
     /*  142372 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(142441), // Rule ID 71512 //
     /*  142377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142420 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142439 */     GIR_RootConstrainSelectedInstOperands,
     /*  142440 */     // GIR_Coverage, 71512,
     /*  142440 */     GIR_EraseRootFromParent_Done,
     /*  142441 */   // Label 2549: @142441
     /*  142441 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(142510), // Rule ID 71513 //
     /*  142446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142489 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142508 */     GIR_RootConstrainSelectedInstOperands,
     /*  142509 */     // GIR_Coverage, 71513,
     /*  142509 */     GIR_EraseRootFromParent_Done,
     /*  142510 */   // Label 2550: @142510
     /*  142510 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(142579), // Rule ID 71518 //
     /*  142515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142542 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142558 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142577 */     GIR_RootConstrainSelectedInstOperands,
     /*  142578 */     // GIR_Coverage, 71518,
     /*  142578 */     GIR_EraseRootFromParent_Done,
     /*  142579 */   // Label 2551: @142579
     /*  142579 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(142648), // Rule ID 71519 //
     /*  142584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142627 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142646 */     GIR_RootConstrainSelectedInstOperands,
     /*  142647 */     // GIR_Coverage, 71519,
     /*  142647 */     GIR_EraseRootFromParent_Done,
     /*  142648 */   // Label 2552: @142648
     /*  142648 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(142714), // Rule ID 71522 //
     /*  142653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142695 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142712 */     GIR_RootConstrainSelectedInstOperands,
     /*  142713 */     // GIR_Coverage, 71522,
     /*  142713 */     GIR_EraseRootFromParent_Done,
     /*  142714 */   // Label 2553: @142714
     /*  142714 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(142780), // Rule ID 71523 //
     /*  142719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142761 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142778 */     GIR_RootConstrainSelectedInstOperands,
     /*  142779 */     // GIR_Coverage, 71523,
     /*  142779 */     GIR_EraseRootFromParent_Done,
     /*  142780 */   // Label 2554: @142780
     /*  142780 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(142846), // Rule ID 71520 //
     /*  142785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142827 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142844 */     GIR_RootConstrainSelectedInstOperands,
     /*  142845 */     // GIR_Coverage, 71520,
     /*  142845 */     GIR_EraseRootFromParent_Done,
     /*  142846 */   // Label 2555: @142846
     /*  142846 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(142912), // Rule ID 71521 //
     /*  142851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142893 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142910 */     GIR_RootConstrainSelectedInstOperands,
     /*  142911 */     // GIR_Coverage, 71521,
     /*  142911 */     GIR_EraseRootFromParent_Done,
     /*  142912 */   // Label 2556: @142912
     /*  142912 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(142955), // Rule ID 71536 //
     /*  142917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142938 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142953 */     GIR_RootConstrainSelectedInstOperands,
     /*  142954 */     // GIR_Coverage, 71536,
     /*  142954 */     GIR_EraseRootFromParent_Done,
     /*  142955 */   // Label 2557: @142955
     /*  142955 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(142998), // Rule ID 71537 //
     /*  142960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142981 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142996 */     GIR_RootConstrainSelectedInstOperands,
     /*  142997 */     // GIR_Coverage, 71537,
     /*  142997 */     GIR_EraseRootFromParent_Done,
     /*  142998 */   // Label 2558: @142998
     /*  142998 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(143041), // Rule ID 53166 //
     /*  143003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143024 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143039 */     GIR_RootConstrainSelectedInstOperands,
     /*  143040 */     // GIR_Coverage, 53166,
     /*  143040 */     GIR_EraseRootFromParent_Done,
     /*  143041 */   // Label 2559: @143041
     /*  143041 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(143084), // Rule ID 53167 //
     /*  143046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143067 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143082 */     GIR_RootConstrainSelectedInstOperands,
     /*  143083 */     // GIR_Coverage, 53167,
     /*  143083 */     GIR_EraseRootFromParent_Done,
     /*  143084 */   // Label 2560: @143084
     /*  143084 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(143117), // Rule ID 53154 //
     /*  143089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143100 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143115 */     GIR_RootConstrainSelectedInstOperands,
     /*  143116 */     // GIR_Coverage, 53154,
     /*  143116 */     GIR_EraseRootFromParent_Done,
     /*  143117 */   // Label 2561: @143117
     /*  143117 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(143150), // Rule ID 53155 //
     /*  143122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143133 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143148 */     GIR_RootConstrainSelectedInstOperands,
     /*  143149 */     // GIR_Coverage, 53155,
     /*  143149 */     GIR_EraseRootFromParent_Done,
     /*  143150 */   // Label 2562: @143150
     /*  143150 */   GIM_Reject,
     /*  143151 */ // Label 2536: @143151
     /*  143151 */ GIM_Reject,
     /*  143152 */ // Label 2487: @143152
     /*  143152 */ GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(143266),
     /*  143157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  143160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  143163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143175 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(143220), // Rule ID 47906 //
     /*  143180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143183 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143218 */     GIR_RootConstrainSelectedInstOperands,
     /*  143219 */     // GIR_Coverage, 47906,
     /*  143219 */     GIR_EraseRootFromParent_Done,
     /*  143220 */   // Label 2564: @143220
     /*  143220 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(143265), // Rule ID 47907 //
     /*  143225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143228 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143263 */     GIR_RootConstrainSelectedInstOperands,
     /*  143264 */     // GIR_Coverage, 47907,
     /*  143264 */     GIR_EraseRootFromParent_Done,
     /*  143265 */   // Label 2565: @143265
     /*  143265 */   GIM_Reject,
     /*  143266 */ // Label 2563: @143266
     /*  143266 */ GIM_Reject,
     /*  143267 */ // Label 2488: @143267
     /*  143267 */ GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(143381),
     /*  143272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  143275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  143278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143290 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(143335), // Rule ID 47918 //
     /*  143295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143298 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143333 */     GIR_RootConstrainSelectedInstOperands,
     /*  143334 */     // GIR_Coverage, 47918,
     /*  143334 */     GIR_EraseRootFromParent_Done,
     /*  143335 */   // Label 2567: @143335
     /*  143335 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(143380), // Rule ID 47919 //
     /*  143340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143343 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143378 */     GIR_RootConstrainSelectedInstOperands,
     /*  143379 */     // GIR_Coverage, 47919,
     /*  143379 */     GIR_EraseRootFromParent_Done,
     /*  143380 */   // Label 2568: @143380
     /*  143380 */   GIM_Reject,
     /*  143381 */ // Label 2566: @143381
     /*  143381 */ GIM_Reject,
     /*  143382 */ // Label 2489: @143382
     /*  143382 */ GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(143496),
     /*  143387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  143390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  143393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143405 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(143450), // Rule ID 47926 //
     /*  143410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143413 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143448 */     GIR_RootConstrainSelectedInstOperands,
     /*  143449 */     // GIR_Coverage, 47926,
     /*  143449 */     GIR_EraseRootFromParent_Done,
     /*  143450 */   // Label 2570: @143450
     /*  143450 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(143495), // Rule ID 47927 //
     /*  143455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143458 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143493 */     GIR_RootConstrainSelectedInstOperands,
     /*  143494 */     // GIR_Coverage, 47927,
     /*  143494 */     GIR_EraseRootFromParent_Done,
     /*  143495 */   // Label 2571: @143495
     /*  143495 */   GIM_Reject,
     /*  143496 */ // Label 2569: @143496
     /*  143496 */ GIM_Reject,
     /*  143497 */ // Label 2490: @143497
     /*  143497 */ GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(143611),
     /*  143502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  143505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  143508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143520 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(143565), // Rule ID 47942 //
     /*  143525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143528 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  143531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143563 */     GIR_RootConstrainSelectedInstOperands,
     /*  143564 */     // GIR_Coverage, 47942,
     /*  143564 */     GIR_EraseRootFromParent_Done,
     /*  143565 */   // Label 2573: @143565
     /*  143565 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(143610), // Rule ID 47943 //
     /*  143570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143573 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  143576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143608 */     GIR_RootConstrainSelectedInstOperands,
     /*  143609 */     // GIR_Coverage, 47943,
     /*  143609 */     GIR_EraseRootFromParent_Done,
     /*  143610 */   // Label 2574: @143610
     /*  143610 */   GIM_Reject,
     /*  143611 */ // Label 2572: @143611
     /*  143611 */ GIM_Reject,
     /*  143612 */ // Label 2491: @143612
     /*  143612 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(145222),
     /*  143617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143627 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(143696), // Rule ID 53174 //
     /*  143632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143675 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  143678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143694 */     GIR_RootConstrainSelectedInstOperands,
     /*  143695 */     // GIR_Coverage, 53174,
     /*  143695 */     GIR_EraseRootFromParent_Done,
     /*  143696 */   // Label 2576: @143696
     /*  143696 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(143765), // Rule ID 53175 //
     /*  143701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143744 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  143747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143763 */     GIR_RootConstrainSelectedInstOperands,
     /*  143764 */     // GIR_Coverage, 53175,
     /*  143764 */     GIR_EraseRootFromParent_Done,
     /*  143765 */   // Label 2577: @143765
     /*  143765 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143834), // Rule ID 53176 //
     /*  143770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143813 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  143816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143832 */     GIR_RootConstrainSelectedInstOperands,
     /*  143833 */     // GIR_Coverage, 53176,
     /*  143833 */     GIR_EraseRootFromParent_Done,
     /*  143834 */   // Label 2578: @143834
     /*  143834 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143903), // Rule ID 53177 //
     /*  143839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143882 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  143885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143901 */     GIR_RootConstrainSelectedInstOperands,
     /*  143902 */     // GIR_Coverage, 53177,
     /*  143902 */     GIR_EraseRootFromParent_Done,
     /*  143903 */   // Label 2579: @143903
     /*  143903 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143969), // Rule ID 71544 //
     /*  143908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143950 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  143953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143967 */     GIR_RootConstrainSelectedInstOperands,
     /*  143968 */     // GIR_Coverage, 71544,
     /*  143968 */     GIR_EraseRootFromParent_Done,
     /*  143969 */   // Label 2580: @143969
     /*  143969 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(144035), // Rule ID 71545 //
     /*  143974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144016 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144033 */     GIR_RootConstrainSelectedInstOperands,
     /*  144034 */     // GIR_Coverage, 71545,
     /*  144034 */     GIR_EraseRootFromParent_Done,
     /*  144035 */   // Label 2581: @144035
     /*  144035 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(144101), // Rule ID 71542 //
     /*  144040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144082 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144099 */     GIR_RootConstrainSelectedInstOperands,
     /*  144100 */     // GIR_Coverage, 71542,
     /*  144100 */     GIR_EraseRootFromParent_Done,
     /*  144101 */   // Label 2582: @144101
     /*  144101 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(144167), // Rule ID 71543 //
     /*  144106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144148 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144165 */     GIR_RootConstrainSelectedInstOperands,
     /*  144166 */     // GIR_Coverage, 71543,
     /*  144166 */     GIR_EraseRootFromParent_Done,
     /*  144167 */   // Label 2583: @144167
     /*  144167 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(144236), // Rule ID 53178 //
     /*  144172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144215 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144234 */     GIR_RootConstrainSelectedInstOperands,
     /*  144235 */     // GIR_Coverage, 53178,
     /*  144235 */     GIR_EraseRootFromParent_Done,
     /*  144236 */   // Label 2584: @144236
     /*  144236 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(144305), // Rule ID 53179 //
     /*  144241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144284 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144303 */     GIR_RootConstrainSelectedInstOperands,
     /*  144304 */     // GIR_Coverage, 53179,
     /*  144304 */     GIR_EraseRootFromParent_Done,
     /*  144305 */   // Label 2585: @144305
     /*  144305 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(144374), // Rule ID 71538 //
     /*  144310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144337 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144353 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144372 */     GIR_RootConstrainSelectedInstOperands,
     /*  144373 */     // GIR_Coverage, 71538,
     /*  144373 */     GIR_EraseRootFromParent_Done,
     /*  144374 */   // Label 2586: @144374
     /*  144374 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(144443), // Rule ID 71539 //
     /*  144379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144422 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144441 */     GIR_RootConstrainSelectedInstOperands,
     /*  144442 */     // GIR_Coverage, 71539,
     /*  144442 */     GIR_EraseRootFromParent_Done,
     /*  144443 */   // Label 2587: @144443
     /*  144443 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(144512), // Rule ID 71540 //
     /*  144448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144491 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144510 */     GIR_RootConstrainSelectedInstOperands,
     /*  144511 */     // GIR_Coverage, 71540,
     /*  144511 */     GIR_EraseRootFromParent_Done,
     /*  144512 */   // Label 2588: @144512
     /*  144512 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(144581), // Rule ID 71541 //
     /*  144517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144560 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144579 */     GIR_RootConstrainSelectedInstOperands,
     /*  144580 */     // GIR_Coverage, 71541,
     /*  144580 */     GIR_EraseRootFromParent_Done,
     /*  144581 */   // Label 2589: @144581
     /*  144581 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(144650), // Rule ID 71546 //
     /*  144586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144629 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144648 */     GIR_RootConstrainSelectedInstOperands,
     /*  144649 */     // GIR_Coverage, 71546,
     /*  144649 */     GIR_EraseRootFromParent_Done,
     /*  144650 */   // Label 2590: @144650
     /*  144650 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(144719), // Rule ID 71547 //
     /*  144655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144682 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144698 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144717 */     GIR_RootConstrainSelectedInstOperands,
     /*  144718 */     // GIR_Coverage, 71547,
     /*  144718 */     GIR_EraseRootFromParent_Done,
     /*  144719 */   // Label 2591: @144719
     /*  144719 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(144785), // Rule ID 71550 //
     /*  144724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144766 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144783 */     GIR_RootConstrainSelectedInstOperands,
     /*  144784 */     // GIR_Coverage, 71550,
     /*  144784 */     GIR_EraseRootFromParent_Done,
     /*  144785 */   // Label 2592: @144785
     /*  144785 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(144851), // Rule ID 71551 //
     /*  144790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144832 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144849 */     GIR_RootConstrainSelectedInstOperands,
     /*  144850 */     // GIR_Coverage, 71551,
     /*  144850 */     GIR_EraseRootFromParent_Done,
     /*  144851 */   // Label 2593: @144851
     /*  144851 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(144917), // Rule ID 71548 //
     /*  144856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144898 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144915 */     GIR_RootConstrainSelectedInstOperands,
     /*  144916 */     // GIR_Coverage, 71548,
     /*  144916 */     GIR_EraseRootFromParent_Done,
     /*  144917 */   // Label 2594: @144917
     /*  144917 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(144983), // Rule ID 71549 //
     /*  144922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144964 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144981 */     GIR_RootConstrainSelectedInstOperands,
     /*  144982 */     // GIR_Coverage, 71549,
     /*  144982 */     GIR_EraseRootFromParent_Done,
     /*  144983 */   // Label 2595: @144983
     /*  144983 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(145026), // Rule ID 71564 //
     /*  144988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145009 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145024 */     GIR_RootConstrainSelectedInstOperands,
     /*  145025 */     // GIR_Coverage, 71564,
     /*  145025 */     GIR_EraseRootFromParent_Done,
     /*  145026 */   // Label 2596: @145026
     /*  145026 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(145069), // Rule ID 71565 //
     /*  145031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145052 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145067 */     GIR_RootConstrainSelectedInstOperands,
     /*  145068 */     // GIR_Coverage, 71565,
     /*  145068 */     GIR_EraseRootFromParent_Done,
     /*  145069 */   // Label 2597: @145069
     /*  145069 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(145112), // Rule ID 53184 //
     /*  145074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145095 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145110 */     GIR_RootConstrainSelectedInstOperands,
     /*  145111 */     // GIR_Coverage, 53184,
     /*  145111 */     GIR_EraseRootFromParent_Done,
     /*  145112 */   // Label 2598: @145112
     /*  145112 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(145155), // Rule ID 53185 //
     /*  145117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145138 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145153 */     GIR_RootConstrainSelectedInstOperands,
     /*  145154 */     // GIR_Coverage, 53185,
     /*  145154 */     GIR_EraseRootFromParent_Done,
     /*  145155 */   // Label 2599: @145155
     /*  145155 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(145188), // Rule ID 53172 //
     /*  145160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145171 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145186 */     GIR_RootConstrainSelectedInstOperands,
     /*  145187 */     // GIR_Coverage, 53172,
     /*  145187 */     GIR_EraseRootFromParent_Done,
     /*  145188 */   // Label 2600: @145188
     /*  145188 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(145221), // Rule ID 53173 //
     /*  145193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145204 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145219 */     GIR_RootConstrainSelectedInstOperands,
     /*  145220 */     // GIR_Coverage, 53173,
     /*  145220 */     GIR_EraseRootFromParent_Done,
     /*  145221 */   // Label 2601: @145221
     /*  145221 */   GIM_Reject,
     /*  145222 */ // Label 2575: @145222
     /*  145222 */ GIM_Reject,
     /*  145223 */ // Label 2492: @145223
     /*  145223 */ GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(145337),
     /*  145228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  145231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  145234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145246 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(145291), // Rule ID 47910 //
     /*  145251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145254 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145289 */     GIR_RootConstrainSelectedInstOperands,
     /*  145290 */     // GIR_Coverage, 47910,
     /*  145290 */     GIR_EraseRootFromParent_Done,
     /*  145291 */   // Label 2603: @145291
     /*  145291 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(145336), // Rule ID 47911 //
     /*  145296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145299 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145334 */     GIR_RootConstrainSelectedInstOperands,
     /*  145335 */     // GIR_Coverage, 47911,
     /*  145335 */     GIR_EraseRootFromParent_Done,
     /*  145336 */   // Label 2604: @145336
     /*  145336 */   GIM_Reject,
     /*  145337 */ // Label 2602: @145337
     /*  145337 */ GIM_Reject,
     /*  145338 */ // Label 2493: @145338
     /*  145338 */ GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(145452),
     /*  145343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  145346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  145349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145361 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(145406), // Rule ID 47922 //
     /*  145366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145369 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145404 */     GIR_RootConstrainSelectedInstOperands,
     /*  145405 */     // GIR_Coverage, 47922,
     /*  145405 */     GIR_EraseRootFromParent_Done,
     /*  145406 */   // Label 2606: @145406
     /*  145406 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(145451), // Rule ID 47923 //
     /*  145411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145414 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145449 */     GIR_RootConstrainSelectedInstOperands,
     /*  145450 */     // GIR_Coverage, 47923,
     /*  145450 */     GIR_EraseRootFromParent_Done,
     /*  145451 */   // Label 2607: @145451
     /*  145451 */   GIM_Reject,
     /*  145452 */ // Label 2605: @145452
     /*  145452 */ GIM_Reject,
     /*  145453 */ // Label 2494: @145453
     /*  145453 */ GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(145567),
     /*  145458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  145461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  145464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145476 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(145521), // Rule ID 47938 //
     /*  145481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145484 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  145487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145519 */     GIR_RootConstrainSelectedInstOperands,
     /*  145520 */     // GIR_Coverage, 47938,
     /*  145520 */     GIR_EraseRootFromParent_Done,
     /*  145521 */   // Label 2609: @145521
     /*  145521 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(145566), // Rule ID 47939 //
     /*  145526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145529 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  145532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145564 */     GIR_RootConstrainSelectedInstOperands,
     /*  145565 */     // GIR_Coverage, 47939,
     /*  145565 */     GIR_EraseRootFromParent_Done,
     /*  145566 */   // Label 2610: @145566
     /*  145566 */   GIM_Reject,
     /*  145567 */ // Label 2608: @145567
     /*  145567 */ GIM_Reject,
     /*  145568 */ // Label 2495: @145568
     /*  145568 */ GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(145682),
     /*  145573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  145576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  145579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145591 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(145636), // Rule ID 47982 //
     /*  145596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145599 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  145602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145634 */     GIR_RootConstrainSelectedInstOperands,
     /*  145635 */     // GIR_Coverage, 47982,
     /*  145635 */     GIR_EraseRootFromParent_Done,
     /*  145636 */   // Label 2612: @145636
     /*  145636 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(145681), // Rule ID 47983 //
     /*  145641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145644 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  145647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145679 */     GIR_RootConstrainSelectedInstOperands,
     /*  145680 */     // GIR_Coverage, 47983,
     /*  145680 */     GIR_EraseRootFromParent_Done,
     /*  145681 */   // Label 2613: @145681
     /*  145681 */   GIM_Reject,
     /*  145682 */ // Label 2611: @145682
     /*  145682 */ GIM_Reject,
     /*  145683 */ // Label 2496: @145683
     /*  145683 */ GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(147293),
     /*  145688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145698 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145767), // Rule ID 53192 //
     /*  145703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145746 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  145749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145765 */     GIR_RootConstrainSelectedInstOperands,
     /*  145766 */     // GIR_Coverage, 53192,
     /*  145766 */     GIR_EraseRootFromParent_Done,
     /*  145767 */   // Label 2615: @145767
     /*  145767 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145836), // Rule ID 53193 //
     /*  145772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145815 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  145818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145834 */     GIR_RootConstrainSelectedInstOperands,
     /*  145835 */     // GIR_Coverage, 53193,
     /*  145835 */     GIR_EraseRootFromParent_Done,
     /*  145836 */   // Label 2616: @145836
     /*  145836 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145905), // Rule ID 53194 //
     /*  145841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145884 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  145887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145903 */     GIR_RootConstrainSelectedInstOperands,
     /*  145904 */     // GIR_Coverage, 53194,
     /*  145904 */     GIR_EraseRootFromParent_Done,
     /*  145905 */   // Label 2617: @145905
     /*  145905 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145974), // Rule ID 53195 //
     /*  145910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145953 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  145956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145972 */     GIR_RootConstrainSelectedInstOperands,
     /*  145973 */     // GIR_Coverage, 53195,
     /*  145973 */     GIR_EraseRootFromParent_Done,
     /*  145974 */   // Label 2618: @145974
     /*  145974 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(146040), // Rule ID 71572 //
     /*  145979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146021 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146038 */     GIR_RootConstrainSelectedInstOperands,
     /*  146039 */     // GIR_Coverage, 71572,
     /*  146039 */     GIR_EraseRootFromParent_Done,
     /*  146040 */   // Label 2619: @146040
     /*  146040 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(146106), // Rule ID 71573 //
     /*  146045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146087 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146104 */     GIR_RootConstrainSelectedInstOperands,
     /*  146105 */     // GIR_Coverage, 71573,
     /*  146105 */     GIR_EraseRootFromParent_Done,
     /*  146106 */   // Label 2620: @146106
     /*  146106 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(146172), // Rule ID 71570 //
     /*  146111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146153 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146170 */     GIR_RootConstrainSelectedInstOperands,
     /*  146171 */     // GIR_Coverage, 71570,
     /*  146171 */     GIR_EraseRootFromParent_Done,
     /*  146172 */   // Label 2621: @146172
     /*  146172 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(146238), // Rule ID 71571 //
     /*  146177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146219 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146236 */     GIR_RootConstrainSelectedInstOperands,
     /*  146237 */     // GIR_Coverage, 71571,
     /*  146237 */     GIR_EraseRootFromParent_Done,
     /*  146238 */   // Label 2622: @146238
     /*  146238 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(146307), // Rule ID 53196 //
     /*  146243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146286 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146305 */     GIR_RootConstrainSelectedInstOperands,
     /*  146306 */     // GIR_Coverage, 53196,
     /*  146306 */     GIR_EraseRootFromParent_Done,
     /*  146307 */   // Label 2623: @146307
     /*  146307 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(146376), // Rule ID 53197 //
     /*  146312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146355 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146374 */     GIR_RootConstrainSelectedInstOperands,
     /*  146375 */     // GIR_Coverage, 53197,
     /*  146375 */     GIR_EraseRootFromParent_Done,
     /*  146376 */   // Label 2624: @146376
     /*  146376 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(146445), // Rule ID 71566 //
     /*  146381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146424 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146443 */     GIR_RootConstrainSelectedInstOperands,
     /*  146444 */     // GIR_Coverage, 71566,
     /*  146444 */     GIR_EraseRootFromParent_Done,
     /*  146445 */   // Label 2625: @146445
     /*  146445 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(146514), // Rule ID 71567 //
     /*  146450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146493 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146512 */     GIR_RootConstrainSelectedInstOperands,
     /*  146513 */     // GIR_Coverage, 71567,
     /*  146513 */     GIR_EraseRootFromParent_Done,
     /*  146514 */   // Label 2626: @146514
     /*  146514 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(146583), // Rule ID 71568 //
     /*  146519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146562 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146581 */     GIR_RootConstrainSelectedInstOperands,
     /*  146582 */     // GIR_Coverage, 71568,
     /*  146582 */     GIR_EraseRootFromParent_Done,
     /*  146583 */   // Label 2627: @146583
     /*  146583 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(146652), // Rule ID 71569 //
     /*  146588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146631 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146650 */     GIR_RootConstrainSelectedInstOperands,
     /*  146651 */     // GIR_Coverage, 71569,
     /*  146651 */     GIR_EraseRootFromParent_Done,
     /*  146652 */   // Label 2628: @146652
     /*  146652 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(146721), // Rule ID 71574 //
     /*  146657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146700 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146719 */     GIR_RootConstrainSelectedInstOperands,
     /*  146720 */     // GIR_Coverage, 71574,
     /*  146720 */     GIR_EraseRootFromParent_Done,
     /*  146721 */   // Label 2629: @146721
     /*  146721 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(146790), // Rule ID 71575 //
     /*  146726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146769 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146788 */     GIR_RootConstrainSelectedInstOperands,
     /*  146789 */     // GIR_Coverage, 71575,
     /*  146789 */     GIR_EraseRootFromParent_Done,
     /*  146790 */   // Label 2630: @146790
     /*  146790 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(146856), // Rule ID 71578 //
     /*  146795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146837 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146854 */     GIR_RootConstrainSelectedInstOperands,
     /*  146855 */     // GIR_Coverage, 71578,
     /*  146855 */     GIR_EraseRootFromParent_Done,
     /*  146856 */   // Label 2631: @146856
     /*  146856 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(146922), // Rule ID 71579 //
     /*  146861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146903 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146920 */     GIR_RootConstrainSelectedInstOperands,
     /*  146921 */     // GIR_Coverage, 71579,
     /*  146921 */     GIR_EraseRootFromParent_Done,
     /*  146922 */   // Label 2632: @146922
     /*  146922 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(146988), // Rule ID 71576 //
     /*  146927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146969 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146986 */     GIR_RootConstrainSelectedInstOperands,
     /*  146987 */     // GIR_Coverage, 71576,
     /*  146987 */     GIR_EraseRootFromParent_Done,
     /*  146988 */   // Label 2633: @146988
     /*  146988 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(147054), // Rule ID 71577 //
     /*  146993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147035 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147052 */     GIR_RootConstrainSelectedInstOperands,
     /*  147053 */     // GIR_Coverage, 71577,
     /*  147053 */     GIR_EraseRootFromParent_Done,
     /*  147054 */   // Label 2634: @147054
     /*  147054 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(147097), // Rule ID 71592 //
     /*  147059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147080 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147095 */     GIR_RootConstrainSelectedInstOperands,
     /*  147096 */     // GIR_Coverage, 71592,
     /*  147096 */     GIR_EraseRootFromParent_Done,
     /*  147097 */   // Label 2635: @147097
     /*  147097 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(147140), // Rule ID 71593 //
     /*  147102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147123 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147138 */     GIR_RootConstrainSelectedInstOperands,
     /*  147139 */     // GIR_Coverage, 71593,
     /*  147139 */     GIR_EraseRootFromParent_Done,
     /*  147140 */   // Label 2636: @147140
     /*  147140 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(147183), // Rule ID 53202 //
     /*  147145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147166 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147181 */     GIR_RootConstrainSelectedInstOperands,
     /*  147182 */     // GIR_Coverage, 53202,
     /*  147182 */     GIR_EraseRootFromParent_Done,
     /*  147183 */   // Label 2637: @147183
     /*  147183 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(147226), // Rule ID 53203 //
     /*  147188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147209 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147224 */     GIR_RootConstrainSelectedInstOperands,
     /*  147225 */     // GIR_Coverage, 53203,
     /*  147225 */     GIR_EraseRootFromParent_Done,
     /*  147226 */   // Label 2638: @147226
     /*  147226 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(147259), // Rule ID 53190 //
     /*  147231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147242 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147257 */     GIR_RootConstrainSelectedInstOperands,
     /*  147258 */     // GIR_Coverage, 53190,
     /*  147258 */     GIR_EraseRootFromParent_Done,
     /*  147259 */   // Label 2639: @147259
     /*  147259 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(147292), // Rule ID 53191 //
     /*  147264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147275 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147290 */     GIR_RootConstrainSelectedInstOperands,
     /*  147291 */     // GIR_Coverage, 53191,
     /*  147291 */     GIR_EraseRootFromParent_Done,
     /*  147292 */   // Label 2640: @147292
     /*  147292 */   GIM_Reject,
     /*  147293 */ // Label 2614: @147293
     /*  147293 */ GIM_Reject,
     /*  147294 */ // Label 2497: @147294
     /*  147294 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(147408),
     /*  147299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  147302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  147305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147317 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(147362), // Rule ID 47914 //
     /*  147322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147325 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147360 */     GIR_RootConstrainSelectedInstOperands,
     /*  147361 */     // GIR_Coverage, 47914,
     /*  147361 */     GIR_EraseRootFromParent_Done,
     /*  147362 */   // Label 2642: @147362
     /*  147362 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(147407), // Rule ID 47915 //
     /*  147367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147370 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147405 */     GIR_RootConstrainSelectedInstOperands,
     /*  147406 */     // GIR_Coverage, 47915,
     /*  147406 */     GIR_EraseRootFromParent_Done,
     /*  147407 */   // Label 2643: @147407
     /*  147407 */   GIM_Reject,
     /*  147408 */ // Label 2641: @147408
     /*  147408 */ GIM_Reject,
     /*  147409 */ // Label 2498: @147409
     /*  147409 */ GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(147523),
     /*  147414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  147417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  147420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147432 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(147477), // Rule ID 47934 //
     /*  147437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147440 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147475 */     GIR_RootConstrainSelectedInstOperands,
     /*  147476 */     // GIR_Coverage, 47934,
     /*  147476 */     GIR_EraseRootFromParent_Done,
     /*  147477 */   // Label 2645: @147477
     /*  147477 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(147522), // Rule ID 47935 //
     /*  147482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147485 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147520 */     GIR_RootConstrainSelectedInstOperands,
     /*  147521 */     // GIR_Coverage, 47935,
     /*  147521 */     GIR_EraseRootFromParent_Done,
     /*  147522 */   // Label 2646: @147522
     /*  147522 */   GIM_Reject,
     /*  147523 */ // Label 2644: @147523
     /*  147523 */ GIM_Reject,
     /*  147524 */ // Label 2499: @147524
     /*  147524 */ GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(147638),
     /*  147529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  147532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147547 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(147592), // Rule ID 47970 //
     /*  147552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147555 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  147558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147590 */     GIR_RootConstrainSelectedInstOperands,
     /*  147591 */     // GIR_Coverage, 47970,
     /*  147591 */     GIR_EraseRootFromParent_Done,
     /*  147592 */   // Label 2648: @147592
     /*  147592 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(147637), // Rule ID 47971 //
     /*  147597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147600 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  147603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147635 */     GIR_RootConstrainSelectedInstOperands,
     /*  147636 */     // GIR_Coverage, 47971,
     /*  147636 */     GIR_EraseRootFromParent_Done,
     /*  147637 */   // Label 2649: @147637
     /*  147637 */   GIM_Reject,
     /*  147638 */ // Label 2647: @147638
     /*  147638 */ GIM_Reject,
     /*  147639 */ // Label 2500: @147639
     /*  147639 */ GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(147753),
     /*  147644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  147647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147662 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(147707), // Rule ID 47986 //
     /*  147667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  147670 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  147670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  147673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147705 */     GIR_RootConstrainSelectedInstOperands,
     /*  147706 */     // GIR_Coverage, 47986,
     /*  147706 */     GIR_EraseRootFromParent_Done,
     /*  147707 */   // Label 2651: @147707
     /*  147707 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(147752), // Rule ID 47987 //
     /*  147712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  147715 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  147715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  147718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147750 */     GIR_RootConstrainSelectedInstOperands,
     /*  147751 */     // GIR_Coverage, 47987,
     /*  147751 */     GIR_EraseRootFromParent_Done,
     /*  147752 */   // Label 2652: @147752
     /*  147752 */   GIM_Reject,
     /*  147753 */ // Label 2650: @147753
     /*  147753 */ GIM_Reject,
     /*  147754 */ // Label 2501: @147754
     /*  147754 */ GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(149364),
     /*  147759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147769 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147838), // Rule ID 53210 //
     /*  147774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147817 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  147820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147836 */     GIR_RootConstrainSelectedInstOperands,
     /*  147837 */     // GIR_Coverage, 53210,
     /*  147837 */     GIR_EraseRootFromParent_Done,
     /*  147838 */   // Label 2654: @147838
     /*  147838 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147907), // Rule ID 53211 //
     /*  147843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147886 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  147889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147905 */     GIR_RootConstrainSelectedInstOperands,
     /*  147906 */     // GIR_Coverage, 53211,
     /*  147906 */     GIR_EraseRootFromParent_Done,
     /*  147907 */   // Label 2655: @147907
     /*  147907 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147976), // Rule ID 53212 //
     /*  147912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147974 */     GIR_RootConstrainSelectedInstOperands,
     /*  147975 */     // GIR_Coverage, 53212,
     /*  147975 */     GIR_EraseRootFromParent_Done,
     /*  147976 */   // Label 2656: @147976
     /*  147976 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(148045), // Rule ID 53213 //
     /*  147981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148024 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148043 */     GIR_RootConstrainSelectedInstOperands,
     /*  148044 */     // GIR_Coverage, 53213,
     /*  148044 */     GIR_EraseRootFromParent_Done,
     /*  148045 */   // Label 2657: @148045
     /*  148045 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(148111), // Rule ID 71600 //
     /*  148050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148092 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148109 */     GIR_RootConstrainSelectedInstOperands,
     /*  148110 */     // GIR_Coverage, 71600,
     /*  148110 */     GIR_EraseRootFromParent_Done,
     /*  148111 */   // Label 2658: @148111
     /*  148111 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(148177), // Rule ID 71601 //
     /*  148116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148158 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148175 */     GIR_RootConstrainSelectedInstOperands,
     /*  148176 */     // GIR_Coverage, 71601,
     /*  148176 */     GIR_EraseRootFromParent_Done,
     /*  148177 */   // Label 2659: @148177
     /*  148177 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(148243), // Rule ID 71598 //
     /*  148182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148224 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148241 */     GIR_RootConstrainSelectedInstOperands,
     /*  148242 */     // GIR_Coverage, 71598,
     /*  148242 */     GIR_EraseRootFromParent_Done,
     /*  148243 */   // Label 2660: @148243
     /*  148243 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(148309), // Rule ID 71599 //
     /*  148248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148290 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148307 */     GIR_RootConstrainSelectedInstOperands,
     /*  148308 */     // GIR_Coverage, 71599,
     /*  148308 */     GIR_EraseRootFromParent_Done,
     /*  148309 */   // Label 2661: @148309
     /*  148309 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(148378), // Rule ID 53214 //
     /*  148314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148357 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148376 */     GIR_RootConstrainSelectedInstOperands,
     /*  148377 */     // GIR_Coverage, 53214,
     /*  148377 */     GIR_EraseRootFromParent_Done,
     /*  148378 */   // Label 2662: @148378
     /*  148378 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(148447), // Rule ID 53215 //
     /*  148383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148426 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148445 */     GIR_RootConstrainSelectedInstOperands,
     /*  148446 */     // GIR_Coverage, 53215,
     /*  148446 */     GIR_EraseRootFromParent_Done,
     /*  148447 */   // Label 2663: @148447
     /*  148447 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(148516), // Rule ID 71594 //
     /*  148452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148495 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148514 */     GIR_RootConstrainSelectedInstOperands,
     /*  148515 */     // GIR_Coverage, 71594,
     /*  148515 */     GIR_EraseRootFromParent_Done,
     /*  148516 */   // Label 2664: @148516
     /*  148516 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(148585), // Rule ID 71595 //
     /*  148521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148564 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148583 */     GIR_RootConstrainSelectedInstOperands,
     /*  148584 */     // GIR_Coverage, 71595,
     /*  148584 */     GIR_EraseRootFromParent_Done,
     /*  148585 */   // Label 2665: @148585
     /*  148585 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(148654), // Rule ID 71596 //
     /*  148590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148633 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148652 */     GIR_RootConstrainSelectedInstOperands,
     /*  148653 */     // GIR_Coverage, 71596,
     /*  148653 */     GIR_EraseRootFromParent_Done,
     /*  148654 */   // Label 2666: @148654
     /*  148654 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(148723), // Rule ID 71597 //
     /*  148659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148686 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148702 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148721 */     GIR_RootConstrainSelectedInstOperands,
     /*  148722 */     // GIR_Coverage, 71597,
     /*  148722 */     GIR_EraseRootFromParent_Done,
     /*  148723 */   // Label 2667: @148723
     /*  148723 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(148792), // Rule ID 71602 //
     /*  148728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148790 */     GIR_RootConstrainSelectedInstOperands,
     /*  148791 */     // GIR_Coverage, 71602,
     /*  148791 */     GIR_EraseRootFromParent_Done,
     /*  148792 */   // Label 2668: @148792
     /*  148792 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(148861), // Rule ID 71603 //
     /*  148797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148840 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148859 */     GIR_RootConstrainSelectedInstOperands,
     /*  148860 */     // GIR_Coverage, 71603,
     /*  148860 */     GIR_EraseRootFromParent_Done,
     /*  148861 */   // Label 2669: @148861
     /*  148861 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(148927), // Rule ID 71606 //
     /*  148866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148908 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148925 */     GIR_RootConstrainSelectedInstOperands,
     /*  148926 */     // GIR_Coverage, 71606,
     /*  148926 */     GIR_EraseRootFromParent_Done,
     /*  148927 */   // Label 2670: @148927
     /*  148927 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(148993), // Rule ID 71607 //
     /*  148932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148974 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148991 */     GIR_RootConstrainSelectedInstOperands,
     /*  148992 */     // GIR_Coverage, 71607,
     /*  148992 */     GIR_EraseRootFromParent_Done,
     /*  148993 */   // Label 2671: @148993
     /*  148993 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(149059), // Rule ID 71604 //
     /*  148998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149040 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149057 */     GIR_RootConstrainSelectedInstOperands,
     /*  149058 */     // GIR_Coverage, 71604,
     /*  149058 */     GIR_EraseRootFromParent_Done,
     /*  149059 */   // Label 2672: @149059
     /*  149059 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(149125), // Rule ID 71605 //
     /*  149064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149106 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149123 */     GIR_RootConstrainSelectedInstOperands,
     /*  149124 */     // GIR_Coverage, 71605,
     /*  149124 */     GIR_EraseRootFromParent_Done,
     /*  149125 */   // Label 2673: @149125
     /*  149125 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(149168), // Rule ID 71620 //
     /*  149130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149151 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149166 */     GIR_RootConstrainSelectedInstOperands,
     /*  149167 */     // GIR_Coverage, 71620,
     /*  149167 */     GIR_EraseRootFromParent_Done,
     /*  149168 */   // Label 2674: @149168
     /*  149168 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(149211), // Rule ID 71621 //
     /*  149173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149194 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149209 */     GIR_RootConstrainSelectedInstOperands,
     /*  149210 */     // GIR_Coverage, 71621,
     /*  149210 */     GIR_EraseRootFromParent_Done,
     /*  149211 */   // Label 2675: @149211
     /*  149211 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(149254), // Rule ID 53220 //
     /*  149216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149237 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149252 */     GIR_RootConstrainSelectedInstOperands,
     /*  149253 */     // GIR_Coverage, 53220,
     /*  149253 */     GIR_EraseRootFromParent_Done,
     /*  149254 */   // Label 2676: @149254
     /*  149254 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(149297), // Rule ID 53221 //
     /*  149259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149280 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149295 */     GIR_RootConstrainSelectedInstOperands,
     /*  149296 */     // GIR_Coverage, 53221,
     /*  149296 */     GIR_EraseRootFromParent_Done,
     /*  149297 */   // Label 2677: @149297
     /*  149297 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(149330), // Rule ID 53208 //
     /*  149302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149313 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149328 */     GIR_RootConstrainSelectedInstOperands,
     /*  149329 */     // GIR_Coverage, 53208,
     /*  149329 */     GIR_EraseRootFromParent_Done,
     /*  149330 */   // Label 2678: @149330
     /*  149330 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(149363), // Rule ID 53209 //
     /*  149335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149346 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149361 */     GIR_RootConstrainSelectedInstOperands,
     /*  149362 */     // GIR_Coverage, 53209,
     /*  149362 */     GIR_EraseRootFromParent_Done,
     /*  149363 */   // Label 2679: @149363
     /*  149363 */   GIM_Reject,
     /*  149364 */ // Label 2653: @149364
     /*  149364 */ GIM_Reject,
     /*  149365 */ // Label 2502: @149365
     /*  149365 */ GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(149479),
     /*  149370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  149373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  149376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149388 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(149433), // Rule ID 47930 //
     /*  149393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149396 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149431 */     GIR_RootConstrainSelectedInstOperands,
     /*  149432 */     // GIR_Coverage, 47930,
     /*  149432 */     GIR_EraseRootFromParent_Done,
     /*  149433 */   // Label 2681: @149433
     /*  149433 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(149478), // Rule ID 47931 //
     /*  149438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149441 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149476 */     GIR_RootConstrainSelectedInstOperands,
     /*  149477 */     // GIR_Coverage, 47931,
     /*  149477 */     GIR_EraseRootFromParent_Done,
     /*  149478 */   // Label 2682: @149478
     /*  149478 */   GIM_Reject,
     /*  149479 */ // Label 2680: @149479
     /*  149479 */ GIM_Reject,
     /*  149480 */ // Label 2503: @149480
     /*  149480 */ GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(149594),
     /*  149485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  149488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  149491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149503 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(149548), // Rule ID 47958 //
     /*  149508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149511 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  149514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  149528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149546 */     GIR_RootConstrainSelectedInstOperands,
     /*  149547 */     // GIR_Coverage, 47958,
     /*  149547 */     GIR_EraseRootFromParent_Done,
     /*  149548 */   // Label 2684: @149548
     /*  149548 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(149593), // Rule ID 47959 //
     /*  149553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149556 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  149559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  149573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149591 */     GIR_RootConstrainSelectedInstOperands,
     /*  149592 */     // GIR_Coverage, 47959,
     /*  149592 */     GIR_EraseRootFromParent_Done,
     /*  149593 */   // Label 2685: @149593
     /*  149593 */   GIM_Reject,
     /*  149594 */ // Label 2683: @149594
     /*  149594 */ GIM_Reject,
     /*  149595 */ // Label 2504: @149595
     /*  149595 */ GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(149709),
     /*  149600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  149603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  149606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149618 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(149663), // Rule ID 47974 //
     /*  149623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149626 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  149626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  149629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  149658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149661 */     GIR_RootConstrainSelectedInstOperands,
     /*  149662 */     // GIR_Coverage, 47974,
     /*  149662 */     GIR_EraseRootFromParent_Done,
     /*  149663 */   // Label 2687: @149663
     /*  149663 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(149708), // Rule ID 47975 //
     /*  149668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149671 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  149671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  149674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  149703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149706 */     GIR_RootConstrainSelectedInstOperands,
     /*  149707 */     // GIR_Coverage, 47975,
     /*  149707 */     GIR_EraseRootFromParent_Done,
     /*  149708 */   // Label 2688: @149708
     /*  149708 */   GIM_Reject,
     /*  149709 */ // Label 2686: @149709
     /*  149709 */ GIM_Reject,
     /*  149710 */ // Label 2505: @149710
     /*  149710 */ GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149824),
     /*  149715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  149718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149733 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149778), // Rule ID 47990 //
     /*  149738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  149741 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  149741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  149744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149776 */     GIR_RootConstrainSelectedInstOperands,
     /*  149777 */     // GIR_Coverage, 47990,
     /*  149777 */     GIR_EraseRootFromParent_Done,
     /*  149778 */   // Label 2690: @149778
     /*  149778 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149823), // Rule ID 47991 //
     /*  149783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  149786 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  149786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  149789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149821 */     GIR_RootConstrainSelectedInstOperands,
     /*  149822 */     // GIR_Coverage, 47991,
     /*  149822 */     GIR_EraseRootFromParent_Done,
     /*  149823 */   // Label 2691: @149823
     /*  149823 */   GIM_Reject,
     /*  149824 */ // Label 2689: @149824
     /*  149824 */ GIM_Reject,
     /*  149825 */ // Label 2506: @149825
     /*  149825 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(151435),
     /*  149830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149840 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149909), // Rule ID 53228 //
     /*  149845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149888 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  149891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149907 */     GIR_RootConstrainSelectedInstOperands,
     /*  149908 */     // GIR_Coverage, 53228,
     /*  149908 */     GIR_EraseRootFromParent_Done,
     /*  149909 */   // Label 2693: @149909
     /*  149909 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149978), // Rule ID 53229 //
     /*  149914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149957 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  149960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149976 */     GIR_RootConstrainSelectedInstOperands,
     /*  149977 */     // GIR_Coverage, 53229,
     /*  149977 */     GIR_EraseRootFromParent_Done,
     /*  149978 */   // Label 2694: @149978
     /*  149978 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(150047), // Rule ID 53230 //
     /*  149983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150026 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150045 */     GIR_RootConstrainSelectedInstOperands,
     /*  150046 */     // GIR_Coverage, 53230,
     /*  150046 */     GIR_EraseRootFromParent_Done,
     /*  150047 */   // Label 2695: @150047
     /*  150047 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(150116), // Rule ID 53231 //
     /*  150052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150095 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150114 */     GIR_RootConstrainSelectedInstOperands,
     /*  150115 */     // GIR_Coverage, 53231,
     /*  150115 */     GIR_EraseRootFromParent_Done,
     /*  150116 */   // Label 2696: @150116
     /*  150116 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(150182), // Rule ID 71628 //
     /*  150121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150163 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150180 */     GIR_RootConstrainSelectedInstOperands,
     /*  150181 */     // GIR_Coverage, 71628,
     /*  150181 */     GIR_EraseRootFromParent_Done,
     /*  150182 */   // Label 2697: @150182
     /*  150182 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(150248), // Rule ID 71629 //
     /*  150187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150229 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150246 */     GIR_RootConstrainSelectedInstOperands,
     /*  150247 */     // GIR_Coverage, 71629,
     /*  150247 */     GIR_EraseRootFromParent_Done,
     /*  150248 */   // Label 2698: @150248
     /*  150248 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(150314), // Rule ID 71626 //
     /*  150253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150295 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150312 */     GIR_RootConstrainSelectedInstOperands,
     /*  150313 */     // GIR_Coverage, 71626,
     /*  150313 */     GIR_EraseRootFromParent_Done,
     /*  150314 */   // Label 2699: @150314
     /*  150314 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(150380), // Rule ID 71627 //
     /*  150319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150361 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150378 */     GIR_RootConstrainSelectedInstOperands,
     /*  150379 */     // GIR_Coverage, 71627,
     /*  150379 */     GIR_EraseRootFromParent_Done,
     /*  150380 */   // Label 2700: @150380
     /*  150380 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(150449), // Rule ID 53232 //
     /*  150385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150428 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150447 */     GIR_RootConstrainSelectedInstOperands,
     /*  150448 */     // GIR_Coverage, 53232,
     /*  150448 */     GIR_EraseRootFromParent_Done,
     /*  150449 */   // Label 2701: @150449
     /*  150449 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(150518), // Rule ID 53233 //
     /*  150454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150497 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150516 */     GIR_RootConstrainSelectedInstOperands,
     /*  150517 */     // GIR_Coverage, 53233,
     /*  150517 */     GIR_EraseRootFromParent_Done,
     /*  150518 */   // Label 2702: @150518
     /*  150518 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(150587), // Rule ID 71622 //
     /*  150523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150566 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150585 */     GIR_RootConstrainSelectedInstOperands,
     /*  150586 */     // GIR_Coverage, 71622,
     /*  150586 */     GIR_EraseRootFromParent_Done,
     /*  150587 */   // Label 2703: @150587
     /*  150587 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(150656), // Rule ID 71623 //
     /*  150592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150635 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150654 */     GIR_RootConstrainSelectedInstOperands,
     /*  150655 */     // GIR_Coverage, 71623,
     /*  150655 */     GIR_EraseRootFromParent_Done,
     /*  150656 */   // Label 2704: @150656
     /*  150656 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(150725), // Rule ID 71624 //
     /*  150661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150704 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150723 */     GIR_RootConstrainSelectedInstOperands,
     /*  150724 */     // GIR_Coverage, 71624,
     /*  150724 */     GIR_EraseRootFromParent_Done,
     /*  150725 */   // Label 2705: @150725
     /*  150725 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(150794), // Rule ID 71625 //
     /*  150730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150757 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150773 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150792 */     GIR_RootConstrainSelectedInstOperands,
     /*  150793 */     // GIR_Coverage, 71625,
     /*  150793 */     GIR_EraseRootFromParent_Done,
     /*  150794 */   // Label 2706: @150794
     /*  150794 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(150863), // Rule ID 71630 //
     /*  150799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150842 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150861 */     GIR_RootConstrainSelectedInstOperands,
     /*  150862 */     // GIR_Coverage, 71630,
     /*  150862 */     GIR_EraseRootFromParent_Done,
     /*  150863 */   // Label 2707: @150863
     /*  150863 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150932), // Rule ID 71631 //
     /*  150868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150911 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150930 */     GIR_RootConstrainSelectedInstOperands,
     /*  150931 */     // GIR_Coverage, 71631,
     /*  150931 */     GIR_EraseRootFromParent_Done,
     /*  150932 */   // Label 2708: @150932
     /*  150932 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150998), // Rule ID 71634 //
     /*  150937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150979 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150996 */     GIR_RootConstrainSelectedInstOperands,
     /*  150997 */     // GIR_Coverage, 71634,
     /*  150997 */     GIR_EraseRootFromParent_Done,
     /*  150998 */   // Label 2709: @150998
     /*  150998 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(151064), // Rule ID 71635 //
     /*  151003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151045 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151062 */     GIR_RootConstrainSelectedInstOperands,
     /*  151063 */     // GIR_Coverage, 71635,
     /*  151063 */     GIR_EraseRootFromParent_Done,
     /*  151064 */   // Label 2710: @151064
     /*  151064 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(151130), // Rule ID 71632 //
     /*  151069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151111 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151128 */     GIR_RootConstrainSelectedInstOperands,
     /*  151129 */     // GIR_Coverage, 71632,
     /*  151129 */     GIR_EraseRootFromParent_Done,
     /*  151130 */   // Label 2711: @151130
     /*  151130 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(151196), // Rule ID 71633 //
     /*  151135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151177 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151194 */     GIR_RootConstrainSelectedInstOperands,
     /*  151195 */     // GIR_Coverage, 71633,
     /*  151195 */     GIR_EraseRootFromParent_Done,
     /*  151196 */   // Label 2712: @151196
     /*  151196 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(151239), // Rule ID 71648 //
     /*  151201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151222 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151237 */     GIR_RootConstrainSelectedInstOperands,
     /*  151238 */     // GIR_Coverage, 71648,
     /*  151238 */     GIR_EraseRootFromParent_Done,
     /*  151239 */   // Label 2713: @151239
     /*  151239 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(151282), // Rule ID 71649 //
     /*  151244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151265 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151280 */     GIR_RootConstrainSelectedInstOperands,
     /*  151281 */     // GIR_Coverage, 71649,
     /*  151281 */     GIR_EraseRootFromParent_Done,
     /*  151282 */   // Label 2714: @151282
     /*  151282 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(151325), // Rule ID 53238 //
     /*  151287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151308 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151323 */     GIR_RootConstrainSelectedInstOperands,
     /*  151324 */     // GIR_Coverage, 53238,
     /*  151324 */     GIR_EraseRootFromParent_Done,
     /*  151325 */   // Label 2715: @151325
     /*  151325 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(151368), // Rule ID 53239 //
     /*  151330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151351 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151366 */     GIR_RootConstrainSelectedInstOperands,
     /*  151367 */     // GIR_Coverage, 53239,
     /*  151367 */     GIR_EraseRootFromParent_Done,
     /*  151368 */   // Label 2716: @151368
     /*  151368 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(151401), // Rule ID 53226 //
     /*  151373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151384 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151399 */     GIR_RootConstrainSelectedInstOperands,
     /*  151400 */     // GIR_Coverage, 53226,
     /*  151400 */     GIR_EraseRootFromParent_Done,
     /*  151401 */   // Label 2717: @151401
     /*  151401 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(151434), // Rule ID 53227 //
     /*  151406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151417 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151432 */     GIR_RootConstrainSelectedInstOperands,
     /*  151433 */     // GIR_Coverage, 53227,
     /*  151433 */     GIR_EraseRootFromParent_Done,
     /*  151434 */   // Label 2718: @151434
     /*  151434 */   GIM_Reject,
     /*  151435 */ // Label 2692: @151435
     /*  151435 */ GIM_Reject,
     /*  151436 */ // Label 2507: @151436
     /*  151436 */ GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(151550),
     /*  151441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  151444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  151447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151459 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(151504), // Rule ID 47946 //
     /*  151464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151467 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  151484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151502 */     GIR_RootConstrainSelectedInstOperands,
     /*  151503 */     // GIR_Coverage, 47946,
     /*  151503 */     GIR_EraseRootFromParent_Done,
     /*  151504 */   // Label 2720: @151504
     /*  151504 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(151549), // Rule ID 47947 //
     /*  151509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151512 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  151529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151547 */     GIR_RootConstrainSelectedInstOperands,
     /*  151548 */     // GIR_Coverage, 47947,
     /*  151548 */     GIR_EraseRootFromParent_Done,
     /*  151549 */   // Label 2721: @151549
     /*  151549 */   GIM_Reject,
     /*  151550 */ // Label 2719: @151550
     /*  151550 */ GIM_Reject,
     /*  151551 */ // Label 2508: @151551
     /*  151551 */ GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(151665),
     /*  151556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  151559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  151562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151574 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(151619), // Rule ID 47962 //
     /*  151579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151582 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  151582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  151585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  151599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151617 */     GIR_RootConstrainSelectedInstOperands,
     /*  151618 */     // GIR_Coverage, 47962,
     /*  151618 */     GIR_EraseRootFromParent_Done,
     /*  151619 */   // Label 2723: @151619
     /*  151619 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(151664), // Rule ID 47963 //
     /*  151624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151627 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  151627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  151630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  151644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151662 */     GIR_RootConstrainSelectedInstOperands,
     /*  151663 */     // GIR_Coverage, 47963,
     /*  151663 */     GIR_EraseRootFromParent_Done,
     /*  151664 */   // Label 2724: @151664
     /*  151664 */   GIM_Reject,
     /*  151665 */ // Label 2722: @151665
     /*  151665 */ GIM_Reject,
     /*  151666 */ // Label 2509: @151666
     /*  151666 */ GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(151780),
     /*  151671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  151674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  151677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151689 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151734), // Rule ID 47978 //
     /*  151694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151697 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  151697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  151700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151732 */     GIR_RootConstrainSelectedInstOperands,
     /*  151733 */     // GIR_Coverage, 47978,
     /*  151733 */     GIR_EraseRootFromParent_Done,
     /*  151734 */   // Label 2726: @151734
     /*  151734 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151779), // Rule ID 47979 //
     /*  151739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151742 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  151742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  151745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151777 */     GIR_RootConstrainSelectedInstOperands,
     /*  151778 */     // GIR_Coverage, 47979,
     /*  151778 */     GIR_EraseRootFromParent_Done,
     /*  151779 */   // Label 2727: @151779
     /*  151779 */   GIM_Reject,
     /*  151780 */ // Label 2725: @151780
     /*  151780 */ GIM_Reject,
     /*  151781 */ // Label 2510: @151781
     /*  151781 */ GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(153391),
     /*  151786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151796 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151865), // Rule ID 53246 //
     /*  151801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151844 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  151847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151863 */     GIR_RootConstrainSelectedInstOperands,
     /*  151864 */     // GIR_Coverage, 53246,
     /*  151864 */     GIR_EraseRootFromParent_Done,
     /*  151865 */   // Label 2729: @151865
     /*  151865 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151934), // Rule ID 53247 //
     /*  151870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151913 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  151916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151932 */     GIR_RootConstrainSelectedInstOperands,
     /*  151933 */     // GIR_Coverage, 53247,
     /*  151933 */     GIR_EraseRootFromParent_Done,
     /*  151934 */   // Label 2730: @151934
     /*  151934 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(152003), // Rule ID 53248 //
     /*  151939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151982 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  151985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152001 */     GIR_RootConstrainSelectedInstOperands,
     /*  152002 */     // GIR_Coverage, 53248,
     /*  152002 */     GIR_EraseRootFromParent_Done,
     /*  152003 */   // Label 2731: @152003
     /*  152003 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(152072), // Rule ID 53249 //
     /*  152008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152051 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152070 */     GIR_RootConstrainSelectedInstOperands,
     /*  152071 */     // GIR_Coverage, 53249,
     /*  152071 */     GIR_EraseRootFromParent_Done,
     /*  152072 */   // Label 2732: @152072
     /*  152072 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(152138), // Rule ID 71656 //
     /*  152077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152119 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 71656,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2733: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(152204), // Rule ID 71657 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152185 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152202 */     GIR_RootConstrainSelectedInstOperands,
     /*  152203 */     // GIR_Coverage, 71657,
     /*  152203 */     GIR_EraseRootFromParent_Done,
     /*  152204 */   // Label 2734: @152204
     /*  152204 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(152270), // Rule ID 71654 //
     /*  152209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152251 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152268 */     GIR_RootConstrainSelectedInstOperands,
     /*  152269 */     // GIR_Coverage, 71654,
     /*  152269 */     GIR_EraseRootFromParent_Done,
     /*  152270 */   // Label 2735: @152270
     /*  152270 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(152336), // Rule ID 71655 //
     /*  152275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152317 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152334 */     GIR_RootConstrainSelectedInstOperands,
     /*  152335 */     // GIR_Coverage, 71655,
     /*  152335 */     GIR_EraseRootFromParent_Done,
     /*  152336 */   // Label 2736: @152336
     /*  152336 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(152405), // Rule ID 53250 //
     /*  152341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152384 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152403 */     GIR_RootConstrainSelectedInstOperands,
     /*  152404 */     // GIR_Coverage, 53250,
     /*  152404 */     GIR_EraseRootFromParent_Done,
     /*  152405 */   // Label 2737: @152405
     /*  152405 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(152474), // Rule ID 53251 //
     /*  152410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152453 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152472 */     GIR_RootConstrainSelectedInstOperands,
     /*  152473 */     // GIR_Coverage, 53251,
     /*  152473 */     GIR_EraseRootFromParent_Done,
     /*  152474 */   // Label 2738: @152474
     /*  152474 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(152543), // Rule ID 71650 //
     /*  152479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152522 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152541 */     GIR_RootConstrainSelectedInstOperands,
     /*  152542 */     // GIR_Coverage, 71650,
     /*  152542 */     GIR_EraseRootFromParent_Done,
     /*  152543 */   // Label 2739: @152543
     /*  152543 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(152612), // Rule ID 71651 //
     /*  152548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152591 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152610 */     GIR_RootConstrainSelectedInstOperands,
     /*  152611 */     // GIR_Coverage, 71651,
     /*  152611 */     GIR_EraseRootFromParent_Done,
     /*  152612 */   // Label 2740: @152612
     /*  152612 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(152681), // Rule ID 71652 //
     /*  152617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152660 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152679 */     GIR_RootConstrainSelectedInstOperands,
     /*  152680 */     // GIR_Coverage, 71652,
     /*  152680 */     GIR_EraseRootFromParent_Done,
     /*  152681 */   // Label 2741: @152681
     /*  152681 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(152750), // Rule ID 71653 //
     /*  152686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152729 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152748 */     GIR_RootConstrainSelectedInstOperands,
     /*  152749 */     // GIR_Coverage, 71653,
     /*  152749 */     GIR_EraseRootFromParent_Done,
     /*  152750 */   // Label 2742: @152750
     /*  152750 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(152819), // Rule ID 71658 //
     /*  152755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152798 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152817 */     GIR_RootConstrainSelectedInstOperands,
     /*  152818 */     // GIR_Coverage, 71658,
     /*  152818 */     GIR_EraseRootFromParent_Done,
     /*  152819 */   // Label 2743: @152819
     /*  152819 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(152888), // Rule ID 71659 //
     /*  152824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152867 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152886 */     GIR_RootConstrainSelectedInstOperands,
     /*  152887 */     // GIR_Coverage, 71659,
     /*  152887 */     GIR_EraseRootFromParent_Done,
     /*  152888 */   // Label 2744: @152888
     /*  152888 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(152954), // Rule ID 71662 //
     /*  152893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  152904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152935 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  152946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152952 */     GIR_RootConstrainSelectedInstOperands,
     /*  152953 */     // GIR_Coverage, 71662,
     /*  152953 */     GIR_EraseRootFromParent_Done,
     /*  152954 */   // Label 2745: @152954
     /*  152954 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(153020), // Rule ID 71663 //
     /*  152959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  152970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153001 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153018 */     GIR_RootConstrainSelectedInstOperands,
     /*  153019 */     // GIR_Coverage, 71663,
     /*  153019 */     GIR_EraseRootFromParent_Done,
     /*  153020 */   // Label 2746: @153020
     /*  153020 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(153086), // Rule ID 71660 //
     /*  153025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153067 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153084 */     GIR_RootConstrainSelectedInstOperands,
     /*  153085 */     // GIR_Coverage, 71660,
     /*  153085 */     GIR_EraseRootFromParent_Done,
     /*  153086 */   // Label 2747: @153086
     /*  153086 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(153152), // Rule ID 71661 //
     /*  153091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153133 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153150 */     GIR_RootConstrainSelectedInstOperands,
     /*  153151 */     // GIR_Coverage, 71661,
     /*  153151 */     GIR_EraseRootFromParent_Done,
     /*  153152 */   // Label 2748: @153152
     /*  153152 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(153195), // Rule ID 71676 //
     /*  153157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153178 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153193 */     GIR_RootConstrainSelectedInstOperands,
     /*  153194 */     // GIR_Coverage, 71676,
     /*  153194 */     GIR_EraseRootFromParent_Done,
     /*  153195 */   // Label 2749: @153195
     /*  153195 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(153238), // Rule ID 71677 //
     /*  153200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153221 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153236 */     GIR_RootConstrainSelectedInstOperands,
     /*  153237 */     // GIR_Coverage, 71677,
     /*  153237 */     GIR_EraseRootFromParent_Done,
     /*  153238 */   // Label 2750: @153238
     /*  153238 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(153281), // Rule ID 53256 //
     /*  153243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153264 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153279 */     GIR_RootConstrainSelectedInstOperands,
     /*  153280 */     // GIR_Coverage, 53256,
     /*  153280 */     GIR_EraseRootFromParent_Done,
     /*  153281 */   // Label 2751: @153281
     /*  153281 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(153324), // Rule ID 53257 //
     /*  153286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153307 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153322 */     GIR_RootConstrainSelectedInstOperands,
     /*  153323 */     // GIR_Coverage, 53257,
     /*  153323 */     GIR_EraseRootFromParent_Done,
     /*  153324 */   // Label 2752: @153324
     /*  153324 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(153357), // Rule ID 53244 //
     /*  153329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153340 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153355 */     GIR_RootConstrainSelectedInstOperands,
     /*  153356 */     // GIR_Coverage, 53244,
     /*  153356 */     GIR_EraseRootFromParent_Done,
     /*  153357 */   // Label 2753: @153357
     /*  153357 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(153390), // Rule ID 53245 //
     /*  153362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153373 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153388 */     GIR_RootConstrainSelectedInstOperands,
     /*  153389 */     // GIR_Coverage, 53245,
     /*  153389 */     GIR_EraseRootFromParent_Done,
     /*  153390 */   // Label 2754: @153390
     /*  153390 */   GIM_Reject,
     /*  153391 */ // Label 2728: @153391
     /*  153391 */ GIM_Reject,
     /*  153392 */ // Label 2511: @153392
     /*  153392 */ GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(153506),
     /*  153397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  153400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  153403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153415 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(153460), // Rule ID 47950 //
     /*  153420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153423 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  153423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153458 */     GIR_RootConstrainSelectedInstOperands,
     /*  153459 */     // GIR_Coverage, 47950,
     /*  153459 */     GIR_EraseRootFromParent_Done,
     /*  153460 */   // Label 2756: @153460
     /*  153460 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(153505), // Rule ID 47951 //
     /*  153465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153468 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  153468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153503 */     GIR_RootConstrainSelectedInstOperands,
     /*  153504 */     // GIR_Coverage, 47951,
     /*  153504 */     GIR_EraseRootFromParent_Done,
     /*  153505 */   // Label 2757: @153505
     /*  153505 */   GIM_Reject,
     /*  153506 */ // Label 2755: @153506
     /*  153506 */ GIM_Reject,
     /*  153507 */ // Label 2512: @153507
     /*  153507 */ GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(153621),
     /*  153512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  153515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  153518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153530 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(153575), // Rule ID 47966 //
     /*  153535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153538 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  153538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  153541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  153555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153573 */     GIR_RootConstrainSelectedInstOperands,
     /*  153574 */     // GIR_Coverage, 47966,
     /*  153574 */     GIR_EraseRootFromParent_Done,
     /*  153575 */   // Label 2759: @153575
     /*  153575 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(153620), // Rule ID 47967 //
     /*  153580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153583 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  153583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  153586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  153600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153618 */     GIR_RootConstrainSelectedInstOperands,
     /*  153619 */     // GIR_Coverage, 47967,
     /*  153619 */     GIR_EraseRootFromParent_Done,
     /*  153620 */   // Label 2760: @153620
     /*  153620 */   GIM_Reject,
     /*  153621 */ // Label 2758: @153621
     /*  153621 */ GIM_Reject,
     /*  153622 */ // Label 2513: @153622
     /*  153622 */ GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(155232),
     /*  153627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153637 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(153706), // Rule ID 53264 //
     /*  153642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153685 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  153688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153704 */     GIR_RootConstrainSelectedInstOperands,
     /*  153705 */     // GIR_Coverage, 53264,
     /*  153705 */     GIR_EraseRootFromParent_Done,
     /*  153706 */   // Label 2762: @153706
     /*  153706 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(153775), // Rule ID 53265 //
     /*  153711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153754 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  153757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153773 */     GIR_RootConstrainSelectedInstOperands,
     /*  153774 */     // GIR_Coverage, 53265,
     /*  153774 */     GIR_EraseRootFromParent_Done,
     /*  153775 */   // Label 2763: @153775
     /*  153775 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(153844), // Rule ID 53266 //
     /*  153780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153823 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  153826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153842 */     GIR_RootConstrainSelectedInstOperands,
     /*  153843 */     // GIR_Coverage, 53266,
     /*  153843 */     GIR_EraseRootFromParent_Done,
     /*  153844 */   // Label 2764: @153844
     /*  153844 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(153913), // Rule ID 53267 //
     /*  153849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153892 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  153895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153911 */     GIR_RootConstrainSelectedInstOperands,
     /*  153912 */     // GIR_Coverage, 53267,
     /*  153912 */     GIR_EraseRootFromParent_Done,
     /*  153913 */   // Label 2765: @153913
     /*  153913 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(153979), // Rule ID 71684 //
     /*  153918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153960 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  153963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153977 */     GIR_RootConstrainSelectedInstOperands,
     /*  153978 */     // GIR_Coverage, 71684,
     /*  153978 */     GIR_EraseRootFromParent_Done,
     /*  153979 */   // Label 2766: @153979
     /*  153979 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(154045), // Rule ID 71685 //
     /*  153984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154026 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154043 */     GIR_RootConstrainSelectedInstOperands,
     /*  154044 */     // GIR_Coverage, 71685,
     /*  154044 */     GIR_EraseRootFromParent_Done,
     /*  154045 */   // Label 2767: @154045
     /*  154045 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(154111), // Rule ID 71682 //
     /*  154050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154092 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154109 */     GIR_RootConstrainSelectedInstOperands,
     /*  154110 */     // GIR_Coverage, 71682,
     /*  154110 */     GIR_EraseRootFromParent_Done,
     /*  154111 */   // Label 2768: @154111
     /*  154111 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(154177), // Rule ID 71683 //
     /*  154116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154158 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154175 */     GIR_RootConstrainSelectedInstOperands,
     /*  154176 */     // GIR_Coverage, 71683,
     /*  154176 */     GIR_EraseRootFromParent_Done,
     /*  154177 */   // Label 2769: @154177
     /*  154177 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(154246), // Rule ID 53268 //
     /*  154182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154225 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154244 */     GIR_RootConstrainSelectedInstOperands,
     /*  154245 */     // GIR_Coverage, 53268,
     /*  154245 */     GIR_EraseRootFromParent_Done,
     /*  154246 */   // Label 2770: @154246
     /*  154246 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(154315), // Rule ID 53269 //
     /*  154251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154294 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154313 */     GIR_RootConstrainSelectedInstOperands,
     /*  154314 */     // GIR_Coverage, 53269,
     /*  154314 */     GIR_EraseRootFromParent_Done,
     /*  154315 */   // Label 2771: @154315
     /*  154315 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(154384), // Rule ID 71678 //
     /*  154320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154363 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154382 */     GIR_RootConstrainSelectedInstOperands,
     /*  154383 */     // GIR_Coverage, 71678,
     /*  154383 */     GIR_EraseRootFromParent_Done,
     /*  154384 */   // Label 2772: @154384
     /*  154384 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(154453), // Rule ID 71679 //
     /*  154389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154430 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154432 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154451 */     GIR_RootConstrainSelectedInstOperands,
     /*  154452 */     // GIR_Coverage, 71679,
     /*  154452 */     GIR_EraseRootFromParent_Done,
     /*  154453 */   // Label 2773: @154453
     /*  154453 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(154522), // Rule ID 71680 //
     /*  154458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154501 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154520 */     GIR_RootConstrainSelectedInstOperands,
     /*  154521 */     // GIR_Coverage, 71680,
     /*  154521 */     GIR_EraseRootFromParent_Done,
     /*  154522 */   // Label 2774: @154522
     /*  154522 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(154591), // Rule ID 71681 //
     /*  154527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154554 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154570 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154589 */     GIR_RootConstrainSelectedInstOperands,
     /*  154590 */     // GIR_Coverage, 71681,
     /*  154590 */     GIR_EraseRootFromParent_Done,
     /*  154591 */   // Label 2775: @154591
     /*  154591 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(154660), // Rule ID 71686 //
     /*  154596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154639 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154658 */     GIR_RootConstrainSelectedInstOperands,
     /*  154659 */     // GIR_Coverage, 71686,
     /*  154659 */     GIR_EraseRootFromParent_Done,
     /*  154660 */   // Label 2776: @154660
     /*  154660 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(154729), // Rule ID 71687 //
     /*  154665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154692 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154708 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154727 */     GIR_RootConstrainSelectedInstOperands,
     /*  154728 */     // GIR_Coverage, 71687,
     /*  154728 */     GIR_EraseRootFromParent_Done,
     /*  154729 */   // Label 2777: @154729
     /*  154729 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(154795), // Rule ID 71690 //
     /*  154734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154776 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154793 */     GIR_RootConstrainSelectedInstOperands,
     /*  154794 */     // GIR_Coverage, 71690,
     /*  154794 */     GIR_EraseRootFromParent_Done,
     /*  154795 */   // Label 2778: @154795
     /*  154795 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(154861), // Rule ID 71691 //
     /*  154800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154842 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154859 */     GIR_RootConstrainSelectedInstOperands,
     /*  154860 */     // GIR_Coverage, 71691,
     /*  154860 */     GIR_EraseRootFromParent_Done,
     /*  154861 */   // Label 2779: @154861
     /*  154861 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(154927), // Rule ID 71688 //
     /*  154866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154908 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154925 */     GIR_RootConstrainSelectedInstOperands,
     /*  154926 */     // GIR_Coverage, 71688,
     /*  154926 */     GIR_EraseRootFromParent_Done,
     /*  154927 */   // Label 2780: @154927
     /*  154927 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(154993), // Rule ID 71689 //
     /*  154932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154974 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154991 */     GIR_RootConstrainSelectedInstOperands,
     /*  154992 */     // GIR_Coverage, 71689,
     /*  154992 */     GIR_EraseRootFromParent_Done,
     /*  154993 */   // Label 2781: @154993
     /*  154993 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(155036), // Rule ID 71704 //
     /*  154998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155019 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155034 */     GIR_RootConstrainSelectedInstOperands,
     /*  155035 */     // GIR_Coverage, 71704,
     /*  155035 */     GIR_EraseRootFromParent_Done,
     /*  155036 */   // Label 2782: @155036
     /*  155036 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(155079), // Rule ID 71705 //
     /*  155041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155062 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155077 */     GIR_RootConstrainSelectedInstOperands,
     /*  155078 */     // GIR_Coverage, 71705,
     /*  155078 */     GIR_EraseRootFromParent_Done,
     /*  155079 */   // Label 2783: @155079
     /*  155079 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(155122), // Rule ID 53274 //
     /*  155084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155105 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155120 */     GIR_RootConstrainSelectedInstOperands,
     /*  155121 */     // GIR_Coverage, 53274,
     /*  155121 */     GIR_EraseRootFromParent_Done,
     /*  155122 */   // Label 2784: @155122
     /*  155122 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(155165), // Rule ID 53275 //
     /*  155127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155148 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155163 */     GIR_RootConstrainSelectedInstOperands,
     /*  155164 */     // GIR_Coverage, 53275,
     /*  155164 */     GIR_EraseRootFromParent_Done,
     /*  155165 */   // Label 2785: @155165
     /*  155165 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(155198), // Rule ID 53262 //
     /*  155170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155181 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155196 */     GIR_RootConstrainSelectedInstOperands,
     /*  155197 */     // GIR_Coverage, 53262,
     /*  155197 */     GIR_EraseRootFromParent_Done,
     /*  155198 */   // Label 2786: @155198
     /*  155198 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(155231), // Rule ID 53263 //
     /*  155203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155214 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155229 */     GIR_RootConstrainSelectedInstOperands,
     /*  155230 */     // GIR_Coverage, 53263,
     /*  155230 */     GIR_EraseRootFromParent_Done,
     /*  155231 */   // Label 2787: @155231
     /*  155231 */   GIM_Reject,
     /*  155232 */ // Label 2761: @155232
     /*  155232 */ GIM_Reject,
     /*  155233 */ // Label 2514: @155233
     /*  155233 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(155347),
     /*  155238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  155241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  155244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155256 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(155301), // Rule ID 47954 //
     /*  155261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155264 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  155264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155299 */     GIR_RootConstrainSelectedInstOperands,
     /*  155300 */     // GIR_Coverage, 47954,
     /*  155300 */     GIR_EraseRootFromParent_Done,
     /*  155301 */   // Label 2789: @155301
     /*  155301 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(155346), // Rule ID 47955 //
     /*  155306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155309 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  155309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155344 */     GIR_RootConstrainSelectedInstOperands,
     /*  155345 */     // GIR_Coverage, 47955,
     /*  155345 */     GIR_EraseRootFromParent_Done,
     /*  155346 */   // Label 2790: @155346
     /*  155346 */   GIM_Reject,
     /*  155347 */ // Label 2788: @155347
     /*  155347 */ GIM_Reject,
     /*  155348 */ // Label 2515: @155348
     /*  155348 */ GIM_Reject,
     /*  155349 */ // Label 10: @155349
     /*  155349 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(155409),
     /*  155354 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  155358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155362 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(155385), // Rule ID 110 //
     /*  155367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155370 */     // MIs[0] Operand 1
     /*  155370 */     // No operand predicates
     /*  155370 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  155370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155375 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155383 */     GIR_RootConstrainSelectedInstOperands,
     /*  155384 */     // GIR_Coverage, 110,
     /*  155384 */     GIR_EraseRootFromParent_Done,
     /*  155385 */   // Label 2792: @155385
     /*  155385 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(155408), // Rule ID 111 //
     /*  155390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155393 */     // MIs[0] Operand 1
     /*  155393 */     // No operand predicates
     /*  155393 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  155393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155398 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155406 */     GIR_RootConstrainSelectedInstOperands,
     /*  155407 */     // GIR_Coverage, 111,
     /*  155407 */     GIR_EraseRootFromParent_Done,
     /*  155408 */   // Label 2793: @155408
     /*  155408 */   GIM_Reject,
     /*  155409 */ // Label 2791: @155409
     /*  155409 */ GIM_Reject,
     /*  155410 */ // Label 11: @155410
     /*  155410 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(155470),
     /*  155415 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155418 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  155421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  155427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155439 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(155454), // Rule ID 50 //
     /*  155444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155447 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155452 */     GIR_RootConstrainSelectedInstOperands,
     /*  155453 */     // GIR_Coverage, 50,
     /*  155453 */     GIR_Done,
     /*  155454 */   // Label 2795: @155454
     /*  155454 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(155469), // Rule ID 51 //
     /*  155459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155462 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155467 */     GIR_RootConstrainSelectedInstOperands,
     /*  155468 */     // GIR_Coverage, 51,
     /*  155468 */     GIR_Done,
     /*  155469 */   // Label 2796: @155469
     /*  155469 */   GIM_Reject,
     /*  155470 */ // Label 2794: @155470
     /*  155470 */ GIM_Reject,
     /*  155471 */ // Label 12: @155471
     /*  155471 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(155561),
     /*  155476 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155479 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  155482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  155488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155500 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(155515), // Rule ID 48 //
     /*  155505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155508 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  155513 */     GIR_RootConstrainSelectedInstOperands,
     /*  155514 */     // GIR_Coverage, 48,
     /*  155514 */     GIR_Done,
     /*  155515 */   // Label 2798: @155515
     /*  155515 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(155530), // Rule ID 49 //
     /*  155520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155523 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  155528 */     GIR_RootConstrainSelectedInstOperands,
     /*  155529 */     // GIR_Coverage, 49,
     /*  155529 */     GIR_Done,
     /*  155530 */   // Label 2799: @155530
     /*  155530 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(155545), // Rule ID 2394 //
     /*  155535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  155538 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  155538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  155543 */     GIR_RootConstrainSelectedInstOperands,
     /*  155544 */     // GIR_Coverage, 2394,
     /*  155544 */     GIR_Done,
     /*  155545 */   // Label 2800: @155545
     /*  155545 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(155560), // Rule ID 2395 //
     /*  155550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  155553 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  155553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  155558 */     GIR_RootConstrainSelectedInstOperands,
     /*  155559 */     // GIR_Coverage, 2395,
     /*  155559 */     GIR_Done,
     /*  155560 */   // Label 2801: @155560
     /*  155560 */   GIM_Reject,
     /*  155561 */ // Label 2797: @155561
     /*  155561 */ GIM_Reject,
     /*  155562 */ // Label 13: @155562
     /*  155562 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2804*/ GIMT_Encode4(155928),
     /*  155573 */ /*GILLT_s32*//*Label 2802*/ GIMT_Encode4(155581),
     /*  155577 */ /*GILLT_s64*//*Label 2803*/ GIMT_Encode4(155818),
     /*  155581 */ // Label 2802: @155581
     /*  155581 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(155817),
     /*  155586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155589 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(155612), // Rule ID 1437 //
     /*  155594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  155597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155605 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  155605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  155610 */     GIR_RootConstrainSelectedInstOperands,
     /*  155611 */     // GIR_Coverage, 1437,
     /*  155611 */     GIR_Done,
     /*  155612 */   // Label 2806: @155612
     /*  155612 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(155635), // Rule ID 1438 //
     /*  155617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  155620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155628 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  155628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  155633 */     GIR_RootConstrainSelectedInstOperands,
     /*  155634 */     // GIR_Coverage, 1438,
     /*  155634 */     GIR_Done,
     /*  155635 */   // Label 2807: @155635
     /*  155635 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(155658), // Rule ID 1439 //
     /*  155640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  155643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155651 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  155651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  155656 */     GIR_RootConstrainSelectedInstOperands,
     /*  155657 */     // GIR_Coverage, 1439,
     /*  155657 */     GIR_Done,
     /*  155658 */   // Label 2808: @155658
     /*  155658 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(155681), // Rule ID 1440 //
     /*  155663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  155666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155674 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  155674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  155679 */     GIR_RootConstrainSelectedInstOperands,
     /*  155680 */     // GIR_Coverage, 1440,
     /*  155680 */     GIR_Done,
     /*  155681 */   // Label 2809: @155681
     /*  155681 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(155719), // Rule ID 1441 //
     /*  155686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  155689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155697 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  155697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155702 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  155708 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155713 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155718 */     // GIR_Coverage, 1441,
     /*  155718 */     GIR_EraseRootFromParent_Done,
     /*  155719 */   // Label 2810: @155719
     /*  155719 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(155757), // Rule ID 1442 //
     /*  155724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  155727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155735 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  155735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155740 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  155746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155756 */     // GIR_Coverage, 1442,
     /*  155756 */     GIR_EraseRootFromParent_Done,
     /*  155757 */   // Label 2811: @155757
     /*  155757 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(155816), // Rule ID 1443 //
     /*  155762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  155765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155773 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  155773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  155776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  155790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  155800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155810 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155815 */     // GIR_Coverage, 1443,
     /*  155815 */     GIR_EraseRootFromParent_Done,
     /*  155816 */   // Label 2812: @155816
     /*  155816 */   GIM_Reject,
     /*  155817 */ // Label 2805: @155817
     /*  155817 */ GIM_Reject,
     /*  155818 */ // Label 2803: @155818
     /*  155818 */ GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(155927),
     /*  155823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  155826 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(155849), // Rule ID 1890 //
     /*  155831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  155834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155842 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  155842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  155847 */     GIR_RootConstrainSelectedInstOperands,
     /*  155848 */     // GIR_Coverage, 1890,
     /*  155848 */     GIR_Done,
     /*  155849 */   // Label 2814: @155849
     /*  155849 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(155872), // Rule ID 1891 //
     /*  155854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  155857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155865 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  155865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  155870 */     GIR_RootConstrainSelectedInstOperands,
     /*  155871 */     // GIR_Coverage, 1891,
     /*  155871 */     GIR_Done,
     /*  155872 */   // Label 2815: @155872
     /*  155872 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(155899), // Rule ID 1918 //
     /*  155877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  155880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155888 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  155888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155898 */     // GIR_Coverage, 1918,
     /*  155898 */     GIR_Done,
     /*  155899 */   // Label 2816: @155899
     /*  155899 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(155926), // Rule ID 1919 //
     /*  155904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  155907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155915 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  155915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155925 */     // GIR_Coverage, 1919,
     /*  155925 */     GIR_Done,
     /*  155926 */   // Label 2817: @155926
     /*  155926 */   GIM_Reject,
     /*  155927 */ // Label 2813: @155927
     /*  155927 */ GIM_Reject,
     /*  155928 */ // Label 2804: @155928
     /*  155928 */ GIM_Reject,
     /*  155929 */ // Label 14: @155929
     /*  155929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2821*/ GIMT_Encode4(156126),
     /*  155940 */ /*GILLT_s16*//*Label 2818*/ GIMT_Encode4(155952),
     /*  155944 */ /*GILLT_s32*//*Label 2819*/ GIMT_Encode4(156010),
     /*  155948 */ /*GILLT_s64*//*Label 2820*/ GIMT_Encode4(156068),
     /*  155952 */ // Label 2818: @155952
     /*  155952 */ GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(156009),
     /*  155957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  155960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  155964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  155968 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(155988), // Rule ID 2426 //
     /*  155973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  155976 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  155976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  155979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  155986 */     GIR_RootConstrainSelectedInstOperands,
     /*  155987 */     // GIR_Coverage, 2426,
     /*  155987 */     GIR_EraseRootFromParent_Done,
     /*  155988 */   // Label 2823: @155988
     /*  155988 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(156008), // Rule ID 2427 //
     /*  155993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  155996 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  155996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  155999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156006 */     GIR_RootConstrainSelectedInstOperands,
     /*  156007 */     // GIR_Coverage, 2427,
     /*  156007 */     GIR_EraseRootFromParent_Done,
     /*  156008 */   // Label 2824: @156008
     /*  156008 */   GIM_Reject,
     /*  156009 */ // Label 2822: @156009
     /*  156009 */ GIM_Reject,
     /*  156010 */ // Label 2819: @156010
     /*  156010 */ GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(156067),
     /*  156015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156026 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(156046), // Rule ID 2344 //
     /*  156031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156034 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  156034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156044 */     GIR_RootConstrainSelectedInstOperands,
     /*  156045 */     // GIR_Coverage, 2344,
     /*  156045 */     GIR_EraseRootFromParent_Done,
     /*  156046 */   // Label 2826: @156046
     /*  156046 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(156066), // Rule ID 2345 //
     /*  156051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156054 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  156054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156064 */     GIR_RootConstrainSelectedInstOperands,
     /*  156065 */     // GIR_Coverage, 2345,
     /*  156065 */     GIR_EraseRootFromParent_Done,
     /*  156066 */   // Label 2827: @156066
     /*  156066 */   GIM_Reject,
     /*  156067 */ // Label 2825: @156067
     /*  156067 */ GIM_Reject,
     /*  156068 */ // Label 2820: @156068
     /*  156068 */ GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(156125),
     /*  156073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156084 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(156104), // Rule ID 2384 //
     /*  156089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156092 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  156092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156102 */     GIR_RootConstrainSelectedInstOperands,
     /*  156103 */     // GIR_Coverage, 2384,
     /*  156103 */     GIR_EraseRootFromParent_Done,
     /*  156104 */   // Label 2829: @156104
     /*  156104 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(156124), // Rule ID 2385 //
     /*  156109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156112 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  156112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156122 */     GIR_RootConstrainSelectedInstOperands,
     /*  156123 */     // GIR_Coverage, 2385,
     /*  156123 */     GIR_EraseRootFromParent_Done,
     /*  156124 */   // Label 2830: @156124
     /*  156124 */   GIM_Reject,
     /*  156125 */ // Label 2828: @156125
     /*  156125 */ GIM_Reject,
     /*  156126 */ // Label 2821: @156126
     /*  156126 */ GIM_Reject,
     /*  156127 */ // Label 15: @156127
     /*  156127 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2834*/ GIMT_Encode4(156324),
     /*  156138 */ /*GILLT_s16*//*Label 2831*/ GIMT_Encode4(156150),
     /*  156142 */ /*GILLT_s32*//*Label 2832*/ GIMT_Encode4(156208),
     /*  156146 */ /*GILLT_s64*//*Label 2833*/ GIMT_Encode4(156266),
     /*  156150 */ // Label 2831: @156150
     /*  156150 */ GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(156207),
     /*  156155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156166 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(156186), // Rule ID 2410 //
     /*  156171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156174 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  156174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156184 */     GIR_RootConstrainSelectedInstOperands,
     /*  156185 */     // GIR_Coverage, 2410,
     /*  156185 */     GIR_EraseRootFromParent_Done,
     /*  156186 */   // Label 2836: @156186
     /*  156186 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(156206), // Rule ID 2411 //
     /*  156191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156194 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  156194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156204 */     GIR_RootConstrainSelectedInstOperands,
     /*  156205 */     // GIR_Coverage, 2411,
     /*  156205 */     GIR_EraseRootFromParent_Done,
     /*  156206 */   // Label 2837: @156206
     /*  156206 */   GIM_Reject,
     /*  156207 */ // Label 2835: @156207
     /*  156207 */ GIM_Reject,
     /*  156208 */ // Label 2832: @156208
     /*  156208 */ GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(156265),
     /*  156213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156224 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(156244), // Rule ID 2328 //
     /*  156229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156232 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  156232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156242 */     GIR_RootConstrainSelectedInstOperands,
     /*  156243 */     // GIR_Coverage, 2328,
     /*  156243 */     GIR_EraseRootFromParent_Done,
     /*  156244 */   // Label 2839: @156244
     /*  156244 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(156264), // Rule ID 2329 //
     /*  156249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156252 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  156252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156262 */     GIR_RootConstrainSelectedInstOperands,
     /*  156263 */     // GIR_Coverage, 2329,
     /*  156263 */     GIR_EraseRootFromParent_Done,
     /*  156264 */   // Label 2840: @156264
     /*  156264 */   GIM_Reject,
     /*  156265 */ // Label 2838: @156265
     /*  156265 */ GIM_Reject,
     /*  156266 */ // Label 2833: @156266
     /*  156266 */ GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(156323),
     /*  156271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156282 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(156302), // Rule ID 2368 //
     /*  156287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156290 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  156290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156300 */     GIR_RootConstrainSelectedInstOperands,
     /*  156301 */     // GIR_Coverage, 2368,
     /*  156301 */     GIR_EraseRootFromParent_Done,
     /*  156302 */   // Label 2842: @156302
     /*  156302 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(156322), // Rule ID 2369 //
     /*  156307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156310 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  156310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156320 */     GIR_RootConstrainSelectedInstOperands,
     /*  156321 */     // GIR_Coverage, 2369,
     /*  156321 */     GIR_EraseRootFromParent_Done,
     /*  156322 */   // Label 2843: @156322
     /*  156322 */   GIM_Reject,
     /*  156323 */ // Label 2841: @156323
     /*  156323 */ GIM_Reject,
     /*  156324 */ // Label 2834: @156324
     /*  156324 */ GIM_Reject,
     /*  156325 */ // Label 16: @156325
     /*  156325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2846*/ GIMT_Encode4(156904),
     /*  156336 */ /*GILLT_s32*//*Label 2844*/ GIMT_Encode4(156344),
     /*  156340 */ /*GILLT_s64*//*Label 2845*/ GIMT_Encode4(156717),
     /*  156344 */ // Label 2844: @156344
     /*  156344 */ GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(156375), // Rule ID 1456 //
     /*  156349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156363 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156373 */   GIR_RootConstrainSelectedInstOperands,
     /*  156374 */   // GIR_Coverage, 1456,
     /*  156374 */   GIR_EraseRootFromParent_Done,
     /*  156375 */ // Label 2847: @156375
     /*  156375 */ GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(156406), // Rule ID 1457 //
     /*  156380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156394 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156404 */   GIR_RootConstrainSelectedInstOperands,
     /*  156405 */   // GIR_Coverage, 1457,
     /*  156405 */   GIR_EraseRootFromParent_Done,
     /*  156406 */ // Label 2848: @156406
     /*  156406 */ GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(156437), // Rule ID 1482 //
     /*  156411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  156414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156425 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156435 */   GIR_RootConstrainSelectedInstOperands,
     /*  156436 */   // GIR_Coverage, 1482,
     /*  156436 */   GIR_EraseRootFromParent_Done,
     /*  156437 */ // Label 2849: @156437
     /*  156437 */ GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(156468), // Rule ID 1483 //
     /*  156442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156456 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156466 */   GIR_RootConstrainSelectedInstOperands,
     /*  156467 */   // GIR_Coverage, 1483,
     /*  156467 */   GIR_EraseRootFromParent_Done,
     /*  156468 */ // Label 2850: @156468
     /*  156468 */ GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(156499), // Rule ID 1850 //
     /*  156473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  156476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156487 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156497 */   GIR_RootConstrainSelectedInstOperands,
     /*  156498 */   // GIR_Coverage, 1850,
     /*  156498 */   GIR_EraseRootFromParent_Done,
     /*  156499 */ // Label 2851: @156499
     /*  156499 */ GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(156530), // Rule ID 1851 //
     /*  156504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  156507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156518 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  156518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156528 */   GIR_RootConstrainSelectedInstOperands,
     /*  156529 */   // GIR_Coverage, 1851,
     /*  156529 */   GIR_EraseRootFromParent_Done,
     /*  156530 */ // Label 2852: @156530
     /*  156530 */ GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(156561), // Rule ID 1876 //
     /*  156535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  156538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  156549 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  156552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156559 */   GIR_RootConstrainSelectedInstOperands,
     /*  156560 */   // GIR_Coverage, 1876,
     /*  156560 */   GIR_EraseRootFromParent_Done,
     /*  156561 */ // Label 2853: @156561
     /*  156561 */ GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(156592), // Rule ID 1877 //
     /*  156566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  156569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  156580 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  156580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  156583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156590 */   GIR_RootConstrainSelectedInstOperands,
     /*  156591 */   // GIR_Coverage, 1877,
     /*  156591 */   GIR_EraseRootFromParent_Done,
     /*  156592 */ // Label 2854: @156592
     /*  156592 */ GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(156623), // Rule ID 2192 //
     /*  156597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  156600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156611 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  156614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156621 */   GIR_RootConstrainSelectedInstOperands,
     /*  156622 */   // GIR_Coverage, 2192,
     /*  156622 */   GIR_EraseRootFromParent_Done,
     /*  156623 */ // Label 2855: @156623
     /*  156623 */ GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(156654), // Rule ID 2193 //
     /*  156628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  156631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156642 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  156642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  156645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156652 */   GIR_RootConstrainSelectedInstOperands,
     /*  156653 */   // GIR_Coverage, 2193,
     /*  156653 */   GIR_EraseRootFromParent_Done,
     /*  156654 */ // Label 2856: @156654
     /*  156654 */ GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(156685), // Rule ID 2218 //
     /*  156659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  156662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156673 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  156676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156683 */   GIR_RootConstrainSelectedInstOperands,
     /*  156684 */   // GIR_Coverage, 2218,
     /*  156684 */   GIR_EraseRootFromParent_Done,
     /*  156685 */ // Label 2857: @156685
     /*  156685 */ GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(156716), // Rule ID 2219 //
     /*  156690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  156693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156704 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  156704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  156707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156714 */   GIR_RootConstrainSelectedInstOperands,
     /*  156715 */   // GIR_Coverage, 2219,
     /*  156715 */   GIR_EraseRootFromParent_Done,
     /*  156716 */ // Label 2858: @156716
     /*  156716 */ GIM_Reject,
     /*  156717 */ // Label 2845: @156717
     /*  156717 */ GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(156748), // Rule ID 1509 //
     /*  156722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  156725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156736 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  156739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156746 */   GIR_RootConstrainSelectedInstOperands,
     /*  156747 */   // GIR_Coverage, 1509,
     /*  156747 */   GIR_EraseRootFromParent_Done,
     /*  156748 */ // Label 2859: @156748
     /*  156748 */ GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(156779), // Rule ID 1537 //
     /*  156753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  156756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156767 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  156770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156777 */   GIR_RootConstrainSelectedInstOperands,
     /*  156778 */   // GIR_Coverage, 1537,
     /*  156778 */   GIR_EraseRootFromParent_Done,
     /*  156779 */ // Label 2860: @156779
     /*  156779 */ GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(156810), // Rule ID 1907 //
     /*  156784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156798 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  156801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156808 */   GIR_RootConstrainSelectedInstOperands,
     /*  156809 */   // GIR_Coverage, 1907,
     /*  156809 */   GIR_EraseRootFromParent_Done,
     /*  156810 */ // Label 2861: @156810
     /*  156810 */ GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(156841), // Rule ID 1935 //
     /*  156815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156829 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  156832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156839 */   GIR_RootConstrainSelectedInstOperands,
     /*  156840 */   // GIR_Coverage, 1935,
     /*  156840 */   GIR_EraseRootFromParent_Done,
     /*  156841 */ // Label 2862: @156841
     /*  156841 */ GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(156872), // Rule ID 2243 //
     /*  156846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  156849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156860 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  156863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156870 */   GIR_RootConstrainSelectedInstOperands,
     /*  156871 */   // GIR_Coverage, 2243,
     /*  156871 */   GIR_EraseRootFromParent_Done,
     /*  156872 */ // Label 2863: @156872
     /*  156872 */ GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(156903), // Rule ID 2269 //
     /*  156877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  156880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156891 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  156894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156901 */   GIR_RootConstrainSelectedInstOperands,
     /*  156902 */   // GIR_Coverage, 2269,
     /*  156902 */   GIR_EraseRootFromParent_Done,
     /*  156903 */ // Label 2864: @156903
     /*  156903 */ GIM_Reject,
     /*  156904 */ // Label 2846: @156904
     /*  156904 */ GIM_Reject,
     /*  156905 */ // Label 17: @156905
     /*  156905 */ GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(157114),
     /*  156910 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  156913 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(157113),
     /*  156924 */   /*GILLT_s16*//*Label 2866*/ GIMT_Encode4(156936),
     /*  156928 */   /*GILLT_s32*//*Label 2867*/ GIMT_Encode4(156995),
     /*  156932 */   /*GILLT_s64*//*Label 2868*/ GIMT_Encode4(157054),
     /*  156936 */   // Label 2866: @156936
     /*  156936 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(156994),
     /*  156941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156945 */     GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(156969), // Rule ID 2245 //
     /*  156950 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  156953 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156957 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156957 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  156960 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156962 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156964 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156967 */       GIR_RootConstrainSelectedInstOperands,
     /*  156968 */       // GIR_Coverage, 2245,
     /*  156968 */       GIR_EraseRootFromParent_Done,
     /*  156969 */     // Label 2871: @156969
     /*  156969 */     GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(156993), // Rule ID 2271 //
     /*  156974 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  156977 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156981 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156981 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  156984 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156986 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156988 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156991 */       GIR_RootConstrainSelectedInstOperands,
     /*  156992 */       // GIR_Coverage, 2271,
     /*  156992 */       GIR_EraseRootFromParent_Done,
     /*  156993 */     // Label 2872: @156993
     /*  156993 */     GIM_Reject,
     /*  156994 */   // Label 2870: @156994
     /*  156994 */   GIM_Reject,
     /*  156995 */   // Label 2867: @156995
     /*  156995 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(157053),
     /*  157000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157004 */     GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(157028), // Rule ID 1511 //
     /*  157009 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157012 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157016 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157016 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157019 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157021 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157023 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157026 */       GIR_RootConstrainSelectedInstOperands,
     /*  157027 */       // GIR_Coverage, 1511,
     /*  157027 */       GIR_EraseRootFromParent_Done,
     /*  157028 */     // Label 2874: @157028
     /*  157028 */     GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(157052), // Rule ID 1539 //
     /*  157033 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157036 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157040 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157045 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157047 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157050 */       GIR_RootConstrainSelectedInstOperands,
     /*  157051 */       // GIR_Coverage, 1539,
     /*  157051 */       GIR_EraseRootFromParent_Done,
     /*  157052 */     // Label 2875: @157052
     /*  157052 */     GIM_Reject,
     /*  157053 */   // Label 2873: @157053
     /*  157053 */   GIM_Reject,
     /*  157054 */   // Label 2868: @157054
     /*  157054 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(157112),
     /*  157059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157063 */     GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(157087), // Rule ID 1909 //
     /*  157068 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157071 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157075 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157075 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157078 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157080 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157082 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157085 */       GIR_RootConstrainSelectedInstOperands,
     /*  157086 */       // GIR_Coverage, 1909,
     /*  157086 */       GIR_EraseRootFromParent_Done,
     /*  157087 */     // Label 2877: @157087
     /*  157087 */     GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(157111), // Rule ID 1937 //
     /*  157092 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157095 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157099 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157099 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157102 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157104 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157106 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157109 */       GIR_RootConstrainSelectedInstOperands,
     /*  157110 */       // GIR_Coverage, 1937,
     /*  157110 */       GIR_EraseRootFromParent_Done,
     /*  157111 */     // Label 2878: @157111
     /*  157111 */     GIM_Reject,
     /*  157112 */   // Label 2876: @157112
     /*  157112 */   GIM_Reject,
     /*  157113 */   // Label 2869: @157113
     /*  157113 */   GIM_Reject,
     /*  157114 */ // Label 2865: @157114
     /*  157114 */ GIM_Reject,
     /*  157115 */ // Label 18: @157115
     /*  157115 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2882*/ GIMT_Encode4(157312),
     /*  157126 */ /*GILLT_s16*//*Label 2879*/ GIMT_Encode4(157138),
     /*  157130 */ /*GILLT_s32*//*Label 2880*/ GIMT_Encode4(157196),
     /*  157134 */ /*GILLT_s64*//*Label 2881*/ GIMT_Encode4(157254),
     /*  157138 */ // Label 2879: @157138
     /*  157138 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(157195),
     /*  157143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157154 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(157174), // Rule ID 2414 //
     /*  157159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  157162 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  157162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157172 */     GIR_RootConstrainSelectedInstOperands,
     /*  157173 */     // GIR_Coverage, 2414,
     /*  157173 */     GIR_EraseRootFromParent_Done,
     /*  157174 */   // Label 2884: @157174
     /*  157174 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(157194), // Rule ID 2415 //
     /*  157179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  157182 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  157182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157192 */     GIR_RootConstrainSelectedInstOperands,
     /*  157193 */     // GIR_Coverage, 2415,
     /*  157193 */     GIR_EraseRootFromParent_Done,
     /*  157194 */   // Label 2885: @157194
     /*  157194 */   GIM_Reject,
     /*  157195 */ // Label 2883: @157195
     /*  157195 */ GIM_Reject,
     /*  157196 */ // Label 2880: @157196
     /*  157196 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(157253),
     /*  157201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157212 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(157232), // Rule ID 2332 //
     /*  157217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  157220 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  157220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157230 */     GIR_RootConstrainSelectedInstOperands,
     /*  157231 */     // GIR_Coverage, 2332,
     /*  157231 */     GIR_EraseRootFromParent_Done,
     /*  157232 */   // Label 2887: @157232
     /*  157232 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(157252), // Rule ID 2333 //
     /*  157237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  157240 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  157240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157250 */     GIR_RootConstrainSelectedInstOperands,
     /*  157251 */     // GIR_Coverage, 2333,
     /*  157251 */     GIR_EraseRootFromParent_Done,
     /*  157252 */   // Label 2888: @157252
     /*  157252 */   GIM_Reject,
     /*  157253 */ // Label 2886: @157253
     /*  157253 */ GIM_Reject,
     /*  157254 */ // Label 2881: @157254
     /*  157254 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(157311),
     /*  157259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157270 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(157290), // Rule ID 2372 //
     /*  157275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  157278 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  157278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157288 */     GIR_RootConstrainSelectedInstOperands,
     /*  157289 */     // GIR_Coverage, 2372,
     /*  157289 */     GIR_EraseRootFromParent_Done,
     /*  157290 */   // Label 2890: @157290
     /*  157290 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(157310), // Rule ID 2373 //
     /*  157295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  157298 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  157298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157308 */     GIR_RootConstrainSelectedInstOperands,
     /*  157309 */     // GIR_Coverage, 2373,
     /*  157309 */     GIR_EraseRootFromParent_Done,
     /*  157310 */   // Label 2891: @157310
     /*  157310 */   GIM_Reject,
     /*  157311 */ // Label 2889: @157311
     /*  157311 */ GIM_Reject,
     /*  157312 */ // Label 2882: @157312
     /*  157312 */ GIM_Reject,
     /*  157313 */ // Label 19: @157313
     /*  157313 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(157351), // Rule ID 281 //
     /*  157318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157321 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157328 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  157328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157333 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  157343 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157349 */   GIR_RootConstrainSelectedInstOperands,
     /*  157350 */   // GIR_Coverage, 281,
     /*  157350 */   GIR_EraseRootFromParent_Done,
     /*  157351 */ // Label 2892: @157351
     /*  157351 */ GIM_Reject,
     /*  157352 */ // Label 20: @157352
     /*  157352 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(157390), // Rule ID 282 //
     /*  157357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157360 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157367 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  157367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157372 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  157382 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157388 */   GIR_RootConstrainSelectedInstOperands,
     /*  157389 */   // GIR_Coverage, 282,
     /*  157389 */   GIR_EraseRootFromParent_Done,
     /*  157390 */ // Label 2893: @157390
     /*  157390 */ GIM_Reject,
     /*  157391 */ // Label 21: @157391
     /*  157391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2928*/ GIMT_Encode4(167672),
     /*  157402 */ /*GILLT_p0s32*//*Label 2894*/ GIMT_Encode4(157538),
     /*  157406 */ /*GILLT_p0s64*//*Label 2895*/ GIMT_Encode4(157632),
     /*  157410 */ /*GILLT_s16*//*Label 2896*/ GIMT_Encode4(157726),
     /*  157414 */ /*GILLT_s32*//*Label 2897*/ GIMT_Encode4(158381),
     /*  157418 */ /*GILLT_s64*//*Label 2898*/ GIMT_Encode4(161140),
     /*  157422 */ /*GILLT_nxv1s1*//*Label 2899*/ GIMT_Encode4(162366),
     /*  157426 */ /*GILLT_nxv1s8*//*Label 2900*/ GIMT_Encode4(162486),
     /*  157430 */ /*GILLT_nxv1s16*//*Label 2901*/ GIMT_Encode4(162614),
     /*  157434 */ /*GILLT_nxv1s32*//*Label 2902*/ GIMT_Encode4(162852),
     /*  157438 */ /*GILLT_nxv1s64*//*Label 2903*/ GIMT_Encode4(163090),
     /*  157442 */ /*GILLT_nxv2s1*//*Label 2904*/ GIMT_Encode4(163328),
     /*  157446 */ /*GILLT_nxv2s8*//*Label 2905*/ GIMT_Encode4(163448),
     /*  157450 */ /*GILLT_nxv2s16*//*Label 2906*/ GIMT_Encode4(163576),
     /*  157454 */ /*GILLT_nxv2s32*//*Label 2907*/ GIMT_Encode4(163814),
     /*  157458 */ /*GILLT_nxv2s64*//*Label 2908*/ GIMT_Encode4(164052),
     /*  157462 */ /*GILLT_nxv4s1*//*Label 2909*/ GIMT_Encode4(164290),
     /*  157466 */ /*GILLT_nxv4s8*//*Label 2910*/ GIMT_Encode4(164410),
     /*  157470 */ /*GILLT_nxv4s16*//*Label 2911*/ GIMT_Encode4(164538),
     /*  157474 */ /*GILLT_nxv4s32*//*Label 2912*/ GIMT_Encode4(164776),
     /*  157478 */ /*GILLT_nxv4s64*//*Label 2913*/ GIMT_Encode4(165014),
     /*  157482 */ /*GILLT_nxv8s1*//*Label 2914*/ GIMT_Encode4(165252),
     /*  157486 */ /*GILLT_nxv8s8*//*Label 2915*/ GIMT_Encode4(165372),
     /*  157490 */ /*GILLT_nxv8s16*//*Label 2916*/ GIMT_Encode4(165500),
     /*  157494 */ /*GILLT_nxv8s32*//*Label 2917*/ GIMT_Encode4(165738),
     /*  157498 */ /*GILLT_nxv8s64*//*Label 2918*/ GIMT_Encode4(165976),
     /*  157502 */ /*GILLT_nxv16s1*//*Label 2919*/ GIMT_Encode4(166214),
     /*  157506 */ /*GILLT_nxv16s8*//*Label 2920*/ GIMT_Encode4(166334),
     /*  157510 */ /*GILLT_nxv16s16*//*Label 2921*/ GIMT_Encode4(166462),
     /*  157514 */ /*GILLT_nxv16s32*//*Label 2922*/ GIMT_Encode4(166700),
     /*  157518 */ /*GILLT_nxv32s1*//*Label 2923*/ GIMT_Encode4(166938),
     /*  157522 */ /*GILLT_nxv32s8*//*Label 2924*/ GIMT_Encode4(167058),
     /*  157526 */ /*GILLT_nxv32s16*//*Label 2925*/ GIMT_Encode4(167186),
     /*  157530 */ /*GILLT_nxv64s1*//*Label 2926*/ GIMT_Encode4(167424),
     /*  157534 */ /*GILLT_nxv64s8*//*Label 2927*/ GIMT_Encode4(167544),
     /*  157538 */ // Label 2894: @157538
     /*  157538 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157631),
     /*  157543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157554 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157558 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157594), // Rule ID 65186 //
     /*  157563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  157566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157573 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157592 */     GIR_RootConstrainSelectedInstOperands,
     /*  157593 */     // GIR_Coverage, 65186,
     /*  157593 */     GIR_EraseRootFromParent_Done,
     /*  157594 */   // Label 2930: @157594
     /*  157594 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157630), // Rule ID 65190 //
     /*  157599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  157602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157609 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157628 */     GIR_RootConstrainSelectedInstOperands,
     /*  157629 */     // GIR_Coverage, 65190,
     /*  157629 */     GIR_EraseRootFromParent_Done,
     /*  157630 */   // Label 2931: @157630
     /*  157630 */   GIM_Reject,
     /*  157631 */ // Label 2929: @157631
     /*  157631 */ GIM_Reject,
     /*  157632 */ // Label 2895: @157632
     /*  157632 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157725),
     /*  157637 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157640 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157648 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157652 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157688), // Rule ID 65185 //
     /*  157657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  157660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157667 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157686 */     GIR_RootConstrainSelectedInstOperands,
     /*  157687 */     // GIR_Coverage, 65185,
     /*  157687 */     GIR_EraseRootFromParent_Done,
     /*  157688 */   // Label 2933: @157688
     /*  157688 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157724), // Rule ID 65189 //
     /*  157693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157703 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157722 */     GIR_RootConstrainSelectedInstOperands,
     /*  157723 */     // GIR_Coverage, 65189,
     /*  157723 */     GIR_EraseRootFromParent_Done,
     /*  157724 */   // Label 2934: @157724
     /*  157724 */   GIM_Reject,
     /*  157725 */ // Label 2932: @157725
     /*  157725 */ GIM_Reject,
     /*  157726 */ // Label 2896: @157726
     /*  157726 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157777), // Rule ID 2140 //
     /*  157731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  157734 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157737 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157749 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157756 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  157759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157771 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157775 */   GIR_RootConstrainSelectedInstOperands,
     /*  157776 */   // GIR_Coverage, 2140,
     /*  157776 */   GIR_EraseRootFromParent_Done,
     /*  157777 */ // Label 2935: @157777
     /*  157777 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157828), // Rule ID 2141 //
     /*  157782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  157785 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157788 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157796 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157800 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157807 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  157810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157826 */   GIR_RootConstrainSelectedInstOperands,
     /*  157827 */   // GIR_Coverage, 2141,
     /*  157827 */   GIR_EraseRootFromParent_Done,
     /*  157828 */ // Label 2936: @157828
     /*  157828 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157879), // Rule ID 2146 //
     /*  157833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  157836 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157839 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157847 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157851 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157858 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  157861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157873 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157877 */   GIR_RootConstrainSelectedInstOperands,
     /*  157878 */   // GIR_Coverage, 2146,
     /*  157878 */   GIR_EraseRootFromParent_Done,
     /*  157879 */ // Label 2937: @157879
     /*  157879 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157930), // Rule ID 2147 //
     /*  157884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  157887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157890 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157898 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157902 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157909 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  157912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157924 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157928 */   GIR_RootConstrainSelectedInstOperands,
     /*  157929 */   // GIR_Coverage, 2147,
     /*  157929 */   GIR_EraseRootFromParent_Done,
     /*  157930 */ // Label 2938: @157930
     /*  157930 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157981), // Rule ID 65193 //
     /*  157935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157938 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157941 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157949 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157953 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157960 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157975 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157979 */   GIR_RootConstrainSelectedInstOperands,
     /*  157980 */   // GIR_Coverage, 65193,
     /*  157980 */   GIR_EraseRootFromParent_Done,
     /*  157981 */ // Label 2939: @157981
     /*  157981 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(158032), // Rule ID 65194 //
     /*  157986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  157989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157992 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158000 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158004 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158011 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158016 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158030 */   GIR_RootConstrainSelectedInstOperands,
     /*  158031 */   // GIR_Coverage, 65194,
     /*  158031 */   GIR_EraseRootFromParent_Done,
     /*  158032 */ // Label 2940: @158032
     /*  158032 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(158090), // Rule ID 65197 //
     /*  158037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158043 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158047 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158069 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158088 */   GIR_RootConstrainSelectedInstOperands,
     /*  158089 */   // GIR_Coverage, 65197,
     /*  158089 */   GIR_EraseRootFromParent_Done,
     /*  158090 */ // Label 2941: @158090
     /*  158090 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(158148), // Rule ID 65198 //
     /*  158095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158101 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158105 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158120 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158127 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158142 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158146 */   GIR_RootConstrainSelectedInstOperands,
     /*  158147 */   // GIR_Coverage, 65198,
     /*  158147 */   GIR_EraseRootFromParent_Done,
     /*  158148 */ // Label 2942: @158148
     /*  158148 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(158206), // Rule ID 65201 //
     /*  158153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158156 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158159 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158163 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158185 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158200 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158204 */   GIR_RootConstrainSelectedInstOperands,
     /*  158205 */   // GIR_Coverage, 65201,
     /*  158205 */   GIR_EraseRootFromParent_Done,
     /*  158206 */ // Label 2943: @158206
     /*  158206 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(158264), // Rule ID 65202 //
     /*  158211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158214 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158217 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158243 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158262 */   GIR_RootConstrainSelectedInstOperands,
     /*  158263 */   // GIR_Coverage, 65202,
     /*  158263 */   GIR_EraseRootFromParent_Done,
     /*  158264 */ // Label 2944: @158264
     /*  158264 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(158322), // Rule ID 65203 //
     /*  158269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158272 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158275 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158279 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158290 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158301 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158320 */   GIR_RootConstrainSelectedInstOperands,
     /*  158321 */   // GIR_Coverage, 65203,
     /*  158321 */   GIR_EraseRootFromParent_Done,
     /*  158322 */ // Label 2945: @158322
     /*  158322 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(158380), // Rule ID 65204 //
     /*  158327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158333 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158337 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158359 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158378 */   GIR_RootConstrainSelectedInstOperands,
     /*  158379 */   // GIR_Coverage, 65204,
     /*  158379 */   GIR_EraseRootFromParent_Done,
     /*  158380 */ // Label 2946: @158380
     /*  158380 */ GIM_Reject,
     /*  158381 */ // Label 2897: @158381
     /*  158381 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158492), // Rule ID 74209 //
     /*  158386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158389 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158392 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158396 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158407 */   // MIs[0] Operand 1
     /*  158407 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158419 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158423 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158427 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158431 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158435 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158439 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158443 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158448 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158452 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158456 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158460 */   // MIs[3] Operand 1
     /*  158460 */   // No operand predicates
     /*  158460 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158465 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158467 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  158470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158472 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158476 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158480 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158483 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158490 */   GIR_RootConstrainSelectedInstOperands,
     /*  158491 */   // GIR_Coverage, 74209,
     /*  158491 */   GIR_EraseRootFromParent_Done,
     /*  158492 */ // Label 2947: @158492
     /*  158492 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158603), // Rule ID 74210 //
     /*  158497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158503 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158507 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158518 */   // MIs[0] Operand 1
     /*  158518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158522 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158526 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158530 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158534 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158538 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158542 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158546 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158550 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158554 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158559 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158563 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158567 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158571 */   // MIs[3] Operand 1
     /*  158571 */   // No operand predicates
     /*  158571 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158576 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158578 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  158578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  158581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158583 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158587 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158591 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158594 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158601 */   GIR_RootConstrainSelectedInstOperands,
     /*  158602 */   // GIR_Coverage, 74210,
     /*  158602 */   GIR_EraseRootFromParent_Done,
     /*  158603 */ // Label 2948: @158603
     /*  158603 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158714), // Rule ID 74213 //
     /*  158608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158611 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158614 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158618 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158629 */   // MIs[0] Operand 1
     /*  158629 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158633 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158637 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158641 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158645 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158649 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158653 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158657 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158661 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158665 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158670 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158674 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158678 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158682 */   // MIs[3] Operand 1
     /*  158682 */   // No operand predicates
     /*  158682 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158687 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158689 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  158692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158694 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158698 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158702 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158705 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158712 */   GIR_RootConstrainSelectedInstOperands,
     /*  158713 */   // GIR_Coverage, 74213,
     /*  158713 */   GIR_EraseRootFromParent_Done,
     /*  158714 */ // Label 2949: @158714
     /*  158714 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158825), // Rule ID 74214 //
     /*  158719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158722 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158725 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158740 */   // MIs[0] Operand 1
     /*  158740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158744 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158748 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158752 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158756 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158760 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158764 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158768 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158772 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158776 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158781 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158785 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158789 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158793 */   // MIs[3] Operand 1
     /*  158793 */   // No operand predicates
     /*  158793 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158798 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158800 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  158800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  158803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158805 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158809 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158813 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158823 */   GIR_RootConstrainSelectedInstOperands,
     /*  158824 */   // GIR_Coverage, 74214,
     /*  158824 */   GIR_EraseRootFromParent_Done,
     /*  158825 */ // Label 2950: @158825
     /*  158825 */ GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158929), // Rule ID 74215 //
     /*  158830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158836 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158844 */   // MIs[0] Operand 1
     /*  158844 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158856 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158860 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158864 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158868 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158872 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158876 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158880 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158885 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158889 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158893 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158897 */   // MIs[3] Operand 1
     /*  158897 */   // No operand predicates
     /*  158897 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158902 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158904 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  158907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158909 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158913 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158917 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158927 */   GIR_RootConstrainSelectedInstOperands,
     /*  158928 */   // GIR_Coverage, 74215,
     /*  158928 */   GIR_EraseRootFromParent_Done,
     /*  158929 */ // Label 2951: @158929
     /*  158929 */ GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(159033), // Rule ID 74216 //
     /*  158934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158948 */   // MIs[0] Operand 1
     /*  158948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158952 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158956 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158960 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158964 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158968 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158972 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158976 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158980 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158984 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158989 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158993 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158997 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159001 */   // MIs[3] Operand 1
     /*  159001 */   // No operand predicates
     /*  159001 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159006 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159008 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159013 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159017 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159021 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159031 */   GIR_RootConstrainSelectedInstOperands,
     /*  159032 */   // GIR_Coverage, 74216,
     /*  159032 */   GIR_EraseRootFromParent_Done,
     /*  159033 */ // Label 2952: @159033
     /*  159033 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(159144), // Rule ID 64546 //
     /*  159038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159044 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159048 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159059 */   // MIs[0] Operand 1
     /*  159059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159063 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159067 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159071 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159075 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159079 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159084 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159088 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159092 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159096 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159100 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159105 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159109 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159113 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159117 */   // MIs[3] Operand 1
     /*  159117 */   // No operand predicates
     /*  159117 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159119 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159124 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159128 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159132 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159135 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159142 */   GIR_RootConstrainSelectedInstOperands,
     /*  159143 */   // GIR_Coverage, 64546,
     /*  159143 */   GIR_EraseRootFromParent_Done,
     /*  159144 */ // Label 2953: @159144
     /*  159144 */ GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(159255), // Rule ID 64547 //
     /*  159149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159152 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159155 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159159 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159170 */   // MIs[0] Operand 1
     /*  159170 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159174 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159178 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159182 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159186 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159190 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159195 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159199 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159203 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159207 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159211 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159216 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159220 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159224 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159228 */   // MIs[3] Operand 1
     /*  159228 */   // No operand predicates
     /*  159228 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159230 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159235 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159239 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159243 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159246 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159253 */   GIR_RootConstrainSelectedInstOperands,
     /*  159254 */   // GIR_Coverage, 64547,
     /*  159254 */   GIR_EraseRootFromParent_Done,
     /*  159255 */ // Label 2954: @159255
     /*  159255 */ GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(159366), // Rule ID 64550 //
     /*  159260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159266 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159270 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159281 */   // MIs[0] Operand 1
     /*  159281 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159285 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159289 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159293 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159297 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159301 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159306 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159310 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159314 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159318 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159322 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159327 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159331 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159335 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159339 */   // MIs[3] Operand 1
     /*  159339 */   // No operand predicates
     /*  159339 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159341 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159346 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159350 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159354 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159357 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159364 */   GIR_RootConstrainSelectedInstOperands,
     /*  159365 */   // GIR_Coverage, 64550,
     /*  159365 */   GIR_EraseRootFromParent_Done,
     /*  159366 */ // Label 2955: @159366
     /*  159366 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(159477), // Rule ID 64551 //
     /*  159371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159374 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159377 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159381 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159392 */   // MIs[0] Operand 1
     /*  159392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159396 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159400 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159404 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159408 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159412 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159417 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159421 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159425 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159429 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159433 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159438 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159442 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159446 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159450 */   // MIs[3] Operand 1
     /*  159450 */   // No operand predicates
     /*  159450 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159452 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159457 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159461 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159465 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159468 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159475 */   GIR_RootConstrainSelectedInstOperands,
     /*  159476 */   // GIR_Coverage, 64551,
     /*  159476 */   GIR_EraseRootFromParent_Done,
     /*  159477 */ // Label 2956: @159477
     /*  159477 */ GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(159581), // Rule ID 64552 //
     /*  159482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159496 */   // MIs[0] Operand 1
     /*  159496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159500 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159508 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159512 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159516 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159521 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159525 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159529 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159533 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159537 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159542 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159546 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159550 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159554 */   // MIs[3] Operand 1
     /*  159554 */   // No operand predicates
     /*  159554 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159556 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159561 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159565 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159569 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159579 */   GIR_RootConstrainSelectedInstOperands,
     /*  159580 */   // GIR_Coverage, 64552,
     /*  159580 */   GIR_EraseRootFromParent_Done,
     /*  159581 */ // Label 2957: @159581
     /*  159581 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(159685), // Rule ID 64553 //
     /*  159586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159589 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159592 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159600 */   // MIs[0] Operand 1
     /*  159600 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159604 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159608 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159612 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159616 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159620 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159625 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159629 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159633 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159637 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159641 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159646 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159650 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159654 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159658 */   // MIs[3] Operand 1
     /*  159658 */   // No operand predicates
     /*  159658 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159660 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159665 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159669 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159673 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159683 */   GIR_RootConstrainSelectedInstOperands,
     /*  159684 */   // GIR_Coverage, 64553,
     /*  159684 */   GIR_EraseRootFromParent_Done,
     /*  159685 */ // Label 2958: @159685
     /*  159685 */ GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(159743), // Rule ID 227 //
     /*  159690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159693 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159696 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159700 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159711 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159715 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159722 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  159725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159727 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159741 */   GIR_RootConstrainSelectedInstOperands,
     /*  159742 */   // GIR_Coverage, 227,
     /*  159742 */   GIR_EraseRootFromParent_Done,
     /*  159743 */ // Label 2959: @159743
     /*  159743 */ GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(159801), // Rule ID 231 //
     /*  159748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159780 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  159783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159785 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159799 */   GIR_RootConstrainSelectedInstOperands,
     /*  159800 */   // GIR_Coverage, 231,
     /*  159800 */   GIR_EraseRootFromParent_Done,
     /*  159801 */ // Label 2960: @159801
     /*  159801 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(159852), // Rule ID 232 //
     /*  159806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  159809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159831 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159850 */   GIR_RootConstrainSelectedInstOperands,
     /*  159851 */   // GIR_Coverage, 232,
     /*  159851 */   GIR_EraseRootFromParent_Done,
     /*  159852 */ // Label 2961: @159852
     /*  159852 */ GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(159903), // Rule ID 233 //
     /*  159857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159860 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159863 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159871 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159882 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159901 */   GIR_RootConstrainSelectedInstOperands,
     /*  159902 */   // GIR_Coverage, 233,
     /*  159902 */   GIR_EraseRootFromParent_Done,
     /*  159903 */ // Label 2962: @159903
     /*  159903 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(159964), // Rule ID 316 //
     /*  159908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159911 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159914 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159918 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159925 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159936 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159943 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_9985>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  159946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159953 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159958 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159962 */   GIR_RootConstrainSelectedInstOperands,
     /*  159963 */   // GIR_Coverage, 316,
     /*  159963 */   GIR_EraseRootFromParent_Done,
     /*  159964 */ // Label 2963: @159964
     /*  159964 */ GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(160025), // Rule ID 320 //
     /*  159969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159972 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159986 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159993 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159997 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160004 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_9987>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160023 */   GIR_RootConstrainSelectedInstOperands,
     /*  160024 */   // GIR_Coverage, 320,
     /*  160024 */   GIR_EraseRootFromParent_Done,
     /*  160025 */ // Label 2964: @160025
     /*  160025 */ GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(160086), // Rule ID 334 //
     /*  160030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  160033 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160036 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160040 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160047 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160065 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_9999>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160084 */   GIR_RootConstrainSelectedInstOperands,
     /*  160085 */   // GIR_Coverage, 334,
     /*  160085 */   GIR_EraseRootFromParent_Done,
     /*  160086 */ // Label 2965: @160086
     /*  160086 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(160147), // Rule ID 336 //
     /*  160091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160094 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160097 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160101 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160108 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160115 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160119 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160126 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10001>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160141 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160145 */   GIR_RootConstrainSelectedInstOperands,
     /*  160146 */   // GIR_Coverage, 336,
     /*  160146 */   GIR_EraseRootFromParent_Done,
     /*  160147 */ // Label 2966: @160147
     /*  160147 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(160198), // Rule ID 1427 //
     /*  160152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  160155 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160177 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160192 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160196 */   GIR_RootConstrainSelectedInstOperands,
     /*  160197 */   // GIR_Coverage, 1427,
     /*  160197 */   GIR_EraseRootFromParent_Done,
     /*  160198 */ // Label 2967: @160198
     /*  160198 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(160249), // Rule ID 1428 //
     /*  160203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  160206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160209 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160217 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160221 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160228 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160238 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160243 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160247 */   GIR_RootConstrainSelectedInstOperands,
     /*  160248 */   // GIR_Coverage, 1428,
     /*  160248 */   GIR_EraseRootFromParent_Done,
     /*  160249 */ // Label 2968: @160249
     /*  160249 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(160300), // Rule ID 1433 //
     /*  160254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  160257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160272 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160279 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160298 */   GIR_RootConstrainSelectedInstOperands,
     /*  160299 */   // GIR_Coverage, 1433,
     /*  160299 */   GIR_EraseRootFromParent_Done,
     /*  160300 */ // Label 2969: @160300
     /*  160300 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(160351), // Rule ID 1434 //
     /*  160305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  160308 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160323 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160330 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160349 */   GIR_RootConstrainSelectedInstOperands,
     /*  160350 */   // GIR_Coverage, 1434,
     /*  160350 */   GIR_EraseRootFromParent_Done,
     /*  160351 */ // Label 2970: @160351
     /*  160351 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(160409), // Rule ID 65209 //
     /*  160356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  160359 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160362 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160366 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160388 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160403 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160407 */   GIR_RootConstrainSelectedInstOperands,
     /*  160408 */   // GIR_Coverage, 65209,
     /*  160408 */   GIR_EraseRootFromParent_Done,
     /*  160409 */ // Label 2971: @160409
     /*  160409 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(160467), // Rule ID 65210 //
     /*  160414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160417 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160420 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160424 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160435 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160439 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160446 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160465 */   GIR_RootConstrainSelectedInstOperands,
     /*  160466 */   // GIR_Coverage, 65210,
     /*  160466 */   GIR_EraseRootFromParent_Done,
     /*  160467 */ // Label 2972: @160467
     /*  160467 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(160525), // Rule ID 65213 //
     /*  160472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160475 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160478 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160482 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160493 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160497 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160504 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160523 */   GIR_RootConstrainSelectedInstOperands,
     /*  160524 */   // GIR_Coverage, 65213,
     /*  160524 */   GIR_EraseRootFromParent_Done,
     /*  160525 */ // Label 2973: @160525
     /*  160525 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(160583), // Rule ID 65214 //
     /*  160530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  160533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160536 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160540 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160551 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160555 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160562 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160577 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160581 */   GIR_RootConstrainSelectedInstOperands,
     /*  160582 */   // GIR_Coverage, 65214,
     /*  160582 */   GIR_EraseRootFromParent_Done,
     /*  160583 */ // Label 2974: @160583
     /*  160583 */ GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(160641), // Rule ID 65215 //
     /*  160588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160594 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160598 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160609 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160613 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160620 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160635 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160639 */   GIR_RootConstrainSelectedInstOperands,
     /*  160640 */   // GIR_Coverage, 65215,
     /*  160640 */   GIR_EraseRootFromParent_Done,
     /*  160641 */ // Label 2975: @160641
     /*  160641 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(160699), // Rule ID 65216 //
     /*  160646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  160649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160652 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160678 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160693 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160697 */   GIR_RootConstrainSelectedInstOperands,
     /*  160698 */   // GIR_Coverage, 65216,
     /*  160698 */   GIR_EraseRootFromParent_Done,
     /*  160699 */ // Label 2976: @160699
     /*  160699 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(160743), // Rule ID 1092 //
     /*  160704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160707 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160710 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160714 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160728 */   // MIs[0] rs1
     /*  160728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160736 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10489>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160736 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160741 */   GIR_RootConstrainSelectedInstOperands,
     /*  160742 */   // GIR_Coverage, 1092,
     /*  160742 */   GIR_Done,
     /*  160743 */ // Label 2977: @160743
     /*  160743 */ GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(160787), // Rule ID 1096 //
     /*  160748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160751 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160772 */   // MIs[0] rs1
     /*  160772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160780 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10491>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160780 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160785 */   GIR_RootConstrainSelectedInstOperands,
     /*  160786 */   // GIR_Coverage, 1096,
     /*  160786 */   GIR_Done,
     /*  160787 */ // Label 2978: @160787
     /*  160787 */ GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(160831), // Rule ID 1100 //
     /*  160792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160795 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160798 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160802 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160816 */   // MIs[0] rs1
     /*  160816 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160824 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10493>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160824 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160829 */   GIR_RootConstrainSelectedInstOperands,
     /*  160830 */   // GIR_Coverage, 1100,
     /*  160830 */   GIR_Done,
     /*  160831 */ // Label 2979: @160831
     /*  160831 */ GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(160875), // Rule ID 1104 //
     /*  160836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160839 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160842 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160846 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160853 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160860 */   // MIs[0] rs1
     /*  160860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160868 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10495>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160873 */   GIR_RootConstrainSelectedInstOperands,
     /*  160874 */   // GIR_Coverage, 1104,
     /*  160874 */   GIR_Done,
     /*  160875 */ // Label 2980: @160875
     /*  160875 */ GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(160919), // Rule ID 1120 //
     /*  160880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160883 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160890 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160897 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160904 */   // MIs[0] rs1
     /*  160904 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160912 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10509>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160917 */   GIR_RootConstrainSelectedInstOperands,
     /*  160918 */   // GIR_Coverage, 1120,
     /*  160918 */   GIR_Done,
     /*  160919 */ // Label 2981: @160919
     /*  160919 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(160963), // Rule ID 1122 //
     /*  160924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160927 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160930 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160934 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160941 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160948 */   // MIs[0] rs1
     /*  160948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160956 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10511>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160956 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160961 */   GIR_RootConstrainSelectedInstOperands,
     /*  160962 */   // GIR_Coverage, 1122,
     /*  160962 */   GIR_Done,
     /*  160963 */ // Label 2982: @160963
     /*  160963 */ GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(161007), // Rule ID 1124 //
     /*  160968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160971 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160974 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160978 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160985 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160992 */   // MIs[0] rs1
     /*  160992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161000 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10513>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161005 */   GIR_RootConstrainSelectedInstOperands,
     /*  161006 */   // GIR_Coverage, 1124,
     /*  161006 */   GIR_Done,
     /*  161007 */ // Label 2983: @161007
     /*  161007 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(161051), // Rule ID 1128 //
     /*  161012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161015 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161018 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161022 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161029 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161036 */   // MIs[0] rs1
     /*  161036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161044 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10515>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161049 */   GIR_RootConstrainSelectedInstOperands,
     /*  161050 */   // GIR_Coverage, 1128,
     /*  161050 */   GIR_Done,
     /*  161051 */ // Label 2984: @161051
     /*  161051 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(161095), // Rule ID 1132 //
     /*  161056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161059 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161062 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161066 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161073 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161080 */   // MIs[0] rs1
     /*  161080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161088 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10517>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161093 */   GIR_RootConstrainSelectedInstOperands,
     /*  161094 */   // GIR_Coverage, 1132,
     /*  161094 */   GIR_Done,
     /*  161095 */ // Label 2985: @161095
     /*  161095 */ GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(161139), // Rule ID 1134 //
     /*  161100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161103 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161106 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161110 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161124 */   // MIs[0] rs1
     /*  161124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161132 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10519>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161137 */   GIR_RootConstrainSelectedInstOperands,
     /*  161138 */   // GIR_Coverage, 1134,
     /*  161138 */   GIR_Done,
     /*  161139 */ // Label 2986: @161139
     /*  161139 */ GIM_Reject,
     /*  161140 */ // Label 2898: @161140
     /*  161140 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(161198), // Rule ID 226 //
     /*  161145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161148 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161151 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161155 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161177 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161192 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161196 */   GIR_RootConstrainSelectedInstOperands,
     /*  161197 */   // GIR_Coverage, 226,
     /*  161197 */   GIR_EraseRootFromParent_Done,
     /*  161198 */ // Label 2987: @161198
     /*  161198 */ GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(161256), // Rule ID 230 //
     /*  161203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161209 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161228 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161235 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161240 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161250 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161254 */   GIR_RootConstrainSelectedInstOperands,
     /*  161255 */   // GIR_Coverage, 230,
     /*  161255 */   GIR_EraseRootFromParent_Done,
     /*  161256 */ // Label 2988: @161256
     /*  161256 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(161314), // Rule ID 276 //
     /*  161261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161264 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161267 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161293 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161312 */   GIR_RootConstrainSelectedInstOperands,
     /*  161313 */   // GIR_Coverage, 276,
     /*  161313 */   GIR_EraseRootFromParent_Done,
     /*  161314 */ // Label 2989: @161314
     /*  161314 */ GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(161365), // Rule ID 278 //
     /*  161319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161333 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161337 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161344 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161363 */   GIR_RootConstrainSelectedInstOperands,
     /*  161364 */   // GIR_Coverage, 278,
     /*  161364 */   GIR_EraseRootFromParent_Done,
     /*  161365 */ // Label 2990: @161365
     /*  161365 */ GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(161426), // Rule ID 315 //
     /*  161370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161373 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161376 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161387 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161394 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161398 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161405 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_9985>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  161408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161424 */   GIR_RootConstrainSelectedInstOperands,
     /*  161425 */   // GIR_Coverage, 315,
     /*  161425 */   GIR_EraseRootFromParent_Done,
     /*  161426 */ // Label 2991: @161426
     /*  161426 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(161487), // Rule ID 319 //
     /*  161431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161434 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161437 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161441 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161448 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161455 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161459 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161466 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_9987>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161481 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161485 */   GIR_RootConstrainSelectedInstOperands,
     /*  161486 */   // GIR_Coverage, 319,
     /*  161486 */   GIR_EraseRootFromParent_Done,
     /*  161487 */ // Label 2992: @161487
     /*  161487 */ GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(161548), // Rule ID 333 //
     /*  161492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  161495 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161498 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161502 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161509 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161516 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161520 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161527 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_9999>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161546 */   GIR_RootConstrainSelectedInstOperands,
     /*  161547 */   // GIR_Coverage, 333,
     /*  161547 */   GIR_EraseRootFromParent_Done,
     /*  161548 */ // Label 2993: @161548
     /*  161548 */ GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(161609), // Rule ID 335 //
     /*  161553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  161556 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161559 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161563 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161570 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161577 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161581 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161588 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10001>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161607 */   GIR_RootConstrainSelectedInstOperands,
     /*  161608 */   // GIR_Coverage, 335,
     /*  161608 */   GIR_EraseRootFromParent_Done,
     /*  161609 */ // Label 2994: @161609
     /*  161609 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(161670), // Rule ID 341 //
     /*  161614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  161617 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161624 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161631 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161649 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10005>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161668 */   GIR_RootConstrainSelectedInstOperands,
     /*  161669 */   // GIR_Coverage, 341,
     /*  161669 */   GIR_EraseRootFromParent_Done,
     /*  161670 */ // Label 2995: @161670
     /*  161670 */ GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(161721), // Rule ID 1825 //
     /*  161675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  161678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161700 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161719 */   GIR_RootConstrainSelectedInstOperands,
     /*  161720 */   // GIR_Coverage, 1825,
     /*  161720 */   GIR_EraseRootFromParent_Done,
     /*  161721 */ // Label 2996: @161721
     /*  161721 */ GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(161772), // Rule ID 1826 //
     /*  161726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  161729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161751 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161770 */   GIR_RootConstrainSelectedInstOperands,
     /*  161771 */   // GIR_Coverage, 1826,
     /*  161771 */   GIR_EraseRootFromParent_Done,
     /*  161772 */ // Label 2997: @161772
     /*  161772 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(161823), // Rule ID 1830 //
     /*  161777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  161780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161802 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161821 */   GIR_RootConstrainSelectedInstOperands,
     /*  161822 */   // GIR_Coverage, 1830,
     /*  161822 */   GIR_EraseRootFromParent_Done,
     /*  161823 */ // Label 2998: @161823
     /*  161823 */ GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(161874), // Rule ID 1834 //
     /*  161828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  161831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  161842 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161853 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  161856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161872 */   GIR_RootConstrainSelectedInstOperands,
     /*  161873 */   // GIR_Coverage, 1834,
     /*  161873 */   GIR_EraseRootFromParent_Done,
     /*  161874 */ // Label 2999: @161874
     /*  161874 */ GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(161925), // Rule ID 1835 //
     /*  161879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  161882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  161893 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161897 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161904 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  161907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161919 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161923 */   GIR_RootConstrainSelectedInstOperands,
     /*  161924 */   // GIR_Coverage, 1835,
     /*  161924 */   GIR_EraseRootFromParent_Done,
     /*  161925 */ // Label 3000: @161925
     /*  161925 */ GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(161969), // Rule ID 1091 //
     /*  161930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161933 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161936 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161940 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161954 */   // MIs[0] rs1
     /*  161954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161962 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10489>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161962 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161967 */   GIR_RootConstrainSelectedInstOperands,
     /*  161968 */   // GIR_Coverage, 1091,
     /*  161968 */   GIR_Done,
     /*  161969 */ // Label 3001: @161969
     /*  161969 */ GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(162013), // Rule ID 1095 //
     /*  161974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161977 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161980 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161984 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161998 */   // MIs[0] rs1
     /*  161998 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162006 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10491>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162006 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  162011 */   GIR_RootConstrainSelectedInstOperands,
     /*  162012 */   // GIR_Coverage, 1095,
     /*  162012 */   GIR_Done,
     /*  162013 */ // Label 3002: @162013
     /*  162013 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(162057), // Rule ID 1099 //
     /*  162018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162021 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162024 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162028 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162035 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162042 */   // MIs[0] rs1
     /*  162042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162050 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10493>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162050 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  162055 */   GIR_RootConstrainSelectedInstOperands,
     /*  162056 */   // GIR_Coverage, 1099,
     /*  162056 */   GIR_Done,
     /*  162057 */ // Label 3003: @162057
     /*  162057 */ GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(162101), // Rule ID 1103 //
     /*  162062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162065 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162068 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162072 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162086 */   // MIs[0] rs1
     /*  162086 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162094 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10495>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162094 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  162099 */   GIR_RootConstrainSelectedInstOperands,
     /*  162100 */   // GIR_Coverage, 1103,
     /*  162100 */   GIR_Done,
     /*  162101 */ // Label 3004: @162101
     /*  162101 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(162145), // Rule ID 1119 //
     /*  162106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162109 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162112 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162116 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162123 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162130 */   // MIs[0] rs1
     /*  162130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162138 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10509>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162138 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162143 */   GIR_RootConstrainSelectedInstOperands,
     /*  162144 */   // GIR_Coverage, 1119,
     /*  162144 */   GIR_Done,
     /*  162145 */ // Label 3005: @162145
     /*  162145 */ GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(162189), // Rule ID 1121 //
     /*  162150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162153 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162156 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162160 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162167 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162174 */   // MIs[0] rs1
     /*  162174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162182 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10511>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162182 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162187 */   GIR_RootConstrainSelectedInstOperands,
     /*  162188 */   // GIR_Coverage, 1121,
     /*  162188 */   GIR_Done,
     /*  162189 */ // Label 3006: @162189
     /*  162189 */ GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(162233), // Rule ID 1123 //
     /*  162194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162197 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162200 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162204 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162211 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162218 */   // MIs[0] rs1
     /*  162218 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162226 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10513>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162226 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162231 */   GIR_RootConstrainSelectedInstOperands,
     /*  162232 */   // GIR_Coverage, 1123,
     /*  162232 */   GIR_Done,
     /*  162233 */ // Label 3007: @162233
     /*  162233 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(162277), // Rule ID 1127 //
     /*  162238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162241 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162244 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162262 */   // MIs[0] rs1
     /*  162262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162270 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10515>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162275 */   GIR_RootConstrainSelectedInstOperands,
     /*  162276 */   // GIR_Coverage, 1127,
     /*  162276 */   GIR_Done,
     /*  162277 */ // Label 3008: @162277
     /*  162277 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(162321), // Rule ID 1131 //
     /*  162282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162285 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162292 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162299 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162306 */   // MIs[0] rs1
     /*  162306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162314 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10517>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162314 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162319 */   GIR_RootConstrainSelectedInstOperands,
     /*  162320 */   // GIR_Coverage, 1131,
     /*  162320 */   GIR_Done,
     /*  162321 */ // Label 3009: @162321
     /*  162321 */ GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(162365), // Rule ID 1133 //
     /*  162326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162329 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162332 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162336 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162343 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162350 */   // MIs[0] rs1
     /*  162350 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162358 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10519>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162358 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162363 */   GIR_RootConstrainSelectedInstOperands,
     /*  162364 */   // GIR_Coverage, 1133,
     /*  162364 */   GIR_Done,
     /*  162365 */ // Label 3010: @162365
     /*  162365 */ GIM_Reject,
     /*  162366 */ // Label 2899: @162366
     /*  162366 */ GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(162485),
     /*  162371 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162374 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162382 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162390 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(162437), // Rule ID 45732 //
     /*  162395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162398 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162435 */     GIR_RootConstrainSelectedInstOperands,
     /*  162436 */     // GIR_Coverage, 45732,
     /*  162436 */     GIR_EraseRootFromParent_Done,
     /*  162437 */   // Label 3012: @162437
     /*  162437 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(162484), // Rule ID 45733 //
     /*  162442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162445 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162482 */     GIR_RootConstrainSelectedInstOperands,
     /*  162483 */     // GIR_Coverage, 45733,
     /*  162483 */     GIR_EraseRootFromParent_Done,
     /*  162484 */   // Label 3013: @162484
     /*  162484 */   GIM_Reject,
     /*  162485 */ // Label 3011: @162485
     /*  162485 */ GIM_Reject,
     /*  162486 */ // Label 2900: @162486
     /*  162486 */ GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(162613),
     /*  162491 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162494 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162502 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(162557), // Rule ID 45728 //
     /*  162507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162510 */     // MIs[0] rs1
     /*  162510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162518 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  162521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  162535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162555 */     GIR_RootConstrainSelectedInstOperands,
     /*  162556 */     // GIR_Coverage, 45728,
     /*  162556 */     GIR_EraseRootFromParent_Done,
     /*  162557 */   // Label 3015: @162557
     /*  162557 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(162612), // Rule ID 45729 //
     /*  162562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162565 */     // MIs[0] rs1
     /*  162565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162573 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  162576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  162590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162610 */     GIR_RootConstrainSelectedInstOperands,
     /*  162611 */     // GIR_Coverage, 45729,
     /*  162611 */     GIR_EraseRootFromParent_Done,
     /*  162612 */   // Label 3016: @162612
     /*  162612 */   GIM_Reject,
     /*  162613 */ // Label 3014: @162613
     /*  162613 */ GIM_Reject,
     /*  162614 */ // Label 2901: @162614
     /*  162614 */ GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(162851),
     /*  162619 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162622 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162630 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(162685), // Rule ID 45924 //
     /*  162635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162638 */     // MIs[0] rs1
     /*  162638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162646 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162683 */     GIR_RootConstrainSelectedInstOperands,
     /*  162684 */     // GIR_Coverage, 45924,
     /*  162684 */     GIR_EraseRootFromParent_Done,
     /*  162685 */   // Label 3018: @162685
     /*  162685 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(162740), // Rule ID 45925 //
     /*  162690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162693 */     // MIs[0] rs1
     /*  162693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162701 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162738 */     GIR_RootConstrainSelectedInstOperands,
     /*  162739 */     // GIR_Coverage, 45925,
     /*  162739 */     GIR_EraseRootFromParent_Done,
     /*  162740 */   // Label 3019: @162740
     /*  162740 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(162795), // Rule ID 46000 //
     /*  162745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162748 */     // MIs[0] rs1
     /*  162748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162756 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162793 */     GIR_RootConstrainSelectedInstOperands,
     /*  162794 */     // GIR_Coverage, 46000,
     /*  162794 */     GIR_EraseRootFromParent_Done,
     /*  162795 */   // Label 3020: @162795
     /*  162795 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(162850), // Rule ID 46001 //
     /*  162800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162803 */     // MIs[0] rs1
     /*  162803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162811 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162848 */     GIR_RootConstrainSelectedInstOperands,
     /*  162849 */     // GIR_Coverage, 46001,
     /*  162849 */     GIR_EraseRootFromParent_Done,
     /*  162850 */   // Label 3021: @162850
     /*  162850 */   GIM_Reject,
     /*  162851 */ // Label 3017: @162851
     /*  162851 */ GIM_Reject,
     /*  162852 */ // Label 2902: @162852
     /*  162852 */ GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(163089),
     /*  162857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162860 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162868 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(162923), // Rule ID 45932 //
     /*  162873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162876 */     // MIs[0] rs1
     /*  162876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162884 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162921 */     GIR_RootConstrainSelectedInstOperands,
     /*  162922 */     // GIR_Coverage, 45932,
     /*  162922 */     GIR_EraseRootFromParent_Done,
     /*  162923 */   // Label 3023: @162923
     /*  162923 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(162978), // Rule ID 45933 //
     /*  162928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162931 */     // MIs[0] rs1
     /*  162931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162939 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162976 */     GIR_RootConstrainSelectedInstOperands,
     /*  162977 */     // GIR_Coverage, 45933,
     /*  162977 */     GIR_EraseRootFromParent_Done,
     /*  162978 */   // Label 3024: @162978
     /*  162978 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(163033), // Rule ID 46008 //
     /*  162983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162986 */     // MIs[0] rs1
     /*  162986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162994 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163031 */     GIR_RootConstrainSelectedInstOperands,
     /*  163032 */     // GIR_Coverage, 46008,
     /*  163032 */     GIR_EraseRootFromParent_Done,
     /*  163033 */   // Label 3025: @163033
     /*  163033 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(163088), // Rule ID 46009 //
     /*  163038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  163041 */     // MIs[0] rs1
     /*  163041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163049 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  163052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163086 */     GIR_RootConstrainSelectedInstOperands,
     /*  163087 */     // GIR_Coverage, 46009,
     /*  163087 */     GIR_EraseRootFromParent_Done,
     /*  163088 */   // Label 3026: @163088
     /*  163088 */   GIM_Reject,
     /*  163089 */ // Label 3022: @163089
     /*  163089 */ GIM_Reject,
     /*  163090 */ // Label 2903: @163090
     /*  163090 */ GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(163327),
     /*  163095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163106 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(163161), // Rule ID 45948 //
     /*  163111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163114 */     // MIs[0] rs1
     /*  163114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163122 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163159 */     GIR_RootConstrainSelectedInstOperands,
     /*  163160 */     // GIR_Coverage, 45948,
     /*  163160 */     GIR_EraseRootFromParent_Done,
     /*  163161 */   // Label 3028: @163161
     /*  163161 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(163216), // Rule ID 45949 //
     /*  163166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  163169 */     // MIs[0] rs1
     /*  163169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163177 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163214 */     GIR_RootConstrainSelectedInstOperands,
     /*  163215 */     // GIR_Coverage, 45949,
     /*  163215 */     GIR_EraseRootFromParent_Done,
     /*  163216 */   // Label 3029: @163216
     /*  163216 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(163271), // Rule ID 46020 //
     /*  163221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  163224 */     // MIs[0] rs1
     /*  163224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163232 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163269 */     GIR_RootConstrainSelectedInstOperands,
     /*  163270 */     // GIR_Coverage, 46020,
     /*  163270 */     GIR_EraseRootFromParent_Done,
     /*  163271 */   // Label 3030: @163271
     /*  163271 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(163326), // Rule ID 46021 //
     /*  163276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  163279 */     // MIs[0] rs1
     /*  163279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163287 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163324 */     GIR_RootConstrainSelectedInstOperands,
     /*  163325 */     // GIR_Coverage, 46021,
     /*  163325 */     GIR_EraseRootFromParent_Done,
     /*  163326 */   // Label 3031: @163326
     /*  163326 */   GIM_Reject,
     /*  163327 */ // Label 3027: @163327
     /*  163327 */ GIM_Reject,
     /*  163328 */ // Label 2904: @163328
     /*  163328 */ GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(163447),
     /*  163333 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163336 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163344 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163352 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(163399), // Rule ID 46060 //
     /*  163357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163360 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163397 */     GIR_RootConstrainSelectedInstOperands,
     /*  163398 */     // GIR_Coverage, 46060,
     /*  163398 */     GIR_EraseRootFromParent_Done,
     /*  163399 */   // Label 3033: @163399
     /*  163399 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(163446), // Rule ID 46061 //
     /*  163404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163407 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163444 */     GIR_RootConstrainSelectedInstOperands,
     /*  163445 */     // GIR_Coverage, 46061,
     /*  163445 */     GIR_EraseRootFromParent_Done,
     /*  163446 */   // Label 3034: @163446
     /*  163446 */   GIM_Reject,
     /*  163447 */ // Label 3032: @163447
     /*  163447 */ GIM_Reject,
     /*  163448 */ // Label 2905: @163448
     /*  163448 */ GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(163575),
     /*  163453 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163456 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163464 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(163519), // Rule ID 45916 //
     /*  163469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163472 */     // MIs[0] rs1
     /*  163472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163480 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  163483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  163497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163517 */     GIR_RootConstrainSelectedInstOperands,
     /*  163518 */     // GIR_Coverage, 45916,
     /*  163518 */     GIR_EraseRootFromParent_Done,
     /*  163519 */   // Label 3036: @163519
     /*  163519 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(163574), // Rule ID 45917 //
     /*  163524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163527 */     // MIs[0] rs1
     /*  163527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163535 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  163538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  163552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163572 */     GIR_RootConstrainSelectedInstOperands,
     /*  163573 */     // GIR_Coverage, 45917,
     /*  163573 */     GIR_EraseRootFromParent_Done,
     /*  163574 */   // Label 3037: @163574
     /*  163574 */   GIM_Reject,
     /*  163575 */ // Label 3035: @163575
     /*  163575 */ GIM_Reject,
     /*  163576 */ // Label 2906: @163576
     /*  163576 */ GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(163813),
     /*  163581 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163584 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163592 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(163647), // Rule ID 45928 //
     /*  163597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163600 */     // MIs[0] rs1
     /*  163600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163608 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163645 */     GIR_RootConstrainSelectedInstOperands,
     /*  163646 */     // GIR_Coverage, 45928,
     /*  163646 */     GIR_EraseRootFromParent_Done,
     /*  163647 */   // Label 3039: @163647
     /*  163647 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(163702), // Rule ID 45929 //
     /*  163652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163655 */     // MIs[0] rs1
     /*  163655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163663 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163700 */     GIR_RootConstrainSelectedInstOperands,
     /*  163701 */     // GIR_Coverage, 45929,
     /*  163701 */     GIR_EraseRootFromParent_Done,
     /*  163702 */   // Label 3040: @163702
     /*  163702 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(163757), // Rule ID 46004 //
     /*  163707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163710 */     // MIs[0] rs1
     /*  163710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163718 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163755 */     GIR_RootConstrainSelectedInstOperands,
     /*  163756 */     // GIR_Coverage, 46004,
     /*  163756 */     GIR_EraseRootFromParent_Done,
     /*  163757 */   // Label 3041: @163757
     /*  163757 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(163812), // Rule ID 46005 //
     /*  163762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163765 */     // MIs[0] rs1
     /*  163765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163773 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163810 */     GIR_RootConstrainSelectedInstOperands,
     /*  163811 */     // GIR_Coverage, 46005,
     /*  163811 */     GIR_EraseRootFromParent_Done,
     /*  163812 */   // Label 3042: @163812
     /*  163812 */   GIM_Reject,
     /*  163813 */ // Label 3038: @163813
     /*  163813 */ GIM_Reject,
     /*  163814 */ // Label 2907: @163814
     /*  163814 */ GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(164051),
     /*  163819 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163822 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163830 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(163885), // Rule ID 45944 //
     /*  163835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163838 */     // MIs[0] rs1
     /*  163838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163846 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163883 */     GIR_RootConstrainSelectedInstOperands,
     /*  163884 */     // GIR_Coverage, 45944,
     /*  163884 */     GIR_EraseRootFromParent_Done,
     /*  163885 */   // Label 3044: @163885
     /*  163885 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(163940), // Rule ID 45945 //
     /*  163890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163893 */     // MIs[0] rs1
     /*  163893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163901 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163938 */     GIR_RootConstrainSelectedInstOperands,
     /*  163939 */     // GIR_Coverage, 45945,
     /*  163939 */     GIR_EraseRootFromParent_Done,
     /*  163940 */   // Label 3045: @163940
     /*  163940 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(163995), // Rule ID 46016 //
     /*  163945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  163948 */     // MIs[0] rs1
     /*  163948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163956 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163993 */     GIR_RootConstrainSelectedInstOperands,
     /*  163994 */     // GIR_Coverage, 46016,
     /*  163994 */     GIR_EraseRootFromParent_Done,
     /*  163995 */   // Label 3046: @163995
     /*  163995 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(164050), // Rule ID 46017 //
     /*  164000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  164003 */     // MIs[0] rs1
     /*  164003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164011 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  164014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  164028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164048 */     GIR_RootConstrainSelectedInstOperands,
     /*  164049 */     // GIR_Coverage, 46017,
     /*  164049 */     GIR_EraseRootFromParent_Done,
     /*  164050 */   // Label 3047: @164050
     /*  164050 */   GIM_Reject,
     /*  164051 */ // Label 3043: @164051
     /*  164051 */ GIM_Reject,
     /*  164052 */ // Label 2908: @164052
     /*  164052 */ GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(164289),
     /*  164057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164060 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164068 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(164123), // Rule ID 45988 //
     /*  164073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164076 */     // MIs[0] rs1
     /*  164076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164084 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164121 */     GIR_RootConstrainSelectedInstOperands,
     /*  164122 */     // GIR_Coverage, 45988,
     /*  164122 */     GIR_EraseRootFromParent_Done,
     /*  164123 */   // Label 3049: @164123
     /*  164123 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(164178), // Rule ID 45989 //
     /*  164128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164131 */     // MIs[0] rs1
     /*  164131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164139 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164176 */     GIR_RootConstrainSelectedInstOperands,
     /*  164177 */     // GIR_Coverage, 45989,
     /*  164177 */     GIR_EraseRootFromParent_Done,
     /*  164178 */   // Label 3050: @164178
     /*  164178 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(164233), // Rule ID 46048 //
     /*  164183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  164186 */     // MIs[0] rs1
     /*  164186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164194 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164231 */     GIR_RootConstrainSelectedInstOperands,
     /*  164232 */     // GIR_Coverage, 46048,
     /*  164232 */     GIR_EraseRootFromParent_Done,
     /*  164233 */   // Label 3051: @164233
     /*  164233 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(164288), // Rule ID 46049 //
     /*  164238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  164241 */     // MIs[0] rs1
     /*  164241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164249 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164286 */     GIR_RootConstrainSelectedInstOperands,
     /*  164287 */     // GIR_Coverage, 46049,
     /*  164287 */     GIR_EraseRootFromParent_Done,
     /*  164288 */   // Label 3052: @164288
     /*  164288 */   GIM_Reject,
     /*  164289 */ // Label 3048: @164289
     /*  164289 */ GIM_Reject,
     /*  164290 */ // Label 2909: @164290
     /*  164290 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(164409),
     /*  164295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164298 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164314 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(164361), // Rule ID 46064 //
     /*  164319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164322 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  164322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164359 */     GIR_RootConstrainSelectedInstOperands,
     /*  164360 */     // GIR_Coverage, 46064,
     /*  164360 */     GIR_EraseRootFromParent_Done,
     /*  164361 */   // Label 3054: @164361
     /*  164361 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(164408), // Rule ID 46065 //
     /*  164366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164369 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  164369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164406 */     GIR_RootConstrainSelectedInstOperands,
     /*  164407 */     // GIR_Coverage, 46065,
     /*  164407 */     GIR_EraseRootFromParent_Done,
     /*  164408 */   // Label 3055: @164408
     /*  164408 */   GIM_Reject,
     /*  164409 */ // Label 3053: @164409
     /*  164409 */ GIM_Reject,
     /*  164410 */ // Label 2910: @164410
     /*  164410 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(164537),
     /*  164415 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164418 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164426 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(164481), // Rule ID 45920 //
     /*  164431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164434 */     // MIs[0] rs1
     /*  164434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164442 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  164442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164479 */     GIR_RootConstrainSelectedInstOperands,
     /*  164480 */     // GIR_Coverage, 45920,
     /*  164480 */     GIR_EraseRootFromParent_Done,
     /*  164481 */   // Label 3057: @164481
     /*  164481 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(164536), // Rule ID 45921 //
     /*  164486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164489 */     // MIs[0] rs1
     /*  164489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164497 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  164497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164534 */     GIR_RootConstrainSelectedInstOperands,
     /*  164535 */     // GIR_Coverage, 45921,
     /*  164535 */     GIR_EraseRootFromParent_Done,
     /*  164536 */   // Label 3058: @164536
     /*  164536 */   GIM_Reject,
     /*  164537 */ // Label 3056: @164537
     /*  164537 */ GIM_Reject,
     /*  164538 */ // Label 2911: @164538
     /*  164538 */ GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(164775),
     /*  164543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164554 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(164609), // Rule ID 45940 //
     /*  164559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164562 */     // MIs[0] rs1
     /*  164562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164570 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164607 */     GIR_RootConstrainSelectedInstOperands,
     /*  164608 */     // GIR_Coverage, 45940,
     /*  164608 */     GIR_EraseRootFromParent_Done,
     /*  164609 */   // Label 3060: @164609
     /*  164609 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(164664), // Rule ID 45941 //
     /*  164614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164617 */     // MIs[0] rs1
     /*  164617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164625 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164662 */     GIR_RootConstrainSelectedInstOperands,
     /*  164663 */     // GIR_Coverage, 45941,
     /*  164663 */     GIR_EraseRootFromParent_Done,
     /*  164664 */   // Label 3061: @164664
     /*  164664 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(164719), // Rule ID 46012 //
     /*  164669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  164672 */     // MIs[0] rs1
     /*  164672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164680 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164717 */     GIR_RootConstrainSelectedInstOperands,
     /*  164718 */     // GIR_Coverage, 46012,
     /*  164718 */     GIR_EraseRootFromParent_Done,
     /*  164719 */   // Label 3062: @164719
     /*  164719 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(164774), // Rule ID 46013 //
     /*  164724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  164727 */     // MIs[0] rs1
     /*  164727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164735 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164772 */     GIR_RootConstrainSelectedInstOperands,
     /*  164773 */     // GIR_Coverage, 46013,
     /*  164773 */     GIR_EraseRootFromParent_Done,
     /*  164774 */   // Label 3063: @164774
     /*  164774 */   GIM_Reject,
     /*  164775 */ // Label 3059: @164775
     /*  164775 */ GIM_Reject,
     /*  164776 */ // Label 2912: @164776
     /*  164776 */ GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(165013),
     /*  164781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164792 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(164847), // Rule ID 45976 //
     /*  164797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164800 */     // MIs[0] rs1
     /*  164800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164808 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164845 */     GIR_RootConstrainSelectedInstOperands,
     /*  164846 */     // GIR_Coverage, 45976,
     /*  164846 */     GIR_EraseRootFromParent_Done,
     /*  164847 */   // Label 3065: @164847
     /*  164847 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(164902), // Rule ID 45977 //
     /*  164852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164855 */     // MIs[0] rs1
     /*  164855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164863 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164900 */     GIR_RootConstrainSelectedInstOperands,
     /*  164901 */     // GIR_Coverage, 45977,
     /*  164901 */     GIR_EraseRootFromParent_Done,
     /*  164902 */   // Label 3066: @164902
     /*  164902 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(164957), // Rule ID 46036 //
     /*  164907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  164910 */     // MIs[0] rs1
     /*  164910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164918 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164955 */     GIR_RootConstrainSelectedInstOperands,
     /*  164956 */     // GIR_Coverage, 46036,
     /*  164956 */     GIR_EraseRootFromParent_Done,
     /*  164957 */   // Label 3067: @164957
     /*  164957 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(165012), // Rule ID 46037 //
     /*  164962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  164965 */     // MIs[0] rs1
     /*  164965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164973 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165010 */     GIR_RootConstrainSelectedInstOperands,
     /*  165011 */     // GIR_Coverage, 46037,
     /*  165011 */     GIR_EraseRootFromParent_Done,
     /*  165012 */   // Label 3068: @165012
     /*  165012 */   GIM_Reject,
     /*  165013 */ // Label 3064: @165013
     /*  165013 */ GIM_Reject,
     /*  165014 */ // Label 2913: @165014
     /*  165014 */ GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(165251),
     /*  165019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165030 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(165085), // Rule ID 45992 //
     /*  165035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165038 */     // MIs[0] rs1
     /*  165038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165046 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165083 */     GIR_RootConstrainSelectedInstOperands,
     /*  165084 */     // GIR_Coverage, 45992,
     /*  165084 */     GIR_EraseRootFromParent_Done,
     /*  165085 */   // Label 3070: @165085
     /*  165085 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(165140), // Rule ID 45993 //
     /*  165090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165093 */     // MIs[0] rs1
     /*  165093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165101 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165138 */     GIR_RootConstrainSelectedInstOperands,
     /*  165139 */     // GIR_Coverage, 45993,
     /*  165139 */     GIR_EraseRootFromParent_Done,
     /*  165140 */   // Label 3071: @165140
     /*  165140 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(165195), // Rule ID 46052 //
     /*  165145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  165148 */     // MIs[0] rs1
     /*  165148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165156 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165193 */     GIR_RootConstrainSelectedInstOperands,
     /*  165194 */     // GIR_Coverage, 46052,
     /*  165194 */     GIR_EraseRootFromParent_Done,
     /*  165195 */   // Label 3072: @165195
     /*  165195 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(165250), // Rule ID 46053 //
     /*  165200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  165203 */     // MIs[0] rs1
     /*  165203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165211 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165248 */     GIR_RootConstrainSelectedInstOperands,
     /*  165249 */     // GIR_Coverage, 46053,
     /*  165249 */     GIR_EraseRootFromParent_Done,
     /*  165250 */   // Label 3073: @165250
     /*  165250 */   GIM_Reject,
     /*  165251 */ // Label 3069: @165251
     /*  165251 */ GIM_Reject,
     /*  165252 */ // Label 2914: @165252
     /*  165252 */ GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(165371),
     /*  165257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165276 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(165323), // Rule ID 46068 //
     /*  165281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165284 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  165284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165321 */     GIR_RootConstrainSelectedInstOperands,
     /*  165322 */     // GIR_Coverage, 46068,
     /*  165322 */     GIR_EraseRootFromParent_Done,
     /*  165323 */   // Label 3075: @165323
     /*  165323 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(165370), // Rule ID 46069 //
     /*  165328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165331 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  165331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165368 */     GIR_RootConstrainSelectedInstOperands,
     /*  165369 */     // GIR_Coverage, 46069,
     /*  165369 */     GIR_EraseRootFromParent_Done,
     /*  165370 */   // Label 3076: @165370
     /*  165370 */   GIM_Reject,
     /*  165371 */ // Label 3074: @165371
     /*  165371 */ GIM_Reject,
     /*  165372 */ // Label 2915: @165372
     /*  165372 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(165499),
     /*  165377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165388 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(165443), // Rule ID 45936 //
     /*  165393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165396 */     // MIs[0] rs1
     /*  165396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165404 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  165404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165441 */     GIR_RootConstrainSelectedInstOperands,
     /*  165442 */     // GIR_Coverage, 45936,
     /*  165442 */     GIR_EraseRootFromParent_Done,
     /*  165443 */   // Label 3078: @165443
     /*  165443 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(165498), // Rule ID 45937 //
     /*  165448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165451 */     // MIs[0] rs1
     /*  165451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165459 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  165459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165496 */     GIR_RootConstrainSelectedInstOperands,
     /*  165497 */     // GIR_Coverage, 45937,
     /*  165497 */     GIR_EraseRootFromParent_Done,
     /*  165498 */   // Label 3079: @165498
     /*  165498 */   GIM_Reject,
     /*  165499 */ // Label 3077: @165499
     /*  165499 */ GIM_Reject,
     /*  165500 */ // Label 2916: @165500
     /*  165500 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(165737),
     /*  165505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165508 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165516 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(165571), // Rule ID 45964 //
     /*  165521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165524 */     // MIs[0] rs1
     /*  165524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165532 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165569 */     GIR_RootConstrainSelectedInstOperands,
     /*  165570 */     // GIR_Coverage, 45964,
     /*  165570 */     GIR_EraseRootFromParent_Done,
     /*  165571 */   // Label 3081: @165571
     /*  165571 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(165626), // Rule ID 45965 //
     /*  165576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165579 */     // MIs[0] rs1
     /*  165579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165587 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165624 */     GIR_RootConstrainSelectedInstOperands,
     /*  165625 */     // GIR_Coverage, 45965,
     /*  165625 */     GIR_EraseRootFromParent_Done,
     /*  165626 */   // Label 3082: @165626
     /*  165626 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(165681), // Rule ID 46024 //
     /*  165631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165634 */     // MIs[0] rs1
     /*  165634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165642 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165679 */     GIR_RootConstrainSelectedInstOperands,
     /*  165680 */     // GIR_Coverage, 46024,
     /*  165680 */     GIR_EraseRootFromParent_Done,
     /*  165681 */   // Label 3083: @165681
     /*  165681 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(165736), // Rule ID 46025 //
     /*  165686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165689 */     // MIs[0] rs1
     /*  165689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165697 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165734 */     GIR_RootConstrainSelectedInstOperands,
     /*  165735 */     // GIR_Coverage, 46025,
     /*  165735 */     GIR_EraseRootFromParent_Done,
     /*  165736 */   // Label 3084: @165736
     /*  165736 */   GIM_Reject,
     /*  165737 */ // Label 3080: @165737
     /*  165737 */ GIM_Reject,
     /*  165738 */ // Label 2917: @165738
     /*  165738 */ GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(165975),
     /*  165743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165754 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(165809), // Rule ID 45980 //
     /*  165759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165762 */     // MIs[0] rs1
     /*  165762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165770 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165807 */     GIR_RootConstrainSelectedInstOperands,
     /*  165808 */     // GIR_Coverage, 45980,
     /*  165808 */     GIR_EraseRootFromParent_Done,
     /*  165809 */   // Label 3086: @165809
     /*  165809 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(165864), // Rule ID 45981 //
     /*  165814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165817 */     // MIs[0] rs1
     /*  165817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165825 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165862 */     GIR_RootConstrainSelectedInstOperands,
     /*  165863 */     // GIR_Coverage, 45981,
     /*  165863 */     GIR_EraseRootFromParent_Done,
     /*  165864 */   // Label 3087: @165864
     /*  165864 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(165919), // Rule ID 46040 //
     /*  165869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  165872 */     // MIs[0] rs1
     /*  165872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165880 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165917 */     GIR_RootConstrainSelectedInstOperands,
     /*  165918 */     // GIR_Coverage, 46040,
     /*  165918 */     GIR_EraseRootFromParent_Done,
     /*  165919 */   // Label 3088: @165919
     /*  165919 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(165974), // Rule ID 46041 //
     /*  165924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  165927 */     // MIs[0] rs1
     /*  165927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165935 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165972 */     GIR_RootConstrainSelectedInstOperands,
     /*  165973 */     // GIR_Coverage, 46041,
     /*  165973 */     GIR_EraseRootFromParent_Done,
     /*  165974 */   // Label 3089: @165974
     /*  165974 */   GIM_Reject,
     /*  165975 */ // Label 3085: @165975
     /*  165975 */ GIM_Reject,
     /*  165976 */ // Label 2918: @165976
     /*  165976 */ GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(166213),
     /*  165981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165984 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165992 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(166047), // Rule ID 45996 //
     /*  165997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166000 */     // MIs[0] rs1
     /*  166000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166008 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  166008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166045 */     GIR_RootConstrainSelectedInstOperands,
     /*  166046 */     // GIR_Coverage, 45996,
     /*  166046 */     GIR_EraseRootFromParent_Done,
     /*  166047 */   // Label 3091: @166047
     /*  166047 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(166102), // Rule ID 45997 //
     /*  166052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166055 */     // MIs[0] rs1
     /*  166055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166063 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  166063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166100 */     GIR_RootConstrainSelectedInstOperands,
     /*  166101 */     // GIR_Coverage, 45997,
     /*  166101 */     GIR_EraseRootFromParent_Done,
     /*  166102 */   // Label 3092: @166102
     /*  166102 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(166157), // Rule ID 46056 //
     /*  166107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  166110 */     // MIs[0] rs1
     /*  166110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166118 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  166118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166155 */     GIR_RootConstrainSelectedInstOperands,
     /*  166156 */     // GIR_Coverage, 46056,
     /*  166156 */     GIR_EraseRootFromParent_Done,
     /*  166157 */   // Label 3093: @166157
     /*  166157 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(166212), // Rule ID 46057 //
     /*  166162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  166165 */     // MIs[0] rs1
     /*  166165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166173 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  166173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166210 */     GIR_RootConstrainSelectedInstOperands,
     /*  166211 */     // GIR_Coverage, 46057,
     /*  166211 */     GIR_EraseRootFromParent_Done,
     /*  166212 */   // Label 3094: @166212
     /*  166212 */   GIM_Reject,
     /*  166213 */ // Label 3090: @166213
     /*  166213 */ GIM_Reject,
     /*  166214 */ // Label 2919: @166214
     /*  166214 */ GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(166333),
     /*  166219 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166222 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166230 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166238 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(166285), // Rule ID 46072 //
     /*  166243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166246 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166283 */     GIR_RootConstrainSelectedInstOperands,
     /*  166284 */     // GIR_Coverage, 46072,
     /*  166284 */     GIR_EraseRootFromParent_Done,
     /*  166285 */   // Label 3096: @166285
     /*  166285 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(166332), // Rule ID 46073 //
     /*  166290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166293 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166330 */     GIR_RootConstrainSelectedInstOperands,
     /*  166331 */     // GIR_Coverage, 46073,
     /*  166331 */     GIR_EraseRootFromParent_Done,
     /*  166332 */   // Label 3097: @166332
     /*  166332 */   GIM_Reject,
     /*  166333 */ // Label 3095: @166333
     /*  166333 */ GIM_Reject,
     /*  166334 */ // Label 2920: @166334
     /*  166334 */ GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(166461),
     /*  166339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166342 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166350 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(166405), // Rule ID 45952 //
     /*  166355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166358 */     // MIs[0] rs1
     /*  166358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166366 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166403 */     GIR_RootConstrainSelectedInstOperands,
     /*  166404 */     // GIR_Coverage, 45952,
     /*  166404 */     GIR_EraseRootFromParent_Done,
     /*  166405 */   // Label 3099: @166405
     /*  166405 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(166460), // Rule ID 45953 //
     /*  166410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166413 */     // MIs[0] rs1
     /*  166413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166421 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  166421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166458 */     GIR_RootConstrainSelectedInstOperands,
     /*  166459 */     // GIR_Coverage, 45953,
     /*  166459 */     GIR_EraseRootFromParent_Done,
     /*  166460 */   // Label 3100: @166460
     /*  166460 */   GIM_Reject,
     /*  166461 */ // Label 3098: @166461
     /*  166461 */ GIM_Reject,
     /*  166462 */ // Label 2921: @166462
     /*  166462 */ GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(166699),
     /*  166467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166470 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166478 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(166533), // Rule ID 45968 //
     /*  166483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166486 */     // MIs[0] rs1
     /*  166486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166494 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166531 */     GIR_RootConstrainSelectedInstOperands,
     /*  166532 */     // GIR_Coverage, 45968,
     /*  166532 */     GIR_EraseRootFromParent_Done,
     /*  166533 */   // Label 3102: @166533
     /*  166533 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(166588), // Rule ID 45969 //
     /*  166538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166541 */     // MIs[0] rs1
     /*  166541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166549 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166586 */     GIR_RootConstrainSelectedInstOperands,
     /*  166587 */     // GIR_Coverage, 45969,
     /*  166587 */     GIR_EraseRootFromParent_Done,
     /*  166588 */   // Label 3103: @166588
     /*  166588 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(166643), // Rule ID 46028 //
     /*  166593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  166596 */     // MIs[0] rs1
     /*  166596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166604 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166641 */     GIR_RootConstrainSelectedInstOperands,
     /*  166642 */     // GIR_Coverage, 46028,
     /*  166642 */     GIR_EraseRootFromParent_Done,
     /*  166643 */   // Label 3104: @166643
     /*  166643 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(166698), // Rule ID 46029 //
     /*  166648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166651 */     // MIs[0] rs1
     /*  166651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166659 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166696 */     GIR_RootConstrainSelectedInstOperands,
     /*  166697 */     // GIR_Coverage, 46029,
     /*  166697 */     GIR_EraseRootFromParent_Done,
     /*  166698 */   // Label 3105: @166698
     /*  166698 */   GIM_Reject,
     /*  166699 */ // Label 3101: @166699
     /*  166699 */ GIM_Reject,
     /*  166700 */ // Label 2922: @166700
     /*  166700 */ GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(166937),
     /*  166705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166708 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166716 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(166771), // Rule ID 45984 //
     /*  166721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166724 */     // MIs[0] rs1
     /*  166724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166732 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166769 */     GIR_RootConstrainSelectedInstOperands,
     /*  166770 */     // GIR_Coverage, 45984,
     /*  166770 */     GIR_EraseRootFromParent_Done,
     /*  166771 */   // Label 3107: @166771
     /*  166771 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(166826), // Rule ID 45985 //
     /*  166776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166779 */     // MIs[0] rs1
     /*  166779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166787 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166824 */     GIR_RootConstrainSelectedInstOperands,
     /*  166825 */     // GIR_Coverage, 45985,
     /*  166825 */     GIR_EraseRootFromParent_Done,
     /*  166826 */   // Label 3108: @166826
     /*  166826 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166881), // Rule ID 46044 //
     /*  166831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166834 */     // MIs[0] rs1
     /*  166834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166842 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166879 */     GIR_RootConstrainSelectedInstOperands,
     /*  166880 */     // GIR_Coverage, 46044,
     /*  166880 */     GIR_EraseRootFromParent_Done,
     /*  166881 */   // Label 3109: @166881
     /*  166881 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166936), // Rule ID 46045 //
     /*  166886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166889 */     // MIs[0] rs1
     /*  166889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166897 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166934 */     GIR_RootConstrainSelectedInstOperands,
     /*  166935 */     // GIR_Coverage, 46045,
     /*  166935 */     GIR_EraseRootFromParent_Done,
     /*  166936 */   // Label 3110: @166936
     /*  166936 */   GIM_Reject,
     /*  166937 */ // Label 3106: @166937
     /*  166937 */ GIM_Reject,
     /*  166938 */ // Label 2923: @166938
     /*  166938 */ GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(167057),
     /*  166943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166962 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(167009), // Rule ID 46076 //
     /*  166967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166970 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  166973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  166987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167007 */     GIR_RootConstrainSelectedInstOperands,
     /*  167008 */     // GIR_Coverage, 46076,
     /*  167008 */     GIR_EraseRootFromParent_Done,
     /*  167009 */   // Label 3112: @167009
     /*  167009 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(167056), // Rule ID 46077 //
     /*  167014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167017 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  167017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  167020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  167034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167054 */     GIR_RootConstrainSelectedInstOperands,
     /*  167055 */     // GIR_Coverage, 46077,
     /*  167055 */     GIR_EraseRootFromParent_Done,
     /*  167056 */   // Label 3113: @167056
     /*  167056 */   GIM_Reject,
     /*  167057 */ // Label 3111: @167057
     /*  167057 */ GIM_Reject,
     /*  167058 */ // Label 2924: @167058
     /*  167058 */ GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(167185),
     /*  167063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  167074 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(167129), // Rule ID 45956 //
     /*  167079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167082 */     // MIs[0] rs1
     /*  167082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167090 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  167090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  167093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167127 */     GIR_RootConstrainSelectedInstOperands,
     /*  167128 */     // GIR_Coverage, 45956,
     /*  167128 */     GIR_EraseRootFromParent_Done,
     /*  167129 */   // Label 3115: @167129
     /*  167129 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(167184), // Rule ID 45957 //
     /*  167134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167137 */     // MIs[0] rs1
     /*  167137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167145 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  167145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  167148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167182 */     GIR_RootConstrainSelectedInstOperands,
     /*  167183 */     // GIR_Coverage, 45957,
     /*  167183 */     GIR_EraseRootFromParent_Done,
     /*  167184 */   // Label 3116: @167184
     /*  167184 */   GIM_Reject,
     /*  167185 */ // Label 3114: @167185
     /*  167185 */ GIM_Reject,
     /*  167186 */ // Label 2925: @167186
     /*  167186 */ GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(167423),
     /*  167191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167194 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167202 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(167257), // Rule ID 45972 //
     /*  167207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167210 */     // MIs[0] rs1
     /*  167210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167218 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167255 */     GIR_RootConstrainSelectedInstOperands,
     /*  167256 */     // GIR_Coverage, 45972,
     /*  167256 */     GIR_EraseRootFromParent_Done,
     /*  167257 */   // Label 3118: @167257
     /*  167257 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(167312), // Rule ID 45973 //
     /*  167262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167265 */     // MIs[0] rs1
     /*  167265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167273 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167310 */     GIR_RootConstrainSelectedInstOperands,
     /*  167311 */     // GIR_Coverage, 45973,
     /*  167311 */     GIR_EraseRootFromParent_Done,
     /*  167312 */   // Label 3119: @167312
     /*  167312 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(167367), // Rule ID 46032 //
     /*  167317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167320 */     // MIs[0] rs1
     /*  167320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167328 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167365 */     GIR_RootConstrainSelectedInstOperands,
     /*  167366 */     // GIR_Coverage, 46032,
     /*  167366 */     GIR_EraseRootFromParent_Done,
     /*  167367 */   // Label 3120: @167367
     /*  167367 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(167422), // Rule ID 46033 //
     /*  167372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167375 */     // MIs[0] rs1
     /*  167375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167383 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167420 */     GIR_RootConstrainSelectedInstOperands,
     /*  167421 */     // GIR_Coverage, 46033,
     /*  167421 */     GIR_EraseRootFromParent_Done,
     /*  167422 */   // Label 3121: @167422
     /*  167422 */   GIM_Reject,
     /*  167423 */ // Label 3117: @167423
     /*  167423 */ GIM_Reject,
     /*  167424 */ // Label 2926: @167424
     /*  167424 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(167543),
     /*  167429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167440 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167448 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(167495), // Rule ID 46080 //
     /*  167453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167456 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  167456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167493 */     GIR_RootConstrainSelectedInstOperands,
     /*  167494 */     // GIR_Coverage, 46080,
     /*  167494 */     GIR_EraseRootFromParent_Done,
     /*  167495 */   // Label 3123: @167495
     /*  167495 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(167542), // Rule ID 46081 //
     /*  167500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167503 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  167503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167540 */     GIR_RootConstrainSelectedInstOperands,
     /*  167541 */     // GIR_Coverage, 46081,
     /*  167541 */     GIR_EraseRootFromParent_Done,
     /*  167542 */   // Label 3124: @167542
     /*  167542 */   GIM_Reject,
     /*  167543 */ // Label 3122: @167543
     /*  167543 */ GIM_Reject,
     /*  167544 */ // Label 2927: @167544
     /*  167544 */ GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(167671),
     /*  167549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167552 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167560 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(167615), // Rule ID 45960 //
     /*  167565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167568 */     // MIs[0] rs1
     /*  167568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167576 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  167576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  167579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  167593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167613 */     GIR_RootConstrainSelectedInstOperands,
     /*  167614 */     // GIR_Coverage, 45960,
     /*  167614 */     GIR_EraseRootFromParent_Done,
     /*  167615 */   // Label 3126: @167615
     /*  167615 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(167670), // Rule ID 45961 //
     /*  167620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167623 */     // MIs[0] rs1
     /*  167623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167631 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  167631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  167634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  167648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167668 */     GIR_RootConstrainSelectedInstOperands,
     /*  167669 */     // GIR_Coverage, 45961,
     /*  167669 */     GIR_EraseRootFromParent_Done,
     /*  167670 */   // Label 3127: @167670
     /*  167670 */   GIM_Reject,
     /*  167671 */ // Label 3125: @167671
     /*  167671 */ GIM_Reject,
     /*  167672 */ // Label 2928: @167672
     /*  167672 */ GIM_Reject,
     /*  167673 */ // Label 22: @167673
     /*  167673 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3130*/ GIMT_Encode4(169642),
     /*  167684 */ /*GILLT_s32*//*Label 3128*/ GIMT_Encode4(167692),
     /*  167688 */ /*GILLT_s64*//*Label 3129*/ GIMT_Encode4(169068),
     /*  167692 */ // Label 3128: @167692
     /*  167692 */ GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(167799), // Rule ID 74207 //
     /*  167697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167700 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167703 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167714 */   // MIs[0] Operand 1
     /*  167714 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167718 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167726 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167730 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167734 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167738 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167742 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167746 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167750 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167755 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167759 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167763 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167767 */   // MIs[3] Operand 1
     /*  167767 */   // No operand predicates
     /*  167767 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167772 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167774 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  167777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167779 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167783 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167787 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167790 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167797 */   GIR_RootConstrainSelectedInstOperands,
     /*  167798 */   // GIR_Coverage, 74207,
     /*  167798 */   GIR_EraseRootFromParent_Done,
     /*  167799 */ // Label 3131: @167799
     /*  167799 */ GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(167906), // Rule ID 74208 //
     /*  167804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167807 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167821 */   // MIs[0] Operand 1
     /*  167821 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167825 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167829 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167833 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167837 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167841 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167845 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167849 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167853 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167857 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167862 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167866 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167870 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167874 */   // MIs[3] Operand 1
     /*  167874 */   // No operand predicates
     /*  167874 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167879 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167881 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  167884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167886 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167890 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167894 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167904 */   GIR_RootConstrainSelectedInstOperands,
     /*  167905 */   // GIR_Coverage, 74208,
     /*  167905 */   GIR_EraseRootFromParent_Done,
     /*  167906 */ // Label 3132: @167906
     /*  167906 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(168013), // Rule ID 74211 //
     /*  167911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167914 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167917 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167928 */   // MIs[0] Operand 1
     /*  167928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167932 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167936 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167940 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167944 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167948 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167952 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167956 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167960 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167964 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167969 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167973 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167977 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167981 */   // MIs[3] Operand 1
     /*  167981 */   // No operand predicates
     /*  167981 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167986 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167988 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  167991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167993 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167997 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168001 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168011 */   GIR_RootConstrainSelectedInstOperands,
     /*  168012 */   // GIR_Coverage, 74211,
     /*  168012 */   GIR_EraseRootFromParent_Done,
     /*  168013 */ // Label 3133: @168013
     /*  168013 */ GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(168120), // Rule ID 74212 //
     /*  168018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168024 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168035 */   // MIs[0] Operand 1
     /*  168035 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168047 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168051 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168055 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168059 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168063 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168067 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168071 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168076 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168080 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168084 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168088 */   // MIs[3] Operand 1
     /*  168088 */   // No operand predicates
     /*  168088 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168093 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168095 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168100 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168104 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168108 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168111 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168118 */   GIR_RootConstrainSelectedInstOperands,
     /*  168119 */   // GIR_Coverage, 74212,
     /*  168119 */   GIR_EraseRootFromParent_Done,
     /*  168120 */ // Label 3134: @168120
     /*  168120 */ GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(168227), // Rule ID 64544 //
     /*  168125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168128 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168131 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168142 */   // MIs[0] Operand 1
     /*  168142 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168146 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168150 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168154 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168158 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168162 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168167 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168171 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168175 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168179 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168183 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168188 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168192 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168196 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168200 */   // MIs[3] Operand 1
     /*  168200 */   // No operand predicates
     /*  168200 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168202 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168207 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168211 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168215 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168225 */   GIR_RootConstrainSelectedInstOperands,
     /*  168226 */   // GIR_Coverage, 64544,
     /*  168226 */   GIR_EraseRootFromParent_Done,
     /*  168227 */ // Label 3135: @168227
     /*  168227 */ GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(168334), // Rule ID 64545 //
     /*  168232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168238 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168249 */   // MIs[0] Operand 1
     /*  168249 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168253 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168257 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168261 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168265 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168274 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168278 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168282 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168286 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168290 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168295 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168299 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168303 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168307 */   // MIs[3] Operand 1
     /*  168307 */   // No operand predicates
     /*  168307 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168309 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168314 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168318 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168322 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168325 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168332 */   GIR_RootConstrainSelectedInstOperands,
     /*  168333 */   // GIR_Coverage, 64545,
     /*  168333 */   GIR_EraseRootFromParent_Done,
     /*  168334 */ // Label 3136: @168334
     /*  168334 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(168441), // Rule ID 64548 //
     /*  168339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168342 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168345 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168356 */   // MIs[0] Operand 1
     /*  168356 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168360 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168364 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168368 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168372 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168376 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168381 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168385 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168389 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168393 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168397 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168402 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168406 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168410 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168414 */   // MIs[3] Operand 1
     /*  168414 */   // No operand predicates
     /*  168414 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168416 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168421 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168425 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168429 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168439 */   GIR_RootConstrainSelectedInstOperands,
     /*  168440 */   // GIR_Coverage, 64548,
     /*  168440 */   GIR_EraseRootFromParent_Done,
     /*  168441 */ // Label 3137: @168441
     /*  168441 */ GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(168548), // Rule ID 64549 //
     /*  168446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168449 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168452 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168463 */   // MIs[0] Operand 1
     /*  168463 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168467 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168471 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168475 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168479 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168483 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168488 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168492 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168496 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168500 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168504 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168509 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168513 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168517 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168521 */   // MIs[3] Operand 1
     /*  168521 */   // No operand predicates
     /*  168521 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168523 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168528 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168532 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168536 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168539 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168546 */   GIR_RootConstrainSelectedInstOperands,
     /*  168547 */   // GIR_Coverage, 64549,
     /*  168547 */   GIR_EraseRootFromParent_Done,
     /*  168548 */ // Label 3138: @168548
     /*  168548 */ GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(168602), // Rule ID 225 //
     /*  168553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168556 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168559 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168570 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168574 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168581 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  168584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168596 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168600 */   GIR_RootConstrainSelectedInstOperands,
     /*  168601 */   // GIR_Coverage, 225,
     /*  168601 */   GIR_EraseRootFromParent_Done,
     /*  168602 */ // Label 3139: @168602
     /*  168602 */ GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(168656), // Rule ID 229 //
     /*  168607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168613 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168624 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168628 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168635 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  168638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168640 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168650 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168654 */   GIR_RootConstrainSelectedInstOperands,
     /*  168655 */   // GIR_Coverage, 229,
     /*  168655 */   GIR_EraseRootFromParent_Done,
     /*  168656 */ // Label 3140: @168656
     /*  168656 */ GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(168713), // Rule ID 318 //
     /*  168661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168664 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168667 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168674 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168681 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168685 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168692 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_9985>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  168695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168697 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168702 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168707 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168711 */   GIR_RootConstrainSelectedInstOperands,
     /*  168712 */   // GIR_Coverage, 318,
     /*  168712 */   GIR_EraseRootFromParent_Done,
     /*  168713 */ // Label 3141: @168713
     /*  168713 */ GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(168770), // Rule ID 322 //
     /*  168718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168721 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168724 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168731 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168738 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168742 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168749 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_9987>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  168752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168768 */   GIR_RootConstrainSelectedInstOperands,
     /*  168769 */   // GIR_Coverage, 322,
     /*  168769 */   GIR_EraseRootFromParent_Done,
     /*  168770 */ // Label 3142: @168770
     /*  168770 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(168827), // Rule ID 338 //
     /*  168775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  168778 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168781 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168788 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168795 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168806 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10001>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  168809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168825 */   GIR_RootConstrainSelectedInstOperands,
     /*  168826 */   // GIR_Coverage, 338,
     /*  168826 */   GIR_EraseRootFromParent_Done,
     /*  168827 */ // Label 3143: @168827
     /*  168827 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(168867), // Rule ID 1094 //
     /*  168832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168852 */   // MIs[0] rs1
     /*  168852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168860 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10489>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  168865 */   GIR_RootConstrainSelectedInstOperands,
     /*  168866 */   // GIR_Coverage, 1094,
     /*  168866 */   GIR_Done,
     /*  168867 */ // Label 3144: @168867
     /*  168867 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(168907), // Rule ID 1098 //
     /*  168872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168875 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168878 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168892 */   // MIs[0] rs1
     /*  168892 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168900 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10491>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  168905 */   GIR_RootConstrainSelectedInstOperands,
     /*  168906 */   // GIR_Coverage, 1098,
     /*  168906 */   GIR_Done,
     /*  168907 */ // Label 3145: @168907
     /*  168907 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(168947), // Rule ID 1102 //
     /*  168912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168915 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168918 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168932 */   // MIs[0] rs1
     /*  168932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168940 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10493>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  168945 */   GIR_RootConstrainSelectedInstOperands,
     /*  168946 */   // GIR_Coverage, 1102,
     /*  168946 */   GIR_Done,
     /*  168947 */ // Label 3146: @168947
     /*  168947 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(168987), // Rule ID 1106 //
     /*  168952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168955 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168958 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168972 */   // MIs[0] rs1
     /*  168972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168980 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10495>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  168985 */   GIR_RootConstrainSelectedInstOperands,
     /*  168986 */   // GIR_Coverage, 1106,
     /*  168986 */   GIR_Done,
     /*  168987 */ // Label 3147: @168987
     /*  168987 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(169027), // Rule ID 1126 //
     /*  168992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  168995 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168998 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169012 */   // MIs[0] rs1
     /*  169012 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169020 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10513>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169020 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169025 */   GIR_RootConstrainSelectedInstOperands,
     /*  169026 */   // GIR_Coverage, 1126,
     /*  169026 */   GIR_Done,
     /*  169027 */ // Label 3148: @169027
     /*  169027 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(169067), // Rule ID 1130 //
     /*  169032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169035 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169038 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169045 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169052 */   // MIs[0] rs1
     /*  169052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169060 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10515>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169060 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169065 */   GIR_RootConstrainSelectedInstOperands,
     /*  169066 */   // GIR_Coverage, 1130,
     /*  169066 */   GIR_Done,
     /*  169067 */ // Label 3149: @169067
     /*  169067 */ GIM_Reject,
     /*  169068 */ // Label 3129: @169068
     /*  169068 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(169122), // Rule ID 224 //
     /*  169073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169101 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169120 */   GIR_RootConstrainSelectedInstOperands,
     /*  169121 */   // GIR_Coverage, 224,
     /*  169121 */   GIR_EraseRootFromParent_Done,
     /*  169122 */ // Label 3150: @169122
     /*  169122 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(169176), // Rule ID 228 //
     /*  169127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169130 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169133 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169148 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169155 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169170 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169174 */   GIR_RootConstrainSelectedInstOperands,
     /*  169175 */   // GIR_Coverage, 228,
     /*  169175 */   GIR_EraseRootFromParent_Done,
     /*  169176 */ // Label 3151: @169176
     /*  169176 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(169230), // Rule ID 275 //
     /*  169181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169184 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169187 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169202 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169209 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169228 */   GIR_RootConstrainSelectedInstOperands,
     /*  169229 */   // GIR_Coverage, 275,
     /*  169229 */   GIR_EraseRootFromParent_Done,
     /*  169230 */ // Label 3152: @169230
     /*  169230 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(169287), // Rule ID 317 //
     /*  169235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169248 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169255 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169259 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169266 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_9985>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169281 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169285 */   GIR_RootConstrainSelectedInstOperands,
     /*  169286 */   // GIR_Coverage, 317,
     /*  169286 */   GIR_EraseRootFromParent_Done,
     /*  169287 */ // Label 3153: @169287
     /*  169287 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(169344), // Rule ID 321 //
     /*  169292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169295 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169298 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169305 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169323 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_9987>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169338 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169342 */   GIR_RootConstrainSelectedInstOperands,
     /*  169343 */   // GIR_Coverage, 321,
     /*  169343 */   GIR_EraseRootFromParent_Done,
     /*  169344 */ // Label 3154: @169344
     /*  169344 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(169401), // Rule ID 337 //
     /*  169349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169352 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169355 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169362 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169373 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169380 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10001>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169399 */   GIR_RootConstrainSelectedInstOperands,
     /*  169400 */   // GIR_Coverage, 337,
     /*  169400 */   GIR_EraseRootFromParent_Done,
     /*  169401 */ // Label 3155: @169401
     /*  169401 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(169441), // Rule ID 1093 //
     /*  169406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169409 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169412 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169426 */   // MIs[0] rs1
     /*  169426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169434 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10489>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169434 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169439 */   GIR_RootConstrainSelectedInstOperands,
     /*  169440 */   // GIR_Coverage, 1093,
     /*  169440 */   GIR_Done,
     /*  169441 */ // Label 3156: @169441
     /*  169441 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(169481), // Rule ID 1097 //
     /*  169446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169449 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169452 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169459 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169466 */   // MIs[0] rs1
     /*  169466 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169474 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10491>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169479 */   GIR_RootConstrainSelectedInstOperands,
     /*  169480 */   // GIR_Coverage, 1097,
     /*  169480 */   GIR_Done,
     /*  169481 */ // Label 3157: @169481
     /*  169481 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(169521), // Rule ID 1101 //
     /*  169486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169506 */   // MIs[0] rs1
     /*  169506 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169514 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10493>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169514 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169519 */   GIR_RootConstrainSelectedInstOperands,
     /*  169520 */   // GIR_Coverage, 1101,
     /*  169520 */   GIR_Done,
     /*  169521 */ // Label 3158: @169521
     /*  169521 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(169561), // Rule ID 1105 //
     /*  169526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169529 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169532 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169539 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169546 */   // MIs[0] rs1
     /*  169546 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169554 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10495>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169554 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169559 */   GIR_RootConstrainSelectedInstOperands,
     /*  169560 */   // GIR_Coverage, 1105,
     /*  169560 */   GIR_Done,
     /*  169561 */ // Label 3159: @169561
     /*  169561 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(169601), // Rule ID 1125 //
     /*  169566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169569 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169572 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169586 */   // MIs[0] rs1
     /*  169586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169594 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10513>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169594 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169599 */   GIR_RootConstrainSelectedInstOperands,
     /*  169600 */   // GIR_Coverage, 1125,
     /*  169600 */   GIR_Done,
     /*  169601 */ // Label 3160: @169601
     /*  169601 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(169641), // Rule ID 1129 //
     /*  169606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169609 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169619 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169626 */   // MIs[0] rs1
     /*  169626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169634 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10515>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169639 */   GIR_RootConstrainSelectedInstOperands,
     /*  169640 */   // GIR_Coverage, 1129,
     /*  169640 */   GIR_Done,
     /*  169641 */ // Label 3161: @169641
     /*  169641 */ GIM_Reject,
     /*  169642 */ // Label 3130: @169642
     /*  169642 */ GIM_Reject,
     /*  169643 */ // Label 23: @169643
     /*  169643 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3164*/ GIMT_Encode4(171132),
     /*  169654 */ /*GILLT_s32*//*Label 3162*/ GIMT_Encode4(169662),
     /*  169658 */ /*GILLT_s64*//*Label 3163*/ GIMT_Encode4(170798),
     /*  169662 */ // Label 3162: @169662
     /*  169662 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(169769), // Rule ID 74217 //
     /*  169667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  169670 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169673 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169684 */   // MIs[0] Operand 1
     /*  169684 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169688 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169692 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169696 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169700 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169704 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169708 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169712 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169716 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  169720 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169725 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169729 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169733 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169737 */   // MIs[3] Operand 1
     /*  169737 */   // No operand predicates
     /*  169737 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169742 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169744 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  169747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169749 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169753 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169757 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169760 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169767 */   GIR_RootConstrainSelectedInstOperands,
     /*  169768 */   // GIR_Coverage, 74217,
     /*  169768 */   GIR_EraseRootFromParent_Done,
     /*  169769 */ // Label 3165: @169769
     /*  169769 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(169876), // Rule ID 74218 //
     /*  169774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169780 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169791 */   // MIs[0] Operand 1
     /*  169791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169795 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169799 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169803 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169807 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169811 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169815 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169819 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169823 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  169827 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169832 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169836 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169840 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169844 */   // MIs[3] Operand 1
     /*  169844 */   // No operand predicates
     /*  169844 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169849 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169851 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  169851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  169854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169856 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169860 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169864 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169874 */   GIR_RootConstrainSelectedInstOperands,
     /*  169875 */   // GIR_Coverage, 74218,
     /*  169875 */   GIR_EraseRootFromParent_Done,
     /*  169876 */ // Label 3166: @169876
     /*  169876 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(169983), // Rule ID 74219 //
     /*  169881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  169884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169887 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169898 */   // MIs[0] Operand 1
     /*  169898 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169906 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169910 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169914 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169918 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169922 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169926 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169930 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  169934 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169939 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169943 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169947 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169951 */   // MIs[3] Operand 1
     /*  169951 */   // No operand predicates
     /*  169951 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169956 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169958 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  169961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169963 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169967 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169971 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169974 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169981 */   GIR_RootConstrainSelectedInstOperands,
     /*  169982 */   // GIR_Coverage, 74219,
     /*  169982 */   GIR_EraseRootFromParent_Done,
     /*  169983 */ // Label 3167: @169983
     /*  169983 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(170090), // Rule ID 74220 //
     /*  169988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169994 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170005 */   // MIs[0] Operand 1
     /*  170005 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170009 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170013 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170017 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170021 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170025 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  170029 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170033 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170037 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170041 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170046 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170050 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170054 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170058 */   // MIs[3] Operand 1
     /*  170058 */   // No operand predicates
     /*  170058 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170063 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170065 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170070 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  170074 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170078 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170081 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170088 */   GIR_RootConstrainSelectedInstOperands,
     /*  170089 */   // GIR_Coverage, 74220,
     /*  170089 */   GIR_EraseRootFromParent_Done,
     /*  170090 */ // Label 3168: @170090
     /*  170090 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(170197), // Rule ID 64554 //
     /*  170095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170101 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170112 */   // MIs[0] Operand 1
     /*  170112 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170116 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170120 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170124 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170128 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170132 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170137 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170141 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170145 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170149 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170153 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170158 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170162 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170166 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170170 */   // MIs[3] Operand 1
     /*  170170 */   // No operand predicates
     /*  170170 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170172 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170177 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170181 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170185 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170195 */   GIR_RootConstrainSelectedInstOperands,
     /*  170196 */   // GIR_Coverage, 64554,
     /*  170196 */   GIR_EraseRootFromParent_Done,
     /*  170197 */ // Label 3169: @170197
     /*  170197 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(170304), // Rule ID 64555 //
     /*  170202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170205 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170208 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170219 */   // MIs[0] Operand 1
     /*  170219 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170223 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170227 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170231 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170235 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170239 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170244 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170248 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170252 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170256 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170260 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170265 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170269 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170273 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170277 */   // MIs[3] Operand 1
     /*  170277 */   // No operand predicates
     /*  170277 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170279 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170284 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170288 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170292 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170302 */   GIR_RootConstrainSelectedInstOperands,
     /*  170303 */   // GIR_Coverage, 64555,
     /*  170303 */   GIR_EraseRootFromParent_Done,
     /*  170304 */ // Label 3170: @170304
     /*  170304 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(170411), // Rule ID 64556 //
     /*  170309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170312 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170315 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170326 */   // MIs[0] Operand 1
     /*  170326 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170330 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170334 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170338 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170342 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170346 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170351 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170355 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170359 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170363 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170367 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170372 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170376 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170380 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170384 */   // MIs[3] Operand 1
     /*  170384 */   // No operand predicates
     /*  170384 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170386 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170391 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170395 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170399 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170402 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170409 */   GIR_RootConstrainSelectedInstOperands,
     /*  170410 */   // GIR_Coverage, 64556,
     /*  170410 */   GIR_EraseRootFromParent_Done,
     /*  170411 */ // Label 3171: @170411
     /*  170411 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(170518), // Rule ID 64557 //
     /*  170416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170422 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170433 */   // MIs[0] Operand 1
     /*  170433 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170437 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170441 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170445 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170449 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170453 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170458 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170462 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170466 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170470 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170474 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170479 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170483 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170487 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170491 */   // MIs[3] Operand 1
     /*  170491 */   // No operand predicates
     /*  170491 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170493 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170498 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170502 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170506 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170509 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170516 */   GIR_RootConstrainSelectedInstOperands,
     /*  170517 */   // GIR_Coverage, 64557,
     /*  170517 */   GIR_EraseRootFromParent_Done,
     /*  170518 */ // Label 3172: @170518
     /*  170518 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(170572), // Rule ID 235 //
     /*  170523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170526 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170529 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170551 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170566 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170570 */   GIR_RootConstrainSelectedInstOperands,
     /*  170571 */   // GIR_Coverage, 235,
     /*  170571 */   GIR_EraseRootFromParent_Done,
     /*  170572 */ // Label 3173: @170572
     /*  170572 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(170626), // Rule ID 237 //
     /*  170577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170583 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170598 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170605 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170620 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170624 */   GIR_RootConstrainSelectedInstOperands,
     /*  170625 */   // GIR_Coverage, 237,
     /*  170625 */   GIR_EraseRootFromParent_Done,
     /*  170626 */ // Label 3174: @170626
     /*  170626 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(170683), // Rule ID 324 //
     /*  170631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  170634 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170637 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170644 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170651 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170655 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170662 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_9989>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170677 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170681 */   GIR_RootConstrainSelectedInstOperands,
     /*  170682 */   // GIR_Coverage, 324,
     /*  170682 */   GIR_EraseRootFromParent_Done,
     /*  170683 */ // Label 3175: @170683
     /*  170683 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(170740), // Rule ID 326 //
     /*  170688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  170691 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170694 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170701 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170708 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170712 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170719 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_9991>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170729 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170734 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170738 */   GIR_RootConstrainSelectedInstOperands,
     /*  170739 */   // GIR_Coverage, 326,
     /*  170739 */   GIR_EraseRootFromParent_Done,
     /*  170740 */ // Label 3176: @170740
     /*  170740 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(170797), // Rule ID 340 //
     /*  170745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  170748 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170751 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170758 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170765 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170769 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170776 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10003>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  170779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170791 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170795 */   GIR_RootConstrainSelectedInstOperands,
     /*  170796 */   // GIR_Coverage, 340,
     /*  170796 */   GIR_EraseRootFromParent_Done,
     /*  170797 */ // Label 3177: @170797
     /*  170797 */ GIM_Reject,
     /*  170798 */ // Label 3163: @170798
     /*  170798 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(170852), // Rule ID 234 //
     /*  170803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170809 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170831 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170850 */   GIR_RootConstrainSelectedInstOperands,
     /*  170851 */   // GIR_Coverage, 234,
     /*  170851 */   GIR_EraseRootFromParent_Done,
     /*  170852 */ // Label 3178: @170852
     /*  170852 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(170906), // Rule ID 236 //
     /*  170857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170860 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170863 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170874 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170878 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170885 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170900 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170904 */   GIR_RootConstrainSelectedInstOperands,
     /*  170905 */   // GIR_Coverage, 236,
     /*  170905 */   GIR_EraseRootFromParent_Done,
     /*  170906 */ // Label 3179: @170906
     /*  170906 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(170960), // Rule ID 277 //
     /*  170911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170914 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170917 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170932 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170939 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  170942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170954 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170958 */   GIR_RootConstrainSelectedInstOperands,
     /*  170959 */   // GIR_Coverage, 277,
     /*  170959 */   GIR_EraseRootFromParent_Done,
     /*  170960 */ // Label 3180: @170960
     /*  170960 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(171017), // Rule ID 323 //
     /*  170965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170968 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170971 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170978 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170985 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170989 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170996 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_9989>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171001 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171011 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171015 */   GIR_RootConstrainSelectedInstOperands,
     /*  171016 */   // GIR_Coverage, 323,
     /*  171016 */   GIR_EraseRootFromParent_Done,
     /*  171017 */ // Label 3181: @171017
     /*  171017 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(171074), // Rule ID 325 //
     /*  171022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171025 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171028 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171035 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171053 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_9991>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  171056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171068 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171072 */   GIR_RootConstrainSelectedInstOperands,
     /*  171073 */   // GIR_Coverage, 325,
     /*  171073 */   GIR_EraseRootFromParent_Done,
     /*  171074 */ // Label 3182: @171074
     /*  171074 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(171131), // Rule ID 339 //
     /*  171079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  171082 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171085 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171092 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171099 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171103 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171110 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10003>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  171113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171129 */   GIR_RootConstrainSelectedInstOperands,
     /*  171130 */   // GIR_Coverage, 339,
     /*  171130 */   GIR_EraseRootFromParent_Done,
     /*  171131 */ // Label 3183: @171131
     /*  171131 */ GIM_Reject,
     /*  171132 */ // Label 3164: @171132
     /*  171132 */ GIM_Reject,
     /*  171133 */ // Label 24: @171133
     /*  171133 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3218*/ GIMT_Encode4(179336),
     /*  171144 */ /*GILLT_p0s32*//*Label 3184*/ GIMT_Encode4(171280),
     /*  171148 */ /*GILLT_p0s64*//*Label 3185*/ GIMT_Encode4(171374),
     /*  171152 */ /*GILLT_s16*//*Label 3186*/ GIMT_Encode4(171468),
     /*  171156 */ /*GILLT_s32*//*Label 3187*/ GIMT_Encode4(172107),
     /*  171160 */ /*GILLT_s64*//*Label 3188*/ GIMT_Encode4(174713),
     /*  171164 */ /*GILLT_nxv1s1*//*Label 3189*/ GIMT_Encode4(175790),
     /*  171168 */ /*GILLT_nxv1s8*//*Label 3190*/ GIMT_Encode4(175870),
     /*  171172 */ /*GILLT_nxv1s16*//*Label 3191*/ GIMT_Encode4(175958),
     /*  171176 */ /*GILLT_nxv1s32*//*Label 3192*/ GIMT_Encode4(176116),
     /*  171180 */ /*GILLT_nxv1s64*//*Label 3193*/ GIMT_Encode4(176274),
     /*  171184 */ /*GILLT_nxv2s1*//*Label 3194*/ GIMT_Encode4(176432),
     /*  171188 */ /*GILLT_nxv2s8*//*Label 3195*/ GIMT_Encode4(176512),
     /*  171192 */ /*GILLT_nxv2s16*//*Label 3196*/ GIMT_Encode4(176600),
     /*  171196 */ /*GILLT_nxv2s32*//*Label 3197*/ GIMT_Encode4(176758),
     /*  171200 */ /*GILLT_nxv2s64*//*Label 3198*/ GIMT_Encode4(176916),
     /*  171204 */ /*GILLT_nxv4s1*//*Label 3199*/ GIMT_Encode4(177074),
     /*  171208 */ /*GILLT_nxv4s8*//*Label 3200*/ GIMT_Encode4(177154),
     /*  171212 */ /*GILLT_nxv4s16*//*Label 3201*/ GIMT_Encode4(177242),
     /*  171216 */ /*GILLT_nxv4s32*//*Label 3202*/ GIMT_Encode4(177400),
     /*  171220 */ /*GILLT_nxv4s64*//*Label 3203*/ GIMT_Encode4(177558),
     /*  171224 */ /*GILLT_nxv8s1*//*Label 3204*/ GIMT_Encode4(177716),
     /*  171228 */ /*GILLT_nxv8s8*//*Label 3205*/ GIMT_Encode4(177796),
     /*  171232 */ /*GILLT_nxv8s16*//*Label 3206*/ GIMT_Encode4(177884),
     /*  171236 */ /*GILLT_nxv8s32*//*Label 3207*/ GIMT_Encode4(178042),
     /*  171240 */ /*GILLT_nxv8s64*//*Label 3208*/ GIMT_Encode4(178200),
     /*  171244 */ /*GILLT_nxv16s1*//*Label 3209*/ GIMT_Encode4(178358),
     /*  171248 */ /*GILLT_nxv16s8*//*Label 3210*/ GIMT_Encode4(178438),
     /*  171252 */ /*GILLT_nxv16s16*//*Label 3211*/ GIMT_Encode4(178526),
     /*  171256 */ /*GILLT_nxv16s32*//*Label 3212*/ GIMT_Encode4(178684),
     /*  171260 */ /*GILLT_nxv32s1*//*Label 3213*/ GIMT_Encode4(178842),
     /*  171264 */ /*GILLT_nxv32s8*//*Label 3214*/ GIMT_Encode4(178922),
     /*  171268 */ /*GILLT_nxv32s16*//*Label 3215*/ GIMT_Encode4(179010),
     /*  171272 */ /*GILLT_nxv64s1*//*Label 3216*/ GIMT_Encode4(179168),
     /*  171276 */ /*GILLT_nxv64s8*//*Label 3217*/ GIMT_Encode4(179248),
     /*  171280 */ // Label 3184: @171280
     /*  171280 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(171373),
     /*  171285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171300 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(171336), // Rule ID 65188 //
     /*  171305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  171308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171315 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171318 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171334 */     GIR_RootConstrainSelectedInstOperands,
     /*  171335 */     // GIR_Coverage, 65188,
     /*  171335 */     GIR_EraseRootFromParent_Done,
     /*  171336 */   // Label 3220: @171336
     /*  171336 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(171372), // Rule ID 65192 //
     /*  171341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  171344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171351 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171354 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171370 */     GIR_RootConstrainSelectedInstOperands,
     /*  171371 */     // GIR_Coverage, 65192,
     /*  171371 */     GIR_EraseRootFromParent_Done,
     /*  171372 */   // Label 3221: @171372
     /*  171372 */   GIM_Reject,
     /*  171373 */ // Label 3219: @171373
     /*  171373 */ GIM_Reject,
     /*  171374 */ // Label 3185: @171374
     /*  171374 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(171467),
     /*  171379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171394 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(171430), // Rule ID 65187 //
     /*  171399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  171402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171409 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171412 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171428 */     GIR_RootConstrainSelectedInstOperands,
     /*  171429 */     // GIR_Coverage, 65187,
     /*  171429 */     GIR_EraseRootFromParent_Done,
     /*  171430 */   // Label 3223: @171430
     /*  171430 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(171466), // Rule ID 65191 //
     /*  171435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171445 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171448 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171464 */     GIR_RootConstrainSelectedInstOperands,
     /*  171465 */     // GIR_Coverage, 65191,
     /*  171465 */     GIR_EraseRootFromParent_Done,
     /*  171466 */   // Label 3224: @171466
     /*  171466 */   GIM_Reject,
     /*  171467 */ // Label 3222: @171467
     /*  171467 */ GIM_Reject,
     /*  171468 */ // Label 3186: @171468
     /*  171468 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(171522), // Rule ID 65205 //
     /*  171473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171476 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171479 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171490 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171494 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171501 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171504 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171506 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171511 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171516 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171520 */   GIR_RootConstrainSelectedInstOperands,
     /*  171521 */   // GIR_Coverage, 65205,
     /*  171521 */   GIR_EraseRootFromParent_Done,
     /*  171522 */ // Label 3225: @171522
     /*  171522 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(171576), // Rule ID 65206 //
     /*  171527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171530 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171533 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171544 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171548 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171555 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171558 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171565 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171570 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171574 */   GIR_RootConstrainSelectedInstOperands,
     /*  171575 */   // GIR_Coverage, 65206,
     /*  171575 */   GIR_EraseRootFromParent_Done,
     /*  171576 */ // Label 3226: @171576
     /*  171576 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(171630), // Rule ID 65207 //
     /*  171581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171584 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171587 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171609 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171612 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171628 */   GIR_RootConstrainSelectedInstOperands,
     /*  171629 */   // GIR_Coverage, 65207,
     /*  171629 */   GIR_EraseRootFromParent_Done,
     /*  171630 */ // Label 3227: @171630
     /*  171630 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171684), // Rule ID 65208 //
     /*  171635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171638 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171641 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171652 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171656 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171663 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171666 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171682 */   GIR_RootConstrainSelectedInstOperands,
     /*  171683 */   // GIR_Coverage, 65208,
     /*  171683 */   GIR_EraseRootFromParent_Done,
     /*  171684 */ // Label 3228: @171684
     /*  171684 */ GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171735), // Rule ID 2142 //
     /*  171689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  171692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  171703 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171707 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171714 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  171717 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171719 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171729 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171733 */   GIR_RootConstrainSelectedInstOperands,
     /*  171734 */   // GIR_Coverage, 2142,
     /*  171734 */   GIR_EraseRootFromParent_Done,
     /*  171735 */ // Label 3229: @171735
     /*  171735 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171786), // Rule ID 2143 //
     /*  171740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  171743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  171754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171758 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171765 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  171768 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171784 */   GIR_RootConstrainSelectedInstOperands,
     /*  171785 */   // GIR_Coverage, 2143,
     /*  171785 */   GIR_EraseRootFromParent_Done,
     /*  171786 */ // Label 3230: @171786
     /*  171786 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171837), // Rule ID 2148 //
     /*  171791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  171794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171797 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  171805 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171816 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  171819 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171835 */   GIR_RootConstrainSelectedInstOperands,
     /*  171836 */   // GIR_Coverage, 2148,
     /*  171836 */   GIR_EraseRootFromParent_Done,
     /*  171837 */ // Label 3231: @171837
     /*  171837 */ GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171888), // Rule ID 2149 //
     /*  171842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  171845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171848 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  171856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171867 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  171870 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171886 */   GIR_RootConstrainSelectedInstOperands,
     /*  171887 */   // GIR_Coverage, 2149,
     /*  171887 */   GIR_EraseRootFromParent_Done,
     /*  171888 */ // Label 3232: @171888
     /*  171888 */ GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171939), // Rule ID 65195 //
     /*  171893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171899 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171918 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171921 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171933 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171937 */   GIR_RootConstrainSelectedInstOperands,
     /*  171938 */   // GIR_Coverage, 65195,
     /*  171938 */   GIR_EraseRootFromParent_Done,
     /*  171939 */ // Label 3233: @171939
     /*  171939 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171990), // Rule ID 65196 //
     /*  171944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  171947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171950 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171958 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171962 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171969 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171972 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171974 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171979 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171984 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171988 */   GIR_RootConstrainSelectedInstOperands,
     /*  171989 */   // GIR_Coverage, 65196,
     /*  171989 */   GIR_EraseRootFromParent_Done,
     /*  171990 */ // Label 3234: @171990
     /*  171990 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(172048), // Rule ID 65199 //
     /*  171995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171998 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172001 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172005 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172016 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172020 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172027 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  172030 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172032 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172042 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172046 */   GIR_RootConstrainSelectedInstOperands,
     /*  172047 */   // GIR_Coverage, 65199,
     /*  172047 */   GIR_EraseRootFromParent_Done,
     /*  172048 */ // Label 3235: @172048
     /*  172048 */ GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(172106), // Rule ID 65200 //
     /*  172053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  172056 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172059 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172063 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172078 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172085 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  172088 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172100 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172104 */   GIR_RootConstrainSelectedInstOperands,
     /*  172105 */   // GIR_Coverage, 65200,
     /*  172105 */   GIR_EraseRootFromParent_Done,
     /*  172106 */ // Label 3236: @172106
     /*  172106 */ GIM_Reject,
     /*  172107 */ // Label 3187: @172107
     /*  172107 */ GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(172218), // Rule ID 74221 //
     /*  172112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172115 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172118 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172133 */   // MIs[0] Operand 1
     /*  172133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172137 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172141 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172145 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172149 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172153 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172157 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172161 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172165 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172169 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172174 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172178 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172182 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172186 */   // MIs[3] Operand 1
     /*  172186 */   // No operand predicates
     /*  172186 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172191 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172193 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172196 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172198 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172202 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172206 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172209 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172216 */   GIR_RootConstrainSelectedInstOperands,
     /*  172217 */   // GIR_Coverage, 74221,
     /*  172217 */   GIR_EraseRootFromParent_Done,
     /*  172218 */ // Label 3237: @172218
     /*  172218 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(172329), // Rule ID 74222 //
     /*  172223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172226 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172229 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172233 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172244 */   // MIs[0] Operand 1
     /*  172244 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172248 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172252 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172256 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172260 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172264 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172268 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172272 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172276 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172280 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172285 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172289 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172293 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172297 */   // MIs[3] Operand 1
     /*  172297 */   // No operand predicates
     /*  172297 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172302 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172304 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172307 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172309 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172313 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172317 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172327 */   GIR_RootConstrainSelectedInstOperands,
     /*  172328 */   // GIR_Coverage, 74222,
     /*  172328 */   GIR_EraseRootFromParent_Done,
     /*  172329 */ // Label 3238: @172329
     /*  172329 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(172440), // Rule ID 74223 //
     /*  172334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172340 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172344 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172355 */   // MIs[0] Operand 1
     /*  172355 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172359 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172363 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172367 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172371 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172375 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172379 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172383 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172387 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172391 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172396 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172400 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172404 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172408 */   // MIs[3] Operand 1
     /*  172408 */   // No operand predicates
     /*  172408 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172413 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172415 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172418 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172420 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172424 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172428 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172431 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172438 */   GIR_RootConstrainSelectedInstOperands,
     /*  172439 */   // GIR_Coverage, 74223,
     /*  172439 */   GIR_EraseRootFromParent_Done,
     /*  172440 */ // Label 3239: @172440
     /*  172440 */ GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(172551), // Rule ID 74224 //
     /*  172445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172448 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172451 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172455 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172466 */   // MIs[0] Operand 1
     /*  172466 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172470 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172474 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172478 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172482 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172486 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172490 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172494 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172498 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172502 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172507 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172511 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172515 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172519 */   // MIs[3] Operand 1
     /*  172519 */   // No operand predicates
     /*  172519 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172524 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172526 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172529 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172531 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172535 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172539 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172549 */   GIR_RootConstrainSelectedInstOperands,
     /*  172550 */   // GIR_Coverage, 74224,
     /*  172550 */   GIR_EraseRootFromParent_Done,
     /*  172551 */ // Label 3240: @172551
     /*  172551 */ GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(172655), // Rule ID 74225 //
     /*  172556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172562 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172570 */   // MIs[0] Operand 1
     /*  172570 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172574 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172578 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172582 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172586 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172590 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172594 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172598 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172602 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172606 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172611 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172615 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172619 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172623 */   // MIs[3] Operand 1
     /*  172623 */   // No operand predicates
     /*  172623 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172628 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172630 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  172633 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172635 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172639 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172643 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172646 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172653 */   GIR_RootConstrainSelectedInstOperands,
     /*  172654 */   // GIR_Coverage, 74225,
     /*  172654 */   GIR_EraseRootFromParent_Done,
     /*  172655 */ // Label 3241: @172655
     /*  172655 */ GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(172759), // Rule ID 74226 //
     /*  172660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172674 */   // MIs[0] Operand 1
     /*  172674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172678 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172682 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172686 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172690 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172694 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172698 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172702 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172706 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172710 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172715 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172719 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172723 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172727 */   // MIs[3] Operand 1
     /*  172727 */   // No operand predicates
     /*  172727 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172732 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172734 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  172737 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172739 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172743 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172747 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172750 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172757 */   GIR_RootConstrainSelectedInstOperands,
     /*  172758 */   // GIR_Coverage, 74226,
     /*  172758 */   GIR_EraseRootFromParent_Done,
     /*  172759 */ // Label 3242: @172759
     /*  172759 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(172870), // Rule ID 64558 //
     /*  172764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172767 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172770 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172774 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172785 */   // MIs[0] Operand 1
     /*  172785 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172789 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172793 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172797 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172801 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172805 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172810 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  172814 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172818 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172822 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172826 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172831 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172835 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172839 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172843 */   // MIs[3] Operand 1
     /*  172843 */   // No operand predicates
     /*  172843 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172845 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172848 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172850 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  172854 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172858 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172868 */   GIR_RootConstrainSelectedInstOperands,
     /*  172869 */   // GIR_Coverage, 64558,
     /*  172869 */   GIR_EraseRootFromParent_Done,
     /*  172870 */ // Label 3243: @172870
     /*  172870 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(172981), // Rule ID 64559 //
     /*  172875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172881 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172896 */   // MIs[0] Operand 1
     /*  172896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172900 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172904 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172908 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172912 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172916 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172921 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  172925 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172929 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172933 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172937 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172942 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172946 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172950 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172954 */   // MIs[3] Operand 1
     /*  172954 */   // No operand predicates
     /*  172954 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172956 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172959 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172961 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  172965 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172969 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172972 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172979 */   GIR_RootConstrainSelectedInstOperands,
     /*  172980 */   // GIR_Coverage, 64559,
     /*  172980 */   GIR_EraseRootFromParent_Done,
     /*  172981 */ // Label 3244: @172981
     /*  172981 */ GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(173092), // Rule ID 64560 //
     /*  172986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172992 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172996 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173007 */   // MIs[0] Operand 1
     /*  173007 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173011 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173015 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173019 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173023 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173027 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173032 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173036 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173040 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173044 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173048 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173053 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173057 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173061 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173065 */   // MIs[3] Operand 1
     /*  173065 */   // No operand predicates
     /*  173065 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173067 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173070 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173072 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173076 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173080 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173090 */   GIR_RootConstrainSelectedInstOperands,
     /*  173091 */   // GIR_Coverage, 64560,
     /*  173091 */   GIR_EraseRootFromParent_Done,
     /*  173092 */ // Label 3245: @173092
     /*  173092 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(173203), // Rule ID 64561 //
     /*  173097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173100 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173103 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173118 */   // MIs[0] Operand 1
     /*  173118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173122 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173126 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173130 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173134 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173138 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173143 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173147 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173151 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173155 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173159 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173164 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173168 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173172 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173176 */   // MIs[3] Operand 1
     /*  173176 */   // No operand predicates
     /*  173176 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173178 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173181 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173183 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173187 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173191 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173194 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173201 */   GIR_RootConstrainSelectedInstOperands,
     /*  173202 */   // GIR_Coverage, 64561,
     /*  173202 */   GIR_EraseRootFromParent_Done,
     /*  173203 */ // Label 3246: @173203
     /*  173203 */ GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(173307), // Rule ID 64562 //
     /*  173208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173211 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173214 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173222 */   // MIs[0] Operand 1
     /*  173222 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173226 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173230 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173234 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173238 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173242 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173247 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173251 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173255 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173259 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173263 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173268 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173272 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173276 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173280 */   // MIs[3] Operand 1
     /*  173280 */   // No operand predicates
     /*  173280 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173282 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173285 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173287 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173291 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173295 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173298 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173305 */   GIR_RootConstrainSelectedInstOperands,
     /*  173306 */   // GIR_Coverage, 64562,
     /*  173306 */   GIR_EraseRootFromParent_Done,
     /*  173307 */ // Label 3247: @173307
     /*  173307 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(173411), // Rule ID 64563 //
     /*  173312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173315 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173326 */   // MIs[0] Operand 1
     /*  173326 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173330 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173334 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173338 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173342 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173346 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173351 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173355 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173359 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173363 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173367 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173372 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173376 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173380 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173384 */   // MIs[3] Operand 1
     /*  173384 */   // No operand predicates
     /*  173384 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173386 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173389 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173391 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173395 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173399 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173402 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173409 */   GIR_RootConstrainSelectedInstOperands,
     /*  173410 */   // GIR_Coverage, 64563,
     /*  173410 */   GIR_EraseRootFromParent_Done,
     /*  173411 */ // Label 3248: @173411
     /*  173411 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(173468), // Rule ID 328 //
     /*  173416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173419 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173422 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173429 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173440 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173447 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9993>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  173450 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173462 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173466 */   GIR_RootConstrainSelectedInstOperands,
     /*  173467 */   // GIR_Coverage, 328,
     /*  173467 */   GIR_EraseRootFromParent_Done,
     /*  173468 */ // Label 3249: @173468
     /*  173468 */ GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(173525), // Rule ID 330 //
     /*  173473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173476 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173479 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173486 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173493 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173497 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173504 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9995>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  173507 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173523 */   GIR_RootConstrainSelectedInstOperands,
     /*  173524 */   // GIR_Coverage, 330,
     /*  173524 */   GIR_EraseRootFromParent_Done,
     /*  173525 */ // Label 3250: @173525
     /*  173525 */ GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(173582), // Rule ID 332 //
     /*  173530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173543 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173561 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9997>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173564 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173580 */   GIR_RootConstrainSelectedInstOperands,
     /*  173581 */   // GIR_Coverage, 332,
     /*  173581 */   GIR_EraseRootFromParent_Done,
     /*  173582 */ // Label 3251: @173582
     /*  173582 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(173636), // Rule ID 65211 //
     /*  173587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  173590 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173604 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173615 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173618 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173634 */   GIR_RootConstrainSelectedInstOperands,
     /*  173635 */   // GIR_Coverage, 65211,
     /*  173635 */   GIR_EraseRootFromParent_Done,
     /*  173636 */ // Label 3252: @173636
     /*  173636 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(173690), // Rule ID 65212 //
     /*  173641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  173644 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173647 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173658 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173662 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173669 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173672 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173684 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173688 */   GIR_RootConstrainSelectedInstOperands,
     /*  173689 */   // GIR_Coverage, 65212,
     /*  173689 */   GIR_EraseRootFromParent_Done,
     /*  173690 */ // Label 3253: @173690
     /*  173690 */ GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(173748), // Rule ID 239 //
     /*  173695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173698 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173701 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173716 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173720 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173727 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  173730 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173737 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173742 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173746 */   GIR_RootConstrainSelectedInstOperands,
     /*  173747 */   // GIR_Coverage, 239,
     /*  173747 */   GIR_EraseRootFromParent_Done,
     /*  173748 */ // Label 3254: @173748
     /*  173748 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(173806), // Rule ID 241 //
     /*  173753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173756 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173759 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173763 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173774 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173778 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173785 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  173788 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173800 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173804 */   GIR_RootConstrainSelectedInstOperands,
     /*  173805 */   // GIR_Coverage, 241,
     /*  173805 */   GIR_EraseRootFromParent_Done,
     /*  173806 */ // Label 3255: @173806
     /*  173806 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(173857), // Rule ID 242 //
     /*  173811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  173814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173817 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173836 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173839 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173855 */   GIR_RootConstrainSelectedInstOperands,
     /*  173856 */   // GIR_Coverage, 242,
     /*  173856 */   GIR_EraseRootFromParent_Done,
     /*  173857 */ // Label 3256: @173857
     /*  173857 */ GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(173908), // Rule ID 243 //
     /*  173862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173880 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173887 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173890 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173897 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173906 */   GIR_RootConstrainSelectedInstOperands,
     /*  173907 */   // GIR_Coverage, 243,
     /*  173907 */   GIR_EraseRootFromParent_Done,
     /*  173908 */ // Label 3257: @173908
     /*  173908 */ GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(173959), // Rule ID 1429 //
     /*  173913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  173916 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173919 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  173927 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173931 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173938 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  173941 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173953 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173957 */   GIR_RootConstrainSelectedInstOperands,
     /*  173958 */   // GIR_Coverage, 1429,
     /*  173958 */   GIR_EraseRootFromParent_Done,
     /*  173959 */ // Label 3258: @173959
     /*  173959 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(174010), // Rule ID 1430 //
     /*  173964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  173967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  173978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173989 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  173992 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174008 */   GIR_RootConstrainSelectedInstOperands,
     /*  174009 */   // GIR_Coverage, 1430,
     /*  174009 */   GIR_EraseRootFromParent_Done,
     /*  174010 */ // Label 3259: @174010
     /*  174010 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(174061), // Rule ID 1435 //
     /*  174015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  174018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174021 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  174029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174040 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  174043 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174055 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174059 */   GIR_RootConstrainSelectedInstOperands,
     /*  174060 */   // GIR_Coverage, 1435,
     /*  174060 */   GIR_EraseRootFromParent_Done,
     /*  174061 */ // Label 3260: @174061
     /*  174061 */ GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(174112), // Rule ID 1436 //
     /*  174066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  174069 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174072 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  174080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174084 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174091 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  174094 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174106 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174110 */   GIR_RootConstrainSelectedInstOperands,
     /*  174111 */   // GIR_Coverage, 1436,
     /*  174111 */   GIR_EraseRootFromParent_Done,
     /*  174112 */ // Label 3261: @174112
     /*  174112 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(174170), // Rule ID 65217 //
     /*  174117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174120 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174123 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174127 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174138 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174142 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174149 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174152 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174164 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174168 */   GIR_RootConstrainSelectedInstOperands,
     /*  174169 */   // GIR_Coverage, 65217,
     /*  174169 */   GIR_EraseRootFromParent_Done,
     /*  174170 */ // Label 3262: @174170
     /*  174170 */ GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(174228), // Rule ID 65218 //
     /*  174175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174178 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174181 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174185 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174196 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174200 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174207 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174210 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174222 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174226 */   GIR_RootConstrainSelectedInstOperands,
     /*  174227 */   // GIR_Coverage, 65218,
     /*  174227 */   GIR_EraseRootFromParent_Done,
     /*  174228 */ // Label 3263: @174228
     /*  174228 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(174286), // Rule ID 65219 //
     /*  174233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174236 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174239 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174243 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174254 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174258 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174265 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174268 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174284 */   GIR_RootConstrainSelectedInstOperands,
     /*  174285 */   // GIR_Coverage, 65219,
     /*  174285 */   GIR_EraseRootFromParent_Done,
     /*  174286 */ // Label 3264: @174286
     /*  174286 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(174344), // Rule ID 65220 //
     /*  174291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174297 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174301 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174312 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174316 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174323 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174326 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174338 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174342 */   GIR_RootConstrainSelectedInstOperands,
     /*  174343 */   // GIR_Coverage, 65220,
     /*  174343 */   GIR_EraseRootFromParent_Done,
     /*  174344 */ // Label 3265: @174344
     /*  174344 */ GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(174390), // Rule ID 1108 //
     /*  174349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174352 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174355 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174362 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174369 */   // MIs[0] rs1
     /*  174369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174377 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10497>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174382 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174388 */   GIR_RootConstrainSelectedInstOperands,
     /*  174389 */   // GIR_Coverage, 1108,
     /*  174389 */   GIR_EraseRootFromParent_Done,
     /*  174390 */ // Label 3266: @174390
     /*  174390 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(174436), // Rule ID 1110 //
     /*  174395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174398 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174401 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174408 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174415 */   // MIs[0] rs1
     /*  174415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174423 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10499>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174428 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174434 */   GIR_RootConstrainSelectedInstOperands,
     /*  174435 */   // GIR_Coverage, 1110,
     /*  174435 */   GIR_EraseRootFromParent_Done,
     /*  174436 */ // Label 3267: @174436
     /*  174436 */ GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(174482), // Rule ID 1112 //
     /*  174441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174444 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174447 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174461 */   // MIs[0] rs1
     /*  174461 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174469 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10501>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174474 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174480 */   GIR_RootConstrainSelectedInstOperands,
     /*  174481 */   // GIR_Coverage, 1112,
     /*  174481 */   GIR_EraseRootFromParent_Done,
     /*  174482 */ // Label 3268: @174482
     /*  174482 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(174528), // Rule ID 1114 //
     /*  174487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174493 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174507 */   // MIs[0] rs1
     /*  174507 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174515 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10503>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174520 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174526 */   GIR_RootConstrainSelectedInstOperands,
     /*  174527 */   // GIR_Coverage, 1114,
     /*  174527 */   GIR_EraseRootFromParent_Done,
     /*  174528 */ // Label 3269: @174528
     /*  174528 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(174574), // Rule ID 1116 //
     /*  174533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174536 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174539 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174546 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174553 */   // MIs[0] rs1
     /*  174553 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174561 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10505>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  174564 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174566 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174568 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174572 */   GIR_RootConstrainSelectedInstOperands,
     /*  174573 */   // GIR_Coverage, 1116,
     /*  174573 */   GIR_EraseRootFromParent_Done,
     /*  174574 */ // Label 3270: @174574
     /*  174574 */ GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(174620), // Rule ID 1118 //
     /*  174579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174582 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174585 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174592 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174599 */   // MIs[0] rs1
     /*  174599 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174607 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10507>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  174610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174612 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174618 */   GIR_RootConstrainSelectedInstOperands,
     /*  174619 */   // GIR_Coverage, 1118,
     /*  174619 */   GIR_EraseRootFromParent_Done,
     /*  174620 */ // Label 3271: @174620
     /*  174620 */ GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(174666), // Rule ID 1136 //
     /*  174625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  174628 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174631 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174645 */   // MIs[0] rs1
     /*  174645 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174653 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10521>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  174656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174658 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174660 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174664 */   GIR_RootConstrainSelectedInstOperands,
     /*  174665 */   // GIR_Coverage, 1136,
     /*  174665 */   GIR_EraseRootFromParent_Done,
     /*  174666 */ // Label 3272: @174666
     /*  174666 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(174712), // Rule ID 1138 //
     /*  174671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  174674 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174677 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174684 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174691 */   // MIs[0] rs1
     /*  174691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174699 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10523>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  174702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174704 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174710 */   GIR_RootConstrainSelectedInstOperands,
     /*  174711 */   // GIR_Coverage, 1138,
     /*  174711 */   GIR_EraseRootFromParent_Done,
     /*  174712 */ // Label 3273: @174712
     /*  174712 */ GIM_Reject,
     /*  174713 */ // Label 3188: @174713
     /*  174713 */ GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(174770), // Rule ID 327 //
     /*  174718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174721 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174724 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174731 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174738 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174742 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174749 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9993>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174752 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174768 */   GIR_RootConstrainSelectedInstOperands,
     /*  174769 */   // GIR_Coverage, 327,
     /*  174769 */   GIR_EraseRootFromParent_Done,
     /*  174770 */ // Label 3274: @174770
     /*  174770 */ GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(174827), // Rule ID 329 //
     /*  174775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174778 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174781 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174788 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174795 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174806 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9995>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174809 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174825 */   GIR_RootConstrainSelectedInstOperands,
     /*  174826 */   // GIR_Coverage, 329,
     /*  174826 */   GIR_EraseRootFromParent_Done,
     /*  174827 */ // Label 3275: @174827
     /*  174827 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(174884), // Rule ID 331 //
     /*  174832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174845 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174856 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174863 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9997>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174866 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174882 */   GIR_RootConstrainSelectedInstOperands,
     /*  174883 */   // GIR_Coverage, 331,
     /*  174883 */   GIR_EraseRootFromParent_Done,
     /*  174884 */ // Label 3276: @174884
     /*  174884 */ GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(174941), // Rule ID 342 //
     /*  174889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  174892 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174895 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174902 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174920 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10007>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  174923 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174939 */   GIR_RootConstrainSelectedInstOperands,
     /*  174940 */   // GIR_Coverage, 342,
     /*  174940 */   GIR_EraseRootFromParent_Done,
     /*  174941 */ // Label 3277: @174941
     /*  174941 */ GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(174999), // Rule ID 238 //
     /*  174946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  174949 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174952 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174967 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174971 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174978 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174981 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174983 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174988 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174993 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174997 */   GIR_RootConstrainSelectedInstOperands,
     /*  174998 */   // GIR_Coverage, 238,
     /*  174998 */   GIR_EraseRootFromParent_Done,
     /*  174999 */ // Label 3278: @174999
     /*  174999 */ GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(175057), // Rule ID 240 //
     /*  175004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  175007 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175010 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175014 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175025 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175029 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175036 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  175039 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175051 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175055 */   GIR_RootConstrainSelectedInstOperands,
     /*  175056 */   // GIR_Coverage, 240,
     /*  175056 */   GIR_EraseRootFromParent_Done,
     /*  175057 */ // Label 3279: @175057
     /*  175057 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(175115), // Rule ID 279 //
     /*  175062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  175065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175068 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175072 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175083 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175087 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175094 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  175097 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175109 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175113 */   GIR_RootConstrainSelectedInstOperands,
     /*  175114 */   // GIR_Coverage, 279,
     /*  175114 */   GIR_EraseRootFromParent_Done,
     /*  175115 */ // Label 3280: @175115
     /*  175115 */ GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(175166), // Rule ID 280 //
     /*  175120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  175123 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175126 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175145 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175148 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175160 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175164 */   GIR_RootConstrainSelectedInstOperands,
     /*  175165 */   // GIR_Coverage, 280,
     /*  175165 */   GIR_EraseRootFromParent_Done,
     /*  175166 */ // Label 3281: @175166
     /*  175166 */ GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(175217), // Rule ID 1827 //
     /*  175171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  175174 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175177 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175196 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175199 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175215 */   GIR_RootConstrainSelectedInstOperands,
     /*  175216 */   // GIR_Coverage, 1827,
     /*  175216 */   GIR_EraseRootFromParent_Done,
     /*  175217 */ // Label 3282: @175217
     /*  175217 */ GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(175268), // Rule ID 1828 //
     /*  175222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  175225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175228 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175236 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175240 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175247 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  175247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175250 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175266 */   GIR_RootConstrainSelectedInstOperands,
     /*  175267 */   // GIR_Coverage, 1828,
     /*  175267 */   GIR_EraseRootFromParent_Done,
     /*  175268 */ // Label 3283: @175268
     /*  175268 */ GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(175319), // Rule ID 1831 //
     /*  175273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  175276 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175279 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175287 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175291 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175298 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175301 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175313 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175317 */   GIR_RootConstrainSelectedInstOperands,
     /*  175318 */   // GIR_Coverage, 1831,
     /*  175318 */   GIR_EraseRootFromParent_Done,
     /*  175319 */ // Label 3284: @175319
     /*  175319 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(175370), // Rule ID 1836 //
     /*  175324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  175327 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175330 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  175338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175342 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175349 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  175352 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175359 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175364 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175368 */   GIR_RootConstrainSelectedInstOperands,
     /*  175369 */   // GIR_Coverage, 1836,
     /*  175369 */   GIR_EraseRootFromParent_Done,
     /*  175370 */ // Label 3285: @175370
     /*  175370 */ GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(175421), // Rule ID 1837 //
     /*  175375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  175378 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175381 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  175389 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175393 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175400 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  175400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  175403 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175419 */   GIR_RootConstrainSelectedInstOperands,
     /*  175420 */   // GIR_Coverage, 1837,
     /*  175420 */   GIR_EraseRootFromParent_Done,
     /*  175421 */ // Label 3286: @175421
     /*  175421 */ GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(175467), // Rule ID 1107 //
     /*  175426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175429 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175432 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175446 */   // MIs[0] rs1
     /*  175446 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175454 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10497>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175459 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175465 */   GIR_RootConstrainSelectedInstOperands,
     /*  175466 */   // GIR_Coverage, 1107,
     /*  175466 */   GIR_EraseRootFromParent_Done,
     /*  175467 */ // Label 3287: @175467
     /*  175467 */ GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(175513), // Rule ID 1109 //
     /*  175472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175475 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175478 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175492 */   // MIs[0] rs1
     /*  175492 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175500 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10499>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175503 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175505 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175507 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175511 */   GIR_RootConstrainSelectedInstOperands,
     /*  175512 */   // GIR_Coverage, 1109,
     /*  175512 */   GIR_EraseRootFromParent_Done,
     /*  175513 */ // Label 3288: @175513
     /*  175513 */ GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(175559), // Rule ID 1111 //
     /*  175518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175521 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175524 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175531 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175538 */   // MIs[0] rs1
     /*  175538 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175546 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10501>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  175549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175551 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175553 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175557 */   GIR_RootConstrainSelectedInstOperands,
     /*  175558 */   // GIR_Coverage, 1111,
     /*  175558 */   GIR_EraseRootFromParent_Done,
     /*  175559 */ // Label 3289: @175559
     /*  175559 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(175605), // Rule ID 1113 //
     /*  175564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175567 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175577 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175584 */   // MIs[0] rs1
     /*  175584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175592 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10503>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  175595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175597 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175599 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175603 */   GIR_RootConstrainSelectedInstOperands,
     /*  175604 */   // GIR_Coverage, 1113,
     /*  175604 */   GIR_EraseRootFromParent_Done,
     /*  175605 */ // Label 3290: @175605
     /*  175605 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(175651), // Rule ID 1115 //
     /*  175610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175613 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175616 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175623 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175630 */   // MIs[0] rs1
     /*  175630 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175638 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10505>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175643 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175645 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175649 */   GIR_RootConstrainSelectedInstOperands,
     /*  175650 */   // GIR_Coverage, 1115,
     /*  175650 */   GIR_EraseRootFromParent_Done,
     /*  175651 */ // Label 3291: @175651
     /*  175651 */ GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(175697), // Rule ID 1117 //
     /*  175656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175659 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175662 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175669 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175676 */   // MIs[0] rs1
     /*  175676 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175684 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10507>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175689 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175695 */   GIR_RootConstrainSelectedInstOperands,
     /*  175696 */   // GIR_Coverage, 1117,
     /*  175696 */   GIR_EraseRootFromParent_Done,
     /*  175697 */ // Label 3292: @175697
     /*  175697 */ GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(175743), // Rule ID 1135 //
     /*  175702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  175705 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175708 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175722 */   // MIs[0] rs1
     /*  175722 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175730 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10521>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175735 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175741 */   GIR_RootConstrainSelectedInstOperands,
     /*  175742 */   // GIR_Coverage, 1135,
     /*  175742 */   GIR_EraseRootFromParent_Done,
     /*  175743 */ // Label 3293: @175743
     /*  175743 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(175789), // Rule ID 1137 //
     /*  175748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  175751 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175754 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175768 */   // MIs[0] rs1
     /*  175768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175776 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10523>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175779 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175781 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175783 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175787 */   GIR_RootConstrainSelectedInstOperands,
     /*  175788 */   // GIR_Coverage, 1137,
     /*  175788 */   GIR_EraseRootFromParent_Done,
     /*  175789 */ // Label 3294: @175789
     /*  175789 */ GIM_Reject,
     /*  175790 */ // Label 3189: @175790
     /*  175790 */ GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(175869),
     /*  175795 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175798 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175806 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175814 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(175841), // Rule ID 45734 //
     /*  175819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175822 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  175822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  175825 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175839 */     GIR_RootConstrainSelectedInstOperands,
     /*  175840 */     // GIR_Coverage, 45734,
     /*  175840 */     GIR_EraseRootFromParent_Done,
     /*  175841 */   // Label 3296: @175841
     /*  175841 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(175868), // Rule ID 45735 //
     /*  175846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175849 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  175849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  175852 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175866 */     GIR_RootConstrainSelectedInstOperands,
     /*  175867 */     // GIR_Coverage, 45735,
     /*  175867 */     GIR_EraseRootFromParent_Done,
     /*  175868 */   // Label 3297: @175868
     /*  175868 */   GIM_Reject,
     /*  175869 */ // Label 3295: @175869
     /*  175869 */ GIM_Reject,
     /*  175870 */ // Label 3190: @175870
     /*  175870 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(175957),
     /*  175875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175886 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(175921), // Rule ID 45730 //
     /*  175891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175894 */     // MIs[0] rs1
     /*  175894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175902 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  175902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  175905 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175919 */     GIR_RootConstrainSelectedInstOperands,
     /*  175920 */     // GIR_Coverage, 45730,
     /*  175920 */     GIR_EraseRootFromParent_Done,
     /*  175921 */   // Label 3299: @175921
     /*  175921 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(175956), // Rule ID 45731 //
     /*  175926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175929 */     // MIs[0] rs1
     /*  175929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175937 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  175937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  175940 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175950 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175954 */     GIR_RootConstrainSelectedInstOperands,
     /*  175955 */     // GIR_Coverage, 45731,
     /*  175955 */     GIR_EraseRootFromParent_Done,
     /*  175956 */   // Label 3300: @175956
     /*  175956 */   GIM_Reject,
     /*  175957 */ // Label 3298: @175957
     /*  175957 */ GIM_Reject,
     /*  175958 */ // Label 3191: @175958
     /*  175958 */ GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(176115),
     /*  175963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175966 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175974 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(176009), // Rule ID 45926 //
     /*  175979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175982 */     // MIs[0] rs1
     /*  175982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175990 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  175990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  175993 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176007 */     GIR_RootConstrainSelectedInstOperands,
     /*  176008 */     // GIR_Coverage, 45926,
     /*  176008 */     GIR_EraseRootFromParent_Done,
     /*  176009 */   // Label 3302: @176009
     /*  176009 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(176044), // Rule ID 45927 //
     /*  176014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176017 */     // MIs[0] rs1
     /*  176017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176025 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176028 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176042 */     GIR_RootConstrainSelectedInstOperands,
     /*  176043 */     // GIR_Coverage, 45927,
     /*  176043 */     GIR_EraseRootFromParent_Done,
     /*  176044 */   // Label 3303: @176044
     /*  176044 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(176079), // Rule ID 46002 //
     /*  176049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  176052 */     // MIs[0] rs1
     /*  176052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176060 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176063 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176077 */     GIR_RootConstrainSelectedInstOperands,
     /*  176078 */     // GIR_Coverage, 46002,
     /*  176078 */     GIR_EraseRootFromParent_Done,
     /*  176079 */   // Label 3304: @176079
     /*  176079 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(176114), // Rule ID 46003 //
     /*  176084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  176087 */     // MIs[0] rs1
     /*  176087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176095 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176098 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176112 */     GIR_RootConstrainSelectedInstOperands,
     /*  176113 */     // GIR_Coverage, 46003,
     /*  176113 */     GIR_EraseRootFromParent_Done,
     /*  176114 */   // Label 3305: @176114
     /*  176114 */   GIM_Reject,
     /*  176115 */ // Label 3301: @176115
     /*  176115 */ GIM_Reject,
     /*  176116 */ // Label 3192: @176116
     /*  176116 */ GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(176273),
     /*  176121 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176124 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176132 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(176167), // Rule ID 45934 //
     /*  176137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176140 */     // MIs[0] rs1
     /*  176140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176148 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176151 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176165 */     GIR_RootConstrainSelectedInstOperands,
     /*  176166 */     // GIR_Coverage, 45934,
     /*  176166 */     GIR_EraseRootFromParent_Done,
     /*  176167 */   // Label 3307: @176167
     /*  176167 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(176202), // Rule ID 45935 //
     /*  176172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176175 */     // MIs[0] rs1
     /*  176175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176183 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176186 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176200 */     GIR_RootConstrainSelectedInstOperands,
     /*  176201 */     // GIR_Coverage, 45935,
     /*  176201 */     GIR_EraseRootFromParent_Done,
     /*  176202 */   // Label 3308: @176202
     /*  176202 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(176237), // Rule ID 46010 //
     /*  176207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  176210 */     // MIs[0] rs1
     /*  176210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176218 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176221 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176235 */     GIR_RootConstrainSelectedInstOperands,
     /*  176236 */     // GIR_Coverage, 46010,
     /*  176236 */     GIR_EraseRootFromParent_Done,
     /*  176237 */   // Label 3309: @176237
     /*  176237 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(176272), // Rule ID 46011 //
     /*  176242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  176245 */     // MIs[0] rs1
     /*  176245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176253 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176256 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176270 */     GIR_RootConstrainSelectedInstOperands,
     /*  176271 */     // GIR_Coverage, 46011,
     /*  176271 */     GIR_EraseRootFromParent_Done,
     /*  176272 */   // Label 3310: @176272
     /*  176272 */   GIM_Reject,
     /*  176273 */ // Label 3306: @176273
     /*  176273 */ GIM_Reject,
     /*  176274 */ // Label 3193: @176274
     /*  176274 */ GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(176431),
     /*  176279 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176282 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176290 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(176325), // Rule ID 45950 //
     /*  176295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176298 */     // MIs[0] rs1
     /*  176298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176306 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176309 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176323 */     GIR_RootConstrainSelectedInstOperands,
     /*  176324 */     // GIR_Coverage, 45950,
     /*  176324 */     GIR_EraseRootFromParent_Done,
     /*  176325 */   // Label 3312: @176325
     /*  176325 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(176360), // Rule ID 45951 //
     /*  176330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176333 */     // MIs[0] rs1
     /*  176333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176341 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176344 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176358 */     GIR_RootConstrainSelectedInstOperands,
     /*  176359 */     // GIR_Coverage, 45951,
     /*  176359 */     GIR_EraseRootFromParent_Done,
     /*  176360 */   // Label 3313: @176360
     /*  176360 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(176395), // Rule ID 46022 //
     /*  176365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  176368 */     // MIs[0] rs1
     /*  176368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176376 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176379 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176393 */     GIR_RootConstrainSelectedInstOperands,
     /*  176394 */     // GIR_Coverage, 46022,
     /*  176394 */     GIR_EraseRootFromParent_Done,
     /*  176395 */   // Label 3314: @176395
     /*  176395 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(176430), // Rule ID 46023 //
     /*  176400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  176403 */     // MIs[0] rs1
     /*  176403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176411 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176414 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176428 */     GIR_RootConstrainSelectedInstOperands,
     /*  176429 */     // GIR_Coverage, 46023,
     /*  176429 */     GIR_EraseRootFromParent_Done,
     /*  176430 */   // Label 3315: @176430
     /*  176430 */   GIM_Reject,
     /*  176431 */ // Label 3311: @176431
     /*  176431 */ GIM_Reject,
     /*  176432 */ // Label 3194: @176432
     /*  176432 */ GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(176511),
     /*  176437 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176440 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176456 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(176483), // Rule ID 46062 //
     /*  176461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176464 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  176464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176467 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176481 */     GIR_RootConstrainSelectedInstOperands,
     /*  176482 */     // GIR_Coverage, 46062,
     /*  176482 */     GIR_EraseRootFromParent_Done,
     /*  176483 */   // Label 3317: @176483
     /*  176483 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(176510), // Rule ID 46063 //
     /*  176488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176491 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  176491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176494 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176508 */     GIR_RootConstrainSelectedInstOperands,
     /*  176509 */     // GIR_Coverage, 46063,
     /*  176509 */     GIR_EraseRootFromParent_Done,
     /*  176510 */   // Label 3318: @176510
     /*  176510 */   GIM_Reject,
     /*  176511 */ // Label 3316: @176511
     /*  176511 */ GIM_Reject,
     /*  176512 */ // Label 3195: @176512
     /*  176512 */ GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(176599),
     /*  176517 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176520 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176528 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(176563), // Rule ID 45918 //
     /*  176533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176536 */     // MIs[0] rs1
     /*  176536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176544 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  176544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  176547 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176561 */     GIR_RootConstrainSelectedInstOperands,
     /*  176562 */     // GIR_Coverage, 45918,
     /*  176562 */     GIR_EraseRootFromParent_Done,
     /*  176563 */   // Label 3320: @176563
     /*  176563 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(176598), // Rule ID 45919 //
     /*  176568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176571 */     // MIs[0] rs1
     /*  176571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176579 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  176579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  176582 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176596 */     GIR_RootConstrainSelectedInstOperands,
     /*  176597 */     // GIR_Coverage, 45919,
     /*  176597 */     GIR_EraseRootFromParent_Done,
     /*  176598 */   // Label 3321: @176598
     /*  176598 */   GIM_Reject,
     /*  176599 */ // Label 3319: @176599
     /*  176599 */ GIM_Reject,
     /*  176600 */ // Label 3196: @176600
     /*  176600 */ GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(176757),
     /*  176605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176608 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176616 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(176651), // Rule ID 45930 //
     /*  176621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176624 */     // MIs[0] rs1
     /*  176624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176632 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176635 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176649 */     GIR_RootConstrainSelectedInstOperands,
     /*  176650 */     // GIR_Coverage, 45930,
     /*  176650 */     GIR_EraseRootFromParent_Done,
     /*  176651 */   // Label 3323: @176651
     /*  176651 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(176686), // Rule ID 45931 //
     /*  176656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176659 */     // MIs[0] rs1
     /*  176659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176667 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176670 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176684 */     GIR_RootConstrainSelectedInstOperands,
     /*  176685 */     // GIR_Coverage, 45931,
     /*  176685 */     GIR_EraseRootFromParent_Done,
     /*  176686 */   // Label 3324: @176686
     /*  176686 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(176721), // Rule ID 46006 //
     /*  176691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  176694 */     // MIs[0] rs1
     /*  176694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176702 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176705 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176719 */     GIR_RootConstrainSelectedInstOperands,
     /*  176720 */     // GIR_Coverage, 46006,
     /*  176720 */     GIR_EraseRootFromParent_Done,
     /*  176721 */   // Label 3325: @176721
     /*  176721 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(176756), // Rule ID 46007 //
     /*  176726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  176729 */     // MIs[0] rs1
     /*  176729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176737 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176740 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176754 */     GIR_RootConstrainSelectedInstOperands,
     /*  176755 */     // GIR_Coverage, 46007,
     /*  176755 */     GIR_EraseRootFromParent_Done,
     /*  176756 */   // Label 3326: @176756
     /*  176756 */   GIM_Reject,
     /*  176757 */ // Label 3322: @176757
     /*  176757 */ GIM_Reject,
     /*  176758 */ // Label 3197: @176758
     /*  176758 */ GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(176915),
     /*  176763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176774 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(176809), // Rule ID 45946 //
     /*  176779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176782 */     // MIs[0] rs1
     /*  176782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176790 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176793 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176807 */     GIR_RootConstrainSelectedInstOperands,
     /*  176808 */     // GIR_Coverage, 45946,
     /*  176808 */     GIR_EraseRootFromParent_Done,
     /*  176809 */   // Label 3328: @176809
     /*  176809 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(176844), // Rule ID 45947 //
     /*  176814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176817 */     // MIs[0] rs1
     /*  176817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176825 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176828 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176842 */     GIR_RootConstrainSelectedInstOperands,
     /*  176843 */     // GIR_Coverage, 45947,
     /*  176843 */     GIR_EraseRootFromParent_Done,
     /*  176844 */   // Label 3329: @176844
     /*  176844 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(176879), // Rule ID 46018 //
     /*  176849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  176852 */     // MIs[0] rs1
     /*  176852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176860 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176863 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176877 */     GIR_RootConstrainSelectedInstOperands,
     /*  176878 */     // GIR_Coverage, 46018,
     /*  176878 */     GIR_EraseRootFromParent_Done,
     /*  176879 */   // Label 3330: @176879
     /*  176879 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(176914), // Rule ID 46019 //
     /*  176884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  176887 */     // MIs[0] rs1
     /*  176887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176895 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176898 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176912 */     GIR_RootConstrainSelectedInstOperands,
     /*  176913 */     // GIR_Coverage, 46019,
     /*  176913 */     GIR_EraseRootFromParent_Done,
     /*  176914 */   // Label 3331: @176914
     /*  176914 */   GIM_Reject,
     /*  176915 */ // Label 3327: @176915
     /*  176915 */ GIM_Reject,
     /*  176916 */ // Label 3198: @176916
     /*  176916 */ GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(177073),
     /*  176921 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176924 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176932 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(176967), // Rule ID 45990 //
     /*  176937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176940 */     // MIs[0] rs1
     /*  176940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176948 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176951 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176965 */     GIR_RootConstrainSelectedInstOperands,
     /*  176966 */     // GIR_Coverage, 45990,
     /*  176966 */     GIR_EraseRootFromParent_Done,
     /*  176967 */   // Label 3333: @176967
     /*  176967 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(177002), // Rule ID 45991 //
     /*  176972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176975 */     // MIs[0] rs1
     /*  176975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176983 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176986 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177000 */     GIR_RootConstrainSelectedInstOperands,
     /*  177001 */     // GIR_Coverage, 45991,
     /*  177001 */     GIR_EraseRootFromParent_Done,
     /*  177002 */   // Label 3334: @177002
     /*  177002 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(177037), // Rule ID 46050 //
     /*  177007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  177010 */     // MIs[0] rs1
     /*  177010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177018 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177021 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177035 */     GIR_RootConstrainSelectedInstOperands,
     /*  177036 */     // GIR_Coverage, 46050,
     /*  177036 */     GIR_EraseRootFromParent_Done,
     /*  177037 */   // Label 3335: @177037
     /*  177037 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(177072), // Rule ID 46051 //
     /*  177042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  177045 */     // MIs[0] rs1
     /*  177045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177053 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177056 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177070 */     GIR_RootConstrainSelectedInstOperands,
     /*  177071 */     // GIR_Coverage, 46051,
     /*  177071 */     GIR_EraseRootFromParent_Done,
     /*  177072 */   // Label 3336: @177072
     /*  177072 */   GIM_Reject,
     /*  177073 */ // Label 3332: @177073
     /*  177073 */ GIM_Reject,
     /*  177074 */ // Label 3199: @177074
     /*  177074 */ GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(177153),
     /*  177079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177082 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177098 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(177125), // Rule ID 46066 //
     /*  177103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177106 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  177106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  177109 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177123 */     GIR_RootConstrainSelectedInstOperands,
     /*  177124 */     // GIR_Coverage, 46066,
     /*  177124 */     GIR_EraseRootFromParent_Done,
     /*  177125 */   // Label 3338: @177125
     /*  177125 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(177152), // Rule ID 46067 //
     /*  177130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177133 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  177133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  177136 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177150 */     GIR_RootConstrainSelectedInstOperands,
     /*  177151 */     // GIR_Coverage, 46067,
     /*  177151 */     GIR_EraseRootFromParent_Done,
     /*  177152 */   // Label 3339: @177152
     /*  177152 */   GIM_Reject,
     /*  177153 */ // Label 3337: @177153
     /*  177153 */ GIM_Reject,
     /*  177154 */ // Label 3200: @177154
     /*  177154 */ GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(177241),
     /*  177159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177162 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177170 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(177205), // Rule ID 45922 //
     /*  177175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177178 */     // MIs[0] rs1
     /*  177178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177186 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  177186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  177189 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177203 */     GIR_RootConstrainSelectedInstOperands,
     /*  177204 */     // GIR_Coverage, 45922,
     /*  177204 */     GIR_EraseRootFromParent_Done,
     /*  177205 */   // Label 3341: @177205
     /*  177205 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(177240), // Rule ID 45923 //
     /*  177210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177213 */     // MIs[0] rs1
     /*  177213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177221 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  177224 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177238 */     GIR_RootConstrainSelectedInstOperands,
     /*  177239 */     // GIR_Coverage, 45923,
     /*  177239 */     GIR_EraseRootFromParent_Done,
     /*  177240 */   // Label 3342: @177240
     /*  177240 */   GIM_Reject,
     /*  177241 */ // Label 3340: @177241
     /*  177241 */ GIM_Reject,
     /*  177242 */ // Label 3201: @177242
     /*  177242 */ GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(177399),
     /*  177247 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177250 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177258 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(177293), // Rule ID 45942 //
     /*  177263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177266 */     // MIs[0] rs1
     /*  177266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177274 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177277 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177291 */     GIR_RootConstrainSelectedInstOperands,
     /*  177292 */     // GIR_Coverage, 45942,
     /*  177292 */     GIR_EraseRootFromParent_Done,
     /*  177293 */   // Label 3344: @177293
     /*  177293 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(177328), // Rule ID 45943 //
     /*  177298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177301 */     // MIs[0] rs1
     /*  177301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177309 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177312 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177326 */     GIR_RootConstrainSelectedInstOperands,
     /*  177327 */     // GIR_Coverage, 45943,
     /*  177327 */     GIR_EraseRootFromParent_Done,
     /*  177328 */   // Label 3345: @177328
     /*  177328 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(177363), // Rule ID 46014 //
     /*  177333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177336 */     // MIs[0] rs1
     /*  177336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177344 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177347 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177361 */     GIR_RootConstrainSelectedInstOperands,
     /*  177362 */     // GIR_Coverage, 46014,
     /*  177362 */     GIR_EraseRootFromParent_Done,
     /*  177363 */   // Label 3346: @177363
     /*  177363 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(177398), // Rule ID 46015 //
     /*  177368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  177371 */     // MIs[0] rs1
     /*  177371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177379 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177382 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177396 */     GIR_RootConstrainSelectedInstOperands,
     /*  177397 */     // GIR_Coverage, 46015,
     /*  177397 */     GIR_EraseRootFromParent_Done,
     /*  177398 */   // Label 3347: @177398
     /*  177398 */   GIM_Reject,
     /*  177399 */ // Label 3343: @177399
     /*  177399 */ GIM_Reject,
     /*  177400 */ // Label 3202: @177400
     /*  177400 */ GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(177557),
     /*  177405 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177408 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177416 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(177451), // Rule ID 45978 //
     /*  177421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177424 */     // MIs[0] rs1
     /*  177424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177432 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177435 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177449 */     GIR_RootConstrainSelectedInstOperands,
     /*  177450 */     // GIR_Coverage, 45978,
     /*  177450 */     GIR_EraseRootFromParent_Done,
     /*  177451 */   // Label 3349: @177451
     /*  177451 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(177486), // Rule ID 45979 //
     /*  177456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177459 */     // MIs[0] rs1
     /*  177459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177467 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177470 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177484 */     GIR_RootConstrainSelectedInstOperands,
     /*  177485 */     // GIR_Coverage, 45979,
     /*  177485 */     GIR_EraseRootFromParent_Done,
     /*  177486 */   // Label 3350: @177486
     /*  177486 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(177521), // Rule ID 46038 //
     /*  177491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  177494 */     // MIs[0] rs1
     /*  177494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177502 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177505 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177519 */     GIR_RootConstrainSelectedInstOperands,
     /*  177520 */     // GIR_Coverage, 46038,
     /*  177520 */     GIR_EraseRootFromParent_Done,
     /*  177521 */   // Label 3351: @177521
     /*  177521 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(177556), // Rule ID 46039 //
     /*  177526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  177529 */     // MIs[0] rs1
     /*  177529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177537 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177540 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177550 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177554 */     GIR_RootConstrainSelectedInstOperands,
     /*  177555 */     // GIR_Coverage, 46039,
     /*  177555 */     GIR_EraseRootFromParent_Done,
     /*  177556 */   // Label 3352: @177556
     /*  177556 */   GIM_Reject,
     /*  177557 */ // Label 3348: @177557
     /*  177557 */ GIM_Reject,
     /*  177558 */ // Label 3203: @177558
     /*  177558 */ GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(177715),
     /*  177563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177566 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177574 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(177609), // Rule ID 45994 //
     /*  177579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177582 */     // MIs[0] rs1
     /*  177582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177590 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177593 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177607 */     GIR_RootConstrainSelectedInstOperands,
     /*  177608 */     // GIR_Coverage, 45994,
     /*  177608 */     GIR_EraseRootFromParent_Done,
     /*  177609 */   // Label 3354: @177609
     /*  177609 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(177644), // Rule ID 45995 //
     /*  177614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177617 */     // MIs[0] rs1
     /*  177617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177625 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177628 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177642 */     GIR_RootConstrainSelectedInstOperands,
     /*  177643 */     // GIR_Coverage, 45995,
     /*  177643 */     GIR_EraseRootFromParent_Done,
     /*  177644 */   // Label 3355: @177644
     /*  177644 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(177679), // Rule ID 46054 //
     /*  177649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  177652 */     // MIs[0] rs1
     /*  177652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177660 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177663 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177677 */     GIR_RootConstrainSelectedInstOperands,
     /*  177678 */     // GIR_Coverage, 46054,
     /*  177678 */     GIR_EraseRootFromParent_Done,
     /*  177679 */   // Label 3356: @177679
     /*  177679 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(177714), // Rule ID 46055 //
     /*  177684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  177687 */     // MIs[0] rs1
     /*  177687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177695 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177698 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177712 */     GIR_RootConstrainSelectedInstOperands,
     /*  177713 */     // GIR_Coverage, 46055,
     /*  177713 */     GIR_EraseRootFromParent_Done,
     /*  177714 */   // Label 3357: @177714
     /*  177714 */   GIM_Reject,
     /*  177715 */ // Label 3353: @177715
     /*  177715 */ GIM_Reject,
     /*  177716 */ // Label 3204: @177716
     /*  177716 */ GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(177795),
     /*  177721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177724 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177740 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(177767), // Rule ID 46070 //
     /*  177745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177748 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  177748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  177751 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177765 */     GIR_RootConstrainSelectedInstOperands,
     /*  177766 */     // GIR_Coverage, 46070,
     /*  177766 */     GIR_EraseRootFromParent_Done,
     /*  177767 */   // Label 3359: @177767
     /*  177767 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(177794), // Rule ID 46071 //
     /*  177772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177775 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  177775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  177778 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177792 */     GIR_RootConstrainSelectedInstOperands,
     /*  177793 */     // GIR_Coverage, 46071,
     /*  177793 */     GIR_EraseRootFromParent_Done,
     /*  177794 */   // Label 3360: @177794
     /*  177794 */   GIM_Reject,
     /*  177795 */ // Label 3358: @177795
     /*  177795 */ GIM_Reject,
     /*  177796 */ // Label 3205: @177796
     /*  177796 */ GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(177883),
     /*  177801 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177804 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177812 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(177847), // Rule ID 45938 //
     /*  177817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177820 */     // MIs[0] rs1
     /*  177820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177828 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  177828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  177831 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177845 */     GIR_RootConstrainSelectedInstOperands,
     /*  177846 */     // GIR_Coverage, 45938,
     /*  177846 */     GIR_EraseRootFromParent_Done,
     /*  177847 */   // Label 3362: @177847
     /*  177847 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(177882), // Rule ID 45939 //
     /*  177852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177855 */     // MIs[0] rs1
     /*  177855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177863 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  177866 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177880 */     GIR_RootConstrainSelectedInstOperands,
     /*  177881 */     // GIR_Coverage, 45939,
     /*  177881 */     GIR_EraseRootFromParent_Done,
     /*  177882 */   // Label 3363: @177882
     /*  177882 */   GIM_Reject,
     /*  177883 */ // Label 3361: @177883
     /*  177883 */ GIM_Reject,
     /*  177884 */ // Label 3206: @177884
     /*  177884 */ GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(178041),
     /*  177889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177892 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177900 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(177935), // Rule ID 45966 //
     /*  177905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177908 */     // MIs[0] rs1
     /*  177908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177916 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177919 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177933 */     GIR_RootConstrainSelectedInstOperands,
     /*  177934 */     // GIR_Coverage, 45966,
     /*  177934 */     GIR_EraseRootFromParent_Done,
     /*  177935 */   // Label 3365: @177935
     /*  177935 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(177970), // Rule ID 45967 //
     /*  177940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177943 */     // MIs[0] rs1
     /*  177943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177951 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177954 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177968 */     GIR_RootConstrainSelectedInstOperands,
     /*  177969 */     // GIR_Coverage, 45967,
     /*  177969 */     GIR_EraseRootFromParent_Done,
     /*  177970 */   // Label 3366: @177970
     /*  177970 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(178005), // Rule ID 46026 //
     /*  177975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177978 */     // MIs[0] rs1
     /*  177978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177986 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177989 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178003 */     GIR_RootConstrainSelectedInstOperands,
     /*  178004 */     // GIR_Coverage, 46026,
     /*  178004 */     GIR_EraseRootFromParent_Done,
     /*  178005 */   // Label 3367: @178005
     /*  178005 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(178040), // Rule ID 46027 //
     /*  178010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  178013 */     // MIs[0] rs1
     /*  178013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178021 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  178024 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178038 */     GIR_RootConstrainSelectedInstOperands,
     /*  178039 */     // GIR_Coverage, 46027,
     /*  178039 */     GIR_EraseRootFromParent_Done,
     /*  178040 */   // Label 3368: @178040
     /*  178040 */   GIM_Reject,
     /*  178041 */ // Label 3364: @178041
     /*  178041 */ GIM_Reject,
     /*  178042 */ // Label 3207: @178042
     /*  178042 */ GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(178199),
     /*  178047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178058 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(178093), // Rule ID 45982 //
     /*  178063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178066 */     // MIs[0] rs1
     /*  178066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178074 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178077 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178091 */     GIR_RootConstrainSelectedInstOperands,
     /*  178092 */     // GIR_Coverage, 45982,
     /*  178092 */     GIR_EraseRootFromParent_Done,
     /*  178093 */   // Label 3370: @178093
     /*  178093 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(178128), // Rule ID 45983 //
     /*  178098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178101 */     // MIs[0] rs1
     /*  178101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178109 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178112 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178126 */     GIR_RootConstrainSelectedInstOperands,
     /*  178127 */     // GIR_Coverage, 45983,
     /*  178127 */     GIR_EraseRootFromParent_Done,
     /*  178128 */   // Label 3371: @178128
     /*  178128 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(178163), // Rule ID 46042 //
     /*  178133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  178136 */     // MIs[0] rs1
     /*  178136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178144 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178147 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178161 */     GIR_RootConstrainSelectedInstOperands,
     /*  178162 */     // GIR_Coverage, 46042,
     /*  178162 */     GIR_EraseRootFromParent_Done,
     /*  178163 */   // Label 3372: @178163
     /*  178163 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(178198), // Rule ID 46043 //
     /*  178168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  178171 */     // MIs[0] rs1
     /*  178171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178179 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178182 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178196 */     GIR_RootConstrainSelectedInstOperands,
     /*  178197 */     // GIR_Coverage, 46043,
     /*  178197 */     GIR_EraseRootFromParent_Done,
     /*  178198 */   // Label 3373: @178198
     /*  178198 */   GIM_Reject,
     /*  178199 */ // Label 3369: @178199
     /*  178199 */ GIM_Reject,
     /*  178200 */ // Label 3208: @178200
     /*  178200 */ GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(178357),
     /*  178205 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178208 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178216 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(178251), // Rule ID 45998 //
     /*  178221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  178224 */     // MIs[0] rs1
     /*  178224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178232 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178235 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178249 */     GIR_RootConstrainSelectedInstOperands,
     /*  178250 */     // GIR_Coverage, 45998,
     /*  178250 */     GIR_EraseRootFromParent_Done,
     /*  178251 */   // Label 3375: @178251
     /*  178251 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(178286), // Rule ID 45999 //
     /*  178256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  178259 */     // MIs[0] rs1
     /*  178259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178267 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178270 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178284 */     GIR_RootConstrainSelectedInstOperands,
     /*  178285 */     // GIR_Coverage, 45999,
     /*  178285 */     GIR_EraseRootFromParent_Done,
     /*  178286 */   // Label 3376: @178286
     /*  178286 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(178321), // Rule ID 46058 //
     /*  178291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  178294 */     // MIs[0] rs1
     /*  178294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178302 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178305 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178319 */     GIR_RootConstrainSelectedInstOperands,
     /*  178320 */     // GIR_Coverage, 46058,
     /*  178320 */     GIR_EraseRootFromParent_Done,
     /*  178321 */   // Label 3377: @178321
     /*  178321 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(178356), // Rule ID 46059 //
     /*  178326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  178329 */     // MIs[0] rs1
     /*  178329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178337 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178340 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178354 */     GIR_RootConstrainSelectedInstOperands,
     /*  178355 */     // GIR_Coverage, 46059,
     /*  178355 */     GIR_EraseRootFromParent_Done,
     /*  178356 */   // Label 3378: @178356
     /*  178356 */   GIM_Reject,
     /*  178357 */ // Label 3374: @178357
     /*  178357 */ GIM_Reject,
     /*  178358 */ // Label 3209: @178358
     /*  178358 */ GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(178437),
     /*  178363 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178366 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178374 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178382 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(178409), // Rule ID 46074 //
     /*  178387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178390 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178393 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178407 */     GIR_RootConstrainSelectedInstOperands,
     /*  178408 */     // GIR_Coverage, 46074,
     /*  178408 */     GIR_EraseRootFromParent_Done,
     /*  178409 */   // Label 3380: @178409
     /*  178409 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(178436), // Rule ID 46075 //
     /*  178414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178417 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178420 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178434 */     GIR_RootConstrainSelectedInstOperands,
     /*  178435 */     // GIR_Coverage, 46075,
     /*  178435 */     GIR_EraseRootFromParent_Done,
     /*  178436 */   // Label 3381: @178436
     /*  178436 */   GIM_Reject,
     /*  178437 */ // Label 3379: @178437
     /*  178437 */ GIM_Reject,
     /*  178438 */ // Label 3210: @178438
     /*  178438 */ GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(178525),
     /*  178443 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178446 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  178454 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(178489), // Rule ID 45954 //
     /*  178459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178462 */     // MIs[0] rs1
     /*  178462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178470 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178473 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178487 */     GIR_RootConstrainSelectedInstOperands,
     /*  178488 */     // GIR_Coverage, 45954,
     /*  178488 */     GIR_EraseRootFromParent_Done,
     /*  178489 */   // Label 3383: @178489
     /*  178489 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(178524), // Rule ID 45955 //
     /*  178494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178497 */     // MIs[0] rs1
     /*  178497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178505 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178508 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178522 */     GIR_RootConstrainSelectedInstOperands,
     /*  178523 */     // GIR_Coverage, 45955,
     /*  178523 */     GIR_EraseRootFromParent_Done,
     /*  178524 */   // Label 3384: @178524
     /*  178524 */   GIM_Reject,
     /*  178525 */ // Label 3382: @178525
     /*  178525 */ GIM_Reject,
     /*  178526 */ // Label 3211: @178526
     /*  178526 */ GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(178683),
     /*  178531 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178534 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178542 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(178577), // Rule ID 45970 //
     /*  178547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178550 */     // MIs[0] rs1
     /*  178550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178558 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178561 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178575 */     GIR_RootConstrainSelectedInstOperands,
     /*  178576 */     // GIR_Coverage, 45970,
     /*  178576 */     GIR_EraseRootFromParent_Done,
     /*  178577 */   // Label 3386: @178577
     /*  178577 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(178612), // Rule ID 45971 //
     /*  178582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178585 */     // MIs[0] rs1
     /*  178585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178593 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178596 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178610 */     GIR_RootConstrainSelectedInstOperands,
     /*  178611 */     // GIR_Coverage, 45971,
     /*  178611 */     GIR_EraseRootFromParent_Done,
     /*  178612 */   // Label 3387: @178612
     /*  178612 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(178647), // Rule ID 46030 //
     /*  178617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  178620 */     // MIs[0] rs1
     /*  178620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178628 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178631 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178645 */     GIR_RootConstrainSelectedInstOperands,
     /*  178646 */     // GIR_Coverage, 46030,
     /*  178646 */     GIR_EraseRootFromParent_Done,
     /*  178647 */   // Label 3388: @178647
     /*  178647 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(178682), // Rule ID 46031 //
     /*  178652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  178655 */     // MIs[0] rs1
     /*  178655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178663 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178666 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178680 */     GIR_RootConstrainSelectedInstOperands,
     /*  178681 */     // GIR_Coverage, 46031,
     /*  178681 */     GIR_EraseRootFromParent_Done,
     /*  178682 */   // Label 3389: @178682
     /*  178682 */   GIM_Reject,
     /*  178683 */ // Label 3385: @178683
     /*  178683 */ GIM_Reject,
     /*  178684 */ // Label 3212: @178684
     /*  178684 */ GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(178841),
     /*  178689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178692 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178700 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(178735), // Rule ID 45986 //
     /*  178705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178708 */     // MIs[0] rs1
     /*  178708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178716 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178719 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178733 */     GIR_RootConstrainSelectedInstOperands,
     /*  178734 */     // GIR_Coverage, 45986,
     /*  178734 */     GIR_EraseRootFromParent_Done,
     /*  178735 */   // Label 3391: @178735
     /*  178735 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(178770), // Rule ID 45987 //
     /*  178740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178743 */     // MIs[0] rs1
     /*  178743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178751 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178754 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178768 */     GIR_RootConstrainSelectedInstOperands,
     /*  178769 */     // GIR_Coverage, 45987,
     /*  178769 */     GIR_EraseRootFromParent_Done,
     /*  178770 */   // Label 3392: @178770
     /*  178770 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(178805), // Rule ID 46046 //
     /*  178775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  178778 */     // MIs[0] rs1
     /*  178778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178786 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178789 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178803 */     GIR_RootConstrainSelectedInstOperands,
     /*  178804 */     // GIR_Coverage, 46046,
     /*  178804 */     GIR_EraseRootFromParent_Done,
     /*  178805 */   // Label 3393: @178805
     /*  178805 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(178840), // Rule ID 46047 //
     /*  178810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  178813 */     // MIs[0] rs1
     /*  178813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178821 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178824 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178838 */     GIR_RootConstrainSelectedInstOperands,
     /*  178839 */     // GIR_Coverage, 46047,
     /*  178839 */     GIR_EraseRootFromParent_Done,
     /*  178840 */   // Label 3394: @178840
     /*  178840 */   GIM_Reject,
     /*  178841 */ // Label 3390: @178841
     /*  178841 */ GIM_Reject,
     /*  178842 */ // Label 3213: @178842
     /*  178842 */ GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(178921),
     /*  178847 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178850 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178866 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(178893), // Rule ID 46078 //
     /*  178871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178874 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  178877 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178891 */     GIR_RootConstrainSelectedInstOperands,
     /*  178892 */     // GIR_Coverage, 46078,
     /*  178892 */     GIR_EraseRootFromParent_Done,
     /*  178893 */   // Label 3396: @178893
     /*  178893 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(178920), // Rule ID 46079 //
     /*  178898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178901 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  178904 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178918 */     GIR_RootConstrainSelectedInstOperands,
     /*  178919 */     // GIR_Coverage, 46079,
     /*  178919 */     GIR_EraseRootFromParent_Done,
     /*  178920 */   // Label 3397: @178920
     /*  178920 */   GIM_Reject,
     /*  178921 */ // Label 3395: @178921
     /*  178921 */ GIM_Reject,
     /*  178922 */ // Label 3214: @178922
     /*  178922 */ GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(179009),
     /*  178927 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178930 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178938 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(178973), // Rule ID 45958 //
     /*  178943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178946 */     // MIs[0] rs1
     /*  178946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178954 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  178957 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178971 */     GIR_RootConstrainSelectedInstOperands,
     /*  178972 */     // GIR_Coverage, 45958,
     /*  178972 */     GIR_EraseRootFromParent_Done,
     /*  178973 */   // Label 3399: @178973
     /*  178973 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(179008), // Rule ID 45959 //
     /*  178978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178981 */     // MIs[0] rs1
     /*  178981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178989 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  178992 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179006 */     GIR_RootConstrainSelectedInstOperands,
     /*  179007 */     // GIR_Coverage, 45959,
     /*  179007 */     GIR_EraseRootFromParent_Done,
     /*  179008 */   // Label 3400: @179008
     /*  179008 */   GIM_Reject,
     /*  179009 */ // Label 3398: @179009
     /*  179009 */ GIM_Reject,
     /*  179010 */ // Label 3215: @179010
     /*  179010 */ GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(179167),
     /*  179015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179018 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179026 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(179061), // Rule ID 45974 //
     /*  179031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179034 */     // MIs[0] rs1
     /*  179034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179042 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179045 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179059 */     GIR_RootConstrainSelectedInstOperands,
     /*  179060 */     // GIR_Coverage, 45974,
     /*  179060 */     GIR_EraseRootFromParent_Done,
     /*  179061 */   // Label 3402: @179061
     /*  179061 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(179096), // Rule ID 45975 //
     /*  179066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179069 */     // MIs[0] rs1
     /*  179069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179077 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179080 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179094 */     GIR_RootConstrainSelectedInstOperands,
     /*  179095 */     // GIR_Coverage, 45975,
     /*  179095 */     GIR_EraseRootFromParent_Done,
     /*  179096 */   // Label 3403: @179096
     /*  179096 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(179131), // Rule ID 46034 //
     /*  179101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  179104 */     // MIs[0] rs1
     /*  179104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179112 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179115 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179129 */     GIR_RootConstrainSelectedInstOperands,
     /*  179130 */     // GIR_Coverage, 46034,
     /*  179130 */     GIR_EraseRootFromParent_Done,
     /*  179131 */   // Label 3404: @179131
     /*  179131 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(179166), // Rule ID 46035 //
     /*  179136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  179139 */     // MIs[0] rs1
     /*  179139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179147 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179150 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179164 */     GIR_RootConstrainSelectedInstOperands,
     /*  179165 */     // GIR_Coverage, 46035,
     /*  179165 */     GIR_EraseRootFromParent_Done,
     /*  179166 */   // Label 3405: @179166
     /*  179166 */   GIM_Reject,
     /*  179167 */ // Label 3401: @179167
     /*  179167 */ GIM_Reject,
     /*  179168 */ // Label 3216: @179168
     /*  179168 */ GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(179247),
     /*  179173 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179176 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179184 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179192 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(179219), // Rule ID 46082 //
     /*  179197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179200 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  179200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  179203 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179217 */     GIR_RootConstrainSelectedInstOperands,
     /*  179218 */     // GIR_Coverage, 46082,
     /*  179218 */     GIR_EraseRootFromParent_Done,
     /*  179219 */   // Label 3407: @179219
     /*  179219 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(179246), // Rule ID 46083 //
     /*  179224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179227 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  179227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  179230 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179244 */     GIR_RootConstrainSelectedInstOperands,
     /*  179245 */     // GIR_Coverage, 46083,
     /*  179245 */     GIR_EraseRootFromParent_Done,
     /*  179246 */   // Label 3408: @179246
     /*  179246 */   GIM_Reject,
     /*  179247 */ // Label 3406: @179247
     /*  179247 */ GIM_Reject,
     /*  179248 */ // Label 3217: @179248
     /*  179248 */ GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(179335),
     /*  179253 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179256 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179264 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(179299), // Rule ID 45962 //
     /*  179269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179272 */     // MIs[0] rs1
     /*  179272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179280 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  179280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179283 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179297 */     GIR_RootConstrainSelectedInstOperands,
     /*  179298 */     // GIR_Coverage, 45962,
     /*  179298 */     GIR_EraseRootFromParent_Done,
     /*  179299 */   // Label 3410: @179299
     /*  179299 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(179334), // Rule ID 45963 //
     /*  179304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179307 */     // MIs[0] rs1
     /*  179307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179315 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  179315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179318 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179332 */     GIR_RootConstrainSelectedInstOperands,
     /*  179333 */     // GIR_Coverage, 45963,
     /*  179333 */     GIR_EraseRootFromParent_Done,
     /*  179334 */   // Label 3411: @179334
     /*  179334 */   GIM_Reject,
     /*  179335 */ // Label 3409: @179335
     /*  179335 */ GIM_Reject,
     /*  179336 */ // Label 3218: @179336
     /*  179336 */ GIM_Reject,
     /*  179337 */ // Label 25: @179337
     /*  179337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3414*/ GIMT_Encode4(184222),
     /*  179348 */ /*GILLT_s32*//*Label 3412*/ GIMT_Encode4(179356),
     /*  179352 */ /*GILLT_s64*//*Label 3413*/ GIMT_Encode4(181349),
     /*  179356 */ // Label 3412: @179356
     /*  179356 */ GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(181348),
     /*  179361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179367 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(179433), // Rule ID 645 //
     /*  179372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179389 */     // MIs[0] addr
     /*  179389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179405 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  179405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179413 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179418 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179420 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179422 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  179427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179431 */     GIR_RootConstrainSelectedInstOperands,
     /*  179432 */     // GIR_Coverage, 645,
     /*  179432 */     GIR_EraseRootFromParent_Done,
     /*  179433 */   // Label 3416: @179433
     /*  179433 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(179499), // Rule ID 647 //
     /*  179438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179455 */     // MIs[0] addr
     /*  179455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179471 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  179471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179479 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179484 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179486 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179488 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179497 */     GIR_RootConstrainSelectedInstOperands,
     /*  179498 */     // GIR_Coverage, 647,
     /*  179498 */     GIR_EraseRootFromParent_Done,
     /*  179499 */   // Label 3417: @179499
     /*  179499 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(179565), // Rule ID 649 //
     /*  179504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179521 */     // MIs[0] addr
     /*  179521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179537 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  179537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179545 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179550 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179552 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179554 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179563 */     GIR_RootConstrainSelectedInstOperands,
     /*  179564 */     // GIR_Coverage, 649,
     /*  179564 */     GIR_EraseRootFromParent_Done,
     /*  179565 */   // Label 3418: @179565
     /*  179565 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(179631), // Rule ID 651 //
     /*  179570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179587 */     // MIs[0] addr
     /*  179587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179603 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  179603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179611 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179616 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179618 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179620 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179629 */     GIR_RootConstrainSelectedInstOperands,
     /*  179630 */     // GIR_Coverage, 651,
     /*  179630 */     GIR_EraseRootFromParent_Done,
     /*  179631 */   // Label 3419: @179631
     /*  179631 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(179697), // Rule ID 653 //
     /*  179636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179653 */     // MIs[0] addr
     /*  179653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179669 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  179669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179677 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179682 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179684 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179686 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  179691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179695 */     GIR_RootConstrainSelectedInstOperands,
     /*  179696 */     // GIR_Coverage, 653,
     /*  179696 */     GIR_EraseRootFromParent_Done,
     /*  179697 */   // Label 3420: @179697
     /*  179697 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(179752), // Rule ID 662 //
     /*  179702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179719 */     // MIs[0] addr
     /*  179719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179735 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179740 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179742 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179744 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179750 */     GIR_RootConstrainSelectedInstOperands,
     /*  179751 */     // GIR_Coverage, 662,
     /*  179751 */     GIR_EraseRootFromParent_Done,
     /*  179752 */   // Label 3421: @179752
     /*  179752 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(179807), // Rule ID 664 //
     /*  179757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179774 */     // MIs[0] addr
     /*  179774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179790 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  179793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179795 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179797 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179799 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179805 */     GIR_RootConstrainSelectedInstOperands,
     /*  179806 */     // GIR_Coverage, 664,
     /*  179806 */     GIR_EraseRootFromParent_Done,
     /*  179807 */   // Label 3422: @179807
     /*  179807 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(179862), // Rule ID 666 //
     /*  179812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179829 */     // MIs[0] addr
     /*  179829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179845 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  179848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179850 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179852 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179854 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179860 */     GIR_RootConstrainSelectedInstOperands,
     /*  179861 */     // GIR_Coverage, 666,
     /*  179861 */     GIR_EraseRootFromParent_Done,
     /*  179862 */   // Label 3423: @179862
     /*  179862 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(179917), // Rule ID 668 //
     /*  179867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179884 */     // MIs[0] addr
     /*  179884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179900 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  179903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179905 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179907 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179909 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179915 */     GIR_RootConstrainSelectedInstOperands,
     /*  179916 */     // GIR_Coverage, 668,
     /*  179916 */     GIR_EraseRootFromParent_Done,
     /*  179917 */   // Label 3424: @179917
     /*  179917 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(179972), // Rule ID 670 //
     /*  179922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179939 */     // MIs[0] addr
     /*  179939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179955 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  179958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179960 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179962 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179964 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179970 */     GIR_RootConstrainSelectedInstOperands,
     /*  179971 */     // GIR_Coverage, 670,
     /*  179971 */     GIR_EraseRootFromParent_Done,
     /*  179972 */   // Label 3425: @179972
     /*  179972 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(180027), // Rule ID 672 //
     /*  179977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179994 */     // MIs[0] addr
     /*  179994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180010 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180015 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180017 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180019 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180025 */     GIR_RootConstrainSelectedInstOperands,
     /*  180026 */     // GIR_Coverage, 672,
     /*  180026 */     GIR_EraseRootFromParent_Done,
     /*  180027 */   // Label 3426: @180027
     /*  180027 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(180082), // Rule ID 674 //
     /*  180032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180049 */     // MIs[0] addr
     /*  180049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180065 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180070 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180072 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180074 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180080 */     GIR_RootConstrainSelectedInstOperands,
     /*  180081 */     // GIR_Coverage, 674,
     /*  180081 */     GIR_EraseRootFromParent_Done,
     /*  180082 */   // Label 3427: @180082
     /*  180082 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(180137), // Rule ID 676 //
     /*  180087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180104 */     // MIs[0] addr
     /*  180104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180120 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180125 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180127 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180129 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180135 */     GIR_RootConstrainSelectedInstOperands,
     /*  180136 */     // GIR_Coverage, 676,
     /*  180136 */     GIR_EraseRootFromParent_Done,
     /*  180137 */   // Label 3428: @180137
     /*  180137 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(180192), // Rule ID 678 //
     /*  180142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180159 */     // MIs[0] addr
     /*  180159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180175 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180180 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180182 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180184 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180190 */     GIR_RootConstrainSelectedInstOperands,
     /*  180191 */     // GIR_Coverage, 678,
     /*  180191 */     GIR_EraseRootFromParent_Done,
     /*  180192 */   // Label 3429: @180192
     /*  180192 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(180247), // Rule ID 680 //
     /*  180197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180214 */     // MIs[0] addr
     /*  180214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180230 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180235 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180237 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180239 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180245 */     GIR_RootConstrainSelectedInstOperands,
     /*  180246 */     // GIR_Coverage, 680,
     /*  180246 */     GIR_EraseRootFromParent_Done,
     /*  180247 */   // Label 3430: @180247
     /*  180247 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(180302), // Rule ID 1052 //
     /*  180252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180269 */     // MIs[0] addr
     /*  180269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180285 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180290 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180292 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180294 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180300 */     GIR_RootConstrainSelectedInstOperands,
     /*  180301 */     // GIR_Coverage, 1052,
     /*  180301 */     GIR_EraseRootFromParent_Done,
     /*  180302 */   // Label 3431: @180302
     /*  180302 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(180357), // Rule ID 1054 //
     /*  180307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180310 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180317 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180324 */     // MIs[0] addr
     /*  180324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180340 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  180343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180345 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180347 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180349 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180355 */     GIR_RootConstrainSelectedInstOperands,
     /*  180356 */     // GIR_Coverage, 1054,
     /*  180356 */     GIR_EraseRootFromParent_Done,
     /*  180357 */   // Label 3432: @180357
     /*  180357 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(180412), // Rule ID 1056 //
     /*  180362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180379 */     // MIs[0] addr
     /*  180379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180395 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  180398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180400 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180402 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180404 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180410 */     GIR_RootConstrainSelectedInstOperands,
     /*  180411 */     // GIR_Coverage, 1056,
     /*  180411 */     GIR_EraseRootFromParent_Done,
     /*  180412 */   // Label 3433: @180412
     /*  180412 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(180467), // Rule ID 1058 //
     /*  180417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180434 */     // MIs[0] addr
     /*  180434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180450 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180455 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180457 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180459 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180465 */     GIR_RootConstrainSelectedInstOperands,
     /*  180466 */     // GIR_Coverage, 1058,
     /*  180466 */     GIR_EraseRootFromParent_Done,
     /*  180467 */   // Label 3434: @180467
     /*  180467 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(180522), // Rule ID 1060 //
     /*  180472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180489 */     // MIs[0] addr
     /*  180489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180505 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180510 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180512 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180514 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180520 */     GIR_RootConstrainSelectedInstOperands,
     /*  180521 */     // GIR_Coverage, 1060,
     /*  180521 */     GIR_EraseRootFromParent_Done,
     /*  180522 */   // Label 3435: @180522
     /*  180522 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(180577), // Rule ID 1062 //
     /*  180527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180544 */     // MIs[0] addr
     /*  180544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180560 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180565 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180567 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180569 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180575 */     GIR_RootConstrainSelectedInstOperands,
     /*  180576 */     // GIR_Coverage, 1062,
     /*  180576 */     GIR_EraseRootFromParent_Done,
     /*  180577 */   // Label 3436: @180577
     /*  180577 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(180632), // Rule ID 1064 //
     /*  180582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180599 */     // MIs[0] addr
     /*  180599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180615 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180620 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180622 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180624 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180630 */     GIR_RootConstrainSelectedInstOperands,
     /*  180631 */     // GIR_Coverage, 1064,
     /*  180631 */     GIR_EraseRootFromParent_Done,
     /*  180632 */   // Label 3437: @180632
     /*  180632 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(180687), // Rule ID 1066 //
     /*  180637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180640 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180647 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180654 */     // MIs[0] addr
     /*  180654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180670 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180675 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180677 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180679 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180685 */     GIR_RootConstrainSelectedInstOperands,
     /*  180686 */     // GIR_Coverage, 1066,
     /*  180686 */     GIR_EraseRootFromParent_Done,
     /*  180687 */   // Label 3438: @180687
     /*  180687 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(180742), // Rule ID 1068 //
     /*  180692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180709 */     // MIs[0] addr
     /*  180709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180725 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180730 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180732 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180734 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180740 */     GIR_RootConstrainSelectedInstOperands,
     /*  180741 */     // GIR_Coverage, 1068,
     /*  180741 */     GIR_EraseRootFromParent_Done,
     /*  180742 */   // Label 3439: @180742
     /*  180742 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(180797), // Rule ID 1070 //
     /*  180747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180764 */     // MIs[0] addr
     /*  180764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180780 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180785 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180787 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180789 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180795 */     GIR_RootConstrainSelectedInstOperands,
     /*  180796 */     // GIR_Coverage, 1070,
     /*  180796 */     GIR_EraseRootFromParent_Done,
     /*  180797 */   // Label 3440: @180797
     /*  180797 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(180852), // Rule ID 1072 //
     /*  180802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180819 */     // MIs[0] addr
     /*  180819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180835 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180840 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180842 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180844 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180850 */     GIR_RootConstrainSelectedInstOperands,
     /*  180851 */     // GIR_Coverage, 1072,
     /*  180851 */     GIR_EraseRootFromParent_Done,
     /*  180852 */   // Label 3441: @180852
     /*  180852 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(180907), // Rule ID 1074 //
     /*  180857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180874 */     // MIs[0] addr
     /*  180874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180890 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  180893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180895 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180897 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180899 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180905 */     GIR_RootConstrainSelectedInstOperands,
     /*  180906 */     // GIR_Coverage, 1074,
     /*  180906 */     GIR_EraseRootFromParent_Done,
     /*  180907 */   // Label 3442: @180907
     /*  180907 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(180962), // Rule ID 1076 //
     /*  180912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180929 */     // MIs[0] addr
     /*  180929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180945 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  180948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180950 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180952 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180954 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180960 */     GIR_RootConstrainSelectedInstOperands,
     /*  180961 */     // GIR_Coverage, 1076,
     /*  180961 */     GIR_EraseRootFromParent_Done,
     /*  180962 */   // Label 3443: @180962
     /*  180962 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(181017), // Rule ID 1078 //
     /*  180967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180984 */     // MIs[0] addr
     /*  180984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181000 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  181003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181005 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181007 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181009 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181015 */     GIR_RootConstrainSelectedInstOperands,
     /*  181016 */     // GIR_Coverage, 1078,
     /*  181016 */     GIR_EraseRootFromParent_Done,
     /*  181017 */   // Label 3444: @181017
     /*  181017 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(181072), // Rule ID 1080 //
     /*  181022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181039 */     // MIs[0] addr
     /*  181039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181055 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  181058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181060 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181062 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181064 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181070 */     GIR_RootConstrainSelectedInstOperands,
     /*  181071 */     // GIR_Coverage, 1080,
     /*  181071 */     GIR_EraseRootFromParent_Done,
     /*  181072 */   // Label 3445: @181072
     /*  181072 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(181127), // Rule ID 1082 //
     /*  181077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181094 */     // MIs[0] addr
     /*  181094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181110 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181115 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181117 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181119 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181125 */     GIR_RootConstrainSelectedInstOperands,
     /*  181126 */     // GIR_Coverage, 1082,
     /*  181126 */     GIR_EraseRootFromParent_Done,
     /*  181127 */   // Label 3446: @181127
     /*  181127 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(181182), // Rule ID 1084 //
     /*  181132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181149 */     // MIs[0] addr
     /*  181149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181165 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181170 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181172 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181174 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181180 */     GIR_RootConstrainSelectedInstOperands,
     /*  181181 */     // GIR_Coverage, 1084,
     /*  181181 */     GIR_EraseRootFromParent_Done,
     /*  181182 */   // Label 3447: @181182
     /*  181182 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(181237), // Rule ID 1086 //
     /*  181187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181204 */     // MIs[0] addr
     /*  181204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181220 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181225 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181227 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181229 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181235 */     GIR_RootConstrainSelectedInstOperands,
     /*  181236 */     // GIR_Coverage, 1086,
     /*  181236 */     GIR_EraseRootFromParent_Done,
     /*  181237 */   // Label 3448: @181237
     /*  181237 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(181292), // Rule ID 1088 //
     /*  181242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181259 */     // MIs[0] addr
     /*  181259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181275 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181280 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181282 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181284 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181290 */     GIR_RootConstrainSelectedInstOperands,
     /*  181291 */     // GIR_Coverage, 1088,
     /*  181291 */     GIR_EraseRootFromParent_Done,
     /*  181292 */   // Label 3449: @181292
     /*  181292 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(181347), // Rule ID 1090 //
     /*  181297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181314 */     // MIs[0] addr
     /*  181314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181330 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181335 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181337 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181339 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181345 */     GIR_RootConstrainSelectedInstOperands,
     /*  181346 */     // GIR_Coverage, 1090,
     /*  181346 */     GIR_EraseRootFromParent_Done,
     /*  181347 */   // Label 3450: @181347
     /*  181347 */   GIM_Reject,
     /*  181348 */ // Label 3415: @181348
     /*  181348 */ GIM_Reject,
     /*  181349 */ // Label 3413: @181349
     /*  181349 */ GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(184221),
     /*  181354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  181360 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(181426), // Rule ID 644 //
     /*  181365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181382 */     // MIs[0] addr
     /*  181382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181398 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  181398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181406 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181411 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181413 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181415 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  181420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181424 */     GIR_RootConstrainSelectedInstOperands,
     /*  181425 */     // GIR_Coverage, 644,
     /*  181425 */     GIR_EraseRootFromParent_Done,
     /*  181426 */   // Label 3452: @181426
     /*  181426 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(181492), // Rule ID 646 //
     /*  181431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181448 */     // MIs[0] addr
     /*  181448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181464 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  181464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181472 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181477 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181479 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181481 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181490 */     GIR_RootConstrainSelectedInstOperands,
     /*  181491 */     // GIR_Coverage, 646,
     /*  181491 */     GIR_EraseRootFromParent_Done,
     /*  181492 */   // Label 3453: @181492
     /*  181492 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(181558), // Rule ID 648 //
     /*  181497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181514 */     // MIs[0] addr
     /*  181514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181530 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  181530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181538 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181543 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181545 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181547 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181556 */     GIR_RootConstrainSelectedInstOperands,
     /*  181557 */     // GIR_Coverage, 648,
     /*  181557 */     GIR_EraseRootFromParent_Done,
     /*  181558 */   // Label 3454: @181558
     /*  181558 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(181624), // Rule ID 650 //
     /*  181563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181580 */     // MIs[0] addr
     /*  181580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181596 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  181596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181604 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181609 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181611 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181613 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  181618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181622 */     GIR_RootConstrainSelectedInstOperands,
     /*  181623 */     // GIR_Coverage, 650,
     /*  181623 */     GIR_EraseRootFromParent_Done,
     /*  181624 */   // Label 3455: @181624
     /*  181624 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(181690), // Rule ID 652 //
     /*  181629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181632 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181639 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181646 */     // MIs[0] addr
     /*  181646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181662 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  181662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181670 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181675 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181677 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181679 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  181684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181688 */     GIR_RootConstrainSelectedInstOperands,
     /*  181689 */     // GIR_Coverage, 652,
     /*  181689 */     GIR_EraseRootFromParent_Done,
     /*  181690 */   // Label 3456: @181690
     /*  181690 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(181756), // Rule ID 654 //
     /*  181695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181712 */     // MIs[0] addr
     /*  181712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181728 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  181728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181736 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181741 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181743 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181745 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  181750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181754 */     GIR_RootConstrainSelectedInstOperands,
     /*  181755 */     // GIR_Coverage, 654,
     /*  181755 */     GIR_EraseRootFromParent_Done,
     /*  181756 */   // Label 3457: @181756
     /*  181756 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(181822), // Rule ID 655 //
     /*  181761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181778 */     // MIs[0] addr
     /*  181778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181794 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  181794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181802 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181807 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181809 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181811 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181820 */     GIR_RootConstrainSelectedInstOperands,
     /*  181821 */     // GIR_Coverage, 655,
     /*  181821 */     GIR_EraseRootFromParent_Done,
     /*  181822 */   // Label 3458: @181822
     /*  181822 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(181888), // Rule ID 656 //
     /*  181827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181844 */     // MIs[0] addr
     /*  181844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181860 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  181860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181868 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181873 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181875 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181877 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181886 */     GIR_RootConstrainSelectedInstOperands,
     /*  181887 */     // GIR_Coverage, 656,
     /*  181887 */     GIR_EraseRootFromParent_Done,
     /*  181888 */   // Label 3459: @181888
     /*  181888 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(181954), // Rule ID 657 //
     /*  181893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181910 */     // MIs[0] addr
     /*  181910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181926 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  181926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181934 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181939 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181941 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181943 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  181948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181952 */     GIR_RootConstrainSelectedInstOperands,
     /*  181953 */     // GIR_Coverage, 657,
     /*  181953 */     GIR_EraseRootFromParent_Done,
     /*  181954 */   // Label 3460: @181954
     /*  181954 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(182020), // Rule ID 658 //
     /*  181959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181976 */     // MIs[0] addr
     /*  181976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181992 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  181992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182000 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182005 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182007 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182009 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  182014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182018 */     GIR_RootConstrainSelectedInstOperands,
     /*  182019 */     // GIR_Coverage, 658,
     /*  182019 */     GIR_EraseRootFromParent_Done,
     /*  182020 */   // Label 3461: @182020
     /*  182020 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(182075), // Rule ID 661 //
     /*  182025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182042 */     // MIs[0] addr
     /*  182042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182058 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182063 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182065 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182067 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182073 */     GIR_RootConstrainSelectedInstOperands,
     /*  182074 */     // GIR_Coverage, 661,
     /*  182074 */     GIR_EraseRootFromParent_Done,
     /*  182075 */   // Label 3462: @182075
     /*  182075 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(182130), // Rule ID 663 //
     /*  182080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182097 */     // MIs[0] addr
     /*  182097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182113 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  182116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182118 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182120 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182122 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182128 */     GIR_RootConstrainSelectedInstOperands,
     /*  182129 */     // GIR_Coverage, 663,
     /*  182129 */     GIR_EraseRootFromParent_Done,
     /*  182130 */   // Label 3463: @182130
     /*  182130 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(182185), // Rule ID 665 //
     /*  182135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182152 */     // MIs[0] addr
     /*  182152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182168 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  182171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182173 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182175 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182177 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182183 */     GIR_RootConstrainSelectedInstOperands,
     /*  182184 */     // GIR_Coverage, 665,
     /*  182184 */     GIR_EraseRootFromParent_Done,
     /*  182185 */   // Label 3464: @182185
     /*  182185 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(182240), // Rule ID 667 //
     /*  182190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182207 */     // MIs[0] addr
     /*  182207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182223 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182228 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182230 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182232 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182238 */     GIR_RootConstrainSelectedInstOperands,
     /*  182239 */     // GIR_Coverage, 667,
     /*  182239 */     GIR_EraseRootFromParent_Done,
     /*  182240 */   // Label 3465: @182240
     /*  182240 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(182295), // Rule ID 669 //
     /*  182245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182262 */     // MIs[0] addr
     /*  182262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182278 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182283 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182285 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182287 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182293 */     GIR_RootConstrainSelectedInstOperands,
     /*  182294 */     // GIR_Coverage, 669,
     /*  182294 */     GIR_EraseRootFromParent_Done,
     /*  182295 */   // Label 3466: @182295
     /*  182295 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(182350), // Rule ID 671 //
     /*  182300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182317 */     // MIs[0] addr
     /*  182317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182333 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182338 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182340 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182342 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182348 */     GIR_RootConstrainSelectedInstOperands,
     /*  182349 */     // GIR_Coverage, 671,
     /*  182349 */     GIR_EraseRootFromParent_Done,
     /*  182350 */   // Label 3467: @182350
     /*  182350 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(182405), // Rule ID 673 //
     /*  182355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182372 */     // MIs[0] addr
     /*  182372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182388 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182393 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182395 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182397 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182403 */     GIR_RootConstrainSelectedInstOperands,
     /*  182404 */     // GIR_Coverage, 673,
     /*  182404 */     GIR_EraseRootFromParent_Done,
     /*  182405 */   // Label 3468: @182405
     /*  182405 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(182460), // Rule ID 675 //
     /*  182410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182427 */     // MIs[0] addr
     /*  182427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182443 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182448 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182450 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182452 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182458 */     GIR_RootConstrainSelectedInstOperands,
     /*  182459 */     // GIR_Coverage, 675,
     /*  182459 */     GIR_EraseRootFromParent_Done,
     /*  182460 */   // Label 3469: @182460
     /*  182460 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(182515), // Rule ID 677 //
     /*  182465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182482 */     // MIs[0] addr
     /*  182482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182498 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182503 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182505 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182507 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182513 */     GIR_RootConstrainSelectedInstOperands,
     /*  182514 */     // GIR_Coverage, 677,
     /*  182514 */     GIR_EraseRootFromParent_Done,
     /*  182515 */   // Label 3470: @182515
     /*  182515 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(182570), // Rule ID 679 //
     /*  182520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182537 */     // MIs[0] addr
     /*  182537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182553 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182558 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182560 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182562 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182568 */     GIR_RootConstrainSelectedInstOperands,
     /*  182569 */     // GIR_Coverage, 679,
     /*  182569 */     GIR_EraseRootFromParent_Done,
     /*  182570 */   // Label 3471: @182570
     /*  182570 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(182625), // Rule ID 681 //
     /*  182575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182592 */     // MIs[0] addr
     /*  182592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182608 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182613 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182615 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182617 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182623 */     GIR_RootConstrainSelectedInstOperands,
     /*  182624 */     // GIR_Coverage, 681,
     /*  182624 */     GIR_EraseRootFromParent_Done,
     /*  182625 */   // Label 3472: @182625
     /*  182625 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(182680), // Rule ID 682 //
     /*  182630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182647 */     // MIs[0] addr
     /*  182647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182663 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  182666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182668 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182670 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182672 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182678 */     GIR_RootConstrainSelectedInstOperands,
     /*  182679 */     // GIR_Coverage, 682,
     /*  182679 */     GIR_EraseRootFromParent_Done,
     /*  182680 */   // Label 3473: @182680
     /*  182680 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(182735), // Rule ID 683 //
     /*  182685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182702 */     // MIs[0] addr
     /*  182702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182718 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  182721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182723 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182725 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182727 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182733 */     GIR_RootConstrainSelectedInstOperands,
     /*  182734 */     // GIR_Coverage, 683,
     /*  182734 */     GIR_EraseRootFromParent_Done,
     /*  182735 */   // Label 3474: @182735
     /*  182735 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(182790), // Rule ID 684 //
     /*  182740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182757 */     // MIs[0] addr
     /*  182757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182773 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  182776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182778 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182780 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182782 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182788 */     GIR_RootConstrainSelectedInstOperands,
     /*  182789 */     // GIR_Coverage, 684,
     /*  182789 */     GIR_EraseRootFromParent_Done,
     /*  182790 */   // Label 3475: @182790
     /*  182790 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(182845), // Rule ID 685 //
     /*  182795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182812 */     // MIs[0] addr
     /*  182812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182828 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  182831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182833 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182835 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182837 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182843 */     GIR_RootConstrainSelectedInstOperands,
     /*  182844 */     // GIR_Coverage, 685,
     /*  182844 */     GIR_EraseRootFromParent_Done,
     /*  182845 */   // Label 3476: @182845
     /*  182845 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(182900), // Rule ID 686 //
     /*  182850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182867 */     // MIs[0] addr
     /*  182867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182883 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182888 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182890 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182892 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182898 */     GIR_RootConstrainSelectedInstOperands,
     /*  182899 */     // GIR_Coverage, 686,
     /*  182899 */     GIR_EraseRootFromParent_Done,
     /*  182900 */   // Label 3477: @182900
     /*  182900 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(182955), // Rule ID 687 //
     /*  182905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182922 */     // MIs[0] addr
     /*  182922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182938 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182943 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182945 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182947 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182953 */     GIR_RootConstrainSelectedInstOperands,
     /*  182954 */     // GIR_Coverage, 687,
     /*  182954 */     GIR_EraseRootFromParent_Done,
     /*  182955 */   // Label 3478: @182955
     /*  182955 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(183010), // Rule ID 688 //
     /*  182960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182977 */     // MIs[0] addr
     /*  182977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182993 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182998 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183000 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183002 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183008 */     GIR_RootConstrainSelectedInstOperands,
     /*  183009 */     // GIR_Coverage, 688,
     /*  183009 */     GIR_EraseRootFromParent_Done,
     /*  183010 */   // Label 3479: @183010
     /*  183010 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(183065), // Rule ID 689 //
     /*  183015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183032 */     // MIs[0] addr
     /*  183032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183048 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183053 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183055 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183057 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183063 */     GIR_RootConstrainSelectedInstOperands,
     /*  183064 */     // GIR_Coverage, 689,
     /*  183064 */     GIR_EraseRootFromParent_Done,
     /*  183065 */   // Label 3480: @183065
     /*  183065 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(183120), // Rule ID 690 //
     /*  183070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183087 */     // MIs[0] addr
     /*  183087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183103 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183108 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183110 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183112 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183118 */     GIR_RootConstrainSelectedInstOperands,
     /*  183119 */     // GIR_Coverage, 690,
     /*  183119 */     GIR_EraseRootFromParent_Done,
     /*  183120 */   // Label 3481: @183120
     /*  183120 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(183175), // Rule ID 1051 //
     /*  183125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183142 */     // MIs[0] addr
     /*  183142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183158 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183163 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183165 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183167 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183173 */     GIR_RootConstrainSelectedInstOperands,
     /*  183174 */     // GIR_Coverage, 1051,
     /*  183174 */     GIR_EraseRootFromParent_Done,
     /*  183175 */   // Label 3482: @183175
     /*  183175 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(183230), // Rule ID 1053 //
     /*  183180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183197 */     // MIs[0] addr
     /*  183197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183213 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  183216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183218 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183220 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183222 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183228 */     GIR_RootConstrainSelectedInstOperands,
     /*  183229 */     // GIR_Coverage, 1053,
     /*  183229 */     GIR_EraseRootFromParent_Done,
     /*  183230 */   // Label 3483: @183230
     /*  183230 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(183285), // Rule ID 1055 //
     /*  183235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183252 */     // MIs[0] addr
     /*  183252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183268 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  183271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183273 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183275 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183277 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183283 */     GIR_RootConstrainSelectedInstOperands,
     /*  183284 */     // GIR_Coverage, 1055,
     /*  183284 */     GIR_EraseRootFromParent_Done,
     /*  183285 */   // Label 3484: @183285
     /*  183285 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(183340), // Rule ID 1057 //
     /*  183290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183307 */     // MIs[0] addr
     /*  183307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183323 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183328 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183330 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183332 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183338 */     GIR_RootConstrainSelectedInstOperands,
     /*  183339 */     // GIR_Coverage, 1057,
     /*  183339 */     GIR_EraseRootFromParent_Done,
     /*  183340 */   // Label 3485: @183340
     /*  183340 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(183395), // Rule ID 1059 //
     /*  183345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183362 */     // MIs[0] addr
     /*  183362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183378 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183383 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183385 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183387 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183393 */     GIR_RootConstrainSelectedInstOperands,
     /*  183394 */     // GIR_Coverage, 1059,
     /*  183394 */     GIR_EraseRootFromParent_Done,
     /*  183395 */   // Label 3486: @183395
     /*  183395 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(183450), // Rule ID 1061 //
     /*  183400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183417 */     // MIs[0] addr
     /*  183417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183433 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183438 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183440 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183442 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183448 */     GIR_RootConstrainSelectedInstOperands,
     /*  183449 */     // GIR_Coverage, 1061,
     /*  183449 */     GIR_EraseRootFromParent_Done,
     /*  183450 */   // Label 3487: @183450
     /*  183450 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(183505), // Rule ID 1063 //
     /*  183455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183472 */     // MIs[0] addr
     /*  183472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183488 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183493 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183495 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183497 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183503 */     GIR_RootConstrainSelectedInstOperands,
     /*  183504 */     // GIR_Coverage, 1063,
     /*  183504 */     GIR_EraseRootFromParent_Done,
     /*  183505 */   // Label 3488: @183505
     /*  183505 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(183560), // Rule ID 1065 //
     /*  183510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183527 */     // MIs[0] addr
     /*  183527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183543 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183548 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183550 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183552 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183558 */     GIR_RootConstrainSelectedInstOperands,
     /*  183559 */     // GIR_Coverage, 1065,
     /*  183559 */     GIR_EraseRootFromParent_Done,
     /*  183560 */   // Label 3489: @183560
     /*  183560 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(183615), // Rule ID 1067 //
     /*  183565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183582 */     // MIs[0] addr
     /*  183582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183598 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183603 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183605 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183607 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183613 */     GIR_RootConstrainSelectedInstOperands,
     /*  183614 */     // GIR_Coverage, 1067,
     /*  183614 */     GIR_EraseRootFromParent_Done,
     /*  183615 */   // Label 3490: @183615
     /*  183615 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(183670), // Rule ID 1069 //
     /*  183620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183637 */     // MIs[0] addr
     /*  183637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183653 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183658 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183660 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183662 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183668 */     GIR_RootConstrainSelectedInstOperands,
     /*  183669 */     // GIR_Coverage, 1069,
     /*  183669 */     GIR_EraseRootFromParent_Done,
     /*  183670 */   // Label 3491: @183670
     /*  183670 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(183725), // Rule ID 1071 //
     /*  183675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183692 */     // MIs[0] addr
     /*  183692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183708 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183713 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183715 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183717 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183723 */     GIR_RootConstrainSelectedInstOperands,
     /*  183724 */     // GIR_Coverage, 1071,
     /*  183724 */     GIR_EraseRootFromParent_Done,
     /*  183725 */   // Label 3492: @183725
     /*  183725 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(183780), // Rule ID 1073 //
     /*  183730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183747 */     // MIs[0] addr
     /*  183747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183763 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  183766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183768 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183770 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183772 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183778 */     GIR_RootConstrainSelectedInstOperands,
     /*  183779 */     // GIR_Coverage, 1073,
     /*  183779 */     GIR_EraseRootFromParent_Done,
     /*  183780 */   // Label 3493: @183780
     /*  183780 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(183835), // Rule ID 1075 //
     /*  183785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183802 */     // MIs[0] addr
     /*  183802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183818 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  183821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183823 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183825 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183827 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183833 */     GIR_RootConstrainSelectedInstOperands,
     /*  183834 */     // GIR_Coverage, 1075,
     /*  183834 */     GIR_EraseRootFromParent_Done,
     /*  183835 */   // Label 3494: @183835
     /*  183835 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(183890), // Rule ID 1077 //
     /*  183840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183857 */     // MIs[0] addr
     /*  183857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183873 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  183876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183878 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183880 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183882 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183888 */     GIR_RootConstrainSelectedInstOperands,
     /*  183889 */     // GIR_Coverage, 1077,
     /*  183889 */     GIR_EraseRootFromParent_Done,
     /*  183890 */   // Label 3495: @183890
     /*  183890 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(183945), // Rule ID 1079 //
     /*  183895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183912 */     // MIs[0] addr
     /*  183912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183928 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  183931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183933 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183935 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183937 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183943 */     GIR_RootConstrainSelectedInstOperands,
     /*  183944 */     // GIR_Coverage, 1079,
     /*  183944 */     GIR_EraseRootFromParent_Done,
     /*  183945 */   // Label 3496: @183945
     /*  183945 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(184000), // Rule ID 1081 //
     /*  183950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183967 */     // MIs[0] addr
     /*  183967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183983 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183988 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183990 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183992 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183998 */     GIR_RootConstrainSelectedInstOperands,
     /*  183999 */     // GIR_Coverage, 1081,
     /*  183999 */     GIR_EraseRootFromParent_Done,
     /*  184000 */   // Label 3497: @184000
     /*  184000 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(184055), // Rule ID 1083 //
     /*  184005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184022 */     // MIs[0] addr
     /*  184022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184038 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184043 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184045 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184047 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184053 */     GIR_RootConstrainSelectedInstOperands,
     /*  184054 */     // GIR_Coverage, 1083,
     /*  184054 */     GIR_EraseRootFromParent_Done,
     /*  184055 */   // Label 3498: @184055
     /*  184055 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(184110), // Rule ID 1085 //
     /*  184060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184077 */     // MIs[0] addr
     /*  184077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184093 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184098 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184100 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184102 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184108 */     GIR_RootConstrainSelectedInstOperands,
     /*  184109 */     // GIR_Coverage, 1085,
     /*  184109 */     GIR_EraseRootFromParent_Done,
     /*  184110 */   // Label 3499: @184110
     /*  184110 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(184165), // Rule ID 1087 //
     /*  184115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184132 */     // MIs[0] addr
     /*  184132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184148 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184153 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184155 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184157 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184163 */     GIR_RootConstrainSelectedInstOperands,
     /*  184164 */     // GIR_Coverage, 1087,
     /*  184164 */     GIR_EraseRootFromParent_Done,
     /*  184165 */   // Label 3500: @184165
     /*  184165 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(184220), // Rule ID 1089 //
     /*  184170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184173 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184187 */     // MIs[0] addr
     /*  184187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184203 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184208 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184210 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184212 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184218 */     GIR_RootConstrainSelectedInstOperands,
     /*  184219 */     // GIR_Coverage, 1089,
     /*  184219 */     GIR_EraseRootFromParent_Done,
     /*  184220 */   // Label 3501: @184220
     /*  184220 */   GIM_Reject,
     /*  184221 */ // Label 3451: @184221
     /*  184221 */ GIM_Reject,
     /*  184222 */ // Label 3414: @184222
     /*  184222 */ GIM_Reject,
     /*  184223 */ // Label 26: @184223
     /*  184223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3504*/ GIMT_Encode4(187132),
     /*  184234 */ /*GILLT_s32*//*Label 3502*/ GIMT_Encode4(184242),
     /*  184238 */ /*GILLT_s64*//*Label 3503*/ GIMT_Encode4(185482),
     /*  184242 */ // Label 3502: @184242
     /*  184242 */ GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(185481),
     /*  184247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  184250 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(184291), // Rule ID 344 //
     /*  184255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184272 */     // MIs[0] rs1
     /*  184272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184284 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184289 */     GIR_RootConstrainSelectedInstOperands,
     /*  184290 */     // GIR_Coverage, 344,
     /*  184290 */     GIR_Done,
     /*  184291 */   // Label 3506: @184291
     /*  184291 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(184332), // Rule ID 346 //
     /*  184296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184313 */     // MIs[0] rs1
     /*  184313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184325 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  184330 */     GIR_RootConstrainSelectedInstOperands,
     /*  184331 */     // GIR_Coverage, 346,
     /*  184331 */     GIR_Done,
     /*  184332 */   // Label 3507: @184332
     /*  184332 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(184373), // Rule ID 348 //
     /*  184337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184354 */     // MIs[0] rs1
     /*  184354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184366 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  184371 */     GIR_RootConstrainSelectedInstOperands,
     /*  184372 */     // GIR_Coverage, 348,
     /*  184372 */     GIR_Done,
     /*  184373 */   // Label 3508: @184373
     /*  184373 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(184414), // Rule ID 350 //
     /*  184378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184395 */     // MIs[0] rs1
     /*  184395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184407 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184412 */     GIR_RootConstrainSelectedInstOperands,
     /*  184413 */     // GIR_Coverage, 350,
     /*  184413 */     GIR_Done,
     /*  184414 */   // Label 3509: @184414
     /*  184414 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(184455), // Rule ID 352 //
     /*  184419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184422 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184429 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184436 */     // MIs[0] rs1
     /*  184436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184448 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184453 */     GIR_RootConstrainSelectedInstOperands,
     /*  184454 */     // GIR_Coverage, 352,
     /*  184454 */     GIR_Done,
     /*  184455 */   // Label 3510: @184455
     /*  184455 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(184496), // Rule ID 354 //
     /*  184460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184463 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184470 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184477 */     // MIs[0] rs1
     /*  184477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184489 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184494 */     GIR_RootConstrainSelectedInstOperands,
     /*  184495 */     // GIR_Coverage, 354,
     /*  184495 */     GIR_Done,
     /*  184496 */   // Label 3511: @184496
     /*  184496 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(184537), // Rule ID 356 //
     /*  184501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184518 */     // MIs[0] rs1
     /*  184518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184530 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184535 */     GIR_RootConstrainSelectedInstOperands,
     /*  184536 */     // GIR_Coverage, 356,
     /*  184536 */     GIR_Done,
     /*  184537 */   // Label 3512: @184537
     /*  184537 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(184578), // Rule ID 358 //
     /*  184542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184545 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184559 */     // MIs[0] rs1
     /*  184559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184571 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184576 */     GIR_RootConstrainSelectedInstOperands,
     /*  184577 */     // GIR_Coverage, 358,
     /*  184577 */     GIR_Done,
     /*  184578 */   // Label 3513: @184578
     /*  184578 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(184619), // Rule ID 360 //
     /*  184583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184586 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184593 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184600 */     // MIs[0] rs1
     /*  184600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184612 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184612 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184617 */     GIR_RootConstrainSelectedInstOperands,
     /*  184618 */     // GIR_Coverage, 360,
     /*  184618 */     GIR_Done,
     /*  184619 */   // Label 3514: @184619
     /*  184619 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(184660), // Rule ID 362 //
     /*  184624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184627 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184634 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184641 */     // MIs[0] rs1
     /*  184641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184653 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184658 */     GIR_RootConstrainSelectedInstOperands,
     /*  184659 */     // GIR_Coverage, 362,
     /*  184659 */     GIR_Done,
     /*  184660 */   // Label 3515: @184660
     /*  184660 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(184701), // Rule ID 692 //
     /*  184665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184682 */     // MIs[0] rs1
     /*  184682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184694 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184699 */     GIR_RootConstrainSelectedInstOperands,
     /*  184700 */     // GIR_Coverage, 692,
     /*  184700 */     GIR_Done,
     /*  184701 */   // Label 3516: @184701
     /*  184701 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(184742), // Rule ID 694 //
     /*  184706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184709 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184716 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184723 */     // MIs[0] rs1
     /*  184723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184735 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  184740 */     GIR_RootConstrainSelectedInstOperands,
     /*  184741 */     // GIR_Coverage, 694,
     /*  184741 */     GIR_Done,
     /*  184742 */   // Label 3517: @184742
     /*  184742 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(184783), // Rule ID 696 //
     /*  184747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184764 */     // MIs[0] rs1
     /*  184764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184776 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  184781 */     GIR_RootConstrainSelectedInstOperands,
     /*  184782 */     // GIR_Coverage, 696,
     /*  184782 */     GIR_Done,
     /*  184783 */   // Label 3518: @184783
     /*  184783 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(184824), // Rule ID 698 //
     /*  184788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184805 */     // MIs[0] rs1
     /*  184805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184817 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  184822 */     GIR_RootConstrainSelectedInstOperands,
     /*  184823 */     // GIR_Coverage, 698,
     /*  184823 */     GIR_Done,
     /*  184824 */   // Label 3519: @184824
     /*  184824 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(184865), // Rule ID 700 //
     /*  184829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184846 */     // MIs[0] rs1
     /*  184846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184858 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  184863 */     GIR_RootConstrainSelectedInstOperands,
     /*  184864 */     // GIR_Coverage, 700,
     /*  184864 */     GIR_Done,
     /*  184865 */   // Label 3520: @184865
     /*  184865 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(184906), // Rule ID 702 //
     /*  184870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184887 */     // MIs[0] rs1
     /*  184887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184899 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184904 */     GIR_RootConstrainSelectedInstOperands,
     /*  184905 */     // GIR_Coverage, 702,
     /*  184905 */     GIR_Done,
     /*  184906 */   // Label 3521: @184906
     /*  184906 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(184947), // Rule ID 704 //
     /*  184911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184928 */     // MIs[0] rs1
     /*  184928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184940 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184945 */     GIR_RootConstrainSelectedInstOperands,
     /*  184946 */     // GIR_Coverage, 704,
     /*  184946 */     GIR_Done,
     /*  184947 */   // Label 3522: @184947
     /*  184947 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(184988), // Rule ID 706 //
     /*  184952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184955 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184969 */     // MIs[0] rs1
     /*  184969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184981 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184981 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184986 */     GIR_RootConstrainSelectedInstOperands,
     /*  184987 */     // GIR_Coverage, 706,
     /*  184987 */     GIR_Done,
     /*  184988 */   // Label 3523: @184988
     /*  184988 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(185029), // Rule ID 708 //
     /*  184993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185010 */     // MIs[0] rs1
     /*  185010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185022 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185027 */     GIR_RootConstrainSelectedInstOperands,
     /*  185028 */     // GIR_Coverage, 708,
     /*  185028 */     GIR_Done,
     /*  185029 */   // Label 3524: @185029
     /*  185029 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(185070), // Rule ID 710 //
     /*  185034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185051 */     // MIs[0] rs1
     /*  185051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185063 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185068 */     GIR_RootConstrainSelectedInstOperands,
     /*  185069 */     // GIR_Coverage, 710,
     /*  185069 */     GIR_Done,
     /*  185070 */   // Label 3525: @185070
     /*  185070 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(185111), // Rule ID 872 //
     /*  185075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185092 */     // MIs[0] rs1
     /*  185092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185104 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185109 */     GIR_RootConstrainSelectedInstOperands,
     /*  185110 */     // GIR_Coverage, 872,
     /*  185110 */     GIR_Done,
     /*  185111 */   // Label 3526: @185111
     /*  185111 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(185152), // Rule ID 874 //
     /*  185116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185133 */     // MIs[0] rs1
     /*  185133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185145 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  185150 */     GIR_RootConstrainSelectedInstOperands,
     /*  185151 */     // GIR_Coverage, 874,
     /*  185151 */     GIR_Done,
     /*  185152 */   // Label 3527: @185152
     /*  185152 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(185193), // Rule ID 876 //
     /*  185157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185174 */     // MIs[0] rs1
     /*  185174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185186 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  185191 */     GIR_RootConstrainSelectedInstOperands,
     /*  185192 */     // GIR_Coverage, 876,
     /*  185192 */     GIR_Done,
     /*  185193 */   // Label 3528: @185193
     /*  185193 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(185234), // Rule ID 878 //
     /*  185198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185215 */     // MIs[0] rs1
     /*  185215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185227 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185232 */     GIR_RootConstrainSelectedInstOperands,
     /*  185233 */     // GIR_Coverage, 878,
     /*  185233 */     GIR_Done,
     /*  185234 */   // Label 3529: @185234
     /*  185234 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(185275), // Rule ID 880 //
     /*  185239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185256 */     // MIs[0] rs1
     /*  185256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185268 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185273 */     GIR_RootConstrainSelectedInstOperands,
     /*  185274 */     // GIR_Coverage, 880,
     /*  185274 */     GIR_Done,
     /*  185275 */   // Label 3530: @185275
     /*  185275 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(185316), // Rule ID 882 //
     /*  185280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185297 */     // MIs[0] rs1
     /*  185297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185309 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185314 */     GIR_RootConstrainSelectedInstOperands,
     /*  185315 */     // GIR_Coverage, 882,
     /*  185315 */     GIR_Done,
     /*  185316 */   // Label 3531: @185316
     /*  185316 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(185357), // Rule ID 884 //
     /*  185321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185338 */     // MIs[0] rs1
     /*  185338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185350 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185355 */     GIR_RootConstrainSelectedInstOperands,
     /*  185356 */     // GIR_Coverage, 884,
     /*  185356 */     GIR_Done,
     /*  185357 */   // Label 3532: @185357
     /*  185357 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(185398), // Rule ID 886 //
     /*  185362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185379 */     // MIs[0] rs1
     /*  185379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185391 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185396 */     GIR_RootConstrainSelectedInstOperands,
     /*  185397 */     // GIR_Coverage, 886,
     /*  185397 */     GIR_Done,
     /*  185398 */   // Label 3533: @185398
     /*  185398 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(185439), // Rule ID 888 //
     /*  185403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185406 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185413 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185420 */     // MIs[0] rs1
     /*  185420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185432 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185437 */     GIR_RootConstrainSelectedInstOperands,
     /*  185438 */     // GIR_Coverage, 888,
     /*  185438 */     GIR_Done,
     /*  185439 */   // Label 3534: @185439
     /*  185439 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(185480), // Rule ID 890 //
     /*  185444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185461 */     // MIs[0] rs1
     /*  185461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185473 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185478 */     GIR_RootConstrainSelectedInstOperands,
     /*  185479 */     // GIR_Coverage, 890,
     /*  185479 */     GIR_Done,
     /*  185480 */   // Label 3535: @185480
     /*  185480 */   GIM_Reject,
     /*  185481 */ // Label 3505: @185481
     /*  185481 */ GIM_Reject,
     /*  185482 */ // Label 3503: @185482
     /*  185482 */ GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(187131),
     /*  185487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  185490 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(185531), // Rule ID 343 //
     /*  185495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185512 */     // MIs[0] rs1
     /*  185512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185524 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185529 */     GIR_RootConstrainSelectedInstOperands,
     /*  185530 */     // GIR_Coverage, 343,
     /*  185530 */     GIR_Done,
     /*  185531 */   // Label 3537: @185531
     /*  185531 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(185572), // Rule ID 345 //
     /*  185536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185553 */     // MIs[0] rs1
     /*  185553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185565 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  185570 */     GIR_RootConstrainSelectedInstOperands,
     /*  185571 */     // GIR_Coverage, 345,
     /*  185571 */     GIR_Done,
     /*  185572 */   // Label 3538: @185572
     /*  185572 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(185613), // Rule ID 347 //
     /*  185577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185594 */     // MIs[0] rs1
     /*  185594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185606 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  185611 */     GIR_RootConstrainSelectedInstOperands,
     /*  185612 */     // GIR_Coverage, 347,
     /*  185612 */     GIR_Done,
     /*  185613 */   // Label 3539: @185613
     /*  185613 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(185654), // Rule ID 349 //
     /*  185618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185635 */     // MIs[0] rs1
     /*  185635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185647 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  185652 */     GIR_RootConstrainSelectedInstOperands,
     /*  185653 */     // GIR_Coverage, 349,
     /*  185653 */     GIR_Done,
     /*  185654 */   // Label 3540: @185654
     /*  185654 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(185695), // Rule ID 351 //
     /*  185659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185662 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185669 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185676 */     // MIs[0] rs1
     /*  185676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185688 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  185693 */     GIR_RootConstrainSelectedInstOperands,
     /*  185694 */     // GIR_Coverage, 351,
     /*  185694 */     GIR_Done,
     /*  185695 */   // Label 3541: @185695
     /*  185695 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(185736), // Rule ID 353 //
     /*  185700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185717 */     // MIs[0] rs1
     /*  185717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185729 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185734 */     GIR_RootConstrainSelectedInstOperands,
     /*  185735 */     // GIR_Coverage, 353,
     /*  185735 */     GIR_Done,
     /*  185736 */   // Label 3542: @185736
     /*  185736 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(185777), // Rule ID 355 //
     /*  185741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185758 */     // MIs[0] rs1
     /*  185758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185770 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185775 */     GIR_RootConstrainSelectedInstOperands,
     /*  185776 */     // GIR_Coverage, 355,
     /*  185776 */     GIR_Done,
     /*  185777 */   // Label 3543: @185777
     /*  185777 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(185818), // Rule ID 357 //
     /*  185782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185799 */     // MIs[0] rs1
     /*  185799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185811 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185816 */     GIR_RootConstrainSelectedInstOperands,
     /*  185817 */     // GIR_Coverage, 357,
     /*  185817 */     GIR_Done,
     /*  185818 */   // Label 3544: @185818
     /*  185818 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(185859), // Rule ID 359 //
     /*  185823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185840 */     // MIs[0] rs1
     /*  185840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185852 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185857 */     GIR_RootConstrainSelectedInstOperands,
     /*  185858 */     // GIR_Coverage, 359,
     /*  185858 */     GIR_Done,
     /*  185859 */   // Label 3545: @185859
     /*  185859 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(185900), // Rule ID 361 //
     /*  185864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185881 */     // MIs[0] rs1
     /*  185881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185893 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185898 */     GIR_RootConstrainSelectedInstOperands,
     /*  185899 */     // GIR_Coverage, 361,
     /*  185899 */     GIR_Done,
     /*  185900 */   // Label 3546: @185900
     /*  185900 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(185941), // Rule ID 523 //
     /*  185905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185922 */     // MIs[0] rs1
     /*  185922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185934 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  185939 */     GIR_RootConstrainSelectedInstOperands,
     /*  185940 */     // GIR_Coverage, 523,
     /*  185940 */     GIR_Done,
     /*  185941 */   // Label 3547: @185941
     /*  185941 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(185982), // Rule ID 524 //
     /*  185946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185956 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185963 */     // MIs[0] rs1
     /*  185963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185975 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  185980 */     GIR_RootConstrainSelectedInstOperands,
     /*  185981 */     // GIR_Coverage, 524,
     /*  185981 */     GIR_Done,
     /*  185982 */   // Label 3548: @185982
     /*  185982 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(186023), // Rule ID 525 //
     /*  185987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186004 */     // MIs[0] rs1
     /*  186004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186016 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  186021 */     GIR_RootConstrainSelectedInstOperands,
     /*  186022 */     // GIR_Coverage, 525,
     /*  186022 */     GIR_Done,
     /*  186023 */   // Label 3549: @186023
     /*  186023 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(186064), // Rule ID 526 //
     /*  186028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186045 */     // MIs[0] rs1
     /*  186045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186057 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186057 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  186062 */     GIR_RootConstrainSelectedInstOperands,
     /*  186063 */     // GIR_Coverage, 526,
     /*  186063 */     GIR_Done,
     /*  186064 */   // Label 3550: @186064
     /*  186064 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(186105), // Rule ID 527 //
     /*  186069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186086 */     // MIs[0] rs1
     /*  186086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186098 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  186103 */     GIR_RootConstrainSelectedInstOperands,
     /*  186104 */     // GIR_Coverage, 527,
     /*  186104 */     GIR_Done,
     /*  186105 */   // Label 3551: @186105
     /*  186105 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(186146), // Rule ID 528 //
     /*  186110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186113 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186127 */     // MIs[0] rs1
     /*  186127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186139 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186144 */     GIR_RootConstrainSelectedInstOperands,
     /*  186145 */     // GIR_Coverage, 528,
     /*  186145 */     GIR_Done,
     /*  186146 */   // Label 3552: @186146
     /*  186146 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(186187), // Rule ID 529 //
     /*  186151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186168 */     // MIs[0] rs1
     /*  186168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186180 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186185 */     GIR_RootConstrainSelectedInstOperands,
     /*  186186 */     // GIR_Coverage, 529,
     /*  186186 */     GIR_Done,
     /*  186187 */   // Label 3553: @186187
     /*  186187 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(186228), // Rule ID 530 //
     /*  186192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186195 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186202 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186209 */     // MIs[0] rs1
     /*  186209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186221 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186226 */     GIR_RootConstrainSelectedInstOperands,
     /*  186227 */     // GIR_Coverage, 530,
     /*  186227 */     GIR_Done,
     /*  186228 */   // Label 3554: @186228
     /*  186228 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(186269), // Rule ID 531 //
     /*  186233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186250 */     // MIs[0] rs1
     /*  186250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186262 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186267 */     GIR_RootConstrainSelectedInstOperands,
     /*  186268 */     // GIR_Coverage, 531,
     /*  186268 */     GIR_Done,
     /*  186269 */   // Label 3555: @186269
     /*  186269 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(186310), // Rule ID 532 //
     /*  186274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186277 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186291 */     // MIs[0] rs1
     /*  186291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186303 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186308 */     GIR_RootConstrainSelectedInstOperands,
     /*  186309 */     // GIR_Coverage, 532,
     /*  186309 */     GIR_Done,
     /*  186310 */   // Label 3556: @186310
     /*  186310 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(186351), // Rule ID 691 //
     /*  186315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186332 */     // MIs[0] rs1
     /*  186332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186344 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186349 */     GIR_RootConstrainSelectedInstOperands,
     /*  186350 */     // GIR_Coverage, 691,
     /*  186350 */     GIR_Done,
     /*  186351 */   // Label 3557: @186351
     /*  186351 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(186392), // Rule ID 693 //
     /*  186356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186359 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186373 */     // MIs[0] rs1
     /*  186373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186385 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  186390 */     GIR_RootConstrainSelectedInstOperands,
     /*  186391 */     // GIR_Coverage, 693,
     /*  186391 */     GIR_Done,
     /*  186392 */   // Label 3558: @186392
     /*  186392 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(186433), // Rule ID 695 //
     /*  186397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186414 */     // MIs[0] rs1
     /*  186414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186426 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  186431 */     GIR_RootConstrainSelectedInstOperands,
     /*  186432 */     // GIR_Coverage, 695,
     /*  186432 */     GIR_Done,
     /*  186433 */   // Label 3559: @186433
     /*  186433 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(186474), // Rule ID 697 //
     /*  186438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186455 */     // MIs[0] rs1
     /*  186455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186467 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186472 */     GIR_RootConstrainSelectedInstOperands,
     /*  186473 */     // GIR_Coverage, 697,
     /*  186473 */     GIR_Done,
     /*  186474 */   // Label 3560: @186474
     /*  186474 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(186515), // Rule ID 699 //
     /*  186479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186496 */     // MIs[0] rs1
     /*  186496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186508 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186513 */     GIR_RootConstrainSelectedInstOperands,
     /*  186514 */     // GIR_Coverage, 699,
     /*  186514 */     GIR_Done,
     /*  186515 */   // Label 3561: @186515
     /*  186515 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(186556), // Rule ID 701 //
     /*  186520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186537 */     // MIs[0] rs1
     /*  186537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186549 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186554 */     GIR_RootConstrainSelectedInstOperands,
     /*  186555 */     // GIR_Coverage, 701,
     /*  186555 */     GIR_Done,
     /*  186556 */   // Label 3562: @186556
     /*  186556 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(186597), // Rule ID 703 //
     /*  186561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186578 */     // MIs[0] rs1
     /*  186578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186590 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186595 */     GIR_RootConstrainSelectedInstOperands,
     /*  186596 */     // GIR_Coverage, 703,
     /*  186596 */     GIR_Done,
     /*  186597 */   // Label 3563: @186597
     /*  186597 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(186638), // Rule ID 705 //
     /*  186602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186619 */     // MIs[0] rs1
     /*  186619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186631 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186636 */     GIR_RootConstrainSelectedInstOperands,
     /*  186637 */     // GIR_Coverage, 705,
     /*  186637 */     GIR_Done,
     /*  186638 */   // Label 3564: @186638
     /*  186638 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(186679), // Rule ID 707 //
     /*  186643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186660 */     // MIs[0] rs1
     /*  186660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186672 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186677 */     GIR_RootConstrainSelectedInstOperands,
     /*  186678 */     // GIR_Coverage, 707,
     /*  186678 */     GIR_Done,
     /*  186679 */   // Label 3565: @186679
     /*  186679 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(186720), // Rule ID 709 //
     /*  186684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186701 */     // MIs[0] rs1
     /*  186701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186713 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186718 */     GIR_RootConstrainSelectedInstOperands,
     /*  186719 */     // GIR_Coverage, 709,
     /*  186719 */     GIR_Done,
     /*  186720 */   // Label 3566: @186720
     /*  186720 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(186761), // Rule ID 871 //
     /*  186725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186742 */     // MIs[0] rs1
     /*  186742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186754 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186759 */     GIR_RootConstrainSelectedInstOperands,
     /*  186760 */     // GIR_Coverage, 871,
     /*  186760 */     GIR_Done,
     /*  186761 */   // Label 3567: @186761
     /*  186761 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(186802), // Rule ID 873 //
     /*  186766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186783 */     // MIs[0] rs1
     /*  186783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186795 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  186800 */     GIR_RootConstrainSelectedInstOperands,
     /*  186801 */     // GIR_Coverage, 873,
     /*  186801 */     GIR_Done,
     /*  186802 */   // Label 3568: @186802
     /*  186802 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(186843), // Rule ID 875 //
     /*  186807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186824 */     // MIs[0] rs1
     /*  186824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186836 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  186841 */     GIR_RootConstrainSelectedInstOperands,
     /*  186842 */     // GIR_Coverage, 875,
     /*  186842 */     GIR_Done,
     /*  186843 */   // Label 3569: @186843
     /*  186843 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(186884), // Rule ID 877 //
     /*  186848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186865 */     // MIs[0] rs1
     /*  186865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186877 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  186882 */     GIR_RootConstrainSelectedInstOperands,
     /*  186883 */     // GIR_Coverage, 877,
     /*  186883 */     GIR_Done,
     /*  186884 */   // Label 3570: @186884
     /*  186884 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(186925), // Rule ID 879 //
     /*  186889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186906 */     // MIs[0] rs1
     /*  186906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186918 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  186923 */     GIR_RootConstrainSelectedInstOperands,
     /*  186924 */     // GIR_Coverage, 879,
     /*  186924 */     GIR_Done,
     /*  186925 */   // Label 3571: @186925
     /*  186925 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(186966), // Rule ID 881 //
     /*  186930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186947 */     // MIs[0] rs1
     /*  186947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186959 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186964 */     GIR_RootConstrainSelectedInstOperands,
     /*  186965 */     // GIR_Coverage, 881,
     /*  186965 */     GIR_Done,
     /*  186966 */   // Label 3572: @186966
     /*  186966 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(187007), // Rule ID 883 //
     /*  186971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186988 */     // MIs[0] rs1
     /*  186988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187000 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187005 */     GIR_RootConstrainSelectedInstOperands,
     /*  187006 */     // GIR_Coverage, 883,
     /*  187006 */     GIR_Done,
     /*  187007 */   // Label 3573: @187007
     /*  187007 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(187048), // Rule ID 885 //
     /*  187012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187029 */     // MIs[0] rs1
     /*  187029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187041 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187046 */     GIR_RootConstrainSelectedInstOperands,
     /*  187047 */     // GIR_Coverage, 885,
     /*  187047 */     GIR_Done,
     /*  187048 */   // Label 3574: @187048
     /*  187048 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(187089), // Rule ID 887 //
     /*  187053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187070 */     // MIs[0] rs1
     /*  187070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187082 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187087 */     GIR_RootConstrainSelectedInstOperands,
     /*  187088 */     // GIR_Coverage, 887,
     /*  187088 */     GIR_Done,
     /*  187089 */   // Label 3575: @187089
     /*  187089 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(187130), // Rule ID 889 //
     /*  187094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187111 */     // MIs[0] rs1
     /*  187111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187123 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187128 */     GIR_RootConstrainSelectedInstOperands,
     /*  187129 */     // GIR_Coverage, 889,
     /*  187129 */     GIR_Done,
     /*  187130 */   // Label 3576: @187130
     /*  187130 */   GIM_Reject,
     /*  187131 */ // Label 3536: @187131
     /*  187131 */ GIM_Reject,
     /*  187132 */ // Label 3504: @187132
     /*  187132 */ GIM_Reject,
     /*  187133 */ // Label 27: @187133
     /*  187133 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3579*/ GIMT_Encode4(190042),
     /*  187144 */ /*GILLT_s32*//*Label 3577*/ GIMT_Encode4(187152),
     /*  187148 */ /*GILLT_s64*//*Label 3578*/ GIMT_Encode4(188392),
     /*  187152 */ // Label 3577: @187152
     /*  187152 */ GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(188391),
     /*  187157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  187160 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(187201), // Rule ID 364 //
     /*  187165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187182 */     // MIs[0] rs1
     /*  187182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187194 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187199 */     GIR_RootConstrainSelectedInstOperands,
     /*  187200 */     // GIR_Coverage, 364,
     /*  187200 */     GIR_Done,
     /*  187201 */   // Label 3581: @187201
     /*  187201 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(187242), // Rule ID 366 //
     /*  187206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187223 */     // MIs[0] rs1
     /*  187223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187235 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  187240 */     GIR_RootConstrainSelectedInstOperands,
     /*  187241 */     // GIR_Coverage, 366,
     /*  187241 */     GIR_Done,
     /*  187242 */   // Label 3582: @187242
     /*  187242 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(187283), // Rule ID 368 //
     /*  187247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187264 */     // MIs[0] rs1
     /*  187264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187276 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  187281 */     GIR_RootConstrainSelectedInstOperands,
     /*  187282 */     // GIR_Coverage, 368,
     /*  187282 */     GIR_Done,
     /*  187283 */   // Label 3583: @187283
     /*  187283 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(187324), // Rule ID 370 //
     /*  187288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187305 */     // MIs[0] rs1
     /*  187305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187317 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187317 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187322 */     GIR_RootConstrainSelectedInstOperands,
     /*  187323 */     // GIR_Coverage, 370,
     /*  187323 */     GIR_Done,
     /*  187324 */   // Label 3584: @187324
     /*  187324 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(187365), // Rule ID 372 //
     /*  187329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187346 */     // MIs[0] rs1
     /*  187346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187358 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187363 */     GIR_RootConstrainSelectedInstOperands,
     /*  187364 */     // GIR_Coverage, 372,
     /*  187364 */     GIR_Done,
     /*  187365 */   // Label 3585: @187365
     /*  187365 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(187406), // Rule ID 374 //
     /*  187370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187387 */     // MIs[0] rs1
     /*  187387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187399 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187404 */     GIR_RootConstrainSelectedInstOperands,
     /*  187405 */     // GIR_Coverage, 374,
     /*  187405 */     GIR_Done,
     /*  187406 */   // Label 3586: @187406
     /*  187406 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(187447), // Rule ID 376 //
     /*  187411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187428 */     // MIs[0] rs1
     /*  187428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187440 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187445 */     GIR_RootConstrainSelectedInstOperands,
     /*  187446 */     // GIR_Coverage, 376,
     /*  187446 */     GIR_Done,
     /*  187447 */   // Label 3587: @187447
     /*  187447 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(187488), // Rule ID 378 //
     /*  187452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187462 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187469 */     // MIs[0] rs1
     /*  187469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187481 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187486 */     GIR_RootConstrainSelectedInstOperands,
     /*  187487 */     // GIR_Coverage, 378,
     /*  187487 */     GIR_Done,
     /*  187488 */   // Label 3588: @187488
     /*  187488 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(187529), // Rule ID 380 //
     /*  187493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187510 */     // MIs[0] rs1
     /*  187510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187522 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187527 */     GIR_RootConstrainSelectedInstOperands,
     /*  187528 */     // GIR_Coverage, 380,
     /*  187528 */     GIR_Done,
     /*  187529 */   // Label 3589: @187529
     /*  187529 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(187570), // Rule ID 382 //
     /*  187534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187537 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187544 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187551 */     // MIs[0] rs1
     /*  187551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187563 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187568 */     GIR_RootConstrainSelectedInstOperands,
     /*  187569 */     // GIR_Coverage, 382,
     /*  187569 */     GIR_Done,
     /*  187570 */   // Label 3590: @187570
     /*  187570 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(187611), // Rule ID 712 //
     /*  187575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187592 */     // MIs[0] rs1
     /*  187592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187604 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187609 */     GIR_RootConstrainSelectedInstOperands,
     /*  187610 */     // GIR_Coverage, 712,
     /*  187610 */     GIR_Done,
     /*  187611 */   // Label 3591: @187611
     /*  187611 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(187652), // Rule ID 714 //
     /*  187616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187619 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187626 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187633 */     // MIs[0] rs1
     /*  187633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187645 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  187650 */     GIR_RootConstrainSelectedInstOperands,
     /*  187651 */     // GIR_Coverage, 714,
     /*  187651 */     GIR_Done,
     /*  187652 */   // Label 3592: @187652
     /*  187652 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(187693), // Rule ID 716 //
     /*  187657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187660 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187667 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187674 */     // MIs[0] rs1
     /*  187674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187686 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  187691 */     GIR_RootConstrainSelectedInstOperands,
     /*  187692 */     // GIR_Coverage, 716,
     /*  187692 */     GIR_Done,
     /*  187693 */   // Label 3593: @187693
     /*  187693 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(187734), // Rule ID 718 //
     /*  187698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187701 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187708 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187715 */     // MIs[0] rs1
     /*  187715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187727 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  187732 */     GIR_RootConstrainSelectedInstOperands,
     /*  187733 */     // GIR_Coverage, 718,
     /*  187733 */     GIR_Done,
     /*  187734 */   // Label 3594: @187734
     /*  187734 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(187775), // Rule ID 720 //
     /*  187739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187742 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187749 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187756 */     // MIs[0] rs1
     /*  187756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187768 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  187773 */     GIR_RootConstrainSelectedInstOperands,
     /*  187774 */     // GIR_Coverage, 720,
     /*  187774 */     GIR_Done,
     /*  187775 */   // Label 3595: @187775
     /*  187775 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(187816), // Rule ID 722 //
     /*  187780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187783 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187790 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187797 */     // MIs[0] rs1
     /*  187797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187809 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187814 */     GIR_RootConstrainSelectedInstOperands,
     /*  187815 */     // GIR_Coverage, 722,
     /*  187815 */     GIR_Done,
     /*  187816 */   // Label 3596: @187816
     /*  187816 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(187857), // Rule ID 724 //
     /*  187821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187838 */     // MIs[0] rs1
     /*  187838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187850 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187855 */     GIR_RootConstrainSelectedInstOperands,
     /*  187856 */     // GIR_Coverage, 724,
     /*  187856 */     GIR_Done,
     /*  187857 */   // Label 3597: @187857
     /*  187857 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(187898), // Rule ID 726 //
     /*  187862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187865 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187872 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187879 */     // MIs[0] rs1
     /*  187879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187891 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187896 */     GIR_RootConstrainSelectedInstOperands,
     /*  187897 */     // GIR_Coverage, 726,
     /*  187897 */     GIR_Done,
     /*  187898 */   // Label 3598: @187898
     /*  187898 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(187939), // Rule ID 728 //
     /*  187903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187906 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187913 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187920 */     // MIs[0] rs1
     /*  187920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187932 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187937 */     GIR_RootConstrainSelectedInstOperands,
     /*  187938 */     // GIR_Coverage, 728,
     /*  187938 */     GIR_Done,
     /*  187939 */   // Label 3599: @187939
     /*  187939 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(187980), // Rule ID 730 //
     /*  187944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187947 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187954 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187961 */     // MIs[0] rs1
     /*  187961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187973 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187978 */     GIR_RootConstrainSelectedInstOperands,
     /*  187979 */     // GIR_Coverage, 730,
     /*  187979 */     GIR_Done,
     /*  187980 */   // Label 3600: @187980
     /*  187980 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(188021), // Rule ID 892 //
     /*  187985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188002 */     // MIs[0] rs1
     /*  188002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188014 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188019 */     GIR_RootConstrainSelectedInstOperands,
     /*  188020 */     // GIR_Coverage, 892,
     /*  188020 */     GIR_Done,
     /*  188021 */   // Label 3601: @188021
     /*  188021 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(188062), // Rule ID 894 //
     /*  188026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188029 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188036 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188043 */     // MIs[0] rs1
     /*  188043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188055 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  188060 */     GIR_RootConstrainSelectedInstOperands,
     /*  188061 */     // GIR_Coverage, 894,
     /*  188061 */     GIR_Done,
     /*  188062 */   // Label 3602: @188062
     /*  188062 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(188103), // Rule ID 896 //
     /*  188067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188070 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188084 */     // MIs[0] rs1
     /*  188084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188096 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188096 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  188101 */     GIR_RootConstrainSelectedInstOperands,
     /*  188102 */     // GIR_Coverage, 896,
     /*  188102 */     GIR_Done,
     /*  188103 */   // Label 3603: @188103
     /*  188103 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(188144), // Rule ID 898 //
     /*  188108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188111 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188118 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188125 */     // MIs[0] rs1
     /*  188125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188137 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188137 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  188142 */     GIR_RootConstrainSelectedInstOperands,
     /*  188143 */     // GIR_Coverage, 898,
     /*  188143 */     GIR_Done,
     /*  188144 */   // Label 3604: @188144
     /*  188144 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(188185), // Rule ID 900 //
     /*  188149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188152 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188159 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188166 */     // MIs[0] rs1
     /*  188166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188178 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  188183 */     GIR_RootConstrainSelectedInstOperands,
     /*  188184 */     // GIR_Coverage, 900,
     /*  188184 */     GIR_Done,
     /*  188185 */   // Label 3605: @188185
     /*  188185 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(188226), // Rule ID 902 //
     /*  188190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188207 */     // MIs[0] rs1
     /*  188207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188219 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188219 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188224 */     GIR_RootConstrainSelectedInstOperands,
     /*  188225 */     // GIR_Coverage, 902,
     /*  188225 */     GIR_Done,
     /*  188226 */   // Label 3606: @188226
     /*  188226 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(188267), // Rule ID 904 //
     /*  188231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188234 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188241 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188248 */     // MIs[0] rs1
     /*  188248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188260 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188265 */     GIR_RootConstrainSelectedInstOperands,
     /*  188266 */     // GIR_Coverage, 904,
     /*  188266 */     GIR_Done,
     /*  188267 */   // Label 3607: @188267
     /*  188267 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(188308), // Rule ID 906 //
     /*  188272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188275 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188282 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188289 */     // MIs[0] rs1
     /*  188289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188301 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188306 */     GIR_RootConstrainSelectedInstOperands,
     /*  188307 */     // GIR_Coverage, 906,
     /*  188307 */     GIR_Done,
     /*  188308 */   // Label 3608: @188308
     /*  188308 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(188349), // Rule ID 908 //
     /*  188313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188316 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188323 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188330 */     // MIs[0] rs1
     /*  188330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188342 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188347 */     GIR_RootConstrainSelectedInstOperands,
     /*  188348 */     // GIR_Coverage, 908,
     /*  188348 */     GIR_Done,
     /*  188349 */   // Label 3609: @188349
     /*  188349 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(188390), // Rule ID 910 //
     /*  188354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188357 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188364 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188371 */     // MIs[0] rs1
     /*  188371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188383 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188383 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188388 */     GIR_RootConstrainSelectedInstOperands,
     /*  188389 */     // GIR_Coverage, 910,
     /*  188389 */     GIR_Done,
     /*  188390 */   // Label 3610: @188390
     /*  188390 */   GIM_Reject,
     /*  188391 */ // Label 3580: @188391
     /*  188391 */ GIM_Reject,
     /*  188392 */ // Label 3578: @188392
     /*  188392 */ GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(190041),
     /*  188397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188400 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(188441), // Rule ID 363 //
     /*  188405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188415 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188422 */     // MIs[0] rs1
     /*  188422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188434 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188439 */     GIR_RootConstrainSelectedInstOperands,
     /*  188440 */     // GIR_Coverage, 363,
     /*  188440 */     GIR_Done,
     /*  188441 */   // Label 3612: @188441
     /*  188441 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(188482), // Rule ID 365 //
     /*  188446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188463 */     // MIs[0] rs1
     /*  188463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188475 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  188480 */     GIR_RootConstrainSelectedInstOperands,
     /*  188481 */     // GIR_Coverage, 365,
     /*  188481 */     GIR_Done,
     /*  188482 */   // Label 3613: @188482
     /*  188482 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(188523), // Rule ID 367 //
     /*  188487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188504 */     // MIs[0] rs1
     /*  188504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188516 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  188521 */     GIR_RootConstrainSelectedInstOperands,
     /*  188522 */     // GIR_Coverage, 367,
     /*  188522 */     GIR_Done,
     /*  188523 */   // Label 3614: @188523
     /*  188523 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(188564), // Rule ID 369 //
     /*  188528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188545 */     // MIs[0] rs1
     /*  188545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188557 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  188562 */     GIR_RootConstrainSelectedInstOperands,
     /*  188563 */     // GIR_Coverage, 369,
     /*  188563 */     GIR_Done,
     /*  188564 */   // Label 3615: @188564
     /*  188564 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(188605), // Rule ID 371 //
     /*  188569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188586 */     // MIs[0] rs1
     /*  188586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188598 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  188603 */     GIR_RootConstrainSelectedInstOperands,
     /*  188604 */     // GIR_Coverage, 371,
     /*  188604 */     GIR_Done,
     /*  188605 */   // Label 3616: @188605
     /*  188605 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(188646), // Rule ID 373 //
     /*  188610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188613 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188627 */     // MIs[0] rs1
     /*  188627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188639 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188644 */     GIR_RootConstrainSelectedInstOperands,
     /*  188645 */     // GIR_Coverage, 373,
     /*  188645 */     GIR_Done,
     /*  188646 */   // Label 3617: @188646
     /*  188646 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(188687), // Rule ID 375 //
     /*  188651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188668 */     // MIs[0] rs1
     /*  188668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188680 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188685 */     GIR_RootConstrainSelectedInstOperands,
     /*  188686 */     // GIR_Coverage, 375,
     /*  188686 */     GIR_Done,
     /*  188687 */   // Label 3618: @188687
     /*  188687 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(188728), // Rule ID 377 //
     /*  188692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188709 */     // MIs[0] rs1
     /*  188709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188721 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188726 */     GIR_RootConstrainSelectedInstOperands,
     /*  188727 */     // GIR_Coverage, 377,
     /*  188727 */     GIR_Done,
     /*  188728 */   // Label 3619: @188728
     /*  188728 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(188769), // Rule ID 379 //
     /*  188733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188743 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188750 */     // MIs[0] rs1
     /*  188750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188762 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188762 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188767 */     GIR_RootConstrainSelectedInstOperands,
     /*  188768 */     // GIR_Coverage, 379,
     /*  188768 */     GIR_Done,
     /*  188769 */   // Label 3620: @188769
     /*  188769 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(188810), // Rule ID 381 //
     /*  188774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188791 */     // MIs[0] rs1
     /*  188791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188803 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188803 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188808 */     GIR_RootConstrainSelectedInstOperands,
     /*  188809 */     // GIR_Coverage, 381,
     /*  188809 */     GIR_Done,
     /*  188810 */   // Label 3621: @188810
     /*  188810 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(188851), // Rule ID 533 //
     /*  188815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188825 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188832 */     // MIs[0] rs1
     /*  188832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188844 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188849 */     GIR_RootConstrainSelectedInstOperands,
     /*  188850 */     // GIR_Coverage, 533,
     /*  188850 */     GIR_Done,
     /*  188851 */   // Label 3622: @188851
     /*  188851 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(188892), // Rule ID 534 //
     /*  188856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188873 */     // MIs[0] rs1
     /*  188873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188885 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  188890 */     GIR_RootConstrainSelectedInstOperands,
     /*  188891 */     // GIR_Coverage, 534,
     /*  188891 */     GIR_Done,
     /*  188892 */   // Label 3623: @188892
     /*  188892 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(188933), // Rule ID 535 //
     /*  188897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188900 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188907 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188914 */     // MIs[0] rs1
     /*  188914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188926 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  188931 */     GIR_RootConstrainSelectedInstOperands,
     /*  188932 */     // GIR_Coverage, 535,
     /*  188932 */     GIR_Done,
     /*  188933 */   // Label 3624: @188933
     /*  188933 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(188974), // Rule ID 536 //
     /*  188938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188955 */     // MIs[0] rs1
     /*  188955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188967 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  188972 */     GIR_RootConstrainSelectedInstOperands,
     /*  188973 */     // GIR_Coverage, 536,
     /*  188973 */     GIR_Done,
     /*  188974 */   // Label 3625: @188974
     /*  188974 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(189015), // Rule ID 537 //
     /*  188979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188989 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188996 */     // MIs[0] rs1
     /*  188996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189008 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  189013 */     GIR_RootConstrainSelectedInstOperands,
     /*  189014 */     // GIR_Coverage, 537,
     /*  189014 */     GIR_Done,
     /*  189015 */   // Label 3626: @189015
     /*  189015 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(189056), // Rule ID 538 //
     /*  189020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189023 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189030 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189037 */     // MIs[0] rs1
     /*  189037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189049 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189049 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189054 */     GIR_RootConstrainSelectedInstOperands,
     /*  189055 */     // GIR_Coverage, 538,
     /*  189055 */     GIR_Done,
     /*  189056 */   // Label 3627: @189056
     /*  189056 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(189097), // Rule ID 539 //
     /*  189061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189064 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189071 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189078 */     // MIs[0] rs1
     /*  189078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189090 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189095 */     GIR_RootConstrainSelectedInstOperands,
     /*  189096 */     // GIR_Coverage, 539,
     /*  189096 */     GIR_Done,
     /*  189097 */   // Label 3628: @189097
     /*  189097 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(189138), // Rule ID 540 //
     /*  189102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189105 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189119 */     // MIs[0] rs1
     /*  189119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189131 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189136 */     GIR_RootConstrainSelectedInstOperands,
     /*  189137 */     // GIR_Coverage, 540,
     /*  189137 */     GIR_Done,
     /*  189138 */   // Label 3629: @189138
     /*  189138 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(189179), // Rule ID 541 //
     /*  189143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189146 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189153 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189160 */     // MIs[0] rs1
     /*  189160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189172 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189177 */     GIR_RootConstrainSelectedInstOperands,
     /*  189178 */     // GIR_Coverage, 541,
     /*  189178 */     GIR_Done,
     /*  189179 */   // Label 3630: @189179
     /*  189179 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(189220), // Rule ID 542 //
     /*  189184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189187 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189194 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189201 */     // MIs[0] rs1
     /*  189201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189213 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189218 */     GIR_RootConstrainSelectedInstOperands,
     /*  189219 */     // GIR_Coverage, 542,
     /*  189219 */     GIR_Done,
     /*  189220 */   // Label 3631: @189220
     /*  189220 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(189261), // Rule ID 711 //
     /*  189225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189235 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189242 */     // MIs[0] rs1
     /*  189242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189254 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189259 */     GIR_RootConstrainSelectedInstOperands,
     /*  189260 */     // GIR_Coverage, 711,
     /*  189260 */     GIR_Done,
     /*  189261 */   // Label 3632: @189261
     /*  189261 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(189302), // Rule ID 713 //
     /*  189266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189269 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189276 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189283 */     // MIs[0] rs1
     /*  189283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189295 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  189300 */     GIR_RootConstrainSelectedInstOperands,
     /*  189301 */     // GIR_Coverage, 713,
     /*  189301 */     GIR_Done,
     /*  189302 */   // Label 3633: @189302
     /*  189302 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(189343), // Rule ID 715 //
     /*  189307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189310 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189317 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189324 */     // MIs[0] rs1
     /*  189324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189336 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  189341 */     GIR_RootConstrainSelectedInstOperands,
     /*  189342 */     // GIR_Coverage, 715,
     /*  189342 */     GIR_Done,
     /*  189343 */   // Label 3634: @189343
     /*  189343 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(189384), // Rule ID 717 //
     /*  189348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189351 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189358 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189365 */     // MIs[0] rs1
     /*  189365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189377 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189382 */     GIR_RootConstrainSelectedInstOperands,
     /*  189383 */     // GIR_Coverage, 717,
     /*  189383 */     GIR_Done,
     /*  189384 */   // Label 3635: @189384
     /*  189384 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(189425), // Rule ID 719 //
     /*  189389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189406 */     // MIs[0] rs1
     /*  189406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189418 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189418 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189423 */     GIR_RootConstrainSelectedInstOperands,
     /*  189424 */     // GIR_Coverage, 719,
     /*  189424 */     GIR_Done,
     /*  189425 */   // Label 3636: @189425
     /*  189425 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(189466), // Rule ID 721 //
     /*  189430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189433 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189440 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189447 */     // MIs[0] rs1
     /*  189447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189459 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189464 */     GIR_RootConstrainSelectedInstOperands,
     /*  189465 */     // GIR_Coverage, 721,
     /*  189465 */     GIR_Done,
     /*  189466 */   // Label 3637: @189466
     /*  189466 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(189507), // Rule ID 723 //
     /*  189471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189488 */     // MIs[0] rs1
     /*  189488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189500 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189505 */     GIR_RootConstrainSelectedInstOperands,
     /*  189506 */     // GIR_Coverage, 723,
     /*  189506 */     GIR_Done,
     /*  189507 */   // Label 3638: @189507
     /*  189507 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(189548), // Rule ID 725 //
     /*  189512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189515 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189522 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189529 */     // MIs[0] rs1
     /*  189529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189541 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189546 */     GIR_RootConstrainSelectedInstOperands,
     /*  189547 */     // GIR_Coverage, 725,
     /*  189547 */     GIR_Done,
     /*  189548 */   // Label 3639: @189548
     /*  189548 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(189589), // Rule ID 727 //
     /*  189553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189570 */     // MIs[0] rs1
     /*  189570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189582 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189587 */     GIR_RootConstrainSelectedInstOperands,
     /*  189588 */     // GIR_Coverage, 727,
     /*  189588 */     GIR_Done,
     /*  189589 */   // Label 3640: @189589
     /*  189589 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(189630), // Rule ID 729 //
     /*  189594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189611 */     // MIs[0] rs1
     /*  189611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189623 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189628 */     GIR_RootConstrainSelectedInstOperands,
     /*  189629 */     // GIR_Coverage, 729,
     /*  189629 */     GIR_Done,
     /*  189630 */   // Label 3641: @189630
     /*  189630 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(189671), // Rule ID 891 //
     /*  189635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189638 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189645 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189652 */     // MIs[0] rs1
     /*  189652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189664 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189669 */     GIR_RootConstrainSelectedInstOperands,
     /*  189670 */     // GIR_Coverage, 891,
     /*  189670 */     GIR_Done,
     /*  189671 */   // Label 3642: @189671
     /*  189671 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(189712), // Rule ID 893 //
     /*  189676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189679 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189686 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189693 */     // MIs[0] rs1
     /*  189693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189705 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  189710 */     GIR_RootConstrainSelectedInstOperands,
     /*  189711 */     // GIR_Coverage, 893,
     /*  189711 */     GIR_Done,
     /*  189712 */   // Label 3643: @189712
     /*  189712 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(189753), // Rule ID 895 //
     /*  189717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189734 */     // MIs[0] rs1
     /*  189734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189746 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  189751 */     GIR_RootConstrainSelectedInstOperands,
     /*  189752 */     // GIR_Coverage, 895,
     /*  189752 */     GIR_Done,
     /*  189753 */   // Label 3644: @189753
     /*  189753 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(189794), // Rule ID 897 //
     /*  189758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189761 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189768 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189775 */     // MIs[0] rs1
     /*  189775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189787 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  189792 */     GIR_RootConstrainSelectedInstOperands,
     /*  189793 */     // GIR_Coverage, 897,
     /*  189793 */     GIR_Done,
     /*  189794 */   // Label 3645: @189794
     /*  189794 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(189835), // Rule ID 899 //
     /*  189799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189802 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189809 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189816 */     // MIs[0] rs1
     /*  189816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189828 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  189833 */     GIR_RootConstrainSelectedInstOperands,
     /*  189834 */     // GIR_Coverage, 899,
     /*  189834 */     GIR_Done,
     /*  189835 */   // Label 3646: @189835
     /*  189835 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(189876), // Rule ID 901 //
     /*  189840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189857 */     // MIs[0] rs1
     /*  189857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189869 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189874 */     GIR_RootConstrainSelectedInstOperands,
     /*  189875 */     // GIR_Coverage, 901,
     /*  189875 */     GIR_Done,
     /*  189876 */   // Label 3647: @189876
     /*  189876 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(189917), // Rule ID 903 //
     /*  189881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189898 */     // MIs[0] rs1
     /*  189898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189910 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189915 */     GIR_RootConstrainSelectedInstOperands,
     /*  189916 */     // GIR_Coverage, 903,
     /*  189916 */     GIR_Done,
     /*  189917 */   // Label 3648: @189917
     /*  189917 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(189958), // Rule ID 905 //
     /*  189922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189939 */     // MIs[0] rs1
     /*  189939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189951 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189956 */     GIR_RootConstrainSelectedInstOperands,
     /*  189957 */     // GIR_Coverage, 905,
     /*  189957 */     GIR_Done,
     /*  189958 */   // Label 3649: @189958
     /*  189958 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(189999), // Rule ID 907 //
     /*  189963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189966 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189980 */     // MIs[0] rs1
     /*  189980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189992 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189997 */     GIR_RootConstrainSelectedInstOperands,
     /*  189998 */     // GIR_Coverage, 907,
     /*  189998 */     GIR_Done,
     /*  189999 */   // Label 3650: @189999
     /*  189999 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(190040), // Rule ID 909 //
     /*  190004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190021 */     // MIs[0] rs1
     /*  190021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190033 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190038 */     GIR_RootConstrainSelectedInstOperands,
     /*  190039 */     // GIR_Coverage, 909,
     /*  190039 */     GIR_Done,
     /*  190040 */   // Label 3651: @190040
     /*  190040 */   GIM_Reject,
     /*  190041 */ // Label 3611: @190041
     /*  190041 */ GIM_Reject,
     /*  190042 */ // Label 3579: @190042
     /*  190042 */ GIM_Reject,
     /*  190043 */ // Label 28: @190043
     /*  190043 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3654*/ GIMT_Encode4(192952),
     /*  190054 */ /*GILLT_s32*//*Label 3652*/ GIMT_Encode4(190062),
     /*  190058 */ /*GILLT_s64*//*Label 3653*/ GIMT_Encode4(191302),
     /*  190062 */ // Label 3652: @190062
     /*  190062 */ GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(191301),
     /*  190067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  190070 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(190111), // Rule ID 384 //
     /*  190075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190092 */     // MIs[0] rs1
     /*  190092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190104 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190109 */     GIR_RootConstrainSelectedInstOperands,
     /*  190110 */     // GIR_Coverage, 384,
     /*  190110 */     GIR_Done,
     /*  190111 */   // Label 3656: @190111
     /*  190111 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(190152), // Rule ID 386 //
     /*  190116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190133 */     // MIs[0] rs1
     /*  190133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190145 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  190150 */     GIR_RootConstrainSelectedInstOperands,
     /*  190151 */     // GIR_Coverage, 386,
     /*  190151 */     GIR_Done,
     /*  190152 */   // Label 3657: @190152
     /*  190152 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(190193), // Rule ID 388 //
     /*  190157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190174 */     // MIs[0] rs1
     /*  190174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190186 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  190191 */     GIR_RootConstrainSelectedInstOperands,
     /*  190192 */     // GIR_Coverage, 388,
     /*  190192 */     GIR_Done,
     /*  190193 */   // Label 3658: @190193
     /*  190193 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(190234), // Rule ID 390 //
     /*  190198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190215 */     // MIs[0] rs1
     /*  190215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190227 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190232 */     GIR_RootConstrainSelectedInstOperands,
     /*  190233 */     // GIR_Coverage, 390,
     /*  190233 */     GIR_Done,
     /*  190234 */   // Label 3659: @190234
     /*  190234 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(190275), // Rule ID 392 //
     /*  190239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190256 */     // MIs[0] rs1
     /*  190256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190268 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190273 */     GIR_RootConstrainSelectedInstOperands,
     /*  190274 */     // GIR_Coverage, 392,
     /*  190274 */     GIR_Done,
     /*  190275 */   // Label 3660: @190275
     /*  190275 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(190316), // Rule ID 394 //
     /*  190280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190297 */     // MIs[0] rs1
     /*  190297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190309 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190314 */     GIR_RootConstrainSelectedInstOperands,
     /*  190315 */     // GIR_Coverage, 394,
     /*  190315 */     GIR_Done,
     /*  190316 */   // Label 3661: @190316
     /*  190316 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(190357), // Rule ID 396 //
     /*  190321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190338 */     // MIs[0] rs1
     /*  190338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190350 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190355 */     GIR_RootConstrainSelectedInstOperands,
     /*  190356 */     // GIR_Coverage, 396,
     /*  190356 */     GIR_Done,
     /*  190357 */   // Label 3662: @190357
     /*  190357 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(190398), // Rule ID 398 //
     /*  190362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190379 */     // MIs[0] rs1
     /*  190379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190391 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190396 */     GIR_RootConstrainSelectedInstOperands,
     /*  190397 */     // GIR_Coverage, 398,
     /*  190397 */     GIR_Done,
     /*  190398 */   // Label 3663: @190398
     /*  190398 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(190439), // Rule ID 400 //
     /*  190403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190406 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190413 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190420 */     // MIs[0] rs1
     /*  190420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190432 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190437 */     GIR_RootConstrainSelectedInstOperands,
     /*  190438 */     // GIR_Coverage, 400,
     /*  190438 */     GIR_Done,
     /*  190439 */   // Label 3664: @190439
     /*  190439 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(190480), // Rule ID 402 //
     /*  190444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190461 */     // MIs[0] rs1
     /*  190461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190473 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190478 */     GIR_RootConstrainSelectedInstOperands,
     /*  190479 */     // GIR_Coverage, 402,
     /*  190479 */     GIR_Done,
     /*  190480 */   // Label 3665: @190480
     /*  190480 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(190521), // Rule ID 732 //
     /*  190485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190502 */     // MIs[0] rs1
     /*  190502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190514 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190519 */     GIR_RootConstrainSelectedInstOperands,
     /*  190520 */     // GIR_Coverage, 732,
     /*  190520 */     GIR_Done,
     /*  190521 */   // Label 3666: @190521
     /*  190521 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(190562), // Rule ID 734 //
     /*  190526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190529 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190536 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190543 */     // MIs[0] rs1
     /*  190543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190555 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  190560 */     GIR_RootConstrainSelectedInstOperands,
     /*  190561 */     // GIR_Coverage, 734,
     /*  190561 */     GIR_Done,
     /*  190562 */   // Label 3667: @190562
     /*  190562 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(190603), // Rule ID 736 //
     /*  190567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190584 */     // MIs[0] rs1
     /*  190584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190596 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  190601 */     GIR_RootConstrainSelectedInstOperands,
     /*  190602 */     // GIR_Coverage, 736,
     /*  190602 */     GIR_Done,
     /*  190603 */   // Label 3668: @190603
     /*  190603 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(190644), // Rule ID 738 //
     /*  190608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190625 */     // MIs[0] rs1
     /*  190625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190637 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  190642 */     GIR_RootConstrainSelectedInstOperands,
     /*  190643 */     // GIR_Coverage, 738,
     /*  190643 */     GIR_Done,
     /*  190644 */   // Label 3669: @190644
     /*  190644 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(190685), // Rule ID 740 //
     /*  190649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190659 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190666 */     // MIs[0] rs1
     /*  190666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190678 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  190683 */     GIR_RootConstrainSelectedInstOperands,
     /*  190684 */     // GIR_Coverage, 740,
     /*  190684 */     GIR_Done,
     /*  190685 */   // Label 3670: @190685
     /*  190685 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(190726), // Rule ID 742 //
     /*  190690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190693 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190700 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190707 */     // MIs[0] rs1
     /*  190707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190719 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190724 */     GIR_RootConstrainSelectedInstOperands,
     /*  190725 */     // GIR_Coverage, 742,
     /*  190725 */     GIR_Done,
     /*  190726 */   // Label 3671: @190726
     /*  190726 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(190767), // Rule ID 744 //
     /*  190731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190748 */     // MIs[0] rs1
     /*  190748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190760 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190765 */     GIR_RootConstrainSelectedInstOperands,
     /*  190766 */     // GIR_Coverage, 744,
     /*  190766 */     GIR_Done,
     /*  190767 */   // Label 3672: @190767
     /*  190767 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(190808), // Rule ID 746 //
     /*  190772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190789 */     // MIs[0] rs1
     /*  190789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190801 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190806 */     GIR_RootConstrainSelectedInstOperands,
     /*  190807 */     // GIR_Coverage, 746,
     /*  190807 */     GIR_Done,
     /*  190808 */   // Label 3673: @190808
     /*  190808 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(190849), // Rule ID 748 //
     /*  190813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190816 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190823 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190830 */     // MIs[0] rs1
     /*  190830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190842 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190847 */     GIR_RootConstrainSelectedInstOperands,
     /*  190848 */     // GIR_Coverage, 748,
     /*  190848 */     GIR_Done,
     /*  190849 */   // Label 3674: @190849
     /*  190849 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(190890), // Rule ID 750 //
     /*  190854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190857 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190871 */     // MIs[0] rs1
     /*  190871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190883 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190888 */     GIR_RootConstrainSelectedInstOperands,
     /*  190889 */     // GIR_Coverage, 750,
     /*  190889 */     GIR_Done,
     /*  190890 */   // Label 3675: @190890
     /*  190890 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(190931), // Rule ID 912 //
     /*  190895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190912 */     // MIs[0] rs1
     /*  190912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190924 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  190929 */     GIR_RootConstrainSelectedInstOperands,
     /*  190930 */     // GIR_Coverage, 912,
     /*  190930 */     GIR_Done,
     /*  190931 */   // Label 3676: @190931
     /*  190931 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(190972), // Rule ID 914 //
     /*  190936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190953 */     // MIs[0] rs1
     /*  190953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190965 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  190970 */     GIR_RootConstrainSelectedInstOperands,
     /*  190971 */     // GIR_Coverage, 914,
     /*  190971 */     GIR_Done,
     /*  190972 */   // Label 3677: @190972
     /*  190972 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(191013), // Rule ID 916 //
     /*  190977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190994 */     // MIs[0] rs1
     /*  190994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191006 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  191011 */     GIR_RootConstrainSelectedInstOperands,
     /*  191012 */     // GIR_Coverage, 916,
     /*  191012 */     GIR_Done,
     /*  191013 */   // Label 3678: @191013
     /*  191013 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(191054), // Rule ID 918 //
     /*  191018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191035 */     // MIs[0] rs1
     /*  191035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191047 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  191052 */     GIR_RootConstrainSelectedInstOperands,
     /*  191053 */     // GIR_Coverage, 918,
     /*  191053 */     GIR_Done,
     /*  191054 */   // Label 3679: @191054
     /*  191054 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(191095), // Rule ID 920 //
     /*  191059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191076 */     // MIs[0] rs1
     /*  191076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191088 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  191093 */     GIR_RootConstrainSelectedInstOperands,
     /*  191094 */     // GIR_Coverage, 920,
     /*  191094 */     GIR_Done,
     /*  191095 */   // Label 3680: @191095
     /*  191095 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(191136), // Rule ID 922 //
     /*  191100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191117 */     // MIs[0] rs1
     /*  191117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191129 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191134 */     GIR_RootConstrainSelectedInstOperands,
     /*  191135 */     // GIR_Coverage, 922,
     /*  191135 */     GIR_Done,
     /*  191136 */   // Label 3681: @191136
     /*  191136 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(191177), // Rule ID 924 //
     /*  191141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191158 */     // MIs[0] rs1
     /*  191158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191170 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191175 */     GIR_RootConstrainSelectedInstOperands,
     /*  191176 */     // GIR_Coverage, 924,
     /*  191176 */     GIR_Done,
     /*  191177 */   // Label 3682: @191177
     /*  191177 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(191218), // Rule ID 926 //
     /*  191182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191199 */     // MIs[0] rs1
     /*  191199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191211 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191216 */     GIR_RootConstrainSelectedInstOperands,
     /*  191217 */     // GIR_Coverage, 926,
     /*  191217 */     GIR_Done,
     /*  191218 */   // Label 3683: @191218
     /*  191218 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(191259), // Rule ID 928 //
     /*  191223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191240 */     // MIs[0] rs1
     /*  191240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191252 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191257 */     GIR_RootConstrainSelectedInstOperands,
     /*  191258 */     // GIR_Coverage, 928,
     /*  191258 */     GIR_Done,
     /*  191259 */   // Label 3684: @191259
     /*  191259 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(191300), // Rule ID 930 //
     /*  191264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191281 */     // MIs[0] rs1
     /*  191281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191293 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191298 */     GIR_RootConstrainSelectedInstOperands,
     /*  191299 */     // GIR_Coverage, 930,
     /*  191299 */     GIR_Done,
     /*  191300 */   // Label 3685: @191300
     /*  191300 */   GIM_Reject,
     /*  191301 */ // Label 3655: @191301
     /*  191301 */ GIM_Reject,
     /*  191302 */ // Label 3653: @191302
     /*  191302 */ GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(192951),
     /*  191307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  191310 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(191351), // Rule ID 383 //
     /*  191315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191332 */     // MIs[0] rs1
     /*  191332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191344 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191349 */     GIR_RootConstrainSelectedInstOperands,
     /*  191350 */     // GIR_Coverage, 383,
     /*  191350 */     GIR_Done,
     /*  191351 */   // Label 3687: @191351
     /*  191351 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(191392), // Rule ID 385 //
     /*  191356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191359 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191373 */     // MIs[0] rs1
     /*  191373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191385 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  191390 */     GIR_RootConstrainSelectedInstOperands,
     /*  191391 */     // GIR_Coverage, 385,
     /*  191391 */     GIR_Done,
     /*  191392 */   // Label 3688: @191392
     /*  191392 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(191433), // Rule ID 387 //
     /*  191397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191414 */     // MIs[0] rs1
     /*  191414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191426 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  191431 */     GIR_RootConstrainSelectedInstOperands,
     /*  191432 */     // GIR_Coverage, 387,
     /*  191432 */     GIR_Done,
     /*  191433 */   // Label 3689: @191433
     /*  191433 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(191474), // Rule ID 389 //
     /*  191438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191455 */     // MIs[0] rs1
     /*  191455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191467 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191472 */     GIR_RootConstrainSelectedInstOperands,
     /*  191473 */     // GIR_Coverage, 389,
     /*  191473 */     GIR_Done,
     /*  191474 */   // Label 3690: @191474
     /*  191474 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(191515), // Rule ID 391 //
     /*  191479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191496 */     // MIs[0] rs1
     /*  191496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191508 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191513 */     GIR_RootConstrainSelectedInstOperands,
     /*  191514 */     // GIR_Coverage, 391,
     /*  191514 */     GIR_Done,
     /*  191515 */   // Label 3691: @191515
     /*  191515 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(191556), // Rule ID 393 //
     /*  191520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191537 */     // MIs[0] rs1
     /*  191537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191549 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191554 */     GIR_RootConstrainSelectedInstOperands,
     /*  191555 */     // GIR_Coverage, 393,
     /*  191555 */     GIR_Done,
     /*  191556 */   // Label 3692: @191556
     /*  191556 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(191597), // Rule ID 395 //
     /*  191561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191578 */     // MIs[0] rs1
     /*  191578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191590 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191595 */     GIR_RootConstrainSelectedInstOperands,
     /*  191596 */     // GIR_Coverage, 395,
     /*  191596 */     GIR_Done,
     /*  191597 */   // Label 3693: @191597
     /*  191597 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(191638), // Rule ID 397 //
     /*  191602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191619 */     // MIs[0] rs1
     /*  191619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191631 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191636 */     GIR_RootConstrainSelectedInstOperands,
     /*  191637 */     // GIR_Coverage, 397,
     /*  191637 */     GIR_Done,
     /*  191638 */   // Label 3694: @191638
     /*  191638 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(191679), // Rule ID 399 //
     /*  191643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191660 */     // MIs[0] rs1
     /*  191660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191672 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191677 */     GIR_RootConstrainSelectedInstOperands,
     /*  191678 */     // GIR_Coverage, 399,
     /*  191678 */     GIR_Done,
     /*  191679 */   // Label 3695: @191679
     /*  191679 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(191720), // Rule ID 401 //
     /*  191684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191701 */     // MIs[0] rs1
     /*  191701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191713 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191718 */     GIR_RootConstrainSelectedInstOperands,
     /*  191719 */     // GIR_Coverage, 401,
     /*  191719 */     GIR_Done,
     /*  191720 */   // Label 3696: @191720
     /*  191720 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(191761), // Rule ID 543 //
     /*  191725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191742 */     // MIs[0] rs1
     /*  191742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191754 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191759 */     GIR_RootConstrainSelectedInstOperands,
     /*  191760 */     // GIR_Coverage, 543,
     /*  191760 */     GIR_Done,
     /*  191761 */   // Label 3697: @191761
     /*  191761 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(191802), // Rule ID 544 //
     /*  191766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191783 */     // MIs[0] rs1
     /*  191783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191795 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  191800 */     GIR_RootConstrainSelectedInstOperands,
     /*  191801 */     // GIR_Coverage, 544,
     /*  191801 */     GIR_Done,
     /*  191802 */   // Label 3698: @191802
     /*  191802 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(191843), // Rule ID 545 //
     /*  191807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191824 */     // MIs[0] rs1
     /*  191824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191836 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  191841 */     GIR_RootConstrainSelectedInstOperands,
     /*  191842 */     // GIR_Coverage, 545,
     /*  191842 */     GIR_Done,
     /*  191843 */   // Label 3699: @191843
     /*  191843 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(191884), // Rule ID 546 //
     /*  191848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191865 */     // MIs[0] rs1
     /*  191865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191877 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  191882 */     GIR_RootConstrainSelectedInstOperands,
     /*  191883 */     // GIR_Coverage, 546,
     /*  191883 */     GIR_Done,
     /*  191884 */   // Label 3700: @191884
     /*  191884 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(191925), // Rule ID 547 //
     /*  191889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191906 */     // MIs[0] rs1
     /*  191906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191918 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  191923 */     GIR_RootConstrainSelectedInstOperands,
     /*  191924 */     // GIR_Coverage, 547,
     /*  191924 */     GIR_Done,
     /*  191925 */   // Label 3701: @191925
     /*  191925 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(191966), // Rule ID 548 //
     /*  191930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191947 */     // MIs[0] rs1
     /*  191947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191959 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191964 */     GIR_RootConstrainSelectedInstOperands,
     /*  191965 */     // GIR_Coverage, 548,
     /*  191965 */     GIR_Done,
     /*  191966 */   // Label 3702: @191966
     /*  191966 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(192007), // Rule ID 549 //
     /*  191971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191988 */     // MIs[0] rs1
     /*  191988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192000 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192005 */     GIR_RootConstrainSelectedInstOperands,
     /*  192006 */     // GIR_Coverage, 549,
     /*  192006 */     GIR_Done,
     /*  192007 */   // Label 3703: @192007
     /*  192007 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(192048), // Rule ID 550 //
     /*  192012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192029 */     // MIs[0] rs1
     /*  192029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192041 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192046 */     GIR_RootConstrainSelectedInstOperands,
     /*  192047 */     // GIR_Coverage, 550,
     /*  192047 */     GIR_Done,
     /*  192048 */   // Label 3704: @192048
     /*  192048 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(192089), // Rule ID 551 //
     /*  192053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192070 */     // MIs[0] rs1
     /*  192070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192082 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192087 */     GIR_RootConstrainSelectedInstOperands,
     /*  192088 */     // GIR_Coverage, 551,
     /*  192088 */     GIR_Done,
     /*  192089 */   // Label 3705: @192089
     /*  192089 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(192130), // Rule ID 552 //
     /*  192094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192111 */     // MIs[0] rs1
     /*  192111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192123 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192128 */     GIR_RootConstrainSelectedInstOperands,
     /*  192129 */     // GIR_Coverage, 552,
     /*  192129 */     GIR_Done,
     /*  192130 */   // Label 3706: @192130
     /*  192130 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(192171), // Rule ID 731 //
     /*  192135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192152 */     // MIs[0] rs1
     /*  192152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192164 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192169 */     GIR_RootConstrainSelectedInstOperands,
     /*  192170 */     // GIR_Coverage, 731,
     /*  192170 */     GIR_Done,
     /*  192171 */   // Label 3707: @192171
     /*  192171 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(192212), // Rule ID 733 //
     /*  192176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192193 */     // MIs[0] rs1
     /*  192193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192205 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  192210 */     GIR_RootConstrainSelectedInstOperands,
     /*  192211 */     // GIR_Coverage, 733,
     /*  192211 */     GIR_Done,
     /*  192212 */   // Label 3708: @192212
     /*  192212 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(192253), // Rule ID 735 //
     /*  192217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192234 */     // MIs[0] rs1
     /*  192234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192246 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  192251 */     GIR_RootConstrainSelectedInstOperands,
     /*  192252 */     // GIR_Coverage, 735,
     /*  192252 */     GIR_Done,
     /*  192253 */   // Label 3709: @192253
     /*  192253 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(192294), // Rule ID 737 //
     /*  192258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192275 */     // MIs[0] rs1
     /*  192275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192287 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192292 */     GIR_RootConstrainSelectedInstOperands,
     /*  192293 */     // GIR_Coverage, 737,
     /*  192293 */     GIR_Done,
     /*  192294 */   // Label 3710: @192294
     /*  192294 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(192335), // Rule ID 739 //
     /*  192299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192316 */     // MIs[0] rs1
     /*  192316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192328 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192333 */     GIR_RootConstrainSelectedInstOperands,
     /*  192334 */     // GIR_Coverage, 739,
     /*  192334 */     GIR_Done,
     /*  192335 */   // Label 3711: @192335
     /*  192335 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(192376), // Rule ID 741 //
     /*  192340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192357 */     // MIs[0] rs1
     /*  192357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192369 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192374 */     GIR_RootConstrainSelectedInstOperands,
     /*  192375 */     // GIR_Coverage, 741,
     /*  192375 */     GIR_Done,
     /*  192376 */   // Label 3712: @192376
     /*  192376 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(192417), // Rule ID 743 //
     /*  192381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192398 */     // MIs[0] rs1
     /*  192398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192410 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192415 */     GIR_RootConstrainSelectedInstOperands,
     /*  192416 */     // GIR_Coverage, 743,
     /*  192416 */     GIR_Done,
     /*  192417 */   // Label 3713: @192417
     /*  192417 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(192458), // Rule ID 745 //
     /*  192422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192439 */     // MIs[0] rs1
     /*  192439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192451 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192456 */     GIR_RootConstrainSelectedInstOperands,
     /*  192457 */     // GIR_Coverage, 745,
     /*  192457 */     GIR_Done,
     /*  192458 */   // Label 3714: @192458
     /*  192458 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(192499), // Rule ID 747 //
     /*  192463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192480 */     // MIs[0] rs1
     /*  192480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192492 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192497 */     GIR_RootConstrainSelectedInstOperands,
     /*  192498 */     // GIR_Coverage, 747,
     /*  192498 */     GIR_Done,
     /*  192499 */   // Label 3715: @192499
     /*  192499 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(192540), // Rule ID 749 //
     /*  192504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192521 */     // MIs[0] rs1
     /*  192521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192533 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192538 */     GIR_RootConstrainSelectedInstOperands,
     /*  192539 */     // GIR_Coverage, 749,
     /*  192539 */     GIR_Done,
     /*  192540 */   // Label 3716: @192540
     /*  192540 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(192581), // Rule ID 911 //
     /*  192545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192562 */     // MIs[0] rs1
     /*  192562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192574 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192579 */     GIR_RootConstrainSelectedInstOperands,
     /*  192580 */     // GIR_Coverage, 911,
     /*  192580 */     GIR_Done,
     /*  192581 */   // Label 3717: @192581
     /*  192581 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(192622), // Rule ID 913 //
     /*  192586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192603 */     // MIs[0] rs1
     /*  192603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192615 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  192620 */     GIR_RootConstrainSelectedInstOperands,
     /*  192621 */     // GIR_Coverage, 913,
     /*  192621 */     GIR_Done,
     /*  192622 */   // Label 3718: @192622
     /*  192622 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(192663), // Rule ID 915 //
     /*  192627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192644 */     // MIs[0] rs1
     /*  192644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192656 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  192661 */     GIR_RootConstrainSelectedInstOperands,
     /*  192662 */     // GIR_Coverage, 915,
     /*  192662 */     GIR_Done,
     /*  192663 */   // Label 3719: @192663
     /*  192663 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(192704), // Rule ID 917 //
     /*  192668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192685 */     // MIs[0] rs1
     /*  192685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192697 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  192702 */     GIR_RootConstrainSelectedInstOperands,
     /*  192703 */     // GIR_Coverage, 917,
     /*  192703 */     GIR_Done,
     /*  192704 */   // Label 3720: @192704
     /*  192704 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(192745), // Rule ID 919 //
     /*  192709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192726 */     // MIs[0] rs1
     /*  192726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192738 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  192743 */     GIR_RootConstrainSelectedInstOperands,
     /*  192744 */     // GIR_Coverage, 919,
     /*  192744 */     GIR_Done,
     /*  192745 */   // Label 3721: @192745
     /*  192745 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(192786), // Rule ID 921 //
     /*  192750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192767 */     // MIs[0] rs1
     /*  192767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192779 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192784 */     GIR_RootConstrainSelectedInstOperands,
     /*  192785 */     // GIR_Coverage, 921,
     /*  192785 */     GIR_Done,
     /*  192786 */   // Label 3722: @192786
     /*  192786 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(192827), // Rule ID 923 //
     /*  192791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192808 */     // MIs[0] rs1
     /*  192808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192820 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192825 */     GIR_RootConstrainSelectedInstOperands,
     /*  192826 */     // GIR_Coverage, 923,
     /*  192826 */     GIR_Done,
     /*  192827 */   // Label 3723: @192827
     /*  192827 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(192868), // Rule ID 925 //
     /*  192832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192849 */     // MIs[0] rs1
     /*  192849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192861 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192866 */     GIR_RootConstrainSelectedInstOperands,
     /*  192867 */     // GIR_Coverage, 925,
     /*  192867 */     GIR_Done,
     /*  192868 */   // Label 3724: @192868
     /*  192868 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(192909), // Rule ID 927 //
     /*  192873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192890 */     // MIs[0] rs1
     /*  192890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192902 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192907 */     GIR_RootConstrainSelectedInstOperands,
     /*  192908 */     // GIR_Coverage, 927,
     /*  192908 */     GIR_Done,
     /*  192909 */   // Label 3725: @192909
     /*  192909 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(192950), // Rule ID 929 //
     /*  192914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192931 */     // MIs[0] rs1
     /*  192931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192943 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192948 */     GIR_RootConstrainSelectedInstOperands,
     /*  192949 */     // GIR_Coverage, 929,
     /*  192949 */     GIR_Done,
     /*  192950 */   // Label 3726: @192950
     /*  192950 */   GIM_Reject,
     /*  192951 */ // Label 3686: @192951
     /*  192951 */ GIM_Reject,
     /*  192952 */ // Label 3654: @192952
     /*  192952 */ GIM_Reject,
     /*  192953 */ // Label 29: @192953
     /*  192953 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3729*/ GIMT_Encode4(193864),
     /*  192964 */ /*GILLT_s32*//*Label 3727*/ GIMT_Encode4(192972),
     /*  192968 */ /*GILLT_s64*//*Label 3728*/ GIMT_Encode4(193254),
     /*  192972 */ // Label 3727: @192972
     /*  192972 */ GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(193253),
     /*  192977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192980 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192987 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(193040), // Rule ID 614 //
     /*  192992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  192995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193002 */     // MIs[0] addr
     /*  193002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193014 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  193014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193022 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193027 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193029 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193038 */     GIR_RootConstrainSelectedInstOperands,
     /*  193039 */     // GIR_Coverage, 614,
     /*  193039 */     GIR_EraseRootFromParent_Done,
     /*  193040 */   // Label 3731: @193040
     /*  193040 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(193093), // Rule ID 616 //
     /*  193045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193055 */     // MIs[0] addr
     /*  193055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193067 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  193067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193075 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193080 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193082 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193091 */     GIR_RootConstrainSelectedInstOperands,
     /*  193092 */     // GIR_Coverage, 616,
     /*  193092 */     GIR_EraseRootFromParent_Done,
     /*  193093 */   // Label 3732: @193093
     /*  193093 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(193146), // Rule ID 618 //
     /*  193098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193108 */     // MIs[0] addr
     /*  193108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193120 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  193120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193128 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193133 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193135 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193144 */     GIR_RootConstrainSelectedInstOperands,
     /*  193145 */     // GIR_Coverage, 618,
     /*  193145 */     GIR_EraseRootFromParent_Done,
     /*  193146 */   // Label 3733: @193146
     /*  193146 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(193199), // Rule ID 620 //
     /*  193151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193161 */     // MIs[0] addr
     /*  193161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193173 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  193173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193181 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193186 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193188 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193197 */     GIR_RootConstrainSelectedInstOperands,
     /*  193198 */     // GIR_Coverage, 620,
     /*  193198 */     GIR_EraseRootFromParent_Done,
     /*  193199 */   // Label 3734: @193199
     /*  193199 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(193252), // Rule ID 622 //
     /*  193204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193214 */     // MIs[0] addr
     /*  193214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193226 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  193226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193234 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193239 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193241 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193250 */     GIR_RootConstrainSelectedInstOperands,
     /*  193251 */     // GIR_Coverage, 622,
     /*  193251 */     GIR_EraseRootFromParent_Done,
     /*  193252 */   // Label 3735: @193252
     /*  193252 */   GIM_Reject,
     /*  193253 */ // Label 3730: @193253
     /*  193253 */ GIM_Reject,
     /*  193254 */ // Label 3728: @193254
     /*  193254 */ GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(193863),
     /*  193259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193262 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(193322), // Rule ID 613 //
     /*  193267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193284 */     // MIs[0] addr
     /*  193284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193296 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  193296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193304 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193309 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193311 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193320 */     GIR_RootConstrainSelectedInstOperands,
     /*  193321 */     // GIR_Coverage, 613,
     /*  193321 */     GIR_EraseRootFromParent_Done,
     /*  193322 */   // Label 3737: @193322
     /*  193322 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(193382), // Rule ID 615 //
     /*  193327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193344 */     // MIs[0] addr
     /*  193344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193356 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  193356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193364 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193369 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193371 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193380 */     GIR_RootConstrainSelectedInstOperands,
     /*  193381 */     // GIR_Coverage, 615,
     /*  193381 */     GIR_EraseRootFromParent_Done,
     /*  193382 */   // Label 3738: @193382
     /*  193382 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(193442), // Rule ID 617 //
     /*  193387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193404 */     // MIs[0] addr
     /*  193404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193416 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  193416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193424 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193429 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193431 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193440 */     GIR_RootConstrainSelectedInstOperands,
     /*  193441 */     // GIR_Coverage, 617,
     /*  193441 */     GIR_EraseRootFromParent_Done,
     /*  193442 */   // Label 3739: @193442
     /*  193442 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(193502), // Rule ID 619 //
     /*  193447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193464 */     // MIs[0] addr
     /*  193464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193476 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  193476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193484 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193489 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193491 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193500 */     GIR_RootConstrainSelectedInstOperands,
     /*  193501 */     // GIR_Coverage, 619,
     /*  193501 */     GIR_EraseRootFromParent_Done,
     /*  193502 */   // Label 3740: @193502
     /*  193502 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(193562), // Rule ID 621 //
     /*  193507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193524 */     // MIs[0] addr
     /*  193524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193536 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  193536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193544 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193549 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193551 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193560 */     GIR_RootConstrainSelectedInstOperands,
     /*  193561 */     // GIR_Coverage, 621,
     /*  193561 */     GIR_EraseRootFromParent_Done,
     /*  193562 */   // Label 3741: @193562
     /*  193562 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(193622), // Rule ID 631 //
     /*  193567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193584 */     // MIs[0] addr
     /*  193584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193596 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  193596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193604 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193609 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193611 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193620 */     GIR_RootConstrainSelectedInstOperands,
     /*  193621 */     // GIR_Coverage, 631,
     /*  193621 */     GIR_EraseRootFromParent_Done,
     /*  193622 */   // Label 3742: @193622
     /*  193622 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(193682), // Rule ID 632 //
     /*  193627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193644 */     // MIs[0] addr
     /*  193644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193656 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  193656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193664 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193669 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193671 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193680 */     GIR_RootConstrainSelectedInstOperands,
     /*  193681 */     // GIR_Coverage, 632,
     /*  193681 */     GIR_EraseRootFromParent_Done,
     /*  193682 */   // Label 3743: @193682
     /*  193682 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(193742), // Rule ID 633 //
     /*  193687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193704 */     // MIs[0] addr
     /*  193704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193716 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  193716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193724 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193729 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193731 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193740 */     GIR_RootConstrainSelectedInstOperands,
     /*  193741 */     // GIR_Coverage, 633,
     /*  193741 */     GIR_EraseRootFromParent_Done,
     /*  193742 */   // Label 3744: @193742
     /*  193742 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(193802), // Rule ID 634 //
     /*  193747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193764 */     // MIs[0] addr
     /*  193764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193776 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  193776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193784 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193789 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193791 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193800 */     GIR_RootConstrainSelectedInstOperands,
     /*  193801 */     // GIR_Coverage, 634,
     /*  193801 */     GIR_EraseRootFromParent_Done,
     /*  193802 */   // Label 3745: @193802
     /*  193802 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(193862), // Rule ID 635 //
     /*  193807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193824 */     // MIs[0] addr
     /*  193824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193836 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  193836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193844 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193849 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193851 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193860 */     GIR_RootConstrainSelectedInstOperands,
     /*  193861 */     // GIR_Coverage, 635,
     /*  193861 */     GIR_EraseRootFromParent_Done,
     /*  193862 */   // Label 3746: @193862
     /*  193862 */   GIM_Reject,
     /*  193863 */ // Label 3736: @193863
     /*  193863 */ GIM_Reject,
     /*  193864 */ // Label 3729: @193864
     /*  193864 */ GIM_Reject,
     /*  193865 */ // Label 30: @193865
     /*  193865 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3749*/ GIMT_Encode4(196774),
     /*  193876 */ /*GILLT_s32*//*Label 3747*/ GIMT_Encode4(193884),
     /*  193880 */ /*GILLT_s64*//*Label 3748*/ GIMT_Encode4(195124),
     /*  193884 */ // Label 3747: @193884
     /*  193884 */ GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(195123),
     /*  193889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  193892 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(193933), // Rule ID 404 //
     /*  193897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193900 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193907 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193914 */     // MIs[0] rs1
     /*  193914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193926 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  193931 */     GIR_RootConstrainSelectedInstOperands,
     /*  193932 */     // GIR_Coverage, 404,
     /*  193932 */     GIR_Done,
     /*  193933 */   // Label 3751: @193933
     /*  193933 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(193974), // Rule ID 406 //
     /*  193938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193955 */     // MIs[0] rs1
     /*  193955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193967 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  193972 */     GIR_RootConstrainSelectedInstOperands,
     /*  193973 */     // GIR_Coverage, 406,
     /*  193973 */     GIR_Done,
     /*  193974 */   // Label 3752: @193974
     /*  193974 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(194015), // Rule ID 408 //
     /*  193979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193989 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193996 */     // MIs[0] rs1
     /*  193996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194008 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  194013 */     GIR_RootConstrainSelectedInstOperands,
     /*  194014 */     // GIR_Coverage, 408,
     /*  194014 */     GIR_Done,
     /*  194015 */   // Label 3753: @194015
     /*  194015 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(194056), // Rule ID 410 //
     /*  194020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194023 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194030 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194037 */     // MIs[0] rs1
     /*  194037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194049 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194049 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  194054 */     GIR_RootConstrainSelectedInstOperands,
     /*  194055 */     // GIR_Coverage, 410,
     /*  194055 */     GIR_Done,
     /*  194056 */   // Label 3754: @194056
     /*  194056 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(194097), // Rule ID 412 //
     /*  194061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194064 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194071 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194078 */     // MIs[0] rs1
     /*  194078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194090 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  194095 */     GIR_RootConstrainSelectedInstOperands,
     /*  194096 */     // GIR_Coverage, 412,
     /*  194096 */     GIR_Done,
     /*  194097 */   // Label 3755: @194097
     /*  194097 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(194138), // Rule ID 414 //
     /*  194102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194105 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194119 */     // MIs[0] rs1
     /*  194119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194131 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194136 */     GIR_RootConstrainSelectedInstOperands,
     /*  194137 */     // GIR_Coverage, 414,
     /*  194137 */     GIR_Done,
     /*  194138 */   // Label 3756: @194138
     /*  194138 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(194179), // Rule ID 416 //
     /*  194143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194146 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194153 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194160 */     // MIs[0] rs1
     /*  194160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194172 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194177 */     GIR_RootConstrainSelectedInstOperands,
     /*  194178 */     // GIR_Coverage, 416,
     /*  194178 */     GIR_Done,
     /*  194179 */   // Label 3757: @194179
     /*  194179 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(194220), // Rule ID 418 //
     /*  194184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194187 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194194 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194201 */     // MIs[0] rs1
     /*  194201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194213 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194218 */     GIR_RootConstrainSelectedInstOperands,
     /*  194219 */     // GIR_Coverage, 418,
     /*  194219 */     GIR_Done,
     /*  194220 */   // Label 3758: @194220
     /*  194220 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(194261), // Rule ID 420 //
     /*  194225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194235 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194242 */     // MIs[0] rs1
     /*  194242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194254 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194259 */     GIR_RootConstrainSelectedInstOperands,
     /*  194260 */     // GIR_Coverage, 420,
     /*  194260 */     GIR_Done,
     /*  194261 */   // Label 3759: @194261
     /*  194261 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(194302), // Rule ID 422 //
     /*  194266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194269 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194276 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194283 */     // MIs[0] rs1
     /*  194283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194295 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194300 */     GIR_RootConstrainSelectedInstOperands,
     /*  194301 */     // GIR_Coverage, 422,
     /*  194301 */     GIR_Done,
     /*  194302 */   // Label 3760: @194302
     /*  194302 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(194343), // Rule ID 752 //
     /*  194307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194310 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194317 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194324 */     // MIs[0] rs1
     /*  194324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194336 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194341 */     GIR_RootConstrainSelectedInstOperands,
     /*  194342 */     // GIR_Coverage, 752,
     /*  194342 */     GIR_Done,
     /*  194343 */   // Label 3761: @194343
     /*  194343 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(194384), // Rule ID 754 //
     /*  194348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194351 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194358 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194365 */     // MIs[0] rs1
     /*  194365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194377 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  194382 */     GIR_RootConstrainSelectedInstOperands,
     /*  194383 */     // GIR_Coverage, 754,
     /*  194383 */     GIR_Done,
     /*  194384 */   // Label 3762: @194384
     /*  194384 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(194425), // Rule ID 756 //
     /*  194389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194406 */     // MIs[0] rs1
     /*  194406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194418 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194418 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  194423 */     GIR_RootConstrainSelectedInstOperands,
     /*  194424 */     // GIR_Coverage, 756,
     /*  194424 */     GIR_Done,
     /*  194425 */   // Label 3763: @194425
     /*  194425 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(194466), // Rule ID 758 //
     /*  194430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194433 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194440 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194447 */     // MIs[0] rs1
     /*  194447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194459 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194464 */     GIR_RootConstrainSelectedInstOperands,
     /*  194465 */     // GIR_Coverage, 758,
     /*  194465 */     GIR_Done,
     /*  194466 */   // Label 3764: @194466
     /*  194466 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(194507), // Rule ID 760 //
     /*  194471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194488 */     // MIs[0] rs1
     /*  194488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194500 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194505 */     GIR_RootConstrainSelectedInstOperands,
     /*  194506 */     // GIR_Coverage, 760,
     /*  194506 */     GIR_Done,
     /*  194507 */   // Label 3765: @194507
     /*  194507 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(194548), // Rule ID 762 //
     /*  194512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194515 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194522 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194529 */     // MIs[0] rs1
     /*  194529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194541 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194546 */     GIR_RootConstrainSelectedInstOperands,
     /*  194547 */     // GIR_Coverage, 762,
     /*  194547 */     GIR_Done,
     /*  194548 */   // Label 3766: @194548
     /*  194548 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(194589), // Rule ID 764 //
     /*  194553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194570 */     // MIs[0] rs1
     /*  194570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194582 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194587 */     GIR_RootConstrainSelectedInstOperands,
     /*  194588 */     // GIR_Coverage, 764,
     /*  194588 */     GIR_Done,
     /*  194589 */   // Label 3767: @194589
     /*  194589 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(194630), // Rule ID 766 //
     /*  194594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194611 */     // MIs[0] rs1
     /*  194611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194623 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194628 */     GIR_RootConstrainSelectedInstOperands,
     /*  194629 */     // GIR_Coverage, 766,
     /*  194629 */     GIR_Done,
     /*  194630 */   // Label 3768: @194630
     /*  194630 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(194671), // Rule ID 768 //
     /*  194635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194638 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194645 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194652 */     // MIs[0] rs1
     /*  194652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194664 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194669 */     GIR_RootConstrainSelectedInstOperands,
     /*  194670 */     // GIR_Coverage, 768,
     /*  194670 */     GIR_Done,
     /*  194671 */   // Label 3769: @194671
     /*  194671 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(194712), // Rule ID 770 //
     /*  194676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194679 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194686 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194693 */     // MIs[0] rs1
     /*  194693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194705 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194710 */     GIR_RootConstrainSelectedInstOperands,
     /*  194711 */     // GIR_Coverage, 770,
     /*  194711 */     GIR_Done,
     /*  194712 */   // Label 3770: @194712
     /*  194712 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(194753), // Rule ID 932 //
     /*  194717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194734 */     // MIs[0] rs1
     /*  194734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194746 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194751 */     GIR_RootConstrainSelectedInstOperands,
     /*  194752 */     // GIR_Coverage, 932,
     /*  194752 */     GIR_Done,
     /*  194753 */   // Label 3771: @194753
     /*  194753 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(194794), // Rule ID 934 //
     /*  194758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194761 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194768 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194775 */     // MIs[0] rs1
     /*  194775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194787 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  194792 */     GIR_RootConstrainSelectedInstOperands,
     /*  194793 */     // GIR_Coverage, 934,
     /*  194793 */     GIR_Done,
     /*  194794 */   // Label 3772: @194794
     /*  194794 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(194835), // Rule ID 936 //
     /*  194799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194802 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194809 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194816 */     // MIs[0] rs1
     /*  194816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194828 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  194833 */     GIR_RootConstrainSelectedInstOperands,
     /*  194834 */     // GIR_Coverage, 936,
     /*  194834 */     GIR_Done,
     /*  194835 */   // Label 3773: @194835
     /*  194835 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(194876), // Rule ID 938 //
     /*  194840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194857 */     // MIs[0] rs1
     /*  194857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194869 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  194874 */     GIR_RootConstrainSelectedInstOperands,
     /*  194875 */     // GIR_Coverage, 938,
     /*  194875 */     GIR_Done,
     /*  194876 */   // Label 3774: @194876
     /*  194876 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(194917), // Rule ID 940 //
     /*  194881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194898 */     // MIs[0] rs1
     /*  194898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194910 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  194915 */     GIR_RootConstrainSelectedInstOperands,
     /*  194916 */     // GIR_Coverage, 940,
     /*  194916 */     GIR_Done,
     /*  194917 */   // Label 3775: @194917
     /*  194917 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(194958), // Rule ID 942 //
     /*  194922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194939 */     // MIs[0] rs1
     /*  194939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194951 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194956 */     GIR_RootConstrainSelectedInstOperands,
     /*  194957 */     // GIR_Coverage, 942,
     /*  194957 */     GIR_Done,
     /*  194958 */   // Label 3776: @194958
     /*  194958 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(194999), // Rule ID 944 //
     /*  194963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194966 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194980 */     // MIs[0] rs1
     /*  194980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194992 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194997 */     GIR_RootConstrainSelectedInstOperands,
     /*  194998 */     // GIR_Coverage, 944,
     /*  194998 */     GIR_Done,
     /*  194999 */   // Label 3777: @194999
     /*  194999 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(195040), // Rule ID 946 //
     /*  195004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195021 */     // MIs[0] rs1
     /*  195021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195033 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195038 */     GIR_RootConstrainSelectedInstOperands,
     /*  195039 */     // GIR_Coverage, 946,
     /*  195039 */     GIR_Done,
     /*  195040 */   // Label 3778: @195040
     /*  195040 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(195081), // Rule ID 948 //
     /*  195045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195055 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195062 */     // MIs[0] rs1
     /*  195062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195074 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195079 */     GIR_RootConstrainSelectedInstOperands,
     /*  195080 */     // GIR_Coverage, 948,
     /*  195080 */     GIR_Done,
     /*  195081 */   // Label 3779: @195081
     /*  195081 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(195122), // Rule ID 950 //
     /*  195086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195103 */     // MIs[0] rs1
     /*  195103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195115 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195120 */     GIR_RootConstrainSelectedInstOperands,
     /*  195121 */     // GIR_Coverage, 950,
     /*  195121 */     GIR_Done,
     /*  195122 */   // Label 3780: @195122
     /*  195122 */   GIM_Reject,
     /*  195123 */ // Label 3750: @195123
     /*  195123 */ GIM_Reject,
     /*  195124 */ // Label 3748: @195124
     /*  195124 */ GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(196773),
     /*  195129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  195132 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(195173), // Rule ID 403 //
     /*  195137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195140 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195147 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195154 */     // MIs[0] rs1
     /*  195154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195166 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195171 */     GIR_RootConstrainSelectedInstOperands,
     /*  195172 */     // GIR_Coverage, 403,
     /*  195172 */     GIR_Done,
     /*  195173 */   // Label 3782: @195173
     /*  195173 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(195214), // Rule ID 405 //
     /*  195178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195181 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195195 */     // MIs[0] rs1
     /*  195195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195207 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195207 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  195212 */     GIR_RootConstrainSelectedInstOperands,
     /*  195213 */     // GIR_Coverage, 405,
     /*  195213 */     GIR_Done,
     /*  195214 */   // Label 3783: @195214
     /*  195214 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(195255), // Rule ID 407 //
     /*  195219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195222 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195229 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195236 */     // MIs[0] rs1
     /*  195236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195248 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  195253 */     GIR_RootConstrainSelectedInstOperands,
     /*  195254 */     // GIR_Coverage, 407,
     /*  195254 */     GIR_Done,
     /*  195255 */   // Label 3784: @195255
     /*  195255 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(195296), // Rule ID 409 //
     /*  195260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195277 */     // MIs[0] rs1
     /*  195277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195289 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195289 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195294 */     GIR_RootConstrainSelectedInstOperands,
     /*  195295 */     // GIR_Coverage, 409,
     /*  195295 */     GIR_Done,
     /*  195296 */   // Label 3785: @195296
     /*  195296 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(195337), // Rule ID 411 //
     /*  195301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195304 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195311 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195318 */     // MIs[0] rs1
     /*  195318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195330 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195335 */     GIR_RootConstrainSelectedInstOperands,
     /*  195336 */     // GIR_Coverage, 411,
     /*  195336 */     GIR_Done,
     /*  195337 */   // Label 3786: @195337
     /*  195337 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(195378), // Rule ID 413 //
     /*  195342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195345 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195352 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195359 */     // MIs[0] rs1
     /*  195359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195371 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195376 */     GIR_RootConstrainSelectedInstOperands,
     /*  195377 */     // GIR_Coverage, 413,
     /*  195377 */     GIR_Done,
     /*  195378 */   // Label 3787: @195378
     /*  195378 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(195419), // Rule ID 415 //
     /*  195383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195400 */     // MIs[0] rs1
     /*  195400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195412 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195417 */     GIR_RootConstrainSelectedInstOperands,
     /*  195418 */     // GIR_Coverage, 415,
     /*  195418 */     GIR_Done,
     /*  195419 */   // Label 3788: @195419
     /*  195419 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(195460), // Rule ID 417 //
     /*  195424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195427 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195434 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195441 */     // MIs[0] rs1
     /*  195441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195453 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195453 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195458 */     GIR_RootConstrainSelectedInstOperands,
     /*  195459 */     // GIR_Coverage, 417,
     /*  195459 */     GIR_Done,
     /*  195460 */   // Label 3789: @195460
     /*  195460 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(195501), // Rule ID 419 //
     /*  195465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195482 */     // MIs[0] rs1
     /*  195482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195494 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195499 */     GIR_RootConstrainSelectedInstOperands,
     /*  195500 */     // GIR_Coverage, 419,
     /*  195500 */     GIR_Done,
     /*  195501 */   // Label 3790: @195501
     /*  195501 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(195542), // Rule ID 421 //
     /*  195506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195509 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195516 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195523 */     // MIs[0] rs1
     /*  195523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195535 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195535 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195540 */     GIR_RootConstrainSelectedInstOperands,
     /*  195541 */     // GIR_Coverage, 421,
     /*  195541 */     GIR_Done,
     /*  195542 */   // Label 3791: @195542
     /*  195542 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(195583), // Rule ID 553 //
     /*  195547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195550 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195557 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195564 */     // MIs[0] rs1
     /*  195564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195576 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195581 */     GIR_RootConstrainSelectedInstOperands,
     /*  195582 */     // GIR_Coverage, 553,
     /*  195582 */     GIR_Done,
     /*  195583 */   // Label 3792: @195583
     /*  195583 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(195624), // Rule ID 554 //
     /*  195588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195591 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195598 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195605 */     // MIs[0] rs1
     /*  195605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195617 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  195622 */     GIR_RootConstrainSelectedInstOperands,
     /*  195623 */     // GIR_Coverage, 554,
     /*  195623 */     GIR_Done,
     /*  195624 */   // Label 3793: @195624
     /*  195624 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(195665), // Rule ID 555 //
     /*  195629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195632 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195639 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195646 */     // MIs[0] rs1
     /*  195646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195658 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  195663 */     GIR_RootConstrainSelectedInstOperands,
     /*  195664 */     // GIR_Coverage, 555,
     /*  195664 */     GIR_Done,
     /*  195665 */   // Label 3794: @195665
     /*  195665 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(195706), // Rule ID 556 //
     /*  195670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195673 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195680 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195687 */     // MIs[0] rs1
     /*  195687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195699 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195699 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  195704 */     GIR_RootConstrainSelectedInstOperands,
     /*  195705 */     // GIR_Coverage, 556,
     /*  195705 */     GIR_Done,
     /*  195706 */   // Label 3795: @195706
     /*  195706 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(195747), // Rule ID 557 //
     /*  195711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195728 */     // MIs[0] rs1
     /*  195728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195740 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  195745 */     GIR_RootConstrainSelectedInstOperands,
     /*  195746 */     // GIR_Coverage, 557,
     /*  195746 */     GIR_Done,
     /*  195747 */   // Label 3796: @195747
     /*  195747 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(195788), // Rule ID 558 //
     /*  195752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195755 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195769 */     // MIs[0] rs1
     /*  195769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195781 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195781 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195786 */     GIR_RootConstrainSelectedInstOperands,
     /*  195787 */     // GIR_Coverage, 558,
     /*  195787 */     GIR_Done,
     /*  195788 */   // Label 3797: @195788
     /*  195788 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(195829), // Rule ID 559 //
     /*  195793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195796 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195803 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195810 */     // MIs[0] rs1
     /*  195810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195822 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195827 */     GIR_RootConstrainSelectedInstOperands,
     /*  195828 */     // GIR_Coverage, 559,
     /*  195828 */     GIR_Done,
     /*  195829 */   // Label 3798: @195829
     /*  195829 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(195870), // Rule ID 560 //
     /*  195834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195837 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195851 */     // MIs[0] rs1
     /*  195851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195863 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195868 */     GIR_RootConstrainSelectedInstOperands,
     /*  195869 */     // GIR_Coverage, 560,
     /*  195869 */     GIR_Done,
     /*  195870 */   // Label 3799: @195870
     /*  195870 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(195911), // Rule ID 561 //
     /*  195875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195892 */     // MIs[0] rs1
     /*  195892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195904 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195909 */     GIR_RootConstrainSelectedInstOperands,
     /*  195910 */     // GIR_Coverage, 561,
     /*  195910 */     GIR_Done,
     /*  195911 */   // Label 3800: @195911
     /*  195911 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(195952), // Rule ID 562 //
     /*  195916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195919 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195926 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195933 */     // MIs[0] rs1
     /*  195933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195945 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195950 */     GIR_RootConstrainSelectedInstOperands,
     /*  195951 */     // GIR_Coverage, 562,
     /*  195951 */     GIR_Done,
     /*  195952 */   // Label 3801: @195952
     /*  195952 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(195993), // Rule ID 751 //
     /*  195957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195974 */     // MIs[0] rs1
     /*  195974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195986 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195991 */     GIR_RootConstrainSelectedInstOperands,
     /*  195992 */     // GIR_Coverage, 751,
     /*  195992 */     GIR_Done,
     /*  195993 */   // Label 3802: @195993
     /*  195993 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(196034), // Rule ID 753 //
     /*  195998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196015 */     // MIs[0] rs1
     /*  196015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196027 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  196032 */     GIR_RootConstrainSelectedInstOperands,
     /*  196033 */     // GIR_Coverage, 753,
     /*  196033 */     GIR_Done,
     /*  196034 */   // Label 3803: @196034
     /*  196034 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(196075), // Rule ID 755 //
     /*  196039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196056 */     // MIs[0] rs1
     /*  196056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196068 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  196073 */     GIR_RootConstrainSelectedInstOperands,
     /*  196074 */     // GIR_Coverage, 755,
     /*  196074 */     GIR_Done,
     /*  196075 */   // Label 3804: @196075
     /*  196075 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(196116), // Rule ID 757 //
     /*  196080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196097 */     // MIs[0] rs1
     /*  196097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196109 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  196114 */     GIR_RootConstrainSelectedInstOperands,
     /*  196115 */     // GIR_Coverage, 757,
     /*  196115 */     GIR_Done,
     /*  196116 */   // Label 3805: @196116
     /*  196116 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(196157), // Rule ID 759 //
     /*  196121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196124 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196131 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196138 */     // MIs[0] rs1
     /*  196138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196150 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  196155 */     GIR_RootConstrainSelectedInstOperands,
     /*  196156 */     // GIR_Coverage, 759,
     /*  196156 */     GIR_Done,
     /*  196157 */   // Label 3806: @196157
     /*  196157 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(196198), // Rule ID 761 //
     /*  196162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196165 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196179 */     // MIs[0] rs1
     /*  196179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196191 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196196 */     GIR_RootConstrainSelectedInstOperands,
     /*  196197 */     // GIR_Coverage, 761,
     /*  196197 */     GIR_Done,
     /*  196198 */   // Label 3807: @196198
     /*  196198 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(196239), // Rule ID 763 //
     /*  196203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196220 */     // MIs[0] rs1
     /*  196220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196232 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196237 */     GIR_RootConstrainSelectedInstOperands,
     /*  196238 */     // GIR_Coverage, 763,
     /*  196238 */     GIR_Done,
     /*  196239 */   // Label 3808: @196239
     /*  196239 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(196280), // Rule ID 765 //
     /*  196244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196247 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196254 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196261 */     // MIs[0] rs1
     /*  196261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196273 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196278 */     GIR_RootConstrainSelectedInstOperands,
     /*  196279 */     // GIR_Coverage, 765,
     /*  196279 */     GIR_Done,
     /*  196280 */   // Label 3809: @196280
     /*  196280 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(196321), // Rule ID 767 //
     /*  196285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196302 */     // MIs[0] rs1
     /*  196302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196314 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196319 */     GIR_RootConstrainSelectedInstOperands,
     /*  196320 */     // GIR_Coverage, 767,
     /*  196320 */     GIR_Done,
     /*  196321 */   // Label 3810: @196321
     /*  196321 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(196362), // Rule ID 769 //
     /*  196326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196343 */     // MIs[0] rs1
     /*  196343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196355 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196360 */     GIR_RootConstrainSelectedInstOperands,
     /*  196361 */     // GIR_Coverage, 769,
     /*  196361 */     GIR_Done,
     /*  196362 */   // Label 3811: @196362
     /*  196362 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(196403), // Rule ID 931 //
     /*  196367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196384 */     // MIs[0] rs1
     /*  196384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196396 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196401 */     GIR_RootConstrainSelectedInstOperands,
     /*  196402 */     // GIR_Coverage, 931,
     /*  196402 */     GIR_Done,
     /*  196403 */   // Label 3812: @196403
     /*  196403 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(196444), // Rule ID 933 //
     /*  196408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196411 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196418 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196425 */     // MIs[0] rs1
     /*  196425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196437 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  196442 */     GIR_RootConstrainSelectedInstOperands,
     /*  196443 */     // GIR_Coverage, 933,
     /*  196443 */     GIR_Done,
     /*  196444 */   // Label 3813: @196444
     /*  196444 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(196485), // Rule ID 935 //
     /*  196449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196452 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196459 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196466 */     // MIs[0] rs1
     /*  196466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196478 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  196483 */     GIR_RootConstrainSelectedInstOperands,
     /*  196484 */     // GIR_Coverage, 935,
     /*  196484 */     GIR_Done,
     /*  196485 */   // Label 3814: @196485
     /*  196485 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(196526), // Rule ID 937 //
     /*  196490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196507 */     // MIs[0] rs1
     /*  196507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196519 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  196524 */     GIR_RootConstrainSelectedInstOperands,
     /*  196525 */     // GIR_Coverage, 937,
     /*  196525 */     GIR_Done,
     /*  196526 */   // Label 3815: @196526
     /*  196526 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(196567), // Rule ID 939 //
     /*  196531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196548 */     // MIs[0] rs1
     /*  196548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196560 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  196565 */     GIR_RootConstrainSelectedInstOperands,
     /*  196566 */     // GIR_Coverage, 939,
     /*  196566 */     GIR_Done,
     /*  196567 */   // Label 3816: @196567
     /*  196567 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(196608), // Rule ID 941 //
     /*  196572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196589 */     // MIs[0] rs1
     /*  196589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196601 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196606 */     GIR_RootConstrainSelectedInstOperands,
     /*  196607 */     // GIR_Coverage, 941,
     /*  196607 */     GIR_Done,
     /*  196608 */   // Label 3817: @196608
     /*  196608 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(196649), // Rule ID 943 //
     /*  196613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196630 */     // MIs[0] rs1
     /*  196630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196642 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196647 */     GIR_RootConstrainSelectedInstOperands,
     /*  196648 */     // GIR_Coverage, 943,
     /*  196648 */     GIR_Done,
     /*  196649 */   // Label 3818: @196649
     /*  196649 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(196690), // Rule ID 945 //
     /*  196654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196671 */     // MIs[0] rs1
     /*  196671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196683 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196688 */     GIR_RootConstrainSelectedInstOperands,
     /*  196689 */     // GIR_Coverage, 945,
     /*  196689 */     GIR_Done,
     /*  196690 */   // Label 3819: @196690
     /*  196690 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(196731), // Rule ID 947 //
     /*  196695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196712 */     // MIs[0] rs1
     /*  196712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196724 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196729 */     GIR_RootConstrainSelectedInstOperands,
     /*  196730 */     // GIR_Coverage, 947,
     /*  196730 */     GIR_Done,
     /*  196731 */   // Label 3820: @196731
     /*  196731 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(196772), // Rule ID 949 //
     /*  196736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196753 */     // MIs[0] rs1
     /*  196753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196765 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196770 */     GIR_RootConstrainSelectedInstOperands,
     /*  196771 */     // GIR_Coverage, 949,
     /*  196771 */     GIR_Done,
     /*  196772 */   // Label 3821: @196772
     /*  196772 */   GIM_Reject,
     /*  196773 */ // Label 3781: @196773
     /*  196773 */ GIM_Reject,
     /*  196774 */ // Label 3749: @196774
     /*  196774 */ GIM_Reject,
     /*  196775 */ // Label 31: @196775
     /*  196775 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3824*/ GIMT_Encode4(199684),
     /*  196786 */ /*GILLT_s32*//*Label 3822*/ GIMT_Encode4(196794),
     /*  196790 */ /*GILLT_s64*//*Label 3823*/ GIMT_Encode4(198034),
     /*  196794 */ // Label 3822: @196794
     /*  196794 */ GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(198033),
     /*  196799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  196802 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(196843), // Rule ID 424 //
     /*  196807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196824 */     // MIs[0] rs1
     /*  196824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196836 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196841 */     GIR_RootConstrainSelectedInstOperands,
     /*  196842 */     // GIR_Coverage, 424,
     /*  196842 */     GIR_Done,
     /*  196843 */   // Label 3826: @196843
     /*  196843 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(196884), // Rule ID 426 //
     /*  196848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196865 */     // MIs[0] rs1
     /*  196865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196877 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  196882 */     GIR_RootConstrainSelectedInstOperands,
     /*  196883 */     // GIR_Coverage, 426,
     /*  196883 */     GIR_Done,
     /*  196884 */   // Label 3827: @196884
     /*  196884 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(196925), // Rule ID 428 //
     /*  196889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196906 */     // MIs[0] rs1
     /*  196906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196918 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  196923 */     GIR_RootConstrainSelectedInstOperands,
     /*  196924 */     // GIR_Coverage, 428,
     /*  196924 */     GIR_Done,
     /*  196925 */   // Label 3828: @196925
     /*  196925 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(196966), // Rule ID 430 //
     /*  196930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196947 */     // MIs[0] rs1
     /*  196947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196959 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  196964 */     GIR_RootConstrainSelectedInstOperands,
     /*  196965 */     // GIR_Coverage, 430,
     /*  196965 */     GIR_Done,
     /*  196966 */   // Label 3829: @196966
     /*  196966 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(197007), // Rule ID 432 //
     /*  196971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196988 */     // MIs[0] rs1
     /*  196988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197000 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  197005 */     GIR_RootConstrainSelectedInstOperands,
     /*  197006 */     // GIR_Coverage, 432,
     /*  197006 */     GIR_Done,
     /*  197007 */   // Label 3830: @197007
     /*  197007 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(197048), // Rule ID 434 //
     /*  197012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197029 */     // MIs[0] rs1
     /*  197029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197041 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197046 */     GIR_RootConstrainSelectedInstOperands,
     /*  197047 */     // GIR_Coverage, 434,
     /*  197047 */     GIR_Done,
     /*  197048 */   // Label 3831: @197048
     /*  197048 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(197089), // Rule ID 436 //
     /*  197053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197070 */     // MIs[0] rs1
     /*  197070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197082 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197087 */     GIR_RootConstrainSelectedInstOperands,
     /*  197088 */     // GIR_Coverage, 436,
     /*  197088 */     GIR_Done,
     /*  197089 */   // Label 3832: @197089
     /*  197089 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(197130), // Rule ID 438 //
     /*  197094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197111 */     // MIs[0] rs1
     /*  197111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197123 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197128 */     GIR_RootConstrainSelectedInstOperands,
     /*  197129 */     // GIR_Coverage, 438,
     /*  197129 */     GIR_Done,
     /*  197130 */   // Label 3833: @197130
     /*  197130 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(197171), // Rule ID 440 //
     /*  197135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197152 */     // MIs[0] rs1
     /*  197152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197164 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197169 */     GIR_RootConstrainSelectedInstOperands,
     /*  197170 */     // GIR_Coverage, 440,
     /*  197170 */     GIR_Done,
     /*  197171 */   // Label 3834: @197171
     /*  197171 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(197212), // Rule ID 442 //
     /*  197176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197193 */     // MIs[0] rs1
     /*  197193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197205 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197210 */     GIR_RootConstrainSelectedInstOperands,
     /*  197211 */     // GIR_Coverage, 442,
     /*  197211 */     GIR_Done,
     /*  197212 */   // Label 3835: @197212
     /*  197212 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(197253), // Rule ID 772 //
     /*  197217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197234 */     // MIs[0] rs1
     /*  197234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197246 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197251 */     GIR_RootConstrainSelectedInstOperands,
     /*  197252 */     // GIR_Coverage, 772,
     /*  197252 */     GIR_Done,
     /*  197253 */   // Label 3836: @197253
     /*  197253 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(197294), // Rule ID 774 //
     /*  197258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197275 */     // MIs[0] rs1
     /*  197275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197287 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  197292 */     GIR_RootConstrainSelectedInstOperands,
     /*  197293 */     // GIR_Coverage, 774,
     /*  197293 */     GIR_Done,
     /*  197294 */   // Label 3837: @197294
     /*  197294 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(197335), // Rule ID 776 //
     /*  197299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197316 */     // MIs[0] rs1
     /*  197316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197328 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  197333 */     GIR_RootConstrainSelectedInstOperands,
     /*  197334 */     // GIR_Coverage, 776,
     /*  197334 */     GIR_Done,
     /*  197335 */   // Label 3838: @197335
     /*  197335 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(197376), // Rule ID 778 //
     /*  197340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197357 */     // MIs[0] rs1
     /*  197357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197369 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197374 */     GIR_RootConstrainSelectedInstOperands,
     /*  197375 */     // GIR_Coverage, 778,
     /*  197375 */     GIR_Done,
     /*  197376 */   // Label 3839: @197376
     /*  197376 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(197417), // Rule ID 780 //
     /*  197381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197398 */     // MIs[0] rs1
     /*  197398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197410 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197415 */     GIR_RootConstrainSelectedInstOperands,
     /*  197416 */     // GIR_Coverage, 780,
     /*  197416 */     GIR_Done,
     /*  197417 */   // Label 3840: @197417
     /*  197417 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(197458), // Rule ID 782 //
     /*  197422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197439 */     // MIs[0] rs1
     /*  197439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197451 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197456 */     GIR_RootConstrainSelectedInstOperands,
     /*  197457 */     // GIR_Coverage, 782,
     /*  197457 */     GIR_Done,
     /*  197458 */   // Label 3841: @197458
     /*  197458 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(197499), // Rule ID 784 //
     /*  197463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197480 */     // MIs[0] rs1
     /*  197480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197492 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197497 */     GIR_RootConstrainSelectedInstOperands,
     /*  197498 */     // GIR_Coverage, 784,
     /*  197498 */     GIR_Done,
     /*  197499 */   // Label 3842: @197499
     /*  197499 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(197540), // Rule ID 786 //
     /*  197504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197521 */     // MIs[0] rs1
     /*  197521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197533 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197538 */     GIR_RootConstrainSelectedInstOperands,
     /*  197539 */     // GIR_Coverage, 786,
     /*  197539 */     GIR_Done,
     /*  197540 */   // Label 3843: @197540
     /*  197540 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(197581), // Rule ID 788 //
     /*  197545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197562 */     // MIs[0] rs1
     /*  197562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197574 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197579 */     GIR_RootConstrainSelectedInstOperands,
     /*  197580 */     // GIR_Coverage, 788,
     /*  197580 */     GIR_Done,
     /*  197581 */   // Label 3844: @197581
     /*  197581 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(197622), // Rule ID 790 //
     /*  197586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197603 */     // MIs[0] rs1
     /*  197603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197615 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197620 */     GIR_RootConstrainSelectedInstOperands,
     /*  197621 */     // GIR_Coverage, 790,
     /*  197621 */     GIR_Done,
     /*  197622 */   // Label 3845: @197622
     /*  197622 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(197663), // Rule ID 952 //
     /*  197627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197644 */     // MIs[0] rs1
     /*  197644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197656 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197661 */     GIR_RootConstrainSelectedInstOperands,
     /*  197662 */     // GIR_Coverage, 952,
     /*  197662 */     GIR_Done,
     /*  197663 */   // Label 3846: @197663
     /*  197663 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(197704), // Rule ID 954 //
     /*  197668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197685 */     // MIs[0] rs1
     /*  197685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197697 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  197702 */     GIR_RootConstrainSelectedInstOperands,
     /*  197703 */     // GIR_Coverage, 954,
     /*  197703 */     GIR_Done,
     /*  197704 */   // Label 3847: @197704
     /*  197704 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(197745), // Rule ID 956 //
     /*  197709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197726 */     // MIs[0] rs1
     /*  197726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197738 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  197743 */     GIR_RootConstrainSelectedInstOperands,
     /*  197744 */     // GIR_Coverage, 956,
     /*  197744 */     GIR_Done,
     /*  197745 */   // Label 3848: @197745
     /*  197745 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(197786), // Rule ID 958 //
     /*  197750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197767 */     // MIs[0] rs1
     /*  197767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197779 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  197784 */     GIR_RootConstrainSelectedInstOperands,
     /*  197785 */     // GIR_Coverage, 958,
     /*  197785 */     GIR_Done,
     /*  197786 */   // Label 3849: @197786
     /*  197786 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(197827), // Rule ID 960 //
     /*  197791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197808 */     // MIs[0] rs1
     /*  197808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197820 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  197825 */     GIR_RootConstrainSelectedInstOperands,
     /*  197826 */     // GIR_Coverage, 960,
     /*  197826 */     GIR_Done,
     /*  197827 */   // Label 3850: @197827
     /*  197827 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(197868), // Rule ID 962 //
     /*  197832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197849 */     // MIs[0] rs1
     /*  197849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197861 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197866 */     GIR_RootConstrainSelectedInstOperands,
     /*  197867 */     // GIR_Coverage, 962,
     /*  197867 */     GIR_Done,
     /*  197868 */   // Label 3851: @197868
     /*  197868 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(197909), // Rule ID 964 //
     /*  197873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197890 */     // MIs[0] rs1
     /*  197890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197902 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197907 */     GIR_RootConstrainSelectedInstOperands,
     /*  197908 */     // GIR_Coverage, 964,
     /*  197908 */     GIR_Done,
     /*  197909 */   // Label 3852: @197909
     /*  197909 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(197950), // Rule ID 966 //
     /*  197914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197931 */     // MIs[0] rs1
     /*  197931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197943 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197948 */     GIR_RootConstrainSelectedInstOperands,
     /*  197949 */     // GIR_Coverage, 966,
     /*  197949 */     GIR_Done,
     /*  197950 */   // Label 3853: @197950
     /*  197950 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(197991), // Rule ID 968 //
     /*  197955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197972 */     // MIs[0] rs1
     /*  197972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197984 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197989 */     GIR_RootConstrainSelectedInstOperands,
     /*  197990 */     // GIR_Coverage, 968,
     /*  197990 */     GIR_Done,
     /*  197991 */   // Label 3854: @197991
     /*  197991 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(198032), // Rule ID 970 //
     /*  197996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198013 */     // MIs[0] rs1
     /*  198013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198025 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198030 */     GIR_RootConstrainSelectedInstOperands,
     /*  198031 */     // GIR_Coverage, 970,
     /*  198031 */     GIR_Done,
     /*  198032 */   // Label 3855: @198032
     /*  198032 */   GIM_Reject,
     /*  198033 */ // Label 3825: @198033
     /*  198033 */ GIM_Reject,
     /*  198034 */ // Label 3823: @198034
     /*  198034 */ GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(199683),
     /*  198039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  198042 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(198083), // Rule ID 423 //
     /*  198047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198064 */     // MIs[0] rs1
     /*  198064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198076 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198081 */     GIR_RootConstrainSelectedInstOperands,
     /*  198082 */     // GIR_Coverage, 423,
     /*  198082 */     GIR_Done,
     /*  198083 */   // Label 3857: @198083
     /*  198083 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(198124), // Rule ID 425 //
     /*  198088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198091 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198098 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198105 */     // MIs[0] rs1
     /*  198105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198117 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198117 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  198122 */     GIR_RootConstrainSelectedInstOperands,
     /*  198123 */     // GIR_Coverage, 425,
     /*  198123 */     GIR_Done,
     /*  198124 */   // Label 3858: @198124
     /*  198124 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(198165), // Rule ID 427 //
     /*  198129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198146 */     // MIs[0] rs1
     /*  198146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198158 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  198163 */     GIR_RootConstrainSelectedInstOperands,
     /*  198164 */     // GIR_Coverage, 427,
     /*  198164 */     GIR_Done,
     /*  198165 */   // Label 3859: @198165
     /*  198165 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(198206), // Rule ID 429 //
     /*  198170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198173 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198187 */     // MIs[0] rs1
     /*  198187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198199 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198204 */     GIR_RootConstrainSelectedInstOperands,
     /*  198205 */     // GIR_Coverage, 429,
     /*  198205 */     GIR_Done,
     /*  198206 */   // Label 3860: @198206
     /*  198206 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(198247), // Rule ID 431 //
     /*  198211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198221 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198228 */     // MIs[0] rs1
     /*  198228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198240 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198245 */     GIR_RootConstrainSelectedInstOperands,
     /*  198246 */     // GIR_Coverage, 431,
     /*  198246 */     GIR_Done,
     /*  198247 */   // Label 3861: @198247
     /*  198247 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(198288), // Rule ID 433 //
     /*  198252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198269 */     // MIs[0] rs1
     /*  198269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198281 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198286 */     GIR_RootConstrainSelectedInstOperands,
     /*  198287 */     // GIR_Coverage, 433,
     /*  198287 */     GIR_Done,
     /*  198288 */   // Label 3862: @198288
     /*  198288 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(198329), // Rule ID 435 //
     /*  198293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198303 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198310 */     // MIs[0] rs1
     /*  198310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198322 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198327 */     GIR_RootConstrainSelectedInstOperands,
     /*  198328 */     // GIR_Coverage, 435,
     /*  198328 */     GIR_Done,
     /*  198329 */   // Label 3863: @198329
     /*  198329 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(198370), // Rule ID 437 //
     /*  198334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198344 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198351 */     // MIs[0] rs1
     /*  198351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198363 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198368 */     GIR_RootConstrainSelectedInstOperands,
     /*  198369 */     // GIR_Coverage, 437,
     /*  198369 */     GIR_Done,
     /*  198370 */   // Label 3864: @198370
     /*  198370 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(198411), // Rule ID 439 //
     /*  198375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198378 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198385 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198392 */     // MIs[0] rs1
     /*  198392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198404 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198409 */     GIR_RootConstrainSelectedInstOperands,
     /*  198410 */     // GIR_Coverage, 439,
     /*  198410 */     GIR_Done,
     /*  198411 */   // Label 3865: @198411
     /*  198411 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(198452), // Rule ID 441 //
     /*  198416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198433 */     // MIs[0] rs1
     /*  198433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198445 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198450 */     GIR_RootConstrainSelectedInstOperands,
     /*  198451 */     // GIR_Coverage, 441,
     /*  198451 */     GIR_Done,
     /*  198452 */   // Label 3866: @198452
     /*  198452 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(198493), // Rule ID 563 //
     /*  198457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198474 */     // MIs[0] rs1
     /*  198474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198486 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198491 */     GIR_RootConstrainSelectedInstOperands,
     /*  198492 */     // GIR_Coverage, 563,
     /*  198492 */     GIR_Done,
     /*  198493 */   // Label 3867: @198493
     /*  198493 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(198534), // Rule ID 564 //
     /*  198498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198515 */     // MIs[0] rs1
     /*  198515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198527 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  198532 */     GIR_RootConstrainSelectedInstOperands,
     /*  198533 */     // GIR_Coverage, 564,
     /*  198533 */     GIR_Done,
     /*  198534 */   // Label 3868: @198534
     /*  198534 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(198575), // Rule ID 565 //
     /*  198539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198556 */     // MIs[0] rs1
     /*  198556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198568 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  198573 */     GIR_RootConstrainSelectedInstOperands,
     /*  198574 */     // GIR_Coverage, 565,
     /*  198574 */     GIR_Done,
     /*  198575 */   // Label 3869: @198575
     /*  198575 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(198616), // Rule ID 566 //
     /*  198580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198583 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198590 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198597 */     // MIs[0] rs1
     /*  198597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198609 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198609 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  198614 */     GIR_RootConstrainSelectedInstOperands,
     /*  198615 */     // GIR_Coverage, 566,
     /*  198615 */     GIR_Done,
     /*  198616 */   // Label 3870: @198616
     /*  198616 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(198657), // Rule ID 567 //
     /*  198621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198631 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198638 */     // MIs[0] rs1
     /*  198638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198650 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  198655 */     GIR_RootConstrainSelectedInstOperands,
     /*  198656 */     // GIR_Coverage, 567,
     /*  198656 */     GIR_Done,
     /*  198657 */   // Label 3871: @198657
     /*  198657 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(198698), // Rule ID 568 //
     /*  198662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198679 */     // MIs[0] rs1
     /*  198679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198691 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198696 */     GIR_RootConstrainSelectedInstOperands,
     /*  198697 */     // GIR_Coverage, 568,
     /*  198697 */     GIR_Done,
     /*  198698 */   // Label 3872: @198698
     /*  198698 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(198739), // Rule ID 569 //
     /*  198703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198720 */     // MIs[0] rs1
     /*  198720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198732 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198737 */     GIR_RootConstrainSelectedInstOperands,
     /*  198738 */     // GIR_Coverage, 569,
     /*  198738 */     GIR_Done,
     /*  198739 */   // Label 3873: @198739
     /*  198739 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(198780), // Rule ID 570 //
     /*  198744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198761 */     // MIs[0] rs1
     /*  198761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198773 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198778 */     GIR_RootConstrainSelectedInstOperands,
     /*  198779 */     // GIR_Coverage, 570,
     /*  198779 */     GIR_Done,
     /*  198780 */   // Label 3874: @198780
     /*  198780 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(198821), // Rule ID 571 //
     /*  198785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198802 */     // MIs[0] rs1
     /*  198802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198814 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198819 */     GIR_RootConstrainSelectedInstOperands,
     /*  198820 */     // GIR_Coverage, 571,
     /*  198820 */     GIR_Done,
     /*  198821 */   // Label 3875: @198821
     /*  198821 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(198862), // Rule ID 572 //
     /*  198826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198843 */     // MIs[0] rs1
     /*  198843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198855 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198860 */     GIR_RootConstrainSelectedInstOperands,
     /*  198861 */     // GIR_Coverage, 572,
     /*  198861 */     GIR_Done,
     /*  198862 */   // Label 3876: @198862
     /*  198862 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(198903), // Rule ID 771 //
     /*  198867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198884 */     // MIs[0] rs1
     /*  198884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198896 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198901 */     GIR_RootConstrainSelectedInstOperands,
     /*  198902 */     // GIR_Coverage, 771,
     /*  198902 */     GIR_Done,
     /*  198903 */   // Label 3877: @198903
     /*  198903 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(198944), // Rule ID 773 //
     /*  198908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198925 */     // MIs[0] rs1
     /*  198925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198937 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  198942 */     GIR_RootConstrainSelectedInstOperands,
     /*  198943 */     // GIR_Coverage, 773,
     /*  198943 */     GIR_Done,
     /*  198944 */   // Label 3878: @198944
     /*  198944 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(198985), // Rule ID 775 //
     /*  198949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198966 */     // MIs[0] rs1
     /*  198966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198978 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  198983 */     GIR_RootConstrainSelectedInstOperands,
     /*  198984 */     // GIR_Coverage, 775,
     /*  198984 */     GIR_Done,
     /*  198985 */   // Label 3879: @198985
     /*  198985 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(199026), // Rule ID 777 //
     /*  198990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199007 */     // MIs[0] rs1
     /*  199007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199019 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  199024 */     GIR_RootConstrainSelectedInstOperands,
     /*  199025 */     // GIR_Coverage, 777,
     /*  199025 */     GIR_Done,
     /*  199026 */   // Label 3880: @199026
     /*  199026 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(199067), // Rule ID 779 //
     /*  199031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199048 */     // MIs[0] rs1
     /*  199048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199060 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  199065 */     GIR_RootConstrainSelectedInstOperands,
     /*  199066 */     // GIR_Coverage, 779,
     /*  199066 */     GIR_Done,
     /*  199067 */   // Label 3881: @199067
     /*  199067 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(199108), // Rule ID 781 //
     /*  199072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199089 */     // MIs[0] rs1
     /*  199089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199101 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199106 */     GIR_RootConstrainSelectedInstOperands,
     /*  199107 */     // GIR_Coverage, 781,
     /*  199107 */     GIR_Done,
     /*  199108 */   // Label 3882: @199108
     /*  199108 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(199149), // Rule ID 783 //
     /*  199113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199130 */     // MIs[0] rs1
     /*  199130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199142 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199147 */     GIR_RootConstrainSelectedInstOperands,
     /*  199148 */     // GIR_Coverage, 783,
     /*  199148 */     GIR_Done,
     /*  199149 */   // Label 3883: @199149
     /*  199149 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(199190), // Rule ID 785 //
     /*  199154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199171 */     // MIs[0] rs1
     /*  199171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199183 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199188 */     GIR_RootConstrainSelectedInstOperands,
     /*  199189 */     // GIR_Coverage, 785,
     /*  199189 */     GIR_Done,
     /*  199190 */   // Label 3884: @199190
     /*  199190 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(199231), // Rule ID 787 //
     /*  199195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199212 */     // MIs[0] rs1
     /*  199212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199224 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199229 */     GIR_RootConstrainSelectedInstOperands,
     /*  199230 */     // GIR_Coverage, 787,
     /*  199230 */     GIR_Done,
     /*  199231 */   // Label 3885: @199231
     /*  199231 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(199272), // Rule ID 789 //
     /*  199236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199253 */     // MIs[0] rs1
     /*  199253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199265 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199270 */     GIR_RootConstrainSelectedInstOperands,
     /*  199271 */     // GIR_Coverage, 789,
     /*  199271 */     GIR_Done,
     /*  199272 */   // Label 3886: @199272
     /*  199272 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(199313), // Rule ID 951 //
     /*  199277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199294 */     // MIs[0] rs1
     /*  199294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199306 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199311 */     GIR_RootConstrainSelectedInstOperands,
     /*  199312 */     // GIR_Coverage, 951,
     /*  199312 */     GIR_Done,
     /*  199313 */   // Label 3887: @199313
     /*  199313 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(199354), // Rule ID 953 //
     /*  199318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199335 */     // MIs[0] rs1
     /*  199335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199347 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  199352 */     GIR_RootConstrainSelectedInstOperands,
     /*  199353 */     // GIR_Coverage, 953,
     /*  199353 */     GIR_Done,
     /*  199354 */   // Label 3888: @199354
     /*  199354 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(199395), // Rule ID 955 //
     /*  199359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199376 */     // MIs[0] rs1
     /*  199376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199388 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  199393 */     GIR_RootConstrainSelectedInstOperands,
     /*  199394 */     // GIR_Coverage, 955,
     /*  199394 */     GIR_Done,
     /*  199395 */   // Label 3889: @199395
     /*  199395 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(199436), // Rule ID 957 //
     /*  199400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199417 */     // MIs[0] rs1
     /*  199417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199429 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199434 */     GIR_RootConstrainSelectedInstOperands,
     /*  199435 */     // GIR_Coverage, 957,
     /*  199435 */     GIR_Done,
     /*  199436 */   // Label 3890: @199436
     /*  199436 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(199477), // Rule ID 959 //
     /*  199441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199458 */     // MIs[0] rs1
     /*  199458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199470 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199475 */     GIR_RootConstrainSelectedInstOperands,
     /*  199476 */     // GIR_Coverage, 959,
     /*  199476 */     GIR_Done,
     /*  199477 */   // Label 3891: @199477
     /*  199477 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(199518), // Rule ID 961 //
     /*  199482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199499 */     // MIs[0] rs1
     /*  199499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199511 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199516 */     GIR_RootConstrainSelectedInstOperands,
     /*  199517 */     // GIR_Coverage, 961,
     /*  199517 */     GIR_Done,
     /*  199518 */   // Label 3892: @199518
     /*  199518 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(199559), // Rule ID 963 //
     /*  199523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199540 */     // MIs[0] rs1
     /*  199540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199552 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199557 */     GIR_RootConstrainSelectedInstOperands,
     /*  199558 */     // GIR_Coverage, 963,
     /*  199558 */     GIR_Done,
     /*  199559 */   // Label 3893: @199559
     /*  199559 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(199600), // Rule ID 965 //
     /*  199564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199581 */     // MIs[0] rs1
     /*  199581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199593 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199598 */     GIR_RootConstrainSelectedInstOperands,
     /*  199599 */     // GIR_Coverage, 965,
     /*  199599 */     GIR_Done,
     /*  199600 */   // Label 3894: @199600
     /*  199600 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(199641), // Rule ID 967 //
     /*  199605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199622 */     // MIs[0] rs1
     /*  199622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199634 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199639 */     GIR_RootConstrainSelectedInstOperands,
     /*  199640 */     // GIR_Coverage, 967,
     /*  199640 */     GIR_Done,
     /*  199641 */   // Label 3895: @199641
     /*  199641 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(199682), // Rule ID 969 //
     /*  199646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199663 */     // MIs[0] rs1
     /*  199663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199675 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199680 */     GIR_RootConstrainSelectedInstOperands,
     /*  199681 */     // GIR_Coverage, 969,
     /*  199681 */     GIR_Done,
     /*  199682 */   // Label 3896: @199682
     /*  199682 */   GIM_Reject,
     /*  199683 */ // Label 3856: @199683
     /*  199683 */ GIM_Reject,
     /*  199684 */ // Label 3824: @199684
     /*  199684 */ GIM_Reject,
     /*  199685 */ // Label 32: @199685
     /*  199685 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3899*/ GIMT_Encode4(202594),
     /*  199696 */ /*GILLT_s32*//*Label 3897*/ GIMT_Encode4(199704),
     /*  199700 */ /*GILLT_s64*//*Label 3898*/ GIMT_Encode4(200944),
     /*  199704 */ // Label 3897: @199704
     /*  199704 */ GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(200943),
     /*  199709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  199712 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(199753), // Rule ID 444 //
     /*  199717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199734 */     // MIs[0] rs1
     /*  199734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199746 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199751 */     GIR_RootConstrainSelectedInstOperands,
     /*  199752 */     // GIR_Coverage, 444,
     /*  199752 */     GIR_Done,
     /*  199753 */   // Label 3901: @199753
     /*  199753 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(199794), // Rule ID 446 //
     /*  199758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199761 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199768 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199775 */     // MIs[0] rs1
     /*  199775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199787 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  199792 */     GIR_RootConstrainSelectedInstOperands,
     /*  199793 */     // GIR_Coverage, 446,
     /*  199793 */     GIR_Done,
     /*  199794 */   // Label 3902: @199794
     /*  199794 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(199835), // Rule ID 448 //
     /*  199799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199802 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199809 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199816 */     // MIs[0] rs1
     /*  199816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199828 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  199833 */     GIR_RootConstrainSelectedInstOperands,
     /*  199834 */     // GIR_Coverage, 448,
     /*  199834 */     GIR_Done,
     /*  199835 */   // Label 3903: @199835
     /*  199835 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(199876), // Rule ID 450 //
     /*  199840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199857 */     // MIs[0] rs1
     /*  199857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199869 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  199874 */     GIR_RootConstrainSelectedInstOperands,
     /*  199875 */     // GIR_Coverage, 450,
     /*  199875 */     GIR_Done,
     /*  199876 */   // Label 3904: @199876
     /*  199876 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(199917), // Rule ID 452 //
     /*  199881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199898 */     // MIs[0] rs1
     /*  199898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199910 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  199915 */     GIR_RootConstrainSelectedInstOperands,
     /*  199916 */     // GIR_Coverage, 452,
     /*  199916 */     GIR_Done,
     /*  199917 */   // Label 3905: @199917
     /*  199917 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(199958), // Rule ID 454 //
     /*  199922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199939 */     // MIs[0] rs1
     /*  199939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199951 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199956 */     GIR_RootConstrainSelectedInstOperands,
     /*  199957 */     // GIR_Coverage, 454,
     /*  199957 */     GIR_Done,
     /*  199958 */   // Label 3906: @199958
     /*  199958 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(199999), // Rule ID 456 //
     /*  199963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199966 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199980 */     // MIs[0] rs1
     /*  199980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199992 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199997 */     GIR_RootConstrainSelectedInstOperands,
     /*  199998 */     // GIR_Coverage, 456,
     /*  199998 */     GIR_Done,
     /*  199999 */   // Label 3907: @199999
     /*  199999 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(200040), // Rule ID 458 //
     /*  200004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200021 */     // MIs[0] rs1
     /*  200021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200033 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200038 */     GIR_RootConstrainSelectedInstOperands,
     /*  200039 */     // GIR_Coverage, 458,
     /*  200039 */     GIR_Done,
     /*  200040 */   // Label 3908: @200040
     /*  200040 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(200081), // Rule ID 460 //
     /*  200045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200055 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200062 */     // MIs[0] rs1
     /*  200062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200074 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200079 */     GIR_RootConstrainSelectedInstOperands,
     /*  200080 */     // GIR_Coverage, 460,
     /*  200080 */     GIR_Done,
     /*  200081 */   // Label 3909: @200081
     /*  200081 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(200122), // Rule ID 462 //
     /*  200086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200103 */     // MIs[0] rs1
     /*  200103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200115 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200120 */     GIR_RootConstrainSelectedInstOperands,
     /*  200121 */     // GIR_Coverage, 462,
     /*  200121 */     GIR_Done,
     /*  200122 */   // Label 3910: @200122
     /*  200122 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(200163), // Rule ID 792 //
     /*  200127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200144 */     // MIs[0] rs1
     /*  200144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200156 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200161 */     GIR_RootConstrainSelectedInstOperands,
     /*  200162 */     // GIR_Coverage, 792,
     /*  200162 */     GIR_Done,
     /*  200163 */   // Label 3911: @200163
     /*  200163 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(200204), // Rule ID 794 //
     /*  200168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200185 */     // MIs[0] rs1
     /*  200185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200197 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  200202 */     GIR_RootConstrainSelectedInstOperands,
     /*  200203 */     // GIR_Coverage, 794,
     /*  200203 */     GIR_Done,
     /*  200204 */   // Label 3912: @200204
     /*  200204 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(200245), // Rule ID 796 //
     /*  200209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200226 */     // MIs[0] rs1
     /*  200226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200238 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  200243 */     GIR_RootConstrainSelectedInstOperands,
     /*  200244 */     // GIR_Coverage, 796,
     /*  200244 */     GIR_Done,
     /*  200245 */   // Label 3913: @200245
     /*  200245 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(200286), // Rule ID 798 //
     /*  200250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200267 */     // MIs[0] rs1
     /*  200267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200279 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200284 */     GIR_RootConstrainSelectedInstOperands,
     /*  200285 */     // GIR_Coverage, 798,
     /*  200285 */     GIR_Done,
     /*  200286 */   // Label 3914: @200286
     /*  200286 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(200327), // Rule ID 800 //
     /*  200291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200308 */     // MIs[0] rs1
     /*  200308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200320 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200325 */     GIR_RootConstrainSelectedInstOperands,
     /*  200326 */     // GIR_Coverage, 800,
     /*  200326 */     GIR_Done,
     /*  200327 */   // Label 3915: @200327
     /*  200327 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(200368), // Rule ID 802 //
     /*  200332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200349 */     // MIs[0] rs1
     /*  200349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200361 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200366 */     GIR_RootConstrainSelectedInstOperands,
     /*  200367 */     // GIR_Coverage, 802,
     /*  200367 */     GIR_Done,
     /*  200368 */   // Label 3916: @200368
     /*  200368 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(200409), // Rule ID 804 //
     /*  200373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200390 */     // MIs[0] rs1
     /*  200390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200402 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200407 */     GIR_RootConstrainSelectedInstOperands,
     /*  200408 */     // GIR_Coverage, 804,
     /*  200408 */     GIR_Done,
     /*  200409 */   // Label 3917: @200409
     /*  200409 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(200450), // Rule ID 806 //
     /*  200414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200431 */     // MIs[0] rs1
     /*  200431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200443 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200448 */     GIR_RootConstrainSelectedInstOperands,
     /*  200449 */     // GIR_Coverage, 806,
     /*  200449 */     GIR_Done,
     /*  200450 */   // Label 3918: @200450
     /*  200450 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(200491), // Rule ID 808 //
     /*  200455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200472 */     // MIs[0] rs1
     /*  200472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200484 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200489 */     GIR_RootConstrainSelectedInstOperands,
     /*  200490 */     // GIR_Coverage, 808,
     /*  200490 */     GIR_Done,
     /*  200491 */   // Label 3919: @200491
     /*  200491 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(200532), // Rule ID 810 //
     /*  200496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200513 */     // MIs[0] rs1
     /*  200513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200525 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200530 */     GIR_RootConstrainSelectedInstOperands,
     /*  200531 */     // GIR_Coverage, 810,
     /*  200531 */     GIR_Done,
     /*  200532 */   // Label 3920: @200532
     /*  200532 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(200573), // Rule ID 972 //
     /*  200537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200554 */     // MIs[0] rs1
     /*  200554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200566 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200571 */     GIR_RootConstrainSelectedInstOperands,
     /*  200572 */     // GIR_Coverage, 972,
     /*  200572 */     GIR_Done,
     /*  200573 */   // Label 3921: @200573
     /*  200573 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(200614), // Rule ID 974 //
     /*  200578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200595 */     // MIs[0] rs1
     /*  200595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200607 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  200612 */     GIR_RootConstrainSelectedInstOperands,
     /*  200613 */     // GIR_Coverage, 974,
     /*  200613 */     GIR_Done,
     /*  200614 */   // Label 3922: @200614
     /*  200614 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(200655), // Rule ID 976 //
     /*  200619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200636 */     // MIs[0] rs1
     /*  200636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200648 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  200653 */     GIR_RootConstrainSelectedInstOperands,
     /*  200654 */     // GIR_Coverage, 976,
     /*  200654 */     GIR_Done,
     /*  200655 */   // Label 3923: @200655
     /*  200655 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(200696), // Rule ID 978 //
     /*  200660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200677 */     // MIs[0] rs1
     /*  200677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200689 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  200694 */     GIR_RootConstrainSelectedInstOperands,
     /*  200695 */     // GIR_Coverage, 978,
     /*  200695 */     GIR_Done,
     /*  200696 */   // Label 3924: @200696
     /*  200696 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(200737), // Rule ID 980 //
     /*  200701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200718 */     // MIs[0] rs1
     /*  200718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200730 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  200735 */     GIR_RootConstrainSelectedInstOperands,
     /*  200736 */     // GIR_Coverage, 980,
     /*  200736 */     GIR_Done,
     /*  200737 */   // Label 3925: @200737
     /*  200737 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(200778), // Rule ID 982 //
     /*  200742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200759 */     // MIs[0] rs1
     /*  200759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200771 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200776 */     GIR_RootConstrainSelectedInstOperands,
     /*  200777 */     // GIR_Coverage, 982,
     /*  200777 */     GIR_Done,
     /*  200778 */   // Label 3926: @200778
     /*  200778 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(200819), // Rule ID 984 //
     /*  200783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200800 */     // MIs[0] rs1
     /*  200800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200812 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200817 */     GIR_RootConstrainSelectedInstOperands,
     /*  200818 */     // GIR_Coverage, 984,
     /*  200818 */     GIR_Done,
     /*  200819 */   // Label 3927: @200819
     /*  200819 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(200860), // Rule ID 986 //
     /*  200824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200841 */     // MIs[0] rs1
     /*  200841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200853 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200858 */     GIR_RootConstrainSelectedInstOperands,
     /*  200859 */     // GIR_Coverage, 986,
     /*  200859 */     GIR_Done,
     /*  200860 */   // Label 3928: @200860
     /*  200860 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(200901), // Rule ID 988 //
     /*  200865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200882 */     // MIs[0] rs1
     /*  200882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200894 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200899 */     GIR_RootConstrainSelectedInstOperands,
     /*  200900 */     // GIR_Coverage, 988,
     /*  200900 */     GIR_Done,
     /*  200901 */   // Label 3929: @200901
     /*  200901 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(200942), // Rule ID 990 //
     /*  200906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200923 */     // MIs[0] rs1
     /*  200923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200935 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200940 */     GIR_RootConstrainSelectedInstOperands,
     /*  200941 */     // GIR_Coverage, 990,
     /*  200941 */     GIR_Done,
     /*  200942 */   // Label 3930: @200942
     /*  200942 */   GIM_Reject,
     /*  200943 */ // Label 3900: @200943
     /*  200943 */ GIM_Reject,
     /*  200944 */ // Label 3898: @200944
     /*  200944 */ GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(202593),
     /*  200949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200952 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(200993), // Rule ID 443 //
     /*  200957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200974 */     // MIs[0] rs1
     /*  200974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200986 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200991 */     GIR_RootConstrainSelectedInstOperands,
     /*  200992 */     // GIR_Coverage, 443,
     /*  200992 */     GIR_Done,
     /*  200993 */   // Label 3932: @200993
     /*  200993 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(201034), // Rule ID 445 //
     /*  200998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201015 */     // MIs[0] rs1
     /*  201015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201027 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  201032 */     GIR_RootConstrainSelectedInstOperands,
     /*  201033 */     // GIR_Coverage, 445,
     /*  201033 */     GIR_Done,
     /*  201034 */   // Label 3933: @201034
     /*  201034 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(201075), // Rule ID 447 //
     /*  201039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201056 */     // MIs[0] rs1
     /*  201056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201068 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  201073 */     GIR_RootConstrainSelectedInstOperands,
     /*  201074 */     // GIR_Coverage, 447,
     /*  201074 */     GIR_Done,
     /*  201075 */   // Label 3934: @201075
     /*  201075 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(201116), // Rule ID 449 //
     /*  201080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201097 */     // MIs[0] rs1
     /*  201097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201109 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  201114 */     GIR_RootConstrainSelectedInstOperands,
     /*  201115 */     // GIR_Coverage, 449,
     /*  201115 */     GIR_Done,
     /*  201116 */   // Label 3935: @201116
     /*  201116 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(201157), // Rule ID 451 //
     /*  201121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201124 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201131 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201138 */     // MIs[0] rs1
     /*  201138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201150 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  201155 */     GIR_RootConstrainSelectedInstOperands,
     /*  201156 */     // GIR_Coverage, 451,
     /*  201156 */     GIR_Done,
     /*  201157 */   // Label 3936: @201157
     /*  201157 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(201198), // Rule ID 453 //
     /*  201162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201165 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201179 */     // MIs[0] rs1
     /*  201179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201191 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201196 */     GIR_RootConstrainSelectedInstOperands,
     /*  201197 */     // GIR_Coverage, 453,
     /*  201197 */     GIR_Done,
     /*  201198 */   // Label 3937: @201198
     /*  201198 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(201239), // Rule ID 455 //
     /*  201203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201220 */     // MIs[0] rs1
     /*  201220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201232 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201237 */     GIR_RootConstrainSelectedInstOperands,
     /*  201238 */     // GIR_Coverage, 455,
     /*  201238 */     GIR_Done,
     /*  201239 */   // Label 3938: @201239
     /*  201239 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(201280), // Rule ID 457 //
     /*  201244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201247 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201254 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201261 */     // MIs[0] rs1
     /*  201261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201273 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201278 */     GIR_RootConstrainSelectedInstOperands,
     /*  201279 */     // GIR_Coverage, 457,
     /*  201279 */     GIR_Done,
     /*  201280 */   // Label 3939: @201280
     /*  201280 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(201321), // Rule ID 459 //
     /*  201285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201302 */     // MIs[0] rs1
     /*  201302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201314 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201319 */     GIR_RootConstrainSelectedInstOperands,
     /*  201320 */     // GIR_Coverage, 459,
     /*  201320 */     GIR_Done,
     /*  201321 */   // Label 3940: @201321
     /*  201321 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(201362), // Rule ID 461 //
     /*  201326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201343 */     // MIs[0] rs1
     /*  201343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201355 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201360 */     GIR_RootConstrainSelectedInstOperands,
     /*  201361 */     // GIR_Coverage, 461,
     /*  201361 */     GIR_Done,
     /*  201362 */   // Label 3941: @201362
     /*  201362 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(201403), // Rule ID 573 //
     /*  201367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201384 */     // MIs[0] rs1
     /*  201384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201396 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201401 */     GIR_RootConstrainSelectedInstOperands,
     /*  201402 */     // GIR_Coverage, 573,
     /*  201402 */     GIR_Done,
     /*  201403 */   // Label 3942: @201403
     /*  201403 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(201444), // Rule ID 574 //
     /*  201408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201411 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201418 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201425 */     // MIs[0] rs1
     /*  201425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201437 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  201442 */     GIR_RootConstrainSelectedInstOperands,
     /*  201443 */     // GIR_Coverage, 574,
     /*  201443 */     GIR_Done,
     /*  201444 */   // Label 3943: @201444
     /*  201444 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(201485), // Rule ID 575 //
     /*  201449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201452 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201459 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201466 */     // MIs[0] rs1
     /*  201466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201478 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  201483 */     GIR_RootConstrainSelectedInstOperands,
     /*  201484 */     // GIR_Coverage, 575,
     /*  201484 */     GIR_Done,
     /*  201485 */   // Label 3944: @201485
     /*  201485 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(201526), // Rule ID 576 //
     /*  201490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201507 */     // MIs[0] rs1
     /*  201507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201519 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  201524 */     GIR_RootConstrainSelectedInstOperands,
     /*  201525 */     // GIR_Coverage, 576,
     /*  201525 */     GIR_Done,
     /*  201526 */   // Label 3945: @201526
     /*  201526 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(201567), // Rule ID 577 //
     /*  201531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201548 */     // MIs[0] rs1
     /*  201548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201560 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  201565 */     GIR_RootConstrainSelectedInstOperands,
     /*  201566 */     // GIR_Coverage, 577,
     /*  201566 */     GIR_Done,
     /*  201567 */   // Label 3946: @201567
     /*  201567 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(201608), // Rule ID 578 //
     /*  201572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201589 */     // MIs[0] rs1
     /*  201589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201601 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201606 */     GIR_RootConstrainSelectedInstOperands,
     /*  201607 */     // GIR_Coverage, 578,
     /*  201607 */     GIR_Done,
     /*  201608 */   // Label 3947: @201608
     /*  201608 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(201649), // Rule ID 579 //
     /*  201613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201630 */     // MIs[0] rs1
     /*  201630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201642 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201647 */     GIR_RootConstrainSelectedInstOperands,
     /*  201648 */     // GIR_Coverage, 579,
     /*  201648 */     GIR_Done,
     /*  201649 */   // Label 3948: @201649
     /*  201649 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(201690), // Rule ID 580 //
     /*  201654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201671 */     // MIs[0] rs1
     /*  201671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201683 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201688 */     GIR_RootConstrainSelectedInstOperands,
     /*  201689 */     // GIR_Coverage, 580,
     /*  201689 */     GIR_Done,
     /*  201690 */   // Label 3949: @201690
     /*  201690 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(201731), // Rule ID 581 //
     /*  201695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201712 */     // MIs[0] rs1
     /*  201712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201724 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201729 */     GIR_RootConstrainSelectedInstOperands,
     /*  201730 */     // GIR_Coverage, 581,
     /*  201730 */     GIR_Done,
     /*  201731 */   // Label 3950: @201731
     /*  201731 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(201772), // Rule ID 582 //
     /*  201736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201753 */     // MIs[0] rs1
     /*  201753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201765 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201770 */     GIR_RootConstrainSelectedInstOperands,
     /*  201771 */     // GIR_Coverage, 582,
     /*  201771 */     GIR_Done,
     /*  201772 */   // Label 3951: @201772
     /*  201772 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(201813), // Rule ID 791 //
     /*  201777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201794 */     // MIs[0] rs1
     /*  201794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201806 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201811 */     GIR_RootConstrainSelectedInstOperands,
     /*  201812 */     // GIR_Coverage, 791,
     /*  201812 */     GIR_Done,
     /*  201813 */   // Label 3952: @201813
     /*  201813 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(201854), // Rule ID 793 //
     /*  201818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201835 */     // MIs[0] rs1
     /*  201835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201847 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  201852 */     GIR_RootConstrainSelectedInstOperands,
     /*  201853 */     // GIR_Coverage, 793,
     /*  201853 */     GIR_Done,
     /*  201854 */   // Label 3953: @201854
     /*  201854 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(201895), // Rule ID 795 //
     /*  201859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201876 */     // MIs[0] rs1
     /*  201876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201888 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  201893 */     GIR_RootConstrainSelectedInstOperands,
     /*  201894 */     // GIR_Coverage, 795,
     /*  201894 */     GIR_Done,
     /*  201895 */   // Label 3954: @201895
     /*  201895 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(201936), // Rule ID 797 //
     /*  201900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201917 */     // MIs[0] rs1
     /*  201917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201929 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  201934 */     GIR_RootConstrainSelectedInstOperands,
     /*  201935 */     // GIR_Coverage, 797,
     /*  201935 */     GIR_Done,
     /*  201936 */   // Label 3955: @201936
     /*  201936 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(201977), // Rule ID 799 //
     /*  201941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201958 */     // MIs[0] rs1
     /*  201958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201970 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  201975 */     GIR_RootConstrainSelectedInstOperands,
     /*  201976 */     // GIR_Coverage, 799,
     /*  201976 */     GIR_Done,
     /*  201977 */   // Label 3956: @201977
     /*  201977 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(202018), // Rule ID 801 //
     /*  201982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201999 */     // MIs[0] rs1
     /*  201999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202011 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202016 */     GIR_RootConstrainSelectedInstOperands,
     /*  202017 */     // GIR_Coverage, 801,
     /*  202017 */     GIR_Done,
     /*  202018 */   // Label 3957: @202018
     /*  202018 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(202059), // Rule ID 803 //
     /*  202023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202040 */     // MIs[0] rs1
     /*  202040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202052 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202057 */     GIR_RootConstrainSelectedInstOperands,
     /*  202058 */     // GIR_Coverage, 803,
     /*  202058 */     GIR_Done,
     /*  202059 */   // Label 3958: @202059
     /*  202059 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(202100), // Rule ID 805 //
     /*  202064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202081 */     // MIs[0] rs1
     /*  202081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202093 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202098 */     GIR_RootConstrainSelectedInstOperands,
     /*  202099 */     // GIR_Coverage, 805,
     /*  202099 */     GIR_Done,
     /*  202100 */   // Label 3959: @202100
     /*  202100 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(202141), // Rule ID 807 //
     /*  202105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202122 */     // MIs[0] rs1
     /*  202122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202134 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202139 */     GIR_RootConstrainSelectedInstOperands,
     /*  202140 */     // GIR_Coverage, 807,
     /*  202140 */     GIR_Done,
     /*  202141 */   // Label 3960: @202141
     /*  202141 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(202182), // Rule ID 809 //
     /*  202146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202163 */     // MIs[0] rs1
     /*  202163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202175 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202180 */     GIR_RootConstrainSelectedInstOperands,
     /*  202181 */     // GIR_Coverage, 809,
     /*  202181 */     GIR_Done,
     /*  202182 */   // Label 3961: @202182
     /*  202182 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(202223), // Rule ID 971 //
     /*  202187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202204 */     // MIs[0] rs1
     /*  202204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202216 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202221 */     GIR_RootConstrainSelectedInstOperands,
     /*  202222 */     // GIR_Coverage, 971,
     /*  202222 */     GIR_Done,
     /*  202223 */   // Label 3962: @202223
     /*  202223 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(202264), // Rule ID 973 //
     /*  202228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202245 */     // MIs[0] rs1
     /*  202245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202257 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  202262 */     GIR_RootConstrainSelectedInstOperands,
     /*  202263 */     // GIR_Coverage, 973,
     /*  202263 */     GIR_Done,
     /*  202264 */   // Label 3963: @202264
     /*  202264 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(202305), // Rule ID 975 //
     /*  202269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202286 */     // MIs[0] rs1
     /*  202286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202298 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  202303 */     GIR_RootConstrainSelectedInstOperands,
     /*  202304 */     // GIR_Coverage, 975,
     /*  202304 */     GIR_Done,
     /*  202305 */   // Label 3964: @202305
     /*  202305 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(202346), // Rule ID 977 //
     /*  202310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202327 */     // MIs[0] rs1
     /*  202327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202339 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202344 */     GIR_RootConstrainSelectedInstOperands,
     /*  202345 */     // GIR_Coverage, 977,
     /*  202345 */     GIR_Done,
     /*  202346 */   // Label 3965: @202346
     /*  202346 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(202387), // Rule ID 979 //
     /*  202351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202368 */     // MIs[0] rs1
     /*  202368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202380 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202385 */     GIR_RootConstrainSelectedInstOperands,
     /*  202386 */     // GIR_Coverage, 979,
     /*  202386 */     GIR_Done,
     /*  202387 */   // Label 3966: @202387
     /*  202387 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(202428), // Rule ID 981 //
     /*  202392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202409 */     // MIs[0] rs1
     /*  202409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202421 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202426 */     GIR_RootConstrainSelectedInstOperands,
     /*  202427 */     // GIR_Coverage, 981,
     /*  202427 */     GIR_Done,
     /*  202428 */   // Label 3967: @202428
     /*  202428 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(202469), // Rule ID 983 //
     /*  202433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202450 */     // MIs[0] rs1
     /*  202450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202462 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202467 */     GIR_RootConstrainSelectedInstOperands,
     /*  202468 */     // GIR_Coverage, 983,
     /*  202468 */     GIR_Done,
     /*  202469 */   // Label 3968: @202469
     /*  202469 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(202510), // Rule ID 985 //
     /*  202474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202491 */     // MIs[0] rs1
     /*  202491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202503 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202508 */     GIR_RootConstrainSelectedInstOperands,
     /*  202509 */     // GIR_Coverage, 985,
     /*  202509 */     GIR_Done,
     /*  202510 */   // Label 3969: @202510
     /*  202510 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(202551), // Rule ID 987 //
     /*  202515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202532 */     // MIs[0] rs1
     /*  202532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202544 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202549 */     GIR_RootConstrainSelectedInstOperands,
     /*  202550 */     // GIR_Coverage, 987,
     /*  202550 */     GIR_Done,
     /*  202551 */   // Label 3970: @202551
     /*  202551 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(202592), // Rule ID 989 //
     /*  202556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202573 */     // MIs[0] rs1
     /*  202573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202585 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202590 */     GIR_RootConstrainSelectedInstOperands,
     /*  202591 */     // GIR_Coverage, 989,
     /*  202591 */     GIR_Done,
     /*  202592 */   // Label 3971: @202592
     /*  202592 */   GIM_Reject,
     /*  202593 */ // Label 3931: @202593
     /*  202593 */ GIM_Reject,
     /*  202594 */ // Label 3899: @202594
     /*  202594 */ GIM_Reject,
     /*  202595 */ // Label 33: @202595
     /*  202595 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3974*/ GIMT_Encode4(205504),
     /*  202606 */ /*GILLT_s32*//*Label 3972*/ GIMT_Encode4(202614),
     /*  202610 */ /*GILLT_s64*//*Label 3973*/ GIMT_Encode4(203854),
     /*  202614 */ // Label 3972: @202614
     /*  202614 */ GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(203853),
     /*  202619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  202622 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(202663), // Rule ID 464 //
     /*  202627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202644 */     // MIs[0] rs1
     /*  202644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202656 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202661 */     GIR_RootConstrainSelectedInstOperands,
     /*  202662 */     // GIR_Coverage, 464,
     /*  202662 */     GIR_Done,
     /*  202663 */   // Label 3976: @202663
     /*  202663 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(202704), // Rule ID 466 //
     /*  202668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202685 */     // MIs[0] rs1
     /*  202685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202697 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  202702 */     GIR_RootConstrainSelectedInstOperands,
     /*  202703 */     // GIR_Coverage, 466,
     /*  202703 */     GIR_Done,
     /*  202704 */   // Label 3977: @202704
     /*  202704 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(202745), // Rule ID 468 //
     /*  202709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202726 */     // MIs[0] rs1
     /*  202726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202738 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  202743 */     GIR_RootConstrainSelectedInstOperands,
     /*  202744 */     // GIR_Coverage, 468,
     /*  202744 */     GIR_Done,
     /*  202745 */   // Label 3978: @202745
     /*  202745 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(202786), // Rule ID 470 //
     /*  202750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202767 */     // MIs[0] rs1
     /*  202767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202779 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  202784 */     GIR_RootConstrainSelectedInstOperands,
     /*  202785 */     // GIR_Coverage, 470,
     /*  202785 */     GIR_Done,
     /*  202786 */   // Label 3979: @202786
     /*  202786 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(202827), // Rule ID 472 //
     /*  202791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202808 */     // MIs[0] rs1
     /*  202808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202820 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  202825 */     GIR_RootConstrainSelectedInstOperands,
     /*  202826 */     // GIR_Coverage, 472,
     /*  202826 */     GIR_Done,
     /*  202827 */   // Label 3980: @202827
     /*  202827 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(202868), // Rule ID 474 //
     /*  202832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202849 */     // MIs[0] rs1
     /*  202849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202861 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202866 */     GIR_RootConstrainSelectedInstOperands,
     /*  202867 */     // GIR_Coverage, 474,
     /*  202867 */     GIR_Done,
     /*  202868 */   // Label 3981: @202868
     /*  202868 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(202909), // Rule ID 476 //
     /*  202873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202890 */     // MIs[0] rs1
     /*  202890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202902 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202907 */     GIR_RootConstrainSelectedInstOperands,
     /*  202908 */     // GIR_Coverage, 476,
     /*  202908 */     GIR_Done,
     /*  202909 */   // Label 3982: @202909
     /*  202909 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(202950), // Rule ID 478 //
     /*  202914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202931 */     // MIs[0] rs1
     /*  202931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202943 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202948 */     GIR_RootConstrainSelectedInstOperands,
     /*  202949 */     // GIR_Coverage, 478,
     /*  202949 */     GIR_Done,
     /*  202950 */   // Label 3983: @202950
     /*  202950 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(202991), // Rule ID 480 //
     /*  202955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202972 */     // MIs[0] rs1
     /*  202972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202984 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202989 */     GIR_RootConstrainSelectedInstOperands,
     /*  202990 */     // GIR_Coverage, 480,
     /*  202990 */     GIR_Done,
     /*  202991 */   // Label 3984: @202991
     /*  202991 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(203032), // Rule ID 482 //
     /*  202996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203013 */     // MIs[0] rs1
     /*  203013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203025 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203030 */     GIR_RootConstrainSelectedInstOperands,
     /*  203031 */     // GIR_Coverage, 482,
     /*  203031 */     GIR_Done,
     /*  203032 */   // Label 3985: @203032
     /*  203032 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(203073), // Rule ID 812 //
     /*  203037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203054 */     // MIs[0] rs1
     /*  203054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203066 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203071 */     GIR_RootConstrainSelectedInstOperands,
     /*  203072 */     // GIR_Coverage, 812,
     /*  203072 */     GIR_Done,
     /*  203073 */   // Label 3986: @203073
     /*  203073 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(203114), // Rule ID 814 //
     /*  203078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203095 */     // MIs[0] rs1
     /*  203095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203107 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  203112 */     GIR_RootConstrainSelectedInstOperands,
     /*  203113 */     // GIR_Coverage, 814,
     /*  203113 */     GIR_Done,
     /*  203114 */   // Label 3987: @203114
     /*  203114 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(203155), // Rule ID 816 //
     /*  203119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203136 */     // MIs[0] rs1
     /*  203136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203148 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  203153 */     GIR_RootConstrainSelectedInstOperands,
     /*  203154 */     // GIR_Coverage, 816,
     /*  203154 */     GIR_Done,
     /*  203155 */   // Label 3988: @203155
     /*  203155 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(203196), // Rule ID 818 //
     /*  203160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203177 */     // MIs[0] rs1
     /*  203177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203189 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  203194 */     GIR_RootConstrainSelectedInstOperands,
     /*  203195 */     // GIR_Coverage, 818,
     /*  203195 */     GIR_Done,
     /*  203196 */   // Label 3989: @203196
     /*  203196 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(203237), // Rule ID 820 //
     /*  203201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203218 */     // MIs[0] rs1
     /*  203218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203230 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  203235 */     GIR_RootConstrainSelectedInstOperands,
     /*  203236 */     // GIR_Coverage, 820,
     /*  203236 */     GIR_Done,
     /*  203237 */   // Label 3990: @203237
     /*  203237 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(203278), // Rule ID 822 //
     /*  203242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203259 */     // MIs[0] rs1
     /*  203259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203271 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203276 */     GIR_RootConstrainSelectedInstOperands,
     /*  203277 */     // GIR_Coverage, 822,
     /*  203277 */     GIR_Done,
     /*  203278 */   // Label 3991: @203278
     /*  203278 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(203319), // Rule ID 824 //
     /*  203283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203300 */     // MIs[0] rs1
     /*  203300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203312 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203317 */     GIR_RootConstrainSelectedInstOperands,
     /*  203318 */     // GIR_Coverage, 824,
     /*  203318 */     GIR_Done,
     /*  203319 */   // Label 3992: @203319
     /*  203319 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(203360), // Rule ID 826 //
     /*  203324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203341 */     // MIs[0] rs1
     /*  203341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203353 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203358 */     GIR_RootConstrainSelectedInstOperands,
     /*  203359 */     // GIR_Coverage, 826,
     /*  203359 */     GIR_Done,
     /*  203360 */   // Label 3993: @203360
     /*  203360 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(203401), // Rule ID 828 //
     /*  203365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203382 */     // MIs[0] rs1
     /*  203382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203394 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203399 */     GIR_RootConstrainSelectedInstOperands,
     /*  203400 */     // GIR_Coverage, 828,
     /*  203400 */     GIR_Done,
     /*  203401 */   // Label 3994: @203401
     /*  203401 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(203442), // Rule ID 830 //
     /*  203406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203423 */     // MIs[0] rs1
     /*  203423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203435 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203440 */     GIR_RootConstrainSelectedInstOperands,
     /*  203441 */     // GIR_Coverage, 830,
     /*  203441 */     GIR_Done,
     /*  203442 */   // Label 3995: @203442
     /*  203442 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(203483), // Rule ID 992 //
     /*  203447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203464 */     // MIs[0] rs1
     /*  203464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203476 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203481 */     GIR_RootConstrainSelectedInstOperands,
     /*  203482 */     // GIR_Coverage, 992,
     /*  203482 */     GIR_Done,
     /*  203483 */   // Label 3996: @203483
     /*  203483 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(203524), // Rule ID 994 //
     /*  203488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203505 */     // MIs[0] rs1
     /*  203505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203517 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  203522 */     GIR_RootConstrainSelectedInstOperands,
     /*  203523 */     // GIR_Coverage, 994,
     /*  203523 */     GIR_Done,
     /*  203524 */   // Label 3997: @203524
     /*  203524 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(203565), // Rule ID 996 //
     /*  203529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203546 */     // MIs[0] rs1
     /*  203546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203558 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  203563 */     GIR_RootConstrainSelectedInstOperands,
     /*  203564 */     // GIR_Coverage, 996,
     /*  203564 */     GIR_Done,
     /*  203565 */   // Label 3998: @203565
     /*  203565 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(203606), // Rule ID 998 //
     /*  203570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203587 */     // MIs[0] rs1
     /*  203587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203599 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  203604 */     GIR_RootConstrainSelectedInstOperands,
     /*  203605 */     // GIR_Coverage, 998,
     /*  203605 */     GIR_Done,
     /*  203606 */   // Label 3999: @203606
     /*  203606 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(203647), // Rule ID 1000 //
     /*  203611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203628 */     // MIs[0] rs1
     /*  203628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203640 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  203645 */     GIR_RootConstrainSelectedInstOperands,
     /*  203646 */     // GIR_Coverage, 1000,
     /*  203646 */     GIR_Done,
     /*  203647 */   // Label 4000: @203647
     /*  203647 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(203688), // Rule ID 1002 //
     /*  203652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203669 */     // MIs[0] rs1
     /*  203669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203681 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203686 */     GIR_RootConstrainSelectedInstOperands,
     /*  203687 */     // GIR_Coverage, 1002,
     /*  203687 */     GIR_Done,
     /*  203688 */   // Label 4001: @203688
     /*  203688 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(203729), // Rule ID 1004 //
     /*  203693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203710 */     // MIs[0] rs1
     /*  203710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203722 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203727 */     GIR_RootConstrainSelectedInstOperands,
     /*  203728 */     // GIR_Coverage, 1004,
     /*  203728 */     GIR_Done,
     /*  203729 */   // Label 4002: @203729
     /*  203729 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(203770), // Rule ID 1006 //
     /*  203734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203751 */     // MIs[0] rs1
     /*  203751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203763 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203768 */     GIR_RootConstrainSelectedInstOperands,
     /*  203769 */     // GIR_Coverage, 1006,
     /*  203769 */     GIR_Done,
     /*  203770 */   // Label 4003: @203770
     /*  203770 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(203811), // Rule ID 1008 //
     /*  203775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203792 */     // MIs[0] rs1
     /*  203792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203804 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203809 */     GIR_RootConstrainSelectedInstOperands,
     /*  203810 */     // GIR_Coverage, 1008,
     /*  203810 */     GIR_Done,
     /*  203811 */   // Label 4004: @203811
     /*  203811 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(203852), // Rule ID 1010 //
     /*  203816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203833 */     // MIs[0] rs1
     /*  203833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203845 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203850 */     GIR_RootConstrainSelectedInstOperands,
     /*  203851 */     // GIR_Coverage, 1010,
     /*  203851 */     GIR_Done,
     /*  203852 */   // Label 4005: @203852
     /*  203852 */   GIM_Reject,
     /*  203853 */ // Label 3975: @203853
     /*  203853 */ GIM_Reject,
     /*  203854 */ // Label 3973: @203854
     /*  203854 */ GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(205503),
     /*  203859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  203862 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(203903), // Rule ID 463 //
     /*  203867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203884 */     // MIs[0] rs1
     /*  203884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203896 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203901 */     GIR_RootConstrainSelectedInstOperands,
     /*  203902 */     // GIR_Coverage, 463,
     /*  203902 */     GIR_Done,
     /*  203903 */   // Label 4007: @203903
     /*  203903 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(203944), // Rule ID 465 //
     /*  203908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203925 */     // MIs[0] rs1
     /*  203925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203937 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  203942 */     GIR_RootConstrainSelectedInstOperands,
     /*  203943 */     // GIR_Coverage, 465,
     /*  203943 */     GIR_Done,
     /*  203944 */   // Label 4008: @203944
     /*  203944 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(203985), // Rule ID 467 //
     /*  203949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203966 */     // MIs[0] rs1
     /*  203966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203978 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  203983 */     GIR_RootConstrainSelectedInstOperands,
     /*  203984 */     // GIR_Coverage, 467,
     /*  203984 */     GIR_Done,
     /*  203985 */   // Label 4009: @203985
     /*  203985 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(204026), // Rule ID 469 //
     /*  203990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204007 */     // MIs[0] rs1
     /*  204007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204019 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  204024 */     GIR_RootConstrainSelectedInstOperands,
     /*  204025 */     // GIR_Coverage, 469,
     /*  204025 */     GIR_Done,
     /*  204026 */   // Label 4010: @204026
     /*  204026 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(204067), // Rule ID 471 //
     /*  204031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204048 */     // MIs[0] rs1
     /*  204048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204060 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  204065 */     GIR_RootConstrainSelectedInstOperands,
     /*  204066 */     // GIR_Coverage, 471,
     /*  204066 */     GIR_Done,
     /*  204067 */   // Label 4011: @204067
     /*  204067 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(204108), // Rule ID 473 //
     /*  204072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204089 */     // MIs[0] rs1
     /*  204089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204101 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204106 */     GIR_RootConstrainSelectedInstOperands,
     /*  204107 */     // GIR_Coverage, 473,
     /*  204107 */     GIR_Done,
     /*  204108 */   // Label 4012: @204108
     /*  204108 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(204149), // Rule ID 475 //
     /*  204113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204130 */     // MIs[0] rs1
     /*  204130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204142 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204147 */     GIR_RootConstrainSelectedInstOperands,
     /*  204148 */     // GIR_Coverage, 475,
     /*  204148 */     GIR_Done,
     /*  204149 */   // Label 4013: @204149
     /*  204149 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(204190), // Rule ID 477 //
     /*  204154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204171 */     // MIs[0] rs1
     /*  204171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204183 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204188 */     GIR_RootConstrainSelectedInstOperands,
     /*  204189 */     // GIR_Coverage, 477,
     /*  204189 */     GIR_Done,
     /*  204190 */   // Label 4014: @204190
     /*  204190 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(204231), // Rule ID 479 //
     /*  204195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204212 */     // MIs[0] rs1
     /*  204212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204224 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204229 */     GIR_RootConstrainSelectedInstOperands,
     /*  204230 */     // GIR_Coverage, 479,
     /*  204230 */     GIR_Done,
     /*  204231 */   // Label 4015: @204231
     /*  204231 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(204272), // Rule ID 481 //
     /*  204236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204253 */     // MIs[0] rs1
     /*  204253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204265 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204270 */     GIR_RootConstrainSelectedInstOperands,
     /*  204271 */     // GIR_Coverage, 481,
     /*  204271 */     GIR_Done,
     /*  204272 */   // Label 4016: @204272
     /*  204272 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(204313), // Rule ID 583 //
     /*  204277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204294 */     // MIs[0] rs1
     /*  204294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204306 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204311 */     GIR_RootConstrainSelectedInstOperands,
     /*  204312 */     // GIR_Coverage, 583,
     /*  204312 */     GIR_Done,
     /*  204313 */   // Label 4017: @204313
     /*  204313 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(204354), // Rule ID 584 //
     /*  204318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204335 */     // MIs[0] rs1
     /*  204335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204347 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  204352 */     GIR_RootConstrainSelectedInstOperands,
     /*  204353 */     // GIR_Coverage, 584,
     /*  204353 */     GIR_Done,
     /*  204354 */   // Label 4018: @204354
     /*  204354 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(204395), // Rule ID 585 //
     /*  204359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204376 */     // MIs[0] rs1
     /*  204376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204388 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  204393 */     GIR_RootConstrainSelectedInstOperands,
     /*  204394 */     // GIR_Coverage, 585,
     /*  204394 */     GIR_Done,
     /*  204395 */   // Label 4019: @204395
     /*  204395 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(204436), // Rule ID 586 //
     /*  204400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204417 */     // MIs[0] rs1
     /*  204417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204429 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204434 */     GIR_RootConstrainSelectedInstOperands,
     /*  204435 */     // GIR_Coverage, 586,
     /*  204435 */     GIR_Done,
     /*  204436 */   // Label 4020: @204436
     /*  204436 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(204477), // Rule ID 587 //
     /*  204441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204458 */     // MIs[0] rs1
     /*  204458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204470 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204475 */     GIR_RootConstrainSelectedInstOperands,
     /*  204476 */     // GIR_Coverage, 587,
     /*  204476 */     GIR_Done,
     /*  204477 */   // Label 4021: @204477
     /*  204477 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(204518), // Rule ID 588 //
     /*  204482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204499 */     // MIs[0] rs1
     /*  204499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204511 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204516 */     GIR_RootConstrainSelectedInstOperands,
     /*  204517 */     // GIR_Coverage, 588,
     /*  204517 */     GIR_Done,
     /*  204518 */   // Label 4022: @204518
     /*  204518 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(204559), // Rule ID 589 //
     /*  204523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204540 */     // MIs[0] rs1
     /*  204540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204552 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204557 */     GIR_RootConstrainSelectedInstOperands,
     /*  204558 */     // GIR_Coverage, 589,
     /*  204558 */     GIR_Done,
     /*  204559 */   // Label 4023: @204559
     /*  204559 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(204600), // Rule ID 590 //
     /*  204564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204581 */     // MIs[0] rs1
     /*  204581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204593 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204598 */     GIR_RootConstrainSelectedInstOperands,
     /*  204599 */     // GIR_Coverage, 590,
     /*  204599 */     GIR_Done,
     /*  204600 */   // Label 4024: @204600
     /*  204600 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(204641), // Rule ID 591 //
     /*  204605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204622 */     // MIs[0] rs1
     /*  204622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204634 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204639 */     GIR_RootConstrainSelectedInstOperands,
     /*  204640 */     // GIR_Coverage, 591,
     /*  204640 */     GIR_Done,
     /*  204641 */   // Label 4025: @204641
     /*  204641 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(204682), // Rule ID 592 //
     /*  204646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204663 */     // MIs[0] rs1
     /*  204663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204675 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204680 */     GIR_RootConstrainSelectedInstOperands,
     /*  204681 */     // GIR_Coverage, 592,
     /*  204681 */     GIR_Done,
     /*  204682 */   // Label 4026: @204682
     /*  204682 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(204723), // Rule ID 811 //
     /*  204687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204704 */     // MIs[0] rs1
     /*  204704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204716 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204721 */     GIR_RootConstrainSelectedInstOperands,
     /*  204722 */     // GIR_Coverage, 811,
     /*  204722 */     GIR_Done,
     /*  204723 */   // Label 4027: @204723
     /*  204723 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(204764), // Rule ID 813 //
     /*  204728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204745 */     // MIs[0] rs1
     /*  204745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204757 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  204762 */     GIR_RootConstrainSelectedInstOperands,
     /*  204763 */     // GIR_Coverage, 813,
     /*  204763 */     GIR_Done,
     /*  204764 */   // Label 4028: @204764
     /*  204764 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(204805), // Rule ID 815 //
     /*  204769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204786 */     // MIs[0] rs1
     /*  204786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204798 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  204803 */     GIR_RootConstrainSelectedInstOperands,
     /*  204804 */     // GIR_Coverage, 815,
     /*  204804 */     GIR_Done,
     /*  204805 */   // Label 4029: @204805
     /*  204805 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(204846), // Rule ID 817 //
     /*  204810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204827 */     // MIs[0] rs1
     /*  204827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204839 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  204844 */     GIR_RootConstrainSelectedInstOperands,
     /*  204845 */     // GIR_Coverage, 817,
     /*  204845 */     GIR_Done,
     /*  204846 */   // Label 4030: @204846
     /*  204846 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(204887), // Rule ID 819 //
     /*  204851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204868 */     // MIs[0] rs1
     /*  204868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204880 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  204885 */     GIR_RootConstrainSelectedInstOperands,
     /*  204886 */     // GIR_Coverage, 819,
     /*  204886 */     GIR_Done,
     /*  204887 */   // Label 4031: @204887
     /*  204887 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(204928), // Rule ID 821 //
     /*  204892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204909 */     // MIs[0] rs1
     /*  204909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204921 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204926 */     GIR_RootConstrainSelectedInstOperands,
     /*  204927 */     // GIR_Coverage, 821,
     /*  204927 */     GIR_Done,
     /*  204928 */   // Label 4032: @204928
     /*  204928 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(204969), // Rule ID 823 //
     /*  204933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204950 */     // MIs[0] rs1
     /*  204950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204962 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204967 */     GIR_RootConstrainSelectedInstOperands,
     /*  204968 */     // GIR_Coverage, 823,
     /*  204968 */     GIR_Done,
     /*  204969 */   // Label 4033: @204969
     /*  204969 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(205010), // Rule ID 825 //
     /*  204974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204991 */     // MIs[0] rs1
     /*  204991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205003 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205008 */     GIR_RootConstrainSelectedInstOperands,
     /*  205009 */     // GIR_Coverage, 825,
     /*  205009 */     GIR_Done,
     /*  205010 */   // Label 4034: @205010
     /*  205010 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(205051), // Rule ID 827 //
     /*  205015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205032 */     // MIs[0] rs1
     /*  205032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205044 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205049 */     GIR_RootConstrainSelectedInstOperands,
     /*  205050 */     // GIR_Coverage, 827,
     /*  205050 */     GIR_Done,
     /*  205051 */   // Label 4035: @205051
     /*  205051 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(205092), // Rule ID 829 //
     /*  205056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205073 */     // MIs[0] rs1
     /*  205073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205085 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205090 */     GIR_RootConstrainSelectedInstOperands,
     /*  205091 */     // GIR_Coverage, 829,
     /*  205091 */     GIR_Done,
     /*  205092 */   // Label 4036: @205092
     /*  205092 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(205133), // Rule ID 991 //
     /*  205097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205114 */     // MIs[0] rs1
     /*  205114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205126 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205131 */     GIR_RootConstrainSelectedInstOperands,
     /*  205132 */     // GIR_Coverage, 991,
     /*  205132 */     GIR_Done,
     /*  205133 */   // Label 4037: @205133
     /*  205133 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(205174), // Rule ID 993 //
     /*  205138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205155 */     // MIs[0] rs1
     /*  205155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205167 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  205172 */     GIR_RootConstrainSelectedInstOperands,
     /*  205173 */     // GIR_Coverage, 993,
     /*  205173 */     GIR_Done,
     /*  205174 */   // Label 4038: @205174
     /*  205174 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(205215), // Rule ID 995 //
     /*  205179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205196 */     // MIs[0] rs1
     /*  205196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205208 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  205213 */     GIR_RootConstrainSelectedInstOperands,
     /*  205214 */     // GIR_Coverage, 995,
     /*  205214 */     GIR_Done,
     /*  205215 */   // Label 4039: @205215
     /*  205215 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(205256), // Rule ID 997 //
     /*  205220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205237 */     // MIs[0] rs1
     /*  205237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205249 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205254 */     GIR_RootConstrainSelectedInstOperands,
     /*  205255 */     // GIR_Coverage, 997,
     /*  205255 */     GIR_Done,
     /*  205256 */   // Label 4040: @205256
     /*  205256 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(205297), // Rule ID 999 //
     /*  205261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205278 */     // MIs[0] rs1
     /*  205278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205290 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205295 */     GIR_RootConstrainSelectedInstOperands,
     /*  205296 */     // GIR_Coverage, 999,
     /*  205296 */     GIR_Done,
     /*  205297 */   // Label 4041: @205297
     /*  205297 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(205338), // Rule ID 1001 //
     /*  205302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205319 */     // MIs[0] rs1
     /*  205319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205331 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205336 */     GIR_RootConstrainSelectedInstOperands,
     /*  205337 */     // GIR_Coverage, 1001,
     /*  205337 */     GIR_Done,
     /*  205338 */   // Label 4042: @205338
     /*  205338 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(205379), // Rule ID 1003 //
     /*  205343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205360 */     // MIs[0] rs1
     /*  205360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205372 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205377 */     GIR_RootConstrainSelectedInstOperands,
     /*  205378 */     // GIR_Coverage, 1003,
     /*  205378 */     GIR_Done,
     /*  205379 */   // Label 4043: @205379
     /*  205379 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(205420), // Rule ID 1005 //
     /*  205384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205401 */     // MIs[0] rs1
     /*  205401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205413 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205418 */     GIR_RootConstrainSelectedInstOperands,
     /*  205419 */     // GIR_Coverage, 1005,
     /*  205419 */     GIR_Done,
     /*  205420 */   // Label 4044: @205420
     /*  205420 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(205461), // Rule ID 1007 //
     /*  205425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205442 */     // MIs[0] rs1
     /*  205442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205454 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205459 */     GIR_RootConstrainSelectedInstOperands,
     /*  205460 */     // GIR_Coverage, 1007,
     /*  205460 */     GIR_Done,
     /*  205461 */   // Label 4045: @205461
     /*  205461 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(205502), // Rule ID 1009 //
     /*  205466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205483 */     // MIs[0] rs1
     /*  205483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205495 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205500 */     GIR_RootConstrainSelectedInstOperands,
     /*  205501 */     // GIR_Coverage, 1009,
     /*  205501 */     GIR_Done,
     /*  205502 */   // Label 4046: @205502
     /*  205502 */   GIM_Reject,
     /*  205503 */ // Label 4006: @205503
     /*  205503 */ GIM_Reject,
     /*  205504 */ // Label 3974: @205504
     /*  205504 */ GIM_Reject,
     /*  205505 */ // Label 34: @205505
     /*  205505 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4049*/ GIMT_Encode4(208414),
     /*  205516 */ /*GILLT_s32*//*Label 4047*/ GIMT_Encode4(205524),
     /*  205520 */ /*GILLT_s64*//*Label 4048*/ GIMT_Encode4(206764),
     /*  205524 */ // Label 4047: @205524
     /*  205524 */ GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(206763),
     /*  205529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205532 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(205573), // Rule ID 484 //
     /*  205537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205554 */     // MIs[0] rs1
     /*  205554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205566 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205571 */     GIR_RootConstrainSelectedInstOperands,
     /*  205572 */     // GIR_Coverage, 484,
     /*  205572 */     GIR_Done,
     /*  205573 */   // Label 4051: @205573
     /*  205573 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(205614), // Rule ID 486 //
     /*  205578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205595 */     // MIs[0] rs1
     /*  205595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205607 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  205612 */     GIR_RootConstrainSelectedInstOperands,
     /*  205613 */     // GIR_Coverage, 486,
     /*  205613 */     GIR_Done,
     /*  205614 */   // Label 4052: @205614
     /*  205614 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(205655), // Rule ID 488 //
     /*  205619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205636 */     // MIs[0] rs1
     /*  205636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205648 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  205653 */     GIR_RootConstrainSelectedInstOperands,
     /*  205654 */     // GIR_Coverage, 488,
     /*  205654 */     GIR_Done,
     /*  205655 */   // Label 4053: @205655
     /*  205655 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(205696), // Rule ID 490 //
     /*  205660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205677 */     // MIs[0] rs1
     /*  205677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205689 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  205694 */     GIR_RootConstrainSelectedInstOperands,
     /*  205695 */     // GIR_Coverage, 490,
     /*  205695 */     GIR_Done,
     /*  205696 */   // Label 4054: @205696
     /*  205696 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(205737), // Rule ID 492 //
     /*  205701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205718 */     // MIs[0] rs1
     /*  205718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205730 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  205735 */     GIR_RootConstrainSelectedInstOperands,
     /*  205736 */     // GIR_Coverage, 492,
     /*  205736 */     GIR_Done,
     /*  205737 */   // Label 4055: @205737
     /*  205737 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205778), // Rule ID 494 //
     /*  205742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205759 */     // MIs[0] rs1
     /*  205759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205771 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205776 */     GIR_RootConstrainSelectedInstOperands,
     /*  205777 */     // GIR_Coverage, 494,
     /*  205777 */     GIR_Done,
     /*  205778 */   // Label 4056: @205778
     /*  205778 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205819), // Rule ID 496 //
     /*  205783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205800 */     // MIs[0] rs1
     /*  205800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205812 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205817 */     GIR_RootConstrainSelectedInstOperands,
     /*  205818 */     // GIR_Coverage, 496,
     /*  205818 */     GIR_Done,
     /*  205819 */   // Label 4057: @205819
     /*  205819 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205860), // Rule ID 498 //
     /*  205824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205841 */     // MIs[0] rs1
     /*  205841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205853 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205858 */     GIR_RootConstrainSelectedInstOperands,
     /*  205859 */     // GIR_Coverage, 498,
     /*  205859 */     GIR_Done,
     /*  205860 */   // Label 4058: @205860
     /*  205860 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(205901), // Rule ID 500 //
     /*  205865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205882 */     // MIs[0] rs1
     /*  205882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205894 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205899 */     GIR_RootConstrainSelectedInstOperands,
     /*  205900 */     // GIR_Coverage, 500,
     /*  205900 */     GIR_Done,
     /*  205901 */   // Label 4059: @205901
     /*  205901 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205942), // Rule ID 502 //
     /*  205906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205923 */     // MIs[0] rs1
     /*  205923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205935 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205940 */     GIR_RootConstrainSelectedInstOperands,
     /*  205941 */     // GIR_Coverage, 502,
     /*  205941 */     GIR_Done,
     /*  205942 */   // Label 4060: @205942
     /*  205942 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205983), // Rule ID 832 //
     /*  205947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205964 */     // MIs[0] rs1
     /*  205964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205976 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  205981 */     GIR_RootConstrainSelectedInstOperands,
     /*  205982 */     // GIR_Coverage, 832,
     /*  205982 */     GIR_Done,
     /*  205983 */   // Label 4061: @205983
     /*  205983 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(206024), // Rule ID 834 //
     /*  205988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206005 */     // MIs[0] rs1
     /*  206005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206017 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  206022 */     GIR_RootConstrainSelectedInstOperands,
     /*  206023 */     // GIR_Coverage, 834,
     /*  206023 */     GIR_Done,
     /*  206024 */   // Label 4062: @206024
     /*  206024 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(206065), // Rule ID 836 //
     /*  206029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206046 */     // MIs[0] rs1
     /*  206046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206058 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  206063 */     GIR_RootConstrainSelectedInstOperands,
     /*  206064 */     // GIR_Coverage, 836,
     /*  206064 */     GIR_Done,
     /*  206065 */   // Label 4063: @206065
     /*  206065 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(206106), // Rule ID 838 //
     /*  206070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206087 */     // MIs[0] rs1
     /*  206087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206099 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  206104 */     GIR_RootConstrainSelectedInstOperands,
     /*  206105 */     // GIR_Coverage, 838,
     /*  206105 */     GIR_Done,
     /*  206106 */   // Label 4064: @206106
     /*  206106 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(206147), // Rule ID 840 //
     /*  206111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206128 */     // MIs[0] rs1
     /*  206128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206140 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  206145 */     GIR_RootConstrainSelectedInstOperands,
     /*  206146 */     // GIR_Coverage, 840,
     /*  206146 */     GIR_Done,
     /*  206147 */   // Label 4065: @206147
     /*  206147 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(206188), // Rule ID 842 //
     /*  206152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206169 */     // MIs[0] rs1
     /*  206169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206181 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206186 */     GIR_RootConstrainSelectedInstOperands,
     /*  206187 */     // GIR_Coverage, 842,
     /*  206187 */     GIR_Done,
     /*  206188 */   // Label 4066: @206188
     /*  206188 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(206229), // Rule ID 844 //
     /*  206193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206210 */     // MIs[0] rs1
     /*  206210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206222 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206227 */     GIR_RootConstrainSelectedInstOperands,
     /*  206228 */     // GIR_Coverage, 844,
     /*  206228 */     GIR_Done,
     /*  206229 */   // Label 4067: @206229
     /*  206229 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(206270), // Rule ID 846 //
     /*  206234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206251 */     // MIs[0] rs1
     /*  206251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206263 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206268 */     GIR_RootConstrainSelectedInstOperands,
     /*  206269 */     // GIR_Coverage, 846,
     /*  206269 */     GIR_Done,
     /*  206270 */   // Label 4068: @206270
     /*  206270 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(206311), // Rule ID 848 //
     /*  206275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206292 */     // MIs[0] rs1
     /*  206292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206304 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206309 */     GIR_RootConstrainSelectedInstOperands,
     /*  206310 */     // GIR_Coverage, 848,
     /*  206310 */     GIR_Done,
     /*  206311 */   // Label 4069: @206311
     /*  206311 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(206352), // Rule ID 850 //
     /*  206316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206333 */     // MIs[0] rs1
     /*  206333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206345 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206350 */     GIR_RootConstrainSelectedInstOperands,
     /*  206351 */     // GIR_Coverage, 850,
     /*  206351 */     GIR_Done,
     /*  206352 */   // Label 4070: @206352
     /*  206352 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(206393), // Rule ID 1012 //
     /*  206357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206374 */     // MIs[0] rs1
     /*  206374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206386 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206391 */     GIR_RootConstrainSelectedInstOperands,
     /*  206392 */     // GIR_Coverage, 1012,
     /*  206392 */     GIR_Done,
     /*  206393 */   // Label 4071: @206393
     /*  206393 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(206434), // Rule ID 1014 //
     /*  206398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206415 */     // MIs[0] rs1
     /*  206415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206427 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  206432 */     GIR_RootConstrainSelectedInstOperands,
     /*  206433 */     // GIR_Coverage, 1014,
     /*  206433 */     GIR_Done,
     /*  206434 */   // Label 4072: @206434
     /*  206434 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206475), // Rule ID 1016 //
     /*  206439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206456 */     // MIs[0] rs1
     /*  206456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206468 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  206473 */     GIR_RootConstrainSelectedInstOperands,
     /*  206474 */     // GIR_Coverage, 1016,
     /*  206474 */     GIR_Done,
     /*  206475 */   // Label 4073: @206475
     /*  206475 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206516), // Rule ID 1018 //
     /*  206480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206497 */     // MIs[0] rs1
     /*  206497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206509 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  206514 */     GIR_RootConstrainSelectedInstOperands,
     /*  206515 */     // GIR_Coverage, 1018,
     /*  206515 */     GIR_Done,
     /*  206516 */   // Label 4074: @206516
     /*  206516 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206557), // Rule ID 1020 //
     /*  206521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206538 */     // MIs[0] rs1
     /*  206538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206550 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  206555 */     GIR_RootConstrainSelectedInstOperands,
     /*  206556 */     // GIR_Coverage, 1020,
     /*  206556 */     GIR_Done,
     /*  206557 */   // Label 4075: @206557
     /*  206557 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206598), // Rule ID 1022 //
     /*  206562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206579 */     // MIs[0] rs1
     /*  206579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206591 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206596 */     GIR_RootConstrainSelectedInstOperands,
     /*  206597 */     // GIR_Coverage, 1022,
     /*  206597 */     GIR_Done,
     /*  206598 */   // Label 4076: @206598
     /*  206598 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(206639), // Rule ID 1024 //
     /*  206603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206620 */     // MIs[0] rs1
     /*  206620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206632 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206637 */     GIR_RootConstrainSelectedInstOperands,
     /*  206638 */     // GIR_Coverage, 1024,
     /*  206638 */     GIR_Done,
     /*  206639 */   // Label 4077: @206639
     /*  206639 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(206680), // Rule ID 1026 //
     /*  206644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206661 */     // MIs[0] rs1
     /*  206661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206673 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206678 */     GIR_RootConstrainSelectedInstOperands,
     /*  206679 */     // GIR_Coverage, 1026,
     /*  206679 */     GIR_Done,
     /*  206680 */   // Label 4078: @206680
     /*  206680 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(206721), // Rule ID 1028 //
     /*  206685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206702 */     // MIs[0] rs1
     /*  206702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206714 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206719 */     GIR_RootConstrainSelectedInstOperands,
     /*  206720 */     // GIR_Coverage, 1028,
     /*  206720 */     GIR_Done,
     /*  206721 */   // Label 4079: @206721
     /*  206721 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(206762), // Rule ID 1030 //
     /*  206726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206743 */     // MIs[0] rs1
     /*  206743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206755 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206760 */     GIR_RootConstrainSelectedInstOperands,
     /*  206761 */     // GIR_Coverage, 1030,
     /*  206761 */     GIR_Done,
     /*  206762 */   // Label 4080: @206762
     /*  206762 */   GIM_Reject,
     /*  206763 */ // Label 4050: @206763
     /*  206763 */ GIM_Reject,
     /*  206764 */ // Label 4048: @206764
     /*  206764 */ GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(208413),
     /*  206769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206772 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(206813), // Rule ID 483 //
     /*  206777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206794 */     // MIs[0] rs1
     /*  206794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206806 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206811 */     GIR_RootConstrainSelectedInstOperands,
     /*  206812 */     // GIR_Coverage, 483,
     /*  206812 */     GIR_Done,
     /*  206813 */   // Label 4082: @206813
     /*  206813 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(206854), // Rule ID 485 //
     /*  206818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206835 */     // MIs[0] rs1
     /*  206835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206847 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  206852 */     GIR_RootConstrainSelectedInstOperands,
     /*  206853 */     // GIR_Coverage, 485,
     /*  206853 */     GIR_Done,
     /*  206854 */   // Label 4083: @206854
     /*  206854 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(206895), // Rule ID 487 //
     /*  206859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206876 */     // MIs[0] rs1
     /*  206876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206888 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  206893 */     GIR_RootConstrainSelectedInstOperands,
     /*  206894 */     // GIR_Coverage, 487,
     /*  206894 */     GIR_Done,
     /*  206895 */   // Label 4084: @206895
     /*  206895 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(206936), // Rule ID 489 //
     /*  206900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206917 */     // MIs[0] rs1
     /*  206917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206929 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206934 */     GIR_RootConstrainSelectedInstOperands,
     /*  206935 */     // GIR_Coverage, 489,
     /*  206935 */     GIR_Done,
     /*  206936 */   // Label 4085: @206936
     /*  206936 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(206977), // Rule ID 491 //
     /*  206941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206958 */     // MIs[0] rs1
     /*  206958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206970 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206975 */     GIR_RootConstrainSelectedInstOperands,
     /*  206976 */     // GIR_Coverage, 491,
     /*  206976 */     GIR_Done,
     /*  206977 */   // Label 4086: @206977
     /*  206977 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(207018), // Rule ID 493 //
     /*  206982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206999 */     // MIs[0] rs1
     /*  206999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207011 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207016 */     GIR_RootConstrainSelectedInstOperands,
     /*  207017 */     // GIR_Coverage, 493,
     /*  207017 */     GIR_Done,
     /*  207018 */   // Label 4087: @207018
     /*  207018 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207059), // Rule ID 495 //
     /*  207023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207040 */     // MIs[0] rs1
     /*  207040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207052 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207057 */     GIR_RootConstrainSelectedInstOperands,
     /*  207058 */     // GIR_Coverage, 495,
     /*  207058 */     GIR_Done,
     /*  207059 */   // Label 4088: @207059
     /*  207059 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(207100), // Rule ID 497 //
     /*  207064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207081 */     // MIs[0] rs1
     /*  207081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207093 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207098 */     GIR_RootConstrainSelectedInstOperands,
     /*  207099 */     // GIR_Coverage, 497,
     /*  207099 */     GIR_Done,
     /*  207100 */   // Label 4089: @207100
     /*  207100 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(207141), // Rule ID 499 //
     /*  207105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207122 */     // MIs[0] rs1
     /*  207122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207134 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207139 */     GIR_RootConstrainSelectedInstOperands,
     /*  207140 */     // GIR_Coverage, 499,
     /*  207140 */     GIR_Done,
     /*  207141 */   // Label 4090: @207141
     /*  207141 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(207182), // Rule ID 501 //
     /*  207146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207163 */     // MIs[0] rs1
     /*  207163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207175 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207180 */     GIR_RootConstrainSelectedInstOperands,
     /*  207181 */     // GIR_Coverage, 501,
     /*  207181 */     GIR_Done,
     /*  207182 */   // Label 4091: @207182
     /*  207182 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(207223), // Rule ID 593 //
     /*  207187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207204 */     // MIs[0] rs1
     /*  207204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207216 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207221 */     GIR_RootConstrainSelectedInstOperands,
     /*  207222 */     // GIR_Coverage, 593,
     /*  207222 */     GIR_Done,
     /*  207223 */   // Label 4092: @207223
     /*  207223 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(207264), // Rule ID 594 //
     /*  207228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207245 */     // MIs[0] rs1
     /*  207245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207257 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  207262 */     GIR_RootConstrainSelectedInstOperands,
     /*  207263 */     // GIR_Coverage, 594,
     /*  207263 */     GIR_Done,
     /*  207264 */   // Label 4093: @207264
     /*  207264 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(207305), // Rule ID 595 //
     /*  207269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207286 */     // MIs[0] rs1
     /*  207286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207298 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  207303 */     GIR_RootConstrainSelectedInstOperands,
     /*  207304 */     // GIR_Coverage, 595,
     /*  207304 */     GIR_Done,
     /*  207305 */   // Label 4094: @207305
     /*  207305 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(207346), // Rule ID 596 //
     /*  207310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207327 */     // MIs[0] rs1
     /*  207327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207339 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207344 */     GIR_RootConstrainSelectedInstOperands,
     /*  207345 */     // GIR_Coverage, 596,
     /*  207345 */     GIR_Done,
     /*  207346 */   // Label 4095: @207346
     /*  207346 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(207387), // Rule ID 597 //
     /*  207351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207368 */     // MIs[0] rs1
     /*  207368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207380 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207385 */     GIR_RootConstrainSelectedInstOperands,
     /*  207386 */     // GIR_Coverage, 597,
     /*  207386 */     GIR_Done,
     /*  207387 */   // Label 4096: @207387
     /*  207387 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(207428), // Rule ID 598 //
     /*  207392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207409 */     // MIs[0] rs1
     /*  207409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207421 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207426 */     GIR_RootConstrainSelectedInstOperands,
     /*  207427 */     // GIR_Coverage, 598,
     /*  207427 */     GIR_Done,
     /*  207428 */   // Label 4097: @207428
     /*  207428 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(207469), // Rule ID 599 //
     /*  207433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207450 */     // MIs[0] rs1
     /*  207450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207462 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207467 */     GIR_RootConstrainSelectedInstOperands,
     /*  207468 */     // GIR_Coverage, 599,
     /*  207468 */     GIR_Done,
     /*  207469 */   // Label 4098: @207469
     /*  207469 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(207510), // Rule ID 600 //
     /*  207474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207491 */     // MIs[0] rs1
     /*  207491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207503 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207508 */     GIR_RootConstrainSelectedInstOperands,
     /*  207509 */     // GIR_Coverage, 600,
     /*  207509 */     GIR_Done,
     /*  207510 */   // Label 4099: @207510
     /*  207510 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(207551), // Rule ID 601 //
     /*  207515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207532 */     // MIs[0] rs1
     /*  207532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207544 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207549 */     GIR_RootConstrainSelectedInstOperands,
     /*  207550 */     // GIR_Coverage, 601,
     /*  207550 */     GIR_Done,
     /*  207551 */   // Label 4100: @207551
     /*  207551 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(207592), // Rule ID 602 //
     /*  207556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207573 */     // MIs[0] rs1
     /*  207573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207585 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207590 */     GIR_RootConstrainSelectedInstOperands,
     /*  207591 */     // GIR_Coverage, 602,
     /*  207591 */     GIR_Done,
     /*  207592 */   // Label 4101: @207592
     /*  207592 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(207633), // Rule ID 831 //
     /*  207597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207614 */     // MIs[0] rs1
     /*  207614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207626 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207631 */     GIR_RootConstrainSelectedInstOperands,
     /*  207632 */     // GIR_Coverage, 831,
     /*  207632 */     GIR_Done,
     /*  207633 */   // Label 4102: @207633
     /*  207633 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(207674), // Rule ID 833 //
     /*  207638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207655 */     // MIs[0] rs1
     /*  207655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207667 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  207672 */     GIR_RootConstrainSelectedInstOperands,
     /*  207673 */     // GIR_Coverage, 833,
     /*  207673 */     GIR_Done,
     /*  207674 */   // Label 4103: @207674
     /*  207674 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(207715), // Rule ID 835 //
     /*  207679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207696 */     // MIs[0] rs1
     /*  207696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207708 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  207713 */     GIR_RootConstrainSelectedInstOperands,
     /*  207714 */     // GIR_Coverage, 835,
     /*  207714 */     GIR_Done,
     /*  207715 */   // Label 4104: @207715
     /*  207715 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(207756), // Rule ID 837 //
     /*  207720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207737 */     // MIs[0] rs1
     /*  207737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207749 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  207754 */     GIR_RootConstrainSelectedInstOperands,
     /*  207755 */     // GIR_Coverage, 837,
     /*  207755 */     GIR_Done,
     /*  207756 */   // Label 4105: @207756
     /*  207756 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(207797), // Rule ID 839 //
     /*  207761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207778 */     // MIs[0] rs1
     /*  207778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207790 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  207795 */     GIR_RootConstrainSelectedInstOperands,
     /*  207796 */     // GIR_Coverage, 839,
     /*  207796 */     GIR_Done,
     /*  207797 */   // Label 4106: @207797
     /*  207797 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(207838), // Rule ID 841 //
     /*  207802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207819 */     // MIs[0] rs1
     /*  207819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207831 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207836 */     GIR_RootConstrainSelectedInstOperands,
     /*  207837 */     // GIR_Coverage, 841,
     /*  207837 */     GIR_Done,
     /*  207838 */   // Label 4107: @207838
     /*  207838 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(207879), // Rule ID 843 //
     /*  207843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207860 */     // MIs[0] rs1
     /*  207860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207872 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207877 */     GIR_RootConstrainSelectedInstOperands,
     /*  207878 */     // GIR_Coverage, 843,
     /*  207878 */     GIR_Done,
     /*  207879 */   // Label 4108: @207879
     /*  207879 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(207920), // Rule ID 845 //
     /*  207884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207901 */     // MIs[0] rs1
     /*  207901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207913 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207918 */     GIR_RootConstrainSelectedInstOperands,
     /*  207919 */     // GIR_Coverage, 845,
     /*  207919 */     GIR_Done,
     /*  207920 */   // Label 4109: @207920
     /*  207920 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(207961), // Rule ID 847 //
     /*  207925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207942 */     // MIs[0] rs1
     /*  207942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207954 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207959 */     GIR_RootConstrainSelectedInstOperands,
     /*  207960 */     // GIR_Coverage, 847,
     /*  207960 */     GIR_Done,
     /*  207961 */   // Label 4110: @207961
     /*  207961 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(208002), // Rule ID 849 //
     /*  207966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207983 */     // MIs[0] rs1
     /*  207983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207995 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208000 */     GIR_RootConstrainSelectedInstOperands,
     /*  208001 */     // GIR_Coverage, 849,
     /*  208001 */     GIR_Done,
     /*  208002 */   // Label 4111: @208002
     /*  208002 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(208043), // Rule ID 1011 //
     /*  208007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208024 */     // MIs[0] rs1
     /*  208024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208036 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208041 */     GIR_RootConstrainSelectedInstOperands,
     /*  208042 */     // GIR_Coverage, 1011,
     /*  208042 */     GIR_Done,
     /*  208043 */   // Label 4112: @208043
     /*  208043 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(208084), // Rule ID 1013 //
     /*  208048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208065 */     // MIs[0] rs1
     /*  208065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208077 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  208082 */     GIR_RootConstrainSelectedInstOperands,
     /*  208083 */     // GIR_Coverage, 1013,
     /*  208083 */     GIR_Done,
     /*  208084 */   // Label 4113: @208084
     /*  208084 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(208125), // Rule ID 1015 //
     /*  208089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208106 */     // MIs[0] rs1
     /*  208106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208118 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  208123 */     GIR_RootConstrainSelectedInstOperands,
     /*  208124 */     // GIR_Coverage, 1015,
     /*  208124 */     GIR_Done,
     /*  208125 */   // Label 4114: @208125
     /*  208125 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(208166), // Rule ID 1017 //
     /*  208130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208147 */     // MIs[0] rs1
     /*  208147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208159 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  208164 */     GIR_RootConstrainSelectedInstOperands,
     /*  208165 */     // GIR_Coverage, 1017,
     /*  208165 */     GIR_Done,
     /*  208166 */   // Label 4115: @208166
     /*  208166 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(208207), // Rule ID 1019 //
     /*  208171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208188 */     // MIs[0] rs1
     /*  208188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208200 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  208205 */     GIR_RootConstrainSelectedInstOperands,
     /*  208206 */     // GIR_Coverage, 1019,
     /*  208206 */     GIR_Done,
     /*  208207 */   // Label 4116: @208207
     /*  208207 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(208248), // Rule ID 1021 //
     /*  208212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208229 */     // MIs[0] rs1
     /*  208229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208241 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208246 */     GIR_RootConstrainSelectedInstOperands,
     /*  208247 */     // GIR_Coverage, 1021,
     /*  208247 */     GIR_Done,
     /*  208248 */   // Label 4117: @208248
     /*  208248 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(208289), // Rule ID 1023 //
     /*  208253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208270 */     // MIs[0] rs1
     /*  208270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208282 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208287 */     GIR_RootConstrainSelectedInstOperands,
     /*  208288 */     // GIR_Coverage, 1023,
     /*  208288 */     GIR_Done,
     /*  208289 */   // Label 4118: @208289
     /*  208289 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(208330), // Rule ID 1025 //
     /*  208294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208311 */     // MIs[0] rs1
     /*  208311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208323 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208328 */     GIR_RootConstrainSelectedInstOperands,
     /*  208329 */     // GIR_Coverage, 1025,
     /*  208329 */     GIR_Done,
     /*  208330 */   // Label 4119: @208330
     /*  208330 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(208371), // Rule ID 1027 //
     /*  208335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208352 */     // MIs[0] rs1
     /*  208352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208364 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208369 */     GIR_RootConstrainSelectedInstOperands,
     /*  208370 */     // GIR_Coverage, 1027,
     /*  208370 */     GIR_Done,
     /*  208371 */   // Label 4120: @208371
     /*  208371 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(208412), // Rule ID 1029 //
     /*  208376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208393 */     // MIs[0] rs1
     /*  208393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208405 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208410 */     GIR_RootConstrainSelectedInstOperands,
     /*  208411 */     // GIR_Coverage, 1029,
     /*  208411 */     GIR_Done,
     /*  208412 */   // Label 4121: @208412
     /*  208412 */   GIM_Reject,
     /*  208413 */ // Label 4081: @208413
     /*  208413 */ GIM_Reject,
     /*  208414 */ // Label 4049: @208414
     /*  208414 */ GIM_Reject,
     /*  208415 */ // Label 35: @208415
     /*  208415 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4124*/ GIMT_Encode4(211324),
     /*  208426 */ /*GILLT_s32*//*Label 4122*/ GIMT_Encode4(208434),
     /*  208430 */ /*GILLT_s64*//*Label 4123*/ GIMT_Encode4(209674),
     /*  208434 */ // Label 4122: @208434
     /*  208434 */ GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(209673),
     /*  208439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208442 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(208483), // Rule ID 504 //
     /*  208447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208464 */     // MIs[0] rs1
     /*  208464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208476 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208481 */     GIR_RootConstrainSelectedInstOperands,
     /*  208482 */     // GIR_Coverage, 504,
     /*  208482 */     GIR_Done,
     /*  208483 */   // Label 4126: @208483
     /*  208483 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(208524), // Rule ID 506 //
     /*  208488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208505 */     // MIs[0] rs1
     /*  208505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208517 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  208522 */     GIR_RootConstrainSelectedInstOperands,
     /*  208523 */     // GIR_Coverage, 506,
     /*  208523 */     GIR_Done,
     /*  208524 */   // Label 4127: @208524
     /*  208524 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(208565), // Rule ID 508 //
     /*  208529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208546 */     // MIs[0] rs1
     /*  208546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208558 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  208563 */     GIR_RootConstrainSelectedInstOperands,
     /*  208564 */     // GIR_Coverage, 508,
     /*  208564 */     GIR_Done,
     /*  208565 */   // Label 4128: @208565
     /*  208565 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(208606), // Rule ID 510 //
     /*  208570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208587 */     // MIs[0] rs1
     /*  208587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208599 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  208604 */     GIR_RootConstrainSelectedInstOperands,
     /*  208605 */     // GIR_Coverage, 510,
     /*  208605 */     GIR_Done,
     /*  208606 */   // Label 4129: @208606
     /*  208606 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(208647), // Rule ID 512 //
     /*  208611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208628 */     // MIs[0] rs1
     /*  208628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208640 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  208645 */     GIR_RootConstrainSelectedInstOperands,
     /*  208646 */     // GIR_Coverage, 512,
     /*  208646 */     GIR_Done,
     /*  208647 */   // Label 4130: @208647
     /*  208647 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(208688), // Rule ID 514 //
     /*  208652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208669 */     // MIs[0] rs1
     /*  208669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208681 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208686 */     GIR_RootConstrainSelectedInstOperands,
     /*  208687 */     // GIR_Coverage, 514,
     /*  208687 */     GIR_Done,
     /*  208688 */   // Label 4131: @208688
     /*  208688 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(208729), // Rule ID 516 //
     /*  208693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208710 */     // MIs[0] rs1
     /*  208710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208722 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208727 */     GIR_RootConstrainSelectedInstOperands,
     /*  208728 */     // GIR_Coverage, 516,
     /*  208728 */     GIR_Done,
     /*  208729 */   // Label 4132: @208729
     /*  208729 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(208770), // Rule ID 518 //
     /*  208734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208751 */     // MIs[0] rs1
     /*  208751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208763 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208768 */     GIR_RootConstrainSelectedInstOperands,
     /*  208769 */     // GIR_Coverage, 518,
     /*  208769 */     GIR_Done,
     /*  208770 */   // Label 4133: @208770
     /*  208770 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(208811), // Rule ID 520 //
     /*  208775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208792 */     // MIs[0] rs1
     /*  208792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208804 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208809 */     GIR_RootConstrainSelectedInstOperands,
     /*  208810 */     // GIR_Coverage, 520,
     /*  208810 */     GIR_Done,
     /*  208811 */   // Label 4134: @208811
     /*  208811 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(208852), // Rule ID 522 //
     /*  208816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208833 */     // MIs[0] rs1
     /*  208833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208845 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208850 */     GIR_RootConstrainSelectedInstOperands,
     /*  208851 */     // GIR_Coverage, 522,
     /*  208851 */     GIR_Done,
     /*  208852 */   // Label 4135: @208852
     /*  208852 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(208893), // Rule ID 852 //
     /*  208857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208874 */     // MIs[0] rs1
     /*  208874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208886 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  208891 */     GIR_RootConstrainSelectedInstOperands,
     /*  208892 */     // GIR_Coverage, 852,
     /*  208892 */     GIR_Done,
     /*  208893 */   // Label 4136: @208893
     /*  208893 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(208934), // Rule ID 854 //
     /*  208898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208915 */     // MIs[0] rs1
     /*  208915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208927 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  208932 */     GIR_RootConstrainSelectedInstOperands,
     /*  208933 */     // GIR_Coverage, 854,
     /*  208933 */     GIR_Done,
     /*  208934 */   // Label 4137: @208934
     /*  208934 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(208975), // Rule ID 856 //
     /*  208939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208956 */     // MIs[0] rs1
     /*  208956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208968 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  208973 */     GIR_RootConstrainSelectedInstOperands,
     /*  208974 */     // GIR_Coverage, 856,
     /*  208974 */     GIR_Done,
     /*  208975 */   // Label 4138: @208975
     /*  208975 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(209016), // Rule ID 858 //
     /*  208980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208997 */     // MIs[0] rs1
     /*  208997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209009 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  209014 */     GIR_RootConstrainSelectedInstOperands,
     /*  209015 */     // GIR_Coverage, 858,
     /*  209015 */     GIR_Done,
     /*  209016 */   // Label 4139: @209016
     /*  209016 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(209057), // Rule ID 860 //
     /*  209021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209038 */     // MIs[0] rs1
     /*  209038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209050 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  209055 */     GIR_RootConstrainSelectedInstOperands,
     /*  209056 */     // GIR_Coverage, 860,
     /*  209056 */     GIR_Done,
     /*  209057 */   // Label 4140: @209057
     /*  209057 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(209098), // Rule ID 862 //
     /*  209062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209079 */     // MIs[0] rs1
     /*  209079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209091 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209096 */     GIR_RootConstrainSelectedInstOperands,
     /*  209097 */     // GIR_Coverage, 862,
     /*  209097 */     GIR_Done,
     /*  209098 */   // Label 4141: @209098
     /*  209098 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(209139), // Rule ID 864 //
     /*  209103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209120 */     // MIs[0] rs1
     /*  209120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209132 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209137 */     GIR_RootConstrainSelectedInstOperands,
     /*  209138 */     // GIR_Coverage, 864,
     /*  209138 */     GIR_Done,
     /*  209139 */   // Label 4142: @209139
     /*  209139 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(209180), // Rule ID 866 //
     /*  209144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209161 */     // MIs[0] rs1
     /*  209161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209173 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209178 */     GIR_RootConstrainSelectedInstOperands,
     /*  209179 */     // GIR_Coverage, 866,
     /*  209179 */     GIR_Done,
     /*  209180 */   // Label 4143: @209180
     /*  209180 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(209221), // Rule ID 868 //
     /*  209185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209202 */     // MIs[0] rs1
     /*  209202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209214 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209219 */     GIR_RootConstrainSelectedInstOperands,
     /*  209220 */     // GIR_Coverage, 868,
     /*  209220 */     GIR_Done,
     /*  209221 */   // Label 4144: @209221
     /*  209221 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(209262), // Rule ID 870 //
     /*  209226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209243 */     // MIs[0] rs1
     /*  209243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209255 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209260 */     GIR_RootConstrainSelectedInstOperands,
     /*  209261 */     // GIR_Coverage, 870,
     /*  209261 */     GIR_Done,
     /*  209262 */   // Label 4145: @209262
     /*  209262 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(209303), // Rule ID 1032 //
     /*  209267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209284 */     // MIs[0] rs1
     /*  209284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209296 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209301 */     GIR_RootConstrainSelectedInstOperands,
     /*  209302 */     // GIR_Coverage, 1032,
     /*  209302 */     GIR_Done,
     /*  209303 */   // Label 4146: @209303
     /*  209303 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(209344), // Rule ID 1034 //
     /*  209308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209325 */     // MIs[0] rs1
     /*  209325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209337 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  209342 */     GIR_RootConstrainSelectedInstOperands,
     /*  209343 */     // GIR_Coverage, 1034,
     /*  209343 */     GIR_Done,
     /*  209344 */   // Label 4147: @209344
     /*  209344 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(209385), // Rule ID 1036 //
     /*  209349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209366 */     // MIs[0] rs1
     /*  209366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209378 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  209383 */     GIR_RootConstrainSelectedInstOperands,
     /*  209384 */     // GIR_Coverage, 1036,
     /*  209384 */     GIR_Done,
     /*  209385 */   // Label 4148: @209385
     /*  209385 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(209426), // Rule ID 1038 //
     /*  209390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209407 */     // MIs[0] rs1
     /*  209407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209419 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209424 */     GIR_RootConstrainSelectedInstOperands,
     /*  209425 */     // GIR_Coverage, 1038,
     /*  209425 */     GIR_Done,
     /*  209426 */   // Label 4149: @209426
     /*  209426 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(209467), // Rule ID 1040 //
     /*  209431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209448 */     // MIs[0] rs1
     /*  209448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209460 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209465 */     GIR_RootConstrainSelectedInstOperands,
     /*  209466 */     // GIR_Coverage, 1040,
     /*  209466 */     GIR_Done,
     /*  209467 */   // Label 4150: @209467
     /*  209467 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(209508), // Rule ID 1042 //
     /*  209472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209489 */     // MIs[0] rs1
     /*  209489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209501 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209506 */     GIR_RootConstrainSelectedInstOperands,
     /*  209507 */     // GIR_Coverage, 1042,
     /*  209507 */     GIR_Done,
     /*  209508 */   // Label 4151: @209508
     /*  209508 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(209549), // Rule ID 1044 //
     /*  209513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209530 */     // MIs[0] rs1
     /*  209530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209542 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209547 */     GIR_RootConstrainSelectedInstOperands,
     /*  209548 */     // GIR_Coverage, 1044,
     /*  209548 */     GIR_Done,
     /*  209549 */   // Label 4152: @209549
     /*  209549 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(209590), // Rule ID 1046 //
     /*  209554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209571 */     // MIs[0] rs1
     /*  209571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209583 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209588 */     GIR_RootConstrainSelectedInstOperands,
     /*  209589 */     // GIR_Coverage, 1046,
     /*  209589 */     GIR_Done,
     /*  209590 */   // Label 4153: @209590
     /*  209590 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(209631), // Rule ID 1048 //
     /*  209595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209612 */     // MIs[0] rs1
     /*  209612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209624 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209629 */     GIR_RootConstrainSelectedInstOperands,
     /*  209630 */     // GIR_Coverage, 1048,
     /*  209630 */     GIR_Done,
     /*  209631 */   // Label 4154: @209631
     /*  209631 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(209672), // Rule ID 1050 //
     /*  209636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209653 */     // MIs[0] rs1
     /*  209653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209665 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209670 */     GIR_RootConstrainSelectedInstOperands,
     /*  209671 */     // GIR_Coverage, 1050,
     /*  209671 */     GIR_Done,
     /*  209672 */   // Label 4155: @209672
     /*  209672 */   GIM_Reject,
     /*  209673 */ // Label 4125: @209673
     /*  209673 */ GIM_Reject,
     /*  209674 */ // Label 4123: @209674
     /*  209674 */ GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(211323),
     /*  209679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209682 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(209723), // Rule ID 503 //
     /*  209687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209704 */     // MIs[0] rs1
     /*  209704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209716 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209721 */     GIR_RootConstrainSelectedInstOperands,
     /*  209722 */     // GIR_Coverage, 503,
     /*  209722 */     GIR_Done,
     /*  209723 */   // Label 4157: @209723
     /*  209723 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(209764), // Rule ID 505 //
     /*  209728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209745 */     // MIs[0] rs1
     /*  209745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209757 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  209762 */     GIR_RootConstrainSelectedInstOperands,
     /*  209763 */     // GIR_Coverage, 505,
     /*  209763 */     GIR_Done,
     /*  209764 */   // Label 4158: @209764
     /*  209764 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(209805), // Rule ID 507 //
     /*  209769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209786 */     // MIs[0] rs1
     /*  209786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209798 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  209803 */     GIR_RootConstrainSelectedInstOperands,
     /*  209804 */     // GIR_Coverage, 507,
     /*  209804 */     GIR_Done,
     /*  209805 */   // Label 4159: @209805
     /*  209805 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(209846), // Rule ID 509 //
     /*  209810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209827 */     // MIs[0] rs1
     /*  209827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209839 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209844 */     GIR_RootConstrainSelectedInstOperands,
     /*  209845 */     // GIR_Coverage, 509,
     /*  209845 */     GIR_Done,
     /*  209846 */   // Label 4160: @209846
     /*  209846 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(209887), // Rule ID 511 //
     /*  209851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209868 */     // MIs[0] rs1
     /*  209868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209880 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209885 */     GIR_RootConstrainSelectedInstOperands,
     /*  209886 */     // GIR_Coverage, 511,
     /*  209886 */     GIR_Done,
     /*  209887 */   // Label 4161: @209887
     /*  209887 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(209928), // Rule ID 513 //
     /*  209892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209909 */     // MIs[0] rs1
     /*  209909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209921 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209926 */     GIR_RootConstrainSelectedInstOperands,
     /*  209927 */     // GIR_Coverage, 513,
     /*  209927 */     GIR_Done,
     /*  209928 */   // Label 4162: @209928
     /*  209928 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(209969), // Rule ID 515 //
     /*  209933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209950 */     // MIs[0] rs1
     /*  209950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209962 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209967 */     GIR_RootConstrainSelectedInstOperands,
     /*  209968 */     // GIR_Coverage, 515,
     /*  209968 */     GIR_Done,
     /*  209969 */   // Label 4163: @209969
     /*  209969 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(210010), // Rule ID 517 //
     /*  209974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209991 */     // MIs[0] rs1
     /*  209991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210003 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210008 */     GIR_RootConstrainSelectedInstOperands,
     /*  210009 */     // GIR_Coverage, 517,
     /*  210009 */     GIR_Done,
     /*  210010 */   // Label 4164: @210010
     /*  210010 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(210051), // Rule ID 519 //
     /*  210015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210032 */     // MIs[0] rs1
     /*  210032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210044 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210049 */     GIR_RootConstrainSelectedInstOperands,
     /*  210050 */     // GIR_Coverage, 519,
     /*  210050 */     GIR_Done,
     /*  210051 */   // Label 4165: @210051
     /*  210051 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(210092), // Rule ID 521 //
     /*  210056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210073 */     // MIs[0] rs1
     /*  210073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210085 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210090 */     GIR_RootConstrainSelectedInstOperands,
     /*  210091 */     // GIR_Coverage, 521,
     /*  210091 */     GIR_Done,
     /*  210092 */   // Label 4166: @210092
     /*  210092 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(210133), // Rule ID 603 //
     /*  210097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210114 */     // MIs[0] rs1
     /*  210114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210126 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210131 */     GIR_RootConstrainSelectedInstOperands,
     /*  210132 */     // GIR_Coverage, 603,
     /*  210132 */     GIR_Done,
     /*  210133 */   // Label 4167: @210133
     /*  210133 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(210174), // Rule ID 604 //
     /*  210138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210155 */     // MIs[0] rs1
     /*  210155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210167 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  210172 */     GIR_RootConstrainSelectedInstOperands,
     /*  210173 */     // GIR_Coverage, 604,
     /*  210173 */     GIR_Done,
     /*  210174 */   // Label 4168: @210174
     /*  210174 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(210215), // Rule ID 605 //
     /*  210179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210196 */     // MIs[0] rs1
     /*  210196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210208 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  210213 */     GIR_RootConstrainSelectedInstOperands,
     /*  210214 */     // GIR_Coverage, 605,
     /*  210214 */     GIR_Done,
     /*  210215 */   // Label 4169: @210215
     /*  210215 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(210256), // Rule ID 606 //
     /*  210220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210237 */     // MIs[0] rs1
     /*  210237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210249 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210254 */     GIR_RootConstrainSelectedInstOperands,
     /*  210255 */     // GIR_Coverage, 606,
     /*  210255 */     GIR_Done,
     /*  210256 */   // Label 4170: @210256
     /*  210256 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(210297), // Rule ID 607 //
     /*  210261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210278 */     // MIs[0] rs1
     /*  210278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210290 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210295 */     GIR_RootConstrainSelectedInstOperands,
     /*  210296 */     // GIR_Coverage, 607,
     /*  210296 */     GIR_Done,
     /*  210297 */   // Label 4171: @210297
     /*  210297 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(210338), // Rule ID 608 //
     /*  210302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210319 */     // MIs[0] rs1
     /*  210319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210331 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210336 */     GIR_RootConstrainSelectedInstOperands,
     /*  210337 */     // GIR_Coverage, 608,
     /*  210337 */     GIR_Done,
     /*  210338 */   // Label 4172: @210338
     /*  210338 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(210379), // Rule ID 609 //
     /*  210343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210360 */     // MIs[0] rs1
     /*  210360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210372 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210377 */     GIR_RootConstrainSelectedInstOperands,
     /*  210378 */     // GIR_Coverage, 609,
     /*  210378 */     GIR_Done,
     /*  210379 */   // Label 4173: @210379
     /*  210379 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(210420), // Rule ID 610 //
     /*  210384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210401 */     // MIs[0] rs1
     /*  210401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210413 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210418 */     GIR_RootConstrainSelectedInstOperands,
     /*  210419 */     // GIR_Coverage, 610,
     /*  210419 */     GIR_Done,
     /*  210420 */   // Label 4174: @210420
     /*  210420 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(210461), // Rule ID 611 //
     /*  210425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210442 */     // MIs[0] rs1
     /*  210442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210454 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210459 */     GIR_RootConstrainSelectedInstOperands,
     /*  210460 */     // GIR_Coverage, 611,
     /*  210460 */     GIR_Done,
     /*  210461 */   // Label 4175: @210461
     /*  210461 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(210502), // Rule ID 612 //
     /*  210466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210483 */     // MIs[0] rs1
     /*  210483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210495 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210500 */     GIR_RootConstrainSelectedInstOperands,
     /*  210501 */     // GIR_Coverage, 612,
     /*  210501 */     GIR_Done,
     /*  210502 */   // Label 4176: @210502
     /*  210502 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(210543), // Rule ID 851 //
     /*  210507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210524 */     // MIs[0] rs1
     /*  210524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210536 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210541 */     GIR_RootConstrainSelectedInstOperands,
     /*  210542 */     // GIR_Coverage, 851,
     /*  210542 */     GIR_Done,
     /*  210543 */   // Label 4177: @210543
     /*  210543 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(210584), // Rule ID 853 //
     /*  210548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210565 */     // MIs[0] rs1
     /*  210565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210577 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  210582 */     GIR_RootConstrainSelectedInstOperands,
     /*  210583 */     // GIR_Coverage, 853,
     /*  210583 */     GIR_Done,
     /*  210584 */   // Label 4178: @210584
     /*  210584 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(210625), // Rule ID 855 //
     /*  210589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210606 */     // MIs[0] rs1
     /*  210606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210618 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  210623 */     GIR_RootConstrainSelectedInstOperands,
     /*  210624 */     // GIR_Coverage, 855,
     /*  210624 */     GIR_Done,
     /*  210625 */   // Label 4179: @210625
     /*  210625 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(210666), // Rule ID 857 //
     /*  210630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210647 */     // MIs[0] rs1
     /*  210647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210659 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  210664 */     GIR_RootConstrainSelectedInstOperands,
     /*  210665 */     // GIR_Coverage, 857,
     /*  210665 */     GIR_Done,
     /*  210666 */   // Label 4180: @210666
     /*  210666 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(210707), // Rule ID 859 //
     /*  210671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210688 */     // MIs[0] rs1
     /*  210688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210700 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  210705 */     GIR_RootConstrainSelectedInstOperands,
     /*  210706 */     // GIR_Coverage, 859,
     /*  210706 */     GIR_Done,
     /*  210707 */   // Label 4181: @210707
     /*  210707 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(210748), // Rule ID 861 //
     /*  210712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210729 */     // MIs[0] rs1
     /*  210729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210741 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210746 */     GIR_RootConstrainSelectedInstOperands,
     /*  210747 */     // GIR_Coverage, 861,
     /*  210747 */     GIR_Done,
     /*  210748 */   // Label 4182: @210748
     /*  210748 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(210789), // Rule ID 863 //
     /*  210753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210770 */     // MIs[0] rs1
     /*  210770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210782 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210787 */     GIR_RootConstrainSelectedInstOperands,
     /*  210788 */     // GIR_Coverage, 863,
     /*  210788 */     GIR_Done,
     /*  210789 */   // Label 4183: @210789
     /*  210789 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(210830), // Rule ID 865 //
     /*  210794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210811 */     // MIs[0] rs1
     /*  210811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210823 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210828 */     GIR_RootConstrainSelectedInstOperands,
     /*  210829 */     // GIR_Coverage, 865,
     /*  210829 */     GIR_Done,
     /*  210830 */   // Label 4184: @210830
     /*  210830 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(210871), // Rule ID 867 //
     /*  210835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210852 */     // MIs[0] rs1
     /*  210852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210864 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210869 */     GIR_RootConstrainSelectedInstOperands,
     /*  210870 */     // GIR_Coverage, 867,
     /*  210870 */     GIR_Done,
     /*  210871 */   // Label 4185: @210871
     /*  210871 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(210912), // Rule ID 869 //
     /*  210876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210893 */     // MIs[0] rs1
     /*  210893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210905 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210910 */     GIR_RootConstrainSelectedInstOperands,
     /*  210911 */     // GIR_Coverage, 869,
     /*  210911 */     GIR_Done,
     /*  210912 */   // Label 4186: @210912
     /*  210912 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(210953), // Rule ID 1031 //
     /*  210917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210934 */     // MIs[0] rs1
     /*  210934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210946 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210951 */     GIR_RootConstrainSelectedInstOperands,
     /*  210952 */     // GIR_Coverage, 1031,
     /*  210952 */     GIR_Done,
     /*  210953 */   // Label 4187: @210953
     /*  210953 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(210994), // Rule ID 1033 //
     /*  210958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210975 */     // MIs[0] rs1
     /*  210975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210987 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  210992 */     GIR_RootConstrainSelectedInstOperands,
     /*  210993 */     // GIR_Coverage, 1033,
     /*  210993 */     GIR_Done,
     /*  210994 */   // Label 4188: @210994
     /*  210994 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(211035), // Rule ID 1035 //
     /*  210999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211016 */     // MIs[0] rs1
     /*  211016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211028 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  211033 */     GIR_RootConstrainSelectedInstOperands,
     /*  211034 */     // GIR_Coverage, 1035,
     /*  211034 */     GIR_Done,
     /*  211035 */   // Label 4189: @211035
     /*  211035 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(211076), // Rule ID 1037 //
     /*  211040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211057 */     // MIs[0] rs1
     /*  211057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211069 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  211074 */     GIR_RootConstrainSelectedInstOperands,
     /*  211075 */     // GIR_Coverage, 1037,
     /*  211075 */     GIR_Done,
     /*  211076 */   // Label 4190: @211076
     /*  211076 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(211117), // Rule ID 1039 //
     /*  211081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211098 */     // MIs[0] rs1
     /*  211098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211110 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  211115 */     GIR_RootConstrainSelectedInstOperands,
     /*  211116 */     // GIR_Coverage, 1039,
     /*  211116 */     GIR_Done,
     /*  211117 */   // Label 4191: @211117
     /*  211117 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(211158), // Rule ID 1041 //
     /*  211122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  211135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211139 */     // MIs[0] rs1
     /*  211139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211151 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211156 */     GIR_RootConstrainSelectedInstOperands,
     /*  211157 */     // GIR_Coverage, 1041,
     /*  211157 */     GIR_Done,
     /*  211158 */   // Label 4192: @211158
     /*  211158 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(211199), // Rule ID 1043 //
     /*  211163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  211176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211180 */     // MIs[0] rs1
     /*  211180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211192 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211197 */     GIR_RootConstrainSelectedInstOperands,
     /*  211198 */     // GIR_Coverage, 1043,
     /*  211198 */     GIR_Done,
     /*  211199 */   // Label 4193: @211199
     /*  211199 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(211240), // Rule ID 1045 //
     /*  211204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211221 */     // MIs[0] rs1
     /*  211221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211233 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211238 */     GIR_RootConstrainSelectedInstOperands,
     /*  211239 */     // GIR_Coverage, 1045,
     /*  211239 */     GIR_Done,
     /*  211240 */   // Label 4194: @211240
     /*  211240 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(211281), // Rule ID 1047 //
     /*  211245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211262 */     // MIs[0] rs1
     /*  211262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211274 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211279 */     GIR_RootConstrainSelectedInstOperands,
     /*  211280 */     // GIR_Coverage, 1047,
     /*  211280 */     GIR_Done,
     /*  211281 */   // Label 4195: @211281
     /*  211281 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(211322), // Rule ID 1049 //
     /*  211286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211303 */     // MIs[0] rs1
     /*  211303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211315 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211320 */     GIR_RootConstrainSelectedInstOperands,
     /*  211321 */     // GIR_Coverage, 1049,
     /*  211321 */     GIR_Done,
     /*  211322 */   // Label 4196: @211322
     /*  211322 */   GIM_Reject,
     /*  211323 */ // Label 4156: @211323
     /*  211323 */ GIM_Reject,
     /*  211324 */ // Label 4124: @211324
     /*  211324 */ GIM_Reject,
     /*  211325 */ // Label 36: @211325
     /*  211325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4199*/ GIMT_Encode4(211542),
     /*  211336 */ /*GILLT_s32*//*Label 4197*/ GIMT_Encode4(211344),
     /*  211340 */ /*GILLT_s64*//*Label 4198*/ GIMT_Encode4(211443),
     /*  211344 */ // Label 4197: @211344
     /*  211344 */ GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(211370), // Rule ID 245 //
     /*  211349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211352 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211356 */   // MIs[0] Operand 1
     /*  211356 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211359 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  211359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211368 */   GIR_RootConstrainSelectedInstOperands,
     /*  211369 */   // GIR_Coverage, 245,
     /*  211369 */   GIR_EraseRootFromParent_Done,
     /*  211370 */ // Label 4200: @211370
     /*  211370 */ GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(211396), // Rule ID 247 //
     /*  211375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211378 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211382 */   // MIs[0] Operand 1
     /*  211382 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211385 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  211385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211394 */   GIR_RootConstrainSelectedInstOperands,
     /*  211395 */   // GIR_Coverage, 247,
     /*  211395 */   GIR_EraseRootFromParent_Done,
     /*  211396 */ // Label 4201: @211396
     /*  211396 */ GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(211416), // Rule ID 249 //
     /*  211401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211404 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211408 */   // MIs[0] Operand 1
     /*  211408 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211411 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  211411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211414 */   GIR_RootConstrainSelectedInstOperands,
     /*  211415 */   // GIR_Coverage, 249,
     /*  211415 */   GIR_EraseRootFromParent_Done,
     /*  211416 */ // Label 4202: @211416
     /*  211416 */ GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(211442), // Rule ID 251 //
     /*  211421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211424 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  211428 */   // MIs[0] Operand 1
     /*  211428 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211431 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  211431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211440 */   GIR_RootConstrainSelectedInstOperands,
     /*  211441 */   // GIR_Coverage, 251,
     /*  211441 */   GIR_EraseRootFromParent_Done,
     /*  211442 */ // Label 4203: @211442
     /*  211442 */ GIM_Reject,
     /*  211443 */ // Label 4198: @211443
     /*  211443 */ GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(211469), // Rule ID 244 //
     /*  211448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211451 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211455 */   // MIs[0] Operand 1
     /*  211455 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211458 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  211458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211467 */   GIR_RootConstrainSelectedInstOperands,
     /*  211468 */   // GIR_Coverage, 244,
     /*  211468 */   GIR_EraseRootFromParent_Done,
     /*  211469 */ // Label 4204: @211469
     /*  211469 */ GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(211495), // Rule ID 246 //
     /*  211474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211477 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211481 */   // MIs[0] Operand 1
     /*  211481 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211484 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  211484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211493 */   GIR_RootConstrainSelectedInstOperands,
     /*  211494 */   // GIR_Coverage, 246,
     /*  211494 */   GIR_EraseRootFromParent_Done,
     /*  211495 */ // Label 4205: @211495
     /*  211495 */ GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(211515), // Rule ID 248 //
     /*  211500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211503 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211507 */   // MIs[0] Operand 1
     /*  211507 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211510 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  211510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211513 */   GIR_RootConstrainSelectedInstOperands,
     /*  211514 */   // GIR_Coverage, 248,
     /*  211514 */   GIR_EraseRootFromParent_Done,
     /*  211515 */ // Label 4206: @211515
     /*  211515 */ GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(211541), // Rule ID 250 //
     /*  211520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211523 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  211527 */   // MIs[0] Operand 1
     /*  211527 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211530 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  211530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211539 */   GIR_RootConstrainSelectedInstOperands,
     /*  211540 */   // GIR_Coverage, 250,
     /*  211540 */   GIR_EraseRootFromParent_Done,
     /*  211541 */ // Label 4207: @211541
     /*  211541 */ GIM_Reject,
     /*  211542 */ // Label 4199: @211542
     /*  211542 */ GIM_Reject,
     /*  211543 */ // Label 37: @211543
     /*  211543 */ GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(213028),
     /*  211548 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  211551 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(211596), // Rule ID 2704 //
     /*  211556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  211584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211594 */     GIR_RootConstrainSelectedInstOperands,
     /*  211595 */     // GIR_Coverage, 2704,
     /*  211595 */     GIR_EraseRootFromParent_Done,
     /*  211596 */   // Label 4209: @211596
     /*  211596 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(211641), // Rule ID 2705 //
     /*  211601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  211629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211639 */     GIR_RootConstrainSelectedInstOperands,
     /*  211640 */     // GIR_Coverage, 2705,
     /*  211640 */     GIR_EraseRootFromParent_Done,
     /*  211641 */   // Label 4210: @211641
     /*  211641 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(211686), // Rule ID 23254 //
     /*  211646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  211674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211684 */     GIR_RootConstrainSelectedInstOperands,
     /*  211685 */     // GIR_Coverage, 23254,
     /*  211685 */     GIR_EraseRootFromParent_Done,
     /*  211686 */   // Label 4211: @211686
     /*  211686 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(211731), // Rule ID 23255 //
     /*  211691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  211719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211729 */     GIR_RootConstrainSelectedInstOperands,
     /*  211730 */     // GIR_Coverage, 23255,
     /*  211730 */     GIR_EraseRootFromParent_Done,
     /*  211731 */   // Label 4212: @211731
     /*  211731 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(211776), // Rule ID 23256 //
     /*  211736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211761 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  211764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211774 */     GIR_RootConstrainSelectedInstOperands,
     /*  211775 */     // GIR_Coverage, 23256,
     /*  211775 */     GIR_EraseRootFromParent_Done,
     /*  211776 */   // Label 4213: @211776
     /*  211776 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(211821), // Rule ID 23257 //
     /*  211781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211806 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  211809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211819 */     GIR_RootConstrainSelectedInstOperands,
     /*  211820 */     // GIR_Coverage, 23257,
     /*  211820 */     GIR_EraseRootFromParent_Done,
     /*  211821 */   // Label 4214: @211821
     /*  211821 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(211866), // Rule ID 23258 //
     /*  211826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  211854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211864 */     GIR_RootConstrainSelectedInstOperands,
     /*  211865 */     // GIR_Coverage, 23258,
     /*  211865 */     GIR_EraseRootFromParent_Done,
     /*  211866 */   // Label 4215: @211866
     /*  211866 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(211911), // Rule ID 23259 //
     /*  211871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  211899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211909 */     GIR_RootConstrainSelectedInstOperands,
     /*  211910 */     // GIR_Coverage, 23259,
     /*  211910 */     GIR_EraseRootFromParent_Done,
     /*  211911 */   // Label 4216: @211911
     /*  211911 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(211956), // Rule ID 23260 //
     /*  211916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  211944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211954 */     GIR_RootConstrainSelectedInstOperands,
     /*  211955 */     // GIR_Coverage, 23260,
     /*  211955 */     GIR_EraseRootFromParent_Done,
     /*  211956 */   // Label 4217: @211956
     /*  211956 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(212001), // Rule ID 23261 //
     /*  211961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  211989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211999 */     GIR_RootConstrainSelectedInstOperands,
     /*  212000 */     // GIR_Coverage, 23261,
     /*  212000 */     GIR_EraseRootFromParent_Done,
     /*  212001 */   // Label 4218: @212001
     /*  212001 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(212046), // Rule ID 23262 //
     /*  212006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212031 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  212034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212044 */     GIR_RootConstrainSelectedInstOperands,
     /*  212045 */     // GIR_Coverage, 23262,
     /*  212045 */     GIR_EraseRootFromParent_Done,
     /*  212046 */   // Label 4219: @212046
     /*  212046 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(212091), // Rule ID 23263 //
     /*  212051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  212079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212089 */     GIR_RootConstrainSelectedInstOperands,
     /*  212090 */     // GIR_Coverage, 23263,
     /*  212090 */     GIR_EraseRootFromParent_Done,
     /*  212091 */   // Label 4220: @212091
     /*  212091 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(212136), // Rule ID 23264 //
     /*  212096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212121 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  212124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212134 */     GIR_RootConstrainSelectedInstOperands,
     /*  212135 */     // GIR_Coverage, 23264,
     /*  212135 */     GIR_EraseRootFromParent_Done,
     /*  212136 */   // Label 4221: @212136
     /*  212136 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(212181), // Rule ID 23265 //
     /*  212141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  212169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212179 */     GIR_RootConstrainSelectedInstOperands,
     /*  212180 */     // GIR_Coverage, 23265,
     /*  212180 */     GIR_EraseRootFromParent_Done,
     /*  212181 */   // Label 4222: @212181
     /*  212181 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(212226), // Rule ID 23266 //
     /*  212186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212224 */     GIR_RootConstrainSelectedInstOperands,
     /*  212225 */     // GIR_Coverage, 23266,
     /*  212225 */     GIR_EraseRootFromParent_Done,
     /*  212226 */   // Label 4223: @212226
     /*  212226 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(212271), // Rule ID 23267 //
     /*  212231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212269 */     GIR_RootConstrainSelectedInstOperands,
     /*  212270 */     // GIR_Coverage, 23267,
     /*  212270 */     GIR_EraseRootFromParent_Done,
     /*  212271 */   // Label 4224: @212271
     /*  212271 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(212316), // Rule ID 23268 //
     /*  212276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212314 */     GIR_RootConstrainSelectedInstOperands,
     /*  212315 */     // GIR_Coverage, 23268,
     /*  212315 */     GIR_EraseRootFromParent_Done,
     /*  212316 */   // Label 4225: @212316
     /*  212316 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(212361), // Rule ID 23269 //
     /*  212321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212359 */     GIR_RootConstrainSelectedInstOperands,
     /*  212360 */     // GIR_Coverage, 23269,
     /*  212360 */     GIR_EraseRootFromParent_Done,
     /*  212361 */   // Label 4226: @212361
     /*  212361 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(212406), // Rule ID 23270 //
     /*  212366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212404 */     GIR_RootConstrainSelectedInstOperands,
     /*  212405 */     // GIR_Coverage, 23270,
     /*  212405 */     GIR_EraseRootFromParent_Done,
     /*  212406 */   // Label 4227: @212406
     /*  212406 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(212451), // Rule ID 23271 //
     /*  212411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212449 */     GIR_RootConstrainSelectedInstOperands,
     /*  212450 */     // GIR_Coverage, 23271,
     /*  212450 */     GIR_EraseRootFromParent_Done,
     /*  212451 */   // Label 4228: @212451
     /*  212451 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(212496), // Rule ID 23272 //
     /*  212456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212481 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  212484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212494 */     GIR_RootConstrainSelectedInstOperands,
     /*  212495 */     // GIR_Coverage, 23272,
     /*  212495 */     GIR_EraseRootFromParent_Done,
     /*  212496 */   // Label 4229: @212496
     /*  212496 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(212541), // Rule ID 23273 //
     /*  212501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  212529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212539 */     GIR_RootConstrainSelectedInstOperands,
     /*  212540 */     // GIR_Coverage, 23273,
     /*  212540 */     GIR_EraseRootFromParent_Done,
     /*  212541 */   // Label 4230: @212541
     /*  212541 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(212586), // Rule ID 23274 //
     /*  212546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212571 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  212574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212584 */     GIR_RootConstrainSelectedInstOperands,
     /*  212585 */     // GIR_Coverage, 23274,
     /*  212585 */     GIR_EraseRootFromParent_Done,
     /*  212586 */   // Label 4231: @212586
     /*  212586 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(212631), // Rule ID 23275 //
     /*  212591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  212619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212629 */     GIR_RootConstrainSelectedInstOperands,
     /*  212630 */     // GIR_Coverage, 23275,
     /*  212630 */     GIR_EraseRootFromParent_Done,
     /*  212631 */   // Label 4232: @212631
     /*  212631 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(212676), // Rule ID 23276 //
     /*  212636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212661 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  212664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212674 */     GIR_RootConstrainSelectedInstOperands,
     /*  212675 */     // GIR_Coverage, 23276,
     /*  212675 */     GIR_EraseRootFromParent_Done,
     /*  212676 */   // Label 4233: @212676
     /*  212676 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(212721), // Rule ID 23277 //
     /*  212681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212706 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  212709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212719 */     GIR_RootConstrainSelectedInstOperands,
     /*  212720 */     // GIR_Coverage, 23277,
     /*  212720 */     GIR_EraseRootFromParent_Done,
     /*  212721 */   // Label 4234: @212721
     /*  212721 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(212766), // Rule ID 23278 //
     /*  212726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212751 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  212754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212764 */     GIR_RootConstrainSelectedInstOperands,
     /*  212765 */     // GIR_Coverage, 23278,
     /*  212765 */     GIR_EraseRootFromParent_Done,
     /*  212766 */   // Label 4235: @212766
     /*  212766 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(212811), // Rule ID 23279 //
     /*  212771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212796 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  212799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212809 */     GIR_RootConstrainSelectedInstOperands,
     /*  212810 */     // GIR_Coverage, 23279,
     /*  212810 */     GIR_EraseRootFromParent_Done,
     /*  212811 */   // Label 4236: @212811
     /*  212811 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(212847), // Rule ID 2641 //
     /*  212816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  212819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  212824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212838 */     // (intrinsic_wo_chain:{ *:[i64] } 10924:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  212841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212845 */     GIR_RootConstrainSelectedInstOperands,
     /*  212846 */     // GIR_Coverage, 2641,
     /*  212846 */     GIR_EraseRootFromParent_Done,
     /*  212847 */   // Label 4237: @212847
     /*  212847 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(212883), // Rule ID 2662 //
     /*  212852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  212860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212874 */     // (intrinsic_wo_chain:{ *:[i64] } 11065:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  212877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212881 */     GIR_RootConstrainSelectedInstOperands,
     /*  212882 */     // GIR_Coverage, 2662,
     /*  212882 */     GIR_EraseRootFromParent_Done,
     /*  212883 */   // Label 4238: @212883
     /*  212883 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(212919), // Rule ID 2663 //
     /*  212888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  212896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212910 */     // (intrinsic_wo_chain:{ *:[i64] } 11068:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  212913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212917 */     GIR_RootConstrainSelectedInstOperands,
     /*  212918 */     // GIR_Coverage, 2663,
     /*  212918 */     GIR_EraseRootFromParent_Done,
     /*  212919 */   // Label 4239: @212919
     /*  212919 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(212955), // Rule ID 2664 //
     /*  212924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  212932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212946 */     // (intrinsic_wo_chain:{ *:[i64] } 11071:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  212949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212953 */     GIR_RootConstrainSelectedInstOperands,
     /*  212954 */     // GIR_Coverage, 2664,
     /*  212954 */     GIR_EraseRootFromParent_Done,
     /*  212955 */   // Label 4240: @212955
     /*  212955 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(212991), // Rule ID 2665 //
     /*  212960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  212968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212982 */     // (intrinsic_wo_chain:{ *:[i64] } 11073:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  212985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212989 */     GIR_RootConstrainSelectedInstOperands,
     /*  212990 */     // GIR_Coverage, 2665,
     /*  212990 */     GIR_EraseRootFromParent_Done,
     /*  212991 */   // Label 4241: @212991
     /*  212991 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(213027), // Rule ID 64432 //
     /*  212996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  212999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  213004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213018 */     // (intrinsic_wo_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  213018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  213021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213025 */     GIR_RootConstrainSelectedInstOperands,
     /*  213026 */     // GIR_Coverage, 64432,
     /*  213026 */     GIR_EraseRootFromParent_Done,
     /*  213027 */   // Label 4242: @213027
     /*  213027 */   GIM_Reject,
     /*  213028 */ // Label 4208: @213028
     /*  213028 */ GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(220316),
     /*  213033 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  213036 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(213090), // Rule ID 2674 //
     /*  213041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213073 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  213076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213088 */     GIR_RootConstrainSelectedInstOperands,
     /*  213089 */     // GIR_Coverage, 2674,
     /*  213089 */     GIR_EraseRootFromParent_Done,
     /*  213090 */   // Label 4244: @213090
     /*  213090 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(213144), // Rule ID 2675 //
     /*  213095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213127 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  213130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213142 */     GIR_RootConstrainSelectedInstOperands,
     /*  213143 */     // GIR_Coverage, 2675,
     /*  213143 */     GIR_EraseRootFromParent_Done,
     /*  213144 */   // Label 4245: @213144
     /*  213144 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(213198), // Rule ID 2680 //
     /*  213149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  213157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  213184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213196 */     GIR_RootConstrainSelectedInstOperands,
     /*  213197 */     // GIR_Coverage, 2680,
     /*  213197 */     GIR_EraseRootFromParent_Done,
     /*  213198 */   // Label 4246: @213198
     /*  213198 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(213252), // Rule ID 2681 //
     /*  213203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  213211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  213238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213250 */     GIR_RootConstrainSelectedInstOperands,
     /*  213251 */     // GIR_Coverage, 2681,
     /*  213251 */     GIR_EraseRootFromParent_Done,
     /*  213252 */   // Label 4247: @213252
     /*  213252 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(213309), // Rule ID 2700 //
     /*  213257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213289 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213307 */     GIR_RootConstrainSelectedInstOperands,
     /*  213308 */     // GIR_Coverage, 2700,
     /*  213308 */     GIR_EraseRootFromParent_Done,
     /*  213309 */   // Label 4248: @213309
     /*  213309 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(213366), // Rule ID 2701 //
     /*  213314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213364 */     GIR_RootConstrainSelectedInstOperands,
     /*  213365 */     // GIR_Coverage, 2701,
     /*  213365 */     GIR_EraseRootFromParent_Done,
     /*  213366 */   // Label 4249: @213366
     /*  213366 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(213420), // Rule ID 23280 //
     /*  213371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213403 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213418 */     GIR_RootConstrainSelectedInstOperands,
     /*  213419 */     // GIR_Coverage, 23280,
     /*  213419 */     GIR_EraseRootFromParent_Done,
     /*  213420 */   // Label 4250: @213420
     /*  213420 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(213474), // Rule ID 23281 //
     /*  213425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213457 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213472 */     GIR_RootConstrainSelectedInstOperands,
     /*  213473 */     // GIR_Coverage, 23281,
     /*  213473 */     GIR_EraseRootFromParent_Done,
     /*  213474 */   // Label 4251: @213474
     /*  213474 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(213528), // Rule ID 23284 //
     /*  213479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  213493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213511 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  213514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213526 */     GIR_RootConstrainSelectedInstOperands,
     /*  213527 */     // GIR_Coverage, 23284,
     /*  213527 */     GIR_EraseRootFromParent_Done,
     /*  213528 */   // Label 4252: @213528
     /*  213528 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(213582), // Rule ID 23285 //
     /*  213533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  213547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213565 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  213568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213580 */     GIR_RootConstrainSelectedInstOperands,
     /*  213581 */     // GIR_Coverage, 23285,
     /*  213581 */     GIR_EraseRootFromParent_Done,
     /*  213582 */   // Label 4253: @213582
     /*  213582 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(213636), // Rule ID 23288 //
     /*  213587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  213601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213619 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  213622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213634 */     GIR_RootConstrainSelectedInstOperands,
     /*  213635 */     // GIR_Coverage, 23288,
     /*  213635 */     GIR_EraseRootFromParent_Done,
     /*  213636 */   // Label 4254: @213636
     /*  213636 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(213690), // Rule ID 23289 //
     /*  213641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  213655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213673 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  213676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213688 */     GIR_RootConstrainSelectedInstOperands,
     /*  213689 */     // GIR_Coverage, 23289,
     /*  213689 */     GIR_EraseRootFromParent_Done,
     /*  213690 */   // Label 4255: @213690
     /*  213690 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(213744), // Rule ID 23292 //
     /*  213695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  213709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213727 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  213730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213742 */     GIR_RootConstrainSelectedInstOperands,
     /*  213743 */     // GIR_Coverage, 23292,
     /*  213743 */     GIR_EraseRootFromParent_Done,
     /*  213744 */   // Label 4256: @213744
     /*  213744 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(213798), // Rule ID 23293 //
     /*  213749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  213763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213781 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  213784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213796 */     GIR_RootConstrainSelectedInstOperands,
     /*  213797 */     // GIR_Coverage, 23293,
     /*  213797 */     GIR_EraseRootFromParent_Done,
     /*  213798 */   // Label 4257: @213798
     /*  213798 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(213852), // Rule ID 23296 //
     /*  213803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213835 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  213838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213850 */     GIR_RootConstrainSelectedInstOperands,
     /*  213851 */     // GIR_Coverage, 23296,
     /*  213851 */     GIR_EraseRootFromParent_Done,
     /*  213852 */   // Label 4258: @213852
     /*  213852 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(213906), // Rule ID 23297 //
     /*  213857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213889 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  213892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213904 */     GIR_RootConstrainSelectedInstOperands,
     /*  213905 */     // GIR_Coverage, 23297,
     /*  213905 */     GIR_EraseRootFromParent_Done,
     /*  213906 */   // Label 4259: @213906
     /*  213906 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(213960), // Rule ID 23300 //
     /*  213911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213943 */     // (intrinsic_wo_chain:{ *:[i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  213946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213958 */     GIR_RootConstrainSelectedInstOperands,
     /*  213959 */     // GIR_Coverage, 23300,
     /*  213959 */     GIR_EraseRootFromParent_Done,
     /*  213960 */   // Label 4260: @213960
     /*  213960 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(214014), // Rule ID 23301 //
     /*  213965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213997 */     // (intrinsic_wo_chain:{ *:[i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  214000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214012 */     GIR_RootConstrainSelectedInstOperands,
     /*  214013 */     // GIR_Coverage, 23301,
     /*  214013 */     GIR_EraseRootFromParent_Done,
     /*  214014 */   // Label 4261: @214014
     /*  214014 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(214068), // Rule ID 23304 //
     /*  214019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  214033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214051 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  214054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214066 */     GIR_RootConstrainSelectedInstOperands,
     /*  214067 */     // GIR_Coverage, 23304,
     /*  214067 */     GIR_EraseRootFromParent_Done,
     /*  214068 */   // Label 4262: @214068
     /*  214068 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(214122), // Rule ID 23305 //
     /*  214073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  214087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214105 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  214108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214120 */     GIR_RootConstrainSelectedInstOperands,
     /*  214121 */     // GIR_Coverage, 23305,
     /*  214121 */     GIR_EraseRootFromParent_Done,
     /*  214122 */   // Label 4263: @214122
     /*  214122 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(214176), // Rule ID 23308 //
     /*  214127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214159 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  214162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214174 */     GIR_RootConstrainSelectedInstOperands,
     /*  214175 */     // GIR_Coverage, 23308,
     /*  214175 */     GIR_EraseRootFromParent_Done,
     /*  214176 */   // Label 4264: @214176
     /*  214176 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(214230), // Rule ID 23309 //
     /*  214181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214213 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  214216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214228 */     GIR_RootConstrainSelectedInstOperands,
     /*  214229 */     // GIR_Coverage, 23309,
     /*  214229 */     GIR_EraseRootFromParent_Done,
     /*  214230 */   // Label 4265: @214230
     /*  214230 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(214284), // Rule ID 23312 //
     /*  214235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214267 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214282 */     GIR_RootConstrainSelectedInstOperands,
     /*  214283 */     // GIR_Coverage, 23312,
     /*  214283 */     GIR_EraseRootFromParent_Done,
     /*  214284 */   // Label 4266: @214284
     /*  214284 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(214338), // Rule ID 23313 //
     /*  214289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214321 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214336 */     GIR_RootConstrainSelectedInstOperands,
     /*  214337 */     // GIR_Coverage, 23313,
     /*  214337 */     GIR_EraseRootFromParent_Done,
     /*  214338 */   // Label 4267: @214338
     /*  214338 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(214392), // Rule ID 23316 //
     /*  214343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214375 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214390 */     GIR_RootConstrainSelectedInstOperands,
     /*  214391 */     // GIR_Coverage, 23316,
     /*  214391 */     GIR_EraseRootFromParent_Done,
     /*  214392 */   // Label 4268: @214392
     /*  214392 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(214446), // Rule ID 23317 //
     /*  214397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214429 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214444 */     GIR_RootConstrainSelectedInstOperands,
     /*  214445 */     // GIR_Coverage, 23317,
     /*  214445 */     GIR_EraseRootFromParent_Done,
     /*  214446 */   // Label 4269: @214446
     /*  214446 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(214500), // Rule ID 23320 //
     /*  214451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214483 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  214486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214498 */     GIR_RootConstrainSelectedInstOperands,
     /*  214499 */     // GIR_Coverage, 23320,
     /*  214499 */     GIR_EraseRootFromParent_Done,
     /*  214500 */   // Label 4270: @214500
     /*  214500 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(214554), // Rule ID 23321 //
     /*  214505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214537 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  214540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214552 */     GIR_RootConstrainSelectedInstOperands,
     /*  214553 */     // GIR_Coverage, 23321,
     /*  214553 */     GIR_EraseRootFromParent_Done,
     /*  214554 */   // Label 4271: @214554
     /*  214554 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(214608), // Rule ID 23324 //
     /*  214559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214591 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  214594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214606 */     GIR_RootConstrainSelectedInstOperands,
     /*  214607 */     // GIR_Coverage, 23324,
     /*  214607 */     GIR_EraseRootFromParent_Done,
     /*  214608 */   // Label 4272: @214608
     /*  214608 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(214662), // Rule ID 23325 //
     /*  214613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214645 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  214648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214660 */     GIR_RootConstrainSelectedInstOperands,
     /*  214661 */     // GIR_Coverage, 23325,
     /*  214661 */     GIR_EraseRootFromParent_Done,
     /*  214662 */   // Label 4273: @214662
     /*  214662 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(214716), // Rule ID 23328 //
     /*  214667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214699 */     // (intrinsic_wo_chain:{ *:[i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  214702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214714 */     GIR_RootConstrainSelectedInstOperands,
     /*  214715 */     // GIR_Coverage, 23328,
     /*  214715 */     GIR_EraseRootFromParent_Done,
     /*  214716 */   // Label 4274: @214716
     /*  214716 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(214770), // Rule ID 23329 //
     /*  214721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214753 */     // (intrinsic_wo_chain:{ *:[i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  214756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214768 */     GIR_RootConstrainSelectedInstOperands,
     /*  214769 */     // GIR_Coverage, 23329,
     /*  214769 */     GIR_EraseRootFromParent_Done,
     /*  214770 */   // Label 4275: @214770
     /*  214770 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(214824), // Rule ID 23332 //
     /*  214775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  214810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214822 */     GIR_RootConstrainSelectedInstOperands,
     /*  214823 */     // GIR_Coverage, 23332,
     /*  214823 */     GIR_EraseRootFromParent_Done,
     /*  214824 */   // Label 4276: @214824
     /*  214824 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(214878), // Rule ID 23333 //
     /*  214829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  214864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214876 */     GIR_RootConstrainSelectedInstOperands,
     /*  214877 */     // GIR_Coverage, 23333,
     /*  214877 */     GIR_EraseRootFromParent_Done,
     /*  214878 */   // Label 4277: @214878
     /*  214878 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(214932), // Rule ID 23336 //
     /*  214883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  214918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214930 */     GIR_RootConstrainSelectedInstOperands,
     /*  214931 */     // GIR_Coverage, 23336,
     /*  214931 */     GIR_EraseRootFromParent_Done,
     /*  214932 */   // Label 4278: @214932
     /*  214932 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(214986), // Rule ID 23337 //
     /*  214937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  214972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214984 */     GIR_RootConstrainSelectedInstOperands,
     /*  214985 */     // GIR_Coverage, 23337,
     /*  214985 */     GIR_EraseRootFromParent_Done,
     /*  214986 */   // Label 4279: @214986
     /*  214986 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(215040), // Rule ID 23340 //
     /*  214991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  215026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215038 */     GIR_RootConstrainSelectedInstOperands,
     /*  215039 */     // GIR_Coverage, 23340,
     /*  215039 */     GIR_EraseRootFromParent_Done,
     /*  215040 */   // Label 4280: @215040
     /*  215040 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(215094), // Rule ID 23341 //
     /*  215045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  215080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215092 */     GIR_RootConstrainSelectedInstOperands,
     /*  215093 */     // GIR_Coverage, 23341,
     /*  215093 */     GIR_EraseRootFromParent_Done,
     /*  215094 */   // Label 4281: @215094
     /*  215094 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(215148), // Rule ID 23344 //
     /*  215099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215131 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  215134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215146 */     GIR_RootConstrainSelectedInstOperands,
     /*  215147 */     // GIR_Coverage, 23344,
     /*  215147 */     GIR_EraseRootFromParent_Done,
     /*  215148 */   // Label 4282: @215148
     /*  215148 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(215202), // Rule ID 23345 //
     /*  215153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215185 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  215188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215200 */     GIR_RootConstrainSelectedInstOperands,
     /*  215201 */     // GIR_Coverage, 23345,
     /*  215201 */     GIR_EraseRootFromParent_Done,
     /*  215202 */   // Label 4283: @215202
     /*  215202 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(215256), // Rule ID 23348 //
     /*  215207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215239 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215254 */     GIR_RootConstrainSelectedInstOperands,
     /*  215255 */     // GIR_Coverage, 23348,
     /*  215255 */     GIR_EraseRootFromParent_Done,
     /*  215256 */   // Label 4284: @215256
     /*  215256 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(215310), // Rule ID 23349 //
     /*  215261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215293 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215308 */     GIR_RootConstrainSelectedInstOperands,
     /*  215309 */     // GIR_Coverage, 23349,
     /*  215309 */     GIR_EraseRootFromParent_Done,
     /*  215310 */   // Label 4285: @215310
     /*  215310 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(215364), // Rule ID 23352 //
     /*  215315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215347 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215362 */     GIR_RootConstrainSelectedInstOperands,
     /*  215363 */     // GIR_Coverage, 23352,
     /*  215363 */     GIR_EraseRootFromParent_Done,
     /*  215364 */   // Label 4286: @215364
     /*  215364 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(215418), // Rule ID 23353 //
     /*  215369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215401 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215416 */     GIR_RootConstrainSelectedInstOperands,
     /*  215417 */     // GIR_Coverage, 23353,
     /*  215417 */     GIR_EraseRootFromParent_Done,
     /*  215418 */   // Label 4287: @215418
     /*  215418 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(215472), // Rule ID 23356 //
     /*  215423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215470 */     GIR_RootConstrainSelectedInstOperands,
     /*  215471 */     // GIR_Coverage, 23356,
     /*  215471 */     GIR_EraseRootFromParent_Done,
     /*  215472 */   // Label 4288: @215472
     /*  215472 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(215526), // Rule ID 23357 //
     /*  215477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215509 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215524 */     GIR_RootConstrainSelectedInstOperands,
     /*  215525 */     // GIR_Coverage, 23357,
     /*  215525 */     GIR_EraseRootFromParent_Done,
     /*  215526 */   // Label 4289: @215526
     /*  215526 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(215580), // Rule ID 23360 //
     /*  215531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  215566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215578 */     GIR_RootConstrainSelectedInstOperands,
     /*  215579 */     // GIR_Coverage, 23360,
     /*  215579 */     GIR_EraseRootFromParent_Done,
     /*  215580 */   // Label 4290: @215580
     /*  215580 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(215634), // Rule ID 23361 //
     /*  215585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215617 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  215620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215632 */     GIR_RootConstrainSelectedInstOperands,
     /*  215633 */     // GIR_Coverage, 23361,
     /*  215633 */     GIR_EraseRootFromParent_Done,
     /*  215634 */   // Label 4291: @215634
     /*  215634 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(215688), // Rule ID 23364 //
     /*  215639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215671 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  215674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215686 */     GIR_RootConstrainSelectedInstOperands,
     /*  215687 */     // GIR_Coverage, 23364,
     /*  215687 */     GIR_EraseRootFromParent_Done,
     /*  215688 */   // Label 4292: @215688
     /*  215688 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(215742), // Rule ID 23365 //
     /*  215693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  215728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215740 */     GIR_RootConstrainSelectedInstOperands,
     /*  215741 */     // GIR_Coverage, 23365,
     /*  215741 */     GIR_EraseRootFromParent_Done,
     /*  215742 */   // Label 4293: @215742
     /*  215742 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(215796), // Rule ID 23368 //
     /*  215747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  215782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215794 */     GIR_RootConstrainSelectedInstOperands,
     /*  215795 */     // GIR_Coverage, 23368,
     /*  215795 */     GIR_EraseRootFromParent_Done,
     /*  215796 */   // Label 4294: @215796
     /*  215796 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(215850), // Rule ID 23369 //
     /*  215801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  215836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215848 */     GIR_RootConstrainSelectedInstOperands,
     /*  215849 */     // GIR_Coverage, 23369,
     /*  215849 */     GIR_EraseRootFromParent_Done,
     /*  215850 */   // Label 4295: @215850
     /*  215850 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(215904), // Rule ID 23372 //
     /*  215855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  215890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215902 */     GIR_RootConstrainSelectedInstOperands,
     /*  215903 */     // GIR_Coverage, 23372,
     /*  215903 */     GIR_EraseRootFromParent_Done,
     /*  215904 */   // Label 4296: @215904
     /*  215904 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(215958), // Rule ID 23373 //
     /*  215909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  215944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215956 */     GIR_RootConstrainSelectedInstOperands,
     /*  215957 */     // GIR_Coverage, 23373,
     /*  215957 */     GIR_EraseRootFromParent_Done,
     /*  215958 */   // Label 4297: @215958
     /*  215958 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(216012), // Rule ID 23376 //
     /*  215963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215995 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  215998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216010 */     GIR_RootConstrainSelectedInstOperands,
     /*  216011 */     // GIR_Coverage, 23376,
     /*  216011 */     GIR_EraseRootFromParent_Done,
     /*  216012 */   // Label 4298: @216012
     /*  216012 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(216066), // Rule ID 23377 //
     /*  216017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216049 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  216052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216064 */     GIR_RootConstrainSelectedInstOperands,
     /*  216065 */     // GIR_Coverage, 23377,
     /*  216065 */     GIR_EraseRootFromParent_Done,
     /*  216066 */   // Label 4299: @216066
     /*  216066 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(216120), // Rule ID 23380 //
     /*  216071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216103 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  216106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216118 */     GIR_RootConstrainSelectedInstOperands,
     /*  216119 */     // GIR_Coverage, 23380,
     /*  216119 */     GIR_EraseRootFromParent_Done,
     /*  216120 */   // Label 4300: @216120
     /*  216120 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(216174), // Rule ID 23381 //
     /*  216125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216157 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11407:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  216160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216172 */     GIR_RootConstrainSelectedInstOperands,
     /*  216173 */     // GIR_Coverage, 23381,
     /*  216173 */     GIR_EraseRootFromParent_Done,
     /*  216174 */   // Label 4301: @216174
     /*  216174 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(216228), // Rule ID 23384 //
     /*  216179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  216193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216226 */     GIR_RootConstrainSelectedInstOperands,
     /*  216227 */     // GIR_Coverage, 23384,
     /*  216227 */     GIR_EraseRootFromParent_Done,
     /*  216228 */   // Label 4302: @216228
     /*  216228 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(216282), // Rule ID 23385 //
     /*  216233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  216247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216280 */     GIR_RootConstrainSelectedInstOperands,
     /*  216281 */     // GIR_Coverage, 23385,
     /*  216281 */     GIR_EraseRootFromParent_Done,
     /*  216282 */   // Label 4303: @216282
     /*  216282 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(216336), // Rule ID 23388 //
     /*  216287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216334 */     GIR_RootConstrainSelectedInstOperands,
     /*  216335 */     // GIR_Coverage, 23388,
     /*  216335 */     GIR_EraseRootFromParent_Done,
     /*  216336 */   // Label 4304: @216336
     /*  216336 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(216390), // Rule ID 23389 //
     /*  216341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216388 */     GIR_RootConstrainSelectedInstOperands,
     /*  216389 */     // GIR_Coverage, 23389,
     /*  216389 */     GIR_EraseRootFromParent_Done,
     /*  216390 */   // Label 4305: @216390
     /*  216390 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(216444), // Rule ID 23392 //
     /*  216395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216442 */     GIR_RootConstrainSelectedInstOperands,
     /*  216443 */     // GIR_Coverage, 23392,
     /*  216443 */     GIR_EraseRootFromParent_Done,
     /*  216444 */   // Label 4306: @216444
     /*  216444 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(216498), // Rule ID 23393 //
     /*  216449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216496 */     GIR_RootConstrainSelectedInstOperands,
     /*  216497 */     // GIR_Coverage, 23393,
     /*  216497 */     GIR_EraseRootFromParent_Done,
     /*  216498 */   // Label 4307: @216498
     /*  216498 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(216552), // Rule ID 23396 //
     /*  216503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  216538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216550 */     GIR_RootConstrainSelectedInstOperands,
     /*  216551 */     // GIR_Coverage, 23396,
     /*  216551 */     GIR_EraseRootFromParent_Done,
     /*  216552 */   // Label 4308: @216552
     /*  216552 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(216606), // Rule ID 23397 //
     /*  216557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  216592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216604 */     GIR_RootConstrainSelectedInstOperands,
     /*  216605 */     // GIR_Coverage, 23397,
     /*  216605 */     GIR_EraseRootFromParent_Done,
     /*  216606 */   // Label 4309: @216606
     /*  216606 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(216660), // Rule ID 23400 //
     /*  216611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216643 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  216646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216658 */     GIR_RootConstrainSelectedInstOperands,
     /*  216659 */     // GIR_Coverage, 23400,
     /*  216659 */     GIR_EraseRootFromParent_Done,
     /*  216660 */   // Label 4310: @216660
     /*  216660 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(216714), // Rule ID 23401 //
     /*  216665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  216700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216712 */     GIR_RootConstrainSelectedInstOperands,
     /*  216713 */     // GIR_Coverage, 23401,
     /*  216713 */     GIR_EraseRootFromParent_Done,
     /*  216714 */   // Label 4311: @216714
     /*  216714 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(216768), // Rule ID 23404 //
     /*  216719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216751 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  216754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216766 */     GIR_RootConstrainSelectedInstOperands,
     /*  216767 */     // GIR_Coverage, 23404,
     /*  216767 */     GIR_EraseRootFromParent_Done,
     /*  216768 */   // Label 4312: @216768
     /*  216768 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(216822), // Rule ID 23405 //
     /*  216773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216805 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  216808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216820 */     GIR_RootConstrainSelectedInstOperands,
     /*  216821 */     // GIR_Coverage, 23405,
     /*  216821 */     GIR_EraseRootFromParent_Done,
     /*  216822 */   // Label 4313: @216822
     /*  216822 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(216876), // Rule ID 23408 //
     /*  216827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216859 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  216862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216874 */     GIR_RootConstrainSelectedInstOperands,
     /*  216875 */     // GIR_Coverage, 23408,
     /*  216875 */     GIR_EraseRootFromParent_Done,
     /*  216876 */   // Label 4314: @216876
     /*  216876 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(216930), // Rule ID 23409 //
     /*  216881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216913 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11419:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  216916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216928 */     GIR_RootConstrainSelectedInstOperands,
     /*  216929 */     // GIR_Coverage, 23409,
     /*  216929 */     GIR_EraseRootFromParent_Done,
     /*  216930 */   // Label 4315: @216930
     /*  216930 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(216987), // Rule ID 23496 //
     /*  216935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  216946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  216967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  216970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216985 */     GIR_RootConstrainSelectedInstOperands,
     /*  216986 */     // GIR_Coverage, 23496,
     /*  216986 */     GIR_EraseRootFromParent_Done,
     /*  216987 */   // Label 4316: @216987
     /*  216987 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(217044), // Rule ID 23497 //
     /*  216992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  217003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  217006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217042 */     GIR_RootConstrainSelectedInstOperands,
     /*  217043 */     // GIR_Coverage, 23497,
     /*  217043 */     GIR_EraseRootFromParent_Done,
     /*  217044 */   // Label 4317: @217044
     /*  217044 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(217101), // Rule ID 23500 //
     /*  217049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  217060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217081 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217099 */     GIR_RootConstrainSelectedInstOperands,
     /*  217100 */     // GIR_Coverage, 23500,
     /*  217100 */     GIR_EraseRootFromParent_Done,
     /*  217101 */   // Label 4318: @217101
     /*  217101 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(217158), // Rule ID 23501 //
     /*  217106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  217117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217138 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217156 */     GIR_RootConstrainSelectedInstOperands,
     /*  217157 */     // GIR_Coverage, 23501,
     /*  217157 */     GIR_EraseRootFromParent_Done,
     /*  217158 */   // Label 4319: @217158
     /*  217158 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(217215), // Rule ID 23504 //
     /*  217163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  217174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217213 */     GIR_RootConstrainSelectedInstOperands,
     /*  217214 */     // GIR_Coverage, 23504,
     /*  217214 */     GIR_EraseRootFromParent_Done,
     /*  217215 */   // Label 4320: @217215
     /*  217215 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(217272), // Rule ID 23505 //
     /*  217220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  217231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217270 */     GIR_RootConstrainSelectedInstOperands,
     /*  217271 */     // GIR_Coverage, 23505,
     /*  217271 */     GIR_EraseRootFromParent_Done,
     /*  217272 */   // Label 4321: @217272
     /*  217272 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(217329), // Rule ID 23508 //
     /*  217277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217327 */     GIR_RootConstrainSelectedInstOperands,
     /*  217328 */     // GIR_Coverage, 23508,
     /*  217328 */     GIR_EraseRootFromParent_Done,
     /*  217329 */   // Label 4322: @217329
     /*  217329 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(217386), // Rule ID 23509 //
     /*  217334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217384 */     GIR_RootConstrainSelectedInstOperands,
     /*  217385 */     // GIR_Coverage, 23509,
     /*  217385 */     GIR_EraseRootFromParent_Done,
     /*  217386 */   // Label 4323: @217386
     /*  217386 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(217443), // Rule ID 23512 //
     /*  217391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217423 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217441 */     GIR_RootConstrainSelectedInstOperands,
     /*  217442 */     // GIR_Coverage, 23512,
     /*  217442 */     GIR_EraseRootFromParent_Done,
     /*  217443 */   // Label 4324: @217443
     /*  217443 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(217500), // Rule ID 23513 //
     /*  217448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217498 */     GIR_RootConstrainSelectedInstOperands,
     /*  217499 */     // GIR_Coverage, 23513,
     /*  217499 */     GIR_EraseRootFromParent_Done,
     /*  217500 */   // Label 4325: @217500
     /*  217500 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(217557), // Rule ID 23516 //
     /*  217505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  217516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217555 */     GIR_RootConstrainSelectedInstOperands,
     /*  217556 */     // GIR_Coverage, 23516,
     /*  217556 */     GIR_EraseRootFromParent_Done,
     /*  217557 */   // Label 4326: @217557
     /*  217557 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(217614), // Rule ID 23517 //
     /*  217562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  217573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217612 */     GIR_RootConstrainSelectedInstOperands,
     /*  217613 */     // GIR_Coverage, 23517,
     /*  217613 */     GIR_EraseRootFromParent_Done,
     /*  217614 */   // Label 4327: @217614
     /*  217614 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(217671), // Rule ID 23520 //
     /*  217619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217669 */     GIR_RootConstrainSelectedInstOperands,
     /*  217670 */     // GIR_Coverage, 23520,
     /*  217670 */     GIR_EraseRootFromParent_Done,
     /*  217671 */   // Label 4328: @217671
     /*  217671 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(217728), // Rule ID 23521 //
     /*  217676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217726 */     GIR_RootConstrainSelectedInstOperands,
     /*  217727 */     // GIR_Coverage, 23521,
     /*  217727 */     GIR_EraseRootFromParent_Done,
     /*  217728 */   // Label 4329: @217728
     /*  217728 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(217785), // Rule ID 23524 //
     /*  217733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217783 */     GIR_RootConstrainSelectedInstOperands,
     /*  217784 */     // GIR_Coverage, 23524,
     /*  217784 */     GIR_EraseRootFromParent_Done,
     /*  217785 */   // Label 4330: @217785
     /*  217785 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(217842), // Rule ID 23525 //
     /*  217790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217840 */     GIR_RootConstrainSelectedInstOperands,
     /*  217841 */     // GIR_Coverage, 23525,
     /*  217841 */     GIR_EraseRootFromParent_Done,
     /*  217842 */   // Label 4331: @217842
     /*  217842 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217899), // Rule ID 23528 //
     /*  217847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  217879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217897 */     GIR_RootConstrainSelectedInstOperands,
     /*  217898 */     // GIR_Coverage, 23528,
     /*  217898 */     GIR_EraseRootFromParent_Done,
     /*  217899 */   // Label 4332: @217899
     /*  217899 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217956), // Rule ID 23529 //
     /*  217904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  217936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217954 */     GIR_RootConstrainSelectedInstOperands,
     /*  217955 */     // GIR_Coverage, 23529,
     /*  217955 */     GIR_EraseRootFromParent_Done,
     /*  217956 */   // Label 4333: @217956
     /*  217956 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(218013), // Rule ID 23532 //
     /*  217961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  217972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  217996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218011 */     GIR_RootConstrainSelectedInstOperands,
     /*  218012 */     // GIR_Coverage, 23532,
     /*  218012 */     GIR_EraseRootFromParent_Done,
     /*  218013 */   // Label 4334: @218013
     /*  218013 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(218070), // Rule ID 23533 //
     /*  218018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  218029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  218032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218068 */     GIR_RootConstrainSelectedInstOperands,
     /*  218069 */     // GIR_Coverage, 23533,
     /*  218069 */     GIR_EraseRootFromParent_Done,
     /*  218070 */   // Label 4335: @218070
     /*  218070 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(218127), // Rule ID 23536 //
     /*  218075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  218086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218125 */     GIR_RootConstrainSelectedInstOperands,
     /*  218126 */     // GIR_Coverage, 23536,
     /*  218126 */     GIR_EraseRootFromParent_Done,
     /*  218127 */   // Label 4336: @218127
     /*  218127 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(218184), // Rule ID 23537 //
     /*  218132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  218143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218182 */     GIR_RootConstrainSelectedInstOperands,
     /*  218183 */     // GIR_Coverage, 23537,
     /*  218183 */     GIR_EraseRootFromParent_Done,
     /*  218184 */   // Label 4337: @218184
     /*  218184 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(218241), // Rule ID 23540 //
     /*  218189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  218200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218221 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218239 */     GIR_RootConstrainSelectedInstOperands,
     /*  218240 */     // GIR_Coverage, 23540,
     /*  218240 */     GIR_EraseRootFromParent_Done,
     /*  218241 */   // Label 4338: @218241
     /*  218241 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(218298), // Rule ID 23541 //
     /*  218246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  218257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218296 */     GIR_RootConstrainSelectedInstOperands,
     /*  218297 */     // GIR_Coverage, 23541,
     /*  218297 */     GIR_EraseRootFromParent_Done,
     /*  218298 */   // Label 4339: @218298
     /*  218298 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(218355), // Rule ID 23544 //
     /*  218303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218353 */     GIR_RootConstrainSelectedInstOperands,
     /*  218354 */     // GIR_Coverage, 23544,
     /*  218354 */     GIR_EraseRootFromParent_Done,
     /*  218355 */   // Label 4340: @218355
     /*  218355 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(218412), // Rule ID 23545 //
     /*  218360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218410 */     GIR_RootConstrainSelectedInstOperands,
     /*  218411 */     // GIR_Coverage, 23545,
     /*  218411 */     GIR_EraseRootFromParent_Done,
     /*  218412 */   // Label 4341: @218412
     /*  218412 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(218469), // Rule ID 23548 //
     /*  218417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218467 */     GIR_RootConstrainSelectedInstOperands,
     /*  218468 */     // GIR_Coverage, 23548,
     /*  218468 */     GIR_EraseRootFromParent_Done,
     /*  218469 */   // Label 4342: @218469
     /*  218469 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(218526), // Rule ID 23549 //
     /*  218474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218524 */     GIR_RootConstrainSelectedInstOperands,
     /*  218525 */     // GIR_Coverage, 23549,
     /*  218525 */     GIR_EraseRootFromParent_Done,
     /*  218526 */   // Label 4343: @218526
     /*  218526 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(218583), // Rule ID 23552 //
     /*  218531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218581 */     GIR_RootConstrainSelectedInstOperands,
     /*  218582 */     // GIR_Coverage, 23552,
     /*  218582 */     GIR_EraseRootFromParent_Done,
     /*  218583 */   // Label 4344: @218583
     /*  218583 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218640), // Rule ID 23553 //
     /*  218588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218638 */     GIR_RootConstrainSelectedInstOperands,
     /*  218639 */     // GIR_Coverage, 23553,
     /*  218639 */     GIR_EraseRootFromParent_Done,
     /*  218640 */   // Label 4345: @218640
     /*  218640 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218697), // Rule ID 23556 //
     /*  218645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218695 */     GIR_RootConstrainSelectedInstOperands,
     /*  218696 */     // GIR_Coverage, 23556,
     /*  218696 */     GIR_EraseRootFromParent_Done,
     /*  218697 */   // Label 4346: @218697
     /*  218697 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218754), // Rule ID 23557 //
     /*  218702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218752 */     GIR_RootConstrainSelectedInstOperands,
     /*  218753 */     // GIR_Coverage, 23557,
     /*  218753 */     GIR_EraseRootFromParent_Done,
     /*  218754 */   // Label 4347: @218754
     /*  218754 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218811), // Rule ID 23560 //
     /*  218759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218809 */     GIR_RootConstrainSelectedInstOperands,
     /*  218810 */     // GIR_Coverage, 23560,
     /*  218810 */     GIR_EraseRootFromParent_Done,
     /*  218811 */   // Label 4348: @218811
     /*  218811 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218868), // Rule ID 23561 //
     /*  218816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218866 */     GIR_RootConstrainSelectedInstOperands,
     /*  218867 */     // GIR_Coverage, 23561,
     /*  218867 */     GIR_EraseRootFromParent_Done,
     /*  218868 */   // Label 4349: @218868
     /*  218868 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218925), // Rule ID 23564 //
     /*  218873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218923 */     GIR_RootConstrainSelectedInstOperands,
     /*  218924 */     // GIR_Coverage, 23564,
     /*  218924 */     GIR_EraseRootFromParent_Done,
     /*  218925 */   // Label 4350: @218925
     /*  218925 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218982), // Rule ID 23565 //
     /*  218930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218980 */     GIR_RootConstrainSelectedInstOperands,
     /*  218981 */     // GIR_Coverage, 23565,
     /*  218981 */     GIR_EraseRootFromParent_Done,
     /*  218982 */   // Label 4351: @218982
     /*  218982 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(219039), // Rule ID 23568 //
     /*  218987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219037 */     GIR_RootConstrainSelectedInstOperands,
     /*  219038 */     // GIR_Coverage, 23568,
     /*  219038 */     GIR_EraseRootFromParent_Done,
     /*  219039 */   // Label 4352: @219039
     /*  219039 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(219096), // Rule ID 23569 //
     /*  219044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  219055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219094 */     GIR_RootConstrainSelectedInstOperands,
     /*  219095 */     // GIR_Coverage, 23569,
     /*  219095 */     GIR_EraseRootFromParent_Done,
     /*  219096 */   // Label 4353: @219096
     /*  219096 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(219153), // Rule ID 23572 //
     /*  219101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  219112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219133 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219151 */     GIR_RootConstrainSelectedInstOperands,
     /*  219152 */     // GIR_Coverage, 23572,
     /*  219152 */     GIR_EraseRootFromParent_Done,
     /*  219153 */   // Label 4354: @219153
     /*  219153 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(219210), // Rule ID 23573 //
     /*  219158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  219169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219208 */     GIR_RootConstrainSelectedInstOperands,
     /*  219209 */     // GIR_Coverage, 23573,
     /*  219209 */     GIR_EraseRootFromParent_Done,
     /*  219210 */   // Label 4355: @219210
     /*  219210 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(219267), // Rule ID 23576 //
     /*  219215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219265 */     GIR_RootConstrainSelectedInstOperands,
     /*  219266 */     // GIR_Coverage, 23576,
     /*  219266 */     GIR_EraseRootFromParent_Done,
     /*  219267 */   // Label 4356: @219267
     /*  219267 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(219324), // Rule ID 23577 //
     /*  219272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219304 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219322 */     GIR_RootConstrainSelectedInstOperands,
     /*  219323 */     // GIR_Coverage, 23577,
     /*  219323 */     GIR_EraseRootFromParent_Done,
     /*  219324 */   // Label 4357: @219324
     /*  219324 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(219370), // Rule ID 2643 //
     /*  219329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  219332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  219337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219351 */     // MIs[0] rnum
     /*  219351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  219354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  219359 */     // (intrinsic_wo_chain:{ *:[i64] } 10925:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  219359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  219362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  219368 */     GIR_RootConstrainSelectedInstOperands,
     /*  219369 */     // GIR_Coverage, 2643,
     /*  219369 */     GIR_EraseRootFromParent_Done,
     /*  219370 */   // Label 4358: @219370
     /*  219370 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219415), // Rule ID 64440 //
     /*  219375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  219383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219404 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  219407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219413 */     GIR_RootConstrainSelectedInstOperands,
     /*  219414 */     // GIR_Coverage, 64440,
     /*  219414 */     GIR_EraseRootFromParent_Done,
     /*  219415 */   // Label 4359: @219415
     /*  219415 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219460), // Rule ID 64467 //
     /*  219420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  219428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219449 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  219452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219458 */     GIR_RootConstrainSelectedInstOperands,
     /*  219459 */     // GIR_Coverage, 64467,
     /*  219459 */     GIR_EraseRootFromParent_Done,
     /*  219460 */   // Label 4360: @219460
     /*  219460 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219505), // Rule ID 2633 //
     /*  219465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  219468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219494 */     // (intrinsic_wo_chain:{ *:[i64] } 11631:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  219497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219503 */     GIR_RootConstrainSelectedInstOperands,
     /*  219504 */     // GIR_Coverage, 2633,
     /*  219504 */     GIR_EraseRootFromParent_Done,
     /*  219505 */   // Label 4361: @219505
     /*  219505 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219550), // Rule ID 2634 //
     /*  219510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  219513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219539 */     // (intrinsic_wo_chain:{ *:[i32] } 11631:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  219542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219548 */     GIR_RootConstrainSelectedInstOperands,
     /*  219549 */     // GIR_Coverage, 2634,
     /*  219549 */     GIR_EraseRootFromParent_Done,
     /*  219550 */   // Label 4362: @219550
     /*  219550 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219595), // Rule ID 2635 //
     /*  219555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  219558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  219563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219584 */     // (intrinsic_wo_chain:{ *:[i64] } 11632:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  219587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219593 */     GIR_RootConstrainSelectedInstOperands,
     /*  219594 */     // GIR_Coverage, 2635,
     /*  219594 */     GIR_EraseRootFromParent_Done,
     /*  219595 */   // Label 4363: @219595
     /*  219595 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219640), // Rule ID 2636 //
     /*  219600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  219603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  219608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219629 */     // (intrinsic_wo_chain:{ *:[i32] } 11632:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  219632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219638 */     GIR_RootConstrainSelectedInstOperands,
     /*  219639 */     // GIR_Coverage, 2636,
     /*  219639 */     GIR_EraseRootFromParent_Done,
     /*  219640 */   // Label 4364: @219640
     /*  219640 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219685), // Rule ID 2639 //
     /*  219645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  219648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  219653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219674 */     // (intrinsic_wo_chain:{ *:[i64] } 10920:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  219677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219683 */     GIR_RootConstrainSelectedInstOperands,
     /*  219684 */     // GIR_Coverage, 2639,
     /*  219684 */     GIR_EraseRootFromParent_Done,
     /*  219685 */   // Label 4365: @219685
     /*  219685 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219730), // Rule ID 2640 //
     /*  219690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  219693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  219698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219719 */     // (intrinsic_wo_chain:{ *:[i64] } 10921:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  219722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219728 */     GIR_RootConstrainSelectedInstOperands,
     /*  219729 */     // GIR_Coverage, 2640,
     /*  219729 */     GIR_EraseRootFromParent_Done,
     /*  219730 */   // Label 4366: @219730
     /*  219730 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219775), // Rule ID 2642 //
     /*  219735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  219738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  219743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219764 */     // (intrinsic_wo_chain:{ *:[i64] } 10926:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  219767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219773 */     GIR_RootConstrainSelectedInstOperands,
     /*  219774 */     // GIR_Coverage, 2642,
     /*  219774 */     GIR_EraseRootFromParent_Done,
     /*  219775 */   // Label 4367: @219775
     /*  219775 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219820), // Rule ID 2646 //
     /*  219780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  219783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  219788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219809 */     // (intrinsic_wo_chain:{ *:[i64] } 10922:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  219812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219818 */     GIR_RootConstrainSelectedInstOperands,
     /*  219819 */     // GIR_Coverage, 2646,
     /*  219819 */     GIR_EraseRootFromParent_Done,
     /*  219820 */   // Label 4368: @219820
     /*  219820 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219865), // Rule ID 2647 //
     /*  219825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  219828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  219833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219854 */     // (intrinsic_wo_chain:{ *:[i64] } 10923:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  219857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219863 */     GIR_RootConstrainSelectedInstOperands,
     /*  219864 */     // GIR_Coverage, 2647,
     /*  219864 */     GIR_EraseRootFromParent_Done,
     /*  219865 */   // Label 4369: @219865
     /*  219865 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219910), // Rule ID 2656 //
     /*  219870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  219878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219899 */     // (intrinsic_wo_chain:{ *:[i32] } 11067:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  219902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219908 */     GIR_RootConstrainSelectedInstOperands,
     /*  219909 */     // GIR_Coverage, 2656,
     /*  219909 */     GIR_EraseRootFromParent_Done,
     /*  219910 */   // Label 4370: @219910
     /*  219910 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219955), // Rule ID 2657 //
     /*  219915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  219923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219944 */     // (intrinsic_wo_chain:{ *:[i32] } 11066:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  219947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219953 */     GIR_RootConstrainSelectedInstOperands,
     /*  219954 */     // GIR_Coverage, 2657,
     /*  219954 */     GIR_EraseRootFromParent_Done,
     /*  219955 */   // Label 4371: @219955
     /*  219955 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(220000), // Rule ID 2658 //
     /*  219960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  219968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219989 */     // (intrinsic_wo_chain:{ *:[i32] } 11070:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  219992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219998 */     GIR_RootConstrainSelectedInstOperands,
     /*  219999 */     // GIR_Coverage, 2658,
     /*  219999 */     GIR_EraseRootFromParent_Done,
     /*  220000 */   // Label 4372: @220000
     /*  220000 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220045), // Rule ID 2659 //
     /*  220005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  220013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220034 */     // (intrinsic_wo_chain:{ *:[i32] } 11069:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  220037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220043 */     GIR_RootConstrainSelectedInstOperands,
     /*  220044 */     // GIR_Coverage, 2659,
     /*  220044 */     GIR_EraseRootFromParent_Done,
     /*  220045 */   // Label 4373: @220045
     /*  220045 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220090), // Rule ID 2660 //
     /*  220050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  220058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220079 */     // (intrinsic_wo_chain:{ *:[i32] } 11072:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  220082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220088 */     GIR_RootConstrainSelectedInstOperands,
     /*  220089 */     // GIR_Coverage, 2660,
     /*  220089 */     GIR_EraseRootFromParent_Done,
     /*  220090 */   // Label 4374: @220090
     /*  220090 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220135), // Rule ID 2661 //
     /*  220095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  220103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220124 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  220127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220133 */     GIR_RootConstrainSelectedInstOperands,
     /*  220134 */     // GIR_Coverage, 2661,
     /*  220134 */     GIR_EraseRootFromParent_Done,
     /*  220135 */   // Label 4375: @220135
     /*  220135 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220180), // Rule ID 64417 //
     /*  220140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  220148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220169 */     // (intrinsic_wo_chain:{ *:[i32] } 10945:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  220172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220178 */     GIR_RootConstrainSelectedInstOperands,
     /*  220179 */     // GIR_Coverage, 64417,
     /*  220179 */     GIR_EraseRootFromParent_Done,
     /*  220180 */   // Label 4376: @220180
     /*  220180 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220225), // Rule ID 64419 //
     /*  220185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  220193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220214 */     // (intrinsic_wo_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  220217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220223 */     GIR_RootConstrainSelectedInstOperands,
     /*  220224 */     // GIR_Coverage, 64419,
     /*  220224 */     GIR_EraseRootFromParent_Done,
     /*  220225 */   // Label 4377: @220225
     /*  220225 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220270), // Rule ID 64421 //
     /*  220230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  220238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220259 */     // (intrinsic_wo_chain:{ *:[i32] } 10941:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  220262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220268 */     GIR_RootConstrainSelectedInstOperands,
     /*  220269 */     // GIR_Coverage, 64421,
     /*  220269 */     GIR_EraseRootFromParent_Done,
     /*  220270 */   // Label 4378: @220270
     /*  220270 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220315), // Rule ID 64423 //
     /*  220275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  220283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220304 */     // (intrinsic_wo_chain:{ *:[i32] } 10943:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  220307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220313 */     GIR_RootConstrainSelectedInstOperands,
     /*  220314 */     // GIR_Coverage, 64423,
     /*  220314 */     GIR_EraseRootFromParent_Done,
     /*  220315 */   // Label 4379: @220315
     /*  220315 */   GIM_Reject,
     /*  220316 */ // Label 4243: @220316
     /*  220316 */ GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(391221),
     /*  220321 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  220324 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220398), // Rule ID 5454 //
     /*  220329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220369 */     // MIs[1] Operand 1
     /*  220369 */     // No operand predicates
     /*  220369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220396 */     GIR_RootConstrainSelectedInstOperands,
     /*  220397 */     // GIR_Coverage, 5454,
     /*  220397 */     GIR_EraseRootFromParent_Done,
     /*  220398 */   // Label 4381: @220398
     /*  220398 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220472), // Rule ID 5455 //
     /*  220403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220443 */     // MIs[1] Operand 1
     /*  220443 */     // No operand predicates
     /*  220443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220470 */     GIR_RootConstrainSelectedInstOperands,
     /*  220471 */     // GIR_Coverage, 5455,
     /*  220471 */     GIR_EraseRootFromParent_Done,
     /*  220472 */   // Label 4382: @220472
     /*  220472 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220546), // Rule ID 5456 //
     /*  220477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220517 */     // MIs[1] Operand 1
     /*  220517 */     // No operand predicates
     /*  220517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220544 */     GIR_RootConstrainSelectedInstOperands,
     /*  220545 */     // GIR_Coverage, 5456,
     /*  220545 */     GIR_EraseRootFromParent_Done,
     /*  220546 */   // Label 4383: @220546
     /*  220546 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220620), // Rule ID 5457 //
     /*  220551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220591 */     // MIs[1] Operand 1
     /*  220591 */     // No operand predicates
     /*  220591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220618 */     GIR_RootConstrainSelectedInstOperands,
     /*  220619 */     // GIR_Coverage, 5457,
     /*  220619 */     GIR_EraseRootFromParent_Done,
     /*  220620 */   // Label 4384: @220620
     /*  220620 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220694), // Rule ID 5458 //
     /*  220625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220665 */     // MIs[1] Operand 1
     /*  220665 */     // No operand predicates
     /*  220665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220674 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220692 */     GIR_RootConstrainSelectedInstOperands,
     /*  220693 */     // GIR_Coverage, 5458,
     /*  220693 */     GIR_EraseRootFromParent_Done,
     /*  220694 */   // Label 4385: @220694
     /*  220694 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220768), // Rule ID 5459 //
     /*  220699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220739 */     // MIs[1] Operand 1
     /*  220739 */     // No operand predicates
     /*  220739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220766 */     GIR_RootConstrainSelectedInstOperands,
     /*  220767 */     // GIR_Coverage, 5459,
     /*  220767 */     GIR_EraseRootFromParent_Done,
     /*  220768 */   // Label 4386: @220768
     /*  220768 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(220842), // Rule ID 5460 //
     /*  220773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220813 */     // MIs[1] Operand 1
     /*  220813 */     // No operand predicates
     /*  220813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220840 */     GIR_RootConstrainSelectedInstOperands,
     /*  220841 */     // GIR_Coverage, 5460,
     /*  220841 */     GIR_EraseRootFromParent_Done,
     /*  220842 */   // Label 4387: @220842
     /*  220842 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(220916), // Rule ID 5461 //
     /*  220847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220887 */     // MIs[1] Operand 1
     /*  220887 */     // No operand predicates
     /*  220887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220914 */     GIR_RootConstrainSelectedInstOperands,
     /*  220915 */     // GIR_Coverage, 5461,
     /*  220915 */     GIR_EraseRootFromParent_Done,
     /*  220916 */   // Label 4388: @220916
     /*  220916 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(220990), // Rule ID 5462 //
     /*  220921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220961 */     // MIs[1] Operand 1
     /*  220961 */     // No operand predicates
     /*  220961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220988 */     GIR_RootConstrainSelectedInstOperands,
     /*  220989 */     // GIR_Coverage, 5462,
     /*  220989 */     GIR_EraseRootFromParent_Done,
     /*  220990 */   // Label 4389: @220990
     /*  220990 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221064), // Rule ID 5463 //
     /*  220995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  221009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221035 */     // MIs[1] Operand 1
     /*  221035 */     // No operand predicates
     /*  221035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221062 */     GIR_RootConstrainSelectedInstOperands,
     /*  221063 */     // GIR_Coverage, 5463,
     /*  221063 */     GIR_EraseRootFromParent_Done,
     /*  221064 */   // Label 4390: @221064
     /*  221064 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221138), // Rule ID 5464 //
     /*  221069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221109 */     // MIs[1] Operand 1
     /*  221109 */     // No operand predicates
     /*  221109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221136 */     GIR_RootConstrainSelectedInstOperands,
     /*  221137 */     // GIR_Coverage, 5464,
     /*  221137 */     GIR_EraseRootFromParent_Done,
     /*  221138 */   // Label 4391: @221138
     /*  221138 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221212), // Rule ID 5465 //
     /*  221143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221183 */     // MIs[1] Operand 1
     /*  221183 */     // No operand predicates
     /*  221183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221210 */     GIR_RootConstrainSelectedInstOperands,
     /*  221211 */     // GIR_Coverage, 5465,
     /*  221211 */     GIR_EraseRootFromParent_Done,
     /*  221212 */   // Label 4392: @221212
     /*  221212 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221286), // Rule ID 5466 //
     /*  221217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221257 */     // MIs[1] Operand 1
     /*  221257 */     // No operand predicates
     /*  221257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221284 */     GIR_RootConstrainSelectedInstOperands,
     /*  221285 */     // GIR_Coverage, 5466,
     /*  221285 */     GIR_EraseRootFromParent_Done,
     /*  221286 */   // Label 4393: @221286
     /*  221286 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221360), // Rule ID 5467 //
     /*  221291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221331 */     // MIs[1] Operand 1
     /*  221331 */     // No operand predicates
     /*  221331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221358 */     GIR_RootConstrainSelectedInstOperands,
     /*  221359 */     // GIR_Coverage, 5467,
     /*  221359 */     GIR_EraseRootFromParent_Done,
     /*  221360 */   // Label 4394: @221360
     /*  221360 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221434), // Rule ID 5468 //
     /*  221365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221405 */     // MIs[1] Operand 1
     /*  221405 */     // No operand predicates
     /*  221405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221414 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221432 */     GIR_RootConstrainSelectedInstOperands,
     /*  221433 */     // GIR_Coverage, 5468,
     /*  221433 */     GIR_EraseRootFromParent_Done,
     /*  221434 */   // Label 4395: @221434
     /*  221434 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221508), // Rule ID 5469 //
     /*  221439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221479 */     // MIs[1] Operand 1
     /*  221479 */     // No operand predicates
     /*  221479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221506 */     GIR_RootConstrainSelectedInstOperands,
     /*  221507 */     // GIR_Coverage, 5469,
     /*  221507 */     GIR_EraseRootFromParent_Done,
     /*  221508 */   // Label 4396: @221508
     /*  221508 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221582), // Rule ID 5470 //
     /*  221513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221553 */     // MIs[1] Operand 1
     /*  221553 */     // No operand predicates
     /*  221553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221580 */     GIR_RootConstrainSelectedInstOperands,
     /*  221581 */     // GIR_Coverage, 5470,
     /*  221581 */     GIR_EraseRootFromParent_Done,
     /*  221582 */   // Label 4397: @221582
     /*  221582 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221656), // Rule ID 5471 //
     /*  221587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221627 */     // MIs[1] Operand 1
     /*  221627 */     // No operand predicates
     /*  221627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221654 */     GIR_RootConstrainSelectedInstOperands,
     /*  221655 */     // GIR_Coverage, 5471,
     /*  221655 */     GIR_EraseRootFromParent_Done,
     /*  221656 */   // Label 4398: @221656
     /*  221656 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221730), // Rule ID 5472 //
     /*  221661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221701 */     // MIs[1] Operand 1
     /*  221701 */     // No operand predicates
     /*  221701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221728 */     GIR_RootConstrainSelectedInstOperands,
     /*  221729 */     // GIR_Coverage, 5472,
     /*  221729 */     GIR_EraseRootFromParent_Done,
     /*  221730 */   // Label 4399: @221730
     /*  221730 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221804), // Rule ID 5473 //
     /*  221735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221775 */     // MIs[1] Operand 1
     /*  221775 */     // No operand predicates
     /*  221775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221802 */     GIR_RootConstrainSelectedInstOperands,
     /*  221803 */     // GIR_Coverage, 5473,
     /*  221803 */     GIR_EraseRootFromParent_Done,
     /*  221804 */   // Label 4400: @221804
     /*  221804 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(221878), // Rule ID 5474 //
     /*  221809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221849 */     // MIs[1] Operand 1
     /*  221849 */     // No operand predicates
     /*  221849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221858 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  221861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221876 */     GIR_RootConstrainSelectedInstOperands,
     /*  221877 */     // GIR_Coverage, 5474,
     /*  221877 */     GIR_EraseRootFromParent_Done,
     /*  221878 */   // Label 4401: @221878
     /*  221878 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(221952), // Rule ID 5475 //
     /*  221883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221923 */     // MIs[1] Operand 1
     /*  221923 */     // No operand predicates
     /*  221923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  221935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221950 */     GIR_RootConstrainSelectedInstOperands,
     /*  221951 */     // GIR_Coverage, 5475,
     /*  221951 */     GIR_EraseRootFromParent_Done,
     /*  221952 */   // Label 4402: @221952
     /*  221952 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222026), // Rule ID 5476 //
     /*  221957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221997 */     // MIs[1] Operand 1
     /*  221997 */     // No operand predicates
     /*  221997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222024 */     GIR_RootConstrainSelectedInstOperands,
     /*  222025 */     // GIR_Coverage, 5476,
     /*  222025 */     GIR_EraseRootFromParent_Done,
     /*  222026 */   // Label 4403: @222026
     /*  222026 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222100), // Rule ID 5477 //
     /*  222031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  222045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222071 */     // MIs[1] Operand 1
     /*  222071 */     // No operand predicates
     /*  222071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222098 */     GIR_RootConstrainSelectedInstOperands,
     /*  222099 */     // GIR_Coverage, 5477,
     /*  222099 */     GIR_EraseRootFromParent_Done,
     /*  222100 */   // Label 4404: @222100
     /*  222100 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222174), // Rule ID 5478 //
     /*  222105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222145 */     // MIs[1] Operand 1
     /*  222145 */     // No operand predicates
     /*  222145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222154 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222172 */     GIR_RootConstrainSelectedInstOperands,
     /*  222173 */     // GIR_Coverage, 5478,
     /*  222173 */     GIR_EraseRootFromParent_Done,
     /*  222174 */   // Label 4405: @222174
     /*  222174 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222248), // Rule ID 5479 //
     /*  222179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222219 */     // MIs[1] Operand 1
     /*  222219 */     // No operand predicates
     /*  222219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222228 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222246 */     GIR_RootConstrainSelectedInstOperands,
     /*  222247 */     // GIR_Coverage, 5479,
     /*  222247 */     GIR_EraseRootFromParent_Done,
     /*  222248 */   // Label 4406: @222248
     /*  222248 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222322), // Rule ID 5480 //
     /*  222253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222293 */     // MIs[1] Operand 1
     /*  222293 */     // No operand predicates
     /*  222293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222320 */     GIR_RootConstrainSelectedInstOperands,
     /*  222321 */     // GIR_Coverage, 5480,
     /*  222321 */     GIR_EraseRootFromParent_Done,
     /*  222322 */   // Label 4407: @222322
     /*  222322 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222396), // Rule ID 5481 //
     /*  222327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222367 */     // MIs[1] Operand 1
     /*  222367 */     // No operand predicates
     /*  222367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222394 */     GIR_RootConstrainSelectedInstOperands,
     /*  222395 */     // GIR_Coverage, 5481,
     /*  222395 */     GIR_EraseRootFromParent_Done,
     /*  222396 */   // Label 4408: @222396
     /*  222396 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222470), // Rule ID 5482 //
     /*  222401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222441 */     // MIs[1] Operand 1
     /*  222441 */     // No operand predicates
     /*  222441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222468 */     GIR_RootConstrainSelectedInstOperands,
     /*  222469 */     // GIR_Coverage, 5482,
     /*  222469 */     GIR_EraseRootFromParent_Done,
     /*  222470 */   // Label 4409: @222470
     /*  222470 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222544), // Rule ID 5483 //
     /*  222475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222515 */     // MIs[1] Operand 1
     /*  222515 */     // No operand predicates
     /*  222515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222542 */     GIR_RootConstrainSelectedInstOperands,
     /*  222543 */     // GIR_Coverage, 5483,
     /*  222543 */     GIR_EraseRootFromParent_Done,
     /*  222544 */   // Label 4410: @222544
     /*  222544 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222618), // Rule ID 5484 //
     /*  222549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222589 */     // MIs[1] Operand 1
     /*  222589 */     // No operand predicates
     /*  222589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222598 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222616 */     GIR_RootConstrainSelectedInstOperands,
     /*  222617 */     // GIR_Coverage, 5484,
     /*  222617 */     GIR_EraseRootFromParent_Done,
     /*  222618 */   // Label 4411: @222618
     /*  222618 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222692), // Rule ID 5485 //
     /*  222623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222663 */     // MIs[1] Operand 1
     /*  222663 */     // No operand predicates
     /*  222663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222690 */     GIR_RootConstrainSelectedInstOperands,
     /*  222691 */     // GIR_Coverage, 5485,
     /*  222691 */     GIR_EraseRootFromParent_Done,
     /*  222692 */   // Label 4412: @222692
     /*  222692 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222766), // Rule ID 5486 //
     /*  222697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222737 */     // MIs[1] Operand 1
     /*  222737 */     // No operand predicates
     /*  222737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222764 */     GIR_RootConstrainSelectedInstOperands,
     /*  222765 */     // GIR_Coverage, 5486,
     /*  222765 */     GIR_EraseRootFromParent_Done,
     /*  222766 */   // Label 4413: @222766
     /*  222766 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(222840), // Rule ID 5487 //
     /*  222771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222811 */     // MIs[1] Operand 1
     /*  222811 */     // No operand predicates
     /*  222811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222838 */     GIR_RootConstrainSelectedInstOperands,
     /*  222839 */     // GIR_Coverage, 5487,
     /*  222839 */     GIR_EraseRootFromParent_Done,
     /*  222840 */   // Label 4414: @222840
     /*  222840 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(222914), // Rule ID 5488 //
     /*  222845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222885 */     // MIs[1] Operand 1
     /*  222885 */     // No operand predicates
     /*  222885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222912 */     GIR_RootConstrainSelectedInstOperands,
     /*  222913 */     // GIR_Coverage, 5488,
     /*  222913 */     GIR_EraseRootFromParent_Done,
     /*  222914 */   // Label 4415: @222914
     /*  222914 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(222988), // Rule ID 5489 //
     /*  222919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222959 */     // MIs[1] Operand 1
     /*  222959 */     // No operand predicates
     /*  222959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222986 */     GIR_RootConstrainSelectedInstOperands,
     /*  222987 */     // GIR_Coverage, 5489,
     /*  222987 */     GIR_EraseRootFromParent_Done,
     /*  222988 */   // Label 4416: @222988
     /*  222988 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223062), // Rule ID 5490 //
     /*  222993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223033 */     // MIs[1] Operand 1
     /*  223033 */     // No operand predicates
     /*  223033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223060 */     GIR_RootConstrainSelectedInstOperands,
     /*  223061 */     // GIR_Coverage, 5490,
     /*  223061 */     GIR_EraseRootFromParent_Done,
     /*  223062 */   // Label 4417: @223062
     /*  223062 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223136), // Rule ID 5491 //
     /*  223067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223107 */     // MIs[1] Operand 1
     /*  223107 */     // No operand predicates
     /*  223107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223134 */     GIR_RootConstrainSelectedInstOperands,
     /*  223135 */     // GIR_Coverage, 5491,
     /*  223135 */     GIR_EraseRootFromParent_Done,
     /*  223136 */   // Label 4418: @223136
     /*  223136 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223210), // Rule ID 5492 //
     /*  223141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223181 */     // MIs[1] Operand 1
     /*  223181 */     // No operand predicates
     /*  223181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223208 */     GIR_RootConstrainSelectedInstOperands,
     /*  223209 */     // GIR_Coverage, 5492,
     /*  223209 */     GIR_EraseRootFromParent_Done,
     /*  223210 */   // Label 4419: @223210
     /*  223210 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223284), // Rule ID 5493 //
     /*  223215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223255 */     // MIs[1] Operand 1
     /*  223255 */     // No operand predicates
     /*  223255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223282 */     GIR_RootConstrainSelectedInstOperands,
     /*  223283 */     // GIR_Coverage, 5493,
     /*  223283 */     GIR_EraseRootFromParent_Done,
     /*  223284 */   // Label 4420: @223284
     /*  223284 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223358), // Rule ID 5494 //
     /*  223289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223329 */     // MIs[1] Operand 1
     /*  223329 */     // No operand predicates
     /*  223329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223356 */     GIR_RootConstrainSelectedInstOperands,
     /*  223357 */     // GIR_Coverage, 5494,
     /*  223357 */     GIR_EraseRootFromParent_Done,
     /*  223358 */   // Label 4421: @223358
     /*  223358 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223432), // Rule ID 5495 //
     /*  223363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223403 */     // MIs[1] Operand 1
     /*  223403 */     // No operand predicates
     /*  223403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223430 */     GIR_RootConstrainSelectedInstOperands,
     /*  223431 */     // GIR_Coverage, 5495,
     /*  223431 */     GIR_EraseRootFromParent_Done,
     /*  223432 */   // Label 4422: @223432
     /*  223432 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223506), // Rule ID 5496 //
     /*  223437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223477 */     // MIs[1] Operand 1
     /*  223477 */     // No operand predicates
     /*  223477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223504 */     GIR_RootConstrainSelectedInstOperands,
     /*  223505 */     // GIR_Coverage, 5496,
     /*  223505 */     GIR_EraseRootFromParent_Done,
     /*  223506 */   // Label 4423: @223506
     /*  223506 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223580), // Rule ID 5497 //
     /*  223511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223551 */     // MIs[1] Operand 1
     /*  223551 */     // No operand predicates
     /*  223551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223578 */     GIR_RootConstrainSelectedInstOperands,
     /*  223579 */     // GIR_Coverage, 5497,
     /*  223579 */     GIR_EraseRootFromParent_Done,
     /*  223580 */   // Label 4424: @223580
     /*  223580 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223654), // Rule ID 7966 //
     /*  223585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223625 */     // MIs[1] Operand 1
     /*  223625 */     // No operand predicates
     /*  223625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223634 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  223637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223652 */     GIR_RootConstrainSelectedInstOperands,
     /*  223653 */     // GIR_Coverage, 7966,
     /*  223653 */     GIR_EraseRootFromParent_Done,
     /*  223654 */   // Label 4425: @223654
     /*  223654 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223728), // Rule ID 7967 //
     /*  223659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223699 */     // MIs[1] Operand 1
     /*  223699 */     // No operand predicates
     /*  223699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  223711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223726 */     GIR_RootConstrainSelectedInstOperands,
     /*  223727 */     // GIR_Coverage, 7967,
     /*  223727 */     GIR_EraseRootFromParent_Done,
     /*  223728 */   // Label 4426: @223728
     /*  223728 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223802), // Rule ID 7970 //
     /*  223733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223773 */     // MIs[1] Operand 1
     /*  223773 */     // No operand predicates
     /*  223773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223800 */     GIR_RootConstrainSelectedInstOperands,
     /*  223801 */     // GIR_Coverage, 7970,
     /*  223801 */     GIR_EraseRootFromParent_Done,
     /*  223802 */   // Label 4427: @223802
     /*  223802 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(223876), // Rule ID 7971 //
     /*  223807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223847 */     // MIs[1] Operand 1
     /*  223847 */     // No operand predicates
     /*  223847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223874 */     GIR_RootConstrainSelectedInstOperands,
     /*  223875 */     // GIR_Coverage, 7971,
     /*  223875 */     GIR_EraseRootFromParent_Done,
     /*  223876 */   // Label 4428: @223876
     /*  223876 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(223950), // Rule ID 7974 //
     /*  223881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223921 */     // MIs[1] Operand 1
     /*  223921 */     // No operand predicates
     /*  223921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  223933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223948 */     GIR_RootConstrainSelectedInstOperands,
     /*  223949 */     // GIR_Coverage, 7974,
     /*  223949 */     GIR_EraseRootFromParent_Done,
     /*  223950 */   // Label 4429: @223950
     /*  223950 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224024), // Rule ID 7975 //
     /*  223955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223995 */     // MIs[1] Operand 1
     /*  223995 */     // No operand predicates
     /*  223995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224022 */     GIR_RootConstrainSelectedInstOperands,
     /*  224023 */     // GIR_Coverage, 7975,
     /*  224023 */     GIR_EraseRootFromParent_Done,
     /*  224024 */   // Label 4430: @224024
     /*  224024 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224098), // Rule ID 7978 //
     /*  224029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224069 */     // MIs[1] Operand 1
     /*  224069 */     // No operand predicates
     /*  224069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224096 */     GIR_RootConstrainSelectedInstOperands,
     /*  224097 */     // GIR_Coverage, 7978,
     /*  224097 */     GIR_EraseRootFromParent_Done,
     /*  224098 */   // Label 4431: @224098
     /*  224098 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224172), // Rule ID 7979 //
     /*  224103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224143 */     // MIs[1] Operand 1
     /*  224143 */     // No operand predicates
     /*  224143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224170 */     GIR_RootConstrainSelectedInstOperands,
     /*  224171 */     // GIR_Coverage, 7979,
     /*  224171 */     GIR_EraseRootFromParent_Done,
     /*  224172 */   // Label 4432: @224172
     /*  224172 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224246), // Rule ID 7982 //
     /*  224177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224217 */     // MIs[1] Operand 1
     /*  224217 */     // No operand predicates
     /*  224217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224244 */     GIR_RootConstrainSelectedInstOperands,
     /*  224245 */     // GIR_Coverage, 7982,
     /*  224245 */     GIR_EraseRootFromParent_Done,
     /*  224246 */   // Label 4433: @224246
     /*  224246 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224320), // Rule ID 7983 //
     /*  224251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224291 */     // MIs[1] Operand 1
     /*  224291 */     // No operand predicates
     /*  224291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224318 */     GIR_RootConstrainSelectedInstOperands,
     /*  224319 */     // GIR_Coverage, 7983,
     /*  224319 */     GIR_EraseRootFromParent_Done,
     /*  224320 */   // Label 4434: @224320
     /*  224320 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224394), // Rule ID 7986 //
     /*  224325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224365 */     // MIs[1] Operand 1
     /*  224365 */     // No operand predicates
     /*  224365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224392 */     GIR_RootConstrainSelectedInstOperands,
     /*  224393 */     // GIR_Coverage, 7986,
     /*  224393 */     GIR_EraseRootFromParent_Done,
     /*  224394 */   // Label 4435: @224394
     /*  224394 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224468), // Rule ID 7987 //
     /*  224399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224439 */     // MIs[1] Operand 1
     /*  224439 */     // No operand predicates
     /*  224439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224466 */     GIR_RootConstrainSelectedInstOperands,
     /*  224467 */     // GIR_Coverage, 7987,
     /*  224467 */     GIR_EraseRootFromParent_Done,
     /*  224468 */   // Label 4436: @224468
     /*  224468 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224542), // Rule ID 7990 //
     /*  224473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224513 */     // MIs[1] Operand 1
     /*  224513 */     // No operand predicates
     /*  224513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224540 */     GIR_RootConstrainSelectedInstOperands,
     /*  224541 */     // GIR_Coverage, 7990,
     /*  224541 */     GIR_EraseRootFromParent_Done,
     /*  224542 */   // Label 4437: @224542
     /*  224542 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224616), // Rule ID 7991 //
     /*  224547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224587 */     // MIs[1] Operand 1
     /*  224587 */     // No operand predicates
     /*  224587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224614 */     GIR_RootConstrainSelectedInstOperands,
     /*  224615 */     // GIR_Coverage, 7991,
     /*  224615 */     GIR_EraseRootFromParent_Done,
     /*  224616 */   // Label 4438: @224616
     /*  224616 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224690), // Rule ID 7994 //
     /*  224621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224661 */     // MIs[1] Operand 1
     /*  224661 */     // No operand predicates
     /*  224661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224688 */     GIR_RootConstrainSelectedInstOperands,
     /*  224689 */     // GIR_Coverage, 7994,
     /*  224689 */     GIR_EraseRootFromParent_Done,
     /*  224690 */   // Label 4439: @224690
     /*  224690 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224764), // Rule ID 7995 //
     /*  224695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224735 */     // MIs[1] Operand 1
     /*  224735 */     // No operand predicates
     /*  224735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224762 */     GIR_RootConstrainSelectedInstOperands,
     /*  224763 */     // GIR_Coverage, 7995,
     /*  224763 */     GIR_EraseRootFromParent_Done,
     /*  224764 */   // Label 4440: @224764
     /*  224764 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224838), // Rule ID 7998 //
     /*  224769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224809 */     // MIs[1] Operand 1
     /*  224809 */     // No operand predicates
     /*  224809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224836 */     GIR_RootConstrainSelectedInstOperands,
     /*  224837 */     // GIR_Coverage, 7998,
     /*  224837 */     GIR_EraseRootFromParent_Done,
     /*  224838 */   // Label 4441: @224838
     /*  224838 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(224912), // Rule ID 7999 //
     /*  224843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224883 */     // MIs[1] Operand 1
     /*  224883 */     // No operand predicates
     /*  224883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224910 */     GIR_RootConstrainSelectedInstOperands,
     /*  224911 */     // GIR_Coverage, 7999,
     /*  224911 */     GIR_EraseRootFromParent_Done,
     /*  224912 */   // Label 4442: @224912
     /*  224912 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(224986), // Rule ID 8002 //
     /*  224917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  224920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224957 */     // MIs[1] Operand 1
     /*  224957 */     // No operand predicates
     /*  224957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224966 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224984 */     GIR_RootConstrainSelectedInstOperands,
     /*  224985 */     // GIR_Coverage, 8002,
     /*  224985 */     GIR_EraseRootFromParent_Done,
     /*  224986 */   // Label 4443: @224986
     /*  224986 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225060), // Rule ID 8003 //
     /*  224991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225031 */     // MIs[1] Operand 1
     /*  225031 */     // No operand predicates
     /*  225031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225058 */     GIR_RootConstrainSelectedInstOperands,
     /*  225059 */     // GIR_Coverage, 8003,
     /*  225059 */     GIR_EraseRootFromParent_Done,
     /*  225060 */   // Label 4444: @225060
     /*  225060 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225134), // Rule ID 8006 //
     /*  225065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225105 */     // MIs[1] Operand 1
     /*  225105 */     // No operand predicates
     /*  225105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225132 */     GIR_RootConstrainSelectedInstOperands,
     /*  225133 */     // GIR_Coverage, 8006,
     /*  225133 */     GIR_EraseRootFromParent_Done,
     /*  225134 */   // Label 4445: @225134
     /*  225134 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225208), // Rule ID 8007 //
     /*  225139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225179 */     // MIs[1] Operand 1
     /*  225179 */     // No operand predicates
     /*  225179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225206 */     GIR_RootConstrainSelectedInstOperands,
     /*  225207 */     // GIR_Coverage, 8007,
     /*  225207 */     GIR_EraseRootFromParent_Done,
     /*  225208 */   // Label 4446: @225208
     /*  225208 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225282), // Rule ID 8010 //
     /*  225213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225253 */     // MIs[1] Operand 1
     /*  225253 */     // No operand predicates
     /*  225253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225262 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225280 */     GIR_RootConstrainSelectedInstOperands,
     /*  225281 */     // GIR_Coverage, 8010,
     /*  225281 */     GIR_EraseRootFromParent_Done,
     /*  225282 */   // Label 4447: @225282
     /*  225282 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225356), // Rule ID 8011 //
     /*  225287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225327 */     // MIs[1] Operand 1
     /*  225327 */     // No operand predicates
     /*  225327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225354 */     GIR_RootConstrainSelectedInstOperands,
     /*  225355 */     // GIR_Coverage, 8011,
     /*  225355 */     GIR_EraseRootFromParent_Done,
     /*  225356 */   // Label 4448: @225356
     /*  225356 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225430), // Rule ID 8014 //
     /*  225361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225401 */     // MIs[1] Operand 1
     /*  225401 */     // No operand predicates
     /*  225401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225410 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225428 */     GIR_RootConstrainSelectedInstOperands,
     /*  225429 */     // GIR_Coverage, 8014,
     /*  225429 */     GIR_EraseRootFromParent_Done,
     /*  225430 */   // Label 4449: @225430
     /*  225430 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225504), // Rule ID 8015 //
     /*  225435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225475 */     // MIs[1] Operand 1
     /*  225475 */     // No operand predicates
     /*  225475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225484 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225502 */     GIR_RootConstrainSelectedInstOperands,
     /*  225503 */     // GIR_Coverage, 8015,
     /*  225503 */     GIR_EraseRootFromParent_Done,
     /*  225504 */   // Label 4450: @225504
     /*  225504 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225578), // Rule ID 8018 //
     /*  225509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225549 */     // MIs[1] Operand 1
     /*  225549 */     // No operand predicates
     /*  225549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225576 */     GIR_RootConstrainSelectedInstOperands,
     /*  225577 */     // GIR_Coverage, 8018,
     /*  225577 */     GIR_EraseRootFromParent_Done,
     /*  225578 */   // Label 4451: @225578
     /*  225578 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225652), // Rule ID 8019 //
     /*  225583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225623 */     // MIs[1] Operand 1
     /*  225623 */     // No operand predicates
     /*  225623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225650 */     GIR_RootConstrainSelectedInstOperands,
     /*  225651 */     // GIR_Coverage, 8019,
     /*  225651 */     GIR_EraseRootFromParent_Done,
     /*  225652 */   // Label 4452: @225652
     /*  225652 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225726), // Rule ID 8022 //
     /*  225657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225697 */     // MIs[1] Operand 1
     /*  225697 */     // No operand predicates
     /*  225697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225706 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225724 */     GIR_RootConstrainSelectedInstOperands,
     /*  225725 */     // GIR_Coverage, 8022,
     /*  225725 */     GIR_EraseRootFromParent_Done,
     /*  225726 */   // Label 4453: @225726
     /*  225726 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225800), // Rule ID 8023 //
     /*  225731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225771 */     // MIs[1] Operand 1
     /*  225771 */     // No operand predicates
     /*  225771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225798 */     GIR_RootConstrainSelectedInstOperands,
     /*  225799 */     // GIR_Coverage, 8023,
     /*  225799 */     GIR_EraseRootFromParent_Done,
     /*  225800 */   // Label 4454: @225800
     /*  225800 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225874), // Rule ID 8026 //
     /*  225805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225845 */     // MIs[1] Operand 1
     /*  225845 */     // No operand predicates
     /*  225845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225872 */     GIR_RootConstrainSelectedInstOperands,
     /*  225873 */     // GIR_Coverage, 8026,
     /*  225873 */     GIR_EraseRootFromParent_Done,
     /*  225874 */   // Label 4455: @225874
     /*  225874 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(225948), // Rule ID 8027 //
     /*  225879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225919 */     // MIs[1] Operand 1
     /*  225919 */     // No operand predicates
     /*  225919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225946 */     GIR_RootConstrainSelectedInstOperands,
     /*  225947 */     // GIR_Coverage, 8027,
     /*  225947 */     GIR_EraseRootFromParent_Done,
     /*  225948 */   // Label 4456: @225948
     /*  225948 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226022), // Rule ID 8030 //
     /*  225953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225993 */     // MIs[1] Operand 1
     /*  225993 */     // No operand predicates
     /*  225993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226020 */     GIR_RootConstrainSelectedInstOperands,
     /*  226021 */     // GIR_Coverage, 8030,
     /*  226021 */     GIR_EraseRootFromParent_Done,
     /*  226022 */   // Label 4457: @226022
     /*  226022 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226096), // Rule ID 8031 //
     /*  226027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  226041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226067 */     // MIs[1] Operand 1
     /*  226067 */     // No operand predicates
     /*  226067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226094 */     GIR_RootConstrainSelectedInstOperands,
     /*  226095 */     // GIR_Coverage, 8031,
     /*  226095 */     GIR_EraseRootFromParent_Done,
     /*  226096 */   // Label 4458: @226096
     /*  226096 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226170), // Rule ID 8034 //
     /*  226101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226141 */     // MIs[1] Operand 1
     /*  226141 */     // No operand predicates
     /*  226141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226168 */     GIR_RootConstrainSelectedInstOperands,
     /*  226169 */     // GIR_Coverage, 8034,
     /*  226169 */     GIR_EraseRootFromParent_Done,
     /*  226170 */   // Label 4459: @226170
     /*  226170 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226244), // Rule ID 8035 //
     /*  226175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226215 */     // MIs[1] Operand 1
     /*  226215 */     // No operand predicates
     /*  226215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226242 */     GIR_RootConstrainSelectedInstOperands,
     /*  226243 */     // GIR_Coverage, 8035,
     /*  226243 */     GIR_EraseRootFromParent_Done,
     /*  226244 */   // Label 4460: @226244
     /*  226244 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226318), // Rule ID 8038 //
     /*  226249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226289 */     // MIs[1] Operand 1
     /*  226289 */     // No operand predicates
     /*  226289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226298 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226316 */     GIR_RootConstrainSelectedInstOperands,
     /*  226317 */     // GIR_Coverage, 8038,
     /*  226317 */     GIR_EraseRootFromParent_Done,
     /*  226318 */   // Label 4461: @226318
     /*  226318 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226392), // Rule ID 8039 //
     /*  226323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226363 */     // MIs[1] Operand 1
     /*  226363 */     // No operand predicates
     /*  226363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226390 */     GIR_RootConstrainSelectedInstOperands,
     /*  226391 */     // GIR_Coverage, 8039,
     /*  226391 */     GIR_EraseRootFromParent_Done,
     /*  226392 */   // Label 4462: @226392
     /*  226392 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226466), // Rule ID 8042 //
     /*  226397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226437 */     // MIs[1] Operand 1
     /*  226437 */     // No operand predicates
     /*  226437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226464 */     GIR_RootConstrainSelectedInstOperands,
     /*  226465 */     // GIR_Coverage, 8042,
     /*  226465 */     GIR_EraseRootFromParent_Done,
     /*  226466 */   // Label 4463: @226466
     /*  226466 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226540), // Rule ID 8043 //
     /*  226471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226511 */     // MIs[1] Operand 1
     /*  226511 */     // No operand predicates
     /*  226511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226538 */     GIR_RootConstrainSelectedInstOperands,
     /*  226539 */     // GIR_Coverage, 8043,
     /*  226539 */     GIR_EraseRootFromParent_Done,
     /*  226540 */   // Label 4464: @226540
     /*  226540 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226614), // Rule ID 8046 //
     /*  226545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226585 */     // MIs[1] Operand 1
     /*  226585 */     // No operand predicates
     /*  226585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226594 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226612 */     GIR_RootConstrainSelectedInstOperands,
     /*  226613 */     // GIR_Coverage, 8046,
     /*  226613 */     GIR_EraseRootFromParent_Done,
     /*  226614 */   // Label 4465: @226614
     /*  226614 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226688), // Rule ID 8047 //
     /*  226619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226659 */     // MIs[1] Operand 1
     /*  226659 */     // No operand predicates
     /*  226659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226686 */     GIR_RootConstrainSelectedInstOperands,
     /*  226687 */     // GIR_Coverage, 8047,
     /*  226687 */     GIR_EraseRootFromParent_Done,
     /*  226688 */   // Label 4466: @226688
     /*  226688 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226762), // Rule ID 8050 //
     /*  226693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226733 */     // MIs[1] Operand 1
     /*  226733 */     // No operand predicates
     /*  226733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226742 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226760 */     GIR_RootConstrainSelectedInstOperands,
     /*  226761 */     // GIR_Coverage, 8050,
     /*  226761 */     GIR_EraseRootFromParent_Done,
     /*  226762 */   // Label 4467: @226762
     /*  226762 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226836), // Rule ID 8051 //
     /*  226767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226807 */     // MIs[1] Operand 1
     /*  226807 */     // No operand predicates
     /*  226807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226834 */     GIR_RootConstrainSelectedInstOperands,
     /*  226835 */     // GIR_Coverage, 8051,
     /*  226835 */     GIR_EraseRootFromParent_Done,
     /*  226836 */   // Label 4468: @226836
     /*  226836 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(226910), // Rule ID 8230 //
     /*  226841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226881 */     // MIs[1] Operand 1
     /*  226881 */     // No operand predicates
     /*  226881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226890 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  226893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226908 */     GIR_RootConstrainSelectedInstOperands,
     /*  226909 */     // GIR_Coverage, 8230,
     /*  226909 */     GIR_EraseRootFromParent_Done,
     /*  226910 */   // Label 4469: @226910
     /*  226910 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(226984), // Rule ID 8231 //
     /*  226915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226955 */     // MIs[1] Operand 1
     /*  226955 */     // No operand predicates
     /*  226955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  226967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226982 */     GIR_RootConstrainSelectedInstOperands,
     /*  226983 */     // GIR_Coverage, 8231,
     /*  226983 */     GIR_EraseRootFromParent_Done,
     /*  226984 */   // Label 4470: @226984
     /*  226984 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227058), // Rule ID 8234 //
     /*  226989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227029 */     // MIs[1] Operand 1
     /*  227029 */     // No operand predicates
     /*  227029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227056 */     GIR_RootConstrainSelectedInstOperands,
     /*  227057 */     // GIR_Coverage, 8234,
     /*  227057 */     GIR_EraseRootFromParent_Done,
     /*  227058 */   // Label 4471: @227058
     /*  227058 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227132), // Rule ID 8235 //
     /*  227063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227103 */     // MIs[1] Operand 1
     /*  227103 */     // No operand predicates
     /*  227103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227130 */     GIR_RootConstrainSelectedInstOperands,
     /*  227131 */     // GIR_Coverage, 8235,
     /*  227131 */     GIR_EraseRootFromParent_Done,
     /*  227132 */   // Label 4472: @227132
     /*  227132 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227206), // Rule ID 8238 //
     /*  227137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227177 */     // MIs[1] Operand 1
     /*  227177 */     // No operand predicates
     /*  227177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227204 */     GIR_RootConstrainSelectedInstOperands,
     /*  227205 */     // GIR_Coverage, 8238,
     /*  227205 */     GIR_EraseRootFromParent_Done,
     /*  227206 */   // Label 4473: @227206
     /*  227206 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227280), // Rule ID 8239 //
     /*  227211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227251 */     // MIs[1] Operand 1
     /*  227251 */     // No operand predicates
     /*  227251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227278 */     GIR_RootConstrainSelectedInstOperands,
     /*  227279 */     // GIR_Coverage, 8239,
     /*  227279 */     GIR_EraseRootFromParent_Done,
     /*  227280 */   // Label 4474: @227280
     /*  227280 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227354), // Rule ID 8242 //
     /*  227285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227325 */     // MIs[1] Operand 1
     /*  227325 */     // No operand predicates
     /*  227325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227352 */     GIR_RootConstrainSelectedInstOperands,
     /*  227353 */     // GIR_Coverage, 8242,
     /*  227353 */     GIR_EraseRootFromParent_Done,
     /*  227354 */   // Label 4475: @227354
     /*  227354 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227428), // Rule ID 8243 //
     /*  227359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227399 */     // MIs[1] Operand 1
     /*  227399 */     // No operand predicates
     /*  227399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227426 */     GIR_RootConstrainSelectedInstOperands,
     /*  227427 */     // GIR_Coverage, 8243,
     /*  227427 */     GIR_EraseRootFromParent_Done,
     /*  227428 */   // Label 4476: @227428
     /*  227428 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227502), // Rule ID 8246 //
     /*  227433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227473 */     // MIs[1] Operand 1
     /*  227473 */     // No operand predicates
     /*  227473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227500 */     GIR_RootConstrainSelectedInstOperands,
     /*  227501 */     // GIR_Coverage, 8246,
     /*  227501 */     GIR_EraseRootFromParent_Done,
     /*  227502 */   // Label 4477: @227502
     /*  227502 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227576), // Rule ID 8247 //
     /*  227507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227547 */     // MIs[1] Operand 1
     /*  227547 */     // No operand predicates
     /*  227547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227574 */     GIR_RootConstrainSelectedInstOperands,
     /*  227575 */     // GIR_Coverage, 8247,
     /*  227575 */     GIR_EraseRootFromParent_Done,
     /*  227576 */   // Label 4478: @227576
     /*  227576 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227650), // Rule ID 8250 //
     /*  227581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227621 */     // MIs[1] Operand 1
     /*  227621 */     // No operand predicates
     /*  227621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227648 */     GIR_RootConstrainSelectedInstOperands,
     /*  227649 */     // GIR_Coverage, 8250,
     /*  227649 */     GIR_EraseRootFromParent_Done,
     /*  227650 */   // Label 4479: @227650
     /*  227650 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227724), // Rule ID 8251 //
     /*  227655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227695 */     // MIs[1] Operand 1
     /*  227695 */     // No operand predicates
     /*  227695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227722 */     GIR_RootConstrainSelectedInstOperands,
     /*  227723 */     // GIR_Coverage, 8251,
     /*  227723 */     GIR_EraseRootFromParent_Done,
     /*  227724 */   // Label 4480: @227724
     /*  227724 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(227798), // Rule ID 8254 //
     /*  227729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227769 */     // MIs[1] Operand 1
     /*  227769 */     // No operand predicates
     /*  227769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227796 */     GIR_RootConstrainSelectedInstOperands,
     /*  227797 */     // GIR_Coverage, 8254,
     /*  227797 */     GIR_EraseRootFromParent_Done,
     /*  227798 */   // Label 4481: @227798
     /*  227798 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(227872), // Rule ID 8255 //
     /*  227803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227843 */     // MIs[1] Operand 1
     /*  227843 */     // No operand predicates
     /*  227843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227870 */     GIR_RootConstrainSelectedInstOperands,
     /*  227871 */     // GIR_Coverage, 8255,
     /*  227871 */     GIR_EraseRootFromParent_Done,
     /*  227872 */   // Label 4482: @227872
     /*  227872 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(227946), // Rule ID 8258 //
     /*  227877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227917 */     // MIs[1] Operand 1
     /*  227917 */     // No operand predicates
     /*  227917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227944 */     GIR_RootConstrainSelectedInstOperands,
     /*  227945 */     // GIR_Coverage, 8258,
     /*  227945 */     GIR_EraseRootFromParent_Done,
     /*  227946 */   // Label 4483: @227946
     /*  227946 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228020), // Rule ID 8259 //
     /*  227951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227991 */     // MIs[1] Operand 1
     /*  227991 */     // No operand predicates
     /*  227991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228018 */     GIR_RootConstrainSelectedInstOperands,
     /*  228019 */     // GIR_Coverage, 8259,
     /*  228019 */     GIR_EraseRootFromParent_Done,
     /*  228020 */   // Label 4484: @228020
     /*  228020 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228094), // Rule ID 8262 //
     /*  228025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228065 */     // MIs[1] Operand 1
     /*  228065 */     // No operand predicates
     /*  228065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228074 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228092 */     GIR_RootConstrainSelectedInstOperands,
     /*  228093 */     // GIR_Coverage, 8262,
     /*  228093 */     GIR_EraseRootFromParent_Done,
     /*  228094 */   // Label 4485: @228094
     /*  228094 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228168), // Rule ID 8263 //
     /*  228099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228139 */     // MIs[1] Operand 1
     /*  228139 */     // No operand predicates
     /*  228139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228166 */     GIR_RootConstrainSelectedInstOperands,
     /*  228167 */     // GIR_Coverage, 8263,
     /*  228167 */     GIR_EraseRootFromParent_Done,
     /*  228168 */   // Label 4486: @228168
     /*  228168 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228242), // Rule ID 8266 //
     /*  228173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228213 */     // MIs[1] Operand 1
     /*  228213 */     // No operand predicates
     /*  228213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228222 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228240 */     GIR_RootConstrainSelectedInstOperands,
     /*  228241 */     // GIR_Coverage, 8266,
     /*  228241 */     GIR_EraseRootFromParent_Done,
     /*  228242 */   // Label 4487: @228242
     /*  228242 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228316), // Rule ID 8267 //
     /*  228247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228287 */     // MIs[1] Operand 1
     /*  228287 */     // No operand predicates
     /*  228287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228314 */     GIR_RootConstrainSelectedInstOperands,
     /*  228315 */     // GIR_Coverage, 8267,
     /*  228315 */     GIR_EraseRootFromParent_Done,
     /*  228316 */   // Label 4488: @228316
     /*  228316 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228390), // Rule ID 8270 //
     /*  228321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228361 */     // MIs[1] Operand 1
     /*  228361 */     // No operand predicates
     /*  228361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228388 */     GIR_RootConstrainSelectedInstOperands,
     /*  228389 */     // GIR_Coverage, 8270,
     /*  228389 */     GIR_EraseRootFromParent_Done,
     /*  228390 */   // Label 4489: @228390
     /*  228390 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228464), // Rule ID 8271 //
     /*  228395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228435 */     // MIs[1] Operand 1
     /*  228435 */     // No operand predicates
     /*  228435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228462 */     GIR_RootConstrainSelectedInstOperands,
     /*  228463 */     // GIR_Coverage, 8271,
     /*  228463 */     GIR_EraseRootFromParent_Done,
     /*  228464 */   // Label 4490: @228464
     /*  228464 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228538), // Rule ID 8274 //
     /*  228469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228509 */     // MIs[1] Operand 1
     /*  228509 */     // No operand predicates
     /*  228509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228536 */     GIR_RootConstrainSelectedInstOperands,
     /*  228537 */     // GIR_Coverage, 8274,
     /*  228537 */     GIR_EraseRootFromParent_Done,
     /*  228538 */   // Label 4491: @228538
     /*  228538 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228612), // Rule ID 8275 //
     /*  228543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228583 */     // MIs[1] Operand 1
     /*  228583 */     // No operand predicates
     /*  228583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228610 */     GIR_RootConstrainSelectedInstOperands,
     /*  228611 */     // GIR_Coverage, 8275,
     /*  228611 */     GIR_EraseRootFromParent_Done,
     /*  228612 */   // Label 4492: @228612
     /*  228612 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228686), // Rule ID 8278 //
     /*  228617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228657 */     // MIs[1] Operand 1
     /*  228657 */     // No operand predicates
     /*  228657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228666 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228684 */     GIR_RootConstrainSelectedInstOperands,
     /*  228685 */     // GIR_Coverage, 8278,
     /*  228685 */     GIR_EraseRootFromParent_Done,
     /*  228686 */   // Label 4493: @228686
     /*  228686 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228760), // Rule ID 8279 //
     /*  228691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228731 */     // MIs[1] Operand 1
     /*  228731 */     // No operand predicates
     /*  228731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228758 */     GIR_RootConstrainSelectedInstOperands,
     /*  228759 */     // GIR_Coverage, 8279,
     /*  228759 */     GIR_EraseRootFromParent_Done,
     /*  228760 */   // Label 4494: @228760
     /*  228760 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(228834), // Rule ID 8282 //
     /*  228765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228805 */     // MIs[1] Operand 1
     /*  228805 */     // No operand predicates
     /*  228805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228832 */     GIR_RootConstrainSelectedInstOperands,
     /*  228833 */     // GIR_Coverage, 8282,
     /*  228833 */     GIR_EraseRootFromParent_Done,
     /*  228834 */   // Label 4495: @228834
     /*  228834 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(228908), // Rule ID 8283 //
     /*  228839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228879 */     // MIs[1] Operand 1
     /*  228879 */     // No operand predicates
     /*  228879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228906 */     GIR_RootConstrainSelectedInstOperands,
     /*  228907 */     // GIR_Coverage, 8283,
     /*  228907 */     GIR_EraseRootFromParent_Done,
     /*  228908 */   // Label 4496: @228908
     /*  228908 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(228982), // Rule ID 8286 //
     /*  228913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228953 */     // MIs[1] Operand 1
     /*  228953 */     // No operand predicates
     /*  228953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228962 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228980 */     GIR_RootConstrainSelectedInstOperands,
     /*  228981 */     // GIR_Coverage, 8286,
     /*  228981 */     GIR_EraseRootFromParent_Done,
     /*  228982 */   // Label 4497: @228982
     /*  228982 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229056), // Rule ID 8287 //
     /*  228987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229027 */     // MIs[1] Operand 1
     /*  229027 */     // No operand predicates
     /*  229027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229054 */     GIR_RootConstrainSelectedInstOperands,
     /*  229055 */     // GIR_Coverage, 8287,
     /*  229055 */     GIR_EraseRootFromParent_Done,
     /*  229056 */   // Label 4498: @229056
     /*  229056 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229130), // Rule ID 8290 //
     /*  229061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229101 */     // MIs[1] Operand 1
     /*  229101 */     // No operand predicates
     /*  229101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229110 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229128 */     GIR_RootConstrainSelectedInstOperands,
     /*  229129 */     // GIR_Coverage, 8290,
     /*  229129 */     GIR_EraseRootFromParent_Done,
     /*  229130 */   // Label 4499: @229130
     /*  229130 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229204), // Rule ID 8291 //
     /*  229135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229175 */     // MIs[1] Operand 1
     /*  229175 */     // No operand predicates
     /*  229175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229202 */     GIR_RootConstrainSelectedInstOperands,
     /*  229203 */     // GIR_Coverage, 8291,
     /*  229203 */     GIR_EraseRootFromParent_Done,
     /*  229204 */   // Label 4500: @229204
     /*  229204 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229278), // Rule ID 8294 //
     /*  229209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229249 */     // MIs[1] Operand 1
     /*  229249 */     // No operand predicates
     /*  229249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229276 */     GIR_RootConstrainSelectedInstOperands,
     /*  229277 */     // GIR_Coverage, 8294,
     /*  229277 */     GIR_EraseRootFromParent_Done,
     /*  229278 */   // Label 4501: @229278
     /*  229278 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229352), // Rule ID 8295 //
     /*  229283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229323 */     // MIs[1] Operand 1
     /*  229323 */     // No operand predicates
     /*  229323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229350 */     GIR_RootConstrainSelectedInstOperands,
     /*  229351 */     // GIR_Coverage, 8295,
     /*  229351 */     GIR_EraseRootFromParent_Done,
     /*  229352 */   // Label 4502: @229352
     /*  229352 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229426), // Rule ID 8298 //
     /*  229357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229397 */     // MIs[1] Operand 1
     /*  229397 */     // No operand predicates
     /*  229397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229424 */     GIR_RootConstrainSelectedInstOperands,
     /*  229425 */     // GIR_Coverage, 8298,
     /*  229425 */     GIR_EraseRootFromParent_Done,
     /*  229426 */   // Label 4503: @229426
     /*  229426 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229500), // Rule ID 8299 //
     /*  229431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229471 */     // MIs[1] Operand 1
     /*  229471 */     // No operand predicates
     /*  229471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229498 */     GIR_RootConstrainSelectedInstOperands,
     /*  229499 */     // GIR_Coverage, 8299,
     /*  229499 */     GIR_EraseRootFromParent_Done,
     /*  229500 */   // Label 4504: @229500
     /*  229500 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229574), // Rule ID 8302 //
     /*  229505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229545 */     // MIs[1] Operand 1
     /*  229545 */     // No operand predicates
     /*  229545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229572 */     GIR_RootConstrainSelectedInstOperands,
     /*  229573 */     // GIR_Coverage, 8302,
     /*  229573 */     GIR_EraseRootFromParent_Done,
     /*  229574 */   // Label 4505: @229574
     /*  229574 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229648), // Rule ID 8303 //
     /*  229579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229619 */     // MIs[1] Operand 1
     /*  229619 */     // No operand predicates
     /*  229619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229646 */     GIR_RootConstrainSelectedInstOperands,
     /*  229647 */     // GIR_Coverage, 8303,
     /*  229647 */     GIR_EraseRootFromParent_Done,
     /*  229648 */   // Label 4506: @229648
     /*  229648 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229722), // Rule ID 8306 //
     /*  229653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229693 */     // MIs[1] Operand 1
     /*  229693 */     // No operand predicates
     /*  229693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229720 */     GIR_RootConstrainSelectedInstOperands,
     /*  229721 */     // GIR_Coverage, 8306,
     /*  229721 */     GIR_EraseRootFromParent_Done,
     /*  229722 */   // Label 4507: @229722
     /*  229722 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(229796), // Rule ID 8307 //
     /*  229727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229767 */     // MIs[1] Operand 1
     /*  229767 */     // No operand predicates
     /*  229767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229794 */     GIR_RootConstrainSelectedInstOperands,
     /*  229795 */     // GIR_Coverage, 8307,
     /*  229795 */     GIR_EraseRootFromParent_Done,
     /*  229796 */   // Label 4508: @229796
     /*  229796 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(229870), // Rule ID 8310 //
     /*  229801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229841 */     // MIs[1] Operand 1
     /*  229841 */     // No operand predicates
     /*  229841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229868 */     GIR_RootConstrainSelectedInstOperands,
     /*  229869 */     // GIR_Coverage, 8310,
     /*  229869 */     GIR_EraseRootFromParent_Done,
     /*  229870 */   // Label 4509: @229870
     /*  229870 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(229944), // Rule ID 8311 //
     /*  229875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229915 */     // MIs[1] Operand 1
     /*  229915 */     // No operand predicates
     /*  229915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229942 */     GIR_RootConstrainSelectedInstOperands,
     /*  229943 */     // GIR_Coverage, 8311,
     /*  229943 */     GIR_EraseRootFromParent_Done,
     /*  229944 */   // Label 4510: @229944
     /*  229944 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230018), // Rule ID 8314 //
     /*  229949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229989 */     // MIs[1] Operand 1
     /*  229989 */     // No operand predicates
     /*  229989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230016 */     GIR_RootConstrainSelectedInstOperands,
     /*  230017 */     // GIR_Coverage, 8314,
     /*  230017 */     GIR_EraseRootFromParent_Done,
     /*  230018 */   // Label 4511: @230018
     /*  230018 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230092), // Rule ID 8315 //
     /*  230023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230063 */     // MIs[1] Operand 1
     /*  230063 */     // No operand predicates
     /*  230063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230090 */     GIR_RootConstrainSelectedInstOperands,
     /*  230091 */     // GIR_Coverage, 8315,
     /*  230091 */     GIR_EraseRootFromParent_Done,
     /*  230092 */   // Label 4512: @230092
     /*  230092 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230166), // Rule ID 8846 //
     /*  230097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230137 */     // MIs[1] Operand 1
     /*  230137 */     // No operand predicates
     /*  230137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  230149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230164 */     GIR_RootConstrainSelectedInstOperands,
     /*  230165 */     // GIR_Coverage, 8846,
     /*  230165 */     GIR_EraseRootFromParent_Done,
     /*  230166 */   // Label 4513: @230166
     /*  230166 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230240), // Rule ID 8847 //
     /*  230171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230211 */     // MIs[1] Operand 1
     /*  230211 */     // No operand predicates
     /*  230211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  230223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230238 */     GIR_RootConstrainSelectedInstOperands,
     /*  230239 */     // GIR_Coverage, 8847,
     /*  230239 */     GIR_EraseRootFromParent_Done,
     /*  230240 */   // Label 4514: @230240
     /*  230240 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230314), // Rule ID 8850 //
     /*  230245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230285 */     // MIs[1] Operand 1
     /*  230285 */     // No operand predicates
     /*  230285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230294 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230312 */     GIR_RootConstrainSelectedInstOperands,
     /*  230313 */     // GIR_Coverage, 8850,
     /*  230313 */     GIR_EraseRootFromParent_Done,
     /*  230314 */   // Label 4515: @230314
     /*  230314 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230388), // Rule ID 8851 //
     /*  230319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230359 */     // MIs[1] Operand 1
     /*  230359 */     // No operand predicates
     /*  230359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230386 */     GIR_RootConstrainSelectedInstOperands,
     /*  230387 */     // GIR_Coverage, 8851,
     /*  230387 */     GIR_EraseRootFromParent_Done,
     /*  230388 */   // Label 4516: @230388
     /*  230388 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230462), // Rule ID 8854 //
     /*  230393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230433 */     // MIs[1] Operand 1
     /*  230433 */     // No operand predicates
     /*  230433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230460 */     GIR_RootConstrainSelectedInstOperands,
     /*  230461 */     // GIR_Coverage, 8854,
     /*  230461 */     GIR_EraseRootFromParent_Done,
     /*  230462 */   // Label 4517: @230462
     /*  230462 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230536), // Rule ID 8855 //
     /*  230467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230507 */     // MIs[1] Operand 1
     /*  230507 */     // No operand predicates
     /*  230507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230534 */     GIR_RootConstrainSelectedInstOperands,
     /*  230535 */     // GIR_Coverage, 8855,
     /*  230535 */     GIR_EraseRootFromParent_Done,
     /*  230536 */   // Label 4518: @230536
     /*  230536 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230610), // Rule ID 8858 //
     /*  230541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230581 */     // MIs[1] Operand 1
     /*  230581 */     // No operand predicates
     /*  230581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230590 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230608 */     GIR_RootConstrainSelectedInstOperands,
     /*  230609 */     // GIR_Coverage, 8858,
     /*  230609 */     GIR_EraseRootFromParent_Done,
     /*  230610 */   // Label 4519: @230610
     /*  230610 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230684), // Rule ID 8859 //
     /*  230615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230655 */     // MIs[1] Operand 1
     /*  230655 */     // No operand predicates
     /*  230655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230682 */     GIR_RootConstrainSelectedInstOperands,
     /*  230683 */     // GIR_Coverage, 8859,
     /*  230683 */     GIR_EraseRootFromParent_Done,
     /*  230684 */   // Label 4520: @230684
     /*  230684 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230758), // Rule ID 8862 //
     /*  230689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230729 */     // MIs[1] Operand 1
     /*  230729 */     // No operand predicates
     /*  230729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230756 */     GIR_RootConstrainSelectedInstOperands,
     /*  230757 */     // GIR_Coverage, 8862,
     /*  230757 */     GIR_EraseRootFromParent_Done,
     /*  230758 */   // Label 4521: @230758
     /*  230758 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(230832), // Rule ID 8863 //
     /*  230763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230803 */     // MIs[1] Operand 1
     /*  230803 */     // No operand predicates
     /*  230803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230830 */     GIR_RootConstrainSelectedInstOperands,
     /*  230831 */     // GIR_Coverage, 8863,
     /*  230831 */     GIR_EraseRootFromParent_Done,
     /*  230832 */   // Label 4522: @230832
     /*  230832 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(230906), // Rule ID 8866 //
     /*  230837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230877 */     // MIs[1] Operand 1
     /*  230877 */     // No operand predicates
     /*  230877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230886 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230904 */     GIR_RootConstrainSelectedInstOperands,
     /*  230905 */     // GIR_Coverage, 8866,
     /*  230905 */     GIR_EraseRootFromParent_Done,
     /*  230906 */   // Label 4523: @230906
     /*  230906 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(230980), // Rule ID 8867 //
     /*  230911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230951 */     // MIs[1] Operand 1
     /*  230951 */     // No operand predicates
     /*  230951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230978 */     GIR_RootConstrainSelectedInstOperands,
     /*  230979 */     // GIR_Coverage, 8867,
     /*  230979 */     GIR_EraseRootFromParent_Done,
     /*  230980 */   // Label 4524: @230980
     /*  230980 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231054), // Rule ID 8870 //
     /*  230985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231025 */     // MIs[1] Operand 1
     /*  231025 */     // No operand predicates
     /*  231025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231052 */     GIR_RootConstrainSelectedInstOperands,
     /*  231053 */     // GIR_Coverage, 8870,
     /*  231053 */     GIR_EraseRootFromParent_Done,
     /*  231054 */   // Label 4525: @231054
     /*  231054 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231128), // Rule ID 8871 //
     /*  231059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  231073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231099 */     // MIs[1] Operand 1
     /*  231099 */     // No operand predicates
     /*  231099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231126 */     GIR_RootConstrainSelectedInstOperands,
     /*  231127 */     // GIR_Coverage, 8871,
     /*  231127 */     GIR_EraseRootFromParent_Done,
     /*  231128 */   // Label 4526: @231128
     /*  231128 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231202), // Rule ID 8874 //
     /*  231133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231173 */     // MIs[1] Operand 1
     /*  231173 */     // No operand predicates
     /*  231173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231200 */     GIR_RootConstrainSelectedInstOperands,
     /*  231201 */     // GIR_Coverage, 8874,
     /*  231201 */     GIR_EraseRootFromParent_Done,
     /*  231202 */   // Label 4527: @231202
     /*  231202 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231276), // Rule ID 8875 //
     /*  231207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231247 */     // MIs[1] Operand 1
     /*  231247 */     // No operand predicates
     /*  231247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231274 */     GIR_RootConstrainSelectedInstOperands,
     /*  231275 */     // GIR_Coverage, 8875,
     /*  231275 */     GIR_EraseRootFromParent_Done,
     /*  231276 */   // Label 4528: @231276
     /*  231276 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231350), // Rule ID 8878 //
     /*  231281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231321 */     // MIs[1] Operand 1
     /*  231321 */     // No operand predicates
     /*  231321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231348 */     GIR_RootConstrainSelectedInstOperands,
     /*  231349 */     // GIR_Coverage, 8878,
     /*  231349 */     GIR_EraseRootFromParent_Done,
     /*  231350 */   // Label 4529: @231350
     /*  231350 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231424), // Rule ID 8879 //
     /*  231355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231395 */     // MIs[1] Operand 1
     /*  231395 */     // No operand predicates
     /*  231395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231422 */     GIR_RootConstrainSelectedInstOperands,
     /*  231423 */     // GIR_Coverage, 8879,
     /*  231423 */     GIR_EraseRootFromParent_Done,
     /*  231424 */   // Label 4530: @231424
     /*  231424 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231498), // Rule ID 8882 //
     /*  231429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231469 */     // MIs[1] Operand 1
     /*  231469 */     // No operand predicates
     /*  231469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231496 */     GIR_RootConstrainSelectedInstOperands,
     /*  231497 */     // GIR_Coverage, 8882,
     /*  231497 */     GIR_EraseRootFromParent_Done,
     /*  231498 */   // Label 4531: @231498
     /*  231498 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231572), // Rule ID 8883 //
     /*  231503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231543 */     // MIs[1] Operand 1
     /*  231543 */     // No operand predicates
     /*  231543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231570 */     GIR_RootConstrainSelectedInstOperands,
     /*  231571 */     // GIR_Coverage, 8883,
     /*  231571 */     GIR_EraseRootFromParent_Done,
     /*  231572 */   // Label 4532: @231572
     /*  231572 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231646), // Rule ID 8886 //
     /*  231577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231617 */     // MIs[1] Operand 1
     /*  231617 */     // No operand predicates
     /*  231617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231644 */     GIR_RootConstrainSelectedInstOperands,
     /*  231645 */     // GIR_Coverage, 8886,
     /*  231645 */     GIR_EraseRootFromParent_Done,
     /*  231646 */   // Label 4533: @231646
     /*  231646 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231720), // Rule ID 8887 //
     /*  231651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231691 */     // MIs[1] Operand 1
     /*  231691 */     // No operand predicates
     /*  231691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231718 */     GIR_RootConstrainSelectedInstOperands,
     /*  231719 */     // GIR_Coverage, 8887,
     /*  231719 */     GIR_EraseRootFromParent_Done,
     /*  231720 */   // Label 4534: @231720
     /*  231720 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(231794), // Rule ID 8890 //
     /*  231725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231765 */     // MIs[1] Operand 1
     /*  231765 */     // No operand predicates
     /*  231765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231774 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  231777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231792 */     GIR_RootConstrainSelectedInstOperands,
     /*  231793 */     // GIR_Coverage, 8890,
     /*  231793 */     GIR_EraseRootFromParent_Done,
     /*  231794 */   // Label 4535: @231794
     /*  231794 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(231868), // Rule ID 8891 //
     /*  231799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231839 */     // MIs[1] Operand 1
     /*  231839 */     // No operand predicates
     /*  231839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  231851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231866 */     GIR_RootConstrainSelectedInstOperands,
     /*  231867 */     // GIR_Coverage, 8891,
     /*  231867 */     GIR_EraseRootFromParent_Done,
     /*  231868 */   // Label 4536: @231868
     /*  231868 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(231942), // Rule ID 8894 //
     /*  231873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231913 */     // MIs[1] Operand 1
     /*  231913 */     // No operand predicates
     /*  231913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231922 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  231925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231940 */     GIR_RootConstrainSelectedInstOperands,
     /*  231941 */     // GIR_Coverage, 8894,
     /*  231941 */     GIR_EraseRootFromParent_Done,
     /*  231942 */   // Label 4537: @231942
     /*  231942 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232016), // Rule ID 8895 //
     /*  231947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231987 */     // MIs[1] Operand 1
     /*  231987 */     // No operand predicates
     /*  231987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231996 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  231999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232014 */     GIR_RootConstrainSelectedInstOperands,
     /*  232015 */     // GIR_Coverage, 8895,
     /*  232015 */     GIR_EraseRootFromParent_Done,
     /*  232016 */   // Label 4538: @232016
     /*  232016 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232090), // Rule ID 8898 //
     /*  232021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232061 */     // MIs[1] Operand 1
     /*  232061 */     // No operand predicates
     /*  232061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232088 */     GIR_RootConstrainSelectedInstOperands,
     /*  232089 */     // GIR_Coverage, 8898,
     /*  232089 */     GIR_EraseRootFromParent_Done,
     /*  232090 */   // Label 4539: @232090
     /*  232090 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232164), // Rule ID 8899 //
     /*  232095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232135 */     // MIs[1] Operand 1
     /*  232135 */     // No operand predicates
     /*  232135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232162 */     GIR_RootConstrainSelectedInstOperands,
     /*  232163 */     // GIR_Coverage, 8899,
     /*  232163 */     GIR_EraseRootFromParent_Done,
     /*  232164 */   // Label 4540: @232164
     /*  232164 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232238), // Rule ID 8902 //
     /*  232169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232209 */     // MIs[1] Operand 1
     /*  232209 */     // No operand predicates
     /*  232209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232236 */     GIR_RootConstrainSelectedInstOperands,
     /*  232237 */     // GIR_Coverage, 8902,
     /*  232237 */     GIR_EraseRootFromParent_Done,
     /*  232238 */   // Label 4541: @232238
     /*  232238 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232312), // Rule ID 8903 //
     /*  232243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232283 */     // MIs[1] Operand 1
     /*  232283 */     // No operand predicates
     /*  232283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232310 */     GIR_RootConstrainSelectedInstOperands,
     /*  232311 */     // GIR_Coverage, 8903,
     /*  232311 */     GIR_EraseRootFromParent_Done,
     /*  232312 */   // Label 4542: @232312
     /*  232312 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232386), // Rule ID 8906 //
     /*  232317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232357 */     // MIs[1] Operand 1
     /*  232357 */     // No operand predicates
     /*  232357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232366 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232384 */     GIR_RootConstrainSelectedInstOperands,
     /*  232385 */     // GIR_Coverage, 8906,
     /*  232385 */     GIR_EraseRootFromParent_Done,
     /*  232386 */   // Label 4543: @232386
     /*  232386 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232460), // Rule ID 8907 //
     /*  232391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232431 */     // MIs[1] Operand 1
     /*  232431 */     // No operand predicates
     /*  232431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232458 */     GIR_RootConstrainSelectedInstOperands,
     /*  232459 */     // GIR_Coverage, 8907,
     /*  232459 */     GIR_EraseRootFromParent_Done,
     /*  232460 */   // Label 4544: @232460
     /*  232460 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232534), // Rule ID 8910 //
     /*  232465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232505 */     // MIs[1] Operand 1
     /*  232505 */     // No operand predicates
     /*  232505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232532 */     GIR_RootConstrainSelectedInstOperands,
     /*  232533 */     // GIR_Coverage, 8910,
     /*  232533 */     GIR_EraseRootFromParent_Done,
     /*  232534 */   // Label 4545: @232534
     /*  232534 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232608), // Rule ID 8911 //
     /*  232539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232579 */     // MIs[1] Operand 1
     /*  232579 */     // No operand predicates
     /*  232579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232606 */     GIR_RootConstrainSelectedInstOperands,
     /*  232607 */     // GIR_Coverage, 8911,
     /*  232607 */     GIR_EraseRootFromParent_Done,
     /*  232608 */   // Label 4546: @232608
     /*  232608 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232682), // Rule ID 8914 //
     /*  232613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232653 */     // MIs[1] Operand 1
     /*  232653 */     // No operand predicates
     /*  232653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232680 */     GIR_RootConstrainSelectedInstOperands,
     /*  232681 */     // GIR_Coverage, 8914,
     /*  232681 */     GIR_EraseRootFromParent_Done,
     /*  232682 */   // Label 4547: @232682
     /*  232682 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232756), // Rule ID 8915 //
     /*  232687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232727 */     // MIs[1] Operand 1
     /*  232727 */     // No operand predicates
     /*  232727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232754 */     GIR_RootConstrainSelectedInstOperands,
     /*  232755 */     // GIR_Coverage, 8915,
     /*  232755 */     GIR_EraseRootFromParent_Done,
     /*  232756 */   // Label 4548: @232756
     /*  232756 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(232830), // Rule ID 8918 //
     /*  232761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232801 */     // MIs[1] Operand 1
     /*  232801 */     // No operand predicates
     /*  232801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232810 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232828 */     GIR_RootConstrainSelectedInstOperands,
     /*  232829 */     // GIR_Coverage, 8918,
     /*  232829 */     GIR_EraseRootFromParent_Done,
     /*  232830 */   // Label 4549: @232830
     /*  232830 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(232904), // Rule ID 8919 //
     /*  232835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232875 */     // MIs[1] Operand 1
     /*  232875 */     // No operand predicates
     /*  232875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232902 */     GIR_RootConstrainSelectedInstOperands,
     /*  232903 */     // GIR_Coverage, 8919,
     /*  232903 */     GIR_EraseRootFromParent_Done,
     /*  232904 */   // Label 4550: @232904
     /*  232904 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(232978), // Rule ID 8922 //
     /*  232909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232949 */     // MIs[1] Operand 1
     /*  232949 */     // No operand predicates
     /*  232949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232976 */     GIR_RootConstrainSelectedInstOperands,
     /*  232977 */     // GIR_Coverage, 8922,
     /*  232977 */     GIR_EraseRootFromParent_Done,
     /*  232978 */   // Label 4551: @232978
     /*  232978 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233052), // Rule ID 8923 //
     /*  232983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233023 */     // MIs[1] Operand 1
     /*  233023 */     // No operand predicates
     /*  233023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  233035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233050 */     GIR_RootConstrainSelectedInstOperands,
     /*  233051 */     // GIR_Coverage, 8923,
     /*  233051 */     GIR_EraseRootFromParent_Done,
     /*  233052 */   // Label 4552: @233052
     /*  233052 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233126), // Rule ID 8926 //
     /*  233057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233097 */     // MIs[1] Operand 1
     /*  233097 */     // No operand predicates
     /*  233097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233124 */     GIR_RootConstrainSelectedInstOperands,
     /*  233125 */     // GIR_Coverage, 8926,
     /*  233125 */     GIR_EraseRootFromParent_Done,
     /*  233126 */   // Label 4553: @233126
     /*  233126 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233200), // Rule ID 8927 //
     /*  233131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233171 */     // MIs[1] Operand 1
     /*  233171 */     // No operand predicates
     /*  233171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233198 */     GIR_RootConstrainSelectedInstOperands,
     /*  233199 */     // GIR_Coverage, 8927,
     /*  233199 */     GIR_EraseRootFromParent_Done,
     /*  233200 */   // Label 4554: @233200
     /*  233200 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233274), // Rule ID 8930 //
     /*  233205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233245 */     // MIs[1] Operand 1
     /*  233245 */     // No operand predicates
     /*  233245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233272 */     GIR_RootConstrainSelectedInstOperands,
     /*  233273 */     // GIR_Coverage, 8930,
     /*  233273 */     GIR_EraseRootFromParent_Done,
     /*  233274 */   // Label 4555: @233274
     /*  233274 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233348), // Rule ID 8931 //
     /*  233279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233319 */     // MIs[1] Operand 1
     /*  233319 */     // No operand predicates
     /*  233319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233346 */     GIR_RootConstrainSelectedInstOperands,
     /*  233347 */     // GIR_Coverage, 8931,
     /*  233347 */     GIR_EraseRootFromParent_Done,
     /*  233348 */   // Label 4556: @233348
     /*  233348 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233422), // Rule ID 9110 //
     /*  233353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233393 */     // MIs[1] Operand 1
     /*  233393 */     // No operand predicates
     /*  233393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233420 */     GIR_RootConstrainSelectedInstOperands,
     /*  233421 */     // GIR_Coverage, 9110,
     /*  233421 */     GIR_EraseRootFromParent_Done,
     /*  233422 */   // Label 4557: @233422
     /*  233422 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233496), // Rule ID 9111 //
     /*  233427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233467 */     // MIs[1] Operand 1
     /*  233467 */     // No operand predicates
     /*  233467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233494 */     GIR_RootConstrainSelectedInstOperands,
     /*  233495 */     // GIR_Coverage, 9111,
     /*  233495 */     GIR_EraseRootFromParent_Done,
     /*  233496 */   // Label 4558: @233496
     /*  233496 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233570), // Rule ID 9114 //
     /*  233501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233541 */     // MIs[1] Operand 1
     /*  233541 */     // No operand predicates
     /*  233541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233568 */     GIR_RootConstrainSelectedInstOperands,
     /*  233569 */     // GIR_Coverage, 9114,
     /*  233569 */     GIR_EraseRootFromParent_Done,
     /*  233570 */   // Label 4559: @233570
     /*  233570 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233644), // Rule ID 9115 //
     /*  233575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233615 */     // MIs[1] Operand 1
     /*  233615 */     // No operand predicates
     /*  233615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233642 */     GIR_RootConstrainSelectedInstOperands,
     /*  233643 */     // GIR_Coverage, 9115,
     /*  233643 */     GIR_EraseRootFromParent_Done,
     /*  233644 */   // Label 4560: @233644
     /*  233644 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233718), // Rule ID 9118 //
     /*  233649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233689 */     // MIs[1] Operand 1
     /*  233689 */     // No operand predicates
     /*  233689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233698 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233716 */     GIR_RootConstrainSelectedInstOperands,
     /*  233717 */     // GIR_Coverage, 9118,
     /*  233717 */     GIR_EraseRootFromParent_Done,
     /*  233718 */   // Label 4561: @233718
     /*  233718 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(233792), // Rule ID 9119 //
     /*  233723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233763 */     // MIs[1] Operand 1
     /*  233763 */     // No operand predicates
     /*  233763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233790 */     GIR_RootConstrainSelectedInstOperands,
     /*  233791 */     // GIR_Coverage, 9119,
     /*  233791 */     GIR_EraseRootFromParent_Done,
     /*  233792 */   // Label 4562: @233792
     /*  233792 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(233866), // Rule ID 9122 //
     /*  233797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233837 */     // MIs[1] Operand 1
     /*  233837 */     // No operand predicates
     /*  233837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233846 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233864 */     GIR_RootConstrainSelectedInstOperands,
     /*  233865 */     // GIR_Coverage, 9122,
     /*  233865 */     GIR_EraseRootFromParent_Done,
     /*  233866 */   // Label 4563: @233866
     /*  233866 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(233940), // Rule ID 9123 //
     /*  233871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233911 */     // MIs[1] Operand 1
     /*  233911 */     // No operand predicates
     /*  233911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233938 */     GIR_RootConstrainSelectedInstOperands,
     /*  233939 */     // GIR_Coverage, 9123,
     /*  233939 */     GIR_EraseRootFromParent_Done,
     /*  233940 */   // Label 4564: @233940
     /*  233940 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234014), // Rule ID 9126 //
     /*  233945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233985 */     // MIs[1] Operand 1
     /*  233985 */     // No operand predicates
     /*  233985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234012 */     GIR_RootConstrainSelectedInstOperands,
     /*  234013 */     // GIR_Coverage, 9126,
     /*  234013 */     GIR_EraseRootFromParent_Done,
     /*  234014 */   // Label 4565: @234014
     /*  234014 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234088), // Rule ID 9127 //
     /*  234019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234059 */     // MIs[1] Operand 1
     /*  234059 */     // No operand predicates
     /*  234059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234086 */     GIR_RootConstrainSelectedInstOperands,
     /*  234087 */     // GIR_Coverage, 9127,
     /*  234087 */     GIR_EraseRootFromParent_Done,
     /*  234088 */   // Label 4566: @234088
     /*  234088 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234162), // Rule ID 9130 //
     /*  234093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234133 */     // MIs[1] Operand 1
     /*  234133 */     // No operand predicates
     /*  234133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234160 */     GIR_RootConstrainSelectedInstOperands,
     /*  234161 */     // GIR_Coverage, 9130,
     /*  234161 */     GIR_EraseRootFromParent_Done,
     /*  234162 */   // Label 4567: @234162
     /*  234162 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234236), // Rule ID 9131 //
     /*  234167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234207 */     // MIs[1] Operand 1
     /*  234207 */     // No operand predicates
     /*  234207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234234 */     GIR_RootConstrainSelectedInstOperands,
     /*  234235 */     // GIR_Coverage, 9131,
     /*  234235 */     GIR_EraseRootFromParent_Done,
     /*  234236 */   // Label 4568: @234236
     /*  234236 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234310), // Rule ID 9134 //
     /*  234241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234281 */     // MIs[1] Operand 1
     /*  234281 */     // No operand predicates
     /*  234281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234290 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234308 */     GIR_RootConstrainSelectedInstOperands,
     /*  234309 */     // GIR_Coverage, 9134,
     /*  234309 */     GIR_EraseRootFromParent_Done,
     /*  234310 */   // Label 4569: @234310
     /*  234310 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234384), // Rule ID 9135 //
     /*  234315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234355 */     // MIs[1] Operand 1
     /*  234355 */     // No operand predicates
     /*  234355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234382 */     GIR_RootConstrainSelectedInstOperands,
     /*  234383 */     // GIR_Coverage, 9135,
     /*  234383 */     GIR_EraseRootFromParent_Done,
     /*  234384 */   // Label 4570: @234384
     /*  234384 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234458), // Rule ID 9138 //
     /*  234389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234429 */     // MIs[1] Operand 1
     /*  234429 */     // No operand predicates
     /*  234429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234438 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234456 */     GIR_RootConstrainSelectedInstOperands,
     /*  234457 */     // GIR_Coverage, 9138,
     /*  234457 */     GIR_EraseRootFromParent_Done,
     /*  234458 */   // Label 4571: @234458
     /*  234458 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234532), // Rule ID 9139 //
     /*  234463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234503 */     // MIs[1] Operand 1
     /*  234503 */     // No operand predicates
     /*  234503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234530 */     GIR_RootConstrainSelectedInstOperands,
     /*  234531 */     // GIR_Coverage, 9139,
     /*  234531 */     GIR_EraseRootFromParent_Done,
     /*  234532 */   // Label 4572: @234532
     /*  234532 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234606), // Rule ID 9142 //
     /*  234537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234577 */     // MIs[1] Operand 1
     /*  234577 */     // No operand predicates
     /*  234577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234586 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234604 */     GIR_RootConstrainSelectedInstOperands,
     /*  234605 */     // GIR_Coverage, 9142,
     /*  234605 */     GIR_EraseRootFromParent_Done,
     /*  234606 */   // Label 4573: @234606
     /*  234606 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234680), // Rule ID 9143 //
     /*  234611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234651 */     // MIs[1] Operand 1
     /*  234651 */     // No operand predicates
     /*  234651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234678 */     GIR_RootConstrainSelectedInstOperands,
     /*  234679 */     // GIR_Coverage, 9143,
     /*  234679 */     GIR_EraseRootFromParent_Done,
     /*  234680 */   // Label 4574: @234680
     /*  234680 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234754), // Rule ID 9146 //
     /*  234685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234725 */     // MIs[1] Operand 1
     /*  234725 */     // No operand predicates
     /*  234725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234752 */     GIR_RootConstrainSelectedInstOperands,
     /*  234753 */     // GIR_Coverage, 9146,
     /*  234753 */     GIR_EraseRootFromParent_Done,
     /*  234754 */   // Label 4575: @234754
     /*  234754 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(234828), // Rule ID 9147 //
     /*  234759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234799 */     // MIs[1] Operand 1
     /*  234799 */     // No operand predicates
     /*  234799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234826 */     GIR_RootConstrainSelectedInstOperands,
     /*  234827 */     // GIR_Coverage, 9147,
     /*  234827 */     GIR_EraseRootFromParent_Done,
     /*  234828 */   // Label 4576: @234828
     /*  234828 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(234902), // Rule ID 9150 //
     /*  234833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234873 */     // MIs[1] Operand 1
     /*  234873 */     // No operand predicates
     /*  234873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234882 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  234885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234900 */     GIR_RootConstrainSelectedInstOperands,
     /*  234901 */     // GIR_Coverage, 9150,
     /*  234901 */     GIR_EraseRootFromParent_Done,
     /*  234902 */   // Label 4577: @234902
     /*  234902 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(234976), // Rule ID 9151 //
     /*  234907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234947 */     // MIs[1] Operand 1
     /*  234947 */     // No operand predicates
     /*  234947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  234959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234974 */     GIR_RootConstrainSelectedInstOperands,
     /*  234975 */     // GIR_Coverage, 9151,
     /*  234975 */     GIR_EraseRootFromParent_Done,
     /*  234976 */   // Label 4578: @234976
     /*  234976 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235050), // Rule ID 9154 //
     /*  234981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  234995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235021 */     // MIs[1] Operand 1
     /*  235021 */     // No operand predicates
     /*  235021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235048 */     GIR_RootConstrainSelectedInstOperands,
     /*  235049 */     // GIR_Coverage, 9154,
     /*  235049 */     GIR_EraseRootFromParent_Done,
     /*  235050 */   // Label 4579: @235050
     /*  235050 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235124), // Rule ID 9155 //
     /*  235055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  235069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235095 */     // MIs[1] Operand 1
     /*  235095 */     // No operand predicates
     /*  235095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235122 */     GIR_RootConstrainSelectedInstOperands,
     /*  235123 */     // GIR_Coverage, 9155,
     /*  235123 */     GIR_EraseRootFromParent_Done,
     /*  235124 */   // Label 4580: @235124
     /*  235124 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235198), // Rule ID 9158 //
     /*  235129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235169 */     // MIs[1] Operand 1
     /*  235169 */     // No operand predicates
     /*  235169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235178 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235196 */     GIR_RootConstrainSelectedInstOperands,
     /*  235197 */     // GIR_Coverage, 9158,
     /*  235197 */     GIR_EraseRootFromParent_Done,
     /*  235198 */   // Label 4581: @235198
     /*  235198 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235272), // Rule ID 9159 //
     /*  235203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235243 */     // MIs[1] Operand 1
     /*  235243 */     // No operand predicates
     /*  235243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235252 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235270 */     GIR_RootConstrainSelectedInstOperands,
     /*  235271 */     // GIR_Coverage, 9159,
     /*  235271 */     GIR_EraseRootFromParent_Done,
     /*  235272 */   // Label 4582: @235272
     /*  235272 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235346), // Rule ID 9162 //
     /*  235277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235317 */     // MIs[1] Operand 1
     /*  235317 */     // No operand predicates
     /*  235317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235326 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235344 */     GIR_RootConstrainSelectedInstOperands,
     /*  235345 */     // GIR_Coverage, 9162,
     /*  235345 */     GIR_EraseRootFromParent_Done,
     /*  235346 */   // Label 4583: @235346
     /*  235346 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235420), // Rule ID 9163 //
     /*  235351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235391 */     // MIs[1] Operand 1
     /*  235391 */     // No operand predicates
     /*  235391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235418 */     GIR_RootConstrainSelectedInstOperands,
     /*  235419 */     // GIR_Coverage, 9163,
     /*  235419 */     GIR_EraseRootFromParent_Done,
     /*  235420 */   // Label 4584: @235420
     /*  235420 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235494), // Rule ID 9166 //
     /*  235425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235465 */     // MIs[1] Operand 1
     /*  235465 */     // No operand predicates
     /*  235465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235474 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235492 */     GIR_RootConstrainSelectedInstOperands,
     /*  235493 */     // GIR_Coverage, 9166,
     /*  235493 */     GIR_EraseRootFromParent_Done,
     /*  235494 */   // Label 4585: @235494
     /*  235494 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235568), // Rule ID 9167 //
     /*  235499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235539 */     // MIs[1] Operand 1
     /*  235539 */     // No operand predicates
     /*  235539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235566 */     GIR_RootConstrainSelectedInstOperands,
     /*  235567 */     // GIR_Coverage, 9167,
     /*  235567 */     GIR_EraseRootFromParent_Done,
     /*  235568 */   // Label 4586: @235568
     /*  235568 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235642), // Rule ID 9170 //
     /*  235573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235613 */     // MIs[1] Operand 1
     /*  235613 */     // No operand predicates
     /*  235613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235640 */     GIR_RootConstrainSelectedInstOperands,
     /*  235641 */     // GIR_Coverage, 9170,
     /*  235641 */     GIR_EraseRootFromParent_Done,
     /*  235642 */   // Label 4587: @235642
     /*  235642 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(235716), // Rule ID 9171 //
     /*  235647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235687 */     // MIs[1] Operand 1
     /*  235687 */     // No operand predicates
     /*  235687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235714 */     GIR_RootConstrainSelectedInstOperands,
     /*  235715 */     // GIR_Coverage, 9171,
     /*  235715 */     GIR_EraseRootFromParent_Done,
     /*  235716 */   // Label 4588: @235716
     /*  235716 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(235790), // Rule ID 9174 //
     /*  235721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235761 */     // MIs[1] Operand 1
     /*  235761 */     // No operand predicates
     /*  235761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235788 */     GIR_RootConstrainSelectedInstOperands,
     /*  235789 */     // GIR_Coverage, 9174,
     /*  235789 */     GIR_EraseRootFromParent_Done,
     /*  235790 */   // Label 4589: @235790
     /*  235790 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(235864), // Rule ID 9175 //
     /*  235795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235835 */     // MIs[1] Operand 1
     /*  235835 */     // No operand predicates
     /*  235835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235862 */     GIR_RootConstrainSelectedInstOperands,
     /*  235863 */     // GIR_Coverage, 9175,
     /*  235863 */     GIR_EraseRootFromParent_Done,
     /*  235864 */   // Label 4590: @235864
     /*  235864 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(235938), // Rule ID 9178 //
     /*  235869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235909 */     // MIs[1] Operand 1
     /*  235909 */     // No operand predicates
     /*  235909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235936 */     GIR_RootConstrainSelectedInstOperands,
     /*  235937 */     // GIR_Coverage, 9178,
     /*  235937 */     GIR_EraseRootFromParent_Done,
     /*  235938 */   // Label 4591: @235938
     /*  235938 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236012), // Rule ID 9179 //
     /*  235943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235983 */     // MIs[1] Operand 1
     /*  235983 */     // No operand predicates
     /*  235983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236010 */     GIR_RootConstrainSelectedInstOperands,
     /*  236011 */     // GIR_Coverage, 9179,
     /*  236011 */     GIR_EraseRootFromParent_Done,
     /*  236012 */   // Label 4592: @236012
     /*  236012 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236086), // Rule ID 9182 //
     /*  236017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236057 */     // MIs[1] Operand 1
     /*  236057 */     // No operand predicates
     /*  236057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236084 */     GIR_RootConstrainSelectedInstOperands,
     /*  236085 */     // GIR_Coverage, 9182,
     /*  236085 */     GIR_EraseRootFromParent_Done,
     /*  236086 */   // Label 4593: @236086
     /*  236086 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236160), // Rule ID 9183 //
     /*  236091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236131 */     // MIs[1] Operand 1
     /*  236131 */     // No operand predicates
     /*  236131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236158 */     GIR_RootConstrainSelectedInstOperands,
     /*  236159 */     // GIR_Coverage, 9183,
     /*  236159 */     GIR_EraseRootFromParent_Done,
     /*  236160 */   // Label 4594: @236160
     /*  236160 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236234), // Rule ID 9186 //
     /*  236165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236205 */     // MIs[1] Operand 1
     /*  236205 */     // No operand predicates
     /*  236205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236214 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236232 */     GIR_RootConstrainSelectedInstOperands,
     /*  236233 */     // GIR_Coverage, 9186,
     /*  236233 */     GIR_EraseRootFromParent_Done,
     /*  236234 */   // Label 4595: @236234
     /*  236234 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236308), // Rule ID 9187 //
     /*  236239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236279 */     // MIs[1] Operand 1
     /*  236279 */     // No operand predicates
     /*  236279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236306 */     GIR_RootConstrainSelectedInstOperands,
     /*  236307 */     // GIR_Coverage, 9187,
     /*  236307 */     GIR_EraseRootFromParent_Done,
     /*  236308 */   // Label 4596: @236308
     /*  236308 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236382), // Rule ID 9190 //
     /*  236313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236353 */     // MIs[1] Operand 1
     /*  236353 */     // No operand predicates
     /*  236353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236380 */     GIR_RootConstrainSelectedInstOperands,
     /*  236381 */     // GIR_Coverage, 9190,
     /*  236381 */     GIR_EraseRootFromParent_Done,
     /*  236382 */   // Label 4597: @236382
     /*  236382 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236456), // Rule ID 9191 //
     /*  236387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236427 */     // MIs[1] Operand 1
     /*  236427 */     // No operand predicates
     /*  236427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236454 */     GIR_RootConstrainSelectedInstOperands,
     /*  236455 */     // GIR_Coverage, 9191,
     /*  236455 */     GIR_EraseRootFromParent_Done,
     /*  236456 */   // Label 4598: @236456
     /*  236456 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236530), // Rule ID 9194 //
     /*  236461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236501 */     // MIs[1] Operand 1
     /*  236501 */     // No operand predicates
     /*  236501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236510 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236528 */     GIR_RootConstrainSelectedInstOperands,
     /*  236529 */     // GIR_Coverage, 9194,
     /*  236529 */     GIR_EraseRootFromParent_Done,
     /*  236530 */   // Label 4599: @236530
     /*  236530 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236604), // Rule ID 9195 //
     /*  236535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236575 */     // MIs[1] Operand 1
     /*  236575 */     // No operand predicates
     /*  236575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236602 */     GIR_RootConstrainSelectedInstOperands,
     /*  236603 */     // GIR_Coverage, 9195,
     /*  236603 */     GIR_EraseRootFromParent_Done,
     /*  236604 */   // Label 4600: @236604
     /*  236604 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236678), // Rule ID 9286 //
     /*  236609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236649 */     // MIs[1] Operand 1
     /*  236649 */     // No operand predicates
     /*  236649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  236661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236676 */     GIR_RootConstrainSelectedInstOperands,
     /*  236677 */     // GIR_Coverage, 9286,
     /*  236677 */     GIR_EraseRootFromParent_Done,
     /*  236678 */   // Label 4601: @236678
     /*  236678 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(236752), // Rule ID 9287 //
     /*  236683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236723 */     // MIs[1] Operand 1
     /*  236723 */     // No operand predicates
     /*  236723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  236735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236750 */     GIR_RootConstrainSelectedInstOperands,
     /*  236751 */     // GIR_Coverage, 9287,
     /*  236751 */     GIR_EraseRootFromParent_Done,
     /*  236752 */   // Label 4602: @236752
     /*  236752 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(236826), // Rule ID 9290 //
     /*  236757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236797 */     // MIs[1] Operand 1
     /*  236797 */     // No operand predicates
     /*  236797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236824 */     GIR_RootConstrainSelectedInstOperands,
     /*  236825 */     // GIR_Coverage, 9290,
     /*  236825 */     GIR_EraseRootFromParent_Done,
     /*  236826 */   // Label 4603: @236826
     /*  236826 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(236900), // Rule ID 9291 //
     /*  236831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236871 */     // MIs[1] Operand 1
     /*  236871 */     // No operand predicates
     /*  236871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236898 */     GIR_RootConstrainSelectedInstOperands,
     /*  236899 */     // GIR_Coverage, 9291,
     /*  236899 */     GIR_EraseRootFromParent_Done,
     /*  236900 */   // Label 4604: @236900
     /*  236900 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(236974), // Rule ID 9294 //
     /*  236905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236945 */     // MIs[1] Operand 1
     /*  236945 */     // No operand predicates
     /*  236945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236954 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  236957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236972 */     GIR_RootConstrainSelectedInstOperands,
     /*  236973 */     // GIR_Coverage, 9294,
     /*  236973 */     GIR_EraseRootFromParent_Done,
     /*  236974 */   // Label 4605: @236974
     /*  236974 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237048), // Rule ID 9295 //
     /*  236979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237019 */     // MIs[1] Operand 1
     /*  237019 */     // No operand predicates
     /*  237019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237046 */     GIR_RootConstrainSelectedInstOperands,
     /*  237047 */     // GIR_Coverage, 9295,
     /*  237047 */     GIR_EraseRootFromParent_Done,
     /*  237048 */   // Label 4606: @237048
     /*  237048 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237122), // Rule ID 9298 //
     /*  237053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237093 */     // MIs[1] Operand 1
     /*  237093 */     // No operand predicates
     /*  237093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237120 */     GIR_RootConstrainSelectedInstOperands,
     /*  237121 */     // GIR_Coverage, 9298,
     /*  237121 */     GIR_EraseRootFromParent_Done,
     /*  237122 */   // Label 4607: @237122
     /*  237122 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237196), // Rule ID 9299 //
     /*  237127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237167 */     // MIs[1] Operand 1
     /*  237167 */     // No operand predicates
     /*  237167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237194 */     GIR_RootConstrainSelectedInstOperands,
     /*  237195 */     // GIR_Coverage, 9299,
     /*  237195 */     GIR_EraseRootFromParent_Done,
     /*  237196 */   // Label 4608: @237196
     /*  237196 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237270), // Rule ID 9302 //
     /*  237201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237241 */     // MIs[1] Operand 1
     /*  237241 */     // No operand predicates
     /*  237241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237268 */     GIR_RootConstrainSelectedInstOperands,
     /*  237269 */     // GIR_Coverage, 9302,
     /*  237269 */     GIR_EraseRootFromParent_Done,
     /*  237270 */   // Label 4609: @237270
     /*  237270 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237344), // Rule ID 9303 //
     /*  237275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237315 */     // MIs[1] Operand 1
     /*  237315 */     // No operand predicates
     /*  237315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237342 */     GIR_RootConstrainSelectedInstOperands,
     /*  237343 */     // GIR_Coverage, 9303,
     /*  237343 */     GIR_EraseRootFromParent_Done,
     /*  237344 */   // Label 4610: @237344
     /*  237344 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237418), // Rule ID 9306 //
     /*  237349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237389 */     // MIs[1] Operand 1
     /*  237389 */     // No operand predicates
     /*  237389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237416 */     GIR_RootConstrainSelectedInstOperands,
     /*  237417 */     // GIR_Coverage, 9306,
     /*  237417 */     GIR_EraseRootFromParent_Done,
     /*  237418 */   // Label 4611: @237418
     /*  237418 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237492), // Rule ID 9307 //
     /*  237423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237463 */     // MIs[1] Operand 1
     /*  237463 */     // No operand predicates
     /*  237463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237490 */     GIR_RootConstrainSelectedInstOperands,
     /*  237491 */     // GIR_Coverage, 9307,
     /*  237491 */     GIR_EraseRootFromParent_Done,
     /*  237492 */   // Label 4612: @237492
     /*  237492 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237566), // Rule ID 9310 //
     /*  237497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237537 */     // MIs[1] Operand 1
     /*  237537 */     // No operand predicates
     /*  237537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237546 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237564 */     GIR_RootConstrainSelectedInstOperands,
     /*  237565 */     // GIR_Coverage, 9310,
     /*  237565 */     GIR_EraseRootFromParent_Done,
     /*  237566 */   // Label 4613: @237566
     /*  237566 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237640), // Rule ID 9311 //
     /*  237571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237611 */     // MIs[1] Operand 1
     /*  237611 */     // No operand predicates
     /*  237611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237638 */     GIR_RootConstrainSelectedInstOperands,
     /*  237639 */     // GIR_Coverage, 9311,
     /*  237639 */     GIR_EraseRootFromParent_Done,
     /*  237640 */   // Label 4614: @237640
     /*  237640 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(237714), // Rule ID 9314 //
     /*  237645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237685 */     // MIs[1] Operand 1
     /*  237685 */     // No operand predicates
     /*  237685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237712 */     GIR_RootConstrainSelectedInstOperands,
     /*  237713 */     // GIR_Coverage, 9314,
     /*  237713 */     GIR_EraseRootFromParent_Done,
     /*  237714 */   // Label 4615: @237714
     /*  237714 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(237788), // Rule ID 9315 //
     /*  237719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237759 */     // MIs[1] Operand 1
     /*  237759 */     // No operand predicates
     /*  237759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237786 */     GIR_RootConstrainSelectedInstOperands,
     /*  237787 */     // GIR_Coverage, 9315,
     /*  237787 */     GIR_EraseRootFromParent_Done,
     /*  237788 */   // Label 4616: @237788
     /*  237788 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(237862), // Rule ID 9318 //
     /*  237793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237833 */     // MIs[1] Operand 1
     /*  237833 */     // No operand predicates
     /*  237833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237860 */     GIR_RootConstrainSelectedInstOperands,
     /*  237861 */     // GIR_Coverage, 9318,
     /*  237861 */     GIR_EraseRootFromParent_Done,
     /*  237862 */   // Label 4617: @237862
     /*  237862 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(237936), // Rule ID 9319 //
     /*  237867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237907 */     // MIs[1] Operand 1
     /*  237907 */     // No operand predicates
     /*  237907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237934 */     GIR_RootConstrainSelectedInstOperands,
     /*  237935 */     // GIR_Coverage, 9319,
     /*  237935 */     GIR_EraseRootFromParent_Done,
     /*  237936 */   // Label 4618: @237936
     /*  237936 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238010), // Rule ID 9322 //
     /*  237941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  237944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  237955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237981 */     // MIs[1] Operand 1
     /*  237981 */     // No operand predicates
     /*  237981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238008 */     GIR_RootConstrainSelectedInstOperands,
     /*  238009 */     // GIR_Coverage, 9322,
     /*  238009 */     GIR_EraseRootFromParent_Done,
     /*  238010 */   // Label 4619: @238010
     /*  238010 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238084), // Rule ID 9323 //
     /*  238015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238055 */     // MIs[1] Operand 1
     /*  238055 */     // No operand predicates
     /*  238055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238082 */     GIR_RootConstrainSelectedInstOperands,
     /*  238083 */     // GIR_Coverage, 9323,
     /*  238083 */     GIR_EraseRootFromParent_Done,
     /*  238084 */   // Label 4620: @238084
     /*  238084 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238158), // Rule ID 9326 //
     /*  238089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  238103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238129 */     // MIs[1] Operand 1
     /*  238129 */     // No operand predicates
     /*  238129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238156 */     GIR_RootConstrainSelectedInstOperands,
     /*  238157 */     // GIR_Coverage, 9326,
     /*  238157 */     GIR_EraseRootFromParent_Done,
     /*  238158 */   // Label 4621: @238158
     /*  238158 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238232), // Rule ID 9327 //
     /*  238163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  238177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238203 */     // MIs[1] Operand 1
     /*  238203 */     // No operand predicates
     /*  238203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238230 */     GIR_RootConstrainSelectedInstOperands,
     /*  238231 */     // GIR_Coverage, 9327,
     /*  238231 */     GIR_EraseRootFromParent_Done,
     /*  238232 */   // Label 4622: @238232
     /*  238232 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238306), // Rule ID 9330 //
     /*  238237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238277 */     // MIs[1] Operand 1
     /*  238277 */     // No operand predicates
     /*  238277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238286 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238304 */     GIR_RootConstrainSelectedInstOperands,
     /*  238305 */     // GIR_Coverage, 9330,
     /*  238305 */     GIR_EraseRootFromParent_Done,
     /*  238306 */   // Label 4623: @238306
     /*  238306 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238380), // Rule ID 9331 //
     /*  238311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238351 */     // MIs[1] Operand 1
     /*  238351 */     // No operand predicates
     /*  238351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238378 */     GIR_RootConstrainSelectedInstOperands,
     /*  238379 */     // GIR_Coverage, 9331,
     /*  238379 */     GIR_EraseRootFromParent_Done,
     /*  238380 */   // Label 4624: @238380
     /*  238380 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238454), // Rule ID 9334 //
     /*  238385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238425 */     // MIs[1] Operand 1
     /*  238425 */     // No operand predicates
     /*  238425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238434 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238452 */     GIR_RootConstrainSelectedInstOperands,
     /*  238453 */     // GIR_Coverage, 9334,
     /*  238453 */     GIR_EraseRootFromParent_Done,
     /*  238454 */   // Label 4625: @238454
     /*  238454 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238528), // Rule ID 9335 //
     /*  238459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238499 */     // MIs[1] Operand 1
     /*  238499 */     // No operand predicates
     /*  238499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238508 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238526 */     GIR_RootConstrainSelectedInstOperands,
     /*  238527 */     // GIR_Coverage, 9335,
     /*  238527 */     GIR_EraseRootFromParent_Done,
     /*  238528 */   // Label 4626: @238528
     /*  238528 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238602), // Rule ID 9338 //
     /*  238533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238573 */     // MIs[1] Operand 1
     /*  238573 */     // No operand predicates
     /*  238573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238600 */     GIR_RootConstrainSelectedInstOperands,
     /*  238601 */     // GIR_Coverage, 9338,
     /*  238601 */     GIR_EraseRootFromParent_Done,
     /*  238602 */   // Label 4627: @238602
     /*  238602 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238676), // Rule ID 9339 //
     /*  238607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238647 */     // MIs[1] Operand 1
     /*  238647 */     // No operand predicates
     /*  238647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238674 */     GIR_RootConstrainSelectedInstOperands,
     /*  238675 */     // GIR_Coverage, 9339,
     /*  238675 */     GIR_EraseRootFromParent_Done,
     /*  238676 */   // Label 4628: @238676
     /*  238676 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238750), // Rule ID 9342 //
     /*  238681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238721 */     // MIs[1] Operand 1
     /*  238721 */     // No operand predicates
     /*  238721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238730 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238748 */     GIR_RootConstrainSelectedInstOperands,
     /*  238749 */     // GIR_Coverage, 9342,
     /*  238749 */     GIR_EraseRootFromParent_Done,
     /*  238750 */   // Label 4629: @238750
     /*  238750 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(238824), // Rule ID 9343 //
     /*  238755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238795 */     // MIs[1] Operand 1
     /*  238795 */     // No operand predicates
     /*  238795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238822 */     GIR_RootConstrainSelectedInstOperands,
     /*  238823 */     // GIR_Coverage, 9343,
     /*  238823 */     GIR_EraseRootFromParent_Done,
     /*  238824 */   // Label 4630: @238824
     /*  238824 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(238898), // Rule ID 9346 //
     /*  238829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238869 */     // MIs[1] Operand 1
     /*  238869 */     // No operand predicates
     /*  238869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238896 */     GIR_RootConstrainSelectedInstOperands,
     /*  238897 */     // GIR_Coverage, 9346,
     /*  238897 */     GIR_EraseRootFromParent_Done,
     /*  238898 */   // Label 4631: @238898
     /*  238898 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(238972), // Rule ID 9347 //
     /*  238903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238943 */     // MIs[1] Operand 1
     /*  238943 */     // No operand predicates
     /*  238943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238970 */     GIR_RootConstrainSelectedInstOperands,
     /*  238971 */     // GIR_Coverage, 9347,
     /*  238971 */     GIR_EraseRootFromParent_Done,
     /*  238972 */   // Label 4632: @238972
     /*  238972 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239046), // Rule ID 9350 //
     /*  238977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239017 */     // MIs[1] Operand 1
     /*  239017 */     // No operand predicates
     /*  239017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239044 */     GIR_RootConstrainSelectedInstOperands,
     /*  239045 */     // GIR_Coverage, 9350,
     /*  239045 */     GIR_EraseRootFromParent_Done,
     /*  239046 */   // Label 4633: @239046
     /*  239046 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239120), // Rule ID 9351 //
     /*  239051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239091 */     // MIs[1] Operand 1
     /*  239091 */     // No operand predicates
     /*  239091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239118 */     GIR_RootConstrainSelectedInstOperands,
     /*  239119 */     // GIR_Coverage, 9351,
     /*  239119 */     GIR_EraseRootFromParent_Done,
     /*  239120 */   // Label 4634: @239120
     /*  239120 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239194), // Rule ID 9354 //
     /*  239125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239165 */     // MIs[1] Operand 1
     /*  239165 */     // No operand predicates
     /*  239165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239192 */     GIR_RootConstrainSelectedInstOperands,
     /*  239193 */     // GIR_Coverage, 9354,
     /*  239193 */     GIR_EraseRootFromParent_Done,
     /*  239194 */   // Label 4635: @239194
     /*  239194 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239268), // Rule ID 9355 //
     /*  239199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239239 */     // MIs[1] Operand 1
     /*  239239 */     // No operand predicates
     /*  239239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239266 */     GIR_RootConstrainSelectedInstOperands,
     /*  239267 */     // GIR_Coverage, 9355,
     /*  239267 */     GIR_EraseRootFromParent_Done,
     /*  239268 */   // Label 4636: @239268
     /*  239268 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239342), // Rule ID 9358 //
     /*  239273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239313 */     // MIs[1] Operand 1
     /*  239313 */     // No operand predicates
     /*  239313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239340 */     GIR_RootConstrainSelectedInstOperands,
     /*  239341 */     // GIR_Coverage, 9358,
     /*  239341 */     GIR_EraseRootFromParent_Done,
     /*  239342 */   // Label 4637: @239342
     /*  239342 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239416), // Rule ID 9359 //
     /*  239347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239387 */     // MIs[1] Operand 1
     /*  239387 */     // No operand predicates
     /*  239387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239414 */     GIR_RootConstrainSelectedInstOperands,
     /*  239415 */     // GIR_Coverage, 9359,
     /*  239415 */     GIR_EraseRootFromParent_Done,
     /*  239416 */   // Label 4638: @239416
     /*  239416 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239490), // Rule ID 9362 //
     /*  239421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239461 */     // MIs[1] Operand 1
     /*  239461 */     // No operand predicates
     /*  239461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239470 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239488 */     GIR_RootConstrainSelectedInstOperands,
     /*  239489 */     // GIR_Coverage, 9362,
     /*  239489 */     GIR_EraseRootFromParent_Done,
     /*  239490 */   // Label 4639: @239490
     /*  239490 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239564), // Rule ID 9363 //
     /*  239495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239535 */     // MIs[1] Operand 1
     /*  239535 */     // No operand predicates
     /*  239535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239562 */     GIR_RootConstrainSelectedInstOperands,
     /*  239563 */     // GIR_Coverage, 9363,
     /*  239563 */     GIR_EraseRootFromParent_Done,
     /*  239564 */   // Label 4640: @239564
     /*  239564 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239638), // Rule ID 9366 //
     /*  239569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239609 */     // MIs[1] Operand 1
     /*  239609 */     // No operand predicates
     /*  239609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239636 */     GIR_RootConstrainSelectedInstOperands,
     /*  239637 */     // GIR_Coverage, 9366,
     /*  239637 */     GIR_EraseRootFromParent_Done,
     /*  239638 */   // Label 4641: @239638
     /*  239638 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239712), // Rule ID 9367 //
     /*  239643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239683 */     // MIs[1] Operand 1
     /*  239683 */     // No operand predicates
     /*  239683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239710 */     GIR_RootConstrainSelectedInstOperands,
     /*  239711 */     // GIR_Coverage, 9367,
     /*  239711 */     GIR_EraseRootFromParent_Done,
     /*  239712 */   // Label 4642: @239712
     /*  239712 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239786), // Rule ID 9370 //
     /*  239717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239757 */     // MIs[1] Operand 1
     /*  239757 */     // No operand predicates
     /*  239757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239766 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239784 */     GIR_RootConstrainSelectedInstOperands,
     /*  239785 */     // GIR_Coverage, 9370,
     /*  239785 */     GIR_EraseRootFromParent_Done,
     /*  239786 */   // Label 4643: @239786
     /*  239786 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239860), // Rule ID 9371 //
     /*  239791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239831 */     // MIs[1] Operand 1
     /*  239831 */     // No operand predicates
     /*  239831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239858 */     GIR_RootConstrainSelectedInstOperands,
     /*  239859 */     // GIR_Coverage, 9371,
     /*  239859 */     GIR_EraseRootFromParent_Done,
     /*  239860 */   // Label 4644: @239860
     /*  239860 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(239934), // Rule ID 9462 //
     /*  239865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239905 */     // MIs[1] Operand 1
     /*  239905 */     // No operand predicates
     /*  239905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  239917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239932 */     GIR_RootConstrainSelectedInstOperands,
     /*  239933 */     // GIR_Coverage, 9462,
     /*  239933 */     GIR_EraseRootFromParent_Done,
     /*  239934 */   // Label 4645: @239934
     /*  239934 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(240008), // Rule ID 9463 //
     /*  239939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239979 */     // MIs[1] Operand 1
     /*  239979 */     // No operand predicates
     /*  239979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  239991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240006 */     GIR_RootConstrainSelectedInstOperands,
     /*  240007 */     // GIR_Coverage, 9463,
     /*  240007 */     GIR_EraseRootFromParent_Done,
     /*  240008 */   // Label 4646: @240008
     /*  240008 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240082), // Rule ID 9466 //
     /*  240013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240053 */     // MIs[1] Operand 1
     /*  240053 */     // No operand predicates
     /*  240053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240080 */     GIR_RootConstrainSelectedInstOperands,
     /*  240081 */     // GIR_Coverage, 9466,
     /*  240081 */     GIR_EraseRootFromParent_Done,
     /*  240082 */   // Label 4647: @240082
     /*  240082 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240156), // Rule ID 9467 //
     /*  240087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240127 */     // MIs[1] Operand 1
     /*  240127 */     // No operand predicates
     /*  240127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240154 */     GIR_RootConstrainSelectedInstOperands,
     /*  240155 */     // GIR_Coverage, 9467,
     /*  240155 */     GIR_EraseRootFromParent_Done,
     /*  240156 */   // Label 4648: @240156
     /*  240156 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240230), // Rule ID 9470 //
     /*  240161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  240175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240201 */     // MIs[1] Operand 1
     /*  240201 */     // No operand predicates
     /*  240201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240228 */     GIR_RootConstrainSelectedInstOperands,
     /*  240229 */     // GIR_Coverage, 9470,
     /*  240229 */     GIR_EraseRootFromParent_Done,
     /*  240230 */   // Label 4649: @240230
     /*  240230 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240304), // Rule ID 9471 //
     /*  240235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  240249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240275 */     // MIs[1] Operand 1
     /*  240275 */     // No operand predicates
     /*  240275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240302 */     GIR_RootConstrainSelectedInstOperands,
     /*  240303 */     // GIR_Coverage, 9471,
     /*  240303 */     GIR_EraseRootFromParent_Done,
     /*  240304 */   // Label 4650: @240304
     /*  240304 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240378), // Rule ID 9474 //
     /*  240309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240349 */     // MIs[1] Operand 1
     /*  240349 */     // No operand predicates
     /*  240349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240376 */     GIR_RootConstrainSelectedInstOperands,
     /*  240377 */     // GIR_Coverage, 9474,
     /*  240377 */     GIR_EraseRootFromParent_Done,
     /*  240378 */   // Label 4651: @240378
     /*  240378 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240452), // Rule ID 9475 //
     /*  240383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240423 */     // MIs[1] Operand 1
     /*  240423 */     // No operand predicates
     /*  240423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240450 */     GIR_RootConstrainSelectedInstOperands,
     /*  240451 */     // GIR_Coverage, 9475,
     /*  240451 */     GIR_EraseRootFromParent_Done,
     /*  240452 */   // Label 4652: @240452
     /*  240452 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240526), // Rule ID 9478 //
     /*  240457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240497 */     // MIs[1] Operand 1
     /*  240497 */     // No operand predicates
     /*  240497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240506 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240524 */     GIR_RootConstrainSelectedInstOperands,
     /*  240525 */     // GIR_Coverage, 9478,
     /*  240525 */     GIR_EraseRootFromParent_Done,
     /*  240526 */   // Label 4653: @240526
     /*  240526 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240600), // Rule ID 9479 //
     /*  240531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240571 */     // MIs[1] Operand 1
     /*  240571 */     // No operand predicates
     /*  240571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240598 */     GIR_RootConstrainSelectedInstOperands,
     /*  240599 */     // GIR_Coverage, 9479,
     /*  240599 */     GIR_EraseRootFromParent_Done,
     /*  240600 */   // Label 4654: @240600
     /*  240600 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240674), // Rule ID 9482 //
     /*  240605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240645 */     // MIs[1] Operand 1
     /*  240645 */     // No operand predicates
     /*  240645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240672 */     GIR_RootConstrainSelectedInstOperands,
     /*  240673 */     // GIR_Coverage, 9482,
     /*  240673 */     GIR_EraseRootFromParent_Done,
     /*  240674 */   // Label 4655: @240674
     /*  240674 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240748), // Rule ID 9483 //
     /*  240679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240719 */     // MIs[1] Operand 1
     /*  240719 */     // No operand predicates
     /*  240719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240746 */     GIR_RootConstrainSelectedInstOperands,
     /*  240747 */     // GIR_Coverage, 9483,
     /*  240747 */     GIR_EraseRootFromParent_Done,
     /*  240748 */   // Label 4656: @240748
     /*  240748 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240822), // Rule ID 9486 //
     /*  240753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  240767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240793 */     // MIs[1] Operand 1
     /*  240793 */     // No operand predicates
     /*  240793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240820 */     GIR_RootConstrainSelectedInstOperands,
     /*  240821 */     // GIR_Coverage, 9486,
     /*  240821 */     GIR_EraseRootFromParent_Done,
     /*  240822 */   // Label 4657: @240822
     /*  240822 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240896), // Rule ID 9487 //
     /*  240827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  240841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240867 */     // MIs[1] Operand 1
     /*  240867 */     // No operand predicates
     /*  240867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240894 */     GIR_RootConstrainSelectedInstOperands,
     /*  240895 */     // GIR_Coverage, 9487,
     /*  240895 */     GIR_EraseRootFromParent_Done,
     /*  240896 */   // Label 4658: @240896
     /*  240896 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240970), // Rule ID 9490 //
     /*  240901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240941 */     // MIs[1] Operand 1
     /*  240941 */     // No operand predicates
     /*  240941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240950 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240968 */     GIR_RootConstrainSelectedInstOperands,
     /*  240969 */     // GIR_Coverage, 9490,
     /*  240969 */     GIR_EraseRootFromParent_Done,
     /*  240970 */   // Label 4659: @240970
     /*  240970 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(241044), // Rule ID 9491 //
     /*  240975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241015 */     // MIs[1] Operand 1
     /*  241015 */     // No operand predicates
     /*  241015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241042 */     GIR_RootConstrainSelectedInstOperands,
     /*  241043 */     // GIR_Coverage, 9491,
     /*  241043 */     GIR_EraseRootFromParent_Done,
     /*  241044 */   // Label 4660: @241044
     /*  241044 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(241118), // Rule ID 9494 //
     /*  241049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241089 */     // MIs[1] Operand 1
     /*  241089 */     // No operand predicates
     /*  241089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241116 */     GIR_RootConstrainSelectedInstOperands,
     /*  241117 */     // GIR_Coverage, 9494,
     /*  241117 */     GIR_EraseRootFromParent_Done,
     /*  241118 */   // Label 4661: @241118
     /*  241118 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241192), // Rule ID 9495 //
     /*  241123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241163 */     // MIs[1] Operand 1
     /*  241163 */     // No operand predicates
     /*  241163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241190 */     GIR_RootConstrainSelectedInstOperands,
     /*  241191 */     // GIR_Coverage, 9495,
     /*  241191 */     GIR_EraseRootFromParent_Done,
     /*  241192 */   // Label 4662: @241192
     /*  241192 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241266), // Rule ID 9498 //
     /*  241197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  241200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241237 */     // MIs[1] Operand 1
     /*  241237 */     // No operand predicates
     /*  241237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241246 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241264 */     GIR_RootConstrainSelectedInstOperands,
     /*  241265 */     // GIR_Coverage, 9498,
     /*  241265 */     GIR_EraseRootFromParent_Done,
     /*  241266 */   // Label 4663: @241266
     /*  241266 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241340), // Rule ID 9499 //
     /*  241271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  241274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241311 */     // MIs[1] Operand 1
     /*  241311 */     // No operand predicates
     /*  241311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241338 */     GIR_RootConstrainSelectedInstOperands,
     /*  241339 */     // GIR_Coverage, 9499,
     /*  241339 */     GIR_EraseRootFromParent_Done,
     /*  241340 */   // Label 4664: @241340
     /*  241340 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241414), // Rule ID 9502 //
     /*  241345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241385 */     // MIs[1] Operand 1
     /*  241385 */     // No operand predicates
     /*  241385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241412 */     GIR_RootConstrainSelectedInstOperands,
     /*  241413 */     // GIR_Coverage, 9502,
     /*  241413 */     GIR_EraseRootFromParent_Done,
     /*  241414 */   // Label 4665: @241414
     /*  241414 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241488), // Rule ID 9503 //
     /*  241419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241459 */     // MIs[1] Operand 1
     /*  241459 */     // No operand predicates
     /*  241459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241486 */     GIR_RootConstrainSelectedInstOperands,
     /*  241487 */     // GIR_Coverage, 9503,
     /*  241487 */     GIR_EraseRootFromParent_Done,
     /*  241488 */   // Label 4666: @241488
     /*  241488 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241562), // Rule ID 9506 //
     /*  241493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  241507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241533 */     // MIs[1] Operand 1
     /*  241533 */     // No operand predicates
     /*  241533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241542 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241560 */     GIR_RootConstrainSelectedInstOperands,
     /*  241561 */     // GIR_Coverage, 9506,
     /*  241561 */     GIR_EraseRootFromParent_Done,
     /*  241562 */   // Label 4667: @241562
     /*  241562 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241636), // Rule ID 9507 //
     /*  241567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  241581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241607 */     // MIs[1] Operand 1
     /*  241607 */     // No operand predicates
     /*  241607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241616 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241634 */     GIR_RootConstrainSelectedInstOperands,
     /*  241635 */     // GIR_Coverage, 9507,
     /*  241635 */     GIR_EraseRootFromParent_Done,
     /*  241636 */   // Label 4668: @241636
     /*  241636 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241710), // Rule ID 9510 //
     /*  241641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  241652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  241655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241681 */     // MIs[1] Operand 1
     /*  241681 */     // No operand predicates
     /*  241681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241690 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  241693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241708 */     GIR_RootConstrainSelectedInstOperands,
     /*  241709 */     // GIR_Coverage, 9510,
     /*  241709 */     GIR_EraseRootFromParent_Done,
     /*  241710 */   // Label 4669: @241710
     /*  241710 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241784), // Rule ID 9511 //
     /*  241715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  241726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  241729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241755 */     // MIs[1] Operand 1
     /*  241755 */     // No operand predicates
     /*  241755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241764 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  241767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241782 */     GIR_RootConstrainSelectedInstOperands,
     /*  241783 */     // GIR_Coverage, 9511,
     /*  241783 */     GIR_EraseRootFromParent_Done,
     /*  241784 */   // Label 4670: @241784
     /*  241784 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241858), // Rule ID 9514 //
     /*  241789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  241803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241829 */     // MIs[1] Operand 1
     /*  241829 */     // No operand predicates
     /*  241829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241856 */     GIR_RootConstrainSelectedInstOperands,
     /*  241857 */     // GIR_Coverage, 9514,
     /*  241857 */     GIR_EraseRootFromParent_Done,
     /*  241858 */   // Label 4671: @241858
     /*  241858 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241932), // Rule ID 9515 //
     /*  241863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  241877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241903 */     // MIs[1] Operand 1
     /*  241903 */     // No operand predicates
     /*  241903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241930 */     GIR_RootConstrainSelectedInstOperands,
     /*  241931 */     // GIR_Coverage, 9515,
     /*  241931 */     GIR_EraseRootFromParent_Done,
     /*  241932 */   // Label 4672: @241932
     /*  241932 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(242006), // Rule ID 9518 //
     /*  241937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  241951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241977 */     // MIs[1] Operand 1
     /*  241977 */     // No operand predicates
     /*  241977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242004 */     GIR_RootConstrainSelectedInstOperands,
     /*  242005 */     // GIR_Coverage, 9518,
     /*  242005 */     GIR_EraseRootFromParent_Done,
     /*  242006 */   // Label 4673: @242006
     /*  242006 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(242080), // Rule ID 9519 //
     /*  242011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242051 */     // MIs[1] Operand 1
     /*  242051 */     // No operand predicates
     /*  242051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242078 */     GIR_RootConstrainSelectedInstOperands,
     /*  242079 */     // GIR_Coverage, 9519,
     /*  242079 */     GIR_EraseRootFromParent_Done,
     /*  242080 */   // Label 4674: @242080
     /*  242080 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(242154), // Rule ID 9522 //
     /*  242085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242125 */     // MIs[1] Operand 1
     /*  242125 */     // No operand predicates
     /*  242125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242134 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242152 */     GIR_RootConstrainSelectedInstOperands,
     /*  242153 */     // GIR_Coverage, 9522,
     /*  242153 */     GIR_EraseRootFromParent_Done,
     /*  242154 */   // Label 4675: @242154
     /*  242154 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(242228), // Rule ID 9523 //
     /*  242159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242199 */     // MIs[1] Operand 1
     /*  242199 */     // No operand predicates
     /*  242199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242226 */     GIR_RootConstrainSelectedInstOperands,
     /*  242227 */     // GIR_Coverage, 9523,
     /*  242227 */     GIR_EraseRootFromParent_Done,
     /*  242228 */   // Label 4676: @242228
     /*  242228 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242302), // Rule ID 9526 //
     /*  242233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242273 */     // MIs[1] Operand 1
     /*  242273 */     // No operand predicates
     /*  242273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242300 */     GIR_RootConstrainSelectedInstOperands,
     /*  242301 */     // GIR_Coverage, 9526,
     /*  242301 */     GIR_EraseRootFromParent_Done,
     /*  242302 */   // Label 4677: @242302
     /*  242302 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242376), // Rule ID 9527 //
     /*  242307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242347 */     // MIs[1] Operand 1
     /*  242347 */     // No operand predicates
     /*  242347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242374 */     GIR_RootConstrainSelectedInstOperands,
     /*  242375 */     // GIR_Coverage, 9527,
     /*  242375 */     GIR_EraseRootFromParent_Done,
     /*  242376 */   // Label 4678: @242376
     /*  242376 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242450), // Rule ID 9530 //
     /*  242381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242421 */     // MIs[1] Operand 1
     /*  242421 */     // No operand predicates
     /*  242421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242430 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242448 */     GIR_RootConstrainSelectedInstOperands,
     /*  242449 */     // GIR_Coverage, 9530,
     /*  242449 */     GIR_EraseRootFromParent_Done,
     /*  242450 */   // Label 4679: @242450
     /*  242450 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242524), // Rule ID 9531 //
     /*  242455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242495 */     // MIs[1] Operand 1
     /*  242495 */     // No operand predicates
     /*  242495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242522 */     GIR_RootConstrainSelectedInstOperands,
     /*  242523 */     // GIR_Coverage, 9531,
     /*  242523 */     GIR_EraseRootFromParent_Done,
     /*  242524 */   // Label 4680: @242524
     /*  242524 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242598), // Rule ID 9534 //
     /*  242529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242569 */     // MIs[1] Operand 1
     /*  242569 */     // No operand predicates
     /*  242569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242578 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242596 */     GIR_RootConstrainSelectedInstOperands,
     /*  242597 */     // GIR_Coverage, 9534,
     /*  242597 */     GIR_EraseRootFromParent_Done,
     /*  242598 */   // Label 4681: @242598
     /*  242598 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242672), // Rule ID 9535 //
     /*  242603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242643 */     // MIs[1] Operand 1
     /*  242643 */     // No operand predicates
     /*  242643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242652 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242670 */     GIR_RootConstrainSelectedInstOperands,
     /*  242671 */     // GIR_Coverage, 9535,
     /*  242671 */     GIR_EraseRootFromParent_Done,
     /*  242672 */   // Label 4682: @242672
     /*  242672 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242746), // Rule ID 9538 //
     /*  242677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242717 */     // MIs[1] Operand 1
     /*  242717 */     // No operand predicates
     /*  242717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242744 */     GIR_RootConstrainSelectedInstOperands,
     /*  242745 */     // GIR_Coverage, 9538,
     /*  242745 */     GIR_EraseRootFromParent_Done,
     /*  242746 */   // Label 4683: @242746
     /*  242746 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242820), // Rule ID 9539 //
     /*  242751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  242754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242791 */     // MIs[1] Operand 1
     /*  242791 */     // No operand predicates
     /*  242791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242818 */     GIR_RootConstrainSelectedInstOperands,
     /*  242819 */     // GIR_Coverage, 9539,
     /*  242819 */     GIR_EraseRootFromParent_Done,
     /*  242820 */   // Label 4684: @242820
     /*  242820 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242894), // Rule ID 9542 //
     /*  242825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242865 */     // MIs[1] Operand 1
     /*  242865 */     // No operand predicates
     /*  242865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242874 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242892 */     GIR_RootConstrainSelectedInstOperands,
     /*  242893 */     // GIR_Coverage, 9542,
     /*  242893 */     GIR_EraseRootFromParent_Done,
     /*  242894 */   // Label 4685: @242894
     /*  242894 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242968), // Rule ID 9543 //
     /*  242899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  242902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242939 */     // MIs[1] Operand 1
     /*  242939 */     // No operand predicates
     /*  242939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242966 */     GIR_RootConstrainSelectedInstOperands,
     /*  242967 */     // GIR_Coverage, 9543,
     /*  242967 */     GIR_EraseRootFromParent_Done,
     /*  242968 */   // Label 4686: @242968
     /*  242968 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(243042), // Rule ID 9546 //
     /*  242973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243013 */     // MIs[1] Operand 1
     /*  243013 */     // No operand predicates
     /*  243013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243040 */     GIR_RootConstrainSelectedInstOperands,
     /*  243041 */     // GIR_Coverage, 9546,
     /*  243041 */     GIR_EraseRootFromParent_Done,
     /*  243042 */   // Label 4687: @243042
     /*  243042 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(243116), // Rule ID 9547 //
     /*  243047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243087 */     // MIs[1] Operand 1
     /*  243087 */     // No operand predicates
     /*  243087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243114 */     GIR_RootConstrainSelectedInstOperands,
     /*  243115 */     // GIR_Coverage, 9547,
     /*  243115 */     GIR_EraseRootFromParent_Done,
     /*  243116 */   // Label 4688: @243116
     /*  243116 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(243172), // Rule ID 64437 //
     /*  243121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  243124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  243129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  243132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  243135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243143 */     // MIs[0] pts
     /*  243143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  243146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  243151 */     // MIs[0] radix
     /*  243151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  243154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  243159 */     // (intrinsic_wo_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  243159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  243162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243166 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  243168 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  243170 */     GIR_RootConstrainSelectedInstOperands,
     /*  243171 */     // GIR_Coverage, 64437,
     /*  243171 */     GIR_EraseRootFromParent_Done,
     /*  243172 */   // Label 4689: @243172
     /*  243172 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(243235), // Rule ID 2676 //
     /*  243177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  243180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  243185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  243188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  243191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243216 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  243216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243223 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243233 */     GIR_RootConstrainSelectedInstOperands,
     /*  243234 */     // GIR_Coverage, 2676,
     /*  243234 */     GIR_EraseRootFromParent_Done,
     /*  243235 */   // Label 4690: @243235
     /*  243235 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(243298), // Rule ID 2677 //
     /*  243240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  243243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  243248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  243251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  243254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243279 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  243279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243286 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243296 */     GIR_RootConstrainSelectedInstOperands,
     /*  243297 */     // GIR_Coverage, 2677,
     /*  243297 */     GIR_EraseRootFromParent_Done,
     /*  243298 */   // Label 4691: @243298
     /*  243298 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243364), // Rule ID 2684 //
     /*  243303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  243342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243362 */     GIR_RootConstrainSelectedInstOperands,
     /*  243363 */     // GIR_Coverage, 2684,
     /*  243363 */     GIR_EraseRootFromParent_Done,
     /*  243364 */   // Label 4692: @243364
     /*  243364 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243430), // Rule ID 2685 //
     /*  243369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  243408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243428 */     GIR_RootConstrainSelectedInstOperands,
     /*  243429 */     // GIR_Coverage, 2685,
     /*  243429 */     GIR_EraseRootFromParent_Done,
     /*  243430 */   // Label 4693: @243430
     /*  243430 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243496), // Rule ID 2688 //
     /*  243435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  243477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243494 */     GIR_RootConstrainSelectedInstOperands,
     /*  243495 */     // GIR_Coverage, 2688,
     /*  243495 */     GIR_EraseRootFromParent_Done,
     /*  243496 */   // Label 4694: @243496
     /*  243496 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243562), // Rule ID 2689 //
     /*  243501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  243543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243560 */     GIR_RootConstrainSelectedInstOperands,
     /*  243561 */     // GIR_Coverage, 2689,
     /*  243561 */     GIR_EraseRootFromParent_Done,
     /*  243562 */   // Label 4695: @243562
     /*  243562 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243628), // Rule ID 2692 //
     /*  243567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  243570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  243575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243606 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  243609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243626 */     GIR_RootConstrainSelectedInstOperands,
     /*  243627 */     // GIR_Coverage, 2692,
     /*  243627 */     GIR_EraseRootFromParent_Done,
     /*  243628 */   // Label 4696: @243628
     /*  243628 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243694), // Rule ID 2693 //
     /*  243633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  243636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  243641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243672 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  243675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243692 */     GIR_RootConstrainSelectedInstOperands,
     /*  243693 */     // GIR_Coverage, 2693,
     /*  243693 */     GIR_EraseRootFromParent_Done,
     /*  243694 */   // Label 4697: @243694
     /*  243694 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243757), // Rule ID 2706 //
     /*  243699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  243707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  243741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243755 */     GIR_RootConstrainSelectedInstOperands,
     /*  243756 */     // GIR_Coverage, 2706,
     /*  243756 */     GIR_EraseRootFromParent_Done,
     /*  243757 */   // Label 4698: @243757
     /*  243757 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243820), // Rule ID 2707 //
     /*  243762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  243770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243801 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  243804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243818 */     GIR_RootConstrainSelectedInstOperands,
     /*  243819 */     // GIR_Coverage, 2707,
     /*  243819 */     GIR_EraseRootFromParent_Done,
     /*  243820 */   // Label 4699: @243820
     /*  243820 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243883), // Rule ID 2718 //
     /*  243825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  243833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  243867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243881 */     GIR_RootConstrainSelectedInstOperands,
     /*  243882 */     // GIR_Coverage, 2718,
     /*  243882 */     GIR_EraseRootFromParent_Done,
     /*  243883 */   // Label 4700: @243883
     /*  243883 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243946), // Rule ID 2719 //
     /*  243888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  243896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  243930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243944 */     GIR_RootConstrainSelectedInstOperands,
     /*  243945 */     // GIR_Coverage, 2719,
     /*  243945 */     GIR_EraseRootFromParent_Done,
     /*  243946 */   // Label 4701: @243946
     /*  243946 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(244009), // Rule ID 2726 //
     /*  243951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  243993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244007 */     GIR_RootConstrainSelectedInstOperands,
     /*  244008 */     // GIR_Coverage, 2726,
     /*  244008 */     GIR_EraseRootFromParent_Done,
     /*  244009 */   // Label 4702: @244009
     /*  244009 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(244072), // Rule ID 2727 //
     /*  244014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244053 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  244056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244070 */     GIR_RootConstrainSelectedInstOperands,
     /*  244071 */     // GIR_Coverage, 2727,
     /*  244071 */     GIR_EraseRootFromParent_Done,
     /*  244072 */   // Label 4703: @244072
     /*  244072 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(244138), // Rule ID 2728 //
     /*  244077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  244119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244136 */     GIR_RootConstrainSelectedInstOperands,
     /*  244137 */     // GIR_Coverage, 2728,
     /*  244137 */     GIR_EraseRootFromParent_Done,
     /*  244138 */   // Label 4704: @244138
     /*  244138 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(244204), // Rule ID 2729 //
     /*  244143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  244185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244202 */     GIR_RootConstrainSelectedInstOperands,
     /*  244203 */     // GIR_Coverage, 2729,
     /*  244203 */     GIR_EraseRootFromParent_Done,
     /*  244204 */   // Label 4705: @244204
     /*  244204 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(244267), // Rule ID 2740 //
     /*  244209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  244248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244265 */     GIR_RootConstrainSelectedInstOperands,
     /*  244266 */     // GIR_Coverage, 2740,
     /*  244266 */     GIR_EraseRootFromParent_Done,
     /*  244267 */   // Label 4706: @244267
     /*  244267 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244330), // Rule ID 2741 //
     /*  244272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244311 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  244311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244328 */     GIR_RootConstrainSelectedInstOperands,
     /*  244329 */     // GIR_Coverage, 2741,
     /*  244329 */     GIR_EraseRootFromParent_Done,
     /*  244330 */   // Label 4707: @244330
     /*  244330 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244396), // Rule ID 4888 //
     /*  244335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244394 */     GIR_RootConstrainSelectedInstOperands,
     /*  244395 */     // GIR_Coverage, 4888,
     /*  244395 */     GIR_EraseRootFromParent_Done,
     /*  244396 */   // Label 4708: @244396
     /*  244396 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244462), // Rule ID 4889 //
     /*  244401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244460 */     GIR_RootConstrainSelectedInstOperands,
     /*  244461 */     // GIR_Coverage, 4889,
     /*  244461 */     GIR_EraseRootFromParent_Done,
     /*  244462 */   // Label 4709: @244462
     /*  244462 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244528), // Rule ID 4892 //
     /*  244467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244526 */     GIR_RootConstrainSelectedInstOperands,
     /*  244527 */     // GIR_Coverage, 4892,
     /*  244527 */     GIR_EraseRootFromParent_Done,
     /*  244528 */   // Label 4710: @244528
     /*  244528 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244594), // Rule ID 4893 //
     /*  244533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11629:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244592 */     GIR_RootConstrainSelectedInstOperands,
     /*  244593 */     // GIR_Coverage, 4893,
     /*  244593 */     GIR_EraseRootFromParent_Done,
     /*  244594 */   // Label 4711: @244594
     /*  244594 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244660), // Rule ID 4896 //
     /*  244599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  244641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244658 */     GIR_RootConstrainSelectedInstOperands,
     /*  244659 */     // GIR_Coverage, 4896,
     /*  244659 */     GIR_EraseRootFromParent_Done,
     /*  244660 */   // Label 4712: @244660
     /*  244660 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244726), // Rule ID 4897 //
     /*  244665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  244707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244724 */     GIR_RootConstrainSelectedInstOperands,
     /*  244725 */     // GIR_Coverage, 4897,
     /*  244725 */     GIR_EraseRootFromParent_Done,
     /*  244726 */   // Label 4713: @244726
     /*  244726 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244792), // Rule ID 4900 //
     /*  244731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  244773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244790 */     GIR_RootConstrainSelectedInstOperands,
     /*  244791 */     // GIR_Coverage, 4900,
     /*  244791 */     GIR_EraseRootFromParent_Done,
     /*  244792 */   // Label 4714: @244792
     /*  244792 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244858), // Rule ID 4901 //
     /*  244797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  244839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244856 */     GIR_RootConstrainSelectedInstOperands,
     /*  244857 */     // GIR_Coverage, 4901,
     /*  244857 */     GIR_EraseRootFromParent_Done,
     /*  244858 */   // Label 4715: @244858
     /*  244858 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244924), // Rule ID 4904 //
     /*  244863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  244905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244922 */     GIR_RootConstrainSelectedInstOperands,
     /*  244923 */     // GIR_Coverage, 4904,
     /*  244923 */     GIR_EraseRootFromParent_Done,
     /*  244924 */   // Label 4716: @244924
     /*  244924 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244990), // Rule ID 4905 //
     /*  244929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  244971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244988 */     GIR_RootConstrainSelectedInstOperands,
     /*  244989 */     // GIR_Coverage, 4905,
     /*  244989 */     GIR_EraseRootFromParent_Done,
     /*  244990 */   // Label 4717: @244990
     /*  244990 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(245056), // Rule ID 4908 //
     /*  244995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  245037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245054 */     GIR_RootConstrainSelectedInstOperands,
     /*  245055 */     // GIR_Coverage, 4908,
     /*  245055 */     GIR_EraseRootFromParent_Done,
     /*  245056 */   // Label 4718: @245056
     /*  245056 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(245122), // Rule ID 4909 //
     /*  245061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  245103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245120 */     GIR_RootConstrainSelectedInstOperands,
     /*  245121 */     // GIR_Coverage, 4909,
     /*  245121 */     GIR_EraseRootFromParent_Done,
     /*  245122 */   // Label 4719: @245122
     /*  245122 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(245188), // Rule ID 4912 //
     /*  245127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245186 */     GIR_RootConstrainSelectedInstOperands,
     /*  245187 */     // GIR_Coverage, 4912,
     /*  245187 */     GIR_EraseRootFromParent_Done,
     /*  245188 */   // Label 4720: @245188
     /*  245188 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(245254), // Rule ID 4913 //
     /*  245193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245252 */     GIR_RootConstrainSelectedInstOperands,
     /*  245253 */     // GIR_Coverage, 4913,
     /*  245253 */     GIR_EraseRootFromParent_Done,
     /*  245254 */   // Label 4721: @245254
     /*  245254 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245320), // Rule ID 4916 //
     /*  245259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245318 */     GIR_RootConstrainSelectedInstOperands,
     /*  245319 */     // GIR_Coverage, 4916,
     /*  245319 */     GIR_EraseRootFromParent_Done,
     /*  245320 */   // Label 4722: @245320
     /*  245320 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245386), // Rule ID 4917 //
     /*  245325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245384 */     GIR_RootConstrainSelectedInstOperands,
     /*  245385 */     // GIR_Coverage, 4917,
     /*  245385 */     GIR_EraseRootFromParent_Done,
     /*  245386 */   // Label 4723: @245386
     /*  245386 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245452), // Rule ID 4920 //
     /*  245391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245450 */     GIR_RootConstrainSelectedInstOperands,
     /*  245451 */     // GIR_Coverage, 4920,
     /*  245451 */     GIR_EraseRootFromParent_Done,
     /*  245452 */   // Label 4724: @245452
     /*  245452 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245518), // Rule ID 4921 //
     /*  245457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245516 */     GIR_RootConstrainSelectedInstOperands,
     /*  245517 */     // GIR_Coverage, 4921,
     /*  245517 */     GIR_EraseRootFromParent_Done,
     /*  245518 */   // Label 4725: @245518
     /*  245518 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245584), // Rule ID 4924 //
     /*  245523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245582 */     GIR_RootConstrainSelectedInstOperands,
     /*  245583 */     // GIR_Coverage, 4924,
     /*  245583 */     GIR_EraseRootFromParent_Done,
     /*  245584 */   // Label 4726: @245584
     /*  245584 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245650), // Rule ID 4925 //
     /*  245589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245648 */     GIR_RootConstrainSelectedInstOperands,
     /*  245649 */     // GIR_Coverage, 4925,
     /*  245649 */     GIR_EraseRootFromParent_Done,
     /*  245650 */   // Label 4727: @245650
     /*  245650 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245716), // Rule ID 4928 //
     /*  245655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245714 */     GIR_RootConstrainSelectedInstOperands,
     /*  245715 */     // GIR_Coverage, 4928,
     /*  245715 */     GIR_EraseRootFromParent_Done,
     /*  245716 */   // Label 4728: @245716
     /*  245716 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245782), // Rule ID 4929 //
     /*  245721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245780 */     GIR_RootConstrainSelectedInstOperands,
     /*  245781 */     // GIR_Coverage, 4929,
     /*  245781 */     GIR_EraseRootFromParent_Done,
     /*  245782 */   // Label 4729: @245782
     /*  245782 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245848), // Rule ID 4932 //
     /*  245787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245846 */     GIR_RootConstrainSelectedInstOperands,
     /*  245847 */     // GIR_Coverage, 4932,
     /*  245847 */     GIR_EraseRootFromParent_Done,
     /*  245848 */   // Label 4730: @245848
     /*  245848 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245914), // Rule ID 4933 //
     /*  245853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245912 */     GIR_RootConstrainSelectedInstOperands,
     /*  245913 */     // GIR_Coverage, 4933,
     /*  245913 */     GIR_EraseRootFromParent_Done,
     /*  245914 */   // Label 4731: @245914
     /*  245914 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245980), // Rule ID 4936 //
     /*  245919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245978 */     GIR_RootConstrainSelectedInstOperands,
     /*  245979 */     // GIR_Coverage, 4936,
     /*  245979 */     GIR_EraseRootFromParent_Done,
     /*  245980 */   // Label 4732: @245980
     /*  245980 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(246046), // Rule ID 4937 //
     /*  245985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  246027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246044 */     GIR_RootConstrainSelectedInstOperands,
     /*  246045 */     // GIR_Coverage, 4937,
     /*  246045 */     GIR_EraseRootFromParent_Done,
     /*  246046 */   // Label 4733: @246046
     /*  246046 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(246112), // Rule ID 4940 //
     /*  246051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246110 */     GIR_RootConstrainSelectedInstOperands,
     /*  246111 */     // GIR_Coverage, 4940,
     /*  246111 */     GIR_EraseRootFromParent_Done,
     /*  246112 */   // Label 4734: @246112
     /*  246112 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(246178), // Rule ID 4941 //
     /*  246117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246156 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246176 */     GIR_RootConstrainSelectedInstOperands,
     /*  246177 */     // GIR_Coverage, 4941,
     /*  246177 */     GIR_EraseRootFromParent_Done,
     /*  246178 */   // Label 4735: @246178
     /*  246178 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(246244), // Rule ID 4944 //
     /*  246183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246242 */     GIR_RootConstrainSelectedInstOperands,
     /*  246243 */     // GIR_Coverage, 4944,
     /*  246243 */     GIR_EraseRootFromParent_Done,
     /*  246244 */   // Label 4736: @246244
     /*  246244 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(246310), // Rule ID 4945 //
     /*  246249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246308 */     GIR_RootConstrainSelectedInstOperands,
     /*  246309 */     // GIR_Coverage, 4945,
     /*  246309 */     GIR_EraseRootFromParent_Done,
     /*  246310 */   // Label 4737: @246310
     /*  246310 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246376), // Rule ID 4948 //
     /*  246315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246374 */     GIR_RootConstrainSelectedInstOperands,
     /*  246375 */     // GIR_Coverage, 4948,
     /*  246375 */     GIR_EraseRootFromParent_Done,
     /*  246376 */   // Label 4738: @246376
     /*  246376 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246442), // Rule ID 4949 //
     /*  246381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11629:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246440 */     GIR_RootConstrainSelectedInstOperands,
     /*  246441 */     // GIR_Coverage, 4949,
     /*  246441 */     GIR_EraseRootFromParent_Done,
     /*  246442 */   // Label 4739: @246442
     /*  246442 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246508), // Rule ID 4952 //
     /*  246447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246506 */     GIR_RootConstrainSelectedInstOperands,
     /*  246507 */     // GIR_Coverage, 4952,
     /*  246507 */     GIR_EraseRootFromParent_Done,
     /*  246508 */   // Label 4740: @246508
     /*  246508 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246574), // Rule ID 4953 //
     /*  246513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246572 */     GIR_RootConstrainSelectedInstOperands,
     /*  246573 */     // GIR_Coverage, 4953,
     /*  246573 */     GIR_EraseRootFromParent_Done,
     /*  246574 */   // Label 4741: @246574
     /*  246574 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246640), // Rule ID 4956 //
     /*  246579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  246621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246638 */     GIR_RootConstrainSelectedInstOperands,
     /*  246639 */     // GIR_Coverage, 4956,
     /*  246639 */     GIR_EraseRootFromParent_Done,
     /*  246640 */   // Label 4742: @246640
     /*  246640 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246706), // Rule ID 4957 //
     /*  246645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  246687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246704 */     GIR_RootConstrainSelectedInstOperands,
     /*  246705 */     // GIR_Coverage, 4957,
     /*  246705 */     GIR_EraseRootFromParent_Done,
     /*  246706 */   // Label 4743: @246706
     /*  246706 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246772), // Rule ID 4960 //
     /*  246711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  246753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246770 */     GIR_RootConstrainSelectedInstOperands,
     /*  246771 */     // GIR_Coverage, 4960,
     /*  246771 */     GIR_EraseRootFromParent_Done,
     /*  246772 */   // Label 4744: @246772
     /*  246772 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246838), // Rule ID 4961 //
     /*  246777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  246819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246836 */     GIR_RootConstrainSelectedInstOperands,
     /*  246837 */     // GIR_Coverage, 4961,
     /*  246837 */     GIR_EraseRootFromParent_Done,
     /*  246838 */   // Label 4745: @246838
     /*  246838 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246904), // Rule ID 4964 //
     /*  246843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246902 */     GIR_RootConstrainSelectedInstOperands,
     /*  246903 */     // GIR_Coverage, 4964,
     /*  246903 */     GIR_EraseRootFromParent_Done,
     /*  246904 */   // Label 4746: @246904
     /*  246904 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246970), // Rule ID 4965 //
     /*  246909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246968 */     GIR_RootConstrainSelectedInstOperands,
     /*  246969 */     // GIR_Coverage, 4965,
     /*  246969 */     GIR_EraseRootFromParent_Done,
     /*  246970 */   // Label 4747: @246970
     /*  246970 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(247036), // Rule ID 4968 //
     /*  246975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  247017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247034 */     GIR_RootConstrainSelectedInstOperands,
     /*  247035 */     // GIR_Coverage, 4968,
     /*  247035 */     GIR_EraseRootFromParent_Done,
     /*  247036 */   // Label 4748: @247036
     /*  247036 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(247102), // Rule ID 4969 //
     /*  247041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  247083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247100 */     GIR_RootConstrainSelectedInstOperands,
     /*  247101 */     // GIR_Coverage, 4969,
     /*  247101 */     GIR_EraseRootFromParent_Done,
     /*  247102 */   // Label 4749: @247102
     /*  247102 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(247168), // Rule ID 4972 //
     /*  247107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247166 */     GIR_RootConstrainSelectedInstOperands,
     /*  247167 */     // GIR_Coverage, 4972,
     /*  247167 */     GIR_EraseRootFromParent_Done,
     /*  247168 */   // Label 4750: @247168
     /*  247168 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(247234), // Rule ID 4973 //
     /*  247173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247232 */     GIR_RootConstrainSelectedInstOperands,
     /*  247233 */     // GIR_Coverage, 4973,
     /*  247233 */     GIR_EraseRootFromParent_Done,
     /*  247234 */   // Label 4751: @247234
     /*  247234 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(247300), // Rule ID 4976 //
     /*  247239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247298 */     GIR_RootConstrainSelectedInstOperands,
     /*  247299 */     // GIR_Coverage, 4976,
     /*  247299 */     GIR_EraseRootFromParent_Done,
     /*  247300 */   // Label 4752: @247300
     /*  247300 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247366), // Rule ID 4977 //
     /*  247305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247364 */     GIR_RootConstrainSelectedInstOperands,
     /*  247365 */     // GIR_Coverage, 4977,
     /*  247365 */     GIR_EraseRootFromParent_Done,
     /*  247366 */   // Label 4753: @247366
     /*  247366 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247432), // Rule ID 4980 //
     /*  247371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247430 */     GIR_RootConstrainSelectedInstOperands,
     /*  247431 */     // GIR_Coverage, 4980,
     /*  247431 */     GIR_EraseRootFromParent_Done,
     /*  247432 */   // Label 4754: @247432
     /*  247432 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247498), // Rule ID 4981 //
     /*  247437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11629:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247496 */     GIR_RootConstrainSelectedInstOperands,
     /*  247497 */     // GIR_Coverage, 4981,
     /*  247497 */     GIR_EraseRootFromParent_Done,
     /*  247498 */   // Label 4755: @247498
     /*  247498 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247564), // Rule ID 4984 //
     /*  247503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  247545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247562 */     GIR_RootConstrainSelectedInstOperands,
     /*  247563 */     // GIR_Coverage, 4984,
     /*  247563 */     GIR_EraseRootFromParent_Done,
     /*  247564 */   // Label 4756: @247564
     /*  247564 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247630), // Rule ID 4985 //
     /*  247569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11629:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  247611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247628 */     GIR_RootConstrainSelectedInstOperands,
     /*  247629 */     // GIR_Coverage, 4985,
     /*  247629 */     GIR_EraseRootFromParent_Done,
     /*  247630 */   // Label 4757: @247630
     /*  247630 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247696), // Rule ID 4988 //
     /*  247635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  247677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247694 */     GIR_RootConstrainSelectedInstOperands,
     /*  247695 */     // GIR_Coverage, 4988,
     /*  247695 */     GIR_EraseRootFromParent_Done,
     /*  247696 */   // Label 4758: @247696
     /*  247696 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247762), // Rule ID 4989 //
     /*  247701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11629:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  247743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247760 */     GIR_RootConstrainSelectedInstOperands,
     /*  247761 */     // GIR_Coverage, 4989,
     /*  247761 */     GIR_EraseRootFromParent_Done,
     /*  247762 */   // Label 4759: @247762
     /*  247762 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247828), // Rule ID 4992 //
     /*  247767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  247809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247826 */     GIR_RootConstrainSelectedInstOperands,
     /*  247827 */     // GIR_Coverage, 4992,
     /*  247827 */     GIR_EraseRootFromParent_Done,
     /*  247828 */   // Label 4760: @247828
     /*  247828 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247894), // Rule ID 4993 //
     /*  247833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11629:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  247875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247892 */     GIR_RootConstrainSelectedInstOperands,
     /*  247893 */     // GIR_Coverage, 4993,
     /*  247893 */     GIR_EraseRootFromParent_Done,
     /*  247894 */   // Label 4761: @247894
     /*  247894 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247960), // Rule ID 4996 //
     /*  247899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  247941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247958 */     GIR_RootConstrainSelectedInstOperands,
     /*  247959 */     // GIR_Coverage, 4996,
     /*  247959 */     GIR_EraseRootFromParent_Done,
     /*  247960 */   // Label 4762: @247960
     /*  247960 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(248026), // Rule ID 4997 //
     /*  247965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  248007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248024 */     GIR_RootConstrainSelectedInstOperands,
     /*  248025 */     // GIR_Coverage, 4997,
     /*  248025 */     GIR_EraseRootFromParent_Done,
     /*  248026 */   // Label 4763: @248026
     /*  248026 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(248092), // Rule ID 5000 //
     /*  248031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  248042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  248048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248090 */     GIR_RootConstrainSelectedInstOperands,
     /*  248091 */     // GIR_Coverage, 5000,
     /*  248091 */     GIR_EraseRootFromParent_Done,
     /*  248092 */   // Label 4764: @248092
     /*  248092 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(248158), // Rule ID 5001 //
     /*  248097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  248108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  248114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248156 */     GIR_RootConstrainSelectedInstOperands,
     /*  248157 */     // GIR_Coverage, 5001,
     /*  248157 */     GIR_EraseRootFromParent_Done,
     /*  248158 */   // Label 4765: @248158
     /*  248158 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(248224), // Rule ID 5004 //
     /*  248163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  248174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248222 */     GIR_RootConstrainSelectedInstOperands,
     /*  248223 */     // GIR_Coverage, 5004,
     /*  248223 */     GIR_EraseRootFromParent_Done,
     /*  248224 */   // Label 4766: @248224
     /*  248224 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(248290), // Rule ID 5005 //
     /*  248229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  248240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248288 */     GIR_RootConstrainSelectedInstOperands,
     /*  248289 */     // GIR_Coverage, 5005,
     /*  248289 */     GIR_EraseRootFromParent_Done,
     /*  248290 */   // Label 4767: @248290
     /*  248290 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248356), // Rule ID 5008 //
     /*  248295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248354 */     GIR_RootConstrainSelectedInstOperands,
     /*  248355 */     // GIR_Coverage, 5008,
     /*  248355 */     GIR_EraseRootFromParent_Done,
     /*  248356 */   // Label 4768: @248356
     /*  248356 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248422), // Rule ID 5009 //
     /*  248361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248420 */     GIR_RootConstrainSelectedInstOperands,
     /*  248421 */     // GIR_Coverage, 5009,
     /*  248421 */     GIR_EraseRootFromParent_Done,
     /*  248422 */   // Label 4769: @248422
     /*  248422 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248488), // Rule ID 5012 //
     /*  248427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248486 */     GIR_RootConstrainSelectedInstOperands,
     /*  248487 */     // GIR_Coverage, 5012,
     /*  248487 */     GIR_EraseRootFromParent_Done,
     /*  248488 */   // Label 4770: @248488
     /*  248488 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248554), // Rule ID 5013 //
     /*  248493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248552 */     GIR_RootConstrainSelectedInstOperands,
     /*  248553 */     // GIR_Coverage, 5013,
     /*  248553 */     GIR_EraseRootFromParent_Done,
     /*  248554 */   // Label 4771: @248554
     /*  248554 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248620), // Rule ID 5016 //
     /*  248559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248598 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  248601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248618 */     GIR_RootConstrainSelectedInstOperands,
     /*  248619 */     // GIR_Coverage, 5016,
     /*  248619 */     GIR_EraseRootFromParent_Done,
     /*  248620 */   // Label 4772: @248620
     /*  248620 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248686), // Rule ID 5017 //
     /*  248625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  248667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248684 */     GIR_RootConstrainSelectedInstOperands,
     /*  248685 */     // GIR_Coverage, 5017,
     /*  248685 */     GIR_EraseRootFromParent_Done,
     /*  248686 */   // Label 4773: @248686
     /*  248686 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248752), // Rule ID 5020 //
     /*  248691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  248702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248750 */     GIR_RootConstrainSelectedInstOperands,
     /*  248751 */     // GIR_Coverage, 5020,
     /*  248751 */     GIR_EraseRootFromParent_Done,
     /*  248752 */   // Label 4774: @248752
     /*  248752 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248818), // Rule ID 5021 //
     /*  248757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  248768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248816 */     GIR_RootConstrainSelectedInstOperands,
     /*  248817 */     // GIR_Coverage, 5021,
     /*  248817 */     GIR_EraseRootFromParent_Done,
     /*  248818 */   // Label 4775: @248818
     /*  248818 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248884), // Rule ID 5024 //
     /*  248823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  248834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248882 */     GIR_RootConstrainSelectedInstOperands,
     /*  248883 */     // GIR_Coverage, 5024,
     /*  248883 */     GIR_EraseRootFromParent_Done,
     /*  248884 */   // Label 4776: @248884
     /*  248884 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248950), // Rule ID 5025 //
     /*  248889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  248900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248948 */     GIR_RootConstrainSelectedInstOperands,
     /*  248949 */     // GIR_Coverage, 5025,
     /*  248949 */     GIR_EraseRootFromParent_Done,
     /*  248950 */   // Label 4777: @248950
     /*  248950 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(249016), // Rule ID 5028 //
     /*  248955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249014 */     GIR_RootConstrainSelectedInstOperands,
     /*  249015 */     // GIR_Coverage, 5028,
     /*  249015 */     GIR_EraseRootFromParent_Done,
     /*  249016 */   // Label 4778: @249016
     /*  249016 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(249082), // Rule ID 5029 //
     /*  249021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249080 */     GIR_RootConstrainSelectedInstOperands,
     /*  249081 */     // GIR_Coverage, 5029,
     /*  249081 */     GIR_EraseRootFromParent_Done,
     /*  249082 */   // Label 4779: @249082
     /*  249082 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(249148), // Rule ID 5032 //
     /*  249087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249146 */     GIR_RootConstrainSelectedInstOperands,
     /*  249147 */     // GIR_Coverage, 5032,
     /*  249147 */     GIR_EraseRootFromParent_Done,
     /*  249148 */   // Label 4780: @249148
     /*  249148 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(249214), // Rule ID 5033 //
     /*  249153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249212 */     GIR_RootConstrainSelectedInstOperands,
     /*  249213 */     // GIR_Coverage, 5033,
     /*  249213 */     GIR_EraseRootFromParent_Done,
     /*  249214 */   // Label 4781: @249214
     /*  249214 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(249280), // Rule ID 5036 //
     /*  249219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249278 */     GIR_RootConstrainSelectedInstOperands,
     /*  249279 */     // GIR_Coverage, 5036,
     /*  249279 */     GIR_EraseRootFromParent_Done,
     /*  249280 */   // Label 4782: @249280
     /*  249280 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249346), // Rule ID 5037 //
     /*  249285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249344 */     GIR_RootConstrainSelectedInstOperands,
     /*  249345 */     // GIR_Coverage, 5037,
     /*  249345 */     GIR_EraseRootFromParent_Done,
     /*  249346 */   // Label 4783: @249346
     /*  249346 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249412), // Rule ID 5040 //
     /*  249351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249410 */     GIR_RootConstrainSelectedInstOperands,
     /*  249411 */     // GIR_Coverage, 5040,
     /*  249411 */     GIR_EraseRootFromParent_Done,
     /*  249412 */   // Label 4784: @249412
     /*  249412 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249478), // Rule ID 5041 //
     /*  249417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249476 */     GIR_RootConstrainSelectedInstOperands,
     /*  249477 */     // GIR_Coverage, 5041,
     /*  249477 */     GIR_EraseRootFromParent_Done,
     /*  249478 */   // Label 4785: @249478
     /*  249478 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249544), // Rule ID 5044 //
     /*  249483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249542 */     GIR_RootConstrainSelectedInstOperands,
     /*  249543 */     // GIR_Coverage, 5044,
     /*  249543 */     GIR_EraseRootFromParent_Done,
     /*  249544 */   // Label 4786: @249544
     /*  249544 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249610), // Rule ID 5045 //
     /*  249549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249608 */     GIR_RootConstrainSelectedInstOperands,
     /*  249609 */     // GIR_Coverage, 5045,
     /*  249609 */     GIR_EraseRootFromParent_Done,
     /*  249610 */   // Label 4787: @249610
     /*  249610 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249676), // Rule ID 5048 //
     /*  249615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  249626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249674 */     GIR_RootConstrainSelectedInstOperands,
     /*  249675 */     // GIR_Coverage, 5048,
     /*  249675 */     GIR_EraseRootFromParent_Done,
     /*  249676 */   // Label 4788: @249676
     /*  249676 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249742), // Rule ID 5049 //
     /*  249681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  249692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249740 */     GIR_RootConstrainSelectedInstOperands,
     /*  249741 */     // GIR_Coverage, 5049,
     /*  249741 */     GIR_EraseRootFromParent_Done,
     /*  249742 */   // Label 4789: @249742
     /*  249742 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249808), // Rule ID 5052 //
     /*  249747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249806 */     GIR_RootConstrainSelectedInstOperands,
     /*  249807 */     // GIR_Coverage, 5052,
     /*  249807 */     GIR_EraseRootFromParent_Done,
     /*  249808 */   // Label 4790: @249808
     /*  249808 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249874), // Rule ID 5053 //
     /*  249813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249872 */     GIR_RootConstrainSelectedInstOperands,
     /*  249873 */     // GIR_Coverage, 5053,
     /*  249873 */     GIR_EraseRootFromParent_Done,
     /*  249874 */   // Label 4791: @249874
     /*  249874 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249940), // Rule ID 5056 //
     /*  249879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  249896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  249921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249938 */     GIR_RootConstrainSelectedInstOperands,
     /*  249939 */     // GIR_Coverage, 5056,
     /*  249939 */     GIR_EraseRootFromParent_Done,
     /*  249940 */   // Label 4792: @249940
     /*  249940 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(250006), // Rule ID 5057 //
     /*  249945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  249962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  249987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250004 */     GIR_RootConstrainSelectedInstOperands,
     /*  250005 */     // GIR_Coverage, 5057,
     /*  250005 */     GIR_EraseRootFromParent_Done,
     /*  250006 */   // Label 4793: @250006
     /*  250006 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(250072), // Rule ID 5060 //
     /*  250011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  250028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250070 */     GIR_RootConstrainSelectedInstOperands,
     /*  250071 */     // GIR_Coverage, 5060,
     /*  250071 */     GIR_EraseRootFromParent_Done,
     /*  250072 */   // Label 4794: @250072
     /*  250072 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(250138), // Rule ID 5061 //
     /*  250077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  250094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250136 */     GIR_RootConstrainSelectedInstOperands,
     /*  250137 */     // GIR_Coverage, 5061,
     /*  250137 */     GIR_EraseRootFromParent_Done,
     /*  250138 */   // Label 4795: @250138
     /*  250138 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(250204), // Rule ID 5064 //
     /*  250143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  250160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250202 */     GIR_RootConstrainSelectedInstOperands,
     /*  250203 */     // GIR_Coverage, 5064,
     /*  250203 */     GIR_EraseRootFromParent_Done,
     /*  250204 */   // Label 4796: @250204
     /*  250204 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(250270), // Rule ID 5065 //
     /*  250209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  250226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250268 */     GIR_RootConstrainSelectedInstOperands,
     /*  250269 */     // GIR_Coverage, 5065,
     /*  250269 */     GIR_EraseRootFromParent_Done,
     /*  250270 */   // Label 4797: @250270
     /*  250270 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(250336), // Rule ID 5068 //
     /*  250275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250334 */     GIR_RootConstrainSelectedInstOperands,
     /*  250335 */     // GIR_Coverage, 5068,
     /*  250335 */     GIR_EraseRootFromParent_Done,
     /*  250336 */   // Label 4798: @250336
     /*  250336 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250402), // Rule ID 5069 //
     /*  250341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250400 */     GIR_RootConstrainSelectedInstOperands,
     /*  250401 */     // GIR_Coverage, 5069,
     /*  250401 */     GIR_EraseRootFromParent_Done,
     /*  250402 */   // Label 4799: @250402
     /*  250402 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250468), // Rule ID 5072 //
     /*  250407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250466 */     GIR_RootConstrainSelectedInstOperands,
     /*  250467 */     // GIR_Coverage, 5072,
     /*  250467 */     GIR_EraseRootFromParent_Done,
     /*  250468 */   // Label 4800: @250468
     /*  250468 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250534), // Rule ID 5073 //
     /*  250473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250532 */     GIR_RootConstrainSelectedInstOperands,
     /*  250533 */     // GIR_Coverage, 5073,
     /*  250533 */     GIR_EraseRootFromParent_Done,
     /*  250534 */   // Label 4801: @250534
     /*  250534 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250600), // Rule ID 5076 //
     /*  250539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250598 */     GIR_RootConstrainSelectedInstOperands,
     /*  250599 */     // GIR_Coverage, 5076,
     /*  250599 */     GIR_EraseRootFromParent_Done,
     /*  250600 */   // Label 4802: @250600
     /*  250600 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250666), // Rule ID 5077 //
     /*  250605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250664 */     GIR_RootConstrainSelectedInstOperands,
     /*  250665 */     // GIR_Coverage, 5077,
     /*  250665 */     GIR_EraseRootFromParent_Done,
     /*  250666 */   // Label 4803: @250666
     /*  250666 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250732), // Rule ID 5080 //
     /*  250671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250730 */     GIR_RootConstrainSelectedInstOperands,
     /*  250731 */     // GIR_Coverage, 5080,
     /*  250731 */     GIR_EraseRootFromParent_Done,
     /*  250732 */   // Label 4804: @250732
     /*  250732 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250798), // Rule ID 5081 //
     /*  250737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250796 */     GIR_RootConstrainSelectedInstOperands,
     /*  250797 */     // GIR_Coverage, 5081,
     /*  250797 */     GIR_EraseRootFromParent_Done,
     /*  250798 */   // Label 4805: @250798
     /*  250798 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250864), // Rule ID 5084 //
     /*  250803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250842 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250862 */     GIR_RootConstrainSelectedInstOperands,
     /*  250863 */     // GIR_Coverage, 5084,
     /*  250863 */     GIR_EraseRootFromParent_Done,
     /*  250864 */   // Label 4806: @250864
     /*  250864 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250930), // Rule ID 5085 //
     /*  250869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250928 */     GIR_RootConstrainSelectedInstOperands,
     /*  250929 */     // GIR_Coverage, 5085,
     /*  250929 */     GIR_EraseRootFromParent_Done,
     /*  250930 */   // Label 4807: @250930
     /*  250930 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250996), // Rule ID 5088 //
     /*  250935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250994 */     GIR_RootConstrainSelectedInstOperands,
     /*  250995 */     // GIR_Coverage, 5088,
     /*  250995 */     GIR_EraseRootFromParent_Done,
     /*  250996 */   // Label 4808: @250996
     /*  250996 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(251062), // Rule ID 5089 //
     /*  251001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  251018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  251043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251060 */     GIR_RootConstrainSelectedInstOperands,
     /*  251061 */     // GIR_Coverage, 5089,
     /*  251061 */     GIR_EraseRootFromParent_Done,
     /*  251062 */   // Label 4809: @251062
     /*  251062 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(251128), // Rule ID 5092 //
     /*  251067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  251109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251126 */     GIR_RootConstrainSelectedInstOperands,
     /*  251127 */     // GIR_Coverage, 5092,
     /*  251127 */     GIR_EraseRootFromParent_Done,
     /*  251128 */   // Label 4810: @251128
     /*  251128 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(251194), // Rule ID 5093 //
     /*  251133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  251175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251192 */     GIR_RootConstrainSelectedInstOperands,
     /*  251193 */     // GIR_Coverage, 5093,
     /*  251193 */     GIR_EraseRootFromParent_Done,
     /*  251194 */   // Label 4811: @251194
     /*  251194 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(251260), // Rule ID 5096 //
     /*  251199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251258 */     GIR_RootConstrainSelectedInstOperands,
     /*  251259 */     // GIR_Coverage, 5096,
     /*  251259 */     GIR_EraseRootFromParent_Done,
     /*  251260 */   // Label 4812: @251260
     /*  251260 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(251326), // Rule ID 5097 //
     /*  251265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251324 */     GIR_RootConstrainSelectedInstOperands,
     /*  251325 */     // GIR_Coverage, 5097,
     /*  251325 */     GIR_EraseRootFromParent_Done,
     /*  251326 */   // Label 4813: @251326
     /*  251326 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251392), // Rule ID 5100 //
     /*  251331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251390 */     GIR_RootConstrainSelectedInstOperands,
     /*  251391 */     // GIR_Coverage, 5100,
     /*  251391 */     GIR_EraseRootFromParent_Done,
     /*  251392 */   // Label 4814: @251392
     /*  251392 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251458), // Rule ID 5101 //
     /*  251397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251456 */     GIR_RootConstrainSelectedInstOperands,
     /*  251457 */     // GIR_Coverage, 5101,
     /*  251457 */     GIR_EraseRootFromParent_Done,
     /*  251458 */   // Label 4815: @251458
     /*  251458 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251524), // Rule ID 5104 //
     /*  251463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  251505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251522 */     GIR_RootConstrainSelectedInstOperands,
     /*  251523 */     // GIR_Coverage, 5104,
     /*  251523 */     GIR_EraseRootFromParent_Done,
     /*  251524 */   // Label 4816: @251524
     /*  251524 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251590), // Rule ID 5105 //
     /*  251529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251568 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  251571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251588 */     GIR_RootConstrainSelectedInstOperands,
     /*  251589 */     // GIR_Coverage, 5105,
     /*  251589 */     GIR_EraseRootFromParent_Done,
     /*  251590 */   // Label 4817: @251590
     /*  251590 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251653), // Rule ID 5368 //
     /*  251595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251651 */     GIR_RootConstrainSelectedInstOperands,
     /*  251652 */     // GIR_Coverage, 5368,
     /*  251652 */     GIR_EraseRootFromParent_Done,
     /*  251653 */   // Label 4818: @251653
     /*  251653 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251716), // Rule ID 5369 //
     /*  251658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251714 */     GIR_RootConstrainSelectedInstOperands,
     /*  251715 */     // GIR_Coverage, 5369,
     /*  251715 */     GIR_EraseRootFromParent_Done,
     /*  251716 */   // Label 4819: @251716
     /*  251716 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251779), // Rule ID 5370 //
     /*  251721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251777 */     GIR_RootConstrainSelectedInstOperands,
     /*  251778 */     // GIR_Coverage, 5370,
     /*  251778 */     GIR_EraseRootFromParent_Done,
     /*  251779 */   // Label 4820: @251779
     /*  251779 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251842), // Rule ID 5371 //
     /*  251784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251823 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251840 */     GIR_RootConstrainSelectedInstOperands,
     /*  251841 */     // GIR_Coverage, 5371,
     /*  251841 */     GIR_EraseRootFromParent_Done,
     /*  251842 */   // Label 4821: @251842
     /*  251842 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251905), // Rule ID 5372 //
     /*  251847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251886 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251903 */     GIR_RootConstrainSelectedInstOperands,
     /*  251904 */     // GIR_Coverage, 5372,
     /*  251904 */     GIR_EraseRootFromParent_Done,
     /*  251905 */   // Label 4822: @251905
     /*  251905 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251968), // Rule ID 5373 //
     /*  251910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251966 */     GIR_RootConstrainSelectedInstOperands,
     /*  251967 */     // GIR_Coverage, 5373,
     /*  251967 */     GIR_EraseRootFromParent_Done,
     /*  251968 */   // Label 4823: @251968
     /*  251968 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(252031), // Rule ID 5374 //
     /*  251973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252029 */     GIR_RootConstrainSelectedInstOperands,
     /*  252030 */     // GIR_Coverage, 5374,
     /*  252030 */     GIR_EraseRootFromParent_Done,
     /*  252031 */   // Label 4824: @252031
     /*  252031 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(252094), // Rule ID 5375 //
     /*  252036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252075 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252092 */     GIR_RootConstrainSelectedInstOperands,
     /*  252093 */     // GIR_Coverage, 5375,
     /*  252093 */     GIR_EraseRootFromParent_Done,
     /*  252094 */   // Label 4825: @252094
     /*  252094 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(252157), // Rule ID 5376 //
     /*  252099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252155 */     GIR_RootConstrainSelectedInstOperands,
     /*  252156 */     // GIR_Coverage, 5376,
     /*  252156 */     GIR_EraseRootFromParent_Done,
     /*  252157 */   // Label 4826: @252157
     /*  252157 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(252220), // Rule ID 5377 //
     /*  252162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252218 */     GIR_RootConstrainSelectedInstOperands,
     /*  252219 */     // GIR_Coverage, 5377,
     /*  252219 */     GIR_EraseRootFromParent_Done,
     /*  252220 */   // Label 4827: @252220
     /*  252220 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(252283), // Rule ID 5378 //
     /*  252225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252281 */     GIR_RootConstrainSelectedInstOperands,
     /*  252282 */     // GIR_Coverage, 5378,
     /*  252282 */     GIR_EraseRootFromParent_Done,
     /*  252283 */   // Label 4828: @252283
     /*  252283 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(252346), // Rule ID 5379 //
     /*  252288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252327 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252344 */     GIR_RootConstrainSelectedInstOperands,
     /*  252345 */     // GIR_Coverage, 5379,
     /*  252345 */     GIR_EraseRootFromParent_Done,
     /*  252346 */   // Label 4829: @252346
     /*  252346 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252409), // Rule ID 5380 //
     /*  252351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252407 */     GIR_RootConstrainSelectedInstOperands,
     /*  252408 */     // GIR_Coverage, 5380,
     /*  252408 */     GIR_EraseRootFromParent_Done,
     /*  252409 */   // Label 4830: @252409
     /*  252409 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252472), // Rule ID 5381 //
     /*  252414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252453 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252470 */     GIR_RootConstrainSelectedInstOperands,
     /*  252471 */     // GIR_Coverage, 5381,
     /*  252471 */     GIR_EraseRootFromParent_Done,
     /*  252472 */   // Label 4831: @252472
     /*  252472 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252535), // Rule ID 5382 //
     /*  252477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252533 */     GIR_RootConstrainSelectedInstOperands,
     /*  252534 */     // GIR_Coverage, 5382,
     /*  252534 */     GIR_EraseRootFromParent_Done,
     /*  252535 */   // Label 4832: @252535
     /*  252535 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252598), // Rule ID 5383 //
     /*  252540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252596 */     GIR_RootConstrainSelectedInstOperands,
     /*  252597 */     // GIR_Coverage, 5383,
     /*  252597 */     GIR_EraseRootFromParent_Done,
     /*  252598 */   // Label 4833: @252598
     /*  252598 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252661), // Rule ID 5384 //
     /*  252603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252659 */     GIR_RootConstrainSelectedInstOperands,
     /*  252660 */     // GIR_Coverage, 5384,
     /*  252660 */     GIR_EraseRootFromParent_Done,
     /*  252661 */   // Label 4834: @252661
     /*  252661 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252724), // Rule ID 5385 //
     /*  252666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252722 */     GIR_RootConstrainSelectedInstOperands,
     /*  252723 */     // GIR_Coverage, 5385,
     /*  252723 */     GIR_EraseRootFromParent_Done,
     /*  252724 */   // Label 4835: @252724
     /*  252724 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252787), // Rule ID 5386 //
     /*  252729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  252771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252785 */     GIR_RootConstrainSelectedInstOperands,
     /*  252786 */     // GIR_Coverage, 5386,
     /*  252786 */     GIR_EraseRootFromParent_Done,
     /*  252787 */   // Label 4836: @252787
     /*  252787 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252850), // Rule ID 5387 //
     /*  252792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252831 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  252834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252848 */     GIR_RootConstrainSelectedInstOperands,
     /*  252849 */     // GIR_Coverage, 5387,
     /*  252849 */     GIR_EraseRootFromParent_Done,
     /*  252850 */   // Label 4837: @252850
     /*  252850 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252913), // Rule ID 5388 //
     /*  252855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252894 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  252897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252911 */     GIR_RootConstrainSelectedInstOperands,
     /*  252912 */     // GIR_Coverage, 5388,
     /*  252912 */     GIR_EraseRootFromParent_Done,
     /*  252913 */   // Label 4838: @252913
     /*  252913 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252976), // Rule ID 5389 //
     /*  252918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252957 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  252960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252974 */     GIR_RootConstrainSelectedInstOperands,
     /*  252975 */     // GIR_Coverage, 5389,
     /*  252975 */     GIR_EraseRootFromParent_Done,
     /*  252976 */   // Label 4839: @252976
     /*  252976 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(253039), // Rule ID 5390 //
     /*  252981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  252998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253020 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253037 */     GIR_RootConstrainSelectedInstOperands,
     /*  253038 */     // GIR_Coverage, 5390,
     /*  253038 */     GIR_EraseRootFromParent_Done,
     /*  253039 */   // Label 4840: @253039
     /*  253039 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(253102), // Rule ID 5391 //
     /*  253044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253083 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253100 */     GIR_RootConstrainSelectedInstOperands,
     /*  253101 */     // GIR_Coverage, 5391,
     /*  253101 */     GIR_EraseRootFromParent_Done,
     /*  253102 */   // Label 4841: @253102
     /*  253102 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(253165), // Rule ID 5392 //
     /*  253107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253163 */     GIR_RootConstrainSelectedInstOperands,
     /*  253164 */     // GIR_Coverage, 5392,
     /*  253164 */     GIR_EraseRootFromParent_Done,
     /*  253165 */   // Label 4842: @253165
     /*  253165 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(253228), // Rule ID 5393 //
     /*  253170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253226 */     GIR_RootConstrainSelectedInstOperands,
     /*  253227 */     // GIR_Coverage, 5393,
     /*  253227 */     GIR_EraseRootFromParent_Done,
     /*  253228 */   // Label 4843: @253228
     /*  253228 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(253291), // Rule ID 5394 //
     /*  253233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253289 */     GIR_RootConstrainSelectedInstOperands,
     /*  253290 */     // GIR_Coverage, 5394,
     /*  253290 */     GIR_EraseRootFromParent_Done,
     /*  253291 */   // Label 4844: @253291
     /*  253291 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(253354), // Rule ID 5395 //
     /*  253296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253335 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253352 */     GIR_RootConstrainSelectedInstOperands,
     /*  253353 */     // GIR_Coverage, 5395,
     /*  253353 */     GIR_EraseRootFromParent_Done,
     /*  253354 */   // Label 4845: @253354
     /*  253354 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253417), // Rule ID 5396 //
     /*  253359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253398 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253415 */     GIR_RootConstrainSelectedInstOperands,
     /*  253416 */     // GIR_Coverage, 5396,
     /*  253416 */     GIR_EraseRootFromParent_Done,
     /*  253417 */   // Label 4846: @253417
     /*  253417 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253480), // Rule ID 5397 //
     /*  253422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253461 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253478 */     GIR_RootConstrainSelectedInstOperands,
     /*  253479 */     // GIR_Coverage, 5397,
     /*  253479 */     GIR_EraseRootFromParent_Done,
     /*  253480 */   // Label 4847: @253480
     /*  253480 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253543), // Rule ID 5398 //
     /*  253485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253541 */     GIR_RootConstrainSelectedInstOperands,
     /*  253542 */     // GIR_Coverage, 5398,
     /*  253542 */     GIR_EraseRootFromParent_Done,
     /*  253543 */   // Label 4848: @253543
     /*  253543 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253606), // Rule ID 5399 //
     /*  253548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253587 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253604 */     GIR_RootConstrainSelectedInstOperands,
     /*  253605 */     // GIR_Coverage, 5399,
     /*  253605 */     GIR_EraseRootFromParent_Done,
     /*  253606 */   // Label 4849: @253606
     /*  253606 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253669), // Rule ID 5400 //
     /*  253611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253667 */     GIR_RootConstrainSelectedInstOperands,
     /*  253668 */     // GIR_Coverage, 5400,
     /*  253668 */     GIR_EraseRootFromParent_Done,
     /*  253669 */   // Label 4850: @253669
     /*  253669 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253732), // Rule ID 5401 //
     /*  253674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253730 */     GIR_RootConstrainSelectedInstOperands,
     /*  253731 */     // GIR_Coverage, 5401,
     /*  253731 */     GIR_EraseRootFromParent_Done,
     /*  253732 */   // Label 4851: @253732
     /*  253732 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253795), // Rule ID 5402 //
     /*  253737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253793 */     GIR_RootConstrainSelectedInstOperands,
     /*  253794 */     // GIR_Coverage, 5402,
     /*  253794 */     GIR_EraseRootFromParent_Done,
     /*  253795 */   // Label 4852: @253795
     /*  253795 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253858), // Rule ID 5403 //
     /*  253800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253839 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253856 */     GIR_RootConstrainSelectedInstOperands,
     /*  253857 */     // GIR_Coverage, 5403,
     /*  253857 */     GIR_EraseRootFromParent_Done,
     /*  253858 */   // Label 4853: @253858
     /*  253858 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253921), // Rule ID 5404 //
     /*  253863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253919 */     GIR_RootConstrainSelectedInstOperands,
     /*  253920 */     // GIR_Coverage, 5404,
     /*  253920 */     GIR_EraseRootFromParent_Done,
     /*  253921 */   // Label 4854: @253921
     /*  253921 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253984), // Rule ID 5405 //
     /*  253926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253982 */     GIR_RootConstrainSelectedInstOperands,
     /*  253983 */     // GIR_Coverage, 5405,
     /*  253983 */     GIR_EraseRootFromParent_Done,
     /*  253984 */   // Label 4855: @253984
     /*  253984 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(254047), // Rule ID 5406 //
     /*  253989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254045 */     GIR_RootConstrainSelectedInstOperands,
     /*  254046 */     // GIR_Coverage, 5406,
     /*  254046 */     GIR_EraseRootFromParent_Done,
     /*  254047 */   // Label 4856: @254047
     /*  254047 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(254110), // Rule ID 5407 //
     /*  254052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254091 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254108 */     GIR_RootConstrainSelectedInstOperands,
     /*  254109 */     // GIR_Coverage, 5407,
     /*  254109 */     GIR_EraseRootFromParent_Done,
     /*  254110 */   // Label 4857: @254110
     /*  254110 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(254173), // Rule ID 5408 //
     /*  254115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254171 */     GIR_RootConstrainSelectedInstOperands,
     /*  254172 */     // GIR_Coverage, 5408,
     /*  254172 */     GIR_EraseRootFromParent_Done,
     /*  254173 */   // Label 4858: @254173
     /*  254173 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(254236), // Rule ID 5409 //
     /*  254178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254234 */     GIR_RootConstrainSelectedInstOperands,
     /*  254235 */     // GIR_Coverage, 5409,
     /*  254235 */     GIR_EraseRootFromParent_Done,
     /*  254236 */   // Label 4859: @254236
     /*  254236 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(254299), // Rule ID 5410 //
     /*  254241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254297 */     GIR_RootConstrainSelectedInstOperands,
     /*  254298 */     // GIR_Coverage, 5410,
     /*  254298 */     GIR_EraseRootFromParent_Done,
     /*  254299 */   // Label 4860: @254299
     /*  254299 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(254362), // Rule ID 5411 //
     /*  254304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254343 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254360 */     GIR_RootConstrainSelectedInstOperands,
     /*  254361 */     // GIR_Coverage, 5411,
     /*  254361 */     GIR_EraseRootFromParent_Done,
     /*  254362 */   // Label 4861: @254362
     /*  254362 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254425), // Rule ID 5412 //
     /*  254367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254406 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254423 */     GIR_RootConstrainSelectedInstOperands,
     /*  254424 */     // GIR_Coverage, 5412,
     /*  254424 */     GIR_EraseRootFromParent_Done,
     /*  254425 */   // Label 4862: @254425
     /*  254425 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254488), // Rule ID 5413 //
     /*  254430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254486 */     GIR_RootConstrainSelectedInstOperands,
     /*  254487 */     // GIR_Coverage, 5413,
     /*  254487 */     GIR_EraseRootFromParent_Done,
     /*  254488 */   // Label 4863: @254488
     /*  254488 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254551), // Rule ID 5414 //
     /*  254493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254549 */     GIR_RootConstrainSelectedInstOperands,
     /*  254550 */     // GIR_Coverage, 5414,
     /*  254550 */     GIR_EraseRootFromParent_Done,
     /*  254551 */   // Label 4864: @254551
     /*  254551 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254614), // Rule ID 5415 //
     /*  254556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254595 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254612 */     GIR_RootConstrainSelectedInstOperands,
     /*  254613 */     // GIR_Coverage, 5415,
     /*  254613 */     GIR_EraseRootFromParent_Done,
     /*  254614 */   // Label 4865: @254614
     /*  254614 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254677), // Rule ID 5416 //
     /*  254619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254675 */     GIR_RootConstrainSelectedInstOperands,
     /*  254676 */     // GIR_Coverage, 5416,
     /*  254676 */     GIR_EraseRootFromParent_Done,
     /*  254677 */   // Label 4866: @254677
     /*  254677 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254740), // Rule ID 5417 //
     /*  254682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254738 */     GIR_RootConstrainSelectedInstOperands,
     /*  254739 */     // GIR_Coverage, 5417,
     /*  254739 */     GIR_EraseRootFromParent_Done,
     /*  254740 */   // Label 4867: @254740
     /*  254740 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254803), // Rule ID 5418 //
     /*  254745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254801 */     GIR_RootConstrainSelectedInstOperands,
     /*  254802 */     // GIR_Coverage, 5418,
     /*  254802 */     GIR_EraseRootFromParent_Done,
     /*  254803 */   // Label 4868: @254803
     /*  254803 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254866), // Rule ID 5419 //
     /*  254808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254864 */     GIR_RootConstrainSelectedInstOperands,
     /*  254865 */     // GIR_Coverage, 5419,
     /*  254865 */     GIR_EraseRootFromParent_Done,
     /*  254866 */   // Label 4869: @254866
     /*  254866 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254929), // Rule ID 5420 //
     /*  254871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254927 */     GIR_RootConstrainSelectedInstOperands,
     /*  254928 */     // GIR_Coverage, 5420,
     /*  254928 */     GIR_EraseRootFromParent_Done,
     /*  254929 */   // Label 4870: @254929
     /*  254929 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254992), // Rule ID 5421 //
     /*  254934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254990 */     GIR_RootConstrainSelectedInstOperands,
     /*  254991 */     // GIR_Coverage, 5421,
     /*  254991 */     GIR_EraseRootFromParent_Done,
     /*  254992 */   // Label 4871: @254992
     /*  254992 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(255055), // Rule ID 5422 //
     /*  254997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255053 */     GIR_RootConstrainSelectedInstOperands,
     /*  255054 */     // GIR_Coverage, 5422,
     /*  255054 */     GIR_EraseRootFromParent_Done,
     /*  255055 */   // Label 4872: @255055
     /*  255055 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(255118), // Rule ID 5423 //
     /*  255060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255099 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255116 */     GIR_RootConstrainSelectedInstOperands,
     /*  255117 */     // GIR_Coverage, 5423,
     /*  255117 */     GIR_EraseRootFromParent_Done,
     /*  255118 */   // Label 4873: @255118
     /*  255118 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(255181), // Rule ID 5424 //
     /*  255123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255179 */     GIR_RootConstrainSelectedInstOperands,
     /*  255180 */     // GIR_Coverage, 5424,
     /*  255180 */     GIR_EraseRootFromParent_Done,
     /*  255181 */   // Label 4874: @255181
     /*  255181 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(255244), // Rule ID 5425 //
     /*  255186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255225 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255242 */     GIR_RootConstrainSelectedInstOperands,
     /*  255243 */     // GIR_Coverage, 5425,
     /*  255243 */     GIR_EraseRootFromParent_Done,
     /*  255244 */   // Label 4875: @255244
     /*  255244 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(255307), // Rule ID 5426 //
     /*  255249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255305 */     GIR_RootConstrainSelectedInstOperands,
     /*  255306 */     // GIR_Coverage, 5426,
     /*  255306 */     GIR_EraseRootFromParent_Done,
     /*  255307 */   // Label 4876: @255307
     /*  255307 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(255370), // Rule ID 5427 //
     /*  255312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255368 */     GIR_RootConstrainSelectedInstOperands,
     /*  255369 */     // GIR_Coverage, 5427,
     /*  255369 */     GIR_EraseRootFromParent_Done,
     /*  255370 */   // Label 4877: @255370
     /*  255370 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255433), // Rule ID 5428 //
     /*  255375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255431 */     GIR_RootConstrainSelectedInstOperands,
     /*  255432 */     // GIR_Coverage, 5428,
     /*  255432 */     GIR_EraseRootFromParent_Done,
     /*  255433 */   // Label 4878: @255433
     /*  255433 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255496), // Rule ID 5429 //
     /*  255438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255494 */     GIR_RootConstrainSelectedInstOperands,
     /*  255495 */     // GIR_Coverage, 5429,
     /*  255495 */     GIR_EraseRootFromParent_Done,
     /*  255496 */   // Label 4879: @255496
     /*  255496 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255559), // Rule ID 5430 //
     /*  255501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255557 */     GIR_RootConstrainSelectedInstOperands,
     /*  255558 */     // GIR_Coverage, 5430,
     /*  255558 */     GIR_EraseRootFromParent_Done,
     /*  255559 */   // Label 4880: @255559
     /*  255559 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255622), // Rule ID 5431 //
     /*  255564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255603 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255620 */     GIR_RootConstrainSelectedInstOperands,
     /*  255621 */     // GIR_Coverage, 5431,
     /*  255621 */     GIR_EraseRootFromParent_Done,
     /*  255622 */   // Label 4881: @255622
     /*  255622 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255685), // Rule ID 5432 //
     /*  255627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255683 */     GIR_RootConstrainSelectedInstOperands,
     /*  255684 */     // GIR_Coverage, 5432,
     /*  255684 */     GIR_EraseRootFromParent_Done,
     /*  255685 */   // Label 4882: @255685
     /*  255685 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255748), // Rule ID 5433 //
     /*  255690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255746 */     GIR_RootConstrainSelectedInstOperands,
     /*  255747 */     // GIR_Coverage, 5433,
     /*  255747 */     GIR_EraseRootFromParent_Done,
     /*  255748 */   // Label 4883: @255748
     /*  255748 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255811), // Rule ID 5434 //
     /*  255753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255792 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  255795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255809 */     GIR_RootConstrainSelectedInstOperands,
     /*  255810 */     // GIR_Coverage, 5434,
     /*  255810 */     GIR_EraseRootFromParent_Done,
     /*  255811 */   // Label 4884: @255811
     /*  255811 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255874), // Rule ID 5435 //
     /*  255816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255855 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  255858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255872 */     GIR_RootConstrainSelectedInstOperands,
     /*  255873 */     // GIR_Coverage, 5435,
     /*  255873 */     GIR_EraseRootFromParent_Done,
     /*  255874 */   // Label 4885: @255874
     /*  255874 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255937), // Rule ID 5436 //
     /*  255879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255935 */     GIR_RootConstrainSelectedInstOperands,
     /*  255936 */     // GIR_Coverage, 5436,
     /*  255936 */     GIR_EraseRootFromParent_Done,
     /*  255937 */   // Label 4886: @255937
     /*  255937 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(256000), // Rule ID 5437 //
     /*  255942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255998 */     GIR_RootConstrainSelectedInstOperands,
     /*  255999 */     // GIR_Coverage, 5437,
     /*  255999 */     GIR_EraseRootFromParent_Done,
     /*  256000 */   // Label 4887: @256000
     /*  256000 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(256063), // Rule ID 5438 //
     /*  256005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256061 */     GIR_RootConstrainSelectedInstOperands,
     /*  256062 */     // GIR_Coverage, 5438,
     /*  256062 */     GIR_EraseRootFromParent_Done,
     /*  256063 */   // Label 4888: @256063
     /*  256063 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(256126), // Rule ID 5439 //
     /*  256068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256124 */     GIR_RootConstrainSelectedInstOperands,
     /*  256125 */     // GIR_Coverage, 5439,
     /*  256125 */     GIR_EraseRootFromParent_Done,
     /*  256126 */   // Label 4889: @256126
     /*  256126 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(256189), // Rule ID 5440 //
     /*  256131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256187 */     GIR_RootConstrainSelectedInstOperands,
     /*  256188 */     // GIR_Coverage, 5440,
     /*  256188 */     GIR_EraseRootFromParent_Done,
     /*  256189 */   // Label 4890: @256189
     /*  256189 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(256252), // Rule ID 5441 //
     /*  256194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256250 */     GIR_RootConstrainSelectedInstOperands,
     /*  256251 */     // GIR_Coverage, 5441,
     /*  256251 */     GIR_EraseRootFromParent_Done,
     /*  256252 */   // Label 4891: @256252
     /*  256252 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(256315), // Rule ID 5442 //
     /*  256257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256313 */     GIR_RootConstrainSelectedInstOperands,
     /*  256314 */     // GIR_Coverage, 5442,
     /*  256314 */     GIR_EraseRootFromParent_Done,
     /*  256315 */   // Label 4892: @256315
     /*  256315 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(256378), // Rule ID 5443 //
     /*  256320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256376 */     GIR_RootConstrainSelectedInstOperands,
     /*  256377 */     // GIR_Coverage, 5443,
     /*  256377 */     GIR_EraseRootFromParent_Done,
     /*  256378 */   // Label 4893: @256378
     /*  256378 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256441), // Rule ID 5444 //
     /*  256383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256439 */     GIR_RootConstrainSelectedInstOperands,
     /*  256440 */     // GIR_Coverage, 5444,
     /*  256440 */     GIR_EraseRootFromParent_Done,
     /*  256441 */   // Label 4894: @256441
     /*  256441 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256504), // Rule ID 5445 //
     /*  256446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256502 */     GIR_RootConstrainSelectedInstOperands,
     /*  256503 */     // GIR_Coverage, 5445,
     /*  256503 */     GIR_EraseRootFromParent_Done,
     /*  256504 */   // Label 4895: @256504
     /*  256504 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256567), // Rule ID 5446 //
     /*  256509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256565 */     GIR_RootConstrainSelectedInstOperands,
     /*  256566 */     // GIR_Coverage, 5446,
     /*  256566 */     GIR_EraseRootFromParent_Done,
     /*  256567 */   // Label 4896: @256567
     /*  256567 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256630), // Rule ID 5447 //
     /*  256572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256628 */     GIR_RootConstrainSelectedInstOperands,
     /*  256629 */     // GIR_Coverage, 5447,
     /*  256629 */     GIR_EraseRootFromParent_Done,
     /*  256630 */   // Label 4897: @256630
     /*  256630 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256693), // Rule ID 5448 //
     /*  256635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256691 */     GIR_RootConstrainSelectedInstOperands,
     /*  256692 */     // GIR_Coverage, 5448,
     /*  256692 */     GIR_EraseRootFromParent_Done,
     /*  256693 */   // Label 4898: @256693
     /*  256693 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256756), // Rule ID 5449 //
     /*  256698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256754 */     GIR_RootConstrainSelectedInstOperands,
     /*  256755 */     // GIR_Coverage, 5449,
     /*  256755 */     GIR_EraseRootFromParent_Done,
     /*  256756 */   // Label 4899: @256756
     /*  256756 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256819), // Rule ID 5450 //
     /*  256761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256817 */     GIR_RootConstrainSelectedInstOperands,
     /*  256818 */     // GIR_Coverage, 5450,
     /*  256818 */     GIR_EraseRootFromParent_Done,
     /*  256819 */   // Label 4900: @256819
     /*  256819 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256882), // Rule ID 5451 //
     /*  256824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256880 */     GIR_RootConstrainSelectedInstOperands,
     /*  256881 */     // GIR_Coverage, 5451,
     /*  256881 */     GIR_EraseRootFromParent_Done,
     /*  256882 */   // Label 4901: @256882
     /*  256882 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256945), // Rule ID 5452 //
     /*  256887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256943 */     GIR_RootConstrainSelectedInstOperands,
     /*  256944 */     // GIR_Coverage, 5452,
     /*  256944 */     GIR_EraseRootFromParent_Done,
     /*  256945 */   // Label 4902: @256945
     /*  256945 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(257008), // Rule ID 5453 //
     /*  256950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257006 */     GIR_RootConstrainSelectedInstOperands,
     /*  257007 */     // GIR_Coverage, 5453,
     /*  257007 */     GIR_EraseRootFromParent_Done,
     /*  257008 */   // Label 4903: @257008
     /*  257008 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(257071), // Rule ID 5674 //
     /*  257013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  257055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257069 */     GIR_RootConstrainSelectedInstOperands,
     /*  257070 */     // GIR_Coverage, 5674,
     /*  257070 */     GIR_EraseRootFromParent_Done,
     /*  257071 */   // Label 4904: @257071
     /*  257071 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(257134), // Rule ID 5675 //
     /*  257076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  257118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257132 */     GIR_RootConstrainSelectedInstOperands,
     /*  257133 */     // GIR_Coverage, 5675,
     /*  257133 */     GIR_EraseRootFromParent_Done,
     /*  257134 */   // Label 4905: @257134
     /*  257134 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(257197), // Rule ID 5676 //
     /*  257139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257195 */     GIR_RootConstrainSelectedInstOperands,
     /*  257196 */     // GIR_Coverage, 5676,
     /*  257196 */     GIR_EraseRootFromParent_Done,
     /*  257197 */   // Label 4906: @257197
     /*  257197 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(257260), // Rule ID 5677 //
     /*  257202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257258 */     GIR_RootConstrainSelectedInstOperands,
     /*  257259 */     // GIR_Coverage, 5677,
     /*  257259 */     GIR_EraseRootFromParent_Done,
     /*  257260 */   // Label 4907: @257260
     /*  257260 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(257323), // Rule ID 5678 //
     /*  257265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257321 */     GIR_RootConstrainSelectedInstOperands,
     /*  257322 */     // GIR_Coverage, 5678,
     /*  257322 */     GIR_EraseRootFromParent_Done,
     /*  257323 */   // Label 4908: @257323
     /*  257323 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(257386), // Rule ID 5679 //
     /*  257328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257384 */     GIR_RootConstrainSelectedInstOperands,
     /*  257385 */     // GIR_Coverage, 5679,
     /*  257385 */     GIR_EraseRootFromParent_Done,
     /*  257386 */   // Label 4909: @257386
     /*  257386 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257449), // Rule ID 5680 //
     /*  257391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257447 */     GIR_RootConstrainSelectedInstOperands,
     /*  257448 */     // GIR_Coverage, 5680,
     /*  257448 */     GIR_EraseRootFromParent_Done,
     /*  257449 */   // Label 4910: @257449
     /*  257449 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257512), // Rule ID 5681 //
     /*  257454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257493 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257510 */     GIR_RootConstrainSelectedInstOperands,
     /*  257511 */     // GIR_Coverage, 5681,
     /*  257511 */     GIR_EraseRootFromParent_Done,
     /*  257512 */   // Label 4911: @257512
     /*  257512 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257575), // Rule ID 5682 //
     /*  257517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257573 */     GIR_RootConstrainSelectedInstOperands,
     /*  257574 */     // GIR_Coverage, 5682,
     /*  257574 */     GIR_EraseRootFromParent_Done,
     /*  257575 */   // Label 4912: @257575
     /*  257575 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257638), // Rule ID 5683 //
     /*  257580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257636 */     GIR_RootConstrainSelectedInstOperands,
     /*  257637 */     // GIR_Coverage, 5683,
     /*  257637 */     GIR_EraseRootFromParent_Done,
     /*  257638 */   // Label 4913: @257638
     /*  257638 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257701), // Rule ID 5684 //
     /*  257643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257699 */     GIR_RootConstrainSelectedInstOperands,
     /*  257700 */     // GIR_Coverage, 5684,
     /*  257700 */     GIR_EraseRootFromParent_Done,
     /*  257701 */   // Label 4914: @257701
     /*  257701 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257764), // Rule ID 5685 //
     /*  257706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257762 */     GIR_RootConstrainSelectedInstOperands,
     /*  257763 */     // GIR_Coverage, 5685,
     /*  257763 */     GIR_EraseRootFromParent_Done,
     /*  257764 */   // Label 4915: @257764
     /*  257764 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257827), // Rule ID 5686 //
     /*  257769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257825 */     GIR_RootConstrainSelectedInstOperands,
     /*  257826 */     // GIR_Coverage, 5686,
     /*  257826 */     GIR_EraseRootFromParent_Done,
     /*  257827 */   // Label 4916: @257827
     /*  257827 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257890), // Rule ID 5687 //
     /*  257832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257888 */     GIR_RootConstrainSelectedInstOperands,
     /*  257889 */     // GIR_Coverage, 5687,
     /*  257889 */     GIR_EraseRootFromParent_Done,
     /*  257890 */   // Label 4917: @257890
     /*  257890 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257953), // Rule ID 5688 //
     /*  257895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257951 */     GIR_RootConstrainSelectedInstOperands,
     /*  257952 */     // GIR_Coverage, 5688,
     /*  257952 */     GIR_EraseRootFromParent_Done,
     /*  257953 */   // Label 4918: @257953
     /*  257953 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(258016), // Rule ID 5689 //
     /*  257958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257997 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258014 */     GIR_RootConstrainSelectedInstOperands,
     /*  258015 */     // GIR_Coverage, 5689,
     /*  258015 */     GIR_EraseRootFromParent_Done,
     /*  258016 */   // Label 4919: @258016
     /*  258016 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(258079), // Rule ID 5690 //
     /*  258021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258077 */     GIR_RootConstrainSelectedInstOperands,
     /*  258078 */     // GIR_Coverage, 5690,
     /*  258078 */     GIR_EraseRootFromParent_Done,
     /*  258079 */   // Label 4920: @258079
     /*  258079 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(258142), // Rule ID 5691 //
     /*  258084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258140 */     GIR_RootConstrainSelectedInstOperands,
     /*  258141 */     // GIR_Coverage, 5691,
     /*  258141 */     GIR_EraseRootFromParent_Done,
     /*  258142 */   // Label 4921: @258142
     /*  258142 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(258205), // Rule ID 5692 //
     /*  258147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258203 */     GIR_RootConstrainSelectedInstOperands,
     /*  258204 */     // GIR_Coverage, 5692,
     /*  258204 */     GIR_EraseRootFromParent_Done,
     /*  258205 */   // Label 4922: @258205
     /*  258205 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(258268), // Rule ID 5693 //
     /*  258210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258266 */     GIR_RootConstrainSelectedInstOperands,
     /*  258267 */     // GIR_Coverage, 5693,
     /*  258267 */     GIR_EraseRootFromParent_Done,
     /*  258268 */   // Label 4923: @258268
     /*  258268 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(258331), // Rule ID 5694 //
     /*  258273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258329 */     GIR_RootConstrainSelectedInstOperands,
     /*  258330 */     // GIR_Coverage, 5694,
     /*  258330 */     GIR_EraseRootFromParent_Done,
     /*  258331 */   // Label 4924: @258331
     /*  258331 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(258394), // Rule ID 5695 //
     /*  258336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258375 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258392 */     GIR_RootConstrainSelectedInstOperands,
     /*  258393 */     // GIR_Coverage, 5695,
     /*  258393 */     GIR_EraseRootFromParent_Done,
     /*  258394 */   // Label 4925: @258394
     /*  258394 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258457), // Rule ID 5696 //
     /*  258399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258438 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258455 */     GIR_RootConstrainSelectedInstOperands,
     /*  258456 */     // GIR_Coverage, 5696,
     /*  258456 */     GIR_EraseRootFromParent_Done,
     /*  258457 */   // Label 4926: @258457
     /*  258457 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258520), // Rule ID 5697 //
     /*  258462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258501 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258518 */     GIR_RootConstrainSelectedInstOperands,
     /*  258519 */     // GIR_Coverage, 5697,
     /*  258519 */     GIR_EraseRootFromParent_Done,
     /*  258520 */   // Label 4927: @258520
     /*  258520 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258583), // Rule ID 5698 //
     /*  258525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258564 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258581 */     GIR_RootConstrainSelectedInstOperands,
     /*  258582 */     // GIR_Coverage, 5698,
     /*  258582 */     GIR_EraseRootFromParent_Done,
     /*  258583 */   // Label 4928: @258583
     /*  258583 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258646), // Rule ID 5699 //
     /*  258588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258627 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258644 */     GIR_RootConstrainSelectedInstOperands,
     /*  258645 */     // GIR_Coverage, 5699,
     /*  258645 */     GIR_EraseRootFromParent_Done,
     /*  258646 */   // Label 4929: @258646
     /*  258646 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258709), // Rule ID 5700 //
     /*  258651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258690 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258707 */     GIR_RootConstrainSelectedInstOperands,
     /*  258708 */     // GIR_Coverage, 5700,
     /*  258708 */     GIR_EraseRootFromParent_Done,
     /*  258709 */   // Label 4930: @258709
     /*  258709 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258772), // Rule ID 5701 //
     /*  258714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258770 */     GIR_RootConstrainSelectedInstOperands,
     /*  258771 */     // GIR_Coverage, 5701,
     /*  258771 */     GIR_EraseRootFromParent_Done,
     /*  258772 */   // Label 4931: @258772
     /*  258772 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258835), // Rule ID 5702 //
     /*  258777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258833 */     GIR_RootConstrainSelectedInstOperands,
     /*  258834 */     // GIR_Coverage, 5702,
     /*  258834 */     GIR_EraseRootFromParent_Done,
     /*  258835 */   // Label 4932: @258835
     /*  258835 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258898), // Rule ID 5703 //
     /*  258840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258896 */     GIR_RootConstrainSelectedInstOperands,
     /*  258897 */     // GIR_Coverage, 5703,
     /*  258897 */     GIR_EraseRootFromParent_Done,
     /*  258898 */   // Label 4933: @258898
     /*  258898 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258961), // Rule ID 5704 //
     /*  258903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258942 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258959 */     GIR_RootConstrainSelectedInstOperands,
     /*  258960 */     // GIR_Coverage, 5704,
     /*  258960 */     GIR_EraseRootFromParent_Done,
     /*  258961 */   // Label 4934: @258961
     /*  258961 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(259024), // Rule ID 5705 //
     /*  258966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259022 */     GIR_RootConstrainSelectedInstOperands,
     /*  259023 */     // GIR_Coverage, 5705,
     /*  259023 */     GIR_EraseRootFromParent_Done,
     /*  259024 */   // Label 4935: @259024
     /*  259024 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(259087), // Rule ID 5706 //
     /*  259029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259085 */     GIR_RootConstrainSelectedInstOperands,
     /*  259086 */     // GIR_Coverage, 5706,
     /*  259086 */     GIR_EraseRootFromParent_Done,
     /*  259087 */   // Label 4936: @259087
     /*  259087 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(259150), // Rule ID 5707 //
     /*  259092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259131 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259148 */     GIR_RootConstrainSelectedInstOperands,
     /*  259149 */     // GIR_Coverage, 5707,
     /*  259149 */     GIR_EraseRootFromParent_Done,
     /*  259150 */   // Label 4937: @259150
     /*  259150 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(259213), // Rule ID 5708 //
     /*  259155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259211 */     GIR_RootConstrainSelectedInstOperands,
     /*  259212 */     // GIR_Coverage, 5708,
     /*  259212 */     GIR_EraseRootFromParent_Done,
     /*  259213 */   // Label 4938: @259213
     /*  259213 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(259276), // Rule ID 5709 //
     /*  259218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259274 */     GIR_RootConstrainSelectedInstOperands,
     /*  259275 */     // GIR_Coverage, 5709,
     /*  259275 */     GIR_EraseRootFromParent_Done,
     /*  259276 */   // Label 4939: @259276
     /*  259276 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(259339), // Rule ID 5710 //
     /*  259281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259337 */     GIR_RootConstrainSelectedInstOperands,
     /*  259338 */     // GIR_Coverage, 5710,
     /*  259338 */     GIR_EraseRootFromParent_Done,
     /*  259339 */   // Label 4940: @259339
     /*  259339 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259402), // Rule ID 5711 //
     /*  259344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259400 */     GIR_RootConstrainSelectedInstOperands,
     /*  259401 */     // GIR_Coverage, 5711,
     /*  259401 */     GIR_EraseRootFromParent_Done,
     /*  259402 */   // Label 4941: @259402
     /*  259402 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259465), // Rule ID 5712 //
     /*  259407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259463 */     GIR_RootConstrainSelectedInstOperands,
     /*  259464 */     // GIR_Coverage, 5712,
     /*  259464 */     GIR_EraseRootFromParent_Done,
     /*  259465 */   // Label 4942: @259465
     /*  259465 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259528), // Rule ID 5713 //
     /*  259470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259526 */     GIR_RootConstrainSelectedInstOperands,
     /*  259527 */     // GIR_Coverage, 5713,
     /*  259527 */     GIR_EraseRootFromParent_Done,
     /*  259528 */   // Label 4943: @259528
     /*  259528 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259591), // Rule ID 5714 //
     /*  259533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259589 */     GIR_RootConstrainSelectedInstOperands,
     /*  259590 */     // GIR_Coverage, 5714,
     /*  259590 */     GIR_EraseRootFromParent_Done,
     /*  259591 */   // Label 4944: @259591
     /*  259591 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259654), // Rule ID 5715 //
     /*  259596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259652 */     GIR_RootConstrainSelectedInstOperands,
     /*  259653 */     // GIR_Coverage, 5715,
     /*  259653 */     GIR_EraseRootFromParent_Done,
     /*  259654 */   // Label 4945: @259654
     /*  259654 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259717), // Rule ID 5716 //
     /*  259659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259715 */     GIR_RootConstrainSelectedInstOperands,
     /*  259716 */     // GIR_Coverage, 5716,
     /*  259716 */     GIR_EraseRootFromParent_Done,
     /*  259717 */   // Label 4946: @259717
     /*  259717 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259780), // Rule ID 5717 //
     /*  259722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259778 */     GIR_RootConstrainSelectedInstOperands,
     /*  259779 */     // GIR_Coverage, 5717,
     /*  259779 */     GIR_EraseRootFromParent_Done,
     /*  259780 */   // Label 4947: @259780
     /*  259780 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259843), // Rule ID 5718 //
     /*  259785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  259827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259841 */     GIR_RootConstrainSelectedInstOperands,
     /*  259842 */     // GIR_Coverage, 5718,
     /*  259842 */     GIR_EraseRootFromParent_Done,
     /*  259843 */   // Label 4948: @259843
     /*  259843 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259906), // Rule ID 5719 //
     /*  259848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  259890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259904 */     GIR_RootConstrainSelectedInstOperands,
     /*  259905 */     // GIR_Coverage, 5719,
     /*  259905 */     GIR_EraseRootFromParent_Done,
     /*  259906 */   // Label 4949: @259906
     /*  259906 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259969), // Rule ID 5720 //
     /*  259911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  259953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259967 */     GIR_RootConstrainSelectedInstOperands,
     /*  259968 */     // GIR_Coverage, 5720,
     /*  259968 */     GIR_EraseRootFromParent_Done,
     /*  259969 */   // Label 4950: @259969
     /*  259969 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(260032), // Rule ID 5721 //
     /*  259974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260030 */     GIR_RootConstrainSelectedInstOperands,
     /*  260031 */     // GIR_Coverage, 5721,
     /*  260031 */     GIR_EraseRootFromParent_Done,
     /*  260032 */   // Label 4951: @260032
     /*  260032 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(260095), // Rule ID 5722 //
     /*  260037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260093 */     GIR_RootConstrainSelectedInstOperands,
     /*  260094 */     // GIR_Coverage, 5722,
     /*  260094 */     GIR_EraseRootFromParent_Done,
     /*  260095 */   // Label 4952: @260095
     /*  260095 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(260158), // Rule ID 5723 //
     /*  260100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260156 */     GIR_RootConstrainSelectedInstOperands,
     /*  260157 */     // GIR_Coverage, 5723,
     /*  260157 */     GIR_EraseRootFromParent_Done,
     /*  260158 */   // Label 4953: @260158
     /*  260158 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(260221), // Rule ID 5724 //
     /*  260163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260219 */     GIR_RootConstrainSelectedInstOperands,
     /*  260220 */     // GIR_Coverage, 5724,
     /*  260220 */     GIR_EraseRootFromParent_Done,
     /*  260221 */   // Label 4954: @260221
     /*  260221 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(260284), // Rule ID 5725 //
     /*  260226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260282 */     GIR_RootConstrainSelectedInstOperands,
     /*  260283 */     // GIR_Coverage, 5725,
     /*  260283 */     GIR_EraseRootFromParent_Done,
     /*  260284 */   // Label 4955: @260284
     /*  260284 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(260347), // Rule ID 5726 //
     /*  260289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260345 */     GIR_RootConstrainSelectedInstOperands,
     /*  260346 */     // GIR_Coverage, 5726,
     /*  260346 */     GIR_EraseRootFromParent_Done,
     /*  260347 */   // Label 4956: @260347
     /*  260347 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260410), // Rule ID 5727 //
     /*  260352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260391 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260408 */     GIR_RootConstrainSelectedInstOperands,
     /*  260409 */     // GIR_Coverage, 5727,
     /*  260409 */     GIR_EraseRootFromParent_Done,
     /*  260410 */   // Label 4957: @260410
     /*  260410 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260473), // Rule ID 5728 //
     /*  260415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260471 */     GIR_RootConstrainSelectedInstOperands,
     /*  260472 */     // GIR_Coverage, 5728,
     /*  260472 */     GIR_EraseRootFromParent_Done,
     /*  260473 */   // Label 4958: @260473
     /*  260473 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260536), // Rule ID 5729 //
     /*  260478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260534 */     GIR_RootConstrainSelectedInstOperands,
     /*  260535 */     // GIR_Coverage, 5729,
     /*  260535 */     GIR_EraseRootFromParent_Done,
     /*  260536 */   // Label 4959: @260536
     /*  260536 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260599), // Rule ID 5730 //
     /*  260541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260597 */     GIR_RootConstrainSelectedInstOperands,
     /*  260598 */     // GIR_Coverage, 5730,
     /*  260598 */     GIR_EraseRootFromParent_Done,
     /*  260599 */   // Label 4960: @260599
     /*  260599 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260662), // Rule ID 5731 //
     /*  260604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260643 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260660 */     GIR_RootConstrainSelectedInstOperands,
     /*  260661 */     // GIR_Coverage, 5731,
     /*  260661 */     GIR_EraseRootFromParent_Done,
     /*  260662 */   // Label 4961: @260662
     /*  260662 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260725), // Rule ID 5732 //
     /*  260667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260723 */     GIR_RootConstrainSelectedInstOperands,
     /*  260724 */     // GIR_Coverage, 5732,
     /*  260724 */     GIR_EraseRootFromParent_Done,
     /*  260725 */   // Label 4962: @260725
     /*  260725 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260788), // Rule ID 5733 //
     /*  260730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260786 */     GIR_RootConstrainSelectedInstOperands,
     /*  260787 */     // GIR_Coverage, 5733,
     /*  260787 */     GIR_EraseRootFromParent_Done,
     /*  260788 */   // Label 4963: @260788
     /*  260788 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260851), // Rule ID 5734 //
     /*  260793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260849 */     GIR_RootConstrainSelectedInstOperands,
     /*  260850 */     // GIR_Coverage, 5734,
     /*  260850 */     GIR_EraseRootFromParent_Done,
     /*  260851 */   // Label 4964: @260851
     /*  260851 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260914), // Rule ID 5735 //
     /*  260856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260912 */     GIR_RootConstrainSelectedInstOperands,
     /*  260913 */     // GIR_Coverage, 5735,
     /*  260913 */     GIR_EraseRootFromParent_Done,
     /*  260914 */   // Label 4965: @260914
     /*  260914 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260977), // Rule ID 5736 //
     /*  260919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260975 */     GIR_RootConstrainSelectedInstOperands,
     /*  260976 */     // GIR_Coverage, 5736,
     /*  260976 */     GIR_EraseRootFromParent_Done,
     /*  260977 */   // Label 4966: @260977
     /*  260977 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(261040), // Rule ID 5737 //
     /*  260982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261038 */     GIR_RootConstrainSelectedInstOperands,
     /*  261039 */     // GIR_Coverage, 5737,
     /*  261039 */     GIR_EraseRootFromParent_Done,
     /*  261040 */   // Label 4967: @261040
     /*  261040 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(261103), // Rule ID 5738 //
     /*  261045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261101 */     GIR_RootConstrainSelectedInstOperands,
     /*  261102 */     // GIR_Coverage, 5738,
     /*  261102 */     GIR_EraseRootFromParent_Done,
     /*  261103 */   // Label 4968: @261103
     /*  261103 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(261166), // Rule ID 5739 //
     /*  261108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261147 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261164 */     GIR_RootConstrainSelectedInstOperands,
     /*  261165 */     // GIR_Coverage, 5739,
     /*  261165 */     GIR_EraseRootFromParent_Done,
     /*  261166 */   // Label 4969: @261166
     /*  261166 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(261229), // Rule ID 5740 //
     /*  261171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261227 */     GIR_RootConstrainSelectedInstOperands,
     /*  261228 */     // GIR_Coverage, 5740,
     /*  261228 */     GIR_EraseRootFromParent_Done,
     /*  261229 */   // Label 4970: @261229
     /*  261229 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(261292), // Rule ID 5741 //
     /*  261234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261273 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261290 */     GIR_RootConstrainSelectedInstOperands,
     /*  261291 */     // GIR_Coverage, 5741,
     /*  261291 */     GIR_EraseRootFromParent_Done,
     /*  261292 */   // Label 4971: @261292
     /*  261292 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(261355), // Rule ID 5742 //
     /*  261297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261336 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261353 */     GIR_RootConstrainSelectedInstOperands,
     /*  261354 */     // GIR_Coverage, 5742,
     /*  261354 */     GIR_EraseRootFromParent_Done,
     /*  261355 */   // Label 4972: @261355
     /*  261355 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261418), // Rule ID 5743 //
     /*  261360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261399 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261416 */     GIR_RootConstrainSelectedInstOperands,
     /*  261417 */     // GIR_Coverage, 5743,
     /*  261417 */     GIR_EraseRootFromParent_Done,
     /*  261418 */   // Label 4973: @261418
     /*  261418 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261481), // Rule ID 5744 //
     /*  261423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261479 */     GIR_RootConstrainSelectedInstOperands,
     /*  261480 */     // GIR_Coverage, 5744,
     /*  261480 */     GIR_EraseRootFromParent_Done,
     /*  261481 */   // Label 4974: @261481
     /*  261481 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261544), // Rule ID 5745 //
     /*  261486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261525 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261542 */     GIR_RootConstrainSelectedInstOperands,
     /*  261543 */     // GIR_Coverage, 5745,
     /*  261543 */     GIR_EraseRootFromParent_Done,
     /*  261544 */   // Label 4975: @261544
     /*  261544 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261607), // Rule ID 5746 //
     /*  261549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261605 */     GIR_RootConstrainSelectedInstOperands,
     /*  261606 */     // GIR_Coverage, 5746,
     /*  261606 */     GIR_EraseRootFromParent_Done,
     /*  261607 */   // Label 4976: @261607
     /*  261607 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261670), // Rule ID 5747 //
     /*  261612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261668 */     GIR_RootConstrainSelectedInstOperands,
     /*  261669 */     // GIR_Coverage, 5747,
     /*  261669 */     GIR_EraseRootFromParent_Done,
     /*  261670 */   // Label 4977: @261670
     /*  261670 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261733), // Rule ID 5748 //
     /*  261675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261714 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261731 */     GIR_RootConstrainSelectedInstOperands,
     /*  261732 */     // GIR_Coverage, 5748,
     /*  261732 */     GIR_EraseRootFromParent_Done,
     /*  261733 */   // Label 4978: @261733
     /*  261733 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261796), // Rule ID 5749 //
     /*  261738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261777 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261794 */     GIR_RootConstrainSelectedInstOperands,
     /*  261795 */     // GIR_Coverage, 5749,
     /*  261795 */     GIR_EraseRootFromParent_Done,
     /*  261796 */   // Label 4979: @261796
     /*  261796 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261859), // Rule ID 5750 //
     /*  261801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261857 */     GIR_RootConstrainSelectedInstOperands,
     /*  261858 */     // GIR_Coverage, 5750,
     /*  261858 */     GIR_EraseRootFromParent_Done,
     /*  261859 */   // Label 4980: @261859
     /*  261859 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261922), // Rule ID 5751 //
     /*  261864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261920 */     GIR_RootConstrainSelectedInstOperands,
     /*  261921 */     // GIR_Coverage, 5751,
     /*  261921 */     GIR_EraseRootFromParent_Done,
     /*  261922 */   // Label 4981: @261922
     /*  261922 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261985), // Rule ID 5752 //
     /*  261927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261983 */     GIR_RootConstrainSelectedInstOperands,
     /*  261984 */     // GIR_Coverage, 5752,
     /*  261984 */     GIR_EraseRootFromParent_Done,
     /*  261985 */   // Label 4982: @261985
     /*  261985 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(262048), // Rule ID 5753 //
     /*  261990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262046 */     GIR_RootConstrainSelectedInstOperands,
     /*  262047 */     // GIR_Coverage, 5753,
     /*  262047 */     GIR_EraseRootFromParent_Done,
     /*  262048 */   // Label 4983: @262048
     /*  262048 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(262111), // Rule ID 5754 //
     /*  262053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262109 */     GIR_RootConstrainSelectedInstOperands,
     /*  262110 */     // GIR_Coverage, 5754,
     /*  262110 */     GIR_EraseRootFromParent_Done,
     /*  262111 */   // Label 4984: @262111
     /*  262111 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(262174), // Rule ID 5755 //
     /*  262116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262155 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262172 */     GIR_RootConstrainSelectedInstOperands,
     /*  262173 */     // GIR_Coverage, 5755,
     /*  262173 */     GIR_EraseRootFromParent_Done,
     /*  262174 */   // Label 4985: @262174
     /*  262174 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(262237), // Rule ID 5756 //
     /*  262179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262235 */     GIR_RootConstrainSelectedInstOperands,
     /*  262236 */     // GIR_Coverage, 5756,
     /*  262236 */     GIR_EraseRootFromParent_Done,
     /*  262237 */   // Label 4986: @262237
     /*  262237 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(262300), // Rule ID 5757 //
     /*  262242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262298 */     GIR_RootConstrainSelectedInstOperands,
     /*  262299 */     // GIR_Coverage, 5757,
     /*  262299 */     GIR_EraseRootFromParent_Done,
     /*  262300 */   // Label 4987: @262300
     /*  262300 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(262363), // Rule ID 5758 //
     /*  262305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262361 */     GIR_RootConstrainSelectedInstOperands,
     /*  262362 */     // GIR_Coverage, 5758,
     /*  262362 */     GIR_EraseRootFromParent_Done,
     /*  262363 */   // Label 4988: @262363
     /*  262363 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262426), // Rule ID 5759 //
     /*  262368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262424 */     GIR_RootConstrainSelectedInstOperands,
     /*  262425 */     // GIR_Coverage, 5759,
     /*  262425 */     GIR_EraseRootFromParent_Done,
     /*  262426 */   // Label 4989: @262426
     /*  262426 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262489), // Rule ID 5760 //
     /*  262431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262487 */     GIR_RootConstrainSelectedInstOperands,
     /*  262488 */     // GIR_Coverage, 5760,
     /*  262488 */     GIR_EraseRootFromParent_Done,
     /*  262489 */   // Label 4990: @262489
     /*  262489 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262552), // Rule ID 5761 //
     /*  262494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262550 */     GIR_RootConstrainSelectedInstOperands,
     /*  262551 */     // GIR_Coverage, 5761,
     /*  262551 */     GIR_EraseRootFromParent_Done,
     /*  262552 */   // Label 4991: @262552
     /*  262552 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262615), // Rule ID 7794 //
     /*  262557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262613 */     GIR_RootConstrainSelectedInstOperands,
     /*  262614 */     // GIR_Coverage, 7794,
     /*  262614 */     GIR_EraseRootFromParent_Done,
     /*  262615 */   // Label 4992: @262615
     /*  262615 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262678), // Rule ID 7795 //
     /*  262620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262676 */     GIR_RootConstrainSelectedInstOperands,
     /*  262677 */     // GIR_Coverage, 7795,
     /*  262677 */     GIR_EraseRootFromParent_Done,
     /*  262678 */   // Label 4993: @262678
     /*  262678 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262741), // Rule ID 7798 //
     /*  262683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262739 */     GIR_RootConstrainSelectedInstOperands,
     /*  262740 */     // GIR_Coverage, 7798,
     /*  262740 */     GIR_EraseRootFromParent_Done,
     /*  262741 */   // Label 4994: @262741
     /*  262741 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262804), // Rule ID 7799 //
     /*  262746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262802 */     GIR_RootConstrainSelectedInstOperands,
     /*  262803 */     // GIR_Coverage, 7799,
     /*  262803 */     GIR_EraseRootFromParent_Done,
     /*  262804 */   // Label 4995: @262804
     /*  262804 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262867), // Rule ID 7802 //
     /*  262809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262865 */     GIR_RootConstrainSelectedInstOperands,
     /*  262866 */     // GIR_Coverage, 7802,
     /*  262866 */     GIR_EraseRootFromParent_Done,
     /*  262867 */   // Label 4996: @262867
     /*  262867 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262930), // Rule ID 7803 //
     /*  262872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262928 */     GIR_RootConstrainSelectedInstOperands,
     /*  262929 */     // GIR_Coverage, 7803,
     /*  262929 */     GIR_EraseRootFromParent_Done,
     /*  262930 */   // Label 4997: @262930
     /*  262930 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262993), // Rule ID 7806 //
     /*  262935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  262952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262974 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262991 */     GIR_RootConstrainSelectedInstOperands,
     /*  262992 */     // GIR_Coverage, 7806,
     /*  262992 */     GIR_EraseRootFromParent_Done,
     /*  262993 */   // Label 4998: @262993
     /*  262993 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(263056), // Rule ID 7807 //
     /*  262998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263054 */     GIR_RootConstrainSelectedInstOperands,
     /*  263055 */     // GIR_Coverage, 7807,
     /*  263055 */     GIR_EraseRootFromParent_Done,
     /*  263056 */   // Label 4999: @263056
     /*  263056 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(263119), // Rule ID 7810 //
     /*  263061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263117 */     GIR_RootConstrainSelectedInstOperands,
     /*  263118 */     // GIR_Coverage, 7810,
     /*  263118 */     GIR_EraseRootFromParent_Done,
     /*  263119 */   // Label 5000: @263119
     /*  263119 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(263182), // Rule ID 7811 //
     /*  263124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263180 */     GIR_RootConstrainSelectedInstOperands,
     /*  263181 */     // GIR_Coverage, 7811,
     /*  263181 */     GIR_EraseRootFromParent_Done,
     /*  263182 */   // Label 5001: @263182
     /*  263182 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(263245), // Rule ID 7814 //
     /*  263187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263226 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263243 */     GIR_RootConstrainSelectedInstOperands,
     /*  263244 */     // GIR_Coverage, 7814,
     /*  263244 */     GIR_EraseRootFromParent_Done,
     /*  263245 */   // Label 5002: @263245
     /*  263245 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(263308), // Rule ID 7815 //
     /*  263250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263306 */     GIR_RootConstrainSelectedInstOperands,
     /*  263307 */     // GIR_Coverage, 7815,
     /*  263307 */     GIR_EraseRootFromParent_Done,
     /*  263308 */   // Label 5003: @263308
     /*  263308 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(263371), // Rule ID 7818 //
     /*  263313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263369 */     GIR_RootConstrainSelectedInstOperands,
     /*  263370 */     // GIR_Coverage, 7818,
     /*  263370 */     GIR_EraseRootFromParent_Done,
     /*  263371 */   // Label 5004: @263371
     /*  263371 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263434), // Rule ID 7819 //
     /*  263376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263432 */     GIR_RootConstrainSelectedInstOperands,
     /*  263433 */     // GIR_Coverage, 7819,
     /*  263433 */     GIR_EraseRootFromParent_Done,
     /*  263434 */   // Label 5005: @263434
     /*  263434 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263497), // Rule ID 7822 //
     /*  263439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263495 */     GIR_RootConstrainSelectedInstOperands,
     /*  263496 */     // GIR_Coverage, 7822,
     /*  263496 */     GIR_EraseRootFromParent_Done,
     /*  263497 */   // Label 5006: @263497
     /*  263497 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263560), // Rule ID 7823 //
     /*  263502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263558 */     GIR_RootConstrainSelectedInstOperands,
     /*  263559 */     // GIR_Coverage, 7823,
     /*  263559 */     GIR_EraseRootFromParent_Done,
     /*  263560 */   // Label 5007: @263560
     /*  263560 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263623), // Rule ID 7826 //
     /*  263565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263621 */     GIR_RootConstrainSelectedInstOperands,
     /*  263622 */     // GIR_Coverage, 7826,
     /*  263622 */     GIR_EraseRootFromParent_Done,
     /*  263623 */   // Label 5008: @263623
     /*  263623 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263686), // Rule ID 7827 //
     /*  263628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263684 */     GIR_RootConstrainSelectedInstOperands,
     /*  263685 */     // GIR_Coverage, 7827,
     /*  263685 */     GIR_EraseRootFromParent_Done,
     /*  263686 */   // Label 5009: @263686
     /*  263686 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263749), // Rule ID 7830 //
     /*  263691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263730 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263747 */     GIR_RootConstrainSelectedInstOperands,
     /*  263748 */     // GIR_Coverage, 7830,
     /*  263748 */     GIR_EraseRootFromParent_Done,
     /*  263749 */   // Label 5010: @263749
     /*  263749 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263812), // Rule ID 7831 //
     /*  263754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263793 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263810 */     GIR_RootConstrainSelectedInstOperands,
     /*  263811 */     // GIR_Coverage, 7831,
     /*  263811 */     GIR_EraseRootFromParent_Done,
     /*  263812 */   // Label 5011: @263812
     /*  263812 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263875), // Rule ID 7834 //
     /*  263817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  263859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263873 */     GIR_RootConstrainSelectedInstOperands,
     /*  263874 */     // GIR_Coverage, 7834,
     /*  263874 */     GIR_EraseRootFromParent_Done,
     /*  263875 */   // Label 5012: @263875
     /*  263875 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263938), // Rule ID 7835 //
     /*  263880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263919 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  263922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263936 */     GIR_RootConstrainSelectedInstOperands,
     /*  263937 */     // GIR_Coverage, 7835,
     /*  263937 */     GIR_EraseRootFromParent_Done,
     /*  263938 */   // Label 5013: @263938
     /*  263938 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(264001), // Rule ID 7838 //
     /*  263943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  263960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263982 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  263985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263999 */     GIR_RootConstrainSelectedInstOperands,
     /*  264000 */     // GIR_Coverage, 7838,
     /*  264000 */     GIR_EraseRootFromParent_Done,
     /*  264001 */   // Label 5014: @264001
     /*  264001 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(264064), // Rule ID 7839 //
     /*  264006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264045 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264062 */     GIR_RootConstrainSelectedInstOperands,
     /*  264063 */     // GIR_Coverage, 7839,
     /*  264063 */     GIR_EraseRootFromParent_Done,
     /*  264064 */   // Label 5015: @264064
     /*  264064 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(264127), // Rule ID 7842 //
     /*  264069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264125 */     GIR_RootConstrainSelectedInstOperands,
     /*  264126 */     // GIR_Coverage, 7842,
     /*  264126 */     GIR_EraseRootFromParent_Done,
     /*  264127 */   // Label 5016: @264127
     /*  264127 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(264190), // Rule ID 7843 //
     /*  264132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264188 */     GIR_RootConstrainSelectedInstOperands,
     /*  264189 */     // GIR_Coverage, 7843,
     /*  264189 */     GIR_EraseRootFromParent_Done,
     /*  264190 */   // Label 5017: @264190
     /*  264190 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(264253), // Rule ID 7846 //
     /*  264195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264234 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264251 */     GIR_RootConstrainSelectedInstOperands,
     /*  264252 */     // GIR_Coverage, 7846,
     /*  264252 */     GIR_EraseRootFromParent_Done,
     /*  264253 */   // Label 5018: @264253
     /*  264253 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(264316), // Rule ID 7847 //
     /*  264258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264314 */     GIR_RootConstrainSelectedInstOperands,
     /*  264315 */     // GIR_Coverage, 7847,
     /*  264315 */     GIR_EraseRootFromParent_Done,
     /*  264316 */   // Label 5019: @264316
     /*  264316 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(264379), // Rule ID 7850 //
     /*  264321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264377 */     GIR_RootConstrainSelectedInstOperands,
     /*  264378 */     // GIR_Coverage, 7850,
     /*  264378 */     GIR_EraseRootFromParent_Done,
     /*  264379 */   // Label 5020: @264379
     /*  264379 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264442), // Rule ID 7851 //
     /*  264384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264440 */     GIR_RootConstrainSelectedInstOperands,
     /*  264441 */     // GIR_Coverage, 7851,
     /*  264441 */     GIR_EraseRootFromParent_Done,
     /*  264442 */   // Label 5021: @264442
     /*  264442 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264505), // Rule ID 7854 //
     /*  264447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264486 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264503 */     GIR_RootConstrainSelectedInstOperands,
     /*  264504 */     // GIR_Coverage, 7854,
     /*  264504 */     GIR_EraseRootFromParent_Done,
     /*  264505 */   // Label 5022: @264505
     /*  264505 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264568), // Rule ID 7855 //
     /*  264510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264566 */     GIR_RootConstrainSelectedInstOperands,
     /*  264567 */     // GIR_Coverage, 7855,
     /*  264567 */     GIR_EraseRootFromParent_Done,
     /*  264568 */   // Label 5023: @264568
     /*  264568 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264631), // Rule ID 7858 //
     /*  264573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264629 */     GIR_RootConstrainSelectedInstOperands,
     /*  264630 */     // GIR_Coverage, 7858,
     /*  264630 */     GIR_EraseRootFromParent_Done,
     /*  264631 */   // Label 5024: @264631
     /*  264631 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264694), // Rule ID 7859 //
     /*  264636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264692 */     GIR_RootConstrainSelectedInstOperands,
     /*  264693 */     // GIR_Coverage, 7859,
     /*  264693 */     GIR_EraseRootFromParent_Done,
     /*  264694 */   // Label 5025: @264694
     /*  264694 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264757), // Rule ID 7862 //
     /*  264699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264738 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264755 */     GIR_RootConstrainSelectedInstOperands,
     /*  264756 */     // GIR_Coverage, 7862,
     /*  264756 */     GIR_EraseRootFromParent_Done,
     /*  264757 */   // Label 5026: @264757
     /*  264757 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264820), // Rule ID 7863 //
     /*  264762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264818 */     GIR_RootConstrainSelectedInstOperands,
     /*  264819 */     // GIR_Coverage, 7863,
     /*  264819 */     GIR_EraseRootFromParent_Done,
     /*  264820 */   // Label 5027: @264820
     /*  264820 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264883), // Rule ID 7866 //
     /*  264825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264881 */     GIR_RootConstrainSelectedInstOperands,
     /*  264882 */     // GIR_Coverage, 7866,
     /*  264882 */     GIR_EraseRootFromParent_Done,
     /*  264883 */   // Label 5028: @264883
     /*  264883 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264946), // Rule ID 7867 //
     /*  264888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264944 */     GIR_RootConstrainSelectedInstOperands,
     /*  264945 */     // GIR_Coverage, 7867,
     /*  264945 */     GIR_EraseRootFromParent_Done,
     /*  264946 */   // Label 5029: @264946
     /*  264946 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(265009), // Rule ID 7870 //
     /*  264951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  264968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265007 */     GIR_RootConstrainSelectedInstOperands,
     /*  265008 */     // GIR_Coverage, 7870,
     /*  265008 */     GIR_EraseRootFromParent_Done,
     /*  265009 */   // Label 5030: @265009
     /*  265009 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(265072), // Rule ID 7871 //
     /*  265014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  265056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265070 */     GIR_RootConstrainSelectedInstOperands,
     /*  265071 */     // GIR_Coverage, 7871,
     /*  265071 */     GIR_EraseRootFromParent_Done,
     /*  265072 */   // Label 5031: @265072
     /*  265072 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(265135), // Rule ID 7874 //
     /*  265077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265133 */     GIR_RootConstrainSelectedInstOperands,
     /*  265134 */     // GIR_Coverage, 7874,
     /*  265134 */     GIR_EraseRootFromParent_Done,
     /*  265135 */   // Label 5032: @265135
     /*  265135 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(265198), // Rule ID 7875 //
     /*  265140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265196 */     GIR_RootConstrainSelectedInstOperands,
     /*  265197 */     // GIR_Coverage, 7875,
     /*  265197 */     GIR_EraseRootFromParent_Done,
     /*  265198 */   // Label 5033: @265198
     /*  265198 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(265261), // Rule ID 7878 //
     /*  265203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265259 */     GIR_RootConstrainSelectedInstOperands,
     /*  265260 */     // GIR_Coverage, 7878,
     /*  265260 */     GIR_EraseRootFromParent_Done,
     /*  265261 */   // Label 5034: @265261
     /*  265261 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(265324), // Rule ID 7879 //
     /*  265266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265322 */     GIR_RootConstrainSelectedInstOperands,
     /*  265323 */     // GIR_Coverage, 7879,
     /*  265323 */     GIR_EraseRootFromParent_Done,
     /*  265324 */   // Label 5035: @265324
     /*  265324 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(265387), // Rule ID 7882 //
     /*  265329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265385 */     GIR_RootConstrainSelectedInstOperands,
     /*  265386 */     // GIR_Coverage, 7882,
     /*  265386 */     GIR_EraseRootFromParent_Done,
     /*  265387 */   // Label 5036: @265387
     /*  265387 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265450), // Rule ID 7883 //
     /*  265392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265448 */     GIR_RootConstrainSelectedInstOperands,
     /*  265449 */     // GIR_Coverage, 7883,
     /*  265449 */     GIR_EraseRootFromParent_Done,
     /*  265450 */   // Label 5037: @265450
     /*  265450 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265513), // Rule ID 7886 //
     /*  265455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265511 */     GIR_RootConstrainSelectedInstOperands,
     /*  265512 */     // GIR_Coverage, 7886,
     /*  265512 */     GIR_EraseRootFromParent_Done,
     /*  265513 */   // Label 5038: @265513
     /*  265513 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265576), // Rule ID 7887 //
     /*  265518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265574 */     GIR_RootConstrainSelectedInstOperands,
     /*  265575 */     // GIR_Coverage, 7887,
     /*  265575 */     GIR_EraseRootFromParent_Done,
     /*  265576 */   // Label 5039: @265576
     /*  265576 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265639), // Rule ID 7890 //
     /*  265581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265637 */     GIR_RootConstrainSelectedInstOperands,
     /*  265638 */     // GIR_Coverage, 7890,
     /*  265638 */     GIR_EraseRootFromParent_Done,
     /*  265639 */   // Label 5040: @265639
     /*  265639 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265702), // Rule ID 7891 //
     /*  265644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265700 */     GIR_RootConstrainSelectedInstOperands,
     /*  265701 */     // GIR_Coverage, 7891,
     /*  265701 */     GIR_EraseRootFromParent_Done,
     /*  265702 */   // Label 5041: @265702
     /*  265702 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265765), // Rule ID 7894 //
     /*  265707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265763 */     GIR_RootConstrainSelectedInstOperands,
     /*  265764 */     // GIR_Coverage, 7894,
     /*  265764 */     GIR_EraseRootFromParent_Done,
     /*  265765 */   // Label 5042: @265765
     /*  265765 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265828), // Rule ID 7895 //
     /*  265770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265826 */     GIR_RootConstrainSelectedInstOperands,
     /*  265827 */     // GIR_Coverage, 7895,
     /*  265827 */     GIR_EraseRootFromParent_Done,
     /*  265828 */   // Label 5043: @265828
     /*  265828 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265891), // Rule ID 7898 //
     /*  265833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265889 */     GIR_RootConstrainSelectedInstOperands,
     /*  265890 */     // GIR_Coverage, 7898,
     /*  265890 */     GIR_EraseRootFromParent_Done,
     /*  265891 */   // Label 5044: @265891
     /*  265891 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265954), // Rule ID 7899 //
     /*  265896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265952 */     GIR_RootConstrainSelectedInstOperands,
     /*  265953 */     // GIR_Coverage, 7899,
     /*  265953 */     GIR_EraseRootFromParent_Done,
     /*  265954 */   // Label 5045: @265954
     /*  265954 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(266017), // Rule ID 7902 //
     /*  265959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266015 */     GIR_RootConstrainSelectedInstOperands,
     /*  266016 */     // GIR_Coverage, 7902,
     /*  266016 */     GIR_EraseRootFromParent_Done,
     /*  266017 */   // Label 5046: @266017
     /*  266017 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(266080), // Rule ID 7903 //
     /*  266022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266078 */     GIR_RootConstrainSelectedInstOperands,
     /*  266079 */     // GIR_Coverage, 7903,
     /*  266079 */     GIR_EraseRootFromParent_Done,
     /*  266080 */   // Label 5047: @266080
     /*  266080 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(266143), // Rule ID 7906 //
     /*  266085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266141 */     GIR_RootConstrainSelectedInstOperands,
     /*  266142 */     // GIR_Coverage, 7906,
     /*  266142 */     GIR_EraseRootFromParent_Done,
     /*  266143 */   // Label 5048: @266143
     /*  266143 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(266206), // Rule ID 7907 //
     /*  266148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266204 */     GIR_RootConstrainSelectedInstOperands,
     /*  266205 */     // GIR_Coverage, 7907,
     /*  266205 */     GIR_EraseRootFromParent_Done,
     /*  266206 */   // Label 5049: @266206
     /*  266206 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(266269), // Rule ID 7910 //
     /*  266211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266267 */     GIR_RootConstrainSelectedInstOperands,
     /*  266268 */     // GIR_Coverage, 7910,
     /*  266268 */     GIR_EraseRootFromParent_Done,
     /*  266269 */   // Label 5050: @266269
     /*  266269 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(266332), // Rule ID 7911 //
     /*  266274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266330 */     GIR_RootConstrainSelectedInstOperands,
     /*  266331 */     // GIR_Coverage, 7911,
     /*  266331 */     GIR_EraseRootFromParent_Done,
     /*  266332 */   // Label 5051: @266332
     /*  266332 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(266395), // Rule ID 7914 //
     /*  266337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266393 */     GIR_RootConstrainSelectedInstOperands,
     /*  266394 */     // GIR_Coverage, 7914,
     /*  266394 */     GIR_EraseRootFromParent_Done,
     /*  266395 */   // Label 5052: @266395
     /*  266395 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266458), // Rule ID 7915 //
     /*  266400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266456 */     GIR_RootConstrainSelectedInstOperands,
     /*  266457 */     // GIR_Coverage, 7915,
     /*  266457 */     GIR_EraseRootFromParent_Done,
     /*  266458 */   // Label 5053: @266458
     /*  266458 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266521), // Rule ID 7918 //
     /*  266463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266502 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266519 */     GIR_RootConstrainSelectedInstOperands,
     /*  266520 */     // GIR_Coverage, 7918,
     /*  266520 */     GIR_EraseRootFromParent_Done,
     /*  266521 */   // Label 5054: @266521
     /*  266521 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266584), // Rule ID 7919 //
     /*  266526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266582 */     GIR_RootConstrainSelectedInstOperands,
     /*  266583 */     // GIR_Coverage, 7919,
     /*  266583 */     GIR_EraseRootFromParent_Done,
     /*  266584 */   // Label 5055: @266584
     /*  266584 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266647), // Rule ID 7922 //
     /*  266589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266628 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266645 */     GIR_RootConstrainSelectedInstOperands,
     /*  266646 */     // GIR_Coverage, 7922,
     /*  266646 */     GIR_EraseRootFromParent_Done,
     /*  266647 */   // Label 5056: @266647
     /*  266647 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266710), // Rule ID 7923 //
     /*  266652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266708 */     GIR_RootConstrainSelectedInstOperands,
     /*  266709 */     // GIR_Coverage, 7923,
     /*  266709 */     GIR_EraseRootFromParent_Done,
     /*  266710 */   // Label 5057: @266710
     /*  266710 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266773), // Rule ID 7926 //
     /*  266715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266754 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266771 */     GIR_RootConstrainSelectedInstOperands,
     /*  266772 */     // GIR_Coverage, 7926,
     /*  266772 */     GIR_EraseRootFromParent_Done,
     /*  266773 */   // Label 5058: @266773
     /*  266773 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266836), // Rule ID 7927 //
     /*  266778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266817 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266834 */     GIR_RootConstrainSelectedInstOperands,
     /*  266835 */     // GIR_Coverage, 7927,
     /*  266835 */     GIR_EraseRootFromParent_Done,
     /*  266836 */   // Label 5059: @266836
     /*  266836 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266899), // Rule ID 7930 //
     /*  266841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266897 */     GIR_RootConstrainSelectedInstOperands,
     /*  266898 */     // GIR_Coverage, 7930,
     /*  266898 */     GIR_EraseRootFromParent_Done,
     /*  266899 */   // Label 5060: @266899
     /*  266899 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266962), // Rule ID 7931 //
     /*  266904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266960 */     GIR_RootConstrainSelectedInstOperands,
     /*  266961 */     // GIR_Coverage, 7931,
     /*  266961 */     GIR_EraseRootFromParent_Done,
     /*  266962 */   // Label 5061: @266962
     /*  266962 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(267025), // Rule ID 7934 //
     /*  266967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267006 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267023 */     GIR_RootConstrainSelectedInstOperands,
     /*  267024 */     // GIR_Coverage, 7934,
     /*  267024 */     GIR_EraseRootFromParent_Done,
     /*  267025 */   // Label 5062: @267025
     /*  267025 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(267088), // Rule ID 7935 //
     /*  267030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267086 */     GIR_RootConstrainSelectedInstOperands,
     /*  267087 */     // GIR_Coverage, 7935,
     /*  267087 */     GIR_EraseRootFromParent_Done,
     /*  267088 */   // Label 5063: @267088
     /*  267088 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(267151), // Rule ID 7938 //
     /*  267093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267132 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267149 */     GIR_RootConstrainSelectedInstOperands,
     /*  267150 */     // GIR_Coverage, 7938,
     /*  267150 */     GIR_EraseRootFromParent_Done,
     /*  267151 */   // Label 5064: @267151
     /*  267151 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(267214), // Rule ID 7939 //
     /*  267156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267195 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267212 */     GIR_RootConstrainSelectedInstOperands,
     /*  267213 */     // GIR_Coverage, 7939,
     /*  267213 */     GIR_EraseRootFromParent_Done,
     /*  267214 */   // Label 5065: @267214
     /*  267214 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(267277), // Rule ID 7942 //
     /*  267219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267275 */     GIR_RootConstrainSelectedInstOperands,
     /*  267276 */     // GIR_Coverage, 7942,
     /*  267276 */     GIR_EraseRootFromParent_Done,
     /*  267277 */   // Label 5066: @267277
     /*  267277 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(267340), // Rule ID 7943 //
     /*  267282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267321 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267338 */     GIR_RootConstrainSelectedInstOperands,
     /*  267339 */     // GIR_Coverage, 7943,
     /*  267339 */     GIR_EraseRootFromParent_Done,
     /*  267340 */   // Label 5067: @267340
     /*  267340 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267403), // Rule ID 7946 //
     /*  267345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267401 */     GIR_RootConstrainSelectedInstOperands,
     /*  267402 */     // GIR_Coverage, 7946,
     /*  267402 */     GIR_EraseRootFromParent_Done,
     /*  267403 */   // Label 5068: @267403
     /*  267403 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267466), // Rule ID 7947 //
     /*  267408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267464 */     GIR_RootConstrainSelectedInstOperands,
     /*  267465 */     // GIR_Coverage, 7947,
     /*  267465 */     GIR_EraseRootFromParent_Done,
     /*  267466 */   // Label 5069: @267466
     /*  267466 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267529), // Rule ID 7950 //
     /*  267471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267527 */     GIR_RootConstrainSelectedInstOperands,
     /*  267528 */     // GIR_Coverage, 7950,
     /*  267528 */     GIR_EraseRootFromParent_Done,
     /*  267529 */   // Label 5070: @267529
     /*  267529 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267592), // Rule ID 7951 //
     /*  267534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267590 */     GIR_RootConstrainSelectedInstOperands,
     /*  267591 */     // GIR_Coverage, 7951,
     /*  267591 */     GIR_EraseRootFromParent_Done,
     /*  267592 */   // Label 5071: @267592
     /*  267592 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267655), // Rule ID 7954 //
     /*  267597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267653 */     GIR_RootConstrainSelectedInstOperands,
     /*  267654 */     // GIR_Coverage, 7954,
     /*  267654 */     GIR_EraseRootFromParent_Done,
     /*  267655 */   // Label 5072: @267655
     /*  267655 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267718), // Rule ID 7955 //
     /*  267660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267716 */     GIR_RootConstrainSelectedInstOperands,
     /*  267717 */     // GIR_Coverage, 7955,
     /*  267717 */     GIR_EraseRootFromParent_Done,
     /*  267718 */   // Label 5073: @267718
     /*  267718 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267781), // Rule ID 7958 //
     /*  267723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267779 */     GIR_RootConstrainSelectedInstOperands,
     /*  267780 */     // GIR_Coverage, 7958,
     /*  267780 */     GIR_EraseRootFromParent_Done,
     /*  267781 */   // Label 5074: @267781
     /*  267781 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267844), // Rule ID 7959 //
     /*  267786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267842 */     GIR_RootConstrainSelectedInstOperands,
     /*  267843 */     // GIR_Coverage, 7959,
     /*  267843 */     GIR_EraseRootFromParent_Done,
     /*  267844 */   // Label 5075: @267844
     /*  267844 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267907), // Rule ID 7962 //
     /*  267849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267905 */     GIR_RootConstrainSelectedInstOperands,
     /*  267906 */     // GIR_Coverage, 7962,
     /*  267906 */     GIR_EraseRootFromParent_Done,
     /*  267907 */   // Label 5076: @267907
     /*  267907 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267970), // Rule ID 7963 //
     /*  267912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267951 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267968 */     GIR_RootConstrainSelectedInstOperands,
     /*  267969 */     // GIR_Coverage, 7963,
     /*  267969 */     GIR_EraseRootFromParent_Done,
     /*  267970 */   // Label 5077: @267970
     /*  267970 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(268033), // Rule ID 8054 //
     /*  267975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  267992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  268017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268031 */     GIR_RootConstrainSelectedInstOperands,
     /*  268032 */     // GIR_Coverage, 8054,
     /*  268032 */     GIR_EraseRootFromParent_Done,
     /*  268033 */   // Label 5078: @268033
     /*  268033 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(268096), // Rule ID 8055 //
     /*  268038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  268080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268094 */     GIR_RootConstrainSelectedInstOperands,
     /*  268095 */     // GIR_Coverage, 8055,
     /*  268095 */     GIR_EraseRootFromParent_Done,
     /*  268096 */   // Label 5079: @268096
     /*  268096 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(268159), // Rule ID 8058 //
     /*  268101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268157 */     GIR_RootConstrainSelectedInstOperands,
     /*  268158 */     // GIR_Coverage, 8058,
     /*  268158 */     GIR_EraseRootFromParent_Done,
     /*  268159 */   // Label 5080: @268159
     /*  268159 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(268222), // Rule ID 8059 //
     /*  268164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268220 */     GIR_RootConstrainSelectedInstOperands,
     /*  268221 */     // GIR_Coverage, 8059,
     /*  268221 */     GIR_EraseRootFromParent_Done,
     /*  268222 */   // Label 5081: @268222
     /*  268222 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(268285), // Rule ID 8062 //
     /*  268227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268283 */     GIR_RootConstrainSelectedInstOperands,
     /*  268284 */     // GIR_Coverage, 8062,
     /*  268284 */     GIR_EraseRootFromParent_Done,
     /*  268285 */   // Label 5082: @268285
     /*  268285 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(268348), // Rule ID 8063 //
     /*  268290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268346 */     GIR_RootConstrainSelectedInstOperands,
     /*  268347 */     // GIR_Coverage, 8063,
     /*  268347 */     GIR_EraseRootFromParent_Done,
     /*  268348 */   // Label 5083: @268348
     /*  268348 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268411), // Rule ID 8066 //
     /*  268353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268409 */     GIR_RootConstrainSelectedInstOperands,
     /*  268410 */     // GIR_Coverage, 8066,
     /*  268410 */     GIR_EraseRootFromParent_Done,
     /*  268411 */   // Label 5084: @268411
     /*  268411 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268474), // Rule ID 8067 //
     /*  268416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268472 */     GIR_RootConstrainSelectedInstOperands,
     /*  268473 */     // GIR_Coverage, 8067,
     /*  268473 */     GIR_EraseRootFromParent_Done,
     /*  268474 */   // Label 5085: @268474
     /*  268474 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268537), // Rule ID 8070 //
     /*  268479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268535 */     GIR_RootConstrainSelectedInstOperands,
     /*  268536 */     // GIR_Coverage, 8070,
     /*  268536 */     GIR_EraseRootFromParent_Done,
     /*  268537 */   // Label 5086: @268537
     /*  268537 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268600), // Rule ID 8071 //
     /*  268542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268598 */     GIR_RootConstrainSelectedInstOperands,
     /*  268599 */     // GIR_Coverage, 8071,
     /*  268599 */     GIR_EraseRootFromParent_Done,
     /*  268600 */   // Label 5087: @268600
     /*  268600 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268663), // Rule ID 8074 //
     /*  268605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268661 */     GIR_RootConstrainSelectedInstOperands,
     /*  268662 */     // GIR_Coverage, 8074,
     /*  268662 */     GIR_EraseRootFromParent_Done,
     /*  268663 */   // Label 5088: @268663
     /*  268663 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268726), // Rule ID 8075 //
     /*  268668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268724 */     GIR_RootConstrainSelectedInstOperands,
     /*  268725 */     // GIR_Coverage, 8075,
     /*  268725 */     GIR_EraseRootFromParent_Done,
     /*  268726 */   // Label 5089: @268726
     /*  268726 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268789), // Rule ID 8078 //
     /*  268731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268787 */     GIR_RootConstrainSelectedInstOperands,
     /*  268788 */     // GIR_Coverage, 8078,
     /*  268788 */     GIR_EraseRootFromParent_Done,
     /*  268789 */   // Label 5090: @268789
     /*  268789 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268852), // Rule ID 8079 //
     /*  268794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268850 */     GIR_RootConstrainSelectedInstOperands,
     /*  268851 */     // GIR_Coverage, 8079,
     /*  268851 */     GIR_EraseRootFromParent_Done,
     /*  268852 */   // Label 5091: @268852
     /*  268852 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268915), // Rule ID 8082 //
     /*  268857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268913 */     GIR_RootConstrainSelectedInstOperands,
     /*  268914 */     // GIR_Coverage, 8082,
     /*  268914 */     GIR_EraseRootFromParent_Done,
     /*  268915 */   // Label 5092: @268915
     /*  268915 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268978), // Rule ID 8083 //
     /*  268920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268976 */     GIR_RootConstrainSelectedInstOperands,
     /*  268977 */     // GIR_Coverage, 8083,
     /*  268977 */     GIR_EraseRootFromParent_Done,
     /*  268978 */   // Label 5093: @268978
     /*  268978 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(269041), // Rule ID 8086 //
     /*  268983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269039 */     GIR_RootConstrainSelectedInstOperands,
     /*  269040 */     // GIR_Coverage, 8086,
     /*  269040 */     GIR_EraseRootFromParent_Done,
     /*  269041 */   // Label 5094: @269041
     /*  269041 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(269104), // Rule ID 8087 //
     /*  269046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269102 */     GIR_RootConstrainSelectedInstOperands,
     /*  269103 */     // GIR_Coverage, 8087,
     /*  269103 */     GIR_EraseRootFromParent_Done,
     /*  269104 */   // Label 5095: @269104
     /*  269104 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(269167), // Rule ID 8090 //
     /*  269109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269165 */     GIR_RootConstrainSelectedInstOperands,
     /*  269166 */     // GIR_Coverage, 8090,
     /*  269166 */     GIR_EraseRootFromParent_Done,
     /*  269167 */   // Label 5096: @269167
     /*  269167 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(269230), // Rule ID 8091 //
     /*  269172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269228 */     GIR_RootConstrainSelectedInstOperands,
     /*  269229 */     // GIR_Coverage, 8091,
     /*  269229 */     GIR_EraseRootFromParent_Done,
     /*  269230 */   // Label 5097: @269230
     /*  269230 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(269293), // Rule ID 8094 //
     /*  269235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269291 */     GIR_RootConstrainSelectedInstOperands,
     /*  269292 */     // GIR_Coverage, 8094,
     /*  269292 */     GIR_EraseRootFromParent_Done,
     /*  269293 */   // Label 5098: @269293
     /*  269293 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(269356), // Rule ID 8095 //
     /*  269298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269354 */     GIR_RootConstrainSelectedInstOperands,
     /*  269355 */     // GIR_Coverage, 8095,
     /*  269355 */     GIR_EraseRootFromParent_Done,
     /*  269356 */   // Label 5099: @269356
     /*  269356 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269419), // Rule ID 8098 //
     /*  269361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269417 */     GIR_RootConstrainSelectedInstOperands,
     /*  269418 */     // GIR_Coverage, 8098,
     /*  269418 */     GIR_EraseRootFromParent_Done,
     /*  269419 */   // Label 5100: @269419
     /*  269419 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269482), // Rule ID 8099 //
     /*  269424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269480 */     GIR_RootConstrainSelectedInstOperands,
     /*  269481 */     // GIR_Coverage, 8099,
     /*  269481 */     GIR_EraseRootFromParent_Done,
     /*  269482 */   // Label 5101: @269482
     /*  269482 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269545), // Rule ID 8102 //
     /*  269487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269526 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269543 */     GIR_RootConstrainSelectedInstOperands,
     /*  269544 */     // GIR_Coverage, 8102,
     /*  269544 */     GIR_EraseRootFromParent_Done,
     /*  269545 */   // Label 5102: @269545
     /*  269545 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269608), // Rule ID 8103 //
     /*  269550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269606 */     GIR_RootConstrainSelectedInstOperands,
     /*  269607 */     // GIR_Coverage, 8103,
     /*  269607 */     GIR_EraseRootFromParent_Done,
     /*  269608 */   // Label 5103: @269608
     /*  269608 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269671), // Rule ID 8106 //
     /*  269613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269669 */     GIR_RootConstrainSelectedInstOperands,
     /*  269670 */     // GIR_Coverage, 8106,
     /*  269670 */     GIR_EraseRootFromParent_Done,
     /*  269671 */   // Label 5104: @269671
     /*  269671 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269734), // Rule ID 8107 //
     /*  269676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269732 */     GIR_RootConstrainSelectedInstOperands,
     /*  269733 */     // GIR_Coverage, 8107,
     /*  269733 */     GIR_EraseRootFromParent_Done,
     /*  269734 */   // Label 5105: @269734
     /*  269734 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269797), // Rule ID 8110 //
     /*  269739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269795 */     GIR_RootConstrainSelectedInstOperands,
     /*  269796 */     // GIR_Coverage, 8110,
     /*  269796 */     GIR_EraseRootFromParent_Done,
     /*  269797 */   // Label 5106: @269797
     /*  269797 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269860), // Rule ID 8111 //
     /*  269802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269858 */     GIR_RootConstrainSelectedInstOperands,
     /*  269859 */     // GIR_Coverage, 8111,
     /*  269859 */     GIR_EraseRootFromParent_Done,
     /*  269860 */   // Label 5107: @269860
     /*  269860 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269923), // Rule ID 8114 //
     /*  269865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269904 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269921 */     GIR_RootConstrainSelectedInstOperands,
     /*  269922 */     // GIR_Coverage, 8114,
     /*  269922 */     GIR_EraseRootFromParent_Done,
     /*  269923 */   // Label 5108: @269923
     /*  269923 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269986), // Rule ID 8115 //
     /*  269928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269967 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269984 */     GIR_RootConstrainSelectedInstOperands,
     /*  269985 */     // GIR_Coverage, 8115,
     /*  269985 */     GIR_EraseRootFromParent_Done,
     /*  269986 */   // Label 5109: @269986
     /*  269986 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(270049), // Rule ID 8118 //
     /*  269991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270047 */     GIR_RootConstrainSelectedInstOperands,
     /*  270048 */     // GIR_Coverage, 8118,
     /*  270048 */     GIR_EraseRootFromParent_Done,
     /*  270049 */   // Label 5110: @270049
     /*  270049 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(270112), // Rule ID 8119 //
     /*  270054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270110 */     GIR_RootConstrainSelectedInstOperands,
     /*  270111 */     // GIR_Coverage, 8119,
     /*  270111 */     GIR_EraseRootFromParent_Done,
     /*  270112 */   // Label 5111: @270112
     /*  270112 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(270175), // Rule ID 8122 //
     /*  270117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270173 */     GIR_RootConstrainSelectedInstOperands,
     /*  270174 */     // GIR_Coverage, 8122,
     /*  270174 */     GIR_EraseRootFromParent_Done,
     /*  270175 */   // Label 5112: @270175
     /*  270175 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(270238), // Rule ID 8123 //
     /*  270180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270236 */     GIR_RootConstrainSelectedInstOperands,
     /*  270237 */     // GIR_Coverage, 8123,
     /*  270237 */     GIR_EraseRootFromParent_Done,
     /*  270238 */   // Label 5113: @270238
     /*  270238 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(270301), // Rule ID 8126 //
     /*  270243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270282 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270299 */     GIR_RootConstrainSelectedInstOperands,
     /*  270300 */     // GIR_Coverage, 8126,
     /*  270300 */     GIR_EraseRootFromParent_Done,
     /*  270301 */   // Label 5114: @270301
     /*  270301 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(270364), // Rule ID 8127 //
     /*  270306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270345 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270362 */     GIR_RootConstrainSelectedInstOperands,
     /*  270363 */     // GIR_Coverage, 8127,
     /*  270363 */     GIR_EraseRootFromParent_Done,
     /*  270364 */   // Label 5115: @270364
     /*  270364 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270427), // Rule ID 8130 //
     /*  270369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270425 */     GIR_RootConstrainSelectedInstOperands,
     /*  270426 */     // GIR_Coverage, 8130,
     /*  270426 */     GIR_EraseRootFromParent_Done,
     /*  270427 */   // Label 5116: @270427
     /*  270427 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270490), // Rule ID 8131 //
     /*  270432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270488 */     GIR_RootConstrainSelectedInstOperands,
     /*  270489 */     // GIR_Coverage, 8131,
     /*  270489 */     GIR_EraseRootFromParent_Done,
     /*  270490 */   // Label 5117: @270490
     /*  270490 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270553), // Rule ID 8134 //
     /*  270495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270534 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270551 */     GIR_RootConstrainSelectedInstOperands,
     /*  270552 */     // GIR_Coverage, 8134,
     /*  270552 */     GIR_EraseRootFromParent_Done,
     /*  270553 */   // Label 5118: @270553
     /*  270553 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270616), // Rule ID 8135 //
     /*  270558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270597 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270614 */     GIR_RootConstrainSelectedInstOperands,
     /*  270615 */     // GIR_Coverage, 8135,
     /*  270615 */     GIR_EraseRootFromParent_Done,
     /*  270616 */   // Label 5119: @270616
     /*  270616 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270679), // Rule ID 8138 //
     /*  270621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270677 */     GIR_RootConstrainSelectedInstOperands,
     /*  270678 */     // GIR_Coverage, 8138,
     /*  270678 */     GIR_EraseRootFromParent_Done,
     /*  270679 */   // Label 5120: @270679
     /*  270679 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270742), // Rule ID 8139 //
     /*  270684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270723 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270740 */     GIR_RootConstrainSelectedInstOperands,
     /*  270741 */     // GIR_Coverage, 8139,
     /*  270741 */     GIR_EraseRootFromParent_Done,
     /*  270742 */   // Label 5121: @270742
     /*  270742 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270805), // Rule ID 8142 //
     /*  270747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  270789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270803 */     GIR_RootConstrainSelectedInstOperands,
     /*  270804 */     // GIR_Coverage, 8142,
     /*  270804 */     GIR_EraseRootFromParent_Done,
     /*  270805 */   // Label 5122: @270805
     /*  270805 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270868), // Rule ID 8143 //
     /*  270810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270849 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  270852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270866 */     GIR_RootConstrainSelectedInstOperands,
     /*  270867 */     // GIR_Coverage, 8143,
     /*  270867 */     GIR_EraseRootFromParent_Done,
     /*  270868 */   // Label 5123: @270868
     /*  270868 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270931), // Rule ID 8146 //
     /*  270873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  270915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270929 */     GIR_RootConstrainSelectedInstOperands,
     /*  270930 */     // GIR_Coverage, 8146,
     /*  270930 */     GIR_EraseRootFromParent_Done,
     /*  270931 */   // Label 5124: @270931
     /*  270931 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270994), // Rule ID 8147 //
     /*  270936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270975 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  270978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270992 */     GIR_RootConstrainSelectedInstOperands,
     /*  270993 */     // GIR_Coverage, 8147,
     /*  270993 */     GIR_EraseRootFromParent_Done,
     /*  270994 */   // Label 5125: @270994
     /*  270994 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(271057), // Rule ID 8150 //
     /*  270999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271055 */     GIR_RootConstrainSelectedInstOperands,
     /*  271056 */     // GIR_Coverage, 8150,
     /*  271056 */     GIR_EraseRootFromParent_Done,
     /*  271057 */   // Label 5126: @271057
     /*  271057 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(271120), // Rule ID 8151 //
     /*  271062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271118 */     GIR_RootConstrainSelectedInstOperands,
     /*  271119 */     // GIR_Coverage, 8151,
     /*  271119 */     GIR_EraseRootFromParent_Done,
     /*  271120 */   // Label 5127: @271120
     /*  271120 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(271183), // Rule ID 8154 //
     /*  271125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271181 */     GIR_RootConstrainSelectedInstOperands,
     /*  271182 */     // GIR_Coverage, 8154,
     /*  271182 */     GIR_EraseRootFromParent_Done,
     /*  271183 */   // Label 5128: @271183
     /*  271183 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(271246), // Rule ID 8155 //
     /*  271188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271244 */     GIR_RootConstrainSelectedInstOperands,
     /*  271245 */     // GIR_Coverage, 8155,
     /*  271245 */     GIR_EraseRootFromParent_Done,
     /*  271246 */   // Label 5129: @271246
     /*  271246 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(271309), // Rule ID 8158 //
     /*  271251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271307 */     GIR_RootConstrainSelectedInstOperands,
     /*  271308 */     // GIR_Coverage, 8158,
     /*  271308 */     GIR_EraseRootFromParent_Done,
     /*  271309 */   // Label 5130: @271309
     /*  271309 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(271372), // Rule ID 8159 //
     /*  271314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271370 */     GIR_RootConstrainSelectedInstOperands,
     /*  271371 */     // GIR_Coverage, 8159,
     /*  271371 */     GIR_EraseRootFromParent_Done,
     /*  271372 */   // Label 5131: @271372
     /*  271372 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271435), // Rule ID 8162 //
     /*  271377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271433 */     GIR_RootConstrainSelectedInstOperands,
     /*  271434 */     // GIR_Coverage, 8162,
     /*  271434 */     GIR_EraseRootFromParent_Done,
     /*  271435 */   // Label 5132: @271435
     /*  271435 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271498), // Rule ID 8163 //
     /*  271440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271479 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271496 */     GIR_RootConstrainSelectedInstOperands,
     /*  271497 */     // GIR_Coverage, 8163,
     /*  271497 */     GIR_EraseRootFromParent_Done,
     /*  271498 */   // Label 5133: @271498
     /*  271498 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271561), // Rule ID 8166 //
     /*  271503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271559 */     GIR_RootConstrainSelectedInstOperands,
     /*  271560 */     // GIR_Coverage, 8166,
     /*  271560 */     GIR_EraseRootFromParent_Done,
     /*  271561 */   // Label 5134: @271561
     /*  271561 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271624), // Rule ID 8167 //
     /*  271566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271622 */     GIR_RootConstrainSelectedInstOperands,
     /*  271623 */     // GIR_Coverage, 8167,
     /*  271623 */     GIR_EraseRootFromParent_Done,
     /*  271624 */   // Label 5135: @271624
     /*  271624 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271687), // Rule ID 8170 //
     /*  271629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271685 */     GIR_RootConstrainSelectedInstOperands,
     /*  271686 */     // GIR_Coverage, 8170,
     /*  271686 */     GIR_EraseRootFromParent_Done,
     /*  271687 */   // Label 5136: @271687
     /*  271687 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271750), // Rule ID 8171 //
     /*  271692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271731 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271748 */     GIR_RootConstrainSelectedInstOperands,
     /*  271749 */     // GIR_Coverage, 8171,
     /*  271749 */     GIR_EraseRootFromParent_Done,
     /*  271750 */   // Label 5137: @271750
     /*  271750 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271813), // Rule ID 8174 //
     /*  271755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271811 */     GIR_RootConstrainSelectedInstOperands,
     /*  271812 */     // GIR_Coverage, 8174,
     /*  271812 */     GIR_EraseRootFromParent_Done,
     /*  271813 */   // Label 5138: @271813
     /*  271813 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271876), // Rule ID 8175 //
     /*  271818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271874 */     GIR_RootConstrainSelectedInstOperands,
     /*  271875 */     // GIR_Coverage, 8175,
     /*  271875 */     GIR_EraseRootFromParent_Done,
     /*  271876 */   // Label 5139: @271876
     /*  271876 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271939), // Rule ID 8178 //
     /*  271881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271937 */     GIR_RootConstrainSelectedInstOperands,
     /*  271938 */     // GIR_Coverage, 8178,
     /*  271938 */     GIR_EraseRootFromParent_Done,
     /*  271939 */   // Label 5140: @271939
     /*  271939 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(272002), // Rule ID 8179 //
     /*  271944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272000 */     GIR_RootConstrainSelectedInstOperands,
     /*  272001 */     // GIR_Coverage, 8179,
     /*  272001 */     GIR_EraseRootFromParent_Done,
     /*  272002 */   // Label 5141: @272002
     /*  272002 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(272065), // Rule ID 8182 //
     /*  272007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272046 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272063 */     GIR_RootConstrainSelectedInstOperands,
     /*  272064 */     // GIR_Coverage, 8182,
     /*  272064 */     GIR_EraseRootFromParent_Done,
     /*  272065 */   // Label 5142: @272065
     /*  272065 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(272128), // Rule ID 8183 //
     /*  272070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272109 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272126 */     GIR_RootConstrainSelectedInstOperands,
     /*  272127 */     // GIR_Coverage, 8183,
     /*  272127 */     GIR_EraseRootFromParent_Done,
     /*  272128 */   // Label 5143: @272128
     /*  272128 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(272191), // Rule ID 8186 //
     /*  272133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272189 */     GIR_RootConstrainSelectedInstOperands,
     /*  272190 */     // GIR_Coverage, 8186,
     /*  272190 */     GIR_EraseRootFromParent_Done,
     /*  272191 */   // Label 5144: @272191
     /*  272191 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(272254), // Rule ID 8187 //
     /*  272196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272235 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272252 */     GIR_RootConstrainSelectedInstOperands,
     /*  272253 */     // GIR_Coverage, 8187,
     /*  272253 */     GIR_EraseRootFromParent_Done,
     /*  272254 */   // Label 5145: @272254
     /*  272254 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(272317), // Rule ID 8190 //
     /*  272259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272298 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272315 */     GIR_RootConstrainSelectedInstOperands,
     /*  272316 */     // GIR_Coverage, 8190,
     /*  272316 */     GIR_EraseRootFromParent_Done,
     /*  272317 */   // Label 5146: @272317
     /*  272317 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(272380), // Rule ID 8191 //
     /*  272322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272361 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272378 */     GIR_RootConstrainSelectedInstOperands,
     /*  272379 */     // GIR_Coverage, 8191,
     /*  272379 */     GIR_EraseRootFromParent_Done,
     /*  272380 */   // Label 5147: @272380
     /*  272380 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272443), // Rule ID 8194 //
     /*  272385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272441 */     GIR_RootConstrainSelectedInstOperands,
     /*  272442 */     // GIR_Coverage, 8194,
     /*  272442 */     GIR_EraseRootFromParent_Done,
     /*  272443 */   // Label 5148: @272443
     /*  272443 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272506), // Rule ID 8195 //
     /*  272448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272487 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272504 */     GIR_RootConstrainSelectedInstOperands,
     /*  272505 */     // GIR_Coverage, 8195,
     /*  272505 */     GIR_EraseRootFromParent_Done,
     /*  272506 */   // Label 5149: @272506
     /*  272506 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272569), // Rule ID 8198 //
     /*  272511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272567 */     GIR_RootConstrainSelectedInstOperands,
     /*  272568 */     // GIR_Coverage, 8198,
     /*  272568 */     GIR_EraseRootFromParent_Done,
     /*  272569 */   // Label 5150: @272569
     /*  272569 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272632), // Rule ID 8199 //
     /*  272574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272630 */     GIR_RootConstrainSelectedInstOperands,
     /*  272631 */     // GIR_Coverage, 8199,
     /*  272631 */     GIR_EraseRootFromParent_Done,
     /*  272632 */   // Label 5151: @272632
     /*  272632 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272695), // Rule ID 8202 //
     /*  272637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272693 */     GIR_RootConstrainSelectedInstOperands,
     /*  272694 */     // GIR_Coverage, 8202,
     /*  272694 */     GIR_EraseRootFromParent_Done,
     /*  272695 */   // Label 5152: @272695
     /*  272695 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272758), // Rule ID 8203 //
     /*  272700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272739 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272756 */     GIR_RootConstrainSelectedInstOperands,
     /*  272757 */     // GIR_Coverage, 8203,
     /*  272757 */     GIR_EraseRootFromParent_Done,
     /*  272758 */   // Label 5153: @272758
     /*  272758 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272821), // Rule ID 8206 //
     /*  272763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272819 */     GIR_RootConstrainSelectedInstOperands,
     /*  272820 */     // GIR_Coverage, 8206,
     /*  272820 */     GIR_EraseRootFromParent_Done,
     /*  272821 */   // Label 5154: @272821
     /*  272821 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272884), // Rule ID 8207 //
     /*  272826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272865 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272882 */     GIR_RootConstrainSelectedInstOperands,
     /*  272883 */     // GIR_Coverage, 8207,
     /*  272883 */     GIR_EraseRootFromParent_Done,
     /*  272884 */   // Label 5155: @272884
     /*  272884 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272947), // Rule ID 8210 //
     /*  272889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272945 */     GIR_RootConstrainSelectedInstOperands,
     /*  272946 */     // GIR_Coverage, 8210,
     /*  272946 */     GIR_EraseRootFromParent_Done,
     /*  272947 */   // Label 5156: @272947
     /*  272947 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(273010), // Rule ID 8211 //
     /*  272952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273008 */     GIR_RootConstrainSelectedInstOperands,
     /*  273009 */     // GIR_Coverage, 8211,
     /*  273009 */     GIR_EraseRootFromParent_Done,
     /*  273010 */   // Label 5157: @273010
     /*  273010 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(273073), // Rule ID 8214 //
     /*  273015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273071 */     GIR_RootConstrainSelectedInstOperands,
     /*  273072 */     // GIR_Coverage, 8214,
     /*  273072 */     GIR_EraseRootFromParent_Done,
     /*  273073 */   // Label 5158: @273073
     /*  273073 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(273136), // Rule ID 8215 //
     /*  273078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273134 */     GIR_RootConstrainSelectedInstOperands,
     /*  273135 */     // GIR_Coverage, 8215,
     /*  273135 */     GIR_EraseRootFromParent_Done,
     /*  273136 */   // Label 5159: @273136
     /*  273136 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(273199), // Rule ID 8218 //
     /*  273141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273197 */     GIR_RootConstrainSelectedInstOperands,
     /*  273198 */     // GIR_Coverage, 8218,
     /*  273198 */     GIR_EraseRootFromParent_Done,
     /*  273199 */   // Label 5160: @273199
     /*  273199 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(273262), // Rule ID 8219 //
     /*  273204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273243 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273260 */     GIR_RootConstrainSelectedInstOperands,
     /*  273261 */     // GIR_Coverage, 8219,
     /*  273261 */     GIR_EraseRootFromParent_Done,
     /*  273262 */   // Label 5161: @273262
     /*  273262 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(273325), // Rule ID 8222 //
     /*  273267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273323 */     GIR_RootConstrainSelectedInstOperands,
     /*  273324 */     // GIR_Coverage, 8222,
     /*  273324 */     GIR_EraseRootFromParent_Done,
     /*  273325 */   // Label 5162: @273325
     /*  273325 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(273388), // Rule ID 8223 //
     /*  273330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273386 */     GIR_RootConstrainSelectedInstOperands,
     /*  273387 */     // GIR_Coverage, 8223,
     /*  273387 */     GIR_EraseRootFromParent_Done,
     /*  273388 */   // Label 5163: @273388
     /*  273388 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273451), // Rule ID 8226 //
     /*  273393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273449 */     GIR_RootConstrainSelectedInstOperands,
     /*  273450 */     // GIR_Coverage, 8226,
     /*  273450 */     GIR_EraseRootFromParent_Done,
     /*  273451 */   // Label 5164: @273451
     /*  273451 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273514), // Rule ID 8227 //
     /*  273456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273512 */     GIR_RootConstrainSelectedInstOperands,
     /*  273513 */     // GIR_Coverage, 8227,
     /*  273513 */     GIR_EraseRootFromParent_Done,
     /*  273514 */   // Label 5165: @273514
     /*  273514 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273577), // Rule ID 8318 //
     /*  273519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  273561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273575 */     GIR_RootConstrainSelectedInstOperands,
     /*  273576 */     // GIR_Coverage, 8318,
     /*  273576 */     GIR_EraseRootFromParent_Done,
     /*  273577 */   // Label 5166: @273577
     /*  273577 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273640), // Rule ID 8319 //
     /*  273582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  273624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273638 */     GIR_RootConstrainSelectedInstOperands,
     /*  273639 */     // GIR_Coverage, 8319,
     /*  273639 */     GIR_EraseRootFromParent_Done,
     /*  273640 */   // Label 5167: @273640
     /*  273640 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273703), // Rule ID 8322 //
     /*  273645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273701 */     GIR_RootConstrainSelectedInstOperands,
     /*  273702 */     // GIR_Coverage, 8322,
     /*  273702 */     GIR_EraseRootFromParent_Done,
     /*  273703 */   // Label 5168: @273703
     /*  273703 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273766), // Rule ID 8323 //
     /*  273708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273764 */     GIR_RootConstrainSelectedInstOperands,
     /*  273765 */     // GIR_Coverage, 8323,
     /*  273765 */     GIR_EraseRootFromParent_Done,
     /*  273766 */   // Label 5169: @273766
     /*  273766 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273829), // Rule ID 8326 //
     /*  273771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273827 */     GIR_RootConstrainSelectedInstOperands,
     /*  273828 */     // GIR_Coverage, 8326,
     /*  273828 */     GIR_EraseRootFromParent_Done,
     /*  273829 */   // Label 5170: @273829
     /*  273829 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273892), // Rule ID 8327 //
     /*  273834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273890 */     GIR_RootConstrainSelectedInstOperands,
     /*  273891 */     // GIR_Coverage, 8327,
     /*  273891 */     GIR_EraseRootFromParent_Done,
     /*  273892 */   // Label 5171: @273892
     /*  273892 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273955), // Rule ID 8330 //
     /*  273897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273953 */     GIR_RootConstrainSelectedInstOperands,
     /*  273954 */     // GIR_Coverage, 8330,
     /*  273954 */     GIR_EraseRootFromParent_Done,
     /*  273955 */   // Label 5172: @273955
     /*  273955 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(274018), // Rule ID 8331 //
     /*  273960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273999 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  274002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274016 */     GIR_RootConstrainSelectedInstOperands,
     /*  274017 */     // GIR_Coverage, 8331,
     /*  274017 */     GIR_EraseRootFromParent_Done,
     /*  274018 */   // Label 5173: @274018
     /*  274018 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(274081), // Rule ID 8334 //
     /*  274023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274079 */     GIR_RootConstrainSelectedInstOperands,
     /*  274080 */     // GIR_Coverage, 8334,
     /*  274080 */     GIR_EraseRootFromParent_Done,
     /*  274081 */   // Label 5174: @274081
     /*  274081 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(274144), // Rule ID 8335 //
     /*  274086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274142 */     GIR_RootConstrainSelectedInstOperands,
     /*  274143 */     // GIR_Coverage, 8335,
     /*  274143 */     GIR_EraseRootFromParent_Done,
     /*  274144 */   // Label 5175: @274144
     /*  274144 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(274207), // Rule ID 8338 //
     /*  274149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274205 */     GIR_RootConstrainSelectedInstOperands,
     /*  274206 */     // GIR_Coverage, 8338,
     /*  274206 */     GIR_EraseRootFromParent_Done,
     /*  274207 */   // Label 5176: @274207
     /*  274207 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(274270), // Rule ID 8339 //
     /*  274212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274268 */     GIR_RootConstrainSelectedInstOperands,
     /*  274269 */     // GIR_Coverage, 8339,
     /*  274269 */     GIR_EraseRootFromParent_Done,
     /*  274270 */   // Label 5177: @274270
     /*  274270 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(274333), // Rule ID 8342 //
     /*  274275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274331 */     GIR_RootConstrainSelectedInstOperands,
     /*  274332 */     // GIR_Coverage, 8342,
     /*  274332 */     GIR_EraseRootFromParent_Done,
     /*  274333 */   // Label 5178: @274333
     /*  274333 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(274396), // Rule ID 8343 //
     /*  274338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274394 */     GIR_RootConstrainSelectedInstOperands,
     /*  274395 */     // GIR_Coverage, 8343,
     /*  274395 */     GIR_EraseRootFromParent_Done,
     /*  274396 */   // Label 5179: @274396
     /*  274396 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274459), // Rule ID 8346 //
     /*  274401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274457 */     GIR_RootConstrainSelectedInstOperands,
     /*  274458 */     // GIR_Coverage, 8346,
     /*  274458 */     GIR_EraseRootFromParent_Done,
     /*  274459 */   // Label 5180: @274459
     /*  274459 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274522), // Rule ID 8347 //
     /*  274464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274520 */     GIR_RootConstrainSelectedInstOperands,
     /*  274521 */     // GIR_Coverage, 8347,
     /*  274521 */     GIR_EraseRootFromParent_Done,
     /*  274522 */   // Label 5181: @274522
     /*  274522 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274585), // Rule ID 8350 //
     /*  274527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274583 */     GIR_RootConstrainSelectedInstOperands,
     /*  274584 */     // GIR_Coverage, 8350,
     /*  274584 */     GIR_EraseRootFromParent_Done,
     /*  274585 */   // Label 5182: @274585
     /*  274585 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274648), // Rule ID 8351 //
     /*  274590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274646 */     GIR_RootConstrainSelectedInstOperands,
     /*  274647 */     // GIR_Coverage, 8351,
     /*  274647 */     GIR_EraseRootFromParent_Done,
     /*  274648 */   // Label 5183: @274648
     /*  274648 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274711), // Rule ID 8354 //
     /*  274653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274709 */     GIR_RootConstrainSelectedInstOperands,
     /*  274710 */     // GIR_Coverage, 8354,
     /*  274710 */     GIR_EraseRootFromParent_Done,
     /*  274711 */   // Label 5184: @274711
     /*  274711 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274774), // Rule ID 8355 //
     /*  274716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274772 */     GIR_RootConstrainSelectedInstOperands,
     /*  274773 */     // GIR_Coverage, 8355,
     /*  274773 */     GIR_EraseRootFromParent_Done,
     /*  274774 */   // Label 5185: @274774
     /*  274774 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274837), // Rule ID 8358 //
     /*  274779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274818 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  274821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274835 */     GIR_RootConstrainSelectedInstOperands,
     /*  274836 */     // GIR_Coverage, 8358,
     /*  274836 */     GIR_EraseRootFromParent_Done,
     /*  274837 */   // Label 5186: @274837
     /*  274837 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274900), // Rule ID 8359 //
     /*  274842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274881 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  274884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274898 */     GIR_RootConstrainSelectedInstOperands,
     /*  274899 */     // GIR_Coverage, 8359,
     /*  274899 */     GIR_EraseRootFromParent_Done,
     /*  274900 */   // Label 5187: @274900
     /*  274900 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274963), // Rule ID 8362 //
     /*  274905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  274947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274961 */     GIR_RootConstrainSelectedInstOperands,
     /*  274962 */     // GIR_Coverage, 8362,
     /*  274962 */     GIR_EraseRootFromParent_Done,
     /*  274963 */   // Label 5188: @274963
     /*  274963 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(275026), // Rule ID 8363 //
     /*  274968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275007 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275024 */     GIR_RootConstrainSelectedInstOperands,
     /*  275025 */     // GIR_Coverage, 8363,
     /*  275025 */     GIR_EraseRootFromParent_Done,
     /*  275026 */   // Label 5189: @275026
     /*  275026 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(275089), // Rule ID 8366 //
     /*  275031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275070 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275087 */     GIR_RootConstrainSelectedInstOperands,
     /*  275088 */     // GIR_Coverage, 8366,
     /*  275088 */     GIR_EraseRootFromParent_Done,
     /*  275089 */   // Label 5190: @275089
     /*  275089 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(275152), // Rule ID 8367 //
     /*  275094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275133 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275150 */     GIR_RootConstrainSelectedInstOperands,
     /*  275151 */     // GIR_Coverage, 8367,
     /*  275151 */     GIR_EraseRootFromParent_Done,
     /*  275152 */   // Label 5191: @275152
     /*  275152 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(275215), // Rule ID 8370 //
     /*  275157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275213 */     GIR_RootConstrainSelectedInstOperands,
     /*  275214 */     // GIR_Coverage, 8370,
     /*  275214 */     GIR_EraseRootFromParent_Done,
     /*  275215 */   // Label 5192: @275215
     /*  275215 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(275278), // Rule ID 8371 //
     /*  275220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275259 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275276 */     GIR_RootConstrainSelectedInstOperands,
     /*  275277 */     // GIR_Coverage, 8371,
     /*  275277 */     GIR_EraseRootFromParent_Done,
     /*  275278 */   // Label 5193: @275278
     /*  275278 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(275341), // Rule ID 8374 //
     /*  275283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275339 */     GIR_RootConstrainSelectedInstOperands,
     /*  275340 */     // GIR_Coverage, 8374,
     /*  275340 */     GIR_EraseRootFromParent_Done,
     /*  275341 */   // Label 5194: @275341
     /*  275341 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275404), // Rule ID 8375 //
     /*  275346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275385 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275402 */     GIR_RootConstrainSelectedInstOperands,
     /*  275403 */     // GIR_Coverage, 8375,
     /*  275403 */     GIR_EraseRootFromParent_Done,
     /*  275404 */   // Label 5195: @275404
     /*  275404 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275467), // Rule ID 8378 //
     /*  275409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275465 */     GIR_RootConstrainSelectedInstOperands,
     /*  275466 */     // GIR_Coverage, 8378,
     /*  275466 */     GIR_EraseRootFromParent_Done,
     /*  275467 */   // Label 5196: @275467
     /*  275467 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275530), // Rule ID 8379 //
     /*  275472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275511 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275528 */     GIR_RootConstrainSelectedInstOperands,
     /*  275529 */     // GIR_Coverage, 8379,
     /*  275529 */     GIR_EraseRootFromParent_Done,
     /*  275530 */   // Label 5197: @275530
     /*  275530 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275593), // Rule ID 8382 //
     /*  275535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275591 */     GIR_RootConstrainSelectedInstOperands,
     /*  275592 */     // GIR_Coverage, 8382,
     /*  275592 */     GIR_EraseRootFromParent_Done,
     /*  275593 */   // Label 5198: @275593
     /*  275593 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275656), // Rule ID 8383 //
     /*  275598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275654 */     GIR_RootConstrainSelectedInstOperands,
     /*  275655 */     // GIR_Coverage, 8383,
     /*  275655 */     GIR_EraseRootFromParent_Done,
     /*  275656 */   // Label 5199: @275656
     /*  275656 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275719), // Rule ID 8386 //
     /*  275661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275717 */     GIR_RootConstrainSelectedInstOperands,
     /*  275718 */     // GIR_Coverage, 8386,
     /*  275718 */     GIR_EraseRootFromParent_Done,
     /*  275719 */   // Label 5200: @275719
     /*  275719 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275782), // Rule ID 8387 //
     /*  275724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275780 */     GIR_RootConstrainSelectedInstOperands,
     /*  275781 */     // GIR_Coverage, 8387,
     /*  275781 */     GIR_EraseRootFromParent_Done,
     /*  275782 */   // Label 5201: @275782
     /*  275782 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275845), // Rule ID 8390 //
     /*  275787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275826 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275843 */     GIR_RootConstrainSelectedInstOperands,
     /*  275844 */     // GIR_Coverage, 8390,
     /*  275844 */     GIR_EraseRootFromParent_Done,
     /*  275845 */   // Label 5202: @275845
     /*  275845 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275908), // Rule ID 8391 //
     /*  275850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275906 */     GIR_RootConstrainSelectedInstOperands,
     /*  275907 */     // GIR_Coverage, 8391,
     /*  275907 */     GIR_EraseRootFromParent_Done,
     /*  275908 */   // Label 5203: @275908
     /*  275908 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275971), // Rule ID 8394 //
     /*  275913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275969 */     GIR_RootConstrainSelectedInstOperands,
     /*  275970 */     // GIR_Coverage, 8394,
     /*  275970 */     GIR_EraseRootFromParent_Done,
     /*  275971 */   // Label 5204: @275971
     /*  275971 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(276034), // Rule ID 8395 //
     /*  275976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276015 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  276018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276032 */     GIR_RootConstrainSelectedInstOperands,
     /*  276033 */     // GIR_Coverage, 8395,
     /*  276033 */     GIR_EraseRootFromParent_Done,
     /*  276034 */   // Label 5205: @276034
     /*  276034 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(276097), // Rule ID 8398 //
     /*  276039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276095 */     GIR_RootConstrainSelectedInstOperands,
     /*  276096 */     // GIR_Coverage, 8398,
     /*  276096 */     GIR_EraseRootFromParent_Done,
     /*  276097 */   // Label 5206: @276097
     /*  276097 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(276160), // Rule ID 8399 //
     /*  276102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276158 */     GIR_RootConstrainSelectedInstOperands,
     /*  276159 */     // GIR_Coverage, 8399,
     /*  276159 */     GIR_EraseRootFromParent_Done,
     /*  276160 */   // Label 5207: @276160
     /*  276160 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(276223), // Rule ID 8402 //
     /*  276165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276221 */     GIR_RootConstrainSelectedInstOperands,
     /*  276222 */     // GIR_Coverage, 8402,
     /*  276222 */     GIR_EraseRootFromParent_Done,
     /*  276223 */   // Label 5208: @276223
     /*  276223 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(276286), // Rule ID 8403 //
     /*  276228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276284 */     GIR_RootConstrainSelectedInstOperands,
     /*  276285 */     // GIR_Coverage, 8403,
     /*  276285 */     GIR_EraseRootFromParent_Done,
     /*  276286 */   // Label 5209: @276286
     /*  276286 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(276349), // Rule ID 8406 //
     /*  276291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276347 */     GIR_RootConstrainSelectedInstOperands,
     /*  276348 */     // GIR_Coverage, 8406,
     /*  276348 */     GIR_EraseRootFromParent_Done,
     /*  276349 */   // Label 5210: @276349
     /*  276349 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276412), // Rule ID 8407 //
     /*  276354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276410 */     GIR_RootConstrainSelectedInstOperands,
     /*  276411 */     // GIR_Coverage, 8407,
     /*  276411 */     GIR_EraseRootFromParent_Done,
     /*  276412 */   // Label 5211: @276412
     /*  276412 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276475), // Rule ID 8410 //
     /*  276417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276473 */     GIR_RootConstrainSelectedInstOperands,
     /*  276474 */     // GIR_Coverage, 8410,
     /*  276474 */     GIR_EraseRootFromParent_Done,
     /*  276475 */   // Label 5212: @276475
     /*  276475 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276538), // Rule ID 8411 //
     /*  276480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276536 */     GIR_RootConstrainSelectedInstOperands,
     /*  276537 */     // GIR_Coverage, 8411,
     /*  276537 */     GIR_EraseRootFromParent_Done,
     /*  276538 */   // Label 5213: @276538
     /*  276538 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276601), // Rule ID 8414 //
     /*  276543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276599 */     GIR_RootConstrainSelectedInstOperands,
     /*  276600 */     // GIR_Coverage, 8414,
     /*  276600 */     GIR_EraseRootFromParent_Done,
     /*  276601 */   // Label 5214: @276601
     /*  276601 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276664), // Rule ID 8415 //
     /*  276606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276662 */     GIR_RootConstrainSelectedInstOperands,
     /*  276663 */     // GIR_Coverage, 8415,
     /*  276663 */     GIR_EraseRootFromParent_Done,
     /*  276664 */   // Label 5215: @276664
     /*  276664 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276727), // Rule ID 8418 //
     /*  276669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276725 */     GIR_RootConstrainSelectedInstOperands,
     /*  276726 */     // GIR_Coverage, 8418,
     /*  276726 */     GIR_EraseRootFromParent_Done,
     /*  276727 */   // Label 5216: @276727
     /*  276727 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276790), // Rule ID 8419 //
     /*  276732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276771 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276788 */     GIR_RootConstrainSelectedInstOperands,
     /*  276789 */     // GIR_Coverage, 8419,
     /*  276789 */     GIR_EraseRootFromParent_Done,
     /*  276790 */   // Label 5217: @276790
     /*  276790 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276853), // Rule ID 8422 //
     /*  276795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276851 */     GIR_RootConstrainSelectedInstOperands,
     /*  276852 */     // GIR_Coverage, 8422,
     /*  276852 */     GIR_EraseRootFromParent_Done,
     /*  276853 */   // Label 5218: @276853
     /*  276853 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276916), // Rule ID 8423 //
     /*  276858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276914 */     GIR_RootConstrainSelectedInstOperands,
     /*  276915 */     // GIR_Coverage, 8423,
     /*  276915 */     GIR_EraseRootFromParent_Done,
     /*  276916 */   // Label 5219: @276916
     /*  276916 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276979), // Rule ID 8426 //
     /*  276921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276977 */     GIR_RootConstrainSelectedInstOperands,
     /*  276978 */     // GIR_Coverage, 8426,
     /*  276978 */     GIR_EraseRootFromParent_Done,
     /*  276979 */   // Label 5220: @276979
     /*  276979 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(277042), // Rule ID 8427 //
     /*  276984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277040 */     GIR_RootConstrainSelectedInstOperands,
     /*  277041 */     // GIR_Coverage, 8427,
     /*  277041 */     GIR_EraseRootFromParent_Done,
     /*  277042 */   // Label 5221: @277042
     /*  277042 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(277105), // Rule ID 8430 //
     /*  277047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277103 */     GIR_RootConstrainSelectedInstOperands,
     /*  277104 */     // GIR_Coverage, 8430,
     /*  277104 */     GIR_EraseRootFromParent_Done,
     /*  277105 */   // Label 5222: @277105
     /*  277105 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(277168), // Rule ID 8431 //
     /*  277110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277166 */     GIR_RootConstrainSelectedInstOperands,
     /*  277167 */     // GIR_Coverage, 8431,
     /*  277167 */     GIR_EraseRootFromParent_Done,
     /*  277168 */   // Label 5223: @277168
     /*  277168 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(277231), // Rule ID 8434 //
     /*  277173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277229 */     GIR_RootConstrainSelectedInstOperands,
     /*  277230 */     // GIR_Coverage, 8434,
     /*  277230 */     GIR_EraseRootFromParent_Done,
     /*  277231 */   // Label 5224: @277231
     /*  277231 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(277294), // Rule ID 8435 //
     /*  277236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277292 */     GIR_RootConstrainSelectedInstOperands,
     /*  277293 */     // GIR_Coverage, 8435,
     /*  277293 */     GIR_EraseRootFromParent_Done,
     /*  277294 */   // Label 5225: @277294
     /*  277294 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(277357), // Rule ID 8438 //
     /*  277299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277355 */     GIR_RootConstrainSelectedInstOperands,
     /*  277356 */     // GIR_Coverage, 8438,
     /*  277356 */     GIR_EraseRootFromParent_Done,
     /*  277357 */   // Label 5226: @277357
     /*  277357 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277420), // Rule ID 8439 //
     /*  277362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277418 */     GIR_RootConstrainSelectedInstOperands,
     /*  277419 */     // GIR_Coverage, 8439,
     /*  277419 */     GIR_EraseRootFromParent_Done,
     /*  277420 */   // Label 5227: @277420
     /*  277420 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277483), // Rule ID 8442 //
     /*  277425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277481 */     GIR_RootConstrainSelectedInstOperands,
     /*  277482 */     // GIR_Coverage, 8442,
     /*  277482 */     GIR_EraseRootFromParent_Done,
     /*  277483 */   // Label 5228: @277483
     /*  277483 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277546), // Rule ID 8443 //
     /*  277488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277544 */     GIR_RootConstrainSelectedInstOperands,
     /*  277545 */     // GIR_Coverage, 8443,
     /*  277545 */     GIR_EraseRootFromParent_Done,
     /*  277546 */   // Label 5229: @277546
     /*  277546 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277609), // Rule ID 8446 //
     /*  277551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277607 */     GIR_RootConstrainSelectedInstOperands,
     /*  277608 */     // GIR_Coverage, 8446,
     /*  277608 */     GIR_EraseRootFromParent_Done,
     /*  277609 */   // Label 5230: @277609
     /*  277609 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277672), // Rule ID 8447 //
     /*  277614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277670 */     GIR_RootConstrainSelectedInstOperands,
     /*  277671 */     // GIR_Coverage, 8447,
     /*  277671 */     GIR_EraseRootFromParent_Done,
     /*  277672 */   // Label 5231: @277672
     /*  277672 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277735), // Rule ID 8450 //
     /*  277677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277733 */     GIR_RootConstrainSelectedInstOperands,
     /*  277734 */     // GIR_Coverage, 8450,
     /*  277734 */     GIR_EraseRootFromParent_Done,
     /*  277735 */   // Label 5232: @277735
     /*  277735 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277798), // Rule ID 8451 //
     /*  277740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277779 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277796 */     GIR_RootConstrainSelectedInstOperands,
     /*  277797 */     // GIR_Coverage, 8451,
     /*  277797 */     GIR_EraseRootFromParent_Done,
     /*  277798 */   // Label 5233: @277798
     /*  277798 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277861), // Rule ID 8454 //
     /*  277803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277842 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  277845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277859 */     GIR_RootConstrainSelectedInstOperands,
     /*  277860 */     // GIR_Coverage, 8454,
     /*  277860 */     GIR_EraseRootFromParent_Done,
     /*  277861 */   // Label 5234: @277861
     /*  277861 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277924), // Rule ID 8455 //
     /*  277866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277905 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  277908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277922 */     GIR_RootConstrainSelectedInstOperands,
     /*  277923 */     // GIR_Coverage, 8455,
     /*  277923 */     GIR_EraseRootFromParent_Done,
     /*  277924 */   // Label 5235: @277924
     /*  277924 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277987), // Rule ID 8458 //
     /*  277929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277985 */     GIR_RootConstrainSelectedInstOperands,
     /*  277986 */     // GIR_Coverage, 8458,
     /*  277986 */     GIR_EraseRootFromParent_Done,
     /*  277987 */   // Label 5236: @277987
     /*  277987 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(278050), // Rule ID 8459 //
     /*  277992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278048 */     GIR_RootConstrainSelectedInstOperands,
     /*  278049 */     // GIR_Coverage, 8459,
     /*  278049 */     GIR_EraseRootFromParent_Done,
     /*  278050 */   // Label 5237: @278050
     /*  278050 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(278113), // Rule ID 8462 //
     /*  278055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278094 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278111 */     GIR_RootConstrainSelectedInstOperands,
     /*  278112 */     // GIR_Coverage, 8462,
     /*  278112 */     GIR_EraseRootFromParent_Done,
     /*  278113 */   // Label 5238: @278113
     /*  278113 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(278176), // Rule ID 8463 //
     /*  278118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278174 */     GIR_RootConstrainSelectedInstOperands,
     /*  278175 */     // GIR_Coverage, 8463,
     /*  278175 */     GIR_EraseRootFromParent_Done,
     /*  278176 */   // Label 5239: @278176
     /*  278176 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(278239), // Rule ID 8466 //
     /*  278181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278220 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278237 */     GIR_RootConstrainSelectedInstOperands,
     /*  278238 */     // GIR_Coverage, 8466,
     /*  278238 */     GIR_EraseRootFromParent_Done,
     /*  278239 */   // Label 5240: @278239
     /*  278239 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(278302), // Rule ID 8467 //
     /*  278244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278283 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278300 */     GIR_RootConstrainSelectedInstOperands,
     /*  278301 */     // GIR_Coverage, 8467,
     /*  278301 */     GIR_EraseRootFromParent_Done,
     /*  278302 */   // Label 5241: @278302
     /*  278302 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(278365), // Rule ID 8470 //
     /*  278307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278363 */     GIR_RootConstrainSelectedInstOperands,
     /*  278364 */     // GIR_Coverage, 8470,
     /*  278364 */     GIR_EraseRootFromParent_Done,
     /*  278365 */   // Label 5242: @278365
     /*  278365 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278428), // Rule ID 8471 //
     /*  278370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278426 */     GIR_RootConstrainSelectedInstOperands,
     /*  278427 */     // GIR_Coverage, 8471,
     /*  278427 */     GIR_EraseRootFromParent_Done,
     /*  278428 */   // Label 5243: @278428
     /*  278428 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278491), // Rule ID 8474 //
     /*  278433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278489 */     GIR_RootConstrainSelectedInstOperands,
     /*  278490 */     // GIR_Coverage, 8474,
     /*  278490 */     GIR_EraseRootFromParent_Done,
     /*  278491 */   // Label 5244: @278491
     /*  278491 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278554), // Rule ID 8475 //
     /*  278496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278552 */     GIR_RootConstrainSelectedInstOperands,
     /*  278553 */     // GIR_Coverage, 8475,
     /*  278553 */     GIR_EraseRootFromParent_Done,
     /*  278554 */   // Label 5245: @278554
     /*  278554 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278617), // Rule ID 8478 //
     /*  278559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278615 */     GIR_RootConstrainSelectedInstOperands,
     /*  278616 */     // GIR_Coverage, 8478,
     /*  278616 */     GIR_EraseRootFromParent_Done,
     /*  278617 */   // Label 5246: @278617
     /*  278617 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278680), // Rule ID 8479 //
     /*  278622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278678 */     GIR_RootConstrainSelectedInstOperands,
     /*  278679 */     // GIR_Coverage, 8479,
     /*  278679 */     GIR_EraseRootFromParent_Done,
     /*  278680 */   // Label 5247: @278680
     /*  278680 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278743), // Rule ID 8482 //
     /*  278685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278741 */     GIR_RootConstrainSelectedInstOperands,
     /*  278742 */     // GIR_Coverage, 8482,
     /*  278742 */     GIR_EraseRootFromParent_Done,
     /*  278743 */   // Label 5248: @278743
     /*  278743 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278806), // Rule ID 8483 //
     /*  278748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278787 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278804 */     GIR_RootConstrainSelectedInstOperands,
     /*  278805 */     // GIR_Coverage, 8483,
     /*  278805 */     GIR_EraseRootFromParent_Done,
     /*  278806 */   // Label 5249: @278806
     /*  278806 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278869), // Rule ID 8486 //
     /*  278811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278867 */     GIR_RootConstrainSelectedInstOperands,
     /*  278868 */     // GIR_Coverage, 8486,
     /*  278868 */     GIR_EraseRootFromParent_Done,
     /*  278869 */   // Label 5250: @278869
     /*  278869 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278932), // Rule ID 8487 //
     /*  278874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278930 */     GIR_RootConstrainSelectedInstOperands,
     /*  278931 */     // GIR_Coverage, 8487,
     /*  278931 */     GIR_EraseRootFromParent_Done,
     /*  278932 */   // Label 5251: @278932
     /*  278932 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278995), // Rule ID 8490 //
     /*  278937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278993 */     GIR_RootConstrainSelectedInstOperands,
     /*  278994 */     // GIR_Coverage, 8490,
     /*  278994 */     GIR_EraseRootFromParent_Done,
     /*  278995 */   // Label 5252: @278995
     /*  278995 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(279058), // Rule ID 8491 //
     /*  279000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  279042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279056 */     GIR_RootConstrainSelectedInstOperands,
     /*  279057 */     // GIR_Coverage, 8491,
     /*  279057 */     GIR_EraseRootFromParent_Done,
     /*  279058 */   // Label 5253: @279058
     /*  279058 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(279121), // Rule ID 8494 //
     /*  279063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  279105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279119 */     GIR_RootConstrainSelectedInstOperands,
     /*  279120 */     // GIR_Coverage, 8494,
     /*  279120 */     GIR_EraseRootFromParent_Done,
     /*  279121 */   // Label 5254: @279121
     /*  279121 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(279184), // Rule ID 8495 //
     /*  279126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  279168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279182 */     GIR_RootConstrainSelectedInstOperands,
     /*  279183 */     // GIR_Coverage, 8495,
     /*  279183 */     GIR_EraseRootFromParent_Done,
     /*  279184 */   // Label 5255: @279184
     /*  279184 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(279247), // Rule ID 8498 //
     /*  279189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279245 */     GIR_RootConstrainSelectedInstOperands,
     /*  279246 */     // GIR_Coverage, 8498,
     /*  279246 */     GIR_EraseRootFromParent_Done,
     /*  279247 */   // Label 5256: @279247
     /*  279247 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(279310), // Rule ID 8499 //
     /*  279252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279308 */     GIR_RootConstrainSelectedInstOperands,
     /*  279309 */     // GIR_Coverage, 8499,
     /*  279309 */     GIR_EraseRootFromParent_Done,
     /*  279310 */   // Label 5257: @279310
     /*  279310 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(279373), // Rule ID 8502 //
     /*  279315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279371 */     GIR_RootConstrainSelectedInstOperands,
     /*  279372 */     // GIR_Coverage, 8502,
     /*  279372 */     GIR_EraseRootFromParent_Done,
     /*  279373 */   // Label 5258: @279373
     /*  279373 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279436), // Rule ID 8503 //
     /*  279378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279434 */     GIR_RootConstrainSelectedInstOperands,
     /*  279435 */     // GIR_Coverage, 8503,
     /*  279435 */     GIR_EraseRootFromParent_Done,
     /*  279436 */   // Label 5259: @279436
     /*  279436 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279499), // Rule ID 8506 //
     /*  279441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279497 */     GIR_RootConstrainSelectedInstOperands,
     /*  279498 */     // GIR_Coverage, 8506,
     /*  279498 */     GIR_EraseRootFromParent_Done,
     /*  279499 */   // Label 5260: @279499
     /*  279499 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279562), // Rule ID 8507 //
     /*  279504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279560 */     GIR_RootConstrainSelectedInstOperands,
     /*  279561 */     // GIR_Coverage, 8507,
     /*  279561 */     GIR_EraseRootFromParent_Done,
     /*  279562 */   // Label 5261: @279562
     /*  279562 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279625), // Rule ID 8510 //
     /*  279567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279623 */     GIR_RootConstrainSelectedInstOperands,
     /*  279624 */     // GIR_Coverage, 8510,
     /*  279624 */     GIR_EraseRootFromParent_Done,
     /*  279625 */   // Label 5262: @279625
     /*  279625 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279688), // Rule ID 8511 //
     /*  279630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279686 */     GIR_RootConstrainSelectedInstOperands,
     /*  279687 */     // GIR_Coverage, 8511,
     /*  279687 */     GIR_EraseRootFromParent_Done,
     /*  279688 */   // Label 5263: @279688
     /*  279688 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279751), // Rule ID 8514 //
     /*  279693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279749 */     GIR_RootConstrainSelectedInstOperands,
     /*  279750 */     // GIR_Coverage, 8514,
     /*  279750 */     GIR_EraseRootFromParent_Done,
     /*  279751 */   // Label 5264: @279751
     /*  279751 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279814), // Rule ID 8515 //
     /*  279756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279812 */     GIR_RootConstrainSelectedInstOperands,
     /*  279813 */     // GIR_Coverage, 8515,
     /*  279813 */     GIR_EraseRootFromParent_Done,
     /*  279814 */   // Label 5265: @279814
     /*  279814 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279877), // Rule ID 8518 //
     /*  279819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279875 */     GIR_RootConstrainSelectedInstOperands,
     /*  279876 */     // GIR_Coverage, 8518,
     /*  279876 */     GIR_EraseRootFromParent_Done,
     /*  279877 */   // Label 5266: @279877
     /*  279877 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279940), // Rule ID 8519 //
     /*  279882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279938 */     GIR_RootConstrainSelectedInstOperands,
     /*  279939 */     // GIR_Coverage, 8519,
     /*  279939 */     GIR_EraseRootFromParent_Done,
     /*  279940 */   // Label 5267: @279940
     /*  279940 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(280003), // Rule ID 8522 //
     /*  279945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280001 */     GIR_RootConstrainSelectedInstOperands,
     /*  280002 */     // GIR_Coverage, 8522,
     /*  280002 */     GIR_EraseRootFromParent_Done,
     /*  280003 */   // Label 5268: @280003
     /*  280003 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(280066), // Rule ID 8523 //
     /*  280008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280047 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280064 */     GIR_RootConstrainSelectedInstOperands,
     /*  280065 */     // GIR_Coverage, 8523,
     /*  280065 */     GIR_EraseRootFromParent_Done,
     /*  280066 */   // Label 5269: @280066
     /*  280066 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(280129), // Rule ID 8526 //
     /*  280071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280127 */     GIR_RootConstrainSelectedInstOperands,
     /*  280128 */     // GIR_Coverage, 8526,
     /*  280128 */     GIR_EraseRootFromParent_Done,
     /*  280129 */   // Label 5270: @280129
     /*  280129 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(280192), // Rule ID 8527 //
     /*  280134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280190 */     GIR_RootConstrainSelectedInstOperands,
     /*  280191 */     // GIR_Coverage, 8527,
     /*  280191 */     GIR_EraseRootFromParent_Done,
     /*  280192 */   // Label 5271: @280192
     /*  280192 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(280255), // Rule ID 8530 //
     /*  280197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280253 */     GIR_RootConstrainSelectedInstOperands,
     /*  280254 */     // GIR_Coverage, 8530,
     /*  280254 */     GIR_EraseRootFromParent_Done,
     /*  280255 */   // Label 5272: @280255
     /*  280255 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(280318), // Rule ID 8531 //
     /*  280260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280316 */     GIR_RootConstrainSelectedInstOperands,
     /*  280317 */     // GIR_Coverage, 8531,
     /*  280317 */     GIR_EraseRootFromParent_Done,
     /*  280318 */   // Label 5273: @280318
     /*  280318 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(280381), // Rule ID 8534 //
     /*  280323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280379 */     GIR_RootConstrainSelectedInstOperands,
     /*  280380 */     // GIR_Coverage, 8534,
     /*  280380 */     GIR_EraseRootFromParent_Done,
     /*  280381 */   // Label 5274: @280381
     /*  280381 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280444), // Rule ID 8535 //
     /*  280386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280425 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280442 */     GIR_RootConstrainSelectedInstOperands,
     /*  280443 */     // GIR_Coverage, 8535,
     /*  280443 */     GIR_EraseRootFromParent_Done,
     /*  280444 */   // Label 5275: @280444
     /*  280444 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280507), // Rule ID 8538 //
     /*  280449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280505 */     GIR_RootConstrainSelectedInstOperands,
     /*  280506 */     // GIR_Coverage, 8538,
     /*  280506 */     GIR_EraseRootFromParent_Done,
     /*  280507 */   // Label 5276: @280507
     /*  280507 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280570), // Rule ID 8539 //
     /*  280512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280551 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280568 */     GIR_RootConstrainSelectedInstOperands,
     /*  280569 */     // GIR_Coverage, 8539,
     /*  280569 */     GIR_EraseRootFromParent_Done,
     /*  280570 */   // Label 5277: @280570
     /*  280570 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280633), // Rule ID 8542 //
     /*  280575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280614 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280631 */     GIR_RootConstrainSelectedInstOperands,
     /*  280632 */     // GIR_Coverage, 8542,
     /*  280632 */     GIR_EraseRootFromParent_Done,
     /*  280633 */   // Label 5278: @280633
     /*  280633 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280696), // Rule ID 8543 //
     /*  280638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280677 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280694 */     GIR_RootConstrainSelectedInstOperands,
     /*  280695 */     // GIR_Coverage, 8543,
     /*  280695 */     GIR_EraseRootFromParent_Done,
     /*  280696 */   // Label 5279: @280696
     /*  280696 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280759), // Rule ID 8546 //
     /*  280701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280757 */     GIR_RootConstrainSelectedInstOperands,
     /*  280758 */     // GIR_Coverage, 8546,
     /*  280758 */     GIR_EraseRootFromParent_Done,
     /*  280759 */   // Label 5280: @280759
     /*  280759 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280822), // Rule ID 8547 //
     /*  280764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280820 */     GIR_RootConstrainSelectedInstOperands,
     /*  280821 */     // GIR_Coverage, 8547,
     /*  280821 */     GIR_EraseRootFromParent_Done,
     /*  280822 */   // Label 5281: @280822
     /*  280822 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280885), // Rule ID 8550 //
     /*  280827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280866 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280883 */     GIR_RootConstrainSelectedInstOperands,
     /*  280884 */     // GIR_Coverage, 8550,
     /*  280884 */     GIR_EraseRootFromParent_Done,
     /*  280885 */   // Label 5282: @280885
     /*  280885 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280948), // Rule ID 8551 //
     /*  280890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280946 */     GIR_RootConstrainSelectedInstOperands,
     /*  280947 */     // GIR_Coverage, 8551,
     /*  280947 */     GIR_EraseRootFromParent_Done,
     /*  280948 */   // Label 5283: @280948
     /*  280948 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(281011), // Rule ID 8554 //
     /*  280953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  280970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281009 */     GIR_RootConstrainSelectedInstOperands,
     /*  281010 */     // GIR_Coverage, 8554,
     /*  281010 */     GIR_EraseRootFromParent_Done,
     /*  281011 */   // Label 5284: @281011
     /*  281011 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(281074), // Rule ID 8555 //
     /*  281016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281072 */     GIR_RootConstrainSelectedInstOperands,
     /*  281073 */     // GIR_Coverage, 8555,
     /*  281073 */     GIR_EraseRootFromParent_Done,
     /*  281074 */   // Label 5285: @281074
     /*  281074 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(281137), // Rule ID 8558 //
     /*  281079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281135 */     GIR_RootConstrainSelectedInstOperands,
     /*  281136 */     // GIR_Coverage, 8558,
     /*  281136 */     GIR_EraseRootFromParent_Done,
     /*  281137 */   // Label 5286: @281137
     /*  281137 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(281200), // Rule ID 8559 //
     /*  281142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281181 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281198 */     GIR_RootConstrainSelectedInstOperands,
     /*  281199 */     // GIR_Coverage, 8559,
     /*  281199 */     GIR_EraseRootFromParent_Done,
     /*  281200 */   // Label 5287: @281200
     /*  281200 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(281263), // Rule ID 8562 //
     /*  281205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281261 */     GIR_RootConstrainSelectedInstOperands,
     /*  281262 */     // GIR_Coverage, 8562,
     /*  281262 */     GIR_EraseRootFromParent_Done,
     /*  281263 */   // Label 5288: @281263
     /*  281263 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(281326), // Rule ID 8563 //
     /*  281268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281324 */     GIR_RootConstrainSelectedInstOperands,
     /*  281325 */     // GIR_Coverage, 8563,
     /*  281325 */     GIR_EraseRootFromParent_Done,
     /*  281326 */   // Label 5289: @281326
     /*  281326 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(281389), // Rule ID 8566 //
     /*  281331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281387 */     GIR_RootConstrainSelectedInstOperands,
     /*  281388 */     // GIR_Coverage, 8566,
     /*  281388 */     GIR_EraseRootFromParent_Done,
     /*  281389 */   // Label 5290: @281389
     /*  281389 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281452), // Rule ID 8567 //
     /*  281394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281450 */     GIR_RootConstrainSelectedInstOperands,
     /*  281451 */     // GIR_Coverage, 8567,
     /*  281451 */     GIR_EraseRootFromParent_Done,
     /*  281452 */   // Label 5291: @281452
     /*  281452 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281515), // Rule ID 8570 //
     /*  281457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281513 */     GIR_RootConstrainSelectedInstOperands,
     /*  281514 */     // GIR_Coverage, 8570,
     /*  281514 */     GIR_EraseRootFromParent_Done,
     /*  281515 */   // Label 5292: @281515
     /*  281515 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281578), // Rule ID 8571 //
     /*  281520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281576 */     GIR_RootConstrainSelectedInstOperands,
     /*  281577 */     // GIR_Coverage, 8571,
     /*  281577 */     GIR_EraseRootFromParent_Done,
     /*  281578 */   // Label 5293: @281578
     /*  281578 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281641), // Rule ID 8574 //
     /*  281583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281622 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281639 */     GIR_RootConstrainSelectedInstOperands,
     /*  281640 */     // GIR_Coverage, 8574,
     /*  281640 */     GIR_EraseRootFromParent_Done,
     /*  281641 */   // Label 5294: @281641
     /*  281641 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281704), // Rule ID 8575 //
     /*  281646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281702 */     GIR_RootConstrainSelectedInstOperands,
     /*  281703 */     // GIR_Coverage, 8575,
     /*  281703 */     GIR_EraseRootFromParent_Done,
     /*  281704 */   // Label 5295: @281704
     /*  281704 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281767), // Rule ID 8578 //
     /*  281709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281765 */     GIR_RootConstrainSelectedInstOperands,
     /*  281766 */     // GIR_Coverage, 8578,
     /*  281766 */     GIR_EraseRootFromParent_Done,
     /*  281767 */   // Label 5296: @281767
     /*  281767 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281830), // Rule ID 8579 //
     /*  281772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281828 */     GIR_RootConstrainSelectedInstOperands,
     /*  281829 */     // GIR_Coverage, 8579,
     /*  281829 */     GIR_EraseRootFromParent_Done,
     /*  281830 */   // Label 5297: @281830
     /*  281830 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281893), // Rule ID 8582 //
     /*  281835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  281877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281891 */     GIR_RootConstrainSelectedInstOperands,
     /*  281892 */     // GIR_Coverage, 8582,
     /*  281892 */     GIR_EraseRootFromParent_Done,
     /*  281893 */   // Label 5298: @281893
     /*  281893 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281956), // Rule ID 8583 //
     /*  281898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  281940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281954 */     GIR_RootConstrainSelectedInstOperands,
     /*  281955 */     // GIR_Coverage, 8583,
     /*  281955 */     GIR_EraseRootFromParent_Done,
     /*  281956 */   // Label 5299: @281956
     /*  281956 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(282019), // Rule ID 8586 //
     /*  281961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282017 */     GIR_RootConstrainSelectedInstOperands,
     /*  282018 */     // GIR_Coverage, 8586,
     /*  282018 */     GIR_EraseRootFromParent_Done,
     /*  282019 */   // Label 5300: @282019
     /*  282019 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(282082), // Rule ID 8587 //
     /*  282024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282080 */     GIR_RootConstrainSelectedInstOperands,
     /*  282081 */     // GIR_Coverage, 8587,
     /*  282081 */     GIR_EraseRootFromParent_Done,
     /*  282082 */   // Label 5301: @282082
     /*  282082 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(282145), // Rule ID 8590 //
     /*  282087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282143 */     GIR_RootConstrainSelectedInstOperands,
     /*  282144 */     // GIR_Coverage, 8590,
     /*  282144 */     GIR_EraseRootFromParent_Done,
     /*  282145 */   // Label 5302: @282145
     /*  282145 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(282208), // Rule ID 8591 //
     /*  282150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282206 */     GIR_RootConstrainSelectedInstOperands,
     /*  282207 */     // GIR_Coverage, 8591,
     /*  282207 */     GIR_EraseRootFromParent_Done,
     /*  282208 */   // Label 5303: @282208
     /*  282208 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(282271), // Rule ID 8594 //
     /*  282213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282269 */     GIR_RootConstrainSelectedInstOperands,
     /*  282270 */     // GIR_Coverage, 8594,
     /*  282270 */     GIR_EraseRootFromParent_Done,
     /*  282271 */   // Label 5304: @282271
     /*  282271 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(282334), // Rule ID 8595 //
     /*  282276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282332 */     GIR_RootConstrainSelectedInstOperands,
     /*  282333 */     // GIR_Coverage, 8595,
     /*  282333 */     GIR_EraseRootFromParent_Done,
     /*  282334 */   // Label 5305: @282334
     /*  282334 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(282397), // Rule ID 8598 //
     /*  282339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282395 */     GIR_RootConstrainSelectedInstOperands,
     /*  282396 */     // GIR_Coverage, 8598,
     /*  282396 */     GIR_EraseRootFromParent_Done,
     /*  282397 */   // Label 5306: @282397
     /*  282397 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282460), // Rule ID 8599 //
     /*  282402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282458 */     GIR_RootConstrainSelectedInstOperands,
     /*  282459 */     // GIR_Coverage, 8599,
     /*  282459 */     GIR_EraseRootFromParent_Done,
     /*  282460 */   // Label 5307: @282460
     /*  282460 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282523), // Rule ID 8602 //
     /*  282465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282521 */     GIR_RootConstrainSelectedInstOperands,
     /*  282522 */     // GIR_Coverage, 8602,
     /*  282522 */     GIR_EraseRootFromParent_Done,
     /*  282523 */   // Label 5308: @282523
     /*  282523 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282586), // Rule ID 8603 //
     /*  282528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282584 */     GIR_RootConstrainSelectedInstOperands,
     /*  282585 */     // GIR_Coverage, 8603,
     /*  282585 */     GIR_EraseRootFromParent_Done,
     /*  282586 */   // Label 5309: @282586
     /*  282586 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282649), // Rule ID 8606 //
     /*  282591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282647 */     GIR_RootConstrainSelectedInstOperands,
     /*  282648 */     // GIR_Coverage, 8606,
     /*  282648 */     GIR_EraseRootFromParent_Done,
     /*  282649 */   // Label 5310: @282649
     /*  282649 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282712), // Rule ID 8607 //
     /*  282654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282710 */     GIR_RootConstrainSelectedInstOperands,
     /*  282711 */     // GIR_Coverage, 8607,
     /*  282711 */     GIR_EraseRootFromParent_Done,
     /*  282712 */   // Label 5311: @282712
     /*  282712 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282775), // Rule ID 8610 //
     /*  282717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282773 */     GIR_RootConstrainSelectedInstOperands,
     /*  282774 */     // GIR_Coverage, 8610,
     /*  282774 */     GIR_EraseRootFromParent_Done,
     /*  282775 */   // Label 5312: @282775
     /*  282775 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282838), // Rule ID 8611 //
     /*  282780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282836 */     GIR_RootConstrainSelectedInstOperands,
     /*  282837 */     // GIR_Coverage, 8611,
     /*  282837 */     GIR_EraseRootFromParent_Done,
     /*  282838 */   // Label 5313: @282838
     /*  282838 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282901), // Rule ID 8614 //
     /*  282843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282882 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282899 */     GIR_RootConstrainSelectedInstOperands,
     /*  282900 */     // GIR_Coverage, 8614,
     /*  282900 */     GIR_EraseRootFromParent_Done,
     /*  282901 */   // Label 5314: @282901
     /*  282901 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282964), // Rule ID 8615 //
     /*  282906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282962 */     GIR_RootConstrainSelectedInstOperands,
     /*  282963 */     // GIR_Coverage, 8615,
     /*  282963 */     GIR_EraseRootFromParent_Done,
     /*  282964 */   // Label 5315: @282964
     /*  282964 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(283027), // Rule ID 8618 //
     /*  282969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283025 */     GIR_RootConstrainSelectedInstOperands,
     /*  283026 */     // GIR_Coverage, 8618,
     /*  283026 */     GIR_EraseRootFromParent_Done,
     /*  283027 */   // Label 5316: @283027
     /*  283027 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(283090), // Rule ID 8619 //
     /*  283032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283088 */     GIR_RootConstrainSelectedInstOperands,
     /*  283089 */     // GIR_Coverage, 8619,
     /*  283089 */     GIR_EraseRootFromParent_Done,
     /*  283090 */   // Label 5317: @283090
     /*  283090 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(283153), // Rule ID 8622 //
     /*  283095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283134 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283151 */     GIR_RootConstrainSelectedInstOperands,
     /*  283152 */     // GIR_Coverage, 8622,
     /*  283152 */     GIR_EraseRootFromParent_Done,
     /*  283153 */   // Label 5318: @283153
     /*  283153 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(283216), // Rule ID 8623 //
     /*  283158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283197 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283214 */     GIR_RootConstrainSelectedInstOperands,
     /*  283215 */     // GIR_Coverage, 8623,
     /*  283215 */     GIR_EraseRootFromParent_Done,
     /*  283216 */   // Label 5319: @283216
     /*  283216 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(283279), // Rule ID 8626 //
     /*  283221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283277 */     GIR_RootConstrainSelectedInstOperands,
     /*  283278 */     // GIR_Coverage, 8626,
     /*  283278 */     GIR_EraseRootFromParent_Done,
     /*  283279 */   // Label 5320: @283279
     /*  283279 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(283342), // Rule ID 8627 //
     /*  283284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283323 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283340 */     GIR_RootConstrainSelectedInstOperands,
     /*  283341 */     // GIR_Coverage, 8627,
     /*  283341 */     GIR_EraseRootFromParent_Done,
     /*  283342 */   // Label 5321: @283342
     /*  283342 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283405), // Rule ID 8630 //
     /*  283347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283386 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283403 */     GIR_RootConstrainSelectedInstOperands,
     /*  283404 */     // GIR_Coverage, 8630,
     /*  283404 */     GIR_EraseRootFromParent_Done,
     /*  283405 */   // Label 5322: @283405
     /*  283405 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283468), // Rule ID 8631 //
     /*  283410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283449 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283466 */     GIR_RootConstrainSelectedInstOperands,
     /*  283467 */     // GIR_Coverage, 8631,
     /*  283467 */     GIR_EraseRootFromParent_Done,
     /*  283468 */   // Label 5323: @283468
     /*  283468 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283531), // Rule ID 8634 //
     /*  283473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283529 */     GIR_RootConstrainSelectedInstOperands,
     /*  283530 */     // GIR_Coverage, 8634,
     /*  283530 */     GIR_EraseRootFromParent_Done,
     /*  283531 */   // Label 5324: @283531
     /*  283531 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283594), // Rule ID 8635 //
     /*  283536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283592 */     GIR_RootConstrainSelectedInstOperands,
     /*  283593 */     // GIR_Coverage, 8635,
     /*  283593 */     GIR_EraseRootFromParent_Done,
     /*  283594 */   // Label 5325: @283594
     /*  283594 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283657), // Rule ID 8638 //
     /*  283599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283655 */     GIR_RootConstrainSelectedInstOperands,
     /*  283656 */     // GIR_Coverage, 8638,
     /*  283656 */     GIR_EraseRootFromParent_Done,
     /*  283657 */   // Label 5326: @283657
     /*  283657 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283720), // Rule ID 8639 //
     /*  283662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283701 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283718 */     GIR_RootConstrainSelectedInstOperands,
     /*  283719 */     // GIR_Coverage, 8639,
     /*  283719 */     GIR_EraseRootFromParent_Done,
     /*  283720 */   // Label 5327: @283720
     /*  283720 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283783), // Rule ID 8642 //
     /*  283725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283781 */     GIR_RootConstrainSelectedInstOperands,
     /*  283782 */     // GIR_Coverage, 8642,
     /*  283782 */     GIR_EraseRootFromParent_Done,
     /*  283783 */   // Label 5328: @283783
     /*  283783 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283846), // Rule ID 8643 //
     /*  283788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283827 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283844 */     GIR_RootConstrainSelectedInstOperands,
     /*  283845 */     // GIR_Coverage, 8643,
     /*  283845 */     GIR_EraseRootFromParent_Done,
     /*  283846 */   // Label 5329: @283846
     /*  283846 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283909), // Rule ID 8646 //
     /*  283851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283907 */     GIR_RootConstrainSelectedInstOperands,
     /*  283908 */     // GIR_Coverage, 8646,
     /*  283908 */     GIR_EraseRootFromParent_Done,
     /*  283909 */   // Label 5330: @283909
     /*  283909 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283972), // Rule ID 8647 //
     /*  283914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283970 */     GIR_RootConstrainSelectedInstOperands,
     /*  283971 */     // GIR_Coverage, 8647,
     /*  283971 */     GIR_EraseRootFromParent_Done,
     /*  283972 */   // Label 5331: @283972
     /*  283972 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(284035), // Rule ID 8650 //
     /*  283977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284033 */     GIR_RootConstrainSelectedInstOperands,
     /*  284034 */     // GIR_Coverage, 8650,
     /*  284034 */     GIR_EraseRootFromParent_Done,
     /*  284035 */   // Label 5332: @284035
     /*  284035 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(284098), // Rule ID 8651 //
     /*  284040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284079 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284096 */     GIR_RootConstrainSelectedInstOperands,
     /*  284097 */     // GIR_Coverage, 8651,
     /*  284097 */     GIR_EraseRootFromParent_Done,
     /*  284098 */   // Label 5333: @284098
     /*  284098 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(284161), // Rule ID 8654 //
     /*  284103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284159 */     GIR_RootConstrainSelectedInstOperands,
     /*  284160 */     // GIR_Coverage, 8654,
     /*  284160 */     GIR_EraseRootFromParent_Done,
     /*  284161 */   // Label 5334: @284161
     /*  284161 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(284224), // Rule ID 8655 //
     /*  284166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284222 */     GIR_RootConstrainSelectedInstOperands,
     /*  284223 */     // GIR_Coverage, 8655,
     /*  284223 */     GIR_EraseRootFromParent_Done,
     /*  284224 */   // Label 5335: @284224
     /*  284224 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(284287), // Rule ID 8658 //
     /*  284229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284285 */     GIR_RootConstrainSelectedInstOperands,
     /*  284286 */     // GIR_Coverage, 8658,
     /*  284286 */     GIR_EraseRootFromParent_Done,
     /*  284287 */   // Label 5336: @284287
     /*  284287 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(284350), // Rule ID 8659 //
     /*  284292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284348 */     GIR_RootConstrainSelectedInstOperands,
     /*  284349 */     // GIR_Coverage, 8659,
     /*  284349 */     GIR_EraseRootFromParent_Done,
     /*  284350 */   // Label 5337: @284350
     /*  284350 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284413), // Rule ID 8662 //
     /*  284355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284411 */     GIR_RootConstrainSelectedInstOperands,
     /*  284412 */     // GIR_Coverage, 8662,
     /*  284412 */     GIR_EraseRootFromParent_Done,
     /*  284413 */   // Label 5338: @284413
     /*  284413 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284476), // Rule ID 8663 //
     /*  284418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284474 */     GIR_RootConstrainSelectedInstOperands,
     /*  284475 */     // GIR_Coverage, 8663,
     /*  284475 */     GIR_EraseRootFromParent_Done,
     /*  284476 */   // Label 5339: @284476
     /*  284476 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284539), // Rule ID 8666 //
     /*  284481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284537 */     GIR_RootConstrainSelectedInstOperands,
     /*  284538 */     // GIR_Coverage, 8666,
     /*  284538 */     GIR_EraseRootFromParent_Done,
     /*  284539 */   // Label 5340: @284539
     /*  284539 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284602), // Rule ID 8667 //
     /*  284544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284600 */     GIR_RootConstrainSelectedInstOperands,
     /*  284601 */     // GIR_Coverage, 8667,
     /*  284601 */     GIR_EraseRootFromParent_Done,
     /*  284602 */   // Label 5341: @284602
     /*  284602 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284665), // Rule ID 8670 //
     /*  284607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  284649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284663 */     GIR_RootConstrainSelectedInstOperands,
     /*  284664 */     // GIR_Coverage, 8670,
     /*  284664 */     GIR_EraseRootFromParent_Done,
     /*  284665 */   // Label 5342: @284665
     /*  284665 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284728), // Rule ID 8671 //
     /*  284670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284709 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  284712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284726 */     GIR_RootConstrainSelectedInstOperands,
     /*  284727 */     // GIR_Coverage, 8671,
     /*  284727 */     GIR_EraseRootFromParent_Done,
     /*  284728 */   // Label 5343: @284728
     /*  284728 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284791), // Rule ID 8674 //
     /*  284733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284789 */     GIR_RootConstrainSelectedInstOperands,
     /*  284790 */     // GIR_Coverage, 8674,
     /*  284790 */     GIR_EraseRootFromParent_Done,
     /*  284791 */   // Label 5344: @284791
     /*  284791 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284854), // Rule ID 8675 //
     /*  284796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284852 */     GIR_RootConstrainSelectedInstOperands,
     /*  284853 */     // GIR_Coverage, 8675,
     /*  284853 */     GIR_EraseRootFromParent_Done,
     /*  284854 */   // Label 5345: @284854
     /*  284854 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284917), // Rule ID 8678 //
     /*  284859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  284901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284915 */     GIR_RootConstrainSelectedInstOperands,
     /*  284916 */     // GIR_Coverage, 8678,
     /*  284916 */     GIR_EraseRootFromParent_Done,
     /*  284917 */   // Label 5346: @284917
     /*  284917 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284980), // Rule ID 8679 //
     /*  284922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  284964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284978 */     GIR_RootConstrainSelectedInstOperands,
     /*  284979 */     // GIR_Coverage, 8679,
     /*  284979 */     GIR_EraseRootFromParent_Done,
     /*  284980 */   // Label 5347: @284980
     /*  284980 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(285043), // Rule ID 8682 //
     /*  284985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285041 */     GIR_RootConstrainSelectedInstOperands,
     /*  285042 */     // GIR_Coverage, 8682,
     /*  285042 */     GIR_EraseRootFromParent_Done,
     /*  285043 */   // Label 5348: @285043
     /*  285043 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(285106), // Rule ID 8683 //
     /*  285048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285104 */     GIR_RootConstrainSelectedInstOperands,
     /*  285105 */     // GIR_Coverage, 8683,
     /*  285105 */     GIR_EraseRootFromParent_Done,
     /*  285106 */   // Label 5349: @285106
     /*  285106 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(285169), // Rule ID 8686 //
     /*  285111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285167 */     GIR_RootConstrainSelectedInstOperands,
     /*  285168 */     // GIR_Coverage, 8686,
     /*  285168 */     GIR_EraseRootFromParent_Done,
     /*  285169 */   // Label 5350: @285169
     /*  285169 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(285232), // Rule ID 8687 //
     /*  285174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285230 */     GIR_RootConstrainSelectedInstOperands,
     /*  285231 */     // GIR_Coverage, 8687,
     /*  285231 */     GIR_EraseRootFromParent_Done,
     /*  285232 */   // Label 5351: @285232
     /*  285232 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(285295), // Rule ID 8690 //
     /*  285237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285293 */     GIR_RootConstrainSelectedInstOperands,
     /*  285294 */     // GIR_Coverage, 8690,
     /*  285294 */     GIR_EraseRootFromParent_Done,
     /*  285295 */   // Label 5352: @285295
     /*  285295 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(285358), // Rule ID 8691 //
     /*  285300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285356 */     GIR_RootConstrainSelectedInstOperands,
     /*  285357 */     // GIR_Coverage, 8691,
     /*  285357 */     GIR_EraseRootFromParent_Done,
     /*  285358 */   // Label 5353: @285358
     /*  285358 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285421), // Rule ID 8694 //
     /*  285363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285419 */     GIR_RootConstrainSelectedInstOperands,
     /*  285420 */     // GIR_Coverage, 8694,
     /*  285420 */     GIR_EraseRootFromParent_Done,
     /*  285421 */   // Label 5354: @285421
     /*  285421 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285484), // Rule ID 8695 //
     /*  285426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285482 */     GIR_RootConstrainSelectedInstOperands,
     /*  285483 */     // GIR_Coverage, 8695,
     /*  285483 */     GIR_EraseRootFromParent_Done,
     /*  285484 */   // Label 5355: @285484
     /*  285484 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285547), // Rule ID 8698 //
     /*  285489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285545 */     GIR_RootConstrainSelectedInstOperands,
     /*  285546 */     // GIR_Coverage, 8698,
     /*  285546 */     GIR_EraseRootFromParent_Done,
     /*  285547 */   // Label 5356: @285547
     /*  285547 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285610), // Rule ID 8699 //
     /*  285552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285608 */     GIR_RootConstrainSelectedInstOperands,
     /*  285609 */     // GIR_Coverage, 8699,
     /*  285609 */     GIR_EraseRootFromParent_Done,
     /*  285610 */   // Label 5357: @285610
     /*  285610 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285673), // Rule ID 8702 //
     /*  285615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285671 */     GIR_RootConstrainSelectedInstOperands,
     /*  285672 */     // GIR_Coverage, 8702,
     /*  285672 */     GIR_EraseRootFromParent_Done,
     /*  285673 */   // Label 5358: @285673
     /*  285673 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285736), // Rule ID 8703 //
     /*  285678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285734 */     GIR_RootConstrainSelectedInstOperands,
     /*  285735 */     // GIR_Coverage, 8703,
     /*  285735 */     GIR_EraseRootFromParent_Done,
     /*  285736 */   // Label 5359: @285736
     /*  285736 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285799), // Rule ID 8706 //
     /*  285741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285797 */     GIR_RootConstrainSelectedInstOperands,
     /*  285798 */     // GIR_Coverage, 8706,
     /*  285798 */     GIR_EraseRootFromParent_Done,
     /*  285799 */   // Label 5360: @285799
     /*  285799 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285862), // Rule ID 8707 //
     /*  285804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285860 */     GIR_RootConstrainSelectedInstOperands,
     /*  285861 */     // GIR_Coverage, 8707,
     /*  285861 */     GIR_EraseRootFromParent_Done,
     /*  285862 */   // Label 5361: @285862
     /*  285862 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285925), // Rule ID 8710 //
     /*  285867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  285909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285923 */     GIR_RootConstrainSelectedInstOperands,
     /*  285924 */     // GIR_Coverage, 8710,
     /*  285924 */     GIR_EraseRootFromParent_Done,
     /*  285925 */   // Label 5362: @285925
     /*  285925 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285988), // Rule ID 8711 //
     /*  285930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  285972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285986 */     GIR_RootConstrainSelectedInstOperands,
     /*  285987 */     // GIR_Coverage, 8711,
     /*  285987 */     GIR_EraseRootFromParent_Done,
     /*  285988 */   // Label 5363: @285988
     /*  285988 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(286051), // Rule ID 8714 //
     /*  285993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286049 */     GIR_RootConstrainSelectedInstOperands,
     /*  286050 */     // GIR_Coverage, 8714,
     /*  286050 */     GIR_EraseRootFromParent_Done,
     /*  286051 */   // Label 5364: @286051
     /*  286051 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(286114), // Rule ID 8715 //
     /*  286056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286095 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286112 */     GIR_RootConstrainSelectedInstOperands,
     /*  286113 */     // GIR_Coverage, 8715,
     /*  286113 */     GIR_EraseRootFromParent_Done,
     /*  286114 */   // Label 5365: @286114
     /*  286114 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(286177), // Rule ID 8718 //
     /*  286119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286158 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286175 */     GIR_RootConstrainSelectedInstOperands,
     /*  286176 */     // GIR_Coverage, 8718,
     /*  286176 */     GIR_EraseRootFromParent_Done,
     /*  286177 */   // Label 5366: @286177
     /*  286177 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(286240), // Rule ID 8719 //
     /*  286182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286221 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286238 */     GIR_RootConstrainSelectedInstOperands,
     /*  286239 */     // GIR_Coverage, 8719,
     /*  286239 */     GIR_EraseRootFromParent_Done,
     /*  286240 */   // Label 5367: @286240
     /*  286240 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(286303), // Rule ID 8722 //
     /*  286245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286301 */     GIR_RootConstrainSelectedInstOperands,
     /*  286302 */     // GIR_Coverage, 8722,
     /*  286302 */     GIR_EraseRootFromParent_Done,
     /*  286303 */   // Label 5368: @286303
     /*  286303 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(286366), // Rule ID 8723 //
     /*  286308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286364 */     GIR_RootConstrainSelectedInstOperands,
     /*  286365 */     // GIR_Coverage, 8723,
     /*  286365 */     GIR_EraseRootFromParent_Done,
     /*  286366 */   // Label 5369: @286366
     /*  286366 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286429), // Rule ID 8726 //
     /*  286371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286427 */     GIR_RootConstrainSelectedInstOperands,
     /*  286428 */     // GIR_Coverage, 8726,
     /*  286428 */     GIR_EraseRootFromParent_Done,
     /*  286429 */   // Label 5370: @286429
     /*  286429 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286492), // Rule ID 8727 //
     /*  286434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286473 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286490 */     GIR_RootConstrainSelectedInstOperands,
     /*  286491 */     // GIR_Coverage, 8727,
     /*  286491 */     GIR_EraseRootFromParent_Done,
     /*  286492 */   // Label 5371: @286492
     /*  286492 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286555), // Rule ID 8730 //
     /*  286497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286536 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286553 */     GIR_RootConstrainSelectedInstOperands,
     /*  286554 */     // GIR_Coverage, 8730,
     /*  286554 */     GIR_EraseRootFromParent_Done,
     /*  286555 */   // Label 5372: @286555
     /*  286555 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286618), // Rule ID 8731 //
     /*  286560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286599 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286616 */     GIR_RootConstrainSelectedInstOperands,
     /*  286617 */     // GIR_Coverage, 8731,
     /*  286617 */     GIR_EraseRootFromParent_Done,
     /*  286618 */   // Label 5373: @286618
     /*  286618 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286681), // Rule ID 8734 //
     /*  286623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286679 */     GIR_RootConstrainSelectedInstOperands,
     /*  286680 */     // GIR_Coverage, 8734,
     /*  286680 */     GIR_EraseRootFromParent_Done,
     /*  286681 */   // Label 5374: @286681
     /*  286681 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286744), // Rule ID 8735 //
     /*  286686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286742 */     GIR_RootConstrainSelectedInstOperands,
     /*  286743 */     // GIR_Coverage, 8735,
     /*  286743 */     GIR_EraseRootFromParent_Done,
     /*  286744 */   // Label 5375: @286744
     /*  286744 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286807), // Rule ID 8738 //
     /*  286749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286805 */     GIR_RootConstrainSelectedInstOperands,
     /*  286806 */     // GIR_Coverage, 8738,
     /*  286806 */     GIR_EraseRootFromParent_Done,
     /*  286807 */   // Label 5376: @286807
     /*  286807 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286870), // Rule ID 8739 //
     /*  286812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286868 */     GIR_RootConstrainSelectedInstOperands,
     /*  286869 */     // GIR_Coverage, 8739,
     /*  286869 */     GIR_EraseRootFromParent_Done,
     /*  286870 */   // Label 5377: @286870
     /*  286870 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286933), // Rule ID 8742 //
     /*  286875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286931 */     GIR_RootConstrainSelectedInstOperands,
     /*  286932 */     // GIR_Coverage, 8742,
     /*  286932 */     GIR_EraseRootFromParent_Done,
     /*  286933 */   // Label 5378: @286933
     /*  286933 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286996), // Rule ID 8743 //
     /*  286938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286977 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286994 */     GIR_RootConstrainSelectedInstOperands,
     /*  286995 */     // GIR_Coverage, 8743,
     /*  286995 */     GIR_EraseRootFromParent_Done,
     /*  286996 */   // Label 5379: @286996
     /*  286996 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(287059), // Rule ID 8746 //
     /*  287001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287057 */     GIR_RootConstrainSelectedInstOperands,
     /*  287058 */     // GIR_Coverage, 8746,
     /*  287058 */     GIR_EraseRootFromParent_Done,
     /*  287059 */   // Label 5380: @287059
     /*  287059 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(287122), // Rule ID 8747 //
     /*  287064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287103 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287120 */     GIR_RootConstrainSelectedInstOperands,
     /*  287121 */     // GIR_Coverage, 8747,
     /*  287121 */     GIR_EraseRootFromParent_Done,
     /*  287122 */   // Label 5381: @287122
     /*  287122 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(287185), // Rule ID 8750 //
     /*  287127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287183 */     GIR_RootConstrainSelectedInstOperands,
     /*  287184 */     // GIR_Coverage, 8750,
     /*  287184 */     GIR_EraseRootFromParent_Done,
     /*  287185 */   // Label 5382: @287185
     /*  287185 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(287248), // Rule ID 8751 //
     /*  287190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287246 */     GIR_RootConstrainSelectedInstOperands,
     /*  287247 */     // GIR_Coverage, 8751,
     /*  287247 */     GIR_EraseRootFromParent_Done,
     /*  287248 */   // Label 5383: @287248
     /*  287248 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(287311), // Rule ID 8754 //
     /*  287253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287309 */     GIR_RootConstrainSelectedInstOperands,
     /*  287310 */     // GIR_Coverage, 8754,
     /*  287310 */     GIR_EraseRootFromParent_Done,
     /*  287311 */   // Label 5384: @287311
     /*  287311 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(287374), // Rule ID 8755 //
     /*  287316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287355 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287372 */     GIR_RootConstrainSelectedInstOperands,
     /*  287373 */     // GIR_Coverage, 8755,
     /*  287373 */     GIR_EraseRootFromParent_Done,
     /*  287374 */   // Label 5385: @287374
     /*  287374 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287437), // Rule ID 8758 //
     /*  287379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287435 */     GIR_RootConstrainSelectedInstOperands,
     /*  287436 */     // GIR_Coverage, 8758,
     /*  287436 */     GIR_EraseRootFromParent_Done,
     /*  287437 */   // Label 5386: @287437
     /*  287437 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287500), // Rule ID 8759 //
     /*  287442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287498 */     GIR_RootConstrainSelectedInstOperands,
     /*  287499 */     // GIR_Coverage, 8759,
     /*  287499 */     GIR_EraseRootFromParent_Done,
     /*  287500 */   // Label 5387: @287500
     /*  287500 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287563), // Rule ID 8762 //
     /*  287505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287561 */     GIR_RootConstrainSelectedInstOperands,
     /*  287562 */     // GIR_Coverage, 8762,
     /*  287562 */     GIR_EraseRootFromParent_Done,
     /*  287563 */   // Label 5388: @287563
     /*  287563 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287626), // Rule ID 8763 //
     /*  287568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287607 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287624 */     GIR_RootConstrainSelectedInstOperands,
     /*  287625 */     // GIR_Coverage, 8763,
     /*  287625 */     GIR_EraseRootFromParent_Done,
     /*  287626 */   // Label 5389: @287626
     /*  287626 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287689), // Rule ID 8766 //
     /*  287631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287687 */     GIR_RootConstrainSelectedInstOperands,
     /*  287688 */     // GIR_Coverage, 8766,
     /*  287688 */     GIR_EraseRootFromParent_Done,
     /*  287689 */   // Label 5390: @287689
     /*  287689 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287752), // Rule ID 8767 //
     /*  287694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287750 */     GIR_RootConstrainSelectedInstOperands,
     /*  287751 */     // GIR_Coverage, 8767,
     /*  287751 */     GIR_EraseRootFromParent_Done,
     /*  287752 */   // Label 5391: @287752
     /*  287752 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287815), // Rule ID 8770 //
     /*  287757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287813 */     GIR_RootConstrainSelectedInstOperands,
     /*  287814 */     // GIR_Coverage, 8770,
     /*  287814 */     GIR_EraseRootFromParent_Done,
     /*  287815 */   // Label 5392: @287815
     /*  287815 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287878), // Rule ID 8771 //
     /*  287820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287876 */     GIR_RootConstrainSelectedInstOperands,
     /*  287877 */     // GIR_Coverage, 8771,
     /*  287877 */     GIR_EraseRootFromParent_Done,
     /*  287878 */   // Label 5393: @287878
     /*  287878 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287941), // Rule ID 8774 //
     /*  287883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287939 */     GIR_RootConstrainSelectedInstOperands,
     /*  287940 */     // GIR_Coverage, 8774,
     /*  287940 */     GIR_EraseRootFromParent_Done,
     /*  287941 */   // Label 5394: @287941
     /*  287941 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(288004), // Rule ID 8775 //
     /*  287946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288002 */     GIR_RootConstrainSelectedInstOperands,
     /*  288003 */     // GIR_Coverage, 8775,
     /*  288003 */     GIR_EraseRootFromParent_Done,
     /*  288004 */   // Label 5395: @288004
     /*  288004 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(288067), // Rule ID 8778 //
     /*  288009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288065 */     GIR_RootConstrainSelectedInstOperands,
     /*  288066 */     // GIR_Coverage, 8778,
     /*  288066 */     GIR_EraseRootFromParent_Done,
     /*  288067 */   // Label 5396: @288067
     /*  288067 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(288130), // Rule ID 8779 //
     /*  288072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288128 */     GIR_RootConstrainSelectedInstOperands,
     /*  288129 */     // GIR_Coverage, 8779,
     /*  288129 */     GIR_EraseRootFromParent_Done,
     /*  288130 */   // Label 5397: @288130
     /*  288130 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(288193), // Rule ID 8782 //
     /*  288135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288191 */     GIR_RootConstrainSelectedInstOperands,
     /*  288192 */     // GIR_Coverage, 8782,
     /*  288192 */     GIR_EraseRootFromParent_Done,
     /*  288193 */   // Label 5398: @288193
     /*  288193 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(288256), // Rule ID 8783 //
     /*  288198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288254 */     GIR_RootConstrainSelectedInstOperands,
     /*  288255 */     // GIR_Coverage, 8783,
     /*  288255 */     GIR_EraseRootFromParent_Done,
     /*  288256 */   // Label 5399: @288256
     /*  288256 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(288319), // Rule ID 8786 //
     /*  288261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288317 */     GIR_RootConstrainSelectedInstOperands,
     /*  288318 */     // GIR_Coverage, 8786,
     /*  288318 */     GIR_EraseRootFromParent_Done,
     /*  288319 */   // Label 5400: @288319
     /*  288319 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(288382), // Rule ID 8787 //
     /*  288324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288380 */     GIR_RootConstrainSelectedInstOperands,
     /*  288381 */     // GIR_Coverage, 8787,
     /*  288381 */     GIR_EraseRootFromParent_Done,
     /*  288382 */   // Label 5401: @288382
     /*  288382 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288445), // Rule ID 8790 //
     /*  288387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288443 */     GIR_RootConstrainSelectedInstOperands,
     /*  288444 */     // GIR_Coverage, 8790,
     /*  288444 */     GIR_EraseRootFromParent_Done,
     /*  288445 */   // Label 5402: @288445
     /*  288445 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288508), // Rule ID 8791 //
     /*  288450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288506 */     GIR_RootConstrainSelectedInstOperands,
     /*  288507 */     // GIR_Coverage, 8791,
     /*  288507 */     GIR_EraseRootFromParent_Done,
     /*  288508 */   // Label 5403: @288508
     /*  288508 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288571), // Rule ID 8794 //
     /*  288513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288569 */     GIR_RootConstrainSelectedInstOperands,
     /*  288570 */     // GIR_Coverage, 8794,
     /*  288570 */     GIR_EraseRootFromParent_Done,
     /*  288571 */   // Label 5404: @288571
     /*  288571 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288634), // Rule ID 8795 //
     /*  288576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288615 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288632 */     GIR_RootConstrainSelectedInstOperands,
     /*  288633 */     // GIR_Coverage, 8795,
     /*  288633 */     GIR_EraseRootFromParent_Done,
     /*  288634 */   // Label 5405: @288634
     /*  288634 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288697), // Rule ID 8798 //
     /*  288639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288695 */     GIR_RootConstrainSelectedInstOperands,
     /*  288696 */     // GIR_Coverage, 8798,
     /*  288696 */     GIR_EraseRootFromParent_Done,
     /*  288697 */   // Label 5406: @288697
     /*  288697 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288760), // Rule ID 8799 //
     /*  288702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288758 */     GIR_RootConstrainSelectedInstOperands,
     /*  288759 */     // GIR_Coverage, 8799,
     /*  288759 */     GIR_EraseRootFromParent_Done,
     /*  288760 */   // Label 5407: @288760
     /*  288760 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288823), // Rule ID 8802 //
     /*  288765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  288807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288821 */     GIR_RootConstrainSelectedInstOperands,
     /*  288822 */     // GIR_Coverage, 8802,
     /*  288822 */     GIR_EraseRootFromParent_Done,
     /*  288823 */   // Label 5408: @288823
     /*  288823 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288886), // Rule ID 8803 //
     /*  288828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  288870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288884 */     GIR_RootConstrainSelectedInstOperands,
     /*  288885 */     // GIR_Coverage, 8803,
     /*  288885 */     GIR_EraseRootFromParent_Done,
     /*  288886 */   // Label 5409: @288886
     /*  288886 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288949), // Rule ID 8806 //
     /*  288891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288930 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  288933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288947 */     GIR_RootConstrainSelectedInstOperands,
     /*  288948 */     // GIR_Coverage, 8806,
     /*  288948 */     GIR_EraseRootFromParent_Done,
     /*  288949 */   // Label 5410: @288949
     /*  288949 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(289012), // Rule ID 8807 //
     /*  288954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  288996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289010 */     GIR_RootConstrainSelectedInstOperands,
     /*  289011 */     // GIR_Coverage, 8807,
     /*  289011 */     GIR_EraseRootFromParent_Done,
     /*  289012 */   // Label 5411: @289012
     /*  289012 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(289075), // Rule ID 8810 //
     /*  289017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289073 */     GIR_RootConstrainSelectedInstOperands,
     /*  289074 */     // GIR_Coverage, 8810,
     /*  289074 */     GIR_EraseRootFromParent_Done,
     /*  289075 */   // Label 5412: @289075
     /*  289075 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(289138), // Rule ID 8811 //
     /*  289080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289136 */     GIR_RootConstrainSelectedInstOperands,
     /*  289137 */     // GIR_Coverage, 8811,
     /*  289137 */     GIR_EraseRootFromParent_Done,
     /*  289138 */   // Label 5413: @289138
     /*  289138 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(289201), // Rule ID 8814 //
     /*  289143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289199 */     GIR_RootConstrainSelectedInstOperands,
     /*  289200 */     // GIR_Coverage, 8814,
     /*  289200 */     GIR_EraseRootFromParent_Done,
     /*  289201 */   // Label 5414: @289201
     /*  289201 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(289264), // Rule ID 8815 //
     /*  289206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289262 */     GIR_RootConstrainSelectedInstOperands,
     /*  289263 */     // GIR_Coverage, 8815,
     /*  289263 */     GIR_EraseRootFromParent_Done,
     /*  289264 */   // Label 5415: @289264
     /*  289264 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(289327), // Rule ID 8818 //
     /*  289269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289325 */     GIR_RootConstrainSelectedInstOperands,
     /*  289326 */     // GIR_Coverage, 8818,
     /*  289326 */     GIR_EraseRootFromParent_Done,
     /*  289327 */   // Label 5416: @289327
     /*  289327 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(289390), // Rule ID 8819 //
     /*  289332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289371 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289388 */     GIR_RootConstrainSelectedInstOperands,
     /*  289389 */     // GIR_Coverage, 8819,
     /*  289389 */     GIR_EraseRootFromParent_Done,
     /*  289390 */   // Label 5417: @289390
     /*  289390 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289453), // Rule ID 8822 //
     /*  289395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289451 */     GIR_RootConstrainSelectedInstOperands,
     /*  289452 */     // GIR_Coverage, 8822,
     /*  289452 */     GIR_EraseRootFromParent_Done,
     /*  289453 */   // Label 5418: @289453
     /*  289453 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289516), // Rule ID 8823 //
     /*  289458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289514 */     GIR_RootConstrainSelectedInstOperands,
     /*  289515 */     // GIR_Coverage, 8823,
     /*  289515 */     GIR_EraseRootFromParent_Done,
     /*  289516 */   // Label 5419: @289516
     /*  289516 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289579), // Rule ID 8826 //
     /*  289521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289577 */     GIR_RootConstrainSelectedInstOperands,
     /*  289578 */     // GIR_Coverage, 8826,
     /*  289578 */     GIR_EraseRootFromParent_Done,
     /*  289579 */   // Label 5420: @289579
     /*  289579 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289642), // Rule ID 8827 //
     /*  289584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289640 */     GIR_RootConstrainSelectedInstOperands,
     /*  289641 */     // GIR_Coverage, 8827,
     /*  289641 */     GIR_EraseRootFromParent_Done,
     /*  289642 */   // Label 5421: @289642
     /*  289642 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289705), // Rule ID 8830 //
     /*  289647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289703 */     GIR_RootConstrainSelectedInstOperands,
     /*  289704 */     // GIR_Coverage, 8830,
     /*  289704 */     GIR_EraseRootFromParent_Done,
     /*  289705 */   // Label 5422: @289705
     /*  289705 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289768), // Rule ID 8831 //
     /*  289710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289766 */     GIR_RootConstrainSelectedInstOperands,
     /*  289767 */     // GIR_Coverage, 8831,
     /*  289767 */     GIR_EraseRootFromParent_Done,
     /*  289768 */   // Label 5423: @289768
     /*  289768 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289831), // Rule ID 8834 //
     /*  289773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289829 */     GIR_RootConstrainSelectedInstOperands,
     /*  289830 */     // GIR_Coverage, 8834,
     /*  289830 */     GIR_EraseRootFromParent_Done,
     /*  289831 */   // Label 5424: @289831
     /*  289831 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289894), // Rule ID 8835 //
     /*  289836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289892 */     GIR_RootConstrainSelectedInstOperands,
     /*  289893 */     // GIR_Coverage, 8835,
     /*  289893 */     GIR_EraseRootFromParent_Done,
     /*  289894 */   // Label 5425: @289894
     /*  289894 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289957), // Rule ID 8838 //
     /*  289899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289955 */     GIR_RootConstrainSelectedInstOperands,
     /*  289956 */     // GIR_Coverage, 8838,
     /*  289956 */     GIR_EraseRootFromParent_Done,
     /*  289957 */   // Label 5426: @289957
     /*  289957 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(290020), // Rule ID 8839 //
     /*  289962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  290004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290018 */     GIR_RootConstrainSelectedInstOperands,
     /*  290019 */     // GIR_Coverage, 8839,
     /*  290019 */     GIR_EraseRootFromParent_Done,
     /*  290020 */   // Label 5427: @290020
     /*  290020 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(290083), // Rule ID 8842 //
     /*  290025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290081 */     GIR_RootConstrainSelectedInstOperands,
     /*  290082 */     // GIR_Coverage, 8842,
     /*  290082 */     GIR_EraseRootFromParent_Done,
     /*  290083 */   // Label 5428: @290083
     /*  290083 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(290146), // Rule ID 8843 //
     /*  290088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290144 */     GIR_RootConstrainSelectedInstOperands,
     /*  290145 */     // GIR_Coverage, 8843,
     /*  290145 */     GIR_EraseRootFromParent_Done,
     /*  290146 */   // Label 5429: @290146
     /*  290146 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(290209), // Rule ID 8934 //
     /*  290151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  290168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  290193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290207 */     GIR_RootConstrainSelectedInstOperands,
     /*  290208 */     // GIR_Coverage, 8934,
     /*  290208 */     GIR_EraseRootFromParent_Done,
     /*  290209 */   // Label 5430: @290209
     /*  290209 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(290272), // Rule ID 8935 //
     /*  290214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  290231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  290256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290270 */     GIR_RootConstrainSelectedInstOperands,
     /*  290271 */     // GIR_Coverage, 8935,
     /*  290271 */     GIR_EraseRootFromParent_Done,
     /*  290272 */   // Label 5431: @290272
     /*  290272 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(290335), // Rule ID 8938 //
     /*  290277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290333 */     GIR_RootConstrainSelectedInstOperands,
     /*  290334 */     // GIR_Coverage, 8938,
     /*  290334 */     GIR_EraseRootFromParent_Done,
     /*  290335 */   // Label 5432: @290335
     /*  290335 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(290398), // Rule ID 8939 //
     /*  290340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290396 */     GIR_RootConstrainSelectedInstOperands,
     /*  290397 */     // GIR_Coverage, 8939,
     /*  290397 */     GIR_EraseRootFromParent_Done,
     /*  290398 */   // Label 5433: @290398
     /*  290398 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290461), // Rule ID 8942 //
     /*  290403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290459 */     GIR_RootConstrainSelectedInstOperands,
     /*  290460 */     // GIR_Coverage, 8942,
     /*  290460 */     GIR_EraseRootFromParent_Done,
     /*  290461 */   // Label 5434: @290461
     /*  290461 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290524), // Rule ID 8943 //
     /*  290466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290522 */     GIR_RootConstrainSelectedInstOperands,
     /*  290523 */     // GIR_Coverage, 8943,
     /*  290523 */     GIR_EraseRootFromParent_Done,
     /*  290524 */   // Label 5435: @290524
     /*  290524 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290587), // Rule ID 8946 //
     /*  290529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290585 */     GIR_RootConstrainSelectedInstOperands,
     /*  290586 */     // GIR_Coverage, 8946,
     /*  290586 */     GIR_EraseRootFromParent_Done,
     /*  290587 */   // Label 5436: @290587
     /*  290587 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290650), // Rule ID 8947 //
     /*  290592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290648 */     GIR_RootConstrainSelectedInstOperands,
     /*  290649 */     // GIR_Coverage, 8947,
     /*  290649 */     GIR_EraseRootFromParent_Done,
     /*  290650 */   // Label 5437: @290650
     /*  290650 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290713), // Rule ID 8950 //
     /*  290655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290711 */     GIR_RootConstrainSelectedInstOperands,
     /*  290712 */     // GIR_Coverage, 8950,
     /*  290712 */     GIR_EraseRootFromParent_Done,
     /*  290713 */   // Label 5438: @290713
     /*  290713 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290776), // Rule ID 8951 //
     /*  290718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290774 */     GIR_RootConstrainSelectedInstOperands,
     /*  290775 */     // GIR_Coverage, 8951,
     /*  290775 */     GIR_EraseRootFromParent_Done,
     /*  290776 */   // Label 5439: @290776
     /*  290776 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290839), // Rule ID 8954 //
     /*  290781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  290798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290837 */     GIR_RootConstrainSelectedInstOperands,
     /*  290838 */     // GIR_Coverage, 8954,
     /*  290838 */     GIR_EraseRootFromParent_Done,
     /*  290839 */   // Label 5440: @290839
     /*  290839 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290902), // Rule ID 8955 //
     /*  290844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  290861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290900 */     GIR_RootConstrainSelectedInstOperands,
     /*  290901 */     // GIR_Coverage, 8955,
     /*  290901 */     GIR_EraseRootFromParent_Done,
     /*  290902 */   // Label 5441: @290902
     /*  290902 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290965), // Rule ID 8958 //
     /*  290907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  290924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290963 */     GIR_RootConstrainSelectedInstOperands,
     /*  290964 */     // GIR_Coverage, 8958,
     /*  290964 */     GIR_EraseRootFromParent_Done,
     /*  290965 */   // Label 5442: @290965
     /*  290965 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(291028), // Rule ID 8959 //
     /*  290970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  290987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291026 */     GIR_RootConstrainSelectedInstOperands,
     /*  291027 */     // GIR_Coverage, 8959,
     /*  291027 */     GIR_EraseRootFromParent_Done,
     /*  291028 */   // Label 5443: @291028
     /*  291028 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(291091), // Rule ID 8962 //
     /*  291033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291089 */     GIR_RootConstrainSelectedInstOperands,
     /*  291090 */     // GIR_Coverage, 8962,
     /*  291090 */     GIR_EraseRootFromParent_Done,
     /*  291091 */   // Label 5444: @291091
     /*  291091 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(291154), // Rule ID 8963 //
     /*  291096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291152 */     GIR_RootConstrainSelectedInstOperands,
     /*  291153 */     // GIR_Coverage, 8963,
     /*  291153 */     GIR_EraseRootFromParent_Done,
     /*  291154 */   // Label 5445: @291154
     /*  291154 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(291217), // Rule ID 8966 //
     /*  291159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291215 */     GIR_RootConstrainSelectedInstOperands,
     /*  291216 */     // GIR_Coverage, 8966,
     /*  291216 */     GIR_EraseRootFromParent_Done,
     /*  291217 */   // Label 5446: @291217
     /*  291217 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(291280), // Rule ID 8967 //
     /*  291222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291261 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291278 */     GIR_RootConstrainSelectedInstOperands,
     /*  291279 */     // GIR_Coverage, 8967,
     /*  291279 */     GIR_EraseRootFromParent_Done,
     /*  291280 */   // Label 5447: @291280
     /*  291280 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(291343), // Rule ID 8970 //
     /*  291285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291341 */     GIR_RootConstrainSelectedInstOperands,
     /*  291342 */     // GIR_Coverage, 8970,
     /*  291342 */     GIR_EraseRootFromParent_Done,
     /*  291343 */   // Label 5448: @291343
     /*  291343 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291406), // Rule ID 8971 //
     /*  291348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291404 */     GIR_RootConstrainSelectedInstOperands,
     /*  291405 */     // GIR_Coverage, 8971,
     /*  291405 */     GIR_EraseRootFromParent_Done,
     /*  291406 */   // Label 5449: @291406
     /*  291406 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291469), // Rule ID 8974 //
     /*  291411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291467 */     GIR_RootConstrainSelectedInstOperands,
     /*  291468 */     // GIR_Coverage, 8974,
     /*  291468 */     GIR_EraseRootFromParent_Done,
     /*  291469 */   // Label 5450: @291469
     /*  291469 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291532), // Rule ID 8975 //
     /*  291474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291530 */     GIR_RootConstrainSelectedInstOperands,
     /*  291531 */     // GIR_Coverage, 8975,
     /*  291531 */     GIR_EraseRootFromParent_Done,
     /*  291532 */   // Label 5451: @291532
     /*  291532 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291595), // Rule ID 8978 //
     /*  291537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291593 */     GIR_RootConstrainSelectedInstOperands,
     /*  291594 */     // GIR_Coverage, 8978,
     /*  291594 */     GIR_EraseRootFromParent_Done,
     /*  291595 */   // Label 5452: @291595
     /*  291595 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291658), // Rule ID 8979 //
     /*  291600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291639 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291656 */     GIR_RootConstrainSelectedInstOperands,
     /*  291657 */     // GIR_Coverage, 8979,
     /*  291657 */     GIR_EraseRootFromParent_Done,
     /*  291658 */   // Label 5453: @291658
     /*  291658 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291721), // Rule ID 8982 //
     /*  291663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  291680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291702 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291719 */     GIR_RootConstrainSelectedInstOperands,
     /*  291720 */     // GIR_Coverage, 8982,
     /*  291720 */     GIR_EraseRootFromParent_Done,
     /*  291721 */   // Label 5454: @291721
     /*  291721 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291784), // Rule ID 8983 //
     /*  291726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  291743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291765 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291782 */     GIR_RootConstrainSelectedInstOperands,
     /*  291783 */     // GIR_Coverage, 8983,
     /*  291783 */     GIR_EraseRootFromParent_Done,
     /*  291784 */   // Label 5455: @291784
     /*  291784 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291847), // Rule ID 8986 //
     /*  291789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  291806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291845 */     GIR_RootConstrainSelectedInstOperands,
     /*  291846 */     // GIR_Coverage, 8986,
     /*  291846 */     GIR_EraseRootFromParent_Done,
     /*  291847 */   // Label 5456: @291847
     /*  291847 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291910), // Rule ID 8987 //
     /*  291852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  291869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291908 */     GIR_RootConstrainSelectedInstOperands,
     /*  291909 */     // GIR_Coverage, 8987,
     /*  291909 */     GIR_EraseRootFromParent_Done,
     /*  291910 */   // Label 5457: @291910
     /*  291910 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291973), // Rule ID 8990 //
     /*  291915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  291932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291971 */     GIR_RootConstrainSelectedInstOperands,
     /*  291972 */     // GIR_Coverage, 8990,
     /*  291972 */     GIR_EraseRootFromParent_Done,
     /*  291973 */   // Label 5458: @291973
     /*  291973 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(292036), // Rule ID 8991 //
     /*  291978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  291995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292034 */     GIR_RootConstrainSelectedInstOperands,
     /*  292035 */     // GIR_Coverage, 8991,
     /*  292035 */     GIR_EraseRootFromParent_Done,
     /*  292036 */   // Label 5459: @292036
     /*  292036 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(292099), // Rule ID 8994 //
     /*  292041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292097 */     GIR_RootConstrainSelectedInstOperands,
     /*  292098 */     // GIR_Coverage, 8994,
     /*  292098 */     GIR_EraseRootFromParent_Done,
     /*  292099 */   // Label 5460: @292099
     /*  292099 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(292162), // Rule ID 8995 //
     /*  292104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292143 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292160 */     GIR_RootConstrainSelectedInstOperands,
     /*  292161 */     // GIR_Coverage, 8995,
     /*  292161 */     GIR_EraseRootFromParent_Done,
     /*  292162 */   // Label 5461: @292162
     /*  292162 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(292225), // Rule ID 8998 //
     /*  292167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292223 */     GIR_RootConstrainSelectedInstOperands,
     /*  292224 */     // GIR_Coverage, 8998,
     /*  292224 */     GIR_EraseRootFromParent_Done,
     /*  292225 */   // Label 5462: @292225
     /*  292225 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(292288), // Rule ID 8999 //
     /*  292230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292286 */     GIR_RootConstrainSelectedInstOperands,
     /*  292287 */     // GIR_Coverage, 8999,
     /*  292287 */     GIR_EraseRootFromParent_Done,
     /*  292288 */   // Label 5463: @292288
     /*  292288 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(292351), // Rule ID 9002 //
     /*  292293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292349 */     GIR_RootConstrainSelectedInstOperands,
     /*  292350 */     // GIR_Coverage, 9002,
     /*  292350 */     GIR_EraseRootFromParent_Done,
     /*  292351 */   // Label 5464: @292351
     /*  292351 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292414), // Rule ID 9003 //
     /*  292356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292412 */     GIR_RootConstrainSelectedInstOperands,
     /*  292413 */     // GIR_Coverage, 9003,
     /*  292413 */     GIR_EraseRootFromParent_Done,
     /*  292414 */   // Label 5465: @292414
     /*  292414 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292477), // Rule ID 9006 //
     /*  292419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292475 */     GIR_RootConstrainSelectedInstOperands,
     /*  292476 */     // GIR_Coverage, 9006,
     /*  292476 */     GIR_EraseRootFromParent_Done,
     /*  292477 */   // Label 5466: @292477
     /*  292477 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292540), // Rule ID 9007 //
     /*  292482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292538 */     GIR_RootConstrainSelectedInstOperands,
     /*  292539 */     // GIR_Coverage, 9007,
     /*  292539 */     GIR_EraseRootFromParent_Done,
     /*  292540 */   // Label 5467: @292540
     /*  292540 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292603), // Rule ID 9010 //
     /*  292545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292601 */     GIR_RootConstrainSelectedInstOperands,
     /*  292602 */     // GIR_Coverage, 9010,
     /*  292602 */     GIR_EraseRootFromParent_Done,
     /*  292603 */   // Label 5468: @292603
     /*  292603 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292666), // Rule ID 9011 //
     /*  292608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292664 */     GIR_RootConstrainSelectedInstOperands,
     /*  292665 */     // GIR_Coverage, 9011,
     /*  292665 */     GIR_EraseRootFromParent_Done,
     /*  292666 */   // Label 5469: @292666
     /*  292666 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292729), // Rule ID 9014 //
     /*  292671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  292688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292727 */     GIR_RootConstrainSelectedInstOperands,
     /*  292728 */     // GIR_Coverage, 9014,
     /*  292728 */     GIR_EraseRootFromParent_Done,
     /*  292729 */   // Label 5470: @292729
     /*  292729 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292792), // Rule ID 9015 //
     /*  292734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  292751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292790 */     GIR_RootConstrainSelectedInstOperands,
     /*  292791 */     // GIR_Coverage, 9015,
     /*  292791 */     GIR_EraseRootFromParent_Done,
     /*  292792 */   // Label 5471: @292792
     /*  292792 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292855), // Rule ID 9018 //
     /*  292797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  292814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292853 */     GIR_RootConstrainSelectedInstOperands,
     /*  292854 */     // GIR_Coverage, 9018,
     /*  292854 */     GIR_EraseRootFromParent_Done,
     /*  292855 */   // Label 5472: @292855
     /*  292855 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292918), // Rule ID 9019 //
     /*  292860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  292877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292916 */     GIR_RootConstrainSelectedInstOperands,
     /*  292917 */     // GIR_Coverage, 9019,
     /*  292917 */     GIR_EraseRootFromParent_Done,
     /*  292918 */   // Label 5473: @292918
     /*  292918 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292981), // Rule ID 9022 //
     /*  292923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  292965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292979 */     GIR_RootConstrainSelectedInstOperands,
     /*  292980 */     // GIR_Coverage, 9022,
     /*  292980 */     GIR_EraseRootFromParent_Done,
     /*  292981 */   // Label 5474: @292981
     /*  292981 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(293044), // Rule ID 9023 //
     /*  292986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  293028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293042 */     GIR_RootConstrainSelectedInstOperands,
     /*  293043 */     // GIR_Coverage, 9023,
     /*  293043 */     GIR_EraseRootFromParent_Done,
     /*  293044 */   // Label 5475: @293044
     /*  293044 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(293107), // Rule ID 9026 //
     /*  293049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293105 */     GIR_RootConstrainSelectedInstOperands,
     /*  293106 */     // GIR_Coverage, 9026,
     /*  293106 */     GIR_EraseRootFromParent_Done,
     /*  293107 */   // Label 5476: @293107
     /*  293107 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(293170), // Rule ID 9027 //
     /*  293112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293151 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293168 */     GIR_RootConstrainSelectedInstOperands,
     /*  293169 */     // GIR_Coverage, 9027,
     /*  293169 */     GIR_EraseRootFromParent_Done,
     /*  293170 */   // Label 5477: @293170
     /*  293170 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(293233), // Rule ID 9030 //
     /*  293175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293231 */     GIR_RootConstrainSelectedInstOperands,
     /*  293232 */     // GIR_Coverage, 9030,
     /*  293232 */     GIR_EraseRootFromParent_Done,
     /*  293233 */   // Label 5478: @293233
     /*  293233 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(293296), // Rule ID 9031 //
     /*  293238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293294 */     GIR_RootConstrainSelectedInstOperands,
     /*  293295 */     // GIR_Coverage, 9031,
     /*  293295 */     GIR_EraseRootFromParent_Done,
     /*  293296 */   // Label 5479: @293296
     /*  293296 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(293359), // Rule ID 9034 //
     /*  293301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293357 */     GIR_RootConstrainSelectedInstOperands,
     /*  293358 */     // GIR_Coverage, 9034,
     /*  293358 */     GIR_EraseRootFromParent_Done,
     /*  293359 */   // Label 5480: @293359
     /*  293359 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293422), // Rule ID 9035 //
     /*  293364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293420 */     GIR_RootConstrainSelectedInstOperands,
     /*  293421 */     // GIR_Coverage, 9035,
     /*  293421 */     GIR_EraseRootFromParent_Done,
     /*  293422 */   // Label 5481: @293422
     /*  293422 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293485), // Rule ID 9038 //
     /*  293427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293483 */     GIR_RootConstrainSelectedInstOperands,
     /*  293484 */     // GIR_Coverage, 9038,
     /*  293484 */     GIR_EraseRootFromParent_Done,
     /*  293485 */   // Label 5482: @293485
     /*  293485 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293548), // Rule ID 9039 //
     /*  293490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293546 */     GIR_RootConstrainSelectedInstOperands,
     /*  293547 */     // GIR_Coverage, 9039,
     /*  293547 */     GIR_EraseRootFromParent_Done,
     /*  293548 */   // Label 5483: @293548
     /*  293548 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293611), // Rule ID 9042 //
     /*  293553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293609 */     GIR_RootConstrainSelectedInstOperands,
     /*  293610 */     // GIR_Coverage, 9042,
     /*  293610 */     GIR_EraseRootFromParent_Done,
     /*  293611 */   // Label 5484: @293611
     /*  293611 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293674), // Rule ID 9043 //
     /*  293616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293672 */     GIR_RootConstrainSelectedInstOperands,
     /*  293673 */     // GIR_Coverage, 9043,
     /*  293673 */     GIR_EraseRootFromParent_Done,
     /*  293674 */   // Label 5485: @293674
     /*  293674 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293737), // Rule ID 9046 //
     /*  293679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293735 */     GIR_RootConstrainSelectedInstOperands,
     /*  293736 */     // GIR_Coverage, 9046,
     /*  293736 */     GIR_EraseRootFromParent_Done,
     /*  293737 */   // Label 5486: @293737
     /*  293737 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293800), // Rule ID 9047 //
     /*  293742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293798 */     GIR_RootConstrainSelectedInstOperands,
     /*  293799 */     // GIR_Coverage, 9047,
     /*  293799 */     GIR_EraseRootFromParent_Done,
     /*  293800 */   // Label 5487: @293800
     /*  293800 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293863), // Rule ID 9050 //
     /*  293805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293861 */     GIR_RootConstrainSelectedInstOperands,
     /*  293862 */     // GIR_Coverage, 9050,
     /*  293862 */     GIR_EraseRootFromParent_Done,
     /*  293863 */   // Label 5488: @293863
     /*  293863 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293926), // Rule ID 9051 //
     /*  293868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293924 */     GIR_RootConstrainSelectedInstOperands,
     /*  293925 */     // GIR_Coverage, 9051,
     /*  293925 */     GIR_EraseRootFromParent_Done,
     /*  293926 */   // Label 5489: @293926
     /*  293926 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293989), // Rule ID 9054 //
     /*  293931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293987 */     GIR_RootConstrainSelectedInstOperands,
     /*  293988 */     // GIR_Coverage, 9054,
     /*  293988 */     GIR_EraseRootFromParent_Done,
     /*  293989 */   // Label 5490: @293989
     /*  293989 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(294052), // Rule ID 9055 //
     /*  293994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294050 */     GIR_RootConstrainSelectedInstOperands,
     /*  294051 */     // GIR_Coverage, 9055,
     /*  294051 */     GIR_EraseRootFromParent_Done,
     /*  294052 */   // Label 5491: @294052
     /*  294052 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(294115), // Rule ID 9058 //
     /*  294057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294113 */     GIR_RootConstrainSelectedInstOperands,
     /*  294114 */     // GIR_Coverage, 9058,
     /*  294114 */     GIR_EraseRootFromParent_Done,
     /*  294115 */   // Label 5492: @294115
     /*  294115 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(294178), // Rule ID 9059 //
     /*  294120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294176 */     GIR_RootConstrainSelectedInstOperands,
     /*  294177 */     // GIR_Coverage, 9059,
     /*  294177 */     GIR_EraseRootFromParent_Done,
     /*  294178 */   // Label 5493: @294178
     /*  294178 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(294241), // Rule ID 9062 //
     /*  294183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294222 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294239 */     GIR_RootConstrainSelectedInstOperands,
     /*  294240 */     // GIR_Coverage, 9062,
     /*  294240 */     GIR_EraseRootFromParent_Done,
     /*  294241 */   // Label 5494: @294241
     /*  294241 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(294304), // Rule ID 9063 //
     /*  294246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294302 */     GIR_RootConstrainSelectedInstOperands,
     /*  294303 */     // GIR_Coverage, 9063,
     /*  294303 */     GIR_EraseRootFromParent_Done,
     /*  294304 */   // Label 5495: @294304
     /*  294304 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(294367), // Rule ID 9066 //
     /*  294309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294365 */     GIR_RootConstrainSelectedInstOperands,
     /*  294366 */     // GIR_Coverage, 9066,
     /*  294366 */     GIR_EraseRootFromParent_Done,
     /*  294367 */   // Label 5496: @294367
     /*  294367 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294430), // Rule ID 9067 //
     /*  294372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294428 */     GIR_RootConstrainSelectedInstOperands,
     /*  294429 */     // GIR_Coverage, 9067,
     /*  294429 */     GIR_EraseRootFromParent_Done,
     /*  294430 */   // Label 5497: @294430
     /*  294430 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294493), // Rule ID 9070 //
     /*  294435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294474 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294491 */     GIR_RootConstrainSelectedInstOperands,
     /*  294492 */     // GIR_Coverage, 9070,
     /*  294492 */     GIR_EraseRootFromParent_Done,
     /*  294493 */   // Label 5498: @294493
     /*  294493 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294556), // Rule ID 9071 //
     /*  294498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294537 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294554 */     GIR_RootConstrainSelectedInstOperands,
     /*  294555 */     // GIR_Coverage, 9071,
     /*  294555 */     GIR_EraseRootFromParent_Done,
     /*  294556 */   // Label 5499: @294556
     /*  294556 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294619), // Rule ID 9074 //
     /*  294561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294617 */     GIR_RootConstrainSelectedInstOperands,
     /*  294618 */     // GIR_Coverage, 9074,
     /*  294618 */     GIR_EraseRootFromParent_Done,
     /*  294619 */   // Label 5500: @294619
     /*  294619 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294682), // Rule ID 9075 //
     /*  294624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294680 */     GIR_RootConstrainSelectedInstOperands,
     /*  294681 */     // GIR_Coverage, 9075,
     /*  294681 */     GIR_EraseRootFromParent_Done,
     /*  294682 */   // Label 5501: @294682
     /*  294682 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294745), // Rule ID 9078 //
     /*  294687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294743 */     GIR_RootConstrainSelectedInstOperands,
     /*  294744 */     // GIR_Coverage, 9078,
     /*  294744 */     GIR_EraseRootFromParent_Done,
     /*  294745 */   // Label 5502: @294745
     /*  294745 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294808), // Rule ID 9079 //
     /*  294750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294806 */     GIR_RootConstrainSelectedInstOperands,
     /*  294807 */     // GIR_Coverage, 9079,
     /*  294807 */     GIR_EraseRootFromParent_Done,
     /*  294808 */   // Label 5503: @294808
     /*  294808 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294871), // Rule ID 9082 //
     /*  294813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294869 */     GIR_RootConstrainSelectedInstOperands,
     /*  294870 */     // GIR_Coverage, 9082,
     /*  294870 */     GIR_EraseRootFromParent_Done,
     /*  294871 */   // Label 5504: @294871
     /*  294871 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294934), // Rule ID 9083 //
     /*  294876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294915 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294932 */     GIR_RootConstrainSelectedInstOperands,
     /*  294933 */     // GIR_Coverage, 9083,
     /*  294933 */     GIR_EraseRootFromParent_Done,
     /*  294934 */   // Label 5505: @294934
     /*  294934 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294997), // Rule ID 9086 //
     /*  294939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294995 */     GIR_RootConstrainSelectedInstOperands,
     /*  294996 */     // GIR_Coverage, 9086,
     /*  294996 */     GIR_EraseRootFromParent_Done,
     /*  294997 */   // Label 5506: @294997
     /*  294997 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(295060), // Rule ID 9087 //
     /*  295002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295058 */     GIR_RootConstrainSelectedInstOperands,
     /*  295059 */     // GIR_Coverage, 9087,
     /*  295059 */     GIR_EraseRootFromParent_Done,
     /*  295060 */   // Label 5507: @295060
     /*  295060 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(295123), // Rule ID 9090 //
     /*  295065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295121 */     GIR_RootConstrainSelectedInstOperands,
     /*  295122 */     // GIR_Coverage, 9090,
     /*  295122 */     GIR_EraseRootFromParent_Done,
     /*  295123 */   // Label 5508: @295123
     /*  295123 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(295186), // Rule ID 9091 //
     /*  295128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295184 */     GIR_RootConstrainSelectedInstOperands,
     /*  295185 */     // GIR_Coverage, 9091,
     /*  295185 */     GIR_EraseRootFromParent_Done,
     /*  295186 */   // Label 5509: @295186
     /*  295186 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(295249), // Rule ID 9094 //
     /*  295191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295247 */     GIR_RootConstrainSelectedInstOperands,
     /*  295248 */     // GIR_Coverage, 9094,
     /*  295248 */     GIR_EraseRootFromParent_Done,
     /*  295249 */   // Label 5510: @295249
     /*  295249 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(295312), // Rule ID 9095 //
     /*  295254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295310 */     GIR_RootConstrainSelectedInstOperands,
     /*  295311 */     // GIR_Coverage, 9095,
     /*  295311 */     GIR_EraseRootFromParent_Done,
     /*  295312 */   // Label 5511: @295312
     /*  295312 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(295375), // Rule ID 9098 //
     /*  295317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295373 */     GIR_RootConstrainSelectedInstOperands,
     /*  295374 */     // GIR_Coverage, 9098,
     /*  295374 */     GIR_EraseRootFromParent_Done,
     /*  295375 */   // Label 5512: @295375
     /*  295375 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295438), // Rule ID 9099 //
     /*  295380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295436 */     GIR_RootConstrainSelectedInstOperands,
     /*  295437 */     // GIR_Coverage, 9099,
     /*  295437 */     GIR_EraseRootFromParent_Done,
     /*  295438 */   // Label 5513: @295438
     /*  295438 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295501), // Rule ID 9102 //
     /*  295443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295499 */     GIR_RootConstrainSelectedInstOperands,
     /*  295500 */     // GIR_Coverage, 9102,
     /*  295500 */     GIR_EraseRootFromParent_Done,
     /*  295501 */   // Label 5514: @295501
     /*  295501 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295564), // Rule ID 9103 //
     /*  295506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295562 */     GIR_RootConstrainSelectedInstOperands,
     /*  295563 */     // GIR_Coverage, 9103,
     /*  295563 */     GIR_EraseRootFromParent_Done,
     /*  295564 */   // Label 5515: @295564
     /*  295564 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295627), // Rule ID 9106 //
     /*  295569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295625 */     GIR_RootConstrainSelectedInstOperands,
     /*  295626 */     // GIR_Coverage, 9106,
     /*  295626 */     GIR_EraseRootFromParent_Done,
     /*  295627 */   // Label 5516: @295627
     /*  295627 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295690), // Rule ID 9107 //
     /*  295632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295688 */     GIR_RootConstrainSelectedInstOperands,
     /*  295689 */     // GIR_Coverage, 9107,
     /*  295689 */     GIR_EraseRootFromParent_Done,
     /*  295690 */   // Label 5517: @295690
     /*  295690 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295753), // Rule ID 9198 //
     /*  295695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  295709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  295737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295751 */     GIR_RootConstrainSelectedInstOperands,
     /*  295752 */     // GIR_Coverage, 9198,
     /*  295752 */     GIR_EraseRootFromParent_Done,
     /*  295753 */   // Label 5518: @295753
     /*  295753 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295816), // Rule ID 9199 //
     /*  295758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  295772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  295800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295814 */     GIR_RootConstrainSelectedInstOperands,
     /*  295815 */     // GIR_Coverage, 9199,
     /*  295815 */     GIR_EraseRootFromParent_Done,
     /*  295816 */   // Label 5519: @295816
     /*  295816 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295879), // Rule ID 9202 //
     /*  295821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295877 */     GIR_RootConstrainSelectedInstOperands,
     /*  295878 */     // GIR_Coverage, 9202,
     /*  295878 */     GIR_EraseRootFromParent_Done,
     /*  295879 */   // Label 5520: @295879
     /*  295879 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295942), // Rule ID 9203 //
     /*  295884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295940 */     GIR_RootConstrainSelectedInstOperands,
     /*  295941 */     // GIR_Coverage, 9203,
     /*  295941 */     GIR_EraseRootFromParent_Done,
     /*  295942 */   // Label 5521: @295942
     /*  295942 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(296005), // Rule ID 9206 //
     /*  295947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  295989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296003 */     GIR_RootConstrainSelectedInstOperands,
     /*  296004 */     // GIR_Coverage, 9206,
     /*  296004 */     GIR_EraseRootFromParent_Done,
     /*  296005 */   // Label 5522: @296005
     /*  296005 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(296068), // Rule ID 9207 //
     /*  296010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296066 */     GIR_RootConstrainSelectedInstOperands,
     /*  296067 */     // GIR_Coverage, 9207,
     /*  296067 */     GIR_EraseRootFromParent_Done,
     /*  296068 */   // Label 5523: @296068
     /*  296068 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(296131), // Rule ID 9210 //
     /*  296073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296129 */     GIR_RootConstrainSelectedInstOperands,
     /*  296130 */     // GIR_Coverage, 9210,
     /*  296130 */     GIR_EraseRootFromParent_Done,
     /*  296131 */   // Label 5524: @296131
     /*  296131 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(296194), // Rule ID 9211 //
     /*  296136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296175 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296192 */     GIR_RootConstrainSelectedInstOperands,
     /*  296193 */     // GIR_Coverage, 9211,
     /*  296193 */     GIR_EraseRootFromParent_Done,
     /*  296194 */   // Label 5525: @296194
     /*  296194 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(296257), // Rule ID 9214 //
     /*  296199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296255 */     GIR_RootConstrainSelectedInstOperands,
     /*  296256 */     // GIR_Coverage, 9214,
     /*  296256 */     GIR_EraseRootFromParent_Done,
     /*  296257 */   // Label 5526: @296257
     /*  296257 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(296320), // Rule ID 9215 //
     /*  296262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296318 */     GIR_RootConstrainSelectedInstOperands,
     /*  296319 */     // GIR_Coverage, 9215,
     /*  296319 */     GIR_EraseRootFromParent_Done,
     /*  296320 */   // Label 5527: @296320
     /*  296320 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(296383), // Rule ID 9218 //
     /*  296325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296381 */     GIR_RootConstrainSelectedInstOperands,
     /*  296382 */     // GIR_Coverage, 9218,
     /*  296382 */     GIR_EraseRootFromParent_Done,
     /*  296383 */   // Label 5528: @296383
     /*  296383 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296446), // Rule ID 9219 //
     /*  296388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296444 */     GIR_RootConstrainSelectedInstOperands,
     /*  296445 */     // GIR_Coverage, 9219,
     /*  296445 */     GIR_EraseRootFromParent_Done,
     /*  296446 */   // Label 5529: @296446
     /*  296446 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296509), // Rule ID 9222 //
     /*  296451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296507 */     GIR_RootConstrainSelectedInstOperands,
     /*  296508 */     // GIR_Coverage, 9222,
     /*  296508 */     GIR_EraseRootFromParent_Done,
     /*  296509 */   // Label 5530: @296509
     /*  296509 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296572), // Rule ID 9223 //
     /*  296514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296570 */     GIR_RootConstrainSelectedInstOperands,
     /*  296571 */     // GIR_Coverage, 9223,
     /*  296571 */     GIR_EraseRootFromParent_Done,
     /*  296572 */   // Label 5531: @296572
     /*  296572 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296635), // Rule ID 9226 //
     /*  296577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296633 */     GIR_RootConstrainSelectedInstOperands,
     /*  296634 */     // GIR_Coverage, 9226,
     /*  296634 */     GIR_EraseRootFromParent_Done,
     /*  296635 */   // Label 5532: @296635
     /*  296635 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296698), // Rule ID 9227 //
     /*  296640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296696 */     GIR_RootConstrainSelectedInstOperands,
     /*  296697 */     // GIR_Coverage, 9227,
     /*  296697 */     GIR_EraseRootFromParent_Done,
     /*  296698 */   // Label 5533: @296698
     /*  296698 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296761), // Rule ID 9230 //
     /*  296703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296759 */     GIR_RootConstrainSelectedInstOperands,
     /*  296760 */     // GIR_Coverage, 9230,
     /*  296760 */     GIR_EraseRootFromParent_Done,
     /*  296761 */   // Label 5534: @296761
     /*  296761 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296824), // Rule ID 9231 //
     /*  296766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296822 */     GIR_RootConstrainSelectedInstOperands,
     /*  296823 */     // GIR_Coverage, 9231,
     /*  296823 */     GIR_EraseRootFromParent_Done,
     /*  296824 */   // Label 5535: @296824
     /*  296824 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296887), // Rule ID 9234 //
     /*  296829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296885 */     GIR_RootConstrainSelectedInstOperands,
     /*  296886 */     // GIR_Coverage, 9234,
     /*  296886 */     GIR_EraseRootFromParent_Done,
     /*  296887 */   // Label 5536: @296887
     /*  296887 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296950), // Rule ID 9235 //
     /*  296892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296948 */     GIR_RootConstrainSelectedInstOperands,
     /*  296949 */     // GIR_Coverage, 9235,
     /*  296949 */     GIR_EraseRootFromParent_Done,
     /*  296950 */   // Label 5537: @296950
     /*  296950 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(297013), // Rule ID 9238 //
     /*  296955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  296997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297011 */     GIR_RootConstrainSelectedInstOperands,
     /*  297012 */     // GIR_Coverage, 9238,
     /*  297012 */     GIR_EraseRootFromParent_Done,
     /*  297013 */   // Label 5538: @297013
     /*  297013 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(297076), // Rule ID 9239 //
     /*  297018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297074 */     GIR_RootConstrainSelectedInstOperands,
     /*  297075 */     // GIR_Coverage, 9239,
     /*  297075 */     GIR_EraseRootFromParent_Done,
     /*  297076 */   // Label 5539: @297076
     /*  297076 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(297139), // Rule ID 9242 //
     /*  297081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297137 */     GIR_RootConstrainSelectedInstOperands,
     /*  297138 */     // GIR_Coverage, 9242,
     /*  297138 */     GIR_EraseRootFromParent_Done,
     /*  297139 */   // Label 5540: @297139
     /*  297139 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(297202), // Rule ID 9243 //
     /*  297144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297183 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297200 */     GIR_RootConstrainSelectedInstOperands,
     /*  297201 */     // GIR_Coverage, 9243,
     /*  297201 */     GIR_EraseRootFromParent_Done,
     /*  297202 */   // Label 5541: @297202
     /*  297202 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(297265), // Rule ID 9246 //
     /*  297207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297246 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297263 */     GIR_RootConstrainSelectedInstOperands,
     /*  297264 */     // GIR_Coverage, 9246,
     /*  297264 */     GIR_EraseRootFromParent_Done,
     /*  297265 */   // Label 5542: @297265
     /*  297265 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(297328), // Rule ID 9247 //
     /*  297270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297309 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297326 */     GIR_RootConstrainSelectedInstOperands,
     /*  297327 */     // GIR_Coverage, 9247,
     /*  297327 */     GIR_EraseRootFromParent_Done,
     /*  297328 */   // Label 5543: @297328
     /*  297328 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(297391), // Rule ID 9250 //
     /*  297333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297389 */     GIR_RootConstrainSelectedInstOperands,
     /*  297390 */     // GIR_Coverage, 9250,
     /*  297390 */     GIR_EraseRootFromParent_Done,
     /*  297391 */   // Label 5544: @297391
     /*  297391 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297454), // Rule ID 9251 //
     /*  297396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297452 */     GIR_RootConstrainSelectedInstOperands,
     /*  297453 */     // GIR_Coverage, 9251,
     /*  297453 */     GIR_EraseRootFromParent_Done,
     /*  297454 */   // Label 5545: @297454
     /*  297454 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297517), // Rule ID 9254 //
     /*  297459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297515 */     GIR_RootConstrainSelectedInstOperands,
     /*  297516 */     // GIR_Coverage, 9254,
     /*  297516 */     GIR_EraseRootFromParent_Done,
     /*  297517 */   // Label 5546: @297517
     /*  297517 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297580), // Rule ID 9255 //
     /*  297522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297578 */     GIR_RootConstrainSelectedInstOperands,
     /*  297579 */     // GIR_Coverage, 9255,
     /*  297579 */     GIR_EraseRootFromParent_Done,
     /*  297580 */   // Label 5547: @297580
     /*  297580 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297643), // Rule ID 9258 //
     /*  297585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297641 */     GIR_RootConstrainSelectedInstOperands,
     /*  297642 */     // GIR_Coverage, 9258,
     /*  297642 */     GIR_EraseRootFromParent_Done,
     /*  297643 */   // Label 5548: @297643
     /*  297643 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297706), // Rule ID 9259 //
     /*  297648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297687 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297704 */     GIR_RootConstrainSelectedInstOperands,
     /*  297705 */     // GIR_Coverage, 9259,
     /*  297705 */     GIR_EraseRootFromParent_Done,
     /*  297706 */   // Label 5549: @297706
     /*  297706 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297769), // Rule ID 9262 //
     /*  297711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297767 */     GIR_RootConstrainSelectedInstOperands,
     /*  297768 */     // GIR_Coverage, 9262,
     /*  297768 */     GIR_EraseRootFromParent_Done,
     /*  297769 */   // Label 5550: @297769
     /*  297769 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297832), // Rule ID 9263 //
     /*  297774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297830 */     GIR_RootConstrainSelectedInstOperands,
     /*  297831 */     // GIR_Coverage, 9263,
     /*  297831 */     GIR_EraseRootFromParent_Done,
     /*  297832 */   // Label 5551: @297832
     /*  297832 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297895), // Rule ID 9266 //
     /*  297837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297893 */     GIR_RootConstrainSelectedInstOperands,
     /*  297894 */     // GIR_Coverage, 9266,
     /*  297894 */     GIR_EraseRootFromParent_Done,
     /*  297895 */   // Label 5552: @297895
     /*  297895 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297958), // Rule ID 9267 //
     /*  297900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297956 */     GIR_RootConstrainSelectedInstOperands,
     /*  297957 */     // GIR_Coverage, 9267,
     /*  297957 */     GIR_EraseRootFromParent_Done,
     /*  297958 */   // Label 5553: @297958
     /*  297958 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(298021), // Rule ID 9270 //
     /*  297963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298019 */     GIR_RootConstrainSelectedInstOperands,
     /*  298020 */     // GIR_Coverage, 9270,
     /*  298020 */     GIR_EraseRootFromParent_Done,
     /*  298021 */   // Label 5554: @298021
     /*  298021 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(298084), // Rule ID 9271 //
     /*  298026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298065 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298082 */     GIR_RootConstrainSelectedInstOperands,
     /*  298083 */     // GIR_Coverage, 9271,
     /*  298083 */     GIR_EraseRootFromParent_Done,
     /*  298084 */   // Label 5555: @298084
     /*  298084 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(298147), // Rule ID 9274 //
     /*  298089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298145 */     GIR_RootConstrainSelectedInstOperands,
     /*  298146 */     // GIR_Coverage, 9274,
     /*  298146 */     GIR_EraseRootFromParent_Done,
     /*  298147 */   // Label 5556: @298147
     /*  298147 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(298210), // Rule ID 9275 //
     /*  298152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298191 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298208 */     GIR_RootConstrainSelectedInstOperands,
     /*  298209 */     // GIR_Coverage, 9275,
     /*  298209 */     GIR_EraseRootFromParent_Done,
     /*  298210 */   // Label 5557: @298210
     /*  298210 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(298273), // Rule ID 9278 //
     /*  298215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298271 */     GIR_RootConstrainSelectedInstOperands,
     /*  298272 */     // GIR_Coverage, 9278,
     /*  298272 */     GIR_EraseRootFromParent_Done,
     /*  298273 */   // Label 5558: @298273
     /*  298273 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(298336), // Rule ID 9279 //
     /*  298278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298334 */     GIR_RootConstrainSelectedInstOperands,
     /*  298335 */     // GIR_Coverage, 9279,
     /*  298335 */     GIR_EraseRootFromParent_Done,
     /*  298336 */   // Label 5559: @298336
     /*  298336 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298399), // Rule ID 9282 //
     /*  298341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298397 */     GIR_RootConstrainSelectedInstOperands,
     /*  298398 */     // GIR_Coverage, 9282,
     /*  298398 */     GIR_EraseRootFromParent_Done,
     /*  298399 */   // Label 5560: @298399
     /*  298399 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298462), // Rule ID 9283 //
     /*  298404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298460 */     GIR_RootConstrainSelectedInstOperands,
     /*  298461 */     // GIR_Coverage, 9283,
     /*  298461 */     GIR_EraseRootFromParent_Done,
     /*  298462 */   // Label 5561: @298462
     /*  298462 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298525), // Rule ID 9374 //
     /*  298467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  298509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298523 */     GIR_RootConstrainSelectedInstOperands,
     /*  298524 */     // GIR_Coverage, 9374,
     /*  298524 */     GIR_EraseRootFromParent_Done,
     /*  298525 */   // Label 5562: @298525
     /*  298525 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298588), // Rule ID 9375 //
     /*  298530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  298572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298586 */     GIR_RootConstrainSelectedInstOperands,
     /*  298587 */     // GIR_Coverage, 9375,
     /*  298587 */     GIR_EraseRootFromParent_Done,
     /*  298588 */   // Label 5563: @298588
     /*  298588 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298651), // Rule ID 9378 //
     /*  298593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298649 */     GIR_RootConstrainSelectedInstOperands,
     /*  298650 */     // GIR_Coverage, 9378,
     /*  298650 */     GIR_EraseRootFromParent_Done,
     /*  298651 */   // Label 5564: @298651
     /*  298651 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298714), // Rule ID 9379 //
     /*  298656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298695 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298712 */     GIR_RootConstrainSelectedInstOperands,
     /*  298713 */     // GIR_Coverage, 9379,
     /*  298713 */     GIR_EraseRootFromParent_Done,
     /*  298714 */   // Label 5565: @298714
     /*  298714 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298777), // Rule ID 9382 //
     /*  298719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298775 */     GIR_RootConstrainSelectedInstOperands,
     /*  298776 */     // GIR_Coverage, 9382,
     /*  298776 */     GIR_EraseRootFromParent_Done,
     /*  298777 */   // Label 5566: @298777
     /*  298777 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298840), // Rule ID 9383 //
     /*  298782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298838 */     GIR_RootConstrainSelectedInstOperands,
     /*  298839 */     // GIR_Coverage, 9383,
     /*  298839 */     GIR_EraseRootFromParent_Done,
     /*  298840 */   // Label 5567: @298840
     /*  298840 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298903), // Rule ID 9386 //
     /*  298845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298901 */     GIR_RootConstrainSelectedInstOperands,
     /*  298902 */     // GIR_Coverage, 9386,
     /*  298902 */     GIR_EraseRootFromParent_Done,
     /*  298903 */   // Label 5568: @298903
     /*  298903 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298966), // Rule ID 9387 //
     /*  298908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298964 */     GIR_RootConstrainSelectedInstOperands,
     /*  298965 */     // GIR_Coverage, 9387,
     /*  298965 */     GIR_EraseRootFromParent_Done,
     /*  298966 */   // Label 5569: @298966
     /*  298966 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(299029), // Rule ID 9390 //
     /*  298971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299027 */     GIR_RootConstrainSelectedInstOperands,
     /*  299028 */     // GIR_Coverage, 9390,
     /*  299028 */     GIR_EraseRootFromParent_Done,
     /*  299029 */   // Label 5570: @299029
     /*  299029 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(299092), // Rule ID 9391 //
     /*  299034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299090 */     GIR_RootConstrainSelectedInstOperands,
     /*  299091 */     // GIR_Coverage, 9391,
     /*  299091 */     GIR_EraseRootFromParent_Done,
     /*  299092 */   // Label 5571: @299092
     /*  299092 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(299155), // Rule ID 9394 //
     /*  299097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299153 */     GIR_RootConstrainSelectedInstOperands,
     /*  299154 */     // GIR_Coverage, 9394,
     /*  299154 */     GIR_EraseRootFromParent_Done,
     /*  299155 */   // Label 5572: @299155
     /*  299155 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(299218), // Rule ID 9395 //
     /*  299160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299216 */     GIR_RootConstrainSelectedInstOperands,
     /*  299217 */     // GIR_Coverage, 9395,
     /*  299217 */     GIR_EraseRootFromParent_Done,
     /*  299218 */   // Label 5573: @299218
     /*  299218 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(299281), // Rule ID 9398 //
     /*  299223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299262 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299279 */     GIR_RootConstrainSelectedInstOperands,
     /*  299280 */     // GIR_Coverage, 9398,
     /*  299280 */     GIR_EraseRootFromParent_Done,
     /*  299281 */   // Label 5574: @299281
     /*  299281 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(299344), // Rule ID 9399 //
     /*  299286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299342 */     GIR_RootConstrainSelectedInstOperands,
     /*  299343 */     // GIR_Coverage, 9399,
     /*  299343 */     GIR_EraseRootFromParent_Done,
     /*  299344 */   // Label 5575: @299344
     /*  299344 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299407), // Rule ID 9402 //
     /*  299349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299405 */     GIR_RootConstrainSelectedInstOperands,
     /*  299406 */     // GIR_Coverage, 9402,
     /*  299406 */     GIR_EraseRootFromParent_Done,
     /*  299407 */   // Label 5576: @299407
     /*  299407 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299470), // Rule ID 9403 //
     /*  299412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299451 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299468 */     GIR_RootConstrainSelectedInstOperands,
     /*  299469 */     // GIR_Coverage, 9403,
     /*  299469 */     GIR_EraseRootFromParent_Done,
     /*  299470 */   // Label 5577: @299470
     /*  299470 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299533), // Rule ID 9406 //
     /*  299475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299531 */     GIR_RootConstrainSelectedInstOperands,
     /*  299532 */     // GIR_Coverage, 9406,
     /*  299532 */     GIR_EraseRootFromParent_Done,
     /*  299533 */   // Label 5578: @299533
     /*  299533 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299596), // Rule ID 9407 //
     /*  299538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299594 */     GIR_RootConstrainSelectedInstOperands,
     /*  299595 */     // GIR_Coverage, 9407,
     /*  299595 */     GIR_EraseRootFromParent_Done,
     /*  299596 */   // Label 5579: @299596
     /*  299596 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299659), // Rule ID 9410 //
     /*  299601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299657 */     GIR_RootConstrainSelectedInstOperands,
     /*  299658 */     // GIR_Coverage, 9410,
     /*  299658 */     GIR_EraseRootFromParent_Done,
     /*  299659 */   // Label 5580: @299659
     /*  299659 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299722), // Rule ID 9411 //
     /*  299664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299720 */     GIR_RootConstrainSelectedInstOperands,
     /*  299721 */     // GIR_Coverage, 9411,
     /*  299721 */     GIR_EraseRootFromParent_Done,
     /*  299722 */   // Label 5581: @299722
     /*  299722 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299785), // Rule ID 9414 //
     /*  299727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  299769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299783 */     GIR_RootConstrainSelectedInstOperands,
     /*  299784 */     // GIR_Coverage, 9414,
     /*  299784 */     GIR_EraseRootFromParent_Done,
     /*  299785 */   // Label 5582: @299785
     /*  299785 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299848), // Rule ID 9415 //
     /*  299790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  299832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299846 */     GIR_RootConstrainSelectedInstOperands,
     /*  299847 */     // GIR_Coverage, 9415,
     /*  299847 */     GIR_EraseRootFromParent_Done,
     /*  299848 */   // Label 5583: @299848
     /*  299848 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299911), // Rule ID 9418 //
     /*  299853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  299895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299909 */     GIR_RootConstrainSelectedInstOperands,
     /*  299910 */     // GIR_Coverage, 9418,
     /*  299910 */     GIR_EraseRootFromParent_Done,
     /*  299911 */   // Label 5584: @299911
     /*  299911 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299974), // Rule ID 9419 //
     /*  299916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299955 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  299958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299972 */     GIR_RootConstrainSelectedInstOperands,
     /*  299973 */     // GIR_Coverage, 9419,
     /*  299973 */     GIR_EraseRootFromParent_Done,
     /*  299974 */   // Label 5585: @299974
     /*  299974 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(300037), // Rule ID 9422 //
     /*  299979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300018 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300035 */     GIR_RootConstrainSelectedInstOperands,
     /*  300036 */     // GIR_Coverage, 9422,
     /*  300036 */     GIR_EraseRootFromParent_Done,
     /*  300037 */   // Label 5586: @300037
     /*  300037 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(300100), // Rule ID 9423 //
     /*  300042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300081 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300098 */     GIR_RootConstrainSelectedInstOperands,
     /*  300099 */     // GIR_Coverage, 9423,
     /*  300099 */     GIR_EraseRootFromParent_Done,
     /*  300100 */   // Label 5587: @300100
     /*  300100 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(300163), // Rule ID 9426 //
     /*  300105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300161 */     GIR_RootConstrainSelectedInstOperands,
     /*  300162 */     // GIR_Coverage, 9426,
     /*  300162 */     GIR_EraseRootFromParent_Done,
     /*  300163 */   // Label 5588: @300163
     /*  300163 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(300226), // Rule ID 9427 //
     /*  300168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300207 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300224 */     GIR_RootConstrainSelectedInstOperands,
     /*  300225 */     // GIR_Coverage, 9427,
     /*  300225 */     GIR_EraseRootFromParent_Done,
     /*  300226 */   // Label 5589: @300226
     /*  300226 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(300289), // Rule ID 9430 //
     /*  300231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300287 */     GIR_RootConstrainSelectedInstOperands,
     /*  300288 */     // GIR_Coverage, 9430,
     /*  300288 */     GIR_EraseRootFromParent_Done,
     /*  300289 */   // Label 5590: @300289
     /*  300289 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(300352), // Rule ID 9431 //
     /*  300294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300350 */     GIR_RootConstrainSelectedInstOperands,
     /*  300351 */     // GIR_Coverage, 9431,
     /*  300351 */     GIR_EraseRootFromParent_Done,
     /*  300352 */   // Label 5591: @300352
     /*  300352 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300415), // Rule ID 9434 //
     /*  300357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300413 */     GIR_RootConstrainSelectedInstOperands,
     /*  300414 */     // GIR_Coverage, 9434,
     /*  300414 */     GIR_EraseRootFromParent_Done,
     /*  300415 */   // Label 5592: @300415
     /*  300415 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300478), // Rule ID 9435 //
     /*  300420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300459 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300476 */     GIR_RootConstrainSelectedInstOperands,
     /*  300477 */     // GIR_Coverage, 9435,
     /*  300477 */     GIR_EraseRootFromParent_Done,
     /*  300478 */   // Label 5593: @300478
     /*  300478 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300541), // Rule ID 9438 //
     /*  300483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300539 */     GIR_RootConstrainSelectedInstOperands,
     /*  300540 */     // GIR_Coverage, 9438,
     /*  300540 */     GIR_EraseRootFromParent_Done,
     /*  300541 */   // Label 5594: @300541
     /*  300541 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300604), // Rule ID 9439 //
     /*  300546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300602 */     GIR_RootConstrainSelectedInstOperands,
     /*  300603 */     // GIR_Coverage, 9439,
     /*  300603 */     GIR_EraseRootFromParent_Done,
     /*  300604 */   // Label 5595: @300604
     /*  300604 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300667), // Rule ID 9442 //
     /*  300609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300665 */     GIR_RootConstrainSelectedInstOperands,
     /*  300666 */     // GIR_Coverage, 9442,
     /*  300666 */     GIR_EraseRootFromParent_Done,
     /*  300667 */   // Label 5596: @300667
     /*  300667 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300730), // Rule ID 9443 //
     /*  300672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300728 */     GIR_RootConstrainSelectedInstOperands,
     /*  300729 */     // GIR_Coverage, 9443,
     /*  300729 */     GIR_EraseRootFromParent_Done,
     /*  300730 */   // Label 5597: @300730
     /*  300730 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300793), // Rule ID 9446 //
     /*  300735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300791 */     GIR_RootConstrainSelectedInstOperands,
     /*  300792 */     // GIR_Coverage, 9446,
     /*  300792 */     GIR_EraseRootFromParent_Done,
     /*  300793 */   // Label 5598: @300793
     /*  300793 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300856), // Rule ID 9447 //
     /*  300798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300854 */     GIR_RootConstrainSelectedInstOperands,
     /*  300855 */     // GIR_Coverage, 9447,
     /*  300855 */     GIR_EraseRootFromParent_Done,
     /*  300856 */   // Label 5599: @300856
     /*  300856 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300919), // Rule ID 9450 //
     /*  300861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300917 */     GIR_RootConstrainSelectedInstOperands,
     /*  300918 */     // GIR_Coverage, 9450,
     /*  300918 */     GIR_EraseRootFromParent_Done,
     /*  300919 */   // Label 5600: @300919
     /*  300919 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300982), // Rule ID 9451 //
     /*  300924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300980 */     GIR_RootConstrainSelectedInstOperands,
     /*  300981 */     // GIR_Coverage, 9451,
     /*  300981 */     GIR_EraseRootFromParent_Done,
     /*  300982 */   // Label 5601: @300982
     /*  300982 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(301045), // Rule ID 9454 //
     /*  300987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301043 */     GIR_RootConstrainSelectedInstOperands,
     /*  301044 */     // GIR_Coverage, 9454,
     /*  301044 */     GIR_EraseRootFromParent_Done,
     /*  301045 */   // Label 5602: @301045
     /*  301045 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(301108), // Rule ID 9455 //
     /*  301050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301106 */     GIR_RootConstrainSelectedInstOperands,
     /*  301107 */     // GIR_Coverage, 9455,
     /*  301107 */     GIR_EraseRootFromParent_Done,
     /*  301108 */   // Label 5603: @301108
     /*  301108 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(301171), // Rule ID 9458 //
     /*  301113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301169 */     GIR_RootConstrainSelectedInstOperands,
     /*  301170 */     // GIR_Coverage, 9458,
     /*  301170 */     GIR_EraseRootFromParent_Done,
     /*  301171 */   // Label 5604: @301171
     /*  301171 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(301234), // Rule ID 9459 //
     /*  301176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301232 */     GIR_RootConstrainSelectedInstOperands,
     /*  301233 */     // GIR_Coverage, 9459,
     /*  301233 */     GIR_EraseRootFromParent_Done,
     /*  301234 */   // Label 5605: @301234
     /*  301234 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(301297), // Rule ID 9550 //
     /*  301239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301295 */     GIR_RootConstrainSelectedInstOperands,
     /*  301296 */     // GIR_Coverage, 9550,
     /*  301296 */     GIR_EraseRootFromParent_Done,
     /*  301297 */   // Label 5606: @301297
     /*  301297 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(301360), // Rule ID 9551 //
     /*  301302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301358 */     GIR_RootConstrainSelectedInstOperands,
     /*  301359 */     // GIR_Coverage, 9551,
     /*  301359 */     GIR_EraseRootFromParent_Done,
     /*  301360 */   // Label 5607: @301360
     /*  301360 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301423), // Rule ID 9554 //
     /*  301365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301421 */     GIR_RootConstrainSelectedInstOperands,
     /*  301422 */     // GIR_Coverage, 9554,
     /*  301422 */     GIR_EraseRootFromParent_Done,
     /*  301423 */   // Label 5608: @301423
     /*  301423 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301486), // Rule ID 9555 //
     /*  301428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301484 */     GIR_RootConstrainSelectedInstOperands,
     /*  301485 */     // GIR_Coverage, 9555,
     /*  301485 */     GIR_EraseRootFromParent_Done,
     /*  301486 */   // Label 5609: @301486
     /*  301486 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301549), // Rule ID 9558 //
     /*  301491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301547 */     GIR_RootConstrainSelectedInstOperands,
     /*  301548 */     // GIR_Coverage, 9558,
     /*  301548 */     GIR_EraseRootFromParent_Done,
     /*  301549 */   // Label 5610: @301549
     /*  301549 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301612), // Rule ID 9559 //
     /*  301554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301610 */     GIR_RootConstrainSelectedInstOperands,
     /*  301611 */     // GIR_Coverage, 9559,
     /*  301611 */     GIR_EraseRootFromParent_Done,
     /*  301612 */   // Label 5611: @301612
     /*  301612 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301675), // Rule ID 9562 //
     /*  301617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301673 */     GIR_RootConstrainSelectedInstOperands,
     /*  301674 */     // GIR_Coverage, 9562,
     /*  301674 */     GIR_EraseRootFromParent_Done,
     /*  301675 */   // Label 5612: @301675
     /*  301675 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301738), // Rule ID 9563 //
     /*  301680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301736 */     GIR_RootConstrainSelectedInstOperands,
     /*  301737 */     // GIR_Coverage, 9563,
     /*  301737 */     GIR_EraseRootFromParent_Done,
     /*  301738 */   // Label 5613: @301738
     /*  301738 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301801), // Rule ID 9566 //
     /*  301743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301799 */     GIR_RootConstrainSelectedInstOperands,
     /*  301800 */     // GIR_Coverage, 9566,
     /*  301800 */     GIR_EraseRootFromParent_Done,
     /*  301801 */   // Label 5614: @301801
     /*  301801 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301864), // Rule ID 9567 //
     /*  301806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301862 */     GIR_RootConstrainSelectedInstOperands,
     /*  301863 */     // GIR_Coverage, 9567,
     /*  301863 */     GIR_EraseRootFromParent_Done,
     /*  301864 */   // Label 5615: @301864
     /*  301864 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301927), // Rule ID 9570 //
     /*  301869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301925 */     GIR_RootConstrainSelectedInstOperands,
     /*  301926 */     // GIR_Coverage, 9570,
     /*  301926 */     GIR_EraseRootFromParent_Done,
     /*  301927 */   // Label 5616: @301927
     /*  301927 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301990), // Rule ID 9571 //
     /*  301932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301988 */     GIR_RootConstrainSelectedInstOperands,
     /*  301989 */     // GIR_Coverage, 9571,
     /*  301989 */     GIR_EraseRootFromParent_Done,
     /*  301990 */   // Label 5617: @301990
     /*  301990 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(302053), // Rule ID 9574 //
     /*  301995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302034 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302051 */     GIR_RootConstrainSelectedInstOperands,
     /*  302052 */     // GIR_Coverage, 9574,
     /*  302052 */     GIR_EraseRootFromParent_Done,
     /*  302053 */   // Label 5618: @302053
     /*  302053 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(302116), // Rule ID 9575 //
     /*  302058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302114 */     GIR_RootConstrainSelectedInstOperands,
     /*  302115 */     // GIR_Coverage, 9575,
     /*  302115 */     GIR_EraseRootFromParent_Done,
     /*  302116 */   // Label 5619: @302116
     /*  302116 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(302179), // Rule ID 9578 //
     /*  302121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302177 */     GIR_RootConstrainSelectedInstOperands,
     /*  302178 */     // GIR_Coverage, 9578,
     /*  302178 */     GIR_EraseRootFromParent_Done,
     /*  302179 */   // Label 5620: @302179
     /*  302179 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(302242), // Rule ID 9579 //
     /*  302184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302240 */     GIR_RootConstrainSelectedInstOperands,
     /*  302241 */     // GIR_Coverage, 9579,
     /*  302241 */     GIR_EraseRootFromParent_Done,
     /*  302242 */   // Label 5621: @302242
     /*  302242 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(302305), // Rule ID 9582 //
     /*  302247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302286 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302303 */     GIR_RootConstrainSelectedInstOperands,
     /*  302304 */     // GIR_Coverage, 9582,
     /*  302304 */     GIR_EraseRootFromParent_Done,
     /*  302305 */   // Label 5622: @302305
     /*  302305 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(302368), // Rule ID 9583 //
     /*  302310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302366 */     GIR_RootConstrainSelectedInstOperands,
     /*  302367 */     // GIR_Coverage, 9583,
     /*  302367 */     GIR_EraseRootFromParent_Done,
     /*  302368 */   // Label 5623: @302368
     /*  302368 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302431), // Rule ID 9586 //
     /*  302373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302429 */     GIR_RootConstrainSelectedInstOperands,
     /*  302430 */     // GIR_Coverage, 9586,
     /*  302430 */     GIR_EraseRootFromParent_Done,
     /*  302431 */   // Label 5624: @302431
     /*  302431 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302494), // Rule ID 9587 //
     /*  302436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302475 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302492 */     GIR_RootConstrainSelectedInstOperands,
     /*  302493 */     // GIR_Coverage, 9587,
     /*  302493 */     GIR_EraseRootFromParent_Done,
     /*  302494 */   // Label 5625: @302494
     /*  302494 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302557), // Rule ID 9590 //
     /*  302499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302538 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302555 */     GIR_RootConstrainSelectedInstOperands,
     /*  302556 */     // GIR_Coverage, 9590,
     /*  302556 */     GIR_EraseRootFromParent_Done,
     /*  302557 */   // Label 5626: @302557
     /*  302557 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302620), // Rule ID 9591 //
     /*  302562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302618 */     GIR_RootConstrainSelectedInstOperands,
     /*  302619 */     // GIR_Coverage, 9591,
     /*  302619 */     GIR_EraseRootFromParent_Done,
     /*  302620 */   // Label 5627: @302620
     /*  302620 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302683), // Rule ID 9594 //
     /*  302625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302664 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302681 */     GIR_RootConstrainSelectedInstOperands,
     /*  302682 */     // GIR_Coverage, 9594,
     /*  302682 */     GIR_EraseRootFromParent_Done,
     /*  302683 */   // Label 5628: @302683
     /*  302683 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302746), // Rule ID 9595 //
     /*  302688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302727 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302744 */     GIR_RootConstrainSelectedInstOperands,
     /*  302745 */     // GIR_Coverage, 9595,
     /*  302745 */     GIR_EraseRootFromParent_Done,
     /*  302746 */   // Label 5629: @302746
     /*  302746 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302809), // Rule ID 9598 //
     /*  302751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302807 */     GIR_RootConstrainSelectedInstOperands,
     /*  302808 */     // GIR_Coverage, 9598,
     /*  302808 */     GIR_EraseRootFromParent_Done,
     /*  302809 */   // Label 5630: @302809
     /*  302809 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302872), // Rule ID 9599 //
     /*  302814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302870 */     GIR_RootConstrainSelectedInstOperands,
     /*  302871 */     // GIR_Coverage, 9599,
     /*  302871 */     GIR_EraseRootFromParent_Done,
     /*  302872 */   // Label 5631: @302872
     /*  302872 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302935), // Rule ID 9602 //
     /*  302877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302933 */     GIR_RootConstrainSelectedInstOperands,
     /*  302934 */     // GIR_Coverage, 9602,
     /*  302934 */     GIR_EraseRootFromParent_Done,
     /*  302935 */   // Label 5632: @302935
     /*  302935 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302998), // Rule ID 9603 //
     /*  302940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302979 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302996 */     GIR_RootConstrainSelectedInstOperands,
     /*  302997 */     // GIR_Coverage, 9603,
     /*  302997 */     GIR_EraseRootFromParent_Done,
     /*  302998 */   // Label 5633: @302998
     /*  302998 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(303061), // Rule ID 9606 //
     /*  303003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303042 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303059 */     GIR_RootConstrainSelectedInstOperands,
     /*  303060 */     // GIR_Coverage, 9606,
     /*  303060 */     GIR_EraseRootFromParent_Done,
     /*  303061 */   // Label 5634: @303061
     /*  303061 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(303124), // Rule ID 9607 //
     /*  303066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303105 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303122 */     GIR_RootConstrainSelectedInstOperands,
     /*  303123 */     // GIR_Coverage, 9607,
     /*  303123 */     GIR_EraseRootFromParent_Done,
     /*  303124 */   // Label 5635: @303124
     /*  303124 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(303187), // Rule ID 9610 //
     /*  303129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303185 */     GIR_RootConstrainSelectedInstOperands,
     /*  303186 */     // GIR_Coverage, 9610,
     /*  303186 */     GIR_EraseRootFromParent_Done,
     /*  303187 */   // Label 5636: @303187
     /*  303187 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(303250), // Rule ID 9611 //
     /*  303192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303231 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303248 */     GIR_RootConstrainSelectedInstOperands,
     /*  303249 */     // GIR_Coverage, 9611,
     /*  303249 */     GIR_EraseRootFromParent_Done,
     /*  303250 */   // Label 5637: @303250
     /*  303250 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(303313), // Rule ID 9614 //
     /*  303255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303294 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303311 */     GIR_RootConstrainSelectedInstOperands,
     /*  303312 */     // GIR_Coverage, 9614,
     /*  303312 */     GIR_EraseRootFromParent_Done,
     /*  303313 */   // Label 5638: @303313
     /*  303313 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(303376), // Rule ID 9615 //
     /*  303318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303374 */     GIR_RootConstrainSelectedInstOperands,
     /*  303375 */     // GIR_Coverage, 9615,
     /*  303375 */     GIR_EraseRootFromParent_Done,
     /*  303376 */   // Label 5639: @303376
     /*  303376 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303439), // Rule ID 9618 //
     /*  303381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303437 */     GIR_RootConstrainSelectedInstOperands,
     /*  303438 */     // GIR_Coverage, 9618,
     /*  303438 */     GIR_EraseRootFromParent_Done,
     /*  303439 */   // Label 5640: @303439
     /*  303439 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303502), // Rule ID 9619 //
     /*  303444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303500 */     GIR_RootConstrainSelectedInstOperands,
     /*  303501 */     // GIR_Coverage, 9619,
     /*  303501 */     GIR_EraseRootFromParent_Done,
     /*  303502 */   // Label 5641: @303502
     /*  303502 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303565), // Rule ID 9622 //
     /*  303507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303546 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303563 */     GIR_RootConstrainSelectedInstOperands,
     /*  303564 */     // GIR_Coverage, 9622,
     /*  303564 */     GIR_EraseRootFromParent_Done,
     /*  303565 */   // Label 5642: @303565
     /*  303565 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303628), // Rule ID 9623 //
     /*  303570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303609 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303626 */     GIR_RootConstrainSelectedInstOperands,
     /*  303627 */     // GIR_Coverage, 9623,
     /*  303627 */     GIR_EraseRootFromParent_Done,
     /*  303628 */   // Label 5643: @303628
     /*  303628 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303691), // Rule ID 9626 //
     /*  303633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303689 */     GIR_RootConstrainSelectedInstOperands,
     /*  303690 */     // GIR_Coverage, 9626,
     /*  303690 */     GIR_EraseRootFromParent_Done,
     /*  303691 */   // Label 5644: @303691
     /*  303691 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303754), // Rule ID 9627 //
     /*  303696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303735 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303752 */     GIR_RootConstrainSelectedInstOperands,
     /*  303753 */     // GIR_Coverage, 9627,
     /*  303753 */     GIR_EraseRootFromParent_Done,
     /*  303754 */   // Label 5645: @303754
     /*  303754 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303817), // Rule ID 9630 //
     /*  303759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303815 */     GIR_RootConstrainSelectedInstOperands,
     /*  303816 */     // GIR_Coverage, 9630,
     /*  303816 */     GIR_EraseRootFromParent_Done,
     /*  303817 */   // Label 5646: @303817
     /*  303817 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303880), // Rule ID 9631 //
     /*  303822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303878 */     GIR_RootConstrainSelectedInstOperands,
     /*  303879 */     // GIR_Coverage, 9631,
     /*  303879 */     GIR_EraseRootFromParent_Done,
     /*  303880 */   // Label 5647: @303880
     /*  303880 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303943), // Rule ID 9634 //
     /*  303885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  303927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303941 */     GIR_RootConstrainSelectedInstOperands,
     /*  303942 */     // GIR_Coverage, 9634,
     /*  303942 */     GIR_EraseRootFromParent_Done,
     /*  303943 */   // Label 5648: @303943
     /*  303943 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(304006), // Rule ID 9635 //
     /*  303948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  303990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304004 */     GIR_RootConstrainSelectedInstOperands,
     /*  304005 */     // GIR_Coverage, 9635,
     /*  304005 */     GIR_EraseRootFromParent_Done,
     /*  304006 */   // Label 5649: @304006
     /*  304006 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(304069), // Rule ID 9638 //
     /*  304011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304050 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304067 */     GIR_RootConstrainSelectedInstOperands,
     /*  304068 */     // GIR_Coverage, 9638,
     /*  304068 */     GIR_EraseRootFromParent_Done,
     /*  304069 */   // Label 5650: @304069
     /*  304069 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(304132), // Rule ID 9639 //
     /*  304074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304130 */     GIR_RootConstrainSelectedInstOperands,
     /*  304131 */     // GIR_Coverage, 9639,
     /*  304131 */     GIR_EraseRootFromParent_Done,
     /*  304132 */   // Label 5651: @304132
     /*  304132 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(304195), // Rule ID 9642 //
     /*  304137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304193 */     GIR_RootConstrainSelectedInstOperands,
     /*  304194 */     // GIR_Coverage, 9642,
     /*  304194 */     GIR_EraseRootFromParent_Done,
     /*  304195 */   // Label 5652: @304195
     /*  304195 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(304258), // Rule ID 9643 //
     /*  304200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304256 */     GIR_RootConstrainSelectedInstOperands,
     /*  304257 */     // GIR_Coverage, 9643,
     /*  304257 */     GIR_EraseRootFromParent_Done,
     /*  304258 */   // Label 5653: @304258
     /*  304258 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(304321), // Rule ID 9646 //
     /*  304263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304302 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304319 */     GIR_RootConstrainSelectedInstOperands,
     /*  304320 */     // GIR_Coverage, 9646,
     /*  304320 */     GIR_EraseRootFromParent_Done,
     /*  304321 */   // Label 5654: @304321
     /*  304321 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(304384), // Rule ID 9647 //
     /*  304326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304382 */     GIR_RootConstrainSelectedInstOperands,
     /*  304383 */     // GIR_Coverage, 9647,
     /*  304383 */     GIR_EraseRootFromParent_Done,
     /*  304384 */   // Label 5655: @304384
     /*  304384 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304447), // Rule ID 9650 //
     /*  304389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304445 */     GIR_RootConstrainSelectedInstOperands,
     /*  304446 */     // GIR_Coverage, 9650,
     /*  304446 */     GIR_EraseRootFromParent_Done,
     /*  304447 */   // Label 5656: @304447
     /*  304447 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304510), // Rule ID 9651 //
     /*  304452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304508 */     GIR_RootConstrainSelectedInstOperands,
     /*  304509 */     // GIR_Coverage, 9651,
     /*  304509 */     GIR_EraseRootFromParent_Done,
     /*  304510 */   // Label 5657: @304510
     /*  304510 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304573), // Rule ID 9654 //
     /*  304515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304571 */     GIR_RootConstrainSelectedInstOperands,
     /*  304572 */     // GIR_Coverage, 9654,
     /*  304572 */     GIR_EraseRootFromParent_Done,
     /*  304573 */   // Label 5658: @304573
     /*  304573 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304636), // Rule ID 9655 //
     /*  304578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304634 */     GIR_RootConstrainSelectedInstOperands,
     /*  304635 */     // GIR_Coverage, 9655,
     /*  304635 */     GIR_EraseRootFromParent_Done,
     /*  304636 */   // Label 5659: @304636
     /*  304636 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304699), // Rule ID 9658 //
     /*  304641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304697 */     GIR_RootConstrainSelectedInstOperands,
     /*  304698 */     // GIR_Coverage, 9658,
     /*  304698 */     GIR_EraseRootFromParent_Done,
     /*  304699 */   // Label 5660: @304699
     /*  304699 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304762), // Rule ID 9659 //
     /*  304704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304760 */     GIR_RootConstrainSelectedInstOperands,
     /*  304761 */     // GIR_Coverage, 9659,
     /*  304761 */     GIR_EraseRootFromParent_Done,
     /*  304762 */   // Label 5661: @304762
     /*  304762 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304825), // Rule ID 9662 //
     /*  304767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304806 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304823 */     GIR_RootConstrainSelectedInstOperands,
     /*  304824 */     // GIR_Coverage, 9662,
     /*  304824 */     GIR_EraseRootFromParent_Done,
     /*  304825 */   // Label 5662: @304825
     /*  304825 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304888), // Rule ID 9663 //
     /*  304830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304886 */     GIR_RootConstrainSelectedInstOperands,
     /*  304887 */     // GIR_Coverage, 9663,
     /*  304887 */     GIR_EraseRootFromParent_Done,
     /*  304888 */   // Label 5663: @304888
     /*  304888 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304951), // Rule ID 9666 //
     /*  304893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304949 */     GIR_RootConstrainSelectedInstOperands,
     /*  304950 */     // GIR_Coverage, 9666,
     /*  304950 */     GIR_EraseRootFromParent_Done,
     /*  304951 */   // Label 5664: @304951
     /*  304951 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(305014), // Rule ID 9667 //
     /*  304956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305012 */     GIR_RootConstrainSelectedInstOperands,
     /*  305013 */     // GIR_Coverage, 9667,
     /*  305013 */     GIR_EraseRootFromParent_Done,
     /*  305014 */   // Label 5665: @305014
     /*  305014 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(305077), // Rule ID 9670 //
     /*  305019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305075 */     GIR_RootConstrainSelectedInstOperands,
     /*  305076 */     // GIR_Coverage, 9670,
     /*  305076 */     GIR_EraseRootFromParent_Done,
     /*  305077 */   // Label 5666: @305077
     /*  305077 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(305140), // Rule ID 9671 //
     /*  305082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305138 */     GIR_RootConstrainSelectedInstOperands,
     /*  305139 */     // GIR_Coverage, 9671,
     /*  305139 */     GIR_EraseRootFromParent_Done,
     /*  305140 */   // Label 5667: @305140
     /*  305140 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(305203), // Rule ID 9674 //
     /*  305145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305201 */     GIR_RootConstrainSelectedInstOperands,
     /*  305202 */     // GIR_Coverage, 9674,
     /*  305202 */     GIR_EraseRootFromParent_Done,
     /*  305203 */   // Label 5668: @305203
     /*  305203 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(305266), // Rule ID 9675 //
     /*  305208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305264 */     GIR_RootConstrainSelectedInstOperands,
     /*  305265 */     // GIR_Coverage, 9675,
     /*  305265 */     GIR_EraseRootFromParent_Done,
     /*  305266 */   // Label 5669: @305266
     /*  305266 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(305329), // Rule ID 9678 //
     /*  305271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305310 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305327 */     GIR_RootConstrainSelectedInstOperands,
     /*  305328 */     // GIR_Coverage, 9678,
     /*  305328 */     GIR_EraseRootFromParent_Done,
     /*  305329 */   // Label 5670: @305329
     /*  305329 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(305392), // Rule ID 9679 //
     /*  305334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305373 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305390 */     GIR_RootConstrainSelectedInstOperands,
     /*  305391 */     // GIR_Coverage, 9679,
     /*  305391 */     GIR_EraseRootFromParent_Done,
     /*  305392 */   // Label 5671: @305392
     /*  305392 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305455), // Rule ID 9682 //
     /*  305397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305453 */     GIR_RootConstrainSelectedInstOperands,
     /*  305454 */     // GIR_Coverage, 9682,
     /*  305454 */     GIR_EraseRootFromParent_Done,
     /*  305455 */   // Label 5672: @305455
     /*  305455 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305518), // Rule ID 9683 //
     /*  305460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305499 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305516 */     GIR_RootConstrainSelectedInstOperands,
     /*  305517 */     // GIR_Coverage, 9683,
     /*  305517 */     GIR_EraseRootFromParent_Done,
     /*  305518 */   // Label 5673: @305518
     /*  305518 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305581), // Rule ID 9686 //
     /*  305523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305579 */     GIR_RootConstrainSelectedInstOperands,
     /*  305580 */     // GIR_Coverage, 9686,
     /*  305580 */     GIR_EraseRootFromParent_Done,
     /*  305581 */   // Label 5674: @305581
     /*  305581 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305644), // Rule ID 9687 //
     /*  305586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305642 */     GIR_RootConstrainSelectedInstOperands,
     /*  305643 */     // GIR_Coverage, 9687,
     /*  305643 */     GIR_EraseRootFromParent_Done,
     /*  305644 */   // Label 5675: @305644
     /*  305644 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305707), // Rule ID 9690 //
     /*  305649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305705 */     GIR_RootConstrainSelectedInstOperands,
     /*  305706 */     // GIR_Coverage, 9690,
     /*  305706 */     GIR_EraseRootFromParent_Done,
     /*  305707 */   // Label 5676: @305707
     /*  305707 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305770), // Rule ID 9691 //
     /*  305712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305751 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305768 */     GIR_RootConstrainSelectedInstOperands,
     /*  305769 */     // GIR_Coverage, 9691,
     /*  305769 */     GIR_EraseRootFromParent_Done,
     /*  305770 */   // Label 5677: @305770
     /*  305770 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305833), // Rule ID 9694 //
     /*  305775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305814 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305831 */     GIR_RootConstrainSelectedInstOperands,
     /*  305832 */     // GIR_Coverage, 9694,
     /*  305832 */     GIR_EraseRootFromParent_Done,
     /*  305833 */   // Label 5678: @305833
     /*  305833 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305896), // Rule ID 9695 //
     /*  305838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305877 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305894 */     GIR_RootConstrainSelectedInstOperands,
     /*  305895 */     // GIR_Coverage, 9695,
     /*  305895 */     GIR_EraseRootFromParent_Done,
     /*  305896 */   // Label 5679: @305896
     /*  305896 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305959), // Rule ID 9698 //
     /*  305901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305957 */     GIR_RootConstrainSelectedInstOperands,
     /*  305958 */     // GIR_Coverage, 9698,
     /*  305958 */     GIR_EraseRootFromParent_Done,
     /*  305959 */   // Label 5680: @305959
     /*  305959 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(306022), // Rule ID 9699 //
     /*  305964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306020 */     GIR_RootConstrainSelectedInstOperands,
     /*  306021 */     // GIR_Coverage, 9699,
     /*  306021 */     GIR_EraseRootFromParent_Done,
     /*  306022 */   // Label 5681: @306022
     /*  306022 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(306085), // Rule ID 9702 //
     /*  306027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306066 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306083 */     GIR_RootConstrainSelectedInstOperands,
     /*  306084 */     // GIR_Coverage, 9702,
     /*  306084 */     GIR_EraseRootFromParent_Done,
     /*  306085 */   // Label 5682: @306085
     /*  306085 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(306148), // Rule ID 9703 //
     /*  306090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306146 */     GIR_RootConstrainSelectedInstOperands,
     /*  306147 */     // GIR_Coverage, 9703,
     /*  306147 */     GIR_EraseRootFromParent_Done,
     /*  306148 */   // Label 5683: @306148
     /*  306148 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(306211), // Rule ID 9706 //
     /*  306153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306209 */     GIR_RootConstrainSelectedInstOperands,
     /*  306210 */     // GIR_Coverage, 9706,
     /*  306210 */     GIR_EraseRootFromParent_Done,
     /*  306211 */   // Label 5684: @306211
     /*  306211 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(306274), // Rule ID 9707 //
     /*  306216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306255 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306272 */     GIR_RootConstrainSelectedInstOperands,
     /*  306273 */     // GIR_Coverage, 9707,
     /*  306273 */     GIR_EraseRootFromParent_Done,
     /*  306274 */   // Label 5685: @306274
     /*  306274 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(306337), // Rule ID 9710 //
     /*  306279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306335 */     GIR_RootConstrainSelectedInstOperands,
     /*  306336 */     // GIR_Coverage, 9710,
     /*  306336 */     GIR_EraseRootFromParent_Done,
     /*  306337 */   // Label 5686: @306337
     /*  306337 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306400), // Rule ID 9711 //
     /*  306342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306398 */     GIR_RootConstrainSelectedInstOperands,
     /*  306399 */     // GIR_Coverage, 9711,
     /*  306399 */     GIR_EraseRootFromParent_Done,
     /*  306400 */   // Label 5687: @306400
     /*  306400 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306463), // Rule ID 9714 //
     /*  306405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306461 */     GIR_RootConstrainSelectedInstOperands,
     /*  306462 */     // GIR_Coverage, 9714,
     /*  306462 */     GIR_EraseRootFromParent_Done,
     /*  306463 */   // Label 5688: @306463
     /*  306463 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306526), // Rule ID 9715 //
     /*  306468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306524 */     GIR_RootConstrainSelectedInstOperands,
     /*  306525 */     // GIR_Coverage, 9715,
     /*  306525 */     GIR_EraseRootFromParent_Done,
     /*  306526 */   // Label 5689: @306526
     /*  306526 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306589), // Rule ID 9718 //
     /*  306531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306587 */     GIR_RootConstrainSelectedInstOperands,
     /*  306588 */     // GIR_Coverage, 9718,
     /*  306588 */     GIR_EraseRootFromParent_Done,
     /*  306589 */   // Label 5690: @306589
     /*  306589 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306652), // Rule ID 9719 //
     /*  306594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306650 */     GIR_RootConstrainSelectedInstOperands,
     /*  306651 */     // GIR_Coverage, 9719,
     /*  306651 */     GIR_EraseRootFromParent_Done,
     /*  306652 */   // Label 5691: @306652
     /*  306652 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306715), // Rule ID 9722 //
     /*  306657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  306699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306713 */     GIR_RootConstrainSelectedInstOperands,
     /*  306714 */     // GIR_Coverage, 9722,
     /*  306714 */     GIR_EraseRootFromParent_Done,
     /*  306715 */   // Label 5692: @306715
     /*  306715 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306778), // Rule ID 9723 //
     /*  306720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306759 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  306762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306776 */     GIR_RootConstrainSelectedInstOperands,
     /*  306777 */     // GIR_Coverage, 9723,
     /*  306777 */     GIR_EraseRootFromParent_Done,
     /*  306778 */   // Label 5693: @306778
     /*  306778 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306841), // Rule ID 9726 //
     /*  306783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306839 */     GIR_RootConstrainSelectedInstOperands,
     /*  306840 */     // GIR_Coverage, 9726,
     /*  306840 */     GIR_EraseRootFromParent_Done,
     /*  306841 */   // Label 5694: @306841
     /*  306841 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306904), // Rule ID 9727 //
     /*  306846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306902 */     GIR_RootConstrainSelectedInstOperands,
     /*  306903 */     // GIR_Coverage, 9727,
     /*  306903 */     GIR_EraseRootFromParent_Done,
     /*  306904 */   // Label 5695: @306904
     /*  306904 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306967), // Rule ID 9730 //
     /*  306909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  306951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306965 */     GIR_RootConstrainSelectedInstOperands,
     /*  306966 */     // GIR_Coverage, 9730,
     /*  306966 */     GIR_EraseRootFromParent_Done,
     /*  306967 */   // Label 5696: @306967
     /*  306967 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(307030), // Rule ID 9731 //
     /*  306972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307011 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307028 */     GIR_RootConstrainSelectedInstOperands,
     /*  307029 */     // GIR_Coverage, 9731,
     /*  307029 */     GIR_EraseRootFromParent_Done,
     /*  307030 */   // Label 5697: @307030
     /*  307030 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(307093), // Rule ID 9734 //
     /*  307035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307091 */     GIR_RootConstrainSelectedInstOperands,
     /*  307092 */     // GIR_Coverage, 9734,
     /*  307092 */     GIR_EraseRootFromParent_Done,
     /*  307093 */   // Label 5698: @307093
     /*  307093 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(307156), // Rule ID 9735 //
     /*  307098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307154 */     GIR_RootConstrainSelectedInstOperands,
     /*  307155 */     // GIR_Coverage, 9735,
     /*  307155 */     GIR_EraseRootFromParent_Done,
     /*  307156 */   // Label 5699: @307156
     /*  307156 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(307219), // Rule ID 9738 //
     /*  307161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307217 */     GIR_RootConstrainSelectedInstOperands,
     /*  307218 */     // GIR_Coverage, 9738,
     /*  307218 */     GIR_EraseRootFromParent_Done,
     /*  307219 */   // Label 5700: @307219
     /*  307219 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(307282), // Rule ID 9739 //
     /*  307224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307280 */     GIR_RootConstrainSelectedInstOperands,
     /*  307281 */     // GIR_Coverage, 9739,
     /*  307281 */     GIR_EraseRootFromParent_Done,
     /*  307282 */   // Label 5701: @307282
     /*  307282 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(307345), // Rule ID 9742 //
     /*  307287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307326 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307343 */     GIR_RootConstrainSelectedInstOperands,
     /*  307344 */     // GIR_Coverage, 9742,
     /*  307344 */     GIR_EraseRootFromParent_Done,
     /*  307345 */   // Label 5702: @307345
     /*  307345 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307408), // Rule ID 9743 //
     /*  307350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307406 */     GIR_RootConstrainSelectedInstOperands,
     /*  307407 */     // GIR_Coverage, 9743,
     /*  307407 */     GIR_EraseRootFromParent_Done,
     /*  307408 */   // Label 5703: @307408
     /*  307408 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307471), // Rule ID 9746 //
     /*  307413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307469 */     GIR_RootConstrainSelectedInstOperands,
     /*  307470 */     // GIR_Coverage, 9746,
     /*  307470 */     GIR_EraseRootFromParent_Done,
     /*  307471 */   // Label 5704: @307471
     /*  307471 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307534), // Rule ID 9747 //
     /*  307476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307532 */     GIR_RootConstrainSelectedInstOperands,
     /*  307533 */     // GIR_Coverage, 9747,
     /*  307533 */     GIR_EraseRootFromParent_Done,
     /*  307534 */   // Label 5705: @307534
     /*  307534 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307597), // Rule ID 9750 //
     /*  307539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307578 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307595 */     GIR_RootConstrainSelectedInstOperands,
     /*  307596 */     // GIR_Coverage, 9750,
     /*  307596 */     GIR_EraseRootFromParent_Done,
     /*  307597 */   // Label 5706: @307597
     /*  307597 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307660), // Rule ID 9751 //
     /*  307602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307658 */     GIR_RootConstrainSelectedInstOperands,
     /*  307659 */     // GIR_Coverage, 9751,
     /*  307659 */     GIR_EraseRootFromParent_Done,
     /*  307660 */   // Label 5707: @307660
     /*  307660 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307723), // Rule ID 9754 //
     /*  307665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307721 */     GIR_RootConstrainSelectedInstOperands,
     /*  307722 */     // GIR_Coverage, 9754,
     /*  307722 */     GIR_EraseRootFromParent_Done,
     /*  307723 */   // Label 5708: @307723
     /*  307723 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307786), // Rule ID 9755 //
     /*  307728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307767 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307784 */     GIR_RootConstrainSelectedInstOperands,
     /*  307785 */     // GIR_Coverage, 9755,
     /*  307785 */     GIR_EraseRootFromParent_Done,
     /*  307786 */   // Label 5709: @307786
     /*  307786 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307849), // Rule ID 9758 //
     /*  307791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307847 */     GIR_RootConstrainSelectedInstOperands,
     /*  307848 */     // GIR_Coverage, 9758,
     /*  307848 */     GIR_EraseRootFromParent_Done,
     /*  307849 */   // Label 5710: @307849
     /*  307849 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307912), // Rule ID 9759 //
     /*  307854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307910 */     GIR_RootConstrainSelectedInstOperands,
     /*  307911 */     // GIR_Coverage, 9759,
     /*  307911 */     GIR_EraseRootFromParent_Done,
     /*  307912 */   // Label 5711: @307912
     /*  307912 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307975), // Rule ID 9762 //
     /*  307917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  307959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307973 */     GIR_RootConstrainSelectedInstOperands,
     /*  307974 */     // GIR_Coverage, 9762,
     /*  307974 */     GIR_EraseRootFromParent_Done,
     /*  307975 */   // Label 5712: @307975
     /*  307975 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(308038), // Rule ID 9763 //
     /*  307980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308019 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308036 */     GIR_RootConstrainSelectedInstOperands,
     /*  308037 */     // GIR_Coverage, 9763,
     /*  308037 */     GIR_EraseRootFromParent_Done,
     /*  308038 */   // Label 5713: @308038
     /*  308038 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(308101), // Rule ID 9766 //
     /*  308043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308082 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308099 */     GIR_RootConstrainSelectedInstOperands,
     /*  308100 */     // GIR_Coverage, 9766,
     /*  308100 */     GIR_EraseRootFromParent_Done,
     /*  308101 */   // Label 5714: @308101
     /*  308101 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(308164), // Rule ID 9767 //
     /*  308106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308145 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308162 */     GIR_RootConstrainSelectedInstOperands,
     /*  308163 */     // GIR_Coverage, 9767,
     /*  308163 */     GIR_EraseRootFromParent_Done,
     /*  308164 */   // Label 5715: @308164
     /*  308164 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(308227), // Rule ID 9770 //
     /*  308169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  308180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  308183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  308186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308208 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308225 */     GIR_RootConstrainSelectedInstOperands,
     /*  308226 */     // GIR_Coverage, 9770,
     /*  308226 */     GIR_EraseRootFromParent_Done,
     /*  308227 */   // Label 5716: @308227
     /*  308227 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(308290), // Rule ID 9771 //
     /*  308232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  308243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  308246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  308249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308288 */     GIR_RootConstrainSelectedInstOperands,
     /*  308289 */     // GIR_Coverage, 9771,
     /*  308289 */     GIR_EraseRootFromParent_Done,
     /*  308290 */   // Label 5717: @308290
     /*  308290 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(308353), // Rule ID 9774 //
     /*  308295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308351 */     GIR_RootConstrainSelectedInstOperands,
     /*  308352 */     // GIR_Coverage, 9774,
     /*  308352 */     GIR_EraseRootFromParent_Done,
     /*  308353 */   // Label 5718: @308353
     /*  308353 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308416), // Rule ID 9775 //
     /*  308358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308414 */     GIR_RootConstrainSelectedInstOperands,
     /*  308415 */     // GIR_Coverage, 9775,
     /*  308415 */     GIR_EraseRootFromParent_Done,
     /*  308416 */   // Label 5719: @308416
     /*  308416 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308479), // Rule ID 9778 //
     /*  308421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308477 */     GIR_RootConstrainSelectedInstOperands,
     /*  308478 */     // GIR_Coverage, 9778,
     /*  308478 */     GIR_EraseRootFromParent_Done,
     /*  308479 */   // Label 5720: @308479
     /*  308479 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308542), // Rule ID 9779 //
     /*  308484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308523 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308540 */     GIR_RootConstrainSelectedInstOperands,
     /*  308541 */     // GIR_Coverage, 9779,
     /*  308541 */     GIR_EraseRootFromParent_Done,
     /*  308542 */   // Label 5721: @308542
     /*  308542 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308605), // Rule ID 9782 //
     /*  308547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308586 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308603 */     GIR_RootConstrainSelectedInstOperands,
     /*  308604 */     // GIR_Coverage, 9782,
     /*  308604 */     GIR_EraseRootFromParent_Done,
     /*  308605 */   // Label 5722: @308605
     /*  308605 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308668), // Rule ID 9783 //
     /*  308610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308666 */     GIR_RootConstrainSelectedInstOperands,
     /*  308667 */     // GIR_Coverage, 9783,
     /*  308667 */     GIR_EraseRootFromParent_Done,
     /*  308668 */   // Label 5723: @308668
     /*  308668 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308731), // Rule ID 9786 //
     /*  308673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308729 */     GIR_RootConstrainSelectedInstOperands,
     /*  308730 */     // GIR_Coverage, 9786,
     /*  308730 */     GIR_EraseRootFromParent_Done,
     /*  308731 */   // Label 5724: @308731
     /*  308731 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308794), // Rule ID 9787 //
     /*  308736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308775 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308792 */     GIR_RootConstrainSelectedInstOperands,
     /*  308793 */     // GIR_Coverage, 9787,
     /*  308793 */     GIR_EraseRootFromParent_Done,
     /*  308794 */   // Label 5725: @308794
     /*  308794 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308857), // Rule ID 9790 //
     /*  308799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308855 */     GIR_RootConstrainSelectedInstOperands,
     /*  308856 */     // GIR_Coverage, 9790,
     /*  308856 */     GIR_EraseRootFromParent_Done,
     /*  308857 */   // Label 5726: @308857
     /*  308857 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308920), // Rule ID 9791 //
     /*  308862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308918 */     GIR_RootConstrainSelectedInstOperands,
     /*  308919 */     // GIR_Coverage, 9791,
     /*  308919 */     GIR_EraseRootFromParent_Done,
     /*  308920 */   // Label 5727: @308920
     /*  308920 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308983), // Rule ID 9794 //
     /*  308925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308981 */     GIR_RootConstrainSelectedInstOperands,
     /*  308982 */     // GIR_Coverage, 9794,
     /*  308982 */     GIR_EraseRootFromParent_Done,
     /*  308983 */   // Label 5728: @308983
     /*  308983 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(309046), // Rule ID 9795 //
     /*  308988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309027 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309044 */     GIR_RootConstrainSelectedInstOperands,
     /*  309045 */     // GIR_Coverage, 9795,
     /*  309045 */     GIR_EraseRootFromParent_Done,
     /*  309046 */   // Label 5729: @309046
     /*  309046 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(309109), // Rule ID 9798 //
     /*  309051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309107 */     GIR_RootConstrainSelectedInstOperands,
     /*  309108 */     // GIR_Coverage, 9798,
     /*  309108 */     GIR_EraseRootFromParent_Done,
     /*  309109 */   // Label 5730: @309109
     /*  309109 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(309172), // Rule ID 9799 //
     /*  309114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309153 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309170 */     GIR_RootConstrainSelectedInstOperands,
     /*  309171 */     // GIR_Coverage, 9799,
     /*  309171 */     GIR_EraseRootFromParent_Done,
     /*  309172 */   // Label 5731: @309172
     /*  309172 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(309235), // Rule ID 9802 //
     /*  309177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309233 */     GIR_RootConstrainSelectedInstOperands,
     /*  309234 */     // GIR_Coverage, 9802,
     /*  309234 */     GIR_EraseRootFromParent_Done,
     /*  309235 */   // Label 5732: @309235
     /*  309235 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(309298), // Rule ID 9803 //
     /*  309240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309296 */     GIR_RootConstrainSelectedInstOperands,
     /*  309297 */     // GIR_Coverage, 9803,
     /*  309297 */     GIR_EraseRootFromParent_Done,
     /*  309298 */   // Label 5733: @309298
     /*  309298 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309361), // Rule ID 9806 //
     /*  309303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309359 */     GIR_RootConstrainSelectedInstOperands,
     /*  309360 */     // GIR_Coverage, 9806,
     /*  309360 */     GIR_EraseRootFromParent_Done,
     /*  309361 */   // Label 5734: @309361
     /*  309361 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309424), // Rule ID 9807 //
     /*  309366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309422 */     GIR_RootConstrainSelectedInstOperands,
     /*  309423 */     // GIR_Coverage, 9807,
     /*  309423 */     GIR_EraseRootFromParent_Done,
     /*  309424 */   // Label 5735: @309424
     /*  309424 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309487), // Rule ID 9810 //
     /*  309429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  309471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309485 */     GIR_RootConstrainSelectedInstOperands,
     /*  309486 */     // GIR_Coverage, 9810,
     /*  309486 */     GIR_EraseRootFromParent_Done,
     /*  309487 */   // Label 5736: @309487
     /*  309487 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309550), // Rule ID 9811 //
     /*  309492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309531 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  309534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309548 */     GIR_RootConstrainSelectedInstOperands,
     /*  309549 */     // GIR_Coverage, 9811,
     /*  309549 */     GIR_EraseRootFromParent_Done,
     /*  309550 */   // Label 5737: @309550
     /*  309550 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309613), // Rule ID 9814 //
     /*  309555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  309569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  309572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309611 */     GIR_RootConstrainSelectedInstOperands,
     /*  309612 */     // GIR_Coverage, 9814,
     /*  309612 */     GIR_EraseRootFromParent_Done,
     /*  309613 */   // Label 5738: @309613
     /*  309613 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309676), // Rule ID 9815 //
     /*  309618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  309632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  309635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309674 */     GIR_RootConstrainSelectedInstOperands,
     /*  309675 */     // GIR_Coverage, 9815,
     /*  309675 */     GIR_EraseRootFromParent_Done,
     /*  309676 */   // Label 5739: @309676
     /*  309676 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309739), // Rule ID 9818 //
     /*  309681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  309695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  309698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309737 */     GIR_RootConstrainSelectedInstOperands,
     /*  309738 */     // GIR_Coverage, 9818,
     /*  309738 */     GIR_EraseRootFromParent_Done,
     /*  309739 */   // Label 5740: @309739
     /*  309739 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309802), // Rule ID 9819 //
     /*  309744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  309758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  309761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309783 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309800 */     GIR_RootConstrainSelectedInstOperands,
     /*  309801 */     // GIR_Coverage, 9819,
     /*  309801 */     GIR_EraseRootFromParent_Done,
     /*  309802 */   // Label 5741: @309802
     /*  309802 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309865), // Rule ID 9822 //
     /*  309807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309846 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309863 */     GIR_RootConstrainSelectedInstOperands,
     /*  309864 */     // GIR_Coverage, 9822,
     /*  309864 */     GIR_EraseRootFromParent_Done,
     /*  309865 */   // Label 5742: @309865
     /*  309865 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309928), // Rule ID 9823 //
     /*  309870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309926 */     GIR_RootConstrainSelectedInstOperands,
     /*  309927 */     // GIR_Coverage, 9823,
     /*  309927 */     GIR_EraseRootFromParent_Done,
     /*  309928 */   // Label 5743: @309928
     /*  309928 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309991), // Rule ID 9826 //
     /*  309933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309989 */     GIR_RootConstrainSelectedInstOperands,
     /*  309990 */     // GIR_Coverage, 9826,
     /*  309990 */     GIR_EraseRootFromParent_Done,
     /*  309991 */   // Label 5744: @309991
     /*  309991 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(310054), // Rule ID 9827 //
     /*  309996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310035 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310052 */     GIR_RootConstrainSelectedInstOperands,
     /*  310053 */     // GIR_Coverage, 9827,
     /*  310053 */     GIR_EraseRootFromParent_Done,
     /*  310054 */   // Label 5745: @310054
     /*  310054 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(310117), // Rule ID 9830 //
     /*  310059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310115 */     GIR_RootConstrainSelectedInstOperands,
     /*  310116 */     // GIR_Coverage, 9830,
     /*  310116 */     GIR_EraseRootFromParent_Done,
     /*  310117 */   // Label 5746: @310117
     /*  310117 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(310180), // Rule ID 9831 //
     /*  310122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310178 */     GIR_RootConstrainSelectedInstOperands,
     /*  310179 */     // GIR_Coverage, 9831,
     /*  310179 */     GIR_EraseRootFromParent_Done,
     /*  310180 */   // Label 5747: @310180
     /*  310180 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(310243), // Rule ID 9834 //
     /*  310185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  310199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  310202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310241 */     GIR_RootConstrainSelectedInstOperands,
     /*  310242 */     // GIR_Coverage, 9834,
     /*  310242 */     GIR_EraseRootFromParent_Done,
     /*  310243 */   // Label 5748: @310243
     /*  310243 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310306), // Rule ID 9835 //
     /*  310248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  310262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  310265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310304 */     GIR_RootConstrainSelectedInstOperands,
     /*  310305 */     // GIR_Coverage, 9835,
     /*  310305 */     GIR_EraseRootFromParent_Done,
     /*  310306 */   // Label 5749: @310306
     /*  310306 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310369), // Rule ID 9838 //
     /*  310311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310367 */     GIR_RootConstrainSelectedInstOperands,
     /*  310368 */     // GIR_Coverage, 9838,
     /*  310368 */     GIR_EraseRootFromParent_Done,
     /*  310369 */   // Label 5750: @310369
     /*  310369 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310432), // Rule ID 9839 //
     /*  310374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310430 */     GIR_RootConstrainSelectedInstOperands,
     /*  310431 */     // GIR_Coverage, 9839,
     /*  310431 */     GIR_EraseRootFromParent_Done,
     /*  310432 */   // Label 5751: @310432
     /*  310432 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310495), // Rule ID 9842 //
     /*  310437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310493 */     GIR_RootConstrainSelectedInstOperands,
     /*  310494 */     // GIR_Coverage, 9842,
     /*  310494 */     GIR_EraseRootFromParent_Done,
     /*  310495 */   // Label 5752: @310495
     /*  310495 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310558), // Rule ID 9843 //
     /*  310500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310556 */     GIR_RootConstrainSelectedInstOperands,
     /*  310557 */     // GIR_Coverage, 9843,
     /*  310557 */     GIR_EraseRootFromParent_Done,
     /*  310558 */   // Label 5753: @310558
     /*  310558 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310621), // Rule ID 9846 //
     /*  310563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  310580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  310602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310619 */     GIR_RootConstrainSelectedInstOperands,
     /*  310620 */     // GIR_Coverage, 9846,
     /*  310620 */     GIR_EraseRootFromParent_Done,
     /*  310621 */   // Label 5754: @310621
     /*  310621 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310684), // Rule ID 9847 //
     /*  310626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  310643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  310665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310682 */     GIR_RootConstrainSelectedInstOperands,
     /*  310683 */     // GIR_Coverage, 9847,
     /*  310683 */     GIR_EraseRootFromParent_Done,
     /*  310684 */   // Label 5755: @310684
     /*  310684 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310747), // Rule ID 9850 //
     /*  310689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  310700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  310703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  310706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310745 */     GIR_RootConstrainSelectedInstOperands,
     /*  310746 */     // GIR_Coverage, 9850,
     /*  310746 */     GIR_EraseRootFromParent_Done,
     /*  310747 */   // Label 5756: @310747
     /*  310747 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310810), // Rule ID 9851 //
     /*  310752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  310763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  310766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  310769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310808 */     GIR_RootConstrainSelectedInstOperands,
     /*  310809 */     // GIR_Coverage, 9851,
     /*  310809 */     GIR_EraseRootFromParent_Done,
     /*  310810 */   // Label 5757: @310810
     /*  310810 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310873), // Rule ID 9854 //
     /*  310815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  310826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  310829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  310832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  310857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310871 */     GIR_RootConstrainSelectedInstOperands,
     /*  310872 */     // GIR_Coverage, 9854,
     /*  310872 */     GIR_EraseRootFromParent_Done,
     /*  310873 */   // Label 5758: @310873
     /*  310873 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310936), // Rule ID 9855 //
     /*  310878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  310889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  310892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  310895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310917 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  310920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310934 */     GIR_RootConstrainSelectedInstOperands,
     /*  310935 */     // GIR_Coverage, 9855,
     /*  310935 */     GIR_EraseRootFromParent_Done,
     /*  310936 */   // Label 5759: @310936
     /*  310936 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310999), // Rule ID 9858 //
     /*  310941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  310952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  310955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  310958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310980 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  310983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310997 */     GIR_RootConstrainSelectedInstOperands,
     /*  310998 */     // GIR_Coverage, 9858,
     /*  310998 */     GIR_EraseRootFromParent_Done,
     /*  310999 */   // Label 5760: @310999
     /*  310999 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(311062), // Rule ID 9859 //
     /*  311004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  311015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  311018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  311021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311043 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  311043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311060 */     GIR_RootConstrainSelectedInstOperands,
     /*  311061 */     // GIR_Coverage, 9859,
     /*  311061 */     GIR_EraseRootFromParent_Done,
     /*  311062 */   // Label 5761: @311062
     /*  311062 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(311125), // Rule ID 9862 //
     /*  311067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311123 */     GIR_RootConstrainSelectedInstOperands,
     /*  311124 */     // GIR_Coverage, 9862,
     /*  311124 */     GIR_EraseRootFromParent_Done,
     /*  311125 */   // Label 5762: @311125
     /*  311125 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(311188), // Rule ID 9863 //
     /*  311130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311186 */     GIR_RootConstrainSelectedInstOperands,
     /*  311187 */     // GIR_Coverage, 9863,
     /*  311187 */     GIR_EraseRootFromParent_Done,
     /*  311188 */   // Label 5763: @311188
     /*  311188 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(311251), // Rule ID 9866 //
     /*  311193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311249 */     GIR_RootConstrainSelectedInstOperands,
     /*  311250 */     // GIR_Coverage, 9866,
     /*  311250 */     GIR_EraseRootFromParent_Done,
     /*  311251 */   // Label 5764: @311251
     /*  311251 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311314), // Rule ID 9867 //
     /*  311256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311295 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311312 */     GIR_RootConstrainSelectedInstOperands,
     /*  311313 */     // GIR_Coverage, 9867,
     /*  311313 */     GIR_EraseRootFromParent_Done,
     /*  311314 */   // Label 5765: @311314
     /*  311314 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311377), // Rule ID 9870 //
     /*  311319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311358 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311375 */     GIR_RootConstrainSelectedInstOperands,
     /*  311376 */     // GIR_Coverage, 9870,
     /*  311376 */     GIR_EraseRootFromParent_Done,
     /*  311377 */   // Label 5766: @311377
     /*  311377 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311440), // Rule ID 9871 //
     /*  311382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311421 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311438 */     GIR_RootConstrainSelectedInstOperands,
     /*  311439 */     // GIR_Coverage, 9871,
     /*  311439 */     GIR_EraseRootFromParent_Done,
     /*  311440 */   // Label 5767: @311440
     /*  311440 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311503), // Rule ID 9874 //
     /*  311445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311501 */     GIR_RootConstrainSelectedInstOperands,
     /*  311502 */     // GIR_Coverage, 9874,
     /*  311502 */     GIR_EraseRootFromParent_Done,
     /*  311503 */   // Label 5768: @311503
     /*  311503 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311566), // Rule ID 9875 //
     /*  311508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311564 */     GIR_RootConstrainSelectedInstOperands,
     /*  311565 */     // GIR_Coverage, 9875,
     /*  311565 */     GIR_EraseRootFromParent_Done,
     /*  311566 */   // Label 5769: @311566
     /*  311566 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311629), // Rule ID 9878 //
     /*  311571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311627 */     GIR_RootConstrainSelectedInstOperands,
     /*  311628 */     // GIR_Coverage, 9878,
     /*  311628 */     GIR_EraseRootFromParent_Done,
     /*  311629 */   // Label 5770: @311629
     /*  311629 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311692), // Rule ID 9879 //
     /*  311634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311690 */     GIR_RootConstrainSelectedInstOperands,
     /*  311691 */     // GIR_Coverage, 9879,
     /*  311691 */     GIR_EraseRootFromParent_Done,
     /*  311692 */   // Label 5771: @311692
     /*  311692 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311755), // Rule ID 9882 //
     /*  311697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311736 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311753 */     GIR_RootConstrainSelectedInstOperands,
     /*  311754 */     // GIR_Coverage, 9882,
     /*  311754 */     GIR_EraseRootFromParent_Done,
     /*  311755 */   // Label 5772: @311755
     /*  311755 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311818), // Rule ID 9883 //
     /*  311760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311799 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311816 */     GIR_RootConstrainSelectedInstOperands,
     /*  311817 */     // GIR_Coverage, 9883,
     /*  311817 */     GIR_EraseRootFromParent_Done,
     /*  311818 */   // Label 5773: @311818
     /*  311818 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311881), // Rule ID 9886 //
     /*  311823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311879 */     GIR_RootConstrainSelectedInstOperands,
     /*  311880 */     // GIR_Coverage, 9886,
     /*  311880 */     GIR_EraseRootFromParent_Done,
     /*  311881 */   // Label 5774: @311881
     /*  311881 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311944), // Rule ID 9887 //
     /*  311886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311925 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311942 */     GIR_RootConstrainSelectedInstOperands,
     /*  311943 */     // GIR_Coverage, 9887,
     /*  311943 */     GIR_EraseRootFromParent_Done,
     /*  311944 */   // Label 5775: @311944
     /*  311944 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(312007), // Rule ID 9890 //
     /*  311949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312005 */     GIR_RootConstrainSelectedInstOperands,
     /*  312006 */     // GIR_Coverage, 9890,
     /*  312006 */     GIR_EraseRootFromParent_Done,
     /*  312007 */   // Label 5776: @312007
     /*  312007 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(312070), // Rule ID 9891 //
     /*  312012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  312015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  312023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312051 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  312054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312068 */     GIR_RootConstrainSelectedInstOperands,
     /*  312069 */     // GIR_Coverage, 9891,
     /*  312069 */     GIR_EraseRootFromParent_Done,
     /*  312070 */   // Label 5777: @312070
     /*  312070 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(312133), // Rule ID 9894 //
     /*  312075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  312078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  312114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312131 */     GIR_RootConstrainSelectedInstOperands,
     /*  312132 */     // GIR_Coverage, 9894,
     /*  312132 */     GIR_EraseRootFromParent_Done,
     /*  312133 */   // Label 5778: @312133
     /*  312133 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(312196), // Rule ID 9895 //
     /*  312138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  312141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312177 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312194 */     GIR_RootConstrainSelectedInstOperands,
     /*  312195 */     // GIR_Coverage, 9895,
     /*  312195 */     GIR_EraseRootFromParent_Done,
     /*  312196 */   // Label 5779: @312196
     /*  312196 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(312262), // Rule ID 13970 //
     /*  312201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312240 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312260 */     GIR_RootConstrainSelectedInstOperands,
     /*  312261 */     // GIR_Coverage, 13970,
     /*  312261 */     GIR_EraseRootFromParent_Done,
     /*  312262 */   // Label 5780: @312262
     /*  312262 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312328), // Rule ID 13971 //
     /*  312267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312326 */     GIR_RootConstrainSelectedInstOperands,
     /*  312327 */     // GIR_Coverage, 13971,
     /*  312327 */     GIR_EraseRootFromParent_Done,
     /*  312328 */   // Label 5781: @312328
     /*  312328 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312394), // Rule ID 13972 //
     /*  312333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312392 */     GIR_RootConstrainSelectedInstOperands,
     /*  312393 */     // GIR_Coverage, 13972,
     /*  312393 */     GIR_EraseRootFromParent_Done,
     /*  312394 */   // Label 5782: @312394
     /*  312394 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312460), // Rule ID 13973 //
     /*  312399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312438 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312458 */     GIR_RootConstrainSelectedInstOperands,
     /*  312459 */     // GIR_Coverage, 13973,
     /*  312459 */     GIR_EraseRootFromParent_Done,
     /*  312460 */   // Label 5783: @312460
     /*  312460 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312526), // Rule ID 13974 //
     /*  312465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  312476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  312479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  312482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312524 */     GIR_RootConstrainSelectedInstOperands,
     /*  312525 */     // GIR_Coverage, 13974,
     /*  312525 */     GIR_EraseRootFromParent_Done,
     /*  312526 */   // Label 5784: @312526
     /*  312526 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312592), // Rule ID 13975 //
     /*  312531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  312542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  312545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  312548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312590 */     GIR_RootConstrainSelectedInstOperands,
     /*  312591 */     // GIR_Coverage, 13975,
     /*  312591 */     GIR_EraseRootFromParent_Done,
     /*  312592 */   // Label 5785: @312592
     /*  312592 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312658), // Rule ID 13976 //
     /*  312597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  312608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312656 */     GIR_RootConstrainSelectedInstOperands,
     /*  312657 */     // GIR_Coverage, 13976,
     /*  312657 */     GIR_EraseRootFromParent_Done,
     /*  312658 */   // Label 5786: @312658
     /*  312658 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312724), // Rule ID 13977 //
     /*  312663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  312674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312722 */     GIR_RootConstrainSelectedInstOperands,
     /*  312723 */     // GIR_Coverage, 13977,
     /*  312723 */     GIR_EraseRootFromParent_Done,
     /*  312724 */   // Label 5787: @312724
     /*  312724 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312790), // Rule ID 13978 //
     /*  312729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312788 */     GIR_RootConstrainSelectedInstOperands,
     /*  312789 */     // GIR_Coverage, 13978,
     /*  312789 */     GIR_EraseRootFromParent_Done,
     /*  312790 */   // Label 5788: @312790
     /*  312790 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312856), // Rule ID 13979 //
     /*  312795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312854 */     GIR_RootConstrainSelectedInstOperands,
     /*  312855 */     // GIR_Coverage, 13979,
     /*  312855 */     GIR_EraseRootFromParent_Done,
     /*  312856 */   // Label 5789: @312856
     /*  312856 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312922), // Rule ID 13980 //
     /*  312861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312920 */     GIR_RootConstrainSelectedInstOperands,
     /*  312921 */     // GIR_Coverage, 13980,
     /*  312921 */     GIR_EraseRootFromParent_Done,
     /*  312922 */   // Label 5790: @312922
     /*  312922 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312988), // Rule ID 13981 //
     /*  312927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312986 */     GIR_RootConstrainSelectedInstOperands,
     /*  312987 */     // GIR_Coverage, 13981,
     /*  312987 */     GIR_EraseRootFromParent_Done,
     /*  312988 */   // Label 5791: @312988
     /*  312988 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(313054), // Rule ID 13982 //
     /*  312993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  313004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  313007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  313010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313052 */     GIR_RootConstrainSelectedInstOperands,
     /*  313053 */     // GIR_Coverage, 13982,
     /*  313053 */     GIR_EraseRootFromParent_Done,
     /*  313054 */   // Label 5792: @313054
     /*  313054 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(313120), // Rule ID 13983 //
     /*  313059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  313070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  313073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  313076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313118 */     GIR_RootConstrainSelectedInstOperands,
     /*  313119 */     // GIR_Coverage, 13983,
     /*  313119 */     GIR_EraseRootFromParent_Done,
     /*  313120 */   // Label 5793: @313120
     /*  313120 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(313186), // Rule ID 13984 //
     /*  313125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313184 */     GIR_RootConstrainSelectedInstOperands,
     /*  313185 */     // GIR_Coverage, 13984,
     /*  313185 */     GIR_EraseRootFromParent_Done,
     /*  313186 */   // Label 5794: @313186
     /*  313186 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(313252), // Rule ID 13985 //
     /*  313191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313250 */     GIR_RootConstrainSelectedInstOperands,
     /*  313251 */     // GIR_Coverage, 13985,
     /*  313251 */     GIR_EraseRootFromParent_Done,
     /*  313252 */   // Label 5795: @313252
     /*  313252 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313318), // Rule ID 13986 //
     /*  313257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313316 */     GIR_RootConstrainSelectedInstOperands,
     /*  313317 */     // GIR_Coverage, 13986,
     /*  313317 */     GIR_EraseRootFromParent_Done,
     /*  313318 */   // Label 5796: @313318
     /*  313318 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313384), // Rule ID 13987 //
     /*  313323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313382 */     GIR_RootConstrainSelectedInstOperands,
     /*  313383 */     // GIR_Coverage, 13987,
     /*  313383 */     GIR_EraseRootFromParent_Done,
     /*  313384 */   // Label 5797: @313384
     /*  313384 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313450), // Rule ID 13988 //
     /*  313389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  313392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313448 */     GIR_RootConstrainSelectedInstOperands,
     /*  313449 */     // GIR_Coverage, 13988,
     /*  313449 */     GIR_EraseRootFromParent_Done,
     /*  313450 */   // Label 5798: @313450
     /*  313450 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313516), // Rule ID 13989 //
     /*  313455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  313458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313514 */     GIR_RootConstrainSelectedInstOperands,
     /*  313515 */     // GIR_Coverage, 13989,
     /*  313515 */     GIR_EraseRootFromParent_Done,
     /*  313516 */   // Label 5799: @313516
     /*  313516 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313582), // Rule ID 13990 //
     /*  313521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  313532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  313535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  313538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313580 */     GIR_RootConstrainSelectedInstOperands,
     /*  313581 */     // GIR_Coverage, 13990,
     /*  313581 */     GIR_EraseRootFromParent_Done,
     /*  313582 */   // Label 5800: @313582
     /*  313582 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313648), // Rule ID 13991 //
     /*  313587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  313598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  313601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  313604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313646 */     GIR_RootConstrainSelectedInstOperands,
     /*  313647 */     // GIR_Coverage, 13991,
     /*  313647 */     GIR_EraseRootFromParent_Done,
     /*  313648 */   // Label 5801: @313648
     /*  313648 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313714), // Rule ID 13992 //
     /*  313653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  313664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  313667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  313670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313712 */     GIR_RootConstrainSelectedInstOperands,
     /*  313713 */     // GIR_Coverage, 13992,
     /*  313713 */     GIR_EraseRootFromParent_Done,
     /*  313714 */   // Label 5802: @313714
     /*  313714 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313780), // Rule ID 13993 //
     /*  313719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  313730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  313733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  313736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313778 */     GIR_RootConstrainSelectedInstOperands,
     /*  313779 */     // GIR_Coverage, 13993,
     /*  313779 */     GIR_EraseRootFromParent_Done,
     /*  313780 */   // Label 5803: @313780
     /*  313780 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313846), // Rule ID 13994 //
     /*  313785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  313796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  313799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  313802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313824 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313844 */     GIR_RootConstrainSelectedInstOperands,
     /*  313845 */     // GIR_Coverage, 13994,
     /*  313845 */     GIR_EraseRootFromParent_Done,
     /*  313846 */   // Label 5804: @313846
     /*  313846 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313912), // Rule ID 13995 //
     /*  313851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  313862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  313865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  313868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313890 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313910 */     GIR_RootConstrainSelectedInstOperands,
     /*  313911 */     // GIR_Coverage, 13995,
     /*  313911 */     GIR_EraseRootFromParent_Done,
     /*  313912 */   // Label 5805: @313912
     /*  313912 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313978), // Rule ID 13996 //
     /*  313917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313976 */     GIR_RootConstrainSelectedInstOperands,
     /*  313977 */     // GIR_Coverage, 13996,
     /*  313977 */     GIR_EraseRootFromParent_Done,
     /*  313978 */   // Label 5806: @313978
     /*  313978 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(314044), // Rule ID 13997 //
     /*  313983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314042 */     GIR_RootConstrainSelectedInstOperands,
     /*  314043 */     // GIR_Coverage, 13997,
     /*  314043 */     GIR_EraseRootFromParent_Done,
     /*  314044 */   // Label 5807: @314044
     /*  314044 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(314110), // Rule ID 13998 //
     /*  314049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314108 */     GIR_RootConstrainSelectedInstOperands,
     /*  314109 */     // GIR_Coverage, 13998,
     /*  314109 */     GIR_EraseRootFromParent_Done,
     /*  314110 */   // Label 5808: @314110
     /*  314110 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(314176), // Rule ID 13999 //
     /*  314115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314174 */     GIR_RootConstrainSelectedInstOperands,
     /*  314175 */     // GIR_Coverage, 13999,
     /*  314175 */     GIR_EraseRootFromParent_Done,
     /*  314176 */   // Label 5809: @314176
     /*  314176 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(314242), // Rule ID 14000 //
     /*  314181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314240 */     GIR_RootConstrainSelectedInstOperands,
     /*  314241 */     // GIR_Coverage, 14000,
     /*  314241 */     GIR_EraseRootFromParent_Done,
     /*  314242 */   // Label 5810: @314242
     /*  314242 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(314308), // Rule ID 14001 //
     /*  314247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314306 */     GIR_RootConstrainSelectedInstOperands,
     /*  314307 */     // GIR_Coverage, 14001,
     /*  314307 */     GIR_EraseRootFromParent_Done,
     /*  314308 */   // Label 5811: @314308
     /*  314308 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314374), // Rule ID 14002 //
     /*  314313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314372 */     GIR_RootConstrainSelectedInstOperands,
     /*  314373 */     // GIR_Coverage, 14002,
     /*  314373 */     GIR_EraseRootFromParent_Done,
     /*  314374 */   // Label 5812: @314374
     /*  314374 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314440), // Rule ID 14003 //
     /*  314379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314438 */     GIR_RootConstrainSelectedInstOperands,
     /*  314439 */     // GIR_Coverage, 14003,
     /*  314439 */     GIR_EraseRootFromParent_Done,
     /*  314440 */   // Label 5813: @314440
     /*  314440 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314506), // Rule ID 14004 //
     /*  314445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314504 */     GIR_RootConstrainSelectedInstOperands,
     /*  314505 */     // GIR_Coverage, 14004,
     /*  314505 */     GIR_EraseRootFromParent_Done,
     /*  314506 */   // Label 5814: @314506
     /*  314506 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314572), // Rule ID 14005 //
     /*  314511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314570 */     GIR_RootConstrainSelectedInstOperands,
     /*  314571 */     // GIR_Coverage, 14005,
     /*  314571 */     GIR_EraseRootFromParent_Done,
     /*  314572 */   // Label 5815: @314572
     /*  314572 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314638), // Rule ID 14006 //
     /*  314577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314636 */     GIR_RootConstrainSelectedInstOperands,
     /*  314637 */     // GIR_Coverage, 14006,
     /*  314637 */     GIR_EraseRootFromParent_Done,
     /*  314638 */   // Label 5816: @314638
     /*  314638 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314704), // Rule ID 14007 //
     /*  314643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314702 */     GIR_RootConstrainSelectedInstOperands,
     /*  314703 */     // GIR_Coverage, 14007,
     /*  314703 */     GIR_EraseRootFromParent_Done,
     /*  314704 */   // Label 5817: @314704
     /*  314704 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314770), // Rule ID 14008 //
     /*  314709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314768 */     GIR_RootConstrainSelectedInstOperands,
     /*  314769 */     // GIR_Coverage, 14008,
     /*  314769 */     GIR_EraseRootFromParent_Done,
     /*  314770 */   // Label 5818: @314770
     /*  314770 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314836), // Rule ID 14009 //
     /*  314775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  314778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314834 */     GIR_RootConstrainSelectedInstOperands,
     /*  314835 */     // GIR_Coverage, 14009,
     /*  314835 */     GIR_EraseRootFromParent_Done,
     /*  314836 */   // Label 5819: @314836
     /*  314836 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314902), // Rule ID 14010 //
     /*  314841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314880 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314900 */     GIR_RootConstrainSelectedInstOperands,
     /*  314901 */     // GIR_Coverage, 14010,
     /*  314901 */     GIR_EraseRootFromParent_Done,
     /*  314902 */   // Label 5820: @314902
     /*  314902 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314968), // Rule ID 14011 //
     /*  314907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  314910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314966 */     GIR_RootConstrainSelectedInstOperands,
     /*  314967 */     // GIR_Coverage, 14011,
     /*  314967 */     GIR_EraseRootFromParent_Done,
     /*  314968 */   // Label 5821: @314968
     /*  314968 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(315034), // Rule ID 14012 //
     /*  314973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315032 */     GIR_RootConstrainSelectedInstOperands,
     /*  315033 */     // GIR_Coverage, 14012,
     /*  315033 */     GIR_EraseRootFromParent_Done,
     /*  315034 */   // Label 5822: @315034
     /*  315034 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(315100), // Rule ID 14013 //
     /*  315039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  315042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  315050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315098 */     GIR_RootConstrainSelectedInstOperands,
     /*  315099 */     // GIR_Coverage, 14013,
     /*  315099 */     GIR_EraseRootFromParent_Done,
     /*  315100 */   // Label 5823: @315100
     /*  315100 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(315166), // Rule ID 14014 //
     /*  315105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  315116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  315147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315164 */     GIR_RootConstrainSelectedInstOperands,
     /*  315165 */     // GIR_Coverage, 14014,
     /*  315165 */     GIR_EraseRootFromParent_Done,
     /*  315166 */   // Label 5824: @315166
     /*  315166 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(315232), // Rule ID 14015 //
     /*  315171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  315182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315210 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  315213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315230 */     GIR_RootConstrainSelectedInstOperands,
     /*  315231 */     // GIR_Coverage, 14015,
     /*  315231 */     GIR_EraseRootFromParent_Done,
     /*  315232 */   // Label 5825: @315232
     /*  315232 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(315298), // Rule ID 14016 //
     /*  315237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315296 */     GIR_RootConstrainSelectedInstOperands,
     /*  315297 */     // GIR_Coverage, 14016,
     /*  315297 */     GIR_EraseRootFromParent_Done,
     /*  315298 */   // Label 5826: @315298
     /*  315298 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315364), // Rule ID 14017 //
     /*  315303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315342 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315362 */     GIR_RootConstrainSelectedInstOperands,
     /*  315363 */     // GIR_Coverage, 14017,
     /*  315363 */     GIR_EraseRootFromParent_Done,
     /*  315364 */   // Label 5827: @315364
     /*  315364 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315430), // Rule ID 14018 //
     /*  315369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315408 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315428 */     GIR_RootConstrainSelectedInstOperands,
     /*  315429 */     // GIR_Coverage, 14018,
     /*  315429 */     GIR_EraseRootFromParent_Done,
     /*  315430 */   // Label 5828: @315430
     /*  315430 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315496), // Rule ID 14019 //
     /*  315435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315474 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315494 */     GIR_RootConstrainSelectedInstOperands,
     /*  315495 */     // GIR_Coverage, 14019,
     /*  315495 */     GIR_EraseRootFromParent_Done,
     /*  315496 */   // Label 5829: @315496
     /*  315496 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315562), // Rule ID 14020 //
     /*  315501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315540 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315560 */     GIR_RootConstrainSelectedInstOperands,
     /*  315561 */     // GIR_Coverage, 14020,
     /*  315561 */     GIR_EraseRootFromParent_Done,
     /*  315562 */   // Label 5830: @315562
     /*  315562 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315628), // Rule ID 14021 //
     /*  315567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315626 */     GIR_RootConstrainSelectedInstOperands,
     /*  315627 */     // GIR_Coverage, 14021,
     /*  315627 */     GIR_EraseRootFromParent_Done,
     /*  315628 */   // Label 5831: @315628
     /*  315628 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315694), // Rule ID 14022 //
     /*  315633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315672 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315692 */     GIR_RootConstrainSelectedInstOperands,
     /*  315693 */     // GIR_Coverage, 14022,
     /*  315693 */     GIR_EraseRootFromParent_Done,
     /*  315694 */   // Label 5832: @315694
     /*  315694 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315760), // Rule ID 14023 //
     /*  315699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315738 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315758 */     GIR_RootConstrainSelectedInstOperands,
     /*  315759 */     // GIR_Coverage, 14023,
     /*  315759 */     GIR_EraseRootFromParent_Done,
     /*  315760 */   // Label 5833: @315760
     /*  315760 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315826), // Rule ID 14024 //
     /*  315765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  315776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315824 */     GIR_RootConstrainSelectedInstOperands,
     /*  315825 */     // GIR_Coverage, 14024,
     /*  315825 */     GIR_EraseRootFromParent_Done,
     /*  315826 */   // Label 5834: @315826
     /*  315826 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315892), // Rule ID 14025 //
     /*  315831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  315842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315890 */     GIR_RootConstrainSelectedInstOperands,
     /*  315891 */     // GIR_Coverage, 14025,
     /*  315891 */     GIR_EraseRootFromParent_Done,
     /*  315892 */   // Label 5835: @315892
     /*  315892 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315958), // Rule ID 14026 //
     /*  315897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315936 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  315939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315956 */     GIR_RootConstrainSelectedInstOperands,
     /*  315957 */     // GIR_Coverage, 14026,
     /*  315957 */     GIR_EraseRootFromParent_Done,
     /*  315958 */   // Label 5836: @315958
     /*  315958 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(316024), // Rule ID 14027 //
     /*  315963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316002 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316022 */     GIR_RootConstrainSelectedInstOperands,
     /*  316023 */     // GIR_Coverage, 14027,
     /*  316023 */     GIR_EraseRootFromParent_Done,
     /*  316024 */   // Label 5837: @316024
     /*  316024 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(316090), // Rule ID 14028 //
     /*  316029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  316032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  316040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316068 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316088 */     GIR_RootConstrainSelectedInstOperands,
     /*  316089 */     // GIR_Coverage, 14028,
     /*  316089 */     GIR_EraseRootFromParent_Done,
     /*  316090 */   // Label 5838: @316090
     /*  316090 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(316156), // Rule ID 14029 //
     /*  316095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  316106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316134 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316154 */     GIR_RootConstrainSelectedInstOperands,
     /*  316155 */     // GIR_Coverage, 14029,
     /*  316155 */     GIR_EraseRootFromParent_Done,
     /*  316156 */   // Label 5839: @316156
     /*  316156 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(316222), // Rule ID 14030 //
     /*  316161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  316164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  316172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316220 */     GIR_RootConstrainSelectedInstOperands,
     /*  316221 */     // GIR_Coverage, 14030,
     /*  316221 */     GIR_EraseRootFromParent_Done,
     /*  316222 */   // Label 5840: @316222
     /*  316222 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(316288), // Rule ID 14031 //
     /*  316227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  316238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316266 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316286 */     GIR_RootConstrainSelectedInstOperands,
     /*  316287 */     // GIR_Coverage, 14031,
     /*  316287 */     GIR_EraseRootFromParent_Done,
     /*  316288 */   // Label 5841: @316288
     /*  316288 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316354), // Rule ID 14032 //
     /*  316293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316332 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316352 */     GIR_RootConstrainSelectedInstOperands,
     /*  316353 */     // GIR_Coverage, 14032,
     /*  316353 */     GIR_EraseRootFromParent_Done,
     /*  316354 */   // Label 5842: @316354
     /*  316354 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316420), // Rule ID 14033 //
     /*  316359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316418 */     GIR_RootConstrainSelectedInstOperands,
     /*  316419 */     // GIR_Coverage, 14033,
     /*  316419 */     GIR_EraseRootFromParent_Done,
     /*  316420 */   // Label 5843: @316420
     /*  316420 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316486), // Rule ID 14034 //
     /*  316425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316484 */     GIR_RootConstrainSelectedInstOperands,
     /*  316485 */     // GIR_Coverage, 14034,
     /*  316485 */     GIR_EraseRootFromParent_Done,
     /*  316486 */   // Label 5844: @316486
     /*  316486 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316552), // Rule ID 14035 //
     /*  316491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316550 */     GIR_RootConstrainSelectedInstOperands,
     /*  316551 */     // GIR_Coverage, 14035,
     /*  316551 */     GIR_EraseRootFromParent_Done,
     /*  316552 */   // Label 5845: @316552
     /*  316552 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316618), // Rule ID 14036 //
     /*  316557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  316568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316596 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316616 */     GIR_RootConstrainSelectedInstOperands,
     /*  316617 */     // GIR_Coverage, 14036,
     /*  316617 */     GIR_EraseRootFromParent_Done,
     /*  316618 */   // Label 5846: @316618
     /*  316618 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316684), // Rule ID 14037 //
     /*  316623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  316634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316662 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316682 */     GIR_RootConstrainSelectedInstOperands,
     /*  316683 */     // GIR_Coverage, 14037,
     /*  316683 */     GIR_EraseRootFromParent_Done,
     /*  316684 */   // Label 5847: @316684
     /*  316684 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316750), // Rule ID 14038 //
     /*  316689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  316700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316748 */     GIR_RootConstrainSelectedInstOperands,
     /*  316749 */     // GIR_Coverage, 14038,
     /*  316749 */     GIR_EraseRootFromParent_Done,
     /*  316750 */   // Label 5848: @316750
     /*  316750 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316816), // Rule ID 14039 //
     /*  316755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  316766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316794 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316814 */     GIR_RootConstrainSelectedInstOperands,
     /*  316815 */     // GIR_Coverage, 14039,
     /*  316815 */     GIR_EraseRootFromParent_Done,
     /*  316816 */   // Label 5849: @316816
     /*  316816 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316882), // Rule ID 14040 //
     /*  316821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  316832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316860 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316880 */     GIR_RootConstrainSelectedInstOperands,
     /*  316881 */     // GIR_Coverage, 14040,
     /*  316881 */     GIR_EraseRootFromParent_Done,
     /*  316882 */   // Label 5850: @316882
     /*  316882 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316948), // Rule ID 14041 //
     /*  316887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  316898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316926 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316946 */     GIR_RootConstrainSelectedInstOperands,
     /*  316947 */     // GIR_Coverage, 14041,
     /*  316947 */     GIR_EraseRootFromParent_Done,
     /*  316948 */   // Label 5851: @316948
     /*  316948 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(317014), // Rule ID 14042 //
     /*  316953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  316964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317012 */     GIR_RootConstrainSelectedInstOperands,
     /*  317013 */     // GIR_Coverage, 14042,
     /*  317013 */     GIR_EraseRootFromParent_Done,
     /*  317014 */   // Label 5852: @317014
     /*  317014 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(317080), // Rule ID 14043 //
     /*  317019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  317030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  317061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317078 */     GIR_RootConstrainSelectedInstOperands,
     /*  317079 */     // GIR_Coverage, 14043,
     /*  317079 */     GIR_EraseRootFromParent_Done,
     /*  317080 */   // Label 5853: @317080
     /*  317080 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(317146), // Rule ID 19046 //
     /*  317085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  317102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317124 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  317127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317144 */     GIR_RootConstrainSelectedInstOperands,
     /*  317145 */     // GIR_Coverage, 19046,
     /*  317145 */     GIR_EraseRootFromParent_Done,
     /*  317146 */   // Label 5854: @317146
     /*  317146 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(317212), // Rule ID 19047 //
     /*  317151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  317168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317190 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  317193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317210 */     GIR_RootConstrainSelectedInstOperands,
     /*  317211 */     // GIR_Coverage, 19047,
     /*  317211 */     GIR_EraseRootFromParent_Done,
     /*  317212 */   // Label 5855: @317212
     /*  317212 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(317278), // Rule ID 19050 //
     /*  317217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317276 */     GIR_RootConstrainSelectedInstOperands,
     /*  317277 */     // GIR_Coverage, 19050,
     /*  317277 */     GIR_EraseRootFromParent_Done,
     /*  317278 */   // Label 5856: @317278
     /*  317278 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317344), // Rule ID 19051 //
     /*  317283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317322 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317342 */     GIR_RootConstrainSelectedInstOperands,
     /*  317343 */     // GIR_Coverage, 19051,
     /*  317343 */     GIR_EraseRootFromParent_Done,
     /*  317344 */   // Label 5857: @317344
     /*  317344 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317410), // Rule ID 19054 //
     /*  317349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317408 */     GIR_RootConstrainSelectedInstOperands,
     /*  317409 */     // GIR_Coverage, 19054,
     /*  317409 */     GIR_EraseRootFromParent_Done,
     /*  317410 */   // Label 5858: @317410
     /*  317410 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317476), // Rule ID 19055 //
     /*  317415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317474 */     GIR_RootConstrainSelectedInstOperands,
     /*  317475 */     // GIR_Coverage, 19055,
     /*  317475 */     GIR_EraseRootFromParent_Done,
     /*  317476 */   // Label 5859: @317476
     /*  317476 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317542), // Rule ID 19058 //
     /*  317481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  317523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317540 */     GIR_RootConstrainSelectedInstOperands,
     /*  317541 */     // GIR_Coverage, 19058,
     /*  317541 */     GIR_EraseRootFromParent_Done,
     /*  317542 */   // Label 5860: @317542
     /*  317542 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317608), // Rule ID 19059 //
     /*  317547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317586 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  317589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317606 */     GIR_RootConstrainSelectedInstOperands,
     /*  317607 */     // GIR_Coverage, 19059,
     /*  317607 */     GIR_EraseRootFromParent_Done,
     /*  317608 */   // Label 5861: @317608
     /*  317608 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317674), // Rule ID 19062 //
     /*  317613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  317624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  317652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  317655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317672 */     GIR_RootConstrainSelectedInstOperands,
     /*  317673 */     // GIR_Coverage, 19062,
     /*  317673 */     GIR_EraseRootFromParent_Done,
     /*  317674 */   // Label 5862: @317674
     /*  317674 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317740), // Rule ID 19063 //
     /*  317679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  317690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317718 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  317721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317738 */     GIR_RootConstrainSelectedInstOperands,
     /*  317739 */     // GIR_Coverage, 19063,
     /*  317739 */     GIR_EraseRootFromParent_Done,
     /*  317740 */   // Label 5863: @317740
     /*  317740 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317806), // Rule ID 19066 //
     /*  317745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317784 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  317787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317804 */     GIR_RootConstrainSelectedInstOperands,
     /*  317805 */     // GIR_Coverage, 19066,
     /*  317805 */     GIR_EraseRootFromParent_Done,
     /*  317806 */   // Label 5864: @317806
     /*  317806 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317872), // Rule ID 19067 //
     /*  317811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317850 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  317853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317870 */     GIR_RootConstrainSelectedInstOperands,
     /*  317871 */     // GIR_Coverage, 19067,
     /*  317871 */     GIR_EraseRootFromParent_Done,
     /*  317872 */   // Label 5865: @317872
     /*  317872 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317938), // Rule ID 19070 //
     /*  317877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317916 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  317919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317936 */     GIR_RootConstrainSelectedInstOperands,
     /*  317937 */     // GIR_Coverage, 19070,
     /*  317937 */     GIR_EraseRootFromParent_Done,
     /*  317938 */   // Label 5866: @317938
     /*  317938 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(318004), // Rule ID 19071 //
     /*  317943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317982 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  317985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318002 */     GIR_RootConstrainSelectedInstOperands,
     /*  318003 */     // GIR_Coverage, 19071,
     /*  318003 */     GIR_EraseRootFromParent_Done,
     /*  318004 */   // Label 5867: @318004
     /*  318004 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(318070), // Rule ID 19074 //
     /*  318009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  318020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318048 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  318048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  318051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318068 */     GIR_RootConstrainSelectedInstOperands,
     /*  318069 */     // GIR_Coverage, 19074,
     /*  318069 */     GIR_EraseRootFromParent_Done,
     /*  318070 */   // Label 5868: @318070
     /*  318070 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(318136), // Rule ID 19075 //
     /*  318075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  318086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318114 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  318114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  318117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318134 */     GIR_RootConstrainSelectedInstOperands,
     /*  318135 */     // GIR_Coverage, 19075,
     /*  318135 */     GIR_EraseRootFromParent_Done,
     /*  318136 */   // Label 5869: @318136
     /*  318136 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(318202), // Rule ID 19078 //
     /*  318141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  318158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318180 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  318183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318200 */     GIR_RootConstrainSelectedInstOperands,
     /*  318201 */     // GIR_Coverage, 19078,
     /*  318201 */     GIR_EraseRootFromParent_Done,
     /*  318202 */   // Label 5870: @318202
     /*  318202 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(318268), // Rule ID 19079 //
     /*  318207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  318224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  318249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318266 */     GIR_RootConstrainSelectedInstOperands,
     /*  318267 */     // GIR_Coverage, 19079,
     /*  318267 */     GIR_EraseRootFromParent_Done,
     /*  318268 */   // Label 5871: @318268
     /*  318268 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(318334), // Rule ID 19082 //
     /*  318273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318312 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318332 */     GIR_RootConstrainSelectedInstOperands,
     /*  318333 */     // GIR_Coverage, 19082,
     /*  318333 */     GIR_EraseRootFromParent_Done,
     /*  318334 */   // Label 5872: @318334
     /*  318334 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318400), // Rule ID 19083 //
     /*  318339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318398 */     GIR_RootConstrainSelectedInstOperands,
     /*  318399 */     // GIR_Coverage, 19083,
     /*  318399 */     GIR_EraseRootFromParent_Done,
     /*  318400 */   // Label 5873: @318400
     /*  318400 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318466), // Rule ID 19086 //
     /*  318405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318444 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318464 */     GIR_RootConstrainSelectedInstOperands,
     /*  318465 */     // GIR_Coverage, 19086,
     /*  318465 */     GIR_EraseRootFromParent_Done,
     /*  318466 */   // Label 5874: @318466
     /*  318466 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318532), // Rule ID 19087 //
     /*  318471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318510 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318530 */     GIR_RootConstrainSelectedInstOperands,
     /*  318531 */     // GIR_Coverage, 19087,
     /*  318531 */     GIR_EraseRootFromParent_Done,
     /*  318532 */   // Label 5875: @318532
     /*  318532 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318598), // Rule ID 19090 //
     /*  318537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  318548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  318579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318596 */     GIR_RootConstrainSelectedInstOperands,
     /*  318597 */     // GIR_Coverage, 19090,
     /*  318597 */     GIR_EraseRootFromParent_Done,
     /*  318598 */   // Label 5876: @318598
     /*  318598 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318664), // Rule ID 19091 //
     /*  318603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  318614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  318645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318662 */     GIR_RootConstrainSelectedInstOperands,
     /*  318663 */     // GIR_Coverage, 19091,
     /*  318663 */     GIR_EraseRootFromParent_Done,
     /*  318664 */   // Label 5877: @318664
     /*  318664 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318730), // Rule ID 19094 //
     /*  318669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  318680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318708 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  318711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318728 */     GIR_RootConstrainSelectedInstOperands,
     /*  318729 */     // GIR_Coverage, 19094,
     /*  318729 */     GIR_EraseRootFromParent_Done,
     /*  318730 */   // Label 5878: @318730
     /*  318730 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318796), // Rule ID 19095 //
     /*  318735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  318746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318774 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  318777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318794 */     GIR_RootConstrainSelectedInstOperands,
     /*  318795 */     // GIR_Coverage, 19095,
     /*  318795 */     GIR_EraseRootFromParent_Done,
     /*  318796 */   // Label 5879: @318796
     /*  318796 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318862), // Rule ID 19098 //
     /*  318801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  318812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  318843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318860 */     GIR_RootConstrainSelectedInstOperands,
     /*  318861 */     // GIR_Coverage, 19098,
     /*  318861 */     GIR_EraseRootFromParent_Done,
     /*  318862 */   // Label 5880: @318862
     /*  318862 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318928), // Rule ID 19099 //
     /*  318867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  318878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318906 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  318909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318926 */     GIR_RootConstrainSelectedInstOperands,
     /*  318927 */     // GIR_Coverage, 19099,
     /*  318927 */     GIR_EraseRootFromParent_Done,
     /*  318928 */   // Label 5881: @318928
     /*  318928 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318991), // Rule ID 19762 //
     /*  318933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  318975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318989 */     GIR_RootConstrainSelectedInstOperands,
     /*  318990 */     // GIR_Coverage, 19762,
     /*  318990 */     GIR_EraseRootFromParent_Done,
     /*  318991 */   // Label 5882: @318991
     /*  318991 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(319054), // Rule ID 19763 //
     /*  318996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  319038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319052 */     GIR_RootConstrainSelectedInstOperands,
     /*  319053 */     // GIR_Coverage, 19763,
     /*  319053 */     GIR_EraseRootFromParent_Done,
     /*  319054 */   // Label 5883: @319054
     /*  319054 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(319117), // Rule ID 19766 //
     /*  319059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319115 */     GIR_RootConstrainSelectedInstOperands,
     /*  319116 */     // GIR_Coverage, 19766,
     /*  319116 */     GIR_EraseRootFromParent_Done,
     /*  319117 */   // Label 5884: @319117
     /*  319117 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(319180), // Rule ID 19767 //
     /*  319122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319178 */     GIR_RootConstrainSelectedInstOperands,
     /*  319179 */     // GIR_Coverage, 19767,
     /*  319179 */     GIR_EraseRootFromParent_Done,
     /*  319180 */   // Label 5885: @319180
     /*  319180 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(319243), // Rule ID 19770 //
     /*  319185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319241 */     GIR_RootConstrainSelectedInstOperands,
     /*  319242 */     // GIR_Coverage, 19770,
     /*  319242 */     GIR_EraseRootFromParent_Done,
     /*  319243 */   // Label 5886: @319243
     /*  319243 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(319306), // Rule ID 19771 //
     /*  319248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319287 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319304 */     GIR_RootConstrainSelectedInstOperands,
     /*  319305 */     // GIR_Coverage, 19771,
     /*  319305 */     GIR_EraseRootFromParent_Done,
     /*  319306 */   // Label 5887: @319306
     /*  319306 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(319369), // Rule ID 19774 //
     /*  319311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319367 */     GIR_RootConstrainSelectedInstOperands,
     /*  319368 */     // GIR_Coverage, 19774,
     /*  319368 */     GIR_EraseRootFromParent_Done,
     /*  319369 */   // Label 5888: @319369
     /*  319369 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319432), // Rule ID 19775 //
     /*  319374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319430 */     GIR_RootConstrainSelectedInstOperands,
     /*  319431 */     // GIR_Coverage, 19775,
     /*  319431 */     GIR_EraseRootFromParent_Done,
     /*  319432 */   // Label 5889: @319432
     /*  319432 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319495), // Rule ID 19778 //
     /*  319437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319493 */     GIR_RootConstrainSelectedInstOperands,
     /*  319494 */     // GIR_Coverage, 19778,
     /*  319494 */     GIR_EraseRootFromParent_Done,
     /*  319495 */   // Label 5890: @319495
     /*  319495 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319558), // Rule ID 19779 //
     /*  319500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319556 */     GIR_RootConstrainSelectedInstOperands,
     /*  319557 */     // GIR_Coverage, 19779,
     /*  319557 */     GIR_EraseRootFromParent_Done,
     /*  319558 */   // Label 5891: @319558
     /*  319558 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319621), // Rule ID 19782 //
     /*  319563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319619 */     GIR_RootConstrainSelectedInstOperands,
     /*  319620 */     // GIR_Coverage, 19782,
     /*  319620 */     GIR_EraseRootFromParent_Done,
     /*  319621 */   // Label 5892: @319621
     /*  319621 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319684), // Rule ID 19783 //
     /*  319626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319682 */     GIR_RootConstrainSelectedInstOperands,
     /*  319683 */     // GIR_Coverage, 19783,
     /*  319683 */     GIR_EraseRootFromParent_Done,
     /*  319684 */   // Label 5893: @319684
     /*  319684 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319747), // Rule ID 19786 //
     /*  319689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319745 */     GIR_RootConstrainSelectedInstOperands,
     /*  319746 */     // GIR_Coverage, 19786,
     /*  319746 */     GIR_EraseRootFromParent_Done,
     /*  319747 */   // Label 5894: @319747
     /*  319747 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319810), // Rule ID 19787 //
     /*  319752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319791 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319808 */     GIR_RootConstrainSelectedInstOperands,
     /*  319809 */     // GIR_Coverage, 19787,
     /*  319809 */     GIR_EraseRootFromParent_Done,
     /*  319810 */   // Label 5895: @319810
     /*  319810 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319873), // Rule ID 19790 //
     /*  319815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  319857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319871 */     GIR_RootConstrainSelectedInstOperands,
     /*  319872 */     // GIR_Coverage, 19790,
     /*  319872 */     GIR_EraseRootFromParent_Done,
     /*  319873 */   // Label 5896: @319873
     /*  319873 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319936), // Rule ID 19791 //
     /*  319878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319917 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  319920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319934 */     GIR_RootConstrainSelectedInstOperands,
     /*  319935 */     // GIR_Coverage, 19791,
     /*  319935 */     GIR_EraseRootFromParent_Done,
     /*  319936 */   // Label 5897: @319936
     /*  319936 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319999), // Rule ID 19794 //
     /*  319941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  319983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319997 */     GIR_RootConstrainSelectedInstOperands,
     /*  319998 */     // GIR_Coverage, 19794,
     /*  319998 */     GIR_EraseRootFromParent_Done,
     /*  319999 */   // Label 5898: @319999
     /*  319999 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(320062), // Rule ID 19795 //
     /*  320004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320043 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320060 */     GIR_RootConstrainSelectedInstOperands,
     /*  320061 */     // GIR_Coverage, 19795,
     /*  320061 */     GIR_EraseRootFromParent_Done,
     /*  320062 */   // Label 5899: @320062
     /*  320062 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(320125), // Rule ID 19798 //
     /*  320067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320123 */     GIR_RootConstrainSelectedInstOperands,
     /*  320124 */     // GIR_Coverage, 19798,
     /*  320124 */     GIR_EraseRootFromParent_Done,
     /*  320125 */   // Label 5900: @320125
     /*  320125 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(320188), // Rule ID 19799 //
     /*  320130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320186 */     GIR_RootConstrainSelectedInstOperands,
     /*  320187 */     // GIR_Coverage, 19799,
     /*  320187 */     GIR_EraseRootFromParent_Done,
     /*  320188 */   // Label 5901: @320188
     /*  320188 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(320251), // Rule ID 19802 //
     /*  320193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320249 */     GIR_RootConstrainSelectedInstOperands,
     /*  320250 */     // GIR_Coverage, 19802,
     /*  320250 */     GIR_EraseRootFromParent_Done,
     /*  320251 */   // Label 5902: @320251
     /*  320251 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(320314), // Rule ID 19803 //
     /*  320256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320295 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320312 */     GIR_RootConstrainSelectedInstOperands,
     /*  320313 */     // GIR_Coverage, 19803,
     /*  320313 */     GIR_EraseRootFromParent_Done,
     /*  320314 */   // Label 5903: @320314
     /*  320314 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(320377), // Rule ID 19806 //
     /*  320319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320358 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320375 */     GIR_RootConstrainSelectedInstOperands,
     /*  320376 */     // GIR_Coverage, 19806,
     /*  320376 */     GIR_EraseRootFromParent_Done,
     /*  320377 */   // Label 5904: @320377
     /*  320377 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320440), // Rule ID 19807 //
     /*  320382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320438 */     GIR_RootConstrainSelectedInstOperands,
     /*  320439 */     // GIR_Coverage, 19807,
     /*  320439 */     GIR_EraseRootFromParent_Done,
     /*  320440 */   // Label 5905: @320440
     /*  320440 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320503), // Rule ID 19810 //
     /*  320445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320501 */     GIR_RootConstrainSelectedInstOperands,
     /*  320502 */     // GIR_Coverage, 19810,
     /*  320502 */     GIR_EraseRootFromParent_Done,
     /*  320503 */   // Label 5906: @320503
     /*  320503 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320566), // Rule ID 19811 //
     /*  320508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320564 */     GIR_RootConstrainSelectedInstOperands,
     /*  320565 */     // GIR_Coverage, 19811,
     /*  320565 */     GIR_EraseRootFromParent_Done,
     /*  320566 */   // Label 5907: @320566
     /*  320566 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320629), // Rule ID 19814 //
     /*  320571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320627 */     GIR_RootConstrainSelectedInstOperands,
     /*  320628 */     // GIR_Coverage, 19814,
     /*  320628 */     GIR_EraseRootFromParent_Done,
     /*  320629 */   // Label 5908: @320629
     /*  320629 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320692), // Rule ID 19815 //
     /*  320634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320690 */     GIR_RootConstrainSelectedInstOperands,
     /*  320691 */     // GIR_Coverage, 19815,
     /*  320691 */     GIR_EraseRootFromParent_Done,
     /*  320692 */   // Label 5909: @320692
     /*  320692 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320755), // Rule ID 19818 //
     /*  320697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320753 */     GIR_RootConstrainSelectedInstOperands,
     /*  320754 */     // GIR_Coverage, 19818,
     /*  320754 */     GIR_EraseRootFromParent_Done,
     /*  320755 */   // Label 5910: @320755
     /*  320755 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320818), // Rule ID 19819 //
     /*  320760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320799 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320816 */     GIR_RootConstrainSelectedInstOperands,
     /*  320817 */     // GIR_Coverage, 19819,
     /*  320817 */     GIR_EraseRootFromParent_Done,
     /*  320818 */   // Label 5911: @320818
     /*  320818 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320881), // Rule ID 19822 //
     /*  320823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320862 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  320865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320879 */     GIR_RootConstrainSelectedInstOperands,
     /*  320880 */     // GIR_Coverage, 19822,
     /*  320880 */     GIR_EraseRootFromParent_Done,
     /*  320881 */   // Label 5912: @320881
     /*  320881 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320944), // Rule ID 19823 //
     /*  320886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320925 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  320928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320942 */     GIR_RootConstrainSelectedInstOperands,
     /*  320943 */     // GIR_Coverage, 19823,
     /*  320943 */     GIR_EraseRootFromParent_Done,
     /*  320944 */   // Label 5913: @320944
     /*  320944 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(321007), // Rule ID 19826 //
     /*  320949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  320991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321005 */     GIR_RootConstrainSelectedInstOperands,
     /*  321006 */     // GIR_Coverage, 19826,
     /*  321006 */     GIR_EraseRootFromParent_Done,
     /*  321007 */   // Label 5914: @321007
     /*  321007 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(321070), // Rule ID 19827 //
     /*  321012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321051 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  321054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321068 */     GIR_RootConstrainSelectedInstOperands,
     /*  321069 */     // GIR_Coverage, 19827,
     /*  321069 */     GIR_EraseRootFromParent_Done,
     /*  321070 */   // Label 5915: @321070
     /*  321070 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(321133), // Rule ID 19830 //
     /*  321075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  321117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321131 */     GIR_RootConstrainSelectedInstOperands,
     /*  321132 */     // GIR_Coverage, 19830,
     /*  321132 */     GIR_EraseRootFromParent_Done,
     /*  321133 */   // Label 5916: @321133
     /*  321133 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(321196), // Rule ID 19831 //
     /*  321138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  321180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321194 */     GIR_RootConstrainSelectedInstOperands,
     /*  321195 */     // GIR_Coverage, 19831,
     /*  321195 */     GIR_EraseRootFromParent_Done,
     /*  321196 */   // Label 5917: @321196
     /*  321196 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(321259), // Rule ID 19834 //
     /*  321201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321257 */     GIR_RootConstrainSelectedInstOperands,
     /*  321258 */     // GIR_Coverage, 19834,
     /*  321258 */     GIR_EraseRootFromParent_Done,
     /*  321259 */   // Label 5918: @321259
     /*  321259 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(321322), // Rule ID 19835 //
     /*  321264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321320 */     GIR_RootConstrainSelectedInstOperands,
     /*  321321 */     // GIR_Coverage, 19835,
     /*  321321 */     GIR_EraseRootFromParent_Done,
     /*  321322 */   // Label 5919: @321322
     /*  321322 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(321385), // Rule ID 19838 //
     /*  321327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321366 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321383 */     GIR_RootConstrainSelectedInstOperands,
     /*  321384 */     // GIR_Coverage, 19838,
     /*  321384 */     GIR_EraseRootFromParent_Done,
     /*  321385 */   // Label 5920: @321385
     /*  321385 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321448), // Rule ID 19839 //
     /*  321390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321446 */     GIR_RootConstrainSelectedInstOperands,
     /*  321447 */     // GIR_Coverage, 19839,
     /*  321447 */     GIR_EraseRootFromParent_Done,
     /*  321448 */   // Label 5921: @321448
     /*  321448 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321511), // Rule ID 19842 //
     /*  321453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  321495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321509 */     GIR_RootConstrainSelectedInstOperands,
     /*  321510 */     // GIR_Coverage, 19842,
     /*  321510 */     GIR_EraseRootFromParent_Done,
     /*  321511 */   // Label 5922: @321511
     /*  321511 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321574), // Rule ID 19843 //
     /*  321516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  321558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321572 */     GIR_RootConstrainSelectedInstOperands,
     /*  321573 */     // GIR_Coverage, 19843,
     /*  321573 */     GIR_EraseRootFromParent_Done,
     /*  321574 */   // Label 5923: @321574
     /*  321574 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321637), // Rule ID 19846 //
     /*  321579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321618 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  321621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321635 */     GIR_RootConstrainSelectedInstOperands,
     /*  321636 */     // GIR_Coverage, 19846,
     /*  321636 */     GIR_EraseRootFromParent_Done,
     /*  321637 */   // Label 5924: @321637
     /*  321637 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321700), // Rule ID 19847 //
     /*  321642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  321684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321698 */     GIR_RootConstrainSelectedInstOperands,
     /*  321699 */     // GIR_Coverage, 19847,
     /*  321699 */     GIR_EraseRootFromParent_Done,
     /*  321700 */   // Label 5925: @321700
     /*  321700 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321763), // Rule ID 19850 //
     /*  321705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  321747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321761 */     GIR_RootConstrainSelectedInstOperands,
     /*  321762 */     // GIR_Coverage, 19850,
     /*  321762 */     GIR_EraseRootFromParent_Done,
     /*  321763 */   // Label 5926: @321763
     /*  321763 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321826), // Rule ID 19851 //
     /*  321768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  321810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321824 */     GIR_RootConstrainSelectedInstOperands,
     /*  321825 */     // GIR_Coverage, 19851,
     /*  321825 */     GIR_EraseRootFromParent_Done,
     /*  321826 */   // Label 5927: @321826
     /*  321826 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321889), // Rule ID 19854 //
     /*  321831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321870 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  321873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321887 */     GIR_RootConstrainSelectedInstOperands,
     /*  321888 */     // GIR_Coverage, 19854,
     /*  321888 */     GIR_EraseRootFromParent_Done,
     /*  321889 */   // Label 5928: @321889
     /*  321889 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321952), // Rule ID 19855 //
     /*  321894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321933 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  321936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321950 */     GIR_RootConstrainSelectedInstOperands,
     /*  321951 */     // GIR_Coverage, 19855,
     /*  321951 */     GIR_EraseRootFromParent_Done,
     /*  321952 */   // Label 5929: @321952
     /*  321952 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(322015), // Rule ID 19858 //
     /*  321957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  321999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322013 */     GIR_RootConstrainSelectedInstOperands,
     /*  322014 */     // GIR_Coverage, 19858,
     /*  322014 */     GIR_EraseRootFromParent_Done,
     /*  322015 */   // Label 5930: @322015
     /*  322015 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(322078), // Rule ID 19859 //
     /*  322020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  322062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322076 */     GIR_RootConstrainSelectedInstOperands,
     /*  322077 */     // GIR_Coverage, 19859,
     /*  322077 */     GIR_EraseRootFromParent_Done,
     /*  322078 */   // Label 5931: @322078
     /*  322078 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(322141), // Rule ID 19862 //
     /*  322083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  322125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322139 */     GIR_RootConstrainSelectedInstOperands,
     /*  322140 */     // GIR_Coverage, 19862,
     /*  322140 */     GIR_EraseRootFromParent_Done,
     /*  322141 */   // Label 5932: @322141
     /*  322141 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(322204), // Rule ID 19863 //
     /*  322146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  322188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322202 */     GIR_RootConstrainSelectedInstOperands,
     /*  322203 */     // GIR_Coverage, 19863,
     /*  322203 */     GIR_EraseRootFromParent_Done,
     /*  322204 */   // Label 5933: @322204
     /*  322204 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(322267), // Rule ID 19866 //
     /*  322209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322265 */     GIR_RootConstrainSelectedInstOperands,
     /*  322266 */     // GIR_Coverage, 19866,
     /*  322266 */     GIR_EraseRootFromParent_Done,
     /*  322267 */   // Label 5934: @322267
     /*  322267 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(322330), // Rule ID 19867 //
     /*  322272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322328 */     GIR_RootConstrainSelectedInstOperands,
     /*  322329 */     // GIR_Coverage, 19867,
     /*  322329 */     GIR_EraseRootFromParent_Done,
     /*  322330 */   // Label 5935: @322330
     /*  322330 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(322393), // Rule ID 19870 //
     /*  322335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322391 */     GIR_RootConstrainSelectedInstOperands,
     /*  322392 */     // GIR_Coverage, 19870,
     /*  322392 */     GIR_EraseRootFromParent_Done,
     /*  322393 */   // Label 5936: @322393
     /*  322393 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322456), // Rule ID 19871 //
     /*  322398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322437 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322454 */     GIR_RootConstrainSelectedInstOperands,
     /*  322455 */     // GIR_Coverage, 19871,
     /*  322455 */     GIR_EraseRootFromParent_Done,
     /*  322456 */   // Label 5937: @322456
     /*  322456 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322519), // Rule ID 19874 //
     /*  322461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  322503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322517 */     GIR_RootConstrainSelectedInstOperands,
     /*  322518 */     // GIR_Coverage, 19874,
     /*  322518 */     GIR_EraseRootFromParent_Done,
     /*  322519 */   // Label 5938: @322519
     /*  322519 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322582), // Rule ID 19875 //
     /*  322524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  322566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322580 */     GIR_RootConstrainSelectedInstOperands,
     /*  322581 */     // GIR_Coverage, 19875,
     /*  322581 */     GIR_EraseRootFromParent_Done,
     /*  322582 */   // Label 5939: @322582
     /*  322582 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322645), // Rule ID 19878 //
     /*  322587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  322629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322643 */     GIR_RootConstrainSelectedInstOperands,
     /*  322644 */     // GIR_Coverage, 19878,
     /*  322644 */     GIR_EraseRootFromParent_Done,
     /*  322645 */   // Label 5940: @322645
     /*  322645 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322708), // Rule ID 19879 //
     /*  322650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  322692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322706 */     GIR_RootConstrainSelectedInstOperands,
     /*  322707 */     // GIR_Coverage, 19879,
     /*  322707 */     GIR_EraseRootFromParent_Done,
     /*  322708 */   // Label 5941: @322708
     /*  322708 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322771), // Rule ID 19882 //
     /*  322713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  322755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322769 */     GIR_RootConstrainSelectedInstOperands,
     /*  322770 */     // GIR_Coverage, 19882,
     /*  322770 */     GIR_EraseRootFromParent_Done,
     /*  322771 */   // Label 5942: @322771
     /*  322771 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322834), // Rule ID 19883 //
     /*  322776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  322818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322832 */     GIR_RootConstrainSelectedInstOperands,
     /*  322833 */     // GIR_Coverage, 19883,
     /*  322833 */     GIR_EraseRootFromParent_Done,
     /*  322834 */   // Label 5943: @322834
     /*  322834 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322897), // Rule ID 19886 //
     /*  322839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322878 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322895 */     GIR_RootConstrainSelectedInstOperands,
     /*  322896 */     // GIR_Coverage, 19886,
     /*  322896 */     GIR_EraseRootFromParent_Done,
     /*  322897 */   // Label 5944: @322897
     /*  322897 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322960), // Rule ID 19887 //
     /*  322902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322958 */     GIR_RootConstrainSelectedInstOperands,
     /*  322959 */     // GIR_Coverage, 19887,
     /*  322959 */     GIR_EraseRootFromParent_Done,
     /*  322960 */   // Label 5945: @322960
     /*  322960 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(323023), // Rule ID 19890 //
     /*  322965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323021 */     GIR_RootConstrainSelectedInstOperands,
     /*  323022 */     // GIR_Coverage, 19890,
     /*  323022 */     GIR_EraseRootFromParent_Done,
     /*  323023 */   // Label 5946: @323023
     /*  323023 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(323086), // Rule ID 19891 //
     /*  323028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  323045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323067 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323084 */     GIR_RootConstrainSelectedInstOperands,
     /*  323085 */     // GIR_Coverage, 19891,
     /*  323085 */     GIR_EraseRootFromParent_Done,
     /*  323086 */   // Label 5947: @323086
     /*  323086 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(323149), // Rule ID 19894 //
     /*  323091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323147 */     GIR_RootConstrainSelectedInstOperands,
     /*  323148 */     // GIR_Coverage, 19894,
     /*  323148 */     GIR_EraseRootFromParent_Done,
     /*  323149 */   // Label 5948: @323149
     /*  323149 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(323212), // Rule ID 19895 //
     /*  323154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323193 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323210 */     GIR_RootConstrainSelectedInstOperands,
     /*  323211 */     // GIR_Coverage, 19895,
     /*  323211 */     GIR_EraseRootFromParent_Done,
     /*  323212 */   // Label 5949: @323212
     /*  323212 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(323275), // Rule ID 19898 //
     /*  323217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323273 */     GIR_RootConstrainSelectedInstOperands,
     /*  323274 */     // GIR_Coverage, 19898,
     /*  323274 */     GIR_EraseRootFromParent_Done,
     /*  323275 */   // Label 5950: @323275
     /*  323275 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(323338), // Rule ID 19899 //
     /*  323280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323336 */     GIR_RootConstrainSelectedInstOperands,
     /*  323337 */     // GIR_Coverage, 19899,
     /*  323337 */     GIR_EraseRootFromParent_Done,
     /*  323338 */   // Label 5951: @323338
     /*  323338 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323401), // Rule ID 19902 //
     /*  323343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323382 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323399 */     GIR_RootConstrainSelectedInstOperands,
     /*  323400 */     // GIR_Coverage, 19902,
     /*  323400 */     GIR_EraseRootFromParent_Done,
     /*  323401 */   // Label 5952: @323401
     /*  323401 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323464), // Rule ID 19903 //
     /*  323406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323445 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323462 */     GIR_RootConstrainSelectedInstOperands,
     /*  323463 */     // GIR_Coverage, 19903,
     /*  323463 */     GIR_EraseRootFromParent_Done,
     /*  323464 */   // Label 5953: @323464
     /*  323464 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323527), // Rule ID 19906 //
     /*  323469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323525 */     GIR_RootConstrainSelectedInstOperands,
     /*  323526 */     // GIR_Coverage, 19906,
     /*  323526 */     GIR_EraseRootFromParent_Done,
     /*  323527 */   // Label 5954: @323527
     /*  323527 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323590), // Rule ID 19907 //
     /*  323532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323571 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323588 */     GIR_RootConstrainSelectedInstOperands,
     /*  323589 */     // GIR_Coverage, 19907,
     /*  323589 */     GIR_EraseRootFromParent_Done,
     /*  323590 */   // Label 5955: @323590
     /*  323590 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323653), // Rule ID 19910 //
     /*  323595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323651 */     GIR_RootConstrainSelectedInstOperands,
     /*  323652 */     // GIR_Coverage, 19910,
     /*  323652 */     GIR_EraseRootFromParent_Done,
     /*  323653 */   // Label 5956: @323653
     /*  323653 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323716), // Rule ID 19911 //
     /*  323658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323714 */     GIR_RootConstrainSelectedInstOperands,
     /*  323715 */     // GIR_Coverage, 19911,
     /*  323715 */     GIR_EraseRootFromParent_Done,
     /*  323716 */   // Label 5957: @323716
     /*  323716 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323779), // Rule ID 19914 //
     /*  323721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323760 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  323763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323777 */     GIR_RootConstrainSelectedInstOperands,
     /*  323778 */     // GIR_Coverage, 19914,
     /*  323778 */     GIR_EraseRootFromParent_Done,
     /*  323779 */   // Label 5958: @323779
     /*  323779 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323842), // Rule ID 19915 //
     /*  323784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323823 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  323826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323840 */     GIR_RootConstrainSelectedInstOperands,
     /*  323841 */     // GIR_Coverage, 19915,
     /*  323841 */     GIR_EraseRootFromParent_Done,
     /*  323842 */   // Label 5959: @323842
     /*  323842 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323905), // Rule ID 19918 //
     /*  323847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323903 */     GIR_RootConstrainSelectedInstOperands,
     /*  323904 */     // GIR_Coverage, 19918,
     /*  323904 */     GIR_EraseRootFromParent_Done,
     /*  323905 */   // Label 5960: @323905
     /*  323905 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323968), // Rule ID 19919 //
     /*  323910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323966 */     GIR_RootConstrainSelectedInstOperands,
     /*  323967 */     // GIR_Coverage, 19919,
     /*  323967 */     GIR_EraseRootFromParent_Done,
     /*  323968 */   // Label 5961: @323968
     /*  323968 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(324031), // Rule ID 19922 //
     /*  323973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324029 */     GIR_RootConstrainSelectedInstOperands,
     /*  324030 */     // GIR_Coverage, 19922,
     /*  324030 */     GIR_EraseRootFromParent_Done,
     /*  324031 */   // Label 5962: @324031
     /*  324031 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(324094), // Rule ID 19923 //
     /*  324036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324092 */     GIR_RootConstrainSelectedInstOperands,
     /*  324093 */     // GIR_Coverage, 19923,
     /*  324093 */     GIR_EraseRootFromParent_Done,
     /*  324094 */   // Label 5963: @324094
     /*  324094 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(324157), // Rule ID 19926 //
     /*  324099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324155 */     GIR_RootConstrainSelectedInstOperands,
     /*  324156 */     // GIR_Coverage, 19926,
     /*  324156 */     GIR_EraseRootFromParent_Done,
     /*  324157 */   // Label 5964: @324157
     /*  324157 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(324220), // Rule ID 19927 //
     /*  324162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324201 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324218 */     GIR_RootConstrainSelectedInstOperands,
     /*  324219 */     // GIR_Coverage, 19927,
     /*  324219 */     GIR_EraseRootFromParent_Done,
     /*  324220 */   // Label 5965: @324220
     /*  324220 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(324283), // Rule ID 19930 //
     /*  324225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324281 */     GIR_RootConstrainSelectedInstOperands,
     /*  324282 */     // GIR_Coverage, 19930,
     /*  324282 */     GIR_EraseRootFromParent_Done,
     /*  324283 */   // Label 5966: @324283
     /*  324283 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(324346), // Rule ID 19931 //
     /*  324288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324327 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324344 */     GIR_RootConstrainSelectedInstOperands,
     /*  324345 */     // GIR_Coverage, 19931,
     /*  324345 */     GIR_EraseRootFromParent_Done,
     /*  324346 */   // Label 5967: @324346
     /*  324346 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324409), // Rule ID 19934 //
     /*  324351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324407 */     GIR_RootConstrainSelectedInstOperands,
     /*  324408 */     // GIR_Coverage, 19934,
     /*  324408 */     GIR_EraseRootFromParent_Done,
     /*  324409 */   // Label 5968: @324409
     /*  324409 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324472), // Rule ID 19935 //
     /*  324414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324453 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324470 */     GIR_RootConstrainSelectedInstOperands,
     /*  324471 */     // GIR_Coverage, 19935,
     /*  324471 */     GIR_EraseRootFromParent_Done,
     /*  324472 */   // Label 5969: @324472
     /*  324472 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324535), // Rule ID 19938 //
     /*  324477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324533 */     GIR_RootConstrainSelectedInstOperands,
     /*  324534 */     // GIR_Coverage, 19938,
     /*  324534 */     GIR_EraseRootFromParent_Done,
     /*  324535 */   // Label 5970: @324535
     /*  324535 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324598), // Rule ID 19939 //
     /*  324540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324596 */     GIR_RootConstrainSelectedInstOperands,
     /*  324597 */     // GIR_Coverage, 19939,
     /*  324597 */     GIR_EraseRootFromParent_Done,
     /*  324598 */   // Label 5971: @324598
     /*  324598 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324661), // Rule ID 19942 //
     /*  324603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  324645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324659 */     GIR_RootConstrainSelectedInstOperands,
     /*  324660 */     // GIR_Coverage, 19942,
     /*  324660 */     GIR_EraseRootFromParent_Done,
     /*  324661 */   // Label 5972: @324661
     /*  324661 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324724), // Rule ID 19943 //
     /*  324666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  324708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324722 */     GIR_RootConstrainSelectedInstOperands,
     /*  324723 */     // GIR_Coverage, 19943,
     /*  324723 */     GIR_EraseRootFromParent_Done,
     /*  324724 */   // Label 5973: @324724
     /*  324724 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324787), // Rule ID 19946 //
     /*  324729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  324771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324785 */     GIR_RootConstrainSelectedInstOperands,
     /*  324786 */     // GIR_Coverage, 19946,
     /*  324786 */     GIR_EraseRootFromParent_Done,
     /*  324787 */   // Label 5974: @324787
     /*  324787 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324850), // Rule ID 19947 //
     /*  324792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  324834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324848 */     GIR_RootConstrainSelectedInstOperands,
     /*  324849 */     // GIR_Coverage, 19947,
     /*  324849 */     GIR_EraseRootFromParent_Done,
     /*  324850 */   // Label 5975: @324850
     /*  324850 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324913), // Rule ID 19950 //
     /*  324855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  324897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324911 */     GIR_RootConstrainSelectedInstOperands,
     /*  324912 */     // GIR_Coverage, 19950,
     /*  324912 */     GIR_EraseRootFromParent_Done,
     /*  324913 */   // Label 5976: @324913
     /*  324913 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324976), // Rule ID 19951 //
     /*  324918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  324960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324974 */     GIR_RootConstrainSelectedInstOperands,
     /*  324975 */     // GIR_Coverage, 19951,
     /*  324975 */     GIR_EraseRootFromParent_Done,
     /*  324976 */   // Label 5977: @324976
     /*  324976 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(325039), // Rule ID 19954 //
     /*  324981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  325023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325037 */     GIR_RootConstrainSelectedInstOperands,
     /*  325038 */     // GIR_Coverage, 19954,
     /*  325038 */     GIR_EraseRootFromParent_Done,
     /*  325039 */   // Label 5978: @325039
     /*  325039 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(325102), // Rule ID 19955 //
     /*  325044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  325086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325100 */     GIR_RootConstrainSelectedInstOperands,
     /*  325101 */     // GIR_Coverage, 19955,
     /*  325101 */     GIR_EraseRootFromParent_Done,
     /*  325102 */   // Label 5979: @325102
     /*  325102 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(325165), // Rule ID 19958 //
     /*  325107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325146 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  325149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325163 */     GIR_RootConstrainSelectedInstOperands,
     /*  325164 */     // GIR_Coverage, 19958,
     /*  325164 */     GIR_EraseRootFromParent_Done,
     /*  325165 */   // Label 5980: @325165
     /*  325165 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(325228), // Rule ID 19959 //
     /*  325170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  325212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325226 */     GIR_RootConstrainSelectedInstOperands,
     /*  325227 */     // GIR_Coverage, 19959,
     /*  325227 */     GIR_EraseRootFromParent_Done,
     /*  325228 */   // Label 5981: @325228
     /*  325228 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(325291), // Rule ID 19962 //
     /*  325233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325289 */     GIR_RootConstrainSelectedInstOperands,
     /*  325290 */     // GIR_Coverage, 19962,
     /*  325290 */     GIR_EraseRootFromParent_Done,
     /*  325291 */   // Label 5982: @325291
     /*  325291 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(325354), // Rule ID 19963 //
     /*  325296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325352 */     GIR_RootConstrainSelectedInstOperands,
     /*  325353 */     // GIR_Coverage, 19963,
     /*  325353 */     GIR_EraseRootFromParent_Done,
     /*  325354 */   // Label 5983: @325354
     /*  325354 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325417), // Rule ID 19966 //
     /*  325359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325415 */     GIR_RootConstrainSelectedInstOperands,
     /*  325416 */     // GIR_Coverage, 19966,
     /*  325416 */     GIR_EraseRootFromParent_Done,
     /*  325417 */   // Label 5984: @325417
     /*  325417 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325480), // Rule ID 19967 //
     /*  325422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325461 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325478 */     GIR_RootConstrainSelectedInstOperands,
     /*  325479 */     // GIR_Coverage, 19967,
     /*  325479 */     GIR_EraseRootFromParent_Done,
     /*  325480 */   // Label 5985: @325480
     /*  325480 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325543), // Rule ID 19970 //
     /*  325485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  325527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325541 */     GIR_RootConstrainSelectedInstOperands,
     /*  325542 */     // GIR_Coverage, 19970,
     /*  325542 */     GIR_EraseRootFromParent_Done,
     /*  325543 */   // Label 5986: @325543
     /*  325543 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325606), // Rule ID 19971 //
     /*  325548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325587 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  325590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325604 */     GIR_RootConstrainSelectedInstOperands,
     /*  325605 */     // GIR_Coverage, 19971,
     /*  325605 */     GIR_EraseRootFromParent_Done,
     /*  325606 */   // Label 5987: @325606
     /*  325606 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325669), // Rule ID 19974 //
     /*  325611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325650 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  325653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325667 */     GIR_RootConstrainSelectedInstOperands,
     /*  325668 */     // GIR_Coverage, 19974,
     /*  325668 */     GIR_EraseRootFromParent_Done,
     /*  325669 */   // Label 5988: @325669
     /*  325669 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325732), // Rule ID 19975 //
     /*  325674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325713 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  325716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325730 */     GIR_RootConstrainSelectedInstOperands,
     /*  325731 */     // GIR_Coverage, 19975,
     /*  325731 */     GIR_EraseRootFromParent_Done,
     /*  325732 */   // Label 5989: @325732
     /*  325732 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325795), // Rule ID 19978 //
     /*  325737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  325779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325793 */     GIR_RootConstrainSelectedInstOperands,
     /*  325794 */     // GIR_Coverage, 19978,
     /*  325794 */     GIR_EraseRootFromParent_Done,
     /*  325795 */   // Label 5990: @325795
     /*  325795 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325858), // Rule ID 19979 //
     /*  325800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  325842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325856 */     GIR_RootConstrainSelectedInstOperands,
     /*  325857 */     // GIR_Coverage, 19979,
     /*  325857 */     GIR_EraseRootFromParent_Done,
     /*  325858 */   // Label 5991: @325858
     /*  325858 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325921), // Rule ID 19982 //
     /*  325863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  325905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325919 */     GIR_RootConstrainSelectedInstOperands,
     /*  325920 */     // GIR_Coverage, 19982,
     /*  325920 */     GIR_EraseRootFromParent_Done,
     /*  325921 */   // Label 5992: @325921
     /*  325921 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325984), // Rule ID 19983 //
     /*  325926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325965 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  325968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325982 */     GIR_RootConstrainSelectedInstOperands,
     /*  325983 */     // GIR_Coverage, 19983,
     /*  325983 */     GIR_EraseRootFromParent_Done,
     /*  325984 */   // Label 5993: @325984
     /*  325984 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(326047), // Rule ID 19986 //
     /*  325989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  326031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326045 */     GIR_RootConstrainSelectedInstOperands,
     /*  326046 */     // GIR_Coverage, 19986,
     /*  326046 */     GIR_EraseRootFromParent_Done,
     /*  326047 */   // Label 5994: @326047
     /*  326047 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(326110), // Rule ID 19987 //
     /*  326052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326091 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  326094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326108 */     GIR_RootConstrainSelectedInstOperands,
     /*  326109 */     // GIR_Coverage, 19987,
     /*  326109 */     GIR_EraseRootFromParent_Done,
     /*  326110 */   // Label 5995: @326110
     /*  326110 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(326173), // Rule ID 19990 //
     /*  326115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  326157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326171 */     GIR_RootConstrainSelectedInstOperands,
     /*  326172 */     // GIR_Coverage, 19990,
     /*  326172 */     GIR_EraseRootFromParent_Done,
     /*  326173 */   // Label 5996: @326173
     /*  326173 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(326236), // Rule ID 19991 //
     /*  326178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326217 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  326220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326234 */     GIR_RootConstrainSelectedInstOperands,
     /*  326235 */     // GIR_Coverage, 19991,
     /*  326235 */     GIR_EraseRootFromParent_Done,
     /*  326236 */   // Label 5997: @326236
     /*  326236 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(326299), // Rule ID 19994 //
     /*  326241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326297 */     GIR_RootConstrainSelectedInstOperands,
     /*  326298 */     // GIR_Coverage, 19994,
     /*  326298 */     GIR_EraseRootFromParent_Done,
     /*  326299 */   // Label 5998: @326299
     /*  326299 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(326362), // Rule ID 19995 //
     /*  326304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326343 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326360 */     GIR_RootConstrainSelectedInstOperands,
     /*  326361 */     // GIR_Coverage, 19995,
     /*  326361 */     GIR_EraseRootFromParent_Done,
     /*  326362 */   // Label 5999: @326362
     /*  326362 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326425), // Rule ID 19998 //
     /*  326367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326423 */     GIR_RootConstrainSelectedInstOperands,
     /*  326424 */     // GIR_Coverage, 19998,
     /*  326424 */     GIR_EraseRootFromParent_Done,
     /*  326425 */   // Label 6000: @326425
     /*  326425 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326488), // Rule ID 19999 //
     /*  326430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326486 */     GIR_RootConstrainSelectedInstOperands,
     /*  326487 */     // GIR_Coverage, 19999,
     /*  326487 */     GIR_EraseRootFromParent_Done,
     /*  326488 */   // Label 6001: @326488
     /*  326488 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326551), // Rule ID 20002 //
     /*  326493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  326535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326549 */     GIR_RootConstrainSelectedInstOperands,
     /*  326550 */     // GIR_Coverage, 20002,
     /*  326550 */     GIR_EraseRootFromParent_Done,
     /*  326551 */   // Label 6002: @326551
     /*  326551 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326614), // Rule ID 20003 //
     /*  326556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  326598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326612 */     GIR_RootConstrainSelectedInstOperands,
     /*  326613 */     // GIR_Coverage, 20003,
     /*  326613 */     GIR_EraseRootFromParent_Done,
     /*  326614 */   // Label 6003: @326614
     /*  326614 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326677), // Rule ID 20006 //
     /*  326619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326675 */     GIR_RootConstrainSelectedInstOperands,
     /*  326676 */     // GIR_Coverage, 20006,
     /*  326676 */     GIR_EraseRootFromParent_Done,
     /*  326677 */   // Label 6004: @326677
     /*  326677 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326740), // Rule ID 20007 //
     /*  326682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326738 */     GIR_RootConstrainSelectedInstOperands,
     /*  326739 */     // GIR_Coverage, 20007,
     /*  326739 */     GIR_EraseRootFromParent_Done,
     /*  326740 */   // Label 6005: @326740
     /*  326740 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326803), // Rule ID 20010 //
     /*  326745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326801 */     GIR_RootConstrainSelectedInstOperands,
     /*  326802 */     // GIR_Coverage, 20010,
     /*  326802 */     GIR_EraseRootFromParent_Done,
     /*  326803 */   // Label 6006: @326803
     /*  326803 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326866), // Rule ID 20011 //
     /*  326808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326847 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326864 */     GIR_RootConstrainSelectedInstOperands,
     /*  326865 */     // GIR_Coverage, 20011,
     /*  326865 */     GIR_EraseRootFromParent_Done,
     /*  326866 */   // Label 6007: @326866
     /*  326866 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326929), // Rule ID 20014 //
     /*  326871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326927 */     GIR_RootConstrainSelectedInstOperands,
     /*  326928 */     // GIR_Coverage, 20014,
     /*  326928 */     GIR_EraseRootFromParent_Done,
     /*  326929 */   // Label 6008: @326929
     /*  326929 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326992), // Rule ID 20015 //
     /*  326934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326990 */     GIR_RootConstrainSelectedInstOperands,
     /*  326991 */     // GIR_Coverage, 20015,
     /*  326991 */     GIR_EraseRootFromParent_Done,
     /*  326992 */   // Label 6009: @326992
     /*  326992 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(327055), // Rule ID 20018 //
     /*  326997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327053 */     GIR_RootConstrainSelectedInstOperands,
     /*  327054 */     // GIR_Coverage, 20018,
     /*  327054 */     GIR_EraseRootFromParent_Done,
     /*  327055 */   // Label 6010: @327055
     /*  327055 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(327118), // Rule ID 20019 //
     /*  327060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327099 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327116 */     GIR_RootConstrainSelectedInstOperands,
     /*  327117 */     // GIR_Coverage, 20019,
     /*  327117 */     GIR_EraseRootFromParent_Done,
     /*  327118 */   // Label 6011: @327118
     /*  327118 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(327181), // Rule ID 20022 //
     /*  327123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327179 */     GIR_RootConstrainSelectedInstOperands,
     /*  327180 */     // GIR_Coverage, 20022,
     /*  327180 */     GIR_EraseRootFromParent_Done,
     /*  327181 */   // Label 6012: @327181
     /*  327181 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(327244), // Rule ID 20023 //
     /*  327186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327242 */     GIR_RootConstrainSelectedInstOperands,
     /*  327243 */     // GIR_Coverage, 20023,
     /*  327243 */     GIR_EraseRootFromParent_Done,
     /*  327244 */   // Label 6013: @327244
     /*  327244 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(327307), // Rule ID 20026 //
     /*  327249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327305 */     GIR_RootConstrainSelectedInstOperands,
     /*  327306 */     // GIR_Coverage, 20026,
     /*  327306 */     GIR_EraseRootFromParent_Done,
     /*  327307 */   // Label 6014: @327307
     /*  327307 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(327370), // Rule ID 20027 //
     /*  327312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327351 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327368 */     GIR_RootConstrainSelectedInstOperands,
     /*  327369 */     // GIR_Coverage, 20027,
     /*  327369 */     GIR_EraseRootFromParent_Done,
     /*  327370 */   // Label 6015: @327370
     /*  327370 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327433), // Rule ID 20030 //
     /*  327375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327431 */     GIR_RootConstrainSelectedInstOperands,
     /*  327432 */     // GIR_Coverage, 20030,
     /*  327432 */     GIR_EraseRootFromParent_Done,
     /*  327433 */   // Label 6016: @327433
     /*  327433 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327496), // Rule ID 20031 //
     /*  327438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327494 */     GIR_RootConstrainSelectedInstOperands,
     /*  327495 */     // GIR_Coverage, 20031,
     /*  327495 */     GIR_EraseRootFromParent_Done,
     /*  327496 */   // Label 6017: @327496
     /*  327496 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327559), // Rule ID 20034 //
     /*  327501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327540 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327557 */     GIR_RootConstrainSelectedInstOperands,
     /*  327558 */     // GIR_Coverage, 20034,
     /*  327558 */     GIR_EraseRootFromParent_Done,
     /*  327559 */   // Label 6018: @327559
     /*  327559 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327622), // Rule ID 20035 //
     /*  327564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327603 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327620 */     GIR_RootConstrainSelectedInstOperands,
     /*  327621 */     // GIR_Coverage, 20035,
     /*  327621 */     GIR_EraseRootFromParent_Done,
     /*  327622 */   // Label 6019: @327622
     /*  327622 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327685), // Rule ID 20038 //
     /*  327627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327683 */     GIR_RootConstrainSelectedInstOperands,
     /*  327684 */     // GIR_Coverage, 20038,
     /*  327684 */     GIR_EraseRootFromParent_Done,
     /*  327685 */   // Label 6020: @327685
     /*  327685 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327748), // Rule ID 20039 //
     /*  327690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327746 */     GIR_RootConstrainSelectedInstOperands,
     /*  327747 */     // GIR_Coverage, 20039,
     /*  327747 */     GIR_EraseRootFromParent_Done,
     /*  327748 */   // Label 6021: @327748
     /*  327748 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327811), // Rule ID 20042 //
     /*  327753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327809 */     GIR_RootConstrainSelectedInstOperands,
     /*  327810 */     // GIR_Coverage, 20042,
     /*  327810 */     GIR_EraseRootFromParent_Done,
     /*  327811 */   // Label 6022: @327811
     /*  327811 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327874), // Rule ID 20043 //
     /*  327816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327872 */     GIR_RootConstrainSelectedInstOperands,
     /*  327873 */     // GIR_Coverage, 20043,
     /*  327873 */     GIR_EraseRootFromParent_Done,
     /*  327874 */   // Label 6023: @327874
     /*  327874 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327937), // Rule ID 20046 //
     /*  327879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327918 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327935 */     GIR_RootConstrainSelectedInstOperands,
     /*  327936 */     // GIR_Coverage, 20046,
     /*  327936 */     GIR_EraseRootFromParent_Done,
     /*  327937 */   // Label 6024: @327937
     /*  327937 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(328000), // Rule ID 20047 //
     /*  327942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327998 */     GIR_RootConstrainSelectedInstOperands,
     /*  327999 */     // GIR_Coverage, 20047,
     /*  327999 */     GIR_EraseRootFromParent_Done,
     /*  328000 */   // Label 6025: @328000
     /*  328000 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(328063), // Rule ID 20050 //
     /*  328005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328061 */     GIR_RootConstrainSelectedInstOperands,
     /*  328062 */     // GIR_Coverage, 20050,
     /*  328062 */     GIR_EraseRootFromParent_Done,
     /*  328063 */   // Label 6026: @328063
     /*  328063 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(328126), // Rule ID 20051 //
     /*  328068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328107 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328124 */     GIR_RootConstrainSelectedInstOperands,
     /*  328125 */     // GIR_Coverage, 20051,
     /*  328125 */     GIR_EraseRootFromParent_Done,
     /*  328126 */   // Label 6027: @328126
     /*  328126 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(328189), // Rule ID 20054 //
     /*  328131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328187 */     GIR_RootConstrainSelectedInstOperands,
     /*  328188 */     // GIR_Coverage, 20054,
     /*  328188 */     GIR_EraseRootFromParent_Done,
     /*  328189 */   // Label 6028: @328189
     /*  328189 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(328252), // Rule ID 20055 //
     /*  328194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328233 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328250 */     GIR_RootConstrainSelectedInstOperands,
     /*  328251 */     // GIR_Coverage, 20055,
     /*  328251 */     GIR_EraseRootFromParent_Done,
     /*  328252 */   // Label 6029: @328252
     /*  328252 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(328315), // Rule ID 20058 //
     /*  328257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328313 */     GIR_RootConstrainSelectedInstOperands,
     /*  328314 */     // GIR_Coverage, 20058,
     /*  328314 */     GIR_EraseRootFromParent_Done,
     /*  328315 */   // Label 6030: @328315
     /*  328315 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(328378), // Rule ID 20059 //
     /*  328320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328376 */     GIR_RootConstrainSelectedInstOperands,
     /*  328377 */     // GIR_Coverage, 20059,
     /*  328377 */     GIR_EraseRootFromParent_Done,
     /*  328378 */   // Label 6031: @328378
     /*  328378 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328441), // Rule ID 20062 //
     /*  328383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328422 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328439 */     GIR_RootConstrainSelectedInstOperands,
     /*  328440 */     // GIR_Coverage, 20062,
     /*  328440 */     GIR_EraseRootFromParent_Done,
     /*  328441 */   // Label 6032: @328441
     /*  328441 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328504), // Rule ID 20063 //
     /*  328446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328485 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328502 */     GIR_RootConstrainSelectedInstOperands,
     /*  328503 */     // GIR_Coverage, 20063,
     /*  328503 */     GIR_EraseRootFromParent_Done,
     /*  328504 */   // Label 6033: @328504
     /*  328504 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328567), // Rule ID 20066 //
     /*  328509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  328551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328565 */     GIR_RootConstrainSelectedInstOperands,
     /*  328566 */     // GIR_Coverage, 20066,
     /*  328566 */     GIR_EraseRootFromParent_Done,
     /*  328567 */   // Label 6034: @328567
     /*  328567 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328630), // Rule ID 20067 //
     /*  328572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328611 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  328614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328628 */     GIR_RootConstrainSelectedInstOperands,
     /*  328629 */     // GIR_Coverage, 20067,
     /*  328629 */     GIR_EraseRootFromParent_Done,
     /*  328630 */   // Label 6035: @328630
     /*  328630 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328693), // Rule ID 20070 //
     /*  328635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328674 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  328677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328691 */     GIR_RootConstrainSelectedInstOperands,
     /*  328692 */     // GIR_Coverage, 20070,
     /*  328692 */     GIR_EraseRootFromParent_Done,
     /*  328693 */   // Label 6036: @328693
     /*  328693 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328756), // Rule ID 20071 //
     /*  328698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328737 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  328740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328754 */     GIR_RootConstrainSelectedInstOperands,
     /*  328755 */     // GIR_Coverage, 20071,
     /*  328755 */     GIR_EraseRootFromParent_Done,
     /*  328756 */   // Label 6037: @328756
     /*  328756 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328819), // Rule ID 20074 //
     /*  328761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  328803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328817 */     GIR_RootConstrainSelectedInstOperands,
     /*  328818 */     // GIR_Coverage, 20074,
     /*  328818 */     GIR_EraseRootFromParent_Done,
     /*  328819 */   // Label 6038: @328819
     /*  328819 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328882), // Rule ID 20075 //
     /*  328824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  328866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328880 */     GIR_RootConstrainSelectedInstOperands,
     /*  328881 */     // GIR_Coverage, 20075,
     /*  328881 */     GIR_EraseRootFromParent_Done,
     /*  328882 */   // Label 6039: @328882
     /*  328882 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328945), // Rule ID 20078 //
     /*  328887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328926 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  328929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328943 */     GIR_RootConstrainSelectedInstOperands,
     /*  328944 */     // GIR_Coverage, 20078,
     /*  328944 */     GIR_EraseRootFromParent_Done,
     /*  328945 */   // Label 6040: @328945
     /*  328945 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(329008), // Rule ID 20079 //
     /*  328950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  328992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329006 */     GIR_RootConstrainSelectedInstOperands,
     /*  329007 */     // GIR_Coverage, 20079,
     /*  329007 */     GIR_EraseRootFromParent_Done,
     /*  329008 */   // Label 6041: @329008
     /*  329008 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(329071), // Rule ID 20082 //
     /*  329013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  329055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329069 */     GIR_RootConstrainSelectedInstOperands,
     /*  329070 */     // GIR_Coverage, 20082,
     /*  329070 */     GIR_EraseRootFromParent_Done,
     /*  329071 */   // Label 6042: @329071
     /*  329071 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(329134), // Rule ID 20083 //
     /*  329076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  329118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329132 */     GIR_RootConstrainSelectedInstOperands,
     /*  329133 */     // GIR_Coverage, 20083,
     /*  329133 */     GIR_EraseRootFromParent_Done,
     /*  329134 */   // Label 6043: @329134
     /*  329134 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(329197), // Rule ID 20086 //
     /*  329139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329178 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  329181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329195 */     GIR_RootConstrainSelectedInstOperands,
     /*  329196 */     // GIR_Coverage, 20086,
     /*  329196 */     GIR_EraseRootFromParent_Done,
     /*  329197 */   // Label 6044: @329197
     /*  329197 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(329260), // Rule ID 20087 //
     /*  329202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329241 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  329244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329258 */     GIR_RootConstrainSelectedInstOperands,
     /*  329259 */     // GIR_Coverage, 20087,
     /*  329259 */     GIR_EraseRootFromParent_Done,
     /*  329260 */   // Label 6045: @329260
     /*  329260 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(329323), // Rule ID 20090 //
     /*  329265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329321 */     GIR_RootConstrainSelectedInstOperands,
     /*  329322 */     // GIR_Coverage, 20090,
     /*  329322 */     GIR_EraseRootFromParent_Done,
     /*  329323 */   // Label 6046: @329323
     /*  329323 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(329386), // Rule ID 20091 //
     /*  329328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329367 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329384 */     GIR_RootConstrainSelectedInstOperands,
     /*  329385 */     // GIR_Coverage, 20091,
     /*  329385 */     GIR_EraseRootFromParent_Done,
     /*  329386 */   // Label 6047: @329386
     /*  329386 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329449), // Rule ID 20094 //
     /*  329391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329430 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329447 */     GIR_RootConstrainSelectedInstOperands,
     /*  329448 */     // GIR_Coverage, 20094,
     /*  329448 */     GIR_EraseRootFromParent_Done,
     /*  329449 */   // Label 6048: @329449
     /*  329449 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329512), // Rule ID 20095 //
     /*  329454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329493 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329510 */     GIR_RootConstrainSelectedInstOperands,
     /*  329511 */     // GIR_Coverage, 20095,
     /*  329511 */     GIR_EraseRootFromParent_Done,
     /*  329512 */   // Label 6049: @329512
     /*  329512 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329575), // Rule ID 20098 //
     /*  329517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  329559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329573 */     GIR_RootConstrainSelectedInstOperands,
     /*  329574 */     // GIR_Coverage, 20098,
     /*  329574 */     GIR_EraseRootFromParent_Done,
     /*  329575 */   // Label 6050: @329575
     /*  329575 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329638), // Rule ID 20099 //
     /*  329580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329619 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  329622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329636 */     GIR_RootConstrainSelectedInstOperands,
     /*  329637 */     // GIR_Coverage, 20099,
     /*  329637 */     GIR_EraseRootFromParent_Done,
     /*  329638 */   // Label 6051: @329638
     /*  329638 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329701), // Rule ID 20102 //
     /*  329643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329682 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  329685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329699 */     GIR_RootConstrainSelectedInstOperands,
     /*  329700 */     // GIR_Coverage, 20102,
     /*  329700 */     GIR_EraseRootFromParent_Done,
     /*  329701 */   // Label 6052: @329701
     /*  329701 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329764), // Rule ID 20103 //
     /*  329706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  329748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329762 */     GIR_RootConstrainSelectedInstOperands,
     /*  329763 */     // GIR_Coverage, 20103,
     /*  329763 */     GIR_EraseRootFromParent_Done,
     /*  329764 */   // Label 6053: @329764
     /*  329764 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329827), // Rule ID 20106 //
     /*  329769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  329811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329825 */     GIR_RootConstrainSelectedInstOperands,
     /*  329826 */     // GIR_Coverage, 20106,
     /*  329826 */     GIR_EraseRootFromParent_Done,
     /*  329827 */   // Label 6054: @329827
     /*  329827 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329890), // Rule ID 20107 //
     /*  329832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329871 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  329874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329888 */     GIR_RootConstrainSelectedInstOperands,
     /*  329889 */     // GIR_Coverage, 20107,
     /*  329889 */     GIR_EraseRootFromParent_Done,
     /*  329890 */   // Label 6055: @329890
     /*  329890 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329953), // Rule ID 20110 //
     /*  329895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  329937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329951 */     GIR_RootConstrainSelectedInstOperands,
     /*  329952 */     // GIR_Coverage, 20110,
     /*  329952 */     GIR_EraseRootFromParent_Done,
     /*  329953 */   // Label 6056: @329953
     /*  329953 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(330016), // Rule ID 20111 //
     /*  329958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  330000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330014 */     GIR_RootConstrainSelectedInstOperands,
     /*  330015 */     // GIR_Coverage, 20111,
     /*  330015 */     GIR_EraseRootFromParent_Done,
     /*  330016 */   // Label 6057: @330016
     /*  330016 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(330079), // Rule ID 20114 //
     /*  330021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  330063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330077 */     GIR_RootConstrainSelectedInstOperands,
     /*  330078 */     // GIR_Coverage, 20114,
     /*  330078 */     GIR_EraseRootFromParent_Done,
     /*  330079 */   // Label 6058: @330079
     /*  330079 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(330142), // Rule ID 20115 //
     /*  330084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  330126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330140 */     GIR_RootConstrainSelectedInstOperands,
     /*  330141 */     // GIR_Coverage, 20115,
     /*  330141 */     GIR_EraseRootFromParent_Done,
     /*  330142 */   // Label 6059: @330142
     /*  330142 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(330205), // Rule ID 20118 //
     /*  330147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  330189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330203 */     GIR_RootConstrainSelectedInstOperands,
     /*  330204 */     // GIR_Coverage, 20118,
     /*  330204 */     GIR_EraseRootFromParent_Done,
     /*  330205 */   // Label 6060: @330205
     /*  330205 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(330268), // Rule ID 20119 //
     /*  330210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  330252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330266 */     GIR_RootConstrainSelectedInstOperands,
     /*  330267 */     // GIR_Coverage, 20119,
     /*  330267 */     GIR_EraseRootFromParent_Done,
     /*  330268 */   // Label 6061: @330268
     /*  330268 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(330331), // Rule ID 20122 //
     /*  330273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330329 */     GIR_RootConstrainSelectedInstOperands,
     /*  330330 */     // GIR_Coverage, 20122,
     /*  330330 */     GIR_EraseRootFromParent_Done,
     /*  330331 */   // Label 6062: @330331
     /*  330331 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(330394), // Rule ID 20123 //
     /*  330336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330375 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330392 */     GIR_RootConstrainSelectedInstOperands,
     /*  330393 */     // GIR_Coverage, 20123,
     /*  330393 */     GIR_EraseRootFromParent_Done,
     /*  330394 */   // Label 6063: @330394
     /*  330394 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330457), // Rule ID 20126 //
     /*  330399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330455 */     GIR_RootConstrainSelectedInstOperands,
     /*  330456 */     // GIR_Coverage, 20126,
     /*  330456 */     GIR_EraseRootFromParent_Done,
     /*  330457 */   // Label 6064: @330457
     /*  330457 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330520), // Rule ID 20127 //
     /*  330462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330518 */     GIR_RootConstrainSelectedInstOperands,
     /*  330519 */     // GIR_Coverage, 20127,
     /*  330519 */     GIR_EraseRootFromParent_Done,
     /*  330520 */   // Label 6065: @330520
     /*  330520 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330583), // Rule ID 20130 //
     /*  330525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330581 */     GIR_RootConstrainSelectedInstOperands,
     /*  330582 */     // GIR_Coverage, 20130,
     /*  330582 */     GIR_EraseRootFromParent_Done,
     /*  330583 */   // Label 6066: @330583
     /*  330583 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330646), // Rule ID 20131 //
     /*  330588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330644 */     GIR_RootConstrainSelectedInstOperands,
     /*  330645 */     // GIR_Coverage, 20131,
     /*  330645 */     GIR_EraseRootFromParent_Done,
     /*  330646 */   // Label 6067: @330646
     /*  330646 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330709), // Rule ID 20134 //
     /*  330651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  330668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330707 */     GIR_RootConstrainSelectedInstOperands,
     /*  330708 */     // GIR_Coverage, 20134,
     /*  330708 */     GIR_EraseRootFromParent_Done,
     /*  330709 */   // Label 6068: @330709
     /*  330709 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330772), // Rule ID 20135 //
     /*  330714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  330731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330770 */     GIR_RootConstrainSelectedInstOperands,
     /*  330771 */     // GIR_Coverage, 20135,
     /*  330771 */     GIR_EraseRootFromParent_Done,
     /*  330772 */   // Label 6069: @330772
     /*  330772 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330835), // Rule ID 20138 //
     /*  330777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330833 */     GIR_RootConstrainSelectedInstOperands,
     /*  330834 */     // GIR_Coverage, 20138,
     /*  330834 */     GIR_EraseRootFromParent_Done,
     /*  330835 */   // Label 6070: @330835
     /*  330835 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330898), // Rule ID 20139 //
     /*  330840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330879 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330896 */     GIR_RootConstrainSelectedInstOperands,
     /*  330897 */     // GIR_Coverage, 20139,
     /*  330897 */     GIR_EraseRootFromParent_Done,
     /*  330898 */   // Label 6071: @330898
     /*  330898 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330961), // Rule ID 20142 //
     /*  330903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  330920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330959 */     GIR_RootConstrainSelectedInstOperands,
     /*  330960 */     // GIR_Coverage, 20142,
     /*  330960 */     GIR_EraseRootFromParent_Done,
     /*  330961 */   // Label 6072: @330961
     /*  330961 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(331024), // Rule ID 20143 //
     /*  330966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  330983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331022 */     GIR_RootConstrainSelectedInstOperands,
     /*  331023 */     // GIR_Coverage, 20143,
     /*  331023 */     GIR_EraseRootFromParent_Done,
     /*  331024 */   // Label 6073: @331024
     /*  331024 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(331087), // Rule ID 20146 //
     /*  331029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331085 */     GIR_RootConstrainSelectedInstOperands,
     /*  331086 */     // GIR_Coverage, 20146,
     /*  331086 */     GIR_EraseRootFromParent_Done,
     /*  331087 */   // Label 6074: @331087
     /*  331087 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(331150), // Rule ID 20147 //
     /*  331092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331131 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331148 */     GIR_RootConstrainSelectedInstOperands,
     /*  331149 */     // GIR_Coverage, 20147,
     /*  331149 */     GIR_EraseRootFromParent_Done,
     /*  331150 */   // Label 6075: @331150
     /*  331150 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(331213), // Rule ID 20150 //
     /*  331155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331211 */     GIR_RootConstrainSelectedInstOperands,
     /*  331212 */     // GIR_Coverage, 20150,
     /*  331212 */     GIR_EraseRootFromParent_Done,
     /*  331213 */   // Label 6076: @331213
     /*  331213 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(331276), // Rule ID 20151 //
     /*  331218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331257 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331274 */     GIR_RootConstrainSelectedInstOperands,
     /*  331275 */     // GIR_Coverage, 20151,
     /*  331275 */     GIR_EraseRootFromParent_Done,
     /*  331276 */   // Label 6077: @331276
     /*  331276 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(331339), // Rule ID 20154 //
     /*  331281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331320 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331337 */     GIR_RootConstrainSelectedInstOperands,
     /*  331338 */     // GIR_Coverage, 20154,
     /*  331338 */     GIR_EraseRootFromParent_Done,
     /*  331339 */   // Label 6078: @331339
     /*  331339 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331402), // Rule ID 20155 //
     /*  331344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331383 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331400 */     GIR_RootConstrainSelectedInstOperands,
     /*  331401 */     // GIR_Coverage, 20155,
     /*  331401 */     GIR_EraseRootFromParent_Done,
     /*  331402 */   // Label 6079: @331402
     /*  331402 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331465), // Rule ID 20158 //
     /*  331407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331463 */     GIR_RootConstrainSelectedInstOperands,
     /*  331464 */     // GIR_Coverage, 20158,
     /*  331464 */     GIR_EraseRootFromParent_Done,
     /*  331465 */   // Label 6080: @331465
     /*  331465 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331528), // Rule ID 20159 //
     /*  331470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331526 */     GIR_RootConstrainSelectedInstOperands,
     /*  331527 */     // GIR_Coverage, 20159,
     /*  331527 */     GIR_EraseRootFromParent_Done,
     /*  331528 */   // Label 6081: @331528
     /*  331528 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331591), // Rule ID 20162 //
     /*  331533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331589 */     GIR_RootConstrainSelectedInstOperands,
     /*  331590 */     // GIR_Coverage, 20162,
     /*  331590 */     GIR_EraseRootFromParent_Done,
     /*  331591 */   // Label 6082: @331591
     /*  331591 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331654), // Rule ID 20163 //
     /*  331596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331635 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331652 */     GIR_RootConstrainSelectedInstOperands,
     /*  331653 */     // GIR_Coverage, 20163,
     /*  331653 */     GIR_EraseRootFromParent_Done,
     /*  331654 */   // Label 6083: @331654
     /*  331654 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331717), // Rule ID 20166 //
     /*  331659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331715 */     GIR_RootConstrainSelectedInstOperands,
     /*  331716 */     // GIR_Coverage, 20166,
     /*  331716 */     GIR_EraseRootFromParent_Done,
     /*  331717 */   // Label 6084: @331717
     /*  331717 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331780), // Rule ID 20167 //
     /*  331722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331778 */     GIR_RootConstrainSelectedInstOperands,
     /*  331779 */     // GIR_Coverage, 20167,
     /*  331779 */     GIR_EraseRootFromParent_Done,
     /*  331780 */   // Label 6085: @331780
     /*  331780 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331843), // Rule ID 20170 //
     /*  331785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  331802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331841 */     GIR_RootConstrainSelectedInstOperands,
     /*  331842 */     // GIR_Coverage, 20170,
     /*  331842 */     GIR_EraseRootFromParent_Done,
     /*  331843 */   // Label 6086: @331843
     /*  331843 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331906), // Rule ID 20171 //
     /*  331848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  331865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331887 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331904 */     GIR_RootConstrainSelectedInstOperands,
     /*  331905 */     // GIR_Coverage, 20171,
     /*  331905 */     GIR_EraseRootFromParent_Done,
     /*  331906 */   // Label 6087: @331906
     /*  331906 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331969), // Rule ID 20174 //
     /*  331911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  331928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331950 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331967 */     GIR_RootConstrainSelectedInstOperands,
     /*  331968 */     // GIR_Coverage, 20174,
     /*  331968 */     GIR_EraseRootFromParent_Done,
     /*  331969 */   // Label 6088: @331969
     /*  331969 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(332032), // Rule ID 20175 //
     /*  331974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  331991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  332016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332030 */     GIR_RootConstrainSelectedInstOperands,
     /*  332031 */     // GIR_Coverage, 20175,
     /*  332031 */     GIR_EraseRootFromParent_Done,
     /*  332032 */   // Label 6089: @332032
     /*  332032 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(332095), // Rule ID 20178 //
     /*  332037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332093 */     GIR_RootConstrainSelectedInstOperands,
     /*  332094 */     // GIR_Coverage, 20178,
     /*  332094 */     GIR_EraseRootFromParent_Done,
     /*  332095 */   // Label 6090: @332095
     /*  332095 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(332158), // Rule ID 20179 //
     /*  332100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332156 */     GIR_RootConstrainSelectedInstOperands,
     /*  332157 */     // GIR_Coverage, 20179,
     /*  332157 */     GIR_EraseRootFromParent_Done,
     /*  332158 */   // Label 6091: @332158
     /*  332158 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(332221), // Rule ID 20182 //
     /*  332163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332219 */     GIR_RootConstrainSelectedInstOperands,
     /*  332220 */     // GIR_Coverage, 20182,
     /*  332220 */     GIR_EraseRootFromParent_Done,
     /*  332221 */   // Label 6092: @332221
     /*  332221 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(332284), // Rule ID 20183 //
     /*  332226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332282 */     GIR_RootConstrainSelectedInstOperands,
     /*  332283 */     // GIR_Coverage, 20183,
     /*  332283 */     GIR_EraseRootFromParent_Done,
     /*  332284 */   // Label 6093: @332284
     /*  332284 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(332347), // Rule ID 20186 //
     /*  332289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332345 */     GIR_RootConstrainSelectedInstOperands,
     /*  332346 */     // GIR_Coverage, 20186,
     /*  332346 */     GIR_EraseRootFromParent_Done,
     /*  332347 */   // Label 6094: @332347
     /*  332347 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332410), // Rule ID 20187 //
     /*  332352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332391 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332408 */     GIR_RootConstrainSelectedInstOperands,
     /*  332409 */     // GIR_Coverage, 20187,
     /*  332409 */     GIR_EraseRootFromParent_Done,
     /*  332410 */   // Label 6095: @332410
     /*  332410 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332473), // Rule ID 20190 //
     /*  332415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332471 */     GIR_RootConstrainSelectedInstOperands,
     /*  332472 */     // GIR_Coverage, 20190,
     /*  332472 */     GIR_EraseRootFromParent_Done,
     /*  332473 */   // Label 6096: @332473
     /*  332473 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332536), // Rule ID 20191 //
     /*  332478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332534 */     GIR_RootConstrainSelectedInstOperands,
     /*  332535 */     // GIR_Coverage, 20191,
     /*  332535 */     GIR_EraseRootFromParent_Done,
     /*  332536 */   // Label 6097: @332536
     /*  332536 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332599), // Rule ID 20194 //
     /*  332541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  332583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332597 */     GIR_RootConstrainSelectedInstOperands,
     /*  332598 */     // GIR_Coverage, 20194,
     /*  332598 */     GIR_EraseRootFromParent_Done,
     /*  332599 */   // Label 6098: @332599
     /*  332599 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332662), // Rule ID 20195 //
     /*  332604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  332646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332660 */     GIR_RootConstrainSelectedInstOperands,
     /*  332661 */     // GIR_Coverage, 20195,
     /*  332661 */     GIR_EraseRootFromParent_Done,
     /*  332662 */   // Label 6099: @332662
     /*  332662 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332725), // Rule ID 20198 //
     /*  332667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332706 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  332709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332723 */     GIR_RootConstrainSelectedInstOperands,
     /*  332724 */     // GIR_Coverage, 20198,
     /*  332724 */     GIR_EraseRootFromParent_Done,
     /*  332725 */   // Label 6100: @332725
     /*  332725 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332788), // Rule ID 20199 //
     /*  332730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  332772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332786 */     GIR_RootConstrainSelectedInstOperands,
     /*  332787 */     // GIR_Coverage, 20199,
     /*  332787 */     GIR_EraseRootFromParent_Done,
     /*  332788 */   // Label 6101: @332788
     /*  332788 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332851), // Rule ID 20202 //
     /*  332793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  332835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332849 */     GIR_RootConstrainSelectedInstOperands,
     /*  332850 */     // GIR_Coverage, 20202,
     /*  332850 */     GIR_EraseRootFromParent_Done,
     /*  332851 */   // Label 6102: @332851
     /*  332851 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332914), // Rule ID 20203 //
     /*  332856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  332898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332912 */     GIR_RootConstrainSelectedInstOperands,
     /*  332913 */     // GIR_Coverage, 20203,
     /*  332913 */     GIR_EraseRootFromParent_Done,
     /*  332914 */   // Label 6103: @332914
     /*  332914 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332977), // Rule ID 20206 //
     /*  332919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  332961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332975 */     GIR_RootConstrainSelectedInstOperands,
     /*  332976 */     // GIR_Coverage, 20206,
     /*  332976 */     GIR_EraseRootFromParent_Done,
     /*  332977 */   // Label 6104: @332977
     /*  332977 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(333040), // Rule ID 20207 //
     /*  332982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  333024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333038 */     GIR_RootConstrainSelectedInstOperands,
     /*  333039 */     // GIR_Coverage, 20207,
     /*  333039 */     GIR_EraseRootFromParent_Done,
     /*  333040 */   // Label 6105: @333040
     /*  333040 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(333103), // Rule ID 20210 //
     /*  333045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  333087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333101 */     GIR_RootConstrainSelectedInstOperands,
     /*  333102 */     // GIR_Coverage, 20210,
     /*  333102 */     GIR_EraseRootFromParent_Done,
     /*  333103 */   // Label 6106: @333103
     /*  333103 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(333166), // Rule ID 20211 //
     /*  333108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333147 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  333150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333164 */     GIR_RootConstrainSelectedInstOperands,
     /*  333165 */     // GIR_Coverage, 20211,
     /*  333165 */     GIR_EraseRootFromParent_Done,
     /*  333166 */   // Label 6107: @333166
     /*  333166 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(333229), // Rule ID 20214 //
     /*  333171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333227 */     GIR_RootConstrainSelectedInstOperands,
     /*  333228 */     // GIR_Coverage, 20214,
     /*  333228 */     GIR_EraseRootFromParent_Done,
     /*  333229 */   // Label 6108: @333229
     /*  333229 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(333292), // Rule ID 20215 //
     /*  333234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333273 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333290 */     GIR_RootConstrainSelectedInstOperands,
     /*  333291 */     // GIR_Coverage, 20215,
     /*  333291 */     GIR_EraseRootFromParent_Done,
     /*  333292 */   // Label 6109: @333292
     /*  333292 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(333355), // Rule ID 20218 //
     /*  333297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333353 */     GIR_RootConstrainSelectedInstOperands,
     /*  333354 */     // GIR_Coverage, 20218,
     /*  333354 */     GIR_EraseRootFromParent_Done,
     /*  333355 */   // Label 6110: @333355
     /*  333355 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333418), // Rule ID 20219 //
     /*  333360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333399 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333416 */     GIR_RootConstrainSelectedInstOperands,
     /*  333417 */     // GIR_Coverage, 20219,
     /*  333417 */     GIR_EraseRootFromParent_Done,
     /*  333418 */   // Label 6111: @333418
     /*  333418 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333481), // Rule ID 20222 //
     /*  333423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  333465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333479 */     GIR_RootConstrainSelectedInstOperands,
     /*  333480 */     // GIR_Coverage, 20222,
     /*  333480 */     GIR_EraseRootFromParent_Done,
     /*  333481 */   // Label 6112: @333481
     /*  333481 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333544), // Rule ID 20223 //
     /*  333486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333525 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  333528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333542 */     GIR_RootConstrainSelectedInstOperands,
     /*  333543 */     // GIR_Coverage, 20223,
     /*  333543 */     GIR_EraseRootFromParent_Done,
     /*  333544 */   // Label 6113: @333544
     /*  333544 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333607), // Rule ID 20226 //
     /*  333549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  333591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333605 */     GIR_RootConstrainSelectedInstOperands,
     /*  333606 */     // GIR_Coverage, 20226,
     /*  333606 */     GIR_EraseRootFromParent_Done,
     /*  333607 */   // Label 6114: @333607
     /*  333607 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333670), // Rule ID 20227 //
     /*  333612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  333654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333668 */     GIR_RootConstrainSelectedInstOperands,
     /*  333669 */     // GIR_Coverage, 20227,
     /*  333669 */     GIR_EraseRootFromParent_Done,
     /*  333670 */   // Label 6115: @333670
     /*  333670 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333733), // Rule ID 20230 //
     /*  333675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  333717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333731 */     GIR_RootConstrainSelectedInstOperands,
     /*  333732 */     // GIR_Coverage, 20230,
     /*  333732 */     GIR_EraseRootFromParent_Done,
     /*  333733 */   // Label 6116: @333733
     /*  333733 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333796), // Rule ID 20231 //
     /*  333738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  333780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333794 */     GIR_RootConstrainSelectedInstOperands,
     /*  333795 */     // GIR_Coverage, 20231,
     /*  333795 */     GIR_EraseRootFromParent_Done,
     /*  333796 */   // Label 6117: @333796
     /*  333796 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333859), // Rule ID 20234 //
     /*  333801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  333843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333857 */     GIR_RootConstrainSelectedInstOperands,
     /*  333858 */     // GIR_Coverage, 20234,
     /*  333858 */     GIR_EraseRootFromParent_Done,
     /*  333859 */   // Label 6118: @333859
     /*  333859 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333922), // Rule ID 20235 //
     /*  333864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  333906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333920 */     GIR_RootConstrainSelectedInstOperands,
     /*  333921 */     // GIR_Coverage, 20235,
     /*  333921 */     GIR_EraseRootFromParent_Done,
     /*  333922 */   // Label 6119: @333922
     /*  333922 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333985), // Rule ID 20238 //
     /*  333927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  333969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333983 */     GIR_RootConstrainSelectedInstOperands,
     /*  333984 */     // GIR_Coverage, 20238,
     /*  333984 */     GIR_EraseRootFromParent_Done,
     /*  333985 */   // Label 6120: @333985
     /*  333985 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(334048), // Rule ID 20239 //
     /*  333990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  334032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334046 */     GIR_RootConstrainSelectedInstOperands,
     /*  334047 */     // GIR_Coverage, 20239,
     /*  334047 */     GIR_EraseRootFromParent_Done,
     /*  334048 */   // Label 6121: @334048
     /*  334048 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(334111), // Rule ID 20242 //
     /*  334053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  334095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334109 */     GIR_RootConstrainSelectedInstOperands,
     /*  334110 */     // GIR_Coverage, 20242,
     /*  334110 */     GIR_EraseRootFromParent_Done,
     /*  334111 */   // Label 6122: @334111
     /*  334111 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(334174), // Rule ID 20243 //
     /*  334116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  334158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334172 */     GIR_RootConstrainSelectedInstOperands,
     /*  334173 */     // GIR_Coverage, 20243,
     /*  334173 */     GIR_EraseRootFromParent_Done,
     /*  334174 */   // Label 6123: @334174
     /*  334174 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(334237), // Rule ID 20246 //
     /*  334179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334235 */     GIR_RootConstrainSelectedInstOperands,
     /*  334236 */     // GIR_Coverage, 20246,
     /*  334236 */     GIR_EraseRootFromParent_Done,
     /*  334237 */   // Label 6124: @334237
     /*  334237 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(334300), // Rule ID 20247 //
     /*  334242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334298 */     GIR_RootConstrainSelectedInstOperands,
     /*  334299 */     // GIR_Coverage, 20247,
     /*  334299 */     GIR_EraseRootFromParent_Done,
     /*  334300 */   // Label 6125: @334300
     /*  334300 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(334363), // Rule ID 20250 //
     /*  334305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334361 */     GIR_RootConstrainSelectedInstOperands,
     /*  334362 */     // GIR_Coverage, 20250,
     /*  334362 */     GIR_EraseRootFromParent_Done,
     /*  334363 */   // Label 6126: @334363
     /*  334363 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334426), // Rule ID 20251 //
     /*  334368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334407 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334424 */     GIR_RootConstrainSelectedInstOperands,
     /*  334425 */     // GIR_Coverage, 20251,
     /*  334425 */     GIR_EraseRootFromParent_Done,
     /*  334426 */   // Label 6127: @334426
     /*  334426 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334489), // Rule ID 20254 //
     /*  334431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334470 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  334473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334487 */     GIR_RootConstrainSelectedInstOperands,
     /*  334488 */     // GIR_Coverage, 20254,
     /*  334488 */     GIR_EraseRootFromParent_Done,
     /*  334489 */   // Label 6128: @334489
     /*  334489 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334552), // Rule ID 20255 //
     /*  334494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  334536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334550 */     GIR_RootConstrainSelectedInstOperands,
     /*  334551 */     // GIR_Coverage, 20255,
     /*  334551 */     GIR_EraseRootFromParent_Done,
     /*  334552 */   // Label 6129: @334552
     /*  334552 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334615), // Rule ID 20258 //
     /*  334557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  334599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334613 */     GIR_RootConstrainSelectedInstOperands,
     /*  334614 */     // GIR_Coverage, 20258,
     /*  334614 */     GIR_EraseRootFromParent_Done,
     /*  334615 */   // Label 6130: @334615
     /*  334615 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334678), // Rule ID 20259 //
     /*  334620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  334662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334676 */     GIR_RootConstrainSelectedInstOperands,
     /*  334677 */     // GIR_Coverage, 20259,
     /*  334677 */     GIR_EraseRootFromParent_Done,
     /*  334678 */   // Label 6131: @334678
     /*  334678 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334741), // Rule ID 20262 //
     /*  334683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  334725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334739 */     GIR_RootConstrainSelectedInstOperands,
     /*  334740 */     // GIR_Coverage, 20262,
     /*  334740 */     GIR_EraseRootFromParent_Done,
     /*  334741 */   // Label 6132: @334741
     /*  334741 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334804), // Rule ID 20263 //
     /*  334746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  334788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334802 */     GIR_RootConstrainSelectedInstOperands,
     /*  334803 */     // GIR_Coverage, 20263,
     /*  334803 */     GIR_EraseRootFromParent_Done,
     /*  334804 */   // Label 6133: @334804
     /*  334804 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334867), // Rule ID 20266 //
     /*  334809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  334851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334865 */     GIR_RootConstrainSelectedInstOperands,
     /*  334866 */     // GIR_Coverage, 20266,
     /*  334866 */     GIR_EraseRootFromParent_Done,
     /*  334867 */   // Label 6134: @334867
     /*  334867 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334930), // Rule ID 20267 //
     /*  334872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334911 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  334914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334928 */     GIR_RootConstrainSelectedInstOperands,
     /*  334929 */     // GIR_Coverage, 20267,
     /*  334929 */     GIR_EraseRootFromParent_Done,
     /*  334930 */   // Label 6135: @334930
     /*  334930 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334993), // Rule ID 20270 //
     /*  334935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334974 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  334977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334991 */     GIR_RootConstrainSelectedInstOperands,
     /*  334992 */     // GIR_Coverage, 20270,
     /*  334992 */     GIR_EraseRootFromParent_Done,
     /*  334993 */   // Label 6136: @334993
     /*  334993 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(335056), // Rule ID 20271 //
     /*  334998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  335040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335054 */     GIR_RootConstrainSelectedInstOperands,
     /*  335055 */     // GIR_Coverage, 20271,
     /*  335055 */     GIR_EraseRootFromParent_Done,
     /*  335056 */   // Label 6137: @335056
     /*  335056 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(335119), // Rule ID 20274 //
     /*  335061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335100 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  335103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335117 */     GIR_RootConstrainSelectedInstOperands,
     /*  335118 */     // GIR_Coverage, 20274,
     /*  335118 */     GIR_EraseRootFromParent_Done,
     /*  335119 */   // Label 6138: @335119
     /*  335119 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(335182), // Rule ID 20275 //
     /*  335124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335163 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  335166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335180 */     GIR_RootConstrainSelectedInstOperands,
     /*  335181 */     // GIR_Coverage, 20275,
     /*  335181 */     GIR_EraseRootFromParent_Done,
     /*  335182 */   // Label 6139: @335182
     /*  335182 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(335245), // Rule ID 20278 //
     /*  335187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335243 */     GIR_RootConstrainSelectedInstOperands,
     /*  335244 */     // GIR_Coverage, 20278,
     /*  335244 */     GIR_EraseRootFromParent_Done,
     /*  335245 */   // Label 6140: @335245
     /*  335245 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(335308), // Rule ID 20279 //
     /*  335250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335306 */     GIR_RootConstrainSelectedInstOperands,
     /*  335307 */     // GIR_Coverage, 20279,
     /*  335307 */     GIR_EraseRootFromParent_Done,
     /*  335308 */   // Label 6141: @335308
     /*  335308 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(335371), // Rule ID 20282 //
     /*  335313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335369 */     GIR_RootConstrainSelectedInstOperands,
     /*  335370 */     // GIR_Coverage, 20282,
     /*  335370 */     GIR_EraseRootFromParent_Done,
     /*  335371 */   // Label 6142: @335371
     /*  335371 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335434), // Rule ID 20283 //
     /*  335376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335415 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335432 */     GIR_RootConstrainSelectedInstOperands,
     /*  335433 */     // GIR_Coverage, 20283,
     /*  335433 */     GIR_EraseRootFromParent_Done,
     /*  335434 */   // Label 6143: @335434
     /*  335434 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335497), // Rule ID 20286 //
     /*  335439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335478 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  335481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335495 */     GIR_RootConstrainSelectedInstOperands,
     /*  335496 */     // GIR_Coverage, 20286,
     /*  335496 */     GIR_EraseRootFromParent_Done,
     /*  335497 */   // Label 6144: @335497
     /*  335497 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335560), // Rule ID 20287 //
     /*  335502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335541 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  335544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335558 */     GIR_RootConstrainSelectedInstOperands,
     /*  335559 */     // GIR_Coverage, 20287,
     /*  335559 */     GIR_EraseRootFromParent_Done,
     /*  335560 */   // Label 6145: @335560
     /*  335560 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335623), // Rule ID 20290 //
     /*  335565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  335607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335621 */     GIR_RootConstrainSelectedInstOperands,
     /*  335622 */     // GIR_Coverage, 20290,
     /*  335622 */     GIR_EraseRootFromParent_Done,
     /*  335623 */   // Label 6146: @335623
     /*  335623 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335686), // Rule ID 20291 //
     /*  335628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335667 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  335670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335684 */     GIR_RootConstrainSelectedInstOperands,
     /*  335685 */     // GIR_Coverage, 20291,
     /*  335685 */     GIR_EraseRootFromParent_Done,
     /*  335686 */   // Label 6147: @335686
     /*  335686 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335749), // Rule ID 20294 //
     /*  335691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  335733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335747 */     GIR_RootConstrainSelectedInstOperands,
     /*  335748 */     // GIR_Coverage, 20294,
     /*  335748 */     GIR_EraseRootFromParent_Done,
     /*  335749 */   // Label 6148: @335749
     /*  335749 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335812), // Rule ID 20295 //
     /*  335754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  335796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335810 */     GIR_RootConstrainSelectedInstOperands,
     /*  335811 */     // GIR_Coverage, 20295,
     /*  335811 */     GIR_EraseRootFromParent_Done,
     /*  335812 */   // Label 6149: @335812
     /*  335812 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335875), // Rule ID 20298 //
     /*  335817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  335859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335873 */     GIR_RootConstrainSelectedInstOperands,
     /*  335874 */     // GIR_Coverage, 20298,
     /*  335874 */     GIR_EraseRootFromParent_Done,
     /*  335875 */   // Label 6150: @335875
     /*  335875 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335938), // Rule ID 20299 //
     /*  335880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335919 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  335922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335936 */     GIR_RootConstrainSelectedInstOperands,
     /*  335937 */     // GIR_Coverage, 20299,
     /*  335937 */     GIR_EraseRootFromParent_Done,
     /*  335938 */   // Label 6151: @335938
     /*  335938 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(336001), // Rule ID 20302 //
     /*  335943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  335985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335999 */     GIR_RootConstrainSelectedInstOperands,
     /*  336000 */     // GIR_Coverage, 20302,
     /*  336000 */     GIR_EraseRootFromParent_Done,
     /*  336001 */   // Label 6152: @336001
     /*  336001 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(336064), // Rule ID 20303 //
     /*  336006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336045 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  336048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336062 */     GIR_RootConstrainSelectedInstOperands,
     /*  336063 */     // GIR_Coverage, 20303,
     /*  336063 */     GIR_EraseRootFromParent_Done,
     /*  336064 */   // Label 6153: @336064
     /*  336064 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(336127), // Rule ID 20306 //
     /*  336069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  336111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336125 */     GIR_RootConstrainSelectedInstOperands,
     /*  336126 */     // GIR_Coverage, 20306,
     /*  336126 */     GIR_EraseRootFromParent_Done,
     /*  336127 */   // Label 6154: @336127
     /*  336127 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(336190), // Rule ID 20307 //
     /*  336132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  336174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336188 */     GIR_RootConstrainSelectedInstOperands,
     /*  336189 */     // GIR_Coverage, 20307,
     /*  336189 */     GIR_EraseRootFromParent_Done,
     /*  336190 */   // Label 6155: @336190
     /*  336190 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(336253), // Rule ID 20310 //
     /*  336195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336234 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336251 */     GIR_RootConstrainSelectedInstOperands,
     /*  336252 */     // GIR_Coverage, 20310,
     /*  336252 */     GIR_EraseRootFromParent_Done,
     /*  336253 */   // Label 6156: @336253
     /*  336253 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(336316), // Rule ID 20311 //
     /*  336258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336314 */     GIR_RootConstrainSelectedInstOperands,
     /*  336315 */     // GIR_Coverage, 20311,
     /*  336315 */     GIR_EraseRootFromParent_Done,
     /*  336316 */   // Label 6157: @336316
     /*  336316 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(336379), // Rule ID 20314 //
     /*  336321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336377 */     GIR_RootConstrainSelectedInstOperands,
     /*  336378 */     // GIR_Coverage, 20314,
     /*  336378 */     GIR_EraseRootFromParent_Done,
     /*  336379 */   // Label 6158: @336379
     /*  336379 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336442), // Rule ID 20315 //
     /*  336384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336440 */     GIR_RootConstrainSelectedInstOperands,
     /*  336441 */     // GIR_Coverage, 20315,
     /*  336441 */     GIR_EraseRootFromParent_Done,
     /*  336442 */   // Label 6159: @336442
     /*  336442 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336505), // Rule ID 20318 //
     /*  336447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336486 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  336489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336503 */     GIR_RootConstrainSelectedInstOperands,
     /*  336504 */     // GIR_Coverage, 20318,
     /*  336504 */     GIR_EraseRootFromParent_Done,
     /*  336505 */   // Label 6160: @336505
     /*  336505 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336568), // Rule ID 20319 //
     /*  336510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  336552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336566 */     GIR_RootConstrainSelectedInstOperands,
     /*  336567 */     // GIR_Coverage, 20319,
     /*  336567 */     GIR_EraseRootFromParent_Done,
     /*  336568 */   // Label 6161: @336568
     /*  336568 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336631), // Rule ID 20322 //
     /*  336573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  336615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336629 */     GIR_RootConstrainSelectedInstOperands,
     /*  336630 */     // GIR_Coverage, 20322,
     /*  336630 */     GIR_EraseRootFromParent_Done,
     /*  336631 */   // Label 6162: @336631
     /*  336631 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336694), // Rule ID 20323 //
     /*  336636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  336678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336692 */     GIR_RootConstrainSelectedInstOperands,
     /*  336693 */     // GIR_Coverage, 20323,
     /*  336693 */     GIR_EraseRootFromParent_Done,
     /*  336694 */   // Label 6163: @336694
     /*  336694 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336757), // Rule ID 20326 //
     /*  336699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  336741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336755 */     GIR_RootConstrainSelectedInstOperands,
     /*  336756 */     // GIR_Coverage, 20326,
     /*  336756 */     GIR_EraseRootFromParent_Done,
     /*  336757 */   // Label 6164: @336757
     /*  336757 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336820), // Rule ID 20327 //
     /*  336762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  336804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336818 */     GIR_RootConstrainSelectedInstOperands,
     /*  336819 */     // GIR_Coverage, 20327,
     /*  336819 */     GIR_EraseRootFromParent_Done,
     /*  336820 */   // Label 6165: @336820
     /*  336820 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336883), // Rule ID 20330 //
     /*  336825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  336867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336881 */     GIR_RootConstrainSelectedInstOperands,
     /*  336882 */     // GIR_Coverage, 20330,
     /*  336882 */     GIR_EraseRootFromParent_Done,
     /*  336883 */   // Label 6166: @336883
     /*  336883 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336946), // Rule ID 20331 //
     /*  336888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  336930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336944 */     GIR_RootConstrainSelectedInstOperands,
     /*  336945 */     // GIR_Coverage, 20331,
     /*  336945 */     GIR_EraseRootFromParent_Done,
     /*  336946 */   // Label 6167: @336946
     /*  336946 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(337009), // Rule ID 20334 //
     /*  336951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336990 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  336993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337007 */     GIR_RootConstrainSelectedInstOperands,
     /*  337008 */     // GIR_Coverage, 20334,
     /*  337008 */     GIR_EraseRootFromParent_Done,
     /*  337009 */   // Label 6168: @337009
     /*  337009 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(337072), // Rule ID 20335 //
     /*  337014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  337025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337053 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  337056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337070 */     GIR_RootConstrainSelectedInstOperands,
     /*  337071 */     // GIR_Coverage, 20335,
     /*  337071 */     GIR_EraseRootFromParent_Done,
     /*  337072 */   // Label 6169: @337072
     /*  337072 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(337135), // Rule ID 20338 //
     /*  337077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  337119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337133 */     GIR_RootConstrainSelectedInstOperands,
     /*  337134 */     // GIR_Coverage, 20338,
     /*  337134 */     GIR_EraseRootFromParent_Done,
     /*  337135 */   // Label 6170: @337135
     /*  337135 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(337198), // Rule ID 20339 //
     /*  337140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  337182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337196 */     GIR_RootConstrainSelectedInstOperands,
     /*  337197 */     // GIR_Coverage, 20339,
     /*  337197 */     GIR_EraseRootFromParent_Done,
     /*  337198 */   // Label 6171: @337198
     /*  337198 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(337261), // Rule ID 20342 //
     /*  337203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337259 */     GIR_RootConstrainSelectedInstOperands,
     /*  337260 */     // GIR_Coverage, 20342,
     /*  337260 */     GIR_EraseRootFromParent_Done,
     /*  337261 */   // Label 6172: @337261
     /*  337261 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(337324), // Rule ID 20343 //
     /*  337266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337305 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337322 */     GIR_RootConstrainSelectedInstOperands,
     /*  337323 */     // GIR_Coverage, 20343,
     /*  337323 */     GIR_EraseRootFromParent_Done,
     /*  337324 */   // Label 6173: @337324
     /*  337324 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(337387), // Rule ID 20346 //
     /*  337329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337385 */     GIR_RootConstrainSelectedInstOperands,
     /*  337386 */     // GIR_Coverage, 20346,
     /*  337386 */     GIR_EraseRootFromParent_Done,
     /*  337387 */   // Label 6174: @337387
     /*  337387 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337450), // Rule ID 20347 //
     /*  337392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337448 */     GIR_RootConstrainSelectedInstOperands,
     /*  337449 */     // GIR_Coverage, 20347,
     /*  337449 */     GIR_EraseRootFromParent_Done,
     /*  337450 */   // Label 6175: @337450
     /*  337450 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337513), // Rule ID 20350 //
     /*  337455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  337497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337511 */     GIR_RootConstrainSelectedInstOperands,
     /*  337512 */     // GIR_Coverage, 20350,
     /*  337512 */     GIR_EraseRootFromParent_Done,
     /*  337513 */   // Label 6176: @337513
     /*  337513 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337576), // Rule ID 20351 //
     /*  337518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  337560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337574 */     GIR_RootConstrainSelectedInstOperands,
     /*  337575 */     // GIR_Coverage, 20351,
     /*  337575 */     GIR_EraseRootFromParent_Done,
     /*  337576 */   // Label 6177: @337576
     /*  337576 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337639), // Rule ID 20354 //
     /*  337581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  337623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337637 */     GIR_RootConstrainSelectedInstOperands,
     /*  337638 */     // GIR_Coverage, 20354,
     /*  337638 */     GIR_EraseRootFromParent_Done,
     /*  337639 */   // Label 6178: @337639
     /*  337639 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337702), // Rule ID 20355 //
     /*  337644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  337686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337700 */     GIR_RootConstrainSelectedInstOperands,
     /*  337701 */     // GIR_Coverage, 20355,
     /*  337701 */     GIR_EraseRootFromParent_Done,
     /*  337702 */   // Label 6179: @337702
     /*  337702 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337765), // Rule ID 20358 //
     /*  337707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337746 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  337749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337763 */     GIR_RootConstrainSelectedInstOperands,
     /*  337764 */     // GIR_Coverage, 20358,
     /*  337764 */     GIR_EraseRootFromParent_Done,
     /*  337765 */   // Label 6180: @337765
     /*  337765 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337828), // Rule ID 20359 //
     /*  337770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  337812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337826 */     GIR_RootConstrainSelectedInstOperands,
     /*  337827 */     // GIR_Coverage, 20359,
     /*  337827 */     GIR_EraseRootFromParent_Done,
     /*  337828 */   // Label 6181: @337828
     /*  337828 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337891), // Rule ID 20362 //
     /*  337833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  337875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337889 */     GIR_RootConstrainSelectedInstOperands,
     /*  337890 */     // GIR_Coverage, 20362,
     /*  337890 */     GIR_EraseRootFromParent_Done,
     /*  337891 */   // Label 6182: @337891
     /*  337891 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337954), // Rule ID 20363 //
     /*  337896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  337938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337952 */     GIR_RootConstrainSelectedInstOperands,
     /*  337953 */     // GIR_Coverage, 20363,
     /*  337953 */     GIR_EraseRootFromParent_Done,
     /*  337954 */   // Label 6183: @337954
     /*  337954 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(338017), // Rule ID 20366 //
     /*  337959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337998 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338015 */     GIR_RootConstrainSelectedInstOperands,
     /*  338016 */     // GIR_Coverage, 20366,
     /*  338016 */     GIR_EraseRootFromParent_Done,
     /*  338017 */   // Label 6184: @338017
     /*  338017 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(338080), // Rule ID 20367 //
     /*  338022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338061 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338078 */     GIR_RootConstrainSelectedInstOperands,
     /*  338079 */     // GIR_Coverage, 20367,
     /*  338079 */     GIR_EraseRootFromParent_Done,
     /*  338080 */   // Label 6185: @338080
     /*  338080 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(338143), // Rule ID 20370 //
     /*  338085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338141 */     GIR_RootConstrainSelectedInstOperands,
     /*  338142 */     // GIR_Coverage, 20370,
     /*  338142 */     GIR_EraseRootFromParent_Done,
     /*  338143 */   // Label 6186: @338143
     /*  338143 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(338206), // Rule ID 20371 //
     /*  338148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338187 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338204 */     GIR_RootConstrainSelectedInstOperands,
     /*  338205 */     // GIR_Coverage, 20371,
     /*  338205 */     GIR_EraseRootFromParent_Done,
     /*  338206 */   // Label 6187: @338206
     /*  338206 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(338269), // Rule ID 20374 //
     /*  338211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338267 */     GIR_RootConstrainSelectedInstOperands,
     /*  338268 */     // GIR_Coverage, 20374,
     /*  338268 */     GIR_EraseRootFromParent_Done,
     /*  338269 */   // Label 6188: @338269
     /*  338269 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(338332), // Rule ID 20375 //
     /*  338274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338330 */     GIR_RootConstrainSelectedInstOperands,
     /*  338331 */     // GIR_Coverage, 20375,
     /*  338331 */     GIR_EraseRootFromParent_Done,
     /*  338332 */   // Label 6189: @338332
     /*  338332 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338395), // Rule ID 20378 //
     /*  338337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338393 */     GIR_RootConstrainSelectedInstOperands,
     /*  338394 */     // GIR_Coverage, 20378,
     /*  338394 */     GIR_EraseRootFromParent_Done,
     /*  338395 */   // Label 6190: @338395
     /*  338395 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338458), // Rule ID 20379 //
     /*  338400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338456 */     GIR_RootConstrainSelectedInstOperands,
     /*  338457 */     // GIR_Coverage, 20379,
     /*  338457 */     GIR_EraseRootFromParent_Done,
     /*  338458 */   // Label 6191: @338458
     /*  338458 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338521), // Rule ID 20382 //
     /*  338463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  338466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  338502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338519 */     GIR_RootConstrainSelectedInstOperands,
     /*  338520 */     // GIR_Coverage, 20382,
     /*  338520 */     GIR_EraseRootFromParent_Done,
     /*  338521 */   // Label 6192: @338521
     /*  338521 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338584), // Rule ID 20383 //
     /*  338526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  338529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  338565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338582 */     GIR_RootConstrainSelectedInstOperands,
     /*  338583 */     // GIR_Coverage, 20383,
     /*  338583 */     GIR_EraseRootFromParent_Done,
     /*  338584 */   // Label 6193: @338584
     /*  338584 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338647), // Rule ID 20386 //
     /*  338589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338645 */     GIR_RootConstrainSelectedInstOperands,
     /*  338646 */     // GIR_Coverage, 20386,
     /*  338646 */     GIR_EraseRootFromParent_Done,
     /*  338647 */   // Label 6194: @338647
     /*  338647 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338710), // Rule ID 20387 //
     /*  338652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338691 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338708 */     GIR_RootConstrainSelectedInstOperands,
     /*  338709 */     // GIR_Coverage, 20387,
     /*  338709 */     GIR_EraseRootFromParent_Done,
     /*  338710 */   // Label 6195: @338710
     /*  338710 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338773), // Rule ID 20390 //
     /*  338715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  338726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338754 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338771 */     GIR_RootConstrainSelectedInstOperands,
     /*  338772 */     // GIR_Coverage, 20390,
     /*  338772 */     GIR_EraseRootFromParent_Done,
     /*  338773 */   // Label 6196: @338773
     /*  338773 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338836), // Rule ID 20391 //
     /*  338778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  338789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338817 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338834 */     GIR_RootConstrainSelectedInstOperands,
     /*  338835 */     // GIR_Coverage, 20391,
     /*  338835 */     GIR_EraseRootFromParent_Done,
     /*  338836 */   // Label 6197: @338836
     /*  338836 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338899), // Rule ID 20394 //
     /*  338841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  338852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338880 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  338883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338897 */     GIR_RootConstrainSelectedInstOperands,
     /*  338898 */     // GIR_Coverage, 20394,
     /*  338898 */     GIR_EraseRootFromParent_Done,
     /*  338899 */   // Label 6198: @338899
     /*  338899 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338962), // Rule ID 20395 //
     /*  338904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  338915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338943 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  338946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338960 */     GIR_RootConstrainSelectedInstOperands,
     /*  338961 */     // GIR_Coverage, 20395,
     /*  338961 */     GIR_EraseRootFromParent_Done,
     /*  338962 */   // Label 6199: @338962
     /*  338962 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(339025), // Rule ID 20398 //
     /*  338967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339023 */     GIR_RootConstrainSelectedInstOperands,
     /*  339024 */     // GIR_Coverage, 20398,
     /*  339024 */     GIR_EraseRootFromParent_Done,
     /*  339025 */   // Label 6200: @339025
     /*  339025 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(339088), // Rule ID 20399 //
     /*  339030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339086 */     GIR_RootConstrainSelectedInstOperands,
     /*  339087 */     // GIR_Coverage, 20399,
     /*  339087 */     GIR_EraseRootFromParent_Done,
     /*  339088 */   // Label 6201: @339088
     /*  339088 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(339151), // Rule ID 20402 //
     /*  339093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339149 */     GIR_RootConstrainSelectedInstOperands,
     /*  339150 */     // GIR_Coverage, 20402,
     /*  339150 */     GIR_EraseRootFromParent_Done,
     /*  339151 */   // Label 6202: @339151
     /*  339151 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(339214), // Rule ID 20403 //
     /*  339156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339195 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339212 */     GIR_RootConstrainSelectedInstOperands,
     /*  339213 */     // GIR_Coverage, 20403,
     /*  339213 */     GIR_EraseRootFromParent_Done,
     /*  339214 */   // Label 6203: @339214
     /*  339214 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(339277), // Rule ID 20406 //
     /*  339219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339275 */     GIR_RootConstrainSelectedInstOperands,
     /*  339276 */     // GIR_Coverage, 20406,
     /*  339276 */     GIR_EraseRootFromParent_Done,
     /*  339277 */   // Label 6204: @339277
     /*  339277 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339340), // Rule ID 20407 //
     /*  339282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339321 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339338 */     GIR_RootConstrainSelectedInstOperands,
     /*  339339 */     // GIR_Coverage, 20407,
     /*  339339 */     GIR_EraseRootFromParent_Done,
     /*  339340 */   // Label 6205: @339340
     /*  339340 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339403), // Rule ID 20410 //
     /*  339345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339401 */     GIR_RootConstrainSelectedInstOperands,
     /*  339402 */     // GIR_Coverage, 20410,
     /*  339402 */     GIR_EraseRootFromParent_Done,
     /*  339403 */   // Label 6206: @339403
     /*  339403 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339466), // Rule ID 20411 //
     /*  339408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339464 */     GIR_RootConstrainSelectedInstOperands,
     /*  339465 */     // GIR_Coverage, 20411,
     /*  339465 */     GIR_EraseRootFromParent_Done,
     /*  339466 */   // Label 6207: @339466
     /*  339466 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339529), // Rule ID 20414 //
     /*  339471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339510 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339527 */     GIR_RootConstrainSelectedInstOperands,
     /*  339528 */     // GIR_Coverage, 20414,
     /*  339528 */     GIR_EraseRootFromParent_Done,
     /*  339529 */   // Label 6208: @339529
     /*  339529 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339592), // Rule ID 20415 //
     /*  339534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339590 */     GIR_RootConstrainSelectedInstOperands,
     /*  339591 */     // GIR_Coverage, 20415,
     /*  339591 */     GIR_EraseRootFromParent_Done,
     /*  339592 */   // Label 6209: @339592
     /*  339592 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339655), // Rule ID 20418 //
     /*  339597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339653 */     GIR_RootConstrainSelectedInstOperands,
     /*  339654 */     // GIR_Coverage, 20418,
     /*  339654 */     GIR_EraseRootFromParent_Done,
     /*  339655 */   // Label 6210: @339655
     /*  339655 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339718), // Rule ID 20419 //
     /*  339660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339699 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339716 */     GIR_RootConstrainSelectedInstOperands,
     /*  339717 */     // GIR_Coverage, 20419,
     /*  339717 */     GIR_EraseRootFromParent_Done,
     /*  339718 */   // Label 6211: @339718
     /*  339718 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339781), // Rule ID 20422 //
     /*  339723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  339765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339779 */     GIR_RootConstrainSelectedInstOperands,
     /*  339780 */     // GIR_Coverage, 20422,
     /*  339780 */     GIR_EraseRootFromParent_Done,
     /*  339781 */   // Label 6212: @339781
     /*  339781 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339844), // Rule ID 20423 //
     /*  339786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  339828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339842 */     GIR_RootConstrainSelectedInstOperands,
     /*  339843 */     // GIR_Coverage, 20423,
     /*  339843 */     GIR_EraseRootFromParent_Done,
     /*  339844 */   // Label 6213: @339844
     /*  339844 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339907), // Rule ID 20426 //
     /*  339849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339905 */     GIR_RootConstrainSelectedInstOperands,
     /*  339906 */     // GIR_Coverage, 20426,
     /*  339906 */     GIR_EraseRootFromParent_Done,
     /*  339907 */   // Label 6214: @339907
     /*  339907 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339970), // Rule ID 20427 //
     /*  339912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339951 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339968 */     GIR_RootConstrainSelectedInstOperands,
     /*  339969 */     // GIR_Coverage, 20427,
     /*  339969 */     GIR_EraseRootFromParent_Done,
     /*  339970 */   // Label 6215: @339970
     /*  339970 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(340033), // Rule ID 20430 //
     /*  339975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340031 */     GIR_RootConstrainSelectedInstOperands,
     /*  340032 */     // GIR_Coverage, 20430,
     /*  340032 */     GIR_EraseRootFromParent_Done,
     /*  340033 */   // Label 6216: @340033
     /*  340033 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(340096), // Rule ID 20431 //
     /*  340038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340094 */     GIR_RootConstrainSelectedInstOperands,
     /*  340095 */     // GIR_Coverage, 20431,
     /*  340095 */     GIR_EraseRootFromParent_Done,
     /*  340096 */   // Label 6217: @340096
     /*  340096 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(340159), // Rule ID 20434 //
     /*  340101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340157 */     GIR_RootConstrainSelectedInstOperands,
     /*  340158 */     // GIR_Coverage, 20434,
     /*  340158 */     GIR_EraseRootFromParent_Done,
     /*  340159 */   // Label 6218: @340159
     /*  340159 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(340222), // Rule ID 20435 //
     /*  340164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340220 */     GIR_RootConstrainSelectedInstOperands,
     /*  340221 */     // GIR_Coverage, 20435,
     /*  340221 */     GIR_EraseRootFromParent_Done,
     /*  340222 */   // Label 6219: @340222
     /*  340222 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340285), // Rule ID 20438 //
     /*  340227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340283 */     GIR_RootConstrainSelectedInstOperands,
     /*  340284 */     // GIR_Coverage, 20438,
     /*  340284 */     GIR_EraseRootFromParent_Done,
     /*  340285 */   // Label 6220: @340285
     /*  340285 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340348), // Rule ID 20439 //
     /*  340290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340346 */     GIR_RootConstrainSelectedInstOperands,
     /*  340347 */     // GIR_Coverage, 20439,
     /*  340347 */     GIR_EraseRootFromParent_Done,
     /*  340348 */   // Label 6221: @340348
     /*  340348 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340411), // Rule ID 20442 //
     /*  340353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  340356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  340392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340409 */     GIR_RootConstrainSelectedInstOperands,
     /*  340410 */     // GIR_Coverage, 20442,
     /*  340410 */     GIR_EraseRootFromParent_Done,
     /*  340411 */   // Label 6222: @340411
     /*  340411 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340474), // Rule ID 20443 //
     /*  340416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  340419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  340455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340472 */     GIR_RootConstrainSelectedInstOperands,
     /*  340473 */     // GIR_Coverage, 20443,
     /*  340473 */     GIR_EraseRootFromParent_Done,
     /*  340474 */   // Label 6223: @340474
     /*  340474 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340537), // Rule ID 20446 //
     /*  340479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340518 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340535 */     GIR_RootConstrainSelectedInstOperands,
     /*  340536 */     // GIR_Coverage, 20446,
     /*  340536 */     GIR_EraseRootFromParent_Done,
     /*  340537 */   // Label 6224: @340537
     /*  340537 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340600), // Rule ID 20447 //
     /*  340542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340598 */     GIR_RootConstrainSelectedInstOperands,
     /*  340599 */     // GIR_Coverage, 20447,
     /*  340599 */     GIR_EraseRootFromParent_Done,
     /*  340600 */   // Label 6225: @340600
     /*  340600 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340663), // Rule ID 20450 //
     /*  340605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340661 */     GIR_RootConstrainSelectedInstOperands,
     /*  340662 */     // GIR_Coverage, 20450,
     /*  340662 */     GIR_EraseRootFromParent_Done,
     /*  340663 */   // Label 6226: @340663
     /*  340663 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340726), // Rule ID 20451 //
     /*  340668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340707 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340724 */     GIR_RootConstrainSelectedInstOperands,
     /*  340725 */     // GIR_Coverage, 20451,
     /*  340725 */     GIR_EraseRootFromParent_Done,
     /*  340726 */   // Label 6227: @340726
     /*  340726 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340789), // Rule ID 20454 //
     /*  340731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  340742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340770 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  340773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340787 */     GIR_RootConstrainSelectedInstOperands,
     /*  340788 */     // GIR_Coverage, 20454,
     /*  340788 */     GIR_EraseRootFromParent_Done,
     /*  340789 */   // Label 6228: @340789
     /*  340789 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340852), // Rule ID 20455 //
     /*  340794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  340805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340833 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  340836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340850 */     GIR_RootConstrainSelectedInstOperands,
     /*  340851 */     // GIR_Coverage, 20455,
     /*  340851 */     GIR_EraseRootFromParent_Done,
     /*  340852 */   // Label 6229: @340852
     /*  340852 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340915), // Rule ID 20458 //
     /*  340857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340913 */     GIR_RootConstrainSelectedInstOperands,
     /*  340914 */     // GIR_Coverage, 20458,
     /*  340914 */     GIR_EraseRootFromParent_Done,
     /*  340915 */   // Label 6230: @340915
     /*  340915 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340978), // Rule ID 20459 //
     /*  340920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340976 */     GIR_RootConstrainSelectedInstOperands,
     /*  340977 */     // GIR_Coverage, 20459,
     /*  340977 */     GIR_EraseRootFromParent_Done,
     /*  340978 */   // Label 6231: @340978
     /*  340978 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(341041), // Rule ID 20462 //
     /*  340983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  341022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341039 */     GIR_RootConstrainSelectedInstOperands,
     /*  341040 */     // GIR_Coverage, 20462,
     /*  341040 */     GIR_EraseRootFromParent_Done,
     /*  341041 */   // Label 6232: @341041
     /*  341041 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(341104), // Rule ID 20463 //
     /*  341046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  341049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341085 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341102 */     GIR_RootConstrainSelectedInstOperands,
     /*  341103 */     // GIR_Coverage, 20463,
     /*  341103 */     GIR_EraseRootFromParent_Done,
     /*  341104 */   // Label 6233: @341104
     /*  341104 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(341167), // Rule ID 20466 //
     /*  341109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  341112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  341148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341165 */     GIR_RootConstrainSelectedInstOperands,
     /*  341166 */     // GIR_Coverage, 20466,
     /*  341166 */     GIR_EraseRootFromParent_Done,
     /*  341167 */   // Label 6234: @341167
     /*  341167 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(341230), // Rule ID 20467 //
     /*  341172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  341175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341211 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341228 */     GIR_RootConstrainSelectedInstOperands,
     /*  341229 */     // GIR_Coverage, 20467,
     /*  341229 */     GIR_EraseRootFromParent_Done,
     /*  341230 */   // Label 6235: @341230
     /*  341230 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341293), // Rule ID 20470 //
     /*  341235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341291 */     GIR_RootConstrainSelectedInstOperands,
     /*  341292 */     // GIR_Coverage, 20470,
     /*  341292 */     GIR_EraseRootFromParent_Done,
     /*  341293 */   // Label 6236: @341293
     /*  341293 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341356), // Rule ID 20471 //
     /*  341298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341354 */     GIR_RootConstrainSelectedInstOperands,
     /*  341355 */     // GIR_Coverage, 20471,
     /*  341355 */     GIR_EraseRootFromParent_Done,
     /*  341356 */   // Label 6237: @341356
     /*  341356 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341419), // Rule ID 20474 //
     /*  341361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341417 */     GIR_RootConstrainSelectedInstOperands,
     /*  341418 */     // GIR_Coverage, 20474,
     /*  341418 */     GIR_EraseRootFromParent_Done,
     /*  341419 */   // Label 6238: @341419
     /*  341419 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341482), // Rule ID 20475 //
     /*  341424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341480 */     GIR_RootConstrainSelectedInstOperands,
     /*  341481 */     // GIR_Coverage, 20475,
     /*  341481 */     GIR_EraseRootFromParent_Done,
     /*  341482 */   // Label 6239: @341482
     /*  341482 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341545), // Rule ID 20478 //
     /*  341487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341543 */     GIR_RootConstrainSelectedInstOperands,
     /*  341544 */     // GIR_Coverage, 20478,
     /*  341544 */     GIR_EraseRootFromParent_Done,
     /*  341545 */   // Label 6240: @341545
     /*  341545 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341608), // Rule ID 20479 //
     /*  341550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341606 */     GIR_RootConstrainSelectedInstOperands,
     /*  341607 */     // GIR_Coverage, 20479,
     /*  341607 */     GIR_EraseRootFromParent_Done,
     /*  341608 */   // Label 6241: @341608
     /*  341608 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341674), // Rule ID 20482 //
     /*  341613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341672 */     GIR_RootConstrainSelectedInstOperands,
     /*  341673 */     // GIR_Coverage, 20482,
     /*  341673 */     GIR_EraseRootFromParent_Done,
     /*  341674 */   // Label 6242: @341674
     /*  341674 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341740), // Rule ID 20483 //
     /*  341679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341738 */     GIR_RootConstrainSelectedInstOperands,
     /*  341739 */     // GIR_Coverage, 20483,
     /*  341739 */     GIR_EraseRootFromParent_Done,
     /*  341740 */   // Label 6243: @341740
     /*  341740 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341806), // Rule ID 20486 //
     /*  341745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341804 */     GIR_RootConstrainSelectedInstOperands,
     /*  341805 */     // GIR_Coverage, 20486,
     /*  341805 */     GIR_EraseRootFromParent_Done,
     /*  341806 */   // Label 6244: @341806
     /*  341806 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341872), // Rule ID 20487 //
     /*  341811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341870 */     GIR_RootConstrainSelectedInstOperands,
     /*  341871 */     // GIR_Coverage, 20487,
     /*  341871 */     GIR_EraseRootFromParent_Done,
     /*  341872 */   // Label 6245: @341872
     /*  341872 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341938), // Rule ID 20490 //
     /*  341877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341936 */     GIR_RootConstrainSelectedInstOperands,
     /*  341937 */     // GIR_Coverage, 20490,
     /*  341937 */     GIR_EraseRootFromParent_Done,
     /*  341938 */   // Label 6246: @341938
     /*  341938 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(342004), // Rule ID 20491 //
     /*  341943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342002 */     GIR_RootConstrainSelectedInstOperands,
     /*  342003 */     // GIR_Coverage, 20491,
     /*  342003 */     GIR_EraseRootFromParent_Done,
     /*  342004 */   // Label 6247: @342004
     /*  342004 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(342070), // Rule ID 20494 //
     /*  342009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342068 */     GIR_RootConstrainSelectedInstOperands,
     /*  342069 */     // GIR_Coverage, 20494,
     /*  342069 */     GIR_EraseRootFromParent_Done,
     /*  342070 */   // Label 6248: @342070
     /*  342070 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(342136), // Rule ID 20495 //
     /*  342075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342134 */     GIR_RootConstrainSelectedInstOperands,
     /*  342135 */     // GIR_Coverage, 20495,
     /*  342135 */     GIR_EraseRootFromParent_Done,
     /*  342136 */   // Label 6249: @342136
     /*  342136 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(342202), // Rule ID 20498 //
     /*  342141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342200 */     GIR_RootConstrainSelectedInstOperands,
     /*  342201 */     // GIR_Coverage, 20498,
     /*  342201 */     GIR_EraseRootFromParent_Done,
     /*  342202 */   // Label 6250: @342202
     /*  342202 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(342268), // Rule ID 20499 //
     /*  342207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342266 */     GIR_RootConstrainSelectedInstOperands,
     /*  342267 */     // GIR_Coverage, 20499,
     /*  342267 */     GIR_EraseRootFromParent_Done,
     /*  342268 */   // Label 6251: @342268
     /*  342268 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342334), // Rule ID 20502 //
     /*  342273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342332 */     GIR_RootConstrainSelectedInstOperands,
     /*  342333 */     // GIR_Coverage, 20502,
     /*  342333 */     GIR_EraseRootFromParent_Done,
     /*  342334 */   // Label 6252: @342334
     /*  342334 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342400), // Rule ID 20503 //
     /*  342339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342398 */     GIR_RootConstrainSelectedInstOperands,
     /*  342399 */     // GIR_Coverage, 20503,
     /*  342399 */     GIR_EraseRootFromParent_Done,
     /*  342400 */   // Label 6253: @342400
     /*  342400 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342466), // Rule ID 20506 //
     /*  342405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342464 */     GIR_RootConstrainSelectedInstOperands,
     /*  342465 */     // GIR_Coverage, 20506,
     /*  342465 */     GIR_EraseRootFromParent_Done,
     /*  342466 */   // Label 6254: @342466
     /*  342466 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342532), // Rule ID 20507 //
     /*  342471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342510 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342530 */     GIR_RootConstrainSelectedInstOperands,
     /*  342531 */     // GIR_Coverage, 20507,
     /*  342531 */     GIR_EraseRootFromParent_Done,
     /*  342532 */   // Label 6255: @342532
     /*  342532 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342598), // Rule ID 20510 //
     /*  342537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342596 */     GIR_RootConstrainSelectedInstOperands,
     /*  342597 */     // GIR_Coverage, 20510,
     /*  342597 */     GIR_EraseRootFromParent_Done,
     /*  342598 */   // Label 6256: @342598
     /*  342598 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342664), // Rule ID 20511 //
     /*  342603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342662 */     GIR_RootConstrainSelectedInstOperands,
     /*  342663 */     // GIR_Coverage, 20511,
     /*  342663 */     GIR_EraseRootFromParent_Done,
     /*  342664 */   // Label 6257: @342664
     /*  342664 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342730), // Rule ID 20514 //
     /*  342669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342728 */     GIR_RootConstrainSelectedInstOperands,
     /*  342729 */     // GIR_Coverage, 20514,
     /*  342729 */     GIR_EraseRootFromParent_Done,
     /*  342730 */   // Label 6258: @342730
     /*  342730 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342796), // Rule ID 20515 //
     /*  342735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342794 */     GIR_RootConstrainSelectedInstOperands,
     /*  342795 */     // GIR_Coverage, 20515,
     /*  342795 */     GIR_EraseRootFromParent_Done,
     /*  342796 */   // Label 6259: @342796
     /*  342796 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342862), // Rule ID 20518 //
     /*  342801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342860 */     GIR_RootConstrainSelectedInstOperands,
     /*  342861 */     // GIR_Coverage, 20518,
     /*  342861 */     GIR_EraseRootFromParent_Done,
     /*  342862 */   // Label 6260: @342862
     /*  342862 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342928), // Rule ID 20519 //
     /*  342867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342926 */     GIR_RootConstrainSelectedInstOperands,
     /*  342927 */     // GIR_Coverage, 20519,
     /*  342927 */     GIR_EraseRootFromParent_Done,
     /*  342928 */   // Label 6261: @342928
     /*  342928 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342994), // Rule ID 20522 //
     /*  342933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342992 */     GIR_RootConstrainSelectedInstOperands,
     /*  342993 */     // GIR_Coverage, 20522,
     /*  342993 */     GIR_EraseRootFromParent_Done,
     /*  342994 */   // Label 6262: @342994
     /*  342994 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(343060), // Rule ID 20523 //
     /*  342999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343058 */     GIR_RootConstrainSelectedInstOperands,
     /*  343059 */     // GIR_Coverage, 20523,
     /*  343059 */     GIR_EraseRootFromParent_Done,
     /*  343060 */   // Label 6263: @343060
     /*  343060 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(343126), // Rule ID 20526 //
     /*  343065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343124 */     GIR_RootConstrainSelectedInstOperands,
     /*  343125 */     // GIR_Coverage, 20526,
     /*  343125 */     GIR_EraseRootFromParent_Done,
     /*  343126 */   // Label 6264: @343126
     /*  343126 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(343192), // Rule ID 20527 //
     /*  343131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343190 */     GIR_RootConstrainSelectedInstOperands,
     /*  343191 */     // GIR_Coverage, 20527,
     /*  343191 */     GIR_EraseRootFromParent_Done,
     /*  343192 */   // Label 6265: @343192
     /*  343192 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(343258), // Rule ID 20530 //
     /*  343197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343256 */     GIR_RootConstrainSelectedInstOperands,
     /*  343257 */     // GIR_Coverage, 20530,
     /*  343257 */     GIR_EraseRootFromParent_Done,
     /*  343258 */   // Label 6266: @343258
     /*  343258 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343324), // Rule ID 20531 //
     /*  343263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343322 */     GIR_RootConstrainSelectedInstOperands,
     /*  343323 */     // GIR_Coverage, 20531,
     /*  343323 */     GIR_EraseRootFromParent_Done,
     /*  343324 */   // Label 6267: @343324
     /*  343324 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343390), // Rule ID 20534 //
     /*  343329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343388 */     GIR_RootConstrainSelectedInstOperands,
     /*  343389 */     // GIR_Coverage, 20534,
     /*  343389 */     GIR_EraseRootFromParent_Done,
     /*  343390 */   // Label 6268: @343390
     /*  343390 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343456), // Rule ID 20535 //
     /*  343395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343434 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343454 */     GIR_RootConstrainSelectedInstOperands,
     /*  343455 */     // GIR_Coverage, 20535,
     /*  343455 */     GIR_EraseRootFromParent_Done,
     /*  343456 */   // Label 6269: @343456
     /*  343456 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343522), // Rule ID 20860 //
     /*  343461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  343503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343520 */     GIR_RootConstrainSelectedInstOperands,
     /*  343521 */     // GIR_Coverage, 20860,
     /*  343521 */     GIR_EraseRootFromParent_Done,
     /*  343522 */   // Label 6270: @343522
     /*  343522 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343588), // Rule ID 20861 //
     /*  343527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  343569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343586 */     GIR_RootConstrainSelectedInstOperands,
     /*  343587 */     // GIR_Coverage, 20861,
     /*  343587 */     GIR_EraseRootFromParent_Done,
     /*  343588 */   // Label 6271: @343588
     /*  343588 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343654), // Rule ID 20864 //
     /*  343593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  343604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  343607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343652 */     GIR_RootConstrainSelectedInstOperands,
     /*  343653 */     // GIR_Coverage, 20864,
     /*  343653 */     GIR_EraseRootFromParent_Done,
     /*  343654 */   // Label 6272: @343654
     /*  343654 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343720), // Rule ID 20865 //
     /*  343659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  343670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  343673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343718 */     GIR_RootConstrainSelectedInstOperands,
     /*  343719 */     // GIR_Coverage, 20865,
     /*  343719 */     GIR_EraseRootFromParent_Done,
     /*  343720 */   // Label 6273: @343720
     /*  343720 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343786), // Rule ID 20868 //
     /*  343725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343784 */     GIR_RootConstrainSelectedInstOperands,
     /*  343785 */     // GIR_Coverage, 20868,
     /*  343785 */     GIR_EraseRootFromParent_Done,
     /*  343786 */   // Label 6274: @343786
     /*  343786 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343852), // Rule ID 20869 //
     /*  343791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343850 */     GIR_RootConstrainSelectedInstOperands,
     /*  343851 */     // GIR_Coverage, 20869,
     /*  343851 */     GIR_EraseRootFromParent_Done,
     /*  343852 */   // Label 6275: @343852
     /*  343852 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343918), // Rule ID 20872 //
     /*  343857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  343868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  343871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343916 */     GIR_RootConstrainSelectedInstOperands,
     /*  343917 */     // GIR_Coverage, 20872,
     /*  343917 */     GIR_EraseRootFromParent_Done,
     /*  343918 */   // Label 6276: @343918
     /*  343918 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343984), // Rule ID 20873 //
     /*  343923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  343934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  343937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343982 */     GIR_RootConstrainSelectedInstOperands,
     /*  343983 */     // GIR_Coverage, 20873,
     /*  343983 */     GIR_EraseRootFromParent_Done,
     /*  343984 */   // Label 6277: @343984
     /*  343984 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(344050), // Rule ID 20876 //
     /*  343989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344048 */     GIR_RootConstrainSelectedInstOperands,
     /*  344049 */     // GIR_Coverage, 20876,
     /*  344049 */     GIR_EraseRootFromParent_Done,
     /*  344050 */   // Label 6278: @344050
     /*  344050 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(344116), // Rule ID 20877 //
     /*  344055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344114 */     GIR_RootConstrainSelectedInstOperands,
     /*  344115 */     // GIR_Coverage, 20877,
     /*  344115 */     GIR_EraseRootFromParent_Done,
     /*  344116 */   // Label 6279: @344116
     /*  344116 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(344182), // Rule ID 20880 //
     /*  344121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  344124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344180 */     GIR_RootConstrainSelectedInstOperands,
     /*  344181 */     // GIR_Coverage, 20880,
     /*  344181 */     GIR_EraseRootFromParent_Done,
     /*  344182 */   // Label 6280: @344182
     /*  344182 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(344248), // Rule ID 20881 //
     /*  344187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  344190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344246 */     GIR_RootConstrainSelectedInstOperands,
     /*  344247 */     // GIR_Coverage, 20881,
     /*  344247 */     GIR_EraseRootFromParent_Done,
     /*  344248 */   // Label 6281: @344248
     /*  344248 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(344314), // Rule ID 20884 //
     /*  344253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344312 */     GIR_RootConstrainSelectedInstOperands,
     /*  344313 */     // GIR_Coverage, 20884,
     /*  344313 */     GIR_EraseRootFromParent_Done,
     /*  344314 */   // Label 6282: @344314
     /*  344314 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344380), // Rule ID 20885 //
     /*  344319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344378 */     GIR_RootConstrainSelectedInstOperands,
     /*  344379 */     // GIR_Coverage, 20885,
     /*  344379 */     GIR_EraseRootFromParent_Done,
     /*  344380 */   // Label 6283: @344380
     /*  344380 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344446), // Rule ID 20888 //
     /*  344385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344444 */     GIR_RootConstrainSelectedInstOperands,
     /*  344445 */     // GIR_Coverage, 20888,
     /*  344445 */     GIR_EraseRootFromParent_Done,
     /*  344446 */   // Label 6284: @344446
     /*  344446 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344512), // Rule ID 20889 //
     /*  344451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344510 */     GIR_RootConstrainSelectedInstOperands,
     /*  344511 */     // GIR_Coverage, 20889,
     /*  344511 */     GIR_EraseRootFromParent_Done,
     /*  344512 */   // Label 6285: @344512
     /*  344512 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344578), // Rule ID 20892 //
     /*  344517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344576 */     GIR_RootConstrainSelectedInstOperands,
     /*  344577 */     // GIR_Coverage, 20892,
     /*  344577 */     GIR_EraseRootFromParent_Done,
     /*  344578 */   // Label 6286: @344578
     /*  344578 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344644), // Rule ID 20893 //
     /*  344583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344642 */     GIR_RootConstrainSelectedInstOperands,
     /*  344643 */     // GIR_Coverage, 20893,
     /*  344643 */     GIR_EraseRootFromParent_Done,
     /*  344644 */   // Label 6287: @344644
     /*  344644 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344710), // Rule ID 20896 //
     /*  344649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344708 */     GIR_RootConstrainSelectedInstOperands,
     /*  344709 */     // GIR_Coverage, 20896,
     /*  344709 */     GIR_EraseRootFromParent_Done,
     /*  344710 */   // Label 6288: @344710
     /*  344710 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344776), // Rule ID 20897 //
     /*  344715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344774 */     GIR_RootConstrainSelectedInstOperands,
     /*  344775 */     // GIR_Coverage, 20897,
     /*  344775 */     GIR_EraseRootFromParent_Done,
     /*  344776 */   // Label 6289: @344776
     /*  344776 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344842), // Rule ID 20900 //
     /*  344781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344840 */     GIR_RootConstrainSelectedInstOperands,
     /*  344841 */     // GIR_Coverage, 20900,
     /*  344841 */     GIR_EraseRootFromParent_Done,
     /*  344842 */   // Label 6290: @344842
     /*  344842 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344908), // Rule ID 20901 //
     /*  344847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344906 */     GIR_RootConstrainSelectedInstOperands,
     /*  344907 */     // GIR_Coverage, 20901,
     /*  344907 */     GIR_EraseRootFromParent_Done,
     /*  344908 */   // Label 6291: @344908
     /*  344908 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344974), // Rule ID 20904 //
     /*  344913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  344930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344972 */     GIR_RootConstrainSelectedInstOperands,
     /*  344973 */     // GIR_Coverage, 20904,
     /*  344973 */     GIR_EraseRootFromParent_Done,
     /*  344974 */   // Label 6292: @344974
     /*  344974 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(345040), // Rule ID 20905 //
     /*  344979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  344996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345038 */     GIR_RootConstrainSelectedInstOperands,
     /*  345039 */     // GIR_Coverage, 20905,
     /*  345039 */     GIR_EraseRootFromParent_Done,
     /*  345040 */   // Label 6293: @345040
     /*  345040 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(345106), // Rule ID 20908 //
     /*  345045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345104 */     GIR_RootConstrainSelectedInstOperands,
     /*  345105 */     // GIR_Coverage, 20908,
     /*  345105 */     GIR_EraseRootFromParent_Done,
     /*  345106 */   // Label 6294: @345106
     /*  345106 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(345172), // Rule ID 20909 //
     /*  345111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345170 */     GIR_RootConstrainSelectedInstOperands,
     /*  345171 */     // GIR_Coverage, 20909,
     /*  345171 */     GIR_EraseRootFromParent_Done,
     /*  345172 */   // Label 6295: @345172
     /*  345172 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(345238), // Rule ID 20912 //
     /*  345177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345236 */     GIR_RootConstrainSelectedInstOperands,
     /*  345237 */     // GIR_Coverage, 20912,
     /*  345237 */     GIR_EraseRootFromParent_Done,
     /*  345238 */   // Label 6296: @345238
     /*  345238 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(345304), // Rule ID 20913 //
     /*  345243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345302 */     GIR_RootConstrainSelectedInstOperands,
     /*  345303 */     // GIR_Coverage, 20913,
     /*  345303 */     GIR_EraseRootFromParent_Done,
     /*  345304 */   // Label 6297: @345304
     /*  345304 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345370), // Rule ID 20916 //
     /*  345309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345368 */     GIR_RootConstrainSelectedInstOperands,
     /*  345369 */     // GIR_Coverage, 20916,
     /*  345369 */     GIR_EraseRootFromParent_Done,
     /*  345370 */   // Label 6298: @345370
     /*  345370 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345436), // Rule ID 20917 //
     /*  345375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345434 */     GIR_RootConstrainSelectedInstOperands,
     /*  345435 */     // GIR_Coverage, 20917,
     /*  345435 */     GIR_EraseRootFromParent_Done,
     /*  345436 */   // Label 6299: @345436
     /*  345436 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345502), // Rule ID 20920 //
     /*  345441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  345483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345500 */     GIR_RootConstrainSelectedInstOperands,
     /*  345501 */     // GIR_Coverage, 20920,
     /*  345501 */     GIR_EraseRootFromParent_Done,
     /*  345502 */   // Label 6300: @345502
     /*  345502 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345568), // Rule ID 20921 //
     /*  345507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  345549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345566 */     GIR_RootConstrainSelectedInstOperands,
     /*  345567 */     // GIR_Coverage, 20921,
     /*  345567 */     GIR_EraseRootFromParent_Done,
     /*  345568 */   // Label 6301: @345568
     /*  345568 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345634), // Rule ID 20924 //
     /*  345573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345632 */     GIR_RootConstrainSelectedInstOperands,
     /*  345633 */     // GIR_Coverage, 20924,
     /*  345633 */     GIR_EraseRootFromParent_Done,
     /*  345634 */   // Label 6302: @345634
     /*  345634 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345700), // Rule ID 20925 //
     /*  345639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345698 */     GIR_RootConstrainSelectedInstOperands,
     /*  345699 */     // GIR_Coverage, 20925,
     /*  345699 */     GIR_EraseRootFromParent_Done,
     /*  345700 */   // Label 6303: @345700
     /*  345700 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345766), // Rule ID 20928 //
     /*  345705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345764 */     GIR_RootConstrainSelectedInstOperands,
     /*  345765 */     // GIR_Coverage, 20928,
     /*  345765 */     GIR_EraseRootFromParent_Done,
     /*  345766 */   // Label 6304: @345766
     /*  345766 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345832), // Rule ID 20929 //
     /*  345771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345830 */     GIR_RootConstrainSelectedInstOperands,
     /*  345831 */     // GIR_Coverage, 20929,
     /*  345831 */     GIR_EraseRootFromParent_Done,
     /*  345832 */   // Label 6305: @345832
     /*  345832 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345898), // Rule ID 20932 //
     /*  345837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345896 */     GIR_RootConstrainSelectedInstOperands,
     /*  345897 */     // GIR_Coverage, 20932,
     /*  345897 */     GIR_EraseRootFromParent_Done,
     /*  345898 */   // Label 6306: @345898
     /*  345898 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345964), // Rule ID 20933 //
     /*  345903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345962 */     GIR_RootConstrainSelectedInstOperands,
     /*  345963 */     // GIR_Coverage, 20933,
     /*  345963 */     GIR_EraseRootFromParent_Done,
     /*  345964 */   // Label 6307: @345964
     /*  345964 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(346030), // Rule ID 20936 //
     /*  345969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346028 */     GIR_RootConstrainSelectedInstOperands,
     /*  346029 */     // GIR_Coverage, 20936,
     /*  346029 */     GIR_EraseRootFromParent_Done,
     /*  346030 */   // Label 6308: @346030
     /*  346030 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(346096), // Rule ID 20937 //
     /*  346035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346094 */     GIR_RootConstrainSelectedInstOperands,
     /*  346095 */     // GIR_Coverage, 20937,
     /*  346095 */     GIR_EraseRootFromParent_Done,
     /*  346096 */   // Label 6309: @346096
     /*  346096 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(346162), // Rule ID 20940 //
     /*  346101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  346104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346160 */     GIR_RootConstrainSelectedInstOperands,
     /*  346161 */     // GIR_Coverage, 20940,
     /*  346161 */     GIR_EraseRootFromParent_Done,
     /*  346162 */   // Label 6310: @346162
     /*  346162 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(346228), // Rule ID 20941 //
     /*  346167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  346170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346226 */     GIR_RootConstrainSelectedInstOperands,
     /*  346227 */     // GIR_Coverage, 20941,
     /*  346227 */     GIR_EraseRootFromParent_Done,
     /*  346228 */   // Label 6311: @346228
     /*  346228 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(346294), // Rule ID 20944 //
     /*  346233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346292 */     GIR_RootConstrainSelectedInstOperands,
     /*  346293 */     // GIR_Coverage, 20944,
     /*  346293 */     GIR_EraseRootFromParent_Done,
     /*  346294 */   // Label 6312: @346294
     /*  346294 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346360), // Rule ID 20945 //
     /*  346299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346358 */     GIR_RootConstrainSelectedInstOperands,
     /*  346359 */     // GIR_Coverage, 20945,
     /*  346359 */     GIR_EraseRootFromParent_Done,
     /*  346360 */   // Label 6313: @346360
     /*  346360 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346426), // Rule ID 20948 //
     /*  346365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346424 */     GIR_RootConstrainSelectedInstOperands,
     /*  346425 */     // GIR_Coverage, 20948,
     /*  346425 */     GIR_EraseRootFromParent_Done,
     /*  346426 */   // Label 6314: @346426
     /*  346426 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346492), // Rule ID 20949 //
     /*  346431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346490 */     GIR_RootConstrainSelectedInstOperands,
     /*  346491 */     // GIR_Coverage, 20949,
     /*  346491 */     GIR_EraseRootFromParent_Done,
     /*  346492 */   // Label 6315: @346492
     /*  346492 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346558), // Rule ID 20952 //
     /*  346497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346556 */     GIR_RootConstrainSelectedInstOperands,
     /*  346557 */     // GIR_Coverage, 20952,
     /*  346557 */     GIR_EraseRootFromParent_Done,
     /*  346558 */   // Label 6316: @346558
     /*  346558 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346624), // Rule ID 20953 //
     /*  346563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346622 */     GIR_RootConstrainSelectedInstOperands,
     /*  346623 */     // GIR_Coverage, 20953,
     /*  346623 */     GIR_EraseRootFromParent_Done,
     /*  346624 */   // Label 6317: @346624
     /*  346624 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346690), // Rule ID 20956 //
     /*  346629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346688 */     GIR_RootConstrainSelectedInstOperands,
     /*  346689 */     // GIR_Coverage, 20956,
     /*  346689 */     GIR_EraseRootFromParent_Done,
     /*  346690 */   // Label 6318: @346690
     /*  346690 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346756), // Rule ID 20957 //
     /*  346695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346754 */     GIR_RootConstrainSelectedInstOperands,
     /*  346755 */     // GIR_Coverage, 20957,
     /*  346755 */     GIR_EraseRootFromParent_Done,
     /*  346756 */   // Label 6319: @346756
     /*  346756 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346822), // Rule ID 20960 //
     /*  346761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346820 */     GIR_RootConstrainSelectedInstOperands,
     /*  346821 */     // GIR_Coverage, 20960,
     /*  346821 */     GIR_EraseRootFromParent_Done,
     /*  346822 */   // Label 6320: @346822
     /*  346822 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346888), // Rule ID 20961 //
     /*  346827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346886 */     GIR_RootConstrainSelectedInstOperands,
     /*  346887 */     // GIR_Coverage, 20961,
     /*  346887 */     GIR_EraseRootFromParent_Done,
     /*  346888 */   // Label 6321: @346888
     /*  346888 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346954), // Rule ID 20964 //
     /*  346893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346952 */     GIR_RootConstrainSelectedInstOperands,
     /*  346953 */     // GIR_Coverage, 20964,
     /*  346953 */     GIR_EraseRootFromParent_Done,
     /*  346954 */   // Label 6322: @346954
     /*  346954 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(347020), // Rule ID 20965 //
     /*  346959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347018 */     GIR_RootConstrainSelectedInstOperands,
     /*  347019 */     // GIR_Coverage, 20965,
     /*  347019 */     GIR_EraseRootFromParent_Done,
     /*  347020 */   // Label 6323: @347020
     /*  347020 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(347086), // Rule ID 20968 //
     /*  347025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347084 */     GIR_RootConstrainSelectedInstOperands,
     /*  347085 */     // GIR_Coverage, 20968,
     /*  347085 */     GIR_EraseRootFromParent_Done,
     /*  347086 */   // Label 6324: @347086
     /*  347086 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(347152), // Rule ID 20969 //
     /*  347091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347150 */     GIR_RootConstrainSelectedInstOperands,
     /*  347151 */     // GIR_Coverage, 20969,
     /*  347151 */     GIR_EraseRootFromParent_Done,
     /*  347152 */   // Label 6325: @347152
     /*  347152 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(347218), // Rule ID 20972 //
     /*  347157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347216 */     GIR_RootConstrainSelectedInstOperands,
     /*  347217 */     // GIR_Coverage, 20972,
     /*  347217 */     GIR_EraseRootFromParent_Done,
     /*  347218 */   // Label 6326: @347218
     /*  347218 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(347284), // Rule ID 20973 //
     /*  347223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347262 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347282 */     GIR_RootConstrainSelectedInstOperands,
     /*  347283 */     // GIR_Coverage, 20973,
     /*  347283 */     GIR_EraseRootFromParent_Done,
     /*  347284 */   // Label 6327: @347284
     /*  347284 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347350), // Rule ID 20976 //
     /*  347289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347348 */     GIR_RootConstrainSelectedInstOperands,
     /*  347349 */     // GIR_Coverage, 20976,
     /*  347349 */     GIR_EraseRootFromParent_Done,
     /*  347350 */   // Label 6328: @347350
     /*  347350 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347416), // Rule ID 20977 //
     /*  347355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347414 */     GIR_RootConstrainSelectedInstOperands,
     /*  347415 */     // GIR_Coverage, 20977,
     /*  347415 */     GIR_EraseRootFromParent_Done,
     /*  347416 */   // Label 6329: @347416
     /*  347416 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347482), // Rule ID 21244 //
     /*  347421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  347463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347480 */     GIR_RootConstrainSelectedInstOperands,
     /*  347481 */     // GIR_Coverage, 21244,
     /*  347481 */     GIR_EraseRootFromParent_Done,
     /*  347482 */   // Label 6330: @347482
     /*  347482 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347548), // Rule ID 21245 //
     /*  347487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  347529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347546 */     GIR_RootConstrainSelectedInstOperands,
     /*  347547 */     // GIR_Coverage, 21245,
     /*  347547 */     GIR_EraseRootFromParent_Done,
     /*  347548 */   // Label 6331: @347548
     /*  347548 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347614), // Rule ID 21248 //
     /*  347553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347612 */     GIR_RootConstrainSelectedInstOperands,
     /*  347613 */     // GIR_Coverage, 21248,
     /*  347613 */     GIR_EraseRootFromParent_Done,
     /*  347614 */   // Label 6332: @347614
     /*  347614 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347680), // Rule ID 21249 //
     /*  347619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347678 */     GIR_RootConstrainSelectedInstOperands,
     /*  347679 */     // GIR_Coverage, 21249,
     /*  347679 */     GIR_EraseRootFromParent_Done,
     /*  347680 */   // Label 6333: @347680
     /*  347680 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347746), // Rule ID 21252 //
     /*  347685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  347727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347744 */     GIR_RootConstrainSelectedInstOperands,
     /*  347745 */     // GIR_Coverage, 21252,
     /*  347745 */     GIR_EraseRootFromParent_Done,
     /*  347746 */   // Label 6334: @347746
     /*  347746 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347812), // Rule ID 21253 //
     /*  347751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  347793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347810 */     GIR_RootConstrainSelectedInstOperands,
     /*  347811 */     // GIR_Coverage, 21253,
     /*  347811 */     GIR_EraseRootFromParent_Done,
     /*  347812 */   // Label 6335: @347812
     /*  347812 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347878), // Rule ID 21256 //
     /*  347817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  347859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347876 */     GIR_RootConstrainSelectedInstOperands,
     /*  347877 */     // GIR_Coverage, 21256,
     /*  347877 */     GIR_EraseRootFromParent_Done,
     /*  347878 */   // Label 6336: @347878
     /*  347878 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347944), // Rule ID 21257 //
     /*  347883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  347925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347942 */     GIR_RootConstrainSelectedInstOperands,
     /*  347943 */     // GIR_Coverage, 21257,
     /*  347943 */     GIR_EraseRootFromParent_Done,
     /*  347944 */   // Label 6337: @347944
     /*  347944 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(348010), // Rule ID 21260 //
     /*  347949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  347991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348008 */     GIR_RootConstrainSelectedInstOperands,
     /*  348009 */     // GIR_Coverage, 21260,
     /*  348009 */     GIR_EraseRootFromParent_Done,
     /*  348010 */   // Label 6338: @348010
     /*  348010 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(348076), // Rule ID 21261 //
     /*  348015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348074 */     GIR_RootConstrainSelectedInstOperands,
     /*  348075 */     // GIR_Coverage, 21261,
     /*  348075 */     GIR_EraseRootFromParent_Done,
     /*  348076 */   // Label 6339: @348076
     /*  348076 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(348142), // Rule ID 21264 //
     /*  348081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348140 */     GIR_RootConstrainSelectedInstOperands,
     /*  348141 */     // GIR_Coverage, 21264,
     /*  348141 */     GIR_EraseRootFromParent_Done,
     /*  348142 */   // Label 6340: @348142
     /*  348142 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(348208), // Rule ID 21265 //
     /*  348147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348206 */     GIR_RootConstrainSelectedInstOperands,
     /*  348207 */     // GIR_Coverage, 21265,
     /*  348207 */     GIR_EraseRootFromParent_Done,
     /*  348208 */   // Label 6341: @348208
     /*  348208 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(348274), // Rule ID 21268 //
     /*  348213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348272 */     GIR_RootConstrainSelectedInstOperands,
     /*  348273 */     // GIR_Coverage, 21268,
     /*  348273 */     GIR_EraseRootFromParent_Done,
     /*  348274 */   // Label 6342: @348274
     /*  348274 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348340), // Rule ID 21269 //
     /*  348279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348338 */     GIR_RootConstrainSelectedInstOperands,
     /*  348339 */     // GIR_Coverage, 21269,
     /*  348339 */     GIR_EraseRootFromParent_Done,
     /*  348340 */   // Label 6343: @348340
     /*  348340 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348406), // Rule ID 21272 //
     /*  348345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348404 */     GIR_RootConstrainSelectedInstOperands,
     /*  348405 */     // GIR_Coverage, 21272,
     /*  348405 */     GIR_EraseRootFromParent_Done,
     /*  348406 */   // Label 6344: @348406
     /*  348406 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348472), // Rule ID 21273 //
     /*  348411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348470 */     GIR_RootConstrainSelectedInstOperands,
     /*  348471 */     // GIR_Coverage, 21273,
     /*  348471 */     GIR_EraseRootFromParent_Done,
     /*  348472 */   // Label 6345: @348472
     /*  348472 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348538), // Rule ID 21276 //
     /*  348477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348536 */     GIR_RootConstrainSelectedInstOperands,
     /*  348537 */     // GIR_Coverage, 21276,
     /*  348537 */     GIR_EraseRootFromParent_Done,
     /*  348538 */   // Label 6346: @348538
     /*  348538 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348604), // Rule ID 21277 //
     /*  348543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348602 */     GIR_RootConstrainSelectedInstOperands,
     /*  348603 */     // GIR_Coverage, 21277,
     /*  348603 */     GIR_EraseRootFromParent_Done,
     /*  348604 */   // Label 6347: @348604
     /*  348604 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348670), // Rule ID 21280 //
     /*  348609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  348651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348668 */     GIR_RootConstrainSelectedInstOperands,
     /*  348669 */     // GIR_Coverage, 21280,
     /*  348669 */     GIR_EraseRootFromParent_Done,
     /*  348670 */   // Label 6348: @348670
     /*  348670 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348736), // Rule ID 21281 //
     /*  348675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  348717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348734 */     GIR_RootConstrainSelectedInstOperands,
     /*  348735 */     // GIR_Coverage, 21281,
     /*  348735 */     GIR_EraseRootFromParent_Done,
     /*  348736 */   // Label 6349: @348736
     /*  348736 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348802), // Rule ID 21284 //
     /*  348741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  348783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348800 */     GIR_RootConstrainSelectedInstOperands,
     /*  348801 */     // GIR_Coverage, 21284,
     /*  348801 */     GIR_EraseRootFromParent_Done,
     /*  348802 */   // Label 6350: @348802
     /*  348802 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348868), // Rule ID 21285 //
     /*  348807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  348849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348866 */     GIR_RootConstrainSelectedInstOperands,
     /*  348867 */     // GIR_Coverage, 21285,
     /*  348867 */     GIR_EraseRootFromParent_Done,
     /*  348868 */   // Label 6351: @348868
     /*  348868 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348934), // Rule ID 21288 //
     /*  348873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  348915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348932 */     GIR_RootConstrainSelectedInstOperands,
     /*  348933 */     // GIR_Coverage, 21288,
     /*  348933 */     GIR_EraseRootFromParent_Done,
     /*  348934 */   // Label 6352: @348934
     /*  348934 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(349000), // Rule ID 21289 //
     /*  348939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  348981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348998 */     GIR_RootConstrainSelectedInstOperands,
     /*  348999 */     // GIR_Coverage, 21289,
     /*  348999 */     GIR_EraseRootFromParent_Done,
     /*  349000 */   // Label 6353: @349000
     /*  349000 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(349066), // Rule ID 21292 //
     /*  349005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349064 */     GIR_RootConstrainSelectedInstOperands,
     /*  349065 */     // GIR_Coverage, 21292,
     /*  349065 */     GIR_EraseRootFromParent_Done,
     /*  349066 */   // Label 6354: @349066
     /*  349066 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(349132), // Rule ID 21293 //
     /*  349071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349130 */     GIR_RootConstrainSelectedInstOperands,
     /*  349131 */     // GIR_Coverage, 21293,
     /*  349131 */     GIR_EraseRootFromParent_Done,
     /*  349132 */   // Label 6355: @349132
     /*  349132 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(349198), // Rule ID 21296 //
     /*  349137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349196 */     GIR_RootConstrainSelectedInstOperands,
     /*  349197 */     // GIR_Coverage, 21296,
     /*  349197 */     GIR_EraseRootFromParent_Done,
     /*  349198 */   // Label 6356: @349198
     /*  349198 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(349264), // Rule ID 21297 //
     /*  349203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349262 */     GIR_RootConstrainSelectedInstOperands,
     /*  349263 */     // GIR_Coverage, 21297,
     /*  349263 */     GIR_EraseRootFromParent_Done,
     /*  349264 */   // Label 6357: @349264
     /*  349264 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349330), // Rule ID 21300 //
     /*  349269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349328 */     GIR_RootConstrainSelectedInstOperands,
     /*  349329 */     // GIR_Coverage, 21300,
     /*  349329 */     GIR_EraseRootFromParent_Done,
     /*  349330 */   // Label 6358: @349330
     /*  349330 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349396), // Rule ID 21301 //
     /*  349335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349394 */     GIR_RootConstrainSelectedInstOperands,
     /*  349395 */     // GIR_Coverage, 21301,
     /*  349395 */     GIR_EraseRootFromParent_Done,
     /*  349396 */   // Label 6359: @349396
     /*  349396 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349462), // Rule ID 21304 //
     /*  349401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349460 */     GIR_RootConstrainSelectedInstOperands,
     /*  349461 */     // GIR_Coverage, 21304,
     /*  349461 */     GIR_EraseRootFromParent_Done,
     /*  349462 */   // Label 6360: @349462
     /*  349462 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349528), // Rule ID 21305 //
     /*  349467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349526 */     GIR_RootConstrainSelectedInstOperands,
     /*  349527 */     // GIR_Coverage, 21305,
     /*  349527 */     GIR_EraseRootFromParent_Done,
     /*  349528 */   // Label 6361: @349528
     /*  349528 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349594), // Rule ID 21308 //
     /*  349533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349592 */     GIR_RootConstrainSelectedInstOperands,
     /*  349593 */     // GIR_Coverage, 21308,
     /*  349593 */     GIR_EraseRootFromParent_Done,
     /*  349594 */   // Label 6362: @349594
     /*  349594 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349660), // Rule ID 21309 //
     /*  349599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349638 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349658 */     GIR_RootConstrainSelectedInstOperands,
     /*  349659 */     // GIR_Coverage, 21309,
     /*  349659 */     GIR_EraseRootFromParent_Done,
     /*  349660 */   // Label 6363: @349660
     /*  349660 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349726), // Rule ID 21312 //
     /*  349665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349724 */     GIR_RootConstrainSelectedInstOperands,
     /*  349725 */     // GIR_Coverage, 21312,
     /*  349725 */     GIR_EraseRootFromParent_Done,
     /*  349726 */   // Label 6364: @349726
     /*  349726 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349792), // Rule ID 21313 //
     /*  349731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349790 */     GIR_RootConstrainSelectedInstOperands,
     /*  349791 */     // GIR_Coverage, 21313,
     /*  349791 */     GIR_EraseRootFromParent_Done,
     /*  349792 */   // Label 6365: @349792
     /*  349792 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349858), // Rule ID 21316 //
     /*  349797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  349814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349836 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  349839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349856 */     GIR_RootConstrainSelectedInstOperands,
     /*  349857 */     // GIR_Coverage, 21316,
     /*  349857 */     GIR_EraseRootFromParent_Done,
     /*  349858 */   // Label 6366: @349858
     /*  349858 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349924), // Rule ID 21317 //
     /*  349863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  349880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  349905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349922 */     GIR_RootConstrainSelectedInstOperands,
     /*  349923 */     // GIR_Coverage, 21317,
     /*  349923 */     GIR_EraseRootFromParent_Done,
     /*  349924 */   // Label 6367: @349924
     /*  349924 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349990), // Rule ID 21320 //
     /*  349929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  349946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349968 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  349971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349988 */     GIR_RootConstrainSelectedInstOperands,
     /*  349989 */     // GIR_Coverage, 21320,
     /*  349989 */     GIR_EraseRootFromParent_Done,
     /*  349990 */   // Label 6368: @349990
     /*  349990 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(350056), // Rule ID 21321 //
     /*  349995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  350006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  350009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  350012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350034 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  350037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350054 */     GIR_RootConstrainSelectedInstOperands,
     /*  350055 */     // GIR_Coverage, 21321,
     /*  350055 */     GIR_EraseRootFromParent_Done,
     /*  350056 */   // Label 6369: @350056
     /*  350056 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(350122), // Rule ID 21324 //
     /*  350061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  350078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350100 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  350103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350120 */     GIR_RootConstrainSelectedInstOperands,
     /*  350121 */     // GIR_Coverage, 21324,
     /*  350121 */     GIR_EraseRootFromParent_Done,
     /*  350122 */   // Label 6370: @350122
     /*  350122 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(350188), // Rule ID 21325 //
     /*  350127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  350144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350166 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  350169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350186 */     GIR_RootConstrainSelectedInstOperands,
     /*  350187 */     // GIR_Coverage, 21325,
     /*  350187 */     GIR_EraseRootFromParent_Done,
     /*  350188 */   // Label 6371: @350188
     /*  350188 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(350254), // Rule ID 21328 //
     /*  350193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350232 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350252 */     GIR_RootConstrainSelectedInstOperands,
     /*  350253 */     // GIR_Coverage, 21328,
     /*  350253 */     GIR_EraseRootFromParent_Done,
     /*  350254 */   // Label 6372: @350254
     /*  350254 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350320), // Rule ID 21329 //
     /*  350259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350298 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350318 */     GIR_RootConstrainSelectedInstOperands,
     /*  350319 */     // GIR_Coverage, 21329,
     /*  350319 */     GIR_EraseRootFromParent_Done,
     /*  350320 */   // Label 6373: @350320
     /*  350320 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350386), // Rule ID 21332 //
     /*  350325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350364 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350384 */     GIR_RootConstrainSelectedInstOperands,
     /*  350385 */     // GIR_Coverage, 21332,
     /*  350385 */     GIR_EraseRootFromParent_Done,
     /*  350386 */   // Label 6374: @350386
     /*  350386 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350452), // Rule ID 21333 //
     /*  350391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350450 */     GIR_RootConstrainSelectedInstOperands,
     /*  350451 */     // GIR_Coverage, 21333,
     /*  350451 */     GIR_EraseRootFromParent_Done,
     /*  350452 */   // Label 6375: @350452
     /*  350452 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350518), // Rule ID 21336 //
     /*  350457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  350468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  350471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350496 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  350499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350516 */     GIR_RootConstrainSelectedInstOperands,
     /*  350517 */     // GIR_Coverage, 21336,
     /*  350517 */     GIR_EraseRootFromParent_Done,
     /*  350518 */   // Label 6376: @350518
     /*  350518 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350584), // Rule ID 21337 //
     /*  350523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  350534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  350537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350562 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  350565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350582 */     GIR_RootConstrainSelectedInstOperands,
     /*  350583 */     // GIR_Coverage, 21337,
     /*  350583 */     GIR_EraseRootFromParent_Done,
     /*  350584 */   // Label 6377: @350584
     /*  350584 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350650), // Rule ID 21340 //
     /*  350589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  350631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350648 */     GIR_RootConstrainSelectedInstOperands,
     /*  350649 */     // GIR_Coverage, 21340,
     /*  350649 */     GIR_EraseRootFromParent_Done,
     /*  350650 */   // Label 6378: @350650
     /*  350650 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350716), // Rule ID 21341 //
     /*  350655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350694 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  350697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350714 */     GIR_RootConstrainSelectedInstOperands,
     /*  350715 */     // GIR_Coverage, 21341,
     /*  350715 */     GIR_EraseRootFromParent_Done,
     /*  350716 */   // Label 6379: @350716
     /*  350716 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350782), // Rule ID 21344 //
     /*  350721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  350763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350780 */     GIR_RootConstrainSelectedInstOperands,
     /*  350781 */     // GIR_Coverage, 21344,
     /*  350781 */     GIR_EraseRootFromParent_Done,
     /*  350782 */   // Label 6380: @350782
     /*  350782 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350848), // Rule ID 21345 //
     /*  350787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  350829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350846 */     GIR_RootConstrainSelectedInstOperands,
     /*  350847 */     // GIR_Coverage, 21345,
     /*  350847 */     GIR_EraseRootFromParent_Done,
     /*  350848 */   // Label 6381: @350848
     /*  350848 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350914), // Rule ID 21348 //
     /*  350853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  350895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350912 */     GIR_RootConstrainSelectedInstOperands,
     /*  350913 */     // GIR_Coverage, 21348,
     /*  350913 */     GIR_EraseRootFromParent_Done,
     /*  350914 */   // Label 6382: @350914
     /*  350914 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350980), // Rule ID 21349 //
     /*  350919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  350961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350978 */     GIR_RootConstrainSelectedInstOperands,
     /*  350979 */     // GIR_Coverage, 21349,
     /*  350979 */     GIR_EraseRootFromParent_Done,
     /*  350980 */   // Label 6383: @350980
     /*  350980 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(351046), // Rule ID 21352 //
     /*  350985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  351027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351044 */     GIR_RootConstrainSelectedInstOperands,
     /*  351045 */     // GIR_Coverage, 21352,
     /*  351045 */     GIR_EraseRootFromParent_Done,
     /*  351046 */   // Label 6384: @351046
     /*  351046 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(351112), // Rule ID 21353 //
     /*  351051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  351062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  351065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  351093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351110 */     GIR_RootConstrainSelectedInstOperands,
     /*  351111 */     // GIR_Coverage, 21353,
     /*  351111 */     GIR_EraseRootFromParent_Done,
     /*  351112 */   // Label 6385: @351112
     /*  351112 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(351178), // Rule ID 21356 //
     /*  351117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  351159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351176 */     GIR_RootConstrainSelectedInstOperands,
     /*  351177 */     // GIR_Coverage, 21356,
     /*  351177 */     GIR_EraseRootFromParent_Done,
     /*  351178 */   // Label 6386: @351178
     /*  351178 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(351244), // Rule ID 21357 //
     /*  351183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351222 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  351225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351242 */     GIR_RootConstrainSelectedInstOperands,
     /*  351243 */     // GIR_Coverage, 21357,
     /*  351243 */     GIR_EraseRootFromParent_Done,
     /*  351244 */   // Label 6387: @351244
     /*  351244 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(351310), // Rule ID 21360 //
     /*  351249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351308 */     GIR_RootConstrainSelectedInstOperands,
     /*  351309 */     // GIR_Coverage, 21360,
     /*  351309 */     GIR_EraseRootFromParent_Done,
     /*  351310 */   // Label 6388: @351310
     /*  351310 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351376), // Rule ID 21361 //
     /*  351315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351354 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351374 */     GIR_RootConstrainSelectedInstOperands,
     /*  351375 */     // GIR_Coverage, 21361,
     /*  351375 */     GIR_EraseRootFromParent_Done,
     /*  351376 */   // Label 6389: @351376
     /*  351376 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351442), // Rule ID 21364 //
     /*  351381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351440 */     GIR_RootConstrainSelectedInstOperands,
     /*  351441 */     // GIR_Coverage, 21364,
     /*  351441 */     GIR_EraseRootFromParent_Done,
     /*  351442 */   // Label 6390: @351442
     /*  351442 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351508), // Rule ID 21365 //
     /*  351447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351486 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351506 */     GIR_RootConstrainSelectedInstOperands,
     /*  351507 */     // GIR_Coverage, 21365,
     /*  351507 */     GIR_EraseRootFromParent_Done,
     /*  351508 */   // Label 6391: @351508
     /*  351508 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351574), // Rule ID 21368 //
     /*  351513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351552 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  351555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351572 */     GIR_RootConstrainSelectedInstOperands,
     /*  351573 */     // GIR_Coverage, 21368,
     /*  351573 */     GIR_EraseRootFromParent_Done,
     /*  351574 */   // Label 6392: @351574
     /*  351574 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351640), // Rule ID 21369 //
     /*  351579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351618 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  351621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351638 */     GIR_RootConstrainSelectedInstOperands,
     /*  351639 */     // GIR_Coverage, 21369,
     /*  351639 */     GIR_EraseRootFromParent_Done,
     /*  351640 */   // Label 6393: @351640
     /*  351640 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351706), // Rule ID 21372 //
     /*  351645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351684 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  351687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351704 */     GIR_RootConstrainSelectedInstOperands,
     /*  351705 */     // GIR_Coverage, 21372,
     /*  351705 */     GIR_EraseRootFromParent_Done,
     /*  351706 */   // Label 6394: @351706
     /*  351706 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351772), // Rule ID 21373 //
     /*  351711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351750 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  351753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351770 */     GIR_RootConstrainSelectedInstOperands,
     /*  351771 */     // GIR_Coverage, 21373,
     /*  351771 */     GIR_EraseRootFromParent_Done,
     /*  351772 */   // Label 6395: @351772
     /*  351772 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351838), // Rule ID 21376 //
     /*  351777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  351794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  351819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351836 */     GIR_RootConstrainSelectedInstOperands,
     /*  351837 */     // GIR_Coverage, 21376,
     /*  351837 */     GIR_EraseRootFromParent_Done,
     /*  351838 */   // Label 6396: @351838
     /*  351838 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351904), // Rule ID 21377 //
     /*  351843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  351860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351882 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  351885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351902 */     GIR_RootConstrainSelectedInstOperands,
     /*  351903 */     // GIR_Coverage, 21377,
     /*  351903 */     GIR_EraseRootFromParent_Done,
     /*  351904 */   // Label 6397: @351904
     /*  351904 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351970), // Rule ID 21380 //
     /*  351909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351948 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  351951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351968 */     GIR_RootConstrainSelectedInstOperands,
     /*  351969 */     // GIR_Coverage, 21380,
     /*  351969 */     GIR_EraseRootFromParent_Done,
     /*  351970 */   // Label 6398: @351970
     /*  351970 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(352036), // Rule ID 21381 //
     /*  351975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352014 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  352017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352034 */     GIR_RootConstrainSelectedInstOperands,
     /*  352035 */     // GIR_Coverage, 21381,
     /*  352035 */     GIR_EraseRootFromParent_Done,
     /*  352036 */   // Label 6399: @352036
     /*  352036 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(352102), // Rule ID 21384 //
     /*  352041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352080 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  352083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352100 */     GIR_RootConstrainSelectedInstOperands,
     /*  352101 */     // GIR_Coverage, 21384,
     /*  352101 */     GIR_EraseRootFromParent_Done,
     /*  352102 */   // Label 6400: @352102
     /*  352102 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(352168), // Rule ID 21385 //
     /*  352107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352146 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  352149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352166 */     GIR_RootConstrainSelectedInstOperands,
     /*  352167 */     // GIR_Coverage, 21385,
     /*  352167 */     GIR_EraseRootFromParent_Done,
     /*  352168 */   // Label 6401: @352168
     /*  352168 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(352234), // Rule ID 21388 //
     /*  352173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352232 */     GIR_RootConstrainSelectedInstOperands,
     /*  352233 */     // GIR_Coverage, 21388,
     /*  352233 */     GIR_EraseRootFromParent_Done,
     /*  352234 */   // Label 6402: @352234
     /*  352234 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(352300), // Rule ID 21389 //
     /*  352239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352298 */     GIR_RootConstrainSelectedInstOperands,
     /*  352299 */     // GIR_Coverage, 21389,
     /*  352299 */     GIR_EraseRootFromParent_Done,
     /*  352300 */   // Label 6403: @352300
     /*  352300 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352366), // Rule ID 21392 //
     /*  352305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352344 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352364 */     GIR_RootConstrainSelectedInstOperands,
     /*  352365 */     // GIR_Coverage, 21392,
     /*  352365 */     GIR_EraseRootFromParent_Done,
     /*  352366 */   // Label 6404: @352366
     /*  352366 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352432), // Rule ID 21393 //
     /*  352371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352410 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352430 */     GIR_RootConstrainSelectedInstOperands,
     /*  352431 */     // GIR_Coverage, 21393,
     /*  352431 */     GIR_EraseRootFromParent_Done,
     /*  352432 */   // Label 6405: @352432
     /*  352432 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352498), // Rule ID 21396 //
     /*  352437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352476 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  352479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352496 */     GIR_RootConstrainSelectedInstOperands,
     /*  352497 */     // GIR_Coverage, 21396,
     /*  352497 */     GIR_EraseRootFromParent_Done,
     /*  352498 */   // Label 6406: @352498
     /*  352498 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352564), // Rule ID 21397 //
     /*  352503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352542 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  352545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352562 */     GIR_RootConstrainSelectedInstOperands,
     /*  352563 */     // GIR_Coverage, 21397,
     /*  352563 */     GIR_EraseRootFromParent_Done,
     /*  352564 */   // Label 6407: @352564
     /*  352564 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352630), // Rule ID 21400 //
     /*  352569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  352611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352628 */     GIR_RootConstrainSelectedInstOperands,
     /*  352629 */     // GIR_Coverage, 21400,
     /*  352629 */     GIR_EraseRootFromParent_Done,
     /*  352630 */   // Label 6408: @352630
     /*  352630 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352696), // Rule ID 21401 //
     /*  352635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352674 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  352677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352694 */     GIR_RootConstrainSelectedInstOperands,
     /*  352695 */     // GIR_Coverage, 21401,
     /*  352695 */     GIR_EraseRootFromParent_Done,
     /*  352696 */   // Label 6409: @352696
     /*  352696 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352762), // Rule ID 21404 //
     /*  352701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352740 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  352743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352760 */     GIR_RootConstrainSelectedInstOperands,
     /*  352761 */     // GIR_Coverage, 21404,
     /*  352761 */     GIR_EraseRootFromParent_Done,
     /*  352762 */   // Label 6410: @352762
     /*  352762 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352828), // Rule ID 21405 //
     /*  352767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352806 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  352809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352826 */     GIR_RootConstrainSelectedInstOperands,
     /*  352827 */     // GIR_Coverage, 21405,
     /*  352827 */     GIR_EraseRootFromParent_Done,
     /*  352828 */   // Label 6411: @352828
     /*  352828 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352894), // Rule ID 21408 //
     /*  352833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352872 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  352875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352892 */     GIR_RootConstrainSelectedInstOperands,
     /*  352893 */     // GIR_Coverage, 21408,
     /*  352893 */     GIR_EraseRootFromParent_Done,
     /*  352894 */   // Label 6412: @352894
     /*  352894 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352960), // Rule ID 21409 //
     /*  352899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352938 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  352941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352958 */     GIR_RootConstrainSelectedInstOperands,
     /*  352959 */     // GIR_Coverage, 21409,
     /*  352959 */     GIR_EraseRootFromParent_Done,
     /*  352960 */   // Label 6413: @352960
     /*  352960 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(353026), // Rule ID 21412 //
     /*  352965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  353007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353024 */     GIR_RootConstrainSelectedInstOperands,
     /*  353025 */     // GIR_Coverage, 21412,
     /*  353025 */     GIR_EraseRootFromParent_Done,
     /*  353026 */   // Label 6414: @353026
     /*  353026 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(353092), // Rule ID 21413 //
     /*  353031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353070 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  353073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353090 */     GIR_RootConstrainSelectedInstOperands,
     /*  353091 */     // GIR_Coverage, 21413,
     /*  353091 */     GIR_EraseRootFromParent_Done,
     /*  353092 */   // Label 6415: @353092
     /*  353092 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(353158), // Rule ID 21416 //
     /*  353097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  353108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  353111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  353139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353156 */     GIR_RootConstrainSelectedInstOperands,
     /*  353157 */     // GIR_Coverage, 21416,
     /*  353157 */     GIR_EraseRootFromParent_Done,
     /*  353158 */   // Label 6416: @353158
     /*  353158 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(353224), // Rule ID 21417 //
     /*  353163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  353174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  353177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353202 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  353205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353222 */     GIR_RootConstrainSelectedInstOperands,
     /*  353223 */     // GIR_Coverage, 21417,
     /*  353223 */     GIR_EraseRootFromParent_Done,
     /*  353224 */   // Label 6417: @353224
     /*  353224 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(353290), // Rule ID 21420 //
     /*  353229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353288 */     GIR_RootConstrainSelectedInstOperands,
     /*  353289 */     // GIR_Coverage, 21420,
     /*  353289 */     GIR_EraseRootFromParent_Done,
     /*  353290 */   // Label 6418: @353290
     /*  353290 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353356), // Rule ID 21421 //
     /*  353295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353334 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353354 */     GIR_RootConstrainSelectedInstOperands,
     /*  353355 */     // GIR_Coverage, 21421,
     /*  353355 */     GIR_EraseRootFromParent_Done,
     /*  353356 */   // Label 6419: @353356
     /*  353356 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353422), // Rule ID 21424 //
     /*  353361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353400 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353420 */     GIR_RootConstrainSelectedInstOperands,
     /*  353421 */     // GIR_Coverage, 21424,
     /*  353421 */     GIR_EraseRootFromParent_Done,
     /*  353422 */   // Label 6420: @353422
     /*  353422 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353488), // Rule ID 21425 //
     /*  353427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353466 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353486 */     GIR_RootConstrainSelectedInstOperands,
     /*  353487 */     // GIR_Coverage, 21425,
     /*  353487 */     GIR_EraseRootFromParent_Done,
     /*  353488 */   // Label 6421: @353488
     /*  353488 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353554), // Rule ID 21428 //
     /*  353493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  353504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  353507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353532 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  353535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353552 */     GIR_RootConstrainSelectedInstOperands,
     /*  353553 */     // GIR_Coverage, 21428,
     /*  353553 */     GIR_EraseRootFromParent_Done,
     /*  353554 */   // Label 6422: @353554
     /*  353554 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353620), // Rule ID 21429 //
     /*  353559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  353570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  353573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353598 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  353601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353618 */     GIR_RootConstrainSelectedInstOperands,
     /*  353619 */     // GIR_Coverage, 21429,
     /*  353619 */     GIR_EraseRootFromParent_Done,
     /*  353620 */   // Label 6423: @353620
     /*  353620 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353686), // Rule ID 21432 //
     /*  353625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  353636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  353639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  353667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353684 */     GIR_RootConstrainSelectedInstOperands,
     /*  353685 */     // GIR_Coverage, 21432,
     /*  353685 */     GIR_EraseRootFromParent_Done,
     /*  353686 */   // Label 6424: @353686
     /*  353686 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353752), // Rule ID 21433 //
     /*  353691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  353702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  353705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  353733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353750 */     GIR_RootConstrainSelectedInstOperands,
     /*  353751 */     // GIR_Coverage, 21433,
     /*  353751 */     GIR_EraseRootFromParent_Done,
     /*  353752 */   // Label 6425: @353752
     /*  353752 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353818), // Rule ID 21436 //
     /*  353757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353796 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  353799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353816 */     GIR_RootConstrainSelectedInstOperands,
     /*  353817 */     // GIR_Coverage, 21436,
     /*  353817 */     GIR_EraseRootFromParent_Done,
     /*  353818 */   // Label 6426: @353818
     /*  353818 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353884), // Rule ID 21437 //
     /*  353823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  353826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353862 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  353865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353882 */     GIR_RootConstrainSelectedInstOperands,
     /*  353883 */     // GIR_Coverage, 21437,
     /*  353883 */     GIR_EraseRootFromParent_Done,
     /*  353884 */   // Label 6427: @353884
     /*  353884 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353950), // Rule ID 21440 //
     /*  353889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  353931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353948 */     GIR_RootConstrainSelectedInstOperands,
     /*  353949 */     // GIR_Coverage, 21440,
     /*  353949 */     GIR_EraseRootFromParent_Done,
     /*  353950 */   // Label 6428: @353950
     /*  353950 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(354016), // Rule ID 21441 //
     /*  353955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  353958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353994 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  353997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354014 */     GIR_RootConstrainSelectedInstOperands,
     /*  354015 */     // GIR_Coverage, 21441,
     /*  354015 */     GIR_EraseRootFromParent_Done,
     /*  354016 */   // Label 6429: @354016
     /*  354016 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(354082), // Rule ID 21444 //
     /*  354021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  354024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  354038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354060 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  354063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354080 */     GIR_RootConstrainSelectedInstOperands,
     /*  354081 */     // GIR_Coverage, 21444,
     /*  354081 */     GIR_EraseRootFromParent_Done,
     /*  354082 */   // Label 6430: @354082
     /*  354082 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(354148), // Rule ID 21445 //
     /*  354087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  354090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  354104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354126 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  354129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354146 */     GIR_RootConstrainSelectedInstOperands,
     /*  354147 */     // GIR_Coverage, 21445,
     /*  354147 */     GIR_EraseRootFromParent_Done,
     /*  354148 */   // Label 6431: @354148
     /*  354148 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(354214), // Rule ID 21448 //
     /*  354153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  354156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354192 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  354195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354212 */     GIR_RootConstrainSelectedInstOperands,
     /*  354213 */     // GIR_Coverage, 21448,
     /*  354213 */     GIR_EraseRootFromParent_Done,
     /*  354214 */   // Label 6432: @354214
     /*  354214 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(354280), // Rule ID 21449 //
     /*  354219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  354222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354258 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  354261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354278 */     GIR_RootConstrainSelectedInstOperands,
     /*  354279 */     // GIR_Coverage, 21449,
     /*  354279 */     GIR_EraseRootFromParent_Done,
     /*  354280 */   // Label 6433: @354280
     /*  354280 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354346), // Rule ID 21452 //
     /*  354285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  354288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354344 */     GIR_RootConstrainSelectedInstOperands,
     /*  354345 */     // GIR_Coverage, 21452,
     /*  354345 */     GIR_EraseRootFromParent_Done,
     /*  354346 */   // Label 6434: @354346
     /*  354346 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354412), // Rule ID 21453 //
     /*  354351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  354354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354410 */     GIR_RootConstrainSelectedInstOperands,
     /*  354411 */     // GIR_Coverage, 21453,
     /*  354411 */     GIR_EraseRootFromParent_Done,
     /*  354412 */   // Label 6435: @354412
     /*  354412 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354478), // Rule ID 21456 //
     /*  354417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  354459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354476 */     GIR_RootConstrainSelectedInstOperands,
     /*  354477 */     // GIR_Coverage, 21456,
     /*  354477 */     GIR_EraseRootFromParent_Done,
     /*  354478 */   // Label 6436: @354478
     /*  354478 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354544), // Rule ID 21457 //
     /*  354483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354522 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  354525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354542 */     GIR_RootConstrainSelectedInstOperands,
     /*  354543 */     // GIR_Coverage, 21457,
     /*  354543 */     GIR_EraseRootFromParent_Done,
     /*  354544 */   // Label 6437: @354544
     /*  354544 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354610), // Rule ID 21460 //
     /*  354549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  354591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354608 */     GIR_RootConstrainSelectedInstOperands,
     /*  354609 */     // GIR_Coverage, 21460,
     /*  354609 */     GIR_EraseRootFromParent_Done,
     /*  354610 */   // Label 6438: @354610
     /*  354610 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354676), // Rule ID 21461 //
     /*  354615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  354657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354674 */     GIR_RootConstrainSelectedInstOperands,
     /*  354675 */     // GIR_Coverage, 21461,
     /*  354675 */     GIR_EraseRootFromParent_Done,
     /*  354676 */   // Label 6439: @354676
     /*  354676 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354742), // Rule ID 21464 //
     /*  354681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354720 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  354723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354740 */     GIR_RootConstrainSelectedInstOperands,
     /*  354741 */     // GIR_Coverage, 21464,
     /*  354741 */     GIR_EraseRootFromParent_Done,
     /*  354742 */   // Label 6440: @354742
     /*  354742 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354808), // Rule ID 21465 //
     /*  354747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354786 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  354789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354806 */     GIR_RootConstrainSelectedInstOperands,
     /*  354807 */     // GIR_Coverage, 21465,
     /*  354807 */     GIR_EraseRootFromParent_Done,
     /*  354808 */   // Label 6441: @354808
     /*  354808 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354874), // Rule ID 21468 //
     /*  354813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  354855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354872 */     GIR_RootConstrainSelectedInstOperands,
     /*  354873 */     // GIR_Coverage, 21468,
     /*  354873 */     GIR_EraseRootFromParent_Done,
     /*  354874 */   // Label 6442: @354874
     /*  354874 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354940), // Rule ID 21469 //
     /*  354879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354918 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  354921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354938 */     GIR_RootConstrainSelectedInstOperands,
     /*  354939 */     // GIR_Coverage, 21469,
     /*  354939 */     GIR_EraseRootFromParent_Done,
     /*  354940 */   // Label 6443: @354940
     /*  354940 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(355006), // Rule ID 21712 //
     /*  354945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  354948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  354953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  354956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  354959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  354962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354984 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  354987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355004 */     GIR_RootConstrainSelectedInstOperands,
     /*  355005 */     // GIR_Coverage, 21712,
     /*  355005 */     GIR_EraseRootFromParent_Done,
     /*  355006 */   // Label 6444: @355006
     /*  355006 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(355072), // Rule ID 21713 //
     /*  355011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  355022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  355025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  355028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  355053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355070 */     GIR_RootConstrainSelectedInstOperands,
     /*  355071 */     // GIR_Coverage, 21713,
     /*  355071 */     GIR_EraseRootFromParent_Done,
     /*  355072 */   // Label 6445: @355072
     /*  355072 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(355138), // Rule ID 21716 //
     /*  355077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  355088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  355091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355116 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355136 */     GIR_RootConstrainSelectedInstOperands,
     /*  355137 */     // GIR_Coverage, 21716,
     /*  355137 */     GIR_EraseRootFromParent_Done,
     /*  355138 */   // Label 6446: @355138
     /*  355138 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(355204), // Rule ID 21717 //
     /*  355143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  355154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  355157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355202 */     GIR_RootConstrainSelectedInstOperands,
     /*  355203 */     // GIR_Coverage, 21717,
     /*  355203 */     GIR_EraseRootFromParent_Done,
     /*  355204 */   // Label 6447: @355204
     /*  355204 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(355270), // Rule ID 21720 //
     /*  355209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355268 */     GIR_RootConstrainSelectedInstOperands,
     /*  355269 */     // GIR_Coverage, 21720,
     /*  355269 */     GIR_EraseRootFromParent_Done,
     /*  355270 */   // Label 6448: @355270
     /*  355270 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355336), // Rule ID 21721 //
     /*  355275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355334 */     GIR_RootConstrainSelectedInstOperands,
     /*  355335 */     // GIR_Coverage, 21721,
     /*  355335 */     GIR_EraseRootFromParent_Done,
     /*  355336 */   // Label 6449: @355336
     /*  355336 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355402), // Rule ID 21724 //
     /*  355341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355400 */     GIR_RootConstrainSelectedInstOperands,
     /*  355401 */     // GIR_Coverage, 21724,
     /*  355401 */     GIR_EraseRootFromParent_Done,
     /*  355402 */   // Label 6450: @355402
     /*  355402 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355468), // Rule ID 21725 //
     /*  355407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355466 */     GIR_RootConstrainSelectedInstOperands,
     /*  355467 */     // GIR_Coverage, 21725,
     /*  355467 */     GIR_EraseRootFromParent_Done,
     /*  355468 */   // Label 6451: @355468
     /*  355468 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355534), // Rule ID 21728 //
     /*  355473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  355484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  355487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  355490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355532 */     GIR_RootConstrainSelectedInstOperands,
     /*  355533 */     // GIR_Coverage, 21728,
     /*  355533 */     GIR_EraseRootFromParent_Done,
     /*  355534 */   // Label 6452: @355534
     /*  355534 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355600), // Rule ID 21729 //
     /*  355539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  355550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  355553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  355556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355598 */     GIR_RootConstrainSelectedInstOperands,
     /*  355599 */     // GIR_Coverage, 21729,
     /*  355599 */     GIR_EraseRootFromParent_Done,
     /*  355600 */   // Label 6453: @355600
     /*  355600 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355666), // Rule ID 21732 //
     /*  355605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  355616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  355619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  355622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355644 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  355647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355664 */     GIR_RootConstrainSelectedInstOperands,
     /*  355665 */     // GIR_Coverage, 21732,
     /*  355665 */     GIR_EraseRootFromParent_Done,
     /*  355666 */   // Label 6454: @355666
     /*  355666 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355732), // Rule ID 21733 //
     /*  355671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  355682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  355685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  355688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  355713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355730 */     GIR_RootConstrainSelectedInstOperands,
     /*  355731 */     // GIR_Coverage, 21733,
     /*  355731 */     GIR_EraseRootFromParent_Done,
     /*  355732 */   // Label 6455: @355732
     /*  355732 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355798), // Rule ID 21736 //
     /*  355737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355796 */     GIR_RootConstrainSelectedInstOperands,
     /*  355797 */     // GIR_Coverage, 21736,
     /*  355797 */     GIR_EraseRootFromParent_Done,
     /*  355798 */   // Label 6456: @355798
     /*  355798 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355864), // Rule ID 21737 //
     /*  355803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355862 */     GIR_RootConstrainSelectedInstOperands,
     /*  355863 */     // GIR_Coverage, 21737,
     /*  355863 */     GIR_EraseRootFromParent_Done,
     /*  355864 */   // Label 6457: @355864
     /*  355864 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355930), // Rule ID 21740 //
     /*  355869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355928 */     GIR_RootConstrainSelectedInstOperands,
     /*  355929 */     // GIR_Coverage, 21740,
     /*  355929 */     GIR_EraseRootFromParent_Done,
     /*  355930 */   // Label 6458: @355930
     /*  355930 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355996), // Rule ID 21741 //
     /*  355935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355994 */     GIR_RootConstrainSelectedInstOperands,
     /*  355995 */     // GIR_Coverage, 21741,
     /*  355995 */     GIR_EraseRootFromParent_Done,
     /*  355996 */   // Label 6459: @355996
     /*  355996 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(356062), // Rule ID 21744 //
     /*  356001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  356012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  356015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  356018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356060 */     GIR_RootConstrainSelectedInstOperands,
     /*  356061 */     // GIR_Coverage, 21744,
     /*  356061 */     GIR_EraseRootFromParent_Done,
     /*  356062 */   // Label 6460: @356062
     /*  356062 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(356128), // Rule ID 21745 //
     /*  356067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  356078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  356081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  356084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356126 */     GIR_RootConstrainSelectedInstOperands,
     /*  356127 */     // GIR_Coverage, 21745,
     /*  356127 */     GIR_EraseRootFromParent_Done,
     /*  356128 */   // Label 6461: @356128
     /*  356128 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(356194), // Rule ID 21748 //
     /*  356133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  356150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356172 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356192 */     GIR_RootConstrainSelectedInstOperands,
     /*  356193 */     // GIR_Coverage, 21748,
     /*  356193 */     GIR_EraseRootFromParent_Done,
     /*  356194 */   // Label 6462: @356194
     /*  356194 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(356260), // Rule ID 21749 //
     /*  356199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  356216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356258 */     GIR_RootConstrainSelectedInstOperands,
     /*  356259 */     // GIR_Coverage, 21749,
     /*  356259 */     GIR_EraseRootFromParent_Done,
     /*  356260 */   // Label 6463: @356260
     /*  356260 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356326), // Rule ID 21752 //
     /*  356265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356324 */     GIR_RootConstrainSelectedInstOperands,
     /*  356325 */     // GIR_Coverage, 21752,
     /*  356325 */     GIR_EraseRootFromParent_Done,
     /*  356326 */   // Label 6464: @356326
     /*  356326 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356392), // Rule ID 21753 //
     /*  356331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356390 */     GIR_RootConstrainSelectedInstOperands,
     /*  356391 */     // GIR_Coverage, 21753,
     /*  356391 */     GIR_EraseRootFromParent_Done,
     /*  356392 */   // Label 6465: @356392
     /*  356392 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356458), // Rule ID 21756 //
     /*  356397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356456 */     GIR_RootConstrainSelectedInstOperands,
     /*  356457 */     // GIR_Coverage, 21756,
     /*  356457 */     GIR_EraseRootFromParent_Done,
     /*  356458 */   // Label 6466: @356458
     /*  356458 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356524), // Rule ID 21757 //
     /*  356463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356502 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356522 */     GIR_RootConstrainSelectedInstOperands,
     /*  356523 */     // GIR_Coverage, 21757,
     /*  356523 */     GIR_EraseRootFromParent_Done,
     /*  356524 */   // Label 6467: @356524
     /*  356524 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356590), // Rule ID 21760 //
     /*  356529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356588 */     GIR_RootConstrainSelectedInstOperands,
     /*  356589 */     // GIR_Coverage, 21760,
     /*  356589 */     GIR_EraseRootFromParent_Done,
     /*  356590 */   // Label 6468: @356590
     /*  356590 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356656), // Rule ID 21761 //
     /*  356595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356654 */     GIR_RootConstrainSelectedInstOperands,
     /*  356655 */     // GIR_Coverage, 21761,
     /*  356655 */     GIR_EraseRootFromParent_Done,
     /*  356656 */   // Label 6469: @356656
     /*  356656 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356722), // Rule ID 21764 //
     /*  356661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356720 */     GIR_RootConstrainSelectedInstOperands,
     /*  356721 */     // GIR_Coverage, 21764,
     /*  356721 */     GIR_EraseRootFromParent_Done,
     /*  356722 */   // Label 6470: @356722
     /*  356722 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356788), // Rule ID 21765 //
     /*  356727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356786 */     GIR_RootConstrainSelectedInstOperands,
     /*  356787 */     // GIR_Coverage, 21765,
     /*  356787 */     GIR_EraseRootFromParent_Done,
     /*  356788 */   // Label 6471: @356788
     /*  356788 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356854), // Rule ID 21768 //
     /*  356793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356852 */     GIR_RootConstrainSelectedInstOperands,
     /*  356853 */     // GIR_Coverage, 21768,
     /*  356853 */     GIR_EraseRootFromParent_Done,
     /*  356854 */   // Label 6472: @356854
     /*  356854 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356920), // Rule ID 21769 //
     /*  356859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356918 */     GIR_RootConstrainSelectedInstOperands,
     /*  356919 */     // GIR_Coverage, 21769,
     /*  356919 */     GIR_EraseRootFromParent_Done,
     /*  356920 */   // Label 6473: @356920
     /*  356920 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356986), // Rule ID 21772 //
     /*  356925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  356928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  356936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  356939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  356942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  356967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356984 */     GIR_RootConstrainSelectedInstOperands,
     /*  356985 */     // GIR_Coverage, 21772,
     /*  356985 */     GIR_EraseRootFromParent_Done,
     /*  356986 */   // Label 6474: @356986
     /*  356986 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(357052), // Rule ID 21773 //
     /*  356991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  356994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  357002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  357005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  357008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357030 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  357033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357050 */     GIR_RootConstrainSelectedInstOperands,
     /*  357051 */     // GIR_Coverage, 21773,
     /*  357051 */     GIR_EraseRootFromParent_Done,
     /*  357052 */   // Label 6475: @357052
     /*  357052 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(357118), // Rule ID 21776 //
     /*  357057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  357068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  357071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  357074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357116 */     GIR_RootConstrainSelectedInstOperands,
     /*  357117 */     // GIR_Coverage, 21776,
     /*  357117 */     GIR_EraseRootFromParent_Done,
     /*  357118 */   // Label 6476: @357118
     /*  357118 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(357184), // Rule ID 21777 //
     /*  357123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  357134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  357137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  357140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357182 */     GIR_RootConstrainSelectedInstOperands,
     /*  357183 */     // GIR_Coverage, 21777,
     /*  357183 */     GIR_EraseRootFromParent_Done,
     /*  357184 */   // Label 6477: @357184
     /*  357184 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(357250), // Rule ID 21780 //
     /*  357189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  357200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  357203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357248 */     GIR_RootConstrainSelectedInstOperands,
     /*  357249 */     // GIR_Coverage, 21780,
     /*  357249 */     GIR_EraseRootFromParent_Done,
     /*  357250 */   // Label 6478: @357250
     /*  357250 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357316), // Rule ID 21781 //
     /*  357255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  357266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  357269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357294 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357314 */     GIR_RootConstrainSelectedInstOperands,
     /*  357315 */     // GIR_Coverage, 21781,
     /*  357315 */     GIR_EraseRootFromParent_Done,
     /*  357316 */   // Label 6479: @357316
     /*  357316 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357382), // Rule ID 21784 //
     /*  357321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357380 */     GIR_RootConstrainSelectedInstOperands,
     /*  357381 */     // GIR_Coverage, 21784,
     /*  357381 */     GIR_EraseRootFromParent_Done,
     /*  357382 */   // Label 6480: @357382
     /*  357382 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357448), // Rule ID 21785 //
     /*  357387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357446 */     GIR_RootConstrainSelectedInstOperands,
     /*  357447 */     // GIR_Coverage, 21785,
     /*  357447 */     GIR_EraseRootFromParent_Done,
     /*  357448 */   // Label 6481: @357448
     /*  357448 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357514), // Rule ID 21788 //
     /*  357453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357512 */     GIR_RootConstrainSelectedInstOperands,
     /*  357513 */     // GIR_Coverage, 21788,
     /*  357513 */     GIR_EraseRootFromParent_Done,
     /*  357514 */   // Label 6482: @357514
     /*  357514 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357580), // Rule ID 21789 //
     /*  357519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357558 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357578 */     GIR_RootConstrainSelectedInstOperands,
     /*  357579 */     // GIR_Coverage, 21789,
     /*  357579 */     GIR_EraseRootFromParent_Done,
     /*  357580 */   // Label 6483: @357580
     /*  357580 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357646), // Rule ID 21792 //
     /*  357585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  357627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357644 */     GIR_RootConstrainSelectedInstOperands,
     /*  357645 */     // GIR_Coverage, 21792,
     /*  357645 */     GIR_EraseRootFromParent_Done,
     /*  357646 */   // Label 6484: @357646
     /*  357646 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357712), // Rule ID 21793 //
     /*  357651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  357693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357710 */     GIR_RootConstrainSelectedInstOperands,
     /*  357711 */     // GIR_Coverage, 21793,
     /*  357711 */     GIR_EraseRootFromParent_Done,
     /*  357712 */   // Label 6485: @357712
     /*  357712 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357778), // Rule ID 21796 //
     /*  357717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  357728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  357731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  357734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357776 */     GIR_RootConstrainSelectedInstOperands,
     /*  357777 */     // GIR_Coverage, 21796,
     /*  357777 */     GIR_EraseRootFromParent_Done,
     /*  357778 */   // Label 6486: @357778
     /*  357778 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357844), // Rule ID 21797 //
     /*  357783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  357794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  357797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  357800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357842 */     GIR_RootConstrainSelectedInstOperands,
     /*  357843 */     // GIR_Coverage, 21797,
     /*  357843 */     GIR_EraseRootFromParent_Done,
     /*  357844 */   // Label 6487: @357844
     /*  357844 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357910), // Rule ID 21800 //
     /*  357849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  357860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  357863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357908 */     GIR_RootConstrainSelectedInstOperands,
     /*  357909 */     // GIR_Coverage, 21800,
     /*  357909 */     GIR_EraseRootFromParent_Done,
     /*  357910 */   // Label 6488: @357910
     /*  357910 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357976), // Rule ID 21801 //
     /*  357915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  357926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  357929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357974 */     GIR_RootConstrainSelectedInstOperands,
     /*  357975 */     // GIR_Coverage, 21801,
     /*  357975 */     GIR_EraseRootFromParent_Done,
     /*  357976 */   // Label 6489: @357976
     /*  357976 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(358042), // Rule ID 21804 //
     /*  357981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  357992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  357995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  357998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358040 */     GIR_RootConstrainSelectedInstOperands,
     /*  358041 */     // GIR_Coverage, 21804,
     /*  358041 */     GIR_EraseRootFromParent_Done,
     /*  358042 */   // Label 6490: @358042
     /*  358042 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(358108), // Rule ID 21805 //
     /*  358047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358106 */     GIR_RootConstrainSelectedInstOperands,
     /*  358107 */     // GIR_Coverage, 21805,
     /*  358107 */     GIR_EraseRootFromParent_Done,
     /*  358108 */   // Label 6491: @358108
     /*  358108 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(358174), // Rule ID 21808 //
     /*  358113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  358130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358172 */     GIR_RootConstrainSelectedInstOperands,
     /*  358173 */     // GIR_Coverage, 21808,
     /*  358173 */     GIR_EraseRootFromParent_Done,
     /*  358174 */   // Label 6492: @358174
     /*  358174 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(358240), // Rule ID 21809 //
     /*  358179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  358196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358238 */     GIR_RootConstrainSelectedInstOperands,
     /*  358239 */     // GIR_Coverage, 21809,
     /*  358239 */     GIR_EraseRootFromParent_Done,
     /*  358240 */   // Label 6493: @358240
     /*  358240 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(358306), // Rule ID 21812 //
     /*  358245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358304 */     GIR_RootConstrainSelectedInstOperands,
     /*  358305 */     // GIR_Coverage, 21812,
     /*  358305 */     GIR_EraseRootFromParent_Done,
     /*  358306 */   // Label 6494: @358306
     /*  358306 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358372), // Rule ID 21813 //
     /*  358311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358370 */     GIR_RootConstrainSelectedInstOperands,
     /*  358371 */     // GIR_Coverage, 21813,
     /*  358371 */     GIR_EraseRootFromParent_Done,
     /*  358372 */   // Label 6495: @358372
     /*  358372 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358438), // Rule ID 21816 //
     /*  358377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358436 */     GIR_RootConstrainSelectedInstOperands,
     /*  358437 */     // GIR_Coverage, 21816,
     /*  358437 */     GIR_EraseRootFromParent_Done,
     /*  358438 */   // Label 6496: @358438
     /*  358438 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358504), // Rule ID 21817 //
     /*  358443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358502 */     GIR_RootConstrainSelectedInstOperands,
     /*  358503 */     // GIR_Coverage, 21817,
     /*  358503 */     GIR_EraseRootFromParent_Done,
     /*  358504 */   // Label 6497: @358504
     /*  358504 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358570), // Rule ID 21820 //
     /*  358509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  358526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358568 */     GIR_RootConstrainSelectedInstOperands,
     /*  358569 */     // GIR_Coverage, 21820,
     /*  358569 */     GIR_EraseRootFromParent_Done,
     /*  358570 */   // Label 6498: @358570
     /*  358570 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358636), // Rule ID 21821 //
     /*  358575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  358592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358634 */     GIR_RootConstrainSelectedInstOperands,
     /*  358635 */     // GIR_Coverage, 21821,
     /*  358635 */     GIR_EraseRootFromParent_Done,
     /*  358636 */   // Label 6499: @358636
     /*  358636 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358702), // Rule ID 21824 //
     /*  358641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358700 */     GIR_RootConstrainSelectedInstOperands,
     /*  358701 */     // GIR_Coverage, 21824,
     /*  358701 */     GIR_EraseRootFromParent_Done,
     /*  358702 */   // Label 6500: @358702
     /*  358702 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358768), // Rule ID 21825 //
     /*  358707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358766 */     GIR_RootConstrainSelectedInstOperands,
     /*  358767 */     // GIR_Coverage, 21825,
     /*  358767 */     GIR_EraseRootFromParent_Done,
     /*  358768 */   // Label 6501: @358768
     /*  358768 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358834), // Rule ID 21828 //
     /*  358773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  358784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  358787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358832 */     GIR_RootConstrainSelectedInstOperands,
     /*  358833 */     // GIR_Coverage, 21828,
     /*  358833 */     GIR_EraseRootFromParent_Done,
     /*  358834 */   // Label 6502: @358834
     /*  358834 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358900), // Rule ID 21829 //
     /*  358839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  358850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  358853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358898 */     GIR_RootConstrainSelectedInstOperands,
     /*  358899 */     // GIR_Coverage, 21829,
     /*  358899 */     GIR_EraseRootFromParent_Done,
     /*  358900 */   // Label 6503: @358900
     /*  358900 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358966), // Rule ID 21940 //
     /*  358905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  358908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358944 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  358947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358964 */     GIR_RootConstrainSelectedInstOperands,
     /*  358965 */     // GIR_Coverage, 21940,
     /*  358965 */     GIR_EraseRootFromParent_Done,
     /*  358966 */   // Label 6504: @358966
     /*  358966 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(359032), // Rule ID 21941 //
     /*  358971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  358974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359010 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  359013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359030 */     GIR_RootConstrainSelectedInstOperands,
     /*  359031 */     // GIR_Coverage, 21941,
     /*  359031 */     GIR_EraseRootFromParent_Done,
     /*  359032 */   // Label 6505: @359032
     /*  359032 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(359098), // Rule ID 21944 //
     /*  359037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359076 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  359079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359096 */     GIR_RootConstrainSelectedInstOperands,
     /*  359097 */     // GIR_Coverage, 21944,
     /*  359097 */     GIR_EraseRootFromParent_Done,
     /*  359098 */   // Label 6506: @359098
     /*  359098 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(359164), // Rule ID 21945 //
     /*  359103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359142 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  359145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359162 */     GIR_RootConstrainSelectedInstOperands,
     /*  359163 */     // GIR_Coverage, 21945,
     /*  359163 */     GIR_EraseRootFromParent_Done,
     /*  359164 */   // Label 6507: @359164
     /*  359164 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(359230), // Rule ID 21948 //
     /*  359169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  359186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359208 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359228 */     GIR_RootConstrainSelectedInstOperands,
     /*  359229 */     // GIR_Coverage, 21948,
     /*  359229 */     GIR_EraseRootFromParent_Done,
     /*  359230 */   // Label 6508: @359230
     /*  359230 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(359296), // Rule ID 21949 //
     /*  359235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  359252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359274 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359294 */     GIR_RootConstrainSelectedInstOperands,
     /*  359295 */     // GIR_Coverage, 21949,
     /*  359295 */     GIR_EraseRootFromParent_Done,
     /*  359296 */   // Label 6509: @359296
     /*  359296 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(359362), // Rule ID 21952 //
     /*  359301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359340 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359360 */     GIR_RootConstrainSelectedInstOperands,
     /*  359361 */     // GIR_Coverage, 21952,
     /*  359361 */     GIR_EraseRootFromParent_Done,
     /*  359362 */   // Label 6510: @359362
     /*  359362 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359428), // Rule ID 21953 //
     /*  359367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359406 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359426 */     GIR_RootConstrainSelectedInstOperands,
     /*  359427 */     // GIR_Coverage, 21953,
     /*  359427 */     GIR_EraseRootFromParent_Done,
     /*  359428 */   // Label 6511: @359428
     /*  359428 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359494), // Rule ID 21956 //
     /*  359433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359472 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  359475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359492 */     GIR_RootConstrainSelectedInstOperands,
     /*  359493 */     // GIR_Coverage, 21956,
     /*  359493 */     GIR_EraseRootFromParent_Done,
     /*  359494 */   // Label 6512: @359494
     /*  359494 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359560), // Rule ID 21957 //
     /*  359499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359538 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  359541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359558 */     GIR_RootConstrainSelectedInstOperands,
     /*  359559 */     // GIR_Coverage, 21957,
     /*  359559 */     GIR_EraseRootFromParent_Done,
     /*  359560 */   // Label 6513: @359560
     /*  359560 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359626), // Rule ID 21960 //
     /*  359565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  359582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  359607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359624 */     GIR_RootConstrainSelectedInstOperands,
     /*  359625 */     // GIR_Coverage, 21960,
     /*  359625 */     GIR_EraseRootFromParent_Done,
     /*  359626 */   // Label 6514: @359626
     /*  359626 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359692), // Rule ID 21961 //
     /*  359631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  359648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359670 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  359673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359690 */     GIR_RootConstrainSelectedInstOperands,
     /*  359691 */     // GIR_Coverage, 21961,
     /*  359691 */     GIR_EraseRootFromParent_Done,
     /*  359692 */   // Label 6515: @359692
     /*  359692 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359758), // Rule ID 21964 //
     /*  359697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  359739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359756 */     GIR_RootConstrainSelectedInstOperands,
     /*  359757 */     // GIR_Coverage, 21964,
     /*  359757 */     GIR_EraseRootFromParent_Done,
     /*  359758 */   // Label 6516: @359758
     /*  359758 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359824), // Rule ID 21965 //
     /*  359763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  359805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359822 */     GIR_RootConstrainSelectedInstOperands,
     /*  359823 */     // GIR_Coverage, 21965,
     /*  359823 */     GIR_EraseRootFromParent_Done,
     /*  359824 */   // Label 6517: @359824
     /*  359824 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359890), // Rule ID 21968 //
     /*  359829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  359871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359888 */     GIR_RootConstrainSelectedInstOperands,
     /*  359889 */     // GIR_Coverage, 21968,
     /*  359889 */     GIR_EraseRootFromParent_Done,
     /*  359890 */   // Label 6518: @359890
     /*  359890 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359956), // Rule ID 21969 //
     /*  359895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359934 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  359937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359954 */     GIR_RootConstrainSelectedInstOperands,
     /*  359955 */     // GIR_Coverage, 21969,
     /*  359955 */     GIR_EraseRootFromParent_Done,
     /*  359956 */   // Label 6519: @359956
     /*  359956 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(360022), // Rule ID 21972 //
     /*  359961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  360003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360020 */     GIR_RootConstrainSelectedInstOperands,
     /*  360021 */     // GIR_Coverage, 21972,
     /*  360021 */     GIR_EraseRootFromParent_Done,
     /*  360022 */   // Label 6520: @360022
     /*  360022 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(360088), // Rule ID 21973 //
     /*  360027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  360030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  360038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  360041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  360044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360066 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  360069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360086 */     GIR_RootConstrainSelectedInstOperands,
     /*  360087 */     // GIR_Coverage, 21973,
     /*  360087 */     GIR_EraseRootFromParent_Done,
     /*  360088 */   // Label 6521: @360088
     /*  360088 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(360151), // Rule ID 23144 //
     /*  360093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  360135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360149 */     GIR_RootConstrainSelectedInstOperands,
     /*  360150 */     // GIR_Coverage, 23144,
     /*  360150 */     GIR_EraseRootFromParent_Done,
     /*  360151 */   // Label 6522: @360151
     /*  360151 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(360214), // Rule ID 23145 //
     /*  360156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360195 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  360198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360212 */     GIR_RootConstrainSelectedInstOperands,
     /*  360213 */     // GIR_Coverage, 23145,
     /*  360213 */     GIR_EraseRootFromParent_Done,
     /*  360214 */   // Label 6523: @360214
     /*  360214 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(360277), // Rule ID 23146 //
     /*  360219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360275 */     GIR_RootConstrainSelectedInstOperands,
     /*  360276 */     // GIR_Coverage, 23146,
     /*  360276 */     GIR_EraseRootFromParent_Done,
     /*  360277 */   // Label 6524: @360277
     /*  360277 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(360340), // Rule ID 23147 //
     /*  360282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360321 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360338 */     GIR_RootConstrainSelectedInstOperands,
     /*  360339 */     // GIR_Coverage, 23147,
     /*  360339 */     GIR_EraseRootFromParent_Done,
     /*  360340 */   // Label 6525: @360340
     /*  360340 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360403), // Rule ID 23148 //
     /*  360345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360401 */     GIR_RootConstrainSelectedInstOperands,
     /*  360402 */     // GIR_Coverage, 23148,
     /*  360402 */     GIR_EraseRootFromParent_Done,
     /*  360403 */   // Label 6526: @360403
     /*  360403 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360466), // Rule ID 23149 //
     /*  360408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360464 */     GIR_RootConstrainSelectedInstOperands,
     /*  360465 */     // GIR_Coverage, 23149,
     /*  360465 */     GIR_EraseRootFromParent_Done,
     /*  360466 */   // Label 6527: @360466
     /*  360466 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360529), // Rule ID 23150 //
     /*  360471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  360513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360527 */     GIR_RootConstrainSelectedInstOperands,
     /*  360528 */     // GIR_Coverage, 23150,
     /*  360528 */     GIR_EraseRootFromParent_Done,
     /*  360529 */   // Label 6528: @360529
     /*  360529 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360592), // Rule ID 23151 //
     /*  360534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  360576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360590 */     GIR_RootConstrainSelectedInstOperands,
     /*  360591 */     // GIR_Coverage, 23151,
     /*  360591 */     GIR_EraseRootFromParent_Done,
     /*  360592 */   // Label 6529: @360592
     /*  360592 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360655), // Rule ID 23152 //
     /*  360597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  360639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360653 */     GIR_RootConstrainSelectedInstOperands,
     /*  360654 */     // GIR_Coverage, 23152,
     /*  360654 */     GIR_EraseRootFromParent_Done,
     /*  360655 */   // Label 6530: @360655
     /*  360655 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360718), // Rule ID 23153 //
     /*  360660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360699 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  360702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360716 */     GIR_RootConstrainSelectedInstOperands,
     /*  360717 */     // GIR_Coverage, 23153,
     /*  360717 */     GIR_EraseRootFromParent_Done,
     /*  360718 */   // Label 6531: @360718
     /*  360718 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360781), // Rule ID 23154 //
     /*  360723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360762 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  360765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360779 */     GIR_RootConstrainSelectedInstOperands,
     /*  360780 */     // GIR_Coverage, 23154,
     /*  360780 */     GIR_EraseRootFromParent_Done,
     /*  360781 */   // Label 6532: @360781
     /*  360781 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360844), // Rule ID 23155 //
     /*  360786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360825 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  360828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360842 */     GIR_RootConstrainSelectedInstOperands,
     /*  360843 */     // GIR_Coverage, 23155,
     /*  360843 */     GIR_EraseRootFromParent_Done,
     /*  360844 */   // Label 6533: @360844
     /*  360844 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360907), // Rule ID 23156 //
     /*  360849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  360891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360905 */     GIR_RootConstrainSelectedInstOperands,
     /*  360906 */     // GIR_Coverage, 23156,
     /*  360906 */     GIR_EraseRootFromParent_Done,
     /*  360907 */   // Label 6534: @360907
     /*  360907 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360970), // Rule ID 23157 //
     /*  360912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  360954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360968 */     GIR_RootConstrainSelectedInstOperands,
     /*  360969 */     // GIR_Coverage, 23157,
     /*  360969 */     GIR_EraseRootFromParent_Done,
     /*  360970 */   // Label 6535: @360970
     /*  360970 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(361033), // Rule ID 23158 //
     /*  360975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  361017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361031 */     GIR_RootConstrainSelectedInstOperands,
     /*  361032 */     // GIR_Coverage, 23158,
     /*  361032 */     GIR_EraseRootFromParent_Done,
     /*  361033 */   // Label 6536: @361033
     /*  361033 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(361096), // Rule ID 23159 //
     /*  361038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  361080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361094 */     GIR_RootConstrainSelectedInstOperands,
     /*  361095 */     // GIR_Coverage, 23159,
     /*  361095 */     GIR_EraseRootFromParent_Done,
     /*  361096 */   // Label 6537: @361096
     /*  361096 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(361159), // Rule ID 23160 //
     /*  361101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  361143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361157 */     GIR_RootConstrainSelectedInstOperands,
     /*  361158 */     // GIR_Coverage, 23160,
     /*  361158 */     GIR_EraseRootFromParent_Done,
     /*  361159 */   // Label 6538: @361159
     /*  361159 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(361222), // Rule ID 23161 //
     /*  361164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  361206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361220 */     GIR_RootConstrainSelectedInstOperands,
     /*  361221 */     // GIR_Coverage, 23161,
     /*  361221 */     GIR_EraseRootFromParent_Done,
     /*  361222 */   // Label 6539: @361222
     /*  361222 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(361285), // Rule ID 23162 //
     /*  361227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361283 */     GIR_RootConstrainSelectedInstOperands,
     /*  361284 */     // GIR_Coverage, 23162,
     /*  361284 */     GIR_EraseRootFromParent_Done,
     /*  361285 */   // Label 6540: @361285
     /*  361285 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(361348), // Rule ID 23163 //
     /*  361290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361346 */     GIR_RootConstrainSelectedInstOperands,
     /*  361347 */     // GIR_Coverage, 23163,
     /*  361347 */     GIR_EraseRootFromParent_Done,
     /*  361348 */   // Label 6541: @361348
     /*  361348 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361411), // Rule ID 23164 //
     /*  361353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361409 */     GIR_RootConstrainSelectedInstOperands,
     /*  361410 */     // GIR_Coverage, 23164,
     /*  361410 */     GIR_EraseRootFromParent_Done,
     /*  361411 */   // Label 6542: @361411
     /*  361411 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361474), // Rule ID 23165 //
     /*  361416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361455 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361472 */     GIR_RootConstrainSelectedInstOperands,
     /*  361473 */     // GIR_Coverage, 23165,
     /*  361473 */     GIR_EraseRootFromParent_Done,
     /*  361474 */   // Label 6543: @361474
     /*  361474 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361537), // Rule ID 23166 //
     /*  361479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  361521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361535 */     GIR_RootConstrainSelectedInstOperands,
     /*  361536 */     // GIR_Coverage, 23166,
     /*  361536 */     GIR_EraseRootFromParent_Done,
     /*  361537 */   // Label 6544: @361537
     /*  361537 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361600), // Rule ID 23167 //
     /*  361542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361581 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  361584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361598 */     GIR_RootConstrainSelectedInstOperands,
     /*  361599 */     // GIR_Coverage, 23167,
     /*  361599 */     GIR_EraseRootFromParent_Done,
     /*  361600 */   // Label 6545: @361600
     /*  361600 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361663), // Rule ID 23168 //
     /*  361605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361644 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  361647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361661 */     GIR_RootConstrainSelectedInstOperands,
     /*  361662 */     // GIR_Coverage, 23168,
     /*  361662 */     GIR_EraseRootFromParent_Done,
     /*  361663 */   // Label 6546: @361663
     /*  361663 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361726), // Rule ID 23169 //
     /*  361668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361707 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  361710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361724 */     GIR_RootConstrainSelectedInstOperands,
     /*  361725 */     // GIR_Coverage, 23169,
     /*  361725 */     GIR_EraseRootFromParent_Done,
     /*  361726 */   // Label 6547: @361726
     /*  361726 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361789), // Rule ID 23170 //
     /*  361731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  361773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361787 */     GIR_RootConstrainSelectedInstOperands,
     /*  361788 */     // GIR_Coverage, 23170,
     /*  361788 */     GIR_EraseRootFromParent_Done,
     /*  361789 */   // Label 6548: @361789
     /*  361789 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361852), // Rule ID 23171 //
     /*  361794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  361836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361850 */     GIR_RootConstrainSelectedInstOperands,
     /*  361851 */     // GIR_Coverage, 23171,
     /*  361851 */     GIR_EraseRootFromParent_Done,
     /*  361852 */   // Label 6549: @361852
     /*  361852 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361915), // Rule ID 23172 //
     /*  361857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  361899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361913 */     GIR_RootConstrainSelectedInstOperands,
     /*  361914 */     // GIR_Coverage, 23172,
     /*  361914 */     GIR_EraseRootFromParent_Done,
     /*  361915 */   // Label 6550: @361915
     /*  361915 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361978), // Rule ID 23173 //
     /*  361920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  361962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361976 */     GIR_RootConstrainSelectedInstOperands,
     /*  361977 */     // GIR_Coverage, 23173,
     /*  361977 */     GIR_EraseRootFromParent_Done,
     /*  361978 */   // Label 6551: @361978
     /*  361978 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(362041), // Rule ID 23174 //
     /*  361983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  362025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362039 */     GIR_RootConstrainSelectedInstOperands,
     /*  362040 */     // GIR_Coverage, 23174,
     /*  362040 */     GIR_EraseRootFromParent_Done,
     /*  362041 */   // Label 6552: @362041
     /*  362041 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(362104), // Rule ID 23175 //
     /*  362046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  362088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362102 */     GIR_RootConstrainSelectedInstOperands,
     /*  362103 */     // GIR_Coverage, 23175,
     /*  362103 */     GIR_EraseRootFromParent_Done,
     /*  362104 */   // Label 6553: @362104
     /*  362104 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(362167), // Rule ID 23176 //
     /*  362109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  362151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362165 */     GIR_RootConstrainSelectedInstOperands,
     /*  362166 */     // GIR_Coverage, 23176,
     /*  362166 */     GIR_EraseRootFromParent_Done,
     /*  362167 */   // Label 6554: @362167
     /*  362167 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(362230), // Rule ID 23177 //
     /*  362172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  362214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362228 */     GIR_RootConstrainSelectedInstOperands,
     /*  362229 */     // GIR_Coverage, 23177,
     /*  362229 */     GIR_EraseRootFromParent_Done,
     /*  362230 */   // Label 6555: @362230
     /*  362230 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(362293), // Rule ID 23178 //
     /*  362235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362291 */     GIR_RootConstrainSelectedInstOperands,
     /*  362292 */     // GIR_Coverage, 23178,
     /*  362292 */     GIR_EraseRootFromParent_Done,
     /*  362293 */   // Label 6556: @362293
     /*  362293 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(362356), // Rule ID 23179 //
     /*  362298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362354 */     GIR_RootConstrainSelectedInstOperands,
     /*  362355 */     // GIR_Coverage, 23179,
     /*  362355 */     GIR_EraseRootFromParent_Done,
     /*  362356 */   // Label 6557: @362356
     /*  362356 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362419), // Rule ID 23180 //
     /*  362361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362417 */     GIR_RootConstrainSelectedInstOperands,
     /*  362418 */     // GIR_Coverage, 23180,
     /*  362418 */     GIR_EraseRootFromParent_Done,
     /*  362419 */   // Label 6558: @362419
     /*  362419 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362482), // Rule ID 23181 //
     /*  362424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362480 */     GIR_RootConstrainSelectedInstOperands,
     /*  362481 */     // GIR_Coverage, 23181,
     /*  362481 */     GIR_EraseRootFromParent_Done,
     /*  362482 */   // Label 6559: @362482
     /*  362482 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362545), // Rule ID 23182 //
     /*  362487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362526 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  362529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362543 */     GIR_RootConstrainSelectedInstOperands,
     /*  362544 */     // GIR_Coverage, 23182,
     /*  362544 */     GIR_EraseRootFromParent_Done,
     /*  362545 */   // Label 6560: @362545
     /*  362545 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362608), // Rule ID 23183 //
     /*  362550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  362592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362606 */     GIR_RootConstrainSelectedInstOperands,
     /*  362607 */     // GIR_Coverage, 23183,
     /*  362607 */     GIR_EraseRootFromParent_Done,
     /*  362608 */   // Label 6561: @362608
     /*  362608 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362671), // Rule ID 23184 //
     /*  362613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  362655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362669 */     GIR_RootConstrainSelectedInstOperands,
     /*  362670 */     // GIR_Coverage, 23184,
     /*  362670 */     GIR_EraseRootFromParent_Done,
     /*  362671 */   // Label 6562: @362671
     /*  362671 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362734), // Rule ID 23185 //
     /*  362676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362715 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  362718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362732 */     GIR_RootConstrainSelectedInstOperands,
     /*  362733 */     // GIR_Coverage, 23185,
     /*  362733 */     GIR_EraseRootFromParent_Done,
     /*  362734 */   // Label 6563: @362734
     /*  362734 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362797), // Rule ID 23186 //
     /*  362739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  362781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362795 */     GIR_RootConstrainSelectedInstOperands,
     /*  362796 */     // GIR_Coverage, 23186,
     /*  362796 */     GIR_EraseRootFromParent_Done,
     /*  362797 */   // Label 6564: @362797
     /*  362797 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362860), // Rule ID 23187 //
     /*  362802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  362844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362858 */     GIR_RootConstrainSelectedInstOperands,
     /*  362859 */     // GIR_Coverage, 23187,
     /*  362859 */     GIR_EraseRootFromParent_Done,
     /*  362860 */   // Label 6565: @362860
     /*  362860 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362923), // Rule ID 23188 //
     /*  362865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  362907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362921 */     GIR_RootConstrainSelectedInstOperands,
     /*  362922 */     // GIR_Coverage, 23188,
     /*  362922 */     GIR_EraseRootFromParent_Done,
     /*  362923 */   // Label 6566: @362923
     /*  362923 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362986), // Rule ID 23189 //
     /*  362928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362967 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  362970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362984 */     GIR_RootConstrainSelectedInstOperands,
     /*  362985 */     // GIR_Coverage, 23189,
     /*  362985 */     GIR_EraseRootFromParent_Done,
     /*  362986 */   // Label 6567: @362986
     /*  362986 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(363049), // Rule ID 23190 //
     /*  362991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363030 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  363033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363047 */     GIR_RootConstrainSelectedInstOperands,
     /*  363048 */     // GIR_Coverage, 23190,
     /*  363048 */     GIR_EraseRootFromParent_Done,
     /*  363049 */   // Label 6568: @363049
     /*  363049 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(363112), // Rule ID 23191 //
     /*  363054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  363096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363110 */     GIR_RootConstrainSelectedInstOperands,
     /*  363111 */     // GIR_Coverage, 23191,
     /*  363111 */     GIR_EraseRootFromParent_Done,
     /*  363112 */   // Label 6569: @363112
     /*  363112 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(363175), // Rule ID 23192 //
     /*  363117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  363159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363173 */     GIR_RootConstrainSelectedInstOperands,
     /*  363174 */     // GIR_Coverage, 23192,
     /*  363174 */     GIR_EraseRootFromParent_Done,
     /*  363175 */   // Label 6570: @363175
     /*  363175 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(363238), // Rule ID 23193 //
     /*  363180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363219 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  363222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363236 */     GIR_RootConstrainSelectedInstOperands,
     /*  363237 */     // GIR_Coverage, 23193,
     /*  363237 */     GIR_EraseRootFromParent_Done,
     /*  363238 */   // Label 6571: @363238
     /*  363238 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(363301), // Rule ID 23194 //
     /*  363243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363282 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363299 */     GIR_RootConstrainSelectedInstOperands,
     /*  363300 */     // GIR_Coverage, 23194,
     /*  363300 */     GIR_EraseRootFromParent_Done,
     /*  363301 */   // Label 6572: @363301
     /*  363301 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(363364), // Rule ID 23195 //
     /*  363306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363345 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363362 */     GIR_RootConstrainSelectedInstOperands,
     /*  363363 */     // GIR_Coverage, 23195,
     /*  363363 */     GIR_EraseRootFromParent_Done,
     /*  363364 */   // Label 6573: @363364
     /*  363364 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363427), // Rule ID 23196 //
     /*  363369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363408 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363425 */     GIR_RootConstrainSelectedInstOperands,
     /*  363426 */     // GIR_Coverage, 23196,
     /*  363426 */     GIR_EraseRootFromParent_Done,
     /*  363427 */   // Label 6574: @363427
     /*  363427 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363490), // Rule ID 23197 //
     /*  363432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363471 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11434:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363488 */     GIR_RootConstrainSelectedInstOperands,
     /*  363489 */     // GIR_Coverage, 23197,
     /*  363489 */     GIR_EraseRootFromParent_Done,
     /*  363490 */   // Label 6575: @363490
     /*  363490 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363553), // Rule ID 23198 //
     /*  363495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  363537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363551 */     GIR_RootConstrainSelectedInstOperands,
     /*  363552 */     // GIR_Coverage, 23198,
     /*  363552 */     GIR_EraseRootFromParent_Done,
     /*  363553 */   // Label 6576: @363553
     /*  363553 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363616), // Rule ID 23199 //
     /*  363558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  363600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363614 */     GIR_RootConstrainSelectedInstOperands,
     /*  363615 */     // GIR_Coverage, 23199,
     /*  363615 */     GIR_EraseRootFromParent_Done,
     /*  363616 */   // Label 6577: @363616
     /*  363616 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363679), // Rule ID 23200 //
     /*  363621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  363663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363677 */     GIR_RootConstrainSelectedInstOperands,
     /*  363678 */     // GIR_Coverage, 23200,
     /*  363678 */     GIR_EraseRootFromParent_Done,
     /*  363679 */   // Label 6578: @363679
     /*  363679 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363742), // Rule ID 23201 //
     /*  363684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  363726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363740 */     GIR_RootConstrainSelectedInstOperands,
     /*  363741 */     // GIR_Coverage, 23201,
     /*  363741 */     GIR_EraseRootFromParent_Done,
     /*  363742 */   // Label 6579: @363742
     /*  363742 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363805), // Rule ID 23202 //
     /*  363747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363786 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  363789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363803 */     GIR_RootConstrainSelectedInstOperands,
     /*  363804 */     // GIR_Coverage, 23202,
     /*  363804 */     GIR_EraseRootFromParent_Done,
     /*  363805 */   // Label 6580: @363805
     /*  363805 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363868), // Rule ID 23203 //
     /*  363810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  363852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363866 */     GIR_RootConstrainSelectedInstOperands,
     /*  363867 */     // GIR_Coverage, 23203,
     /*  363867 */     GIR_EraseRootFromParent_Done,
     /*  363868 */   // Label 6581: @363868
     /*  363868 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363931), // Rule ID 23204 //
     /*  363873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  363915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363929 */     GIR_RootConstrainSelectedInstOperands,
     /*  363930 */     // GIR_Coverage, 23204,
     /*  363930 */     GIR_EraseRootFromParent_Done,
     /*  363931 */   // Label 6582: @363931
     /*  363931 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363994), // Rule ID 23205 //
     /*  363936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363975 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  363978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363992 */     GIR_RootConstrainSelectedInstOperands,
     /*  363993 */     // GIR_Coverage, 23205,
     /*  363993 */     GIR_EraseRootFromParent_Done,
     /*  363994 */   // Label 6583: @363994
     /*  363994 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(364057), // Rule ID 23206 //
     /*  363999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364038 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  364041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364055 */     GIR_RootConstrainSelectedInstOperands,
     /*  364056 */     // GIR_Coverage, 23206,
     /*  364056 */     GIR_EraseRootFromParent_Done,
     /*  364057 */   // Label 6584: @364057
     /*  364057 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(364120), // Rule ID 23207 //
     /*  364062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  364104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364118 */     GIR_RootConstrainSelectedInstOperands,
     /*  364119 */     // GIR_Coverage, 23207,
     /*  364119 */     GIR_EraseRootFromParent_Done,
     /*  364120 */   // Label 6585: @364120
     /*  364120 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(364183), // Rule ID 23208 //
     /*  364125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364164 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  364167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364181 */     GIR_RootConstrainSelectedInstOperands,
     /*  364182 */     // GIR_Coverage, 23208,
     /*  364182 */     GIR_EraseRootFromParent_Done,
     /*  364183 */   // Label 6586: @364183
     /*  364183 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(364246), // Rule ID 23209 //
     /*  364188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364227 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  364230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364244 */     GIR_RootConstrainSelectedInstOperands,
     /*  364245 */     // GIR_Coverage, 23209,
     /*  364245 */     GIR_EraseRootFromParent_Done,
     /*  364246 */   // Label 6587: @364246
     /*  364246 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(364309), // Rule ID 23210 //
     /*  364251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364290 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364307 */     GIR_RootConstrainSelectedInstOperands,
     /*  364308 */     // GIR_Coverage, 23210,
     /*  364308 */     GIR_EraseRootFromParent_Done,
     /*  364309 */   // Label 6588: @364309
     /*  364309 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(364372), // Rule ID 23211 //
     /*  364314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364353 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364370 */     GIR_RootConstrainSelectedInstOperands,
     /*  364371 */     // GIR_Coverage, 23211,
     /*  364371 */     GIR_EraseRootFromParent_Done,
     /*  364372 */   // Label 6589: @364372
     /*  364372 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364435), // Rule ID 23212 //
     /*  364377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364433 */     GIR_RootConstrainSelectedInstOperands,
     /*  364434 */     // GIR_Coverage, 23212,
     /*  364434 */     GIR_EraseRootFromParent_Done,
     /*  364435 */   // Label 6590: @364435
     /*  364435 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364498), // Rule ID 23213 //
     /*  364440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364479 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364496 */     GIR_RootConstrainSelectedInstOperands,
     /*  364497 */     // GIR_Coverage, 23213,
     /*  364497 */     GIR_EraseRootFromParent_Done,
     /*  364498 */   // Label 6591: @364498
     /*  364498 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364561), // Rule ID 23214 //
     /*  364503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364542 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  364545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364559 */     GIR_RootConstrainSelectedInstOperands,
     /*  364560 */     // GIR_Coverage, 23214,
     /*  364560 */     GIR_EraseRootFromParent_Done,
     /*  364561 */   // Label 6592: @364561
     /*  364561 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364624), // Rule ID 23215 //
     /*  364566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  364608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364622 */     GIR_RootConstrainSelectedInstOperands,
     /*  364623 */     // GIR_Coverage, 23215,
     /*  364623 */     GIR_EraseRootFromParent_Done,
     /*  364624 */   // Label 6593: @364624
     /*  364624 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364687), // Rule ID 23216 //
     /*  364629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  364671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364685 */     GIR_RootConstrainSelectedInstOperands,
     /*  364686 */     // GIR_Coverage, 23216,
     /*  364686 */     GIR_EraseRootFromParent_Done,
     /*  364687 */   // Label 6594: @364687
     /*  364687 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364750), // Rule ID 23217 //
     /*  364692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364731 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  364734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364748 */     GIR_RootConstrainSelectedInstOperands,
     /*  364749 */     // GIR_Coverage, 23217,
     /*  364749 */     GIR_EraseRootFromParent_Done,
     /*  364750 */   // Label 6595: @364750
     /*  364750 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364813), // Rule ID 23218 //
     /*  364755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  364797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364811 */     GIR_RootConstrainSelectedInstOperands,
     /*  364812 */     // GIR_Coverage, 23218,
     /*  364812 */     GIR_EraseRootFromParent_Done,
     /*  364813 */   // Label 6596: @364813
     /*  364813 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364876), // Rule ID 23219 //
     /*  364818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  364860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364874 */     GIR_RootConstrainSelectedInstOperands,
     /*  364875 */     // GIR_Coverage, 23219,
     /*  364875 */     GIR_EraseRootFromParent_Done,
     /*  364876 */   // Label 6597: @364876
     /*  364876 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364939), // Rule ID 23220 //
     /*  364881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  364923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364937 */     GIR_RootConstrainSelectedInstOperands,
     /*  364938 */     // GIR_Coverage, 23220,
     /*  364938 */     GIR_EraseRootFromParent_Done,
     /*  364939 */   // Label 6598: @364939
     /*  364939 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(365002), // Rule ID 23221 //
     /*  364944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364983 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  364986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365000 */     GIR_RootConstrainSelectedInstOperands,
     /*  365001 */     // GIR_Coverage, 23221,
     /*  365001 */     GIR_EraseRootFromParent_Done,
     /*  365002 */   // Label 6599: @365002
     /*  365002 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(365065), // Rule ID 23222 //
     /*  365007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365046 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  365049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365063 */     GIR_RootConstrainSelectedInstOperands,
     /*  365064 */     // GIR_Coverage, 23222,
     /*  365064 */     GIR_EraseRootFromParent_Done,
     /*  365065 */   // Label 6600: @365065
     /*  365065 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(365128), // Rule ID 23223 //
     /*  365070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365109 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  365112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365126 */     GIR_RootConstrainSelectedInstOperands,
     /*  365127 */     // GIR_Coverage, 23223,
     /*  365127 */     GIR_EraseRootFromParent_Done,
     /*  365128 */   // Label 6601: @365128
     /*  365128 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(365191), // Rule ID 23224 //
     /*  365133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365172 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  365175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365189 */     GIR_RootConstrainSelectedInstOperands,
     /*  365190 */     // GIR_Coverage, 23224,
     /*  365190 */     GIR_EraseRootFromParent_Done,
     /*  365191 */   // Label 6602: @365191
     /*  365191 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(365254), // Rule ID 23225 //
     /*  365196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365235 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  365238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365252 */     GIR_RootConstrainSelectedInstOperands,
     /*  365253 */     // GIR_Coverage, 23225,
     /*  365253 */     GIR_EraseRootFromParent_Done,
     /*  365254 */   // Label 6603: @365254
     /*  365254 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(365317), // Rule ID 23226 //
     /*  365259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365315 */     GIR_RootConstrainSelectedInstOperands,
     /*  365316 */     // GIR_Coverage, 23226,
     /*  365316 */     GIR_EraseRootFromParent_Done,
     /*  365317 */   // Label 6604: @365317
     /*  365317 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365380), // Rule ID 23227 //
     /*  365322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365378 */     GIR_RootConstrainSelectedInstOperands,
     /*  365379 */     // GIR_Coverage, 23227,
     /*  365379 */     GIR_EraseRootFromParent_Done,
     /*  365380 */   // Label 6605: @365380
     /*  365380 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365443), // Rule ID 23228 //
     /*  365385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365441 */     GIR_RootConstrainSelectedInstOperands,
     /*  365442 */     // GIR_Coverage, 23228,
     /*  365442 */     GIR_EraseRootFromParent_Done,
     /*  365443 */   // Label 6606: @365443
     /*  365443 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365506), // Rule ID 23229 //
     /*  365448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365487 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365504 */     GIR_RootConstrainSelectedInstOperands,
     /*  365505 */     // GIR_Coverage, 23229,
     /*  365505 */     GIR_EraseRootFromParent_Done,
     /*  365506 */   // Label 6607: @365506
     /*  365506 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365569), // Rule ID 23230 //
     /*  365511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365550 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  365553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365567 */     GIR_RootConstrainSelectedInstOperands,
     /*  365568 */     // GIR_Coverage, 23230,
     /*  365568 */     GIR_EraseRootFromParent_Done,
     /*  365569 */   // Label 6608: @365569
     /*  365569 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365632), // Rule ID 23231 //
     /*  365574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  365616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365630 */     GIR_RootConstrainSelectedInstOperands,
     /*  365631 */     // GIR_Coverage, 23231,
     /*  365631 */     GIR_EraseRootFromParent_Done,
     /*  365632 */   // Label 6609: @365632
     /*  365632 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365695), // Rule ID 23232 //
     /*  365637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  365679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365693 */     GIR_RootConstrainSelectedInstOperands,
     /*  365694 */     // GIR_Coverage, 23232,
     /*  365694 */     GIR_EraseRootFromParent_Done,
     /*  365695 */   // Label 6610: @365695
     /*  365695 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365758), // Rule ID 23233 //
     /*  365700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  365742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365756 */     GIR_RootConstrainSelectedInstOperands,
     /*  365757 */     // GIR_Coverage, 23233,
     /*  365757 */     GIR_EraseRootFromParent_Done,
     /*  365758 */   // Label 6611: @365758
     /*  365758 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365821), // Rule ID 23234 //
     /*  365763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365802 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  365805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365819 */     GIR_RootConstrainSelectedInstOperands,
     /*  365820 */     // GIR_Coverage, 23234,
     /*  365820 */     GIR_EraseRootFromParent_Done,
     /*  365821 */   // Label 6612: @365821
     /*  365821 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365884), // Rule ID 23235 //
     /*  365826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  365868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365882 */     GIR_RootConstrainSelectedInstOperands,
     /*  365883 */     // GIR_Coverage, 23235,
     /*  365883 */     GIR_EraseRootFromParent_Done,
     /*  365884 */   // Label 6613: @365884
     /*  365884 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365947), // Rule ID 23236 //
     /*  365889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  365931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365945 */     GIR_RootConstrainSelectedInstOperands,
     /*  365946 */     // GIR_Coverage, 23236,
     /*  365946 */     GIR_EraseRootFromParent_Done,
     /*  365947 */   // Label 6614: @365947
     /*  365947 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(366010), // Rule ID 23237 //
     /*  365952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365991 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  365994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366008 */     GIR_RootConstrainSelectedInstOperands,
     /*  366009 */     // GIR_Coverage, 23237,
     /*  366009 */     GIR_EraseRootFromParent_Done,
     /*  366010 */   // Label 6615: @366010
     /*  366010 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(366073), // Rule ID 23238 //
     /*  366015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366054 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  366057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366071 */     GIR_RootConstrainSelectedInstOperands,
     /*  366072 */     // GIR_Coverage, 23238,
     /*  366072 */     GIR_EraseRootFromParent_Done,
     /*  366073 */   // Label 6616: @366073
     /*  366073 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(366136), // Rule ID 23239 //
     /*  366078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366117 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  366120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366134 */     GIR_RootConstrainSelectedInstOperands,
     /*  366135 */     // GIR_Coverage, 23239,
     /*  366135 */     GIR_EraseRootFromParent_Done,
     /*  366136 */   // Label 6617: @366136
     /*  366136 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(366199), // Rule ID 23240 //
     /*  366141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  366152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  366155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  366183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366197 */     GIR_RootConstrainSelectedInstOperands,
     /*  366198 */     // GIR_Coverage, 23240,
     /*  366198 */     GIR_EraseRootFromParent_Done,
     /*  366199 */   // Label 6618: @366199
     /*  366199 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(366262), // Rule ID 23241 //
     /*  366204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  366215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  366218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  366246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366260 */     GIR_RootConstrainSelectedInstOperands,
     /*  366261 */     // GIR_Coverage, 23241,
     /*  366261 */     GIR_EraseRootFromParent_Done,
     /*  366262 */   // Label 6619: @366262
     /*  366262 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366325), // Rule ID 23242 //
     /*  366267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366323 */     GIR_RootConstrainSelectedInstOperands,
     /*  366324 */     // GIR_Coverage, 23242,
     /*  366324 */     GIR_EraseRootFromParent_Done,
     /*  366325 */   // Label 6620: @366325
     /*  366325 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366388), // Rule ID 23243 //
     /*  366330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366386 */     GIR_RootConstrainSelectedInstOperands,
     /*  366387 */     // GIR_Coverage, 23243,
     /*  366387 */     GIR_EraseRootFromParent_Done,
     /*  366388 */   // Label 6621: @366388
     /*  366388 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366451), // Rule ID 23244 //
     /*  366393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366449 */     GIR_RootConstrainSelectedInstOperands,
     /*  366450 */     // GIR_Coverage, 23244,
     /*  366450 */     GIR_EraseRootFromParent_Done,
     /*  366451 */   // Label 6622: @366451
     /*  366451 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366514), // Rule ID 23245 //
     /*  366456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366495 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366512 */     GIR_RootConstrainSelectedInstOperands,
     /*  366513 */     // GIR_Coverage, 23245,
     /*  366513 */     GIR_EraseRootFromParent_Done,
     /*  366514 */   // Label 6623: @366514
     /*  366514 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366577), // Rule ID 23246 //
     /*  366519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  366561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366575 */     GIR_RootConstrainSelectedInstOperands,
     /*  366576 */     // GIR_Coverage, 23246,
     /*  366576 */     GIR_EraseRootFromParent_Done,
     /*  366577 */   // Label 6624: @366577
     /*  366577 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366640), // Rule ID 23247 //
     /*  366582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  366624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366638 */     GIR_RootConstrainSelectedInstOperands,
     /*  366639 */     // GIR_Coverage, 23247,
     /*  366639 */     GIR_EraseRootFromParent_Done,
     /*  366640 */   // Label 6625: @366640
     /*  366640 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366703), // Rule ID 23248 //
     /*  366645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  366687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366701 */     GIR_RootConstrainSelectedInstOperands,
     /*  366702 */     // GIR_Coverage, 23248,
     /*  366702 */     GIR_EraseRootFromParent_Done,
     /*  366703 */   // Label 6626: @366703
     /*  366703 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366766), // Rule ID 23249 //
     /*  366708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  366750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366764 */     GIR_RootConstrainSelectedInstOperands,
     /*  366765 */     // GIR_Coverage, 23249,
     /*  366765 */     GIR_EraseRootFromParent_Done,
     /*  366766 */   // Label 6627: @366766
     /*  366766 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366829), // Rule ID 23250 //
     /*  366771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366810 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  366813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366827 */     GIR_RootConstrainSelectedInstOperands,
     /*  366828 */     // GIR_Coverage, 23250,
     /*  366828 */     GIR_EraseRootFromParent_Done,
     /*  366829 */   // Label 6628: @366829
     /*  366829 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366892), // Rule ID 23251 //
     /*  366834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  366876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366890 */     GIR_RootConstrainSelectedInstOperands,
     /*  366891 */     // GIR_Coverage, 23251,
     /*  366891 */     GIR_EraseRootFromParent_Done,
     /*  366892 */   // Label 6629: @366892
     /*  366892 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366955), // Rule ID 23252 //
     /*  366897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366936 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  366939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366953 */     GIR_RootConstrainSelectedInstOperands,
     /*  366954 */     // GIR_Coverage, 23252,
     /*  366954 */     GIR_EraseRootFromParent_Done,
     /*  366955 */   // Label 6630: @366955
     /*  366955 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(367018), // Rule ID 23253 //
     /*  366960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366999 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11433:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  367002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367016 */     GIR_RootConstrainSelectedInstOperands,
     /*  367017 */     // GIR_Coverage, 23253,
     /*  367017 */     GIR_EraseRootFromParent_Done,
     /*  367018 */   // Label 6631: @367018
     /*  367018 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(367081), // Rule ID 23282 //
     /*  367023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367062 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  367065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367069 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367079 */     GIR_RootConstrainSelectedInstOperands,
     /*  367080 */     // GIR_Coverage, 23282,
     /*  367080 */     GIR_EraseRootFromParent_Done,
     /*  367081 */   // Label 6632: @367081
     /*  367081 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(367144), // Rule ID 23283 //
     /*  367086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367125 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  367128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367132 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367142 */     GIR_RootConstrainSelectedInstOperands,
     /*  367143 */     // GIR_Coverage, 23283,
     /*  367143 */     GIR_EraseRootFromParent_Done,
     /*  367144 */   // Label 6633: @367144
     /*  367144 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(367207), // Rule ID 23286 //
     /*  367149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367188 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  367191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367195 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367205 */     GIR_RootConstrainSelectedInstOperands,
     /*  367206 */     // GIR_Coverage, 23286,
     /*  367206 */     GIR_EraseRootFromParent_Done,
     /*  367207 */   // Label 6634: @367207
     /*  367207 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(367270), // Rule ID 23287 //
     /*  367212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367251 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  367254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367258 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367268 */     GIR_RootConstrainSelectedInstOperands,
     /*  367269 */     // GIR_Coverage, 23287,
     /*  367269 */     GIR_EraseRootFromParent_Done,
     /*  367270 */   // Label 6635: @367270
     /*  367270 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367333), // Rule ID 23290 //
     /*  367275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367314 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367321 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367331 */     GIR_RootConstrainSelectedInstOperands,
     /*  367332 */     // GIR_Coverage, 23290,
     /*  367332 */     GIR_EraseRootFromParent_Done,
     /*  367333 */   // Label 6636: @367333
     /*  367333 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367396), // Rule ID 23291 //
     /*  367338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367377 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367384 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367394 */     GIR_RootConstrainSelectedInstOperands,
     /*  367395 */     // GIR_Coverage, 23291,
     /*  367395 */     GIR_EraseRootFromParent_Done,
     /*  367396 */   // Label 6637: @367396
     /*  367396 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367459), // Rule ID 23294 //
     /*  367401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367440 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367447 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367457 */     GIR_RootConstrainSelectedInstOperands,
     /*  367458 */     // GIR_Coverage, 23294,
     /*  367458 */     GIR_EraseRootFromParent_Done,
     /*  367459 */   // Label 6638: @367459
     /*  367459 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367522), // Rule ID 23295 //
     /*  367464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367503 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367510 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367520 */     GIR_RootConstrainSelectedInstOperands,
     /*  367521 */     // GIR_Coverage, 23295,
     /*  367521 */     GIR_EraseRootFromParent_Done,
     /*  367522 */   // Label 6639: @367522
     /*  367522 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367585), // Rule ID 23298 //
     /*  367527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367566 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  367569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367573 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367583 */     GIR_RootConstrainSelectedInstOperands,
     /*  367584 */     // GIR_Coverage, 23298,
     /*  367584 */     GIR_EraseRootFromParent_Done,
     /*  367585 */   // Label 6640: @367585
     /*  367585 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367648), // Rule ID 23299 //
     /*  367590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367629 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  367632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367636 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367646 */     GIR_RootConstrainSelectedInstOperands,
     /*  367647 */     // GIR_Coverage, 23299,
     /*  367647 */     GIR_EraseRootFromParent_Done,
     /*  367648 */   // Label 6641: @367648
     /*  367648 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367711), // Rule ID 23302 //
     /*  367653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367692 */     // (intrinsic_wo_chain:{ *:[i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  367695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367699 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367709 */     GIR_RootConstrainSelectedInstOperands,
     /*  367710 */     // GIR_Coverage, 23302,
     /*  367710 */     GIR_EraseRootFromParent_Done,
     /*  367711 */   // Label 6642: @367711
     /*  367711 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367774), // Rule ID 23303 //
     /*  367716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367755 */     // (intrinsic_wo_chain:{ *:[i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  367758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367762 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367772 */     GIR_RootConstrainSelectedInstOperands,
     /*  367773 */     // GIR_Coverage, 23303,
     /*  367773 */     GIR_EraseRootFromParent_Done,
     /*  367774 */   // Label 6643: @367774
     /*  367774 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367837), // Rule ID 23306 //
     /*  367779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  367793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  367796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367818 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  367821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367825 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367835 */     GIR_RootConstrainSelectedInstOperands,
     /*  367836 */     // GIR_Coverage, 23306,
     /*  367836 */     GIR_EraseRootFromParent_Done,
     /*  367837 */   // Label 6644: @367837
     /*  367837 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367900), // Rule ID 23307 //
     /*  367842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  367856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  367859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367881 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  367884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367888 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367898 */     GIR_RootConstrainSelectedInstOperands,
     /*  367899 */     // GIR_Coverage, 23307,
     /*  367899 */     GIR_EraseRootFromParent_Done,
     /*  367900 */   // Label 6645: @367900
     /*  367900 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367963), // Rule ID 23310 //
     /*  367905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367944 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  367947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367951 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367961 */     GIR_RootConstrainSelectedInstOperands,
     /*  367962 */     // GIR_Coverage, 23310,
     /*  367962 */     GIR_EraseRootFromParent_Done,
     /*  367963 */   // Label 6646: @367963
     /*  367963 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(368026), // Rule ID 23311 //
     /*  367968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368007 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  368010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368014 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368024 */     GIR_RootConstrainSelectedInstOperands,
     /*  368025 */     // GIR_Coverage, 23311,
     /*  368025 */     GIR_EraseRootFromParent_Done,
     /*  368026 */   // Label 6647: @368026
     /*  368026 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(368089), // Rule ID 23314 //
     /*  368031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  368045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368070 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  368073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368077 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368087 */     GIR_RootConstrainSelectedInstOperands,
     /*  368088 */     // GIR_Coverage, 23314,
     /*  368088 */     GIR_EraseRootFromParent_Done,
     /*  368089 */   // Label 6648: @368089
     /*  368089 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(368152), // Rule ID 23315 //
     /*  368094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  368108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368133 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  368136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368140 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368150 */     GIR_RootConstrainSelectedInstOperands,
     /*  368151 */     // GIR_Coverage, 23315,
     /*  368151 */     GIR_EraseRootFromParent_Done,
     /*  368152 */   // Label 6649: @368152
     /*  368152 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(368215), // Rule ID 23318 //
     /*  368157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  368171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  368174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368196 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  368199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368203 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368213 */     GIR_RootConstrainSelectedInstOperands,
     /*  368214 */     // GIR_Coverage, 23318,
     /*  368214 */     GIR_EraseRootFromParent_Done,
     /*  368215 */   // Label 6650: @368215
     /*  368215 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(368278), // Rule ID 23319 //
     /*  368220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  368234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  368237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368259 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  368262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368266 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368276 */     GIR_RootConstrainSelectedInstOperands,
     /*  368277 */     // GIR_Coverage, 23319,
     /*  368277 */     GIR_EraseRootFromParent_Done,
     /*  368278 */   // Label 6651: @368278
     /*  368278 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368341), // Rule ID 23322 //
     /*  368283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368322 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368329 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368339 */     GIR_RootConstrainSelectedInstOperands,
     /*  368340 */     // GIR_Coverage, 23322,
     /*  368340 */     GIR_EraseRootFromParent_Done,
     /*  368341 */   // Label 6652: @368341
     /*  368341 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368404), // Rule ID 23323 //
     /*  368346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368385 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368392 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368402 */     GIR_RootConstrainSelectedInstOperands,
     /*  368403 */     // GIR_Coverage, 23323,
     /*  368403 */     GIR_EraseRootFromParent_Done,
     /*  368404 */   // Label 6653: @368404
     /*  368404 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368467), // Rule ID 23326 //
     /*  368409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368448 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368455 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368465 */     GIR_RootConstrainSelectedInstOperands,
     /*  368466 */     // GIR_Coverage, 23326,
     /*  368466 */     GIR_EraseRootFromParent_Done,
     /*  368467 */   // Label 6654: @368467
     /*  368467 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368530), // Rule ID 23327 //
     /*  368472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368511 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368518 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368528 */     GIR_RootConstrainSelectedInstOperands,
     /*  368529 */     // GIR_Coverage, 23327,
     /*  368529 */     GIR_EraseRootFromParent_Done,
     /*  368530 */   // Label 6655: @368530
     /*  368530 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368593), // Rule ID 23330 //
     /*  368535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368574 */     // (intrinsic_wo_chain:{ *:[i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  368577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368581 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368591 */     GIR_RootConstrainSelectedInstOperands,
     /*  368592 */     // GIR_Coverage, 23330,
     /*  368592 */     GIR_EraseRootFromParent_Done,
     /*  368593 */   // Label 6656: @368593
     /*  368593 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368656), // Rule ID 23331 //
     /*  368598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368637 */     // (intrinsic_wo_chain:{ *:[i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  368640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368644 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368654 */     GIR_RootConstrainSelectedInstOperands,
     /*  368655 */     // GIR_Coverage, 23331,
     /*  368655 */     GIR_EraseRootFromParent_Done,
     /*  368656 */   // Label 6657: @368656
     /*  368656 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368722), // Rule ID 23412 //
     /*  368661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368720 */     GIR_RootConstrainSelectedInstOperands,
     /*  368721 */     // GIR_Coverage, 23412,
     /*  368721 */     GIR_EraseRootFromParent_Done,
     /*  368722 */   // Label 6658: @368722
     /*  368722 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368788), // Rule ID 23413 //
     /*  368727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368786 */     GIR_RootConstrainSelectedInstOperands,
     /*  368787 */     // GIR_Coverage, 23413,
     /*  368787 */     GIR_EraseRootFromParent_Done,
     /*  368788 */   // Label 6659: @368788
     /*  368788 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368854), // Rule ID 23416 //
     /*  368793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368852 */     GIR_RootConstrainSelectedInstOperands,
     /*  368853 */     // GIR_Coverage, 23416,
     /*  368853 */     GIR_EraseRootFromParent_Done,
     /*  368854 */   // Label 6660: @368854
     /*  368854 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368920), // Rule ID 23417 //
     /*  368859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368918 */     GIR_RootConstrainSelectedInstOperands,
     /*  368919 */     // GIR_Coverage, 23417,
     /*  368919 */     GIR_EraseRootFromParent_Done,
     /*  368920 */   // Label 6661: @368920
     /*  368920 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368986), // Rule ID 23420 //
     /*  368925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  368942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368984 */     GIR_RootConstrainSelectedInstOperands,
     /*  368985 */     // GIR_Coverage, 23420,
     /*  368985 */     GIR_EraseRootFromParent_Done,
     /*  368986 */   // Label 6662: @368986
     /*  368986 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(369052), // Rule ID 23421 //
     /*  368991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  369033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369050 */     GIR_RootConstrainSelectedInstOperands,
     /*  369051 */     // GIR_Coverage, 23421,
     /*  369051 */     GIR_EraseRootFromParent_Done,
     /*  369052 */   // Label 6663: @369052
     /*  369052 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(369118), // Rule ID 23424 //
     /*  369057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369116 */     GIR_RootConstrainSelectedInstOperands,
     /*  369117 */     // GIR_Coverage, 23424,
     /*  369117 */     GIR_EraseRootFromParent_Done,
     /*  369118 */   // Label 6664: @369118
     /*  369118 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(369184), // Rule ID 23425 //
     /*  369123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369162 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369182 */     GIR_RootConstrainSelectedInstOperands,
     /*  369183 */     // GIR_Coverage, 23425,
     /*  369183 */     GIR_EraseRootFromParent_Done,
     /*  369184 */   // Label 6665: @369184
     /*  369184 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(369250), // Rule ID 23428 //
     /*  369189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369248 */     GIR_RootConstrainSelectedInstOperands,
     /*  369249 */     // GIR_Coverage, 23428,
     /*  369249 */     GIR_EraseRootFromParent_Done,
     /*  369250 */   // Label 6666: @369250
     /*  369250 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369316), // Rule ID 23429 //
     /*  369255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369314 */     GIR_RootConstrainSelectedInstOperands,
     /*  369315 */     // GIR_Coverage, 23429,
     /*  369315 */     GIR_EraseRootFromParent_Done,
     /*  369316 */   // Label 6667: @369316
     /*  369316 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369382), // Rule ID 23432 //
     /*  369321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369380 */     GIR_RootConstrainSelectedInstOperands,
     /*  369381 */     // GIR_Coverage, 23432,
     /*  369381 */     GIR_EraseRootFromParent_Done,
     /*  369382 */   // Label 6668: @369382
     /*  369382 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369448), // Rule ID 23433 //
     /*  369387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11275:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369446 */     GIR_RootConstrainSelectedInstOperands,
     /*  369447 */     // GIR_Coverage, 23433,
     /*  369447 */     GIR_EraseRootFromParent_Done,
     /*  369448 */   // Label 6669: @369448
     /*  369448 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369514), // Rule ID 23436 //
     /*  369453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369512 */     GIR_RootConstrainSelectedInstOperands,
     /*  369513 */     // GIR_Coverage, 23436,
     /*  369513 */     GIR_EraseRootFromParent_Done,
     /*  369514 */   // Label 6670: @369514
     /*  369514 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369580), // Rule ID 23437 //
     /*  369519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369578 */     GIR_RootConstrainSelectedInstOperands,
     /*  369579 */     // GIR_Coverage, 23437,
     /*  369579 */     GIR_EraseRootFromParent_Done,
     /*  369580 */   // Label 6671: @369580
     /*  369580 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369646), // Rule ID 23440 //
     /*  369585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369644 */     GIR_RootConstrainSelectedInstOperands,
     /*  369645 */     // GIR_Coverage, 23440,
     /*  369645 */     GIR_EraseRootFromParent_Done,
     /*  369646 */   // Label 6672: @369646
     /*  369646 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369712), // Rule ID 23441 //
     /*  369651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369710 */     GIR_RootConstrainSelectedInstOperands,
     /*  369711 */     // GIR_Coverage, 23441,
     /*  369711 */     GIR_EraseRootFromParent_Done,
     /*  369712 */   // Label 6673: @369712
     /*  369712 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369778), // Rule ID 23444 //
     /*  369717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  369720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369776 */     GIR_RootConstrainSelectedInstOperands,
     /*  369777 */     // GIR_Coverage, 23444,
     /*  369777 */     GIR_EraseRootFromParent_Done,
     /*  369778 */   // Label 6674: @369778
     /*  369778 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369844), // Rule ID 23445 //
     /*  369783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  369786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369842 */     GIR_RootConstrainSelectedInstOperands,
     /*  369843 */     // GIR_Coverage, 23445,
     /*  369843 */     GIR_EraseRootFromParent_Done,
     /*  369844 */   // Label 6675: @369844
     /*  369844 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369910), // Rule ID 23448 //
     /*  369849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  369866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  369891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369908 */     GIR_RootConstrainSelectedInstOperands,
     /*  369909 */     // GIR_Coverage, 23448,
     /*  369909 */     GIR_EraseRootFromParent_Done,
     /*  369910 */   // Label 6676: @369910
     /*  369910 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369976), // Rule ID 23449 //
     /*  369915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  369932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369954 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  369957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369974 */     GIR_RootConstrainSelectedInstOperands,
     /*  369975 */     // GIR_Coverage, 23449,
     /*  369975 */     GIR_EraseRootFromParent_Done,
     /*  369976 */   // Label 6677: @369976
     /*  369976 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(370042), // Rule ID 23452 //
     /*  369981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  369998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370020 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370040 */     GIR_RootConstrainSelectedInstOperands,
     /*  370041 */     // GIR_Coverage, 23452,
     /*  370041 */     GIR_EraseRootFromParent_Done,
     /*  370042 */   // Label 6678: @370042
     /*  370042 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(370108), // Rule ID 23453 //
     /*  370047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370106 */     GIR_RootConstrainSelectedInstOperands,
     /*  370107 */     // GIR_Coverage, 23453,
     /*  370107 */     GIR_EraseRootFromParent_Done,
     /*  370108 */   // Label 6679: @370108
     /*  370108 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(370174), // Rule ID 23456 //
     /*  370113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  370124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  370127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  370130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370152 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370172 */     GIR_RootConstrainSelectedInstOperands,
     /*  370173 */     // GIR_Coverage, 23456,
     /*  370173 */     GIR_EraseRootFromParent_Done,
     /*  370174 */   // Label 6680: @370174
     /*  370174 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(370240), // Rule ID 23457 //
     /*  370179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  370190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  370193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  370196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370218 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370238 */     GIR_RootConstrainSelectedInstOperands,
     /*  370239 */     // GIR_Coverage, 23457,
     /*  370239 */     GIR_EraseRootFromParent_Done,
     /*  370240 */   // Label 6681: @370240
     /*  370240 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(370306), // Rule ID 23460 //
     /*  370245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370304 */     GIR_RootConstrainSelectedInstOperands,
     /*  370305 */     // GIR_Coverage, 23460,
     /*  370305 */     GIR_EraseRootFromParent_Done,
     /*  370306 */   // Label 6682: @370306
     /*  370306 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370372), // Rule ID 23461 //
     /*  370311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370370 */     GIR_RootConstrainSelectedInstOperands,
     /*  370371 */     // GIR_Coverage, 23461,
     /*  370371 */     GIR_EraseRootFromParent_Done,
     /*  370372 */   // Label 6683: @370372
     /*  370372 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370438), // Rule ID 23464 //
     /*  370377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370436 */     GIR_RootConstrainSelectedInstOperands,
     /*  370437 */     // GIR_Coverage, 23464,
     /*  370437 */     GIR_EraseRootFromParent_Done,
     /*  370438 */   // Label 6684: @370438
     /*  370438 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370504), // Rule ID 23465 //
     /*  370443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370502 */     GIR_RootConstrainSelectedInstOperands,
     /*  370503 */     // GIR_Coverage, 23465,
     /*  370503 */     GIR_EraseRootFromParent_Done,
     /*  370504 */   // Label 6685: @370504
     /*  370504 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370570), // Rule ID 23468 //
     /*  370509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370568 */     GIR_RootConstrainSelectedInstOperands,
     /*  370569 */     // GIR_Coverage, 23468,
     /*  370569 */     GIR_EraseRootFromParent_Done,
     /*  370570 */   // Label 6686: @370570
     /*  370570 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370636), // Rule ID 23469 //
     /*  370575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370634 */     GIR_RootConstrainSelectedInstOperands,
     /*  370635 */     // GIR_Coverage, 23469,
     /*  370635 */     GIR_EraseRootFromParent_Done,
     /*  370636 */   // Label 6687: @370636
     /*  370636 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370702), // Rule ID 23472 //
     /*  370641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370700 */     GIR_RootConstrainSelectedInstOperands,
     /*  370701 */     // GIR_Coverage, 23472,
     /*  370701 */     GIR_EraseRootFromParent_Done,
     /*  370702 */   // Label 6688: @370702
     /*  370702 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370768), // Rule ID 23473 //
     /*  370707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370766 */     GIR_RootConstrainSelectedInstOperands,
     /*  370767 */     // GIR_Coverage, 23473,
     /*  370767 */     GIR_EraseRootFromParent_Done,
     /*  370768 */   // Label 6689: @370768
     /*  370768 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370834), // Rule ID 23476 //
     /*  370773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370832 */     GIR_RootConstrainSelectedInstOperands,
     /*  370833 */     // GIR_Coverage, 23476,
     /*  370833 */     GIR_EraseRootFromParent_Done,
     /*  370834 */   // Label 6690: @370834
     /*  370834 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370900), // Rule ID 23477 //
     /*  370839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370898 */     GIR_RootConstrainSelectedInstOperands,
     /*  370899 */     // GIR_Coverage, 23477,
     /*  370899 */     GIR_EraseRootFromParent_Done,
     /*  370900 */   // Label 6691: @370900
     /*  370900 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370966), // Rule ID 23480 //
     /*  370905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370964 */     GIR_RootConstrainSelectedInstOperands,
     /*  370965 */     // GIR_Coverage, 23480,
     /*  370965 */     GIR_EraseRootFromParent_Done,
     /*  370966 */   // Label 6692: @370966
     /*  370966 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(371032), // Rule ID 23481 //
     /*  370971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371030 */     GIR_RootConstrainSelectedInstOperands,
     /*  371031 */     // GIR_Coverage, 23481,
     /*  371031 */     GIR_EraseRootFromParent_Done,
     /*  371032 */   // Label 6693: @371032
     /*  371032 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(371098), // Rule ID 23484 //
     /*  371037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  371048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  371051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  371054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371096 */     GIR_RootConstrainSelectedInstOperands,
     /*  371097 */     // GIR_Coverage, 23484,
     /*  371097 */     GIR_EraseRootFromParent_Done,
     /*  371098 */   // Label 6694: @371098
     /*  371098 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(371164), // Rule ID 23485 //
     /*  371103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  371114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  371117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  371120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371162 */     GIR_RootConstrainSelectedInstOperands,
     /*  371163 */     // GIR_Coverage, 23485,
     /*  371163 */     GIR_EraseRootFromParent_Done,
     /*  371164 */   // Label 6695: @371164
     /*  371164 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(371230), // Rule ID 23488 //
     /*  371169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371228 */     GIR_RootConstrainSelectedInstOperands,
     /*  371229 */     // GIR_Coverage, 23488,
     /*  371229 */     GIR_EraseRootFromParent_Done,
     /*  371230 */   // Label 6696: @371230
     /*  371230 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(371296), // Rule ID 23489 //
     /*  371235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371294 */     GIR_RootConstrainSelectedInstOperands,
     /*  371295 */     // GIR_Coverage, 23489,
     /*  371295 */     GIR_EraseRootFromParent_Done,
     /*  371296 */   // Label 6697: @371296
     /*  371296 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371362), // Rule ID 23492 //
     /*  371301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371360 */     GIR_RootConstrainSelectedInstOperands,
     /*  371361 */     // GIR_Coverage, 23492,
     /*  371361 */     GIR_EraseRootFromParent_Done,
     /*  371362 */   // Label 6698: @371362
     /*  371362 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371428), // Rule ID 23493 //
     /*  371367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371426 */     GIR_RootConstrainSelectedInstOperands,
     /*  371427 */     // GIR_Coverage, 23493,
     /*  371427 */     GIR_EraseRootFromParent_Done,
     /*  371428 */   // Label 6699: @371428
     /*  371428 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371494), // Rule ID 60608 //
     /*  371433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  371475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371492 */     GIR_RootConstrainSelectedInstOperands,
     /*  371493 */     // GIR_Coverage, 60608,
     /*  371493 */     GIR_EraseRootFromParent_Done,
     /*  371494 */   // Label 6700: @371494
     /*  371494 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371560), // Rule ID 60609 //
     /*  371499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371538 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  371541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371558 */     GIR_RootConstrainSelectedInstOperands,
     /*  371559 */     // GIR_Coverage, 60609,
     /*  371559 */     GIR_EraseRootFromParent_Done,
     /*  371560 */   // Label 6701: @371560
     /*  371560 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371626), // Rule ID 60612 //
     /*  371565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371624 */     GIR_RootConstrainSelectedInstOperands,
     /*  371625 */     // GIR_Coverage, 60612,
     /*  371625 */     GIR_EraseRootFromParent_Done,
     /*  371626 */   // Label 6702: @371626
     /*  371626 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371692), // Rule ID 60613 //
     /*  371631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371690 */     GIR_RootConstrainSelectedInstOperands,
     /*  371691 */     // GIR_Coverage, 60613,
     /*  371691 */     GIR_EraseRootFromParent_Done,
     /*  371692 */   // Label 6703: @371692
     /*  371692 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371758), // Rule ID 60616 //
     /*  371697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371756 */     GIR_RootConstrainSelectedInstOperands,
     /*  371757 */     // GIR_Coverage, 60616,
     /*  371757 */     GIR_EraseRootFromParent_Done,
     /*  371758 */   // Label 6704: @371758
     /*  371758 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371824), // Rule ID 60617 //
     /*  371763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371822 */     GIR_RootConstrainSelectedInstOperands,
     /*  371823 */     // GIR_Coverage, 60617,
     /*  371823 */     GIR_EraseRootFromParent_Done,
     /*  371824 */   // Label 6705: @371824
     /*  371824 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371890), // Rule ID 60620 //
     /*  371829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371888 */     GIR_RootConstrainSelectedInstOperands,
     /*  371889 */     // GIR_Coverage, 60620,
     /*  371889 */     GIR_EraseRootFromParent_Done,
     /*  371890 */   // Label 6706: @371890
     /*  371890 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371956), // Rule ID 60621 //
     /*  371895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371954 */     GIR_RootConstrainSelectedInstOperands,
     /*  371955 */     // GIR_Coverage, 60621,
     /*  371955 */     GIR_EraseRootFromParent_Done,
     /*  371956 */   // Label 6707: @371956
     /*  371956 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(372022), // Rule ID 60624 //
     /*  371961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372020 */     GIR_RootConstrainSelectedInstOperands,
     /*  372021 */     // GIR_Coverage, 60624,
     /*  372021 */     GIR_EraseRootFromParent_Done,
     /*  372022 */   // Label 6708: @372022
     /*  372022 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(372088), // Rule ID 60625 //
     /*  372027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372086 */     GIR_RootConstrainSelectedInstOperands,
     /*  372087 */     // GIR_Coverage, 60625,
     /*  372087 */     GIR_EraseRootFromParent_Done,
     /*  372088 */   // Label 6709: @372088
     /*  372088 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(372154), // Rule ID 60628 //
     /*  372093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372152 */     GIR_RootConstrainSelectedInstOperands,
     /*  372153 */     // GIR_Coverage, 60628,
     /*  372153 */     GIR_EraseRootFromParent_Done,
     /*  372154 */   // Label 6710: @372154
     /*  372154 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(372220), // Rule ID 60629 //
     /*  372159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372218 */     GIR_RootConstrainSelectedInstOperands,
     /*  372219 */     // GIR_Coverage, 60629,
     /*  372219 */     GIR_EraseRootFromParent_Done,
     /*  372220 */   // Label 6711: @372220
     /*  372220 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(372286), // Rule ID 60632 //
     /*  372225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372284 */     GIR_RootConstrainSelectedInstOperands,
     /*  372285 */     // GIR_Coverage, 60632,
     /*  372285 */     GIR_EraseRootFromParent_Done,
     /*  372286 */   // Label 6712: @372286
     /*  372286 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372352), // Rule ID 60633 //
     /*  372291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372350 */     GIR_RootConstrainSelectedInstOperands,
     /*  372351 */     // GIR_Coverage, 60633,
     /*  372351 */     GIR_EraseRootFromParent_Done,
     /*  372352 */   // Label 6713: @372352
     /*  372352 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372418), // Rule ID 60636 //
     /*  372357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372416 */     GIR_RootConstrainSelectedInstOperands,
     /*  372417 */     // GIR_Coverage, 60636,
     /*  372417 */     GIR_EraseRootFromParent_Done,
     /*  372418 */   // Label 6714: @372418
     /*  372418 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372484), // Rule ID 60637 //
     /*  372423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372482 */     GIR_RootConstrainSelectedInstOperands,
     /*  372483 */     // GIR_Coverage, 60637,
     /*  372483 */     GIR_EraseRootFromParent_Done,
     /*  372484 */   // Label 6715: @372484
     /*  372484 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372550), // Rule ID 60640 //
     /*  372489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372548 */     GIR_RootConstrainSelectedInstOperands,
     /*  372549 */     // GIR_Coverage, 60640,
     /*  372549 */     GIR_EraseRootFromParent_Done,
     /*  372550 */   // Label 6716: @372550
     /*  372550 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372616), // Rule ID 60641 //
     /*  372555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372614 */     GIR_RootConstrainSelectedInstOperands,
     /*  372615 */     // GIR_Coverage, 60641,
     /*  372615 */     GIR_EraseRootFromParent_Done,
     /*  372616 */   // Label 6717: @372616
     /*  372616 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372682), // Rule ID 60644 //
     /*  372621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372680 */     GIR_RootConstrainSelectedInstOperands,
     /*  372681 */     // GIR_Coverage, 60644,
     /*  372681 */     GIR_EraseRootFromParent_Done,
     /*  372682 */   // Label 6718: @372682
     /*  372682 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372748), // Rule ID 60645 //
     /*  372687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372746 */     GIR_RootConstrainSelectedInstOperands,
     /*  372747 */     // GIR_Coverage, 60645,
     /*  372747 */     GIR_EraseRootFromParent_Done,
     /*  372748 */   // Label 6719: @372748
     /*  372748 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372814), // Rule ID 60648 //
     /*  372753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  372795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372812 */     GIR_RootConstrainSelectedInstOperands,
     /*  372813 */     // GIR_Coverage, 60648,
     /*  372813 */     GIR_EraseRootFromParent_Done,
     /*  372814 */   // Label 6720: @372814
     /*  372814 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372880), // Rule ID 60649 //
     /*  372819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  372861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372878 */     GIR_RootConstrainSelectedInstOperands,
     /*  372879 */     // GIR_Coverage, 60649,
     /*  372879 */     GIR_EraseRootFromParent_Done,
     /*  372880 */   // Label 6721: @372880
     /*  372880 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372946), // Rule ID 60652 //
     /*  372885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  372927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372944 */     GIR_RootConstrainSelectedInstOperands,
     /*  372945 */     // GIR_Coverage, 60652,
     /*  372945 */     GIR_EraseRootFromParent_Done,
     /*  372946 */   // Label 6722: @372946
     /*  372946 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(373012), // Rule ID 60653 //
     /*  372951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  372993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373010 */     GIR_RootConstrainSelectedInstOperands,
     /*  373011 */     // GIR_Coverage, 60653,
     /*  373011 */     GIR_EraseRootFromParent_Done,
     /*  373012 */   // Label 6723: @373012
     /*  373012 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(373078), // Rule ID 60656 //
     /*  373017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373076 */     GIR_RootConstrainSelectedInstOperands,
     /*  373077 */     // GIR_Coverage, 60656,
     /*  373077 */     GIR_EraseRootFromParent_Done,
     /*  373078 */   // Label 6724: @373078
     /*  373078 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(373144), // Rule ID 60657 //
     /*  373083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373142 */     GIR_RootConstrainSelectedInstOperands,
     /*  373143 */     // GIR_Coverage, 60657,
     /*  373143 */     GIR_EraseRootFromParent_Done,
     /*  373144 */   // Label 6725: @373144
     /*  373144 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(373210), // Rule ID 60660 //
     /*  373149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373208 */     GIR_RootConstrainSelectedInstOperands,
     /*  373209 */     // GIR_Coverage, 60660,
     /*  373209 */     GIR_EraseRootFromParent_Done,
     /*  373210 */   // Label 6726: @373210
     /*  373210 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(373276), // Rule ID 60661 //
     /*  373215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373254 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373274 */     GIR_RootConstrainSelectedInstOperands,
     /*  373275 */     // GIR_Coverage, 60661,
     /*  373275 */     GIR_EraseRootFromParent_Done,
     /*  373276 */   // Label 6727: @373276
     /*  373276 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373342), // Rule ID 60664 //
     /*  373281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373340 */     GIR_RootConstrainSelectedInstOperands,
     /*  373341 */     // GIR_Coverage, 60664,
     /*  373341 */     GIR_EraseRootFromParent_Done,
     /*  373342 */   // Label 6728: @373342
     /*  373342 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373408), // Rule ID 60665 //
     /*  373347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373406 */     GIR_RootConstrainSelectedInstOperands,
     /*  373407 */     // GIR_Coverage, 60665,
     /*  373407 */     GIR_EraseRootFromParent_Done,
     /*  373408 */   // Label 6729: @373408
     /*  373408 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373474), // Rule ID 60668 //
     /*  373413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373472 */     GIR_RootConstrainSelectedInstOperands,
     /*  373473 */     // GIR_Coverage, 60668,
     /*  373473 */     GIR_EraseRootFromParent_Done,
     /*  373474 */   // Label 6730: @373474
     /*  373474 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373540), // Rule ID 60669 //
     /*  373479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373538 */     GIR_RootConstrainSelectedInstOperands,
     /*  373539 */     // GIR_Coverage, 60669,
     /*  373539 */     GIR_EraseRootFromParent_Done,
     /*  373540 */   // Label 6731: @373540
     /*  373540 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373606), // Rule ID 60672 //
     /*  373545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373604 */     GIR_RootConstrainSelectedInstOperands,
     /*  373605 */     // GIR_Coverage, 60672,
     /*  373605 */     GIR_EraseRootFromParent_Done,
     /*  373606 */   // Label 6732: @373606
     /*  373606 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373672), // Rule ID 60673 //
     /*  373611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373670 */     GIR_RootConstrainSelectedInstOperands,
     /*  373671 */     // GIR_Coverage, 60673,
     /*  373671 */     GIR_EraseRootFromParent_Done,
     /*  373672 */   // Label 6733: @373672
     /*  373672 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373738), // Rule ID 60676 //
     /*  373677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373736 */     GIR_RootConstrainSelectedInstOperands,
     /*  373737 */     // GIR_Coverage, 60676,
     /*  373737 */     GIR_EraseRootFromParent_Done,
     /*  373738 */   // Label 6734: @373738
     /*  373738 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373804), // Rule ID 60677 //
     /*  373743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373802 */     GIR_RootConstrainSelectedInstOperands,
     /*  373803 */     // GIR_Coverage, 60677,
     /*  373803 */     GIR_EraseRootFromParent_Done,
     /*  373804 */   // Label 6735: @373804
     /*  373804 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373870), // Rule ID 60680 //
     /*  373809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373868 */     GIR_RootConstrainSelectedInstOperands,
     /*  373869 */     // GIR_Coverage, 60680,
     /*  373869 */     GIR_EraseRootFromParent_Done,
     /*  373870 */   // Label 6736: @373870
     /*  373870 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373936), // Rule ID 60681 //
     /*  373875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373934 */     GIR_RootConstrainSelectedInstOperands,
     /*  373935 */     // GIR_Coverage, 60681,
     /*  373935 */     GIR_EraseRootFromParent_Done,
     /*  373936 */   // Label 6737: @373936
     /*  373936 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(374002), // Rule ID 60684 //
     /*  373941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374000 */     GIR_RootConstrainSelectedInstOperands,
     /*  374001 */     // GIR_Coverage, 60684,
     /*  374001 */     GIR_EraseRootFromParent_Done,
     /*  374002 */   // Label 6738: @374002
     /*  374002 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(374068), // Rule ID 60685 //
     /*  374007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  374049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374066 */     GIR_RootConstrainSelectedInstOperands,
     /*  374067 */     // GIR_Coverage, 60685,
     /*  374067 */     GIR_EraseRootFromParent_Done,
     /*  374068 */   // Label 6739: @374068
     /*  374068 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(374134), // Rule ID 60688 //
     /*  374073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374132 */     GIR_RootConstrainSelectedInstOperands,
     /*  374133 */     // GIR_Coverage, 60688,
     /*  374133 */     GIR_EraseRootFromParent_Done,
     /*  374134 */   // Label 6740: @374134
     /*  374134 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(374200), // Rule ID 60689 //
     /*  374139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374198 */     GIR_RootConstrainSelectedInstOperands,
     /*  374199 */     // GIR_Coverage, 60689,
     /*  374199 */     GIR_EraseRootFromParent_Done,
     /*  374200 */   // Label 6741: @374200
     /*  374200 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(374266), // Rule ID 60692 //
     /*  374205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374264 */     GIR_RootConstrainSelectedInstOperands,
     /*  374265 */     // GIR_Coverage, 60692,
     /*  374265 */     GIR_EraseRootFromParent_Done,
     /*  374266 */   // Label 6742: @374266
     /*  374266 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374332), // Rule ID 60693 //
     /*  374271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374330 */     GIR_RootConstrainSelectedInstOperands,
     /*  374331 */     // GIR_Coverage, 60693,
     /*  374331 */     GIR_EraseRootFromParent_Done,
     /*  374332 */   // Label 6743: @374332
     /*  374332 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374398), // Rule ID 60696 //
     /*  374337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374396 */     GIR_RootConstrainSelectedInstOperands,
     /*  374397 */     // GIR_Coverage, 60696,
     /*  374397 */     GIR_EraseRootFromParent_Done,
     /*  374398 */   // Label 6744: @374398
     /*  374398 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374464), // Rule ID 60697 //
     /*  374403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374462 */     GIR_RootConstrainSelectedInstOperands,
     /*  374463 */     // GIR_Coverage, 60697,
     /*  374463 */     GIR_EraseRootFromParent_Done,
     /*  374464 */   // Label 6745: @374464
     /*  374464 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374530), // Rule ID 60700 //
     /*  374469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374528 */     GIR_RootConstrainSelectedInstOperands,
     /*  374529 */     // GIR_Coverage, 60700,
     /*  374529 */     GIR_EraseRootFromParent_Done,
     /*  374530 */   // Label 6746: @374530
     /*  374530 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374596), // Rule ID 60701 //
     /*  374535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374594 */     GIR_RootConstrainSelectedInstOperands,
     /*  374595 */     // GIR_Coverage, 60701,
     /*  374595 */     GIR_EraseRootFromParent_Done,
     /*  374596 */   // Label 6747: @374596
     /*  374596 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374662), // Rule ID 60704 //
     /*  374601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374660 */     GIR_RootConstrainSelectedInstOperands,
     /*  374661 */     // GIR_Coverage, 60704,
     /*  374661 */     GIR_EraseRootFromParent_Done,
     /*  374662 */   // Label 6748: @374662
     /*  374662 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374728), // Rule ID 60705 //
     /*  374667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374706 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374726 */     GIR_RootConstrainSelectedInstOperands,
     /*  374727 */     // GIR_Coverage, 60705,
     /*  374727 */     GIR_EraseRootFromParent_Done,
     /*  374728 */   // Label 6749: @374728
     /*  374728 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374794), // Rule ID 60708 //
     /*  374733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374792 */     GIR_RootConstrainSelectedInstOperands,
     /*  374793 */     // GIR_Coverage, 60708,
     /*  374793 */     GIR_EraseRootFromParent_Done,
     /*  374794 */   // Label 6750: @374794
     /*  374794 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374860), // Rule ID 60709 //
     /*  374799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374858 */     GIR_RootConstrainSelectedInstOperands,
     /*  374859 */     // GIR_Coverage, 60709,
     /*  374859 */     GIR_EraseRootFromParent_Done,
     /*  374860 */   // Label 6751: @374860
     /*  374860 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374926), // Rule ID 60712 //
     /*  374865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374924 */     GIR_RootConstrainSelectedInstOperands,
     /*  374925 */     // GIR_Coverage, 60712,
     /*  374925 */     GIR_EraseRootFromParent_Done,
     /*  374926 */   // Label 6752: @374926
     /*  374926 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374992), // Rule ID 60713 //
     /*  374931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374990 */     GIR_RootConstrainSelectedInstOperands,
     /*  374991 */     // GIR_Coverage, 60713,
     /*  374991 */     GIR_EraseRootFromParent_Done,
     /*  374992 */   // Label 6753: @374992
     /*  374992 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(375058), // Rule ID 60716 //
     /*  374997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375056 */     GIR_RootConstrainSelectedInstOperands,
     /*  375057 */     // GIR_Coverage, 60716,
     /*  375057 */     GIR_EraseRootFromParent_Done,
     /*  375058 */   // Label 6754: @375058
     /*  375058 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(375124), // Rule ID 60717 //
     /*  375063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375122 */     GIR_RootConstrainSelectedInstOperands,
     /*  375123 */     // GIR_Coverage, 60717,
     /*  375123 */     GIR_EraseRootFromParent_Done,
     /*  375124 */   // Label 6755: @375124
     /*  375124 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(375190), // Rule ID 60720 //
     /*  375129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375188 */     GIR_RootConstrainSelectedInstOperands,
     /*  375189 */     // GIR_Coverage, 60720,
     /*  375189 */     GIR_EraseRootFromParent_Done,
     /*  375190 */   // Label 6756: @375190
     /*  375190 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(375256), // Rule ID 60721 //
     /*  375195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375254 */     GIR_RootConstrainSelectedInstOperands,
     /*  375255 */     // GIR_Coverage, 60721,
     /*  375255 */     GIR_EraseRootFromParent_Done,
     /*  375256 */   // Label 6757: @375256
     /*  375256 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375322), // Rule ID 60724 //
     /*  375261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375320 */     GIR_RootConstrainSelectedInstOperands,
     /*  375321 */     // GIR_Coverage, 60724,
     /*  375321 */     GIR_EraseRootFromParent_Done,
     /*  375322 */   // Label 6758: @375322
     /*  375322 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375388), // Rule ID 60725 //
     /*  375327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375386 */     GIR_RootConstrainSelectedInstOperands,
     /*  375387 */     // GIR_Coverage, 60725,
     /*  375387 */     GIR_EraseRootFromParent_Done,
     /*  375388 */   // Label 6759: @375388
     /*  375388 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375454), // Rule ID 60728 //
     /*  375393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375452 */     GIR_RootConstrainSelectedInstOperands,
     /*  375453 */     // GIR_Coverage, 60728,
     /*  375453 */     GIR_EraseRootFromParent_Done,
     /*  375454 */   // Label 6760: @375454
     /*  375454 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375520), // Rule ID 60729 //
     /*  375459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375518 */     GIR_RootConstrainSelectedInstOperands,
     /*  375519 */     // GIR_Coverage, 60729,
     /*  375519 */     GIR_EraseRootFromParent_Done,
     /*  375520 */   // Label 6761: @375520
     /*  375520 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375586), // Rule ID 60732 //
     /*  375525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375584 */     GIR_RootConstrainSelectedInstOperands,
     /*  375585 */     // GIR_Coverage, 60732,
     /*  375585 */     GIR_EraseRootFromParent_Done,
     /*  375586 */   // Label 6762: @375586
     /*  375586 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375652), // Rule ID 60733 //
     /*  375591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375650 */     GIR_RootConstrainSelectedInstOperands,
     /*  375651 */     // GIR_Coverage, 60733,
     /*  375651 */     GIR_EraseRootFromParent_Done,
     /*  375652 */   // Label 6763: @375652
     /*  375652 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375718), // Rule ID 60736 //
     /*  375657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375716 */     GIR_RootConstrainSelectedInstOperands,
     /*  375717 */     // GIR_Coverage, 60736,
     /*  375717 */     GIR_EraseRootFromParent_Done,
     /*  375718 */   // Label 6764: @375718
     /*  375718 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375784), // Rule ID 60737 //
     /*  375723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375782 */     GIR_RootConstrainSelectedInstOperands,
     /*  375783 */     // GIR_Coverage, 60737,
     /*  375783 */     GIR_EraseRootFromParent_Done,
     /*  375784 */   // Label 6765: @375784
     /*  375784 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375850), // Rule ID 60740 //
     /*  375789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375828 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  375831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375848 */     GIR_RootConstrainSelectedInstOperands,
     /*  375849 */     // GIR_Coverage, 60740,
     /*  375849 */     GIR_EraseRootFromParent_Done,
     /*  375850 */   // Label 6766: @375850
     /*  375850 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375916), // Rule ID 60741 //
     /*  375855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375894 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  375897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375914 */     GIR_RootConstrainSelectedInstOperands,
     /*  375915 */     // GIR_Coverage, 60741,
     /*  375915 */     GIR_EraseRootFromParent_Done,
     /*  375916 */   // Label 6767: @375916
     /*  375916 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375982), // Rule ID 60744 //
     /*  375921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  375963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375980 */     GIR_RootConstrainSelectedInstOperands,
     /*  375981 */     // GIR_Coverage, 60744,
     /*  375981 */     GIR_EraseRootFromParent_Done,
     /*  375982 */   // Label 6768: @375982
     /*  375982 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(376048), // Rule ID 60745 //
     /*  375987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376046 */     GIR_RootConstrainSelectedInstOperands,
     /*  376047 */     // GIR_Coverage, 60745,
     /*  376047 */     GIR_EraseRootFromParent_Done,
     /*  376048 */   // Label 6769: @376048
     /*  376048 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(376114), // Rule ID 60748 //
     /*  376053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  376064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  376067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  376070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376112 */     GIR_RootConstrainSelectedInstOperands,
     /*  376113 */     // GIR_Coverage, 60748,
     /*  376113 */     GIR_EraseRootFromParent_Done,
     /*  376114 */   // Label 6770: @376114
     /*  376114 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(376180), // Rule ID 60749 //
     /*  376119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  376130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  376133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  376136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376178 */     GIR_RootConstrainSelectedInstOperands,
     /*  376179 */     // GIR_Coverage, 60749,
     /*  376179 */     GIR_EraseRootFromParent_Done,
     /*  376180 */   // Label 6771: @376180
     /*  376180 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(376246), // Rule ID 60752 //
     /*  376185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376244 */     GIR_RootConstrainSelectedInstOperands,
     /*  376245 */     // GIR_Coverage, 60752,
     /*  376245 */     GIR_EraseRootFromParent_Done,
     /*  376246 */   // Label 6772: @376246
     /*  376246 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(376312), // Rule ID 60753 //
     /*  376251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376310 */     GIR_RootConstrainSelectedInstOperands,
     /*  376311 */     // GIR_Coverage, 60753,
     /*  376311 */     GIR_EraseRootFromParent_Done,
     /*  376312 */   // Label 6773: @376312
     /*  376312 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376378), // Rule ID 60756 //
     /*  376317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376376 */     GIR_RootConstrainSelectedInstOperands,
     /*  376377 */     // GIR_Coverage, 60756,
     /*  376377 */     GIR_EraseRootFromParent_Done,
     /*  376378 */   // Label 6774: @376378
     /*  376378 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376444), // Rule ID 60757 //
     /*  376383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376442 */     GIR_RootConstrainSelectedInstOperands,
     /*  376443 */     // GIR_Coverage, 60757,
     /*  376443 */     GIR_EraseRootFromParent_Done,
     /*  376444 */   // Label 6775: @376444
     /*  376444 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376510), // Rule ID 60760 //
     /*  376449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376508 */     GIR_RootConstrainSelectedInstOperands,
     /*  376509 */     // GIR_Coverage, 60760,
     /*  376509 */     GIR_EraseRootFromParent_Done,
     /*  376510 */   // Label 6776: @376510
     /*  376510 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376576), // Rule ID 60761 //
     /*  376515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376574 */     GIR_RootConstrainSelectedInstOperands,
     /*  376575 */     // GIR_Coverage, 60761,
     /*  376575 */     GIR_EraseRootFromParent_Done,
     /*  376576 */   // Label 6777: @376576
     /*  376576 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376642), // Rule ID 60764 //
     /*  376581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376640 */     GIR_RootConstrainSelectedInstOperands,
     /*  376641 */     // GIR_Coverage, 60764,
     /*  376641 */     GIR_EraseRootFromParent_Done,
     /*  376642 */   // Label 6778: @376642
     /*  376642 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376708), // Rule ID 60765 //
     /*  376647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376706 */     GIR_RootConstrainSelectedInstOperands,
     /*  376707 */     // GIR_Coverage, 60765,
     /*  376707 */     GIR_EraseRootFromParent_Done,
     /*  376708 */   // Label 6779: @376708
     /*  376708 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376774), // Rule ID 60768 //
     /*  376713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376772 */     GIR_RootConstrainSelectedInstOperands,
     /*  376773 */     // GIR_Coverage, 60768,
     /*  376773 */     GIR_EraseRootFromParent_Done,
     /*  376774 */   // Label 6780: @376774
     /*  376774 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376840), // Rule ID 60769 //
     /*  376779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376838 */     GIR_RootConstrainSelectedInstOperands,
     /*  376839 */     // GIR_Coverage, 60769,
     /*  376839 */     GIR_EraseRootFromParent_Done,
     /*  376840 */   // Label 6781: @376840
     /*  376840 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376906), // Rule ID 60772 //
     /*  376845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376904 */     GIR_RootConstrainSelectedInstOperands,
     /*  376905 */     // GIR_Coverage, 60772,
     /*  376905 */     GIR_EraseRootFromParent_Done,
     /*  376906 */   // Label 6782: @376906
     /*  376906 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376972), // Rule ID 60773 //
     /*  376911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376970 */     GIR_RootConstrainSelectedInstOperands,
     /*  376971 */     // GIR_Coverage, 60773,
     /*  376971 */     GIR_EraseRootFromParent_Done,
     /*  376972 */   // Label 6783: @376972
     /*  376972 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(377038), // Rule ID 60776 //
     /*  376977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377036 */     GIR_RootConstrainSelectedInstOperands,
     /*  377037 */     // GIR_Coverage, 60776,
     /*  377037 */     GIR_EraseRootFromParent_Done,
     /*  377038 */   // Label 6784: @377038
     /*  377038 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(377104), // Rule ID 60777 //
     /*  377043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  377057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  377060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377102 */     GIR_RootConstrainSelectedInstOperands,
     /*  377103 */     // GIR_Coverage, 60777,
     /*  377103 */     GIR_EraseRootFromParent_Done,
     /*  377104 */   // Label 6785: @377104
     /*  377104 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(377170), // Rule ID 60780 //
     /*  377109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  377120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  377123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  377126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377168 */     GIR_RootConstrainSelectedInstOperands,
     /*  377169 */     // GIR_Coverage, 60780,
     /*  377169 */     GIR_EraseRootFromParent_Done,
     /*  377170 */   // Label 6786: @377170
     /*  377170 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(377236), // Rule ID 60781 //
     /*  377175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  377186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  377189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  377192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377234 */     GIR_RootConstrainSelectedInstOperands,
     /*  377235 */     // GIR_Coverage, 60781,
     /*  377235 */     GIR_EraseRootFromParent_Done,
     /*  377236 */   // Label 6787: @377236
     /*  377236 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(377302), // Rule ID 60784 //
     /*  377241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377300 */     GIR_RootConstrainSelectedInstOperands,
     /*  377301 */     // GIR_Coverage, 60784,
     /*  377301 */     GIR_EraseRootFromParent_Done,
     /*  377302 */   // Label 6788: @377302
     /*  377302 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377368), // Rule ID 60785 //
     /*  377307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377366 */     GIR_RootConstrainSelectedInstOperands,
     /*  377367 */     // GIR_Coverage, 60785,
     /*  377367 */     GIR_EraseRootFromParent_Done,
     /*  377368 */   // Label 6789: @377368
     /*  377368 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377434), // Rule ID 60788 //
     /*  377373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377412 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377432 */     GIR_RootConstrainSelectedInstOperands,
     /*  377433 */     // GIR_Coverage, 60788,
     /*  377433 */     GIR_EraseRootFromParent_Done,
     /*  377434 */   // Label 6790: @377434
     /*  377434 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377500), // Rule ID 60789 //
     /*  377439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377498 */     GIR_RootConstrainSelectedInstOperands,
     /*  377499 */     // GIR_Coverage, 60789,
     /*  377499 */     GIR_EraseRootFromParent_Done,
     /*  377500 */   // Label 6791: @377500
     /*  377500 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377566), // Rule ID 60792 //
     /*  377505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377564 */     GIR_RootConstrainSelectedInstOperands,
     /*  377565 */     // GIR_Coverage, 60792,
     /*  377565 */     GIR_EraseRootFromParent_Done,
     /*  377566 */   // Label 6792: @377566
     /*  377566 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377632), // Rule ID 60793 //
     /*  377571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377630 */     GIR_RootConstrainSelectedInstOperands,
     /*  377631 */     // GIR_Coverage, 60793,
     /*  377631 */     GIR_EraseRootFromParent_Done,
     /*  377632 */   // Label 6793: @377632
     /*  377632 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377698), // Rule ID 60796 //
     /*  377637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377696 */     GIR_RootConstrainSelectedInstOperands,
     /*  377697 */     // GIR_Coverage, 60796,
     /*  377697 */     GIR_EraseRootFromParent_Done,
     /*  377698 */   // Label 6794: @377698
     /*  377698 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377764), // Rule ID 60797 //
     /*  377703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377762 */     GIR_RootConstrainSelectedInstOperands,
     /*  377763 */     // GIR_Coverage, 60797,
     /*  377763 */     GIR_EraseRootFromParent_Done,
     /*  377764 */   // Label 6795: @377764
     /*  377764 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377830), // Rule ID 60800 //
     /*  377769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377828 */     GIR_RootConstrainSelectedInstOperands,
     /*  377829 */     // GIR_Coverage, 60800,
     /*  377829 */     GIR_EraseRootFromParent_Done,
     /*  377830 */   // Label 6796: @377830
     /*  377830 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377896), // Rule ID 60801 //
     /*  377835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377894 */     GIR_RootConstrainSelectedInstOperands,
     /*  377895 */     // GIR_Coverage, 60801,
     /*  377895 */     GIR_EraseRootFromParent_Done,
     /*  377896 */   // Label 6797: @377896
     /*  377896 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377962), // Rule ID 60804 //
     /*  377901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377940 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377960 */     GIR_RootConstrainSelectedInstOperands,
     /*  377961 */     // GIR_Coverage, 60804,
     /*  377961 */     GIR_EraseRootFromParent_Done,
     /*  377962 */   // Label 6798: @377962
     /*  377962 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(378028), // Rule ID 60805 //
     /*  377967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378026 */     GIR_RootConstrainSelectedInstOperands,
     /*  378027 */     // GIR_Coverage, 60805,
     /*  378027 */     GIR_EraseRootFromParent_Done,
     /*  378028 */   // Label 6799: @378028
     /*  378028 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(378094), // Rule ID 60808 //
     /*  378033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  378044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  378047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  378050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378092 */     GIR_RootConstrainSelectedInstOperands,
     /*  378093 */     // GIR_Coverage, 60808,
     /*  378093 */     GIR_EraseRootFromParent_Done,
     /*  378094 */   // Label 6800: @378094
     /*  378094 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(378160), // Rule ID 60809 //
     /*  378099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  378110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  378113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  378116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378158 */     GIR_RootConstrainSelectedInstOperands,
     /*  378159 */     // GIR_Coverage, 60809,
     /*  378159 */     GIR_EraseRootFromParent_Done,
     /*  378160 */   // Label 6801: @378160
     /*  378160 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(378226), // Rule ID 60812 //
     /*  378165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378224 */     GIR_RootConstrainSelectedInstOperands,
     /*  378225 */     // GIR_Coverage, 60812,
     /*  378225 */     GIR_EraseRootFromParent_Done,
     /*  378226 */   // Label 6802: @378226
     /*  378226 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(378292), // Rule ID 60813 //
     /*  378231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378290 */     GIR_RootConstrainSelectedInstOperands,
     /*  378291 */     // GIR_Coverage, 60813,
     /*  378291 */     GIR_EraseRootFromParent_Done,
     /*  378292 */   // Label 6803: @378292
     /*  378292 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378358), // Rule ID 60816 //
     /*  378297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378356 */     GIR_RootConstrainSelectedInstOperands,
     /*  378357 */     // GIR_Coverage, 60816,
     /*  378357 */     GIR_EraseRootFromParent_Done,
     /*  378358 */   // Label 6804: @378358
     /*  378358 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378424), // Rule ID 60817 //
     /*  378363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378422 */     GIR_RootConstrainSelectedInstOperands,
     /*  378423 */     // GIR_Coverage, 60817,
     /*  378423 */     GIR_EraseRootFromParent_Done,
     /*  378424 */   // Label 6805: @378424
     /*  378424 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378490), // Rule ID 60820 //
     /*  378429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378488 */     GIR_RootConstrainSelectedInstOperands,
     /*  378489 */     // GIR_Coverage, 60820,
     /*  378489 */     GIR_EraseRootFromParent_Done,
     /*  378490 */   // Label 6806: @378490
     /*  378490 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378556), // Rule ID 60821 //
     /*  378495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378554 */     GIR_RootConstrainSelectedInstOperands,
     /*  378555 */     // GIR_Coverage, 60821,
     /*  378555 */     GIR_EraseRootFromParent_Done,
     /*  378556 */   // Label 6807: @378556
     /*  378556 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378622), // Rule ID 60824 //
     /*  378561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378620 */     GIR_RootConstrainSelectedInstOperands,
     /*  378621 */     // GIR_Coverage, 60824,
     /*  378621 */     GIR_EraseRootFromParent_Done,
     /*  378622 */   // Label 6808: @378622
     /*  378622 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378688), // Rule ID 60825 //
     /*  378627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378686 */     GIR_RootConstrainSelectedInstOperands,
     /*  378687 */     // GIR_Coverage, 60825,
     /*  378687 */     GIR_EraseRootFromParent_Done,
     /*  378688 */   // Label 6809: @378688
     /*  378688 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378754), // Rule ID 60828 //
     /*  378693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378752 */     GIR_RootConstrainSelectedInstOperands,
     /*  378753 */     // GIR_Coverage, 60828,
     /*  378753 */     GIR_EraseRootFromParent_Done,
     /*  378754 */   // Label 6810: @378754
     /*  378754 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378820), // Rule ID 60829 //
     /*  378759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378818 */     GIR_RootConstrainSelectedInstOperands,
     /*  378819 */     // GIR_Coverage, 60829,
     /*  378819 */     GIR_EraseRootFromParent_Done,
     /*  378820 */   // Label 6811: @378820
     /*  378820 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378886), // Rule ID 60832 //
     /*  378825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  378867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378884 */     GIR_RootConstrainSelectedInstOperands,
     /*  378885 */     // GIR_Coverage, 60832,
     /*  378885 */     GIR_EraseRootFromParent_Done,
     /*  378886 */   // Label 6812: @378886
     /*  378886 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378952), // Rule ID 60833 //
     /*  378891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  378933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378950 */     GIR_RootConstrainSelectedInstOperands,
     /*  378951 */     // GIR_Coverage, 60833,
     /*  378951 */     GIR_EraseRootFromParent_Done,
     /*  378952 */   // Label 6813: @378952
     /*  378952 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(379018), // Rule ID 60836 //
     /*  378957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379016 */     GIR_RootConstrainSelectedInstOperands,
     /*  379017 */     // GIR_Coverage, 60836,
     /*  379017 */     GIR_EraseRootFromParent_Done,
     /*  379018 */   // Label 6814: @379018
     /*  379018 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(379084), // Rule ID 60837 //
     /*  379023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  379034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  379037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  379040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379082 */     GIR_RootConstrainSelectedInstOperands,
     /*  379083 */     // GIR_Coverage, 60837,
     /*  379083 */     GIR_EraseRootFromParent_Done,
     /*  379084 */   // Label 6815: @379084
     /*  379084 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(379150), // Rule ID 60840 //
     /*  379089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  379100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  379103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  379106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379148 */     GIR_RootConstrainSelectedInstOperands,
     /*  379149 */     // GIR_Coverage, 60840,
     /*  379149 */     GIR_EraseRootFromParent_Done,
     /*  379150 */   // Label 6816: @379150
     /*  379150 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379216), // Rule ID 60841 //
     /*  379155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  379166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  379169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  379172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379214 */     GIR_RootConstrainSelectedInstOperands,
     /*  379215 */     // GIR_Coverage, 60841,
     /*  379215 */     GIR_EraseRootFromParent_Done,
     /*  379216 */   // Label 6817: @379216
     /*  379216 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379282), // Rule ID 60844 //
     /*  379221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379280 */     GIR_RootConstrainSelectedInstOperands,
     /*  379281 */     // GIR_Coverage, 60844,
     /*  379281 */     GIR_EraseRootFromParent_Done,
     /*  379282 */   // Label 6818: @379282
     /*  379282 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379348), // Rule ID 60845 //
     /*  379287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379346 */     GIR_RootConstrainSelectedInstOperands,
     /*  379347 */     // GIR_Coverage, 60845,
     /*  379347 */     GIR_EraseRootFromParent_Done,
     /*  379348 */   // Label 6819: @379348
     /*  379348 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379414), // Rule ID 60848 //
     /*  379353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379412 */     GIR_RootConstrainSelectedInstOperands,
     /*  379413 */     // GIR_Coverage, 60848,
     /*  379413 */     GIR_EraseRootFromParent_Done,
     /*  379414 */   // Label 6820: @379414
     /*  379414 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379480), // Rule ID 60849 //
     /*  379419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379478 */     GIR_RootConstrainSelectedInstOperands,
     /*  379479 */     // GIR_Coverage, 60849,
     /*  379479 */     GIR_EraseRootFromParent_Done,
     /*  379480 */   // Label 6821: @379480
     /*  379480 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379546), // Rule ID 60852 //
     /*  379485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379544 */     GIR_RootConstrainSelectedInstOperands,
     /*  379545 */     // GIR_Coverage, 60852,
     /*  379545 */     GIR_EraseRootFromParent_Done,
     /*  379546 */   // Label 6822: @379546
     /*  379546 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379612), // Rule ID 60853 //
     /*  379551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379610 */     GIR_RootConstrainSelectedInstOperands,
     /*  379611 */     // GIR_Coverage, 60853,
     /*  379611 */     GIR_EraseRootFromParent_Done,
     /*  379612 */   // Label 6823: @379612
     /*  379612 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379678), // Rule ID 60856 //
     /*  379617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379676 */     GIR_RootConstrainSelectedInstOperands,
     /*  379677 */     // GIR_Coverage, 60856,
     /*  379677 */     GIR_EraseRootFromParent_Done,
     /*  379678 */   // Label 6824: @379678
     /*  379678 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379744), // Rule ID 60857 //
     /*  379683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379742 */     GIR_RootConstrainSelectedInstOperands,
     /*  379743 */     // GIR_Coverage, 60857,
     /*  379743 */     GIR_EraseRootFromParent_Done,
     /*  379744 */   // Label 6825: @379744
     /*  379744 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379810), // Rule ID 60860 //
     /*  379749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379808 */     GIR_RootConstrainSelectedInstOperands,
     /*  379809 */     // GIR_Coverage, 60860,
     /*  379809 */     GIR_EraseRootFromParent_Done,
     /*  379810 */   // Label 6826: @379810
     /*  379810 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379876), // Rule ID 60861 //
     /*  379815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379874 */     GIR_RootConstrainSelectedInstOperands,
     /*  379875 */     // GIR_Coverage, 60861,
     /*  379875 */     GIR_EraseRootFromParent_Done,
     /*  379876 */   // Label 6827: @379876
     /*  379876 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379942), // Rule ID 60864 //
     /*  379881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379940 */     GIR_RootConstrainSelectedInstOperands,
     /*  379941 */     // GIR_Coverage, 60864,
     /*  379941 */     GIR_EraseRootFromParent_Done,
     /*  379942 */   // Label 6828: @379942
     /*  379942 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(380008), // Rule ID 60865 //
     /*  379947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380006 */     GIR_RootConstrainSelectedInstOperands,
     /*  380007 */     // GIR_Coverage, 60865,
     /*  380007 */     GIR_EraseRootFromParent_Done,
     /*  380008 */   // Label 6829: @380008
     /*  380008 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(380074), // Rule ID 60868 //
     /*  380013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380072 */     GIR_RootConstrainSelectedInstOperands,
     /*  380073 */     // GIR_Coverage, 60868,
     /*  380073 */     GIR_EraseRootFromParent_Done,
     /*  380074 */   // Label 6830: @380074
     /*  380074 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(380140), // Rule ID 60869 //
     /*  380079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380138 */     GIR_RootConstrainSelectedInstOperands,
     /*  380139 */     // GIR_Coverage, 60869,
     /*  380139 */     GIR_EraseRootFromParent_Done,
     /*  380140 */   // Label 6831: @380140
     /*  380140 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(380206), // Rule ID 60872 //
     /*  380145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380184 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  380187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380204 */     GIR_RootConstrainSelectedInstOperands,
     /*  380205 */     // GIR_Coverage, 60872,
     /*  380205 */     GIR_EraseRootFromParent_Done,
     /*  380206 */   // Label 6832: @380206
     /*  380206 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380272), // Rule ID 60873 //
     /*  380211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380250 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  380253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380270 */     GIR_RootConstrainSelectedInstOperands,
     /*  380271 */     // GIR_Coverage, 60873,
     /*  380271 */     GIR_EraseRootFromParent_Done,
     /*  380272 */   // Label 6833: @380272
     /*  380272 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380338), // Rule ID 60876 //
     /*  380277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380336 */     GIR_RootConstrainSelectedInstOperands,
     /*  380337 */     // GIR_Coverage, 60876,
     /*  380337 */     GIR_EraseRootFromParent_Done,
     /*  380338 */   // Label 6834: @380338
     /*  380338 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380404), // Rule ID 60877 //
     /*  380343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380402 */     GIR_RootConstrainSelectedInstOperands,
     /*  380403 */     // GIR_Coverage, 60877,
     /*  380403 */     GIR_EraseRootFromParent_Done,
     /*  380404 */   // Label 6835: @380404
     /*  380404 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380470), // Rule ID 60880 //
     /*  380409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380468 */     GIR_RootConstrainSelectedInstOperands,
     /*  380469 */     // GIR_Coverage, 60880,
     /*  380469 */     GIR_EraseRootFromParent_Done,
     /*  380470 */   // Label 6836: @380470
     /*  380470 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380536), // Rule ID 60881 //
     /*  380475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380534 */     GIR_RootConstrainSelectedInstOperands,
     /*  380535 */     // GIR_Coverage, 60881,
     /*  380535 */     GIR_EraseRootFromParent_Done,
     /*  380536 */   // Label 6837: @380536
     /*  380536 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380602), // Rule ID 60884 //
     /*  380541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380600 */     GIR_RootConstrainSelectedInstOperands,
     /*  380601 */     // GIR_Coverage, 60884,
     /*  380601 */     GIR_EraseRootFromParent_Done,
     /*  380602 */   // Label 6838: @380602
     /*  380602 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380668), // Rule ID 60885 //
     /*  380607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380666 */     GIR_RootConstrainSelectedInstOperands,
     /*  380667 */     // GIR_Coverage, 60885,
     /*  380667 */     GIR_EraseRootFromParent_Done,
     /*  380668 */   // Label 6839: @380668
     /*  380668 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380734), // Rule ID 60888 //
     /*  380673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380732 */     GIR_RootConstrainSelectedInstOperands,
     /*  380733 */     // GIR_Coverage, 60888,
     /*  380733 */     GIR_EraseRootFromParent_Done,
     /*  380734 */   // Label 6840: @380734
     /*  380734 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380800), // Rule ID 60889 //
     /*  380739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380798 */     GIR_RootConstrainSelectedInstOperands,
     /*  380799 */     // GIR_Coverage, 60889,
     /*  380799 */     GIR_EraseRootFromParent_Done,
     /*  380800 */   // Label 6841: @380800
     /*  380800 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380866), // Rule ID 60892 //
     /*  380805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380864 */     GIR_RootConstrainSelectedInstOperands,
     /*  380865 */     // GIR_Coverage, 60892,
     /*  380865 */     GIR_EraseRootFromParent_Done,
     /*  380866 */   // Label 6842: @380866
     /*  380866 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380932), // Rule ID 60893 //
     /*  380871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380930 */     GIR_RootConstrainSelectedInstOperands,
     /*  380931 */     // GIR_Coverage, 60893,
     /*  380931 */     GIR_EraseRootFromParent_Done,
     /*  380932 */   // Label 6843: @380932
     /*  380932 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380998), // Rule ID 60896 //
     /*  380937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  380979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380996 */     GIR_RootConstrainSelectedInstOperands,
     /*  380997 */     // GIR_Coverage, 60896,
     /*  380997 */     GIR_EraseRootFromParent_Done,
     /*  380998 */   // Label 6844: @380998
     /*  380998 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(381064), // Rule ID 60897 //
     /*  381003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381062 */     GIR_RootConstrainSelectedInstOperands,
     /*  381063 */     // GIR_Coverage, 60897,
     /*  381063 */     GIR_EraseRootFromParent_Done,
     /*  381064 */   // Label 6845: @381064
     /*  381064 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(381130), // Rule ID 60900 //
     /*  381069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381128 */     GIR_RootConstrainSelectedInstOperands,
     /*  381129 */     // GIR_Coverage, 60900,
     /*  381129 */     GIR_EraseRootFromParent_Done,
     /*  381130 */   // Label 6846: @381130
     /*  381130 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(381196), // Rule ID 60901 //
     /*  381135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381194 */     GIR_RootConstrainSelectedInstOperands,
     /*  381195 */     // GIR_Coverage, 60901,
     /*  381195 */     GIR_EraseRootFromParent_Done,
     /*  381196 */   // Label 6847: @381196
     /*  381196 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381262), // Rule ID 60904 //
     /*  381201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381260 */     GIR_RootConstrainSelectedInstOperands,
     /*  381261 */     // GIR_Coverage, 60904,
     /*  381261 */     GIR_EraseRootFromParent_Done,
     /*  381262 */   // Label 6848: @381262
     /*  381262 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381328), // Rule ID 60905 //
     /*  381267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381326 */     GIR_RootConstrainSelectedInstOperands,
     /*  381327 */     // GIR_Coverage, 60905,
     /*  381327 */     GIR_EraseRootFromParent_Done,
     /*  381328 */   // Label 6849: @381328
     /*  381328 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381394), // Rule ID 60908 //
     /*  381333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381392 */     GIR_RootConstrainSelectedInstOperands,
     /*  381393 */     // GIR_Coverage, 60908,
     /*  381393 */     GIR_EraseRootFromParent_Done,
     /*  381394 */   // Label 6850: @381394
     /*  381394 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381460), // Rule ID 60909 //
     /*  381399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381458 */     GIR_RootConstrainSelectedInstOperands,
     /*  381459 */     // GIR_Coverage, 60909,
     /*  381459 */     GIR_EraseRootFromParent_Done,
     /*  381460 */   // Label 6851: @381460
     /*  381460 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381526), // Rule ID 60912 //
     /*  381465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381524 */     GIR_RootConstrainSelectedInstOperands,
     /*  381525 */     // GIR_Coverage, 60912,
     /*  381525 */     GIR_EraseRootFromParent_Done,
     /*  381526 */   // Label 6852: @381526
     /*  381526 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381592), // Rule ID 60913 //
     /*  381531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381590 */     GIR_RootConstrainSelectedInstOperands,
     /*  381591 */     // GIR_Coverage, 60913,
     /*  381591 */     GIR_EraseRootFromParent_Done,
     /*  381592 */   // Label 6853: @381592
     /*  381592 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381658), // Rule ID 60916 //
     /*  381597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381656 */     GIR_RootConstrainSelectedInstOperands,
     /*  381657 */     // GIR_Coverage, 60916,
     /*  381657 */     GIR_EraseRootFromParent_Done,
     /*  381658 */   // Label 6854: @381658
     /*  381658 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381724), // Rule ID 60917 //
     /*  381663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381722 */     GIR_RootConstrainSelectedInstOperands,
     /*  381723 */     // GIR_Coverage, 60917,
     /*  381723 */     GIR_EraseRootFromParent_Done,
     /*  381724 */   // Label 6855: @381724
     /*  381724 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381790), // Rule ID 60920 //
     /*  381729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  381771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381788 */     GIR_RootConstrainSelectedInstOperands,
     /*  381789 */     // GIR_Coverage, 60920,
     /*  381789 */     GIR_EraseRootFromParent_Done,
     /*  381790 */   // Label 6856: @381790
     /*  381790 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381856), // Rule ID 60921 //
     /*  381795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  381837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381854 */     GIR_RootConstrainSelectedInstOperands,
     /*  381855 */     // GIR_Coverage, 60921,
     /*  381855 */     GIR_EraseRootFromParent_Done,
     /*  381856 */   // Label 6857: @381856
     /*  381856 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381922), // Rule ID 60924 //
     /*  381861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381920 */     GIR_RootConstrainSelectedInstOperands,
     /*  381921 */     // GIR_Coverage, 60924,
     /*  381921 */     GIR_EraseRootFromParent_Done,
     /*  381922 */   // Label 6858: @381922
     /*  381922 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381988), // Rule ID 60925 //
     /*  381927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381986 */     GIR_RootConstrainSelectedInstOperands,
     /*  381987 */     // GIR_Coverage, 60925,
     /*  381987 */     GIR_EraseRootFromParent_Done,
     /*  381988 */   // Label 6859: @381988
     /*  381988 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(382054), // Rule ID 60928 //
     /*  381993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382052 */     GIR_RootConstrainSelectedInstOperands,
     /*  382053 */     // GIR_Coverage, 60928,
     /*  382053 */     GIR_EraseRootFromParent_Done,
     /*  382054 */   // Label 6860: @382054
     /*  382054 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(382120), // Rule ID 60929 //
     /*  382059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382118 */     GIR_RootConstrainSelectedInstOperands,
     /*  382119 */     // GIR_Coverage, 60929,
     /*  382119 */     GIR_EraseRootFromParent_Done,
     /*  382120 */   // Label 6861: @382120
     /*  382120 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(382186), // Rule ID 60932 //
     /*  382125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382184 */     GIR_RootConstrainSelectedInstOperands,
     /*  382185 */     // GIR_Coverage, 60932,
     /*  382185 */     GIR_EraseRootFromParent_Done,
     /*  382186 */   // Label 6862: @382186
     /*  382186 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(382252), // Rule ID 60933 //
     /*  382191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382250 */     GIR_RootConstrainSelectedInstOperands,
     /*  382251 */     // GIR_Coverage, 60933,
     /*  382251 */     GIR_EraseRootFromParent_Done,
     /*  382252 */   // Label 6863: @382252
     /*  382252 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382318), // Rule ID 60936 //
     /*  382257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382316 */     GIR_RootConstrainSelectedInstOperands,
     /*  382317 */     // GIR_Coverage, 60936,
     /*  382317 */     GIR_EraseRootFromParent_Done,
     /*  382318 */   // Label 6864: @382318
     /*  382318 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382384), // Rule ID 60937 //
     /*  382323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382382 */     GIR_RootConstrainSelectedInstOperands,
     /*  382383 */     // GIR_Coverage, 60937,
     /*  382383 */     GIR_EraseRootFromParent_Done,
     /*  382384 */   // Label 6865: @382384
     /*  382384 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382450), // Rule ID 60940 //
     /*  382389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382448 */     GIR_RootConstrainSelectedInstOperands,
     /*  382449 */     // GIR_Coverage, 60940,
     /*  382449 */     GIR_EraseRootFromParent_Done,
     /*  382450 */   // Label 6866: @382450
     /*  382450 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382516), // Rule ID 60941 //
     /*  382455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382514 */     GIR_RootConstrainSelectedInstOperands,
     /*  382515 */     // GIR_Coverage, 60941,
     /*  382515 */     GIR_EraseRootFromParent_Done,
     /*  382516 */   // Label 6867: @382516
     /*  382516 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382582), // Rule ID 60944 //
     /*  382521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382580 */     GIR_RootConstrainSelectedInstOperands,
     /*  382581 */     // GIR_Coverage, 60944,
     /*  382581 */     GIR_EraseRootFromParent_Done,
     /*  382582 */   // Label 6868: @382582
     /*  382582 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382648), // Rule ID 60945 //
     /*  382587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382646 */     GIR_RootConstrainSelectedInstOperands,
     /*  382647 */     // GIR_Coverage, 60945,
     /*  382647 */     GIR_EraseRootFromParent_Done,
     /*  382648 */   // Label 6869: @382648
     /*  382648 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382714), // Rule ID 60948 //
     /*  382653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382712 */     GIR_RootConstrainSelectedInstOperands,
     /*  382713 */     // GIR_Coverage, 60948,
     /*  382713 */     GIR_EraseRootFromParent_Done,
     /*  382714 */   // Label 6870: @382714
     /*  382714 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382780), // Rule ID 60949 //
     /*  382719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382778 */     GIR_RootConstrainSelectedInstOperands,
     /*  382779 */     // GIR_Coverage, 60949,
     /*  382779 */     GIR_EraseRootFromParent_Done,
     /*  382780 */   // Label 6871: @382780
     /*  382780 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382846), // Rule ID 60952 //
     /*  382785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382844 */     GIR_RootConstrainSelectedInstOperands,
     /*  382845 */     // GIR_Coverage, 60952,
     /*  382845 */     GIR_EraseRootFromParent_Done,
     /*  382846 */   // Label 6872: @382846
     /*  382846 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382912), // Rule ID 60953 //
     /*  382851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382910 */     GIR_RootConstrainSelectedInstOperands,
     /*  382911 */     // GIR_Coverage, 60953,
     /*  382911 */     GIR_EraseRootFromParent_Done,
     /*  382912 */   // Label 6873: @382912
     /*  382912 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382978), // Rule ID 60956 //
     /*  382917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382976 */     GIR_RootConstrainSelectedInstOperands,
     /*  382977 */     // GIR_Coverage, 60956,
     /*  382977 */     GIR_EraseRootFromParent_Done,
     /*  382978 */   // Label 6874: @382978
     /*  382978 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(383044), // Rule ID 60957 //
     /*  382983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  383025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383042 */     GIR_RootConstrainSelectedInstOperands,
     /*  383043 */     // GIR_Coverage, 60957,
     /*  383043 */     GIR_EraseRootFromParent_Done,
     /*  383044 */   // Label 6875: @383044
     /*  383044 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(383110), // Rule ID 61380 //
     /*  383049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  383063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  383066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  383091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383108 */     GIR_RootConstrainSelectedInstOperands,
     /*  383109 */     // GIR_Coverage, 61380,
     /*  383109 */     GIR_EraseRootFromParent_Done,
     /*  383110 */   // Label 6876: @383110
     /*  383110 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(383176), // Rule ID 61381 //
     /*  383115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  383129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  383132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383154 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  383157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383174 */     GIR_RootConstrainSelectedInstOperands,
     /*  383175 */     // GIR_Coverage, 61381,
     /*  383175 */     GIR_EraseRootFromParent_Done,
     /*  383176 */   // Label 6877: @383176
     /*  383176 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383242), // Rule ID 61384 //
     /*  383181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  383195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  383198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383220 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383240 */     GIR_RootConstrainSelectedInstOperands,
     /*  383241 */     // GIR_Coverage, 61384,
     /*  383241 */     GIR_EraseRootFromParent_Done,
     /*  383242 */   // Label 6878: @383242
     /*  383242 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383308), // Rule ID 61385 //
     /*  383247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  383261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  383264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383306 */     GIR_RootConstrainSelectedInstOperands,
     /*  383307 */     // GIR_Coverage, 61385,
     /*  383307 */     GIR_EraseRootFromParent_Done,
     /*  383308 */   // Label 6879: @383308
     /*  383308 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383374), // Rule ID 61388 //
     /*  383313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383372 */     GIR_RootConstrainSelectedInstOperands,
     /*  383373 */     // GIR_Coverage, 61388,
     /*  383373 */     GIR_EraseRootFromParent_Done,
     /*  383374 */   // Label 6880: @383374
     /*  383374 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383440), // Rule ID 61389 //
     /*  383379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383438 */     GIR_RootConstrainSelectedInstOperands,
     /*  383439 */     // GIR_Coverage, 61389,
     /*  383439 */     GIR_EraseRootFromParent_Done,
     /*  383440 */   // Label 6881: @383440
     /*  383440 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383506), // Rule ID 61392 //
     /*  383445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  383459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  383462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383504 */     GIR_RootConstrainSelectedInstOperands,
     /*  383505 */     // GIR_Coverage, 61392,
     /*  383505 */     GIR_EraseRootFromParent_Done,
     /*  383506 */   // Label 6882: @383506
     /*  383506 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383572), // Rule ID 61393 //
     /*  383511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  383525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  383528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383550 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383570 */     GIR_RootConstrainSelectedInstOperands,
     /*  383571 */     // GIR_Coverage, 61393,
     /*  383571 */     GIR_EraseRootFromParent_Done,
     /*  383572 */   // Label 6883: @383572
     /*  383572 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383638), // Rule ID 61396 //
     /*  383577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  383588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  383591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  383594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383636 */     GIR_RootConstrainSelectedInstOperands,
     /*  383637 */     // GIR_Coverage, 61396,
     /*  383637 */     GIR_EraseRootFromParent_Done,
     /*  383638 */   // Label 6884: @383638
     /*  383638 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383704), // Rule ID 61397 //
     /*  383643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  383654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  383657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  383660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383682 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383702 */     GIR_RootConstrainSelectedInstOperands,
     /*  383703 */     // GIR_Coverage, 61397,
     /*  383703 */     GIR_EraseRootFromParent_Done,
     /*  383704 */   // Label 6885: @383704
     /*  383704 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383770), // Rule ID 61400 //
     /*  383709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  383720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  383723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  383726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383768 */     GIR_RootConstrainSelectedInstOperands,
     /*  383769 */     // GIR_Coverage, 61400,
     /*  383769 */     GIR_EraseRootFromParent_Done,
     /*  383770 */   // Label 6886: @383770
     /*  383770 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383836), // Rule ID 61401 //
     /*  383775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  383786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  383789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  383792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383834 */     GIR_RootConstrainSelectedInstOperands,
     /*  383835 */     // GIR_Coverage, 61401,
     /*  383835 */     GIR_EraseRootFromParent_Done,
     /*  383836 */   // Label 6887: @383836
     /*  383836 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383902), // Rule ID 61404 //
     /*  383841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383900 */     GIR_RootConstrainSelectedInstOperands,
     /*  383901 */     // GIR_Coverage, 61404,
     /*  383901 */     GIR_EraseRootFromParent_Done,
     /*  383902 */   // Label 6888: @383902
     /*  383902 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383968), // Rule ID 61405 //
     /*  383907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383966 */     GIR_RootConstrainSelectedInstOperands,
     /*  383967 */     // GIR_Coverage, 61405,
     /*  383967 */     GIR_EraseRootFromParent_Done,
     /*  383968 */   // Label 6889: @383968
     /*  383968 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(384034), // Rule ID 61408 //
     /*  383973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  383984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  383987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  383990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384032 */     GIR_RootConstrainSelectedInstOperands,
     /*  384033 */     // GIR_Coverage, 61408,
     /*  384033 */     GIR_EraseRootFromParent_Done,
     /*  384034 */   // Label 6890: @384034
     /*  384034 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(384100), // Rule ID 61409 //
     /*  384039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  384053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  384056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384098 */     GIR_RootConstrainSelectedInstOperands,
     /*  384099 */     // GIR_Coverage, 61409,
     /*  384099 */     GIR_EraseRootFromParent_Done,
     /*  384100 */   // Label 6891: @384100
     /*  384100 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(384166), // Rule ID 61412 //
     /*  384105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384164 */     GIR_RootConstrainSelectedInstOperands,
     /*  384165 */     // GIR_Coverage, 61412,
     /*  384165 */     GIR_EraseRootFromParent_Done,
     /*  384166 */   // Label 6892: @384166
     /*  384166 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384232), // Rule ID 61413 //
     /*  384171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384230 */     GIR_RootConstrainSelectedInstOperands,
     /*  384231 */     // GIR_Coverage, 61413,
     /*  384231 */     GIR_EraseRootFromParent_Done,
     /*  384232 */   // Label 6893: @384232
     /*  384232 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384298), // Rule ID 61416 //
     /*  384237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384296 */     GIR_RootConstrainSelectedInstOperands,
     /*  384297 */     // GIR_Coverage, 61416,
     /*  384297 */     GIR_EraseRootFromParent_Done,
     /*  384298 */   // Label 6894: @384298
     /*  384298 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384364), // Rule ID 61417 //
     /*  384303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384362 */     GIR_RootConstrainSelectedInstOperands,
     /*  384363 */     // GIR_Coverage, 61417,
     /*  384363 */     GIR_EraseRootFromParent_Done,
     /*  384364 */   // Label 6895: @384364
     /*  384364 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384430), // Rule ID 61420 //
     /*  384369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384428 */     GIR_RootConstrainSelectedInstOperands,
     /*  384429 */     // GIR_Coverage, 61420,
     /*  384429 */     GIR_EraseRootFromParent_Done,
     /*  384430 */   // Label 6896: @384430
     /*  384430 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384496), // Rule ID 61421 //
     /*  384435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384494 */     GIR_RootConstrainSelectedInstOperands,
     /*  384495 */     // GIR_Coverage, 61421,
     /*  384495 */     GIR_EraseRootFromParent_Done,
     /*  384496 */   // Label 6897: @384496
     /*  384496 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384562), // Rule ID 61424 //
     /*  384501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  384512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  384515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  384518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384560 */     GIR_RootConstrainSelectedInstOperands,
     /*  384561 */     // GIR_Coverage, 61424,
     /*  384561 */     GIR_EraseRootFromParent_Done,
     /*  384562 */   // Label 6898: @384562
     /*  384562 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384628), // Rule ID 61425 //
     /*  384567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  384578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  384581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  384584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384606 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384626 */     GIR_RootConstrainSelectedInstOperands,
     /*  384627 */     // GIR_Coverage, 61425,
     /*  384627 */     GIR_EraseRootFromParent_Done,
     /*  384628 */   // Label 6899: @384628
     /*  384628 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384694), // Rule ID 61428 //
     /*  384633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  384644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  384647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  384650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384692 */     GIR_RootConstrainSelectedInstOperands,
     /*  384693 */     // GIR_Coverage, 61428,
     /*  384693 */     GIR_EraseRootFromParent_Done,
     /*  384694 */   // Label 6900: @384694
     /*  384694 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384760), // Rule ID 61429 //
     /*  384699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  384710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  384713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  384716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384758 */     GIR_RootConstrainSelectedInstOperands,
     /*  384759 */     // GIR_Coverage, 61429,
     /*  384759 */     GIR_EraseRootFromParent_Done,
     /*  384760 */   // Label 6901: @384760
     /*  384760 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384826), // Rule ID 61432 //
     /*  384765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384824 */     GIR_RootConstrainSelectedInstOperands,
     /*  384825 */     // GIR_Coverage, 61432,
     /*  384825 */     GIR_EraseRootFromParent_Done,
     /*  384826 */   // Label 6902: @384826
     /*  384826 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384892), // Rule ID 61433 //
     /*  384831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384890 */     GIR_RootConstrainSelectedInstOperands,
     /*  384891 */     // GIR_Coverage, 61433,
     /*  384891 */     GIR_EraseRootFromParent_Done,
     /*  384892 */   // Label 6903: @384892
     /*  384892 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384958), // Rule ID 61436 //
     /*  384897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384956 */     GIR_RootConstrainSelectedInstOperands,
     /*  384957 */     // GIR_Coverage, 61436,
     /*  384957 */     GIR_EraseRootFromParent_Done,
     /*  384958 */   // Label 6904: @384958
     /*  384958 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(385024), // Rule ID 61437 //
     /*  384963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385022 */     GIR_RootConstrainSelectedInstOperands,
     /*  385023 */     // GIR_Coverage, 61437,
     /*  385023 */     GIR_EraseRootFromParent_Done,
     /*  385024 */   // Label 6905: @385024
     /*  385024 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(385090), // Rule ID 61440 //
     /*  385029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385088 */     GIR_RootConstrainSelectedInstOperands,
     /*  385089 */     // GIR_Coverage, 61440,
     /*  385089 */     GIR_EraseRootFromParent_Done,
     /*  385090 */   // Label 6906: @385090
     /*  385090 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(385156), // Rule ID 61441 //
     /*  385095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385154 */     GIR_RootConstrainSelectedInstOperands,
     /*  385155 */     // GIR_Coverage, 61441,
     /*  385155 */     GIR_EraseRootFromParent_Done,
     /*  385156 */   // Label 6907: @385156
     /*  385156 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(385222), // Rule ID 61444 //
     /*  385161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  385172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  385175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  385178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385220 */     GIR_RootConstrainSelectedInstOperands,
     /*  385221 */     // GIR_Coverage, 61444,
     /*  385221 */     GIR_EraseRootFromParent_Done,
     /*  385222 */   // Label 6908: @385222
     /*  385222 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(385288), // Rule ID 61445 //
     /*  385227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  385238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  385241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  385244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385286 */     GIR_RootConstrainSelectedInstOperands,
     /*  385287 */     // GIR_Coverage, 61445,
     /*  385287 */     GIR_EraseRootFromParent_Done,
     /*  385288 */   // Label 6909: @385288
     /*  385288 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385354), // Rule ID 61448 //
     /*  385293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385352 */     GIR_RootConstrainSelectedInstOperands,
     /*  385353 */     // GIR_Coverage, 61448,
     /*  385353 */     GIR_EraseRootFromParent_Done,
     /*  385354 */   // Label 6910: @385354
     /*  385354 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385420), // Rule ID 61449 //
     /*  385359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385418 */     GIR_RootConstrainSelectedInstOperands,
     /*  385419 */     // GIR_Coverage, 61449,
     /*  385419 */     GIR_EraseRootFromParent_Done,
     /*  385420 */   // Label 6911: @385420
     /*  385420 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385486), // Rule ID 61452 //
     /*  385425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385484 */     GIR_RootConstrainSelectedInstOperands,
     /*  385485 */     // GIR_Coverage, 61452,
     /*  385485 */     GIR_EraseRootFromParent_Done,
     /*  385486 */   // Label 6912: @385486
     /*  385486 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385552), // Rule ID 61453 //
     /*  385491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385550 */     GIR_RootConstrainSelectedInstOperands,
     /*  385551 */     // GIR_Coverage, 61453,
     /*  385551 */     GIR_EraseRootFromParent_Done,
     /*  385552 */   // Label 6913: @385552
     /*  385552 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385618), // Rule ID 61456 //
     /*  385557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385616 */     GIR_RootConstrainSelectedInstOperands,
     /*  385617 */     // GIR_Coverage, 61456,
     /*  385617 */     GIR_EraseRootFromParent_Done,
     /*  385618 */   // Label 6914: @385618
     /*  385618 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385684), // Rule ID 61457 //
     /*  385623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385682 */     GIR_RootConstrainSelectedInstOperands,
     /*  385683 */     // GIR_Coverage, 61457,
     /*  385683 */     GIR_EraseRootFromParent_Done,
     /*  385684 */   // Label 6915: @385684
     /*  385684 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385750), // Rule ID 61460 //
     /*  385689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385748 */     GIR_RootConstrainSelectedInstOperands,
     /*  385749 */     // GIR_Coverage, 61460,
     /*  385749 */     GIR_EraseRootFromParent_Done,
     /*  385750 */   // Label 6916: @385750
     /*  385750 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385816), // Rule ID 61461 //
     /*  385755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385814 */     GIR_RootConstrainSelectedInstOperands,
     /*  385815 */     // GIR_Coverage, 61461,
     /*  385815 */     GIR_EraseRootFromParent_Done,
     /*  385816 */   // Label 6917: @385816
     /*  385816 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385882), // Rule ID 61464 //
     /*  385821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385880 */     GIR_RootConstrainSelectedInstOperands,
     /*  385881 */     // GIR_Coverage, 61464,
     /*  385881 */     GIR_EraseRootFromParent_Done,
     /*  385882 */   // Label 6918: @385882
     /*  385882 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385948), // Rule ID 61465 //
     /*  385887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385946 */     GIR_RootConstrainSelectedInstOperands,
     /*  385947 */     // GIR_Coverage, 61465,
     /*  385947 */     GIR_EraseRootFromParent_Done,
     /*  385948 */   // Label 6919: @385948
     /*  385948 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(386014), // Rule ID 61468 //
     /*  385953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  385964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  385967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  385970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  385995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386012 */     GIR_RootConstrainSelectedInstOperands,
     /*  386013 */     // GIR_Coverage, 61468,
     /*  386013 */     GIR_EraseRootFromParent_Done,
     /*  386014 */   // Label 6920: @386014
     /*  386014 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(386080), // Rule ID 61469 //
     /*  386019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  386033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  386036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  386061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386078 */     GIR_RootConstrainSelectedInstOperands,
     /*  386079 */     // GIR_Coverage, 61469,
     /*  386079 */     GIR_EraseRootFromParent_Done,
     /*  386080 */   // Label 6921: @386080
     /*  386080 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(386146), // Rule ID 61472 //
     /*  386085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  386099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386144 */     GIR_RootConstrainSelectedInstOperands,
     /*  386145 */     // GIR_Coverage, 61472,
     /*  386145 */     GIR_EraseRootFromParent_Done,
     /*  386146 */   // Label 6922: @386146
     /*  386146 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(386212), // Rule ID 61473 //
     /*  386151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  386165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386190 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386210 */     GIR_RootConstrainSelectedInstOperands,
     /*  386211 */     // GIR_Coverage, 61473,
     /*  386211 */     GIR_EraseRootFromParent_Done,
     /*  386212 */   // Label 6923: @386212
     /*  386212 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(386278), // Rule ID 61476 //
     /*  386217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386276 */     GIR_RootConstrainSelectedInstOperands,
     /*  386277 */     // GIR_Coverage, 61476,
     /*  386277 */     GIR_EraseRootFromParent_Done,
     /*  386278 */   // Label 6924: @386278
     /*  386278 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(386344), // Rule ID 61477 //
     /*  386283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386342 */     GIR_RootConstrainSelectedInstOperands,
     /*  386343 */     // GIR_Coverage, 61477,
     /*  386343 */     GIR_EraseRootFromParent_Done,
     /*  386344 */   // Label 6925: @386344
     /*  386344 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(386410), // Rule ID 61480 //
     /*  386349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386408 */     GIR_RootConstrainSelectedInstOperands,
     /*  386409 */     // GIR_Coverage, 61480,
     /*  386409 */     GIR_EraseRootFromParent_Done,
     /*  386410 */   // Label 6926: @386410
     /*  386410 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386476), // Rule ID 61481 //
     /*  386415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386474 */     GIR_RootConstrainSelectedInstOperands,
     /*  386475 */     // GIR_Coverage, 61481,
     /*  386475 */     GIR_EraseRootFromParent_Done,
     /*  386476 */   // Label 6927: @386476
     /*  386476 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386542), // Rule ID 61484 //
     /*  386481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386540 */     GIR_RootConstrainSelectedInstOperands,
     /*  386541 */     // GIR_Coverage, 61484,
     /*  386541 */     GIR_EraseRootFromParent_Done,
     /*  386542 */   // Label 6928: @386542
     /*  386542 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386608), // Rule ID 61485 //
     /*  386547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386606 */     GIR_RootConstrainSelectedInstOperands,
     /*  386607 */     // GIR_Coverage, 61485,
     /*  386607 */     GIR_EraseRootFromParent_Done,
     /*  386608 */   // Label 6929: @386608
     /*  386608 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386674), // Rule ID 61488 //
     /*  386613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  386630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  386652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386672 */     GIR_RootConstrainSelectedInstOperands,
     /*  386673 */     // GIR_Coverage, 61488,
     /*  386673 */     GIR_EraseRootFromParent_Done,
     /*  386674 */   // Label 6930: @386674
     /*  386674 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386740), // Rule ID 61489 //
     /*  386679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  386696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  386718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386738 */     GIR_RootConstrainSelectedInstOperands,
     /*  386739 */     // GIR_Coverage, 61489,
     /*  386739 */     GIR_EraseRootFromParent_Done,
     /*  386740 */   // Label 6931: @386740
     /*  386740 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386806), // Rule ID 61492 //
     /*  386745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  386759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  386762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386804 */     GIR_RootConstrainSelectedInstOperands,
     /*  386805 */     // GIR_Coverage, 61492,
     /*  386805 */     GIR_EraseRootFromParent_Done,
     /*  386806 */   // Label 6932: @386806
     /*  386806 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386872), // Rule ID 61493 //
     /*  386811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  386825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  386828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386870 */     GIR_RootConstrainSelectedInstOperands,
     /*  386871 */     // GIR_Coverage, 61493,
     /*  386871 */     GIR_EraseRootFromParent_Done,
     /*  386872 */   // Label 6933: @386872
     /*  386872 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386938), // Rule ID 61496 //
     /*  386877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386936 */     GIR_RootConstrainSelectedInstOperands,
     /*  386937 */     // GIR_Coverage, 61496,
     /*  386937 */     GIR_EraseRootFromParent_Done,
     /*  386938 */   // Label 6934: @386938
     /*  386938 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(387004), // Rule ID 61497 //
     /*  386943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387002 */     GIR_RootConstrainSelectedInstOperands,
     /*  387003 */     // GIR_Coverage, 61497,
     /*  387003 */     GIR_EraseRootFromParent_Done,
     /*  387004 */   // Label 6935: @387004
     /*  387004 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(387070), // Rule ID 61500 //
     /*  387009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  387023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387068 */     GIR_RootConstrainSelectedInstOperands,
     /*  387069 */     // GIR_Coverage, 61500,
     /*  387069 */     GIR_EraseRootFromParent_Done,
     /*  387070 */   // Label 6936: @387070
     /*  387070 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(387136), // Rule ID 61501 //
     /*  387075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  387089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387134 */     GIR_RootConstrainSelectedInstOperands,
     /*  387135 */     // GIR_Coverage, 61501,
     /*  387135 */     GIR_EraseRootFromParent_Done,
     /*  387136 */   // Label 6937: @387136
     /*  387136 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(387202), // Rule ID 61504 //
     /*  387141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  387158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  387180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387200 */     GIR_RootConstrainSelectedInstOperands,
     /*  387201 */     // GIR_Coverage, 61504,
     /*  387201 */     GIR_EraseRootFromParent_Done,
     /*  387202 */   // Label 6938: @387202
     /*  387202 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(387268), // Rule ID 61505 //
     /*  387207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  387224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  387246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387266 */     GIR_RootConstrainSelectedInstOperands,
     /*  387267 */     // GIR_Coverage, 61505,
     /*  387267 */     GIR_EraseRootFromParent_Done,
     /*  387268 */   // Label 6939: @387268
     /*  387268 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(387334), // Rule ID 61508 //
     /*  387273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387332 */     GIR_RootConstrainSelectedInstOperands,
     /*  387333 */     // GIR_Coverage, 61508,
     /*  387333 */     GIR_EraseRootFromParent_Done,
     /*  387334 */   // Label 6940: @387334
     /*  387334 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(387400), // Rule ID 61509 //
     /*  387339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387398 */     GIR_RootConstrainSelectedInstOperands,
     /*  387399 */     // GIR_Coverage, 61509,
     /*  387399 */     GIR_EraseRootFromParent_Done,
     /*  387400 */   // Label 6941: @387400
     /*  387400 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(387466), // Rule ID 61512 //
     /*  387405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387464 */     GIR_RootConstrainSelectedInstOperands,
     /*  387465 */     // GIR_Coverage, 61512,
     /*  387465 */     GIR_EraseRootFromParent_Done,
     /*  387466 */   // Label 6942: @387466
     /*  387466 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(387532), // Rule ID 61513 //
     /*  387471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387530 */     GIR_RootConstrainSelectedInstOperands,
     /*  387531 */     // GIR_Coverage, 61513,
     /*  387531 */     GIR_EraseRootFromParent_Done,
     /*  387532 */   // Label 6943: @387532
     /*  387532 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(387598), // Rule ID 61516 //
     /*  387537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  387551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  387554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387576 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387596 */     GIR_RootConstrainSelectedInstOperands,
     /*  387597 */     // GIR_Coverage, 61516,
     /*  387597 */     GIR_EraseRootFromParent_Done,
     /*  387598 */   // Label 6944: @387598
     /*  387598 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387664), // Rule ID 61517 //
     /*  387603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  387617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  387620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387662 */     GIR_RootConstrainSelectedInstOperands,
     /*  387663 */     // GIR_Coverage, 61517,
     /*  387663 */     GIR_EraseRootFromParent_Done,
     /*  387664 */   // Label 6945: @387664
     /*  387664 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387730), // Rule ID 61520 //
     /*  387669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  387686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387728 */     GIR_RootConstrainSelectedInstOperands,
     /*  387729 */     // GIR_Coverage, 61520,
     /*  387729 */     GIR_EraseRootFromParent_Done,
     /*  387730 */   // Label 6946: @387730
     /*  387730 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387796), // Rule ID 61521 //
     /*  387735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  387752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387794 */     GIR_RootConstrainSelectedInstOperands,
     /*  387795 */     // GIR_Coverage, 61521,
     /*  387795 */     GIR_EraseRootFromParent_Done,
     /*  387796 */   // Label 6947: @387796
     /*  387796 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387862), // Rule ID 61524 //
     /*  387801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387860 */     GIR_RootConstrainSelectedInstOperands,
     /*  387861 */     // GIR_Coverage, 61524,
     /*  387861 */     GIR_EraseRootFromParent_Done,
     /*  387862 */   // Label 6948: @387862
     /*  387862 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387928), // Rule ID 61525 //
     /*  387867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387926 */     GIR_RootConstrainSelectedInstOperands,
     /*  387927 */     // GIR_Coverage, 61525,
     /*  387927 */     GIR_EraseRootFromParent_Done,
     /*  387928 */   // Label 6949: @387928
     /*  387928 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387994), // Rule ID 61528 //
     /*  387933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  387947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  387950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387992 */     GIR_RootConstrainSelectedInstOperands,
     /*  387993 */     // GIR_Coverage, 61528,
     /*  387993 */     GIR_EraseRootFromParent_Done,
     /*  387994 */   // Label 6950: @387994
     /*  387994 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(388060), // Rule ID 61529 //
     /*  387999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  388013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  388016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388058 */     GIR_RootConstrainSelectedInstOperands,
     /*  388059 */     // GIR_Coverage, 61529,
     /*  388059 */     GIR_EraseRootFromParent_Done,
     /*  388060 */   // Label 6951: @388060
     /*  388060 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(388126), // Rule ID 61532 //
     /*  388065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  388082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388124 */     GIR_RootConstrainSelectedInstOperands,
     /*  388125 */     // GIR_Coverage, 61532,
     /*  388125 */     GIR_EraseRootFromParent_Done,
     /*  388126 */   // Label 6952: @388126
     /*  388126 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(388192), // Rule ID 61533 //
     /*  388131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  388148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388190 */     GIR_RootConstrainSelectedInstOperands,
     /*  388191 */     // GIR_Coverage, 61533,
     /*  388191 */     GIR_EraseRootFromParent_Done,
     /*  388192 */   // Label 6953: @388192
     /*  388192 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(388258), // Rule ID 61536 //
     /*  388197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388256 */     GIR_RootConstrainSelectedInstOperands,
     /*  388257 */     // GIR_Coverage, 61536,
     /*  388257 */     GIR_EraseRootFromParent_Done,
     /*  388258 */   // Label 6954: @388258
     /*  388258 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(388324), // Rule ID 61537 //
     /*  388263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388322 */     GIR_RootConstrainSelectedInstOperands,
     /*  388323 */     // GIR_Coverage, 61537,
     /*  388323 */     GIR_EraseRootFromParent_Done,
     /*  388324 */   // Label 6955: @388324
     /*  388324 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(388390), // Rule ID 61540 //
     /*  388329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388388 */     GIR_RootConstrainSelectedInstOperands,
     /*  388389 */     // GIR_Coverage, 61540,
     /*  388389 */     GIR_EraseRootFromParent_Done,
     /*  388390 */   // Label 6956: @388390
     /*  388390 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(388456), // Rule ID 61541 //
     /*  388395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388454 */     GIR_RootConstrainSelectedInstOperands,
     /*  388455 */     // GIR_Coverage, 61541,
     /*  388455 */     GIR_EraseRootFromParent_Done,
     /*  388456 */   // Label 6957: @388456
     /*  388456 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(388522), // Rule ID 61544 //
     /*  388461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  388478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388520 */     GIR_RootConstrainSelectedInstOperands,
     /*  388521 */     // GIR_Coverage, 61544,
     /*  388521 */     GIR_EraseRootFromParent_Done,
     /*  388522 */   // Label 6958: @388522
     /*  388522 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388588), // Rule ID 61545 //
     /*  388527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  388544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388586 */     GIR_RootConstrainSelectedInstOperands,
     /*  388587 */     // GIR_Coverage, 61545,
     /*  388587 */     GIR_EraseRootFromParent_Done,
     /*  388588 */   // Label 6959: @388588
     /*  388588 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388654), // Rule ID 61548 //
     /*  388593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  388607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  388610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388652 */     GIR_RootConstrainSelectedInstOperands,
     /*  388653 */     // GIR_Coverage, 61548,
     /*  388653 */     GIR_EraseRootFromParent_Done,
     /*  388654 */   // Label 6960: @388654
     /*  388654 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388720), // Rule ID 61549 //
     /*  388659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  388673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  388676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388718 */     GIR_RootConstrainSelectedInstOperands,
     /*  388719 */     // GIR_Coverage, 61549,
     /*  388719 */     GIR_EraseRootFromParent_Done,
     /*  388720 */   // Label 6961: @388720
     /*  388720 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388786), // Rule ID 61552 //
     /*  388725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  388739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  388742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388784 */     GIR_RootConstrainSelectedInstOperands,
     /*  388785 */     // GIR_Coverage, 61552,
     /*  388785 */     GIR_EraseRootFromParent_Done,
     /*  388786 */   // Label 6962: @388786
     /*  388786 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388852), // Rule ID 61553 //
     /*  388791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  388805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  388808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388830 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388850 */     GIR_RootConstrainSelectedInstOperands,
     /*  388851 */     // GIR_Coverage, 61553,
     /*  388851 */     GIR_EraseRootFromParent_Done,
     /*  388852 */   // Label 6963: @388852
     /*  388852 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388917), // Rule ID 64444 //
     /*  388857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  388865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388901 */     // MIs[1] Operand 1
     /*  388901 */     // No operand predicates
     /*  388901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388903 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  388906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388915 */     GIR_RootConstrainSelectedInstOperands,
     /*  388916 */     // GIR_Coverage, 64444,
     /*  388916 */     GIR_EraseRootFromParent_Done,
     /*  388917 */   // Label 6964: @388917
     /*  388917 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388982), // Rule ID 64471 //
     /*  388922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  388930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388966 */     // MIs[1] Operand 1
     /*  388966 */     // No operand predicates
     /*  388966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388968 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  388971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388980 */     GIR_RootConstrainSelectedInstOperands,
     /*  388981 */     // GIR_Coverage, 64471,
     /*  388981 */     GIR_EraseRootFromParent_Done,
     /*  388982 */   // Label 6965: @388982
     /*  388982 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(389047), // Rule ID 64474 //
     /*  388987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  388995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389031 */     // MIs[1] Operand 1
     /*  389031 */     // No operand predicates
     /*  389031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389033 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  389036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389045 */     GIR_RootConstrainSelectedInstOperands,
     /*  389046 */     // GIR_Coverage, 64474,
     /*  389046 */     GIR_EraseRootFromParent_Done,
     /*  389047 */   // Label 6966: @389047
     /*  389047 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(389112), // Rule ID 64477 //
     /*  389052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  389060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389096 */     // MIs[1] Operand 1
     /*  389096 */     // No operand predicates
     /*  389096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389098 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  389101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389110 */     GIR_RootConstrainSelectedInstOperands,
     /*  389111 */     // GIR_Coverage, 64477,
     /*  389111 */     GIR_EraseRootFromParent_Done,
     /*  389112 */   // Label 6967: @389112
     /*  389112 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(389177), // Rule ID 64480 //
     /*  389117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  389125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389161 */     // MIs[1] Operand 1
     /*  389161 */     // No operand predicates
     /*  389161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389163 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  389166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389175 */     GIR_RootConstrainSelectedInstOperands,
     /*  389176 */     // GIR_Coverage, 64480,
     /*  389176 */     GIR_EraseRootFromParent_Done,
     /*  389177 */   // Label 6968: @389177
     /*  389177 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(389242), // Rule ID 64483 //
     /*  389182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  389190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389226 */     // MIs[1] Operand 1
     /*  389226 */     // No operand predicates
     /*  389226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389228 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  389231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389240 */     GIR_RootConstrainSelectedInstOperands,
     /*  389241 */     // GIR_Coverage, 64483,
     /*  389241 */     GIR_EraseRootFromParent_Done,
     /*  389242 */   // Label 6969: @389242
     /*  389242 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(389307), // Rule ID 64486 //
     /*  389247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  389255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389291 */     // MIs[1] Operand 1
     /*  389291 */     // No operand predicates
     /*  389291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389293 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  389296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389305 */     GIR_RootConstrainSelectedInstOperands,
     /*  389306 */     // GIR_Coverage, 64486,
     /*  389306 */     GIR_EraseRootFromParent_Done,
     /*  389307 */   // Label 6970: @389307
     /*  389307 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(389372), // Rule ID 64489 //
     /*  389312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  389320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389356 */     // MIs[1] Operand 1
     /*  389356 */     // No operand predicates
     /*  389356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389358 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  389361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389370 */     GIR_RootConstrainSelectedInstOperands,
     /*  389371 */     // GIR_Coverage, 64489,
     /*  389371 */     GIR_EraseRootFromParent_Done,
     /*  389372 */   // Label 6971: @389372
     /*  389372 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389427), // Rule ID 2637 //
     /*  389377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  389385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389406 */     // MIs[0] imm
     /*  389406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389414 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  389417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389423 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389425 */     GIR_RootConstrainSelectedInstOperands,
     /*  389426 */     // GIR_Coverage, 2637,
     /*  389426 */     GIR_EraseRootFromParent_Done,
     /*  389427 */   // Label 6972: @389427
     /*  389427 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389482), // Rule ID 2638 //
     /*  389432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  389440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389461 */     // MIs[0] imm
     /*  389461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389469 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  389472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389478 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389480 */     GIR_RootConstrainSelectedInstOperands,
     /*  389481 */     // GIR_Coverage, 2638,
     /*  389481 */     GIR_EraseRootFromParent_Done,
     /*  389482 */   // Label 6973: @389482
     /*  389482 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389537), // Rule ID 2644 //
     /*  389487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  389490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  389495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389516 */     // MIs[0] imm
     /*  389516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389524 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  389527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389533 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389535 */     GIR_RootConstrainSelectedInstOperands,
     /*  389536 */     // GIR_Coverage, 2644,
     /*  389536 */     GIR_EraseRootFromParent_Done,
     /*  389537 */   // Label 6974: @389537
     /*  389537 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389592), // Rule ID 2645 //
     /*  389542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  389545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  389550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389571 */     // MIs[0] imm
     /*  389571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389579 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  389582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389588 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389590 */     GIR_RootConstrainSelectedInstOperands,
     /*  389591 */     // GIR_Coverage, 2645,
     /*  389591 */     GIR_EraseRootFromParent_Done,
     /*  389592 */   // Label 6975: @389592
     /*  389592 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389647), // Rule ID 64500 //
     /*  389597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  389605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389626 */     // MIs[0] imm5
     /*  389626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389634 */     // (intrinsic_wo_chain:{ *:[i32] } 10964:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  389637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389643 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389645 */     GIR_RootConstrainSelectedInstOperands,
     /*  389646 */     // GIR_Coverage, 64500,
     /*  389646 */     GIR_EraseRootFromParent_Done,
     /*  389647 */   // Label 6976: @389647
     /*  389647 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389702), // Rule ID 64501 //
     /*  389652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  389660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389681 */     // MIs[0] imm5
     /*  389681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389689 */     // (intrinsic_wo_chain:{ *:[i32] } 10960:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  389692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389698 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389700 */     GIR_RootConstrainSelectedInstOperands,
     /*  389701 */     // GIR_Coverage, 64501,
     /*  389701 */     GIR_EraseRootFromParent_Done,
     /*  389702 */   // Label 6977: @389702
     /*  389702 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389757), // Rule ID 64502 //
     /*  389707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  389715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389736 */     // MIs[0] imm5
     /*  389736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389744 */     // (intrinsic_wo_chain:{ *:[i32] } 10962:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  389747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389753 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389755 */     GIR_RootConstrainSelectedInstOperands,
     /*  389756 */     // GIR_Coverage, 64502,
     /*  389756 */     GIR_EraseRootFromParent_Done,
     /*  389757 */   // Label 6978: @389757
     /*  389757 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389812), // Rule ID 64503 //
     /*  389762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  389770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389791 */     // MIs[0] imm5
     /*  389791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389799 */     // (intrinsic_wo_chain:{ *:[i32] } 10958:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  389802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389808 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389810 */     GIR_RootConstrainSelectedInstOperands,
     /*  389811 */     // GIR_Coverage, 64503,
     /*  389811 */     GIR_EraseRootFromParent_Done,
     /*  389812 */   // Label 6979: @389812
     /*  389812 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389867), // Rule ID 64504 //
     /*  389817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  389825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389846 */     // MIs[0] imm5
     /*  389846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389854 */     // (intrinsic_wo_chain:{ *:[i32] } 10965:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  389857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389863 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389865 */     GIR_RootConstrainSelectedInstOperands,
     /*  389866 */     // GIR_Coverage, 64504,
     /*  389866 */     GIR_EraseRootFromParent_Done,
     /*  389867 */   // Label 6980: @389867
     /*  389867 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389922), // Rule ID 64505 //
     /*  389872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  389880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389901 */     // MIs[0] imm5
     /*  389901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389909 */     // (intrinsic_wo_chain:{ *:[i32] } 10961:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  389912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389918 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389920 */     GIR_RootConstrainSelectedInstOperands,
     /*  389921 */     // GIR_Coverage, 64505,
     /*  389921 */     GIR_EraseRootFromParent_Done,
     /*  389922 */   // Label 6981: @389922
     /*  389922 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389977), // Rule ID 64506 //
     /*  389927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  389935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389956 */     // MIs[0] imm5
     /*  389956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389964 */     // (intrinsic_wo_chain:{ *:[i32] } 10963:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  389967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389973 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389975 */     GIR_RootConstrainSelectedInstOperands,
     /*  389976 */     // GIR_Coverage, 64506,
     /*  389976 */     GIR_EraseRootFromParent_Done,
     /*  389977 */   // Label 6982: @389977
     /*  389977 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(390032), // Rule ID 64507 //
     /*  389982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  389990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390011 */     // MIs[0] imm5
     /*  390011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390019 */     // (intrinsic_wo_chain:{ *:[i32] } 10959:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  390022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390028 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390030 */     GIR_RootConstrainSelectedInstOperands,
     /*  390031 */     // GIR_Coverage, 64507,
     /*  390031 */     GIR_EraseRootFromParent_Done,
     /*  390032 */   // Label 6983: @390032
     /*  390032 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(390086), // Rule ID 64442 //
     /*  390037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  390045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390073 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  390076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390084 */     GIR_RootConstrainSelectedInstOperands,
     /*  390085 */     // GIR_Coverage, 64442,
     /*  390085 */     GIR_EraseRootFromParent_Done,
     /*  390086 */   // Label 6984: @390086
     /*  390086 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(390140), // Rule ID 64443 //
     /*  390091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  390099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390127 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  390130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390138 */     GIR_RootConstrainSelectedInstOperands,
     /*  390139 */     // GIR_Coverage, 64443,
     /*  390139 */     GIR_EraseRootFromParent_Done,
     /*  390140 */   // Label 6985: @390140
     /*  390140 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390194), // Rule ID 64469 //
     /*  390145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  390153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390181 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  390184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390192 */     GIR_RootConstrainSelectedInstOperands,
     /*  390193 */     // GIR_Coverage, 64469,
     /*  390193 */     GIR_EraseRootFromParent_Done,
     /*  390194 */   // Label 6986: @390194
     /*  390194 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390248), // Rule ID 64470 //
     /*  390199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  390207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390235 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  390238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390246 */     GIR_RootConstrainSelectedInstOperands,
     /*  390247 */     // GIR_Coverage, 64470,
     /*  390247 */     GIR_EraseRootFromParent_Done,
     /*  390248 */   // Label 6987: @390248
     /*  390248 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390302), // Rule ID 64472 //
     /*  390253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390289 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390300 */     GIR_RootConstrainSelectedInstOperands,
     /*  390301 */     // GIR_Coverage, 64472,
     /*  390301 */     GIR_EraseRootFromParent_Done,
     /*  390302 */   // Label 6988: @390302
     /*  390302 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390356), // Rule ID 64473 //
     /*  390307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390343 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390354 */     GIR_RootConstrainSelectedInstOperands,
     /*  390355 */     // GIR_Coverage, 64473,
     /*  390355 */     GIR_EraseRootFromParent_Done,
     /*  390356 */   // Label 6989: @390356
     /*  390356 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390410), // Rule ID 64475 //
     /*  390361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390397 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390408 */     GIR_RootConstrainSelectedInstOperands,
     /*  390409 */     // GIR_Coverage, 64475,
     /*  390409 */     GIR_EraseRootFromParent_Done,
     /*  390410 */   // Label 6990: @390410
     /*  390410 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390464), // Rule ID 64476 //
     /*  390415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390451 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390462 */     GIR_RootConstrainSelectedInstOperands,
     /*  390463 */     // GIR_Coverage, 64476,
     /*  390463 */     GIR_EraseRootFromParent_Done,
     /*  390464 */   // Label 6991: @390464
     /*  390464 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390518), // Rule ID 64478 //
     /*  390469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  390477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390505 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  390508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390516 */     GIR_RootConstrainSelectedInstOperands,
     /*  390517 */     // GIR_Coverage, 64478,
     /*  390517 */     GIR_EraseRootFromParent_Done,
     /*  390518 */   // Label 6992: @390518
     /*  390518 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390572), // Rule ID 64479 //
     /*  390523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  390531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390559 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  390562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390570 */     GIR_RootConstrainSelectedInstOperands,
     /*  390571 */     // GIR_Coverage, 64479,
     /*  390571 */     GIR_EraseRootFromParent_Done,
     /*  390572 */   // Label 6993: @390572
     /*  390572 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390626), // Rule ID 64481 //
     /*  390577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  390585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390613 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  390616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390624 */     GIR_RootConstrainSelectedInstOperands,
     /*  390625 */     // GIR_Coverage, 64481,
     /*  390625 */     GIR_EraseRootFromParent_Done,
     /*  390626 */   // Label 6994: @390626
     /*  390626 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390680), // Rule ID 64482 //
     /*  390631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  390639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390667 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  390670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390678 */     GIR_RootConstrainSelectedInstOperands,
     /*  390679 */     // GIR_Coverage, 64482,
     /*  390679 */     GIR_EraseRootFromParent_Done,
     /*  390680 */   // Label 6995: @390680
     /*  390680 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390734), // Rule ID 64484 //
     /*  390685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  390693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390721 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  390724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390732 */     GIR_RootConstrainSelectedInstOperands,
     /*  390733 */     // GIR_Coverage, 64484,
     /*  390733 */     GIR_EraseRootFromParent_Done,
     /*  390734 */   // Label 6996: @390734
     /*  390734 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390788), // Rule ID 64485 //
     /*  390739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  390747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390775 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  390778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390786 */     GIR_RootConstrainSelectedInstOperands,
     /*  390787 */     // GIR_Coverage, 64485,
     /*  390787 */     GIR_EraseRootFromParent_Done,
     /*  390788 */   // Label 6997: @390788
     /*  390788 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390842), // Rule ID 64487 //
     /*  390793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  390801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390829 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  390832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390840 */     GIR_RootConstrainSelectedInstOperands,
     /*  390841 */     // GIR_Coverage, 64487,
     /*  390841 */     GIR_EraseRootFromParent_Done,
     /*  390842 */   // Label 6998: @390842
     /*  390842 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390896), // Rule ID 64488 //
     /*  390847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  390855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390883 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  390886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390894 */     GIR_RootConstrainSelectedInstOperands,
     /*  390895 */     // GIR_Coverage, 64488,
     /*  390895 */     GIR_EraseRootFromParent_Done,
     /*  390896 */   // Label 6999: @390896
     /*  390896 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(390950), // Rule ID 64425 //
     /*  390901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  390904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  390909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390937 */     // (intrinsic_wo_chain:{ *:[i32] } 10947:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  390940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390948 */     GIR_RootConstrainSelectedInstOperands,
     /*  390949 */     // GIR_Coverage, 64425,
     /*  390949 */     GIR_EraseRootFromParent_Done,
     /*  390950 */   // Label 7000: @390950
     /*  390950 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391004), // Rule ID 64426 //
     /*  390955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  390958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  390963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390991 */     // (intrinsic_wo_chain:{ *:[i32] } 10947:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  390994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391002 */     GIR_RootConstrainSelectedInstOperands,
     /*  391003 */     // GIR_Coverage, 64426,
     /*  391003 */     GIR_EraseRootFromParent_Done,
     /*  391004 */   // Label 7001: @391004
     /*  391004 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391058), // Rule ID 64496 //
     /*  391009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  391012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  391017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391045 */     // (intrinsic_wo_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  391048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391056 */     GIR_RootConstrainSelectedInstOperands,
     /*  391057 */     // GIR_Coverage, 64496,
     /*  391057 */     GIR_EraseRootFromParent_Done,
     /*  391058 */   // Label 7002: @391058
     /*  391058 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391112), // Rule ID 64497 //
     /*  391063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  391066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  391071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391099 */     // (intrinsic_wo_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  391102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391110 */     GIR_RootConstrainSelectedInstOperands,
     /*  391111 */     // GIR_Coverage, 64497,
     /*  391111 */     GIR_EraseRootFromParent_Done,
     /*  391112 */   // Label 7003: @391112
     /*  391112 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391166), // Rule ID 64498 //
     /*  391117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  391120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  391125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391153 */     // (intrinsic_wo_chain:{ *:[i32] } 10957:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  391156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391164 */     GIR_RootConstrainSelectedInstOperands,
     /*  391165 */     // GIR_Coverage, 64498,
     /*  391165 */     GIR_EraseRootFromParent_Done,
     /*  391166 */   // Label 7004: @391166
     /*  391166 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391220), // Rule ID 64499 //
     /*  391171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  391174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  391179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391207 */     // (intrinsic_wo_chain:{ *:[i32] } 10957:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  391210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391218 */     GIR_RootConstrainSelectedInstOperands,
     /*  391219 */     // GIR_Coverage, 64499,
     /*  391219 */     GIR_EraseRootFromParent_Done,
     /*  391220 */   // Label 7005: @391220
     /*  391220 */   GIM_Reject,
     /*  391221 */ // Label 4380: @391221
     /*  391221 */ GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(909998),
     /*  391226 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  391229 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391304), // Rule ID 62829 //
     /*  391234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391252 */     // MIs[0] op1
     /*  391252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391260 */     // MIs[0] op2
     /*  391260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391268 */     // MIs[0] op3
     /*  391268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391302 */     GIR_RootConstrainSelectedInstOperands,
     /*  391303 */     // GIR_Coverage, 62829,
     /*  391303 */     GIR_EraseRootFromParent_Done,
     /*  391304 */   // Label 7007: @391304
     /*  391304 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391379), // Rule ID 62830 //
     /*  391309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391327 */     // MIs[0] op1
     /*  391327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391335 */     // MIs[0] op2
     /*  391335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391343 */     // MIs[0] op3
     /*  391343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391377 */     GIR_RootConstrainSelectedInstOperands,
     /*  391378 */     // GIR_Coverage, 62830,
     /*  391378 */     GIR_EraseRootFromParent_Done,
     /*  391379 */   // Label 7008: @391379
     /*  391379 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391454), // Rule ID 62861 //
     /*  391384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391402 */     // MIs[0] op1
     /*  391402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391410 */     // MIs[0] op2
     /*  391410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391418 */     // MIs[0] op3
     /*  391418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391452 */     GIR_RootConstrainSelectedInstOperands,
     /*  391453 */     // GIR_Coverage, 62861,
     /*  391453 */     GIR_EraseRootFromParent_Done,
     /*  391454 */   // Label 7009: @391454
     /*  391454 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391529), // Rule ID 62862 //
     /*  391459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391477 */     // MIs[0] op1
     /*  391477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391485 */     // MIs[0] op2
     /*  391485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391493 */     // MIs[0] op3
     /*  391493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391527 */     GIR_RootConstrainSelectedInstOperands,
     /*  391528 */     // GIR_Coverage, 62862,
     /*  391528 */     GIR_EraseRootFromParent_Done,
     /*  391529 */   // Label 7010: @391529
     /*  391529 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391604), // Rule ID 62905 //
     /*  391534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391552 */     // MIs[0] op1
     /*  391552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391560 */     // MIs[0] op2
     /*  391560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391568 */     // MIs[0] op3
     /*  391568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391602 */     GIR_RootConstrainSelectedInstOperands,
     /*  391603 */     // GIR_Coverage, 62905,
     /*  391603 */     GIR_EraseRootFromParent_Done,
     /*  391604 */   // Label 7011: @391604
     /*  391604 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391679), // Rule ID 62906 //
     /*  391609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391627 */     // MIs[0] op1
     /*  391627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391635 */     // MIs[0] op2
     /*  391635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391643 */     // MIs[0] op3
     /*  391643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391677 */     GIR_RootConstrainSelectedInstOperands,
     /*  391678 */     // GIR_Coverage, 62906,
     /*  391678 */     GIR_EraseRootFromParent_Done,
     /*  391679 */   // Label 7012: @391679
     /*  391679 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(391754), // Rule ID 62949 //
     /*  391684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391702 */     // MIs[0] op1
     /*  391702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391710 */     // MIs[0] op2
     /*  391710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391718 */     // MIs[0] op3
     /*  391718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391752 */     GIR_RootConstrainSelectedInstOperands,
     /*  391753 */     // GIR_Coverage, 62949,
     /*  391753 */     GIR_EraseRootFromParent_Done,
     /*  391754 */   // Label 7013: @391754
     /*  391754 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(391829), // Rule ID 62950 //
     /*  391759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391777 */     // MIs[0] op1
     /*  391777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391785 */     // MIs[0] op2
     /*  391785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391793 */     // MIs[0] op3
     /*  391793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391813 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391815 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391817 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391827 */     GIR_RootConstrainSelectedInstOperands,
     /*  391828 */     // GIR_Coverage, 62950,
     /*  391828 */     GIR_EraseRootFromParent_Done,
     /*  391829 */   // Label 7014: @391829
     /*  391829 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(391904), // Rule ID 63005 //
     /*  391834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391852 */     // MIs[0] op1
     /*  391852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391860 */     // MIs[0] op2
     /*  391860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391868 */     // MIs[0] op3
     /*  391868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391902 */     GIR_RootConstrainSelectedInstOperands,
     /*  391903 */     // GIR_Coverage, 63005,
     /*  391903 */     GIR_EraseRootFromParent_Done,
     /*  391904 */   // Label 7015: @391904
     /*  391904 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(391979), // Rule ID 63006 //
     /*  391909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391927 */     // MIs[0] op1
     /*  391927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391935 */     // MIs[0] op2
     /*  391935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391943 */     // MIs[0] op3
     /*  391943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391977 */     GIR_RootConstrainSelectedInstOperands,
     /*  391978 */     // GIR_Coverage, 63006,
     /*  391978 */     GIR_EraseRootFromParent_Done,
     /*  391979 */   // Label 7016: @391979
     /*  391979 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392054), // Rule ID 63061 //
     /*  391984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392002 */     // MIs[0] op1
     /*  392002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392010 */     // MIs[0] op2
     /*  392010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392018 */     // MIs[0] op3
     /*  392018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392052 */     GIR_RootConstrainSelectedInstOperands,
     /*  392053 */     // GIR_Coverage, 63061,
     /*  392053 */     GIR_EraseRootFromParent_Done,
     /*  392054 */   // Label 7017: @392054
     /*  392054 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392129), // Rule ID 63062 //
     /*  392059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392077 */     // MIs[0] op1
     /*  392077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392085 */     // MIs[0] op2
     /*  392085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392093 */     // MIs[0] op3
     /*  392093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392127 */     GIR_RootConstrainSelectedInstOperands,
     /*  392128 */     // GIR_Coverage, 63062,
     /*  392128 */     GIR_EraseRootFromParent_Done,
     /*  392129 */   // Label 7018: @392129
     /*  392129 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392204), // Rule ID 63117 //
     /*  392134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392152 */     // MIs[0] op1
     /*  392152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392160 */     // MIs[0] op2
     /*  392160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392168 */     // MIs[0] op3
     /*  392168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392202 */     GIR_RootConstrainSelectedInstOperands,
     /*  392203 */     // GIR_Coverage, 63117,
     /*  392203 */     GIR_EraseRootFromParent_Done,
     /*  392204 */   // Label 7019: @392204
     /*  392204 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392279), // Rule ID 63118 //
     /*  392209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392227 */     // MIs[0] op1
     /*  392227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392235 */     // MIs[0] op2
     /*  392235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392243 */     // MIs[0] op3
     /*  392243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392246 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392277 */     GIR_RootConstrainSelectedInstOperands,
     /*  392278 */     // GIR_Coverage, 63118,
     /*  392278 */     GIR_EraseRootFromParent_Done,
     /*  392279 */   // Label 7020: @392279
     /*  392279 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392354), // Rule ID 63161 //
     /*  392284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392302 */     // MIs[0] op1
     /*  392302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392310 */     // MIs[0] op2
     /*  392310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392318 */     // MIs[0] op3
     /*  392318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392352 */     GIR_RootConstrainSelectedInstOperands,
     /*  392353 */     // GIR_Coverage, 63161,
     /*  392353 */     GIR_EraseRootFromParent_Done,
     /*  392354 */   // Label 7021: @392354
     /*  392354 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392429), // Rule ID 63162 //
     /*  392359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392377 */     // MIs[0] op1
     /*  392377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392385 */     // MIs[0] op2
     /*  392385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392393 */     // MIs[0] op3
     /*  392393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392427 */     GIR_RootConstrainSelectedInstOperands,
     /*  392428 */     // GIR_Coverage, 63162,
     /*  392428 */     GIR_EraseRootFromParent_Done,
     /*  392429 */   // Label 7022: @392429
     /*  392429 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392504), // Rule ID 63217 //
     /*  392434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392452 */     // MIs[0] op1
     /*  392452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392460 */     // MIs[0] op2
     /*  392460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392468 */     // MIs[0] op3
     /*  392468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392502 */     GIR_RootConstrainSelectedInstOperands,
     /*  392503 */     // GIR_Coverage, 63217,
     /*  392503 */     GIR_EraseRootFromParent_Done,
     /*  392504 */   // Label 7023: @392504
     /*  392504 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392579), // Rule ID 63218 //
     /*  392509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392527 */     // MIs[0] op1
     /*  392527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392535 */     // MIs[0] op2
     /*  392535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392543 */     // MIs[0] op3
     /*  392543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392577 */     GIR_RootConstrainSelectedInstOperands,
     /*  392578 */     // GIR_Coverage, 63218,
     /*  392578 */     GIR_EraseRootFromParent_Done,
     /*  392579 */   // Label 7024: @392579
     /*  392579 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392654), // Rule ID 63273 //
     /*  392584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392602 */     // MIs[0] op1
     /*  392602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392610 */     // MIs[0] op2
     /*  392610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392618 */     // MIs[0] op3
     /*  392618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392652 */     GIR_RootConstrainSelectedInstOperands,
     /*  392653 */     // GIR_Coverage, 63273,
     /*  392653 */     GIR_EraseRootFromParent_Done,
     /*  392654 */   // Label 7025: @392654
     /*  392654 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392729), // Rule ID 63274 //
     /*  392659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392677 */     // MIs[0] op1
     /*  392677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392685 */     // MIs[0] op2
     /*  392685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392693 */     // MIs[0] op3
     /*  392693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392713 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392715 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392717 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392727 */     GIR_RootConstrainSelectedInstOperands,
     /*  392728 */     // GIR_Coverage, 63274,
     /*  392728 */     GIR_EraseRootFromParent_Done,
     /*  392729 */   // Label 7026: @392729
     /*  392729 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(392804), // Rule ID 63329 //
     /*  392734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392752 */     // MIs[0] op1
     /*  392752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392760 */     // MIs[0] op2
     /*  392760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392768 */     // MIs[0] op3
     /*  392768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  392786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392802 */     GIR_RootConstrainSelectedInstOperands,
     /*  392803 */     // GIR_Coverage, 63329,
     /*  392803 */     GIR_EraseRootFromParent_Done,
     /*  392804 */   // Label 7027: @392804
     /*  392804 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(392879), // Rule ID 63330 //
     /*  392809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392827 */     // MIs[0] op1
     /*  392827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392835 */     // MIs[0] op2
     /*  392835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392843 */     // MIs[0] op3
     /*  392843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  392861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392877 */     GIR_RootConstrainSelectedInstOperands,
     /*  392878 */     // GIR_Coverage, 63330,
     /*  392878 */     GIR_EraseRootFromParent_Done,
     /*  392879 */   // Label 7028: @392879
     /*  392879 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(392954), // Rule ID 63373 //
     /*  392884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392902 */     // MIs[0] op1
     /*  392902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392910 */     // MIs[0] op2
     /*  392910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392918 */     // MIs[0] op3
     /*  392918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  392936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392952 */     GIR_RootConstrainSelectedInstOperands,
     /*  392953 */     // GIR_Coverage, 63373,
     /*  392953 */     GIR_EraseRootFromParent_Done,
     /*  392954 */   // Label 7029: @392954
     /*  392954 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393029), // Rule ID 63374 //
     /*  392959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392977 */     // MIs[0] op1
     /*  392977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392985 */     // MIs[0] op2
     /*  392985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392993 */     // MIs[0] op3
     /*  392993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393027 */     GIR_RootConstrainSelectedInstOperands,
     /*  393028 */     // GIR_Coverage, 63374,
     /*  393028 */     GIR_EraseRootFromParent_Done,
     /*  393029 */   // Label 7030: @393029
     /*  393029 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393104), // Rule ID 63417 //
     /*  393034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393052 */     // MIs[0] op1
     /*  393052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393060 */     // MIs[0] op2
     /*  393060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393068 */     // MIs[0] op3
     /*  393068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393102 */     GIR_RootConstrainSelectedInstOperands,
     /*  393103 */     // GIR_Coverage, 63417,
     /*  393103 */     GIR_EraseRootFromParent_Done,
     /*  393104 */   // Label 7031: @393104
     /*  393104 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393179), // Rule ID 63418 //
     /*  393109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393127 */     // MIs[0] op1
     /*  393127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393135 */     // MIs[0] op2
     /*  393135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393143 */     // MIs[0] op3
     /*  393143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393177 */     GIR_RootConstrainSelectedInstOperands,
     /*  393178 */     // GIR_Coverage, 63418,
     /*  393178 */     GIR_EraseRootFromParent_Done,
     /*  393179 */   // Label 7032: @393179
     /*  393179 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393254), // Rule ID 63461 //
     /*  393184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393202 */     // MIs[0] op1
     /*  393202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393210 */     // MIs[0] op2
     /*  393210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393218 */     // MIs[0] op3
     /*  393218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393238 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393240 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393242 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393252 */     GIR_RootConstrainSelectedInstOperands,
     /*  393253 */     // GIR_Coverage, 63461,
     /*  393253 */     GIR_EraseRootFromParent_Done,
     /*  393254 */   // Label 7033: @393254
     /*  393254 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393329), // Rule ID 63462 //
     /*  393259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393277 */     // MIs[0] op1
     /*  393277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393285 */     // MIs[0] op2
     /*  393285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393293 */     // MIs[0] op3
     /*  393293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393327 */     GIR_RootConstrainSelectedInstOperands,
     /*  393328 */     // GIR_Coverage, 63462,
     /*  393328 */     GIR_EraseRootFromParent_Done,
     /*  393329 */   // Label 7034: @393329
     /*  393329 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393404), // Rule ID 63517 //
     /*  393334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393352 */     // MIs[0] op1
     /*  393352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393360 */     // MIs[0] op2
     /*  393360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393368 */     // MIs[0] op3
     /*  393368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393402 */     GIR_RootConstrainSelectedInstOperands,
     /*  393403 */     // GIR_Coverage, 63517,
     /*  393403 */     GIR_EraseRootFromParent_Done,
     /*  393404 */   // Label 7035: @393404
     /*  393404 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393479), // Rule ID 63518 //
     /*  393409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393427 */     // MIs[0] op1
     /*  393427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393435 */     // MIs[0] op2
     /*  393435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393443 */     // MIs[0] op3
     /*  393443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393463 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393465 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393467 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393477 */     GIR_RootConstrainSelectedInstOperands,
     /*  393478 */     // GIR_Coverage, 63518,
     /*  393478 */     GIR_EraseRootFromParent_Done,
     /*  393479 */   // Label 7036: @393479
     /*  393479 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393554), // Rule ID 63573 //
     /*  393484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393502 */     // MIs[0] op1
     /*  393502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393510 */     // MIs[0] op2
     /*  393510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393518 */     // MIs[0] op3
     /*  393518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393552 */     GIR_RootConstrainSelectedInstOperands,
     /*  393553 */     // GIR_Coverage, 63573,
     /*  393553 */     GIR_EraseRootFromParent_Done,
     /*  393554 */   // Label 7037: @393554
     /*  393554 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393629), // Rule ID 63574 //
     /*  393559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393577 */     // MIs[0] op1
     /*  393577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393585 */     // MIs[0] op2
     /*  393585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393588 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393593 */     // MIs[0] op3
     /*  393593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393613 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393615 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393617 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393627 */     GIR_RootConstrainSelectedInstOperands,
     /*  393628 */     // GIR_Coverage, 63574,
     /*  393628 */     GIR_EraseRootFromParent_Done,
     /*  393629 */   // Label 7038: @393629
     /*  393629 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393704), // Rule ID 63629 //
     /*  393634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393652 */     // MIs[0] op1
     /*  393652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393660 */     // MIs[0] op2
     /*  393660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393668 */     // MIs[0] op3
     /*  393668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393702 */     GIR_RootConstrainSelectedInstOperands,
     /*  393703 */     // GIR_Coverage, 63629,
     /*  393703 */     GIR_EraseRootFromParent_Done,
     /*  393704 */   // Label 7039: @393704
     /*  393704 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(393779), // Rule ID 63630 //
     /*  393709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393727 */     // MIs[0] op1
     /*  393727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393735 */     // MIs[0] op2
     /*  393735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393743 */     // MIs[0] op3
     /*  393743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393763 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393765 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393767 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393777 */     GIR_RootConstrainSelectedInstOperands,
     /*  393778 */     // GIR_Coverage, 63630,
     /*  393778 */     GIR_EraseRootFromParent_Done,
     /*  393779 */   // Label 7040: @393779
     /*  393779 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(393854), // Rule ID 63685 //
     /*  393784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393802 */     // MIs[0] op1
     /*  393802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393810 */     // MIs[0] op2
     /*  393810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393818 */     // MIs[0] op3
     /*  393818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393852 */     GIR_RootConstrainSelectedInstOperands,
     /*  393853 */     // GIR_Coverage, 63685,
     /*  393853 */     GIR_EraseRootFromParent_Done,
     /*  393854 */   // Label 7041: @393854
     /*  393854 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(393929), // Rule ID 63686 //
     /*  393859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393877 */     // MIs[0] op1
     /*  393877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393885 */     // MIs[0] op2
     /*  393885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393893 */     // MIs[0] op3
     /*  393893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393927 */     GIR_RootConstrainSelectedInstOperands,
     /*  393928 */     // GIR_Coverage, 63686,
     /*  393928 */     GIR_EraseRootFromParent_Done,
     /*  393929 */   // Label 7042: @393929
     /*  393929 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394004), // Rule ID 63741 //
     /*  393934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393952 */     // MIs[0] op1
     /*  393952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393960 */     // MIs[0] op2
     /*  393960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393968 */     // MIs[0] op3
     /*  393968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394002 */     GIR_RootConstrainSelectedInstOperands,
     /*  394003 */     // GIR_Coverage, 63741,
     /*  394003 */     GIR_EraseRootFromParent_Done,
     /*  394004 */   // Label 7043: @394004
     /*  394004 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394079), // Rule ID 63742 //
     /*  394009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394027 */     // MIs[0] op1
     /*  394027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394035 */     // MIs[0] op2
     /*  394035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394043 */     // MIs[0] op3
     /*  394043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394077 */     GIR_RootConstrainSelectedInstOperands,
     /*  394078 */     // GIR_Coverage, 63742,
     /*  394078 */     GIR_EraseRootFromParent_Done,
     /*  394079 */   // Label 7044: @394079
     /*  394079 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394154), // Rule ID 63797 //
     /*  394084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394102 */     // MIs[0] op1
     /*  394102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394110 */     // MIs[0] op2
     /*  394110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394118 */     // MIs[0] op3
     /*  394118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394152 */     GIR_RootConstrainSelectedInstOperands,
     /*  394153 */     // GIR_Coverage, 63797,
     /*  394153 */     GIR_EraseRootFromParent_Done,
     /*  394154 */   // Label 7045: @394154
     /*  394154 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394229), // Rule ID 63798 //
     /*  394159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394177 */     // MIs[0] op1
     /*  394177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394185 */     // MIs[0] op2
     /*  394185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394193 */     // MIs[0] op3
     /*  394193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394227 */     GIR_RootConstrainSelectedInstOperands,
     /*  394228 */     // GIR_Coverage, 63798,
     /*  394228 */     GIR_EraseRootFromParent_Done,
     /*  394229 */   // Label 7046: @394229
     /*  394229 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394304), // Rule ID 63853 //
     /*  394234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394252 */     // MIs[0] op1
     /*  394252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394260 */     // MIs[0] op2
     /*  394260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394268 */     // MIs[0] op3
     /*  394268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394302 */     GIR_RootConstrainSelectedInstOperands,
     /*  394303 */     // GIR_Coverage, 63853,
     /*  394303 */     GIR_EraseRootFromParent_Done,
     /*  394304 */   // Label 7047: @394304
     /*  394304 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394379), // Rule ID 63854 //
     /*  394309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394327 */     // MIs[0] op1
     /*  394327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394335 */     // MIs[0] op2
     /*  394335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394343 */     // MIs[0] op3
     /*  394343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394377 */     GIR_RootConstrainSelectedInstOperands,
     /*  394378 */     // GIR_Coverage, 63854,
     /*  394378 */     GIR_EraseRootFromParent_Done,
     /*  394379 */   // Label 7048: @394379
     /*  394379 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394454), // Rule ID 63909 //
     /*  394384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394402 */     // MIs[0] op1
     /*  394402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394410 */     // MIs[0] op2
     /*  394410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394418 */     // MIs[0] op3
     /*  394418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394452 */     GIR_RootConstrainSelectedInstOperands,
     /*  394453 */     // GIR_Coverage, 63909,
     /*  394453 */     GIR_EraseRootFromParent_Done,
     /*  394454 */   // Label 7049: @394454
     /*  394454 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394529), // Rule ID 63910 //
     /*  394459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394477 */     // MIs[0] op1
     /*  394477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394485 */     // MIs[0] op2
     /*  394485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394493 */     // MIs[0] op3
     /*  394493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394527 */     GIR_RootConstrainSelectedInstOperands,
     /*  394528 */     // GIR_Coverage, 63910,
     /*  394528 */     GIR_EraseRootFromParent_Done,
     /*  394529 */   // Label 7050: @394529
     /*  394529 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394603), // Rule ID 62811 //
     /*  394534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394555 */     // MIs[0] op1
     /*  394555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394563 */     // MIs[0] op2
     /*  394563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  394585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394587 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394589 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394591 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394601 */     GIR_RootConstrainSelectedInstOperands,
     /*  394602 */     // GIR_Coverage, 62811,
     /*  394602 */     GIR_EraseRootFromParent_Done,
     /*  394603 */   // Label 7051: @394603
     /*  394603 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394677), // Rule ID 62812 //
     /*  394608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394629 */     // MIs[0] op1
     /*  394629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394637 */     // MIs[0] op2
     /*  394637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394656 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  394659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394661 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394663 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394665 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394675 */     GIR_RootConstrainSelectedInstOperands,
     /*  394676 */     // GIR_Coverage, 62812,
     /*  394676 */     GIR_EraseRootFromParent_Done,
     /*  394677 */   // Label 7052: @394677
     /*  394677 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394751), // Rule ID 62857 //
     /*  394682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394703 */     // MIs[0] op1
     /*  394703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394711 */     // MIs[0] op2
     /*  394711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394749 */     GIR_RootConstrainSelectedInstOperands,
     /*  394750 */     // GIR_Coverage, 62857,
     /*  394750 */     GIR_EraseRootFromParent_Done,
     /*  394751 */   // Label 7053: @394751
     /*  394751 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(394825), // Rule ID 62858 //
     /*  394756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394777 */     // MIs[0] op1
     /*  394777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394785 */     // MIs[0] op2
     /*  394785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394823 */     GIR_RootConstrainSelectedInstOperands,
     /*  394824 */     // GIR_Coverage, 62858,
     /*  394824 */     GIR_EraseRootFromParent_Done,
     /*  394825 */   // Label 7054: @394825
     /*  394825 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(394899), // Rule ID 62901 //
     /*  394830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394851 */     // MIs[0] op1
     /*  394851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394859 */     // MIs[0] op2
     /*  394859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394878 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  394881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394883 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394885 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394887 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394897 */     GIR_RootConstrainSelectedInstOperands,
     /*  394898 */     // GIR_Coverage, 62901,
     /*  394898 */     GIR_EraseRootFromParent_Done,
     /*  394899 */   // Label 7055: @394899
     /*  394899 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(394973), // Rule ID 62902 //
     /*  394904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394925 */     // MIs[0] op1
     /*  394925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394933 */     // MIs[0] op2
     /*  394933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  394955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394957 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394959 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394961 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394971 */     GIR_RootConstrainSelectedInstOperands,
     /*  394972 */     // GIR_Coverage, 62902,
     /*  394972 */     GIR_EraseRootFromParent_Done,
     /*  394973 */   // Label 7056: @394973
     /*  394973 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395047), // Rule ID 62945 //
     /*  394978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394999 */     // MIs[0] op1
     /*  394999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395007 */     // MIs[0] op2
     /*  395007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395045 */     GIR_RootConstrainSelectedInstOperands,
     /*  395046 */     // GIR_Coverage, 62945,
     /*  395046 */     GIR_EraseRootFromParent_Done,
     /*  395047 */   // Label 7057: @395047
     /*  395047 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395121), // Rule ID 62946 //
     /*  395052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395073 */     // MIs[0] op1
     /*  395073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395081 */     // MIs[0] op2
     /*  395081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395100 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395119 */     GIR_RootConstrainSelectedInstOperands,
     /*  395120 */     // GIR_Coverage, 62946,
     /*  395120 */     GIR_EraseRootFromParent_Done,
     /*  395121 */   // Label 7058: @395121
     /*  395121 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395195), // Rule ID 63001 //
     /*  395126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395147 */     // MIs[0] op1
     /*  395147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395155 */     // MIs[0] op2
     /*  395155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395193 */     GIR_RootConstrainSelectedInstOperands,
     /*  395194 */     // GIR_Coverage, 63001,
     /*  395194 */     GIR_EraseRootFromParent_Done,
     /*  395195 */   // Label 7059: @395195
     /*  395195 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395269), // Rule ID 63002 //
     /*  395200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395221 */     // MIs[0] op1
     /*  395221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395229 */     // MIs[0] op2
     /*  395229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395267 */     GIR_RootConstrainSelectedInstOperands,
     /*  395268 */     // GIR_Coverage, 63002,
     /*  395268 */     GIR_EraseRootFromParent_Done,
     /*  395269 */   // Label 7060: @395269
     /*  395269 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395343), // Rule ID 63057 //
     /*  395274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395295 */     // MIs[0] op1
     /*  395295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395303 */     // MIs[0] op2
     /*  395303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395341 */     GIR_RootConstrainSelectedInstOperands,
     /*  395342 */     // GIR_Coverage, 63057,
     /*  395342 */     GIR_EraseRootFromParent_Done,
     /*  395343 */   // Label 7061: @395343
     /*  395343 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395417), // Rule ID 63058 //
     /*  395348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395369 */     // MIs[0] op1
     /*  395369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395377 */     // MIs[0] op2
     /*  395377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395415 */     GIR_RootConstrainSelectedInstOperands,
     /*  395416 */     // GIR_Coverage, 63058,
     /*  395416 */     GIR_EraseRootFromParent_Done,
     /*  395417 */   // Label 7062: @395417
     /*  395417 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395491), // Rule ID 63113 //
     /*  395422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395443 */     // MIs[0] op1
     /*  395443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395451 */     // MIs[0] op2
     /*  395451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395470 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395489 */     GIR_RootConstrainSelectedInstOperands,
     /*  395490 */     // GIR_Coverage, 63113,
     /*  395490 */     GIR_EraseRootFromParent_Done,
     /*  395491 */   // Label 7063: @395491
     /*  395491 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395565), // Rule ID 63114 //
     /*  395496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395517 */     // MIs[0] op1
     /*  395517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395525 */     // MIs[0] op2
     /*  395525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395549 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395551 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395553 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395563 */     GIR_RootConstrainSelectedInstOperands,
     /*  395564 */     // GIR_Coverage, 63114,
     /*  395564 */     GIR_EraseRootFromParent_Done,
     /*  395565 */   // Label 7064: @395565
     /*  395565 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395639), // Rule ID 63157 //
     /*  395570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395591 */     // MIs[0] op1
     /*  395591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395599 */     // MIs[0] op2
     /*  395599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395637 */     GIR_RootConstrainSelectedInstOperands,
     /*  395638 */     // GIR_Coverage, 63157,
     /*  395638 */     GIR_EraseRootFromParent_Done,
     /*  395639 */   // Label 7065: @395639
     /*  395639 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395713), // Rule ID 63158 //
     /*  395644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395665 */     // MIs[0] op1
     /*  395665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395673 */     // MIs[0] op2
     /*  395673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395711 */     GIR_RootConstrainSelectedInstOperands,
     /*  395712 */     // GIR_Coverage, 63158,
     /*  395712 */     GIR_EraseRootFromParent_Done,
     /*  395713 */   // Label 7066: @395713
     /*  395713 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395787), // Rule ID 63213 //
     /*  395718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395739 */     // MIs[0] op1
     /*  395739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395747 */     // MIs[0] op2
     /*  395747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395785 */     GIR_RootConstrainSelectedInstOperands,
     /*  395786 */     // GIR_Coverage, 63213,
     /*  395786 */     GIR_EraseRootFromParent_Done,
     /*  395787 */   // Label 7067: @395787
     /*  395787 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(395861), // Rule ID 63214 //
     /*  395792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395813 */     // MIs[0] op1
     /*  395813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395821 */     // MIs[0] op2
     /*  395821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395859 */     GIR_RootConstrainSelectedInstOperands,
     /*  395860 */     // GIR_Coverage, 63214,
     /*  395860 */     GIR_EraseRootFromParent_Done,
     /*  395861 */   // Label 7068: @395861
     /*  395861 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(395935), // Rule ID 63269 //
     /*  395866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395887 */     // MIs[0] op1
     /*  395887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395895 */     // MIs[0] op2
     /*  395895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395933 */     GIR_RootConstrainSelectedInstOperands,
     /*  395934 */     // GIR_Coverage, 63269,
     /*  395934 */     GIR_EraseRootFromParent_Done,
     /*  395935 */   // Label 7069: @395935
     /*  395935 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396009), // Rule ID 63270 //
     /*  395940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395961 */     // MIs[0] op1
     /*  395961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395969 */     // MIs[0] op2
     /*  395969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395993 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395995 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395997 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396007 */     GIR_RootConstrainSelectedInstOperands,
     /*  396008 */     // GIR_Coverage, 63270,
     /*  396008 */     GIR_EraseRootFromParent_Done,
     /*  396009 */   // Label 7070: @396009
     /*  396009 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396083), // Rule ID 63325 //
     /*  396014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396035 */     // MIs[0] op1
     /*  396035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396043 */     // MIs[0] op2
     /*  396043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396081 */     GIR_RootConstrainSelectedInstOperands,
     /*  396082 */     // GIR_Coverage, 63325,
     /*  396082 */     GIR_EraseRootFromParent_Done,
     /*  396083 */   // Label 7071: @396083
     /*  396083 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396157), // Rule ID 63326 //
     /*  396088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396109 */     // MIs[0] op1
     /*  396109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396117 */     // MIs[0] op2
     /*  396117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396155 */     GIR_RootConstrainSelectedInstOperands,
     /*  396156 */     // GIR_Coverage, 63326,
     /*  396156 */     GIR_EraseRootFromParent_Done,
     /*  396157 */   // Label 7072: @396157
     /*  396157 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396231), // Rule ID 63369 //
     /*  396162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396183 */     // MIs[0] op1
     /*  396183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396191 */     // MIs[0] op2
     /*  396191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396229 */     GIR_RootConstrainSelectedInstOperands,
     /*  396230 */     // GIR_Coverage, 63369,
     /*  396230 */     GIR_EraseRootFromParent_Done,
     /*  396231 */   // Label 7073: @396231
     /*  396231 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396305), // Rule ID 63370 //
     /*  396236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396257 */     // MIs[0] op1
     /*  396257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396265 */     // MIs[0] op2
     /*  396265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396289 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396291 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396293 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396303 */     GIR_RootConstrainSelectedInstOperands,
     /*  396304 */     // GIR_Coverage, 63370,
     /*  396304 */     GIR_EraseRootFromParent_Done,
     /*  396305 */   // Label 7074: @396305
     /*  396305 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396379), // Rule ID 63413 //
     /*  396310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396331 */     // MIs[0] op1
     /*  396331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396339 */     // MIs[0] op2
     /*  396339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396377 */     GIR_RootConstrainSelectedInstOperands,
     /*  396378 */     // GIR_Coverage, 63413,
     /*  396378 */     GIR_EraseRootFromParent_Done,
     /*  396379 */   // Label 7075: @396379
     /*  396379 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396453), // Rule ID 63414 //
     /*  396384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396405 */     // MIs[0] op1
     /*  396405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396413 */     // MIs[0] op2
     /*  396413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396451 */     GIR_RootConstrainSelectedInstOperands,
     /*  396452 */     // GIR_Coverage, 63414,
     /*  396452 */     GIR_EraseRootFromParent_Done,
     /*  396453 */   // Label 7076: @396453
     /*  396453 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396527), // Rule ID 63457 //
     /*  396458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396479 */     // MIs[0] op1
     /*  396479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396487 */     // MIs[0] op2
     /*  396487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396525 */     GIR_RootConstrainSelectedInstOperands,
     /*  396526 */     // GIR_Coverage, 63457,
     /*  396526 */     GIR_EraseRootFromParent_Done,
     /*  396527 */   // Label 7077: @396527
     /*  396527 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396601), // Rule ID 63458 //
     /*  396532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396553 */     // MIs[0] op1
     /*  396553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396561 */     // MIs[0] op2
     /*  396561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396585 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396587 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396589 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396599 */     GIR_RootConstrainSelectedInstOperands,
     /*  396600 */     // GIR_Coverage, 63458,
     /*  396600 */     GIR_EraseRootFromParent_Done,
     /*  396601 */   // Label 7078: @396601
     /*  396601 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396675), // Rule ID 63513 //
     /*  396606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396627 */     // MIs[0] op1
     /*  396627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396635 */     // MIs[0] op2
     /*  396635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396673 */     GIR_RootConstrainSelectedInstOperands,
     /*  396674 */     // GIR_Coverage, 63513,
     /*  396674 */     GIR_EraseRootFromParent_Done,
     /*  396675 */   // Label 7079: @396675
     /*  396675 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396749), // Rule ID 63514 //
     /*  396680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396701 */     // MIs[0] op1
     /*  396701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396709 */     // MIs[0] op2
     /*  396709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396733 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396735 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396737 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396747 */     GIR_RootConstrainSelectedInstOperands,
     /*  396748 */     // GIR_Coverage, 63514,
     /*  396748 */     GIR_EraseRootFromParent_Done,
     /*  396749 */   // Label 7080: @396749
     /*  396749 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(396823), // Rule ID 63569 //
     /*  396754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396775 */     // MIs[0] op1
     /*  396775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396783 */     // MIs[0] op2
     /*  396783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396807 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396809 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396811 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396821 */     GIR_RootConstrainSelectedInstOperands,
     /*  396822 */     // GIR_Coverage, 63569,
     /*  396822 */     GIR_EraseRootFromParent_Done,
     /*  396823 */   // Label 7081: @396823
     /*  396823 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(396897), // Rule ID 63570 //
     /*  396828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396849 */     // MIs[0] op1
     /*  396849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396857 */     // MIs[0] op2
     /*  396857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396881 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396883 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396885 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396895 */     GIR_RootConstrainSelectedInstOperands,
     /*  396896 */     // GIR_Coverage, 63570,
     /*  396896 */     GIR_EraseRootFromParent_Done,
     /*  396897 */   // Label 7082: @396897
     /*  396897 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(396971), // Rule ID 63625 //
     /*  396902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396923 */     // MIs[0] op1
     /*  396923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396931 */     // MIs[0] op2
     /*  396931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396969 */     GIR_RootConstrainSelectedInstOperands,
     /*  396970 */     // GIR_Coverage, 63625,
     /*  396970 */     GIR_EraseRootFromParent_Done,
     /*  396971 */   // Label 7083: @396971
     /*  396971 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397045), // Rule ID 63626 //
     /*  396976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396997 */     // MIs[0] op1
     /*  396997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397005 */     // MIs[0] op2
     /*  397005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397043 */     GIR_RootConstrainSelectedInstOperands,
     /*  397044 */     // GIR_Coverage, 63626,
     /*  397044 */     GIR_EraseRootFromParent_Done,
     /*  397045 */   // Label 7084: @397045
     /*  397045 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397119), // Rule ID 63681 //
     /*  397050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397071 */     // MIs[0] op1
     /*  397071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397079 */     // MIs[0] op2
     /*  397079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397082 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397117 */     GIR_RootConstrainSelectedInstOperands,
     /*  397118 */     // GIR_Coverage, 63681,
     /*  397118 */     GIR_EraseRootFromParent_Done,
     /*  397119 */   // Label 7085: @397119
     /*  397119 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397193), // Rule ID 63682 //
     /*  397124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397145 */     // MIs[0] op1
     /*  397145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397153 */     // MIs[0] op2
     /*  397153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397191 */     GIR_RootConstrainSelectedInstOperands,
     /*  397192 */     // GIR_Coverage, 63682,
     /*  397192 */     GIR_EraseRootFromParent_Done,
     /*  397193 */   // Label 7086: @397193
     /*  397193 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397267), // Rule ID 63737 //
     /*  397198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397219 */     // MIs[0] op1
     /*  397219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397227 */     // MIs[0] op2
     /*  397227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397265 */     GIR_RootConstrainSelectedInstOperands,
     /*  397266 */     // GIR_Coverage, 63737,
     /*  397266 */     GIR_EraseRootFromParent_Done,
     /*  397267 */   // Label 7087: @397267
     /*  397267 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397341), // Rule ID 63738 //
     /*  397272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397293 */     // MIs[0] op1
     /*  397293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397301 */     // MIs[0] op2
     /*  397301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397339 */     GIR_RootConstrainSelectedInstOperands,
     /*  397340 */     // GIR_Coverage, 63738,
     /*  397340 */     GIR_EraseRootFromParent_Done,
     /*  397341 */   // Label 7088: @397341
     /*  397341 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397415), // Rule ID 63793 //
     /*  397346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397367 */     // MIs[0] op1
     /*  397367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397375 */     // MIs[0] op2
     /*  397375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397413 */     GIR_RootConstrainSelectedInstOperands,
     /*  397414 */     // GIR_Coverage, 63793,
     /*  397414 */     GIR_EraseRootFromParent_Done,
     /*  397415 */   // Label 7089: @397415
     /*  397415 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397489), // Rule ID 63794 //
     /*  397420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397441 */     // MIs[0] op1
     /*  397441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397449 */     // MIs[0] op2
     /*  397449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397487 */     GIR_RootConstrainSelectedInstOperands,
     /*  397488 */     // GIR_Coverage, 63794,
     /*  397488 */     GIR_EraseRootFromParent_Done,
     /*  397489 */   // Label 7090: @397489
     /*  397489 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397563), // Rule ID 63849 //
     /*  397494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397515 */     // MIs[0] op1
     /*  397515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397523 */     // MIs[0] op2
     /*  397523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397561 */     GIR_RootConstrainSelectedInstOperands,
     /*  397562 */     // GIR_Coverage, 63849,
     /*  397562 */     GIR_EraseRootFromParent_Done,
     /*  397563 */   // Label 7091: @397563
     /*  397563 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397637), // Rule ID 63850 //
     /*  397568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397589 */     // MIs[0] op1
     /*  397589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397597 */     // MIs[0] op2
     /*  397597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397621 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397623 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397625 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397635 */     GIR_RootConstrainSelectedInstOperands,
     /*  397636 */     // GIR_Coverage, 63850,
     /*  397636 */     GIR_EraseRootFromParent_Done,
     /*  397637 */   // Label 7092: @397637
     /*  397637 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397711), // Rule ID 63905 //
     /*  397642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397663 */     // MIs[0] op1
     /*  397663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397671 */     // MIs[0] op2
     /*  397671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397709 */     GIR_RootConstrainSelectedInstOperands,
     /*  397710 */     // GIR_Coverage, 63905,
     /*  397710 */     GIR_EraseRootFromParent_Done,
     /*  397711 */   // Label 7093: @397711
     /*  397711 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(397785), // Rule ID 63906 //
     /*  397716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397737 */     // MIs[0] op1
     /*  397737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397745 */     // MIs[0] op2
     /*  397745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397783 */     GIR_RootConstrainSelectedInstOperands,
     /*  397784 */     // GIR_Coverage, 63906,
     /*  397784 */     GIR_EraseRootFromParent_Done,
     /*  397785 */   // Label 7094: @397785
     /*  397785 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(397859), // Rule ID 62835 //
     /*  397790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397811 */     // MIs[0] op1
     /*  397811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397823 */     // MIs[0] op3
     /*  397823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397838 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  397838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  397841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397843 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397845 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397847 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397857 */     GIR_RootConstrainSelectedInstOperands,
     /*  397858 */     // GIR_Coverage, 62835,
     /*  397858 */     GIR_EraseRootFromParent_Done,
     /*  397859 */   // Label 7095: @397859
     /*  397859 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(397933), // Rule ID 62836 //
     /*  397864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397885 */     // MIs[0] op1
     /*  397885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397897 */     // MIs[0] op3
     /*  397897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  397912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  397915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397931 */     GIR_RootConstrainSelectedInstOperands,
     /*  397932 */     // GIR_Coverage, 62836,
     /*  397932 */     GIR_EraseRootFromParent_Done,
     /*  397933 */   // Label 7096: @397933
     /*  397933 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398007), // Rule ID 62873 //
     /*  397938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  397949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  397952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397959 */     // MIs[0] op1
     /*  397959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397971 */     // MIs[0] op3
     /*  397971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  397986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  397989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398005 */     GIR_RootConstrainSelectedInstOperands,
     /*  398006 */     // GIR_Coverage, 62873,
     /*  398006 */     GIR_EraseRootFromParent_Done,
     /*  398007 */   // Label 7097: @398007
     /*  398007 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398081), // Rule ID 62874 //
     /*  398012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  398023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  398026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398033 */     // MIs[0] op1
     /*  398033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398045 */     // MIs[0] op3
     /*  398045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398060 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398079 */     GIR_RootConstrainSelectedInstOperands,
     /*  398080 */     // GIR_Coverage, 62874,
     /*  398080 */     GIR_EraseRootFromParent_Done,
     /*  398081 */   // Label 7098: @398081
     /*  398081 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398155), // Rule ID 62917 //
     /*  398086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  398097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  398100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398107 */     // MIs[0] op1
     /*  398107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398119 */     // MIs[0] op3
     /*  398119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398139 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398141 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398143 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398153 */     GIR_RootConstrainSelectedInstOperands,
     /*  398154 */     // GIR_Coverage, 62917,
     /*  398154 */     GIR_EraseRootFromParent_Done,
     /*  398155 */   // Label 7099: @398155
     /*  398155 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398229), // Rule ID 62918 //
     /*  398160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  398171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  398174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398181 */     // MIs[0] op1
     /*  398181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398193 */     // MIs[0] op3
     /*  398193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398227 */     GIR_RootConstrainSelectedInstOperands,
     /*  398228 */     // GIR_Coverage, 62918,
     /*  398228 */     GIR_EraseRootFromParent_Done,
     /*  398229 */   // Label 7100: @398229
     /*  398229 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398303), // Rule ID 62961 //
     /*  398234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398255 */     // MIs[0] op1
     /*  398255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398267 */     // MIs[0] op3
     /*  398267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398287 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398289 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398291 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398301 */     GIR_RootConstrainSelectedInstOperands,
     /*  398302 */     // GIR_Coverage, 62961,
     /*  398302 */     GIR_EraseRootFromParent_Done,
     /*  398303 */   // Label 7101: @398303
     /*  398303 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398377), // Rule ID 62962 //
     /*  398308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398329 */     // MIs[0] op1
     /*  398329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398341 */     // MIs[0] op3
     /*  398341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398375 */     GIR_RootConstrainSelectedInstOperands,
     /*  398376 */     // GIR_Coverage, 62962,
     /*  398376 */     GIR_EraseRootFromParent_Done,
     /*  398377 */   // Label 7102: @398377
     /*  398377 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398451), // Rule ID 63017 //
     /*  398382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398403 */     // MIs[0] op1
     /*  398403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398415 */     // MIs[0] op3
     /*  398415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398435 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398437 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398439 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398449 */     GIR_RootConstrainSelectedInstOperands,
     /*  398450 */     // GIR_Coverage, 63017,
     /*  398450 */     GIR_EraseRootFromParent_Done,
     /*  398451 */   // Label 7103: @398451
     /*  398451 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398525), // Rule ID 63018 //
     /*  398456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398477 */     // MIs[0] op1
     /*  398477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398489 */     // MIs[0] op3
     /*  398489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398523 */     GIR_RootConstrainSelectedInstOperands,
     /*  398524 */     // GIR_Coverage, 63018,
     /*  398524 */     GIR_EraseRootFromParent_Done,
     /*  398525 */   // Label 7104: @398525
     /*  398525 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398599), // Rule ID 63073 //
     /*  398530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398551 */     // MIs[0] op1
     /*  398551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398554 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398563 */     // MIs[0] op3
     /*  398563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  398578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398597 */     GIR_RootConstrainSelectedInstOperands,
     /*  398598 */     // GIR_Coverage, 63073,
     /*  398598 */     GIR_EraseRootFromParent_Done,
     /*  398599 */   // Label 7105: @398599
     /*  398599 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398673), // Rule ID 63074 //
     /*  398604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398625 */     // MIs[0] op1
     /*  398625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398637 */     // MIs[0] op3
     /*  398637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  398652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398657 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398659 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398661 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398671 */     GIR_RootConstrainSelectedInstOperands,
     /*  398672 */     // GIR_Coverage, 63074,
     /*  398672 */     GIR_EraseRootFromParent_Done,
     /*  398673 */   // Label 7106: @398673
     /*  398673 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398747), // Rule ID 63129 //
     /*  398678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398699 */     // MIs[0] op1
     /*  398699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398711 */     // MIs[0] op3
     /*  398711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398745 */     GIR_RootConstrainSelectedInstOperands,
     /*  398746 */     // GIR_Coverage, 63129,
     /*  398746 */     GIR_EraseRootFromParent_Done,
     /*  398747 */   // Label 7107: @398747
     /*  398747 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(398821), // Rule ID 63130 //
     /*  398752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398773 */     // MIs[0] op1
     /*  398773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398785 */     // MIs[0] op3
     /*  398785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398819 */     GIR_RootConstrainSelectedInstOperands,
     /*  398820 */     // GIR_Coverage, 63130,
     /*  398820 */     GIR_EraseRootFromParent_Done,
     /*  398821 */   // Label 7108: @398821
     /*  398821 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(398895), // Rule ID 63173 //
     /*  398826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398847 */     // MIs[0] op1
     /*  398847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398859 */     // MIs[0] op3
     /*  398859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398879 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398881 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398883 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398893 */     GIR_RootConstrainSelectedInstOperands,
     /*  398894 */     // GIR_Coverage, 63173,
     /*  398894 */     GIR_EraseRootFromParent_Done,
     /*  398895 */   // Label 7109: @398895
     /*  398895 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(398969), // Rule ID 63174 //
     /*  398900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398921 */     // MIs[0] op1
     /*  398921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398933 */     // MIs[0] op3
     /*  398933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398967 */     GIR_RootConstrainSelectedInstOperands,
     /*  398968 */     // GIR_Coverage, 63174,
     /*  398968 */     GIR_EraseRootFromParent_Done,
     /*  398969 */   // Label 7110: @398969
     /*  398969 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399043), // Rule ID 63229 //
     /*  398974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398995 */     // MIs[0] op1
     /*  398995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399007 */     // MIs[0] op3
     /*  399007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  399022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399027 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399029 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399031 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399041 */     GIR_RootConstrainSelectedInstOperands,
     /*  399042 */     // GIR_Coverage, 63229,
     /*  399042 */     GIR_EraseRootFromParent_Done,
     /*  399043 */   // Label 7111: @399043
     /*  399043 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399117), // Rule ID 63230 //
     /*  399048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399069 */     // MIs[0] op1
     /*  399069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399081 */     // MIs[0] op3
     /*  399081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  399096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399115 */     GIR_RootConstrainSelectedInstOperands,
     /*  399116 */     // GIR_Coverage, 63230,
     /*  399116 */     GIR_EraseRootFromParent_Done,
     /*  399117 */   // Label 7112: @399117
     /*  399117 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399191), // Rule ID 63285 //
     /*  399122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399143 */     // MIs[0] op1
     /*  399143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399155 */     // MIs[0] op3
     /*  399155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  399170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399175 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399177 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399179 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399189 */     GIR_RootConstrainSelectedInstOperands,
     /*  399190 */     // GIR_Coverage, 63285,
     /*  399190 */     GIR_EraseRootFromParent_Done,
     /*  399191 */   // Label 7113: @399191
     /*  399191 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399265), // Rule ID 63286 //
     /*  399196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399217 */     // MIs[0] op1
     /*  399217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399229 */     // MIs[0] op3
     /*  399229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  399244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399263 */     GIR_RootConstrainSelectedInstOperands,
     /*  399264 */     // GIR_Coverage, 63286,
     /*  399264 */     GIR_EraseRootFromParent_Done,
     /*  399265 */   // Label 7114: @399265
     /*  399265 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399339), // Rule ID 63341 //
     /*  399270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399291 */     // MIs[0] op1
     /*  399291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399294 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399303 */     // MIs[0] op3
     /*  399303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399318 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399323 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399325 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399327 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399337 */     GIR_RootConstrainSelectedInstOperands,
     /*  399338 */     // GIR_Coverage, 63341,
     /*  399338 */     GIR_EraseRootFromParent_Done,
     /*  399339 */   // Label 7115: @399339
     /*  399339 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399413), // Rule ID 63342 //
     /*  399344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399365 */     // MIs[0] op1
     /*  399365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399377 */     // MIs[0] op3
     /*  399377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399397 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399399 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399401 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399411 */     GIR_RootConstrainSelectedInstOperands,
     /*  399412 */     // GIR_Coverage, 63342,
     /*  399412 */     GIR_EraseRootFromParent_Done,
     /*  399413 */   // Label 7116: @399413
     /*  399413 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399487), // Rule ID 63385 //
     /*  399418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399439 */     // MIs[0] op1
     /*  399439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399442 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399451 */     // MIs[0] op3
     /*  399451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399471 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399473 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399475 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399485 */     GIR_RootConstrainSelectedInstOperands,
     /*  399486 */     // GIR_Coverage, 63385,
     /*  399486 */     GIR_EraseRootFromParent_Done,
     /*  399487 */   // Label 7117: @399487
     /*  399487 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399561), // Rule ID 63386 //
     /*  399492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399513 */     // MIs[0] op1
     /*  399513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399525 */     // MIs[0] op3
     /*  399525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399545 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399547 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399549 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399559 */     GIR_RootConstrainSelectedInstOperands,
     /*  399560 */     // GIR_Coverage, 63386,
     /*  399560 */     GIR_EraseRootFromParent_Done,
     /*  399561 */   // Label 7118: @399561
     /*  399561 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399635), // Rule ID 63429 //
     /*  399566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399587 */     // MIs[0] op1
     /*  399587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399599 */     // MIs[0] op3
     /*  399599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399633 */     GIR_RootConstrainSelectedInstOperands,
     /*  399634 */     // GIR_Coverage, 63429,
     /*  399634 */     GIR_EraseRootFromParent_Done,
     /*  399635 */   // Label 7119: @399635
     /*  399635 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399709), // Rule ID 63430 //
     /*  399640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399661 */     // MIs[0] op1
     /*  399661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399673 */     // MIs[0] op3
     /*  399673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399707 */     GIR_RootConstrainSelectedInstOperands,
     /*  399708 */     // GIR_Coverage, 63430,
     /*  399708 */     GIR_EraseRootFromParent_Done,
     /*  399709 */   // Label 7120: @399709
     /*  399709 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(399783), // Rule ID 63473 //
     /*  399714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399735 */     // MIs[0] op1
     /*  399735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399747 */     // MIs[0] op3
     /*  399747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399767 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399769 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399771 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399781 */     GIR_RootConstrainSelectedInstOperands,
     /*  399782 */     // GIR_Coverage, 63473,
     /*  399782 */     GIR_EraseRootFromParent_Done,
     /*  399783 */   // Label 7121: @399783
     /*  399783 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(399857), // Rule ID 63474 //
     /*  399788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399809 */     // MIs[0] op1
     /*  399809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399821 */     // MIs[0] op3
     /*  399821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399855 */     GIR_RootConstrainSelectedInstOperands,
     /*  399856 */     // GIR_Coverage, 63474,
     /*  399856 */     GIR_EraseRootFromParent_Done,
     /*  399857 */   // Label 7122: @399857
     /*  399857 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(399931), // Rule ID 63529 //
     /*  399862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399883 */     // MIs[0] op1
     /*  399883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399895 */     // MIs[0] op3
     /*  399895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399915 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399917 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399919 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399929 */     GIR_RootConstrainSelectedInstOperands,
     /*  399930 */     // GIR_Coverage, 63529,
     /*  399930 */     GIR_EraseRootFromParent_Done,
     /*  399931 */   // Label 7123: @399931
     /*  399931 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400005), // Rule ID 63530 //
     /*  399936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399957 */     // MIs[0] op1
     /*  399957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399969 */     // MIs[0] op3
     /*  399969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400003 */     GIR_RootConstrainSelectedInstOperands,
     /*  400004 */     // GIR_Coverage, 63530,
     /*  400004 */     GIR_EraseRootFromParent_Done,
     /*  400005 */   // Label 7124: @400005
     /*  400005 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400079), // Rule ID 63585 //
     /*  400010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400031 */     // MIs[0] op1
     /*  400031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400043 */     // MIs[0] op3
     /*  400043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  400058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400077 */     GIR_RootConstrainSelectedInstOperands,
     /*  400078 */     // GIR_Coverage, 63585,
     /*  400078 */     GIR_EraseRootFromParent_Done,
     /*  400079 */   // Label 7125: @400079
     /*  400079 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400153), // Rule ID 63586 //
     /*  400084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400105 */     // MIs[0] op1
     /*  400105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400117 */     // MIs[0] op3
     /*  400117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  400132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400151 */     GIR_RootConstrainSelectedInstOperands,
     /*  400152 */     // GIR_Coverage, 63586,
     /*  400152 */     GIR_EraseRootFromParent_Done,
     /*  400153 */   // Label 7126: @400153
     /*  400153 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400227), // Rule ID 63641 //
     /*  400158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400179 */     // MIs[0] op1
     /*  400179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400191 */     // MIs[0] op3
     /*  400191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400225 */     GIR_RootConstrainSelectedInstOperands,
     /*  400226 */     // GIR_Coverage, 63641,
     /*  400226 */     GIR_EraseRootFromParent_Done,
     /*  400227 */   // Label 7127: @400227
     /*  400227 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400301), // Rule ID 63642 //
     /*  400232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400253 */     // MIs[0] op1
     /*  400253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400265 */     // MIs[0] op3
     /*  400265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400285 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400287 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400289 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400299 */     GIR_RootConstrainSelectedInstOperands,
     /*  400300 */     // GIR_Coverage, 63642,
     /*  400300 */     GIR_EraseRootFromParent_Done,
     /*  400301 */   // Label 7128: @400301
     /*  400301 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400375), // Rule ID 63697 //
     /*  400306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400327 */     // MIs[0] op1
     /*  400327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400339 */     // MIs[0] op3
     /*  400339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400373 */     GIR_RootConstrainSelectedInstOperands,
     /*  400374 */     // GIR_Coverage, 63697,
     /*  400374 */     GIR_EraseRootFromParent_Done,
     /*  400375 */   // Label 7129: @400375
     /*  400375 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400449), // Rule ID 63698 //
     /*  400380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400401 */     // MIs[0] op1
     /*  400401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400413 */     // MIs[0] op3
     /*  400413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400433 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400435 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400437 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400447 */     GIR_RootConstrainSelectedInstOperands,
     /*  400448 */     // GIR_Coverage, 63698,
     /*  400448 */     GIR_EraseRootFromParent_Done,
     /*  400449 */   // Label 7130: @400449
     /*  400449 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400523), // Rule ID 63753 //
     /*  400454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400475 */     // MIs[0] op1
     /*  400475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400487 */     // MIs[0] op3
     /*  400487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400507 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400509 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400511 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400521 */     GIR_RootConstrainSelectedInstOperands,
     /*  400522 */     // GIR_Coverage, 63753,
     /*  400522 */     GIR_EraseRootFromParent_Done,
     /*  400523 */   // Label 7131: @400523
     /*  400523 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400597), // Rule ID 63754 //
     /*  400528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400549 */     // MIs[0] op1
     /*  400549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400561 */     // MIs[0] op3
     /*  400561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400595 */     GIR_RootConstrainSelectedInstOperands,
     /*  400596 */     // GIR_Coverage, 63754,
     /*  400596 */     GIR_EraseRootFromParent_Done,
     /*  400597 */   // Label 7132: @400597
     /*  400597 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400671), // Rule ID 63809 //
     /*  400602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400623 */     // MIs[0] op1
     /*  400623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400635 */     // MIs[0] op3
     /*  400635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400669 */     GIR_RootConstrainSelectedInstOperands,
     /*  400670 */     // GIR_Coverage, 63809,
     /*  400670 */     GIR_EraseRootFromParent_Done,
     /*  400671 */   // Label 7133: @400671
     /*  400671 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(400745), // Rule ID 63810 //
     /*  400676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400697 */     // MIs[0] op1
     /*  400697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400709 */     // MIs[0] op3
     /*  400709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  400724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400743 */     GIR_RootConstrainSelectedInstOperands,
     /*  400744 */     // GIR_Coverage, 63810,
     /*  400744 */     GIR_EraseRootFromParent_Done,
     /*  400745 */   // Label 7134: @400745
     /*  400745 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(400819), // Rule ID 63865 //
     /*  400750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400771 */     // MIs[0] op1
     /*  400771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400783 */     // MIs[0] op3
     /*  400783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400817 */     GIR_RootConstrainSelectedInstOperands,
     /*  400818 */     // GIR_Coverage, 63865,
     /*  400818 */     GIR_EraseRootFromParent_Done,
     /*  400819 */   // Label 7135: @400819
     /*  400819 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(400893), // Rule ID 63866 //
     /*  400824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400845 */     // MIs[0] op1
     /*  400845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400857 */     // MIs[0] op3
     /*  400857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  400872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400877 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400879 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400881 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400891 */     GIR_RootConstrainSelectedInstOperands,
     /*  400892 */     // GIR_Coverage, 63866,
     /*  400892 */     GIR_EraseRootFromParent_Done,
     /*  400893 */   // Label 7136: @400893
     /*  400893 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(400967), // Rule ID 63921 //
     /*  400898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400919 */     // MIs[0] op1
     /*  400919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400931 */     // MIs[0] op3
     /*  400931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400965 */     GIR_RootConstrainSelectedInstOperands,
     /*  400966 */     // GIR_Coverage, 63921,
     /*  400966 */     GIR_EraseRootFromParent_Done,
     /*  400967 */   // Label 7137: @400967
     /*  400967 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401041), // Rule ID 63922 //
     /*  400972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400993 */     // MIs[0] op1
     /*  400993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401005 */     // MIs[0] op3
     /*  401005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  401020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  401023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401039 */     GIR_RootConstrainSelectedInstOperands,
     /*  401040 */     // GIR_Coverage, 63922,
     /*  401040 */     GIR_EraseRootFromParent_Done,
     /*  401041 */   // Label 7138: @401041
     /*  401041 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401116), // Rule ID 7346 //
     /*  401046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  401063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  401095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401114 */     GIR_RootConstrainSelectedInstOperands,
     /*  401115 */     // GIR_Coverage, 7346,
     /*  401115 */     GIR_EraseRootFromParent_Done,
     /*  401116 */   // Label 7139: @401116
     /*  401116 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401191), // Rule ID 7347 //
     /*  401121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  401138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  401170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401189 */     GIR_RootConstrainSelectedInstOperands,
     /*  401190 */     // GIR_Coverage, 7347,
     /*  401190 */     GIR_EraseRootFromParent_Done,
     /*  401191 */   // Label 7140: @401191
     /*  401191 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401266), // Rule ID 7350 //
     /*  401196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401264 */     GIR_RootConstrainSelectedInstOperands,
     /*  401265 */     // GIR_Coverage, 7350,
     /*  401265 */     GIR_EraseRootFromParent_Done,
     /*  401266 */   // Label 7141: @401266
     /*  401266 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401341), // Rule ID 7351 //
     /*  401271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401339 */     GIR_RootConstrainSelectedInstOperands,
     /*  401340 */     // GIR_Coverage, 7351,
     /*  401340 */     GIR_EraseRootFromParent_Done,
     /*  401341 */   // Label 7142: @401341
     /*  401341 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401416), // Rule ID 7354 //
     /*  401346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401414 */     GIR_RootConstrainSelectedInstOperands,
     /*  401415 */     // GIR_Coverage, 7354,
     /*  401415 */     GIR_EraseRootFromParent_Done,
     /*  401416 */   // Label 7143: @401416
     /*  401416 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401491), // Rule ID 7355 //
     /*  401421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401489 */     GIR_RootConstrainSelectedInstOperands,
     /*  401490 */     // GIR_Coverage, 7355,
     /*  401490 */     GIR_EraseRootFromParent_Done,
     /*  401491 */   // Label 7144: @401491
     /*  401491 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401566), // Rule ID 7358 //
     /*  401496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401564 */     GIR_RootConstrainSelectedInstOperands,
     /*  401565 */     // GIR_Coverage, 7358,
     /*  401565 */     GIR_EraseRootFromParent_Done,
     /*  401566 */   // Label 7145: @401566
     /*  401566 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401641), // Rule ID 7359 //
     /*  401571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401639 */     GIR_RootConstrainSelectedInstOperands,
     /*  401640 */     // GIR_Coverage, 7359,
     /*  401640 */     GIR_EraseRootFromParent_Done,
     /*  401641 */   // Label 7146: @401641
     /*  401641 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(401716), // Rule ID 7362 //
     /*  401646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401714 */     GIR_RootConstrainSelectedInstOperands,
     /*  401715 */     // GIR_Coverage, 7362,
     /*  401715 */     GIR_EraseRootFromParent_Done,
     /*  401716 */   // Label 7147: @401716
     /*  401716 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(401791), // Rule ID 7363 //
     /*  401721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401789 */     GIR_RootConstrainSelectedInstOperands,
     /*  401790 */     // GIR_Coverage, 7363,
     /*  401790 */     GIR_EraseRootFromParent_Done,
     /*  401791 */   // Label 7148: @401791
     /*  401791 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(401866), // Rule ID 7366 //
     /*  401796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401831 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401864 */     GIR_RootConstrainSelectedInstOperands,
     /*  401865 */     // GIR_Coverage, 7366,
     /*  401865 */     GIR_EraseRootFromParent_Done,
     /*  401866 */   // Label 7149: @401866
     /*  401866 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(401941), // Rule ID 7367 //
     /*  401871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401939 */     GIR_RootConstrainSelectedInstOperands,
     /*  401940 */     // GIR_Coverage, 7367,
     /*  401940 */     GIR_EraseRootFromParent_Done,
     /*  401941 */   // Label 7150: @401941
     /*  401941 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402016), // Rule ID 7370 //
     /*  401946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  401957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  401960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  401963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  401995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402014 */     GIR_RootConstrainSelectedInstOperands,
     /*  402015 */     // GIR_Coverage, 7370,
     /*  402015 */     GIR_EraseRootFromParent_Done,
     /*  402016 */   // Label 7151: @402016
     /*  402016 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402091), // Rule ID 7371 //
     /*  402021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  402032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  402035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  402038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402089 */     GIR_RootConstrainSelectedInstOperands,
     /*  402090 */     // GIR_Coverage, 7371,
     /*  402090 */     GIR_EraseRootFromParent_Done,
     /*  402091 */   // Label 7152: @402091
     /*  402091 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402166), // Rule ID 7374 //
     /*  402096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402164 */     GIR_RootConstrainSelectedInstOperands,
     /*  402165 */     // GIR_Coverage, 7374,
     /*  402165 */     GIR_EraseRootFromParent_Done,
     /*  402166 */   // Label 7153: @402166
     /*  402166 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402241), // Rule ID 7375 //
     /*  402171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402239 */     GIR_RootConstrainSelectedInstOperands,
     /*  402240 */     // GIR_Coverage, 7375,
     /*  402240 */     GIR_EraseRootFromParent_Done,
     /*  402241 */   // Label 7154: @402241
     /*  402241 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402316), // Rule ID 7378 //
     /*  402246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402281 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402314 */     GIR_RootConstrainSelectedInstOperands,
     /*  402315 */     // GIR_Coverage, 7378,
     /*  402315 */     GIR_EraseRootFromParent_Done,
     /*  402316 */   // Label 7155: @402316
     /*  402316 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402391), // Rule ID 7379 //
     /*  402321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402389 */     GIR_RootConstrainSelectedInstOperands,
     /*  402390 */     // GIR_Coverage, 7379,
     /*  402390 */     GIR_EraseRootFromParent_Done,
     /*  402391 */   // Label 7156: @402391
     /*  402391 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402466), // Rule ID 7382 //
     /*  402396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  402399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402464 */     GIR_RootConstrainSelectedInstOperands,
     /*  402465 */     // GIR_Coverage, 7382,
     /*  402465 */     GIR_EraseRootFromParent_Done,
     /*  402466 */   // Label 7157: @402466
     /*  402466 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402541), // Rule ID 7383 //
     /*  402471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  402474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402539 */     GIR_RootConstrainSelectedInstOperands,
     /*  402540 */     // GIR_Coverage, 7383,
     /*  402540 */     GIR_EraseRootFromParent_Done,
     /*  402541 */   // Label 7158: @402541
     /*  402541 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402616), // Rule ID 7386 //
     /*  402546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  402563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402614 */     GIR_RootConstrainSelectedInstOperands,
     /*  402615 */     // GIR_Coverage, 7386,
     /*  402615 */     GIR_EraseRootFromParent_Done,
     /*  402616 */   // Label 7159: @402616
     /*  402616 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(402691), // Rule ID 7387 //
     /*  402621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  402638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402656 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402689 */     GIR_RootConstrainSelectedInstOperands,
     /*  402690 */     // GIR_Coverage, 7387,
     /*  402690 */     GIR_EraseRootFromParent_Done,
     /*  402691 */   // Label 7160: @402691
     /*  402691 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(402766), // Rule ID 7390 //
     /*  402696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  402713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402731 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  402745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402764 */     GIR_RootConstrainSelectedInstOperands,
     /*  402765 */     // GIR_Coverage, 7390,
     /*  402765 */     GIR_EraseRootFromParent_Done,
     /*  402766 */   // Label 7161: @402766
     /*  402766 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(402841), // Rule ID 7391 //
     /*  402771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  402788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  402820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402839 */     GIR_RootConstrainSelectedInstOperands,
     /*  402840 */     // GIR_Coverage, 7391,
     /*  402840 */     GIR_EraseRootFromParent_Done,
     /*  402841 */   // Label 7162: @402841
     /*  402841 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(402916), // Rule ID 7394 //
     /*  402846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  402863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402881 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  402895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402914 */     GIR_RootConstrainSelectedInstOperands,
     /*  402915 */     // GIR_Coverage, 7394,
     /*  402915 */     GIR_EraseRootFromParent_Done,
     /*  402916 */   // Label 7163: @402916
     /*  402916 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(402991), // Rule ID 7395 //
     /*  402921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  402938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402967 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  402970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402989 */     GIR_RootConstrainSelectedInstOperands,
     /*  402990 */     // GIR_Coverage, 7395,
     /*  402990 */     GIR_EraseRootFromParent_Done,
     /*  402991 */   // Label 7164: @402991
     /*  402991 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403066), // Rule ID 7398 //
     /*  402996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403064 */     GIR_RootConstrainSelectedInstOperands,
     /*  403065 */     // GIR_Coverage, 7398,
     /*  403065 */     GIR_EraseRootFromParent_Done,
     /*  403066 */   // Label 7165: @403066
     /*  403066 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403141), // Rule ID 7399 //
     /*  403071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403106 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403139 */     GIR_RootConstrainSelectedInstOperands,
     /*  403140 */     // GIR_Coverage, 7399,
     /*  403140 */     GIR_EraseRootFromParent_Done,
     /*  403141 */   // Label 7166: @403141
     /*  403141 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403216), // Rule ID 7402 //
     /*  403146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403214 */     GIR_RootConstrainSelectedInstOperands,
     /*  403215 */     // GIR_Coverage, 7402,
     /*  403215 */     GIR_EraseRootFromParent_Done,
     /*  403216 */   // Label 7167: @403216
     /*  403216 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403291), // Rule ID 7403 //
     /*  403221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403289 */     GIR_RootConstrainSelectedInstOperands,
     /*  403290 */     // GIR_Coverage, 7403,
     /*  403290 */     GIR_EraseRootFromParent_Done,
     /*  403291 */   // Label 7168: @403291
     /*  403291 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403366), // Rule ID 7406 //
     /*  403296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403364 */     GIR_RootConstrainSelectedInstOperands,
     /*  403365 */     // GIR_Coverage, 7406,
     /*  403365 */     GIR_EraseRootFromParent_Done,
     /*  403366 */   // Label 7169: @403366
     /*  403366 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403441), // Rule ID 7407 //
     /*  403371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403406 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403439 */     GIR_RootConstrainSelectedInstOperands,
     /*  403440 */     // GIR_Coverage, 7407,
     /*  403440 */     GIR_EraseRootFromParent_Done,
     /*  403441 */   // Label 7170: @403441
     /*  403441 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403516), // Rule ID 7410 //
     /*  403446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403481 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403514 */     GIR_RootConstrainSelectedInstOperands,
     /*  403515 */     // GIR_Coverage, 7410,
     /*  403515 */     GIR_EraseRootFromParent_Done,
     /*  403516 */   // Label 7171: @403516
     /*  403516 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403591), // Rule ID 7411 //
     /*  403521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403589 */     GIR_RootConstrainSelectedInstOperands,
     /*  403590 */     // GIR_Coverage, 7411,
     /*  403590 */     GIR_EraseRootFromParent_Done,
     /*  403591 */   // Label 7172: @403591
     /*  403591 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(403666), // Rule ID 7414 //
     /*  403596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403631 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403664 */     GIR_RootConstrainSelectedInstOperands,
     /*  403665 */     // GIR_Coverage, 7414,
     /*  403665 */     GIR_EraseRootFromParent_Done,
     /*  403666 */   // Label 7173: @403666
     /*  403666 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(403741), // Rule ID 7415 //
     /*  403671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403706 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403739 */     GIR_RootConstrainSelectedInstOperands,
     /*  403740 */     // GIR_Coverage, 7415,
     /*  403740 */     GIR_EraseRootFromParent_Done,
     /*  403741 */   // Label 7174: @403741
     /*  403741 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(403816), // Rule ID 7418 //
     /*  403746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403781 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403814 */     GIR_RootConstrainSelectedInstOperands,
     /*  403815 */     // GIR_Coverage, 7418,
     /*  403815 */     GIR_EraseRootFromParent_Done,
     /*  403816 */   // Label 7175: @403816
     /*  403816 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(403891), // Rule ID 7419 //
     /*  403821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403856 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403889 */     GIR_RootConstrainSelectedInstOperands,
     /*  403890 */     // GIR_Coverage, 7419,
     /*  403890 */     GIR_EraseRootFromParent_Done,
     /*  403891 */   // Label 7176: @403891
     /*  403891 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(403966), // Rule ID 7422 //
     /*  403896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403964 */     GIR_RootConstrainSelectedInstOperands,
     /*  403965 */     // GIR_Coverage, 7422,
     /*  403965 */     GIR_EraseRootFromParent_Done,
     /*  403966 */   // Label 7177: @403966
     /*  403966 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404041), // Rule ID 7423 //
     /*  403971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  403974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  404020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404039 */     GIR_RootConstrainSelectedInstOperands,
     /*  404040 */     // GIR_Coverage, 7423,
     /*  404040 */     GIR_EraseRootFromParent_Done,
     /*  404041 */   // Label 7178: @404041
     /*  404041 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404116), // Rule ID 7426 //
     /*  404046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404114 */     GIR_RootConstrainSelectedInstOperands,
     /*  404115 */     // GIR_Coverage, 7426,
     /*  404115 */     GIR_EraseRootFromParent_Done,
     /*  404116 */   // Label 7179: @404116
     /*  404116 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404191), // Rule ID 7427 //
     /*  404121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404189 */     GIR_RootConstrainSelectedInstOperands,
     /*  404190 */     // GIR_Coverage, 7427,
     /*  404190 */     GIR_EraseRootFromParent_Done,
     /*  404191 */   // Label 7180: @404191
     /*  404191 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404266), // Rule ID 7430 //
     /*  404196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404264 */     GIR_RootConstrainSelectedInstOperands,
     /*  404265 */     // GIR_Coverage, 7430,
     /*  404265 */     GIR_EraseRootFromParent_Done,
     /*  404266 */   // Label 7181: @404266
     /*  404266 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404341), // Rule ID 7431 //
     /*  404271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404339 */     GIR_RootConstrainSelectedInstOperands,
     /*  404340 */     // GIR_Coverage, 7431,
     /*  404340 */     GIR_EraseRootFromParent_Done,
     /*  404341 */   // Label 7182: @404341
     /*  404341 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404418), // Rule ID 2736 //
     /*  404346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404378 */     // MIs[0] Operand 4
     /*  404378 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404416 */     GIR_RootConstrainSelectedInstOperands,
     /*  404417 */     // GIR_Coverage, 2736,
     /*  404417 */     GIR_EraseRootFromParent_Done,
     /*  404418 */   // Label 7183: @404418
     /*  404418 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404495), // Rule ID 2737 //
     /*  404423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404455 */     // MIs[0] Operand 4
     /*  404455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404473 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404493 */     GIR_RootConstrainSelectedInstOperands,
     /*  404494 */     // GIR_Coverage, 2737,
     /*  404494 */     GIR_EraseRootFromParent_Done,
     /*  404495 */   // Label 7184: @404495
     /*  404495 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404572), // Rule ID 20628 //
     /*  404500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404532 */     // MIs[0] Operand 4
     /*  404532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404570 */     GIR_RootConstrainSelectedInstOperands,
     /*  404571 */     // GIR_Coverage, 20628,
     /*  404571 */     GIR_EraseRootFromParent_Done,
     /*  404572 */   // Label 7185: @404572
     /*  404572 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(404649), // Rule ID 20629 //
     /*  404577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404609 */     // MIs[0] Operand 4
     /*  404609 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404647 */     GIR_RootConstrainSelectedInstOperands,
     /*  404648 */     // GIR_Coverage, 20629,
     /*  404648 */     GIR_EraseRootFromParent_Done,
     /*  404649 */   // Label 7186: @404649
     /*  404649 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(404726), // Rule ID 20632 //
     /*  404654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404686 */     // MIs[0] Operand 4
     /*  404686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404724 */     GIR_RootConstrainSelectedInstOperands,
     /*  404725 */     // GIR_Coverage, 20632,
     /*  404725 */     GIR_EraseRootFromParent_Done,
     /*  404726 */   // Label 7187: @404726
     /*  404726 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(404803), // Rule ID 20633 //
     /*  404731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404763 */     // MIs[0] Operand 4
     /*  404763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404801 */     GIR_RootConstrainSelectedInstOperands,
     /*  404802 */     // GIR_Coverage, 20633,
     /*  404802 */     GIR_EraseRootFromParent_Done,
     /*  404803 */   // Label 7188: @404803
     /*  404803 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(404880), // Rule ID 20636 //
     /*  404808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404840 */     // MIs[0] Operand 4
     /*  404840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404878 */     GIR_RootConstrainSelectedInstOperands,
     /*  404879 */     // GIR_Coverage, 20636,
     /*  404879 */     GIR_EraseRootFromParent_Done,
     /*  404880 */   // Label 7189: @404880
     /*  404880 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(404957), // Rule ID 20637 //
     /*  404885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404917 */     // MIs[0] Operand 4
     /*  404917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404955 */     GIR_RootConstrainSelectedInstOperands,
     /*  404956 */     // GIR_Coverage, 20637,
     /*  404956 */     GIR_EraseRootFromParent_Done,
     /*  404957 */   // Label 7190: @404957
     /*  404957 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405034), // Rule ID 20640 //
     /*  404962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404994 */     // MIs[0] Operand 4
     /*  404994 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405032 */     GIR_RootConstrainSelectedInstOperands,
     /*  405033 */     // GIR_Coverage, 20640,
     /*  405033 */     GIR_EraseRootFromParent_Done,
     /*  405034 */   // Label 7191: @405034
     /*  405034 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405111), // Rule ID 20641 //
     /*  405039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405071 */     // MIs[0] Operand 4
     /*  405071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405109 */     GIR_RootConstrainSelectedInstOperands,
     /*  405110 */     // GIR_Coverage, 20641,
     /*  405110 */     GIR_EraseRootFromParent_Done,
     /*  405111 */   // Label 7192: @405111
     /*  405111 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405188), // Rule ID 20644 //
     /*  405116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  405119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405148 */     // MIs[0] Operand 4
     /*  405148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  405166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405186 */     GIR_RootConstrainSelectedInstOperands,
     /*  405187 */     // GIR_Coverage, 20644,
     /*  405187 */     GIR_EraseRootFromParent_Done,
     /*  405188 */   // Label 7193: @405188
     /*  405188 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405265), // Rule ID 20645 //
     /*  405193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  405196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405225 */     // MIs[0] Operand 4
     /*  405225 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  405243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405263 */     GIR_RootConstrainSelectedInstOperands,
     /*  405264 */     // GIR_Coverage, 20645,
     /*  405264 */     GIR_EraseRootFromParent_Done,
     /*  405265 */   // Label 7194: @405265
     /*  405265 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405342), // Rule ID 20648 //
     /*  405270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405302 */     // MIs[0] Operand 4
     /*  405302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405340 */     GIR_RootConstrainSelectedInstOperands,
     /*  405341 */     // GIR_Coverage, 20648,
     /*  405341 */     GIR_EraseRootFromParent_Done,
     /*  405342 */   // Label 7195: @405342
     /*  405342 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405419), // Rule ID 20649 //
     /*  405347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405379 */     // MIs[0] Operand 4
     /*  405379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405417 */     GIR_RootConstrainSelectedInstOperands,
     /*  405418 */     // GIR_Coverage, 20649,
     /*  405418 */     GIR_EraseRootFromParent_Done,
     /*  405419 */   // Label 7196: @405419
     /*  405419 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405496), // Rule ID 20652 //
     /*  405424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405456 */     // MIs[0] Operand 4
     /*  405456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405494 */     GIR_RootConstrainSelectedInstOperands,
     /*  405495 */     // GIR_Coverage, 20652,
     /*  405495 */     GIR_EraseRootFromParent_Done,
     /*  405496 */   // Label 7197: @405496
     /*  405496 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405573), // Rule ID 20653 //
     /*  405501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405533 */     // MIs[0] Operand 4
     /*  405533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405571 */     GIR_RootConstrainSelectedInstOperands,
     /*  405572 */     // GIR_Coverage, 20653,
     /*  405572 */     GIR_EraseRootFromParent_Done,
     /*  405573 */   // Label 7198: @405573
     /*  405573 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(405650), // Rule ID 20656 //
     /*  405578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  405595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405610 */     // MIs[0] Operand 4
     /*  405610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405648 */     GIR_RootConstrainSelectedInstOperands,
     /*  405649 */     // GIR_Coverage, 20656,
     /*  405649 */     GIR_EraseRootFromParent_Done,
     /*  405650 */   // Label 7199: @405650
     /*  405650 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(405727), // Rule ID 20657 //
     /*  405655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  405672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405687 */     // MIs[0] Operand 4
     /*  405687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405725 */     GIR_RootConstrainSelectedInstOperands,
     /*  405726 */     // GIR_Coverage, 20657,
     /*  405726 */     GIR_EraseRootFromParent_Done,
     /*  405727 */   // Label 7200: @405727
     /*  405727 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(405804), // Rule ID 20660 //
     /*  405732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405764 */     // MIs[0] Operand 4
     /*  405764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405802 */     GIR_RootConstrainSelectedInstOperands,
     /*  405803 */     // GIR_Coverage, 20660,
     /*  405803 */     GIR_EraseRootFromParent_Done,
     /*  405804 */   // Label 7201: @405804
     /*  405804 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(405881), // Rule ID 20661 //
     /*  405809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405841 */     // MIs[0] Operand 4
     /*  405841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405879 */     GIR_RootConstrainSelectedInstOperands,
     /*  405880 */     // GIR_Coverage, 20661,
     /*  405880 */     GIR_EraseRootFromParent_Done,
     /*  405881 */   // Label 7202: @405881
     /*  405881 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(405958), // Rule ID 20664 //
     /*  405886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405918 */     // MIs[0] Operand 4
     /*  405918 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405956 */     GIR_RootConstrainSelectedInstOperands,
     /*  405957 */     // GIR_Coverage, 20664,
     /*  405957 */     GIR_EraseRootFromParent_Done,
     /*  405958 */   // Label 7203: @405958
     /*  405958 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406035), // Rule ID 20665 //
     /*  405963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405995 */     // MIs[0] Operand 4
     /*  405995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406013 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406033 */     GIR_RootConstrainSelectedInstOperands,
     /*  406034 */     // GIR_Coverage, 20665,
     /*  406034 */     GIR_EraseRootFromParent_Done,
     /*  406035 */   // Label 7204: @406035
     /*  406035 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406112), // Rule ID 20668 //
     /*  406040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  406057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406072 */     // MIs[0] Operand 4
     /*  406072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406110 */     GIR_RootConstrainSelectedInstOperands,
     /*  406111 */     // GIR_Coverage, 20668,
     /*  406111 */     GIR_EraseRootFromParent_Done,
     /*  406112 */   // Label 7205: @406112
     /*  406112 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406189), // Rule ID 20669 //
     /*  406117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  406134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406149 */     // MIs[0] Operand 4
     /*  406149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406187 */     GIR_RootConstrainSelectedInstOperands,
     /*  406188 */     // GIR_Coverage, 20669,
     /*  406188 */     GIR_EraseRootFromParent_Done,
     /*  406189 */   // Label 7206: @406189
     /*  406189 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406266), // Rule ID 20672 //
     /*  406194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406226 */     // MIs[0] Operand 4
     /*  406226 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406264 */     GIR_RootConstrainSelectedInstOperands,
     /*  406265 */     // GIR_Coverage, 20672,
     /*  406265 */     GIR_EraseRootFromParent_Done,
     /*  406266 */   // Label 7207: @406266
     /*  406266 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406343), // Rule ID 20673 //
     /*  406271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406303 */     // MIs[0] Operand 4
     /*  406303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406341 */     GIR_RootConstrainSelectedInstOperands,
     /*  406342 */     // GIR_Coverage, 20673,
     /*  406342 */     GIR_EraseRootFromParent_Done,
     /*  406343 */   // Label 7208: @406343
     /*  406343 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406420), // Rule ID 20676 //
     /*  406348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406380 */     // MIs[0] Operand 4
     /*  406380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406418 */     GIR_RootConstrainSelectedInstOperands,
     /*  406419 */     // GIR_Coverage, 20676,
     /*  406419 */     GIR_EraseRootFromParent_Done,
     /*  406420 */   // Label 7209: @406420
     /*  406420 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406497), // Rule ID 20677 //
     /*  406425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406457 */     // MIs[0] Operand 4
     /*  406457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406495 */     GIR_RootConstrainSelectedInstOperands,
     /*  406496 */     // GIR_Coverage, 20677,
     /*  406496 */     GIR_EraseRootFromParent_Done,
     /*  406497 */   // Label 7210: @406497
     /*  406497 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406574), // Rule ID 20680 //
     /*  406502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  406519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406534 */     // MIs[0] Operand 4
     /*  406534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406572 */     GIR_RootConstrainSelectedInstOperands,
     /*  406573 */     // GIR_Coverage, 20680,
     /*  406573 */     GIR_EraseRootFromParent_Done,
     /*  406574 */   // Label 7211: @406574
     /*  406574 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(406651), // Rule ID 20681 //
     /*  406579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  406596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406611 */     // MIs[0] Operand 4
     /*  406611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406649 */     GIR_RootConstrainSelectedInstOperands,
     /*  406650 */     // GIR_Coverage, 20681,
     /*  406650 */     GIR_EraseRootFromParent_Done,
     /*  406651 */   // Label 7212: @406651
     /*  406651 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(406728), // Rule ID 20684 //
     /*  406656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406688 */     // MIs[0] Operand 4
     /*  406688 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  406709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406726 */     GIR_RootConstrainSelectedInstOperands,
     /*  406727 */     // GIR_Coverage, 20684,
     /*  406727 */     GIR_EraseRootFromParent_Done,
     /*  406728 */   // Label 7213: @406728
     /*  406728 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(406805), // Rule ID 20685 //
     /*  406733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406765 */     // MIs[0] Operand 4
     /*  406765 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  406786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406803 */     GIR_RootConstrainSelectedInstOperands,
     /*  406804 */     // GIR_Coverage, 20685,
     /*  406804 */     GIR_EraseRootFromParent_Done,
     /*  406805 */   // Label 7214: @406805
     /*  406805 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(406882), // Rule ID 20688 //
     /*  406810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406842 */     // MIs[0] Operand 4
     /*  406842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406880 */     GIR_RootConstrainSelectedInstOperands,
     /*  406881 */     // GIR_Coverage, 20688,
     /*  406881 */     GIR_EraseRootFromParent_Done,
     /*  406882 */   // Label 7215: @406882
     /*  406882 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(406959), // Rule ID 20689 //
     /*  406887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406919 */     // MIs[0] Operand 4
     /*  406919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406957 */     GIR_RootConstrainSelectedInstOperands,
     /*  406958 */     // GIR_Coverage, 20689,
     /*  406958 */     GIR_EraseRootFromParent_Done,
     /*  406959 */   // Label 7216: @406959
     /*  406959 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407036), // Rule ID 20692 //
     /*  406964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406996 */     // MIs[0] Operand 4
     /*  406996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407034 */     GIR_RootConstrainSelectedInstOperands,
     /*  407035 */     // GIR_Coverage, 20692,
     /*  407035 */     GIR_EraseRootFromParent_Done,
     /*  407036 */   // Label 7217: @407036
     /*  407036 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407113), // Rule ID 20693 //
     /*  407041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407073 */     // MIs[0] Operand 4
     /*  407073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407111 */     GIR_RootConstrainSelectedInstOperands,
     /*  407112 */     // GIR_Coverage, 20693,
     /*  407112 */     GIR_EraseRootFromParent_Done,
     /*  407113 */   // Label 7218: @407113
     /*  407113 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407190), // Rule ID 20696 //
     /*  407118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407150 */     // MIs[0] Operand 4
     /*  407150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407188 */     GIR_RootConstrainSelectedInstOperands,
     /*  407189 */     // GIR_Coverage, 20696,
     /*  407189 */     GIR_EraseRootFromParent_Done,
     /*  407190 */   // Label 7219: @407190
     /*  407190 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407267), // Rule ID 20697 //
     /*  407195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407227 */     // MIs[0] Operand 4
     /*  407227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407265 */     GIR_RootConstrainSelectedInstOperands,
     /*  407266 */     // GIR_Coverage, 20697,
     /*  407266 */     GIR_EraseRootFromParent_Done,
     /*  407267 */   // Label 7220: @407267
     /*  407267 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407344), // Rule ID 20700 //
     /*  407272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407304 */     // MIs[0] Operand 4
     /*  407304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407342 */     GIR_RootConstrainSelectedInstOperands,
     /*  407343 */     // GIR_Coverage, 20700,
     /*  407343 */     GIR_EraseRootFromParent_Done,
     /*  407344 */   // Label 7221: @407344
     /*  407344 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407421), // Rule ID 20701 //
     /*  407349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407381 */     // MIs[0] Operand 4
     /*  407381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407419 */     GIR_RootConstrainSelectedInstOperands,
     /*  407420 */     // GIR_Coverage, 20701,
     /*  407420 */     GIR_EraseRootFromParent_Done,
     /*  407421 */   // Label 7222: @407421
     /*  407421 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407498), // Rule ID 20704 //
     /*  407426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  407429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407458 */     // MIs[0] Operand 4
     /*  407458 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  407476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407496 */     GIR_RootConstrainSelectedInstOperands,
     /*  407497 */     // GIR_Coverage, 20704,
     /*  407497 */     GIR_EraseRootFromParent_Done,
     /*  407498 */   // Label 7223: @407498
     /*  407498 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407575), // Rule ID 20705 //
     /*  407503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  407506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407535 */     // MIs[0] Operand 4
     /*  407535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  407553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407573 */     GIR_RootConstrainSelectedInstOperands,
     /*  407574 */     // GIR_Coverage, 20705,
     /*  407574 */     GIR_EraseRootFromParent_Done,
     /*  407575 */   // Label 7224: @407575
     /*  407575 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(407652), // Rule ID 20708 //
     /*  407580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407612 */     // MIs[0] Operand 4
     /*  407612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407650 */     GIR_RootConstrainSelectedInstOperands,
     /*  407651 */     // GIR_Coverage, 20708,
     /*  407651 */     GIR_EraseRootFromParent_Done,
     /*  407652 */   // Label 7225: @407652
     /*  407652 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(407729), // Rule ID 20709 //
     /*  407657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407689 */     // MIs[0] Operand 4
     /*  407689 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407707 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407727 */     GIR_RootConstrainSelectedInstOperands,
     /*  407728 */     // GIR_Coverage, 20709,
     /*  407728 */     GIR_EraseRootFromParent_Done,
     /*  407729 */   // Label 7226: @407729
     /*  407729 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(407806), // Rule ID 20712 //
     /*  407734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407766 */     // MIs[0] Operand 4
     /*  407766 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  407787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407804 */     GIR_RootConstrainSelectedInstOperands,
     /*  407805 */     // GIR_Coverage, 20712,
     /*  407805 */     GIR_EraseRootFromParent_Done,
     /*  407806 */   // Label 7227: @407806
     /*  407806 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(407883), // Rule ID 20713 //
     /*  407811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407843 */     // MIs[0] Operand 4
     /*  407843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  407864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407881 */     GIR_RootConstrainSelectedInstOperands,
     /*  407882 */     // GIR_Coverage, 20713,
     /*  407882 */     GIR_EraseRootFromParent_Done,
     /*  407883 */   // Label 7228: @407883
     /*  407883 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(407960), // Rule ID 20716 //
     /*  407888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  407899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  407902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407920 */     // MIs[0] Operand 4
     /*  407920 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  407941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407958 */     GIR_RootConstrainSelectedInstOperands,
     /*  407959 */     // GIR_Coverage, 20716,
     /*  407959 */     GIR_EraseRootFromParent_Done,
     /*  407960 */   // Label 7229: @407960
     /*  407960 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408037), // Rule ID 20717 //
     /*  407965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  407976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  407979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407997 */     // MIs[0] Operand 4
     /*  407997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408015 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408035 */     GIR_RootConstrainSelectedInstOperands,
     /*  408036 */     // GIR_Coverage, 20717,
     /*  408036 */     GIR_EraseRootFromParent_Done,
     /*  408037 */   // Label 7230: @408037
     /*  408037 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408114), // Rule ID 20720 //
     /*  408042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408074 */     // MIs[0] Operand 4
     /*  408074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408112 */     GIR_RootConstrainSelectedInstOperands,
     /*  408113 */     // GIR_Coverage, 20720,
     /*  408113 */     GIR_EraseRootFromParent_Done,
     /*  408114 */   // Label 7231: @408114
     /*  408114 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408191), // Rule ID 20721 //
     /*  408119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408151 */     // MIs[0] Operand 4
     /*  408151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408189 */     GIR_RootConstrainSelectedInstOperands,
     /*  408190 */     // GIR_Coverage, 20721,
     /*  408190 */     GIR_EraseRootFromParent_Done,
     /*  408191 */   // Label 7232: @408191
     /*  408191 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408268), // Rule ID 20724 //
     /*  408196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408228 */     // MIs[0] Operand 4
     /*  408228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408266 */     GIR_RootConstrainSelectedInstOperands,
     /*  408267 */     // GIR_Coverage, 20724,
     /*  408267 */     GIR_EraseRootFromParent_Done,
     /*  408268 */   // Label 7233: @408268
     /*  408268 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408345), // Rule ID 20725 //
     /*  408273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408305 */     // MIs[0] Operand 4
     /*  408305 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408343 */     GIR_RootConstrainSelectedInstOperands,
     /*  408344 */     // GIR_Coverage, 20725,
     /*  408344 */     GIR_EraseRootFromParent_Done,
     /*  408345 */   // Label 7234: @408345
     /*  408345 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408422), // Rule ID 20728 //
     /*  408350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408382 */     // MIs[0] Operand 4
     /*  408382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408420 */     GIR_RootConstrainSelectedInstOperands,
     /*  408421 */     // GIR_Coverage, 20728,
     /*  408421 */     GIR_EraseRootFromParent_Done,
     /*  408422 */   // Label 7235: @408422
     /*  408422 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408499), // Rule ID 20729 //
     /*  408427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408459 */     // MIs[0] Operand 4
     /*  408459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408497 */     GIR_RootConstrainSelectedInstOperands,
     /*  408498 */     // GIR_Coverage, 20729,
     /*  408498 */     GIR_EraseRootFromParent_Done,
     /*  408499 */   // Label 7236: @408499
     /*  408499 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408576), // Rule ID 20732 //
     /*  408504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  408515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  408518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408536 */     // MIs[0] Operand 4
     /*  408536 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408574 */     GIR_RootConstrainSelectedInstOperands,
     /*  408575 */     // GIR_Coverage, 20732,
     /*  408575 */     GIR_EraseRootFromParent_Done,
     /*  408576 */   // Label 7237: @408576
     /*  408576 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(408653), // Rule ID 20733 //
     /*  408581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  408592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  408595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408613 */     // MIs[0] Operand 4
     /*  408613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408631 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408651 */     GIR_RootConstrainSelectedInstOperands,
     /*  408652 */     // GIR_Coverage, 20733,
     /*  408652 */     GIR_EraseRootFromParent_Done,
     /*  408653 */   // Label 7238: @408653
     /*  408653 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(408730), // Rule ID 20736 //
     /*  408658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  408669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  408672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  408675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408690 */     // MIs[0] Operand 4
     /*  408690 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408728 */     GIR_RootConstrainSelectedInstOperands,
     /*  408729 */     // GIR_Coverage, 20736,
     /*  408729 */     GIR_EraseRootFromParent_Done,
     /*  408730 */   // Label 7239: @408730
     /*  408730 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(408807), // Rule ID 20737 //
     /*  408735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  408746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  408749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  408752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408767 */     // MIs[0] Operand 4
     /*  408767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408805 */     GIR_RootConstrainSelectedInstOperands,
     /*  408806 */     // GIR_Coverage, 20737,
     /*  408806 */     GIR_EraseRootFromParent_Done,
     /*  408807 */   // Label 7240: @408807
     /*  408807 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(408884), // Rule ID 20740 //
     /*  408812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  408823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  408826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  408829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408844 */     // MIs[0] Operand 4
     /*  408844 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408882 */     GIR_RootConstrainSelectedInstOperands,
     /*  408883 */     // GIR_Coverage, 20740,
     /*  408883 */     GIR_EraseRootFromParent_Done,
     /*  408884 */   // Label 7241: @408884
     /*  408884 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(408961), // Rule ID 20741 //
     /*  408889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  408900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  408903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  408906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408921 */     // MIs[0] Operand 4
     /*  408921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408959 */     GIR_RootConstrainSelectedInstOperands,
     /*  408960 */     // GIR_Coverage, 20741,
     /*  408960 */     GIR_EraseRootFromParent_Done,
     /*  408961 */   // Label 7242: @408961
     /*  408961 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409038), // Rule ID 21100 //
     /*  408966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  408974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408998 */     // MIs[0] Operand 4
     /*  408998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  409019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409036 */     GIR_RootConstrainSelectedInstOperands,
     /*  409037 */     // GIR_Coverage, 21100,
     /*  409037 */     GIR_EraseRootFromParent_Done,
     /*  409038 */   // Label 7243: @409038
     /*  409038 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409115), // Rule ID 21101 //
     /*  409043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409075 */     // MIs[0] Operand 4
     /*  409075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  409096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409113 */     GIR_RootConstrainSelectedInstOperands,
     /*  409114 */     // GIR_Coverage, 21101,
     /*  409114 */     GIR_EraseRootFromParent_Done,
     /*  409115 */   // Label 7244: @409115
     /*  409115 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409192), // Rule ID 21104 //
     /*  409120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409152 */     // MIs[0] Operand 4
     /*  409152 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409190 */     GIR_RootConstrainSelectedInstOperands,
     /*  409191 */     // GIR_Coverage, 21104,
     /*  409191 */     GIR_EraseRootFromParent_Done,
     /*  409192 */   // Label 7245: @409192
     /*  409192 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409269), // Rule ID 21105 //
     /*  409197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409229 */     // MIs[0] Operand 4
     /*  409229 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409267 */     GIR_RootConstrainSelectedInstOperands,
     /*  409268 */     // GIR_Coverage, 21105,
     /*  409268 */     GIR_EraseRootFromParent_Done,
     /*  409269 */   // Label 7246: @409269
     /*  409269 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409346), // Rule ID 21108 //
     /*  409274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409306 */     // MIs[0] Operand 4
     /*  409306 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409344 */     GIR_RootConstrainSelectedInstOperands,
     /*  409345 */     // GIR_Coverage, 21108,
     /*  409345 */     GIR_EraseRootFromParent_Done,
     /*  409346 */   // Label 7247: @409346
     /*  409346 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409423), // Rule ID 21109 //
     /*  409351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409383 */     // MIs[0] Operand 4
     /*  409383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409421 */     GIR_RootConstrainSelectedInstOperands,
     /*  409422 */     // GIR_Coverage, 21109,
     /*  409422 */     GIR_EraseRootFromParent_Done,
     /*  409423 */   // Label 7248: @409423
     /*  409423 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409500), // Rule ID 21112 //
     /*  409428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409460 */     // MIs[0] Operand 4
     /*  409460 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409498 */     GIR_RootConstrainSelectedInstOperands,
     /*  409499 */     // GIR_Coverage, 21112,
     /*  409499 */     GIR_EraseRootFromParent_Done,
     /*  409500 */   // Label 7249: @409500
     /*  409500 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409577), // Rule ID 21113 //
     /*  409505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409537 */     // MIs[0] Operand 4
     /*  409537 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409575 */     GIR_RootConstrainSelectedInstOperands,
     /*  409576 */     // GIR_Coverage, 21113,
     /*  409576 */     GIR_EraseRootFromParent_Done,
     /*  409577 */   // Label 7250: @409577
     /*  409577 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(409654), // Rule ID 21116 //
     /*  409582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409614 */     // MIs[0] Operand 4
     /*  409614 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  409635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409652 */     GIR_RootConstrainSelectedInstOperands,
     /*  409653 */     // GIR_Coverage, 21116,
     /*  409653 */     GIR_EraseRootFromParent_Done,
     /*  409654 */   // Label 7251: @409654
     /*  409654 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(409731), // Rule ID 21117 //
     /*  409659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409691 */     // MIs[0] Operand 4
     /*  409691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  409712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409729 */     GIR_RootConstrainSelectedInstOperands,
     /*  409730 */     // GIR_Coverage, 21117,
     /*  409730 */     GIR_EraseRootFromParent_Done,
     /*  409731 */   // Label 7252: @409731
     /*  409731 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(409808), // Rule ID 21120 //
     /*  409736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  409750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409768 */     // MIs[0] Operand 4
     /*  409768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409806 */     GIR_RootConstrainSelectedInstOperands,
     /*  409807 */     // GIR_Coverage, 21120,
     /*  409807 */     GIR_EraseRootFromParent_Done,
     /*  409808 */   // Label 7253: @409808
     /*  409808 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(409885), // Rule ID 21121 //
     /*  409813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  409816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  409827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409845 */     // MIs[0] Operand 4
     /*  409845 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409883 */     GIR_RootConstrainSelectedInstOperands,
     /*  409884 */     // GIR_Coverage, 21121,
     /*  409884 */     GIR_EraseRootFromParent_Done,
     /*  409885 */   // Label 7254: @409885
     /*  409885 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(409962), // Rule ID 21124 //
     /*  409890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  409901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  409904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409922 */     // MIs[0] Operand 4
     /*  409922 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409960 */     GIR_RootConstrainSelectedInstOperands,
     /*  409961 */     // GIR_Coverage, 21124,
     /*  409961 */     GIR_EraseRootFromParent_Done,
     /*  409962 */   // Label 7255: @409962
     /*  409962 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410039), // Rule ID 21125 //
     /*  409967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  409970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  409978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  409981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409999 */     // MIs[0] Operand 4
     /*  409999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  410020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410037 */     GIR_RootConstrainSelectedInstOperands,
     /*  410038 */     // GIR_Coverage, 21125,
     /*  410038 */     GIR_EraseRootFromParent_Done,
     /*  410039 */   // Label 7256: @410039
     /*  410039 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410116), // Rule ID 21128 //
     /*  410044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  410055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  410058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410076 */     // MIs[0] Operand 4
     /*  410076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  410097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410114 */     GIR_RootConstrainSelectedInstOperands,
     /*  410115 */     // GIR_Coverage, 21128,
     /*  410115 */     GIR_EraseRootFromParent_Done,
     /*  410116 */   // Label 7257: @410116
     /*  410116 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410193), // Rule ID 21129 //
     /*  410121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  410132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  410135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410153 */     // MIs[0] Operand 4
     /*  410153 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  410174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410191 */     GIR_RootConstrainSelectedInstOperands,
     /*  410192 */     // GIR_Coverage, 21129,
     /*  410192 */     GIR_EraseRootFromParent_Done,
     /*  410193 */   // Label 7258: @410193
     /*  410193 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410270), // Rule ID 21132 //
     /*  410198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410230 */     // MIs[0] Operand 4
     /*  410230 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410268 */     GIR_RootConstrainSelectedInstOperands,
     /*  410269 */     // GIR_Coverage, 21132,
     /*  410269 */     GIR_EraseRootFromParent_Done,
     /*  410270 */   // Label 7259: @410270
     /*  410270 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410347), // Rule ID 21133 //
     /*  410275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410307 */     // MIs[0] Operand 4
     /*  410307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410345 */     GIR_RootConstrainSelectedInstOperands,
     /*  410346 */     // GIR_Coverage, 21133,
     /*  410346 */     GIR_EraseRootFromParent_Done,
     /*  410347 */   // Label 7260: @410347
     /*  410347 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410424), // Rule ID 21136 //
     /*  410352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410384 */     // MIs[0] Operand 4
     /*  410384 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410422 */     GIR_RootConstrainSelectedInstOperands,
     /*  410423 */     // GIR_Coverage, 21136,
     /*  410423 */     GIR_EraseRootFromParent_Done,
     /*  410424 */   // Label 7261: @410424
     /*  410424 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410501), // Rule ID 21137 //
     /*  410429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410461 */     // MIs[0] Operand 4
     /*  410461 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410499 */     GIR_RootConstrainSelectedInstOperands,
     /*  410500 */     // GIR_Coverage, 21137,
     /*  410500 */     GIR_EraseRootFromParent_Done,
     /*  410501 */   // Label 7262: @410501
     /*  410501 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410578), // Rule ID 21140 //
     /*  410506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410538 */     // MIs[0] Operand 4
     /*  410538 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  410559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410576 */     GIR_RootConstrainSelectedInstOperands,
     /*  410577 */     // GIR_Coverage, 21140,
     /*  410577 */     GIR_EraseRootFromParent_Done,
     /*  410578 */   // Label 7263: @410578
     /*  410578 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(410655), // Rule ID 21141 //
     /*  410583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410615 */     // MIs[0] Operand 4
     /*  410615 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  410636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410653 */     GIR_RootConstrainSelectedInstOperands,
     /*  410654 */     // GIR_Coverage, 21141,
     /*  410654 */     GIR_EraseRootFromParent_Done,
     /*  410655 */   // Label 7264: @410655
     /*  410655 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(410732), // Rule ID 21144 //
     /*  410660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410692 */     // MIs[0] Operand 4
     /*  410692 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  410713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410730 */     GIR_RootConstrainSelectedInstOperands,
     /*  410731 */     // GIR_Coverage, 21144,
     /*  410731 */     GIR_EraseRootFromParent_Done,
     /*  410732 */   // Label 7265: @410732
     /*  410732 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(410809), // Rule ID 21145 //
     /*  410737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410769 */     // MIs[0] Operand 4
     /*  410769 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  410790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410807 */     GIR_RootConstrainSelectedInstOperands,
     /*  410808 */     // GIR_Coverage, 21145,
     /*  410808 */     GIR_EraseRootFromParent_Done,
     /*  410809 */   // Label 7266: @410809
     /*  410809 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(410886), // Rule ID 21148 //
     /*  410814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410846 */     // MIs[0] Operand 4
     /*  410846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  410867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410884 */     GIR_RootConstrainSelectedInstOperands,
     /*  410885 */     // GIR_Coverage, 21148,
     /*  410885 */     GIR_EraseRootFromParent_Done,
     /*  410886 */   // Label 7267: @410886
     /*  410886 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(410963), // Rule ID 21149 //
     /*  410891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410923 */     // MIs[0] Operand 4
     /*  410923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410941 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  410944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410961 */     GIR_RootConstrainSelectedInstOperands,
     /*  410962 */     // GIR_Coverage, 21149,
     /*  410962 */     GIR_EraseRootFromParent_Done,
     /*  410963 */   // Label 7268: @410963
     /*  410963 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411040), // Rule ID 21152 //
     /*  410968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411000 */     // MIs[0] Operand 4
     /*  411000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411038 */     GIR_RootConstrainSelectedInstOperands,
     /*  411039 */     // GIR_Coverage, 21152,
     /*  411039 */     GIR_EraseRootFromParent_Done,
     /*  411040 */   // Label 7269: @411040
     /*  411040 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411117), // Rule ID 21153 //
     /*  411045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411077 */     // MIs[0] Operand 4
     /*  411077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411095 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411115 */     GIR_RootConstrainSelectedInstOperands,
     /*  411116 */     // GIR_Coverage, 21153,
     /*  411116 */     GIR_EraseRootFromParent_Done,
     /*  411117 */   // Label 7270: @411117
     /*  411117 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411194), // Rule ID 21156 //
     /*  411122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  411133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  411136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411154 */     // MIs[0] Operand 4
     /*  411154 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411192 */     GIR_RootConstrainSelectedInstOperands,
     /*  411193 */     // GIR_Coverage, 21156,
     /*  411193 */     GIR_EraseRootFromParent_Done,
     /*  411194 */   // Label 7271: @411194
     /*  411194 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411271), // Rule ID 21157 //
     /*  411199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  411210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  411213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411231 */     // MIs[0] Operand 4
     /*  411231 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411269 */     GIR_RootConstrainSelectedInstOperands,
     /*  411270 */     // GIR_Coverage, 21157,
     /*  411270 */     GIR_EraseRootFromParent_Done,
     /*  411271 */   // Label 7272: @411271
     /*  411271 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411348), // Rule ID 21160 //
     /*  411276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411308 */     // MIs[0] Operand 4
     /*  411308 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411346 */     GIR_RootConstrainSelectedInstOperands,
     /*  411347 */     // GIR_Coverage, 21160,
     /*  411347 */     GIR_EraseRootFromParent_Done,
     /*  411348 */   // Label 7273: @411348
     /*  411348 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411425), // Rule ID 21161 //
     /*  411353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411385 */     // MIs[0] Operand 4
     /*  411385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411423 */     GIR_RootConstrainSelectedInstOperands,
     /*  411424 */     // GIR_Coverage, 21161,
     /*  411424 */     GIR_EraseRootFromParent_Done,
     /*  411425 */   // Label 7274: @411425
     /*  411425 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411502), // Rule ID 21164 //
     /*  411430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411462 */     // MIs[0] Operand 4
     /*  411462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411500 */     GIR_RootConstrainSelectedInstOperands,
     /*  411501 */     // GIR_Coverage, 21164,
     /*  411501 */     GIR_EraseRootFromParent_Done,
     /*  411502 */   // Label 7275: @411502
     /*  411502 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411579), // Rule ID 21165 //
     /*  411507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411539 */     // MIs[0] Operand 4
     /*  411539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411577 */     GIR_RootConstrainSelectedInstOperands,
     /*  411578 */     // GIR_Coverage, 21165,
     /*  411578 */     GIR_EraseRootFromParent_Done,
     /*  411579 */   // Label 7276: @411579
     /*  411579 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(411656), // Rule ID 21168 //
     /*  411584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  411595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  411598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411616 */     // MIs[0] Operand 4
     /*  411616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411654 */     GIR_RootConstrainSelectedInstOperands,
     /*  411655 */     // GIR_Coverage, 21168,
     /*  411655 */     GIR_EraseRootFromParent_Done,
     /*  411656 */   // Label 7277: @411656
     /*  411656 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(411733), // Rule ID 21169 //
     /*  411661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  411672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  411675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411693 */     // MIs[0] Operand 4
     /*  411693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411731 */     GIR_RootConstrainSelectedInstOperands,
     /*  411732 */     // GIR_Coverage, 21169,
     /*  411732 */     GIR_EraseRootFromParent_Done,
     /*  411733 */   // Label 7278: @411733
     /*  411733 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(411810), // Rule ID 21472 //
     /*  411738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  411752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411770 */     // MIs[0] Operand 4
     /*  411770 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  411791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411808 */     GIR_RootConstrainSelectedInstOperands,
     /*  411809 */     // GIR_Coverage, 21472,
     /*  411809 */     GIR_EraseRootFromParent_Done,
     /*  411810 */   // Label 7279: @411810
     /*  411810 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(411887), // Rule ID 21473 //
     /*  411815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  411829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411847 */     // MIs[0] Operand 4
     /*  411847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411865 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  411868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411885 */     GIR_RootConstrainSelectedInstOperands,
     /*  411886 */     // GIR_Coverage, 21473,
     /*  411886 */     GIR_EraseRootFromParent_Done,
     /*  411887 */   // Label 7280: @411887
     /*  411887 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(411964), // Rule ID 21476 //
     /*  411892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  411906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411924 */     // MIs[0] Operand 4
     /*  411924 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  411945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411962 */     GIR_RootConstrainSelectedInstOperands,
     /*  411963 */     // GIR_Coverage, 21476,
     /*  411963 */     GIR_EraseRootFromParent_Done,
     /*  411964 */   // Label 7281: @411964
     /*  411964 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412041), // Rule ID 21477 //
     /*  411969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  411983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412001 */     // MIs[0] Operand 4
     /*  412001 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412039 */     GIR_RootConstrainSelectedInstOperands,
     /*  412040 */     // GIR_Coverage, 21477,
     /*  412040 */     GIR_EraseRootFromParent_Done,
     /*  412041 */   // Label 7282: @412041
     /*  412041 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412118), // Rule ID 21480 //
     /*  412046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  412060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412078 */     // MIs[0] Operand 4
     /*  412078 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412116 */     GIR_RootConstrainSelectedInstOperands,
     /*  412117 */     // GIR_Coverage, 21480,
     /*  412117 */     GIR_EraseRootFromParent_Done,
     /*  412118 */   // Label 7283: @412118
     /*  412118 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412195), // Rule ID 21481 //
     /*  412123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  412137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412155 */     // MIs[0] Operand 4
     /*  412155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412173 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412193 */     GIR_RootConstrainSelectedInstOperands,
     /*  412194 */     // GIR_Coverage, 21481,
     /*  412194 */     GIR_EraseRootFromParent_Done,
     /*  412195 */   // Label 7284: @412195
     /*  412195 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412272), // Rule ID 21484 //
     /*  412200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412232 */     // MIs[0] Operand 4
     /*  412232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412250 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412270 */     GIR_RootConstrainSelectedInstOperands,
     /*  412271 */     // GIR_Coverage, 21484,
     /*  412271 */     GIR_EraseRootFromParent_Done,
     /*  412272 */   // Label 7285: @412272
     /*  412272 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412349), // Rule ID 21485 //
     /*  412277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412309 */     // MIs[0] Operand 4
     /*  412309 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412347 */     GIR_RootConstrainSelectedInstOperands,
     /*  412348 */     // GIR_Coverage, 21485,
     /*  412348 */     GIR_EraseRootFromParent_Done,
     /*  412349 */   // Label 7286: @412349
     /*  412349 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412426), // Rule ID 21488 //
     /*  412354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412386 */     // MIs[0] Operand 4
     /*  412386 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412424 */     GIR_RootConstrainSelectedInstOperands,
     /*  412425 */     // GIR_Coverage, 21488,
     /*  412425 */     GIR_EraseRootFromParent_Done,
     /*  412426 */   // Label 7287: @412426
     /*  412426 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412503), // Rule ID 21489 //
     /*  412431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412463 */     // MIs[0] Operand 4
     /*  412463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412481 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412501 */     GIR_RootConstrainSelectedInstOperands,
     /*  412502 */     // GIR_Coverage, 21489,
     /*  412502 */     GIR_EraseRootFromParent_Done,
     /*  412503 */   // Label 7288: @412503
     /*  412503 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412580), // Rule ID 21492 //
     /*  412508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  412519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  412522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  412525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412540 */     // MIs[0] Operand 4
     /*  412540 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  412561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412578 */     GIR_RootConstrainSelectedInstOperands,
     /*  412579 */     // GIR_Coverage, 21492,
     /*  412579 */     GIR_EraseRootFromParent_Done,
     /*  412580 */   // Label 7289: @412580
     /*  412580 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412657), // Rule ID 21493 //
     /*  412585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  412596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  412599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  412602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412617 */     // MIs[0] Operand 4
     /*  412617 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412635 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  412638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412655 */     GIR_RootConstrainSelectedInstOperands,
     /*  412656 */     // GIR_Coverage, 21493,
     /*  412656 */     GIR_EraseRootFromParent_Done,
     /*  412657 */   // Label 7290: @412657
     /*  412657 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(412734), // Rule ID 21496 //
     /*  412662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  412676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412694 */     // MIs[0] Operand 4
     /*  412694 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412732 */     GIR_RootConstrainSelectedInstOperands,
     /*  412733 */     // GIR_Coverage, 21496,
     /*  412733 */     GIR_EraseRootFromParent_Done,
     /*  412734 */   // Label 7291: @412734
     /*  412734 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(412811), // Rule ID 21497 //
     /*  412739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  412742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  412753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412771 */     // MIs[0] Operand 4
     /*  412771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412809 */     GIR_RootConstrainSelectedInstOperands,
     /*  412810 */     // GIR_Coverage, 21497,
     /*  412810 */     GIR_EraseRootFromParent_Done,
     /*  412811 */   // Label 7292: @412811
     /*  412811 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(412888), // Rule ID 21500 //
     /*  412816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  412830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412848 */     // MIs[0] Operand 4
     /*  412848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412886 */     GIR_RootConstrainSelectedInstOperands,
     /*  412887 */     // GIR_Coverage, 21500,
     /*  412887 */     GIR_EraseRootFromParent_Done,
     /*  412888 */   // Label 7293: @412888
     /*  412888 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(412965), // Rule ID 21501 //
     /*  412893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  412896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  412907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412925 */     // MIs[0] Operand 4
     /*  412925 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412963 */     GIR_RootConstrainSelectedInstOperands,
     /*  412964 */     // GIR_Coverage, 21501,
     /*  412964 */     GIR_EraseRootFromParent_Done,
     /*  412965 */   // Label 7294: @412965
     /*  412965 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413042), // Rule ID 21504 //
     /*  412970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  412981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  412984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413002 */     // MIs[0] Operand 4
     /*  413002 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413040 */     GIR_RootConstrainSelectedInstOperands,
     /*  413041 */     // GIR_Coverage, 21504,
     /*  413041 */     GIR_EraseRootFromParent_Done,
     /*  413042 */   // Label 7295: @413042
     /*  413042 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413119), // Rule ID 21505 //
     /*  413047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  413061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413079 */     // MIs[0] Operand 4
     /*  413079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413117 */     GIR_RootConstrainSelectedInstOperands,
     /*  413118 */     // GIR_Coverage, 21505,
     /*  413118 */     GIR_EraseRootFromParent_Done,
     /*  413119 */   // Label 7296: @413119
     /*  413119 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413196), // Rule ID 21508 //
     /*  413124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  413135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  413138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413156 */     // MIs[0] Operand 4
     /*  413156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413194 */     GIR_RootConstrainSelectedInstOperands,
     /*  413195 */     // GIR_Coverage, 21508,
     /*  413195 */     GIR_EraseRootFromParent_Done,
     /*  413196 */   // Label 7297: @413196
     /*  413196 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413273), // Rule ID 21509 //
     /*  413201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  413212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  413215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413233 */     // MIs[0] Operand 4
     /*  413233 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413271 */     GIR_RootConstrainSelectedInstOperands,
     /*  413272 */     // GIR_Coverage, 21509,
     /*  413272 */     GIR_EraseRootFromParent_Done,
     /*  413273 */   // Label 7298: @413273
     /*  413273 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413350), // Rule ID 21512 //
     /*  413278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413310 */     // MIs[0] Operand 4
     /*  413310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413348 */     GIR_RootConstrainSelectedInstOperands,
     /*  413349 */     // GIR_Coverage, 21512,
     /*  413349 */     GIR_EraseRootFromParent_Done,
     /*  413350 */   // Label 7299: @413350
     /*  413350 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413427), // Rule ID 21513 //
     /*  413355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413387 */     // MIs[0] Operand 4
     /*  413387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413405 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413425 */     GIR_RootConstrainSelectedInstOperands,
     /*  413426 */     // GIR_Coverage, 21513,
     /*  413426 */     GIR_EraseRootFromParent_Done,
     /*  413427 */   // Label 7300: @413427
     /*  413427 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413504), // Rule ID 21516 //
     /*  413432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413464 */     // MIs[0] Operand 4
     /*  413464 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413502 */     GIR_RootConstrainSelectedInstOperands,
     /*  413503 */     // GIR_Coverage, 21516,
     /*  413503 */     GIR_EraseRootFromParent_Done,
     /*  413504 */   // Label 7301: @413504
     /*  413504 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413581), // Rule ID 21517 //
     /*  413509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413541 */     // MIs[0] Operand 4
     /*  413541 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413579 */     GIR_RootConstrainSelectedInstOperands,
     /*  413580 */     // GIR_Coverage, 21517,
     /*  413580 */     GIR_EraseRootFromParent_Done,
     /*  413581 */   // Label 7302: @413581
     /*  413581 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413658), // Rule ID 21520 //
     /*  413586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413618 */     // MIs[0] Operand 4
     /*  413618 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413656 */     GIR_RootConstrainSelectedInstOperands,
     /*  413657 */     // GIR_Coverage, 21520,
     /*  413657 */     GIR_EraseRootFromParent_Done,
     /*  413658 */   // Label 7303: @413658
     /*  413658 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(413735), // Rule ID 21521 //
     /*  413663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413695 */     // MIs[0] Operand 4
     /*  413695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413733 */     GIR_RootConstrainSelectedInstOperands,
     /*  413734 */     // GIR_Coverage, 21521,
     /*  413734 */     GIR_EraseRootFromParent_Done,
     /*  413735 */   // Label 7304: @413735
     /*  413735 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(413812), // Rule ID 21524 //
     /*  413740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413772 */     // MIs[0] Operand 4
     /*  413772 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413810 */     GIR_RootConstrainSelectedInstOperands,
     /*  413811 */     // GIR_Coverage, 21524,
     /*  413811 */     GIR_EraseRootFromParent_Done,
     /*  413812 */   // Label 7305: @413812
     /*  413812 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(413889), // Rule ID 21525 //
     /*  413817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413849 */     // MIs[0] Operand 4
     /*  413849 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413887 */     GIR_RootConstrainSelectedInstOperands,
     /*  413888 */     // GIR_Coverage, 21525,
     /*  413888 */     GIR_EraseRootFromParent_Done,
     /*  413889 */   // Label 7306: @413889
     /*  413889 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(413966), // Rule ID 21528 //
     /*  413894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413926 */     // MIs[0] Operand 4
     /*  413926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413964 */     GIR_RootConstrainSelectedInstOperands,
     /*  413965 */     // GIR_Coverage, 21528,
     /*  413965 */     GIR_EraseRootFromParent_Done,
     /*  413966 */   // Label 7307: @413966
     /*  413966 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414043), // Rule ID 21529 //
     /*  413971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414003 */     // MIs[0] Operand 4
     /*  414003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  414021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  414024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414041 */     GIR_RootConstrainSelectedInstOperands,
     /*  414042 */     // GIR_Coverage, 21529,
     /*  414042 */     GIR_EraseRootFromParent_Done,
     /*  414043 */   // Label 7308: @414043
     /*  414043 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414120), // Rule ID 21532 //
     /*  414048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  414059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  414065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414080 */     // MIs[0] Operand 4
     /*  414080 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  414101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414118 */     GIR_RootConstrainSelectedInstOperands,
     /*  414119 */     // GIR_Coverage, 21532,
     /*  414119 */     GIR_EraseRootFromParent_Done,
     /*  414120 */   // Label 7309: @414120
     /*  414120 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414197), // Rule ID 21533 //
     /*  414125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  414136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  414142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414157 */     // MIs[0] Operand 4
     /*  414157 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  414178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414195 */     GIR_RootConstrainSelectedInstOperands,
     /*  414196 */     // GIR_Coverage, 21533,
     /*  414196 */     GIR_EraseRootFromParent_Done,
     /*  414197 */   // Label 7310: @414197
     /*  414197 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414274), // Rule ID 21536 //
     /*  414202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414234 */     // MIs[0] Operand 4
     /*  414234 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414272 */     GIR_RootConstrainSelectedInstOperands,
     /*  414273 */     // GIR_Coverage, 21536,
     /*  414273 */     GIR_EraseRootFromParent_Done,
     /*  414274 */   // Label 7311: @414274
     /*  414274 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414351), // Rule ID 21537 //
     /*  414279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414311 */     // MIs[0] Operand 4
     /*  414311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414349 */     GIR_RootConstrainSelectedInstOperands,
     /*  414350 */     // GIR_Coverage, 21537,
     /*  414350 */     GIR_EraseRootFromParent_Done,
     /*  414351 */   // Label 7312: @414351
     /*  414351 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414428), // Rule ID 21540 //
     /*  414356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414388 */     // MIs[0] Operand 4
     /*  414388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414426 */     GIR_RootConstrainSelectedInstOperands,
     /*  414427 */     // GIR_Coverage, 21540,
     /*  414427 */     GIR_EraseRootFromParent_Done,
     /*  414428 */   // Label 7313: @414428
     /*  414428 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414505), // Rule ID 21541 //
     /*  414433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414465 */     // MIs[0] Operand 4
     /*  414465 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414503 */     GIR_RootConstrainSelectedInstOperands,
     /*  414504 */     // GIR_Coverage, 21541,
     /*  414504 */     GIR_EraseRootFromParent_Done,
     /*  414505 */   // Label 7314: @414505
     /*  414505 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414582), // Rule ID 21544 //
     /*  414510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  414524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  414527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414542 */     // MIs[0] Operand 4
     /*  414542 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414560 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  414563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414580 */     GIR_RootConstrainSelectedInstOperands,
     /*  414581 */     // GIR_Coverage, 21544,
     /*  414581 */     GIR_EraseRootFromParent_Done,
     /*  414582 */   // Label 7315: @414582
     /*  414582 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414659), // Rule ID 21545 //
     /*  414587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  414601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  414604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414619 */     // MIs[0] Operand 4
     /*  414619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414637 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  414640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414657 */     GIR_RootConstrainSelectedInstOperands,
     /*  414658 */     // GIR_Coverage, 21545,
     /*  414658 */     GIR_EraseRootFromParent_Done,
     /*  414659 */   // Label 7316: @414659
     /*  414659 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414736), // Rule ID 21548 //
     /*  414664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  414678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  414681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414696 */     // MIs[0] Operand 4
     /*  414696 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  414717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414734 */     GIR_RootConstrainSelectedInstOperands,
     /*  414735 */     // GIR_Coverage, 21548,
     /*  414735 */     GIR_EraseRootFromParent_Done,
     /*  414736 */   // Label 7317: @414736
     /*  414736 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(414813), // Rule ID 21549 //
     /*  414741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  414755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  414758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414773 */     // MIs[0] Operand 4
     /*  414773 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414791 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  414794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414811 */     GIR_RootConstrainSelectedInstOperands,
     /*  414812 */     // GIR_Coverage, 21549,
     /*  414812 */     GIR_EraseRootFromParent_Done,
     /*  414813 */   // Label 7318: @414813
     /*  414813 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(414890), // Rule ID 21552 //
     /*  414818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  414832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  414835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414850 */     // MIs[0] Operand 4
     /*  414850 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  414871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414888 */     GIR_RootConstrainSelectedInstOperands,
     /*  414889 */     // GIR_Coverage, 21552,
     /*  414889 */     GIR_EraseRootFromParent_Done,
     /*  414890 */   // Label 7319: @414890
     /*  414890 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(414967), // Rule ID 21553 //
     /*  414895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  414909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  414912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414927 */     // MIs[0] Operand 4
     /*  414927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  414948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414965 */     GIR_RootConstrainSelectedInstOperands,
     /*  414966 */     // GIR_Coverage, 21553,
     /*  414966 */     GIR_EraseRootFromParent_Done,
     /*  414967 */   // Label 7320: @414967
     /*  414967 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415044), // Rule ID 21556 //
     /*  414972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  414975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  414983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  414986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415004 */     // MIs[0] Operand 4
     /*  415004 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  415025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415042 */     GIR_RootConstrainSelectedInstOperands,
     /*  415043 */     // GIR_Coverage, 21556,
     /*  415043 */     GIR_EraseRootFromParent_Done,
     /*  415044 */   // Label 7321: @415044
     /*  415044 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415121), // Rule ID 21557 //
     /*  415049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  415060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  415063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415081 */     // MIs[0] Operand 4
     /*  415081 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  415102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415119 */     GIR_RootConstrainSelectedInstOperands,
     /*  415120 */     // GIR_Coverage, 21557,
     /*  415120 */     GIR_EraseRootFromParent_Done,
     /*  415121 */   // Label 7322: @415121
     /*  415121 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415198), // Rule ID 21560 //
     /*  415126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  415137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415158 */     // MIs[0] Operand 4
     /*  415158 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415196 */     GIR_RootConstrainSelectedInstOperands,
     /*  415197 */     // GIR_Coverage, 21560,
     /*  415197 */     GIR_EraseRootFromParent_Done,
     /*  415198 */   // Label 7323: @415198
     /*  415198 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415275), // Rule ID 21561 //
     /*  415203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  415214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415235 */     // MIs[0] Operand 4
     /*  415235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415273 */     GIR_RootConstrainSelectedInstOperands,
     /*  415274 */     // GIR_Coverage, 21561,
     /*  415274 */     GIR_EraseRootFromParent_Done,
     /*  415275 */   // Label 7324: @415275
     /*  415275 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415352), // Rule ID 21564 //
     /*  415280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415312 */     // MIs[0] Operand 4
     /*  415312 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415350 */     GIR_RootConstrainSelectedInstOperands,
     /*  415351 */     // GIR_Coverage, 21564,
     /*  415351 */     GIR_EraseRootFromParent_Done,
     /*  415352 */   // Label 7325: @415352
     /*  415352 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415429), // Rule ID 21565 //
     /*  415357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415389 */     // MIs[0] Operand 4
     /*  415389 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415427 */     GIR_RootConstrainSelectedInstOperands,
     /*  415428 */     // GIR_Coverage, 21565,
     /*  415428 */     GIR_EraseRootFromParent_Done,
     /*  415429 */   // Label 7326: @415429
     /*  415429 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415506), // Rule ID 21568 //
     /*  415434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  415448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415466 */     // MIs[0] Operand 4
     /*  415466 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415504 */     GIR_RootConstrainSelectedInstOperands,
     /*  415505 */     // GIR_Coverage, 21568,
     /*  415505 */     GIR_EraseRootFromParent_Done,
     /*  415506 */   // Label 7327: @415506
     /*  415506 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415583), // Rule ID 21569 //
     /*  415511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  415525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415543 */     // MIs[0] Operand 4
     /*  415543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415581 */     GIR_RootConstrainSelectedInstOperands,
     /*  415582 */     // GIR_Coverage, 21569,
     /*  415582 */     GIR_EraseRootFromParent_Done,
     /*  415583 */   // Label 7328: @415583
     /*  415583 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415660), // Rule ID 21572 //
     /*  415588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  415602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415620 */     // MIs[0] Operand 4
     /*  415620 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415658 */     GIR_RootConstrainSelectedInstOperands,
     /*  415659 */     // GIR_Coverage, 21572,
     /*  415659 */     GIR_EraseRootFromParent_Done,
     /*  415660 */   // Label 7329: @415660
     /*  415660 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415737), // Rule ID 21573 //
     /*  415665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  415679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415697 */     // MIs[0] Operand 4
     /*  415697 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415735 */     GIR_RootConstrainSelectedInstOperands,
     /*  415736 */     // GIR_Coverage, 21573,
     /*  415736 */     GIR_EraseRootFromParent_Done,
     /*  415737 */   // Label 7330: @415737
     /*  415737 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415814), // Rule ID 21576 //
     /*  415742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  415745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415774 */     // MIs[0] Operand 4
     /*  415774 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  415792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415812 */     GIR_RootConstrainSelectedInstOperands,
     /*  415813 */     // GIR_Coverage, 21576,
     /*  415813 */     GIR_EraseRootFromParent_Done,
     /*  415814 */   // Label 7331: @415814
     /*  415814 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(415891), // Rule ID 21577 //
     /*  415819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  415822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415851 */     // MIs[0] Operand 4
     /*  415851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  415869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415889 */     GIR_RootConstrainSelectedInstOperands,
     /*  415890 */     // GIR_Coverage, 21577,
     /*  415890 */     GIR_EraseRootFromParent_Done,
     /*  415891 */   // Label 7332: @415891
     /*  415891 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(415968), // Rule ID 21580 //
     /*  415896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  415899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  415913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415928 */     // MIs[0] Operand 4
     /*  415928 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  415946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415966 */     GIR_RootConstrainSelectedInstOperands,
     /*  415967 */     // GIR_Coverage, 21580,
     /*  415967 */     GIR_EraseRootFromParent_Done,
     /*  415968 */   // Label 7333: @415968
     /*  415968 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416045), // Rule ID 21581 //
     /*  415973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  415976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  415990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416005 */     // MIs[0] Operand 4
     /*  416005 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  416026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416043 */     GIR_RootConstrainSelectedInstOperands,
     /*  416044 */     // GIR_Coverage, 21581,
     /*  416044 */     GIR_EraseRootFromParent_Done,
     /*  416045 */   // Label 7334: @416045
     /*  416045 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416122), // Rule ID 21584 //
     /*  416050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  416067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416082 */     // MIs[0] Operand 4
     /*  416082 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  416103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416120 */     GIR_RootConstrainSelectedInstOperands,
     /*  416121 */     // GIR_Coverage, 21584,
     /*  416121 */     GIR_EraseRootFromParent_Done,
     /*  416122 */   // Label 7335: @416122
     /*  416122 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416199), // Rule ID 21585 //
     /*  416127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  416144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416159 */     // MIs[0] Operand 4
     /*  416159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  416180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416197 */     GIR_RootConstrainSelectedInstOperands,
     /*  416198 */     // GIR_Coverage, 21585,
     /*  416198 */     GIR_EraseRootFromParent_Done,
     /*  416199 */   // Label 7336: @416199
     /*  416199 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416276), // Rule ID 21588 //
     /*  416204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416236 */     // MIs[0] Operand 4
     /*  416236 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416274 */     GIR_RootConstrainSelectedInstOperands,
     /*  416275 */     // GIR_Coverage, 21588,
     /*  416275 */     GIR_EraseRootFromParent_Done,
     /*  416276 */   // Label 7337: @416276
     /*  416276 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416353), // Rule ID 21589 //
     /*  416281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416313 */     // MIs[0] Operand 4
     /*  416313 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416351 */     GIR_RootConstrainSelectedInstOperands,
     /*  416352 */     // GIR_Coverage, 21589,
     /*  416352 */     GIR_EraseRootFromParent_Done,
     /*  416353 */   // Label 7338: @416353
     /*  416353 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416426), // Rule ID 62817 //
     /*  416358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416382 */     // MIs[0] op1
     /*  416382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416405 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416410 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416412 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416414 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416424 */     GIR_RootConstrainSelectedInstOperands,
     /*  416425 */     // GIR_Coverage, 62817,
     /*  416425 */     GIR_EraseRootFromParent_Done,
     /*  416426 */   // Label 7339: @416426
     /*  416426 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416499), // Rule ID 62818 //
     /*  416431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416455 */     // MIs[0] op1
     /*  416455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416497 */     GIR_RootConstrainSelectedInstOperands,
     /*  416498 */     // GIR_Coverage, 62818,
     /*  416498 */     GIR_EraseRootFromParent_Done,
     /*  416499 */   // Label 7340: @416499
     /*  416499 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416572), // Rule ID 62841 //
     /*  416504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  416521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416528 */     // MIs[0] op1
     /*  416528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  416554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416570 */     GIR_RootConstrainSelectedInstOperands,
     /*  416571 */     // GIR_Coverage, 62841,
     /*  416571 */     GIR_EraseRootFromParent_Done,
     /*  416572 */   // Label 7341: @416572
     /*  416572 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416645), // Rule ID 62842 //
     /*  416577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  416594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416601 */     // MIs[0] op1
     /*  416601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  416627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416643 */     GIR_RootConstrainSelectedInstOperands,
     /*  416644 */     // GIR_Coverage, 62842,
     /*  416644 */     GIR_EraseRootFromParent_Done,
     /*  416645 */   // Label 7342: @416645
     /*  416645 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416718), // Rule ID 62867 //
     /*  416650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416674 */     // MIs[0] op1
     /*  416674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416677 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  416700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416716 */     GIR_RootConstrainSelectedInstOperands,
     /*  416717 */     // GIR_Coverage, 62867,
     /*  416717 */     GIR_EraseRootFromParent_Done,
     /*  416718 */   // Label 7343: @416718
     /*  416718 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416791), // Rule ID 62868 //
     /*  416723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416747 */     // MIs[0] op1
     /*  416747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  416773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416789 */     GIR_RootConstrainSelectedInstOperands,
     /*  416790 */     // GIR_Coverage, 62868,
     /*  416790 */     GIR_EraseRootFromParent_Done,
     /*  416791 */   // Label 7344: @416791
     /*  416791 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(416864), // Rule ID 62879 //
     /*  416796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  416813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416820 */     // MIs[0] op1
     /*  416820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  416846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416862 */     GIR_RootConstrainSelectedInstOperands,
     /*  416863 */     // GIR_Coverage, 62879,
     /*  416863 */     GIR_EraseRootFromParent_Done,
     /*  416864 */   // Label 7345: @416864
     /*  416864 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(416937), // Rule ID 62880 //
     /*  416869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  416886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416893 */     // MIs[0] op1
     /*  416893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  416919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416935 */     GIR_RootConstrainSelectedInstOperands,
     /*  416936 */     // GIR_Coverage, 62880,
     /*  416936 */     GIR_EraseRootFromParent_Done,
     /*  416937 */   // Label 7346: @416937
     /*  416937 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417010), // Rule ID 62911 //
     /*  416942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  416953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  416956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416966 */     // MIs[0] op1
     /*  416966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  416992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417008 */     GIR_RootConstrainSelectedInstOperands,
     /*  417009 */     // GIR_Coverage, 62911,
     /*  417009 */     GIR_EraseRootFromParent_Done,
     /*  417010 */   // Label 7347: @417010
     /*  417010 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417083), // Rule ID 62912 //
     /*  417015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417039 */     // MIs[0] op1
     /*  417039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417081 */     GIR_RootConstrainSelectedInstOperands,
     /*  417082 */     // GIR_Coverage, 62912,
     /*  417082 */     GIR_EraseRootFromParent_Done,
     /*  417083 */   // Label 7348: @417083
     /*  417083 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417156), // Rule ID 62923 //
     /*  417088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  417105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417112 */     // MIs[0] op1
     /*  417112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417140 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417142 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417144 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417154 */     GIR_RootConstrainSelectedInstOperands,
     /*  417155 */     // GIR_Coverage, 62923,
     /*  417155 */     GIR_EraseRootFromParent_Done,
     /*  417156 */   // Label 7349: @417156
     /*  417156 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417229), // Rule ID 62924 //
     /*  417161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  417178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417185 */     // MIs[0] op1
     /*  417185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417227 */     GIR_RootConstrainSelectedInstOperands,
     /*  417228 */     // GIR_Coverage, 62924,
     /*  417228 */     GIR_EraseRootFromParent_Done,
     /*  417229 */   // Label 7350: @417229
     /*  417229 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417302), // Rule ID 62955 //
     /*  417234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417258 */     // MIs[0] op1
     /*  417258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417300 */     GIR_RootConstrainSelectedInstOperands,
     /*  417301 */     // GIR_Coverage, 62955,
     /*  417301 */     GIR_EraseRootFromParent_Done,
     /*  417302 */   // Label 7351: @417302
     /*  417302 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417375), // Rule ID 62956 //
     /*  417307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417331 */     // MIs[0] op1
     /*  417331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417373 */     GIR_RootConstrainSelectedInstOperands,
     /*  417374 */     // GIR_Coverage, 62956,
     /*  417374 */     GIR_EraseRootFromParent_Done,
     /*  417375 */   // Label 7352: @417375
     /*  417375 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417448), // Rule ID 62967 //
     /*  417380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417404 */     // MIs[0] op1
     /*  417404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417446 */     GIR_RootConstrainSelectedInstOperands,
     /*  417447 */     // GIR_Coverage, 62967,
     /*  417447 */     GIR_EraseRootFromParent_Done,
     /*  417448 */   // Label 7353: @417448
     /*  417448 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417521), // Rule ID 62968 //
     /*  417453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417477 */     // MIs[0] op1
     /*  417477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417505 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417507 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417509 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417519 */     GIR_RootConstrainSelectedInstOperands,
     /*  417520 */     // GIR_Coverage, 62968,
     /*  417520 */     GIR_EraseRootFromParent_Done,
     /*  417521 */   // Label 7354: @417521
     /*  417521 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417594), // Rule ID 62991 //
     /*  417526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417550 */     // MIs[0] op1
     /*  417550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  417576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417592 */     GIR_RootConstrainSelectedInstOperands,
     /*  417593 */     // GIR_Coverage, 62991,
     /*  417593 */     GIR_EraseRootFromParent_Done,
     /*  417594 */   // Label 7355: @417594
     /*  417594 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417667), // Rule ID 62992 //
     /*  417599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417623 */     // MIs[0] op1
     /*  417623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  417649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417651 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417653 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417655 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417665 */     GIR_RootConstrainSelectedInstOperands,
     /*  417666 */     // GIR_Coverage, 62992,
     /*  417666 */     GIR_EraseRootFromParent_Done,
     /*  417667 */   // Label 7356: @417667
     /*  417667 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417740), // Rule ID 63011 //
     /*  417672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417696 */     // MIs[0] op1
     /*  417696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417738 */     GIR_RootConstrainSelectedInstOperands,
     /*  417739 */     // GIR_Coverage, 63011,
     /*  417739 */     GIR_EraseRootFromParent_Done,
     /*  417740 */   // Label 7357: @417740
     /*  417740 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417813), // Rule ID 63012 //
     /*  417745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417769 */     // MIs[0] op1
     /*  417769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417797 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417799 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417801 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417811 */     GIR_RootConstrainSelectedInstOperands,
     /*  417812 */     // GIR_Coverage, 63012,
     /*  417812 */     GIR_EraseRootFromParent_Done,
     /*  417813 */   // Label 7358: @417813
     /*  417813 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(417886), // Rule ID 63023 //
     /*  417818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  417835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417842 */     // MIs[0] op1
     /*  417842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417865 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417870 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417872 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417874 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417884 */     GIR_RootConstrainSelectedInstOperands,
     /*  417885 */     // GIR_Coverage, 63023,
     /*  417885 */     GIR_EraseRootFromParent_Done,
     /*  417886 */   // Label 7359: @417886
     /*  417886 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(417959), // Rule ID 63024 //
     /*  417891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  417908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417915 */     // MIs[0] op1
     /*  417915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417918 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417943 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417945 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417947 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417957 */     GIR_RootConstrainSelectedInstOperands,
     /*  417958 */     // GIR_Coverage, 63024,
     /*  417958 */     GIR_EraseRootFromParent_Done,
     /*  417959 */   // Label 7360: @417959
     /*  417959 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418032), // Rule ID 63047 //
     /*  417964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417988 */     // MIs[0] op1
     /*  417988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  418014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418030 */     GIR_RootConstrainSelectedInstOperands,
     /*  418031 */     // GIR_Coverage, 63047,
     /*  418031 */     GIR_EraseRootFromParent_Done,
     /*  418032 */   // Label 7361: @418032
     /*  418032 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418105), // Rule ID 63048 //
     /*  418037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418061 */     // MIs[0] op1
     /*  418061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  418087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418089 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418091 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418093 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418103 */     GIR_RootConstrainSelectedInstOperands,
     /*  418104 */     // GIR_Coverage, 63048,
     /*  418104 */     GIR_EraseRootFromParent_Done,
     /*  418105 */   // Label 7362: @418105
     /*  418105 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418178), // Rule ID 63067 //
     /*  418110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418134 */     // MIs[0] op1
     /*  418134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418176 */     GIR_RootConstrainSelectedInstOperands,
     /*  418177 */     // GIR_Coverage, 63067,
     /*  418177 */     GIR_EraseRootFromParent_Done,
     /*  418178 */   // Label 7363: @418178
     /*  418178 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418251), // Rule ID 63068 //
     /*  418183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418207 */     // MIs[0] op1
     /*  418207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418235 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418237 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418239 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418249 */     GIR_RootConstrainSelectedInstOperands,
     /*  418250 */     // GIR_Coverage, 63068,
     /*  418250 */     GIR_EraseRootFromParent_Done,
     /*  418251 */   // Label 7364: @418251
     /*  418251 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418324), // Rule ID 63079 //
     /*  418256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418280 */     // MIs[0] op1
     /*  418280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418322 */     GIR_RootConstrainSelectedInstOperands,
     /*  418323 */     // GIR_Coverage, 63079,
     /*  418323 */     GIR_EraseRootFromParent_Done,
     /*  418324 */   // Label 7365: @418324
     /*  418324 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418397), // Rule ID 63080 //
     /*  418329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418353 */     // MIs[0] op1
     /*  418353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418381 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418383 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418385 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418395 */     GIR_RootConstrainSelectedInstOperands,
     /*  418396 */     // GIR_Coverage, 63080,
     /*  418396 */     GIR_EraseRootFromParent_Done,
     /*  418397 */   // Label 7366: @418397
     /*  418397 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418470), // Rule ID 63103 //
     /*  418402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418426 */     // MIs[0] op1
     /*  418426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  418452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418468 */     GIR_RootConstrainSelectedInstOperands,
     /*  418469 */     // GIR_Coverage, 63103,
     /*  418469 */     GIR_EraseRootFromParent_Done,
     /*  418470 */   // Label 7367: @418470
     /*  418470 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418543), // Rule ID 63104 //
     /*  418475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418499 */     // MIs[0] op1
     /*  418499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  418525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418541 */     GIR_RootConstrainSelectedInstOperands,
     /*  418542 */     // GIR_Coverage, 63104,
     /*  418542 */     GIR_EraseRootFromParent_Done,
     /*  418543 */   // Label 7368: @418543
     /*  418543 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418616), // Rule ID 63123 //
     /*  418548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418572 */     // MIs[0] op1
     /*  418572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  418595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418614 */     GIR_RootConstrainSelectedInstOperands,
     /*  418615 */     // GIR_Coverage, 63123,
     /*  418615 */     GIR_EraseRootFromParent_Done,
     /*  418616 */   // Label 7369: @418616
     /*  418616 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418689), // Rule ID 63124 //
     /*  418621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418645 */     // MIs[0] op1
     /*  418645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  418668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418687 */     GIR_RootConstrainSelectedInstOperands,
     /*  418688 */     // GIR_Coverage, 63124,
     /*  418688 */     GIR_EraseRootFromParent_Done,
     /*  418689 */   // Label 7370: @418689
     /*  418689 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418762), // Rule ID 63135 //
     /*  418694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  418711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418718 */     // MIs[0] op1
     /*  418718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  418741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418746 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418748 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418750 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418760 */     GIR_RootConstrainSelectedInstOperands,
     /*  418761 */     // GIR_Coverage, 63135,
     /*  418761 */     GIR_EraseRootFromParent_Done,
     /*  418762 */   // Label 7371: @418762
     /*  418762 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418835), // Rule ID 63136 //
     /*  418767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  418784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418791 */     // MIs[0] op1
     /*  418791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  418814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418833 */     GIR_RootConstrainSelectedInstOperands,
     /*  418834 */     // GIR_Coverage, 63136,
     /*  418834 */     GIR_EraseRootFromParent_Done,
     /*  418835 */   // Label 7372: @418835
     /*  418835 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(418908), // Rule ID 63167 //
     /*  418840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418864 */     // MIs[0] op1
     /*  418864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418887 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418906 */     GIR_RootConstrainSelectedInstOperands,
     /*  418907 */     // GIR_Coverage, 63167,
     /*  418907 */     GIR_EraseRootFromParent_Done,
     /*  418908 */   // Label 7373: @418908
     /*  418908 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(418981), // Rule ID 63168 //
     /*  418913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418937 */     // MIs[0] op1
     /*  418937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418979 */     GIR_RootConstrainSelectedInstOperands,
     /*  418980 */     // GIR_Coverage, 63168,
     /*  418980 */     GIR_EraseRootFromParent_Done,
     /*  418981 */   // Label 7374: @418981
     /*  418981 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419054), // Rule ID 63179 //
     /*  418986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  419003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419010 */     // MIs[0] op1
     /*  419010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419052 */     GIR_RootConstrainSelectedInstOperands,
     /*  419053 */     // GIR_Coverage, 63179,
     /*  419053 */     GIR_EraseRootFromParent_Done,
     /*  419054 */   // Label 7375: @419054
     /*  419054 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419127), // Rule ID 63180 //
     /*  419059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  419076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419083 */     // MIs[0] op1
     /*  419083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419111 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419113 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419115 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419125 */     GIR_RootConstrainSelectedInstOperands,
     /*  419126 */     // GIR_Coverage, 63180,
     /*  419126 */     GIR_EraseRootFromParent_Done,
     /*  419127 */   // Label 7376: @419127
     /*  419127 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419200), // Rule ID 63203 //
     /*  419132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  419149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419156 */     // MIs[0] op1
     /*  419156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  419172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  419182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419198 */     GIR_RootConstrainSelectedInstOperands,
     /*  419199 */     // GIR_Coverage, 63203,
     /*  419199 */     GIR_EraseRootFromParent_Done,
     /*  419200 */   // Label 7377: @419200
     /*  419200 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419273), // Rule ID 63204 //
     /*  419205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  419222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419229 */     // MIs[0] op1
     /*  419229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  419245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  419255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419257 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419259 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419261 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419271 */     GIR_RootConstrainSelectedInstOperands,
     /*  419272 */     // GIR_Coverage, 63204,
     /*  419272 */     GIR_EraseRootFromParent_Done,
     /*  419273 */   // Label 7378: @419273
     /*  419273 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419346), // Rule ID 63223 //
     /*  419278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419302 */     // MIs[0] op1
     /*  419302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419344 */     GIR_RootConstrainSelectedInstOperands,
     /*  419345 */     // GIR_Coverage, 63223,
     /*  419345 */     GIR_EraseRootFromParent_Done,
     /*  419346 */   // Label 7379: @419346
     /*  419346 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419419), // Rule ID 63224 //
     /*  419351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419375 */     // MIs[0] op1
     /*  419375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419417 */     GIR_RootConstrainSelectedInstOperands,
     /*  419418 */     // GIR_Coverage, 63224,
     /*  419418 */     GIR_EraseRootFromParent_Done,
     /*  419419 */   // Label 7380: @419419
     /*  419419 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419492), // Rule ID 63235 //
     /*  419424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419448 */     // MIs[0] op1
     /*  419448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419476 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419478 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419480 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419490 */     GIR_RootConstrainSelectedInstOperands,
     /*  419491 */     // GIR_Coverage, 63235,
     /*  419491 */     GIR_EraseRootFromParent_Done,
     /*  419492 */   // Label 7381: @419492
     /*  419492 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419565), // Rule ID 63236 //
     /*  419497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419521 */     // MIs[0] op1
     /*  419521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419549 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419551 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419553 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419563 */     GIR_RootConstrainSelectedInstOperands,
     /*  419564 */     // GIR_Coverage, 63236,
     /*  419564 */     GIR_EraseRootFromParent_Done,
     /*  419565 */   // Label 7382: @419565
     /*  419565 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419638), // Rule ID 63259 //
     /*  419570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419594 */     // MIs[0] op1
     /*  419594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  419620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419636 */     GIR_RootConstrainSelectedInstOperands,
     /*  419637 */     // GIR_Coverage, 63259,
     /*  419637 */     GIR_EraseRootFromParent_Done,
     /*  419638 */   // Label 7383: @419638
     /*  419638 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419711), // Rule ID 63260 //
     /*  419643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419667 */     // MIs[0] op1
     /*  419667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  419693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419709 */     GIR_RootConstrainSelectedInstOperands,
     /*  419710 */     // GIR_Coverage, 63260,
     /*  419710 */     GIR_EraseRootFromParent_Done,
     /*  419711 */   // Label 7384: @419711
     /*  419711 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419784), // Rule ID 63279 //
     /*  419716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419740 */     // MIs[0] op1
     /*  419740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419782 */     GIR_RootConstrainSelectedInstOperands,
     /*  419783 */     // GIR_Coverage, 63279,
     /*  419783 */     GIR_EraseRootFromParent_Done,
     /*  419784 */   // Label 7385: @419784
     /*  419784 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(419857), // Rule ID 63280 //
     /*  419789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419813 */     // MIs[0] op1
     /*  419813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419855 */     GIR_RootConstrainSelectedInstOperands,
     /*  419856 */     // GIR_Coverage, 63280,
     /*  419856 */     GIR_EraseRootFromParent_Done,
     /*  419857 */   // Label 7386: @419857
     /*  419857 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(419930), // Rule ID 63291 //
     /*  419862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  419879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419886 */     // MIs[0] op1
     /*  419886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419928 */     GIR_RootConstrainSelectedInstOperands,
     /*  419929 */     // GIR_Coverage, 63291,
     /*  419929 */     GIR_EraseRootFromParent_Done,
     /*  419930 */   // Label 7387: @419930
     /*  419930 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420003), // Rule ID 63292 //
     /*  419935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  419952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419959 */     // MIs[0] op1
     /*  419959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419987 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419989 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419991 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420001 */     GIR_RootConstrainSelectedInstOperands,
     /*  420002 */     // GIR_Coverage, 63292,
     /*  420002 */     GIR_EraseRootFromParent_Done,
     /*  420003 */   // Label 7388: @420003
     /*  420003 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420076), // Rule ID 63315 //
     /*  420008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420032 */     // MIs[0] op1
     /*  420032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  420058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420074 */     GIR_RootConstrainSelectedInstOperands,
     /*  420075 */     // GIR_Coverage, 63315,
     /*  420075 */     GIR_EraseRootFromParent_Done,
     /*  420076 */   // Label 7389: @420076
     /*  420076 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420149), // Rule ID 63316 //
     /*  420081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420105 */     // MIs[0] op1
     /*  420105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  420131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420147 */     GIR_RootConstrainSelectedInstOperands,
     /*  420148 */     // GIR_Coverage, 63316,
     /*  420148 */     GIR_EraseRootFromParent_Done,
     /*  420149 */   // Label 7390: @420149
     /*  420149 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420222), // Rule ID 63335 //
     /*  420154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420178 */     // MIs[0] op1
     /*  420178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420220 */     GIR_RootConstrainSelectedInstOperands,
     /*  420221 */     // GIR_Coverage, 63335,
     /*  420221 */     GIR_EraseRootFromParent_Done,
     /*  420222 */   // Label 7391: @420222
     /*  420222 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420295), // Rule ID 63336 //
     /*  420227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420251 */     // MIs[0] op1
     /*  420251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420293 */     GIR_RootConstrainSelectedInstOperands,
     /*  420294 */     // GIR_Coverage, 63336,
     /*  420294 */     GIR_EraseRootFromParent_Done,
     /*  420295 */   // Label 7392: @420295
     /*  420295 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420368), // Rule ID 63347 //
     /*  420300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420324 */     // MIs[0] op1
     /*  420324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420366 */     GIR_RootConstrainSelectedInstOperands,
     /*  420367 */     // GIR_Coverage, 63347,
     /*  420367 */     GIR_EraseRootFromParent_Done,
     /*  420368 */   // Label 7393: @420368
     /*  420368 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420441), // Rule ID 63348 //
     /*  420373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420397 */     // MIs[0] op1
     /*  420397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420425 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420427 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420429 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420439 */     GIR_RootConstrainSelectedInstOperands,
     /*  420440 */     // GIR_Coverage, 63348,
     /*  420440 */     GIR_EraseRootFromParent_Done,
     /*  420441 */   // Label 7394: @420441
     /*  420441 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420514), // Rule ID 63379 //
     /*  420446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420470 */     // MIs[0] op1
     /*  420470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420493 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  420496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420512 */     GIR_RootConstrainSelectedInstOperands,
     /*  420513 */     // GIR_Coverage, 63379,
     /*  420513 */     GIR_EraseRootFromParent_Done,
     /*  420514 */   // Label 7395: @420514
     /*  420514 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420587), // Rule ID 63380 //
     /*  420519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420543 */     // MIs[0] op1
     /*  420543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  420569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420571 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420573 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420575 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420585 */     GIR_RootConstrainSelectedInstOperands,
     /*  420586 */     // GIR_Coverage, 63380,
     /*  420586 */     GIR_EraseRootFromParent_Done,
     /*  420587 */   // Label 7396: @420587
     /*  420587 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420660), // Rule ID 63391 //
     /*  420592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  420609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420616 */     // MIs[0] op1
     /*  420616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  420642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420658 */     GIR_RootConstrainSelectedInstOperands,
     /*  420659 */     // GIR_Coverage, 63391,
     /*  420659 */     GIR_EraseRootFromParent_Done,
     /*  420660 */   // Label 7397: @420660
     /*  420660 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420733), // Rule ID 63392 //
     /*  420665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  420682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420689 */     // MIs[0] op1
     /*  420689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  420715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420717 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420719 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420721 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420731 */     GIR_RootConstrainSelectedInstOperands,
     /*  420732 */     // GIR_Coverage, 63392,
     /*  420732 */     GIR_EraseRootFromParent_Done,
     /*  420733 */   // Label 7398: @420733
     /*  420733 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(420806), // Rule ID 63423 //
     /*  420738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420762 */     // MIs[0] op1
     /*  420762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420785 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420804 */     GIR_RootConstrainSelectedInstOperands,
     /*  420805 */     // GIR_Coverage, 63423,
     /*  420805 */     GIR_EraseRootFromParent_Done,
     /*  420806 */   // Label 7399: @420806
     /*  420806 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(420879), // Rule ID 63424 //
     /*  420811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420835 */     // MIs[0] op1
     /*  420835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420877 */     GIR_RootConstrainSelectedInstOperands,
     /*  420878 */     // GIR_Coverage, 63424,
     /*  420878 */     GIR_EraseRootFromParent_Done,
     /*  420879 */   // Label 7400: @420879
     /*  420879 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(420952), // Rule ID 63435 //
     /*  420884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  420901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420908 */     // MIs[0] op1
     /*  420908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420931 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420950 */     GIR_RootConstrainSelectedInstOperands,
     /*  420951 */     // GIR_Coverage, 63435,
     /*  420951 */     GIR_EraseRootFromParent_Done,
     /*  420952 */   // Label 7401: @420952
     /*  420952 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421025), // Rule ID 63436 //
     /*  420957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  420974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420981 */     // MIs[0] op1
     /*  420981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  421007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421009 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421011 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421013 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421023 */     GIR_RootConstrainSelectedInstOperands,
     /*  421024 */     // GIR_Coverage, 63436,
     /*  421024 */     GIR_EraseRootFromParent_Done,
     /*  421025 */   // Label 7402: @421025
     /*  421025 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421098), // Rule ID 63467 //
     /*  421030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421054 */     // MIs[0] op1
     /*  421054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  421080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421082 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421084 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421086 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421096 */     GIR_RootConstrainSelectedInstOperands,
     /*  421097 */     // GIR_Coverage, 63467,
     /*  421097 */     GIR_EraseRootFromParent_Done,
     /*  421098 */   // Label 7403: @421098
     /*  421098 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421171), // Rule ID 63468 //
     /*  421103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421127 */     // MIs[0] op1
     /*  421127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  421153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421155 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421157 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421159 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421169 */     GIR_RootConstrainSelectedInstOperands,
     /*  421170 */     // GIR_Coverage, 63468,
     /*  421170 */     GIR_EraseRootFromParent_Done,
     /*  421171 */   // Label 7404: @421171
     /*  421171 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421244), // Rule ID 63479 //
     /*  421176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  421193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421200 */     // MIs[0] op1
     /*  421200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421242 */     GIR_RootConstrainSelectedInstOperands,
     /*  421243 */     // GIR_Coverage, 63479,
     /*  421243 */     GIR_EraseRootFromParent_Done,
     /*  421244 */   // Label 7405: @421244
     /*  421244 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421317), // Rule ID 63480 //
     /*  421249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  421266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421273 */     // MIs[0] op1
     /*  421273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421315 */     GIR_RootConstrainSelectedInstOperands,
     /*  421316 */     // GIR_Coverage, 63480,
     /*  421316 */     GIR_EraseRootFromParent_Done,
     /*  421317 */   // Label 7406: @421317
     /*  421317 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421390), // Rule ID 63503 //
     /*  421322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421346 */     // MIs[0] op1
     /*  421346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421374 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421376 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421378 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421388 */     GIR_RootConstrainSelectedInstOperands,
     /*  421389 */     // GIR_Coverage, 63503,
     /*  421389 */     GIR_EraseRootFromParent_Done,
     /*  421390 */   // Label 7407: @421390
     /*  421390 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421463), // Rule ID 63504 //
     /*  421395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421419 */     // MIs[0] op1
     /*  421419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421461 */     GIR_RootConstrainSelectedInstOperands,
     /*  421462 */     // GIR_Coverage, 63504,
     /*  421462 */     GIR_EraseRootFromParent_Done,
     /*  421463 */   // Label 7408: @421463
     /*  421463 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421536), // Rule ID 63523 //
     /*  421468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421492 */     // MIs[0] op1
     /*  421492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421534 */     GIR_RootConstrainSelectedInstOperands,
     /*  421535 */     // GIR_Coverage, 63523,
     /*  421535 */     GIR_EraseRootFromParent_Done,
     /*  421536 */   // Label 7409: @421536
     /*  421536 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421609), // Rule ID 63524 //
     /*  421541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421565 */     // MIs[0] op1
     /*  421565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421607 */     GIR_RootConstrainSelectedInstOperands,
     /*  421608 */     // GIR_Coverage, 63524,
     /*  421608 */     GIR_EraseRootFromParent_Done,
     /*  421609 */   // Label 7410: @421609
     /*  421609 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(421682), // Rule ID 63535 //
     /*  421614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  421631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421638 */     // MIs[0] op1
     /*  421638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421680 */     GIR_RootConstrainSelectedInstOperands,
     /*  421681 */     // GIR_Coverage, 63535,
     /*  421681 */     GIR_EraseRootFromParent_Done,
     /*  421682 */   // Label 7411: @421682
     /*  421682 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(421755), // Rule ID 63536 //
     /*  421687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  421704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421711 */     // MIs[0] op1
     /*  421711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421753 */     GIR_RootConstrainSelectedInstOperands,
     /*  421754 */     // GIR_Coverage, 63536,
     /*  421754 */     GIR_EraseRootFromParent_Done,
     /*  421755 */   // Label 7412: @421755
     /*  421755 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(421828), // Rule ID 63559 //
     /*  421760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421784 */     // MIs[0] op1
     /*  421784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421807 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  421810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421812 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421814 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421816 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421826 */     GIR_RootConstrainSelectedInstOperands,
     /*  421827 */     // GIR_Coverage, 63559,
     /*  421827 */     GIR_EraseRootFromParent_Done,
     /*  421828 */   // Label 7413: @421828
     /*  421828 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(421901), // Rule ID 63560 //
     /*  421833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421857 */     // MIs[0] op1
     /*  421857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  421883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421899 */     GIR_RootConstrainSelectedInstOperands,
     /*  421900 */     // GIR_Coverage, 63560,
     /*  421900 */     GIR_EraseRootFromParent_Done,
     /*  421901 */   // Label 7414: @421901
     /*  421901 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(421974), // Rule ID 63579 //
     /*  421906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421930 */     // MIs[0] op1
     /*  421930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  421956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421972 */     GIR_RootConstrainSelectedInstOperands,
     /*  421973 */     // GIR_Coverage, 63579,
     /*  421973 */     GIR_EraseRootFromParent_Done,
     /*  421974 */   // Label 7415: @421974
     /*  421974 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422047), // Rule ID 63580 //
     /*  421979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422003 */     // MIs[0] op1
     /*  422003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  422029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422045 */     GIR_RootConstrainSelectedInstOperands,
     /*  422046 */     // GIR_Coverage, 63580,
     /*  422046 */     GIR_EraseRootFromParent_Done,
     /*  422047 */   // Label 7416: @422047
     /*  422047 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422120), // Rule ID 63591 //
     /*  422052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  422069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422076 */     // MIs[0] op1
     /*  422076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  422102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422118 */     GIR_RootConstrainSelectedInstOperands,
     /*  422119 */     // GIR_Coverage, 63591,
     /*  422119 */     GIR_EraseRootFromParent_Done,
     /*  422120 */   // Label 7417: @422120
     /*  422120 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422193), // Rule ID 63592 //
     /*  422125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  422142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422149 */     // MIs[0] op1
     /*  422149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  422175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422191 */     GIR_RootConstrainSelectedInstOperands,
     /*  422192 */     // GIR_Coverage, 63592,
     /*  422192 */     GIR_EraseRootFromParent_Done,
     /*  422193 */   // Label 7418: @422193
     /*  422193 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422266), // Rule ID 63615 //
     /*  422198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422222 */     // MIs[0] op1
     /*  422222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422245 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422264 */     GIR_RootConstrainSelectedInstOperands,
     /*  422265 */     // GIR_Coverage, 63615,
     /*  422265 */     GIR_EraseRootFromParent_Done,
     /*  422266 */   // Label 7419: @422266
     /*  422266 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422339), // Rule ID 63616 //
     /*  422271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422295 */     // MIs[0] op1
     /*  422295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422323 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422325 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422327 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422337 */     GIR_RootConstrainSelectedInstOperands,
     /*  422338 */     // GIR_Coverage, 63616,
     /*  422338 */     GIR_EraseRootFromParent_Done,
     /*  422339 */   // Label 7420: @422339
     /*  422339 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422412), // Rule ID 63635 //
     /*  422344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422368 */     // MIs[0] op1
     /*  422368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422396 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422398 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422400 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422410 */     GIR_RootConstrainSelectedInstOperands,
     /*  422411 */     // GIR_Coverage, 63635,
     /*  422411 */     GIR_EraseRootFromParent_Done,
     /*  422412 */   // Label 7421: @422412
     /*  422412 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(422485), // Rule ID 63636 //
     /*  422417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422441 */     // MIs[0] op1
     /*  422441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422469 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422471 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422473 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422483 */     GIR_RootConstrainSelectedInstOperands,
     /*  422484 */     // GIR_Coverage, 63636,
     /*  422484 */     GIR_EraseRootFromParent_Done,
     /*  422485 */   // Label 7422: @422485
     /*  422485 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(422558), // Rule ID 63647 //
     /*  422490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  422507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422514 */     // MIs[0] op1
     /*  422514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  422540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422542 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422544 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422546 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422556 */     GIR_RootConstrainSelectedInstOperands,
     /*  422557 */     // GIR_Coverage, 63647,
     /*  422557 */     GIR_EraseRootFromParent_Done,
     /*  422558 */   // Label 7423: @422558
     /*  422558 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(422631), // Rule ID 63648 //
     /*  422563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  422580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422587 */     // MIs[0] op1
     /*  422587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  422613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422615 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422617 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422619 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422629 */     GIR_RootConstrainSelectedInstOperands,
     /*  422630 */     // GIR_Coverage, 63648,
     /*  422630 */     GIR_EraseRootFromParent_Done,
     /*  422631 */   // Label 7424: @422631
     /*  422631 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(422704), // Rule ID 63671 //
     /*  422636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422660 */     // MIs[0] op1
     /*  422660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  422686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422702 */     GIR_RootConstrainSelectedInstOperands,
     /*  422703 */     // GIR_Coverage, 63671,
     /*  422703 */     GIR_EraseRootFromParent_Done,
     /*  422704 */   // Label 7425: @422704
     /*  422704 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(422777), // Rule ID 63672 //
     /*  422709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422733 */     // MIs[0] op1
     /*  422733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  422759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422761 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422763 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422765 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422775 */     GIR_RootConstrainSelectedInstOperands,
     /*  422776 */     // GIR_Coverage, 63672,
     /*  422776 */     GIR_EraseRootFromParent_Done,
     /*  422777 */   // Label 7426: @422777
     /*  422777 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(422850), // Rule ID 63691 //
     /*  422782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422806 */     // MIs[0] op1
     /*  422806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  422832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422848 */     GIR_RootConstrainSelectedInstOperands,
     /*  422849 */     // GIR_Coverage, 63691,
     /*  422849 */     GIR_EraseRootFromParent_Done,
     /*  422850 */   // Label 7427: @422850
     /*  422850 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(422923), // Rule ID 63692 //
     /*  422855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422879 */     // MIs[0] op1
     /*  422879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  422905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422907 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422909 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422911 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422921 */     GIR_RootConstrainSelectedInstOperands,
     /*  422922 */     // GIR_Coverage, 63692,
     /*  422922 */     GIR_EraseRootFromParent_Done,
     /*  422923 */   // Label 7428: @422923
     /*  422923 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(422996), // Rule ID 63703 //
     /*  422928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  422945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422952 */     // MIs[0] op1
     /*  422952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  422978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422994 */     GIR_RootConstrainSelectedInstOperands,
     /*  422995 */     // GIR_Coverage, 63703,
     /*  422995 */     GIR_EraseRootFromParent_Done,
     /*  422996 */   // Label 7429: @422996
     /*  422996 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423069), // Rule ID 63704 //
     /*  423001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  423018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423025 */     // MIs[0] op1
     /*  423025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  423051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423053 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423055 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423057 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423067 */     GIR_RootConstrainSelectedInstOperands,
     /*  423068 */     // GIR_Coverage, 63704,
     /*  423068 */     GIR_EraseRootFromParent_Done,
     /*  423069 */   // Label 7430: @423069
     /*  423069 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423142), // Rule ID 63727 //
     /*  423074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423098 */     // MIs[0] op1
     /*  423098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  423124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423140 */     GIR_RootConstrainSelectedInstOperands,
     /*  423141 */     // GIR_Coverage, 63727,
     /*  423141 */     GIR_EraseRootFromParent_Done,
     /*  423142 */   // Label 7431: @423142
     /*  423142 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423215), // Rule ID 63728 //
     /*  423147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423171 */     // MIs[0] op1
     /*  423171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  423197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423213 */     GIR_RootConstrainSelectedInstOperands,
     /*  423214 */     // GIR_Coverage, 63728,
     /*  423214 */     GIR_EraseRootFromParent_Done,
     /*  423215 */   // Label 7432: @423215
     /*  423215 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423288), // Rule ID 63747 //
     /*  423220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423244 */     // MIs[0] op1
     /*  423244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423286 */     GIR_RootConstrainSelectedInstOperands,
     /*  423287 */     // GIR_Coverage, 63747,
     /*  423287 */     GIR_EraseRootFromParent_Done,
     /*  423288 */   // Label 7433: @423288
     /*  423288 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(423361), // Rule ID 63748 //
     /*  423293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423317 */     // MIs[0] op1
     /*  423317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423359 */     GIR_RootConstrainSelectedInstOperands,
     /*  423360 */     // GIR_Coverage, 63748,
     /*  423360 */     GIR_EraseRootFromParent_Done,
     /*  423361 */   // Label 7434: @423361
     /*  423361 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(423434), // Rule ID 63759 //
     /*  423366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423390 */     // MIs[0] op1
     /*  423390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423413 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423432 */     GIR_RootConstrainSelectedInstOperands,
     /*  423433 */     // GIR_Coverage, 63759,
     /*  423433 */     GIR_EraseRootFromParent_Done,
     /*  423434 */   // Label 7435: @423434
     /*  423434 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(423507), // Rule ID 63760 //
     /*  423439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423463 */     // MIs[0] op1
     /*  423463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423505 */     GIR_RootConstrainSelectedInstOperands,
     /*  423506 */     // GIR_Coverage, 63760,
     /*  423506 */     GIR_EraseRootFromParent_Done,
     /*  423507 */   // Label 7436: @423507
     /*  423507 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(423580), // Rule ID 63783 //
     /*  423512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423536 */     // MIs[0] op1
     /*  423536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  423562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423578 */     GIR_RootConstrainSelectedInstOperands,
     /*  423579 */     // GIR_Coverage, 63783,
     /*  423579 */     GIR_EraseRootFromParent_Done,
     /*  423580 */   // Label 7437: @423580
     /*  423580 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(423653), // Rule ID 63784 //
     /*  423585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423609 */     // MIs[0] op1
     /*  423609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  423635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423637 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423639 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423641 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423651 */     GIR_RootConstrainSelectedInstOperands,
     /*  423652 */     // GIR_Coverage, 63784,
     /*  423652 */     GIR_EraseRootFromParent_Done,
     /*  423653 */   // Label 7438: @423653
     /*  423653 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(423726), // Rule ID 63803 //
     /*  423658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423682 */     // MIs[0] op1
     /*  423682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  423708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423724 */     GIR_RootConstrainSelectedInstOperands,
     /*  423725 */     // GIR_Coverage, 63803,
     /*  423725 */     GIR_EraseRootFromParent_Done,
     /*  423726 */   // Label 7439: @423726
     /*  423726 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(423799), // Rule ID 63804 //
     /*  423731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423755 */     // MIs[0] op1
     /*  423755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  423781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423783 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423785 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423787 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423797 */     GIR_RootConstrainSelectedInstOperands,
     /*  423798 */     // GIR_Coverage, 63804,
     /*  423798 */     GIR_EraseRootFromParent_Done,
     /*  423799 */   // Label 7440: @423799
     /*  423799 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(423872), // Rule ID 63815 //
     /*  423804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  423821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423828 */     // MIs[0] op1
     /*  423828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423870 */     GIR_RootConstrainSelectedInstOperands,
     /*  423871 */     // GIR_Coverage, 63815,
     /*  423871 */     GIR_EraseRootFromParent_Done,
     /*  423872 */   // Label 7441: @423872
     /*  423872 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(423945), // Rule ID 63816 //
     /*  423877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  423894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423901 */     // MIs[0] op1
     /*  423901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423943 */     GIR_RootConstrainSelectedInstOperands,
     /*  423944 */     // GIR_Coverage, 63816,
     /*  423944 */     GIR_EraseRootFromParent_Done,
     /*  423945 */   // Label 7442: @423945
     /*  423945 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424018), // Rule ID 63839 //
     /*  423950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423974 */     // MIs[0] op1
     /*  423974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  423990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  424000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424016 */     GIR_RootConstrainSelectedInstOperands,
     /*  424017 */     // GIR_Coverage, 63839,
     /*  424017 */     GIR_EraseRootFromParent_Done,
     /*  424018 */   // Label 7443: @424018
     /*  424018 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424091), // Rule ID 63840 //
     /*  424023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424047 */     // MIs[0] op1
     /*  424047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424070 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  424073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424089 */     GIR_RootConstrainSelectedInstOperands,
     /*  424090 */     // GIR_Coverage, 63840,
     /*  424090 */     GIR_EraseRootFromParent_Done,
     /*  424091 */   // Label 7444: @424091
     /*  424091 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424164), // Rule ID 63859 //
     /*  424096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424120 */     // MIs[0] op1
     /*  424120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  424146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424148 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424150 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424152 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424162 */     GIR_RootConstrainSelectedInstOperands,
     /*  424163 */     // GIR_Coverage, 63859,
     /*  424163 */     GIR_EraseRootFromParent_Done,
     /*  424164 */   // Label 7445: @424164
     /*  424164 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424237), // Rule ID 63860 //
     /*  424169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424193 */     // MIs[0] op1
     /*  424193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  424219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424235 */     GIR_RootConstrainSelectedInstOperands,
     /*  424236 */     // GIR_Coverage, 63860,
     /*  424236 */     GIR_EraseRootFromParent_Done,
     /*  424237 */   // Label 7446: @424237
     /*  424237 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(424310), // Rule ID 63871 //
     /*  424242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424266 */     // MIs[0] op1
     /*  424266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424308 */     GIR_RootConstrainSelectedInstOperands,
     /*  424309 */     // GIR_Coverage, 63871,
     /*  424309 */     GIR_EraseRootFromParent_Done,
     /*  424310 */   // Label 7447: @424310
     /*  424310 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(424383), // Rule ID 63872 //
     /*  424315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424339 */     // MIs[0] op1
     /*  424339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424381 */     GIR_RootConstrainSelectedInstOperands,
     /*  424382 */     // GIR_Coverage, 63872,
     /*  424382 */     GIR_EraseRootFromParent_Done,
     /*  424383 */   // Label 7448: @424383
     /*  424383 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(424456), // Rule ID 63895 //
     /*  424388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424412 */     // MIs[0] op1
     /*  424412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424454 */     GIR_RootConstrainSelectedInstOperands,
     /*  424455 */     // GIR_Coverage, 63895,
     /*  424455 */     GIR_EraseRootFromParent_Done,
     /*  424456 */   // Label 7449: @424456
     /*  424456 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(424529), // Rule ID 63896 //
     /*  424461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424485 */     // MIs[0] op1
     /*  424485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424527 */     GIR_RootConstrainSelectedInstOperands,
     /*  424528 */     // GIR_Coverage, 63896,
     /*  424528 */     GIR_EraseRootFromParent_Done,
     /*  424529 */   // Label 7450: @424529
     /*  424529 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(424602), // Rule ID 63915 //
     /*  424534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424558 */     // MIs[0] op1
     /*  424558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  424584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424600 */     GIR_RootConstrainSelectedInstOperands,
     /*  424601 */     // GIR_Coverage, 63915,
     /*  424601 */     GIR_EraseRootFromParent_Done,
     /*  424602 */   // Label 7451: @424602
     /*  424602 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(424675), // Rule ID 63916 //
     /*  424607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424631 */     // MIs[0] op1
     /*  424631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  424657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424673 */     GIR_RootConstrainSelectedInstOperands,
     /*  424674 */     // GIR_Coverage, 63916,
     /*  424674 */     GIR_EraseRootFromParent_Done,
     /*  424675 */   // Label 7452: @424675
     /*  424675 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(424748), // Rule ID 63927 //
     /*  424680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  424697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424704 */     // MIs[0] op1
     /*  424704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  424730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424746 */     GIR_RootConstrainSelectedInstOperands,
     /*  424747 */     // GIR_Coverage, 63927,
     /*  424747 */     GIR_EraseRootFromParent_Done,
     /*  424748 */   // Label 7453: @424748
     /*  424748 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(424821), // Rule ID 63928 //
     /*  424753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  424770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424777 */     // MIs[0] op1
     /*  424777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  424803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424819 */     GIR_RootConstrainSelectedInstOperands,
     /*  424820 */     // GIR_Coverage, 63928,
     /*  424820 */     GIR_EraseRootFromParent_Done,
     /*  424821 */   // Label 7454: @424821
     /*  424821 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(424894), // Rule ID 63951 //
     /*  424826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424850 */     // MIs[0] op1
     /*  424850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  424876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424892 */     GIR_RootConstrainSelectedInstOperands,
     /*  424893 */     // GIR_Coverage, 63951,
     /*  424893 */     GIR_EraseRootFromParent_Done,
     /*  424894 */   // Label 7455: @424894
     /*  424894 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(424967), // Rule ID 63952 //
     /*  424899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424923 */     // MIs[0] op1
     /*  424923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  424949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424965 */     GIR_RootConstrainSelectedInstOperands,
     /*  424966 */     // GIR_Coverage, 63952,
     /*  424966 */     GIR_EraseRootFromParent_Done,
     /*  424967 */   // Label 7456: @424967
     /*  424967 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425050), // Rule ID 5324 //
     /*  424972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  424983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  424986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  424992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425015 */     // MIs[1] Operand 1
     /*  425015 */     // No operand predicates
     /*  425015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  425031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425048 */     GIR_RootConstrainSelectedInstOperands,
     /*  425049 */     // GIR_Coverage, 5324,
     /*  425049 */     GIR_EraseRootFromParent_Done,
     /*  425050 */   // Label 7457: @425050
     /*  425050 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425133), // Rule ID 5325 //
     /*  425055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425098 */     // MIs[1] Operand 1
     /*  425098 */     // No operand predicates
     /*  425098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  425114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425131 */     GIR_RootConstrainSelectedInstOperands,
     /*  425132 */     // GIR_Coverage, 5325,
     /*  425132 */     GIR_EraseRootFromParent_Done,
     /*  425133 */   // Label 7458: @425133
     /*  425133 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425216), // Rule ID 5326 //
     /*  425138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425181 */     // MIs[1] Operand 1
     /*  425181 */     // No operand predicates
     /*  425181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425214 */     GIR_RootConstrainSelectedInstOperands,
     /*  425215 */     // GIR_Coverage, 5326,
     /*  425215 */     GIR_EraseRootFromParent_Done,
     /*  425216 */   // Label 7459: @425216
     /*  425216 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(425299), // Rule ID 5327 //
     /*  425221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425264 */     // MIs[1] Operand 1
     /*  425264 */     // No operand predicates
     /*  425264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425297 */     GIR_RootConstrainSelectedInstOperands,
     /*  425298 */     // GIR_Coverage, 5327,
     /*  425298 */     GIR_EraseRootFromParent_Done,
     /*  425299 */   // Label 7460: @425299
     /*  425299 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(425382), // Rule ID 5328 //
     /*  425304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425347 */     // MIs[1] Operand 1
     /*  425347 */     // No operand predicates
     /*  425347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425380 */     GIR_RootConstrainSelectedInstOperands,
     /*  425381 */     // GIR_Coverage, 5328,
     /*  425381 */     GIR_EraseRootFromParent_Done,
     /*  425382 */   // Label 7461: @425382
     /*  425382 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(425465), // Rule ID 5329 //
     /*  425387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425430 */     // MIs[1] Operand 1
     /*  425430 */     // No operand predicates
     /*  425430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425463 */     GIR_RootConstrainSelectedInstOperands,
     /*  425464 */     // GIR_Coverage, 5329,
     /*  425464 */     GIR_EraseRootFromParent_Done,
     /*  425465 */   // Label 7462: @425465
     /*  425465 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(425548), // Rule ID 5330 //
     /*  425470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425513 */     // MIs[1] Operand 1
     /*  425513 */     // No operand predicates
     /*  425513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425526 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  425526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425546 */     GIR_RootConstrainSelectedInstOperands,
     /*  425547 */     // GIR_Coverage, 5330,
     /*  425547 */     GIR_EraseRootFromParent_Done,
     /*  425548 */   // Label 7463: @425548
     /*  425548 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(425631), // Rule ID 5331 //
     /*  425553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425596 */     // MIs[1] Operand 1
     /*  425596 */     // No operand predicates
     /*  425596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  425609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425629 */     GIR_RootConstrainSelectedInstOperands,
     /*  425630 */     // GIR_Coverage, 5331,
     /*  425630 */     GIR_EraseRootFromParent_Done,
     /*  425631 */   // Label 7464: @425631
     /*  425631 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(425714), // Rule ID 5332 //
     /*  425636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  425650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425679 */     // MIs[1] Operand 1
     /*  425679 */     // No operand predicates
     /*  425679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  425692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425712 */     GIR_RootConstrainSelectedInstOperands,
     /*  425713 */     // GIR_Coverage, 5332,
     /*  425713 */     GIR_EraseRootFromParent_Done,
     /*  425714 */   // Label 7465: @425714
     /*  425714 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(425797), // Rule ID 5333 //
     /*  425719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  425733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425762 */     // MIs[1] Operand 1
     /*  425762 */     // No operand predicates
     /*  425762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425775 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  425775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425795 */     GIR_RootConstrainSelectedInstOperands,
     /*  425796 */     // GIR_Coverage, 5333,
     /*  425796 */     GIR_EraseRootFromParent_Done,
     /*  425797 */   // Label 7466: @425797
     /*  425797 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(425880), // Rule ID 5334 //
     /*  425802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425845 */     // MIs[1] Operand 1
     /*  425845 */     // No operand predicates
     /*  425845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  425858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425878 */     GIR_RootConstrainSelectedInstOperands,
     /*  425879 */     // GIR_Coverage, 5334,
     /*  425879 */     GIR_EraseRootFromParent_Done,
     /*  425880 */   // Label 7467: @425880
     /*  425880 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(425963), // Rule ID 5335 //
     /*  425885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425928 */     // MIs[1] Operand 1
     /*  425928 */     // No operand predicates
     /*  425928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425941 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  425941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425961 */     GIR_RootConstrainSelectedInstOperands,
     /*  425962 */     // GIR_Coverage, 5335,
     /*  425962 */     GIR_EraseRootFromParent_Done,
     /*  425963 */   // Label 7468: @425963
     /*  425963 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426046), // Rule ID 5336 //
     /*  425968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  425979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  425982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  425988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426011 */     // MIs[1] Operand 1
     /*  426011 */     // No operand predicates
     /*  426011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426044 */     GIR_RootConstrainSelectedInstOperands,
     /*  426045 */     // GIR_Coverage, 5336,
     /*  426045 */     GIR_EraseRootFromParent_Done,
     /*  426046 */   // Label 7469: @426046
     /*  426046 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426129), // Rule ID 5337 //
     /*  426051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  426062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  426071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426094 */     // MIs[1] Operand 1
     /*  426094 */     // No operand predicates
     /*  426094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426107 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426127 */     GIR_RootConstrainSelectedInstOperands,
     /*  426128 */     // GIR_Coverage, 5337,
     /*  426128 */     GIR_EraseRootFromParent_Done,
     /*  426129 */   // Label 7470: @426129
     /*  426129 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(426212), // Rule ID 5338 //
     /*  426134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  426145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  426154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426177 */     // MIs[1] Operand 1
     /*  426177 */     // No operand predicates
     /*  426177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  426190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426210 */     GIR_RootConstrainSelectedInstOperands,
     /*  426211 */     // GIR_Coverage, 5338,
     /*  426211 */     GIR_EraseRootFromParent_Done,
     /*  426212 */   // Label 7471: @426212
     /*  426212 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(426295), // Rule ID 5339 //
     /*  426217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  426228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  426237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426260 */     // MIs[1] Operand 1
     /*  426260 */     // No operand predicates
     /*  426260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  426273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426293 */     GIR_RootConstrainSelectedInstOperands,
     /*  426294 */     // GIR_Coverage, 5339,
     /*  426294 */     GIR_EraseRootFromParent_Done,
     /*  426295 */   // Label 7472: @426295
     /*  426295 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(426378), // Rule ID 5340 //
     /*  426300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426343 */     // MIs[1] Operand 1
     /*  426343 */     // No operand predicates
     /*  426343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  426356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426376 */     GIR_RootConstrainSelectedInstOperands,
     /*  426377 */     // GIR_Coverage, 5340,
     /*  426377 */     GIR_EraseRootFromParent_Done,
     /*  426378 */   // Label 7473: @426378
     /*  426378 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(426461), // Rule ID 5341 //
     /*  426383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426426 */     // MIs[1] Operand 1
     /*  426426 */     // No operand predicates
     /*  426426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  426439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426459 */     GIR_RootConstrainSelectedInstOperands,
     /*  426460 */     // GIR_Coverage, 5341,
     /*  426460 */     GIR_EraseRootFromParent_Done,
     /*  426461 */   // Label 7474: @426461
     /*  426461 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(426544), // Rule ID 5342 //
     /*  426466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426509 */     // MIs[1] Operand 1
     /*  426509 */     // No operand predicates
     /*  426509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  426522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426542 */     GIR_RootConstrainSelectedInstOperands,
     /*  426543 */     // GIR_Coverage, 5342,
     /*  426543 */     GIR_EraseRootFromParent_Done,
     /*  426544 */   // Label 7475: @426544
     /*  426544 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(426627), // Rule ID 5343 //
     /*  426549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  426552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426592 */     // MIs[1] Operand 1
     /*  426592 */     // No operand predicates
     /*  426592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  426605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426625 */     GIR_RootConstrainSelectedInstOperands,
     /*  426626 */     // GIR_Coverage, 5343,
     /*  426626 */     GIR_EraseRootFromParent_Done,
     /*  426627 */   // Label 7476: @426627
     /*  426627 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(426710), // Rule ID 5344 //
     /*  426632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  426643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  426646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  426652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426675 */     // MIs[1] Operand 1
     /*  426675 */     // No operand predicates
     /*  426675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  426691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426708 */     GIR_RootConstrainSelectedInstOperands,
     /*  426709 */     // GIR_Coverage, 5344,
     /*  426709 */     GIR_EraseRootFromParent_Done,
     /*  426710 */   // Label 7477: @426710
     /*  426710 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(426793), // Rule ID 5345 //
     /*  426715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  426726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  426729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  426735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426758 */     // MIs[1] Operand 1
     /*  426758 */     // No operand predicates
     /*  426758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426771 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  426774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426791 */     GIR_RootConstrainSelectedInstOperands,
     /*  426792 */     // GIR_Coverage, 5345,
     /*  426792 */     GIR_EraseRootFromParent_Done,
     /*  426793 */   // Label 7478: @426793
     /*  426793 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(426876), // Rule ID 5346 //
     /*  426798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  426809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  426818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426841 */     // MIs[1] Operand 1
     /*  426841 */     // No operand predicates
     /*  426841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  426857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426874 */     GIR_RootConstrainSelectedInstOperands,
     /*  426875 */     // GIR_Coverage, 5346,
     /*  426875 */     GIR_EraseRootFromParent_Done,
     /*  426876 */   // Label 7479: @426876
     /*  426876 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(426959), // Rule ID 5347 //
     /*  426881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  426892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  426901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426924 */     // MIs[1] Operand 1
     /*  426924 */     // No operand predicates
     /*  426924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426937 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  426940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426957 */     GIR_RootConstrainSelectedInstOperands,
     /*  426958 */     // GIR_Coverage, 5347,
     /*  426958 */     GIR_EraseRootFromParent_Done,
     /*  426959 */   // Label 7480: @426959
     /*  426959 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427042), // Rule ID 5348 //
     /*  426964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  426975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  426978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  426984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427007 */     // MIs[1] Operand 1
     /*  427007 */     // No operand predicates
     /*  427007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427020 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  427020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427040 */     GIR_RootConstrainSelectedInstOperands,
     /*  427041 */     // GIR_Coverage, 5348,
     /*  427041 */     GIR_EraseRootFromParent_Done,
     /*  427042 */   // Label 7481: @427042
     /*  427042 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427125), // Rule ID 5349 //
     /*  427047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  427058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  427067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427090 */     // MIs[1] Operand 1
     /*  427090 */     // No operand predicates
     /*  427090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427103 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  427103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427123 */     GIR_RootConstrainSelectedInstOperands,
     /*  427124 */     // GIR_Coverage, 5349,
     /*  427124 */     GIR_EraseRootFromParent_Done,
     /*  427125 */   // Label 7482: @427125
     /*  427125 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(427208), // Rule ID 5350 //
     /*  427130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427173 */     // MIs[1] Operand 1
     /*  427173 */     // No operand predicates
     /*  427173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427206 */     GIR_RootConstrainSelectedInstOperands,
     /*  427207 */     // GIR_Coverage, 5350,
     /*  427207 */     GIR_EraseRootFromParent_Done,
     /*  427208 */   // Label 7483: @427208
     /*  427208 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(427291), // Rule ID 5351 //
     /*  427213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427256 */     // MIs[1] Operand 1
     /*  427256 */     // No operand predicates
     /*  427256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427289 */     GIR_RootConstrainSelectedInstOperands,
     /*  427290 */     // GIR_Coverage, 5351,
     /*  427290 */     GIR_EraseRootFromParent_Done,
     /*  427291 */   // Label 7484: @427291
     /*  427291 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(427374), // Rule ID 5352 //
     /*  427296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427339 */     // MIs[1] Operand 1
     /*  427339 */     // No operand predicates
     /*  427339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427372 */     GIR_RootConstrainSelectedInstOperands,
     /*  427373 */     // GIR_Coverage, 5352,
     /*  427373 */     GIR_EraseRootFromParent_Done,
     /*  427374 */   // Label 7485: @427374
     /*  427374 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(427457), // Rule ID 5353 //
     /*  427379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427422 */     // MIs[1] Operand 1
     /*  427422 */     // No operand predicates
     /*  427422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427435 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427455 */     GIR_RootConstrainSelectedInstOperands,
     /*  427456 */     // GIR_Coverage, 5353,
     /*  427456 */     GIR_EraseRootFromParent_Done,
     /*  427457 */   // Label 7486: @427457
     /*  427457 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(427540), // Rule ID 5354 //
     /*  427462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427505 */     // MIs[1] Operand 1
     /*  427505 */     // No operand predicates
     /*  427505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427538 */     GIR_RootConstrainSelectedInstOperands,
     /*  427539 */     // GIR_Coverage, 5354,
     /*  427539 */     GIR_EraseRootFromParent_Done,
     /*  427540 */   // Label 7487: @427540
     /*  427540 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(427623), // Rule ID 5355 //
     /*  427545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427588 */     // MIs[1] Operand 1
     /*  427588 */     // No operand predicates
     /*  427588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427621 */     GIR_RootConstrainSelectedInstOperands,
     /*  427622 */     // GIR_Coverage, 5355,
     /*  427622 */     GIR_EraseRootFromParent_Done,
     /*  427623 */   // Label 7488: @427623
     /*  427623 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(427706), // Rule ID 5356 //
     /*  427628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  427639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  427648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427671 */     // MIs[1] Operand 1
     /*  427671 */     // No operand predicates
     /*  427671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  427684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427704 */     GIR_RootConstrainSelectedInstOperands,
     /*  427705 */     // GIR_Coverage, 5356,
     /*  427705 */     GIR_EraseRootFromParent_Done,
     /*  427706 */   // Label 7489: @427706
     /*  427706 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(427789), // Rule ID 5357 //
     /*  427711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  427722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  427731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427754 */     // MIs[1] Operand 1
     /*  427754 */     // No operand predicates
     /*  427754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  427767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427787 */     GIR_RootConstrainSelectedInstOperands,
     /*  427788 */     // GIR_Coverage, 5357,
     /*  427788 */     GIR_EraseRootFromParent_Done,
     /*  427789 */   // Label 7490: @427789
     /*  427789 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(427872), // Rule ID 5358 //
     /*  427794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427837 */     // MIs[1] Operand 1
     /*  427837 */     // No operand predicates
     /*  427837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  427850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427870 */     GIR_RootConstrainSelectedInstOperands,
     /*  427871 */     // GIR_Coverage, 5358,
     /*  427871 */     GIR_EraseRootFromParent_Done,
     /*  427872 */   // Label 7491: @427872
     /*  427872 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(427955), // Rule ID 5359 //
     /*  427877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427920 */     // MIs[1] Operand 1
     /*  427920 */     // No operand predicates
     /*  427920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  427933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427953 */     GIR_RootConstrainSelectedInstOperands,
     /*  427954 */     // GIR_Coverage, 5359,
     /*  427954 */     GIR_EraseRootFromParent_Done,
     /*  427955 */   // Label 7492: @427955
     /*  427955 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428038), // Rule ID 5360 //
     /*  427960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428003 */     // MIs[1] Operand 1
     /*  428003 */     // No operand predicates
     /*  428003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  428016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428036 */     GIR_RootConstrainSelectedInstOperands,
     /*  428037 */     // GIR_Coverage, 5360,
     /*  428037 */     GIR_EraseRootFromParent_Done,
     /*  428038 */   // Label 7493: @428038
     /*  428038 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(428121), // Rule ID 5361 //
     /*  428043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  428054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  428063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428086 */     // MIs[1] Operand 1
     /*  428086 */     // No operand predicates
     /*  428086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  428099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428119 */     GIR_RootConstrainSelectedInstOperands,
     /*  428120 */     // GIR_Coverage, 5361,
     /*  428120 */     GIR_EraseRootFromParent_Done,
     /*  428121 */   // Label 7494: @428121
     /*  428121 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(428204), // Rule ID 5362 //
     /*  428126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  428137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  428146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428169 */     // MIs[1] Operand 1
     /*  428169 */     // No operand predicates
     /*  428169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428202 */     GIR_RootConstrainSelectedInstOperands,
     /*  428203 */     // GIR_Coverage, 5362,
     /*  428203 */     GIR_EraseRootFromParent_Done,
     /*  428204 */   // Label 7495: @428204
     /*  428204 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(428287), // Rule ID 5363 //
     /*  428209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  428220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  428229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428252 */     // MIs[1] Operand 1
     /*  428252 */     // No operand predicates
     /*  428252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428285 */     GIR_RootConstrainSelectedInstOperands,
     /*  428286 */     // GIR_Coverage, 5363,
     /*  428286 */     GIR_EraseRootFromParent_Done,
     /*  428287 */   // Label 7496: @428287
     /*  428287 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(428370), // Rule ID 5364 //
     /*  428292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428335 */     // MIs[1] Operand 1
     /*  428335 */     // No operand predicates
     /*  428335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428368 */     GIR_RootConstrainSelectedInstOperands,
     /*  428369 */     // GIR_Coverage, 5364,
     /*  428369 */     GIR_EraseRootFromParent_Done,
     /*  428370 */   // Label 7497: @428370
     /*  428370 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(428453), // Rule ID 5365 //
     /*  428375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428418 */     // MIs[1] Operand 1
     /*  428418 */     // No operand predicates
     /*  428418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428451 */     GIR_RootConstrainSelectedInstOperands,
     /*  428452 */     // GIR_Coverage, 5365,
     /*  428452 */     GIR_EraseRootFromParent_Done,
     /*  428453 */   // Label 7498: @428453
     /*  428453 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(428536), // Rule ID 5366 //
     /*  428458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428501 */     // MIs[1] Operand 1
     /*  428501 */     // No operand predicates
     /*  428501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428514 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428534 */     GIR_RootConstrainSelectedInstOperands,
     /*  428535 */     // GIR_Coverage, 5366,
     /*  428535 */     GIR_EraseRootFromParent_Done,
     /*  428536 */   // Label 7499: @428536
     /*  428536 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(428619), // Rule ID 5367 //
     /*  428541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428584 */     // MIs[1] Operand 1
     /*  428584 */     // No operand predicates
     /*  428584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428617 */     GIR_RootConstrainSelectedInstOperands,
     /*  428618 */     // GIR_Coverage, 5367,
     /*  428618 */     GIR_EraseRootFromParent_Done,
     /*  428619 */   // Label 7500: @428619
     /*  428619 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(428695), // Rule ID 60600 //
     /*  428624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428656 */     // MIs[0] rs2
     /*  428656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  428674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428693 */     GIR_RootConstrainSelectedInstOperands,
     /*  428694 */     // GIR_Coverage, 60600,
     /*  428694 */     GIR_EraseRootFromParent_Done,
     /*  428695 */   // Label 7501: @428695
     /*  428695 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(428771), // Rule ID 60601 //
     /*  428700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428732 */     // MIs[0] rs2
     /*  428732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  428750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428769 */     GIR_RootConstrainSelectedInstOperands,
     /*  428770 */     // GIR_Coverage, 60601,
     /*  428770 */     GIR_EraseRootFromParent_Done,
     /*  428771 */   // Label 7502: @428771
     /*  428771 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(428847), // Rule ID 62246 //
     /*  428776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428808 */     // MIs[0] rs2
     /*  428808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  428826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428845 */     GIR_RootConstrainSelectedInstOperands,
     /*  428846 */     // GIR_Coverage, 62246,
     /*  428846 */     GIR_EraseRootFromParent_Done,
     /*  428847 */   // Label 7503: @428847
     /*  428847 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(428923), // Rule ID 62247 //
     /*  428852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428884 */     // MIs[0] rs2
     /*  428884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  428902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428921 */     GIR_RootConstrainSelectedInstOperands,
     /*  428922 */     // GIR_Coverage, 62247,
     /*  428922 */     GIR_EraseRootFromParent_Done,
     /*  428923 */   // Label 7504: @428923
     /*  428923 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(428999), // Rule ID 62248 //
     /*  428928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428960 */     // MIs[0] rs2
     /*  428960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  428978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428997 */     GIR_RootConstrainSelectedInstOperands,
     /*  428998 */     // GIR_Coverage, 62248,
     /*  428998 */     GIR_EraseRootFromParent_Done,
     /*  428999 */   // Label 7505: @428999
     /*  428999 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(429075), // Rule ID 62249 //
     /*  429004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429036 */     // MIs[0] rs2
     /*  429036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  429054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429073 */     GIR_RootConstrainSelectedInstOperands,
     /*  429074 */     // GIR_Coverage, 62249,
     /*  429074 */     GIR_EraseRootFromParent_Done,
     /*  429075 */   // Label 7506: @429075
     /*  429075 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(429151), // Rule ID 62250 //
     /*  429080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429112 */     // MIs[0] rs2
     /*  429112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  429130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429149 */     GIR_RootConstrainSelectedInstOperands,
     /*  429150 */     // GIR_Coverage, 62250,
     /*  429150 */     GIR_EraseRootFromParent_Done,
     /*  429151 */   // Label 7507: @429151
     /*  429151 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(429227), // Rule ID 62251 //
     /*  429156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429188 */     // MIs[0] rs2
     /*  429188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  429206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429225 */     GIR_RootConstrainSelectedInstOperands,
     /*  429226 */     // GIR_Coverage, 62251,
     /*  429226 */     GIR_EraseRootFromParent_Done,
     /*  429227 */   // Label 7508: @429227
     /*  429227 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(429303), // Rule ID 62252 //
     /*  429232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429264 */     // MIs[0] rs2
     /*  429264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429301 */     GIR_RootConstrainSelectedInstOperands,
     /*  429302 */     // GIR_Coverage, 62252,
     /*  429302 */     GIR_EraseRootFromParent_Done,
     /*  429303 */   // Label 7509: @429303
     /*  429303 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(429379), // Rule ID 62253 //
     /*  429308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429340 */     // MIs[0] rs2
     /*  429340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429377 */     GIR_RootConstrainSelectedInstOperands,
     /*  429378 */     // GIR_Coverage, 62253,
     /*  429378 */     GIR_EraseRootFromParent_Done,
     /*  429379 */   // Label 7510: @429379
     /*  429379 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(429455), // Rule ID 62374 //
     /*  429384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429416 */     // MIs[0] rs2
     /*  429416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429453 */     GIR_RootConstrainSelectedInstOperands,
     /*  429454 */     // GIR_Coverage, 62374,
     /*  429454 */     GIR_EraseRootFromParent_Done,
     /*  429455 */   // Label 7511: @429455
     /*  429455 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(429531), // Rule ID 62375 //
     /*  429460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429492 */     // MIs[0] rs2
     /*  429492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429507 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429529 */     GIR_RootConstrainSelectedInstOperands,
     /*  429530 */     // GIR_Coverage, 62375,
     /*  429530 */     GIR_EraseRootFromParent_Done,
     /*  429531 */   // Label 7512: @429531
     /*  429531 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(429607), // Rule ID 62376 //
     /*  429536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429568 */     // MIs[0] rs2
     /*  429568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  429586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429605 */     GIR_RootConstrainSelectedInstOperands,
     /*  429606 */     // GIR_Coverage, 62376,
     /*  429606 */     GIR_EraseRootFromParent_Done,
     /*  429607 */   // Label 7513: @429607
     /*  429607 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(429683), // Rule ID 62377 //
     /*  429612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429644 */     // MIs[0] rs2
     /*  429644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  429662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429681 */     GIR_RootConstrainSelectedInstOperands,
     /*  429682 */     // GIR_Coverage, 62377,
     /*  429682 */     GIR_EraseRootFromParent_Done,
     /*  429683 */   // Label 7514: @429683
     /*  429683 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(429759), // Rule ID 62378 //
     /*  429688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429720 */     // MIs[0] rs2
     /*  429720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  429738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429757 */     GIR_RootConstrainSelectedInstOperands,
     /*  429758 */     // GIR_Coverage, 62378,
     /*  429758 */     GIR_EraseRootFromParent_Done,
     /*  429759 */   // Label 7515: @429759
     /*  429759 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(429835), // Rule ID 62379 //
     /*  429764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429796 */     // MIs[0] rs2
     /*  429796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  429814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429833 */     GIR_RootConstrainSelectedInstOperands,
     /*  429834 */     // GIR_Coverage, 62379,
     /*  429834 */     GIR_EraseRootFromParent_Done,
     /*  429835 */   // Label 7516: @429835
     /*  429835 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(429911), // Rule ID 62380 //
     /*  429840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429872 */     // MIs[0] rs2
     /*  429872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  429890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429909 */     GIR_RootConstrainSelectedInstOperands,
     /*  429910 */     // GIR_Coverage, 62380,
     /*  429910 */     GIR_EraseRootFromParent_Done,
     /*  429911 */   // Label 7517: @429911
     /*  429911 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(429987), // Rule ID 62381 //
     /*  429916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429948 */     // MIs[0] rs2
     /*  429948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  429966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429985 */     GIR_RootConstrainSelectedInstOperands,
     /*  429986 */     // GIR_Coverage, 62381,
     /*  429986 */     GIR_EraseRootFromParent_Done,
     /*  429987 */   // Label 7518: @429987
     /*  429987 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(430063), // Rule ID 62382 //
     /*  429992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430024 */     // MIs[0] rs2
     /*  430024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430039 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11510:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  430042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430061 */     GIR_RootConstrainSelectedInstOperands,
     /*  430062 */     // GIR_Coverage, 62382,
     /*  430062 */     GIR_EraseRootFromParent_Done,
     /*  430063 */   // Label 7519: @430063
     /*  430063 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(430139), // Rule ID 62383 //
     /*  430068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  430071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430100 */     // MIs[0] rs2
     /*  430100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11510:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  430118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430137 */     GIR_RootConstrainSelectedInstOperands,
     /*  430138 */     // GIR_Coverage, 62383,
     /*  430138 */     GIR_EraseRootFromParent_Done,
     /*  430139 */   // Label 7520: @430139
     /*  430139 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(430227), // Rule ID 2786 //
     /*  430144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430191 */     // MIs[1] Operand 1
     /*  430191 */     // No operand predicates
     /*  430191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430200 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430209 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430225 */     GIR_RootConstrainSelectedInstOperands,
     /*  430226 */     // GIR_Coverage, 2786,
     /*  430226 */     GIR_EraseRootFromParent_Done,
     /*  430227 */   // Label 7521: @430227
     /*  430227 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(430315), // Rule ID 2787 //
     /*  430232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430279 */     // MIs[1] Operand 1
     /*  430279 */     // No operand predicates
     /*  430279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430297 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430313 */     GIR_RootConstrainSelectedInstOperands,
     /*  430314 */     // GIR_Coverage, 2787,
     /*  430314 */     GIR_EraseRootFromParent_Done,
     /*  430315 */   // Label 7522: @430315
     /*  430315 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(430403), // Rule ID 2794 //
     /*  430320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430367 */     // MIs[1] Operand 1
     /*  430367 */     // No operand predicates
     /*  430367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430385 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430401 */     GIR_RootConstrainSelectedInstOperands,
     /*  430402 */     // GIR_Coverage, 2794,
     /*  430402 */     GIR_EraseRootFromParent_Done,
     /*  430403 */   // Label 7523: @430403
     /*  430403 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(430491), // Rule ID 2795 //
     /*  430408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430455 */     // MIs[1] Operand 1
     /*  430455 */     // No operand predicates
     /*  430455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430473 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430489 */     GIR_RootConstrainSelectedInstOperands,
     /*  430490 */     // GIR_Coverage, 2795,
     /*  430490 */     GIR_EraseRootFromParent_Done,
     /*  430491 */   // Label 7524: @430491
     /*  430491 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(430579), // Rule ID 2802 //
     /*  430496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430543 */     // MIs[1] Operand 1
     /*  430543 */     // No operand predicates
     /*  430543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430561 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430577 */     GIR_RootConstrainSelectedInstOperands,
     /*  430578 */     // GIR_Coverage, 2802,
     /*  430578 */     GIR_EraseRootFromParent_Done,
     /*  430579 */   // Label 7525: @430579
     /*  430579 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(430667), // Rule ID 2803 //
     /*  430584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430631 */     // MIs[1] Operand 1
     /*  430631 */     // No operand predicates
     /*  430631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430649 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430665 */     GIR_RootConstrainSelectedInstOperands,
     /*  430666 */     // GIR_Coverage, 2803,
     /*  430666 */     GIR_EraseRootFromParent_Done,
     /*  430667 */   // Label 7526: @430667
     /*  430667 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(430755), // Rule ID 2810 //
     /*  430672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430719 */     // MIs[1] Operand 1
     /*  430719 */     // No operand predicates
     /*  430719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430737 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430753 */     GIR_RootConstrainSelectedInstOperands,
     /*  430754 */     // GIR_Coverage, 2810,
     /*  430754 */     GIR_EraseRootFromParent_Done,
     /*  430755 */   // Label 7527: @430755
     /*  430755 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(430843), // Rule ID 2811 //
     /*  430760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430807 */     // MIs[1] Operand 1
     /*  430807 */     // No operand predicates
     /*  430807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430825 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430841 */     GIR_RootConstrainSelectedInstOperands,
     /*  430842 */     // GIR_Coverage, 2811,
     /*  430842 */     GIR_EraseRootFromParent_Done,
     /*  430843 */   // Label 7528: @430843
     /*  430843 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(430931), // Rule ID 2818 //
     /*  430848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430895 */     // MIs[1] Operand 1
     /*  430895 */     // No operand predicates
     /*  430895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430913 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430929 */     GIR_RootConstrainSelectedInstOperands,
     /*  430930 */     // GIR_Coverage, 2818,
     /*  430930 */     GIR_EraseRootFromParent_Done,
     /*  430931 */   // Label 7529: @430931
     /*  430931 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(431019), // Rule ID 2819 //
     /*  430936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430983 */     // MIs[1] Operand 1
     /*  430983 */     // No operand predicates
     /*  430983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431001 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431017 */     GIR_RootConstrainSelectedInstOperands,
     /*  431018 */     // GIR_Coverage, 2819,
     /*  431018 */     GIR_EraseRootFromParent_Done,
     /*  431019 */   // Label 7530: @431019
     /*  431019 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(431107), // Rule ID 2826 //
     /*  431024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431071 */     // MIs[1] Operand 1
     /*  431071 */     // No operand predicates
     /*  431071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431089 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431105 */     GIR_RootConstrainSelectedInstOperands,
     /*  431106 */     // GIR_Coverage, 2826,
     /*  431106 */     GIR_EraseRootFromParent_Done,
     /*  431107 */   // Label 7531: @431107
     /*  431107 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(431195), // Rule ID 2827 //
     /*  431112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431159 */     // MIs[1] Operand 1
     /*  431159 */     // No operand predicates
     /*  431159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431177 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431193 */     GIR_RootConstrainSelectedInstOperands,
     /*  431194 */     // GIR_Coverage, 2827,
     /*  431194 */     GIR_EraseRootFromParent_Done,
     /*  431195 */   // Label 7532: @431195
     /*  431195 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(431283), // Rule ID 2834 //
     /*  431200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431247 */     // MIs[1] Operand 1
     /*  431247 */     // No operand predicates
     /*  431247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431265 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431281 */     GIR_RootConstrainSelectedInstOperands,
     /*  431282 */     // GIR_Coverage, 2834,
     /*  431282 */     GIR_EraseRootFromParent_Done,
     /*  431283 */   // Label 7533: @431283
     /*  431283 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(431371), // Rule ID 2835 //
     /*  431288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431335 */     // MIs[1] Operand 1
     /*  431335 */     // No operand predicates
     /*  431335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431353 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431369 */     GIR_RootConstrainSelectedInstOperands,
     /*  431370 */     // GIR_Coverage, 2835,
     /*  431370 */     GIR_EraseRootFromParent_Done,
     /*  431371 */   // Label 7534: @431371
     /*  431371 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(431459), // Rule ID 2842 //
     /*  431376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431423 */     // MIs[1] Operand 1
     /*  431423 */     // No operand predicates
     /*  431423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431441 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431457 */     GIR_RootConstrainSelectedInstOperands,
     /*  431458 */     // GIR_Coverage, 2842,
     /*  431458 */     GIR_EraseRootFromParent_Done,
     /*  431459 */   // Label 7535: @431459
     /*  431459 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(431547), // Rule ID 2843 //
     /*  431464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431511 */     // MIs[1] Operand 1
     /*  431511 */     // No operand predicates
     /*  431511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431529 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431545 */     GIR_RootConstrainSelectedInstOperands,
     /*  431546 */     // GIR_Coverage, 2843,
     /*  431546 */     GIR_EraseRootFromParent_Done,
     /*  431547 */   // Label 7536: @431547
     /*  431547 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(431635), // Rule ID 2850 //
     /*  431552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431599 */     // MIs[1] Operand 1
     /*  431599 */     // No operand predicates
     /*  431599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431633 */     GIR_RootConstrainSelectedInstOperands,
     /*  431634 */     // GIR_Coverage, 2850,
     /*  431634 */     GIR_EraseRootFromParent_Done,
     /*  431635 */   // Label 7537: @431635
     /*  431635 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(431723), // Rule ID 2851 //
     /*  431640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431687 */     // MIs[1] Operand 1
     /*  431687 */     // No operand predicates
     /*  431687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431705 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431721 */     GIR_RootConstrainSelectedInstOperands,
     /*  431722 */     // GIR_Coverage, 2851,
     /*  431722 */     GIR_EraseRootFromParent_Done,
     /*  431723 */   // Label 7538: @431723
     /*  431723 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(431811), // Rule ID 2858 //
     /*  431728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431775 */     // MIs[1] Operand 1
     /*  431775 */     // No operand predicates
     /*  431775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431793 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431809 */     GIR_RootConstrainSelectedInstOperands,
     /*  431810 */     // GIR_Coverage, 2858,
     /*  431810 */     GIR_EraseRootFromParent_Done,
     /*  431811 */   // Label 7539: @431811
     /*  431811 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(431899), // Rule ID 2859 //
     /*  431816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431863 */     // MIs[1] Operand 1
     /*  431863 */     // No operand predicates
     /*  431863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431881 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431897 */     GIR_RootConstrainSelectedInstOperands,
     /*  431898 */     // GIR_Coverage, 2859,
     /*  431898 */     GIR_EraseRootFromParent_Done,
     /*  431899 */   // Label 7540: @431899
     /*  431899 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(431987), // Rule ID 2866 //
     /*  431904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431951 */     // MIs[1] Operand 1
     /*  431951 */     // No operand predicates
     /*  431951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431969 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431985 */     GIR_RootConstrainSelectedInstOperands,
     /*  431986 */     // GIR_Coverage, 2866,
     /*  431986 */     GIR_EraseRootFromParent_Done,
     /*  431987 */   // Label 7541: @431987
     /*  431987 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(432075), // Rule ID 2867 //
     /*  431992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432039 */     // MIs[1] Operand 1
     /*  432039 */     // No operand predicates
     /*  432039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432057 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432073 */     GIR_RootConstrainSelectedInstOperands,
     /*  432074 */     // GIR_Coverage, 2867,
     /*  432074 */     GIR_EraseRootFromParent_Done,
     /*  432075 */   // Label 7542: @432075
     /*  432075 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(432163), // Rule ID 2874 //
     /*  432080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432127 */     // MIs[1] Operand 1
     /*  432127 */     // No operand predicates
     /*  432127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432145 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432161 */     GIR_RootConstrainSelectedInstOperands,
     /*  432162 */     // GIR_Coverage, 2874,
     /*  432162 */     GIR_EraseRootFromParent_Done,
     /*  432163 */   // Label 7543: @432163
     /*  432163 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(432251), // Rule ID 2875 //
     /*  432168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432215 */     // MIs[1] Operand 1
     /*  432215 */     // No operand predicates
     /*  432215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432233 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432249 */     GIR_RootConstrainSelectedInstOperands,
     /*  432250 */     // GIR_Coverage, 2875,
     /*  432250 */     GIR_EraseRootFromParent_Done,
     /*  432251 */   // Label 7544: @432251
     /*  432251 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(432339), // Rule ID 2882 //
     /*  432256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432303 */     // MIs[1] Operand 1
     /*  432303 */     // No operand predicates
     /*  432303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432321 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432337 */     GIR_RootConstrainSelectedInstOperands,
     /*  432338 */     // GIR_Coverage, 2882,
     /*  432338 */     GIR_EraseRootFromParent_Done,
     /*  432339 */   // Label 7545: @432339
     /*  432339 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(432427), // Rule ID 2883 //
     /*  432344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432391 */     // MIs[1] Operand 1
     /*  432391 */     // No operand predicates
     /*  432391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432409 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432425 */     GIR_RootConstrainSelectedInstOperands,
     /*  432426 */     // GIR_Coverage, 2883,
     /*  432426 */     GIR_EraseRootFromParent_Done,
     /*  432427 */   // Label 7546: @432427
     /*  432427 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(432515), // Rule ID 2890 //
     /*  432432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432479 */     // MIs[1] Operand 1
     /*  432479 */     // No operand predicates
     /*  432479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432497 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432513 */     GIR_RootConstrainSelectedInstOperands,
     /*  432514 */     // GIR_Coverage, 2890,
     /*  432514 */     GIR_EraseRootFromParent_Done,
     /*  432515 */   // Label 7547: @432515
     /*  432515 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(432603), // Rule ID 2891 //
     /*  432520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432567 */     // MIs[1] Operand 1
     /*  432567 */     // No operand predicates
     /*  432567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432585 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432601 */     GIR_RootConstrainSelectedInstOperands,
     /*  432602 */     // GIR_Coverage, 2891,
     /*  432602 */     GIR_EraseRootFromParent_Done,
     /*  432603 */   // Label 7548: @432603
     /*  432603 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(432691), // Rule ID 2898 //
     /*  432608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432655 */     // MIs[1] Operand 1
     /*  432655 */     // No operand predicates
     /*  432655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432673 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432689 */     GIR_RootConstrainSelectedInstOperands,
     /*  432690 */     // GIR_Coverage, 2898,
     /*  432690 */     GIR_EraseRootFromParent_Done,
     /*  432691 */   // Label 7549: @432691
     /*  432691 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(432779), // Rule ID 2899 //
     /*  432696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432743 */     // MIs[1] Operand 1
     /*  432743 */     // No operand predicates
     /*  432743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432761 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432777 */     GIR_RootConstrainSelectedInstOperands,
     /*  432778 */     // GIR_Coverage, 2899,
     /*  432778 */     GIR_EraseRootFromParent_Done,
     /*  432779 */   // Label 7550: @432779
     /*  432779 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(432867), // Rule ID 2906 //
     /*  432784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432831 */     // MIs[1] Operand 1
     /*  432831 */     // No operand predicates
     /*  432831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432849 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432865 */     GIR_RootConstrainSelectedInstOperands,
     /*  432866 */     // GIR_Coverage, 2906,
     /*  432866 */     GIR_EraseRootFromParent_Done,
     /*  432867 */   // Label 7551: @432867
     /*  432867 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(432955), // Rule ID 2907 //
     /*  432872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432919 */     // MIs[1] Operand 1
     /*  432919 */     // No operand predicates
     /*  432919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432937 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432953 */     GIR_RootConstrainSelectedInstOperands,
     /*  432954 */     // GIR_Coverage, 2907,
     /*  432954 */     GIR_EraseRootFromParent_Done,
     /*  432955 */   // Label 7552: @432955
     /*  432955 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(433043), // Rule ID 2914 //
     /*  432960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433007 */     // MIs[1] Operand 1
     /*  433007 */     // No operand predicates
     /*  433007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433025 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433041 */     GIR_RootConstrainSelectedInstOperands,
     /*  433042 */     // GIR_Coverage, 2914,
     /*  433042 */     GIR_EraseRootFromParent_Done,
     /*  433043 */   // Label 7553: @433043
     /*  433043 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(433131), // Rule ID 2915 //
     /*  433048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433095 */     // MIs[1] Operand 1
     /*  433095 */     // No operand predicates
     /*  433095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433113 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433129 */     GIR_RootConstrainSelectedInstOperands,
     /*  433130 */     // GIR_Coverage, 2915,
     /*  433130 */     GIR_EraseRootFromParent_Done,
     /*  433131 */   // Label 7554: @433131
     /*  433131 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(433219), // Rule ID 2922 //
     /*  433136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433183 */     // MIs[1] Operand 1
     /*  433183 */     // No operand predicates
     /*  433183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433201 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433217 */     GIR_RootConstrainSelectedInstOperands,
     /*  433218 */     // GIR_Coverage, 2922,
     /*  433218 */     GIR_EraseRootFromParent_Done,
     /*  433219 */   // Label 7555: @433219
     /*  433219 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(433307), // Rule ID 2923 //
     /*  433224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433271 */     // MIs[1] Operand 1
     /*  433271 */     // No operand predicates
     /*  433271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433289 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433305 */     GIR_RootConstrainSelectedInstOperands,
     /*  433306 */     // GIR_Coverage, 2923,
     /*  433306 */     GIR_EraseRootFromParent_Done,
     /*  433307 */   // Label 7556: @433307
     /*  433307 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(433395), // Rule ID 2930 //
     /*  433312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433359 */     // MIs[1] Operand 1
     /*  433359 */     // No operand predicates
     /*  433359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433377 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433393 */     GIR_RootConstrainSelectedInstOperands,
     /*  433394 */     // GIR_Coverage, 2930,
     /*  433394 */     GIR_EraseRootFromParent_Done,
     /*  433395 */   // Label 7557: @433395
     /*  433395 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(433483), // Rule ID 2931 //
     /*  433400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433447 */     // MIs[1] Operand 1
     /*  433447 */     // No operand predicates
     /*  433447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433465 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433481 */     GIR_RootConstrainSelectedInstOperands,
     /*  433482 */     // GIR_Coverage, 2931,
     /*  433482 */     GIR_EraseRootFromParent_Done,
     /*  433483 */   // Label 7558: @433483
     /*  433483 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(433571), // Rule ID 2938 //
     /*  433488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433535 */     // MIs[1] Operand 1
     /*  433535 */     // No operand predicates
     /*  433535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433553 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433569 */     GIR_RootConstrainSelectedInstOperands,
     /*  433570 */     // GIR_Coverage, 2938,
     /*  433570 */     GIR_EraseRootFromParent_Done,
     /*  433571 */   // Label 7559: @433571
     /*  433571 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(433659), // Rule ID 2939 //
     /*  433576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433623 */     // MIs[1] Operand 1
     /*  433623 */     // No operand predicates
     /*  433623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433641 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433657 */     GIR_RootConstrainSelectedInstOperands,
     /*  433658 */     // GIR_Coverage, 2939,
     /*  433658 */     GIR_EraseRootFromParent_Done,
     /*  433659 */   // Label 7560: @433659
     /*  433659 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(433747), // Rule ID 2946 //
     /*  433664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433711 */     // MIs[1] Operand 1
     /*  433711 */     // No operand predicates
     /*  433711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433729 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433745 */     GIR_RootConstrainSelectedInstOperands,
     /*  433746 */     // GIR_Coverage, 2946,
     /*  433746 */     GIR_EraseRootFromParent_Done,
     /*  433747 */   // Label 7561: @433747
     /*  433747 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(433835), // Rule ID 2947 //
     /*  433752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433799 */     // MIs[1] Operand 1
     /*  433799 */     // No operand predicates
     /*  433799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433833 */     GIR_RootConstrainSelectedInstOperands,
     /*  433834 */     // GIR_Coverage, 2947,
     /*  433834 */     GIR_EraseRootFromParent_Done,
     /*  433835 */   // Label 7562: @433835
     /*  433835 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(433923), // Rule ID 2954 //
     /*  433840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433887 */     // MIs[1] Operand 1
     /*  433887 */     // No operand predicates
     /*  433887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433905 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433921 */     GIR_RootConstrainSelectedInstOperands,
     /*  433922 */     // GIR_Coverage, 2954,
     /*  433922 */     GIR_EraseRootFromParent_Done,
     /*  433923 */   // Label 7563: @433923
     /*  433923 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(434011), // Rule ID 2955 //
     /*  433928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433975 */     // MIs[1] Operand 1
     /*  433975 */     // No operand predicates
     /*  433975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433993 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434009 */     GIR_RootConstrainSelectedInstOperands,
     /*  434010 */     // GIR_Coverage, 2955,
     /*  434010 */     GIR_EraseRootFromParent_Done,
     /*  434011 */   // Label 7564: @434011
     /*  434011 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(434097), // Rule ID 3138 //
     /*  434016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434063 */     // MIs[1] Operand 1
     /*  434063 */     // No operand predicates
     /*  434063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  434075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434095 */     GIR_RootConstrainSelectedInstOperands,
     /*  434096 */     // GIR_Coverage, 3138,
     /*  434096 */     GIR_EraseRootFromParent_Done,
     /*  434097 */   // Label 7565: @434097
     /*  434097 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(434183), // Rule ID 3139 //
     /*  434102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434149 */     // MIs[1] Operand 1
     /*  434149 */     // No operand predicates
     /*  434149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  434161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434181 */     GIR_RootConstrainSelectedInstOperands,
     /*  434182 */     // GIR_Coverage, 3139,
     /*  434182 */     GIR_EraseRootFromParent_Done,
     /*  434183 */   // Label 7566: @434183
     /*  434183 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(434269), // Rule ID 3142 //
     /*  434188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434235 */     // MIs[1] Operand 1
     /*  434235 */     // No operand predicates
     /*  434235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434267 */     GIR_RootConstrainSelectedInstOperands,
     /*  434268 */     // GIR_Coverage, 3142,
     /*  434268 */     GIR_EraseRootFromParent_Done,
     /*  434269 */   // Label 7567: @434269
     /*  434269 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(434355), // Rule ID 3143 //
     /*  434274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434321 */     // MIs[1] Operand 1
     /*  434321 */     // No operand predicates
     /*  434321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434353 */     GIR_RootConstrainSelectedInstOperands,
     /*  434354 */     // GIR_Coverage, 3143,
     /*  434354 */     GIR_EraseRootFromParent_Done,
     /*  434355 */   // Label 7568: @434355
     /*  434355 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(434441), // Rule ID 3146 //
     /*  434360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434407 */     // MIs[1] Operand 1
     /*  434407 */     // No operand predicates
     /*  434407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434439 */     GIR_RootConstrainSelectedInstOperands,
     /*  434440 */     // GIR_Coverage, 3146,
     /*  434440 */     GIR_EraseRootFromParent_Done,
     /*  434441 */   // Label 7569: @434441
     /*  434441 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(434527), // Rule ID 3147 //
     /*  434446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434493 */     // MIs[1] Operand 1
     /*  434493 */     // No operand predicates
     /*  434493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434525 */     GIR_RootConstrainSelectedInstOperands,
     /*  434526 */     // GIR_Coverage, 3147,
     /*  434526 */     GIR_EraseRootFromParent_Done,
     /*  434527 */   // Label 7570: @434527
     /*  434527 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(434613), // Rule ID 3150 //
     /*  434532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434579 */     // MIs[1] Operand 1
     /*  434579 */     // No operand predicates
     /*  434579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434611 */     GIR_RootConstrainSelectedInstOperands,
     /*  434612 */     // GIR_Coverage, 3150,
     /*  434612 */     GIR_EraseRootFromParent_Done,
     /*  434613 */   // Label 7571: @434613
     /*  434613 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(434699), // Rule ID 3151 //
     /*  434618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434665 */     // MIs[1] Operand 1
     /*  434665 */     // No operand predicates
     /*  434665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434697 */     GIR_RootConstrainSelectedInstOperands,
     /*  434698 */     // GIR_Coverage, 3151,
     /*  434698 */     GIR_EraseRootFromParent_Done,
     /*  434699 */   // Label 7572: @434699
     /*  434699 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(434785), // Rule ID 3154 //
     /*  434704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434751 */     // MIs[1] Operand 1
     /*  434751 */     // No operand predicates
     /*  434751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434783 */     GIR_RootConstrainSelectedInstOperands,
     /*  434784 */     // GIR_Coverage, 3154,
     /*  434784 */     GIR_EraseRootFromParent_Done,
     /*  434785 */   // Label 7573: @434785
     /*  434785 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(434871), // Rule ID 3155 //
     /*  434790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434837 */     // MIs[1] Operand 1
     /*  434837 */     // No operand predicates
     /*  434837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434869 */     GIR_RootConstrainSelectedInstOperands,
     /*  434870 */     // GIR_Coverage, 3155,
     /*  434870 */     GIR_EraseRootFromParent_Done,
     /*  434871 */   // Label 7574: @434871
     /*  434871 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(434957), // Rule ID 3158 //
     /*  434876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434923 */     // MIs[1] Operand 1
     /*  434923 */     // No operand predicates
     /*  434923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434955 */     GIR_RootConstrainSelectedInstOperands,
     /*  434956 */     // GIR_Coverage, 3158,
     /*  434956 */     GIR_EraseRootFromParent_Done,
     /*  434957 */   // Label 7575: @434957
     /*  434957 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(435043), // Rule ID 3159 //
     /*  434962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435009 */     // MIs[1] Operand 1
     /*  435009 */     // No operand predicates
     /*  435009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  435021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435041 */     GIR_RootConstrainSelectedInstOperands,
     /*  435042 */     // GIR_Coverage, 3159,
     /*  435042 */     GIR_EraseRootFromParent_Done,
     /*  435043 */   // Label 7576: @435043
     /*  435043 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(435129), // Rule ID 3162 //
     /*  435048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435095 */     // MIs[1] Operand 1
     /*  435095 */     // No operand predicates
     /*  435095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435127 */     GIR_RootConstrainSelectedInstOperands,
     /*  435128 */     // GIR_Coverage, 3162,
     /*  435128 */     GIR_EraseRootFromParent_Done,
     /*  435129 */   // Label 7577: @435129
     /*  435129 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(435215), // Rule ID 3163 //
     /*  435134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435181 */     // MIs[1] Operand 1
     /*  435181 */     // No operand predicates
     /*  435181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435213 */     GIR_RootConstrainSelectedInstOperands,
     /*  435214 */     // GIR_Coverage, 3163,
     /*  435214 */     GIR_EraseRootFromParent_Done,
     /*  435215 */   // Label 7578: @435215
     /*  435215 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(435301), // Rule ID 3166 //
     /*  435220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435267 */     // MIs[1] Operand 1
     /*  435267 */     // No operand predicates
     /*  435267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435299 */     GIR_RootConstrainSelectedInstOperands,
     /*  435300 */     // GIR_Coverage, 3166,
     /*  435300 */     GIR_EraseRootFromParent_Done,
     /*  435301 */   // Label 7579: @435301
     /*  435301 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(435387), // Rule ID 3167 //
     /*  435306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435353 */     // MIs[1] Operand 1
     /*  435353 */     // No operand predicates
     /*  435353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435385 */     GIR_RootConstrainSelectedInstOperands,
     /*  435386 */     // GIR_Coverage, 3167,
     /*  435386 */     GIR_EraseRootFromParent_Done,
     /*  435387 */   // Label 7580: @435387
     /*  435387 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(435473), // Rule ID 3170 //
     /*  435392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435439 */     // MIs[1] Operand 1
     /*  435439 */     // No operand predicates
     /*  435439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435471 */     GIR_RootConstrainSelectedInstOperands,
     /*  435472 */     // GIR_Coverage, 3170,
     /*  435472 */     GIR_EraseRootFromParent_Done,
     /*  435473 */   // Label 7581: @435473
     /*  435473 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(435559), // Rule ID 3171 //
     /*  435478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435525 */     // MIs[1] Operand 1
     /*  435525 */     // No operand predicates
     /*  435525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435557 */     GIR_RootConstrainSelectedInstOperands,
     /*  435558 */     // GIR_Coverage, 3171,
     /*  435558 */     GIR_EraseRootFromParent_Done,
     /*  435559 */   // Label 7582: @435559
     /*  435559 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(435645), // Rule ID 3174 //
     /*  435564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435611 */     // MIs[1] Operand 1
     /*  435611 */     // No operand predicates
     /*  435611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435643 */     GIR_RootConstrainSelectedInstOperands,
     /*  435644 */     // GIR_Coverage, 3174,
     /*  435644 */     GIR_EraseRootFromParent_Done,
     /*  435645 */   // Label 7583: @435645
     /*  435645 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(435731), // Rule ID 3175 //
     /*  435650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435697 */     // MIs[1] Operand 1
     /*  435697 */     // No operand predicates
     /*  435697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435729 */     GIR_RootConstrainSelectedInstOperands,
     /*  435730 */     // GIR_Coverage, 3175,
     /*  435730 */     GIR_EraseRootFromParent_Done,
     /*  435731 */   // Label 7584: @435731
     /*  435731 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(435817), // Rule ID 3178 //
     /*  435736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435783 */     // MIs[1] Operand 1
     /*  435783 */     // No operand predicates
     /*  435783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  435795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435815 */     GIR_RootConstrainSelectedInstOperands,
     /*  435816 */     // GIR_Coverage, 3178,
     /*  435816 */     GIR_EraseRootFromParent_Done,
     /*  435817 */   // Label 7585: @435817
     /*  435817 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(435903), // Rule ID 3179 //
     /*  435822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435869 */     // MIs[1] Operand 1
     /*  435869 */     // No operand predicates
     /*  435869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  435881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435901 */     GIR_RootConstrainSelectedInstOperands,
     /*  435902 */     // GIR_Coverage, 3179,
     /*  435902 */     GIR_EraseRootFromParent_Done,
     /*  435903 */   // Label 7586: @435903
     /*  435903 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(435989), // Rule ID 3182 //
     /*  435908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435955 */     // MIs[1] Operand 1
     /*  435955 */     // No operand predicates
     /*  435955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  435967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435987 */     GIR_RootConstrainSelectedInstOperands,
     /*  435988 */     // GIR_Coverage, 3182,
     /*  435988 */     GIR_EraseRootFromParent_Done,
     /*  435989 */   // Label 7587: @435989
     /*  435989 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(436075), // Rule ID 3183 //
     /*  435994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436041 */     // MIs[1] Operand 1
     /*  436041 */     // No operand predicates
     /*  436041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436073 */     GIR_RootConstrainSelectedInstOperands,
     /*  436074 */     // GIR_Coverage, 3183,
     /*  436074 */     GIR_EraseRootFromParent_Done,
     /*  436075 */   // Label 7588: @436075
     /*  436075 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(436161), // Rule ID 3186 //
     /*  436080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436127 */     // MIs[1] Operand 1
     /*  436127 */     // No operand predicates
     /*  436127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436159 */     GIR_RootConstrainSelectedInstOperands,
     /*  436160 */     // GIR_Coverage, 3186,
     /*  436160 */     GIR_EraseRootFromParent_Done,
     /*  436161 */   // Label 7589: @436161
     /*  436161 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(436247), // Rule ID 3187 //
     /*  436166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436213 */     // MIs[1] Operand 1
     /*  436213 */     // No operand predicates
     /*  436213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436245 */     GIR_RootConstrainSelectedInstOperands,
     /*  436246 */     // GIR_Coverage, 3187,
     /*  436246 */     GIR_EraseRootFromParent_Done,
     /*  436247 */   // Label 7590: @436247
     /*  436247 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(436333), // Rule ID 3190 //
     /*  436252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436299 */     // MIs[1] Operand 1
     /*  436299 */     // No operand predicates
     /*  436299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436331 */     GIR_RootConstrainSelectedInstOperands,
     /*  436332 */     // GIR_Coverage, 3190,
     /*  436332 */     GIR_EraseRootFromParent_Done,
     /*  436333 */   // Label 7591: @436333
     /*  436333 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(436419), // Rule ID 3191 //
     /*  436338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436385 */     // MIs[1] Operand 1
     /*  436385 */     // No operand predicates
     /*  436385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436417 */     GIR_RootConstrainSelectedInstOperands,
     /*  436418 */     // GIR_Coverage, 3191,
     /*  436418 */     GIR_EraseRootFromParent_Done,
     /*  436419 */   // Label 7592: @436419
     /*  436419 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(436505), // Rule ID 3194 //
     /*  436424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436471 */     // MIs[1] Operand 1
     /*  436471 */     // No operand predicates
     /*  436471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436503 */     GIR_RootConstrainSelectedInstOperands,
     /*  436504 */     // GIR_Coverage, 3194,
     /*  436504 */     GIR_EraseRootFromParent_Done,
     /*  436505 */   // Label 7593: @436505
     /*  436505 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(436591), // Rule ID 3195 //
     /*  436510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436557 */     // MIs[1] Operand 1
     /*  436557 */     // No operand predicates
     /*  436557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436589 */     GIR_RootConstrainSelectedInstOperands,
     /*  436590 */     // GIR_Coverage, 3195,
     /*  436590 */     GIR_EraseRootFromParent_Done,
     /*  436591 */   // Label 7594: @436591
     /*  436591 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(436677), // Rule ID 3198 //
     /*  436596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436643 */     // MIs[1] Operand 1
     /*  436643 */     // No operand predicates
     /*  436643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436675 */     GIR_RootConstrainSelectedInstOperands,
     /*  436676 */     // GIR_Coverage, 3198,
     /*  436676 */     GIR_EraseRootFromParent_Done,
     /*  436677 */   // Label 7595: @436677
     /*  436677 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(436763), // Rule ID 3199 //
     /*  436682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436729 */     // MIs[1] Operand 1
     /*  436729 */     // No operand predicates
     /*  436729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436761 */     GIR_RootConstrainSelectedInstOperands,
     /*  436762 */     // GIR_Coverage, 3199,
     /*  436762 */     GIR_EraseRootFromParent_Done,
     /*  436763 */   // Label 7596: @436763
     /*  436763 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(436849), // Rule ID 3202 //
     /*  436768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436815 */     // MIs[1] Operand 1
     /*  436815 */     // No operand predicates
     /*  436815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436847 */     GIR_RootConstrainSelectedInstOperands,
     /*  436848 */     // GIR_Coverage, 3202,
     /*  436848 */     GIR_EraseRootFromParent_Done,
     /*  436849 */   // Label 7597: @436849
     /*  436849 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(436935), // Rule ID 3203 //
     /*  436854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436901 */     // MIs[1] Operand 1
     /*  436901 */     // No operand predicates
     /*  436901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436933 */     GIR_RootConstrainSelectedInstOperands,
     /*  436934 */     // GIR_Coverage, 3203,
     /*  436934 */     GIR_EraseRootFromParent_Done,
     /*  436935 */   // Label 7598: @436935
     /*  436935 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(437021), // Rule ID 3206 //
     /*  436940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436987 */     // MIs[1] Operand 1
     /*  436987 */     // No operand predicates
     /*  436987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437019 */     GIR_RootConstrainSelectedInstOperands,
     /*  437020 */     // GIR_Coverage, 3206,
     /*  437020 */     GIR_EraseRootFromParent_Done,
     /*  437021 */   // Label 7599: @437021
     /*  437021 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(437107), // Rule ID 3207 //
     /*  437026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437073 */     // MIs[1] Operand 1
     /*  437073 */     // No operand predicates
     /*  437073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437105 */     GIR_RootConstrainSelectedInstOperands,
     /*  437106 */     // GIR_Coverage, 3207,
     /*  437106 */     GIR_EraseRootFromParent_Done,
     /*  437107 */   // Label 7600: @437107
     /*  437107 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(437193), // Rule ID 3210 //
     /*  437112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437159 */     // MIs[1] Operand 1
     /*  437159 */     // No operand predicates
     /*  437159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437191 */     GIR_RootConstrainSelectedInstOperands,
     /*  437192 */     // GIR_Coverage, 3210,
     /*  437192 */     GIR_EraseRootFromParent_Done,
     /*  437193 */   // Label 7601: @437193
     /*  437193 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(437279), // Rule ID 3211 //
     /*  437198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437245 */     // MIs[1] Operand 1
     /*  437245 */     // No operand predicates
     /*  437245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437277 */     GIR_RootConstrainSelectedInstOperands,
     /*  437278 */     // GIR_Coverage, 3211,
     /*  437278 */     GIR_EraseRootFromParent_Done,
     /*  437279 */   // Label 7602: @437279
     /*  437279 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(437365), // Rule ID 3214 //
     /*  437284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437331 */     // MIs[1] Operand 1
     /*  437331 */     // No operand predicates
     /*  437331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437363 */     GIR_RootConstrainSelectedInstOperands,
     /*  437364 */     // GIR_Coverage, 3214,
     /*  437364 */     GIR_EraseRootFromParent_Done,
     /*  437365 */   // Label 7603: @437365
     /*  437365 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(437451), // Rule ID 3215 //
     /*  437370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437417 */     // MIs[1] Operand 1
     /*  437417 */     // No operand predicates
     /*  437417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437449 */     GIR_RootConstrainSelectedInstOperands,
     /*  437450 */     // GIR_Coverage, 3215,
     /*  437450 */     GIR_EraseRootFromParent_Done,
     /*  437451 */   // Label 7604: @437451
     /*  437451 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(437537), // Rule ID 3218 //
     /*  437456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437503 */     // MIs[1] Operand 1
     /*  437503 */     // No operand predicates
     /*  437503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437535 */     GIR_RootConstrainSelectedInstOperands,
     /*  437536 */     // GIR_Coverage, 3218,
     /*  437536 */     GIR_EraseRootFromParent_Done,
     /*  437537 */   // Label 7605: @437537
     /*  437537 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(437623), // Rule ID 3219 //
     /*  437542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437589 */     // MIs[1] Operand 1
     /*  437589 */     // No operand predicates
     /*  437589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437621 */     GIR_RootConstrainSelectedInstOperands,
     /*  437622 */     // GIR_Coverage, 3219,
     /*  437622 */     GIR_EraseRootFromParent_Done,
     /*  437623 */   // Label 7606: @437623
     /*  437623 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(437709), // Rule ID 3222 //
     /*  437628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437675 */     // MIs[1] Operand 1
     /*  437675 */     // No operand predicates
     /*  437675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437707 */     GIR_RootConstrainSelectedInstOperands,
     /*  437708 */     // GIR_Coverage, 3222,
     /*  437708 */     GIR_EraseRootFromParent_Done,
     /*  437709 */   // Label 7607: @437709
     /*  437709 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(437795), // Rule ID 3223 //
     /*  437714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437761 */     // MIs[1] Operand 1
     /*  437761 */     // No operand predicates
     /*  437761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437793 */     GIR_RootConstrainSelectedInstOperands,
     /*  437794 */     // GIR_Coverage, 3223,
     /*  437794 */     GIR_EraseRootFromParent_Done,
     /*  437795 */   // Label 7608: @437795
     /*  437795 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(437881), // Rule ID 3490 //
     /*  437800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437847 */     // MIs[1] Operand 1
     /*  437847 */     // No operand predicates
     /*  437847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  437859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437879 */     GIR_RootConstrainSelectedInstOperands,
     /*  437880 */     // GIR_Coverage, 3490,
     /*  437880 */     GIR_EraseRootFromParent_Done,
     /*  437881 */   // Label 7609: @437881
     /*  437881 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(437967), // Rule ID 3491 //
     /*  437886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437933 */     // MIs[1] Operand 1
     /*  437933 */     // No operand predicates
     /*  437933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  437945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437965 */     GIR_RootConstrainSelectedInstOperands,
     /*  437966 */     // GIR_Coverage, 3491,
     /*  437966 */     GIR_EraseRootFromParent_Done,
     /*  437967 */   // Label 7610: @437967
     /*  437967 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(438053), // Rule ID 3494 //
     /*  437972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438019 */     // MIs[1] Operand 1
     /*  438019 */     // No operand predicates
     /*  438019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438051 */     GIR_RootConstrainSelectedInstOperands,
     /*  438052 */     // GIR_Coverage, 3494,
     /*  438052 */     GIR_EraseRootFromParent_Done,
     /*  438053 */   // Label 7611: @438053
     /*  438053 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(438139), // Rule ID 3495 //
     /*  438058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438105 */     // MIs[1] Operand 1
     /*  438105 */     // No operand predicates
     /*  438105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438137 */     GIR_RootConstrainSelectedInstOperands,
     /*  438138 */     // GIR_Coverage, 3495,
     /*  438138 */     GIR_EraseRootFromParent_Done,
     /*  438139 */   // Label 7612: @438139
     /*  438139 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(438225), // Rule ID 3498 //
     /*  438144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438191 */     // MIs[1] Operand 1
     /*  438191 */     // No operand predicates
     /*  438191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438223 */     GIR_RootConstrainSelectedInstOperands,
     /*  438224 */     // GIR_Coverage, 3498,
     /*  438224 */     GIR_EraseRootFromParent_Done,
     /*  438225 */   // Label 7613: @438225
     /*  438225 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(438311), // Rule ID 3499 //
     /*  438230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438277 */     // MIs[1] Operand 1
     /*  438277 */     // No operand predicates
     /*  438277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438309 */     GIR_RootConstrainSelectedInstOperands,
     /*  438310 */     // GIR_Coverage, 3499,
     /*  438310 */     GIR_EraseRootFromParent_Done,
     /*  438311 */   // Label 7614: @438311
     /*  438311 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(438397), // Rule ID 3502 //
     /*  438316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438363 */     // MIs[1] Operand 1
     /*  438363 */     // No operand predicates
     /*  438363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438395 */     GIR_RootConstrainSelectedInstOperands,
     /*  438396 */     // GIR_Coverage, 3502,
     /*  438396 */     GIR_EraseRootFromParent_Done,
     /*  438397 */   // Label 7615: @438397
     /*  438397 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(438483), // Rule ID 3503 //
     /*  438402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438449 */     // MIs[1] Operand 1
     /*  438449 */     // No operand predicates
     /*  438449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438481 */     GIR_RootConstrainSelectedInstOperands,
     /*  438482 */     // GIR_Coverage, 3503,
     /*  438482 */     GIR_EraseRootFromParent_Done,
     /*  438483 */   // Label 7616: @438483
     /*  438483 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(438569), // Rule ID 3506 //
     /*  438488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438535 */     // MIs[1] Operand 1
     /*  438535 */     // No operand predicates
     /*  438535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438567 */     GIR_RootConstrainSelectedInstOperands,
     /*  438568 */     // GIR_Coverage, 3506,
     /*  438568 */     GIR_EraseRootFromParent_Done,
     /*  438569 */   // Label 7617: @438569
     /*  438569 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(438655), // Rule ID 3507 //
     /*  438574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438621 */     // MIs[1] Operand 1
     /*  438621 */     // No operand predicates
     /*  438621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438653 */     GIR_RootConstrainSelectedInstOperands,
     /*  438654 */     // GIR_Coverage, 3507,
     /*  438654 */     GIR_EraseRootFromParent_Done,
     /*  438655 */   // Label 7618: @438655
     /*  438655 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(438741), // Rule ID 3510 //
     /*  438660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438707 */     // MIs[1] Operand 1
     /*  438707 */     // No operand predicates
     /*  438707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438739 */     GIR_RootConstrainSelectedInstOperands,
     /*  438740 */     // GIR_Coverage, 3510,
     /*  438740 */     GIR_EraseRootFromParent_Done,
     /*  438741 */   // Label 7619: @438741
     /*  438741 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(438827), // Rule ID 3511 //
     /*  438746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438793 */     // MIs[1] Operand 1
     /*  438793 */     // No operand predicates
     /*  438793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438825 */     GIR_RootConstrainSelectedInstOperands,
     /*  438826 */     // GIR_Coverage, 3511,
     /*  438826 */     GIR_EraseRootFromParent_Done,
     /*  438827 */   // Label 7620: @438827
     /*  438827 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(438913), // Rule ID 3514 //
     /*  438832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438879 */     // MIs[1] Operand 1
     /*  438879 */     // No operand predicates
     /*  438879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438911 */     GIR_RootConstrainSelectedInstOperands,
     /*  438912 */     // GIR_Coverage, 3514,
     /*  438912 */     GIR_EraseRootFromParent_Done,
     /*  438913 */   // Label 7621: @438913
     /*  438913 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(438999), // Rule ID 3515 //
     /*  438918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438965 */     // MIs[1] Operand 1
     /*  438965 */     // No operand predicates
     /*  438965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438997 */     GIR_RootConstrainSelectedInstOperands,
     /*  438998 */     // GIR_Coverage, 3515,
     /*  438998 */     GIR_EraseRootFromParent_Done,
     /*  438999 */   // Label 7622: @438999
     /*  438999 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(439085), // Rule ID 3518 //
     /*  439004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439051 */     // MIs[1] Operand 1
     /*  439051 */     // No operand predicates
     /*  439051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439083 */     GIR_RootConstrainSelectedInstOperands,
     /*  439084 */     // GIR_Coverage, 3518,
     /*  439084 */     GIR_EraseRootFromParent_Done,
     /*  439085 */   // Label 7623: @439085
     /*  439085 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(439171), // Rule ID 3519 //
     /*  439090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439137 */     // MIs[1] Operand 1
     /*  439137 */     // No operand predicates
     /*  439137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439169 */     GIR_RootConstrainSelectedInstOperands,
     /*  439170 */     // GIR_Coverage, 3519,
     /*  439170 */     GIR_EraseRootFromParent_Done,
     /*  439171 */   // Label 7624: @439171
     /*  439171 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(439257), // Rule ID 3522 //
     /*  439176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439223 */     // MIs[1] Operand 1
     /*  439223 */     // No operand predicates
     /*  439223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439255 */     GIR_RootConstrainSelectedInstOperands,
     /*  439256 */     // GIR_Coverage, 3522,
     /*  439256 */     GIR_EraseRootFromParent_Done,
     /*  439257 */   // Label 7625: @439257
     /*  439257 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(439343), // Rule ID 3523 //
     /*  439262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439309 */     // MIs[1] Operand 1
     /*  439309 */     // No operand predicates
     /*  439309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439341 */     GIR_RootConstrainSelectedInstOperands,
     /*  439342 */     // GIR_Coverage, 3523,
     /*  439342 */     GIR_EraseRootFromParent_Done,
     /*  439343 */   // Label 7626: @439343
     /*  439343 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(439429), // Rule ID 3526 //
     /*  439348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439395 */     // MIs[1] Operand 1
     /*  439395 */     // No operand predicates
     /*  439395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439427 */     GIR_RootConstrainSelectedInstOperands,
     /*  439428 */     // GIR_Coverage, 3526,
     /*  439428 */     GIR_EraseRootFromParent_Done,
     /*  439429 */   // Label 7627: @439429
     /*  439429 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(439515), // Rule ID 3527 //
     /*  439434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439481 */     // MIs[1] Operand 1
     /*  439481 */     // No operand predicates
     /*  439481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439513 */     GIR_RootConstrainSelectedInstOperands,
     /*  439514 */     // GIR_Coverage, 3527,
     /*  439514 */     GIR_EraseRootFromParent_Done,
     /*  439515 */   // Label 7628: @439515
     /*  439515 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(439601), // Rule ID 3530 //
     /*  439520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439567 */     // MIs[1] Operand 1
     /*  439567 */     // No operand predicates
     /*  439567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439599 */     GIR_RootConstrainSelectedInstOperands,
     /*  439600 */     // GIR_Coverage, 3530,
     /*  439600 */     GIR_EraseRootFromParent_Done,
     /*  439601 */   // Label 7629: @439601
     /*  439601 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(439687), // Rule ID 3531 //
     /*  439606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439653 */     // MIs[1] Operand 1
     /*  439653 */     // No operand predicates
     /*  439653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439685 */     GIR_RootConstrainSelectedInstOperands,
     /*  439686 */     // GIR_Coverage, 3531,
     /*  439686 */     GIR_EraseRootFromParent_Done,
     /*  439687 */   // Label 7630: @439687
     /*  439687 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(439773), // Rule ID 3534 //
     /*  439692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439739 */     // MIs[1] Operand 1
     /*  439739 */     // No operand predicates
     /*  439739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  439751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439771 */     GIR_RootConstrainSelectedInstOperands,
     /*  439772 */     // GIR_Coverage, 3534,
     /*  439772 */     GIR_EraseRootFromParent_Done,
     /*  439773 */   // Label 7631: @439773
     /*  439773 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(439859), // Rule ID 3535 //
     /*  439778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439825 */     // MIs[1] Operand 1
     /*  439825 */     // No operand predicates
     /*  439825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  439837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439857 */     GIR_RootConstrainSelectedInstOperands,
     /*  439858 */     // GIR_Coverage, 3535,
     /*  439858 */     GIR_EraseRootFromParent_Done,
     /*  439859 */   // Label 7632: @439859
     /*  439859 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(439945), // Rule ID 3538 //
     /*  439864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439911 */     // MIs[1] Operand 1
     /*  439911 */     // No operand predicates
     /*  439911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  439923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439943 */     GIR_RootConstrainSelectedInstOperands,
     /*  439944 */     // GIR_Coverage, 3538,
     /*  439944 */     GIR_EraseRootFromParent_Done,
     /*  439945 */   // Label 7633: @439945
     /*  439945 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(440031), // Rule ID 3539 //
     /*  439950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439997 */     // MIs[1] Operand 1
     /*  439997 */     // No operand predicates
     /*  439997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440029 */     GIR_RootConstrainSelectedInstOperands,
     /*  440030 */     // GIR_Coverage, 3539,
     /*  440030 */     GIR_EraseRootFromParent_Done,
     /*  440031 */   // Label 7634: @440031
     /*  440031 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(440117), // Rule ID 3542 //
     /*  440036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440083 */     // MIs[1] Operand 1
     /*  440083 */     // No operand predicates
     /*  440083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440115 */     GIR_RootConstrainSelectedInstOperands,
     /*  440116 */     // GIR_Coverage, 3542,
     /*  440116 */     GIR_EraseRootFromParent_Done,
     /*  440117 */   // Label 7635: @440117
     /*  440117 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(440203), // Rule ID 3543 //
     /*  440122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440169 */     // MIs[1] Operand 1
     /*  440169 */     // No operand predicates
     /*  440169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440201 */     GIR_RootConstrainSelectedInstOperands,
     /*  440202 */     // GIR_Coverage, 3543,
     /*  440202 */     GIR_EraseRootFromParent_Done,
     /*  440203 */   // Label 7636: @440203
     /*  440203 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(440289), // Rule ID 3546 //
     /*  440208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440255 */     // MIs[1] Operand 1
     /*  440255 */     // No operand predicates
     /*  440255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440287 */     GIR_RootConstrainSelectedInstOperands,
     /*  440288 */     // GIR_Coverage, 3546,
     /*  440288 */     GIR_EraseRootFromParent_Done,
     /*  440289 */   // Label 7637: @440289
     /*  440289 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(440375), // Rule ID 3547 //
     /*  440294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440341 */     // MIs[1] Operand 1
     /*  440341 */     // No operand predicates
     /*  440341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440373 */     GIR_RootConstrainSelectedInstOperands,
     /*  440374 */     // GIR_Coverage, 3547,
     /*  440374 */     GIR_EraseRootFromParent_Done,
     /*  440375 */   // Label 7638: @440375
     /*  440375 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(440461), // Rule ID 3550 //
     /*  440380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440427 */     // MIs[1] Operand 1
     /*  440427 */     // No operand predicates
     /*  440427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440459 */     GIR_RootConstrainSelectedInstOperands,
     /*  440460 */     // GIR_Coverage, 3550,
     /*  440460 */     GIR_EraseRootFromParent_Done,
     /*  440461 */   // Label 7639: @440461
     /*  440461 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(440547), // Rule ID 3551 //
     /*  440466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440513 */     // MIs[1] Operand 1
     /*  440513 */     // No operand predicates
     /*  440513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440545 */     GIR_RootConstrainSelectedInstOperands,
     /*  440546 */     // GIR_Coverage, 3551,
     /*  440546 */     GIR_EraseRootFromParent_Done,
     /*  440547 */   // Label 7640: @440547
     /*  440547 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(440633), // Rule ID 3554 //
     /*  440552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440599 */     // MIs[1] Operand 1
     /*  440599 */     // No operand predicates
     /*  440599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440631 */     GIR_RootConstrainSelectedInstOperands,
     /*  440632 */     // GIR_Coverage, 3554,
     /*  440632 */     GIR_EraseRootFromParent_Done,
     /*  440633 */   // Label 7641: @440633
     /*  440633 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(440719), // Rule ID 3555 //
     /*  440638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440685 */     // MIs[1] Operand 1
     /*  440685 */     // No operand predicates
     /*  440685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440717 */     GIR_RootConstrainSelectedInstOperands,
     /*  440718 */     // GIR_Coverage, 3555,
     /*  440718 */     GIR_EraseRootFromParent_Done,
     /*  440719 */   // Label 7642: @440719
     /*  440719 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(440805), // Rule ID 3558 //
     /*  440724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440771 */     // MIs[1] Operand 1
     /*  440771 */     // No operand predicates
     /*  440771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440803 */     GIR_RootConstrainSelectedInstOperands,
     /*  440804 */     // GIR_Coverage, 3558,
     /*  440804 */     GIR_EraseRootFromParent_Done,
     /*  440805 */   // Label 7643: @440805
     /*  440805 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(440891), // Rule ID 3559 //
     /*  440810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440857 */     // MIs[1] Operand 1
     /*  440857 */     // No operand predicates
     /*  440857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440889 */     GIR_RootConstrainSelectedInstOperands,
     /*  440890 */     // GIR_Coverage, 3559,
     /*  440890 */     GIR_EraseRootFromParent_Done,
     /*  440891 */   // Label 7644: @440891
     /*  440891 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(440977), // Rule ID 3562 //
     /*  440896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440943 */     // MIs[1] Operand 1
     /*  440943 */     // No operand predicates
     /*  440943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440975 */     GIR_RootConstrainSelectedInstOperands,
     /*  440976 */     // GIR_Coverage, 3562,
     /*  440976 */     GIR_EraseRootFromParent_Done,
     /*  440977 */   // Label 7645: @440977
     /*  440977 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(441063), // Rule ID 3563 //
     /*  440982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441029 */     // MIs[1] Operand 1
     /*  441029 */     // No operand predicates
     /*  441029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441061 */     GIR_RootConstrainSelectedInstOperands,
     /*  441062 */     // GIR_Coverage, 3563,
     /*  441062 */     GIR_EraseRootFromParent_Done,
     /*  441063 */   // Label 7646: @441063
     /*  441063 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(441149), // Rule ID 3566 //
     /*  441068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441115 */     // MIs[1] Operand 1
     /*  441115 */     // No operand predicates
     /*  441115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441147 */     GIR_RootConstrainSelectedInstOperands,
     /*  441148 */     // GIR_Coverage, 3566,
     /*  441148 */     GIR_EraseRootFromParent_Done,
     /*  441149 */   // Label 7647: @441149
     /*  441149 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(441235), // Rule ID 3567 //
     /*  441154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441201 */     // MIs[1] Operand 1
     /*  441201 */     // No operand predicates
     /*  441201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441233 */     GIR_RootConstrainSelectedInstOperands,
     /*  441234 */     // GIR_Coverage, 3567,
     /*  441234 */     GIR_EraseRootFromParent_Done,
     /*  441235 */   // Label 7648: @441235
     /*  441235 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(441321), // Rule ID 3570 //
     /*  441240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441287 */     // MIs[1] Operand 1
     /*  441287 */     // No operand predicates
     /*  441287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441319 */     GIR_RootConstrainSelectedInstOperands,
     /*  441320 */     // GIR_Coverage, 3570,
     /*  441320 */     GIR_EraseRootFromParent_Done,
     /*  441321 */   // Label 7649: @441321
     /*  441321 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(441407), // Rule ID 3571 //
     /*  441326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441373 */     // MIs[1] Operand 1
     /*  441373 */     // No operand predicates
     /*  441373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441405 */     GIR_RootConstrainSelectedInstOperands,
     /*  441406 */     // GIR_Coverage, 3571,
     /*  441406 */     GIR_EraseRootFromParent_Done,
     /*  441407 */   // Label 7650: @441407
     /*  441407 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(441493), // Rule ID 3574 //
     /*  441412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441459 */     // MIs[1] Operand 1
     /*  441459 */     // No operand predicates
     /*  441459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441491 */     GIR_RootConstrainSelectedInstOperands,
     /*  441492 */     // GIR_Coverage, 3574,
     /*  441492 */     GIR_EraseRootFromParent_Done,
     /*  441493 */   // Label 7651: @441493
     /*  441493 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(441579), // Rule ID 3575 //
     /*  441498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441545 */     // MIs[1] Operand 1
     /*  441545 */     // No operand predicates
     /*  441545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441577 */     GIR_RootConstrainSelectedInstOperands,
     /*  441578 */     // GIR_Coverage, 3575,
     /*  441578 */     GIR_EraseRootFromParent_Done,
     /*  441579 */   // Label 7652: @441579
     /*  441579 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(441665), // Rule ID 5938 //
     /*  441584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441631 */     // MIs[1] Operand 1
     /*  441631 */     // No operand predicates
     /*  441631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  441643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441663 */     GIR_RootConstrainSelectedInstOperands,
     /*  441664 */     // GIR_Coverage, 5938,
     /*  441664 */     GIR_EraseRootFromParent_Done,
     /*  441665 */   // Label 7653: @441665
     /*  441665 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(441751), // Rule ID 5939 //
     /*  441670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441717 */     // MIs[1] Operand 1
     /*  441717 */     // No operand predicates
     /*  441717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  441729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441749 */     GIR_RootConstrainSelectedInstOperands,
     /*  441750 */     // GIR_Coverage, 5939,
     /*  441750 */     GIR_EraseRootFromParent_Done,
     /*  441751 */   // Label 7654: @441751
     /*  441751 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(441837), // Rule ID 5942 //
     /*  441756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441803 */     // MIs[1] Operand 1
     /*  441803 */     // No operand predicates
     /*  441803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  441815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441835 */     GIR_RootConstrainSelectedInstOperands,
     /*  441836 */     // GIR_Coverage, 5942,
     /*  441836 */     GIR_EraseRootFromParent_Done,
     /*  441837 */   // Label 7655: @441837
     /*  441837 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(441923), // Rule ID 5943 //
     /*  441842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441889 */     // MIs[1] Operand 1
     /*  441889 */     // No operand predicates
     /*  441889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  441901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441921 */     GIR_RootConstrainSelectedInstOperands,
     /*  441922 */     // GIR_Coverage, 5943,
     /*  441922 */     GIR_EraseRootFromParent_Done,
     /*  441923 */   // Label 7656: @441923
     /*  441923 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(442009), // Rule ID 5946 //
     /*  441928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441975 */     // MIs[1] Operand 1
     /*  441975 */     // No operand predicates
     /*  441975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  441987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442007 */     GIR_RootConstrainSelectedInstOperands,
     /*  442008 */     // GIR_Coverage, 5946,
     /*  442008 */     GIR_EraseRootFromParent_Done,
     /*  442009 */   // Label 7657: @442009
     /*  442009 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(442095), // Rule ID 5947 //
     /*  442014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442061 */     // MIs[1] Operand 1
     /*  442061 */     // No operand predicates
     /*  442061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442070 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442093 */     GIR_RootConstrainSelectedInstOperands,
     /*  442094 */     // GIR_Coverage, 5947,
     /*  442094 */     GIR_EraseRootFromParent_Done,
     /*  442095 */   // Label 7658: @442095
     /*  442095 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(442181), // Rule ID 5950 //
     /*  442100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442147 */     // MIs[1] Operand 1
     /*  442147 */     // No operand predicates
     /*  442147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442179 */     GIR_RootConstrainSelectedInstOperands,
     /*  442180 */     // GIR_Coverage, 5950,
     /*  442180 */     GIR_EraseRootFromParent_Done,
     /*  442181 */   // Label 7659: @442181
     /*  442181 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(442267), // Rule ID 5951 //
     /*  442186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442233 */     // MIs[1] Operand 1
     /*  442233 */     // No operand predicates
     /*  442233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442265 */     GIR_RootConstrainSelectedInstOperands,
     /*  442266 */     // GIR_Coverage, 5951,
     /*  442266 */     GIR_EraseRootFromParent_Done,
     /*  442267 */   // Label 7660: @442267
     /*  442267 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(442353), // Rule ID 5954 //
     /*  442272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442319 */     // MIs[1] Operand 1
     /*  442319 */     // No operand predicates
     /*  442319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442351 */     GIR_RootConstrainSelectedInstOperands,
     /*  442352 */     // GIR_Coverage, 5954,
     /*  442352 */     GIR_EraseRootFromParent_Done,
     /*  442353 */   // Label 7661: @442353
     /*  442353 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(442439), // Rule ID 5955 //
     /*  442358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442405 */     // MIs[1] Operand 1
     /*  442405 */     // No operand predicates
     /*  442405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442437 */     GIR_RootConstrainSelectedInstOperands,
     /*  442438 */     // GIR_Coverage, 5955,
     /*  442438 */     GIR_EraseRootFromParent_Done,
     /*  442439 */   // Label 7662: @442439
     /*  442439 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(442525), // Rule ID 5958 //
     /*  442444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442491 */     // MIs[1] Operand 1
     /*  442491 */     // No operand predicates
     /*  442491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442523 */     GIR_RootConstrainSelectedInstOperands,
     /*  442524 */     // GIR_Coverage, 5958,
     /*  442524 */     GIR_EraseRootFromParent_Done,
     /*  442525 */   // Label 7663: @442525
     /*  442525 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(442611), // Rule ID 5959 //
     /*  442530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442577 */     // MIs[1] Operand 1
     /*  442577 */     // No operand predicates
     /*  442577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442609 */     GIR_RootConstrainSelectedInstOperands,
     /*  442610 */     // GIR_Coverage, 5959,
     /*  442610 */     GIR_EraseRootFromParent_Done,
     /*  442611 */   // Label 7664: @442611
     /*  442611 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(442697), // Rule ID 5962 //
     /*  442616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442663 */     // MIs[1] Operand 1
     /*  442663 */     // No operand predicates
     /*  442663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442695 */     GIR_RootConstrainSelectedInstOperands,
     /*  442696 */     // GIR_Coverage, 5962,
     /*  442696 */     GIR_EraseRootFromParent_Done,
     /*  442697 */   // Label 7665: @442697
     /*  442697 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(442783), // Rule ID 5963 //
     /*  442702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442749 */     // MIs[1] Operand 1
     /*  442749 */     // No operand predicates
     /*  442749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442781 */     GIR_RootConstrainSelectedInstOperands,
     /*  442782 */     // GIR_Coverage, 5963,
     /*  442782 */     GIR_EraseRootFromParent_Done,
     /*  442783 */   // Label 7666: @442783
     /*  442783 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(442869), // Rule ID 5966 //
     /*  442788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442835 */     // MIs[1] Operand 1
     /*  442835 */     // No operand predicates
     /*  442835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442867 */     GIR_RootConstrainSelectedInstOperands,
     /*  442868 */     // GIR_Coverage, 5966,
     /*  442868 */     GIR_EraseRootFromParent_Done,
     /*  442869 */   // Label 7667: @442869
     /*  442869 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(442955), // Rule ID 5967 //
     /*  442874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442921 */     // MIs[1] Operand 1
     /*  442921 */     // No operand predicates
     /*  442921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442953 */     GIR_RootConstrainSelectedInstOperands,
     /*  442954 */     // GIR_Coverage, 5967,
     /*  442954 */     GIR_EraseRootFromParent_Done,
     /*  442955 */   // Label 7668: @442955
     /*  442955 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(443041), // Rule ID 5970 //
     /*  442960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443007 */     // MIs[1] Operand 1
     /*  443007 */     // No operand predicates
     /*  443007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443039 */     GIR_RootConstrainSelectedInstOperands,
     /*  443040 */     // GIR_Coverage, 5970,
     /*  443040 */     GIR_EraseRootFromParent_Done,
     /*  443041 */   // Label 7669: @443041
     /*  443041 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(443127), // Rule ID 5971 //
     /*  443046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443093 */     // MIs[1] Operand 1
     /*  443093 */     // No operand predicates
     /*  443093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443125 */     GIR_RootConstrainSelectedInstOperands,
     /*  443126 */     // GIR_Coverage, 5971,
     /*  443126 */     GIR_EraseRootFromParent_Done,
     /*  443127 */   // Label 7670: @443127
     /*  443127 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(443213), // Rule ID 5974 //
     /*  443132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443179 */     // MIs[1] Operand 1
     /*  443179 */     // No operand predicates
     /*  443179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443211 */     GIR_RootConstrainSelectedInstOperands,
     /*  443212 */     // GIR_Coverage, 5974,
     /*  443212 */     GIR_EraseRootFromParent_Done,
     /*  443213 */   // Label 7671: @443213
     /*  443213 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(443299), // Rule ID 5975 //
     /*  443218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443265 */     // MIs[1] Operand 1
     /*  443265 */     // No operand predicates
     /*  443265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443297 */     GIR_RootConstrainSelectedInstOperands,
     /*  443298 */     // GIR_Coverage, 5975,
     /*  443298 */     GIR_EraseRootFromParent_Done,
     /*  443299 */   // Label 7672: @443299
     /*  443299 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(443385), // Rule ID 5978 //
     /*  443304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443351 */     // MIs[1] Operand 1
     /*  443351 */     // No operand predicates
     /*  443351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443383 */     GIR_RootConstrainSelectedInstOperands,
     /*  443384 */     // GIR_Coverage, 5978,
     /*  443384 */     GIR_EraseRootFromParent_Done,
     /*  443385 */   // Label 7673: @443385
     /*  443385 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(443471), // Rule ID 5979 //
     /*  443390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443437 */     // MIs[1] Operand 1
     /*  443437 */     // No operand predicates
     /*  443437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443469 */     GIR_RootConstrainSelectedInstOperands,
     /*  443470 */     // GIR_Coverage, 5979,
     /*  443470 */     GIR_EraseRootFromParent_Done,
     /*  443471 */   // Label 7674: @443471
     /*  443471 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(443557), // Rule ID 5982 //
     /*  443476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443523 */     // MIs[1] Operand 1
     /*  443523 */     // No operand predicates
     /*  443523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443555 */     GIR_RootConstrainSelectedInstOperands,
     /*  443556 */     // GIR_Coverage, 5982,
     /*  443556 */     GIR_EraseRootFromParent_Done,
     /*  443557 */   // Label 7675: @443557
     /*  443557 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(443643), // Rule ID 5983 //
     /*  443562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443609 */     // MIs[1] Operand 1
     /*  443609 */     // No operand predicates
     /*  443609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443618 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443641 */     GIR_RootConstrainSelectedInstOperands,
     /*  443642 */     // GIR_Coverage, 5983,
     /*  443642 */     GIR_EraseRootFromParent_Done,
     /*  443643 */   // Label 7676: @443643
     /*  443643 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(443729), // Rule ID 5986 //
     /*  443648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443695 */     // MIs[1] Operand 1
     /*  443695 */     // No operand predicates
     /*  443695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  443707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443727 */     GIR_RootConstrainSelectedInstOperands,
     /*  443728 */     // GIR_Coverage, 5986,
     /*  443728 */     GIR_EraseRootFromParent_Done,
     /*  443729 */   // Label 7677: @443729
     /*  443729 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(443815), // Rule ID 5987 //
     /*  443734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443781 */     // MIs[1] Operand 1
     /*  443781 */     // No operand predicates
     /*  443781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  443793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443813 */     GIR_RootConstrainSelectedInstOperands,
     /*  443814 */     // GIR_Coverage, 5987,
     /*  443814 */     GIR_EraseRootFromParent_Done,
     /*  443815 */   // Label 7678: @443815
     /*  443815 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(443901), // Rule ID 5990 //
     /*  443820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443867 */     // MIs[1] Operand 1
     /*  443867 */     // No operand predicates
     /*  443867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443899 */     GIR_RootConstrainSelectedInstOperands,
     /*  443900 */     // GIR_Coverage, 5990,
     /*  443900 */     GIR_EraseRootFromParent_Done,
     /*  443901 */   // Label 7679: @443901
     /*  443901 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(443987), // Rule ID 5991 //
     /*  443906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443953 */     // MIs[1] Operand 1
     /*  443953 */     // No operand predicates
     /*  443953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443985 */     GIR_RootConstrainSelectedInstOperands,
     /*  443986 */     // GIR_Coverage, 5991,
     /*  443986 */     GIR_EraseRootFromParent_Done,
     /*  443987 */   // Label 7680: @443987
     /*  443987 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(444073), // Rule ID 5994 //
     /*  443992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444039 */     // MIs[1] Operand 1
     /*  444039 */     // No operand predicates
     /*  444039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444071 */     GIR_RootConstrainSelectedInstOperands,
     /*  444072 */     // GIR_Coverage, 5994,
     /*  444072 */     GIR_EraseRootFromParent_Done,
     /*  444073 */   // Label 7681: @444073
     /*  444073 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(444159), // Rule ID 5995 //
     /*  444078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444125 */     // MIs[1] Operand 1
     /*  444125 */     // No operand predicates
     /*  444125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444157 */     GIR_RootConstrainSelectedInstOperands,
     /*  444158 */     // GIR_Coverage, 5995,
     /*  444158 */     GIR_EraseRootFromParent_Done,
     /*  444159 */   // Label 7682: @444159
     /*  444159 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(444245), // Rule ID 5998 //
     /*  444164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444211 */     // MIs[1] Operand 1
     /*  444211 */     // No operand predicates
     /*  444211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444243 */     GIR_RootConstrainSelectedInstOperands,
     /*  444244 */     // GIR_Coverage, 5998,
     /*  444244 */     GIR_EraseRootFromParent_Done,
     /*  444245 */   // Label 7683: @444245
     /*  444245 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(444331), // Rule ID 5999 //
     /*  444250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444297 */     // MIs[1] Operand 1
     /*  444297 */     // No operand predicates
     /*  444297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444329 */     GIR_RootConstrainSelectedInstOperands,
     /*  444330 */     // GIR_Coverage, 5999,
     /*  444330 */     GIR_EraseRootFromParent_Done,
     /*  444331 */   // Label 7684: @444331
     /*  444331 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(444417), // Rule ID 6002 //
     /*  444336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444383 */     // MIs[1] Operand 1
     /*  444383 */     // No operand predicates
     /*  444383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444415 */     GIR_RootConstrainSelectedInstOperands,
     /*  444416 */     // GIR_Coverage, 6002,
     /*  444416 */     GIR_EraseRootFromParent_Done,
     /*  444417 */   // Label 7685: @444417
     /*  444417 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(444503), // Rule ID 6003 //
     /*  444422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444469 */     // MIs[1] Operand 1
     /*  444469 */     // No operand predicates
     /*  444469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444501 */     GIR_RootConstrainSelectedInstOperands,
     /*  444502 */     // GIR_Coverage, 6003,
     /*  444502 */     GIR_EraseRootFromParent_Done,
     /*  444503 */   // Label 7686: @444503
     /*  444503 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(444589), // Rule ID 6006 //
     /*  444508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444555 */     // MIs[1] Operand 1
     /*  444555 */     // No operand predicates
     /*  444555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444587 */     GIR_RootConstrainSelectedInstOperands,
     /*  444588 */     // GIR_Coverage, 6006,
     /*  444588 */     GIR_EraseRootFromParent_Done,
     /*  444589 */   // Label 7687: @444589
     /*  444589 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(444675), // Rule ID 6007 //
     /*  444594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444641 */     // MIs[1] Operand 1
     /*  444641 */     // No operand predicates
     /*  444641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444673 */     GIR_RootConstrainSelectedInstOperands,
     /*  444674 */     // GIR_Coverage, 6007,
     /*  444674 */     GIR_EraseRootFromParent_Done,
     /*  444675 */   // Label 7688: @444675
     /*  444675 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(444761), // Rule ID 6010 //
     /*  444680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444727 */     // MIs[1] Operand 1
     /*  444727 */     // No operand predicates
     /*  444727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444759 */     GIR_RootConstrainSelectedInstOperands,
     /*  444760 */     // GIR_Coverage, 6010,
     /*  444760 */     GIR_EraseRootFromParent_Done,
     /*  444761 */   // Label 7689: @444761
     /*  444761 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(444847), // Rule ID 6011 //
     /*  444766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444813 */     // MIs[1] Operand 1
     /*  444813 */     // No operand predicates
     /*  444813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444845 */     GIR_RootConstrainSelectedInstOperands,
     /*  444846 */     // GIR_Coverage, 6011,
     /*  444846 */     GIR_EraseRootFromParent_Done,
     /*  444847 */   // Label 7690: @444847
     /*  444847 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(444933), // Rule ID 6014 //
     /*  444852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444899 */     // MIs[1] Operand 1
     /*  444899 */     // No operand predicates
     /*  444899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444931 */     GIR_RootConstrainSelectedInstOperands,
     /*  444932 */     // GIR_Coverage, 6014,
     /*  444932 */     GIR_EraseRootFromParent_Done,
     /*  444933 */   // Label 7691: @444933
     /*  444933 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(445019), // Rule ID 6015 //
     /*  444938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444985 */     // MIs[1] Operand 1
     /*  444985 */     // No operand predicates
     /*  444985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445017 */     GIR_RootConstrainSelectedInstOperands,
     /*  445018 */     // GIR_Coverage, 6015,
     /*  445018 */     GIR_EraseRootFromParent_Done,
     /*  445019 */   // Label 7692: @445019
     /*  445019 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(445105), // Rule ID 6018 //
     /*  445024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445071 */     // MIs[1] Operand 1
     /*  445071 */     // No operand predicates
     /*  445071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445103 */     GIR_RootConstrainSelectedInstOperands,
     /*  445104 */     // GIR_Coverage, 6018,
     /*  445104 */     GIR_EraseRootFromParent_Done,
     /*  445105 */   // Label 7693: @445105
     /*  445105 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(445191), // Rule ID 6019 //
     /*  445110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445157 */     // MIs[1] Operand 1
     /*  445157 */     // No operand predicates
     /*  445157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445189 */     GIR_RootConstrainSelectedInstOperands,
     /*  445190 */     // GIR_Coverage, 6019,
     /*  445190 */     GIR_EraseRootFromParent_Done,
     /*  445191 */   // Label 7694: @445191
     /*  445191 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(445277), // Rule ID 6022 //
     /*  445196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445243 */     // MIs[1] Operand 1
     /*  445243 */     // No operand predicates
     /*  445243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445275 */     GIR_RootConstrainSelectedInstOperands,
     /*  445276 */     // GIR_Coverage, 6022,
     /*  445276 */     GIR_EraseRootFromParent_Done,
     /*  445277 */   // Label 7695: @445277
     /*  445277 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(445363), // Rule ID 6023 //
     /*  445282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445329 */     // MIs[1] Operand 1
     /*  445329 */     // No operand predicates
     /*  445329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445361 */     GIR_RootConstrainSelectedInstOperands,
     /*  445362 */     // GIR_Coverage, 6023,
     /*  445362 */     GIR_EraseRootFromParent_Done,
     /*  445363 */   // Label 7696: @445363
     /*  445363 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(445449), // Rule ID 6202 //
     /*  445368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445415 */     // MIs[1] Operand 1
     /*  445415 */     // No operand predicates
     /*  445415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445447 */     GIR_RootConstrainSelectedInstOperands,
     /*  445448 */     // GIR_Coverage, 6202,
     /*  445448 */     GIR_EraseRootFromParent_Done,
     /*  445449 */   // Label 7697: @445449
     /*  445449 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(445535), // Rule ID 6203 //
     /*  445454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445501 */     // MIs[1] Operand 1
     /*  445501 */     // No operand predicates
     /*  445501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445510 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445533 */     GIR_RootConstrainSelectedInstOperands,
     /*  445534 */     // GIR_Coverage, 6203,
     /*  445534 */     GIR_EraseRootFromParent_Done,
     /*  445535 */   // Label 7698: @445535
     /*  445535 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(445621), // Rule ID 6206 //
     /*  445540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445587 */     // MIs[1] Operand 1
     /*  445587 */     // No operand predicates
     /*  445587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445596 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445619 */     GIR_RootConstrainSelectedInstOperands,
     /*  445620 */     // GIR_Coverage, 6206,
     /*  445620 */     GIR_EraseRootFromParent_Done,
     /*  445621 */   // Label 7699: @445621
     /*  445621 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(445707), // Rule ID 6207 //
     /*  445626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445673 */     // MIs[1] Operand 1
     /*  445673 */     // No operand predicates
     /*  445673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445705 */     GIR_RootConstrainSelectedInstOperands,
     /*  445706 */     // GIR_Coverage, 6207,
     /*  445706 */     GIR_EraseRootFromParent_Done,
     /*  445707 */   // Label 7700: @445707
     /*  445707 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(445793), // Rule ID 6210 //
     /*  445712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445759 */     // MIs[1] Operand 1
     /*  445759 */     // No operand predicates
     /*  445759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445791 */     GIR_RootConstrainSelectedInstOperands,
     /*  445792 */     // GIR_Coverage, 6210,
     /*  445792 */     GIR_EraseRootFromParent_Done,
     /*  445793 */   // Label 7701: @445793
     /*  445793 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(445879), // Rule ID 6211 //
     /*  445798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445845 */     // MIs[1] Operand 1
     /*  445845 */     // No operand predicates
     /*  445845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445854 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445877 */     GIR_RootConstrainSelectedInstOperands,
     /*  445878 */     // GIR_Coverage, 6211,
     /*  445878 */     GIR_EraseRootFromParent_Done,
     /*  445879 */   // Label 7702: @445879
     /*  445879 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(445965), // Rule ID 6214 //
     /*  445884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445931 */     // MIs[1] Operand 1
     /*  445931 */     // No operand predicates
     /*  445931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445963 */     GIR_RootConstrainSelectedInstOperands,
     /*  445964 */     // GIR_Coverage, 6214,
     /*  445964 */     GIR_EraseRootFromParent_Done,
     /*  445965 */   // Label 7703: @445965
     /*  445965 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(446051), // Rule ID 6215 //
     /*  445970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446017 */     // MIs[1] Operand 1
     /*  446017 */     // No operand predicates
     /*  446017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  446029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446049 */     GIR_RootConstrainSelectedInstOperands,
     /*  446050 */     // GIR_Coverage, 6215,
     /*  446050 */     GIR_EraseRootFromParent_Done,
     /*  446051 */   // Label 7704: @446051
     /*  446051 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(446137), // Rule ID 6218 //
     /*  446056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446103 */     // MIs[1] Operand 1
     /*  446103 */     // No operand predicates
     /*  446103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446135 */     GIR_RootConstrainSelectedInstOperands,
     /*  446136 */     // GIR_Coverage, 6218,
     /*  446136 */     GIR_EraseRootFromParent_Done,
     /*  446137 */   // Label 7705: @446137
     /*  446137 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(446223), // Rule ID 6219 //
     /*  446142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446189 */     // MIs[1] Operand 1
     /*  446189 */     // No operand predicates
     /*  446189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446221 */     GIR_RootConstrainSelectedInstOperands,
     /*  446222 */     // GIR_Coverage, 6219,
     /*  446222 */     GIR_EraseRootFromParent_Done,
     /*  446223 */   // Label 7706: @446223
     /*  446223 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(446309), // Rule ID 6222 //
     /*  446228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446275 */     // MIs[1] Operand 1
     /*  446275 */     // No operand predicates
     /*  446275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446307 */     GIR_RootConstrainSelectedInstOperands,
     /*  446308 */     // GIR_Coverage, 6222,
     /*  446308 */     GIR_EraseRootFromParent_Done,
     /*  446309 */   // Label 7707: @446309
     /*  446309 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(446395), // Rule ID 6223 //
     /*  446314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446361 */     // MIs[1] Operand 1
     /*  446361 */     // No operand predicates
     /*  446361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446393 */     GIR_RootConstrainSelectedInstOperands,
     /*  446394 */     // GIR_Coverage, 6223,
     /*  446394 */     GIR_EraseRootFromParent_Done,
     /*  446395 */   // Label 7708: @446395
     /*  446395 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(446481), // Rule ID 6226 //
     /*  446400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446447 */     // MIs[1] Operand 1
     /*  446447 */     // No operand predicates
     /*  446447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446479 */     GIR_RootConstrainSelectedInstOperands,
     /*  446480 */     // GIR_Coverage, 6226,
     /*  446480 */     GIR_EraseRootFromParent_Done,
     /*  446481 */   // Label 7709: @446481
     /*  446481 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(446567), // Rule ID 6227 //
     /*  446486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446533 */     // MIs[1] Operand 1
     /*  446533 */     // No operand predicates
     /*  446533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446565 */     GIR_RootConstrainSelectedInstOperands,
     /*  446566 */     // GIR_Coverage, 6227,
     /*  446566 */     GIR_EraseRootFromParent_Done,
     /*  446567 */   // Label 7710: @446567
     /*  446567 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(446653), // Rule ID 6230 //
     /*  446572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446619 */     // MIs[1] Operand 1
     /*  446619 */     // No operand predicates
     /*  446619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446651 */     GIR_RootConstrainSelectedInstOperands,
     /*  446652 */     // GIR_Coverage, 6230,
     /*  446652 */     GIR_EraseRootFromParent_Done,
     /*  446653 */   // Label 7711: @446653
     /*  446653 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(446739), // Rule ID 6231 //
     /*  446658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446705 */     // MIs[1] Operand 1
     /*  446705 */     // No operand predicates
     /*  446705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446737 */     GIR_RootConstrainSelectedInstOperands,
     /*  446738 */     // GIR_Coverage, 6231,
     /*  446738 */     GIR_EraseRootFromParent_Done,
     /*  446739 */   // Label 7712: @446739
     /*  446739 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(446825), // Rule ID 6234 //
     /*  446744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446791 */     // MIs[1] Operand 1
     /*  446791 */     // No operand predicates
     /*  446791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446823 */     GIR_RootConstrainSelectedInstOperands,
     /*  446824 */     // GIR_Coverage, 6234,
     /*  446824 */     GIR_EraseRootFromParent_Done,
     /*  446825 */   // Label 7713: @446825
     /*  446825 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(446911), // Rule ID 6235 //
     /*  446830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446877 */     // MIs[1] Operand 1
     /*  446877 */     // No operand predicates
     /*  446877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446909 */     GIR_RootConstrainSelectedInstOperands,
     /*  446910 */     // GIR_Coverage, 6235,
     /*  446910 */     GIR_EraseRootFromParent_Done,
     /*  446911 */   // Label 7714: @446911
     /*  446911 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(446997), // Rule ID 6238 //
     /*  446916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446963 */     // MIs[1] Operand 1
     /*  446963 */     // No operand predicates
     /*  446963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446995 */     GIR_RootConstrainSelectedInstOperands,
     /*  446996 */     // GIR_Coverage, 6238,
     /*  446996 */     GIR_EraseRootFromParent_Done,
     /*  446997 */   // Label 7715: @446997
     /*  446997 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(447083), // Rule ID 6239 //
     /*  447002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447049 */     // MIs[1] Operand 1
     /*  447049 */     // No operand predicates
     /*  447049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447081 */     GIR_RootConstrainSelectedInstOperands,
     /*  447082 */     // GIR_Coverage, 6239,
     /*  447082 */     GIR_EraseRootFromParent_Done,
     /*  447083 */   // Label 7716: @447083
     /*  447083 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(447169), // Rule ID 6242 //
     /*  447088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447135 */     // MIs[1] Operand 1
     /*  447135 */     // No operand predicates
     /*  447135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447167 */     GIR_RootConstrainSelectedInstOperands,
     /*  447168 */     // GIR_Coverage, 6242,
     /*  447168 */     GIR_EraseRootFromParent_Done,
     /*  447169 */   // Label 7717: @447169
     /*  447169 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(447255), // Rule ID 6243 //
     /*  447174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447221 */     // MIs[1] Operand 1
     /*  447221 */     // No operand predicates
     /*  447221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447253 */     GIR_RootConstrainSelectedInstOperands,
     /*  447254 */     // GIR_Coverage, 6243,
     /*  447254 */     GIR_EraseRootFromParent_Done,
     /*  447255 */   // Label 7718: @447255
     /*  447255 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(447341), // Rule ID 6246 //
     /*  447260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447307 */     // MIs[1] Operand 1
     /*  447307 */     // No operand predicates
     /*  447307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447316 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447339 */     GIR_RootConstrainSelectedInstOperands,
     /*  447340 */     // GIR_Coverage, 6246,
     /*  447340 */     GIR_EraseRootFromParent_Done,
     /*  447341 */   // Label 7719: @447341
     /*  447341 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(447427), // Rule ID 6247 //
     /*  447346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447393 */     // MIs[1] Operand 1
     /*  447393 */     // No operand predicates
     /*  447393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447425 */     GIR_RootConstrainSelectedInstOperands,
     /*  447426 */     // GIR_Coverage, 6247,
     /*  447426 */     GIR_EraseRootFromParent_Done,
     /*  447427 */   // Label 7720: @447427
     /*  447427 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(447513), // Rule ID 6250 //
     /*  447432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447479 */     // MIs[1] Operand 1
     /*  447479 */     // No operand predicates
     /*  447479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447488 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447511 */     GIR_RootConstrainSelectedInstOperands,
     /*  447512 */     // GIR_Coverage, 6250,
     /*  447512 */     GIR_EraseRootFromParent_Done,
     /*  447513 */   // Label 7721: @447513
     /*  447513 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(447599), // Rule ID 6251 //
     /*  447518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447565 */     // MIs[1] Operand 1
     /*  447565 */     // No operand predicates
     /*  447565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447597 */     GIR_RootConstrainSelectedInstOperands,
     /*  447598 */     // GIR_Coverage, 6251,
     /*  447598 */     GIR_EraseRootFromParent_Done,
     /*  447599 */   // Label 7722: @447599
     /*  447599 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(447685), // Rule ID 6254 //
     /*  447604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447651 */     // MIs[1] Operand 1
     /*  447651 */     // No operand predicates
     /*  447651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447683 */     GIR_RootConstrainSelectedInstOperands,
     /*  447684 */     // GIR_Coverage, 6254,
     /*  447684 */     GIR_EraseRootFromParent_Done,
     /*  447685 */   // Label 7723: @447685
     /*  447685 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(447771), // Rule ID 6255 //
     /*  447690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447737 */     // MIs[1] Operand 1
     /*  447737 */     // No operand predicates
     /*  447737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447769 */     GIR_RootConstrainSelectedInstOperands,
     /*  447770 */     // GIR_Coverage, 6255,
     /*  447770 */     GIR_EraseRootFromParent_Done,
     /*  447771 */   // Label 7724: @447771
     /*  447771 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(447857), // Rule ID 6258 //
     /*  447776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447823 */     // MIs[1] Operand 1
     /*  447823 */     // No operand predicates
     /*  447823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447855 */     GIR_RootConstrainSelectedInstOperands,
     /*  447856 */     // GIR_Coverage, 6258,
     /*  447856 */     GIR_EraseRootFromParent_Done,
     /*  447857 */   // Label 7725: @447857
     /*  447857 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(447943), // Rule ID 6259 //
     /*  447862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447909 */     // MIs[1] Operand 1
     /*  447909 */     // No operand predicates
     /*  447909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447941 */     GIR_RootConstrainSelectedInstOperands,
     /*  447942 */     // GIR_Coverage, 6259,
     /*  447942 */     GIR_EraseRootFromParent_Done,
     /*  447943 */   // Label 7726: @447943
     /*  447943 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(448029), // Rule ID 6262 //
     /*  447948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447995 */     // MIs[1] Operand 1
     /*  447995 */     // No operand predicates
     /*  447995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448027 */     GIR_RootConstrainSelectedInstOperands,
     /*  448028 */     // GIR_Coverage, 6262,
     /*  448028 */     GIR_EraseRootFromParent_Done,
     /*  448029 */   // Label 7727: @448029
     /*  448029 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(448115), // Rule ID 6263 //
     /*  448034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448081 */     // MIs[1] Operand 1
     /*  448081 */     // No operand predicates
     /*  448081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448113 */     GIR_RootConstrainSelectedInstOperands,
     /*  448114 */     // GIR_Coverage, 6263,
     /*  448114 */     GIR_EraseRootFromParent_Done,
     /*  448115 */   // Label 7728: @448115
     /*  448115 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(448201), // Rule ID 6266 //
     /*  448120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448167 */     // MIs[1] Operand 1
     /*  448167 */     // No operand predicates
     /*  448167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448199 */     GIR_RootConstrainSelectedInstOperands,
     /*  448200 */     // GIR_Coverage, 6266,
     /*  448200 */     GIR_EraseRootFromParent_Done,
     /*  448201 */   // Label 7729: @448201
     /*  448201 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(448287), // Rule ID 6267 //
     /*  448206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448253 */     // MIs[1] Operand 1
     /*  448253 */     // No operand predicates
     /*  448253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448285 */     GIR_RootConstrainSelectedInstOperands,
     /*  448286 */     // GIR_Coverage, 6267,
     /*  448286 */     GIR_EraseRootFromParent_Done,
     /*  448287 */   // Label 7730: @448287
     /*  448287 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(448373), // Rule ID 6270 //
     /*  448292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448339 */     // MIs[1] Operand 1
     /*  448339 */     // No operand predicates
     /*  448339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448371 */     GIR_RootConstrainSelectedInstOperands,
     /*  448372 */     // GIR_Coverage, 6270,
     /*  448372 */     GIR_EraseRootFromParent_Done,
     /*  448373 */   // Label 7731: @448373
     /*  448373 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(448459), // Rule ID 6271 //
     /*  448378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448425 */     // MIs[1] Operand 1
     /*  448425 */     // No operand predicates
     /*  448425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448457 */     GIR_RootConstrainSelectedInstOperands,
     /*  448458 */     // GIR_Coverage, 6271,
     /*  448458 */     GIR_EraseRootFromParent_Done,
     /*  448459 */   // Label 7732: @448459
     /*  448459 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(448545), // Rule ID 6274 //
     /*  448464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448511 */     // MIs[1] Operand 1
     /*  448511 */     // No operand predicates
     /*  448511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448543 */     GIR_RootConstrainSelectedInstOperands,
     /*  448544 */     // GIR_Coverage, 6274,
     /*  448544 */     GIR_EraseRootFromParent_Done,
     /*  448545 */   // Label 7733: @448545
     /*  448545 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(448631), // Rule ID 6275 //
     /*  448550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448597 */     // MIs[1] Operand 1
     /*  448597 */     // No operand predicates
     /*  448597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448629 */     GIR_RootConstrainSelectedInstOperands,
     /*  448630 */     // GIR_Coverage, 6275,
     /*  448630 */     GIR_EraseRootFromParent_Done,
     /*  448631 */   // Label 7734: @448631
     /*  448631 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(448717), // Rule ID 6278 //
     /*  448636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448683 */     // MIs[1] Operand 1
     /*  448683 */     // No operand predicates
     /*  448683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448715 */     GIR_RootConstrainSelectedInstOperands,
     /*  448716 */     // GIR_Coverage, 6278,
     /*  448716 */     GIR_EraseRootFromParent_Done,
     /*  448717 */   // Label 7735: @448717
     /*  448717 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(448803), // Rule ID 6279 //
     /*  448722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448769 */     // MIs[1] Operand 1
     /*  448769 */     // No operand predicates
     /*  448769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448801 */     GIR_RootConstrainSelectedInstOperands,
     /*  448802 */     // GIR_Coverage, 6279,
     /*  448802 */     GIR_EraseRootFromParent_Done,
     /*  448803 */   // Label 7736: @448803
     /*  448803 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(448889), // Rule ID 6282 //
     /*  448808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448855 */     // MIs[1] Operand 1
     /*  448855 */     // No operand predicates
     /*  448855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448887 */     GIR_RootConstrainSelectedInstOperands,
     /*  448888 */     // GIR_Coverage, 6282,
     /*  448888 */     GIR_EraseRootFromParent_Done,
     /*  448889 */   // Label 7737: @448889
     /*  448889 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(448975), // Rule ID 6283 //
     /*  448894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448941 */     // MIs[1] Operand 1
     /*  448941 */     // No operand predicates
     /*  448941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448973 */     GIR_RootConstrainSelectedInstOperands,
     /*  448974 */     // GIR_Coverage, 6283,
     /*  448974 */     GIR_EraseRootFromParent_Done,
     /*  448975 */   // Label 7738: @448975
     /*  448975 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(449061), // Rule ID 6286 //
     /*  448980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449027 */     // MIs[1] Operand 1
     /*  449027 */     // No operand predicates
     /*  449027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  449039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449059 */     GIR_RootConstrainSelectedInstOperands,
     /*  449060 */     // GIR_Coverage, 6286,
     /*  449060 */     GIR_EraseRootFromParent_Done,
     /*  449061 */   // Label 7739: @449061
     /*  449061 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(449147), // Rule ID 6287 //
     /*  449066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449113 */     // MIs[1] Operand 1
     /*  449113 */     // No operand predicates
     /*  449113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  449125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449145 */     GIR_RootConstrainSelectedInstOperands,
     /*  449146 */     // GIR_Coverage, 6287,
     /*  449146 */     GIR_EraseRootFromParent_Done,
     /*  449147 */   // Label 7740: @449147
     /*  449147 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(449233), // Rule ID 6466 //
     /*  449152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449199 */     // MIs[1] Operand 1
     /*  449199 */     // No operand predicates
     /*  449199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449231 */     GIR_RootConstrainSelectedInstOperands,
     /*  449232 */     // GIR_Coverage, 6466,
     /*  449232 */     GIR_EraseRootFromParent_Done,
     /*  449233 */   // Label 7741: @449233
     /*  449233 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(449319), // Rule ID 6467 //
     /*  449238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449285 */     // MIs[1] Operand 1
     /*  449285 */     // No operand predicates
     /*  449285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449294 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449317 */     GIR_RootConstrainSelectedInstOperands,
     /*  449318 */     // GIR_Coverage, 6467,
     /*  449318 */     GIR_EraseRootFromParent_Done,
     /*  449319 */   // Label 7742: @449319
     /*  449319 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(449405), // Rule ID 6470 //
     /*  449324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449371 */     // MIs[1] Operand 1
     /*  449371 */     // No operand predicates
     /*  449371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449380 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449403 */     GIR_RootConstrainSelectedInstOperands,
     /*  449404 */     // GIR_Coverage, 6470,
     /*  449404 */     GIR_EraseRootFromParent_Done,
     /*  449405 */   // Label 7743: @449405
     /*  449405 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(449491), // Rule ID 6471 //
     /*  449410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449457 */     // MIs[1] Operand 1
     /*  449457 */     // No operand predicates
     /*  449457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449489 */     GIR_RootConstrainSelectedInstOperands,
     /*  449490 */     // GIR_Coverage, 6471,
     /*  449490 */     GIR_EraseRootFromParent_Done,
     /*  449491 */   // Label 7744: @449491
     /*  449491 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(449577), // Rule ID 6474 //
     /*  449496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449543 */     // MIs[1] Operand 1
     /*  449543 */     // No operand predicates
     /*  449543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449575 */     GIR_RootConstrainSelectedInstOperands,
     /*  449576 */     // GIR_Coverage, 6474,
     /*  449576 */     GIR_EraseRootFromParent_Done,
     /*  449577 */   // Label 7745: @449577
     /*  449577 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(449663), // Rule ID 6475 //
     /*  449582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449629 */     // MIs[1] Operand 1
     /*  449629 */     // No operand predicates
     /*  449629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449638 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449661 */     GIR_RootConstrainSelectedInstOperands,
     /*  449662 */     // GIR_Coverage, 6475,
     /*  449662 */     GIR_EraseRootFromParent_Done,
     /*  449663 */   // Label 7746: @449663
     /*  449663 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(449749), // Rule ID 6478 //
     /*  449668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449715 */     // MIs[1] Operand 1
     /*  449715 */     // No operand predicates
     /*  449715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449747 */     GIR_RootConstrainSelectedInstOperands,
     /*  449748 */     // GIR_Coverage, 6478,
     /*  449748 */     GIR_EraseRootFromParent_Done,
     /*  449749 */   // Label 7747: @449749
     /*  449749 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(449835), // Rule ID 6479 //
     /*  449754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449801 */     // MIs[1] Operand 1
     /*  449801 */     // No operand predicates
     /*  449801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449833 */     GIR_RootConstrainSelectedInstOperands,
     /*  449834 */     // GIR_Coverage, 6479,
     /*  449834 */     GIR_EraseRootFromParent_Done,
     /*  449835 */   // Label 7748: @449835
     /*  449835 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(449921), // Rule ID 6482 //
     /*  449840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449887 */     // MIs[1] Operand 1
     /*  449887 */     // No operand predicates
     /*  449887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449919 */     GIR_RootConstrainSelectedInstOperands,
     /*  449920 */     // GIR_Coverage, 6482,
     /*  449920 */     GIR_EraseRootFromParent_Done,
     /*  449921 */   // Label 7749: @449921
     /*  449921 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(450007), // Rule ID 6483 //
     /*  449926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449973 */     // MIs[1] Operand 1
     /*  449973 */     // No operand predicates
     /*  449973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450005 */     GIR_RootConstrainSelectedInstOperands,
     /*  450006 */     // GIR_Coverage, 6483,
     /*  450006 */     GIR_EraseRootFromParent_Done,
     /*  450007 */   // Label 7750: @450007
     /*  450007 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(450093), // Rule ID 6486 //
     /*  450012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450059 */     // MIs[1] Operand 1
     /*  450059 */     // No operand predicates
     /*  450059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450091 */     GIR_RootConstrainSelectedInstOperands,
     /*  450092 */     // GIR_Coverage, 6486,
     /*  450092 */     GIR_EraseRootFromParent_Done,
     /*  450093 */   // Label 7751: @450093
     /*  450093 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(450179), // Rule ID 6487 //
     /*  450098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450145 */     // MIs[1] Operand 1
     /*  450145 */     // No operand predicates
     /*  450145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450177 */     GIR_RootConstrainSelectedInstOperands,
     /*  450178 */     // GIR_Coverage, 6487,
     /*  450178 */     GIR_EraseRootFromParent_Done,
     /*  450179 */   // Label 7752: @450179
     /*  450179 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(450265), // Rule ID 6490 //
     /*  450184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450231 */     // MIs[1] Operand 1
     /*  450231 */     // No operand predicates
     /*  450231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450263 */     GIR_RootConstrainSelectedInstOperands,
     /*  450264 */     // GIR_Coverage, 6490,
     /*  450264 */     GIR_EraseRootFromParent_Done,
     /*  450265 */   // Label 7753: @450265
     /*  450265 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(450351), // Rule ID 6491 //
     /*  450270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450317 */     // MIs[1] Operand 1
     /*  450317 */     // No operand predicates
     /*  450317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450349 */     GIR_RootConstrainSelectedInstOperands,
     /*  450350 */     // GIR_Coverage, 6491,
     /*  450350 */     GIR_EraseRootFromParent_Done,
     /*  450351 */   // Label 7754: @450351
     /*  450351 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(450437), // Rule ID 6494 //
     /*  450356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450403 */     // MIs[1] Operand 1
     /*  450403 */     // No operand predicates
     /*  450403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450435 */     GIR_RootConstrainSelectedInstOperands,
     /*  450436 */     // GIR_Coverage, 6494,
     /*  450436 */     GIR_EraseRootFromParent_Done,
     /*  450437 */   // Label 7755: @450437
     /*  450437 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(450523), // Rule ID 6495 //
     /*  450442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450489 */     // MIs[1] Operand 1
     /*  450489 */     // No operand predicates
     /*  450489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450521 */     GIR_RootConstrainSelectedInstOperands,
     /*  450522 */     // GIR_Coverage, 6495,
     /*  450522 */     GIR_EraseRootFromParent_Done,
     /*  450523 */   // Label 7756: @450523
     /*  450523 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(450609), // Rule ID 6498 //
     /*  450528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450575 */     // MIs[1] Operand 1
     /*  450575 */     // No operand predicates
     /*  450575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450607 */     GIR_RootConstrainSelectedInstOperands,
     /*  450608 */     // GIR_Coverage, 6498,
     /*  450608 */     GIR_EraseRootFromParent_Done,
     /*  450609 */   // Label 7757: @450609
     /*  450609 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(450695), // Rule ID 6499 //
     /*  450614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450661 */     // MIs[1] Operand 1
     /*  450661 */     // No operand predicates
     /*  450661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450693 */     GIR_RootConstrainSelectedInstOperands,
     /*  450694 */     // GIR_Coverage, 6499,
     /*  450694 */     GIR_EraseRootFromParent_Done,
     /*  450695 */   // Label 7758: @450695
     /*  450695 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(450781), // Rule ID 6502 //
     /*  450700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450747 */     // MIs[1] Operand 1
     /*  450747 */     // No operand predicates
     /*  450747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450779 */     GIR_RootConstrainSelectedInstOperands,
     /*  450780 */     // GIR_Coverage, 6502,
     /*  450780 */     GIR_EraseRootFromParent_Done,
     /*  450781 */   // Label 7759: @450781
     /*  450781 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(450867), // Rule ID 6503 //
     /*  450786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450833 */     // MIs[1] Operand 1
     /*  450833 */     // No operand predicates
     /*  450833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450865 */     GIR_RootConstrainSelectedInstOperands,
     /*  450866 */     // GIR_Coverage, 6503,
     /*  450866 */     GIR_EraseRootFromParent_Done,
     /*  450867 */   // Label 7760: @450867
     /*  450867 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(450953), // Rule ID 6506 //
     /*  450872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450919 */     // MIs[1] Operand 1
     /*  450919 */     // No operand predicates
     /*  450919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  450931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450951 */     GIR_RootConstrainSelectedInstOperands,
     /*  450952 */     // GIR_Coverage, 6506,
     /*  450952 */     GIR_EraseRootFromParent_Done,
     /*  450953 */   // Label 7761: @450953
     /*  450953 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(451039), // Rule ID 6507 //
     /*  450958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451005 */     // MIs[1] Operand 1
     /*  451005 */     // No operand predicates
     /*  451005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451014 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451037 */     GIR_RootConstrainSelectedInstOperands,
     /*  451038 */     // GIR_Coverage, 6507,
     /*  451038 */     GIR_EraseRootFromParent_Done,
     /*  451039 */   // Label 7762: @451039
     /*  451039 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(451125), // Rule ID 6510 //
     /*  451044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451091 */     // MIs[1] Operand 1
     /*  451091 */     // No operand predicates
     /*  451091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451100 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451123 */     GIR_RootConstrainSelectedInstOperands,
     /*  451124 */     // GIR_Coverage, 6510,
     /*  451124 */     GIR_EraseRootFromParent_Done,
     /*  451125 */   // Label 7763: @451125
     /*  451125 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(451211), // Rule ID 6511 //
     /*  451130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451177 */     // MIs[1] Operand 1
     /*  451177 */     // No operand predicates
     /*  451177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451209 */     GIR_RootConstrainSelectedInstOperands,
     /*  451210 */     // GIR_Coverage, 6511,
     /*  451210 */     GIR_EraseRootFromParent_Done,
     /*  451211 */   // Label 7764: @451211
     /*  451211 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(451297), // Rule ID 6514 //
     /*  451216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451263 */     // MIs[1] Operand 1
     /*  451263 */     // No operand predicates
     /*  451263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451295 */     GIR_RootConstrainSelectedInstOperands,
     /*  451296 */     // GIR_Coverage, 6514,
     /*  451296 */     GIR_EraseRootFromParent_Done,
     /*  451297 */   // Label 7765: @451297
     /*  451297 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(451383), // Rule ID 6515 //
     /*  451302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451349 */     // MIs[1] Operand 1
     /*  451349 */     // No operand predicates
     /*  451349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451381 */     GIR_RootConstrainSelectedInstOperands,
     /*  451382 */     // GIR_Coverage, 6515,
     /*  451382 */     GIR_EraseRootFromParent_Done,
     /*  451383 */   // Label 7766: @451383
     /*  451383 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(451469), // Rule ID 6518 //
     /*  451388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451435 */     // MIs[1] Operand 1
     /*  451435 */     // No operand predicates
     /*  451435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451467 */     GIR_RootConstrainSelectedInstOperands,
     /*  451468 */     // GIR_Coverage, 6518,
     /*  451468 */     GIR_EraseRootFromParent_Done,
     /*  451469 */   // Label 7767: @451469
     /*  451469 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(451555), // Rule ID 6519 //
     /*  451474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451521 */     // MIs[1] Operand 1
     /*  451521 */     // No operand predicates
     /*  451521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451553 */     GIR_RootConstrainSelectedInstOperands,
     /*  451554 */     // GIR_Coverage, 6519,
     /*  451554 */     GIR_EraseRootFromParent_Done,
     /*  451555 */   // Label 7768: @451555
     /*  451555 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(451641), // Rule ID 6522 //
     /*  451560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451607 */     // MIs[1] Operand 1
     /*  451607 */     // No operand predicates
     /*  451607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451639 */     GIR_RootConstrainSelectedInstOperands,
     /*  451640 */     // GIR_Coverage, 6522,
     /*  451640 */     GIR_EraseRootFromParent_Done,
     /*  451641 */   // Label 7769: @451641
     /*  451641 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(451727), // Rule ID 6523 //
     /*  451646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451693 */     // MIs[1] Operand 1
     /*  451693 */     // No operand predicates
     /*  451693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451725 */     GIR_RootConstrainSelectedInstOperands,
     /*  451726 */     // GIR_Coverage, 6523,
     /*  451726 */     GIR_EraseRootFromParent_Done,
     /*  451727 */   // Label 7770: @451727
     /*  451727 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(451813), // Rule ID 6526 //
     /*  451732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451779 */     // MIs[1] Operand 1
     /*  451779 */     // No operand predicates
     /*  451779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451811 */     GIR_RootConstrainSelectedInstOperands,
     /*  451812 */     // GIR_Coverage, 6526,
     /*  451812 */     GIR_EraseRootFromParent_Done,
     /*  451813 */   // Label 7771: @451813
     /*  451813 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(451899), // Rule ID 6527 //
     /*  451818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451865 */     // MIs[1] Operand 1
     /*  451865 */     // No operand predicates
     /*  451865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451897 */     GIR_RootConstrainSelectedInstOperands,
     /*  451898 */     // GIR_Coverage, 6527,
     /*  451898 */     GIR_EraseRootFromParent_Done,
     /*  451899 */   // Label 7772: @451899
     /*  451899 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(451985), // Rule ID 6530 //
     /*  451904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451951 */     // MIs[1] Operand 1
     /*  451951 */     // No operand predicates
     /*  451951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451960 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451983 */     GIR_RootConstrainSelectedInstOperands,
     /*  451984 */     // GIR_Coverage, 6530,
     /*  451984 */     GIR_EraseRootFromParent_Done,
     /*  451985 */   // Label 7773: @451985
     /*  451985 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(452071), // Rule ID 6531 //
     /*  451990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452037 */     // MIs[1] Operand 1
     /*  452037 */     // No operand predicates
     /*  452037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452069 */     GIR_RootConstrainSelectedInstOperands,
     /*  452070 */     // GIR_Coverage, 6531,
     /*  452070 */     GIR_EraseRootFromParent_Done,
     /*  452071 */   // Label 7774: @452071
     /*  452071 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(452157), // Rule ID 6534 //
     /*  452076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452123 */     // MIs[1] Operand 1
     /*  452123 */     // No operand predicates
     /*  452123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452155 */     GIR_RootConstrainSelectedInstOperands,
     /*  452156 */     // GIR_Coverage, 6534,
     /*  452156 */     GIR_EraseRootFromParent_Done,
     /*  452157 */   // Label 7775: @452157
     /*  452157 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(452243), // Rule ID 6535 //
     /*  452162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452209 */     // MIs[1] Operand 1
     /*  452209 */     // No operand predicates
     /*  452209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452241 */     GIR_RootConstrainSelectedInstOperands,
     /*  452242 */     // GIR_Coverage, 6535,
     /*  452242 */     GIR_EraseRootFromParent_Done,
     /*  452243 */   // Label 7776: @452243
     /*  452243 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(452329), // Rule ID 6538 //
     /*  452248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452295 */     // MIs[1] Operand 1
     /*  452295 */     // No operand predicates
     /*  452295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452327 */     GIR_RootConstrainSelectedInstOperands,
     /*  452328 */     // GIR_Coverage, 6538,
     /*  452328 */     GIR_EraseRootFromParent_Done,
     /*  452329 */   // Label 7777: @452329
     /*  452329 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(452415), // Rule ID 6539 //
     /*  452334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452381 */     // MIs[1] Operand 1
     /*  452381 */     // No operand predicates
     /*  452381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452413 */     GIR_RootConstrainSelectedInstOperands,
     /*  452414 */     // GIR_Coverage, 6539,
     /*  452414 */     GIR_EraseRootFromParent_Done,
     /*  452415 */   // Label 7778: @452415
     /*  452415 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(452501), // Rule ID 6542 //
     /*  452420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452467 */     // MIs[1] Operand 1
     /*  452467 */     // No operand predicates
     /*  452467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452499 */     GIR_RootConstrainSelectedInstOperands,
     /*  452500 */     // GIR_Coverage, 6542,
     /*  452500 */     GIR_EraseRootFromParent_Done,
     /*  452501 */   // Label 7779: @452501
     /*  452501 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(452587), // Rule ID 6543 //
     /*  452506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452553 */     // MIs[1] Operand 1
     /*  452553 */     // No operand predicates
     /*  452553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452585 */     GIR_RootConstrainSelectedInstOperands,
     /*  452586 */     // GIR_Coverage, 6543,
     /*  452586 */     GIR_EraseRootFromParent_Done,
     /*  452587 */   // Label 7780: @452587
     /*  452587 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(452673), // Rule ID 6546 //
     /*  452592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452639 */     // MIs[1] Operand 1
     /*  452639 */     // No operand predicates
     /*  452639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452671 */     GIR_RootConstrainSelectedInstOperands,
     /*  452672 */     // GIR_Coverage, 6546,
     /*  452672 */     GIR_EraseRootFromParent_Done,
     /*  452673 */   // Label 7781: @452673
     /*  452673 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(452759), // Rule ID 6547 //
     /*  452678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452725 */     // MIs[1] Operand 1
     /*  452725 */     // No operand predicates
     /*  452725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452757 */     GIR_RootConstrainSelectedInstOperands,
     /*  452758 */     // GIR_Coverage, 6547,
     /*  452758 */     GIR_EraseRootFromParent_Done,
     /*  452759 */   // Label 7782: @452759
     /*  452759 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(452845), // Rule ID 6550 //
     /*  452764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452811 */     // MIs[1] Operand 1
     /*  452811 */     // No operand predicates
     /*  452811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452820 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452843 */     GIR_RootConstrainSelectedInstOperands,
     /*  452844 */     // GIR_Coverage, 6550,
     /*  452844 */     GIR_EraseRootFromParent_Done,
     /*  452845 */   // Label 7783: @452845
     /*  452845 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(452931), // Rule ID 6551 //
     /*  452850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452897 */     // MIs[1] Operand 1
     /*  452897 */     // No operand predicates
     /*  452897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452929 */     GIR_RootConstrainSelectedInstOperands,
     /*  452930 */     // GIR_Coverage, 6551,
     /*  452930 */     GIR_EraseRootFromParent_Done,
     /*  452931 */   // Label 7784: @452931
     /*  452931 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(453017), // Rule ID 6730 //
     /*  452936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452983 */     // MIs[1] Operand 1
     /*  452983 */     // No operand predicates
     /*  452983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  452995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453015 */     GIR_RootConstrainSelectedInstOperands,
     /*  453016 */     // GIR_Coverage, 6730,
     /*  453016 */     GIR_EraseRootFromParent_Done,
     /*  453017 */   // Label 7785: @453017
     /*  453017 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(453103), // Rule ID 6731 //
     /*  453022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453069 */     // MIs[1] Operand 1
     /*  453069 */     // No operand predicates
     /*  453069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  453081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453101 */     GIR_RootConstrainSelectedInstOperands,
     /*  453102 */     // GIR_Coverage, 6731,
     /*  453102 */     GIR_EraseRootFromParent_Done,
     /*  453103 */   // Label 7786: @453103
     /*  453103 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(453189), // Rule ID 6734 //
     /*  453108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453155 */     // MIs[1] Operand 1
     /*  453155 */     // No operand predicates
     /*  453155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453187 */     GIR_RootConstrainSelectedInstOperands,
     /*  453188 */     // GIR_Coverage, 6734,
     /*  453188 */     GIR_EraseRootFromParent_Done,
     /*  453189 */   // Label 7787: @453189
     /*  453189 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(453275), // Rule ID 6735 //
     /*  453194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453241 */     // MIs[1] Operand 1
     /*  453241 */     // No operand predicates
     /*  453241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453273 */     GIR_RootConstrainSelectedInstOperands,
     /*  453274 */     // GIR_Coverage, 6735,
     /*  453274 */     GIR_EraseRootFromParent_Done,
     /*  453275 */   // Label 7788: @453275
     /*  453275 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(453361), // Rule ID 6738 //
     /*  453280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453327 */     // MIs[1] Operand 1
     /*  453327 */     // No operand predicates
     /*  453327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453359 */     GIR_RootConstrainSelectedInstOperands,
     /*  453360 */     // GIR_Coverage, 6738,
     /*  453360 */     GIR_EraseRootFromParent_Done,
     /*  453361 */   // Label 7789: @453361
     /*  453361 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(453447), // Rule ID 6739 //
     /*  453366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453413 */     // MIs[1] Operand 1
     /*  453413 */     // No operand predicates
     /*  453413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453422 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453445 */     GIR_RootConstrainSelectedInstOperands,
     /*  453446 */     // GIR_Coverage, 6739,
     /*  453446 */     GIR_EraseRootFromParent_Done,
     /*  453447 */   // Label 7790: @453447
     /*  453447 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(453533), // Rule ID 6742 //
     /*  453452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453499 */     // MIs[1] Operand 1
     /*  453499 */     // No operand predicates
     /*  453499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453531 */     GIR_RootConstrainSelectedInstOperands,
     /*  453532 */     // GIR_Coverage, 6742,
     /*  453532 */     GIR_EraseRootFromParent_Done,
     /*  453533 */   // Label 7791: @453533
     /*  453533 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(453619), // Rule ID 6743 //
     /*  453538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453585 */     // MIs[1] Operand 1
     /*  453585 */     // No operand predicates
     /*  453585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453617 */     GIR_RootConstrainSelectedInstOperands,
     /*  453618 */     // GIR_Coverage, 6743,
     /*  453618 */     GIR_EraseRootFromParent_Done,
     /*  453619 */   // Label 7792: @453619
     /*  453619 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(453705), // Rule ID 6746 //
     /*  453624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453671 */     // MIs[1] Operand 1
     /*  453671 */     // No operand predicates
     /*  453671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453703 */     GIR_RootConstrainSelectedInstOperands,
     /*  453704 */     // GIR_Coverage, 6746,
     /*  453704 */     GIR_EraseRootFromParent_Done,
     /*  453705 */   // Label 7793: @453705
     /*  453705 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(453791), // Rule ID 6747 //
     /*  453710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453757 */     // MIs[1] Operand 1
     /*  453757 */     // No operand predicates
     /*  453757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453789 */     GIR_RootConstrainSelectedInstOperands,
     /*  453790 */     // GIR_Coverage, 6747,
     /*  453790 */     GIR_EraseRootFromParent_Done,
     /*  453791 */   // Label 7794: @453791
     /*  453791 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(453877), // Rule ID 6750 //
     /*  453796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453843 */     // MIs[1] Operand 1
     /*  453843 */     // No operand predicates
     /*  453843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453875 */     GIR_RootConstrainSelectedInstOperands,
     /*  453876 */     // GIR_Coverage, 6750,
     /*  453876 */     GIR_EraseRootFromParent_Done,
     /*  453877 */   // Label 7795: @453877
     /*  453877 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(453963), // Rule ID 6751 //
     /*  453882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453929 */     // MIs[1] Operand 1
     /*  453929 */     // No operand predicates
     /*  453929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453938 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453961 */     GIR_RootConstrainSelectedInstOperands,
     /*  453962 */     // GIR_Coverage, 6751,
     /*  453962 */     GIR_EraseRootFromParent_Done,
     /*  453963 */   // Label 7796: @453963
     /*  453963 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(454049), // Rule ID 6754 //
     /*  453968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454015 */     // MIs[1] Operand 1
     /*  454015 */     // No operand predicates
     /*  454015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454047 */     GIR_RootConstrainSelectedInstOperands,
     /*  454048 */     // GIR_Coverage, 6754,
     /*  454048 */     GIR_EraseRootFromParent_Done,
     /*  454049 */   // Label 7797: @454049
     /*  454049 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(454135), // Rule ID 6755 //
     /*  454054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  454071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454101 */     // MIs[1] Operand 1
     /*  454101 */     // No operand predicates
     /*  454101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454110 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454133 */     GIR_RootConstrainSelectedInstOperands,
     /*  454134 */     // GIR_Coverage, 6755,
     /*  454134 */     GIR_EraseRootFromParent_Done,
     /*  454135 */   // Label 7798: @454135
     /*  454135 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(454221), // Rule ID 6758 //
     /*  454140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454187 */     // MIs[1] Operand 1
     /*  454187 */     // No operand predicates
     /*  454187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454219 */     GIR_RootConstrainSelectedInstOperands,
     /*  454220 */     // GIR_Coverage, 6758,
     /*  454220 */     GIR_EraseRootFromParent_Done,
     /*  454221 */   // Label 7799: @454221
     /*  454221 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(454307), // Rule ID 6759 //
     /*  454226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454273 */     // MIs[1] Operand 1
     /*  454273 */     // No operand predicates
     /*  454273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454305 */     GIR_RootConstrainSelectedInstOperands,
     /*  454306 */     // GIR_Coverage, 6759,
     /*  454306 */     GIR_EraseRootFromParent_Done,
     /*  454307 */   // Label 7800: @454307
     /*  454307 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(454393), // Rule ID 6762 //
     /*  454312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454359 */     // MIs[1] Operand 1
     /*  454359 */     // No operand predicates
     /*  454359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454391 */     GIR_RootConstrainSelectedInstOperands,
     /*  454392 */     // GIR_Coverage, 6762,
     /*  454392 */     GIR_EraseRootFromParent_Done,
     /*  454393 */   // Label 7801: @454393
     /*  454393 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(454479), // Rule ID 6763 //
     /*  454398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454445 */     // MIs[1] Operand 1
     /*  454445 */     // No operand predicates
     /*  454445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454477 */     GIR_RootConstrainSelectedInstOperands,
     /*  454478 */     // GIR_Coverage, 6763,
     /*  454478 */     GIR_EraseRootFromParent_Done,
     /*  454479 */   // Label 7802: @454479
     /*  454479 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(454565), // Rule ID 6766 //
     /*  454484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454531 */     // MIs[1] Operand 1
     /*  454531 */     // No operand predicates
     /*  454531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454563 */     GIR_RootConstrainSelectedInstOperands,
     /*  454564 */     // GIR_Coverage, 6766,
     /*  454564 */     GIR_EraseRootFromParent_Done,
     /*  454565 */   // Label 7803: @454565
     /*  454565 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(454651), // Rule ID 6767 //
     /*  454570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454617 */     // MIs[1] Operand 1
     /*  454617 */     // No operand predicates
     /*  454617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454649 */     GIR_RootConstrainSelectedInstOperands,
     /*  454650 */     // GIR_Coverage, 6767,
     /*  454650 */     GIR_EraseRootFromParent_Done,
     /*  454651 */   // Label 7804: @454651
     /*  454651 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(454737), // Rule ID 6770 //
     /*  454656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454703 */     // MIs[1] Operand 1
     /*  454703 */     // No operand predicates
     /*  454703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  454715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454735 */     GIR_RootConstrainSelectedInstOperands,
     /*  454736 */     // GIR_Coverage, 6770,
     /*  454736 */     GIR_EraseRootFromParent_Done,
     /*  454737 */   // Label 7805: @454737
     /*  454737 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(454823), // Rule ID 6771 //
     /*  454742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454789 */     // MIs[1] Operand 1
     /*  454789 */     // No operand predicates
     /*  454789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  454801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454821 */     GIR_RootConstrainSelectedInstOperands,
     /*  454822 */     // GIR_Coverage, 6771,
     /*  454822 */     GIR_EraseRootFromParent_Done,
     /*  454823 */   // Label 7806: @454823
     /*  454823 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(454909), // Rule ID 6774 //
     /*  454828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454875 */     // MIs[1] Operand 1
     /*  454875 */     // No operand predicates
     /*  454875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  454887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454907 */     GIR_RootConstrainSelectedInstOperands,
     /*  454908 */     // GIR_Coverage, 6774,
     /*  454908 */     GIR_EraseRootFromParent_Done,
     /*  454909 */   // Label 7807: @454909
     /*  454909 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(454995), // Rule ID 6775 //
     /*  454914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454961 */     // MIs[1] Operand 1
     /*  454961 */     // No operand predicates
     /*  454961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454970 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  454973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454993 */     GIR_RootConstrainSelectedInstOperands,
     /*  454994 */     // GIR_Coverage, 6775,
     /*  454994 */     GIR_EraseRootFromParent_Done,
     /*  454995 */   // Label 7808: @454995
     /*  454995 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(455081), // Rule ID 6778 //
     /*  455000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455047 */     // MIs[1] Operand 1
     /*  455047 */     // No operand predicates
     /*  455047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455079 */     GIR_RootConstrainSelectedInstOperands,
     /*  455080 */     // GIR_Coverage, 6778,
     /*  455080 */     GIR_EraseRootFromParent_Done,
     /*  455081 */   // Label 7809: @455081
     /*  455081 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(455167), // Rule ID 6779 //
     /*  455086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455133 */     // MIs[1] Operand 1
     /*  455133 */     // No operand predicates
     /*  455133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455142 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455165 */     GIR_RootConstrainSelectedInstOperands,
     /*  455166 */     // GIR_Coverage, 6779,
     /*  455166 */     GIR_EraseRootFromParent_Done,
     /*  455167 */   // Label 7810: @455167
     /*  455167 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(455253), // Rule ID 6782 //
     /*  455172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455219 */     // MIs[1] Operand 1
     /*  455219 */     // No operand predicates
     /*  455219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455251 */     GIR_RootConstrainSelectedInstOperands,
     /*  455252 */     // GIR_Coverage, 6782,
     /*  455252 */     GIR_EraseRootFromParent_Done,
     /*  455253 */   // Label 7811: @455253
     /*  455253 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(455339), // Rule ID 6783 //
     /*  455258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455305 */     // MIs[1] Operand 1
     /*  455305 */     // No operand predicates
     /*  455305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455314 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455337 */     GIR_RootConstrainSelectedInstOperands,
     /*  455338 */     // GIR_Coverage, 6783,
     /*  455338 */     GIR_EraseRootFromParent_Done,
     /*  455339 */   // Label 7812: @455339
     /*  455339 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(455425), // Rule ID 6786 //
     /*  455344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455391 */     // MIs[1] Operand 1
     /*  455391 */     // No operand predicates
     /*  455391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455400 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455423 */     GIR_RootConstrainSelectedInstOperands,
     /*  455424 */     // GIR_Coverage, 6786,
     /*  455424 */     GIR_EraseRootFromParent_Done,
     /*  455425 */   // Label 7813: @455425
     /*  455425 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(455511), // Rule ID 6787 //
     /*  455430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455477 */     // MIs[1] Operand 1
     /*  455477 */     // No operand predicates
     /*  455477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455509 */     GIR_RootConstrainSelectedInstOperands,
     /*  455510 */     // GIR_Coverage, 6787,
     /*  455510 */     GIR_EraseRootFromParent_Done,
     /*  455511 */   // Label 7814: @455511
     /*  455511 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(455597), // Rule ID 6790 //
     /*  455516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455563 */     // MIs[1] Operand 1
     /*  455563 */     // No operand predicates
     /*  455563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455595 */     GIR_RootConstrainSelectedInstOperands,
     /*  455596 */     // GIR_Coverage, 6790,
     /*  455596 */     GIR_EraseRootFromParent_Done,
     /*  455597 */   // Label 7815: @455597
     /*  455597 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(455683), // Rule ID 6791 //
     /*  455602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455649 */     // MIs[1] Operand 1
     /*  455649 */     // No operand predicates
     /*  455649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455681 */     GIR_RootConstrainSelectedInstOperands,
     /*  455682 */     // GIR_Coverage, 6791,
     /*  455682 */     GIR_EraseRootFromParent_Done,
     /*  455683 */   // Label 7816: @455683
     /*  455683 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(455769), // Rule ID 6794 //
     /*  455688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455735 */     // MIs[1] Operand 1
     /*  455735 */     // No operand predicates
     /*  455735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455767 */     GIR_RootConstrainSelectedInstOperands,
     /*  455768 */     // GIR_Coverage, 6794,
     /*  455768 */     GIR_EraseRootFromParent_Done,
     /*  455769 */   // Label 7817: @455769
     /*  455769 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(455855), // Rule ID 6795 //
     /*  455774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455821 */     // MIs[1] Operand 1
     /*  455821 */     // No operand predicates
     /*  455821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455853 */     GIR_RootConstrainSelectedInstOperands,
     /*  455854 */     // GIR_Coverage, 6795,
     /*  455854 */     GIR_EraseRootFromParent_Done,
     /*  455855 */   // Label 7818: @455855
     /*  455855 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(455941), // Rule ID 6798 //
     /*  455860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455907 */     // MIs[1] Operand 1
     /*  455907 */     // No operand predicates
     /*  455907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455916 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455939 */     GIR_RootConstrainSelectedInstOperands,
     /*  455940 */     // GIR_Coverage, 6798,
     /*  455940 */     GIR_EraseRootFromParent_Done,
     /*  455941 */   // Label 7819: @455941
     /*  455941 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(456027), // Rule ID 6799 //
     /*  455946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455993 */     // MIs[1] Operand 1
     /*  455993 */     // No operand predicates
     /*  455993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456025 */     GIR_RootConstrainSelectedInstOperands,
     /*  456026 */     // GIR_Coverage, 6799,
     /*  456026 */     GIR_EraseRootFromParent_Done,
     /*  456027 */   // Label 7820: @456027
     /*  456027 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(456113), // Rule ID 6802 //
     /*  456032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456079 */     // MIs[1] Operand 1
     /*  456079 */     // No operand predicates
     /*  456079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456111 */     GIR_RootConstrainSelectedInstOperands,
     /*  456112 */     // GIR_Coverage, 6802,
     /*  456112 */     GIR_EraseRootFromParent_Done,
     /*  456113 */   // Label 7821: @456113
     /*  456113 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(456199), // Rule ID 6803 //
     /*  456118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456165 */     // MIs[1] Operand 1
     /*  456165 */     // No operand predicates
     /*  456165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456197 */     GIR_RootConstrainSelectedInstOperands,
     /*  456198 */     // GIR_Coverage, 6803,
     /*  456198 */     GIR_EraseRootFromParent_Done,
     /*  456199 */   // Label 7822: @456199
     /*  456199 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(456285), // Rule ID 6806 //
     /*  456204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456251 */     // MIs[1] Operand 1
     /*  456251 */     // No operand predicates
     /*  456251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456283 */     GIR_RootConstrainSelectedInstOperands,
     /*  456284 */     // GIR_Coverage, 6806,
     /*  456284 */     GIR_EraseRootFromParent_Done,
     /*  456285 */   // Label 7823: @456285
     /*  456285 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(456371), // Rule ID 6807 //
     /*  456290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456337 */     // MIs[1] Operand 1
     /*  456337 */     // No operand predicates
     /*  456337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456369 */     GIR_RootConstrainSelectedInstOperands,
     /*  456370 */     // GIR_Coverage, 6807,
     /*  456370 */     GIR_EraseRootFromParent_Done,
     /*  456371 */   // Label 7824: @456371
     /*  456371 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(456457), // Rule ID 6810 //
     /*  456376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456423 */     // MIs[1] Operand 1
     /*  456423 */     // No operand predicates
     /*  456423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456455 */     GIR_RootConstrainSelectedInstOperands,
     /*  456456 */     // GIR_Coverage, 6810,
     /*  456456 */     GIR_EraseRootFromParent_Done,
     /*  456457 */   // Label 7825: @456457
     /*  456457 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(456543), // Rule ID 6811 //
     /*  456462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456509 */     // MIs[1] Operand 1
     /*  456509 */     // No operand predicates
     /*  456509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456541 */     GIR_RootConstrainSelectedInstOperands,
     /*  456542 */     // GIR_Coverage, 6811,
     /*  456542 */     GIR_EraseRootFromParent_Done,
     /*  456543 */   // Label 7826: @456543
     /*  456543 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(456629), // Rule ID 6814 //
     /*  456548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456595 */     // MIs[1] Operand 1
     /*  456595 */     // No operand predicates
     /*  456595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456627 */     GIR_RootConstrainSelectedInstOperands,
     /*  456628 */     // GIR_Coverage, 6814,
     /*  456628 */     GIR_EraseRootFromParent_Done,
     /*  456629 */   // Label 7827: @456629
     /*  456629 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(456715), // Rule ID 6815 //
     /*  456634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456681 */     // MIs[1] Operand 1
     /*  456681 */     // No operand predicates
     /*  456681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456713 */     GIR_RootConstrainSelectedInstOperands,
     /*  456714 */     // GIR_Coverage, 6815,
     /*  456714 */     GIR_EraseRootFromParent_Done,
     /*  456715 */   // Label 7828: @456715
     /*  456715 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(456801), // Rule ID 6994 //
     /*  456720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456767 */     // MIs[1] Operand 1
     /*  456767 */     // No operand predicates
     /*  456767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  456779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456799 */     GIR_RootConstrainSelectedInstOperands,
     /*  456800 */     // GIR_Coverage, 6994,
     /*  456800 */     GIR_EraseRootFromParent_Done,
     /*  456801 */   // Label 7829: @456801
     /*  456801 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(456887), // Rule ID 6995 //
     /*  456806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456853 */     // MIs[1] Operand 1
     /*  456853 */     // No operand predicates
     /*  456853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456862 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  456865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456885 */     GIR_RootConstrainSelectedInstOperands,
     /*  456886 */     // GIR_Coverage, 6995,
     /*  456886 */     GIR_EraseRootFromParent_Done,
     /*  456887 */   // Label 7830: @456887
     /*  456887 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(456973), // Rule ID 6998 //
     /*  456892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456939 */     // MIs[1] Operand 1
     /*  456939 */     // No operand predicates
     /*  456939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  456951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456971 */     GIR_RootConstrainSelectedInstOperands,
     /*  456972 */     // GIR_Coverage, 6998,
     /*  456972 */     GIR_EraseRootFromParent_Done,
     /*  456973 */   // Label 7831: @456973
     /*  456973 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(457059), // Rule ID 6999 //
     /*  456978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457025 */     // MIs[1] Operand 1
     /*  457025 */     // No operand predicates
     /*  457025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457057 */     GIR_RootConstrainSelectedInstOperands,
     /*  457058 */     // GIR_Coverage, 6999,
     /*  457058 */     GIR_EraseRootFromParent_Done,
     /*  457059 */   // Label 7832: @457059
     /*  457059 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(457145), // Rule ID 7002 //
     /*  457064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457111 */     // MIs[1] Operand 1
     /*  457111 */     // No operand predicates
     /*  457111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457120 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457143 */     GIR_RootConstrainSelectedInstOperands,
     /*  457144 */     // GIR_Coverage, 7002,
     /*  457144 */     GIR_EraseRootFromParent_Done,
     /*  457145 */   // Label 7833: @457145
     /*  457145 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(457231), // Rule ID 7003 //
     /*  457150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457197 */     // MIs[1] Operand 1
     /*  457197 */     // No operand predicates
     /*  457197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457206 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457229 */     GIR_RootConstrainSelectedInstOperands,
     /*  457230 */     // GIR_Coverage, 7003,
     /*  457230 */     GIR_EraseRootFromParent_Done,
     /*  457231 */   // Label 7834: @457231
     /*  457231 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(457317), // Rule ID 7006 //
     /*  457236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457283 */     // MIs[1] Operand 1
     /*  457283 */     // No operand predicates
     /*  457283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457315 */     GIR_RootConstrainSelectedInstOperands,
     /*  457316 */     // GIR_Coverage, 7006,
     /*  457316 */     GIR_EraseRootFromParent_Done,
     /*  457317 */   // Label 7835: @457317
     /*  457317 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(457403), // Rule ID 7007 //
     /*  457322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457369 */     // MIs[1] Operand 1
     /*  457369 */     // No operand predicates
     /*  457369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457401 */     GIR_RootConstrainSelectedInstOperands,
     /*  457402 */     // GIR_Coverage, 7007,
     /*  457402 */     GIR_EraseRootFromParent_Done,
     /*  457403 */   // Label 7836: @457403
     /*  457403 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(457489), // Rule ID 7010 //
     /*  457408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457455 */     // MIs[1] Operand 1
     /*  457455 */     // No operand predicates
     /*  457455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457487 */     GIR_RootConstrainSelectedInstOperands,
     /*  457488 */     // GIR_Coverage, 7010,
     /*  457488 */     GIR_EraseRootFromParent_Done,
     /*  457489 */   // Label 7837: @457489
     /*  457489 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(457575), // Rule ID 7011 //
     /*  457494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457541 */     // MIs[1] Operand 1
     /*  457541 */     // No operand predicates
     /*  457541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457573 */     GIR_RootConstrainSelectedInstOperands,
     /*  457574 */     // GIR_Coverage, 7011,
     /*  457574 */     GIR_EraseRootFromParent_Done,
     /*  457575 */   // Label 7838: @457575
     /*  457575 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(457661), // Rule ID 7014 //
     /*  457580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457627 */     // MIs[1] Operand 1
     /*  457627 */     // No operand predicates
     /*  457627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457659 */     GIR_RootConstrainSelectedInstOperands,
     /*  457660 */     // GIR_Coverage, 7014,
     /*  457660 */     GIR_EraseRootFromParent_Done,
     /*  457661 */   // Label 7839: @457661
     /*  457661 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(457747), // Rule ID 7015 //
     /*  457666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457713 */     // MIs[1] Operand 1
     /*  457713 */     // No operand predicates
     /*  457713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457745 */     GIR_RootConstrainSelectedInstOperands,
     /*  457746 */     // GIR_Coverage, 7015,
     /*  457746 */     GIR_EraseRootFromParent_Done,
     /*  457747 */   // Label 7840: @457747
     /*  457747 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(457833), // Rule ID 7018 //
     /*  457752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457799 */     // MIs[1] Operand 1
     /*  457799 */     // No operand predicates
     /*  457799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457831 */     GIR_RootConstrainSelectedInstOperands,
     /*  457832 */     // GIR_Coverage, 7018,
     /*  457832 */     GIR_EraseRootFromParent_Done,
     /*  457833 */   // Label 7841: @457833
     /*  457833 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(457919), // Rule ID 7019 //
     /*  457838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457885 */     // MIs[1] Operand 1
     /*  457885 */     // No operand predicates
     /*  457885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457894 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457917 */     GIR_RootConstrainSelectedInstOperands,
     /*  457918 */     // GIR_Coverage, 7019,
     /*  457918 */     GIR_EraseRootFromParent_Done,
     /*  457919 */   // Label 7842: @457919
     /*  457919 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(458005), // Rule ID 7022 //
     /*  457924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457971 */     // MIs[1] Operand 1
     /*  457971 */     // No operand predicates
     /*  457971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458003 */     GIR_RootConstrainSelectedInstOperands,
     /*  458004 */     // GIR_Coverage, 7022,
     /*  458004 */     GIR_EraseRootFromParent_Done,
     /*  458005 */   // Label 7843: @458005
     /*  458005 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(458091), // Rule ID 7023 //
     /*  458010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458057 */     // MIs[1] Operand 1
     /*  458057 */     // No operand predicates
     /*  458057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458089 */     GIR_RootConstrainSelectedInstOperands,
     /*  458090 */     // GIR_Coverage, 7023,
     /*  458090 */     GIR_EraseRootFromParent_Done,
     /*  458091 */   // Label 7844: @458091
     /*  458091 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(458177), // Rule ID 7026 //
     /*  458096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458143 */     // MIs[1] Operand 1
     /*  458143 */     // No operand predicates
     /*  458143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458175 */     GIR_RootConstrainSelectedInstOperands,
     /*  458176 */     // GIR_Coverage, 7026,
     /*  458176 */     GIR_EraseRootFromParent_Done,
     /*  458177 */   // Label 7845: @458177
     /*  458177 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(458263), // Rule ID 7027 //
     /*  458182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458229 */     // MIs[1] Operand 1
     /*  458229 */     // No operand predicates
     /*  458229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458238 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458261 */     GIR_RootConstrainSelectedInstOperands,
     /*  458262 */     // GIR_Coverage, 7027,
     /*  458262 */     GIR_EraseRootFromParent_Done,
     /*  458263 */   // Label 7846: @458263
     /*  458263 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(458349), // Rule ID 7030 //
     /*  458268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458315 */     // MIs[1] Operand 1
     /*  458315 */     // No operand predicates
     /*  458315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458347 */     GIR_RootConstrainSelectedInstOperands,
     /*  458348 */     // GIR_Coverage, 7030,
     /*  458348 */     GIR_EraseRootFromParent_Done,
     /*  458349 */   // Label 7847: @458349
     /*  458349 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(458435), // Rule ID 7031 //
     /*  458354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458401 */     // MIs[1] Operand 1
     /*  458401 */     // No operand predicates
     /*  458401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458433 */     GIR_RootConstrainSelectedInstOperands,
     /*  458434 */     // GIR_Coverage, 7031,
     /*  458434 */     GIR_EraseRootFromParent_Done,
     /*  458435 */   // Label 7848: @458435
     /*  458435 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(458521), // Rule ID 7034 //
     /*  458440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458487 */     // MIs[1] Operand 1
     /*  458487 */     // No operand predicates
     /*  458487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458519 */     GIR_RootConstrainSelectedInstOperands,
     /*  458520 */     // GIR_Coverage, 7034,
     /*  458520 */     GIR_EraseRootFromParent_Done,
     /*  458521 */   // Label 7849: @458521
     /*  458521 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(458607), // Rule ID 7035 //
     /*  458526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458573 */     // MIs[1] Operand 1
     /*  458573 */     // No operand predicates
     /*  458573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458582 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458605 */     GIR_RootConstrainSelectedInstOperands,
     /*  458606 */     // GIR_Coverage, 7035,
     /*  458606 */     GIR_EraseRootFromParent_Done,
     /*  458607 */   // Label 7850: @458607
     /*  458607 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(458693), // Rule ID 7038 //
     /*  458612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458659 */     // MIs[1] Operand 1
     /*  458659 */     // No operand predicates
     /*  458659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  458671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458691 */     GIR_RootConstrainSelectedInstOperands,
     /*  458692 */     // GIR_Coverage, 7038,
     /*  458692 */     GIR_EraseRootFromParent_Done,
     /*  458693 */   // Label 7851: @458693
     /*  458693 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(458779), // Rule ID 7039 //
     /*  458698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458745 */     // MIs[1] Operand 1
     /*  458745 */     // No operand predicates
     /*  458745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458754 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  458757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458777 */     GIR_RootConstrainSelectedInstOperands,
     /*  458778 */     // GIR_Coverage, 7039,
     /*  458778 */     GIR_EraseRootFromParent_Done,
     /*  458779 */   // Label 7852: @458779
     /*  458779 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(458865), // Rule ID 7042 //
     /*  458784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458831 */     // MIs[1] Operand 1
     /*  458831 */     // No operand predicates
     /*  458831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458840 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  458843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458863 */     GIR_RootConstrainSelectedInstOperands,
     /*  458864 */     // GIR_Coverage, 7042,
     /*  458864 */     GIR_EraseRootFromParent_Done,
     /*  458865 */   // Label 7853: @458865
     /*  458865 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(458951), // Rule ID 7043 //
     /*  458870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458917 */     // MIs[1] Operand 1
     /*  458917 */     // No operand predicates
     /*  458917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458926 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  458929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458949 */     GIR_RootConstrainSelectedInstOperands,
     /*  458950 */     // GIR_Coverage, 7043,
     /*  458950 */     GIR_EraseRootFromParent_Done,
     /*  458951 */   // Label 7854: @458951
     /*  458951 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(459037), // Rule ID 7046 //
     /*  458956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459003 */     // MIs[1] Operand 1
     /*  459003 */     // No operand predicates
     /*  459003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459012 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459035 */     GIR_RootConstrainSelectedInstOperands,
     /*  459036 */     // GIR_Coverage, 7046,
     /*  459036 */     GIR_EraseRootFromParent_Done,
     /*  459037 */   // Label 7855: @459037
     /*  459037 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(459123), // Rule ID 7047 //
     /*  459042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459089 */     // MIs[1] Operand 1
     /*  459089 */     // No operand predicates
     /*  459089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459121 */     GIR_RootConstrainSelectedInstOperands,
     /*  459122 */     // GIR_Coverage, 7047,
     /*  459122 */     GIR_EraseRootFromParent_Done,
     /*  459123 */   // Label 7856: @459123
     /*  459123 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(459209), // Rule ID 7050 //
     /*  459128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459175 */     // MIs[1] Operand 1
     /*  459175 */     // No operand predicates
     /*  459175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459184 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459207 */     GIR_RootConstrainSelectedInstOperands,
     /*  459208 */     // GIR_Coverage, 7050,
     /*  459208 */     GIR_EraseRootFromParent_Done,
     /*  459209 */   // Label 7857: @459209
     /*  459209 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(459295), // Rule ID 7051 //
     /*  459214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459261 */     // MIs[1] Operand 1
     /*  459261 */     // No operand predicates
     /*  459261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459270 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459293 */     GIR_RootConstrainSelectedInstOperands,
     /*  459294 */     // GIR_Coverage, 7051,
     /*  459294 */     GIR_EraseRootFromParent_Done,
     /*  459295 */   // Label 7858: @459295
     /*  459295 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(459381), // Rule ID 7054 //
     /*  459300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459347 */     // MIs[1] Operand 1
     /*  459347 */     // No operand predicates
     /*  459347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459379 */     GIR_RootConstrainSelectedInstOperands,
     /*  459380 */     // GIR_Coverage, 7054,
     /*  459380 */     GIR_EraseRootFromParent_Done,
     /*  459381 */   // Label 7859: @459381
     /*  459381 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(459467), // Rule ID 7055 //
     /*  459386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459433 */     // MIs[1] Operand 1
     /*  459433 */     // No operand predicates
     /*  459433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459465 */     GIR_RootConstrainSelectedInstOperands,
     /*  459466 */     // GIR_Coverage, 7055,
     /*  459466 */     GIR_EraseRootFromParent_Done,
     /*  459467 */   // Label 7860: @459467
     /*  459467 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(459553), // Rule ID 7058 //
     /*  459472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459519 */     // MIs[1] Operand 1
     /*  459519 */     // No operand predicates
     /*  459519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459551 */     GIR_RootConstrainSelectedInstOperands,
     /*  459552 */     // GIR_Coverage, 7058,
     /*  459552 */     GIR_EraseRootFromParent_Done,
     /*  459553 */   // Label 7861: @459553
     /*  459553 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(459639), // Rule ID 7059 //
     /*  459558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459605 */     // MIs[1] Operand 1
     /*  459605 */     // No operand predicates
     /*  459605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459637 */     GIR_RootConstrainSelectedInstOperands,
     /*  459638 */     // GIR_Coverage, 7059,
     /*  459638 */     GIR_EraseRootFromParent_Done,
     /*  459639 */   // Label 7862: @459639
     /*  459639 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(459725), // Rule ID 7062 //
     /*  459644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459691 */     // MIs[1] Operand 1
     /*  459691 */     // No operand predicates
     /*  459691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459723 */     GIR_RootConstrainSelectedInstOperands,
     /*  459724 */     // GIR_Coverage, 7062,
     /*  459724 */     GIR_EraseRootFromParent_Done,
     /*  459725 */   // Label 7863: @459725
     /*  459725 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(459811), // Rule ID 7063 //
     /*  459730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459777 */     // MIs[1] Operand 1
     /*  459777 */     // No operand predicates
     /*  459777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459809 */     GIR_RootConstrainSelectedInstOperands,
     /*  459810 */     // GIR_Coverage, 7063,
     /*  459810 */     GIR_EraseRootFromParent_Done,
     /*  459811 */   // Label 7864: @459811
     /*  459811 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(459897), // Rule ID 7066 //
     /*  459816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459863 */     // MIs[1] Operand 1
     /*  459863 */     // No operand predicates
     /*  459863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459895 */     GIR_RootConstrainSelectedInstOperands,
     /*  459896 */     // GIR_Coverage, 7066,
     /*  459896 */     GIR_EraseRootFromParent_Done,
     /*  459897 */   // Label 7865: @459897
     /*  459897 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(459983), // Rule ID 7067 //
     /*  459902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459949 */     // MIs[1] Operand 1
     /*  459949 */     // No operand predicates
     /*  459949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459981 */     GIR_RootConstrainSelectedInstOperands,
     /*  459982 */     // GIR_Coverage, 7067,
     /*  459982 */     GIR_EraseRootFromParent_Done,
     /*  459983 */   // Label 7866: @459983
     /*  459983 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(460069), // Rule ID 7070 //
     /*  459988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460035 */     // MIs[1] Operand 1
     /*  460035 */     // No operand predicates
     /*  460035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460067 */     GIR_RootConstrainSelectedInstOperands,
     /*  460068 */     // GIR_Coverage, 7070,
     /*  460068 */     GIR_EraseRootFromParent_Done,
     /*  460069 */   // Label 7867: @460069
     /*  460069 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(460155), // Rule ID 7071 //
     /*  460074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460121 */     // MIs[1] Operand 1
     /*  460121 */     // No operand predicates
     /*  460121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460153 */     GIR_RootConstrainSelectedInstOperands,
     /*  460154 */     // GIR_Coverage, 7071,
     /*  460154 */     GIR_EraseRootFromParent_Done,
     /*  460155 */   // Label 7868: @460155
     /*  460155 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(460241), // Rule ID 7074 //
     /*  460160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460207 */     // MIs[1] Operand 1
     /*  460207 */     // No operand predicates
     /*  460207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460239 */     GIR_RootConstrainSelectedInstOperands,
     /*  460240 */     // GIR_Coverage, 7074,
     /*  460240 */     GIR_EraseRootFromParent_Done,
     /*  460241 */   // Label 7869: @460241
     /*  460241 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(460327), // Rule ID 7075 //
     /*  460246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460293 */     // MIs[1] Operand 1
     /*  460293 */     // No operand predicates
     /*  460293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460325 */     GIR_RootConstrainSelectedInstOperands,
     /*  460326 */     // GIR_Coverage, 7075,
     /*  460326 */     GIR_EraseRootFromParent_Done,
     /*  460327 */   // Label 7870: @460327
     /*  460327 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(460413), // Rule ID 7078 //
     /*  460332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460379 */     // MIs[1] Operand 1
     /*  460379 */     // No operand predicates
     /*  460379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460388 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460411 */     GIR_RootConstrainSelectedInstOperands,
     /*  460412 */     // GIR_Coverage, 7078,
     /*  460412 */     GIR_EraseRootFromParent_Done,
     /*  460413 */   // Label 7871: @460413
     /*  460413 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(460499), // Rule ID 7079 //
     /*  460418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460465 */     // MIs[1] Operand 1
     /*  460465 */     // No operand predicates
     /*  460465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460497 */     GIR_RootConstrainSelectedInstOperands,
     /*  460498 */     // GIR_Coverage, 7079,
     /*  460498 */     GIR_EraseRootFromParent_Done,
     /*  460499 */   // Label 7872: @460499
     /*  460499 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(460585), // Rule ID 7258 //
     /*  460504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  460521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460551 */     // MIs[1] Operand 1
     /*  460551 */     // No operand predicates
     /*  460551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460560 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  460563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460583 */     GIR_RootConstrainSelectedInstOperands,
     /*  460584 */     // GIR_Coverage, 7258,
     /*  460584 */     GIR_EraseRootFromParent_Done,
     /*  460585 */   // Label 7873: @460585
     /*  460585 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(460671), // Rule ID 7259 //
     /*  460590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  460607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460637 */     // MIs[1] Operand 1
     /*  460637 */     // No operand predicates
     /*  460637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460646 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  460649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460669 */     GIR_RootConstrainSelectedInstOperands,
     /*  460670 */     // GIR_Coverage, 7259,
     /*  460670 */     GIR_EraseRootFromParent_Done,
     /*  460671 */   // Label 7874: @460671
     /*  460671 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(460757), // Rule ID 7262 //
     /*  460676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  460693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460723 */     // MIs[1] Operand 1
     /*  460723 */     // No operand predicates
     /*  460723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460732 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460755 */     GIR_RootConstrainSelectedInstOperands,
     /*  460756 */     // GIR_Coverage, 7262,
     /*  460756 */     GIR_EraseRootFromParent_Done,
     /*  460757 */   // Label 7875: @460757
     /*  460757 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(460843), // Rule ID 7263 //
     /*  460762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  460779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460809 */     // MIs[1] Operand 1
     /*  460809 */     // No operand predicates
     /*  460809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460841 */     GIR_RootConstrainSelectedInstOperands,
     /*  460842 */     // GIR_Coverage, 7263,
     /*  460842 */     GIR_EraseRootFromParent_Done,
     /*  460843 */   // Label 7876: @460843
     /*  460843 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(460929), // Rule ID 7266 //
     /*  460848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  460865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460895 */     // MIs[1] Operand 1
     /*  460895 */     // No operand predicates
     /*  460895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460904 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  460907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460927 */     GIR_RootConstrainSelectedInstOperands,
     /*  460928 */     // GIR_Coverage, 7266,
     /*  460928 */     GIR_EraseRootFromParent_Done,
     /*  460929 */   // Label 7877: @460929
     /*  460929 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(461015), // Rule ID 7267 //
     /*  460934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  460951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460981 */     // MIs[1] Operand 1
     /*  460981 */     // No operand predicates
     /*  460981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460990 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  460993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461013 */     GIR_RootConstrainSelectedInstOperands,
     /*  461014 */     // GIR_Coverage, 7267,
     /*  461014 */     GIR_EraseRootFromParent_Done,
     /*  461015 */   // Label 7878: @461015
     /*  461015 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(461101), // Rule ID 7270 //
     /*  461020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461067 */     // MIs[1] Operand 1
     /*  461067 */     // No operand predicates
     /*  461067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461099 */     GIR_RootConstrainSelectedInstOperands,
     /*  461100 */     // GIR_Coverage, 7270,
     /*  461100 */     GIR_EraseRootFromParent_Done,
     /*  461101 */   // Label 7879: @461101
     /*  461101 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(461187), // Rule ID 7271 //
     /*  461106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461153 */     // MIs[1] Operand 1
     /*  461153 */     // No operand predicates
     /*  461153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461162 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461185 */     GIR_RootConstrainSelectedInstOperands,
     /*  461186 */     // GIR_Coverage, 7271,
     /*  461186 */     GIR_EraseRootFromParent_Done,
     /*  461187 */   // Label 7880: @461187
     /*  461187 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(461273), // Rule ID 7274 //
     /*  461192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461239 */     // MIs[1] Operand 1
     /*  461239 */     // No operand predicates
     /*  461239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461271 */     GIR_RootConstrainSelectedInstOperands,
     /*  461272 */     // GIR_Coverage, 7274,
     /*  461272 */     GIR_EraseRootFromParent_Done,
     /*  461273 */   // Label 7881: @461273
     /*  461273 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(461359), // Rule ID 7275 //
     /*  461278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461325 */     // MIs[1] Operand 1
     /*  461325 */     // No operand predicates
     /*  461325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461357 */     GIR_RootConstrainSelectedInstOperands,
     /*  461358 */     // GIR_Coverage, 7275,
     /*  461358 */     GIR_EraseRootFromParent_Done,
     /*  461359 */   // Label 7882: @461359
     /*  461359 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(461445), // Rule ID 7278 //
     /*  461364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461411 */     // MIs[1] Operand 1
     /*  461411 */     // No operand predicates
     /*  461411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461443 */     GIR_RootConstrainSelectedInstOperands,
     /*  461444 */     // GIR_Coverage, 7278,
     /*  461444 */     GIR_EraseRootFromParent_Done,
     /*  461445 */   // Label 7883: @461445
     /*  461445 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(461531), // Rule ID 7279 //
     /*  461450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461497 */     // MIs[1] Operand 1
     /*  461497 */     // No operand predicates
     /*  461497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461529 */     GIR_RootConstrainSelectedInstOperands,
     /*  461530 */     // GIR_Coverage, 7279,
     /*  461530 */     GIR_EraseRootFromParent_Done,
     /*  461531 */   // Label 7884: @461531
     /*  461531 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(461617), // Rule ID 7282 //
     /*  461536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  461553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461583 */     // MIs[1] Operand 1
     /*  461583 */     // No operand predicates
     /*  461583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461615 */     GIR_RootConstrainSelectedInstOperands,
     /*  461616 */     // GIR_Coverage, 7282,
     /*  461616 */     GIR_EraseRootFromParent_Done,
     /*  461617 */   // Label 7885: @461617
     /*  461617 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(461703), // Rule ID 7283 //
     /*  461622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  461639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461669 */     // MIs[1] Operand 1
     /*  461669 */     // No operand predicates
     /*  461669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461701 */     GIR_RootConstrainSelectedInstOperands,
     /*  461702 */     // GIR_Coverage, 7283,
     /*  461702 */     GIR_EraseRootFromParent_Done,
     /*  461703 */   // Label 7886: @461703
     /*  461703 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(461789), // Rule ID 7286 //
     /*  461708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461755 */     // MIs[1] Operand 1
     /*  461755 */     // No operand predicates
     /*  461755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461787 */     GIR_RootConstrainSelectedInstOperands,
     /*  461788 */     // GIR_Coverage, 7286,
     /*  461788 */     GIR_EraseRootFromParent_Done,
     /*  461789 */   // Label 7887: @461789
     /*  461789 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(461875), // Rule ID 7287 //
     /*  461794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461841 */     // MIs[1] Operand 1
     /*  461841 */     // No operand predicates
     /*  461841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461873 */     GIR_RootConstrainSelectedInstOperands,
     /*  461874 */     // GIR_Coverage, 7287,
     /*  461874 */     GIR_EraseRootFromParent_Done,
     /*  461875 */   // Label 7888: @461875
     /*  461875 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(461961), // Rule ID 7290 //
     /*  461880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461927 */     // MIs[1] Operand 1
     /*  461927 */     // No operand predicates
     /*  461927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461959 */     GIR_RootConstrainSelectedInstOperands,
     /*  461960 */     // GIR_Coverage, 7290,
     /*  461960 */     GIR_EraseRootFromParent_Done,
     /*  461961 */   // Label 7889: @461961
     /*  461961 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(462047), // Rule ID 7291 //
     /*  461966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462013 */     // MIs[1] Operand 1
     /*  462013 */     // No operand predicates
     /*  462013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462045 */     GIR_RootConstrainSelectedInstOperands,
     /*  462046 */     // GIR_Coverage, 7291,
     /*  462046 */     GIR_EraseRootFromParent_Done,
     /*  462047 */   // Label 7890: @462047
     /*  462047 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(462133), // Rule ID 7294 //
     /*  462052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462099 */     // MIs[1] Operand 1
     /*  462099 */     // No operand predicates
     /*  462099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462131 */     GIR_RootConstrainSelectedInstOperands,
     /*  462132 */     // GIR_Coverage, 7294,
     /*  462132 */     GIR_EraseRootFromParent_Done,
     /*  462133 */   // Label 7891: @462133
     /*  462133 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(462219), // Rule ID 7295 //
     /*  462138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462185 */     // MIs[1] Operand 1
     /*  462185 */     // No operand predicates
     /*  462185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462217 */     GIR_RootConstrainSelectedInstOperands,
     /*  462218 */     // GIR_Coverage, 7295,
     /*  462218 */     GIR_EraseRootFromParent_Done,
     /*  462219 */   // Label 7892: @462219
     /*  462219 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(462305), // Rule ID 7298 //
     /*  462224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462271 */     // MIs[1] Operand 1
     /*  462271 */     // No operand predicates
     /*  462271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462280 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462303 */     GIR_RootConstrainSelectedInstOperands,
     /*  462304 */     // GIR_Coverage, 7298,
     /*  462304 */     GIR_EraseRootFromParent_Done,
     /*  462305 */   // Label 7893: @462305
     /*  462305 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(462391), // Rule ID 7299 //
     /*  462310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462357 */     // MIs[1] Operand 1
     /*  462357 */     // No operand predicates
     /*  462357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462389 */     GIR_RootConstrainSelectedInstOperands,
     /*  462390 */     // GIR_Coverage, 7299,
     /*  462390 */     GIR_EraseRootFromParent_Done,
     /*  462391 */   // Label 7894: @462391
     /*  462391 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(462477), // Rule ID 7302 //
     /*  462396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462443 */     // MIs[1] Operand 1
     /*  462443 */     // No operand predicates
     /*  462443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462475 */     GIR_RootConstrainSelectedInstOperands,
     /*  462476 */     // GIR_Coverage, 7302,
     /*  462476 */     GIR_EraseRootFromParent_Done,
     /*  462477 */   // Label 7895: @462477
     /*  462477 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(462563), // Rule ID 7303 //
     /*  462482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462529 */     // MIs[1] Operand 1
     /*  462529 */     // No operand predicates
     /*  462529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462538 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462561 */     GIR_RootConstrainSelectedInstOperands,
     /*  462562 */     // GIR_Coverage, 7303,
     /*  462562 */     GIR_EraseRootFromParent_Done,
     /*  462563 */   // Label 7896: @462563
     /*  462563 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(462649), // Rule ID 7306 //
     /*  462568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  462579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  462582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  462585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462615 */     // MIs[1] Operand 1
     /*  462615 */     // No operand predicates
     /*  462615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  462627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462647 */     GIR_RootConstrainSelectedInstOperands,
     /*  462648 */     // GIR_Coverage, 7306,
     /*  462648 */     GIR_EraseRootFromParent_Done,
     /*  462649 */   // Label 7897: @462649
     /*  462649 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(462735), // Rule ID 7307 //
     /*  462654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  462665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  462668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  462671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462701 */     // MIs[1] Operand 1
     /*  462701 */     // No operand predicates
     /*  462701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462710 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  462713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462733 */     GIR_RootConstrainSelectedInstOperands,
     /*  462734 */     // GIR_Coverage, 7307,
     /*  462734 */     GIR_EraseRootFromParent_Done,
     /*  462735 */   // Label 7898: @462735
     /*  462735 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(462821), // Rule ID 7310 //
     /*  462740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462787 */     // MIs[1] Operand 1
     /*  462787 */     // No operand predicates
     /*  462787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462819 */     GIR_RootConstrainSelectedInstOperands,
     /*  462820 */     // GIR_Coverage, 7310,
     /*  462820 */     GIR_EraseRootFromParent_Done,
     /*  462821 */   // Label 7899: @462821
     /*  462821 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(462907), // Rule ID 7311 //
     /*  462826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462873 */     // MIs[1] Operand 1
     /*  462873 */     // No operand predicates
     /*  462873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462905 */     GIR_RootConstrainSelectedInstOperands,
     /*  462906 */     // GIR_Coverage, 7311,
     /*  462906 */     GIR_EraseRootFromParent_Done,
     /*  462907 */   // Label 7900: @462907
     /*  462907 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(462993), // Rule ID 7314 //
     /*  462912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462959 */     // MIs[1] Operand 1
     /*  462959 */     // No operand predicates
     /*  462959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462991 */     GIR_RootConstrainSelectedInstOperands,
     /*  462992 */     // GIR_Coverage, 7314,
     /*  462992 */     GIR_EraseRootFromParent_Done,
     /*  462993 */   // Label 7901: @462993
     /*  462993 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(463079), // Rule ID 7315 //
     /*  462998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463045 */     // MIs[1] Operand 1
     /*  463045 */     // No operand predicates
     /*  463045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463077 */     GIR_RootConstrainSelectedInstOperands,
     /*  463078 */     // GIR_Coverage, 7315,
     /*  463078 */     GIR_EraseRootFromParent_Done,
     /*  463079 */   // Label 7902: @463079
     /*  463079 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(463165), // Rule ID 7318 //
     /*  463084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463131 */     // MIs[1] Operand 1
     /*  463131 */     // No operand predicates
     /*  463131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463163 */     GIR_RootConstrainSelectedInstOperands,
     /*  463164 */     // GIR_Coverage, 7318,
     /*  463164 */     GIR_EraseRootFromParent_Done,
     /*  463165 */   // Label 7903: @463165
     /*  463165 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(463251), // Rule ID 7319 //
     /*  463170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463217 */     // MIs[1] Operand 1
     /*  463217 */     // No operand predicates
     /*  463217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463249 */     GIR_RootConstrainSelectedInstOperands,
     /*  463250 */     // GIR_Coverage, 7319,
     /*  463250 */     GIR_EraseRootFromParent_Done,
     /*  463251 */   // Label 7904: @463251
     /*  463251 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(463337), // Rule ID 7322 //
     /*  463256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463303 */     // MIs[1] Operand 1
     /*  463303 */     // No operand predicates
     /*  463303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463335 */     GIR_RootConstrainSelectedInstOperands,
     /*  463336 */     // GIR_Coverage, 7322,
     /*  463336 */     GIR_EraseRootFromParent_Done,
     /*  463337 */   // Label 7905: @463337
     /*  463337 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(463423), // Rule ID 7323 //
     /*  463342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463389 */     // MIs[1] Operand 1
     /*  463389 */     // No operand predicates
     /*  463389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463421 */     GIR_RootConstrainSelectedInstOperands,
     /*  463422 */     // GIR_Coverage, 7323,
     /*  463422 */     GIR_EraseRootFromParent_Done,
     /*  463423 */   // Label 7906: @463423
     /*  463423 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(463509), // Rule ID 7326 //
     /*  463428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463475 */     // MIs[1] Operand 1
     /*  463475 */     // No operand predicates
     /*  463475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463507 */     GIR_RootConstrainSelectedInstOperands,
     /*  463508 */     // GIR_Coverage, 7326,
     /*  463508 */     GIR_EraseRootFromParent_Done,
     /*  463509 */   // Label 7907: @463509
     /*  463509 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(463595), // Rule ID 7327 //
     /*  463514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463561 */     // MIs[1] Operand 1
     /*  463561 */     // No operand predicates
     /*  463561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463593 */     GIR_RootConstrainSelectedInstOperands,
     /*  463594 */     // GIR_Coverage, 7327,
     /*  463594 */     GIR_EraseRootFromParent_Done,
     /*  463595 */   // Label 7908: @463595
     /*  463595 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(463681), // Rule ID 7330 //
     /*  463600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463647 */     // MIs[1] Operand 1
     /*  463647 */     // No operand predicates
     /*  463647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463679 */     GIR_RootConstrainSelectedInstOperands,
     /*  463680 */     // GIR_Coverage, 7330,
     /*  463680 */     GIR_EraseRootFromParent_Done,
     /*  463681 */   // Label 7909: @463681
     /*  463681 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(463767), // Rule ID 7331 //
     /*  463686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463733 */     // MIs[1] Operand 1
     /*  463733 */     // No operand predicates
     /*  463733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463765 */     GIR_RootConstrainSelectedInstOperands,
     /*  463766 */     // GIR_Coverage, 7331,
     /*  463766 */     GIR_EraseRootFromParent_Done,
     /*  463767 */   // Label 7910: @463767
     /*  463767 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(463853), // Rule ID 7334 //
     /*  463772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  463783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  463786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  463789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463819 */     // MIs[1] Operand 1
     /*  463819 */     // No operand predicates
     /*  463819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  463828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463851 */     GIR_RootConstrainSelectedInstOperands,
     /*  463852 */     // GIR_Coverage, 7334,
     /*  463852 */     GIR_EraseRootFromParent_Done,
     /*  463853 */   // Label 7911: @463853
     /*  463853 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(463939), // Rule ID 7335 //
     /*  463858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  463861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  463869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  463872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  463875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463905 */     // MIs[1] Operand 1
     /*  463905 */     // No operand predicates
     /*  463905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  463914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463937 */     GIR_RootConstrainSelectedInstOperands,
     /*  463938 */     // GIR_Coverage, 7335,
     /*  463938 */     GIR_EraseRootFromParent_Done,
     /*  463939 */   // Label 7912: @463939
     /*  463939 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(464025), // Rule ID 7338 //
     /*  463944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  463955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  463958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  463961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463991 */     // MIs[1] Operand 1
     /*  463991 */     // No operand predicates
     /*  463991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  464003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464023 */     GIR_RootConstrainSelectedInstOperands,
     /*  464024 */     // GIR_Coverage, 7338,
     /*  464024 */     GIR_EraseRootFromParent_Done,
     /*  464025 */   // Label 7913: @464025
     /*  464025 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(464111), // Rule ID 7339 //
     /*  464030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  464041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  464044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464077 */     // MIs[1] Operand 1
     /*  464077 */     // No operand predicates
     /*  464077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  464089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464109 */     GIR_RootConstrainSelectedInstOperands,
     /*  464110 */     // GIR_Coverage, 7339,
     /*  464110 */     GIR_EraseRootFromParent_Done,
     /*  464111 */   // Label 7914: @464111
     /*  464111 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(464197), // Rule ID 7342 //
     /*  464116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464163 */     // MIs[1] Operand 1
     /*  464163 */     // No operand predicates
     /*  464163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464172 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464195 */     GIR_RootConstrainSelectedInstOperands,
     /*  464196 */     // GIR_Coverage, 7342,
     /*  464196 */     GIR_EraseRootFromParent_Done,
     /*  464197 */   // Label 7915: @464197
     /*  464197 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(464283), // Rule ID 7343 //
     /*  464202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464249 */     // MIs[1] Operand 1
     /*  464249 */     // No operand predicates
     /*  464249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464281 */     GIR_RootConstrainSelectedInstOperands,
     /*  464282 */     // GIR_Coverage, 7343,
     /*  464282 */     GIR_EraseRootFromParent_Done,
     /*  464283 */   // Label 7916: @464283
     /*  464283 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(464369), // Rule ID 7554 //
     /*  464288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464335 */     // MIs[1] Operand 1
     /*  464335 */     // No operand predicates
     /*  464335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464344 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464367 */     GIR_RootConstrainSelectedInstOperands,
     /*  464368 */     // GIR_Coverage, 7554,
     /*  464368 */     GIR_EraseRootFromParent_Done,
     /*  464369 */   // Label 7917: @464369
     /*  464369 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(464455), // Rule ID 7555 //
     /*  464374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464421 */     // MIs[1] Operand 1
     /*  464421 */     // No operand predicates
     /*  464421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464430 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464453 */     GIR_RootConstrainSelectedInstOperands,
     /*  464454 */     // GIR_Coverage, 7555,
     /*  464454 */     GIR_EraseRootFromParent_Done,
     /*  464455 */   // Label 7918: @464455
     /*  464455 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(464541), // Rule ID 7558 //
     /*  464460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464507 */     // MIs[1] Operand 1
     /*  464507 */     // No operand predicates
     /*  464507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  464519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464539 */     GIR_RootConstrainSelectedInstOperands,
     /*  464540 */     // GIR_Coverage, 7558,
     /*  464540 */     GIR_EraseRootFromParent_Done,
     /*  464541 */   // Label 7919: @464541
     /*  464541 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(464627), // Rule ID 7559 //
     /*  464546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464593 */     // MIs[1] Operand 1
     /*  464593 */     // No operand predicates
     /*  464593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  464605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464625 */     GIR_RootConstrainSelectedInstOperands,
     /*  464626 */     // GIR_Coverage, 7559,
     /*  464626 */     GIR_EraseRootFromParent_Done,
     /*  464627 */   // Label 7920: @464627
     /*  464627 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(464713), // Rule ID 7562 //
     /*  464632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464679 */     // MIs[1] Operand 1
     /*  464679 */     // No operand predicates
     /*  464679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464688 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  464691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464711 */     GIR_RootConstrainSelectedInstOperands,
     /*  464712 */     // GIR_Coverage, 7562,
     /*  464712 */     GIR_EraseRootFromParent_Done,
     /*  464713 */   // Label 7921: @464713
     /*  464713 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(464799), // Rule ID 7563 //
     /*  464718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464765 */     // MIs[1] Operand 1
     /*  464765 */     // No operand predicates
     /*  464765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  464777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464797 */     GIR_RootConstrainSelectedInstOperands,
     /*  464798 */     // GIR_Coverage, 7563,
     /*  464798 */     GIR_EraseRootFromParent_Done,
     /*  464799 */   // Label 7922: @464799
     /*  464799 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(464885), // Rule ID 7566 //
     /*  464804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464851 */     // MIs[1] Operand 1
     /*  464851 */     // No operand predicates
     /*  464851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  464863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464883 */     GIR_RootConstrainSelectedInstOperands,
     /*  464884 */     // GIR_Coverage, 7566,
     /*  464884 */     GIR_EraseRootFromParent_Done,
     /*  464885 */   // Label 7923: @464885
     /*  464885 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(464971), // Rule ID 7567 //
     /*  464890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464937 */     // MIs[1] Operand 1
     /*  464937 */     // No operand predicates
     /*  464937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  464949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464969 */     GIR_RootConstrainSelectedInstOperands,
     /*  464970 */     // GIR_Coverage, 7567,
     /*  464970 */     GIR_EraseRootFromParent_Done,
     /*  464971 */   // Label 7924: @464971
     /*  464971 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(465057), // Rule ID 7570 //
     /*  464976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  464987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  464990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  464993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465023 */     // MIs[1] Operand 1
     /*  465023 */     // No operand predicates
     /*  465023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465055 */     GIR_RootConstrainSelectedInstOperands,
     /*  465056 */     // GIR_Coverage, 7570,
     /*  465056 */     GIR_EraseRootFromParent_Done,
     /*  465057 */   // Label 7925: @465057
     /*  465057 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(465143), // Rule ID 7571 //
     /*  465062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  465073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  465076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465109 */     // MIs[1] Operand 1
     /*  465109 */     // No operand predicates
     /*  465109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465141 */     GIR_RootConstrainSelectedInstOperands,
     /*  465142 */     // GIR_Coverage, 7571,
     /*  465142 */     GIR_EraseRootFromParent_Done,
     /*  465143 */   // Label 7926: @465143
     /*  465143 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(465229), // Rule ID 7574 //
     /*  465148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465195 */     // MIs[1] Operand 1
     /*  465195 */     // No operand predicates
     /*  465195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465227 */     GIR_RootConstrainSelectedInstOperands,
     /*  465228 */     // GIR_Coverage, 7574,
     /*  465228 */     GIR_EraseRootFromParent_Done,
     /*  465229 */   // Label 7927: @465229
     /*  465229 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(465315), // Rule ID 7575 //
     /*  465234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465281 */     // MIs[1] Operand 1
     /*  465281 */     // No operand predicates
     /*  465281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465313 */     GIR_RootConstrainSelectedInstOperands,
     /*  465314 */     // GIR_Coverage, 7575,
     /*  465314 */     GIR_EraseRootFromParent_Done,
     /*  465315 */   // Label 7928: @465315
     /*  465315 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(465401), // Rule ID 7578 //
     /*  465320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465367 */     // MIs[1] Operand 1
     /*  465367 */     // No operand predicates
     /*  465367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465399 */     GIR_RootConstrainSelectedInstOperands,
     /*  465400 */     // GIR_Coverage, 7578,
     /*  465400 */     GIR_EraseRootFromParent_Done,
     /*  465401 */   // Label 7929: @465401
     /*  465401 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(465487), // Rule ID 7579 //
     /*  465406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465453 */     // MIs[1] Operand 1
     /*  465453 */     // No operand predicates
     /*  465453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465485 */     GIR_RootConstrainSelectedInstOperands,
     /*  465486 */     // GIR_Coverage, 7579,
     /*  465486 */     GIR_EraseRootFromParent_Done,
     /*  465487 */   // Label 7930: @465487
     /*  465487 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(465573), // Rule ID 7582 //
     /*  465492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465539 */     // MIs[1] Operand 1
     /*  465539 */     // No operand predicates
     /*  465539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465571 */     GIR_RootConstrainSelectedInstOperands,
     /*  465572 */     // GIR_Coverage, 7582,
     /*  465572 */     GIR_EraseRootFromParent_Done,
     /*  465573 */   // Label 7931: @465573
     /*  465573 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(465659), // Rule ID 7583 //
     /*  465578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465625 */     // MIs[1] Operand 1
     /*  465625 */     // No operand predicates
     /*  465625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465657 */     GIR_RootConstrainSelectedInstOperands,
     /*  465658 */     // GIR_Coverage, 7583,
     /*  465658 */     GIR_EraseRootFromParent_Done,
     /*  465659 */   // Label 7932: @465659
     /*  465659 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(465745), // Rule ID 7586 //
     /*  465664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465711 */     // MIs[1] Operand 1
     /*  465711 */     // No operand predicates
     /*  465711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465743 */     GIR_RootConstrainSelectedInstOperands,
     /*  465744 */     // GIR_Coverage, 7586,
     /*  465744 */     GIR_EraseRootFromParent_Done,
     /*  465745 */   // Label 7933: @465745
     /*  465745 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(465831), // Rule ID 7587 //
     /*  465750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465797 */     // MIs[1] Operand 1
     /*  465797 */     // No operand predicates
     /*  465797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465829 */     GIR_RootConstrainSelectedInstOperands,
     /*  465830 */     // GIR_Coverage, 7587,
     /*  465830 */     GIR_EraseRootFromParent_Done,
     /*  465831 */   // Label 7934: @465831
     /*  465831 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(465917), // Rule ID 7590 //
     /*  465836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465883 */     // MIs[1] Operand 1
     /*  465883 */     // No operand predicates
     /*  465883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465915 */     GIR_RootConstrainSelectedInstOperands,
     /*  465916 */     // GIR_Coverage, 7590,
     /*  465916 */     GIR_EraseRootFromParent_Done,
     /*  465917 */   // Label 7935: @465917
     /*  465917 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(466003), // Rule ID 7591 //
     /*  465922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465969 */     // MIs[1] Operand 1
     /*  465969 */     // No operand predicates
     /*  465969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466001 */     GIR_RootConstrainSelectedInstOperands,
     /*  466002 */     // GIR_Coverage, 7591,
     /*  466002 */     GIR_EraseRootFromParent_Done,
     /*  466003 */   // Label 7936: @466003
     /*  466003 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(466089), // Rule ID 7594 //
     /*  466008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466055 */     // MIs[1] Operand 1
     /*  466055 */     // No operand predicates
     /*  466055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466087 */     GIR_RootConstrainSelectedInstOperands,
     /*  466088 */     // GIR_Coverage, 7594,
     /*  466088 */     GIR_EraseRootFromParent_Done,
     /*  466089 */   // Label 7937: @466089
     /*  466089 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(466175), // Rule ID 7595 //
     /*  466094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466141 */     // MIs[1] Operand 1
     /*  466141 */     // No operand predicates
     /*  466141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466173 */     GIR_RootConstrainSelectedInstOperands,
     /*  466174 */     // GIR_Coverage, 7595,
     /*  466174 */     GIR_EraseRootFromParent_Done,
     /*  466175 */   // Label 7938: @466175
     /*  466175 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(466261), // Rule ID 7598 //
     /*  466180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466227 */     // MIs[1] Operand 1
     /*  466227 */     // No operand predicates
     /*  466227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466259 */     GIR_RootConstrainSelectedInstOperands,
     /*  466260 */     // GIR_Coverage, 7598,
     /*  466260 */     GIR_EraseRootFromParent_Done,
     /*  466261 */   // Label 7939: @466261
     /*  466261 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(466347), // Rule ID 7599 //
     /*  466266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466313 */     // MIs[1] Operand 1
     /*  466313 */     // No operand predicates
     /*  466313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466345 */     GIR_RootConstrainSelectedInstOperands,
     /*  466346 */     // GIR_Coverage, 7599,
     /*  466346 */     GIR_EraseRootFromParent_Done,
     /*  466347 */   // Label 7940: @466347
     /*  466347 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(466433), // Rule ID 7602 //
     /*  466352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466399 */     // MIs[1] Operand 1
     /*  466399 */     // No operand predicates
     /*  466399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466431 */     GIR_RootConstrainSelectedInstOperands,
     /*  466432 */     // GIR_Coverage, 7602,
     /*  466432 */     GIR_EraseRootFromParent_Done,
     /*  466433 */   // Label 7941: @466433
     /*  466433 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(466519), // Rule ID 7603 //
     /*  466438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466485 */     // MIs[1] Operand 1
     /*  466485 */     // No operand predicates
     /*  466485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466517 */     GIR_RootConstrainSelectedInstOperands,
     /*  466518 */     // GIR_Coverage, 7603,
     /*  466518 */     GIR_EraseRootFromParent_Done,
     /*  466519 */   // Label 7942: @466519
     /*  466519 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(466605), // Rule ID 7606 //
     /*  466524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466571 */     // MIs[1] Operand 1
     /*  466571 */     // No operand predicates
     /*  466571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466603 */     GIR_RootConstrainSelectedInstOperands,
     /*  466604 */     // GIR_Coverage, 7606,
     /*  466604 */     GIR_EraseRootFromParent_Done,
     /*  466605 */   // Label 7943: @466605
     /*  466605 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(466691), // Rule ID 7607 //
     /*  466610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466657 */     // MIs[1] Operand 1
     /*  466657 */     // No operand predicates
     /*  466657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466689 */     GIR_RootConstrainSelectedInstOperands,
     /*  466690 */     // GIR_Coverage, 7607,
     /*  466690 */     GIR_EraseRootFromParent_Done,
     /*  466691 */   // Label 7944: @466691
     /*  466691 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(466777), // Rule ID 7610 //
     /*  466696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466743 */     // MIs[1] Operand 1
     /*  466743 */     // No operand predicates
     /*  466743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466775 */     GIR_RootConstrainSelectedInstOperands,
     /*  466776 */     // GIR_Coverage, 7610,
     /*  466776 */     GIR_EraseRootFromParent_Done,
     /*  466777 */   // Label 7945: @466777
     /*  466777 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(466863), // Rule ID 7611 //
     /*  466782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466829 */     // MIs[1] Operand 1
     /*  466829 */     // No operand predicates
     /*  466829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466861 */     GIR_RootConstrainSelectedInstOperands,
     /*  466862 */     // GIR_Coverage, 7611,
     /*  466862 */     GIR_EraseRootFromParent_Done,
     /*  466863 */   // Label 7946: @466863
     /*  466863 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(466949), // Rule ID 7734 //
     /*  466868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466915 */     // MIs[1] Operand 1
     /*  466915 */     // No operand predicates
     /*  466915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  466927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466947 */     GIR_RootConstrainSelectedInstOperands,
     /*  466948 */     // GIR_Coverage, 7734,
     /*  466948 */     GIR_EraseRootFromParent_Done,
     /*  466949 */   // Label 7947: @466949
     /*  466949 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(467035), // Rule ID 7735 //
     /*  466954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467001 */     // MIs[1] Operand 1
     /*  467001 */     // No operand predicates
     /*  467001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  467013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467033 */     GIR_RootConstrainSelectedInstOperands,
     /*  467034 */     // GIR_Coverage, 7735,
     /*  467034 */     GIR_EraseRootFromParent_Done,
     /*  467035 */   // Label 7948: @467035
     /*  467035 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(467121), // Rule ID 7738 //
     /*  467040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467087 */     // MIs[1] Operand 1
     /*  467087 */     // No operand predicates
     /*  467087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467119 */     GIR_RootConstrainSelectedInstOperands,
     /*  467120 */     // GIR_Coverage, 7738,
     /*  467120 */     GIR_EraseRootFromParent_Done,
     /*  467121 */   // Label 7949: @467121
     /*  467121 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(467207), // Rule ID 7739 //
     /*  467126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467173 */     // MIs[1] Operand 1
     /*  467173 */     // No operand predicates
     /*  467173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467205 */     GIR_RootConstrainSelectedInstOperands,
     /*  467206 */     // GIR_Coverage, 7739,
     /*  467206 */     GIR_EraseRootFromParent_Done,
     /*  467207 */   // Label 7950: @467207
     /*  467207 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(467293), // Rule ID 7742 //
     /*  467212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467259 */     // MIs[1] Operand 1
     /*  467259 */     // No operand predicates
     /*  467259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467291 */     GIR_RootConstrainSelectedInstOperands,
     /*  467292 */     // GIR_Coverage, 7742,
     /*  467292 */     GIR_EraseRootFromParent_Done,
     /*  467293 */   // Label 7951: @467293
     /*  467293 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(467379), // Rule ID 7743 //
     /*  467298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467345 */     // MIs[1] Operand 1
     /*  467345 */     // No operand predicates
     /*  467345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467377 */     GIR_RootConstrainSelectedInstOperands,
     /*  467378 */     // GIR_Coverage, 7743,
     /*  467378 */     GIR_EraseRootFromParent_Done,
     /*  467379 */   // Label 7952: @467379
     /*  467379 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(467465), // Rule ID 7746 //
     /*  467384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467431 */     // MIs[1] Operand 1
     /*  467431 */     // No operand predicates
     /*  467431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  467443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467463 */     GIR_RootConstrainSelectedInstOperands,
     /*  467464 */     // GIR_Coverage, 7746,
     /*  467464 */     GIR_EraseRootFromParent_Done,
     /*  467465 */   // Label 7953: @467465
     /*  467465 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(467551), // Rule ID 7747 //
     /*  467470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467517 */     // MIs[1] Operand 1
     /*  467517 */     // No operand predicates
     /*  467517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  467529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467549 */     GIR_RootConstrainSelectedInstOperands,
     /*  467550 */     // GIR_Coverage, 7747,
     /*  467550 */     GIR_EraseRootFromParent_Done,
     /*  467551 */   // Label 7954: @467551
     /*  467551 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(467637), // Rule ID 7750 //
     /*  467556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467603 */     // MIs[1] Operand 1
     /*  467603 */     // No operand predicates
     /*  467603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  467615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467635 */     GIR_RootConstrainSelectedInstOperands,
     /*  467636 */     // GIR_Coverage, 7750,
     /*  467636 */     GIR_EraseRootFromParent_Done,
     /*  467637 */   // Label 7955: @467637
     /*  467637 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(467723), // Rule ID 7751 //
     /*  467642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467689 */     // MIs[1] Operand 1
     /*  467689 */     // No operand predicates
     /*  467689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  467701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467721 */     GIR_RootConstrainSelectedInstOperands,
     /*  467722 */     // GIR_Coverage, 7751,
     /*  467722 */     GIR_EraseRootFromParent_Done,
     /*  467723 */   // Label 7956: @467723
     /*  467723 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(467809), // Rule ID 7754 //
     /*  467728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467775 */     // MIs[1] Operand 1
     /*  467775 */     // No operand predicates
     /*  467775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  467787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467807 */     GIR_RootConstrainSelectedInstOperands,
     /*  467808 */     // GIR_Coverage, 7754,
     /*  467808 */     GIR_EraseRootFromParent_Done,
     /*  467809 */   // Label 7957: @467809
     /*  467809 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(467895), // Rule ID 7755 //
     /*  467814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467861 */     // MIs[1] Operand 1
     /*  467861 */     // No operand predicates
     /*  467861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  467873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467893 */     GIR_RootConstrainSelectedInstOperands,
     /*  467894 */     // GIR_Coverage, 7755,
     /*  467894 */     GIR_EraseRootFromParent_Done,
     /*  467895 */   // Label 7958: @467895
     /*  467895 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(467981), // Rule ID 7758 //
     /*  467900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  467917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467947 */     // MIs[1] Operand 1
     /*  467947 */     // No operand predicates
     /*  467947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467979 */     GIR_RootConstrainSelectedInstOperands,
     /*  467980 */     // GIR_Coverage, 7758,
     /*  467980 */     GIR_EraseRootFromParent_Done,
     /*  467981 */   // Label 7959: @467981
     /*  467981 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(468067), // Rule ID 7759 //
     /*  467986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468033 */     // MIs[1] Operand 1
     /*  468033 */     // No operand predicates
     /*  468033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  468045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468065 */     GIR_RootConstrainSelectedInstOperands,
     /*  468066 */     // GIR_Coverage, 7759,
     /*  468066 */     GIR_EraseRootFromParent_Done,
     /*  468067 */   // Label 7960: @468067
     /*  468067 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(468153), // Rule ID 7762 //
     /*  468072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468119 */     // MIs[1] Operand 1
     /*  468119 */     // No operand predicates
     /*  468119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468151 */     GIR_RootConstrainSelectedInstOperands,
     /*  468152 */     // GIR_Coverage, 7762,
     /*  468152 */     GIR_EraseRootFromParent_Done,
     /*  468153 */   // Label 7961: @468153
     /*  468153 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(468239), // Rule ID 7763 //
     /*  468158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468205 */     // MIs[1] Operand 1
     /*  468205 */     // No operand predicates
     /*  468205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468237 */     GIR_RootConstrainSelectedInstOperands,
     /*  468238 */     // GIR_Coverage, 7763,
     /*  468238 */     GIR_EraseRootFromParent_Done,
     /*  468239 */   // Label 7962: @468239
     /*  468239 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(468325), // Rule ID 7766 //
     /*  468244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468291 */     // MIs[1] Operand 1
     /*  468291 */     // No operand predicates
     /*  468291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468323 */     GIR_RootConstrainSelectedInstOperands,
     /*  468324 */     // GIR_Coverage, 7766,
     /*  468324 */     GIR_EraseRootFromParent_Done,
     /*  468325 */   // Label 7963: @468325
     /*  468325 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(468411), // Rule ID 7767 //
     /*  468330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468377 */     // MIs[1] Operand 1
     /*  468377 */     // No operand predicates
     /*  468377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468409 */     GIR_RootConstrainSelectedInstOperands,
     /*  468410 */     // GIR_Coverage, 7767,
     /*  468410 */     GIR_EraseRootFromParent_Done,
     /*  468411 */   // Label 7964: @468411
     /*  468411 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(468497), // Rule ID 7770 //
     /*  468416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468463 */     // MIs[1] Operand 1
     /*  468463 */     // No operand predicates
     /*  468463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468495 */     GIR_RootConstrainSelectedInstOperands,
     /*  468496 */     // GIR_Coverage, 7770,
     /*  468496 */     GIR_EraseRootFromParent_Done,
     /*  468497 */   // Label 7965: @468497
     /*  468497 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(468583), // Rule ID 7771 //
     /*  468502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468549 */     // MIs[1] Operand 1
     /*  468549 */     // No operand predicates
     /*  468549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468581 */     GIR_RootConstrainSelectedInstOperands,
     /*  468582 */     // GIR_Coverage, 7771,
     /*  468582 */     GIR_EraseRootFromParent_Done,
     /*  468583 */   // Label 7966: @468583
     /*  468583 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(468669), // Rule ID 7774 //
     /*  468588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468635 */     // MIs[1] Operand 1
     /*  468635 */     // No operand predicates
     /*  468635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468667 */     GIR_RootConstrainSelectedInstOperands,
     /*  468668 */     // GIR_Coverage, 7774,
     /*  468668 */     GIR_EraseRootFromParent_Done,
     /*  468669 */   // Label 7967: @468669
     /*  468669 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(468755), // Rule ID 7775 //
     /*  468674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468721 */     // MIs[1] Operand 1
     /*  468721 */     // No operand predicates
     /*  468721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468753 */     GIR_RootConstrainSelectedInstOperands,
     /*  468754 */     // GIR_Coverage, 7775,
     /*  468754 */     GIR_EraseRootFromParent_Done,
     /*  468755 */   // Label 7968: @468755
     /*  468755 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(468841), // Rule ID 7778 //
     /*  468760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  468763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468807 */     // MIs[1] Operand 1
     /*  468807 */     // No operand predicates
     /*  468807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468839 */     GIR_RootConstrainSelectedInstOperands,
     /*  468840 */     // GIR_Coverage, 7778,
     /*  468840 */     GIR_EraseRootFromParent_Done,
     /*  468841 */   // Label 7969: @468841
     /*  468841 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(468927), // Rule ID 7779 //
     /*  468846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  468849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468893 */     // MIs[1] Operand 1
     /*  468893 */     // No operand predicates
     /*  468893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468925 */     GIR_RootConstrainSelectedInstOperands,
     /*  468926 */     // GIR_Coverage, 7779,
     /*  468926 */     GIR_EraseRootFromParent_Done,
     /*  468927 */   // Label 7970: @468927
     /*  468927 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(469013), // Rule ID 7782 //
     /*  468932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  468935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468979 */     // MIs[1] Operand 1
     /*  468979 */     // No operand predicates
     /*  468979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469011 */     GIR_RootConstrainSelectedInstOperands,
     /*  469012 */     // GIR_Coverage, 7782,
     /*  469012 */     GIR_EraseRootFromParent_Done,
     /*  469013 */   // Label 7971: @469013
     /*  469013 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(469099), // Rule ID 7783 //
     /*  469018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  469029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  469032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469065 */     // MIs[1] Operand 1
     /*  469065 */     // No operand predicates
     /*  469065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  469077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469097 */     GIR_RootConstrainSelectedInstOperands,
     /*  469098 */     // GIR_Coverage, 7783,
     /*  469098 */     GIR_EraseRootFromParent_Done,
     /*  469099 */   // Label 7972: @469099
     /*  469099 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(469185), // Rule ID 7786 //
     /*  469104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469151 */     // MIs[1] Operand 1
     /*  469151 */     // No operand predicates
     /*  469151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469183 */     GIR_RootConstrainSelectedInstOperands,
     /*  469184 */     // GIR_Coverage, 7786,
     /*  469184 */     GIR_EraseRootFromParent_Done,
     /*  469185 */   // Label 7973: @469185
     /*  469185 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(469271), // Rule ID 7787 //
     /*  469190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469237 */     // MIs[1] Operand 1
     /*  469237 */     // No operand predicates
     /*  469237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469269 */     GIR_RootConstrainSelectedInstOperands,
     /*  469270 */     // GIR_Coverage, 7787,
     /*  469270 */     GIR_EraseRootFromParent_Done,
     /*  469271 */   // Label 7974: @469271
     /*  469271 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(469357), // Rule ID 7790 //
     /*  469276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469323 */     // MIs[1] Operand 1
     /*  469323 */     // No operand predicates
     /*  469323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469355 */     GIR_RootConstrainSelectedInstOperands,
     /*  469356 */     // GIR_Coverage, 7790,
     /*  469356 */     GIR_EraseRootFromParent_Done,
     /*  469357 */   // Label 7975: @469357
     /*  469357 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(469443), // Rule ID 7791 //
     /*  469362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469409 */     // MIs[1] Operand 1
     /*  469409 */     // No operand predicates
     /*  469409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469441 */     GIR_RootConstrainSelectedInstOperands,
     /*  469442 */     // GIR_Coverage, 7791,
     /*  469442 */     GIR_EraseRootFromParent_Done,
     /*  469443 */   // Label 7976: @469443
     /*  469443 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(469532), // Rule ID 14220 //
     /*  469448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469495 */     // MIs[1] Operand 1
     /*  469495 */     // No operand predicates
     /*  469495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  469507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469530 */     GIR_RootConstrainSelectedInstOperands,
     /*  469531 */     // GIR_Coverage, 14220,
     /*  469531 */     GIR_EraseRootFromParent_Done,
     /*  469532 */   // Label 7977: @469532
     /*  469532 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(469621), // Rule ID 14221 //
     /*  469537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469584 */     // MIs[1] Operand 1
     /*  469584 */     // No operand predicates
     /*  469584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469593 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  469596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469619 */     GIR_RootConstrainSelectedInstOperands,
     /*  469620 */     // GIR_Coverage, 14221,
     /*  469620 */     GIR_EraseRootFromParent_Done,
     /*  469621 */   // Label 7978: @469621
     /*  469621 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(469710), // Rule ID 14224 //
     /*  469626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469673 */     // MIs[1] Operand 1
     /*  469673 */     // No operand predicates
     /*  469673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469708 */     GIR_RootConstrainSelectedInstOperands,
     /*  469709 */     // GIR_Coverage, 14224,
     /*  469709 */     GIR_EraseRootFromParent_Done,
     /*  469710 */   // Label 7979: @469710
     /*  469710 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(469799), // Rule ID 14225 //
     /*  469715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469762 */     // MIs[1] Operand 1
     /*  469762 */     // No operand predicates
     /*  469762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469797 */     GIR_RootConstrainSelectedInstOperands,
     /*  469798 */     // GIR_Coverage, 14225,
     /*  469798 */     GIR_EraseRootFromParent_Done,
     /*  469799 */   // Label 7980: @469799
     /*  469799 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(469888), // Rule ID 14228 //
     /*  469804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469851 */     // MIs[1] Operand 1
     /*  469851 */     // No operand predicates
     /*  469851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  469863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469886 */     GIR_RootConstrainSelectedInstOperands,
     /*  469887 */     // GIR_Coverage, 14228,
     /*  469887 */     GIR_EraseRootFromParent_Done,
     /*  469888 */   // Label 7981: @469888
     /*  469888 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(469977), // Rule ID 14229 //
     /*  469893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469940 */     // MIs[1] Operand 1
     /*  469940 */     // No operand predicates
     /*  469940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  469952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469975 */     GIR_RootConstrainSelectedInstOperands,
     /*  469976 */     // GIR_Coverage, 14229,
     /*  469976 */     GIR_EraseRootFromParent_Done,
     /*  469977 */   // Label 7982: @469977
     /*  469977 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(470066), // Rule ID 14232 //
     /*  469982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470029 */     // MIs[1] Operand 1
     /*  470029 */     // No operand predicates
     /*  470029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470064 */     GIR_RootConstrainSelectedInstOperands,
     /*  470065 */     // GIR_Coverage, 14232,
     /*  470065 */     GIR_EraseRootFromParent_Done,
     /*  470066 */   // Label 7983: @470066
     /*  470066 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(470155), // Rule ID 14233 //
     /*  470071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  470082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  470085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  470088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470118 */     // MIs[1] Operand 1
     /*  470118 */     // No operand predicates
     /*  470118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470153 */     GIR_RootConstrainSelectedInstOperands,
     /*  470154 */     // GIR_Coverage, 14233,
     /*  470154 */     GIR_EraseRootFromParent_Done,
     /*  470155 */   // Label 7984: @470155
     /*  470155 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(470244), // Rule ID 14236 //
     /*  470160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470207 */     // MIs[1] Operand 1
     /*  470207 */     // No operand predicates
     /*  470207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470242 */     GIR_RootConstrainSelectedInstOperands,
     /*  470243 */     // GIR_Coverage, 14236,
     /*  470243 */     GIR_EraseRootFromParent_Done,
     /*  470244 */   // Label 7985: @470244
     /*  470244 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(470333), // Rule ID 14237 //
     /*  470249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470296 */     // MIs[1] Operand 1
     /*  470296 */     // No operand predicates
     /*  470296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470305 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470331 */     GIR_RootConstrainSelectedInstOperands,
     /*  470332 */     // GIR_Coverage, 14237,
     /*  470332 */     GIR_EraseRootFromParent_Done,
     /*  470333 */   // Label 7986: @470333
     /*  470333 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(470422), // Rule ID 14240 //
     /*  470338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470385 */     // MIs[1] Operand 1
     /*  470385 */     // No operand predicates
     /*  470385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470420 */     GIR_RootConstrainSelectedInstOperands,
     /*  470421 */     // GIR_Coverage, 14240,
     /*  470421 */     GIR_EraseRootFromParent_Done,
     /*  470422 */   // Label 7987: @470422
     /*  470422 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(470511), // Rule ID 14241 //
     /*  470427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470474 */     // MIs[1] Operand 1
     /*  470474 */     // No operand predicates
     /*  470474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470509 */     GIR_RootConstrainSelectedInstOperands,
     /*  470510 */     // GIR_Coverage, 14241,
     /*  470510 */     GIR_EraseRootFromParent_Done,
     /*  470511 */   // Label 7988: @470511
     /*  470511 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(470600), // Rule ID 14244 //
     /*  470516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470563 */     // MIs[1] Operand 1
     /*  470563 */     // No operand predicates
     /*  470563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470598 */     GIR_RootConstrainSelectedInstOperands,
     /*  470599 */     // GIR_Coverage, 14244,
     /*  470599 */     GIR_EraseRootFromParent_Done,
     /*  470600 */   // Label 7989: @470600
     /*  470600 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(470689), // Rule ID 14245 //
     /*  470605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470652 */     // MIs[1] Operand 1
     /*  470652 */     // No operand predicates
     /*  470652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470687 */     GIR_RootConstrainSelectedInstOperands,
     /*  470688 */     // GIR_Coverage, 14245,
     /*  470688 */     GIR_EraseRootFromParent_Done,
     /*  470689 */   // Label 7990: @470689
     /*  470689 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(470778), // Rule ID 14248 //
     /*  470694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470741 */     // MIs[1] Operand 1
     /*  470741 */     // No operand predicates
     /*  470741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470776 */     GIR_RootConstrainSelectedInstOperands,
     /*  470777 */     // GIR_Coverage, 14248,
     /*  470777 */     GIR_EraseRootFromParent_Done,
     /*  470778 */   // Label 7991: @470778
     /*  470778 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(470867), // Rule ID 14249 //
     /*  470783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470830 */     // MIs[1] Operand 1
     /*  470830 */     // No operand predicates
     /*  470830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470865 */     GIR_RootConstrainSelectedInstOperands,
     /*  470866 */     // GIR_Coverage, 14249,
     /*  470866 */     GIR_EraseRootFromParent_Done,
     /*  470867 */   // Label 7992: @470867
     /*  470867 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(470956), // Rule ID 14252 //
     /*  470872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470919 */     // MIs[1] Operand 1
     /*  470919 */     // No operand predicates
     /*  470919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470954 */     GIR_RootConstrainSelectedInstOperands,
     /*  470955 */     // GIR_Coverage, 14252,
     /*  470955 */     GIR_EraseRootFromParent_Done,
     /*  470956 */   // Label 7993: @470956
     /*  470956 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(471045), // Rule ID 14253 //
     /*  470961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471008 */     // MIs[1] Operand 1
     /*  471008 */     // No operand predicates
     /*  471008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471043 */     GIR_RootConstrainSelectedInstOperands,
     /*  471044 */     // GIR_Coverage, 14253,
     /*  471044 */     GIR_EraseRootFromParent_Done,
     /*  471045 */   // Label 7994: @471045
     /*  471045 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(471134), // Rule ID 14256 //
     /*  471050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471097 */     // MIs[1] Operand 1
     /*  471097 */     // No operand predicates
     /*  471097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471132 */     GIR_RootConstrainSelectedInstOperands,
     /*  471133 */     // GIR_Coverage, 14256,
     /*  471133 */     GIR_EraseRootFromParent_Done,
     /*  471134 */   // Label 7995: @471134
     /*  471134 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(471223), // Rule ID 14257 //
     /*  471139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471186 */     // MIs[1] Operand 1
     /*  471186 */     // No operand predicates
     /*  471186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471221 */     GIR_RootConstrainSelectedInstOperands,
     /*  471222 */     // GIR_Coverage, 14257,
     /*  471222 */     GIR_EraseRootFromParent_Done,
     /*  471223 */   // Label 7996: @471223
     /*  471223 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(471312), // Rule ID 14260 //
     /*  471228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471275 */     // MIs[1] Operand 1
     /*  471275 */     // No operand predicates
     /*  471275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471310 */     GIR_RootConstrainSelectedInstOperands,
     /*  471311 */     // GIR_Coverage, 14260,
     /*  471311 */     GIR_EraseRootFromParent_Done,
     /*  471312 */   // Label 7997: @471312
     /*  471312 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(471401), // Rule ID 14261 //
     /*  471317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471364 */     // MIs[1] Operand 1
     /*  471364 */     // No operand predicates
     /*  471364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471373 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471399 */     GIR_RootConstrainSelectedInstOperands,
     /*  471400 */     // GIR_Coverage, 14261,
     /*  471400 */     GIR_EraseRootFromParent_Done,
     /*  471401 */   // Label 7998: @471401
     /*  471401 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(471490), // Rule ID 14264 //
     /*  471406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471453 */     // MIs[1] Operand 1
     /*  471453 */     // No operand predicates
     /*  471453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471462 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471488 */     GIR_RootConstrainSelectedInstOperands,
     /*  471489 */     // GIR_Coverage, 14264,
     /*  471489 */     GIR_EraseRootFromParent_Done,
     /*  471490 */   // Label 7999: @471490
     /*  471490 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(471579), // Rule ID 14265 //
     /*  471495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471542 */     // MIs[1] Operand 1
     /*  471542 */     // No operand predicates
     /*  471542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471577 */     GIR_RootConstrainSelectedInstOperands,
     /*  471578 */     // GIR_Coverage, 14265,
     /*  471578 */     GIR_EraseRootFromParent_Done,
     /*  471579 */   // Label 8000: @471579
     /*  471579 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(471668), // Rule ID 14268 //
     /*  471584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471631 */     // MIs[1] Operand 1
     /*  471631 */     // No operand predicates
     /*  471631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  471643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471666 */     GIR_RootConstrainSelectedInstOperands,
     /*  471667 */     // GIR_Coverage, 14268,
     /*  471667 */     GIR_EraseRootFromParent_Done,
     /*  471668 */   // Label 8001: @471668
     /*  471668 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(471757), // Rule ID 14269 //
     /*  471673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471720 */     // MIs[1] Operand 1
     /*  471720 */     // No operand predicates
     /*  471720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471729 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  471732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471755 */     GIR_RootConstrainSelectedInstOperands,
     /*  471756 */     // GIR_Coverage, 14269,
     /*  471756 */     GIR_EraseRootFromParent_Done,
     /*  471757 */   // Label 8002: @471757
     /*  471757 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(471846), // Rule ID 14272 //
     /*  471762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471809 */     // MIs[1] Operand 1
     /*  471809 */     // No operand predicates
     /*  471809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471844 */     GIR_RootConstrainSelectedInstOperands,
     /*  471845 */     // GIR_Coverage, 14272,
     /*  471845 */     GIR_EraseRootFromParent_Done,
     /*  471846 */   // Label 8003: @471846
     /*  471846 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(471935), // Rule ID 14273 //
     /*  471851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471898 */     // MIs[1] Operand 1
     /*  471898 */     // No operand predicates
     /*  471898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471933 */     GIR_RootConstrainSelectedInstOperands,
     /*  471934 */     // GIR_Coverage, 14273,
     /*  471934 */     GIR_EraseRootFromParent_Done,
     /*  471935 */   // Label 8004: @471935
     /*  471935 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(472024), // Rule ID 14276 //
     /*  471940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471987 */     // MIs[1] Operand 1
     /*  471987 */     // No operand predicates
     /*  471987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472022 */     GIR_RootConstrainSelectedInstOperands,
     /*  472023 */     // GIR_Coverage, 14276,
     /*  472023 */     GIR_EraseRootFromParent_Done,
     /*  472024 */   // Label 8005: @472024
     /*  472024 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(472113), // Rule ID 14277 //
     /*  472029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472076 */     // MIs[1] Operand 1
     /*  472076 */     // No operand predicates
     /*  472076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472085 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472111 */     GIR_RootConstrainSelectedInstOperands,
     /*  472112 */     // GIR_Coverage, 14277,
     /*  472112 */     GIR_EraseRootFromParent_Done,
     /*  472113 */   // Label 8006: @472113
     /*  472113 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(472202), // Rule ID 14280 //
     /*  472118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472165 */     // MIs[1] Operand 1
     /*  472165 */     // No operand predicates
     /*  472165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472200 */     GIR_RootConstrainSelectedInstOperands,
     /*  472201 */     // GIR_Coverage, 14280,
     /*  472201 */     GIR_EraseRootFromParent_Done,
     /*  472202 */   // Label 8007: @472202
     /*  472202 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(472291), // Rule ID 14281 //
     /*  472207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472254 */     // MIs[1] Operand 1
     /*  472254 */     // No operand predicates
     /*  472254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472289 */     GIR_RootConstrainSelectedInstOperands,
     /*  472290 */     // GIR_Coverage, 14281,
     /*  472290 */     GIR_EraseRootFromParent_Done,
     /*  472291 */   // Label 8008: @472291
     /*  472291 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(472380), // Rule ID 14284 //
     /*  472296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472343 */     // MIs[1] Operand 1
     /*  472343 */     // No operand predicates
     /*  472343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472378 */     GIR_RootConstrainSelectedInstOperands,
     /*  472379 */     // GIR_Coverage, 14284,
     /*  472379 */     GIR_EraseRootFromParent_Done,
     /*  472380 */   // Label 8009: @472380
     /*  472380 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(472469), // Rule ID 14285 //
     /*  472385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472432 */     // MIs[1] Operand 1
     /*  472432 */     // No operand predicates
     /*  472432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472467 */     GIR_RootConstrainSelectedInstOperands,
     /*  472468 */     // GIR_Coverage, 14285,
     /*  472468 */     GIR_EraseRootFromParent_Done,
     /*  472469 */   // Label 8010: @472469
     /*  472469 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(472558), // Rule ID 14288 //
     /*  472474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472521 */     // MIs[1] Operand 1
     /*  472521 */     // No operand predicates
     /*  472521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472556 */     GIR_RootConstrainSelectedInstOperands,
     /*  472557 */     // GIR_Coverage, 14288,
     /*  472557 */     GIR_EraseRootFromParent_Done,
     /*  472558 */   // Label 8011: @472558
     /*  472558 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(472647), // Rule ID 14289 //
     /*  472563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472610 */     // MIs[1] Operand 1
     /*  472610 */     // No operand predicates
     /*  472610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472645 */     GIR_RootConstrainSelectedInstOperands,
     /*  472646 */     // GIR_Coverage, 14289,
     /*  472646 */     GIR_EraseRootFromParent_Done,
     /*  472647 */   // Label 8012: @472647
     /*  472647 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(472736), // Rule ID 14292 //
     /*  472652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472699 */     // MIs[1] Operand 1
     /*  472699 */     // No operand predicates
     /*  472699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472734 */     GIR_RootConstrainSelectedInstOperands,
     /*  472735 */     // GIR_Coverage, 14292,
     /*  472735 */     GIR_EraseRootFromParent_Done,
     /*  472736 */   // Label 8013: @472736
     /*  472736 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(472825), // Rule ID 14293 //
     /*  472741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472788 */     // MIs[1] Operand 1
     /*  472788 */     // No operand predicates
     /*  472788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472823 */     GIR_RootConstrainSelectedInstOperands,
     /*  472824 */     // GIR_Coverage, 14293,
     /*  472824 */     GIR_EraseRootFromParent_Done,
     /*  472825 */   // Label 8014: @472825
     /*  472825 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(472914), // Rule ID 14296 //
     /*  472830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472877 */     // MIs[1] Operand 1
     /*  472877 */     // No operand predicates
     /*  472877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472912 */     GIR_RootConstrainSelectedInstOperands,
     /*  472913 */     // GIR_Coverage, 14296,
     /*  472913 */     GIR_EraseRootFromParent_Done,
     /*  472914 */   // Label 8015: @472914
     /*  472914 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(473003), // Rule ID 14297 //
     /*  472919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472966 */     // MIs[1] Operand 1
     /*  472966 */     // No operand predicates
     /*  472966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473001 */     GIR_RootConstrainSelectedInstOperands,
     /*  473002 */     // GIR_Coverage, 14297,
     /*  473002 */     GIR_EraseRootFromParent_Done,
     /*  473003 */   // Label 8016: @473003
     /*  473003 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(473092), // Rule ID 14300 //
     /*  473008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473055 */     // MIs[1] Operand 1
     /*  473055 */     // No operand predicates
     /*  473055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473090 */     GIR_RootConstrainSelectedInstOperands,
     /*  473091 */     // GIR_Coverage, 14300,
     /*  473091 */     GIR_EraseRootFromParent_Done,
     /*  473092 */   // Label 8017: @473092
     /*  473092 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(473181), // Rule ID 14301 //
     /*  473097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473144 */     // MIs[1] Operand 1
     /*  473144 */     // No operand predicates
     /*  473144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473179 */     GIR_RootConstrainSelectedInstOperands,
     /*  473180 */     // GIR_Coverage, 14301,
     /*  473180 */     GIR_EraseRootFromParent_Done,
     /*  473181 */   // Label 8018: @473181
     /*  473181 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(473270), // Rule ID 14304 //
     /*  473186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473233 */     // MIs[1] Operand 1
     /*  473233 */     // No operand predicates
     /*  473233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473268 */     GIR_RootConstrainSelectedInstOperands,
     /*  473269 */     // GIR_Coverage, 14304,
     /*  473269 */     GIR_EraseRootFromParent_Done,
     /*  473270 */   // Label 8019: @473270
     /*  473270 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(473359), // Rule ID 14305 //
     /*  473275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473322 */     // MIs[1] Operand 1
     /*  473322 */     // No operand predicates
     /*  473322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473357 */     GIR_RootConstrainSelectedInstOperands,
     /*  473358 */     // GIR_Coverage, 14305,
     /*  473358 */     GIR_EraseRootFromParent_Done,
     /*  473359 */   // Label 8020: @473359
     /*  473359 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(473448), // Rule ID 14484 //
     /*  473364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473411 */     // MIs[1] Operand 1
     /*  473411 */     // No operand predicates
     /*  473411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473446 */     GIR_RootConstrainSelectedInstOperands,
     /*  473447 */     // GIR_Coverage, 14484,
     /*  473447 */     GIR_EraseRootFromParent_Done,
     /*  473448 */   // Label 8021: @473448
     /*  473448 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(473537), // Rule ID 14485 //
     /*  473453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473500 */     // MIs[1] Operand 1
     /*  473500 */     // No operand predicates
     /*  473500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473535 */     GIR_RootConstrainSelectedInstOperands,
     /*  473536 */     // GIR_Coverage, 14485,
     /*  473536 */     GIR_EraseRootFromParent_Done,
     /*  473537 */   // Label 8022: @473537
     /*  473537 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(473626), // Rule ID 14488 //
     /*  473542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473589 */     // MIs[1] Operand 1
     /*  473589 */     // No operand predicates
     /*  473589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473624 */     GIR_RootConstrainSelectedInstOperands,
     /*  473625 */     // GIR_Coverage, 14488,
     /*  473625 */     GIR_EraseRootFromParent_Done,
     /*  473626 */   // Label 8023: @473626
     /*  473626 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(473715), // Rule ID 14489 //
     /*  473631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473678 */     // MIs[1] Operand 1
     /*  473678 */     // No operand predicates
     /*  473678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473687 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473713 */     GIR_RootConstrainSelectedInstOperands,
     /*  473714 */     // GIR_Coverage, 14489,
     /*  473714 */     GIR_EraseRootFromParent_Done,
     /*  473715 */   // Label 8024: @473715
     /*  473715 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(473804), // Rule ID 14492 //
     /*  473720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473767 */     // MIs[1] Operand 1
     /*  473767 */     // No operand predicates
     /*  473767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  473779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473802 */     GIR_RootConstrainSelectedInstOperands,
     /*  473803 */     // GIR_Coverage, 14492,
     /*  473803 */     GIR_EraseRootFromParent_Done,
     /*  473804 */   // Label 8025: @473804
     /*  473804 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(473893), // Rule ID 14493 //
     /*  473809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473856 */     // MIs[1] Operand 1
     /*  473856 */     // No operand predicates
     /*  473856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473865 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  473868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473891 */     GIR_RootConstrainSelectedInstOperands,
     /*  473892 */     // GIR_Coverage, 14493,
     /*  473892 */     GIR_EraseRootFromParent_Done,
     /*  473893 */   // Label 8026: @473893
     /*  473893 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(473982), // Rule ID 14496 //
     /*  473898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473945 */     // MIs[1] Operand 1
     /*  473945 */     // No operand predicates
     /*  473945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473980 */     GIR_RootConstrainSelectedInstOperands,
     /*  473981 */     // GIR_Coverage, 14496,
     /*  473981 */     GIR_EraseRootFromParent_Done,
     /*  473982 */   // Label 8027: @473982
     /*  473982 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(474071), // Rule ID 14497 //
     /*  473987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474034 */     // MIs[1] Operand 1
     /*  474034 */     // No operand predicates
     /*  474034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  474046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474069 */     GIR_RootConstrainSelectedInstOperands,
     /*  474070 */     // GIR_Coverage, 14497,
     /*  474070 */     GIR_EraseRootFromParent_Done,
     /*  474071 */   // Label 8028: @474071
     /*  474071 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(474160), // Rule ID 14500 //
     /*  474076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474123 */     // MIs[1] Operand 1
     /*  474123 */     // No operand predicates
     /*  474123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474158 */     GIR_RootConstrainSelectedInstOperands,
     /*  474159 */     // GIR_Coverage, 14500,
     /*  474159 */     GIR_EraseRootFromParent_Done,
     /*  474160 */   // Label 8029: @474160
     /*  474160 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(474249), // Rule ID 14501 //
     /*  474165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474212 */     // MIs[1] Operand 1
     /*  474212 */     // No operand predicates
     /*  474212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474247 */     GIR_RootConstrainSelectedInstOperands,
     /*  474248 */     // GIR_Coverage, 14501,
     /*  474248 */     GIR_EraseRootFromParent_Done,
     /*  474249 */   // Label 8030: @474249
     /*  474249 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(474338), // Rule ID 14504 //
     /*  474254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474301 */     // MIs[1] Operand 1
     /*  474301 */     // No operand predicates
     /*  474301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474336 */     GIR_RootConstrainSelectedInstOperands,
     /*  474337 */     // GIR_Coverage, 14504,
     /*  474337 */     GIR_EraseRootFromParent_Done,
     /*  474338 */   // Label 8031: @474338
     /*  474338 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(474427), // Rule ID 14505 //
     /*  474343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474390 */     // MIs[1] Operand 1
     /*  474390 */     // No operand predicates
     /*  474390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474425 */     GIR_RootConstrainSelectedInstOperands,
     /*  474426 */     // GIR_Coverage, 14505,
     /*  474426 */     GIR_EraseRootFromParent_Done,
     /*  474427 */   // Label 8032: @474427
     /*  474427 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(474516), // Rule ID 14508 //
     /*  474432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474479 */     // MIs[1] Operand 1
     /*  474479 */     // No operand predicates
     /*  474479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474514 */     GIR_RootConstrainSelectedInstOperands,
     /*  474515 */     // GIR_Coverage, 14508,
     /*  474515 */     GIR_EraseRootFromParent_Done,
     /*  474516 */   // Label 8033: @474516
     /*  474516 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(474605), // Rule ID 14509 //
     /*  474521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474568 */     // MIs[1] Operand 1
     /*  474568 */     // No operand predicates
     /*  474568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474603 */     GIR_RootConstrainSelectedInstOperands,
     /*  474604 */     // GIR_Coverage, 14509,
     /*  474604 */     GIR_EraseRootFromParent_Done,
     /*  474605 */   // Label 8034: @474605
     /*  474605 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(474694), // Rule ID 14512 //
     /*  474610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474657 */     // MIs[1] Operand 1
     /*  474657 */     // No operand predicates
     /*  474657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474692 */     GIR_RootConstrainSelectedInstOperands,
     /*  474693 */     // GIR_Coverage, 14512,
     /*  474693 */     GIR_EraseRootFromParent_Done,
     /*  474694 */   // Label 8035: @474694
     /*  474694 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(474783), // Rule ID 14513 //
     /*  474699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474746 */     // MIs[1] Operand 1
     /*  474746 */     // No operand predicates
     /*  474746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474781 */     GIR_RootConstrainSelectedInstOperands,
     /*  474782 */     // GIR_Coverage, 14513,
     /*  474782 */     GIR_EraseRootFromParent_Done,
     /*  474783 */   // Label 8036: @474783
     /*  474783 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(474872), // Rule ID 14516 //
     /*  474788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474835 */     // MIs[1] Operand 1
     /*  474835 */     // No operand predicates
     /*  474835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474870 */     GIR_RootConstrainSelectedInstOperands,
     /*  474871 */     // GIR_Coverage, 14516,
     /*  474871 */     GIR_EraseRootFromParent_Done,
     /*  474872 */   // Label 8037: @474872
     /*  474872 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(474961), // Rule ID 14517 //
     /*  474877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474924 */     // MIs[1] Operand 1
     /*  474924 */     // No operand predicates
     /*  474924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474959 */     GIR_RootConstrainSelectedInstOperands,
     /*  474960 */     // GIR_Coverage, 14517,
     /*  474960 */     GIR_EraseRootFromParent_Done,
     /*  474961 */   // Label 8038: @474961
     /*  474961 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(475050), // Rule ID 14520 //
     /*  474966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475013 */     // MIs[1] Operand 1
     /*  475013 */     // No operand predicates
     /*  475013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475048 */     GIR_RootConstrainSelectedInstOperands,
     /*  475049 */     // GIR_Coverage, 14520,
     /*  475049 */     GIR_EraseRootFromParent_Done,
     /*  475050 */   // Label 8039: @475050
     /*  475050 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(475139), // Rule ID 14521 //
     /*  475055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  475058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475102 */     // MIs[1] Operand 1
     /*  475102 */     // No operand predicates
     /*  475102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475111 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475137 */     GIR_RootConstrainSelectedInstOperands,
     /*  475138 */     // GIR_Coverage, 14521,
     /*  475138 */     GIR_EraseRootFromParent_Done,
     /*  475139 */   // Label 8040: @475139
     /*  475139 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(475228), // Rule ID 14524 //
     /*  475144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475191 */     // MIs[1] Operand 1
     /*  475191 */     // No operand predicates
     /*  475191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475226 */     GIR_RootConstrainSelectedInstOperands,
     /*  475227 */     // GIR_Coverage, 14524,
     /*  475227 */     GIR_EraseRootFromParent_Done,
     /*  475228 */   // Label 8041: @475228
     /*  475228 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(475317), // Rule ID 14525 //
     /*  475233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475280 */     // MIs[1] Operand 1
     /*  475280 */     // No operand predicates
     /*  475280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475315 */     GIR_RootConstrainSelectedInstOperands,
     /*  475316 */     // GIR_Coverage, 14525,
     /*  475316 */     GIR_EraseRootFromParent_Done,
     /*  475317 */   // Label 8042: @475317
     /*  475317 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(475406), // Rule ID 14528 //
     /*  475322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475369 */     // MIs[1] Operand 1
     /*  475369 */     // No operand predicates
     /*  475369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475404 */     GIR_RootConstrainSelectedInstOperands,
     /*  475405 */     // GIR_Coverage, 14528,
     /*  475405 */     GIR_EraseRootFromParent_Done,
     /*  475406 */   // Label 8043: @475406
     /*  475406 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(475495), // Rule ID 14529 //
     /*  475411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475458 */     // MIs[1] Operand 1
     /*  475458 */     // No operand predicates
     /*  475458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475467 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475493 */     GIR_RootConstrainSelectedInstOperands,
     /*  475494 */     // GIR_Coverage, 14529,
     /*  475494 */     GIR_EraseRootFromParent_Done,
     /*  475495 */   // Label 8044: @475495
     /*  475495 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(475584), // Rule ID 14532 //
     /*  475500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475547 */     // MIs[1] Operand 1
     /*  475547 */     // No operand predicates
     /*  475547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475582 */     GIR_RootConstrainSelectedInstOperands,
     /*  475583 */     // GIR_Coverage, 14532,
     /*  475583 */     GIR_EraseRootFromParent_Done,
     /*  475584 */   // Label 8045: @475584
     /*  475584 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(475673), // Rule ID 14533 //
     /*  475589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475636 */     // MIs[1] Operand 1
     /*  475636 */     // No operand predicates
     /*  475636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475671 */     GIR_RootConstrainSelectedInstOperands,
     /*  475672 */     // GIR_Coverage, 14533,
     /*  475672 */     GIR_EraseRootFromParent_Done,
     /*  475673 */   // Label 8046: @475673
     /*  475673 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(475762), // Rule ID 14536 //
     /*  475678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475725 */     // MIs[1] Operand 1
     /*  475725 */     // No operand predicates
     /*  475725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475760 */     GIR_RootConstrainSelectedInstOperands,
     /*  475761 */     // GIR_Coverage, 14536,
     /*  475761 */     GIR_EraseRootFromParent_Done,
     /*  475762 */   // Label 8047: @475762
     /*  475762 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(475851), // Rule ID 14537 //
     /*  475767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475814 */     // MIs[1] Operand 1
     /*  475814 */     // No operand predicates
     /*  475814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475849 */     GIR_RootConstrainSelectedInstOperands,
     /*  475850 */     // GIR_Coverage, 14537,
     /*  475850 */     GIR_EraseRootFromParent_Done,
     /*  475851 */   // Label 8048: @475851
     /*  475851 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(475940), // Rule ID 14540 //
     /*  475856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475903 */     // MIs[1] Operand 1
     /*  475903 */     // No operand predicates
     /*  475903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475938 */     GIR_RootConstrainSelectedInstOperands,
     /*  475939 */     // GIR_Coverage, 14540,
     /*  475939 */     GIR_EraseRootFromParent_Done,
     /*  475940 */   // Label 8049: @475940
     /*  475940 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(476029), // Rule ID 14541 //
     /*  475945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475992 */     // MIs[1] Operand 1
     /*  475992 */     // No operand predicates
     /*  475992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476027 */     GIR_RootConstrainSelectedInstOperands,
     /*  476028 */     // GIR_Coverage, 14541,
     /*  476028 */     GIR_EraseRootFromParent_Done,
     /*  476029 */   // Label 8050: @476029
     /*  476029 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(476118), // Rule ID 14544 //
     /*  476034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476081 */     // MIs[1] Operand 1
     /*  476081 */     // No operand predicates
     /*  476081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476116 */     GIR_RootConstrainSelectedInstOperands,
     /*  476117 */     // GIR_Coverage, 14544,
     /*  476117 */     GIR_EraseRootFromParent_Done,
     /*  476118 */   // Label 8051: @476118
     /*  476118 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(476207), // Rule ID 14545 //
     /*  476123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476170 */     // MIs[1] Operand 1
     /*  476170 */     // No operand predicates
     /*  476170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476179 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476205 */     GIR_RootConstrainSelectedInstOperands,
     /*  476206 */     // GIR_Coverage, 14545,
     /*  476206 */     GIR_EraseRootFromParent_Done,
     /*  476207 */   // Label 8052: @476207
     /*  476207 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(476296), // Rule ID 14548 //
     /*  476212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476259 */     // MIs[1] Operand 1
     /*  476259 */     // No operand predicates
     /*  476259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476294 */     GIR_RootConstrainSelectedInstOperands,
     /*  476295 */     // GIR_Coverage, 14548,
     /*  476295 */     GIR_EraseRootFromParent_Done,
     /*  476296 */   // Label 8053: @476296
     /*  476296 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(476385), // Rule ID 14549 //
     /*  476301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476348 */     // MIs[1] Operand 1
     /*  476348 */     // No operand predicates
     /*  476348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476383 */     GIR_RootConstrainSelectedInstOperands,
     /*  476384 */     // GIR_Coverage, 14549,
     /*  476384 */     GIR_EraseRootFromParent_Done,
     /*  476385 */   // Label 8054: @476385
     /*  476385 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(476474), // Rule ID 14552 //
     /*  476390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476437 */     // MIs[1] Operand 1
     /*  476437 */     // No operand predicates
     /*  476437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476472 */     GIR_RootConstrainSelectedInstOperands,
     /*  476473 */     // GIR_Coverage, 14552,
     /*  476473 */     GIR_EraseRootFromParent_Done,
     /*  476474 */   // Label 8055: @476474
     /*  476474 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(476563), // Rule ID 14553 //
     /*  476479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476526 */     // MIs[1] Operand 1
     /*  476526 */     // No operand predicates
     /*  476526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476561 */     GIR_RootConstrainSelectedInstOperands,
     /*  476562 */     // GIR_Coverage, 14553,
     /*  476562 */     GIR_EraseRootFromParent_Done,
     /*  476563 */   // Label 8056: @476563
     /*  476563 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(476652), // Rule ID 14556 //
     /*  476568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476615 */     // MIs[1] Operand 1
     /*  476615 */     // No operand predicates
     /*  476615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476650 */     GIR_RootConstrainSelectedInstOperands,
     /*  476651 */     // GIR_Coverage, 14556,
     /*  476651 */     GIR_EraseRootFromParent_Done,
     /*  476652 */   // Label 8057: @476652
     /*  476652 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(476741), // Rule ID 14557 //
     /*  476657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476704 */     // MIs[1] Operand 1
     /*  476704 */     // No operand predicates
     /*  476704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476739 */     GIR_RootConstrainSelectedInstOperands,
     /*  476740 */     // GIR_Coverage, 14557,
     /*  476740 */     GIR_EraseRootFromParent_Done,
     /*  476741 */   // Label 8058: @476741
     /*  476741 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(476830), // Rule ID 14560 //
     /*  476746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476793 */     // MIs[1] Operand 1
     /*  476793 */     // No operand predicates
     /*  476793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476828 */     GIR_RootConstrainSelectedInstOperands,
     /*  476829 */     // GIR_Coverage, 14560,
     /*  476829 */     GIR_EraseRootFromParent_Done,
     /*  476830 */   // Label 8059: @476830
     /*  476830 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(476919), // Rule ID 14561 //
     /*  476835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476882 */     // MIs[1] Operand 1
     /*  476882 */     // No operand predicates
     /*  476882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476917 */     GIR_RootConstrainSelectedInstOperands,
     /*  476918 */     // GIR_Coverage, 14561,
     /*  476918 */     GIR_EraseRootFromParent_Done,
     /*  476919 */   // Label 8060: @476919
     /*  476919 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(477008), // Rule ID 14564 //
     /*  476924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476971 */     // MIs[1] Operand 1
     /*  476971 */     // No operand predicates
     /*  476971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477006 */     GIR_RootConstrainSelectedInstOperands,
     /*  477007 */     // GIR_Coverage, 14564,
     /*  477007 */     GIR_EraseRootFromParent_Done,
     /*  477008 */   // Label 8061: @477008
     /*  477008 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(477097), // Rule ID 14565 //
     /*  477013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477060 */     // MIs[1] Operand 1
     /*  477060 */     // No operand predicates
     /*  477060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  477072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477095 */     GIR_RootConstrainSelectedInstOperands,
     /*  477096 */     // GIR_Coverage, 14565,
     /*  477096 */     GIR_EraseRootFromParent_Done,
     /*  477097 */   // Label 8062: @477097
     /*  477097 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(477186), // Rule ID 14568 //
     /*  477102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477149 */     // MIs[1] Operand 1
     /*  477149 */     // No operand predicates
     /*  477149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477184 */     GIR_RootConstrainSelectedInstOperands,
     /*  477185 */     // GIR_Coverage, 14568,
     /*  477185 */     GIR_EraseRootFromParent_Done,
     /*  477186 */   // Label 8063: @477186
     /*  477186 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(477275), // Rule ID 14569 //
     /*  477191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477238 */     // MIs[1] Operand 1
     /*  477238 */     // No operand predicates
     /*  477238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477273 */     GIR_RootConstrainSelectedInstOperands,
     /*  477274 */     // GIR_Coverage, 14569,
     /*  477274 */     GIR_EraseRootFromParent_Done,
     /*  477275 */   // Label 8064: @477275
     /*  477275 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(477361), // Rule ID 24664 //
     /*  477280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477327 */     // MIs[1] Operand 1
     /*  477327 */     // No operand predicates
     /*  477327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477359 */     GIR_RootConstrainSelectedInstOperands,
     /*  477360 */     // GIR_Coverage, 24664,
     /*  477360 */     GIR_EraseRootFromParent_Done,
     /*  477361 */   // Label 8065: @477361
     /*  477361 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(477447), // Rule ID 24665 //
     /*  477366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477413 */     // MIs[1] Operand 1
     /*  477413 */     // No operand predicates
     /*  477413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477445 */     GIR_RootConstrainSelectedInstOperands,
     /*  477446 */     // GIR_Coverage, 24665,
     /*  477446 */     GIR_EraseRootFromParent_Done,
     /*  477447 */   // Label 8066: @477447
     /*  477447 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(477533), // Rule ID 24668 //
     /*  477452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  477463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  477466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477499 */     // MIs[1] Operand 1
     /*  477499 */     // No operand predicates
     /*  477499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477531 */     GIR_RootConstrainSelectedInstOperands,
     /*  477532 */     // GIR_Coverage, 24668,
     /*  477532 */     GIR_EraseRootFromParent_Done,
     /*  477533 */   // Label 8067: @477533
     /*  477533 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(477619), // Rule ID 24669 //
     /*  477538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  477549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  477552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477585 */     // MIs[1] Operand 1
     /*  477585 */     // No operand predicates
     /*  477585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477617 */     GIR_RootConstrainSelectedInstOperands,
     /*  477618 */     // GIR_Coverage, 24669,
     /*  477618 */     GIR_EraseRootFromParent_Done,
     /*  477619 */   // Label 8068: @477619
     /*  477619 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(477705), // Rule ID 24672 //
     /*  477624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  477635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  477638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477671 */     // MIs[1] Operand 1
     /*  477671 */     // No operand predicates
     /*  477671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477703 */     GIR_RootConstrainSelectedInstOperands,
     /*  477704 */     // GIR_Coverage, 24672,
     /*  477704 */     GIR_EraseRootFromParent_Done,
     /*  477705 */   // Label 8069: @477705
     /*  477705 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(477791), // Rule ID 24673 //
     /*  477710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  477721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  477724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477757 */     // MIs[1] Operand 1
     /*  477757 */     // No operand predicates
     /*  477757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477789 */     GIR_RootConstrainSelectedInstOperands,
     /*  477790 */     // GIR_Coverage, 24673,
     /*  477790 */     GIR_EraseRootFromParent_Done,
     /*  477791 */   // Label 8070: @477791
     /*  477791 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(477877), // Rule ID 24676 //
     /*  477796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477843 */     // MIs[1] Operand 1
     /*  477843 */     // No operand predicates
     /*  477843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477875 */     GIR_RootConstrainSelectedInstOperands,
     /*  477876 */     // GIR_Coverage, 24676,
     /*  477876 */     GIR_EraseRootFromParent_Done,
     /*  477877 */   // Label 8071: @477877
     /*  477877 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(477963), // Rule ID 24677 //
     /*  477882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477929 */     // MIs[1] Operand 1
     /*  477929 */     // No operand predicates
     /*  477929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477961 */     GIR_RootConstrainSelectedInstOperands,
     /*  477962 */     // GIR_Coverage, 24677,
     /*  477962 */     GIR_EraseRootFromParent_Done,
     /*  477963 */   // Label 8072: @477963
     /*  477963 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(478049), // Rule ID 24680 //
     /*  477968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478015 */     // MIs[1] Operand 1
     /*  478015 */     // No operand predicates
     /*  478015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478047 */     GIR_RootConstrainSelectedInstOperands,
     /*  478048 */     // GIR_Coverage, 24680,
     /*  478048 */     GIR_EraseRootFromParent_Done,
     /*  478049 */   // Label 8073: @478049
     /*  478049 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(478135), // Rule ID 24681 //
     /*  478054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478101 */     // MIs[1] Operand 1
     /*  478101 */     // No operand predicates
     /*  478101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478133 */     GIR_RootConstrainSelectedInstOperands,
     /*  478134 */     // GIR_Coverage, 24681,
     /*  478134 */     GIR_EraseRootFromParent_Done,
     /*  478135 */   // Label 8074: @478135
     /*  478135 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(478221), // Rule ID 24684 //
     /*  478140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478187 */     // MIs[1] Operand 1
     /*  478187 */     // No operand predicates
     /*  478187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478219 */     GIR_RootConstrainSelectedInstOperands,
     /*  478220 */     // GIR_Coverage, 24684,
     /*  478220 */     GIR_EraseRootFromParent_Done,
     /*  478221 */   // Label 8075: @478221
     /*  478221 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(478307), // Rule ID 24685 //
     /*  478226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478273 */     // MIs[1] Operand 1
     /*  478273 */     // No operand predicates
     /*  478273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478305 */     GIR_RootConstrainSelectedInstOperands,
     /*  478306 */     // GIR_Coverage, 24685,
     /*  478306 */     GIR_EraseRootFromParent_Done,
     /*  478307 */   // Label 8076: @478307
     /*  478307 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(478393), // Rule ID 24688 //
     /*  478312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478359 */     // MIs[1] Operand 1
     /*  478359 */     // No operand predicates
     /*  478359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478391 */     GIR_RootConstrainSelectedInstOperands,
     /*  478392 */     // GIR_Coverage, 24688,
     /*  478392 */     GIR_EraseRootFromParent_Done,
     /*  478393 */   // Label 8077: @478393
     /*  478393 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(478479), // Rule ID 24689 //
     /*  478398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478445 */     // MIs[1] Operand 1
     /*  478445 */     // No operand predicates
     /*  478445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478477 */     GIR_RootConstrainSelectedInstOperands,
     /*  478478 */     // GIR_Coverage, 24689,
     /*  478478 */     GIR_EraseRootFromParent_Done,
     /*  478479 */   // Label 8078: @478479
     /*  478479 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(478565), // Rule ID 24692 //
     /*  478484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478531 */     // MIs[1] Operand 1
     /*  478531 */     // No operand predicates
     /*  478531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478563 */     GIR_RootConstrainSelectedInstOperands,
     /*  478564 */     // GIR_Coverage, 24692,
     /*  478564 */     GIR_EraseRootFromParent_Done,
     /*  478565 */   // Label 8079: @478565
     /*  478565 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(478651), // Rule ID 24693 //
     /*  478570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478617 */     // MIs[1] Operand 1
     /*  478617 */     // No operand predicates
     /*  478617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478649 */     GIR_RootConstrainSelectedInstOperands,
     /*  478650 */     // GIR_Coverage, 24693,
     /*  478650 */     GIR_EraseRootFromParent_Done,
     /*  478651 */   // Label 8080: @478651
     /*  478651 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(478737), // Rule ID 24696 //
     /*  478656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478703 */     // MIs[1] Operand 1
     /*  478703 */     // No operand predicates
     /*  478703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478735 */     GIR_RootConstrainSelectedInstOperands,
     /*  478736 */     // GIR_Coverage, 24696,
     /*  478736 */     GIR_EraseRootFromParent_Done,
     /*  478737 */   // Label 8081: @478737
     /*  478737 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(478823), // Rule ID 24697 //
     /*  478742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478789 */     // MIs[1] Operand 1
     /*  478789 */     // No operand predicates
     /*  478789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478821 */     GIR_RootConstrainSelectedInstOperands,
     /*  478822 */     // GIR_Coverage, 24697,
     /*  478822 */     GIR_EraseRootFromParent_Done,
     /*  478823 */   // Label 8082: @478823
     /*  478823 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(478909), // Rule ID 24700 //
     /*  478828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  478831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478875 */     // MIs[1] Operand 1
     /*  478875 */     // No operand predicates
     /*  478875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478907 */     GIR_RootConstrainSelectedInstOperands,
     /*  478908 */     // GIR_Coverage, 24700,
     /*  478908 */     GIR_EraseRootFromParent_Done,
     /*  478909 */   // Label 8083: @478909
     /*  478909 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(478995), // Rule ID 24701 //
     /*  478914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  478917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478961 */     // MIs[1] Operand 1
     /*  478961 */     // No operand predicates
     /*  478961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478993 */     GIR_RootConstrainSelectedInstOperands,
     /*  478994 */     // GIR_Coverage, 24701,
     /*  478994 */     GIR_EraseRootFromParent_Done,
     /*  478995 */   // Label 8084: @478995
     /*  478995 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(479081), // Rule ID 24704 //
     /*  479000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  479011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  479014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479047 */     // MIs[1] Operand 1
     /*  479047 */     // No operand predicates
     /*  479047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479079 */     GIR_RootConstrainSelectedInstOperands,
     /*  479080 */     // GIR_Coverage, 24704,
     /*  479080 */     GIR_EraseRootFromParent_Done,
     /*  479081 */   // Label 8085: @479081
     /*  479081 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(479167), // Rule ID 24705 //
     /*  479086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  479097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  479100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479133 */     // MIs[1] Operand 1
     /*  479133 */     // No operand predicates
     /*  479133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479165 */     GIR_RootConstrainSelectedInstOperands,
     /*  479166 */     // GIR_Coverage, 24705,
     /*  479166 */     GIR_EraseRootFromParent_Done,
     /*  479167 */   // Label 8086: @479167
     /*  479167 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(479253), // Rule ID 24708 //
     /*  479172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  479183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  479186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479219 */     // MIs[1] Operand 1
     /*  479219 */     // No operand predicates
     /*  479219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479251 */     GIR_RootConstrainSelectedInstOperands,
     /*  479252 */     // GIR_Coverage, 24708,
     /*  479252 */     GIR_EraseRootFromParent_Done,
     /*  479253 */   // Label 8087: @479253
     /*  479253 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(479339), // Rule ID 24709 //
     /*  479258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  479269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  479272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479305 */     // MIs[1] Operand 1
     /*  479305 */     // No operand predicates
     /*  479305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479337 */     GIR_RootConstrainSelectedInstOperands,
     /*  479338 */     // GIR_Coverage, 24709,
     /*  479338 */     GIR_EraseRootFromParent_Done,
     /*  479339 */   // Label 8088: @479339
     /*  479339 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(479425), // Rule ID 24712 //
     /*  479344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479391 */     // MIs[1] Operand 1
     /*  479391 */     // No operand predicates
     /*  479391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479423 */     GIR_RootConstrainSelectedInstOperands,
     /*  479424 */     // GIR_Coverage, 24712,
     /*  479424 */     GIR_EraseRootFromParent_Done,
     /*  479425 */   // Label 8089: @479425
     /*  479425 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(479511), // Rule ID 24713 //
     /*  479430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479477 */     // MIs[1] Operand 1
     /*  479477 */     // No operand predicates
     /*  479477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479509 */     GIR_RootConstrainSelectedInstOperands,
     /*  479510 */     // GIR_Coverage, 24713,
     /*  479510 */     GIR_EraseRootFromParent_Done,
     /*  479511 */   // Label 8090: @479511
     /*  479511 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(479597), // Rule ID 24716 //
     /*  479516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479563 */     // MIs[1] Operand 1
     /*  479563 */     // No operand predicates
     /*  479563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479595 */     GIR_RootConstrainSelectedInstOperands,
     /*  479596 */     // GIR_Coverage, 24716,
     /*  479596 */     GIR_EraseRootFromParent_Done,
     /*  479597 */   // Label 8091: @479597
     /*  479597 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(479683), // Rule ID 24717 //
     /*  479602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479649 */     // MIs[1] Operand 1
     /*  479649 */     // No operand predicates
     /*  479649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479681 */     GIR_RootConstrainSelectedInstOperands,
     /*  479682 */     // GIR_Coverage, 24717,
     /*  479682 */     GIR_EraseRootFromParent_Done,
     /*  479683 */   // Label 8092: @479683
     /*  479683 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(479769), // Rule ID 24720 //
     /*  479688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479735 */     // MIs[1] Operand 1
     /*  479735 */     // No operand predicates
     /*  479735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479767 */     GIR_RootConstrainSelectedInstOperands,
     /*  479768 */     // GIR_Coverage, 24720,
     /*  479768 */     GIR_EraseRootFromParent_Done,
     /*  479769 */   // Label 8093: @479769
     /*  479769 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(479855), // Rule ID 24721 //
     /*  479774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479821 */     // MIs[1] Operand 1
     /*  479821 */     // No operand predicates
     /*  479821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479853 */     GIR_RootConstrainSelectedInstOperands,
     /*  479854 */     // GIR_Coverage, 24721,
     /*  479854 */     GIR_EraseRootFromParent_Done,
     /*  479855 */   // Label 8094: @479855
     /*  479855 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(479941), // Rule ID 24724 //
     /*  479860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479907 */     // MIs[1] Operand 1
     /*  479907 */     // No operand predicates
     /*  479907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479939 */     GIR_RootConstrainSelectedInstOperands,
     /*  479940 */     // GIR_Coverage, 24724,
     /*  479940 */     GIR_EraseRootFromParent_Done,
     /*  479941 */   // Label 8095: @479941
     /*  479941 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(480027), // Rule ID 24725 //
     /*  479946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479993 */     // MIs[1] Operand 1
     /*  479993 */     // No operand predicates
     /*  479993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480025 */     GIR_RootConstrainSelectedInstOperands,
     /*  480026 */     // GIR_Coverage, 24725,
     /*  480026 */     GIR_EraseRootFromParent_Done,
     /*  480027 */   // Label 8096: @480027
     /*  480027 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(480113), // Rule ID 24728 //
     /*  480032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480079 */     // MIs[1] Operand 1
     /*  480079 */     // No operand predicates
     /*  480079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480111 */     GIR_RootConstrainSelectedInstOperands,
     /*  480112 */     // GIR_Coverage, 24728,
     /*  480112 */     GIR_EraseRootFromParent_Done,
     /*  480113 */   // Label 8097: @480113
     /*  480113 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(480199), // Rule ID 24729 //
     /*  480118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480165 */     // MIs[1] Operand 1
     /*  480165 */     // No operand predicates
     /*  480165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480197 */     GIR_RootConstrainSelectedInstOperands,
     /*  480198 */     // GIR_Coverage, 24729,
     /*  480198 */     GIR_EraseRootFromParent_Done,
     /*  480199 */   // Label 8098: @480199
     /*  480199 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(480285), // Rule ID 24732 //
     /*  480204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480251 */     // MIs[1] Operand 1
     /*  480251 */     // No operand predicates
     /*  480251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480283 */     GIR_RootConstrainSelectedInstOperands,
     /*  480284 */     // GIR_Coverage, 24732,
     /*  480284 */     GIR_EraseRootFromParent_Done,
     /*  480285 */   // Label 8099: @480285
     /*  480285 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(480371), // Rule ID 24733 //
     /*  480290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480337 */     // MIs[1] Operand 1
     /*  480337 */     // No operand predicates
     /*  480337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480369 */     GIR_RootConstrainSelectedInstOperands,
     /*  480370 */     // GIR_Coverage, 24733,
     /*  480370 */     GIR_EraseRootFromParent_Done,
     /*  480371 */   // Label 8100: @480371
     /*  480371 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(480457), // Rule ID 24736 //
     /*  480376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480423 */     // MIs[1] Operand 1
     /*  480423 */     // No operand predicates
     /*  480423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480455 */     GIR_RootConstrainSelectedInstOperands,
     /*  480456 */     // GIR_Coverage, 24736,
     /*  480456 */     GIR_EraseRootFromParent_Done,
     /*  480457 */   // Label 8101: @480457
     /*  480457 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(480543), // Rule ID 24737 //
     /*  480462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480509 */     // MIs[1] Operand 1
     /*  480509 */     // No operand predicates
     /*  480509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480541 */     GIR_RootConstrainSelectedInstOperands,
     /*  480542 */     // GIR_Coverage, 24737,
     /*  480542 */     GIR_EraseRootFromParent_Done,
     /*  480543 */   // Label 8102: @480543
     /*  480543 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(480629), // Rule ID 24740 //
     /*  480548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  480565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480595 */     // MIs[1] Operand 1
     /*  480595 */     // No operand predicates
     /*  480595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480627 */     GIR_RootConstrainSelectedInstOperands,
     /*  480628 */     // GIR_Coverage, 24740,
     /*  480628 */     GIR_EraseRootFromParent_Done,
     /*  480629 */   // Label 8103: @480629
     /*  480629 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(480715), // Rule ID 24741 //
     /*  480634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  480651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480681 */     // MIs[1] Operand 1
     /*  480681 */     // No operand predicates
     /*  480681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  480690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480713 */     GIR_RootConstrainSelectedInstOperands,
     /*  480714 */     // GIR_Coverage, 24741,
     /*  480714 */     GIR_EraseRootFromParent_Done,
     /*  480715 */   // Label 8104: @480715
     /*  480715 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(480801), // Rule ID 24744 //
     /*  480720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  480737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480767 */     // MIs[1] Operand 1
     /*  480767 */     // No operand predicates
     /*  480767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480799 */     GIR_RootConstrainSelectedInstOperands,
     /*  480800 */     // GIR_Coverage, 24744,
     /*  480800 */     GIR_EraseRootFromParent_Done,
     /*  480801 */   // Label 8105: @480801
     /*  480801 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(480887), // Rule ID 24745 //
     /*  480806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  480823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480853 */     // MIs[1] Operand 1
     /*  480853 */     // No operand predicates
     /*  480853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  480862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480885 */     GIR_RootConstrainSelectedInstOperands,
     /*  480886 */     // GIR_Coverage, 24745,
     /*  480886 */     GIR_EraseRootFromParent_Done,
     /*  480887 */   // Label 8106: @480887
     /*  480887 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(480973), // Rule ID 24748 //
     /*  480892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  480909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480939 */     // MIs[1] Operand 1
     /*  480939 */     // No operand predicates
     /*  480939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480971 */     GIR_RootConstrainSelectedInstOperands,
     /*  480972 */     // GIR_Coverage, 24748,
     /*  480972 */     GIR_EraseRootFromParent_Done,
     /*  480973 */   // Label 8107: @480973
     /*  480973 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(481059), // Rule ID 24749 //
     /*  480978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  480995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481025 */     // MIs[1] Operand 1
     /*  481025 */     // No operand predicates
     /*  481025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481057 */     GIR_RootConstrainSelectedInstOperands,
     /*  481058 */     // GIR_Coverage, 24749,
     /*  481058 */     GIR_EraseRootFromParent_Done,
     /*  481059 */   // Label 8108: @481059
     /*  481059 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(481145), // Rule ID 24908 //
     /*  481064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481111 */     // MIs[1] Operand 1
     /*  481111 */     // No operand predicates
     /*  481111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481120 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481143 */     GIR_RootConstrainSelectedInstOperands,
     /*  481144 */     // GIR_Coverage, 24908,
     /*  481144 */     GIR_EraseRootFromParent_Done,
     /*  481145 */   // Label 8109: @481145
     /*  481145 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(481231), // Rule ID 24909 //
     /*  481150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481197 */     // MIs[1] Operand 1
     /*  481197 */     // No operand predicates
     /*  481197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481206 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481229 */     GIR_RootConstrainSelectedInstOperands,
     /*  481230 */     // GIR_Coverage, 24909,
     /*  481230 */     GIR_EraseRootFromParent_Done,
     /*  481231 */   // Label 8110: @481231
     /*  481231 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(481317), // Rule ID 24912 //
     /*  481236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481283 */     // MIs[1] Operand 1
     /*  481283 */     // No operand predicates
     /*  481283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481315 */     GIR_RootConstrainSelectedInstOperands,
     /*  481316 */     // GIR_Coverage, 24912,
     /*  481316 */     GIR_EraseRootFromParent_Done,
     /*  481317 */   // Label 8111: @481317
     /*  481317 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(481403), // Rule ID 24913 //
     /*  481322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481369 */     // MIs[1] Operand 1
     /*  481369 */     // No operand predicates
     /*  481369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481401 */     GIR_RootConstrainSelectedInstOperands,
     /*  481402 */     // GIR_Coverage, 24913,
     /*  481402 */     GIR_EraseRootFromParent_Done,
     /*  481403 */   // Label 8112: @481403
     /*  481403 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(481489), // Rule ID 24916 //
     /*  481408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  481411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481455 */     // MIs[1] Operand 1
     /*  481455 */     // No operand predicates
     /*  481455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481464 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481487 */     GIR_RootConstrainSelectedInstOperands,
     /*  481488 */     // GIR_Coverage, 24916,
     /*  481488 */     GIR_EraseRootFromParent_Done,
     /*  481489 */   // Label 8113: @481489
     /*  481489 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(481575), // Rule ID 24917 //
     /*  481494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  481497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481541 */     // MIs[1] Operand 1
     /*  481541 */     // No operand predicates
     /*  481541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481550 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481573 */     GIR_RootConstrainSelectedInstOperands,
     /*  481574 */     // GIR_Coverage, 24917,
     /*  481574 */     GIR_EraseRootFromParent_Done,
     /*  481575 */   // Label 8114: @481575
     /*  481575 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(481661), // Rule ID 24920 //
     /*  481580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481627 */     // MIs[1] Operand 1
     /*  481627 */     // No operand predicates
     /*  481627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481636 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481659 */     GIR_RootConstrainSelectedInstOperands,
     /*  481660 */     // GIR_Coverage, 24920,
     /*  481660 */     GIR_EraseRootFromParent_Done,
     /*  481661 */   // Label 8115: @481661
     /*  481661 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(481747), // Rule ID 24921 //
     /*  481666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481713 */     // MIs[1] Operand 1
     /*  481713 */     // No operand predicates
     /*  481713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481722 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481745 */     GIR_RootConstrainSelectedInstOperands,
     /*  481746 */     // GIR_Coverage, 24921,
     /*  481746 */     GIR_EraseRootFromParent_Done,
     /*  481747 */   // Label 8116: @481747
     /*  481747 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(481833), // Rule ID 24924 //
     /*  481752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481799 */     // MIs[1] Operand 1
     /*  481799 */     // No operand predicates
     /*  481799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481808 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481831 */     GIR_RootConstrainSelectedInstOperands,
     /*  481832 */     // GIR_Coverage, 24924,
     /*  481832 */     GIR_EraseRootFromParent_Done,
     /*  481833 */   // Label 8117: @481833
     /*  481833 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(481919), // Rule ID 24925 //
     /*  481838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481885 */     // MIs[1] Operand 1
     /*  481885 */     // No operand predicates
     /*  481885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481894 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481917 */     GIR_RootConstrainSelectedInstOperands,
     /*  481918 */     // GIR_Coverage, 24925,
     /*  481918 */     GIR_EraseRootFromParent_Done,
     /*  481919 */   // Label 8118: @481919
     /*  481919 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(482005), // Rule ID 24928 //
     /*  481924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  481941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481971 */     // MIs[1] Operand 1
     /*  481971 */     // No operand predicates
     /*  481971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481980 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482003 */     GIR_RootConstrainSelectedInstOperands,
     /*  482004 */     // GIR_Coverage, 24928,
     /*  482004 */     GIR_EraseRootFromParent_Done,
     /*  482005 */   // Label 8119: @482005
     /*  482005 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(482091), // Rule ID 24929 //
     /*  482010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  482013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  482021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  482024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  482027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482057 */     // MIs[1] Operand 1
     /*  482057 */     // No operand predicates
     /*  482057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482066 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482089 */     GIR_RootConstrainSelectedInstOperands,
     /*  482090 */     // GIR_Coverage, 24929,
     /*  482090 */     GIR_EraseRootFromParent_Done,
     /*  482091 */   // Label 8120: @482091
     /*  482091 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(482177), // Rule ID 24932 //
     /*  482096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  482107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  482110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  482113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482143 */     // MIs[1] Operand 1
     /*  482143 */     // No operand predicates
     /*  482143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482152 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482175 */     GIR_RootConstrainSelectedInstOperands,
     /*  482176 */     // GIR_Coverage, 24932,
     /*  482176 */     GIR_EraseRootFromParent_Done,
     /*  482177 */   // Label 8121: @482177
     /*  482177 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(482263), // Rule ID 24933 //
     /*  482182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  482193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  482196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  482199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482229 */     // MIs[1] Operand 1
     /*  482229 */     // No operand predicates
     /*  482229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482238 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482261 */     GIR_RootConstrainSelectedInstOperands,
     /*  482262 */     // GIR_Coverage, 24933,
     /*  482262 */     GIR_EraseRootFromParent_Done,
     /*  482263 */   // Label 8122: @482263
     /*  482263 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(482349), // Rule ID 24936 //
     /*  482268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  482285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482315 */     // MIs[1] Operand 1
     /*  482315 */     // No operand predicates
     /*  482315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482324 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482347 */     GIR_RootConstrainSelectedInstOperands,
     /*  482348 */     // GIR_Coverage, 24936,
     /*  482348 */     GIR_EraseRootFromParent_Done,
     /*  482349 */   // Label 8123: @482349
     /*  482349 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(482435), // Rule ID 24937 //
     /*  482354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  482371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482401 */     // MIs[1] Operand 1
     /*  482401 */     // No operand predicates
     /*  482401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482410 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482433 */     GIR_RootConstrainSelectedInstOperands,
     /*  482434 */     // GIR_Coverage, 24937,
     /*  482434 */     GIR_EraseRootFromParent_Done,
     /*  482435 */   // Label 8124: @482435
     /*  482435 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(482521), // Rule ID 24940 //
     /*  482440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  482457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482487 */     // MIs[1] Operand 1
     /*  482487 */     // No operand predicates
     /*  482487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482519 */     GIR_RootConstrainSelectedInstOperands,
     /*  482520 */     // GIR_Coverage, 24940,
     /*  482520 */     GIR_EraseRootFromParent_Done,
     /*  482521 */   // Label 8125: @482521
     /*  482521 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(482607), // Rule ID 24941 //
     /*  482526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  482543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482573 */     // MIs[1] Operand 1
     /*  482573 */     // No operand predicates
     /*  482573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482582 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482605 */     GIR_RootConstrainSelectedInstOperands,
     /*  482606 */     // GIR_Coverage, 24941,
     /*  482606 */     GIR_EraseRootFromParent_Done,
     /*  482607 */   // Label 8126: @482607
     /*  482607 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(482693), // Rule ID 24992 //
     /*  482612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482659 */     // MIs[1] Operand 1
     /*  482659 */     // No operand predicates
     /*  482659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482668 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  482671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482691 */     GIR_RootConstrainSelectedInstOperands,
     /*  482692 */     // GIR_Coverage, 24992,
     /*  482692 */     GIR_EraseRootFromParent_Done,
     /*  482693 */   // Label 8127: @482693
     /*  482693 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(482779), // Rule ID 24993 //
     /*  482698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482745 */     // MIs[1] Operand 1
     /*  482745 */     // No operand predicates
     /*  482745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482754 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  482757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482777 */     GIR_RootConstrainSelectedInstOperands,
     /*  482778 */     // GIR_Coverage, 24993,
     /*  482778 */     GIR_EraseRootFromParent_Done,
     /*  482779 */   // Label 8128: @482779
     /*  482779 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(482865), // Rule ID 24996 //
     /*  482784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482831 */     // MIs[1] Operand 1
     /*  482831 */     // No operand predicates
     /*  482831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482840 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  482843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482863 */     GIR_RootConstrainSelectedInstOperands,
     /*  482864 */     // GIR_Coverage, 24996,
     /*  482864 */     GIR_EraseRootFromParent_Done,
     /*  482865 */   // Label 8129: @482865
     /*  482865 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(482951), // Rule ID 24997 //
     /*  482870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482917 */     // MIs[1] Operand 1
     /*  482917 */     // No operand predicates
     /*  482917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  482929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482949 */     GIR_RootConstrainSelectedInstOperands,
     /*  482950 */     // GIR_Coverage, 24997,
     /*  482950 */     GIR_EraseRootFromParent_Done,
     /*  482951 */   // Label 8130: @482951
     /*  482951 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(483037), // Rule ID 25000 //
     /*  482956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483003 */     // MIs[1] Operand 1
     /*  483003 */     // No operand predicates
     /*  483003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  483015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483035 */     GIR_RootConstrainSelectedInstOperands,
     /*  483036 */     // GIR_Coverage, 25000,
     /*  483036 */     GIR_EraseRootFromParent_Done,
     /*  483037 */   // Label 8131: @483037
     /*  483037 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(483123), // Rule ID 25001 //
     /*  483042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483089 */     // MIs[1] Operand 1
     /*  483089 */     // No operand predicates
     /*  483089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483098 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  483101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483121 */     GIR_RootConstrainSelectedInstOperands,
     /*  483122 */     // GIR_Coverage, 25001,
     /*  483122 */     GIR_EraseRootFromParent_Done,
     /*  483123 */   // Label 8132: @483123
     /*  483123 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(483209), // Rule ID 25004 //
     /*  483128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  483131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483175 */     // MIs[1] Operand 1
     /*  483175 */     // No operand predicates
     /*  483175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483207 */     GIR_RootConstrainSelectedInstOperands,
     /*  483208 */     // GIR_Coverage, 25004,
     /*  483208 */     GIR_EraseRootFromParent_Done,
     /*  483209 */   // Label 8133: @483209
     /*  483209 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(483295), // Rule ID 25005 //
     /*  483214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483261 */     // MIs[1] Operand 1
     /*  483261 */     // No operand predicates
     /*  483261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483270 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483293 */     GIR_RootConstrainSelectedInstOperands,
     /*  483294 */     // GIR_Coverage, 25005,
     /*  483294 */     GIR_EraseRootFromParent_Done,
     /*  483295 */   // Label 8134: @483295
     /*  483295 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(483381), // Rule ID 25008 //
     /*  483300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  483303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483347 */     // MIs[1] Operand 1
     /*  483347 */     // No operand predicates
     /*  483347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483356 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483379 */     GIR_RootConstrainSelectedInstOperands,
     /*  483380 */     // GIR_Coverage, 25008,
     /*  483380 */     GIR_EraseRootFromParent_Done,
     /*  483381 */   // Label 8135: @483381
     /*  483381 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(483467), // Rule ID 25009 //
     /*  483386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483433 */     // MIs[1] Operand 1
     /*  483433 */     // No operand predicates
     /*  483433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483442 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483465 */     GIR_RootConstrainSelectedInstOperands,
     /*  483466 */     // GIR_Coverage, 25009,
     /*  483466 */     GIR_EraseRootFromParent_Done,
     /*  483467 */   // Label 8136: @483467
     /*  483467 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(483553), // Rule ID 25012 //
     /*  483472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  483475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  483483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  483486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  483489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483519 */     // MIs[1] Operand 1
     /*  483519 */     // No operand predicates
     /*  483519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483528 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483551 */     GIR_RootConstrainSelectedInstOperands,
     /*  483552 */     // GIR_Coverage, 25012,
     /*  483552 */     GIR_EraseRootFromParent_Done,
     /*  483553 */   // Label 8137: @483553
     /*  483553 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(483639), // Rule ID 25013 //
     /*  483558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  483569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  483572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  483575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483605 */     // MIs[1] Operand 1
     /*  483605 */     // No operand predicates
     /*  483605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483637 */     GIR_RootConstrainSelectedInstOperands,
     /*  483638 */     // GIR_Coverage, 25013,
     /*  483638 */     GIR_EraseRootFromParent_Done,
     /*  483639 */   // Label 8138: @483639
     /*  483639 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(483725), // Rule ID 61024 //
     /*  483644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483691 */     // MIs[1] Operand 1
     /*  483691 */     // No operand predicates
     /*  483691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  483703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483723 */     GIR_RootConstrainSelectedInstOperands,
     /*  483724 */     // GIR_Coverage, 61024,
     /*  483724 */     GIR_EraseRootFromParent_Done,
     /*  483725 */   // Label 8139: @483725
     /*  483725 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(483811), // Rule ID 61025 //
     /*  483730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  483733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483777 */     // MIs[1] Operand 1
     /*  483777 */     // No operand predicates
     /*  483777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  483789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483809 */     GIR_RootConstrainSelectedInstOperands,
     /*  483810 */     // GIR_Coverage, 61025,
     /*  483810 */     GIR_EraseRootFromParent_Done,
     /*  483811 */   // Label 8140: @483811
     /*  483811 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(483897), // Rule ID 61032 //
     /*  483816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483863 */     // MIs[1] Operand 1
     /*  483863 */     // No operand predicates
     /*  483863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  483875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483895 */     GIR_RootConstrainSelectedInstOperands,
     /*  483896 */     // GIR_Coverage, 61032,
     /*  483896 */     GIR_EraseRootFromParent_Done,
     /*  483897 */   // Label 8141: @483897
     /*  483897 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(483983), // Rule ID 61033 //
     /*  483902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  483905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483949 */     // MIs[1] Operand 1
     /*  483949 */     // No operand predicates
     /*  483949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  483961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483981 */     GIR_RootConstrainSelectedInstOperands,
     /*  483982 */     // GIR_Coverage, 61033,
     /*  483982 */     GIR_EraseRootFromParent_Done,
     /*  483983 */   // Label 8142: @483983
     /*  483983 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(484069), // Rule ID 61040 //
     /*  483988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  484005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484035 */     // MIs[1] Operand 1
     /*  484035 */     // No operand predicates
     /*  484035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484067 */     GIR_RootConstrainSelectedInstOperands,
     /*  484068 */     // GIR_Coverage, 61040,
     /*  484068 */     GIR_EraseRootFromParent_Done,
     /*  484069 */   // Label 8143: @484069
     /*  484069 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(484155), // Rule ID 61041 //
     /*  484074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  484091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484121 */     // MIs[1] Operand 1
     /*  484121 */     // No operand predicates
     /*  484121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484153 */     GIR_RootConstrainSelectedInstOperands,
     /*  484154 */     // GIR_Coverage, 61041,
     /*  484154 */     GIR_EraseRootFromParent_Done,
     /*  484155 */   // Label 8144: @484155
     /*  484155 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(484241), // Rule ID 61048 //
     /*  484160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484207 */     // MIs[1] Operand 1
     /*  484207 */     // No operand predicates
     /*  484207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484239 */     GIR_RootConstrainSelectedInstOperands,
     /*  484240 */     // GIR_Coverage, 61048,
     /*  484240 */     GIR_EraseRootFromParent_Done,
     /*  484241 */   // Label 8145: @484241
     /*  484241 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(484327), // Rule ID 61049 //
     /*  484246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484293 */     // MIs[1] Operand 1
     /*  484293 */     // No operand predicates
     /*  484293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484325 */     GIR_RootConstrainSelectedInstOperands,
     /*  484326 */     // GIR_Coverage, 61049,
     /*  484326 */     GIR_EraseRootFromParent_Done,
     /*  484327 */   // Label 8146: @484327
     /*  484327 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(484413), // Rule ID 61056 //
     /*  484332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484379 */     // MIs[1] Operand 1
     /*  484379 */     // No operand predicates
     /*  484379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484411 */     GIR_RootConstrainSelectedInstOperands,
     /*  484412 */     // GIR_Coverage, 61056,
     /*  484412 */     GIR_EraseRootFromParent_Done,
     /*  484413 */   // Label 8147: @484413
     /*  484413 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(484499), // Rule ID 61057 //
     /*  484418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484465 */     // MIs[1] Operand 1
     /*  484465 */     // No operand predicates
     /*  484465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484497 */     GIR_RootConstrainSelectedInstOperands,
     /*  484498 */     // GIR_Coverage, 61057,
     /*  484498 */     GIR_EraseRootFromParent_Done,
     /*  484499 */   // Label 8148: @484499
     /*  484499 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(484585), // Rule ID 61064 //
     /*  484504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484551 */     // MIs[1] Operand 1
     /*  484551 */     // No operand predicates
     /*  484551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  484563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484583 */     GIR_RootConstrainSelectedInstOperands,
     /*  484584 */     // GIR_Coverage, 61064,
     /*  484584 */     GIR_EraseRootFromParent_Done,
     /*  484585 */   // Label 8149: @484585
     /*  484585 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(484671), // Rule ID 61065 //
     /*  484590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484637 */     // MIs[1] Operand 1
     /*  484637 */     // No operand predicates
     /*  484637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  484649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484669 */     GIR_RootConstrainSelectedInstOperands,
     /*  484670 */     // GIR_Coverage, 61065,
     /*  484670 */     GIR_EraseRootFromParent_Done,
     /*  484671 */   // Label 8150: @484671
     /*  484671 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(484757), // Rule ID 61072 //
     /*  484676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484723 */     // MIs[1] Operand 1
     /*  484723 */     // No operand predicates
     /*  484723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484755 */     GIR_RootConstrainSelectedInstOperands,
     /*  484756 */     // GIR_Coverage, 61072,
     /*  484756 */     GIR_EraseRootFromParent_Done,
     /*  484757 */   // Label 8151: @484757
     /*  484757 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(484843), // Rule ID 61073 //
     /*  484762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484809 */     // MIs[1] Operand 1
     /*  484809 */     // No operand predicates
     /*  484809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484841 */     GIR_RootConstrainSelectedInstOperands,
     /*  484842 */     // GIR_Coverage, 61073,
     /*  484842 */     GIR_EraseRootFromParent_Done,
     /*  484843 */   // Label 8152: @484843
     /*  484843 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(484929), // Rule ID 61080 //
     /*  484848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484895 */     // MIs[1] Operand 1
     /*  484895 */     // No operand predicates
     /*  484895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484927 */     GIR_RootConstrainSelectedInstOperands,
     /*  484928 */     // GIR_Coverage, 61080,
     /*  484928 */     GIR_EraseRootFromParent_Done,
     /*  484929 */   // Label 8153: @484929
     /*  484929 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(485015), // Rule ID 61081 //
     /*  484934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484981 */     // MIs[1] Operand 1
     /*  484981 */     // No operand predicates
     /*  484981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485013 */     GIR_RootConstrainSelectedInstOperands,
     /*  485014 */     // GIR_Coverage, 61081,
     /*  485014 */     GIR_EraseRootFromParent_Done,
     /*  485015 */   // Label 8154: @485015
     /*  485015 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(485101), // Rule ID 61088 //
     /*  485020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485067 */     // MIs[1] Operand 1
     /*  485067 */     // No operand predicates
     /*  485067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485099 */     GIR_RootConstrainSelectedInstOperands,
     /*  485100 */     // GIR_Coverage, 61088,
     /*  485100 */     GIR_EraseRootFromParent_Done,
     /*  485101 */   // Label 8155: @485101
     /*  485101 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(485187), // Rule ID 61089 //
     /*  485106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485153 */     // MIs[1] Operand 1
     /*  485153 */     // No operand predicates
     /*  485153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485185 */     GIR_RootConstrainSelectedInstOperands,
     /*  485186 */     // GIR_Coverage, 61089,
     /*  485186 */     GIR_EraseRootFromParent_Done,
     /*  485187 */   // Label 8156: @485187
     /*  485187 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(485273), // Rule ID 61096 //
     /*  485192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485239 */     // MIs[1] Operand 1
     /*  485239 */     // No operand predicates
     /*  485239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485271 */     GIR_RootConstrainSelectedInstOperands,
     /*  485272 */     // GIR_Coverage, 61096,
     /*  485272 */     GIR_EraseRootFromParent_Done,
     /*  485273 */   // Label 8157: @485273
     /*  485273 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(485359), // Rule ID 61097 //
     /*  485278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485325 */     // MIs[1] Operand 1
     /*  485325 */     // No operand predicates
     /*  485325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485357 */     GIR_RootConstrainSelectedInstOperands,
     /*  485358 */     // GIR_Coverage, 61097,
     /*  485358 */     GIR_EraseRootFromParent_Done,
     /*  485359 */   // Label 8158: @485359
     /*  485359 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(485445), // Rule ID 61104 //
     /*  485364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485411 */     // MIs[1] Operand 1
     /*  485411 */     // No operand predicates
     /*  485411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485443 */     GIR_RootConstrainSelectedInstOperands,
     /*  485444 */     // GIR_Coverage, 61104,
     /*  485444 */     GIR_EraseRootFromParent_Done,
     /*  485445 */   // Label 8159: @485445
     /*  485445 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(485531), // Rule ID 61105 //
     /*  485450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485497 */     // MIs[1] Operand 1
     /*  485497 */     // No operand predicates
     /*  485497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485529 */     GIR_RootConstrainSelectedInstOperands,
     /*  485530 */     // GIR_Coverage, 61105,
     /*  485530 */     GIR_EraseRootFromParent_Done,
     /*  485531 */   // Label 8160: @485531
     /*  485531 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(485617), // Rule ID 61112 //
     /*  485536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485583 */     // MIs[1] Operand 1
     /*  485583 */     // No operand predicates
     /*  485583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485615 */     GIR_RootConstrainSelectedInstOperands,
     /*  485616 */     // GIR_Coverage, 61112,
     /*  485616 */     GIR_EraseRootFromParent_Done,
     /*  485617 */   // Label 8161: @485617
     /*  485617 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(485703), // Rule ID 61113 //
     /*  485622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485669 */     // MIs[1] Operand 1
     /*  485669 */     // No operand predicates
     /*  485669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485701 */     GIR_RootConstrainSelectedInstOperands,
     /*  485702 */     // GIR_Coverage, 61113,
     /*  485702 */     GIR_EraseRootFromParent_Done,
     /*  485703 */   // Label 8162: @485703
     /*  485703 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(485789), // Rule ID 61120 //
     /*  485708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485755 */     // MIs[1] Operand 1
     /*  485755 */     // No operand predicates
     /*  485755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485787 */     GIR_RootConstrainSelectedInstOperands,
     /*  485788 */     // GIR_Coverage, 61120,
     /*  485788 */     GIR_EraseRootFromParent_Done,
     /*  485789 */   // Label 8163: @485789
     /*  485789 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(485875), // Rule ID 61121 //
     /*  485794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485841 */     // MIs[1] Operand 1
     /*  485841 */     // No operand predicates
     /*  485841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485873 */     GIR_RootConstrainSelectedInstOperands,
     /*  485874 */     // GIR_Coverage, 61121,
     /*  485874 */     GIR_EraseRootFromParent_Done,
     /*  485875 */   // Label 8164: @485875
     /*  485875 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(485961), // Rule ID 61128 //
     /*  485880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485927 */     // MIs[1] Operand 1
     /*  485927 */     // No operand predicates
     /*  485927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485959 */     GIR_RootConstrainSelectedInstOperands,
     /*  485960 */     // GIR_Coverage, 61128,
     /*  485960 */     GIR_EraseRootFromParent_Done,
     /*  485961 */   // Label 8165: @485961
     /*  485961 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486047), // Rule ID 61129 //
     /*  485966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486013 */     // MIs[1] Operand 1
     /*  486013 */     // No operand predicates
     /*  486013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  486025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486045 */     GIR_RootConstrainSelectedInstOperands,
     /*  486046 */     // GIR_Coverage, 61129,
     /*  486046 */     GIR_EraseRootFromParent_Done,
     /*  486047 */   // Label 8166: @486047
     /*  486047 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(486133), // Rule ID 61136 //
     /*  486052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  486055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486099 */     // MIs[1] Operand 1
     /*  486099 */     // No operand predicates
     /*  486099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  486111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486131 */     GIR_RootConstrainSelectedInstOperands,
     /*  486132 */     // GIR_Coverage, 61136,
     /*  486132 */     GIR_EraseRootFromParent_Done,
     /*  486133 */   // Label 8167: @486133
     /*  486133 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(486219), // Rule ID 61137 //
     /*  486138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  486141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486185 */     // MIs[1] Operand 1
     /*  486185 */     // No operand predicates
     /*  486185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  486197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486217 */     GIR_RootConstrainSelectedInstOperands,
     /*  486218 */     // GIR_Coverage, 61137,
     /*  486218 */     GIR_EraseRootFromParent_Done,
     /*  486219 */   // Label 8168: @486219
     /*  486219 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(486305), // Rule ID 61992 //
     /*  486224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486271 */     // MIs[1] Operand 1
     /*  486271 */     // No operand predicates
     /*  486271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486303 */     GIR_RootConstrainSelectedInstOperands,
     /*  486304 */     // GIR_Coverage, 61992,
     /*  486304 */     GIR_EraseRootFromParent_Done,
     /*  486305 */   // Label 8169: @486305
     /*  486305 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(486391), // Rule ID 61993 //
     /*  486310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486357 */     // MIs[1] Operand 1
     /*  486357 */     // No operand predicates
     /*  486357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486389 */     GIR_RootConstrainSelectedInstOperands,
     /*  486390 */     // GIR_Coverage, 61993,
     /*  486390 */     GIR_EraseRootFromParent_Done,
     /*  486391 */   // Label 8170: @486391
     /*  486391 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(486477), // Rule ID 61996 //
     /*  486396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486443 */     // MIs[1] Operand 1
     /*  486443 */     // No operand predicates
     /*  486443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486475 */     GIR_RootConstrainSelectedInstOperands,
     /*  486476 */     // GIR_Coverage, 61996,
     /*  486476 */     GIR_EraseRootFromParent_Done,
     /*  486477 */   // Label 8171: @486477
     /*  486477 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(486563), // Rule ID 61997 //
     /*  486482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486529 */     // MIs[1] Operand 1
     /*  486529 */     // No operand predicates
     /*  486529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486561 */     GIR_RootConstrainSelectedInstOperands,
     /*  486562 */     // GIR_Coverage, 61997,
     /*  486562 */     GIR_EraseRootFromParent_Done,
     /*  486563 */   // Label 8172: @486563
     /*  486563 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(486649), // Rule ID 62000 //
     /*  486568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  486579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  486582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486615 */     // MIs[1] Operand 1
     /*  486615 */     // No operand predicates
     /*  486615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486647 */     GIR_RootConstrainSelectedInstOperands,
     /*  486648 */     // GIR_Coverage, 62000,
     /*  486648 */     GIR_EraseRootFromParent_Done,
     /*  486649 */   // Label 8173: @486649
     /*  486649 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(486735), // Rule ID 62001 //
     /*  486654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  486665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  486668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486701 */     // MIs[1] Operand 1
     /*  486701 */     // No operand predicates
     /*  486701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486710 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486733 */     GIR_RootConstrainSelectedInstOperands,
     /*  486734 */     // GIR_Coverage, 62001,
     /*  486734 */     GIR_EraseRootFromParent_Done,
     /*  486735 */   // Label 8174: @486735
     /*  486735 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(486821), // Rule ID 62004 //
     /*  486740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486787 */     // MIs[1] Operand 1
     /*  486787 */     // No operand predicates
     /*  486787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486819 */     GIR_RootConstrainSelectedInstOperands,
     /*  486820 */     // GIR_Coverage, 62004,
     /*  486820 */     GIR_EraseRootFromParent_Done,
     /*  486821 */   // Label 8175: @486821
     /*  486821 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(486907), // Rule ID 62005 //
     /*  486826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486873 */     // MIs[1] Operand 1
     /*  486873 */     // No operand predicates
     /*  486873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486905 */     GIR_RootConstrainSelectedInstOperands,
     /*  486906 */     // GIR_Coverage, 62005,
     /*  486906 */     GIR_EraseRootFromParent_Done,
     /*  486907 */   // Label 8176: @486907
     /*  486907 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(486993), // Rule ID 62008 //
     /*  486912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486959 */     // MIs[1] Operand 1
     /*  486959 */     // No operand predicates
     /*  486959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486991 */     GIR_RootConstrainSelectedInstOperands,
     /*  486992 */     // GIR_Coverage, 62008,
     /*  486992 */     GIR_EraseRootFromParent_Done,
     /*  486993 */   // Label 8177: @486993
     /*  486993 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487079), // Rule ID 62009 //
     /*  486998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487045 */     // MIs[1] Operand 1
     /*  487045 */     // No operand predicates
     /*  487045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487077 */     GIR_RootConstrainSelectedInstOperands,
     /*  487078 */     // GIR_Coverage, 62009,
     /*  487078 */     GIR_EraseRootFromParent_Done,
     /*  487079 */   // Label 8178: @487079
     /*  487079 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(487165), // Rule ID 62012 //
     /*  487084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487131 */     // MIs[1] Operand 1
     /*  487131 */     // No operand predicates
     /*  487131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487163 */     GIR_RootConstrainSelectedInstOperands,
     /*  487164 */     // GIR_Coverage, 62012,
     /*  487164 */     GIR_EraseRootFromParent_Done,
     /*  487165 */   // Label 8179: @487165
     /*  487165 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(487251), // Rule ID 62013 //
     /*  487170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487217 */     // MIs[1] Operand 1
     /*  487217 */     // No operand predicates
     /*  487217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487249 */     GIR_RootConstrainSelectedInstOperands,
     /*  487250 */     // GIR_Coverage, 62013,
     /*  487250 */     GIR_EraseRootFromParent_Done,
     /*  487251 */   // Label 8180: @487251
     /*  487251 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(487337), // Rule ID 62016 //
     /*  487256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487303 */     // MIs[1] Operand 1
     /*  487303 */     // No operand predicates
     /*  487303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487335 */     GIR_RootConstrainSelectedInstOperands,
     /*  487336 */     // GIR_Coverage, 62016,
     /*  487336 */     GIR_EraseRootFromParent_Done,
     /*  487337 */   // Label 8181: @487337
     /*  487337 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(487423), // Rule ID 62017 //
     /*  487342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487389 */     // MIs[1] Operand 1
     /*  487389 */     // No operand predicates
     /*  487389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487421 */     GIR_RootConstrainSelectedInstOperands,
     /*  487422 */     // GIR_Coverage, 62017,
     /*  487422 */     GIR_EraseRootFromParent_Done,
     /*  487423 */   // Label 8182: @487423
     /*  487423 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(487509), // Rule ID 62020 //
     /*  487428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487475 */     // MIs[1] Operand 1
     /*  487475 */     // No operand predicates
     /*  487475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487507 */     GIR_RootConstrainSelectedInstOperands,
     /*  487508 */     // GIR_Coverage, 62020,
     /*  487508 */     GIR_EraseRootFromParent_Done,
     /*  487509 */   // Label 8183: @487509
     /*  487509 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(487595), // Rule ID 62021 //
     /*  487514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487561 */     // MIs[1] Operand 1
     /*  487561 */     // No operand predicates
     /*  487561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487593 */     GIR_RootConstrainSelectedInstOperands,
     /*  487594 */     // GIR_Coverage, 62021,
     /*  487594 */     GIR_EraseRootFromParent_Done,
     /*  487595 */   // Label 8184: @487595
     /*  487595 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(487681), // Rule ID 62024 //
     /*  487600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487647 */     // MIs[1] Operand 1
     /*  487647 */     // No operand predicates
     /*  487647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487679 */     GIR_RootConstrainSelectedInstOperands,
     /*  487680 */     // GIR_Coverage, 62024,
     /*  487680 */     GIR_EraseRootFromParent_Done,
     /*  487681 */   // Label 8185: @487681
     /*  487681 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(487767), // Rule ID 62025 //
     /*  487686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487733 */     // MIs[1] Operand 1
     /*  487733 */     // No operand predicates
     /*  487733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487765 */     GIR_RootConstrainSelectedInstOperands,
     /*  487766 */     // GIR_Coverage, 62025,
     /*  487766 */     GIR_EraseRootFromParent_Done,
     /*  487767 */   // Label 8186: @487767
     /*  487767 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(487853), // Rule ID 62028 //
     /*  487772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487819 */     // MIs[1] Operand 1
     /*  487819 */     // No operand predicates
     /*  487819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  487828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  487848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487851 */     GIR_RootConstrainSelectedInstOperands,
     /*  487852 */     // GIR_Coverage, 62028,
     /*  487852 */     GIR_EraseRootFromParent_Done,
     /*  487853 */   // Label 8187: @487853
     /*  487853 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(487939), // Rule ID 62029 //
     /*  487858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487905 */     // MIs[1] Operand 1
     /*  487905 */     // No operand predicates
     /*  487905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  487914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  487934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487937 */     GIR_RootConstrainSelectedInstOperands,
     /*  487938 */     // GIR_Coverage, 62029,
     /*  487938 */     GIR_EraseRootFromParent_Done,
     /*  487939 */   // Label 8188: @487939
     /*  487939 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488025), // Rule ID 62032 //
     /*  487944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  487955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  487958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  487961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487991 */     // MIs[1] Operand 1
     /*  487991 */     // No operand predicates
     /*  487991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488023 */     GIR_RootConstrainSelectedInstOperands,
     /*  488024 */     // GIR_Coverage, 62032,
     /*  488024 */     GIR_EraseRootFromParent_Done,
     /*  488025 */   // Label 8189: @488025
     /*  488025 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488111), // Rule ID 62033 //
     /*  488030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  488041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  488044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488077 */     // MIs[1] Operand 1
     /*  488077 */     // No operand predicates
     /*  488077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488109 */     GIR_RootConstrainSelectedInstOperands,
     /*  488110 */     // GIR_Coverage, 62033,
     /*  488110 */     GIR_EraseRootFromParent_Done,
     /*  488111 */   // Label 8190: @488111
     /*  488111 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488197), // Rule ID 62036 //
     /*  488116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  488127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  488130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488163 */     // MIs[1] Operand 1
     /*  488163 */     // No operand predicates
     /*  488163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488195 */     GIR_RootConstrainSelectedInstOperands,
     /*  488196 */     // GIR_Coverage, 62036,
     /*  488196 */     GIR_EraseRootFromParent_Done,
     /*  488197 */   // Label 8191: @488197
     /*  488197 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(488283), // Rule ID 62037 //
     /*  488202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  488213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  488216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488249 */     // MIs[1] Operand 1
     /*  488249 */     // No operand predicates
     /*  488249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488281 */     GIR_RootConstrainSelectedInstOperands,
     /*  488282 */     // GIR_Coverage, 62037,
     /*  488282 */     GIR_EraseRootFromParent_Done,
     /*  488283 */   // Label 8192: @488283
     /*  488283 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(488369), // Rule ID 62040 //
     /*  488288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488335 */     // MIs[1] Operand 1
     /*  488335 */     // No operand predicates
     /*  488335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488344 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488367 */     GIR_RootConstrainSelectedInstOperands,
     /*  488368 */     // GIR_Coverage, 62040,
     /*  488368 */     GIR_EraseRootFromParent_Done,
     /*  488369 */   // Label 8193: @488369
     /*  488369 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(488455), // Rule ID 62041 //
     /*  488374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488421 */     // MIs[1] Operand 1
     /*  488421 */     // No operand predicates
     /*  488421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488453 */     GIR_RootConstrainSelectedInstOperands,
     /*  488454 */     // GIR_Coverage, 62041,
     /*  488454 */     GIR_EraseRootFromParent_Done,
     /*  488455 */   // Label 8194: @488455
     /*  488455 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(488541), // Rule ID 62044 //
     /*  488460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488507 */     // MIs[1] Operand 1
     /*  488507 */     // No operand predicates
     /*  488507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488539 */     GIR_RootConstrainSelectedInstOperands,
     /*  488540 */     // GIR_Coverage, 62044,
     /*  488540 */     GIR_EraseRootFromParent_Done,
     /*  488541 */   // Label 8195: @488541
     /*  488541 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(488627), // Rule ID 62045 //
     /*  488546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488593 */     // MIs[1] Operand 1
     /*  488593 */     // No operand predicates
     /*  488593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488625 */     GIR_RootConstrainSelectedInstOperands,
     /*  488626 */     // GIR_Coverage, 62045,
     /*  488626 */     GIR_EraseRootFromParent_Done,
     /*  488627 */   // Label 8196: @488627
     /*  488627 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(488713), // Rule ID 62048 //
     /*  488632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488679 */     // MIs[1] Operand 1
     /*  488679 */     // No operand predicates
     /*  488679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488711 */     GIR_RootConstrainSelectedInstOperands,
     /*  488712 */     // GIR_Coverage, 62048,
     /*  488712 */     GIR_EraseRootFromParent_Done,
     /*  488713 */   // Label 8197: @488713
     /*  488713 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(488799), // Rule ID 62049 //
     /*  488718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488765 */     // MIs[1] Operand 1
     /*  488765 */     // No operand predicates
     /*  488765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488797 */     GIR_RootConstrainSelectedInstOperands,
     /*  488798 */     // GIR_Coverage, 62049,
     /*  488798 */     GIR_EraseRootFromParent_Done,
     /*  488799 */   // Label 8198: @488799
     /*  488799 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(488885), // Rule ID 62052 //
     /*  488804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488851 */     // MIs[1] Operand 1
     /*  488851 */     // No operand predicates
     /*  488851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488883 */     GIR_RootConstrainSelectedInstOperands,
     /*  488884 */     // GIR_Coverage, 62052,
     /*  488884 */     GIR_EraseRootFromParent_Done,
     /*  488885 */   // Label 8199: @488885
     /*  488885 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(488971), // Rule ID 62053 //
     /*  488890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488937 */     // MIs[1] Operand 1
     /*  488937 */     // No operand predicates
     /*  488937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488969 */     GIR_RootConstrainSelectedInstOperands,
     /*  488970 */     // GIR_Coverage, 62053,
     /*  488970 */     GIR_EraseRootFromParent_Done,
     /*  488971 */   // Label 8200: @488971
     /*  488971 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489057), // Rule ID 62056 //
     /*  488976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489023 */     // MIs[1] Operand 1
     /*  489023 */     // No operand predicates
     /*  489023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489055 */     GIR_RootConstrainSelectedInstOperands,
     /*  489056 */     // GIR_Coverage, 62056,
     /*  489056 */     GIR_EraseRootFromParent_Done,
     /*  489057 */   // Label 8201: @489057
     /*  489057 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489143), // Rule ID 62057 //
     /*  489062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489109 */     // MIs[1] Operand 1
     /*  489109 */     // No operand predicates
     /*  489109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489141 */     GIR_RootConstrainSelectedInstOperands,
     /*  489142 */     // GIR_Coverage, 62057,
     /*  489142 */     GIR_EraseRootFromParent_Done,
     /*  489143 */   // Label 8202: @489143
     /*  489143 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489229), // Rule ID 62060 //
     /*  489148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489195 */     // MIs[1] Operand 1
     /*  489195 */     // No operand predicates
     /*  489195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489227 */     GIR_RootConstrainSelectedInstOperands,
     /*  489228 */     // GIR_Coverage, 62060,
     /*  489228 */     GIR_EraseRootFromParent_Done,
     /*  489229 */   // Label 8203: @489229
     /*  489229 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489315), // Rule ID 62061 //
     /*  489234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489281 */     // MIs[1] Operand 1
     /*  489281 */     // No operand predicates
     /*  489281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489313 */     GIR_RootConstrainSelectedInstOperands,
     /*  489314 */     // GIR_Coverage, 62061,
     /*  489314 */     GIR_EraseRootFromParent_Done,
     /*  489315 */   // Label 8204: @489315
     /*  489315 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(489401), // Rule ID 62064 //
     /*  489320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489367 */     // MIs[1] Operand 1
     /*  489367 */     // No operand predicates
     /*  489367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489399 */     GIR_RootConstrainSelectedInstOperands,
     /*  489400 */     // GIR_Coverage, 62064,
     /*  489400 */     GIR_EraseRootFromParent_Done,
     /*  489401 */   // Label 8205: @489401
     /*  489401 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(489487), // Rule ID 62065 //
     /*  489406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489453 */     // MIs[1] Operand 1
     /*  489453 */     // No operand predicates
     /*  489453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489485 */     GIR_RootConstrainSelectedInstOperands,
     /*  489486 */     // GIR_Coverage, 62065,
     /*  489486 */     GIR_EraseRootFromParent_Done,
     /*  489487 */   // Label 8206: @489487
     /*  489487 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(489573), // Rule ID 62068 //
     /*  489492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489539 */     // MIs[1] Operand 1
     /*  489539 */     // No operand predicates
     /*  489539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489571 */     GIR_RootConstrainSelectedInstOperands,
     /*  489572 */     // GIR_Coverage, 62068,
     /*  489572 */     GIR_EraseRootFromParent_Done,
     /*  489573 */   // Label 8207: @489573
     /*  489573 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(489659), // Rule ID 62069 //
     /*  489578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489625 */     // MIs[1] Operand 1
     /*  489625 */     // No operand predicates
     /*  489625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489657 */     GIR_RootConstrainSelectedInstOperands,
     /*  489658 */     // GIR_Coverage, 62069,
     /*  489658 */     GIR_EraseRootFromParent_Done,
     /*  489659 */   // Label 8208: @489659
     /*  489659 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(489745), // Rule ID 62072 //
     /*  489664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489711 */     // MIs[1] Operand 1
     /*  489711 */     // No operand predicates
     /*  489711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489743 */     GIR_RootConstrainSelectedInstOperands,
     /*  489744 */     // GIR_Coverage, 62072,
     /*  489744 */     GIR_EraseRootFromParent_Done,
     /*  489745 */   // Label 8209: @489745
     /*  489745 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(489831), // Rule ID 62073 //
     /*  489750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489797 */     // MIs[1] Operand 1
     /*  489797 */     // No operand predicates
     /*  489797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489829 */     GIR_RootConstrainSelectedInstOperands,
     /*  489830 */     // GIR_Coverage, 62073,
     /*  489830 */     GIR_EraseRootFromParent_Done,
     /*  489831 */   // Label 8210: @489831
     /*  489831 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(489917), // Rule ID 62076 //
     /*  489836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489883 */     // MIs[1] Operand 1
     /*  489883 */     // No operand predicates
     /*  489883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489915 */     GIR_RootConstrainSelectedInstOperands,
     /*  489916 */     // GIR_Coverage, 62076,
     /*  489916 */     GIR_EraseRootFromParent_Done,
     /*  489917 */   // Label 8211: @489917
     /*  489917 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490003), // Rule ID 62077 //
     /*  489922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489969 */     // MIs[1] Operand 1
     /*  489969 */     // No operand predicates
     /*  489969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490001 */     GIR_RootConstrainSelectedInstOperands,
     /*  490002 */     // GIR_Coverage, 62077,
     /*  490002 */     GIR_EraseRootFromParent_Done,
     /*  490003 */   // Label 8212: @490003
     /*  490003 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490082), // Rule ID 2742 //
     /*  490008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490060 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  490063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490080 */     GIR_RootConstrainSelectedInstOperands,
     /*  490081 */     // GIR_Coverage, 2742,
     /*  490081 */     GIR_EraseRootFromParent_Done,
     /*  490082 */   // Label 8213: @490082
     /*  490082 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490161), // Rule ID 2743 //
     /*  490087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  490142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490159 */     GIR_RootConstrainSelectedInstOperands,
     /*  490160 */     // GIR_Coverage, 2743,
     /*  490160 */     GIR_EraseRootFromParent_Done,
     /*  490161 */   // Label 8214: @490161
     /*  490161 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490240), // Rule ID 4058 //
     /*  490166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490238 */     GIR_RootConstrainSelectedInstOperands,
     /*  490239 */     // GIR_Coverage, 4058,
     /*  490239 */     GIR_EraseRootFromParent_Done,
     /*  490240 */   // Label 8215: @490240
     /*  490240 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490319), // Rule ID 4059 //
     /*  490245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490317 */     GIR_RootConstrainSelectedInstOperands,
     /*  490318 */     // GIR_Coverage, 4059,
     /*  490318 */     GIR_EraseRootFromParent_Done,
     /*  490319 */   // Label 8216: @490319
     /*  490319 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(490398), // Rule ID 4068 //
     /*  490324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490396 */     GIR_RootConstrainSelectedInstOperands,
     /*  490397 */     // GIR_Coverage, 4068,
     /*  490397 */     GIR_EraseRootFromParent_Done,
     /*  490398 */   // Label 8217: @490398
     /*  490398 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(490477), // Rule ID 4069 //
     /*  490403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490475 */     GIR_RootConstrainSelectedInstOperands,
     /*  490476 */     // GIR_Coverage, 4069,
     /*  490476 */     GIR_EraseRootFromParent_Done,
     /*  490477 */   // Label 8218: @490477
     /*  490477 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(490556), // Rule ID 4078 //
     /*  490482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  490537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490554 */     GIR_RootConstrainSelectedInstOperands,
     /*  490555 */     // GIR_Coverage, 4078,
     /*  490555 */     GIR_EraseRootFromParent_Done,
     /*  490556 */   // Label 8219: @490556
     /*  490556 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(490635), // Rule ID 4079 //
     /*  490561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  490616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490633 */     GIR_RootConstrainSelectedInstOperands,
     /*  490634 */     // GIR_Coverage, 4079,
     /*  490634 */     GIR_EraseRootFromParent_Done,
     /*  490635 */   // Label 8220: @490635
     /*  490635 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(490714), // Rule ID 4088 //
     /*  490640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  490695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490712 */     GIR_RootConstrainSelectedInstOperands,
     /*  490713 */     // GIR_Coverage, 4088,
     /*  490713 */     GIR_EraseRootFromParent_Done,
     /*  490714 */   // Label 8221: @490714
     /*  490714 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(490793), // Rule ID 4089 //
     /*  490719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  490774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490791 */     GIR_RootConstrainSelectedInstOperands,
     /*  490792 */     // GIR_Coverage, 4089,
     /*  490792 */     GIR_EraseRootFromParent_Done,
     /*  490793 */   // Label 8222: @490793
     /*  490793 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(490872), // Rule ID 4098 //
     /*  490798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  490853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490870 */     GIR_RootConstrainSelectedInstOperands,
     /*  490871 */     // GIR_Coverage, 4098,
     /*  490871 */     GIR_EraseRootFromParent_Done,
     /*  490872 */   // Label 8223: @490872
     /*  490872 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(490951), // Rule ID 4099 //
     /*  490877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  490932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490949 */     GIR_RootConstrainSelectedInstOperands,
     /*  490950 */     // GIR_Coverage, 4099,
     /*  490950 */     GIR_EraseRootFromParent_Done,
     /*  490951 */   // Label 8224: @490951
     /*  490951 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491030), // Rule ID 4108 //
     /*  490956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  491011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491028 */     GIR_RootConstrainSelectedInstOperands,
     /*  491029 */     // GIR_Coverage, 4108,
     /*  491029 */     GIR_EraseRootFromParent_Done,
     /*  491030 */   // Label 8225: @491030
     /*  491030 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491109), // Rule ID 4109 //
     /*  491035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  491090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491107 */     GIR_RootConstrainSelectedInstOperands,
     /*  491108 */     // GIR_Coverage, 4109,
     /*  491108 */     GIR_EraseRootFromParent_Done,
     /*  491109 */   // Label 8226: @491109
     /*  491109 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491188), // Rule ID 4118 //
     /*  491114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491186 */     GIR_RootConstrainSelectedInstOperands,
     /*  491187 */     // GIR_Coverage, 4118,
     /*  491187 */     GIR_EraseRootFromParent_Done,
     /*  491188 */   // Label 8227: @491188
     /*  491188 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491267), // Rule ID 4119 //
     /*  491193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491265 */     GIR_RootConstrainSelectedInstOperands,
     /*  491266 */     // GIR_Coverage, 4119,
     /*  491266 */     GIR_EraseRootFromParent_Done,
     /*  491267 */   // Label 8228: @491267
     /*  491267 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491346), // Rule ID 4128 //
     /*  491272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491344 */     GIR_RootConstrainSelectedInstOperands,
     /*  491345 */     // GIR_Coverage, 4128,
     /*  491345 */     GIR_EraseRootFromParent_Done,
     /*  491346 */   // Label 8229: @491346
     /*  491346 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(491425), // Rule ID 4129 //
     /*  491351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491423 */     GIR_RootConstrainSelectedInstOperands,
     /*  491424 */     // GIR_Coverage, 4129,
     /*  491424 */     GIR_EraseRootFromParent_Done,
     /*  491425 */   // Label 8230: @491425
     /*  491425 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(491504), // Rule ID 4138 //
     /*  491430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491502 */     GIR_RootConstrainSelectedInstOperands,
     /*  491503 */     // GIR_Coverage, 4138,
     /*  491503 */     GIR_EraseRootFromParent_Done,
     /*  491504 */   // Label 8231: @491504
     /*  491504 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(491583), // Rule ID 4139 //
     /*  491509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491581 */     GIR_RootConstrainSelectedInstOperands,
     /*  491582 */     // GIR_Coverage, 4139,
     /*  491582 */     GIR_EraseRootFromParent_Done,
     /*  491583 */   // Label 8232: @491583
     /*  491583 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(491662), // Rule ID 4148 //
     /*  491588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491660 */     GIR_RootConstrainSelectedInstOperands,
     /*  491661 */     // GIR_Coverage, 4148,
     /*  491661 */     GIR_EraseRootFromParent_Done,
     /*  491662 */   // Label 8233: @491662
     /*  491662 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(491741), // Rule ID 4149 //
     /*  491667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491739 */     GIR_RootConstrainSelectedInstOperands,
     /*  491740 */     // GIR_Coverage, 4149,
     /*  491740 */     GIR_EraseRootFromParent_Done,
     /*  491741 */   // Label 8234: @491741
     /*  491741 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(491820), // Rule ID 4158 //
     /*  491746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491818 */     GIR_RootConstrainSelectedInstOperands,
     /*  491819 */     // GIR_Coverage, 4158,
     /*  491819 */     GIR_EraseRootFromParent_Done,
     /*  491820 */   // Label 8235: @491820
     /*  491820 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(491899), // Rule ID 4159 //
     /*  491825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491897 */     GIR_RootConstrainSelectedInstOperands,
     /*  491898 */     // GIR_Coverage, 4159,
     /*  491898 */     GIR_EraseRootFromParent_Done,
     /*  491899 */   // Label 8236: @491899
     /*  491899 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(491978), // Rule ID 4168 //
     /*  491904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491976 */     GIR_RootConstrainSelectedInstOperands,
     /*  491977 */     // GIR_Coverage, 4168,
     /*  491977 */     GIR_EraseRootFromParent_Done,
     /*  491978 */   // Label 8237: @491978
     /*  491978 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492057), // Rule ID 4169 //
     /*  491983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  492038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492055 */     GIR_RootConstrainSelectedInstOperands,
     /*  492056 */     // GIR_Coverage, 4169,
     /*  492056 */     GIR_EraseRootFromParent_Done,
     /*  492057 */   // Label 8238: @492057
     /*  492057 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492136), // Rule ID 4178 //
     /*  492062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  492117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492134 */     GIR_RootConstrainSelectedInstOperands,
     /*  492135 */     // GIR_Coverage, 4178,
     /*  492135 */     GIR_EraseRootFromParent_Done,
     /*  492136 */   // Label 8239: @492136
     /*  492136 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492215), // Rule ID 4179 //
     /*  492141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492193 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  492196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492213 */     GIR_RootConstrainSelectedInstOperands,
     /*  492214 */     // GIR_Coverage, 4179,
     /*  492214 */     GIR_EraseRootFromParent_Done,
     /*  492215 */   // Label 8240: @492215
     /*  492215 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492294), // Rule ID 4188 //
     /*  492220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492292 */     GIR_RootConstrainSelectedInstOperands,
     /*  492293 */     // GIR_Coverage, 4188,
     /*  492293 */     GIR_EraseRootFromParent_Done,
     /*  492294 */   // Label 8241: @492294
     /*  492294 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492373), // Rule ID 4189 //
     /*  492299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492371 */     GIR_RootConstrainSelectedInstOperands,
     /*  492372 */     // GIR_Coverage, 4189,
     /*  492372 */     GIR_EraseRootFromParent_Done,
     /*  492373 */   // Label 8242: @492373
     /*  492373 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(492452), // Rule ID 4258 //
     /*  492378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492450 */     GIR_RootConstrainSelectedInstOperands,
     /*  492451 */     // GIR_Coverage, 4258,
     /*  492451 */     GIR_EraseRootFromParent_Done,
     /*  492452 */   // Label 8243: @492452
     /*  492452 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(492531), // Rule ID 4259 //
     /*  492457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492529 */     GIR_RootConstrainSelectedInstOperands,
     /*  492530 */     // GIR_Coverage, 4259,
     /*  492530 */     GIR_EraseRootFromParent_Done,
     /*  492531 */   // Label 8244: @492531
     /*  492531 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(492610), // Rule ID 4268 //
     /*  492536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  492591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492608 */     GIR_RootConstrainSelectedInstOperands,
     /*  492609 */     // GIR_Coverage, 4268,
     /*  492609 */     GIR_EraseRootFromParent_Done,
     /*  492610 */   // Label 8245: @492610
     /*  492610 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(492689), // Rule ID 4269 //
     /*  492615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  492670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492687 */     GIR_RootConstrainSelectedInstOperands,
     /*  492688 */     // GIR_Coverage, 4269,
     /*  492688 */     GIR_EraseRootFromParent_Done,
     /*  492689 */   // Label 8246: @492689
     /*  492689 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(492768), // Rule ID 4278 //
     /*  492694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  492749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492766 */     GIR_RootConstrainSelectedInstOperands,
     /*  492767 */     // GIR_Coverage, 4278,
     /*  492767 */     GIR_EraseRootFromParent_Done,
     /*  492768 */   // Label 8247: @492768
     /*  492768 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(492847), // Rule ID 4279 //
     /*  492773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  492828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492845 */     GIR_RootConstrainSelectedInstOperands,
     /*  492846 */     // GIR_Coverage, 4279,
     /*  492846 */     GIR_EraseRootFromParent_Done,
     /*  492847 */   // Label 8248: @492847
     /*  492847 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(492926), // Rule ID 4288 //
     /*  492852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  492907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492924 */     GIR_RootConstrainSelectedInstOperands,
     /*  492925 */     // GIR_Coverage, 4288,
     /*  492925 */     GIR_EraseRootFromParent_Done,
     /*  492926 */   // Label 8249: @492926
     /*  492926 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493005), // Rule ID 4289 //
     /*  492931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  492986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493003 */     GIR_RootConstrainSelectedInstOperands,
     /*  493004 */     // GIR_Coverage, 4289,
     /*  493004 */     GIR_EraseRootFromParent_Done,
     /*  493005 */   // Label 8250: @493005
     /*  493005 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493084), // Rule ID 4298 //
     /*  493010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493082 */     GIR_RootConstrainSelectedInstOperands,
     /*  493083 */     // GIR_Coverage, 4298,
     /*  493083 */     GIR_EraseRootFromParent_Done,
     /*  493084 */   // Label 8251: @493084
     /*  493084 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493163), // Rule ID 4299 //
     /*  493089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493161 */     GIR_RootConstrainSelectedInstOperands,
     /*  493162 */     // GIR_Coverage, 4299,
     /*  493162 */     GIR_EraseRootFromParent_Done,
     /*  493163 */   // Label 8252: @493163
     /*  493163 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493242), // Rule ID 4308 //
     /*  493168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493240 */     GIR_RootConstrainSelectedInstOperands,
     /*  493241 */     // GIR_Coverage, 4308,
     /*  493241 */     GIR_EraseRootFromParent_Done,
     /*  493242 */   // Label 8253: @493242
     /*  493242 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493321), // Rule ID 4309 //
     /*  493247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493319 */     GIR_RootConstrainSelectedInstOperands,
     /*  493320 */     // GIR_Coverage, 4309,
     /*  493320 */     GIR_EraseRootFromParent_Done,
     /*  493321 */   // Label 8254: @493321
     /*  493321 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(493400), // Rule ID 4318 //
     /*  493326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493398 */     GIR_RootConstrainSelectedInstOperands,
     /*  493399 */     // GIR_Coverage, 4318,
     /*  493399 */     GIR_EraseRootFromParent_Done,
     /*  493400 */   // Label 8255: @493400
     /*  493400 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(493479), // Rule ID 4319 //
     /*  493405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493477 */     GIR_RootConstrainSelectedInstOperands,
     /*  493478 */     // GIR_Coverage, 4319,
     /*  493478 */     GIR_EraseRootFromParent_Done,
     /*  493479 */   // Label 8256: @493479
     /*  493479 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(493558), // Rule ID 4328 //
     /*  493484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493556 */     GIR_RootConstrainSelectedInstOperands,
     /*  493557 */     // GIR_Coverage, 4328,
     /*  493557 */     GIR_EraseRootFromParent_Done,
     /*  493558 */   // Label 8257: @493558
     /*  493558 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(493637), // Rule ID 4329 //
     /*  493563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493635 */     GIR_RootConstrainSelectedInstOperands,
     /*  493636 */     // GIR_Coverage, 4329,
     /*  493636 */     GIR_EraseRootFromParent_Done,
     /*  493637 */   // Label 8258: @493637
     /*  493637 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(493716), // Rule ID 4338 //
     /*  493642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493714 */     GIR_RootConstrainSelectedInstOperands,
     /*  493715 */     // GIR_Coverage, 4338,
     /*  493715 */     GIR_EraseRootFromParent_Done,
     /*  493716 */   // Label 8259: @493716
     /*  493716 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(493795), // Rule ID 4339 //
     /*  493721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493793 */     GIR_RootConstrainSelectedInstOperands,
     /*  493794 */     // GIR_Coverage, 4339,
     /*  493794 */     GIR_EraseRootFromParent_Done,
     /*  493795 */   // Label 8260: @493795
     /*  493795 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(493874), // Rule ID 4348 //
     /*  493800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493872 */     GIR_RootConstrainSelectedInstOperands,
     /*  493873 */     // GIR_Coverage, 4348,
     /*  493873 */     GIR_EraseRootFromParent_Done,
     /*  493874 */   // Label 8261: @493874
     /*  493874 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(493953), // Rule ID 4349 //
     /*  493879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493951 */     GIR_RootConstrainSelectedInstOperands,
     /*  493952 */     // GIR_Coverage, 4349,
     /*  493952 */     GIR_EraseRootFromParent_Done,
     /*  493953 */   // Label 8262: @493953
     /*  493953 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494032), // Rule ID 4358 //
     /*  493958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494030 */     GIR_RootConstrainSelectedInstOperands,
     /*  494031 */     // GIR_Coverage, 4358,
     /*  494031 */     GIR_EraseRootFromParent_Done,
     /*  494032 */   // Label 8263: @494032
     /*  494032 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494111), // Rule ID 4359 //
     /*  494037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494109 */     GIR_RootConstrainSelectedInstOperands,
     /*  494110 */     // GIR_Coverage, 4359,
     /*  494110 */     GIR_EraseRootFromParent_Done,
     /*  494111 */   // Label 8264: @494111
     /*  494111 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494190), // Rule ID 4368 //
     /*  494116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494188 */     GIR_RootConstrainSelectedInstOperands,
     /*  494189 */     // GIR_Coverage, 4368,
     /*  494189 */     GIR_EraseRootFromParent_Done,
     /*  494190 */   // Label 8265: @494190
     /*  494190 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494269), // Rule ID 4369 //
     /*  494195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494267 */     GIR_RootConstrainSelectedInstOperands,
     /*  494268 */     // GIR_Coverage, 4369,
     /*  494268 */     GIR_EraseRootFromParent_Done,
     /*  494269 */   // Label 8266: @494269
     /*  494269 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494348), // Rule ID 4378 //
     /*  494274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494346 */     GIR_RootConstrainSelectedInstOperands,
     /*  494347 */     // GIR_Coverage, 4378,
     /*  494347 */     GIR_EraseRootFromParent_Done,
     /*  494348 */   // Label 8267: @494348
     /*  494348 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(494427), // Rule ID 4379 //
     /*  494353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494425 */     GIR_RootConstrainSelectedInstOperands,
     /*  494426 */     // GIR_Coverage, 4379,
     /*  494426 */     GIR_EraseRootFromParent_Done,
     /*  494427 */   // Label 8268: @494427
     /*  494427 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(494506), // Rule ID 4388 //
     /*  494432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494504 */     GIR_RootConstrainSelectedInstOperands,
     /*  494505 */     // GIR_Coverage, 4388,
     /*  494505 */     GIR_EraseRootFromParent_Done,
     /*  494506 */   // Label 8269: @494506
     /*  494506 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(494585), // Rule ID 4389 //
     /*  494511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494583 */     GIR_RootConstrainSelectedInstOperands,
     /*  494584 */     // GIR_Coverage, 4389,
     /*  494584 */     GIR_EraseRootFromParent_Done,
     /*  494585 */   // Label 8270: @494585
     /*  494585 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(494664), // Rule ID 4398 //
     /*  494590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494662 */     GIR_RootConstrainSelectedInstOperands,
     /*  494663 */     // GIR_Coverage, 4398,
     /*  494663 */     GIR_EraseRootFromParent_Done,
     /*  494664 */   // Label 8271: @494664
     /*  494664 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(494743), // Rule ID 4399 //
     /*  494669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494741 */     GIR_RootConstrainSelectedInstOperands,
     /*  494742 */     // GIR_Coverage, 4399,
     /*  494742 */     GIR_EraseRootFromParent_Done,
     /*  494743 */   // Label 8272: @494743
     /*  494743 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(494822), // Rule ID 4468 //
     /*  494748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  494803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494820 */     GIR_RootConstrainSelectedInstOperands,
     /*  494821 */     // GIR_Coverage, 4468,
     /*  494821 */     GIR_EraseRootFromParent_Done,
     /*  494822 */   // Label 8273: @494822
     /*  494822 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(494901), // Rule ID 4469 //
     /*  494827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  494882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494899 */     GIR_RootConstrainSelectedInstOperands,
     /*  494900 */     // GIR_Coverage, 4469,
     /*  494900 */     GIR_EraseRootFromParent_Done,
     /*  494901 */   // Label 8274: @494901
     /*  494901 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(494980), // Rule ID 4478 //
     /*  494906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  494926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  494961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494978 */     GIR_RootConstrainSelectedInstOperands,
     /*  494979 */     // GIR_Coverage, 4478,
     /*  494979 */     GIR_EraseRootFromParent_Done,
     /*  494980 */   // Label 8275: @494980
     /*  494980 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495059), // Rule ID 4479 //
     /*  494985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  495002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  495005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495037 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495057 */     GIR_RootConstrainSelectedInstOperands,
     /*  495058 */     // GIR_Coverage, 4479,
     /*  495058 */     GIR_EraseRootFromParent_Done,
     /*  495059 */   // Label 8276: @495059
     /*  495059 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495138), // Rule ID 4488 //
     /*  495064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  495081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  495084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495136 */     GIR_RootConstrainSelectedInstOperands,
     /*  495137 */     // GIR_Coverage, 4488,
     /*  495137 */     GIR_EraseRootFromParent_Done,
     /*  495138 */   // Label 8277: @495138
     /*  495138 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495217), // Rule ID 4489 //
     /*  495143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  495160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  495163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495215 */     GIR_RootConstrainSelectedInstOperands,
     /*  495216 */     // GIR_Coverage, 4489,
     /*  495216 */     GIR_EraseRootFromParent_Done,
     /*  495217 */   // Label 8278: @495217
     /*  495217 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495296), // Rule ID 4498 //
     /*  495222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495294 */     GIR_RootConstrainSelectedInstOperands,
     /*  495295 */     // GIR_Coverage, 4498,
     /*  495295 */     GIR_EraseRootFromParent_Done,
     /*  495296 */   // Label 8279: @495296
     /*  495296 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495375), // Rule ID 4499 //
     /*  495301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495373 */     GIR_RootConstrainSelectedInstOperands,
     /*  495374 */     // GIR_Coverage, 4499,
     /*  495374 */     GIR_EraseRootFromParent_Done,
     /*  495375 */   // Label 8280: @495375
     /*  495375 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495454), // Rule ID 4508 //
     /*  495380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495432 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495452 */     GIR_RootConstrainSelectedInstOperands,
     /*  495453 */     // GIR_Coverage, 4508,
     /*  495453 */     GIR_EraseRootFromParent_Done,
     /*  495454 */   // Label 8281: @495454
     /*  495454 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495533), // Rule ID 4509 //
     /*  495459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495531 */     GIR_RootConstrainSelectedInstOperands,
     /*  495532 */     // GIR_Coverage, 4509,
     /*  495532 */     GIR_EraseRootFromParent_Done,
     /*  495533 */   // Label 8282: @495533
     /*  495533 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(495612), // Rule ID 4518 //
     /*  495538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  495593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495610 */     GIR_RootConstrainSelectedInstOperands,
     /*  495611 */     // GIR_Coverage, 4518,
     /*  495611 */     GIR_EraseRootFromParent_Done,
     /*  495612 */   // Label 8283: @495612
     /*  495612 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(495691), // Rule ID 4519 //
     /*  495617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  495672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495689 */     GIR_RootConstrainSelectedInstOperands,
     /*  495690 */     // GIR_Coverage, 4519,
     /*  495690 */     GIR_EraseRootFromParent_Done,
     /*  495691 */   // Label 8284: @495691
     /*  495691 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(495770), // Rule ID 4528 //
     /*  495696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495768 */     GIR_RootConstrainSelectedInstOperands,
     /*  495769 */     // GIR_Coverage, 4528,
     /*  495769 */     GIR_EraseRootFromParent_Done,
     /*  495770 */   // Label 8285: @495770
     /*  495770 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(495849), // Rule ID 4529 //
     /*  495775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495847 */     GIR_RootConstrainSelectedInstOperands,
     /*  495848 */     // GIR_Coverage, 4529,
     /*  495848 */     GIR_EraseRootFromParent_Done,
     /*  495849 */   // Label 8286: @495849
     /*  495849 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(495928), // Rule ID 4538 //
     /*  495854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495926 */     GIR_RootConstrainSelectedInstOperands,
     /*  495927 */     // GIR_Coverage, 4538,
     /*  495927 */     GIR_EraseRootFromParent_Done,
     /*  495928 */   // Label 8287: @495928
     /*  495928 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496007), // Rule ID 4539 //
     /*  495933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496005 */     GIR_RootConstrainSelectedInstOperands,
     /*  496006 */     // GIR_Coverage, 4539,
     /*  496006 */     GIR_EraseRootFromParent_Done,
     /*  496007 */   // Label 8288: @496007
     /*  496007 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496086), // Rule ID 4548 //
     /*  496012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  496032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496084 */     GIR_RootConstrainSelectedInstOperands,
     /*  496085 */     // GIR_Coverage, 4548,
     /*  496085 */     GIR_EraseRootFromParent_Done,
     /*  496086 */   // Label 8289: @496086
     /*  496086 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496165), // Rule ID 4549 //
     /*  496091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  496111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496163 */     GIR_RootConstrainSelectedInstOperands,
     /*  496164 */     // GIR_Coverage, 4549,
     /*  496164 */     GIR_EraseRootFromParent_Done,
     /*  496165 */   // Label 8290: @496165
     /*  496165 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496244), // Rule ID 4558 //
     /*  496170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496242 */     GIR_RootConstrainSelectedInstOperands,
     /*  496243 */     // GIR_Coverage, 4558,
     /*  496243 */     GIR_EraseRootFromParent_Done,
     /*  496244 */   // Label 8291: @496244
     /*  496244 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496323), // Rule ID 4559 //
     /*  496249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496321 */     GIR_RootConstrainSelectedInstOperands,
     /*  496322 */     // GIR_Coverage, 4559,
     /*  496322 */     GIR_EraseRootFromParent_Done,
     /*  496323 */   // Label 8292: @496323
     /*  496323 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496402), // Rule ID 4568 //
     /*  496328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496400 */     GIR_RootConstrainSelectedInstOperands,
     /*  496401 */     // GIR_Coverage, 4568,
     /*  496401 */     GIR_EraseRootFromParent_Done,
     /*  496402 */   // Label 8293: @496402
     /*  496402 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496481), // Rule ID 4569 //
     /*  496407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496479 */     GIR_RootConstrainSelectedInstOperands,
     /*  496480 */     // GIR_Coverage, 4569,
     /*  496480 */     GIR_EraseRootFromParent_Done,
     /*  496481 */   // Label 8294: @496481
     /*  496481 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496560), // Rule ID 4578 //
     /*  496486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496558 */     GIR_RootConstrainSelectedInstOperands,
     /*  496559 */     // GIR_Coverage, 4578,
     /*  496559 */     GIR_EraseRootFromParent_Done,
     /*  496560 */   // Label 8295: @496560
     /*  496560 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496639), // Rule ID 4579 //
     /*  496565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496637 */     GIR_RootConstrainSelectedInstOperands,
     /*  496638 */     // GIR_Coverage, 4579,
     /*  496638 */     GIR_EraseRootFromParent_Done,
     /*  496639 */   // Label 8296: @496639
     /*  496639 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(496718), // Rule ID 4588 //
     /*  496644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496716 */     GIR_RootConstrainSelectedInstOperands,
     /*  496717 */     // GIR_Coverage, 4588,
     /*  496717 */     GIR_EraseRootFromParent_Done,
     /*  496718 */   // Label 8297: @496718
     /*  496718 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(496797), // Rule ID 4589 //
     /*  496723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496795 */     GIR_RootConstrainSelectedInstOperands,
     /*  496796 */     // GIR_Coverage, 4589,
     /*  496796 */     GIR_EraseRootFromParent_Done,
     /*  496797 */   // Label 8298: @496797
     /*  496797 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(496876), // Rule ID 4598 //
     /*  496802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496874 */     GIR_RootConstrainSelectedInstOperands,
     /*  496875 */     // GIR_Coverage, 4598,
     /*  496875 */     GIR_EraseRootFromParent_Done,
     /*  496876 */   // Label 8299: @496876
     /*  496876 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(496955), // Rule ID 4599 //
     /*  496881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496953 */     GIR_RootConstrainSelectedInstOperands,
     /*  496954 */     // GIR_Coverage, 4599,
     /*  496954 */     GIR_EraseRootFromParent_Done,
     /*  496955 */   // Label 8300: @496955
     /*  496955 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497034), // Rule ID 4608 //
     /*  496960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  496980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  497012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  497015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497032 */     GIR_RootConstrainSelectedInstOperands,
     /*  497033 */     // GIR_Coverage, 4608,
     /*  497033 */     GIR_EraseRootFromParent_Done,
     /*  497034 */   // Label 8301: @497034
     /*  497034 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497113), // Rule ID 4609 //
     /*  497039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  497042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  497056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  497059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  497091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  497094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497111 */     GIR_RootConstrainSelectedInstOperands,
     /*  497112 */     // GIR_Coverage, 4609,
     /*  497112 */     GIR_EraseRootFromParent_Done,
     /*  497113 */   // Label 8302: @497113
     /*  497113 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497192), // Rule ID 4678 //
     /*  497118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  497129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  497132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  497135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  497138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497170 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  497173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497190 */     GIR_RootConstrainSelectedInstOperands,
     /*  497191 */     // GIR_Coverage, 4678,
     /*  497191 */     GIR_EraseRootFromParent_Done,
     /*  497192 */   // Label 8303: @497192
     /*  497192 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497271), // Rule ID 4679 //
     /*  497197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  497208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  497211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  497214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  497217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  497252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497269 */     GIR_RootConstrainSelectedInstOperands,
     /*  497270 */     // GIR_Coverage, 4679,
     /*  497270 */     GIR_EraseRootFromParent_Done,
     /*  497271 */   // Label 8304: @497271
     /*  497271 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497350), // Rule ID 4688 //
     /*  497276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497348 */     GIR_RootConstrainSelectedInstOperands,
     /*  497349 */     // GIR_Coverage, 4688,
     /*  497349 */     GIR_EraseRootFromParent_Done,
     /*  497350 */   // Label 8305: @497350
     /*  497350 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497429), // Rule ID 4689 //
     /*  497355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497427 */     GIR_RootConstrainSelectedInstOperands,
     /*  497428 */     // GIR_Coverage, 4689,
     /*  497428 */     GIR_EraseRootFromParent_Done,
     /*  497429 */   // Label 8306: @497429
     /*  497429 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497508), // Rule ID 4698 //
     /*  497434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  497489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497506 */     GIR_RootConstrainSelectedInstOperands,
     /*  497507 */     // GIR_Coverage, 4698,
     /*  497507 */     GIR_EraseRootFromParent_Done,
     /*  497508 */   // Label 8307: @497508
     /*  497508 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497587), // Rule ID 4699 //
     /*  497513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  497568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497585 */     GIR_RootConstrainSelectedInstOperands,
     /*  497586 */     // GIR_Coverage, 4699,
     /*  497586 */     GIR_EraseRootFromParent_Done,
     /*  497587 */   // Label 8308: @497587
     /*  497587 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497666), // Rule ID 4708 //
     /*  497592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  497647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497664 */     GIR_RootConstrainSelectedInstOperands,
     /*  497665 */     // GIR_Coverage, 4708,
     /*  497665 */     GIR_EraseRootFromParent_Done,
     /*  497666 */   // Label 8309: @497666
     /*  497666 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497745), // Rule ID 4709 //
     /*  497671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  497726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497743 */     GIR_RootConstrainSelectedInstOperands,
     /*  497744 */     // GIR_Coverage, 4709,
     /*  497744 */     GIR_EraseRootFromParent_Done,
     /*  497745 */   // Label 8310: @497745
     /*  497745 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497824), // Rule ID 4718 //
     /*  497750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  497805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497822 */     GIR_RootConstrainSelectedInstOperands,
     /*  497823 */     // GIR_Coverage, 4718,
     /*  497823 */     GIR_EraseRootFromParent_Done,
     /*  497824 */   // Label 8311: @497824
     /*  497824 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(497903), // Rule ID 4719 //
     /*  497829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  497884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497901 */     GIR_RootConstrainSelectedInstOperands,
     /*  497902 */     // GIR_Coverage, 4719,
     /*  497902 */     GIR_EraseRootFromParent_Done,
     /*  497903 */   // Label 8312: @497903
     /*  497903 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(497982), // Rule ID 4728 //
     /*  497908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  497928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  497963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497980 */     GIR_RootConstrainSelectedInstOperands,
     /*  497981 */     // GIR_Coverage, 4728,
     /*  497981 */     GIR_EraseRootFromParent_Done,
     /*  497982 */   // Label 8313: @497982
     /*  497982 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498061), // Rule ID 4729 //
     /*  497987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  498001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  498004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  498007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  498039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498059 */     GIR_RootConstrainSelectedInstOperands,
     /*  498060 */     // GIR_Coverage, 4729,
     /*  498060 */     GIR_EraseRootFromParent_Done,
     /*  498061 */   // Label 8314: @498061
     /*  498061 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498140), // Rule ID 4738 //
     /*  498066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  498086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  498121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498138 */     GIR_RootConstrainSelectedInstOperands,
     /*  498139 */     // GIR_Coverage, 4738,
     /*  498139 */     GIR_EraseRootFromParent_Done,
     /*  498140 */   // Label 8315: @498140
     /*  498140 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498219), // Rule ID 4739 //
     /*  498145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  498165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  498200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498217 */     GIR_RootConstrainSelectedInstOperands,
     /*  498218 */     // GIR_Coverage, 4739,
     /*  498218 */     GIR_EraseRootFromParent_Done,
     /*  498219 */   // Label 8316: @498219
     /*  498219 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498298), // Rule ID 4748 //
     /*  498224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498296 */     GIR_RootConstrainSelectedInstOperands,
     /*  498297 */     // GIR_Coverage, 4748,
     /*  498297 */     GIR_EraseRootFromParent_Done,
     /*  498298 */   // Label 8317: @498298
     /*  498298 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498377), // Rule ID 4749 //
     /*  498303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498375 */     GIR_RootConstrainSelectedInstOperands,
     /*  498376 */     // GIR_Coverage, 4749,
     /*  498376 */     GIR_EraseRootFromParent_Done,
     /*  498377 */   // Label 8318: @498377
     /*  498377 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498456), // Rule ID 4758 //
     /*  498382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498454 */     GIR_RootConstrainSelectedInstOperands,
     /*  498455 */     // GIR_Coverage, 4758,
     /*  498455 */     GIR_EraseRootFromParent_Done,
     /*  498456 */   // Label 8319: @498456
     /*  498456 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498535), // Rule ID 4759 //
     /*  498461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498533 */     GIR_RootConstrainSelectedInstOperands,
     /*  498534 */     // GIR_Coverage, 4759,
     /*  498534 */     GIR_EraseRootFromParent_Done,
     /*  498535 */   // Label 8320: @498535
     /*  498535 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498614), // Rule ID 4768 //
     /*  498540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498612 */     GIR_RootConstrainSelectedInstOperands,
     /*  498613 */     // GIR_Coverage, 4768,
     /*  498613 */     GIR_EraseRootFromParent_Done,
     /*  498614 */   // Label 8321: @498614
     /*  498614 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498693), // Rule ID 4769 //
     /*  498619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498691 */     GIR_RootConstrainSelectedInstOperands,
     /*  498692 */     // GIR_Coverage, 4769,
     /*  498692 */     GIR_EraseRootFromParent_Done,
     /*  498693 */   // Label 8322: @498693
     /*  498693 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498772), // Rule ID 4778 //
     /*  498698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498770 */     GIR_RootConstrainSelectedInstOperands,
     /*  498771 */     // GIR_Coverage, 4778,
     /*  498771 */     GIR_EraseRootFromParent_Done,
     /*  498772 */   // Label 8323: @498772
     /*  498772 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498851), // Rule ID 4779 //
     /*  498777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498849 */     GIR_RootConstrainSelectedInstOperands,
     /*  498850 */     // GIR_Coverage, 4779,
     /*  498850 */     GIR_EraseRootFromParent_Done,
     /*  498851 */   // Label 8324: @498851
     /*  498851 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498930), // Rule ID 4788 //
     /*  498856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  498908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498928 */     GIR_RootConstrainSelectedInstOperands,
     /*  498929 */     // GIR_Coverage, 4788,
     /*  498929 */     GIR_EraseRootFromParent_Done,
     /*  498930 */   // Label 8325: @498930
     /*  498930 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(499009), // Rule ID 4789 //
     /*  498935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  498987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499007 */     GIR_RootConstrainSelectedInstOperands,
     /*  499008 */     // GIR_Coverage, 4789,
     /*  499008 */     GIR_EraseRootFromParent_Done,
     /*  499009 */   // Label 8326: @499009
     /*  499009 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(499088), // Rule ID 4798 //
     /*  499014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  499025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  499028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  499031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  499034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  499069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499086 */     GIR_RootConstrainSelectedInstOperands,
     /*  499087 */     // GIR_Coverage, 4798,
     /*  499087 */     GIR_EraseRootFromParent_Done,
     /*  499088 */   // Label 8327: @499088
     /*  499088 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499167), // Rule ID 4799 //
     /*  499093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  499104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  499107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  499110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  499113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  499148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499165 */     GIR_RootConstrainSelectedInstOperands,
     /*  499166 */     // GIR_Coverage, 4799,
     /*  499166 */     GIR_EraseRootFromParent_Done,
     /*  499167 */   // Label 8328: @499167
     /*  499167 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499246), // Rule ID 4808 //
     /*  499172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  499183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  499186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  499189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  499192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499244 */     GIR_RootConstrainSelectedInstOperands,
     /*  499245 */     // GIR_Coverage, 4808,
     /*  499245 */     GIR_EraseRootFromParent_Done,
     /*  499246 */   // Label 8329: @499246
     /*  499246 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499325), // Rule ID 4809 //
     /*  499251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  499262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  499265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  499268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  499271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499323 */     GIR_RootConstrainSelectedInstOperands,
     /*  499324 */     // GIR_Coverage, 4809,
     /*  499324 */     GIR_EraseRootFromParent_Done,
     /*  499325 */   // Label 8330: @499325
     /*  499325 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499404), // Rule ID 4818 //
     /*  499330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499402 */     GIR_RootConstrainSelectedInstOperands,
     /*  499403 */     // GIR_Coverage, 4818,
     /*  499403 */     GIR_EraseRootFromParent_Done,
     /*  499404 */   // Label 8331: @499404
     /*  499404 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499483), // Rule ID 4819 //
     /*  499409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499481 */     GIR_RootConstrainSelectedInstOperands,
     /*  499482 */     // GIR_Coverage, 4819,
     /*  499482 */     GIR_EraseRootFromParent_Done,
     /*  499483 */   // Label 8332: @499483
     /*  499483 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499551), // Rule ID 2702 //
     /*  499488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  499499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  499502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499520 */     // MIs[0] policy
     /*  499520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  499533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499537 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499549 */     GIR_RootConstrainSelectedInstOperands,
     /*  499550 */     // GIR_Coverage, 2702,
     /*  499550 */     GIR_EraseRootFromParent_Done,
     /*  499551 */   // Label 8333: @499551
     /*  499551 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499619), // Rule ID 2703 //
     /*  499556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  499567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  499570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499588 */     // MIs[0] policy
     /*  499588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499598 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  499601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499605 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499617 */     GIR_RootConstrainSelectedInstOperands,
     /*  499618 */     // GIR_Coverage, 2703,
     /*  499618 */     GIR_EraseRootFromParent_Done,
     /*  499619 */   // Label 8334: @499619
     /*  499619 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499687), // Rule ID 23498 //
     /*  499624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  499635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  499638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499656 */     // MIs[0] policy
     /*  499656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499673 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499685 */     GIR_RootConstrainSelectedInstOperands,
     /*  499686 */     // GIR_Coverage, 23498,
     /*  499686 */     GIR_EraseRootFromParent_Done,
     /*  499687 */   // Label 8335: @499687
     /*  499687 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499755), // Rule ID 23499 //
     /*  499692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  499703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  499706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499724 */     // MIs[0] policy
     /*  499724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499734 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499741 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499753 */     GIR_RootConstrainSelectedInstOperands,
     /*  499754 */     // GIR_Coverage, 23499,
     /*  499754 */     GIR_EraseRootFromParent_Done,
     /*  499755 */   // Label 8336: @499755
     /*  499755 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499823), // Rule ID 23502 //
     /*  499760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  499771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  499774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  499777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499792 */     // MIs[0] policy
     /*  499792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499809 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499821 */     GIR_RootConstrainSelectedInstOperands,
     /*  499822 */     // GIR_Coverage, 23502,
     /*  499822 */     GIR_EraseRootFromParent_Done,
     /*  499823 */   // Label 8337: @499823
     /*  499823 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499891), // Rule ID 23503 //
     /*  499828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  499839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  499842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  499845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499860 */     // MIs[0] policy
     /*  499860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499877 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499889 */     GIR_RootConstrainSelectedInstOperands,
     /*  499890 */     // GIR_Coverage, 23503,
     /*  499890 */     GIR_EraseRootFromParent_Done,
     /*  499891 */   // Label 8338: @499891
     /*  499891 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499959), // Rule ID 23506 //
     /*  499896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499928 */     // MIs[0] policy
     /*  499928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499945 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499957 */     GIR_RootConstrainSelectedInstOperands,
     /*  499958 */     // GIR_Coverage, 23506,
     /*  499958 */     GIR_EraseRootFromParent_Done,
     /*  499959 */   // Label 8339: @499959
     /*  499959 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(500027), // Rule ID 23507 //
     /*  499964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499996 */     // MIs[0] policy
     /*  499996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  500009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500013 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500025 */     GIR_RootConstrainSelectedInstOperands,
     /*  500026 */     // GIR_Coverage, 23507,
     /*  500026 */     GIR_EraseRootFromParent_Done,
     /*  500027 */   // Label 8340: @500027
     /*  500027 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(500095), // Rule ID 23510 //
     /*  500032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  500043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  500046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500064 */     // MIs[0] policy
     /*  500064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500093 */     GIR_RootConstrainSelectedInstOperands,
     /*  500094 */     // GIR_Coverage, 23510,
     /*  500094 */     GIR_EraseRootFromParent_Done,
     /*  500095 */   // Label 8341: @500095
     /*  500095 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(500163), // Rule ID 23511 //
     /*  500100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  500111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  500114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500132 */     // MIs[0] policy
     /*  500132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500142 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500149 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500161 */     GIR_RootConstrainSelectedInstOperands,
     /*  500162 */     // GIR_Coverage, 23511,
     /*  500162 */     GIR_EraseRootFromParent_Done,
     /*  500163 */   // Label 8342: @500163
     /*  500163 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500231), // Rule ID 23514 //
     /*  500168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500200 */     // MIs[0] policy
     /*  500200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500217 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500229 */     GIR_RootConstrainSelectedInstOperands,
     /*  500230 */     // GIR_Coverage, 23514,
     /*  500230 */     GIR_EraseRootFromParent_Done,
     /*  500231 */   // Label 8343: @500231
     /*  500231 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500299), // Rule ID 23515 //
     /*  500236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500268 */     // MIs[0] policy
     /*  500268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500297 */     GIR_RootConstrainSelectedInstOperands,
     /*  500298 */     // GIR_Coverage, 23515,
     /*  500298 */     GIR_EraseRootFromParent_Done,
     /*  500299 */   // Label 8344: @500299
     /*  500299 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500367), // Rule ID 23518 //
     /*  500304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500336 */     // MIs[0] policy
     /*  500336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500353 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500365 */     GIR_RootConstrainSelectedInstOperands,
     /*  500366 */     // GIR_Coverage, 23518,
     /*  500366 */     GIR_EraseRootFromParent_Done,
     /*  500367 */   // Label 8345: @500367
     /*  500367 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500435), // Rule ID 23519 //
     /*  500372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500404 */     // MIs[0] policy
     /*  500404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500433 */     GIR_RootConstrainSelectedInstOperands,
     /*  500434 */     // GIR_Coverage, 23519,
     /*  500434 */     GIR_EraseRootFromParent_Done,
     /*  500435 */   // Label 8346: @500435
     /*  500435 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500503), // Rule ID 23522 //
     /*  500440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500472 */     // MIs[0] policy
     /*  500472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500489 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500501 */     GIR_RootConstrainSelectedInstOperands,
     /*  500502 */     // GIR_Coverage, 23522,
     /*  500502 */     GIR_EraseRootFromParent_Done,
     /*  500503 */   // Label 8347: @500503
     /*  500503 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500571), // Rule ID 23523 //
     /*  500508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500540 */     // MIs[0] policy
     /*  500540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500557 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500569 */     GIR_RootConstrainSelectedInstOperands,
     /*  500570 */     // GIR_Coverage, 23523,
     /*  500570 */     GIR_EraseRootFromParent_Done,
     /*  500571 */   // Label 8348: @500571
     /*  500571 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500639), // Rule ID 23526 //
     /*  500576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500608 */     // MIs[0] policy
     /*  500608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500625 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500637 */     GIR_RootConstrainSelectedInstOperands,
     /*  500638 */     // GIR_Coverage, 23526,
     /*  500638 */     GIR_EraseRootFromParent_Done,
     /*  500639 */   // Label 8349: @500639
     /*  500639 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500707), // Rule ID 23527 //
     /*  500644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500676 */     // MIs[0] policy
     /*  500676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500693 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500705 */     GIR_RootConstrainSelectedInstOperands,
     /*  500706 */     // GIR_Coverage, 23527,
     /*  500706 */     GIR_EraseRootFromParent_Done,
     /*  500707 */   // Label 8350: @500707
     /*  500707 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500775), // Rule ID 23530 //
     /*  500712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  500715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500744 */     // MIs[0] policy
     /*  500744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  500771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500773 */     GIR_RootConstrainSelectedInstOperands,
     /*  500774 */     // GIR_Coverage, 23530,
     /*  500774 */     GIR_EraseRootFromParent_Done,
     /*  500775 */   // Label 8351: @500775
     /*  500775 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500843), // Rule ID 23531 //
     /*  500780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  500783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500812 */     // MIs[0] policy
     /*  500812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500829 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  500839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500841 */     GIR_RootConstrainSelectedInstOperands,
     /*  500842 */     // GIR_Coverage, 23531,
     /*  500842 */     GIR_EraseRootFromParent_Done,
     /*  500843 */   // Label 8352: @500843
     /*  500843 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500911), // Rule ID 23534 //
     /*  500848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  500859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  500862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  500865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  500872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500880 */     // MIs[0] policy
     /*  500880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500909 */     GIR_RootConstrainSelectedInstOperands,
     /*  500910 */     // GIR_Coverage, 23534,
     /*  500910 */     GIR_EraseRootFromParent_Done,
     /*  500911 */   // Label 8353: @500911
     /*  500911 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500979), // Rule ID 23535 //
     /*  500916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  500927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  500930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  500933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  500940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500948 */     // MIs[0] policy
     /*  500948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  500961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500965 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500977 */     GIR_RootConstrainSelectedInstOperands,
     /*  500978 */     // GIR_Coverage, 23535,
     /*  500978 */     GIR_EraseRootFromParent_Done,
     /*  500979 */   // Label 8354: @500979
     /*  500979 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(501047), // Rule ID 23538 //
     /*  500984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  500995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  500998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501016 */     // MIs[0] policy
     /*  501016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501033 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501045 */     GIR_RootConstrainSelectedInstOperands,
     /*  501046 */     // GIR_Coverage, 23538,
     /*  501046 */     GIR_EraseRootFromParent_Done,
     /*  501047 */   // Label 8355: @501047
     /*  501047 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(501115), // Rule ID 23539 //
     /*  501052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  501063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  501066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501084 */     // MIs[0] policy
     /*  501084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501101 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501113 */     GIR_RootConstrainSelectedInstOperands,
     /*  501114 */     // GIR_Coverage, 23539,
     /*  501114 */     GIR_EraseRootFromParent_Done,
     /*  501115 */   // Label 8356: @501115
     /*  501115 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(501183), // Rule ID 23542 //
     /*  501120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  501131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  501134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  501137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501152 */     // MIs[0] policy
     /*  501152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501169 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501181 */     GIR_RootConstrainSelectedInstOperands,
     /*  501182 */     // GIR_Coverage, 23542,
     /*  501182 */     GIR_EraseRootFromParent_Done,
     /*  501183 */   // Label 8357: @501183
     /*  501183 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501251), // Rule ID 23543 //
     /*  501188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  501199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  501202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  501205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501220 */     // MIs[0] policy
     /*  501220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501230 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501237 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501249 */     GIR_RootConstrainSelectedInstOperands,
     /*  501250 */     // GIR_Coverage, 23543,
     /*  501250 */     GIR_EraseRootFromParent_Done,
     /*  501251 */   // Label 8358: @501251
     /*  501251 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501319), // Rule ID 23546 //
     /*  501256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501288 */     // MIs[0] policy
     /*  501288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501305 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501317 */     GIR_RootConstrainSelectedInstOperands,
     /*  501318 */     // GIR_Coverage, 23546,
     /*  501318 */     GIR_EraseRootFromParent_Done,
     /*  501319 */   // Label 8359: @501319
     /*  501319 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501387), // Rule ID 23547 //
     /*  501324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501356 */     // MIs[0] policy
     /*  501356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501373 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501385 */     GIR_RootConstrainSelectedInstOperands,
     /*  501386 */     // GIR_Coverage, 23547,
     /*  501386 */     GIR_EraseRootFromParent_Done,
     /*  501387 */   // Label 8360: @501387
     /*  501387 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501455), // Rule ID 23550 //
     /*  501392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501424 */     // MIs[0] policy
     /*  501424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501441 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501453 */     GIR_RootConstrainSelectedInstOperands,
     /*  501454 */     // GIR_Coverage, 23550,
     /*  501454 */     GIR_EraseRootFromParent_Done,
     /*  501455 */   // Label 8361: @501455
     /*  501455 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501523), // Rule ID 23551 //
     /*  501460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501492 */     // MIs[0] policy
     /*  501492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501509 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501521 */     GIR_RootConstrainSelectedInstOperands,
     /*  501522 */     // GIR_Coverage, 23551,
     /*  501522 */     GIR_EraseRootFromParent_Done,
     /*  501523 */   // Label 8362: @501523
     /*  501523 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501591), // Rule ID 23554 //
     /*  501528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  501539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  501542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501560 */     // MIs[0] policy
     /*  501560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501577 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501589 */     GIR_RootConstrainSelectedInstOperands,
     /*  501590 */     // GIR_Coverage, 23554,
     /*  501590 */     GIR_EraseRootFromParent_Done,
     /*  501591 */   // Label 8363: @501591
     /*  501591 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501659), // Rule ID 23555 //
     /*  501596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  501607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  501610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501628 */     // MIs[0] policy
     /*  501628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501645 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501657 */     GIR_RootConstrainSelectedInstOperands,
     /*  501658 */     // GIR_Coverage, 23555,
     /*  501658 */     GIR_EraseRootFromParent_Done,
     /*  501659 */   // Label 8364: @501659
     /*  501659 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501727), // Rule ID 23558 //
     /*  501664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  501681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501696 */     // MIs[0] policy
     /*  501696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501713 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501725 */     GIR_RootConstrainSelectedInstOperands,
     /*  501726 */     // GIR_Coverage, 23558,
     /*  501726 */     GIR_EraseRootFromParent_Done,
     /*  501727 */   // Label 8365: @501727
     /*  501727 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501795), // Rule ID 23559 //
     /*  501732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  501749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501764 */     // MIs[0] policy
     /*  501764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501781 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501793 */     GIR_RootConstrainSelectedInstOperands,
     /*  501794 */     // GIR_Coverage, 23559,
     /*  501794 */     GIR_EraseRootFromParent_Done,
     /*  501795 */   // Label 8366: @501795
     /*  501795 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501863), // Rule ID 23562 //
     /*  501800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501832 */     // MIs[0] policy
     /*  501832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501849 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501861 */     GIR_RootConstrainSelectedInstOperands,
     /*  501862 */     // GIR_Coverage, 23562,
     /*  501862 */     GIR_EraseRootFromParent_Done,
     /*  501863 */   // Label 8367: @501863
     /*  501863 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501931), // Rule ID 23563 //
     /*  501868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501900 */     // MIs[0] policy
     /*  501900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501917 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501929 */     GIR_RootConstrainSelectedInstOperands,
     /*  501930 */     // GIR_Coverage, 23563,
     /*  501930 */     GIR_EraseRootFromParent_Done,
     /*  501931 */   // Label 8368: @501931
     /*  501931 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501999), // Rule ID 23566 //
     /*  501936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501968 */     // MIs[0] policy
     /*  501968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501985 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501997 */     GIR_RootConstrainSelectedInstOperands,
     /*  501998 */     // GIR_Coverage, 23566,
     /*  501998 */     GIR_EraseRootFromParent_Done,
     /*  501999 */   // Label 8369: @501999
     /*  501999 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(502067), // Rule ID 23567 //
     /*  502004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  502021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502036 */     // MIs[0] policy
     /*  502036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502053 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502065 */     GIR_RootConstrainSelectedInstOperands,
     /*  502066 */     // GIR_Coverage, 23567,
     /*  502066 */     GIR_EraseRootFromParent_Done,
     /*  502067 */   // Label 8370: @502067
     /*  502067 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(502135), // Rule ID 23570 //
     /*  502072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  502083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  502086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  502089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502104 */     // MIs[0] policy
     /*  502104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502121 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502133 */     GIR_RootConstrainSelectedInstOperands,
     /*  502134 */     // GIR_Coverage, 23570,
     /*  502134 */     GIR_EraseRootFromParent_Done,
     /*  502135 */   // Label 8371: @502135
     /*  502135 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502203), // Rule ID 23571 //
     /*  502140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  502151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  502154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  502157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502172 */     // MIs[0] policy
     /*  502172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502189 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502201 */     GIR_RootConstrainSelectedInstOperands,
     /*  502202 */     // GIR_Coverage, 23571,
     /*  502202 */     GIR_EraseRootFromParent_Done,
     /*  502203 */   // Label 8372: @502203
     /*  502203 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502271), // Rule ID 23574 //
     /*  502208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502240 */     // MIs[0] policy
     /*  502240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502257 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502269 */     GIR_RootConstrainSelectedInstOperands,
     /*  502270 */     // GIR_Coverage, 23574,
     /*  502270 */     GIR_EraseRootFromParent_Done,
     /*  502271 */   // Label 8373: @502271
     /*  502271 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502339), // Rule ID 23575 //
     /*  502276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502308 */     // MIs[0] policy
     /*  502308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502325 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502337 */     GIR_RootConstrainSelectedInstOperands,
     /*  502338 */     // GIR_Coverage, 23575,
     /*  502338 */     GIR_EraseRootFromParent_Done,
     /*  502339 */   // Label 8374: @502339
     /*  502339 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502407), // Rule ID 23578 //
     /*  502344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502376 */     // MIs[0] policy
     /*  502376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502393 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502405 */     GIR_RootConstrainSelectedInstOperands,
     /*  502406 */     // GIR_Coverage, 23578,
     /*  502406 */     GIR_EraseRootFromParent_Done,
     /*  502407 */   // Label 8375: @502407
     /*  502407 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502475), // Rule ID 23579 //
     /*  502412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502444 */     // MIs[0] policy
     /*  502444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502461 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502473 */     GIR_RootConstrainSelectedInstOperands,
     /*  502474 */     // GIR_Coverage, 23579,
     /*  502474 */     GIR_EraseRootFromParent_Done,
     /*  502475 */   // Label 8376: @502475
     /*  502475 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502543), // Rule ID 60592 //
     /*  502480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502512 */     // MIs[0] policy
     /*  502512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  502525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502541 */     GIR_RootConstrainSelectedInstOperands,
     /*  502542 */     // GIR_Coverage, 60592,
     /*  502542 */     GIR_EraseRootFromParent_Done,
     /*  502543 */   // Label 8377: @502543
     /*  502543 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502611), // Rule ID 60593 //
     /*  502548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502580 */     // MIs[0] policy
     /*  502580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  502593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502609 */     GIR_RootConstrainSelectedInstOperands,
     /*  502610 */     // GIR_Coverage, 60593,
     /*  502610 */     GIR_EraseRootFromParent_Done,
     /*  502611 */   // Label 8378: @502611
     /*  502611 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502679), // Rule ID 60594 //
     /*  502616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  502624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502648 */     // MIs[0] policy
     /*  502648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  502661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502677 */     GIR_RootConstrainSelectedInstOperands,
     /*  502678 */     // GIR_Coverage, 60594,
     /*  502678 */     GIR_EraseRootFromParent_Done,
     /*  502679 */   // Label 8379: @502679
     /*  502679 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502747), // Rule ID 60595 //
     /*  502684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  502692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502716 */     // MIs[0] policy
     /*  502716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  502729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502745 */     GIR_RootConstrainSelectedInstOperands,
     /*  502746 */     // GIR_Coverage, 60595,
     /*  502746 */     GIR_EraseRootFromParent_Done,
     /*  502747 */   // Label 8380: @502747
     /*  502747 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502815), // Rule ID 62088 //
     /*  502752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502784 */     // MIs[0] policy
     /*  502784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  502797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502813 */     GIR_RootConstrainSelectedInstOperands,
     /*  502814 */     // GIR_Coverage, 62088,
     /*  502814 */     GIR_EraseRootFromParent_Done,
     /*  502815 */   // Label 8381: @502815
     /*  502815 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502883), // Rule ID 62089 //
     /*  502820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502852 */     // MIs[0] policy
     /*  502852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  502865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502881 */     GIR_RootConstrainSelectedInstOperands,
     /*  502882 */     // GIR_Coverage, 62089,
     /*  502882 */     GIR_EraseRootFromParent_Done,
     /*  502883 */   // Label 8382: @502883
     /*  502883 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502951), // Rule ID 62090 //
     /*  502888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502920 */     // MIs[0] policy
     /*  502920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  502933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502949 */     GIR_RootConstrainSelectedInstOperands,
     /*  502950 */     // GIR_Coverage, 62090,
     /*  502950 */     GIR_EraseRootFromParent_Done,
     /*  502951 */   // Label 8383: @502951
     /*  502951 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(503019), // Rule ID 62091 //
     /*  502956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502988 */     // MIs[0] policy
     /*  502988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  503001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503017 */     GIR_RootConstrainSelectedInstOperands,
     /*  503018 */     // GIR_Coverage, 62091,
     /*  503018 */     GIR_EraseRootFromParent_Done,
     /*  503019 */   // Label 8384: @503019
     /*  503019 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(503087), // Rule ID 62092 //
     /*  503024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503056 */     // MIs[0] policy
     /*  503056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  503069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503085 */     GIR_RootConstrainSelectedInstOperands,
     /*  503086 */     // GIR_Coverage, 62092,
     /*  503086 */     GIR_EraseRootFromParent_Done,
     /*  503087 */   // Label 8385: @503087
     /*  503087 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(503155), // Rule ID 62093 //
     /*  503092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503124 */     // MIs[0] policy
     /*  503124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  503137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503153 */     GIR_RootConstrainSelectedInstOperands,
     /*  503154 */     // GIR_Coverage, 62093,
     /*  503154 */     GIR_EraseRootFromParent_Done,
     /*  503155 */   // Label 8386: @503155
     /*  503155 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503223), // Rule ID 62094 //
     /*  503160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503192 */     // MIs[0] policy
     /*  503192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503221 */     GIR_RootConstrainSelectedInstOperands,
     /*  503222 */     // GIR_Coverage, 62094,
     /*  503222 */     GIR_EraseRootFromParent_Done,
     /*  503223 */   // Label 8387: @503223
     /*  503223 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503291), // Rule ID 62095 //
     /*  503228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503260 */     // MIs[0] policy
     /*  503260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503270 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503289 */     GIR_RootConstrainSelectedInstOperands,
     /*  503290 */     // GIR_Coverage, 62095,
     /*  503290 */     GIR_EraseRootFromParent_Done,
     /*  503291 */   // Label 8388: @503291
     /*  503291 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503359), // Rule ID 62096 //
     /*  503296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503328 */     // MIs[0] policy
     /*  503328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503357 */     GIR_RootConstrainSelectedInstOperands,
     /*  503358 */     // GIR_Coverage, 62096,
     /*  503358 */     GIR_EraseRootFromParent_Done,
     /*  503359 */   // Label 8389: @503359
     /*  503359 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503427), // Rule ID 62097 //
     /*  503364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503396 */     // MIs[0] policy
     /*  503396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503425 */     GIR_RootConstrainSelectedInstOperands,
     /*  503426 */     // GIR_Coverage, 62097,
     /*  503426 */     GIR_EraseRootFromParent_Done,
     /*  503427 */   // Label 8390: @503427
     /*  503427 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503495), // Rule ID 62098 //
     /*  503432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503464 */     // MIs[0] policy
     /*  503464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  503477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503493 */     GIR_RootConstrainSelectedInstOperands,
     /*  503494 */     // GIR_Coverage, 62098,
     /*  503494 */     GIR_EraseRootFromParent_Done,
     /*  503495 */   // Label 8391: @503495
     /*  503495 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503563), // Rule ID 62099 //
     /*  503500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503532 */     // MIs[0] policy
     /*  503532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  503545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503561 */     GIR_RootConstrainSelectedInstOperands,
     /*  503562 */     // GIR_Coverage, 62099,
     /*  503562 */     GIR_EraseRootFromParent_Done,
     /*  503563 */   // Label 8392: @503563
     /*  503563 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503631), // Rule ID 62100 //
     /*  503568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503600 */     // MIs[0] policy
     /*  503600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  503613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503629 */     GIR_RootConstrainSelectedInstOperands,
     /*  503630 */     // GIR_Coverage, 62100,
     /*  503630 */     GIR_EraseRootFromParent_Done,
     /*  503631 */   // Label 8393: @503631
     /*  503631 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503699), // Rule ID 62101 //
     /*  503636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503668 */     // MIs[0] policy
     /*  503668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  503681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503697 */     GIR_RootConstrainSelectedInstOperands,
     /*  503698 */     // GIR_Coverage, 62101,
     /*  503698 */     GIR_EraseRootFromParent_Done,
     /*  503699 */   // Label 8394: @503699
     /*  503699 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503767), // Rule ID 62102 //
     /*  503704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503736 */     // MIs[0] policy
     /*  503736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  503749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503765 */     GIR_RootConstrainSelectedInstOperands,
     /*  503766 */     // GIR_Coverage, 62102,
     /*  503766 */     GIR_EraseRootFromParent_Done,
     /*  503767 */   // Label 8395: @503767
     /*  503767 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503835), // Rule ID 62103 //
     /*  503772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503804 */     // MIs[0] policy
     /*  503804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  503817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503833 */     GIR_RootConstrainSelectedInstOperands,
     /*  503834 */     // GIR_Coverage, 62103,
     /*  503834 */     GIR_EraseRootFromParent_Done,
     /*  503835 */   // Label 8396: @503835
     /*  503835 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503903), // Rule ID 62104 //
     /*  503840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503872 */     // MIs[0] policy
     /*  503872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  503885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503901 */     GIR_RootConstrainSelectedInstOperands,
     /*  503902 */     // GIR_Coverage, 62104,
     /*  503902 */     GIR_EraseRootFromParent_Done,
     /*  503903 */   // Label 8397: @503903
     /*  503903 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503971), // Rule ID 62105 //
     /*  503908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503940 */     // MIs[0] policy
     /*  503940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  503953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503969 */     GIR_RootConstrainSelectedInstOperands,
     /*  503970 */     // GIR_Coverage, 62105,
     /*  503970 */     GIR_EraseRootFromParent_Done,
     /*  503971 */   // Label 8398: @503971
     /*  503971 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(504039), // Rule ID 62106 //
     /*  503976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504008 */     // MIs[0] policy
     /*  504008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  504021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504037 */     GIR_RootConstrainSelectedInstOperands,
     /*  504038 */     // GIR_Coverage, 62106,
     /*  504038 */     GIR_EraseRootFromParent_Done,
     /*  504039 */   // Label 8399: @504039
     /*  504039 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(504107), // Rule ID 62107 //
     /*  504044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504076 */     // MIs[0] policy
     /*  504076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  504089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504105 */     GIR_RootConstrainSelectedInstOperands,
     /*  504106 */     // GIR_Coverage, 62107,
     /*  504106 */     GIR_EraseRootFromParent_Done,
     /*  504107 */   // Label 8400: @504107
     /*  504107 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(504175), // Rule ID 62108 //
     /*  504112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504144 */     // MIs[0] policy
     /*  504144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  504157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504173 */     GIR_RootConstrainSelectedInstOperands,
     /*  504174 */     // GIR_Coverage, 62108,
     /*  504174 */     GIR_EraseRootFromParent_Done,
     /*  504175 */   // Label 8401: @504175
     /*  504175 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504243), // Rule ID 62109 //
     /*  504180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504212 */     // MIs[0] policy
     /*  504212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  504225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504241 */     GIR_RootConstrainSelectedInstOperands,
     /*  504242 */     // GIR_Coverage, 62109,
     /*  504242 */     GIR_EraseRootFromParent_Done,
     /*  504243 */   // Label 8402: @504243
     /*  504243 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504311), // Rule ID 62110 //
     /*  504248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504280 */     // MIs[0] policy
     /*  504280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504309 */     GIR_RootConstrainSelectedInstOperands,
     /*  504310 */     // GIR_Coverage, 62110,
     /*  504310 */     GIR_EraseRootFromParent_Done,
     /*  504311 */   // Label 8403: @504311
     /*  504311 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504379), // Rule ID 62111 //
     /*  504316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504348 */     // MIs[0] policy
     /*  504348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504377 */     GIR_RootConstrainSelectedInstOperands,
     /*  504378 */     // GIR_Coverage, 62111,
     /*  504378 */     GIR_EraseRootFromParent_Done,
     /*  504379 */   // Label 8404: @504379
     /*  504379 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504447), // Rule ID 62112 //
     /*  504384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504416 */     // MIs[0] policy
     /*  504416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504445 */     GIR_RootConstrainSelectedInstOperands,
     /*  504446 */     // GIR_Coverage, 62112,
     /*  504446 */     GIR_EraseRootFromParent_Done,
     /*  504447 */   // Label 8405: @504447
     /*  504447 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504515), // Rule ID 62113 //
     /*  504452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504484 */     // MIs[0] policy
     /*  504484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504513 */     GIR_RootConstrainSelectedInstOperands,
     /*  504514 */     // GIR_Coverage, 62113,
     /*  504514 */     GIR_EraseRootFromParent_Done,
     /*  504515 */   // Label 8406: @504515
     /*  504515 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504583), // Rule ID 62114 //
     /*  504520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504552 */     // MIs[0] policy
     /*  504552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  504565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504581 */     GIR_RootConstrainSelectedInstOperands,
     /*  504582 */     // GIR_Coverage, 62114,
     /*  504582 */     GIR_EraseRootFromParent_Done,
     /*  504583 */   // Label 8407: @504583
     /*  504583 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504651), // Rule ID 62115 //
     /*  504588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504620 */     // MIs[0] policy
     /*  504620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  504633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504649 */     GIR_RootConstrainSelectedInstOperands,
     /*  504650 */     // GIR_Coverage, 62115,
     /*  504650 */     GIR_EraseRootFromParent_Done,
     /*  504651 */   // Label 8408: @504651
     /*  504651 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504719), // Rule ID 62116 //
     /*  504656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504688 */     // MIs[0] policy
     /*  504688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  504701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504717 */     GIR_RootConstrainSelectedInstOperands,
     /*  504718 */     // GIR_Coverage, 62116,
     /*  504718 */     GIR_EraseRootFromParent_Done,
     /*  504719 */   // Label 8409: @504719
     /*  504719 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504787), // Rule ID 62117 //
     /*  504724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504756 */     // MIs[0] policy
     /*  504756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  504769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504785 */     GIR_RootConstrainSelectedInstOperands,
     /*  504786 */     // GIR_Coverage, 62117,
     /*  504786 */     GIR_EraseRootFromParent_Done,
     /*  504787 */   // Label 8410: @504787
     /*  504787 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504855), // Rule ID 62118 //
     /*  504792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504824 */     // MIs[0] policy
     /*  504824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  504837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504853 */     GIR_RootConstrainSelectedInstOperands,
     /*  504854 */     // GIR_Coverage, 62118,
     /*  504854 */     GIR_EraseRootFromParent_Done,
     /*  504855 */   // Label 8411: @504855
     /*  504855 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504923), // Rule ID 62119 //
     /*  504860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504892 */     // MIs[0] policy
     /*  504892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  504905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504921 */     GIR_RootConstrainSelectedInstOperands,
     /*  504922 */     // GIR_Coverage, 62119,
     /*  504922 */     GIR_EraseRootFromParent_Done,
     /*  504923 */   // Label 8412: @504923
     /*  504923 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504991), // Rule ID 62120 //
     /*  504928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504960 */     // MIs[0] policy
     /*  504960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  504973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504989 */     GIR_RootConstrainSelectedInstOperands,
     /*  504990 */     // GIR_Coverage, 62120,
     /*  504990 */     GIR_EraseRootFromParent_Done,
     /*  504991 */   // Label 8413: @504991
     /*  504991 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(505059), // Rule ID 62121 //
     /*  504996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505028 */     // MIs[0] policy
     /*  505028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  505041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505057 */     GIR_RootConstrainSelectedInstOperands,
     /*  505058 */     // GIR_Coverage, 62121,
     /*  505058 */     GIR_EraseRootFromParent_Done,
     /*  505059 */   // Label 8414: @505059
     /*  505059 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(505127), // Rule ID 62122 //
     /*  505064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505096 */     // MIs[0] policy
     /*  505096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  505109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505125 */     GIR_RootConstrainSelectedInstOperands,
     /*  505126 */     // GIR_Coverage, 62122,
     /*  505126 */     GIR_EraseRootFromParent_Done,
     /*  505127 */   // Label 8415: @505127
     /*  505127 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505195), // Rule ID 62123 //
     /*  505132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505164 */     // MIs[0] policy
     /*  505164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  505177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505193 */     GIR_RootConstrainSelectedInstOperands,
     /*  505194 */     // GIR_Coverage, 62123,
     /*  505194 */     GIR_EraseRootFromParent_Done,
     /*  505195 */   // Label 8416: @505195
     /*  505195 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505263), // Rule ID 62124 //
     /*  505200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505232 */     // MIs[0] policy
     /*  505232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505261 */     GIR_RootConstrainSelectedInstOperands,
     /*  505262 */     // GIR_Coverage, 62124,
     /*  505262 */     GIR_EraseRootFromParent_Done,
     /*  505263 */   // Label 8417: @505263
     /*  505263 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505331), // Rule ID 62125 //
     /*  505268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505300 */     // MIs[0] policy
     /*  505300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505329 */     GIR_RootConstrainSelectedInstOperands,
     /*  505330 */     // GIR_Coverage, 62125,
     /*  505330 */     GIR_EraseRootFromParent_Done,
     /*  505331 */   // Label 8418: @505331
     /*  505331 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505399), // Rule ID 62126 //
     /*  505336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505368 */     // MIs[0] policy
     /*  505368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505397 */     GIR_RootConstrainSelectedInstOperands,
     /*  505398 */     // GIR_Coverage, 62126,
     /*  505398 */     GIR_EraseRootFromParent_Done,
     /*  505399 */   // Label 8419: @505399
     /*  505399 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505467), // Rule ID 62127 //
     /*  505404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505436 */     // MIs[0] policy
     /*  505436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505465 */     GIR_RootConstrainSelectedInstOperands,
     /*  505466 */     // GIR_Coverage, 62127,
     /*  505466 */     GIR_EraseRootFromParent_Done,
     /*  505467 */   // Label 8420: @505467
     /*  505467 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505535), // Rule ID 62128 //
     /*  505472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505504 */     // MIs[0] policy
     /*  505504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  505517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505533 */     GIR_RootConstrainSelectedInstOperands,
     /*  505534 */     // GIR_Coverage, 62128,
     /*  505534 */     GIR_EraseRootFromParent_Done,
     /*  505535 */   // Label 8421: @505535
     /*  505535 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505603), // Rule ID 62129 //
     /*  505540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505572 */     // MIs[0] policy
     /*  505572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  505585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505601 */     GIR_RootConstrainSelectedInstOperands,
     /*  505602 */     // GIR_Coverage, 62129,
     /*  505602 */     GIR_EraseRootFromParent_Done,
     /*  505603 */   // Label 8422: @505603
     /*  505603 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505671), // Rule ID 62130 //
     /*  505608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505640 */     // MIs[0] policy
     /*  505640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  505653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505669 */     GIR_RootConstrainSelectedInstOperands,
     /*  505670 */     // GIR_Coverage, 62130,
     /*  505670 */     GIR_EraseRootFromParent_Done,
     /*  505671 */   // Label 8423: @505671
     /*  505671 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505739), // Rule ID 62131 //
     /*  505676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505708 */     // MIs[0] policy
     /*  505708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  505721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505737 */     GIR_RootConstrainSelectedInstOperands,
     /*  505738 */     // GIR_Coverage, 62131,
     /*  505738 */     GIR_EraseRootFromParent_Done,
     /*  505739 */   // Label 8424: @505739
     /*  505739 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505807), // Rule ID 62132 //
     /*  505744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505776 */     // MIs[0] policy
     /*  505776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  505789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505805 */     GIR_RootConstrainSelectedInstOperands,
     /*  505806 */     // GIR_Coverage, 62132,
     /*  505806 */     GIR_EraseRootFromParent_Done,
     /*  505807 */   // Label 8425: @505807
     /*  505807 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505875), // Rule ID 62133 //
     /*  505812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505844 */     // MIs[0] policy
     /*  505844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  505857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505873 */     GIR_RootConstrainSelectedInstOperands,
     /*  505874 */     // GIR_Coverage, 62133,
     /*  505874 */     GIR_EraseRootFromParent_Done,
     /*  505875 */   // Label 8426: @505875
     /*  505875 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505943), // Rule ID 62134 //
     /*  505880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505912 */     // MIs[0] policy
     /*  505912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  505925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505941 */     GIR_RootConstrainSelectedInstOperands,
     /*  505942 */     // GIR_Coverage, 62134,
     /*  505942 */     GIR_EraseRootFromParent_Done,
     /*  505943 */   // Label 8427: @505943
     /*  505943 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(506011), // Rule ID 62135 //
     /*  505948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505980 */     // MIs[0] policy
     /*  505980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  505993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506009 */     GIR_RootConstrainSelectedInstOperands,
     /*  506010 */     // GIR_Coverage, 62135,
     /*  506010 */     GIR_EraseRootFromParent_Done,
     /*  506011 */   // Label 8428: @506011
     /*  506011 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(506079), // Rule ID 62136 //
     /*  506016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506048 */     // MIs[0] policy
     /*  506048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  506061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506077 */     GIR_RootConstrainSelectedInstOperands,
     /*  506078 */     // GIR_Coverage, 62136,
     /*  506078 */     GIR_EraseRootFromParent_Done,
     /*  506079 */   // Label 8429: @506079
     /*  506079 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(506147), // Rule ID 62137 //
     /*  506084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506116 */     // MIs[0] policy
     /*  506116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  506129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506145 */     GIR_RootConstrainSelectedInstOperands,
     /*  506146 */     // GIR_Coverage, 62137,
     /*  506146 */     GIR_EraseRootFromParent_Done,
     /*  506147 */   // Label 8430: @506147
     /*  506147 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506215), // Rule ID 62138 //
     /*  506152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506184 */     // MIs[0] policy
     /*  506184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  506197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506213 */     GIR_RootConstrainSelectedInstOperands,
     /*  506214 */     // GIR_Coverage, 62138,
     /*  506214 */     GIR_EraseRootFromParent_Done,
     /*  506215 */   // Label 8431: @506215
     /*  506215 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506283), // Rule ID 62139 //
     /*  506220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506252 */     // MIs[0] policy
     /*  506252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  506265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506281 */     GIR_RootConstrainSelectedInstOperands,
     /*  506282 */     // GIR_Coverage, 62139,
     /*  506282 */     GIR_EraseRootFromParent_Done,
     /*  506283 */   // Label 8432: @506283
     /*  506283 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506351), // Rule ID 62140 //
     /*  506288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506320 */     // MIs[0] policy
     /*  506320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506349 */     GIR_RootConstrainSelectedInstOperands,
     /*  506350 */     // GIR_Coverage, 62140,
     /*  506350 */     GIR_EraseRootFromParent_Done,
     /*  506351 */   // Label 8433: @506351
     /*  506351 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506419), // Rule ID 62141 //
     /*  506356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506388 */     // MIs[0] policy
     /*  506388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506417 */     GIR_RootConstrainSelectedInstOperands,
     /*  506418 */     // GIR_Coverage, 62141,
     /*  506418 */     GIR_EraseRootFromParent_Done,
     /*  506419 */   // Label 8434: @506419
     /*  506419 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506487), // Rule ID 62142 //
     /*  506424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506456 */     // MIs[0] policy
     /*  506456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506485 */     GIR_RootConstrainSelectedInstOperands,
     /*  506486 */     // GIR_Coverage, 62142,
     /*  506486 */     GIR_EraseRootFromParent_Done,
     /*  506487 */   // Label 8435: @506487
     /*  506487 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506555), // Rule ID 62143 //
     /*  506492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506524 */     // MIs[0] policy
     /*  506524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  506537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506553 */     GIR_RootConstrainSelectedInstOperands,
     /*  506554 */     // GIR_Coverage, 62143,
     /*  506554 */     GIR_EraseRootFromParent_Done,
     /*  506555 */   // Label 8436: @506555
     /*  506555 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506623), // Rule ID 62144 //
     /*  506560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506592 */     // MIs[0] policy
     /*  506592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  506605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506621 */     GIR_RootConstrainSelectedInstOperands,
     /*  506622 */     // GIR_Coverage, 62144,
     /*  506622 */     GIR_EraseRootFromParent_Done,
     /*  506623 */   // Label 8437: @506623
     /*  506623 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506691), // Rule ID 62145 //
     /*  506628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506660 */     // MIs[0] policy
     /*  506660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  506673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506689 */     GIR_RootConstrainSelectedInstOperands,
     /*  506690 */     // GIR_Coverage, 62145,
     /*  506690 */     GIR_EraseRootFromParent_Done,
     /*  506691 */   // Label 8438: @506691
     /*  506691 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506759), // Rule ID 62146 //
     /*  506696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506728 */     // MIs[0] policy
     /*  506728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  506741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506757 */     GIR_RootConstrainSelectedInstOperands,
     /*  506758 */     // GIR_Coverage, 62146,
     /*  506758 */     GIR_EraseRootFromParent_Done,
     /*  506759 */   // Label 8439: @506759
     /*  506759 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506827), // Rule ID 62147 //
     /*  506764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506796 */     // MIs[0] policy
     /*  506796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  506809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506825 */     GIR_RootConstrainSelectedInstOperands,
     /*  506826 */     // GIR_Coverage, 62147,
     /*  506826 */     GIR_EraseRootFromParent_Done,
     /*  506827 */   // Label 8440: @506827
     /*  506827 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506895), // Rule ID 62148 //
     /*  506832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506864 */     // MIs[0] policy
     /*  506864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  506877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506893 */     GIR_RootConstrainSelectedInstOperands,
     /*  506894 */     // GIR_Coverage, 62148,
     /*  506894 */     GIR_EraseRootFromParent_Done,
     /*  506895 */   // Label 8441: @506895
     /*  506895 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506963), // Rule ID 62149 //
     /*  506900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506932 */     // MIs[0] policy
     /*  506932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  506945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506961 */     GIR_RootConstrainSelectedInstOperands,
     /*  506962 */     // GIR_Coverage, 62149,
     /*  506962 */     GIR_EraseRootFromParent_Done,
     /*  506963 */   // Label 8442: @506963
     /*  506963 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(507031), // Rule ID 62150 //
     /*  506968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507000 */     // MIs[0] policy
     /*  507000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  507013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507029 */     GIR_RootConstrainSelectedInstOperands,
     /*  507030 */     // GIR_Coverage, 62150,
     /*  507030 */     GIR_EraseRootFromParent_Done,
     /*  507031 */   // Label 8443: @507031
     /*  507031 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(507099), // Rule ID 62151 //
     /*  507036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507068 */     // MIs[0] policy
     /*  507068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  507081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507097 */     GIR_RootConstrainSelectedInstOperands,
     /*  507098 */     // GIR_Coverage, 62151,
     /*  507098 */     GIR_EraseRootFromParent_Done,
     /*  507099 */   // Label 8444: @507099
     /*  507099 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(507167), // Rule ID 62152 //
     /*  507104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507136 */     // MIs[0] policy
     /*  507136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  507149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507165 */     GIR_RootConstrainSelectedInstOperands,
     /*  507166 */     // GIR_Coverage, 62152,
     /*  507166 */     GIR_EraseRootFromParent_Done,
     /*  507167 */   // Label 8445: @507167
     /*  507167 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507235), // Rule ID 62153 //
     /*  507172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507204 */     // MIs[0] policy
     /*  507204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  507217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507233 */     GIR_RootConstrainSelectedInstOperands,
     /*  507234 */     // GIR_Coverage, 62153,
     /*  507234 */     GIR_EraseRootFromParent_Done,
     /*  507235 */   // Label 8446: @507235
     /*  507235 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507303), // Rule ID 62154 //
     /*  507240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507272 */     // MIs[0] policy
     /*  507272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507301 */     GIR_RootConstrainSelectedInstOperands,
     /*  507302 */     // GIR_Coverage, 62154,
     /*  507302 */     GIR_EraseRootFromParent_Done,
     /*  507303 */   // Label 8447: @507303
     /*  507303 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507371), // Rule ID 62155 //
     /*  507308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507340 */     // MIs[0] policy
     /*  507340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507369 */     GIR_RootConstrainSelectedInstOperands,
     /*  507370 */     // GIR_Coverage, 62155,
     /*  507370 */     GIR_EraseRootFromParent_Done,
     /*  507371 */   // Label 8448: @507371
     /*  507371 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507439), // Rule ID 62156 //
     /*  507376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507408 */     // MIs[0] policy
     /*  507408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507437 */     GIR_RootConstrainSelectedInstOperands,
     /*  507438 */     // GIR_Coverage, 62156,
     /*  507438 */     GIR_EraseRootFromParent_Done,
     /*  507439 */   // Label 8449: @507439
     /*  507439 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507507), // Rule ID 62157 //
     /*  507444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507476 */     // MIs[0] policy
     /*  507476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507505 */     GIR_RootConstrainSelectedInstOperands,
     /*  507506 */     // GIR_Coverage, 62157,
     /*  507506 */     GIR_EraseRootFromParent_Done,
     /*  507507 */   // Label 8450: @507507
     /*  507507 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507575), // Rule ID 62158 //
     /*  507512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507544 */     // MIs[0] policy
     /*  507544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  507557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507573 */     GIR_RootConstrainSelectedInstOperands,
     /*  507574 */     // GIR_Coverage, 62158,
     /*  507574 */     GIR_EraseRootFromParent_Done,
     /*  507575 */   // Label 8451: @507575
     /*  507575 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507643), // Rule ID 62159 //
     /*  507580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507612 */     // MIs[0] policy
     /*  507612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  507625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507641 */     GIR_RootConstrainSelectedInstOperands,
     /*  507642 */     // GIR_Coverage, 62159,
     /*  507642 */     GIR_EraseRootFromParent_Done,
     /*  507643 */   // Label 8452: @507643
     /*  507643 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507711), // Rule ID 62160 //
     /*  507648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507680 */     // MIs[0] policy
     /*  507680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  507693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507709 */     GIR_RootConstrainSelectedInstOperands,
     /*  507710 */     // GIR_Coverage, 62160,
     /*  507710 */     GIR_EraseRootFromParent_Done,
     /*  507711 */   // Label 8453: @507711
     /*  507711 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507779), // Rule ID 62161 //
     /*  507716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507748 */     // MIs[0] policy
     /*  507748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507777 */     GIR_RootConstrainSelectedInstOperands,
     /*  507778 */     // GIR_Coverage, 62161,
     /*  507778 */     GIR_EraseRootFromParent_Done,
     /*  507779 */   // Label 8454: @507779
     /*  507779 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507847), // Rule ID 62162 //
     /*  507784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507816 */     // MIs[0] policy
     /*  507816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  507829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507845 */     GIR_RootConstrainSelectedInstOperands,
     /*  507846 */     // GIR_Coverage, 62162,
     /*  507846 */     GIR_EraseRootFromParent_Done,
     /*  507847 */   // Label 8455: @507847
     /*  507847 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507915), // Rule ID 62163 //
     /*  507852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507884 */     // MIs[0] policy
     /*  507884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  507897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507913 */     GIR_RootConstrainSelectedInstOperands,
     /*  507914 */     // GIR_Coverage, 62163,
     /*  507914 */     GIR_EraseRootFromParent_Done,
     /*  507915 */   // Label 8456: @507915
     /*  507915 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507983), // Rule ID 62164 //
     /*  507920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507952 */     // MIs[0] policy
     /*  507952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  507965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507981 */     GIR_RootConstrainSelectedInstOperands,
     /*  507982 */     // GIR_Coverage, 62164,
     /*  507982 */     GIR_EraseRootFromParent_Done,
     /*  507983 */   // Label 8457: @507983
     /*  507983 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(508051), // Rule ID 62165 //
     /*  507988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508020 */     // MIs[0] policy
     /*  508020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  508033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508049 */     GIR_RootConstrainSelectedInstOperands,
     /*  508050 */     // GIR_Coverage, 62165,
     /*  508050 */     GIR_EraseRootFromParent_Done,
     /*  508051 */   // Label 8458: @508051
     /*  508051 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(508119), // Rule ID 62166 //
     /*  508056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508088 */     // MIs[0] policy
     /*  508088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  508101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508117 */     GIR_RootConstrainSelectedInstOperands,
     /*  508118 */     // GIR_Coverage, 62166,
     /*  508118 */     GIR_EraseRootFromParent_Done,
     /*  508119 */   // Label 8459: @508119
     /*  508119 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(508187), // Rule ID 62167 //
     /*  508124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508156 */     // MIs[0] policy
     /*  508156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  508169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508185 */     GIR_RootConstrainSelectedInstOperands,
     /*  508186 */     // GIR_Coverage, 62167,
     /*  508186 */     GIR_EraseRootFromParent_Done,
     /*  508187 */   // Label 8460: @508187
     /*  508187 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508255), // Rule ID 62168 //
     /*  508192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508224 */     // MIs[0] policy
     /*  508224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508253 */     GIR_RootConstrainSelectedInstOperands,
     /*  508254 */     // GIR_Coverage, 62168,
     /*  508254 */     GIR_EraseRootFromParent_Done,
     /*  508255 */   // Label 8461: @508255
     /*  508255 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508323), // Rule ID 62169 //
     /*  508260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508292 */     // MIs[0] policy
     /*  508292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508321 */     GIR_RootConstrainSelectedInstOperands,
     /*  508322 */     // GIR_Coverage, 62169,
     /*  508322 */     GIR_EraseRootFromParent_Done,
     /*  508323 */   // Label 8462: @508323
     /*  508323 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508391), // Rule ID 62170 //
     /*  508328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508360 */     // MIs[0] policy
     /*  508360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508389 */     GIR_RootConstrainSelectedInstOperands,
     /*  508390 */     // GIR_Coverage, 62170,
     /*  508390 */     GIR_EraseRootFromParent_Done,
     /*  508391 */   // Label 8463: @508391
     /*  508391 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508459), // Rule ID 62171 //
     /*  508396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508428 */     // MIs[0] policy
     /*  508428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508457 */     GIR_RootConstrainSelectedInstOperands,
     /*  508458 */     // GIR_Coverage, 62171,
     /*  508458 */     GIR_EraseRootFromParent_Done,
     /*  508459 */   // Label 8464: @508459
     /*  508459 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508527), // Rule ID 62172 //
     /*  508464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508496 */     // MIs[0] policy
     /*  508496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  508509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508525 */     GIR_RootConstrainSelectedInstOperands,
     /*  508526 */     // GIR_Coverage, 62172,
     /*  508526 */     GIR_EraseRootFromParent_Done,
     /*  508527 */   // Label 8465: @508527
     /*  508527 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508595), // Rule ID 62173 //
     /*  508532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508564 */     // MIs[0] policy
     /*  508564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  508577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508593 */     GIR_RootConstrainSelectedInstOperands,
     /*  508594 */     // GIR_Coverage, 62173,
     /*  508594 */     GIR_EraseRootFromParent_Done,
     /*  508595 */   // Label 8466: @508595
     /*  508595 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508663), // Rule ID 62174 //
     /*  508600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508632 */     // MIs[0] policy
     /*  508632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  508645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508661 */     GIR_RootConstrainSelectedInstOperands,
     /*  508662 */     // GIR_Coverage, 62174,
     /*  508662 */     GIR_EraseRootFromParent_Done,
     /*  508663 */   // Label 8467: @508663
     /*  508663 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508731), // Rule ID 62175 //
     /*  508668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508700 */     // MIs[0] policy
     /*  508700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  508713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508729 */     GIR_RootConstrainSelectedInstOperands,
     /*  508730 */     // GIR_Coverage, 62175,
     /*  508730 */     GIR_EraseRootFromParent_Done,
     /*  508731 */   // Label 8468: @508731
     /*  508731 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508799), // Rule ID 62176 //
     /*  508736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508768 */     // MIs[0] policy
     /*  508768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  508781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508797 */     GIR_RootConstrainSelectedInstOperands,
     /*  508798 */     // GIR_Coverage, 62176,
     /*  508798 */     GIR_EraseRootFromParent_Done,
     /*  508799 */   // Label 8469: @508799
     /*  508799 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508867), // Rule ID 62177 //
     /*  508804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508836 */     // MIs[0] policy
     /*  508836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  508849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508865 */     GIR_RootConstrainSelectedInstOperands,
     /*  508866 */     // GIR_Coverage, 62177,
     /*  508866 */     GIR_EraseRootFromParent_Done,
     /*  508867 */   // Label 8470: @508867
     /*  508867 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508935), // Rule ID 62178 //
     /*  508872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  508889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508904 */     // MIs[0] policy
     /*  508904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  508917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508933 */     GIR_RootConstrainSelectedInstOperands,
     /*  508934 */     // GIR_Coverage, 62178,
     /*  508934 */     GIR_EraseRootFromParent_Done,
     /*  508935 */   // Label 8471: @508935
     /*  508935 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(509003), // Rule ID 62179 //
     /*  508940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  508957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508972 */     // MIs[0] policy
     /*  508972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  508985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509001 */     GIR_RootConstrainSelectedInstOperands,
     /*  509002 */     // GIR_Coverage, 62179,
     /*  509002 */     GIR_EraseRootFromParent_Done,
     /*  509003 */   // Label 8472: @509003
     /*  509003 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(509071), // Rule ID 62180 //
     /*  509008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509040 */     // MIs[0] policy
     /*  509040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  509053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509069 */     GIR_RootConstrainSelectedInstOperands,
     /*  509070 */     // GIR_Coverage, 62180,
     /*  509070 */     GIR_EraseRootFromParent_Done,
     /*  509071 */   // Label 8473: @509071
     /*  509071 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(509139), // Rule ID 62181 //
     /*  509076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509108 */     // MIs[0] policy
     /*  509108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  509121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509137 */     GIR_RootConstrainSelectedInstOperands,
     /*  509138 */     // GIR_Coverage, 62181,
     /*  509138 */     GIR_EraseRootFromParent_Done,
     /*  509139 */   // Label 8474: @509139
     /*  509139 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509207), // Rule ID 62182 //
     /*  509144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509176 */     // MIs[0] policy
     /*  509176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  509189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509205 */     GIR_RootConstrainSelectedInstOperands,
     /*  509206 */     // GIR_Coverage, 62182,
     /*  509206 */     GIR_EraseRootFromParent_Done,
     /*  509207 */   // Label 8475: @509207
     /*  509207 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509275), // Rule ID 62183 //
     /*  509212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509244 */     // MIs[0] policy
     /*  509244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  509257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509273 */     GIR_RootConstrainSelectedInstOperands,
     /*  509274 */     // GIR_Coverage, 62183,
     /*  509274 */     GIR_EraseRootFromParent_Done,
     /*  509275 */   // Label 8476: @509275
     /*  509275 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509343), // Rule ID 62184 //
     /*  509280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509312 */     // MIs[0] policy
     /*  509312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509341 */     GIR_RootConstrainSelectedInstOperands,
     /*  509342 */     // GIR_Coverage, 62184,
     /*  509342 */     GIR_EraseRootFromParent_Done,
     /*  509343 */   // Label 8477: @509343
     /*  509343 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509411), // Rule ID 62185 //
     /*  509348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509380 */     // MIs[0] policy
     /*  509380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509409 */     GIR_RootConstrainSelectedInstOperands,
     /*  509410 */     // GIR_Coverage, 62185,
     /*  509410 */     GIR_EraseRootFromParent_Done,
     /*  509411 */   // Label 8478: @509411
     /*  509411 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509479), // Rule ID 62186 //
     /*  509416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509448 */     // MIs[0] policy
     /*  509448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  509461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509477 */     GIR_RootConstrainSelectedInstOperands,
     /*  509478 */     // GIR_Coverage, 62186,
     /*  509478 */     GIR_EraseRootFromParent_Done,
     /*  509479 */   // Label 8479: @509479
     /*  509479 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509547), // Rule ID 62187 //
     /*  509484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509516 */     // MIs[0] policy
     /*  509516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  509529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509545 */     GIR_RootConstrainSelectedInstOperands,
     /*  509546 */     // GIR_Coverage, 62187,
     /*  509546 */     GIR_EraseRootFromParent_Done,
     /*  509547 */   // Label 8480: @509547
     /*  509547 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509615), // Rule ID 62188 //
     /*  509552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509584 */     // MIs[0] policy
     /*  509584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  509597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509613 */     GIR_RootConstrainSelectedInstOperands,
     /*  509614 */     // GIR_Coverage, 62188,
     /*  509614 */     GIR_EraseRootFromParent_Done,
     /*  509615 */   // Label 8481: @509615
     /*  509615 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509683), // Rule ID 62189 //
     /*  509620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509652 */     // MIs[0] policy
     /*  509652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  509665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509681 */     GIR_RootConstrainSelectedInstOperands,
     /*  509682 */     // GIR_Coverage, 62189,
     /*  509682 */     GIR_EraseRootFromParent_Done,
     /*  509683 */   // Label 8482: @509683
     /*  509683 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509751), // Rule ID 62190 //
     /*  509688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509720 */     // MIs[0] policy
     /*  509720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  509733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509749 */     GIR_RootConstrainSelectedInstOperands,
     /*  509750 */     // GIR_Coverage, 62190,
     /*  509750 */     GIR_EraseRootFromParent_Done,
     /*  509751 */   // Label 8483: @509751
     /*  509751 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509819), // Rule ID 62191 //
     /*  509756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509788 */     // MIs[0] policy
     /*  509788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  509801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509817 */     GIR_RootConstrainSelectedInstOperands,
     /*  509818 */     // GIR_Coverage, 62191,
     /*  509818 */     GIR_EraseRootFromParent_Done,
     /*  509819 */   // Label 8484: @509819
     /*  509819 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509887), // Rule ID 62192 //
     /*  509824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509856 */     // MIs[0] policy
     /*  509856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  509869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509885 */     GIR_RootConstrainSelectedInstOperands,
     /*  509886 */     // GIR_Coverage, 62192,
     /*  509886 */     GIR_EraseRootFromParent_Done,
     /*  509887 */   // Label 8485: @509887
     /*  509887 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509955), // Rule ID 62193 //
     /*  509892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509924 */     // MIs[0] policy
     /*  509924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  509937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509953 */     GIR_RootConstrainSelectedInstOperands,
     /*  509954 */     // GIR_Coverage, 62193,
     /*  509954 */     GIR_EraseRootFromParent_Done,
     /*  509955 */   // Label 8486: @509955
     /*  509955 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(510023), // Rule ID 62194 //
     /*  509960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509992 */     // MIs[0] policy
     /*  509992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  510005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510021 */     GIR_RootConstrainSelectedInstOperands,
     /*  510022 */     // GIR_Coverage, 62194,
     /*  510022 */     GIR_EraseRootFromParent_Done,
     /*  510023 */   // Label 8487: @510023
     /*  510023 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(510091), // Rule ID 62195 //
     /*  510028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510060 */     // MIs[0] policy
     /*  510060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  510073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510089 */     GIR_RootConstrainSelectedInstOperands,
     /*  510090 */     // GIR_Coverage, 62195,
     /*  510090 */     GIR_EraseRootFromParent_Done,
     /*  510091 */   // Label 8488: @510091
     /*  510091 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(510159), // Rule ID 62196 //
     /*  510096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510128 */     // MIs[0] policy
     /*  510128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  510141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510157 */     GIR_RootConstrainSelectedInstOperands,
     /*  510158 */     // GIR_Coverage, 62196,
     /*  510158 */     GIR_EraseRootFromParent_Done,
     /*  510159 */   // Label 8489: @510159
     /*  510159 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510227), // Rule ID 62197 //
     /*  510164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510196 */     // MIs[0] policy
     /*  510196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  510209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510225 */     GIR_RootConstrainSelectedInstOperands,
     /*  510226 */     // GIR_Coverage, 62197,
     /*  510226 */     GIR_EraseRootFromParent_Done,
     /*  510227 */   // Label 8490: @510227
     /*  510227 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510295), // Rule ID 62198 //
     /*  510232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510264 */     // MIs[0] policy
     /*  510264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510293 */     GIR_RootConstrainSelectedInstOperands,
     /*  510294 */     // GIR_Coverage, 62198,
     /*  510294 */     GIR_EraseRootFromParent_Done,
     /*  510295 */   // Label 8491: @510295
     /*  510295 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510363), // Rule ID 62199 //
     /*  510300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510332 */     // MIs[0] policy
     /*  510332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510361 */     GIR_RootConstrainSelectedInstOperands,
     /*  510362 */     // GIR_Coverage, 62199,
     /*  510362 */     GIR_EraseRootFromParent_Done,
     /*  510363 */   // Label 8492: @510363
     /*  510363 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510431), // Rule ID 62200 //
     /*  510368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510400 */     // MIs[0] policy
     /*  510400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510429 */     GIR_RootConstrainSelectedInstOperands,
     /*  510430 */     // GIR_Coverage, 62200,
     /*  510430 */     GIR_EraseRootFromParent_Done,
     /*  510431 */   // Label 8493: @510431
     /*  510431 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510499), // Rule ID 62201 //
     /*  510436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510468 */     // MIs[0] policy
     /*  510468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510497 */     GIR_RootConstrainSelectedInstOperands,
     /*  510498 */     // GIR_Coverage, 62201,
     /*  510498 */     GIR_EraseRootFromParent_Done,
     /*  510499 */   // Label 8494: @510499
     /*  510499 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510567), // Rule ID 62202 //
     /*  510504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510536 */     // MIs[0] policy
     /*  510536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  510549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510565 */     GIR_RootConstrainSelectedInstOperands,
     /*  510566 */     // GIR_Coverage, 62202,
     /*  510566 */     GIR_EraseRootFromParent_Done,
     /*  510567 */   // Label 8495: @510567
     /*  510567 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510635), // Rule ID 62203 //
     /*  510572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510604 */     // MIs[0] policy
     /*  510604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  510617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510633 */     GIR_RootConstrainSelectedInstOperands,
     /*  510634 */     // GIR_Coverage, 62203,
     /*  510634 */     GIR_EraseRootFromParent_Done,
     /*  510635 */   // Label 8496: @510635
     /*  510635 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510703), // Rule ID 62204 //
     /*  510640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510672 */     // MIs[0] policy
     /*  510672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  510685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510701 */     GIR_RootConstrainSelectedInstOperands,
     /*  510702 */     // GIR_Coverage, 62204,
     /*  510702 */     GIR_EraseRootFromParent_Done,
     /*  510703 */   // Label 8497: @510703
     /*  510703 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510771), // Rule ID 62205 //
     /*  510708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510740 */     // MIs[0] policy
     /*  510740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  510753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510769 */     GIR_RootConstrainSelectedInstOperands,
     /*  510770 */     // GIR_Coverage, 62205,
     /*  510770 */     GIR_EraseRootFromParent_Done,
     /*  510771 */   // Label 8498: @510771
     /*  510771 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510839), // Rule ID 62206 //
     /*  510776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510808 */     // MIs[0] policy
     /*  510808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  510821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510837 */     GIR_RootConstrainSelectedInstOperands,
     /*  510838 */     // GIR_Coverage, 62206,
     /*  510838 */     GIR_EraseRootFromParent_Done,
     /*  510839 */   // Label 8499: @510839
     /*  510839 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510907), // Rule ID 62207 //
     /*  510844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510876 */     // MIs[0] policy
     /*  510876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  510889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510905 */     GIR_RootConstrainSelectedInstOperands,
     /*  510906 */     // GIR_Coverage, 62207,
     /*  510906 */     GIR_EraseRootFromParent_Done,
     /*  510907 */   // Label 8500: @510907
     /*  510907 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510975), // Rule ID 62208 //
     /*  510912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510944 */     // MIs[0] policy
     /*  510944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  510957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510973 */     GIR_RootConstrainSelectedInstOperands,
     /*  510974 */     // GIR_Coverage, 62208,
     /*  510974 */     GIR_EraseRootFromParent_Done,
     /*  510975 */   // Label 8501: @510975
     /*  510975 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(511043), // Rule ID 62209 //
     /*  510980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511012 */     // MIs[0] policy
     /*  511012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  511025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511041 */     GIR_RootConstrainSelectedInstOperands,
     /*  511042 */     // GIR_Coverage, 62209,
     /*  511042 */     GIR_EraseRootFromParent_Done,
     /*  511043 */   // Label 8502: @511043
     /*  511043 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(511111), // Rule ID 62210 //
     /*  511048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511080 */     // MIs[0] policy
     /*  511080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  511093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511109 */     GIR_RootConstrainSelectedInstOperands,
     /*  511110 */     // GIR_Coverage, 62210,
     /*  511110 */     GIR_EraseRootFromParent_Done,
     /*  511111 */   // Label 8503: @511111
     /*  511111 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(511179), // Rule ID 62211 //
     /*  511116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511148 */     // MIs[0] policy
     /*  511148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  511161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511177 */     GIR_RootConstrainSelectedInstOperands,
     /*  511178 */     // GIR_Coverage, 62211,
     /*  511178 */     GIR_EraseRootFromParent_Done,
     /*  511179 */   // Label 8504: @511179
     /*  511179 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511247), // Rule ID 62212 //
     /*  511184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511216 */     // MIs[0] policy
     /*  511216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511245 */     GIR_RootConstrainSelectedInstOperands,
     /*  511246 */     // GIR_Coverage, 62212,
     /*  511246 */     GIR_EraseRootFromParent_Done,
     /*  511247 */   // Label 8505: @511247
     /*  511247 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511315), // Rule ID 62213 //
     /*  511252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511284 */     // MIs[0] policy
     /*  511284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511313 */     GIR_RootConstrainSelectedInstOperands,
     /*  511314 */     // GIR_Coverage, 62213,
     /*  511314 */     GIR_EraseRootFromParent_Done,
     /*  511315 */   // Label 8506: @511315
     /*  511315 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511383), // Rule ID 62214 //
     /*  511320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511352 */     // MIs[0] policy
     /*  511352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511381 */     GIR_RootConstrainSelectedInstOperands,
     /*  511382 */     // GIR_Coverage, 62214,
     /*  511382 */     GIR_EraseRootFromParent_Done,
     /*  511383 */   // Label 8507: @511383
     /*  511383 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511451), // Rule ID 62215 //
     /*  511388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511420 */     // MIs[0] policy
     /*  511420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511449 */     GIR_RootConstrainSelectedInstOperands,
     /*  511450 */     // GIR_Coverage, 62215,
     /*  511450 */     GIR_EraseRootFromParent_Done,
     /*  511451 */   // Label 8508: @511451
     /*  511451 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511519), // Rule ID 62216 //
     /*  511456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511488 */     // MIs[0] policy
     /*  511488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  511501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511517 */     GIR_RootConstrainSelectedInstOperands,
     /*  511518 */     // GIR_Coverage, 62216,
     /*  511518 */     GIR_EraseRootFromParent_Done,
     /*  511519 */   // Label 8509: @511519
     /*  511519 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511587), // Rule ID 62217 //
     /*  511524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511556 */     // MIs[0] policy
     /*  511556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  511569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511585 */     GIR_RootConstrainSelectedInstOperands,
     /*  511586 */     // GIR_Coverage, 62217,
     /*  511586 */     GIR_EraseRootFromParent_Done,
     /*  511587 */   // Label 8510: @511587
     /*  511587 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511655), // Rule ID 62218 //
     /*  511592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511624 */     // MIs[0] policy
     /*  511624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  511637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511653 */     GIR_RootConstrainSelectedInstOperands,
     /*  511654 */     // GIR_Coverage, 62218,
     /*  511654 */     GIR_EraseRootFromParent_Done,
     /*  511655 */   // Label 8511: @511655
     /*  511655 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511723), // Rule ID 62219 //
     /*  511660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511692 */     // MIs[0] policy
     /*  511692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  511705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511721 */     GIR_RootConstrainSelectedInstOperands,
     /*  511722 */     // GIR_Coverage, 62219,
     /*  511722 */     GIR_EraseRootFromParent_Done,
     /*  511723 */   // Label 8512: @511723
     /*  511723 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511791), // Rule ID 62220 //
     /*  511728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511760 */     // MIs[0] policy
     /*  511760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  511773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511789 */     GIR_RootConstrainSelectedInstOperands,
     /*  511790 */     // GIR_Coverage, 62220,
     /*  511790 */     GIR_EraseRootFromParent_Done,
     /*  511791 */   // Label 8513: @511791
     /*  511791 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511859), // Rule ID 62221 //
     /*  511796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511828 */     // MIs[0] policy
     /*  511828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  511841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511857 */     GIR_RootConstrainSelectedInstOperands,
     /*  511858 */     // GIR_Coverage, 62221,
     /*  511858 */     GIR_EraseRootFromParent_Done,
     /*  511859 */   // Label 8514: @511859
     /*  511859 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511927), // Rule ID 62222 //
     /*  511864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511896 */     // MIs[0] policy
     /*  511896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  511909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511925 */     GIR_RootConstrainSelectedInstOperands,
     /*  511926 */     // GIR_Coverage, 62222,
     /*  511926 */     GIR_EraseRootFromParent_Done,
     /*  511927 */   // Label 8515: @511927
     /*  511927 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511995), // Rule ID 62223 //
     /*  511932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511964 */     // MIs[0] policy
     /*  511964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  511977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511993 */     GIR_RootConstrainSelectedInstOperands,
     /*  511994 */     // GIR_Coverage, 62223,
     /*  511994 */     GIR_EraseRootFromParent_Done,
     /*  511995 */   // Label 8516: @511995
     /*  511995 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(512063), // Rule ID 62224 //
     /*  512000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512032 */     // MIs[0] policy
     /*  512032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  512045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512061 */     GIR_RootConstrainSelectedInstOperands,
     /*  512062 */     // GIR_Coverage, 62224,
     /*  512062 */     GIR_EraseRootFromParent_Done,
     /*  512063 */   // Label 8517: @512063
     /*  512063 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(512131), // Rule ID 62225 //
     /*  512068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512100 */     // MIs[0] policy
     /*  512100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  512113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512129 */     GIR_RootConstrainSelectedInstOperands,
     /*  512130 */     // GIR_Coverage, 62225,
     /*  512130 */     GIR_EraseRootFromParent_Done,
     /*  512131 */   // Label 8518: @512131
     /*  512131 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512199), // Rule ID 62226 //
     /*  512136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512168 */     // MIs[0] policy
     /*  512168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  512181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512197 */     GIR_RootConstrainSelectedInstOperands,
     /*  512198 */     // GIR_Coverage, 62226,
     /*  512198 */     GIR_EraseRootFromParent_Done,
     /*  512199 */   // Label 8519: @512199
     /*  512199 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512267), // Rule ID 62227 //
     /*  512204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512236 */     // MIs[0] policy
     /*  512236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  512249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512265 */     GIR_RootConstrainSelectedInstOperands,
     /*  512266 */     // GIR_Coverage, 62227,
     /*  512266 */     GIR_EraseRootFromParent_Done,
     /*  512267 */   // Label 8520: @512267
     /*  512267 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512335), // Rule ID 62228 //
     /*  512272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512304 */     // MIs[0] policy
     /*  512304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512333 */     GIR_RootConstrainSelectedInstOperands,
     /*  512334 */     // GIR_Coverage, 62228,
     /*  512334 */     GIR_EraseRootFromParent_Done,
     /*  512335 */   // Label 8521: @512335
     /*  512335 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512403), // Rule ID 62229 //
     /*  512340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512372 */     // MIs[0] policy
     /*  512372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512401 */     GIR_RootConstrainSelectedInstOperands,
     /*  512402 */     // GIR_Coverage, 62229,
     /*  512402 */     GIR_EraseRootFromParent_Done,
     /*  512403 */   // Label 8522: @512403
     /*  512403 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512471), // Rule ID 62230 //
     /*  512408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512440 */     // MIs[0] policy
     /*  512440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512469 */     GIR_RootConstrainSelectedInstOperands,
     /*  512470 */     // GIR_Coverage, 62230,
     /*  512470 */     GIR_EraseRootFromParent_Done,
     /*  512471 */   // Label 8523: @512471
     /*  512471 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512539), // Rule ID 62231 //
     /*  512476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512508 */     // MIs[0] policy
     /*  512508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512537 */     GIR_RootConstrainSelectedInstOperands,
     /*  512538 */     // GIR_Coverage, 62231,
     /*  512538 */     GIR_EraseRootFromParent_Done,
     /*  512539 */   // Label 8524: @512539
     /*  512539 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512607), // Rule ID 62232 //
     /*  512544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512576 */     // MIs[0] policy
     /*  512576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  512589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512605 */     GIR_RootConstrainSelectedInstOperands,
     /*  512606 */     // GIR_Coverage, 62232,
     /*  512606 */     GIR_EraseRootFromParent_Done,
     /*  512607 */   // Label 8525: @512607
     /*  512607 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512675), // Rule ID 62233 //
     /*  512612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512644 */     // MIs[0] policy
     /*  512644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  512657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512673 */     GIR_RootConstrainSelectedInstOperands,
     /*  512674 */     // GIR_Coverage, 62233,
     /*  512674 */     GIR_EraseRootFromParent_Done,
     /*  512675 */   // Label 8526: @512675
     /*  512675 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512743), // Rule ID 62234 //
     /*  512680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512712 */     // MIs[0] policy
     /*  512712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  512725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512741 */     GIR_RootConstrainSelectedInstOperands,
     /*  512742 */     // GIR_Coverage, 62234,
     /*  512742 */     GIR_EraseRootFromParent_Done,
     /*  512743 */   // Label 8527: @512743
     /*  512743 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512811), // Rule ID 62235 //
     /*  512748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512780 */     // MIs[0] policy
     /*  512780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  512793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512809 */     GIR_RootConstrainSelectedInstOperands,
     /*  512810 */     // GIR_Coverage, 62235,
     /*  512810 */     GIR_EraseRootFromParent_Done,
     /*  512811 */   // Label 8528: @512811
     /*  512811 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512879), // Rule ID 62236 //
     /*  512816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512848 */     // MIs[0] policy
     /*  512848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  512861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512877 */     GIR_RootConstrainSelectedInstOperands,
     /*  512878 */     // GIR_Coverage, 62236,
     /*  512878 */     GIR_EraseRootFromParent_Done,
     /*  512879 */   // Label 8529: @512879
     /*  512879 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512947), // Rule ID 62237 //
     /*  512884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512916 */     // MIs[0] policy
     /*  512916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  512929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512945 */     GIR_RootConstrainSelectedInstOperands,
     /*  512946 */     // GIR_Coverage, 62237,
     /*  512946 */     GIR_EraseRootFromParent_Done,
     /*  512947 */   // Label 8530: @512947
     /*  512947 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(513015), // Rule ID 62238 //
     /*  512952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512984 */     // MIs[0] policy
     /*  512984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  512997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513013 */     GIR_RootConstrainSelectedInstOperands,
     /*  513014 */     // GIR_Coverage, 62238,
     /*  513014 */     GIR_EraseRootFromParent_Done,
     /*  513015 */   // Label 8531: @513015
     /*  513015 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(513083), // Rule ID 62239 //
     /*  513020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513052 */     // MIs[0] policy
     /*  513052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  513065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513081 */     GIR_RootConstrainSelectedInstOperands,
     /*  513082 */     // GIR_Coverage, 62239,
     /*  513082 */     GIR_EraseRootFromParent_Done,
     /*  513083 */   // Label 8532: @513083
     /*  513083 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(513151), // Rule ID 62240 //
     /*  513088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513120 */     // MIs[0] policy
     /*  513120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  513133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513149 */     GIR_RootConstrainSelectedInstOperands,
     /*  513150 */     // GIR_Coverage, 62240,
     /*  513150 */     GIR_EraseRootFromParent_Done,
     /*  513151 */   // Label 8533: @513151
     /*  513151 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513219), // Rule ID 62241 //
     /*  513156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513188 */     // MIs[0] policy
     /*  513188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  513201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513217 */     GIR_RootConstrainSelectedInstOperands,
     /*  513218 */     // GIR_Coverage, 62241,
     /*  513218 */     GIR_EraseRootFromParent_Done,
     /*  513219 */   // Label 8534: @513219
     /*  513219 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513287), // Rule ID 62242 //
     /*  513224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513256 */     // MIs[0] policy
     /*  513256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513285 */     GIR_RootConstrainSelectedInstOperands,
     /*  513286 */     // GIR_Coverage, 62242,
     /*  513286 */     GIR_EraseRootFromParent_Done,
     /*  513287 */   // Label 8535: @513287
     /*  513287 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513355), // Rule ID 62243 //
     /*  513292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513324 */     // MIs[0] policy
     /*  513324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513353 */     GIR_RootConstrainSelectedInstOperands,
     /*  513354 */     // GIR_Coverage, 62243,
     /*  513354 */     GIR_EraseRootFromParent_Done,
     /*  513355 */   // Label 8536: @513355
     /*  513355 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513423), // Rule ID 62244 //
     /*  513360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513392 */     // MIs[0] policy
     /*  513392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513421 */     GIR_RootConstrainSelectedInstOperands,
     /*  513422 */     // GIR_Coverage, 62244,
     /*  513422 */     GIR_EraseRootFromParent_Done,
     /*  513423 */   // Label 8537: @513423
     /*  513423 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513491), // Rule ID 62245 //
     /*  513428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513460 */     // MIs[0] policy
     /*  513460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513489 */     GIR_RootConstrainSelectedInstOperands,
     /*  513490 */     // GIR_Coverage, 62245,
     /*  513490 */     GIR_EraseRootFromParent_Done,
     /*  513491 */   // Label 8538: @513491
     /*  513491 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513559), // Rule ID 62262 //
     /*  513496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513528 */     // MIs[0] policy
     /*  513528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513538 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  513541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513557 */     GIR_RootConstrainSelectedInstOperands,
     /*  513558 */     // GIR_Coverage, 62262,
     /*  513558 */     GIR_EraseRootFromParent_Done,
     /*  513559 */   // Label 8539: @513559
     /*  513559 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513627), // Rule ID 62263 //
     /*  513564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513596 */     // MIs[0] policy
     /*  513596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  513609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513625 */     GIR_RootConstrainSelectedInstOperands,
     /*  513626 */     // GIR_Coverage, 62263,
     /*  513626 */     GIR_EraseRootFromParent_Done,
     /*  513627 */   // Label 8540: @513627
     /*  513627 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513695), // Rule ID 62264 //
     /*  513632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513664 */     // MIs[0] policy
     /*  513664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  513677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513693 */     GIR_RootConstrainSelectedInstOperands,
     /*  513694 */     // GIR_Coverage, 62264,
     /*  513694 */     GIR_EraseRootFromParent_Done,
     /*  513695 */   // Label 8541: @513695
     /*  513695 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513763), // Rule ID 62265 //
     /*  513700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513732 */     // MIs[0] policy
     /*  513732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  513745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513761 */     GIR_RootConstrainSelectedInstOperands,
     /*  513762 */     // GIR_Coverage, 62265,
     /*  513762 */     GIR_EraseRootFromParent_Done,
     /*  513763 */   // Label 8542: @513763
     /*  513763 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513831), // Rule ID 62266 //
     /*  513768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513800 */     // MIs[0] policy
     /*  513800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  513813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513829 */     GIR_RootConstrainSelectedInstOperands,
     /*  513830 */     // GIR_Coverage, 62266,
     /*  513830 */     GIR_EraseRootFromParent_Done,
     /*  513831 */   // Label 8543: @513831
     /*  513831 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513899), // Rule ID 62267 //
     /*  513836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513868 */     // MIs[0] policy
     /*  513868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  513881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513897 */     GIR_RootConstrainSelectedInstOperands,
     /*  513898 */     // GIR_Coverage, 62267,
     /*  513898 */     GIR_EraseRootFromParent_Done,
     /*  513899 */   // Label 8544: @513899
     /*  513899 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513967), // Rule ID 62268 //
     /*  513904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513936 */     // MIs[0] policy
     /*  513936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  513949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513965 */     GIR_RootConstrainSelectedInstOperands,
     /*  513966 */     // GIR_Coverage, 62268,
     /*  513966 */     GIR_EraseRootFromParent_Done,
     /*  513967 */   // Label 8545: @513967
     /*  513967 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(514035), // Rule ID 62269 //
     /*  513972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514004 */     // MIs[0] policy
     /*  514004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  514017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514033 */     GIR_RootConstrainSelectedInstOperands,
     /*  514034 */     // GIR_Coverage, 62269,
     /*  514034 */     GIR_EraseRootFromParent_Done,
     /*  514035 */   // Label 8546: @514035
     /*  514035 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(514103), // Rule ID 62270 //
     /*  514040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514072 */     // MIs[0] policy
     /*  514072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  514085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514101 */     GIR_RootConstrainSelectedInstOperands,
     /*  514102 */     // GIR_Coverage, 62270,
     /*  514102 */     GIR_EraseRootFromParent_Done,
     /*  514103 */   // Label 8547: @514103
     /*  514103 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514171), // Rule ID 62271 //
     /*  514108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514140 */     // MIs[0] policy
     /*  514140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  514153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514169 */     GIR_RootConstrainSelectedInstOperands,
     /*  514170 */     // GIR_Coverage, 62271,
     /*  514170 */     GIR_EraseRootFromParent_Done,
     /*  514171 */   // Label 8548: @514171
     /*  514171 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514239), // Rule ID 62272 //
     /*  514176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514208 */     // MIs[0] policy
     /*  514208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514237 */     GIR_RootConstrainSelectedInstOperands,
     /*  514238 */     // GIR_Coverage, 62272,
     /*  514238 */     GIR_EraseRootFromParent_Done,
     /*  514239 */   // Label 8549: @514239
     /*  514239 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514307), // Rule ID 62273 //
     /*  514244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514276 */     // MIs[0] policy
     /*  514276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514305 */     GIR_RootConstrainSelectedInstOperands,
     /*  514306 */     // GIR_Coverage, 62273,
     /*  514306 */     GIR_EraseRootFromParent_Done,
     /*  514307 */   // Label 8550: @514307
     /*  514307 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514375), // Rule ID 62274 //
     /*  514312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514344 */     // MIs[0] policy
     /*  514344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514373 */     GIR_RootConstrainSelectedInstOperands,
     /*  514374 */     // GIR_Coverage, 62274,
     /*  514374 */     GIR_EraseRootFromParent_Done,
     /*  514375 */   // Label 8551: @514375
     /*  514375 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514443), // Rule ID 62275 //
     /*  514380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514412 */     // MIs[0] policy
     /*  514412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514441 */     GIR_RootConstrainSelectedInstOperands,
     /*  514442 */     // GIR_Coverage, 62275,
     /*  514442 */     GIR_EraseRootFromParent_Done,
     /*  514443 */   // Label 8552: @514443
     /*  514443 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514511), // Rule ID 62276 //
     /*  514448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514480 */     // MIs[0] policy
     /*  514480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  514493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514509 */     GIR_RootConstrainSelectedInstOperands,
     /*  514510 */     // GIR_Coverage, 62276,
     /*  514510 */     GIR_EraseRootFromParent_Done,
     /*  514511 */   // Label 8553: @514511
     /*  514511 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514579), // Rule ID 62277 //
     /*  514516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514548 */     // MIs[0] policy
     /*  514548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  514561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514577 */     GIR_RootConstrainSelectedInstOperands,
     /*  514578 */     // GIR_Coverage, 62277,
     /*  514578 */     GIR_EraseRootFromParent_Done,
     /*  514579 */   // Label 8554: @514579
     /*  514579 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514647), // Rule ID 62278 //
     /*  514584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514616 */     // MIs[0] policy
     /*  514616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  514629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514645 */     GIR_RootConstrainSelectedInstOperands,
     /*  514646 */     // GIR_Coverage, 62278,
     /*  514646 */     GIR_EraseRootFromParent_Done,
     /*  514647 */   // Label 8555: @514647
     /*  514647 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514715), // Rule ID 62279 //
     /*  514652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514684 */     // MIs[0] policy
     /*  514684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  514697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514713 */     GIR_RootConstrainSelectedInstOperands,
     /*  514714 */     // GIR_Coverage, 62279,
     /*  514714 */     GIR_EraseRootFromParent_Done,
     /*  514715 */   // Label 8556: @514715
     /*  514715 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514783), // Rule ID 62280 //
     /*  514720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514752 */     // MIs[0] policy
     /*  514752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  514765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514781 */     GIR_RootConstrainSelectedInstOperands,
     /*  514782 */     // GIR_Coverage, 62280,
     /*  514782 */     GIR_EraseRootFromParent_Done,
     /*  514783 */   // Label 8557: @514783
     /*  514783 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514851), // Rule ID 62281 //
     /*  514788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514820 */     // MIs[0] policy
     /*  514820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  514833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514849 */     GIR_RootConstrainSelectedInstOperands,
     /*  514850 */     // GIR_Coverage, 62281,
     /*  514850 */     GIR_EraseRootFromParent_Done,
     /*  514851 */   // Label 8558: @514851
     /*  514851 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514919), // Rule ID 62282 //
     /*  514856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514888 */     // MIs[0] policy
     /*  514888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  514901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514917 */     GIR_RootConstrainSelectedInstOperands,
     /*  514918 */     // GIR_Coverage, 62282,
     /*  514918 */     GIR_EraseRootFromParent_Done,
     /*  514919 */   // Label 8559: @514919
     /*  514919 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514987), // Rule ID 62283 //
     /*  514924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514956 */     // MIs[0] policy
     /*  514956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  514969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514985 */     GIR_RootConstrainSelectedInstOperands,
     /*  514986 */     // GIR_Coverage, 62283,
     /*  514986 */     GIR_EraseRootFromParent_Done,
     /*  514987 */   // Label 8560: @514987
     /*  514987 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(515055), // Rule ID 62284 //
     /*  514992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515024 */     // MIs[0] policy
     /*  515024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  515037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515053 */     GIR_RootConstrainSelectedInstOperands,
     /*  515054 */     // GIR_Coverage, 62284,
     /*  515054 */     GIR_EraseRootFromParent_Done,
     /*  515055 */   // Label 8561: @515055
     /*  515055 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515123), // Rule ID 62285 //
     /*  515060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515092 */     // MIs[0] policy
     /*  515092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  515105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515121 */     GIR_RootConstrainSelectedInstOperands,
     /*  515122 */     // GIR_Coverage, 62285,
     /*  515122 */     GIR_EraseRootFromParent_Done,
     /*  515123 */   // Label 8562: @515123
     /*  515123 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515191), // Rule ID 62286 //
     /*  515128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515160 */     // MIs[0] policy
     /*  515160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  515173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515189 */     GIR_RootConstrainSelectedInstOperands,
     /*  515190 */     // GIR_Coverage, 62286,
     /*  515190 */     GIR_EraseRootFromParent_Done,
     /*  515191 */   // Label 8563: @515191
     /*  515191 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515259), // Rule ID 62287 //
     /*  515196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515228 */     // MIs[0] policy
     /*  515228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  515241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515257 */     GIR_RootConstrainSelectedInstOperands,
     /*  515258 */     // GIR_Coverage, 62287,
     /*  515258 */     GIR_EraseRootFromParent_Done,
     /*  515259 */   // Label 8564: @515259
     /*  515259 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515327), // Rule ID 62288 //
     /*  515264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515296 */     // MIs[0] policy
     /*  515296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515325 */     GIR_RootConstrainSelectedInstOperands,
     /*  515326 */     // GIR_Coverage, 62288,
     /*  515326 */     GIR_EraseRootFromParent_Done,
     /*  515327 */   // Label 8565: @515327
     /*  515327 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515395), // Rule ID 62289 //
     /*  515332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515364 */     // MIs[0] policy
     /*  515364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515393 */     GIR_RootConstrainSelectedInstOperands,
     /*  515394 */     // GIR_Coverage, 62289,
     /*  515394 */     GIR_EraseRootFromParent_Done,
     /*  515395 */   // Label 8566: @515395
     /*  515395 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515463), // Rule ID 62384 //
     /*  515400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515432 */     // MIs[0] policy
     /*  515432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515461 */     GIR_RootConstrainSelectedInstOperands,
     /*  515462 */     // GIR_Coverage, 62384,
     /*  515462 */     GIR_EraseRootFromParent_Done,
     /*  515463 */   // Label 8567: @515463
     /*  515463 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515531), // Rule ID 62385 //
     /*  515468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515500 */     // MIs[0] policy
     /*  515500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515529 */     GIR_RootConstrainSelectedInstOperands,
     /*  515530 */     // GIR_Coverage, 62385,
     /*  515530 */     GIR_EraseRootFromParent_Done,
     /*  515531 */   // Label 8568: @515531
     /*  515531 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515599), // Rule ID 62386 //
     /*  515536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515568 */     // MIs[0] policy
     /*  515568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  515581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515597 */     GIR_RootConstrainSelectedInstOperands,
     /*  515598 */     // GIR_Coverage, 62386,
     /*  515598 */     GIR_EraseRootFromParent_Done,
     /*  515599 */   // Label 8569: @515599
     /*  515599 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515667), // Rule ID 62387 //
     /*  515604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515636 */     // MIs[0] policy
     /*  515636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  515649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515665 */     GIR_RootConstrainSelectedInstOperands,
     /*  515666 */     // GIR_Coverage, 62387,
     /*  515666 */     GIR_EraseRootFromParent_Done,
     /*  515667 */   // Label 8570: @515667
     /*  515667 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515735), // Rule ID 62388 //
     /*  515672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515704 */     // MIs[0] policy
     /*  515704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  515717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515733 */     GIR_RootConstrainSelectedInstOperands,
     /*  515734 */     // GIR_Coverage, 62388,
     /*  515734 */     GIR_EraseRootFromParent_Done,
     /*  515735 */   // Label 8571: @515735
     /*  515735 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515803), // Rule ID 62389 //
     /*  515740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515772 */     // MIs[0] policy
     /*  515772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  515785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515801 */     GIR_RootConstrainSelectedInstOperands,
     /*  515802 */     // GIR_Coverage, 62389,
     /*  515802 */     GIR_EraseRootFromParent_Done,
     /*  515803 */   // Label 8572: @515803
     /*  515803 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515871), // Rule ID 62390 //
     /*  515808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515840 */     // MIs[0] policy
     /*  515840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  515853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515869 */     GIR_RootConstrainSelectedInstOperands,
     /*  515870 */     // GIR_Coverage, 62390,
     /*  515870 */     GIR_EraseRootFromParent_Done,
     /*  515871 */   // Label 8573: @515871
     /*  515871 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515939), // Rule ID 62391 //
     /*  515876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515908 */     // MIs[0] policy
     /*  515908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  515921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515937 */     GIR_RootConstrainSelectedInstOperands,
     /*  515938 */     // GIR_Coverage, 62391,
     /*  515938 */     GIR_EraseRootFromParent_Done,
     /*  515939 */   // Label 8574: @515939
     /*  515939 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(516007), // Rule ID 62392 //
     /*  515944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515976 */     // MIs[0] policy
     /*  515976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  515989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516005 */     GIR_RootConstrainSelectedInstOperands,
     /*  516006 */     // GIR_Coverage, 62392,
     /*  516006 */     GIR_EraseRootFromParent_Done,
     /*  516007 */   // Label 8575: @516007
     /*  516007 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516075), // Rule ID 62393 //
     /*  516012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  516023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516044 */     // MIs[0] policy
     /*  516044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  516057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516073 */     GIR_RootConstrainSelectedInstOperands,
     /*  516074 */     // GIR_Coverage, 62393,
     /*  516074 */     GIR_EraseRootFromParent_Done,
     /*  516075 */   // Label 8576: @516075
     /*  516075 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516143), // Rule ID 62394 //
     /*  516080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516112 */     // MIs[0] policy
     /*  516112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  516125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516141 */     GIR_RootConstrainSelectedInstOperands,
     /*  516142 */     // GIR_Coverage, 62394,
     /*  516142 */     GIR_EraseRootFromParent_Done,
     /*  516143 */   // Label 8577: @516143
     /*  516143 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516211), // Rule ID 62395 //
     /*  516148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516180 */     // MIs[0] policy
     /*  516180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  516193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516209 */     GIR_RootConstrainSelectedInstOperands,
     /*  516210 */     // GIR_Coverage, 62395,
     /*  516210 */     GIR_EraseRootFromParent_Done,
     /*  516211 */   // Label 8578: @516211
     /*  516211 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516279), // Rule ID 62396 //
     /*  516216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516248 */     // MIs[0] policy
     /*  516248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516277 */     GIR_RootConstrainSelectedInstOperands,
     /*  516278 */     // GIR_Coverage, 62396,
     /*  516278 */     GIR_EraseRootFromParent_Done,
     /*  516279 */   // Label 8579: @516279
     /*  516279 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516347), // Rule ID 62397 //
     /*  516284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516316 */     // MIs[0] policy
     /*  516316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516345 */     GIR_RootConstrainSelectedInstOperands,
     /*  516346 */     // GIR_Coverage, 62397,
     /*  516346 */     GIR_EraseRootFromParent_Done,
     /*  516347 */   // Label 8580: @516347
     /*  516347 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516415), // Rule ID 62398 //
     /*  516352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516384 */     // MIs[0] policy
     /*  516384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516413 */     GIR_RootConstrainSelectedInstOperands,
     /*  516414 */     // GIR_Coverage, 62398,
     /*  516414 */     GIR_EraseRootFromParent_Done,
     /*  516415 */   // Label 8581: @516415
     /*  516415 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516483), // Rule ID 62399 //
     /*  516420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516452 */     // MIs[0] policy
     /*  516452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516481 */     GIR_RootConstrainSelectedInstOperands,
     /*  516482 */     // GIR_Coverage, 62399,
     /*  516482 */     GIR_EraseRootFromParent_Done,
     /*  516483 */   // Label 8582: @516483
     /*  516483 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516551), // Rule ID 62400 //
     /*  516488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516520 */     // MIs[0] policy
     /*  516520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  516533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516549 */     GIR_RootConstrainSelectedInstOperands,
     /*  516550 */     // GIR_Coverage, 62400,
     /*  516550 */     GIR_EraseRootFromParent_Done,
     /*  516551 */   // Label 8583: @516551
     /*  516551 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516619), // Rule ID 62401 //
     /*  516556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516588 */     // MIs[0] policy
     /*  516588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  516601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516617 */     GIR_RootConstrainSelectedInstOperands,
     /*  516618 */     // GIR_Coverage, 62401,
     /*  516618 */     GIR_EraseRootFromParent_Done,
     /*  516619 */   // Label 8584: @516619
     /*  516619 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516687), // Rule ID 62402 //
     /*  516624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516656 */     // MIs[0] policy
     /*  516656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  516669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516685 */     GIR_RootConstrainSelectedInstOperands,
     /*  516686 */     // GIR_Coverage, 62402,
     /*  516686 */     GIR_EraseRootFromParent_Done,
     /*  516687 */   // Label 8585: @516687
     /*  516687 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516755), // Rule ID 62403 //
     /*  516692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516724 */     // MIs[0] policy
     /*  516724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  516737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516753 */     GIR_RootConstrainSelectedInstOperands,
     /*  516754 */     // GIR_Coverage, 62403,
     /*  516754 */     GIR_EraseRootFromParent_Done,
     /*  516755 */   // Label 8586: @516755
     /*  516755 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516823), // Rule ID 62404 //
     /*  516760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516792 */     // MIs[0] policy
     /*  516792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  516805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516821 */     GIR_RootConstrainSelectedInstOperands,
     /*  516822 */     // GIR_Coverage, 62404,
     /*  516822 */     GIR_EraseRootFromParent_Done,
     /*  516823 */   // Label 8587: @516823
     /*  516823 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516891), // Rule ID 62405 //
     /*  516828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516860 */     // MIs[0] policy
     /*  516860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  516873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516889 */     GIR_RootConstrainSelectedInstOperands,
     /*  516890 */     // GIR_Coverage, 62405,
     /*  516890 */     GIR_EraseRootFromParent_Done,
     /*  516891 */   // Label 8588: @516891
     /*  516891 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(516959), // Rule ID 62406 //
     /*  516896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516928 */     // MIs[0] policy
     /*  516928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  516941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516957 */     GIR_RootConstrainSelectedInstOperands,
     /*  516958 */     // GIR_Coverage, 62406,
     /*  516958 */     GIR_EraseRootFromParent_Done,
     /*  516959 */   // Label 8589: @516959
     /*  516959 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(517027), // Rule ID 62407 //
     /*  516964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516996 */     // MIs[0] policy
     /*  516996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  517009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517025 */     GIR_RootConstrainSelectedInstOperands,
     /*  517026 */     // GIR_Coverage, 62407,
     /*  517026 */     GIR_EraseRootFromParent_Done,
     /*  517027 */   // Label 8590: @517027
     /*  517027 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517095), // Rule ID 62408 //
     /*  517032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517064 */     // MIs[0] policy
     /*  517064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  517077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517093 */     GIR_RootConstrainSelectedInstOperands,
     /*  517094 */     // GIR_Coverage, 62408,
     /*  517094 */     GIR_EraseRootFromParent_Done,
     /*  517095 */   // Label 8591: @517095
     /*  517095 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517163), // Rule ID 62409 //
     /*  517100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517132 */     // MIs[0] policy
     /*  517132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  517145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517161 */     GIR_RootConstrainSelectedInstOperands,
     /*  517162 */     // GIR_Coverage, 62409,
     /*  517162 */     GIR_EraseRootFromParent_Done,
     /*  517163 */   // Label 8592: @517163
     /*  517163 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517231), // Rule ID 62410 //
     /*  517168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517200 */     // MIs[0] policy
     /*  517200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517229 */     GIR_RootConstrainSelectedInstOperands,
     /*  517230 */     // GIR_Coverage, 62410,
     /*  517230 */     GIR_EraseRootFromParent_Done,
     /*  517231 */   // Label 8593: @517231
     /*  517231 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517299), // Rule ID 62411 //
     /*  517236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517268 */     // MIs[0] policy
     /*  517268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517297 */     GIR_RootConstrainSelectedInstOperands,
     /*  517298 */     // GIR_Coverage, 62411,
     /*  517298 */     GIR_EraseRootFromParent_Done,
     /*  517299 */   // Label 8594: @517299
     /*  517299 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517367), // Rule ID 62412 //
     /*  517304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517336 */     // MIs[0] policy
     /*  517336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517365 */     GIR_RootConstrainSelectedInstOperands,
     /*  517366 */     // GIR_Coverage, 62412,
     /*  517366 */     GIR_EraseRootFromParent_Done,
     /*  517367 */   // Label 8595: @517367
     /*  517367 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517435), // Rule ID 62413 //
     /*  517372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517404 */     // MIs[0] policy
     /*  517404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517433 */     GIR_RootConstrainSelectedInstOperands,
     /*  517434 */     // GIR_Coverage, 62413,
     /*  517434 */     GIR_EraseRootFromParent_Done,
     /*  517435 */   // Label 8596: @517435
     /*  517435 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517503), // Rule ID 62414 //
     /*  517440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517472 */     // MIs[0] policy
     /*  517472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  517485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517501 */     GIR_RootConstrainSelectedInstOperands,
     /*  517502 */     // GIR_Coverage, 62414,
     /*  517502 */     GIR_EraseRootFromParent_Done,
     /*  517503 */   // Label 8597: @517503
     /*  517503 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517571), // Rule ID 62415 //
     /*  517508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517540 */     // MIs[0] policy
     /*  517540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  517553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517569 */     GIR_RootConstrainSelectedInstOperands,
     /*  517570 */     // GIR_Coverage, 62415,
     /*  517570 */     GIR_EraseRootFromParent_Done,
     /*  517571 */   // Label 8598: @517571
     /*  517571 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517639), // Rule ID 62416 //
     /*  517576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517608 */     // MIs[0] policy
     /*  517608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  517621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517637 */     GIR_RootConstrainSelectedInstOperands,
     /*  517638 */     // GIR_Coverage, 62416,
     /*  517638 */     GIR_EraseRootFromParent_Done,
     /*  517639 */   // Label 8599: @517639
     /*  517639 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517707), // Rule ID 62417 //
     /*  517644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517676 */     // MIs[0] policy
     /*  517676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  517689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517705 */     GIR_RootConstrainSelectedInstOperands,
     /*  517706 */     // GIR_Coverage, 62417,
     /*  517706 */     GIR_EraseRootFromParent_Done,
     /*  517707 */   // Label 8600: @517707
     /*  517707 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517775), // Rule ID 62418 //
     /*  517712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517744 */     // MIs[0] policy
     /*  517744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  517757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517773 */     GIR_RootConstrainSelectedInstOperands,
     /*  517774 */     // GIR_Coverage, 62418,
     /*  517774 */     GIR_EraseRootFromParent_Done,
     /*  517775 */   // Label 8601: @517775
     /*  517775 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517843), // Rule ID 62419 //
     /*  517780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517812 */     // MIs[0] policy
     /*  517812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  517825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517841 */     GIR_RootConstrainSelectedInstOperands,
     /*  517842 */     // GIR_Coverage, 62419,
     /*  517842 */     GIR_EraseRootFromParent_Done,
     /*  517843 */   // Label 8602: @517843
     /*  517843 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517911), // Rule ID 62420 //
     /*  517848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517880 */     // MIs[0] policy
     /*  517880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  517893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517909 */     GIR_RootConstrainSelectedInstOperands,
     /*  517910 */     // GIR_Coverage, 62420,
     /*  517910 */     GIR_EraseRootFromParent_Done,
     /*  517911 */   // Label 8603: @517911
     /*  517911 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(517979), // Rule ID 62421 //
     /*  517916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517948 */     // MIs[0] policy
     /*  517948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  517961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517977 */     GIR_RootConstrainSelectedInstOperands,
     /*  517978 */     // GIR_Coverage, 62421,
     /*  517978 */     GIR_EraseRootFromParent_Done,
     /*  517979 */   // Label 8604: @517979
     /*  517979 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518050), // Rule ID 2696 //
     /*  517984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  517992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  517995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518016 */     // MIs[0] round
     /*  518016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518026 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  518029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518035 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518048 */     GIR_RootConstrainSelectedInstOperands,
     /*  518049 */     // GIR_Coverage, 2696,
     /*  518049 */     GIR_EraseRootFromParent_Done,
     /*  518050 */   // Label 8605: @518050
     /*  518050 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518121), // Rule ID 2697 //
     /*  518055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518087 */     // MIs[0] round
     /*  518087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518097 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  518100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518106 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518119 */     GIR_RootConstrainSelectedInstOperands,
     /*  518120 */     // GIR_Coverage, 2697,
     /*  518120 */     GIR_EraseRootFromParent_Done,
     /*  518121 */   // Label 8606: @518121
     /*  518121 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518192), // Rule ID 2732 //
     /*  518126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518158 */     // MIs[0] round
     /*  518158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  518171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518177 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518190 */     GIR_RootConstrainSelectedInstOperands,
     /*  518191 */     // GIR_Coverage, 2732,
     /*  518191 */     GIR_EraseRootFromParent_Done,
     /*  518192 */   // Label 8607: @518192
     /*  518192 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518263), // Rule ID 2733 //
     /*  518197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518229 */     // MIs[0] round
     /*  518229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  518242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518248 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518261 */     GIR_RootConstrainSelectedInstOperands,
     /*  518262 */     // GIR_Coverage, 2733,
     /*  518262 */     GIR_EraseRootFromParent_Done,
     /*  518263 */   // Label 8608: @518263
     /*  518263 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518334), // Rule ID 18990 //
     /*  518268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518300 */     // MIs[0] round
     /*  518300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518310 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518319 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518332 */     GIR_RootConstrainSelectedInstOperands,
     /*  518333 */     // GIR_Coverage, 18990,
     /*  518333 */     GIR_EraseRootFromParent_Done,
     /*  518334 */   // Label 8609: @518334
     /*  518334 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518405), // Rule ID 18991 //
     /*  518339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518371 */     // MIs[0] round
     /*  518371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518381 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518390 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518403 */     GIR_RootConstrainSelectedInstOperands,
     /*  518404 */     // GIR_Coverage, 18991,
     /*  518404 */     GIR_EraseRootFromParent_Done,
     /*  518405 */   // Label 8610: @518405
     /*  518405 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518476), // Rule ID 18994 //
     /*  518410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518442 */     // MIs[0] round
     /*  518442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  518455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518461 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518474 */     GIR_RootConstrainSelectedInstOperands,
     /*  518475 */     // GIR_Coverage, 18994,
     /*  518475 */     GIR_EraseRootFromParent_Done,
     /*  518476 */   // Label 8611: @518476
     /*  518476 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518547), // Rule ID 18995 //
     /*  518481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518513 */     // MIs[0] round
     /*  518513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  518526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518532 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518545 */     GIR_RootConstrainSelectedInstOperands,
     /*  518546 */     // GIR_Coverage, 18995,
     /*  518546 */     GIR_EraseRootFromParent_Done,
     /*  518547 */   // Label 8612: @518547
     /*  518547 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518618), // Rule ID 18998 //
     /*  518552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518584 */     // MIs[0] round
     /*  518584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518594 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  518597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518603 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518616 */     GIR_RootConstrainSelectedInstOperands,
     /*  518617 */     // GIR_Coverage, 18998,
     /*  518617 */     GIR_EraseRootFromParent_Done,
     /*  518618 */   // Label 8613: @518618
     /*  518618 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518689), // Rule ID 18999 //
     /*  518623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518655 */     // MIs[0] round
     /*  518655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518665 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  518668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518674 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518687 */     GIR_RootConstrainSelectedInstOperands,
     /*  518688 */     // GIR_Coverage, 18999,
     /*  518688 */     GIR_EraseRootFromParent_Done,
     /*  518689 */   // Label 8614: @518689
     /*  518689 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518760), // Rule ID 19002 //
     /*  518694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518726 */     // MIs[0] round
     /*  518726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  518739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518745 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518758 */     GIR_RootConstrainSelectedInstOperands,
     /*  518759 */     // GIR_Coverage, 19002,
     /*  518759 */     GIR_EraseRootFromParent_Done,
     /*  518760 */   // Label 8615: @518760
     /*  518760 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518831), // Rule ID 19003 //
     /*  518765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518797 */     // MIs[0] round
     /*  518797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  518810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518816 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518829 */     GIR_RootConstrainSelectedInstOperands,
     /*  518830 */     // GIR_Coverage, 19003,
     /*  518830 */     GIR_EraseRootFromParent_Done,
     /*  518831 */   // Label 8616: @518831
     /*  518831 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518902), // Rule ID 19006 //
     /*  518836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  518839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518868 */     // MIs[0] round
     /*  518868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  518881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518887 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518900 */     GIR_RootConstrainSelectedInstOperands,
     /*  518901 */     // GIR_Coverage, 19006,
     /*  518901 */     GIR_EraseRootFromParent_Done,
     /*  518902 */   // Label 8617: @518902
     /*  518902 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(518973), // Rule ID 19007 //
     /*  518907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  518910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518939 */     // MIs[0] round
     /*  518939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518949 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  518952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518958 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518971 */     GIR_RootConstrainSelectedInstOperands,
     /*  518972 */     // GIR_Coverage, 19007,
     /*  518972 */     GIR_EraseRootFromParent_Done,
     /*  518973 */   // Label 8618: @518973
     /*  518973 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519044), // Rule ID 19010 //
     /*  518978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519010 */     // MIs[0] round
     /*  519010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519020 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  519023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519029 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519042 */     GIR_RootConstrainSelectedInstOperands,
     /*  519043 */     // GIR_Coverage, 19010,
     /*  519043 */     GIR_EraseRootFromParent_Done,
     /*  519044 */   // Label 8619: @519044
     /*  519044 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519115), // Rule ID 19011 //
     /*  519049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519081 */     // MIs[0] round
     /*  519081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519091 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  519094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519100 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519113 */     GIR_RootConstrainSelectedInstOperands,
     /*  519114 */     // GIR_Coverage, 19011,
     /*  519114 */     GIR_EraseRootFromParent_Done,
     /*  519115 */   // Label 8620: @519115
     /*  519115 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519186), // Rule ID 19014 //
     /*  519120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519152 */     // MIs[0] round
     /*  519152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519162 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  519165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519171 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519184 */     GIR_RootConstrainSelectedInstOperands,
     /*  519185 */     // GIR_Coverage, 19014,
     /*  519185 */     GIR_EraseRootFromParent_Done,
     /*  519186 */   // Label 8621: @519186
     /*  519186 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519257), // Rule ID 19015 //
     /*  519191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519223 */     // MIs[0] round
     /*  519223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519233 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  519236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519242 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519255 */     GIR_RootConstrainSelectedInstOperands,
     /*  519256 */     // GIR_Coverage, 19015,
     /*  519256 */     GIR_EraseRootFromParent_Done,
     /*  519257 */   // Label 8622: @519257
     /*  519257 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519328), // Rule ID 19018 //
     /*  519262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519294 */     // MIs[0] round
     /*  519294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519304 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519313 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519326 */     GIR_RootConstrainSelectedInstOperands,
     /*  519327 */     // GIR_Coverage, 19018,
     /*  519327 */     GIR_EraseRootFromParent_Done,
     /*  519328 */   // Label 8623: @519328
     /*  519328 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519399), // Rule ID 19019 //
     /*  519333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519365 */     // MIs[0] round
     /*  519365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519375 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519384 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519397 */     GIR_RootConstrainSelectedInstOperands,
     /*  519398 */     // GIR_Coverage, 19019,
     /*  519398 */     GIR_EraseRootFromParent_Done,
     /*  519399 */   // Label 8624: @519399
     /*  519399 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519470), // Rule ID 19022 //
     /*  519404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519436 */     // MIs[0] round
     /*  519436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519446 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519455 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519468 */     GIR_RootConstrainSelectedInstOperands,
     /*  519469 */     // GIR_Coverage, 19022,
     /*  519469 */     GIR_EraseRootFromParent_Done,
     /*  519470 */   // Label 8625: @519470
     /*  519470 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519541), // Rule ID 19023 //
     /*  519475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519507 */     // MIs[0] round
     /*  519507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519526 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519539 */     GIR_RootConstrainSelectedInstOperands,
     /*  519540 */     // GIR_Coverage, 19023,
     /*  519540 */     GIR_EraseRootFromParent_Done,
     /*  519541 */   // Label 8626: @519541
     /*  519541 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519612), // Rule ID 19026 //
     /*  519546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519578 */     // MIs[0] round
     /*  519578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519588 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  519591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519597 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519610 */     GIR_RootConstrainSelectedInstOperands,
     /*  519611 */     // GIR_Coverage, 19026,
     /*  519611 */     GIR_EraseRootFromParent_Done,
     /*  519612 */   // Label 8627: @519612
     /*  519612 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519683), // Rule ID 19027 //
     /*  519617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519649 */     // MIs[0] round
     /*  519649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519659 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  519662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519668 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519681 */     GIR_RootConstrainSelectedInstOperands,
     /*  519682 */     // GIR_Coverage, 19027,
     /*  519682 */     GIR_EraseRootFromParent_Done,
     /*  519683 */   // Label 8628: @519683
     /*  519683 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519754), // Rule ID 19030 //
     /*  519688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519720 */     // MIs[0] round
     /*  519720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  519733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519739 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519752 */     GIR_RootConstrainSelectedInstOperands,
     /*  519753 */     // GIR_Coverage, 19030,
     /*  519753 */     GIR_EraseRootFromParent_Done,
     /*  519754 */   // Label 8629: @519754
     /*  519754 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519825), // Rule ID 19031 //
     /*  519759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519791 */     // MIs[0] round
     /*  519791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519801 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  519804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519810 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519823 */     GIR_RootConstrainSelectedInstOperands,
     /*  519824 */     // GIR_Coverage, 19031,
     /*  519824 */     GIR_EraseRootFromParent_Done,
     /*  519825 */   // Label 8630: @519825
     /*  519825 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519896), // Rule ID 19034 //
     /*  519830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519862 */     // MIs[0] round
     /*  519862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  519875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519881 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519894 */     GIR_RootConstrainSelectedInstOperands,
     /*  519895 */     // GIR_Coverage, 19034,
     /*  519895 */     GIR_EraseRootFromParent_Done,
     /*  519896 */   // Label 8631: @519896
     /*  519896 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(519967), // Rule ID 19035 //
     /*  519901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  519904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519933 */     // MIs[0] round
     /*  519933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519943 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  519946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519952 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519965 */     GIR_RootConstrainSelectedInstOperands,
     /*  519966 */     // GIR_Coverage, 19035,
     /*  519966 */     GIR_EraseRootFromParent_Done,
     /*  519967 */   // Label 8632: @519967
     /*  519967 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520038), // Rule ID 19038 //
     /*  519972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520004 */     // MIs[0] round
     /*  520004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520014 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  520017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520023 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520036 */     GIR_RootConstrainSelectedInstOperands,
     /*  520037 */     // GIR_Coverage, 19038,
     /*  520037 */     GIR_EraseRootFromParent_Done,
     /*  520038 */   // Label 8633: @520038
     /*  520038 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520109), // Rule ID 19039 //
     /*  520043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520075 */     // MIs[0] round
     /*  520075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520085 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  520088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520094 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520107 */     GIR_RootConstrainSelectedInstOperands,
     /*  520108 */     // GIR_Coverage, 19039,
     /*  520108 */     GIR_EraseRootFromParent_Done,
     /*  520109 */   // Label 8634: @520109
     /*  520109 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520180), // Rule ID 19042 //
     /*  520114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520146 */     // MIs[0] round
     /*  520146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520156 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  520159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520165 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520178 */     GIR_RootConstrainSelectedInstOperands,
     /*  520179 */     // GIR_Coverage, 19042,
     /*  520179 */     GIR_EraseRootFromParent_Done,
     /*  520180 */   // Label 8635: @520180
     /*  520180 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520251), // Rule ID 19043 //
     /*  520185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520217 */     // MIs[0] round
     /*  520217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520227 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  520230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520236 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520249 */     GIR_RootConstrainSelectedInstOperands,
     /*  520250 */     // GIR_Coverage, 19043,
     /*  520250 */     GIR_EraseRootFromParent_Done,
     /*  520251 */   // Label 8636: @520251
     /*  520251 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520322), // Rule ID 19102 //
     /*  520256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520288 */     // MIs[0] round
     /*  520288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520298 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520307 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520320 */     GIR_RootConstrainSelectedInstOperands,
     /*  520321 */     // GIR_Coverage, 19102,
     /*  520321 */     GIR_EraseRootFromParent_Done,
     /*  520322 */   // Label 8637: @520322
     /*  520322 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520393), // Rule ID 19103 //
     /*  520327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520359 */     // MIs[0] round
     /*  520359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520369 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520378 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520391 */     GIR_RootConstrainSelectedInstOperands,
     /*  520392 */     // GIR_Coverage, 19103,
     /*  520392 */     GIR_EraseRootFromParent_Done,
     /*  520393 */   // Label 8638: @520393
     /*  520393 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520464), // Rule ID 19106 //
     /*  520398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520430 */     // MIs[0] round
     /*  520430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520440 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520449 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520462 */     GIR_RootConstrainSelectedInstOperands,
     /*  520463 */     // GIR_Coverage, 19106,
     /*  520463 */     GIR_EraseRootFromParent_Done,
     /*  520464 */   // Label 8639: @520464
     /*  520464 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520535), // Rule ID 19107 //
     /*  520469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520501 */     // MIs[0] round
     /*  520501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520511 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520520 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520533 */     GIR_RootConstrainSelectedInstOperands,
     /*  520534 */     // GIR_Coverage, 19107,
     /*  520534 */     GIR_EraseRootFromParent_Done,
     /*  520535 */   // Label 8640: @520535
     /*  520535 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520606), // Rule ID 19110 //
     /*  520540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520572 */     // MIs[0] round
     /*  520572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  520585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520591 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520604 */     GIR_RootConstrainSelectedInstOperands,
     /*  520605 */     // GIR_Coverage, 19110,
     /*  520605 */     GIR_EraseRootFromParent_Done,
     /*  520606 */   // Label 8641: @520606
     /*  520606 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520677), // Rule ID 19111 //
     /*  520611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520643 */     // MIs[0] round
     /*  520643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  520656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520662 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520675 */     GIR_RootConstrainSelectedInstOperands,
     /*  520676 */     // GIR_Coverage, 19111,
     /*  520676 */     GIR_EraseRootFromParent_Done,
     /*  520677 */   // Label 8642: @520677
     /*  520677 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520748), // Rule ID 19114 //
     /*  520682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520714 */     // MIs[0] round
     /*  520714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520724 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  520727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520733 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520746 */     GIR_RootConstrainSelectedInstOperands,
     /*  520747 */     // GIR_Coverage, 19114,
     /*  520747 */     GIR_EraseRootFromParent_Done,
     /*  520748 */   // Label 8643: @520748
     /*  520748 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520819), // Rule ID 19115 //
     /*  520753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520785 */     // MIs[0] round
     /*  520785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  520798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520804 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520817 */     GIR_RootConstrainSelectedInstOperands,
     /*  520818 */     // GIR_Coverage, 19115,
     /*  520818 */     GIR_EraseRootFromParent_Done,
     /*  520819 */   // Label 8644: @520819
     /*  520819 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520890), // Rule ID 19118 //
     /*  520824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520856 */     // MIs[0] round
     /*  520856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  520869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520875 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520888 */     GIR_RootConstrainSelectedInstOperands,
     /*  520889 */     // GIR_Coverage, 19118,
     /*  520889 */     GIR_EraseRootFromParent_Done,
     /*  520890 */   // Label 8645: @520890
     /*  520890 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(520961), // Rule ID 19119 //
     /*  520895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520927 */     // MIs[0] round
     /*  520927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  520940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520946 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520959 */     GIR_RootConstrainSelectedInstOperands,
     /*  520960 */     // GIR_Coverage, 19119,
     /*  520960 */     GIR_EraseRootFromParent_Done,
     /*  520961 */   // Label 8646: @520961
     /*  520961 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521032), // Rule ID 19122 //
     /*  520966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520998 */     // MIs[0] round
     /*  520998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  521011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521017 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521030 */     GIR_RootConstrainSelectedInstOperands,
     /*  521031 */     // GIR_Coverage, 19122,
     /*  521031 */     GIR_EraseRootFromParent_Done,
     /*  521032 */   // Label 8647: @521032
     /*  521032 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521103), // Rule ID 19123 //
     /*  521037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  521040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521069 */     // MIs[0] round
     /*  521069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521079 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  521082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521088 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521101 */     GIR_RootConstrainSelectedInstOperands,
     /*  521102 */     // GIR_Coverage, 19123,
     /*  521102 */     GIR_EraseRootFromParent_Done,
     /*  521103 */   // Label 8648: @521103
     /*  521103 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521174), // Rule ID 19126 //
     /*  521108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521140 */     // MIs[0] round
     /*  521140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521150 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  521153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521159 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521172 */     GIR_RootConstrainSelectedInstOperands,
     /*  521173 */     // GIR_Coverage, 19126,
     /*  521173 */     GIR_EraseRootFromParent_Done,
     /*  521174 */   // Label 8649: @521174
     /*  521174 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521245), // Rule ID 19127 //
     /*  521179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521211 */     // MIs[0] round
     /*  521211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521221 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  521224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521230 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521243 */     GIR_RootConstrainSelectedInstOperands,
     /*  521244 */     // GIR_Coverage, 19127,
     /*  521244 */     GIR_EraseRootFromParent_Done,
     /*  521245 */   // Label 8650: @521245
     /*  521245 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521316), // Rule ID 19130 //
     /*  521250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521282 */     // MIs[0] round
     /*  521282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521292 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521301 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521314 */     GIR_RootConstrainSelectedInstOperands,
     /*  521315 */     // GIR_Coverage, 19130,
     /*  521315 */     GIR_EraseRootFromParent_Done,
     /*  521316 */   // Label 8651: @521316
     /*  521316 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521387), // Rule ID 19131 //
     /*  521321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521353 */     // MIs[0] round
     /*  521353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521363 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521372 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521385 */     GIR_RootConstrainSelectedInstOperands,
     /*  521386 */     // GIR_Coverage, 19131,
     /*  521386 */     GIR_EraseRootFromParent_Done,
     /*  521387 */   // Label 8652: @521387
     /*  521387 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521458), // Rule ID 19134 //
     /*  521392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521424 */     // MIs[0] round
     /*  521424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521434 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521443 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521456 */     GIR_RootConstrainSelectedInstOperands,
     /*  521457 */     // GIR_Coverage, 19134,
     /*  521457 */     GIR_EraseRootFromParent_Done,
     /*  521458 */   // Label 8653: @521458
     /*  521458 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521529), // Rule ID 19135 //
     /*  521463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521495 */     // MIs[0] round
     /*  521495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521505 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521514 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521527 */     GIR_RootConstrainSelectedInstOperands,
     /*  521528 */     // GIR_Coverage, 19135,
     /*  521528 */     GIR_EraseRootFromParent_Done,
     /*  521529 */   // Label 8654: @521529
     /*  521529 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521600), // Rule ID 19138 //
     /*  521534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521566 */     // MIs[0] round
     /*  521566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  521579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521585 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521598 */     GIR_RootConstrainSelectedInstOperands,
     /*  521599 */     // GIR_Coverage, 19138,
     /*  521599 */     GIR_EraseRootFromParent_Done,
     /*  521600 */   // Label 8655: @521600
     /*  521600 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521671), // Rule ID 19139 //
     /*  521605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521637 */     // MIs[0] round
     /*  521637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521647 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  521650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521656 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521669 */     GIR_RootConstrainSelectedInstOperands,
     /*  521670 */     // GIR_Coverage, 19139,
     /*  521670 */     GIR_EraseRootFromParent_Done,
     /*  521671 */   // Label 8656: @521671
     /*  521671 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521742), // Rule ID 19142 //
     /*  521676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521708 */     // MIs[0] round
     /*  521708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521718 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  521721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521727 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521740 */     GIR_RootConstrainSelectedInstOperands,
     /*  521741 */     // GIR_Coverage, 19142,
     /*  521741 */     GIR_EraseRootFromParent_Done,
     /*  521742 */   // Label 8657: @521742
     /*  521742 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521813), // Rule ID 19143 //
     /*  521747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521779 */     // MIs[0] round
     /*  521779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  521792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521798 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521811 */     GIR_RootConstrainSelectedInstOperands,
     /*  521812 */     // GIR_Coverage, 19143,
     /*  521812 */     GIR_EraseRootFromParent_Done,
     /*  521813 */   // Label 8658: @521813
     /*  521813 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521884), // Rule ID 19146 //
     /*  521818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521850 */     // MIs[0] round
     /*  521850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521860 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  521863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521869 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521882 */     GIR_RootConstrainSelectedInstOperands,
     /*  521883 */     // GIR_Coverage, 19146,
     /*  521883 */     GIR_EraseRootFromParent_Done,
     /*  521884 */   // Label 8659: @521884
     /*  521884 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(521955), // Rule ID 19147 //
     /*  521889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521921 */     // MIs[0] round
     /*  521921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521931 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  521934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521940 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521953 */     GIR_RootConstrainSelectedInstOperands,
     /*  521954 */     // GIR_Coverage, 19147,
     /*  521954 */     GIR_EraseRootFromParent_Done,
     /*  521955 */   // Label 8660: @521955
     /*  521955 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522026), // Rule ID 19150 //
     /*  521960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  521963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521992 */     // MIs[0] round
     /*  521992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  522005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522011 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522024 */     GIR_RootConstrainSelectedInstOperands,
     /*  522025 */     // GIR_Coverage, 19150,
     /*  522025 */     GIR_EraseRootFromParent_Done,
     /*  522026 */   // Label 8661: @522026
     /*  522026 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522097), // Rule ID 19151 //
     /*  522031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522063 */     // MIs[0] round
     /*  522063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  522076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522082 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522095 */     GIR_RootConstrainSelectedInstOperands,
     /*  522096 */     // GIR_Coverage, 19151,
     /*  522096 */     GIR_EraseRootFromParent_Done,
     /*  522097 */   // Label 8662: @522097
     /*  522097 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522168), // Rule ID 19154 //
     /*  522102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522134 */     // MIs[0] round
     /*  522134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522144 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  522147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522153 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522166 */     GIR_RootConstrainSelectedInstOperands,
     /*  522167 */     // GIR_Coverage, 19154,
     /*  522167 */     GIR_EraseRootFromParent_Done,
     /*  522168 */   // Label 8663: @522168
     /*  522168 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522239), // Rule ID 19155 //
     /*  522173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522205 */     // MIs[0] round
     /*  522205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522215 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  522218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522224 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522237 */     GIR_RootConstrainSelectedInstOperands,
     /*  522238 */     // GIR_Coverage, 19155,
     /*  522238 */     GIR_EraseRootFromParent_Done,
     /*  522239 */   // Label 8664: @522239
     /*  522239 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522310), // Rule ID 19158 //
     /*  522244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522276 */     // MIs[0] round
     /*  522276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522286 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522295 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522308 */     GIR_RootConstrainSelectedInstOperands,
     /*  522309 */     // GIR_Coverage, 19158,
     /*  522309 */     GIR_EraseRootFromParent_Done,
     /*  522310 */   // Label 8665: @522310
     /*  522310 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522381), // Rule ID 19159 //
     /*  522315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522347 */     // MIs[0] round
     /*  522347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522366 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522379 */     GIR_RootConstrainSelectedInstOperands,
     /*  522380 */     // GIR_Coverage, 19159,
     /*  522380 */     GIR_EraseRootFromParent_Done,
     /*  522381 */   // Label 8666: @522381
     /*  522381 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522452), // Rule ID 20744 //
     /*  522386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522418 */     // MIs[0] round
     /*  522418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522437 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522450 */     GIR_RootConstrainSelectedInstOperands,
     /*  522451 */     // GIR_Coverage, 20744,
     /*  522451 */     GIR_EraseRootFromParent_Done,
     /*  522452 */   // Label 8667: @522452
     /*  522452 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522523), // Rule ID 20745 //
     /*  522457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522489 */     // MIs[0] round
     /*  522489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522508 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522521 */     GIR_RootConstrainSelectedInstOperands,
     /*  522522 */     // GIR_Coverage, 20745,
     /*  522522 */     GIR_EraseRootFromParent_Done,
     /*  522523 */   // Label 8668: @522523
     /*  522523 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522594), // Rule ID 20748 //
     /*  522528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522560 */     // MIs[0] round
     /*  522560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522579 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522592 */     GIR_RootConstrainSelectedInstOperands,
     /*  522593 */     // GIR_Coverage, 20748,
     /*  522593 */     GIR_EraseRootFromParent_Done,
     /*  522594 */   // Label 8669: @522594
     /*  522594 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522665), // Rule ID 20749 //
     /*  522599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522631 */     // MIs[0] round
     /*  522631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522650 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522663 */     GIR_RootConstrainSelectedInstOperands,
     /*  522664 */     // GIR_Coverage, 20749,
     /*  522664 */     GIR_EraseRootFromParent_Done,
     /*  522665 */   // Label 8670: @522665
     /*  522665 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522736), // Rule ID 20752 //
     /*  522670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522702 */     // MIs[0] round
     /*  522702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522721 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522734 */     GIR_RootConstrainSelectedInstOperands,
     /*  522735 */     // GIR_Coverage, 20752,
     /*  522735 */     GIR_EraseRootFromParent_Done,
     /*  522736 */   // Label 8671: @522736
     /*  522736 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522807), // Rule ID 20753 //
     /*  522741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522773 */     // MIs[0] round
     /*  522773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522792 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522805 */     GIR_RootConstrainSelectedInstOperands,
     /*  522806 */     // GIR_Coverage, 20753,
     /*  522806 */     GIR_EraseRootFromParent_Done,
     /*  522807 */   // Label 8672: @522807
     /*  522807 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522878), // Rule ID 20756 //
     /*  522812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522844 */     // MIs[0] round
     /*  522844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522863 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522876 */     GIR_RootConstrainSelectedInstOperands,
     /*  522877 */     // GIR_Coverage, 20756,
     /*  522877 */     GIR_EraseRootFromParent_Done,
     /*  522878 */   // Label 8673: @522878
     /*  522878 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(522949), // Rule ID 20757 //
     /*  522883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522915 */     // MIs[0] round
     /*  522915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522934 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522947 */     GIR_RootConstrainSelectedInstOperands,
     /*  522948 */     // GIR_Coverage, 20757,
     /*  522948 */     GIR_EraseRootFromParent_Done,
     /*  522949 */   // Label 8674: @522949
     /*  522949 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523020), // Rule ID 20760 //
     /*  522954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522986 */     // MIs[0] round
     /*  522986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523005 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523018 */     GIR_RootConstrainSelectedInstOperands,
     /*  523019 */     // GIR_Coverage, 20760,
     /*  523019 */     GIR_EraseRootFromParent_Done,
     /*  523020 */   // Label 8675: @523020
     /*  523020 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523091), // Rule ID 20761 //
     /*  523025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523057 */     // MIs[0] round
     /*  523057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523076 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523089 */     GIR_RootConstrainSelectedInstOperands,
     /*  523090 */     // GIR_Coverage, 20761,
     /*  523090 */     GIR_EraseRootFromParent_Done,
     /*  523091 */   // Label 8676: @523091
     /*  523091 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523162), // Rule ID 20764 //
     /*  523096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523128 */     // MIs[0] round
     /*  523128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523147 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523160 */     GIR_RootConstrainSelectedInstOperands,
     /*  523161 */     // GIR_Coverage, 20764,
     /*  523161 */     GIR_EraseRootFromParent_Done,
     /*  523162 */   // Label 8677: @523162
     /*  523162 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523233), // Rule ID 20765 //
     /*  523167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523199 */     // MIs[0] round
     /*  523199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523218 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523231 */     GIR_RootConstrainSelectedInstOperands,
     /*  523232 */     // GIR_Coverage, 20765,
     /*  523232 */     GIR_EraseRootFromParent_Done,
     /*  523233 */   // Label 8678: @523233
     /*  523233 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523304), // Rule ID 20768 //
     /*  523238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523270 */     // MIs[0] round
     /*  523270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523289 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523302 */     GIR_RootConstrainSelectedInstOperands,
     /*  523303 */     // GIR_Coverage, 20768,
     /*  523303 */     GIR_EraseRootFromParent_Done,
     /*  523304 */   // Label 8679: @523304
     /*  523304 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523375), // Rule ID 20769 //
     /*  523309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523341 */     // MIs[0] round
     /*  523341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523360 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523373 */     GIR_RootConstrainSelectedInstOperands,
     /*  523374 */     // GIR_Coverage, 20769,
     /*  523374 */     GIR_EraseRootFromParent_Done,
     /*  523375 */   // Label 8680: @523375
     /*  523375 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523446), // Rule ID 20772 //
     /*  523380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523412 */     // MIs[0] round
     /*  523412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523431 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523444 */     GIR_RootConstrainSelectedInstOperands,
     /*  523445 */     // GIR_Coverage, 20772,
     /*  523445 */     GIR_EraseRootFromParent_Done,
     /*  523446 */   // Label 8681: @523446
     /*  523446 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523517), // Rule ID 20773 //
     /*  523451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523483 */     // MIs[0] round
     /*  523483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523502 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523515 */     GIR_RootConstrainSelectedInstOperands,
     /*  523516 */     // GIR_Coverage, 20773,
     /*  523516 */     GIR_EraseRootFromParent_Done,
     /*  523517 */   // Label 8682: @523517
     /*  523517 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523588), // Rule ID 20776 //
     /*  523522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523554 */     // MIs[0] round
     /*  523554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523573 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523586 */     GIR_RootConstrainSelectedInstOperands,
     /*  523587 */     // GIR_Coverage, 20776,
     /*  523587 */     GIR_EraseRootFromParent_Done,
     /*  523588 */   // Label 8683: @523588
     /*  523588 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523659), // Rule ID 20777 //
     /*  523593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523625 */     // MIs[0] round
     /*  523625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523644 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523657 */     GIR_RootConstrainSelectedInstOperands,
     /*  523658 */     // GIR_Coverage, 20777,
     /*  523658 */     GIR_EraseRootFromParent_Done,
     /*  523659 */   // Label 8684: @523659
     /*  523659 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523730), // Rule ID 20780 //
     /*  523664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523696 */     // MIs[0] round
     /*  523696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523715 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523728 */     GIR_RootConstrainSelectedInstOperands,
     /*  523729 */     // GIR_Coverage, 20780,
     /*  523729 */     GIR_EraseRootFromParent_Done,
     /*  523730 */   // Label 8685: @523730
     /*  523730 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523801), // Rule ID 20781 //
     /*  523735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523767 */     // MIs[0] round
     /*  523767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523786 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523799 */     GIR_RootConstrainSelectedInstOperands,
     /*  523800 */     // GIR_Coverage, 20781,
     /*  523800 */     GIR_EraseRootFromParent_Done,
     /*  523801 */   // Label 8686: @523801
     /*  523801 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523872), // Rule ID 20784 //
     /*  523806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523838 */     // MIs[0] round
     /*  523838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523857 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523870 */     GIR_RootConstrainSelectedInstOperands,
     /*  523871 */     // GIR_Coverage, 20784,
     /*  523871 */     GIR_EraseRootFromParent_Done,
     /*  523872 */   // Label 8687: @523872
     /*  523872 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(523943), // Rule ID 20785 //
     /*  523877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523909 */     // MIs[0] round
     /*  523909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523928 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523941 */     GIR_RootConstrainSelectedInstOperands,
     /*  523942 */     // GIR_Coverage, 20785,
     /*  523942 */     GIR_EraseRootFromParent_Done,
     /*  523943 */   // Label 8688: @523943
     /*  523943 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524014), // Rule ID 20788 //
     /*  523948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523980 */     // MIs[0] round
     /*  523980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523999 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524012 */     GIR_RootConstrainSelectedInstOperands,
     /*  524013 */     // GIR_Coverage, 20788,
     /*  524013 */     GIR_EraseRootFromParent_Done,
     /*  524014 */   // Label 8689: @524014
     /*  524014 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524085), // Rule ID 20789 //
     /*  524019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524051 */     // MIs[0] round
     /*  524051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  524064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524070 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524083 */     GIR_RootConstrainSelectedInstOperands,
     /*  524084 */     // GIR_Coverage, 20789,
     /*  524084 */     GIR_EraseRootFromParent_Done,
     /*  524085 */   // Label 8690: @524085
     /*  524085 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524156), // Rule ID 20792 //
     /*  524090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524122 */     // MIs[0] round
     /*  524122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524141 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524154 */     GIR_RootConstrainSelectedInstOperands,
     /*  524155 */     // GIR_Coverage, 20792,
     /*  524155 */     GIR_EraseRootFromParent_Done,
     /*  524156 */   // Label 8691: @524156
     /*  524156 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524227), // Rule ID 20793 //
     /*  524161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524193 */     // MIs[0] round
     /*  524193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524212 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524225 */     GIR_RootConstrainSelectedInstOperands,
     /*  524226 */     // GIR_Coverage, 20793,
     /*  524226 */     GIR_EraseRootFromParent_Done,
     /*  524227 */   // Label 8692: @524227
     /*  524227 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524298), // Rule ID 20796 //
     /*  524232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524264 */     // MIs[0] round
     /*  524264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524283 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524296 */     GIR_RootConstrainSelectedInstOperands,
     /*  524297 */     // GIR_Coverage, 20796,
     /*  524297 */     GIR_EraseRootFromParent_Done,
     /*  524298 */   // Label 8693: @524298
     /*  524298 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524369), // Rule ID 20797 //
     /*  524303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524335 */     // MIs[0] round
     /*  524335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524354 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524367 */     GIR_RootConstrainSelectedInstOperands,
     /*  524368 */     // GIR_Coverage, 20797,
     /*  524368 */     GIR_EraseRootFromParent_Done,
     /*  524369 */   // Label 8694: @524369
     /*  524369 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524440), // Rule ID 20800 //
     /*  524374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524406 */     // MIs[0] round
     /*  524406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524425 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524438 */     GIR_RootConstrainSelectedInstOperands,
     /*  524439 */     // GIR_Coverage, 20800,
     /*  524439 */     GIR_EraseRootFromParent_Done,
     /*  524440 */   // Label 8695: @524440
     /*  524440 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524511), // Rule ID 20801 //
     /*  524445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524477 */     // MIs[0] round
     /*  524477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524496 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524509 */     GIR_RootConstrainSelectedInstOperands,
     /*  524510 */     // GIR_Coverage, 20801,
     /*  524510 */     GIR_EraseRootFromParent_Done,
     /*  524511 */   // Label 8696: @524511
     /*  524511 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524582), // Rule ID 20804 //
     /*  524516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524548 */     // MIs[0] round
     /*  524548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524567 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524580 */     GIR_RootConstrainSelectedInstOperands,
     /*  524581 */     // GIR_Coverage, 20804,
     /*  524581 */     GIR_EraseRootFromParent_Done,
     /*  524582 */   // Label 8697: @524582
     /*  524582 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524653), // Rule ID 20805 //
     /*  524587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524619 */     // MIs[0] round
     /*  524619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524629 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524638 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524651 */     GIR_RootConstrainSelectedInstOperands,
     /*  524652 */     // GIR_Coverage, 20805,
     /*  524652 */     GIR_EraseRootFromParent_Done,
     /*  524653 */   // Label 8698: @524653
     /*  524653 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524724), // Rule ID 20808 //
     /*  524658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524690 */     // MIs[0] round
     /*  524690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524709 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524722 */     GIR_RootConstrainSelectedInstOperands,
     /*  524723 */     // GIR_Coverage, 20808,
     /*  524723 */     GIR_EraseRootFromParent_Done,
     /*  524724 */   // Label 8699: @524724
     /*  524724 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524795), // Rule ID 20809 //
     /*  524729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524761 */     // MIs[0] round
     /*  524761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524780 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524793 */     GIR_RootConstrainSelectedInstOperands,
     /*  524794 */     // GIR_Coverage, 20809,
     /*  524794 */     GIR_EraseRootFromParent_Done,
     /*  524795 */   // Label 8700: @524795
     /*  524795 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524866), // Rule ID 20812 //
     /*  524800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524832 */     // MIs[0] round
     /*  524832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524851 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524864 */     GIR_RootConstrainSelectedInstOperands,
     /*  524865 */     // GIR_Coverage, 20812,
     /*  524865 */     GIR_EraseRootFromParent_Done,
     /*  524866 */   // Label 8701: @524866
     /*  524866 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(524937), // Rule ID 20813 //
     /*  524871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524903 */     // MIs[0] round
     /*  524903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524922 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524935 */     GIR_RootConstrainSelectedInstOperands,
     /*  524936 */     // GIR_Coverage, 20813,
     /*  524936 */     GIR_EraseRootFromParent_Done,
     /*  524937 */   // Label 8702: @524937
     /*  524937 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525008), // Rule ID 20816 //
     /*  524942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524974 */     // MIs[0] round
     /*  524974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524993 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525006 */     GIR_RootConstrainSelectedInstOperands,
     /*  525007 */     // GIR_Coverage, 20816,
     /*  525007 */     GIR_EraseRootFromParent_Done,
     /*  525008 */   // Label 8703: @525008
     /*  525008 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525079), // Rule ID 20817 //
     /*  525013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525045 */     // MIs[0] round
     /*  525045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525064 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525077 */     GIR_RootConstrainSelectedInstOperands,
     /*  525078 */     // GIR_Coverage, 20817,
     /*  525078 */     GIR_EraseRootFromParent_Done,
     /*  525079 */   // Label 8704: @525079
     /*  525079 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525150), // Rule ID 20820 //
     /*  525084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525116 */     // MIs[0] round
     /*  525116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525135 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525148 */     GIR_RootConstrainSelectedInstOperands,
     /*  525149 */     // GIR_Coverage, 20820,
     /*  525149 */     GIR_EraseRootFromParent_Done,
     /*  525150 */   // Label 8705: @525150
     /*  525150 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525221), // Rule ID 20821 //
     /*  525155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525187 */     // MIs[0] round
     /*  525187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525206 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525219 */     GIR_RootConstrainSelectedInstOperands,
     /*  525220 */     // GIR_Coverage, 20821,
     /*  525220 */     GIR_EraseRootFromParent_Done,
     /*  525221 */   // Label 8706: @525221
     /*  525221 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525292), // Rule ID 20824 //
     /*  525226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525258 */     // MIs[0] round
     /*  525258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525277 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525290 */     GIR_RootConstrainSelectedInstOperands,
     /*  525291 */     // GIR_Coverage, 20824,
     /*  525291 */     GIR_EraseRootFromParent_Done,
     /*  525292 */   // Label 8707: @525292
     /*  525292 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525363), // Rule ID 20825 //
     /*  525297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525329 */     // MIs[0] round
     /*  525329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525348 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525361 */     GIR_RootConstrainSelectedInstOperands,
     /*  525362 */     // GIR_Coverage, 20825,
     /*  525362 */     GIR_EraseRootFromParent_Done,
     /*  525363 */   // Label 8708: @525363
     /*  525363 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525434), // Rule ID 20828 //
     /*  525368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525400 */     // MIs[0] round
     /*  525400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525419 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525432 */     GIR_RootConstrainSelectedInstOperands,
     /*  525433 */     // GIR_Coverage, 20828,
     /*  525433 */     GIR_EraseRootFromParent_Done,
     /*  525434 */   // Label 8709: @525434
     /*  525434 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525505), // Rule ID 20829 //
     /*  525439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525471 */     // MIs[0] round
     /*  525471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525490 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525503 */     GIR_RootConstrainSelectedInstOperands,
     /*  525504 */     // GIR_Coverage, 20829,
     /*  525504 */     GIR_EraseRootFromParent_Done,
     /*  525505 */   // Label 8710: @525505
     /*  525505 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525576), // Rule ID 20832 //
     /*  525510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525542 */     // MIs[0] round
     /*  525542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525561 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525574 */     GIR_RootConstrainSelectedInstOperands,
     /*  525575 */     // GIR_Coverage, 20832,
     /*  525575 */     GIR_EraseRootFromParent_Done,
     /*  525576 */   // Label 8711: @525576
     /*  525576 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525647), // Rule ID 20833 //
     /*  525581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525613 */     // MIs[0] round
     /*  525613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525632 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525645 */     GIR_RootConstrainSelectedInstOperands,
     /*  525646 */     // GIR_Coverage, 20833,
     /*  525646 */     GIR_EraseRootFromParent_Done,
     /*  525647 */   // Label 8712: @525647
     /*  525647 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525718), // Rule ID 20836 //
     /*  525652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525684 */     // MIs[0] round
     /*  525684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525703 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525716 */     GIR_RootConstrainSelectedInstOperands,
     /*  525717 */     // GIR_Coverage, 20836,
     /*  525717 */     GIR_EraseRootFromParent_Done,
     /*  525718 */   // Label 8713: @525718
     /*  525718 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525789), // Rule ID 20837 //
     /*  525723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525755 */     // MIs[0] round
     /*  525755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525774 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525787 */     GIR_RootConstrainSelectedInstOperands,
     /*  525788 */     // GIR_Coverage, 20837,
     /*  525788 */     GIR_EraseRootFromParent_Done,
     /*  525789 */   // Label 8714: @525789
     /*  525789 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525860), // Rule ID 20840 //
     /*  525794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525826 */     // MIs[0] round
     /*  525826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525845 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525858 */     GIR_RootConstrainSelectedInstOperands,
     /*  525859 */     // GIR_Coverage, 20840,
     /*  525859 */     GIR_EraseRootFromParent_Done,
     /*  525860 */   // Label 8715: @525860
     /*  525860 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(525931), // Rule ID 20841 //
     /*  525865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525897 */     // MIs[0] round
     /*  525897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525916 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525929 */     GIR_RootConstrainSelectedInstOperands,
     /*  525930 */     // GIR_Coverage, 20841,
     /*  525930 */     GIR_EraseRootFromParent_Done,
     /*  525931 */   // Label 8716: @525931
     /*  525931 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526002), // Rule ID 20844 //
     /*  525936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525968 */     // MIs[0] round
     /*  525968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525987 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526000 */     GIR_RootConstrainSelectedInstOperands,
     /*  526001 */     // GIR_Coverage, 20844,
     /*  526001 */     GIR_EraseRootFromParent_Done,
     /*  526002 */   // Label 8717: @526002
     /*  526002 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526073), // Rule ID 20845 //
     /*  526007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526039 */     // MIs[0] round
     /*  526039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526058 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526071 */     GIR_RootConstrainSelectedInstOperands,
     /*  526072 */     // GIR_Coverage, 20845,
     /*  526072 */     GIR_EraseRootFromParent_Done,
     /*  526073 */   // Label 8718: @526073
     /*  526073 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526144), // Rule ID 20848 //
     /*  526078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526110 */     // MIs[0] round
     /*  526110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526129 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526142 */     GIR_RootConstrainSelectedInstOperands,
     /*  526143 */     // GIR_Coverage, 20848,
     /*  526143 */     GIR_EraseRootFromParent_Done,
     /*  526144 */   // Label 8719: @526144
     /*  526144 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526215), // Rule ID 20849 //
     /*  526149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526181 */     // MIs[0] round
     /*  526181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526200 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526213 */     GIR_RootConstrainSelectedInstOperands,
     /*  526214 */     // GIR_Coverage, 20849,
     /*  526214 */     GIR_EraseRootFromParent_Done,
     /*  526215 */   // Label 8720: @526215
     /*  526215 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526286), // Rule ID 20852 //
     /*  526220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526252 */     // MIs[0] round
     /*  526252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526262 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526271 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526284 */     GIR_RootConstrainSelectedInstOperands,
     /*  526285 */     // GIR_Coverage, 20852,
     /*  526285 */     GIR_EraseRootFromParent_Done,
     /*  526286 */   // Label 8721: @526286
     /*  526286 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526357), // Rule ID 20853 //
     /*  526291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526323 */     // MIs[0] round
     /*  526323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526333 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526342 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526355 */     GIR_RootConstrainSelectedInstOperands,
     /*  526356 */     // GIR_Coverage, 20853,
     /*  526356 */     GIR_EraseRootFromParent_Done,
     /*  526357 */   // Label 8722: @526357
     /*  526357 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526428), // Rule ID 20856 //
     /*  526362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526394 */     // MIs[0] round
     /*  526394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526413 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526426 */     GIR_RootConstrainSelectedInstOperands,
     /*  526427 */     // GIR_Coverage, 20856,
     /*  526427 */     GIR_EraseRootFromParent_Done,
     /*  526428 */   // Label 8723: @526428
     /*  526428 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526499), // Rule ID 20857 //
     /*  526433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526465 */     // MIs[0] round
     /*  526465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526484 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526497 */     GIR_RootConstrainSelectedInstOperands,
     /*  526498 */     // GIR_Coverage, 20857,
     /*  526498 */     GIR_EraseRootFromParent_Done,
     /*  526499 */   // Label 8724: @526499
     /*  526499 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526570), // Rule ID 20980 //
     /*  526504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526536 */     // MIs[0] round
     /*  526536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526546 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  526549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526555 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526568 */     GIR_RootConstrainSelectedInstOperands,
     /*  526569 */     // GIR_Coverage, 20980,
     /*  526569 */     GIR_EraseRootFromParent_Done,
     /*  526570 */   // Label 8725: @526570
     /*  526570 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526641), // Rule ID 20981 //
     /*  526575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526607 */     // MIs[0] round
     /*  526607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  526620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526626 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526639 */     GIR_RootConstrainSelectedInstOperands,
     /*  526640 */     // GIR_Coverage, 20981,
     /*  526640 */     GIR_EraseRootFromParent_Done,
     /*  526641 */   // Label 8726: @526641
     /*  526641 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526712), // Rule ID 20984 //
     /*  526646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526678 */     // MIs[0] round
     /*  526678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  526691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526697 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526710 */     GIR_RootConstrainSelectedInstOperands,
     /*  526711 */     // GIR_Coverage, 20984,
     /*  526711 */     GIR_EraseRootFromParent_Done,
     /*  526712 */   // Label 8727: @526712
     /*  526712 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526783), // Rule ID 20985 //
     /*  526717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526749 */     // MIs[0] round
     /*  526749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  526762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526768 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526781 */     GIR_RootConstrainSelectedInstOperands,
     /*  526782 */     // GIR_Coverage, 20985,
     /*  526782 */     GIR_EraseRootFromParent_Done,
     /*  526783 */   // Label 8728: @526783
     /*  526783 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526854), // Rule ID 20988 //
     /*  526788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526820 */     // MIs[0] round
     /*  526820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526830 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  526833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526839 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526852 */     GIR_RootConstrainSelectedInstOperands,
     /*  526853 */     // GIR_Coverage, 20988,
     /*  526853 */     GIR_EraseRootFromParent_Done,
     /*  526854 */   // Label 8729: @526854
     /*  526854 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(526925), // Rule ID 20989 //
     /*  526859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526891 */     // MIs[0] round
     /*  526891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526901 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  526904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526910 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526923 */     GIR_RootConstrainSelectedInstOperands,
     /*  526924 */     // GIR_Coverage, 20989,
     /*  526924 */     GIR_EraseRootFromParent_Done,
     /*  526925 */   // Label 8730: @526925
     /*  526925 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(526996), // Rule ID 20992 //
     /*  526930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  526941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  526944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526962 */     // MIs[0] round
     /*  526962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526972 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  526975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526981 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526994 */     GIR_RootConstrainSelectedInstOperands,
     /*  526995 */     // GIR_Coverage, 20992,
     /*  526995 */     GIR_EraseRootFromParent_Done,
     /*  526996 */   // Label 8731: @526996
     /*  526996 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527067), // Rule ID 20993 //
     /*  527001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527033 */     // MIs[0] round
     /*  527033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527043 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  527046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527052 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527065 */     GIR_RootConstrainSelectedInstOperands,
     /*  527066 */     // GIR_Coverage, 20993,
     /*  527066 */     GIR_EraseRootFromParent_Done,
     /*  527067 */   // Label 8732: @527067
     /*  527067 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527138), // Rule ID 20996 //
     /*  527072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527104 */     // MIs[0] round
     /*  527104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  527117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527123 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527136 */     GIR_RootConstrainSelectedInstOperands,
     /*  527137 */     // GIR_Coverage, 20996,
     /*  527137 */     GIR_EraseRootFromParent_Done,
     /*  527138 */   // Label 8733: @527138
     /*  527138 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527209), // Rule ID 20997 //
     /*  527143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527175 */     // MIs[0] round
     /*  527175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  527188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527194 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527207 */     GIR_RootConstrainSelectedInstOperands,
     /*  527208 */     // GIR_Coverage, 20997,
     /*  527208 */     GIR_EraseRootFromParent_Done,
     /*  527209 */   // Label 8734: @527209
     /*  527209 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527280), // Rule ID 21000 //
     /*  527214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  527217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527246 */     // MIs[0] round
     /*  527246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  527256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527265 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527278 */     GIR_RootConstrainSelectedInstOperands,
     /*  527279 */     // GIR_Coverage, 21000,
     /*  527279 */     GIR_EraseRootFromParent_Done,
     /*  527280 */   // Label 8735: @527280
     /*  527280 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527351), // Rule ID 21001 //
     /*  527285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  527288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527317 */     // MIs[0] round
     /*  527317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527327 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527336 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527349 */     GIR_RootConstrainSelectedInstOperands,
     /*  527350 */     // GIR_Coverage, 21001,
     /*  527350 */     GIR_EraseRootFromParent_Done,
     /*  527351 */   // Label 8736: @527351
     /*  527351 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527422), // Rule ID 21004 //
     /*  527356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527388 */     // MIs[0] round
     /*  527388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527398 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527407 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527420 */     GIR_RootConstrainSelectedInstOperands,
     /*  527421 */     // GIR_Coverage, 21004,
     /*  527421 */     GIR_EraseRootFromParent_Done,
     /*  527422 */   // Label 8737: @527422
     /*  527422 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527493), // Rule ID 21005 //
     /*  527427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527459 */     // MIs[0] round
     /*  527459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527469 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527478 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527491 */     GIR_RootConstrainSelectedInstOperands,
     /*  527492 */     // GIR_Coverage, 21005,
     /*  527492 */     GIR_EraseRootFromParent_Done,
     /*  527493 */   // Label 8738: @527493
     /*  527493 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527564), // Rule ID 21008 //
     /*  527498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527530 */     // MIs[0] round
     /*  527530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  527543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527549 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527562 */     GIR_RootConstrainSelectedInstOperands,
     /*  527563 */     // GIR_Coverage, 21008,
     /*  527563 */     GIR_EraseRootFromParent_Done,
     /*  527564 */   // Label 8739: @527564
     /*  527564 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527635), // Rule ID 21009 //
     /*  527569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527601 */     // MIs[0] round
     /*  527601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527611 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  527614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527620 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527633 */     GIR_RootConstrainSelectedInstOperands,
     /*  527634 */     // GIR_Coverage, 21009,
     /*  527634 */     GIR_EraseRootFromParent_Done,
     /*  527635 */   // Label 8740: @527635
     /*  527635 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527706), // Rule ID 21012 //
     /*  527640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  527651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  527654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  527657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527672 */     // MIs[0] round
     /*  527672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527682 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  527685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527691 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527704 */     GIR_RootConstrainSelectedInstOperands,
     /*  527705 */     // GIR_Coverage, 21012,
     /*  527705 */     GIR_EraseRootFromParent_Done,
     /*  527706 */   // Label 8741: @527706
     /*  527706 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527777), // Rule ID 21013 //
     /*  527711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  527722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  527725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  527728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527743 */     // MIs[0] round
     /*  527743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527753 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  527756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527762 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527775 */     GIR_RootConstrainSelectedInstOperands,
     /*  527776 */     // GIR_Coverage, 21013,
     /*  527776 */     GIR_EraseRootFromParent_Done,
     /*  527777 */   // Label 8742: @527777
     /*  527777 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527848), // Rule ID 21016 //
     /*  527782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527814 */     // MIs[0] round
     /*  527814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527824 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  527827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527833 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527846 */     GIR_RootConstrainSelectedInstOperands,
     /*  527847 */     // GIR_Coverage, 21016,
     /*  527847 */     GIR_EraseRootFromParent_Done,
     /*  527848 */   // Label 8743: @527848
     /*  527848 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527919), // Rule ID 21017 //
     /*  527853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527885 */     // MIs[0] round
     /*  527885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527895 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  527898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527904 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527917 */     GIR_RootConstrainSelectedInstOperands,
     /*  527918 */     // GIR_Coverage, 21017,
     /*  527918 */     GIR_EraseRootFromParent_Done,
     /*  527919 */   // Label 8744: @527919
     /*  527919 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(527990), // Rule ID 21020 //
     /*  527924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527956 */     // MIs[0] round
     /*  527956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  527969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527975 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527988 */     GIR_RootConstrainSelectedInstOperands,
     /*  527989 */     // GIR_Coverage, 21020,
     /*  527989 */     GIR_EraseRootFromParent_Done,
     /*  527990 */   // Label 8745: @527990
     /*  527990 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528061), // Rule ID 21021 //
     /*  527995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528027 */     // MIs[0] round
     /*  528027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528037 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  528040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528046 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528059 */     GIR_RootConstrainSelectedInstOperands,
     /*  528060 */     // GIR_Coverage, 21021,
     /*  528060 */     GIR_EraseRootFromParent_Done,
     /*  528061 */   // Label 8746: @528061
     /*  528061 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528132), // Rule ID 21024 //
     /*  528066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528098 */     // MIs[0] round
     /*  528098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  528111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528117 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528130 */     GIR_RootConstrainSelectedInstOperands,
     /*  528131 */     // GIR_Coverage, 21024,
     /*  528131 */     GIR_EraseRootFromParent_Done,
     /*  528132 */   // Label 8747: @528132
     /*  528132 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528203), // Rule ID 21025 //
     /*  528137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528169 */     // MIs[0] round
     /*  528169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528179 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  528182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528188 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528201 */     GIR_RootConstrainSelectedInstOperands,
     /*  528202 */     // GIR_Coverage, 21025,
     /*  528202 */     GIR_EraseRootFromParent_Done,
     /*  528203 */   // Label 8748: @528203
     /*  528203 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528274), // Rule ID 21028 //
     /*  528208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528240 */     // MIs[0] round
     /*  528240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528259 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528272 */     GIR_RootConstrainSelectedInstOperands,
     /*  528273 */     // GIR_Coverage, 21028,
     /*  528273 */     GIR_EraseRootFromParent_Done,
     /*  528274 */   // Label 8749: @528274
     /*  528274 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528345), // Rule ID 21029 //
     /*  528279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528311 */     // MIs[0] round
     /*  528311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528321 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528330 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528343 */     GIR_RootConstrainSelectedInstOperands,
     /*  528344 */     // GIR_Coverage, 21029,
     /*  528344 */     GIR_EraseRootFromParent_Done,
     /*  528345 */   // Label 8750: @528345
     /*  528345 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528416), // Rule ID 21032 //
     /*  528350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528382 */     // MIs[0] round
     /*  528382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528392 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528401 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528414 */     GIR_RootConstrainSelectedInstOperands,
     /*  528415 */     // GIR_Coverage, 21032,
     /*  528415 */     GIR_EraseRootFromParent_Done,
     /*  528416 */   // Label 8751: @528416
     /*  528416 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528487), // Rule ID 21033 //
     /*  528421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528453 */     // MIs[0] round
     /*  528453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528463 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528472 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528485 */     GIR_RootConstrainSelectedInstOperands,
     /*  528486 */     // GIR_Coverage, 21033,
     /*  528486 */     GIR_EraseRootFromParent_Done,
     /*  528487 */   // Label 8752: @528487
     /*  528487 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528558), // Rule ID 21036 //
     /*  528492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528524 */     // MIs[0] round
     /*  528524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528534 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  528537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528543 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528556 */     GIR_RootConstrainSelectedInstOperands,
     /*  528557 */     // GIR_Coverage, 21036,
     /*  528557 */     GIR_EraseRootFromParent_Done,
     /*  528558 */   // Label 8753: @528558
     /*  528558 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528629), // Rule ID 21037 //
     /*  528563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528595 */     // MIs[0] round
     /*  528595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528605 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  528608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528614 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528627 */     GIR_RootConstrainSelectedInstOperands,
     /*  528628 */     // GIR_Coverage, 21037,
     /*  528628 */     GIR_EraseRootFromParent_Done,
     /*  528629 */   // Label 8754: @528629
     /*  528629 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528700), // Rule ID 21040 //
     /*  528634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528666 */     // MIs[0] round
     /*  528666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528676 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  528679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528685 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528698 */     GIR_RootConstrainSelectedInstOperands,
     /*  528699 */     // GIR_Coverage, 21040,
     /*  528699 */     GIR_EraseRootFromParent_Done,
     /*  528700 */   // Label 8755: @528700
     /*  528700 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528771), // Rule ID 21041 //
     /*  528705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528737 */     // MIs[0] round
     /*  528737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528747 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  528750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528756 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528769 */     GIR_RootConstrainSelectedInstOperands,
     /*  528770 */     // GIR_Coverage, 21041,
     /*  528770 */     GIR_EraseRootFromParent_Done,
     /*  528771 */   // Label 8756: @528771
     /*  528771 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528842), // Rule ID 21044 //
     /*  528776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528808 */     // MIs[0] round
     /*  528808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  528821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528827 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528840 */     GIR_RootConstrainSelectedInstOperands,
     /*  528841 */     // GIR_Coverage, 21044,
     /*  528841 */     GIR_EraseRootFromParent_Done,
     /*  528842 */   // Label 8757: @528842
     /*  528842 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528913), // Rule ID 21045 //
     /*  528847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528879 */     // MIs[0] round
     /*  528879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  528892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528898 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528911 */     GIR_RootConstrainSelectedInstOperands,
     /*  528912 */     // GIR_Coverage, 21045,
     /*  528912 */     GIR_EraseRootFromParent_Done,
     /*  528913 */   // Label 8758: @528913
     /*  528913 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(528984), // Rule ID 21048 //
     /*  528918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528950 */     // MIs[0] round
     /*  528950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528960 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  528963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528969 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528982 */     GIR_RootConstrainSelectedInstOperands,
     /*  528983 */     // GIR_Coverage, 21048,
     /*  528983 */     GIR_EraseRootFromParent_Done,
     /*  528984 */   // Label 8759: @528984
     /*  528984 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529055), // Rule ID 21049 //
     /*  528989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529021 */     // MIs[0] round
     /*  529021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  529034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529040 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529053 */     GIR_RootConstrainSelectedInstOperands,
     /*  529054 */     // GIR_Coverage, 21049,
     /*  529054 */     GIR_EraseRootFromParent_Done,
     /*  529055 */   // Label 8760: @529055
     /*  529055 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529126), // Rule ID 21052 //
     /*  529060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529092 */     // MIs[0] round
     /*  529092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  529105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529111 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529124 */     GIR_RootConstrainSelectedInstOperands,
     /*  529125 */     // GIR_Coverage, 21052,
     /*  529125 */     GIR_EraseRootFromParent_Done,
     /*  529126 */   // Label 8761: @529126
     /*  529126 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529197), // Rule ID 21053 //
     /*  529131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529163 */     // MIs[0] round
     /*  529163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  529176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529182 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529195 */     GIR_RootConstrainSelectedInstOperands,
     /*  529196 */     // GIR_Coverage, 21053,
     /*  529196 */     GIR_EraseRootFromParent_Done,
     /*  529197 */   // Label 8762: @529197
     /*  529197 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529268), // Rule ID 21056 //
     /*  529202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529234 */     // MIs[0] round
     /*  529234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529244 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529253 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529266 */     GIR_RootConstrainSelectedInstOperands,
     /*  529267 */     // GIR_Coverage, 21056,
     /*  529267 */     GIR_EraseRootFromParent_Done,
     /*  529268 */   // Label 8763: @529268
     /*  529268 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529339), // Rule ID 21057 //
     /*  529273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529305 */     // MIs[0] round
     /*  529305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529324 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529337 */     GIR_RootConstrainSelectedInstOperands,
     /*  529338 */     // GIR_Coverage, 21057,
     /*  529338 */     GIR_EraseRootFromParent_Done,
     /*  529339 */   // Label 8764: @529339
     /*  529339 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529410), // Rule ID 21060 //
     /*  529344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  529347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529376 */     // MIs[0] round
     /*  529376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  529386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529395 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529408 */     GIR_RootConstrainSelectedInstOperands,
     /*  529409 */     // GIR_Coverage, 21060,
     /*  529409 */     GIR_EraseRootFromParent_Done,
     /*  529410 */   // Label 8765: @529410
     /*  529410 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529481), // Rule ID 21061 //
     /*  529415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  529418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529447 */     // MIs[0] round
     /*  529447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529466 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529479 */     GIR_RootConstrainSelectedInstOperands,
     /*  529480 */     // GIR_Coverage, 21061,
     /*  529480 */     GIR_EraseRootFromParent_Done,
     /*  529481 */   // Label 8766: @529481
     /*  529481 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529552), // Rule ID 21064 //
     /*  529486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529518 */     // MIs[0] round
     /*  529518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  529531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529537 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529550 */     GIR_RootConstrainSelectedInstOperands,
     /*  529551 */     // GIR_Coverage, 21064,
     /*  529551 */     GIR_EraseRootFromParent_Done,
     /*  529552 */   // Label 8767: @529552
     /*  529552 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529623), // Rule ID 21065 //
     /*  529557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529589 */     // MIs[0] round
     /*  529589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529599 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  529602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529608 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529621 */     GIR_RootConstrainSelectedInstOperands,
     /*  529622 */     // GIR_Coverage, 21065,
     /*  529622 */     GIR_EraseRootFromParent_Done,
     /*  529623 */   // Label 8768: @529623
     /*  529623 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529694), // Rule ID 21068 //
     /*  529628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529660 */     // MIs[0] round
     /*  529660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  529673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529679 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529692 */     GIR_RootConstrainSelectedInstOperands,
     /*  529693 */     // GIR_Coverage, 21068,
     /*  529693 */     GIR_EraseRootFromParent_Done,
     /*  529694 */   // Label 8769: @529694
     /*  529694 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529765), // Rule ID 21069 //
     /*  529699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529731 */     // MIs[0] round
     /*  529731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529741 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  529744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529750 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529763 */     GIR_RootConstrainSelectedInstOperands,
     /*  529764 */     // GIR_Coverage, 21069,
     /*  529764 */     GIR_EraseRootFromParent_Done,
     /*  529765 */   // Label 8770: @529765
     /*  529765 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529836), // Rule ID 21072 //
     /*  529770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529802 */     // MIs[0] round
     /*  529802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529812 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  529815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529821 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529834 */     GIR_RootConstrainSelectedInstOperands,
     /*  529835 */     // GIR_Coverage, 21072,
     /*  529835 */     GIR_EraseRootFromParent_Done,
     /*  529836 */   // Label 8771: @529836
     /*  529836 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529907), // Rule ID 21073 //
     /*  529841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529873 */     // MIs[0] round
     /*  529873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529883 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  529886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529892 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529905 */     GIR_RootConstrainSelectedInstOperands,
     /*  529906 */     // GIR_Coverage, 21073,
     /*  529906 */     GIR_EraseRootFromParent_Done,
     /*  529907 */   // Label 8772: @529907
     /*  529907 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(529978), // Rule ID 21076 //
     /*  529912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529944 */     // MIs[0] round
     /*  529944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529954 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  529957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529963 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529976 */     GIR_RootConstrainSelectedInstOperands,
     /*  529977 */     // GIR_Coverage, 21076,
     /*  529977 */     GIR_EraseRootFromParent_Done,
     /*  529978 */   // Label 8773: @529978
     /*  529978 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530049), // Rule ID 21077 //
     /*  529983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530015 */     // MIs[0] round
     /*  530015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  530028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530034 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530047 */     GIR_RootConstrainSelectedInstOperands,
     /*  530048 */     // GIR_Coverage, 21077,
     /*  530048 */     GIR_EraseRootFromParent_Done,
     /*  530049 */   // Label 8774: @530049
     /*  530049 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530120), // Rule ID 21080 //
     /*  530054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530086 */     // MIs[0] round
     /*  530086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  530099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530105 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530118 */     GIR_RootConstrainSelectedInstOperands,
     /*  530119 */     // GIR_Coverage, 21080,
     /*  530119 */     GIR_EraseRootFromParent_Done,
     /*  530120 */   // Label 8775: @530120
     /*  530120 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530191), // Rule ID 21081 //
     /*  530125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530157 */     // MIs[0] round
     /*  530157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530167 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  530170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530176 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530189 */     GIR_RootConstrainSelectedInstOperands,
     /*  530190 */     // GIR_Coverage, 21081,
     /*  530190 */     GIR_EraseRootFromParent_Done,
     /*  530191 */   // Label 8776: @530191
     /*  530191 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530262), // Rule ID 21084 //
     /*  530196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530228 */     // MIs[0] round
     /*  530228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530238 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530247 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530260 */     GIR_RootConstrainSelectedInstOperands,
     /*  530261 */     // GIR_Coverage, 21084,
     /*  530261 */     GIR_EraseRootFromParent_Done,
     /*  530262 */   // Label 8777: @530262
     /*  530262 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530333), // Rule ID 21085 //
     /*  530267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530299 */     // MIs[0] round
     /*  530299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530318 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530331 */     GIR_RootConstrainSelectedInstOperands,
     /*  530332 */     // GIR_Coverage, 21085,
     /*  530332 */     GIR_EraseRootFromParent_Done,
     /*  530333 */   // Label 8778: @530333
     /*  530333 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530404), // Rule ID 21088 //
     /*  530338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530370 */     // MIs[0] round
     /*  530370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530389 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530402 */     GIR_RootConstrainSelectedInstOperands,
     /*  530403 */     // GIR_Coverage, 21088,
     /*  530403 */     GIR_EraseRootFromParent_Done,
     /*  530404 */   // Label 8779: @530404
     /*  530404 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530475), // Rule ID 21089 //
     /*  530409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530441 */     // MIs[0] round
     /*  530441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530460 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530473 */     GIR_RootConstrainSelectedInstOperands,
     /*  530474 */     // GIR_Coverage, 21089,
     /*  530474 */     GIR_EraseRootFromParent_Done,
     /*  530475 */   // Label 8780: @530475
     /*  530475 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530546), // Rule ID 21092 //
     /*  530480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530512 */     // MIs[0] round
     /*  530512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530522 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  530525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530531 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530544 */     GIR_RootConstrainSelectedInstOperands,
     /*  530545 */     // GIR_Coverage, 21092,
     /*  530545 */     GIR_EraseRootFromParent_Done,
     /*  530546 */   // Label 8781: @530546
     /*  530546 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530617), // Rule ID 21093 //
     /*  530551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530583 */     // MIs[0] round
     /*  530583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530593 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  530596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530602 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530615 */     GIR_RootConstrainSelectedInstOperands,
     /*  530616 */     // GIR_Coverage, 21093,
     /*  530616 */     GIR_EraseRootFromParent_Done,
     /*  530617 */   // Label 8782: @530617
     /*  530617 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530688), // Rule ID 21096 //
     /*  530622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530654 */     // MIs[0] round
     /*  530654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  530667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530673 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530686 */     GIR_RootConstrainSelectedInstOperands,
     /*  530687 */     // GIR_Coverage, 21096,
     /*  530687 */     GIR_EraseRootFromParent_Done,
     /*  530688 */   // Label 8783: @530688
     /*  530688 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530759), // Rule ID 21097 //
     /*  530693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530725 */     // MIs[0] round
     /*  530725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530735 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  530738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530744 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530757 */     GIR_RootConstrainSelectedInstOperands,
     /*  530758 */     // GIR_Coverage, 21097,
     /*  530758 */     GIR_EraseRootFromParent_Done,
     /*  530759 */   // Label 8784: @530759
     /*  530759 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530830), // Rule ID 21172 //
     /*  530764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530796 */     // MIs[0] round
     /*  530796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  530809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530815 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530828 */     GIR_RootConstrainSelectedInstOperands,
     /*  530829 */     // GIR_Coverage, 21172,
     /*  530829 */     GIR_EraseRootFromParent_Done,
     /*  530830 */   // Label 8785: @530830
     /*  530830 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530901), // Rule ID 21173 //
     /*  530835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530867 */     // MIs[0] round
     /*  530867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530877 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  530880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530886 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530899 */     GIR_RootConstrainSelectedInstOperands,
     /*  530900 */     // GIR_Coverage, 21173,
     /*  530900 */     GIR_EraseRootFromParent_Done,
     /*  530901 */   // Label 8786: @530901
     /*  530901 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(530972), // Rule ID 21176 //
     /*  530906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530938 */     // MIs[0] round
     /*  530938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  530951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530957 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530970 */     GIR_RootConstrainSelectedInstOperands,
     /*  530971 */     // GIR_Coverage, 21176,
     /*  530971 */     GIR_EraseRootFromParent_Done,
     /*  530972 */   // Label 8787: @530972
     /*  530972 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531043), // Rule ID 21177 //
     /*  530977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531009 */     // MIs[0] round
     /*  531009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531028 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531041 */     GIR_RootConstrainSelectedInstOperands,
     /*  531042 */     // GIR_Coverage, 21177,
     /*  531042 */     GIR_EraseRootFromParent_Done,
     /*  531043 */   // Label 8788: @531043
     /*  531043 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531114), // Rule ID 21180 //
     /*  531048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531080 */     // MIs[0] round
     /*  531080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531099 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531112 */     GIR_RootConstrainSelectedInstOperands,
     /*  531113 */     // GIR_Coverage, 21180,
     /*  531113 */     GIR_EraseRootFromParent_Done,
     /*  531114 */   // Label 8789: @531114
     /*  531114 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531185), // Rule ID 21181 //
     /*  531119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531151 */     // MIs[0] round
     /*  531151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531170 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531183 */     GIR_RootConstrainSelectedInstOperands,
     /*  531184 */     // GIR_Coverage, 21181,
     /*  531184 */     GIR_EraseRootFromParent_Done,
     /*  531185 */   // Label 8790: @531185
     /*  531185 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531256), // Rule ID 21184 //
     /*  531190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531222 */     // MIs[0] round
     /*  531222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531241 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531254 */     GIR_RootConstrainSelectedInstOperands,
     /*  531255 */     // GIR_Coverage, 21184,
     /*  531255 */     GIR_EraseRootFromParent_Done,
     /*  531256 */   // Label 8791: @531256
     /*  531256 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531327), // Rule ID 21185 //
     /*  531261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531293 */     // MIs[0] round
     /*  531293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531312 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531325 */     GIR_RootConstrainSelectedInstOperands,
     /*  531326 */     // GIR_Coverage, 21185,
     /*  531326 */     GIR_EraseRootFromParent_Done,
     /*  531327 */   // Label 8792: @531327
     /*  531327 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531398), // Rule ID 21188 //
     /*  531332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531364 */     // MIs[0] round
     /*  531364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531383 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531396 */     GIR_RootConstrainSelectedInstOperands,
     /*  531397 */     // GIR_Coverage, 21188,
     /*  531397 */     GIR_EraseRootFromParent_Done,
     /*  531398 */   // Label 8793: @531398
     /*  531398 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531469), // Rule ID 21189 //
     /*  531403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531435 */     // MIs[0] round
     /*  531435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531454 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531467 */     GIR_RootConstrainSelectedInstOperands,
     /*  531468 */     // GIR_Coverage, 21189,
     /*  531468 */     GIR_EraseRootFromParent_Done,
     /*  531469 */   // Label 8794: @531469
     /*  531469 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531540), // Rule ID 21192 //
     /*  531474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531506 */     // MIs[0] round
     /*  531506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531525 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531538 */     GIR_RootConstrainSelectedInstOperands,
     /*  531539 */     // GIR_Coverage, 21192,
     /*  531539 */     GIR_EraseRootFromParent_Done,
     /*  531540 */   // Label 8795: @531540
     /*  531540 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531611), // Rule ID 21193 //
     /*  531545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531577 */     // MIs[0] round
     /*  531577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531596 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531609 */     GIR_RootConstrainSelectedInstOperands,
     /*  531610 */     // GIR_Coverage, 21193,
     /*  531610 */     GIR_EraseRootFromParent_Done,
     /*  531611 */   // Label 8796: @531611
     /*  531611 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531682), // Rule ID 21196 //
     /*  531616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  531627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  531630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531648 */     // MIs[0] round
     /*  531648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531680 */     GIR_RootConstrainSelectedInstOperands,
     /*  531681 */     // GIR_Coverage, 21196,
     /*  531681 */     GIR_EraseRootFromParent_Done,
     /*  531682 */   // Label 8797: @531682
     /*  531682 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531753), // Rule ID 21197 //
     /*  531687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  531698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  531701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531719 */     // MIs[0] round
     /*  531719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531751 */     GIR_RootConstrainSelectedInstOperands,
     /*  531752 */     // GIR_Coverage, 21197,
     /*  531752 */     GIR_EraseRootFromParent_Done,
     /*  531753 */   // Label 8798: @531753
     /*  531753 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531824), // Rule ID 21200 //
     /*  531758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  531769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  531772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531790 */     // MIs[0] round
     /*  531790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531822 */     GIR_RootConstrainSelectedInstOperands,
     /*  531823 */     // GIR_Coverage, 21200,
     /*  531823 */     GIR_EraseRootFromParent_Done,
     /*  531824 */   // Label 8799: @531824
     /*  531824 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531895), // Rule ID 21201 //
     /*  531829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  531840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  531843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531861 */     // MIs[0] round
     /*  531861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531893 */     GIR_RootConstrainSelectedInstOperands,
     /*  531894 */     // GIR_Coverage, 21201,
     /*  531894 */     GIR_EraseRootFromParent_Done,
     /*  531895 */   // Label 8800: @531895
     /*  531895 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(531966), // Rule ID 21204 //
     /*  531900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531932 */     // MIs[0] round
     /*  531932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531964 */     GIR_RootConstrainSelectedInstOperands,
     /*  531965 */     // GIR_Coverage, 21204,
     /*  531965 */     GIR_EraseRootFromParent_Done,
     /*  531966 */   // Label 8801: @531966
     /*  531966 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532037), // Rule ID 21205 //
     /*  531971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532003 */     // MIs[0] round
     /*  532003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532013 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  532016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532035 */     GIR_RootConstrainSelectedInstOperands,
     /*  532036 */     // GIR_Coverage, 21205,
     /*  532036 */     GIR_EraseRootFromParent_Done,
     /*  532037 */   // Label 8802: @532037
     /*  532037 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532108), // Rule ID 21208 //
     /*  532042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  532059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532074 */     // MIs[0] round
     /*  532074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  532087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532106 */     GIR_RootConstrainSelectedInstOperands,
     /*  532107 */     // GIR_Coverage, 21208,
     /*  532107 */     GIR_EraseRootFromParent_Done,
     /*  532108 */   // Label 8803: @532108
     /*  532108 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532179), // Rule ID 21209 //
     /*  532113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  532130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532145 */     // MIs[0] round
     /*  532145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  532158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532177 */     GIR_RootConstrainSelectedInstOperands,
     /*  532178 */     // GIR_Coverage, 21209,
     /*  532178 */     GIR_EraseRootFromParent_Done,
     /*  532179 */   // Label 8804: @532179
     /*  532179 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532250), // Rule ID 21212 //
     /*  532184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  532201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532216 */     // MIs[0] round
     /*  532216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532248 */     GIR_RootConstrainSelectedInstOperands,
     /*  532249 */     // GIR_Coverage, 21212,
     /*  532249 */     GIR_EraseRootFromParent_Done,
     /*  532250 */   // Label 8805: @532250
     /*  532250 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532321), // Rule ID 21213 //
     /*  532255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  532272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532287 */     // MIs[0] round
     /*  532287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532319 */     GIR_RootConstrainSelectedInstOperands,
     /*  532320 */     // GIR_Coverage, 21213,
     /*  532320 */     GIR_EraseRootFromParent_Done,
     /*  532321 */   // Label 8806: @532321
     /*  532321 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532392), // Rule ID 21216 //
     /*  532326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532358 */     // MIs[0] round
     /*  532358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532390 */     GIR_RootConstrainSelectedInstOperands,
     /*  532391 */     // GIR_Coverage, 21216,
     /*  532391 */     GIR_EraseRootFromParent_Done,
     /*  532392 */   // Label 8807: @532392
     /*  532392 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532463), // Rule ID 21217 //
     /*  532397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532429 */     // MIs[0] round
     /*  532429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532461 */     GIR_RootConstrainSelectedInstOperands,
     /*  532462 */     // GIR_Coverage, 21217,
     /*  532462 */     GIR_EraseRootFromParent_Done,
     /*  532463 */   // Label 8808: @532463
     /*  532463 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532534), // Rule ID 21220 //
     /*  532468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532500 */     // MIs[0] round
     /*  532500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532532 */     GIR_RootConstrainSelectedInstOperands,
     /*  532533 */     // GIR_Coverage, 21220,
     /*  532533 */     GIR_EraseRootFromParent_Done,
     /*  532534 */   // Label 8809: @532534
     /*  532534 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532605), // Rule ID 21221 //
     /*  532539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532571 */     // MIs[0] round
     /*  532571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532603 */     GIR_RootConstrainSelectedInstOperands,
     /*  532604 */     // GIR_Coverage, 21221,
     /*  532604 */     GIR_EraseRootFromParent_Done,
     /*  532605 */   // Label 8810: @532605
     /*  532605 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532676), // Rule ID 21224 //
     /*  532610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532642 */     // MIs[0] round
     /*  532642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  532655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532674 */     GIR_RootConstrainSelectedInstOperands,
     /*  532675 */     // GIR_Coverage, 21224,
     /*  532675 */     GIR_EraseRootFromParent_Done,
     /*  532676 */   // Label 8811: @532676
     /*  532676 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532747), // Rule ID 21225 //
     /*  532681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532713 */     // MIs[0] round
     /*  532713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  532726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532745 */     GIR_RootConstrainSelectedInstOperands,
     /*  532746 */     // GIR_Coverage, 21225,
     /*  532746 */     GIR_EraseRootFromParent_Done,
     /*  532747 */   // Label 8812: @532747
     /*  532747 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532818), // Rule ID 21228 //
     /*  532752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532784 */     // MIs[0] round
     /*  532784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532816 */     GIR_RootConstrainSelectedInstOperands,
     /*  532817 */     // GIR_Coverage, 21228,
     /*  532817 */     GIR_EraseRootFromParent_Done,
     /*  532818 */   // Label 8813: @532818
     /*  532818 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532889), // Rule ID 21229 //
     /*  532823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532855 */     // MIs[0] round
     /*  532855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532865 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532887 */     GIR_RootConstrainSelectedInstOperands,
     /*  532888 */     // GIR_Coverage, 21229,
     /*  532888 */     GIR_EraseRootFromParent_Done,
     /*  532889 */   // Label 8814: @532889
     /*  532889 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(532960), // Rule ID 21232 //
     /*  532894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532926 */     // MIs[0] round
     /*  532926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532958 */     GIR_RootConstrainSelectedInstOperands,
     /*  532959 */     // GIR_Coverage, 21232,
     /*  532959 */     GIR_EraseRootFromParent_Done,
     /*  532960 */   // Label 8815: @532960
     /*  532960 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533031), // Rule ID 21233 //
     /*  532965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532997 */     // MIs[0] round
     /*  532997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  533010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533029 */     GIR_RootConstrainSelectedInstOperands,
     /*  533030 */     // GIR_Coverage, 21233,
     /*  533030 */     GIR_EraseRootFromParent_Done,
     /*  533031 */   // Label 8816: @533031
     /*  533031 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533102), // Rule ID 21236 //
     /*  533036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533068 */     // MIs[0] round
     /*  533068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  533081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533100 */     GIR_RootConstrainSelectedInstOperands,
     /*  533101 */     // GIR_Coverage, 21236,
     /*  533101 */     GIR_EraseRootFromParent_Done,
     /*  533102 */   // Label 8817: @533102
     /*  533102 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533173), // Rule ID 21237 //
     /*  533107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533139 */     // MIs[0] round
     /*  533139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  533152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533171 */     GIR_RootConstrainSelectedInstOperands,
     /*  533172 */     // GIR_Coverage, 21237,
     /*  533172 */     GIR_EraseRootFromParent_Done,
     /*  533173 */   // Label 8818: @533173
     /*  533173 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533244), // Rule ID 21240 //
     /*  533178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533210 */     // MIs[0] round
     /*  533210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533242 */     GIR_RootConstrainSelectedInstOperands,
     /*  533243 */     // GIR_Coverage, 21240,
     /*  533243 */     GIR_EraseRootFromParent_Done,
     /*  533244 */   // Label 8819: @533244
     /*  533244 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533315), // Rule ID 21241 //
     /*  533249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533281 */     // MIs[0] round
     /*  533281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533313 */     GIR_RootConstrainSelectedInstOperands,
     /*  533314 */     // GIR_Coverage, 21241,
     /*  533314 */     GIR_EraseRootFromParent_Done,
     /*  533315 */   // Label 8820: @533315
     /*  533315 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533386), // Rule ID 21592 //
     /*  533320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533352 */     // MIs[0] round
     /*  533352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533362 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533384 */     GIR_RootConstrainSelectedInstOperands,
     /*  533385 */     // GIR_Coverage, 21592,
     /*  533385 */     GIR_EraseRootFromParent_Done,
     /*  533386 */   // Label 8821: @533386
     /*  533386 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533457), // Rule ID 21593 //
     /*  533391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533423 */     // MIs[0] round
     /*  533423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533433 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533455 */     GIR_RootConstrainSelectedInstOperands,
     /*  533456 */     // GIR_Coverage, 21593,
     /*  533456 */     GIR_EraseRootFromParent_Done,
     /*  533457 */   // Label 8822: @533457
     /*  533457 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533528), // Rule ID 21596 //
     /*  533462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533494 */     // MIs[0] round
     /*  533494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533504 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  533507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533526 */     GIR_RootConstrainSelectedInstOperands,
     /*  533527 */     // GIR_Coverage, 21596,
     /*  533527 */     GIR_EraseRootFromParent_Done,
     /*  533528 */   // Label 8823: @533528
     /*  533528 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533599), // Rule ID 21597 //
     /*  533533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533565 */     // MIs[0] round
     /*  533565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533575 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  533578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533597 */     GIR_RootConstrainSelectedInstOperands,
     /*  533598 */     // GIR_Coverage, 21597,
     /*  533598 */     GIR_EraseRootFromParent_Done,
     /*  533599 */   // Label 8824: @533599
     /*  533599 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533670), // Rule ID 21600 //
     /*  533604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  533615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  533618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533636 */     // MIs[0] round
     /*  533636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533646 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  533649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533668 */     GIR_RootConstrainSelectedInstOperands,
     /*  533669 */     // GIR_Coverage, 21600,
     /*  533669 */     GIR_EraseRootFromParent_Done,
     /*  533670 */   // Label 8825: @533670
     /*  533670 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533741), // Rule ID 21601 //
     /*  533675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  533686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  533689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533707 */     // MIs[0] round
     /*  533707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  533720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533739 */     GIR_RootConstrainSelectedInstOperands,
     /*  533740 */     // GIR_Coverage, 21601,
     /*  533740 */     GIR_EraseRootFromParent_Done,
     /*  533741 */   // Label 8826: @533741
     /*  533741 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533812), // Rule ID 21604 //
     /*  533746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  533763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533778 */     // MIs[0] round
     /*  533778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  533791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533810 */     GIR_RootConstrainSelectedInstOperands,
     /*  533811 */     // GIR_Coverage, 21604,
     /*  533811 */     GIR_EraseRootFromParent_Done,
     /*  533812 */   // Label 8827: @533812
     /*  533812 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533883), // Rule ID 21605 //
     /*  533817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  533834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533849 */     // MIs[0] round
     /*  533849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  533862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533881 */     GIR_RootConstrainSelectedInstOperands,
     /*  533882 */     // GIR_Coverage, 21605,
     /*  533882 */     GIR_EraseRootFromParent_Done,
     /*  533883 */   // Label 8828: @533883
     /*  533883 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(533954), // Rule ID 21608 //
     /*  533888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  533899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  533902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533920 */     // MIs[0] round
     /*  533920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  533933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533952 */     GIR_RootConstrainSelectedInstOperands,
     /*  533953 */     // GIR_Coverage, 21608,
     /*  533953 */     GIR_EraseRootFromParent_Done,
     /*  533954 */   // Label 8829: @533954
     /*  533954 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534025), // Rule ID 21609 //
     /*  533959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  533970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  533973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533991 */     // MIs[0] round
     /*  533991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534023 */     GIR_RootConstrainSelectedInstOperands,
     /*  534024 */     // GIR_Coverage, 21609,
     /*  534024 */     GIR_EraseRootFromParent_Done,
     /*  534025 */   // Label 8830: @534025
     /*  534025 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534096), // Rule ID 21612 //
     /*  534030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534062 */     // MIs[0] round
     /*  534062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534094 */     GIR_RootConstrainSelectedInstOperands,
     /*  534095 */     // GIR_Coverage, 21612,
     /*  534095 */     GIR_EraseRootFromParent_Done,
     /*  534096 */   // Label 8831: @534096
     /*  534096 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534167), // Rule ID 21613 //
     /*  534101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534133 */     // MIs[0] round
     /*  534133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534143 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534165 */     GIR_RootConstrainSelectedInstOperands,
     /*  534166 */     // GIR_Coverage, 21613,
     /*  534166 */     GIR_EraseRootFromParent_Done,
     /*  534167 */   // Label 8832: @534167
     /*  534167 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534238), // Rule ID 21616 //
     /*  534172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534204 */     // MIs[0] round
     /*  534204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534236 */     GIR_RootConstrainSelectedInstOperands,
     /*  534237 */     // GIR_Coverage, 21616,
     /*  534237 */     GIR_EraseRootFromParent_Done,
     /*  534238 */   // Label 8833: @534238
     /*  534238 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534309), // Rule ID 21617 //
     /*  534243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534275 */     // MIs[0] round
     /*  534275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534307 */     GIR_RootConstrainSelectedInstOperands,
     /*  534308 */     // GIR_Coverage, 21617,
     /*  534308 */     GIR_EraseRootFromParent_Done,
     /*  534309 */   // Label 8834: @534309
     /*  534309 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534380), // Rule ID 21620 //
     /*  534314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534346 */     // MIs[0] round
     /*  534346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534378 */     GIR_RootConstrainSelectedInstOperands,
     /*  534379 */     // GIR_Coverage, 21620,
     /*  534379 */     GIR_EraseRootFromParent_Done,
     /*  534380 */   // Label 8835: @534380
     /*  534380 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534451), // Rule ID 21621 //
     /*  534385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534417 */     // MIs[0] round
     /*  534417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534449 */     GIR_RootConstrainSelectedInstOperands,
     /*  534450 */     // GIR_Coverage, 21621,
     /*  534450 */     GIR_EraseRootFromParent_Done,
     /*  534451 */   // Label 8836: @534451
     /*  534451 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534522), // Rule ID 21624 //
     /*  534456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534488 */     // MIs[0] round
     /*  534488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534520 */     GIR_RootConstrainSelectedInstOperands,
     /*  534521 */     // GIR_Coverage, 21624,
     /*  534521 */     GIR_EraseRootFromParent_Done,
     /*  534522 */   // Label 8837: @534522
     /*  534522 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534593), // Rule ID 21625 //
     /*  534527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534559 */     // MIs[0] round
     /*  534559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534591 */     GIR_RootConstrainSelectedInstOperands,
     /*  534592 */     // GIR_Coverage, 21625,
     /*  534592 */     GIR_EraseRootFromParent_Done,
     /*  534593 */   // Label 8838: @534593
     /*  534593 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534664), // Rule ID 21628 //
     /*  534598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534630 */     // MIs[0] round
     /*  534630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534662 */     GIR_RootConstrainSelectedInstOperands,
     /*  534663 */     // GIR_Coverage, 21628,
     /*  534663 */     GIR_EraseRootFromParent_Done,
     /*  534664 */   // Label 8839: @534664
     /*  534664 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534735), // Rule ID 21629 //
     /*  534669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534701 */     // MIs[0] round
     /*  534701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534733 */     GIR_RootConstrainSelectedInstOperands,
     /*  534734 */     // GIR_Coverage, 21629,
     /*  534734 */     GIR_EraseRootFromParent_Done,
     /*  534735 */   // Label 8840: @534735
     /*  534735 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534806), // Rule ID 21632 //
     /*  534740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534772 */     // MIs[0] round
     /*  534772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534804 */     GIR_RootConstrainSelectedInstOperands,
     /*  534805 */     // GIR_Coverage, 21632,
     /*  534805 */     GIR_EraseRootFromParent_Done,
     /*  534806 */   // Label 8841: @534806
     /*  534806 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534877), // Rule ID 21633 //
     /*  534811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534843 */     // MIs[0] round
     /*  534843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534875 */     GIR_RootConstrainSelectedInstOperands,
     /*  534876 */     // GIR_Coverage, 21633,
     /*  534876 */     GIR_EraseRootFromParent_Done,
     /*  534877 */   // Label 8842: @534877
     /*  534877 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(534948), // Rule ID 21636 //
     /*  534882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  534885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534914 */     // MIs[0] round
     /*  534914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534946 */     GIR_RootConstrainSelectedInstOperands,
     /*  534947 */     // GIR_Coverage, 21636,
     /*  534947 */     GIR_EraseRootFromParent_Done,
     /*  534948 */   // Label 8843: @534948
     /*  534948 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535019), // Rule ID 21637 //
     /*  534953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  534956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534985 */     // MIs[0] round
     /*  534985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535017 */     GIR_RootConstrainSelectedInstOperands,
     /*  535018 */     // GIR_Coverage, 21637,
     /*  535018 */     GIR_EraseRootFromParent_Done,
     /*  535019 */   // Label 8844: @535019
     /*  535019 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535090), // Rule ID 21640 //
     /*  535024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535056 */     // MIs[0] round
     /*  535056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  535069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535088 */     GIR_RootConstrainSelectedInstOperands,
     /*  535089 */     // GIR_Coverage, 21640,
     /*  535089 */     GIR_EraseRootFromParent_Done,
     /*  535090 */   // Label 8845: @535090
     /*  535090 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535161), // Rule ID 21641 //
     /*  535095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535127 */     // MIs[0] round
     /*  535127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  535140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535159 */     GIR_RootConstrainSelectedInstOperands,
     /*  535160 */     // GIR_Coverage, 21641,
     /*  535160 */     GIR_EraseRootFromParent_Done,
     /*  535161 */   // Label 8846: @535161
     /*  535161 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535232), // Rule ID 21644 //
     /*  535166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535198 */     // MIs[0] round
     /*  535198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535230 */     GIR_RootConstrainSelectedInstOperands,
     /*  535231 */     // GIR_Coverage, 21644,
     /*  535231 */     GIR_EraseRootFromParent_Done,
     /*  535232 */   // Label 8847: @535232
     /*  535232 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535303), // Rule ID 21645 //
     /*  535237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535269 */     // MIs[0] round
     /*  535269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535301 */     GIR_RootConstrainSelectedInstOperands,
     /*  535302 */     // GIR_Coverage, 21645,
     /*  535302 */     GIR_EraseRootFromParent_Done,
     /*  535303 */   // Label 8848: @535303
     /*  535303 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535374), // Rule ID 21648 //
     /*  535308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535340 */     // MIs[0] round
     /*  535340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535372 */     GIR_RootConstrainSelectedInstOperands,
     /*  535373 */     // GIR_Coverage, 21648,
     /*  535373 */     GIR_EraseRootFromParent_Done,
     /*  535374 */   // Label 8849: @535374
     /*  535374 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535445), // Rule ID 21649 //
     /*  535379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535411 */     // MIs[0] round
     /*  535411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535443 */     GIR_RootConstrainSelectedInstOperands,
     /*  535444 */     // GIR_Coverage, 21649,
     /*  535444 */     GIR_EraseRootFromParent_Done,
     /*  535445 */   // Label 8850: @535445
     /*  535445 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535516), // Rule ID 21652 //
     /*  535450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  535467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535482 */     // MIs[0] round
     /*  535482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  535495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535514 */     GIR_RootConstrainSelectedInstOperands,
     /*  535515 */     // GIR_Coverage, 21652,
     /*  535515 */     GIR_EraseRootFromParent_Done,
     /*  535516 */   // Label 8851: @535516
     /*  535516 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535587), // Rule ID 21653 //
     /*  535521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  535538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535553 */     // MIs[0] round
     /*  535553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  535566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535585 */     GIR_RootConstrainSelectedInstOperands,
     /*  535586 */     // GIR_Coverage, 21653,
     /*  535586 */     GIR_EraseRootFromParent_Done,
     /*  535587 */   // Label 8852: @535587
     /*  535587 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535658), // Rule ID 21656 //
     /*  535592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  535603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  535606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  535609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535624 */     // MIs[0] round
     /*  535624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  535637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535656 */     GIR_RootConstrainSelectedInstOperands,
     /*  535657 */     // GIR_Coverage, 21656,
     /*  535657 */     GIR_EraseRootFromParent_Done,
     /*  535658 */   // Label 8853: @535658
     /*  535658 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535729), // Rule ID 21657 //
     /*  535663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  535674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  535677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  535680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535695 */     // MIs[0] round
     /*  535695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  535708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535727 */     GIR_RootConstrainSelectedInstOperands,
     /*  535728 */     // GIR_Coverage, 21657,
     /*  535728 */     GIR_EraseRootFromParent_Done,
     /*  535729 */   // Label 8854: @535729
     /*  535729 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535800), // Rule ID 21660 //
     /*  535734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  535745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  535748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  535751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535766 */     // MIs[0] round
     /*  535766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  535779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535798 */     GIR_RootConstrainSelectedInstOperands,
     /*  535799 */     // GIR_Coverage, 21660,
     /*  535799 */     GIR_EraseRootFromParent_Done,
     /*  535800 */   // Label 8855: @535800
     /*  535800 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535871), // Rule ID 21661 //
     /*  535805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  535816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  535819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  535822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535837 */     // MIs[0] round
     /*  535837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  535850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535869 */     GIR_RootConstrainSelectedInstOperands,
     /*  535870 */     // GIR_Coverage, 21661,
     /*  535870 */     GIR_EraseRootFromParent_Done,
     /*  535871 */   // Label 8856: @535871
     /*  535871 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(535942), // Rule ID 21664 //
     /*  535876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  535887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  535890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535908 */     // MIs[0] round
     /*  535908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  535921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535940 */     GIR_RootConstrainSelectedInstOperands,
     /*  535941 */     // GIR_Coverage, 21664,
     /*  535941 */     GIR_EraseRootFromParent_Done,
     /*  535942 */   // Label 8857: @535942
     /*  535942 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536013), // Rule ID 21665 //
     /*  535947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  535958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  535961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535979 */     // MIs[0] round
     /*  535979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  535992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536011 */     GIR_RootConstrainSelectedInstOperands,
     /*  536012 */     // GIR_Coverage, 21665,
     /*  536012 */     GIR_EraseRootFromParent_Done,
     /*  536013 */   // Label 8858: @536013
     /*  536013 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536084), // Rule ID 21668 //
     /*  536018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  536029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  536032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  536035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536050 */     // MIs[0] round
     /*  536050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536082 */     GIR_RootConstrainSelectedInstOperands,
     /*  536083 */     // GIR_Coverage, 21668,
     /*  536083 */     GIR_EraseRootFromParent_Done,
     /*  536084 */   // Label 8859: @536084
     /*  536084 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536155), // Rule ID 21669 //
     /*  536089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  536100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  536103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  536106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536121 */     // MIs[0] round
     /*  536121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536153 */     GIR_RootConstrainSelectedInstOperands,
     /*  536154 */     // GIR_Coverage, 21669,
     /*  536154 */     GIR_EraseRootFromParent_Done,
     /*  536155 */   // Label 8860: @536155
     /*  536155 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536226), // Rule ID 21672 //
     /*  536160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  536171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  536174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536192 */     // MIs[0] round
     /*  536192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536202 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536224 */     GIR_RootConstrainSelectedInstOperands,
     /*  536225 */     // GIR_Coverage, 21672,
     /*  536225 */     GIR_EraseRootFromParent_Done,
     /*  536226 */   // Label 8861: @536226
     /*  536226 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536297), // Rule ID 21673 //
     /*  536231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  536242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  536245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536263 */     // MIs[0] round
     /*  536263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536295 */     GIR_RootConstrainSelectedInstOperands,
     /*  536296 */     // GIR_Coverage, 21673,
     /*  536296 */     GIR_EraseRootFromParent_Done,
     /*  536297 */   // Label 8862: @536297
     /*  536297 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536368), // Rule ID 21676 //
     /*  536302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536334 */     // MIs[0] round
     /*  536334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536366 */     GIR_RootConstrainSelectedInstOperands,
     /*  536367 */     // GIR_Coverage, 21676,
     /*  536367 */     GIR_EraseRootFromParent_Done,
     /*  536368 */   // Label 8863: @536368
     /*  536368 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536439), // Rule ID 21677 //
     /*  536373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536405 */     // MIs[0] round
     /*  536405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536437 */     GIR_RootConstrainSelectedInstOperands,
     /*  536438 */     // GIR_Coverage, 21677,
     /*  536438 */     GIR_EraseRootFromParent_Done,
     /*  536439 */   // Label 8864: @536439
     /*  536439 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536510), // Rule ID 21680 //
     /*  536444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536476 */     // MIs[0] round
     /*  536476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536508 */     GIR_RootConstrainSelectedInstOperands,
     /*  536509 */     // GIR_Coverage, 21680,
     /*  536509 */     GIR_EraseRootFromParent_Done,
     /*  536510 */   // Label 8865: @536510
     /*  536510 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536581), // Rule ID 21681 //
     /*  536515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536547 */     // MIs[0] round
     /*  536547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536557 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536579 */     GIR_RootConstrainSelectedInstOperands,
     /*  536580 */     // GIR_Coverage, 21681,
     /*  536580 */     GIR_EraseRootFromParent_Done,
     /*  536581 */   // Label 8866: @536581
     /*  536581 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536652), // Rule ID 21684 //
     /*  536586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536618 */     // MIs[0] round
     /*  536618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536650 */     GIR_RootConstrainSelectedInstOperands,
     /*  536651 */     // GIR_Coverage, 21684,
     /*  536651 */     GIR_EraseRootFromParent_Done,
     /*  536652 */   // Label 8867: @536652
     /*  536652 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536723), // Rule ID 21685 //
     /*  536657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536689 */     // MIs[0] round
     /*  536689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536721 */     GIR_RootConstrainSelectedInstOperands,
     /*  536722 */     // GIR_Coverage, 21685,
     /*  536722 */     GIR_EraseRootFromParent_Done,
     /*  536723 */   // Label 8868: @536723
     /*  536723 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536794), // Rule ID 21688 //
     /*  536728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536760 */     // MIs[0] round
     /*  536760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536792 */     GIR_RootConstrainSelectedInstOperands,
     /*  536793 */     // GIR_Coverage, 21688,
     /*  536793 */     GIR_EraseRootFromParent_Done,
     /*  536794 */   // Label 8869: @536794
     /*  536794 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536865), // Rule ID 21689 //
     /*  536799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536831 */     // MIs[0] round
     /*  536831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536841 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536863 */     GIR_RootConstrainSelectedInstOperands,
     /*  536864 */     // GIR_Coverage, 21689,
     /*  536864 */     GIR_EraseRootFromParent_Done,
     /*  536865 */   // Label 8870: @536865
     /*  536865 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(536936), // Rule ID 21692 //
     /*  536870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536902 */     // MIs[0] round
     /*  536902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536934 */     GIR_RootConstrainSelectedInstOperands,
     /*  536935 */     // GIR_Coverage, 21692,
     /*  536935 */     GIR_EraseRootFromParent_Done,
     /*  536936 */   // Label 8871: @536936
     /*  536936 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537007), // Rule ID 21693 //
     /*  536941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536973 */     // MIs[0] round
     /*  536973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537005 */     GIR_RootConstrainSelectedInstOperands,
     /*  537006 */     // GIR_Coverage, 21693,
     /*  537006 */     GIR_EraseRootFromParent_Done,
     /*  537007 */   // Label 8872: @537007
     /*  537007 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537078), // Rule ID 21696 //
     /*  537012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537044 */     // MIs[0] round
     /*  537044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  537057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537076 */     GIR_RootConstrainSelectedInstOperands,
     /*  537077 */     // GIR_Coverage, 21696,
     /*  537077 */     GIR_EraseRootFromParent_Done,
     /*  537078 */   // Label 8873: @537078
     /*  537078 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537149), // Rule ID 21697 //
     /*  537083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537115 */     // MIs[0] round
     /*  537115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  537128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537147 */     GIR_RootConstrainSelectedInstOperands,
     /*  537148 */     // GIR_Coverage, 21697,
     /*  537148 */     GIR_EraseRootFromParent_Done,
     /*  537149 */   // Label 8874: @537149
     /*  537149 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537220), // Rule ID 21700 //
     /*  537154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537186 */     // MIs[0] round
     /*  537186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537218 */     GIR_RootConstrainSelectedInstOperands,
     /*  537219 */     // GIR_Coverage, 21700,
     /*  537219 */     GIR_EraseRootFromParent_Done,
     /*  537220 */   // Label 8875: @537220
     /*  537220 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537291), // Rule ID 21701 //
     /*  537225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537257 */     // MIs[0] round
     /*  537257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537289 */     GIR_RootConstrainSelectedInstOperands,
     /*  537290 */     // GIR_Coverage, 21701,
     /*  537290 */     GIR_EraseRootFromParent_Done,
     /*  537291 */   // Label 8876: @537291
     /*  537291 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537362), // Rule ID 21704 //
     /*  537296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537328 */     // MIs[0] round
     /*  537328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537360 */     GIR_RootConstrainSelectedInstOperands,
     /*  537361 */     // GIR_Coverage, 21704,
     /*  537361 */     GIR_EraseRootFromParent_Done,
     /*  537362 */   // Label 8877: @537362
     /*  537362 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537433), // Rule ID 21705 //
     /*  537367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537399 */     // MIs[0] round
     /*  537399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537431 */     GIR_RootConstrainSelectedInstOperands,
     /*  537432 */     // GIR_Coverage, 21705,
     /*  537432 */     GIR_EraseRootFromParent_Done,
     /*  537433 */   // Label 8878: @537433
     /*  537433 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537504), // Rule ID 21708 //
     /*  537438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537470 */     // MIs[0] round
     /*  537470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537502 */     GIR_RootConstrainSelectedInstOperands,
     /*  537503 */     // GIR_Coverage, 21708,
     /*  537503 */     GIR_EraseRootFromParent_Done,
     /*  537504 */   // Label 8879: @537504
     /*  537504 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537575), // Rule ID 21709 //
     /*  537509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537541 */     // MIs[0] round
     /*  537541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537573 */     GIR_RootConstrainSelectedInstOperands,
     /*  537574 */     // GIR_Coverage, 21709,
     /*  537574 */     GIR_EraseRootFromParent_Done,
     /*  537575 */   // Label 8880: @537575
     /*  537575 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537646), // Rule ID 21832 //
     /*  537580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537612 */     // MIs[0] round
     /*  537612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537622 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  537625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537644 */     GIR_RootConstrainSelectedInstOperands,
     /*  537645 */     // GIR_Coverage, 21832,
     /*  537645 */     GIR_EraseRootFromParent_Done,
     /*  537646 */   // Label 8881: @537646
     /*  537646 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537717), // Rule ID 21833 //
     /*  537651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537683 */     // MIs[0] round
     /*  537683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537693 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  537696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537715 */     GIR_RootConstrainSelectedInstOperands,
     /*  537716 */     // GIR_Coverage, 21833,
     /*  537716 */     GIR_EraseRootFromParent_Done,
     /*  537717 */   // Label 8882: @537717
     /*  537717 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537788), // Rule ID 21836 //
     /*  537722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537754 */     // MIs[0] round
     /*  537754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  537767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537786 */     GIR_RootConstrainSelectedInstOperands,
     /*  537787 */     // GIR_Coverage, 21836,
     /*  537787 */     GIR_EraseRootFromParent_Done,
     /*  537788 */   // Label 8883: @537788
     /*  537788 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537859), // Rule ID 21837 //
     /*  537793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537825 */     // MIs[0] round
     /*  537825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537835 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  537838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537857 */     GIR_RootConstrainSelectedInstOperands,
     /*  537858 */     // GIR_Coverage, 21837,
     /*  537858 */     GIR_EraseRootFromParent_Done,
     /*  537859 */   // Label 8884: @537859
     /*  537859 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(537930), // Rule ID 21840 //
     /*  537864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537896 */     // MIs[0] round
     /*  537896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  537909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537928 */     GIR_RootConstrainSelectedInstOperands,
     /*  537929 */     // GIR_Coverage, 21840,
     /*  537929 */     GIR_EraseRootFromParent_Done,
     /*  537930 */   // Label 8885: @537930
     /*  537930 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538001), // Rule ID 21841 //
     /*  537935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537967 */     // MIs[0] round
     /*  537967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  537980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537999 */     GIR_RootConstrainSelectedInstOperands,
     /*  538000 */     // GIR_Coverage, 21841,
     /*  538000 */     GIR_EraseRootFromParent_Done,
     /*  538001 */   // Label 8886: @538001
     /*  538001 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538072), // Rule ID 21844 //
     /*  538006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538038 */     // MIs[0] round
     /*  538038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  538051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538070 */     GIR_RootConstrainSelectedInstOperands,
     /*  538071 */     // GIR_Coverage, 21844,
     /*  538071 */     GIR_EraseRootFromParent_Done,
     /*  538072 */   // Label 8887: @538072
     /*  538072 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538143), // Rule ID 21845 //
     /*  538077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538109 */     // MIs[0] round
     /*  538109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538119 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  538122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538141 */     GIR_RootConstrainSelectedInstOperands,
     /*  538142 */     // GIR_Coverage, 21845,
     /*  538142 */     GIR_EraseRootFromParent_Done,
     /*  538143 */   // Label 8888: @538143
     /*  538143 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538214), // Rule ID 21848 //
     /*  538148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538180 */     // MIs[0] round
     /*  538180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538190 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  538193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538212 */     GIR_RootConstrainSelectedInstOperands,
     /*  538213 */     // GIR_Coverage, 21848,
     /*  538213 */     GIR_EraseRootFromParent_Done,
     /*  538214 */   // Label 8889: @538214
     /*  538214 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538285), // Rule ID 21849 //
     /*  538219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538251 */     // MIs[0] round
     /*  538251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538261 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  538264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538283 */     GIR_RootConstrainSelectedInstOperands,
     /*  538284 */     // GIR_Coverage, 21849,
     /*  538284 */     GIR_EraseRootFromParent_Done,
     /*  538285 */   // Label 8890: @538285
     /*  538285 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538356), // Rule ID 21852 //
     /*  538290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538322 */     // MIs[0] round
     /*  538322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538354 */     GIR_RootConstrainSelectedInstOperands,
     /*  538355 */     // GIR_Coverage, 21852,
     /*  538355 */     GIR_EraseRootFromParent_Done,
     /*  538356 */   // Label 8891: @538356
     /*  538356 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538427), // Rule ID 21853 //
     /*  538361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538393 */     // MIs[0] round
     /*  538393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538425 */     GIR_RootConstrainSelectedInstOperands,
     /*  538426 */     // GIR_Coverage, 21853,
     /*  538426 */     GIR_EraseRootFromParent_Done,
     /*  538427 */   // Label 8892: @538427
     /*  538427 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538498), // Rule ID 21856 //
     /*  538432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538464 */     // MIs[0] round
     /*  538464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538474 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  538477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538496 */     GIR_RootConstrainSelectedInstOperands,
     /*  538497 */     // GIR_Coverage, 21856,
     /*  538497 */     GIR_EraseRootFromParent_Done,
     /*  538498 */   // Label 8893: @538498
     /*  538498 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538569), // Rule ID 21857 //
     /*  538503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538535 */     // MIs[0] round
     /*  538535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538545 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  538548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538567 */     GIR_RootConstrainSelectedInstOperands,
     /*  538568 */     // GIR_Coverage, 21857,
     /*  538568 */     GIR_EraseRootFromParent_Done,
     /*  538569 */   // Label 8894: @538569
     /*  538569 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538640), // Rule ID 21860 //
     /*  538574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538606 */     // MIs[0] round
     /*  538606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  538619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538638 */     GIR_RootConstrainSelectedInstOperands,
     /*  538639 */     // GIR_Coverage, 21860,
     /*  538639 */     GIR_EraseRootFromParent_Done,
     /*  538640 */   // Label 8895: @538640
     /*  538640 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538711), // Rule ID 21861 //
     /*  538645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538677 */     // MIs[0] round
     /*  538677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  538690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538709 */     GIR_RootConstrainSelectedInstOperands,
     /*  538710 */     // GIR_Coverage, 21861,
     /*  538710 */     GIR_EraseRootFromParent_Done,
     /*  538711 */   // Label 8896: @538711
     /*  538711 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538782), // Rule ID 21864 //
     /*  538716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538748 */     // MIs[0] round
     /*  538748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538758 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  538761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538780 */     GIR_RootConstrainSelectedInstOperands,
     /*  538781 */     // GIR_Coverage, 21864,
     /*  538781 */     GIR_EraseRootFromParent_Done,
     /*  538782 */   // Label 8897: @538782
     /*  538782 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538853), // Rule ID 21865 //
     /*  538787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538819 */     // MIs[0] round
     /*  538819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538829 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  538832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538851 */     GIR_RootConstrainSelectedInstOperands,
     /*  538852 */     // GIR_Coverage, 21865,
     /*  538852 */     GIR_EraseRootFromParent_Done,
     /*  538853 */   // Label 8898: @538853
     /*  538853 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(538924), // Rule ID 21868 //
     /*  538858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538890 */     // MIs[0] round
     /*  538890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  538903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538922 */     GIR_RootConstrainSelectedInstOperands,
     /*  538923 */     // GIR_Coverage, 21868,
     /*  538923 */     GIR_EraseRootFromParent_Done,
     /*  538924 */   // Label 8899: @538924
     /*  538924 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(538995), // Rule ID 21869 //
     /*  538929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538961 */     // MIs[0] round
     /*  538961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538971 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  538974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538993 */     GIR_RootConstrainSelectedInstOperands,
     /*  538994 */     // GIR_Coverage, 21869,
     /*  538994 */     GIR_EraseRootFromParent_Done,
     /*  538995 */   // Label 8900: @538995
     /*  538995 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539066), // Rule ID 21872 //
     /*  539000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  539017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539032 */     // MIs[0] round
     /*  539032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539042 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  539045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539064 */     GIR_RootConstrainSelectedInstOperands,
     /*  539065 */     // GIR_Coverage, 21872,
     /*  539065 */     GIR_EraseRootFromParent_Done,
     /*  539066 */   // Label 8901: @539066
     /*  539066 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539137), // Rule ID 21873 //
     /*  539071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  539088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539103 */     // MIs[0] round
     /*  539103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539113 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  539116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539135 */     GIR_RootConstrainSelectedInstOperands,
     /*  539136 */     // GIR_Coverage, 21873,
     /*  539136 */     GIR_EraseRootFromParent_Done,
     /*  539137 */   // Label 8902: @539137
     /*  539137 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539208), // Rule ID 21876 //
     /*  539142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539174 */     // MIs[0] round
     /*  539174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539184 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  539187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539206 */     GIR_RootConstrainSelectedInstOperands,
     /*  539207 */     // GIR_Coverage, 21876,
     /*  539207 */     GIR_EraseRootFromParent_Done,
     /*  539208 */   // Label 8903: @539208
     /*  539208 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539279), // Rule ID 21877 //
     /*  539213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539245 */     // MIs[0] round
     /*  539245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  539258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539277 */     GIR_RootConstrainSelectedInstOperands,
     /*  539278 */     // GIR_Coverage, 21877,
     /*  539278 */     GIR_EraseRootFromParent_Done,
     /*  539279 */   // Label 8904: @539279
     /*  539279 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539350), // Rule ID 21880 //
     /*  539284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539316 */     // MIs[0] round
     /*  539316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539326 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539348 */     GIR_RootConstrainSelectedInstOperands,
     /*  539349 */     // GIR_Coverage, 21880,
     /*  539349 */     GIR_EraseRootFromParent_Done,
     /*  539350 */   // Label 8905: @539350
     /*  539350 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539421), // Rule ID 21881 //
     /*  539355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539387 */     // MIs[0] round
     /*  539387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539419 */     GIR_RootConstrainSelectedInstOperands,
     /*  539420 */     // GIR_Coverage, 21881,
     /*  539420 */     GIR_EraseRootFromParent_Done,
     /*  539421 */   // Label 8906: @539421
     /*  539421 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539492), // Rule ID 21884 //
     /*  539426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539458 */     // MIs[0] round
     /*  539458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539468 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  539471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539490 */     GIR_RootConstrainSelectedInstOperands,
     /*  539491 */     // GIR_Coverage, 21884,
     /*  539491 */     GIR_EraseRootFromParent_Done,
     /*  539492 */   // Label 8907: @539492
     /*  539492 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539563), // Rule ID 21885 //
     /*  539497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539529 */     // MIs[0] round
     /*  539529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  539542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539561 */     GIR_RootConstrainSelectedInstOperands,
     /*  539562 */     // GIR_Coverage, 21885,
     /*  539562 */     GIR_EraseRootFromParent_Done,
     /*  539563 */   // Label 8908: @539563
     /*  539563 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539634), // Rule ID 21888 //
     /*  539568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  539585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539600 */     // MIs[0] round
     /*  539600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  539613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539632 */     GIR_RootConstrainSelectedInstOperands,
     /*  539633 */     // GIR_Coverage, 21888,
     /*  539633 */     GIR_EraseRootFromParent_Done,
     /*  539634 */   // Label 8909: @539634
     /*  539634 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539705), // Rule ID 21889 //
     /*  539639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  539656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539671 */     // MIs[0] round
     /*  539671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539681 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  539684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539703 */     GIR_RootConstrainSelectedInstOperands,
     /*  539704 */     // GIR_Coverage, 21889,
     /*  539704 */     GIR_EraseRootFromParent_Done,
     /*  539705 */   // Label 8910: @539705
     /*  539705 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539776), // Rule ID 21892 //
     /*  539710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  539727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539742 */     // MIs[0] round
     /*  539742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  539755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539774 */     GIR_RootConstrainSelectedInstOperands,
     /*  539775 */     // GIR_Coverage, 21892,
     /*  539775 */     GIR_EraseRootFromParent_Done,
     /*  539776 */   // Label 8911: @539776
     /*  539776 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539847), // Rule ID 21893 //
     /*  539781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  539798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539813 */     // MIs[0] round
     /*  539813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  539826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539845 */     GIR_RootConstrainSelectedInstOperands,
     /*  539846 */     // GIR_Coverage, 21893,
     /*  539846 */     GIR_EraseRootFromParent_Done,
     /*  539847 */   // Label 8912: @539847
     /*  539847 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539918), // Rule ID 21896 //
     /*  539852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539884 */     // MIs[0] round
     /*  539884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539894 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  539897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539916 */     GIR_RootConstrainSelectedInstOperands,
     /*  539917 */     // GIR_Coverage, 21896,
     /*  539917 */     GIR_EraseRootFromParent_Done,
     /*  539918 */   // Label 8913: @539918
     /*  539918 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(539989), // Rule ID 21897 //
     /*  539923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539955 */     // MIs[0] round
     /*  539955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539965 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  539968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539987 */     GIR_RootConstrainSelectedInstOperands,
     /*  539988 */     // GIR_Coverage, 21897,
     /*  539988 */     GIR_EraseRootFromParent_Done,
     /*  539989 */   // Label 8914: @539989
     /*  539989 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540060), // Rule ID 21900 //
     /*  539994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540026 */     // MIs[0] round
     /*  540026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540036 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  540039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540058 */     GIR_RootConstrainSelectedInstOperands,
     /*  540059 */     // GIR_Coverage, 21900,
     /*  540059 */     GIR_EraseRootFromParent_Done,
     /*  540060 */   // Label 8915: @540060
     /*  540060 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540131), // Rule ID 21901 //
     /*  540065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  540068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540097 */     // MIs[0] round
     /*  540097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  540110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540129 */     GIR_RootConstrainSelectedInstOperands,
     /*  540130 */     // GIR_Coverage, 21901,
     /*  540130 */     GIR_EraseRootFromParent_Done,
     /*  540131 */   // Label 8916: @540131
     /*  540131 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540202), // Rule ID 21904 //
     /*  540136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540168 */     // MIs[0] round
     /*  540168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  540181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540200 */     GIR_RootConstrainSelectedInstOperands,
     /*  540201 */     // GIR_Coverage, 21904,
     /*  540201 */     GIR_EraseRootFromParent_Done,
     /*  540202 */   // Label 8917: @540202
     /*  540202 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540273), // Rule ID 21905 //
     /*  540207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540239 */     // MIs[0] round
     /*  540239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540249 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  540252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540271 */     GIR_RootConstrainSelectedInstOperands,
     /*  540272 */     // GIR_Coverage, 21905,
     /*  540272 */     GIR_EraseRootFromParent_Done,
     /*  540273 */   // Label 8918: @540273
     /*  540273 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540344), // Rule ID 21908 //
     /*  540278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540310 */     // MIs[0] round
     /*  540310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  540323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540342 */     GIR_RootConstrainSelectedInstOperands,
     /*  540343 */     // GIR_Coverage, 21908,
     /*  540343 */     GIR_EraseRootFromParent_Done,
     /*  540344 */   // Label 8919: @540344
     /*  540344 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540415), // Rule ID 21909 //
     /*  540349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540381 */     // MIs[0] round
     /*  540381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  540394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540413 */     GIR_RootConstrainSelectedInstOperands,
     /*  540414 */     // GIR_Coverage, 21909,
     /*  540414 */     GIR_EraseRootFromParent_Done,
     /*  540415 */   // Label 8920: @540415
     /*  540415 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540486), // Rule ID 21912 //
     /*  540420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540452 */     // MIs[0] round
     /*  540452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540462 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  540465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540484 */     GIR_RootConstrainSelectedInstOperands,
     /*  540485 */     // GIR_Coverage, 21912,
     /*  540485 */     GIR_EraseRootFromParent_Done,
     /*  540486 */   // Label 8921: @540486
     /*  540486 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540557), // Rule ID 21913 //
     /*  540491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540523 */     // MIs[0] round
     /*  540523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540533 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  540536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540555 */     GIR_RootConstrainSelectedInstOperands,
     /*  540556 */     // GIR_Coverage, 21913,
     /*  540556 */     GIR_EraseRootFromParent_Done,
     /*  540557 */   // Label 8922: @540557
     /*  540557 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540628), // Rule ID 21916 //
     /*  540562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540594 */     // MIs[0] round
     /*  540594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540604 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  540607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540626 */     GIR_RootConstrainSelectedInstOperands,
     /*  540627 */     // GIR_Coverage, 21916,
     /*  540627 */     GIR_EraseRootFromParent_Done,
     /*  540628 */   // Label 8923: @540628
     /*  540628 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540699), // Rule ID 21917 //
     /*  540633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540665 */     // MIs[0] round
     /*  540665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540675 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  540678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540697 */     GIR_RootConstrainSelectedInstOperands,
     /*  540698 */     // GIR_Coverage, 21917,
     /*  540698 */     GIR_EraseRootFromParent_Done,
     /*  540699 */   // Label 8924: @540699
     /*  540699 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540770), // Rule ID 21920 //
     /*  540704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540736 */     // MIs[0] round
     /*  540736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540746 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540768 */     GIR_RootConstrainSelectedInstOperands,
     /*  540769 */     // GIR_Coverage, 21920,
     /*  540769 */     GIR_EraseRootFromParent_Done,
     /*  540770 */   // Label 8925: @540770
     /*  540770 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540841), // Rule ID 21921 //
     /*  540775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  540778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540807 */     // MIs[0] round
     /*  540807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540817 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540839 */     GIR_RootConstrainSelectedInstOperands,
     /*  540840 */     // GIR_Coverage, 21921,
     /*  540840 */     GIR_EraseRootFromParent_Done,
     /*  540841 */   // Label 8926: @540841
     /*  540841 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540912), // Rule ID 21924 //
     /*  540846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540878 */     // MIs[0] round
     /*  540878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540888 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540910 */     GIR_RootConstrainSelectedInstOperands,
     /*  540911 */     // GIR_Coverage, 21924,
     /*  540911 */     GIR_EraseRootFromParent_Done,
     /*  540912 */   // Label 8927: @540912
     /*  540912 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(540983), // Rule ID 21925 //
     /*  540917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  540920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540949 */     // MIs[0] round
     /*  540949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540959 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540981 */     GIR_RootConstrainSelectedInstOperands,
     /*  540982 */     // GIR_Coverage, 21925,
     /*  540982 */     GIR_EraseRootFromParent_Done,
     /*  540983 */   // Label 8928: @540983
     /*  540983 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541054), // Rule ID 21928 //
     /*  540988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  541005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541020 */     // MIs[0] round
     /*  541020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  541033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541052 */     GIR_RootConstrainSelectedInstOperands,
     /*  541053 */     // GIR_Coverage, 21928,
     /*  541053 */     GIR_EraseRootFromParent_Done,
     /*  541054 */   // Label 8929: @541054
     /*  541054 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541125), // Rule ID 21929 //
     /*  541059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  541062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  541076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541091 */     // MIs[0] round
     /*  541091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541101 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  541104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541123 */     GIR_RootConstrainSelectedInstOperands,
     /*  541124 */     // GIR_Coverage, 21929,
     /*  541124 */     GIR_EraseRootFromParent_Done,
     /*  541125 */   // Label 8930: @541125
     /*  541125 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541196), // Rule ID 21932 //
     /*  541130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  541133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541162 */     // MIs[0] round
     /*  541162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  541175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541194 */     GIR_RootConstrainSelectedInstOperands,
     /*  541195 */     // GIR_Coverage, 21932,
     /*  541195 */     GIR_EraseRootFromParent_Done,
     /*  541196 */   // Label 8931: @541196
     /*  541196 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541267), // Rule ID 21933 //
     /*  541201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  541204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541233 */     // MIs[0] round
     /*  541233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  541246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541265 */     GIR_RootConstrainSelectedInstOperands,
     /*  541266 */     // GIR_Coverage, 21933,
     /*  541266 */     GIR_EraseRootFromParent_Done,
     /*  541267 */   // Label 8932: @541267
     /*  541267 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541338), // Rule ID 21936 //
     /*  541272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  541275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541304 */     // MIs[0] round
     /*  541304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541314 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541336 */     GIR_RootConstrainSelectedInstOperands,
     /*  541337 */     // GIR_Coverage, 21936,
     /*  541337 */     GIR_EraseRootFromParent_Done,
     /*  541338 */   // Label 8933: @541338
     /*  541338 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541409), // Rule ID 21937 //
     /*  541343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  541346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541375 */     // MIs[0] round
     /*  541375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541385 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541407 */     GIR_RootConstrainSelectedInstOperands,
     /*  541408 */     // GIR_Coverage, 21937,
     /*  541408 */     GIR_EraseRootFromParent_Done,
     /*  541409 */   // Label 8934: @541409
     /*  541409 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541480), // Rule ID 2746 //
     /*  541414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541442 */     // MIs[0] passthru
     /*  541442 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  541461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541478 */     GIR_RootConstrainSelectedInstOperands,
     /*  541479 */     // GIR_Coverage, 2746,
     /*  541479 */     GIR_EraseRootFromParent_Done,
     /*  541480 */   // Label 8935: @541480
     /*  541480 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541551), // Rule ID 2747 //
     /*  541485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541513 */     // MIs[0] passthru
     /*  541513 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  541532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541549 */     GIR_RootConstrainSelectedInstOperands,
     /*  541550 */     // GIR_Coverage, 2747,
     /*  541550 */     GIR_EraseRootFromParent_Done,
     /*  541551 */   // Label 8936: @541551
     /*  541551 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541622), // Rule ID 4062 //
     /*  541556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541584 */     // MIs[0] passthru
     /*  541584 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  541603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541620 */     GIR_RootConstrainSelectedInstOperands,
     /*  541621 */     // GIR_Coverage, 4062,
     /*  541621 */     GIR_EraseRootFromParent_Done,
     /*  541622 */   // Label 8937: @541622
     /*  541622 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541693), // Rule ID 4063 //
     /*  541627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541655 */     // MIs[0] passthru
     /*  541655 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  541674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541691 */     GIR_RootConstrainSelectedInstOperands,
     /*  541692 */     // GIR_Coverage, 4063,
     /*  541692 */     GIR_EraseRootFromParent_Done,
     /*  541693 */   // Label 8938: @541693
     /*  541693 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541764), // Rule ID 4072 //
     /*  541698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541726 */     // MIs[0] passthru
     /*  541726 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  541745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541762 */     GIR_RootConstrainSelectedInstOperands,
     /*  541763 */     // GIR_Coverage, 4072,
     /*  541763 */     GIR_EraseRootFromParent_Done,
     /*  541764 */   // Label 8939: @541764
     /*  541764 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541835), // Rule ID 4073 //
     /*  541769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541797 */     // MIs[0] passthru
     /*  541797 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  541816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541833 */     GIR_RootConstrainSelectedInstOperands,
     /*  541834 */     // GIR_Coverage, 4073,
     /*  541834 */     GIR_EraseRootFromParent_Done,
     /*  541835 */   // Label 8940: @541835
     /*  541835 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541906), // Rule ID 4082 //
     /*  541840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541868 */     // MIs[0] passthru
     /*  541868 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  541887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541904 */     GIR_RootConstrainSelectedInstOperands,
     /*  541905 */     // GIR_Coverage, 4082,
     /*  541905 */     GIR_EraseRootFromParent_Done,
     /*  541906 */   // Label 8941: @541906
     /*  541906 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(541977), // Rule ID 4083 //
     /*  541911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541939 */     // MIs[0] passthru
     /*  541939 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  541958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541975 */     GIR_RootConstrainSelectedInstOperands,
     /*  541976 */     // GIR_Coverage, 4083,
     /*  541976 */     GIR_EraseRootFromParent_Done,
     /*  541977 */   // Label 8942: @541977
     /*  541977 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542048), // Rule ID 4092 //
     /*  541982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542010 */     // MIs[0] passthru
     /*  542010 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542046 */     GIR_RootConstrainSelectedInstOperands,
     /*  542047 */     // GIR_Coverage, 4092,
     /*  542047 */     GIR_EraseRootFromParent_Done,
     /*  542048 */   // Label 8943: @542048
     /*  542048 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542119), // Rule ID 4093 //
     /*  542053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542081 */     // MIs[0] passthru
     /*  542081 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542117 */     GIR_RootConstrainSelectedInstOperands,
     /*  542118 */     // GIR_Coverage, 4093,
     /*  542118 */     GIR_EraseRootFromParent_Done,
     /*  542119 */   // Label 8944: @542119
     /*  542119 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542190), // Rule ID 4102 //
     /*  542124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542152 */     // MIs[0] passthru
     /*  542152 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542188 */     GIR_RootConstrainSelectedInstOperands,
     /*  542189 */     // GIR_Coverage, 4102,
     /*  542189 */     GIR_EraseRootFromParent_Done,
     /*  542190 */   // Label 8945: @542190
     /*  542190 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542261), // Rule ID 4103 //
     /*  542195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542223 */     // MIs[0] passthru
     /*  542223 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542259 */     GIR_RootConstrainSelectedInstOperands,
     /*  542260 */     // GIR_Coverage, 4103,
     /*  542260 */     GIR_EraseRootFromParent_Done,
     /*  542261 */   // Label 8946: @542261
     /*  542261 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542332), // Rule ID 4112 //
     /*  542266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542294 */     // MIs[0] passthru
     /*  542294 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542330 */     GIR_RootConstrainSelectedInstOperands,
     /*  542331 */     // GIR_Coverage, 4112,
     /*  542331 */     GIR_EraseRootFromParent_Done,
     /*  542332 */   // Label 8947: @542332
     /*  542332 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542403), // Rule ID 4113 //
     /*  542337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542365 */     // MIs[0] passthru
     /*  542365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542381 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542401 */     GIR_RootConstrainSelectedInstOperands,
     /*  542402 */     // GIR_Coverage, 4113,
     /*  542402 */     GIR_EraseRootFromParent_Done,
     /*  542403 */   // Label 8948: @542403
     /*  542403 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542474), // Rule ID 4122 //
     /*  542408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542436 */     // MIs[0] passthru
     /*  542436 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542472 */     GIR_RootConstrainSelectedInstOperands,
     /*  542473 */     // GIR_Coverage, 4122,
     /*  542473 */     GIR_EraseRootFromParent_Done,
     /*  542474 */   // Label 8949: @542474
     /*  542474 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542545), // Rule ID 4123 //
     /*  542479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542507 */     // MIs[0] passthru
     /*  542507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542543 */     GIR_RootConstrainSelectedInstOperands,
     /*  542544 */     // GIR_Coverage, 4123,
     /*  542544 */     GIR_EraseRootFromParent_Done,
     /*  542545 */   // Label 8950: @542545
     /*  542545 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542616), // Rule ID 4132 //
     /*  542550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542578 */     // MIs[0] passthru
     /*  542578 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542614 */     GIR_RootConstrainSelectedInstOperands,
     /*  542615 */     // GIR_Coverage, 4132,
     /*  542615 */     GIR_EraseRootFromParent_Done,
     /*  542616 */   // Label 8951: @542616
     /*  542616 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542687), // Rule ID 4133 //
     /*  542621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542649 */     // MIs[0] passthru
     /*  542649 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542685 */     GIR_RootConstrainSelectedInstOperands,
     /*  542686 */     // GIR_Coverage, 4133,
     /*  542686 */     GIR_EraseRootFromParent_Done,
     /*  542687 */   // Label 8952: @542687
     /*  542687 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542758), // Rule ID 4142 //
     /*  542692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542720 */     // MIs[0] passthru
     /*  542720 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542756 */     GIR_RootConstrainSelectedInstOperands,
     /*  542757 */     // GIR_Coverage, 4142,
     /*  542757 */     GIR_EraseRootFromParent_Done,
     /*  542758 */   // Label 8953: @542758
     /*  542758 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542829), // Rule ID 4143 //
     /*  542763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542791 */     // MIs[0] passthru
     /*  542791 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542827 */     GIR_RootConstrainSelectedInstOperands,
     /*  542828 */     // GIR_Coverage, 4143,
     /*  542828 */     GIR_EraseRootFromParent_Done,
     /*  542829 */   // Label 8954: @542829
     /*  542829 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542900), // Rule ID 4152 //
     /*  542834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542862 */     // MIs[0] passthru
     /*  542862 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542898 */     GIR_RootConstrainSelectedInstOperands,
     /*  542899 */     // GIR_Coverage, 4152,
     /*  542899 */     GIR_EraseRootFromParent_Done,
     /*  542900 */   // Label 8955: @542900
     /*  542900 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(542971), // Rule ID 4153 //
     /*  542905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542933 */     // MIs[0] passthru
     /*  542933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542969 */     GIR_RootConstrainSelectedInstOperands,
     /*  542970 */     // GIR_Coverage, 4153,
     /*  542970 */     GIR_EraseRootFromParent_Done,
     /*  542971 */   // Label 8956: @542971
     /*  542971 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543042), // Rule ID 4162 //
     /*  542976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543004 */     // MIs[0] passthru
     /*  543004 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  543023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543040 */     GIR_RootConstrainSelectedInstOperands,
     /*  543041 */     // GIR_Coverage, 4162,
     /*  543041 */     GIR_EraseRootFromParent_Done,
     /*  543042 */   // Label 8957: @543042
     /*  543042 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543113), // Rule ID 4163 //
     /*  543047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543075 */     // MIs[0] passthru
     /*  543075 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  543094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543111 */     GIR_RootConstrainSelectedInstOperands,
     /*  543112 */     // GIR_Coverage, 4163,
     /*  543112 */     GIR_EraseRootFromParent_Done,
     /*  543113 */   // Label 8958: @543113
     /*  543113 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543184), // Rule ID 4172 //
     /*  543118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543146 */     // MIs[0] passthru
     /*  543146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543182 */     GIR_RootConstrainSelectedInstOperands,
     /*  543183 */     // GIR_Coverage, 4172,
     /*  543183 */     GIR_EraseRootFromParent_Done,
     /*  543184 */   // Label 8959: @543184
     /*  543184 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543255), // Rule ID 4173 //
     /*  543189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543217 */     // MIs[0] passthru
     /*  543217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543253 */     GIR_RootConstrainSelectedInstOperands,
     /*  543254 */     // GIR_Coverage, 4173,
     /*  543254 */     GIR_EraseRootFromParent_Done,
     /*  543255 */   // Label 8960: @543255
     /*  543255 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543326), // Rule ID 4182 //
     /*  543260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543288 */     // MIs[0] passthru
     /*  543288 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543304 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543324 */     GIR_RootConstrainSelectedInstOperands,
     /*  543325 */     // GIR_Coverage, 4182,
     /*  543325 */     GIR_EraseRootFromParent_Done,
     /*  543326 */   // Label 8961: @543326
     /*  543326 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543397), // Rule ID 4183 //
     /*  543331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543359 */     // MIs[0] passthru
     /*  543359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543395 */     GIR_RootConstrainSelectedInstOperands,
     /*  543396 */     // GIR_Coverage, 4183,
     /*  543396 */     GIR_EraseRootFromParent_Done,
     /*  543397 */   // Label 8962: @543397
     /*  543397 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543468), // Rule ID 4192 //
     /*  543402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543430 */     // MIs[0] passthru
     /*  543430 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543466 */     GIR_RootConstrainSelectedInstOperands,
     /*  543467 */     // GIR_Coverage, 4192,
     /*  543467 */     GIR_EraseRootFromParent_Done,
     /*  543468 */   // Label 8963: @543468
     /*  543468 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543539), // Rule ID 4193 //
     /*  543473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543501 */     // MIs[0] passthru
     /*  543501 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543537 */     GIR_RootConstrainSelectedInstOperands,
     /*  543538 */     // GIR_Coverage, 4193,
     /*  543538 */     GIR_EraseRootFromParent_Done,
     /*  543539 */   // Label 8964: @543539
     /*  543539 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543610), // Rule ID 4262 //
     /*  543544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543572 */     // MIs[0] passthru
     /*  543572 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  543591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543608 */     GIR_RootConstrainSelectedInstOperands,
     /*  543609 */     // GIR_Coverage, 4262,
     /*  543609 */     GIR_EraseRootFromParent_Done,
     /*  543610 */   // Label 8965: @543610
     /*  543610 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543681), // Rule ID 4263 //
     /*  543615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543643 */     // MIs[0] passthru
     /*  543643 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  543662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543679 */     GIR_RootConstrainSelectedInstOperands,
     /*  543680 */     // GIR_Coverage, 4263,
     /*  543680 */     GIR_EraseRootFromParent_Done,
     /*  543681 */   // Label 8966: @543681
     /*  543681 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543752), // Rule ID 4272 //
     /*  543686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543714 */     // MIs[0] passthru
     /*  543714 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  543733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543750 */     GIR_RootConstrainSelectedInstOperands,
     /*  543751 */     // GIR_Coverage, 4272,
     /*  543751 */     GIR_EraseRootFromParent_Done,
     /*  543752 */   // Label 8967: @543752
     /*  543752 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543823), // Rule ID 4273 //
     /*  543757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543785 */     // MIs[0] passthru
     /*  543785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  543804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543821 */     GIR_RootConstrainSelectedInstOperands,
     /*  543822 */     // GIR_Coverage, 4273,
     /*  543822 */     GIR_EraseRootFromParent_Done,
     /*  543823 */   // Label 8968: @543823
     /*  543823 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543894), // Rule ID 4282 //
     /*  543828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543856 */     // MIs[0] passthru
     /*  543856 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  543875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543892 */     GIR_RootConstrainSelectedInstOperands,
     /*  543893 */     // GIR_Coverage, 4282,
     /*  543893 */     GIR_EraseRootFromParent_Done,
     /*  543894 */   // Label 8969: @543894
     /*  543894 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(543965), // Rule ID 4283 //
     /*  543899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543927 */     // MIs[0] passthru
     /*  543927 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  543946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543963 */     GIR_RootConstrainSelectedInstOperands,
     /*  543964 */     // GIR_Coverage, 4283,
     /*  543964 */     GIR_EraseRootFromParent_Done,
     /*  543965 */   // Label 8970: @543965
     /*  543965 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544036), // Rule ID 4292 //
     /*  543970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543998 */     // MIs[0] passthru
     /*  543998 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544034 */     GIR_RootConstrainSelectedInstOperands,
     /*  544035 */     // GIR_Coverage, 4292,
     /*  544035 */     GIR_EraseRootFromParent_Done,
     /*  544036 */   // Label 8971: @544036
     /*  544036 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544107), // Rule ID 4293 //
     /*  544041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544069 */     // MIs[0] passthru
     /*  544069 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544105 */     GIR_RootConstrainSelectedInstOperands,
     /*  544106 */     // GIR_Coverage, 4293,
     /*  544106 */     GIR_EraseRootFromParent_Done,
     /*  544107 */   // Label 8972: @544107
     /*  544107 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544178), // Rule ID 4302 //
     /*  544112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544140 */     // MIs[0] passthru
     /*  544140 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544176 */     GIR_RootConstrainSelectedInstOperands,
     /*  544177 */     // GIR_Coverage, 4302,
     /*  544177 */     GIR_EraseRootFromParent_Done,
     /*  544178 */   // Label 8973: @544178
     /*  544178 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544249), // Rule ID 4303 //
     /*  544183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544211 */     // MIs[0] passthru
     /*  544211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544247 */     GIR_RootConstrainSelectedInstOperands,
     /*  544248 */     // GIR_Coverage, 4303,
     /*  544248 */     GIR_EraseRootFromParent_Done,
     /*  544249 */   // Label 8974: @544249
     /*  544249 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544320), // Rule ID 4312 //
     /*  544254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544282 */     // MIs[0] passthru
     /*  544282 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544318 */     GIR_RootConstrainSelectedInstOperands,
     /*  544319 */     // GIR_Coverage, 4312,
     /*  544319 */     GIR_EraseRootFromParent_Done,
     /*  544320 */   // Label 8975: @544320
     /*  544320 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544391), // Rule ID 4313 //
     /*  544325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544353 */     // MIs[0] passthru
     /*  544353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544369 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544389 */     GIR_RootConstrainSelectedInstOperands,
     /*  544390 */     // GIR_Coverage, 4313,
     /*  544390 */     GIR_EraseRootFromParent_Done,
     /*  544391 */   // Label 8976: @544391
     /*  544391 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544462), // Rule ID 4322 //
     /*  544396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544424 */     // MIs[0] passthru
     /*  544424 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544460 */     GIR_RootConstrainSelectedInstOperands,
     /*  544461 */     // GIR_Coverage, 4322,
     /*  544461 */     GIR_EraseRootFromParent_Done,
     /*  544462 */   // Label 8977: @544462
     /*  544462 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544533), // Rule ID 4323 //
     /*  544467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544495 */     // MIs[0] passthru
     /*  544495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544531 */     GIR_RootConstrainSelectedInstOperands,
     /*  544532 */     // GIR_Coverage, 4323,
     /*  544532 */     GIR_EraseRootFromParent_Done,
     /*  544533 */   // Label 8978: @544533
     /*  544533 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544604), // Rule ID 4332 //
     /*  544538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544566 */     // MIs[0] passthru
     /*  544566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544602 */     GIR_RootConstrainSelectedInstOperands,
     /*  544603 */     // GIR_Coverage, 4332,
     /*  544603 */     GIR_EraseRootFromParent_Done,
     /*  544604 */   // Label 8979: @544604
     /*  544604 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544675), // Rule ID 4333 //
     /*  544609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544637 */     // MIs[0] passthru
     /*  544637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544673 */     GIR_RootConstrainSelectedInstOperands,
     /*  544674 */     // GIR_Coverage, 4333,
     /*  544674 */     GIR_EraseRootFromParent_Done,
     /*  544675 */   // Label 8980: @544675
     /*  544675 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544746), // Rule ID 4342 //
     /*  544680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544708 */     // MIs[0] passthru
     /*  544708 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544744 */     GIR_RootConstrainSelectedInstOperands,
     /*  544745 */     // GIR_Coverage, 4342,
     /*  544745 */     GIR_EraseRootFromParent_Done,
     /*  544746 */   // Label 8981: @544746
     /*  544746 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544817), // Rule ID 4343 //
     /*  544751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544779 */     // MIs[0] passthru
     /*  544779 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544815 */     GIR_RootConstrainSelectedInstOperands,
     /*  544816 */     // GIR_Coverage, 4343,
     /*  544816 */     GIR_EraseRootFromParent_Done,
     /*  544817 */   // Label 8982: @544817
     /*  544817 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544888), // Rule ID 4352 //
     /*  544822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544850 */     // MIs[0] passthru
     /*  544850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544886 */     GIR_RootConstrainSelectedInstOperands,
     /*  544887 */     // GIR_Coverage, 4352,
     /*  544887 */     GIR_EraseRootFromParent_Done,
     /*  544888 */   // Label 8983: @544888
     /*  544888 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(544959), // Rule ID 4353 //
     /*  544893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544921 */     // MIs[0] passthru
     /*  544921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544957 */     GIR_RootConstrainSelectedInstOperands,
     /*  544958 */     // GIR_Coverage, 4353,
     /*  544958 */     GIR_EraseRootFromParent_Done,
     /*  544959 */   // Label 8984: @544959
     /*  544959 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545030), // Rule ID 4362 //
     /*  544964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544992 */     // MIs[0] passthru
     /*  544992 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545028 */     GIR_RootConstrainSelectedInstOperands,
     /*  545029 */     // GIR_Coverage, 4362,
     /*  545029 */     GIR_EraseRootFromParent_Done,
     /*  545030 */   // Label 8985: @545030
     /*  545030 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545101), // Rule ID 4363 //
     /*  545035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545063 */     // MIs[0] passthru
     /*  545063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545099 */     GIR_RootConstrainSelectedInstOperands,
     /*  545100 */     // GIR_Coverage, 4363,
     /*  545100 */     GIR_EraseRootFromParent_Done,
     /*  545101 */   // Label 8986: @545101
     /*  545101 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545172), // Rule ID 4372 //
     /*  545106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545134 */     // MIs[0] passthru
     /*  545134 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545170 */     GIR_RootConstrainSelectedInstOperands,
     /*  545171 */     // GIR_Coverage, 4372,
     /*  545171 */     GIR_EraseRootFromParent_Done,
     /*  545172 */   // Label 8987: @545172
     /*  545172 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545243), // Rule ID 4373 //
     /*  545177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545205 */     // MIs[0] passthru
     /*  545205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545241 */     GIR_RootConstrainSelectedInstOperands,
     /*  545242 */     // GIR_Coverage, 4373,
     /*  545242 */     GIR_EraseRootFromParent_Done,
     /*  545243 */   // Label 8988: @545243
     /*  545243 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545314), // Rule ID 4382 //
     /*  545248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545276 */     // MIs[0] passthru
     /*  545276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545312 */     GIR_RootConstrainSelectedInstOperands,
     /*  545313 */     // GIR_Coverage, 4382,
     /*  545313 */     GIR_EraseRootFromParent_Done,
     /*  545314 */   // Label 8989: @545314
     /*  545314 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545385), // Rule ID 4383 //
     /*  545319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545347 */     // MIs[0] passthru
     /*  545347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545383 */     GIR_RootConstrainSelectedInstOperands,
     /*  545384 */     // GIR_Coverage, 4383,
     /*  545384 */     GIR_EraseRootFromParent_Done,
     /*  545385 */   // Label 8990: @545385
     /*  545385 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545456), // Rule ID 4392 //
     /*  545390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545418 */     // MIs[0] passthru
     /*  545418 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545454 */     GIR_RootConstrainSelectedInstOperands,
     /*  545455 */     // GIR_Coverage, 4392,
     /*  545455 */     GIR_EraseRootFromParent_Done,
     /*  545456 */   // Label 8991: @545456
     /*  545456 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545527), // Rule ID 4393 //
     /*  545461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545489 */     // MIs[0] passthru
     /*  545489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545525 */     GIR_RootConstrainSelectedInstOperands,
     /*  545526 */     // GIR_Coverage, 4393,
     /*  545526 */     GIR_EraseRootFromParent_Done,
     /*  545527 */   // Label 8992: @545527
     /*  545527 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545598), // Rule ID 4402 //
     /*  545532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545560 */     // MIs[0] passthru
     /*  545560 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545596 */     GIR_RootConstrainSelectedInstOperands,
     /*  545597 */     // GIR_Coverage, 4402,
     /*  545597 */     GIR_EraseRootFromParent_Done,
     /*  545598 */   // Label 8993: @545598
     /*  545598 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545669), // Rule ID 4403 //
     /*  545603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545631 */     // MIs[0] passthru
     /*  545631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545667 */     GIR_RootConstrainSelectedInstOperands,
     /*  545668 */     // GIR_Coverage, 4403,
     /*  545668 */     GIR_EraseRootFromParent_Done,
     /*  545669 */   // Label 8994: @545669
     /*  545669 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545740), // Rule ID 4472 //
     /*  545674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545702 */     // MIs[0] passthru
     /*  545702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  545721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545738 */     GIR_RootConstrainSelectedInstOperands,
     /*  545739 */     // GIR_Coverage, 4472,
     /*  545739 */     GIR_EraseRootFromParent_Done,
     /*  545740 */   // Label 8995: @545740
     /*  545740 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545811), // Rule ID 4473 //
     /*  545745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545773 */     // MIs[0] passthru
     /*  545773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  545792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545809 */     GIR_RootConstrainSelectedInstOperands,
     /*  545810 */     // GIR_Coverage, 4473,
     /*  545810 */     GIR_EraseRootFromParent_Done,
     /*  545811 */   // Label 8996: @545811
     /*  545811 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545882), // Rule ID 4482 //
     /*  545816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545844 */     // MIs[0] passthru
     /*  545844 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  545863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545880 */     GIR_RootConstrainSelectedInstOperands,
     /*  545881 */     // GIR_Coverage, 4482,
     /*  545881 */     GIR_EraseRootFromParent_Done,
     /*  545882 */   // Label 8997: @545882
     /*  545882 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(545953), // Rule ID 4483 //
     /*  545887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545915 */     // MIs[0] passthru
     /*  545915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  545934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545951 */     GIR_RootConstrainSelectedInstOperands,
     /*  545952 */     // GIR_Coverage, 4483,
     /*  545952 */     GIR_EraseRootFromParent_Done,
     /*  545953 */   // Label 8998: @545953
     /*  545953 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546024), // Rule ID 4492 //
     /*  545958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  545969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  545972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  545975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545986 */     // MIs[0] passthru
     /*  545986 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546022 */     GIR_RootConstrainSelectedInstOperands,
     /*  546023 */     // GIR_Coverage, 4492,
     /*  546023 */     GIR_EraseRootFromParent_Done,
     /*  546024 */   // Label 8999: @546024
     /*  546024 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546095), // Rule ID 4493 //
     /*  546029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  546040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  546043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546057 */     // MIs[0] passthru
     /*  546057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546093 */     GIR_RootConstrainSelectedInstOperands,
     /*  546094 */     // GIR_Coverage, 4493,
     /*  546094 */     GIR_EraseRootFromParent_Done,
     /*  546095 */   // Label 9000: @546095
     /*  546095 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546166), // Rule ID 4502 //
     /*  546100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546128 */     // MIs[0] passthru
     /*  546128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546164 */     GIR_RootConstrainSelectedInstOperands,
     /*  546165 */     // GIR_Coverage, 4502,
     /*  546165 */     GIR_EraseRootFromParent_Done,
     /*  546166 */   // Label 9001: @546166
     /*  546166 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546237), // Rule ID 4503 //
     /*  546171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546199 */     // MIs[0] passthru
     /*  546199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546235 */     GIR_RootConstrainSelectedInstOperands,
     /*  546236 */     // GIR_Coverage, 4503,
     /*  546236 */     GIR_EraseRootFromParent_Done,
     /*  546237 */   // Label 9002: @546237
     /*  546237 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546308), // Rule ID 4512 //
     /*  546242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546270 */     // MIs[0] passthru
     /*  546270 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546306 */     GIR_RootConstrainSelectedInstOperands,
     /*  546307 */     // GIR_Coverage, 4512,
     /*  546307 */     GIR_EraseRootFromParent_Done,
     /*  546308 */   // Label 9003: @546308
     /*  546308 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546379), // Rule ID 4513 //
     /*  546313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546341 */     // MIs[0] passthru
     /*  546341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546377 */     GIR_RootConstrainSelectedInstOperands,
     /*  546378 */     // GIR_Coverage, 4513,
     /*  546378 */     GIR_EraseRootFromParent_Done,
     /*  546379 */   // Label 9004: @546379
     /*  546379 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546450), // Rule ID 4522 //
     /*  546384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546412 */     // MIs[0] passthru
     /*  546412 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546448 */     GIR_RootConstrainSelectedInstOperands,
     /*  546449 */     // GIR_Coverage, 4522,
     /*  546449 */     GIR_EraseRootFromParent_Done,
     /*  546450 */   // Label 9005: @546450
     /*  546450 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546521), // Rule ID 4523 //
     /*  546455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546483 */     // MIs[0] passthru
     /*  546483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546519 */     GIR_RootConstrainSelectedInstOperands,
     /*  546520 */     // GIR_Coverage, 4523,
     /*  546520 */     GIR_EraseRootFromParent_Done,
     /*  546521 */   // Label 9006: @546521
     /*  546521 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546592), // Rule ID 4532 //
     /*  546526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546554 */     // MIs[0] passthru
     /*  546554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546590 */     GIR_RootConstrainSelectedInstOperands,
     /*  546591 */     // GIR_Coverage, 4532,
     /*  546591 */     GIR_EraseRootFromParent_Done,
     /*  546592 */   // Label 9007: @546592
     /*  546592 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546663), // Rule ID 4533 //
     /*  546597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546625 */     // MIs[0] passthru
     /*  546625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546661 */     GIR_RootConstrainSelectedInstOperands,
     /*  546662 */     // GIR_Coverage, 4533,
     /*  546662 */     GIR_EraseRootFromParent_Done,
     /*  546663 */   // Label 9008: @546663
     /*  546663 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546734), // Rule ID 4542 //
     /*  546668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546696 */     // MIs[0] passthru
     /*  546696 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546732 */     GIR_RootConstrainSelectedInstOperands,
     /*  546733 */     // GIR_Coverage, 4542,
     /*  546733 */     GIR_EraseRootFromParent_Done,
     /*  546734 */   // Label 9009: @546734
     /*  546734 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546805), // Rule ID 4543 //
     /*  546739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546767 */     // MIs[0] passthru
     /*  546767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546803 */     GIR_RootConstrainSelectedInstOperands,
     /*  546804 */     // GIR_Coverage, 4543,
     /*  546804 */     GIR_EraseRootFromParent_Done,
     /*  546805 */   // Label 9010: @546805
     /*  546805 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546876), // Rule ID 4552 //
     /*  546810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546838 */     // MIs[0] passthru
     /*  546838 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546874 */     GIR_RootConstrainSelectedInstOperands,
     /*  546875 */     // GIR_Coverage, 4552,
     /*  546875 */     GIR_EraseRootFromParent_Done,
     /*  546876 */   // Label 9011: @546876
     /*  546876 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(546947), // Rule ID 4553 //
     /*  546881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546909 */     // MIs[0] passthru
     /*  546909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546945 */     GIR_RootConstrainSelectedInstOperands,
     /*  546946 */     // GIR_Coverage, 4553,
     /*  546946 */     GIR_EraseRootFromParent_Done,
     /*  546947 */   // Label 9012: @546947
     /*  546947 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547018), // Rule ID 4562 //
     /*  546952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  546963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  546966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  546969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546980 */     // MIs[0] passthru
     /*  546980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547016 */     GIR_RootConstrainSelectedInstOperands,
     /*  547017 */     // GIR_Coverage, 4562,
     /*  547017 */     GIR_EraseRootFromParent_Done,
     /*  547018 */   // Label 9013: @547018
     /*  547018 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547089), // Rule ID 4563 //
     /*  547023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  547034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  547037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547051 */     // MIs[0] passthru
     /*  547051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547087 */     GIR_RootConstrainSelectedInstOperands,
     /*  547088 */     // GIR_Coverage, 4563,
     /*  547088 */     GIR_EraseRootFromParent_Done,
     /*  547089 */   // Label 9014: @547089
     /*  547089 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547160), // Rule ID 4572 //
     /*  547094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547122 */     // MIs[0] passthru
     /*  547122 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547158 */     GIR_RootConstrainSelectedInstOperands,
     /*  547159 */     // GIR_Coverage, 4572,
     /*  547159 */     GIR_EraseRootFromParent_Done,
     /*  547160 */   // Label 9015: @547160
     /*  547160 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547231), // Rule ID 4573 //
     /*  547165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547193 */     // MIs[0] passthru
     /*  547193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547229 */     GIR_RootConstrainSelectedInstOperands,
     /*  547230 */     // GIR_Coverage, 4573,
     /*  547230 */     GIR_EraseRootFromParent_Done,
     /*  547231 */   // Label 9016: @547231
     /*  547231 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547302), // Rule ID 4582 //
     /*  547236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547264 */     // MIs[0] passthru
     /*  547264 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547300 */     GIR_RootConstrainSelectedInstOperands,
     /*  547301 */     // GIR_Coverage, 4582,
     /*  547301 */     GIR_EraseRootFromParent_Done,
     /*  547302 */   // Label 9017: @547302
     /*  547302 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547373), // Rule ID 4583 //
     /*  547307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547335 */     // MIs[0] passthru
     /*  547335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547371 */     GIR_RootConstrainSelectedInstOperands,
     /*  547372 */     // GIR_Coverage, 4583,
     /*  547372 */     GIR_EraseRootFromParent_Done,
     /*  547373 */   // Label 9018: @547373
     /*  547373 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547444), // Rule ID 4592 //
     /*  547378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547406 */     // MIs[0] passthru
     /*  547406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547442 */     GIR_RootConstrainSelectedInstOperands,
     /*  547443 */     // GIR_Coverage, 4592,
     /*  547443 */     GIR_EraseRootFromParent_Done,
     /*  547444 */   // Label 9019: @547444
     /*  547444 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547515), // Rule ID 4593 //
     /*  547449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547477 */     // MIs[0] passthru
     /*  547477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547513 */     GIR_RootConstrainSelectedInstOperands,
     /*  547514 */     // GIR_Coverage, 4593,
     /*  547514 */     GIR_EraseRootFromParent_Done,
     /*  547515 */   // Label 9020: @547515
     /*  547515 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547586), // Rule ID 4602 //
     /*  547520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547548 */     // MIs[0] passthru
     /*  547548 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547584 */     GIR_RootConstrainSelectedInstOperands,
     /*  547585 */     // GIR_Coverage, 4602,
     /*  547585 */     GIR_EraseRootFromParent_Done,
     /*  547586 */   // Label 9021: @547586
     /*  547586 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547657), // Rule ID 4603 //
     /*  547591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547619 */     // MIs[0] passthru
     /*  547619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547655 */     GIR_RootConstrainSelectedInstOperands,
     /*  547656 */     // GIR_Coverage, 4603,
     /*  547656 */     GIR_EraseRootFromParent_Done,
     /*  547657 */   // Label 9022: @547657
     /*  547657 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547728), // Rule ID 4612 //
     /*  547662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  547673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  547676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547690 */     // MIs[0] passthru
     /*  547690 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547726 */     GIR_RootConstrainSelectedInstOperands,
     /*  547727 */     // GIR_Coverage, 4612,
     /*  547727 */     GIR_EraseRootFromParent_Done,
     /*  547728 */   // Label 9023: @547728
     /*  547728 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547799), // Rule ID 4613 //
     /*  547733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  547744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  547747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547761 */     // MIs[0] passthru
     /*  547761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547797 */     GIR_RootConstrainSelectedInstOperands,
     /*  547798 */     // GIR_Coverage, 4613,
     /*  547798 */     GIR_EraseRootFromParent_Done,
     /*  547799 */   // Label 9024: @547799
     /*  547799 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(547870), // Rule ID 4682 //
     /*  547804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547832 */     // MIs[0] passthru
     /*  547832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  547851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547868 */     GIR_RootConstrainSelectedInstOperands,
     /*  547869 */     // GIR_Coverage, 4682,
     /*  547869 */     GIR_EraseRootFromParent_Done,
     /*  547870 */   // Label 9025: @547870
     /*  547870 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(547941), // Rule ID 4683 //
     /*  547875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547903 */     // MIs[0] passthru
     /*  547903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  547922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547939 */     GIR_RootConstrainSelectedInstOperands,
     /*  547940 */     // GIR_Coverage, 4683,
     /*  547940 */     GIR_EraseRootFromParent_Done,
     /*  547941 */   // Label 9026: @547941
     /*  547941 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548012), // Rule ID 4692 //
     /*  547946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547974 */     // MIs[0] passthru
     /*  547974 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  547993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548010 */     GIR_RootConstrainSelectedInstOperands,
     /*  548011 */     // GIR_Coverage, 4692,
     /*  548011 */     GIR_EraseRootFromParent_Done,
     /*  548012 */   // Label 9027: @548012
     /*  548012 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548083), // Rule ID 4693 //
     /*  548017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  548028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  548031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  548034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548045 */     // MIs[0] passthru
     /*  548045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548081 */     GIR_RootConstrainSelectedInstOperands,
     /*  548082 */     // GIR_Coverage, 4693,
     /*  548082 */     GIR_EraseRootFromParent_Done,
     /*  548083 */   // Label 9028: @548083
     /*  548083 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548154), // Rule ID 4702 //
     /*  548088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548116 */     // MIs[0] passthru
     /*  548116 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548152 */     GIR_RootConstrainSelectedInstOperands,
     /*  548153 */     // GIR_Coverage, 4702,
     /*  548153 */     GIR_EraseRootFromParent_Done,
     /*  548154 */   // Label 9029: @548154
     /*  548154 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548225), // Rule ID 4703 //
     /*  548159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548187 */     // MIs[0] passthru
     /*  548187 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548223 */     GIR_RootConstrainSelectedInstOperands,
     /*  548224 */     // GIR_Coverage, 4703,
     /*  548224 */     GIR_EraseRootFromParent_Done,
     /*  548225 */   // Label 9030: @548225
     /*  548225 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548296), // Rule ID 4712 //
     /*  548230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548258 */     // MIs[0] passthru
     /*  548258 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548294 */     GIR_RootConstrainSelectedInstOperands,
     /*  548295 */     // GIR_Coverage, 4712,
     /*  548295 */     GIR_EraseRootFromParent_Done,
     /*  548296 */   // Label 9031: @548296
     /*  548296 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548367), // Rule ID 4713 //
     /*  548301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548329 */     // MIs[0] passthru
     /*  548329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548365 */     GIR_RootConstrainSelectedInstOperands,
     /*  548366 */     // GIR_Coverage, 4713,
     /*  548366 */     GIR_EraseRootFromParent_Done,
     /*  548367 */   // Label 9032: @548367
     /*  548367 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548438), // Rule ID 4722 //
     /*  548372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548400 */     // MIs[0] passthru
     /*  548400 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548436 */     GIR_RootConstrainSelectedInstOperands,
     /*  548437 */     // GIR_Coverage, 4722,
     /*  548437 */     GIR_EraseRootFromParent_Done,
     /*  548438 */   // Label 9033: @548438
     /*  548438 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548509), // Rule ID 4723 //
     /*  548443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548471 */     // MIs[0] passthru
     /*  548471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548507 */     GIR_RootConstrainSelectedInstOperands,
     /*  548508 */     // GIR_Coverage, 4723,
     /*  548508 */     GIR_EraseRootFromParent_Done,
     /*  548509 */   // Label 9034: @548509
     /*  548509 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548580), // Rule ID 4732 //
     /*  548514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548542 */     // MIs[0] passthru
     /*  548542 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  548561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548578 */     GIR_RootConstrainSelectedInstOperands,
     /*  548579 */     // GIR_Coverage, 4732,
     /*  548579 */     GIR_EraseRootFromParent_Done,
     /*  548580 */   // Label 9035: @548580
     /*  548580 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548651), // Rule ID 4733 //
     /*  548585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548613 */     // MIs[0] passthru
     /*  548613 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  548632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548649 */     GIR_RootConstrainSelectedInstOperands,
     /*  548650 */     // GIR_Coverage, 4733,
     /*  548650 */     GIR_EraseRootFromParent_Done,
     /*  548651 */   // Label 9036: @548651
     /*  548651 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548722), // Rule ID 4742 //
     /*  548656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548684 */     // MIs[0] passthru
     /*  548684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548720 */     GIR_RootConstrainSelectedInstOperands,
     /*  548721 */     // GIR_Coverage, 4742,
     /*  548721 */     GIR_EraseRootFromParent_Done,
     /*  548722 */   // Label 9037: @548722
     /*  548722 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548793), // Rule ID 4743 //
     /*  548727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548755 */     // MIs[0] passthru
     /*  548755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548791 */     GIR_RootConstrainSelectedInstOperands,
     /*  548792 */     // GIR_Coverage, 4743,
     /*  548792 */     GIR_EraseRootFromParent_Done,
     /*  548793 */   // Label 9038: @548793
     /*  548793 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(548864), // Rule ID 4752 //
     /*  548798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548826 */     // MIs[0] passthru
     /*  548826 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548862 */     GIR_RootConstrainSelectedInstOperands,
     /*  548863 */     // GIR_Coverage, 4752,
     /*  548863 */     GIR_EraseRootFromParent_Done,
     /*  548864 */   // Label 9039: @548864
     /*  548864 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(548935), // Rule ID 4753 //
     /*  548869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548897 */     // MIs[0] passthru
     /*  548897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548933 */     GIR_RootConstrainSelectedInstOperands,
     /*  548934 */     // GIR_Coverage, 4753,
     /*  548934 */     GIR_EraseRootFromParent_Done,
     /*  548935 */   // Label 9040: @548935
     /*  548935 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549006), // Rule ID 4762 //
     /*  548940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548968 */     // MIs[0] passthru
     /*  548968 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549004 */     GIR_RootConstrainSelectedInstOperands,
     /*  549005 */     // GIR_Coverage, 4762,
     /*  549005 */     GIR_EraseRootFromParent_Done,
     /*  549006 */   // Label 9041: @549006
     /*  549006 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549077), // Rule ID 4763 //
     /*  549011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  549028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549039 */     // MIs[0] passthru
     /*  549039 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549075 */     GIR_RootConstrainSelectedInstOperands,
     /*  549076 */     // GIR_Coverage, 4763,
     /*  549076 */     GIR_EraseRootFromParent_Done,
     /*  549077 */   // Label 9042: @549077
     /*  549077 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549148), // Rule ID 4772 //
     /*  549082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549110 */     // MIs[0] passthru
     /*  549110 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549146 */     GIR_RootConstrainSelectedInstOperands,
     /*  549147 */     // GIR_Coverage, 4772,
     /*  549147 */     GIR_EraseRootFromParent_Done,
     /*  549148 */   // Label 9043: @549148
     /*  549148 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549219), // Rule ID 4773 //
     /*  549153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549181 */     // MIs[0] passthru
     /*  549181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549217 */     GIR_RootConstrainSelectedInstOperands,
     /*  549218 */     // GIR_Coverage, 4773,
     /*  549218 */     GIR_EraseRootFromParent_Done,
     /*  549219 */   // Label 9044: @549219
     /*  549219 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549290), // Rule ID 4782 //
     /*  549224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549252 */     // MIs[0] passthru
     /*  549252 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549288 */     GIR_RootConstrainSelectedInstOperands,
     /*  549289 */     // GIR_Coverage, 4782,
     /*  549289 */     GIR_EraseRootFromParent_Done,
     /*  549290 */   // Label 9045: @549290
     /*  549290 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549361), // Rule ID 4783 //
     /*  549295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549323 */     // MIs[0] passthru
     /*  549323 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549359 */     GIR_RootConstrainSelectedInstOperands,
     /*  549360 */     // GIR_Coverage, 4783,
     /*  549360 */     GIR_EraseRootFromParent_Done,
     /*  549361 */   // Label 9046: @549361
     /*  549361 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549432), // Rule ID 4792 //
     /*  549366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549394 */     // MIs[0] passthru
     /*  549394 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549430 */     GIR_RootConstrainSelectedInstOperands,
     /*  549431 */     // GIR_Coverage, 4792,
     /*  549431 */     GIR_EraseRootFromParent_Done,
     /*  549432 */   // Label 9047: @549432
     /*  549432 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549503), // Rule ID 4793 //
     /*  549437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549465 */     // MIs[0] passthru
     /*  549465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549501 */     GIR_RootConstrainSelectedInstOperands,
     /*  549502 */     // GIR_Coverage, 4793,
     /*  549502 */     GIR_EraseRootFromParent_Done,
     /*  549503 */   // Label 9048: @549503
     /*  549503 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549574), // Rule ID 4802 //
     /*  549508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549536 */     // MIs[0] passthru
     /*  549536 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549572 */     GIR_RootConstrainSelectedInstOperands,
     /*  549573 */     // GIR_Coverage, 4802,
     /*  549573 */     GIR_EraseRootFromParent_Done,
     /*  549574 */   // Label 9049: @549574
     /*  549574 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549645), // Rule ID 4803 //
     /*  549579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549607 */     // MIs[0] passthru
     /*  549607 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549643 */     GIR_RootConstrainSelectedInstOperands,
     /*  549644 */     // GIR_Coverage, 4803,
     /*  549644 */     GIR_EraseRootFromParent_Done,
     /*  549645 */   // Label 9050: @549645
     /*  549645 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549716), // Rule ID 4812 //
     /*  549650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549678 */     // MIs[0] passthru
     /*  549678 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549714 */     GIR_RootConstrainSelectedInstOperands,
     /*  549715 */     // GIR_Coverage, 4812,
     /*  549715 */     GIR_EraseRootFromParent_Done,
     /*  549716 */   // Label 9051: @549716
     /*  549716 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(549787), // Rule ID 4813 //
     /*  549721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549749 */     // MIs[0] passthru
     /*  549749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549785 */     GIR_RootConstrainSelectedInstOperands,
     /*  549786 */     // GIR_Coverage, 4813,
     /*  549786 */     GIR_EraseRootFromParent_Done,
     /*  549787 */   // Label 9052: @549787
     /*  549787 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(549858), // Rule ID 4822 //
     /*  549792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549820 */     // MIs[0] passthru
     /*  549820 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549856 */     GIR_RootConstrainSelectedInstOperands,
     /*  549857 */     // GIR_Coverage, 4822,
     /*  549857 */     GIR_EraseRootFromParent_Done,
     /*  549858 */   // Label 9053: @549858
     /*  549858 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(549929), // Rule ID 4823 //
     /*  549863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549891 */     // MIs[0] passthru
     /*  549891 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549927 */     GIR_RootConstrainSelectedInstOperands,
     /*  549928 */     // GIR_Coverage, 4823,
     /*  549928 */     GIR_EraseRootFromParent_Done,
     /*  549929 */   // Label 9054: @549929
     /*  549929 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550001), // Rule ID 2678 //
     /*  549934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  549942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  549954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  549980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  549983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549999 */     GIR_RootConstrainSelectedInstOperands,
     /*  550000 */     // GIR_Coverage, 2678,
     /*  550000 */     GIR_EraseRootFromParent_Done,
     /*  550001 */   // Label 9055: @550001
     /*  550001 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550073), // Rule ID 2679 //
     /*  550006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  550014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  550052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  550055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550071 */     GIR_RootConstrainSelectedInstOperands,
     /*  550072 */     // GIR_Coverage, 2679,
     /*  550072 */     GIR_EraseRootFromParent_Done,
     /*  550073 */   // Label 9056: @550073
     /*  550073 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550148), // Rule ID 2682 //
     /*  550078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  550081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  550086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  550092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  550095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  550105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  550124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  550127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  550146 */     GIR_RootConstrainSelectedInstOperands,
     /*  550147 */     // GIR_Coverage, 2682,
     /*  550147 */     GIR_EraseRootFromParent_Done,
     /*  550148 */   // Label 9057: @550148
     /*  550148 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550223), // Rule ID 2683 //
     /*  550153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  550156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  550161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  550167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  550170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  550180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  550199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  550202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  550221 */     GIR_RootConstrainSelectedInstOperands,
     /*  550222 */     // GIR_Coverage, 2683,
     /*  550222 */     GIR_EraseRootFromParent_Done,
     /*  550223 */   // Label 9058: @550223
     /*  550223 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550298), // Rule ID 2710 //
     /*  550228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550274 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550296 */     GIR_RootConstrainSelectedInstOperands,
     /*  550297 */     // GIR_Coverage, 2710,
     /*  550297 */     GIR_EraseRootFromParent_Done,
     /*  550298 */   // Label 9059: @550298
     /*  550298 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550373), // Rule ID 2711 //
     /*  550303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550349 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550371 */     GIR_RootConstrainSelectedInstOperands,
     /*  550372 */     // GIR_Coverage, 2711,
     /*  550372 */     GIR_EraseRootFromParent_Done,
     /*  550373 */   // Label 9060: @550373
     /*  550373 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550445), // Rule ID 2724 //
     /*  550378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  550424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550443 */     GIR_RootConstrainSelectedInstOperands,
     /*  550444 */     // GIR_Coverage, 2724,
     /*  550444 */     GIR_EraseRootFromParent_Done,
     /*  550445 */   // Label 9061: @550445
     /*  550445 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550517), // Rule ID 2725 //
     /*  550450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  550496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550515 */     GIR_RootConstrainSelectedInstOperands,
     /*  550516 */     // GIR_Coverage, 2725,
     /*  550516 */     GIR_EraseRootFromParent_Done,
     /*  550517 */   // Label 9062: @550517
     /*  550517 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550592), // Rule ID 2744 //
     /*  550522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  550530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  550571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550590 */     GIR_RootConstrainSelectedInstOperands,
     /*  550591 */     // GIR_Coverage, 2744,
     /*  550591 */     GIR_EraseRootFromParent_Done,
     /*  550592 */   // Label 9063: @550592
     /*  550592 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550667), // Rule ID 2745 //
     /*  550597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  550605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550643 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  550646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550665 */     GIR_RootConstrainSelectedInstOperands,
     /*  550666 */     // GIR_Coverage, 2745,
     /*  550666 */     GIR_EraseRootFromParent_Done,
     /*  550667 */   // Label 9064: @550667
     /*  550667 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(550742), // Rule ID 2770 //
     /*  550672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  550680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  550721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  550725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550740 */     GIR_RootConstrainSelectedInstOperands,
     /*  550741 */     // GIR_Coverage, 2770,
     /*  550741 */     GIR_EraseRootFromParent_Done,
     /*  550742 */   // Label 9065: @550742
     /*  550742 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(550817), // Rule ID 2771 //
     /*  550747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  550755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550793 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  550796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  550800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550815 */     GIR_RootConstrainSelectedInstOperands,
     /*  550816 */     // GIR_Coverage, 2771,
     /*  550816 */     GIR_EraseRootFromParent_Done,
     /*  550817 */   // Label 9066: @550817
     /*  550817 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(550892), // Rule ID 2782 //
     /*  550822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  550871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550890 */     GIR_RootConstrainSelectedInstOperands,
     /*  550891 */     // GIR_Coverage, 2782,
     /*  550891 */     GIR_EraseRootFromParent_Done,
     /*  550892 */   // Label 9067: @550892
     /*  550892 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(550967), // Rule ID 2783 //
     /*  550897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550943 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  550946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550965 */     GIR_RootConstrainSelectedInstOperands,
     /*  550966 */     // GIR_Coverage, 2783,
     /*  550966 */     GIR_EraseRootFromParent_Done,
     /*  550967 */   // Label 9068: @550967
     /*  550967 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551042), // Rule ID 2790 //
     /*  550972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551040 */     GIR_RootConstrainSelectedInstOperands,
     /*  551041 */     // GIR_Coverage, 2790,
     /*  551041 */     GIR_EraseRootFromParent_Done,
     /*  551042 */   // Label 9069: @551042
     /*  551042 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551117), // Rule ID 2791 //
     /*  551047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  551058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  551061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  551064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  551067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551093 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551115 */     GIR_RootConstrainSelectedInstOperands,
     /*  551116 */     // GIR_Coverage, 2791,
     /*  551116 */     GIR_EraseRootFromParent_Done,
     /*  551117 */   // Label 9070: @551117
     /*  551117 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551192), // Rule ID 2798 //
     /*  551122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  551142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551190 */     GIR_RootConstrainSelectedInstOperands,
     /*  551191 */     // GIR_Coverage, 2798,
     /*  551191 */     GIR_EraseRootFromParent_Done,
     /*  551192 */   // Label 9071: @551192
     /*  551192 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551267), // Rule ID 2799 //
     /*  551197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  551217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551265 */     GIR_RootConstrainSelectedInstOperands,
     /*  551266 */     // GIR_Coverage, 2799,
     /*  551266 */     GIR_EraseRootFromParent_Done,
     /*  551267 */   // Label 9072: @551267
     /*  551267 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551342), // Rule ID 2806 //
     /*  551272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551340 */     GIR_RootConstrainSelectedInstOperands,
     /*  551341 */     // GIR_Coverage, 2806,
     /*  551341 */     GIR_EraseRootFromParent_Done,
     /*  551342 */   // Label 9073: @551342
     /*  551342 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551417), // Rule ID 2807 //
     /*  551347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551415 */     GIR_RootConstrainSelectedInstOperands,
     /*  551416 */     // GIR_Coverage, 2807,
     /*  551416 */     GIR_EraseRootFromParent_Done,
     /*  551417 */   // Label 9074: @551417
     /*  551417 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551492), // Rule ID 2814 //
     /*  551422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551490 */     GIR_RootConstrainSelectedInstOperands,
     /*  551491 */     // GIR_Coverage, 2814,
     /*  551491 */     GIR_EraseRootFromParent_Done,
     /*  551492 */   // Label 9075: @551492
     /*  551492 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551567), // Rule ID 2815 //
     /*  551497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551543 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551565 */     GIR_RootConstrainSelectedInstOperands,
     /*  551566 */     // GIR_Coverage, 2815,
     /*  551566 */     GIR_EraseRootFromParent_Done,
     /*  551567 */   // Label 9076: @551567
     /*  551567 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551642), // Rule ID 2822 //
     /*  551572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551640 */     GIR_RootConstrainSelectedInstOperands,
     /*  551641 */     // GIR_Coverage, 2822,
     /*  551641 */     GIR_EraseRootFromParent_Done,
     /*  551642 */   // Label 9077: @551642
     /*  551642 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551717), // Rule ID 2823 //
     /*  551647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551715 */     GIR_RootConstrainSelectedInstOperands,
     /*  551716 */     // GIR_Coverage, 2823,
     /*  551716 */     GIR_EraseRootFromParent_Done,
     /*  551717 */   // Label 9078: @551717
     /*  551717 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(551792), // Rule ID 2830 //
     /*  551722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551790 */     GIR_RootConstrainSelectedInstOperands,
     /*  551791 */     // GIR_Coverage, 2830,
     /*  551791 */     GIR_EraseRootFromParent_Done,
     /*  551792 */   // Label 9079: @551792
     /*  551792 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(551867), // Rule ID 2831 //
     /*  551797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551843 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551865 */     GIR_RootConstrainSelectedInstOperands,
     /*  551866 */     // GIR_Coverage, 2831,
     /*  551866 */     GIR_EraseRootFromParent_Done,
     /*  551867 */   // Label 9080: @551867
     /*  551867 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(551942), // Rule ID 2838 //
     /*  551872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551940 */     GIR_RootConstrainSelectedInstOperands,
     /*  551941 */     // GIR_Coverage, 2838,
     /*  551941 */     GIR_EraseRootFromParent_Done,
     /*  551942 */   // Label 9081: @551942
     /*  551942 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552017), // Rule ID 2839 //
     /*  551947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552015 */     GIR_RootConstrainSelectedInstOperands,
     /*  552016 */     // GIR_Coverage, 2839,
     /*  552016 */     GIR_EraseRootFromParent_Done,
     /*  552017 */   // Label 9082: @552017
     /*  552017 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552092), // Rule ID 2846 //
     /*  552022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  552042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552090 */     GIR_RootConstrainSelectedInstOperands,
     /*  552091 */     // GIR_Coverage, 2846,
     /*  552091 */     GIR_EraseRootFromParent_Done,
     /*  552092 */   // Label 9083: @552092
     /*  552092 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552167), // Rule ID 2847 //
     /*  552097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  552117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552165 */     GIR_RootConstrainSelectedInstOperands,
     /*  552166 */     // GIR_Coverage, 2847,
     /*  552166 */     GIR_EraseRootFromParent_Done,
     /*  552167 */   // Label 9084: @552167
     /*  552167 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552242), // Rule ID 2854 //
     /*  552172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  552192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552240 */     GIR_RootConstrainSelectedInstOperands,
     /*  552241 */     // GIR_Coverage, 2854,
     /*  552241 */     GIR_EraseRootFromParent_Done,
     /*  552242 */   // Label 9085: @552242
     /*  552242 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552317), // Rule ID 2855 //
     /*  552247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  552267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552315 */     GIR_RootConstrainSelectedInstOperands,
     /*  552316 */     // GIR_Coverage, 2855,
     /*  552316 */     GIR_EraseRootFromParent_Done,
     /*  552317 */   // Label 9086: @552317
     /*  552317 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552392), // Rule ID 2862 //
     /*  552322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552390 */     GIR_RootConstrainSelectedInstOperands,
     /*  552391 */     // GIR_Coverage, 2862,
     /*  552391 */     GIR_EraseRootFromParent_Done,
     /*  552392 */   // Label 9087: @552392
     /*  552392 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552467), // Rule ID 2863 //
     /*  552397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552443 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552465 */     GIR_RootConstrainSelectedInstOperands,
     /*  552466 */     // GIR_Coverage, 2863,
     /*  552466 */     GIR_EraseRootFromParent_Done,
     /*  552467 */   // Label 9088: @552467
     /*  552467 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552542), // Rule ID 2870 //
     /*  552472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552540 */     GIR_RootConstrainSelectedInstOperands,
     /*  552541 */     // GIR_Coverage, 2870,
     /*  552541 */     GIR_EraseRootFromParent_Done,
     /*  552542 */   // Label 9089: @552542
     /*  552542 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552617), // Rule ID 2871 //
     /*  552547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552593 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552615 */     GIR_RootConstrainSelectedInstOperands,
     /*  552616 */     // GIR_Coverage, 2871,
     /*  552616 */     GIR_EraseRootFromParent_Done,
     /*  552617 */   // Label 9090: @552617
     /*  552617 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552692), // Rule ID 2878 //
     /*  552622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552690 */     GIR_RootConstrainSelectedInstOperands,
     /*  552691 */     // GIR_Coverage, 2878,
     /*  552691 */     GIR_EraseRootFromParent_Done,
     /*  552692 */   // Label 9091: @552692
     /*  552692 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(552767), // Rule ID 2879 //
     /*  552697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552743 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552765 */     GIR_RootConstrainSelectedInstOperands,
     /*  552766 */     // GIR_Coverage, 2879,
     /*  552766 */     GIR_EraseRootFromParent_Done,
     /*  552767 */   // Label 9092: @552767
     /*  552767 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(552842), // Rule ID 2886 //
     /*  552772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552840 */     GIR_RootConstrainSelectedInstOperands,
     /*  552841 */     // GIR_Coverage, 2886,
     /*  552841 */     GIR_EraseRootFromParent_Done,
     /*  552842 */   // Label 9093: @552842
     /*  552842 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(552917), // Rule ID 2887 //
     /*  552847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552915 */     GIR_RootConstrainSelectedInstOperands,
     /*  552916 */     // GIR_Coverage, 2887,
     /*  552916 */     GIR_EraseRootFromParent_Done,
     /*  552917 */   // Label 9094: @552917
     /*  552917 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(552992), // Rule ID 2894 //
     /*  552922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552990 */     GIR_RootConstrainSelectedInstOperands,
     /*  552991 */     // GIR_Coverage, 2894,
     /*  552991 */     GIR_EraseRootFromParent_Done,
     /*  552992 */   // Label 9095: @552992
     /*  552992 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553067), // Rule ID 2895 //
     /*  552997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  553008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  553011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  553014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  553017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553065 */     GIR_RootConstrainSelectedInstOperands,
     /*  553066 */     // GIR_Coverage, 2895,
     /*  553066 */     GIR_EraseRootFromParent_Done,
     /*  553067 */   // Label 9096: @553067
     /*  553067 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553142), // Rule ID 2902 //
     /*  553072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  553092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553140 */     GIR_RootConstrainSelectedInstOperands,
     /*  553141 */     // GIR_Coverage, 2902,
     /*  553141 */     GIR_EraseRootFromParent_Done,
     /*  553142 */   // Label 9097: @553142
     /*  553142 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553217), // Rule ID 2903 //
     /*  553147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  553167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553193 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553215 */     GIR_RootConstrainSelectedInstOperands,
     /*  553216 */     // GIR_Coverage, 2903,
     /*  553216 */     GIR_EraseRootFromParent_Done,
     /*  553217 */   // Label 9098: @553217
     /*  553217 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553292), // Rule ID 2910 //
     /*  553222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553290 */     GIR_RootConstrainSelectedInstOperands,
     /*  553291 */     // GIR_Coverage, 2910,
     /*  553291 */     GIR_EraseRootFromParent_Done,
     /*  553292 */   // Label 9099: @553292
     /*  553292 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553367), // Rule ID 2911 //
     /*  553297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553365 */     GIR_RootConstrainSelectedInstOperands,
     /*  553366 */     // GIR_Coverage, 2911,
     /*  553366 */     GIR_EraseRootFromParent_Done,
     /*  553367 */   // Label 9100: @553367
     /*  553367 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553442), // Rule ID 2918 //
     /*  553372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553440 */     GIR_RootConstrainSelectedInstOperands,
     /*  553441 */     // GIR_Coverage, 2918,
     /*  553441 */     GIR_EraseRootFromParent_Done,
     /*  553442 */   // Label 9101: @553442
     /*  553442 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553517), // Rule ID 2919 //
     /*  553447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553515 */     GIR_RootConstrainSelectedInstOperands,
     /*  553516 */     // GIR_Coverage, 2919,
     /*  553516 */     GIR_EraseRootFromParent_Done,
     /*  553517 */   // Label 9102: @553517
     /*  553517 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553592), // Rule ID 2926 //
     /*  553522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  553542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553590 */     GIR_RootConstrainSelectedInstOperands,
     /*  553591 */     // GIR_Coverage, 2926,
     /*  553591 */     GIR_EraseRootFromParent_Done,
     /*  553592 */   // Label 9103: @553592
     /*  553592 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553667), // Rule ID 2927 //
     /*  553597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  553617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553665 */     GIR_RootConstrainSelectedInstOperands,
     /*  553666 */     // GIR_Coverage, 2927,
     /*  553666 */     GIR_EraseRootFromParent_Done,
     /*  553667 */   // Label 9104: @553667
     /*  553667 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(553742), // Rule ID 2934 //
     /*  553672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553740 */     GIR_RootConstrainSelectedInstOperands,
     /*  553741 */     // GIR_Coverage, 2934,
     /*  553741 */     GIR_EraseRootFromParent_Done,
     /*  553742 */   // Label 9105: @553742
     /*  553742 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(553817), // Rule ID 2935 //
     /*  553747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553815 */     GIR_RootConstrainSelectedInstOperands,
     /*  553816 */     // GIR_Coverage, 2935,
     /*  553816 */     GIR_EraseRootFromParent_Done,
     /*  553817 */   // Label 9106: @553817
     /*  553817 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(553892), // Rule ID 2942 //
     /*  553822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553890 */     GIR_RootConstrainSelectedInstOperands,
     /*  553891 */     // GIR_Coverage, 2942,
     /*  553891 */     GIR_EraseRootFromParent_Done,
     /*  553892 */   // Label 9107: @553892
     /*  553892 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(553967), // Rule ID 2943 //
     /*  553897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553965 */     GIR_RootConstrainSelectedInstOperands,
     /*  553966 */     // GIR_Coverage, 2943,
     /*  553966 */     GIR_EraseRootFromParent_Done,
     /*  553967 */   // Label 9108: @553967
     /*  553967 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554042), // Rule ID 2950 //
     /*  553972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554040 */     GIR_RootConstrainSelectedInstOperands,
     /*  554041 */     // GIR_Coverage, 2950,
     /*  554041 */     GIR_EraseRootFromParent_Done,
     /*  554042 */   // Label 9109: @554042
     /*  554042 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554117), // Rule ID 2951 //
     /*  554047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  554058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  554061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  554064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  554067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554115 */     GIR_RootConstrainSelectedInstOperands,
     /*  554116 */     // GIR_Coverage, 2951,
     /*  554116 */     GIR_EraseRootFromParent_Done,
     /*  554117 */   // Label 9110: @554117
     /*  554117 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554192), // Rule ID 2966 //
     /*  554122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554190 */     GIR_RootConstrainSelectedInstOperands,
     /*  554191 */     // GIR_Coverage, 2966,
     /*  554191 */     GIR_EraseRootFromParent_Done,
     /*  554192 */   // Label 9111: @554192
     /*  554192 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554267), // Rule ID 2967 //
     /*  554197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554243 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554265 */     GIR_RootConstrainSelectedInstOperands,
     /*  554266 */     // GIR_Coverage, 2967,
     /*  554266 */     GIR_EraseRootFromParent_Done,
     /*  554267 */   // Label 9112: @554267
     /*  554267 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554342), // Rule ID 2970 //
     /*  554272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554318 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554340 */     GIR_RootConstrainSelectedInstOperands,
     /*  554341 */     // GIR_Coverage, 2970,
     /*  554341 */     GIR_EraseRootFromParent_Done,
     /*  554342 */   // Label 9113: @554342
     /*  554342 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554417), // Rule ID 2971 //
     /*  554347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554393 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554415 */     GIR_RootConstrainSelectedInstOperands,
     /*  554416 */     // GIR_Coverage, 2971,
     /*  554416 */     GIR_EraseRootFromParent_Done,
     /*  554417 */   // Label 9114: @554417
     /*  554417 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554492), // Rule ID 2974 //
     /*  554422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554490 */     GIR_RootConstrainSelectedInstOperands,
     /*  554491 */     // GIR_Coverage, 2974,
     /*  554491 */     GIR_EraseRootFromParent_Done,
     /*  554492 */   // Label 9115: @554492
     /*  554492 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554567), // Rule ID 2975 //
     /*  554497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554565 */     GIR_RootConstrainSelectedInstOperands,
     /*  554566 */     // GIR_Coverage, 2975,
     /*  554566 */     GIR_EraseRootFromParent_Done,
     /*  554567 */   // Label 9116: @554567
     /*  554567 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554642), // Rule ID 2978 //
     /*  554572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554618 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554640 */     GIR_RootConstrainSelectedInstOperands,
     /*  554641 */     // GIR_Coverage, 2978,
     /*  554641 */     GIR_EraseRootFromParent_Done,
     /*  554642 */   // Label 9117: @554642
     /*  554642 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554717), // Rule ID 2979 //
     /*  554647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554715 */     GIR_RootConstrainSelectedInstOperands,
     /*  554716 */     // GIR_Coverage, 2979,
     /*  554716 */     GIR_EraseRootFromParent_Done,
     /*  554717 */   // Label 9118: @554717
     /*  554717 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(554792), // Rule ID 2982 //
     /*  554722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554790 */     GIR_RootConstrainSelectedInstOperands,
     /*  554791 */     // GIR_Coverage, 2982,
     /*  554791 */     GIR_EraseRootFromParent_Done,
     /*  554792 */   // Label 9119: @554792
     /*  554792 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(554867), // Rule ID 2983 //
     /*  554797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554865 */     GIR_RootConstrainSelectedInstOperands,
     /*  554866 */     // GIR_Coverage, 2983,
     /*  554866 */     GIR_EraseRootFromParent_Done,
     /*  554867 */   // Label 9120: @554867
     /*  554867 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(554942), // Rule ID 2986 //
     /*  554872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554940 */     GIR_RootConstrainSelectedInstOperands,
     /*  554941 */     // GIR_Coverage, 2986,
     /*  554941 */     GIR_EraseRootFromParent_Done,
     /*  554942 */   // Label 9121: @554942
     /*  554942 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555017), // Rule ID 2987 //
     /*  554947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555015 */     GIR_RootConstrainSelectedInstOperands,
     /*  555016 */     // GIR_Coverage, 2987,
     /*  555016 */     GIR_EraseRootFromParent_Done,
     /*  555017 */   // Label 9122: @555017
     /*  555017 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555092), // Rule ID 2990 //
     /*  555022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555090 */     GIR_RootConstrainSelectedInstOperands,
     /*  555091 */     // GIR_Coverage, 2990,
     /*  555091 */     GIR_EraseRootFromParent_Done,
     /*  555092 */   // Label 9123: @555092
     /*  555092 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555167), // Rule ID 2991 //
     /*  555097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555165 */     GIR_RootConstrainSelectedInstOperands,
     /*  555166 */     // GIR_Coverage, 2991,
     /*  555166 */     GIR_EraseRootFromParent_Done,
     /*  555167 */   // Label 9124: @555167
     /*  555167 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555242), // Rule ID 2994 //
     /*  555172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555240 */     GIR_RootConstrainSelectedInstOperands,
     /*  555241 */     // GIR_Coverage, 2994,
     /*  555241 */     GIR_EraseRootFromParent_Done,
     /*  555242 */   // Label 9125: @555242
     /*  555242 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555317), // Rule ID 2995 //
     /*  555247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555315 */     GIR_RootConstrainSelectedInstOperands,
     /*  555316 */     // GIR_Coverage, 2995,
     /*  555316 */     GIR_EraseRootFromParent_Done,
     /*  555317 */   // Label 9126: @555317
     /*  555317 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555392), // Rule ID 2998 //
     /*  555322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555390 */     GIR_RootConstrainSelectedInstOperands,
     /*  555391 */     // GIR_Coverage, 2998,
     /*  555391 */     GIR_EraseRootFromParent_Done,
     /*  555392 */   // Label 9127: @555392
     /*  555392 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555467), // Rule ID 2999 //
     /*  555397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555465 */     GIR_RootConstrainSelectedInstOperands,
     /*  555466 */     // GIR_Coverage, 2999,
     /*  555466 */     GIR_EraseRootFromParent_Done,
     /*  555467 */   // Label 9128: @555467
     /*  555467 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555542), // Rule ID 3002 //
     /*  555472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555540 */     GIR_RootConstrainSelectedInstOperands,
     /*  555541 */     // GIR_Coverage, 3002,
     /*  555541 */     GIR_EraseRootFromParent_Done,
     /*  555542 */   // Label 9129: @555542
     /*  555542 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555617), // Rule ID 3003 //
     /*  555547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555615 */     GIR_RootConstrainSelectedInstOperands,
     /*  555616 */     // GIR_Coverage, 3003,
     /*  555616 */     GIR_EraseRootFromParent_Done,
     /*  555617 */   // Label 9130: @555617
     /*  555617 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555692), // Rule ID 3006 //
     /*  555622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555690 */     GIR_RootConstrainSelectedInstOperands,
     /*  555691 */     // GIR_Coverage, 3006,
     /*  555691 */     GIR_EraseRootFromParent_Done,
     /*  555692 */   // Label 9131: @555692
     /*  555692 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(555767), // Rule ID 3007 //
     /*  555697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555743 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555765 */     GIR_RootConstrainSelectedInstOperands,
     /*  555766 */     // GIR_Coverage, 3007,
     /*  555766 */     GIR_EraseRootFromParent_Done,
     /*  555767 */   // Label 9132: @555767
     /*  555767 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(555842), // Rule ID 3010 //
     /*  555772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555818 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  555821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555840 */     GIR_RootConstrainSelectedInstOperands,
     /*  555841 */     // GIR_Coverage, 3010,
     /*  555841 */     GIR_EraseRootFromParent_Done,
     /*  555842 */   // Label 9133: @555842
     /*  555842 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(555917), // Rule ID 3011 //
     /*  555847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555893 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  555896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555915 */     GIR_RootConstrainSelectedInstOperands,
     /*  555916 */     // GIR_Coverage, 3011,
     /*  555916 */     GIR_EraseRootFromParent_Done,
     /*  555917 */   // Label 9134: @555917
     /*  555917 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(555992), // Rule ID 3014 //
     /*  555922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  555942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555990 */     GIR_RootConstrainSelectedInstOperands,
     /*  555991 */     // GIR_Coverage, 3014,
     /*  555991 */     GIR_EraseRootFromParent_Done,
     /*  555992 */   // Label 9135: @555992
     /*  555992 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556067), // Rule ID 3015 //
     /*  555997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  556008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  556011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  556014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  556017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556065 */     GIR_RootConstrainSelectedInstOperands,
     /*  556066 */     // GIR_Coverage, 3015,
     /*  556066 */     GIR_EraseRootFromParent_Done,
     /*  556067 */   // Label 9136: @556067
     /*  556067 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556142), // Rule ID 3018 //
     /*  556072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556140 */     GIR_RootConstrainSelectedInstOperands,
     /*  556141 */     // GIR_Coverage, 3018,
     /*  556141 */     GIR_EraseRootFromParent_Done,
     /*  556142 */   // Label 9137: @556142
     /*  556142 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556217), // Rule ID 3019 //
     /*  556147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556193 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556215 */     GIR_RootConstrainSelectedInstOperands,
     /*  556216 */     // GIR_Coverage, 3019,
     /*  556216 */     GIR_EraseRootFromParent_Done,
     /*  556217 */   // Label 9138: @556217
     /*  556217 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556292), // Rule ID 3022 //
     /*  556222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556290 */     GIR_RootConstrainSelectedInstOperands,
     /*  556291 */     // GIR_Coverage, 3022,
     /*  556291 */     GIR_EraseRootFromParent_Done,
     /*  556292 */   // Label 9139: @556292
     /*  556292 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556367), // Rule ID 3023 //
     /*  556297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556365 */     GIR_RootConstrainSelectedInstOperands,
     /*  556366 */     // GIR_Coverage, 3023,
     /*  556366 */     GIR_EraseRootFromParent_Done,
     /*  556367 */   // Label 9140: @556367
     /*  556367 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556442), // Rule ID 3026 //
     /*  556372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556440 */     GIR_RootConstrainSelectedInstOperands,
     /*  556441 */     // GIR_Coverage, 3026,
     /*  556441 */     GIR_EraseRootFromParent_Done,
     /*  556442 */   // Label 9141: @556442
     /*  556442 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556517), // Rule ID 3027 //
     /*  556447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556515 */     GIR_RootConstrainSelectedInstOperands,
     /*  556516 */     // GIR_Coverage, 3027,
     /*  556516 */     GIR_EraseRootFromParent_Done,
     /*  556517 */   // Label 9142: @556517
     /*  556517 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556592), // Rule ID 3030 //
     /*  556522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556590 */     GIR_RootConstrainSelectedInstOperands,
     /*  556591 */     // GIR_Coverage, 3030,
     /*  556591 */     GIR_EraseRootFromParent_Done,
     /*  556592 */   // Label 9143: @556592
     /*  556592 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556667), // Rule ID 3031 //
     /*  556597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556665 */     GIR_RootConstrainSelectedInstOperands,
     /*  556666 */     // GIR_Coverage, 3031,
     /*  556666 */     GIR_EraseRootFromParent_Done,
     /*  556667 */   // Label 9144: @556667
     /*  556667 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(556742), // Rule ID 3034 //
     /*  556672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556740 */     GIR_RootConstrainSelectedInstOperands,
     /*  556741 */     // GIR_Coverage, 3034,
     /*  556741 */     GIR_EraseRootFromParent_Done,
     /*  556742 */   // Label 9145: @556742
     /*  556742 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(556817), // Rule ID 3035 //
     /*  556747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556815 */     GIR_RootConstrainSelectedInstOperands,
     /*  556816 */     // GIR_Coverage, 3035,
     /*  556816 */     GIR_EraseRootFromParent_Done,
     /*  556817 */   // Label 9146: @556817
     /*  556817 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(556892), // Rule ID 3038 //
     /*  556822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556890 */     GIR_RootConstrainSelectedInstOperands,
     /*  556891 */     // GIR_Coverage, 3038,
     /*  556891 */     GIR_EraseRootFromParent_Done,
     /*  556892 */   // Label 9147: @556892
     /*  556892 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(556967), // Rule ID 3039 //
     /*  556897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556965 */     GIR_RootConstrainSelectedInstOperands,
     /*  556966 */     // GIR_Coverage, 3039,
     /*  556966 */     GIR_EraseRootFromParent_Done,
     /*  556967 */   // Label 9148: @556967
     /*  556967 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557042), // Rule ID 3042 //
     /*  556972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  556992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557040 */     GIR_RootConstrainSelectedInstOperands,
     /*  557041 */     // GIR_Coverage, 3042,
     /*  557041 */     GIR_EraseRootFromParent_Done,
     /*  557042 */   // Label 9149: @557042
     /*  557042 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557117), // Rule ID 3043 //
     /*  557047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  557058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  557061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  557064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  557067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557115 */     GIR_RootConstrainSelectedInstOperands,
     /*  557116 */     // GIR_Coverage, 3043,
     /*  557116 */     GIR_EraseRootFromParent_Done,
     /*  557117 */   // Label 9150: @557117
     /*  557117 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557192), // Rule ID 3046 //
     /*  557122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557190 */     GIR_RootConstrainSelectedInstOperands,
     /*  557191 */     // GIR_Coverage, 3046,
     /*  557191 */     GIR_EraseRootFromParent_Done,
     /*  557192 */   // Label 9151: @557192
     /*  557192 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557267), // Rule ID 3047 //
     /*  557197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557265 */     GIR_RootConstrainSelectedInstOperands,
     /*  557266 */     // GIR_Coverage, 3047,
     /*  557266 */     GIR_EraseRootFromParent_Done,
     /*  557267 */   // Label 9152: @557267
     /*  557267 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557342), // Rule ID 3050 //
     /*  557272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557318 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557340 */     GIR_RootConstrainSelectedInstOperands,
     /*  557341 */     // GIR_Coverage, 3050,
     /*  557341 */     GIR_EraseRootFromParent_Done,
     /*  557342 */   // Label 9153: @557342
     /*  557342 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557417), // Rule ID 3051 //
     /*  557347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557415 */     GIR_RootConstrainSelectedInstOperands,
     /*  557416 */     // GIR_Coverage, 3051,
     /*  557416 */     GIR_EraseRootFromParent_Done,
     /*  557417 */   // Label 9154: @557417
     /*  557417 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557492), // Rule ID 3054 //
     /*  557422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557490 */     GIR_RootConstrainSelectedInstOperands,
     /*  557491 */     // GIR_Coverage, 3054,
     /*  557491 */     GIR_EraseRootFromParent_Done,
     /*  557492 */   // Label 9155: @557492
     /*  557492 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557567), // Rule ID 3055 //
     /*  557497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557543 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557565 */     GIR_RootConstrainSelectedInstOperands,
     /*  557566 */     // GIR_Coverage, 3055,
     /*  557566 */     GIR_EraseRootFromParent_Done,
     /*  557567 */   // Label 9156: @557567
     /*  557567 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557642), // Rule ID 3058 //
     /*  557572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557618 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557640 */     GIR_RootConstrainSelectedInstOperands,
     /*  557641 */     // GIR_Coverage, 3058,
     /*  557641 */     GIR_EraseRootFromParent_Done,
     /*  557642 */   // Label 9157: @557642
     /*  557642 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557717), // Rule ID 3059 //
     /*  557647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557715 */     GIR_RootConstrainSelectedInstOperands,
     /*  557716 */     // GIR_Coverage, 3059,
     /*  557716 */     GIR_EraseRootFromParent_Done,
     /*  557717 */   // Label 9158: @557717
     /*  557717 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(557792), // Rule ID 3062 //
     /*  557722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557790 */     GIR_RootConstrainSelectedInstOperands,
     /*  557791 */     // GIR_Coverage, 3062,
     /*  557791 */     GIR_EraseRootFromParent_Done,
     /*  557792 */   // Label 9159: @557792
     /*  557792 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(557867), // Rule ID 3063 //
     /*  557797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557865 */     GIR_RootConstrainSelectedInstOperands,
     /*  557866 */     // GIR_Coverage, 3063,
     /*  557866 */     GIR_EraseRootFromParent_Done,
     /*  557867 */   // Label 9160: @557867
     /*  557867 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(557942), // Rule ID 3066 //
     /*  557872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557940 */     GIR_RootConstrainSelectedInstOperands,
     /*  557941 */     // GIR_Coverage, 3066,
     /*  557941 */     GIR_EraseRootFromParent_Done,
     /*  557942 */   // Label 9161: @557942
     /*  557942 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558017), // Rule ID 3067 //
     /*  557947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557993 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558015 */     GIR_RootConstrainSelectedInstOperands,
     /*  558016 */     // GIR_Coverage, 3067,
     /*  558016 */     GIR_EraseRootFromParent_Done,
     /*  558017 */   // Label 9162: @558017
     /*  558017 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558092), // Rule ID 3070 //
     /*  558022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558090 */     GIR_RootConstrainSelectedInstOperands,
     /*  558091 */     // GIR_Coverage, 3070,
     /*  558091 */     GIR_EraseRootFromParent_Done,
     /*  558092 */   // Label 9163: @558092
     /*  558092 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558167), // Rule ID 3071 //
     /*  558097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558165 */     GIR_RootConstrainSelectedInstOperands,
     /*  558166 */     // GIR_Coverage, 3071,
     /*  558166 */     GIR_EraseRootFromParent_Done,
     /*  558167 */   // Label 9164: @558167
     /*  558167 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558242), // Rule ID 3074 //
     /*  558172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558240 */     GIR_RootConstrainSelectedInstOperands,
     /*  558241 */     // GIR_Coverage, 3074,
     /*  558241 */     GIR_EraseRootFromParent_Done,
     /*  558242 */   // Label 9165: @558242
     /*  558242 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558317), // Rule ID 3075 //
     /*  558247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558315 */     GIR_RootConstrainSelectedInstOperands,
     /*  558316 */     // GIR_Coverage, 3075,
     /*  558316 */     GIR_EraseRootFromParent_Done,
     /*  558317 */   // Label 9166: @558317
     /*  558317 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558392), // Rule ID 3078 //
     /*  558322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558390 */     GIR_RootConstrainSelectedInstOperands,
     /*  558391 */     // GIR_Coverage, 3078,
     /*  558391 */     GIR_EraseRootFromParent_Done,
     /*  558392 */   // Label 9167: @558392
     /*  558392 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558467), // Rule ID 3079 //
     /*  558397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558465 */     GIR_RootConstrainSelectedInstOperands,
     /*  558466 */     // GIR_Coverage, 3079,
     /*  558466 */     GIR_EraseRootFromParent_Done,
     /*  558467 */   // Label 9168: @558467
     /*  558467 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558542), // Rule ID 3082 //
     /*  558472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558540 */     GIR_RootConstrainSelectedInstOperands,
     /*  558541 */     // GIR_Coverage, 3082,
     /*  558541 */     GIR_EraseRootFromParent_Done,
     /*  558542 */   // Label 9169: @558542
     /*  558542 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558617), // Rule ID 3083 //
     /*  558547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558615 */     GIR_RootConstrainSelectedInstOperands,
     /*  558616 */     // GIR_Coverage, 3083,
     /*  558616 */     GIR_EraseRootFromParent_Done,
     /*  558617 */   // Label 9170: @558617
     /*  558617 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558692), // Rule ID 3086 //
     /*  558622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558690 */     GIR_RootConstrainSelectedInstOperands,
     /*  558691 */     // GIR_Coverage, 3086,
     /*  558691 */     GIR_EraseRootFromParent_Done,
     /*  558692 */   // Label 9171: @558692
     /*  558692 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(558767), // Rule ID 3087 //
     /*  558697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558765 */     GIR_RootConstrainSelectedInstOperands,
     /*  558766 */     // GIR_Coverage, 3087,
     /*  558766 */     GIR_EraseRootFromParent_Done,
     /*  558767 */   // Label 9172: @558767
     /*  558767 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(558842), // Rule ID 3090 //
     /*  558772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  558821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558840 */     GIR_RootConstrainSelectedInstOperands,
     /*  558841 */     // GIR_Coverage, 3090,
     /*  558841 */     GIR_EraseRootFromParent_Done,
     /*  558842 */   // Label 9173: @558842
     /*  558842 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(558917), // Rule ID 3091 //
     /*  558847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558893 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  558896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558915 */     GIR_RootConstrainSelectedInstOperands,
     /*  558916 */     // GIR_Coverage, 3091,
     /*  558916 */     GIR_EraseRootFromParent_Done,
     /*  558917 */   // Label 9174: @558917
     /*  558917 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(558992), // Rule ID 3094 //
     /*  558922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  558971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558990 */     GIR_RootConstrainSelectedInstOperands,
     /*  558991 */     // GIR_Coverage, 3094,
     /*  558991 */     GIR_EraseRootFromParent_Done,
     /*  558992 */   // Label 9175: @558992
     /*  558992 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559067), // Rule ID 3095 //
     /*  558997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  559008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  559011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  559014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559065 */     GIR_RootConstrainSelectedInstOperands,
     /*  559066 */     // GIR_Coverage, 3095,
     /*  559066 */     GIR_EraseRootFromParent_Done,
     /*  559067 */   // Label 9176: @559067
     /*  559067 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559142), // Rule ID 3098 //
     /*  559072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559140 */     GIR_RootConstrainSelectedInstOperands,
     /*  559141 */     // GIR_Coverage, 3098,
     /*  559141 */     GIR_EraseRootFromParent_Done,
     /*  559142 */   // Label 9177: @559142
     /*  559142 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559217), // Rule ID 3099 //
     /*  559147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559215 */     GIR_RootConstrainSelectedInstOperands,
     /*  559216 */     // GIR_Coverage, 3099,
     /*  559216 */     GIR_EraseRootFromParent_Done,
     /*  559217 */   // Label 9178: @559217
     /*  559217 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559292), // Rule ID 3102 //
     /*  559222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559290 */     GIR_RootConstrainSelectedInstOperands,
     /*  559291 */     // GIR_Coverage, 3102,
     /*  559291 */     GIR_EraseRootFromParent_Done,
     /*  559292 */   // Label 9179: @559292
     /*  559292 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559367), // Rule ID 3103 //
     /*  559297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559365 */     GIR_RootConstrainSelectedInstOperands,
     /*  559366 */     // GIR_Coverage, 3103,
     /*  559366 */     GIR_EraseRootFromParent_Done,
     /*  559367 */   // Label 9180: @559367
     /*  559367 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559442), // Rule ID 3106 //
     /*  559372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559440 */     GIR_RootConstrainSelectedInstOperands,
     /*  559441 */     // GIR_Coverage, 3106,
     /*  559441 */     GIR_EraseRootFromParent_Done,
     /*  559442 */   // Label 9181: @559442
     /*  559442 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559517), // Rule ID 3107 //
     /*  559447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559515 */     GIR_RootConstrainSelectedInstOperands,
     /*  559516 */     // GIR_Coverage, 3107,
     /*  559516 */     GIR_EraseRootFromParent_Done,
     /*  559517 */   // Label 9182: @559517
     /*  559517 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559592), // Rule ID 3110 //
     /*  559522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559590 */     GIR_RootConstrainSelectedInstOperands,
     /*  559591 */     // GIR_Coverage, 3110,
     /*  559591 */     GIR_EraseRootFromParent_Done,
     /*  559592 */   // Label 9183: @559592
     /*  559592 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559667), // Rule ID 3111 //
     /*  559597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559665 */     GIR_RootConstrainSelectedInstOperands,
     /*  559666 */     // GIR_Coverage, 3111,
     /*  559666 */     GIR_EraseRootFromParent_Done,
     /*  559667 */   // Label 9184: @559667
     /*  559667 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(559742), // Rule ID 3114 //
     /*  559672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559740 */     GIR_RootConstrainSelectedInstOperands,
     /*  559741 */     // GIR_Coverage, 3114,
     /*  559741 */     GIR_EraseRootFromParent_Done,
     /*  559742 */   // Label 9185: @559742
     /*  559742 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(559817), // Rule ID 3115 //
     /*  559747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559815 */     GIR_RootConstrainSelectedInstOperands,
     /*  559816 */     // GIR_Coverage, 3115,
     /*  559816 */     GIR_EraseRootFromParent_Done,
     /*  559817 */   // Label 9186: @559817
     /*  559817 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(559892), // Rule ID 3118 //
     /*  559822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559890 */     GIR_RootConstrainSelectedInstOperands,
     /*  559891 */     // GIR_Coverage, 3118,
     /*  559891 */     GIR_EraseRootFromParent_Done,
     /*  559892 */   // Label 9187: @559892
     /*  559892 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(559967), // Rule ID 3119 //
     /*  559897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559965 */     GIR_RootConstrainSelectedInstOperands,
     /*  559966 */     // GIR_Coverage, 3119,
     /*  559966 */     GIR_EraseRootFromParent_Done,
     /*  559967 */   // Label 9188: @559967
     /*  559967 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560042), // Rule ID 3122 //
     /*  559972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560040 */     GIR_RootConstrainSelectedInstOperands,
     /*  560041 */     // GIR_Coverage, 3122,
     /*  560041 */     GIR_EraseRootFromParent_Done,
     /*  560042 */   // Label 9189: @560042
     /*  560042 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560117), // Rule ID 3123 //
     /*  560047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  560058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  560061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  560064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560115 */     GIR_RootConstrainSelectedInstOperands,
     /*  560116 */     // GIR_Coverage, 3123,
     /*  560116 */     GIR_EraseRootFromParent_Done,
     /*  560117 */   // Label 9190: @560117
     /*  560117 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560192), // Rule ID 3126 //
     /*  560122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560190 */     GIR_RootConstrainSelectedInstOperands,
     /*  560191 */     // GIR_Coverage, 3126,
     /*  560191 */     GIR_EraseRootFromParent_Done,
     /*  560192 */   // Label 9191: @560192
     /*  560192 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560267), // Rule ID 3127 //
     /*  560197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560265 */     GIR_RootConstrainSelectedInstOperands,
     /*  560266 */     // GIR_Coverage, 3127,
     /*  560266 */     GIR_EraseRootFromParent_Done,
     /*  560267 */   // Label 9192: @560267
     /*  560267 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560342), // Rule ID 3130 //
     /*  560272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560340 */     GIR_RootConstrainSelectedInstOperands,
     /*  560341 */     // GIR_Coverage, 3130,
     /*  560341 */     GIR_EraseRootFromParent_Done,
     /*  560342 */   // Label 9193: @560342
     /*  560342 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560417), // Rule ID 3131 //
     /*  560347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560415 */     GIR_RootConstrainSelectedInstOperands,
     /*  560416 */     // GIR_Coverage, 3131,
     /*  560416 */     GIR_EraseRootFromParent_Done,
     /*  560417 */   // Label 9194: @560417
     /*  560417 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560492), // Rule ID 3134 //
     /*  560422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560490 */     GIR_RootConstrainSelectedInstOperands,
     /*  560491 */     // GIR_Coverage, 3134,
     /*  560491 */     GIR_EraseRootFromParent_Done,
     /*  560492 */   // Label 9195: @560492
     /*  560492 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560567), // Rule ID 3135 //
     /*  560497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560565 */     GIR_RootConstrainSelectedInstOperands,
     /*  560566 */     // GIR_Coverage, 3135,
     /*  560566 */     GIR_EraseRootFromParent_Done,
     /*  560567 */   // Label 9196: @560567
     /*  560567 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560642), // Rule ID 3226 //
     /*  560572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560618 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  560621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560640 */     GIR_RootConstrainSelectedInstOperands,
     /*  560641 */     // GIR_Coverage, 3226,
     /*  560641 */     GIR_EraseRootFromParent_Done,
     /*  560642 */   // Label 9197: @560642
     /*  560642 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560717), // Rule ID 3227 //
     /*  560647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  560696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560715 */     GIR_RootConstrainSelectedInstOperands,
     /*  560716 */     // GIR_Coverage, 3227,
     /*  560716 */     GIR_EraseRootFromParent_Done,
     /*  560717 */   // Label 9198: @560717
     /*  560717 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(560792), // Rule ID 3230 //
     /*  560722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560790 */     GIR_RootConstrainSelectedInstOperands,
     /*  560791 */     // GIR_Coverage, 3230,
     /*  560791 */     GIR_EraseRootFromParent_Done,
     /*  560792 */   // Label 9199: @560792
     /*  560792 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(560867), // Rule ID 3231 //
     /*  560797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560865 */     GIR_RootConstrainSelectedInstOperands,
     /*  560866 */     // GIR_Coverage, 3231,
     /*  560866 */     GIR_EraseRootFromParent_Done,
     /*  560867 */   // Label 9200: @560867
     /*  560867 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(560942), // Rule ID 3234 //
     /*  560872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  560921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560940 */     GIR_RootConstrainSelectedInstOperands,
     /*  560941 */     // GIR_Coverage, 3234,
     /*  560941 */     GIR_EraseRootFromParent_Done,
     /*  560942 */   // Label 9201: @560942
     /*  560942 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561017), // Rule ID 3235 //
     /*  560947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  560996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561015 */     GIR_RootConstrainSelectedInstOperands,
     /*  561016 */     // GIR_Coverage, 3235,
     /*  561016 */     GIR_EraseRootFromParent_Done,
     /*  561017 */   // Label 9202: @561017
     /*  561017 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561092), // Rule ID 3238 //
     /*  561022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561090 */     GIR_RootConstrainSelectedInstOperands,
     /*  561091 */     // GIR_Coverage, 3238,
     /*  561091 */     GIR_EraseRootFromParent_Done,
     /*  561092 */   // Label 9203: @561092
     /*  561092 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561167), // Rule ID 3239 //
     /*  561097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561165 */     GIR_RootConstrainSelectedInstOperands,
     /*  561166 */     // GIR_Coverage, 3239,
     /*  561166 */     GIR_EraseRootFromParent_Done,
     /*  561167 */   // Label 9204: @561167
     /*  561167 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561242), // Rule ID 3242 //
     /*  561172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561240 */     GIR_RootConstrainSelectedInstOperands,
     /*  561241 */     // GIR_Coverage, 3242,
     /*  561241 */     GIR_EraseRootFromParent_Done,
     /*  561242 */   // Label 9205: @561242
     /*  561242 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561317), // Rule ID 3243 //
     /*  561247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561293 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561315 */     GIR_RootConstrainSelectedInstOperands,
     /*  561316 */     // GIR_Coverage, 3243,
     /*  561316 */     GIR_EraseRootFromParent_Done,
     /*  561317 */   // Label 9206: @561317
     /*  561317 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561392), // Rule ID 3246 //
     /*  561322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561390 */     GIR_RootConstrainSelectedInstOperands,
     /*  561391 */     // GIR_Coverage, 3246,
     /*  561391 */     GIR_EraseRootFromParent_Done,
     /*  561392 */   // Label 9207: @561392
     /*  561392 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561467), // Rule ID 3247 //
     /*  561397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561465 */     GIR_RootConstrainSelectedInstOperands,
     /*  561466 */     // GIR_Coverage, 3247,
     /*  561466 */     GIR_EraseRootFromParent_Done,
     /*  561467 */   // Label 9208: @561467
     /*  561467 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561542), // Rule ID 3250 //
     /*  561472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  561492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561540 */     GIR_RootConstrainSelectedInstOperands,
     /*  561541 */     // GIR_Coverage, 3250,
     /*  561541 */     GIR_EraseRootFromParent_Done,
     /*  561542 */   // Label 9209: @561542
     /*  561542 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561617), // Rule ID 3251 //
     /*  561547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  561567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561615 */     GIR_RootConstrainSelectedInstOperands,
     /*  561616 */     // GIR_Coverage, 3251,
     /*  561616 */     GIR_EraseRootFromParent_Done,
     /*  561617 */   // Label 9210: @561617
     /*  561617 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561692), // Rule ID 3254 //
     /*  561622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561690 */     GIR_RootConstrainSelectedInstOperands,
     /*  561691 */     // GIR_Coverage, 3254,
     /*  561691 */     GIR_EraseRootFromParent_Done,
     /*  561692 */   // Label 9211: @561692
     /*  561692 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(561767), // Rule ID 3255 //
     /*  561697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561765 */     GIR_RootConstrainSelectedInstOperands,
     /*  561766 */     // GIR_Coverage, 3255,
     /*  561766 */     GIR_EraseRootFromParent_Done,
     /*  561767 */   // Label 9212: @561767
     /*  561767 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(561842), // Rule ID 3258 //
     /*  561772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561840 */     GIR_RootConstrainSelectedInstOperands,
     /*  561841 */     // GIR_Coverage, 3258,
     /*  561841 */     GIR_EraseRootFromParent_Done,
     /*  561842 */   // Label 9213: @561842
     /*  561842 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(561917), // Rule ID 3259 //
     /*  561847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561915 */     GIR_RootConstrainSelectedInstOperands,
     /*  561916 */     // GIR_Coverage, 3259,
     /*  561916 */     GIR_EraseRootFromParent_Done,
     /*  561917 */   // Label 9214: @561917
     /*  561917 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(561992), // Rule ID 3262 //
     /*  561922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  561942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561990 */     GIR_RootConstrainSelectedInstOperands,
     /*  561991 */     // GIR_Coverage, 3262,
     /*  561991 */     GIR_EraseRootFromParent_Done,
     /*  561992 */   // Label 9215: @561992
     /*  561992 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562067), // Rule ID 3263 //
     /*  561997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  562008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  562011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  562014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  562017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562065 */     GIR_RootConstrainSelectedInstOperands,
     /*  562066 */     // GIR_Coverage, 3263,
     /*  562066 */     GIR_EraseRootFromParent_Done,
     /*  562067 */   // Label 9216: @562067
     /*  562067 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562142), // Rule ID 3266 //
     /*  562072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  562092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562140 */     GIR_RootConstrainSelectedInstOperands,
     /*  562141 */     // GIR_Coverage, 3266,
     /*  562141 */     GIR_EraseRootFromParent_Done,
     /*  562142 */   // Label 9217: @562142
     /*  562142 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562217), // Rule ID 3267 //
     /*  562147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  562167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562193 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562215 */     GIR_RootConstrainSelectedInstOperands,
     /*  562216 */     // GIR_Coverage, 3267,
     /*  562216 */     GIR_EraseRootFromParent_Done,
     /*  562217 */   // Label 9218: @562217
     /*  562217 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562292), // Rule ID 3270 //
     /*  562222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562290 */     GIR_RootConstrainSelectedInstOperands,
     /*  562291 */     // GIR_Coverage, 3270,
     /*  562291 */     GIR_EraseRootFromParent_Done,
     /*  562292 */   // Label 9219: @562292
     /*  562292 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562367), // Rule ID 3271 //
     /*  562297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562343 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562365 */     GIR_RootConstrainSelectedInstOperands,
     /*  562366 */     // GIR_Coverage, 3271,
     /*  562366 */     GIR_EraseRootFromParent_Done,
     /*  562367 */   // Label 9220: @562367
     /*  562367 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562442), // Rule ID 3274 //
     /*  562372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562418 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562440 */     GIR_RootConstrainSelectedInstOperands,
     /*  562441 */     // GIR_Coverage, 3274,
     /*  562441 */     GIR_EraseRootFromParent_Done,
     /*  562442 */   // Label 9221: @562442
     /*  562442 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562517), // Rule ID 3275 //
     /*  562447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562493 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562515 */     GIR_RootConstrainSelectedInstOperands,
     /*  562516 */     // GIR_Coverage, 3275,
     /*  562516 */     GIR_EraseRootFromParent_Done,
     /*  562517 */   // Label 9222: @562517
     /*  562517 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562592), // Rule ID 3278 //
     /*  562522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  562542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562590 */     GIR_RootConstrainSelectedInstOperands,
     /*  562591 */     // GIR_Coverage, 3278,
     /*  562591 */     GIR_EraseRootFromParent_Done,
     /*  562592 */   // Label 9223: @562592
     /*  562592 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562667), // Rule ID 3279 //
     /*  562597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  562617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562665 */     GIR_RootConstrainSelectedInstOperands,
     /*  562666 */     // GIR_Coverage, 3279,
     /*  562666 */     GIR_EraseRootFromParent_Done,
     /*  562667 */   // Label 9224: @562667
     /*  562667 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(562742), // Rule ID 3282 //
     /*  562672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  562692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562740 */     GIR_RootConstrainSelectedInstOperands,
     /*  562741 */     // GIR_Coverage, 3282,
     /*  562741 */     GIR_EraseRootFromParent_Done,
     /*  562742 */   // Label 9225: @562742
     /*  562742 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(562817), // Rule ID 3283 //
     /*  562747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  562767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562815 */     GIR_RootConstrainSelectedInstOperands,
     /*  562816 */     // GIR_Coverage, 3283,
     /*  562816 */     GIR_EraseRootFromParent_Done,
     /*  562817 */   // Label 9226: @562817
     /*  562817 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(562892), // Rule ID 3286 //
     /*  562822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  562842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562890 */     GIR_RootConstrainSelectedInstOperands,
     /*  562891 */     // GIR_Coverage, 3286,
     /*  562891 */     GIR_EraseRootFromParent_Done,
     /*  562892 */   // Label 9227: @562892
     /*  562892 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(562967), // Rule ID 3287 //
     /*  562897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  562917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562965 */     GIR_RootConstrainSelectedInstOperands,
     /*  562966 */     // GIR_Coverage, 3287,
     /*  562966 */     GIR_EraseRootFromParent_Done,
     /*  562967 */   // Label 9228: @562967
     /*  562967 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563042), // Rule ID 3290 //
     /*  562972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  562992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563040 */     GIR_RootConstrainSelectedInstOperands,
     /*  563041 */     // GIR_Coverage, 3290,
     /*  563041 */     GIR_EraseRootFromParent_Done,
     /*  563042 */   // Label 9229: @563042
     /*  563042 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563117), // Rule ID 3291 //
     /*  563047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  563067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563115 */     GIR_RootConstrainSelectedInstOperands,
     /*  563116 */     // GIR_Coverage, 3291,
     /*  563116 */     GIR_EraseRootFromParent_Done,
     /*  563117 */   // Label 9230: @563117
     /*  563117 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563192), // Rule ID 3294 //
     /*  563122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  563142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563190 */     GIR_RootConstrainSelectedInstOperands,
     /*  563191 */     // GIR_Coverage, 3294,
     /*  563191 */     GIR_EraseRootFromParent_Done,
     /*  563192 */   // Label 9231: @563192
     /*  563192 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563267), // Rule ID 3295 //
     /*  563197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  563217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563265 */     GIR_RootConstrainSelectedInstOperands,
     /*  563266 */     // GIR_Coverage, 3295,
     /*  563266 */     GIR_EraseRootFromParent_Done,
     /*  563267 */   // Label 9232: @563267
     /*  563267 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563342), // Rule ID 3298 //
     /*  563272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563340 */     GIR_RootConstrainSelectedInstOperands,
     /*  563341 */     // GIR_Coverage, 3298,
     /*  563341 */     GIR_EraseRootFromParent_Done,
     /*  563342 */   // Label 9233: @563342
     /*  563342 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563417), // Rule ID 3299 //
     /*  563347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563415 */     GIR_RootConstrainSelectedInstOperands,
     /*  563416 */     // GIR_Coverage, 3299,
     /*  563416 */     GIR_EraseRootFromParent_Done,
     /*  563417 */   // Label 9234: @563417
     /*  563417 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563492), // Rule ID 3302 //
     /*  563422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563490 */     GIR_RootConstrainSelectedInstOperands,
     /*  563491 */     // GIR_Coverage, 3302,
     /*  563491 */     GIR_EraseRootFromParent_Done,
     /*  563492 */   // Label 9235: @563492
     /*  563492 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563567), // Rule ID 3303 //
     /*  563497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563565 */     GIR_RootConstrainSelectedInstOperands,
     /*  563566 */     // GIR_Coverage, 3303,
     /*  563566 */     GIR_EraseRootFromParent_Done,
     /*  563567 */   // Label 9236: @563567
     /*  563567 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563642), // Rule ID 3306 //
     /*  563572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  563592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563640 */     GIR_RootConstrainSelectedInstOperands,
     /*  563641 */     // GIR_Coverage, 3306,
     /*  563641 */     GIR_EraseRootFromParent_Done,
     /*  563642 */   // Label 9237: @563642
     /*  563642 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563717), // Rule ID 3307 //
     /*  563647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  563667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563715 */     GIR_RootConstrainSelectedInstOperands,
     /*  563716 */     // GIR_Coverage, 3307,
     /*  563716 */     GIR_EraseRootFromParent_Done,
     /*  563717 */   // Label 9238: @563717
     /*  563717 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(563792), // Rule ID 3310 //
     /*  563722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  563742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563790 */     GIR_RootConstrainSelectedInstOperands,
     /*  563791 */     // GIR_Coverage, 3310,
     /*  563791 */     GIR_EraseRootFromParent_Done,
     /*  563792 */   // Label 9239: @563792
     /*  563792 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(563867), // Rule ID 3311 //
     /*  563797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  563817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563865 */     GIR_RootConstrainSelectedInstOperands,
     /*  563866 */     // GIR_Coverage, 3311,
     /*  563866 */     GIR_EraseRootFromParent_Done,
     /*  563867 */   // Label 9240: @563867
     /*  563867 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(563942), // Rule ID 3314 //
     /*  563872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563918 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  563921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563940 */     GIR_RootConstrainSelectedInstOperands,
     /*  563941 */     // GIR_Coverage, 3314,
     /*  563941 */     GIR_EraseRootFromParent_Done,
     /*  563942 */   // Label 9241: @563942
     /*  563942 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564017), // Rule ID 3315 //
     /*  563947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563993 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  563996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564015 */     GIR_RootConstrainSelectedInstOperands,
     /*  564016 */     // GIR_Coverage, 3315,
     /*  564016 */     GIR_EraseRootFromParent_Done,
     /*  564017 */   // Label 9242: @564017
     /*  564017 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564092), // Rule ID 3318 //
     /*  564022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564090 */     GIR_RootConstrainSelectedInstOperands,
     /*  564091 */     // GIR_Coverage, 3318,
     /*  564091 */     GIR_EraseRootFromParent_Done,
     /*  564092 */   // Label 9243: @564092
     /*  564092 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564167), // Rule ID 3319 //
     /*  564097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564165 */     GIR_RootConstrainSelectedInstOperands,
     /*  564166 */     // GIR_Coverage, 3319,
     /*  564166 */     GIR_EraseRootFromParent_Done,
     /*  564167 */   // Label 9244: @564167
     /*  564167 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564242), // Rule ID 3322 //
     /*  564172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  564183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  564186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564240 */     GIR_RootConstrainSelectedInstOperands,
     /*  564241 */     // GIR_Coverage, 3322,
     /*  564241 */     GIR_EraseRootFromParent_Done,
     /*  564242 */   // Label 9245: @564242
     /*  564242 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564317), // Rule ID 3323 //
     /*  564247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  564258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  564261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564293 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564315 */     GIR_RootConstrainSelectedInstOperands,
     /*  564316 */     // GIR_Coverage, 3323,
     /*  564316 */     GIR_EraseRootFromParent_Done,
     /*  564317 */   // Label 9246: @564317
     /*  564317 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564392), // Rule ID 3326 //
     /*  564322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564390 */     GIR_RootConstrainSelectedInstOperands,
     /*  564391 */     // GIR_Coverage, 3326,
     /*  564391 */     GIR_EraseRootFromParent_Done,
     /*  564392 */   // Label 9247: @564392
     /*  564392 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564467), // Rule ID 3327 //
     /*  564397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564465 */     GIR_RootConstrainSelectedInstOperands,
     /*  564466 */     // GIR_Coverage, 3327,
     /*  564466 */     GIR_EraseRootFromParent_Done,
     /*  564467 */   // Label 9248: @564467
     /*  564467 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564542), // Rule ID 3330 //
     /*  564472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564540 */     GIR_RootConstrainSelectedInstOperands,
     /*  564541 */     // GIR_Coverage, 3330,
     /*  564541 */     GIR_EraseRootFromParent_Done,
     /*  564542 */   // Label 9249: @564542
     /*  564542 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564617), // Rule ID 3331 //
     /*  564547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564615 */     GIR_RootConstrainSelectedInstOperands,
     /*  564616 */     // GIR_Coverage, 3331,
     /*  564616 */     GIR_EraseRootFromParent_Done,
     /*  564617 */   // Label 9250: @564617
     /*  564617 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564692), // Rule ID 3334 //
     /*  564622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564690 */     GIR_RootConstrainSelectedInstOperands,
     /*  564691 */     // GIR_Coverage, 3334,
     /*  564691 */     GIR_EraseRootFromParent_Done,
     /*  564692 */   // Label 9251: @564692
     /*  564692 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(564767), // Rule ID 3335 //
     /*  564697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564765 */     GIR_RootConstrainSelectedInstOperands,
     /*  564766 */     // GIR_Coverage, 3335,
     /*  564766 */     GIR_EraseRootFromParent_Done,
     /*  564767 */   // Label 9252: @564767
     /*  564767 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(564842), // Rule ID 3338 //
     /*  564772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564818 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564840 */     GIR_RootConstrainSelectedInstOperands,
     /*  564841 */     // GIR_Coverage, 3338,
     /*  564841 */     GIR_EraseRootFromParent_Done,
     /*  564842 */   // Label 9253: @564842
     /*  564842 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(564917), // Rule ID 3339 //
     /*  564847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564893 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11573:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564915 */     GIR_RootConstrainSelectedInstOperands,
     /*  564916 */     // GIR_Coverage, 3339,
     /*  564916 */     GIR_EraseRootFromParent_Done,
     /*  564917 */   // Label 9254: @564917
     /*  564917 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(564992), // Rule ID 3342 //
     /*  564922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  564939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564990 */     GIR_RootConstrainSelectedInstOperands,
     /*  564991 */     // GIR_Coverage, 3342,
     /*  564991 */     GIR_EraseRootFromParent_Done,
     /*  564992 */   // Label 9255: @564992
     /*  564992 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565067), // Rule ID 3343 //
     /*  564997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  565011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565065 */     GIR_RootConstrainSelectedInstOperands,
     /*  565066 */     // GIR_Coverage, 3343,
     /*  565066 */     GIR_EraseRootFromParent_Done,
     /*  565067 */   // Label 9256: @565067
     /*  565067 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565142), // Rule ID 3346 //
     /*  565072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565140 */     GIR_RootConstrainSelectedInstOperands,
     /*  565141 */     // GIR_Coverage, 3346,
     /*  565141 */     GIR_EraseRootFromParent_Done,
     /*  565142 */   // Label 9257: @565142
     /*  565142 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565217), // Rule ID 3347 //
     /*  565147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565215 */     GIR_RootConstrainSelectedInstOperands,
     /*  565216 */     // GIR_Coverage, 3347,
     /*  565216 */     GIR_EraseRootFromParent_Done,
     /*  565217 */   // Label 9258: @565217
     /*  565217 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565292), // Rule ID 3350 //
     /*  565222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565290 */     GIR_RootConstrainSelectedInstOperands,
     /*  565291 */     // GIR_Coverage, 3350,
     /*  565291 */     GIR_EraseRootFromParent_Done,
     /*  565292 */   // Label 9259: @565292
     /*  565292 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565367), // Rule ID 3351 //
     /*  565297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565343 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565365 */     GIR_RootConstrainSelectedInstOperands,
     /*  565366 */     // GIR_Coverage, 3351,
     /*  565366 */     GIR_EraseRootFromParent_Done,
     /*  565367 */   // Label 9260: @565367
     /*  565367 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565442), // Rule ID 3354 //
     /*  565372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565440 */     GIR_RootConstrainSelectedInstOperands,
     /*  565441 */     // GIR_Coverage, 3354,
     /*  565441 */     GIR_EraseRootFromParent_Done,
     /*  565442 */   // Label 9261: @565442
     /*  565442 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565517), // Rule ID 3355 //
     /*  565447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565515 */     GIR_RootConstrainSelectedInstOperands,
     /*  565516 */     // GIR_Coverage, 3355,
     /*  565516 */     GIR_EraseRootFromParent_Done,
     /*  565517 */   // Label 9262: @565517
     /*  565517 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565592), // Rule ID 3358 //
     /*  565522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565590 */     GIR_RootConstrainSelectedInstOperands,
     /*  565591 */     // GIR_Coverage, 3358,
     /*  565591 */     GIR_EraseRootFromParent_Done,
     /*  565592 */   // Label 9263: @565592
     /*  565592 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565667), // Rule ID 3359 //
     /*  565597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565665 */     GIR_RootConstrainSelectedInstOperands,
     /*  565666 */     // GIR_Coverage, 3359,
     /*  565666 */     GIR_EraseRootFromParent_Done,
     /*  565667 */   // Label 9264: @565667
     /*  565667 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(565742), // Rule ID 3362 //
     /*  565672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  565721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565740 */     GIR_RootConstrainSelectedInstOperands,
     /*  565741 */     // GIR_Coverage, 3362,
     /*  565741 */     GIR_EraseRootFromParent_Done,
     /*  565742 */   // Label 9265: @565742
     /*  565742 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(565817), // Rule ID 3363 //
     /*  565747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  565796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565815 */     GIR_RootConstrainSelectedInstOperands,
     /*  565816 */     // GIR_Coverage, 3363,
     /*  565816 */     GIR_EraseRootFromParent_Done,
     /*  565817 */   // Label 9266: @565817
     /*  565817 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(565892), // Rule ID 3366 //
     /*  565822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565890 */     GIR_RootConstrainSelectedInstOperands,
     /*  565891 */     // GIR_Coverage, 3366,
     /*  565891 */     GIR_EraseRootFromParent_Done,
     /*  565892 */   // Label 9267: @565892
     /*  565892 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(565967), // Rule ID 3367 //
     /*  565897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565965 */     GIR_RootConstrainSelectedInstOperands,
     /*  565966 */     // GIR_Coverage, 3367,
     /*  565966 */     GIR_EraseRootFromParent_Done,
     /*  565967 */   // Label 9268: @565967
     /*  565967 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566042), // Rule ID 3370 //
     /*  565972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566040 */     GIR_RootConstrainSelectedInstOperands,
     /*  566041 */     // GIR_Coverage, 3370,
     /*  566041 */     GIR_EraseRootFromParent_Done,
     /*  566042 */   // Label 9269: @566042
     /*  566042 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566117), // Rule ID 3371 //
     /*  566047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566115 */     GIR_RootConstrainSelectedInstOperands,
     /*  566116 */     // GIR_Coverage, 3371,
     /*  566116 */     GIR_EraseRootFromParent_Done,
     /*  566117 */   // Label 9270: @566117
     /*  566117 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566192), // Rule ID 3374 //
     /*  566122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566190 */     GIR_RootConstrainSelectedInstOperands,
     /*  566191 */     // GIR_Coverage, 3374,
     /*  566191 */     GIR_EraseRootFromParent_Done,
     /*  566192 */   // Label 9271: @566192
     /*  566192 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566267), // Rule ID 3375 //
     /*  566197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566265 */     GIR_RootConstrainSelectedInstOperands,
     /*  566266 */     // GIR_Coverage, 3375,
     /*  566266 */     GIR_EraseRootFromParent_Done,
     /*  566267 */   // Label 9272: @566267
     /*  566267 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566342), // Rule ID 3378 //
     /*  566272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566340 */     GIR_RootConstrainSelectedInstOperands,
     /*  566341 */     // GIR_Coverage, 3378,
     /*  566341 */     GIR_EraseRootFromParent_Done,
     /*  566342 */   // Label 9273: @566342
     /*  566342 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566417), // Rule ID 3379 //
     /*  566347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566415 */     GIR_RootConstrainSelectedInstOperands,
     /*  566416 */     // GIR_Coverage, 3379,
     /*  566416 */     GIR_EraseRootFromParent_Done,
     /*  566417 */   // Label 9274: @566417
     /*  566417 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566492), // Rule ID 3382 //
     /*  566422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566490 */     GIR_RootConstrainSelectedInstOperands,
     /*  566491 */     // GIR_Coverage, 3382,
     /*  566491 */     GIR_EraseRootFromParent_Done,
     /*  566492 */   // Label 9275: @566492
     /*  566492 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566567), // Rule ID 3383 //
     /*  566497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566565 */     GIR_RootConstrainSelectedInstOperands,
     /*  566566 */     // GIR_Coverage, 3383,
     /*  566566 */     GIR_EraseRootFromParent_Done,
     /*  566567 */   // Label 9276: @566567
     /*  566567 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566642), // Rule ID 3386 //
     /*  566572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566640 */     GIR_RootConstrainSelectedInstOperands,
     /*  566641 */     // GIR_Coverage, 3386,
     /*  566641 */     GIR_EraseRootFromParent_Done,
     /*  566642 */   // Label 9277: @566642
     /*  566642 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566717), // Rule ID 3387 //
     /*  566647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566715 */     GIR_RootConstrainSelectedInstOperands,
     /*  566716 */     // GIR_Coverage, 3387,
     /*  566716 */     GIR_EraseRootFromParent_Done,
     /*  566717 */   // Label 9278: @566717
     /*  566717 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(566792), // Rule ID 3390 //
     /*  566722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566790 */     GIR_RootConstrainSelectedInstOperands,
     /*  566791 */     // GIR_Coverage, 3390,
     /*  566791 */     GIR_EraseRootFromParent_Done,
     /*  566792 */   // Label 9279: @566792
     /*  566792 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(566867), // Rule ID 3391 //
     /*  566797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566865 */     GIR_RootConstrainSelectedInstOperands,
     /*  566866 */     // GIR_Coverage, 3391,
     /*  566866 */     GIR_EraseRootFromParent_Done,
     /*  566867 */   // Label 9280: @566867
     /*  566867 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(566942), // Rule ID 3394 //
     /*  566872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566940 */     GIR_RootConstrainSelectedInstOperands,
     /*  566941 */     // GIR_Coverage, 3394,
     /*  566941 */     GIR_EraseRootFromParent_Done,
     /*  566942 */   // Label 9281: @566942
     /*  566942 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567017), // Rule ID 3395 //
     /*  566947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566993 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567015 */     GIR_RootConstrainSelectedInstOperands,
     /*  567016 */     // GIR_Coverage, 3395,
     /*  567016 */     GIR_EraseRootFromParent_Done,
     /*  567017 */   // Label 9282: @567017
     /*  567017 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567092), // Rule ID 3398 //
     /*  567022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  567025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  567068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567090 */     GIR_RootConstrainSelectedInstOperands,
     /*  567091 */     // GIR_Coverage, 3398,
     /*  567091 */     GIR_EraseRootFromParent_Done,
     /*  567092 */   // Label 9283: @567092
     /*  567092 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567167), // Rule ID 3399 //
     /*  567097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  567100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  567143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567165 */     GIR_RootConstrainSelectedInstOperands,
     /*  567166 */     // GIR_Coverage, 3399,
     /*  567166 */     GIR_EraseRootFromParent_Done,
     /*  567167 */   // Label 9284: @567167
     /*  567167 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567242), // Rule ID 3402 //
     /*  567172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567240 */     GIR_RootConstrainSelectedInstOperands,
     /*  567241 */     // GIR_Coverage, 3402,
     /*  567241 */     GIR_EraseRootFromParent_Done,
     /*  567242 */   // Label 9285: @567242
     /*  567242 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567317), // Rule ID 3403 //
     /*  567247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567315 */     GIR_RootConstrainSelectedInstOperands,
     /*  567316 */     // GIR_Coverage, 3403,
     /*  567316 */     GIR_EraseRootFromParent_Done,
     /*  567317 */   // Label 9286: @567317
     /*  567317 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567392), // Rule ID 3406 //
     /*  567322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567390 */     GIR_RootConstrainSelectedInstOperands,
     /*  567391 */     // GIR_Coverage, 3406,
     /*  567391 */     GIR_EraseRootFromParent_Done,
     /*  567392 */   // Label 9287: @567392
     /*  567392 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567467), // Rule ID 3407 //
     /*  567397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567465 */     GIR_RootConstrainSelectedInstOperands,
     /*  567466 */     // GIR_Coverage, 3407,
     /*  567466 */     GIR_EraseRootFromParent_Done,
     /*  567467 */   // Label 9288: @567467
     /*  567467 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567542), // Rule ID 3410 //
     /*  567472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567540 */     GIR_RootConstrainSelectedInstOperands,
     /*  567541 */     // GIR_Coverage, 3410,
     /*  567541 */     GIR_EraseRootFromParent_Done,
     /*  567542 */   // Label 9289: @567542
     /*  567542 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567617), // Rule ID 3411 //
     /*  567547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567615 */     GIR_RootConstrainSelectedInstOperands,
     /*  567616 */     // GIR_Coverage, 3411,
     /*  567616 */     GIR_EraseRootFromParent_Done,
     /*  567617 */   // Label 9290: @567617
     /*  567617 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567692), // Rule ID 3414 //
     /*  567622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567690 */     GIR_RootConstrainSelectedInstOperands,
     /*  567691 */     // GIR_Coverage, 3414,
     /*  567691 */     GIR_EraseRootFromParent_Done,
     /*  567692 */   // Label 9291: @567692
     /*  567692 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(567767), // Rule ID 3415 //
     /*  567697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567765 */     GIR_RootConstrainSelectedInstOperands,
     /*  567766 */     // GIR_Coverage, 3415,
     /*  567766 */     GIR_EraseRootFromParent_Done,
     /*  567767 */   // Label 9292: @567767
     /*  567767 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(567842), // Rule ID 3418 //
     /*  567772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  567783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  567786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567840 */     GIR_RootConstrainSelectedInstOperands,
     /*  567841 */     // GIR_Coverage, 3418,
     /*  567841 */     GIR_EraseRootFromParent_Done,
     /*  567842 */   // Label 9293: @567842
     /*  567842 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(567917), // Rule ID 3419 //
     /*  567847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  567858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  567861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567915 */     GIR_RootConstrainSelectedInstOperands,
     /*  567916 */     // GIR_Coverage, 3419,
     /*  567916 */     GIR_EraseRootFromParent_Done,
     /*  567917 */   // Label 9294: @567917
     /*  567917 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(567992), // Rule ID 3422 //
     /*  567922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567990 */     GIR_RootConstrainSelectedInstOperands,
     /*  567991 */     // GIR_Coverage, 3422,
     /*  567991 */     GIR_EraseRootFromParent_Done,
     /*  567992 */   // Label 9295: @567992
     /*  567992 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568067), // Rule ID 3423 //
     /*  567997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568065 */     GIR_RootConstrainSelectedInstOperands,
     /*  568066 */     // GIR_Coverage, 3423,
     /*  568066 */     GIR_EraseRootFromParent_Done,
     /*  568067 */   // Label 9296: @568067
     /*  568067 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568142), // Rule ID 3426 //
     /*  568072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568140 */     GIR_RootConstrainSelectedInstOperands,
     /*  568141 */     // GIR_Coverage, 3426,
     /*  568141 */     GIR_EraseRootFromParent_Done,
     /*  568142 */   // Label 9297: @568142
     /*  568142 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568217), // Rule ID 3427 //
     /*  568147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568215 */     GIR_RootConstrainSelectedInstOperands,
     /*  568216 */     // GIR_Coverage, 3427,
     /*  568216 */     GIR_EraseRootFromParent_Done,
     /*  568217 */   // Label 9298: @568217
     /*  568217 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568292), // Rule ID 3430 //
     /*  568222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568290 */     GIR_RootConstrainSelectedInstOperands,
     /*  568291 */     // GIR_Coverage, 3430,
     /*  568291 */     GIR_EraseRootFromParent_Done,
     /*  568292 */   // Label 9299: @568292
     /*  568292 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568367), // Rule ID 3431 //
     /*  568297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568365 */     GIR_RootConstrainSelectedInstOperands,
     /*  568366 */     // GIR_Coverage, 3431,
     /*  568366 */     GIR_EraseRootFromParent_Done,
     /*  568367 */   // Label 9300: @568367
     /*  568367 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568442), // Rule ID 3434 //
     /*  568372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568440 */     GIR_RootConstrainSelectedInstOperands,
     /*  568441 */     // GIR_Coverage, 3434,
     /*  568441 */     GIR_EraseRootFromParent_Done,
     /*  568442 */   // Label 9301: @568442
     /*  568442 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568517), // Rule ID 3435 //
     /*  568447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568515 */     GIR_RootConstrainSelectedInstOperands,
     /*  568516 */     // GIR_Coverage, 3435,
     /*  568516 */     GIR_EraseRootFromParent_Done,
     /*  568517 */   // Label 9302: @568517
     /*  568517 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568592), // Rule ID 3438 //
     /*  568522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  568525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  568568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  568587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568590 */     GIR_RootConstrainSelectedInstOperands,
     /*  568591 */     // GIR_Coverage, 3438,
     /*  568591 */     GIR_EraseRootFromParent_Done,
     /*  568592 */   // Label 9303: @568592
     /*  568592 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568667), // Rule ID 3439 //
     /*  568597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  568600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  568643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  568662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568665 */     GIR_RootConstrainSelectedInstOperands,
     /*  568666 */     // GIR_Coverage, 3439,
     /*  568666 */     GIR_EraseRootFromParent_Done,
     /*  568667 */   // Label 9304: @568667
     /*  568667 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(568742), // Rule ID 3442 //
     /*  568672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  568721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568740 */     GIR_RootConstrainSelectedInstOperands,
     /*  568741 */     // GIR_Coverage, 3442,
     /*  568741 */     GIR_EraseRootFromParent_Done,
     /*  568742 */   // Label 9305: @568742
     /*  568742 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(568817), // Rule ID 3443 //
     /*  568747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  568796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568815 */     GIR_RootConstrainSelectedInstOperands,
     /*  568816 */     // GIR_Coverage, 3443,
     /*  568816 */     GIR_EraseRootFromParent_Done,
     /*  568817 */   // Label 9306: @568817
     /*  568817 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(568892), // Rule ID 3446 //
     /*  568822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  568871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568890 */     GIR_RootConstrainSelectedInstOperands,
     /*  568891 */     // GIR_Coverage, 3446,
     /*  568891 */     GIR_EraseRootFromParent_Done,
     /*  568892 */   // Label 9307: @568892
     /*  568892 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(568967), // Rule ID 3447 //
     /*  568897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  568946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568965 */     GIR_RootConstrainSelectedInstOperands,
     /*  568966 */     // GIR_Coverage, 3447,
     /*  568966 */     GIR_EraseRootFromParent_Done,
     /*  568967 */   // Label 9308: @568967
     /*  568967 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569042), // Rule ID 3450 //
     /*  568972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  568983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  568986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  568989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569040 */     GIR_RootConstrainSelectedInstOperands,
     /*  569041 */     // GIR_Coverage, 3450,
     /*  569041 */     GIR_EraseRootFromParent_Done,
     /*  569042 */   // Label 9309: @569042
     /*  569042 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569117), // Rule ID 3451 //
     /*  569047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  569058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  569061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  569064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569115 */     GIR_RootConstrainSelectedInstOperands,
     /*  569116 */     // GIR_Coverage, 3451,
     /*  569116 */     GIR_EraseRootFromParent_Done,
     /*  569117 */   // Label 9310: @569117
     /*  569117 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569192), // Rule ID 3454 //
     /*  569122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569190 */     GIR_RootConstrainSelectedInstOperands,
     /*  569191 */     // GIR_Coverage, 3454,
     /*  569191 */     GIR_EraseRootFromParent_Done,
     /*  569192 */   // Label 9311: @569192
     /*  569192 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569267), // Rule ID 3455 //
     /*  569197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569265 */     GIR_RootConstrainSelectedInstOperands,
     /*  569266 */     // GIR_Coverage, 3455,
     /*  569266 */     GIR_EraseRootFromParent_Done,
     /*  569267 */   // Label 9312: @569267
     /*  569267 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569342), // Rule ID 3458 //
     /*  569272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569340 */     GIR_RootConstrainSelectedInstOperands,
     /*  569341 */     // GIR_Coverage, 3458,
     /*  569341 */     GIR_EraseRootFromParent_Done,
     /*  569342 */   // Label 9313: @569342
     /*  569342 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569417), // Rule ID 3459 //
     /*  569347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569415 */     GIR_RootConstrainSelectedInstOperands,
     /*  569416 */     // GIR_Coverage, 3459,
     /*  569416 */     GIR_EraseRootFromParent_Done,
     /*  569417 */   // Label 9314: @569417
     /*  569417 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569492), // Rule ID 3462 //
     /*  569422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569490 */     GIR_RootConstrainSelectedInstOperands,
     /*  569491 */     // GIR_Coverage, 3462,
     /*  569491 */     GIR_EraseRootFromParent_Done,
     /*  569492 */   // Label 9315: @569492
     /*  569492 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569567), // Rule ID 3463 //
     /*  569497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569565 */     GIR_RootConstrainSelectedInstOperands,
     /*  569566 */     // GIR_Coverage, 3463,
     /*  569566 */     GIR_EraseRootFromParent_Done,
     /*  569567 */   // Label 9316: @569567
     /*  569567 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569642), // Rule ID 3466 //
     /*  569572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569640 */     GIR_RootConstrainSelectedInstOperands,
     /*  569641 */     // GIR_Coverage, 3466,
     /*  569641 */     GIR_EraseRootFromParent_Done,
     /*  569642 */   // Label 9317: @569642
     /*  569642 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569717), // Rule ID 3467 //
     /*  569647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569715 */     GIR_RootConstrainSelectedInstOperands,
     /*  569716 */     // GIR_Coverage, 3467,
     /*  569716 */     GIR_EraseRootFromParent_Done,
     /*  569717 */   // Label 9318: @569717
     /*  569717 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(569792), // Rule ID 3470 //
     /*  569722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569790 */     GIR_RootConstrainSelectedInstOperands,
     /*  569791 */     // GIR_Coverage, 3470,
     /*  569791 */     GIR_EraseRootFromParent_Done,
     /*  569792 */   // Label 9319: @569792
     /*  569792 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(569867), // Rule ID 3471 //
     /*  569797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569865 */     GIR_RootConstrainSelectedInstOperands,
     /*  569866 */     // GIR_Coverage, 3471,
     /*  569866 */     GIR_EraseRootFromParent_Done,
     /*  569867 */   // Label 9320: @569867
     /*  569867 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(569942), // Rule ID 3474 //
     /*  569872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569940 */     GIR_RootConstrainSelectedInstOperands,
     /*  569941 */     // GIR_Coverage, 3474,
     /*  569941 */     GIR_EraseRootFromParent_Done,
     /*  569942 */   // Label 9321: @569942
     /*  569942 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570017), // Rule ID 3475 //
     /*  569947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570015 */     GIR_RootConstrainSelectedInstOperands,
     /*  570016 */     // GIR_Coverage, 3475,
     /*  570016 */     GIR_EraseRootFromParent_Done,
     /*  570017 */   // Label 9322: @570017
     /*  570017 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570092), // Rule ID 3478 //
     /*  570022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  570039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570090 */     GIR_RootConstrainSelectedInstOperands,
     /*  570091 */     // GIR_Coverage, 3478,
     /*  570091 */     GIR_EraseRootFromParent_Done,
     /*  570092 */   // Label 9323: @570092
     /*  570092 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570167), // Rule ID 3479 //
     /*  570097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  570114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570165 */     GIR_RootConstrainSelectedInstOperands,
     /*  570166 */     // GIR_Coverage, 3479,
     /*  570166 */     GIR_EraseRootFromParent_Done,
     /*  570167 */   // Label 9324: @570167
     /*  570167 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570242), // Rule ID 3482 //
     /*  570172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  570189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570240 */     GIR_RootConstrainSelectedInstOperands,
     /*  570241 */     // GIR_Coverage, 3482,
     /*  570241 */     GIR_EraseRootFromParent_Done,
     /*  570242 */   // Label 9325: @570242
     /*  570242 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570317), // Rule ID 3483 //
     /*  570247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  570264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570315 */     GIR_RootConstrainSelectedInstOperands,
     /*  570316 */     // GIR_Coverage, 3483,
     /*  570316 */     GIR_EraseRootFromParent_Done,
     /*  570317 */   // Label 9326: @570317
     /*  570317 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570392), // Rule ID 3486 //
     /*  570322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570390 */     GIR_RootConstrainSelectedInstOperands,
     /*  570391 */     // GIR_Coverage, 3486,
     /*  570391 */     GIR_EraseRootFromParent_Done,
     /*  570392 */   // Label 9327: @570392
     /*  570392 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570467), // Rule ID 3487 //
     /*  570397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570465 */     GIR_RootConstrainSelectedInstOperands,
     /*  570466 */     // GIR_Coverage, 3487,
     /*  570466 */     GIR_EraseRootFromParent_Done,
     /*  570467 */   // Label 9328: @570467
     /*  570467 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570542), // Rule ID 3578 //
     /*  570472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  570521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570540 */     GIR_RootConstrainSelectedInstOperands,
     /*  570541 */     // GIR_Coverage, 3578,
     /*  570541 */     GIR_EraseRootFromParent_Done,
     /*  570542 */   // Label 9329: @570542
     /*  570542 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570617), // Rule ID 3579 //
     /*  570547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  570596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570615 */     GIR_RootConstrainSelectedInstOperands,
     /*  570616 */     // GIR_Coverage, 3579,
     /*  570616 */     GIR_EraseRootFromParent_Done,
     /*  570617 */   // Label 9330: @570617
     /*  570617 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570692), // Rule ID 3582 //
     /*  570622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  570671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570690 */     GIR_RootConstrainSelectedInstOperands,
     /*  570691 */     // GIR_Coverage, 3582,
     /*  570691 */     GIR_EraseRootFromParent_Done,
     /*  570692 */   // Label 9331: @570692
     /*  570692 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(570767), // Rule ID 3583 //
     /*  570697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  570746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570765 */     GIR_RootConstrainSelectedInstOperands,
     /*  570766 */     // GIR_Coverage, 3583,
     /*  570766 */     GIR_EraseRootFromParent_Done,
     /*  570767 */   // Label 9332: @570767
     /*  570767 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(570842), // Rule ID 3586 //
     /*  570772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  570821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570840 */     GIR_RootConstrainSelectedInstOperands,
     /*  570841 */     // GIR_Coverage, 3586,
     /*  570841 */     GIR_EraseRootFromParent_Done,
     /*  570842 */   // Label 9333: @570842
     /*  570842 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(570917), // Rule ID 3587 //
     /*  570847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  570896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570915 */     GIR_RootConstrainSelectedInstOperands,
     /*  570916 */     // GIR_Coverage, 3587,
     /*  570916 */     GIR_EraseRootFromParent_Done,
     /*  570917 */   // Label 9334: @570917
     /*  570917 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(570992), // Rule ID 3590 //
     /*  570922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  570971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570990 */     GIR_RootConstrainSelectedInstOperands,
     /*  570991 */     // GIR_Coverage, 3590,
     /*  570991 */     GIR_EraseRootFromParent_Done,
     /*  570992 */   // Label 9335: @570992
     /*  570992 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571067), // Rule ID 3591 //
     /*  570997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571065 */     GIR_RootConstrainSelectedInstOperands,
     /*  571066 */     // GIR_Coverage, 3591,
     /*  571066 */     GIR_EraseRootFromParent_Done,
     /*  571067 */   // Label 9336: @571067
     /*  571067 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571142), // Rule ID 3594 //
     /*  571072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571140 */     GIR_RootConstrainSelectedInstOperands,
     /*  571141 */     // GIR_Coverage, 3594,
     /*  571141 */     GIR_EraseRootFromParent_Done,
     /*  571142 */   // Label 9337: @571142
     /*  571142 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571217), // Rule ID 3595 //
     /*  571147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571193 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571215 */     GIR_RootConstrainSelectedInstOperands,
     /*  571216 */     // GIR_Coverage, 3595,
     /*  571216 */     GIR_EraseRootFromParent_Done,
     /*  571217 */   // Label 9338: @571217
     /*  571217 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571292), // Rule ID 3598 //
     /*  571222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571290 */     GIR_RootConstrainSelectedInstOperands,
     /*  571291 */     // GIR_Coverage, 3598,
     /*  571291 */     GIR_EraseRootFromParent_Done,
     /*  571292 */   // Label 9339: @571292
     /*  571292 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571367), // Rule ID 3599 //
     /*  571297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571365 */     GIR_RootConstrainSelectedInstOperands,
     /*  571366 */     // GIR_Coverage, 3599,
     /*  571366 */     GIR_EraseRootFromParent_Done,
     /*  571367 */   // Label 9340: @571367
     /*  571367 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571442), // Rule ID 3602 //
     /*  571372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571440 */     GIR_RootConstrainSelectedInstOperands,
     /*  571441 */     // GIR_Coverage, 3602,
     /*  571441 */     GIR_EraseRootFromParent_Done,
     /*  571442 */   // Label 9341: @571442
     /*  571442 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571517), // Rule ID 3603 //
     /*  571447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571515 */     GIR_RootConstrainSelectedInstOperands,
     /*  571516 */     // GIR_Coverage, 3603,
     /*  571516 */     GIR_EraseRootFromParent_Done,
     /*  571517 */   // Label 9342: @571517
     /*  571517 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571592), // Rule ID 3606 //
     /*  571522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571590 */     GIR_RootConstrainSelectedInstOperands,
     /*  571591 */     // GIR_Coverage, 3606,
     /*  571591 */     GIR_EraseRootFromParent_Done,
     /*  571592 */   // Label 9343: @571592
     /*  571592 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571667), // Rule ID 3607 //
     /*  571597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571665 */     GIR_RootConstrainSelectedInstOperands,
     /*  571666 */     // GIR_Coverage, 3607,
     /*  571666 */     GIR_EraseRootFromParent_Done,
     /*  571667 */   // Label 9344: @571667
     /*  571667 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(571742), // Rule ID 3610 //
     /*  571672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571740 */     GIR_RootConstrainSelectedInstOperands,
     /*  571741 */     // GIR_Coverage, 3610,
     /*  571741 */     GIR_EraseRootFromParent_Done,
     /*  571742 */   // Label 9345: @571742
     /*  571742 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(571817), // Rule ID 3611 //
     /*  571747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571815 */     GIR_RootConstrainSelectedInstOperands,
     /*  571816 */     // GIR_Coverage, 3611,
     /*  571816 */     GIR_EraseRootFromParent_Done,
     /*  571817 */   // Label 9346: @571817
     /*  571817 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(571892), // Rule ID 3614 //
     /*  571822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571890 */     GIR_RootConstrainSelectedInstOperands,
     /*  571891 */     // GIR_Coverage, 3614,
     /*  571891 */     GIR_EraseRootFromParent_Done,
     /*  571892 */   // Label 9347: @571892
     /*  571892 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(571967), // Rule ID 3615 //
     /*  571897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571965 */     GIR_RootConstrainSelectedInstOperands,
     /*  571966 */     // GIR_Coverage, 3615,
     /*  571966 */     GIR_EraseRootFromParent_Done,
     /*  571967 */   // Label 9348: @571967
     /*  571967 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572042), // Rule ID 3618 //
     /*  571972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572040 */     GIR_RootConstrainSelectedInstOperands,
     /*  572041 */     // GIR_Coverage, 3618,
     /*  572041 */     GIR_EraseRootFromParent_Done,
     /*  572042 */   // Label 9349: @572042
     /*  572042 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572117), // Rule ID 3619 //
     /*  572047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572115 */     GIR_RootConstrainSelectedInstOperands,
     /*  572116 */     // GIR_Coverage, 3619,
     /*  572116 */     GIR_EraseRootFromParent_Done,
     /*  572117 */   // Label 9350: @572117
     /*  572117 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572192), // Rule ID 3622 //
     /*  572122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572190 */     GIR_RootConstrainSelectedInstOperands,
     /*  572191 */     // GIR_Coverage, 3622,
     /*  572191 */     GIR_EraseRootFromParent_Done,
     /*  572192 */   // Label 9351: @572192
     /*  572192 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572267), // Rule ID 3623 //
     /*  572197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572265 */     GIR_RootConstrainSelectedInstOperands,
     /*  572266 */     // GIR_Coverage, 3623,
     /*  572266 */     GIR_EraseRootFromParent_Done,
     /*  572267 */   // Label 9352: @572267
     /*  572267 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572342), // Rule ID 3626 //
     /*  572272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572340 */     GIR_RootConstrainSelectedInstOperands,
     /*  572341 */     // GIR_Coverage, 3626,
     /*  572341 */     GIR_EraseRootFromParent_Done,
     /*  572342 */   // Label 9353: @572342
     /*  572342 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572417), // Rule ID 3627 //
     /*  572347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572415 */     GIR_RootConstrainSelectedInstOperands,
     /*  572416 */     // GIR_Coverage, 3627,
     /*  572416 */     GIR_EraseRootFromParent_Done,
     /*  572417 */   // Label 9354: @572417
     /*  572417 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572492), // Rule ID 3630 //
     /*  572422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572490 */     GIR_RootConstrainSelectedInstOperands,
     /*  572491 */     // GIR_Coverage, 3630,
     /*  572491 */     GIR_EraseRootFromParent_Done,
     /*  572492 */   // Label 9355: @572492
     /*  572492 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572567), // Rule ID 3631 //
     /*  572497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572565 */     GIR_RootConstrainSelectedInstOperands,
     /*  572566 */     // GIR_Coverage, 3631,
     /*  572566 */     GIR_EraseRootFromParent_Done,
     /*  572567 */   // Label 9356: @572567
     /*  572567 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572642), // Rule ID 3634 //
     /*  572572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572640 */     GIR_RootConstrainSelectedInstOperands,
     /*  572641 */     // GIR_Coverage, 3634,
     /*  572641 */     GIR_EraseRootFromParent_Done,
     /*  572642 */   // Label 9357: @572642
     /*  572642 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572717), // Rule ID 3635 //
     /*  572647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572715 */     GIR_RootConstrainSelectedInstOperands,
     /*  572716 */     // GIR_Coverage, 3635,
     /*  572716 */     GIR_EraseRootFromParent_Done,
     /*  572717 */   // Label 9358: @572717
     /*  572717 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(572792), // Rule ID 3638 //
     /*  572722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  572771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572790 */     GIR_RootConstrainSelectedInstOperands,
     /*  572791 */     // GIR_Coverage, 3638,
     /*  572791 */     GIR_EraseRootFromParent_Done,
     /*  572792 */   // Label 9359: @572792
     /*  572792 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(572867), // Rule ID 3639 //
     /*  572797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  572846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572865 */     GIR_RootConstrainSelectedInstOperands,
     /*  572866 */     // GIR_Coverage, 3639,
     /*  572866 */     GIR_EraseRootFromParent_Done,
     /*  572867 */   // Label 9360: @572867
     /*  572867 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(572942), // Rule ID 3642 //
     /*  572872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  572921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572940 */     GIR_RootConstrainSelectedInstOperands,
     /*  572941 */     // GIR_Coverage, 3642,
     /*  572941 */     GIR_EraseRootFromParent_Done,
     /*  572942 */   // Label 9361: @572942
     /*  572942 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573017), // Rule ID 3643 //
     /*  572947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572993 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  572996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573015 */     GIR_RootConstrainSelectedInstOperands,
     /*  573016 */     // GIR_Coverage, 3643,
     /*  573016 */     GIR_EraseRootFromParent_Done,
     /*  573017 */   // Label 9362: @573017
     /*  573017 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573092), // Rule ID 3646 //
     /*  573022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573090 */     GIR_RootConstrainSelectedInstOperands,
     /*  573091 */     // GIR_Coverage, 3646,
     /*  573091 */     GIR_EraseRootFromParent_Done,
     /*  573092 */   // Label 9363: @573092
     /*  573092 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573167), // Rule ID 3647 //
     /*  573097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573165 */     GIR_RootConstrainSelectedInstOperands,
     /*  573166 */     // GIR_Coverage, 3647,
     /*  573166 */     GIR_EraseRootFromParent_Done,
     /*  573167 */   // Label 9364: @573167
     /*  573167 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573242), // Rule ID 3650 //
     /*  573172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573240 */     GIR_RootConstrainSelectedInstOperands,
     /*  573241 */     // GIR_Coverage, 3650,
     /*  573241 */     GIR_EraseRootFromParent_Done,
     /*  573242 */   // Label 9365: @573242
     /*  573242 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573317), // Rule ID 3651 //
     /*  573247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573315 */     GIR_RootConstrainSelectedInstOperands,
     /*  573316 */     // GIR_Coverage, 3651,
     /*  573316 */     GIR_EraseRootFromParent_Done,
     /*  573317 */   // Label 9366: @573317
     /*  573317 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573392), // Rule ID 3654 //
     /*  573322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573390 */     GIR_RootConstrainSelectedInstOperands,
     /*  573391 */     // GIR_Coverage, 3654,
     /*  573391 */     GIR_EraseRootFromParent_Done,
     /*  573392 */   // Label 9367: @573392
     /*  573392 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573467), // Rule ID 3655 //
     /*  573397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573465 */     GIR_RootConstrainSelectedInstOperands,
     /*  573466 */     // GIR_Coverage, 3655,
     /*  573466 */     GIR_EraseRootFromParent_Done,
     /*  573467 */   // Label 9368: @573467
     /*  573467 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573542), // Rule ID 3658 //
     /*  573472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  573521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573540 */     GIR_RootConstrainSelectedInstOperands,
     /*  573541 */     // GIR_Coverage, 3658,
     /*  573541 */     GIR_EraseRootFromParent_Done,
     /*  573542 */   // Label 9369: @573542
     /*  573542 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573617), // Rule ID 3659 //
     /*  573547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  573596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573615 */     GIR_RootConstrainSelectedInstOperands,
     /*  573616 */     // GIR_Coverage, 3659,
     /*  573616 */     GIR_EraseRootFromParent_Done,
     /*  573617 */   // Label 9370: @573617
     /*  573617 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573692), // Rule ID 3662 //
     /*  573622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573690 */     GIR_RootConstrainSelectedInstOperands,
     /*  573691 */     // GIR_Coverage, 3662,
     /*  573691 */     GIR_EraseRootFromParent_Done,
     /*  573692 */   // Label 9371: @573692
     /*  573692 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(573767), // Rule ID 3663 //
     /*  573697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573765 */     GIR_RootConstrainSelectedInstOperands,
     /*  573766 */     // GIR_Coverage, 3663,
     /*  573766 */     GIR_EraseRootFromParent_Done,
     /*  573767 */   // Label 9372: @573767
     /*  573767 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(573842), // Rule ID 3666 //
     /*  573772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573840 */     GIR_RootConstrainSelectedInstOperands,
     /*  573841 */     // GIR_Coverage, 3666,
     /*  573841 */     GIR_EraseRootFromParent_Done,
     /*  573842 */   // Label 9373: @573842
     /*  573842 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(573917), // Rule ID 3667 //
     /*  573847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573915 */     GIR_RootConstrainSelectedInstOperands,
     /*  573916 */     // GIR_Coverage, 3667,
     /*  573916 */     GIR_EraseRootFromParent_Done,
     /*  573917 */   // Label 9374: @573917
     /*  573917 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(573992), // Rule ID 3670 //
     /*  573922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573990 */     GIR_RootConstrainSelectedInstOperands,
     /*  573991 */     // GIR_Coverage, 3670,
     /*  573991 */     GIR_EraseRootFromParent_Done,
     /*  573992 */   // Label 9375: @573992
     /*  573992 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574067), // Rule ID 3671 //
     /*  573997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574065 */     GIR_RootConstrainSelectedInstOperands,
     /*  574066 */     // GIR_Coverage, 3671,
     /*  574066 */     GIR_EraseRootFromParent_Done,
     /*  574067 */   // Label 9376: @574067
     /*  574067 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574142), // Rule ID 3674 //
     /*  574072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574140 */     GIR_RootConstrainSelectedInstOperands,
     /*  574141 */     // GIR_Coverage, 3674,
     /*  574141 */     GIR_EraseRootFromParent_Done,
     /*  574142 */   // Label 9377: @574142
     /*  574142 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574217), // Rule ID 3675 //
     /*  574147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574215 */     GIR_RootConstrainSelectedInstOperands,
     /*  574216 */     // GIR_Coverage, 3675,
     /*  574216 */     GIR_EraseRootFromParent_Done,
     /*  574217 */   // Label 9378: @574217
     /*  574217 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574292), // Rule ID 3678 //
     /*  574222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574290 */     GIR_RootConstrainSelectedInstOperands,
     /*  574291 */     // GIR_Coverage, 3678,
     /*  574291 */     GIR_EraseRootFromParent_Done,
     /*  574292 */   // Label 9379: @574292
     /*  574292 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574367), // Rule ID 3679 //
     /*  574297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574365 */     GIR_RootConstrainSelectedInstOperands,
     /*  574366 */     // GIR_Coverage, 3679,
     /*  574366 */     GIR_EraseRootFromParent_Done,
     /*  574367 */   // Label 9380: @574367
     /*  574367 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574442), // Rule ID 3682 //
     /*  574372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574440 */     GIR_RootConstrainSelectedInstOperands,
     /*  574441 */     // GIR_Coverage, 3682,
     /*  574441 */     GIR_EraseRootFromParent_Done,
     /*  574442 */   // Label 9381: @574442
     /*  574442 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574517), // Rule ID 3683 //
     /*  574447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574515 */     GIR_RootConstrainSelectedInstOperands,
     /*  574516 */     // GIR_Coverage, 3683,
     /*  574516 */     GIR_EraseRootFromParent_Done,
     /*  574517 */   // Label 9382: @574517
     /*  574517 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574592), // Rule ID 3686 //
     /*  574522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574590 */     GIR_RootConstrainSelectedInstOperands,
     /*  574591 */     // GIR_Coverage, 3686,
     /*  574591 */     GIR_EraseRootFromParent_Done,
     /*  574592 */   // Label 9383: @574592
     /*  574592 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574667), // Rule ID 3687 //
     /*  574597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574665 */     GIR_RootConstrainSelectedInstOperands,
     /*  574666 */     // GIR_Coverage, 3687,
     /*  574666 */     GIR_EraseRootFromParent_Done,
     /*  574667 */   // Label 9384: @574667
     /*  574667 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(574742), // Rule ID 3690 //
     /*  574672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574740 */     GIR_RootConstrainSelectedInstOperands,
     /*  574741 */     // GIR_Coverage, 3690,
     /*  574741 */     GIR_EraseRootFromParent_Done,
     /*  574742 */   // Label 9385: @574742
     /*  574742 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(574817), // Rule ID 3691 //
     /*  574747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574815 */     GIR_RootConstrainSelectedInstOperands,
     /*  574816 */     // GIR_Coverage, 3691,
     /*  574816 */     GIR_EraseRootFromParent_Done,
     /*  574817 */   // Label 9386: @574817
     /*  574817 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(574892), // Rule ID 3694 //
     /*  574822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574890 */     GIR_RootConstrainSelectedInstOperands,
     /*  574891 */     // GIR_Coverage, 3694,
     /*  574891 */     GIR_EraseRootFromParent_Done,
     /*  574892 */   // Label 9387: @574892
     /*  574892 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(574967), // Rule ID 3695 //
     /*  574897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574943 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574965 */     GIR_RootConstrainSelectedInstOperands,
     /*  574966 */     // GIR_Coverage, 3695,
     /*  574966 */     GIR_EraseRootFromParent_Done,
     /*  574967 */   // Label 9388: @574967
     /*  574967 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575042), // Rule ID 3698 //
     /*  574972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  575021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575040 */     GIR_RootConstrainSelectedInstOperands,
     /*  575041 */     // GIR_Coverage, 3698,
     /*  575041 */     GIR_EraseRootFromParent_Done,
     /*  575042 */   // Label 9389: @575042
     /*  575042 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575117), // Rule ID 3699 //
     /*  575047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  575096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575115 */     GIR_RootConstrainSelectedInstOperands,
     /*  575116 */     // GIR_Coverage, 3699,
     /*  575116 */     GIR_EraseRootFromParent_Done,
     /*  575117 */   // Label 9390: @575117
     /*  575117 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575192), // Rule ID 3702 //
     /*  575122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575190 */     GIR_RootConstrainSelectedInstOperands,
     /*  575191 */     // GIR_Coverage, 3702,
     /*  575191 */     GIR_EraseRootFromParent_Done,
     /*  575192 */   // Label 9391: @575192
     /*  575192 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575267), // Rule ID 3703 //
     /*  575197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575265 */     GIR_RootConstrainSelectedInstOperands,
     /*  575266 */     // GIR_Coverage, 3703,
     /*  575266 */     GIR_EraseRootFromParent_Done,
     /*  575267 */   // Label 9392: @575267
     /*  575267 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575342), // Rule ID 3706 //
     /*  575272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575340 */     GIR_RootConstrainSelectedInstOperands,
     /*  575341 */     // GIR_Coverage, 3706,
     /*  575341 */     GIR_EraseRootFromParent_Done,
     /*  575342 */   // Label 9393: @575342
     /*  575342 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575417), // Rule ID 3707 //
     /*  575347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575415 */     GIR_RootConstrainSelectedInstOperands,
     /*  575416 */     // GIR_Coverage, 3707,
     /*  575416 */     GIR_EraseRootFromParent_Done,
     /*  575417 */   // Label 9394: @575417
     /*  575417 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575492), // Rule ID 3710 //
     /*  575422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  575471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575490 */     GIR_RootConstrainSelectedInstOperands,
     /*  575491 */     // GIR_Coverage, 3710,
     /*  575491 */     GIR_EraseRootFromParent_Done,
     /*  575492 */   // Label 9395: @575492
     /*  575492 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575567), // Rule ID 3711 //
     /*  575497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  575546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575565 */     GIR_RootConstrainSelectedInstOperands,
     /*  575566 */     // GIR_Coverage, 3711,
     /*  575566 */     GIR_EraseRootFromParent_Done,
     /*  575567 */   // Label 9396: @575567
     /*  575567 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575642), // Rule ID 3714 //
     /*  575572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  575621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575640 */     GIR_RootConstrainSelectedInstOperands,
     /*  575641 */     // GIR_Coverage, 3714,
     /*  575641 */     GIR_EraseRootFromParent_Done,
     /*  575642 */   // Label 9397: @575642
     /*  575642 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575717), // Rule ID 3715 //
     /*  575647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  575696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575715 */     GIR_RootConstrainSelectedInstOperands,
     /*  575716 */     // GIR_Coverage, 3715,
     /*  575716 */     GIR_EraseRootFromParent_Done,
     /*  575717 */   // Label 9398: @575717
     /*  575717 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(575792), // Rule ID 3718 //
     /*  575722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  575771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575790 */     GIR_RootConstrainSelectedInstOperands,
     /*  575791 */     // GIR_Coverage, 3718,
     /*  575791 */     GIR_EraseRootFromParent_Done,
     /*  575792 */   // Label 9399: @575792
     /*  575792 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(575867), // Rule ID 3719 //
     /*  575797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  575846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575865 */     GIR_RootConstrainSelectedInstOperands,
     /*  575866 */     // GIR_Coverage, 3719,
     /*  575866 */     GIR_EraseRootFromParent_Done,
     /*  575867 */   // Label 9400: @575867
     /*  575867 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(575942), // Rule ID 3722 //
     /*  575872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575940 */     GIR_RootConstrainSelectedInstOperands,
     /*  575941 */     // GIR_Coverage, 3722,
     /*  575941 */     GIR_EraseRootFromParent_Done,
     /*  575942 */   // Label 9401: @575942
     /*  575942 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576017), // Rule ID 3723 //
     /*  575947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576015 */     GIR_RootConstrainSelectedInstOperands,
     /*  576016 */     // GIR_Coverage, 3723,
     /*  576016 */     GIR_EraseRootFromParent_Done,
     /*  576017 */   // Label 9402: @576017
     /*  576017 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576092), // Rule ID 3726 //
     /*  576022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576090 */     GIR_RootConstrainSelectedInstOperands,
     /*  576091 */     // GIR_Coverage, 3726,
     /*  576091 */     GIR_EraseRootFromParent_Done,
     /*  576092 */   // Label 9403: @576092
     /*  576092 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576167), // Rule ID 3727 //
     /*  576097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576165 */     GIR_RootConstrainSelectedInstOperands,
     /*  576166 */     // GIR_Coverage, 3727,
     /*  576166 */     GIR_EraseRootFromParent_Done,
     /*  576167 */   // Label 9404: @576167
     /*  576167 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576242), // Rule ID 3730 //
     /*  576172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576240 */     GIR_RootConstrainSelectedInstOperands,
     /*  576241 */     // GIR_Coverage, 3730,
     /*  576241 */     GIR_EraseRootFromParent_Done,
     /*  576242 */   // Label 9405: @576242
     /*  576242 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576317), // Rule ID 3731 //
     /*  576247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576315 */     GIR_RootConstrainSelectedInstOperands,
     /*  576316 */     // GIR_Coverage, 3731,
     /*  576316 */     GIR_EraseRootFromParent_Done,
     /*  576317 */   // Label 9406: @576317
     /*  576317 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576392), // Rule ID 3734 //
     /*  576322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576390 */     GIR_RootConstrainSelectedInstOperands,
     /*  576391 */     // GIR_Coverage, 3734,
     /*  576391 */     GIR_EraseRootFromParent_Done,
     /*  576392 */   // Label 9407: @576392
     /*  576392 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576467), // Rule ID 3735 //
     /*  576397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576443 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576465 */     GIR_RootConstrainSelectedInstOperands,
     /*  576466 */     // GIR_Coverage, 3735,
     /*  576466 */     GIR_EraseRootFromParent_Done,
     /*  576467 */   // Label 9408: @576467
     /*  576467 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576542), // Rule ID 3738 //
     /*  576472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576540 */     GIR_RootConstrainSelectedInstOperands,
     /*  576541 */     // GIR_Coverage, 3738,
     /*  576541 */     GIR_EraseRootFromParent_Done,
     /*  576542 */   // Label 9409: @576542
     /*  576542 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576617), // Rule ID 3739 //
     /*  576547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576615 */     GIR_RootConstrainSelectedInstOperands,
     /*  576616 */     // GIR_Coverage, 3739,
     /*  576616 */     GIR_EraseRootFromParent_Done,
     /*  576617 */   // Label 9410: @576617
     /*  576617 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576692), // Rule ID 3742 //
     /*  576622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576690 */     GIR_RootConstrainSelectedInstOperands,
     /*  576691 */     // GIR_Coverage, 3742,
     /*  576691 */     GIR_EraseRootFromParent_Done,
     /*  576692 */   // Label 9411: @576692
     /*  576692 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(576767), // Rule ID 3743 //
     /*  576697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576765 */     GIR_RootConstrainSelectedInstOperands,
     /*  576766 */     // GIR_Coverage, 3743,
     /*  576766 */     GIR_EraseRootFromParent_Done,
     /*  576767 */   // Label 9412: @576767
     /*  576767 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(576842), // Rule ID 3746 //
     /*  576772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576840 */     GIR_RootConstrainSelectedInstOperands,
     /*  576841 */     // GIR_Coverage, 3746,
     /*  576841 */     GIR_EraseRootFromParent_Done,
     /*  576842 */   // Label 9413: @576842
     /*  576842 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(576917), // Rule ID 3747 //
     /*  576847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576915 */     GIR_RootConstrainSelectedInstOperands,
     /*  576916 */     // GIR_Coverage, 3747,
     /*  576916 */     GIR_EraseRootFromParent_Done,
     /*  576917 */   // Label 9414: @576917
     /*  576917 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(576992), // Rule ID 3750 //
     /*  576922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576990 */     GIR_RootConstrainSelectedInstOperands,
     /*  576991 */     // GIR_Coverage, 3750,
     /*  576991 */     GIR_EraseRootFromParent_Done,
     /*  576992 */   // Label 9415: @576992
     /*  576992 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577067), // Rule ID 3751 //
     /*  576997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  577046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577065 */     GIR_RootConstrainSelectedInstOperands,
     /*  577066 */     // GIR_Coverage, 3751,
     /*  577066 */     GIR_EraseRootFromParent_Done,
     /*  577067 */   // Label 9416: @577067
     /*  577067 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577142), // Rule ID 3754 //
     /*  577072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  577121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577140 */     GIR_RootConstrainSelectedInstOperands,
     /*  577141 */     // GIR_Coverage, 3754,
     /*  577141 */     GIR_EraseRootFromParent_Done,
     /*  577142 */   // Label 9417: @577142
     /*  577142 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577217), // Rule ID 3755 //
     /*  577147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  577196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577215 */     GIR_RootConstrainSelectedInstOperands,
     /*  577216 */     // GIR_Coverage, 3755,
     /*  577216 */     GIR_EraseRootFromParent_Done,
     /*  577217 */   // Label 9418: @577217
     /*  577217 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577292), // Rule ID 3758 //
     /*  577222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577290 */     GIR_RootConstrainSelectedInstOperands,
     /*  577291 */     // GIR_Coverage, 3758,
     /*  577291 */     GIR_EraseRootFromParent_Done,
     /*  577292 */   // Label 9419: @577292
     /*  577292 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577367), // Rule ID 3759 //
     /*  577297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577365 */     GIR_RootConstrainSelectedInstOperands,
     /*  577366 */     // GIR_Coverage, 3759,
     /*  577366 */     GIR_EraseRootFromParent_Done,
     /*  577367 */   // Label 9420: @577367
     /*  577367 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577442), // Rule ID 3762 //
     /*  577372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577440 */     GIR_RootConstrainSelectedInstOperands,
     /*  577441 */     // GIR_Coverage, 3762,
     /*  577441 */     GIR_EraseRootFromParent_Done,
     /*  577442 */   // Label 9421: @577442
     /*  577442 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577517), // Rule ID 3763 //
     /*  577447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577515 */     GIR_RootConstrainSelectedInstOperands,
     /*  577516 */     // GIR_Coverage, 3763,
     /*  577516 */     GIR_EraseRootFromParent_Done,
     /*  577517 */   // Label 9422: @577517
     /*  577517 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577592), // Rule ID 3766 //
     /*  577522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  577571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577590 */     GIR_RootConstrainSelectedInstOperands,
     /*  577591 */     // GIR_Coverage, 3766,
     /*  577591 */     GIR_EraseRootFromParent_Done,
     /*  577592 */   // Label 9423: @577592
     /*  577592 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577667), // Rule ID 3767 //
     /*  577597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11623:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  577646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577665 */     GIR_RootConstrainSelectedInstOperands,
     /*  577666 */     // GIR_Coverage, 3767,
     /*  577666 */     GIR_EraseRootFromParent_Done,
     /*  577667 */   // Label 9424: @577667
     /*  577667 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(577742), // Rule ID 3770 //
     /*  577672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  577721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577740 */     GIR_RootConstrainSelectedInstOperands,
     /*  577741 */     // GIR_Coverage, 3770,
     /*  577741 */     GIR_EraseRootFromParent_Done,
     /*  577742 */   // Label 9425: @577742
     /*  577742 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(577817), // Rule ID 3771 //
     /*  577747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  577796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577815 */     GIR_RootConstrainSelectedInstOperands,
     /*  577816 */     // GIR_Coverage, 3771,
     /*  577816 */     GIR_EraseRootFromParent_Done,
     /*  577817 */   // Label 9426: @577817
     /*  577817 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(577892), // Rule ID 3774 //
     /*  577822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  577871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577890 */     GIR_RootConstrainSelectedInstOperands,
     /*  577891 */     // GIR_Coverage, 3774,
     /*  577891 */     GIR_EraseRootFromParent_Done,
     /*  577892 */   // Label 9427: @577892
     /*  577892 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(577967), // Rule ID 3775 //
     /*  577897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  577946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577965 */     GIR_RootConstrainSelectedInstOperands,
     /*  577966 */     // GIR_Coverage, 3775,
     /*  577966 */     GIR_EraseRootFromParent_Done,
     /*  577967 */   // Label 9428: @577967
     /*  577967 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578042), // Rule ID 3778 //
     /*  577972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578040 */     GIR_RootConstrainSelectedInstOperands,
     /*  578041 */     // GIR_Coverage, 3778,
     /*  578041 */     GIR_EraseRootFromParent_Done,
     /*  578042 */   // Label 9429: @578042
     /*  578042 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578117), // Rule ID 3779 //
     /*  578047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578115 */     GIR_RootConstrainSelectedInstOperands,
     /*  578116 */     // GIR_Coverage, 3779,
     /*  578116 */     GIR_EraseRootFromParent_Done,
     /*  578117 */   // Label 9430: @578117
     /*  578117 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578192), // Rule ID 3782 //
     /*  578122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  578171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578190 */     GIR_RootConstrainSelectedInstOperands,
     /*  578191 */     // GIR_Coverage, 3782,
     /*  578191 */     GIR_EraseRootFromParent_Done,
     /*  578192 */   // Label 9431: @578192
     /*  578192 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578267), // Rule ID 3783 //
     /*  578197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  578246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578265 */     GIR_RootConstrainSelectedInstOperands,
     /*  578266 */     // GIR_Coverage, 3783,
     /*  578266 */     GIR_EraseRootFromParent_Done,
     /*  578267 */   // Label 9432: @578267
     /*  578267 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578342), // Rule ID 3786 //
     /*  578272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578340 */     GIR_RootConstrainSelectedInstOperands,
     /*  578341 */     // GIR_Coverage, 3786,
     /*  578341 */     GIR_EraseRootFromParent_Done,
     /*  578342 */   // Label 9433: @578342
     /*  578342 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578417), // Rule ID 3787 //
     /*  578347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11623:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578415 */     GIR_RootConstrainSelectedInstOperands,
     /*  578416 */     // GIR_Coverage, 3787,
     /*  578416 */     GIR_EraseRootFromParent_Done,
     /*  578417 */   // Label 9434: @578417
     /*  578417 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578492), // Rule ID 3790 //
     /*  578422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578490 */     GIR_RootConstrainSelectedInstOperands,
     /*  578491 */     // GIR_Coverage, 3790,
     /*  578491 */     GIR_EraseRootFromParent_Done,
     /*  578492 */   // Label 9435: @578492
     /*  578492 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578567), // Rule ID 3791 //
     /*  578497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578565 */     GIR_RootConstrainSelectedInstOperands,
     /*  578566 */     // GIR_Coverage, 3791,
     /*  578566 */     GIR_EraseRootFromParent_Done,
     /*  578567 */   // Label 9436: @578567
     /*  578567 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578642), // Rule ID 3794 //
     /*  578572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578640 */     GIR_RootConstrainSelectedInstOperands,
     /*  578641 */     // GIR_Coverage, 3794,
     /*  578641 */     GIR_EraseRootFromParent_Done,
     /*  578642 */   // Label 9437: @578642
     /*  578642 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578717), // Rule ID 3795 //
     /*  578647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578715 */     GIR_RootConstrainSelectedInstOperands,
     /*  578716 */     // GIR_Coverage, 3795,
     /*  578716 */     GIR_EraseRootFromParent_Done,
     /*  578717 */   // Label 9438: @578717
     /*  578717 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(578792), // Rule ID 3798 //
     /*  578722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578790 */     GIR_RootConstrainSelectedInstOperands,
     /*  578791 */     // GIR_Coverage, 3798,
     /*  578791 */     GIR_EraseRootFromParent_Done,
     /*  578792 */   // Label 9439: @578792
     /*  578792 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(578867), // Rule ID 3799 //
     /*  578797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578865 */     GIR_RootConstrainSelectedInstOperands,
     /*  578866 */     // GIR_Coverage, 3799,
     /*  578866 */     GIR_EraseRootFromParent_Done,
     /*  578867 */   // Label 9440: @578867
     /*  578867 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(578942), // Rule ID 3802 //
     /*  578872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578940 */     GIR_RootConstrainSelectedInstOperands,
     /*  578941 */     // GIR_Coverage, 3802,
     /*  578941 */     GIR_EraseRootFromParent_Done,
     /*  578942 */   // Label 9441: @578942
     /*  578942 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579017), // Rule ID 3803 //
     /*  578947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11623:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579015 */     GIR_RootConstrainSelectedInstOperands,
     /*  579016 */     // GIR_Coverage, 3803,
     /*  579016 */     GIR_EraseRootFromParent_Done,
     /*  579017 */   // Label 9442: @579017
     /*  579017 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579092), // Rule ID 3806 //
     /*  579022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  579071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579090 */     GIR_RootConstrainSelectedInstOperands,
     /*  579091 */     // GIR_Coverage, 3806,
     /*  579091 */     GIR_EraseRootFromParent_Done,
     /*  579092 */   // Label 9443: @579092
     /*  579092 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579167), // Rule ID 3807 //
     /*  579097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11623:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  579146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579165 */     GIR_RootConstrainSelectedInstOperands,
     /*  579166 */     // GIR_Coverage, 3807,
     /*  579166 */     GIR_EraseRootFromParent_Done,
     /*  579167 */   // Label 9444: @579167
     /*  579167 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579242), // Rule ID 3810 //
     /*  579172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579240 */     GIR_RootConstrainSelectedInstOperands,
     /*  579241 */     // GIR_Coverage, 3810,
     /*  579241 */     GIR_EraseRootFromParent_Done,
     /*  579242 */   // Label 9445: @579242
     /*  579242 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579317), // Rule ID 3811 //
     /*  579247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11623:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579315 */     GIR_RootConstrainSelectedInstOperands,
     /*  579316 */     // GIR_Coverage, 3811,
     /*  579316 */     GIR_EraseRootFromParent_Done,
     /*  579317 */   // Label 9446: @579317
     /*  579317 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579392), // Rule ID 3814 //
     /*  579322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579390 */     GIR_RootConstrainSelectedInstOperands,
     /*  579391 */     // GIR_Coverage, 3814,
     /*  579391 */     GIR_EraseRootFromParent_Done,
     /*  579392 */   // Label 9447: @579392
     /*  579392 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579467), // Rule ID 3815 //
     /*  579397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11623:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579465 */     GIR_RootConstrainSelectedInstOperands,
     /*  579466 */     // GIR_Coverage, 3815,
     /*  579466 */     GIR_EraseRootFromParent_Done,
     /*  579467 */   // Label 9448: @579467
     /*  579467 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579542), // Rule ID 3818 //
     /*  579472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  579521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579540 */     GIR_RootConstrainSelectedInstOperands,
     /*  579541 */     // GIR_Coverage, 3818,
     /*  579541 */     GIR_EraseRootFromParent_Done,
     /*  579542 */   // Label 9449: @579542
     /*  579542 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579617), // Rule ID 3819 //
     /*  579547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  579596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579615 */     GIR_RootConstrainSelectedInstOperands,
     /*  579616 */     // GIR_Coverage, 3819,
     /*  579616 */     GIR_EraseRootFromParent_Done,
     /*  579617 */   // Label 9450: @579617
     /*  579617 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579692), // Rule ID 3822 //
     /*  579622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  579671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579690 */     GIR_RootConstrainSelectedInstOperands,
     /*  579691 */     // GIR_Coverage, 3822,
     /*  579691 */     GIR_EraseRootFromParent_Done,
     /*  579692 */   // Label 9451: @579692
     /*  579692 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(579767), // Rule ID 3823 //
     /*  579697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  579746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579765 */     GIR_RootConstrainSelectedInstOperands,
     /*  579766 */     // GIR_Coverage, 3823,
     /*  579766 */     GIR_EraseRootFromParent_Done,
     /*  579767 */   // Label 9452: @579767
     /*  579767 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(579842), // Rule ID 3826 //
     /*  579772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  579821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579840 */     GIR_RootConstrainSelectedInstOperands,
     /*  579841 */     // GIR_Coverage, 3826,
     /*  579841 */     GIR_EraseRootFromParent_Done,
     /*  579842 */   // Label 9453: @579842
     /*  579842 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(579917), // Rule ID 3827 //
     /*  579847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  579896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579915 */     GIR_RootConstrainSelectedInstOperands,
     /*  579916 */     // GIR_Coverage, 3827,
     /*  579916 */     GIR_EraseRootFromParent_Done,
     /*  579917 */   // Label 9454: @579917
     /*  579917 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(579992), // Rule ID 3830 //
     /*  579922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  579971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579990 */     GIR_RootConstrainSelectedInstOperands,
     /*  579991 */     // GIR_Coverage, 3830,
     /*  579991 */     GIR_EraseRootFromParent_Done,
     /*  579992 */   // Label 9455: @579992
     /*  579992 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580067), // Rule ID 3831 //
     /*  579997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580065 */     GIR_RootConstrainSelectedInstOperands,
     /*  580066 */     // GIR_Coverage, 3831,
     /*  580066 */     GIR_EraseRootFromParent_Done,
     /*  580067 */   // Label 9456: @580067
     /*  580067 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580142), // Rule ID 3834 //
     /*  580072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580140 */     GIR_RootConstrainSelectedInstOperands,
     /*  580141 */     // GIR_Coverage, 3834,
     /*  580141 */     GIR_EraseRootFromParent_Done,
     /*  580142 */   // Label 9457: @580142
     /*  580142 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580217), // Rule ID 3835 //
     /*  580147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580193 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580215 */     GIR_RootConstrainSelectedInstOperands,
     /*  580216 */     // GIR_Coverage, 3835,
     /*  580216 */     GIR_EraseRootFromParent_Done,
     /*  580217 */   // Label 9458: @580217
     /*  580217 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580292), // Rule ID 3838 //
     /*  580222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580290 */     GIR_RootConstrainSelectedInstOperands,
     /*  580291 */     // GIR_Coverage, 3838,
     /*  580291 */     GIR_EraseRootFromParent_Done,
     /*  580292 */   // Label 9459: @580292
     /*  580292 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580367), // Rule ID 3839 //
     /*  580297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580365 */     GIR_RootConstrainSelectedInstOperands,
     /*  580366 */     // GIR_Coverage, 3839,
     /*  580366 */     GIR_EraseRootFromParent_Done,
     /*  580367 */   // Label 9460: @580367
     /*  580367 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580442), // Rule ID 3842 //
     /*  580372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580440 */     GIR_RootConstrainSelectedInstOperands,
     /*  580441 */     // GIR_Coverage, 3842,
     /*  580441 */     GIR_EraseRootFromParent_Done,
     /*  580442 */   // Label 9461: @580442
     /*  580442 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580517), // Rule ID 3843 //
     /*  580447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580515 */     GIR_RootConstrainSelectedInstOperands,
     /*  580516 */     // GIR_Coverage, 3843,
     /*  580516 */     GIR_EraseRootFromParent_Done,
     /*  580517 */   // Label 9462: @580517
     /*  580517 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580592), // Rule ID 3846 //
     /*  580522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580590 */     GIR_RootConstrainSelectedInstOperands,
     /*  580591 */     // GIR_Coverage, 3846,
     /*  580591 */     GIR_EraseRootFromParent_Done,
     /*  580592 */   // Label 9463: @580592
     /*  580592 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580667), // Rule ID 3847 //
     /*  580597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580665 */     GIR_RootConstrainSelectedInstOperands,
     /*  580666 */     // GIR_Coverage, 3847,
     /*  580666 */     GIR_EraseRootFromParent_Done,
     /*  580667 */   // Label 9464: @580667
     /*  580667 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(580742), // Rule ID 3850 //
     /*  580672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580740 */     GIR_RootConstrainSelectedInstOperands,
     /*  580741 */     // GIR_Coverage, 3850,
     /*  580741 */     GIR_EraseRootFromParent_Done,
     /*  580742 */   // Label 9465: @580742
     /*  580742 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(580817), // Rule ID 3851 //
     /*  580747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580815 */     GIR_RootConstrainSelectedInstOperands,
     /*  580816 */     // GIR_Coverage, 3851,
     /*  580816 */     GIR_EraseRootFromParent_Done,
     /*  580817 */   // Label 9466: @580817
     /*  580817 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(580892), // Rule ID 3854 //
     /*  580822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580890 */     GIR_RootConstrainSelectedInstOperands,
     /*  580891 */     // GIR_Coverage, 3854,
     /*  580891 */     GIR_EraseRootFromParent_Done,
     /*  580892 */   // Label 9467: @580892
     /*  580892 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(580967), // Rule ID 3855 //
     /*  580897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580965 */     GIR_RootConstrainSelectedInstOperands,
     /*  580966 */     // GIR_Coverage, 3855,
     /*  580966 */     GIR_EraseRootFromParent_Done,
     /*  580967 */   // Label 9468: @580967
     /*  580967 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581042), // Rule ID 3858 //
     /*  580972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581040 */     GIR_RootConstrainSelectedInstOperands,
     /*  581041 */     // GIR_Coverage, 3858,
     /*  581041 */     GIR_EraseRootFromParent_Done,
     /*  581042 */   // Label 9469: @581042
     /*  581042 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581117), // Rule ID 3859 //
     /*  581047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581115 */     GIR_RootConstrainSelectedInstOperands,
     /*  581116 */     // GIR_Coverage, 3859,
     /*  581116 */     GIR_EraseRootFromParent_Done,
     /*  581117 */   // Label 9470: @581117
     /*  581117 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581192), // Rule ID 3862 //
     /*  581122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581190 */     GIR_RootConstrainSelectedInstOperands,
     /*  581191 */     // GIR_Coverage, 3862,
     /*  581191 */     GIR_EraseRootFromParent_Done,
     /*  581192 */   // Label 9471: @581192
     /*  581192 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581267), // Rule ID 3863 //
     /*  581197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581265 */     GIR_RootConstrainSelectedInstOperands,
     /*  581266 */     // GIR_Coverage, 3863,
     /*  581266 */     GIR_EraseRootFromParent_Done,
     /*  581267 */   // Label 9472: @581267
     /*  581267 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581342), // Rule ID 3866 //
     /*  581272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581340 */     GIR_RootConstrainSelectedInstOperands,
     /*  581341 */     // GIR_Coverage, 3866,
     /*  581341 */     GIR_EraseRootFromParent_Done,
     /*  581342 */   // Label 9473: @581342
     /*  581342 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581417), // Rule ID 3867 //
     /*  581347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581415 */     GIR_RootConstrainSelectedInstOperands,
     /*  581416 */     // GIR_Coverage, 3867,
     /*  581416 */     GIR_EraseRootFromParent_Done,
     /*  581417 */   // Label 9474: @581417
     /*  581417 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581492), // Rule ID 3870 //
     /*  581422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581490 */     GIR_RootConstrainSelectedInstOperands,
     /*  581491 */     // GIR_Coverage, 3870,
     /*  581491 */     GIR_EraseRootFromParent_Done,
     /*  581492 */   // Label 9475: @581492
     /*  581492 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581567), // Rule ID 3871 //
     /*  581497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581565 */     GIR_RootConstrainSelectedInstOperands,
     /*  581566 */     // GIR_Coverage, 3871,
     /*  581566 */     GIR_EraseRootFromParent_Done,
     /*  581567 */   // Label 9476: @581567
     /*  581567 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581642), // Rule ID 3874 //
     /*  581572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581640 */     GIR_RootConstrainSelectedInstOperands,
     /*  581641 */     // GIR_Coverage, 3874,
     /*  581641 */     GIR_EraseRootFromParent_Done,
     /*  581642 */   // Label 9477: @581642
     /*  581642 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581717), // Rule ID 3875 //
     /*  581647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581715 */     GIR_RootConstrainSelectedInstOperands,
     /*  581716 */     // GIR_Coverage, 3875,
     /*  581716 */     GIR_EraseRootFromParent_Done,
     /*  581717 */   // Label 9478: @581717
     /*  581717 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(581792), // Rule ID 3878 //
     /*  581722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  581771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581790 */     GIR_RootConstrainSelectedInstOperands,
     /*  581791 */     // GIR_Coverage, 3878,
     /*  581791 */     GIR_EraseRootFromParent_Done,
     /*  581792 */   // Label 9479: @581792
     /*  581792 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(581867), // Rule ID 3879 //
     /*  581797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  581846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581865 */     GIR_RootConstrainSelectedInstOperands,
     /*  581866 */     // GIR_Coverage, 3879,
     /*  581866 */     GIR_EraseRootFromParent_Done,
     /*  581867 */   // Label 9480: @581867
     /*  581867 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(581942), // Rule ID 3882 //
     /*  581872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  581921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581940 */     GIR_RootConstrainSelectedInstOperands,
     /*  581941 */     // GIR_Coverage, 3882,
     /*  581941 */     GIR_EraseRootFromParent_Done,
     /*  581942 */   // Label 9481: @581942
     /*  581942 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582017), // Rule ID 3883 //
     /*  581947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581993 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  581996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582015 */     GIR_RootConstrainSelectedInstOperands,
     /*  582016 */     // GIR_Coverage, 3883,
     /*  582016 */     GIR_EraseRootFromParent_Done,
     /*  582017 */   // Label 9482: @582017
     /*  582017 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582092), // Rule ID 3886 //
     /*  582022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582090 */     GIR_RootConstrainSelectedInstOperands,
     /*  582091 */     // GIR_Coverage, 3886,
     /*  582091 */     GIR_EraseRootFromParent_Done,
     /*  582092 */   // Label 9483: @582092
     /*  582092 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582167), // Rule ID 3887 //
     /*  582097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582165 */     GIR_RootConstrainSelectedInstOperands,
     /*  582166 */     // GIR_Coverage, 3887,
     /*  582166 */     GIR_EraseRootFromParent_Done,
     /*  582167 */   // Label 9484: @582167
     /*  582167 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582242), // Rule ID 3890 //
     /*  582172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582240 */     GIR_RootConstrainSelectedInstOperands,
     /*  582241 */     // GIR_Coverage, 3890,
     /*  582241 */     GIR_EraseRootFromParent_Done,
     /*  582242 */   // Label 9485: @582242
     /*  582242 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582317), // Rule ID 3891 //
     /*  582247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582315 */     GIR_RootConstrainSelectedInstOperands,
     /*  582316 */     // GIR_Coverage, 3891,
     /*  582316 */     GIR_EraseRootFromParent_Done,
     /*  582317 */   // Label 9486: @582317
     /*  582317 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582392), // Rule ID 3894 //
     /*  582322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582390 */     GIR_RootConstrainSelectedInstOperands,
     /*  582391 */     // GIR_Coverage, 3894,
     /*  582391 */     GIR_EraseRootFromParent_Done,
     /*  582392 */   // Label 9487: @582392
     /*  582392 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582467), // Rule ID 3895 //
     /*  582397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582465 */     GIR_RootConstrainSelectedInstOperands,
     /*  582466 */     // GIR_Coverage, 3895,
     /*  582466 */     GIR_EraseRootFromParent_Done,
     /*  582467 */   // Label 9488: @582467
     /*  582467 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582542), // Rule ID 3898 //
     /*  582472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  582521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582540 */     GIR_RootConstrainSelectedInstOperands,
     /*  582541 */     // GIR_Coverage, 3898,
     /*  582541 */     GIR_EraseRootFromParent_Done,
     /*  582542 */   // Label 9489: @582542
     /*  582542 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582617), // Rule ID 3899 //
     /*  582547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  582596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582615 */     GIR_RootConstrainSelectedInstOperands,
     /*  582616 */     // GIR_Coverage, 3899,
     /*  582616 */     GIR_EraseRootFromParent_Done,
     /*  582617 */   // Label 9490: @582617
     /*  582617 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582692), // Rule ID 3902 //
     /*  582622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582690 */     GIR_RootConstrainSelectedInstOperands,
     /*  582691 */     // GIR_Coverage, 3902,
     /*  582691 */     GIR_EraseRootFromParent_Done,
     /*  582692 */   // Label 9491: @582692
     /*  582692 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(582767), // Rule ID 3903 //
     /*  582697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582765 */     GIR_RootConstrainSelectedInstOperands,
     /*  582766 */     // GIR_Coverage, 3903,
     /*  582766 */     GIR_EraseRootFromParent_Done,
     /*  582767 */   // Label 9492: @582767
     /*  582767 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(582842), // Rule ID 3906 //
     /*  582772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582840 */     GIR_RootConstrainSelectedInstOperands,
     /*  582841 */     // GIR_Coverage, 3906,
     /*  582841 */     GIR_EraseRootFromParent_Done,
     /*  582842 */   // Label 9493: @582842
     /*  582842 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(582917), // Rule ID 3907 //
     /*  582847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582915 */     GIR_RootConstrainSelectedInstOperands,
     /*  582916 */     // GIR_Coverage, 3907,
     /*  582916 */     GIR_EraseRootFromParent_Done,
     /*  582917 */   // Label 9494: @582917
     /*  582917 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(582992), // Rule ID 3910 //
     /*  582922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582990 */     GIR_RootConstrainSelectedInstOperands,
     /*  582991 */     // GIR_Coverage, 3910,
     /*  582991 */     GIR_EraseRootFromParent_Done,
     /*  582992 */   // Label 9495: @582992
     /*  582992 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583067), // Rule ID 3911 //
     /*  582997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583065 */     GIR_RootConstrainSelectedInstOperands,
     /*  583066 */     // GIR_Coverage, 3911,
     /*  583066 */     GIR_EraseRootFromParent_Done,
     /*  583067 */   // Label 9496: @583067
     /*  583067 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583142), // Rule ID 3914 //
     /*  583072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583140 */     GIR_RootConstrainSelectedInstOperands,
     /*  583141 */     // GIR_Coverage, 3914,
     /*  583141 */     GIR_EraseRootFromParent_Done,
     /*  583142 */   // Label 9497: @583142
     /*  583142 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583217), // Rule ID 3915 //
     /*  583147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583215 */     GIR_RootConstrainSelectedInstOperands,
     /*  583216 */     // GIR_Coverage, 3915,
     /*  583216 */     GIR_EraseRootFromParent_Done,
     /*  583217 */   // Label 9498: @583217
     /*  583217 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583292), // Rule ID 3918 //
     /*  583222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583290 */     GIR_RootConstrainSelectedInstOperands,
     /*  583291 */     // GIR_Coverage, 3918,
     /*  583291 */     GIR_EraseRootFromParent_Done,
     /*  583292 */   // Label 9499: @583292
     /*  583292 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583367), // Rule ID 3919 //
     /*  583297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583365 */     GIR_RootConstrainSelectedInstOperands,
     /*  583366 */     // GIR_Coverage, 3919,
     /*  583366 */     GIR_EraseRootFromParent_Done,
     /*  583367 */   // Label 9500: @583367
     /*  583367 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583442), // Rule ID 3922 //
     /*  583372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583440 */     GIR_RootConstrainSelectedInstOperands,
     /*  583441 */     // GIR_Coverage, 3922,
     /*  583441 */     GIR_EraseRootFromParent_Done,
     /*  583442 */   // Label 9501: @583442
     /*  583442 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583517), // Rule ID 3923 //
     /*  583447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583515 */     GIR_RootConstrainSelectedInstOperands,
     /*  583516 */     // GIR_Coverage, 3923,
     /*  583516 */     GIR_EraseRootFromParent_Done,
     /*  583517 */   // Label 9502: @583517
     /*  583517 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583592), // Rule ID 3926 //
     /*  583522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583590 */     GIR_RootConstrainSelectedInstOperands,
     /*  583591 */     // GIR_Coverage, 3926,
     /*  583591 */     GIR_EraseRootFromParent_Done,
     /*  583592 */   // Label 9503: @583592
     /*  583592 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583667), // Rule ID 3927 //
     /*  583597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583665 */     GIR_RootConstrainSelectedInstOperands,
     /*  583666 */     // GIR_Coverage, 3927,
     /*  583666 */     GIR_EraseRootFromParent_Done,
     /*  583667 */   // Label 9504: @583667
     /*  583667 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(583742), // Rule ID 3930 //
     /*  583672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583740 */     GIR_RootConstrainSelectedInstOperands,
     /*  583741 */     // GIR_Coverage, 3930,
     /*  583741 */     GIR_EraseRootFromParent_Done,
     /*  583742 */   // Label 9505: @583742
     /*  583742 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(583817), // Rule ID 3931 //
     /*  583747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583815 */     GIR_RootConstrainSelectedInstOperands,
     /*  583816 */     // GIR_Coverage, 3931,
     /*  583816 */     GIR_EraseRootFromParent_Done,
     /*  583817 */   // Label 9506: @583817
     /*  583817 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(583892), // Rule ID 3934 //
     /*  583822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583890 */     GIR_RootConstrainSelectedInstOperands,
     /*  583891 */     // GIR_Coverage, 3934,
     /*  583891 */     GIR_EraseRootFromParent_Done,
     /*  583892 */   // Label 9507: @583892
     /*  583892 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(583967), // Rule ID 3935 //
     /*  583897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583943 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583965 */     GIR_RootConstrainSelectedInstOperands,
     /*  583966 */     // GIR_Coverage, 3935,
     /*  583966 */     GIR_EraseRootFromParent_Done,
     /*  583967 */   // Label 9508: @583967
     /*  583967 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584042), // Rule ID 3938 //
     /*  583972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  583983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  583986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  583989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  583992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  584021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584040 */     GIR_RootConstrainSelectedInstOperands,
     /*  584041 */     // GIR_Coverage, 3938,
     /*  584041 */     GIR_EraseRootFromParent_Done,
     /*  584042 */   // Label 9509: @584042
     /*  584042 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584117), // Rule ID 3939 //
     /*  584047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  584064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  584067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  584096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584115 */     GIR_RootConstrainSelectedInstOperands,
     /*  584116 */     // GIR_Coverage, 3939,
     /*  584116 */     GIR_EraseRootFromParent_Done,
     /*  584117 */   // Label 9510: @584117
     /*  584117 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584192), // Rule ID 3942 //
     /*  584122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584190 */     GIR_RootConstrainSelectedInstOperands,
     /*  584191 */     // GIR_Coverage, 3942,
     /*  584191 */     GIR_EraseRootFromParent_Done,
     /*  584192 */   // Label 9511: @584192
     /*  584192 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584267), // Rule ID 3943 //
     /*  584197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584265 */     GIR_RootConstrainSelectedInstOperands,
     /*  584266 */     // GIR_Coverage, 3943,
     /*  584266 */     GIR_EraseRootFromParent_Done,
     /*  584267 */   // Label 9512: @584267
     /*  584267 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584342), // Rule ID 3946 //
     /*  584272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584340 */     GIR_RootConstrainSelectedInstOperands,
     /*  584341 */     // GIR_Coverage, 3946,
     /*  584341 */     GIR_EraseRootFromParent_Done,
     /*  584342 */   // Label 9513: @584342
     /*  584342 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584417), // Rule ID 3947 //
     /*  584347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584415 */     GIR_RootConstrainSelectedInstOperands,
     /*  584416 */     // GIR_Coverage, 3947,
     /*  584416 */     GIR_EraseRootFromParent_Done,
     /*  584417 */   // Label 9514: @584417
     /*  584417 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584492), // Rule ID 3950 //
     /*  584422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  584471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584490 */     GIR_RootConstrainSelectedInstOperands,
     /*  584491 */     // GIR_Coverage, 3950,
     /*  584491 */     GIR_EraseRootFromParent_Done,
     /*  584492 */   // Label 9515: @584492
     /*  584492 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584567), // Rule ID 3951 //
     /*  584497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  584546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584565 */     GIR_RootConstrainSelectedInstOperands,
     /*  584566 */     // GIR_Coverage, 3951,
     /*  584566 */     GIR_EraseRootFromParent_Done,
     /*  584567 */   // Label 9516: @584567
     /*  584567 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584642), // Rule ID 3954 //
     /*  584572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  584589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  584621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584640 */     GIR_RootConstrainSelectedInstOperands,
     /*  584641 */     // GIR_Coverage, 3954,
     /*  584641 */     GIR_EraseRootFromParent_Done,
     /*  584642 */   // Label 9517: @584642
     /*  584642 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584717), // Rule ID 3955 //
     /*  584647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  584664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  584696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584715 */     GIR_RootConstrainSelectedInstOperands,
     /*  584716 */     // GIR_Coverage, 3955,
     /*  584716 */     GIR_EraseRootFromParent_Done,
     /*  584717 */   // Label 9518: @584717
     /*  584717 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(584792), // Rule ID 3958 //
     /*  584722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  584771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584790 */     GIR_RootConstrainSelectedInstOperands,
     /*  584791 */     // GIR_Coverage, 3958,
     /*  584791 */     GIR_EraseRootFromParent_Done,
     /*  584792 */   // Label 9519: @584792
     /*  584792 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(584867), // Rule ID 3959 //
     /*  584797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  584846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584865 */     GIR_RootConstrainSelectedInstOperands,
     /*  584866 */     // GIR_Coverage, 3959,
     /*  584866 */     GIR_EraseRootFromParent_Done,
     /*  584867 */   // Label 9520: @584867
     /*  584867 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(584942), // Rule ID 3962 //
     /*  584872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584940 */     GIR_RootConstrainSelectedInstOperands,
     /*  584941 */     // GIR_Coverage, 3962,
     /*  584941 */     GIR_EraseRootFromParent_Done,
     /*  584942 */   // Label 9521: @584942
     /*  584942 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585017), // Rule ID 3963 //
     /*  584947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585015 */     GIR_RootConstrainSelectedInstOperands,
     /*  585016 */     // GIR_Coverage, 3963,
     /*  585016 */     GIR_EraseRootFromParent_Done,
     /*  585017 */   // Label 9522: @585017
     /*  585017 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585092), // Rule ID 3966 //
     /*  585022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585090 */     GIR_RootConstrainSelectedInstOperands,
     /*  585091 */     // GIR_Coverage, 3966,
     /*  585091 */     GIR_EraseRootFromParent_Done,
     /*  585092 */   // Label 9523: @585092
     /*  585092 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585167), // Rule ID 3967 //
     /*  585097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585165 */     GIR_RootConstrainSelectedInstOperands,
     /*  585166 */     // GIR_Coverage, 3967,
     /*  585166 */     GIR_EraseRootFromParent_Done,
     /*  585167 */   // Label 9524: @585167
     /*  585167 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585242), // Rule ID 3970 //
     /*  585172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585240 */     GIR_RootConstrainSelectedInstOperands,
     /*  585241 */     // GIR_Coverage, 3970,
     /*  585241 */     GIR_EraseRootFromParent_Done,
     /*  585242 */   // Label 9525: @585242
     /*  585242 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585317), // Rule ID 3971 //
     /*  585247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585315 */     GIR_RootConstrainSelectedInstOperands,
     /*  585316 */     // GIR_Coverage, 3971,
     /*  585316 */     GIR_EraseRootFromParent_Done,
     /*  585317 */   // Label 9526: @585317
     /*  585317 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585392), // Rule ID 3974 //
     /*  585322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585390 */     GIR_RootConstrainSelectedInstOperands,
     /*  585391 */     // GIR_Coverage, 3974,
     /*  585391 */     GIR_EraseRootFromParent_Done,
     /*  585392 */   // Label 9527: @585392
     /*  585392 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585467), // Rule ID 3975 //
     /*  585397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585443 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585465 */     GIR_RootConstrainSelectedInstOperands,
     /*  585466 */     // GIR_Coverage, 3975,
     /*  585466 */     GIR_EraseRootFromParent_Done,
     /*  585467 */   // Label 9528: @585467
     /*  585467 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585542), // Rule ID 3978 //
     /*  585472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585540 */     GIR_RootConstrainSelectedInstOperands,
     /*  585541 */     // GIR_Coverage, 3978,
     /*  585541 */     GIR_EraseRootFromParent_Done,
     /*  585542 */   // Label 9529: @585542
     /*  585542 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585617), // Rule ID 3979 //
     /*  585547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585615 */     GIR_RootConstrainSelectedInstOperands,
     /*  585616 */     // GIR_Coverage, 3979,
     /*  585616 */     GIR_EraseRootFromParent_Done,
     /*  585617 */   // Label 9530: @585617
     /*  585617 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585692), // Rule ID 3982 //
     /*  585622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585690 */     GIR_RootConstrainSelectedInstOperands,
     /*  585691 */     // GIR_Coverage, 3982,
     /*  585691 */     GIR_EraseRootFromParent_Done,
     /*  585692 */   // Label 9531: @585692
     /*  585692 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(585767), // Rule ID 3983 //
     /*  585697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585765 */     GIR_RootConstrainSelectedInstOperands,
     /*  585766 */     // GIR_Coverage, 3983,
     /*  585766 */     GIR_EraseRootFromParent_Done,
     /*  585767 */   // Label 9532: @585767
     /*  585767 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(585842), // Rule ID 3986 //
     /*  585772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585840 */     GIR_RootConstrainSelectedInstOperands,
     /*  585841 */     // GIR_Coverage, 3986,
     /*  585841 */     GIR_EraseRootFromParent_Done,
     /*  585842 */   // Label 9533: @585842
     /*  585842 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(585917), // Rule ID 3987 //
     /*  585847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585915 */     GIR_RootConstrainSelectedInstOperands,
     /*  585916 */     // GIR_Coverage, 3987,
     /*  585916 */     GIR_EraseRootFromParent_Done,
     /*  585917 */   // Label 9534: @585917
     /*  585917 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(585992), // Rule ID 3990 //
     /*  585922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585990 */     GIR_RootConstrainSelectedInstOperands,
     /*  585991 */     // GIR_Coverage, 3990,
     /*  585991 */     GIR_EraseRootFromParent_Done,
     /*  585992 */   // Label 9535: @585992
     /*  585992 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586067), // Rule ID 3991 //
     /*  585997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  586046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586065 */     GIR_RootConstrainSelectedInstOperands,
     /*  586066 */     // GIR_Coverage, 3991,
     /*  586066 */     GIR_EraseRootFromParent_Done,
     /*  586067 */   // Label 9536: @586067
     /*  586067 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586142), // Rule ID 3994 //
     /*  586072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  586121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586140 */     GIR_RootConstrainSelectedInstOperands,
     /*  586141 */     // GIR_Coverage, 3994,
     /*  586141 */     GIR_EraseRootFromParent_Done,
     /*  586142 */   // Label 9537: @586142
     /*  586142 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586217), // Rule ID 3995 //
     /*  586147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  586196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586215 */     GIR_RootConstrainSelectedInstOperands,
     /*  586216 */     // GIR_Coverage, 3995,
     /*  586216 */     GIR_EraseRootFromParent_Done,
     /*  586217 */   // Label 9538: @586217
     /*  586217 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586292), // Rule ID 3998 //
     /*  586222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586290 */     GIR_RootConstrainSelectedInstOperands,
     /*  586291 */     // GIR_Coverage, 3998,
     /*  586291 */     GIR_EraseRootFromParent_Done,
     /*  586292 */   // Label 9539: @586292
     /*  586292 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586367), // Rule ID 3999 //
     /*  586297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586365 */     GIR_RootConstrainSelectedInstOperands,
     /*  586366 */     // GIR_Coverage, 3999,
     /*  586366 */     GIR_EraseRootFromParent_Done,
     /*  586367 */   // Label 9540: @586367
     /*  586367 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586442), // Rule ID 4002 //
     /*  586372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586440 */     GIR_RootConstrainSelectedInstOperands,
     /*  586441 */     // GIR_Coverage, 4002,
     /*  586441 */     GIR_EraseRootFromParent_Done,
     /*  586442 */   // Label 9541: @586442
     /*  586442 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586517), // Rule ID 4003 //
     /*  586447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586515 */     GIR_RootConstrainSelectedInstOperands,
     /*  586516 */     // GIR_Coverage, 4003,
     /*  586516 */     GIR_EraseRootFromParent_Done,
     /*  586517 */   // Label 9542: @586517
     /*  586517 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586592), // Rule ID 4006 //
     /*  586522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  586571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586590 */     GIR_RootConstrainSelectedInstOperands,
     /*  586591 */     // GIR_Coverage, 4006,
     /*  586591 */     GIR_EraseRootFromParent_Done,
     /*  586592 */   // Label 9543: @586592
     /*  586592 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586667), // Rule ID 4007 //
     /*  586597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  586646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586665 */     GIR_RootConstrainSelectedInstOperands,
     /*  586666 */     // GIR_Coverage, 4007,
     /*  586666 */     GIR_EraseRootFromParent_Done,
     /*  586667 */   // Label 9544: @586667
     /*  586667 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(586742), // Rule ID 4010 //
     /*  586672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  586721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586740 */     GIR_RootConstrainSelectedInstOperands,
     /*  586741 */     // GIR_Coverage, 4010,
     /*  586741 */     GIR_EraseRootFromParent_Done,
     /*  586742 */   // Label 9545: @586742
     /*  586742 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(586817), // Rule ID 4011 //
     /*  586747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  586796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586815 */     GIR_RootConstrainSelectedInstOperands,
     /*  586816 */     // GIR_Coverage, 4011,
     /*  586816 */     GIR_EraseRootFromParent_Done,
     /*  586817 */   // Label 9546: @586817
     /*  586817 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(586892), // Rule ID 4014 //
     /*  586822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  586839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  586871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586890 */     GIR_RootConstrainSelectedInstOperands,
     /*  586891 */     // GIR_Coverage, 4014,
     /*  586891 */     GIR_EraseRootFromParent_Done,
     /*  586892 */   // Label 9547: @586892
     /*  586892 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(586967), // Rule ID 4015 //
     /*  586897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  586914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  586946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586965 */     GIR_RootConstrainSelectedInstOperands,
     /*  586966 */     // GIR_Coverage, 4015,
     /*  586966 */     GIR_EraseRootFromParent_Done,
     /*  586967 */   // Label 9548: @586967
     /*  586967 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587042), // Rule ID 4018 //
     /*  586972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  586989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587040 */     GIR_RootConstrainSelectedInstOperands,
     /*  587041 */     // GIR_Coverage, 4018,
     /*  587041 */     GIR_EraseRootFromParent_Done,
     /*  587042 */   // Label 9549: @587042
     /*  587042 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587117), // Rule ID 4019 //
     /*  587047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  587064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587115 */     GIR_RootConstrainSelectedInstOperands,
     /*  587116 */     // GIR_Coverage, 4019,
     /*  587116 */     GIR_EraseRootFromParent_Done,
     /*  587117 */   // Label 9550: @587117
     /*  587117 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587192), // Rule ID 4022 //
     /*  587122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  587139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  587171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587190 */     GIR_RootConstrainSelectedInstOperands,
     /*  587191 */     // GIR_Coverage, 4022,
     /*  587191 */     GIR_EraseRootFromParent_Done,
     /*  587192 */   // Label 9551: @587192
     /*  587192 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587267), // Rule ID 4023 //
     /*  587197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  587214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  587246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587265 */     GIR_RootConstrainSelectedInstOperands,
     /*  587266 */     // GIR_Coverage, 4023,
     /*  587266 */     GIR_EraseRootFromParent_Done,
     /*  587267 */   // Label 9552: @587267
     /*  587267 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587342), // Rule ID 4026 //
     /*  587272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587340 */     GIR_RootConstrainSelectedInstOperands,
     /*  587341 */     // GIR_Coverage, 4026,
     /*  587341 */     GIR_EraseRootFromParent_Done,
     /*  587342 */   // Label 9553: @587342
     /*  587342 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587417), // Rule ID 4027 //
     /*  587347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587415 */     GIR_RootConstrainSelectedInstOperands,
     /*  587416 */     // GIR_Coverage, 4027,
     /*  587416 */     GIR_EraseRootFromParent_Done,
     /*  587417 */   // Label 9554: @587417
     /*  587417 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587492), // Rule ID 4030 //
     /*  587422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587490 */     GIR_RootConstrainSelectedInstOperands,
     /*  587491 */     // GIR_Coverage, 4030,
     /*  587491 */     GIR_EraseRootFromParent_Done,
     /*  587492 */   // Label 9555: @587492
     /*  587492 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587567), // Rule ID 4031 //
     /*  587497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587565 */     GIR_RootConstrainSelectedInstOperands,
     /*  587566 */     // GIR_Coverage, 4031,
     /*  587566 */     GIR_EraseRootFromParent_Done,
     /*  587567 */   // Label 9556: @587567
     /*  587567 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587642), // Rule ID 4034 //
     /*  587572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587640 */     GIR_RootConstrainSelectedInstOperands,
     /*  587641 */     // GIR_Coverage, 4034,
     /*  587641 */     GIR_EraseRootFromParent_Done,
     /*  587642 */   // Label 9557: @587642
     /*  587642 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587717), // Rule ID 4035 //
     /*  587647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587715 */     GIR_RootConstrainSelectedInstOperands,
     /*  587716 */     // GIR_Coverage, 4035,
     /*  587716 */     GIR_EraseRootFromParent_Done,
     /*  587717 */   // Label 9558: @587717
     /*  587717 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(587792), // Rule ID 4038 //
     /*  587722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587790 */     GIR_RootConstrainSelectedInstOperands,
     /*  587791 */     // GIR_Coverage, 4038,
     /*  587791 */     GIR_EraseRootFromParent_Done,
     /*  587792 */   // Label 9559: @587792
     /*  587792 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(587867), // Rule ID 4039 //
     /*  587797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587865 */     GIR_RootConstrainSelectedInstOperands,
     /*  587866 */     // GIR_Coverage, 4039,
     /*  587866 */     GIR_EraseRootFromParent_Done,
     /*  587867 */   // Label 9560: @587867
     /*  587867 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(587942), // Rule ID 4042 //
     /*  587872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587940 */     GIR_RootConstrainSelectedInstOperands,
     /*  587941 */     // GIR_Coverage, 4042,
     /*  587941 */     GIR_EraseRootFromParent_Done,
     /*  587942 */   // Label 9561: @587942
     /*  587942 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588017), // Rule ID 4043 //
     /*  587947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588015 */     GIR_RootConstrainSelectedInstOperands,
     /*  588016 */     // GIR_Coverage, 4043,
     /*  588016 */     GIR_EraseRootFromParent_Done,
     /*  588017 */   // Label 9562: @588017
     /*  588017 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588092), // Rule ID 4046 //
     /*  588022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  588071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588090 */     GIR_RootConstrainSelectedInstOperands,
     /*  588091 */     // GIR_Coverage, 4046,
     /*  588091 */     GIR_EraseRootFromParent_Done,
     /*  588092 */   // Label 9563: @588092
     /*  588092 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588167), // Rule ID 4047 //
     /*  588097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  588146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588165 */     GIR_RootConstrainSelectedInstOperands,
     /*  588166 */     // GIR_Coverage, 4047,
     /*  588166 */     GIR_EraseRootFromParent_Done,
     /*  588167 */   // Label 9564: @588167
     /*  588167 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588242), // Rule ID 4050 //
     /*  588172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588240 */     GIR_RootConstrainSelectedInstOperands,
     /*  588241 */     // GIR_Coverage, 4050,
     /*  588241 */     GIR_EraseRootFromParent_Done,
     /*  588242 */   // Label 9565: @588242
     /*  588242 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588317), // Rule ID 4051 //
     /*  588247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588315 */     GIR_RootConstrainSelectedInstOperands,
     /*  588316 */     // GIR_Coverage, 4051,
     /*  588316 */     GIR_EraseRootFromParent_Done,
     /*  588317 */   // Label 9566: @588317
     /*  588317 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588392), // Rule ID 4054 //
     /*  588322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588390 */     GIR_RootConstrainSelectedInstOperands,
     /*  588391 */     // GIR_Coverage, 4054,
     /*  588391 */     GIR_EraseRootFromParent_Done,
     /*  588392 */   // Label 9567: @588392
     /*  588392 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588467), // Rule ID 4055 //
     /*  588397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588465 */     GIR_RootConstrainSelectedInstOperands,
     /*  588466 */     // GIR_Coverage, 4055,
     /*  588466 */     GIR_EraseRootFromParent_Done,
     /*  588467 */   // Label 9568: @588467
     /*  588467 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588542), // Rule ID 4060 //
     /*  588472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  588521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588540 */     GIR_RootConstrainSelectedInstOperands,
     /*  588541 */     // GIR_Coverage, 4060,
     /*  588541 */     GIR_EraseRootFromParent_Done,
     /*  588542 */   // Label 9569: @588542
     /*  588542 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588617), // Rule ID 4061 //
     /*  588547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  588596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588615 */     GIR_RootConstrainSelectedInstOperands,
     /*  588616 */     // GIR_Coverage, 4061,
     /*  588616 */     GIR_EraseRootFromParent_Done,
     /*  588617 */   // Label 9570: @588617
     /*  588617 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588692), // Rule ID 4070 //
     /*  588622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  588671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588690 */     GIR_RootConstrainSelectedInstOperands,
     /*  588691 */     // GIR_Coverage, 4070,
     /*  588691 */     GIR_EraseRootFromParent_Done,
     /*  588692 */   // Label 9571: @588692
     /*  588692 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(588767), // Rule ID 4071 //
     /*  588697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  588746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588765 */     GIR_RootConstrainSelectedInstOperands,
     /*  588766 */     // GIR_Coverage, 4071,
     /*  588766 */     GIR_EraseRootFromParent_Done,
     /*  588767 */   // Label 9572: @588767
     /*  588767 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(588842), // Rule ID 4080 //
     /*  588772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  588821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588840 */     GIR_RootConstrainSelectedInstOperands,
     /*  588841 */     // GIR_Coverage, 4080,
     /*  588841 */     GIR_EraseRootFromParent_Done,
     /*  588842 */   // Label 9573: @588842
     /*  588842 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(588917), // Rule ID 4081 //
     /*  588847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  588896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588915 */     GIR_RootConstrainSelectedInstOperands,
     /*  588916 */     // GIR_Coverage, 4081,
     /*  588916 */     GIR_EraseRootFromParent_Done,
     /*  588917 */   // Label 9574: @588917
     /*  588917 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(588992), // Rule ID 4090 //
     /*  588922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  588971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588990 */     GIR_RootConstrainSelectedInstOperands,
     /*  588991 */     // GIR_Coverage, 4090,
     /*  588991 */     GIR_EraseRootFromParent_Done,
     /*  588992 */   // Label 9575: @588992
     /*  588992 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589067), // Rule ID 4091 //
     /*  588997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589065 */     GIR_RootConstrainSelectedInstOperands,
     /*  589066 */     // GIR_Coverage, 4091,
     /*  589066 */     GIR_EraseRootFromParent_Done,
     /*  589067 */   // Label 9576: @589067
     /*  589067 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589142), // Rule ID 4100 //
     /*  589072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589140 */     GIR_RootConstrainSelectedInstOperands,
     /*  589141 */     // GIR_Coverage, 4100,
     /*  589141 */     GIR_EraseRootFromParent_Done,
     /*  589142 */   // Label 9577: @589142
     /*  589142 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589217), // Rule ID 4101 //
     /*  589147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589193 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589215 */     GIR_RootConstrainSelectedInstOperands,
     /*  589216 */     // GIR_Coverage, 4101,
     /*  589216 */     GIR_EraseRootFromParent_Done,
     /*  589217 */   // Label 9578: @589217
     /*  589217 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589292), // Rule ID 4110 //
     /*  589222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589290 */     GIR_RootConstrainSelectedInstOperands,
     /*  589291 */     // GIR_Coverage, 4110,
     /*  589291 */     GIR_EraseRootFromParent_Done,
     /*  589292 */   // Label 9579: @589292
     /*  589292 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589367), // Rule ID 4111 //
     /*  589297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589365 */     GIR_RootConstrainSelectedInstOperands,
     /*  589366 */     // GIR_Coverage, 4111,
     /*  589366 */     GIR_EraseRootFromParent_Done,
     /*  589367 */   // Label 9580: @589367
     /*  589367 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589442), // Rule ID 4120 //
     /*  589372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589440 */     GIR_RootConstrainSelectedInstOperands,
     /*  589441 */     // GIR_Coverage, 4120,
     /*  589441 */     GIR_EraseRootFromParent_Done,
     /*  589442 */   // Label 9581: @589442
     /*  589442 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589517), // Rule ID 4121 //
     /*  589447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589515 */     GIR_RootConstrainSelectedInstOperands,
     /*  589516 */     // GIR_Coverage, 4121,
     /*  589516 */     GIR_EraseRootFromParent_Done,
     /*  589517 */   // Label 9582: @589517
     /*  589517 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589592), // Rule ID 4130 //
     /*  589522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589590 */     GIR_RootConstrainSelectedInstOperands,
     /*  589591 */     // GIR_Coverage, 4130,
     /*  589591 */     GIR_EraseRootFromParent_Done,
     /*  589592 */   // Label 9583: @589592
     /*  589592 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589667), // Rule ID 4131 //
     /*  589597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589665 */     GIR_RootConstrainSelectedInstOperands,
     /*  589666 */     // GIR_Coverage, 4131,
     /*  589666 */     GIR_EraseRootFromParent_Done,
     /*  589667 */   // Label 9584: @589667
     /*  589667 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(589742), // Rule ID 4140 //
     /*  589672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589740 */     GIR_RootConstrainSelectedInstOperands,
     /*  589741 */     // GIR_Coverage, 4140,
     /*  589741 */     GIR_EraseRootFromParent_Done,
     /*  589742 */   // Label 9585: @589742
     /*  589742 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(589817), // Rule ID 4141 //
     /*  589747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589815 */     GIR_RootConstrainSelectedInstOperands,
     /*  589816 */     // GIR_Coverage, 4141,
     /*  589816 */     GIR_EraseRootFromParent_Done,
     /*  589817 */   // Label 9586: @589817
     /*  589817 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(589892), // Rule ID 4150 //
     /*  589822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589890 */     GIR_RootConstrainSelectedInstOperands,
     /*  589891 */     // GIR_Coverage, 4150,
     /*  589891 */     GIR_EraseRootFromParent_Done,
     /*  589892 */   // Label 9587: @589892
     /*  589892 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(589967), // Rule ID 4151 //
     /*  589897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589965 */     GIR_RootConstrainSelectedInstOperands,
     /*  589966 */     // GIR_Coverage, 4151,
     /*  589966 */     GIR_EraseRootFromParent_Done,
     /*  589967 */   // Label 9588: @589967
     /*  589967 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590042), // Rule ID 4160 //
     /*  589972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  590021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590040 */     GIR_RootConstrainSelectedInstOperands,
     /*  590041 */     // GIR_Coverage, 4160,
     /*  590041 */     GIR_EraseRootFromParent_Done,
     /*  590042 */   // Label 9589: @590042
     /*  590042 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590117), // Rule ID 4161 //
     /*  590047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  590096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590115 */     GIR_RootConstrainSelectedInstOperands,
     /*  590116 */     // GIR_Coverage, 4161,
     /*  590116 */     GIR_EraseRootFromParent_Done,
     /*  590117 */   // Label 9590: @590117
     /*  590117 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590192), // Rule ID 4170 //
     /*  590122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590190 */     GIR_RootConstrainSelectedInstOperands,
     /*  590191 */     // GIR_Coverage, 4170,
     /*  590191 */     GIR_EraseRootFromParent_Done,
     /*  590192 */   // Label 9591: @590192
     /*  590192 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590267), // Rule ID 4171 //
     /*  590197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590265 */     GIR_RootConstrainSelectedInstOperands,
     /*  590266 */     // GIR_Coverage, 4171,
     /*  590266 */     GIR_EraseRootFromParent_Done,
     /*  590267 */   // Label 9592: @590267
     /*  590267 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590342), // Rule ID 4180 //
     /*  590272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590340 */     GIR_RootConstrainSelectedInstOperands,
     /*  590341 */     // GIR_Coverage, 4180,
     /*  590341 */     GIR_EraseRootFromParent_Done,
     /*  590342 */   // Label 9593: @590342
     /*  590342 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590417), // Rule ID 4181 //
     /*  590347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590415 */     GIR_RootConstrainSelectedInstOperands,
     /*  590416 */     // GIR_Coverage, 4181,
     /*  590416 */     GIR_EraseRootFromParent_Done,
     /*  590417 */   // Label 9594: @590417
     /*  590417 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590492), // Rule ID 4190 //
     /*  590422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590490 */     GIR_RootConstrainSelectedInstOperands,
     /*  590491 */     // GIR_Coverage, 4190,
     /*  590491 */     GIR_EraseRootFromParent_Done,
     /*  590492 */   // Label 9595: @590492
     /*  590492 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590567), // Rule ID 4191 //
     /*  590497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590565 */     GIR_RootConstrainSelectedInstOperands,
     /*  590566 */     // GIR_Coverage, 4191,
     /*  590566 */     GIR_EraseRootFromParent_Done,
     /*  590567 */   // Label 9596: @590567
     /*  590567 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590642), // Rule ID 4198 //
     /*  590572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  590621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590640 */     GIR_RootConstrainSelectedInstOperands,
     /*  590641 */     // GIR_Coverage, 4198,
     /*  590641 */     GIR_EraseRootFromParent_Done,
     /*  590642 */   // Label 9597: @590642
     /*  590642 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590717), // Rule ID 4199 //
     /*  590647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  590696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590715 */     GIR_RootConstrainSelectedInstOperands,
     /*  590716 */     // GIR_Coverage, 4199,
     /*  590716 */     GIR_EraseRootFromParent_Done,
     /*  590717 */   // Label 9598: @590717
     /*  590717 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(590792), // Rule ID 4202 //
     /*  590722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  590771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590790 */     GIR_RootConstrainSelectedInstOperands,
     /*  590791 */     // GIR_Coverage, 4202,
     /*  590791 */     GIR_EraseRootFromParent_Done,
     /*  590792 */   // Label 9599: @590792
     /*  590792 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(590867), // Rule ID 4203 //
     /*  590797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  590846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590865 */     GIR_RootConstrainSelectedInstOperands,
     /*  590866 */     // GIR_Coverage, 4203,
     /*  590866 */     GIR_EraseRootFromParent_Done,
     /*  590867 */   // Label 9600: @590867
     /*  590867 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(590942), // Rule ID 4206 //
     /*  590872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  590921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590940 */     GIR_RootConstrainSelectedInstOperands,
     /*  590941 */     // GIR_Coverage, 4206,
     /*  590941 */     GIR_EraseRootFromParent_Done,
     /*  590942 */   // Label 9601: @590942
     /*  590942 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591017), // Rule ID 4207 //
     /*  590947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  590996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591015 */     GIR_RootConstrainSelectedInstOperands,
     /*  591016 */     // GIR_Coverage, 4207,
     /*  591016 */     GIR_EraseRootFromParent_Done,
     /*  591017 */   // Label 9602: @591017
     /*  591017 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591092), // Rule ID 4210 //
     /*  591022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591090 */     GIR_RootConstrainSelectedInstOperands,
     /*  591091 */     // GIR_Coverage, 4210,
     /*  591091 */     GIR_EraseRootFromParent_Done,
     /*  591092 */   // Label 9603: @591092
     /*  591092 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591167), // Rule ID 4211 //
     /*  591097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591165 */     GIR_RootConstrainSelectedInstOperands,
     /*  591166 */     // GIR_Coverage, 4211,
     /*  591166 */     GIR_EraseRootFromParent_Done,
     /*  591167 */   // Label 9604: @591167
     /*  591167 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591242), // Rule ID 4214 //
     /*  591172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591240 */     GIR_RootConstrainSelectedInstOperands,
     /*  591241 */     // GIR_Coverage, 4214,
     /*  591241 */     GIR_EraseRootFromParent_Done,
     /*  591242 */   // Label 9605: @591242
     /*  591242 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591317), // Rule ID 4215 //
     /*  591247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591293 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591315 */     GIR_RootConstrainSelectedInstOperands,
     /*  591316 */     // GIR_Coverage, 4215,
     /*  591316 */     GIR_EraseRootFromParent_Done,
     /*  591317 */   // Label 9606: @591317
     /*  591317 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591392), // Rule ID 4218 //
     /*  591322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591390 */     GIR_RootConstrainSelectedInstOperands,
     /*  591391 */     // GIR_Coverage, 4218,
     /*  591391 */     GIR_EraseRootFromParent_Done,
     /*  591392 */   // Label 9607: @591392
     /*  591392 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591467), // Rule ID 4219 //
     /*  591397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591443 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591465 */     GIR_RootConstrainSelectedInstOperands,
     /*  591466 */     // GIR_Coverage, 4219,
     /*  591466 */     GIR_EraseRootFromParent_Done,
     /*  591467 */   // Label 9608: @591467
     /*  591467 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591542), // Rule ID 4222 //
     /*  591472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591540 */     GIR_RootConstrainSelectedInstOperands,
     /*  591541 */     // GIR_Coverage, 4222,
     /*  591541 */     GIR_EraseRootFromParent_Done,
     /*  591542 */   // Label 9609: @591542
     /*  591542 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591617), // Rule ID 4223 //
     /*  591547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591615 */     GIR_RootConstrainSelectedInstOperands,
     /*  591616 */     // GIR_Coverage, 4223,
     /*  591616 */     GIR_EraseRootFromParent_Done,
     /*  591617 */   // Label 9610: @591617
     /*  591617 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591692), // Rule ID 4226 //
     /*  591622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591690 */     GIR_RootConstrainSelectedInstOperands,
     /*  591691 */     // GIR_Coverage, 4226,
     /*  591691 */     GIR_EraseRootFromParent_Done,
     /*  591692 */   // Label 9611: @591692
     /*  591692 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(591767), // Rule ID 4227 //
     /*  591697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591765 */     GIR_RootConstrainSelectedInstOperands,
     /*  591766 */     // GIR_Coverage, 4227,
     /*  591766 */     GIR_EraseRootFromParent_Done,
     /*  591767 */   // Label 9612: @591767
     /*  591767 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(591842), // Rule ID 4230 //
     /*  591772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591840 */     GIR_RootConstrainSelectedInstOperands,
     /*  591841 */     // GIR_Coverage, 4230,
     /*  591841 */     GIR_EraseRootFromParent_Done,
     /*  591842 */   // Label 9613: @591842
     /*  591842 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(591917), // Rule ID 4231 //
     /*  591847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591915 */     GIR_RootConstrainSelectedInstOperands,
     /*  591916 */     // GIR_Coverage, 4231,
     /*  591916 */     GIR_EraseRootFromParent_Done,
     /*  591917 */   // Label 9614: @591917
     /*  591917 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(591992), // Rule ID 4234 //
     /*  591922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591990 */     GIR_RootConstrainSelectedInstOperands,
     /*  591991 */     // GIR_Coverage, 4234,
     /*  591991 */     GIR_EraseRootFromParent_Done,
     /*  591992 */   // Label 9615: @591992
     /*  591992 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592067), // Rule ID 4235 //
     /*  591997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592065 */     GIR_RootConstrainSelectedInstOperands,
     /*  592066 */     // GIR_Coverage, 4235,
     /*  592066 */     GIR_EraseRootFromParent_Done,
     /*  592067 */   // Label 9616: @592067
     /*  592067 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592142), // Rule ID 4238 //
     /*  592072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592140 */     GIR_RootConstrainSelectedInstOperands,
     /*  592141 */     // GIR_Coverage, 4238,
     /*  592141 */     GIR_EraseRootFromParent_Done,
     /*  592142 */   // Label 9617: @592142
     /*  592142 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592217), // Rule ID 4239 //
     /*  592147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592215 */     GIR_RootConstrainSelectedInstOperands,
     /*  592216 */     // GIR_Coverage, 4239,
     /*  592216 */     GIR_EraseRootFromParent_Done,
     /*  592217 */   // Label 9618: @592217
     /*  592217 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592292), // Rule ID 4242 //
     /*  592222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592290 */     GIR_RootConstrainSelectedInstOperands,
     /*  592291 */     // GIR_Coverage, 4242,
     /*  592291 */     GIR_EraseRootFromParent_Done,
     /*  592292 */   // Label 9619: @592292
     /*  592292 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592367), // Rule ID 4243 //
     /*  592297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592343 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592365 */     GIR_RootConstrainSelectedInstOperands,
     /*  592366 */     // GIR_Coverage, 4243,
     /*  592366 */     GIR_EraseRootFromParent_Done,
     /*  592367 */   // Label 9620: @592367
     /*  592367 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592442), // Rule ID 4246 //
     /*  592372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592440 */     GIR_RootConstrainSelectedInstOperands,
     /*  592441 */     // GIR_Coverage, 4246,
     /*  592441 */     GIR_EraseRootFromParent_Done,
     /*  592442 */   // Label 9621: @592442
     /*  592442 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592517), // Rule ID 4247 //
     /*  592447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592515 */     GIR_RootConstrainSelectedInstOperands,
     /*  592516 */     // GIR_Coverage, 4247,
     /*  592516 */     GIR_EraseRootFromParent_Done,
     /*  592517 */   // Label 9622: @592517
     /*  592517 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592592), // Rule ID 4250 //
     /*  592522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592590 */     GIR_RootConstrainSelectedInstOperands,
     /*  592591 */     // GIR_Coverage, 4250,
     /*  592591 */     GIR_EraseRootFromParent_Done,
     /*  592592 */   // Label 9623: @592592
     /*  592592 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592667), // Rule ID 4251 //
     /*  592597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592665 */     GIR_RootConstrainSelectedInstOperands,
     /*  592666 */     // GIR_Coverage, 4251,
     /*  592666 */     GIR_EraseRootFromParent_Done,
     /*  592667 */   // Label 9624: @592667
     /*  592667 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(592742), // Rule ID 4254 //
     /*  592672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592740 */     GIR_RootConstrainSelectedInstOperands,
     /*  592741 */     // GIR_Coverage, 4254,
     /*  592741 */     GIR_EraseRootFromParent_Done,
     /*  592742 */   // Label 9625: @592742
     /*  592742 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(592817), // Rule ID 4255 //
     /*  592747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592793 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592815 */     GIR_RootConstrainSelectedInstOperands,
     /*  592816 */     // GIR_Coverage, 4255,
     /*  592816 */     GIR_EraseRootFromParent_Done,
     /*  592817 */   // Label 9626: @592817
     /*  592817 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(592892), // Rule ID 4260 //
     /*  592822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  592871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592890 */     GIR_RootConstrainSelectedInstOperands,
     /*  592891 */     // GIR_Coverage, 4260,
     /*  592891 */     GIR_EraseRootFromParent_Done,
     /*  592892 */   // Label 9627: @592892
     /*  592892 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(592967), // Rule ID 4261 //
     /*  592897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  592946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592965 */     GIR_RootConstrainSelectedInstOperands,
     /*  592966 */     // GIR_Coverage, 4261,
     /*  592966 */     GIR_EraseRootFromParent_Done,
     /*  592967 */   // Label 9628: @592967
     /*  592967 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593042), // Rule ID 4270 //
     /*  592972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593040 */     GIR_RootConstrainSelectedInstOperands,
     /*  593041 */     // GIR_Coverage, 4270,
     /*  593041 */     GIR_EraseRootFromParent_Done,
     /*  593042 */   // Label 9629: @593042
     /*  593042 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593117), // Rule ID 4271 //
     /*  593047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593115 */     GIR_RootConstrainSelectedInstOperands,
     /*  593116 */     // GIR_Coverage, 4271,
     /*  593116 */     GIR_EraseRootFromParent_Done,
     /*  593117 */   // Label 9630: @593117
     /*  593117 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593192), // Rule ID 4280 //
     /*  593122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593190 */     GIR_RootConstrainSelectedInstOperands,
     /*  593191 */     // GIR_Coverage, 4280,
     /*  593191 */     GIR_EraseRootFromParent_Done,
     /*  593192 */   // Label 9631: @593192
     /*  593192 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593267), // Rule ID 4281 //
     /*  593197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593265 */     GIR_RootConstrainSelectedInstOperands,
     /*  593266 */     // GIR_Coverage, 4281,
     /*  593266 */     GIR_EraseRootFromParent_Done,
     /*  593267 */   // Label 9632: @593267
     /*  593267 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593342), // Rule ID 4290 //
     /*  593272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593340 */     GIR_RootConstrainSelectedInstOperands,
     /*  593341 */     // GIR_Coverage, 4290,
     /*  593341 */     GIR_EraseRootFromParent_Done,
     /*  593342 */   // Label 9633: @593342
     /*  593342 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593417), // Rule ID 4291 //
     /*  593347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593415 */     GIR_RootConstrainSelectedInstOperands,
     /*  593416 */     // GIR_Coverage, 4291,
     /*  593416 */     GIR_EraseRootFromParent_Done,
     /*  593417 */   // Label 9634: @593417
     /*  593417 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593492), // Rule ID 4300 //
     /*  593422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  593471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593490 */     GIR_RootConstrainSelectedInstOperands,
     /*  593491 */     // GIR_Coverage, 4300,
     /*  593491 */     GIR_EraseRootFromParent_Done,
     /*  593492 */   // Label 9635: @593492
     /*  593492 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593567), // Rule ID 4301 //
     /*  593497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  593546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593565 */     GIR_RootConstrainSelectedInstOperands,
     /*  593566 */     // GIR_Coverage, 4301,
     /*  593566 */     GIR_EraseRootFromParent_Done,
     /*  593567 */   // Label 9636: @593567
     /*  593567 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593642), // Rule ID 4310 //
     /*  593572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  593621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593640 */     GIR_RootConstrainSelectedInstOperands,
     /*  593641 */     // GIR_Coverage, 4310,
     /*  593641 */     GIR_EraseRootFromParent_Done,
     /*  593642 */   // Label 9637: @593642
     /*  593642 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593717), // Rule ID 4311 //
     /*  593647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  593696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593715 */     GIR_RootConstrainSelectedInstOperands,
     /*  593716 */     // GIR_Coverage, 4311,
     /*  593716 */     GIR_EraseRootFromParent_Done,
     /*  593717 */   // Label 9638: @593717
     /*  593717 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(593792), // Rule ID 4320 //
     /*  593722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593790 */     GIR_RootConstrainSelectedInstOperands,
     /*  593791 */     // GIR_Coverage, 4320,
     /*  593791 */     GIR_EraseRootFromParent_Done,
     /*  593792 */   // Label 9639: @593792
     /*  593792 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(593867), // Rule ID 4321 //
     /*  593797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593865 */     GIR_RootConstrainSelectedInstOperands,
     /*  593866 */     // GIR_Coverage, 4321,
     /*  593866 */     GIR_EraseRootFromParent_Done,
     /*  593867 */   // Label 9640: @593867
     /*  593867 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(593942), // Rule ID 4330 //
     /*  593872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593940 */     GIR_RootConstrainSelectedInstOperands,
     /*  593941 */     // GIR_Coverage, 4330,
     /*  593941 */     GIR_EraseRootFromParent_Done,
     /*  593942 */   // Label 9641: @593942
     /*  593942 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594017), // Rule ID 4331 //
     /*  593947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594015 */     GIR_RootConstrainSelectedInstOperands,
     /*  594016 */     // GIR_Coverage, 4331,
     /*  594016 */     GIR_EraseRootFromParent_Done,
     /*  594017 */   // Label 9642: @594017
     /*  594017 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594092), // Rule ID 4340 //
     /*  594022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594090 */     GIR_RootConstrainSelectedInstOperands,
     /*  594091 */     // GIR_Coverage, 4340,
     /*  594091 */     GIR_EraseRootFromParent_Done,
     /*  594092 */   // Label 9643: @594092
     /*  594092 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594167), // Rule ID 4341 //
     /*  594097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594165 */     GIR_RootConstrainSelectedInstOperands,
     /*  594166 */     // GIR_Coverage, 4341,
     /*  594166 */     GIR_EraseRootFromParent_Done,
     /*  594167 */   // Label 9644: @594167
     /*  594167 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594242), // Rule ID 4350 //
     /*  594172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594240 */     GIR_RootConstrainSelectedInstOperands,
     /*  594241 */     // GIR_Coverage, 4350,
     /*  594241 */     GIR_EraseRootFromParent_Done,
     /*  594242 */   // Label 9645: @594242
     /*  594242 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594317), // Rule ID 4351 //
     /*  594247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594315 */     GIR_RootConstrainSelectedInstOperands,
     /*  594316 */     // GIR_Coverage, 4351,
     /*  594316 */     GIR_EraseRootFromParent_Done,
     /*  594317 */   // Label 9646: @594317
     /*  594317 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594392), // Rule ID 4360 //
     /*  594322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594390 */     GIR_RootConstrainSelectedInstOperands,
     /*  594391 */     // GIR_Coverage, 4360,
     /*  594391 */     GIR_EraseRootFromParent_Done,
     /*  594392 */   // Label 9647: @594392
     /*  594392 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594467), // Rule ID 4361 //
     /*  594397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594465 */     GIR_RootConstrainSelectedInstOperands,
     /*  594466 */     // GIR_Coverage, 4361,
     /*  594466 */     GIR_EraseRootFromParent_Done,
     /*  594467 */   // Label 9648: @594467
     /*  594467 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594542), // Rule ID 4370 //
     /*  594472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594540 */     GIR_RootConstrainSelectedInstOperands,
     /*  594541 */     // GIR_Coverage, 4370,
     /*  594541 */     GIR_EraseRootFromParent_Done,
     /*  594542 */   // Label 9649: @594542
     /*  594542 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594617), // Rule ID 4371 //
     /*  594547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594615 */     GIR_RootConstrainSelectedInstOperands,
     /*  594616 */     // GIR_Coverage, 4371,
     /*  594616 */     GIR_EraseRootFromParent_Done,
     /*  594617 */   // Label 9650: @594617
     /*  594617 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594692), // Rule ID 4380 //
     /*  594622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594668 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594690 */     GIR_RootConstrainSelectedInstOperands,
     /*  594691 */     // GIR_Coverage, 4380,
     /*  594691 */     GIR_EraseRootFromParent_Done,
     /*  594692 */   // Label 9651: @594692
     /*  594692 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(594767), // Rule ID 4381 //
     /*  594697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594765 */     GIR_RootConstrainSelectedInstOperands,
     /*  594766 */     // GIR_Coverage, 4381,
     /*  594766 */     GIR_EraseRootFromParent_Done,
     /*  594767 */   // Label 9652: @594767
     /*  594767 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(594842), // Rule ID 4390 //
     /*  594772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594840 */     GIR_RootConstrainSelectedInstOperands,
     /*  594841 */     // GIR_Coverage, 4390,
     /*  594841 */     GIR_EraseRootFromParent_Done,
     /*  594842 */   // Label 9653: @594842
     /*  594842 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(594917), // Rule ID 4391 //
     /*  594847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594893 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594915 */     GIR_RootConstrainSelectedInstOperands,
     /*  594916 */     // GIR_Coverage, 4391,
     /*  594916 */     GIR_EraseRootFromParent_Done,
     /*  594917 */   // Label 9654: @594917
     /*  594917 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(594992), // Rule ID 4400 //
     /*  594922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594990 */     GIR_RootConstrainSelectedInstOperands,
     /*  594991 */     // GIR_Coverage, 4400,
     /*  594991 */     GIR_EraseRootFromParent_Done,
     /*  594992 */   // Label 9655: @594992
     /*  594992 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595067), // Rule ID 4401 //
     /*  594997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  595046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595065 */     GIR_RootConstrainSelectedInstOperands,
     /*  595066 */     // GIR_Coverage, 4401,
     /*  595066 */     GIR_EraseRootFromParent_Done,
     /*  595067 */   // Label 9656: @595067
     /*  595067 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595142), // Rule ID 4408 //
     /*  595072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  595121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595140 */     GIR_RootConstrainSelectedInstOperands,
     /*  595141 */     // GIR_Coverage, 4408,
     /*  595141 */     GIR_EraseRootFromParent_Done,
     /*  595142 */   // Label 9657: @595142
     /*  595142 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595217), // Rule ID 4409 //
     /*  595147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  595196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595215 */     GIR_RootConstrainSelectedInstOperands,
     /*  595216 */     // GIR_Coverage, 4409,
     /*  595216 */     GIR_EraseRootFromParent_Done,
     /*  595217 */   // Label 9658: @595217
     /*  595217 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595292), // Rule ID 4412 //
     /*  595222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595290 */     GIR_RootConstrainSelectedInstOperands,
     /*  595291 */     // GIR_Coverage, 4412,
     /*  595291 */     GIR_EraseRootFromParent_Done,
     /*  595292 */   // Label 9659: @595292
     /*  595292 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595367), // Rule ID 4413 //
     /*  595297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595365 */     GIR_RootConstrainSelectedInstOperands,
     /*  595366 */     // GIR_Coverage, 4413,
     /*  595366 */     GIR_EraseRootFromParent_Done,
     /*  595367 */   // Label 9660: @595367
     /*  595367 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595442), // Rule ID 4416 //
     /*  595372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595440 */     GIR_RootConstrainSelectedInstOperands,
     /*  595441 */     // GIR_Coverage, 4416,
     /*  595441 */     GIR_EraseRootFromParent_Done,
     /*  595442 */   // Label 9661: @595442
     /*  595442 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595517), // Rule ID 4417 //
     /*  595447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11625:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595515 */     GIR_RootConstrainSelectedInstOperands,
     /*  595516 */     // GIR_Coverage, 4417,
     /*  595516 */     GIR_EraseRootFromParent_Done,
     /*  595517 */   // Label 9662: @595517
     /*  595517 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595592), // Rule ID 4420 //
     /*  595522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  595571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595590 */     GIR_RootConstrainSelectedInstOperands,
     /*  595591 */     // GIR_Coverage, 4420,
     /*  595591 */     GIR_EraseRootFromParent_Done,
     /*  595592 */   // Label 9663: @595592
     /*  595592 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595667), // Rule ID 4421 //
     /*  595597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  595646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595665 */     GIR_RootConstrainSelectedInstOperands,
     /*  595666 */     // GIR_Coverage, 4421,
     /*  595666 */     GIR_EraseRootFromParent_Done,
     /*  595667 */   // Label 9664: @595667
     /*  595667 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(595742), // Rule ID 4424 //
     /*  595672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  595721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595740 */     GIR_RootConstrainSelectedInstOperands,
     /*  595741 */     // GIR_Coverage, 4424,
     /*  595741 */     GIR_EraseRootFromParent_Done,
     /*  595742 */   // Label 9665: @595742
     /*  595742 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(595817), // Rule ID 4425 //
     /*  595747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  595796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595815 */     GIR_RootConstrainSelectedInstOperands,
     /*  595816 */     // GIR_Coverage, 4425,
     /*  595816 */     GIR_EraseRootFromParent_Done,
     /*  595817 */   // Label 9666: @595817
     /*  595817 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(595892), // Rule ID 4428 //
     /*  595822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  595871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595890 */     GIR_RootConstrainSelectedInstOperands,
     /*  595891 */     // GIR_Coverage, 4428,
     /*  595891 */     GIR_EraseRootFromParent_Done,
     /*  595892 */   // Label 9667: @595892
     /*  595892 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(595967), // Rule ID 4429 //
     /*  595897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  595946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595965 */     GIR_RootConstrainSelectedInstOperands,
     /*  595966 */     // GIR_Coverage, 4429,
     /*  595966 */     GIR_EraseRootFromParent_Done,
     /*  595967 */   // Label 9668: @595967
     /*  595967 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596042), // Rule ID 4432 //
     /*  595972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  596021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596040 */     GIR_RootConstrainSelectedInstOperands,
     /*  596041 */     // GIR_Coverage, 4432,
     /*  596041 */     GIR_EraseRootFromParent_Done,
     /*  596042 */   // Label 9669: @596042
     /*  596042 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596117), // Rule ID 4433 //
     /*  596047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  596096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596115 */     GIR_RootConstrainSelectedInstOperands,
     /*  596116 */     // GIR_Coverage, 4433,
     /*  596116 */     GIR_EraseRootFromParent_Done,
     /*  596117 */   // Label 9670: @596117
     /*  596117 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596192), // Rule ID 4436 //
     /*  596122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596190 */     GIR_RootConstrainSelectedInstOperands,
     /*  596191 */     // GIR_Coverage, 4436,
     /*  596191 */     GIR_EraseRootFromParent_Done,
     /*  596192 */   // Label 9671: @596192
     /*  596192 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596267), // Rule ID 4437 //
     /*  596197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11625:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596265 */     GIR_RootConstrainSelectedInstOperands,
     /*  596266 */     // GIR_Coverage, 4437,
     /*  596266 */     GIR_EraseRootFromParent_Done,
     /*  596267 */   // Label 9672: @596267
     /*  596267 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596342), // Rule ID 4440 //
     /*  596272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596340 */     GIR_RootConstrainSelectedInstOperands,
     /*  596341 */     // GIR_Coverage, 4440,
     /*  596341 */     GIR_EraseRootFromParent_Done,
     /*  596342 */   // Label 9673: @596342
     /*  596342 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596417), // Rule ID 4441 //
     /*  596347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596415 */     GIR_RootConstrainSelectedInstOperands,
     /*  596416 */     // GIR_Coverage, 4441,
     /*  596416 */     GIR_EraseRootFromParent_Done,
     /*  596417 */   // Label 9674: @596417
     /*  596417 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596492), // Rule ID 4444 //
     /*  596422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596490 */     GIR_RootConstrainSelectedInstOperands,
     /*  596491 */     // GIR_Coverage, 4444,
     /*  596491 */     GIR_EraseRootFromParent_Done,
     /*  596492 */   // Label 9675: @596492
     /*  596492 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596567), // Rule ID 4445 //
     /*  596497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596565 */     GIR_RootConstrainSelectedInstOperands,
     /*  596566 */     // GIR_Coverage, 4445,
     /*  596566 */     GIR_EraseRootFromParent_Done,
     /*  596567 */   // Label 9676: @596567
     /*  596567 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596642), // Rule ID 4448 //
     /*  596572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596640 */     GIR_RootConstrainSelectedInstOperands,
     /*  596641 */     // GIR_Coverage, 4448,
     /*  596641 */     GIR_EraseRootFromParent_Done,
     /*  596642 */   // Label 9677: @596642
     /*  596642 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596717), // Rule ID 4449 //
     /*  596647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596715 */     GIR_RootConstrainSelectedInstOperands,
     /*  596716 */     // GIR_Coverage, 4449,
     /*  596716 */     GIR_EraseRootFromParent_Done,
     /*  596717 */   // Label 9678: @596717
     /*  596717 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(596792), // Rule ID 4452 //
     /*  596722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596790 */     GIR_RootConstrainSelectedInstOperands,
     /*  596791 */     // GIR_Coverage, 4452,
     /*  596791 */     GIR_EraseRootFromParent_Done,
     /*  596792 */   // Label 9679: @596792
     /*  596792 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(596867), // Rule ID 4453 //
     /*  596797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11625:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596865 */     GIR_RootConstrainSelectedInstOperands,
     /*  596866 */     // GIR_Coverage, 4453,
     /*  596866 */     GIR_EraseRootFromParent_Done,
     /*  596867 */   // Label 9680: @596867
     /*  596867 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(596942), // Rule ID 4456 //
     /*  596872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596940 */     GIR_RootConstrainSelectedInstOperands,
     /*  596941 */     // GIR_Coverage, 4456,
     /*  596941 */     GIR_EraseRootFromParent_Done,
     /*  596942 */   // Label 9681: @596942
     /*  596942 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597017), // Rule ID 4457 //
     /*  596947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11625:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597015 */     GIR_RootConstrainSelectedInstOperands,
     /*  597016 */     // GIR_Coverage, 4457,
     /*  597016 */     GIR_EraseRootFromParent_Done,
     /*  597017 */   // Label 9682: @597017
     /*  597017 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597092), // Rule ID 4460 //
     /*  597022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  597071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597090 */     GIR_RootConstrainSelectedInstOperands,
     /*  597091 */     // GIR_Coverage, 4460,
     /*  597091 */     GIR_EraseRootFromParent_Done,
     /*  597092 */   // Label 9683: @597092
     /*  597092 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597167), // Rule ID 4461 //
     /*  597097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11625:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  597146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597165 */     GIR_RootConstrainSelectedInstOperands,
     /*  597166 */     // GIR_Coverage, 4461,
     /*  597166 */     GIR_EraseRootFromParent_Done,
     /*  597167 */   // Label 9684: @597167
     /*  597167 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597242), // Rule ID 4464 //
     /*  597172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597240 */     GIR_RootConstrainSelectedInstOperands,
     /*  597241 */     // GIR_Coverage, 4464,
     /*  597241 */     GIR_EraseRootFromParent_Done,
     /*  597242 */   // Label 9685: @597242
     /*  597242 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597317), // Rule ID 4465 //
     /*  597247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11625:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597315 */     GIR_RootConstrainSelectedInstOperands,
     /*  597316 */     // GIR_Coverage, 4465,
     /*  597316 */     GIR_EraseRootFromParent_Done,
     /*  597317 */   // Label 9686: @597317
     /*  597317 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597392), // Rule ID 4470 //
     /*  597322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597390 */     GIR_RootConstrainSelectedInstOperands,
     /*  597391 */     // GIR_Coverage, 4470,
     /*  597391 */     GIR_EraseRootFromParent_Done,
     /*  597392 */   // Label 9687: @597392
     /*  597392 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597467), // Rule ID 4471 //
     /*  597397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597465 */     GIR_RootConstrainSelectedInstOperands,
     /*  597466 */     // GIR_Coverage, 4471,
     /*  597466 */     GIR_EraseRootFromParent_Done,
     /*  597467 */   // Label 9688: @597467
     /*  597467 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597542), // Rule ID 4480 //
     /*  597472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  597521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597540 */     GIR_RootConstrainSelectedInstOperands,
     /*  597541 */     // GIR_Coverage, 4480,
     /*  597541 */     GIR_EraseRootFromParent_Done,
     /*  597542 */   // Label 9689: @597542
     /*  597542 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597617), // Rule ID 4481 //
     /*  597547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  597596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597615 */     GIR_RootConstrainSelectedInstOperands,
     /*  597616 */     // GIR_Coverage, 4481,
     /*  597616 */     GIR_EraseRootFromParent_Done,
     /*  597617 */   // Label 9690: @597617
     /*  597617 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597692), // Rule ID 4490 //
     /*  597622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  597671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597690 */     GIR_RootConstrainSelectedInstOperands,
     /*  597691 */     // GIR_Coverage, 4490,
     /*  597691 */     GIR_EraseRootFromParent_Done,
     /*  597692 */   // Label 9691: @597692
     /*  597692 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(597767), // Rule ID 4491 //
     /*  597697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  597746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597765 */     GIR_RootConstrainSelectedInstOperands,
     /*  597766 */     // GIR_Coverage, 4491,
     /*  597766 */     GIR_EraseRootFromParent_Done,
     /*  597767 */   // Label 9692: @597767
     /*  597767 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(597842), // Rule ID 4500 //
     /*  597772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  597821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597840 */     GIR_RootConstrainSelectedInstOperands,
     /*  597841 */     // GIR_Coverage, 4500,
     /*  597841 */     GIR_EraseRootFromParent_Done,
     /*  597842 */   // Label 9693: @597842
     /*  597842 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(597917), // Rule ID 4501 //
     /*  597847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  597896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597915 */     GIR_RootConstrainSelectedInstOperands,
     /*  597916 */     // GIR_Coverage, 4501,
     /*  597916 */     GIR_EraseRootFromParent_Done,
     /*  597917 */   // Label 9694: @597917
     /*  597917 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(597992), // Rule ID 4510 //
     /*  597922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  597971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597990 */     GIR_RootConstrainSelectedInstOperands,
     /*  597991 */     // GIR_Coverage, 4510,
     /*  597991 */     GIR_EraseRootFromParent_Done,
     /*  597992 */   // Label 9695: @597992
     /*  597992 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598067), // Rule ID 4511 //
     /*  597997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598065 */     GIR_RootConstrainSelectedInstOperands,
     /*  598066 */     // GIR_Coverage, 4511,
     /*  598066 */     GIR_EraseRootFromParent_Done,
     /*  598067 */   // Label 9696: @598067
     /*  598067 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598142), // Rule ID 4520 //
     /*  598072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598140 */     GIR_RootConstrainSelectedInstOperands,
     /*  598141 */     // GIR_Coverage, 4520,
     /*  598141 */     GIR_EraseRootFromParent_Done,
     /*  598142 */   // Label 9697: @598142
     /*  598142 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598217), // Rule ID 4521 //
     /*  598147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598193 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598215 */     GIR_RootConstrainSelectedInstOperands,
     /*  598216 */     // GIR_Coverage, 4521,
     /*  598216 */     GIR_EraseRootFromParent_Done,
     /*  598217 */   // Label 9698: @598217
     /*  598217 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598292), // Rule ID 4530 //
     /*  598222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598290 */     GIR_RootConstrainSelectedInstOperands,
     /*  598291 */     // GIR_Coverage, 4530,
     /*  598291 */     GIR_EraseRootFromParent_Done,
     /*  598292 */   // Label 9699: @598292
     /*  598292 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598367), // Rule ID 4531 //
     /*  598297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598365 */     GIR_RootConstrainSelectedInstOperands,
     /*  598366 */     // GIR_Coverage, 4531,
     /*  598366 */     GIR_EraseRootFromParent_Done,
     /*  598367 */   // Label 9700: @598367
     /*  598367 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598442), // Rule ID 4540 //
     /*  598372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598440 */     GIR_RootConstrainSelectedInstOperands,
     /*  598441 */     // GIR_Coverage, 4540,
     /*  598441 */     GIR_EraseRootFromParent_Done,
     /*  598442 */   // Label 9701: @598442
     /*  598442 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598517), // Rule ID 4541 //
     /*  598447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598515 */     GIR_RootConstrainSelectedInstOperands,
     /*  598516 */     // GIR_Coverage, 4541,
     /*  598516 */     GIR_EraseRootFromParent_Done,
     /*  598517 */   // Label 9702: @598517
     /*  598517 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598592), // Rule ID 4550 //
     /*  598522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598590 */     GIR_RootConstrainSelectedInstOperands,
     /*  598591 */     // GIR_Coverage, 4550,
     /*  598591 */     GIR_EraseRootFromParent_Done,
     /*  598592 */   // Label 9703: @598592
     /*  598592 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598667), // Rule ID 4551 //
     /*  598597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598665 */     GIR_RootConstrainSelectedInstOperands,
     /*  598666 */     // GIR_Coverage, 4551,
     /*  598666 */     GIR_EraseRootFromParent_Done,
     /*  598667 */   // Label 9704: @598667
     /*  598667 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(598742), // Rule ID 4560 //
     /*  598672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598740 */     GIR_RootConstrainSelectedInstOperands,
     /*  598741 */     // GIR_Coverage, 4560,
     /*  598741 */     GIR_EraseRootFromParent_Done,
     /*  598742 */   // Label 9705: @598742
     /*  598742 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(598817), // Rule ID 4561 //
     /*  598747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598815 */     GIR_RootConstrainSelectedInstOperands,
     /*  598816 */     // GIR_Coverage, 4561,
     /*  598816 */     GIR_EraseRootFromParent_Done,
     /*  598817 */   // Label 9706: @598817
     /*  598817 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(598892), // Rule ID 4570 //
     /*  598822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598890 */     GIR_RootConstrainSelectedInstOperands,
     /*  598891 */     // GIR_Coverage, 4570,
     /*  598891 */     GIR_EraseRootFromParent_Done,
     /*  598892 */   // Label 9707: @598892
     /*  598892 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(598967), // Rule ID 4571 //
     /*  598897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598965 */     GIR_RootConstrainSelectedInstOperands,
     /*  598966 */     // GIR_Coverage, 4571,
     /*  598966 */     GIR_EraseRootFromParent_Done,
     /*  598967 */   // Label 9708: @598967
     /*  598967 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599042), // Rule ID 4580 //
     /*  598972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  599021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599040 */     GIR_RootConstrainSelectedInstOperands,
     /*  599041 */     // GIR_Coverage, 4580,
     /*  599041 */     GIR_EraseRootFromParent_Done,
     /*  599042 */   // Label 9709: @599042
     /*  599042 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599117), // Rule ID 4581 //
     /*  599047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  599096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599115 */     GIR_RootConstrainSelectedInstOperands,
     /*  599116 */     // GIR_Coverage, 4581,
     /*  599116 */     GIR_EraseRootFromParent_Done,
     /*  599117 */   // Label 9710: @599117
     /*  599117 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599192), // Rule ID 4590 //
     /*  599122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599190 */     GIR_RootConstrainSelectedInstOperands,
     /*  599191 */     // GIR_Coverage, 4590,
     /*  599191 */     GIR_EraseRootFromParent_Done,
     /*  599192 */   // Label 9711: @599192
     /*  599192 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599267), // Rule ID 4591 //
     /*  599197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599265 */     GIR_RootConstrainSelectedInstOperands,
     /*  599266 */     // GIR_Coverage, 4591,
     /*  599266 */     GIR_EraseRootFromParent_Done,
     /*  599267 */   // Label 9712: @599267
     /*  599267 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599342), // Rule ID 4600 //
     /*  599272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599340 */     GIR_RootConstrainSelectedInstOperands,
     /*  599341 */     // GIR_Coverage, 4600,
     /*  599341 */     GIR_EraseRootFromParent_Done,
     /*  599342 */   // Label 9713: @599342
     /*  599342 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599417), // Rule ID 4601 //
     /*  599347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599415 */     GIR_RootConstrainSelectedInstOperands,
     /*  599416 */     // GIR_Coverage, 4601,
     /*  599416 */     GIR_EraseRootFromParent_Done,
     /*  599417 */   // Label 9714: @599417
     /*  599417 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599492), // Rule ID 4610 //
     /*  599422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599490 */     GIR_RootConstrainSelectedInstOperands,
     /*  599491 */     // GIR_Coverage, 4610,
     /*  599491 */     GIR_EraseRootFromParent_Done,
     /*  599492 */   // Label 9715: @599492
     /*  599492 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599567), // Rule ID 4611 //
     /*  599497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599565 */     GIR_RootConstrainSelectedInstOperands,
     /*  599566 */     // GIR_Coverage, 4611,
     /*  599566 */     GIR_EraseRootFromParent_Done,
     /*  599567 */   // Label 9716: @599567
     /*  599567 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599642), // Rule ID 4618 //
     /*  599572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  599621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599640 */     GIR_RootConstrainSelectedInstOperands,
     /*  599641 */     // GIR_Coverage, 4618,
     /*  599641 */     GIR_EraseRootFromParent_Done,
     /*  599642 */   // Label 9717: @599642
     /*  599642 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599717), // Rule ID 4619 //
     /*  599647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  599696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599715 */     GIR_RootConstrainSelectedInstOperands,
     /*  599716 */     // GIR_Coverage, 4619,
     /*  599716 */     GIR_EraseRootFromParent_Done,
     /*  599717 */   // Label 9718: @599717
     /*  599717 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(599792), // Rule ID 4622 //
     /*  599722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  599771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599790 */     GIR_RootConstrainSelectedInstOperands,
     /*  599791 */     // GIR_Coverage, 4622,
     /*  599791 */     GIR_EraseRootFromParent_Done,
     /*  599792 */   // Label 9719: @599792
     /*  599792 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(599867), // Rule ID 4623 //
     /*  599797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  599846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599865 */     GIR_RootConstrainSelectedInstOperands,
     /*  599866 */     // GIR_Coverage, 4623,
     /*  599866 */     GIR_EraseRootFromParent_Done,
     /*  599867 */   // Label 9720: @599867
     /*  599867 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(599942), // Rule ID 4626 //
     /*  599872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  599921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599940 */     GIR_RootConstrainSelectedInstOperands,
     /*  599941 */     // GIR_Coverage, 4626,
     /*  599941 */     GIR_EraseRootFromParent_Done,
     /*  599942 */   // Label 9721: @599942
     /*  599942 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600017), // Rule ID 4627 //
     /*  599947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  599996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600015 */     GIR_RootConstrainSelectedInstOperands,
     /*  600016 */     // GIR_Coverage, 4627,
     /*  600016 */     GIR_EraseRootFromParent_Done,
     /*  600017 */   // Label 9722: @600017
     /*  600017 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600092), // Rule ID 4630 //
     /*  600022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600090 */     GIR_RootConstrainSelectedInstOperands,
     /*  600091 */     // GIR_Coverage, 4630,
     /*  600091 */     GIR_EraseRootFromParent_Done,
     /*  600092 */   // Label 9723: @600092
     /*  600092 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600167), // Rule ID 4631 //
     /*  600097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600165 */     GIR_RootConstrainSelectedInstOperands,
     /*  600166 */     // GIR_Coverage, 4631,
     /*  600166 */     GIR_EraseRootFromParent_Done,
     /*  600167 */   // Label 9724: @600167
     /*  600167 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600242), // Rule ID 4634 //
     /*  600172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600240 */     GIR_RootConstrainSelectedInstOperands,
     /*  600241 */     // GIR_Coverage, 4634,
     /*  600241 */     GIR_EraseRootFromParent_Done,
     /*  600242 */   // Label 9725: @600242
     /*  600242 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600317), // Rule ID 4635 //
     /*  600247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600293 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600315 */     GIR_RootConstrainSelectedInstOperands,
     /*  600316 */     // GIR_Coverage, 4635,
     /*  600316 */     GIR_EraseRootFromParent_Done,
     /*  600317 */   // Label 9726: @600317
     /*  600317 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600392), // Rule ID 4638 //
     /*  600322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600390 */     GIR_RootConstrainSelectedInstOperands,
     /*  600391 */     // GIR_Coverage, 4638,
     /*  600391 */     GIR_EraseRootFromParent_Done,
     /*  600392 */   // Label 9727: @600392
     /*  600392 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600467), // Rule ID 4639 //
     /*  600397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600443 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600465 */     GIR_RootConstrainSelectedInstOperands,
     /*  600466 */     // GIR_Coverage, 4639,
     /*  600466 */     GIR_EraseRootFromParent_Done,
     /*  600467 */   // Label 9728: @600467
     /*  600467 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600542), // Rule ID 4642 //
     /*  600472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600540 */     GIR_RootConstrainSelectedInstOperands,
     /*  600541 */     // GIR_Coverage, 4642,
     /*  600541 */     GIR_EraseRootFromParent_Done,
     /*  600542 */   // Label 9729: @600542
     /*  600542 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600617), // Rule ID 4643 //
     /*  600547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600615 */     GIR_RootConstrainSelectedInstOperands,
     /*  600616 */     // GIR_Coverage, 4643,
     /*  600616 */     GIR_EraseRootFromParent_Done,
     /*  600617 */   // Label 9730: @600617
     /*  600617 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600692), // Rule ID 4646 //
     /*  600622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600690 */     GIR_RootConstrainSelectedInstOperands,
     /*  600691 */     // GIR_Coverage, 4646,
     /*  600691 */     GIR_EraseRootFromParent_Done,
     /*  600692 */   // Label 9731: @600692
     /*  600692 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(600767), // Rule ID 4647 //
     /*  600697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600765 */     GIR_RootConstrainSelectedInstOperands,
     /*  600766 */     // GIR_Coverage, 4647,
     /*  600766 */     GIR_EraseRootFromParent_Done,
     /*  600767 */   // Label 9732: @600767
     /*  600767 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(600842), // Rule ID 4650 //
     /*  600772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600840 */     GIR_RootConstrainSelectedInstOperands,
     /*  600841 */     // GIR_Coverage, 4650,
     /*  600841 */     GIR_EraseRootFromParent_Done,
     /*  600842 */   // Label 9733: @600842
     /*  600842 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(600917), // Rule ID 4651 //
     /*  600847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600915 */     GIR_RootConstrainSelectedInstOperands,
     /*  600916 */     // GIR_Coverage, 4651,
     /*  600916 */     GIR_EraseRootFromParent_Done,
     /*  600917 */   // Label 9734: @600917
     /*  600917 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(600992), // Rule ID 4654 //
     /*  600922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600990 */     GIR_RootConstrainSelectedInstOperands,
     /*  600991 */     // GIR_Coverage, 4654,
     /*  600991 */     GIR_EraseRootFromParent_Done,
     /*  600992 */   // Label 9735: @600992
     /*  600992 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601067), // Rule ID 4655 //
     /*  600997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601065 */     GIR_RootConstrainSelectedInstOperands,
     /*  601066 */     // GIR_Coverage, 4655,
     /*  601066 */     GIR_EraseRootFromParent_Done,
     /*  601067 */   // Label 9736: @601067
     /*  601067 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601142), // Rule ID 4658 //
     /*  601072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601140 */     GIR_RootConstrainSelectedInstOperands,
     /*  601141 */     // GIR_Coverage, 4658,
     /*  601141 */     GIR_EraseRootFromParent_Done,
     /*  601142 */   // Label 9737: @601142
     /*  601142 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601217), // Rule ID 4659 //
     /*  601147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601215 */     GIR_RootConstrainSelectedInstOperands,
     /*  601216 */     // GIR_Coverage, 4659,
     /*  601216 */     GIR_EraseRootFromParent_Done,
     /*  601217 */   // Label 9738: @601217
     /*  601217 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601292), // Rule ID 4662 //
     /*  601222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601290 */     GIR_RootConstrainSelectedInstOperands,
     /*  601291 */     // GIR_Coverage, 4662,
     /*  601291 */     GIR_EraseRootFromParent_Done,
     /*  601292 */   // Label 9739: @601292
     /*  601292 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601367), // Rule ID 4663 //
     /*  601297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601343 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601365 */     GIR_RootConstrainSelectedInstOperands,
     /*  601366 */     // GIR_Coverage, 4663,
     /*  601366 */     GIR_EraseRootFromParent_Done,
     /*  601367 */   // Label 9740: @601367
     /*  601367 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601442), // Rule ID 4666 //
     /*  601372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601440 */     GIR_RootConstrainSelectedInstOperands,
     /*  601441 */     // GIR_Coverage, 4666,
     /*  601441 */     GIR_EraseRootFromParent_Done,
     /*  601442 */   // Label 9741: @601442
     /*  601442 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601517), // Rule ID 4667 //
     /*  601447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601515 */     GIR_RootConstrainSelectedInstOperands,
     /*  601516 */     // GIR_Coverage, 4667,
     /*  601516 */     GIR_EraseRootFromParent_Done,
     /*  601517 */   // Label 9742: @601517
     /*  601517 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601592), // Rule ID 4670 //
     /*  601522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601590 */     GIR_RootConstrainSelectedInstOperands,
     /*  601591 */     // GIR_Coverage, 4670,
     /*  601591 */     GIR_EraseRootFromParent_Done,
     /*  601592 */   // Label 9743: @601592
     /*  601592 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601667), // Rule ID 4671 //
     /*  601597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601665 */     GIR_RootConstrainSelectedInstOperands,
     /*  601666 */     // GIR_Coverage, 4671,
     /*  601666 */     GIR_EraseRootFromParent_Done,
     /*  601667 */   // Label 9744: @601667
     /*  601667 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(601742), // Rule ID 4674 //
     /*  601672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601740 */     GIR_RootConstrainSelectedInstOperands,
     /*  601741 */     // GIR_Coverage, 4674,
     /*  601741 */     GIR_EraseRootFromParent_Done,
     /*  601742 */   // Label 9745: @601742
     /*  601742 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(601817), // Rule ID 4675 //
     /*  601747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601793 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601815 */     GIR_RootConstrainSelectedInstOperands,
     /*  601816 */     // GIR_Coverage, 4675,
     /*  601816 */     GIR_EraseRootFromParent_Done,
     /*  601817 */   // Label 9746: @601817
     /*  601817 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(601892), // Rule ID 4680 //
     /*  601822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  601842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  601871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601890 */     GIR_RootConstrainSelectedInstOperands,
     /*  601891 */     // GIR_Coverage, 4680,
     /*  601891 */     GIR_EraseRootFromParent_Done,
     /*  601892 */   // Label 9747: @601892
     /*  601892 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(601967), // Rule ID 4681 //
     /*  601897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  601917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  601946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601965 */     GIR_RootConstrainSelectedInstOperands,
     /*  601966 */     // GIR_Coverage, 4681,
     /*  601966 */     GIR_EraseRootFromParent_Done,
     /*  601967 */   // Label 9748: @601967
     /*  601967 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602042), // Rule ID 4690 //
     /*  601972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  601983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  601992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602040 */     GIR_RootConstrainSelectedInstOperands,
     /*  602041 */     // GIR_Coverage, 4690,
     /*  602041 */     GIR_EraseRootFromParent_Done,
     /*  602042 */   // Label 9749: @602042
     /*  602042 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602117), // Rule ID 4691 //
     /*  602047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  602058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  602067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602115 */     GIR_RootConstrainSelectedInstOperands,
     /*  602116 */     // GIR_Coverage, 4691,
     /*  602116 */     GIR_EraseRootFromParent_Done,
     /*  602117 */   // Label 9750: @602117
     /*  602117 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602192), // Rule ID 4700 //
     /*  602122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602190 */     GIR_RootConstrainSelectedInstOperands,
     /*  602191 */     // GIR_Coverage, 4700,
     /*  602191 */     GIR_EraseRootFromParent_Done,
     /*  602192 */   // Label 9751: @602192
     /*  602192 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602267), // Rule ID 4701 //
     /*  602197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602265 */     GIR_RootConstrainSelectedInstOperands,
     /*  602266 */     // GIR_Coverage, 4701,
     /*  602266 */     GIR_EraseRootFromParent_Done,
     /*  602267 */   // Label 9752: @602267
     /*  602267 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602342), // Rule ID 4710 //
     /*  602272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602340 */     GIR_RootConstrainSelectedInstOperands,
     /*  602341 */     // GIR_Coverage, 4710,
     /*  602341 */     GIR_EraseRootFromParent_Done,
     /*  602342 */   // Label 9753: @602342
     /*  602342 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602417), // Rule ID 4711 //
     /*  602347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602415 */     GIR_RootConstrainSelectedInstOperands,
     /*  602416 */     // GIR_Coverage, 4711,
     /*  602416 */     GIR_EraseRootFromParent_Done,
     /*  602417 */   // Label 9754: @602417
     /*  602417 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602492), // Rule ID 4720 //
     /*  602422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  602471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602490 */     GIR_RootConstrainSelectedInstOperands,
     /*  602491 */     // GIR_Coverage, 4720,
     /*  602491 */     GIR_EraseRootFromParent_Done,
     /*  602492 */   // Label 9755: @602492
     /*  602492 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602567), // Rule ID 4721 //
     /*  602497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  602546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602565 */     GIR_RootConstrainSelectedInstOperands,
     /*  602566 */     // GIR_Coverage, 4721,
     /*  602566 */     GIR_EraseRootFromParent_Done,
     /*  602567 */   // Label 9756: @602567
     /*  602567 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602642), // Rule ID 4730 //
     /*  602572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  602583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  602621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602640 */     GIR_RootConstrainSelectedInstOperands,
     /*  602641 */     // GIR_Coverage, 4730,
     /*  602641 */     GIR_EraseRootFromParent_Done,
     /*  602642 */   // Label 9757: @602642
     /*  602642 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602717), // Rule ID 4731 //
     /*  602647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  602658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  602696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602715 */     GIR_RootConstrainSelectedInstOperands,
     /*  602716 */     // GIR_Coverage, 4731,
     /*  602716 */     GIR_EraseRootFromParent_Done,
     /*  602717 */   // Label 9758: @602717
     /*  602717 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(602792), // Rule ID 4740 //
     /*  602722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  602733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602790 */     GIR_RootConstrainSelectedInstOperands,
     /*  602791 */     // GIR_Coverage, 4740,
     /*  602791 */     GIR_EraseRootFromParent_Done,
     /*  602792 */   // Label 9759: @602792
     /*  602792 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(602867), // Rule ID 4741 //
     /*  602797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  602808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602865 */     GIR_RootConstrainSelectedInstOperands,
     /*  602866 */     // GIR_Coverage, 4741,
     /*  602866 */     GIR_EraseRootFromParent_Done,
     /*  602867 */   // Label 9760: @602867
     /*  602867 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(602942), // Rule ID 4750 //
     /*  602872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602940 */     GIR_RootConstrainSelectedInstOperands,
     /*  602941 */     // GIR_Coverage, 4750,
     /*  602941 */     GIR_EraseRootFromParent_Done,
     /*  602942 */   // Label 9761: @602942
     /*  602942 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603017), // Rule ID 4751 //
     /*  602947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603015 */     GIR_RootConstrainSelectedInstOperands,
     /*  603016 */     // GIR_Coverage, 4751,
     /*  603016 */     GIR_EraseRootFromParent_Done,
     /*  603017 */   // Label 9762: @603017
     /*  603017 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603092), // Rule ID 4760 //
     /*  603022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603090 */     GIR_RootConstrainSelectedInstOperands,
     /*  603091 */     // GIR_Coverage, 4760,
     /*  603091 */     GIR_EraseRootFromParent_Done,
     /*  603092 */   // Label 9763: @603092
     /*  603092 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603167), // Rule ID 4761 //
     /*  603097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603165 */     GIR_RootConstrainSelectedInstOperands,
     /*  603166 */     // GIR_Coverage, 4761,
     /*  603166 */     GIR_EraseRootFromParent_Done,
     /*  603167 */   // Label 9764: @603167
     /*  603167 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603242), // Rule ID 4770 //
     /*  603172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  603192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603240 */     GIR_RootConstrainSelectedInstOperands,
     /*  603241 */     // GIR_Coverage, 4770,
     /*  603241 */     GIR_EraseRootFromParent_Done,
     /*  603242 */   // Label 9765: @603242
     /*  603242 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603317), // Rule ID 4771 //
     /*  603247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  603267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603315 */     GIR_RootConstrainSelectedInstOperands,
     /*  603316 */     // GIR_Coverage, 4771,
     /*  603316 */     GIR_EraseRootFromParent_Done,
     /*  603317 */   // Label 9766: @603317
     /*  603317 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603392), // Rule ID 4780 //
     /*  603322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603390 */     GIR_RootConstrainSelectedInstOperands,
     /*  603391 */     // GIR_Coverage, 4780,
     /*  603391 */     GIR_EraseRootFromParent_Done,
     /*  603392 */   // Label 9767: @603392
     /*  603392 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603467), // Rule ID 4781 //
     /*  603397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603465 */     GIR_RootConstrainSelectedInstOperands,
     /*  603466 */     // GIR_Coverage, 4781,
     /*  603466 */     GIR_EraseRootFromParent_Done,
     /*  603467 */   // Label 9768: @603467
     /*  603467 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603542), // Rule ID 4790 //
     /*  603472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  603483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603540 */     GIR_RootConstrainSelectedInstOperands,
     /*  603541 */     // GIR_Coverage, 4790,
     /*  603541 */     GIR_EraseRootFromParent_Done,
     /*  603542 */   // Label 9769: @603542
     /*  603542 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603617), // Rule ID 4791 //
     /*  603547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  603558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603615 */     GIR_RootConstrainSelectedInstOperands,
     /*  603616 */     // GIR_Coverage, 4791,
     /*  603616 */     GIR_EraseRootFromParent_Done,
     /*  603617 */   // Label 9770: @603617
     /*  603617 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603692), // Rule ID 4800 //
     /*  603622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603668 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603690 */     GIR_RootConstrainSelectedInstOperands,
     /*  603691 */     // GIR_Coverage, 4800,
     /*  603691 */     GIR_EraseRootFromParent_Done,
     /*  603692 */   // Label 9771: @603692
     /*  603692 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603767), // Rule ID 4801 //
     /*  603697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603765 */     GIR_RootConstrainSelectedInstOperands,
     /*  603766 */     // GIR_Coverage, 4801,
     /*  603766 */     GIR_EraseRootFromParent_Done,
     /*  603767 */   // Label 9772: @603767
     /*  603767 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(603842), // Rule ID 4810 //
     /*  603772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603840 */     GIR_RootConstrainSelectedInstOperands,
     /*  603841 */     // GIR_Coverage, 4810,
     /*  603841 */     GIR_EraseRootFromParent_Done,
     /*  603842 */   // Label 9773: @603842
     /*  603842 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(603917), // Rule ID 4811 //
     /*  603847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603893 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603915 */     GIR_RootConstrainSelectedInstOperands,
     /*  603916 */     // GIR_Coverage, 4811,
     /*  603916 */     GIR_EraseRootFromParent_Done,
     /*  603917 */   // Label 9774: @603917
     /*  603917 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(603992), // Rule ID 4820 //
     /*  603922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  603933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  603936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  603939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  603942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603990 */     GIR_RootConstrainSelectedInstOperands,
     /*  603991 */     // GIR_Coverage, 4820,
     /*  603991 */     GIR_EraseRootFromParent_Done,
     /*  603992 */   // Label 9775: @603992
     /*  603992 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604067), // Rule ID 4821 //
     /*  603997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  604000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  604008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  604017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  604046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604065 */     GIR_RootConstrainSelectedInstOperands,
     /*  604066 */     // GIR_Coverage, 4821,
     /*  604066 */     GIR_EraseRootFromParent_Done,
     /*  604067 */   // Label 9776: @604067
     /*  604067 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604142), // Rule ID 4828 //
     /*  604072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  604121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604140 */     GIR_RootConstrainSelectedInstOperands,
     /*  604141 */     // GIR_Coverage, 4828,
     /*  604141 */     GIR_EraseRootFromParent_Done,
     /*  604142 */   // Label 9777: @604142
     /*  604142 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604217), // Rule ID 4829 //
     /*  604147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  604196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604215 */     GIR_RootConstrainSelectedInstOperands,
     /*  604216 */     // GIR_Coverage, 4829,
     /*  604216 */     GIR_EraseRootFromParent_Done,
     /*  604217 */   // Label 9778: @604217
     /*  604217 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604292), // Rule ID 4832 //
     /*  604222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604290 */     GIR_RootConstrainSelectedInstOperands,
     /*  604291 */     // GIR_Coverage, 4832,
     /*  604291 */     GIR_EraseRootFromParent_Done,
     /*  604292 */   // Label 9779: @604292
     /*  604292 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604367), // Rule ID 4833 //
     /*  604297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604365 */     GIR_RootConstrainSelectedInstOperands,
     /*  604366 */     // GIR_Coverage, 4833,
     /*  604366 */     GIR_EraseRootFromParent_Done,
     /*  604367 */   // Label 9780: @604367
     /*  604367 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604442), // Rule ID 4836 //
     /*  604372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604440 */     GIR_RootConstrainSelectedInstOperands,
     /*  604441 */     // GIR_Coverage, 4836,
     /*  604441 */     GIR_EraseRootFromParent_Done,
     /*  604442 */   // Label 9781: @604442
     /*  604442 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604517), // Rule ID 4837 //
     /*  604447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604515 */     GIR_RootConstrainSelectedInstOperands,
     /*  604516 */     // GIR_Coverage, 4837,
     /*  604516 */     GIR_EraseRootFromParent_Done,
     /*  604517 */   // Label 9782: @604517
     /*  604517 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604592), // Rule ID 4840 //
     /*  604522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  604571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604590 */     GIR_RootConstrainSelectedInstOperands,
     /*  604591 */     // GIR_Coverage, 4840,
     /*  604591 */     GIR_EraseRootFromParent_Done,
     /*  604592 */   // Label 9783: @604592
     /*  604592 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604667), // Rule ID 4841 //
     /*  604597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  604646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604665 */     GIR_RootConstrainSelectedInstOperands,
     /*  604666 */     // GIR_Coverage, 4841,
     /*  604666 */     GIR_EraseRootFromParent_Done,
     /*  604667 */   // Label 9784: @604667
     /*  604667 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604742), // Rule ID 4844 //
     /*  604672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  604721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604740 */     GIR_RootConstrainSelectedInstOperands,
     /*  604741 */     // GIR_Coverage, 4844,
     /*  604741 */     GIR_EraseRootFromParent_Done,
     /*  604742 */   // Label 9785: @604742
     /*  604742 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604817), // Rule ID 4845 //
     /*  604747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  604796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604815 */     GIR_RootConstrainSelectedInstOperands,
     /*  604816 */     // GIR_Coverage, 4845,
     /*  604816 */     GIR_EraseRootFromParent_Done,
     /*  604817 */   // Label 9786: @604817
     /*  604817 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(604892), // Rule ID 4848 //
     /*  604822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  604871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604890 */     GIR_RootConstrainSelectedInstOperands,
     /*  604891 */     // GIR_Coverage, 4848,
     /*  604891 */     GIR_EraseRootFromParent_Done,
     /*  604892 */   // Label 9787: @604892
     /*  604892 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(604967), // Rule ID 4849 //
     /*  604897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  604946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604965 */     GIR_RootConstrainSelectedInstOperands,
     /*  604966 */     // GIR_Coverage, 4849,
     /*  604966 */     GIR_EraseRootFromParent_Done,
     /*  604967 */   // Label 9788: @604967
     /*  604967 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605042), // Rule ID 4852 //
     /*  604972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  604983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  604989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  605021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605040 */     GIR_RootConstrainSelectedInstOperands,
     /*  605041 */     // GIR_Coverage, 4852,
     /*  605041 */     GIR_EraseRootFromParent_Done,
     /*  605042 */   // Label 9789: @605042
     /*  605042 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605117), // Rule ID 4853 //
     /*  605047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  605096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605115 */     GIR_RootConstrainSelectedInstOperands,
     /*  605116 */     // GIR_Coverage, 4853,
     /*  605116 */     GIR_EraseRootFromParent_Done,
     /*  605117 */   // Label 9790: @605117
     /*  605117 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605192), // Rule ID 4856 //
     /*  605122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605190 */     GIR_RootConstrainSelectedInstOperands,
     /*  605191 */     // GIR_Coverage, 4856,
     /*  605191 */     GIR_EraseRootFromParent_Done,
     /*  605192 */   // Label 9791: @605192
     /*  605192 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605267), // Rule ID 4857 //
     /*  605197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605265 */     GIR_RootConstrainSelectedInstOperands,
     /*  605266 */     // GIR_Coverage, 4857,
     /*  605266 */     GIR_EraseRootFromParent_Done,
     /*  605267 */   // Label 9792: @605267
     /*  605267 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605342), // Rule ID 4860 //
     /*  605272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605340 */     GIR_RootConstrainSelectedInstOperands,
     /*  605341 */     // GIR_Coverage, 4860,
     /*  605341 */     GIR_EraseRootFromParent_Done,
     /*  605342 */   // Label 9793: @605342
     /*  605342 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605417), // Rule ID 4861 //
     /*  605347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605415 */     GIR_RootConstrainSelectedInstOperands,
     /*  605416 */     // GIR_Coverage, 4861,
     /*  605416 */     GIR_EraseRootFromParent_Done,
     /*  605417 */   // Label 9794: @605417
     /*  605417 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605492), // Rule ID 4864 //
     /*  605422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605490 */     GIR_RootConstrainSelectedInstOperands,
     /*  605491 */     // GIR_Coverage, 4864,
     /*  605491 */     GIR_EraseRootFromParent_Done,
     /*  605492 */   // Label 9795: @605492
     /*  605492 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605567), // Rule ID 4865 //
     /*  605497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605565 */     GIR_RootConstrainSelectedInstOperands,
     /*  605566 */     // GIR_Coverage, 4865,
     /*  605566 */     GIR_EraseRootFromParent_Done,
     /*  605567 */   // Label 9796: @605567
     /*  605567 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605642), // Rule ID 4868 //
     /*  605572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  605583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605640 */     GIR_RootConstrainSelectedInstOperands,
     /*  605641 */     // GIR_Coverage, 4868,
     /*  605641 */     GIR_EraseRootFromParent_Done,
     /*  605642 */   // Label 9797: @605642
     /*  605642 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605717), // Rule ID 4869 //
     /*  605647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  605658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605715 */     GIR_RootConstrainSelectedInstOperands,
     /*  605716 */     // GIR_Coverage, 4869,
     /*  605716 */     GIR_EraseRootFromParent_Done,
     /*  605717 */   // Label 9798: @605717
     /*  605717 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605792), // Rule ID 4872 //
     /*  605722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605790 */     GIR_RootConstrainSelectedInstOperands,
     /*  605791 */     // GIR_Coverage, 4872,
     /*  605791 */     GIR_EraseRootFromParent_Done,
     /*  605792 */   // Label 9799: @605792
     /*  605792 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605867), // Rule ID 4873 //
     /*  605797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  605800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605865 */     GIR_RootConstrainSelectedInstOperands,
     /*  605866 */     // GIR_Coverage, 4873,
     /*  605866 */     GIR_EraseRootFromParent_Done,
     /*  605867 */   // Label 9800: @605867
     /*  605867 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(605942), // Rule ID 4876 //
     /*  605872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  605883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605940 */     GIR_RootConstrainSelectedInstOperands,
     /*  605941 */     // GIR_Coverage, 4876,
     /*  605941 */     GIR_EraseRootFromParent_Done,
     /*  605942 */   // Label 9801: @605942
     /*  605942 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606017), // Rule ID 4877 //
     /*  605947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  605950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  605958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606015 */     GIR_RootConstrainSelectedInstOperands,
     /*  606016 */     // GIR_Coverage, 4877,
     /*  606016 */     GIR_EraseRootFromParent_Done,
     /*  606017 */   // Label 9802: @606017
     /*  606017 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606092), // Rule ID 4880 //
     /*  606022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  606033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  606039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  606071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606090 */     GIR_RootConstrainSelectedInstOperands,
     /*  606091 */     // GIR_Coverage, 4880,
     /*  606091 */     GIR_EraseRootFromParent_Done,
     /*  606092 */   // Label 9803: @606092
     /*  606092 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606167), // Rule ID 4881 //
     /*  606097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  606108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  606114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  606146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606165 */     GIR_RootConstrainSelectedInstOperands,
     /*  606166 */     // GIR_Coverage, 4881,
     /*  606166 */     GIR_EraseRootFromParent_Done,
     /*  606167 */   // Label 9804: @606167
     /*  606167 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606242), // Rule ID 4884 //
     /*  606172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  606183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  606189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606240 */     GIR_RootConstrainSelectedInstOperands,
     /*  606241 */     // GIR_Coverage, 4884,
     /*  606241 */     GIR_EraseRootFromParent_Done,
     /*  606242 */   // Label 9805: @606242
     /*  606242 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606317), // Rule ID 4885 //
     /*  606247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  606258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  606264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606315 */     GIR_RootConstrainSelectedInstOperands,
     /*  606316 */     // GIR_Coverage, 4885,
     /*  606316 */     GIR_EraseRootFromParent_Done,
     /*  606317 */   // Label 9806: @606317
     /*  606317 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606389), // Rule ID 5238 //
     /*  606322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606387 */     GIR_RootConstrainSelectedInstOperands,
     /*  606388 */     // GIR_Coverage, 5238,
     /*  606388 */     GIR_EraseRootFromParent_Done,
     /*  606389 */   // Label 9807: @606389
     /*  606389 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606461), // Rule ID 5239 //
     /*  606394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606459 */     GIR_RootConstrainSelectedInstOperands,
     /*  606460 */     // GIR_Coverage, 5239,
     /*  606460 */     GIR_EraseRootFromParent_Done,
     /*  606461 */   // Label 9808: @606461
     /*  606461 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606533), // Rule ID 5240 //
     /*  606466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606531 */     GIR_RootConstrainSelectedInstOperands,
     /*  606532 */     // GIR_Coverage, 5240,
     /*  606532 */     GIR_EraseRootFromParent_Done,
     /*  606533 */   // Label 9809: @606533
     /*  606533 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606605), // Rule ID 5241 //
     /*  606538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606603 */     GIR_RootConstrainSelectedInstOperands,
     /*  606604 */     // GIR_Coverage, 5241,
     /*  606604 */     GIR_EraseRootFromParent_Done,
     /*  606605 */   // Label 9810: @606605
     /*  606605 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606677), // Rule ID 5242 //
     /*  606610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  606627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606675 */     GIR_RootConstrainSelectedInstOperands,
     /*  606676 */     // GIR_Coverage, 5242,
     /*  606676 */     GIR_EraseRootFromParent_Done,
     /*  606677 */   // Label 9811: @606677
     /*  606677 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606749), // Rule ID 5243 //
     /*  606682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  606699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606747 */     GIR_RootConstrainSelectedInstOperands,
     /*  606748 */     // GIR_Coverage, 5243,
     /*  606748 */     GIR_EraseRootFromParent_Done,
     /*  606749 */   // Label 9812: @606749
     /*  606749 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606821), // Rule ID 5244 //
     /*  606754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  606771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606819 */     GIR_RootConstrainSelectedInstOperands,
     /*  606820 */     // GIR_Coverage, 5244,
     /*  606820 */     GIR_EraseRootFromParent_Done,
     /*  606821 */   // Label 9813: @606821
     /*  606821 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606893), // Rule ID 5245 //
     /*  606826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  606843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606891 */     GIR_RootConstrainSelectedInstOperands,
     /*  606892 */     // GIR_Coverage, 5245,
     /*  606892 */     GIR_EraseRootFromParent_Done,
     /*  606893 */   // Label 9814: @606893
     /*  606893 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(606965), // Rule ID 5246 //
     /*  606898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  606915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606963 */     GIR_RootConstrainSelectedInstOperands,
     /*  606964 */     // GIR_Coverage, 5246,
     /*  606964 */     GIR_EraseRootFromParent_Done,
     /*  606965 */   // Label 9815: @606965
     /*  606965 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607037), // Rule ID 5247 //
     /*  606970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  606987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607035 */     GIR_RootConstrainSelectedInstOperands,
     /*  607036 */     // GIR_Coverage, 5247,
     /*  607036 */     GIR_EraseRootFromParent_Done,
     /*  607037 */   // Label 9816: @607037
     /*  607037 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607109), // Rule ID 5248 //
     /*  607042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607107 */     GIR_RootConstrainSelectedInstOperands,
     /*  607108 */     // GIR_Coverage, 5248,
     /*  607108 */     GIR_EraseRootFromParent_Done,
     /*  607109 */   // Label 9817: @607109
     /*  607109 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607181), // Rule ID 5249 //
     /*  607114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607179 */     GIR_RootConstrainSelectedInstOperands,
     /*  607180 */     // GIR_Coverage, 5249,
     /*  607180 */     GIR_EraseRootFromParent_Done,
     /*  607181 */   // Label 9818: @607181
     /*  607181 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607253), // Rule ID 5250 //
     /*  607186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607251 */     GIR_RootConstrainSelectedInstOperands,
     /*  607252 */     // GIR_Coverage, 5250,
     /*  607252 */     GIR_EraseRootFromParent_Done,
     /*  607253 */   // Label 9819: @607253
     /*  607253 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607325), // Rule ID 5251 //
     /*  607258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607323 */     GIR_RootConstrainSelectedInstOperands,
     /*  607324 */     // GIR_Coverage, 5251,
     /*  607324 */     GIR_EraseRootFromParent_Done,
     /*  607325 */   // Label 9820: @607325
     /*  607325 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607397), // Rule ID 5252 //
     /*  607330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607395 */     GIR_RootConstrainSelectedInstOperands,
     /*  607396 */     // GIR_Coverage, 5252,
     /*  607396 */     GIR_EraseRootFromParent_Done,
     /*  607397 */   // Label 9821: @607397
     /*  607397 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607469), // Rule ID 5253 //
     /*  607402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607467 */     GIR_RootConstrainSelectedInstOperands,
     /*  607468 */     // GIR_Coverage, 5253,
     /*  607468 */     GIR_EraseRootFromParent_Done,
     /*  607469 */   // Label 9822: @607469
     /*  607469 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607541), // Rule ID 5254 //
     /*  607474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607539 */     GIR_RootConstrainSelectedInstOperands,
     /*  607540 */     // GIR_Coverage, 5254,
     /*  607540 */     GIR_EraseRootFromParent_Done,
     /*  607541 */   // Label 9823: @607541
     /*  607541 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607613), // Rule ID 5255 //
     /*  607546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607611 */     GIR_RootConstrainSelectedInstOperands,
     /*  607612 */     // GIR_Coverage, 5255,
     /*  607612 */     GIR_EraseRootFromParent_Done,
     /*  607613 */   // Label 9824: @607613
     /*  607613 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607685), // Rule ID 5256 //
     /*  607618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  607635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607683 */     GIR_RootConstrainSelectedInstOperands,
     /*  607684 */     // GIR_Coverage, 5256,
     /*  607684 */     GIR_EraseRootFromParent_Done,
     /*  607685 */   // Label 9825: @607685
     /*  607685 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607757), // Rule ID 5257 //
     /*  607690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  607707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607736 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607755 */     GIR_RootConstrainSelectedInstOperands,
     /*  607756 */     // GIR_Coverage, 5257,
     /*  607756 */     GIR_EraseRootFromParent_Done,
     /*  607757 */   // Label 9826: @607757
     /*  607757 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607829), // Rule ID 5258 //
     /*  607762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  607779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607808 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  607811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607827 */     GIR_RootConstrainSelectedInstOperands,
     /*  607828 */     // GIR_Coverage, 5258,
     /*  607828 */     GIR_EraseRootFromParent_Done,
     /*  607829 */   // Label 9827: @607829
     /*  607829 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607901), // Rule ID 5259 //
     /*  607834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  607851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607880 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  607883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607899 */     GIR_RootConstrainSelectedInstOperands,
     /*  607900 */     // GIR_Coverage, 5259,
     /*  607900 */     GIR_EraseRootFromParent_Done,
     /*  607901 */   // Label 9828: @607901
     /*  607901 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(607973), // Rule ID 5260 //
     /*  607906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  607923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607952 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  607955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607971 */     GIR_RootConstrainSelectedInstOperands,
     /*  607972 */     // GIR_Coverage, 5260,
     /*  607972 */     GIR_EraseRootFromParent_Done,
     /*  607973 */   // Label 9829: @607973
     /*  607973 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608045), // Rule ID 5261 //
     /*  607978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  607995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608024 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608043 */     GIR_RootConstrainSelectedInstOperands,
     /*  608044 */     // GIR_Coverage, 5261,
     /*  608044 */     GIR_EraseRootFromParent_Done,
     /*  608045 */   // Label 9830: @608045
     /*  608045 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608117), // Rule ID 5262 //
     /*  608050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608115 */     GIR_RootConstrainSelectedInstOperands,
     /*  608116 */     // GIR_Coverage, 5262,
     /*  608116 */     GIR_EraseRootFromParent_Done,
     /*  608117 */   // Label 9831: @608117
     /*  608117 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608189), // Rule ID 5263 //
     /*  608122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608187 */     GIR_RootConstrainSelectedInstOperands,
     /*  608188 */     // GIR_Coverage, 5263,
     /*  608188 */     GIR_EraseRootFromParent_Done,
     /*  608189 */   // Label 9832: @608189
     /*  608189 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608261), // Rule ID 5264 //
     /*  608194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608259 */     GIR_RootConstrainSelectedInstOperands,
     /*  608260 */     // GIR_Coverage, 5264,
     /*  608260 */     GIR_EraseRootFromParent_Done,
     /*  608261 */   // Label 9833: @608261
     /*  608261 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608333), // Rule ID 5265 //
     /*  608266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608331 */     GIR_RootConstrainSelectedInstOperands,
     /*  608332 */     // GIR_Coverage, 5265,
     /*  608332 */     GIR_EraseRootFromParent_Done,
     /*  608333 */   // Label 9834: @608333
     /*  608333 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608405), // Rule ID 5266 //
     /*  608338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608384 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608403 */     GIR_RootConstrainSelectedInstOperands,
     /*  608404 */     // GIR_Coverage, 5266,
     /*  608404 */     GIR_EraseRootFromParent_Done,
     /*  608405 */   // Label 9835: @608405
     /*  608405 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608477), // Rule ID 5267 //
     /*  608410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608456 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608475 */     GIR_RootConstrainSelectedInstOperands,
     /*  608476 */     // GIR_Coverage, 5267,
     /*  608476 */     GIR_EraseRootFromParent_Done,
     /*  608477 */   // Label 9836: @608477
     /*  608477 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608549), // Rule ID 5268 //
     /*  608482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608547 */     GIR_RootConstrainSelectedInstOperands,
     /*  608548 */     // GIR_Coverage, 5268,
     /*  608548 */     GIR_EraseRootFromParent_Done,
     /*  608549 */   // Label 9837: @608549
     /*  608549 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608621), // Rule ID 5269 //
     /*  608554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608619 */     GIR_RootConstrainSelectedInstOperands,
     /*  608620 */     // GIR_Coverage, 5269,
     /*  608620 */     GIR_EraseRootFromParent_Done,
     /*  608621 */   // Label 9838: @608621
     /*  608621 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608693), // Rule ID 5270 //
     /*  608626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  608643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608691 */     GIR_RootConstrainSelectedInstOperands,
     /*  608692 */     // GIR_Coverage, 5270,
     /*  608692 */     GIR_EraseRootFromParent_Done,
     /*  608693 */   // Label 9839: @608693
     /*  608693 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608765), // Rule ID 5271 //
     /*  608698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  608715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608763 */     GIR_RootConstrainSelectedInstOperands,
     /*  608764 */     // GIR_Coverage, 5271,
     /*  608764 */     GIR_EraseRootFromParent_Done,
     /*  608765 */   // Label 9840: @608765
     /*  608765 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608837), // Rule ID 5272 //
     /*  608770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  608787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608835 */     GIR_RootConstrainSelectedInstOperands,
     /*  608836 */     // GIR_Coverage, 5272,
     /*  608836 */     GIR_EraseRootFromParent_Done,
     /*  608837 */   // Label 9841: @608837
     /*  608837 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608909), // Rule ID 5273 //
     /*  608842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  608859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608907 */     GIR_RootConstrainSelectedInstOperands,
     /*  608908 */     // GIR_Coverage, 5273,
     /*  608908 */     GIR_EraseRootFromParent_Done,
     /*  608909 */   // Label 9842: @608909
     /*  608909 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(608981), // Rule ID 5274 //
     /*  608914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  608928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  608931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608979 */     GIR_RootConstrainSelectedInstOperands,
     /*  608980 */     // GIR_Coverage, 5274,
     /*  608980 */     GIR_EraseRootFromParent_Done,
     /*  608981 */   // Label 9843: @608981
     /*  608981 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609053), // Rule ID 5275 //
     /*  608986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  609000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  609003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  609035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609051 */     GIR_RootConstrainSelectedInstOperands,
     /*  609052 */     // GIR_Coverage, 5275,
     /*  609052 */     GIR_EraseRootFromParent_Done,
     /*  609053 */   // Label 9844: @609053
     /*  609053 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609125), // Rule ID 5276 //
     /*  609058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609123 */     GIR_RootConstrainSelectedInstOperands,
     /*  609124 */     // GIR_Coverage, 5276,
     /*  609124 */     GIR_EraseRootFromParent_Done,
     /*  609125 */   // Label 9845: @609125
     /*  609125 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609197), // Rule ID 5277 //
     /*  609130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609195 */     GIR_RootConstrainSelectedInstOperands,
     /*  609196 */     // GIR_Coverage, 5277,
     /*  609196 */     GIR_EraseRootFromParent_Done,
     /*  609197 */   // Label 9846: @609197
     /*  609197 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609269), // Rule ID 5278 //
     /*  609202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609267 */     GIR_RootConstrainSelectedInstOperands,
     /*  609268 */     // GIR_Coverage, 5278,
     /*  609268 */     GIR_EraseRootFromParent_Done,
     /*  609269 */   // Label 9847: @609269
     /*  609269 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609341), // Rule ID 5279 //
     /*  609274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609339 */     GIR_RootConstrainSelectedInstOperands,
     /*  609340 */     // GIR_Coverage, 5279,
     /*  609340 */     GIR_EraseRootFromParent_Done,
     /*  609341 */   // Label 9848: @609341
     /*  609341 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609413), // Rule ID 5280 //
     /*  609346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609411 */     GIR_RootConstrainSelectedInstOperands,
     /*  609412 */     // GIR_Coverage, 5280,
     /*  609412 */     GIR_EraseRootFromParent_Done,
     /*  609413 */   // Label 9849: @609413
     /*  609413 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609485), // Rule ID 5281 //
     /*  609418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609483 */     GIR_RootConstrainSelectedInstOperands,
     /*  609484 */     // GIR_Coverage, 5281,
     /*  609484 */     GIR_EraseRootFromParent_Done,
     /*  609485 */   // Label 9850: @609485
     /*  609485 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609557), // Rule ID 5282 //
     /*  609490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609555 */     GIR_RootConstrainSelectedInstOperands,
     /*  609556 */     // GIR_Coverage, 5282,
     /*  609556 */     GIR_EraseRootFromParent_Done,
     /*  609557 */   // Label 9851: @609557
     /*  609557 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609629), // Rule ID 5283 //
     /*  609562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609627 */     GIR_RootConstrainSelectedInstOperands,
     /*  609628 */     // GIR_Coverage, 5283,
     /*  609628 */     GIR_EraseRootFromParent_Done,
     /*  609629 */   // Label 9852: @609629
     /*  609629 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609701), // Rule ID 5284 //
     /*  609634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609699 */     GIR_RootConstrainSelectedInstOperands,
     /*  609700 */     // GIR_Coverage, 5284,
     /*  609700 */     GIR_EraseRootFromParent_Done,
     /*  609701 */   // Label 9853: @609701
     /*  609701 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609773), // Rule ID 5285 //
     /*  609706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609771 */     GIR_RootConstrainSelectedInstOperands,
     /*  609772 */     // GIR_Coverage, 5285,
     /*  609772 */     GIR_EraseRootFromParent_Done,
     /*  609773 */   // Label 9854: @609773
     /*  609773 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609845), // Rule ID 5286 //
     /*  609778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609843 */     GIR_RootConstrainSelectedInstOperands,
     /*  609844 */     // GIR_Coverage, 5286,
     /*  609844 */     GIR_EraseRootFromParent_Done,
     /*  609845 */   // Label 9855: @609845
     /*  609845 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609917), // Rule ID 5287 //
     /*  609850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609915 */     GIR_RootConstrainSelectedInstOperands,
     /*  609916 */     // GIR_Coverage, 5287,
     /*  609916 */     GIR_EraseRootFromParent_Done,
     /*  609917 */   // Label 9856: @609917
     /*  609917 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(609989), // Rule ID 5288 //
     /*  609922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  609936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609987 */     GIR_RootConstrainSelectedInstOperands,
     /*  609988 */     // GIR_Coverage, 5288,
     /*  609988 */     GIR_EraseRootFromParent_Done,
     /*  609989 */   // Label 9857: @609989
     /*  609989 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610061), // Rule ID 5289 //
     /*  609994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610059 */     GIR_RootConstrainSelectedInstOperands,
     /*  610060 */     // GIR_Coverage, 5289,
     /*  610060 */     GIR_EraseRootFromParent_Done,
     /*  610061 */   // Label 9858: @610061
     /*  610061 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610133), // Rule ID 5290 //
     /*  610066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610131 */     GIR_RootConstrainSelectedInstOperands,
     /*  610132 */     // GIR_Coverage, 5290,
     /*  610132 */     GIR_EraseRootFromParent_Done,
     /*  610133 */   // Label 9859: @610133
     /*  610133 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610205), // Rule ID 5291 //
     /*  610138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610203 */     GIR_RootConstrainSelectedInstOperands,
     /*  610204 */     // GIR_Coverage, 5291,
     /*  610204 */     GIR_EraseRootFromParent_Done,
     /*  610205 */   // Label 9860: @610205
     /*  610205 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610277), // Rule ID 5292 //
     /*  610210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610275 */     GIR_RootConstrainSelectedInstOperands,
     /*  610276 */     // GIR_Coverage, 5292,
     /*  610276 */     GIR_EraseRootFromParent_Done,
     /*  610277 */   // Label 9861: @610277
     /*  610277 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610349), // Rule ID 5293 //
     /*  610282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610347 */     GIR_RootConstrainSelectedInstOperands,
     /*  610348 */     // GIR_Coverage, 5293,
     /*  610348 */     GIR_EraseRootFromParent_Done,
     /*  610349 */   // Label 9862: @610349
     /*  610349 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610421), // Rule ID 5294 //
     /*  610354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610419 */     GIR_RootConstrainSelectedInstOperands,
     /*  610420 */     // GIR_Coverage, 5294,
     /*  610420 */     GIR_EraseRootFromParent_Done,
     /*  610421 */   // Label 9863: @610421
     /*  610421 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610493), // Rule ID 5295 //
     /*  610426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610491 */     GIR_RootConstrainSelectedInstOperands,
     /*  610492 */     // GIR_Coverage, 5295,
     /*  610492 */     GIR_EraseRootFromParent_Done,
     /*  610493 */   // Label 9864: @610493
     /*  610493 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610565), // Rule ID 5296 //
     /*  610498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610563 */     GIR_RootConstrainSelectedInstOperands,
     /*  610564 */     // GIR_Coverage, 5296,
     /*  610564 */     GIR_EraseRootFromParent_Done,
     /*  610565 */   // Label 9865: @610565
     /*  610565 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610637), // Rule ID 5297 //
     /*  610570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610635 */     GIR_RootConstrainSelectedInstOperands,
     /*  610636 */     // GIR_Coverage, 5297,
     /*  610636 */     GIR_EraseRootFromParent_Done,
     /*  610637 */   // Label 9866: @610637
     /*  610637 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610709), // Rule ID 5298 //
     /*  610642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610707 */     GIR_RootConstrainSelectedInstOperands,
     /*  610708 */     // GIR_Coverage, 5298,
     /*  610708 */     GIR_EraseRootFromParent_Done,
     /*  610709 */   // Label 9867: @610709
     /*  610709 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610781), // Rule ID 5299 //
     /*  610714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610779 */     GIR_RootConstrainSelectedInstOperands,
     /*  610780 */     // GIR_Coverage, 5299,
     /*  610780 */     GIR_EraseRootFromParent_Done,
     /*  610781 */   // Label 9868: @610781
     /*  610781 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610853), // Rule ID 5300 //
     /*  610786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  610835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610851 */     GIR_RootConstrainSelectedInstOperands,
     /*  610852 */     // GIR_Coverage, 5300,
     /*  610852 */     GIR_EraseRootFromParent_Done,
     /*  610853 */   // Label 9869: @610853
     /*  610853 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(610925), // Rule ID 5301 //
     /*  610858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  610907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610923 */     GIR_RootConstrainSelectedInstOperands,
     /*  610924 */     // GIR_Coverage, 5301,
     /*  610924 */     GIR_EraseRootFromParent_Done,
     /*  610925 */   // Label 9870: @610925
     /*  610925 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(610997), // Rule ID 5302 //
     /*  610930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  610944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  610979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610995 */     GIR_RootConstrainSelectedInstOperands,
     /*  610996 */     // GIR_Coverage, 5302,
     /*  610996 */     GIR_EraseRootFromParent_Done,
     /*  610997 */   // Label 9871: @610997
     /*  610997 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611069), // Rule ID 5303 //
     /*  611002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611048 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611067 */     GIR_RootConstrainSelectedInstOperands,
     /*  611068 */     // GIR_Coverage, 5303,
     /*  611068 */     GIR_EraseRootFromParent_Done,
     /*  611069 */   // Label 9872: @611069
     /*  611069 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611141), // Rule ID 5304 //
     /*  611074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611120 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611139 */     GIR_RootConstrainSelectedInstOperands,
     /*  611140 */     // GIR_Coverage, 5304,
     /*  611140 */     GIR_EraseRootFromParent_Done,
     /*  611141 */   // Label 9873: @611141
     /*  611141 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611213), // Rule ID 5305 //
     /*  611146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611192 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611211 */     GIR_RootConstrainSelectedInstOperands,
     /*  611212 */     // GIR_Coverage, 5305,
     /*  611212 */     GIR_EraseRootFromParent_Done,
     /*  611213 */   // Label 9874: @611213
     /*  611213 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611285), // Rule ID 5306 //
     /*  611218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611283 */     GIR_RootConstrainSelectedInstOperands,
     /*  611284 */     // GIR_Coverage, 5306,
     /*  611284 */     GIR_EraseRootFromParent_Done,
     /*  611285 */   // Label 9875: @611285
     /*  611285 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611357), // Rule ID 5307 //
     /*  611290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611355 */     GIR_RootConstrainSelectedInstOperands,
     /*  611356 */     // GIR_Coverage, 5307,
     /*  611356 */     GIR_EraseRootFromParent_Done,
     /*  611357 */   // Label 9876: @611357
     /*  611357 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611429), // Rule ID 5308 //
     /*  611362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611427 */     GIR_RootConstrainSelectedInstOperands,
     /*  611428 */     // GIR_Coverage, 5308,
     /*  611428 */     GIR_EraseRootFromParent_Done,
     /*  611429 */   // Label 9877: @611429
     /*  611429 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611501), // Rule ID 5309 //
     /*  611434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611499 */     GIR_RootConstrainSelectedInstOperands,
     /*  611500 */     // GIR_Coverage, 5309,
     /*  611500 */     GIR_EraseRootFromParent_Done,
     /*  611501 */   // Label 9878: @611501
     /*  611501 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611573), // Rule ID 5310 //
     /*  611506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611571 */     GIR_RootConstrainSelectedInstOperands,
     /*  611572 */     // GIR_Coverage, 5310,
     /*  611572 */     GIR_EraseRootFromParent_Done,
     /*  611573 */   // Label 9879: @611573
     /*  611573 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611645), // Rule ID 5311 //
     /*  611578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611643 */     GIR_RootConstrainSelectedInstOperands,
     /*  611644 */     // GIR_Coverage, 5311,
     /*  611644 */     GIR_EraseRootFromParent_Done,
     /*  611645 */   // Label 9880: @611645
     /*  611645 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611717), // Rule ID 5312 //
     /*  611650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611715 */     GIR_RootConstrainSelectedInstOperands,
     /*  611716 */     // GIR_Coverage, 5312,
     /*  611716 */     GIR_EraseRootFromParent_Done,
     /*  611717 */   // Label 9881: @611717
     /*  611717 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611789), // Rule ID 5313 //
     /*  611722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611787 */     GIR_RootConstrainSelectedInstOperands,
     /*  611788 */     // GIR_Coverage, 5313,
     /*  611788 */     GIR_EraseRootFromParent_Done,
     /*  611789 */   // Label 9882: @611789
     /*  611789 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611861), // Rule ID 5314 //
     /*  611794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611859 */     GIR_RootConstrainSelectedInstOperands,
     /*  611860 */     // GIR_Coverage, 5314,
     /*  611860 */     GIR_EraseRootFromParent_Done,
     /*  611861 */   // Label 9883: @611861
     /*  611861 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(611933), // Rule ID 5315 //
     /*  611866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611931 */     GIR_RootConstrainSelectedInstOperands,
     /*  611932 */     // GIR_Coverage, 5315,
     /*  611932 */     GIR_EraseRootFromParent_Done,
     /*  611933 */   // Label 9884: @611933
     /*  611933 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612005), // Rule ID 5316 //
     /*  611938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  611952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612003 */     GIR_RootConstrainSelectedInstOperands,
     /*  612004 */     // GIR_Coverage, 5316,
     /*  612004 */     GIR_EraseRootFromParent_Done,
     /*  612005 */   // Label 9885: @612005
     /*  612005 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612077), // Rule ID 5317 //
     /*  612010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612075 */     GIR_RootConstrainSelectedInstOperands,
     /*  612076 */     // GIR_Coverage, 5317,
     /*  612076 */     GIR_EraseRootFromParent_Done,
     /*  612077 */   // Label 9886: @612077
     /*  612077 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612149), // Rule ID 5318 //
     /*  612082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612147 */     GIR_RootConstrainSelectedInstOperands,
     /*  612148 */     // GIR_Coverage, 5318,
     /*  612148 */     GIR_EraseRootFromParent_Done,
     /*  612149 */   // Label 9887: @612149
     /*  612149 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612221), // Rule ID 5319 //
     /*  612154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612219 */     GIR_RootConstrainSelectedInstOperands,
     /*  612220 */     // GIR_Coverage, 5319,
     /*  612220 */     GIR_EraseRootFromParent_Done,
     /*  612221 */   // Label 9888: @612221
     /*  612221 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612293), // Rule ID 5320 //
     /*  612226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612291 */     GIR_RootConstrainSelectedInstOperands,
     /*  612292 */     // GIR_Coverage, 5320,
     /*  612292 */     GIR_EraseRootFromParent_Done,
     /*  612293 */   // Label 9889: @612293
     /*  612293 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612365), // Rule ID 5321 //
     /*  612298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612363 */     GIR_RootConstrainSelectedInstOperands,
     /*  612364 */     // GIR_Coverage, 5321,
     /*  612364 */     GIR_EraseRootFromParent_Done,
     /*  612365 */   // Label 9890: @612365
     /*  612365 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612437), // Rule ID 5322 //
     /*  612370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612435 */     GIR_RootConstrainSelectedInstOperands,
     /*  612436 */     // GIR_Coverage, 5322,
     /*  612436 */     GIR_EraseRootFromParent_Done,
     /*  612437 */   // Label 9891: @612437
     /*  612437 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612509), // Rule ID 5323 //
     /*  612442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612507 */     GIR_RootConstrainSelectedInstOperands,
     /*  612508 */     // GIR_Coverage, 5323,
     /*  612508 */     GIR_EraseRootFromParent_Done,
     /*  612509 */   // Label 9892: @612509
     /*  612509 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612581), // Rule ID 5586 //
     /*  612514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  612563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612579 */     GIR_RootConstrainSelectedInstOperands,
     /*  612580 */     // GIR_Coverage, 5586,
     /*  612580 */     GIR_EraseRootFromParent_Done,
     /*  612581 */   // Label 9893: @612581
     /*  612581 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612653), // Rule ID 5587 //
     /*  612586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  612635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612651 */     GIR_RootConstrainSelectedInstOperands,
     /*  612652 */     // GIR_Coverage, 5587,
     /*  612652 */     GIR_EraseRootFromParent_Done,
     /*  612653 */   // Label 9894: @612653
     /*  612653 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612725), // Rule ID 5588 //
     /*  612658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  612675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612723 */     GIR_RootConstrainSelectedInstOperands,
     /*  612724 */     // GIR_Coverage, 5588,
     /*  612724 */     GIR_EraseRootFromParent_Done,
     /*  612725 */   // Label 9895: @612725
     /*  612725 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612797), // Rule ID 5589 //
     /*  612730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  612747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612795 */     GIR_RootConstrainSelectedInstOperands,
     /*  612796 */     // GIR_Coverage, 5589,
     /*  612796 */     GIR_EraseRootFromParent_Done,
     /*  612797 */   // Label 9896: @612797
     /*  612797 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612869), // Rule ID 5590 //
     /*  612802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  612819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  612851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612867 */     GIR_RootConstrainSelectedInstOperands,
     /*  612868 */     // GIR_Coverage, 5590,
     /*  612868 */     GIR_EraseRootFromParent_Done,
     /*  612869 */   // Label 9897: @612869
     /*  612869 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(612941), // Rule ID 5591 //
     /*  612874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  612891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  612923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612939 */     GIR_RootConstrainSelectedInstOperands,
     /*  612940 */     // GIR_Coverage, 5591,
     /*  612940 */     GIR_EraseRootFromParent_Done,
     /*  612941 */   // Label 9898: @612941
     /*  612941 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613013), // Rule ID 5592 //
     /*  612946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  612960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  612963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613011 */     GIR_RootConstrainSelectedInstOperands,
     /*  613012 */     // GIR_Coverage, 5592,
     /*  613012 */     GIR_EraseRootFromParent_Done,
     /*  613013 */   // Label 9899: @613013
     /*  613013 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613085), // Rule ID 5593 //
     /*  613018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  613067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613083 */     GIR_RootConstrainSelectedInstOperands,
     /*  613084 */     // GIR_Coverage, 5593,
     /*  613084 */     GIR_EraseRootFromParent_Done,
     /*  613085 */   // Label 9900: @613085
     /*  613085 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613157), // Rule ID 5594 //
     /*  613090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613155 */     GIR_RootConstrainSelectedInstOperands,
     /*  613156 */     // GIR_Coverage, 5594,
     /*  613156 */     GIR_EraseRootFromParent_Done,
     /*  613157 */   // Label 9901: @613157
     /*  613157 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613229), // Rule ID 5595 //
     /*  613162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613227 */     GIR_RootConstrainSelectedInstOperands,
     /*  613228 */     // GIR_Coverage, 5595,
     /*  613228 */     GIR_EraseRootFromParent_Done,
     /*  613229 */   // Label 9902: @613229
     /*  613229 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613301), // Rule ID 5596 //
     /*  613234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613299 */     GIR_RootConstrainSelectedInstOperands,
     /*  613300 */     // GIR_Coverage, 5596,
     /*  613300 */     GIR_EraseRootFromParent_Done,
     /*  613301 */   // Label 9903: @613301
     /*  613301 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613373), // Rule ID 5597 //
     /*  613306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613371 */     GIR_RootConstrainSelectedInstOperands,
     /*  613372 */     // GIR_Coverage, 5597,
     /*  613372 */     GIR_EraseRootFromParent_Done,
     /*  613373 */   // Label 9904: @613373
     /*  613373 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613445), // Rule ID 5598 //
     /*  613378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613443 */     GIR_RootConstrainSelectedInstOperands,
     /*  613444 */     // GIR_Coverage, 5598,
     /*  613444 */     GIR_EraseRootFromParent_Done,
     /*  613445 */   // Label 9905: @613445
     /*  613445 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613517), // Rule ID 5599 //
     /*  613450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613515 */     GIR_RootConstrainSelectedInstOperands,
     /*  613516 */     // GIR_Coverage, 5599,
     /*  613516 */     GIR_EraseRootFromParent_Done,
     /*  613517 */   // Label 9906: @613517
     /*  613517 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613589), // Rule ID 5600 //
     /*  613522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613587 */     GIR_RootConstrainSelectedInstOperands,
     /*  613588 */     // GIR_Coverage, 5600,
     /*  613588 */     GIR_EraseRootFromParent_Done,
     /*  613589 */   // Label 9907: @613589
     /*  613589 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613661), // Rule ID 5601 //
     /*  613594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613659 */     GIR_RootConstrainSelectedInstOperands,
     /*  613660 */     // GIR_Coverage, 5601,
     /*  613660 */     GIR_EraseRootFromParent_Done,
     /*  613661 */   // Label 9908: @613661
     /*  613661 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613733), // Rule ID 5602 //
     /*  613666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  613683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613731 */     GIR_RootConstrainSelectedInstOperands,
     /*  613732 */     // GIR_Coverage, 5602,
     /*  613732 */     GIR_EraseRootFromParent_Done,
     /*  613733 */   // Label 9909: @613733
     /*  613733 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613805), // Rule ID 5603 //
     /*  613738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  613755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613803 */     GIR_RootConstrainSelectedInstOperands,
     /*  613804 */     // GIR_Coverage, 5603,
     /*  613804 */     GIR_EraseRootFromParent_Done,
     /*  613805 */   // Label 9910: @613805
     /*  613805 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613877), // Rule ID 5604 //
     /*  613810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  613827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613875 */     GIR_RootConstrainSelectedInstOperands,
     /*  613876 */     // GIR_Coverage, 5604,
     /*  613876 */     GIR_EraseRootFromParent_Done,
     /*  613877 */   // Label 9911: @613877
     /*  613877 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(613949), // Rule ID 5605 //
     /*  613882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  613899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613947 */     GIR_RootConstrainSelectedInstOperands,
     /*  613948 */     // GIR_Coverage, 5605,
     /*  613948 */     GIR_EraseRootFromParent_Done,
     /*  613949 */   // Label 9912: @613949
     /*  613949 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614021), // Rule ID 5606 //
     /*  613954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  613971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614019 */     GIR_RootConstrainSelectedInstOperands,
     /*  614020 */     // GIR_Coverage, 5606,
     /*  614020 */     GIR_EraseRootFromParent_Done,
     /*  614021 */   // Label 9913: @614021
     /*  614021 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614093), // Rule ID 5607 //
     /*  614026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614091 */     GIR_RootConstrainSelectedInstOperands,
     /*  614092 */     // GIR_Coverage, 5607,
     /*  614092 */     GIR_EraseRootFromParent_Done,
     /*  614093 */   // Label 9914: @614093
     /*  614093 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614165), // Rule ID 5608 //
     /*  614098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614163 */     GIR_RootConstrainSelectedInstOperands,
     /*  614164 */     // GIR_Coverage, 5608,
     /*  614164 */     GIR_EraseRootFromParent_Done,
     /*  614165 */   // Label 9915: @614165
     /*  614165 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614237), // Rule ID 5609 //
     /*  614170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614216 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614235 */     GIR_RootConstrainSelectedInstOperands,
     /*  614236 */     // GIR_Coverage, 5609,
     /*  614236 */     GIR_EraseRootFromParent_Done,
     /*  614237 */   // Label 9916: @614237
     /*  614237 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614309), // Rule ID 5610 //
     /*  614242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614288 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614307 */     GIR_RootConstrainSelectedInstOperands,
     /*  614308 */     // GIR_Coverage, 5610,
     /*  614308 */     GIR_EraseRootFromParent_Done,
     /*  614309 */   // Label 9917: @614309
     /*  614309 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614381), // Rule ID 5611 //
     /*  614314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614360 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614379 */     GIR_RootConstrainSelectedInstOperands,
     /*  614380 */     // GIR_Coverage, 5611,
     /*  614380 */     GIR_EraseRootFromParent_Done,
     /*  614381 */   // Label 9918: @614381
     /*  614381 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614453), // Rule ID 5612 //
     /*  614386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614451 */     GIR_RootConstrainSelectedInstOperands,
     /*  614452 */     // GIR_Coverage, 5612,
     /*  614452 */     GIR_EraseRootFromParent_Done,
     /*  614453 */   // Label 9919: @614453
     /*  614453 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614525), // Rule ID 5613 //
     /*  614458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614523 */     GIR_RootConstrainSelectedInstOperands,
     /*  614524 */     // GIR_Coverage, 5613,
     /*  614524 */     GIR_EraseRootFromParent_Done,
     /*  614525 */   // Label 9920: @614525
     /*  614525 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614597), // Rule ID 5614 //
     /*  614530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614595 */     GIR_RootConstrainSelectedInstOperands,
     /*  614596 */     // GIR_Coverage, 5614,
     /*  614596 */     GIR_EraseRootFromParent_Done,
     /*  614597 */   // Label 9921: @614597
     /*  614597 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614669), // Rule ID 5615 //
     /*  614602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614667 */     GIR_RootConstrainSelectedInstOperands,
     /*  614668 */     // GIR_Coverage, 5615,
     /*  614668 */     GIR_EraseRootFromParent_Done,
     /*  614669 */   // Label 9922: @614669
     /*  614669 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614741), // Rule ID 5616 //
     /*  614674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  614691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614739 */     GIR_RootConstrainSelectedInstOperands,
     /*  614740 */     // GIR_Coverage, 5616,
     /*  614740 */     GIR_EraseRootFromParent_Done,
     /*  614741 */   // Label 9923: @614741
     /*  614741 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614813), // Rule ID 5617 //
     /*  614746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  614763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614811 */     GIR_RootConstrainSelectedInstOperands,
     /*  614812 */     // GIR_Coverage, 5617,
     /*  614812 */     GIR_EraseRootFromParent_Done,
     /*  614813 */   // Label 9924: @614813
     /*  614813 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614885), // Rule ID 5618 //
     /*  614818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  614835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614883 */     GIR_RootConstrainSelectedInstOperands,
     /*  614884 */     // GIR_Coverage, 5618,
     /*  614884 */     GIR_EraseRootFromParent_Done,
     /*  614885 */   // Label 9925: @614885
     /*  614885 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(614957), // Rule ID 5619 //
     /*  614890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  614907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614955 */     GIR_RootConstrainSelectedInstOperands,
     /*  614956 */     // GIR_Coverage, 5619,
     /*  614956 */     GIR_EraseRootFromParent_Done,
     /*  614957 */   // Label 9926: @614957
     /*  614957 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615029), // Rule ID 5620 //
     /*  614962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  614979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  615008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615027 */     GIR_RootConstrainSelectedInstOperands,
     /*  615028 */     // GIR_Coverage, 5620,
     /*  615028 */     GIR_EraseRootFromParent_Done,
     /*  615029 */   // Label 9927: @615029
     /*  615029 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615101), // Rule ID 5621 //
     /*  615034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615099 */     GIR_RootConstrainSelectedInstOperands,
     /*  615100 */     // GIR_Coverage, 5621,
     /*  615100 */     GIR_EraseRootFromParent_Done,
     /*  615101 */   // Label 9928: @615101
     /*  615101 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615173), // Rule ID 5622 //
     /*  615106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  615152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615171 */     GIR_RootConstrainSelectedInstOperands,
     /*  615172 */     // GIR_Coverage, 5622,
     /*  615172 */     GIR_EraseRootFromParent_Done,
     /*  615173 */   // Label 9929: @615173
     /*  615173 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615245), // Rule ID 5623 //
     /*  615178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615243 */     GIR_RootConstrainSelectedInstOperands,
     /*  615244 */     // GIR_Coverage, 5623,
     /*  615244 */     GIR_EraseRootFromParent_Done,
     /*  615245 */   // Label 9930: @615245
     /*  615245 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615317), // Rule ID 5624 //
     /*  615250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615315 */     GIR_RootConstrainSelectedInstOperands,
     /*  615316 */     // GIR_Coverage, 5624,
     /*  615316 */     GIR_EraseRootFromParent_Done,
     /*  615317 */   // Label 9931: @615317
     /*  615317 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615389), // Rule ID 5625 //
     /*  615322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615387 */     GIR_RootConstrainSelectedInstOperands,
     /*  615388 */     // GIR_Coverage, 5625,
     /*  615388 */     GIR_EraseRootFromParent_Done,
     /*  615389 */   // Label 9932: @615389
     /*  615389 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615461), // Rule ID 5626 //
     /*  615394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615459 */     GIR_RootConstrainSelectedInstOperands,
     /*  615460 */     // GIR_Coverage, 5626,
     /*  615460 */     GIR_EraseRootFromParent_Done,
     /*  615461 */   // Label 9933: @615461
     /*  615461 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615533), // Rule ID 5627 //
     /*  615466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615531 */     GIR_RootConstrainSelectedInstOperands,
     /*  615532 */     // GIR_Coverage, 5627,
     /*  615532 */     GIR_EraseRootFromParent_Done,
     /*  615533 */   // Label 9934: @615533
     /*  615533 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615605), // Rule ID 5628 //
     /*  615538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  615555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615603 */     GIR_RootConstrainSelectedInstOperands,
     /*  615604 */     // GIR_Coverage, 5628,
     /*  615604 */     GIR_EraseRootFromParent_Done,
     /*  615605 */   // Label 9935: @615605
     /*  615605 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615677), // Rule ID 5629 //
     /*  615610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  615627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615675 */     GIR_RootConstrainSelectedInstOperands,
     /*  615676 */     // GIR_Coverage, 5629,
     /*  615676 */     GIR_EraseRootFromParent_Done,
     /*  615677 */   // Label 9936: @615677
     /*  615677 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615749), // Rule ID 5630 //
     /*  615682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  615702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  615728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  615731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615747 */     GIR_RootConstrainSelectedInstOperands,
     /*  615748 */     // GIR_Coverage, 5630,
     /*  615748 */     GIR_EraseRootFromParent_Done,
     /*  615749 */   // Label 9937: @615749
     /*  615749 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615821), // Rule ID 5631 //
     /*  615754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  615774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  615800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  615803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615819 */     GIR_RootConstrainSelectedInstOperands,
     /*  615820 */     // GIR_Coverage, 5631,
     /*  615820 */     GIR_EraseRootFromParent_Done,
     /*  615821 */   // Label 9938: @615821
     /*  615821 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615893), // Rule ID 5632 //
     /*  615826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  615872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  615875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615891 */     GIR_RootConstrainSelectedInstOperands,
     /*  615892 */     // GIR_Coverage, 5632,
     /*  615892 */     GIR_EraseRootFromParent_Done,
     /*  615893 */   // Label 9939: @615893
     /*  615893 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(615965), // Rule ID 5633 //
     /*  615898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  615944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  615947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615963 */     GIR_RootConstrainSelectedInstOperands,
     /*  615964 */     // GIR_Coverage, 5633,
     /*  615964 */     GIR_EraseRootFromParent_Done,
     /*  615965 */   // Label 9940: @615965
     /*  615965 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616037), // Rule ID 5634 //
     /*  615970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616035 */     GIR_RootConstrainSelectedInstOperands,
     /*  616036 */     // GIR_Coverage, 5634,
     /*  616036 */     GIR_EraseRootFromParent_Done,
     /*  616037 */   // Label 9941: @616037
     /*  616037 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616109), // Rule ID 5635 //
     /*  616042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616107 */     GIR_RootConstrainSelectedInstOperands,
     /*  616108 */     // GIR_Coverage, 5635,
     /*  616108 */     GIR_EraseRootFromParent_Done,
     /*  616109 */   // Label 9942: @616109
     /*  616109 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616181), // Rule ID 5636 //
     /*  616114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616179 */     GIR_RootConstrainSelectedInstOperands,
     /*  616180 */     // GIR_Coverage, 5636,
     /*  616180 */     GIR_EraseRootFromParent_Done,
     /*  616181 */   // Label 9943: @616181
     /*  616181 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616253), // Rule ID 5637 //
     /*  616186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616251 */     GIR_RootConstrainSelectedInstOperands,
     /*  616252 */     // GIR_Coverage, 5637,
     /*  616252 */     GIR_EraseRootFromParent_Done,
     /*  616253 */   // Label 9944: @616253
     /*  616253 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616325), // Rule ID 5638 //
     /*  616258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616323 */     GIR_RootConstrainSelectedInstOperands,
     /*  616324 */     // GIR_Coverage, 5638,
     /*  616324 */     GIR_EraseRootFromParent_Done,
     /*  616325 */   // Label 9945: @616325
     /*  616325 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616397), // Rule ID 5639 //
     /*  616330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616395 */     GIR_RootConstrainSelectedInstOperands,
     /*  616396 */     // GIR_Coverage, 5639,
     /*  616396 */     GIR_EraseRootFromParent_Done,
     /*  616397 */   // Label 9946: @616397
     /*  616397 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616469), // Rule ID 5640 //
     /*  616402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  616448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616467 */     GIR_RootConstrainSelectedInstOperands,
     /*  616468 */     // GIR_Coverage, 5640,
     /*  616468 */     GIR_EraseRootFromParent_Done,
     /*  616469 */   // Label 9947: @616469
     /*  616469 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616541), // Rule ID 5641 //
     /*  616474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  616520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616539 */     GIR_RootConstrainSelectedInstOperands,
     /*  616540 */     // GIR_Coverage, 5641,
     /*  616540 */     GIR_EraseRootFromParent_Done,
     /*  616541 */   // Label 9948: @616541
     /*  616541 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616613), // Rule ID 5642 //
     /*  616546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616611 */     GIR_RootConstrainSelectedInstOperands,
     /*  616612 */     // GIR_Coverage, 5642,
     /*  616612 */     GIR_EraseRootFromParent_Done,
     /*  616613 */   // Label 9949: @616613
     /*  616613 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616685), // Rule ID 5643 //
     /*  616618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616683 */     GIR_RootConstrainSelectedInstOperands,
     /*  616684 */     // GIR_Coverage, 5643,
     /*  616684 */     GIR_EraseRootFromParent_Done,
     /*  616685 */   // Label 9950: @616685
     /*  616685 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616757), // Rule ID 5644 //
     /*  616690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616755 */     GIR_RootConstrainSelectedInstOperands,
     /*  616756 */     // GIR_Coverage, 5644,
     /*  616756 */     GIR_EraseRootFromParent_Done,
     /*  616757 */   // Label 9951: @616757
     /*  616757 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616829), // Rule ID 5645 //
     /*  616762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616827 */     GIR_RootConstrainSelectedInstOperands,
     /*  616828 */     // GIR_Coverage, 5645,
     /*  616828 */     GIR_EraseRootFromParent_Done,
     /*  616829 */   // Label 9952: @616829
     /*  616829 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(616901), // Rule ID 5646 //
     /*  616834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  616880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616899 */     GIR_RootConstrainSelectedInstOperands,
     /*  616900 */     // GIR_Coverage, 5646,
     /*  616900 */     GIR_EraseRootFromParent_Done,
     /*  616901 */   // Label 9953: @616901
     /*  616901 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(616973), // Rule ID 5647 //
     /*  616906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  616952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616971 */     GIR_RootConstrainSelectedInstOperands,
     /*  616972 */     // GIR_Coverage, 5647,
     /*  616972 */     GIR_EraseRootFromParent_Done,
     /*  616973 */   // Label 9954: @616973
     /*  616973 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617045), // Rule ID 5648 //
     /*  616978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  617024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617043 */     GIR_RootConstrainSelectedInstOperands,
     /*  617044 */     // GIR_Coverage, 5648,
     /*  617044 */     GIR_EraseRootFromParent_Done,
     /*  617045 */   // Label 9955: @617045
     /*  617045 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617117), // Rule ID 5649 //
     /*  617050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  617061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  617064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  617070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  617096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617115 */     GIR_RootConstrainSelectedInstOperands,
     /*  617116 */     // GIR_Coverage, 5649,
     /*  617116 */     GIR_EraseRootFromParent_Done,
     /*  617117 */   // Label 9956: @617117
     /*  617117 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617189), // Rule ID 5650 //
     /*  617122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617187 */     GIR_RootConstrainSelectedInstOperands,
     /*  617188 */     // GIR_Coverage, 5650,
     /*  617188 */     GIR_EraseRootFromParent_Done,
     /*  617189 */   // Label 9957: @617189
     /*  617189 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617261), // Rule ID 5651 //
     /*  617194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617259 */     GIR_RootConstrainSelectedInstOperands,
     /*  617260 */     // GIR_Coverage, 5651,
     /*  617260 */     GIR_EraseRootFromParent_Done,
     /*  617261 */   // Label 9958: @617261
     /*  617261 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617333), // Rule ID 5652 //
     /*  617266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617331 */     GIR_RootConstrainSelectedInstOperands,
     /*  617332 */     // GIR_Coverage, 5652,
     /*  617332 */     GIR_EraseRootFromParent_Done,
     /*  617333 */   // Label 9959: @617333
     /*  617333 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617405), // Rule ID 5653 //
     /*  617338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617384 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617403 */     GIR_RootConstrainSelectedInstOperands,
     /*  617404 */     // GIR_Coverage, 5653,
     /*  617404 */     GIR_EraseRootFromParent_Done,
     /*  617405 */   // Label 9960: @617405
     /*  617405 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617477), // Rule ID 5654 //
     /*  617410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617456 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617475 */     GIR_RootConstrainSelectedInstOperands,
     /*  617476 */     // GIR_Coverage, 5654,
     /*  617476 */     GIR_EraseRootFromParent_Done,
     /*  617477 */   // Label 9961: @617477
     /*  617477 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617549), // Rule ID 5655 //
     /*  617482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617547 */     GIR_RootConstrainSelectedInstOperands,
     /*  617548 */     // GIR_Coverage, 5655,
     /*  617548 */     GIR_EraseRootFromParent_Done,
     /*  617549 */   // Label 9962: @617549
     /*  617549 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617621), // Rule ID 5656 //
     /*  617554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617619 */     GIR_RootConstrainSelectedInstOperands,
     /*  617620 */     // GIR_Coverage, 5656,
     /*  617620 */     GIR_EraseRootFromParent_Done,
     /*  617621 */   // Label 9963: @617621
     /*  617621 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617693), // Rule ID 5657 //
     /*  617626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617691 */     GIR_RootConstrainSelectedInstOperands,
     /*  617692 */     // GIR_Coverage, 5657,
     /*  617692 */     GIR_EraseRootFromParent_Done,
     /*  617693 */   // Label 9964: @617693
     /*  617693 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617765), // Rule ID 5658 //
     /*  617698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617763 */     GIR_RootConstrainSelectedInstOperands,
     /*  617764 */     // GIR_Coverage, 5658,
     /*  617764 */     GIR_EraseRootFromParent_Done,
     /*  617765 */   // Label 9965: @617765
     /*  617765 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(617837), // Rule ID 5659 //
     /*  617770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617835 */     GIR_RootConstrainSelectedInstOperands,
     /*  617836 */     // GIR_Coverage, 5659,
     /*  617836 */     GIR_EraseRootFromParent_Done,
     /*  617837 */   // Label 9966: @617837
     /*  617837 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(617909), // Rule ID 5660 //
     /*  617842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617907 */     GIR_RootConstrainSelectedInstOperands,
     /*  617908 */     // GIR_Coverage, 5660,
     /*  617908 */     GIR_EraseRootFromParent_Done,
     /*  617909 */   // Label 9967: @617909
     /*  617909 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(617981), // Rule ID 5661 //
     /*  617914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617979 */     GIR_RootConstrainSelectedInstOperands,
     /*  617980 */     // GIR_Coverage, 5661,
     /*  617980 */     GIR_EraseRootFromParent_Done,
     /*  617981 */   // Label 9968: @617981
     /*  617981 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618053), // Rule ID 5662 //
     /*  617986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  617997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618051 */     GIR_RootConstrainSelectedInstOperands,
     /*  618052 */     // GIR_Coverage, 5662,
     /*  618052 */     GIR_EraseRootFromParent_Done,
     /*  618053 */   // Label 9969: @618053
     /*  618053 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618125), // Rule ID 5663 //
     /*  618058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618123 */     GIR_RootConstrainSelectedInstOperands,
     /*  618124 */     // GIR_Coverage, 5663,
     /*  618124 */     GIR_EraseRootFromParent_Done,
     /*  618125 */   // Label 9970: @618125
     /*  618125 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618197), // Rule ID 5664 //
     /*  618130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618195 */     GIR_RootConstrainSelectedInstOperands,
     /*  618196 */     // GIR_Coverage, 5664,
     /*  618196 */     GIR_EraseRootFromParent_Done,
     /*  618197 */   // Label 9971: @618197
     /*  618197 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618269), // Rule ID 5665 //
     /*  618202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618267 */     GIR_RootConstrainSelectedInstOperands,
     /*  618268 */     // GIR_Coverage, 5665,
     /*  618268 */     GIR_EraseRootFromParent_Done,
     /*  618269 */   // Label 9972: @618269
     /*  618269 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618341), // Rule ID 5666 //
     /*  618274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618339 */     GIR_RootConstrainSelectedInstOperands,
     /*  618340 */     // GIR_Coverage, 5666,
     /*  618340 */     GIR_EraseRootFromParent_Done,
     /*  618341 */   // Label 9973: @618341
     /*  618341 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618413), // Rule ID 5667 //
     /*  618346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618411 */     GIR_RootConstrainSelectedInstOperands,
     /*  618412 */     // GIR_Coverage, 5667,
     /*  618412 */     GIR_EraseRootFromParent_Done,
     /*  618413 */   // Label 9974: @618413
     /*  618413 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618485), // Rule ID 5668 //
     /*  618418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618483 */     GIR_RootConstrainSelectedInstOperands,
     /*  618484 */     // GIR_Coverage, 5668,
     /*  618484 */     GIR_EraseRootFromParent_Done,
     /*  618485 */   // Label 9975: @618485
     /*  618485 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618557), // Rule ID 5669 //
     /*  618490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618555 */     GIR_RootConstrainSelectedInstOperands,
     /*  618556 */     // GIR_Coverage, 5669,
     /*  618556 */     GIR_EraseRootFromParent_Done,
     /*  618557 */   // Label 9976: @618557
     /*  618557 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618629), // Rule ID 5670 //
     /*  618562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618627 */     GIR_RootConstrainSelectedInstOperands,
     /*  618628 */     // GIR_Coverage, 5670,
     /*  618628 */     GIR_EraseRootFromParent_Done,
     /*  618629 */   // Label 9977: @618629
     /*  618629 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618701), // Rule ID 5671 //
     /*  618634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618699 */     GIR_RootConstrainSelectedInstOperands,
     /*  618700 */     // GIR_Coverage, 5671,
     /*  618700 */     GIR_EraseRootFromParent_Done,
     /*  618701 */   // Label 9978: @618701
     /*  618701 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618773), // Rule ID 5672 //
     /*  618706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618771 */     GIR_RootConstrainSelectedInstOperands,
     /*  618772 */     // GIR_Coverage, 5672,
     /*  618772 */     GIR_EraseRootFromParent_Done,
     /*  618773 */   // Label 9979: @618773
     /*  618773 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(618845), // Rule ID 5673 //
     /*  618778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618843 */     GIR_RootConstrainSelectedInstOperands,
     /*  618844 */     // GIR_Coverage, 5673,
     /*  618844 */     GIR_EraseRootFromParent_Done,
     /*  618845 */   // Label 9980: @618845
     /*  618845 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(618920), // Rule ID 5762 //
     /*  618850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  618899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618918 */     GIR_RootConstrainSelectedInstOperands,
     /*  618919 */     // GIR_Coverage, 5762,
     /*  618919 */     GIR_EraseRootFromParent_Done,
     /*  618920 */   // Label 9981: @618920
     /*  618920 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(618995), // Rule ID 5763 //
     /*  618925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  618974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618993 */     GIR_RootConstrainSelectedInstOperands,
     /*  618994 */     // GIR_Coverage, 5763,
     /*  618994 */     GIR_EraseRootFromParent_Done,
     /*  618995 */   // Label 9982: @618995
     /*  618995 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619070), // Rule ID 5766 //
     /*  619000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619068 */     GIR_RootConstrainSelectedInstOperands,
     /*  619069 */     // GIR_Coverage, 5766,
     /*  619069 */     GIR_EraseRootFromParent_Done,
     /*  619070 */   // Label 9983: @619070
     /*  619070 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619145), // Rule ID 5767 //
     /*  619075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619143 */     GIR_RootConstrainSelectedInstOperands,
     /*  619144 */     // GIR_Coverage, 5767,
     /*  619144 */     GIR_EraseRootFromParent_Done,
     /*  619145 */   // Label 9984: @619145
     /*  619145 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619220), // Rule ID 5770 //
     /*  619150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619218 */     GIR_RootConstrainSelectedInstOperands,
     /*  619219 */     // GIR_Coverage, 5770,
     /*  619219 */     GIR_EraseRootFromParent_Done,
     /*  619220 */   // Label 9985: @619220
     /*  619220 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619295), // Rule ID 5771 //
     /*  619225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619293 */     GIR_RootConstrainSelectedInstOperands,
     /*  619294 */     // GIR_Coverage, 5771,
     /*  619294 */     GIR_EraseRootFromParent_Done,
     /*  619295 */   // Label 9986: @619295
     /*  619295 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619370), // Rule ID 5774 //
     /*  619300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619368 */     GIR_RootConstrainSelectedInstOperands,
     /*  619369 */     // GIR_Coverage, 5774,
     /*  619369 */     GIR_EraseRootFromParent_Done,
     /*  619370 */   // Label 9987: @619370
     /*  619370 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619445), // Rule ID 5775 //
     /*  619375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619443 */     GIR_RootConstrainSelectedInstOperands,
     /*  619444 */     // GIR_Coverage, 5775,
     /*  619444 */     GIR_EraseRootFromParent_Done,
     /*  619445 */   // Label 9988: @619445
     /*  619445 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619520), // Rule ID 5778 //
     /*  619450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619518 */     GIR_RootConstrainSelectedInstOperands,
     /*  619519 */     // GIR_Coverage, 5778,
     /*  619519 */     GIR_EraseRootFromParent_Done,
     /*  619520 */   // Label 9989: @619520
     /*  619520 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619595), // Rule ID 5779 //
     /*  619525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619593 */     GIR_RootConstrainSelectedInstOperands,
     /*  619594 */     // GIR_Coverage, 5779,
     /*  619594 */     GIR_EraseRootFromParent_Done,
     /*  619595 */   // Label 9990: @619595
     /*  619595 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619670), // Rule ID 5782 //
     /*  619600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619668 */     GIR_RootConstrainSelectedInstOperands,
     /*  619669 */     // GIR_Coverage, 5782,
     /*  619669 */     GIR_EraseRootFromParent_Done,
     /*  619670 */   // Label 9991: @619670
     /*  619670 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619745), // Rule ID 5783 //
     /*  619675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619743 */     GIR_RootConstrainSelectedInstOperands,
     /*  619744 */     // GIR_Coverage, 5783,
     /*  619744 */     GIR_EraseRootFromParent_Done,
     /*  619745 */   // Label 9992: @619745
     /*  619745 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(619820), // Rule ID 5786 //
     /*  619750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619818 */     GIR_RootConstrainSelectedInstOperands,
     /*  619819 */     // GIR_Coverage, 5786,
     /*  619819 */     GIR_EraseRootFromParent_Done,
     /*  619820 */   // Label 9993: @619820
     /*  619820 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(619895), // Rule ID 5787 //
     /*  619825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619893 */     GIR_RootConstrainSelectedInstOperands,
     /*  619894 */     // GIR_Coverage, 5787,
     /*  619894 */     GIR_EraseRootFromParent_Done,
     /*  619895 */   // Label 9994: @619895
     /*  619895 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(619970), // Rule ID 5790 //
     /*  619900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619968 */     GIR_RootConstrainSelectedInstOperands,
     /*  619969 */     // GIR_Coverage, 5790,
     /*  619969 */     GIR_EraseRootFromParent_Done,
     /*  619970 */   // Label 9995: @619970
     /*  619970 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620045), // Rule ID 5791 //
     /*  619975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620043 */     GIR_RootConstrainSelectedInstOperands,
     /*  620044 */     // GIR_Coverage, 5791,
     /*  620044 */     GIR_EraseRootFromParent_Done,
     /*  620045 */   // Label 9996: @620045
     /*  620045 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620120), // Rule ID 5794 //
     /*  620050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620118 */     GIR_RootConstrainSelectedInstOperands,
     /*  620119 */     // GIR_Coverage, 5794,
     /*  620119 */     GIR_EraseRootFromParent_Done,
     /*  620120 */   // Label 9997: @620120
     /*  620120 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620195), // Rule ID 5795 //
     /*  620125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620193 */     GIR_RootConstrainSelectedInstOperands,
     /*  620194 */     // GIR_Coverage, 5795,
     /*  620194 */     GIR_EraseRootFromParent_Done,
     /*  620195 */   // Label 9998: @620195
     /*  620195 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620270), // Rule ID 5798 //
     /*  620200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620268 */     GIR_RootConstrainSelectedInstOperands,
     /*  620269 */     // GIR_Coverage, 5798,
     /*  620269 */     GIR_EraseRootFromParent_Done,
     /*  620270 */   // Label 9999: @620270
     /*  620270 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620345), // Rule ID 5799 //
     /*  620275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620343 */     GIR_RootConstrainSelectedInstOperands,
     /*  620344 */     // GIR_Coverage, 5799,
     /*  620344 */     GIR_EraseRootFromParent_Done,
     /*  620345 */   // Label 10000: @620345
     /*  620345 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620420), // Rule ID 5802 //
     /*  620350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620418 */     GIR_RootConstrainSelectedInstOperands,
     /*  620419 */     // GIR_Coverage, 5802,
     /*  620419 */     GIR_EraseRootFromParent_Done,
     /*  620420 */   // Label 10001: @620420
     /*  620420 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620495), // Rule ID 5803 //
     /*  620425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620493 */     GIR_RootConstrainSelectedInstOperands,
     /*  620494 */     // GIR_Coverage, 5803,
     /*  620494 */     GIR_EraseRootFromParent_Done,
     /*  620495 */   // Label 10002: @620495
     /*  620495 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620570), // Rule ID 5806 //
     /*  620500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  620520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620568 */     GIR_RootConstrainSelectedInstOperands,
     /*  620569 */     // GIR_Coverage, 5806,
     /*  620569 */     GIR_EraseRootFromParent_Done,
     /*  620570 */   // Label 10003: @620570
     /*  620570 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620645), // Rule ID 5807 //
     /*  620575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  620595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620643 */     GIR_RootConstrainSelectedInstOperands,
     /*  620644 */     // GIR_Coverage, 5807,
     /*  620644 */     GIR_EraseRootFromParent_Done,
     /*  620645 */   // Label 10004: @620645
     /*  620645 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620720), // Rule ID 5810 //
     /*  620650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  620670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  620699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620718 */     GIR_RootConstrainSelectedInstOperands,
     /*  620719 */     // GIR_Coverage, 5810,
     /*  620719 */     GIR_EraseRootFromParent_Done,
     /*  620720 */   // Label 10005: @620720
     /*  620720 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(620795), // Rule ID 5811 //
     /*  620725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  620745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  620774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620793 */     GIR_RootConstrainSelectedInstOperands,
     /*  620794 */     // GIR_Coverage, 5811,
     /*  620794 */     GIR_EraseRootFromParent_Done,
     /*  620795 */   // Label 10006: @620795
     /*  620795 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(620870), // Rule ID 5814 //
     /*  620800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620868 */     GIR_RootConstrainSelectedInstOperands,
     /*  620869 */     // GIR_Coverage, 5814,
     /*  620869 */     GIR_EraseRootFromParent_Done,
     /*  620870 */   // Label 10007: @620870
     /*  620870 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(620945), // Rule ID 5815 //
     /*  620875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620943 */     GIR_RootConstrainSelectedInstOperands,
     /*  620944 */     // GIR_Coverage, 5815,
     /*  620944 */     GIR_EraseRootFromParent_Done,
     /*  620945 */   // Label 10008: @620945
     /*  620945 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621020), // Rule ID 5818 //
     /*  620950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  620970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621018 */     GIR_RootConstrainSelectedInstOperands,
     /*  621019 */     // GIR_Coverage, 5818,
     /*  621019 */     GIR_EraseRootFromParent_Done,
     /*  621020 */   // Label 10009: @621020
     /*  621020 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621095), // Rule ID 5819 //
     /*  621025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  621036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  621039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  621042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  621045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621093 */     GIR_RootConstrainSelectedInstOperands,
     /*  621094 */     // GIR_Coverage, 5819,
     /*  621094 */     GIR_EraseRootFromParent_Done,
     /*  621095 */   // Label 10010: @621095
     /*  621095 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621170), // Rule ID 5822 //
     /*  621100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621168 */     GIR_RootConstrainSelectedInstOperands,
     /*  621169 */     // GIR_Coverage, 5822,
     /*  621169 */     GIR_EraseRootFromParent_Done,
     /*  621170 */   // Label 10011: @621170
     /*  621170 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621245), // Rule ID 5823 //
     /*  621175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621243 */     GIR_RootConstrainSelectedInstOperands,
     /*  621244 */     // GIR_Coverage, 5823,
     /*  621244 */     GIR_EraseRootFromParent_Done,
     /*  621245 */   // Label 10012: @621245
     /*  621245 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621320), // Rule ID 5826 //
     /*  621250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621318 */     GIR_RootConstrainSelectedInstOperands,
     /*  621319 */     // GIR_Coverage, 5826,
     /*  621319 */     GIR_EraseRootFromParent_Done,
     /*  621320 */   // Label 10013: @621320
     /*  621320 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621395), // Rule ID 5827 //
     /*  621325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621393 */     GIR_RootConstrainSelectedInstOperands,
     /*  621394 */     // GIR_Coverage, 5827,
     /*  621394 */     GIR_EraseRootFromParent_Done,
     /*  621395 */   // Label 10014: @621395
     /*  621395 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621470), // Rule ID 5830 //
     /*  621400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621468 */     GIR_RootConstrainSelectedInstOperands,
     /*  621469 */     // GIR_Coverage, 5830,
     /*  621469 */     GIR_EraseRootFromParent_Done,
     /*  621470 */   // Label 10015: @621470
     /*  621470 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621545), // Rule ID 5831 //
     /*  621475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621543 */     GIR_RootConstrainSelectedInstOperands,
     /*  621544 */     // GIR_Coverage, 5831,
     /*  621544 */     GIR_EraseRootFromParent_Done,
     /*  621545 */   // Label 10016: @621545
     /*  621545 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621620), // Rule ID 5834 //
     /*  621550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  621570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621618 */     GIR_RootConstrainSelectedInstOperands,
     /*  621619 */     // GIR_Coverage, 5834,
     /*  621619 */     GIR_EraseRootFromParent_Done,
     /*  621620 */   // Label 10017: @621620
     /*  621620 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621695), // Rule ID 5835 //
     /*  621625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  621645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621693 */     GIR_RootConstrainSelectedInstOperands,
     /*  621694 */     // GIR_Coverage, 5835,
     /*  621694 */     GIR_EraseRootFromParent_Done,
     /*  621695 */   // Label 10018: @621695
     /*  621695 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621770), // Rule ID 5838 //
     /*  621700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  621720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621768 */     GIR_RootConstrainSelectedInstOperands,
     /*  621769 */     // GIR_Coverage, 5838,
     /*  621769 */     GIR_EraseRootFromParent_Done,
     /*  621770 */   // Label 10019: @621770
     /*  621770 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(621845), // Rule ID 5839 //
     /*  621775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  621795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621843 */     GIR_RootConstrainSelectedInstOperands,
     /*  621844 */     // GIR_Coverage, 5839,
     /*  621844 */     GIR_EraseRootFromParent_Done,
     /*  621845 */   // Label 10020: @621845
     /*  621845 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(621920), // Rule ID 5842 //
     /*  621850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621918 */     GIR_RootConstrainSelectedInstOperands,
     /*  621919 */     // GIR_Coverage, 5842,
     /*  621919 */     GIR_EraseRootFromParent_Done,
     /*  621920 */   // Label 10021: @621920
     /*  621920 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(621995), // Rule ID 5843 //
     /*  621925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621993 */     GIR_RootConstrainSelectedInstOperands,
     /*  621994 */     // GIR_Coverage, 5843,
     /*  621994 */     GIR_EraseRootFromParent_Done,
     /*  621995 */   // Label 10022: @621995
     /*  621995 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622070), // Rule ID 5846 //
     /*  622000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622068 */     GIR_RootConstrainSelectedInstOperands,
     /*  622069 */     // GIR_Coverage, 5846,
     /*  622069 */     GIR_EraseRootFromParent_Done,
     /*  622070 */   // Label 10023: @622070
     /*  622070 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622145), // Rule ID 5847 //
     /*  622075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622143 */     GIR_RootConstrainSelectedInstOperands,
     /*  622144 */     // GIR_Coverage, 5847,
     /*  622144 */     GIR_EraseRootFromParent_Done,
     /*  622145 */   // Label 10024: @622145
     /*  622145 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622220), // Rule ID 5850 //
     /*  622150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  622199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622218 */     GIR_RootConstrainSelectedInstOperands,
     /*  622219 */     // GIR_Coverage, 5850,
     /*  622219 */     GIR_EraseRootFromParent_Done,
     /*  622220 */   // Label 10025: @622220
     /*  622220 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622295), // Rule ID 5851 //
     /*  622225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  622274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622293 */     GIR_RootConstrainSelectedInstOperands,
     /*  622294 */     // GIR_Coverage, 5851,
     /*  622294 */     GIR_EraseRootFromParent_Done,
     /*  622295 */   // Label 10026: @622295
     /*  622295 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622370), // Rule ID 5854 //
     /*  622300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622368 */     GIR_RootConstrainSelectedInstOperands,
     /*  622369 */     // GIR_Coverage, 5854,
     /*  622369 */     GIR_EraseRootFromParent_Done,
     /*  622370 */   // Label 10027: @622370
     /*  622370 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622445), // Rule ID 5855 //
     /*  622375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622443 */     GIR_RootConstrainSelectedInstOperands,
     /*  622444 */     // GIR_Coverage, 5855,
     /*  622444 */     GIR_EraseRootFromParent_Done,
     /*  622445 */   // Label 10028: @622445
     /*  622445 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622520), // Rule ID 5858 //
     /*  622450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622518 */     GIR_RootConstrainSelectedInstOperands,
     /*  622519 */     // GIR_Coverage, 5858,
     /*  622519 */     GIR_EraseRootFromParent_Done,
     /*  622520 */   // Label 10029: @622520
     /*  622520 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622595), // Rule ID 5859 //
     /*  622525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622593 */     GIR_RootConstrainSelectedInstOperands,
     /*  622594 */     // GIR_Coverage, 5859,
     /*  622594 */     GIR_EraseRootFromParent_Done,
     /*  622595 */   // Label 10030: @622595
     /*  622595 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622670), // Rule ID 5862 //
     /*  622600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622668 */     GIR_RootConstrainSelectedInstOperands,
     /*  622669 */     // GIR_Coverage, 5862,
     /*  622669 */     GIR_EraseRootFromParent_Done,
     /*  622670 */   // Label 10031: @622670
     /*  622670 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622745), // Rule ID 5863 //
     /*  622675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622743 */     GIR_RootConstrainSelectedInstOperands,
     /*  622744 */     // GIR_Coverage, 5863,
     /*  622744 */     GIR_EraseRootFromParent_Done,
     /*  622745 */   // Label 10032: @622745
     /*  622745 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(622820), // Rule ID 5866 //
     /*  622750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622818 */     GIR_RootConstrainSelectedInstOperands,
     /*  622819 */     // GIR_Coverage, 5866,
     /*  622819 */     GIR_EraseRootFromParent_Done,
     /*  622820 */   // Label 10033: @622820
     /*  622820 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(622895), // Rule ID 5867 //
     /*  622825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622893 */     GIR_RootConstrainSelectedInstOperands,
     /*  622894 */     // GIR_Coverage, 5867,
     /*  622894 */     GIR_EraseRootFromParent_Done,
     /*  622895 */   // Label 10034: @622895
     /*  622895 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(622970), // Rule ID 5870 //
     /*  622900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622968 */     GIR_RootConstrainSelectedInstOperands,
     /*  622969 */     // GIR_Coverage, 5870,
     /*  622969 */     GIR_EraseRootFromParent_Done,
     /*  622970 */   // Label 10035: @622970
     /*  622970 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623045), // Rule ID 5871 //
     /*  622975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623043 */     GIR_RootConstrainSelectedInstOperands,
     /*  623044 */     // GIR_Coverage, 5871,
     /*  623044 */     GIR_EraseRootFromParent_Done,
     /*  623045 */   // Label 10036: @623045
     /*  623045 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623120), // Rule ID 5874 //
     /*  623050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623118 */     GIR_RootConstrainSelectedInstOperands,
     /*  623119 */     // GIR_Coverage, 5874,
     /*  623119 */     GIR_EraseRootFromParent_Done,
     /*  623120 */   // Label 10037: @623120
     /*  623120 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623195), // Rule ID 5875 //
     /*  623125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623193 */     GIR_RootConstrainSelectedInstOperands,
     /*  623194 */     // GIR_Coverage, 5875,
     /*  623194 */     GIR_EraseRootFromParent_Done,
     /*  623195 */   // Label 10038: @623195
     /*  623195 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623270), // Rule ID 5878 //
     /*  623200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623268 */     GIR_RootConstrainSelectedInstOperands,
     /*  623269 */     // GIR_Coverage, 5878,
     /*  623269 */     GIR_EraseRootFromParent_Done,
     /*  623270 */   // Label 10039: @623270
     /*  623270 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623345), // Rule ID 5879 //
     /*  623275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623343 */     GIR_RootConstrainSelectedInstOperands,
     /*  623344 */     // GIR_Coverage, 5879,
     /*  623344 */     GIR_EraseRootFromParent_Done,
     /*  623345 */   // Label 10040: @623345
     /*  623345 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623420), // Rule ID 5882 //
     /*  623350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623418 */     GIR_RootConstrainSelectedInstOperands,
     /*  623419 */     // GIR_Coverage, 5882,
     /*  623419 */     GIR_EraseRootFromParent_Done,
     /*  623420 */   // Label 10041: @623420
     /*  623420 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623495), // Rule ID 5883 //
     /*  623425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623493 */     GIR_RootConstrainSelectedInstOperands,
     /*  623494 */     // GIR_Coverage, 5883,
     /*  623494 */     GIR_EraseRootFromParent_Done,
     /*  623495 */   // Label 10042: @623495
     /*  623495 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623570), // Rule ID 5886 //
     /*  623500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623568 */     GIR_RootConstrainSelectedInstOperands,
     /*  623569 */     // GIR_Coverage, 5886,
     /*  623569 */     GIR_EraseRootFromParent_Done,
     /*  623570 */   // Label 10043: @623570
     /*  623570 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623645), // Rule ID 5887 //
     /*  623575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623643 */     GIR_RootConstrainSelectedInstOperands,
     /*  623644 */     // GIR_Coverage, 5887,
     /*  623644 */     GIR_EraseRootFromParent_Done,
     /*  623645 */   // Label 10044: @623645
     /*  623645 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623720), // Rule ID 5890 //
     /*  623650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  623699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623718 */     GIR_RootConstrainSelectedInstOperands,
     /*  623719 */     // GIR_Coverage, 5890,
     /*  623719 */     GIR_EraseRootFromParent_Done,
     /*  623720 */   // Label 10045: @623720
     /*  623720 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(623795), // Rule ID 5891 //
     /*  623725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  623774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623793 */     GIR_RootConstrainSelectedInstOperands,
     /*  623794 */     // GIR_Coverage, 5891,
     /*  623794 */     GIR_EraseRootFromParent_Done,
     /*  623795 */   // Label 10046: @623795
     /*  623795 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(623870), // Rule ID 5894 //
     /*  623800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  623849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623868 */     GIR_RootConstrainSelectedInstOperands,
     /*  623869 */     // GIR_Coverage, 5894,
     /*  623869 */     GIR_EraseRootFromParent_Done,
     /*  623870 */   // Label 10047: @623870
     /*  623870 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(623945), // Rule ID 5895 //
     /*  623875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  623924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623943 */     GIR_RootConstrainSelectedInstOperands,
     /*  623944 */     // GIR_Coverage, 5895,
     /*  623944 */     GIR_EraseRootFromParent_Done,
     /*  623945 */   // Label 10048: @623945
     /*  623945 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624020), // Rule ID 5898 //
     /*  623950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  623999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624018 */     GIR_RootConstrainSelectedInstOperands,
     /*  624019 */     // GIR_Coverage, 5898,
     /*  624019 */     GIR_EraseRootFromParent_Done,
     /*  624020 */   // Label 10049: @624020
     /*  624020 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624095), // Rule ID 5899 //
     /*  624025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  624036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  624039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  624042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624093 */     GIR_RootConstrainSelectedInstOperands,
     /*  624094 */     // GIR_Coverage, 5899,
     /*  624094 */     GIR_EraseRootFromParent_Done,
     /*  624095 */   // Label 10050: @624095
     /*  624095 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624170), // Rule ID 5902 //
     /*  624100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624168 */     GIR_RootConstrainSelectedInstOperands,
     /*  624169 */     // GIR_Coverage, 5902,
     /*  624169 */     GIR_EraseRootFromParent_Done,
     /*  624170 */   // Label 10051: @624170
     /*  624170 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624245), // Rule ID 5903 //
     /*  624175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624243 */     GIR_RootConstrainSelectedInstOperands,
     /*  624244 */     // GIR_Coverage, 5903,
     /*  624244 */     GIR_EraseRootFromParent_Done,
     /*  624245 */   // Label 10052: @624245
     /*  624245 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624320), // Rule ID 5906 //
     /*  624250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624318 */     GIR_RootConstrainSelectedInstOperands,
     /*  624319 */     // GIR_Coverage, 5906,
     /*  624319 */     GIR_EraseRootFromParent_Done,
     /*  624320 */   // Label 10053: @624320
     /*  624320 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624395), // Rule ID 5907 //
     /*  624325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624393 */     GIR_RootConstrainSelectedInstOperands,
     /*  624394 */     // GIR_Coverage, 5907,
     /*  624394 */     GIR_EraseRootFromParent_Done,
     /*  624395 */   // Label 10054: @624395
     /*  624395 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624470), // Rule ID 5910 //
     /*  624400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624468 */     GIR_RootConstrainSelectedInstOperands,
     /*  624469 */     // GIR_Coverage, 5910,
     /*  624469 */     GIR_EraseRootFromParent_Done,
     /*  624470 */   // Label 10055: @624470
     /*  624470 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624545), // Rule ID 5911 //
     /*  624475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624543 */     GIR_RootConstrainSelectedInstOperands,
     /*  624544 */     // GIR_Coverage, 5911,
     /*  624544 */     GIR_EraseRootFromParent_Done,
     /*  624545 */   // Label 10056: @624545
     /*  624545 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624620), // Rule ID 5914 //
     /*  624550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624618 */     GIR_RootConstrainSelectedInstOperands,
     /*  624619 */     // GIR_Coverage, 5914,
     /*  624619 */     GIR_EraseRootFromParent_Done,
     /*  624620 */   // Label 10057: @624620
     /*  624620 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624695), // Rule ID 5915 //
     /*  624625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624693 */     GIR_RootConstrainSelectedInstOperands,
     /*  624694 */     // GIR_Coverage, 5915,
     /*  624694 */     GIR_EraseRootFromParent_Done,
     /*  624695 */   // Label 10058: @624695
     /*  624695 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624770), // Rule ID 5918 //
     /*  624700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624768 */     GIR_RootConstrainSelectedInstOperands,
     /*  624769 */     // GIR_Coverage, 5918,
     /*  624769 */     GIR_EraseRootFromParent_Done,
     /*  624770 */   // Label 10059: @624770
     /*  624770 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(624845), // Rule ID 5919 //
     /*  624775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624843 */     GIR_RootConstrainSelectedInstOperands,
     /*  624844 */     // GIR_Coverage, 5919,
     /*  624844 */     GIR_EraseRootFromParent_Done,
     /*  624845 */   // Label 10060: @624845
     /*  624845 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(624920), // Rule ID 5922 //
     /*  624850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624918 */     GIR_RootConstrainSelectedInstOperands,
     /*  624919 */     // GIR_Coverage, 5922,
     /*  624919 */     GIR_EraseRootFromParent_Done,
     /*  624920 */   // Label 10061: @624920
     /*  624920 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(624995), // Rule ID 5923 //
     /*  624925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624993 */     GIR_RootConstrainSelectedInstOperands,
     /*  624994 */     // GIR_Coverage, 5923,
     /*  624994 */     GIR_EraseRootFromParent_Done,
     /*  624995 */   // Label 10062: @624995
     /*  624995 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625070), // Rule ID 5926 //
     /*  625000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625068 */     GIR_RootConstrainSelectedInstOperands,
     /*  625069 */     // GIR_Coverage, 5926,
     /*  625069 */     GIR_EraseRootFromParent_Done,
     /*  625070 */   // Label 10063: @625070
     /*  625070 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625145), // Rule ID 5927 //
     /*  625075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625143 */     GIR_RootConstrainSelectedInstOperands,
     /*  625144 */     // GIR_Coverage, 5927,
     /*  625144 */     GIR_EraseRootFromParent_Done,
     /*  625145 */   // Label 10064: @625145
     /*  625145 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625220), // Rule ID 5930 //
     /*  625150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625218 */     GIR_RootConstrainSelectedInstOperands,
     /*  625219 */     // GIR_Coverage, 5930,
     /*  625219 */     GIR_EraseRootFromParent_Done,
     /*  625220 */   // Label 10065: @625220
     /*  625220 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625295), // Rule ID 5931 //
     /*  625225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625293 */     GIR_RootConstrainSelectedInstOperands,
     /*  625294 */     // GIR_Coverage, 5931,
     /*  625294 */     GIR_EraseRootFromParent_Done,
     /*  625295 */   // Label 10066: @625295
     /*  625295 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625370), // Rule ID 5934 //
     /*  625300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625368 */     GIR_RootConstrainSelectedInstOperands,
     /*  625369 */     // GIR_Coverage, 5934,
     /*  625369 */     GIR_EraseRootFromParent_Done,
     /*  625370 */   // Label 10067: @625370
     /*  625370 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625445), // Rule ID 5935 //
     /*  625375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625443 */     GIR_RootConstrainSelectedInstOperands,
     /*  625444 */     // GIR_Coverage, 5935,
     /*  625444 */     GIR_EraseRootFromParent_Done,
     /*  625445 */   // Label 10068: @625445
     /*  625445 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625520), // Rule ID 6026 //
     /*  625450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  625470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  625499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625518 */     GIR_RootConstrainSelectedInstOperands,
     /*  625519 */     // GIR_Coverage, 6026,
     /*  625519 */     GIR_EraseRootFromParent_Done,
     /*  625520 */   // Label 10069: @625520
     /*  625520 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625595), // Rule ID 6027 //
     /*  625525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  625545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  625574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625593 */     GIR_RootConstrainSelectedInstOperands,
     /*  625594 */     // GIR_Coverage, 6027,
     /*  625594 */     GIR_EraseRootFromParent_Done,
     /*  625595 */   // Label 10070: @625595
     /*  625595 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625670), // Rule ID 6030 //
     /*  625600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  625620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625668 */     GIR_RootConstrainSelectedInstOperands,
     /*  625669 */     // GIR_Coverage, 6030,
     /*  625669 */     GIR_EraseRootFromParent_Done,
     /*  625670 */   // Label 10071: @625670
     /*  625670 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625745), // Rule ID 6031 //
     /*  625675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  625695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625743 */     GIR_RootConstrainSelectedInstOperands,
     /*  625744 */     // GIR_Coverage, 6031,
     /*  625744 */     GIR_EraseRootFromParent_Done,
     /*  625745 */   // Label 10072: @625745
     /*  625745 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(625820), // Rule ID 6034 //
     /*  625750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  625770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625818 */     GIR_RootConstrainSelectedInstOperands,
     /*  625819 */     // GIR_Coverage, 6034,
     /*  625819 */     GIR_EraseRootFromParent_Done,
     /*  625820 */   // Label 10073: @625820
     /*  625820 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(625895), // Rule ID 6035 //
     /*  625825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  625845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625893 */     GIR_RootConstrainSelectedInstOperands,
     /*  625894 */     // GIR_Coverage, 6035,
     /*  625894 */     GIR_EraseRootFromParent_Done,
     /*  625895 */   // Label 10074: @625895
     /*  625895 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(625970), // Rule ID 6038 //
     /*  625900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  625920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625968 */     GIR_RootConstrainSelectedInstOperands,
     /*  625969 */     // GIR_Coverage, 6038,
     /*  625969 */     GIR_EraseRootFromParent_Done,
     /*  625970 */   // Label 10075: @625970
     /*  625970 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626045), // Rule ID 6039 //
     /*  625975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  625995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  626024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626043 */     GIR_RootConstrainSelectedInstOperands,
     /*  626044 */     // GIR_Coverage, 6039,
     /*  626044 */     GIR_EraseRootFromParent_Done,
     /*  626045 */   // Label 10076: @626045
     /*  626045 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626120), // Rule ID 6042 //
     /*  626050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626118 */     GIR_RootConstrainSelectedInstOperands,
     /*  626119 */     // GIR_Coverage, 6042,
     /*  626119 */     GIR_EraseRootFromParent_Done,
     /*  626120 */   // Label 10077: @626120
     /*  626120 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626195), // Rule ID 6043 //
     /*  626125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626193 */     GIR_RootConstrainSelectedInstOperands,
     /*  626194 */     // GIR_Coverage, 6043,
     /*  626194 */     GIR_EraseRootFromParent_Done,
     /*  626195 */   // Label 10078: @626195
     /*  626195 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626270), // Rule ID 6046 //
     /*  626200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626268 */     GIR_RootConstrainSelectedInstOperands,
     /*  626269 */     // GIR_Coverage, 6046,
     /*  626269 */     GIR_EraseRootFromParent_Done,
     /*  626270 */   // Label 10079: @626270
     /*  626270 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626345), // Rule ID 6047 //
     /*  626275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626343 */     GIR_RootConstrainSelectedInstOperands,
     /*  626344 */     // GIR_Coverage, 6047,
     /*  626344 */     GIR_EraseRootFromParent_Done,
     /*  626345 */   // Label 10080: @626345
     /*  626345 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626420), // Rule ID 6050 //
     /*  626350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626418 */     GIR_RootConstrainSelectedInstOperands,
     /*  626419 */     // GIR_Coverage, 6050,
     /*  626419 */     GIR_EraseRootFromParent_Done,
     /*  626420 */   // Label 10081: @626420
     /*  626420 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626495), // Rule ID 6051 //
     /*  626425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626493 */     GIR_RootConstrainSelectedInstOperands,
     /*  626494 */     // GIR_Coverage, 6051,
     /*  626494 */     GIR_EraseRootFromParent_Done,
     /*  626495 */   // Label 10082: @626495
     /*  626495 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626570), // Rule ID 6054 //
     /*  626500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  626520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626568 */     GIR_RootConstrainSelectedInstOperands,
     /*  626569 */     // GIR_Coverage, 6054,
     /*  626569 */     GIR_EraseRootFromParent_Done,
     /*  626570 */   // Label 10083: @626570
     /*  626570 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626645), // Rule ID 6055 //
     /*  626575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  626595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626643 */     GIR_RootConstrainSelectedInstOperands,
     /*  626644 */     // GIR_Coverage, 6055,
     /*  626644 */     GIR_EraseRootFromParent_Done,
     /*  626645 */   // Label 10084: @626645
     /*  626645 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626720), // Rule ID 6058 //
     /*  626650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  626670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626718 */     GIR_RootConstrainSelectedInstOperands,
     /*  626719 */     // GIR_Coverage, 6058,
     /*  626719 */     GIR_EraseRootFromParent_Done,
     /*  626720 */   // Label 10085: @626720
     /*  626720 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(626795), // Rule ID 6059 //
     /*  626725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  626745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626793 */     GIR_RootConstrainSelectedInstOperands,
     /*  626794 */     // GIR_Coverage, 6059,
     /*  626794 */     GIR_EraseRootFromParent_Done,
     /*  626795 */   // Label 10086: @626795
     /*  626795 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(626870), // Rule ID 6062 //
     /*  626800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626868 */     GIR_RootConstrainSelectedInstOperands,
     /*  626869 */     // GIR_Coverage, 6062,
     /*  626869 */     GIR_EraseRootFromParent_Done,
     /*  626870 */   // Label 10087: @626870
     /*  626870 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(626945), // Rule ID 6063 //
     /*  626875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626943 */     GIR_RootConstrainSelectedInstOperands,
     /*  626944 */     // GIR_Coverage, 6063,
     /*  626944 */     GIR_EraseRootFromParent_Done,
     /*  626945 */   // Label 10088: @626945
     /*  626945 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627020), // Rule ID 6066 //
     /*  626950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  626970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  626999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627018 */     GIR_RootConstrainSelectedInstOperands,
     /*  627019 */     // GIR_Coverage, 6066,
     /*  627019 */     GIR_EraseRootFromParent_Done,
     /*  627020 */   // Label 10089: @627020
     /*  627020 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627095), // Rule ID 6067 //
     /*  627025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  627036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  627039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  627042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  627045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627093 */     GIR_RootConstrainSelectedInstOperands,
     /*  627094 */     // GIR_Coverage, 6067,
     /*  627094 */     GIR_EraseRootFromParent_Done,
     /*  627095 */   // Label 10090: @627095
     /*  627095 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627170), // Rule ID 6070 //
     /*  627100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627168 */     GIR_RootConstrainSelectedInstOperands,
     /*  627169 */     // GIR_Coverage, 6070,
     /*  627169 */     GIR_EraseRootFromParent_Done,
     /*  627170 */   // Label 10091: @627170
     /*  627170 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627245), // Rule ID 6071 //
     /*  627175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627243 */     GIR_RootConstrainSelectedInstOperands,
     /*  627244 */     // GIR_Coverage, 6071,
     /*  627244 */     GIR_EraseRootFromParent_Done,
     /*  627245 */   // Label 10092: @627245
     /*  627245 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627320), // Rule ID 6074 //
     /*  627250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627318 */     GIR_RootConstrainSelectedInstOperands,
     /*  627319 */     // GIR_Coverage, 6074,
     /*  627319 */     GIR_EraseRootFromParent_Done,
     /*  627320 */   // Label 10093: @627320
     /*  627320 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627395), // Rule ID 6075 //
     /*  627325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627393 */     GIR_RootConstrainSelectedInstOperands,
     /*  627394 */     // GIR_Coverage, 6075,
     /*  627394 */     GIR_EraseRootFromParent_Done,
     /*  627395 */   // Label 10094: @627395
     /*  627395 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627470), // Rule ID 6078 //
     /*  627400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627468 */     GIR_RootConstrainSelectedInstOperands,
     /*  627469 */     // GIR_Coverage, 6078,
     /*  627469 */     GIR_EraseRootFromParent_Done,
     /*  627470 */   // Label 10095: @627470
     /*  627470 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627545), // Rule ID 6079 //
     /*  627475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627543 */     GIR_RootConstrainSelectedInstOperands,
     /*  627544 */     // GIR_Coverage, 6079,
     /*  627544 */     GIR_EraseRootFromParent_Done,
     /*  627545 */   // Label 10096: @627545
     /*  627545 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627620), // Rule ID 6082 //
     /*  627550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  627570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627618 */     GIR_RootConstrainSelectedInstOperands,
     /*  627619 */     // GIR_Coverage, 6082,
     /*  627619 */     GIR_EraseRootFromParent_Done,
     /*  627620 */   // Label 10097: @627620
     /*  627620 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627695), // Rule ID 6083 //
     /*  627625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  627645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627693 */     GIR_RootConstrainSelectedInstOperands,
     /*  627694 */     // GIR_Coverage, 6083,
     /*  627694 */     GIR_EraseRootFromParent_Done,
     /*  627695 */   // Label 10098: @627695
     /*  627695 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627770), // Rule ID 6086 //
     /*  627700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  627720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627768 */     GIR_RootConstrainSelectedInstOperands,
     /*  627769 */     // GIR_Coverage, 6086,
     /*  627769 */     GIR_EraseRootFromParent_Done,
     /*  627770 */   // Label 10099: @627770
     /*  627770 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(627845), // Rule ID 6087 //
     /*  627775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  627795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627843 */     GIR_RootConstrainSelectedInstOperands,
     /*  627844 */     // GIR_Coverage, 6087,
     /*  627844 */     GIR_EraseRootFromParent_Done,
     /*  627845 */   // Label 10100: @627845
     /*  627845 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(627920), // Rule ID 6090 //
     /*  627850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  627870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627918 */     GIR_RootConstrainSelectedInstOperands,
     /*  627919 */     // GIR_Coverage, 6090,
     /*  627919 */     GIR_EraseRootFromParent_Done,
     /*  627920 */   // Label 10101: @627920
     /*  627920 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(627995), // Rule ID 6091 //
     /*  627925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  627945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627993 */     GIR_RootConstrainSelectedInstOperands,
     /*  627994 */     // GIR_Coverage, 6091,
     /*  627994 */     GIR_EraseRootFromParent_Done,
     /*  627995 */   // Label 10102: @627995
     /*  627995 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628070), // Rule ID 6094 //
     /*  628000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628068 */     GIR_RootConstrainSelectedInstOperands,
     /*  628069 */     // GIR_Coverage, 6094,
     /*  628069 */     GIR_EraseRootFromParent_Done,
     /*  628070 */   // Label 10103: @628070
     /*  628070 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628145), // Rule ID 6095 //
     /*  628075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628143 */     GIR_RootConstrainSelectedInstOperands,
     /*  628144 */     // GIR_Coverage, 6095,
     /*  628144 */     GIR_EraseRootFromParent_Done,
     /*  628145 */   // Label 10104: @628145
     /*  628145 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628220), // Rule ID 6098 //
     /*  628150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628218 */     GIR_RootConstrainSelectedInstOperands,
     /*  628219 */     // GIR_Coverage, 6098,
     /*  628219 */     GIR_EraseRootFromParent_Done,
     /*  628220 */   // Label 10105: @628220
     /*  628220 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628295), // Rule ID 6099 //
     /*  628225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628293 */     GIR_RootConstrainSelectedInstOperands,
     /*  628294 */     // GIR_Coverage, 6099,
     /*  628294 */     GIR_EraseRootFromParent_Done,
     /*  628295 */   // Label 10106: @628295
     /*  628295 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628370), // Rule ID 6102 //
     /*  628300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628368 */     GIR_RootConstrainSelectedInstOperands,
     /*  628369 */     // GIR_Coverage, 6102,
     /*  628369 */     GIR_EraseRootFromParent_Done,
     /*  628370 */   // Label 10107: @628370
     /*  628370 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628445), // Rule ID 6103 //
     /*  628375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628443 */     GIR_RootConstrainSelectedInstOperands,
     /*  628444 */     // GIR_Coverage, 6103,
     /*  628444 */     GIR_EraseRootFromParent_Done,
     /*  628445 */   // Label 10108: @628445
     /*  628445 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628520), // Rule ID 6106 //
     /*  628450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  628470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628518 */     GIR_RootConstrainSelectedInstOperands,
     /*  628519 */     // GIR_Coverage, 6106,
     /*  628519 */     GIR_EraseRootFromParent_Done,
     /*  628520 */   // Label 10109: @628520
     /*  628520 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628595), // Rule ID 6107 //
     /*  628525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  628545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628593 */     GIR_RootConstrainSelectedInstOperands,
     /*  628594 */     // GIR_Coverage, 6107,
     /*  628594 */     GIR_EraseRootFromParent_Done,
     /*  628595 */   // Label 10110: @628595
     /*  628595 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628670), // Rule ID 6110 //
     /*  628600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  628620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628668 */     GIR_RootConstrainSelectedInstOperands,
     /*  628669 */     // GIR_Coverage, 6110,
     /*  628669 */     GIR_EraseRootFromParent_Done,
     /*  628670 */   // Label 10111: @628670
     /*  628670 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628745), // Rule ID 6111 //
     /*  628675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  628695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628743 */     GIR_RootConstrainSelectedInstOperands,
     /*  628744 */     // GIR_Coverage, 6111,
     /*  628744 */     GIR_EraseRootFromParent_Done,
     /*  628745 */   // Label 10112: @628745
     /*  628745 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(628820), // Rule ID 6114 //
     /*  628750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  628799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628818 */     GIR_RootConstrainSelectedInstOperands,
     /*  628819 */     // GIR_Coverage, 6114,
     /*  628819 */     GIR_EraseRootFromParent_Done,
     /*  628820 */   // Label 10113: @628820
     /*  628820 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(628895), // Rule ID 6115 //
     /*  628825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  628874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628893 */     GIR_RootConstrainSelectedInstOperands,
     /*  628894 */     // GIR_Coverage, 6115,
     /*  628894 */     GIR_EraseRootFromParent_Done,
     /*  628895 */   // Label 10114: @628895
     /*  628895 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(628970), // Rule ID 6118 //
     /*  628900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  628949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628968 */     GIR_RootConstrainSelectedInstOperands,
     /*  628969 */     // GIR_Coverage, 6118,
     /*  628969 */     GIR_EraseRootFromParent_Done,
     /*  628970 */   // Label 10115: @628970
     /*  628970 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629045), // Rule ID 6119 //
     /*  628975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629043 */     GIR_RootConstrainSelectedInstOperands,
     /*  629044 */     // GIR_Coverage, 6119,
     /*  629044 */     GIR_EraseRootFromParent_Done,
     /*  629045 */   // Label 10116: @629045
     /*  629045 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629120), // Rule ID 6122 //
     /*  629050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629118 */     GIR_RootConstrainSelectedInstOperands,
     /*  629119 */     // GIR_Coverage, 6122,
     /*  629119 */     GIR_EraseRootFromParent_Done,
     /*  629120 */   // Label 10117: @629120
     /*  629120 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629195), // Rule ID 6123 //
     /*  629125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629193 */     GIR_RootConstrainSelectedInstOperands,
     /*  629194 */     // GIR_Coverage, 6123,
     /*  629194 */     GIR_EraseRootFromParent_Done,
     /*  629195 */   // Label 10118: @629195
     /*  629195 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629270), // Rule ID 6126 //
     /*  629200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629268 */     GIR_RootConstrainSelectedInstOperands,
     /*  629269 */     // GIR_Coverage, 6126,
     /*  629269 */     GIR_EraseRootFromParent_Done,
     /*  629270 */   // Label 10119: @629270
     /*  629270 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629345), // Rule ID 6127 //
     /*  629275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629343 */     GIR_RootConstrainSelectedInstOperands,
     /*  629344 */     // GIR_Coverage, 6127,
     /*  629344 */     GIR_EraseRootFromParent_Done,
     /*  629345 */   // Label 10120: @629345
     /*  629345 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629420), // Rule ID 6130 //
     /*  629350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629418 */     GIR_RootConstrainSelectedInstOperands,
     /*  629419 */     // GIR_Coverage, 6130,
     /*  629419 */     GIR_EraseRootFromParent_Done,
     /*  629420 */   // Label 10121: @629420
     /*  629420 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629495), // Rule ID 6131 //
     /*  629425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629493 */     GIR_RootConstrainSelectedInstOperands,
     /*  629494 */     // GIR_Coverage, 6131,
     /*  629494 */     GIR_EraseRootFromParent_Done,
     /*  629495 */   // Label 10122: @629495
     /*  629495 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629570), // Rule ID 6134 //
     /*  629500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629568 */     GIR_RootConstrainSelectedInstOperands,
     /*  629569 */     // GIR_Coverage, 6134,
     /*  629569 */     GIR_EraseRootFromParent_Done,
     /*  629570 */   // Label 10123: @629570
     /*  629570 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629645), // Rule ID 6135 //
     /*  629575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629643 */     GIR_RootConstrainSelectedInstOperands,
     /*  629644 */     // GIR_Coverage, 6135,
     /*  629644 */     GIR_EraseRootFromParent_Done,
     /*  629645 */   // Label 10124: @629645
     /*  629645 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629720), // Rule ID 6138 //
     /*  629650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629718 */     GIR_RootConstrainSelectedInstOperands,
     /*  629719 */     // GIR_Coverage, 6138,
     /*  629719 */     GIR_EraseRootFromParent_Done,
     /*  629720 */   // Label 10125: @629720
     /*  629720 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(629795), // Rule ID 6139 //
     /*  629725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629793 */     GIR_RootConstrainSelectedInstOperands,
     /*  629794 */     // GIR_Coverage, 6139,
     /*  629794 */     GIR_EraseRootFromParent_Done,
     /*  629795 */   // Label 10126: @629795
     /*  629795 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(629870), // Rule ID 6142 //
     /*  629800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629868 */     GIR_RootConstrainSelectedInstOperands,
     /*  629869 */     // GIR_Coverage, 6142,
     /*  629869 */     GIR_EraseRootFromParent_Done,
     /*  629870 */   // Label 10127: @629870
     /*  629870 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(629945), // Rule ID 6143 //
     /*  629875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629943 */     GIR_RootConstrainSelectedInstOperands,
     /*  629944 */     // GIR_Coverage, 6143,
     /*  629944 */     GIR_EraseRootFromParent_Done,
     /*  629945 */   // Label 10128: @629945
     /*  629945 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630020), // Rule ID 6146 //
     /*  629950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630018 */     GIR_RootConstrainSelectedInstOperands,
     /*  630019 */     // GIR_Coverage, 6146,
     /*  630019 */     GIR_EraseRootFromParent_Done,
     /*  630020 */   // Label 10129: @630020
     /*  630020 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630095), // Rule ID 6147 //
     /*  630025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  630036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  630039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  630042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630093 */     GIR_RootConstrainSelectedInstOperands,
     /*  630094 */     // GIR_Coverage, 6147,
     /*  630094 */     GIR_EraseRootFromParent_Done,
     /*  630095 */   // Label 10130: @630095
     /*  630095 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630170), // Rule ID 6150 //
     /*  630100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630168 */     GIR_RootConstrainSelectedInstOperands,
     /*  630169 */     // GIR_Coverage, 6150,
     /*  630169 */     GIR_EraseRootFromParent_Done,
     /*  630170 */   // Label 10131: @630170
     /*  630170 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630245), // Rule ID 6151 //
     /*  630175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630243 */     GIR_RootConstrainSelectedInstOperands,
     /*  630244 */     // GIR_Coverage, 6151,
     /*  630244 */     GIR_EraseRootFromParent_Done,
     /*  630245 */   // Label 10132: @630245
     /*  630245 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630320), // Rule ID 6154 //
     /*  630250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630318 */     GIR_RootConstrainSelectedInstOperands,
     /*  630319 */     // GIR_Coverage, 6154,
     /*  630319 */     GIR_EraseRootFromParent_Done,
     /*  630320 */   // Label 10133: @630320
     /*  630320 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630395), // Rule ID 6155 //
     /*  630325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630393 */     GIR_RootConstrainSelectedInstOperands,
     /*  630394 */     // GIR_Coverage, 6155,
     /*  630394 */     GIR_EraseRootFromParent_Done,
     /*  630395 */   // Label 10134: @630395
     /*  630395 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630470), // Rule ID 6158 //
     /*  630400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630468 */     GIR_RootConstrainSelectedInstOperands,
     /*  630469 */     // GIR_Coverage, 6158,
     /*  630469 */     GIR_EraseRootFromParent_Done,
     /*  630470 */   // Label 10135: @630470
     /*  630470 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630545), // Rule ID 6159 //
     /*  630475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630543 */     GIR_RootConstrainSelectedInstOperands,
     /*  630544 */     // GIR_Coverage, 6159,
     /*  630544 */     GIR_EraseRootFromParent_Done,
     /*  630545 */   // Label 10136: @630545
     /*  630545 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630620), // Rule ID 6162 //
     /*  630550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630618 */     GIR_RootConstrainSelectedInstOperands,
     /*  630619 */     // GIR_Coverage, 6162,
     /*  630619 */     GIR_EraseRootFromParent_Done,
     /*  630620 */   // Label 10137: @630620
     /*  630620 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630695), // Rule ID 6163 //
     /*  630625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630693 */     GIR_RootConstrainSelectedInstOperands,
     /*  630694 */     // GIR_Coverage, 6163,
     /*  630694 */     GIR_EraseRootFromParent_Done,
     /*  630695 */   // Label 10138: @630695
     /*  630695 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630770), // Rule ID 6166 //
     /*  630700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630768 */     GIR_RootConstrainSelectedInstOperands,
     /*  630769 */     // GIR_Coverage, 6166,
     /*  630769 */     GIR_EraseRootFromParent_Done,
     /*  630770 */   // Label 10139: @630770
     /*  630770 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(630845), // Rule ID 6167 //
     /*  630775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630843 */     GIR_RootConstrainSelectedInstOperands,
     /*  630844 */     // GIR_Coverage, 6167,
     /*  630844 */     GIR_EraseRootFromParent_Done,
     /*  630845 */   // Label 10140: @630845
     /*  630845 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(630920), // Rule ID 6170 //
     /*  630850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630918 */     GIR_RootConstrainSelectedInstOperands,
     /*  630919 */     // GIR_Coverage, 6170,
     /*  630919 */     GIR_EraseRootFromParent_Done,
     /*  630920 */   // Label 10141: @630920
     /*  630920 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(630995), // Rule ID 6171 //
     /*  630925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630993 */     GIR_RootConstrainSelectedInstOperands,
     /*  630994 */     // GIR_Coverage, 6171,
     /*  630994 */     GIR_EraseRootFromParent_Done,
     /*  630995 */   // Label 10142: @630995
     /*  630995 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631070), // Rule ID 6174 //
     /*  631000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631068 */     GIR_RootConstrainSelectedInstOperands,
     /*  631069 */     // GIR_Coverage, 6174,
     /*  631069 */     GIR_EraseRootFromParent_Done,
     /*  631070 */   // Label 10143: @631070
     /*  631070 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631145), // Rule ID 6175 //
     /*  631075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631143 */     GIR_RootConstrainSelectedInstOperands,
     /*  631144 */     // GIR_Coverage, 6175,
     /*  631144 */     GIR_EraseRootFromParent_Done,
     /*  631145 */   // Label 10144: @631145
     /*  631145 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631220), // Rule ID 6178 //
     /*  631150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631218 */     GIR_RootConstrainSelectedInstOperands,
     /*  631219 */     // GIR_Coverage, 6178,
     /*  631219 */     GIR_EraseRootFromParent_Done,
     /*  631220 */   // Label 10145: @631220
     /*  631220 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631295), // Rule ID 6179 //
     /*  631225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631293 */     GIR_RootConstrainSelectedInstOperands,
     /*  631294 */     // GIR_Coverage, 6179,
     /*  631294 */     GIR_EraseRootFromParent_Done,
     /*  631295 */   // Label 10146: @631295
     /*  631295 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631370), // Rule ID 6182 //
     /*  631300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631368 */     GIR_RootConstrainSelectedInstOperands,
     /*  631369 */     // GIR_Coverage, 6182,
     /*  631369 */     GIR_EraseRootFromParent_Done,
     /*  631370 */   // Label 10147: @631370
     /*  631370 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631445), // Rule ID 6183 //
     /*  631375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631443 */     GIR_RootConstrainSelectedInstOperands,
     /*  631444 */     // GIR_Coverage, 6183,
     /*  631444 */     GIR_EraseRootFromParent_Done,
     /*  631445 */   // Label 10148: @631445
     /*  631445 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631520), // Rule ID 6186 //
     /*  631450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631518 */     GIR_RootConstrainSelectedInstOperands,
     /*  631519 */     // GIR_Coverage, 6186,
     /*  631519 */     GIR_EraseRootFromParent_Done,
     /*  631520 */   // Label 10149: @631520
     /*  631520 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631595), // Rule ID 6187 //
     /*  631525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631593 */     GIR_RootConstrainSelectedInstOperands,
     /*  631594 */     // GIR_Coverage, 6187,
     /*  631594 */     GIR_EraseRootFromParent_Done,
     /*  631595 */   // Label 10150: @631595
     /*  631595 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631670), // Rule ID 6190 //
     /*  631600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631668 */     GIR_RootConstrainSelectedInstOperands,
     /*  631669 */     // GIR_Coverage, 6190,
     /*  631669 */     GIR_EraseRootFromParent_Done,
     /*  631670 */   // Label 10151: @631670
     /*  631670 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631745), // Rule ID 6191 //
     /*  631675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631743 */     GIR_RootConstrainSelectedInstOperands,
     /*  631744 */     // GIR_Coverage, 6191,
     /*  631744 */     GIR_EraseRootFromParent_Done,
     /*  631745 */   // Label 10152: @631745
     /*  631745 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(631820), // Rule ID 6194 //
     /*  631750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631818 */     GIR_RootConstrainSelectedInstOperands,
     /*  631819 */     // GIR_Coverage, 6194,
     /*  631819 */     GIR_EraseRootFromParent_Done,
     /*  631820 */   // Label 10153: @631820
     /*  631820 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(631895), // Rule ID 6195 //
     /*  631825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631893 */     GIR_RootConstrainSelectedInstOperands,
     /*  631894 */     // GIR_Coverage, 6195,
     /*  631894 */     GIR_EraseRootFromParent_Done,
     /*  631895 */   // Label 10154: @631895
     /*  631895 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(631970), // Rule ID 6198 //
     /*  631900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631968 */     GIR_RootConstrainSelectedInstOperands,
     /*  631969 */     // GIR_Coverage, 6198,
     /*  631969 */     GIR_EraseRootFromParent_Done,
     /*  631970 */   // Label 10155: @631970
     /*  631970 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632045), // Rule ID 6199 //
     /*  631975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  632024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632043 */     GIR_RootConstrainSelectedInstOperands,
     /*  632044 */     // GIR_Coverage, 6199,
     /*  632044 */     GIR_EraseRootFromParent_Done,
     /*  632045 */   // Label 10156: @632045
     /*  632045 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632120), // Rule ID 6290 //
     /*  632050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  632099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632118 */     GIR_RootConstrainSelectedInstOperands,
     /*  632119 */     // GIR_Coverage, 6290,
     /*  632119 */     GIR_EraseRootFromParent_Done,
     /*  632120 */   // Label 10157: @632120
     /*  632120 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632195), // Rule ID 6291 //
     /*  632125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  632174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632193 */     GIR_RootConstrainSelectedInstOperands,
     /*  632194 */     // GIR_Coverage, 6291,
     /*  632194 */     GIR_EraseRootFromParent_Done,
     /*  632195 */   // Label 10158: @632195
     /*  632195 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632270), // Rule ID 6294 //
     /*  632200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632268 */     GIR_RootConstrainSelectedInstOperands,
     /*  632269 */     // GIR_Coverage, 6294,
     /*  632269 */     GIR_EraseRootFromParent_Done,
     /*  632270 */   // Label 10159: @632270
     /*  632270 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632345), // Rule ID 6295 //
     /*  632275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632343 */     GIR_RootConstrainSelectedInstOperands,
     /*  632344 */     // GIR_Coverage, 6295,
     /*  632344 */     GIR_EraseRootFromParent_Done,
     /*  632345 */   // Label 10160: @632345
     /*  632345 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632420), // Rule ID 6298 //
     /*  632350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632418 */     GIR_RootConstrainSelectedInstOperands,
     /*  632419 */     // GIR_Coverage, 6298,
     /*  632419 */     GIR_EraseRootFromParent_Done,
     /*  632420 */   // Label 10161: @632420
     /*  632420 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632495), // Rule ID 6299 //
     /*  632425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632493 */     GIR_RootConstrainSelectedInstOperands,
     /*  632494 */     // GIR_Coverage, 6299,
     /*  632494 */     GIR_EraseRootFromParent_Done,
     /*  632495 */   // Label 10162: @632495
     /*  632495 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632570), // Rule ID 6302 //
     /*  632500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  632520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632568 */     GIR_RootConstrainSelectedInstOperands,
     /*  632569 */     // GIR_Coverage, 6302,
     /*  632569 */     GIR_EraseRootFromParent_Done,
     /*  632570 */   // Label 10163: @632570
     /*  632570 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632645), // Rule ID 6303 //
     /*  632575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  632595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632643 */     GIR_RootConstrainSelectedInstOperands,
     /*  632644 */     // GIR_Coverage, 6303,
     /*  632644 */     GIR_EraseRootFromParent_Done,
     /*  632645 */   // Label 10164: @632645
     /*  632645 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632720), // Rule ID 6306 //
     /*  632650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  632670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632718 */     GIR_RootConstrainSelectedInstOperands,
     /*  632719 */     // GIR_Coverage, 6306,
     /*  632719 */     GIR_EraseRootFromParent_Done,
     /*  632720 */   // Label 10165: @632720
     /*  632720 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(632795), // Rule ID 6307 //
     /*  632725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  632745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632793 */     GIR_RootConstrainSelectedInstOperands,
     /*  632794 */     // GIR_Coverage, 6307,
     /*  632794 */     GIR_EraseRootFromParent_Done,
     /*  632795 */   // Label 10166: @632795
     /*  632795 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(632870), // Rule ID 6310 //
     /*  632800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  632820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632868 */     GIR_RootConstrainSelectedInstOperands,
     /*  632869 */     // GIR_Coverage, 6310,
     /*  632869 */     GIR_EraseRootFromParent_Done,
     /*  632870 */   // Label 10167: @632870
     /*  632870 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(632945), // Rule ID 6311 //
     /*  632875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  632895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632943 */     GIR_RootConstrainSelectedInstOperands,
     /*  632944 */     // GIR_Coverage, 6311,
     /*  632944 */     GIR_EraseRootFromParent_Done,
     /*  632945 */   // Label 10168: @632945
     /*  632945 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633020), // Rule ID 6314 //
     /*  632950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  632970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  632999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633018 */     GIR_RootConstrainSelectedInstOperands,
     /*  633019 */     // GIR_Coverage, 6314,
     /*  633019 */     GIR_EraseRootFromParent_Done,
     /*  633020 */   // Label 10169: @633020
     /*  633020 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633095), // Rule ID 6315 //
     /*  633025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  633036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  633039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  633042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  633045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633093 */     GIR_RootConstrainSelectedInstOperands,
     /*  633094 */     // GIR_Coverage, 6315,
     /*  633094 */     GIR_EraseRootFromParent_Done,
     /*  633095 */   // Label 10170: @633095
     /*  633095 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633170), // Rule ID 6318 //
     /*  633100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633168 */     GIR_RootConstrainSelectedInstOperands,
     /*  633169 */     // GIR_Coverage, 6318,
     /*  633169 */     GIR_EraseRootFromParent_Done,
     /*  633170 */   // Label 10171: @633170
     /*  633170 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633245), // Rule ID 6319 //
     /*  633175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633243 */     GIR_RootConstrainSelectedInstOperands,
     /*  633244 */     // GIR_Coverage, 6319,
     /*  633244 */     GIR_EraseRootFromParent_Done,
     /*  633245 */   // Label 10172: @633245
     /*  633245 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633320), // Rule ID 6322 //
     /*  633250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633318 */     GIR_RootConstrainSelectedInstOperands,
     /*  633319 */     // GIR_Coverage, 6322,
     /*  633319 */     GIR_EraseRootFromParent_Done,
     /*  633320 */   // Label 10173: @633320
     /*  633320 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633395), // Rule ID 6323 //
     /*  633325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633393 */     GIR_RootConstrainSelectedInstOperands,
     /*  633394 */     // GIR_Coverage, 6323,
     /*  633394 */     GIR_EraseRootFromParent_Done,
     /*  633395 */   // Label 10174: @633395
     /*  633395 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633470), // Rule ID 6326 //
     /*  633400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633468 */     GIR_RootConstrainSelectedInstOperands,
     /*  633469 */     // GIR_Coverage, 6326,
     /*  633469 */     GIR_EraseRootFromParent_Done,
     /*  633470 */   // Label 10175: @633470
     /*  633470 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633545), // Rule ID 6327 //
     /*  633475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633543 */     GIR_RootConstrainSelectedInstOperands,
     /*  633544 */     // GIR_Coverage, 6327,
     /*  633544 */     GIR_EraseRootFromParent_Done,
     /*  633545 */   // Label 10176: @633545
     /*  633545 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633620), // Rule ID 6330 //
     /*  633550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  633570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633618 */     GIR_RootConstrainSelectedInstOperands,
     /*  633619 */     // GIR_Coverage, 6330,
     /*  633619 */     GIR_EraseRootFromParent_Done,
     /*  633620 */   // Label 10177: @633620
     /*  633620 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633695), // Rule ID 6331 //
     /*  633625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  633645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633693 */     GIR_RootConstrainSelectedInstOperands,
     /*  633694 */     // GIR_Coverage, 6331,
     /*  633694 */     GIR_EraseRootFromParent_Done,
     /*  633695 */   // Label 10178: @633695
     /*  633695 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633770), // Rule ID 6334 //
     /*  633700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  633720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  633749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633768 */     GIR_RootConstrainSelectedInstOperands,
     /*  633769 */     // GIR_Coverage, 6334,
     /*  633769 */     GIR_EraseRootFromParent_Done,
     /*  633770 */   // Label 10179: @633770
     /*  633770 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(633845), // Rule ID 6335 //
     /*  633775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  633795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  633824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633843 */     GIR_RootConstrainSelectedInstOperands,
     /*  633844 */     // GIR_Coverage, 6335,
     /*  633844 */     GIR_EraseRootFromParent_Done,
     /*  633845 */   // Label 10180: @633845
     /*  633845 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(633920), // Rule ID 6338 //
     /*  633850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  633870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  633899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633918 */     GIR_RootConstrainSelectedInstOperands,
     /*  633919 */     // GIR_Coverage, 6338,
     /*  633919 */     GIR_EraseRootFromParent_Done,
     /*  633920 */   // Label 10181: @633920
     /*  633920 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(633995), // Rule ID 6339 //
     /*  633925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  633945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  633974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633993 */     GIR_RootConstrainSelectedInstOperands,
     /*  633994 */     // GIR_Coverage, 6339,
     /*  633994 */     GIR_EraseRootFromParent_Done,
     /*  633995 */   // Label 10182: @633995
     /*  633995 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634070), // Rule ID 6342 //
     /*  634000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634068 */     GIR_RootConstrainSelectedInstOperands,
     /*  634069 */     // GIR_Coverage, 6342,
     /*  634069 */     GIR_EraseRootFromParent_Done,
     /*  634070 */   // Label 10183: @634070
     /*  634070 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634145), // Rule ID 6343 //
     /*  634075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634143 */     GIR_RootConstrainSelectedInstOperands,
     /*  634144 */     // GIR_Coverage, 6343,
     /*  634144 */     GIR_EraseRootFromParent_Done,
     /*  634145 */   // Label 10184: @634145
     /*  634145 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634220), // Rule ID 6346 //
     /*  634150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634218 */     GIR_RootConstrainSelectedInstOperands,
     /*  634219 */     // GIR_Coverage, 6346,
     /*  634219 */     GIR_EraseRootFromParent_Done,
     /*  634220 */   // Label 10185: @634220
     /*  634220 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634295), // Rule ID 6347 //
     /*  634225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634293 */     GIR_RootConstrainSelectedInstOperands,
     /*  634294 */     // GIR_Coverage, 6347,
     /*  634294 */     GIR_EraseRootFromParent_Done,
     /*  634295 */   // Label 10186: @634295
     /*  634295 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634370), // Rule ID 6350 //
     /*  634300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634368 */     GIR_RootConstrainSelectedInstOperands,
     /*  634369 */     // GIR_Coverage, 6350,
     /*  634369 */     GIR_EraseRootFromParent_Done,
     /*  634370 */   // Label 10187: @634370
     /*  634370 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634445), // Rule ID 6351 //
     /*  634375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634443 */     GIR_RootConstrainSelectedInstOperands,
     /*  634444 */     // GIR_Coverage, 6351,
     /*  634444 */     GIR_EraseRootFromParent_Done,
     /*  634445 */   // Label 10188: @634445
     /*  634445 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634520), // Rule ID 6354 //
     /*  634450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  634470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634518 */     GIR_RootConstrainSelectedInstOperands,
     /*  634519 */     // GIR_Coverage, 6354,
     /*  634519 */     GIR_EraseRootFromParent_Done,
     /*  634520 */   // Label 10189: @634520
     /*  634520 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634595), // Rule ID 6355 //
     /*  634525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  634545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634593 */     GIR_RootConstrainSelectedInstOperands,
     /*  634594 */     // GIR_Coverage, 6355,
     /*  634594 */     GIR_EraseRootFromParent_Done,
     /*  634595 */   // Label 10190: @634595
     /*  634595 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634670), // Rule ID 6358 //
     /*  634600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  634620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634668 */     GIR_RootConstrainSelectedInstOperands,
     /*  634669 */     // GIR_Coverage, 6358,
     /*  634669 */     GIR_EraseRootFromParent_Done,
     /*  634670 */   // Label 10191: @634670
     /*  634670 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634745), // Rule ID 6359 //
     /*  634675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  634695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634743 */     GIR_RootConstrainSelectedInstOperands,
     /*  634744 */     // GIR_Coverage, 6359,
     /*  634744 */     GIR_EraseRootFromParent_Done,
     /*  634745 */   // Label 10192: @634745
     /*  634745 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(634820), // Rule ID 6362 //
     /*  634750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  634770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634818 */     GIR_RootConstrainSelectedInstOperands,
     /*  634819 */     // GIR_Coverage, 6362,
     /*  634819 */     GIR_EraseRootFromParent_Done,
     /*  634820 */   // Label 10193: @634820
     /*  634820 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(634895), // Rule ID 6363 //
     /*  634825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  634845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634893 */     GIR_RootConstrainSelectedInstOperands,
     /*  634894 */     // GIR_Coverage, 6363,
     /*  634894 */     GIR_EraseRootFromParent_Done,
     /*  634895 */   // Label 10194: @634895
     /*  634895 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(634970), // Rule ID 6366 //
     /*  634900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  634920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634968 */     GIR_RootConstrainSelectedInstOperands,
     /*  634969 */     // GIR_Coverage, 6366,
     /*  634969 */     GIR_EraseRootFromParent_Done,
     /*  634970 */   // Label 10195: @634970
     /*  634970 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635045), // Rule ID 6367 //
     /*  634975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  634995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  635024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635043 */     GIR_RootConstrainSelectedInstOperands,
     /*  635044 */     // GIR_Coverage, 6367,
     /*  635044 */     GIR_EraseRootFromParent_Done,
     /*  635045 */   // Label 10196: @635045
     /*  635045 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635120), // Rule ID 6370 //
     /*  635050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635118 */     GIR_RootConstrainSelectedInstOperands,
     /*  635119 */     // GIR_Coverage, 6370,
     /*  635119 */     GIR_EraseRootFromParent_Done,
     /*  635120 */   // Label 10197: @635120
     /*  635120 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635195), // Rule ID 6371 //
     /*  635125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635193 */     GIR_RootConstrainSelectedInstOperands,
     /*  635194 */     // GIR_Coverage, 6371,
     /*  635194 */     GIR_EraseRootFromParent_Done,
     /*  635195 */   // Label 10198: @635195
     /*  635195 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635270), // Rule ID 6374 //
     /*  635200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635268 */     GIR_RootConstrainSelectedInstOperands,
     /*  635269 */     // GIR_Coverage, 6374,
     /*  635269 */     GIR_EraseRootFromParent_Done,
     /*  635270 */   // Label 10199: @635270
     /*  635270 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635345), // Rule ID 6375 //
     /*  635275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635343 */     GIR_RootConstrainSelectedInstOperands,
     /*  635344 */     // GIR_Coverage, 6375,
     /*  635344 */     GIR_EraseRootFromParent_Done,
     /*  635345 */   // Label 10200: @635345
     /*  635345 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635420), // Rule ID 6378 //
     /*  635350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635418 */     GIR_RootConstrainSelectedInstOperands,
     /*  635419 */     // GIR_Coverage, 6378,
     /*  635419 */     GIR_EraseRootFromParent_Done,
     /*  635420 */   // Label 10201: @635420
     /*  635420 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635495), // Rule ID 6379 //
     /*  635425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635493 */     GIR_RootConstrainSelectedInstOperands,
     /*  635494 */     // GIR_Coverage, 6379,
     /*  635494 */     GIR_EraseRootFromParent_Done,
     /*  635495 */   // Label 10202: @635495
     /*  635495 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635570), // Rule ID 6382 //
     /*  635500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635568 */     GIR_RootConstrainSelectedInstOperands,
     /*  635569 */     // GIR_Coverage, 6382,
     /*  635569 */     GIR_EraseRootFromParent_Done,
     /*  635570 */   // Label 10203: @635570
     /*  635570 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635645), // Rule ID 6383 //
     /*  635575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635643 */     GIR_RootConstrainSelectedInstOperands,
     /*  635644 */     // GIR_Coverage, 6383,
     /*  635644 */     GIR_EraseRootFromParent_Done,
     /*  635645 */   // Label 10204: @635645
     /*  635645 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635720), // Rule ID 6386 //
     /*  635650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635718 */     GIR_RootConstrainSelectedInstOperands,
     /*  635719 */     // GIR_Coverage, 6386,
     /*  635719 */     GIR_EraseRootFromParent_Done,
     /*  635720 */   // Label 10205: @635720
     /*  635720 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(635795), // Rule ID 6387 //
     /*  635725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635793 */     GIR_RootConstrainSelectedInstOperands,
     /*  635794 */     // GIR_Coverage, 6387,
     /*  635794 */     GIR_EraseRootFromParent_Done,
     /*  635795 */   // Label 10206: @635795
     /*  635795 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(635870), // Rule ID 6390 //
     /*  635800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635868 */     GIR_RootConstrainSelectedInstOperands,
     /*  635869 */     // GIR_Coverage, 6390,
     /*  635869 */     GIR_EraseRootFromParent_Done,
     /*  635870 */   // Label 10207: @635870
     /*  635870 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(635945), // Rule ID 6391 //
     /*  635875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635943 */     GIR_RootConstrainSelectedInstOperands,
     /*  635944 */     // GIR_Coverage, 6391,
     /*  635944 */     GIR_EraseRootFromParent_Done,
     /*  635945 */   // Label 10208: @635945
     /*  635945 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636020), // Rule ID 6394 //
     /*  635950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636018 */     GIR_RootConstrainSelectedInstOperands,
     /*  636019 */     // GIR_Coverage, 6394,
     /*  636019 */     GIR_EraseRootFromParent_Done,
     /*  636020 */   // Label 10209: @636020
     /*  636020 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636095), // Rule ID 6395 //
     /*  636025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  636036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  636039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  636042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636093 */     GIR_RootConstrainSelectedInstOperands,
     /*  636094 */     // GIR_Coverage, 6395,
     /*  636094 */     GIR_EraseRootFromParent_Done,
     /*  636095 */   // Label 10210: @636095
     /*  636095 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636170), // Rule ID 6398 //
     /*  636100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636168 */     GIR_RootConstrainSelectedInstOperands,
     /*  636169 */     // GIR_Coverage, 6398,
     /*  636169 */     GIR_EraseRootFromParent_Done,
     /*  636170 */   // Label 10211: @636170
     /*  636170 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636245), // Rule ID 6399 //
     /*  636175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636243 */     GIR_RootConstrainSelectedInstOperands,
     /*  636244 */     // GIR_Coverage, 6399,
     /*  636244 */     GIR_EraseRootFromParent_Done,
     /*  636245 */   // Label 10212: @636245
     /*  636245 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636320), // Rule ID 6402 //
     /*  636250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636318 */     GIR_RootConstrainSelectedInstOperands,
     /*  636319 */     // GIR_Coverage, 6402,
     /*  636319 */     GIR_EraseRootFromParent_Done,
     /*  636320 */   // Label 10213: @636320
     /*  636320 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636395), // Rule ID 6403 //
     /*  636325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11627:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636393 */     GIR_RootConstrainSelectedInstOperands,
     /*  636394 */     // GIR_Coverage, 6403,
     /*  636394 */     GIR_EraseRootFromParent_Done,
     /*  636395 */   // Label 10214: @636395
     /*  636395 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636470), // Rule ID 6406 //
     /*  636400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636468 */     GIR_RootConstrainSelectedInstOperands,
     /*  636469 */     // GIR_Coverage, 6406,
     /*  636469 */     GIR_EraseRootFromParent_Done,
     /*  636470 */   // Label 10215: @636470
     /*  636470 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636545), // Rule ID 6407 //
     /*  636475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11627:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636543 */     GIR_RootConstrainSelectedInstOperands,
     /*  636544 */     // GIR_Coverage, 6407,
     /*  636544 */     GIR_EraseRootFromParent_Done,
     /*  636545 */   // Label 10216: @636545
     /*  636545 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636620), // Rule ID 6410 //
     /*  636550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636618 */     GIR_RootConstrainSelectedInstOperands,
     /*  636619 */     // GIR_Coverage, 6410,
     /*  636619 */     GIR_EraseRootFromParent_Done,
     /*  636620 */   // Label 10217: @636620
     /*  636620 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636695), // Rule ID 6411 //
     /*  636625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11627:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636693 */     GIR_RootConstrainSelectedInstOperands,
     /*  636694 */     // GIR_Coverage, 6411,
     /*  636694 */     GIR_EraseRootFromParent_Done,
     /*  636695 */   // Label 10218: @636695
     /*  636695 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636770), // Rule ID 6414 //
     /*  636700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636768 */     GIR_RootConstrainSelectedInstOperands,
     /*  636769 */     // GIR_Coverage, 6414,
     /*  636769 */     GIR_EraseRootFromParent_Done,
     /*  636770 */   // Label 10219: @636770
     /*  636770 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(636845), // Rule ID 6415 //
     /*  636775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11627:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636843 */     GIR_RootConstrainSelectedInstOperands,
     /*  636844 */     // GIR_Coverage, 6415,
     /*  636844 */     GIR_EraseRootFromParent_Done,
     /*  636845 */   // Label 10220: @636845
     /*  636845 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(636920), // Rule ID 6418 //
     /*  636850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  636899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636918 */     GIR_RootConstrainSelectedInstOperands,
     /*  636919 */     // GIR_Coverage, 6418,
     /*  636919 */     GIR_EraseRootFromParent_Done,
     /*  636920 */   // Label 10221: @636920
     /*  636920 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(636995), // Rule ID 6419 //
     /*  636925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  636974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636993 */     GIR_RootConstrainSelectedInstOperands,
     /*  636994 */     // GIR_Coverage, 6419,
     /*  636994 */     GIR_EraseRootFromParent_Done,
     /*  636995 */   // Label 10222: @636995
     /*  636995 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637070), // Rule ID 6422 //
     /*  637000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637068 */     GIR_RootConstrainSelectedInstOperands,
     /*  637069 */     // GIR_Coverage, 6422,
     /*  637069 */     GIR_EraseRootFromParent_Done,
     /*  637070 */   // Label 10223: @637070
     /*  637070 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637145), // Rule ID 6423 //
     /*  637075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637143 */     GIR_RootConstrainSelectedInstOperands,
     /*  637144 */     // GIR_Coverage, 6423,
     /*  637144 */     GIR_EraseRootFromParent_Done,
     /*  637145 */   // Label 10224: @637145
     /*  637145 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637220), // Rule ID 6426 //
     /*  637150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637218 */     GIR_RootConstrainSelectedInstOperands,
     /*  637219 */     // GIR_Coverage, 6426,
     /*  637219 */     GIR_EraseRootFromParent_Done,
     /*  637220 */   // Label 10225: @637220
     /*  637220 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637295), // Rule ID 6427 //
     /*  637225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637293 */     GIR_RootConstrainSelectedInstOperands,
     /*  637294 */     // GIR_Coverage, 6427,
     /*  637294 */     GIR_EraseRootFromParent_Done,
     /*  637295 */   // Label 10226: @637295
     /*  637295 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637370), // Rule ID 6430 //
     /*  637300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637368 */     GIR_RootConstrainSelectedInstOperands,
     /*  637369 */     // GIR_Coverage, 6430,
     /*  637369 */     GIR_EraseRootFromParent_Done,
     /*  637370 */   // Label 10227: @637370
     /*  637370 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637445), // Rule ID 6431 //
     /*  637375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637443 */     GIR_RootConstrainSelectedInstOperands,
     /*  637444 */     // GIR_Coverage, 6431,
     /*  637444 */     GIR_EraseRootFromParent_Done,
     /*  637445 */   // Label 10228: @637445
     /*  637445 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637520), // Rule ID 6434 //
     /*  637450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637518 */     GIR_RootConstrainSelectedInstOperands,
     /*  637519 */     // GIR_Coverage, 6434,
     /*  637519 */     GIR_EraseRootFromParent_Done,
     /*  637520 */   // Label 10229: @637520
     /*  637520 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637595), // Rule ID 6435 //
     /*  637525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637593 */     GIR_RootConstrainSelectedInstOperands,
     /*  637594 */     // GIR_Coverage, 6435,
     /*  637594 */     GIR_EraseRootFromParent_Done,
     /*  637595 */   // Label 10230: @637595
     /*  637595 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637670), // Rule ID 6438 //
     /*  637600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637668 */     GIR_RootConstrainSelectedInstOperands,
     /*  637669 */     // GIR_Coverage, 6438,
     /*  637669 */     GIR_EraseRootFromParent_Done,
     /*  637670 */   // Label 10231: @637670
     /*  637670 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637745), // Rule ID 6439 //
     /*  637675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637743 */     GIR_RootConstrainSelectedInstOperands,
     /*  637744 */     // GIR_Coverage, 6439,
     /*  637744 */     GIR_EraseRootFromParent_Done,
     /*  637745 */   // Label 10232: @637745
     /*  637745 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(637820), // Rule ID 6442 //
     /*  637750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637818 */     GIR_RootConstrainSelectedInstOperands,
     /*  637819 */     // GIR_Coverage, 6442,
     /*  637819 */     GIR_EraseRootFromParent_Done,
     /*  637820 */   // Label 10233: @637820
     /*  637820 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(637895), // Rule ID 6443 //
     /*  637825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637893 */     GIR_RootConstrainSelectedInstOperands,
     /*  637894 */     // GIR_Coverage, 6443,
     /*  637894 */     GIR_EraseRootFromParent_Done,
     /*  637895 */   // Label 10234: @637895
     /*  637895 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(637970), // Rule ID 6446 //
     /*  637900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637968 */     GIR_RootConstrainSelectedInstOperands,
     /*  637969 */     // GIR_Coverage, 6446,
     /*  637969 */     GIR_EraseRootFromParent_Done,
     /*  637970 */   // Label 10235: @637970
     /*  637970 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638045), // Rule ID 6447 //
     /*  637975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638043 */     GIR_RootConstrainSelectedInstOperands,
     /*  638044 */     // GIR_Coverage, 6447,
     /*  638044 */     GIR_EraseRootFromParent_Done,
     /*  638045 */   // Label 10236: @638045
     /*  638045 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638120), // Rule ID 6450 //
     /*  638050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638118 */     GIR_RootConstrainSelectedInstOperands,
     /*  638119 */     // GIR_Coverage, 6450,
     /*  638119 */     GIR_EraseRootFromParent_Done,
     /*  638120 */   // Label 10237: @638120
     /*  638120 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638195), // Rule ID 6451 //
     /*  638125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638193 */     GIR_RootConstrainSelectedInstOperands,
     /*  638194 */     // GIR_Coverage, 6451,
     /*  638194 */     GIR_EraseRootFromParent_Done,
     /*  638195 */   // Label 10238: @638195
     /*  638195 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638270), // Rule ID 6454 //
     /*  638200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638268 */     GIR_RootConstrainSelectedInstOperands,
     /*  638269 */     // GIR_Coverage, 6454,
     /*  638269 */     GIR_EraseRootFromParent_Done,
     /*  638270 */   // Label 10239: @638270
     /*  638270 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638345), // Rule ID 6455 //
     /*  638275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11627:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638343 */     GIR_RootConstrainSelectedInstOperands,
     /*  638344 */     // GIR_Coverage, 6455,
     /*  638344 */     GIR_EraseRootFromParent_Done,
     /*  638345 */   // Label 10240: @638345
     /*  638345 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638420), // Rule ID 6458 //
     /*  638350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638418 */     GIR_RootConstrainSelectedInstOperands,
     /*  638419 */     // GIR_Coverage, 6458,
     /*  638419 */     GIR_EraseRootFromParent_Done,
     /*  638420 */   // Label 10241: @638420
     /*  638420 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638495), // Rule ID 6459 //
     /*  638425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11627:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638493 */     GIR_RootConstrainSelectedInstOperands,
     /*  638494 */     // GIR_Coverage, 6459,
     /*  638494 */     GIR_EraseRootFromParent_Done,
     /*  638495 */   // Label 10242: @638495
     /*  638495 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638570), // Rule ID 6462 //
     /*  638500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638568 */     GIR_RootConstrainSelectedInstOperands,
     /*  638569 */     // GIR_Coverage, 6462,
     /*  638569 */     GIR_EraseRootFromParent_Done,
     /*  638570 */   // Label 10243: @638570
     /*  638570 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638645), // Rule ID 6463 //
     /*  638575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11627:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638643 */     GIR_RootConstrainSelectedInstOperands,
     /*  638644 */     // GIR_Coverage, 6463,
     /*  638644 */     GIR_EraseRootFromParent_Done,
     /*  638645 */   // Label 10244: @638645
     /*  638645 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638720), // Rule ID 6554 //
     /*  638650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  638670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  638699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638718 */     GIR_RootConstrainSelectedInstOperands,
     /*  638719 */     // GIR_Coverage, 6554,
     /*  638719 */     GIR_EraseRootFromParent_Done,
     /*  638720 */   // Label 10245: @638720
     /*  638720 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(638795), // Rule ID 6555 //
     /*  638725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  638745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  638774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638793 */     GIR_RootConstrainSelectedInstOperands,
     /*  638794 */     // GIR_Coverage, 6555,
     /*  638794 */     GIR_EraseRootFromParent_Done,
     /*  638795 */   // Label 10246: @638795
     /*  638795 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(638870), // Rule ID 6558 //
     /*  638800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  638820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  638849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638868 */     GIR_RootConstrainSelectedInstOperands,
     /*  638869 */     // GIR_Coverage, 6558,
     /*  638869 */     GIR_EraseRootFromParent_Done,
     /*  638870 */   // Label 10247: @638870
     /*  638870 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(638945), // Rule ID 6559 //
     /*  638875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  638895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  638924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638943 */     GIR_RootConstrainSelectedInstOperands,
     /*  638944 */     // GIR_Coverage, 6559,
     /*  638944 */     GIR_EraseRootFromParent_Done,
     /*  638945 */   // Label 10248: @638945
     /*  638945 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639020), // Rule ID 6562 //
     /*  638950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  638970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  638999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639018 */     GIR_RootConstrainSelectedInstOperands,
     /*  639019 */     // GIR_Coverage, 6562,
     /*  639019 */     GIR_EraseRootFromParent_Done,
     /*  639020 */   // Label 10249: @639020
     /*  639020 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639095), // Rule ID 6563 //
     /*  639025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  639036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  639039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  639042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  639045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639093 */     GIR_RootConstrainSelectedInstOperands,
     /*  639094 */     // GIR_Coverage, 6563,
     /*  639094 */     GIR_EraseRootFromParent_Done,
     /*  639095 */   // Label 10250: @639095
     /*  639095 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639170), // Rule ID 6566 //
     /*  639100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639168 */     GIR_RootConstrainSelectedInstOperands,
     /*  639169 */     // GIR_Coverage, 6566,
     /*  639169 */     GIR_EraseRootFromParent_Done,
     /*  639170 */   // Label 10251: @639170
     /*  639170 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639245), // Rule ID 6567 //
     /*  639175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639243 */     GIR_RootConstrainSelectedInstOperands,
     /*  639244 */     // GIR_Coverage, 6567,
     /*  639244 */     GIR_EraseRootFromParent_Done,
     /*  639245 */   // Label 10252: @639245
     /*  639245 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639320), // Rule ID 6570 //
     /*  639250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639318 */     GIR_RootConstrainSelectedInstOperands,
     /*  639319 */     // GIR_Coverage, 6570,
     /*  639319 */     GIR_EraseRootFromParent_Done,
     /*  639320 */   // Label 10253: @639320
     /*  639320 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639395), // Rule ID 6571 //
     /*  639325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639393 */     GIR_RootConstrainSelectedInstOperands,
     /*  639394 */     // GIR_Coverage, 6571,
     /*  639394 */     GIR_EraseRootFromParent_Done,
     /*  639395 */   // Label 10254: @639395
     /*  639395 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639470), // Rule ID 6574 //
     /*  639400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639468 */     GIR_RootConstrainSelectedInstOperands,
     /*  639469 */     // GIR_Coverage, 6574,
     /*  639469 */     GIR_EraseRootFromParent_Done,
     /*  639470 */   // Label 10255: @639470
     /*  639470 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639545), // Rule ID 6575 //
     /*  639475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639543 */     GIR_RootConstrainSelectedInstOperands,
     /*  639544 */     // GIR_Coverage, 6575,
     /*  639544 */     GIR_EraseRootFromParent_Done,
     /*  639545 */   // Label 10256: @639545
     /*  639545 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639620), // Rule ID 6578 //
     /*  639550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  639570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639618 */     GIR_RootConstrainSelectedInstOperands,
     /*  639619 */     // GIR_Coverage, 6578,
     /*  639619 */     GIR_EraseRootFromParent_Done,
     /*  639620 */   // Label 10257: @639620
     /*  639620 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639695), // Rule ID 6579 //
     /*  639625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  639645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639693 */     GIR_RootConstrainSelectedInstOperands,
     /*  639694 */     // GIR_Coverage, 6579,
     /*  639694 */     GIR_EraseRootFromParent_Done,
     /*  639695 */   // Label 10258: @639695
     /*  639695 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639770), // Rule ID 6582 //
     /*  639700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  639720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639768 */     GIR_RootConstrainSelectedInstOperands,
     /*  639769 */     // GIR_Coverage, 6582,
     /*  639769 */     GIR_EraseRootFromParent_Done,
     /*  639770 */   // Label 10259: @639770
     /*  639770 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(639845), // Rule ID 6583 //
     /*  639775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  639795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639843 */     GIR_RootConstrainSelectedInstOperands,
     /*  639844 */     // GIR_Coverage, 6583,
     /*  639844 */     GIR_EraseRootFromParent_Done,
     /*  639845 */   // Label 10260: @639845
     /*  639845 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(639920), // Rule ID 6586 //
     /*  639850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  639870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639918 */     GIR_RootConstrainSelectedInstOperands,
     /*  639919 */     // GIR_Coverage, 6586,
     /*  639919 */     GIR_EraseRootFromParent_Done,
     /*  639920 */   // Label 10261: @639920
     /*  639920 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(639995), // Rule ID 6587 //
     /*  639925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  639945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639993 */     GIR_RootConstrainSelectedInstOperands,
     /*  639994 */     // GIR_Coverage, 6587,
     /*  639994 */     GIR_EraseRootFromParent_Done,
     /*  639995 */   // Label 10262: @639995
     /*  639995 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640070), // Rule ID 6590 //
     /*  640000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640068 */     GIR_RootConstrainSelectedInstOperands,
     /*  640069 */     // GIR_Coverage, 6590,
     /*  640069 */     GIR_EraseRootFromParent_Done,
     /*  640070 */   // Label 10263: @640070
     /*  640070 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640145), // Rule ID 6591 //
     /*  640075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640143 */     GIR_RootConstrainSelectedInstOperands,
     /*  640144 */     // GIR_Coverage, 6591,
     /*  640144 */     GIR_EraseRootFromParent_Done,
     /*  640145 */   // Label 10264: @640145
     /*  640145 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640220), // Rule ID 6594 //
     /*  640150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640218 */     GIR_RootConstrainSelectedInstOperands,
     /*  640219 */     // GIR_Coverage, 6594,
     /*  640219 */     GIR_EraseRootFromParent_Done,
     /*  640220 */   // Label 10265: @640220
     /*  640220 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640295), // Rule ID 6595 //
     /*  640225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640293 */     GIR_RootConstrainSelectedInstOperands,
     /*  640294 */     // GIR_Coverage, 6595,
     /*  640294 */     GIR_EraseRootFromParent_Done,
     /*  640295 */   // Label 10266: @640295
     /*  640295 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640370), // Rule ID 6598 //
     /*  640300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640368 */     GIR_RootConstrainSelectedInstOperands,
     /*  640369 */     // GIR_Coverage, 6598,
     /*  640369 */     GIR_EraseRootFromParent_Done,
     /*  640370 */   // Label 10267: @640370
     /*  640370 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640445), // Rule ID 6599 //
     /*  640375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640443 */     GIR_RootConstrainSelectedInstOperands,
     /*  640444 */     // GIR_Coverage, 6599,
     /*  640444 */     GIR_EraseRootFromParent_Done,
     /*  640445 */   // Label 10268: @640445
     /*  640445 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640520), // Rule ID 6602 //
     /*  640450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  640470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640518 */     GIR_RootConstrainSelectedInstOperands,
     /*  640519 */     // GIR_Coverage, 6602,
     /*  640519 */     GIR_EraseRootFromParent_Done,
     /*  640520 */   // Label 10269: @640520
     /*  640520 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640595), // Rule ID 6603 //
     /*  640525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  640545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640593 */     GIR_RootConstrainSelectedInstOperands,
     /*  640594 */     // GIR_Coverage, 6603,
     /*  640594 */     GIR_EraseRootFromParent_Done,
     /*  640595 */   // Label 10270: @640595
     /*  640595 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640670), // Rule ID 6606 //
     /*  640600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  640620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640668 */     GIR_RootConstrainSelectedInstOperands,
     /*  640669 */     // GIR_Coverage, 6606,
     /*  640669 */     GIR_EraseRootFromParent_Done,
     /*  640670 */   // Label 10271: @640670
     /*  640670 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640745), // Rule ID 6607 //
     /*  640675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  640695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640743 */     GIR_RootConstrainSelectedInstOperands,
     /*  640744 */     // GIR_Coverage, 6607,
     /*  640744 */     GIR_EraseRootFromParent_Done,
     /*  640745 */   // Label 10272: @640745
     /*  640745 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(640820), // Rule ID 6610 //
     /*  640750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  640770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640818 */     GIR_RootConstrainSelectedInstOperands,
     /*  640819 */     // GIR_Coverage, 6610,
     /*  640819 */     GIR_EraseRootFromParent_Done,
     /*  640820 */   // Label 10273: @640820
     /*  640820 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(640895), // Rule ID 6611 //
     /*  640825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  640845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640893 */     GIR_RootConstrainSelectedInstOperands,
     /*  640894 */     // GIR_Coverage, 6611,
     /*  640894 */     GIR_EraseRootFromParent_Done,
     /*  640895 */   // Label 10274: @640895
     /*  640895 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(640970), // Rule ID 6614 //
     /*  640900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  640920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640968 */     GIR_RootConstrainSelectedInstOperands,
     /*  640969 */     // GIR_Coverage, 6614,
     /*  640969 */     GIR_EraseRootFromParent_Done,
     /*  640970 */   // Label 10275: @640970
     /*  640970 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641045), // Rule ID 6615 //
     /*  640975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  640995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641043 */     GIR_RootConstrainSelectedInstOperands,
     /*  641044 */     // GIR_Coverage, 6615,
     /*  641044 */     GIR_EraseRootFromParent_Done,
     /*  641045 */   // Label 10276: @641045
     /*  641045 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641120), // Rule ID 6618 //
     /*  641050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641118 */     GIR_RootConstrainSelectedInstOperands,
     /*  641119 */     // GIR_Coverage, 6618,
     /*  641119 */     GIR_EraseRootFromParent_Done,
     /*  641120 */   // Label 10277: @641120
     /*  641120 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641195), // Rule ID 6619 //
     /*  641125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641193 */     GIR_RootConstrainSelectedInstOperands,
     /*  641194 */     // GIR_Coverage, 6619,
     /*  641194 */     GIR_EraseRootFromParent_Done,
     /*  641195 */   // Label 10278: @641195
     /*  641195 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641270), // Rule ID 6622 //
     /*  641200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641268 */     GIR_RootConstrainSelectedInstOperands,
     /*  641269 */     // GIR_Coverage, 6622,
     /*  641269 */     GIR_EraseRootFromParent_Done,
     /*  641270 */   // Label 10279: @641270
     /*  641270 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641345), // Rule ID 6623 //
     /*  641275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641343 */     GIR_RootConstrainSelectedInstOperands,
     /*  641344 */     // GIR_Coverage, 6623,
     /*  641344 */     GIR_EraseRootFromParent_Done,
     /*  641345 */   // Label 10280: @641345
     /*  641345 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641420), // Rule ID 6626 //
     /*  641350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641418 */     GIR_RootConstrainSelectedInstOperands,
     /*  641419 */     // GIR_Coverage, 6626,
     /*  641419 */     GIR_EraseRootFromParent_Done,
     /*  641420 */   // Label 10281: @641420
     /*  641420 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641495), // Rule ID 6627 //
     /*  641425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641493 */     GIR_RootConstrainSelectedInstOperands,
     /*  641494 */     // GIR_Coverage, 6627,
     /*  641494 */     GIR_EraseRootFromParent_Done,
     /*  641495 */   // Label 10282: @641495
     /*  641495 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641570), // Rule ID 6630 //
     /*  641500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  641520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641568 */     GIR_RootConstrainSelectedInstOperands,
     /*  641569 */     // GIR_Coverage, 6630,
     /*  641569 */     GIR_EraseRootFromParent_Done,
     /*  641570 */   // Label 10283: @641570
     /*  641570 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641645), // Rule ID 6631 //
     /*  641575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  641595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641643 */     GIR_RootConstrainSelectedInstOperands,
     /*  641644 */     // GIR_Coverage, 6631,
     /*  641644 */     GIR_EraseRootFromParent_Done,
     /*  641645 */   // Label 10284: @641645
     /*  641645 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641720), // Rule ID 6634 //
     /*  641650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  641670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641718 */     GIR_RootConstrainSelectedInstOperands,
     /*  641719 */     // GIR_Coverage, 6634,
     /*  641719 */     GIR_EraseRootFromParent_Done,
     /*  641720 */   // Label 10285: @641720
     /*  641720 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(641795), // Rule ID 6635 //
     /*  641725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  641745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641793 */     GIR_RootConstrainSelectedInstOperands,
     /*  641794 */     // GIR_Coverage, 6635,
     /*  641794 */     GIR_EraseRootFromParent_Done,
     /*  641795 */   // Label 10286: @641795
     /*  641795 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(641870), // Rule ID 6638 //
     /*  641800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  641820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641868 */     GIR_RootConstrainSelectedInstOperands,
     /*  641869 */     // GIR_Coverage, 6638,
     /*  641869 */     GIR_EraseRootFromParent_Done,
     /*  641870 */   // Label 10287: @641870
     /*  641870 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(641945), // Rule ID 6639 //
     /*  641875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  641895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641943 */     GIR_RootConstrainSelectedInstOperands,
     /*  641944 */     // GIR_Coverage, 6639,
     /*  641944 */     GIR_EraseRootFromParent_Done,
     /*  641945 */   // Label 10288: @641945
     /*  641945 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642020), // Rule ID 6642 //
     /*  641950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  641999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642018 */     GIR_RootConstrainSelectedInstOperands,
     /*  642019 */     // GIR_Coverage, 6642,
     /*  642019 */     GIR_EraseRootFromParent_Done,
     /*  642020 */   // Label 10289: @642020
     /*  642020 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642095), // Rule ID 6643 //
     /*  642025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  642036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  642039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  642042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  642074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642093 */     GIR_RootConstrainSelectedInstOperands,
     /*  642094 */     // GIR_Coverage, 6643,
     /*  642094 */     GIR_EraseRootFromParent_Done,
     /*  642095 */   // Label 10290: @642095
     /*  642095 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642170), // Rule ID 6646 //
     /*  642100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642168 */     GIR_RootConstrainSelectedInstOperands,
     /*  642169 */     // GIR_Coverage, 6646,
     /*  642169 */     GIR_EraseRootFromParent_Done,
     /*  642170 */   // Label 10291: @642170
     /*  642170 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642245), // Rule ID 6647 //
     /*  642175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642243 */     GIR_RootConstrainSelectedInstOperands,
     /*  642244 */     // GIR_Coverage, 6647,
     /*  642244 */     GIR_EraseRootFromParent_Done,
     /*  642245 */   // Label 10292: @642245
     /*  642245 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642320), // Rule ID 6650 //
     /*  642250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642318 */     GIR_RootConstrainSelectedInstOperands,
     /*  642319 */     // GIR_Coverage, 6650,
     /*  642319 */     GIR_EraseRootFromParent_Done,
     /*  642320 */   // Label 10293: @642320
     /*  642320 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642395), // Rule ID 6651 //
     /*  642325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642393 */     GIR_RootConstrainSelectedInstOperands,
     /*  642394 */     // GIR_Coverage, 6651,
     /*  642394 */     GIR_EraseRootFromParent_Done,
     /*  642395 */   // Label 10294: @642395
     /*  642395 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642470), // Rule ID 6654 //
     /*  642400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642468 */     GIR_RootConstrainSelectedInstOperands,
     /*  642469 */     // GIR_Coverage, 6654,
     /*  642469 */     GIR_EraseRootFromParent_Done,
     /*  642470 */   // Label 10295: @642470
     /*  642470 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642545), // Rule ID 6655 //
     /*  642475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642543 */     GIR_RootConstrainSelectedInstOperands,
     /*  642544 */     // GIR_Coverage, 6655,
     /*  642544 */     GIR_EraseRootFromParent_Done,
     /*  642545 */   // Label 10296: @642545
     /*  642545 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642620), // Rule ID 6658 //
     /*  642550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642618 */     GIR_RootConstrainSelectedInstOperands,
     /*  642619 */     // GIR_Coverage, 6658,
     /*  642619 */     GIR_EraseRootFromParent_Done,
     /*  642620 */   // Label 10297: @642620
     /*  642620 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642695), // Rule ID 6659 //
     /*  642625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642693 */     GIR_RootConstrainSelectedInstOperands,
     /*  642694 */     // GIR_Coverage, 6659,
     /*  642694 */     GIR_EraseRootFromParent_Done,
     /*  642695 */   // Label 10298: @642695
     /*  642695 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642770), // Rule ID 6662 //
     /*  642700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642768 */     GIR_RootConstrainSelectedInstOperands,
     /*  642769 */     // GIR_Coverage, 6662,
     /*  642769 */     GIR_EraseRootFromParent_Done,
     /*  642770 */   // Label 10299: @642770
     /*  642770 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(642845), // Rule ID 6663 //
     /*  642775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642843 */     GIR_RootConstrainSelectedInstOperands,
     /*  642844 */     // GIR_Coverage, 6663,
     /*  642844 */     GIR_EraseRootFromParent_Done,
     /*  642845 */   // Label 10300: @642845
     /*  642845 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(642920), // Rule ID 6666 //
     /*  642850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642918 */     GIR_RootConstrainSelectedInstOperands,
     /*  642919 */     // GIR_Coverage, 6666,
     /*  642919 */     GIR_EraseRootFromParent_Done,
     /*  642920 */   // Label 10301: @642920
     /*  642920 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(642995), // Rule ID 6667 //
     /*  642925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642993 */     GIR_RootConstrainSelectedInstOperands,
     /*  642994 */     // GIR_Coverage, 6667,
     /*  642994 */     GIR_EraseRootFromParent_Done,
     /*  642995 */   // Label 10302: @642995
     /*  642995 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643070), // Rule ID 6670 //
     /*  643000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643068 */     GIR_RootConstrainSelectedInstOperands,
     /*  643069 */     // GIR_Coverage, 6670,
     /*  643069 */     GIR_EraseRootFromParent_Done,
     /*  643070 */   // Label 10303: @643070
     /*  643070 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643145), // Rule ID 6671 //
     /*  643075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643143 */     GIR_RootConstrainSelectedInstOperands,
     /*  643144 */     // GIR_Coverage, 6671,
     /*  643144 */     GIR_EraseRootFromParent_Done,
     /*  643145 */   // Label 10304: @643145
     /*  643145 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643220), // Rule ID 6674 //
     /*  643150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643218 */     GIR_RootConstrainSelectedInstOperands,
     /*  643219 */     // GIR_Coverage, 6674,
     /*  643219 */     GIR_EraseRootFromParent_Done,
     /*  643220 */   // Label 10305: @643220
     /*  643220 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643295), // Rule ID 6675 //
     /*  643225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643293 */     GIR_RootConstrainSelectedInstOperands,
     /*  643294 */     // GIR_Coverage, 6675,
     /*  643294 */     GIR_EraseRootFromParent_Done,
     /*  643295 */   // Label 10306: @643295
     /*  643295 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643370), // Rule ID 6678 //
     /*  643300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643368 */     GIR_RootConstrainSelectedInstOperands,
     /*  643369 */     // GIR_Coverage, 6678,
     /*  643369 */     GIR_EraseRootFromParent_Done,
     /*  643370 */   // Label 10307: @643370
     /*  643370 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643445), // Rule ID 6679 //
     /*  643375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643443 */     GIR_RootConstrainSelectedInstOperands,
     /*  643444 */     // GIR_Coverage, 6679,
     /*  643444 */     GIR_EraseRootFromParent_Done,
     /*  643445 */   // Label 10308: @643445
     /*  643445 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643520), // Rule ID 6682 //
     /*  643450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643518 */     GIR_RootConstrainSelectedInstOperands,
     /*  643519 */     // GIR_Coverage, 6682,
     /*  643519 */     GIR_EraseRootFromParent_Done,
     /*  643520 */   // Label 10309: @643520
     /*  643520 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643595), // Rule ID 6683 //
     /*  643525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643593 */     GIR_RootConstrainSelectedInstOperands,
     /*  643594 */     // GIR_Coverage, 6683,
     /*  643594 */     GIR_EraseRootFromParent_Done,
     /*  643595 */   // Label 10310: @643595
     /*  643595 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643670), // Rule ID 6686 //
     /*  643600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643668 */     GIR_RootConstrainSelectedInstOperands,
     /*  643669 */     // GIR_Coverage, 6686,
     /*  643669 */     GIR_EraseRootFromParent_Done,
     /*  643670 */   // Label 10311: @643670
     /*  643670 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643745), // Rule ID 6687 //
     /*  643675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643721 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643743 */     GIR_RootConstrainSelectedInstOperands,
     /*  643744 */     // GIR_Coverage, 6687,
     /*  643744 */     GIR_EraseRootFromParent_Done,
     /*  643745 */   // Label 10312: @643745
     /*  643745 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(643820), // Rule ID 6690 //
     /*  643750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  643799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643818 */     GIR_RootConstrainSelectedInstOperands,
     /*  643819 */     // GIR_Coverage, 6690,
     /*  643819 */     GIR_EraseRootFromParent_Done,
     /*  643820 */   // Label 10313: @643820
     /*  643820 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(643895), // Rule ID 6691 //
     /*  643825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  643874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643893 */     GIR_RootConstrainSelectedInstOperands,
     /*  643894 */     // GIR_Coverage, 6691,
     /*  643894 */     GIR_EraseRootFromParent_Done,
     /*  643895 */   // Label 10314: @643895
     /*  643895 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(643970), // Rule ID 6694 //
     /*  643900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643968 */     GIR_RootConstrainSelectedInstOperands,
     /*  643969 */     // GIR_Coverage, 6694,
     /*  643969 */     GIR_EraseRootFromParent_Done,
     /*  643970 */   // Label 10315: @643970
     /*  643970 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644045), // Rule ID 6695 //
     /*  643975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644043 */     GIR_RootConstrainSelectedInstOperands,
     /*  644044 */     // GIR_Coverage, 6695,
     /*  644044 */     GIR_EraseRootFromParent_Done,
     /*  644045 */   // Label 10316: @644045
     /*  644045 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644120), // Rule ID 6698 //
     /*  644050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644118 */     GIR_RootConstrainSelectedInstOperands,
     /*  644119 */     // GIR_Coverage, 6698,
     /*  644119 */     GIR_EraseRootFromParent_Done,
     /*  644120 */   // Label 10317: @644120
     /*  644120 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644195), // Rule ID 6699 //
     /*  644125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644193 */     GIR_RootConstrainSelectedInstOperands,
     /*  644194 */     // GIR_Coverage, 6699,
     /*  644194 */     GIR_EraseRootFromParent_Done,
     /*  644195 */   // Label 10318: @644195
     /*  644195 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644270), // Rule ID 6702 //
     /*  644200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644268 */     GIR_RootConstrainSelectedInstOperands,
     /*  644269 */     // GIR_Coverage, 6702,
     /*  644269 */     GIR_EraseRootFromParent_Done,
     /*  644270 */   // Label 10319: @644270
     /*  644270 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644345), // Rule ID 6703 //
     /*  644275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644343 */     GIR_RootConstrainSelectedInstOperands,
     /*  644344 */     // GIR_Coverage, 6703,
     /*  644344 */     GIR_EraseRootFromParent_Done,
     /*  644345 */   // Label 10320: @644345
     /*  644345 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644420), // Rule ID 6706 //
     /*  644350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644418 */     GIR_RootConstrainSelectedInstOperands,
     /*  644419 */     // GIR_Coverage, 6706,
     /*  644419 */     GIR_EraseRootFromParent_Done,
     /*  644420 */   // Label 10321: @644420
     /*  644420 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644495), // Rule ID 6707 //
     /*  644425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644493 */     GIR_RootConstrainSelectedInstOperands,
     /*  644494 */     // GIR_Coverage, 6707,
     /*  644494 */     GIR_EraseRootFromParent_Done,
     /*  644495 */   // Label 10322: @644495
     /*  644495 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644570), // Rule ID 6710 //
     /*  644500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644568 */     GIR_RootConstrainSelectedInstOperands,
     /*  644569 */     // GIR_Coverage, 6710,
     /*  644569 */     GIR_EraseRootFromParent_Done,
     /*  644570 */   // Label 10323: @644570
     /*  644570 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644645), // Rule ID 6711 //
     /*  644575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644643 */     GIR_RootConstrainSelectedInstOperands,
     /*  644644 */     // GIR_Coverage, 6711,
     /*  644644 */     GIR_EraseRootFromParent_Done,
     /*  644645 */   // Label 10324: @644645
     /*  644645 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644720), // Rule ID 6714 //
     /*  644650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644718 */     GIR_RootConstrainSelectedInstOperands,
     /*  644719 */     // GIR_Coverage, 6714,
     /*  644719 */     GIR_EraseRootFromParent_Done,
     /*  644720 */   // Label 10325: @644720
     /*  644720 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(644795), // Rule ID 6715 //
     /*  644725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644793 */     GIR_RootConstrainSelectedInstOperands,
     /*  644794 */     // GIR_Coverage, 6715,
     /*  644794 */     GIR_EraseRootFromParent_Done,
     /*  644795 */   // Label 10326: @644795
     /*  644795 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(644870), // Rule ID 6718 //
     /*  644800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644868 */     GIR_RootConstrainSelectedInstOperands,
     /*  644869 */     // GIR_Coverage, 6718,
     /*  644869 */     GIR_EraseRootFromParent_Done,
     /*  644870 */   // Label 10327: @644870
     /*  644870 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(644945), // Rule ID 6719 //
     /*  644875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644943 */     GIR_RootConstrainSelectedInstOperands,
     /*  644944 */     // GIR_Coverage, 6719,
     /*  644944 */     GIR_EraseRootFromParent_Done,
     /*  644945 */   // Label 10328: @644945
     /*  644945 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645020), // Rule ID 6722 //
     /*  644950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645018 */     GIR_RootConstrainSelectedInstOperands,
     /*  645019 */     // GIR_Coverage, 6722,
     /*  645019 */     GIR_EraseRootFromParent_Done,
     /*  645020 */   // Label 10329: @645020
     /*  645020 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645095), // Rule ID 6723 //
     /*  645025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  645036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  645039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  645042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  645074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645093 */     GIR_RootConstrainSelectedInstOperands,
     /*  645094 */     // GIR_Coverage, 6723,
     /*  645094 */     GIR_EraseRootFromParent_Done,
     /*  645095 */   // Label 10330: @645095
     /*  645095 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645170), // Rule ID 6726 //
     /*  645100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645168 */     GIR_RootConstrainSelectedInstOperands,
     /*  645169 */     // GIR_Coverage, 6726,
     /*  645169 */     GIR_EraseRootFromParent_Done,
     /*  645170 */   // Label 10331: @645170
     /*  645170 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645245), // Rule ID 6727 //
     /*  645175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645243 */     GIR_RootConstrainSelectedInstOperands,
     /*  645244 */     // GIR_Coverage, 6727,
     /*  645244 */     GIR_EraseRootFromParent_Done,
     /*  645245 */   // Label 10332: @645245
     /*  645245 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645320), // Rule ID 6818 //
     /*  645250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645318 */     GIR_RootConstrainSelectedInstOperands,
     /*  645319 */     // GIR_Coverage, 6818,
     /*  645319 */     GIR_EraseRootFromParent_Done,
     /*  645320 */   // Label 10333: @645320
     /*  645320 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645395), // Rule ID 6819 //
     /*  645325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645393 */     GIR_RootConstrainSelectedInstOperands,
     /*  645394 */     // GIR_Coverage, 6819,
     /*  645394 */     GIR_EraseRootFromParent_Done,
     /*  645395 */   // Label 10334: @645395
     /*  645395 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645470), // Rule ID 6822 //
     /*  645400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645468 */     GIR_RootConstrainSelectedInstOperands,
     /*  645469 */     // GIR_Coverage, 6822,
     /*  645469 */     GIR_EraseRootFromParent_Done,
     /*  645470 */   // Label 10335: @645470
     /*  645470 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645545), // Rule ID 6823 //
     /*  645475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645543 */     GIR_RootConstrainSelectedInstOperands,
     /*  645544 */     // GIR_Coverage, 6823,
     /*  645544 */     GIR_EraseRootFromParent_Done,
     /*  645545 */   // Label 10336: @645545
     /*  645545 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645620), // Rule ID 6826 //
     /*  645550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  645570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645618 */     GIR_RootConstrainSelectedInstOperands,
     /*  645619 */     // GIR_Coverage, 6826,
     /*  645619 */     GIR_EraseRootFromParent_Done,
     /*  645620 */   // Label 10337: @645620
     /*  645620 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645695), // Rule ID 6827 //
     /*  645625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  645645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645693 */     GIR_RootConstrainSelectedInstOperands,
     /*  645694 */     // GIR_Coverage, 6827,
     /*  645694 */     GIR_EraseRootFromParent_Done,
     /*  645695 */   // Label 10338: @645695
     /*  645695 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645770), // Rule ID 6830 //
     /*  645700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  645720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645768 */     GIR_RootConstrainSelectedInstOperands,
     /*  645769 */     // GIR_Coverage, 6830,
     /*  645769 */     GIR_EraseRootFromParent_Done,
     /*  645770 */   // Label 10339: @645770
     /*  645770 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(645845), // Rule ID 6831 //
     /*  645775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  645795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645843 */     GIR_RootConstrainSelectedInstOperands,
     /*  645844 */     // GIR_Coverage, 6831,
     /*  645844 */     GIR_EraseRootFromParent_Done,
     /*  645845 */   // Label 10340: @645845
     /*  645845 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(645920), // Rule ID 6834 //
     /*  645850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  645870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645918 */     GIR_RootConstrainSelectedInstOperands,
     /*  645919 */     // GIR_Coverage, 6834,
     /*  645919 */     GIR_EraseRootFromParent_Done,
     /*  645920 */   // Label 10341: @645920
     /*  645920 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(645995), // Rule ID 6835 //
     /*  645925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  645945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645993 */     GIR_RootConstrainSelectedInstOperands,
     /*  645994 */     // GIR_Coverage, 6835,
     /*  645994 */     GIR_EraseRootFromParent_Done,
     /*  645995 */   // Label 10342: @645995
     /*  645995 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646070), // Rule ID 6838 //
     /*  646000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646068 */     GIR_RootConstrainSelectedInstOperands,
     /*  646069 */     // GIR_Coverage, 6838,
     /*  646069 */     GIR_EraseRootFromParent_Done,
     /*  646070 */   // Label 10343: @646070
     /*  646070 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646145), // Rule ID 6839 //
     /*  646075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646143 */     GIR_RootConstrainSelectedInstOperands,
     /*  646144 */     // GIR_Coverage, 6839,
     /*  646144 */     GIR_EraseRootFromParent_Done,
     /*  646145 */   // Label 10344: @646145
     /*  646145 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646220), // Rule ID 6842 //
     /*  646150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646218 */     GIR_RootConstrainSelectedInstOperands,
     /*  646219 */     // GIR_Coverage, 6842,
     /*  646219 */     GIR_EraseRootFromParent_Done,
     /*  646220 */   // Label 10345: @646220
     /*  646220 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646295), // Rule ID 6843 //
     /*  646225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646293 */     GIR_RootConstrainSelectedInstOperands,
     /*  646294 */     // GIR_Coverage, 6843,
     /*  646294 */     GIR_EraseRootFromParent_Done,
     /*  646295 */   // Label 10346: @646295
     /*  646295 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646370), // Rule ID 6846 //
     /*  646300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646368 */     GIR_RootConstrainSelectedInstOperands,
     /*  646369 */     // GIR_Coverage, 6846,
     /*  646369 */     GIR_EraseRootFromParent_Done,
     /*  646370 */   // Label 10347: @646370
     /*  646370 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646445), // Rule ID 6847 //
     /*  646375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646443 */     GIR_RootConstrainSelectedInstOperands,
     /*  646444 */     // GIR_Coverage, 6847,
     /*  646444 */     GIR_EraseRootFromParent_Done,
     /*  646445 */   // Label 10348: @646445
     /*  646445 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646520), // Rule ID 6850 //
     /*  646450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  646470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646518 */     GIR_RootConstrainSelectedInstOperands,
     /*  646519 */     // GIR_Coverage, 6850,
     /*  646519 */     GIR_EraseRootFromParent_Done,
     /*  646520 */   // Label 10349: @646520
     /*  646520 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646595), // Rule ID 6851 //
     /*  646525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  646545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646593 */     GIR_RootConstrainSelectedInstOperands,
     /*  646594 */     // GIR_Coverage, 6851,
     /*  646594 */     GIR_EraseRootFromParent_Done,
     /*  646595 */   // Label 10350: @646595
     /*  646595 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646670), // Rule ID 6854 //
     /*  646600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  646620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646668 */     GIR_RootConstrainSelectedInstOperands,
     /*  646669 */     // GIR_Coverage, 6854,
     /*  646669 */     GIR_EraseRootFromParent_Done,
     /*  646670 */   // Label 10351: @646670
     /*  646670 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646745), // Rule ID 6855 //
     /*  646675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  646695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646743 */     GIR_RootConstrainSelectedInstOperands,
     /*  646744 */     // GIR_Coverage, 6855,
     /*  646744 */     GIR_EraseRootFromParent_Done,
     /*  646745 */   // Label 10352: @646745
     /*  646745 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(646820), // Rule ID 6858 //
     /*  646750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  646770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  646799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646818 */     GIR_RootConstrainSelectedInstOperands,
     /*  646819 */     // GIR_Coverage, 6858,
     /*  646819 */     GIR_EraseRootFromParent_Done,
     /*  646820 */   // Label 10353: @646820
     /*  646820 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(646895), // Rule ID 6859 //
     /*  646825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  646845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  646874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646893 */     GIR_RootConstrainSelectedInstOperands,
     /*  646894 */     // GIR_Coverage, 6859,
     /*  646894 */     GIR_EraseRootFromParent_Done,
     /*  646895 */   // Label 10354: @646895
     /*  646895 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(646970), // Rule ID 6862 //
     /*  646900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  646920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  646949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646968 */     GIR_RootConstrainSelectedInstOperands,
     /*  646969 */     // GIR_Coverage, 6862,
     /*  646969 */     GIR_EraseRootFromParent_Done,
     /*  646970 */   // Label 10355: @646970
     /*  646970 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647045), // Rule ID 6863 //
     /*  646975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  646995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647043 */     GIR_RootConstrainSelectedInstOperands,
     /*  647044 */     // GIR_Coverage, 6863,
     /*  647044 */     GIR_EraseRootFromParent_Done,
     /*  647045 */   // Label 10356: @647045
     /*  647045 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647120), // Rule ID 6866 //
     /*  647050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647118 */     GIR_RootConstrainSelectedInstOperands,
     /*  647119 */     // GIR_Coverage, 6866,
     /*  647119 */     GIR_EraseRootFromParent_Done,
     /*  647120 */   // Label 10357: @647120
     /*  647120 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647195), // Rule ID 6867 //
     /*  647125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647193 */     GIR_RootConstrainSelectedInstOperands,
     /*  647194 */     // GIR_Coverage, 6867,
     /*  647194 */     GIR_EraseRootFromParent_Done,
     /*  647195 */   // Label 10358: @647195
     /*  647195 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647270), // Rule ID 6870 //
     /*  647200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647268 */     GIR_RootConstrainSelectedInstOperands,
     /*  647269 */     // GIR_Coverage, 6870,
     /*  647269 */     GIR_EraseRootFromParent_Done,
     /*  647270 */   // Label 10359: @647270
     /*  647270 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647345), // Rule ID 6871 //
     /*  647275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647343 */     GIR_RootConstrainSelectedInstOperands,
     /*  647344 */     // GIR_Coverage, 6871,
     /*  647344 */     GIR_EraseRootFromParent_Done,
     /*  647345 */   // Label 10360: @647345
     /*  647345 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647420), // Rule ID 6874 //
     /*  647350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647418 */     GIR_RootConstrainSelectedInstOperands,
     /*  647419 */     // GIR_Coverage, 6874,
     /*  647419 */     GIR_EraseRootFromParent_Done,
     /*  647420 */   // Label 10361: @647420
     /*  647420 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647495), // Rule ID 6875 //
     /*  647425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647493 */     GIR_RootConstrainSelectedInstOperands,
     /*  647494 */     // GIR_Coverage, 6875,
     /*  647494 */     GIR_EraseRootFromParent_Done,
     /*  647495 */   // Label 10362: @647495
     /*  647495 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647570), // Rule ID 6878 //
     /*  647500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  647520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647568 */     GIR_RootConstrainSelectedInstOperands,
     /*  647569 */     // GIR_Coverage, 6878,
     /*  647569 */     GIR_EraseRootFromParent_Done,
     /*  647570 */   // Label 10363: @647570
     /*  647570 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647645), // Rule ID 6879 //
     /*  647575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  647595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647643 */     GIR_RootConstrainSelectedInstOperands,
     /*  647644 */     // GIR_Coverage, 6879,
     /*  647644 */     GIR_EraseRootFromParent_Done,
     /*  647645 */   // Label 10364: @647645
     /*  647645 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647720), // Rule ID 6882 //
     /*  647650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  647670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647718 */     GIR_RootConstrainSelectedInstOperands,
     /*  647719 */     // GIR_Coverage, 6882,
     /*  647719 */     GIR_EraseRootFromParent_Done,
     /*  647720 */   // Label 10365: @647720
     /*  647720 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(647795), // Rule ID 6883 //
     /*  647725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  647745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647793 */     GIR_RootConstrainSelectedInstOperands,
     /*  647794 */     // GIR_Coverage, 6883,
     /*  647794 */     GIR_EraseRootFromParent_Done,
     /*  647795 */   // Label 10366: @647795
     /*  647795 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(647870), // Rule ID 6886 //
     /*  647800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  647820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647868 */     GIR_RootConstrainSelectedInstOperands,
     /*  647869 */     // GIR_Coverage, 6886,
     /*  647869 */     GIR_EraseRootFromParent_Done,
     /*  647870 */   // Label 10367: @647870
     /*  647870 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(647945), // Rule ID 6887 //
     /*  647875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  647895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647943 */     GIR_RootConstrainSelectedInstOperands,
     /*  647944 */     // GIR_Coverage, 6887,
     /*  647944 */     GIR_EraseRootFromParent_Done,
     /*  647945 */   // Label 10368: @647945
     /*  647945 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648020), // Rule ID 6890 //
     /*  647950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  647970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648018 */     GIR_RootConstrainSelectedInstOperands,
     /*  648019 */     // GIR_Coverage, 6890,
     /*  648019 */     GIR_EraseRootFromParent_Done,
     /*  648020 */   // Label 10369: @648020
     /*  648020 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648095), // Rule ID 6891 //
     /*  648025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  648036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  648039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  648042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  648045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648093 */     GIR_RootConstrainSelectedInstOperands,
     /*  648094 */     // GIR_Coverage, 6891,
     /*  648094 */     GIR_EraseRootFromParent_Done,
     /*  648095 */   // Label 10370: @648095
     /*  648095 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648170), // Rule ID 6894 //
     /*  648100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648168 */     GIR_RootConstrainSelectedInstOperands,
     /*  648169 */     // GIR_Coverage, 6894,
     /*  648169 */     GIR_EraseRootFromParent_Done,
     /*  648170 */   // Label 10371: @648170
     /*  648170 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648245), // Rule ID 6895 //
     /*  648175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648243 */     GIR_RootConstrainSelectedInstOperands,
     /*  648244 */     // GIR_Coverage, 6895,
     /*  648244 */     GIR_EraseRootFromParent_Done,
     /*  648245 */   // Label 10372: @648245
     /*  648245 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648320), // Rule ID 6898 //
     /*  648250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648318 */     GIR_RootConstrainSelectedInstOperands,
     /*  648319 */     // GIR_Coverage, 6898,
     /*  648319 */     GIR_EraseRootFromParent_Done,
     /*  648320 */   // Label 10373: @648320
     /*  648320 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648395), // Rule ID 6899 //
     /*  648325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648393 */     GIR_RootConstrainSelectedInstOperands,
     /*  648394 */     // GIR_Coverage, 6899,
     /*  648394 */     GIR_EraseRootFromParent_Done,
     /*  648395 */   // Label 10374: @648395
     /*  648395 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648470), // Rule ID 6902 //
     /*  648400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648468 */     GIR_RootConstrainSelectedInstOperands,
     /*  648469 */     // GIR_Coverage, 6902,
     /*  648469 */     GIR_EraseRootFromParent_Done,
     /*  648470 */   // Label 10375: @648470
     /*  648470 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648545), // Rule ID 6903 //
     /*  648475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648543 */     GIR_RootConstrainSelectedInstOperands,
     /*  648544 */     // GIR_Coverage, 6903,
     /*  648544 */     GIR_EraseRootFromParent_Done,
     /*  648545 */   // Label 10376: @648545
     /*  648545 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648620), // Rule ID 6906 //
     /*  648550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  648599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648618 */     GIR_RootConstrainSelectedInstOperands,
     /*  648619 */     // GIR_Coverage, 6906,
     /*  648619 */     GIR_EraseRootFromParent_Done,
     /*  648620 */   // Label 10377: @648620
     /*  648620 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648695), // Rule ID 6907 //
     /*  648625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  648674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648693 */     GIR_RootConstrainSelectedInstOperands,
     /*  648694 */     // GIR_Coverage, 6907,
     /*  648694 */     GIR_EraseRootFromParent_Done,
     /*  648695 */   // Label 10378: @648695
     /*  648695 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648770), // Rule ID 6910 //
     /*  648700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648768 */     GIR_RootConstrainSelectedInstOperands,
     /*  648769 */     // GIR_Coverage, 6910,
     /*  648769 */     GIR_EraseRootFromParent_Done,
     /*  648770 */   // Label 10379: @648770
     /*  648770 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(648845), // Rule ID 6911 //
     /*  648775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648843 */     GIR_RootConstrainSelectedInstOperands,
     /*  648844 */     // GIR_Coverage, 6911,
     /*  648844 */     GIR_EraseRootFromParent_Done,
     /*  648845 */   // Label 10380: @648845
     /*  648845 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(648920), // Rule ID 6914 //
     /*  648850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  648899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648918 */     GIR_RootConstrainSelectedInstOperands,
     /*  648919 */     // GIR_Coverage, 6914,
     /*  648919 */     GIR_EraseRootFromParent_Done,
     /*  648920 */   // Label 10381: @648920
     /*  648920 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(648995), // Rule ID 6915 //
     /*  648925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  648974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648993 */     GIR_RootConstrainSelectedInstOperands,
     /*  648994 */     // GIR_Coverage, 6915,
     /*  648994 */     GIR_EraseRootFromParent_Done,
     /*  648995 */   // Label 10382: @648995
     /*  648995 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649070), // Rule ID 6918 //
     /*  649000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649068 */     GIR_RootConstrainSelectedInstOperands,
     /*  649069 */     // GIR_Coverage, 6918,
     /*  649069 */     GIR_EraseRootFromParent_Done,
     /*  649070 */   // Label 10383: @649070
     /*  649070 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649145), // Rule ID 6919 //
     /*  649075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649143 */     GIR_RootConstrainSelectedInstOperands,
     /*  649144 */     // GIR_Coverage, 6919,
     /*  649144 */     GIR_EraseRootFromParent_Done,
     /*  649145 */   // Label 10384: @649145
     /*  649145 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649220), // Rule ID 6922 //
     /*  649150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649218 */     GIR_RootConstrainSelectedInstOperands,
     /*  649219 */     // GIR_Coverage, 6922,
     /*  649219 */     GIR_EraseRootFromParent_Done,
     /*  649220 */   // Label 10385: @649220
     /*  649220 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649295), // Rule ID 6923 //
     /*  649225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649293 */     GIR_RootConstrainSelectedInstOperands,
     /*  649294 */     // GIR_Coverage, 6923,
     /*  649294 */     GIR_EraseRootFromParent_Done,
     /*  649295 */   // Label 10386: @649295
     /*  649295 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649370), // Rule ID 6926 //
     /*  649300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649368 */     GIR_RootConstrainSelectedInstOperands,
     /*  649369 */     // GIR_Coverage, 6926,
     /*  649369 */     GIR_EraseRootFromParent_Done,
     /*  649370 */   // Label 10387: @649370
     /*  649370 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649445), // Rule ID 6927 //
     /*  649375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649443 */     GIR_RootConstrainSelectedInstOperands,
     /*  649444 */     // GIR_Coverage, 6927,
     /*  649444 */     GIR_EraseRootFromParent_Done,
     /*  649445 */   // Label 10388: @649445
     /*  649445 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649520), // Rule ID 6930 //
     /*  649450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649518 */     GIR_RootConstrainSelectedInstOperands,
     /*  649519 */     // GIR_Coverage, 6930,
     /*  649519 */     GIR_EraseRootFromParent_Done,
     /*  649520 */   // Label 10389: @649520
     /*  649520 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649595), // Rule ID 6931 //
     /*  649525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649593 */     GIR_RootConstrainSelectedInstOperands,
     /*  649594 */     // GIR_Coverage, 6931,
     /*  649594 */     GIR_EraseRootFromParent_Done,
     /*  649595 */   // Label 10390: @649595
     /*  649595 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649670), // Rule ID 6934 //
     /*  649600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649668 */     GIR_RootConstrainSelectedInstOperands,
     /*  649669 */     // GIR_Coverage, 6934,
     /*  649669 */     GIR_EraseRootFromParent_Done,
     /*  649670 */   // Label 10391: @649670
     /*  649670 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649745), // Rule ID 6935 //
     /*  649675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649743 */     GIR_RootConstrainSelectedInstOperands,
     /*  649744 */     // GIR_Coverage, 6935,
     /*  649744 */     GIR_EraseRootFromParent_Done,
     /*  649745 */   // Label 10392: @649745
     /*  649745 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(649820), // Rule ID 6938 //
     /*  649750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649818 */     GIR_RootConstrainSelectedInstOperands,
     /*  649819 */     // GIR_Coverage, 6938,
     /*  649819 */     GIR_EraseRootFromParent_Done,
     /*  649820 */   // Label 10393: @649820
     /*  649820 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(649895), // Rule ID 6939 //
     /*  649825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649893 */     GIR_RootConstrainSelectedInstOperands,
     /*  649894 */     // GIR_Coverage, 6939,
     /*  649894 */     GIR_EraseRootFromParent_Done,
     /*  649895 */   // Label 10394: @649895
     /*  649895 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(649970), // Rule ID 6942 //
     /*  649900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649968 */     GIR_RootConstrainSelectedInstOperands,
     /*  649969 */     // GIR_Coverage, 6942,
     /*  649969 */     GIR_EraseRootFromParent_Done,
     /*  649970 */   // Label 10395: @649970
     /*  649970 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650045), // Rule ID 6943 //
     /*  649975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  649978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650043 */     GIR_RootConstrainSelectedInstOperands,
     /*  650044 */     // GIR_Coverage, 6943,
     /*  650044 */     GIR_EraseRootFromParent_Done,
     /*  650045 */   // Label 10396: @650045
     /*  650045 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650120), // Rule ID 6946 //
     /*  650050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650118 */     GIR_RootConstrainSelectedInstOperands,
     /*  650119 */     // GIR_Coverage, 6946,
     /*  650119 */     GIR_EraseRootFromParent_Done,
     /*  650120 */   // Label 10397: @650120
     /*  650120 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650195), // Rule ID 6947 //
     /*  650125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650193 */     GIR_RootConstrainSelectedInstOperands,
     /*  650194 */     // GIR_Coverage, 6947,
     /*  650194 */     GIR_EraseRootFromParent_Done,
     /*  650195 */   // Label 10398: @650195
     /*  650195 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650270), // Rule ID 6950 //
     /*  650200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650268 */     GIR_RootConstrainSelectedInstOperands,
     /*  650269 */     // GIR_Coverage, 6950,
     /*  650269 */     GIR_EraseRootFromParent_Done,
     /*  650270 */   // Label 10399: @650270
     /*  650270 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650345), // Rule ID 6951 //
     /*  650275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650343 */     GIR_RootConstrainSelectedInstOperands,
     /*  650344 */     // GIR_Coverage, 6951,
     /*  650344 */     GIR_EraseRootFromParent_Done,
     /*  650345 */   // Label 10400: @650345
     /*  650345 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650420), // Rule ID 6954 //
     /*  650350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650418 */     GIR_RootConstrainSelectedInstOperands,
     /*  650419 */     // GIR_Coverage, 6954,
     /*  650419 */     GIR_EraseRootFromParent_Done,
     /*  650420 */   // Label 10401: @650420
     /*  650420 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650495), // Rule ID 6955 //
     /*  650425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650493 */     GIR_RootConstrainSelectedInstOperands,
     /*  650494 */     // GIR_Coverage, 6955,
     /*  650494 */     GIR_EraseRootFromParent_Done,
     /*  650495 */   // Label 10402: @650495
     /*  650495 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650570), // Rule ID 6958 //
     /*  650500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650568 */     GIR_RootConstrainSelectedInstOperands,
     /*  650569 */     // GIR_Coverage, 6958,
     /*  650569 */     GIR_EraseRootFromParent_Done,
     /*  650570 */   // Label 10403: @650570
     /*  650570 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650645), // Rule ID 6959 //
     /*  650575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650643 */     GIR_RootConstrainSelectedInstOperands,
     /*  650644 */     // GIR_Coverage, 6959,
     /*  650644 */     GIR_EraseRootFromParent_Done,
     /*  650645 */   // Label 10404: @650645
     /*  650645 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650720), // Rule ID 6962 //
     /*  650650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650718 */     GIR_RootConstrainSelectedInstOperands,
     /*  650719 */     // GIR_Coverage, 6962,
     /*  650719 */     GIR_EraseRootFromParent_Done,
     /*  650720 */   // Label 10405: @650720
     /*  650720 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(650795), // Rule ID 6963 //
     /*  650725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650793 */     GIR_RootConstrainSelectedInstOperands,
     /*  650794 */     // GIR_Coverage, 6963,
     /*  650794 */     GIR_EraseRootFromParent_Done,
     /*  650795 */   // Label 10406: @650795
     /*  650795 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(650870), // Rule ID 6966 //
     /*  650800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650868 */     GIR_RootConstrainSelectedInstOperands,
     /*  650869 */     // GIR_Coverage, 6966,
     /*  650869 */     GIR_EraseRootFromParent_Done,
     /*  650870 */   // Label 10407: @650870
     /*  650870 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(650945), // Rule ID 6967 //
     /*  650875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650943 */     GIR_RootConstrainSelectedInstOperands,
     /*  650944 */     // GIR_Coverage, 6967,
     /*  650944 */     GIR_EraseRootFromParent_Done,
     /*  650945 */   // Label 10408: @650945
     /*  650945 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651020), // Rule ID 6970 //
     /*  650950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  650961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  650964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651018 */     GIR_RootConstrainSelectedInstOperands,
     /*  651019 */     // GIR_Coverage, 6970,
     /*  651019 */     GIR_EraseRootFromParent_Done,
     /*  651020 */   // Label 10409: @651020
     /*  651020 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651095), // Rule ID 6971 //
     /*  651025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651093 */     GIR_RootConstrainSelectedInstOperands,
     /*  651094 */     // GIR_Coverage, 6971,
     /*  651094 */     GIR_EraseRootFromParent_Done,
     /*  651095 */   // Label 10410: @651095
     /*  651095 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651170), // Rule ID 6974 //
     /*  651100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651168 */     GIR_RootConstrainSelectedInstOperands,
     /*  651169 */     // GIR_Coverage, 6974,
     /*  651169 */     GIR_EraseRootFromParent_Done,
     /*  651170 */   // Label 10411: @651170
     /*  651170 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651245), // Rule ID 6975 //
     /*  651175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651243 */     GIR_RootConstrainSelectedInstOperands,
     /*  651244 */     // GIR_Coverage, 6975,
     /*  651244 */     GIR_EraseRootFromParent_Done,
     /*  651245 */   // Label 10412: @651245
     /*  651245 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651320), // Rule ID 6978 //
     /*  651250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651318 */     GIR_RootConstrainSelectedInstOperands,
     /*  651319 */     // GIR_Coverage, 6978,
     /*  651319 */     GIR_EraseRootFromParent_Done,
     /*  651320 */   // Label 10413: @651320
     /*  651320 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651395), // Rule ID 6979 //
     /*  651325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651393 */     GIR_RootConstrainSelectedInstOperands,
     /*  651394 */     // GIR_Coverage, 6979,
     /*  651394 */     GIR_EraseRootFromParent_Done,
     /*  651395 */   // Label 10414: @651395
     /*  651395 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651470), // Rule ID 6982 //
     /*  651400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651468 */     GIR_RootConstrainSelectedInstOperands,
     /*  651469 */     // GIR_Coverage, 6982,
     /*  651469 */     GIR_EraseRootFromParent_Done,
     /*  651470 */   // Label 10415: @651470
     /*  651470 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651545), // Rule ID 6983 //
     /*  651475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651543 */     GIR_RootConstrainSelectedInstOperands,
     /*  651544 */     // GIR_Coverage, 6983,
     /*  651544 */     GIR_EraseRootFromParent_Done,
     /*  651545 */   // Label 10416: @651545
     /*  651545 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651620), // Rule ID 6986 //
     /*  651550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651618 */     GIR_RootConstrainSelectedInstOperands,
     /*  651619 */     // GIR_Coverage, 6986,
     /*  651619 */     GIR_EraseRootFromParent_Done,
     /*  651620 */   // Label 10417: @651620
     /*  651620 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651695), // Rule ID 6987 //
     /*  651625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651693 */     GIR_RootConstrainSelectedInstOperands,
     /*  651694 */     // GIR_Coverage, 6987,
     /*  651694 */     GIR_EraseRootFromParent_Done,
     /*  651695 */   // Label 10418: @651695
     /*  651695 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651770), // Rule ID 6990 //
     /*  651700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651768 */     GIR_RootConstrainSelectedInstOperands,
     /*  651769 */     // GIR_Coverage, 6990,
     /*  651769 */     GIR_EraseRootFromParent_Done,
     /*  651770 */   // Label 10419: @651770
     /*  651770 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(651845), // Rule ID 6991 //
     /*  651775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651843 */     GIR_RootConstrainSelectedInstOperands,
     /*  651844 */     // GIR_Coverage, 6991,
     /*  651844 */     GIR_EraseRootFromParent_Done,
     /*  651845 */   // Label 10420: @651845
     /*  651845 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(651920), // Rule ID 7082 //
     /*  651850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  651870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  651899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651918 */     GIR_RootConstrainSelectedInstOperands,
     /*  651919 */     // GIR_Coverage, 7082,
     /*  651919 */     GIR_EraseRootFromParent_Done,
     /*  651920 */   // Label 10421: @651920
     /*  651920 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(651995), // Rule ID 7083 //
     /*  651925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  651945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  651974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651993 */     GIR_RootConstrainSelectedInstOperands,
     /*  651994 */     // GIR_Coverage, 7083,
     /*  651994 */     GIR_EraseRootFromParent_Done,
     /*  651995 */   // Label 10422: @651995
     /*  651995 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652070), // Rule ID 7086 //
     /*  652000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  652017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652068 */     GIR_RootConstrainSelectedInstOperands,
     /*  652069 */     // GIR_Coverage, 7086,
     /*  652069 */     GIR_EraseRootFromParent_Done,
     /*  652070 */   // Label 10423: @652070
     /*  652070 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652145), // Rule ID 7087 //
     /*  652075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  652092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652143 */     GIR_RootConstrainSelectedInstOperands,
     /*  652144 */     // GIR_Coverage, 7087,
     /*  652144 */     GIR_EraseRootFromParent_Done,
     /*  652145 */   // Label 10424: @652145
     /*  652145 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652220), // Rule ID 7090 //
     /*  652150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  652167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652218 */     GIR_RootConstrainSelectedInstOperands,
     /*  652219 */     // GIR_Coverage, 7090,
     /*  652219 */     GIR_EraseRootFromParent_Done,
     /*  652220 */   // Label 10425: @652220
     /*  652220 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652295), // Rule ID 7091 //
     /*  652225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  652242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652293 */     GIR_RootConstrainSelectedInstOperands,
     /*  652294 */     // GIR_Coverage, 7091,
     /*  652294 */     GIR_EraseRootFromParent_Done,
     /*  652295 */   // Label 10426: @652295
     /*  652295 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652370), // Rule ID 7094 //
     /*  652300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652368 */     GIR_RootConstrainSelectedInstOperands,
     /*  652369 */     // GIR_Coverage, 7094,
     /*  652369 */     GIR_EraseRootFromParent_Done,
     /*  652370 */   // Label 10427: @652370
     /*  652370 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652445), // Rule ID 7095 //
     /*  652375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652443 */     GIR_RootConstrainSelectedInstOperands,
     /*  652444 */     // GIR_Coverage, 7095,
     /*  652444 */     GIR_EraseRootFromParent_Done,
     /*  652445 */   // Label 10428: @652445
     /*  652445 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652520), // Rule ID 7098 //
     /*  652450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  652470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652518 */     GIR_RootConstrainSelectedInstOperands,
     /*  652519 */     // GIR_Coverage, 7098,
     /*  652519 */     GIR_EraseRootFromParent_Done,
     /*  652520 */   // Label 10429: @652520
     /*  652520 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652595), // Rule ID 7099 //
     /*  652525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  652545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652593 */     GIR_RootConstrainSelectedInstOperands,
     /*  652594 */     // GIR_Coverage, 7099,
     /*  652594 */     GIR_EraseRootFromParent_Done,
     /*  652595 */   // Label 10430: @652595
     /*  652595 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652670), // Rule ID 7102 //
     /*  652600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  652620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652668 */     GIR_RootConstrainSelectedInstOperands,
     /*  652669 */     // GIR_Coverage, 7102,
     /*  652669 */     GIR_EraseRootFromParent_Done,
     /*  652670 */   // Label 10431: @652670
     /*  652670 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652745), // Rule ID 7103 //
     /*  652675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  652695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652743 */     GIR_RootConstrainSelectedInstOperands,
     /*  652744 */     // GIR_Coverage, 7103,
     /*  652744 */     GIR_EraseRootFromParent_Done,
     /*  652745 */   // Label 10432: @652745
     /*  652745 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(652820), // Rule ID 7106 //
     /*  652750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652818 */     GIR_RootConstrainSelectedInstOperands,
     /*  652819 */     // GIR_Coverage, 7106,
     /*  652819 */     GIR_EraseRootFromParent_Done,
     /*  652820 */   // Label 10433: @652820
     /*  652820 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(652895), // Rule ID 7107 //
     /*  652825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652893 */     GIR_RootConstrainSelectedInstOperands,
     /*  652894 */     // GIR_Coverage, 7107,
     /*  652894 */     GIR_EraseRootFromParent_Done,
     /*  652895 */   // Label 10434: @652895
     /*  652895 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(652970), // Rule ID 7110 //
     /*  652900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  652920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652968 */     GIR_RootConstrainSelectedInstOperands,
     /*  652969 */     // GIR_Coverage, 7110,
     /*  652969 */     GIR_EraseRootFromParent_Done,
     /*  652970 */   // Label 10435: @652970
     /*  652970 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653045), // Rule ID 7111 //
     /*  652975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  652995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653043 */     GIR_RootConstrainSelectedInstOperands,
     /*  653044 */     // GIR_Coverage, 7111,
     /*  653044 */     GIR_EraseRootFromParent_Done,
     /*  653045 */   // Label 10436: @653045
     /*  653045 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653120), // Rule ID 7114 //
     /*  653050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  653061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  653064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  653070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653118 */     GIR_RootConstrainSelectedInstOperands,
     /*  653119 */     // GIR_Coverage, 7114,
     /*  653119 */     GIR_EraseRootFromParent_Done,
     /*  653120 */   // Label 10437: @653120
     /*  653120 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653195), // Rule ID 7115 //
     /*  653125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  653136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  653139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  653145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653193 */     GIR_RootConstrainSelectedInstOperands,
     /*  653194 */     // GIR_Coverage, 7115,
     /*  653194 */     GIR_EraseRootFromParent_Done,
     /*  653195 */   // Label 10438: @653195
     /*  653195 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653270), // Rule ID 7118 //
     /*  653200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653268 */     GIR_RootConstrainSelectedInstOperands,
     /*  653269 */     // GIR_Coverage, 7118,
     /*  653269 */     GIR_EraseRootFromParent_Done,
     /*  653270 */   // Label 10439: @653270
     /*  653270 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653345), // Rule ID 7119 //
     /*  653275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653343 */     GIR_RootConstrainSelectedInstOperands,
     /*  653344 */     // GIR_Coverage, 7119,
     /*  653344 */     GIR_EraseRootFromParent_Done,
     /*  653345 */   // Label 10440: @653345
     /*  653345 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653420), // Rule ID 7122 //
     /*  653350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653418 */     GIR_RootConstrainSelectedInstOperands,
     /*  653419 */     // GIR_Coverage, 7122,
     /*  653419 */     GIR_EraseRootFromParent_Done,
     /*  653420 */   // Label 10441: @653420
     /*  653420 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653495), // Rule ID 7123 //
     /*  653425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653493 */     GIR_RootConstrainSelectedInstOperands,
     /*  653494 */     // GIR_Coverage, 7123,
     /*  653494 */     GIR_EraseRootFromParent_Done,
     /*  653495 */   // Label 10442: @653495
     /*  653495 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653570), // Rule ID 7126 //
     /*  653500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653568 */     GIR_RootConstrainSelectedInstOperands,
     /*  653569 */     // GIR_Coverage, 7126,
     /*  653569 */     GIR_EraseRootFromParent_Done,
     /*  653570 */   // Label 10443: @653570
     /*  653570 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653645), // Rule ID 7127 //
     /*  653575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653643 */     GIR_RootConstrainSelectedInstOperands,
     /*  653644 */     // GIR_Coverage, 7127,
     /*  653644 */     GIR_EraseRootFromParent_Done,
     /*  653645 */   // Label 10444: @653645
     /*  653645 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653720), // Rule ID 7130 //
     /*  653650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  653670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  653699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653718 */     GIR_RootConstrainSelectedInstOperands,
     /*  653719 */     // GIR_Coverage, 7130,
     /*  653719 */     GIR_EraseRootFromParent_Done,
     /*  653720 */   // Label 10445: @653720
     /*  653720 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(653795), // Rule ID 7131 //
     /*  653725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  653745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  653774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653793 */     GIR_RootConstrainSelectedInstOperands,
     /*  653794 */     // GIR_Coverage, 7131,
     /*  653794 */     GIR_EraseRootFromParent_Done,
     /*  653795 */   // Label 10446: @653795
     /*  653795 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(653870), // Rule ID 7134 //
     /*  653800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653868 */     GIR_RootConstrainSelectedInstOperands,
     /*  653869 */     // GIR_Coverage, 7134,
     /*  653869 */     GIR_EraseRootFromParent_Done,
     /*  653870 */   // Label 10447: @653870
     /*  653870 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(653945), // Rule ID 7135 //
     /*  653875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653943 */     GIR_RootConstrainSelectedInstOperands,
     /*  653944 */     // GIR_Coverage, 7135,
     /*  653944 */     GIR_EraseRootFromParent_Done,
     /*  653945 */   // Label 10448: @653945
     /*  653945 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654020), // Rule ID 7138 //
     /*  653950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654018 */     GIR_RootConstrainSelectedInstOperands,
     /*  654019 */     // GIR_Coverage, 7138,
     /*  654019 */     GIR_EraseRootFromParent_Done,
     /*  654020 */   // Label 10449: @654020
     /*  654020 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654095), // Rule ID 7139 //
     /*  654025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654093 */     GIR_RootConstrainSelectedInstOperands,
     /*  654094 */     // GIR_Coverage, 7139,
     /*  654094 */     GIR_EraseRootFromParent_Done,
     /*  654095 */   // Label 10450: @654095
     /*  654095 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654170), // Rule ID 7142 //
     /*  654100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  654120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654168 */     GIR_RootConstrainSelectedInstOperands,
     /*  654169 */     // GIR_Coverage, 7142,
     /*  654169 */     GIR_EraseRootFromParent_Done,
     /*  654170 */   // Label 10451: @654170
     /*  654170 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654245), // Rule ID 7143 //
     /*  654175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  654195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654243 */     GIR_RootConstrainSelectedInstOperands,
     /*  654244 */     // GIR_Coverage, 7143,
     /*  654244 */     GIR_EraseRootFromParent_Done,
     /*  654245 */   // Label 10452: @654245
     /*  654245 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654320), // Rule ID 7146 //
     /*  654250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654318 */     GIR_RootConstrainSelectedInstOperands,
     /*  654319 */     // GIR_Coverage, 7146,
     /*  654319 */     GIR_EraseRootFromParent_Done,
     /*  654320 */   // Label 10453: @654320
     /*  654320 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654395), // Rule ID 7147 //
     /*  654325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654393 */     GIR_RootConstrainSelectedInstOperands,
     /*  654394 */     // GIR_Coverage, 7147,
     /*  654394 */     GIR_EraseRootFromParent_Done,
     /*  654395 */   // Label 10454: @654395
     /*  654395 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654470), // Rule ID 7150 //
     /*  654400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654468 */     GIR_RootConstrainSelectedInstOperands,
     /*  654469 */     // GIR_Coverage, 7150,
     /*  654469 */     GIR_EraseRootFromParent_Done,
     /*  654470 */   // Label 10455: @654470
     /*  654470 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654545), // Rule ID 7151 //
     /*  654475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654543 */     GIR_RootConstrainSelectedInstOperands,
     /*  654544 */     // GIR_Coverage, 7151,
     /*  654544 */     GIR_EraseRootFromParent_Done,
     /*  654545 */   // Label 10456: @654545
     /*  654545 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654620), // Rule ID 7154 //
     /*  654550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  654570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654618 */     GIR_RootConstrainSelectedInstOperands,
     /*  654619 */     // GIR_Coverage, 7154,
     /*  654619 */     GIR_EraseRootFromParent_Done,
     /*  654620 */   // Label 10457: @654620
     /*  654620 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654695), // Rule ID 7155 //
     /*  654625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  654645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654693 */     GIR_RootConstrainSelectedInstOperands,
     /*  654694 */     // GIR_Coverage, 7155,
     /*  654694 */     GIR_EraseRootFromParent_Done,
     /*  654695 */   // Label 10458: @654695
     /*  654695 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654770), // Rule ID 7158 //
     /*  654700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  654720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654768 */     GIR_RootConstrainSelectedInstOperands,
     /*  654769 */     // GIR_Coverage, 7158,
     /*  654769 */     GIR_EraseRootFromParent_Done,
     /*  654770 */   // Label 10459: @654770
     /*  654770 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(654845), // Rule ID 7159 //
     /*  654775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  654795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654843 */     GIR_RootConstrainSelectedInstOperands,
     /*  654844 */     // GIR_Coverage, 7159,
     /*  654844 */     GIR_EraseRootFromParent_Done,
     /*  654845 */   // Label 10460: @654845
     /*  654845 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(654920), // Rule ID 7162 //
     /*  654850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  654870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654918 */     GIR_RootConstrainSelectedInstOperands,
     /*  654919 */     // GIR_Coverage, 7162,
     /*  654919 */     GIR_EraseRootFromParent_Done,
     /*  654920 */   // Label 10461: @654920
     /*  654920 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(654995), // Rule ID 7163 //
     /*  654925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  654945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654993 */     GIR_RootConstrainSelectedInstOperands,
     /*  654994 */     // GIR_Coverage, 7163,
     /*  654994 */     GIR_EraseRootFromParent_Done,
     /*  654995 */   // Label 10462: @654995
     /*  654995 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655070), // Rule ID 7166 //
     /*  655000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  655003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  655020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  655046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655068 */     GIR_RootConstrainSelectedInstOperands,
     /*  655069 */     // GIR_Coverage, 7166,
     /*  655069 */     GIR_EraseRootFromParent_Done,
     /*  655070 */   // Label 10463: @655070
     /*  655070 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655145), // Rule ID 7167 //
     /*  655075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  655078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  655095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  655121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655143 */     GIR_RootConstrainSelectedInstOperands,
     /*  655144 */     // GIR_Coverage, 7167,
     /*  655144 */     GIR_EraseRootFromParent_Done,
     /*  655145 */   // Label 10464: @655145
     /*  655145 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655220), // Rule ID 7170 //
     /*  655150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  655199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655218 */     GIR_RootConstrainSelectedInstOperands,
     /*  655219 */     // GIR_Coverage, 7170,
     /*  655219 */     GIR_EraseRootFromParent_Done,
     /*  655220 */   // Label 10465: @655220
     /*  655220 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655295), // Rule ID 7171 //
     /*  655225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  655274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655293 */     GIR_RootConstrainSelectedInstOperands,
     /*  655294 */     // GIR_Coverage, 7171,
     /*  655294 */     GIR_EraseRootFromParent_Done,
     /*  655295 */   // Label 10466: @655295
     /*  655295 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655370), // Rule ID 7174 //
     /*  655300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655368 */     GIR_RootConstrainSelectedInstOperands,
     /*  655369 */     // GIR_Coverage, 7174,
     /*  655369 */     GIR_EraseRootFromParent_Done,
     /*  655370 */   // Label 10467: @655370
     /*  655370 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655445), // Rule ID 7175 //
     /*  655375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655443 */     GIR_RootConstrainSelectedInstOperands,
     /*  655444 */     // GIR_Coverage, 7175,
     /*  655444 */     GIR_EraseRootFromParent_Done,
     /*  655445 */   // Label 10468: @655445
     /*  655445 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655520), // Rule ID 7178 //
     /*  655450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655518 */     GIR_RootConstrainSelectedInstOperands,
     /*  655519 */     // GIR_Coverage, 7178,
     /*  655519 */     GIR_EraseRootFromParent_Done,
     /*  655520 */   // Label 10469: @655520
     /*  655520 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655595), // Rule ID 7179 //
     /*  655525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655593 */     GIR_RootConstrainSelectedInstOperands,
     /*  655594 */     // GIR_Coverage, 7179,
     /*  655594 */     GIR_EraseRootFromParent_Done,
     /*  655595 */   // Label 10470: @655595
     /*  655595 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655670), // Rule ID 7182 //
     /*  655600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655668 */     GIR_RootConstrainSelectedInstOperands,
     /*  655669 */     // GIR_Coverage, 7182,
     /*  655669 */     GIR_EraseRootFromParent_Done,
     /*  655670 */   // Label 10471: @655670
     /*  655670 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655745), // Rule ID 7183 //
     /*  655675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655743 */     GIR_RootConstrainSelectedInstOperands,
     /*  655744 */     // GIR_Coverage, 7183,
     /*  655744 */     GIR_EraseRootFromParent_Done,
     /*  655745 */   // Label 10472: @655745
     /*  655745 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(655820), // Rule ID 7186 //
     /*  655750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  655767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655818 */     GIR_RootConstrainSelectedInstOperands,
     /*  655819 */     // GIR_Coverage, 7186,
     /*  655819 */     GIR_EraseRootFromParent_Done,
     /*  655820 */   // Label 10473: @655820
     /*  655820 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(655895), // Rule ID 7187 //
     /*  655825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  655842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655893 */     GIR_RootConstrainSelectedInstOperands,
     /*  655894 */     // GIR_Coverage, 7187,
     /*  655894 */     GIR_EraseRootFromParent_Done,
     /*  655895 */   // Label 10474: @655895
     /*  655895 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(655970), // Rule ID 7190 //
     /*  655900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655968 */     GIR_RootConstrainSelectedInstOperands,
     /*  655969 */     // GIR_Coverage, 7190,
     /*  655969 */     GIR_EraseRootFromParent_Done,
     /*  655970 */   // Label 10475: @655970
     /*  655970 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656045), // Rule ID 7191 //
     /*  655975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656043 */     GIR_RootConstrainSelectedInstOperands,
     /*  656044 */     // GIR_Coverage, 7191,
     /*  656044 */     GIR_EraseRootFromParent_Done,
     /*  656045 */   // Label 10476: @656045
     /*  656045 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656120), // Rule ID 7194 //
     /*  656050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656118 */     GIR_RootConstrainSelectedInstOperands,
     /*  656119 */     // GIR_Coverage, 7194,
     /*  656119 */     GIR_EraseRootFromParent_Done,
     /*  656120 */   // Label 10477: @656120
     /*  656120 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656195), // Rule ID 7195 //
     /*  656125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656193 */     GIR_RootConstrainSelectedInstOperands,
     /*  656194 */     // GIR_Coverage, 7195,
     /*  656194 */     GIR_EraseRootFromParent_Done,
     /*  656195 */   // Label 10478: @656195
     /*  656195 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656270), // Rule ID 7198 //
     /*  656200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656268 */     GIR_RootConstrainSelectedInstOperands,
     /*  656269 */     // GIR_Coverage, 7198,
     /*  656269 */     GIR_EraseRootFromParent_Done,
     /*  656270 */   // Label 10479: @656270
     /*  656270 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656345), // Rule ID 7199 //
     /*  656275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656343 */     GIR_RootConstrainSelectedInstOperands,
     /*  656344 */     // GIR_Coverage, 7199,
     /*  656344 */     GIR_EraseRootFromParent_Done,
     /*  656345 */   // Label 10480: @656345
     /*  656345 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656420), // Rule ID 7202 //
     /*  656350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656418 */     GIR_RootConstrainSelectedInstOperands,
     /*  656419 */     // GIR_Coverage, 7202,
     /*  656419 */     GIR_EraseRootFromParent_Done,
     /*  656420 */   // Label 10481: @656420
     /*  656420 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656495), // Rule ID 7203 //
     /*  656425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656493 */     GIR_RootConstrainSelectedInstOperands,
     /*  656494 */     // GIR_Coverage, 7203,
     /*  656494 */     GIR_EraseRootFromParent_Done,
     /*  656495 */   // Label 10482: @656495
     /*  656495 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656570), // Rule ID 7206 //
     /*  656500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  656503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  656546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  656565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656568 */     GIR_RootConstrainSelectedInstOperands,
     /*  656569 */     // GIR_Coverage, 7206,
     /*  656569 */     GIR_EraseRootFromParent_Done,
     /*  656570 */   // Label 10483: @656570
     /*  656570 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656645), // Rule ID 7207 //
     /*  656575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  656578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  656621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  656640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656643 */     GIR_RootConstrainSelectedInstOperands,
     /*  656644 */     // GIR_Coverage, 7207,
     /*  656644 */     GIR_EraseRootFromParent_Done,
     /*  656645 */   // Label 10484: @656645
     /*  656645 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656720), // Rule ID 7210 //
     /*  656650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  656699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656718 */     GIR_RootConstrainSelectedInstOperands,
     /*  656719 */     // GIR_Coverage, 7210,
     /*  656719 */     GIR_EraseRootFromParent_Done,
     /*  656720 */   // Label 10485: @656720
     /*  656720 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(656795), // Rule ID 7211 //
     /*  656725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  656774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656793 */     GIR_RootConstrainSelectedInstOperands,
     /*  656794 */     // GIR_Coverage, 7211,
     /*  656794 */     GIR_EraseRootFromParent_Done,
     /*  656795 */   // Label 10486: @656795
     /*  656795 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(656870), // Rule ID 7214 //
     /*  656800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  656849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656868 */     GIR_RootConstrainSelectedInstOperands,
     /*  656869 */     // GIR_Coverage, 7214,
     /*  656869 */     GIR_EraseRootFromParent_Done,
     /*  656870 */   // Label 10487: @656870
     /*  656870 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(656945), // Rule ID 7215 //
     /*  656875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  656924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656943 */     GIR_RootConstrainSelectedInstOperands,
     /*  656944 */     // GIR_Coverage, 7215,
     /*  656944 */     GIR_EraseRootFromParent_Done,
     /*  656945 */   // Label 10488: @656945
     /*  656945 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657020), // Rule ID 7218 //
     /*  656950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  656961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  656964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  656967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  656999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657018 */     GIR_RootConstrainSelectedInstOperands,
     /*  657019 */     // GIR_Coverage, 7218,
     /*  657019 */     GIR_EraseRootFromParent_Done,
     /*  657020 */   // Label 10489: @657020
     /*  657020 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657095), // Rule ID 7219 //
     /*  657025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  657036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  657039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  657042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657093 */     GIR_RootConstrainSelectedInstOperands,
     /*  657094 */     // GIR_Coverage, 7219,
     /*  657094 */     GIR_EraseRootFromParent_Done,
     /*  657095 */   // Label 10490: @657095
     /*  657095 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657170), // Rule ID 7222 //
     /*  657100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657168 */     GIR_RootConstrainSelectedInstOperands,
     /*  657169 */     // GIR_Coverage, 7222,
     /*  657169 */     GIR_EraseRootFromParent_Done,
     /*  657170 */   // Label 10491: @657170
     /*  657170 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657245), // Rule ID 7223 //
     /*  657175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657243 */     GIR_RootConstrainSelectedInstOperands,
     /*  657244 */     // GIR_Coverage, 7223,
     /*  657244 */     GIR_EraseRootFromParent_Done,
     /*  657245 */   // Label 10492: @657245
     /*  657245 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657320), // Rule ID 7226 //
     /*  657250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657318 */     GIR_RootConstrainSelectedInstOperands,
     /*  657319 */     // GIR_Coverage, 7226,
     /*  657319 */     GIR_EraseRootFromParent_Done,
     /*  657320 */   // Label 10493: @657320
     /*  657320 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657395), // Rule ID 7227 //
     /*  657325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657393 */     GIR_RootConstrainSelectedInstOperands,
     /*  657394 */     // GIR_Coverage, 7227,
     /*  657394 */     GIR_EraseRootFromParent_Done,
     /*  657395 */   // Label 10494: @657395
     /*  657395 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657470), // Rule ID 7230 //
     /*  657400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657468 */     GIR_RootConstrainSelectedInstOperands,
     /*  657469 */     // GIR_Coverage, 7230,
     /*  657469 */     GIR_EraseRootFromParent_Done,
     /*  657470 */   // Label 10495: @657470
     /*  657470 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657545), // Rule ID 7231 //
     /*  657475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657543 */     GIR_RootConstrainSelectedInstOperands,
     /*  657544 */     // GIR_Coverage, 7231,
     /*  657544 */     GIR_EraseRootFromParent_Done,
     /*  657545 */   // Label 10496: @657545
     /*  657545 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657620), // Rule ID 7234 //
     /*  657550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657618 */     GIR_RootConstrainSelectedInstOperands,
     /*  657619 */     // GIR_Coverage, 7234,
     /*  657619 */     GIR_EraseRootFromParent_Done,
     /*  657620 */   // Label 10497: @657620
     /*  657620 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657695), // Rule ID 7235 //
     /*  657625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657693 */     GIR_RootConstrainSelectedInstOperands,
     /*  657694 */     // GIR_Coverage, 7235,
     /*  657694 */     GIR_EraseRootFromParent_Done,
     /*  657695 */   // Label 10498: @657695
     /*  657695 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657770), // Rule ID 7238 //
     /*  657700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657768 */     GIR_RootConstrainSelectedInstOperands,
     /*  657769 */     // GIR_Coverage, 7238,
     /*  657769 */     GIR_EraseRootFromParent_Done,
     /*  657770 */   // Label 10499: @657770
     /*  657770 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(657845), // Rule ID 7239 //
     /*  657775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657843 */     GIR_RootConstrainSelectedInstOperands,
     /*  657844 */     // GIR_Coverage, 7239,
     /*  657844 */     GIR_EraseRootFromParent_Done,
     /*  657845 */   // Label 10500: @657845
     /*  657845 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(657920), // Rule ID 7242 //
     /*  657850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657918 */     GIR_RootConstrainSelectedInstOperands,
     /*  657919 */     // GIR_Coverage, 7242,
     /*  657919 */     GIR_EraseRootFromParent_Done,
     /*  657920 */   // Label 10501: @657920
     /*  657920 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(657995), // Rule ID 7243 //
     /*  657925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657993 */     GIR_RootConstrainSelectedInstOperands,
     /*  657994 */     // GIR_Coverage, 7243,
     /*  657994 */     GIR_EraseRootFromParent_Done,
     /*  657995 */   // Label 10502: @657995
     /*  657995 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658070), // Rule ID 7246 //
     /*  658000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  658011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  658014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658068 */     GIR_RootConstrainSelectedInstOperands,
     /*  658069 */     // GIR_Coverage, 7246,
     /*  658069 */     GIR_EraseRootFromParent_Done,
     /*  658070 */   // Label 10503: @658070
     /*  658070 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658145), // Rule ID 7247 //
     /*  658075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  658086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  658089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658143 */     GIR_RootConstrainSelectedInstOperands,
     /*  658144 */     // GIR_Coverage, 7247,
     /*  658144 */     GIR_EraseRootFromParent_Done,
     /*  658145 */   // Label 10504: @658145
     /*  658145 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658220), // Rule ID 7250 //
     /*  658150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  658161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  658164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658218 */     GIR_RootConstrainSelectedInstOperands,
     /*  658219 */     // GIR_Coverage, 7250,
     /*  658219 */     GIR_EraseRootFromParent_Done,
     /*  658220 */   // Label 10505: @658220
     /*  658220 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658295), // Rule ID 7251 //
     /*  658225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  658236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  658239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658293 */     GIR_RootConstrainSelectedInstOperands,
     /*  658294 */     // GIR_Coverage, 7251,
     /*  658294 */     GIR_EraseRootFromParent_Done,
     /*  658295 */   // Label 10506: @658295
     /*  658295 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658370), // Rule ID 7254 //
     /*  658300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658368 */     GIR_RootConstrainSelectedInstOperands,
     /*  658369 */     // GIR_Coverage, 7254,
     /*  658369 */     GIR_EraseRootFromParent_Done,
     /*  658370 */   // Label 10507: @658370
     /*  658370 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658445), // Rule ID 7255 //
     /*  658375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658443 */     GIR_RootConstrainSelectedInstOperands,
     /*  658444 */     // GIR_Coverage, 7255,
     /*  658444 */     GIR_EraseRootFromParent_Done,
     /*  658445 */   // Label 10508: @658445
     /*  658445 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658520), // Rule ID 7434 //
     /*  658450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  658499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658518 */     GIR_RootConstrainSelectedInstOperands,
     /*  658519 */     // GIR_Coverage, 7434,
     /*  658519 */     GIR_EraseRootFromParent_Done,
     /*  658520 */   // Label 10509: @658520
     /*  658520 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658595), // Rule ID 7435 //
     /*  658525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  658574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658593 */     GIR_RootConstrainSelectedInstOperands,
     /*  658594 */     // GIR_Coverage, 7435,
     /*  658594 */     GIR_EraseRootFromParent_Done,
     /*  658595 */   // Label 10510: @658595
     /*  658595 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658670), // Rule ID 7438 //
     /*  658600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  658649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658668 */     GIR_RootConstrainSelectedInstOperands,
     /*  658669 */     // GIR_Coverage, 7438,
     /*  658669 */     GIR_EraseRootFromParent_Done,
     /*  658670 */   // Label 10511: @658670
     /*  658670 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658745), // Rule ID 7439 //
     /*  658675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  658724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658743 */     GIR_RootConstrainSelectedInstOperands,
     /*  658744 */     // GIR_Coverage, 7439,
     /*  658744 */     GIR_EraseRootFromParent_Done,
     /*  658745 */   // Label 10512: @658745
     /*  658745 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(658820), // Rule ID 7442 //
     /*  658750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  658799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658818 */     GIR_RootConstrainSelectedInstOperands,
     /*  658819 */     // GIR_Coverage, 7442,
     /*  658819 */     GIR_EraseRootFromParent_Done,
     /*  658820 */   // Label 10513: @658820
     /*  658820 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(658895), // Rule ID 7443 //
     /*  658825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  658874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658893 */     GIR_RootConstrainSelectedInstOperands,
     /*  658894 */     // GIR_Coverage, 7443,
     /*  658894 */     GIR_EraseRootFromParent_Done,
     /*  658895 */   // Label 10514: @658895
     /*  658895 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(658970), // Rule ID 7446 //
     /*  658900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  658949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658968 */     GIR_RootConstrainSelectedInstOperands,
     /*  658969 */     // GIR_Coverage, 7446,
     /*  658969 */     GIR_EraseRootFromParent_Done,
     /*  658970 */   // Label 10515: @658970
     /*  658970 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659045), // Rule ID 7447 //
     /*  658975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659021 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659043 */     GIR_RootConstrainSelectedInstOperands,
     /*  659044 */     // GIR_Coverage, 7447,
     /*  659044 */     GIR_EraseRootFromParent_Done,
     /*  659045 */   // Label 10516: @659045
     /*  659045 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659120), // Rule ID 7450 //
     /*  659050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659118 */     GIR_RootConstrainSelectedInstOperands,
     /*  659119 */     // GIR_Coverage, 7450,
     /*  659119 */     GIR_EraseRootFromParent_Done,
     /*  659120 */   // Label 10517: @659120
     /*  659120 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659195), // Rule ID 7451 //
     /*  659125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659193 */     GIR_RootConstrainSelectedInstOperands,
     /*  659194 */     // GIR_Coverage, 7451,
     /*  659194 */     GIR_EraseRootFromParent_Done,
     /*  659195 */   // Label 10518: @659195
     /*  659195 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659270), // Rule ID 7454 //
     /*  659200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659268 */     GIR_RootConstrainSelectedInstOperands,
     /*  659269 */     // GIR_Coverage, 7454,
     /*  659269 */     GIR_EraseRootFromParent_Done,
     /*  659270 */   // Label 10519: @659270
     /*  659270 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659345), // Rule ID 7455 //
     /*  659275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659343 */     GIR_RootConstrainSelectedInstOperands,
     /*  659344 */     // GIR_Coverage, 7455,
     /*  659344 */     GIR_EraseRootFromParent_Done,
     /*  659345 */   // Label 10520: @659345
     /*  659345 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659420), // Rule ID 7458 //
     /*  659350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659418 */     GIR_RootConstrainSelectedInstOperands,
     /*  659419 */     // GIR_Coverage, 7458,
     /*  659419 */     GIR_EraseRootFromParent_Done,
     /*  659420 */   // Label 10521: @659420
     /*  659420 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659495), // Rule ID 7459 //
     /*  659425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659471 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659493 */     GIR_RootConstrainSelectedInstOperands,
     /*  659494 */     // GIR_Coverage, 7459,
     /*  659494 */     GIR_EraseRootFromParent_Done,
     /*  659495 */   // Label 10522: @659495
     /*  659495 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659570), // Rule ID 7462 //
     /*  659500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659568 */     GIR_RootConstrainSelectedInstOperands,
     /*  659569 */     // GIR_Coverage, 7462,
     /*  659569 */     GIR_EraseRootFromParent_Done,
     /*  659570 */   // Label 10523: @659570
     /*  659570 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659645), // Rule ID 7463 //
     /*  659575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659643 */     GIR_RootConstrainSelectedInstOperands,
     /*  659644 */     // GIR_Coverage, 7463,
     /*  659644 */     GIR_EraseRootFromParent_Done,
     /*  659645 */   // Label 10524: @659645
     /*  659645 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659720), // Rule ID 7466 //
     /*  659650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659718 */     GIR_RootConstrainSelectedInstOperands,
     /*  659719 */     // GIR_Coverage, 7466,
     /*  659719 */     GIR_EraseRootFromParent_Done,
     /*  659720 */   // Label 10525: @659720
     /*  659720 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(659795), // Rule ID 7467 //
     /*  659725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659793 */     GIR_RootConstrainSelectedInstOperands,
     /*  659794 */     // GIR_Coverage, 7467,
     /*  659794 */     GIR_EraseRootFromParent_Done,
     /*  659795 */   // Label 10526: @659795
     /*  659795 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(659870), // Rule ID 7470 //
     /*  659800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659868 */     GIR_RootConstrainSelectedInstOperands,
     /*  659869 */     // GIR_Coverage, 7470,
     /*  659869 */     GIR_EraseRootFromParent_Done,
     /*  659870 */   // Label 10527: @659870
     /*  659870 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(659945), // Rule ID 7471 //
     /*  659875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659943 */     GIR_RootConstrainSelectedInstOperands,
     /*  659944 */     // GIR_Coverage, 7471,
     /*  659944 */     GIR_EraseRootFromParent_Done,
     /*  659945 */   // Label 10528: @659945
     /*  659945 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660020), // Rule ID 7474 //
     /*  659950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660018 */     GIR_RootConstrainSelectedInstOperands,
     /*  660019 */     // GIR_Coverage, 7474,
     /*  660019 */     GIR_EraseRootFromParent_Done,
     /*  660020 */   // Label 10529: @660020
     /*  660020 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660095), // Rule ID 7475 //
     /*  660025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660093 */     GIR_RootConstrainSelectedInstOperands,
     /*  660094 */     // GIR_Coverage, 7475,
     /*  660094 */     GIR_EraseRootFromParent_Done,
     /*  660095 */   // Label 10530: @660095
     /*  660095 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660170), // Rule ID 7478 //
     /*  660100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660168 */     GIR_RootConstrainSelectedInstOperands,
     /*  660169 */     // GIR_Coverage, 7478,
     /*  660169 */     GIR_EraseRootFromParent_Done,
     /*  660170 */   // Label 10531: @660170
     /*  660170 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660245), // Rule ID 7479 //
     /*  660175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660243 */     GIR_RootConstrainSelectedInstOperands,
     /*  660244 */     // GIR_Coverage, 7479,
     /*  660244 */     GIR_EraseRootFromParent_Done,
     /*  660245 */   // Label 10532: @660245
     /*  660245 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660320), // Rule ID 7482 //
     /*  660250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660318 */     GIR_RootConstrainSelectedInstOperands,
     /*  660319 */     // GIR_Coverage, 7482,
     /*  660319 */     GIR_EraseRootFromParent_Done,
     /*  660320 */   // Label 10533: @660320
     /*  660320 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660395), // Rule ID 7483 //
     /*  660325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660393 */     GIR_RootConstrainSelectedInstOperands,
     /*  660394 */     // GIR_Coverage, 7483,
     /*  660394 */     GIR_EraseRootFromParent_Done,
     /*  660395 */   // Label 10534: @660395
     /*  660395 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660470), // Rule ID 7486 //
     /*  660400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660468 */     GIR_RootConstrainSelectedInstOperands,
     /*  660469 */     // GIR_Coverage, 7486,
     /*  660469 */     GIR_EraseRootFromParent_Done,
     /*  660470 */   // Label 10535: @660470
     /*  660470 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660545), // Rule ID 7487 //
     /*  660475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660543 */     GIR_RootConstrainSelectedInstOperands,
     /*  660544 */     // GIR_Coverage, 7487,
     /*  660544 */     GIR_EraseRootFromParent_Done,
     /*  660545 */   // Label 10536: @660545
     /*  660545 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660620), // Rule ID 7490 //
     /*  660550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660618 */     GIR_RootConstrainSelectedInstOperands,
     /*  660619 */     // GIR_Coverage, 7490,
     /*  660619 */     GIR_EraseRootFromParent_Done,
     /*  660620 */   // Label 10537: @660620
     /*  660620 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660695), // Rule ID 7491 //
     /*  660625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660693 */     GIR_RootConstrainSelectedInstOperands,
     /*  660694 */     // GIR_Coverage, 7491,
     /*  660694 */     GIR_EraseRootFromParent_Done,
     /*  660695 */   // Label 10538: @660695
     /*  660695 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660770), // Rule ID 7494 //
     /*  660700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  660749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660768 */     GIR_RootConstrainSelectedInstOperands,
     /*  660769 */     // GIR_Coverage, 7494,
     /*  660769 */     GIR_EraseRootFromParent_Done,
     /*  660770 */   // Label 10539: @660770
     /*  660770 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(660845), // Rule ID 7495 //
     /*  660775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660821 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  660824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660843 */     GIR_RootConstrainSelectedInstOperands,
     /*  660844 */     // GIR_Coverage, 7495,
     /*  660844 */     GIR_EraseRootFromParent_Done,
     /*  660845 */   // Label 10540: @660845
     /*  660845 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(660920), // Rule ID 7498 //
     /*  660850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  660899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660918 */     GIR_RootConstrainSelectedInstOperands,
     /*  660919 */     // GIR_Coverage, 7498,
     /*  660919 */     GIR_EraseRootFromParent_Done,
     /*  660920 */   // Label 10541: @660920
     /*  660920 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(660995), // Rule ID 7499 //
     /*  660925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  660974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660993 */     GIR_RootConstrainSelectedInstOperands,
     /*  660994 */     // GIR_Coverage, 7499,
     /*  660994 */     GIR_EraseRootFromParent_Done,
     /*  660995 */   // Label 10542: @660995
     /*  660995 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661070), // Rule ID 7502 //
     /*  661000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661068 */     GIR_RootConstrainSelectedInstOperands,
     /*  661069 */     // GIR_Coverage, 7502,
     /*  661069 */     GIR_EraseRootFromParent_Done,
     /*  661070 */   // Label 10543: @661070
     /*  661070 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661145), // Rule ID 7503 //
     /*  661075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661121 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661143 */     GIR_RootConstrainSelectedInstOperands,
     /*  661144 */     // GIR_Coverage, 7503,
     /*  661144 */     GIR_EraseRootFromParent_Done,
     /*  661145 */   // Label 10544: @661145
     /*  661145 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661220), // Rule ID 7506 //
     /*  661150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661218 */     GIR_RootConstrainSelectedInstOperands,
     /*  661219 */     // GIR_Coverage, 7506,
     /*  661219 */     GIR_EraseRootFromParent_Done,
     /*  661220 */   // Label 10545: @661220
     /*  661220 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661295), // Rule ID 7507 //
     /*  661225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661293 */     GIR_RootConstrainSelectedInstOperands,
     /*  661294 */     // GIR_Coverage, 7507,
     /*  661294 */     GIR_EraseRootFromParent_Done,
     /*  661295 */   // Label 10546: @661295
     /*  661295 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661370), // Rule ID 7510 //
     /*  661300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661368 */     GIR_RootConstrainSelectedInstOperands,
     /*  661369 */     // GIR_Coverage, 7510,
     /*  661369 */     GIR_EraseRootFromParent_Done,
     /*  661370 */   // Label 10547: @661370
     /*  661370 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661445), // Rule ID 7511 //
     /*  661375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661421 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661443 */     GIR_RootConstrainSelectedInstOperands,
     /*  661444 */     // GIR_Coverage, 7511,
     /*  661444 */     GIR_EraseRootFromParent_Done,
     /*  661445 */   // Label 10548: @661445
     /*  661445 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661520), // Rule ID 7514 //
     /*  661450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  661499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661518 */     GIR_RootConstrainSelectedInstOperands,
     /*  661519 */     // GIR_Coverage, 7514,
     /*  661519 */     GIR_EraseRootFromParent_Done,
     /*  661520 */   // Label 10549: @661520
     /*  661520 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661595), // Rule ID 7515 //
     /*  661525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  661574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661593 */     GIR_RootConstrainSelectedInstOperands,
     /*  661594 */     // GIR_Coverage, 7515,
     /*  661594 */     GIR_EraseRootFromParent_Done,
     /*  661595 */   // Label 10550: @661595
     /*  661595 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661670), // Rule ID 7518 //
     /*  661600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661668 */     GIR_RootConstrainSelectedInstOperands,
     /*  661669 */     // GIR_Coverage, 7518,
     /*  661669 */     GIR_EraseRootFromParent_Done,
     /*  661670 */   // Label 10551: @661670
     /*  661670 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661745), // Rule ID 7519 //
     /*  661675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661743 */     GIR_RootConstrainSelectedInstOperands,
     /*  661744 */     // GIR_Coverage, 7519,
     /*  661744 */     GIR_EraseRootFromParent_Done,
     /*  661745 */   // Label 10552: @661745
     /*  661745 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(661820), // Rule ID 7522 //
     /*  661750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661818 */     GIR_RootConstrainSelectedInstOperands,
     /*  661819 */     // GIR_Coverage, 7522,
     /*  661819 */     GIR_EraseRootFromParent_Done,
     /*  661820 */   // Label 10553: @661820
     /*  661820 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(661895), // Rule ID 7523 //
     /*  661825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661893 */     GIR_RootConstrainSelectedInstOperands,
     /*  661894 */     // GIR_Coverage, 7523,
     /*  661894 */     GIR_EraseRootFromParent_Done,
     /*  661895 */   // Label 10554: @661895
     /*  661895 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(661970), // Rule ID 7526 //
     /*  661900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661968 */     GIR_RootConstrainSelectedInstOperands,
     /*  661969 */     // GIR_Coverage, 7526,
     /*  661969 */     GIR_EraseRootFromParent_Done,
     /*  661970 */   // Label 10555: @661970
     /*  661970 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662045), // Rule ID 7527 //
     /*  661975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662043 */     GIR_RootConstrainSelectedInstOperands,
     /*  662044 */     // GIR_Coverage, 7527,
     /*  662044 */     GIR_EraseRootFromParent_Done,
     /*  662045 */   // Label 10556: @662045
     /*  662045 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662120), // Rule ID 7530 //
     /*  662050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662118 */     GIR_RootConstrainSelectedInstOperands,
     /*  662119 */     // GIR_Coverage, 7530,
     /*  662119 */     GIR_EraseRootFromParent_Done,
     /*  662120 */   // Label 10557: @662120
     /*  662120 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662195), // Rule ID 7531 //
     /*  662125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662193 */     GIR_RootConstrainSelectedInstOperands,
     /*  662194 */     // GIR_Coverage, 7531,
     /*  662194 */     GIR_EraseRootFromParent_Done,
     /*  662195 */   // Label 10558: @662195
     /*  662195 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662270), // Rule ID 7534 //
     /*  662200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662268 */     GIR_RootConstrainSelectedInstOperands,
     /*  662269 */     // GIR_Coverage, 7534,
     /*  662269 */     GIR_EraseRootFromParent_Done,
     /*  662270 */   // Label 10559: @662270
     /*  662270 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662345), // Rule ID 7535 //
     /*  662275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662343 */     GIR_RootConstrainSelectedInstOperands,
     /*  662344 */     // GIR_Coverage, 7535,
     /*  662344 */     GIR_EraseRootFromParent_Done,
     /*  662345 */   // Label 10560: @662345
     /*  662345 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662420), // Rule ID 7538 //
     /*  662350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662418 */     GIR_RootConstrainSelectedInstOperands,
     /*  662419 */     // GIR_Coverage, 7538,
     /*  662419 */     GIR_EraseRootFromParent_Done,
     /*  662420 */   // Label 10561: @662420
     /*  662420 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662495), // Rule ID 7539 //
     /*  662425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662493 */     GIR_RootConstrainSelectedInstOperands,
     /*  662494 */     // GIR_Coverage, 7539,
     /*  662494 */     GIR_EraseRootFromParent_Done,
     /*  662495 */   // Label 10562: @662495
     /*  662495 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662570), // Rule ID 7542 //
     /*  662500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662568 */     GIR_RootConstrainSelectedInstOperands,
     /*  662569 */     // GIR_Coverage, 7542,
     /*  662569 */     GIR_EraseRootFromParent_Done,
     /*  662570 */   // Label 10563: @662570
     /*  662570 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662645), // Rule ID 7543 //
     /*  662575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662643 */     GIR_RootConstrainSelectedInstOperands,
     /*  662644 */     // GIR_Coverage, 7543,
     /*  662644 */     GIR_EraseRootFromParent_Done,
     /*  662645 */   // Label 10564: @662645
     /*  662645 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662720), // Rule ID 7546 //
     /*  662650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662718 */     GIR_RootConstrainSelectedInstOperands,
     /*  662719 */     // GIR_Coverage, 7546,
     /*  662719 */     GIR_EraseRootFromParent_Done,
     /*  662720 */   // Label 10565: @662720
     /*  662720 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(662795), // Rule ID 7547 //
     /*  662725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662793 */     GIR_RootConstrainSelectedInstOperands,
     /*  662794 */     // GIR_Coverage, 7547,
     /*  662794 */     GIR_EraseRootFromParent_Done,
     /*  662795 */   // Label 10566: @662795
     /*  662795 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(662870), // Rule ID 7550 //
     /*  662800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662868 */     GIR_RootConstrainSelectedInstOperands,
     /*  662869 */     // GIR_Coverage, 7550,
     /*  662869 */     GIR_EraseRootFromParent_Done,
     /*  662870 */   // Label 10567: @662870
     /*  662870 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(662945), // Rule ID 7551 //
     /*  662875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662943 */     GIR_RootConstrainSelectedInstOperands,
     /*  662944 */     // GIR_Coverage, 7551,
     /*  662944 */     GIR_EraseRootFromParent_Done,
     /*  662945 */   // Label 10568: @662945
     /*  662945 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663020), // Rule ID 7614 //
     /*  662950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  662999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663018 */     GIR_RootConstrainSelectedInstOperands,
     /*  663019 */     // GIR_Coverage, 7614,
     /*  663019 */     GIR_EraseRootFromParent_Done,
     /*  663020 */   // Label 10569: @663020
     /*  663020 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663095), // Rule ID 7615 //
     /*  663025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  663074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663093 */     GIR_RootConstrainSelectedInstOperands,
     /*  663094 */     // GIR_Coverage, 7615,
     /*  663094 */     GIR_EraseRootFromParent_Done,
     /*  663095 */   // Label 10570: @663095
     /*  663095 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663170), // Rule ID 7618 //
     /*  663100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663168 */     GIR_RootConstrainSelectedInstOperands,
     /*  663169 */     // GIR_Coverage, 7618,
     /*  663169 */     GIR_EraseRootFromParent_Done,
     /*  663170 */   // Label 10571: @663170
     /*  663170 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663245), // Rule ID 7619 //
     /*  663175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663243 */     GIR_RootConstrainSelectedInstOperands,
     /*  663244 */     // GIR_Coverage, 7619,
     /*  663244 */     GIR_EraseRootFromParent_Done,
     /*  663245 */   // Label 10572: @663245
     /*  663245 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663320), // Rule ID 7622 //
     /*  663250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663318 */     GIR_RootConstrainSelectedInstOperands,
     /*  663319 */     // GIR_Coverage, 7622,
     /*  663319 */     GIR_EraseRootFromParent_Done,
     /*  663320 */   // Label 10573: @663320
     /*  663320 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663395), // Rule ID 7623 //
     /*  663325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663393 */     GIR_RootConstrainSelectedInstOperands,
     /*  663394 */     // GIR_Coverage, 7623,
     /*  663394 */     GIR_EraseRootFromParent_Done,
     /*  663395 */   // Label 10574: @663395
     /*  663395 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663470), // Rule ID 7626 //
     /*  663400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663468 */     GIR_RootConstrainSelectedInstOperands,
     /*  663469 */     // GIR_Coverage, 7626,
     /*  663469 */     GIR_EraseRootFromParent_Done,
     /*  663470 */   // Label 10575: @663470
     /*  663470 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663545), // Rule ID 7627 //
     /*  663475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663521 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663543 */     GIR_RootConstrainSelectedInstOperands,
     /*  663544 */     // GIR_Coverage, 7627,
     /*  663544 */     GIR_EraseRootFromParent_Done,
     /*  663545 */   // Label 10576: @663545
     /*  663545 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663620), // Rule ID 7630 //
     /*  663550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  663599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663618 */     GIR_RootConstrainSelectedInstOperands,
     /*  663619 */     // GIR_Coverage, 7630,
     /*  663619 */     GIR_EraseRootFromParent_Done,
     /*  663620 */   // Label 10577: @663620
     /*  663620 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663695), // Rule ID 7631 //
     /*  663625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  663674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663693 */     GIR_RootConstrainSelectedInstOperands,
     /*  663694 */     // GIR_Coverage, 7631,
     /*  663694 */     GIR_EraseRootFromParent_Done,
     /*  663695 */   // Label 10578: @663695
     /*  663695 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663770), // Rule ID 7634 //
     /*  663700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  663749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663768 */     GIR_RootConstrainSelectedInstOperands,
     /*  663769 */     // GIR_Coverage, 7634,
     /*  663769 */     GIR_EraseRootFromParent_Done,
     /*  663770 */   // Label 10579: @663770
     /*  663770 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(663845), // Rule ID 7635 //
     /*  663775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  663824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663843 */     GIR_RootConstrainSelectedInstOperands,
     /*  663844 */     // GIR_Coverage, 7635,
     /*  663844 */     GIR_EraseRootFromParent_Done,
     /*  663845 */   // Label 10580: @663845
     /*  663845 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(663920), // Rule ID 7638 //
     /*  663850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663918 */     GIR_RootConstrainSelectedInstOperands,
     /*  663919 */     // GIR_Coverage, 7638,
     /*  663919 */     GIR_EraseRootFromParent_Done,
     /*  663920 */   // Label 10581: @663920
     /*  663920 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(663995), // Rule ID 7639 //
     /*  663925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663971 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663993 */     GIR_RootConstrainSelectedInstOperands,
     /*  663994 */     // GIR_Coverage, 7639,
     /*  663994 */     GIR_EraseRootFromParent_Done,
     /*  663995 */   // Label 10582: @663995
     /*  663995 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664070), // Rule ID 7642 //
     /*  664000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664068 */     GIR_RootConstrainSelectedInstOperands,
     /*  664069 */     // GIR_Coverage, 7642,
     /*  664069 */     GIR_EraseRootFromParent_Done,
     /*  664070 */   // Label 10583: @664070
     /*  664070 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664145), // Rule ID 7643 //
     /*  664075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664121 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664143 */     GIR_RootConstrainSelectedInstOperands,
     /*  664144 */     // GIR_Coverage, 7643,
     /*  664144 */     GIR_EraseRootFromParent_Done,
     /*  664145 */   // Label 10584: @664145
     /*  664145 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664220), // Rule ID 7646 //
     /*  664150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664218 */     GIR_RootConstrainSelectedInstOperands,
     /*  664219 */     // GIR_Coverage, 7646,
     /*  664219 */     GIR_EraseRootFromParent_Done,
     /*  664220 */   // Label 10585: @664220
     /*  664220 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664295), // Rule ID 7647 //
     /*  664225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664271 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664293 */     GIR_RootConstrainSelectedInstOperands,
     /*  664294 */     // GIR_Coverage, 7647,
     /*  664294 */     GIR_EraseRootFromParent_Done,
     /*  664295 */   // Label 10586: @664295
     /*  664295 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664370), // Rule ID 7650 //
     /*  664300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664368 */     GIR_RootConstrainSelectedInstOperands,
     /*  664369 */     // GIR_Coverage, 7650,
     /*  664369 */     GIR_EraseRootFromParent_Done,
     /*  664370 */   // Label 10587: @664370
     /*  664370 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664445), // Rule ID 7651 //
     /*  664375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664443 */     GIR_RootConstrainSelectedInstOperands,
     /*  664444 */     // GIR_Coverage, 7651,
     /*  664444 */     GIR_EraseRootFromParent_Done,
     /*  664445 */   // Label 10588: @664445
     /*  664445 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664520), // Rule ID 7654 //
     /*  664450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664518 */     GIR_RootConstrainSelectedInstOperands,
     /*  664519 */     // GIR_Coverage, 7654,
     /*  664519 */     GIR_EraseRootFromParent_Done,
     /*  664520 */   // Label 10589: @664520
     /*  664520 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664595), // Rule ID 7655 //
     /*  664525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664593 */     GIR_RootConstrainSelectedInstOperands,
     /*  664594 */     // GIR_Coverage, 7655,
     /*  664594 */     GIR_EraseRootFromParent_Done,
     /*  664595 */   // Label 10590: @664595
     /*  664595 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664670), // Rule ID 7658 //
     /*  664600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664668 */     GIR_RootConstrainSelectedInstOperands,
     /*  664669 */     // GIR_Coverage, 7658,
     /*  664669 */     GIR_EraseRootFromParent_Done,
     /*  664670 */   // Label 10591: @664670
     /*  664670 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664745), // Rule ID 7659 //
     /*  664675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664743 */     GIR_RootConstrainSelectedInstOperands,
     /*  664744 */     // GIR_Coverage, 7659,
     /*  664744 */     GIR_EraseRootFromParent_Done,
     /*  664745 */   // Label 10592: @664745
     /*  664745 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(664820), // Rule ID 7662 //
     /*  664750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664818 */     GIR_RootConstrainSelectedInstOperands,
     /*  664819 */     // GIR_Coverage, 7662,
     /*  664819 */     GIR_EraseRootFromParent_Done,
     /*  664820 */   // Label 10593: @664820
     /*  664820 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(664895), // Rule ID 7663 //
     /*  664825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664893 */     GIR_RootConstrainSelectedInstOperands,
     /*  664894 */     // GIR_Coverage, 7663,
     /*  664894 */     GIR_EraseRootFromParent_Done,
     /*  664895 */   // Label 10594: @664895
     /*  664895 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(664970), // Rule ID 7666 //
     /*  664900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664968 */     GIR_RootConstrainSelectedInstOperands,
     /*  664969 */     // GIR_Coverage, 7666,
     /*  664969 */     GIR_EraseRootFromParent_Done,
     /*  664970 */   // Label 10595: @664970
     /*  664970 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665045), // Rule ID 7667 //
     /*  664975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  665024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665043 */     GIR_RootConstrainSelectedInstOperands,
     /*  665044 */     // GIR_Coverage, 7667,
     /*  665044 */     GIR_EraseRootFromParent_Done,
     /*  665045 */   // Label 10596: @665045
     /*  665045 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665120), // Rule ID 7670 //
     /*  665050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  665053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  665099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665118 */     GIR_RootConstrainSelectedInstOperands,
     /*  665119 */     // GIR_Coverage, 7670,
     /*  665119 */     GIR_EraseRootFromParent_Done,
     /*  665120 */   // Label 10597: @665120
     /*  665120 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665195), // Rule ID 7671 //
     /*  665125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  665128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  665174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665193 */     GIR_RootConstrainSelectedInstOperands,
     /*  665194 */     // GIR_Coverage, 7671,
     /*  665194 */     GIR_EraseRootFromParent_Done,
     /*  665195 */   // Label 10598: @665195
     /*  665195 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665270), // Rule ID 7674 //
     /*  665200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665268 */     GIR_RootConstrainSelectedInstOperands,
     /*  665269 */     // GIR_Coverage, 7674,
     /*  665269 */     GIR_EraseRootFromParent_Done,
     /*  665270 */   // Label 10599: @665270
     /*  665270 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665345), // Rule ID 7675 //
     /*  665275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665321 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665343 */     GIR_RootConstrainSelectedInstOperands,
     /*  665344 */     // GIR_Coverage, 7675,
     /*  665344 */     GIR_EraseRootFromParent_Done,
     /*  665345 */   // Label 10600: @665345
     /*  665345 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665420), // Rule ID 7678 //
     /*  665350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665418 */     GIR_RootConstrainSelectedInstOperands,
     /*  665419 */     // GIR_Coverage, 7678,
     /*  665419 */     GIR_EraseRootFromParent_Done,
     /*  665420 */   // Label 10601: @665420
     /*  665420 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665495), // Rule ID 7679 //
     /*  665425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665493 */     GIR_RootConstrainSelectedInstOperands,
     /*  665494 */     // GIR_Coverage, 7679,
     /*  665494 */     GIR_EraseRootFromParent_Done,
     /*  665495 */   // Label 10602: @665495
     /*  665495 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665570), // Rule ID 7682 //
     /*  665500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  665549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665568 */     GIR_RootConstrainSelectedInstOperands,
     /*  665569 */     // GIR_Coverage, 7682,
     /*  665569 */     GIR_EraseRootFromParent_Done,
     /*  665570 */   // Label 10603: @665570
     /*  665570 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665645), // Rule ID 7683 //
     /*  665575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  665624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665643 */     GIR_RootConstrainSelectedInstOperands,
     /*  665644 */     // GIR_Coverage, 7683,
     /*  665644 */     GIR_EraseRootFromParent_Done,
     /*  665645 */   // Label 10604: @665645
     /*  665645 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665720), // Rule ID 7686 //
     /*  665650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  665699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665718 */     GIR_RootConstrainSelectedInstOperands,
     /*  665719 */     // GIR_Coverage, 7686,
     /*  665719 */     GIR_EraseRootFromParent_Done,
     /*  665720 */   // Label 10605: @665720
     /*  665720 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(665795), // Rule ID 7687 //
     /*  665725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  665774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665793 */     GIR_RootConstrainSelectedInstOperands,
     /*  665794 */     // GIR_Coverage, 7687,
     /*  665794 */     GIR_EraseRootFromParent_Done,
     /*  665795 */   // Label 10606: @665795
     /*  665795 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(665870), // Rule ID 7690 //
     /*  665800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  665849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665868 */     GIR_RootConstrainSelectedInstOperands,
     /*  665869 */     // GIR_Coverage, 7690,
     /*  665869 */     GIR_EraseRootFromParent_Done,
     /*  665870 */   // Label 10607: @665870
     /*  665870 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(665945), // Rule ID 7691 //
     /*  665875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  665924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665943 */     GIR_RootConstrainSelectedInstOperands,
     /*  665944 */     // GIR_Coverage, 7691,
     /*  665944 */     GIR_EraseRootFromParent_Done,
     /*  665945 */   // Label 10608: @665945
     /*  665945 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666020), // Rule ID 7694 //
     /*  665950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  665999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666018 */     GIR_RootConstrainSelectedInstOperands,
     /*  666019 */     // GIR_Coverage, 7694,
     /*  666019 */     GIR_EraseRootFromParent_Done,
     /*  666020 */   // Label 10609: @666020
     /*  666020 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666095), // Rule ID 7695 //
     /*  666025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  666036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  666039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  666042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666093 */     GIR_RootConstrainSelectedInstOperands,
     /*  666094 */     // GIR_Coverage, 7695,
     /*  666094 */     GIR_EraseRootFromParent_Done,
     /*  666095 */   // Label 10610: @666095
     /*  666095 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666170), // Rule ID 7698 //
     /*  666100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  666149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666168 */     GIR_RootConstrainSelectedInstOperands,
     /*  666169 */     // GIR_Coverage, 7698,
     /*  666169 */     GIR_EraseRootFromParent_Done,
     /*  666170 */   // Label 10611: @666170
     /*  666170 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666245), // Rule ID 7699 //
     /*  666175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  666224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666243 */     GIR_RootConstrainSelectedInstOperands,
     /*  666244 */     // GIR_Coverage, 7699,
     /*  666244 */     GIR_EraseRootFromParent_Done,
     /*  666245 */   // Label 10612: @666245
     /*  666245 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666320), // Rule ID 7702 //
     /*  666250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666318 */     GIR_RootConstrainSelectedInstOperands,
     /*  666319 */     // GIR_Coverage, 7702,
     /*  666319 */     GIR_EraseRootFromParent_Done,
     /*  666320 */   // Label 10613: @666320
     /*  666320 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666395), // Rule ID 7703 //
     /*  666325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666393 */     GIR_RootConstrainSelectedInstOperands,
     /*  666394 */     // GIR_Coverage, 7703,
     /*  666394 */     GIR_EraseRootFromParent_Done,
     /*  666395 */   // Label 10614: @666395
     /*  666395 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666470), // Rule ID 7706 //
     /*  666400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666468 */     GIR_RootConstrainSelectedInstOperands,
     /*  666469 */     // GIR_Coverage, 7706,
     /*  666469 */     GIR_EraseRootFromParent_Done,
     /*  666470 */   // Label 10615: @666470
     /*  666470 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666545), // Rule ID 7707 //
     /*  666475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666543 */     GIR_RootConstrainSelectedInstOperands,
     /*  666544 */     // GIR_Coverage, 7707,
     /*  666544 */     GIR_EraseRootFromParent_Done,
     /*  666545 */   // Label 10616: @666545
     /*  666545 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666620), // Rule ID 7710 //
     /*  666550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666618 */     GIR_RootConstrainSelectedInstOperands,
     /*  666619 */     // GIR_Coverage, 7710,
     /*  666619 */     GIR_EraseRootFromParent_Done,
     /*  666620 */   // Label 10617: @666620
     /*  666620 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666695), // Rule ID 7711 //
     /*  666625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666693 */     GIR_RootConstrainSelectedInstOperands,
     /*  666694 */     // GIR_Coverage, 7711,
     /*  666694 */     GIR_EraseRootFromParent_Done,
     /*  666695 */   // Label 10618: @666695
     /*  666695 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666770), // Rule ID 7714 //
     /*  666700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666768 */     GIR_RootConstrainSelectedInstOperands,
     /*  666769 */     // GIR_Coverage, 7714,
     /*  666769 */     GIR_EraseRootFromParent_Done,
     /*  666770 */   // Label 10619: @666770
     /*  666770 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(666845), // Rule ID 7715 //
     /*  666775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666821 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666843 */     GIR_RootConstrainSelectedInstOperands,
     /*  666844 */     // GIR_Coverage, 7715,
     /*  666844 */     GIR_EraseRootFromParent_Done,
     /*  666845 */   // Label 10620: @666845
     /*  666845 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(666920), // Rule ID 7718 //
     /*  666850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666918 */     GIR_RootConstrainSelectedInstOperands,
     /*  666919 */     // GIR_Coverage, 7718,
     /*  666919 */     GIR_EraseRootFromParent_Done,
     /*  666920 */   // Label 10621: @666920
     /*  666920 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(666995), // Rule ID 7719 //
     /*  666925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666993 */     GIR_RootConstrainSelectedInstOperands,
     /*  666994 */     // GIR_Coverage, 7719,
     /*  666994 */     GIR_EraseRootFromParent_Done,
     /*  666995 */   // Label 10622: @666995
     /*  666995 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667070), // Rule ID 7722 //
     /*  667000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  667049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667068 */     GIR_RootConstrainSelectedInstOperands,
     /*  667069 */     // GIR_Coverage, 7722,
     /*  667069 */     GIR_EraseRootFromParent_Done,
     /*  667070 */   // Label 10623: @667070
     /*  667070 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667145), // Rule ID 7723 //
     /*  667075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  667124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667143 */     GIR_RootConstrainSelectedInstOperands,
     /*  667144 */     // GIR_Coverage, 7723,
     /*  667144 */     GIR_EraseRootFromParent_Done,
     /*  667145 */   // Label 10624: @667145
     /*  667145 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667220), // Rule ID 7726 //
     /*  667150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667218 */     GIR_RootConstrainSelectedInstOperands,
     /*  667219 */     // GIR_Coverage, 7726,
     /*  667219 */     GIR_EraseRootFromParent_Done,
     /*  667220 */   // Label 10625: @667220
     /*  667220 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667295), // Rule ID 7727 //
     /*  667225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667293 */     GIR_RootConstrainSelectedInstOperands,
     /*  667294 */     // GIR_Coverage, 7727,
     /*  667294 */     GIR_EraseRootFromParent_Done,
     /*  667295 */   // Label 10626: @667295
     /*  667295 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667370), // Rule ID 7730 //
     /*  667300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667368 */     GIR_RootConstrainSelectedInstOperands,
     /*  667369 */     // GIR_Coverage, 7730,
     /*  667369 */     GIR_EraseRootFromParent_Done,
     /*  667370 */   // Label 10627: @667370
     /*  667370 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667445), // Rule ID 7731 //
     /*  667375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667443 */     GIR_RootConstrainSelectedInstOperands,
     /*  667444 */     // GIR_Coverage, 7731,
     /*  667444 */     GIR_EraseRootFromParent_Done,
     /*  667445 */   // Label 10628: @667445
     /*  667445 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667520), // Rule ID 10246 //
     /*  667450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  667499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667518 */     GIR_RootConstrainSelectedInstOperands,
     /*  667519 */     // GIR_Coverage, 10246,
     /*  667519 */     GIR_EraseRootFromParent_Done,
     /*  667520 */   // Label 10629: @667520
     /*  667520 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667595), // Rule ID 10247 //
     /*  667525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  667574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667593 */     GIR_RootConstrainSelectedInstOperands,
     /*  667594 */     // GIR_Coverage, 10247,
     /*  667594 */     GIR_EraseRootFromParent_Done,
     /*  667595 */   // Label 10630: @667595
     /*  667595 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667670), // Rule ID 10250 //
     /*  667600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667668 */     GIR_RootConstrainSelectedInstOperands,
     /*  667669 */     // GIR_Coverage, 10250,
     /*  667669 */     GIR_EraseRootFromParent_Done,
     /*  667670 */   // Label 10631: @667670
     /*  667670 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667745), // Rule ID 10251 //
     /*  667675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667743 */     GIR_RootConstrainSelectedInstOperands,
     /*  667744 */     // GIR_Coverage, 10251,
     /*  667744 */     GIR_EraseRootFromParent_Done,
     /*  667745 */   // Label 10632: @667745
     /*  667745 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(667820), // Rule ID 10254 //
     /*  667750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667818 */     GIR_RootConstrainSelectedInstOperands,
     /*  667819 */     // GIR_Coverage, 10254,
     /*  667819 */     GIR_EraseRootFromParent_Done,
     /*  667820 */   // Label 10633: @667820
     /*  667820 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(667895), // Rule ID 10255 //
     /*  667825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667893 */     GIR_RootConstrainSelectedInstOperands,
     /*  667894 */     // GIR_Coverage, 10255,
     /*  667894 */     GIR_EraseRootFromParent_Done,
     /*  667895 */   // Label 10634: @667895
     /*  667895 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(667970), // Rule ID 10258 //
     /*  667900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667968 */     GIR_RootConstrainSelectedInstOperands,
     /*  667969 */     // GIR_Coverage, 10258,
     /*  667969 */     GIR_EraseRootFromParent_Done,
     /*  667970 */   // Label 10635: @667970
     /*  667970 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668045), // Rule ID 10259 //
     /*  667975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  668024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668043 */     GIR_RootConstrainSelectedInstOperands,
     /*  668044 */     // GIR_Coverage, 10259,
     /*  668044 */     GIR_EraseRootFromParent_Done,
     /*  668045 */   // Label 10636: @668045
     /*  668045 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668120), // Rule ID 10262 //
     /*  668050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668118 */     GIR_RootConstrainSelectedInstOperands,
     /*  668119 */     // GIR_Coverage, 10262,
     /*  668119 */     GIR_EraseRootFromParent_Done,
     /*  668120 */   // Label 10637: @668120
     /*  668120 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668195), // Rule ID 10263 //
     /*  668125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668193 */     GIR_RootConstrainSelectedInstOperands,
     /*  668194 */     // GIR_Coverage, 10263,
     /*  668194 */     GIR_EraseRootFromParent_Done,
     /*  668195 */   // Label 10638: @668195
     /*  668195 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668270), // Rule ID 10266 //
     /*  668200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668268 */     GIR_RootConstrainSelectedInstOperands,
     /*  668269 */     // GIR_Coverage, 10266,
     /*  668269 */     GIR_EraseRootFromParent_Done,
     /*  668270 */   // Label 10639: @668270
     /*  668270 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668345), // Rule ID 10267 //
     /*  668275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668343 */     GIR_RootConstrainSelectedInstOperands,
     /*  668344 */     // GIR_Coverage, 10267,
     /*  668344 */     GIR_EraseRootFromParent_Done,
     /*  668345 */   // Label 10640: @668345
     /*  668345 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668420), // Rule ID 10270 //
     /*  668350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668418 */     GIR_RootConstrainSelectedInstOperands,
     /*  668419 */     // GIR_Coverage, 10270,
     /*  668419 */     GIR_EraseRootFromParent_Done,
     /*  668420 */   // Label 10641: @668420
     /*  668420 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668495), // Rule ID 10271 //
     /*  668425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668493 */     GIR_RootConstrainSelectedInstOperands,
     /*  668494 */     // GIR_Coverage, 10271,
     /*  668494 */     GIR_EraseRootFromParent_Done,
     /*  668495 */   // Label 10642: @668495
     /*  668495 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668570), // Rule ID 10274 //
     /*  668500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668568 */     GIR_RootConstrainSelectedInstOperands,
     /*  668569 */     // GIR_Coverage, 10274,
     /*  668569 */     GIR_EraseRootFromParent_Done,
     /*  668570 */   // Label 10643: @668570
     /*  668570 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668645), // Rule ID 10275 //
     /*  668575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668643 */     GIR_RootConstrainSelectedInstOperands,
     /*  668644 */     // GIR_Coverage, 10275,
     /*  668644 */     GIR_EraseRootFromParent_Done,
     /*  668645 */   // Label 10644: @668645
     /*  668645 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668720), // Rule ID 10278 //
     /*  668650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668718 */     GIR_RootConstrainSelectedInstOperands,
     /*  668719 */     // GIR_Coverage, 10278,
     /*  668719 */     GIR_EraseRootFromParent_Done,
     /*  668720 */   // Label 10645: @668720
     /*  668720 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(668795), // Rule ID 10279 //
     /*  668725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668793 */     GIR_RootConstrainSelectedInstOperands,
     /*  668794 */     // GIR_Coverage, 10279,
     /*  668794 */     GIR_EraseRootFromParent_Done,
     /*  668795 */   // Label 10646: @668795
     /*  668795 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(668870), // Rule ID 10282 //
     /*  668800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668868 */     GIR_RootConstrainSelectedInstOperands,
     /*  668869 */     // GIR_Coverage, 10282,
     /*  668869 */     GIR_EraseRootFromParent_Done,
     /*  668870 */   // Label 10647: @668870
     /*  668870 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(668945), // Rule ID 10283 //
     /*  668875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668943 */     GIR_RootConstrainSelectedInstOperands,
     /*  668944 */     // GIR_Coverage, 10283,
     /*  668944 */     GIR_EraseRootFromParent_Done,
     /*  668945 */   // Label 10648: @668945
     /*  668945 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669020), // Rule ID 10286 //
     /*  668950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  668970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  668999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669018 */     GIR_RootConstrainSelectedInstOperands,
     /*  669019 */     // GIR_Coverage, 10286,
     /*  669019 */     GIR_EraseRootFromParent_Done,
     /*  669020 */   // Label 10649: @669020
     /*  669020 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669095), // Rule ID 10287 //
     /*  669025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  669036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  669039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  669042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  669045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669093 */     GIR_RootConstrainSelectedInstOperands,
     /*  669094 */     // GIR_Coverage, 10287,
     /*  669094 */     GIR_EraseRootFromParent_Done,
     /*  669095 */   // Label 10650: @669095
     /*  669095 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669170), // Rule ID 10290 //
     /*  669100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669168 */     GIR_RootConstrainSelectedInstOperands,
     /*  669169 */     // GIR_Coverage, 10290,
     /*  669169 */     GIR_EraseRootFromParent_Done,
     /*  669170 */   // Label 10651: @669170
     /*  669170 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669245), // Rule ID 10291 //
     /*  669175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669243 */     GIR_RootConstrainSelectedInstOperands,
     /*  669244 */     // GIR_Coverage, 10291,
     /*  669244 */     GIR_EraseRootFromParent_Done,
     /*  669245 */   // Label 10652: @669245
     /*  669245 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669320), // Rule ID 10294 //
     /*  669250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669318 */     GIR_RootConstrainSelectedInstOperands,
     /*  669319 */     // GIR_Coverage, 10294,
     /*  669319 */     GIR_EraseRootFromParent_Done,
     /*  669320 */   // Label 10653: @669320
     /*  669320 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669395), // Rule ID 10295 //
     /*  669325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669393 */     GIR_RootConstrainSelectedInstOperands,
     /*  669394 */     // GIR_Coverage, 10295,
     /*  669394 */     GIR_EraseRootFromParent_Done,
     /*  669395 */   // Label 10654: @669395
     /*  669395 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669470), // Rule ID 10298 //
     /*  669400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669468 */     GIR_RootConstrainSelectedInstOperands,
     /*  669469 */     // GIR_Coverage, 10298,
     /*  669469 */     GIR_EraseRootFromParent_Done,
     /*  669470 */   // Label 10655: @669470
     /*  669470 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669545), // Rule ID 10299 //
     /*  669475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669543 */     GIR_RootConstrainSelectedInstOperands,
     /*  669544 */     // GIR_Coverage, 10299,
     /*  669544 */     GIR_EraseRootFromParent_Done,
     /*  669545 */   // Label 10656: @669545
     /*  669545 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669620), // Rule ID 10302 //
     /*  669550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669618 */     GIR_RootConstrainSelectedInstOperands,
     /*  669619 */     // GIR_Coverage, 10302,
     /*  669619 */     GIR_EraseRootFromParent_Done,
     /*  669620 */   // Label 10657: @669620
     /*  669620 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669695), // Rule ID 10303 //
     /*  669625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669693 */     GIR_RootConstrainSelectedInstOperands,
     /*  669694 */     // GIR_Coverage, 10303,
     /*  669694 */     GIR_EraseRootFromParent_Done,
     /*  669695 */   // Label 10658: @669695
     /*  669695 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669770), // Rule ID 10306 //
     /*  669700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669768 */     GIR_RootConstrainSelectedInstOperands,
     /*  669769 */     // GIR_Coverage, 10306,
     /*  669769 */     GIR_EraseRootFromParent_Done,
     /*  669770 */   // Label 10659: @669770
     /*  669770 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(669845), // Rule ID 10307 //
     /*  669775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669843 */     GIR_RootConstrainSelectedInstOperands,
     /*  669844 */     // GIR_Coverage, 10307,
     /*  669844 */     GIR_EraseRootFromParent_Done,
     /*  669845 */   // Label 10660: @669845
     /*  669845 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(669920), // Rule ID 10310 //
     /*  669850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669918 */     GIR_RootConstrainSelectedInstOperands,
     /*  669919 */     // GIR_Coverage, 10310,
     /*  669919 */     GIR_EraseRootFromParent_Done,
     /*  669920 */   // Label 10661: @669920
     /*  669920 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(669995), // Rule ID 10311 //
     /*  669925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669993 */     GIR_RootConstrainSelectedInstOperands,
     /*  669994 */     // GIR_Coverage, 10311,
     /*  669994 */     GIR_EraseRootFromParent_Done,
     /*  669995 */   // Label 10662: @669995
     /*  669995 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670070), // Rule ID 10314 //
     /*  670000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670068 */     GIR_RootConstrainSelectedInstOperands,
     /*  670069 */     // GIR_Coverage, 10314,
     /*  670069 */     GIR_EraseRootFromParent_Done,
     /*  670070 */   // Label 10663: @670070
     /*  670070 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670145), // Rule ID 10315 //
     /*  670075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670143 */     GIR_RootConstrainSelectedInstOperands,
     /*  670144 */     // GIR_Coverage, 10315,
     /*  670144 */     GIR_EraseRootFromParent_Done,
     /*  670145 */   // Label 10664: @670145
     /*  670145 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670220), // Rule ID 10318 //
     /*  670150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670218 */     GIR_RootConstrainSelectedInstOperands,
     /*  670219 */     // GIR_Coverage, 10318,
     /*  670219 */     GIR_EraseRootFromParent_Done,
     /*  670220 */   // Label 10665: @670220
     /*  670220 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670295), // Rule ID 10319 //
     /*  670225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670293 */     GIR_RootConstrainSelectedInstOperands,
     /*  670294 */     // GIR_Coverage, 10319,
     /*  670294 */     GIR_EraseRootFromParent_Done,
     /*  670295 */   // Label 10666: @670295
     /*  670295 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670370), // Rule ID 10322 //
     /*  670300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670368 */     GIR_RootConstrainSelectedInstOperands,
     /*  670369 */     // GIR_Coverage, 10322,
     /*  670369 */     GIR_EraseRootFromParent_Done,
     /*  670370 */   // Label 10667: @670370
     /*  670370 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670445), // Rule ID 10323 //
     /*  670375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670443 */     GIR_RootConstrainSelectedInstOperands,
     /*  670444 */     // GIR_Coverage, 10323,
     /*  670444 */     GIR_EraseRootFromParent_Done,
     /*  670445 */   // Label 10668: @670445
     /*  670445 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670520), // Rule ID 10326 //
     /*  670450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670518 */     GIR_RootConstrainSelectedInstOperands,
     /*  670519 */     // GIR_Coverage, 10326,
     /*  670519 */     GIR_EraseRootFromParent_Done,
     /*  670520 */   // Label 10669: @670520
     /*  670520 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670595), // Rule ID 10327 //
     /*  670525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670593 */     GIR_RootConstrainSelectedInstOperands,
     /*  670594 */     // GIR_Coverage, 10327,
     /*  670594 */     GIR_EraseRootFromParent_Done,
     /*  670595 */   // Label 10670: @670595
     /*  670595 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670670), // Rule ID 10330 //
     /*  670600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670668 */     GIR_RootConstrainSelectedInstOperands,
     /*  670669 */     // GIR_Coverage, 10330,
     /*  670669 */     GIR_EraseRootFromParent_Done,
     /*  670670 */   // Label 10671: @670670
     /*  670670 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670745), // Rule ID 10331 //
     /*  670675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670743 */     GIR_RootConstrainSelectedInstOperands,
     /*  670744 */     // GIR_Coverage, 10331,
     /*  670744 */     GIR_EraseRootFromParent_Done,
     /*  670745 */   // Label 10672: @670745
     /*  670745 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(670820), // Rule ID 10334 //
     /*  670750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  670799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670818 */     GIR_RootConstrainSelectedInstOperands,
     /*  670819 */     // GIR_Coverage, 10334,
     /*  670819 */     GIR_EraseRootFromParent_Done,
     /*  670820 */   // Label 10673: @670820
     /*  670820 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(670895), // Rule ID 10335 //
     /*  670825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  670874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670893 */     GIR_RootConstrainSelectedInstOperands,
     /*  670894 */     // GIR_Coverage, 10335,
     /*  670894 */     GIR_EraseRootFromParent_Done,
     /*  670895 */   // Label 10674: @670895
     /*  670895 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(670970), // Rule ID 10338 //
     /*  670900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  670949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670968 */     GIR_RootConstrainSelectedInstOperands,
     /*  670969 */     // GIR_Coverage, 10338,
     /*  670969 */     GIR_EraseRootFromParent_Done,
     /*  670970 */   // Label 10675: @670970
     /*  670970 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671045), // Rule ID 10339 //
     /*  670975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671043 */     GIR_RootConstrainSelectedInstOperands,
     /*  671044 */     // GIR_Coverage, 10339,
     /*  671044 */     GIR_EraseRootFromParent_Done,
     /*  671045 */   // Label 10676: @671045
     /*  671045 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671120), // Rule ID 10342 //
     /*  671050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671118 */     GIR_RootConstrainSelectedInstOperands,
     /*  671119 */     // GIR_Coverage, 10342,
     /*  671119 */     GIR_EraseRootFromParent_Done,
     /*  671120 */   // Label 10677: @671120
     /*  671120 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671195), // Rule ID 10343 //
     /*  671125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671193 */     GIR_RootConstrainSelectedInstOperands,
     /*  671194 */     // GIR_Coverage, 10343,
     /*  671194 */     GIR_EraseRootFromParent_Done,
     /*  671195 */   // Label 10678: @671195
     /*  671195 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671270), // Rule ID 10346 //
     /*  671200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671268 */     GIR_RootConstrainSelectedInstOperands,
     /*  671269 */     // GIR_Coverage, 10346,
     /*  671269 */     GIR_EraseRootFromParent_Done,
     /*  671270 */   // Label 10679: @671270
     /*  671270 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671345), // Rule ID 10347 //
     /*  671275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671343 */     GIR_RootConstrainSelectedInstOperands,
     /*  671344 */     // GIR_Coverage, 10347,
     /*  671344 */     GIR_EraseRootFromParent_Done,
     /*  671345 */   // Label 10680: @671345
     /*  671345 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671420), // Rule ID 10350 //
     /*  671350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671418 */     GIR_RootConstrainSelectedInstOperands,
     /*  671419 */     // GIR_Coverage, 10350,
     /*  671419 */     GIR_EraseRootFromParent_Done,
     /*  671420 */   // Label 10681: @671420
     /*  671420 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671495), // Rule ID 10351 //
     /*  671425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671493 */     GIR_RootConstrainSelectedInstOperands,
     /*  671494 */     // GIR_Coverage, 10351,
     /*  671494 */     GIR_EraseRootFromParent_Done,
     /*  671495 */   // Label 10682: @671495
     /*  671495 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671570), // Rule ID 10354 //
     /*  671500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671568 */     GIR_RootConstrainSelectedInstOperands,
     /*  671569 */     // GIR_Coverage, 10354,
     /*  671569 */     GIR_EraseRootFromParent_Done,
     /*  671570 */   // Label 10683: @671570
     /*  671570 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671645), // Rule ID 10355 //
     /*  671575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671643 */     GIR_RootConstrainSelectedInstOperands,
     /*  671644 */     // GIR_Coverage, 10355,
     /*  671644 */     GIR_EraseRootFromParent_Done,
     /*  671645 */   // Label 10684: @671645
     /*  671645 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671720), // Rule ID 10358 //
     /*  671650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671718 */     GIR_RootConstrainSelectedInstOperands,
     /*  671719 */     // GIR_Coverage, 10358,
     /*  671719 */     GIR_EraseRootFromParent_Done,
     /*  671720 */   // Label 10685: @671720
     /*  671720 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(671795), // Rule ID 10359 //
     /*  671725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671793 */     GIR_RootConstrainSelectedInstOperands,
     /*  671794 */     // GIR_Coverage, 10359,
     /*  671794 */     GIR_EraseRootFromParent_Done,
     /*  671795 */   // Label 10686: @671795
     /*  671795 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(671870), // Rule ID 10362 //
     /*  671800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671868 */     GIR_RootConstrainSelectedInstOperands,
     /*  671869 */     // GIR_Coverage, 10362,
     /*  671869 */     GIR_EraseRootFromParent_Done,
     /*  671870 */   // Label 10687: @671870
     /*  671870 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(671945), // Rule ID 10363 //
     /*  671875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671943 */     GIR_RootConstrainSelectedInstOperands,
     /*  671944 */     // GIR_Coverage, 10363,
     /*  671944 */     GIR_EraseRootFromParent_Done,
     /*  671945 */   // Label 10688: @671945
     /*  671945 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672020), // Rule ID 10366 //
     /*  671950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672018 */     GIR_RootConstrainSelectedInstOperands,
     /*  672019 */     // GIR_Coverage, 10366,
     /*  672019 */     GIR_EraseRootFromParent_Done,
     /*  672020 */   // Label 10689: @672020
     /*  672020 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672095), // Rule ID 10367 //
     /*  672025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  672036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  672039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  672042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672093 */     GIR_RootConstrainSelectedInstOperands,
     /*  672094 */     // GIR_Coverage, 10367,
     /*  672094 */     GIR_EraseRootFromParent_Done,
     /*  672095 */   // Label 10690: @672095
     /*  672095 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672170), // Rule ID 10370 //
     /*  672100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672168 */     GIR_RootConstrainSelectedInstOperands,
     /*  672169 */     // GIR_Coverage, 10370,
     /*  672169 */     GIR_EraseRootFromParent_Done,
     /*  672170 */   // Label 10691: @672170
     /*  672170 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672245), // Rule ID 10371 //
     /*  672175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672243 */     GIR_RootConstrainSelectedInstOperands,
     /*  672244 */     // GIR_Coverage, 10371,
     /*  672244 */     GIR_EraseRootFromParent_Done,
     /*  672245 */   // Label 10692: @672245
     /*  672245 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672320), // Rule ID 10374 //
     /*  672250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672318 */     GIR_RootConstrainSelectedInstOperands,
     /*  672319 */     // GIR_Coverage, 10374,
     /*  672319 */     GIR_EraseRootFromParent_Done,
     /*  672320 */   // Label 10693: @672320
     /*  672320 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672395), // Rule ID 10375 //
     /*  672325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672393 */     GIR_RootConstrainSelectedInstOperands,
     /*  672394 */     // GIR_Coverage, 10375,
     /*  672394 */     GIR_EraseRootFromParent_Done,
     /*  672395 */   // Label 10694: @672395
     /*  672395 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672470), // Rule ID 10378 //
     /*  672400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672468 */     GIR_RootConstrainSelectedInstOperands,
     /*  672469 */     // GIR_Coverage, 10378,
     /*  672469 */     GIR_EraseRootFromParent_Done,
     /*  672470 */   // Label 10695: @672470
     /*  672470 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672545), // Rule ID 10379 //
     /*  672475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672543 */     GIR_RootConstrainSelectedInstOperands,
     /*  672544 */     // GIR_Coverage, 10379,
     /*  672544 */     GIR_EraseRootFromParent_Done,
     /*  672545 */   // Label 10696: @672545
     /*  672545 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672620), // Rule ID 10382 //
     /*  672550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672618 */     GIR_RootConstrainSelectedInstOperands,
     /*  672619 */     // GIR_Coverage, 10382,
     /*  672619 */     GIR_EraseRootFromParent_Done,
     /*  672620 */   // Label 10697: @672620
     /*  672620 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672695), // Rule ID 10383 //
     /*  672625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672693 */     GIR_RootConstrainSelectedInstOperands,
     /*  672694 */     // GIR_Coverage, 10383,
     /*  672694 */     GIR_EraseRootFromParent_Done,
     /*  672695 */   // Label 10698: @672695
     /*  672695 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672770), // Rule ID 10386 //
     /*  672700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672768 */     GIR_RootConstrainSelectedInstOperands,
     /*  672769 */     // GIR_Coverage, 10386,
     /*  672769 */     GIR_EraseRootFromParent_Done,
     /*  672770 */   // Label 10699: @672770
     /*  672770 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(672845), // Rule ID 10387 //
     /*  672775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672843 */     GIR_RootConstrainSelectedInstOperands,
     /*  672844 */     // GIR_Coverage, 10387,
     /*  672844 */     GIR_EraseRootFromParent_Done,
     /*  672845 */   // Label 10700: @672845
     /*  672845 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(672920), // Rule ID 10390 //
     /*  672850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672918 */     GIR_RootConstrainSelectedInstOperands,
     /*  672919 */     // GIR_Coverage, 10390,
     /*  672919 */     GIR_EraseRootFromParent_Done,
     /*  672920 */   // Label 10701: @672920
     /*  672920 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(672995), // Rule ID 10391 //
     /*  672925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672993 */     GIR_RootConstrainSelectedInstOperands,
     /*  672994 */     // GIR_Coverage, 10391,
     /*  672994 */     GIR_EraseRootFromParent_Done,
     /*  672995 */   // Label 10702: @672995
     /*  672995 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673070), // Rule ID 10394 //
     /*  673000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673068 */     GIR_RootConstrainSelectedInstOperands,
     /*  673069 */     // GIR_Coverage, 10394,
     /*  673069 */     GIR_EraseRootFromParent_Done,
     /*  673070 */   // Label 10703: @673070
     /*  673070 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673145), // Rule ID 10395 //
     /*  673075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673143 */     GIR_RootConstrainSelectedInstOperands,
     /*  673144 */     // GIR_Coverage, 10395,
     /*  673144 */     GIR_EraseRootFromParent_Done,
     /*  673145 */   // Label 10704: @673145
     /*  673145 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673220), // Rule ID 10398 //
     /*  673150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673218 */     GIR_RootConstrainSelectedInstOperands,
     /*  673219 */     // GIR_Coverage, 10398,
     /*  673219 */     GIR_EraseRootFromParent_Done,
     /*  673220 */   // Label 10705: @673220
     /*  673220 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673295), // Rule ID 10399 //
     /*  673225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673293 */     GIR_RootConstrainSelectedInstOperands,
     /*  673294 */     // GIR_Coverage, 10399,
     /*  673294 */     GIR_EraseRootFromParent_Done,
     /*  673295 */   // Label 10706: @673295
     /*  673295 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673370), // Rule ID 10402 //
     /*  673300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673368 */     GIR_RootConstrainSelectedInstOperands,
     /*  673369 */     // GIR_Coverage, 10402,
     /*  673369 */     GIR_EraseRootFromParent_Done,
     /*  673370 */   // Label 10707: @673370
     /*  673370 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673445), // Rule ID 10403 //
     /*  673375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673443 */     GIR_RootConstrainSelectedInstOperands,
     /*  673444 */     // GIR_Coverage, 10403,
     /*  673444 */     GIR_EraseRootFromParent_Done,
     /*  673445 */   // Label 10708: @673445
     /*  673445 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673520), // Rule ID 10406 //
     /*  673450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673518 */     GIR_RootConstrainSelectedInstOperands,
     /*  673519 */     // GIR_Coverage, 10406,
     /*  673519 */     GIR_EraseRootFromParent_Done,
     /*  673520 */   // Label 10709: @673520
     /*  673520 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673595), // Rule ID 10407 //
     /*  673525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673593 */     GIR_RootConstrainSelectedInstOperands,
     /*  673594 */     // GIR_Coverage, 10407,
     /*  673594 */     GIR_EraseRootFromParent_Done,
     /*  673595 */   // Label 10710: @673595
     /*  673595 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673670), // Rule ID 10410 //
     /*  673600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673668 */     GIR_RootConstrainSelectedInstOperands,
     /*  673669 */     // GIR_Coverage, 10410,
     /*  673669 */     GIR_EraseRootFromParent_Done,
     /*  673670 */   // Label 10711: @673670
     /*  673670 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673745), // Rule ID 10411 //
     /*  673675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673743 */     GIR_RootConstrainSelectedInstOperands,
     /*  673744 */     // GIR_Coverage, 10411,
     /*  673744 */     GIR_EraseRootFromParent_Done,
     /*  673745 */   // Label 10712: @673745
     /*  673745 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(673820), // Rule ID 10414 //
     /*  673750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673818 */     GIR_RootConstrainSelectedInstOperands,
     /*  673819 */     // GIR_Coverage, 10414,
     /*  673819 */     GIR_EraseRootFromParent_Done,
     /*  673820 */   // Label 10713: @673820
     /*  673820 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(673895), // Rule ID 10415 //
     /*  673825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673893 */     GIR_RootConstrainSelectedInstOperands,
     /*  673894 */     // GIR_Coverage, 10415,
     /*  673894 */     GIR_EraseRootFromParent_Done,
     /*  673895 */   // Label 10714: @673895
     /*  673895 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(673970), // Rule ID 10418 //
     /*  673900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673968 */     GIR_RootConstrainSelectedInstOperands,
     /*  673969 */     // GIR_Coverage, 10418,
     /*  673969 */     GIR_EraseRootFromParent_Done,
     /*  673970 */   // Label 10715: @673970
     /*  673970 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674045), // Rule ID 10419 //
     /*  673975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  674024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674043 */     GIR_RootConstrainSelectedInstOperands,
     /*  674044 */     // GIR_Coverage, 10419,
     /*  674044 */     GIR_EraseRootFromParent_Done,
     /*  674045 */   // Label 10716: @674045
     /*  674045 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674120), // Rule ID 10422 //
     /*  674050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  674099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674118 */     GIR_RootConstrainSelectedInstOperands,
     /*  674119 */     // GIR_Coverage, 10422,
     /*  674119 */     GIR_EraseRootFromParent_Done,
     /*  674120 */   // Label 10717: @674120
     /*  674120 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674195), // Rule ID 10423 //
     /*  674125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  674174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674193 */     GIR_RootConstrainSelectedInstOperands,
     /*  674194 */     // GIR_Coverage, 10423,
     /*  674194 */     GIR_EraseRootFromParent_Done,
     /*  674195 */   // Label 10718: @674195
     /*  674195 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674270), // Rule ID 10426 //
     /*  674200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674268 */     GIR_RootConstrainSelectedInstOperands,
     /*  674269 */     // GIR_Coverage, 10426,
     /*  674269 */     GIR_EraseRootFromParent_Done,
     /*  674270 */   // Label 10719: @674270
     /*  674270 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674345), // Rule ID 10427 //
     /*  674275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674343 */     GIR_RootConstrainSelectedInstOperands,
     /*  674344 */     // GIR_Coverage, 10427,
     /*  674344 */     GIR_EraseRootFromParent_Done,
     /*  674345 */   // Label 10720: @674345
     /*  674345 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674420), // Rule ID 10430 //
     /*  674350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674418 */     GIR_RootConstrainSelectedInstOperands,
     /*  674419 */     // GIR_Coverage, 10430,
     /*  674419 */     GIR_EraseRootFromParent_Done,
     /*  674420 */   // Label 10721: @674420
     /*  674420 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674495), // Rule ID 10431 //
     /*  674425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674493 */     GIR_RootConstrainSelectedInstOperands,
     /*  674494 */     // GIR_Coverage, 10431,
     /*  674494 */     GIR_EraseRootFromParent_Done,
     /*  674495 */   // Label 10722: @674495
     /*  674495 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674570), // Rule ID 10434 //
     /*  674500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674568 */     GIR_RootConstrainSelectedInstOperands,
     /*  674569 */     // GIR_Coverage, 10434,
     /*  674569 */     GIR_EraseRootFromParent_Done,
     /*  674570 */   // Label 10723: @674570
     /*  674570 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674645), // Rule ID 10435 //
     /*  674575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674643 */     GIR_RootConstrainSelectedInstOperands,
     /*  674644 */     // GIR_Coverage, 10435,
     /*  674644 */     GIR_EraseRootFromParent_Done,
     /*  674645 */   // Label 10724: @674645
     /*  674645 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674720), // Rule ID 10438 //
     /*  674650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674718 */     GIR_RootConstrainSelectedInstOperands,
     /*  674719 */     // GIR_Coverage, 10438,
     /*  674719 */     GIR_EraseRootFromParent_Done,
     /*  674720 */   // Label 10725: @674720
     /*  674720 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(674795), // Rule ID 10439 //
     /*  674725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674793 */     GIR_RootConstrainSelectedInstOperands,
     /*  674794 */     // GIR_Coverage, 10439,
     /*  674794 */     GIR_EraseRootFromParent_Done,
     /*  674795 */   // Label 10726: @674795
     /*  674795 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(674870), // Rule ID 10442 //
     /*  674800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674868 */     GIR_RootConstrainSelectedInstOperands,
     /*  674869 */     // GIR_Coverage, 10442,
     /*  674869 */     GIR_EraseRootFromParent_Done,
     /*  674870 */   // Label 10727: @674870
     /*  674870 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(674945), // Rule ID 10443 //
     /*  674875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674943 */     GIR_RootConstrainSelectedInstOperands,
     /*  674944 */     // GIR_Coverage, 10443,
     /*  674944 */     GIR_EraseRootFromParent_Done,
     /*  674945 */   // Label 10728: @674945
     /*  674945 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675020), // Rule ID 10446 //
     /*  674950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  674970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  674999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675018 */     GIR_RootConstrainSelectedInstOperands,
     /*  675019 */     // GIR_Coverage, 10446,
     /*  675019 */     GIR_EraseRootFromParent_Done,
     /*  675020 */   // Label 10729: @675020
     /*  675020 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675095), // Rule ID 10447 //
     /*  675025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675093 */     GIR_RootConstrainSelectedInstOperands,
     /*  675094 */     // GIR_Coverage, 10447,
     /*  675094 */     GIR_EraseRootFromParent_Done,
     /*  675095 */   // Label 10730: @675095
     /*  675095 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675170), // Rule ID 10450 //
     /*  675100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675168 */     GIR_RootConstrainSelectedInstOperands,
     /*  675169 */     // GIR_Coverage, 10450,
     /*  675169 */     GIR_EraseRootFromParent_Done,
     /*  675170 */   // Label 10731: @675170
     /*  675170 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675245), // Rule ID 10451 //
     /*  675175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675243 */     GIR_RootConstrainSelectedInstOperands,
     /*  675244 */     // GIR_Coverage, 10451,
     /*  675244 */     GIR_EraseRootFromParent_Done,
     /*  675245 */   // Label 10732: @675245
     /*  675245 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675320), // Rule ID 10454 //
     /*  675250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675318 */     GIR_RootConstrainSelectedInstOperands,
     /*  675319 */     // GIR_Coverage, 10454,
     /*  675319 */     GIR_EraseRootFromParent_Done,
     /*  675320 */   // Label 10733: @675320
     /*  675320 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675395), // Rule ID 10455 //
     /*  675325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675393 */     GIR_RootConstrainSelectedInstOperands,
     /*  675394 */     // GIR_Coverage, 10455,
     /*  675394 */     GIR_EraseRootFromParent_Done,
     /*  675395 */   // Label 10734: @675395
     /*  675395 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675470), // Rule ID 10458 //
     /*  675400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675468 */     GIR_RootConstrainSelectedInstOperands,
     /*  675469 */     // GIR_Coverage, 10458,
     /*  675469 */     GIR_EraseRootFromParent_Done,
     /*  675470 */   // Label 10735: @675470
     /*  675470 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675545), // Rule ID 10459 //
     /*  675475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675543 */     GIR_RootConstrainSelectedInstOperands,
     /*  675544 */     // GIR_Coverage, 10459,
     /*  675544 */     GIR_EraseRootFromParent_Done,
     /*  675545 */   // Label 10736: @675545
     /*  675545 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675620), // Rule ID 10462 //
     /*  675550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675618 */     GIR_RootConstrainSelectedInstOperands,
     /*  675619 */     // GIR_Coverage, 10462,
     /*  675619 */     GIR_EraseRootFromParent_Done,
     /*  675620 */   // Label 10737: @675620
     /*  675620 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675695), // Rule ID 10463 //
     /*  675625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675693 */     GIR_RootConstrainSelectedInstOperands,
     /*  675694 */     // GIR_Coverage, 10463,
     /*  675694 */     GIR_EraseRootFromParent_Done,
     /*  675695 */   // Label 10738: @675695
     /*  675695 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675770), // Rule ID 10466 //
     /*  675700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  675749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675768 */     GIR_RootConstrainSelectedInstOperands,
     /*  675769 */     // GIR_Coverage, 10466,
     /*  675769 */     GIR_EraseRootFromParent_Done,
     /*  675770 */   // Label 10739: @675770
     /*  675770 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(675845), // Rule ID 10467 //
     /*  675775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  675824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675843 */     GIR_RootConstrainSelectedInstOperands,
     /*  675844 */     // GIR_Coverage, 10467,
     /*  675844 */     GIR_EraseRootFromParent_Done,
     /*  675845 */   // Label 10740: @675845
     /*  675845 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(675920), // Rule ID 10470 //
     /*  675850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  675870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  675899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675918 */     GIR_RootConstrainSelectedInstOperands,
     /*  675919 */     // GIR_Coverage, 10470,
     /*  675919 */     GIR_EraseRootFromParent_Done,
     /*  675920 */   // Label 10741: @675920
     /*  675920 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(675995), // Rule ID 10471 //
     /*  675925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  675945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  675974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675993 */     GIR_RootConstrainSelectedInstOperands,
     /*  675994 */     // GIR_Coverage, 10471,
     /*  675994 */     GIR_EraseRootFromParent_Done,
     /*  675995 */   // Label 10742: @675995
     /*  675995 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676070), // Rule ID 10474 //
     /*  676000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676068 */     GIR_RootConstrainSelectedInstOperands,
     /*  676069 */     // GIR_Coverage, 10474,
     /*  676069 */     GIR_EraseRootFromParent_Done,
     /*  676070 */   // Label 10743: @676070
     /*  676070 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676145), // Rule ID 10475 //
     /*  676075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676143 */     GIR_RootConstrainSelectedInstOperands,
     /*  676144 */     // GIR_Coverage, 10475,
     /*  676144 */     GIR_EraseRootFromParent_Done,
     /*  676145 */   // Label 10744: @676145
     /*  676145 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676220), // Rule ID 10478 //
     /*  676150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676218 */     GIR_RootConstrainSelectedInstOperands,
     /*  676219 */     // GIR_Coverage, 10478,
     /*  676219 */     GIR_EraseRootFromParent_Done,
     /*  676220 */   // Label 10745: @676220
     /*  676220 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676295), // Rule ID 10479 //
     /*  676225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676293 */     GIR_RootConstrainSelectedInstOperands,
     /*  676294 */     // GIR_Coverage, 10479,
     /*  676294 */     GIR_EraseRootFromParent_Done,
     /*  676295 */   // Label 10746: @676295
     /*  676295 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676370), // Rule ID 10482 //
     /*  676300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676368 */     GIR_RootConstrainSelectedInstOperands,
     /*  676369 */     // GIR_Coverage, 10482,
     /*  676369 */     GIR_EraseRootFromParent_Done,
     /*  676370 */   // Label 10747: @676370
     /*  676370 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676445), // Rule ID 10483 //
     /*  676375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676443 */     GIR_RootConstrainSelectedInstOperands,
     /*  676444 */     // GIR_Coverage, 10483,
     /*  676444 */     GIR_EraseRootFromParent_Done,
     /*  676445 */   // Label 10748: @676445
     /*  676445 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676520), // Rule ID 10486 //
     /*  676450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676518 */     GIR_RootConstrainSelectedInstOperands,
     /*  676519 */     // GIR_Coverage, 10486,
     /*  676519 */     GIR_EraseRootFromParent_Done,
     /*  676520 */   // Label 10749: @676520
     /*  676520 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676595), // Rule ID 10487 //
     /*  676525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676593 */     GIR_RootConstrainSelectedInstOperands,
     /*  676594 */     // GIR_Coverage, 10487,
     /*  676594 */     GIR_EraseRootFromParent_Done,
     /*  676595 */   // Label 10750: @676595
     /*  676595 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676670), // Rule ID 10490 //
     /*  676600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676668 */     GIR_RootConstrainSelectedInstOperands,
     /*  676669 */     // GIR_Coverage, 10490,
     /*  676669 */     GIR_EraseRootFromParent_Done,
     /*  676670 */   // Label 10751: @676670
     /*  676670 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676745), // Rule ID 10491 //
     /*  676675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676743 */     GIR_RootConstrainSelectedInstOperands,
     /*  676744 */     // GIR_Coverage, 10491,
     /*  676744 */     GIR_EraseRootFromParent_Done,
     /*  676745 */   // Label 10752: @676745
     /*  676745 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(676820), // Rule ID 10494 //
     /*  676750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676818 */     GIR_RootConstrainSelectedInstOperands,
     /*  676819 */     // GIR_Coverage, 10494,
     /*  676819 */     GIR_EraseRootFromParent_Done,
     /*  676820 */   // Label 10753: @676820
     /*  676820 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(676895), // Rule ID 10495 //
     /*  676825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676893 */     GIR_RootConstrainSelectedInstOperands,
     /*  676894 */     // GIR_Coverage, 10495,
     /*  676894 */     GIR_EraseRootFromParent_Done,
     /*  676895 */   // Label 10754: @676895
     /*  676895 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(676970), // Rule ID 10498 //
     /*  676900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  676920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676968 */     GIR_RootConstrainSelectedInstOperands,
     /*  676969 */     // GIR_Coverage, 10498,
     /*  676969 */     GIR_EraseRootFromParent_Done,
     /*  676970 */   // Label 10755: @676970
     /*  676970 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677045), // Rule ID 10499 //
     /*  676975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  676995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  677024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677043 */     GIR_RootConstrainSelectedInstOperands,
     /*  677044 */     // GIR_Coverage, 10499,
     /*  677044 */     GIR_EraseRootFromParent_Done,
     /*  677045 */   // Label 10756: @677045
     /*  677045 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677120), // Rule ID 10502 //
     /*  677050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677118 */     GIR_RootConstrainSelectedInstOperands,
     /*  677119 */     // GIR_Coverage, 10502,
     /*  677119 */     GIR_EraseRootFromParent_Done,
     /*  677120 */   // Label 10757: @677120
     /*  677120 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677195), // Rule ID 10503 //
     /*  677125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677193 */     GIR_RootConstrainSelectedInstOperands,
     /*  677194 */     // GIR_Coverage, 10503,
     /*  677194 */     GIR_EraseRootFromParent_Done,
     /*  677195 */   // Label 10758: @677195
     /*  677195 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677270), // Rule ID 10506 //
     /*  677200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677268 */     GIR_RootConstrainSelectedInstOperands,
     /*  677269 */     // GIR_Coverage, 10506,
     /*  677269 */     GIR_EraseRootFromParent_Done,
     /*  677270 */   // Label 10759: @677270
     /*  677270 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677345), // Rule ID 10507 //
     /*  677275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677343 */     GIR_RootConstrainSelectedInstOperands,
     /*  677344 */     // GIR_Coverage, 10507,
     /*  677344 */     GIR_EraseRootFromParent_Done,
     /*  677345 */   // Label 10760: @677345
     /*  677345 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677420), // Rule ID 10510 //
     /*  677350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677418 */     GIR_RootConstrainSelectedInstOperands,
     /*  677419 */     // GIR_Coverage, 10510,
     /*  677419 */     GIR_EraseRootFromParent_Done,
     /*  677420 */   // Label 10761: @677420
     /*  677420 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677495), // Rule ID 10511 //
     /*  677425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677493 */     GIR_RootConstrainSelectedInstOperands,
     /*  677494 */     // GIR_Coverage, 10511,
     /*  677494 */     GIR_EraseRootFromParent_Done,
     /*  677495 */   // Label 10762: @677495
     /*  677495 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677570), // Rule ID 10514 //
     /*  677500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677568 */     GIR_RootConstrainSelectedInstOperands,
     /*  677569 */     // GIR_Coverage, 10514,
     /*  677569 */     GIR_EraseRootFromParent_Done,
     /*  677570 */   // Label 10763: @677570
     /*  677570 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677645), // Rule ID 10515 //
     /*  677575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677643 */     GIR_RootConstrainSelectedInstOperands,
     /*  677644 */     // GIR_Coverage, 10515,
     /*  677644 */     GIR_EraseRootFromParent_Done,
     /*  677645 */   // Label 10764: @677645
     /*  677645 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677720), // Rule ID 10518 //
     /*  677650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677718 */     GIR_RootConstrainSelectedInstOperands,
     /*  677719 */     // GIR_Coverage, 10518,
     /*  677719 */     GIR_EraseRootFromParent_Done,
     /*  677720 */   // Label 10765: @677720
     /*  677720 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(677795), // Rule ID 10519 //
     /*  677725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677793 */     GIR_RootConstrainSelectedInstOperands,
     /*  677794 */     // GIR_Coverage, 10519,
     /*  677794 */     GIR_EraseRootFromParent_Done,
     /*  677795 */   // Label 10766: @677795
     /*  677795 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(677870), // Rule ID 10522 //
     /*  677800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677868 */     GIR_RootConstrainSelectedInstOperands,
     /*  677869 */     // GIR_Coverage, 10522,
     /*  677869 */     GIR_EraseRootFromParent_Done,
     /*  677870 */   // Label 10767: @677870
     /*  677870 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(677945), // Rule ID 10523 //
     /*  677875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677943 */     GIR_RootConstrainSelectedInstOperands,
     /*  677944 */     // GIR_Coverage, 10523,
     /*  677944 */     GIR_EraseRootFromParent_Done,
     /*  677945 */   // Label 10768: @677945
     /*  677945 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678020), // Rule ID 10526 //
     /*  677950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678018 */     GIR_RootConstrainSelectedInstOperands,
     /*  678019 */     // GIR_Coverage, 10526,
     /*  678019 */     GIR_EraseRootFromParent_Done,
     /*  678020 */   // Label 10769: @678020
     /*  678020 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678095), // Rule ID 10527 //
     /*  678025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678093 */     GIR_RootConstrainSelectedInstOperands,
     /*  678094 */     // GIR_Coverage, 10527,
     /*  678094 */     GIR_EraseRootFromParent_Done,
     /*  678095 */   // Label 10770: @678095
     /*  678095 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678170), // Rule ID 10530 //
     /*  678100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678168 */     GIR_RootConstrainSelectedInstOperands,
     /*  678169 */     // GIR_Coverage, 10530,
     /*  678169 */     GIR_EraseRootFromParent_Done,
     /*  678170 */   // Label 10771: @678170
     /*  678170 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678245), // Rule ID 10531 //
     /*  678175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678243 */     GIR_RootConstrainSelectedInstOperands,
     /*  678244 */     // GIR_Coverage, 10531,
     /*  678244 */     GIR_EraseRootFromParent_Done,
     /*  678245 */   // Label 10772: @678245
     /*  678245 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678320), // Rule ID 10534 //
     /*  678250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678318 */     GIR_RootConstrainSelectedInstOperands,
     /*  678319 */     // GIR_Coverage, 10534,
     /*  678319 */     GIR_EraseRootFromParent_Done,
     /*  678320 */   // Label 10773: @678320
     /*  678320 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678395), // Rule ID 10535 //
     /*  678325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678393 */     GIR_RootConstrainSelectedInstOperands,
     /*  678394 */     // GIR_Coverage, 10535,
     /*  678394 */     GIR_EraseRootFromParent_Done,
     /*  678395 */   // Label 10774: @678395
     /*  678395 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678470), // Rule ID 10538 //
     /*  678400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678468 */     GIR_RootConstrainSelectedInstOperands,
     /*  678469 */     // GIR_Coverage, 10538,
     /*  678469 */     GIR_EraseRootFromParent_Done,
     /*  678470 */   // Label 10775: @678470
     /*  678470 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678545), // Rule ID 10539 //
     /*  678475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678543 */     GIR_RootConstrainSelectedInstOperands,
     /*  678544 */     // GIR_Coverage, 10539,
     /*  678544 */     GIR_EraseRootFromParent_Done,
     /*  678545 */   // Label 10776: @678545
     /*  678545 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678620), // Rule ID 10542 //
     /*  678550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678618 */     GIR_RootConstrainSelectedInstOperands,
     /*  678619 */     // GIR_Coverage, 10542,
     /*  678619 */     GIR_EraseRootFromParent_Done,
     /*  678620 */   // Label 10777: @678620
     /*  678620 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678695), // Rule ID 10543 //
     /*  678625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678693 */     GIR_RootConstrainSelectedInstOperands,
     /*  678694 */     // GIR_Coverage, 10543,
     /*  678694 */     GIR_EraseRootFromParent_Done,
     /*  678695 */   // Label 10778: @678695
     /*  678695 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678770), // Rule ID 10546 //
     /*  678700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678768 */     GIR_RootConstrainSelectedInstOperands,
     /*  678769 */     // GIR_Coverage, 10546,
     /*  678769 */     GIR_EraseRootFromParent_Done,
     /*  678770 */   // Label 10779: @678770
     /*  678770 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(678845), // Rule ID 10547 //
     /*  678775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678843 */     GIR_RootConstrainSelectedInstOperands,
     /*  678844 */     // GIR_Coverage, 10547,
     /*  678844 */     GIR_EraseRootFromParent_Done,
     /*  678845 */   // Label 10780: @678845
     /*  678845 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(678920), // Rule ID 10550 //
     /*  678850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  678899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678918 */     GIR_RootConstrainSelectedInstOperands,
     /*  678919 */     // GIR_Coverage, 10550,
     /*  678919 */     GIR_EraseRootFromParent_Done,
     /*  678920 */   // Label 10781: @678920
     /*  678920 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(678995), // Rule ID 10551 //
     /*  678925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  678974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678993 */     GIR_RootConstrainSelectedInstOperands,
     /*  678994 */     // GIR_Coverage, 10551,
     /*  678994 */     GIR_EraseRootFromParent_Done,
     /*  678995 */   // Label 10782: @678995
     /*  678995 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679070), // Rule ID 10554 //
     /*  679000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679068 */     GIR_RootConstrainSelectedInstOperands,
     /*  679069 */     // GIR_Coverage, 10554,
     /*  679069 */     GIR_EraseRootFromParent_Done,
     /*  679070 */   // Label 10783: @679070
     /*  679070 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679145), // Rule ID 10555 //
     /*  679075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679143 */     GIR_RootConstrainSelectedInstOperands,
     /*  679144 */     // GIR_Coverage, 10555,
     /*  679144 */     GIR_EraseRootFromParent_Done,
     /*  679145 */   // Label 10784: @679145
     /*  679145 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679220), // Rule ID 10558 //
     /*  679150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679218 */     GIR_RootConstrainSelectedInstOperands,
     /*  679219 */     // GIR_Coverage, 10558,
     /*  679219 */     GIR_EraseRootFromParent_Done,
     /*  679220 */   // Label 10785: @679220
     /*  679220 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679295), // Rule ID 10559 //
     /*  679225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679293 */     GIR_RootConstrainSelectedInstOperands,
     /*  679294 */     // GIR_Coverage, 10559,
     /*  679294 */     GIR_EraseRootFromParent_Done,
     /*  679295 */   // Label 10786: @679295
     /*  679295 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679370), // Rule ID 10562 //
     /*  679300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679368 */     GIR_RootConstrainSelectedInstOperands,
     /*  679369 */     // GIR_Coverage, 10562,
     /*  679369 */     GIR_EraseRootFromParent_Done,
     /*  679370 */   // Label 10787: @679370
     /*  679370 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679445), // Rule ID 10563 //
     /*  679375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679443 */     GIR_RootConstrainSelectedInstOperands,
     /*  679444 */     // GIR_Coverage, 10563,
     /*  679444 */     GIR_EraseRootFromParent_Done,
     /*  679445 */   // Label 10788: @679445
     /*  679445 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679520), // Rule ID 10566 //
     /*  679450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679518 */     GIR_RootConstrainSelectedInstOperands,
     /*  679519 */     // GIR_Coverage, 10566,
     /*  679519 */     GIR_EraseRootFromParent_Done,
     /*  679520 */   // Label 10789: @679520
     /*  679520 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679595), // Rule ID 10567 //
     /*  679525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679593 */     GIR_RootConstrainSelectedInstOperands,
     /*  679594 */     // GIR_Coverage, 10567,
     /*  679594 */     GIR_EraseRootFromParent_Done,
     /*  679595 */   // Label 10790: @679595
     /*  679595 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679670), // Rule ID 10570 //
     /*  679600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679668 */     GIR_RootConstrainSelectedInstOperands,
     /*  679669 */     // GIR_Coverage, 10570,
     /*  679669 */     GIR_EraseRootFromParent_Done,
     /*  679670 */   // Label 10791: @679670
     /*  679670 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679745), // Rule ID 10571 //
     /*  679675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679743 */     GIR_RootConstrainSelectedInstOperands,
     /*  679744 */     // GIR_Coverage, 10571,
     /*  679744 */     GIR_EraseRootFromParent_Done,
     /*  679745 */   // Label 10792: @679745
     /*  679745 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(679820), // Rule ID 10574 //
     /*  679750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679818 */     GIR_RootConstrainSelectedInstOperands,
     /*  679819 */     // GIR_Coverage, 10574,
     /*  679819 */     GIR_EraseRootFromParent_Done,
     /*  679820 */   // Label 10793: @679820
     /*  679820 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(679895), // Rule ID 10575 //
     /*  679825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679893 */     GIR_RootConstrainSelectedInstOperands,
     /*  679894 */     // GIR_Coverage, 10575,
     /*  679894 */     GIR_EraseRootFromParent_Done,
     /*  679895 */   // Label 10794: @679895
     /*  679895 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(679970), // Rule ID 10578 //
     /*  679900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679968 */     GIR_RootConstrainSelectedInstOperands,
     /*  679969 */     // GIR_Coverage, 10578,
     /*  679969 */     GIR_EraseRootFromParent_Done,
     /*  679970 */   // Label 10795: @679970
     /*  679970 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680045), // Rule ID 10579 //
     /*  679975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680043 */     GIR_RootConstrainSelectedInstOperands,
     /*  680044 */     // GIR_Coverage, 10579,
     /*  680044 */     GIR_EraseRootFromParent_Done,
     /*  680045 */   // Label 10796: @680045
     /*  680045 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680120), // Rule ID 10582 //
     /*  680050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680118 */     GIR_RootConstrainSelectedInstOperands,
     /*  680119 */     // GIR_Coverage, 10582,
     /*  680119 */     GIR_EraseRootFromParent_Done,
     /*  680120 */   // Label 10797: @680120
     /*  680120 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680195), // Rule ID 10583 //
     /*  680125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680193 */     GIR_RootConstrainSelectedInstOperands,
     /*  680194 */     // GIR_Coverage, 10583,
     /*  680194 */     GIR_EraseRootFromParent_Done,
     /*  680195 */   // Label 10798: @680195
     /*  680195 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680270), // Rule ID 10586 //
     /*  680200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680268 */     GIR_RootConstrainSelectedInstOperands,
     /*  680269 */     // GIR_Coverage, 10586,
     /*  680269 */     GIR_EraseRootFromParent_Done,
     /*  680270 */   // Label 10799: @680270
     /*  680270 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680345), // Rule ID 10587 //
     /*  680275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680343 */     GIR_RootConstrainSelectedInstOperands,
     /*  680344 */     // GIR_Coverage, 10587,
     /*  680344 */     GIR_EraseRootFromParent_Done,
     /*  680345 */   // Label 10800: @680345
     /*  680345 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680420), // Rule ID 10590 //
     /*  680350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680418 */     GIR_RootConstrainSelectedInstOperands,
     /*  680419 */     // GIR_Coverage, 10590,
     /*  680419 */     GIR_EraseRootFromParent_Done,
     /*  680420 */   // Label 10801: @680420
     /*  680420 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680495), // Rule ID 10591 //
     /*  680425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680493 */     GIR_RootConstrainSelectedInstOperands,
     /*  680494 */     // GIR_Coverage, 10591,
     /*  680494 */     GIR_EraseRootFromParent_Done,
     /*  680495 */   // Label 10802: @680495
     /*  680495 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680570), // Rule ID 10594 //
     /*  680500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680568 */     GIR_RootConstrainSelectedInstOperands,
     /*  680569 */     // GIR_Coverage, 10594,
     /*  680569 */     GIR_EraseRootFromParent_Done,
     /*  680570 */   // Label 10803: @680570
     /*  680570 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680645), // Rule ID 10595 //
     /*  680575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680643 */     GIR_RootConstrainSelectedInstOperands,
     /*  680644 */     // GIR_Coverage, 10595,
     /*  680644 */     GIR_EraseRootFromParent_Done,
     /*  680645 */   // Label 10804: @680645
     /*  680645 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680720), // Rule ID 10598 //
     /*  680650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  680670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  680699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680718 */     GIR_RootConstrainSelectedInstOperands,
     /*  680719 */     // GIR_Coverage, 10598,
     /*  680719 */     GIR_EraseRootFromParent_Done,
     /*  680720 */   // Label 10805: @680720
     /*  680720 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(680795), // Rule ID 10599 //
     /*  680725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  680745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  680774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680793 */     GIR_RootConstrainSelectedInstOperands,
     /*  680794 */     // GIR_Coverage, 10599,
     /*  680794 */     GIR_EraseRootFromParent_Done,
     /*  680795 */   // Label 10806: @680795
     /*  680795 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(680870), // Rule ID 10602 //
     /*  680800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  680820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  680849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680868 */     GIR_RootConstrainSelectedInstOperands,
     /*  680869 */     // GIR_Coverage, 10602,
     /*  680869 */     GIR_EraseRootFromParent_Done,
     /*  680870 */   // Label 10807: @680870
     /*  680870 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(680945), // Rule ID 10603 //
     /*  680875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  680895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  680924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680943 */     GIR_RootConstrainSelectedInstOperands,
     /*  680944 */     // GIR_Coverage, 10603,
     /*  680944 */     GIR_EraseRootFromParent_Done,
     /*  680945 */   // Label 10808: @680945
     /*  680945 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681020), // Rule ID 10606 //
     /*  680950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  680970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  680999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681018 */     GIR_RootConstrainSelectedInstOperands,
     /*  681019 */     // GIR_Coverage, 10606,
     /*  681019 */     GIR_EraseRootFromParent_Done,
     /*  681020 */   // Label 10809: @681020
     /*  681020 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681095), // Rule ID 10607 //
     /*  681025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681093 */     GIR_RootConstrainSelectedInstOperands,
     /*  681094 */     // GIR_Coverage, 10607,
     /*  681094 */     GIR_EraseRootFromParent_Done,
     /*  681095 */   // Label 10810: @681095
     /*  681095 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681170), // Rule ID 10610 //
     /*  681100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681168 */     GIR_RootConstrainSelectedInstOperands,
     /*  681169 */     // GIR_Coverage, 10610,
     /*  681169 */     GIR_EraseRootFromParent_Done,
     /*  681170 */   // Label 10811: @681170
     /*  681170 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681245), // Rule ID 10611 //
     /*  681175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681243 */     GIR_RootConstrainSelectedInstOperands,
     /*  681244 */     // GIR_Coverage, 10611,
     /*  681244 */     GIR_EraseRootFromParent_Done,
     /*  681245 */   // Label 10812: @681245
     /*  681245 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681320), // Rule ID 10614 //
     /*  681250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681318 */     GIR_RootConstrainSelectedInstOperands,
     /*  681319 */     // GIR_Coverage, 10614,
     /*  681319 */     GIR_EraseRootFromParent_Done,
     /*  681320 */   // Label 10813: @681320
     /*  681320 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681395), // Rule ID 10615 //
     /*  681325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681393 */     GIR_RootConstrainSelectedInstOperands,
     /*  681394 */     // GIR_Coverage, 10615,
     /*  681394 */     GIR_EraseRootFromParent_Done,
     /*  681395 */   // Label 10814: @681395
     /*  681395 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681470), // Rule ID 10618 //
     /*  681400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681468 */     GIR_RootConstrainSelectedInstOperands,
     /*  681469 */     // GIR_Coverage, 10618,
     /*  681469 */     GIR_EraseRootFromParent_Done,
     /*  681470 */   // Label 10815: @681470
     /*  681470 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681545), // Rule ID 10619 //
     /*  681475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681543 */     GIR_RootConstrainSelectedInstOperands,
     /*  681544 */     // GIR_Coverage, 10619,
     /*  681544 */     GIR_EraseRootFromParent_Done,
     /*  681545 */   // Label 10816: @681545
     /*  681545 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681620), // Rule ID 10622 //
     /*  681550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681618 */     GIR_RootConstrainSelectedInstOperands,
     /*  681619 */     // GIR_Coverage, 10622,
     /*  681619 */     GIR_EraseRootFromParent_Done,
     /*  681620 */   // Label 10817: @681620
     /*  681620 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681695), // Rule ID 10623 //
     /*  681625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681693 */     GIR_RootConstrainSelectedInstOperands,
     /*  681694 */     // GIR_Coverage, 10623,
     /*  681694 */     GIR_EraseRootFromParent_Done,
     /*  681695 */   // Label 10818: @681695
     /*  681695 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681770), // Rule ID 10626 //
     /*  681700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  681720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681768 */     GIR_RootConstrainSelectedInstOperands,
     /*  681769 */     // GIR_Coverage, 10626,
     /*  681769 */     GIR_EraseRootFromParent_Done,
     /*  681770 */   // Label 10819: @681770
     /*  681770 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(681845), // Rule ID 10627 //
     /*  681775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  681795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681843 */     GIR_RootConstrainSelectedInstOperands,
     /*  681844 */     // GIR_Coverage, 10627,
     /*  681844 */     GIR_EraseRootFromParent_Done,
     /*  681845 */   // Label 10820: @681845
     /*  681845 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(681920), // Rule ID 10630 //
     /*  681850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  681870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681918 */     GIR_RootConstrainSelectedInstOperands,
     /*  681919 */     // GIR_Coverage, 10630,
     /*  681919 */     GIR_EraseRootFromParent_Done,
     /*  681920 */   // Label 10821: @681920
     /*  681920 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(681995), // Rule ID 10631 //
     /*  681925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  681945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681993 */     GIR_RootConstrainSelectedInstOperands,
     /*  681994 */     // GIR_Coverage, 10631,
     /*  681994 */     GIR_EraseRootFromParent_Done,
     /*  681995 */   // Label 10822: @681995
     /*  681995 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682070), // Rule ID 10634 //
     /*  682000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682068 */     GIR_RootConstrainSelectedInstOperands,
     /*  682069 */     // GIR_Coverage, 10634,
     /*  682069 */     GIR_EraseRootFromParent_Done,
     /*  682070 */   // Label 10823: @682070
     /*  682070 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682145), // Rule ID 10635 //
     /*  682075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682143 */     GIR_RootConstrainSelectedInstOperands,
     /*  682144 */     // GIR_Coverage, 10635,
     /*  682144 */     GIR_EraseRootFromParent_Done,
     /*  682145 */   // Label 10824: @682145
     /*  682145 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682220), // Rule ID 10638 //
     /*  682150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682218 */     GIR_RootConstrainSelectedInstOperands,
     /*  682219 */     // GIR_Coverage, 10638,
     /*  682219 */     GIR_EraseRootFromParent_Done,
     /*  682220 */   // Label 10825: @682220
     /*  682220 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682295), // Rule ID 10639 //
     /*  682225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682293 */     GIR_RootConstrainSelectedInstOperands,
     /*  682294 */     // GIR_Coverage, 10639,
     /*  682294 */     GIR_EraseRootFromParent_Done,
     /*  682295 */   // Label 10826: @682295
     /*  682295 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682370), // Rule ID 10642 //
     /*  682300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682368 */     GIR_RootConstrainSelectedInstOperands,
     /*  682369 */     // GIR_Coverage, 10642,
     /*  682369 */     GIR_EraseRootFromParent_Done,
     /*  682370 */   // Label 10827: @682370
     /*  682370 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682445), // Rule ID 10643 //
     /*  682375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682443 */     GIR_RootConstrainSelectedInstOperands,
     /*  682444 */     // GIR_Coverage, 10643,
     /*  682444 */     GIR_EraseRootFromParent_Done,
     /*  682445 */   // Label 10828: @682445
     /*  682445 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682520), // Rule ID 10646 //
     /*  682450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682518 */     GIR_RootConstrainSelectedInstOperands,
     /*  682519 */     // GIR_Coverage, 10646,
     /*  682519 */     GIR_EraseRootFromParent_Done,
     /*  682520 */   // Label 10829: @682520
     /*  682520 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682595), // Rule ID 10647 //
     /*  682525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682593 */     GIR_RootConstrainSelectedInstOperands,
     /*  682594 */     // GIR_Coverage, 10647,
     /*  682594 */     GIR_EraseRootFromParent_Done,
     /*  682595 */   // Label 10830: @682595
     /*  682595 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682670), // Rule ID 10650 //
     /*  682600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  682620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682668 */     GIR_RootConstrainSelectedInstOperands,
     /*  682669 */     // GIR_Coverage, 10650,
     /*  682669 */     GIR_EraseRootFromParent_Done,
     /*  682670 */   // Label 10831: @682670
     /*  682670 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682745), // Rule ID 10651 //
     /*  682675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  682695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682743 */     GIR_RootConstrainSelectedInstOperands,
     /*  682744 */     // GIR_Coverage, 10651,
     /*  682744 */     GIR_EraseRootFromParent_Done,
     /*  682745 */   // Label 10832: @682745
     /*  682745 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(682820), // Rule ID 10654 //
     /*  682750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  682770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682818 */     GIR_RootConstrainSelectedInstOperands,
     /*  682819 */     // GIR_Coverage, 10654,
     /*  682819 */     GIR_EraseRootFromParent_Done,
     /*  682820 */   // Label 10833: @682820
     /*  682820 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(682895), // Rule ID 10655 //
     /*  682825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  682845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682893 */     GIR_RootConstrainSelectedInstOperands,
     /*  682894 */     // GIR_Coverage, 10655,
     /*  682894 */     GIR_EraseRootFromParent_Done,
     /*  682895 */   // Label 10834: @682895
     /*  682895 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(682970), // Rule ID 10658 //
     /*  682900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  682920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682968 */     GIR_RootConstrainSelectedInstOperands,
     /*  682969 */     // GIR_Coverage, 10658,
     /*  682969 */     GIR_EraseRootFromParent_Done,
     /*  682970 */   // Label 10835: @682970
     /*  682970 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683045), // Rule ID 10659 //
     /*  682975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  682995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683043 */     GIR_RootConstrainSelectedInstOperands,
     /*  683044 */     // GIR_Coverage, 10659,
     /*  683044 */     GIR_EraseRootFromParent_Done,
     /*  683045 */   // Label 10836: @683045
     /*  683045 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683120), // Rule ID 10662 //
     /*  683050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683118 */     GIR_RootConstrainSelectedInstOperands,
     /*  683119 */     // GIR_Coverage, 10662,
     /*  683119 */     GIR_EraseRootFromParent_Done,
     /*  683120 */   // Label 10837: @683120
     /*  683120 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683195), // Rule ID 10663 //
     /*  683125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683193 */     GIR_RootConstrainSelectedInstOperands,
     /*  683194 */     // GIR_Coverage, 10663,
     /*  683194 */     GIR_EraseRootFromParent_Done,
     /*  683195 */   // Label 10838: @683195
     /*  683195 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683270), // Rule ID 10666 //
     /*  683200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683268 */     GIR_RootConstrainSelectedInstOperands,
     /*  683269 */     // GIR_Coverage, 10666,
     /*  683269 */     GIR_EraseRootFromParent_Done,
     /*  683270 */   // Label 10839: @683270
     /*  683270 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683345), // Rule ID 10667 //
     /*  683275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683343 */     GIR_RootConstrainSelectedInstOperands,
     /*  683344 */     // GIR_Coverage, 10667,
     /*  683344 */     GIR_EraseRootFromParent_Done,
     /*  683345 */   // Label 10840: @683345
     /*  683345 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683420), // Rule ID 10670 //
     /*  683350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683418 */     GIR_RootConstrainSelectedInstOperands,
     /*  683419 */     // GIR_Coverage, 10670,
     /*  683419 */     GIR_EraseRootFromParent_Done,
     /*  683420 */   // Label 10841: @683420
     /*  683420 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683495), // Rule ID 10671 //
     /*  683425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683493 */     GIR_RootConstrainSelectedInstOperands,
     /*  683494 */     // GIR_Coverage, 10671,
     /*  683494 */     GIR_EraseRootFromParent_Done,
     /*  683495 */   // Label 10842: @683495
     /*  683495 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683570), // Rule ID 10674 //
     /*  683500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683568 */     GIR_RootConstrainSelectedInstOperands,
     /*  683569 */     // GIR_Coverage, 10674,
     /*  683569 */     GIR_EraseRootFromParent_Done,
     /*  683570 */   // Label 10843: @683570
     /*  683570 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683645), // Rule ID 10675 //
     /*  683575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683643 */     GIR_RootConstrainSelectedInstOperands,
     /*  683644 */     // GIR_Coverage, 10675,
     /*  683644 */     GIR_EraseRootFromParent_Done,
     /*  683645 */   // Label 10844: @683645
     /*  683645 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683720), // Rule ID 10678 //
     /*  683650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  683670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683718 */     GIR_RootConstrainSelectedInstOperands,
     /*  683719 */     // GIR_Coverage, 10678,
     /*  683719 */     GIR_EraseRootFromParent_Done,
     /*  683720 */   // Label 10845: @683720
     /*  683720 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(683795), // Rule ID 10679 //
     /*  683725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  683745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683793 */     GIR_RootConstrainSelectedInstOperands,
     /*  683794 */     // GIR_Coverage, 10679,
     /*  683794 */     GIR_EraseRootFromParent_Done,
     /*  683795 */   // Label 10846: @683795
     /*  683795 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(683870), // Rule ID 10682 //
     /*  683800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  683820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683868 */     GIR_RootConstrainSelectedInstOperands,
     /*  683869 */     // GIR_Coverage, 10682,
     /*  683869 */     GIR_EraseRootFromParent_Done,
     /*  683870 */   // Label 10847: @683870
     /*  683870 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(683945), // Rule ID 10683 //
     /*  683875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  683895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683943 */     GIR_RootConstrainSelectedInstOperands,
     /*  683944 */     // GIR_Coverage, 10683,
     /*  683944 */     GIR_EraseRootFromParent_Done,
     /*  683945 */   // Label 10848: @683945
     /*  683945 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684020), // Rule ID 10686 //
     /*  683950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  683999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684018 */     GIR_RootConstrainSelectedInstOperands,
     /*  684019 */     // GIR_Coverage, 10686,
     /*  684019 */     GIR_EraseRootFromParent_Done,
     /*  684020 */   // Label 10849: @684020
     /*  684020 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684095), // Rule ID 10687 //
     /*  684025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  684074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684093 */     GIR_RootConstrainSelectedInstOperands,
     /*  684094 */     // GIR_Coverage, 10687,
     /*  684094 */     GIR_EraseRootFromParent_Done,
     /*  684095 */   // Label 10850: @684095
     /*  684095 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684170), // Rule ID 10690 //
     /*  684100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684168 */     GIR_RootConstrainSelectedInstOperands,
     /*  684169 */     // GIR_Coverage, 10690,
     /*  684169 */     GIR_EraseRootFromParent_Done,
     /*  684170 */   // Label 10851: @684170
     /*  684170 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684245), // Rule ID 10691 //
     /*  684175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684243 */     GIR_RootConstrainSelectedInstOperands,
     /*  684244 */     // GIR_Coverage, 10691,
     /*  684244 */     GIR_EraseRootFromParent_Done,
     /*  684245 */   // Label 10852: @684245
     /*  684245 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684320), // Rule ID 10694 //
     /*  684250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684318 */     GIR_RootConstrainSelectedInstOperands,
     /*  684319 */     // GIR_Coverage, 10694,
     /*  684319 */     GIR_EraseRootFromParent_Done,
     /*  684320 */   // Label 10853: @684320
     /*  684320 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684395), // Rule ID 10695 //
     /*  684325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684393 */     GIR_RootConstrainSelectedInstOperands,
     /*  684394 */     // GIR_Coverage, 10695,
     /*  684394 */     GIR_EraseRootFromParent_Done,
     /*  684395 */   // Label 10854: @684395
     /*  684395 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684470), // Rule ID 10698 //
     /*  684400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684468 */     GIR_RootConstrainSelectedInstOperands,
     /*  684469 */     // GIR_Coverage, 10698,
     /*  684469 */     GIR_EraseRootFromParent_Done,
     /*  684470 */   // Label 10855: @684470
     /*  684470 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684545), // Rule ID 10699 //
     /*  684475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684543 */     GIR_RootConstrainSelectedInstOperands,
     /*  684544 */     // GIR_Coverage, 10699,
     /*  684544 */     GIR_EraseRootFromParent_Done,
     /*  684545 */   // Label 10856: @684545
     /*  684545 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684620), // Rule ID 10702 //
     /*  684550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684618 */     GIR_RootConstrainSelectedInstOperands,
     /*  684619 */     // GIR_Coverage, 10702,
     /*  684619 */     GIR_EraseRootFromParent_Done,
     /*  684620 */   // Label 10857: @684620
     /*  684620 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684695), // Rule ID 10703 //
     /*  684625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684693 */     GIR_RootConstrainSelectedInstOperands,
     /*  684694 */     // GIR_Coverage, 10703,
     /*  684694 */     GIR_EraseRootFromParent_Done,
     /*  684695 */   // Label 10858: @684695
     /*  684695 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(684770), // Rule ID 10706 //
     /*  684700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684768 */     GIR_RootConstrainSelectedInstOperands,
     /*  684769 */     // GIR_Coverage, 10706,
     /*  684769 */     GIR_EraseRootFromParent_Done,
     /*  684770 */   // Label 10859: @684770
     /*  684770 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(684845), // Rule ID 10707 //
     /*  684775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684843 */     GIR_RootConstrainSelectedInstOperands,
     /*  684844 */     // GIR_Coverage, 10707,
     /*  684844 */     GIR_EraseRootFromParent_Done,
     /*  684845 */   // Label 10860: @684845
     /*  684845 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(684920), // Rule ID 10710 //
     /*  684850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684918 */     GIR_RootConstrainSelectedInstOperands,
     /*  684919 */     // GIR_Coverage, 10710,
     /*  684919 */     GIR_EraseRootFromParent_Done,
     /*  684920 */   // Label 10861: @684920
     /*  684920 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(684995), // Rule ID 10711 //
     /*  684925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684993 */     GIR_RootConstrainSelectedInstOperands,
     /*  684994 */     // GIR_Coverage, 10711,
     /*  684994 */     GIR_EraseRootFromParent_Done,
     /*  684995 */   // Label 10862: @684995
     /*  684995 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685070), // Rule ID 10714 //
     /*  685000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685068 */     GIR_RootConstrainSelectedInstOperands,
     /*  685069 */     // GIR_Coverage, 10714,
     /*  685069 */     GIR_EraseRootFromParent_Done,
     /*  685070 */   // Label 10863: @685070
     /*  685070 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685145), // Rule ID 10715 //
     /*  685075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685143 */     GIR_RootConstrainSelectedInstOperands,
     /*  685144 */     // GIR_Coverage, 10715,
     /*  685144 */     GIR_EraseRootFromParent_Done,
     /*  685145 */   // Label 10864: @685145
     /*  685145 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685220), // Rule ID 10718 //
     /*  685150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685218 */     GIR_RootConstrainSelectedInstOperands,
     /*  685219 */     // GIR_Coverage, 10718,
     /*  685219 */     GIR_EraseRootFromParent_Done,
     /*  685220 */   // Label 10865: @685220
     /*  685220 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685295), // Rule ID 10719 //
     /*  685225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685293 */     GIR_RootConstrainSelectedInstOperands,
     /*  685294 */     // GIR_Coverage, 10719,
     /*  685294 */     GIR_EraseRootFromParent_Done,
     /*  685295 */   // Label 10866: @685295
     /*  685295 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685370), // Rule ID 10722 //
     /*  685300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685368 */     GIR_RootConstrainSelectedInstOperands,
     /*  685369 */     // GIR_Coverage, 10722,
     /*  685369 */     GIR_EraseRootFromParent_Done,
     /*  685370 */   // Label 10867: @685370
     /*  685370 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685445), // Rule ID 10723 //
     /*  685375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685443 */     GIR_RootConstrainSelectedInstOperands,
     /*  685444 */     // GIR_Coverage, 10723,
     /*  685444 */     GIR_EraseRootFromParent_Done,
     /*  685445 */   // Label 10868: @685445
     /*  685445 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685520), // Rule ID 10726 //
     /*  685450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685518 */     GIR_RootConstrainSelectedInstOperands,
     /*  685519 */     // GIR_Coverage, 10726,
     /*  685519 */     GIR_EraseRootFromParent_Done,
     /*  685520 */   // Label 10869: @685520
     /*  685520 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685595), // Rule ID 10727 //
     /*  685525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685593 */     GIR_RootConstrainSelectedInstOperands,
     /*  685594 */     // GIR_Coverage, 10727,
     /*  685594 */     GIR_EraseRootFromParent_Done,
     /*  685595 */   // Label 10870: @685595
     /*  685595 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685670), // Rule ID 10730 //
     /*  685600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685668 */     GIR_RootConstrainSelectedInstOperands,
     /*  685669 */     // GIR_Coverage, 10730,
     /*  685669 */     GIR_EraseRootFromParent_Done,
     /*  685670 */   // Label 10871: @685670
     /*  685670 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(685745), // Rule ID 10731 //
     /*  685675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685721 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685743 */     GIR_RootConstrainSelectedInstOperands,
     /*  685744 */     // GIR_Coverage, 10731,
     /*  685744 */     GIR_EraseRootFromParent_Done,
     /*  685745 */   // Label 10872: @685745
     /*  685745 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(685820), // Rule ID 10734 //
     /*  685750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  685799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685818 */     GIR_RootConstrainSelectedInstOperands,
     /*  685819 */     // GIR_Coverage, 10734,
     /*  685819 */     GIR_EraseRootFromParent_Done,
     /*  685820 */   // Label 10873: @685820
     /*  685820 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(685895), // Rule ID 10735 //
     /*  685825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  685874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685893 */     GIR_RootConstrainSelectedInstOperands,
     /*  685894 */     // GIR_Coverage, 10735,
     /*  685894 */     GIR_EraseRootFromParent_Done,
     /*  685895 */   // Label 10874: @685895
     /*  685895 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(685970), // Rule ID 10738 //
     /*  685900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685968 */     GIR_RootConstrainSelectedInstOperands,
     /*  685969 */     // GIR_Coverage, 10738,
     /*  685969 */     GIR_EraseRootFromParent_Done,
     /*  685970 */   // Label 10875: @685970
     /*  685970 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686045), // Rule ID 10739 //
     /*  685975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686043 */     GIR_RootConstrainSelectedInstOperands,
     /*  686044 */     // GIR_Coverage, 10739,
     /*  686044 */     GIR_EraseRootFromParent_Done,
     /*  686045 */   // Label 10876: @686045
     /*  686045 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686120), // Rule ID 10742 //
     /*  686050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686118 */     GIR_RootConstrainSelectedInstOperands,
     /*  686119 */     // GIR_Coverage, 10742,
     /*  686119 */     GIR_EraseRootFromParent_Done,
     /*  686120 */   // Label 10877: @686120
     /*  686120 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686195), // Rule ID 10743 //
     /*  686125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686193 */     GIR_RootConstrainSelectedInstOperands,
     /*  686194 */     // GIR_Coverage, 10743,
     /*  686194 */     GIR_EraseRootFromParent_Done,
     /*  686195 */   // Label 10878: @686195
     /*  686195 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686270), // Rule ID 10746 //
     /*  686200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686268 */     GIR_RootConstrainSelectedInstOperands,
     /*  686269 */     // GIR_Coverage, 10746,
     /*  686269 */     GIR_EraseRootFromParent_Done,
     /*  686270 */   // Label 10879: @686270
     /*  686270 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686345), // Rule ID 10747 //
     /*  686275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686343 */     GIR_RootConstrainSelectedInstOperands,
     /*  686344 */     // GIR_Coverage, 10747,
     /*  686344 */     GIR_EraseRootFromParent_Done,
     /*  686345 */   // Label 10880: @686345
     /*  686345 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686420), // Rule ID 10750 //
     /*  686350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686418 */     GIR_RootConstrainSelectedInstOperands,
     /*  686419 */     // GIR_Coverage, 10750,
     /*  686419 */     GIR_EraseRootFromParent_Done,
     /*  686420 */   // Label 10881: @686420
     /*  686420 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686495), // Rule ID 10751 //
     /*  686425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686493 */     GIR_RootConstrainSelectedInstOperands,
     /*  686494 */     // GIR_Coverage, 10751,
     /*  686494 */     GIR_EraseRootFromParent_Done,
     /*  686495 */   // Label 10882: @686495
     /*  686495 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686570), // Rule ID 10754 //
     /*  686500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686568 */     GIR_RootConstrainSelectedInstOperands,
     /*  686569 */     // GIR_Coverage, 10754,
     /*  686569 */     GIR_EraseRootFromParent_Done,
     /*  686570 */   // Label 10883: @686570
     /*  686570 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686645), // Rule ID 10755 //
     /*  686575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686643 */     GIR_RootConstrainSelectedInstOperands,
     /*  686644 */     // GIR_Coverage, 10755,
     /*  686644 */     GIR_EraseRootFromParent_Done,
     /*  686645 */   // Label 10884: @686645
     /*  686645 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686720), // Rule ID 10758 //
     /*  686650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686718 */     GIR_RootConstrainSelectedInstOperands,
     /*  686719 */     // GIR_Coverage, 10758,
     /*  686719 */     GIR_EraseRootFromParent_Done,
     /*  686720 */   // Label 10885: @686720
     /*  686720 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(686795), // Rule ID 10759 //
     /*  686725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686793 */     GIR_RootConstrainSelectedInstOperands,
     /*  686794 */     // GIR_Coverage, 10759,
     /*  686794 */     GIR_EraseRootFromParent_Done,
     /*  686795 */   // Label 10886: @686795
     /*  686795 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(686870), // Rule ID 10762 //
     /*  686800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686868 */     GIR_RootConstrainSelectedInstOperands,
     /*  686869 */     // GIR_Coverage, 10762,
     /*  686869 */     GIR_EraseRootFromParent_Done,
     /*  686870 */   // Label 10887: @686870
     /*  686870 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(686945), // Rule ID 10763 //
     /*  686875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686943 */     GIR_RootConstrainSelectedInstOperands,
     /*  686944 */     // GIR_Coverage, 10763,
     /*  686944 */     GIR_EraseRootFromParent_Done,
     /*  686945 */   // Label 10888: @686945
     /*  686945 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687020), // Rule ID 10766 //
     /*  686950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687018 */     GIR_RootConstrainSelectedInstOperands,
     /*  687019 */     // GIR_Coverage, 10766,
     /*  687019 */     GIR_EraseRootFromParent_Done,
     /*  687020 */   // Label 10889: @687020
     /*  687020 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687095), // Rule ID 10767 //
     /*  687025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  687074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687093 */     GIR_RootConstrainSelectedInstOperands,
     /*  687094 */     // GIR_Coverage, 10767,
     /*  687094 */     GIR_EraseRootFromParent_Done,
     /*  687095 */   // Label 10890: @687095
     /*  687095 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687170), // Rule ID 10770 //
     /*  687100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687168 */     GIR_RootConstrainSelectedInstOperands,
     /*  687169 */     // GIR_Coverage, 10770,
     /*  687169 */     GIR_EraseRootFromParent_Done,
     /*  687170 */   // Label 10891: @687170
     /*  687170 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687245), // Rule ID 10771 //
     /*  687175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687243 */     GIR_RootConstrainSelectedInstOperands,
     /*  687244 */     // GIR_Coverage, 10771,
     /*  687244 */     GIR_EraseRootFromParent_Done,
     /*  687245 */   // Label 10892: @687245
     /*  687245 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687320), // Rule ID 10774 //
     /*  687250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687318 */     GIR_RootConstrainSelectedInstOperands,
     /*  687319 */     // GIR_Coverage, 10774,
     /*  687319 */     GIR_EraseRootFromParent_Done,
     /*  687320 */   // Label 10893: @687320
     /*  687320 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687395), // Rule ID 10775 //
     /*  687325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687393 */     GIR_RootConstrainSelectedInstOperands,
     /*  687394 */     // GIR_Coverage, 10775,
     /*  687394 */     GIR_EraseRootFromParent_Done,
     /*  687395 */   // Label 10894: @687395
     /*  687395 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687470), // Rule ID 10778 //
     /*  687400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687468 */     GIR_RootConstrainSelectedInstOperands,
     /*  687469 */     // GIR_Coverage, 10778,
     /*  687469 */     GIR_EraseRootFromParent_Done,
     /*  687470 */   // Label 10895: @687470
     /*  687470 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687545), // Rule ID 10779 //
     /*  687475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687543 */     GIR_RootConstrainSelectedInstOperands,
     /*  687544 */     // GIR_Coverage, 10779,
     /*  687544 */     GIR_EraseRootFromParent_Done,
     /*  687545 */   // Label 10896: @687545
     /*  687545 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687620), // Rule ID 10782 //
     /*  687550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  687570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687618 */     GIR_RootConstrainSelectedInstOperands,
     /*  687619 */     // GIR_Coverage, 10782,
     /*  687619 */     GIR_EraseRootFromParent_Done,
     /*  687620 */   // Label 10897: @687620
     /*  687620 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687695), // Rule ID 10783 //
     /*  687625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  687645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687693 */     GIR_RootConstrainSelectedInstOperands,
     /*  687694 */     // GIR_Coverage, 10783,
     /*  687694 */     GIR_EraseRootFromParent_Done,
     /*  687695 */   // Label 10898: @687695
     /*  687695 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(687770), // Rule ID 10786 //
     /*  687700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  687720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687768 */     GIR_RootConstrainSelectedInstOperands,
     /*  687769 */     // GIR_Coverage, 10786,
     /*  687769 */     GIR_EraseRootFromParent_Done,
     /*  687770 */   // Label 10899: @687770
     /*  687770 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(687845), // Rule ID 10787 //
     /*  687775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  687795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687843 */     GIR_RootConstrainSelectedInstOperands,
     /*  687844 */     // GIR_Coverage, 10787,
     /*  687844 */     GIR_EraseRootFromParent_Done,
     /*  687845 */   // Label 10900: @687845
     /*  687845 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(687920), // Rule ID 10790 //
     /*  687850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  687870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687918 */     GIR_RootConstrainSelectedInstOperands,
     /*  687919 */     // GIR_Coverage, 10790,
     /*  687919 */     GIR_EraseRootFromParent_Done,
     /*  687920 */   // Label 10901: @687920
     /*  687920 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(687995), // Rule ID 10791 //
     /*  687925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  687945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687993 */     GIR_RootConstrainSelectedInstOperands,
     /*  687994 */     // GIR_Coverage, 10791,
     /*  687994 */     GIR_EraseRootFromParent_Done,
     /*  687995 */   // Label 10902: @687995
     /*  687995 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688070), // Rule ID 10794 //
     /*  688000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688068 */     GIR_RootConstrainSelectedInstOperands,
     /*  688069 */     // GIR_Coverage, 10794,
     /*  688069 */     GIR_EraseRootFromParent_Done,
     /*  688070 */   // Label 10903: @688070
     /*  688070 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688145), // Rule ID 10795 //
     /*  688075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688143 */     GIR_RootConstrainSelectedInstOperands,
     /*  688144 */     // GIR_Coverage, 10795,
     /*  688144 */     GIR_EraseRootFromParent_Done,
     /*  688145 */   // Label 10904: @688145
     /*  688145 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688220), // Rule ID 10798 //
     /*  688150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688218 */     GIR_RootConstrainSelectedInstOperands,
     /*  688219 */     // GIR_Coverage, 10798,
     /*  688219 */     GIR_EraseRootFromParent_Done,
     /*  688220 */   // Label 10905: @688220
     /*  688220 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688295), // Rule ID 10799 //
     /*  688225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688293 */     GIR_RootConstrainSelectedInstOperands,
     /*  688294 */     // GIR_Coverage, 10799,
     /*  688294 */     GIR_EraseRootFromParent_Done,
     /*  688295 */   // Label 10906: @688295
     /*  688295 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688370), // Rule ID 10802 //
     /*  688300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688368 */     GIR_RootConstrainSelectedInstOperands,
     /*  688369 */     // GIR_Coverage, 10802,
     /*  688369 */     GIR_EraseRootFromParent_Done,
     /*  688370 */   // Label 10907: @688370
     /*  688370 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688445), // Rule ID 10803 //
     /*  688375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688443 */     GIR_RootConstrainSelectedInstOperands,
     /*  688444 */     // GIR_Coverage, 10803,
     /*  688444 */     GIR_EraseRootFromParent_Done,
     /*  688445 */   // Label 10908: @688445
     /*  688445 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688520), // Rule ID 10806 //
     /*  688450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  688470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688518 */     GIR_RootConstrainSelectedInstOperands,
     /*  688519 */     // GIR_Coverage, 10806,
     /*  688519 */     GIR_EraseRootFromParent_Done,
     /*  688520 */   // Label 10909: @688520
     /*  688520 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688595), // Rule ID 10807 //
     /*  688525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  688545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688593 */     GIR_RootConstrainSelectedInstOperands,
     /*  688594 */     // GIR_Coverage, 10807,
     /*  688594 */     GIR_EraseRootFromParent_Done,
     /*  688595 */   // Label 10910: @688595
     /*  688595 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688670), // Rule ID 10810 //
     /*  688600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  688620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688668 */     GIR_RootConstrainSelectedInstOperands,
     /*  688669 */     // GIR_Coverage, 10810,
     /*  688669 */     GIR_EraseRootFromParent_Done,
     /*  688670 */   // Label 10911: @688670
     /*  688670 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(688745), // Rule ID 10811 //
     /*  688675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  688695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688743 */     GIR_RootConstrainSelectedInstOperands,
     /*  688744 */     // GIR_Coverage, 10811,
     /*  688744 */     GIR_EraseRootFromParent_Done,
     /*  688745 */   // Label 10912: @688745
     /*  688745 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(688820), // Rule ID 10814 //
     /*  688750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  688770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  688799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688818 */     GIR_RootConstrainSelectedInstOperands,
     /*  688819 */     // GIR_Coverage, 10814,
     /*  688819 */     GIR_EraseRootFromParent_Done,
     /*  688820 */   // Label 10913: @688820
     /*  688820 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(688895), // Rule ID 10815 //
     /*  688825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  688845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  688874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688893 */     GIR_RootConstrainSelectedInstOperands,
     /*  688894 */     // GIR_Coverage, 10815,
     /*  688894 */     GIR_EraseRootFromParent_Done,
     /*  688895 */   // Label 10914: @688895
     /*  688895 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(688970), // Rule ID 10818 //
     /*  688900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  688920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  688949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688968 */     GIR_RootConstrainSelectedInstOperands,
     /*  688969 */     // GIR_Coverage, 10818,
     /*  688969 */     GIR_EraseRootFromParent_Done,
     /*  688970 */   // Label 10915: @688970
     /*  688970 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689045), // Rule ID 10819 //
     /*  688975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  688995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689043 */     GIR_RootConstrainSelectedInstOperands,
     /*  689044 */     // GIR_Coverage, 10819,
     /*  689044 */     GIR_EraseRootFromParent_Done,
     /*  689045 */   // Label 10916: @689045
     /*  689045 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689120), // Rule ID 10822 //
     /*  689050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689118 */     GIR_RootConstrainSelectedInstOperands,
     /*  689119 */     // GIR_Coverage, 10822,
     /*  689119 */     GIR_EraseRootFromParent_Done,
     /*  689120 */   // Label 10917: @689120
     /*  689120 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689195), // Rule ID 10823 //
     /*  689125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689193 */     GIR_RootConstrainSelectedInstOperands,
     /*  689194 */     // GIR_Coverage, 10823,
     /*  689194 */     GIR_EraseRootFromParent_Done,
     /*  689195 */   // Label 10918: @689195
     /*  689195 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689270), // Rule ID 10826 //
     /*  689200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689268 */     GIR_RootConstrainSelectedInstOperands,
     /*  689269 */     // GIR_Coverage, 10826,
     /*  689269 */     GIR_EraseRootFromParent_Done,
     /*  689270 */   // Label 10919: @689270
     /*  689270 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689345), // Rule ID 10827 //
     /*  689275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689343 */     GIR_RootConstrainSelectedInstOperands,
     /*  689344 */     // GIR_Coverage, 10827,
     /*  689344 */     GIR_EraseRootFromParent_Done,
     /*  689345 */   // Label 10920: @689345
     /*  689345 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689420), // Rule ID 10830 //
     /*  689350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689418 */     GIR_RootConstrainSelectedInstOperands,
     /*  689419 */     // GIR_Coverage, 10830,
     /*  689419 */     GIR_EraseRootFromParent_Done,
     /*  689420 */   // Label 10921: @689420
     /*  689420 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689495), // Rule ID 10831 //
     /*  689425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689493 */     GIR_RootConstrainSelectedInstOperands,
     /*  689494 */     // GIR_Coverage, 10831,
     /*  689494 */     GIR_EraseRootFromParent_Done,
     /*  689495 */   // Label 10922: @689495
     /*  689495 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689570), // Rule ID 10834 //
     /*  689500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  689520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689568 */     GIR_RootConstrainSelectedInstOperands,
     /*  689569 */     // GIR_Coverage, 10834,
     /*  689569 */     GIR_EraseRootFromParent_Done,
     /*  689570 */   // Label 10923: @689570
     /*  689570 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689645), // Rule ID 10835 //
     /*  689575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  689595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689643 */     GIR_RootConstrainSelectedInstOperands,
     /*  689644 */     // GIR_Coverage, 10835,
     /*  689644 */     GIR_EraseRootFromParent_Done,
     /*  689645 */   // Label 10924: @689645
     /*  689645 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689720), // Rule ID 10838 //
     /*  689650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  689670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689718 */     GIR_RootConstrainSelectedInstOperands,
     /*  689719 */     // GIR_Coverage, 10838,
     /*  689719 */     GIR_EraseRootFromParent_Done,
     /*  689720 */   // Label 10925: @689720
     /*  689720 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(689795), // Rule ID 10839 //
     /*  689725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  689745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689793 */     GIR_RootConstrainSelectedInstOperands,
     /*  689794 */     // GIR_Coverage, 10839,
     /*  689794 */     GIR_EraseRootFromParent_Done,
     /*  689795 */   // Label 10926: @689795
     /*  689795 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(689870), // Rule ID 10842 //
     /*  689800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  689820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689868 */     GIR_RootConstrainSelectedInstOperands,
     /*  689869 */     // GIR_Coverage, 10842,
     /*  689869 */     GIR_EraseRootFromParent_Done,
     /*  689870 */   // Label 10927: @689870
     /*  689870 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(689945), // Rule ID 10843 //
     /*  689875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  689895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689943 */     GIR_RootConstrainSelectedInstOperands,
     /*  689944 */     // GIR_Coverage, 10843,
     /*  689944 */     GIR_EraseRootFromParent_Done,
     /*  689945 */   // Label 10928: @689945
     /*  689945 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690020), // Rule ID 10846 //
     /*  689950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  689970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690018 */     GIR_RootConstrainSelectedInstOperands,
     /*  690019 */     // GIR_Coverage, 10846,
     /*  690019 */     GIR_EraseRootFromParent_Done,
     /*  690020 */   // Label 10929: @690020
     /*  690020 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690095), // Rule ID 10847 //
     /*  690025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690093 */     GIR_RootConstrainSelectedInstOperands,
     /*  690094 */     // GIR_Coverage, 10847,
     /*  690094 */     GIR_EraseRootFromParent_Done,
     /*  690095 */   // Label 10930: @690095
     /*  690095 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690170), // Rule ID 10850 //
     /*  690100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690168 */     GIR_RootConstrainSelectedInstOperands,
     /*  690169 */     // GIR_Coverage, 10850,
     /*  690169 */     GIR_EraseRootFromParent_Done,
     /*  690170 */   // Label 10931: @690170
     /*  690170 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690245), // Rule ID 10851 //
     /*  690175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690243 */     GIR_RootConstrainSelectedInstOperands,
     /*  690244 */     // GIR_Coverage, 10851,
     /*  690244 */     GIR_EraseRootFromParent_Done,
     /*  690245 */   // Label 10932: @690245
     /*  690245 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690320), // Rule ID 10854 //
     /*  690250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690318 */     GIR_RootConstrainSelectedInstOperands,
     /*  690319 */     // GIR_Coverage, 10854,
     /*  690319 */     GIR_EraseRootFromParent_Done,
     /*  690320 */   // Label 10933: @690320
     /*  690320 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690395), // Rule ID 10855 //
     /*  690325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690393 */     GIR_RootConstrainSelectedInstOperands,
     /*  690394 */     // GIR_Coverage, 10855,
     /*  690394 */     GIR_EraseRootFromParent_Done,
     /*  690395 */   // Label 10934: @690395
     /*  690395 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690470), // Rule ID 10858 //
     /*  690400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690468 */     GIR_RootConstrainSelectedInstOperands,
     /*  690469 */     // GIR_Coverage, 10858,
     /*  690469 */     GIR_EraseRootFromParent_Done,
     /*  690470 */   // Label 10935: @690470
     /*  690470 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690545), // Rule ID 10859 //
     /*  690475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690543 */     GIR_RootConstrainSelectedInstOperands,
     /*  690544 */     // GIR_Coverage, 10859,
     /*  690544 */     GIR_EraseRootFromParent_Done,
     /*  690545 */   // Label 10936: @690545
     /*  690545 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690620), // Rule ID 10862 //
     /*  690550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  690599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690618 */     GIR_RootConstrainSelectedInstOperands,
     /*  690619 */     // GIR_Coverage, 10862,
     /*  690619 */     GIR_EraseRootFromParent_Done,
     /*  690620 */   // Label 10937: @690620
     /*  690620 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690695), // Rule ID 10863 //
     /*  690625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  690674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690693 */     GIR_RootConstrainSelectedInstOperands,
     /*  690694 */     // GIR_Coverage, 10863,
     /*  690694 */     GIR_EraseRootFromParent_Done,
     /*  690695 */   // Label 10938: @690695
     /*  690695 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(690770), // Rule ID 10866 //
     /*  690700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690768 */     GIR_RootConstrainSelectedInstOperands,
     /*  690769 */     // GIR_Coverage, 10866,
     /*  690769 */     GIR_EraseRootFromParent_Done,
     /*  690770 */   // Label 10939: @690770
     /*  690770 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(690845), // Rule ID 10867 //
     /*  690775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690843 */     GIR_RootConstrainSelectedInstOperands,
     /*  690844 */     // GIR_Coverage, 10867,
     /*  690844 */     GIR_EraseRootFromParent_Done,
     /*  690845 */   // Label 10940: @690845
     /*  690845 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(690920), // Rule ID 10870 //
     /*  690850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  690899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690918 */     GIR_RootConstrainSelectedInstOperands,
     /*  690919 */     // GIR_Coverage, 10870,
     /*  690919 */     GIR_EraseRootFromParent_Done,
     /*  690920 */   // Label 10941: @690920
     /*  690920 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(690995), // Rule ID 10871 //
     /*  690925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  690974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690993 */     GIR_RootConstrainSelectedInstOperands,
     /*  690994 */     // GIR_Coverage, 10871,
     /*  690994 */     GIR_EraseRootFromParent_Done,
     /*  690995 */   // Label 10942: @690995
     /*  690995 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691070), // Rule ID 10874 //
     /*  691000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691068 */     GIR_RootConstrainSelectedInstOperands,
     /*  691069 */     // GIR_Coverage, 10874,
     /*  691069 */     GIR_EraseRootFromParent_Done,
     /*  691070 */   // Label 10943: @691070
     /*  691070 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691145), // Rule ID 10875 //
     /*  691075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691143 */     GIR_RootConstrainSelectedInstOperands,
     /*  691144 */     // GIR_Coverage, 10875,
     /*  691144 */     GIR_EraseRootFromParent_Done,
     /*  691145 */   // Label 10944: @691145
     /*  691145 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691220), // Rule ID 10878 //
     /*  691150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691218 */     GIR_RootConstrainSelectedInstOperands,
     /*  691219 */     // GIR_Coverage, 10878,
     /*  691219 */     GIR_EraseRootFromParent_Done,
     /*  691220 */   // Label 10945: @691220
     /*  691220 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691295), // Rule ID 10879 //
     /*  691225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691293 */     GIR_RootConstrainSelectedInstOperands,
     /*  691294 */     // GIR_Coverage, 10879,
     /*  691294 */     GIR_EraseRootFromParent_Done,
     /*  691295 */   // Label 10946: @691295
     /*  691295 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691370), // Rule ID 10882 //
     /*  691300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691368 */     GIR_RootConstrainSelectedInstOperands,
     /*  691369 */     // GIR_Coverage, 10882,
     /*  691369 */     GIR_EraseRootFromParent_Done,
     /*  691370 */   // Label 10947: @691370
     /*  691370 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691445), // Rule ID 10883 //
     /*  691375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691443 */     GIR_RootConstrainSelectedInstOperands,
     /*  691444 */     // GIR_Coverage, 10883,
     /*  691444 */     GIR_EraseRootFromParent_Done,
     /*  691445 */   // Label 10948: @691445
     /*  691445 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691520), // Rule ID 10886 //
     /*  691450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691518 */     GIR_RootConstrainSelectedInstOperands,
     /*  691519 */     // GIR_Coverage, 10886,
     /*  691519 */     GIR_EraseRootFromParent_Done,
     /*  691520 */   // Label 10949: @691520
     /*  691520 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691595), // Rule ID 10887 //
     /*  691525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691593 */     GIR_RootConstrainSelectedInstOperands,
     /*  691594 */     // GIR_Coverage, 10887,
     /*  691594 */     GIR_EraseRootFromParent_Done,
     /*  691595 */   // Label 10950: @691595
     /*  691595 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691670), // Rule ID 10890 //
     /*  691600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691668 */     GIR_RootConstrainSelectedInstOperands,
     /*  691669 */     // GIR_Coverage, 10890,
     /*  691669 */     GIR_EraseRootFromParent_Done,
     /*  691670 */   // Label 10951: @691670
     /*  691670 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(691745), // Rule ID 10891 //
     /*  691675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691743 */     GIR_RootConstrainSelectedInstOperands,
     /*  691744 */     // GIR_Coverage, 10891,
     /*  691744 */     GIR_EraseRootFromParent_Done,
     /*  691745 */   // Label 10952: @691745
     /*  691745 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(691820), // Rule ID 10894 //
     /*  691750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691818 */     GIR_RootConstrainSelectedInstOperands,
     /*  691819 */     // GIR_Coverage, 10894,
     /*  691819 */     GIR_EraseRootFromParent_Done,
     /*  691820 */   // Label 10953: @691820
     /*  691820 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(691895), // Rule ID 10895 //
     /*  691825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691893 */     GIR_RootConstrainSelectedInstOperands,
     /*  691894 */     // GIR_Coverage, 10895,
     /*  691894 */     GIR_EraseRootFromParent_Done,
     /*  691895 */   // Label 10954: @691895
     /*  691895 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(691970), // Rule ID 10898 //
     /*  691900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691968 */     GIR_RootConstrainSelectedInstOperands,
     /*  691969 */     // GIR_Coverage, 10898,
     /*  691969 */     GIR_EraseRootFromParent_Done,
     /*  691970 */   // Label 10955: @691970
     /*  691970 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692045), // Rule ID 10899 //
     /*  691975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692043 */     GIR_RootConstrainSelectedInstOperands,
     /*  692044 */     // GIR_Coverage, 10899,
     /*  692044 */     GIR_EraseRootFromParent_Done,
     /*  692045 */   // Label 10956: @692045
     /*  692045 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692120), // Rule ID 10902 //
     /*  692050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692118 */     GIR_RootConstrainSelectedInstOperands,
     /*  692119 */     // GIR_Coverage, 10902,
     /*  692119 */     GIR_EraseRootFromParent_Done,
     /*  692120 */   // Label 10957: @692120
     /*  692120 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692195), // Rule ID 10903 //
     /*  692125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692193 */     GIR_RootConstrainSelectedInstOperands,
     /*  692194 */     // GIR_Coverage, 10903,
     /*  692194 */     GIR_EraseRootFromParent_Done,
     /*  692195 */   // Label 10958: @692195
     /*  692195 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692270), // Rule ID 10906 //
     /*  692200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692268 */     GIR_RootConstrainSelectedInstOperands,
     /*  692269 */     // GIR_Coverage, 10906,
     /*  692269 */     GIR_EraseRootFromParent_Done,
     /*  692270 */   // Label 10959: @692270
     /*  692270 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692345), // Rule ID 10907 //
     /*  692275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692343 */     GIR_RootConstrainSelectedInstOperands,
     /*  692344 */     // GIR_Coverage, 10907,
     /*  692344 */     GIR_EraseRootFromParent_Done,
     /*  692345 */   // Label 10960: @692345
     /*  692345 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692420), // Rule ID 10910 //
     /*  692350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692418 */     GIR_RootConstrainSelectedInstOperands,
     /*  692419 */     // GIR_Coverage, 10910,
     /*  692419 */     GIR_EraseRootFromParent_Done,
     /*  692420 */   // Label 10961: @692420
     /*  692420 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692495), // Rule ID 10911 //
     /*  692425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692493 */     GIR_RootConstrainSelectedInstOperands,
     /*  692494 */     // GIR_Coverage, 10911,
     /*  692494 */     GIR_EraseRootFromParent_Done,
     /*  692495 */   // Label 10962: @692495
     /*  692495 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692570), // Rule ID 10914 //
     /*  692500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692568 */     GIR_RootConstrainSelectedInstOperands,
     /*  692569 */     // GIR_Coverage, 10914,
     /*  692569 */     GIR_EraseRootFromParent_Done,
     /*  692570 */   // Label 10963: @692570
     /*  692570 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692645), // Rule ID 10915 //
     /*  692575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692643 */     GIR_RootConstrainSelectedInstOperands,
     /*  692644 */     // GIR_Coverage, 10915,
     /*  692644 */     GIR_EraseRootFromParent_Done,
     /*  692645 */   // Label 10964: @692645
     /*  692645 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692720), // Rule ID 10918 //
     /*  692650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692718 */     GIR_RootConstrainSelectedInstOperands,
     /*  692719 */     // GIR_Coverage, 10918,
     /*  692719 */     GIR_EraseRootFromParent_Done,
     /*  692720 */   // Label 10965: @692720
     /*  692720 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(692795), // Rule ID 10919 //
     /*  692725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692793 */     GIR_RootConstrainSelectedInstOperands,
     /*  692794 */     // GIR_Coverage, 10919,
     /*  692794 */     GIR_EraseRootFromParent_Done,
     /*  692795 */   // Label 10966: @692795
     /*  692795 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(692870), // Rule ID 10922 //
     /*  692800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692868 */     GIR_RootConstrainSelectedInstOperands,
     /*  692869 */     // GIR_Coverage, 10922,
     /*  692869 */     GIR_EraseRootFromParent_Done,
     /*  692870 */   // Label 10967: @692870
     /*  692870 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(692945), // Rule ID 10923 //
     /*  692875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692943 */     GIR_RootConstrainSelectedInstOperands,
     /*  692944 */     // GIR_Coverage, 10923,
     /*  692944 */     GIR_EraseRootFromParent_Done,
     /*  692945 */   // Label 10968: @692945
     /*  692945 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693020), // Rule ID 10926 //
     /*  692950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693018 */     GIR_RootConstrainSelectedInstOperands,
     /*  693019 */     // GIR_Coverage, 10926,
     /*  693019 */     GIR_EraseRootFromParent_Done,
     /*  693020 */   // Label 10969: @693020
     /*  693020 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693095), // Rule ID 10927 //
     /*  693025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693093 */     GIR_RootConstrainSelectedInstOperands,
     /*  693094 */     // GIR_Coverage, 10927,
     /*  693094 */     GIR_EraseRootFromParent_Done,
     /*  693095 */   // Label 10970: @693095
     /*  693095 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693170), // Rule ID 10930 //
     /*  693100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693168 */     GIR_RootConstrainSelectedInstOperands,
     /*  693169 */     // GIR_Coverage, 10930,
     /*  693169 */     GIR_EraseRootFromParent_Done,
     /*  693170 */   // Label 10971: @693170
     /*  693170 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693245), // Rule ID 10931 //
     /*  693175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693243 */     GIR_RootConstrainSelectedInstOperands,
     /*  693244 */     // GIR_Coverage, 10931,
     /*  693244 */     GIR_EraseRootFromParent_Done,
     /*  693245 */   // Label 10972: @693245
     /*  693245 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693320), // Rule ID 10934 //
     /*  693250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693318 */     GIR_RootConstrainSelectedInstOperands,
     /*  693319 */     // GIR_Coverage, 10934,
     /*  693319 */     GIR_EraseRootFromParent_Done,
     /*  693320 */   // Label 10973: @693320
     /*  693320 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693395), // Rule ID 10935 //
     /*  693325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693393 */     GIR_RootConstrainSelectedInstOperands,
     /*  693394 */     // GIR_Coverage, 10935,
     /*  693394 */     GIR_EraseRootFromParent_Done,
     /*  693395 */   // Label 10974: @693395
     /*  693395 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693470), // Rule ID 10938 //
     /*  693400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693468 */     GIR_RootConstrainSelectedInstOperands,
     /*  693469 */     // GIR_Coverage, 10938,
     /*  693469 */     GIR_EraseRootFromParent_Done,
     /*  693470 */   // Label 10975: @693470
     /*  693470 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693545), // Rule ID 10939 //
     /*  693475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693543 */     GIR_RootConstrainSelectedInstOperands,
     /*  693544 */     // GIR_Coverage, 10939,
     /*  693544 */     GIR_EraseRootFromParent_Done,
     /*  693545 */   // Label 10976: @693545
     /*  693545 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693620), // Rule ID 10942 //
     /*  693550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693618 */     GIR_RootConstrainSelectedInstOperands,
     /*  693619 */     // GIR_Coverage, 10942,
     /*  693619 */     GIR_EraseRootFromParent_Done,
     /*  693620 */   // Label 10977: @693620
     /*  693620 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693695), // Rule ID 10943 //
     /*  693625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693693 */     GIR_RootConstrainSelectedInstOperands,
     /*  693694 */     // GIR_Coverage, 10943,
     /*  693694 */     GIR_EraseRootFromParent_Done,
     /*  693695 */   // Label 10978: @693695
     /*  693695 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(693770), // Rule ID 10946 //
     /*  693700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693768 */     GIR_RootConstrainSelectedInstOperands,
     /*  693769 */     // GIR_Coverage, 10946,
     /*  693769 */     GIR_EraseRootFromParent_Done,
     /*  693770 */   // Label 10979: @693770
     /*  693770 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(693845), // Rule ID 10947 //
     /*  693775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693843 */     GIR_RootConstrainSelectedInstOperands,
     /*  693844 */     // GIR_Coverage, 10947,
     /*  693844 */     GIR_EraseRootFromParent_Done,
     /*  693845 */   // Label 10980: @693845
     /*  693845 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(693920), // Rule ID 10950 //
     /*  693850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  693870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  693899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693918 */     GIR_RootConstrainSelectedInstOperands,
     /*  693919 */     // GIR_Coverage, 10950,
     /*  693919 */     GIR_EraseRootFromParent_Done,
     /*  693920 */   // Label 10981: @693920
     /*  693920 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(693995), // Rule ID 10951 //
     /*  693925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  693945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  693974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693993 */     GIR_RootConstrainSelectedInstOperands,
     /*  693994 */     // GIR_Coverage, 10951,
     /*  693994 */     GIR_EraseRootFromParent_Done,
     /*  693995 */   // Label 10982: @693995
     /*  693995 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694070), // Rule ID 10954 //
     /*  694000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694068 */     GIR_RootConstrainSelectedInstOperands,
     /*  694069 */     // GIR_Coverage, 10954,
     /*  694069 */     GIR_EraseRootFromParent_Done,
     /*  694070 */   // Label 10983: @694070
     /*  694070 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694145), // Rule ID 10955 //
     /*  694075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694143 */     GIR_RootConstrainSelectedInstOperands,
     /*  694144 */     // GIR_Coverage, 10955,
     /*  694144 */     GIR_EraseRootFromParent_Done,
     /*  694145 */   // Label 10984: @694145
     /*  694145 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694220), // Rule ID 10958 //
     /*  694150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694218 */     GIR_RootConstrainSelectedInstOperands,
     /*  694219 */     // GIR_Coverage, 10958,
     /*  694219 */     GIR_EraseRootFromParent_Done,
     /*  694220 */   // Label 10985: @694220
     /*  694220 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694295), // Rule ID 10959 //
     /*  694225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694293 */     GIR_RootConstrainSelectedInstOperands,
     /*  694294 */     // GIR_Coverage, 10959,
     /*  694294 */     GIR_EraseRootFromParent_Done,
     /*  694295 */   // Label 10986: @694295
     /*  694295 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694370), // Rule ID 10962 //
     /*  694300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694368 */     GIR_RootConstrainSelectedInstOperands,
     /*  694369 */     // GIR_Coverage, 10962,
     /*  694369 */     GIR_EraseRootFromParent_Done,
     /*  694370 */   // Label 10987: @694370
     /*  694370 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694445), // Rule ID 10963 //
     /*  694375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694443 */     GIR_RootConstrainSelectedInstOperands,
     /*  694444 */     // GIR_Coverage, 10963,
     /*  694444 */     GIR_EraseRootFromParent_Done,
     /*  694445 */   // Label 10988: @694445
     /*  694445 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694520), // Rule ID 10966 //
     /*  694450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694518 */     GIR_RootConstrainSelectedInstOperands,
     /*  694519 */     // GIR_Coverage, 10966,
     /*  694519 */     GIR_EraseRootFromParent_Done,
     /*  694520 */   // Label 10989: @694520
     /*  694520 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694595), // Rule ID 10967 //
     /*  694525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694593 */     GIR_RootConstrainSelectedInstOperands,
     /*  694594 */     // GIR_Coverage, 10967,
     /*  694594 */     GIR_EraseRootFromParent_Done,
     /*  694595 */   // Label 10990: @694595
     /*  694595 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694670), // Rule ID 10970 //
     /*  694600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694668 */     GIR_RootConstrainSelectedInstOperands,
     /*  694669 */     // GIR_Coverage, 10970,
     /*  694669 */     GIR_EraseRootFromParent_Done,
     /*  694670 */   // Label 10991: @694670
     /*  694670 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(694745), // Rule ID 10971 //
     /*  694675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694743 */     GIR_RootConstrainSelectedInstOperands,
     /*  694744 */     // GIR_Coverage, 10971,
     /*  694744 */     GIR_EraseRootFromParent_Done,
     /*  694745 */   // Label 10992: @694745
     /*  694745 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(694820), // Rule ID 10974 //
     /*  694750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  694770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694818 */     GIR_RootConstrainSelectedInstOperands,
     /*  694819 */     // GIR_Coverage, 10974,
     /*  694819 */     GIR_EraseRootFromParent_Done,
     /*  694820 */   // Label 10993: @694820
     /*  694820 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(694895), // Rule ID 10975 //
     /*  694825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  694845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694893 */     GIR_RootConstrainSelectedInstOperands,
     /*  694894 */     // GIR_Coverage, 10975,
     /*  694894 */     GIR_EraseRootFromParent_Done,
     /*  694895 */   // Label 10994: @694895
     /*  694895 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(694970), // Rule ID 10978 //
     /*  694900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694968 */     GIR_RootConstrainSelectedInstOperands,
     /*  694969 */     // GIR_Coverage, 10978,
     /*  694969 */     GIR_EraseRootFromParent_Done,
     /*  694970 */   // Label 10995: @694970
     /*  694970 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695045), // Rule ID 10979 //
     /*  694975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695043 */     GIR_RootConstrainSelectedInstOperands,
     /*  695044 */     // GIR_Coverage, 10979,
     /*  695044 */     GIR_EraseRootFromParent_Done,
     /*  695045 */   // Label 10996: @695045
     /*  695045 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695120), // Rule ID 10982 //
     /*  695050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695118 */     GIR_RootConstrainSelectedInstOperands,
     /*  695119 */     // GIR_Coverage, 10982,
     /*  695119 */     GIR_EraseRootFromParent_Done,
     /*  695120 */   // Label 10997: @695120
     /*  695120 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695195), // Rule ID 10983 //
     /*  695125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695193 */     GIR_RootConstrainSelectedInstOperands,
     /*  695194 */     // GIR_Coverage, 10983,
     /*  695194 */     GIR_EraseRootFromParent_Done,
     /*  695195 */   // Label 10998: @695195
     /*  695195 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695270), // Rule ID 10986 //
     /*  695200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695268 */     GIR_RootConstrainSelectedInstOperands,
     /*  695269 */     // GIR_Coverage, 10986,
     /*  695269 */     GIR_EraseRootFromParent_Done,
     /*  695270 */   // Label 10999: @695270
     /*  695270 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695345), // Rule ID 10987 //
     /*  695275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695343 */     GIR_RootConstrainSelectedInstOperands,
     /*  695344 */     // GIR_Coverage, 10987,
     /*  695344 */     GIR_EraseRootFromParent_Done,
     /*  695345 */   // Label 11000: @695345
     /*  695345 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695420), // Rule ID 10990 //
     /*  695350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695418 */     GIR_RootConstrainSelectedInstOperands,
     /*  695419 */     // GIR_Coverage, 10990,
     /*  695419 */     GIR_EraseRootFromParent_Done,
     /*  695420 */   // Label 11001: @695420
     /*  695420 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695495), // Rule ID 10991 //
     /*  695425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695493 */     GIR_RootConstrainSelectedInstOperands,
     /*  695494 */     // GIR_Coverage, 10991,
     /*  695494 */     GIR_EraseRootFromParent_Done,
     /*  695495 */   // Label 11002: @695495
     /*  695495 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695570), // Rule ID 10994 //
     /*  695500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695568 */     GIR_RootConstrainSelectedInstOperands,
     /*  695569 */     // GIR_Coverage, 10994,
     /*  695569 */     GIR_EraseRootFromParent_Done,
     /*  695570 */   // Label 11003: @695570
     /*  695570 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695645), // Rule ID 10995 //
     /*  695575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695643 */     GIR_RootConstrainSelectedInstOperands,
     /*  695644 */     // GIR_Coverage, 10995,
     /*  695644 */     GIR_EraseRootFromParent_Done,
     /*  695645 */   // Label 11004: @695645
     /*  695645 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695720), // Rule ID 10998 //
     /*  695650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  695670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  695699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695718 */     GIR_RootConstrainSelectedInstOperands,
     /*  695719 */     // GIR_Coverage, 10998,
     /*  695719 */     GIR_EraseRootFromParent_Done,
     /*  695720 */   // Label 11005: @695720
     /*  695720 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(695795), // Rule ID 10999 //
     /*  695725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  695745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  695774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695793 */     GIR_RootConstrainSelectedInstOperands,
     /*  695794 */     // GIR_Coverage, 10999,
     /*  695794 */     GIR_EraseRootFromParent_Done,
     /*  695795 */   // Label 11006: @695795
     /*  695795 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(695870), // Rule ID 11002 //
     /*  695800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695868 */     GIR_RootConstrainSelectedInstOperands,
     /*  695869 */     // GIR_Coverage, 11002,
     /*  695869 */     GIR_EraseRootFromParent_Done,
     /*  695870 */   // Label 11007: @695870
     /*  695870 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(695945), // Rule ID 11003 //
     /*  695875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695943 */     GIR_RootConstrainSelectedInstOperands,
     /*  695944 */     // GIR_Coverage, 11003,
     /*  695944 */     GIR_EraseRootFromParent_Done,
     /*  695945 */   // Label 11008: @695945
     /*  695945 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696020), // Rule ID 11006 //
     /*  695950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696018 */     GIR_RootConstrainSelectedInstOperands,
     /*  696019 */     // GIR_Coverage, 11006,
     /*  696019 */     GIR_EraseRootFromParent_Done,
     /*  696020 */   // Label 11009: @696020
     /*  696020 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696095), // Rule ID 11007 //
     /*  696025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  696036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  696039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  696042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  696045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696093 */     GIR_RootConstrainSelectedInstOperands,
     /*  696094 */     // GIR_Coverage, 11007,
     /*  696094 */     GIR_EraseRootFromParent_Done,
     /*  696095 */   // Label 11010: @696095
     /*  696095 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696170), // Rule ID 11010 //
     /*  696100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696168 */     GIR_RootConstrainSelectedInstOperands,
     /*  696169 */     // GIR_Coverage, 11010,
     /*  696169 */     GIR_EraseRootFromParent_Done,
     /*  696170 */   // Label 11011: @696170
     /*  696170 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696245), // Rule ID 11011 //
     /*  696175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696243 */     GIR_RootConstrainSelectedInstOperands,
     /*  696244 */     // GIR_Coverage, 11011,
     /*  696244 */     GIR_EraseRootFromParent_Done,
     /*  696245 */   // Label 11012: @696245
     /*  696245 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696320), // Rule ID 11014 //
     /*  696250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696318 */     GIR_RootConstrainSelectedInstOperands,
     /*  696319 */     // GIR_Coverage, 11014,
     /*  696319 */     GIR_EraseRootFromParent_Done,
     /*  696320 */   // Label 11013: @696320
     /*  696320 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696395), // Rule ID 11015 //
     /*  696325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696393 */     GIR_RootConstrainSelectedInstOperands,
     /*  696394 */     // GIR_Coverage, 11015,
     /*  696394 */     GIR_EraseRootFromParent_Done,
     /*  696395 */   // Label 11014: @696395
     /*  696395 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696470), // Rule ID 11018 //
     /*  696400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696468 */     GIR_RootConstrainSelectedInstOperands,
     /*  696469 */     // GIR_Coverage, 11018,
     /*  696469 */     GIR_EraseRootFromParent_Done,
     /*  696470 */   // Label 11015: @696470
     /*  696470 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696545), // Rule ID 11019 //
     /*  696475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696543 */     GIR_RootConstrainSelectedInstOperands,
     /*  696544 */     // GIR_Coverage, 11019,
     /*  696544 */     GIR_EraseRootFromParent_Done,
     /*  696545 */   // Label 11016: @696545
     /*  696545 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696620), // Rule ID 11022 //
     /*  696550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696618 */     GIR_RootConstrainSelectedInstOperands,
     /*  696619 */     // GIR_Coverage, 11022,
     /*  696619 */     GIR_EraseRootFromParent_Done,
     /*  696620 */   // Label 11017: @696620
     /*  696620 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696695), // Rule ID 11023 //
     /*  696625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696693 */     GIR_RootConstrainSelectedInstOperands,
     /*  696694 */     // GIR_Coverage, 11023,
     /*  696694 */     GIR_EraseRootFromParent_Done,
     /*  696695 */   // Label 11018: @696695
     /*  696695 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(696770), // Rule ID 11026 //
     /*  696700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696768 */     GIR_RootConstrainSelectedInstOperands,
     /*  696769 */     // GIR_Coverage, 11026,
     /*  696769 */     GIR_EraseRootFromParent_Done,
     /*  696770 */   // Label 11019: @696770
     /*  696770 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(696845), // Rule ID 11027 //
     /*  696775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696843 */     GIR_RootConstrainSelectedInstOperands,
     /*  696844 */     // GIR_Coverage, 11027,
     /*  696844 */     GIR_EraseRootFromParent_Done,
     /*  696845 */   // Label 11020: @696845
     /*  696845 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(696920), // Rule ID 11030 //
     /*  696850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696918 */     GIR_RootConstrainSelectedInstOperands,
     /*  696919 */     // GIR_Coverage, 11030,
     /*  696919 */     GIR_EraseRootFromParent_Done,
     /*  696920 */   // Label 11021: @696920
     /*  696920 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(696995), // Rule ID 11031 //
     /*  696925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696993 */     GIR_RootConstrainSelectedInstOperands,
     /*  696994 */     // GIR_Coverage, 11031,
     /*  696994 */     GIR_EraseRootFromParent_Done,
     /*  696995 */   // Label 11022: @696995
     /*  696995 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697070), // Rule ID 11034 //
     /*  697000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  697003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  697011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  697014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  697017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  697020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697068 */     GIR_RootConstrainSelectedInstOperands,
     /*  697069 */     // GIR_Coverage, 11034,
     /*  697069 */     GIR_EraseRootFromParent_Done,
     /*  697070 */   // Label 11023: @697070
     /*  697070 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697145), // Rule ID 11035 //
     /*  697075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  697078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  697086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  697089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  697092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  697095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  697121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697143 */     GIR_RootConstrainSelectedInstOperands,
     /*  697144 */     // GIR_Coverage, 11035,
     /*  697144 */     GIR_EraseRootFromParent_Done,
     /*  697145 */   // Label 11024: @697145
     /*  697145 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697220), // Rule ID 11038 //
     /*  697150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  697199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697218 */     GIR_RootConstrainSelectedInstOperands,
     /*  697219 */     // GIR_Coverage, 11038,
     /*  697219 */     GIR_EraseRootFromParent_Done,
     /*  697220 */   // Label 11025: @697220
     /*  697220 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697295), // Rule ID 11039 //
     /*  697225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  697274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697293 */     GIR_RootConstrainSelectedInstOperands,
     /*  697294 */     // GIR_Coverage, 11039,
     /*  697294 */     GIR_EraseRootFromParent_Done,
     /*  697295 */   // Label 11026: @697295
     /*  697295 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697370), // Rule ID 11042 //
     /*  697300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697368 */     GIR_RootConstrainSelectedInstOperands,
     /*  697369 */     // GIR_Coverage, 11042,
     /*  697369 */     GIR_EraseRootFromParent_Done,
     /*  697370 */   // Label 11027: @697370
     /*  697370 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697445), // Rule ID 11043 //
     /*  697375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697443 */     GIR_RootConstrainSelectedInstOperands,
     /*  697444 */     // GIR_Coverage, 11043,
     /*  697444 */     GIR_EraseRootFromParent_Done,
     /*  697445 */   // Label 11028: @697445
     /*  697445 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697520), // Rule ID 11046 //
     /*  697450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697518 */     GIR_RootConstrainSelectedInstOperands,
     /*  697519 */     // GIR_Coverage, 11046,
     /*  697519 */     GIR_EraseRootFromParent_Done,
     /*  697520 */   // Label 11029: @697520
     /*  697520 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697595), // Rule ID 11047 //
     /*  697525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697593 */     GIR_RootConstrainSelectedInstOperands,
     /*  697594 */     // GIR_Coverage, 11047,
     /*  697594 */     GIR_EraseRootFromParent_Done,
     /*  697595 */   // Label 11030: @697595
     /*  697595 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697670), // Rule ID 11050 //
     /*  697600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697668 */     GIR_RootConstrainSelectedInstOperands,
     /*  697669 */     // GIR_Coverage, 11050,
     /*  697669 */     GIR_EraseRootFromParent_Done,
     /*  697670 */   // Label 11031: @697670
     /*  697670 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(697745), // Rule ID 11051 //
     /*  697675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697743 */     GIR_RootConstrainSelectedInstOperands,
     /*  697744 */     // GIR_Coverage, 11051,
     /*  697744 */     GIR_EraseRootFromParent_Done,
     /*  697745 */   // Label 11032: @697745
     /*  697745 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(697820), // Rule ID 11054 //
     /*  697750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697818 */     GIR_RootConstrainSelectedInstOperands,
     /*  697819 */     // GIR_Coverage, 11054,
     /*  697819 */     GIR_EraseRootFromParent_Done,
     /*  697820 */   // Label 11033: @697820
     /*  697820 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(697895), // Rule ID 11055 //
     /*  697825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697893 */     GIR_RootConstrainSelectedInstOperands,
     /*  697894 */     // GIR_Coverage, 11055,
     /*  697894 */     GIR_EraseRootFromParent_Done,
     /*  697895 */   // Label 11034: @697895
     /*  697895 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(697970), // Rule ID 11058 //
     /*  697900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697968 */     GIR_RootConstrainSelectedInstOperands,
     /*  697969 */     // GIR_Coverage, 11058,
     /*  697969 */     GIR_EraseRootFromParent_Done,
     /*  697970 */   // Label 11035: @697970
     /*  697970 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698045), // Rule ID 11059 //
     /*  697975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698043 */     GIR_RootConstrainSelectedInstOperands,
     /*  698044 */     // GIR_Coverage, 11059,
     /*  698044 */     GIR_EraseRootFromParent_Done,
     /*  698045 */   // Label 11036: @698045
     /*  698045 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698120), // Rule ID 11062 //
     /*  698050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698118 */     GIR_RootConstrainSelectedInstOperands,
     /*  698119 */     // GIR_Coverage, 11062,
     /*  698119 */     GIR_EraseRootFromParent_Done,
     /*  698120 */   // Label 11037: @698120
     /*  698120 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698195), // Rule ID 11063 //
     /*  698125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698193 */     GIR_RootConstrainSelectedInstOperands,
     /*  698194 */     // GIR_Coverage, 11063,
     /*  698194 */     GIR_EraseRootFromParent_Done,
     /*  698195 */   // Label 11038: @698195
     /*  698195 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698270), // Rule ID 11066 //
     /*  698200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698268 */     GIR_RootConstrainSelectedInstOperands,
     /*  698269 */     // GIR_Coverage, 11066,
     /*  698269 */     GIR_EraseRootFromParent_Done,
     /*  698270 */   // Label 11039: @698270
     /*  698270 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698345), // Rule ID 11067 //
     /*  698275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698343 */     GIR_RootConstrainSelectedInstOperands,
     /*  698344 */     // GIR_Coverage, 11067,
     /*  698344 */     GIR_EraseRootFromParent_Done,
     /*  698345 */   // Label 11040: @698345
     /*  698345 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698420), // Rule ID 11070 //
     /*  698350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698418 */     GIR_RootConstrainSelectedInstOperands,
     /*  698419 */     // GIR_Coverage, 11070,
     /*  698419 */     GIR_EraseRootFromParent_Done,
     /*  698420 */   // Label 11041: @698420
     /*  698420 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698495), // Rule ID 11071 //
     /*  698425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698493 */     GIR_RootConstrainSelectedInstOperands,
     /*  698494 */     // GIR_Coverage, 11071,
     /*  698494 */     GIR_EraseRootFromParent_Done,
     /*  698495 */   // Label 11042: @698495
     /*  698495 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698570), // Rule ID 11074 //
     /*  698500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  698503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  698511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  698514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  698517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698568 */     GIR_RootConstrainSelectedInstOperands,
     /*  698569 */     // GIR_Coverage, 11074,
     /*  698569 */     GIR_EraseRootFromParent_Done,
     /*  698570 */   // Label 11043: @698570
     /*  698570 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698645), // Rule ID 11075 //
     /*  698575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  698578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  698586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  698589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  698592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698643 */     GIR_RootConstrainSelectedInstOperands,
     /*  698644 */     // GIR_Coverage, 11075,
     /*  698644 */     GIR_EraseRootFromParent_Done,
     /*  698645 */   // Label 11044: @698645
     /*  698645 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698720), // Rule ID 11078 //
     /*  698650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  698699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698718 */     GIR_RootConstrainSelectedInstOperands,
     /*  698719 */     // GIR_Coverage, 11078,
     /*  698719 */     GIR_EraseRootFromParent_Done,
     /*  698720 */   // Label 11045: @698720
     /*  698720 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(698795), // Rule ID 11079 //
     /*  698725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  698774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698793 */     GIR_RootConstrainSelectedInstOperands,
     /*  698794 */     // GIR_Coverage, 11079,
     /*  698794 */     GIR_EraseRootFromParent_Done,
     /*  698795 */   // Label 11046: @698795
     /*  698795 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(698870), // Rule ID 11082 //
     /*  698800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  698849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698868 */     GIR_RootConstrainSelectedInstOperands,
     /*  698869 */     // GIR_Coverage, 11082,
     /*  698869 */     GIR_EraseRootFromParent_Done,
     /*  698870 */   // Label 11047: @698870
     /*  698870 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(698945), // Rule ID 11083 //
     /*  698875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  698924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698943 */     GIR_RootConstrainSelectedInstOperands,
     /*  698944 */     // GIR_Coverage, 11083,
     /*  698944 */     GIR_EraseRootFromParent_Done,
     /*  698945 */   // Label 11048: @698945
     /*  698945 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699020), // Rule ID 11086 //
     /*  698950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  698999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699018 */     GIR_RootConstrainSelectedInstOperands,
     /*  699019 */     // GIR_Coverage, 11086,
     /*  699019 */     GIR_EraseRootFromParent_Done,
     /*  699020 */   // Label 11049: @699020
     /*  699020 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699095), // Rule ID 11087 //
     /*  699025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  699036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  699039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  699042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699093 */     GIR_RootConstrainSelectedInstOperands,
     /*  699094 */     // GIR_Coverage, 11087,
     /*  699094 */     GIR_EraseRootFromParent_Done,
     /*  699095 */   // Label 11050: @699095
     /*  699095 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699170), // Rule ID 11090 //
     /*  699100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699168 */     GIR_RootConstrainSelectedInstOperands,
     /*  699169 */     // GIR_Coverage, 11090,
     /*  699169 */     GIR_EraseRootFromParent_Done,
     /*  699170 */   // Label 11051: @699170
     /*  699170 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699245), // Rule ID 11091 //
     /*  699175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699243 */     GIR_RootConstrainSelectedInstOperands,
     /*  699244 */     // GIR_Coverage, 11091,
     /*  699244 */     GIR_EraseRootFromParent_Done,
     /*  699245 */   // Label 11052: @699245
     /*  699245 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699320), // Rule ID 11094 //
     /*  699250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699318 */     GIR_RootConstrainSelectedInstOperands,
     /*  699319 */     // GIR_Coverage, 11094,
     /*  699319 */     GIR_EraseRootFromParent_Done,
     /*  699320 */   // Label 11053: @699320
     /*  699320 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699395), // Rule ID 11095 //
     /*  699325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699393 */     GIR_RootConstrainSelectedInstOperands,
     /*  699394 */     // GIR_Coverage, 11095,
     /*  699394 */     GIR_EraseRootFromParent_Done,
     /*  699395 */   // Label 11054: @699395
     /*  699395 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699470), // Rule ID 11098 //
     /*  699400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699468 */     GIR_RootConstrainSelectedInstOperands,
     /*  699469 */     // GIR_Coverage, 11098,
     /*  699469 */     GIR_EraseRootFromParent_Done,
     /*  699470 */   // Label 11055: @699470
     /*  699470 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699545), // Rule ID 11099 //
     /*  699475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699543 */     GIR_RootConstrainSelectedInstOperands,
     /*  699544 */     // GIR_Coverage, 11099,
     /*  699544 */     GIR_EraseRootFromParent_Done,
     /*  699545 */   // Label 11056: @699545
     /*  699545 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699620), // Rule ID 11102 //
     /*  699550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699618 */     GIR_RootConstrainSelectedInstOperands,
     /*  699619 */     // GIR_Coverage, 11102,
     /*  699619 */     GIR_EraseRootFromParent_Done,
     /*  699620 */   // Label 11057: @699620
     /*  699620 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699695), // Rule ID 11103 //
     /*  699625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699693 */     GIR_RootConstrainSelectedInstOperands,
     /*  699694 */     // GIR_Coverage, 11103,
     /*  699694 */     GIR_EraseRootFromParent_Done,
     /*  699695 */   // Label 11058: @699695
     /*  699695 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(699770), // Rule ID 11106 //
     /*  699700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699768 */     GIR_RootConstrainSelectedInstOperands,
     /*  699769 */     // GIR_Coverage, 11106,
     /*  699769 */     GIR_EraseRootFromParent_Done,
     /*  699770 */   // Label 11059: @699770
     /*  699770 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(699845), // Rule ID 11107 //
     /*  699775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699843 */     GIR_RootConstrainSelectedInstOperands,
     /*  699844 */     // GIR_Coverage, 11107,
     /*  699844 */     GIR_EraseRootFromParent_Done,
     /*  699845 */   // Label 11060: @699845
     /*  699845 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(699920), // Rule ID 11110 //
     /*  699850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699918 */     GIR_RootConstrainSelectedInstOperands,
     /*  699919 */     // GIR_Coverage, 11110,
     /*  699919 */     GIR_EraseRootFromParent_Done,
     /*  699920 */   // Label 11061: @699920
     /*  699920 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(699995), // Rule ID 11111 //
     /*  699925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699993 */     GIR_RootConstrainSelectedInstOperands,
     /*  699994 */     // GIR_Coverage, 11111,
     /*  699994 */     GIR_EraseRootFromParent_Done,
     /*  699995 */   // Label 11062: @699995
     /*  699995 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700070), // Rule ID 11114 //
     /*  700000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700068 */     GIR_RootConstrainSelectedInstOperands,
     /*  700069 */     // GIR_Coverage, 11114,
     /*  700069 */     GIR_EraseRootFromParent_Done,
     /*  700070 */   // Label 11063: @700070
     /*  700070 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700145), // Rule ID 11115 //
     /*  700075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700143 */     GIR_RootConstrainSelectedInstOperands,
     /*  700144 */     // GIR_Coverage, 11115,
     /*  700144 */     GIR_EraseRootFromParent_Done,
     /*  700145 */   // Label 11064: @700145
     /*  700145 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700220), // Rule ID 11118 //
     /*  700150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700218 */     GIR_RootConstrainSelectedInstOperands,
     /*  700219 */     // GIR_Coverage, 11118,
     /*  700219 */     GIR_EraseRootFromParent_Done,
     /*  700220 */   // Label 11065: @700220
     /*  700220 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700295), // Rule ID 11119 //
     /*  700225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700293 */     GIR_RootConstrainSelectedInstOperands,
     /*  700294 */     // GIR_Coverage, 11119,
     /*  700294 */     GIR_EraseRootFromParent_Done,
     /*  700295 */   // Label 11066: @700295
     /*  700295 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700370), // Rule ID 11122 //
     /*  700300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700368 */     GIR_RootConstrainSelectedInstOperands,
     /*  700369 */     // GIR_Coverage, 11122,
     /*  700369 */     GIR_EraseRootFromParent_Done,
     /*  700370 */   // Label 11067: @700370
     /*  700370 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700445), // Rule ID 11123 //
     /*  700375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700443 */     GIR_RootConstrainSelectedInstOperands,
     /*  700444 */     // GIR_Coverage, 11123,
     /*  700444 */     GIR_EraseRootFromParent_Done,
     /*  700445 */   // Label 11068: @700445
     /*  700445 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700520), // Rule ID 11126 //
     /*  700450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  700499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700518 */     GIR_RootConstrainSelectedInstOperands,
     /*  700519 */     // GIR_Coverage, 11126,
     /*  700519 */     GIR_EraseRootFromParent_Done,
     /*  700520 */   // Label 11069: @700520
     /*  700520 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700595), // Rule ID 11127 //
     /*  700525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  700574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700593 */     GIR_RootConstrainSelectedInstOperands,
     /*  700594 */     // GIR_Coverage, 11127,
     /*  700594 */     GIR_EraseRootFromParent_Done,
     /*  700595 */   // Label 11070: @700595
     /*  700595 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700670), // Rule ID 11130 //
     /*  700600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700668 */     GIR_RootConstrainSelectedInstOperands,
     /*  700669 */     // GIR_Coverage, 11130,
     /*  700669 */     GIR_EraseRootFromParent_Done,
     /*  700670 */   // Label 11071: @700670
     /*  700670 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(700745), // Rule ID 11131 //
     /*  700675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700743 */     GIR_RootConstrainSelectedInstOperands,
     /*  700744 */     // GIR_Coverage, 11131,
     /*  700744 */     GIR_EraseRootFromParent_Done,
     /*  700745 */   // Label 11072: @700745
     /*  700745 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(700820), // Rule ID 11134 //
     /*  700750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700818 */     GIR_RootConstrainSelectedInstOperands,
     /*  700819 */     // GIR_Coverage, 11134,
     /*  700819 */     GIR_EraseRootFromParent_Done,
     /*  700820 */   // Label 11073: @700820
     /*  700820 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(700895), // Rule ID 11135 //
     /*  700825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700893 */     GIR_RootConstrainSelectedInstOperands,
     /*  700894 */     // GIR_Coverage, 11135,
     /*  700894 */     GIR_EraseRootFromParent_Done,
     /*  700895 */   // Label 11074: @700895
     /*  700895 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(700970), // Rule ID 11138 //
     /*  700900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700968 */     GIR_RootConstrainSelectedInstOperands,
     /*  700969 */     // GIR_Coverage, 11138,
     /*  700969 */     GIR_EraseRootFromParent_Done,
     /*  700970 */   // Label 11075: @700970
     /*  700970 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701045), // Rule ID 11139 //
     /*  700975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  701024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701043 */     GIR_RootConstrainSelectedInstOperands,
     /*  701044 */     // GIR_Coverage, 11139,
     /*  701044 */     GIR_EraseRootFromParent_Done,
     /*  701045 */   // Label 11076: @701045
     /*  701045 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701120), // Rule ID 11142 //
     /*  701050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701118 */     GIR_RootConstrainSelectedInstOperands,
     /*  701119 */     // GIR_Coverage, 11142,
     /*  701119 */     GIR_EraseRootFromParent_Done,
     /*  701120 */   // Label 11077: @701120
     /*  701120 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701195), // Rule ID 11143 //
     /*  701125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701193 */     GIR_RootConstrainSelectedInstOperands,
     /*  701194 */     // GIR_Coverage, 11143,
     /*  701194 */     GIR_EraseRootFromParent_Done,
     /*  701195 */   // Label 11078: @701195
     /*  701195 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701270), // Rule ID 11146 //
     /*  701200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701268 */     GIR_RootConstrainSelectedInstOperands,
     /*  701269 */     // GIR_Coverage, 11146,
     /*  701269 */     GIR_EraseRootFromParent_Done,
     /*  701270 */   // Label 11079: @701270
     /*  701270 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701345), // Rule ID 11147 //
     /*  701275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701343 */     GIR_RootConstrainSelectedInstOperands,
     /*  701344 */     // GIR_Coverage, 11147,
     /*  701344 */     GIR_EraseRootFromParent_Done,
     /*  701345 */   // Label 11080: @701345
     /*  701345 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701420), // Rule ID 11150 //
     /*  701350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701418 */     GIR_RootConstrainSelectedInstOperands,
     /*  701419 */     // GIR_Coverage, 11150,
     /*  701419 */     GIR_EraseRootFromParent_Done,
     /*  701420 */   // Label 11081: @701420
     /*  701420 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701495), // Rule ID 11151 //
     /*  701425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701493 */     GIR_RootConstrainSelectedInstOperands,
     /*  701494 */     // GIR_Coverage, 11151,
     /*  701494 */     GIR_EraseRootFromParent_Done,
     /*  701495 */   // Label 11082: @701495
     /*  701495 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701570), // Rule ID 11154 //
     /*  701500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701568 */     GIR_RootConstrainSelectedInstOperands,
     /*  701569 */     // GIR_Coverage, 11154,
     /*  701569 */     GIR_EraseRootFromParent_Done,
     /*  701570 */   // Label 11083: @701570
     /*  701570 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701645), // Rule ID 11155 //
     /*  701575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701643 */     GIR_RootConstrainSelectedInstOperands,
     /*  701644 */     // GIR_Coverage, 11155,
     /*  701644 */     GIR_EraseRootFromParent_Done,
     /*  701645 */   // Label 11084: @701645
     /*  701645 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701720), // Rule ID 11158 //
     /*  701650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701718 */     GIR_RootConstrainSelectedInstOperands,
     /*  701719 */     // GIR_Coverage, 11158,
     /*  701719 */     GIR_EraseRootFromParent_Done,
     /*  701720 */   // Label 11085: @701720
     /*  701720 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(701795), // Rule ID 11159 //
     /*  701725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701793 */     GIR_RootConstrainSelectedInstOperands,
     /*  701794 */     // GIR_Coverage, 11159,
     /*  701794 */     GIR_EraseRootFromParent_Done,
     /*  701795 */   // Label 11086: @701795
     /*  701795 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(701870), // Rule ID 11162 //
     /*  701800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  701849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701868 */     GIR_RootConstrainSelectedInstOperands,
     /*  701869 */     // GIR_Coverage, 11162,
     /*  701869 */     GIR_EraseRootFromParent_Done,
     /*  701870 */   // Label 11087: @701870
     /*  701870 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(701945), // Rule ID 11163 //
     /*  701875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  701924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701943 */     GIR_RootConstrainSelectedInstOperands,
     /*  701944 */     // GIR_Coverage, 11163,
     /*  701944 */     GIR_EraseRootFromParent_Done,
     /*  701945 */   // Label 11088: @701945
     /*  701945 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702020), // Rule ID 11166 //
     /*  701950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  701970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  701999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702018 */     GIR_RootConstrainSelectedInstOperands,
     /*  702019 */     // GIR_Coverage, 11166,
     /*  702019 */     GIR_EraseRootFromParent_Done,
     /*  702020 */   // Label 11089: @702020
     /*  702020 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702095), // Rule ID 11167 //
     /*  702025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702093 */     GIR_RootConstrainSelectedInstOperands,
     /*  702094 */     // GIR_Coverage, 11167,
     /*  702094 */     GIR_EraseRootFromParent_Done,
     /*  702095 */   // Label 11090: @702095
     /*  702095 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702170), // Rule ID 11170 //
     /*  702100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702168 */     GIR_RootConstrainSelectedInstOperands,
     /*  702169 */     // GIR_Coverage, 11170,
     /*  702169 */     GIR_EraseRootFromParent_Done,
     /*  702170 */   // Label 11091: @702170
     /*  702170 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702245), // Rule ID 11171 //
     /*  702175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702221 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702243 */     GIR_RootConstrainSelectedInstOperands,
     /*  702244 */     // GIR_Coverage, 11171,
     /*  702244 */     GIR_EraseRootFromParent_Done,
     /*  702245 */   // Label 11092: @702245
     /*  702245 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702320), // Rule ID 11174 //
     /*  702250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702318 */     GIR_RootConstrainSelectedInstOperands,
     /*  702319 */     // GIR_Coverage, 11174,
     /*  702319 */     GIR_EraseRootFromParent_Done,
     /*  702320 */   // Label 11093: @702320
     /*  702320 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702395), // Rule ID 11175 //
     /*  702325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702371 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702393 */     GIR_RootConstrainSelectedInstOperands,
     /*  702394 */     // GIR_Coverage, 11175,
     /*  702394 */     GIR_EraseRootFromParent_Done,
     /*  702395 */   // Label 11094: @702395
     /*  702395 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702470), // Rule ID 11178 //
     /*  702400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702468 */     GIR_RootConstrainSelectedInstOperands,
     /*  702469 */     // GIR_Coverage, 11178,
     /*  702469 */     GIR_EraseRootFromParent_Done,
     /*  702470 */   // Label 11095: @702470
     /*  702470 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702545), // Rule ID 11179 //
     /*  702475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702543 */     GIR_RootConstrainSelectedInstOperands,
     /*  702544 */     // GIR_Coverage, 11179,
     /*  702544 */     GIR_EraseRootFromParent_Done,
     /*  702545 */   // Label 11096: @702545
     /*  702545 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702620), // Rule ID 11182 //
     /*  702550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702618 */     GIR_RootConstrainSelectedInstOperands,
     /*  702619 */     // GIR_Coverage, 11182,
     /*  702619 */     GIR_EraseRootFromParent_Done,
     /*  702620 */   // Label 11097: @702620
     /*  702620 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702695), // Rule ID 11183 //
     /*  702625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702671 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702693 */     GIR_RootConstrainSelectedInstOperands,
     /*  702694 */     // GIR_Coverage, 11183,
     /*  702694 */     GIR_EraseRootFromParent_Done,
     /*  702695 */   // Label 11098: @702695
     /*  702695 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(702770), // Rule ID 11186 //
     /*  702700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702768 */     GIR_RootConstrainSelectedInstOperands,
     /*  702769 */     // GIR_Coverage, 11186,
     /*  702769 */     GIR_EraseRootFromParent_Done,
     /*  702770 */   // Label 11099: @702770
     /*  702770 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(702845), // Rule ID 11187 //
     /*  702775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702843 */     GIR_RootConstrainSelectedInstOperands,
     /*  702844 */     // GIR_Coverage, 11187,
     /*  702844 */     GIR_EraseRootFromParent_Done,
     /*  702845 */   // Label 11100: @702845
     /*  702845 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(702920), // Rule ID 11190 //
     /*  702850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702918 */     GIR_RootConstrainSelectedInstOperands,
     /*  702919 */     // GIR_Coverage, 11190,
     /*  702919 */     GIR_EraseRootFromParent_Done,
     /*  702920 */   // Label 11101: @702920
     /*  702920 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(702995), // Rule ID 11191 //
     /*  702925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702993 */     GIR_RootConstrainSelectedInstOperands,
     /*  702994 */     // GIR_Coverage, 11191,
     /*  702994 */     GIR_EraseRootFromParent_Done,
     /*  702995 */   // Label 11102: @702995
     /*  702995 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703070), // Rule ID 11194 //
     /*  703000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703068 */     GIR_RootConstrainSelectedInstOperands,
     /*  703069 */     // GIR_Coverage, 11194,
     /*  703069 */     GIR_EraseRootFromParent_Done,
     /*  703070 */   // Label 11103: @703070
     /*  703070 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703145), // Rule ID 11195 //
     /*  703075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703143 */     GIR_RootConstrainSelectedInstOperands,
     /*  703144 */     // GIR_Coverage, 11195,
     /*  703144 */     GIR_EraseRootFromParent_Done,
     /*  703145 */   // Label 11104: @703145
     /*  703145 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703220), // Rule ID 11198 //
     /*  703150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  703199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703218 */     GIR_RootConstrainSelectedInstOperands,
     /*  703219 */     // GIR_Coverage, 11198,
     /*  703219 */     GIR_EraseRootFromParent_Done,
     /*  703220 */   // Label 11105: @703220
     /*  703220 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703295), // Rule ID 11199 //
     /*  703225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  703274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703293 */     GIR_RootConstrainSelectedInstOperands,
     /*  703294 */     // GIR_Coverage, 11199,
     /*  703294 */     GIR_EraseRootFromParent_Done,
     /*  703295 */   // Label 11106: @703295
     /*  703295 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703370), // Rule ID 11202 //
     /*  703300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703368 */     GIR_RootConstrainSelectedInstOperands,
     /*  703369 */     // GIR_Coverage, 11202,
     /*  703369 */     GIR_EraseRootFromParent_Done,
     /*  703370 */   // Label 11107: @703370
     /*  703370 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703445), // Rule ID 11203 //
     /*  703375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703443 */     GIR_RootConstrainSelectedInstOperands,
     /*  703444 */     // GIR_Coverage, 11203,
     /*  703444 */     GIR_EraseRootFromParent_Done,
     /*  703445 */   // Label 11108: @703445
     /*  703445 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703520), // Rule ID 11206 //
     /*  703450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703518 */     GIR_RootConstrainSelectedInstOperands,
     /*  703519 */     // GIR_Coverage, 11206,
     /*  703519 */     GIR_EraseRootFromParent_Done,
     /*  703520 */   // Label 11109: @703520
     /*  703520 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703595), // Rule ID 11207 //
     /*  703525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703593 */     GIR_RootConstrainSelectedInstOperands,
     /*  703594 */     // GIR_Coverage, 11207,
     /*  703594 */     GIR_EraseRootFromParent_Done,
     /*  703595 */   // Label 11110: @703595
     /*  703595 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703670), // Rule ID 11210 //
     /*  703600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703668 */     GIR_RootConstrainSelectedInstOperands,
     /*  703669 */     // GIR_Coverage, 11210,
     /*  703669 */     GIR_EraseRootFromParent_Done,
     /*  703670 */   // Label 11111: @703670
     /*  703670 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(703745), // Rule ID 11211 //
     /*  703675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703743 */     GIR_RootConstrainSelectedInstOperands,
     /*  703744 */     // GIR_Coverage, 11211,
     /*  703744 */     GIR_EraseRootFromParent_Done,
     /*  703745 */   // Label 11112: @703745
     /*  703745 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(703820), // Rule ID 11214 //
     /*  703750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703818 */     GIR_RootConstrainSelectedInstOperands,
     /*  703819 */     // GIR_Coverage, 11214,
     /*  703819 */     GIR_EraseRootFromParent_Done,
     /*  703820 */   // Label 11113: @703820
     /*  703820 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(703895), // Rule ID 11215 //
     /*  703825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703893 */     GIR_RootConstrainSelectedInstOperands,
     /*  703894 */     // GIR_Coverage, 11215,
     /*  703894 */     GIR_EraseRootFromParent_Done,
     /*  703895 */   // Label 11114: @703895
     /*  703895 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(703970), // Rule ID 11218 //
     /*  703900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703968 */     GIR_RootConstrainSelectedInstOperands,
     /*  703969 */     // GIR_Coverage, 11218,
     /*  703969 */     GIR_EraseRootFromParent_Done,
     /*  703970 */   // Label 11115: @703970
     /*  703970 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704045), // Rule ID 11219 //
     /*  703975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704043 */     GIR_RootConstrainSelectedInstOperands,
     /*  704044 */     // GIR_Coverage, 11219,
     /*  704044 */     GIR_EraseRootFromParent_Done,
     /*  704045 */   // Label 11116: @704045
     /*  704045 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704120), // Rule ID 11222 //
     /*  704050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704118 */     GIR_RootConstrainSelectedInstOperands,
     /*  704119 */     // GIR_Coverage, 11222,
     /*  704119 */     GIR_EraseRootFromParent_Done,
     /*  704120 */   // Label 11117: @704120
     /*  704120 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704195), // Rule ID 11223 //
     /*  704125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704193 */     GIR_RootConstrainSelectedInstOperands,
     /*  704194 */     // GIR_Coverage, 11223,
     /*  704194 */     GIR_EraseRootFromParent_Done,
     /*  704195 */   // Label 11118: @704195
     /*  704195 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704270), // Rule ID 11226 //
     /*  704200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704268 */     GIR_RootConstrainSelectedInstOperands,
     /*  704269 */     // GIR_Coverage, 11226,
     /*  704269 */     GIR_EraseRootFromParent_Done,
     /*  704270 */   // Label 11119: @704270
     /*  704270 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704345), // Rule ID 11227 //
     /*  704275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704343 */     GIR_RootConstrainSelectedInstOperands,
     /*  704344 */     // GIR_Coverage, 11227,
     /*  704344 */     GIR_EraseRootFromParent_Done,
     /*  704345 */   // Label 11120: @704345
     /*  704345 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704420), // Rule ID 11230 //
     /*  704350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704418 */     GIR_RootConstrainSelectedInstOperands,
     /*  704419 */     // GIR_Coverage, 11230,
     /*  704419 */     GIR_EraseRootFromParent_Done,
     /*  704420 */   // Label 11121: @704420
     /*  704420 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704495), // Rule ID 11231 //
     /*  704425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704493 */     GIR_RootConstrainSelectedInstOperands,
     /*  704494 */     // GIR_Coverage, 11231,
     /*  704494 */     GIR_EraseRootFromParent_Done,
     /*  704495 */   // Label 11122: @704495
     /*  704495 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704570), // Rule ID 11234 //
     /*  704500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704568 */     GIR_RootConstrainSelectedInstOperands,
     /*  704569 */     // GIR_Coverage, 11234,
     /*  704569 */     GIR_EraseRootFromParent_Done,
     /*  704570 */   // Label 11123: @704570
     /*  704570 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704645), // Rule ID 11235 //
     /*  704575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704643 */     GIR_RootConstrainSelectedInstOperands,
     /*  704644 */     // GIR_Coverage, 11235,
     /*  704644 */     GIR_EraseRootFromParent_Done,
     /*  704645 */   // Label 11124: @704645
     /*  704645 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704720), // Rule ID 11238 //
     /*  704650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  704699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704718 */     GIR_RootConstrainSelectedInstOperands,
     /*  704719 */     // GIR_Coverage, 11238,
     /*  704719 */     GIR_EraseRootFromParent_Done,
     /*  704720 */   // Label 11125: @704720
     /*  704720 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(704795), // Rule ID 11239 //
     /*  704725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  704774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704793 */     GIR_RootConstrainSelectedInstOperands,
     /*  704794 */     // GIR_Coverage, 11239,
     /*  704794 */     GIR_EraseRootFromParent_Done,
     /*  704795 */   // Label 11126: @704795
     /*  704795 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(704870), // Rule ID 11242 //
     /*  704800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  704849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704868 */     GIR_RootConstrainSelectedInstOperands,
     /*  704869 */     // GIR_Coverage, 11242,
     /*  704869 */     GIR_EraseRootFromParent_Done,
     /*  704870 */   // Label 11127: @704870
     /*  704870 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(704945), // Rule ID 11243 //
     /*  704875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  704924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704943 */     GIR_RootConstrainSelectedInstOperands,
     /*  704944 */     // GIR_Coverage, 11243,
     /*  704944 */     GIR_EraseRootFromParent_Done,
     /*  704945 */   // Label 11128: @704945
     /*  704945 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705020), // Rule ID 11246 //
     /*  704950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705018 */     GIR_RootConstrainSelectedInstOperands,
     /*  705019 */     // GIR_Coverage, 11246,
     /*  705019 */     GIR_EraseRootFromParent_Done,
     /*  705020 */   // Label 11129: @705020
     /*  705020 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705095), // Rule ID 11247 //
     /*  705025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705093 */     GIR_RootConstrainSelectedInstOperands,
     /*  705094 */     // GIR_Coverage, 11247,
     /*  705094 */     GIR_EraseRootFromParent_Done,
     /*  705095 */   // Label 11130: @705095
     /*  705095 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705170), // Rule ID 11250 //
     /*  705100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705168 */     GIR_RootConstrainSelectedInstOperands,
     /*  705169 */     // GIR_Coverage, 11250,
     /*  705169 */     GIR_EraseRootFromParent_Done,
     /*  705170 */   // Label 11131: @705170
     /*  705170 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705245), // Rule ID 11251 //
     /*  705175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705243 */     GIR_RootConstrainSelectedInstOperands,
     /*  705244 */     // GIR_Coverage, 11251,
     /*  705244 */     GIR_EraseRootFromParent_Done,
     /*  705245 */   // Label 11132: @705245
     /*  705245 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705320), // Rule ID 11254 //
     /*  705250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705318 */     GIR_RootConstrainSelectedInstOperands,
     /*  705319 */     // GIR_Coverage, 11254,
     /*  705319 */     GIR_EraseRootFromParent_Done,
     /*  705320 */   // Label 11133: @705320
     /*  705320 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705395), // Rule ID 11255 //
     /*  705325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705393 */     GIR_RootConstrainSelectedInstOperands,
     /*  705394 */     // GIR_Coverage, 11255,
     /*  705394 */     GIR_EraseRootFromParent_Done,
     /*  705395 */   // Label 11134: @705395
     /*  705395 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705470), // Rule ID 11258 //
     /*  705400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705468 */     GIR_RootConstrainSelectedInstOperands,
     /*  705469 */     // GIR_Coverage, 11258,
     /*  705469 */     GIR_EraseRootFromParent_Done,
     /*  705470 */   // Label 11135: @705470
     /*  705470 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705545), // Rule ID 11259 //
     /*  705475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705543 */     GIR_RootConstrainSelectedInstOperands,
     /*  705544 */     // GIR_Coverage, 11259,
     /*  705544 */     GIR_EraseRootFromParent_Done,
     /*  705545 */   // Label 11136: @705545
     /*  705545 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705620), // Rule ID 11262 //
     /*  705550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705618 */     GIR_RootConstrainSelectedInstOperands,
     /*  705619 */     // GIR_Coverage, 11262,
     /*  705619 */     GIR_EraseRootFromParent_Done,
     /*  705620 */   // Label 11137: @705620
     /*  705620 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705695), // Rule ID 11263 //
     /*  705625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705693 */     GIR_RootConstrainSelectedInstOperands,
     /*  705694 */     // GIR_Coverage, 11263,
     /*  705694 */     GIR_EraseRootFromParent_Done,
     /*  705695 */   // Label 11138: @705695
     /*  705695 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(705770), // Rule ID 11266 //
     /*  705700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705768 */     GIR_RootConstrainSelectedInstOperands,
     /*  705769 */     // GIR_Coverage, 11266,
     /*  705769 */     GIR_EraseRootFromParent_Done,
     /*  705770 */   // Label 11139: @705770
     /*  705770 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(705845), // Rule ID 11267 //
     /*  705775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705843 */     GIR_RootConstrainSelectedInstOperands,
     /*  705844 */     // GIR_Coverage, 11267,
     /*  705844 */     GIR_EraseRootFromParent_Done,
     /*  705845 */   // Label 11140: @705845
     /*  705845 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(705920), // Rule ID 11270 //
     /*  705850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  705899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705918 */     GIR_RootConstrainSelectedInstOperands,
     /*  705919 */     // GIR_Coverage, 11270,
     /*  705919 */     GIR_EraseRootFromParent_Done,
     /*  705920 */   // Label 11141: @705920
     /*  705920 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(705995), // Rule ID 11271 //
     /*  705925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  705974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705993 */     GIR_RootConstrainSelectedInstOperands,
     /*  705994 */     // GIR_Coverage, 11271,
     /*  705994 */     GIR_EraseRootFromParent_Done,
     /*  705995 */   // Label 11142: @705995
     /*  705995 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706070), // Rule ID 11274 //
     /*  706000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706068 */     GIR_RootConstrainSelectedInstOperands,
     /*  706069 */     // GIR_Coverage, 11274,
     /*  706069 */     GIR_EraseRootFromParent_Done,
     /*  706070 */   // Label 11143: @706070
     /*  706070 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706145), // Rule ID 11275 //
     /*  706075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706143 */     GIR_RootConstrainSelectedInstOperands,
     /*  706144 */     // GIR_Coverage, 11275,
     /*  706144 */     GIR_EraseRootFromParent_Done,
     /*  706145 */   // Label 11144: @706145
     /*  706145 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706220), // Rule ID 11278 //
     /*  706150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706218 */     GIR_RootConstrainSelectedInstOperands,
     /*  706219 */     // GIR_Coverage, 11278,
     /*  706219 */     GIR_EraseRootFromParent_Done,
     /*  706220 */   // Label 11145: @706220
     /*  706220 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706295), // Rule ID 11279 //
     /*  706225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706293 */     GIR_RootConstrainSelectedInstOperands,
     /*  706294 */     // GIR_Coverage, 11279,
     /*  706294 */     GIR_EraseRootFromParent_Done,
     /*  706295 */   // Label 11146: @706295
     /*  706295 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706370), // Rule ID 11282 //
     /*  706300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706368 */     GIR_RootConstrainSelectedInstOperands,
     /*  706369 */     // GIR_Coverage, 11282,
     /*  706369 */     GIR_EraseRootFromParent_Done,
     /*  706370 */   // Label 11147: @706370
     /*  706370 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706445), // Rule ID 11283 //
     /*  706375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706443 */     GIR_RootConstrainSelectedInstOperands,
     /*  706444 */     // GIR_Coverage, 11283,
     /*  706444 */     GIR_EraseRootFromParent_Done,
     /*  706445 */   // Label 11148: @706445
     /*  706445 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706520), // Rule ID 11286 //
     /*  706450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  706470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706518 */     GIR_RootConstrainSelectedInstOperands,
     /*  706519 */     // GIR_Coverage, 11286,
     /*  706519 */     GIR_EraseRootFromParent_Done,
     /*  706520 */   // Label 11149: @706520
     /*  706520 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706595), // Rule ID 11287 //
     /*  706525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  706545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706593 */     GIR_RootConstrainSelectedInstOperands,
     /*  706594 */     // GIR_Coverage, 11287,
     /*  706594 */     GIR_EraseRootFromParent_Done,
     /*  706595 */   // Label 11150: @706595
     /*  706595 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706670), // Rule ID 11290 //
     /*  706600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706668 */     GIR_RootConstrainSelectedInstOperands,
     /*  706669 */     // GIR_Coverage, 11290,
     /*  706669 */     GIR_EraseRootFromParent_Done,
     /*  706670 */   // Label 11151: @706670
     /*  706670 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(706745), // Rule ID 11291 //
     /*  706675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706743 */     GIR_RootConstrainSelectedInstOperands,
     /*  706744 */     // GIR_Coverage, 11291,
     /*  706744 */     GIR_EraseRootFromParent_Done,
     /*  706745 */   // Label 11152: @706745
     /*  706745 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(706820), // Rule ID 11294 //
     /*  706750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706818 */     GIR_RootConstrainSelectedInstOperands,
     /*  706819 */     // GIR_Coverage, 11294,
     /*  706819 */     GIR_EraseRootFromParent_Done,
     /*  706820 */   // Label 11153: @706820
     /*  706820 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(706895), // Rule ID 11295 //
     /*  706825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706893 */     GIR_RootConstrainSelectedInstOperands,
     /*  706894 */     // GIR_Coverage, 11295,
     /*  706894 */     GIR_EraseRootFromParent_Done,
     /*  706895 */   // Label 11154: @706895
     /*  706895 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(706970), // Rule ID 11298 //
     /*  706900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706968 */     GIR_RootConstrainSelectedInstOperands,
     /*  706969 */     // GIR_Coverage, 11298,
     /*  706969 */     GIR_EraseRootFromParent_Done,
     /*  706970 */   // Label 11155: @706970
     /*  706970 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707045), // Rule ID 11299 //
     /*  706975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707043 */     GIR_RootConstrainSelectedInstOperands,
     /*  707044 */     // GIR_Coverage, 11299,
     /*  707044 */     GIR_EraseRootFromParent_Done,
     /*  707045 */   // Label 11156: @707045
     /*  707045 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707120), // Rule ID 11302 //
     /*  707050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707118 */     GIR_RootConstrainSelectedInstOperands,
     /*  707119 */     // GIR_Coverage, 11302,
     /*  707119 */     GIR_EraseRootFromParent_Done,
     /*  707120 */   // Label 11157: @707120
     /*  707120 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707195), // Rule ID 11303 //
     /*  707125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707193 */     GIR_RootConstrainSelectedInstOperands,
     /*  707194 */     // GIR_Coverage, 11303,
     /*  707194 */     GIR_EraseRootFromParent_Done,
     /*  707195 */   // Label 11158: @707195
     /*  707195 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707270), // Rule ID 11306 //
     /*  707200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707268 */     GIR_RootConstrainSelectedInstOperands,
     /*  707269 */     // GIR_Coverage, 11306,
     /*  707269 */     GIR_EraseRootFromParent_Done,
     /*  707270 */   // Label 11159: @707270
     /*  707270 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707345), // Rule ID 11307 //
     /*  707275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707343 */     GIR_RootConstrainSelectedInstOperands,
     /*  707344 */     // GIR_Coverage, 11307,
     /*  707344 */     GIR_EraseRootFromParent_Done,
     /*  707345 */   // Label 11160: @707345
     /*  707345 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707420), // Rule ID 11310 //
     /*  707350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707418 */     GIR_RootConstrainSelectedInstOperands,
     /*  707419 */     // GIR_Coverage, 11310,
     /*  707419 */     GIR_EraseRootFromParent_Done,
     /*  707420 */   // Label 11161: @707420
     /*  707420 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707495), // Rule ID 11311 //
     /*  707425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707493 */     GIR_RootConstrainSelectedInstOperands,
     /*  707494 */     // GIR_Coverage, 11311,
     /*  707494 */     GIR_EraseRootFromParent_Done,
     /*  707495 */   // Label 11162: @707495
     /*  707495 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707570), // Rule ID 11314 //
     /*  707500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  707511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707568 */     GIR_RootConstrainSelectedInstOperands,
     /*  707569 */     // GIR_Coverage, 11314,
     /*  707569 */     GIR_EraseRootFromParent_Done,
     /*  707570 */   // Label 11163: @707570
     /*  707570 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707645), // Rule ID 11315 //
     /*  707575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  707586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707621 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707643 */     GIR_RootConstrainSelectedInstOperands,
     /*  707644 */     // GIR_Coverage, 11315,
     /*  707644 */     GIR_EraseRootFromParent_Done,
     /*  707645 */   // Label 11164: @707645
     /*  707645 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707720), // Rule ID 11318 //
     /*  707650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707718 */     GIR_RootConstrainSelectedInstOperands,
     /*  707719 */     // GIR_Coverage, 11318,
     /*  707719 */     GIR_EraseRootFromParent_Done,
     /*  707720 */   // Label 11165: @707720
     /*  707720 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(707795), // Rule ID 11319 //
     /*  707725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707793 */     GIR_RootConstrainSelectedInstOperands,
     /*  707794 */     // GIR_Coverage, 11319,
     /*  707794 */     GIR_EraseRootFromParent_Done,
     /*  707795 */   // Label 11166: @707795
     /*  707795 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(707870), // Rule ID 11322 //
     /*  707800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707868 */     GIR_RootConstrainSelectedInstOperands,
     /*  707869 */     // GIR_Coverage, 11322,
     /*  707869 */     GIR_EraseRootFromParent_Done,
     /*  707870 */   // Label 11167: @707870
     /*  707870 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(707945), // Rule ID 11323 //
     /*  707875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707943 */     GIR_RootConstrainSelectedInstOperands,
     /*  707944 */     // GIR_Coverage, 11323,
     /*  707944 */     GIR_EraseRootFromParent_Done,
     /*  707945 */   // Label 11168: @707945
     /*  707945 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708020), // Rule ID 11326 //
     /*  707950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  707970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708018 */     GIR_RootConstrainSelectedInstOperands,
     /*  708019 */     // GIR_Coverage, 11326,
     /*  708019 */     GIR_EraseRootFromParent_Done,
     /*  708020 */   // Label 11169: @708020
     /*  708020 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708095), // Rule ID 11327 //
     /*  708025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708093 */     GIR_RootConstrainSelectedInstOperands,
     /*  708094 */     // GIR_Coverage, 11327,
     /*  708094 */     GIR_EraseRootFromParent_Done,
     /*  708095 */   // Label 11170: @708095
     /*  708095 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708170), // Rule ID 11330 //
     /*  708100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708168 */     GIR_RootConstrainSelectedInstOperands,
     /*  708169 */     // GIR_Coverage, 11330,
     /*  708169 */     GIR_EraseRootFromParent_Done,
     /*  708170 */   // Label 11171: @708170
     /*  708170 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708245), // Rule ID 11331 //
     /*  708175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708243 */     GIR_RootConstrainSelectedInstOperands,
     /*  708244 */     // GIR_Coverage, 11331,
     /*  708244 */     GIR_EraseRootFromParent_Done,
     /*  708245 */   // Label 11172: @708245
     /*  708245 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708320), // Rule ID 11334 //
     /*  708250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708318 */     GIR_RootConstrainSelectedInstOperands,
     /*  708319 */     // GIR_Coverage, 11334,
     /*  708319 */     GIR_EraseRootFromParent_Done,
     /*  708320 */   // Label 11173: @708320
     /*  708320 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708395), // Rule ID 11335 //
     /*  708325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708393 */     GIR_RootConstrainSelectedInstOperands,
     /*  708394 */     // GIR_Coverage, 11335,
     /*  708394 */     GIR_EraseRootFromParent_Done,
     /*  708395 */   // Label 11174: @708395
     /*  708395 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708470), // Rule ID 11338 //
     /*  708400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708468 */     GIR_RootConstrainSelectedInstOperands,
     /*  708469 */     // GIR_Coverage, 11338,
     /*  708469 */     GIR_EraseRootFromParent_Done,
     /*  708470 */   // Label 11175: @708470
     /*  708470 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708545), // Rule ID 11339 //
     /*  708475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708543 */     GIR_RootConstrainSelectedInstOperands,
     /*  708544 */     // GIR_Coverage, 11339,
     /*  708544 */     GIR_EraseRootFromParent_Done,
     /*  708545 */   // Label 11176: @708545
     /*  708545 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708620), // Rule ID 11342 //
     /*  708550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  708561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  708564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  708567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  708599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708618 */     GIR_RootConstrainSelectedInstOperands,
     /*  708619 */     // GIR_Coverage, 11342,
     /*  708619 */     GIR_EraseRootFromParent_Done,
     /*  708620 */   // Label 11177: @708620
     /*  708620 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708695), // Rule ID 11343 //
     /*  708625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  708636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  708639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  708642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  708674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708693 */     GIR_RootConstrainSelectedInstOperands,
     /*  708694 */     // GIR_Coverage, 11343,
     /*  708694 */     GIR_EraseRootFromParent_Done,
     /*  708695 */   // Label 11178: @708695
     /*  708695 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(708770), // Rule ID 11346 //
     /*  708700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708768 */     GIR_RootConstrainSelectedInstOperands,
     /*  708769 */     // GIR_Coverage, 11346,
     /*  708769 */     GIR_EraseRootFromParent_Done,
     /*  708770 */   // Label 11179: @708770
     /*  708770 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(708845), // Rule ID 11347 //
     /*  708775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708843 */     GIR_RootConstrainSelectedInstOperands,
     /*  708844 */     // GIR_Coverage, 11347,
     /*  708844 */     GIR_EraseRootFromParent_Done,
     /*  708845 */   // Label 11180: @708845
     /*  708845 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(708920), // Rule ID 11350 //
     /*  708850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  708899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708918 */     GIR_RootConstrainSelectedInstOperands,
     /*  708919 */     // GIR_Coverage, 11350,
     /*  708919 */     GIR_EraseRootFromParent_Done,
     /*  708920 */   // Label 11181: @708920
     /*  708920 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(708995), // Rule ID 11351 //
     /*  708925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  708974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708993 */     GIR_RootConstrainSelectedInstOperands,
     /*  708994 */     // GIR_Coverage, 11351,
     /*  708994 */     GIR_EraseRootFromParent_Done,
     /*  708995 */   // Label 11182: @708995
     /*  708995 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709070), // Rule ID 11354 //
     /*  709000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709068 */     GIR_RootConstrainSelectedInstOperands,
     /*  709069 */     // GIR_Coverage, 11354,
     /*  709069 */     GIR_EraseRootFromParent_Done,
     /*  709070 */   // Label 11183: @709070
     /*  709070 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709145), // Rule ID 11355 //
     /*  709075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709143 */     GIR_RootConstrainSelectedInstOperands,
     /*  709144 */     // GIR_Coverage, 11355,
     /*  709144 */     GIR_EraseRootFromParent_Done,
     /*  709145 */   // Label 11184: @709145
     /*  709145 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709220), // Rule ID 11358 //
     /*  709150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709218 */     GIR_RootConstrainSelectedInstOperands,
     /*  709219 */     // GIR_Coverage, 11358,
     /*  709219 */     GIR_EraseRootFromParent_Done,
     /*  709220 */   // Label 11185: @709220
     /*  709220 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709295), // Rule ID 11359 //
     /*  709225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709293 */     GIR_RootConstrainSelectedInstOperands,
     /*  709294 */     // GIR_Coverage, 11359,
     /*  709294 */     GIR_EraseRootFromParent_Done,
     /*  709295 */   // Label 11186: @709295
     /*  709295 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709370), // Rule ID 11362 //
     /*  709300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709368 */     GIR_RootConstrainSelectedInstOperands,
     /*  709369 */     // GIR_Coverage, 11362,
     /*  709369 */     GIR_EraseRootFromParent_Done,
     /*  709370 */   // Label 11187: @709370
     /*  709370 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709445), // Rule ID 11363 //
     /*  709375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709443 */     GIR_RootConstrainSelectedInstOperands,
     /*  709444 */     // GIR_Coverage, 11363,
     /*  709444 */     GIR_EraseRootFromParent_Done,
     /*  709445 */   // Label 11188: @709445
     /*  709445 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709520), // Rule ID 11366 //
     /*  709450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  709461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  709464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  709467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709518 */     GIR_RootConstrainSelectedInstOperands,
     /*  709519 */     // GIR_Coverage, 11366,
     /*  709519 */     GIR_EraseRootFromParent_Done,
     /*  709520 */   // Label 11189: @709520
     /*  709520 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709595), // Rule ID 11367 //
     /*  709525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  709536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  709539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  709542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709593 */     GIR_RootConstrainSelectedInstOperands,
     /*  709594 */     // GIR_Coverage, 11367,
     /*  709594 */     GIR_EraseRootFromParent_Done,
     /*  709595 */   // Label 11190: @709595
     /*  709595 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709670), // Rule ID 11370 //
     /*  709600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709668 */     GIR_RootConstrainSelectedInstOperands,
     /*  709669 */     // GIR_Coverage, 11370,
     /*  709669 */     GIR_EraseRootFromParent_Done,
     /*  709670 */   // Label 11191: @709670
     /*  709670 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(709745), // Rule ID 11371 //
     /*  709675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709743 */     GIR_RootConstrainSelectedInstOperands,
     /*  709744 */     // GIR_Coverage, 11371,
     /*  709744 */     GIR_EraseRootFromParent_Done,
     /*  709745 */   // Label 11192: @709745
     /*  709745 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(709820), // Rule ID 11374 //
     /*  709750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709818 */     GIR_RootConstrainSelectedInstOperands,
     /*  709819 */     // GIR_Coverage, 11374,
     /*  709819 */     GIR_EraseRootFromParent_Done,
     /*  709820 */   // Label 11193: @709820
     /*  709820 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(709895), // Rule ID 11375 //
     /*  709825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709893 */     GIR_RootConstrainSelectedInstOperands,
     /*  709894 */     // GIR_Coverage, 11375,
     /*  709894 */     GIR_EraseRootFromParent_Done,
     /*  709895 */   // Label 11194: @709895
     /*  709895 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(709970), // Rule ID 11378 //
     /*  709900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709946 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  709949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709968 */     GIR_RootConstrainSelectedInstOperands,
     /*  709969 */     // GIR_Coverage, 11378,
     /*  709969 */     GIR_EraseRootFromParent_Done,
     /*  709970 */   // Label 11195: @709970
     /*  709970 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710045), // Rule ID 11379 //
     /*  709975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710021 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710043 */     GIR_RootConstrainSelectedInstOperands,
     /*  710044 */     // GIR_Coverage, 11379,
     /*  710044 */     GIR_EraseRootFromParent_Done,
     /*  710045 */   // Label 11196: @710045
     /*  710045 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710120), // Rule ID 11382 //
     /*  710050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710118 */     GIR_RootConstrainSelectedInstOperands,
     /*  710119 */     // GIR_Coverage, 11382,
     /*  710119 */     GIR_EraseRootFromParent_Done,
     /*  710120 */   // Label 11197: @710120
     /*  710120 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710195), // Rule ID 11383 //
     /*  710125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710171 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710193 */     GIR_RootConstrainSelectedInstOperands,
     /*  710194 */     // GIR_Coverage, 11383,
     /*  710194 */     GIR_EraseRootFromParent_Done,
     /*  710195 */   // Label 11198: @710195
     /*  710195 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710270), // Rule ID 11386 //
     /*  710200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710268 */     GIR_RootConstrainSelectedInstOperands,
     /*  710269 */     // GIR_Coverage, 11386,
     /*  710269 */     GIR_EraseRootFromParent_Done,
     /*  710270 */   // Label 11199: @710270
     /*  710270 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710345), // Rule ID 11387 //
     /*  710275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710321 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710343 */     GIR_RootConstrainSelectedInstOperands,
     /*  710344 */     // GIR_Coverage, 11387,
     /*  710344 */     GIR_EraseRootFromParent_Done,
     /*  710345 */   // Label 11200: @710345
     /*  710345 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710420), // Rule ID 11390 //
     /*  710350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710418 */     GIR_RootConstrainSelectedInstOperands,
     /*  710419 */     // GIR_Coverage, 11390,
     /*  710419 */     GIR_EraseRootFromParent_Done,
     /*  710420 */   // Label 11201: @710420
     /*  710420 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710495), // Rule ID 11391 //
     /*  710425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710493 */     GIR_RootConstrainSelectedInstOperands,
     /*  710494 */     // GIR_Coverage, 11391,
     /*  710494 */     GIR_EraseRootFromParent_Done,
     /*  710495 */   // Label 11202: @710495
     /*  710495 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710570), // Rule ID 11394 //
     /*  710500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710568 */     GIR_RootConstrainSelectedInstOperands,
     /*  710569 */     // GIR_Coverage, 11394,
     /*  710569 */     GIR_EraseRootFromParent_Done,
     /*  710570 */   // Label 11203: @710570
     /*  710570 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710645), // Rule ID 11395 //
     /*  710575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710643 */     GIR_RootConstrainSelectedInstOperands,
     /*  710644 */     // GIR_Coverage, 11395,
     /*  710644 */     GIR_EraseRootFromParent_Done,
     /*  710645 */   // Label 11204: @710645
     /*  710645 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710720), // Rule ID 11398 //
     /*  710650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710718 */     GIR_RootConstrainSelectedInstOperands,
     /*  710719 */     // GIR_Coverage, 11398,
     /*  710719 */     GIR_EraseRootFromParent_Done,
     /*  710720 */   // Label 11205: @710720
     /*  710720 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(710795), // Rule ID 11399 //
     /*  710725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710793 */     GIR_RootConstrainSelectedInstOperands,
     /*  710794 */     // GIR_Coverage, 11399,
     /*  710794 */     GIR_EraseRootFromParent_Done,
     /*  710795 */   // Label 11206: @710795
     /*  710795 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(710870), // Rule ID 11402 //
     /*  710800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710868 */     GIR_RootConstrainSelectedInstOperands,
     /*  710869 */     // GIR_Coverage, 11402,
     /*  710869 */     GIR_EraseRootFromParent_Done,
     /*  710870 */   // Label 11207: @710870
     /*  710870 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(710945), // Rule ID 11403 //
     /*  710875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710943 */     GIR_RootConstrainSelectedInstOperands,
     /*  710944 */     // GIR_Coverage, 11403,
     /*  710944 */     GIR_EraseRootFromParent_Done,
     /*  710945 */   // Label 11208: @710945
     /*  710945 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711020), // Rule ID 11406 //
     /*  710950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711018 */     GIR_RootConstrainSelectedInstOperands,
     /*  711019 */     // GIR_Coverage, 11406,
     /*  711019 */     GIR_EraseRootFromParent_Done,
     /*  711020 */   // Label 11209: @711020
     /*  711020 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711095), // Rule ID 11407 //
     /*  711025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711071 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  711074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711093 */     GIR_RootConstrainSelectedInstOperands,
     /*  711094 */     // GIR_Coverage, 11407,
     /*  711094 */     GIR_EraseRootFromParent_Done,
     /*  711095 */   // Label 11210: @711095
     /*  711095 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711170), // Rule ID 11410 //
     /*  711100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711168 */     GIR_RootConstrainSelectedInstOperands,
     /*  711169 */     // GIR_Coverage, 11410,
     /*  711169 */     GIR_EraseRootFromParent_Done,
     /*  711170 */   // Label 11211: @711170
     /*  711170 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711245), // Rule ID 11411 //
     /*  711175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711221 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711243 */     GIR_RootConstrainSelectedInstOperands,
     /*  711244 */     // GIR_Coverage, 11411,
     /*  711244 */     GIR_EraseRootFromParent_Done,
     /*  711245 */   // Label 11212: @711245
     /*  711245 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711320), // Rule ID 11414 //
     /*  711250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711318 */     GIR_RootConstrainSelectedInstOperands,
     /*  711319 */     // GIR_Coverage, 11414,
     /*  711319 */     GIR_EraseRootFromParent_Done,
     /*  711320 */   // Label 11213: @711320
     /*  711320 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711395), // Rule ID 11415 //
     /*  711325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711393 */     GIR_RootConstrainSelectedInstOperands,
     /*  711394 */     // GIR_Coverage, 11415,
     /*  711394 */     GIR_EraseRootFromParent_Done,
     /*  711395 */   // Label 11214: @711395
     /*  711395 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711470), // Rule ID 11418 //
     /*  711400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711468 */     GIR_RootConstrainSelectedInstOperands,
     /*  711469 */     // GIR_Coverage, 11418,
     /*  711469 */     GIR_EraseRootFromParent_Done,
     /*  711470 */   // Label 11215: @711470
     /*  711470 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711545), // Rule ID 11419 //
     /*  711475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711543 */     GIR_RootConstrainSelectedInstOperands,
     /*  711544 */     // GIR_Coverage, 11419,
     /*  711544 */     GIR_EraseRootFromParent_Done,
     /*  711545 */   // Label 11216: @711545
     /*  711545 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711620), // Rule ID 11422 //
     /*  711550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  711561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  711564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  711567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  711570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711618 */     GIR_RootConstrainSelectedInstOperands,
     /*  711619 */     // GIR_Coverage, 11422,
     /*  711619 */     GIR_EraseRootFromParent_Done,
     /*  711620 */   // Label 11217: @711620
     /*  711620 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711695), // Rule ID 11423 //
     /*  711625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  711636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  711639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  711642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  711645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711693 */     GIR_RootConstrainSelectedInstOperands,
     /*  711694 */     // GIR_Coverage, 11423,
     /*  711694 */     GIR_EraseRootFromParent_Done,
     /*  711695 */   // Label 11218: @711695
     /*  711695 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(711770), // Rule ID 11426 //
     /*  711700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  711711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  711714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  711717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  711720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711768 */     GIR_RootConstrainSelectedInstOperands,
     /*  711769 */     // GIR_Coverage, 11426,
     /*  711769 */     GIR_EraseRootFromParent_Done,
     /*  711770 */   // Label 11219: @711770
     /*  711770 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(711845), // Rule ID 11427 //
     /*  711775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  711786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  711789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  711792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  711795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711843 */     GIR_RootConstrainSelectedInstOperands,
     /*  711844 */     // GIR_Coverage, 11427,
     /*  711844 */     GIR_EraseRootFromParent_Done,
     /*  711845 */   // Label 11220: @711845
     /*  711845 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(711920), // Rule ID 11430 //
     /*  711850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  711861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  711864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  711867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  711870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711918 */     GIR_RootConstrainSelectedInstOperands,
     /*  711919 */     // GIR_Coverage, 11430,
     /*  711919 */     GIR_EraseRootFromParent_Done,
     /*  711920 */   // Label 11221: @711920
     /*  711920 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(711995), // Rule ID 11431 //
     /*  711925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  711936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  711939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  711942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  711945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711993 */     GIR_RootConstrainSelectedInstOperands,
     /*  711994 */     // GIR_Coverage, 11431,
     /*  711994 */     GIR_EraseRootFromParent_Done,
     /*  711995 */   // Label 11222: @711995
     /*  711995 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712070), // Rule ID 11434 //
     /*  712000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  712011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  712014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  712020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712068 */     GIR_RootConstrainSelectedInstOperands,
     /*  712069 */     // GIR_Coverage, 11434,
     /*  712069 */     GIR_EraseRootFromParent_Done,
     /*  712070 */   // Label 11223: @712070
     /*  712070 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712145), // Rule ID 11435 //
     /*  712075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  712086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  712089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  712095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712143 */     GIR_RootConstrainSelectedInstOperands,
     /*  712144 */     // GIR_Coverage, 11435,
     /*  712144 */     GIR_EraseRootFromParent_Done,
     /*  712145 */   // Label 11224: @712145
     /*  712145 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712220), // Rule ID 11438 //
     /*  712150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712218 */     GIR_RootConstrainSelectedInstOperands,
     /*  712219 */     // GIR_Coverage, 11438,
     /*  712219 */     GIR_EraseRootFromParent_Done,
     /*  712220 */   // Label 11225: @712220
     /*  712220 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712295), // Rule ID 11439 //
     /*  712225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712293 */     GIR_RootConstrainSelectedInstOperands,
     /*  712294 */     // GIR_Coverage, 11439,
     /*  712294 */     GIR_EraseRootFromParent_Done,
     /*  712295 */   // Label 11226: @712295
     /*  712295 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712370), // Rule ID 11442 //
     /*  712300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712368 */     GIR_RootConstrainSelectedInstOperands,
     /*  712369 */     // GIR_Coverage, 11442,
     /*  712369 */     GIR_EraseRootFromParent_Done,
     /*  712370 */   // Label 11227: @712370
     /*  712370 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712445), // Rule ID 11443 //
     /*  712375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712443 */     GIR_RootConstrainSelectedInstOperands,
     /*  712444 */     // GIR_Coverage, 11443,
     /*  712444 */     GIR_EraseRootFromParent_Done,
     /*  712445 */   // Label 11228: @712445
     /*  712445 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712520), // Rule ID 11446 //
     /*  712450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712518 */     GIR_RootConstrainSelectedInstOperands,
     /*  712519 */     // GIR_Coverage, 11446,
     /*  712519 */     GIR_EraseRootFromParent_Done,
     /*  712520 */   // Label 11229: @712520
     /*  712520 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712595), // Rule ID 11447 //
     /*  712525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712593 */     GIR_RootConstrainSelectedInstOperands,
     /*  712594 */     // GIR_Coverage, 11447,
     /*  712594 */     GIR_EraseRootFromParent_Done,
     /*  712595 */   // Label 11230: @712595
     /*  712595 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712670), // Rule ID 11450 //
     /*  712600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  712611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  712614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  712617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  712620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712668 */     GIR_RootConstrainSelectedInstOperands,
     /*  712669 */     // GIR_Coverage, 11450,
     /*  712669 */     GIR_EraseRootFromParent_Done,
     /*  712670 */   // Label 11231: @712670
     /*  712670 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(712745), // Rule ID 11451 //
     /*  712675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  712686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  712689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  712692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  712695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712743 */     GIR_RootConstrainSelectedInstOperands,
     /*  712744 */     // GIR_Coverage, 11451,
     /*  712744 */     GIR_EraseRootFromParent_Done,
     /*  712745 */   // Label 11232: @712745
     /*  712745 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(712820), // Rule ID 11454 //
     /*  712750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  712761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  712764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  712767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  712770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  712799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712818 */     GIR_RootConstrainSelectedInstOperands,
     /*  712819 */     // GIR_Coverage, 11454,
     /*  712819 */     GIR_EraseRootFromParent_Done,
     /*  712820 */   // Label 11233: @712820
     /*  712820 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(712895), // Rule ID 11455 //
     /*  712825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  712836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  712839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  712842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  712845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  712874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712893 */     GIR_RootConstrainSelectedInstOperands,
     /*  712894 */     // GIR_Coverage, 11455,
     /*  712894 */     GIR_EraseRootFromParent_Done,
     /*  712895 */   // Label 11234: @712895
     /*  712895 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(712970), // Rule ID 11458 //
     /*  712900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  712911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  712914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  712917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  712920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  712949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712968 */     GIR_RootConstrainSelectedInstOperands,
     /*  712969 */     // GIR_Coverage, 11458,
     /*  712969 */     GIR_EraseRootFromParent_Done,
     /*  712970 */   // Label 11235: @712970
     /*  712970 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713045), // Rule ID 11459 //
     /*  712975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  712986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  712989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  712992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  712995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713021 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713043 */     GIR_RootConstrainSelectedInstOperands,
     /*  713044 */     // GIR_Coverage, 11459,
     /*  713044 */     GIR_EraseRootFromParent_Done,
     /*  713045 */   // Label 11236: @713045
     /*  713045 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713120), // Rule ID 11462 //
     /*  713050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713118 */     GIR_RootConstrainSelectedInstOperands,
     /*  713119 */     // GIR_Coverage, 11462,
     /*  713119 */     GIR_EraseRootFromParent_Done,
     /*  713120 */   // Label 11237: @713120
     /*  713120 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713195), // Rule ID 11463 //
     /*  713125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713193 */     GIR_RootConstrainSelectedInstOperands,
     /*  713194 */     // GIR_Coverage, 11463,
     /*  713194 */     GIR_EraseRootFromParent_Done,
     /*  713195 */   // Label 11238: @713195
     /*  713195 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713270), // Rule ID 11466 //
     /*  713200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713268 */     GIR_RootConstrainSelectedInstOperands,
     /*  713269 */     // GIR_Coverage, 11466,
     /*  713269 */     GIR_EraseRootFromParent_Done,
     /*  713270 */   // Label 11239: @713270
     /*  713270 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713345), // Rule ID 11467 //
     /*  713275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713343 */     GIR_RootConstrainSelectedInstOperands,
     /*  713344 */     // GIR_Coverage, 11467,
     /*  713344 */     GIR_EraseRootFromParent_Done,
     /*  713345 */   // Label 11240: @713345
     /*  713345 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713420), // Rule ID 11470 //
     /*  713350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713418 */     GIR_RootConstrainSelectedInstOperands,
     /*  713419 */     // GIR_Coverage, 11470,
     /*  713419 */     GIR_EraseRootFromParent_Done,
     /*  713420 */   // Label 11241: @713420
     /*  713420 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713495), // Rule ID 11471 //
     /*  713425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713471 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713493 */     GIR_RootConstrainSelectedInstOperands,
     /*  713494 */     // GIR_Coverage, 11471,
     /*  713494 */     GIR_EraseRootFromParent_Done,
     /*  713495 */   // Label 11242: @713495
     /*  713495 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713570), // Rule ID 11474 //
     /*  713500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  713511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  713514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  713517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  713520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713568 */     GIR_RootConstrainSelectedInstOperands,
     /*  713569 */     // GIR_Coverage, 11474,
     /*  713569 */     GIR_EraseRootFromParent_Done,
     /*  713570 */   // Label 11243: @713570
     /*  713570 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713645), // Rule ID 11475 //
     /*  713575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  713586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  713589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  713592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  713595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713643 */     GIR_RootConstrainSelectedInstOperands,
     /*  713644 */     // GIR_Coverage, 11475,
     /*  713644 */     GIR_EraseRootFromParent_Done,
     /*  713645 */   // Label 11244: @713645
     /*  713645 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713720), // Rule ID 11478 //
     /*  713650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  713661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  713664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  713667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  713670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713718 */     GIR_RootConstrainSelectedInstOperands,
     /*  713719 */     // GIR_Coverage, 11478,
     /*  713719 */     GIR_EraseRootFromParent_Done,
     /*  713720 */   // Label 11245: @713720
     /*  713720 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(713795), // Rule ID 11479 //
     /*  713725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  713736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  713739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  713742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  713745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713793 */     GIR_RootConstrainSelectedInstOperands,
     /*  713794 */     // GIR_Coverage, 11479,
     /*  713794 */     GIR_EraseRootFromParent_Done,
     /*  713795 */   // Label 11246: @713795
     /*  713795 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(713870), // Rule ID 11482 //
     /*  713800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  713811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  713814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  713817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  713820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713868 */     GIR_RootConstrainSelectedInstOperands,
     /*  713869 */     // GIR_Coverage, 11482,
     /*  713869 */     GIR_EraseRootFromParent_Done,
     /*  713870 */   // Label 11247: @713870
     /*  713870 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(713945), // Rule ID 11483 //
     /*  713875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  713886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  713889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  713892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  713895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713943 */     GIR_RootConstrainSelectedInstOperands,
     /*  713944 */     // GIR_Coverage, 11483,
     /*  713944 */     GIR_EraseRootFromParent_Done,
     /*  713945 */   // Label 11248: @713945
     /*  713945 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714020), // Rule ID 11486 //
     /*  713950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  713961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  713964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  713967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  713999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714018 */     GIR_RootConstrainSelectedInstOperands,
     /*  714019 */     // GIR_Coverage, 11486,
     /*  714019 */     GIR_EraseRootFromParent_Done,
     /*  714020 */   // Label 11249: @714020
     /*  714020 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714095), // Rule ID 11487 //
     /*  714025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  714036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  714039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  714042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  714074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714093 */     GIR_RootConstrainSelectedInstOperands,
     /*  714094 */     // GIR_Coverage, 11487,
     /*  714094 */     GIR_EraseRootFromParent_Done,
     /*  714095 */   // Label 11250: @714095
     /*  714095 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714170), // Rule ID 11490 //
     /*  714100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714168 */     GIR_RootConstrainSelectedInstOperands,
     /*  714169 */     // GIR_Coverage, 11490,
     /*  714169 */     GIR_EraseRootFromParent_Done,
     /*  714170 */   // Label 11251: @714170
     /*  714170 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714245), // Rule ID 11491 //
     /*  714175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714243 */     GIR_RootConstrainSelectedInstOperands,
     /*  714244 */     // GIR_Coverage, 11491,
     /*  714244 */     GIR_EraseRootFromParent_Done,
     /*  714245 */   // Label 11252: @714245
     /*  714245 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714320), // Rule ID 11494 //
     /*  714250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714318 */     GIR_RootConstrainSelectedInstOperands,
     /*  714319 */     // GIR_Coverage, 11494,
     /*  714319 */     GIR_EraseRootFromParent_Done,
     /*  714320 */   // Label 11253: @714320
     /*  714320 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714395), // Rule ID 11495 //
     /*  714325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714393 */     GIR_RootConstrainSelectedInstOperands,
     /*  714394 */     // GIR_Coverage, 11495,
     /*  714394 */     GIR_EraseRootFromParent_Done,
     /*  714395 */   // Label 11254: @714395
     /*  714395 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714470), // Rule ID 11498 //
     /*  714400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714468 */     GIR_RootConstrainSelectedInstOperands,
     /*  714469 */     // GIR_Coverage, 11498,
     /*  714469 */     GIR_EraseRootFromParent_Done,
     /*  714470 */   // Label 11255: @714470
     /*  714470 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714545), // Rule ID 11499 //
     /*  714475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714543 */     GIR_RootConstrainSelectedInstOperands,
     /*  714544 */     // GIR_Coverage, 11499,
     /*  714544 */     GIR_EraseRootFromParent_Done,
     /*  714545 */   // Label 11256: @714545
     /*  714545 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714620), // Rule ID 11502 //
     /*  714550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714618 */     GIR_RootConstrainSelectedInstOperands,
     /*  714619 */     // GIR_Coverage, 11502,
     /*  714619 */     GIR_EraseRootFromParent_Done,
     /*  714620 */   // Label 11257: @714620
     /*  714620 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714695), // Rule ID 11503 //
     /*  714625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714693 */     GIR_RootConstrainSelectedInstOperands,
     /*  714694 */     // GIR_Coverage, 11503,
     /*  714694 */     GIR_EraseRootFromParent_Done,
     /*  714695 */   // Label 11258: @714695
     /*  714695 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(714770), // Rule ID 11506 //
     /*  714700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  714711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  714714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  714717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714768 */     GIR_RootConstrainSelectedInstOperands,
     /*  714769 */     // GIR_Coverage, 11506,
     /*  714769 */     GIR_EraseRootFromParent_Done,
     /*  714770 */   // Label 11259: @714770
     /*  714770 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(714845), // Rule ID 11507 //
     /*  714775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  714786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  714789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  714792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714843 */     GIR_RootConstrainSelectedInstOperands,
     /*  714844 */     // GIR_Coverage, 11507,
     /*  714844 */     GIR_EraseRootFromParent_Done,
     /*  714845 */   // Label 11260: @714845
     /*  714845 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(714920), // Rule ID 11510 //
     /*  714850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  714861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  714864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  714867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714918 */     GIR_RootConstrainSelectedInstOperands,
     /*  714919 */     // GIR_Coverage, 11510,
     /*  714919 */     GIR_EraseRootFromParent_Done,
     /*  714920 */   // Label 11261: @714920
     /*  714920 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(714995), // Rule ID 11511 //
     /*  714925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  714936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  714939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  714942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714993 */     GIR_RootConstrainSelectedInstOperands,
     /*  714994 */     // GIR_Coverage, 11511,
     /*  714994 */     GIR_EraseRootFromParent_Done,
     /*  714995 */   // Label 11262: @714995
     /*  714995 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715070), // Rule ID 11514 //
     /*  715000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715068 */     GIR_RootConstrainSelectedInstOperands,
     /*  715069 */     // GIR_Coverage, 11514,
     /*  715069 */     GIR_EraseRootFromParent_Done,
     /*  715070 */   // Label 11263: @715070
     /*  715070 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715145), // Rule ID 11515 //
     /*  715075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715143 */     GIR_RootConstrainSelectedInstOperands,
     /*  715144 */     // GIR_Coverage, 11515,
     /*  715144 */     GIR_EraseRootFromParent_Done,
     /*  715145 */   // Label 11264: @715145
     /*  715145 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715220), // Rule ID 11518 //
     /*  715150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715218 */     GIR_RootConstrainSelectedInstOperands,
     /*  715219 */     // GIR_Coverage, 11518,
     /*  715219 */     GIR_EraseRootFromParent_Done,
     /*  715220 */   // Label 11265: @715220
     /*  715220 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715295), // Rule ID 11519 //
     /*  715225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715293 */     GIR_RootConstrainSelectedInstOperands,
     /*  715294 */     // GIR_Coverage, 11519,
     /*  715294 */     GIR_EraseRootFromParent_Done,
     /*  715295 */   // Label 11266: @715295
     /*  715295 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715370), // Rule ID 11522 //
     /*  715300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715368 */     GIR_RootConstrainSelectedInstOperands,
     /*  715369 */     // GIR_Coverage, 11522,
     /*  715369 */     GIR_EraseRootFromParent_Done,
     /*  715370 */   // Label 11267: @715370
     /*  715370 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715445), // Rule ID 11523 //
     /*  715375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715421 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715443 */     GIR_RootConstrainSelectedInstOperands,
     /*  715444 */     // GIR_Coverage, 11523,
     /*  715444 */     GIR_EraseRootFromParent_Done,
     /*  715445 */   // Label 11268: @715445
     /*  715445 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715520), // Rule ID 11526 //
     /*  715450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715518 */     GIR_RootConstrainSelectedInstOperands,
     /*  715519 */     // GIR_Coverage, 11526,
     /*  715519 */     GIR_EraseRootFromParent_Done,
     /*  715520 */   // Label 11269: @715520
     /*  715520 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715595), // Rule ID 11527 //
     /*  715525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715593 */     GIR_RootConstrainSelectedInstOperands,
     /*  715594 */     // GIR_Coverage, 11527,
     /*  715594 */     GIR_EraseRootFromParent_Done,
     /*  715595 */   // Label 11270: @715595
     /*  715595 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715670), // Rule ID 11530 //
     /*  715600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  715611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  715614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  715617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715668 */     GIR_RootConstrainSelectedInstOperands,
     /*  715669 */     // GIR_Coverage, 11530,
     /*  715669 */     GIR_EraseRootFromParent_Done,
     /*  715670 */   // Label 11271: @715670
     /*  715670 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(715745), // Rule ID 11531 //
     /*  715675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  715686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  715689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  715692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715721 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715743 */     GIR_RootConstrainSelectedInstOperands,
     /*  715744 */     // GIR_Coverage, 11531,
     /*  715744 */     GIR_EraseRootFromParent_Done,
     /*  715745 */   // Label 11272: @715745
     /*  715745 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(715820), // Rule ID 11534 //
     /*  715750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715818 */     GIR_RootConstrainSelectedInstOperands,
     /*  715819 */     // GIR_Coverage, 11534,
     /*  715819 */     GIR_EraseRootFromParent_Done,
     /*  715820 */   // Label 11273: @715820
     /*  715820 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(715895), // Rule ID 11535 //
     /*  715825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715871 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715893 */     GIR_RootConstrainSelectedInstOperands,
     /*  715894 */     // GIR_Coverage, 11535,
     /*  715894 */     GIR_EraseRootFromParent_Done,
     /*  715895 */   // Label 11274: @715895
     /*  715895 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(715970), // Rule ID 11538 //
     /*  715900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715968 */     GIR_RootConstrainSelectedInstOperands,
     /*  715969 */     // GIR_Coverage, 11538,
     /*  715969 */     GIR_EraseRootFromParent_Done,
     /*  715970 */   // Label 11275: @715970
     /*  715970 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716045), // Rule ID 11539 //
     /*  715975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716021 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716043 */     GIR_RootConstrainSelectedInstOperands,
     /*  716044 */     // GIR_Coverage, 11539,
     /*  716044 */     GIR_EraseRootFromParent_Done,
     /*  716045 */   // Label 11276: @716045
     /*  716045 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716120), // Rule ID 11542 //
     /*  716050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716118 */     GIR_RootConstrainSelectedInstOperands,
     /*  716119 */     // GIR_Coverage, 11542,
     /*  716119 */     GIR_EraseRootFromParent_Done,
     /*  716120 */   // Label 11277: @716120
     /*  716120 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716195), // Rule ID 11543 //
     /*  716125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716193 */     GIR_RootConstrainSelectedInstOperands,
     /*  716194 */     // GIR_Coverage, 11543,
     /*  716194 */     GIR_EraseRootFromParent_Done,
     /*  716195 */   // Label 11278: @716195
     /*  716195 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716270), // Rule ID 11546 //
     /*  716200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716268 */     GIR_RootConstrainSelectedInstOperands,
     /*  716269 */     // GIR_Coverage, 11546,
     /*  716269 */     GIR_EraseRootFromParent_Done,
     /*  716270 */   // Label 11279: @716270
     /*  716270 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716345), // Rule ID 11547 //
     /*  716275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716343 */     GIR_RootConstrainSelectedInstOperands,
     /*  716344 */     // GIR_Coverage, 11547,
     /*  716344 */     GIR_EraseRootFromParent_Done,
     /*  716345 */   // Label 11280: @716345
     /*  716345 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716420), // Rule ID 11550 //
     /*  716350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716418 */     GIR_RootConstrainSelectedInstOperands,
     /*  716419 */     // GIR_Coverage, 11550,
     /*  716419 */     GIR_EraseRootFromParent_Done,
     /*  716420 */   // Label 11281: @716420
     /*  716420 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716495), // Rule ID 11551 //
     /*  716425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716471 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716493 */     GIR_RootConstrainSelectedInstOperands,
     /*  716494 */     // GIR_Coverage, 11551,
     /*  716494 */     GIR_EraseRootFromParent_Done,
     /*  716495 */   // Label 11282: @716495
     /*  716495 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716570), // Rule ID 11554 //
     /*  716500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716568 */     GIR_RootConstrainSelectedInstOperands,
     /*  716569 */     // GIR_Coverage, 11554,
     /*  716569 */     GIR_EraseRootFromParent_Done,
     /*  716570 */   // Label 11283: @716570
     /*  716570 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716645), // Rule ID 11555 //
     /*  716575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716643 */     GIR_RootConstrainSelectedInstOperands,
     /*  716644 */     // GIR_Coverage, 11555,
     /*  716644 */     GIR_EraseRootFromParent_Done,
     /*  716645 */   // Label 11284: @716645
     /*  716645 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716720), // Rule ID 11558 //
     /*  716650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  716699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716718 */     GIR_RootConstrainSelectedInstOperands,
     /*  716719 */     // GIR_Coverage, 11558,
     /*  716719 */     GIR_EraseRootFromParent_Done,
     /*  716720 */   // Label 11285: @716720
     /*  716720 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(716795), // Rule ID 11559 //
     /*  716725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  716774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716793 */     GIR_RootConstrainSelectedInstOperands,
     /*  716794 */     // GIR_Coverage, 11559,
     /*  716794 */     GIR_EraseRootFromParent_Done,
     /*  716795 */   // Label 11286: @716795
     /*  716795 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(716870), // Rule ID 11562 //
     /*  716800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  716820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  716849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716868 */     GIR_RootConstrainSelectedInstOperands,
     /*  716869 */     // GIR_Coverage, 11562,
     /*  716869 */     GIR_EraseRootFromParent_Done,
     /*  716870 */   // Label 11287: @716870
     /*  716870 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(716945), // Rule ID 11563 //
     /*  716875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  716895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  716924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716943 */     GIR_RootConstrainSelectedInstOperands,
     /*  716944 */     // GIR_Coverage, 11563,
     /*  716944 */     GIR_EraseRootFromParent_Done,
     /*  716945 */   // Label 11288: @716945
     /*  716945 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717020), // Rule ID 11566 //
     /*  716950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  716970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  716999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717018 */     GIR_RootConstrainSelectedInstOperands,
     /*  717019 */     // GIR_Coverage, 11566,
     /*  717019 */     GIR_EraseRootFromParent_Done,
     /*  717020 */   // Label 11289: @717020
     /*  717020 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717095), // Rule ID 11567 //
     /*  717025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  717074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717093 */     GIR_RootConstrainSelectedInstOperands,
     /*  717094 */     // GIR_Coverage, 11567,
     /*  717094 */     GIR_EraseRootFromParent_Done,
     /*  717095 */   // Label 11290: @717095
     /*  717095 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717170), // Rule ID 11570 //
     /*  717100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  717149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717168 */     GIR_RootConstrainSelectedInstOperands,
     /*  717169 */     // GIR_Coverage, 11570,
     /*  717169 */     GIR_EraseRootFromParent_Done,
     /*  717170 */   // Label 11291: @717170
     /*  717170 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717245), // Rule ID 11571 //
     /*  717175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  717224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717243 */     GIR_RootConstrainSelectedInstOperands,
     /*  717244 */     // GIR_Coverage, 11571,
     /*  717244 */     GIR_EraseRootFromParent_Done,
     /*  717245 */   // Label 11292: @717245
     /*  717245 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717320), // Rule ID 11574 //
     /*  717250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717318 */     GIR_RootConstrainSelectedInstOperands,
     /*  717319 */     // GIR_Coverage, 11574,
     /*  717319 */     GIR_EraseRootFromParent_Done,
     /*  717320 */   // Label 11293: @717320
     /*  717320 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717395), // Rule ID 11575 //
     /*  717325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717393 */     GIR_RootConstrainSelectedInstOperands,
     /*  717394 */     // GIR_Coverage, 11575,
     /*  717394 */     GIR_EraseRootFromParent_Done,
     /*  717395 */   // Label 11294: @717395
     /*  717395 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717470), // Rule ID 11578 //
     /*  717400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  717449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717468 */     GIR_RootConstrainSelectedInstOperands,
     /*  717469 */     // GIR_Coverage, 11578,
     /*  717469 */     GIR_EraseRootFromParent_Done,
     /*  717470 */   // Label 11295: @717470
     /*  717470 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717545), // Rule ID 11579 //
     /*  717475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  717524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717543 */     GIR_RootConstrainSelectedInstOperands,
     /*  717544 */     // GIR_Coverage, 11579,
     /*  717544 */     GIR_EraseRootFromParent_Done,
     /*  717545 */   // Label 11296: @717545
     /*  717545 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717620), // Rule ID 11582 //
     /*  717550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  717599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717618 */     GIR_RootConstrainSelectedInstOperands,
     /*  717619 */     // GIR_Coverage, 11582,
     /*  717619 */     GIR_EraseRootFromParent_Done,
     /*  717620 */   // Label 11297: @717620
     /*  717620 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717695), // Rule ID 11583 //
     /*  717625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  717674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717693 */     GIR_RootConstrainSelectedInstOperands,
     /*  717694 */     // GIR_Coverage, 11583,
     /*  717694 */     GIR_EraseRootFromParent_Done,
     /*  717695 */   // Label 11298: @717695
     /*  717695 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(717770), // Rule ID 11586 //
     /*  717700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  717749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717768 */     GIR_RootConstrainSelectedInstOperands,
     /*  717769 */     // GIR_Coverage, 11586,
     /*  717769 */     GIR_EraseRootFromParent_Done,
     /*  717770 */   // Label 11299: @717770
     /*  717770 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(717845), // Rule ID 11587 //
     /*  717775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  717824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717843 */     GIR_RootConstrainSelectedInstOperands,
     /*  717844 */     // GIR_Coverage, 11587,
     /*  717844 */     GIR_EraseRootFromParent_Done,
     /*  717845 */   // Label 11300: @717845
     /*  717845 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(717920), // Rule ID 11590 //
     /*  717850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  717899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717918 */     GIR_RootConstrainSelectedInstOperands,
     /*  717919 */     // GIR_Coverage, 11590,
     /*  717919 */     GIR_EraseRootFromParent_Done,
     /*  717920 */   // Label 11301: @717920
     /*  717920 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(717995), // Rule ID 11591 //
     /*  717925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  717974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717993 */     GIR_RootConstrainSelectedInstOperands,
     /*  717994 */     // GIR_Coverage, 11591,
     /*  717994 */     GIR_EraseRootFromParent_Done,
     /*  717995 */   // Label 11302: @717995
     /*  717995 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718070), // Rule ID 11594 //
     /*  718000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  718049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718068 */     GIR_RootConstrainSelectedInstOperands,
     /*  718069 */     // GIR_Coverage, 11594,
     /*  718069 */     GIR_EraseRootFromParent_Done,
     /*  718070 */   // Label 11303: @718070
     /*  718070 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718145), // Rule ID 11595 //
     /*  718075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  718124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718143 */     GIR_RootConstrainSelectedInstOperands,
     /*  718144 */     // GIR_Coverage, 11595,
     /*  718144 */     GIR_EraseRootFromParent_Done,
     /*  718145 */   // Label 11304: @718145
     /*  718145 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718220), // Rule ID 11598 //
     /*  718150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  718199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718218 */     GIR_RootConstrainSelectedInstOperands,
     /*  718219 */     // GIR_Coverage, 11598,
     /*  718219 */     GIR_EraseRootFromParent_Done,
     /*  718220 */   // Label 11305: @718220
     /*  718220 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718295), // Rule ID 11599 //
     /*  718225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  718274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718293 */     GIR_RootConstrainSelectedInstOperands,
     /*  718294 */     // GIR_Coverage, 11599,
     /*  718294 */     GIR_EraseRootFromParent_Done,
     /*  718295 */   // Label 11306: @718295
     /*  718295 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718370), // Rule ID 11602 //
     /*  718300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718368 */     GIR_RootConstrainSelectedInstOperands,
     /*  718369 */     // GIR_Coverage, 11602,
     /*  718369 */     GIR_EraseRootFromParent_Done,
     /*  718370 */   // Label 11307: @718370
     /*  718370 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718445), // Rule ID 11603 //
     /*  718375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718443 */     GIR_RootConstrainSelectedInstOperands,
     /*  718444 */     // GIR_Coverage, 11603,
     /*  718444 */     GIR_EraseRootFromParent_Done,
     /*  718445 */   // Label 11308: @718445
     /*  718445 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718520), // Rule ID 11606 //
     /*  718450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  718499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718518 */     GIR_RootConstrainSelectedInstOperands,
     /*  718519 */     // GIR_Coverage, 11606,
     /*  718519 */     GIR_EraseRootFromParent_Done,
     /*  718520 */   // Label 11309: @718520
     /*  718520 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718595), // Rule ID 11607 //
     /*  718525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  718574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718593 */     GIR_RootConstrainSelectedInstOperands,
     /*  718594 */     // GIR_Coverage, 11607,
     /*  718594 */     GIR_EraseRootFromParent_Done,
     /*  718595 */   // Label 11310: @718595
     /*  718595 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718670), // Rule ID 11610 //
     /*  718600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  718649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718668 */     GIR_RootConstrainSelectedInstOperands,
     /*  718669 */     // GIR_Coverage, 11610,
     /*  718669 */     GIR_EraseRootFromParent_Done,
     /*  718670 */   // Label 11311: @718670
     /*  718670 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(718745), // Rule ID 11611 //
     /*  718675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  718724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718743 */     GIR_RootConstrainSelectedInstOperands,
     /*  718744 */     // GIR_Coverage, 11611,
     /*  718744 */     GIR_EraseRootFromParent_Done,
     /*  718745 */   // Label 11312: @718745
     /*  718745 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(718820), // Rule ID 11614 //
     /*  718750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  718799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718818 */     GIR_RootConstrainSelectedInstOperands,
     /*  718819 */     // GIR_Coverage, 11614,
     /*  718819 */     GIR_EraseRootFromParent_Done,
     /*  718820 */   // Label 11313: @718820
     /*  718820 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(718895), // Rule ID 11615 //
     /*  718825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  718874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718893 */     GIR_RootConstrainSelectedInstOperands,
     /*  718894 */     // GIR_Coverage, 11615,
     /*  718894 */     GIR_EraseRootFromParent_Done,
     /*  718895 */   // Label 11314: @718895
     /*  718895 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(718970), // Rule ID 11618 //
     /*  718900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  718949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718968 */     GIR_RootConstrainSelectedInstOperands,
     /*  718969 */     // GIR_Coverage, 11618,
     /*  718969 */     GIR_EraseRootFromParent_Done,
     /*  718970 */   // Label 11315: @718970
     /*  718970 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719045), // Rule ID 11619 //
     /*  718975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  719024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719043 */     GIR_RootConstrainSelectedInstOperands,
     /*  719044 */     // GIR_Coverage, 11619,
     /*  719044 */     GIR_EraseRootFromParent_Done,
     /*  719045 */   // Label 11316: @719045
     /*  719045 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719120), // Rule ID 11622 //
     /*  719050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  719099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719118 */     GIR_RootConstrainSelectedInstOperands,
     /*  719119 */     // GIR_Coverage, 11622,
     /*  719119 */     GIR_EraseRootFromParent_Done,
     /*  719120 */   // Label 11317: @719120
     /*  719120 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719195), // Rule ID 11623 //
     /*  719125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  719174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719193 */     GIR_RootConstrainSelectedInstOperands,
     /*  719194 */     // GIR_Coverage, 11623,
     /*  719194 */     GIR_EraseRootFromParent_Done,
     /*  719195 */   // Label 11318: @719195
     /*  719195 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719270), // Rule ID 11626 //
     /*  719200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719268 */     GIR_RootConstrainSelectedInstOperands,
     /*  719269 */     // GIR_Coverage, 11626,
     /*  719269 */     GIR_EraseRootFromParent_Done,
     /*  719270 */   // Label 11319: @719270
     /*  719270 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719345), // Rule ID 11627 //
     /*  719275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719343 */     GIR_RootConstrainSelectedInstOperands,
     /*  719344 */     // GIR_Coverage, 11627,
     /*  719344 */     GIR_EraseRootFromParent_Done,
     /*  719345 */   // Label 11320: @719345
     /*  719345 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719420), // Rule ID 11630 //
     /*  719350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719418 */     GIR_RootConstrainSelectedInstOperands,
     /*  719419 */     // GIR_Coverage, 11630,
     /*  719419 */     GIR_EraseRootFromParent_Done,
     /*  719420 */   // Label 11321: @719420
     /*  719420 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719495), // Rule ID 11631 //
     /*  719425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719493 */     GIR_RootConstrainSelectedInstOperands,
     /*  719494 */     // GIR_Coverage, 11631,
     /*  719494 */     GIR_EraseRootFromParent_Done,
     /*  719495 */   // Label 11322: @719495
     /*  719495 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719570), // Rule ID 11634 //
     /*  719500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  719549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719568 */     GIR_RootConstrainSelectedInstOperands,
     /*  719569 */     // GIR_Coverage, 11634,
     /*  719569 */     GIR_EraseRootFromParent_Done,
     /*  719570 */   // Label 11323: @719570
     /*  719570 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719645), // Rule ID 11635 //
     /*  719575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  719624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719643 */     GIR_RootConstrainSelectedInstOperands,
     /*  719644 */     // GIR_Coverage, 11635,
     /*  719644 */     GIR_EraseRootFromParent_Done,
     /*  719645 */   // Label 11324: @719645
     /*  719645 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719720), // Rule ID 11638 //
     /*  719650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  719699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719718 */     GIR_RootConstrainSelectedInstOperands,
     /*  719719 */     // GIR_Coverage, 11638,
     /*  719719 */     GIR_EraseRootFromParent_Done,
     /*  719720 */   // Label 11325: @719720
     /*  719720 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(719795), // Rule ID 11639 //
     /*  719725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  719774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719793 */     GIR_RootConstrainSelectedInstOperands,
     /*  719794 */     // GIR_Coverage, 11639,
     /*  719794 */     GIR_EraseRootFromParent_Done,
     /*  719795 */   // Label 11326: @719795
     /*  719795 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(719870), // Rule ID 11642 //
     /*  719800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  719849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719868 */     GIR_RootConstrainSelectedInstOperands,
     /*  719869 */     // GIR_Coverage, 11642,
     /*  719869 */     GIR_EraseRootFromParent_Done,
     /*  719870 */   // Label 11327: @719870
     /*  719870 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(719945), // Rule ID 11643 //
     /*  719875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  719924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719943 */     GIR_RootConstrainSelectedInstOperands,
     /*  719944 */     // GIR_Coverage, 11643,
     /*  719944 */     GIR_EraseRootFromParent_Done,
     /*  719945 */   // Label 11328: @719945
     /*  719945 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720020), // Rule ID 11646 //
     /*  719950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  719999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720018 */     GIR_RootConstrainSelectedInstOperands,
     /*  720019 */     // GIR_Coverage, 11646,
     /*  720019 */     GIR_EraseRootFromParent_Done,
     /*  720020 */   // Label 11329: @720020
     /*  720020 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720095), // Rule ID 11647 //
     /*  720025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  720036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  720039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  720074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720093 */     GIR_RootConstrainSelectedInstOperands,
     /*  720094 */     // GIR_Coverage, 11647,
     /*  720094 */     GIR_EraseRootFromParent_Done,
     /*  720095 */   // Label 11330: @720095
     /*  720095 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720170), // Rule ID 11650 //
     /*  720100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  720103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  720149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720168 */     GIR_RootConstrainSelectedInstOperands,
     /*  720169 */     // GIR_Coverage, 11650,
     /*  720169 */     GIR_EraseRootFromParent_Done,
     /*  720170 */   // Label 11331: @720170
     /*  720170 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720245), // Rule ID 11651 //
     /*  720175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  720224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720243 */     GIR_RootConstrainSelectedInstOperands,
     /*  720244 */     // GIR_Coverage, 11651,
     /*  720244 */     GIR_EraseRootFromParent_Done,
     /*  720245 */   // Label 11332: @720245
     /*  720245 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720320), // Rule ID 11654 //
     /*  720250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720318 */     GIR_RootConstrainSelectedInstOperands,
     /*  720319 */     // GIR_Coverage, 11654,
     /*  720319 */     GIR_EraseRootFromParent_Done,
     /*  720320 */   // Label 11333: @720320
     /*  720320 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720395), // Rule ID 11655 //
     /*  720325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720393 */     GIR_RootConstrainSelectedInstOperands,
     /*  720394 */     // GIR_Coverage, 11655,
     /*  720394 */     GIR_EraseRootFromParent_Done,
     /*  720395 */   // Label 11334: @720395
     /*  720395 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720470), // Rule ID 11658 //
     /*  720400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  720449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720468 */     GIR_RootConstrainSelectedInstOperands,
     /*  720469 */     // GIR_Coverage, 11658,
     /*  720469 */     GIR_EraseRootFromParent_Done,
     /*  720470 */   // Label 11335: @720470
     /*  720470 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720545), // Rule ID 11659 //
     /*  720475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  720524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720543 */     GIR_RootConstrainSelectedInstOperands,
     /*  720544 */     // GIR_Coverage, 11659,
     /*  720544 */     GIR_EraseRootFromParent_Done,
     /*  720545 */   // Label 11336: @720545
     /*  720545 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720620), // Rule ID 11662 //
     /*  720550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  720570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  720599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720618 */     GIR_RootConstrainSelectedInstOperands,
     /*  720619 */     // GIR_Coverage, 11662,
     /*  720619 */     GIR_EraseRootFromParent_Done,
     /*  720620 */   // Label 11337: @720620
     /*  720620 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720695), // Rule ID 11663 //
     /*  720625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  720645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  720674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720693 */     GIR_RootConstrainSelectedInstOperands,
     /*  720694 */     // GIR_Coverage, 11663,
     /*  720694 */     GIR_EraseRootFromParent_Done,
     /*  720695 */   // Label 11338: @720695
     /*  720695 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(720770), // Rule ID 11666 //
     /*  720700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  720720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  720749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720768 */     GIR_RootConstrainSelectedInstOperands,
     /*  720769 */     // GIR_Coverage, 11666,
     /*  720769 */     GIR_EraseRootFromParent_Done,
     /*  720770 */   // Label 11339: @720770
     /*  720770 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(720845), // Rule ID 11667 //
     /*  720775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  720795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  720824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720843 */     GIR_RootConstrainSelectedInstOperands,
     /*  720844 */     // GIR_Coverage, 11667,
     /*  720844 */     GIR_EraseRootFromParent_Done,
     /*  720845 */   // Label 11340: @720845
     /*  720845 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(720920), // Rule ID 11670 //
     /*  720850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  720870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  720899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720918 */     GIR_RootConstrainSelectedInstOperands,
     /*  720919 */     // GIR_Coverage, 11670,
     /*  720919 */     GIR_EraseRootFromParent_Done,
     /*  720920 */   // Label 11341: @720920
     /*  720920 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(720995), // Rule ID 11671 //
     /*  720925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  720945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  720974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720993 */     GIR_RootConstrainSelectedInstOperands,
     /*  720994 */     // GIR_Coverage, 11671,
     /*  720994 */     GIR_EraseRootFromParent_Done,
     /*  720995 */   // Label 11342: @720995
     /*  720995 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721070), // Rule ID 11674 //
     /*  721000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  721049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721068 */     GIR_RootConstrainSelectedInstOperands,
     /*  721069 */     // GIR_Coverage, 11674,
     /*  721069 */     GIR_EraseRootFromParent_Done,
     /*  721070 */   // Label 11343: @721070
     /*  721070 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721145), // Rule ID 11675 //
     /*  721075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  721124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721143 */     GIR_RootConstrainSelectedInstOperands,
     /*  721144 */     // GIR_Coverage, 11675,
     /*  721144 */     GIR_EraseRootFromParent_Done,
     /*  721145 */   // Label 11344: @721145
     /*  721145 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721220), // Rule ID 11678 //
     /*  721150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  721199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721218 */     GIR_RootConstrainSelectedInstOperands,
     /*  721219 */     // GIR_Coverage, 11678,
     /*  721219 */     GIR_EraseRootFromParent_Done,
     /*  721220 */   // Label 11345: @721220
     /*  721220 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721295), // Rule ID 11679 //
     /*  721225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  721274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721293 */     GIR_RootConstrainSelectedInstOperands,
     /*  721294 */     // GIR_Coverage, 11679,
     /*  721294 */     GIR_EraseRootFromParent_Done,
     /*  721295 */   // Label 11346: @721295
     /*  721295 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721370), // Rule ID 11682 //
     /*  721300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721368 */     GIR_RootConstrainSelectedInstOperands,
     /*  721369 */     // GIR_Coverage, 11682,
     /*  721369 */     GIR_EraseRootFromParent_Done,
     /*  721370 */   // Label 11347: @721370
     /*  721370 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721445), // Rule ID 11683 //
     /*  721375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721443 */     GIR_RootConstrainSelectedInstOperands,
     /*  721444 */     // GIR_Coverage, 11683,
     /*  721444 */     GIR_EraseRootFromParent_Done,
     /*  721445 */   // Label 11348: @721445
     /*  721445 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721520), // Rule ID 11686 //
     /*  721450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  721499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721518 */     GIR_RootConstrainSelectedInstOperands,
     /*  721519 */     // GIR_Coverage, 11686,
     /*  721519 */     GIR_EraseRootFromParent_Done,
     /*  721520 */   // Label 11349: @721520
     /*  721520 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721595), // Rule ID 11687 //
     /*  721525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  721574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721593 */     GIR_RootConstrainSelectedInstOperands,
     /*  721594 */     // GIR_Coverage, 11687,
     /*  721594 */     GIR_EraseRootFromParent_Done,
     /*  721595 */   // Label 11350: @721595
     /*  721595 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721670), // Rule ID 11690 //
     /*  721600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  721649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721668 */     GIR_RootConstrainSelectedInstOperands,
     /*  721669 */     // GIR_Coverage, 11690,
     /*  721669 */     GIR_EraseRootFromParent_Done,
     /*  721670 */   // Label 11351: @721670
     /*  721670 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(721745), // Rule ID 11691 //
     /*  721675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  721724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721743 */     GIR_RootConstrainSelectedInstOperands,
     /*  721744 */     // GIR_Coverage, 11691,
     /*  721744 */     GIR_EraseRootFromParent_Done,
     /*  721745 */   // Label 11352: @721745
     /*  721745 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(721820), // Rule ID 11694 //
     /*  721750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  721770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  721799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721818 */     GIR_RootConstrainSelectedInstOperands,
     /*  721819 */     // GIR_Coverage, 11694,
     /*  721819 */     GIR_EraseRootFromParent_Done,
     /*  721820 */   // Label 11353: @721820
     /*  721820 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(721895), // Rule ID 11695 //
     /*  721825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  721845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  721874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721893 */     GIR_RootConstrainSelectedInstOperands,
     /*  721894 */     // GIR_Coverage, 11695,
     /*  721894 */     GIR_EraseRootFromParent_Done,
     /*  721895 */   // Label 11354: @721895
     /*  721895 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(721970), // Rule ID 11698 //
     /*  721900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  721920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  721949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721968 */     GIR_RootConstrainSelectedInstOperands,
     /*  721969 */     // GIR_Coverage, 11698,
     /*  721969 */     GIR_EraseRootFromParent_Done,
     /*  721970 */   // Label 11355: @721970
     /*  721970 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722045), // Rule ID 11699 //
     /*  721975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  721995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  722024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722043 */     GIR_RootConstrainSelectedInstOperands,
     /*  722044 */     // GIR_Coverage, 11699,
     /*  722044 */     GIR_EraseRootFromParent_Done,
     /*  722045 */   // Label 11356: @722045
     /*  722045 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722120), // Rule ID 11702 //
     /*  722050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  722099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722118 */     GIR_RootConstrainSelectedInstOperands,
     /*  722119 */     // GIR_Coverage, 11702,
     /*  722119 */     GIR_EraseRootFromParent_Done,
     /*  722120 */   // Label 11357: @722120
     /*  722120 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722195), // Rule ID 11703 //
     /*  722125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  722174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722193 */     GIR_RootConstrainSelectedInstOperands,
     /*  722194 */     // GIR_Coverage, 11703,
     /*  722194 */     GIR_EraseRootFromParent_Done,
     /*  722195 */   // Label 11358: @722195
     /*  722195 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722270), // Rule ID 11706 //
     /*  722200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722268 */     GIR_RootConstrainSelectedInstOperands,
     /*  722269 */     // GIR_Coverage, 11706,
     /*  722269 */     GIR_EraseRootFromParent_Done,
     /*  722270 */   // Label 11359: @722270
     /*  722270 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722345), // Rule ID 11707 //
     /*  722275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722343 */     GIR_RootConstrainSelectedInstOperands,
     /*  722344 */     // GIR_Coverage, 11707,
     /*  722344 */     GIR_EraseRootFromParent_Done,
     /*  722345 */   // Label 11360: @722345
     /*  722345 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722420), // Rule ID 11710 //
     /*  722350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722418 */     GIR_RootConstrainSelectedInstOperands,
     /*  722419 */     // GIR_Coverage, 11710,
     /*  722419 */     GIR_EraseRootFromParent_Done,
     /*  722420 */   // Label 11361: @722420
     /*  722420 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722495), // Rule ID 11711 //
     /*  722425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722493 */     GIR_RootConstrainSelectedInstOperands,
     /*  722494 */     // GIR_Coverage, 11711,
     /*  722494 */     GIR_EraseRootFromParent_Done,
     /*  722495 */   // Label 11362: @722495
     /*  722495 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722570), // Rule ID 11714 //
     /*  722500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  722520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  722549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722568 */     GIR_RootConstrainSelectedInstOperands,
     /*  722569 */     // GIR_Coverage, 11714,
     /*  722569 */     GIR_EraseRootFromParent_Done,
     /*  722570 */   // Label 11363: @722570
     /*  722570 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722645), // Rule ID 11715 //
     /*  722575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  722595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  722624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722643 */     GIR_RootConstrainSelectedInstOperands,
     /*  722644 */     // GIR_Coverage, 11715,
     /*  722644 */     GIR_EraseRootFromParent_Done,
     /*  722645 */   // Label 11364: @722645
     /*  722645 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722720), // Rule ID 11718 //
     /*  722650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  722670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  722699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722718 */     GIR_RootConstrainSelectedInstOperands,
     /*  722719 */     // GIR_Coverage, 11718,
     /*  722719 */     GIR_EraseRootFromParent_Done,
     /*  722720 */   // Label 11365: @722720
     /*  722720 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(722795), // Rule ID 11719 //
     /*  722725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  722745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  722774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722793 */     GIR_RootConstrainSelectedInstOperands,
     /*  722794 */     // GIR_Coverage, 11719,
     /*  722794 */     GIR_EraseRootFromParent_Done,
     /*  722795 */   // Label 11366: @722795
     /*  722795 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(722870), // Rule ID 11722 //
     /*  722800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  722820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  722849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722868 */     GIR_RootConstrainSelectedInstOperands,
     /*  722869 */     // GIR_Coverage, 11722,
     /*  722869 */     GIR_EraseRootFromParent_Done,
     /*  722870 */   // Label 11367: @722870
     /*  722870 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(722945), // Rule ID 11723 //
     /*  722875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  722895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  722924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722943 */     GIR_RootConstrainSelectedInstOperands,
     /*  722944 */     // GIR_Coverage, 11723,
     /*  722944 */     GIR_EraseRootFromParent_Done,
     /*  722945 */   // Label 11368: @722945
     /*  722945 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723020), // Rule ID 11726 //
     /*  722950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  722970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  722999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723018 */     GIR_RootConstrainSelectedInstOperands,
     /*  723019 */     // GIR_Coverage, 11726,
     /*  723019 */     GIR_EraseRootFromParent_Done,
     /*  723020 */   // Label 11369: @723020
     /*  723020 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723095), // Rule ID 11727 //
     /*  723025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  723036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  723039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  723045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  723074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723093 */     GIR_RootConstrainSelectedInstOperands,
     /*  723094 */     // GIR_Coverage, 11727,
     /*  723094 */     GIR_EraseRootFromParent_Done,
     /*  723095 */   // Label 11370: @723095
     /*  723095 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723170), // Rule ID 11730 //
     /*  723100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  723149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723168 */     GIR_RootConstrainSelectedInstOperands,
     /*  723169 */     // GIR_Coverage, 11730,
     /*  723169 */     GIR_EraseRootFromParent_Done,
     /*  723170 */   // Label 11371: @723170
     /*  723170 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723245), // Rule ID 11731 //
     /*  723175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  723224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723243 */     GIR_RootConstrainSelectedInstOperands,
     /*  723244 */     // GIR_Coverage, 11731,
     /*  723244 */     GIR_EraseRootFromParent_Done,
     /*  723245 */   // Label 11372: @723245
     /*  723245 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723320), // Rule ID 11734 //
     /*  723250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723318 */     GIR_RootConstrainSelectedInstOperands,
     /*  723319 */     // GIR_Coverage, 11734,
     /*  723319 */     GIR_EraseRootFromParent_Done,
     /*  723320 */   // Label 11373: @723320
     /*  723320 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723395), // Rule ID 11735 //
     /*  723325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723393 */     GIR_RootConstrainSelectedInstOperands,
     /*  723394 */     // GIR_Coverage, 11735,
     /*  723394 */     GIR_EraseRootFromParent_Done,
     /*  723395 */   // Label 11374: @723395
     /*  723395 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723470), // Rule ID 11738 //
     /*  723400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  723449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723468 */     GIR_RootConstrainSelectedInstOperands,
     /*  723469 */     // GIR_Coverage, 11738,
     /*  723469 */     GIR_EraseRootFromParent_Done,
     /*  723470 */   // Label 11375: @723470
     /*  723470 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723545), // Rule ID 11739 //
     /*  723475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  723524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723543 */     GIR_RootConstrainSelectedInstOperands,
     /*  723544 */     // GIR_Coverage, 11739,
     /*  723544 */     GIR_EraseRootFromParent_Done,
     /*  723545 */   // Label 11376: @723545
     /*  723545 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723620), // Rule ID 11742 //
     /*  723550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  723599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723618 */     GIR_RootConstrainSelectedInstOperands,
     /*  723619 */     // GIR_Coverage, 11742,
     /*  723619 */     GIR_EraseRootFromParent_Done,
     /*  723620 */   // Label 11377: @723620
     /*  723620 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723695), // Rule ID 11743 //
     /*  723625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  723674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723693 */     GIR_RootConstrainSelectedInstOperands,
     /*  723694 */     // GIR_Coverage, 11743,
     /*  723694 */     GIR_EraseRootFromParent_Done,
     /*  723695 */   // Label 11378: @723695
     /*  723695 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(723770), // Rule ID 11746 //
     /*  723700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  723749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723768 */     GIR_RootConstrainSelectedInstOperands,
     /*  723769 */     // GIR_Coverage, 11746,
     /*  723769 */     GIR_EraseRootFromParent_Done,
     /*  723770 */   // Label 11379: @723770
     /*  723770 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(723845), // Rule ID 11747 //
     /*  723775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  723824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723843 */     GIR_RootConstrainSelectedInstOperands,
     /*  723844 */     // GIR_Coverage, 11747,
     /*  723844 */     GIR_EraseRootFromParent_Done,
     /*  723845 */   // Label 11380: @723845
     /*  723845 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(723920), // Rule ID 11750 //
     /*  723850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  723899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723918 */     GIR_RootConstrainSelectedInstOperands,
     /*  723919 */     // GIR_Coverage, 11750,
     /*  723919 */     GIR_EraseRootFromParent_Done,
     /*  723920 */   // Label 11381: @723920
     /*  723920 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(723995), // Rule ID 11751 //
     /*  723925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  723974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723993 */     GIR_RootConstrainSelectedInstOperands,
     /*  723994 */     // GIR_Coverage, 11751,
     /*  723994 */     GIR_EraseRootFromParent_Done,
     /*  723995 */   // Label 11382: @723995
     /*  723995 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724070), // Rule ID 11754 //
     /*  724000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  724049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724068 */     GIR_RootConstrainSelectedInstOperands,
     /*  724069 */     // GIR_Coverage, 11754,
     /*  724069 */     GIR_EraseRootFromParent_Done,
     /*  724070 */   // Label 11383: @724070
     /*  724070 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724145), // Rule ID 11755 //
     /*  724075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  724124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724143 */     GIR_RootConstrainSelectedInstOperands,
     /*  724144 */     // GIR_Coverage, 11755,
     /*  724144 */     GIR_EraseRootFromParent_Done,
     /*  724145 */   // Label 11384: @724145
     /*  724145 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724220), // Rule ID 11758 //
     /*  724150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  724199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724218 */     GIR_RootConstrainSelectedInstOperands,
     /*  724219 */     // GIR_Coverage, 11758,
     /*  724219 */     GIR_EraseRootFromParent_Done,
     /*  724220 */   // Label 11385: @724220
     /*  724220 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724295), // Rule ID 11759 //
     /*  724225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  724274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724293 */     GIR_RootConstrainSelectedInstOperands,
     /*  724294 */     // GIR_Coverage, 11759,
     /*  724294 */     GIR_EraseRootFromParent_Done,
     /*  724295 */   // Label 11386: @724295
     /*  724295 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724370), // Rule ID 11762 //
     /*  724300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724368 */     GIR_RootConstrainSelectedInstOperands,
     /*  724369 */     // GIR_Coverage, 11762,
     /*  724369 */     GIR_EraseRootFromParent_Done,
     /*  724370 */   // Label 11387: @724370
     /*  724370 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724445), // Rule ID 11763 //
     /*  724375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724443 */     GIR_RootConstrainSelectedInstOperands,
     /*  724444 */     // GIR_Coverage, 11763,
     /*  724444 */     GIR_EraseRootFromParent_Done,
     /*  724445 */   // Label 11388: @724445
     /*  724445 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724520), // Rule ID 11766 //
     /*  724450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  724499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724518 */     GIR_RootConstrainSelectedInstOperands,
     /*  724519 */     // GIR_Coverage, 11766,
     /*  724519 */     GIR_EraseRootFromParent_Done,
     /*  724520 */   // Label 11389: @724520
     /*  724520 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724595), // Rule ID 11767 //
     /*  724525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  724574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724593 */     GIR_RootConstrainSelectedInstOperands,
     /*  724594 */     // GIR_Coverage, 11767,
     /*  724594 */     GIR_EraseRootFromParent_Done,
     /*  724595 */   // Label 11390: @724595
     /*  724595 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724670), // Rule ID 11770 //
     /*  724600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  724649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724668 */     GIR_RootConstrainSelectedInstOperands,
     /*  724669 */     // GIR_Coverage, 11770,
     /*  724669 */     GIR_EraseRootFromParent_Done,
     /*  724670 */   // Label 11391: @724670
     /*  724670 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(724745), // Rule ID 11771 //
     /*  724675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  724724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724743 */     GIR_RootConstrainSelectedInstOperands,
     /*  724744 */     // GIR_Coverage, 11771,
     /*  724744 */     GIR_EraseRootFromParent_Done,
     /*  724745 */   // Label 11392: @724745
     /*  724745 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(724820), // Rule ID 11774 //
     /*  724750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  724799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724818 */     GIR_RootConstrainSelectedInstOperands,
     /*  724819 */     // GIR_Coverage, 11774,
     /*  724819 */     GIR_EraseRootFromParent_Done,
     /*  724820 */   // Label 11393: @724820
     /*  724820 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(724895), // Rule ID 11775 //
     /*  724825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  724874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724893 */     GIR_RootConstrainSelectedInstOperands,
     /*  724894 */     // GIR_Coverage, 11775,
     /*  724894 */     GIR_EraseRootFromParent_Done,
     /*  724895 */   // Label 11394: @724895
     /*  724895 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(724970), // Rule ID 11778 //
     /*  724900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  724949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724968 */     GIR_RootConstrainSelectedInstOperands,
     /*  724969 */     // GIR_Coverage, 11778,
     /*  724969 */     GIR_EraseRootFromParent_Done,
     /*  724970 */   // Label 11395: @724970
     /*  724970 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725045), // Rule ID 11779 //
     /*  724975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  725024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725043 */     GIR_RootConstrainSelectedInstOperands,
     /*  725044 */     // GIR_Coverage, 11779,
     /*  725044 */     GIR_EraseRootFromParent_Done,
     /*  725045 */   // Label 11396: @725045
     /*  725045 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725120), // Rule ID 11782 //
     /*  725050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  725099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725118 */     GIR_RootConstrainSelectedInstOperands,
     /*  725119 */     // GIR_Coverage, 11782,
     /*  725119 */     GIR_EraseRootFromParent_Done,
     /*  725120 */   // Label 11397: @725120
     /*  725120 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725195), // Rule ID 11783 //
     /*  725125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  725174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725193 */     GIR_RootConstrainSelectedInstOperands,
     /*  725194 */     // GIR_Coverage, 11783,
     /*  725194 */     GIR_EraseRootFromParent_Done,
     /*  725195 */   // Label 11398: @725195
     /*  725195 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725270), // Rule ID 11786 //
     /*  725200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725268 */     GIR_RootConstrainSelectedInstOperands,
     /*  725269 */     // GIR_Coverage, 11786,
     /*  725269 */     GIR_EraseRootFromParent_Done,
     /*  725270 */   // Label 11399: @725270
     /*  725270 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725345), // Rule ID 11787 //
     /*  725275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725343 */     GIR_RootConstrainSelectedInstOperands,
     /*  725344 */     // GIR_Coverage, 11787,
     /*  725344 */     GIR_EraseRootFromParent_Done,
     /*  725345 */   // Label 11400: @725345
     /*  725345 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725420), // Rule ID 11790 //
     /*  725350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725418 */     GIR_RootConstrainSelectedInstOperands,
     /*  725419 */     // GIR_Coverage, 11790,
     /*  725419 */     GIR_EraseRootFromParent_Done,
     /*  725420 */   // Label 11401: @725420
     /*  725420 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725495), // Rule ID 11791 //
     /*  725425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725493 */     GIR_RootConstrainSelectedInstOperands,
     /*  725494 */     // GIR_Coverage, 11791,
     /*  725494 */     GIR_EraseRootFromParent_Done,
     /*  725495 */   // Label 11402: @725495
     /*  725495 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725570), // Rule ID 11794 //
     /*  725500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  725549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725568 */     GIR_RootConstrainSelectedInstOperands,
     /*  725569 */     // GIR_Coverage, 11794,
     /*  725569 */     GIR_EraseRootFromParent_Done,
     /*  725570 */   // Label 11403: @725570
     /*  725570 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725645), // Rule ID 11795 //
     /*  725575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  725624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725643 */     GIR_RootConstrainSelectedInstOperands,
     /*  725644 */     // GIR_Coverage, 11795,
     /*  725644 */     GIR_EraseRootFromParent_Done,
     /*  725645 */   // Label 11404: @725645
     /*  725645 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725720), // Rule ID 11798 //
     /*  725650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  725699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725718 */     GIR_RootConstrainSelectedInstOperands,
     /*  725719 */     // GIR_Coverage, 11798,
     /*  725719 */     GIR_EraseRootFromParent_Done,
     /*  725720 */   // Label 11405: @725720
     /*  725720 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(725795), // Rule ID 11799 //
     /*  725725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  725774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725793 */     GIR_RootConstrainSelectedInstOperands,
     /*  725794 */     // GIR_Coverage, 11799,
     /*  725794 */     GIR_EraseRootFromParent_Done,
     /*  725795 */   // Label 11406: @725795
     /*  725795 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(725870), // Rule ID 11802 //
     /*  725800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  725849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725868 */     GIR_RootConstrainSelectedInstOperands,
     /*  725869 */     // GIR_Coverage, 11802,
     /*  725869 */     GIR_EraseRootFromParent_Done,
     /*  725870 */   // Label 11407: @725870
     /*  725870 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(725945), // Rule ID 11803 //
     /*  725875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  725924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725943 */     GIR_RootConstrainSelectedInstOperands,
     /*  725944 */     // GIR_Coverage, 11803,
     /*  725944 */     GIR_EraseRootFromParent_Done,
     /*  725945 */   // Label 11408: @725945
     /*  725945 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726020), // Rule ID 11806 //
     /*  725950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  725999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726018 */     GIR_RootConstrainSelectedInstOperands,
     /*  726019 */     // GIR_Coverage, 11806,
     /*  726019 */     GIR_EraseRootFromParent_Done,
     /*  726020 */   // Label 11409: @726020
     /*  726020 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726095), // Rule ID 11807 //
     /*  726025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  726036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  726039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  726074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726093 */     GIR_RootConstrainSelectedInstOperands,
     /*  726094 */     // GIR_Coverage, 11807,
     /*  726094 */     GIR_EraseRootFromParent_Done,
     /*  726095 */   // Label 11410: @726095
     /*  726095 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726170), // Rule ID 11810 //
     /*  726100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  726149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726168 */     GIR_RootConstrainSelectedInstOperands,
     /*  726169 */     // GIR_Coverage, 11810,
     /*  726169 */     GIR_EraseRootFromParent_Done,
     /*  726170 */   // Label 11411: @726170
     /*  726170 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726245), // Rule ID 11811 //
     /*  726175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  726224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726243 */     GIR_RootConstrainSelectedInstOperands,
     /*  726244 */     // GIR_Coverage, 11811,
     /*  726244 */     GIR_EraseRootFromParent_Done,
     /*  726245 */   // Label 11412: @726245
     /*  726245 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726320), // Rule ID 11814 //
     /*  726250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726318 */     GIR_RootConstrainSelectedInstOperands,
     /*  726319 */     // GIR_Coverage, 11814,
     /*  726319 */     GIR_EraseRootFromParent_Done,
     /*  726320 */   // Label 11413: @726320
     /*  726320 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726395), // Rule ID 11815 //
     /*  726325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726393 */     GIR_RootConstrainSelectedInstOperands,
     /*  726394 */     // GIR_Coverage, 11815,
     /*  726394 */     GIR_EraseRootFromParent_Done,
     /*  726395 */   // Label 11414: @726395
     /*  726395 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726470), // Rule ID 11818 //
     /*  726400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  726449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726468 */     GIR_RootConstrainSelectedInstOperands,
     /*  726469 */     // GIR_Coverage, 11818,
     /*  726469 */     GIR_EraseRootFromParent_Done,
     /*  726470 */   // Label 11415: @726470
     /*  726470 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726545), // Rule ID 11819 //
     /*  726475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  726524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726543 */     GIR_RootConstrainSelectedInstOperands,
     /*  726544 */     // GIR_Coverage, 11819,
     /*  726544 */     GIR_EraseRootFromParent_Done,
     /*  726545 */   // Label 11416: @726545
     /*  726545 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726620), // Rule ID 11822 //
     /*  726550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  726599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726618 */     GIR_RootConstrainSelectedInstOperands,
     /*  726619 */     // GIR_Coverage, 11822,
     /*  726619 */     GIR_EraseRootFromParent_Done,
     /*  726620 */   // Label 11417: @726620
     /*  726620 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726695), // Rule ID 11823 //
     /*  726625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  726674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726693 */     GIR_RootConstrainSelectedInstOperands,
     /*  726694 */     // GIR_Coverage, 11823,
     /*  726694 */     GIR_EraseRootFromParent_Done,
     /*  726695 */   // Label 11418: @726695
     /*  726695 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(726770), // Rule ID 11826 //
     /*  726700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  726749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726768 */     GIR_RootConstrainSelectedInstOperands,
     /*  726769 */     // GIR_Coverage, 11826,
     /*  726769 */     GIR_EraseRootFromParent_Done,
     /*  726770 */   // Label 11419: @726770
     /*  726770 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(726845), // Rule ID 11827 //
     /*  726775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  726824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726843 */     GIR_RootConstrainSelectedInstOperands,
     /*  726844 */     // GIR_Coverage, 11827,
     /*  726844 */     GIR_EraseRootFromParent_Done,
     /*  726845 */   // Label 11420: @726845
     /*  726845 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(726920), // Rule ID 11830 //
     /*  726850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  726870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  726899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726918 */     GIR_RootConstrainSelectedInstOperands,
     /*  726919 */     // GIR_Coverage, 11830,
     /*  726919 */     GIR_EraseRootFromParent_Done,
     /*  726920 */   // Label 11421: @726920
     /*  726920 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(726995), // Rule ID 11831 //
     /*  726925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  726945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  726974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726993 */     GIR_RootConstrainSelectedInstOperands,
     /*  726994 */     // GIR_Coverage, 11831,
     /*  726994 */     GIR_EraseRootFromParent_Done,
     /*  726995 */   // Label 11422: @726995
     /*  726995 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727070), // Rule ID 11834 //
     /*  727000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  727049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727068 */     GIR_RootConstrainSelectedInstOperands,
     /*  727069 */     // GIR_Coverage, 11834,
     /*  727069 */     GIR_EraseRootFromParent_Done,
     /*  727070 */   // Label 11423: @727070
     /*  727070 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727145), // Rule ID 11835 //
     /*  727075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  727124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727143 */     GIR_RootConstrainSelectedInstOperands,
     /*  727144 */     // GIR_Coverage, 11835,
     /*  727144 */     GIR_EraseRootFromParent_Done,
     /*  727145 */   // Label 11424: @727145
     /*  727145 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727220), // Rule ID 11838 //
     /*  727150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  727199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727218 */     GIR_RootConstrainSelectedInstOperands,
     /*  727219 */     // GIR_Coverage, 11838,
     /*  727219 */     GIR_EraseRootFromParent_Done,
     /*  727220 */   // Label 11425: @727220
     /*  727220 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727295), // Rule ID 11839 //
     /*  727225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  727274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727293 */     GIR_RootConstrainSelectedInstOperands,
     /*  727294 */     // GIR_Coverage, 11839,
     /*  727294 */     GIR_EraseRootFromParent_Done,
     /*  727295 */   // Label 11426: @727295
     /*  727295 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727370), // Rule ID 11842 //
     /*  727300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727368 */     GIR_RootConstrainSelectedInstOperands,
     /*  727369 */     // GIR_Coverage, 11842,
     /*  727369 */     GIR_EraseRootFromParent_Done,
     /*  727370 */   // Label 11427: @727370
     /*  727370 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727445), // Rule ID 11843 //
     /*  727375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727443 */     GIR_RootConstrainSelectedInstOperands,
     /*  727444 */     // GIR_Coverage, 11843,
     /*  727444 */     GIR_EraseRootFromParent_Done,
     /*  727445 */   // Label 11428: @727445
     /*  727445 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727520), // Rule ID 11846 //
     /*  727450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  727470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  727499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727518 */     GIR_RootConstrainSelectedInstOperands,
     /*  727519 */     // GIR_Coverage, 11846,
     /*  727519 */     GIR_EraseRootFromParent_Done,
     /*  727520 */   // Label 11429: @727520
     /*  727520 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727595), // Rule ID 11847 //
     /*  727525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  727545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  727574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727593 */     GIR_RootConstrainSelectedInstOperands,
     /*  727594 */     // GIR_Coverage, 11847,
     /*  727594 */     GIR_EraseRootFromParent_Done,
     /*  727595 */   // Label 11430: @727595
     /*  727595 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727670), // Rule ID 11850 //
     /*  727600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  727620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  727649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727668 */     GIR_RootConstrainSelectedInstOperands,
     /*  727669 */     // GIR_Coverage, 11850,
     /*  727669 */     GIR_EraseRootFromParent_Done,
     /*  727670 */   // Label 11431: @727670
     /*  727670 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(727745), // Rule ID 11851 //
     /*  727675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  727695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  727724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727743 */     GIR_RootConstrainSelectedInstOperands,
     /*  727744 */     // GIR_Coverage, 11851,
     /*  727744 */     GIR_EraseRootFromParent_Done,
     /*  727745 */   // Label 11432: @727745
     /*  727745 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(727820), // Rule ID 11854 //
     /*  727750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  727799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727818 */     GIR_RootConstrainSelectedInstOperands,
     /*  727819 */     // GIR_Coverage, 11854,
     /*  727819 */     GIR_EraseRootFromParent_Done,
     /*  727820 */   // Label 11433: @727820
     /*  727820 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(727895), // Rule ID 11855 //
     /*  727825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  727874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727893 */     GIR_RootConstrainSelectedInstOperands,
     /*  727894 */     // GIR_Coverage, 11855,
     /*  727894 */     GIR_EraseRootFromParent_Done,
     /*  727895 */   // Label 11434: @727895
     /*  727895 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(727970), // Rule ID 11858 //
     /*  727900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  727949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727968 */     GIR_RootConstrainSelectedInstOperands,
     /*  727969 */     // GIR_Coverage, 11858,
     /*  727969 */     GIR_EraseRootFromParent_Done,
     /*  727970 */   // Label 11435: @727970
     /*  727970 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728045), // Rule ID 11859 //
     /*  727975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  728024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728043 */     GIR_RootConstrainSelectedInstOperands,
     /*  728044 */     // GIR_Coverage, 11859,
     /*  728044 */     GIR_EraseRootFromParent_Done,
     /*  728045 */   // Label 11436: @728045
     /*  728045 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728120), // Rule ID 11862 //
     /*  728050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  728099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728118 */     GIR_RootConstrainSelectedInstOperands,
     /*  728119 */     // GIR_Coverage, 11862,
     /*  728119 */     GIR_EraseRootFromParent_Done,
     /*  728120 */   // Label 11437: @728120
     /*  728120 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728195), // Rule ID 11863 //
     /*  728125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  728174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728193 */     GIR_RootConstrainSelectedInstOperands,
     /*  728194 */     // GIR_Coverage, 11863,
     /*  728194 */     GIR_EraseRootFromParent_Done,
     /*  728195 */   // Label 11438: @728195
     /*  728195 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728270), // Rule ID 11866 //
     /*  728200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728268 */     GIR_RootConstrainSelectedInstOperands,
     /*  728269 */     // GIR_Coverage, 11866,
     /*  728269 */     GIR_EraseRootFromParent_Done,
     /*  728270 */   // Label 11439: @728270
     /*  728270 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728345), // Rule ID 11867 //
     /*  728275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728343 */     GIR_RootConstrainSelectedInstOperands,
     /*  728344 */     // GIR_Coverage, 11867,
     /*  728344 */     GIR_EraseRootFromParent_Done,
     /*  728345 */   // Label 11440: @728345
     /*  728345 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728420), // Rule ID 11870 //
     /*  728350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728418 */     GIR_RootConstrainSelectedInstOperands,
     /*  728419 */     // GIR_Coverage, 11870,
     /*  728419 */     GIR_EraseRootFromParent_Done,
     /*  728420 */   // Label 11441: @728420
     /*  728420 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728495), // Rule ID 11871 //
     /*  728425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728493 */     GIR_RootConstrainSelectedInstOperands,
     /*  728494 */     // GIR_Coverage, 11871,
     /*  728494 */     GIR_EraseRootFromParent_Done,
     /*  728495 */   // Label 11442: @728495
     /*  728495 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728570), // Rule ID 11874 //
     /*  728500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  728520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  728549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728568 */     GIR_RootConstrainSelectedInstOperands,
     /*  728569 */     // GIR_Coverage, 11874,
     /*  728569 */     GIR_EraseRootFromParent_Done,
     /*  728570 */   // Label 11443: @728570
     /*  728570 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728645), // Rule ID 11875 //
     /*  728575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  728595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  728624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728643 */     GIR_RootConstrainSelectedInstOperands,
     /*  728644 */     // GIR_Coverage, 11875,
     /*  728644 */     GIR_EraseRootFromParent_Done,
     /*  728645 */   // Label 11444: @728645
     /*  728645 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728720), // Rule ID 11878 //
     /*  728650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  728670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  728699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728718 */     GIR_RootConstrainSelectedInstOperands,
     /*  728719 */     // GIR_Coverage, 11878,
     /*  728719 */     GIR_EraseRootFromParent_Done,
     /*  728720 */   // Label 11445: @728720
     /*  728720 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(728795), // Rule ID 11879 //
     /*  728725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  728745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  728774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728793 */     GIR_RootConstrainSelectedInstOperands,
     /*  728794 */     // GIR_Coverage, 11879,
     /*  728794 */     GIR_EraseRootFromParent_Done,
     /*  728795 */   // Label 11446: @728795
     /*  728795 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(728870), // Rule ID 11882 //
     /*  728800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  728820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  728849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728868 */     GIR_RootConstrainSelectedInstOperands,
     /*  728869 */     // GIR_Coverage, 11882,
     /*  728869 */     GIR_EraseRootFromParent_Done,
     /*  728870 */   // Label 11447: @728870
     /*  728870 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(728945), // Rule ID 11883 //
     /*  728875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  728895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  728924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728943 */     GIR_RootConstrainSelectedInstOperands,
     /*  728944 */     // GIR_Coverage, 11883,
     /*  728944 */     GIR_EraseRootFromParent_Done,
     /*  728945 */   // Label 11448: @728945
     /*  728945 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729020), // Rule ID 11886 //
     /*  728950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  728970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  728999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729018 */     GIR_RootConstrainSelectedInstOperands,
     /*  729019 */     // GIR_Coverage, 11886,
     /*  729019 */     GIR_EraseRootFromParent_Done,
     /*  729020 */   // Label 11449: @729020
     /*  729020 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729095), // Rule ID 11887 //
     /*  729025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  729036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  729039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  729045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  729074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729093 */     GIR_RootConstrainSelectedInstOperands,
     /*  729094 */     // GIR_Coverage, 11887,
     /*  729094 */     GIR_EraseRootFromParent_Done,
     /*  729095 */   // Label 11450: @729095
     /*  729095 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729170), // Rule ID 11890 //
     /*  729100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  729149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729168 */     GIR_RootConstrainSelectedInstOperands,
     /*  729169 */     // GIR_Coverage, 11890,
     /*  729169 */     GIR_EraseRootFromParent_Done,
     /*  729170 */   // Label 11451: @729170
     /*  729170 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729245), // Rule ID 11891 //
     /*  729175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  729224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729243 */     GIR_RootConstrainSelectedInstOperands,
     /*  729244 */     // GIR_Coverage, 11891,
     /*  729244 */     GIR_EraseRootFromParent_Done,
     /*  729245 */   // Label 11452: @729245
     /*  729245 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729320), // Rule ID 11894 //
     /*  729250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729318 */     GIR_RootConstrainSelectedInstOperands,
     /*  729319 */     // GIR_Coverage, 11894,
     /*  729319 */     GIR_EraseRootFromParent_Done,
     /*  729320 */   // Label 11453: @729320
     /*  729320 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729395), // Rule ID 11895 //
     /*  729325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729393 */     GIR_RootConstrainSelectedInstOperands,
     /*  729394 */     // GIR_Coverage, 11895,
     /*  729394 */     GIR_EraseRootFromParent_Done,
     /*  729395 */   // Label 11454: @729395
     /*  729395 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729470), // Rule ID 11898 //
     /*  729400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  729449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729468 */     GIR_RootConstrainSelectedInstOperands,
     /*  729469 */     // GIR_Coverage, 11898,
     /*  729469 */     GIR_EraseRootFromParent_Done,
     /*  729470 */   // Label 11455: @729470
     /*  729470 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729545), // Rule ID 11899 //
     /*  729475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  729524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729543 */     GIR_RootConstrainSelectedInstOperands,
     /*  729544 */     // GIR_Coverage, 11899,
     /*  729544 */     GIR_EraseRootFromParent_Done,
     /*  729545 */   // Label 11456: @729545
     /*  729545 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729620), // Rule ID 11902 //
     /*  729550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  729570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  729599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729618 */     GIR_RootConstrainSelectedInstOperands,
     /*  729619 */     // GIR_Coverage, 11902,
     /*  729619 */     GIR_EraseRootFromParent_Done,
     /*  729620 */   // Label 11457: @729620
     /*  729620 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729695), // Rule ID 11903 //
     /*  729625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  729645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  729674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729693 */     GIR_RootConstrainSelectedInstOperands,
     /*  729694 */     // GIR_Coverage, 11903,
     /*  729694 */     GIR_EraseRootFromParent_Done,
     /*  729695 */   // Label 11458: @729695
     /*  729695 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(729770), // Rule ID 11906 //
     /*  729700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  729720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  729749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729768 */     GIR_RootConstrainSelectedInstOperands,
     /*  729769 */     // GIR_Coverage, 11906,
     /*  729769 */     GIR_EraseRootFromParent_Done,
     /*  729770 */   // Label 11459: @729770
     /*  729770 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(729845), // Rule ID 11907 //
     /*  729775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  729795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  729824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729843 */     GIR_RootConstrainSelectedInstOperands,
     /*  729844 */     // GIR_Coverage, 11907,
     /*  729844 */     GIR_EraseRootFromParent_Done,
     /*  729845 */   // Label 11460: @729845
     /*  729845 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(729920), // Rule ID 11910 //
     /*  729850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  729870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  729899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729918 */     GIR_RootConstrainSelectedInstOperands,
     /*  729919 */     // GIR_Coverage, 11910,
     /*  729919 */     GIR_EraseRootFromParent_Done,
     /*  729920 */   // Label 11461: @729920
     /*  729920 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(729995), // Rule ID 11911 //
     /*  729925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  729945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  729974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729993 */     GIR_RootConstrainSelectedInstOperands,
     /*  729994 */     // GIR_Coverage, 11911,
     /*  729994 */     GIR_EraseRootFromParent_Done,
     /*  729995 */   // Label 11462: @729995
     /*  729995 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730070), // Rule ID 11914 //
     /*  730000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  730049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730068 */     GIR_RootConstrainSelectedInstOperands,
     /*  730069 */     // GIR_Coverage, 11914,
     /*  730069 */     GIR_EraseRootFromParent_Done,
     /*  730070 */   // Label 11463: @730070
     /*  730070 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730145), // Rule ID 11915 //
     /*  730075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  730124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730143 */     GIR_RootConstrainSelectedInstOperands,
     /*  730144 */     // GIR_Coverage, 11915,
     /*  730144 */     GIR_EraseRootFromParent_Done,
     /*  730145 */   // Label 11464: @730145
     /*  730145 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730220), // Rule ID 11918 //
     /*  730150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  730199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730218 */     GIR_RootConstrainSelectedInstOperands,
     /*  730219 */     // GIR_Coverage, 11918,
     /*  730219 */     GIR_EraseRootFromParent_Done,
     /*  730220 */   // Label 11465: @730220
     /*  730220 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730295), // Rule ID 11919 //
     /*  730225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  730274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730293 */     GIR_RootConstrainSelectedInstOperands,
     /*  730294 */     // GIR_Coverage, 11919,
     /*  730294 */     GIR_EraseRootFromParent_Done,
     /*  730295 */   // Label 11466: @730295
     /*  730295 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730370), // Rule ID 11922 //
     /*  730300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730368 */     GIR_RootConstrainSelectedInstOperands,
     /*  730369 */     // GIR_Coverage, 11922,
     /*  730369 */     GIR_EraseRootFromParent_Done,
     /*  730370 */   // Label 11467: @730370
     /*  730370 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730445), // Rule ID 11923 //
     /*  730375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730443 */     GIR_RootConstrainSelectedInstOperands,
     /*  730444 */     // GIR_Coverage, 11923,
     /*  730444 */     GIR_EraseRootFromParent_Done,
     /*  730445 */   // Label 11468: @730445
     /*  730445 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730520), // Rule ID 11926 //
     /*  730450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  730499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730518 */     GIR_RootConstrainSelectedInstOperands,
     /*  730519 */     // GIR_Coverage, 11926,
     /*  730519 */     GIR_EraseRootFromParent_Done,
     /*  730520 */   // Label 11469: @730520
     /*  730520 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730595), // Rule ID 11927 //
     /*  730525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  730574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730593 */     GIR_RootConstrainSelectedInstOperands,
     /*  730594 */     // GIR_Coverage, 11927,
     /*  730594 */     GIR_EraseRootFromParent_Done,
     /*  730595 */   // Label 11470: @730595
     /*  730595 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730670), // Rule ID 11930 //
     /*  730600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  730649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730668 */     GIR_RootConstrainSelectedInstOperands,
     /*  730669 */     // GIR_Coverage, 11930,
     /*  730669 */     GIR_EraseRootFromParent_Done,
     /*  730670 */   // Label 11471: @730670
     /*  730670 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(730745), // Rule ID 11931 //
     /*  730675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  730724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730743 */     GIR_RootConstrainSelectedInstOperands,
     /*  730744 */     // GIR_Coverage, 11931,
     /*  730744 */     GIR_EraseRootFromParent_Done,
     /*  730745 */   // Label 11472: @730745
     /*  730745 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(730820), // Rule ID 11934 //
     /*  730750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  730799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730818 */     GIR_RootConstrainSelectedInstOperands,
     /*  730819 */     // GIR_Coverage, 11934,
     /*  730819 */     GIR_EraseRootFromParent_Done,
     /*  730820 */   // Label 11473: @730820
     /*  730820 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(730895), // Rule ID 11935 //
     /*  730825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  730874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730893 */     GIR_RootConstrainSelectedInstOperands,
     /*  730894 */     // GIR_Coverage, 11935,
     /*  730894 */     GIR_EraseRootFromParent_Done,
     /*  730895 */   // Label 11474: @730895
     /*  730895 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(730970), // Rule ID 11938 //
     /*  730900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  730949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730968 */     GIR_RootConstrainSelectedInstOperands,
     /*  730969 */     // GIR_Coverage, 11938,
     /*  730969 */     GIR_EraseRootFromParent_Done,
     /*  730970 */   // Label 11475: @730970
     /*  730970 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731045), // Rule ID 11939 //
     /*  730975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  731024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731043 */     GIR_RootConstrainSelectedInstOperands,
     /*  731044 */     // GIR_Coverage, 11939,
     /*  731044 */     GIR_EraseRootFromParent_Done,
     /*  731045 */   // Label 11476: @731045
     /*  731045 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731120), // Rule ID 11942 //
     /*  731050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  731099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731118 */     GIR_RootConstrainSelectedInstOperands,
     /*  731119 */     // GIR_Coverage, 11942,
     /*  731119 */     GIR_EraseRootFromParent_Done,
     /*  731120 */   // Label 11477: @731120
     /*  731120 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731195), // Rule ID 11943 //
     /*  731125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  731174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731193 */     GIR_RootConstrainSelectedInstOperands,
     /*  731194 */     // GIR_Coverage, 11943,
     /*  731194 */     GIR_EraseRootFromParent_Done,
     /*  731195 */   // Label 11478: @731195
     /*  731195 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731270), // Rule ID 11946 //
     /*  731200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731268 */     GIR_RootConstrainSelectedInstOperands,
     /*  731269 */     // GIR_Coverage, 11946,
     /*  731269 */     GIR_EraseRootFromParent_Done,
     /*  731270 */   // Label 11479: @731270
     /*  731270 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731345), // Rule ID 11947 //
     /*  731275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731343 */     GIR_RootConstrainSelectedInstOperands,
     /*  731344 */     // GIR_Coverage, 11947,
     /*  731344 */     GIR_EraseRootFromParent_Done,
     /*  731345 */   // Label 11480: @731345
     /*  731345 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731420), // Rule ID 11950 //
     /*  731350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731418 */     GIR_RootConstrainSelectedInstOperands,
     /*  731419 */     // GIR_Coverage, 11950,
     /*  731419 */     GIR_EraseRootFromParent_Done,
     /*  731420 */   // Label 11481: @731420
     /*  731420 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731495), // Rule ID 11951 //
     /*  731425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731493 */     GIR_RootConstrainSelectedInstOperands,
     /*  731494 */     // GIR_Coverage, 11951,
     /*  731494 */     GIR_EraseRootFromParent_Done,
     /*  731495 */   // Label 11482: @731495
     /*  731495 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731570), // Rule ID 11954 //
     /*  731500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  731549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731568 */     GIR_RootConstrainSelectedInstOperands,
     /*  731569 */     // GIR_Coverage, 11954,
     /*  731569 */     GIR_EraseRootFromParent_Done,
     /*  731570 */   // Label 11483: @731570
     /*  731570 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731645), // Rule ID 11955 //
     /*  731575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  731624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731643 */     GIR_RootConstrainSelectedInstOperands,
     /*  731644 */     // GIR_Coverage, 11955,
     /*  731644 */     GIR_EraseRootFromParent_Done,
     /*  731645 */   // Label 11484: @731645
     /*  731645 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731720), // Rule ID 11958 //
     /*  731650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  731699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731718 */     GIR_RootConstrainSelectedInstOperands,
     /*  731719 */     // GIR_Coverage, 11958,
     /*  731719 */     GIR_EraseRootFromParent_Done,
     /*  731720 */   // Label 11485: @731720
     /*  731720 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(731795), // Rule ID 11959 //
     /*  731725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  731774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731793 */     GIR_RootConstrainSelectedInstOperands,
     /*  731794 */     // GIR_Coverage, 11959,
     /*  731794 */     GIR_EraseRootFromParent_Done,
     /*  731795 */   // Label 11486: @731795
     /*  731795 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(731870), // Rule ID 11962 //
     /*  731800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  731849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731868 */     GIR_RootConstrainSelectedInstOperands,
     /*  731869 */     // GIR_Coverage, 11962,
     /*  731869 */     GIR_EraseRootFromParent_Done,
     /*  731870 */   // Label 11487: @731870
     /*  731870 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(731945), // Rule ID 11963 //
     /*  731875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  731924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731943 */     GIR_RootConstrainSelectedInstOperands,
     /*  731944 */     // GIR_Coverage, 11963,
     /*  731944 */     GIR_EraseRootFromParent_Done,
     /*  731945 */   // Label 11488: @731945
     /*  731945 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732020), // Rule ID 11966 //
     /*  731950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  731999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732018 */     GIR_RootConstrainSelectedInstOperands,
     /*  732019 */     // GIR_Coverage, 11966,
     /*  732019 */     GIR_EraseRootFromParent_Done,
     /*  732020 */   // Label 11489: @732020
     /*  732020 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732095), // Rule ID 11967 //
     /*  732025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  732036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  732039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  732074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732093 */     GIR_RootConstrainSelectedInstOperands,
     /*  732094 */     // GIR_Coverage, 11967,
     /*  732094 */     GIR_EraseRootFromParent_Done,
     /*  732095 */   // Label 11490: @732095
     /*  732095 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732170), // Rule ID 11970 //
     /*  732100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  732149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732168 */     GIR_RootConstrainSelectedInstOperands,
     /*  732169 */     // GIR_Coverage, 11970,
     /*  732169 */     GIR_EraseRootFromParent_Done,
     /*  732170 */   // Label 11491: @732170
     /*  732170 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732245), // Rule ID 11971 //
     /*  732175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  732224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732243 */     GIR_RootConstrainSelectedInstOperands,
     /*  732244 */     // GIR_Coverage, 11971,
     /*  732244 */     GIR_EraseRootFromParent_Done,
     /*  732245 */   // Label 11492: @732245
     /*  732245 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732320), // Rule ID 11974 //
     /*  732250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732318 */     GIR_RootConstrainSelectedInstOperands,
     /*  732319 */     // GIR_Coverage, 11974,
     /*  732319 */     GIR_EraseRootFromParent_Done,
     /*  732320 */   // Label 11493: @732320
     /*  732320 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732395), // Rule ID 11975 //
     /*  732325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732393 */     GIR_RootConstrainSelectedInstOperands,
     /*  732394 */     // GIR_Coverage, 11975,
     /*  732394 */     GIR_EraseRootFromParent_Done,
     /*  732395 */   // Label 11494: @732395
     /*  732395 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732470), // Rule ID 11978 //
     /*  732400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  732449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732468 */     GIR_RootConstrainSelectedInstOperands,
     /*  732469 */     // GIR_Coverage, 11978,
     /*  732469 */     GIR_EraseRootFromParent_Done,
     /*  732470 */   // Label 11495: @732470
     /*  732470 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732545), // Rule ID 11979 //
     /*  732475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  732524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732543 */     GIR_RootConstrainSelectedInstOperands,
     /*  732544 */     // GIR_Coverage, 11979,
     /*  732544 */     GIR_EraseRootFromParent_Done,
     /*  732545 */   // Label 11496: @732545
     /*  732545 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732620), // Rule ID 11982 //
     /*  732550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  732599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732618 */     GIR_RootConstrainSelectedInstOperands,
     /*  732619 */     // GIR_Coverage, 11982,
     /*  732619 */     GIR_EraseRootFromParent_Done,
     /*  732620 */   // Label 11497: @732620
     /*  732620 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732695), // Rule ID 11983 //
     /*  732625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  732674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732693 */     GIR_RootConstrainSelectedInstOperands,
     /*  732694 */     // GIR_Coverage, 11983,
     /*  732694 */     GIR_EraseRootFromParent_Done,
     /*  732695 */   // Label 11498: @732695
     /*  732695 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(732770), // Rule ID 11986 //
     /*  732700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  732749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732768 */     GIR_RootConstrainSelectedInstOperands,
     /*  732769 */     // GIR_Coverage, 11986,
     /*  732769 */     GIR_EraseRootFromParent_Done,
     /*  732770 */   // Label 11499: @732770
     /*  732770 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(732845), // Rule ID 11987 //
     /*  732775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  732824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732843 */     GIR_RootConstrainSelectedInstOperands,
     /*  732844 */     // GIR_Coverage, 11987,
     /*  732844 */     GIR_EraseRootFromParent_Done,
     /*  732845 */   // Label 11500: @732845
     /*  732845 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(732920), // Rule ID 11990 //
     /*  732850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  732899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732918 */     GIR_RootConstrainSelectedInstOperands,
     /*  732919 */     // GIR_Coverage, 11990,
     /*  732919 */     GIR_EraseRootFromParent_Done,
     /*  732920 */   // Label 11501: @732920
     /*  732920 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(732995), // Rule ID 11991 //
     /*  732925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  732974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732993 */     GIR_RootConstrainSelectedInstOperands,
     /*  732994 */     // GIR_Coverage, 11991,
     /*  732994 */     GIR_EraseRootFromParent_Done,
     /*  732995 */   // Label 11502: @732995
     /*  732995 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733070), // Rule ID 11994 //
     /*  733000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  733049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733068 */     GIR_RootConstrainSelectedInstOperands,
     /*  733069 */     // GIR_Coverage, 11994,
     /*  733069 */     GIR_EraseRootFromParent_Done,
     /*  733070 */   // Label 11503: @733070
     /*  733070 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733145), // Rule ID 11995 //
     /*  733075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  733124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733143 */     GIR_RootConstrainSelectedInstOperands,
     /*  733144 */     // GIR_Coverage, 11995,
     /*  733144 */     GIR_EraseRootFromParent_Done,
     /*  733145 */   // Label 11504: @733145
     /*  733145 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733220), // Rule ID 11998 //
     /*  733150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  733199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733218 */     GIR_RootConstrainSelectedInstOperands,
     /*  733219 */     // GIR_Coverage, 11998,
     /*  733219 */     GIR_EraseRootFromParent_Done,
     /*  733220 */   // Label 11505: @733220
     /*  733220 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733295), // Rule ID 11999 //
     /*  733225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  733274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733293 */     GIR_RootConstrainSelectedInstOperands,
     /*  733294 */     // GIR_Coverage, 11999,
     /*  733294 */     GIR_EraseRootFromParent_Done,
     /*  733295 */   // Label 11506: @733295
     /*  733295 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733370), // Rule ID 12002 //
     /*  733300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733368 */     GIR_RootConstrainSelectedInstOperands,
     /*  733369 */     // GIR_Coverage, 12002,
     /*  733369 */     GIR_EraseRootFromParent_Done,
     /*  733370 */   // Label 11507: @733370
     /*  733370 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733445), // Rule ID 12003 //
     /*  733375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733443 */     GIR_RootConstrainSelectedInstOperands,
     /*  733444 */     // GIR_Coverage, 12003,
     /*  733444 */     GIR_EraseRootFromParent_Done,
     /*  733445 */   // Label 11508: @733445
     /*  733445 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733520), // Rule ID 12006 //
     /*  733450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  733470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  733499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733518 */     GIR_RootConstrainSelectedInstOperands,
     /*  733519 */     // GIR_Coverage, 12006,
     /*  733519 */     GIR_EraseRootFromParent_Done,
     /*  733520 */   // Label 11509: @733520
     /*  733520 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733595), // Rule ID 12007 //
     /*  733525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  733545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  733574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733593 */     GIR_RootConstrainSelectedInstOperands,
     /*  733594 */     // GIR_Coverage, 12007,
     /*  733594 */     GIR_EraseRootFromParent_Done,
     /*  733595 */   // Label 11510: @733595
     /*  733595 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733670), // Rule ID 12010 //
     /*  733600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  733620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  733649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733668 */     GIR_RootConstrainSelectedInstOperands,
     /*  733669 */     // GIR_Coverage, 12010,
     /*  733669 */     GIR_EraseRootFromParent_Done,
     /*  733670 */   // Label 11511: @733670
     /*  733670 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(733745), // Rule ID 12011 //
     /*  733675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  733695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  733724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733743 */     GIR_RootConstrainSelectedInstOperands,
     /*  733744 */     // GIR_Coverage, 12011,
     /*  733744 */     GIR_EraseRootFromParent_Done,
     /*  733745 */   // Label 11512: @733745
     /*  733745 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(733820), // Rule ID 12014 //
     /*  733750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  733770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  733799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733818 */     GIR_RootConstrainSelectedInstOperands,
     /*  733819 */     // GIR_Coverage, 12014,
     /*  733819 */     GIR_EraseRootFromParent_Done,
     /*  733820 */   // Label 11513: @733820
     /*  733820 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(733895), // Rule ID 12015 //
     /*  733825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  733845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  733874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733893 */     GIR_RootConstrainSelectedInstOperands,
     /*  733894 */     // GIR_Coverage, 12015,
     /*  733894 */     GIR_EraseRootFromParent_Done,
     /*  733895 */   // Label 11514: @733895
     /*  733895 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(733970), // Rule ID 12018 //
     /*  733900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  733920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  733949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733968 */     GIR_RootConstrainSelectedInstOperands,
     /*  733969 */     // GIR_Coverage, 12018,
     /*  733969 */     GIR_EraseRootFromParent_Done,
     /*  733970 */   // Label 11515: @733970
     /*  733970 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734045), // Rule ID 12019 //
     /*  733975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  733995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  734024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734043 */     GIR_RootConstrainSelectedInstOperands,
     /*  734044 */     // GIR_Coverage, 12019,
     /*  734044 */     GIR_EraseRootFromParent_Done,
     /*  734045 */   // Label 11516: @734045
     /*  734045 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734120), // Rule ID 12022 //
     /*  734050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  734099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734118 */     GIR_RootConstrainSelectedInstOperands,
     /*  734119 */     // GIR_Coverage, 12022,
     /*  734119 */     GIR_EraseRootFromParent_Done,
     /*  734120 */   // Label 11517: @734120
     /*  734120 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734195), // Rule ID 12023 //
     /*  734125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  734174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734193 */     GIR_RootConstrainSelectedInstOperands,
     /*  734194 */     // GIR_Coverage, 12023,
     /*  734194 */     GIR_EraseRootFromParent_Done,
     /*  734195 */   // Label 11518: @734195
     /*  734195 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734270), // Rule ID 12026 //
     /*  734200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734268 */     GIR_RootConstrainSelectedInstOperands,
     /*  734269 */     // GIR_Coverage, 12026,
     /*  734269 */     GIR_EraseRootFromParent_Done,
     /*  734270 */   // Label 11519: @734270
     /*  734270 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734345), // Rule ID 12027 //
     /*  734275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734343 */     GIR_RootConstrainSelectedInstOperands,
     /*  734344 */     // GIR_Coverage, 12027,
     /*  734344 */     GIR_EraseRootFromParent_Done,
     /*  734345 */   // Label 11520: @734345
     /*  734345 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734420), // Rule ID 12030 //
     /*  734350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734418 */     GIR_RootConstrainSelectedInstOperands,
     /*  734419 */     // GIR_Coverage, 12030,
     /*  734419 */     GIR_EraseRootFromParent_Done,
     /*  734420 */   // Label 11521: @734420
     /*  734420 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734495), // Rule ID 12031 //
     /*  734425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734493 */     GIR_RootConstrainSelectedInstOperands,
     /*  734494 */     // GIR_Coverage, 12031,
     /*  734494 */     GIR_EraseRootFromParent_Done,
     /*  734495 */   // Label 11522: @734495
     /*  734495 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734570), // Rule ID 12034 //
     /*  734500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  734549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734568 */     GIR_RootConstrainSelectedInstOperands,
     /*  734569 */     // GIR_Coverage, 12034,
     /*  734569 */     GIR_EraseRootFromParent_Done,
     /*  734570 */   // Label 11523: @734570
     /*  734570 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734645), // Rule ID 12035 //
     /*  734575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  734624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734643 */     GIR_RootConstrainSelectedInstOperands,
     /*  734644 */     // GIR_Coverage, 12035,
     /*  734644 */     GIR_EraseRootFromParent_Done,
     /*  734645 */   // Label 11524: @734645
     /*  734645 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734720), // Rule ID 12038 //
     /*  734650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  734699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734718 */     GIR_RootConstrainSelectedInstOperands,
     /*  734719 */     // GIR_Coverage, 12038,
     /*  734719 */     GIR_EraseRootFromParent_Done,
     /*  734720 */   // Label 11525: @734720
     /*  734720 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(734795), // Rule ID 12039 //
     /*  734725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  734774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734793 */     GIR_RootConstrainSelectedInstOperands,
     /*  734794 */     // GIR_Coverage, 12039,
     /*  734794 */     GIR_EraseRootFromParent_Done,
     /*  734795 */   // Label 11526: @734795
     /*  734795 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(734870), // Rule ID 12042 //
     /*  734800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  734849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734868 */     GIR_RootConstrainSelectedInstOperands,
     /*  734869 */     // GIR_Coverage, 12042,
     /*  734869 */     GIR_EraseRootFromParent_Done,
     /*  734870 */   // Label 11527: @734870
     /*  734870 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(734945), // Rule ID 12043 //
     /*  734875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  734924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734943 */     GIR_RootConstrainSelectedInstOperands,
     /*  734944 */     // GIR_Coverage, 12043,
     /*  734944 */     GIR_EraseRootFromParent_Done,
     /*  734945 */   // Label 11528: @734945
     /*  734945 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735020), // Rule ID 12046 //
     /*  734950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  734970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  734999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735018 */     GIR_RootConstrainSelectedInstOperands,
     /*  735019 */     // GIR_Coverage, 12046,
     /*  735019 */     GIR_EraseRootFromParent_Done,
     /*  735020 */   // Label 11529: @735020
     /*  735020 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735095), // Rule ID 12047 //
     /*  735025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  735036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  735039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  735045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  735074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735093 */     GIR_RootConstrainSelectedInstOperands,
     /*  735094 */     // GIR_Coverage, 12047,
     /*  735094 */     GIR_EraseRootFromParent_Done,
     /*  735095 */   // Label 11530: @735095
     /*  735095 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735170), // Rule ID 12050 //
     /*  735100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  735149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735168 */     GIR_RootConstrainSelectedInstOperands,
     /*  735169 */     // GIR_Coverage, 12050,
     /*  735169 */     GIR_EraseRootFromParent_Done,
     /*  735170 */   // Label 11531: @735170
     /*  735170 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735245), // Rule ID 12051 //
     /*  735175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  735224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735243 */     GIR_RootConstrainSelectedInstOperands,
     /*  735244 */     // GIR_Coverage, 12051,
     /*  735244 */     GIR_EraseRootFromParent_Done,
     /*  735245 */   // Label 11532: @735245
     /*  735245 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735320), // Rule ID 12054 //
     /*  735250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735318 */     GIR_RootConstrainSelectedInstOperands,
     /*  735319 */     // GIR_Coverage, 12054,
     /*  735319 */     GIR_EraseRootFromParent_Done,
     /*  735320 */   // Label 11533: @735320
     /*  735320 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735395), // Rule ID 12055 //
     /*  735325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735393 */     GIR_RootConstrainSelectedInstOperands,
     /*  735394 */     // GIR_Coverage, 12055,
     /*  735394 */     GIR_EraseRootFromParent_Done,
     /*  735395 */   // Label 11534: @735395
     /*  735395 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735470), // Rule ID 12058 //
     /*  735400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  735449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735468 */     GIR_RootConstrainSelectedInstOperands,
     /*  735469 */     // GIR_Coverage, 12058,
     /*  735469 */     GIR_EraseRootFromParent_Done,
     /*  735470 */   // Label 11535: @735470
     /*  735470 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735545), // Rule ID 12059 //
     /*  735475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  735524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735543 */     GIR_RootConstrainSelectedInstOperands,
     /*  735544 */     // GIR_Coverage, 12059,
     /*  735544 */     GIR_EraseRootFromParent_Done,
     /*  735545 */   // Label 11536: @735545
     /*  735545 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735620), // Rule ID 12062 //
     /*  735550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  735570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  735599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735618 */     GIR_RootConstrainSelectedInstOperands,
     /*  735619 */     // GIR_Coverage, 12062,
     /*  735619 */     GIR_EraseRootFromParent_Done,
     /*  735620 */   // Label 11537: @735620
     /*  735620 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735695), // Rule ID 12063 //
     /*  735625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  735645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  735674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735693 */     GIR_RootConstrainSelectedInstOperands,
     /*  735694 */     // GIR_Coverage, 12063,
     /*  735694 */     GIR_EraseRootFromParent_Done,
     /*  735695 */   // Label 11538: @735695
     /*  735695 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(735770), // Rule ID 12066 //
     /*  735700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  735720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  735749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735768 */     GIR_RootConstrainSelectedInstOperands,
     /*  735769 */     // GIR_Coverage, 12066,
     /*  735769 */     GIR_EraseRootFromParent_Done,
     /*  735770 */   // Label 11539: @735770
     /*  735770 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(735845), // Rule ID 12067 //
     /*  735775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  735795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  735824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735843 */     GIR_RootConstrainSelectedInstOperands,
     /*  735844 */     // GIR_Coverage, 12067,
     /*  735844 */     GIR_EraseRootFromParent_Done,
     /*  735845 */   // Label 11540: @735845
     /*  735845 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(735920), // Rule ID 12070 //
     /*  735850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  735870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  735899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735918 */     GIR_RootConstrainSelectedInstOperands,
     /*  735919 */     // GIR_Coverage, 12070,
     /*  735919 */     GIR_EraseRootFromParent_Done,
     /*  735920 */   // Label 11541: @735920
     /*  735920 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(735995), // Rule ID 12071 //
     /*  735925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  735945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  735974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735993 */     GIR_RootConstrainSelectedInstOperands,
     /*  735994 */     // GIR_Coverage, 12071,
     /*  735994 */     GIR_EraseRootFromParent_Done,
     /*  735995 */   // Label 11542: @735995
     /*  735995 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736070), // Rule ID 12074 //
     /*  736000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  736049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736068 */     GIR_RootConstrainSelectedInstOperands,
     /*  736069 */     // GIR_Coverage, 12074,
     /*  736069 */     GIR_EraseRootFromParent_Done,
     /*  736070 */   // Label 11543: @736070
     /*  736070 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736145), // Rule ID 12075 //
     /*  736075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  736124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736143 */     GIR_RootConstrainSelectedInstOperands,
     /*  736144 */     // GIR_Coverage, 12075,
     /*  736144 */     GIR_EraseRootFromParent_Done,
     /*  736145 */   // Label 11544: @736145
     /*  736145 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736220), // Rule ID 12078 //
     /*  736150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  736199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736218 */     GIR_RootConstrainSelectedInstOperands,
     /*  736219 */     // GIR_Coverage, 12078,
     /*  736219 */     GIR_EraseRootFromParent_Done,
     /*  736220 */   // Label 11545: @736220
     /*  736220 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736295), // Rule ID 12079 //
     /*  736225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  736274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736293 */     GIR_RootConstrainSelectedInstOperands,
     /*  736294 */     // GIR_Coverage, 12079,
     /*  736294 */     GIR_EraseRootFromParent_Done,
     /*  736295 */   // Label 11546: @736295
     /*  736295 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736370), // Rule ID 12082 //
     /*  736300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736368 */     GIR_RootConstrainSelectedInstOperands,
     /*  736369 */     // GIR_Coverage, 12082,
     /*  736369 */     GIR_EraseRootFromParent_Done,
     /*  736370 */   // Label 11547: @736370
     /*  736370 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736445), // Rule ID 12083 //
     /*  736375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736443 */     GIR_RootConstrainSelectedInstOperands,
     /*  736444 */     // GIR_Coverage, 12083,
     /*  736444 */     GIR_EraseRootFromParent_Done,
     /*  736445 */   // Label 11548: @736445
     /*  736445 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736520), // Rule ID 12086 //
     /*  736450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  736470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  736499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736518 */     GIR_RootConstrainSelectedInstOperands,
     /*  736519 */     // GIR_Coverage, 12086,
     /*  736519 */     GIR_EraseRootFromParent_Done,
     /*  736520 */   // Label 11549: @736520
     /*  736520 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736595), // Rule ID 12087 //
     /*  736525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  736545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  736574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736593 */     GIR_RootConstrainSelectedInstOperands,
     /*  736594 */     // GIR_Coverage, 12087,
     /*  736594 */     GIR_EraseRootFromParent_Done,
     /*  736595 */   // Label 11550: @736595
     /*  736595 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736670), // Rule ID 12090 //
     /*  736600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  736620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  736649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736668 */     GIR_RootConstrainSelectedInstOperands,
     /*  736669 */     // GIR_Coverage, 12090,
     /*  736669 */     GIR_EraseRootFromParent_Done,
     /*  736670 */   // Label 11551: @736670
     /*  736670 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(736745), // Rule ID 12091 //
     /*  736675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  736695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  736724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736743 */     GIR_RootConstrainSelectedInstOperands,
     /*  736744 */     // GIR_Coverage, 12091,
     /*  736744 */     GIR_EraseRootFromParent_Done,
     /*  736745 */   // Label 11552: @736745
     /*  736745 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(736820), // Rule ID 12094 //
     /*  736750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  736799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736818 */     GIR_RootConstrainSelectedInstOperands,
     /*  736819 */     // GIR_Coverage, 12094,
     /*  736819 */     GIR_EraseRootFromParent_Done,
     /*  736820 */   // Label 11553: @736820
     /*  736820 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(736895), // Rule ID 12095 //
     /*  736825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  736874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736893 */     GIR_RootConstrainSelectedInstOperands,
     /*  736894 */     // GIR_Coverage, 12095,
     /*  736894 */     GIR_EraseRootFromParent_Done,
     /*  736895 */   // Label 11554: @736895
     /*  736895 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(736970), // Rule ID 12098 //
     /*  736900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  736949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736968 */     GIR_RootConstrainSelectedInstOperands,
     /*  736969 */     // GIR_Coverage, 12098,
     /*  736969 */     GIR_EraseRootFromParent_Done,
     /*  736970 */   // Label 11555: @736970
     /*  736970 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737045), // Rule ID 12099 //
     /*  736975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  737024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737043 */     GIR_RootConstrainSelectedInstOperands,
     /*  737044 */     // GIR_Coverage, 12099,
     /*  737044 */     GIR_EraseRootFromParent_Done,
     /*  737045 */   // Label 11556: @737045
     /*  737045 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737120), // Rule ID 12102 //
     /*  737050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  737099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737118 */     GIR_RootConstrainSelectedInstOperands,
     /*  737119 */     // GIR_Coverage, 12102,
     /*  737119 */     GIR_EraseRootFromParent_Done,
     /*  737120 */   // Label 11557: @737120
     /*  737120 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737195), // Rule ID 12103 //
     /*  737125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  737174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737193 */     GIR_RootConstrainSelectedInstOperands,
     /*  737194 */     // GIR_Coverage, 12103,
     /*  737194 */     GIR_EraseRootFromParent_Done,
     /*  737195 */   // Label 11558: @737195
     /*  737195 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737270), // Rule ID 12106 //
     /*  737200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737268 */     GIR_RootConstrainSelectedInstOperands,
     /*  737269 */     // GIR_Coverage, 12106,
     /*  737269 */     GIR_EraseRootFromParent_Done,
     /*  737270 */   // Label 11559: @737270
     /*  737270 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737345), // Rule ID 12107 //
     /*  737275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737343 */     GIR_RootConstrainSelectedInstOperands,
     /*  737344 */     // GIR_Coverage, 12107,
     /*  737344 */     GIR_EraseRootFromParent_Done,
     /*  737345 */   // Label 11560: @737345
     /*  737345 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737420), // Rule ID 12110 //
     /*  737350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737418 */     GIR_RootConstrainSelectedInstOperands,
     /*  737419 */     // GIR_Coverage, 12110,
     /*  737419 */     GIR_EraseRootFromParent_Done,
     /*  737420 */   // Label 11561: @737420
     /*  737420 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737495), // Rule ID 12111 //
     /*  737425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737493 */     GIR_RootConstrainSelectedInstOperands,
     /*  737494 */     // GIR_Coverage, 12111,
     /*  737494 */     GIR_EraseRootFromParent_Done,
     /*  737495 */   // Label 11562: @737495
     /*  737495 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737570), // Rule ID 12114 //
     /*  737500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  737549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737568 */     GIR_RootConstrainSelectedInstOperands,
     /*  737569 */     // GIR_Coverage, 12114,
     /*  737569 */     GIR_EraseRootFromParent_Done,
     /*  737570 */   // Label 11563: @737570
     /*  737570 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737645), // Rule ID 12115 //
     /*  737575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  737624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737643 */     GIR_RootConstrainSelectedInstOperands,
     /*  737644 */     // GIR_Coverage, 12115,
     /*  737644 */     GIR_EraseRootFromParent_Done,
     /*  737645 */   // Label 11564: @737645
     /*  737645 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737720), // Rule ID 12118 //
     /*  737650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  737699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737718 */     GIR_RootConstrainSelectedInstOperands,
     /*  737719 */     // GIR_Coverage, 12118,
     /*  737719 */     GIR_EraseRootFromParent_Done,
     /*  737720 */   // Label 11565: @737720
     /*  737720 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(737795), // Rule ID 12119 //
     /*  737725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  737774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737793 */     GIR_RootConstrainSelectedInstOperands,
     /*  737794 */     // GIR_Coverage, 12119,
     /*  737794 */     GIR_EraseRootFromParent_Done,
     /*  737795 */   // Label 11566: @737795
     /*  737795 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(737870), // Rule ID 12122 //
     /*  737800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  737849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737868 */     GIR_RootConstrainSelectedInstOperands,
     /*  737869 */     // GIR_Coverage, 12122,
     /*  737869 */     GIR_EraseRootFromParent_Done,
     /*  737870 */   // Label 11567: @737870
     /*  737870 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(737945), // Rule ID 12123 //
     /*  737875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  737924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737943 */     GIR_RootConstrainSelectedInstOperands,
     /*  737944 */     // GIR_Coverage, 12123,
     /*  737944 */     GIR_EraseRootFromParent_Done,
     /*  737945 */   // Label 11568: @737945
     /*  737945 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738020), // Rule ID 12126 //
     /*  737950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  737999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738018 */     GIR_RootConstrainSelectedInstOperands,
     /*  738019 */     // GIR_Coverage, 12126,
     /*  738019 */     GIR_EraseRootFromParent_Done,
     /*  738020 */   // Label 11569: @738020
     /*  738020 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738095), // Rule ID 12127 //
     /*  738025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  738074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738093 */     GIR_RootConstrainSelectedInstOperands,
     /*  738094 */     // GIR_Coverage, 12127,
     /*  738094 */     GIR_EraseRootFromParent_Done,
     /*  738095 */   // Label 11570: @738095
     /*  738095 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738170), // Rule ID 12130 //
     /*  738100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  738149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738168 */     GIR_RootConstrainSelectedInstOperands,
     /*  738169 */     // GIR_Coverage, 12130,
     /*  738169 */     GIR_EraseRootFromParent_Done,
     /*  738170 */   // Label 11571: @738170
     /*  738170 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738245), // Rule ID 12131 //
     /*  738175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  738224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738243 */     GIR_RootConstrainSelectedInstOperands,
     /*  738244 */     // GIR_Coverage, 12131,
     /*  738244 */     GIR_EraseRootFromParent_Done,
     /*  738245 */   // Label 11572: @738245
     /*  738245 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738320), // Rule ID 12134 //
     /*  738250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738318 */     GIR_RootConstrainSelectedInstOperands,
     /*  738319 */     // GIR_Coverage, 12134,
     /*  738319 */     GIR_EraseRootFromParent_Done,
     /*  738320 */   // Label 11573: @738320
     /*  738320 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738395), // Rule ID 12135 //
     /*  738325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738393 */     GIR_RootConstrainSelectedInstOperands,
     /*  738394 */     // GIR_Coverage, 12135,
     /*  738394 */     GIR_EraseRootFromParent_Done,
     /*  738395 */   // Label 11574: @738395
     /*  738395 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738470), // Rule ID 12138 //
     /*  738400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  738449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738468 */     GIR_RootConstrainSelectedInstOperands,
     /*  738469 */     // GIR_Coverage, 12138,
     /*  738469 */     GIR_EraseRootFromParent_Done,
     /*  738470 */   // Label 11575: @738470
     /*  738470 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738545), // Rule ID 12139 //
     /*  738475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  738524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738543 */     GIR_RootConstrainSelectedInstOperands,
     /*  738544 */     // GIR_Coverage, 12139,
     /*  738544 */     GIR_EraseRootFromParent_Done,
     /*  738545 */   // Label 11576: @738545
     /*  738545 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738620), // Rule ID 12142 //
     /*  738550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  738599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738618 */     GIR_RootConstrainSelectedInstOperands,
     /*  738619 */     // GIR_Coverage, 12142,
     /*  738619 */     GIR_EraseRootFromParent_Done,
     /*  738620 */   // Label 11577: @738620
     /*  738620 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738695), // Rule ID 12143 //
     /*  738625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  738674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738693 */     GIR_RootConstrainSelectedInstOperands,
     /*  738694 */     // GIR_Coverage, 12143,
     /*  738694 */     GIR_EraseRootFromParent_Done,
     /*  738695 */   // Label 11578: @738695
     /*  738695 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(738770), // Rule ID 12146 //
     /*  738700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  738749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738768 */     GIR_RootConstrainSelectedInstOperands,
     /*  738769 */     // GIR_Coverage, 12146,
     /*  738769 */     GIR_EraseRootFromParent_Done,
     /*  738770 */   // Label 11579: @738770
     /*  738770 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(738845), // Rule ID 12147 //
     /*  738775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  738824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738843 */     GIR_RootConstrainSelectedInstOperands,
     /*  738844 */     // GIR_Coverage, 12147,
     /*  738844 */     GIR_EraseRootFromParent_Done,
     /*  738845 */   // Label 11580: @738845
     /*  738845 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(738920), // Rule ID 12150 //
     /*  738850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  738899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738918 */     GIR_RootConstrainSelectedInstOperands,
     /*  738919 */     // GIR_Coverage, 12150,
     /*  738919 */     GIR_EraseRootFromParent_Done,
     /*  738920 */   // Label 11581: @738920
     /*  738920 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(738995), // Rule ID 12151 //
     /*  738925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  738974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738993 */     GIR_RootConstrainSelectedInstOperands,
     /*  738994 */     // GIR_Coverage, 12151,
     /*  738994 */     GIR_EraseRootFromParent_Done,
     /*  738995 */   // Label 11582: @738995
     /*  738995 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739070), // Rule ID 12154 //
     /*  739000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  739049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739068 */     GIR_RootConstrainSelectedInstOperands,
     /*  739069 */     // GIR_Coverage, 12154,
     /*  739069 */     GIR_EraseRootFromParent_Done,
     /*  739070 */   // Label 11583: @739070
     /*  739070 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739145), // Rule ID 12155 //
     /*  739075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  739124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739143 */     GIR_RootConstrainSelectedInstOperands,
     /*  739144 */     // GIR_Coverage, 12155,
     /*  739144 */     GIR_EraseRootFromParent_Done,
     /*  739145 */   // Label 11584: @739145
     /*  739145 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739220), // Rule ID 12158 //
     /*  739150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  739199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739218 */     GIR_RootConstrainSelectedInstOperands,
     /*  739219 */     // GIR_Coverage, 12158,
     /*  739219 */     GIR_EraseRootFromParent_Done,
     /*  739220 */   // Label 11585: @739220
     /*  739220 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739295), // Rule ID 12159 //
     /*  739225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  739274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739293 */     GIR_RootConstrainSelectedInstOperands,
     /*  739294 */     // GIR_Coverage, 12159,
     /*  739294 */     GIR_EraseRootFromParent_Done,
     /*  739295 */   // Label 11586: @739295
     /*  739295 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739370), // Rule ID 12162 //
     /*  739300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739368 */     GIR_RootConstrainSelectedInstOperands,
     /*  739369 */     // GIR_Coverage, 12162,
     /*  739369 */     GIR_EraseRootFromParent_Done,
     /*  739370 */   // Label 11587: @739370
     /*  739370 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739445), // Rule ID 12163 //
     /*  739375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739443 */     GIR_RootConstrainSelectedInstOperands,
     /*  739444 */     // GIR_Coverage, 12163,
     /*  739444 */     GIR_EraseRootFromParent_Done,
     /*  739445 */   // Label 11588: @739445
     /*  739445 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739520), // Rule ID 12166 //
     /*  739450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  739499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739518 */     GIR_RootConstrainSelectedInstOperands,
     /*  739519 */     // GIR_Coverage, 12166,
     /*  739519 */     GIR_EraseRootFromParent_Done,
     /*  739520 */   // Label 11589: @739520
     /*  739520 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739595), // Rule ID 12167 //
     /*  739525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  739574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739593 */     GIR_RootConstrainSelectedInstOperands,
     /*  739594 */     // GIR_Coverage, 12167,
     /*  739594 */     GIR_EraseRootFromParent_Done,
     /*  739595 */   // Label 11590: @739595
     /*  739595 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739670), // Rule ID 12170 //
     /*  739600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  739649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739668 */     GIR_RootConstrainSelectedInstOperands,
     /*  739669 */     // GIR_Coverage, 12170,
     /*  739669 */     GIR_EraseRootFromParent_Done,
     /*  739670 */   // Label 11591: @739670
     /*  739670 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(739745), // Rule ID 12171 //
     /*  739675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  739724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739743 */     GIR_RootConstrainSelectedInstOperands,
     /*  739744 */     // GIR_Coverage, 12171,
     /*  739744 */     GIR_EraseRootFromParent_Done,
     /*  739745 */   // Label 11592: @739745
     /*  739745 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(739820), // Rule ID 12174 //
     /*  739750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  739799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739818 */     GIR_RootConstrainSelectedInstOperands,
     /*  739819 */     // GIR_Coverage, 12174,
     /*  739819 */     GIR_EraseRootFromParent_Done,
     /*  739820 */   // Label 11593: @739820
     /*  739820 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(739895), // Rule ID 12175 //
     /*  739825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  739874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739893 */     GIR_RootConstrainSelectedInstOperands,
     /*  739894 */     // GIR_Coverage, 12175,
     /*  739894 */     GIR_EraseRootFromParent_Done,
     /*  739895 */   // Label 11594: @739895
     /*  739895 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(739970), // Rule ID 12178 //
     /*  739900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  739949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739968 */     GIR_RootConstrainSelectedInstOperands,
     /*  739969 */     // GIR_Coverage, 12178,
     /*  739969 */     GIR_EraseRootFromParent_Done,
     /*  739970 */   // Label 11595: @739970
     /*  739970 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740045), // Rule ID 12179 //
     /*  739975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  740024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740043 */     GIR_RootConstrainSelectedInstOperands,
     /*  740044 */     // GIR_Coverage, 12179,
     /*  740044 */     GIR_EraseRootFromParent_Done,
     /*  740045 */   // Label 11596: @740045
     /*  740045 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740120), // Rule ID 12182 //
     /*  740050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  740061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  740064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  740099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740118 */     GIR_RootConstrainSelectedInstOperands,
     /*  740119 */     // GIR_Coverage, 12182,
     /*  740119 */     GIR_EraseRootFromParent_Done,
     /*  740120 */   // Label 11597: @740120
     /*  740120 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740195), // Rule ID 12183 //
     /*  740125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  740136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  740139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  740174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740193 */     GIR_RootConstrainSelectedInstOperands,
     /*  740194 */     // GIR_Coverage, 12183,
     /*  740194 */     GIR_EraseRootFromParent_Done,
     /*  740195 */   // Label 11598: @740195
     /*  740195 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740270), // Rule ID 12186 //
     /*  740200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740268 */     GIR_RootConstrainSelectedInstOperands,
     /*  740269 */     // GIR_Coverage, 12186,
     /*  740269 */     GIR_EraseRootFromParent_Done,
     /*  740270 */   // Label 11599: @740270
     /*  740270 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740345), // Rule ID 12187 //
     /*  740275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740343 */     GIR_RootConstrainSelectedInstOperands,
     /*  740344 */     // GIR_Coverage, 12187,
     /*  740344 */     GIR_EraseRootFromParent_Done,
     /*  740345 */   // Label 11600: @740345
     /*  740345 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740420), // Rule ID 12190 //
     /*  740350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740418 */     GIR_RootConstrainSelectedInstOperands,
     /*  740419 */     // GIR_Coverage, 12190,
     /*  740419 */     GIR_EraseRootFromParent_Done,
     /*  740420 */   // Label 11601: @740420
     /*  740420 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740495), // Rule ID 12191 //
     /*  740425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740493 */     GIR_RootConstrainSelectedInstOperands,
     /*  740494 */     // GIR_Coverage, 12191,
     /*  740494 */     GIR_EraseRootFromParent_Done,
     /*  740495 */   // Label 11602: @740495
     /*  740495 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740570), // Rule ID 12194 //
     /*  740500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  740520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  740549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740568 */     GIR_RootConstrainSelectedInstOperands,
     /*  740569 */     // GIR_Coverage, 12194,
     /*  740569 */     GIR_EraseRootFromParent_Done,
     /*  740570 */   // Label 11603: @740570
     /*  740570 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740645), // Rule ID 12195 //
     /*  740575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  740595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  740624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740643 */     GIR_RootConstrainSelectedInstOperands,
     /*  740644 */     // GIR_Coverage, 12195,
     /*  740644 */     GIR_EraseRootFromParent_Done,
     /*  740645 */   // Label 11604: @740645
     /*  740645 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740720), // Rule ID 12198 //
     /*  740650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  740670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  740699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740718 */     GIR_RootConstrainSelectedInstOperands,
     /*  740719 */     // GIR_Coverage, 12198,
     /*  740719 */     GIR_EraseRootFromParent_Done,
     /*  740720 */   // Label 11605: @740720
     /*  740720 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(740795), // Rule ID 12199 //
     /*  740725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  740745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  740774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740793 */     GIR_RootConstrainSelectedInstOperands,
     /*  740794 */     // GIR_Coverage, 12199,
     /*  740794 */     GIR_EraseRootFromParent_Done,
     /*  740795 */   // Label 11606: @740795
     /*  740795 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(740870), // Rule ID 12202 //
     /*  740800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  740820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  740849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740868 */     GIR_RootConstrainSelectedInstOperands,
     /*  740869 */     // GIR_Coverage, 12202,
     /*  740869 */     GIR_EraseRootFromParent_Done,
     /*  740870 */   // Label 11607: @740870
     /*  740870 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(740945), // Rule ID 12203 //
     /*  740875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  740895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  740924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740943 */     GIR_RootConstrainSelectedInstOperands,
     /*  740944 */     // GIR_Coverage, 12203,
     /*  740944 */     GIR_EraseRootFromParent_Done,
     /*  740945 */   // Label 11608: @740945
     /*  740945 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741020), // Rule ID 12206 //
     /*  740950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  740999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741018 */     GIR_RootConstrainSelectedInstOperands,
     /*  741019 */     // GIR_Coverage, 12206,
     /*  741019 */     GIR_EraseRootFromParent_Done,
     /*  741020 */   // Label 11609: @741020
     /*  741020 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741095), // Rule ID 12207 //
     /*  741025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  741074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741093 */     GIR_RootConstrainSelectedInstOperands,
     /*  741094 */     // GIR_Coverage, 12207,
     /*  741094 */     GIR_EraseRootFromParent_Done,
     /*  741095 */   // Label 11610: @741095
     /*  741095 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741170), // Rule ID 12210 //
     /*  741100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  741149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741168 */     GIR_RootConstrainSelectedInstOperands,
     /*  741169 */     // GIR_Coverage, 12210,
     /*  741169 */     GIR_EraseRootFromParent_Done,
     /*  741170 */   // Label 11611: @741170
     /*  741170 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741245), // Rule ID 12211 //
     /*  741175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  741224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741243 */     GIR_RootConstrainSelectedInstOperands,
     /*  741244 */     // GIR_Coverage, 12211,
     /*  741244 */     GIR_EraseRootFromParent_Done,
     /*  741245 */   // Label 11612: @741245
     /*  741245 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741320), // Rule ID 12214 //
     /*  741250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741318 */     GIR_RootConstrainSelectedInstOperands,
     /*  741319 */     // GIR_Coverage, 12214,
     /*  741319 */     GIR_EraseRootFromParent_Done,
     /*  741320 */   // Label 11613: @741320
     /*  741320 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741395), // Rule ID 12215 //
     /*  741325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741393 */     GIR_RootConstrainSelectedInstOperands,
     /*  741394 */     // GIR_Coverage, 12215,
     /*  741394 */     GIR_EraseRootFromParent_Done,
     /*  741395 */   // Label 11614: @741395
     /*  741395 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741470), // Rule ID 12218 //
     /*  741400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  741449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741468 */     GIR_RootConstrainSelectedInstOperands,
     /*  741469 */     // GIR_Coverage, 12218,
     /*  741469 */     GIR_EraseRootFromParent_Done,
     /*  741470 */   // Label 11615: @741470
     /*  741470 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741545), // Rule ID 12219 //
     /*  741475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  741524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741543 */     GIR_RootConstrainSelectedInstOperands,
     /*  741544 */     // GIR_Coverage, 12219,
     /*  741544 */     GIR_EraseRootFromParent_Done,
     /*  741545 */   // Label 11616: @741545
     /*  741545 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741620), // Rule ID 12222 //
     /*  741550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  741599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741618 */     GIR_RootConstrainSelectedInstOperands,
     /*  741619 */     // GIR_Coverage, 12222,
     /*  741619 */     GIR_EraseRootFromParent_Done,
     /*  741620 */   // Label 11617: @741620
     /*  741620 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741695), // Rule ID 12223 //
     /*  741625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  741674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741693 */     GIR_RootConstrainSelectedInstOperands,
     /*  741694 */     // GIR_Coverage, 12223,
     /*  741694 */     GIR_EraseRootFromParent_Done,
     /*  741695 */   // Label 11618: @741695
     /*  741695 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(741770), // Rule ID 12226 //
     /*  741700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  741749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741768 */     GIR_RootConstrainSelectedInstOperands,
     /*  741769 */     // GIR_Coverage, 12226,
     /*  741769 */     GIR_EraseRootFromParent_Done,
     /*  741770 */   // Label 11619: @741770
     /*  741770 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(741845), // Rule ID 12227 //
     /*  741775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  741824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741843 */     GIR_RootConstrainSelectedInstOperands,
     /*  741844 */     // GIR_Coverage, 12227,
     /*  741844 */     GIR_EraseRootFromParent_Done,
     /*  741845 */   // Label 11620: @741845
     /*  741845 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(741920), // Rule ID 12230 //
     /*  741850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  741870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  741899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741918 */     GIR_RootConstrainSelectedInstOperands,
     /*  741919 */     // GIR_Coverage, 12230,
     /*  741919 */     GIR_EraseRootFromParent_Done,
     /*  741920 */   // Label 11621: @741920
     /*  741920 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(741995), // Rule ID 12231 //
     /*  741925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  741945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  741974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741993 */     GIR_RootConstrainSelectedInstOperands,
     /*  741994 */     // GIR_Coverage, 12231,
     /*  741994 */     GIR_EraseRootFromParent_Done,
     /*  741995 */   // Label 11622: @741995
     /*  741995 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742070), // Rule ID 12234 //
     /*  742000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  742049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742068 */     GIR_RootConstrainSelectedInstOperands,
     /*  742069 */     // GIR_Coverage, 12234,
     /*  742069 */     GIR_EraseRootFromParent_Done,
     /*  742070 */   // Label 11623: @742070
     /*  742070 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742145), // Rule ID 12235 //
     /*  742075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  742124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742143 */     GIR_RootConstrainSelectedInstOperands,
     /*  742144 */     // GIR_Coverage, 12235,
     /*  742144 */     GIR_EraseRootFromParent_Done,
     /*  742145 */   // Label 11624: @742145
     /*  742145 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742220), // Rule ID 12238 //
     /*  742150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  742199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742218 */     GIR_RootConstrainSelectedInstOperands,
     /*  742219 */     // GIR_Coverage, 12238,
     /*  742219 */     GIR_EraseRootFromParent_Done,
     /*  742220 */   // Label 11625: @742220
     /*  742220 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742295), // Rule ID 12239 //
     /*  742225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  742274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742293 */     GIR_RootConstrainSelectedInstOperands,
     /*  742294 */     // GIR_Coverage, 12239,
     /*  742294 */     GIR_EraseRootFromParent_Done,
     /*  742295 */   // Label 11626: @742295
     /*  742295 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742370), // Rule ID 12242 //
     /*  742300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742368 */     GIR_RootConstrainSelectedInstOperands,
     /*  742369 */     // GIR_Coverage, 12242,
     /*  742369 */     GIR_EraseRootFromParent_Done,
     /*  742370 */   // Label 11627: @742370
     /*  742370 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742445), // Rule ID 12243 //
     /*  742375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742443 */     GIR_RootConstrainSelectedInstOperands,
     /*  742444 */     // GIR_Coverage, 12243,
     /*  742444 */     GIR_EraseRootFromParent_Done,
     /*  742445 */   // Label 11628: @742445
     /*  742445 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742520), // Rule ID 12246 //
     /*  742450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  742499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742518 */     GIR_RootConstrainSelectedInstOperands,
     /*  742519 */     // GIR_Coverage, 12246,
     /*  742519 */     GIR_EraseRootFromParent_Done,
     /*  742520 */   // Label 11629: @742520
     /*  742520 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742595), // Rule ID 12247 //
     /*  742525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  742574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742593 */     GIR_RootConstrainSelectedInstOperands,
     /*  742594 */     // GIR_Coverage, 12247,
     /*  742594 */     GIR_EraseRootFromParent_Done,
     /*  742595 */   // Label 11630: @742595
     /*  742595 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742670), // Rule ID 12250 //
     /*  742600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  742649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742668 */     GIR_RootConstrainSelectedInstOperands,
     /*  742669 */     // GIR_Coverage, 12250,
     /*  742669 */     GIR_EraseRootFromParent_Done,
     /*  742670 */   // Label 11631: @742670
     /*  742670 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(742745), // Rule ID 12251 //
     /*  742675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  742724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742743 */     GIR_RootConstrainSelectedInstOperands,
     /*  742744 */     // GIR_Coverage, 12251,
     /*  742744 */     GIR_EraseRootFromParent_Done,
     /*  742745 */   // Label 11632: @742745
     /*  742745 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(742820), // Rule ID 12254 //
     /*  742750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  742770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  742799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742818 */     GIR_RootConstrainSelectedInstOperands,
     /*  742819 */     // GIR_Coverage, 12254,
     /*  742819 */     GIR_EraseRootFromParent_Done,
     /*  742820 */   // Label 11633: @742820
     /*  742820 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(742895), // Rule ID 12255 //
     /*  742825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  742845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  742874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742893 */     GIR_RootConstrainSelectedInstOperands,
     /*  742894 */     // GIR_Coverage, 12255,
     /*  742894 */     GIR_EraseRootFromParent_Done,
     /*  742895 */   // Label 11634: @742895
     /*  742895 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(742970), // Rule ID 12258 //
     /*  742900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  742920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  742949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742968 */     GIR_RootConstrainSelectedInstOperands,
     /*  742969 */     // GIR_Coverage, 12258,
     /*  742969 */     GIR_EraseRootFromParent_Done,
     /*  742970 */   // Label 11635: @742970
     /*  742970 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743045), // Rule ID 12259 //
     /*  742975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  742995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  743024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743043 */     GIR_RootConstrainSelectedInstOperands,
     /*  743044 */     // GIR_Coverage, 12259,
     /*  743044 */     GIR_EraseRootFromParent_Done,
     /*  743045 */   // Label 11636: @743045
     /*  743045 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743120), // Rule ID 12262 //
     /*  743050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  743070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  743099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743118 */     GIR_RootConstrainSelectedInstOperands,
     /*  743119 */     // GIR_Coverage, 12262,
     /*  743119 */     GIR_EraseRootFromParent_Done,
     /*  743120 */   // Label 11637: @743120
     /*  743120 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743195), // Rule ID 12263 //
     /*  743125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  743145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  743174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743193 */     GIR_RootConstrainSelectedInstOperands,
     /*  743194 */     // GIR_Coverage, 12263,
     /*  743194 */     GIR_EraseRootFromParent_Done,
     /*  743195 */   // Label 11638: @743195
     /*  743195 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743270), // Rule ID 12266 //
     /*  743200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743268 */     GIR_RootConstrainSelectedInstOperands,
     /*  743269 */     // GIR_Coverage, 12266,
     /*  743269 */     GIR_EraseRootFromParent_Done,
     /*  743270 */   // Label 11639: @743270
     /*  743270 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743345), // Rule ID 12267 //
     /*  743275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743343 */     GIR_RootConstrainSelectedInstOperands,
     /*  743344 */     // GIR_Coverage, 12267,
     /*  743344 */     GIR_EraseRootFromParent_Done,
     /*  743345 */   // Label 11640: @743345
     /*  743345 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743420), // Rule ID 12270 //
     /*  743350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743418 */     GIR_RootConstrainSelectedInstOperands,
     /*  743419 */     // GIR_Coverage, 12270,
     /*  743419 */     GIR_EraseRootFromParent_Done,
     /*  743420 */   // Label 11641: @743420
     /*  743420 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743495), // Rule ID 12271 //
     /*  743425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743493 */     GIR_RootConstrainSelectedInstOperands,
     /*  743494 */     // GIR_Coverage, 12271,
     /*  743494 */     GIR_EraseRootFromParent_Done,
     /*  743495 */   // Label 11642: @743495
     /*  743495 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743570), // Rule ID 12274 //
     /*  743500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  743511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  743514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  743549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743568 */     GIR_RootConstrainSelectedInstOperands,
     /*  743569 */     // GIR_Coverage, 12274,
     /*  743569 */     GIR_EraseRootFromParent_Done,
     /*  743570 */   // Label 11643: @743570
     /*  743570 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743645), // Rule ID 12275 //
     /*  743575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  743586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  743589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  743624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743643 */     GIR_RootConstrainSelectedInstOperands,
     /*  743644 */     // GIR_Coverage, 12275,
     /*  743644 */     GIR_EraseRootFromParent_Done,
     /*  743645 */   // Label 11644: @743645
     /*  743645 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743720), // Rule ID 12278 //
     /*  743650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  743661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  743664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  743699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743718 */     GIR_RootConstrainSelectedInstOperands,
     /*  743719 */     // GIR_Coverage, 12278,
     /*  743719 */     GIR_EraseRootFromParent_Done,
     /*  743720 */   // Label 11645: @743720
     /*  743720 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(743795), // Rule ID 12279 //
     /*  743725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  743736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  743739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  743774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743793 */     GIR_RootConstrainSelectedInstOperands,
     /*  743794 */     // GIR_Coverage, 12279,
     /*  743794 */     GIR_EraseRootFromParent_Done,
     /*  743795 */   // Label 11646: @743795
     /*  743795 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(743870), // Rule ID 12282 //
     /*  743800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  743811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  743849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743868 */     GIR_RootConstrainSelectedInstOperands,
     /*  743869 */     // GIR_Coverage, 12282,
     /*  743869 */     GIR_EraseRootFromParent_Done,
     /*  743870 */   // Label 11647: @743870
     /*  743870 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(743945), // Rule ID 12283 //
     /*  743875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  743886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  743924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743943 */     GIR_RootConstrainSelectedInstOperands,
     /*  743944 */     // GIR_Coverage, 12283,
     /*  743944 */     GIR_EraseRootFromParent_Done,
     /*  743945 */   // Label 11648: @743945
     /*  743945 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744020), // Rule ID 12286 //
     /*  743950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  743999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744018 */     GIR_RootConstrainSelectedInstOperands,
     /*  744019 */     // GIR_Coverage, 12286,
     /*  744019 */     GIR_EraseRootFromParent_Done,
     /*  744020 */   // Label 11649: @744020
     /*  744020 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744095), // Rule ID 12287 //
     /*  744025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  744074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744093 */     GIR_RootConstrainSelectedInstOperands,
     /*  744094 */     // GIR_Coverage, 12287,
     /*  744094 */     GIR_EraseRootFromParent_Done,
     /*  744095 */   // Label 11650: @744095
     /*  744095 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744170), // Rule ID 12290 //
     /*  744100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  744111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  744114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  744149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744168 */     GIR_RootConstrainSelectedInstOperands,
     /*  744169 */     // GIR_Coverage, 12290,
     /*  744169 */     GIR_EraseRootFromParent_Done,
     /*  744170 */   // Label 11651: @744170
     /*  744170 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744245), // Rule ID 12291 //
     /*  744175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  744186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  744189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  744224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744243 */     GIR_RootConstrainSelectedInstOperands,
     /*  744244 */     // GIR_Coverage, 12291,
     /*  744244 */     GIR_EraseRootFromParent_Done,
     /*  744245 */   // Label 11652: @744245
     /*  744245 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744320), // Rule ID 12294 //
     /*  744250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744318 */     GIR_RootConstrainSelectedInstOperands,
     /*  744319 */     // GIR_Coverage, 12294,
     /*  744319 */     GIR_EraseRootFromParent_Done,
     /*  744320 */   // Label 11653: @744320
     /*  744320 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744395), // Rule ID 12295 //
     /*  744325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744393 */     GIR_RootConstrainSelectedInstOperands,
     /*  744394 */     // GIR_Coverage, 12295,
     /*  744394 */     GIR_EraseRootFromParent_Done,
     /*  744395 */   // Label 11654: @744395
     /*  744395 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744470), // Rule ID 12298 //
     /*  744400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  744449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744468 */     GIR_RootConstrainSelectedInstOperands,
     /*  744469 */     // GIR_Coverage, 12298,
     /*  744469 */     GIR_EraseRootFromParent_Done,
     /*  744470 */   // Label 11655: @744470
     /*  744470 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744545), // Rule ID 12299 //
     /*  744475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  744524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744543 */     GIR_RootConstrainSelectedInstOperands,
     /*  744544 */     // GIR_Coverage, 12299,
     /*  744544 */     GIR_EraseRootFromParent_Done,
     /*  744545 */   // Label 11656: @744545
     /*  744545 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744620), // Rule ID 12302 //
     /*  744550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  744599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744618 */     GIR_RootConstrainSelectedInstOperands,
     /*  744619 */     // GIR_Coverage, 12302,
     /*  744619 */     GIR_EraseRootFromParent_Done,
     /*  744620 */   // Label 11657: @744620
     /*  744620 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744695), // Rule ID 12303 //
     /*  744625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  744674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744693 */     GIR_RootConstrainSelectedInstOperands,
     /*  744694 */     // GIR_Coverage, 12303,
     /*  744694 */     GIR_EraseRootFromParent_Done,
     /*  744695 */   // Label 11658: @744695
     /*  744695 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(744770), // Rule ID 12306 //
     /*  744700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  744703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  744746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  744749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744768 */     GIR_RootConstrainSelectedInstOperands,
     /*  744769 */     // GIR_Coverage, 12306,
     /*  744769 */     GIR_EraseRootFromParent_Done,
     /*  744770 */   // Label 11659: @744770
     /*  744770 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(744845), // Rule ID 12307 //
     /*  744775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  744778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  744821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  744824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744843 */     GIR_RootConstrainSelectedInstOperands,
     /*  744844 */     // GIR_Coverage, 12307,
     /*  744844 */     GIR_EraseRootFromParent_Done,
     /*  744845 */   // Label 11660: @744845
     /*  744845 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(744920), // Rule ID 12310 //
     /*  744850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  744861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  744864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  744899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744918 */     GIR_RootConstrainSelectedInstOperands,
     /*  744919 */     // GIR_Coverage, 12310,
     /*  744919 */     GIR_EraseRootFromParent_Done,
     /*  744920 */   // Label 11661: @744920
     /*  744920 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(744995), // Rule ID 12311 //
     /*  744925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  744936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  744939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  744974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744993 */     GIR_RootConstrainSelectedInstOperands,
     /*  744994 */     // GIR_Coverage, 12311,
     /*  744994 */     GIR_EraseRootFromParent_Done,
     /*  744995 */   // Label 11662: @744995
     /*  744995 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745070), // Rule ID 12314 //
     /*  745000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  745011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  745014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  745049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745068 */     GIR_RootConstrainSelectedInstOperands,
     /*  745069 */     // GIR_Coverage, 12314,
     /*  745069 */     GIR_EraseRootFromParent_Done,
     /*  745070 */   // Label 11663: @745070
     /*  745070 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745145), // Rule ID 12315 //
     /*  745075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  745086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  745089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  745124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745143 */     GIR_RootConstrainSelectedInstOperands,
     /*  745144 */     // GIR_Coverage, 12315,
     /*  745144 */     GIR_EraseRootFromParent_Done,
     /*  745145 */   // Label 11664: @745145
     /*  745145 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745220), // Rule ID 12318 //
     /*  745150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  745161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  745164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  745199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745218 */     GIR_RootConstrainSelectedInstOperands,
     /*  745219 */     // GIR_Coverage, 12318,
     /*  745219 */     GIR_EraseRootFromParent_Done,
     /*  745220 */   // Label 11665: @745220
     /*  745220 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745295), // Rule ID 12319 //
     /*  745225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  745236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  745239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  745274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745293 */     GIR_RootConstrainSelectedInstOperands,
     /*  745294 */     // GIR_Coverage, 12319,
     /*  745294 */     GIR_EraseRootFromParent_Done,
     /*  745295 */   // Label 11666: @745295
     /*  745295 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745370), // Rule ID 12322 //
     /*  745300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745368 */     GIR_RootConstrainSelectedInstOperands,
     /*  745369 */     // GIR_Coverage, 12322,
     /*  745369 */     GIR_EraseRootFromParent_Done,
     /*  745370 */   // Label 11667: @745370
     /*  745370 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745445), // Rule ID 12323 //
     /*  745375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745443 */     GIR_RootConstrainSelectedInstOperands,
     /*  745444 */     // GIR_Coverage, 12323,
     /*  745444 */     GIR_EraseRootFromParent_Done,
     /*  745445 */   // Label 11668: @745445
     /*  745445 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745520), // Rule ID 12326 //
     /*  745450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  745499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745518 */     GIR_RootConstrainSelectedInstOperands,
     /*  745519 */     // GIR_Coverage, 12326,
     /*  745519 */     GIR_EraseRootFromParent_Done,
     /*  745520 */   // Label 11669: @745520
     /*  745520 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745595), // Rule ID 12327 //
     /*  745525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  745574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745593 */     GIR_RootConstrainSelectedInstOperands,
     /*  745594 */     // GIR_Coverage, 12327,
     /*  745594 */     GIR_EraseRootFromParent_Done,
     /*  745595 */   // Label 11670: @745595
     /*  745595 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745670), // Rule ID 12330 //
     /*  745600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  745649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745668 */     GIR_RootConstrainSelectedInstOperands,
     /*  745669 */     // GIR_Coverage, 12330,
     /*  745669 */     GIR_EraseRootFromParent_Done,
     /*  745670 */   // Label 11671: @745670
     /*  745670 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(745745), // Rule ID 12331 //
     /*  745675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  745724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745743 */     GIR_RootConstrainSelectedInstOperands,
     /*  745744 */     // GIR_Coverage, 12331,
     /*  745744 */     GIR_EraseRootFromParent_Done,
     /*  745745 */   // Label 11672: @745745
     /*  745745 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(745820), // Rule ID 12334 //
     /*  745750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  745799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745818 */     GIR_RootConstrainSelectedInstOperands,
     /*  745819 */     // GIR_Coverage, 12334,
     /*  745819 */     GIR_EraseRootFromParent_Done,
     /*  745820 */   // Label 11673: @745820
     /*  745820 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(745895), // Rule ID 12335 //
     /*  745825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  745874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745893 */     GIR_RootConstrainSelectedInstOperands,
     /*  745894 */     // GIR_Coverage, 12335,
     /*  745894 */     GIR_EraseRootFromParent_Done,
     /*  745895 */   // Label 11674: @745895
     /*  745895 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(745970), // Rule ID 12338 //
     /*  745900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  745949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745968 */     GIR_RootConstrainSelectedInstOperands,
     /*  745969 */     // GIR_Coverage, 12338,
     /*  745969 */     GIR_EraseRootFromParent_Done,
     /*  745970 */   // Label 11675: @745970
     /*  745970 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746045), // Rule ID 12339 //
     /*  745975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  746024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746043 */     GIR_RootConstrainSelectedInstOperands,
     /*  746044 */     // GIR_Coverage, 12339,
     /*  746044 */     GIR_EraseRootFromParent_Done,
     /*  746045 */   // Label 11676: @746045
     /*  746045 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746120), // Rule ID 12342 //
     /*  746050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  746067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  746099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746118 */     GIR_RootConstrainSelectedInstOperands,
     /*  746119 */     // GIR_Coverage, 12342,
     /*  746119 */     GIR_EraseRootFromParent_Done,
     /*  746120 */   // Label 11677: @746120
     /*  746120 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746195), // Rule ID 12343 //
     /*  746125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  746142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  746174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746193 */     GIR_RootConstrainSelectedInstOperands,
     /*  746194 */     // GIR_Coverage, 12343,
     /*  746194 */     GIR_EraseRootFromParent_Done,
     /*  746195 */   // Label 11678: @746195
     /*  746195 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746270), // Rule ID 12346 //
     /*  746200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746268 */     GIR_RootConstrainSelectedInstOperands,
     /*  746269 */     // GIR_Coverage, 12346,
     /*  746269 */     GIR_EraseRootFromParent_Done,
     /*  746270 */   // Label 11679: @746270
     /*  746270 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746345), // Rule ID 12347 //
     /*  746275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746343 */     GIR_RootConstrainSelectedInstOperands,
     /*  746344 */     // GIR_Coverage, 12347,
     /*  746344 */     GIR_EraseRootFromParent_Done,
     /*  746345 */   // Label 11680: @746345
     /*  746345 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746420), // Rule ID 12350 //
     /*  746350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746418 */     GIR_RootConstrainSelectedInstOperands,
     /*  746419 */     // GIR_Coverage, 12350,
     /*  746419 */     GIR_EraseRootFromParent_Done,
     /*  746420 */   // Label 11681: @746420
     /*  746420 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746495), // Rule ID 12351 //
     /*  746425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746493 */     GIR_RootConstrainSelectedInstOperands,
     /*  746494 */     // GIR_Coverage, 12351,
     /*  746494 */     GIR_EraseRootFromParent_Done,
     /*  746495 */   // Label 11682: @746495
     /*  746495 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746570), // Rule ID 12354 //
     /*  746500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  746517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  746549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746568 */     GIR_RootConstrainSelectedInstOperands,
     /*  746569 */     // GIR_Coverage, 12354,
     /*  746569 */     GIR_EraseRootFromParent_Done,
     /*  746570 */   // Label 11683: @746570
     /*  746570 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746645), // Rule ID 12355 //
     /*  746575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  746592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  746624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746643 */     GIR_RootConstrainSelectedInstOperands,
     /*  746644 */     // GIR_Coverage, 12355,
     /*  746644 */     GIR_EraseRootFromParent_Done,
     /*  746645 */   // Label 11684: @746645
     /*  746645 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746720), // Rule ID 12358 //
     /*  746650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  746699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746718 */     GIR_RootConstrainSelectedInstOperands,
     /*  746719 */     // GIR_Coverage, 12358,
     /*  746719 */     GIR_EraseRootFromParent_Done,
     /*  746720 */   // Label 11685: @746720
     /*  746720 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(746795), // Rule ID 12359 //
     /*  746725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  746774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746793 */     GIR_RootConstrainSelectedInstOperands,
     /*  746794 */     // GIR_Coverage, 12359,
     /*  746794 */     GIR_EraseRootFromParent_Done,
     /*  746795 */   // Label 11686: @746795
     /*  746795 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(746870), // Rule ID 12362 //
     /*  746800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  746849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746868 */     GIR_RootConstrainSelectedInstOperands,
     /*  746869 */     // GIR_Coverage, 12362,
     /*  746869 */     GIR_EraseRootFromParent_Done,
     /*  746870 */   // Label 11687: @746870
     /*  746870 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(746945), // Rule ID 12363 //
     /*  746875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  746924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746943 */     GIR_RootConstrainSelectedInstOperands,
     /*  746944 */     // GIR_Coverage, 12363,
     /*  746944 */     GIR_EraseRootFromParent_Done,
     /*  746945 */   // Label 11688: @746945
     /*  746945 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747020), // Rule ID 12366 //
     /*  746950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  746999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747018 */     GIR_RootConstrainSelectedInstOperands,
     /*  747019 */     // GIR_Coverage, 12366,
     /*  747019 */     GIR_EraseRootFromParent_Done,
     /*  747020 */   // Label 11689: @747020
     /*  747020 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747095), // Rule ID 12367 //
     /*  747025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747093 */     GIR_RootConstrainSelectedInstOperands,
     /*  747094 */     // GIR_Coverage, 12367,
     /*  747094 */     GIR_EraseRootFromParent_Done,
     /*  747095 */   // Label 11690: @747095
     /*  747095 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747170), // Rule ID 12370 //
     /*  747100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747168 */     GIR_RootConstrainSelectedInstOperands,
     /*  747169 */     // GIR_Coverage, 12370,
     /*  747169 */     GIR_EraseRootFromParent_Done,
     /*  747170 */   // Label 11691: @747170
     /*  747170 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747245), // Rule ID 12371 //
     /*  747175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747243 */     GIR_RootConstrainSelectedInstOperands,
     /*  747244 */     // GIR_Coverage, 12371,
     /*  747244 */     GIR_EraseRootFromParent_Done,
     /*  747245 */   // Label 11692: @747245
     /*  747245 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747320), // Rule ID 12374 //
     /*  747250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747318 */     GIR_RootConstrainSelectedInstOperands,
     /*  747319 */     // GIR_Coverage, 12374,
     /*  747319 */     GIR_EraseRootFromParent_Done,
     /*  747320 */   // Label 11693: @747320
     /*  747320 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747395), // Rule ID 12375 //
     /*  747325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747393 */     GIR_RootConstrainSelectedInstOperands,
     /*  747394 */     // GIR_Coverage, 12375,
     /*  747394 */     GIR_EraseRootFromParent_Done,
     /*  747395 */   // Label 11694: @747395
     /*  747395 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747470), // Rule ID 12378 //
     /*  747400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747468 */     GIR_RootConstrainSelectedInstOperands,
     /*  747469 */     // GIR_Coverage, 12378,
     /*  747469 */     GIR_EraseRootFromParent_Done,
     /*  747470 */   // Label 11695: @747470
     /*  747470 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747545), // Rule ID 12379 //
     /*  747475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747543 */     GIR_RootConstrainSelectedInstOperands,
     /*  747544 */     // GIR_Coverage, 12379,
     /*  747544 */     GIR_EraseRootFromParent_Done,
     /*  747545 */   // Label 11696: @747545
     /*  747545 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747620), // Rule ID 12382 //
     /*  747550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747618 */     GIR_RootConstrainSelectedInstOperands,
     /*  747619 */     // GIR_Coverage, 12382,
     /*  747619 */     GIR_EraseRootFromParent_Done,
     /*  747620 */   // Label 11697: @747620
     /*  747620 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747695), // Rule ID 12383 //
     /*  747625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747693 */     GIR_RootConstrainSelectedInstOperands,
     /*  747694 */     // GIR_Coverage, 12383,
     /*  747694 */     GIR_EraseRootFromParent_Done,
     /*  747695 */   // Label 11698: @747695
     /*  747695 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(747770), // Rule ID 12386 //
     /*  747700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747768 */     GIR_RootConstrainSelectedInstOperands,
     /*  747769 */     // GIR_Coverage, 12386,
     /*  747769 */     GIR_EraseRootFromParent_Done,
     /*  747770 */   // Label 11699: @747770
     /*  747770 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(747845), // Rule ID 12387 //
     /*  747775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747843 */     GIR_RootConstrainSelectedInstOperands,
     /*  747844 */     // GIR_Coverage, 12387,
     /*  747844 */     GIR_EraseRootFromParent_Done,
     /*  747845 */   // Label 11700: @747845
     /*  747845 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(747920), // Rule ID 12390 //
     /*  747850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747918 */     GIR_RootConstrainSelectedInstOperands,
     /*  747919 */     // GIR_Coverage, 12390,
     /*  747919 */     GIR_EraseRootFromParent_Done,
     /*  747920 */   // Label 11701: @747920
     /*  747920 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(747995), // Rule ID 12391 //
     /*  747925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747993 */     GIR_RootConstrainSelectedInstOperands,
     /*  747994 */     // GIR_Coverage, 12391,
     /*  747994 */     GIR_EraseRootFromParent_Done,
     /*  747995 */   // Label 11702: @747995
     /*  747995 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748070), // Rule ID 12394 //
     /*  748000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748068 */     GIR_RootConstrainSelectedInstOperands,
     /*  748069 */     // GIR_Coverage, 12394,
     /*  748069 */     GIR_EraseRootFromParent_Done,
     /*  748070 */   // Label 11703: @748070
     /*  748070 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748145), // Rule ID 12395 //
     /*  748075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748143 */     GIR_RootConstrainSelectedInstOperands,
     /*  748144 */     // GIR_Coverage, 12395,
     /*  748144 */     GIR_EraseRootFromParent_Done,
     /*  748145 */   // Label 11704: @748145
     /*  748145 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748220), // Rule ID 12398 //
     /*  748150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748218 */     GIR_RootConstrainSelectedInstOperands,
     /*  748219 */     // GIR_Coverage, 12398,
     /*  748219 */     GIR_EraseRootFromParent_Done,
     /*  748220 */   // Label 11705: @748220
     /*  748220 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748295), // Rule ID 12399 //
     /*  748225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748293 */     GIR_RootConstrainSelectedInstOperands,
     /*  748294 */     // GIR_Coverage, 12399,
     /*  748294 */     GIR_EraseRootFromParent_Done,
     /*  748295 */   // Label 11706: @748295
     /*  748295 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748370), // Rule ID 12402 //
     /*  748300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748368 */     GIR_RootConstrainSelectedInstOperands,
     /*  748369 */     // GIR_Coverage, 12402,
     /*  748369 */     GIR_EraseRootFromParent_Done,
     /*  748370 */   // Label 11707: @748370
     /*  748370 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748445), // Rule ID 12403 //
     /*  748375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748443 */     GIR_RootConstrainSelectedInstOperands,
     /*  748444 */     // GIR_Coverage, 12403,
     /*  748444 */     GIR_EraseRootFromParent_Done,
     /*  748445 */   // Label 11708: @748445
     /*  748445 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748520), // Rule ID 12406 //
     /*  748450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748518 */     GIR_RootConstrainSelectedInstOperands,
     /*  748519 */     // GIR_Coverage, 12406,
     /*  748519 */     GIR_EraseRootFromParent_Done,
     /*  748520 */   // Label 11709: @748520
     /*  748520 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748595), // Rule ID 12407 //
     /*  748525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748593 */     GIR_RootConstrainSelectedInstOperands,
     /*  748594 */     // GIR_Coverage, 12407,
     /*  748594 */     GIR_EraseRootFromParent_Done,
     /*  748595 */   // Label 11710: @748595
     /*  748595 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748670), // Rule ID 12410 //
     /*  748600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748668 */     GIR_RootConstrainSelectedInstOperands,
     /*  748669 */     // GIR_Coverage, 12410,
     /*  748669 */     GIR_EraseRootFromParent_Done,
     /*  748670 */   // Label 11711: @748670
     /*  748670 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(748745), // Rule ID 12411 //
     /*  748675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748743 */     GIR_RootConstrainSelectedInstOperands,
     /*  748744 */     // GIR_Coverage, 12411,
     /*  748744 */     GIR_EraseRootFromParent_Done,
     /*  748745 */   // Label 11712: @748745
     /*  748745 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(748820), // Rule ID 12414 //
     /*  748750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748818 */     GIR_RootConstrainSelectedInstOperands,
     /*  748819 */     // GIR_Coverage, 12414,
     /*  748819 */     GIR_EraseRootFromParent_Done,
     /*  748820 */   // Label 11713: @748820
     /*  748820 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(748895), // Rule ID 12415 //
     /*  748825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748893 */     GIR_RootConstrainSelectedInstOperands,
     /*  748894 */     // GIR_Coverage, 12415,
     /*  748894 */     GIR_EraseRootFromParent_Done,
     /*  748895 */   // Label 11714: @748895
     /*  748895 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(748970), // Rule ID 12418 //
     /*  748900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  748949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748968 */     GIR_RootConstrainSelectedInstOperands,
     /*  748969 */     // GIR_Coverage, 12418,
     /*  748969 */     GIR_EraseRootFromParent_Done,
     /*  748970 */   // Label 11715: @748970
     /*  748970 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749045), // Rule ID 12419 //
     /*  748975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  749024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749043 */     GIR_RootConstrainSelectedInstOperands,
     /*  749044 */     // GIR_Coverage, 12419,
     /*  749044 */     GIR_EraseRootFromParent_Done,
     /*  749045 */   // Label 11716: @749045
     /*  749045 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749120), // Rule ID 12422 //
     /*  749050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749118 */     GIR_RootConstrainSelectedInstOperands,
     /*  749119 */     // GIR_Coverage, 12422,
     /*  749119 */     GIR_EraseRootFromParent_Done,
     /*  749120 */   // Label 11717: @749120
     /*  749120 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749195), // Rule ID 12423 //
     /*  749125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749193 */     GIR_RootConstrainSelectedInstOperands,
     /*  749194 */     // GIR_Coverage, 12423,
     /*  749194 */     GIR_EraseRootFromParent_Done,
     /*  749195 */   // Label 11718: @749195
     /*  749195 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749270), // Rule ID 12426 //
     /*  749200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749268 */     GIR_RootConstrainSelectedInstOperands,
     /*  749269 */     // GIR_Coverage, 12426,
     /*  749269 */     GIR_EraseRootFromParent_Done,
     /*  749270 */   // Label 11719: @749270
     /*  749270 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749345), // Rule ID 12427 //
     /*  749275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749343 */     GIR_RootConstrainSelectedInstOperands,
     /*  749344 */     // GIR_Coverage, 12427,
     /*  749344 */     GIR_EraseRootFromParent_Done,
     /*  749345 */   // Label 11720: @749345
     /*  749345 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749420), // Rule ID 12430 //
     /*  749350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749418 */     GIR_RootConstrainSelectedInstOperands,
     /*  749419 */     // GIR_Coverage, 12430,
     /*  749419 */     GIR_EraseRootFromParent_Done,
     /*  749420 */   // Label 11721: @749420
     /*  749420 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749495), // Rule ID 12431 //
     /*  749425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749493 */     GIR_RootConstrainSelectedInstOperands,
     /*  749494 */     // GIR_Coverage, 12431,
     /*  749494 */     GIR_EraseRootFromParent_Done,
     /*  749495 */   // Label 11722: @749495
     /*  749495 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749570), // Rule ID 12434 //
     /*  749500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  749549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749568 */     GIR_RootConstrainSelectedInstOperands,
     /*  749569 */     // GIR_Coverage, 12434,
     /*  749569 */     GIR_EraseRootFromParent_Done,
     /*  749570 */   // Label 11723: @749570
     /*  749570 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749645), // Rule ID 12435 //
     /*  749575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  749624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749643 */     GIR_RootConstrainSelectedInstOperands,
     /*  749644 */     // GIR_Coverage, 12435,
     /*  749644 */     GIR_EraseRootFromParent_Done,
     /*  749645 */   // Label 11724: @749645
     /*  749645 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749720), // Rule ID 12438 //
     /*  749650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  749699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749718 */     GIR_RootConstrainSelectedInstOperands,
     /*  749719 */     // GIR_Coverage, 12438,
     /*  749719 */     GIR_EraseRootFromParent_Done,
     /*  749720 */   // Label 11725: @749720
     /*  749720 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(749795), // Rule ID 12439 //
     /*  749725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  749774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749793 */     GIR_RootConstrainSelectedInstOperands,
     /*  749794 */     // GIR_Coverage, 12439,
     /*  749794 */     GIR_EraseRootFromParent_Done,
     /*  749795 */   // Label 11726: @749795
     /*  749795 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(749870), // Rule ID 12442 //
     /*  749800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749868 */     GIR_RootConstrainSelectedInstOperands,
     /*  749869 */     // GIR_Coverage, 12442,
     /*  749869 */     GIR_EraseRootFromParent_Done,
     /*  749870 */   // Label 11727: @749870
     /*  749870 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(749945), // Rule ID 12443 //
     /*  749875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749943 */     GIR_RootConstrainSelectedInstOperands,
     /*  749944 */     // GIR_Coverage, 12443,
     /*  749944 */     GIR_EraseRootFromParent_Done,
     /*  749945 */   // Label 11728: @749945
     /*  749945 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750020), // Rule ID 12446 //
     /*  749950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750018 */     GIR_RootConstrainSelectedInstOperands,
     /*  750019 */     // GIR_Coverage, 12446,
     /*  750019 */     GIR_EraseRootFromParent_Done,
     /*  750020 */   // Label 11729: @750020
     /*  750020 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750095), // Rule ID 12447 //
     /*  750025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750093 */     GIR_RootConstrainSelectedInstOperands,
     /*  750094 */     // GIR_Coverage, 12447,
     /*  750094 */     GIR_EraseRootFromParent_Done,
     /*  750095 */   // Label 11730: @750095
     /*  750095 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750170), // Rule ID 12450 //
     /*  750100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750168 */     GIR_RootConstrainSelectedInstOperands,
     /*  750169 */     // GIR_Coverage, 12450,
     /*  750169 */     GIR_EraseRootFromParent_Done,
     /*  750170 */   // Label 11731: @750170
     /*  750170 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750245), // Rule ID 12451 //
     /*  750175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750243 */     GIR_RootConstrainSelectedInstOperands,
     /*  750244 */     // GIR_Coverage, 12451,
     /*  750244 */     GIR_EraseRootFromParent_Done,
     /*  750245 */   // Label 11732: @750245
     /*  750245 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750320), // Rule ID 12454 //
     /*  750250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750318 */     GIR_RootConstrainSelectedInstOperands,
     /*  750319 */     // GIR_Coverage, 12454,
     /*  750319 */     GIR_EraseRootFromParent_Done,
     /*  750320 */   // Label 11733: @750320
     /*  750320 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750395), // Rule ID 12455 //
     /*  750325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750393 */     GIR_RootConstrainSelectedInstOperands,
     /*  750394 */     // GIR_Coverage, 12455,
     /*  750394 */     GIR_EraseRootFromParent_Done,
     /*  750395 */   // Label 11734: @750395
     /*  750395 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750470), // Rule ID 12458 //
     /*  750400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750468 */     GIR_RootConstrainSelectedInstOperands,
     /*  750469 */     // GIR_Coverage, 12458,
     /*  750469 */     GIR_EraseRootFromParent_Done,
     /*  750470 */   // Label 11735: @750470
     /*  750470 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750545), // Rule ID 12459 //
     /*  750475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750543 */     GIR_RootConstrainSelectedInstOperands,
     /*  750544 */     // GIR_Coverage, 12459,
     /*  750544 */     GIR_EraseRootFromParent_Done,
     /*  750545 */   // Label 11736: @750545
     /*  750545 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750620), // Rule ID 12462 //
     /*  750550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750618 */     GIR_RootConstrainSelectedInstOperands,
     /*  750619 */     // GIR_Coverage, 12462,
     /*  750619 */     GIR_EraseRootFromParent_Done,
     /*  750620 */   // Label 11737: @750620
     /*  750620 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750695), // Rule ID 12463 //
     /*  750625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750693 */     GIR_RootConstrainSelectedInstOperands,
     /*  750694 */     // GIR_Coverage, 12463,
     /*  750694 */     GIR_EraseRootFromParent_Done,
     /*  750695 */   // Label 11738: @750695
     /*  750695 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(750770), // Rule ID 12466 //
     /*  750700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750768 */     GIR_RootConstrainSelectedInstOperands,
     /*  750769 */     // GIR_Coverage, 12466,
     /*  750769 */     GIR_EraseRootFromParent_Done,
     /*  750770 */   // Label 11739: @750770
     /*  750770 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(750845), // Rule ID 12467 //
     /*  750775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750843 */     GIR_RootConstrainSelectedInstOperands,
     /*  750844 */     // GIR_Coverage, 12467,
     /*  750844 */     GIR_EraseRootFromParent_Done,
     /*  750845 */   // Label 11740: @750845
     /*  750845 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(750920), // Rule ID 12470 //
     /*  750850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750918 */     GIR_RootConstrainSelectedInstOperands,
     /*  750919 */     // GIR_Coverage, 12470,
     /*  750919 */     GIR_EraseRootFromParent_Done,
     /*  750920 */   // Label 11741: @750920
     /*  750920 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(750995), // Rule ID 12471 //
     /*  750925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750993 */     GIR_RootConstrainSelectedInstOperands,
     /*  750994 */     // GIR_Coverage, 12471,
     /*  750994 */     GIR_EraseRootFromParent_Done,
     /*  750995 */   // Label 11742: @750995
     /*  750995 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751070), // Rule ID 12474 //
     /*  751000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  751049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751068 */     GIR_RootConstrainSelectedInstOperands,
     /*  751069 */     // GIR_Coverage, 12474,
     /*  751069 */     GIR_EraseRootFromParent_Done,
     /*  751070 */   // Label 11743: @751070
     /*  751070 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751145), // Rule ID 12475 //
     /*  751075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  751124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751143 */     GIR_RootConstrainSelectedInstOperands,
     /*  751144 */     // GIR_Coverage, 12475,
     /*  751144 */     GIR_EraseRootFromParent_Done,
     /*  751145 */   // Label 11744: @751145
     /*  751145 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751220), // Rule ID 12478 //
     /*  751150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  751199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751218 */     GIR_RootConstrainSelectedInstOperands,
     /*  751219 */     // GIR_Coverage, 12478,
     /*  751219 */     GIR_EraseRootFromParent_Done,
     /*  751220 */   // Label 11745: @751220
     /*  751220 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751295), // Rule ID 12479 //
     /*  751225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  751274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751293 */     GIR_RootConstrainSelectedInstOperands,
     /*  751294 */     // GIR_Coverage, 12479,
     /*  751294 */     GIR_EraseRootFromParent_Done,
     /*  751295 */   // Label 11746: @751295
     /*  751295 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751370), // Rule ID 12482 //
     /*  751300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751368 */     GIR_RootConstrainSelectedInstOperands,
     /*  751369 */     // GIR_Coverage, 12482,
     /*  751369 */     GIR_EraseRootFromParent_Done,
     /*  751370 */   // Label 11747: @751370
     /*  751370 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751445), // Rule ID 12483 //
     /*  751375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751443 */     GIR_RootConstrainSelectedInstOperands,
     /*  751444 */     // GIR_Coverage, 12483,
     /*  751444 */     GIR_EraseRootFromParent_Done,
     /*  751445 */   // Label 11748: @751445
     /*  751445 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751520), // Rule ID 12486 //
     /*  751450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  751499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751518 */     GIR_RootConstrainSelectedInstOperands,
     /*  751519 */     // GIR_Coverage, 12486,
     /*  751519 */     GIR_EraseRootFromParent_Done,
     /*  751520 */   // Label 11749: @751520
     /*  751520 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751595), // Rule ID 12487 //
     /*  751525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  751574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751593 */     GIR_RootConstrainSelectedInstOperands,
     /*  751594 */     // GIR_Coverage, 12487,
     /*  751594 */     GIR_EraseRootFromParent_Done,
     /*  751595 */   // Label 11750: @751595
     /*  751595 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751670), // Rule ID 12490 //
     /*  751600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  751649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751668 */     GIR_RootConstrainSelectedInstOperands,
     /*  751669 */     // GIR_Coverage, 12490,
     /*  751669 */     GIR_EraseRootFromParent_Done,
     /*  751670 */   // Label 11751: @751670
     /*  751670 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(751745), // Rule ID 12491 //
     /*  751675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  751724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751743 */     GIR_RootConstrainSelectedInstOperands,
     /*  751744 */     // GIR_Coverage, 12491,
     /*  751744 */     GIR_EraseRootFromParent_Done,
     /*  751745 */   // Label 11752: @751745
     /*  751745 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(751820), // Rule ID 12494 //
     /*  751750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  751799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751818 */     GIR_RootConstrainSelectedInstOperands,
     /*  751819 */     // GIR_Coverage, 12494,
     /*  751819 */     GIR_EraseRootFromParent_Done,
     /*  751820 */   // Label 11753: @751820
     /*  751820 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(751895), // Rule ID 12495 //
     /*  751825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  751874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751893 */     GIR_RootConstrainSelectedInstOperands,
     /*  751894 */     // GIR_Coverage, 12495,
     /*  751894 */     GIR_EraseRootFromParent_Done,
     /*  751895 */   // Label 11754: @751895
     /*  751895 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(751970), // Rule ID 12498 //
     /*  751900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  751949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751968 */     GIR_RootConstrainSelectedInstOperands,
     /*  751969 */     // GIR_Coverage, 12498,
     /*  751969 */     GIR_EraseRootFromParent_Done,
     /*  751970 */   // Label 11755: @751970
     /*  751970 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752045), // Rule ID 12499 //
     /*  751975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752043 */     GIR_RootConstrainSelectedInstOperands,
     /*  752044 */     // GIR_Coverage, 12499,
     /*  752044 */     GIR_EraseRootFromParent_Done,
     /*  752045 */   // Label 11756: @752045
     /*  752045 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752120), // Rule ID 12502 //
     /*  752050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  752099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752118 */     GIR_RootConstrainSelectedInstOperands,
     /*  752119 */     // GIR_Coverage, 12502,
     /*  752119 */     GIR_EraseRootFromParent_Done,
     /*  752120 */   // Label 11757: @752120
     /*  752120 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752195), // Rule ID 12503 //
     /*  752125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  752174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752193 */     GIR_RootConstrainSelectedInstOperands,
     /*  752194 */     // GIR_Coverage, 12503,
     /*  752194 */     GIR_EraseRootFromParent_Done,
     /*  752195 */   // Label 11758: @752195
     /*  752195 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752270), // Rule ID 12506 //
     /*  752200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752268 */     GIR_RootConstrainSelectedInstOperands,
     /*  752269 */     // GIR_Coverage, 12506,
     /*  752269 */     GIR_EraseRootFromParent_Done,
     /*  752270 */   // Label 11759: @752270
     /*  752270 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752345), // Rule ID 12507 //
     /*  752275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752343 */     GIR_RootConstrainSelectedInstOperands,
     /*  752344 */     // GIR_Coverage, 12507,
     /*  752344 */     GIR_EraseRootFromParent_Done,
     /*  752345 */   // Label 11760: @752345
     /*  752345 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752420), // Rule ID 12510 //
     /*  752350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752418 */     GIR_RootConstrainSelectedInstOperands,
     /*  752419 */     // GIR_Coverage, 12510,
     /*  752419 */     GIR_EraseRootFromParent_Done,
     /*  752420 */   // Label 11761: @752420
     /*  752420 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752495), // Rule ID 12511 //
     /*  752425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752493 */     GIR_RootConstrainSelectedInstOperands,
     /*  752494 */     // GIR_Coverage, 12511,
     /*  752494 */     GIR_EraseRootFromParent_Done,
     /*  752495 */   // Label 11762: @752495
     /*  752495 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752570), // Rule ID 12514 //
     /*  752500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752568 */     GIR_RootConstrainSelectedInstOperands,
     /*  752569 */     // GIR_Coverage, 12514,
     /*  752569 */     GIR_EraseRootFromParent_Done,
     /*  752570 */   // Label 11763: @752570
     /*  752570 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752645), // Rule ID 12515 //
     /*  752575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752643 */     GIR_RootConstrainSelectedInstOperands,
     /*  752644 */     // GIR_Coverage, 12515,
     /*  752644 */     GIR_EraseRootFromParent_Done,
     /*  752645 */   // Label 11764: @752645
     /*  752645 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752720), // Rule ID 12518 //
     /*  752650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752718 */     GIR_RootConstrainSelectedInstOperands,
     /*  752719 */     // GIR_Coverage, 12518,
     /*  752719 */     GIR_EraseRootFromParent_Done,
     /*  752720 */   // Label 11765: @752720
     /*  752720 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(752795), // Rule ID 12519 //
     /*  752725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752793 */     GIR_RootConstrainSelectedInstOperands,
     /*  752794 */     // GIR_Coverage, 12519,
     /*  752794 */     GIR_EraseRootFromParent_Done,
     /*  752795 */   // Label 11766: @752795
     /*  752795 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(752870), // Rule ID 12522 //
     /*  752800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752868 */     GIR_RootConstrainSelectedInstOperands,
     /*  752869 */     // GIR_Coverage, 12522,
     /*  752869 */     GIR_EraseRootFromParent_Done,
     /*  752870 */   // Label 11767: @752870
     /*  752870 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(752945), // Rule ID 12523 //
     /*  752875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752943 */     GIR_RootConstrainSelectedInstOperands,
     /*  752944 */     // GIR_Coverage, 12523,
     /*  752944 */     GIR_EraseRootFromParent_Done,
     /*  752945 */   // Label 11768: @752945
     /*  752945 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753020), // Rule ID 12526 //
     /*  752950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753018 */     GIR_RootConstrainSelectedInstOperands,
     /*  753019 */     // GIR_Coverage, 12526,
     /*  753019 */     GIR_EraseRootFromParent_Done,
     /*  753020 */   // Label 11769: @753020
     /*  753020 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753095), // Rule ID 12527 //
     /*  753025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  753074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753093 */     GIR_RootConstrainSelectedInstOperands,
     /*  753094 */     // GIR_Coverage, 12527,
     /*  753094 */     GIR_EraseRootFromParent_Done,
     /*  753095 */   // Label 11770: @753095
     /*  753095 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753170), // Rule ID 12530 //
     /*  753100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753168 */     GIR_RootConstrainSelectedInstOperands,
     /*  753169 */     // GIR_Coverage, 12530,
     /*  753169 */     GIR_EraseRootFromParent_Done,
     /*  753170 */   // Label 11771: @753170
     /*  753170 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753245), // Rule ID 12531 //
     /*  753175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753221 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753243 */     GIR_RootConstrainSelectedInstOperands,
     /*  753244 */     // GIR_Coverage, 12531,
     /*  753244 */     GIR_EraseRootFromParent_Done,
     /*  753245 */   // Label 11772: @753245
     /*  753245 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753320), // Rule ID 12534 //
     /*  753250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753318 */     GIR_RootConstrainSelectedInstOperands,
     /*  753319 */     // GIR_Coverage, 12534,
     /*  753319 */     GIR_EraseRootFromParent_Done,
     /*  753320 */   // Label 11773: @753320
     /*  753320 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753395), // Rule ID 12535 //
     /*  753325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753393 */     GIR_RootConstrainSelectedInstOperands,
     /*  753394 */     // GIR_Coverage, 12535,
     /*  753394 */     GIR_EraseRootFromParent_Done,
     /*  753395 */   // Label 11774: @753395
     /*  753395 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753470), // Rule ID 12538 //
     /*  753400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  753449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753468 */     GIR_RootConstrainSelectedInstOperands,
     /*  753469 */     // GIR_Coverage, 12538,
     /*  753469 */     GIR_EraseRootFromParent_Done,
     /*  753470 */   // Label 11775: @753470
     /*  753470 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753545), // Rule ID 12539 //
     /*  753475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  753524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753543 */     GIR_RootConstrainSelectedInstOperands,
     /*  753544 */     // GIR_Coverage, 12539,
     /*  753544 */     GIR_EraseRootFromParent_Done,
     /*  753545 */   // Label 11776: @753545
     /*  753545 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753620), // Rule ID 12542 //
     /*  753550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  753599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753618 */     GIR_RootConstrainSelectedInstOperands,
     /*  753619 */     // GIR_Coverage, 12542,
     /*  753619 */     GIR_EraseRootFromParent_Done,
     /*  753620 */   // Label 11777: @753620
     /*  753620 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753695), // Rule ID 12543 //
     /*  753625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  753674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753693 */     GIR_RootConstrainSelectedInstOperands,
     /*  753694 */     // GIR_Coverage, 12543,
     /*  753694 */     GIR_EraseRootFromParent_Done,
     /*  753695 */   // Label 11778: @753695
     /*  753695 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(753770), // Rule ID 12546 //
     /*  753700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  753749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753768 */     GIR_RootConstrainSelectedInstOperands,
     /*  753769 */     // GIR_Coverage, 12546,
     /*  753769 */     GIR_EraseRootFromParent_Done,
     /*  753770 */   // Label 11779: @753770
     /*  753770 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(753845), // Rule ID 12547 //
     /*  753775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  753824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753843 */     GIR_RootConstrainSelectedInstOperands,
     /*  753844 */     // GIR_Coverage, 12547,
     /*  753844 */     GIR_EraseRootFromParent_Done,
     /*  753845 */   // Label 11780: @753845
     /*  753845 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(753920), // Rule ID 12550 //
     /*  753850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  753899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753918 */     GIR_RootConstrainSelectedInstOperands,
     /*  753919 */     // GIR_Coverage, 12550,
     /*  753919 */     GIR_EraseRootFromParent_Done,
     /*  753920 */   // Label 11781: @753920
     /*  753920 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(753995), // Rule ID 12551 //
     /*  753925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  753974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753993 */     GIR_RootConstrainSelectedInstOperands,
     /*  753994 */     // GIR_Coverage, 12551,
     /*  753994 */     GIR_EraseRootFromParent_Done,
     /*  753995 */   // Label 11782: @753995
     /*  753995 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754070), // Rule ID 12554 //
     /*  754000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754068 */     GIR_RootConstrainSelectedInstOperands,
     /*  754069 */     // GIR_Coverage, 12554,
     /*  754069 */     GIR_EraseRootFromParent_Done,
     /*  754070 */   // Label 11783: @754070
     /*  754070 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754145), // Rule ID 12555 //
     /*  754075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754143 */     GIR_RootConstrainSelectedInstOperands,
     /*  754144 */     // GIR_Coverage, 12555,
     /*  754144 */     GIR_EraseRootFromParent_Done,
     /*  754145 */   // Label 11784: @754145
     /*  754145 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754220), // Rule ID 12558 //
     /*  754150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754218 */     GIR_RootConstrainSelectedInstOperands,
     /*  754219 */     // GIR_Coverage, 12558,
     /*  754219 */     GIR_EraseRootFromParent_Done,
     /*  754220 */   // Label 11785: @754220
     /*  754220 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754295), // Rule ID 12559 //
     /*  754225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754293 */     GIR_RootConstrainSelectedInstOperands,
     /*  754294 */     // GIR_Coverage, 12559,
     /*  754294 */     GIR_EraseRootFromParent_Done,
     /*  754295 */   // Label 11786: @754295
     /*  754295 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754370), // Rule ID 12562 //
     /*  754300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754368 */     GIR_RootConstrainSelectedInstOperands,
     /*  754369 */     // GIR_Coverage, 12562,
     /*  754369 */     GIR_EraseRootFromParent_Done,
     /*  754370 */   // Label 11787: @754370
     /*  754370 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754445), // Rule ID 12563 //
     /*  754375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754443 */     GIR_RootConstrainSelectedInstOperands,
     /*  754444 */     // GIR_Coverage, 12563,
     /*  754444 */     GIR_EraseRootFromParent_Done,
     /*  754445 */   // Label 11788: @754445
     /*  754445 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754520), // Rule ID 12566 //
     /*  754450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754518 */     GIR_RootConstrainSelectedInstOperands,
     /*  754519 */     // GIR_Coverage, 12566,
     /*  754519 */     GIR_EraseRootFromParent_Done,
     /*  754520 */   // Label 11789: @754520
     /*  754520 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754595), // Rule ID 12567 //
     /*  754525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754593 */     GIR_RootConstrainSelectedInstOperands,
     /*  754594 */     // GIR_Coverage, 12567,
     /*  754594 */     GIR_EraseRootFromParent_Done,
     /*  754595 */   // Label 11790: @754595
     /*  754595 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754670), // Rule ID 12570 //
     /*  754600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754668 */     GIR_RootConstrainSelectedInstOperands,
     /*  754669 */     // GIR_Coverage, 12570,
     /*  754669 */     GIR_EraseRootFromParent_Done,
     /*  754670 */   // Label 11791: @754670
     /*  754670 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(754745), // Rule ID 12571 //
     /*  754675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754743 */     GIR_RootConstrainSelectedInstOperands,
     /*  754744 */     // GIR_Coverage, 12571,
     /*  754744 */     GIR_EraseRootFromParent_Done,
     /*  754745 */   // Label 11792: @754745
     /*  754745 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(754820), // Rule ID 12574 //
     /*  754750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754818 */     GIR_RootConstrainSelectedInstOperands,
     /*  754819 */     // GIR_Coverage, 12574,
     /*  754819 */     GIR_EraseRootFromParent_Done,
     /*  754820 */   // Label 11793: @754820
     /*  754820 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(754895), // Rule ID 12575 //
     /*  754825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754893 */     GIR_RootConstrainSelectedInstOperands,
     /*  754894 */     // GIR_Coverage, 12575,
     /*  754894 */     GIR_EraseRootFromParent_Done,
     /*  754895 */   // Label 11794: @754895
     /*  754895 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(754970), // Rule ID 12578 //
     /*  754900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754968 */     GIR_RootConstrainSelectedInstOperands,
     /*  754969 */     // GIR_Coverage, 12578,
     /*  754969 */     GIR_EraseRootFromParent_Done,
     /*  754970 */   // Label 11795: @754970
     /*  754970 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755045), // Rule ID 12579 //
     /*  754975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755043 */     GIR_RootConstrainSelectedInstOperands,
     /*  755044 */     // GIR_Coverage, 12579,
     /*  755044 */     GIR_EraseRootFromParent_Done,
     /*  755045 */   // Label 11796: @755045
     /*  755045 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755120), // Rule ID 12582 //
     /*  755050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  755099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755118 */     GIR_RootConstrainSelectedInstOperands,
     /*  755119 */     // GIR_Coverage, 12582,
     /*  755119 */     GIR_EraseRootFromParent_Done,
     /*  755120 */   // Label 11797: @755120
     /*  755120 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755195), // Rule ID 12583 //
     /*  755125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  755174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755193 */     GIR_RootConstrainSelectedInstOperands,
     /*  755194 */     // GIR_Coverage, 12583,
     /*  755194 */     GIR_EraseRootFromParent_Done,
     /*  755195 */   // Label 11798: @755195
     /*  755195 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755270), // Rule ID 12586 //
     /*  755200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755268 */     GIR_RootConstrainSelectedInstOperands,
     /*  755269 */     // GIR_Coverage, 12586,
     /*  755269 */     GIR_EraseRootFromParent_Done,
     /*  755270 */   // Label 11799: @755270
     /*  755270 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755345), // Rule ID 12587 //
     /*  755275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755343 */     GIR_RootConstrainSelectedInstOperands,
     /*  755344 */     // GIR_Coverage, 12587,
     /*  755344 */     GIR_EraseRootFromParent_Done,
     /*  755345 */   // Label 11800: @755345
     /*  755345 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755420), // Rule ID 12590 //
     /*  755350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755418 */     GIR_RootConstrainSelectedInstOperands,
     /*  755419 */     // GIR_Coverage, 12590,
     /*  755419 */     GIR_EraseRootFromParent_Done,
     /*  755420 */   // Label 11801: @755420
     /*  755420 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755495), // Rule ID 12591 //
     /*  755425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755493 */     GIR_RootConstrainSelectedInstOperands,
     /*  755494 */     // GIR_Coverage, 12591,
     /*  755494 */     GIR_EraseRootFromParent_Done,
     /*  755495 */   // Label 11802: @755495
     /*  755495 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755570), // Rule ID 12594 //
     /*  755500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755568 */     GIR_RootConstrainSelectedInstOperands,
     /*  755569 */     // GIR_Coverage, 12594,
     /*  755569 */     GIR_EraseRootFromParent_Done,
     /*  755570 */   // Label 11803: @755570
     /*  755570 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755645), // Rule ID 12595 //
     /*  755575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755643 */     GIR_RootConstrainSelectedInstOperands,
     /*  755644 */     // GIR_Coverage, 12595,
     /*  755644 */     GIR_EraseRootFromParent_Done,
     /*  755645 */   // Label 11804: @755645
     /*  755645 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(755720), // Rule ID 12598 //
     /*  755650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  755699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755718 */     GIR_RootConstrainSelectedInstOperands,
     /*  755719 */     // GIR_Coverage, 12598,
     /*  755719 */     GIR_EraseRootFromParent_Done,
     /*  755720 */   // Label 11805: @755720
     /*  755720 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(755795), // Rule ID 12599 //
     /*  755725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  755774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755793 */     GIR_RootConstrainSelectedInstOperands,
     /*  755794 */     // GIR_Coverage, 12599,
     /*  755794 */     GIR_EraseRootFromParent_Done,
     /*  755795 */   // Label 11806: @755795
     /*  755795 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(755870), // Rule ID 12602 //
     /*  755800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  755849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755868 */     GIR_RootConstrainSelectedInstOperands,
     /*  755869 */     // GIR_Coverage, 12602,
     /*  755869 */     GIR_EraseRootFromParent_Done,
     /*  755870 */   // Label 11807: @755870
     /*  755870 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(755945), // Rule ID 12603 //
     /*  755875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  755924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755943 */     GIR_RootConstrainSelectedInstOperands,
     /*  755944 */     // GIR_Coverage, 12603,
     /*  755944 */     GIR_EraseRootFromParent_Done,
     /*  755945 */   // Label 11808: @755945
     /*  755945 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756020), // Rule ID 12606 //
     /*  755950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  755999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756018 */     GIR_RootConstrainSelectedInstOperands,
     /*  756019 */     // GIR_Coverage, 12606,
     /*  756019 */     GIR_EraseRootFromParent_Done,
     /*  756020 */   // Label 11809: @756020
     /*  756020 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756095), // Rule ID 12607 //
     /*  756025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756093 */     GIR_RootConstrainSelectedInstOperands,
     /*  756094 */     // GIR_Coverage, 12607,
     /*  756094 */     GIR_EraseRootFromParent_Done,
     /*  756095 */   // Label 11810: @756095
     /*  756095 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756170), // Rule ID 12610 //
     /*  756100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756168 */     GIR_RootConstrainSelectedInstOperands,
     /*  756169 */     // GIR_Coverage, 12610,
     /*  756169 */     GIR_EraseRootFromParent_Done,
     /*  756170 */   // Label 11811: @756170
     /*  756170 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756245), // Rule ID 12611 //
     /*  756175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756243 */     GIR_RootConstrainSelectedInstOperands,
     /*  756244 */     // GIR_Coverage, 12611,
     /*  756244 */     GIR_EraseRootFromParent_Done,
     /*  756245 */   // Label 11812: @756245
     /*  756245 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756320), // Rule ID 12614 //
     /*  756250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756318 */     GIR_RootConstrainSelectedInstOperands,
     /*  756319 */     // GIR_Coverage, 12614,
     /*  756319 */     GIR_EraseRootFromParent_Done,
     /*  756320 */   // Label 11813: @756320
     /*  756320 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756395), // Rule ID 12615 //
     /*  756325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756393 */     GIR_RootConstrainSelectedInstOperands,
     /*  756394 */     // GIR_Coverage, 12615,
     /*  756394 */     GIR_EraseRootFromParent_Done,
     /*  756395 */   // Label 11814: @756395
     /*  756395 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756470), // Rule ID 12618 //
     /*  756400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756468 */     GIR_RootConstrainSelectedInstOperands,
     /*  756469 */     // GIR_Coverage, 12618,
     /*  756469 */     GIR_EraseRootFromParent_Done,
     /*  756470 */   // Label 11815: @756470
     /*  756470 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756545), // Rule ID 12619 //
     /*  756475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756543 */     GIR_RootConstrainSelectedInstOperands,
     /*  756544 */     // GIR_Coverage, 12619,
     /*  756544 */     GIR_EraseRootFromParent_Done,
     /*  756545 */   // Label 11816: @756545
     /*  756545 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756620), // Rule ID 12622 //
     /*  756550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756618 */     GIR_RootConstrainSelectedInstOperands,
     /*  756619 */     // GIR_Coverage, 12622,
     /*  756619 */     GIR_EraseRootFromParent_Done,
     /*  756620 */   // Label 11817: @756620
     /*  756620 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(756695), // Rule ID 12623 //
     /*  756625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756693 */     GIR_RootConstrainSelectedInstOperands,
     /*  756694 */     // GIR_Coverage, 12623,
     /*  756694 */     GIR_EraseRootFromParent_Done,
     /*  756695 */   // Label 11818: @756695
     /*  756695 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(756770), // Rule ID 12626 //
     /*  756700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756768 */     GIR_RootConstrainSelectedInstOperands,
     /*  756769 */     // GIR_Coverage, 12626,
     /*  756769 */     GIR_EraseRootFromParent_Done,
     /*  756770 */   // Label 11819: @756770
     /*  756770 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(756845), // Rule ID 12627 //
     /*  756775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756843 */     GIR_RootConstrainSelectedInstOperands,
     /*  756844 */     // GIR_Coverage, 12627,
     /*  756844 */     GIR_EraseRootFromParent_Done,
     /*  756845 */   // Label 11820: @756845
     /*  756845 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(756920), // Rule ID 12630 //
     /*  756850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756918 */     GIR_RootConstrainSelectedInstOperands,
     /*  756919 */     // GIR_Coverage, 12630,
     /*  756919 */     GIR_EraseRootFromParent_Done,
     /*  756920 */   // Label 11821: @756920
     /*  756920 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(756995), // Rule ID 12631 //
     /*  756925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756993 */     GIR_RootConstrainSelectedInstOperands,
     /*  756994 */     // GIR_Coverage, 12631,
     /*  756994 */     GIR_EraseRootFromParent_Done,
     /*  756995 */   // Label 11822: @756995
     /*  756995 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757070), // Rule ID 12634 //
     /*  757000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  757011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  757014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757068 */     GIR_RootConstrainSelectedInstOperands,
     /*  757069 */     // GIR_Coverage, 12634,
     /*  757069 */     GIR_EraseRootFromParent_Done,
     /*  757070 */   // Label 11823: @757070
     /*  757070 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757145), // Rule ID 12635 //
     /*  757075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  757086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  757089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757143 */     GIR_RootConstrainSelectedInstOperands,
     /*  757144 */     // GIR_Coverage, 12635,
     /*  757144 */     GIR_EraseRootFromParent_Done,
     /*  757145 */   // Label 11824: @757145
     /*  757145 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757220), // Rule ID 12638 //
     /*  757150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757218 */     GIR_RootConstrainSelectedInstOperands,
     /*  757219 */     // GIR_Coverage, 12638,
     /*  757219 */     GIR_EraseRootFromParent_Done,
     /*  757220 */   // Label 11825: @757220
     /*  757220 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757295), // Rule ID 12639 //
     /*  757225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757293 */     GIR_RootConstrainSelectedInstOperands,
     /*  757294 */     // GIR_Coverage, 12639,
     /*  757294 */     GIR_EraseRootFromParent_Done,
     /*  757295 */   // Label 11826: @757295
     /*  757295 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757370), // Rule ID 12642 //
     /*  757300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757368 */     GIR_RootConstrainSelectedInstOperands,
     /*  757369 */     // GIR_Coverage, 12642,
     /*  757369 */     GIR_EraseRootFromParent_Done,
     /*  757370 */   // Label 11827: @757370
     /*  757370 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757445), // Rule ID 12643 //
     /*  757375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757443 */     GIR_RootConstrainSelectedInstOperands,
     /*  757444 */     // GIR_Coverage, 12643,
     /*  757444 */     GIR_EraseRootFromParent_Done,
     /*  757445 */   // Label 11828: @757445
     /*  757445 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757520), // Rule ID 12646 //
     /*  757450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757518 */     GIR_RootConstrainSelectedInstOperands,
     /*  757519 */     // GIR_Coverage, 12646,
     /*  757519 */     GIR_EraseRootFromParent_Done,
     /*  757520 */   // Label 11829: @757520
     /*  757520 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757595), // Rule ID 12647 //
     /*  757525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757593 */     GIR_RootConstrainSelectedInstOperands,
     /*  757594 */     // GIR_Coverage, 12647,
     /*  757594 */     GIR_EraseRootFromParent_Done,
     /*  757595 */   // Label 11830: @757595
     /*  757595 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(757670), // Rule ID 12650 //
     /*  757600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757668 */     GIR_RootConstrainSelectedInstOperands,
     /*  757669 */     // GIR_Coverage, 12650,
     /*  757669 */     GIR_EraseRootFromParent_Done,
     /*  757670 */   // Label 11831: @757670
     /*  757670 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(757745), // Rule ID 12651 //
     /*  757675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757743 */     GIR_RootConstrainSelectedInstOperands,
     /*  757744 */     // GIR_Coverage, 12651,
     /*  757744 */     GIR_EraseRootFromParent_Done,
     /*  757745 */   // Label 11832: @757745
     /*  757745 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(757820), // Rule ID 12654 //
     /*  757750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  757767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  757770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757818 */     GIR_RootConstrainSelectedInstOperands,
     /*  757819 */     // GIR_Coverage, 12654,
     /*  757819 */     GIR_EraseRootFromParent_Done,
     /*  757820 */   // Label 11833: @757820
     /*  757820 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(757895), // Rule ID 12655 //
     /*  757825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  757842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  757845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757893 */     GIR_RootConstrainSelectedInstOperands,
     /*  757894 */     // GIR_Coverage, 12655,
     /*  757894 */     GIR_EraseRootFromParent_Done,
     /*  757895 */   // Label 11834: @757895
     /*  757895 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(757970), // Rule ID 12658 //
     /*  757900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  757949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757968 */     GIR_RootConstrainSelectedInstOperands,
     /*  757969 */     // GIR_Coverage, 12658,
     /*  757969 */     GIR_EraseRootFromParent_Done,
     /*  757970 */   // Label 11835: @757970
     /*  757970 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758045), // Rule ID 12659 //
     /*  757975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  758024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758043 */     GIR_RootConstrainSelectedInstOperands,
     /*  758044 */     // GIR_Coverage, 12659,
     /*  758044 */     GIR_EraseRootFromParent_Done,
     /*  758045 */   // Label 11836: @758045
     /*  758045 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758120), // Rule ID 12662 //
     /*  758050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  758067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758118 */     GIR_RootConstrainSelectedInstOperands,
     /*  758119 */     // GIR_Coverage, 12662,
     /*  758119 */     GIR_EraseRootFromParent_Done,
     /*  758120 */   // Label 11837: @758120
     /*  758120 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758195), // Rule ID 12663 //
     /*  758125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  758142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758193 */     GIR_RootConstrainSelectedInstOperands,
     /*  758194 */     // GIR_Coverage, 12663,
     /*  758194 */     GIR_EraseRootFromParent_Done,
     /*  758195 */   // Label 11838: @758195
     /*  758195 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758270), // Rule ID 12666 //
     /*  758200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758268 */     GIR_RootConstrainSelectedInstOperands,
     /*  758269 */     // GIR_Coverage, 12666,
     /*  758269 */     GIR_EraseRootFromParent_Done,
     /*  758270 */   // Label 11839: @758270
     /*  758270 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758345), // Rule ID 12667 //
     /*  758275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758343 */     GIR_RootConstrainSelectedInstOperands,
     /*  758344 */     // GIR_Coverage, 12667,
     /*  758344 */     GIR_EraseRootFromParent_Done,
     /*  758345 */   // Label 11840: @758345
     /*  758345 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758420), // Rule ID 12670 //
     /*  758350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758418 */     GIR_RootConstrainSelectedInstOperands,
     /*  758419 */     // GIR_Coverage, 12670,
     /*  758419 */     GIR_EraseRootFromParent_Done,
     /*  758420 */   // Label 11841: @758420
     /*  758420 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758495), // Rule ID 12671 //
     /*  758425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758493 */     GIR_RootConstrainSelectedInstOperands,
     /*  758494 */     // GIR_Coverage, 12671,
     /*  758494 */     GIR_EraseRootFromParent_Done,
     /*  758495 */   // Label 11842: @758495
     /*  758495 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758570), // Rule ID 12674 //
     /*  758500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  758549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758568 */     GIR_RootConstrainSelectedInstOperands,
     /*  758569 */     // GIR_Coverage, 12674,
     /*  758569 */     GIR_EraseRootFromParent_Done,
     /*  758570 */   // Label 11843: @758570
     /*  758570 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(758645), // Rule ID 12675 //
     /*  758575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  758624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758643 */     GIR_RootConstrainSelectedInstOperands,
     /*  758644 */     // GIR_Coverage, 12675,
     /*  758644 */     GIR_EraseRootFromParent_Done,
     /*  758645 */   // Label 11844: @758645
     /*  758645 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(758720), // Rule ID 12678 //
     /*  758650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  758699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758718 */     GIR_RootConstrainSelectedInstOperands,
     /*  758719 */     // GIR_Coverage, 12678,
     /*  758719 */     GIR_EraseRootFromParent_Done,
     /*  758720 */   // Label 11845: @758720
     /*  758720 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(758795), // Rule ID 12679 //
     /*  758725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  758774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758793 */     GIR_RootConstrainSelectedInstOperands,
     /*  758794 */     // GIR_Coverage, 12679,
     /*  758794 */     GIR_EraseRootFromParent_Done,
     /*  758795 */   // Label 11846: @758795
     /*  758795 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(758870), // Rule ID 12682 //
     /*  758800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758868 */     GIR_RootConstrainSelectedInstOperands,
     /*  758869 */     // GIR_Coverage, 12682,
     /*  758869 */     GIR_EraseRootFromParent_Done,
     /*  758870 */   // Label 11847: @758870
     /*  758870 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(758945), // Rule ID 12683 //
     /*  758875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758943 */     GIR_RootConstrainSelectedInstOperands,
     /*  758944 */     // GIR_Coverage, 12683,
     /*  758944 */     GIR_EraseRootFromParent_Done,
     /*  758945 */   // Label 11848: @758945
     /*  758945 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759020), // Rule ID 12686 //
     /*  758950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  758967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759018 */     GIR_RootConstrainSelectedInstOperands,
     /*  759019 */     // GIR_Coverage, 12686,
     /*  759019 */     GIR_EraseRootFromParent_Done,
     /*  759020 */   // Label 11849: @759020
     /*  759020 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759095), // Rule ID 12687 //
     /*  759025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  759036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  759039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759093 */     GIR_RootConstrainSelectedInstOperands,
     /*  759094 */     // GIR_Coverage, 12687,
     /*  759094 */     GIR_EraseRootFromParent_Done,
     /*  759095 */   // Label 11850: @759095
     /*  759095 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759170), // Rule ID 12690 //
     /*  759100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759168 */     GIR_RootConstrainSelectedInstOperands,
     /*  759169 */     // GIR_Coverage, 12690,
     /*  759169 */     GIR_EraseRootFromParent_Done,
     /*  759170 */   // Label 11851: @759170
     /*  759170 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759245), // Rule ID 12691 //
     /*  759175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759243 */     GIR_RootConstrainSelectedInstOperands,
     /*  759244 */     // GIR_Coverage, 12691,
     /*  759244 */     GIR_EraseRootFromParent_Done,
     /*  759245 */   // Label 11852: @759245
     /*  759245 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759320), // Rule ID 12694 //
     /*  759250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759318 */     GIR_RootConstrainSelectedInstOperands,
     /*  759319 */     // GIR_Coverage, 12694,
     /*  759319 */     GIR_EraseRootFromParent_Done,
     /*  759320 */   // Label 11853: @759320
     /*  759320 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759395), // Rule ID 12695 //
     /*  759325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759393 */     GIR_RootConstrainSelectedInstOperands,
     /*  759394 */     // GIR_Coverage, 12695,
     /*  759394 */     GIR_EraseRootFromParent_Done,
     /*  759395 */   // Label 11854: @759395
     /*  759395 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759470), // Rule ID 12698 //
     /*  759400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759468 */     GIR_RootConstrainSelectedInstOperands,
     /*  759469 */     // GIR_Coverage, 12698,
     /*  759469 */     GIR_EraseRootFromParent_Done,
     /*  759470 */   // Label 11855: @759470
     /*  759470 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(759545), // Rule ID 12699 //
     /*  759475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759543 */     GIR_RootConstrainSelectedInstOperands,
     /*  759544 */     // GIR_Coverage, 12699,
     /*  759544 */     GIR_EraseRootFromParent_Done,
     /*  759545 */   // Label 11856: @759545
     /*  759545 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(759620), // Rule ID 12702 //
     /*  759550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759618 */     GIR_RootConstrainSelectedInstOperands,
     /*  759619 */     // GIR_Coverage, 12702,
     /*  759619 */     GIR_EraseRootFromParent_Done,
     /*  759620 */   // Label 11857: @759620
     /*  759620 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(759695), // Rule ID 12703 //
     /*  759625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759693 */     GIR_RootConstrainSelectedInstOperands,
     /*  759694 */     // GIR_Coverage, 12703,
     /*  759694 */     GIR_EraseRootFromParent_Done,
     /*  759695 */   // Label 11858: @759695
     /*  759695 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(759770), // Rule ID 12706 //
     /*  759700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  759717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759768 */     GIR_RootConstrainSelectedInstOperands,
     /*  759769 */     // GIR_Coverage, 12706,
     /*  759769 */     GIR_EraseRootFromParent_Done,
     /*  759770 */   // Label 11859: @759770
     /*  759770 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(759845), // Rule ID 12707 //
     /*  759775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  759792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759843 */     GIR_RootConstrainSelectedInstOperands,
     /*  759844 */     // GIR_Coverage, 12707,
     /*  759844 */     GIR_EraseRootFromParent_Done,
     /*  759845 */   // Label 11860: @759845
     /*  759845 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(759920), // Rule ID 12710 //
     /*  759850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759918 */     GIR_RootConstrainSelectedInstOperands,
     /*  759919 */     // GIR_Coverage, 12710,
     /*  759919 */     GIR_EraseRootFromParent_Done,
     /*  759920 */   // Label 11861: @759920
     /*  759920 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(759995), // Rule ID 12711 //
     /*  759925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759993 */     GIR_RootConstrainSelectedInstOperands,
     /*  759994 */     // GIR_Coverage, 12711,
     /*  759994 */     GIR_EraseRootFromParent_Done,
     /*  759995 */   // Label 11862: @759995
     /*  759995 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760070), // Rule ID 12714 //
     /*  760000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  760003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  760049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760068 */     GIR_RootConstrainSelectedInstOperands,
     /*  760069 */     // GIR_Coverage, 12714,
     /*  760069 */     GIR_EraseRootFromParent_Done,
     /*  760070 */   // Label 11863: @760070
     /*  760070 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760145), // Rule ID 12715 //
     /*  760075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  760078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  760124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760143 */     GIR_RootConstrainSelectedInstOperands,
     /*  760144 */     // GIR_Coverage, 12715,
     /*  760144 */     GIR_EraseRootFromParent_Done,
     /*  760145 */   // Label 11864: @760145
     /*  760145 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760223), // Rule ID 14044 //
     /*  760150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  760170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  760199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760221 */     GIR_RootConstrainSelectedInstOperands,
     /*  760222 */     // GIR_Coverage, 14044,
     /*  760222 */     GIR_EraseRootFromParent_Done,
     /*  760223 */   // Label 11865: @760223
     /*  760223 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760301), // Rule ID 14045 //
     /*  760228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  760248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760274 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  760277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760299 */     GIR_RootConstrainSelectedInstOperands,
     /*  760300 */     // GIR_Coverage, 14045,
     /*  760300 */     GIR_EraseRootFromParent_Done,
     /*  760301 */   // Label 11866: @760301
     /*  760301 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760379), // Rule ID 14048 //
     /*  760306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760377 */     GIR_RootConstrainSelectedInstOperands,
     /*  760378 */     // GIR_Coverage, 14048,
     /*  760378 */     GIR_EraseRootFromParent_Done,
     /*  760379 */   // Label 11867: @760379
     /*  760379 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760457), // Rule ID 14049 //
     /*  760384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760455 */     GIR_RootConstrainSelectedInstOperands,
     /*  760456 */     // GIR_Coverage, 14049,
     /*  760456 */     GIR_EraseRootFromParent_Done,
     /*  760457 */   // Label 11868: @760457
     /*  760457 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(760535), // Rule ID 14052 //
     /*  760462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  760482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760533 */     GIR_RootConstrainSelectedInstOperands,
     /*  760534 */     // GIR_Coverage, 14052,
     /*  760534 */     GIR_EraseRootFromParent_Done,
     /*  760535 */   // Label 11869: @760535
     /*  760535 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(760613), // Rule ID 14053 //
     /*  760540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  760560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760611 */     GIR_RootConstrainSelectedInstOperands,
     /*  760612 */     // GIR_Coverage, 14053,
     /*  760612 */     GIR_EraseRootFromParent_Done,
     /*  760613 */   // Label 11870: @760613
     /*  760613 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(760691), // Rule ID 14056 //
     /*  760618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  760638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760689 */     GIR_RootConstrainSelectedInstOperands,
     /*  760690 */     // GIR_Coverage, 14056,
     /*  760690 */     GIR_EraseRootFromParent_Done,
     /*  760691 */   // Label 11871: @760691
     /*  760691 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(760769), // Rule ID 14057 //
     /*  760696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  760716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760767 */     GIR_RootConstrainSelectedInstOperands,
     /*  760768 */     // GIR_Coverage, 14057,
     /*  760768 */     GIR_EraseRootFromParent_Done,
     /*  760769 */   // Label 11872: @760769
     /*  760769 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(760847), // Rule ID 14060 //
     /*  760774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  760794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760845 */     GIR_RootConstrainSelectedInstOperands,
     /*  760846 */     // GIR_Coverage, 14060,
     /*  760846 */     GIR_EraseRootFromParent_Done,
     /*  760847 */   // Label 11873: @760847
     /*  760847 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(760925), // Rule ID 14061 //
     /*  760852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  760872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760923 */     GIR_RootConstrainSelectedInstOperands,
     /*  760924 */     // GIR_Coverage, 14061,
     /*  760924 */     GIR_EraseRootFromParent_Done,
     /*  760925 */   // Label 11874: @760925
     /*  760925 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761003), // Rule ID 14064 //
     /*  760930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  760950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761001 */     GIR_RootConstrainSelectedInstOperands,
     /*  761002 */     // GIR_Coverage, 14064,
     /*  761002 */     GIR_EraseRootFromParent_Done,
     /*  761003 */   // Label 11875: @761003
     /*  761003 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761081), // Rule ID 14065 //
     /*  761008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  761028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761079 */     GIR_RootConstrainSelectedInstOperands,
     /*  761080 */     // GIR_Coverage, 14065,
     /*  761080 */     GIR_EraseRootFromParent_Done,
     /*  761081 */   // Label 11876: @761081
     /*  761081 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761159), // Rule ID 14068 //
     /*  761086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  761106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761157 */     GIR_RootConstrainSelectedInstOperands,
     /*  761158 */     // GIR_Coverage, 14068,
     /*  761158 */     GIR_EraseRootFromParent_Done,
     /*  761159 */   // Label 11877: @761159
     /*  761159 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761237), // Rule ID 14069 //
     /*  761164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  761184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761235 */     GIR_RootConstrainSelectedInstOperands,
     /*  761236 */     // GIR_Coverage, 14069,
     /*  761236 */     GIR_EraseRootFromParent_Done,
     /*  761237 */   // Label 11878: @761237
     /*  761237 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761315), // Rule ID 14072 //
     /*  761242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761313 */     GIR_RootConstrainSelectedInstOperands,
     /*  761314 */     // GIR_Coverage, 14072,
     /*  761314 */     GIR_EraseRootFromParent_Done,
     /*  761315 */   // Label 11879: @761315
     /*  761315 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761393), // Rule ID 14073 //
     /*  761320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761391 */     GIR_RootConstrainSelectedInstOperands,
     /*  761392 */     // GIR_Coverage, 14073,
     /*  761392 */     GIR_EraseRootFromParent_Done,
     /*  761393 */   // Label 11880: @761393
     /*  761393 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761471), // Rule ID 14076 //
     /*  761398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761469 */     GIR_RootConstrainSelectedInstOperands,
     /*  761470 */     // GIR_Coverage, 14076,
     /*  761470 */     GIR_EraseRootFromParent_Done,
     /*  761471 */   // Label 11881: @761471
     /*  761471 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(761549), // Rule ID 14077 //
     /*  761476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761547 */     GIR_RootConstrainSelectedInstOperands,
     /*  761548 */     // GIR_Coverage, 14077,
     /*  761548 */     GIR_EraseRootFromParent_Done,
     /*  761549 */   // Label 11882: @761549
     /*  761549 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(761627), // Rule ID 14080 //
     /*  761554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  761574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761625 */     GIR_RootConstrainSelectedInstOperands,
     /*  761626 */     // GIR_Coverage, 14080,
     /*  761626 */     GIR_EraseRootFromParent_Done,
     /*  761627 */   // Label 11883: @761627
     /*  761627 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(761705), // Rule ID 14081 //
     /*  761632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  761652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761703 */     GIR_RootConstrainSelectedInstOperands,
     /*  761704 */     // GIR_Coverage, 14081,
     /*  761704 */     GIR_EraseRootFromParent_Done,
     /*  761705 */   // Label 11884: @761705
     /*  761705 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(761783), // Rule ID 14084 //
     /*  761710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  761730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  761759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761781 */     GIR_RootConstrainSelectedInstOperands,
     /*  761782 */     // GIR_Coverage, 14084,
     /*  761782 */     GIR_EraseRootFromParent_Done,
     /*  761783 */   // Label 11885: @761783
     /*  761783 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(761861), // Rule ID 14085 //
     /*  761788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  761808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  761837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761859 */     GIR_RootConstrainSelectedInstOperands,
     /*  761860 */     // GIR_Coverage, 14085,
     /*  761860 */     GIR_EraseRootFromParent_Done,
     /*  761861 */   // Label 11886: @761861
     /*  761861 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(761939), // Rule ID 14088 //
     /*  761866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  761886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  761915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761937 */     GIR_RootConstrainSelectedInstOperands,
     /*  761938 */     // GIR_Coverage, 14088,
     /*  761938 */     GIR_EraseRootFromParent_Done,
     /*  761939 */   // Label 11887: @761939
     /*  761939 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762017), // Rule ID 14089 //
     /*  761944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  761964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  761993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762015 */     GIR_RootConstrainSelectedInstOperands,
     /*  762016 */     // GIR_Coverage, 14089,
     /*  762016 */     GIR_EraseRootFromParent_Done,
     /*  762017 */   // Label 11888: @762017
     /*  762017 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762095), // Rule ID 14092 //
     /*  762022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762093 */     GIR_RootConstrainSelectedInstOperands,
     /*  762094 */     // GIR_Coverage, 14092,
     /*  762094 */     GIR_EraseRootFromParent_Done,
     /*  762095 */   // Label 11889: @762095
     /*  762095 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762173), // Rule ID 14093 //
     /*  762100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762171 */     GIR_RootConstrainSelectedInstOperands,
     /*  762172 */     // GIR_Coverage, 14093,
     /*  762172 */     GIR_EraseRootFromParent_Done,
     /*  762173 */   // Label 11890: @762173
     /*  762173 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762251), // Rule ID 14096 //
     /*  762178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  762198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762249 */     GIR_RootConstrainSelectedInstOperands,
     /*  762250 */     // GIR_Coverage, 14096,
     /*  762250 */     GIR_EraseRootFromParent_Done,
     /*  762251 */   // Label 11891: @762251
     /*  762251 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762329), // Rule ID 14097 //
     /*  762256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  762276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762327 */     GIR_RootConstrainSelectedInstOperands,
     /*  762328 */     // GIR_Coverage, 14097,
     /*  762328 */     GIR_EraseRootFromParent_Done,
     /*  762329 */   // Label 11892: @762329
     /*  762329 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762407), // Rule ID 14100 //
     /*  762334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762405 */     GIR_RootConstrainSelectedInstOperands,
     /*  762406 */     // GIR_Coverage, 14100,
     /*  762406 */     GIR_EraseRootFromParent_Done,
     /*  762407 */   // Label 11893: @762407
     /*  762407 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762485), // Rule ID 14101 //
     /*  762412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762483 */     GIR_RootConstrainSelectedInstOperands,
     /*  762484 */     // GIR_Coverage, 14101,
     /*  762484 */     GIR_EraseRootFromParent_Done,
     /*  762485 */   // Label 11894: @762485
     /*  762485 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(762563), // Rule ID 14104 //
     /*  762490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  762510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762561 */     GIR_RootConstrainSelectedInstOperands,
     /*  762562 */     // GIR_Coverage, 14104,
     /*  762562 */     GIR_EraseRootFromParent_Done,
     /*  762563 */   // Label 11895: @762563
     /*  762563 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(762641), // Rule ID 14105 //
     /*  762568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  762588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762639 */     GIR_RootConstrainSelectedInstOperands,
     /*  762640 */     // GIR_Coverage, 14105,
     /*  762640 */     GIR_EraseRootFromParent_Done,
     /*  762641 */   // Label 11896: @762641
     /*  762641 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(762719), // Rule ID 14108 //
     /*  762646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  762666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762717 */     GIR_RootConstrainSelectedInstOperands,
     /*  762718 */     // GIR_Coverage, 14108,
     /*  762718 */     GIR_EraseRootFromParent_Done,
     /*  762719 */   // Label 11897: @762719
     /*  762719 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(762797), // Rule ID 14109 //
     /*  762724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  762744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762795 */     GIR_RootConstrainSelectedInstOperands,
     /*  762796 */     // GIR_Coverage, 14109,
     /*  762796 */     GIR_EraseRootFromParent_Done,
     /*  762797 */   // Label 11898: @762797
     /*  762797 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(762875), // Rule ID 14112 //
     /*  762802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  762822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762873 */     GIR_RootConstrainSelectedInstOperands,
     /*  762874 */     // GIR_Coverage, 14112,
     /*  762874 */     GIR_EraseRootFromParent_Done,
     /*  762875 */   // Label 11899: @762875
     /*  762875 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(762953), // Rule ID 14113 //
     /*  762880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  762900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762951 */     GIR_RootConstrainSelectedInstOperands,
     /*  762952 */     // GIR_Coverage, 14113,
     /*  762952 */     GIR_EraseRootFromParent_Done,
     /*  762953 */   // Label 11900: @762953
     /*  762953 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763031), // Rule ID 14116 //
     /*  762958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  762978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763029 */     GIR_RootConstrainSelectedInstOperands,
     /*  763030 */     // GIR_Coverage, 14116,
     /*  763030 */     GIR_EraseRootFromParent_Done,
     /*  763031 */   // Label 11901: @763031
     /*  763031 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763109), // Rule ID 14117 //
     /*  763036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  763056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763107 */     GIR_RootConstrainSelectedInstOperands,
     /*  763108 */     // GIR_Coverage, 14117,
     /*  763108 */     GIR_EraseRootFromParent_Done,
     /*  763109 */   // Label 11902: @763109
     /*  763109 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763187), // Rule ID 14120 //
     /*  763114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  763134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763185 */     GIR_RootConstrainSelectedInstOperands,
     /*  763186 */     // GIR_Coverage, 14120,
     /*  763186 */     GIR_EraseRootFromParent_Done,
     /*  763187 */   // Label 11903: @763187
     /*  763187 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763265), // Rule ID 14121 //
     /*  763192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  763212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763263 */     GIR_RootConstrainSelectedInstOperands,
     /*  763264 */     // GIR_Coverage, 14121,
     /*  763264 */     GIR_EraseRootFromParent_Done,
     /*  763265 */   // Label 11904: @763265
     /*  763265 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763343), // Rule ID 14124 //
     /*  763270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763341 */     GIR_RootConstrainSelectedInstOperands,
     /*  763342 */     // GIR_Coverage, 14124,
     /*  763342 */     GIR_EraseRootFromParent_Done,
     /*  763343 */   // Label 11905: @763343
     /*  763343 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763421), // Rule ID 14125 //
     /*  763348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763419 */     GIR_RootConstrainSelectedInstOperands,
     /*  763420 */     // GIR_Coverage, 14125,
     /*  763420 */     GIR_EraseRootFromParent_Done,
     /*  763421 */   // Label 11906: @763421
     /*  763421 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763499), // Rule ID 14128 //
     /*  763426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  763446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763497 */     GIR_RootConstrainSelectedInstOperands,
     /*  763498 */     // GIR_Coverage, 14128,
     /*  763498 */     GIR_EraseRootFromParent_Done,
     /*  763499 */   // Label 11907: @763499
     /*  763499 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(763577), // Rule ID 14129 //
     /*  763504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  763524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763575 */     GIR_RootConstrainSelectedInstOperands,
     /*  763576 */     // GIR_Coverage, 14129,
     /*  763576 */     GIR_EraseRootFromParent_Done,
     /*  763577 */   // Label 11908: @763577
     /*  763577 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(763655), // Rule ID 14132 //
     /*  763582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  763631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763653 */     GIR_RootConstrainSelectedInstOperands,
     /*  763654 */     // GIR_Coverage, 14132,
     /*  763654 */     GIR_EraseRootFromParent_Done,
     /*  763655 */   // Label 11909: @763655
     /*  763655 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(763733), // Rule ID 14133 //
     /*  763660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763706 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  763709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763731 */     GIR_RootConstrainSelectedInstOperands,
     /*  763732 */     // GIR_Coverage, 14133,
     /*  763732 */     GIR_EraseRootFromParent_Done,
     /*  763733 */   // Label 11910: @763733
     /*  763733 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(763811), // Rule ID 14136 //
     /*  763738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763809 */     GIR_RootConstrainSelectedInstOperands,
     /*  763810 */     // GIR_Coverage, 14136,
     /*  763810 */     GIR_EraseRootFromParent_Done,
     /*  763811 */   // Label 11911: @763811
     /*  763811 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(763889), // Rule ID 14137 //
     /*  763816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763862 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763887 */     GIR_RootConstrainSelectedInstOperands,
     /*  763888 */     // GIR_Coverage, 14137,
     /*  763888 */     GIR_EraseRootFromParent_Done,
     /*  763889 */   // Label 11912: @763889
     /*  763889 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(763967), // Rule ID 14140 //
     /*  763894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  763943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763965 */     GIR_RootConstrainSelectedInstOperands,
     /*  763966 */     // GIR_Coverage, 14140,
     /*  763966 */     GIR_EraseRootFromParent_Done,
     /*  763967 */   // Label 11913: @763967
     /*  763967 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764045), // Rule ID 14141 //
     /*  763972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764043 */     GIR_RootConstrainSelectedInstOperands,
     /*  764044 */     // GIR_Coverage, 14141,
     /*  764044 */     GIR_EraseRootFromParent_Done,
     /*  764045 */   // Label 11914: @764045
     /*  764045 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764123), // Rule ID 14144 //
     /*  764050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  764061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  764064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  764067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764121 */     GIR_RootConstrainSelectedInstOperands,
     /*  764122 */     // GIR_Coverage, 14144,
     /*  764122 */     GIR_EraseRootFromParent_Done,
     /*  764123 */   // Label 11915: @764123
     /*  764123 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764201), // Rule ID 14145 //
     /*  764128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  764139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  764142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  764145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764199 */     GIR_RootConstrainSelectedInstOperands,
     /*  764200 */     // GIR_Coverage, 14145,
     /*  764200 */     GIR_EraseRootFromParent_Done,
     /*  764201 */   // Label 11916: @764201
     /*  764201 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764279), // Rule ID 14148 //
     /*  764206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764252 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764277 */     GIR_RootConstrainSelectedInstOperands,
     /*  764278 */     // GIR_Coverage, 14148,
     /*  764278 */     GIR_EraseRootFromParent_Done,
     /*  764279 */   // Label 11917: @764279
     /*  764279 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764357), // Rule ID 14149 //
     /*  764284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764355 */     GIR_RootConstrainSelectedInstOperands,
     /*  764356 */     // GIR_Coverage, 14149,
     /*  764356 */     GIR_EraseRootFromParent_Done,
     /*  764357 */   // Label 11918: @764357
     /*  764357 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764435), // Rule ID 14152 //
     /*  764362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764433 */     GIR_RootConstrainSelectedInstOperands,
     /*  764434 */     // GIR_Coverage, 14152,
     /*  764434 */     GIR_EraseRootFromParent_Done,
     /*  764435 */   // Label 11919: @764435
     /*  764435 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764513), // Rule ID 14153 //
     /*  764440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764511 */     GIR_RootConstrainSelectedInstOperands,
     /*  764512 */     // GIR_Coverage, 14153,
     /*  764512 */     GIR_EraseRootFromParent_Done,
     /*  764513 */   // Label 11920: @764513
     /*  764513 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(764591), // Rule ID 14156 //
     /*  764518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764589 */     GIR_RootConstrainSelectedInstOperands,
     /*  764590 */     // GIR_Coverage, 14156,
     /*  764590 */     GIR_EraseRootFromParent_Done,
     /*  764591 */   // Label 11921: @764591
     /*  764591 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(764669), // Rule ID 14157 //
     /*  764596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764667 */     GIR_RootConstrainSelectedInstOperands,
     /*  764668 */     // GIR_Coverage, 14157,
     /*  764668 */     GIR_EraseRootFromParent_Done,
     /*  764669 */   // Label 11922: @764669
     /*  764669 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(764747), // Rule ID 14160 //
     /*  764674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764745 */     GIR_RootConstrainSelectedInstOperands,
     /*  764746 */     // GIR_Coverage, 14160,
     /*  764746 */     GIR_EraseRootFromParent_Done,
     /*  764747 */   // Label 11923: @764747
     /*  764747 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(764825), // Rule ID 14161 //
     /*  764752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764823 */     GIR_RootConstrainSelectedInstOperands,
     /*  764824 */     // GIR_Coverage, 14161,
     /*  764824 */     GIR_EraseRootFromParent_Done,
     /*  764825 */   // Label 11924: @764825
     /*  764825 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(764903), // Rule ID 14164 //
     /*  764830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764901 */     GIR_RootConstrainSelectedInstOperands,
     /*  764902 */     // GIR_Coverage, 14164,
     /*  764902 */     GIR_EraseRootFromParent_Done,
     /*  764903 */   // Label 11925: @764903
     /*  764903 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(764981), // Rule ID 14165 //
     /*  764908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764979 */     GIR_RootConstrainSelectedInstOperands,
     /*  764980 */     // GIR_Coverage, 14165,
     /*  764980 */     GIR_EraseRootFromParent_Done,
     /*  764981 */   // Label 11926: @764981
     /*  764981 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765059), // Rule ID 14168 //
     /*  764986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765057 */     GIR_RootConstrainSelectedInstOperands,
     /*  765058 */     // GIR_Coverage, 14168,
     /*  765058 */     GIR_EraseRootFromParent_Done,
     /*  765059 */   // Label 11927: @765059
     /*  765059 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765137), // Rule ID 14169 //
     /*  765064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  765075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765135 */     GIR_RootConstrainSelectedInstOperands,
     /*  765136 */     // GIR_Coverage, 14169,
     /*  765136 */     GIR_EraseRootFromParent_Done,
     /*  765137 */   // Label 11928: @765137
     /*  765137 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765215), // Rule ID 14172 //
     /*  765142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  765153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  765156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  765159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765213 */     GIR_RootConstrainSelectedInstOperands,
     /*  765214 */     // GIR_Coverage, 14172,
     /*  765214 */     GIR_EraseRootFromParent_Done,
     /*  765215 */   // Label 11929: @765215
     /*  765215 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765293), // Rule ID 14173 //
     /*  765220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  765231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  765234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  765237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765291 */     GIR_RootConstrainSelectedInstOperands,
     /*  765292 */     // GIR_Coverage, 14173,
     /*  765292 */     GIR_EraseRootFromParent_Done,
     /*  765293 */   // Label 11930: @765293
     /*  765293 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765371), // Rule ID 14176 //
     /*  765298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765369 */     GIR_RootConstrainSelectedInstOperands,
     /*  765370 */     // GIR_Coverage, 14176,
     /*  765370 */     GIR_EraseRootFromParent_Done,
     /*  765371 */   // Label 11931: @765371
     /*  765371 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765449), // Rule ID 14177 //
     /*  765376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765447 */     GIR_RootConstrainSelectedInstOperands,
     /*  765448 */     // GIR_Coverage, 14177,
     /*  765448 */     GIR_EraseRootFromParent_Done,
     /*  765449 */   // Label 11932: @765449
     /*  765449 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(765527), // Rule ID 14180 //
     /*  765454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765525 */     GIR_RootConstrainSelectedInstOperands,
     /*  765526 */     // GIR_Coverage, 14180,
     /*  765526 */     GIR_EraseRootFromParent_Done,
     /*  765527 */   // Label 11933: @765527
     /*  765527 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(765605), // Rule ID 14181 //
     /*  765532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765603 */     GIR_RootConstrainSelectedInstOperands,
     /*  765604 */     // GIR_Coverage, 14181,
     /*  765604 */     GIR_EraseRootFromParent_Done,
     /*  765605 */   // Label 11934: @765605
     /*  765605 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(765683), // Rule ID 14184 //
     /*  765610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765681 */     GIR_RootConstrainSelectedInstOperands,
     /*  765682 */     // GIR_Coverage, 14184,
     /*  765682 */     GIR_EraseRootFromParent_Done,
     /*  765683 */   // Label 11935: @765683
     /*  765683 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(765761), // Rule ID 14185 //
     /*  765688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765759 */     GIR_RootConstrainSelectedInstOperands,
     /*  765760 */     // GIR_Coverage, 14185,
     /*  765760 */     GIR_EraseRootFromParent_Done,
     /*  765761 */   // Label 11936: @765761
     /*  765761 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(765839), // Rule ID 14188 //
     /*  765766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765812 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765837 */     GIR_RootConstrainSelectedInstOperands,
     /*  765838 */     // GIR_Coverage, 14188,
     /*  765838 */     GIR_EraseRootFromParent_Done,
     /*  765839 */   // Label 11937: @765839
     /*  765839 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(765917), // Rule ID 14189 //
     /*  765844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765890 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765915 */     GIR_RootConstrainSelectedInstOperands,
     /*  765916 */     // GIR_Coverage, 14189,
     /*  765916 */     GIR_EraseRootFromParent_Done,
     /*  765917 */   // Label 11938: @765917
     /*  765917 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(765995), // Rule ID 14192 //
     /*  765922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765993 */     GIR_RootConstrainSelectedInstOperands,
     /*  765994 */     // GIR_Coverage, 14192,
     /*  765994 */     GIR_EraseRootFromParent_Done,
     /*  765995 */   // Label 11939: @765995
     /*  765995 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766073), // Rule ID 14193 //
     /*  766000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  766011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  766014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  766017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766071 */     GIR_RootConstrainSelectedInstOperands,
     /*  766072 */     // GIR_Coverage, 14193,
     /*  766072 */     GIR_EraseRootFromParent_Done,
     /*  766073 */   // Label 11940: @766073
     /*  766073 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766151), // Rule ID 14196 //
     /*  766078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  766089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  766092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  766095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766149 */     GIR_RootConstrainSelectedInstOperands,
     /*  766150 */     // GIR_Coverage, 14196,
     /*  766150 */     GIR_EraseRootFromParent_Done,
     /*  766151 */   // Label 11941: @766151
     /*  766151 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766229), // Rule ID 14197 //
     /*  766156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  766167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  766170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  766173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766227 */     GIR_RootConstrainSelectedInstOperands,
     /*  766228 */     // GIR_Coverage, 14197,
     /*  766228 */     GIR_EraseRootFromParent_Done,
     /*  766229 */   // Label 11942: @766229
     /*  766229 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766307), // Rule ID 14200 //
     /*  766234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766305 */     GIR_RootConstrainSelectedInstOperands,
     /*  766306 */     // GIR_Coverage, 14200,
     /*  766306 */     GIR_EraseRootFromParent_Done,
     /*  766307 */   // Label 11943: @766307
     /*  766307 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766385), // Rule ID 14201 //
     /*  766312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766383 */     GIR_RootConstrainSelectedInstOperands,
     /*  766384 */     // GIR_Coverage, 14201,
     /*  766384 */     GIR_EraseRootFromParent_Done,
     /*  766385 */   // Label 11944: @766385
     /*  766385 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766463), // Rule ID 14204 //
     /*  766390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766461 */     GIR_RootConstrainSelectedInstOperands,
     /*  766462 */     // GIR_Coverage, 14204,
     /*  766462 */     GIR_EraseRootFromParent_Done,
     /*  766463 */   // Label 11945: @766463
     /*  766463 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(766541), // Rule ID 14205 //
     /*  766468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766539 */     GIR_RootConstrainSelectedInstOperands,
     /*  766540 */     // GIR_Coverage, 14205,
     /*  766540 */     GIR_EraseRootFromParent_Done,
     /*  766541 */   // Label 11946: @766541
     /*  766541 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(766619), // Rule ID 14208 //
     /*  766546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766617 */     GIR_RootConstrainSelectedInstOperands,
     /*  766618 */     // GIR_Coverage, 14208,
     /*  766618 */     GIR_EraseRootFromParent_Done,
     /*  766619 */   // Label 11947: @766619
     /*  766619 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(766697), // Rule ID 14209 //
     /*  766624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766695 */     GIR_RootConstrainSelectedInstOperands,
     /*  766696 */     // GIR_Coverage, 14209,
     /*  766696 */     GIR_EraseRootFromParent_Done,
     /*  766697 */   // Label 11948: @766697
     /*  766697 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(766775), // Rule ID 14212 //
     /*  766702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766773 */     GIR_RootConstrainSelectedInstOperands,
     /*  766774 */     // GIR_Coverage, 14212,
     /*  766774 */     GIR_EraseRootFromParent_Done,
     /*  766775 */   // Label 11949: @766775
     /*  766775 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(766853), // Rule ID 14213 //
     /*  766780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766851 */     GIR_RootConstrainSelectedInstOperands,
     /*  766852 */     // GIR_Coverage, 14213,
     /*  766852 */     GIR_EraseRootFromParent_Done,
     /*  766853 */   // Label 11950: @766853
     /*  766853 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(766931), // Rule ID 14216 //
     /*  766858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766929 */     GIR_RootConstrainSelectedInstOperands,
     /*  766930 */     // GIR_Coverage, 14216,
     /*  766930 */     GIR_EraseRootFromParent_Done,
     /*  766931 */   // Label 11951: @766931
     /*  766931 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767009), // Rule ID 14217 //
     /*  766936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767007 */     GIR_RootConstrainSelectedInstOperands,
     /*  767008 */     // GIR_Coverage, 14217,
     /*  767008 */     GIR_EraseRootFromParent_Done,
     /*  767009 */   // Label 11952: @767009
     /*  767009 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767087), // Rule ID 14308 //
     /*  767014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  767063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767085 */     GIR_RootConstrainSelectedInstOperands,
     /*  767086 */     // GIR_Coverage, 14308,
     /*  767086 */     GIR_EraseRootFromParent_Done,
     /*  767087 */   // Label 11953: @767087
     /*  767087 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767165), // Rule ID 14309 //
     /*  767092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767138 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  767141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767163 */     GIR_RootConstrainSelectedInstOperands,
     /*  767164 */     // GIR_Coverage, 14309,
     /*  767164 */     GIR_EraseRootFromParent_Done,
     /*  767165 */   // Label 11954: @767165
     /*  767165 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767243), // Rule ID 14312 //
     /*  767170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  767181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  767190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767241 */     GIR_RootConstrainSelectedInstOperands,
     /*  767242 */     // GIR_Coverage, 14312,
     /*  767242 */     GIR_EraseRootFromParent_Done,
     /*  767243 */   // Label 11955: @767243
     /*  767243 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767321), // Rule ID 14313 //
     /*  767248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  767259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  767268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767319 */     GIR_RootConstrainSelectedInstOperands,
     /*  767320 */     // GIR_Coverage, 14313,
     /*  767320 */     GIR_EraseRootFromParent_Done,
     /*  767321 */   // Label 11956: @767321
     /*  767321 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767399), // Rule ID 14316 //
     /*  767326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767397 */     GIR_RootConstrainSelectedInstOperands,
     /*  767398 */     // GIR_Coverage, 14316,
     /*  767398 */     GIR_EraseRootFromParent_Done,
     /*  767399 */   // Label 11957: @767399
     /*  767399 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767477), // Rule ID 14317 //
     /*  767404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767475 */     GIR_RootConstrainSelectedInstOperands,
     /*  767476 */     // GIR_Coverage, 14317,
     /*  767476 */     GIR_EraseRootFromParent_Done,
     /*  767477 */   // Label 11958: @767477
     /*  767477 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(767555), // Rule ID 14320 //
     /*  767482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  767502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767553 */     GIR_RootConstrainSelectedInstOperands,
     /*  767554 */     // GIR_Coverage, 14320,
     /*  767554 */     GIR_EraseRootFromParent_Done,
     /*  767555 */   // Label 11959: @767555
     /*  767555 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(767633), // Rule ID 14321 //
     /*  767560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  767580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767631 */     GIR_RootConstrainSelectedInstOperands,
     /*  767632 */     // GIR_Coverage, 14321,
     /*  767632 */     GIR_EraseRootFromParent_Done,
     /*  767633 */   // Label 11960: @767633
     /*  767633 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(767711), // Rule ID 14324 //
     /*  767638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  767658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767709 */     GIR_RootConstrainSelectedInstOperands,
     /*  767710 */     // GIR_Coverage, 14324,
     /*  767710 */     GIR_EraseRootFromParent_Done,
     /*  767711 */   // Label 11961: @767711
     /*  767711 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(767789), // Rule ID 14325 //
     /*  767716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  767736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767762 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767787 */     GIR_RootConstrainSelectedInstOperands,
     /*  767788 */     // GIR_Coverage, 14325,
     /*  767788 */     GIR_EraseRootFromParent_Done,
     /*  767789 */   // Label 11962: @767789
     /*  767789 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(767867), // Rule ID 14328 //
     /*  767794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  767814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767865 */     GIR_RootConstrainSelectedInstOperands,
     /*  767866 */     // GIR_Coverage, 14328,
     /*  767866 */     GIR_EraseRootFromParent_Done,
     /*  767867 */   // Label 11963: @767867
     /*  767867 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(767945), // Rule ID 14329 //
     /*  767872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  767892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767943 */     GIR_RootConstrainSelectedInstOperands,
     /*  767944 */     // GIR_Coverage, 14329,
     /*  767944 */     GIR_EraseRootFromParent_Done,
     /*  767945 */   // Label 11964: @767945
     /*  767945 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768023), // Rule ID 14332 //
     /*  767950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  767970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  767999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768021 */     GIR_RootConstrainSelectedInstOperands,
     /*  768022 */     // GIR_Coverage, 14332,
     /*  768022 */     GIR_EraseRootFromParent_Done,
     /*  768023 */   // Label 11965: @768023
     /*  768023 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768101), // Rule ID 14333 //
     /*  768028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  768039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  768042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  768045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  768048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768099 */     GIR_RootConstrainSelectedInstOperands,
     /*  768100 */     // GIR_Coverage, 14333,
     /*  768100 */     GIR_EraseRootFromParent_Done,
     /*  768101 */   // Label 11966: @768101
     /*  768101 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768179), // Rule ID 14336 //
     /*  768106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  768117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  768120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  768123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  768126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768177 */     GIR_RootConstrainSelectedInstOperands,
     /*  768178 */     // GIR_Coverage, 14336,
     /*  768178 */     GIR_EraseRootFromParent_Done,
     /*  768179 */   // Label 11967: @768179
     /*  768179 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768257), // Rule ID 14337 //
     /*  768184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  768195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  768198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  768201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  768204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768255 */     GIR_RootConstrainSelectedInstOperands,
     /*  768256 */     // GIR_Coverage, 14337,
     /*  768256 */     GIR_EraseRootFromParent_Done,
     /*  768257 */   // Label 11968: @768257
     /*  768257 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768335), // Rule ID 14340 //
     /*  768262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768333 */     GIR_RootConstrainSelectedInstOperands,
     /*  768334 */     // GIR_Coverage, 14340,
     /*  768334 */     GIR_EraseRootFromParent_Done,
     /*  768335 */   // Label 11969: @768335
     /*  768335 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768413), // Rule ID 14341 //
     /*  768340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768411 */     GIR_RootConstrainSelectedInstOperands,
     /*  768412 */     // GIR_Coverage, 14341,
     /*  768412 */     GIR_EraseRootFromParent_Done,
     /*  768413 */   // Label 11970: @768413
     /*  768413 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768491), // Rule ID 14344 //
     /*  768418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768489 */     GIR_RootConstrainSelectedInstOperands,
     /*  768490 */     // GIR_Coverage, 14344,
     /*  768490 */     GIR_EraseRootFromParent_Done,
     /*  768491 */   // Label 11971: @768491
     /*  768491 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(768569), // Rule ID 14345 //
     /*  768496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768567 */     GIR_RootConstrainSelectedInstOperands,
     /*  768568 */     // GIR_Coverage, 14345,
     /*  768568 */     GIR_EraseRootFromParent_Done,
     /*  768569 */   // Label 11972: @768569
     /*  768569 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(768647), // Rule ID 14348 //
     /*  768574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  768594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768645 */     GIR_RootConstrainSelectedInstOperands,
     /*  768646 */     // GIR_Coverage, 14348,
     /*  768646 */     GIR_EraseRootFromParent_Done,
     /*  768647 */   // Label 11973: @768647
     /*  768647 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(768725), // Rule ID 14349 //
     /*  768652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  768672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768723 */     GIR_RootConstrainSelectedInstOperands,
     /*  768724 */     // GIR_Coverage, 14349,
     /*  768724 */     GIR_EraseRootFromParent_Done,
     /*  768725 */   // Label 11974: @768725
     /*  768725 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(768803), // Rule ID 14352 //
     /*  768730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  768750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  768779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768801 */     GIR_RootConstrainSelectedInstOperands,
     /*  768802 */     // GIR_Coverage, 14352,
     /*  768802 */     GIR_EraseRootFromParent_Done,
     /*  768803 */   // Label 11975: @768803
     /*  768803 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(768881), // Rule ID 14353 //
     /*  768808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  768828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  768857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768879 */     GIR_RootConstrainSelectedInstOperands,
     /*  768880 */     // GIR_Coverage, 14353,
     /*  768880 */     GIR_EraseRootFromParent_Done,
     /*  768881 */   // Label 11976: @768881
     /*  768881 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(768959), // Rule ID 14356 //
     /*  768886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  768906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  768935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768957 */     GIR_RootConstrainSelectedInstOperands,
     /*  768958 */     // GIR_Coverage, 14356,
     /*  768958 */     GIR_EraseRootFromParent_Done,
     /*  768959 */   // Label 11977: @768959
     /*  768959 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769037), // Rule ID 14357 //
     /*  768964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  768984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769010 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769035 */     GIR_RootConstrainSelectedInstOperands,
     /*  769036 */     // GIR_Coverage, 14357,
     /*  769036 */     GIR_EraseRootFromParent_Done,
     /*  769037 */   // Label 11978: @769037
     /*  769037 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769115), // Rule ID 14360 //
     /*  769042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  769053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  769056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  769059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769113 */     GIR_RootConstrainSelectedInstOperands,
     /*  769114 */     // GIR_Coverage, 14360,
     /*  769114 */     GIR_EraseRootFromParent_Done,
     /*  769115 */   // Label 11979: @769115
     /*  769115 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769193), // Rule ID 14361 //
     /*  769120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  769131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  769134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  769137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769191 */     GIR_RootConstrainSelectedInstOperands,
     /*  769192 */     // GIR_Coverage, 14361,
     /*  769192 */     GIR_EraseRootFromParent_Done,
     /*  769193 */   // Label 11980: @769193
     /*  769193 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769271), // Rule ID 14364 //
     /*  769198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769269 */     GIR_RootConstrainSelectedInstOperands,
     /*  769270 */     // GIR_Coverage, 14364,
     /*  769270 */     GIR_EraseRootFromParent_Done,
     /*  769271 */   // Label 11981: @769271
     /*  769271 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769349), // Rule ID 14365 //
     /*  769276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769347 */     GIR_RootConstrainSelectedInstOperands,
     /*  769348 */     // GIR_Coverage, 14365,
     /*  769348 */     GIR_EraseRootFromParent_Done,
     /*  769349 */   // Label 11982: @769349
     /*  769349 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769427), // Rule ID 14368 //
     /*  769354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769425 */     GIR_RootConstrainSelectedInstOperands,
     /*  769426 */     // GIR_Coverage, 14368,
     /*  769426 */     GIR_EraseRootFromParent_Done,
     /*  769427 */   // Label 11983: @769427
     /*  769427 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769505), // Rule ID 14369 //
     /*  769432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769503 */     GIR_RootConstrainSelectedInstOperands,
     /*  769504 */     // GIR_Coverage, 14369,
     /*  769504 */     GIR_EraseRootFromParent_Done,
     /*  769505 */   // Label 11984: @769505
     /*  769505 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(769583), // Rule ID 14372 //
     /*  769510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  769530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769581 */     GIR_RootConstrainSelectedInstOperands,
     /*  769582 */     // GIR_Coverage, 14372,
     /*  769582 */     GIR_EraseRootFromParent_Done,
     /*  769583 */   // Label 11985: @769583
     /*  769583 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(769661), // Rule ID 14373 //
     /*  769588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  769608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769659 */     GIR_RootConstrainSelectedInstOperands,
     /*  769660 */     // GIR_Coverage, 14373,
     /*  769660 */     GIR_EraseRootFromParent_Done,
     /*  769661 */   // Label 11986: @769661
     /*  769661 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(769739), // Rule ID 14376 //
     /*  769666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  769686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769737 */     GIR_RootConstrainSelectedInstOperands,
     /*  769738 */     // GIR_Coverage, 14376,
     /*  769738 */     GIR_EraseRootFromParent_Done,
     /*  769739 */   // Label 11987: @769739
     /*  769739 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(769817), // Rule ID 14377 //
     /*  769744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  769764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769815 */     GIR_RootConstrainSelectedInstOperands,
     /*  769816 */     // GIR_Coverage, 14377,
     /*  769816 */     GIR_EraseRootFromParent_Done,
     /*  769817 */   // Label 11988: @769817
     /*  769817 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(769895), // Rule ID 14380 //
     /*  769822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  769842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769893 */     GIR_RootConstrainSelectedInstOperands,
     /*  769894 */     // GIR_Coverage, 14380,
     /*  769894 */     GIR_EraseRootFromParent_Done,
     /*  769895 */   // Label 11989: @769895
     /*  769895 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(769973), // Rule ID 14381 //
     /*  769900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  769920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769971 */     GIR_RootConstrainSelectedInstOperands,
     /*  769972 */     // GIR_Coverage, 14381,
     /*  769972 */     GIR_EraseRootFromParent_Done,
     /*  769973 */   // Label 11990: @769973
     /*  769973 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770051), // Rule ID 14384 //
     /*  769978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  769998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770049 */     GIR_RootConstrainSelectedInstOperands,
     /*  770050 */     // GIR_Coverage, 14384,
     /*  770050 */     GIR_EraseRootFromParent_Done,
     /*  770051 */   // Label 11991: @770051
     /*  770051 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770129), // Rule ID 14385 //
     /*  770056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  770076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770127 */     GIR_RootConstrainSelectedInstOperands,
     /*  770128 */     // GIR_Coverage, 14385,
     /*  770128 */     GIR_EraseRootFromParent_Done,
     /*  770129 */   // Label 11992: @770129
     /*  770129 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770207), // Rule ID 14388 //
     /*  770134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  770145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  770148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  770151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  770154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770205 */     GIR_RootConstrainSelectedInstOperands,
     /*  770206 */     // GIR_Coverage, 14388,
     /*  770206 */     GIR_EraseRootFromParent_Done,
     /*  770207 */   // Label 11993: @770207
     /*  770207 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770285), // Rule ID 14389 //
     /*  770212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  770223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  770226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  770229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  770232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770283 */     GIR_RootConstrainSelectedInstOperands,
     /*  770284 */     // GIR_Coverage, 14389,
     /*  770284 */     GIR_EraseRootFromParent_Done,
     /*  770285 */   // Label 11994: @770285
     /*  770285 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770363), // Rule ID 14392 //
     /*  770290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770361 */     GIR_RootConstrainSelectedInstOperands,
     /*  770362 */     // GIR_Coverage, 14392,
     /*  770362 */     GIR_EraseRootFromParent_Done,
     /*  770363 */   // Label 11995: @770363
     /*  770363 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770441), // Rule ID 14393 //
     /*  770368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770439 */     GIR_RootConstrainSelectedInstOperands,
     /*  770440 */     // GIR_Coverage, 14393,
     /*  770440 */     GIR_EraseRootFromParent_Done,
     /*  770441 */   // Label 11996: @770441
     /*  770441 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770519), // Rule ID 14396 //
     /*  770446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  770495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770517 */     GIR_RootConstrainSelectedInstOperands,
     /*  770518 */     // GIR_Coverage, 14396,
     /*  770518 */     GIR_EraseRootFromParent_Done,
     /*  770519 */   // Label 11997: @770519
     /*  770519 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(770597), // Rule ID 14397 //
     /*  770524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770570 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  770573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770595 */     GIR_RootConstrainSelectedInstOperands,
     /*  770596 */     // GIR_Coverage, 14397,
     /*  770596 */     GIR_EraseRootFromParent_Done,
     /*  770597 */   // Label 11998: @770597
     /*  770597 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(770675), // Rule ID 14400 //
     /*  770602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770673 */     GIR_RootConstrainSelectedInstOperands,
     /*  770674 */     // GIR_Coverage, 14400,
     /*  770674 */     GIR_EraseRootFromParent_Done,
     /*  770675 */   // Label 11999: @770675
     /*  770675 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(770753), // Rule ID 14401 //
     /*  770680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770751 */     GIR_RootConstrainSelectedInstOperands,
     /*  770752 */     // GIR_Coverage, 14401,
     /*  770752 */     GIR_EraseRootFromParent_Done,
     /*  770753 */   // Label 12000: @770753
     /*  770753 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(770831), // Rule ID 14404 //
     /*  770758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770829 */     GIR_RootConstrainSelectedInstOperands,
     /*  770830 */     // GIR_Coverage, 14404,
     /*  770830 */     GIR_EraseRootFromParent_Done,
     /*  770831 */   // Label 12001: @770831
     /*  770831 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(770909), // Rule ID 14405 //
     /*  770836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770907 */     GIR_RootConstrainSelectedInstOperands,
     /*  770908 */     // GIR_Coverage, 14405,
     /*  770908 */     GIR_EraseRootFromParent_Done,
     /*  770909 */   // Label 12002: @770909
     /*  770909 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(770987), // Rule ID 14408 //
     /*  770914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770985 */     GIR_RootConstrainSelectedInstOperands,
     /*  770986 */     // GIR_Coverage, 14408,
     /*  770986 */     GIR_EraseRootFromParent_Done,
     /*  770987 */   // Label 12003: @770987
     /*  770987 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771065), // Rule ID 14409 //
     /*  770992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  771041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771063 */     GIR_RootConstrainSelectedInstOperands,
     /*  771064 */     // GIR_Coverage, 14409,
     /*  771064 */     GIR_EraseRootFromParent_Done,
     /*  771065 */   // Label 12004: @771065
     /*  771065 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771143), // Rule ID 14412 //
     /*  771070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  771081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  771084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  771087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771116 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771141 */     GIR_RootConstrainSelectedInstOperands,
     /*  771142 */     // GIR_Coverage, 14412,
     /*  771142 */     GIR_EraseRootFromParent_Done,
     /*  771143 */   // Label 12005: @771143
     /*  771143 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771221), // Rule ID 14413 //
     /*  771148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  771159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  771162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  771165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771219 */     GIR_RootConstrainSelectedInstOperands,
     /*  771220 */     // GIR_Coverage, 14413,
     /*  771220 */     GIR_EraseRootFromParent_Done,
     /*  771221 */   // Label 12006: @771221
     /*  771221 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771299), // Rule ID 14416 //
     /*  771226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771297 */     GIR_RootConstrainSelectedInstOperands,
     /*  771298 */     // GIR_Coverage, 14416,
     /*  771298 */     GIR_EraseRootFromParent_Done,
     /*  771299 */   // Label 12007: @771299
     /*  771299 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771377), // Rule ID 14417 //
     /*  771304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771375 */     GIR_RootConstrainSelectedInstOperands,
     /*  771376 */     // GIR_Coverage, 14417,
     /*  771376 */     GIR_EraseRootFromParent_Done,
     /*  771377 */   // Label 12008: @771377
     /*  771377 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(771455), // Rule ID 14420 //
     /*  771382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771453 */     GIR_RootConstrainSelectedInstOperands,
     /*  771454 */     // GIR_Coverage, 14420,
     /*  771454 */     GIR_EraseRootFromParent_Done,
     /*  771455 */   // Label 12009: @771455
     /*  771455 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(771533), // Rule ID 14421 //
     /*  771460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771506 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771531 */     GIR_RootConstrainSelectedInstOperands,
     /*  771532 */     // GIR_Coverage, 14421,
     /*  771532 */     GIR_EraseRootFromParent_Done,
     /*  771533 */   // Label 12010: @771533
     /*  771533 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(771611), // Rule ID 14424 //
     /*  771538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771609 */     GIR_RootConstrainSelectedInstOperands,
     /*  771610 */     // GIR_Coverage, 14424,
     /*  771610 */     GIR_EraseRootFromParent_Done,
     /*  771611 */   // Label 12011: @771611
     /*  771611 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(771689), // Rule ID 14425 //
     /*  771616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771687 */     GIR_RootConstrainSelectedInstOperands,
     /*  771688 */     // GIR_Coverage, 14425,
     /*  771688 */     GIR_EraseRootFromParent_Done,
     /*  771689 */   // Label 12012: @771689
     /*  771689 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(771767), // Rule ID 14428 //
     /*  771694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771765 */     GIR_RootConstrainSelectedInstOperands,
     /*  771766 */     // GIR_Coverage, 14428,
     /*  771766 */     GIR_EraseRootFromParent_Done,
     /*  771767 */   // Label 12013: @771767
     /*  771767 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(771845), // Rule ID 14429 //
     /*  771772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771843 */     GIR_RootConstrainSelectedInstOperands,
     /*  771844 */     // GIR_Coverage, 14429,
     /*  771844 */     GIR_EraseRootFromParent_Done,
     /*  771845 */   // Label 12014: @771845
     /*  771845 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(771923), // Rule ID 14432 //
     /*  771850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771921 */     GIR_RootConstrainSelectedInstOperands,
     /*  771922 */     // GIR_Coverage, 14432,
     /*  771922 */     GIR_EraseRootFromParent_Done,
     /*  771923 */   // Label 12015: @771923
     /*  771923 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772001), // Rule ID 14433 //
     /*  771928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771999 */     GIR_RootConstrainSelectedInstOperands,
     /*  772000 */     // GIR_Coverage, 14433,
     /*  772000 */     GIR_EraseRootFromParent_Done,
     /*  772001 */   // Label 12016: @772001
     /*  772001 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772079), // Rule ID 14436 //
     /*  772006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772077 */     GIR_RootConstrainSelectedInstOperands,
     /*  772078 */     // GIR_Coverage, 14436,
     /*  772078 */     GIR_EraseRootFromParent_Done,
     /*  772079 */   // Label 12017: @772079
     /*  772079 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772157), // Rule ID 14437 //
     /*  772084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772155 */     GIR_RootConstrainSelectedInstOperands,
     /*  772156 */     // GIR_Coverage, 14437,
     /*  772156 */     GIR_EraseRootFromParent_Done,
     /*  772157 */   // Label 12018: @772157
     /*  772157 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772235), // Rule ID 14440 //
     /*  772162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  772173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  772176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  772179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772233 */     GIR_RootConstrainSelectedInstOperands,
     /*  772234 */     // GIR_Coverage, 14440,
     /*  772234 */     GIR_EraseRootFromParent_Done,
     /*  772235 */   // Label 12019: @772235
     /*  772235 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772313), // Rule ID 14441 //
     /*  772240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  772251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  772254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  772257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772311 */     GIR_RootConstrainSelectedInstOperands,
     /*  772312 */     // GIR_Coverage, 14441,
     /*  772312 */     GIR_EraseRootFromParent_Done,
     /*  772313 */   // Label 12020: @772313
     /*  772313 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772391), // Rule ID 14444 //
     /*  772318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772389 */     GIR_RootConstrainSelectedInstOperands,
     /*  772390 */     // GIR_Coverage, 14444,
     /*  772390 */     GIR_EraseRootFromParent_Done,
     /*  772391 */   // Label 12021: @772391
     /*  772391 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772469), // Rule ID 14445 //
     /*  772396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772467 */     GIR_RootConstrainSelectedInstOperands,
     /*  772468 */     // GIR_Coverage, 14445,
     /*  772468 */     GIR_EraseRootFromParent_Done,
     /*  772469 */   // Label 12022: @772469
     /*  772469 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(772547), // Rule ID 14448 //
     /*  772474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772545 */     GIR_RootConstrainSelectedInstOperands,
     /*  772546 */     // GIR_Coverage, 14448,
     /*  772546 */     GIR_EraseRootFromParent_Done,
     /*  772547 */   // Label 12023: @772547
     /*  772547 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(772625), // Rule ID 14449 //
     /*  772552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772623 */     GIR_RootConstrainSelectedInstOperands,
     /*  772624 */     // GIR_Coverage, 14449,
     /*  772624 */     GIR_EraseRootFromParent_Done,
     /*  772625 */   // Label 12024: @772625
     /*  772625 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(772703), // Rule ID 14452 //
     /*  772630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772701 */     GIR_RootConstrainSelectedInstOperands,
     /*  772702 */     // GIR_Coverage, 14452,
     /*  772702 */     GIR_EraseRootFromParent_Done,
     /*  772703 */   // Label 12025: @772703
     /*  772703 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(772781), // Rule ID 14453 //
     /*  772708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772779 */     GIR_RootConstrainSelectedInstOperands,
     /*  772780 */     // GIR_Coverage, 14453,
     /*  772780 */     GIR_EraseRootFromParent_Done,
     /*  772781 */   // Label 12026: @772781
     /*  772781 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(772859), // Rule ID 14456 //
     /*  772786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772857 */     GIR_RootConstrainSelectedInstOperands,
     /*  772858 */     // GIR_Coverage, 14456,
     /*  772858 */     GIR_EraseRootFromParent_Done,
     /*  772859 */   // Label 12027: @772859
     /*  772859 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(772937), // Rule ID 14457 //
     /*  772864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772910 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772935 */     GIR_RootConstrainSelectedInstOperands,
     /*  772936 */     // GIR_Coverage, 14457,
     /*  772936 */     GIR_EraseRootFromParent_Done,
     /*  772937 */   // Label 12028: @772937
     /*  772937 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773015), // Rule ID 14460 //
     /*  772942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773013 */     GIR_RootConstrainSelectedInstOperands,
     /*  773014 */     // GIR_Coverage, 14460,
     /*  773014 */     GIR_EraseRootFromParent_Done,
     /*  773015 */   // Label 12029: @773015
     /*  773015 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773093), // Rule ID 14461 //
     /*  773020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773091 */     GIR_RootConstrainSelectedInstOperands,
     /*  773092 */     // GIR_Coverage, 14461,
     /*  773092 */     GIR_EraseRootFromParent_Done,
     /*  773093 */   // Label 12030: @773093
     /*  773093 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773171), // Rule ID 14464 //
     /*  773098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773169 */     GIR_RootConstrainSelectedInstOperands,
     /*  773170 */     // GIR_Coverage, 14464,
     /*  773170 */     GIR_EraseRootFromParent_Done,
     /*  773171 */   // Label 12031: @773171
     /*  773171 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773249), // Rule ID 14465 //
     /*  773176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773247 */     GIR_RootConstrainSelectedInstOperands,
     /*  773248 */     // GIR_Coverage, 14465,
     /*  773248 */     GIR_EraseRootFromParent_Done,
     /*  773249 */   // Label 12032: @773249
     /*  773249 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773327), // Rule ID 14468 //
     /*  773254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773300 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773325 */     GIR_RootConstrainSelectedInstOperands,
     /*  773326 */     // GIR_Coverage, 14468,
     /*  773326 */     GIR_EraseRootFromParent_Done,
     /*  773327 */   // Label 12033: @773327
     /*  773327 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773405), // Rule ID 14469 //
     /*  773332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773403 */     GIR_RootConstrainSelectedInstOperands,
     /*  773404 */     // GIR_Coverage, 14469,
     /*  773404 */     GIR_EraseRootFromParent_Done,
     /*  773405 */   // Label 12034: @773405
     /*  773405 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773483), // Rule ID 14472 //
     /*  773410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773481 */     GIR_RootConstrainSelectedInstOperands,
     /*  773482 */     // GIR_Coverage, 14472,
     /*  773482 */     GIR_EraseRootFromParent_Done,
     /*  773483 */   // Label 12035: @773483
     /*  773483 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(773561), // Rule ID 14473 //
     /*  773488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773559 */     GIR_RootConstrainSelectedInstOperands,
     /*  773560 */     // GIR_Coverage, 14473,
     /*  773560 */     GIR_EraseRootFromParent_Done,
     /*  773561 */   // Label 12036: @773561
     /*  773561 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(773639), // Rule ID 14476 //
     /*  773566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773637 */     GIR_RootConstrainSelectedInstOperands,
     /*  773638 */     // GIR_Coverage, 14476,
     /*  773638 */     GIR_EraseRootFromParent_Done,
     /*  773639 */   // Label 12037: @773639
     /*  773639 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(773717), // Rule ID 14477 //
     /*  773644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773715 */     GIR_RootConstrainSelectedInstOperands,
     /*  773716 */     // GIR_Coverage, 14477,
     /*  773716 */     GIR_EraseRootFromParent_Done,
     /*  773717 */   // Label 12038: @773717
     /*  773717 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(773795), // Rule ID 14480 //
     /*  773722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773793 */     GIR_RootConstrainSelectedInstOperands,
     /*  773794 */     // GIR_Coverage, 14480,
     /*  773794 */     GIR_EraseRootFromParent_Done,
     /*  773795 */   // Label 12039: @773795
     /*  773795 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(773873), // Rule ID 14481 //
     /*  773800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773871 */     GIR_RootConstrainSelectedInstOperands,
     /*  773872 */     // GIR_Coverage, 14481,
     /*  773872 */     GIR_EraseRootFromParent_Done,
     /*  773873 */   // Label 12040: @773873
     /*  773873 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(773951), // Rule ID 14572 //
     /*  773878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  773898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  773927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773949 */     GIR_RootConstrainSelectedInstOperands,
     /*  773950 */     // GIR_Coverage, 14572,
     /*  773950 */     GIR_EraseRootFromParent_Done,
     /*  773951 */   // Label 12041: @773951
     /*  773951 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774029), // Rule ID 14573 //
     /*  773956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  773976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  774005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774027 */     GIR_RootConstrainSelectedInstOperands,
     /*  774028 */     // GIR_Coverage, 14573,
     /*  774028 */     GIR_EraseRootFromParent_Done,
     /*  774029 */   // Label 12042: @774029
     /*  774029 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774107), // Rule ID 14576 //
     /*  774034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  774054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774105 */     GIR_RootConstrainSelectedInstOperands,
     /*  774106 */     // GIR_Coverage, 14576,
     /*  774106 */     GIR_EraseRootFromParent_Done,
     /*  774107 */   // Label 12043: @774107
     /*  774107 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774185), // Rule ID 14577 //
     /*  774112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  774132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774183 */     GIR_RootConstrainSelectedInstOperands,
     /*  774184 */     // GIR_Coverage, 14577,
     /*  774184 */     GIR_EraseRootFromParent_Done,
     /*  774185 */   // Label 12044: @774185
     /*  774185 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774263), // Rule ID 14580 //
     /*  774190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774261 */     GIR_RootConstrainSelectedInstOperands,
     /*  774262 */     // GIR_Coverage, 14580,
     /*  774262 */     GIR_EraseRootFromParent_Done,
     /*  774263 */   // Label 12045: @774263
     /*  774263 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774341), // Rule ID 14581 //
     /*  774268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774339 */     GIR_RootConstrainSelectedInstOperands,
     /*  774340 */     // GIR_Coverage, 14581,
     /*  774340 */     GIR_EraseRootFromParent_Done,
     /*  774341 */   // Label 12046: @774341
     /*  774341 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774419), // Rule ID 14584 //
     /*  774346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774417 */     GIR_RootConstrainSelectedInstOperands,
     /*  774418 */     // GIR_Coverage, 14584,
     /*  774418 */     GIR_EraseRootFromParent_Done,
     /*  774419 */   // Label 12047: @774419
     /*  774419 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774497), // Rule ID 14585 //
     /*  774424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774495 */     GIR_RootConstrainSelectedInstOperands,
     /*  774496 */     // GIR_Coverage, 14585,
     /*  774496 */     GIR_EraseRootFromParent_Done,
     /*  774497 */   // Label 12048: @774497
     /*  774497 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(774575), // Rule ID 14588 //
     /*  774502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774573 */     GIR_RootConstrainSelectedInstOperands,
     /*  774574 */     // GIR_Coverage, 14588,
     /*  774574 */     GIR_EraseRootFromParent_Done,
     /*  774575 */   // Label 12049: @774575
     /*  774575 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(774653), // Rule ID 14589 //
     /*  774580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774651 */     GIR_RootConstrainSelectedInstOperands,
     /*  774652 */     // GIR_Coverage, 14589,
     /*  774652 */     GIR_EraseRootFromParent_Done,
     /*  774653 */   // Label 12050: @774653
     /*  774653 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(774731), // Rule ID 14592 //
     /*  774658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  774678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774729 */     GIR_RootConstrainSelectedInstOperands,
     /*  774730 */     // GIR_Coverage, 14592,
     /*  774730 */     GIR_EraseRootFromParent_Done,
     /*  774731 */   // Label 12051: @774731
     /*  774731 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(774809), // Rule ID 14593 //
     /*  774736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  774756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774807 */     GIR_RootConstrainSelectedInstOperands,
     /*  774808 */     // GIR_Coverage, 14593,
     /*  774808 */     GIR_EraseRootFromParent_Done,
     /*  774809 */   // Label 12052: @774809
     /*  774809 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(774887), // Rule ID 14596 //
     /*  774814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  774834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774885 */     GIR_RootConstrainSelectedInstOperands,
     /*  774886 */     // GIR_Coverage, 14596,
     /*  774886 */     GIR_EraseRootFromParent_Done,
     /*  774887 */   // Label 12053: @774887
     /*  774887 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(774965), // Rule ID 14597 //
     /*  774892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  774912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774963 */     GIR_RootConstrainSelectedInstOperands,
     /*  774964 */     // GIR_Coverage, 14597,
     /*  774964 */     GIR_EraseRootFromParent_Done,
     /*  774965 */   // Label 12054: @774965
     /*  774965 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775043), // Rule ID 14600 //
     /*  774970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  774990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775041 */     GIR_RootConstrainSelectedInstOperands,
     /*  775042 */     // GIR_Coverage, 14600,
     /*  775042 */     GIR_EraseRootFromParent_Done,
     /*  775043 */   // Label 12055: @775043
     /*  775043 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775121), // Rule ID 14601 //
     /*  775048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775119 */     GIR_RootConstrainSelectedInstOperands,
     /*  775120 */     // GIR_Coverage, 14601,
     /*  775120 */     GIR_EraseRootFromParent_Done,
     /*  775121 */   // Label 12056: @775121
     /*  775121 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775199), // Rule ID 14604 //
     /*  775126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  775146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775197 */     GIR_RootConstrainSelectedInstOperands,
     /*  775198 */     // GIR_Coverage, 14604,
     /*  775198 */     GIR_EraseRootFromParent_Done,
     /*  775199 */   // Label 12057: @775199
     /*  775199 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775277), // Rule ID 14605 //
     /*  775204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  775224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775275 */     GIR_RootConstrainSelectedInstOperands,
     /*  775276 */     // GIR_Coverage, 14605,
     /*  775276 */     GIR_EraseRootFromParent_Done,
     /*  775277 */   // Label 12058: @775277
     /*  775277 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775355), // Rule ID 14608 //
     /*  775282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775353 */     GIR_RootConstrainSelectedInstOperands,
     /*  775354 */     // GIR_Coverage, 14608,
     /*  775354 */     GIR_EraseRootFromParent_Done,
     /*  775355 */   // Label 12059: @775355
     /*  775355 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775433), // Rule ID 14609 //
     /*  775360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775431 */     GIR_RootConstrainSelectedInstOperands,
     /*  775432 */     // GIR_Coverage, 14609,
     /*  775432 */     GIR_EraseRootFromParent_Done,
     /*  775433 */   // Label 12060: @775433
     /*  775433 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775511), // Rule ID 14612 //
     /*  775438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  775458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775509 */     GIR_RootConstrainSelectedInstOperands,
     /*  775510 */     // GIR_Coverage, 14612,
     /*  775510 */     GIR_EraseRootFromParent_Done,
     /*  775511 */   // Label 12061: @775511
     /*  775511 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(775589), // Rule ID 14613 //
     /*  775516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  775536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775587 */     GIR_RootConstrainSelectedInstOperands,
     /*  775588 */     // GIR_Coverage, 14613,
     /*  775588 */     GIR_EraseRootFromParent_Done,
     /*  775589 */   // Label 12062: @775589
     /*  775589 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(775667), // Rule ID 14616 //
     /*  775594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  775614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775665 */     GIR_RootConstrainSelectedInstOperands,
     /*  775666 */     // GIR_Coverage, 14616,
     /*  775666 */     GIR_EraseRootFromParent_Done,
     /*  775667 */   // Label 12063: @775667
     /*  775667 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(775745), // Rule ID 14617 //
     /*  775672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  775692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775743 */     GIR_RootConstrainSelectedInstOperands,
     /*  775744 */     // GIR_Coverage, 14617,
     /*  775744 */     GIR_EraseRootFromParent_Done,
     /*  775745 */   // Label 12064: @775745
     /*  775745 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(775823), // Rule ID 14620 //
     /*  775750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  775770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  775799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775821 */     GIR_RootConstrainSelectedInstOperands,
     /*  775822 */     // GIR_Coverage, 14620,
     /*  775822 */     GIR_EraseRootFromParent_Done,
     /*  775823 */   // Label 12065: @775823
     /*  775823 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(775901), // Rule ID 14621 //
     /*  775828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  775848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  775877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775899 */     GIR_RootConstrainSelectedInstOperands,
     /*  775900 */     // GIR_Coverage, 14621,
     /*  775900 */     GIR_EraseRootFromParent_Done,
     /*  775901 */   // Label 12066: @775901
     /*  775901 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(775979), // Rule ID 14624 //
     /*  775906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775977 */     GIR_RootConstrainSelectedInstOperands,
     /*  775978 */     // GIR_Coverage, 14624,
     /*  775978 */     GIR_EraseRootFromParent_Done,
     /*  775979 */   // Label 12067: @775979
     /*  775979 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776057), // Rule ID 14625 //
     /*  775984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776055 */     GIR_RootConstrainSelectedInstOperands,
     /*  776056 */     // GIR_Coverage, 14625,
     /*  776056 */     GIR_EraseRootFromParent_Done,
     /*  776057 */   // Label 12068: @776057
     /*  776057 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776135), // Rule ID 14628 //
     /*  776062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776133 */     GIR_RootConstrainSelectedInstOperands,
     /*  776134 */     // GIR_Coverage, 14628,
     /*  776134 */     GIR_EraseRootFromParent_Done,
     /*  776135 */   // Label 12069: @776135
     /*  776135 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776213), // Rule ID 14629 //
     /*  776140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776211 */     GIR_RootConstrainSelectedInstOperands,
     /*  776212 */     // GIR_Coverage, 14629,
     /*  776212 */     GIR_EraseRootFromParent_Done,
     /*  776213 */   // Label 12070: @776213
     /*  776213 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776291), // Rule ID 14632 //
     /*  776218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776289 */     GIR_RootConstrainSelectedInstOperands,
     /*  776290 */     // GIR_Coverage, 14632,
     /*  776290 */     GIR_EraseRootFromParent_Done,
     /*  776291 */   // Label 12071: @776291
     /*  776291 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776369), // Rule ID 14633 //
     /*  776296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776367 */     GIR_RootConstrainSelectedInstOperands,
     /*  776368 */     // GIR_Coverage, 14633,
     /*  776368 */     GIR_EraseRootFromParent_Done,
     /*  776369 */   // Label 12072: @776369
     /*  776369 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776447), // Rule ID 14636 //
     /*  776374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776445 */     GIR_RootConstrainSelectedInstOperands,
     /*  776446 */     // GIR_Coverage, 14636,
     /*  776446 */     GIR_EraseRootFromParent_Done,
     /*  776447 */   // Label 12073: @776447
     /*  776447 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(776525), // Rule ID 14637 //
     /*  776452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776523 */     GIR_RootConstrainSelectedInstOperands,
     /*  776524 */     // GIR_Coverage, 14637,
     /*  776524 */     GIR_EraseRootFromParent_Done,
     /*  776525 */   // Label 12074: @776525
     /*  776525 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(776603), // Rule ID 14640 //
     /*  776530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  776550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776601 */     GIR_RootConstrainSelectedInstOperands,
     /*  776602 */     // GIR_Coverage, 14640,
     /*  776602 */     GIR_EraseRootFromParent_Done,
     /*  776603 */   // Label 12075: @776603
     /*  776603 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(776681), // Rule ID 14641 //
     /*  776608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  776628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776679 */     GIR_RootConstrainSelectedInstOperands,
     /*  776680 */     // GIR_Coverage, 14641,
     /*  776680 */     GIR_EraseRootFromParent_Done,
     /*  776681 */   // Label 12076: @776681
     /*  776681 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(776759), // Rule ID 14644 //
     /*  776686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  776706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776757 */     GIR_RootConstrainSelectedInstOperands,
     /*  776758 */     // GIR_Coverage, 14644,
     /*  776758 */     GIR_EraseRootFromParent_Done,
     /*  776759 */   // Label 12077: @776759
     /*  776759 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(776837), // Rule ID 14645 //
     /*  776764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  776784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776835 */     GIR_RootConstrainSelectedInstOperands,
     /*  776836 */     // GIR_Coverage, 14645,
     /*  776836 */     GIR_EraseRootFromParent_Done,
     /*  776837 */   // Label 12078: @776837
     /*  776837 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(776915), // Rule ID 14648 //
     /*  776842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  776862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776913 */     GIR_RootConstrainSelectedInstOperands,
     /*  776914 */     // GIR_Coverage, 14648,
     /*  776914 */     GIR_EraseRootFromParent_Done,
     /*  776915 */   // Label 12079: @776915
     /*  776915 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(776993), // Rule ID 14649 //
     /*  776920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  776940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776991 */     GIR_RootConstrainSelectedInstOperands,
     /*  776992 */     // GIR_Coverage, 14649,
     /*  776992 */     GIR_EraseRootFromParent_Done,
     /*  776993 */   // Label 12080: @776993
     /*  776993 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777071), // Rule ID 14652 //
     /*  776998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777069 */     GIR_RootConstrainSelectedInstOperands,
     /*  777070 */     // GIR_Coverage, 14652,
     /*  777070 */     GIR_EraseRootFromParent_Done,
     /*  777071 */   // Label 12081: @777071
     /*  777071 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777149), // Rule ID 14653 //
     /*  777076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777147 */     GIR_RootConstrainSelectedInstOperands,
     /*  777148 */     // GIR_Coverage, 14653,
     /*  777148 */     GIR_EraseRootFromParent_Done,
     /*  777149 */   // Label 12082: @777149
     /*  777149 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777227), // Rule ID 14656 //
     /*  777154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  777174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777225 */     GIR_RootConstrainSelectedInstOperands,
     /*  777226 */     // GIR_Coverage, 14656,
     /*  777226 */     GIR_EraseRootFromParent_Done,
     /*  777227 */   // Label 12083: @777227
     /*  777227 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777305), // Rule ID 14657 //
     /*  777232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  777252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777303 */     GIR_RootConstrainSelectedInstOperands,
     /*  777304 */     // GIR_Coverage, 14657,
     /*  777304 */     GIR_EraseRootFromParent_Done,
     /*  777305 */   // Label 12084: @777305
     /*  777305 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777383), // Rule ID 14660 //
     /*  777310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777381 */     GIR_RootConstrainSelectedInstOperands,
     /*  777382 */     // GIR_Coverage, 14660,
     /*  777382 */     GIR_EraseRootFromParent_Done,
     /*  777383 */   // Label 12085: @777383
     /*  777383 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777461), // Rule ID 14661 //
     /*  777388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777459 */     GIR_RootConstrainSelectedInstOperands,
     /*  777460 */     // GIR_Coverage, 14661,
     /*  777460 */     GIR_EraseRootFromParent_Done,
     /*  777461 */   // Label 12086: @777461
     /*  777461 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(777539), // Rule ID 14664 //
     /*  777466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777537 */     GIR_RootConstrainSelectedInstOperands,
     /*  777538 */     // GIR_Coverage, 14664,
     /*  777538 */     GIR_EraseRootFromParent_Done,
     /*  777539 */   // Label 12087: @777539
     /*  777539 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(777617), // Rule ID 14665 //
     /*  777544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777615 */     GIR_RootConstrainSelectedInstOperands,
     /*  777616 */     // GIR_Coverage, 14665,
     /*  777616 */     GIR_EraseRootFromParent_Done,
     /*  777617 */   // Label 12088: @777617
     /*  777617 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(777695), // Rule ID 14668 //
     /*  777622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777693 */     GIR_RootConstrainSelectedInstOperands,
     /*  777694 */     // GIR_Coverage, 14668,
     /*  777694 */     GIR_EraseRootFromParent_Done,
     /*  777695 */   // Label 12089: @777695
     /*  777695 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(777773), // Rule ID 14669 //
     /*  777700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777771 */     GIR_RootConstrainSelectedInstOperands,
     /*  777772 */     // GIR_Coverage, 14669,
     /*  777772 */     GIR_EraseRootFromParent_Done,
     /*  777773 */   // Label 12090: @777773
     /*  777773 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(777851), // Rule ID 14672 //
     /*  777778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777849 */     GIR_RootConstrainSelectedInstOperands,
     /*  777850 */     // GIR_Coverage, 14672,
     /*  777850 */     GIR_EraseRootFromParent_Done,
     /*  777851 */   // Label 12091: @777851
     /*  777851 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(777929), // Rule ID 14673 //
     /*  777856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777927 */     GIR_RootConstrainSelectedInstOperands,
     /*  777928 */     // GIR_Coverage, 14673,
     /*  777928 */     GIR_EraseRootFromParent_Done,
     /*  777929 */   // Label 12092: @777929
     /*  777929 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778007), // Rule ID 14676 //
     /*  777934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778005 */     GIR_RootConstrainSelectedInstOperands,
     /*  778006 */     // GIR_Coverage, 14676,
     /*  778006 */     GIR_EraseRootFromParent_Done,
     /*  778007 */   // Label 12093: @778007
     /*  778007 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778085), // Rule ID 14677 //
     /*  778012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  778023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  778026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  778029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778083 */     GIR_RootConstrainSelectedInstOperands,
     /*  778084 */     // GIR_Coverage, 14677,
     /*  778084 */     GIR_EraseRootFromParent_Done,
     /*  778085 */   // Label 12094: @778085
     /*  778085 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778163), // Rule ID 14680 //
     /*  778090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  778101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  778104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  778107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778161 */     GIR_RootConstrainSelectedInstOperands,
     /*  778162 */     // GIR_Coverage, 14680,
     /*  778162 */     GIR_EraseRootFromParent_Done,
     /*  778163 */   // Label 12095: @778163
     /*  778163 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778241), // Rule ID 14681 //
     /*  778168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  778179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  778182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  778185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778239 */     GIR_RootConstrainSelectedInstOperands,
     /*  778240 */     // GIR_Coverage, 14681,
     /*  778240 */     GIR_EraseRootFromParent_Done,
     /*  778241 */   // Label 12096: @778241
     /*  778241 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778319), // Rule ID 14684 //
     /*  778246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778317 */     GIR_RootConstrainSelectedInstOperands,
     /*  778318 */     // GIR_Coverage, 14684,
     /*  778318 */     GIR_EraseRootFromParent_Done,
     /*  778319 */   // Label 12097: @778319
     /*  778319 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778397), // Rule ID 14685 //
     /*  778324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11571:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778395 */     GIR_RootConstrainSelectedInstOperands,
     /*  778396 */     // GIR_Coverage, 14685,
     /*  778396 */     GIR_EraseRootFromParent_Done,
     /*  778397 */   // Label 12098: @778397
     /*  778397 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778475), // Rule ID 14688 //
     /*  778402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778473 */     GIR_RootConstrainSelectedInstOperands,
     /*  778474 */     // GIR_Coverage, 14688,
     /*  778474 */     GIR_EraseRootFromParent_Done,
     /*  778475 */   // Label 12099: @778475
     /*  778475 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(778553), // Rule ID 14689 //
     /*  778480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778551 */     GIR_RootConstrainSelectedInstOperands,
     /*  778552 */     // GIR_Coverage, 14689,
     /*  778552 */     GIR_EraseRootFromParent_Done,
     /*  778553 */   // Label 12100: @778553
     /*  778553 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(778631), // Rule ID 14692 //
     /*  778558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778629 */     GIR_RootConstrainSelectedInstOperands,
     /*  778630 */     // GIR_Coverage, 14692,
     /*  778630 */     GIR_EraseRootFromParent_Done,
     /*  778631 */   // Label 12101: @778631
     /*  778631 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(778709), // Rule ID 14693 //
     /*  778636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778707 */     GIR_RootConstrainSelectedInstOperands,
     /*  778708 */     // GIR_Coverage, 14693,
     /*  778708 */     GIR_EraseRootFromParent_Done,
     /*  778709 */   // Label 12102: @778709
     /*  778709 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(778787), // Rule ID 14696 //
     /*  778714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778785 */     GIR_RootConstrainSelectedInstOperands,
     /*  778786 */     // GIR_Coverage, 14696,
     /*  778786 */     GIR_EraseRootFromParent_Done,
     /*  778787 */   // Label 12103: @778787
     /*  778787 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(778865), // Rule ID 14697 //
     /*  778792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  778795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778863 */     GIR_RootConstrainSelectedInstOperands,
     /*  778864 */     // GIR_Coverage, 14697,
     /*  778864 */     GIR_EraseRootFromParent_Done,
     /*  778865 */   // Label 12104: @778865
     /*  778865 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(778943), // Rule ID 14700 //
     /*  778870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  778919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778941 */     GIR_RootConstrainSelectedInstOperands,
     /*  778942 */     // GIR_Coverage, 14700,
     /*  778942 */     GIR_EraseRootFromParent_Done,
     /*  778943 */   // Label 12105: @778943
     /*  778943 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779021), // Rule ID 14701 //
     /*  778948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  778997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779019 */     GIR_RootConstrainSelectedInstOperands,
     /*  779020 */     // GIR_Coverage, 14701,
     /*  779020 */     GIR_EraseRootFromParent_Done,
     /*  779021 */   // Label 12106: @779021
     /*  779021 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779099), // Rule ID 14704 //
     /*  779026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779097 */     GIR_RootConstrainSelectedInstOperands,
     /*  779098 */     // GIR_Coverage, 14704,
     /*  779098 */     GIR_EraseRootFromParent_Done,
     /*  779099 */   // Label 12107: @779099
     /*  779099 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779177), // Rule ID 14705 //
     /*  779104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779150 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779175 */     GIR_RootConstrainSelectedInstOperands,
     /*  779176 */     // GIR_Coverage, 14705,
     /*  779176 */     GIR_EraseRootFromParent_Done,
     /*  779177 */   // Label 12108: @779177
     /*  779177 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779255), // Rule ID 14708 //
     /*  779182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779253 */     GIR_RootConstrainSelectedInstOperands,
     /*  779254 */     // GIR_Coverage, 14708,
     /*  779254 */     GIR_EraseRootFromParent_Done,
     /*  779255 */   // Label 12109: @779255
     /*  779255 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779333), // Rule ID 14709 //
     /*  779260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779331 */     GIR_RootConstrainSelectedInstOperands,
     /*  779332 */     // GIR_Coverage, 14709,
     /*  779332 */     GIR_EraseRootFromParent_Done,
     /*  779333 */   // Label 12110: @779333
     /*  779333 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779411), // Rule ID 14712 //
     /*  779338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779409 */     GIR_RootConstrainSelectedInstOperands,
     /*  779410 */     // GIR_Coverage, 14712,
     /*  779410 */     GIR_EraseRootFromParent_Done,
     /*  779411 */   // Label 12111: @779411
     /*  779411 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779489), // Rule ID 14713 //
     /*  779416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779487 */     GIR_RootConstrainSelectedInstOperands,
     /*  779488 */     // GIR_Coverage, 14713,
     /*  779488 */     GIR_EraseRootFromParent_Done,
     /*  779489 */   // Label 12112: @779489
     /*  779489 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(779567), // Rule ID 14716 //
     /*  779494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779565 */     GIR_RootConstrainSelectedInstOperands,
     /*  779566 */     // GIR_Coverage, 14716,
     /*  779566 */     GIR_EraseRootFromParent_Done,
     /*  779567 */   // Label 12113: @779567
     /*  779567 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(779645), // Rule ID 14717 //
     /*  779572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779643 */     GIR_RootConstrainSelectedInstOperands,
     /*  779644 */     // GIR_Coverage, 14717,
     /*  779644 */     GIR_EraseRootFromParent_Done,
     /*  779645 */   // Label 12114: @779645
     /*  779645 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(779723), // Rule ID 14720 //
     /*  779650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779721 */     GIR_RootConstrainSelectedInstOperands,
     /*  779722 */     // GIR_Coverage, 14720,
     /*  779722 */     GIR_EraseRootFromParent_Done,
     /*  779723 */   // Label 12115: @779723
     /*  779723 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(779801), // Rule ID 14721 //
     /*  779728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779799 */     GIR_RootConstrainSelectedInstOperands,
     /*  779800 */     // GIR_Coverage, 14721,
     /*  779800 */     GIR_EraseRootFromParent_Done,
     /*  779801 */   // Label 12116: @779801
     /*  779801 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(779879), // Rule ID 14724 //
     /*  779806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779877 */     GIR_RootConstrainSelectedInstOperands,
     /*  779878 */     // GIR_Coverage, 14724,
     /*  779878 */     GIR_EraseRootFromParent_Done,
     /*  779879 */   // Label 12117: @779879
     /*  779879 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(779957), // Rule ID 14725 //
     /*  779884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779955 */     GIR_RootConstrainSelectedInstOperands,
     /*  779956 */     // GIR_Coverage, 14725,
     /*  779956 */     GIR_EraseRootFromParent_Done,
     /*  779957 */   // Label 12118: @779957
     /*  779957 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780035), // Rule ID 14728 //
     /*  779962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780033 */     GIR_RootConstrainSelectedInstOperands,
     /*  780034 */     // GIR_Coverage, 14728,
     /*  780034 */     GIR_EraseRootFromParent_Done,
     /*  780035 */   // Label 12119: @780035
     /*  780035 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780113), // Rule ID 14729 //
     /*  780040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780111 */     GIR_RootConstrainSelectedInstOperands,
     /*  780112 */     // GIR_Coverage, 14729,
     /*  780112 */     GIR_EraseRootFromParent_Done,
     /*  780113 */   // Label 12120: @780113
     /*  780113 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780191), // Rule ID 14732 //
     /*  780118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780189 */     GIR_RootConstrainSelectedInstOperands,
     /*  780190 */     // GIR_Coverage, 14732,
     /*  780190 */     GIR_EraseRootFromParent_Done,
     /*  780191 */   // Label 12121: @780191
     /*  780191 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780269), // Rule ID 14733 //
     /*  780196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780267 */     GIR_RootConstrainSelectedInstOperands,
     /*  780268 */     // GIR_Coverage, 14733,
     /*  780268 */     GIR_EraseRootFromParent_Done,
     /*  780269 */   // Label 12122: @780269
     /*  780269 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780347), // Rule ID 14736 //
     /*  780274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780345 */     GIR_RootConstrainSelectedInstOperands,
     /*  780346 */     // GIR_Coverage, 14736,
     /*  780346 */     GIR_EraseRootFromParent_Done,
     /*  780347 */   // Label 12123: @780347
     /*  780347 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780425), // Rule ID 14737 //
     /*  780352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780423 */     GIR_RootConstrainSelectedInstOperands,
     /*  780424 */     // GIR_Coverage, 14737,
     /*  780424 */     GIR_EraseRootFromParent_Done,
     /*  780425 */   // Label 12124: @780425
     /*  780425 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780503), // Rule ID 14740 //
     /*  780430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780501 */     GIR_RootConstrainSelectedInstOperands,
     /*  780502 */     // GIR_Coverage, 14740,
     /*  780502 */     GIR_EraseRootFromParent_Done,
     /*  780503 */   // Label 12125: @780503
     /*  780503 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(780581), // Rule ID 14741 //
     /*  780508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780579 */     GIR_RootConstrainSelectedInstOperands,
     /*  780580 */     // GIR_Coverage, 14741,
     /*  780580 */     GIR_EraseRootFromParent_Done,
     /*  780581 */   // Label 12126: @780581
     /*  780581 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(780659), // Rule ID 14744 //
     /*  780586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780657 */     GIR_RootConstrainSelectedInstOperands,
     /*  780658 */     // GIR_Coverage, 14744,
     /*  780658 */     GIR_EraseRootFromParent_Done,
     /*  780659 */   // Label 12127: @780659
     /*  780659 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(780737), // Rule ID 14745 //
     /*  780664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780735 */     GIR_RootConstrainSelectedInstOperands,
     /*  780736 */     // GIR_Coverage, 14745,
     /*  780736 */     GIR_EraseRootFromParent_Done,
     /*  780737 */   // Label 12128: @780737
     /*  780737 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(780815), // Rule ID 14748 //
     /*  780742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  780762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  780791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780813 */     GIR_RootConstrainSelectedInstOperands,
     /*  780814 */     // GIR_Coverage, 14748,
     /*  780814 */     GIR_EraseRootFromParent_Done,
     /*  780815 */   // Label 12129: @780815
     /*  780815 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(780893), // Rule ID 14749 //
     /*  780820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  780840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  780869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780891 */     GIR_RootConstrainSelectedInstOperands,
     /*  780892 */     // GIR_Coverage, 14749,
     /*  780892 */     GIR_EraseRootFromParent_Done,
     /*  780893 */   // Label 12130: @780893
     /*  780893 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(780971), // Rule ID 14752 //
     /*  780898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  780918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780944 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  780947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780969 */     GIR_RootConstrainSelectedInstOperands,
     /*  780970 */     // GIR_Coverage, 14752,
     /*  780970 */     GIR_EraseRootFromParent_Done,
     /*  780971 */   // Label 12131: @780971
     /*  780971 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781049), // Rule ID 14753 //
     /*  780976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  780996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781047 */     GIR_RootConstrainSelectedInstOperands,
     /*  781048 */     // GIR_Coverage, 14753,
     /*  781048 */     GIR_EraseRootFromParent_Done,
     /*  781049 */   // Label 12132: @781049
     /*  781049 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781127), // Rule ID 14756 //
     /*  781054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  781065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  781068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  781071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  781074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781125 */     GIR_RootConstrainSelectedInstOperands,
     /*  781126 */     // GIR_Coverage, 14756,
     /*  781126 */     GIR_EraseRootFromParent_Done,
     /*  781127 */   // Label 12133: @781127
     /*  781127 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781205), // Rule ID 14757 //
     /*  781132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  781143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  781146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  781149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  781152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781203 */     GIR_RootConstrainSelectedInstOperands,
     /*  781204 */     // GIR_Coverage, 14757,
     /*  781204 */     GIR_EraseRootFromParent_Done,
     /*  781205 */   // Label 12134: @781205
     /*  781205 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781283), // Rule ID 14760 //
     /*  781210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781256 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781281 */     GIR_RootConstrainSelectedInstOperands,
     /*  781282 */     // GIR_Coverage, 14760,
     /*  781282 */     GIR_EraseRootFromParent_Done,
     /*  781283 */   // Label 12135: @781283
     /*  781283 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781361), // Rule ID 14761 //
     /*  781288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781359 */     GIR_RootConstrainSelectedInstOperands,
     /*  781360 */     // GIR_Coverage, 14761,
     /*  781360 */     GIR_EraseRootFromParent_Done,
     /*  781361 */   // Label 12136: @781361
     /*  781361 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781439), // Rule ID 14764 //
     /*  781366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781437 */     GIR_RootConstrainSelectedInstOperands,
     /*  781438 */     // GIR_Coverage, 14764,
     /*  781438 */     GIR_EraseRootFromParent_Done,
     /*  781439 */   // Label 12137: @781439
     /*  781439 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781517), // Rule ID 14765 //
     /*  781444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781490 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781515 */     GIR_RootConstrainSelectedInstOperands,
     /*  781516 */     // GIR_Coverage, 14765,
     /*  781516 */     GIR_EraseRootFromParent_Done,
     /*  781517 */   // Label 12138: @781517
     /*  781517 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(781595), // Rule ID 14768 //
     /*  781522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781593 */     GIR_RootConstrainSelectedInstOperands,
     /*  781594 */     // GIR_Coverage, 14768,
     /*  781594 */     GIR_EraseRootFromParent_Done,
     /*  781595 */   // Label 12139: @781595
     /*  781595 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(781673), // Rule ID 14769 //
     /*  781600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781671 */     GIR_RootConstrainSelectedInstOperands,
     /*  781672 */     // GIR_Coverage, 14769,
     /*  781672 */     GIR_EraseRootFromParent_Done,
     /*  781673 */   // Label 12140: @781673
     /*  781673 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(781751), // Rule ID 14772 //
     /*  781678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  781698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781749 */     GIR_RootConstrainSelectedInstOperands,
     /*  781750 */     // GIR_Coverage, 14772,
     /*  781750 */     GIR_EraseRootFromParent_Done,
     /*  781751 */   // Label 12141: @781751
     /*  781751 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(781829), // Rule ID 14773 //
     /*  781756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  781776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781827 */     GIR_RootConstrainSelectedInstOperands,
     /*  781828 */     // GIR_Coverage, 14773,
     /*  781828 */     GIR_EraseRootFromParent_Done,
     /*  781829 */   // Label 12142: @781829
     /*  781829 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(781907), // Rule ID 14776 //
     /*  781834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781905 */     GIR_RootConstrainSelectedInstOperands,
     /*  781906 */     // GIR_Coverage, 14776,
     /*  781906 */     GIR_EraseRootFromParent_Done,
     /*  781907 */   // Label 12143: @781907
     /*  781907 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(781985), // Rule ID 14777 //
     /*  781912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781983 */     GIR_RootConstrainSelectedInstOperands,
     /*  781984 */     // GIR_Coverage, 14777,
     /*  781984 */     GIR_EraseRootFromParent_Done,
     /*  781985 */   // Label 12144: @781985
     /*  781985 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782063), // Rule ID 14780 //
     /*  781990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782061 */     GIR_RootConstrainSelectedInstOperands,
     /*  782062 */     // GIR_Coverage, 14780,
     /*  782062 */     GIR_EraseRootFromParent_Done,
     /*  782063 */   // Label 12145: @782063
     /*  782063 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782141), // Rule ID 14781 //
     /*  782068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782139 */     GIR_RootConstrainSelectedInstOperands,
     /*  782140 */     // GIR_Coverage, 14781,
     /*  782140 */     GIR_EraseRootFromParent_Done,
     /*  782141 */   // Label 12146: @782141
     /*  782141 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782219), // Rule ID 14784 //
     /*  782146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782217 */     GIR_RootConstrainSelectedInstOperands,
     /*  782218 */     // GIR_Coverage, 14784,
     /*  782218 */     GIR_EraseRootFromParent_Done,
     /*  782219 */   // Label 12147: @782219
     /*  782219 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782297), // Rule ID 14785 //
     /*  782224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782295 */     GIR_RootConstrainSelectedInstOperands,
     /*  782296 */     // GIR_Coverage, 14785,
     /*  782296 */     GIR_EraseRootFromParent_Done,
     /*  782297 */   // Label 12148: @782297
     /*  782297 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782375), // Rule ID 14788 //
     /*  782302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782373 */     GIR_RootConstrainSelectedInstOperands,
     /*  782374 */     // GIR_Coverage, 14788,
     /*  782374 */     GIR_EraseRootFromParent_Done,
     /*  782375 */   // Label 12149: @782375
     /*  782375 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782453), // Rule ID 14789 //
     /*  782380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782451 */     GIR_RootConstrainSelectedInstOperands,
     /*  782452 */     // GIR_Coverage, 14789,
     /*  782452 */     GIR_EraseRootFromParent_Done,
     /*  782453 */   // Label 12150: @782453
     /*  782453 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(782531), // Rule ID 14792 //
     /*  782458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  782478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782529 */     GIR_RootConstrainSelectedInstOperands,
     /*  782530 */     // GIR_Coverage, 14792,
     /*  782530 */     GIR_EraseRootFromParent_Done,
     /*  782531 */   // Label 12151: @782531
     /*  782531 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(782609), // Rule ID 14793 //
     /*  782536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  782556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782607 */     GIR_RootConstrainSelectedInstOperands,
     /*  782608 */     // GIR_Coverage, 14793,
     /*  782608 */     GIR_EraseRootFromParent_Done,
     /*  782609 */   // Label 12152: @782609
     /*  782609 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(782687), // Rule ID 14796 //
     /*  782614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  782634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782660 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  782663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782685 */     GIR_RootConstrainSelectedInstOperands,
     /*  782686 */     // GIR_Coverage, 14796,
     /*  782686 */     GIR_EraseRootFromParent_Done,
     /*  782687 */   // Label 12153: @782687
     /*  782687 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(782765), // Rule ID 14797 //
     /*  782692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  782712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  782741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782763 */     GIR_RootConstrainSelectedInstOperands,
     /*  782764 */     // GIR_Coverage, 14797,
     /*  782764 */     GIR_EraseRootFromParent_Done,
     /*  782765 */   // Label 12154: @782765
     /*  782765 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(782843), // Rule ID 14800 //
     /*  782770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782841 */     GIR_RootConstrainSelectedInstOperands,
     /*  782842 */     // GIR_Coverage, 14800,
     /*  782842 */     GIR_EraseRootFromParent_Done,
     /*  782843 */   // Label 12155: @782843
     /*  782843 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(782921), // Rule ID 14801 //
     /*  782848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782919 */     GIR_RootConstrainSelectedInstOperands,
     /*  782920 */     // GIR_Coverage, 14801,
     /*  782920 */     GIR_EraseRootFromParent_Done,
     /*  782921 */   // Label 12156: @782921
     /*  782921 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(782999), // Rule ID 14804 //
     /*  782926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782997 */     GIR_RootConstrainSelectedInstOperands,
     /*  782998 */     // GIR_Coverage, 14804,
     /*  782998 */     GIR_EraseRootFromParent_Done,
     /*  782999 */   // Label 12157: @782999
     /*  782999 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783077), // Rule ID 14805 //
     /*  783004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783075 */     GIR_RootConstrainSelectedInstOperands,
     /*  783076 */     // GIR_Coverage, 14805,
     /*  783076 */     GIR_EraseRootFromParent_Done,
     /*  783077 */   // Label 12158: @783077
     /*  783077 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783155), // Rule ID 14808 //
     /*  783082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783153 */     GIR_RootConstrainSelectedInstOperands,
     /*  783154 */     // GIR_Coverage, 14808,
     /*  783154 */     GIR_EraseRootFromParent_Done,
     /*  783155 */   // Label 12159: @783155
     /*  783155 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783233), // Rule ID 14809 //
     /*  783160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783231 */     GIR_RootConstrainSelectedInstOperands,
     /*  783232 */     // GIR_Coverage, 14809,
     /*  783232 */     GIR_EraseRootFromParent_Done,
     /*  783233 */   // Label 12160: @783233
     /*  783233 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783311), // Rule ID 14812 //
     /*  783238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783309 */     GIR_RootConstrainSelectedInstOperands,
     /*  783310 */     // GIR_Coverage, 14812,
     /*  783310 */     GIR_EraseRootFromParent_Done,
     /*  783311 */   // Label 12161: @783311
     /*  783311 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783389), // Rule ID 14813 //
     /*  783316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783387 */     GIR_RootConstrainSelectedInstOperands,
     /*  783388 */     // GIR_Coverage, 14813,
     /*  783388 */     GIR_EraseRootFromParent_Done,
     /*  783389 */   // Label 12162: @783389
     /*  783389 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783467), // Rule ID 14816 //
     /*  783394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783465 */     GIR_RootConstrainSelectedInstOperands,
     /*  783466 */     // GIR_Coverage, 14816,
     /*  783466 */     GIR_EraseRootFromParent_Done,
     /*  783467 */   // Label 12163: @783467
     /*  783467 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783545), // Rule ID 14817 //
     /*  783472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783543 */     GIR_RootConstrainSelectedInstOperands,
     /*  783544 */     // GIR_Coverage, 14817,
     /*  783544 */     GIR_EraseRootFromParent_Done,
     /*  783545 */   // Label 12164: @783545
     /*  783545 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(783623), // Rule ID 14820 //
     /*  783550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783621 */     GIR_RootConstrainSelectedInstOperands,
     /*  783622 */     // GIR_Coverage, 14820,
     /*  783622 */     GIR_EraseRootFromParent_Done,
     /*  783623 */   // Label 12165: @783623
     /*  783623 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(783701), // Rule ID 14821 //
     /*  783628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783699 */     GIR_RootConstrainSelectedInstOperands,
     /*  783700 */     // GIR_Coverage, 14821,
     /*  783700 */     GIR_EraseRootFromParent_Done,
     /*  783701 */   // Label 12166: @783701
     /*  783701 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(783779), // Rule ID 14824 //
     /*  783706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783777 */     GIR_RootConstrainSelectedInstOperands,
     /*  783778 */     // GIR_Coverage, 14824,
     /*  783778 */     GIR_EraseRootFromParent_Done,
     /*  783779 */   // Label 12167: @783779
     /*  783779 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(783857), // Rule ID 14825 //
     /*  783784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783855 */     GIR_RootConstrainSelectedInstOperands,
     /*  783856 */     // GIR_Coverage, 14825,
     /*  783856 */     GIR_EraseRootFromParent_Done,
     /*  783857 */   // Label 12168: @783857
     /*  783857 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(783935), // Rule ID 14828 //
     /*  783862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783933 */     GIR_RootConstrainSelectedInstOperands,
     /*  783934 */     // GIR_Coverage, 14828,
     /*  783934 */     GIR_EraseRootFromParent_Done,
     /*  783935 */   // Label 12169: @783935
     /*  783935 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784013), // Rule ID 14829 //
     /*  783940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784011 */     GIR_RootConstrainSelectedInstOperands,
     /*  784012 */     // GIR_Coverage, 14829,
     /*  784012 */     GIR_EraseRootFromParent_Done,
     /*  784013 */   // Label 12170: @784013
     /*  784013 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784091), // Rule ID 14832 //
     /*  784018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  784021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784089 */     GIR_RootConstrainSelectedInstOperands,
     /*  784090 */     // GIR_Coverage, 14832,
     /*  784090 */     GIR_EraseRootFromParent_Done,
     /*  784091 */   // Label 12171: @784091
     /*  784091 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784169), // Rule ID 14833 //
     /*  784096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  784099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784167 */     GIR_RootConstrainSelectedInstOperands,
     /*  784168 */     // GIR_Coverage, 14833,
     /*  784168 */     GIR_EraseRootFromParent_Done,
     /*  784169 */   // Label 12172: @784169
     /*  784169 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784247), // Rule ID 14836 //
     /*  784174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  784185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  784188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784245 */     GIR_RootConstrainSelectedInstOperands,
     /*  784246 */     // GIR_Coverage, 14836,
     /*  784246 */     GIR_EraseRootFromParent_Done,
     /*  784247 */   // Label 12173: @784247
     /*  784247 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784325), // Rule ID 14837 //
     /*  784252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  784263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  784266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784323 */     GIR_RootConstrainSelectedInstOperands,
     /*  784324 */     // GIR_Coverage, 14837,
     /*  784324 */     GIR_EraseRootFromParent_Done,
     /*  784325 */   // Label 12174: @784325
     /*  784325 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784403), // Rule ID 14840 //
     /*  784330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784401 */     GIR_RootConstrainSelectedInstOperands,
     /*  784402 */     // GIR_Coverage, 14840,
     /*  784402 */     GIR_EraseRootFromParent_Done,
     /*  784403 */   // Label 12175: @784403
     /*  784403 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784481), // Rule ID 14841 //
     /*  784408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784479 */     GIR_RootConstrainSelectedInstOperands,
     /*  784480 */     // GIR_Coverage, 14841,
     /*  784480 */     GIR_EraseRootFromParent_Done,
     /*  784481 */   // Label 12176: @784481
     /*  784481 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784559), // Rule ID 14844 //
     /*  784486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784532 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784557 */     GIR_RootConstrainSelectedInstOperands,
     /*  784558 */     // GIR_Coverage, 14844,
     /*  784558 */     GIR_EraseRootFromParent_Done,
     /*  784559 */   // Label 12177: @784559
     /*  784559 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(784637), // Rule ID 14845 //
     /*  784564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784635 */     GIR_RootConstrainSelectedInstOperands,
     /*  784636 */     // GIR_Coverage, 14845,
     /*  784636 */     GIR_EraseRootFromParent_Done,
     /*  784637 */   // Label 12178: @784637
     /*  784637 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(784715), // Rule ID 14848 //
     /*  784642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784713 */     GIR_RootConstrainSelectedInstOperands,
     /*  784714 */     // GIR_Coverage, 14848,
     /*  784714 */     GIR_EraseRootFromParent_Done,
     /*  784715 */   // Label 12179: @784715
     /*  784715 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(784793), // Rule ID 14849 //
     /*  784720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784791 */     GIR_RootConstrainSelectedInstOperands,
     /*  784792 */     // GIR_Coverage, 14849,
     /*  784792 */     GIR_EraseRootFromParent_Done,
     /*  784793 */   // Label 12180: @784793
     /*  784793 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(784871), // Rule ID 14852 //
     /*  784798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784869 */     GIR_RootConstrainSelectedInstOperands,
     /*  784870 */     // GIR_Coverage, 14852,
     /*  784870 */     GIR_EraseRootFromParent_Done,
     /*  784871 */   // Label 12181: @784871
     /*  784871 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(784949), // Rule ID 14853 //
     /*  784876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784947 */     GIR_RootConstrainSelectedInstOperands,
     /*  784948 */     // GIR_Coverage, 14853,
     /*  784948 */     GIR_EraseRootFromParent_Done,
     /*  784949 */   // Label 12182: @784949
     /*  784949 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785027), // Rule ID 14856 //
     /*  784954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785025 */     GIR_RootConstrainSelectedInstOperands,
     /*  785026 */     // GIR_Coverage, 14856,
     /*  785026 */     GIR_EraseRootFromParent_Done,
     /*  785027 */   // Label 12183: @785027
     /*  785027 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785105), // Rule ID 14857 //
     /*  785032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785103 */     GIR_RootConstrainSelectedInstOperands,
     /*  785104 */     // GIR_Coverage, 14857,
     /*  785104 */     GIR_EraseRootFromParent_Done,
     /*  785105 */   // Label 12184: @785105
     /*  785105 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785183), // Rule ID 14860 //
     /*  785110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785181 */     GIR_RootConstrainSelectedInstOperands,
     /*  785182 */     // GIR_Coverage, 14860,
     /*  785182 */     GIR_EraseRootFromParent_Done,
     /*  785183 */   // Label 12185: @785183
     /*  785183 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785261), // Rule ID 14861 //
     /*  785188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785259 */     GIR_RootConstrainSelectedInstOperands,
     /*  785260 */     // GIR_Coverage, 14861,
     /*  785260 */     GIR_EraseRootFromParent_Done,
     /*  785261 */   // Label 12186: @785261
     /*  785261 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785339), // Rule ID 14864 //
     /*  785266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785337 */     GIR_RootConstrainSelectedInstOperands,
     /*  785338 */     // GIR_Coverage, 14864,
     /*  785338 */     GIR_EraseRootFromParent_Done,
     /*  785339 */   // Label 12187: @785339
     /*  785339 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785417), // Rule ID 14865 //
     /*  785344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785415 */     GIR_RootConstrainSelectedInstOperands,
     /*  785416 */     // GIR_Coverage, 14865,
     /*  785416 */     GIR_EraseRootFromParent_Done,
     /*  785417 */   // Label 12188: @785417
     /*  785417 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785495), // Rule ID 14868 //
     /*  785422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785493 */     GIR_RootConstrainSelectedInstOperands,
     /*  785494 */     // GIR_Coverage, 14868,
     /*  785494 */     GIR_EraseRootFromParent_Done,
     /*  785495 */   // Label 12189: @785495
     /*  785495 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785573), // Rule ID 14869 //
     /*  785500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785571 */     GIR_RootConstrainSelectedInstOperands,
     /*  785572 */     // GIR_Coverage, 14869,
     /*  785572 */     GIR_EraseRootFromParent_Done,
     /*  785573 */   // Label 12190: @785573
     /*  785573 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785651), // Rule ID 14872 //
     /*  785578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  785581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785649 */     GIR_RootConstrainSelectedInstOperands,
     /*  785650 */     // GIR_Coverage, 14872,
     /*  785650 */     GIR_EraseRootFromParent_Done,
     /*  785651 */   // Label 12191: @785651
     /*  785651 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(785729), // Rule ID 14873 //
     /*  785656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  785659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785727 */     GIR_RootConstrainSelectedInstOperands,
     /*  785728 */     // GIR_Coverage, 14873,
     /*  785728 */     GIR_EraseRootFromParent_Done,
     /*  785729 */   // Label 12192: @785729
     /*  785729 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(785807), // Rule ID 14876 //
     /*  785734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  785745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  785748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  785751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  785783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785805 */     GIR_RootConstrainSelectedInstOperands,
     /*  785806 */     // GIR_Coverage, 14876,
     /*  785806 */     GIR_EraseRootFromParent_Done,
     /*  785807 */   // Label 12193: @785807
     /*  785807 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(785885), // Rule ID 14877 //
     /*  785812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  785823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  785826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  785829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  785861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785883 */     GIR_RootConstrainSelectedInstOperands,
     /*  785884 */     // GIR_Coverage, 14877,
     /*  785884 */     GIR_EraseRootFromParent_Done,
     /*  785885 */   // Label 12194: @785885
     /*  785885 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(785963), // Rule ID 14880 //
     /*  785890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  785901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  785904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  785907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  785939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785961 */     GIR_RootConstrainSelectedInstOperands,
     /*  785962 */     // GIR_Coverage, 14880,
     /*  785962 */     GIR_EraseRootFromParent_Done,
     /*  785963 */   // Label 12195: @785963
     /*  785963 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786041), // Rule ID 14881 //
     /*  785968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  785979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  785982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  785985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786039 */     GIR_RootConstrainSelectedInstOperands,
     /*  786040 */     // GIR_Coverage, 14881,
     /*  786040 */     GIR_EraseRootFromParent_Done,
     /*  786041 */   // Label 12196: @786041
     /*  786041 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786119), // Rule ID 14884 //
     /*  786046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786117 */     GIR_RootConstrainSelectedInstOperands,
     /*  786118 */     // GIR_Coverage, 14884,
     /*  786118 */     GIR_EraseRootFromParent_Done,
     /*  786119 */   // Label 12197: @786119
     /*  786119 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786197), // Rule ID 14885 //
     /*  786124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786195 */     GIR_RootConstrainSelectedInstOperands,
     /*  786196 */     // GIR_Coverage, 14885,
     /*  786196 */     GIR_EraseRootFromParent_Done,
     /*  786197 */   // Label 12198: @786197
     /*  786197 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786275), // Rule ID 14888 //
     /*  786202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786273 */     GIR_RootConstrainSelectedInstOperands,
     /*  786274 */     // GIR_Coverage, 14888,
     /*  786274 */     GIR_EraseRootFromParent_Done,
     /*  786275 */   // Label 12199: @786275
     /*  786275 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786353), // Rule ID 14889 //
     /*  786280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786351 */     GIR_RootConstrainSelectedInstOperands,
     /*  786352 */     // GIR_Coverage, 14889,
     /*  786352 */     GIR_EraseRootFromParent_Done,
     /*  786353 */   // Label 12200: @786353
     /*  786353 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786431), // Rule ID 14892 //
     /*  786358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786429 */     GIR_RootConstrainSelectedInstOperands,
     /*  786430 */     // GIR_Coverage, 14892,
     /*  786430 */     GIR_EraseRootFromParent_Done,
     /*  786431 */   // Label 12201: @786431
     /*  786431 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786509), // Rule ID 14893 //
     /*  786436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786507 */     GIR_RootConstrainSelectedInstOperands,
     /*  786508 */     // GIR_Coverage, 14893,
     /*  786508 */     GIR_EraseRootFromParent_Done,
     /*  786509 */   // Label 12202: @786509
     /*  786509 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786587), // Rule ID 14896 //
     /*  786514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786585 */     GIR_RootConstrainSelectedInstOperands,
     /*  786586 */     // GIR_Coverage, 14896,
     /*  786586 */     GIR_EraseRootFromParent_Done,
     /*  786587 */   // Label 12203: @786587
     /*  786587 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786665), // Rule ID 14897 //
     /*  786592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786663 */     GIR_RootConstrainSelectedInstOperands,
     /*  786664 */     // GIR_Coverage, 14897,
     /*  786664 */     GIR_EraseRootFromParent_Done,
     /*  786665 */   // Label 12204: @786665
     /*  786665 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(786743), // Rule ID 14900 //
     /*  786670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786741 */     GIR_RootConstrainSelectedInstOperands,
     /*  786742 */     // GIR_Coverage, 14900,
     /*  786742 */     GIR_EraseRootFromParent_Done,
     /*  786743 */   // Label 12205: @786743
     /*  786743 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(786821), // Rule ID 14901 //
     /*  786748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786819 */     GIR_RootConstrainSelectedInstOperands,
     /*  786820 */     // GIR_Coverage, 14901,
     /*  786820 */     GIR_EraseRootFromParent_Done,
     /*  786821 */   // Label 12206: @786821
     /*  786821 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(786899), // Rule ID 14904 //
     /*  786826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786897 */     GIR_RootConstrainSelectedInstOperands,
     /*  786898 */     // GIR_Coverage, 14904,
     /*  786898 */     GIR_EraseRootFromParent_Done,
     /*  786899 */   // Label 12207: @786899
     /*  786899 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(786977), // Rule ID 14905 //
     /*  786904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786975 */     GIR_RootConstrainSelectedInstOperands,
     /*  786976 */     // GIR_Coverage, 14905,
     /*  786976 */     GIR_EraseRootFromParent_Done,
     /*  786977 */   // Label 12208: @786977
     /*  786977 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787055), // Rule ID 14908 //
     /*  786982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787053 */     GIR_RootConstrainSelectedInstOperands,
     /*  787054 */     // GIR_Coverage, 14908,
     /*  787054 */     GIR_EraseRootFromParent_Done,
     /*  787055 */   // Label 12209: @787055
     /*  787055 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787133), // Rule ID 14909 //
     /*  787060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787131 */     GIR_RootConstrainSelectedInstOperands,
     /*  787132 */     // GIR_Coverage, 14909,
     /*  787132 */     GIR_EraseRootFromParent_Done,
     /*  787133 */   // Label 12210: @787133
     /*  787133 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787211), // Rule ID 14912 //
     /*  787138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787209 */     GIR_RootConstrainSelectedInstOperands,
     /*  787210 */     // GIR_Coverage, 14912,
     /*  787210 */     GIR_EraseRootFromParent_Done,
     /*  787211 */   // Label 12211: @787211
     /*  787211 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787289), // Rule ID 14913 //
     /*  787216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787287 */     GIR_RootConstrainSelectedInstOperands,
     /*  787288 */     // GIR_Coverage, 14913,
     /*  787288 */     GIR_EraseRootFromParent_Done,
     /*  787289 */   // Label 12212: @787289
     /*  787289 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787367), // Rule ID 14916 //
     /*  787294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787365 */     GIR_RootConstrainSelectedInstOperands,
     /*  787366 */     // GIR_Coverage, 14916,
     /*  787366 */     GIR_EraseRootFromParent_Done,
     /*  787367 */   // Label 12213: @787367
     /*  787367 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787445), // Rule ID 14917 //
     /*  787372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787443 */     GIR_RootConstrainSelectedInstOperands,
     /*  787444 */     // GIR_Coverage, 14917,
     /*  787444 */     GIR_EraseRootFromParent_Done,
     /*  787445 */   // Label 12214: @787445
     /*  787445 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787523), // Rule ID 14920 //
     /*  787450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787521 */     GIR_RootConstrainSelectedInstOperands,
     /*  787522 */     // GIR_Coverage, 14920,
     /*  787522 */     GIR_EraseRootFromParent_Done,
     /*  787523 */   // Label 12215: @787523
     /*  787523 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787601), // Rule ID 14921 //
     /*  787528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787599 */     GIR_RootConstrainSelectedInstOperands,
     /*  787600 */     // GIR_Coverage, 14921,
     /*  787600 */     GIR_EraseRootFromParent_Done,
     /*  787601 */   // Label 12216: @787601
     /*  787601 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787676), // Rule ID 19162 //
     /*  787606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  787655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787674 */     GIR_RootConstrainSelectedInstOperands,
     /*  787675 */     // GIR_Coverage, 19162,
     /*  787675 */     GIR_EraseRootFromParent_Done,
     /*  787676 */   // Label 12217: @787676
     /*  787676 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787751), // Rule ID 19163 //
     /*  787681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  787730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787749 */     GIR_RootConstrainSelectedInstOperands,
     /*  787750 */     // GIR_Coverage, 19163,
     /*  787750 */     GIR_EraseRootFromParent_Done,
     /*  787751 */   // Label 12218: @787751
     /*  787751 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(787826), // Rule ID 19166 //
     /*  787756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  787805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787824 */     GIR_RootConstrainSelectedInstOperands,
     /*  787825 */     // GIR_Coverage, 19166,
     /*  787825 */     GIR_EraseRootFromParent_Done,
     /*  787826 */   // Label 12219: @787826
     /*  787826 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(787901), // Rule ID 19167 //
     /*  787831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787877 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  787880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787899 */     GIR_RootConstrainSelectedInstOperands,
     /*  787900 */     // GIR_Coverage, 19167,
     /*  787900 */     GIR_EraseRootFromParent_Done,
     /*  787901 */   // Label 12220: @787901
     /*  787901 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(787976), // Rule ID 19170 //
     /*  787906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  787955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787974 */     GIR_RootConstrainSelectedInstOperands,
     /*  787975 */     // GIR_Coverage, 19170,
     /*  787975 */     GIR_EraseRootFromParent_Done,
     /*  787976 */   // Label 12221: @787976
     /*  787976 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788051), // Rule ID 19171 //
     /*  787981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  788030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788049 */     GIR_RootConstrainSelectedInstOperands,
     /*  788050 */     // GIR_Coverage, 19171,
     /*  788050 */     GIR_EraseRootFromParent_Done,
     /*  788051 */   // Label 12222: @788051
     /*  788051 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788126), // Rule ID 19174 //
     /*  788056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  788105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788124 */     GIR_RootConstrainSelectedInstOperands,
     /*  788125 */     // GIR_Coverage, 19174,
     /*  788125 */     GIR_EraseRootFromParent_Done,
     /*  788126 */   // Label 12223: @788126
     /*  788126 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788201), // Rule ID 19175 //
     /*  788131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  788180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788199 */     GIR_RootConstrainSelectedInstOperands,
     /*  788200 */     // GIR_Coverage, 19175,
     /*  788200 */     GIR_EraseRootFromParent_Done,
     /*  788201 */   // Label 12224: @788201
     /*  788201 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788276), // Rule ID 19178 //
     /*  788206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788274 */     GIR_RootConstrainSelectedInstOperands,
     /*  788275 */     // GIR_Coverage, 19178,
     /*  788275 */     GIR_EraseRootFromParent_Done,
     /*  788276 */   // Label 12225: @788276
     /*  788276 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788351), // Rule ID 19179 //
     /*  788281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788349 */     GIR_RootConstrainSelectedInstOperands,
     /*  788350 */     // GIR_Coverage, 19179,
     /*  788350 */     GIR_EraseRootFromParent_Done,
     /*  788351 */   // Label 12226: @788351
     /*  788351 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788426), // Rule ID 19182 //
     /*  788356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788424 */     GIR_RootConstrainSelectedInstOperands,
     /*  788425 */     // GIR_Coverage, 19182,
     /*  788425 */     GIR_EraseRootFromParent_Done,
     /*  788426 */   // Label 12227: @788426
     /*  788426 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788501), // Rule ID 19183 //
     /*  788431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788499 */     GIR_RootConstrainSelectedInstOperands,
     /*  788500 */     // GIR_Coverage, 19183,
     /*  788500 */     GIR_EraseRootFromParent_Done,
     /*  788501 */   // Label 12228: @788501
     /*  788501 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788576), // Rule ID 19186 //
     /*  788506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  788555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788574 */     GIR_RootConstrainSelectedInstOperands,
     /*  788575 */     // GIR_Coverage, 19186,
     /*  788575 */     GIR_EraseRootFromParent_Done,
     /*  788576 */   // Label 12229: @788576
     /*  788576 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788651), // Rule ID 19187 //
     /*  788581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  788630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788649 */     GIR_RootConstrainSelectedInstOperands,
     /*  788650 */     // GIR_Coverage, 19187,
     /*  788650 */     GIR_EraseRootFromParent_Done,
     /*  788651 */   // Label 12230: @788651
     /*  788651 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788726), // Rule ID 19190 //
     /*  788656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788702 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  788705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788724 */     GIR_RootConstrainSelectedInstOperands,
     /*  788725 */     // GIR_Coverage, 19190,
     /*  788725 */     GIR_EraseRootFromParent_Done,
     /*  788726 */   // Label 12231: @788726
     /*  788726 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(788801), // Rule ID 19191 //
     /*  788731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  788780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788799 */     GIR_RootConstrainSelectedInstOperands,
     /*  788800 */     // GIR_Coverage, 19191,
     /*  788800 */     GIR_EraseRootFromParent_Done,
     /*  788801 */   // Label 12232: @788801
     /*  788801 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(788876), // Rule ID 19194 //
     /*  788806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  788855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788874 */     GIR_RootConstrainSelectedInstOperands,
     /*  788875 */     // GIR_Coverage, 19194,
     /*  788875 */     GIR_EraseRootFromParent_Done,
     /*  788876 */   // Label 12233: @788876
     /*  788876 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(788951), // Rule ID 19195 //
     /*  788881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788927 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  788930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788949 */     GIR_RootConstrainSelectedInstOperands,
     /*  788950 */     // GIR_Coverage, 19195,
     /*  788950 */     GIR_EraseRootFromParent_Done,
     /*  788951 */   // Label 12234: @788951
     /*  788951 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789026), // Rule ID 19198 //
     /*  788956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  789005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789024 */     GIR_RootConstrainSelectedInstOperands,
     /*  789025 */     // GIR_Coverage, 19198,
     /*  789025 */     GIR_EraseRootFromParent_Done,
     /*  789026 */   // Label 12235: @789026
     /*  789026 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789101), // Rule ID 19199 //
     /*  789031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  789080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789099 */     GIR_RootConstrainSelectedInstOperands,
     /*  789100 */     // GIR_Coverage, 19199,
     /*  789100 */     GIR_EraseRootFromParent_Done,
     /*  789101 */   // Label 12236: @789101
     /*  789101 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789176), // Rule ID 19202 //
     /*  789106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  789155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789174 */     GIR_RootConstrainSelectedInstOperands,
     /*  789175 */     // GIR_Coverage, 19202,
     /*  789175 */     GIR_EraseRootFromParent_Done,
     /*  789176 */   // Label 12237: @789176
     /*  789176 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789251), // Rule ID 19203 //
     /*  789181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  789230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789249 */     GIR_RootConstrainSelectedInstOperands,
     /*  789250 */     // GIR_Coverage, 19203,
     /*  789250 */     GIR_EraseRootFromParent_Done,
     /*  789251 */   // Label 12238: @789251
     /*  789251 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789326), // Rule ID 19206 //
     /*  789256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789324 */     GIR_RootConstrainSelectedInstOperands,
     /*  789325 */     // GIR_Coverage, 19206,
     /*  789325 */     GIR_EraseRootFromParent_Done,
     /*  789326 */   // Label 12239: @789326
     /*  789326 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789401), // Rule ID 19207 //
     /*  789331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789399 */     GIR_RootConstrainSelectedInstOperands,
     /*  789400 */     // GIR_Coverage, 19207,
     /*  789400 */     GIR_EraseRootFromParent_Done,
     /*  789401 */   // Label 12240: @789401
     /*  789401 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789476), // Rule ID 19210 //
     /*  789406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  789455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789474 */     GIR_RootConstrainSelectedInstOperands,
     /*  789475 */     // GIR_Coverage, 19210,
     /*  789475 */     GIR_EraseRootFromParent_Done,
     /*  789476 */   // Label 12241: @789476
     /*  789476 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789551), // Rule ID 19211 //
     /*  789481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  789530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789549 */     GIR_RootConstrainSelectedInstOperands,
     /*  789550 */     // GIR_Coverage, 19211,
     /*  789550 */     GIR_EraseRootFromParent_Done,
     /*  789551 */   // Label 12242: @789551
     /*  789551 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789626), // Rule ID 19214 //
     /*  789556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  789605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789624 */     GIR_RootConstrainSelectedInstOperands,
     /*  789625 */     // GIR_Coverage, 19214,
     /*  789625 */     GIR_EraseRootFromParent_Done,
     /*  789626 */   // Label 12243: @789626
     /*  789626 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789701), // Rule ID 19215 //
     /*  789631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789677 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  789680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789699 */     GIR_RootConstrainSelectedInstOperands,
     /*  789700 */     // GIR_Coverage, 19215,
     /*  789700 */     GIR_EraseRootFromParent_Done,
     /*  789701 */   // Label 12244: @789701
     /*  789701 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(789776), // Rule ID 19218 //
     /*  789706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  789755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789774 */     GIR_RootConstrainSelectedInstOperands,
     /*  789775 */     // GIR_Coverage, 19218,
     /*  789775 */     GIR_EraseRootFromParent_Done,
     /*  789776 */   // Label 12245: @789776
     /*  789776 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(789851), // Rule ID 19219 //
     /*  789781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  789830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789849 */     GIR_RootConstrainSelectedInstOperands,
     /*  789850 */     // GIR_Coverage, 19219,
     /*  789850 */     GIR_EraseRootFromParent_Done,
     /*  789851 */   // Label 12246: @789851
     /*  789851 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(789926), // Rule ID 19222 //
     /*  789856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  789905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789924 */     GIR_RootConstrainSelectedInstOperands,
     /*  789925 */     // GIR_Coverage, 19222,
     /*  789925 */     GIR_EraseRootFromParent_Done,
     /*  789926 */   // Label 12247: @789926
     /*  789926 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790001), // Rule ID 19223 //
     /*  789931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  789980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789999 */     GIR_RootConstrainSelectedInstOperands,
     /*  790000 */     // GIR_Coverage, 19223,
     /*  790000 */     GIR_EraseRootFromParent_Done,
     /*  790001 */   // Label 12248: @790001
     /*  790001 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790076), // Rule ID 19226 //
     /*  790006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  790055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790074 */     GIR_RootConstrainSelectedInstOperands,
     /*  790075 */     // GIR_Coverage, 19226,
     /*  790075 */     GIR_EraseRootFromParent_Done,
     /*  790076 */   // Label 12249: @790076
     /*  790076 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790151), // Rule ID 19227 //
     /*  790081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  790130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790149 */     GIR_RootConstrainSelectedInstOperands,
     /*  790150 */     // GIR_Coverage, 19227,
     /*  790150 */     GIR_EraseRootFromParent_Done,
     /*  790151 */   // Label 12250: @790151
     /*  790151 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790226), // Rule ID 19230 //
     /*  790156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790202 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790224 */     GIR_RootConstrainSelectedInstOperands,
     /*  790225 */     // GIR_Coverage, 19230,
     /*  790225 */     GIR_EraseRootFromParent_Done,
     /*  790226 */   // Label 12251: @790226
     /*  790226 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790301), // Rule ID 19231 //
     /*  790231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790299 */     GIR_RootConstrainSelectedInstOperands,
     /*  790300 */     // GIR_Coverage, 19231,
     /*  790300 */     GIR_EraseRootFromParent_Done,
     /*  790301 */   // Label 12252: @790301
     /*  790301 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790376), // Rule ID 19234 //
     /*  790306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790374 */     GIR_RootConstrainSelectedInstOperands,
     /*  790375 */     // GIR_Coverage, 19234,
     /*  790375 */     GIR_EraseRootFromParent_Done,
     /*  790376 */   // Label 12253: @790376
     /*  790376 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790451), // Rule ID 19235 //
     /*  790381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790449 */     GIR_RootConstrainSelectedInstOperands,
     /*  790450 */     // GIR_Coverage, 19235,
     /*  790450 */     GIR_EraseRootFromParent_Done,
     /*  790451 */   // Label 12254: @790451
     /*  790451 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790526), // Rule ID 19238 //
     /*  790456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  790505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790524 */     GIR_RootConstrainSelectedInstOperands,
     /*  790525 */     // GIR_Coverage, 19238,
     /*  790525 */     GIR_EraseRootFromParent_Done,
     /*  790526 */   // Label 12255: @790526
     /*  790526 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790601), // Rule ID 19239 //
     /*  790531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  790580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790599 */     GIR_RootConstrainSelectedInstOperands,
     /*  790600 */     // GIR_Coverage, 19239,
     /*  790600 */     GIR_EraseRootFromParent_Done,
     /*  790601 */   // Label 12256: @790601
     /*  790601 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790676), // Rule ID 19242 //
     /*  790606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  790655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790674 */     GIR_RootConstrainSelectedInstOperands,
     /*  790675 */     // GIR_Coverage, 19242,
     /*  790675 */     GIR_EraseRootFromParent_Done,
     /*  790676 */   // Label 12257: @790676
     /*  790676 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790751), // Rule ID 19243 //
     /*  790681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  790730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790749 */     GIR_RootConstrainSelectedInstOperands,
     /*  790750 */     // GIR_Coverage, 19243,
     /*  790750 */     GIR_EraseRootFromParent_Done,
     /*  790751 */   // Label 12258: @790751
     /*  790751 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(790826), // Rule ID 19246 //
     /*  790756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  790805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790824 */     GIR_RootConstrainSelectedInstOperands,
     /*  790825 */     // GIR_Coverage, 19246,
     /*  790825 */     GIR_EraseRootFromParent_Done,
     /*  790826 */   // Label 12259: @790826
     /*  790826 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(790901), // Rule ID 19247 //
     /*  790831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790877 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  790880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790899 */     GIR_RootConstrainSelectedInstOperands,
     /*  790900 */     // GIR_Coverage, 19247,
     /*  790900 */     GIR_EraseRootFromParent_Done,
     /*  790901 */   // Label 12260: @790901
     /*  790901 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(790976), // Rule ID 19250 //
     /*  790906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  790955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790974 */     GIR_RootConstrainSelectedInstOperands,
     /*  790975 */     // GIR_Coverage, 19250,
     /*  790975 */     GIR_EraseRootFromParent_Done,
     /*  790976 */   // Label 12261: @790976
     /*  790976 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791051), // Rule ID 19251 //
     /*  790981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791027 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  791030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791049 */     GIR_RootConstrainSelectedInstOperands,
     /*  791050 */     // GIR_Coverage, 19251,
     /*  791050 */     GIR_EraseRootFromParent_Done,
     /*  791051 */   // Label 12262: @791051
     /*  791051 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791126), // Rule ID 19254 //
     /*  791056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791102 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  791105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791124 */     GIR_RootConstrainSelectedInstOperands,
     /*  791125 */     // GIR_Coverage, 19254,
     /*  791125 */     GIR_EraseRootFromParent_Done,
     /*  791126 */   // Label 12263: @791126
     /*  791126 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791201), // Rule ID 19255 //
     /*  791131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  791180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791199 */     GIR_RootConstrainSelectedInstOperands,
     /*  791200 */     // GIR_Coverage, 19255,
     /*  791200 */     GIR_EraseRootFromParent_Done,
     /*  791201 */   // Label 12264: @791201
     /*  791201 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791276), // Rule ID 19258 //
     /*  791206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791274 */     GIR_RootConstrainSelectedInstOperands,
     /*  791275 */     // GIR_Coverage, 19258,
     /*  791275 */     GIR_EraseRootFromParent_Done,
     /*  791276 */   // Label 12265: @791276
     /*  791276 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791351), // Rule ID 19259 //
     /*  791281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791349 */     GIR_RootConstrainSelectedInstOperands,
     /*  791350 */     // GIR_Coverage, 19259,
     /*  791350 */     GIR_EraseRootFromParent_Done,
     /*  791351 */   // Label 12266: @791351
     /*  791351 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791426), // Rule ID 19262 //
     /*  791356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791424 */     GIR_RootConstrainSelectedInstOperands,
     /*  791425 */     // GIR_Coverage, 19262,
     /*  791425 */     GIR_EraseRootFromParent_Done,
     /*  791426 */   // Label 12267: @791426
     /*  791426 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791501), // Rule ID 19263 //
     /*  791431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791499 */     GIR_RootConstrainSelectedInstOperands,
     /*  791500 */     // GIR_Coverage, 19263,
     /*  791500 */     GIR_EraseRootFromParent_Done,
     /*  791501 */   // Label 12268: @791501
     /*  791501 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791576), // Rule ID 19266 //
     /*  791506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  791555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791574 */     GIR_RootConstrainSelectedInstOperands,
     /*  791575 */     // GIR_Coverage, 19266,
     /*  791575 */     GIR_EraseRootFromParent_Done,
     /*  791576 */   // Label 12269: @791576
     /*  791576 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791651), // Rule ID 19267 //
     /*  791581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  791630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791649 */     GIR_RootConstrainSelectedInstOperands,
     /*  791650 */     // GIR_Coverage, 19267,
     /*  791650 */     GIR_EraseRootFromParent_Done,
     /*  791651 */   // Label 12270: @791651
     /*  791651 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791726), // Rule ID 19270 //
     /*  791656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  791705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791724 */     GIR_RootConstrainSelectedInstOperands,
     /*  791725 */     // GIR_Coverage, 19270,
     /*  791725 */     GIR_EraseRootFromParent_Done,
     /*  791726 */   // Label 12271: @791726
     /*  791726 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(791801), // Rule ID 19271 //
     /*  791731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  791780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791799 */     GIR_RootConstrainSelectedInstOperands,
     /*  791800 */     // GIR_Coverage, 19271,
     /*  791800 */     GIR_EraseRootFromParent_Done,
     /*  791801 */   // Label 12272: @791801
     /*  791801 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(791876), // Rule ID 19274 //
     /*  791806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  791855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791874 */     GIR_RootConstrainSelectedInstOperands,
     /*  791875 */     // GIR_Coverage, 19274,
     /*  791875 */     GIR_EraseRootFromParent_Done,
     /*  791876 */   // Label 12273: @791876
     /*  791876 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(791951), // Rule ID 19275 //
     /*  791881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  791930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791949 */     GIR_RootConstrainSelectedInstOperands,
     /*  791950 */     // GIR_Coverage, 19275,
     /*  791950 */     GIR_EraseRootFromParent_Done,
     /*  791951 */   // Label 12274: @791951
     /*  791951 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792026), // Rule ID 19278 //
     /*  791956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  792005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792024 */     GIR_RootConstrainSelectedInstOperands,
     /*  792025 */     // GIR_Coverage, 19278,
     /*  792025 */     GIR_EraseRootFromParent_Done,
     /*  792026 */   // Label 12275: @792026
     /*  792026 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792101), // Rule ID 19279 //
     /*  792031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  792080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792099 */     GIR_RootConstrainSelectedInstOperands,
     /*  792100 */     // GIR_Coverage, 19279,
     /*  792100 */     GIR_EraseRootFromParent_Done,
     /*  792101 */   // Label 12276: @792101
     /*  792101 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792176), // Rule ID 19282 //
     /*  792106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  792155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792174 */     GIR_RootConstrainSelectedInstOperands,
     /*  792175 */     // GIR_Coverage, 19282,
     /*  792175 */     GIR_EraseRootFromParent_Done,
     /*  792176 */   // Label 12277: @792176
     /*  792176 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792251), // Rule ID 19283 //
     /*  792181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  792230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792249 */     GIR_RootConstrainSelectedInstOperands,
     /*  792250 */     // GIR_Coverage, 19283,
     /*  792250 */     GIR_EraseRootFromParent_Done,
     /*  792251 */   // Label 12278: @792251
     /*  792251 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792326), // Rule ID 19286 //
     /*  792256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792302 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792324 */     GIR_RootConstrainSelectedInstOperands,
     /*  792325 */     // GIR_Coverage, 19286,
     /*  792325 */     GIR_EraseRootFromParent_Done,
     /*  792326 */   // Label 12279: @792326
     /*  792326 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792401), // Rule ID 19287 //
     /*  792331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792399 */     GIR_RootConstrainSelectedInstOperands,
     /*  792400 */     // GIR_Coverage, 19287,
     /*  792400 */     GIR_EraseRootFromParent_Done,
     /*  792401 */   // Label 12280: @792401
     /*  792401 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792476), // Rule ID 19290 //
     /*  792406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  792455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792474 */     GIR_RootConstrainSelectedInstOperands,
     /*  792475 */     // GIR_Coverage, 19290,
     /*  792475 */     GIR_EraseRootFromParent_Done,
     /*  792476 */   // Label 12281: @792476
     /*  792476 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792551), // Rule ID 19291 //
     /*  792481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792527 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  792530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792549 */     GIR_RootConstrainSelectedInstOperands,
     /*  792550 */     // GIR_Coverage, 19291,
     /*  792550 */     GIR_EraseRootFromParent_Done,
     /*  792551 */   // Label 12282: @792551
     /*  792551 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792626), // Rule ID 19294 //
     /*  792556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  792605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792624 */     GIR_RootConstrainSelectedInstOperands,
     /*  792625 */     // GIR_Coverage, 19294,
     /*  792625 */     GIR_EraseRootFromParent_Done,
     /*  792626 */   // Label 12283: @792626
     /*  792626 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792701), // Rule ID 19295 //
     /*  792631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  792680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792699 */     GIR_RootConstrainSelectedInstOperands,
     /*  792700 */     // GIR_Coverage, 19295,
     /*  792700 */     GIR_EraseRootFromParent_Done,
     /*  792701 */   // Label 12284: @792701
     /*  792701 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(792776), // Rule ID 19298 //
     /*  792706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  792755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792774 */     GIR_RootConstrainSelectedInstOperands,
     /*  792775 */     // GIR_Coverage, 19298,
     /*  792775 */     GIR_EraseRootFromParent_Done,
     /*  792776 */   // Label 12285: @792776
     /*  792776 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(792851), // Rule ID 19299 //
     /*  792781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  792830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792849 */     GIR_RootConstrainSelectedInstOperands,
     /*  792850 */     // GIR_Coverage, 19299,
     /*  792850 */     GIR_EraseRootFromParent_Done,
     /*  792851 */   // Label 12286: @792851
     /*  792851 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(792926), // Rule ID 19302 //
     /*  792856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  792905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792924 */     GIR_RootConstrainSelectedInstOperands,
     /*  792925 */     // GIR_Coverage, 19302,
     /*  792925 */     GIR_EraseRootFromParent_Done,
     /*  792926 */   // Label 12287: @792926
     /*  792926 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793001), // Rule ID 19303 //
     /*  792931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  792980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792999 */     GIR_RootConstrainSelectedInstOperands,
     /*  793000 */     // GIR_Coverage, 19303,
     /*  793000 */     GIR_EraseRootFromParent_Done,
     /*  793001 */   // Label 12288: @793001
     /*  793001 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793076), // Rule ID 19306 //
     /*  793006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  793055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793074 */     GIR_RootConstrainSelectedInstOperands,
     /*  793075 */     // GIR_Coverage, 19306,
     /*  793075 */     GIR_EraseRootFromParent_Done,
     /*  793076 */   // Label 12289: @793076
     /*  793076 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793151), // Rule ID 19307 //
     /*  793081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  793130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793149 */     GIR_RootConstrainSelectedInstOperands,
     /*  793150 */     // GIR_Coverage, 19307,
     /*  793150 */     GIR_EraseRootFromParent_Done,
     /*  793151 */   // Label 12290: @793151
     /*  793151 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793226), // Rule ID 19310 //
     /*  793156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793224 */     GIR_RootConstrainSelectedInstOperands,
     /*  793225 */     // GIR_Coverage, 19310,
     /*  793225 */     GIR_EraseRootFromParent_Done,
     /*  793226 */   // Label 12291: @793226
     /*  793226 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793301), // Rule ID 19311 //
     /*  793231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793299 */     GIR_RootConstrainSelectedInstOperands,
     /*  793300 */     // GIR_Coverage, 19311,
     /*  793300 */     GIR_EraseRootFromParent_Done,
     /*  793301 */   // Label 12292: @793301
     /*  793301 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793376), // Rule ID 19314 //
     /*  793306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793352 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793374 */     GIR_RootConstrainSelectedInstOperands,
     /*  793375 */     // GIR_Coverage, 19314,
     /*  793375 */     GIR_EraseRootFromParent_Done,
     /*  793376 */   // Label 12293: @793376
     /*  793376 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793451), // Rule ID 19315 //
     /*  793381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793427 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793449 */     GIR_RootConstrainSelectedInstOperands,
     /*  793450 */     // GIR_Coverage, 19315,
     /*  793450 */     GIR_EraseRootFromParent_Done,
     /*  793451 */   // Label 12294: @793451
     /*  793451 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793526), // Rule ID 19318 //
     /*  793456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793502 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  793505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793524 */     GIR_RootConstrainSelectedInstOperands,
     /*  793525 */     // GIR_Coverage, 19318,
     /*  793525 */     GIR_EraseRootFromParent_Done,
     /*  793526 */   // Label 12295: @793526
     /*  793526 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793601), // Rule ID 19319 //
     /*  793531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  793580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793599 */     GIR_RootConstrainSelectedInstOperands,
     /*  793600 */     // GIR_Coverage, 19319,
     /*  793600 */     GIR_EraseRootFromParent_Done,
     /*  793601 */   // Label 12296: @793601
     /*  793601 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793676), // Rule ID 19322 //
     /*  793606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  793655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793674 */     GIR_RootConstrainSelectedInstOperands,
     /*  793675 */     // GIR_Coverage, 19322,
     /*  793675 */     GIR_EraseRootFromParent_Done,
     /*  793676 */   // Label 12297: @793676
     /*  793676 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793751), // Rule ID 19323 //
     /*  793681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793727 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  793730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793749 */     GIR_RootConstrainSelectedInstOperands,
     /*  793750 */     // GIR_Coverage, 19323,
     /*  793750 */     GIR_EraseRootFromParent_Done,
     /*  793751 */   // Label 12298: @793751
     /*  793751 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(793826), // Rule ID 19326 //
     /*  793756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793802 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  793805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793824 */     GIR_RootConstrainSelectedInstOperands,
     /*  793825 */     // GIR_Coverage, 19326,
     /*  793825 */     GIR_EraseRootFromParent_Done,
     /*  793826 */   // Label 12299: @793826
     /*  793826 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(793901), // Rule ID 19327 //
     /*  793831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  793880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793899 */     GIR_RootConstrainSelectedInstOperands,
     /*  793900 */     // GIR_Coverage, 19327,
     /*  793900 */     GIR_EraseRootFromParent_Done,
     /*  793901 */   // Label 12300: @793901
     /*  793901 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(793976), // Rule ID 19330 //
     /*  793906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  793955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793974 */     GIR_RootConstrainSelectedInstOperands,
     /*  793975 */     // GIR_Coverage, 19330,
     /*  793975 */     GIR_EraseRootFromParent_Done,
     /*  793976 */   // Label 12301: @793976
     /*  793976 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794051), // Rule ID 19331 //
     /*  793981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  794030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794049 */     GIR_RootConstrainSelectedInstOperands,
     /*  794050 */     // GIR_Coverage, 19331,
     /*  794050 */     GIR_EraseRootFromParent_Done,
     /*  794051 */   // Label 12302: @794051
     /*  794051 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794126), // Rule ID 19334 //
     /*  794056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  794105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794124 */     GIR_RootConstrainSelectedInstOperands,
     /*  794125 */     // GIR_Coverage, 19334,
     /*  794125 */     GIR_EraseRootFromParent_Done,
     /*  794126 */   // Label 12303: @794126
     /*  794126 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794201), // Rule ID 19335 //
     /*  794131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  794180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794199 */     GIR_RootConstrainSelectedInstOperands,
     /*  794200 */     // GIR_Coverage, 19335,
     /*  794200 */     GIR_EraseRootFromParent_Done,
     /*  794201 */   // Label 12304: @794201
     /*  794201 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794276), // Rule ID 19338 //
     /*  794206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794274 */     GIR_RootConstrainSelectedInstOperands,
     /*  794275 */     // GIR_Coverage, 19338,
     /*  794275 */     GIR_EraseRootFromParent_Done,
     /*  794276 */   // Label 12305: @794276
     /*  794276 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794351), // Rule ID 19339 //
     /*  794281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794349 */     GIR_RootConstrainSelectedInstOperands,
     /*  794350 */     // GIR_Coverage, 19339,
     /*  794350 */     GIR_EraseRootFromParent_Done,
     /*  794351 */   // Label 12306: @794351
     /*  794351 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794426), // Rule ID 19342 //
     /*  794356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794424 */     GIR_RootConstrainSelectedInstOperands,
     /*  794425 */     // GIR_Coverage, 19342,
     /*  794425 */     GIR_EraseRootFromParent_Done,
     /*  794426 */   // Label 12307: @794426
     /*  794426 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794501), // Rule ID 19343 //
     /*  794431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794477 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794499 */     GIR_RootConstrainSelectedInstOperands,
     /*  794500 */     // GIR_Coverage, 19343,
     /*  794500 */     GIR_EraseRootFromParent_Done,
     /*  794501 */   // Label 12308: @794501
     /*  794501 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794576), // Rule ID 19346 //
     /*  794506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794552 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  794555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794574 */     GIR_RootConstrainSelectedInstOperands,
     /*  794575 */     // GIR_Coverage, 19346,
     /*  794575 */     GIR_EraseRootFromParent_Done,
     /*  794576 */   // Label 12309: @794576
     /*  794576 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794651), // Rule ID 19347 //
     /*  794581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794627 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  794630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794649 */     GIR_RootConstrainSelectedInstOperands,
     /*  794650 */     // GIR_Coverage, 19347,
     /*  794650 */     GIR_EraseRootFromParent_Done,
     /*  794651 */   // Label 12310: @794651
     /*  794651 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794726), // Rule ID 19350 //
     /*  794656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  794705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794724 */     GIR_RootConstrainSelectedInstOperands,
     /*  794725 */     // GIR_Coverage, 19350,
     /*  794725 */     GIR_EraseRootFromParent_Done,
     /*  794726 */   // Label 12311: @794726
     /*  794726 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(794801), // Rule ID 19351 //
     /*  794731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794777 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  794780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794799 */     GIR_RootConstrainSelectedInstOperands,
     /*  794800 */     // GIR_Coverage, 19351,
     /*  794800 */     GIR_EraseRootFromParent_Done,
     /*  794801 */   // Label 12312: @794801
     /*  794801 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(794876), // Rule ID 19354 //
     /*  794806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  794855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794874 */     GIR_RootConstrainSelectedInstOperands,
     /*  794875 */     // GIR_Coverage, 19354,
     /*  794875 */     GIR_EraseRootFromParent_Done,
     /*  794876 */   // Label 12313: @794876
     /*  794876 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(794951), // Rule ID 19355 //
     /*  794881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  794930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794949 */     GIR_RootConstrainSelectedInstOperands,
     /*  794950 */     // GIR_Coverage, 19355,
     /*  794950 */     GIR_EraseRootFromParent_Done,
     /*  794951 */   // Label 12314: @794951
     /*  794951 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795026), // Rule ID 19358 //
     /*  794956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  795005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795024 */     GIR_RootConstrainSelectedInstOperands,
     /*  795025 */     // GIR_Coverage, 19358,
     /*  795025 */     GIR_EraseRootFromParent_Done,
     /*  795026 */   // Label 12315: @795026
     /*  795026 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795101), // Rule ID 19359 //
     /*  795031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  795080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795099 */     GIR_RootConstrainSelectedInstOperands,
     /*  795100 */     // GIR_Coverage, 19359,
     /*  795100 */     GIR_EraseRootFromParent_Done,
     /*  795101 */   // Label 12316: @795101
     /*  795101 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795176), // Rule ID 19362 //
     /*  795106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  795155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795174 */     GIR_RootConstrainSelectedInstOperands,
     /*  795175 */     // GIR_Coverage, 19362,
     /*  795175 */     GIR_EraseRootFromParent_Done,
     /*  795176 */   // Label 12317: @795176
     /*  795176 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795251), // Rule ID 19363 //
     /*  795181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  795230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795249 */     GIR_RootConstrainSelectedInstOperands,
     /*  795250 */     // GIR_Coverage, 19363,
     /*  795250 */     GIR_EraseRootFromParent_Done,
     /*  795251 */   // Label 12318: @795251
     /*  795251 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795326), // Rule ID 19366 //
     /*  795256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795324 */     GIR_RootConstrainSelectedInstOperands,
     /*  795325 */     // GIR_Coverage, 19366,
     /*  795325 */     GIR_EraseRootFromParent_Done,
     /*  795326 */   // Label 12319: @795326
     /*  795326 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795401), // Rule ID 19367 //
     /*  795331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795399 */     GIR_RootConstrainSelectedInstOperands,
     /*  795400 */     // GIR_Coverage, 19367,
     /*  795400 */     GIR_EraseRootFromParent_Done,
     /*  795401 */   // Label 12320: @795401
     /*  795401 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795476), // Rule ID 19370 //
     /*  795406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  795455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795474 */     GIR_RootConstrainSelectedInstOperands,
     /*  795475 */     // GIR_Coverage, 19370,
     /*  795475 */     GIR_EraseRootFromParent_Done,
     /*  795476 */   // Label 12321: @795476
     /*  795476 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795551), // Rule ID 19371 //
     /*  795481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795527 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  795530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795549 */     GIR_RootConstrainSelectedInstOperands,
     /*  795550 */     // GIR_Coverage, 19371,
     /*  795550 */     GIR_EraseRootFromParent_Done,
     /*  795551 */   // Label 12322: @795551
     /*  795551 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795626), // Rule ID 19374 //
     /*  795556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  795605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795624 */     GIR_RootConstrainSelectedInstOperands,
     /*  795625 */     // GIR_Coverage, 19374,
     /*  795625 */     GIR_EraseRootFromParent_Done,
     /*  795626 */   // Label 12323: @795626
     /*  795626 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795701), // Rule ID 19375 //
     /*  795631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  795680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795699 */     GIR_RootConstrainSelectedInstOperands,
     /*  795700 */     // GIR_Coverage, 19375,
     /*  795700 */     GIR_EraseRootFromParent_Done,
     /*  795701 */   // Label 12324: @795701
     /*  795701 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(795776), // Rule ID 19378 //
     /*  795706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  795755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795774 */     GIR_RootConstrainSelectedInstOperands,
     /*  795775 */     // GIR_Coverage, 19378,
     /*  795775 */     GIR_EraseRootFromParent_Done,
     /*  795776 */   // Label 12325: @795776
     /*  795776 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(795851), // Rule ID 19379 //
     /*  795781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  795830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795849 */     GIR_RootConstrainSelectedInstOperands,
     /*  795850 */     // GIR_Coverage, 19379,
     /*  795850 */     GIR_EraseRootFromParent_Done,
     /*  795851 */   // Label 12326: @795851
     /*  795851 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(795926), // Rule ID 19382 //
     /*  795856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795902 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  795905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795924 */     GIR_RootConstrainSelectedInstOperands,
     /*  795925 */     // GIR_Coverage, 19382,
     /*  795925 */     GIR_EraseRootFromParent_Done,
     /*  795926 */   // Label 12327: @795926
     /*  795926 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796001), // Rule ID 19383 //
     /*  795931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795977 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  795980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795999 */     GIR_RootConstrainSelectedInstOperands,
     /*  796000 */     // GIR_Coverage, 19383,
     /*  796000 */     GIR_EraseRootFromParent_Done,
     /*  796001 */   // Label 12328: @796001
     /*  796001 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796076), // Rule ID 19386 //
     /*  796006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  796055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796074 */     GIR_RootConstrainSelectedInstOperands,
     /*  796075 */     // GIR_Coverage, 19386,
     /*  796075 */     GIR_EraseRootFromParent_Done,
     /*  796076 */   // Label 12329: @796076
     /*  796076 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796151), // Rule ID 19387 //
     /*  796081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796127 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  796130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796149 */     GIR_RootConstrainSelectedInstOperands,
     /*  796150 */     // GIR_Coverage, 19387,
     /*  796150 */     GIR_EraseRootFromParent_Done,
     /*  796151 */   // Label 12330: @796151
     /*  796151 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796226), // Rule ID 19390 //
     /*  796156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796202 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796224 */     GIR_RootConstrainSelectedInstOperands,
     /*  796225 */     // GIR_Coverage, 19390,
     /*  796225 */     GIR_EraseRootFromParent_Done,
     /*  796226 */   // Label 12331: @796226
     /*  796226 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796301), // Rule ID 19391 //
     /*  796231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796299 */     GIR_RootConstrainSelectedInstOperands,
     /*  796300 */     // GIR_Coverage, 19391,
     /*  796300 */     GIR_EraseRootFromParent_Done,
     /*  796301 */   // Label 12332: @796301
     /*  796301 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796376), // Rule ID 19394 //
     /*  796306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796374 */     GIR_RootConstrainSelectedInstOperands,
     /*  796375 */     // GIR_Coverage, 19394,
     /*  796375 */     GIR_EraseRootFromParent_Done,
     /*  796376 */   // Label 12333: @796376
     /*  796376 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796451), // Rule ID 19395 //
     /*  796381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796449 */     GIR_RootConstrainSelectedInstOperands,
     /*  796450 */     // GIR_Coverage, 19395,
     /*  796450 */     GIR_EraseRootFromParent_Done,
     /*  796451 */   // Label 12334: @796451
     /*  796451 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796526), // Rule ID 19398 //
     /*  796456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796502 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  796505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796524 */     GIR_RootConstrainSelectedInstOperands,
     /*  796525 */     // GIR_Coverage, 19398,
     /*  796525 */     GIR_EraseRootFromParent_Done,
     /*  796526 */   // Label 12335: @796526
     /*  796526 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796601), // Rule ID 19399 //
     /*  796531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796577 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  796580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796599 */     GIR_RootConstrainSelectedInstOperands,
     /*  796600 */     // GIR_Coverage, 19399,
     /*  796600 */     GIR_EraseRootFromParent_Done,
     /*  796601 */   // Label 12336: @796601
     /*  796601 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796676), // Rule ID 19402 //
     /*  796606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  796655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796674 */     GIR_RootConstrainSelectedInstOperands,
     /*  796675 */     // GIR_Coverage, 19402,
     /*  796675 */     GIR_EraseRootFromParent_Done,
     /*  796676 */   // Label 12337: @796676
     /*  796676 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796751), // Rule ID 19403 //
     /*  796681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  796730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796749 */     GIR_RootConstrainSelectedInstOperands,
     /*  796750 */     // GIR_Coverage, 19403,
     /*  796750 */     GIR_EraseRootFromParent_Done,
     /*  796751 */   // Label 12338: @796751
     /*  796751 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(796826), // Rule ID 19406 //
     /*  796756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  796805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796824 */     GIR_RootConstrainSelectedInstOperands,
     /*  796825 */     // GIR_Coverage, 19406,
     /*  796825 */     GIR_EraseRootFromParent_Done,
     /*  796826 */   // Label 12339: @796826
     /*  796826 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(796901), // Rule ID 19407 //
     /*  796831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796877 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  796880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796899 */     GIR_RootConstrainSelectedInstOperands,
     /*  796900 */     // GIR_Coverage, 19407,
     /*  796900 */     GIR_EraseRootFromParent_Done,
     /*  796901 */   // Label 12340: @796901
     /*  796901 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(796976), // Rule ID 19410 //
     /*  796906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  796955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796974 */     GIR_RootConstrainSelectedInstOperands,
     /*  796975 */     // GIR_Coverage, 19410,
     /*  796975 */     GIR_EraseRootFromParent_Done,
     /*  796976 */   // Label 12341: @796976
     /*  796976 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797051), // Rule ID 19411 //
     /*  796981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  797030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797049 */     GIR_RootConstrainSelectedInstOperands,
     /*  797050 */     // GIR_Coverage, 19411,
     /*  797050 */     GIR_EraseRootFromParent_Done,
     /*  797051 */   // Label 12342: @797051
     /*  797051 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797126), // Rule ID 19414 //
     /*  797056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  797105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797124 */     GIR_RootConstrainSelectedInstOperands,
     /*  797125 */     // GIR_Coverage, 19414,
     /*  797125 */     GIR_EraseRootFromParent_Done,
     /*  797126 */   // Label 12343: @797126
     /*  797126 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797201), // Rule ID 19415 //
     /*  797131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  797180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797199 */     GIR_RootConstrainSelectedInstOperands,
     /*  797200 */     // GIR_Coverage, 19415,
     /*  797200 */     GIR_EraseRootFromParent_Done,
     /*  797201 */   // Label 12344: @797201
     /*  797201 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797276), // Rule ID 19418 //
     /*  797206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797274 */     GIR_RootConstrainSelectedInstOperands,
     /*  797275 */     // GIR_Coverage, 19418,
     /*  797275 */     GIR_EraseRootFromParent_Done,
     /*  797276 */   // Label 12345: @797276
     /*  797276 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797351), // Rule ID 19419 //
     /*  797281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797349 */     GIR_RootConstrainSelectedInstOperands,
     /*  797350 */     // GIR_Coverage, 19419,
     /*  797350 */     GIR_EraseRootFromParent_Done,
     /*  797351 */   // Label 12346: @797351
     /*  797351 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797426), // Rule ID 19422 //
     /*  797356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797424 */     GIR_RootConstrainSelectedInstOperands,
     /*  797425 */     // GIR_Coverage, 19422,
     /*  797425 */     GIR_EraseRootFromParent_Done,
     /*  797426 */   // Label 12347: @797426
     /*  797426 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797501), // Rule ID 19423 //
     /*  797431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797499 */     GIR_RootConstrainSelectedInstOperands,
     /*  797500 */     // GIR_Coverage, 19423,
     /*  797500 */     GIR_EraseRootFromParent_Done,
     /*  797501 */   // Label 12348: @797501
     /*  797501 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797576), // Rule ID 19426 //
     /*  797506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  797555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797574 */     GIR_RootConstrainSelectedInstOperands,
     /*  797575 */     // GIR_Coverage, 19426,
     /*  797575 */     GIR_EraseRootFromParent_Done,
     /*  797576 */   // Label 12349: @797576
     /*  797576 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797651), // Rule ID 19427 //
     /*  797581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  797630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797649 */     GIR_RootConstrainSelectedInstOperands,
     /*  797650 */     // GIR_Coverage, 19427,
     /*  797650 */     GIR_EraseRootFromParent_Done,
     /*  797651 */   // Label 12350: @797651
     /*  797651 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797726), // Rule ID 19430 //
     /*  797656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797702 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  797705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797724 */     GIR_RootConstrainSelectedInstOperands,
     /*  797725 */     // GIR_Coverage, 19430,
     /*  797725 */     GIR_EraseRootFromParent_Done,
     /*  797726 */   // Label 12351: @797726
     /*  797726 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(797801), // Rule ID 19431 //
     /*  797731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  797780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797799 */     GIR_RootConstrainSelectedInstOperands,
     /*  797800 */     // GIR_Coverage, 19431,
     /*  797800 */     GIR_EraseRootFromParent_Done,
     /*  797801 */   // Label 12352: @797801
     /*  797801 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(797876), // Rule ID 19434 //
     /*  797806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  797855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797874 */     GIR_RootConstrainSelectedInstOperands,
     /*  797875 */     // GIR_Coverage, 19434,
     /*  797875 */     GIR_EraseRootFromParent_Done,
     /*  797876 */   // Label 12353: @797876
     /*  797876 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(797951), // Rule ID 19435 //
     /*  797881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797927 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  797930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797949 */     GIR_RootConstrainSelectedInstOperands,
     /*  797950 */     // GIR_Coverage, 19435,
     /*  797950 */     GIR_EraseRootFromParent_Done,
     /*  797951 */   // Label 12354: @797951
     /*  797951 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798026), // Rule ID 19438 //
     /*  797956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  798005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798024 */     GIR_RootConstrainSelectedInstOperands,
     /*  798025 */     // GIR_Coverage, 19438,
     /*  798025 */     GIR_EraseRootFromParent_Done,
     /*  798026 */   // Label 12355: @798026
     /*  798026 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798101), // Rule ID 19439 //
     /*  798031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  798080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798099 */     GIR_RootConstrainSelectedInstOperands,
     /*  798100 */     // GIR_Coverage, 19439,
     /*  798100 */     GIR_EraseRootFromParent_Done,
     /*  798101 */   // Label 12356: @798101
     /*  798101 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798176), // Rule ID 19442 //
     /*  798106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  798155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798174 */     GIR_RootConstrainSelectedInstOperands,
     /*  798175 */     // GIR_Coverage, 19442,
     /*  798175 */     GIR_EraseRootFromParent_Done,
     /*  798176 */   // Label 12357: @798176
     /*  798176 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798251), // Rule ID 19443 //
     /*  798181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  798230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798249 */     GIR_RootConstrainSelectedInstOperands,
     /*  798250 */     // GIR_Coverage, 19443,
     /*  798250 */     GIR_EraseRootFromParent_Done,
     /*  798251 */   // Label 12358: @798251
     /*  798251 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798326), // Rule ID 19446 //
     /*  798256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798324 */     GIR_RootConstrainSelectedInstOperands,
     /*  798325 */     // GIR_Coverage, 19446,
     /*  798325 */     GIR_EraseRootFromParent_Done,
     /*  798326 */   // Label 12359: @798326
     /*  798326 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798401), // Rule ID 19447 //
     /*  798331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798399 */     GIR_RootConstrainSelectedInstOperands,
     /*  798400 */     // GIR_Coverage, 19447,
     /*  798400 */     GIR_EraseRootFromParent_Done,
     /*  798401 */   // Label 12360: @798401
     /*  798401 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798476), // Rule ID 19450 //
     /*  798406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  798455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798474 */     GIR_RootConstrainSelectedInstOperands,
     /*  798475 */     // GIR_Coverage, 19450,
     /*  798475 */     GIR_EraseRootFromParent_Done,
     /*  798476 */   // Label 12361: @798476
     /*  798476 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798551), // Rule ID 19451 //
     /*  798481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  798530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798549 */     GIR_RootConstrainSelectedInstOperands,
     /*  798550 */     // GIR_Coverage, 19451,
     /*  798550 */     GIR_EraseRootFromParent_Done,
     /*  798551 */   // Label 12362: @798551
     /*  798551 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798626), // Rule ID 19454 //
     /*  798556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  798605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798624 */     GIR_RootConstrainSelectedInstOperands,
     /*  798625 */     // GIR_Coverage, 19454,
     /*  798625 */     GIR_EraseRootFromParent_Done,
     /*  798626 */   // Label 12363: @798626
     /*  798626 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798701), // Rule ID 19455 //
     /*  798631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798677 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  798680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798699 */     GIR_RootConstrainSelectedInstOperands,
     /*  798700 */     // GIR_Coverage, 19455,
     /*  798700 */     GIR_EraseRootFromParent_Done,
     /*  798701 */   // Label 12364: @798701
     /*  798701 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(798776), // Rule ID 19458 //
     /*  798706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  798755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798774 */     GIR_RootConstrainSelectedInstOperands,
     /*  798775 */     // GIR_Coverage, 19458,
     /*  798775 */     GIR_EraseRootFromParent_Done,
     /*  798776 */   // Label 12365: @798776
     /*  798776 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(798851), // Rule ID 19459 //
     /*  798781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  798830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798849 */     GIR_RootConstrainSelectedInstOperands,
     /*  798850 */     // GIR_Coverage, 19459,
     /*  798850 */     GIR_EraseRootFromParent_Done,
     /*  798851 */   // Label 12366: @798851
     /*  798851 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(798926), // Rule ID 19462 //
     /*  798856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  798905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798924 */     GIR_RootConstrainSelectedInstOperands,
     /*  798925 */     // GIR_Coverage, 19462,
     /*  798925 */     GIR_EraseRootFromParent_Done,
     /*  798926 */   // Label 12367: @798926
     /*  798926 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799001), // Rule ID 19463 //
     /*  798931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  798980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798999 */     GIR_RootConstrainSelectedInstOperands,
     /*  799000 */     // GIR_Coverage, 19463,
     /*  799000 */     GIR_EraseRootFromParent_Done,
     /*  799001 */   // Label 12368: @799001
     /*  799001 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799076), // Rule ID 19466 //
     /*  799006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  799055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799074 */     GIR_RootConstrainSelectedInstOperands,
     /*  799075 */     // GIR_Coverage, 19466,
     /*  799075 */     GIR_EraseRootFromParent_Done,
     /*  799076 */   // Label 12369: @799076
     /*  799076 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799151), // Rule ID 19467 //
     /*  799081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  799130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799149 */     GIR_RootConstrainSelectedInstOperands,
     /*  799150 */     // GIR_Coverage, 19467,
     /*  799150 */     GIR_EraseRootFromParent_Done,
     /*  799151 */   // Label 12370: @799151
     /*  799151 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799226), // Rule ID 19470 //
     /*  799156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799202 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799224 */     GIR_RootConstrainSelectedInstOperands,
     /*  799225 */     // GIR_Coverage, 19470,
     /*  799225 */     GIR_EraseRootFromParent_Done,
     /*  799226 */   // Label 12371: @799226
     /*  799226 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799301), // Rule ID 19471 //
     /*  799231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799299 */     GIR_RootConstrainSelectedInstOperands,
     /*  799300 */     // GIR_Coverage, 19471,
     /*  799300 */     GIR_EraseRootFromParent_Done,
     /*  799301 */   // Label 12372: @799301
     /*  799301 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799376), // Rule ID 19474 //
     /*  799306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799374 */     GIR_RootConstrainSelectedInstOperands,
     /*  799375 */     // GIR_Coverage, 19474,
     /*  799375 */     GIR_EraseRootFromParent_Done,
     /*  799376 */   // Label 12373: @799376
     /*  799376 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799451), // Rule ID 19475 //
     /*  799381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799449 */     GIR_RootConstrainSelectedInstOperands,
     /*  799450 */     // GIR_Coverage, 19475,
     /*  799450 */     GIR_EraseRootFromParent_Done,
     /*  799451 */   // Label 12374: @799451
     /*  799451 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799526), // Rule ID 19478 //
     /*  799456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  799505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799524 */     GIR_RootConstrainSelectedInstOperands,
     /*  799525 */     // GIR_Coverage, 19478,
     /*  799525 */     GIR_EraseRootFromParent_Done,
     /*  799526 */   // Label 12375: @799526
     /*  799526 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799601), // Rule ID 19479 //
     /*  799531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  799580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799599 */     GIR_RootConstrainSelectedInstOperands,
     /*  799600 */     // GIR_Coverage, 19479,
     /*  799600 */     GIR_EraseRootFromParent_Done,
     /*  799601 */   // Label 12376: @799601
     /*  799601 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799676), // Rule ID 19482 //
     /*  799606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  799655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799674 */     GIR_RootConstrainSelectedInstOperands,
     /*  799675 */     // GIR_Coverage, 19482,
     /*  799675 */     GIR_EraseRootFromParent_Done,
     /*  799676 */   // Label 12377: @799676
     /*  799676 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799751), // Rule ID 19483 //
     /*  799681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  799730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799749 */     GIR_RootConstrainSelectedInstOperands,
     /*  799750 */     // GIR_Coverage, 19483,
     /*  799750 */     GIR_EraseRootFromParent_Done,
     /*  799751 */   // Label 12378: @799751
     /*  799751 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(799826), // Rule ID 19486 //
     /*  799756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  799805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799824 */     GIR_RootConstrainSelectedInstOperands,
     /*  799825 */     // GIR_Coverage, 19486,
     /*  799825 */     GIR_EraseRootFromParent_Done,
     /*  799826 */   // Label 12379: @799826
     /*  799826 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(799901), // Rule ID 19487 //
     /*  799831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799877 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  799880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799899 */     GIR_RootConstrainSelectedInstOperands,
     /*  799900 */     // GIR_Coverage, 19487,
     /*  799900 */     GIR_EraseRootFromParent_Done,
     /*  799901 */   // Label 12380: @799901
     /*  799901 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(799976), // Rule ID 19490 //
     /*  799906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  799955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799974 */     GIR_RootConstrainSelectedInstOperands,
     /*  799975 */     // GIR_Coverage, 19490,
     /*  799975 */     GIR_EraseRootFromParent_Done,
     /*  799976 */   // Label 12381: @799976
     /*  799976 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800051), // Rule ID 19491 //
     /*  799981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800027 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  800030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800049 */     GIR_RootConstrainSelectedInstOperands,
     /*  800050 */     // GIR_Coverage, 19491,
     /*  800050 */     GIR_EraseRootFromParent_Done,
     /*  800051 */   // Label 12382: @800051
     /*  800051 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800126), // Rule ID 19494 //
     /*  800056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800102 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  800105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800124 */     GIR_RootConstrainSelectedInstOperands,
     /*  800125 */     // GIR_Coverage, 19494,
     /*  800125 */     GIR_EraseRootFromParent_Done,
     /*  800126 */   // Label 12383: @800126
     /*  800126 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800201), // Rule ID 19495 //
     /*  800131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  800180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800199 */     GIR_RootConstrainSelectedInstOperands,
     /*  800200 */     // GIR_Coverage, 19495,
     /*  800200 */     GIR_EraseRootFromParent_Done,
     /*  800201 */   // Label 12384: @800201
     /*  800201 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800276), // Rule ID 19498 //
     /*  800206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800274 */     GIR_RootConstrainSelectedInstOperands,
     /*  800275 */     // GIR_Coverage, 19498,
     /*  800275 */     GIR_EraseRootFromParent_Done,
     /*  800276 */   // Label 12385: @800276
     /*  800276 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800351), // Rule ID 19499 //
     /*  800281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800349 */     GIR_RootConstrainSelectedInstOperands,
     /*  800350 */     // GIR_Coverage, 19499,
     /*  800350 */     GIR_EraseRootFromParent_Done,
     /*  800351 */   // Label 12386: @800351
     /*  800351 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800426), // Rule ID 19502 //
     /*  800356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800424 */     GIR_RootConstrainSelectedInstOperands,
     /*  800425 */     // GIR_Coverage, 19502,
     /*  800425 */     GIR_EraseRootFromParent_Done,
     /*  800426 */   // Label 12387: @800426
     /*  800426 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800501), // Rule ID 19503 //
     /*  800431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800499 */     GIR_RootConstrainSelectedInstOperands,
     /*  800500 */     // GIR_Coverage, 19503,
     /*  800500 */     GIR_EraseRootFromParent_Done,
     /*  800501 */   // Label 12388: @800501
     /*  800501 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800576), // Rule ID 19506 //
     /*  800506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  800555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800574 */     GIR_RootConstrainSelectedInstOperands,
     /*  800575 */     // GIR_Coverage, 19506,
     /*  800575 */     GIR_EraseRootFromParent_Done,
     /*  800576 */   // Label 12389: @800576
     /*  800576 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800651), // Rule ID 19507 //
     /*  800581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  800630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800649 */     GIR_RootConstrainSelectedInstOperands,
     /*  800650 */     // GIR_Coverage, 19507,
     /*  800650 */     GIR_EraseRootFromParent_Done,
     /*  800651 */   // Label 12390: @800651
     /*  800651 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800726), // Rule ID 19510 //
     /*  800656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  800705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800724 */     GIR_RootConstrainSelectedInstOperands,
     /*  800725 */     // GIR_Coverage, 19510,
     /*  800725 */     GIR_EraseRootFromParent_Done,
     /*  800726 */   // Label 12391: @800726
     /*  800726 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(800801), // Rule ID 19511 //
     /*  800731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  800780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800799 */     GIR_RootConstrainSelectedInstOperands,
     /*  800800 */     // GIR_Coverage, 19511,
     /*  800800 */     GIR_EraseRootFromParent_Done,
     /*  800801 */   // Label 12392: @800801
     /*  800801 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(800876), // Rule ID 19514 //
     /*  800806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  800855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800874 */     GIR_RootConstrainSelectedInstOperands,
     /*  800875 */     // GIR_Coverage, 19514,
     /*  800875 */     GIR_EraseRootFromParent_Done,
     /*  800876 */   // Label 12393: @800876
     /*  800876 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(800951), // Rule ID 19515 //
     /*  800881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  800930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800949 */     GIR_RootConstrainSelectedInstOperands,
     /*  800950 */     // GIR_Coverage, 19515,
     /*  800950 */     GIR_EraseRootFromParent_Done,
     /*  800951 */   // Label 12394: @800951
     /*  800951 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801026), // Rule ID 19518 //
     /*  800956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  801005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801024 */     GIR_RootConstrainSelectedInstOperands,
     /*  801025 */     // GIR_Coverage, 19518,
     /*  801025 */     GIR_EraseRootFromParent_Done,
     /*  801026 */   // Label 12395: @801026
     /*  801026 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801101), // Rule ID 19519 //
     /*  801031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  801080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801099 */     GIR_RootConstrainSelectedInstOperands,
     /*  801100 */     // GIR_Coverage, 19519,
     /*  801100 */     GIR_EraseRootFromParent_Done,
     /*  801101 */   // Label 12396: @801101
     /*  801101 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801176), // Rule ID 19522 //
     /*  801106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  801155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801174 */     GIR_RootConstrainSelectedInstOperands,
     /*  801175 */     // GIR_Coverage, 19522,
     /*  801175 */     GIR_EraseRootFromParent_Done,
     /*  801176 */   // Label 12397: @801176
     /*  801176 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801251), // Rule ID 19523 //
     /*  801181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  801230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801249 */     GIR_RootConstrainSelectedInstOperands,
     /*  801250 */     // GIR_Coverage, 19523,
     /*  801250 */     GIR_EraseRootFromParent_Done,
     /*  801251 */   // Label 12398: @801251
     /*  801251 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801326), // Rule ID 19526 //
     /*  801256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801302 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801324 */     GIR_RootConstrainSelectedInstOperands,
     /*  801325 */     // GIR_Coverage, 19526,
     /*  801325 */     GIR_EraseRootFromParent_Done,
     /*  801326 */   // Label 12399: @801326
     /*  801326 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801401), // Rule ID 19527 //
     /*  801331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801399 */     GIR_RootConstrainSelectedInstOperands,
     /*  801400 */     // GIR_Coverage, 19527,
     /*  801400 */     GIR_EraseRootFromParent_Done,
     /*  801401 */   // Label 12400: @801401
     /*  801401 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801476), // Rule ID 19530 //
     /*  801406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  801455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801474 */     GIR_RootConstrainSelectedInstOperands,
     /*  801475 */     // GIR_Coverage, 19530,
     /*  801475 */     GIR_EraseRootFromParent_Done,
     /*  801476 */   // Label 12401: @801476
     /*  801476 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801551), // Rule ID 19531 //
     /*  801481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801527 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  801530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801549 */     GIR_RootConstrainSelectedInstOperands,
     /*  801550 */     // GIR_Coverage, 19531,
     /*  801550 */     GIR_EraseRootFromParent_Done,
     /*  801551 */   // Label 12402: @801551
     /*  801551 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801626), // Rule ID 19534 //
     /*  801556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  801605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801624 */     GIR_RootConstrainSelectedInstOperands,
     /*  801625 */     // GIR_Coverage, 19534,
     /*  801625 */     GIR_EraseRootFromParent_Done,
     /*  801626 */   // Label 12403: @801626
     /*  801626 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801701), // Rule ID 19535 //
     /*  801631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  801680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801699 */     GIR_RootConstrainSelectedInstOperands,
     /*  801700 */     // GIR_Coverage, 19535,
     /*  801700 */     GIR_EraseRootFromParent_Done,
     /*  801701 */   // Label 12404: @801701
     /*  801701 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(801776), // Rule ID 19538 //
     /*  801706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  801755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801774 */     GIR_RootConstrainSelectedInstOperands,
     /*  801775 */     // GIR_Coverage, 19538,
     /*  801775 */     GIR_EraseRootFromParent_Done,
     /*  801776 */   // Label 12405: @801776
     /*  801776 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(801851), // Rule ID 19539 //
     /*  801781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  801830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801849 */     GIR_RootConstrainSelectedInstOperands,
     /*  801850 */     // GIR_Coverage, 19539,
     /*  801850 */     GIR_EraseRootFromParent_Done,
     /*  801851 */   // Label 12406: @801851
     /*  801851 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(801926), // Rule ID 19542 //
     /*  801856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  801905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801924 */     GIR_RootConstrainSelectedInstOperands,
     /*  801925 */     // GIR_Coverage, 19542,
     /*  801925 */     GIR_EraseRootFromParent_Done,
     /*  801926 */   // Label 12407: @801926
     /*  801926 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802001), // Rule ID 19543 //
     /*  801931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  801980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801999 */     GIR_RootConstrainSelectedInstOperands,
     /*  802000 */     // GIR_Coverage, 19543,
     /*  802000 */     GIR_EraseRootFromParent_Done,
     /*  802001 */   // Label 12408: @802001
     /*  802001 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802076), // Rule ID 19546 //
     /*  802006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  802055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802074 */     GIR_RootConstrainSelectedInstOperands,
     /*  802075 */     // GIR_Coverage, 19546,
     /*  802075 */     GIR_EraseRootFromParent_Done,
     /*  802076 */   // Label 12409: @802076
     /*  802076 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802151), // Rule ID 19547 //
     /*  802081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  802130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802149 */     GIR_RootConstrainSelectedInstOperands,
     /*  802150 */     // GIR_Coverage, 19547,
     /*  802150 */     GIR_EraseRootFromParent_Done,
     /*  802151 */   // Label 12410: @802151
     /*  802151 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802226), // Rule ID 19550 //
     /*  802156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802224 */     GIR_RootConstrainSelectedInstOperands,
     /*  802225 */     // GIR_Coverage, 19550,
     /*  802225 */     GIR_EraseRootFromParent_Done,
     /*  802226 */   // Label 12411: @802226
     /*  802226 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802301), // Rule ID 19551 //
     /*  802231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802299 */     GIR_RootConstrainSelectedInstOperands,
     /*  802300 */     // GIR_Coverage, 19551,
     /*  802300 */     GIR_EraseRootFromParent_Done,
     /*  802301 */   // Label 12412: @802301
     /*  802301 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802376), // Rule ID 19554 //
     /*  802306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802352 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802374 */     GIR_RootConstrainSelectedInstOperands,
     /*  802375 */     // GIR_Coverage, 19554,
     /*  802375 */     GIR_EraseRootFromParent_Done,
     /*  802376 */   // Label 12413: @802376
     /*  802376 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802451), // Rule ID 19555 //
     /*  802381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802427 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802449 */     GIR_RootConstrainSelectedInstOperands,
     /*  802450 */     // GIR_Coverage, 19555,
     /*  802450 */     GIR_EraseRootFromParent_Done,
     /*  802451 */   // Label 12414: @802451
     /*  802451 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802526), // Rule ID 19558 //
     /*  802456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802502 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  802505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802524 */     GIR_RootConstrainSelectedInstOperands,
     /*  802525 */     // GIR_Coverage, 19558,
     /*  802525 */     GIR_EraseRootFromParent_Done,
     /*  802526 */   // Label 12415: @802526
     /*  802526 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802601), // Rule ID 19559 //
     /*  802531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  802580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802599 */     GIR_RootConstrainSelectedInstOperands,
     /*  802600 */     // GIR_Coverage, 19559,
     /*  802600 */     GIR_EraseRootFromParent_Done,
     /*  802601 */   // Label 12416: @802601
     /*  802601 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802676), // Rule ID 19562 //
     /*  802606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  802655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802674 */     GIR_RootConstrainSelectedInstOperands,
     /*  802675 */     // GIR_Coverage, 19562,
     /*  802675 */     GIR_EraseRootFromParent_Done,
     /*  802676 */   // Label 12417: @802676
     /*  802676 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802751), // Rule ID 19563 //
     /*  802681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802727 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  802730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802749 */     GIR_RootConstrainSelectedInstOperands,
     /*  802750 */     // GIR_Coverage, 19563,
     /*  802750 */     GIR_EraseRootFromParent_Done,
     /*  802751 */   // Label 12418: @802751
     /*  802751 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(802826), // Rule ID 19566 //
     /*  802756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802802 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  802805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802824 */     GIR_RootConstrainSelectedInstOperands,
     /*  802825 */     // GIR_Coverage, 19566,
     /*  802825 */     GIR_EraseRootFromParent_Done,
     /*  802826 */   // Label 12419: @802826
     /*  802826 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(802901), // Rule ID 19567 //
     /*  802831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  802880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802899 */     GIR_RootConstrainSelectedInstOperands,
     /*  802900 */     // GIR_Coverage, 19567,
     /*  802900 */     GIR_EraseRootFromParent_Done,
     /*  802901 */   // Label 12420: @802901
     /*  802901 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(802976), // Rule ID 19570 //
     /*  802906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  802955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802974 */     GIR_RootConstrainSelectedInstOperands,
     /*  802975 */     // GIR_Coverage, 19570,
     /*  802975 */     GIR_EraseRootFromParent_Done,
     /*  802976 */   // Label 12421: @802976
     /*  802976 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803051), // Rule ID 19571 //
     /*  802981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  803030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803049 */     GIR_RootConstrainSelectedInstOperands,
     /*  803050 */     // GIR_Coverage, 19571,
     /*  803050 */     GIR_EraseRootFromParent_Done,
     /*  803051 */   // Label 12422: @803051
     /*  803051 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803126), // Rule ID 19574 //
     /*  803056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  803105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803124 */     GIR_RootConstrainSelectedInstOperands,
     /*  803125 */     // GIR_Coverage, 19574,
     /*  803125 */     GIR_EraseRootFromParent_Done,
     /*  803126 */   // Label 12423: @803126
     /*  803126 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803201), // Rule ID 19575 //
     /*  803131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  803180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803199 */     GIR_RootConstrainSelectedInstOperands,
     /*  803200 */     // GIR_Coverage, 19575,
     /*  803200 */     GIR_EraseRootFromParent_Done,
     /*  803201 */   // Label 12424: @803201
     /*  803201 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803276), // Rule ID 19578 //
     /*  803206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803274 */     GIR_RootConstrainSelectedInstOperands,
     /*  803275 */     // GIR_Coverage, 19578,
     /*  803275 */     GIR_EraseRootFromParent_Done,
     /*  803276 */   // Label 12425: @803276
     /*  803276 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803351), // Rule ID 19579 //
     /*  803281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803349 */     GIR_RootConstrainSelectedInstOperands,
     /*  803350 */     // GIR_Coverage, 19579,
     /*  803350 */     GIR_EraseRootFromParent_Done,
     /*  803351 */   // Label 12426: @803351
     /*  803351 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803426), // Rule ID 19582 //
     /*  803356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803424 */     GIR_RootConstrainSelectedInstOperands,
     /*  803425 */     // GIR_Coverage, 19582,
     /*  803425 */     GIR_EraseRootFromParent_Done,
     /*  803426 */   // Label 12427: @803426
     /*  803426 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803501), // Rule ID 19583 //
     /*  803431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803477 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803499 */     GIR_RootConstrainSelectedInstOperands,
     /*  803500 */     // GIR_Coverage, 19583,
     /*  803500 */     GIR_EraseRootFromParent_Done,
     /*  803501 */   // Label 12428: @803501
     /*  803501 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803576), // Rule ID 19586 //
     /*  803506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803552 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  803555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803574 */     GIR_RootConstrainSelectedInstOperands,
     /*  803575 */     // GIR_Coverage, 19586,
     /*  803575 */     GIR_EraseRootFromParent_Done,
     /*  803576 */   // Label 12429: @803576
     /*  803576 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803651), // Rule ID 19587 //
     /*  803581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803627 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  803630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803649 */     GIR_RootConstrainSelectedInstOperands,
     /*  803650 */     // GIR_Coverage, 19587,
     /*  803650 */     GIR_EraseRootFromParent_Done,
     /*  803651 */   // Label 12430: @803651
     /*  803651 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803726), // Rule ID 19590 //
     /*  803656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  803705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803724 */     GIR_RootConstrainSelectedInstOperands,
     /*  803725 */     // GIR_Coverage, 19590,
     /*  803725 */     GIR_EraseRootFromParent_Done,
     /*  803726 */   // Label 12431: @803726
     /*  803726 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(803801), // Rule ID 19591 //
     /*  803731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803777 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  803780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803799 */     GIR_RootConstrainSelectedInstOperands,
     /*  803800 */     // GIR_Coverage, 19591,
     /*  803800 */     GIR_EraseRootFromParent_Done,
     /*  803801 */   // Label 12432: @803801
     /*  803801 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(803876), // Rule ID 19594 //
     /*  803806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  803855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803874 */     GIR_RootConstrainSelectedInstOperands,
     /*  803875 */     // GIR_Coverage, 19594,
     /*  803875 */     GIR_EraseRootFromParent_Done,
     /*  803876 */   // Label 12433: @803876
     /*  803876 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(803951), // Rule ID 19595 //
     /*  803881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  803930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803949 */     GIR_RootConstrainSelectedInstOperands,
     /*  803950 */     // GIR_Coverage, 19595,
     /*  803950 */     GIR_EraseRootFromParent_Done,
     /*  803951 */   // Label 12434: @803951
     /*  803951 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804026), // Rule ID 19598 //
     /*  803956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  804005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804024 */     GIR_RootConstrainSelectedInstOperands,
     /*  804025 */     // GIR_Coverage, 19598,
     /*  804025 */     GIR_EraseRootFromParent_Done,
     /*  804026 */   // Label 12435: @804026
     /*  804026 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804101), // Rule ID 19599 //
     /*  804031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  804080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804099 */     GIR_RootConstrainSelectedInstOperands,
     /*  804100 */     // GIR_Coverage, 19599,
     /*  804100 */     GIR_EraseRootFromParent_Done,
     /*  804101 */   // Label 12436: @804101
     /*  804101 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804176), // Rule ID 19602 //
     /*  804106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  804155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804174 */     GIR_RootConstrainSelectedInstOperands,
     /*  804175 */     // GIR_Coverage, 19602,
     /*  804175 */     GIR_EraseRootFromParent_Done,
     /*  804176 */   // Label 12437: @804176
     /*  804176 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804251), // Rule ID 19603 //
     /*  804181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  804230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804249 */     GIR_RootConstrainSelectedInstOperands,
     /*  804250 */     // GIR_Coverage, 19603,
     /*  804250 */     GIR_EraseRootFromParent_Done,
     /*  804251 */   // Label 12438: @804251
     /*  804251 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804326), // Rule ID 19606 //
     /*  804256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804324 */     GIR_RootConstrainSelectedInstOperands,
     /*  804325 */     // GIR_Coverage, 19606,
     /*  804325 */     GIR_EraseRootFromParent_Done,
     /*  804326 */   // Label 12439: @804326
     /*  804326 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804401), // Rule ID 19607 //
     /*  804331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804399 */     GIR_RootConstrainSelectedInstOperands,
     /*  804400 */     // GIR_Coverage, 19607,
     /*  804400 */     GIR_EraseRootFromParent_Done,
     /*  804401 */   // Label 12440: @804401
     /*  804401 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804476), // Rule ID 19610 //
     /*  804406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  804455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804474 */     GIR_RootConstrainSelectedInstOperands,
     /*  804475 */     // GIR_Coverage, 19610,
     /*  804475 */     GIR_EraseRootFromParent_Done,
     /*  804476 */   // Label 12441: @804476
     /*  804476 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804551), // Rule ID 19611 //
     /*  804481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804527 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  804530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804549 */     GIR_RootConstrainSelectedInstOperands,
     /*  804550 */     // GIR_Coverage, 19611,
     /*  804550 */     GIR_EraseRootFromParent_Done,
     /*  804551 */   // Label 12442: @804551
     /*  804551 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804626), // Rule ID 19614 //
     /*  804556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  804605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804624 */     GIR_RootConstrainSelectedInstOperands,
     /*  804625 */     // GIR_Coverage, 19614,
     /*  804625 */     GIR_EraseRootFromParent_Done,
     /*  804626 */   // Label 12443: @804626
     /*  804626 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804701), // Rule ID 19615 //
     /*  804631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  804680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804699 */     GIR_RootConstrainSelectedInstOperands,
     /*  804700 */     // GIR_Coverage, 19615,
     /*  804700 */     GIR_EraseRootFromParent_Done,
     /*  804701 */   // Label 12444: @804701
     /*  804701 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(804776), // Rule ID 19618 //
     /*  804706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  804755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804774 */     GIR_RootConstrainSelectedInstOperands,
     /*  804775 */     // GIR_Coverage, 19618,
     /*  804775 */     GIR_EraseRootFromParent_Done,
     /*  804776 */   // Label 12445: @804776
     /*  804776 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(804851), // Rule ID 19619 //
     /*  804781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  804830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804849 */     GIR_RootConstrainSelectedInstOperands,
     /*  804850 */     // GIR_Coverage, 19619,
     /*  804850 */     GIR_EraseRootFromParent_Done,
     /*  804851 */   // Label 12446: @804851
     /*  804851 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(804926), // Rule ID 19622 //
     /*  804856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804902 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  804905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804924 */     GIR_RootConstrainSelectedInstOperands,
     /*  804925 */     // GIR_Coverage, 19622,
     /*  804925 */     GIR_EraseRootFromParent_Done,
     /*  804926 */   // Label 12447: @804926
     /*  804926 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805001), // Rule ID 19623 //
     /*  804931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804977 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  804980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804999 */     GIR_RootConstrainSelectedInstOperands,
     /*  805000 */     // GIR_Coverage, 19623,
     /*  805000 */     GIR_EraseRootFromParent_Done,
     /*  805001 */   // Label 12448: @805001
     /*  805001 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805076), // Rule ID 19626 //
     /*  805006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  805055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805074 */     GIR_RootConstrainSelectedInstOperands,
     /*  805075 */     // GIR_Coverage, 19626,
     /*  805075 */     GIR_EraseRootFromParent_Done,
     /*  805076 */   // Label 12449: @805076
     /*  805076 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805151), // Rule ID 19627 //
     /*  805081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805127 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  805130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805149 */     GIR_RootConstrainSelectedInstOperands,
     /*  805150 */     // GIR_Coverage, 19627,
     /*  805150 */     GIR_EraseRootFromParent_Done,
     /*  805151 */   // Label 12450: @805151
     /*  805151 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805226), // Rule ID 19630 //
     /*  805156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805202 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805224 */     GIR_RootConstrainSelectedInstOperands,
     /*  805225 */     // GIR_Coverage, 19630,
     /*  805225 */     GIR_EraseRootFromParent_Done,
     /*  805226 */   // Label 12451: @805226
     /*  805226 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805301), // Rule ID 19631 //
     /*  805231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805299 */     GIR_RootConstrainSelectedInstOperands,
     /*  805300 */     // GIR_Coverage, 19631,
     /*  805300 */     GIR_EraseRootFromParent_Done,
     /*  805301 */   // Label 12452: @805301
     /*  805301 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805376), // Rule ID 19634 //
     /*  805306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805374 */     GIR_RootConstrainSelectedInstOperands,
     /*  805375 */     // GIR_Coverage, 19634,
     /*  805375 */     GIR_EraseRootFromParent_Done,
     /*  805376 */   // Label 12453: @805376
     /*  805376 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805451), // Rule ID 19635 //
     /*  805381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805449 */     GIR_RootConstrainSelectedInstOperands,
     /*  805450 */     // GIR_Coverage, 19635,
     /*  805450 */     GIR_EraseRootFromParent_Done,
     /*  805451 */   // Label 12454: @805451
     /*  805451 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805526), // Rule ID 19638 //
     /*  805456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805502 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  805505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805524 */     GIR_RootConstrainSelectedInstOperands,
     /*  805525 */     // GIR_Coverage, 19638,
     /*  805525 */     GIR_EraseRootFromParent_Done,
     /*  805526 */   // Label 12455: @805526
     /*  805526 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805601), // Rule ID 19639 //
     /*  805531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805577 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  805580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805599 */     GIR_RootConstrainSelectedInstOperands,
     /*  805600 */     // GIR_Coverage, 19639,
     /*  805600 */     GIR_EraseRootFromParent_Done,
     /*  805601 */   // Label 12456: @805601
     /*  805601 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805676), // Rule ID 19642 //
     /*  805606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  805617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  805620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  805626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  805655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805674 */     GIR_RootConstrainSelectedInstOperands,
     /*  805675 */     // GIR_Coverage, 19642,
     /*  805675 */     GIR_EraseRootFromParent_Done,
     /*  805676 */   // Label 12457: @805676
     /*  805676 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805751), // Rule ID 19643 //
     /*  805681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  805692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  805695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  805701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  805730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805749 */     GIR_RootConstrainSelectedInstOperands,
     /*  805750 */     // GIR_Coverage, 19643,
     /*  805750 */     GIR_EraseRootFromParent_Done,
     /*  805751 */   // Label 12458: @805751
     /*  805751 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(805826), // Rule ID 19646 //
     /*  805756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  805767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  805770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  805776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  805805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805824 */     GIR_RootConstrainSelectedInstOperands,
     /*  805825 */     // GIR_Coverage, 19646,
     /*  805825 */     GIR_EraseRootFromParent_Done,
     /*  805826 */   // Label 12459: @805826
     /*  805826 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(805901), // Rule ID 19647 //
     /*  805831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  805842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  805845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  805851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805877 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  805880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805899 */     GIR_RootConstrainSelectedInstOperands,
     /*  805900 */     // GIR_Coverage, 19647,
     /*  805900 */     GIR_EraseRootFromParent_Done,
     /*  805901 */   // Label 12460: @805901
     /*  805901 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(805976), // Rule ID 19650 //
     /*  805906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  805917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  805920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  805926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  805955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805974 */     GIR_RootConstrainSelectedInstOperands,
     /*  805975 */     // GIR_Coverage, 19650,
     /*  805975 */     GIR_EraseRootFromParent_Done,
     /*  805976 */   // Label 12461: @805976
     /*  805976 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806051), // Rule ID 19651 //
     /*  805981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  805992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  805995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  806001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  806030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806049 */     GIR_RootConstrainSelectedInstOperands,
     /*  806050 */     // GIR_Coverage, 19651,
     /*  806050 */     GIR_EraseRootFromParent_Done,
     /*  806051 */   // Label 12462: @806051
     /*  806051 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806126), // Rule ID 19654 //
     /*  806056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  806105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806124 */     GIR_RootConstrainSelectedInstOperands,
     /*  806125 */     // GIR_Coverage, 19654,
     /*  806125 */     GIR_EraseRootFromParent_Done,
     /*  806126 */   // Label 12463: @806126
     /*  806126 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806201), // Rule ID 19655 //
     /*  806131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  806180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806199 */     GIR_RootConstrainSelectedInstOperands,
     /*  806200 */     // GIR_Coverage, 19655,
     /*  806200 */     GIR_EraseRootFromParent_Done,
     /*  806201 */   // Label 12464: @806201
     /*  806201 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806276), // Rule ID 19658 //
     /*  806206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806274 */     GIR_RootConstrainSelectedInstOperands,
     /*  806275 */     // GIR_Coverage, 19658,
     /*  806275 */     GIR_EraseRootFromParent_Done,
     /*  806276 */   // Label 12465: @806276
     /*  806276 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806351), // Rule ID 19659 //
     /*  806281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806349 */     GIR_RootConstrainSelectedInstOperands,
     /*  806350 */     // GIR_Coverage, 19659,
     /*  806350 */     GIR_EraseRootFromParent_Done,
     /*  806351 */   // Label 12466: @806351
     /*  806351 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806426), // Rule ID 19662 //
     /*  806356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  806359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806424 */     GIR_RootConstrainSelectedInstOperands,
     /*  806425 */     // GIR_Coverage, 19662,
     /*  806425 */     GIR_EraseRootFromParent_Done,
     /*  806426 */   // Label 12467: @806426
     /*  806426 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806501), // Rule ID 19663 //
     /*  806431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806499 */     GIR_RootConstrainSelectedInstOperands,
     /*  806500 */     // GIR_Coverage, 19663,
     /*  806500 */     GIR_EraseRootFromParent_Done,
     /*  806501 */   // Label 12468: @806501
     /*  806501 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806576), // Rule ID 19666 //
     /*  806506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  806555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806574 */     GIR_RootConstrainSelectedInstOperands,
     /*  806575 */     // GIR_Coverage, 19666,
     /*  806575 */     GIR_EraseRootFromParent_Done,
     /*  806576 */   // Label 12469: @806576
     /*  806576 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806651), // Rule ID 19667 //
     /*  806581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  806630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806649 */     GIR_RootConstrainSelectedInstOperands,
     /*  806650 */     // GIR_Coverage, 19667,
     /*  806650 */     GIR_EraseRootFromParent_Done,
     /*  806651 */   // Label 12470: @806651
     /*  806651 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806726), // Rule ID 19670 //
     /*  806656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806702 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  806705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806724 */     GIR_RootConstrainSelectedInstOperands,
     /*  806725 */     // GIR_Coverage, 19670,
     /*  806725 */     GIR_EraseRootFromParent_Done,
     /*  806726 */   // Label 12471: @806726
     /*  806726 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(806801), // Rule ID 19671 //
     /*  806731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  806780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806799 */     GIR_RootConstrainSelectedInstOperands,
     /*  806800 */     // GIR_Coverage, 19671,
     /*  806800 */     GIR_EraseRootFromParent_Done,
     /*  806801 */   // Label 12472: @806801
     /*  806801 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(806876), // Rule ID 19674 //
     /*  806806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  806855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806874 */     GIR_RootConstrainSelectedInstOperands,
     /*  806875 */     // GIR_Coverage, 19674,
     /*  806875 */     GIR_EraseRootFromParent_Done,
     /*  806876 */   // Label 12473: @806876
     /*  806876 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(806951), // Rule ID 19675 //
     /*  806881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806927 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  806930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806949 */     GIR_RootConstrainSelectedInstOperands,
     /*  806950 */     // GIR_Coverage, 19675,
     /*  806950 */     GIR_EraseRootFromParent_Done,
     /*  806951 */   // Label 12474: @806951
     /*  806951 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807026), // Rule ID 19678 //
     /*  806956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  806967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  806970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  806976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  807005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807024 */     GIR_RootConstrainSelectedInstOperands,
     /*  807025 */     // GIR_Coverage, 19678,
     /*  807025 */     GIR_EraseRootFromParent_Done,
     /*  807026 */   // Label 12475: @807026
     /*  807026 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807101), // Rule ID 19679 //
     /*  807031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  807042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  807045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  807051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  807080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807099 */     GIR_RootConstrainSelectedInstOperands,
     /*  807100 */     // GIR_Coverage, 19679,
     /*  807100 */     GIR_EraseRootFromParent_Done,
     /*  807101 */   // Label 12476: @807101
     /*  807101 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807176), // Rule ID 19682 //
     /*  807106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  807117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  807120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  807126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  807155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807174 */     GIR_RootConstrainSelectedInstOperands,
     /*  807175 */     // GIR_Coverage, 19682,
     /*  807175 */     GIR_EraseRootFromParent_Done,
     /*  807176 */   // Label 12477: @807176
     /*  807176 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807251), // Rule ID 19683 //
     /*  807181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  807192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  807195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  807201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  807230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807249 */     GIR_RootConstrainSelectedInstOperands,
     /*  807250 */     // GIR_Coverage, 19683,
     /*  807250 */     GIR_EraseRootFromParent_Done,
     /*  807251 */   // Label 12478: @807251
     /*  807251 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807326), // Rule ID 19686 //
     /*  807256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807324 */     GIR_RootConstrainSelectedInstOperands,
     /*  807325 */     // GIR_Coverage, 19686,
     /*  807325 */     GIR_EraseRootFromParent_Done,
     /*  807326 */   // Label 12479: @807326
     /*  807326 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807401), // Rule ID 19687 //
     /*  807331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807399 */     GIR_RootConstrainSelectedInstOperands,
     /*  807400 */     // GIR_Coverage, 19687,
     /*  807400 */     GIR_EraseRootFromParent_Done,
     /*  807401 */   // Label 12480: @807401
     /*  807401 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807476), // Rule ID 19690 //
     /*  807406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  807455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807474 */     GIR_RootConstrainSelectedInstOperands,
     /*  807475 */     // GIR_Coverage, 19690,
     /*  807475 */     GIR_EraseRootFromParent_Done,
     /*  807476 */   // Label 12481: @807476
     /*  807476 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807551), // Rule ID 19691 //
     /*  807481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  807530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807549 */     GIR_RootConstrainSelectedInstOperands,
     /*  807550 */     // GIR_Coverage, 19691,
     /*  807550 */     GIR_EraseRootFromParent_Done,
     /*  807551 */   // Label 12482: @807551
     /*  807551 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807626), // Rule ID 19694 //
     /*  807556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  807605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807624 */     GIR_RootConstrainSelectedInstOperands,
     /*  807625 */     // GIR_Coverage, 19694,
     /*  807625 */     GIR_EraseRootFromParent_Done,
     /*  807626 */   // Label 12483: @807626
     /*  807626 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807701), // Rule ID 19695 //
     /*  807631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807677 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  807680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807699 */     GIR_RootConstrainSelectedInstOperands,
     /*  807700 */     // GIR_Coverage, 19695,
     /*  807700 */     GIR_EraseRootFromParent_Done,
     /*  807701 */   // Label 12484: @807701
     /*  807701 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(807776), // Rule ID 19698 //
     /*  807706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  807755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807774 */     GIR_RootConstrainSelectedInstOperands,
     /*  807775 */     // GIR_Coverage, 19698,
     /*  807775 */     GIR_EraseRootFromParent_Done,
     /*  807776 */   // Label 12485: @807776
     /*  807776 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(807851), // Rule ID 19699 //
     /*  807781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  807830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807849 */     GIR_RootConstrainSelectedInstOperands,
     /*  807850 */     // GIR_Coverage, 19699,
     /*  807850 */     GIR_EraseRootFromParent_Done,
     /*  807851 */   // Label 12486: @807851
     /*  807851 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(807926), // Rule ID 19702 //
     /*  807856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  807859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  807905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807924 */     GIR_RootConstrainSelectedInstOperands,
     /*  807925 */     // GIR_Coverage, 19702,
     /*  807925 */     GIR_EraseRootFromParent_Done,
     /*  807926 */   // Label 12487: @807926
     /*  807926 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808001), // Rule ID 19703 //
     /*  807931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  807980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807999 */     GIR_RootConstrainSelectedInstOperands,
     /*  808000 */     // GIR_Coverage, 19703,
     /*  808000 */     GIR_EraseRootFromParent_Done,
     /*  808001 */   // Label 12488: @808001
     /*  808001 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808076), // Rule ID 19706 //
     /*  808006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  808017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  808020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  808023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  808055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808074 */     GIR_RootConstrainSelectedInstOperands,
     /*  808075 */     // GIR_Coverage, 19706,
     /*  808075 */     GIR_EraseRootFromParent_Done,
     /*  808076 */   // Label 12489: @808076
     /*  808076 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808151), // Rule ID 19707 //
     /*  808081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  808092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  808095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  808098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  808130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808149 */     GIR_RootConstrainSelectedInstOperands,
     /*  808150 */     // GIR_Coverage, 19707,
     /*  808150 */     GIR_EraseRootFromParent_Done,
     /*  808151 */   // Label 12490: @808151
     /*  808151 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808226), // Rule ID 19710 //
     /*  808156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  808159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808202 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808224 */     GIR_RootConstrainSelectedInstOperands,
     /*  808225 */     // GIR_Coverage, 19710,
     /*  808225 */     GIR_EraseRootFromParent_Done,
     /*  808226 */   // Label 12491: @808226
     /*  808226 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808301), // Rule ID 19711 //
     /*  808231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  808234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808299 */     GIR_RootConstrainSelectedInstOperands,
     /*  808300 */     // GIR_Coverage, 19711,
     /*  808300 */     GIR_EraseRootFromParent_Done,
     /*  808301 */   // Label 12492: @808301
     /*  808301 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808376), // Rule ID 19714 //
     /*  808306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808374 */     GIR_RootConstrainSelectedInstOperands,
     /*  808375 */     // GIR_Coverage, 19714,
     /*  808375 */     GIR_EraseRootFromParent_Done,
     /*  808376 */   // Label 12493: @808376
     /*  808376 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808451), // Rule ID 19715 //
     /*  808381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808449 */     GIR_RootConstrainSelectedInstOperands,
     /*  808450 */     // GIR_Coverage, 19715,
     /*  808450 */     GIR_EraseRootFromParent_Done,
     /*  808451 */   // Label 12494: @808451
     /*  808451 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808526), // Rule ID 19718 //
     /*  808456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  808459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  808505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808524 */     GIR_RootConstrainSelectedInstOperands,
     /*  808525 */     // GIR_Coverage, 19718,
     /*  808525 */     GIR_EraseRootFromParent_Done,
     /*  808526 */   // Label 12495: @808526
     /*  808526 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808601), // Rule ID 19719 //
     /*  808531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  808534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  808580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808599 */     GIR_RootConstrainSelectedInstOperands,
     /*  808600 */     // GIR_Coverage, 19719,
     /*  808600 */     GIR_EraseRootFromParent_Done,
     /*  808601 */   // Label 12496: @808601
     /*  808601 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808676), // Rule ID 19722 //
     /*  808606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  808609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  808645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  808655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808674 */     GIR_RootConstrainSelectedInstOperands,
     /*  808675 */     // GIR_Coverage, 19722,
     /*  808675 */     GIR_EraseRootFromParent_Done,
     /*  808676 */   // Label 12497: @808676
     /*  808676 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808751), // Rule ID 19723 //
     /*  808681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  808684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  808720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  808730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808749 */     GIR_RootConstrainSelectedInstOperands,
     /*  808750 */     // GIR_Coverage, 19723,
     /*  808750 */     GIR_EraseRootFromParent_Done,
     /*  808751 */   // Label 12498: @808751
     /*  808751 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(808826), // Rule ID 19726 //
     /*  808756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  808805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808824 */     GIR_RootConstrainSelectedInstOperands,
     /*  808825 */     // GIR_Coverage, 19726,
     /*  808825 */     GIR_EraseRootFromParent_Done,
     /*  808826 */   // Label 12499: @808826
     /*  808826 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(808901), // Rule ID 19727 //
     /*  808831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808877 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  808880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808899 */     GIR_RootConstrainSelectedInstOperands,
     /*  808900 */     // GIR_Coverage, 19727,
     /*  808900 */     GIR_EraseRootFromParent_Done,
     /*  808901 */   // Label 12500: @808901
     /*  808901 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(808976), // Rule ID 19730 //
     /*  808906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  808955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808974 */     GIR_RootConstrainSelectedInstOperands,
     /*  808975 */     // GIR_Coverage, 19730,
     /*  808975 */     GIR_EraseRootFromParent_Done,
     /*  808976 */   // Label 12501: @808976
     /*  808976 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809051), // Rule ID 19731 //
     /*  808981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809027 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  809030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809049 */     GIR_RootConstrainSelectedInstOperands,
     /*  809050 */     // GIR_Coverage, 19731,
     /*  809050 */     GIR_EraseRootFromParent_Done,
     /*  809051 */   // Label 12502: @809051
     /*  809051 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809126), // Rule ID 19734 //
     /*  809056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  809059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809102 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  809105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809124 */     GIR_RootConstrainSelectedInstOperands,
     /*  809125 */     // GIR_Coverage, 19734,
     /*  809125 */     GIR_EraseRootFromParent_Done,
     /*  809126 */   // Label 12503: @809126
     /*  809126 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809201), // Rule ID 19735 //
     /*  809131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  809134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  809180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809199 */     GIR_RootConstrainSelectedInstOperands,
     /*  809200 */     // GIR_Coverage, 19735,
     /*  809200 */     GIR_EraseRootFromParent_Done,
     /*  809201 */   // Label 12504: @809201
     /*  809201 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809276), // Rule ID 19738 //
     /*  809206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809274 */     GIR_RootConstrainSelectedInstOperands,
     /*  809275 */     // GIR_Coverage, 19738,
     /*  809275 */     GIR_EraseRootFromParent_Done,
     /*  809276 */   // Label 12505: @809276
     /*  809276 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809351), // Rule ID 19739 //
     /*  809281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809349 */     GIR_RootConstrainSelectedInstOperands,
     /*  809350 */     // GIR_Coverage, 19739,
     /*  809350 */     GIR_EraseRootFromParent_Done,
     /*  809351 */   // Label 12506: @809351
     /*  809351 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809426), // Rule ID 19742 //
     /*  809356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809424 */     GIR_RootConstrainSelectedInstOperands,
     /*  809425 */     // GIR_Coverage, 19742,
     /*  809425 */     GIR_EraseRootFromParent_Done,
     /*  809426 */   // Label 12507: @809426
     /*  809426 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809501), // Rule ID 19743 //
     /*  809431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809499 */     GIR_RootConstrainSelectedInstOperands,
     /*  809500 */     // GIR_Coverage, 19743,
     /*  809500 */     GIR_EraseRootFromParent_Done,
     /*  809501 */   // Label 12508: @809501
     /*  809501 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809576), // Rule ID 19746 //
     /*  809506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  809555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809574 */     GIR_RootConstrainSelectedInstOperands,
     /*  809575 */     // GIR_Coverage, 19746,
     /*  809575 */     GIR_EraseRootFromParent_Done,
     /*  809576 */   // Label 12509: @809576
     /*  809576 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809651), // Rule ID 19747 //
     /*  809581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  809630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809649 */     GIR_RootConstrainSelectedInstOperands,
     /*  809650 */     // GIR_Coverage, 19747,
     /*  809650 */     GIR_EraseRootFromParent_Done,
     /*  809651 */   // Label 12510: @809651
     /*  809651 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809726), // Rule ID 19750 //
     /*  809656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  809705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809724 */     GIR_RootConstrainSelectedInstOperands,
     /*  809725 */     // GIR_Coverage, 19750,
     /*  809725 */     GIR_EraseRootFromParent_Done,
     /*  809726 */   // Label 12511: @809726
     /*  809726 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(809801), // Rule ID 19751 //
     /*  809731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  809780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809799 */     GIR_RootConstrainSelectedInstOperands,
     /*  809800 */     // GIR_Coverage, 19751,
     /*  809800 */     GIR_EraseRootFromParent_Done,
     /*  809801 */   // Label 12512: @809801
     /*  809801 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(809876), // Rule ID 19754 //
     /*  809806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  809855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809874 */     GIR_RootConstrainSelectedInstOperands,
     /*  809875 */     // GIR_Coverage, 19754,
     /*  809875 */     GIR_EraseRootFromParent_Done,
     /*  809876 */   // Label 12513: @809876
     /*  809876 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(809951), // Rule ID 19755 //
     /*  809881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  809930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809949 */     GIR_RootConstrainSelectedInstOperands,
     /*  809950 */     // GIR_Coverage, 19755,
     /*  809950 */     GIR_EraseRootFromParent_Done,
     /*  809951 */   // Label 12514: @809951
     /*  809951 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810026), // Rule ID 19758 //
     /*  809956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  809967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  809970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  810005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810024 */     GIR_RootConstrainSelectedInstOperands,
     /*  810025 */     // GIR_Coverage, 19758,
     /*  810025 */     GIR_EraseRootFromParent_Done,
     /*  810026 */   // Label 12515: @810026
     /*  810026 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810101), // Rule ID 19759 //
     /*  810031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  810034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  810080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810099 */     GIR_RootConstrainSelectedInstOperands,
     /*  810100 */     // GIR_Coverage, 19759,
     /*  810100 */     GIR_EraseRootFromParent_Done,
     /*  810101 */   // Label 12516: @810101
     /*  810101 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810176), // Rule ID 21976 //
     /*  810106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  810155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810174 */     GIR_RootConstrainSelectedInstOperands,
     /*  810175 */     // GIR_Coverage, 21976,
     /*  810175 */     GIR_EraseRootFromParent_Done,
     /*  810176 */   // Label 12517: @810176
     /*  810176 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810251), // Rule ID 21977 //
     /*  810181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  810230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810249 */     GIR_RootConstrainSelectedInstOperands,
     /*  810250 */     // GIR_Coverage, 21977,
     /*  810250 */     GIR_EraseRootFromParent_Done,
     /*  810251 */   // Label 12518: @810251
     /*  810251 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810326), // Rule ID 21980 //
     /*  810256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810324 */     GIR_RootConstrainSelectedInstOperands,
     /*  810325 */     // GIR_Coverage, 21980,
     /*  810325 */     GIR_EraseRootFromParent_Done,
     /*  810326 */   // Label 12519: @810326
     /*  810326 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810401), // Rule ID 21981 //
     /*  810331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810399 */     GIR_RootConstrainSelectedInstOperands,
     /*  810400 */     // GIR_Coverage, 21981,
     /*  810400 */     GIR_EraseRootFromParent_Done,
     /*  810401 */   // Label 12520: @810401
     /*  810401 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810476), // Rule ID 21984 //
     /*  810406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  810455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810474 */     GIR_RootConstrainSelectedInstOperands,
     /*  810475 */     // GIR_Coverage, 21984,
     /*  810475 */     GIR_EraseRootFromParent_Done,
     /*  810476 */   // Label 12521: @810476
     /*  810476 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810551), // Rule ID 21985 //
     /*  810481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  810530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810549 */     GIR_RootConstrainSelectedInstOperands,
     /*  810550 */     // GIR_Coverage, 21985,
     /*  810550 */     GIR_EraseRootFromParent_Done,
     /*  810551 */   // Label 12522: @810551
     /*  810551 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810626), // Rule ID 21988 //
     /*  810556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  810605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810624 */     GIR_RootConstrainSelectedInstOperands,
     /*  810625 */     // GIR_Coverage, 21988,
     /*  810625 */     GIR_EraseRootFromParent_Done,
     /*  810626 */   // Label 12523: @810626
     /*  810626 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810701), // Rule ID 21989 //
     /*  810631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  810680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810699 */     GIR_RootConstrainSelectedInstOperands,
     /*  810700 */     // GIR_Coverage, 21989,
     /*  810700 */     GIR_EraseRootFromParent_Done,
     /*  810701 */   // Label 12524: @810701
     /*  810701 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(810776), // Rule ID 21992 //
     /*  810706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  810755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810774 */     GIR_RootConstrainSelectedInstOperands,
     /*  810775 */     // GIR_Coverage, 21992,
     /*  810775 */     GIR_EraseRootFromParent_Done,
     /*  810776 */   // Label 12525: @810776
     /*  810776 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(810851), // Rule ID 21993 //
     /*  810781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  810830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810849 */     GIR_RootConstrainSelectedInstOperands,
     /*  810850 */     // GIR_Coverage, 21993,
     /*  810850 */     GIR_EraseRootFromParent_Done,
     /*  810851 */   // Label 12526: @810851
     /*  810851 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(810926), // Rule ID 21996 //
     /*  810856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  810905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810924 */     GIR_RootConstrainSelectedInstOperands,
     /*  810925 */     // GIR_Coverage, 21996,
     /*  810925 */     GIR_EraseRootFromParent_Done,
     /*  810926 */   // Label 12527: @810926
     /*  810926 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811001), // Rule ID 21997 //
     /*  810931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  810980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810999 */     GIR_RootConstrainSelectedInstOperands,
     /*  811000 */     // GIR_Coverage, 21997,
     /*  811000 */     GIR_EraseRootFromParent_Done,
     /*  811001 */   // Label 12528: @811001
     /*  811001 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811076), // Rule ID 22000 //
     /*  811006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  811055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811074 */     GIR_RootConstrainSelectedInstOperands,
     /*  811075 */     // GIR_Coverage, 22000,
     /*  811075 */     GIR_EraseRootFromParent_Done,
     /*  811076 */   // Label 12529: @811076
     /*  811076 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811151), // Rule ID 22001 //
     /*  811081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  811130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811149 */     GIR_RootConstrainSelectedInstOperands,
     /*  811150 */     // GIR_Coverage, 22001,
     /*  811150 */     GIR_EraseRootFromParent_Done,
     /*  811151 */   // Label 12530: @811151
     /*  811151 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811226), // Rule ID 22004 //
     /*  811156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811224 */     GIR_RootConstrainSelectedInstOperands,
     /*  811225 */     // GIR_Coverage, 22004,
     /*  811225 */     GIR_EraseRootFromParent_Done,
     /*  811226 */   // Label 12531: @811226
     /*  811226 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811301), // Rule ID 22005 //
     /*  811231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811299 */     GIR_RootConstrainSelectedInstOperands,
     /*  811300 */     // GIR_Coverage, 22005,
     /*  811300 */     GIR_EraseRootFromParent_Done,
     /*  811301 */   // Label 12532: @811301
     /*  811301 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811376), // Rule ID 22008 //
     /*  811306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811374 */     GIR_RootConstrainSelectedInstOperands,
     /*  811375 */     // GIR_Coverage, 22008,
     /*  811375 */     GIR_EraseRootFromParent_Done,
     /*  811376 */   // Label 12533: @811376
     /*  811376 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811451), // Rule ID 22009 //
     /*  811381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811449 */     GIR_RootConstrainSelectedInstOperands,
     /*  811450 */     // GIR_Coverage, 22009,
     /*  811450 */     GIR_EraseRootFromParent_Done,
     /*  811451 */   // Label 12534: @811451
     /*  811451 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811526), // Rule ID 22012 //
     /*  811456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  811505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811524 */     GIR_RootConstrainSelectedInstOperands,
     /*  811525 */     // GIR_Coverage, 22012,
     /*  811525 */     GIR_EraseRootFromParent_Done,
     /*  811526 */   // Label 12535: @811526
     /*  811526 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811601), // Rule ID 22013 //
     /*  811531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  811580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811599 */     GIR_RootConstrainSelectedInstOperands,
     /*  811600 */     // GIR_Coverage, 22013,
     /*  811600 */     GIR_EraseRootFromParent_Done,
     /*  811601 */   // Label 12536: @811601
     /*  811601 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811676), // Rule ID 22016 //
     /*  811606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  811655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811674 */     GIR_RootConstrainSelectedInstOperands,
     /*  811675 */     // GIR_Coverage, 22016,
     /*  811675 */     GIR_EraseRootFromParent_Done,
     /*  811676 */   // Label 12537: @811676
     /*  811676 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811751), // Rule ID 22017 //
     /*  811681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  811730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811749 */     GIR_RootConstrainSelectedInstOperands,
     /*  811750 */     // GIR_Coverage, 22017,
     /*  811750 */     GIR_EraseRootFromParent_Done,
     /*  811751 */   // Label 12538: @811751
     /*  811751 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(811826), // Rule ID 22020 //
     /*  811756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  811805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811824 */     GIR_RootConstrainSelectedInstOperands,
     /*  811825 */     // GIR_Coverage, 22020,
     /*  811825 */     GIR_EraseRootFromParent_Done,
     /*  811826 */   // Label 12539: @811826
     /*  811826 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(811901), // Rule ID 22021 //
     /*  811831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  811880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811899 */     GIR_RootConstrainSelectedInstOperands,
     /*  811900 */     // GIR_Coverage, 22021,
     /*  811900 */     GIR_EraseRootFromParent_Done,
     /*  811901 */   // Label 12540: @811901
     /*  811901 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(811976), // Rule ID 22024 //
     /*  811906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  811955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811974 */     GIR_RootConstrainSelectedInstOperands,
     /*  811975 */     // GIR_Coverage, 22024,
     /*  811975 */     GIR_EraseRootFromParent_Done,
     /*  811976 */   // Label 12541: @811976
     /*  811976 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812051), // Rule ID 22025 //
     /*  811981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  812030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812049 */     GIR_RootConstrainSelectedInstOperands,
     /*  812050 */     // GIR_Coverage, 22025,
     /*  812050 */     GIR_EraseRootFromParent_Done,
     /*  812051 */   // Label 12542: @812051
     /*  812051 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812126), // Rule ID 22028 //
     /*  812056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  812105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812124 */     GIR_RootConstrainSelectedInstOperands,
     /*  812125 */     // GIR_Coverage, 22028,
     /*  812125 */     GIR_EraseRootFromParent_Done,
     /*  812126 */   // Label 12543: @812126
     /*  812126 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812201), // Rule ID 22029 //
     /*  812131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  812180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812199 */     GIR_RootConstrainSelectedInstOperands,
     /*  812200 */     // GIR_Coverage, 22029,
     /*  812200 */     GIR_EraseRootFromParent_Done,
     /*  812201 */   // Label 12544: @812201
     /*  812201 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812276), // Rule ID 22032 //
     /*  812206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812274 */     GIR_RootConstrainSelectedInstOperands,
     /*  812275 */     // GIR_Coverage, 22032,
     /*  812275 */     GIR_EraseRootFromParent_Done,
     /*  812276 */   // Label 12545: @812276
     /*  812276 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812351), // Rule ID 22033 //
     /*  812281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812349 */     GIR_RootConstrainSelectedInstOperands,
     /*  812350 */     // GIR_Coverage, 22033,
     /*  812350 */     GIR_EraseRootFromParent_Done,
     /*  812351 */   // Label 12546: @812351
     /*  812351 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812426), // Rule ID 22036 //
     /*  812356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812424 */     GIR_RootConstrainSelectedInstOperands,
     /*  812425 */     // GIR_Coverage, 22036,
     /*  812425 */     GIR_EraseRootFromParent_Done,
     /*  812426 */   // Label 12547: @812426
     /*  812426 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812501), // Rule ID 22037 //
     /*  812431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812499 */     GIR_RootConstrainSelectedInstOperands,
     /*  812500 */     // GIR_Coverage, 22037,
     /*  812500 */     GIR_EraseRootFromParent_Done,
     /*  812501 */   // Label 12548: @812501
     /*  812501 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812576), // Rule ID 22040 //
     /*  812506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  812555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812574 */     GIR_RootConstrainSelectedInstOperands,
     /*  812575 */     // GIR_Coverage, 22040,
     /*  812575 */     GIR_EraseRootFromParent_Done,
     /*  812576 */   // Label 12549: @812576
     /*  812576 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812651), // Rule ID 22041 //
     /*  812581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  812630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812649 */     GIR_RootConstrainSelectedInstOperands,
     /*  812650 */     // GIR_Coverage, 22041,
     /*  812650 */     GIR_EraseRootFromParent_Done,
     /*  812651 */   // Label 12550: @812651
     /*  812651 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812726), // Rule ID 22044 //
     /*  812656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  812705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812724 */     GIR_RootConstrainSelectedInstOperands,
     /*  812725 */     // GIR_Coverage, 22044,
     /*  812725 */     GIR_EraseRootFromParent_Done,
     /*  812726 */   // Label 12551: @812726
     /*  812726 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(812801), // Rule ID 22045 //
     /*  812731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  812780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812799 */     GIR_RootConstrainSelectedInstOperands,
     /*  812800 */     // GIR_Coverage, 22045,
     /*  812800 */     GIR_EraseRootFromParent_Done,
     /*  812801 */   // Label 12552: @812801
     /*  812801 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(812876), // Rule ID 22048 //
     /*  812806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  812855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812874 */     GIR_RootConstrainSelectedInstOperands,
     /*  812875 */     // GIR_Coverage, 22048,
     /*  812875 */     GIR_EraseRootFromParent_Done,
     /*  812876 */   // Label 12553: @812876
     /*  812876 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(812951), // Rule ID 22049 //
     /*  812881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  812930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812949 */     GIR_RootConstrainSelectedInstOperands,
     /*  812950 */     // GIR_Coverage, 22049,
     /*  812950 */     GIR_EraseRootFromParent_Done,
     /*  812951 */   // Label 12554: @812951
     /*  812951 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813026), // Rule ID 22052 //
     /*  812956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  813005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813024 */     GIR_RootConstrainSelectedInstOperands,
     /*  813025 */     // GIR_Coverage, 22052,
     /*  813025 */     GIR_EraseRootFromParent_Done,
     /*  813026 */   // Label 12555: @813026
     /*  813026 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813101), // Rule ID 22053 //
     /*  813031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  813080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813099 */     GIR_RootConstrainSelectedInstOperands,
     /*  813100 */     // GIR_Coverage, 22053,
     /*  813100 */     GIR_EraseRootFromParent_Done,
     /*  813101 */   // Label 12556: @813101
     /*  813101 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813176), // Rule ID 22056 //
     /*  813106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  813155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813174 */     GIR_RootConstrainSelectedInstOperands,
     /*  813175 */     // GIR_Coverage, 22056,
     /*  813175 */     GIR_EraseRootFromParent_Done,
     /*  813176 */   // Label 12557: @813176
     /*  813176 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813251), // Rule ID 22057 //
     /*  813181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  813230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813249 */     GIR_RootConstrainSelectedInstOperands,
     /*  813250 */     // GIR_Coverage, 22057,
     /*  813250 */     GIR_EraseRootFromParent_Done,
     /*  813251 */   // Label 12558: @813251
     /*  813251 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813326), // Rule ID 22060 //
     /*  813256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813324 */     GIR_RootConstrainSelectedInstOperands,
     /*  813325 */     // GIR_Coverage, 22060,
     /*  813325 */     GIR_EraseRootFromParent_Done,
     /*  813326 */   // Label 12559: @813326
     /*  813326 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813401), // Rule ID 22061 //
     /*  813331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813399 */     GIR_RootConstrainSelectedInstOperands,
     /*  813400 */     // GIR_Coverage, 22061,
     /*  813400 */     GIR_EraseRootFromParent_Done,
     /*  813401 */   // Label 12560: @813401
     /*  813401 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813476), // Rule ID 22064 //
     /*  813406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  813455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813474 */     GIR_RootConstrainSelectedInstOperands,
     /*  813475 */     // GIR_Coverage, 22064,
     /*  813475 */     GIR_EraseRootFromParent_Done,
     /*  813476 */   // Label 12561: @813476
     /*  813476 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813551), // Rule ID 22065 //
     /*  813481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  813530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813549 */     GIR_RootConstrainSelectedInstOperands,
     /*  813550 */     // GIR_Coverage, 22065,
     /*  813550 */     GIR_EraseRootFromParent_Done,
     /*  813551 */   // Label 12562: @813551
     /*  813551 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813626), // Rule ID 22068 //
     /*  813556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  813605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813624 */     GIR_RootConstrainSelectedInstOperands,
     /*  813625 */     // GIR_Coverage, 22068,
     /*  813625 */     GIR_EraseRootFromParent_Done,
     /*  813626 */   // Label 12563: @813626
     /*  813626 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813701), // Rule ID 22069 //
     /*  813631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  813680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813699 */     GIR_RootConstrainSelectedInstOperands,
     /*  813700 */     // GIR_Coverage, 22069,
     /*  813700 */     GIR_EraseRootFromParent_Done,
     /*  813701 */   // Label 12564: @813701
     /*  813701 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(813776), // Rule ID 22072 //
     /*  813706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  813755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813774 */     GIR_RootConstrainSelectedInstOperands,
     /*  813775 */     // GIR_Coverage, 22072,
     /*  813775 */     GIR_EraseRootFromParent_Done,
     /*  813776 */   // Label 12565: @813776
     /*  813776 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(813851), // Rule ID 22073 //
     /*  813781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  813830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813849 */     GIR_RootConstrainSelectedInstOperands,
     /*  813850 */     // GIR_Coverage, 22073,
     /*  813850 */     GIR_EraseRootFromParent_Done,
     /*  813851 */   // Label 12566: @813851
     /*  813851 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(813926), // Rule ID 22076 //
     /*  813856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  813905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813924 */     GIR_RootConstrainSelectedInstOperands,
     /*  813925 */     // GIR_Coverage, 22076,
     /*  813925 */     GIR_EraseRootFromParent_Done,
     /*  813926 */   // Label 12567: @813926
     /*  813926 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814001), // Rule ID 22077 //
     /*  813931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  813980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813999 */     GIR_RootConstrainSelectedInstOperands,
     /*  814000 */     // GIR_Coverage, 22077,
     /*  814000 */     GIR_EraseRootFromParent_Done,
     /*  814001 */   // Label 12568: @814001
     /*  814001 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814076), // Rule ID 22080 //
     /*  814006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  814055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814074 */     GIR_RootConstrainSelectedInstOperands,
     /*  814075 */     // GIR_Coverage, 22080,
     /*  814075 */     GIR_EraseRootFromParent_Done,
     /*  814076 */   // Label 12569: @814076
     /*  814076 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814151), // Rule ID 22081 //
     /*  814081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  814130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814149 */     GIR_RootConstrainSelectedInstOperands,
     /*  814150 */     // GIR_Coverage, 22081,
     /*  814150 */     GIR_EraseRootFromParent_Done,
     /*  814151 */   // Label 12570: @814151
     /*  814151 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814226), // Rule ID 22084 //
     /*  814156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814224 */     GIR_RootConstrainSelectedInstOperands,
     /*  814225 */     // GIR_Coverage, 22084,
     /*  814225 */     GIR_EraseRootFromParent_Done,
     /*  814226 */   // Label 12571: @814226
     /*  814226 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814301), // Rule ID 22085 //
     /*  814231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814299 */     GIR_RootConstrainSelectedInstOperands,
     /*  814300 */     // GIR_Coverage, 22085,
     /*  814300 */     GIR_EraseRootFromParent_Done,
     /*  814301 */   // Label 12572: @814301
     /*  814301 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814376), // Rule ID 22088 //
     /*  814306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814374 */     GIR_RootConstrainSelectedInstOperands,
     /*  814375 */     // GIR_Coverage, 22088,
     /*  814375 */     GIR_EraseRootFromParent_Done,
     /*  814376 */   // Label 12573: @814376
     /*  814376 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814451), // Rule ID 22089 //
     /*  814381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814449 */     GIR_RootConstrainSelectedInstOperands,
     /*  814450 */     // GIR_Coverage, 22089,
     /*  814450 */     GIR_EraseRootFromParent_Done,
     /*  814451 */   // Label 12574: @814451
     /*  814451 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814526), // Rule ID 22092 //
     /*  814456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  814505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814524 */     GIR_RootConstrainSelectedInstOperands,
     /*  814525 */     // GIR_Coverage, 22092,
     /*  814525 */     GIR_EraseRootFromParent_Done,
     /*  814526 */   // Label 12575: @814526
     /*  814526 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814601), // Rule ID 22093 //
     /*  814531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  814580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814599 */     GIR_RootConstrainSelectedInstOperands,
     /*  814600 */     // GIR_Coverage, 22093,
     /*  814600 */     GIR_EraseRootFromParent_Done,
     /*  814601 */   // Label 12576: @814601
     /*  814601 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814676), // Rule ID 22096 //
     /*  814606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  814655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814674 */     GIR_RootConstrainSelectedInstOperands,
     /*  814675 */     // GIR_Coverage, 22096,
     /*  814675 */     GIR_EraseRootFromParent_Done,
     /*  814676 */   // Label 12577: @814676
     /*  814676 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814751), // Rule ID 22097 //
     /*  814681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  814730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814749 */     GIR_RootConstrainSelectedInstOperands,
     /*  814750 */     // GIR_Coverage, 22097,
     /*  814750 */     GIR_EraseRootFromParent_Done,
     /*  814751 */   // Label 12578: @814751
     /*  814751 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(814826), // Rule ID 22100 //
     /*  814756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  814805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814824 */     GIR_RootConstrainSelectedInstOperands,
     /*  814825 */     // GIR_Coverage, 22100,
     /*  814825 */     GIR_EraseRootFromParent_Done,
     /*  814826 */   // Label 12579: @814826
     /*  814826 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(814901), // Rule ID 22101 //
     /*  814831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  814880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814899 */     GIR_RootConstrainSelectedInstOperands,
     /*  814900 */     // GIR_Coverage, 22101,
     /*  814900 */     GIR_EraseRootFromParent_Done,
     /*  814901 */   // Label 12580: @814901
     /*  814901 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(814976), // Rule ID 22104 //
     /*  814906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  814955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814974 */     GIR_RootConstrainSelectedInstOperands,
     /*  814975 */     // GIR_Coverage, 22104,
     /*  814975 */     GIR_EraseRootFromParent_Done,
     /*  814976 */   // Label 12581: @814976
     /*  814976 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815051), // Rule ID 22105 //
     /*  814981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  815030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815049 */     GIR_RootConstrainSelectedInstOperands,
     /*  815050 */     // GIR_Coverage, 22105,
     /*  815050 */     GIR_EraseRootFromParent_Done,
     /*  815051 */   // Label 12582: @815051
     /*  815051 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815126), // Rule ID 22108 //
     /*  815056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  815105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815124 */     GIR_RootConstrainSelectedInstOperands,
     /*  815125 */     // GIR_Coverage, 22108,
     /*  815125 */     GIR_EraseRootFromParent_Done,
     /*  815126 */   // Label 12583: @815126
     /*  815126 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815201), // Rule ID 22109 //
     /*  815131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  815180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815199 */     GIR_RootConstrainSelectedInstOperands,
     /*  815200 */     // GIR_Coverage, 22109,
     /*  815200 */     GIR_EraseRootFromParent_Done,
     /*  815201 */   // Label 12584: @815201
     /*  815201 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815276), // Rule ID 22112 //
     /*  815206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815274 */     GIR_RootConstrainSelectedInstOperands,
     /*  815275 */     // GIR_Coverage, 22112,
     /*  815275 */     GIR_EraseRootFromParent_Done,
     /*  815276 */   // Label 12585: @815276
     /*  815276 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815351), // Rule ID 22113 //
     /*  815281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815349 */     GIR_RootConstrainSelectedInstOperands,
     /*  815350 */     // GIR_Coverage, 22113,
     /*  815350 */     GIR_EraseRootFromParent_Done,
     /*  815351 */   // Label 12586: @815351
     /*  815351 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815426), // Rule ID 22116 //
     /*  815356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815424 */     GIR_RootConstrainSelectedInstOperands,
     /*  815425 */     // GIR_Coverage, 22116,
     /*  815425 */     GIR_EraseRootFromParent_Done,
     /*  815426 */   // Label 12587: @815426
     /*  815426 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815501), // Rule ID 22117 //
     /*  815431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815499 */     GIR_RootConstrainSelectedInstOperands,
     /*  815500 */     // GIR_Coverage, 22117,
     /*  815500 */     GIR_EraseRootFromParent_Done,
     /*  815501 */   // Label 12588: @815501
     /*  815501 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815576), // Rule ID 22120 //
     /*  815506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  815555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815574 */     GIR_RootConstrainSelectedInstOperands,
     /*  815575 */     // GIR_Coverage, 22120,
     /*  815575 */     GIR_EraseRootFromParent_Done,
     /*  815576 */   // Label 12589: @815576
     /*  815576 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815651), // Rule ID 22121 //
     /*  815581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  815630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815649 */     GIR_RootConstrainSelectedInstOperands,
     /*  815650 */     // GIR_Coverage, 22121,
     /*  815650 */     GIR_EraseRootFromParent_Done,
     /*  815651 */   // Label 12590: @815651
     /*  815651 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815726), // Rule ID 22124 //
     /*  815656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  815705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815724 */     GIR_RootConstrainSelectedInstOperands,
     /*  815725 */     // GIR_Coverage, 22124,
     /*  815725 */     GIR_EraseRootFromParent_Done,
     /*  815726 */   // Label 12591: @815726
     /*  815726 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(815801), // Rule ID 22125 //
     /*  815731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  815780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815799 */     GIR_RootConstrainSelectedInstOperands,
     /*  815800 */     // GIR_Coverage, 22125,
     /*  815800 */     GIR_EraseRootFromParent_Done,
     /*  815801 */   // Label 12592: @815801
     /*  815801 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(815876), // Rule ID 22128 //
     /*  815806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  815855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815874 */     GIR_RootConstrainSelectedInstOperands,
     /*  815875 */     // GIR_Coverage, 22128,
     /*  815875 */     GIR_EraseRootFromParent_Done,
     /*  815876 */   // Label 12593: @815876
     /*  815876 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(815951), // Rule ID 22129 //
     /*  815881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  815930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815949 */     GIR_RootConstrainSelectedInstOperands,
     /*  815950 */     // GIR_Coverage, 22129,
     /*  815950 */     GIR_EraseRootFromParent_Done,
     /*  815951 */   // Label 12594: @815951
     /*  815951 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816026), // Rule ID 22132 //
     /*  815956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  816005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816024 */     GIR_RootConstrainSelectedInstOperands,
     /*  816025 */     // GIR_Coverage, 22132,
     /*  816025 */     GIR_EraseRootFromParent_Done,
     /*  816026 */   // Label 12595: @816026
     /*  816026 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816101), // Rule ID 22133 //
     /*  816031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  816080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816099 */     GIR_RootConstrainSelectedInstOperands,
     /*  816100 */     // GIR_Coverage, 22133,
     /*  816100 */     GIR_EraseRootFromParent_Done,
     /*  816101 */   // Label 12596: @816101
     /*  816101 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816176), // Rule ID 22136 //
     /*  816106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  816155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816174 */     GIR_RootConstrainSelectedInstOperands,
     /*  816175 */     // GIR_Coverage, 22136,
     /*  816175 */     GIR_EraseRootFromParent_Done,
     /*  816176 */   // Label 12597: @816176
     /*  816176 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816251), // Rule ID 22137 //
     /*  816181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  816230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816249 */     GIR_RootConstrainSelectedInstOperands,
     /*  816250 */     // GIR_Coverage, 22137,
     /*  816250 */     GIR_EraseRootFromParent_Done,
     /*  816251 */   // Label 12598: @816251
     /*  816251 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816326), // Rule ID 22140 //
     /*  816256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816324 */     GIR_RootConstrainSelectedInstOperands,
     /*  816325 */     // GIR_Coverage, 22140,
     /*  816325 */     GIR_EraseRootFromParent_Done,
     /*  816326 */   // Label 12599: @816326
     /*  816326 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816401), // Rule ID 22141 //
     /*  816331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816399 */     GIR_RootConstrainSelectedInstOperands,
     /*  816400 */     // GIR_Coverage, 22141,
     /*  816400 */     GIR_EraseRootFromParent_Done,
     /*  816401 */   // Label 12600: @816401
     /*  816401 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816476), // Rule ID 22144 //
     /*  816406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  816455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816474 */     GIR_RootConstrainSelectedInstOperands,
     /*  816475 */     // GIR_Coverage, 22144,
     /*  816475 */     GIR_EraseRootFromParent_Done,
     /*  816476 */   // Label 12601: @816476
     /*  816476 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816551), // Rule ID 22145 //
     /*  816481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  816530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816549 */     GIR_RootConstrainSelectedInstOperands,
     /*  816550 */     // GIR_Coverage, 22145,
     /*  816550 */     GIR_EraseRootFromParent_Done,
     /*  816551 */   // Label 12602: @816551
     /*  816551 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816626), // Rule ID 22148 //
     /*  816556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  816605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816624 */     GIR_RootConstrainSelectedInstOperands,
     /*  816625 */     // GIR_Coverage, 22148,
     /*  816625 */     GIR_EraseRootFromParent_Done,
     /*  816626 */   // Label 12603: @816626
     /*  816626 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816701), // Rule ID 22149 //
     /*  816631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  816680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816699 */     GIR_RootConstrainSelectedInstOperands,
     /*  816700 */     // GIR_Coverage, 22149,
     /*  816700 */     GIR_EraseRootFromParent_Done,
     /*  816701 */   // Label 12604: @816701
     /*  816701 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(816776), // Rule ID 22152 //
     /*  816706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  816755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816774 */     GIR_RootConstrainSelectedInstOperands,
     /*  816775 */     // GIR_Coverage, 22152,
     /*  816775 */     GIR_EraseRootFromParent_Done,
     /*  816776 */   // Label 12605: @816776
     /*  816776 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(816851), // Rule ID 22153 //
     /*  816781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  816830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816849 */     GIR_RootConstrainSelectedInstOperands,
     /*  816850 */     // GIR_Coverage, 22153,
     /*  816850 */     GIR_EraseRootFromParent_Done,
     /*  816851 */   // Label 12606: @816851
     /*  816851 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(816926), // Rule ID 22156 //
     /*  816856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  816905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816924 */     GIR_RootConstrainSelectedInstOperands,
     /*  816925 */     // GIR_Coverage, 22156,
     /*  816925 */     GIR_EraseRootFromParent_Done,
     /*  816926 */   // Label 12607: @816926
     /*  816926 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817001), // Rule ID 22157 //
     /*  816931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  816980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816999 */     GIR_RootConstrainSelectedInstOperands,
     /*  817000 */     // GIR_Coverage, 22157,
     /*  817000 */     GIR_EraseRootFromParent_Done,
     /*  817001 */   // Label 12608: @817001
     /*  817001 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817076), // Rule ID 22160 //
     /*  817006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  817055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817074 */     GIR_RootConstrainSelectedInstOperands,
     /*  817075 */     // GIR_Coverage, 22160,
     /*  817075 */     GIR_EraseRootFromParent_Done,
     /*  817076 */   // Label 12609: @817076
     /*  817076 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817151), // Rule ID 22161 //
     /*  817081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  817130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817149 */     GIR_RootConstrainSelectedInstOperands,
     /*  817150 */     // GIR_Coverage, 22161,
     /*  817150 */     GIR_EraseRootFromParent_Done,
     /*  817151 */   // Label 12610: @817151
     /*  817151 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817226), // Rule ID 22164 //
     /*  817156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817224 */     GIR_RootConstrainSelectedInstOperands,
     /*  817225 */     // GIR_Coverage, 22164,
     /*  817225 */     GIR_EraseRootFromParent_Done,
     /*  817226 */   // Label 12611: @817226
     /*  817226 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817301), // Rule ID 22165 //
     /*  817231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817299 */     GIR_RootConstrainSelectedInstOperands,
     /*  817300 */     // GIR_Coverage, 22165,
     /*  817300 */     GIR_EraseRootFromParent_Done,
     /*  817301 */   // Label 12612: @817301
     /*  817301 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817376), // Rule ID 22168 //
     /*  817306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817374 */     GIR_RootConstrainSelectedInstOperands,
     /*  817375 */     // GIR_Coverage, 22168,
     /*  817375 */     GIR_EraseRootFromParent_Done,
     /*  817376 */   // Label 12613: @817376
     /*  817376 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817451), // Rule ID 22169 //
     /*  817381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817449 */     GIR_RootConstrainSelectedInstOperands,
     /*  817450 */     // GIR_Coverage, 22169,
     /*  817450 */     GIR_EraseRootFromParent_Done,
     /*  817451 */   // Label 12614: @817451
     /*  817451 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817526), // Rule ID 22172 //
     /*  817456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  817505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817524 */     GIR_RootConstrainSelectedInstOperands,
     /*  817525 */     // GIR_Coverage, 22172,
     /*  817525 */     GIR_EraseRootFromParent_Done,
     /*  817526 */   // Label 12615: @817526
     /*  817526 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817601), // Rule ID 22173 //
     /*  817531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  817580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817599 */     GIR_RootConstrainSelectedInstOperands,
     /*  817600 */     // GIR_Coverage, 22173,
     /*  817600 */     GIR_EraseRootFromParent_Done,
     /*  817601 */   // Label 12616: @817601
     /*  817601 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817676), // Rule ID 22176 //
     /*  817606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  817655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817674 */     GIR_RootConstrainSelectedInstOperands,
     /*  817675 */     // GIR_Coverage, 22176,
     /*  817675 */     GIR_EraseRootFromParent_Done,
     /*  817676 */   // Label 12617: @817676
     /*  817676 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817751), // Rule ID 22177 //
     /*  817681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  817730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817749 */     GIR_RootConstrainSelectedInstOperands,
     /*  817750 */     // GIR_Coverage, 22177,
     /*  817750 */     GIR_EraseRootFromParent_Done,
     /*  817751 */   // Label 12618: @817751
     /*  817751 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(817826), // Rule ID 22180 //
     /*  817756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  817805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817824 */     GIR_RootConstrainSelectedInstOperands,
     /*  817825 */     // GIR_Coverage, 22180,
     /*  817825 */     GIR_EraseRootFromParent_Done,
     /*  817826 */   // Label 12619: @817826
     /*  817826 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(817901), // Rule ID 22181 //
     /*  817831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  817880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817899 */     GIR_RootConstrainSelectedInstOperands,
     /*  817900 */     // GIR_Coverage, 22181,
     /*  817900 */     GIR_EraseRootFromParent_Done,
     /*  817901 */   // Label 12620: @817901
     /*  817901 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(817976), // Rule ID 22184 //
     /*  817906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  817955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817974 */     GIR_RootConstrainSelectedInstOperands,
     /*  817975 */     // GIR_Coverage, 22184,
     /*  817975 */     GIR_EraseRootFromParent_Done,
     /*  817976 */   // Label 12621: @817976
     /*  817976 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818051), // Rule ID 22185 //
     /*  817981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  818030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818049 */     GIR_RootConstrainSelectedInstOperands,
     /*  818050 */     // GIR_Coverage, 22185,
     /*  818050 */     GIR_EraseRootFromParent_Done,
     /*  818051 */   // Label 12622: @818051
     /*  818051 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818126), // Rule ID 22188 //
     /*  818056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  818105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818124 */     GIR_RootConstrainSelectedInstOperands,
     /*  818125 */     // GIR_Coverage, 22188,
     /*  818125 */     GIR_EraseRootFromParent_Done,
     /*  818126 */   // Label 12623: @818126
     /*  818126 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818201), // Rule ID 22189 //
     /*  818131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  818180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818199 */     GIR_RootConstrainSelectedInstOperands,
     /*  818200 */     // GIR_Coverage, 22189,
     /*  818200 */     GIR_EraseRootFromParent_Done,
     /*  818201 */   // Label 12624: @818201
     /*  818201 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818276), // Rule ID 22192 //
     /*  818206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818274 */     GIR_RootConstrainSelectedInstOperands,
     /*  818275 */     // GIR_Coverage, 22192,
     /*  818275 */     GIR_EraseRootFromParent_Done,
     /*  818276 */   // Label 12625: @818276
     /*  818276 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818351), // Rule ID 22193 //
     /*  818281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818349 */     GIR_RootConstrainSelectedInstOperands,
     /*  818350 */     // GIR_Coverage, 22193,
     /*  818350 */     GIR_EraseRootFromParent_Done,
     /*  818351 */   // Label 12626: @818351
     /*  818351 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818426), // Rule ID 22196 //
     /*  818356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818424 */     GIR_RootConstrainSelectedInstOperands,
     /*  818425 */     // GIR_Coverage, 22196,
     /*  818425 */     GIR_EraseRootFromParent_Done,
     /*  818426 */   // Label 12627: @818426
     /*  818426 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818501), // Rule ID 22197 //
     /*  818431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818499 */     GIR_RootConstrainSelectedInstOperands,
     /*  818500 */     // GIR_Coverage, 22197,
     /*  818500 */     GIR_EraseRootFromParent_Done,
     /*  818501 */   // Label 12628: @818501
     /*  818501 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818576), // Rule ID 22200 //
     /*  818506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  818555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818574 */     GIR_RootConstrainSelectedInstOperands,
     /*  818575 */     // GIR_Coverage, 22200,
     /*  818575 */     GIR_EraseRootFromParent_Done,
     /*  818576 */   // Label 12629: @818576
     /*  818576 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818651), // Rule ID 22201 //
     /*  818581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  818630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818649 */     GIR_RootConstrainSelectedInstOperands,
     /*  818650 */     // GIR_Coverage, 22201,
     /*  818650 */     GIR_EraseRootFromParent_Done,
     /*  818651 */   // Label 12630: @818651
     /*  818651 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818726), // Rule ID 22204 //
     /*  818656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  818705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818724 */     GIR_RootConstrainSelectedInstOperands,
     /*  818725 */     // GIR_Coverage, 22204,
     /*  818725 */     GIR_EraseRootFromParent_Done,
     /*  818726 */   // Label 12631: @818726
     /*  818726 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(818801), // Rule ID 22205 //
     /*  818731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  818780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818799 */     GIR_RootConstrainSelectedInstOperands,
     /*  818800 */     // GIR_Coverage, 22205,
     /*  818800 */     GIR_EraseRootFromParent_Done,
     /*  818801 */   // Label 12632: @818801
     /*  818801 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(818876), // Rule ID 22208 //
     /*  818806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  818855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818874 */     GIR_RootConstrainSelectedInstOperands,
     /*  818875 */     // GIR_Coverage, 22208,
     /*  818875 */     GIR_EraseRootFromParent_Done,
     /*  818876 */   // Label 12633: @818876
     /*  818876 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(818951), // Rule ID 22209 //
     /*  818881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  818930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818949 */     GIR_RootConstrainSelectedInstOperands,
     /*  818950 */     // GIR_Coverage, 22209,
     /*  818950 */     GIR_EraseRootFromParent_Done,
     /*  818951 */   // Label 12634: @818951
     /*  818951 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819026), // Rule ID 22212 //
     /*  818956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  819005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819024 */     GIR_RootConstrainSelectedInstOperands,
     /*  819025 */     // GIR_Coverage, 22212,
     /*  819025 */     GIR_EraseRootFromParent_Done,
     /*  819026 */   // Label 12635: @819026
     /*  819026 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819101), // Rule ID 22213 //
     /*  819031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  819080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819099 */     GIR_RootConstrainSelectedInstOperands,
     /*  819100 */     // GIR_Coverage, 22213,
     /*  819100 */     GIR_EraseRootFromParent_Done,
     /*  819101 */   // Label 12636: @819101
     /*  819101 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819176), // Rule ID 22216 //
     /*  819106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  819155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819174 */     GIR_RootConstrainSelectedInstOperands,
     /*  819175 */     // GIR_Coverage, 22216,
     /*  819175 */     GIR_EraseRootFromParent_Done,
     /*  819176 */   // Label 12637: @819176
     /*  819176 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819251), // Rule ID 22217 //
     /*  819181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  819230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819249 */     GIR_RootConstrainSelectedInstOperands,
     /*  819250 */     // GIR_Coverage, 22217,
     /*  819250 */     GIR_EraseRootFromParent_Done,
     /*  819251 */   // Label 12638: @819251
     /*  819251 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819326), // Rule ID 22220 //
     /*  819256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819324 */     GIR_RootConstrainSelectedInstOperands,
     /*  819325 */     // GIR_Coverage, 22220,
     /*  819325 */     GIR_EraseRootFromParent_Done,
     /*  819326 */   // Label 12639: @819326
     /*  819326 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819401), // Rule ID 22221 //
     /*  819331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819399 */     GIR_RootConstrainSelectedInstOperands,
     /*  819400 */     // GIR_Coverage, 22221,
     /*  819400 */     GIR_EraseRootFromParent_Done,
     /*  819401 */   // Label 12640: @819401
     /*  819401 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819476), // Rule ID 22224 //
     /*  819406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  819455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819474 */     GIR_RootConstrainSelectedInstOperands,
     /*  819475 */     // GIR_Coverage, 22224,
     /*  819475 */     GIR_EraseRootFromParent_Done,
     /*  819476 */   // Label 12641: @819476
     /*  819476 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819551), // Rule ID 22225 //
     /*  819481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  819530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819549 */     GIR_RootConstrainSelectedInstOperands,
     /*  819550 */     // GIR_Coverage, 22225,
     /*  819550 */     GIR_EraseRootFromParent_Done,
     /*  819551 */   // Label 12642: @819551
     /*  819551 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819626), // Rule ID 22228 //
     /*  819556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  819605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819624 */     GIR_RootConstrainSelectedInstOperands,
     /*  819625 */     // GIR_Coverage, 22228,
     /*  819625 */     GIR_EraseRootFromParent_Done,
     /*  819626 */   // Label 12643: @819626
     /*  819626 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819701), // Rule ID 22229 //
     /*  819631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  819680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819699 */     GIR_RootConstrainSelectedInstOperands,
     /*  819700 */     // GIR_Coverage, 22229,
     /*  819700 */     GIR_EraseRootFromParent_Done,
     /*  819701 */   // Label 12644: @819701
     /*  819701 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(819776), // Rule ID 22232 //
     /*  819706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  819755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819774 */     GIR_RootConstrainSelectedInstOperands,
     /*  819775 */     // GIR_Coverage, 22232,
     /*  819775 */     GIR_EraseRootFromParent_Done,
     /*  819776 */   // Label 12645: @819776
     /*  819776 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(819851), // Rule ID 22233 //
     /*  819781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  819830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819849 */     GIR_RootConstrainSelectedInstOperands,
     /*  819850 */     // GIR_Coverage, 22233,
     /*  819850 */     GIR_EraseRootFromParent_Done,
     /*  819851 */   // Label 12646: @819851
     /*  819851 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(819926), // Rule ID 22236 //
     /*  819856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  819905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819924 */     GIR_RootConstrainSelectedInstOperands,
     /*  819925 */     // GIR_Coverage, 22236,
     /*  819925 */     GIR_EraseRootFromParent_Done,
     /*  819926 */   // Label 12647: @819926
     /*  819926 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820001), // Rule ID 22237 //
     /*  819931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  819980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819999 */     GIR_RootConstrainSelectedInstOperands,
     /*  820000 */     // GIR_Coverage, 22237,
     /*  820000 */     GIR_EraseRootFromParent_Done,
     /*  820001 */   // Label 12648: @820001
     /*  820001 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820076), // Rule ID 22240 //
     /*  820006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  820055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820074 */     GIR_RootConstrainSelectedInstOperands,
     /*  820075 */     // GIR_Coverage, 22240,
     /*  820075 */     GIR_EraseRootFromParent_Done,
     /*  820076 */   // Label 12649: @820076
     /*  820076 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820151), // Rule ID 22241 //
     /*  820081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820127 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  820130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820149 */     GIR_RootConstrainSelectedInstOperands,
     /*  820150 */     // GIR_Coverage, 22241,
     /*  820150 */     GIR_EraseRootFromParent_Done,
     /*  820151 */   // Label 12650: @820151
     /*  820151 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820226), // Rule ID 22244 //
     /*  820156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820224 */     GIR_RootConstrainSelectedInstOperands,
     /*  820225 */     // GIR_Coverage, 22244,
     /*  820225 */     GIR_EraseRootFromParent_Done,
     /*  820226 */   // Label 12651: @820226
     /*  820226 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820301), // Rule ID 22245 //
     /*  820231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820299 */     GIR_RootConstrainSelectedInstOperands,
     /*  820300 */     // GIR_Coverage, 22245,
     /*  820300 */     GIR_EraseRootFromParent_Done,
     /*  820301 */   // Label 12652: @820301
     /*  820301 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820376), // Rule ID 22248 //
     /*  820306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820374 */     GIR_RootConstrainSelectedInstOperands,
     /*  820375 */     // GIR_Coverage, 22248,
     /*  820375 */     GIR_EraseRootFromParent_Done,
     /*  820376 */   // Label 12653: @820376
     /*  820376 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820451), // Rule ID 22249 //
     /*  820381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820449 */     GIR_RootConstrainSelectedInstOperands,
     /*  820450 */     // GIR_Coverage, 22249,
     /*  820450 */     GIR_EraseRootFromParent_Done,
     /*  820451 */   // Label 12654: @820451
     /*  820451 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820526), // Rule ID 22252 //
     /*  820456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  820505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820524 */     GIR_RootConstrainSelectedInstOperands,
     /*  820525 */     // GIR_Coverage, 22252,
     /*  820525 */     GIR_EraseRootFromParent_Done,
     /*  820526 */   // Label 12655: @820526
     /*  820526 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820601), // Rule ID 22253 //
     /*  820531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  820580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820599 */     GIR_RootConstrainSelectedInstOperands,
     /*  820600 */     // GIR_Coverage, 22253,
     /*  820600 */     GIR_EraseRootFromParent_Done,
     /*  820601 */   // Label 12656: @820601
     /*  820601 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820676), // Rule ID 22256 //
     /*  820606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  820655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820674 */     GIR_RootConstrainSelectedInstOperands,
     /*  820675 */     // GIR_Coverage, 22256,
     /*  820675 */     GIR_EraseRootFromParent_Done,
     /*  820676 */   // Label 12657: @820676
     /*  820676 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(820751), // Rule ID 22257 //
     /*  820681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  820730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820749 */     GIR_RootConstrainSelectedInstOperands,
     /*  820750 */     // GIR_Coverage, 22257,
     /*  820750 */     GIR_EraseRootFromParent_Done,
     /*  820751 */   // Label 12658: @820751
     /*  820751 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(820826), // Rule ID 22260 //
     /*  820756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  820805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820824 */     GIR_RootConstrainSelectedInstOperands,
     /*  820825 */     // GIR_Coverage, 22260,
     /*  820825 */     GIR_EraseRootFromParent_Done,
     /*  820826 */   // Label 12659: @820826
     /*  820826 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(820901), // Rule ID 22261 //
     /*  820831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  820880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820899 */     GIR_RootConstrainSelectedInstOperands,
     /*  820900 */     // GIR_Coverage, 22261,
     /*  820900 */     GIR_EraseRootFromParent_Done,
     /*  820901 */   // Label 12660: @820901
     /*  820901 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(820976), // Rule ID 22264 //
     /*  820906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  820955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820974 */     GIR_RootConstrainSelectedInstOperands,
     /*  820975 */     // GIR_Coverage, 22264,
     /*  820975 */     GIR_EraseRootFromParent_Done,
     /*  820976 */   // Label 12661: @820976
     /*  820976 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821051), // Rule ID 22265 //
     /*  820981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  821030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821049 */     GIR_RootConstrainSelectedInstOperands,
     /*  821050 */     // GIR_Coverage, 22265,
     /*  821050 */     GIR_EraseRootFromParent_Done,
     /*  821051 */   // Label 12662: @821051
     /*  821051 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821126), // Rule ID 22268 //
     /*  821056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  821105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821124 */     GIR_RootConstrainSelectedInstOperands,
     /*  821125 */     // GIR_Coverage, 22268,
     /*  821125 */     GIR_EraseRootFromParent_Done,
     /*  821126 */   // Label 12663: @821126
     /*  821126 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821201), // Rule ID 22269 //
     /*  821131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  821180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821199 */     GIR_RootConstrainSelectedInstOperands,
     /*  821200 */     // GIR_Coverage, 22269,
     /*  821200 */     GIR_EraseRootFromParent_Done,
     /*  821201 */   // Label 12664: @821201
     /*  821201 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821276), // Rule ID 22272 //
     /*  821206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821274 */     GIR_RootConstrainSelectedInstOperands,
     /*  821275 */     // GIR_Coverage, 22272,
     /*  821275 */     GIR_EraseRootFromParent_Done,
     /*  821276 */   // Label 12665: @821276
     /*  821276 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821351), // Rule ID 22273 //
     /*  821281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821349 */     GIR_RootConstrainSelectedInstOperands,
     /*  821350 */     // GIR_Coverage, 22273,
     /*  821350 */     GIR_EraseRootFromParent_Done,
     /*  821351 */   // Label 12666: @821351
     /*  821351 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821426), // Rule ID 22276 //
     /*  821356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821424 */     GIR_RootConstrainSelectedInstOperands,
     /*  821425 */     // GIR_Coverage, 22276,
     /*  821425 */     GIR_EraseRootFromParent_Done,
     /*  821426 */   // Label 12667: @821426
     /*  821426 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821501), // Rule ID 22277 //
     /*  821431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821499 */     GIR_RootConstrainSelectedInstOperands,
     /*  821500 */     // GIR_Coverage, 22277,
     /*  821500 */     GIR_EraseRootFromParent_Done,
     /*  821501 */   // Label 12668: @821501
     /*  821501 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821576), // Rule ID 22280 //
     /*  821506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  821555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821574 */     GIR_RootConstrainSelectedInstOperands,
     /*  821575 */     // GIR_Coverage, 22280,
     /*  821575 */     GIR_EraseRootFromParent_Done,
     /*  821576 */   // Label 12669: @821576
     /*  821576 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821651), // Rule ID 22281 //
     /*  821581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  821630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821649 */     GIR_RootConstrainSelectedInstOperands,
     /*  821650 */     // GIR_Coverage, 22281,
     /*  821650 */     GIR_EraseRootFromParent_Done,
     /*  821651 */   // Label 12670: @821651
     /*  821651 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(821726), // Rule ID 22284 //
     /*  821656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  821705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821724 */     GIR_RootConstrainSelectedInstOperands,
     /*  821725 */     // GIR_Coverage, 22284,
     /*  821725 */     GIR_EraseRootFromParent_Done,
     /*  821726 */   // Label 12671: @821726
     /*  821726 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(821801), // Rule ID 22285 //
     /*  821731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  821780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821799 */     GIR_RootConstrainSelectedInstOperands,
     /*  821800 */     // GIR_Coverage, 22285,
     /*  821800 */     GIR_EraseRootFromParent_Done,
     /*  821801 */   // Label 12672: @821801
     /*  821801 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(821876), // Rule ID 22288 //
     /*  821806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  821855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821874 */     GIR_RootConstrainSelectedInstOperands,
     /*  821875 */     // GIR_Coverage, 22288,
     /*  821875 */     GIR_EraseRootFromParent_Done,
     /*  821876 */   // Label 12673: @821876
     /*  821876 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(821951), // Rule ID 22289 //
     /*  821881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  821930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821949 */     GIR_RootConstrainSelectedInstOperands,
     /*  821950 */     // GIR_Coverage, 22289,
     /*  821950 */     GIR_EraseRootFromParent_Done,
     /*  821951 */   // Label 12674: @821951
     /*  821951 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822026), // Rule ID 22292 //
     /*  821956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  822005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822024 */     GIR_RootConstrainSelectedInstOperands,
     /*  822025 */     // GIR_Coverage, 22292,
     /*  822025 */     GIR_EraseRootFromParent_Done,
     /*  822026 */   // Label 12675: @822026
     /*  822026 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822101), // Rule ID 22293 //
     /*  822031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  822080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822099 */     GIR_RootConstrainSelectedInstOperands,
     /*  822100 */     // GIR_Coverage, 22293,
     /*  822100 */     GIR_EraseRootFromParent_Done,
     /*  822101 */   // Label 12676: @822101
     /*  822101 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822176), // Rule ID 22296 //
     /*  822106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  822155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822174 */     GIR_RootConstrainSelectedInstOperands,
     /*  822175 */     // GIR_Coverage, 22296,
     /*  822175 */     GIR_EraseRootFromParent_Done,
     /*  822176 */   // Label 12677: @822176
     /*  822176 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822251), // Rule ID 22297 //
     /*  822181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  822230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822249 */     GIR_RootConstrainSelectedInstOperands,
     /*  822250 */     // GIR_Coverage, 22297,
     /*  822250 */     GIR_EraseRootFromParent_Done,
     /*  822251 */   // Label 12678: @822251
     /*  822251 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822326), // Rule ID 22300 //
     /*  822256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822324 */     GIR_RootConstrainSelectedInstOperands,
     /*  822325 */     // GIR_Coverage, 22300,
     /*  822325 */     GIR_EraseRootFromParent_Done,
     /*  822326 */   // Label 12679: @822326
     /*  822326 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822401), // Rule ID 22301 //
     /*  822331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822399 */     GIR_RootConstrainSelectedInstOperands,
     /*  822400 */     // GIR_Coverage, 22301,
     /*  822400 */     GIR_EraseRootFromParent_Done,
     /*  822401 */   // Label 12680: @822401
     /*  822401 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822476), // Rule ID 22304 //
     /*  822406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  822455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822474 */     GIR_RootConstrainSelectedInstOperands,
     /*  822475 */     // GIR_Coverage, 22304,
     /*  822475 */     GIR_EraseRootFromParent_Done,
     /*  822476 */   // Label 12681: @822476
     /*  822476 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822551), // Rule ID 22305 //
     /*  822481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  822530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822549 */     GIR_RootConstrainSelectedInstOperands,
     /*  822550 */     // GIR_Coverage, 22305,
     /*  822550 */     GIR_EraseRootFromParent_Done,
     /*  822551 */   // Label 12682: @822551
     /*  822551 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822626), // Rule ID 22308 //
     /*  822556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  822605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822624 */     GIR_RootConstrainSelectedInstOperands,
     /*  822625 */     // GIR_Coverage, 22308,
     /*  822625 */     GIR_EraseRootFromParent_Done,
     /*  822626 */   // Label 12683: @822626
     /*  822626 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822701), // Rule ID 22309 //
     /*  822631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  822680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822699 */     GIR_RootConstrainSelectedInstOperands,
     /*  822700 */     // GIR_Coverage, 22309,
     /*  822700 */     GIR_EraseRootFromParent_Done,
     /*  822701 */   // Label 12684: @822701
     /*  822701 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(822776), // Rule ID 22312 //
     /*  822706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  822755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822774 */     GIR_RootConstrainSelectedInstOperands,
     /*  822775 */     // GIR_Coverage, 22312,
     /*  822775 */     GIR_EraseRootFromParent_Done,
     /*  822776 */   // Label 12685: @822776
     /*  822776 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(822851), // Rule ID 22313 //
     /*  822781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  822830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822849 */     GIR_RootConstrainSelectedInstOperands,
     /*  822850 */     // GIR_Coverage, 22313,
     /*  822850 */     GIR_EraseRootFromParent_Done,
     /*  822851 */   // Label 12686: @822851
     /*  822851 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(822926), // Rule ID 22316 //
     /*  822856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  822905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822924 */     GIR_RootConstrainSelectedInstOperands,
     /*  822925 */     // GIR_Coverage, 22316,
     /*  822925 */     GIR_EraseRootFromParent_Done,
     /*  822926 */   // Label 12687: @822926
     /*  822926 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823001), // Rule ID 22317 //
     /*  822931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  822980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822999 */     GIR_RootConstrainSelectedInstOperands,
     /*  823000 */     // GIR_Coverage, 22317,
     /*  823000 */     GIR_EraseRootFromParent_Done,
     /*  823001 */   // Label 12688: @823001
     /*  823001 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823076), // Rule ID 22320 //
     /*  823006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  823055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823074 */     GIR_RootConstrainSelectedInstOperands,
     /*  823075 */     // GIR_Coverage, 22320,
     /*  823075 */     GIR_EraseRootFromParent_Done,
     /*  823076 */   // Label 12689: @823076
     /*  823076 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823151), // Rule ID 22321 //
     /*  823081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  823130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823149 */     GIR_RootConstrainSelectedInstOperands,
     /*  823150 */     // GIR_Coverage, 22321,
     /*  823150 */     GIR_EraseRootFromParent_Done,
     /*  823151 */   // Label 12690: @823151
     /*  823151 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823226), // Rule ID 22324 //
     /*  823156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823224 */     GIR_RootConstrainSelectedInstOperands,
     /*  823225 */     // GIR_Coverage, 22324,
     /*  823225 */     GIR_EraseRootFromParent_Done,
     /*  823226 */   // Label 12691: @823226
     /*  823226 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823301), // Rule ID 22325 //
     /*  823231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823299 */     GIR_RootConstrainSelectedInstOperands,
     /*  823300 */     // GIR_Coverage, 22325,
     /*  823300 */     GIR_EraseRootFromParent_Done,
     /*  823301 */   // Label 12692: @823301
     /*  823301 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823376), // Rule ID 22328 //
     /*  823306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823374 */     GIR_RootConstrainSelectedInstOperands,
     /*  823375 */     // GIR_Coverage, 22328,
     /*  823375 */     GIR_EraseRootFromParent_Done,
     /*  823376 */   // Label 12693: @823376
     /*  823376 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823451), // Rule ID 22329 //
     /*  823381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823449 */     GIR_RootConstrainSelectedInstOperands,
     /*  823450 */     // GIR_Coverage, 22329,
     /*  823450 */     GIR_EraseRootFromParent_Done,
     /*  823451 */   // Label 12694: @823451
     /*  823451 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823526), // Rule ID 22332 //
     /*  823456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  823505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823524 */     GIR_RootConstrainSelectedInstOperands,
     /*  823525 */     // GIR_Coverage, 22332,
     /*  823525 */     GIR_EraseRootFromParent_Done,
     /*  823526 */   // Label 12695: @823526
     /*  823526 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823601), // Rule ID 22333 //
     /*  823531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  823580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823599 */     GIR_RootConstrainSelectedInstOperands,
     /*  823600 */     // GIR_Coverage, 22333,
     /*  823600 */     GIR_EraseRootFromParent_Done,
     /*  823601 */   // Label 12696: @823601
     /*  823601 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823676), // Rule ID 22336 //
     /*  823606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  823655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823674 */     GIR_RootConstrainSelectedInstOperands,
     /*  823675 */     // GIR_Coverage, 22336,
     /*  823675 */     GIR_EraseRootFromParent_Done,
     /*  823676 */   // Label 12697: @823676
     /*  823676 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(823751), // Rule ID 22337 //
     /*  823681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  823730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823749 */     GIR_RootConstrainSelectedInstOperands,
     /*  823750 */     // GIR_Coverage, 22337,
     /*  823750 */     GIR_EraseRootFromParent_Done,
     /*  823751 */   // Label 12698: @823751
     /*  823751 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(823826), // Rule ID 22340 //
     /*  823756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  823805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823824 */     GIR_RootConstrainSelectedInstOperands,
     /*  823825 */     // GIR_Coverage, 22340,
     /*  823825 */     GIR_EraseRootFromParent_Done,
     /*  823826 */   // Label 12699: @823826
     /*  823826 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(823901), // Rule ID 22341 //
     /*  823831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  823880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823899 */     GIR_RootConstrainSelectedInstOperands,
     /*  823900 */     // GIR_Coverage, 22341,
     /*  823900 */     GIR_EraseRootFromParent_Done,
     /*  823901 */   // Label 12700: @823901
     /*  823901 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(823976), // Rule ID 22344 //
     /*  823906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  823955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823974 */     GIR_RootConstrainSelectedInstOperands,
     /*  823975 */     // GIR_Coverage, 22344,
     /*  823975 */     GIR_EraseRootFromParent_Done,
     /*  823976 */   // Label 12701: @823976
     /*  823976 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824051), // Rule ID 22345 //
     /*  823981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  824030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824049 */     GIR_RootConstrainSelectedInstOperands,
     /*  824050 */     // GIR_Coverage, 22345,
     /*  824050 */     GIR_EraseRootFromParent_Done,
     /*  824051 */   // Label 12702: @824051
     /*  824051 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824126), // Rule ID 22348 //
     /*  824056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  824105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824124 */     GIR_RootConstrainSelectedInstOperands,
     /*  824125 */     // GIR_Coverage, 22348,
     /*  824125 */     GIR_EraseRootFromParent_Done,
     /*  824126 */   // Label 12703: @824126
     /*  824126 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824201), // Rule ID 22349 //
     /*  824131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  824180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824199 */     GIR_RootConstrainSelectedInstOperands,
     /*  824200 */     // GIR_Coverage, 22349,
     /*  824200 */     GIR_EraseRootFromParent_Done,
     /*  824201 */   // Label 12704: @824201
     /*  824201 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824276), // Rule ID 22352 //
     /*  824206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824274 */     GIR_RootConstrainSelectedInstOperands,
     /*  824275 */     // GIR_Coverage, 22352,
     /*  824275 */     GIR_EraseRootFromParent_Done,
     /*  824276 */   // Label 12705: @824276
     /*  824276 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824351), // Rule ID 22353 //
     /*  824281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824349 */     GIR_RootConstrainSelectedInstOperands,
     /*  824350 */     // GIR_Coverage, 22353,
     /*  824350 */     GIR_EraseRootFromParent_Done,
     /*  824351 */   // Label 12706: @824351
     /*  824351 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824426), // Rule ID 22356 //
     /*  824356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824424 */     GIR_RootConstrainSelectedInstOperands,
     /*  824425 */     // GIR_Coverage, 22356,
     /*  824425 */     GIR_EraseRootFromParent_Done,
     /*  824426 */   // Label 12707: @824426
     /*  824426 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824501), // Rule ID 22357 //
     /*  824431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824499 */     GIR_RootConstrainSelectedInstOperands,
     /*  824500 */     // GIR_Coverage, 22357,
     /*  824500 */     GIR_EraseRootFromParent_Done,
     /*  824501 */   // Label 12708: @824501
     /*  824501 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824576), // Rule ID 22360 //
     /*  824506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  824555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824574 */     GIR_RootConstrainSelectedInstOperands,
     /*  824575 */     // GIR_Coverage, 22360,
     /*  824575 */     GIR_EraseRootFromParent_Done,
     /*  824576 */   // Label 12709: @824576
     /*  824576 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824651), // Rule ID 22361 //
     /*  824581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  824630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824649 */     GIR_RootConstrainSelectedInstOperands,
     /*  824650 */     // GIR_Coverage, 22361,
     /*  824650 */     GIR_EraseRootFromParent_Done,
     /*  824651 */   // Label 12710: @824651
     /*  824651 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(824726), // Rule ID 22364 //
     /*  824656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  824705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824724 */     GIR_RootConstrainSelectedInstOperands,
     /*  824725 */     // GIR_Coverage, 22364,
     /*  824725 */     GIR_EraseRootFromParent_Done,
     /*  824726 */   // Label 12711: @824726
     /*  824726 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(824801), // Rule ID 22365 //
     /*  824731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  824780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824799 */     GIR_RootConstrainSelectedInstOperands,
     /*  824800 */     // GIR_Coverage, 22365,
     /*  824800 */     GIR_EraseRootFromParent_Done,
     /*  824801 */   // Label 12712: @824801
     /*  824801 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(824876), // Rule ID 22368 //
     /*  824806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  824855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824874 */     GIR_RootConstrainSelectedInstOperands,
     /*  824875 */     // GIR_Coverage, 22368,
     /*  824875 */     GIR_EraseRootFromParent_Done,
     /*  824876 */   // Label 12713: @824876
     /*  824876 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(824951), // Rule ID 22369 //
     /*  824881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  824930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824949 */     GIR_RootConstrainSelectedInstOperands,
     /*  824950 */     // GIR_Coverage, 22369,
     /*  824950 */     GIR_EraseRootFromParent_Done,
     /*  824951 */   // Label 12714: @824951
     /*  824951 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825026), // Rule ID 22372 //
     /*  824956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  825005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825024 */     GIR_RootConstrainSelectedInstOperands,
     /*  825025 */     // GIR_Coverage, 22372,
     /*  825025 */     GIR_EraseRootFromParent_Done,
     /*  825026 */   // Label 12715: @825026
     /*  825026 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825101), // Rule ID 22373 //
     /*  825031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  825080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825099 */     GIR_RootConstrainSelectedInstOperands,
     /*  825100 */     // GIR_Coverage, 22373,
     /*  825100 */     GIR_EraseRootFromParent_Done,
     /*  825101 */   // Label 12716: @825101
     /*  825101 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825176), // Rule ID 22376 //
     /*  825106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  825155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825174 */     GIR_RootConstrainSelectedInstOperands,
     /*  825175 */     // GIR_Coverage, 22376,
     /*  825175 */     GIR_EraseRootFromParent_Done,
     /*  825176 */   // Label 12717: @825176
     /*  825176 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825251), // Rule ID 22377 //
     /*  825181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  825230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825249 */     GIR_RootConstrainSelectedInstOperands,
     /*  825250 */     // GIR_Coverage, 22377,
     /*  825250 */     GIR_EraseRootFromParent_Done,
     /*  825251 */   // Label 12718: @825251
     /*  825251 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825326), // Rule ID 22380 //
     /*  825256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825324 */     GIR_RootConstrainSelectedInstOperands,
     /*  825325 */     // GIR_Coverage, 22380,
     /*  825325 */     GIR_EraseRootFromParent_Done,
     /*  825326 */   // Label 12719: @825326
     /*  825326 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825401), // Rule ID 22381 //
     /*  825331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825399 */     GIR_RootConstrainSelectedInstOperands,
     /*  825400 */     // GIR_Coverage, 22381,
     /*  825400 */     GIR_EraseRootFromParent_Done,
     /*  825401 */   // Label 12720: @825401
     /*  825401 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825476), // Rule ID 22384 //
     /*  825406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  825455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825474 */     GIR_RootConstrainSelectedInstOperands,
     /*  825475 */     // GIR_Coverage, 22384,
     /*  825475 */     GIR_EraseRootFromParent_Done,
     /*  825476 */   // Label 12721: @825476
     /*  825476 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825551), // Rule ID 22385 //
     /*  825481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  825530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825549 */     GIR_RootConstrainSelectedInstOperands,
     /*  825550 */     // GIR_Coverage, 22385,
     /*  825550 */     GIR_EraseRootFromParent_Done,
     /*  825551 */   // Label 12722: @825551
     /*  825551 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825626), // Rule ID 22388 //
     /*  825556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  825605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825624 */     GIR_RootConstrainSelectedInstOperands,
     /*  825625 */     // GIR_Coverage, 22388,
     /*  825625 */     GIR_EraseRootFromParent_Done,
     /*  825626 */   // Label 12723: @825626
     /*  825626 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825701), // Rule ID 22389 //
     /*  825631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  825680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825699 */     GIR_RootConstrainSelectedInstOperands,
     /*  825700 */     // GIR_Coverage, 22389,
     /*  825700 */     GIR_EraseRootFromParent_Done,
     /*  825701 */   // Label 12724: @825701
     /*  825701 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(825776), // Rule ID 22392 //
     /*  825706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  825755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825774 */     GIR_RootConstrainSelectedInstOperands,
     /*  825775 */     // GIR_Coverage, 22392,
     /*  825775 */     GIR_EraseRootFromParent_Done,
     /*  825776 */   // Label 12725: @825776
     /*  825776 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(825851), // Rule ID 22393 //
     /*  825781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  825830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825849 */     GIR_RootConstrainSelectedInstOperands,
     /*  825850 */     // GIR_Coverage, 22393,
     /*  825850 */     GIR_EraseRootFromParent_Done,
     /*  825851 */   // Label 12726: @825851
     /*  825851 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(825926), // Rule ID 22396 //
     /*  825856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  825905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825924 */     GIR_RootConstrainSelectedInstOperands,
     /*  825925 */     // GIR_Coverage, 22396,
     /*  825925 */     GIR_EraseRootFromParent_Done,
     /*  825926 */   // Label 12727: @825926
     /*  825926 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826001), // Rule ID 22397 //
     /*  825931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  825980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825999 */     GIR_RootConstrainSelectedInstOperands,
     /*  826000 */     // GIR_Coverage, 22397,
     /*  826000 */     GIR_EraseRootFromParent_Done,
     /*  826001 */   // Label 12728: @826001
     /*  826001 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826076), // Rule ID 22400 //
     /*  826006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  826055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826074 */     GIR_RootConstrainSelectedInstOperands,
     /*  826075 */     // GIR_Coverage, 22400,
     /*  826075 */     GIR_EraseRootFromParent_Done,
     /*  826076 */   // Label 12729: @826076
     /*  826076 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826151), // Rule ID 22401 //
     /*  826081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  826130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826149 */     GIR_RootConstrainSelectedInstOperands,
     /*  826150 */     // GIR_Coverage, 22401,
     /*  826150 */     GIR_EraseRootFromParent_Done,
     /*  826151 */   // Label 12730: @826151
     /*  826151 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826226), // Rule ID 22404 //
     /*  826156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826224 */     GIR_RootConstrainSelectedInstOperands,
     /*  826225 */     // GIR_Coverage, 22404,
     /*  826225 */     GIR_EraseRootFromParent_Done,
     /*  826226 */   // Label 12731: @826226
     /*  826226 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826301), // Rule ID 22405 //
     /*  826231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826299 */     GIR_RootConstrainSelectedInstOperands,
     /*  826300 */     // GIR_Coverage, 22405,
     /*  826300 */     GIR_EraseRootFromParent_Done,
     /*  826301 */   // Label 12732: @826301
     /*  826301 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826376), // Rule ID 22408 //
     /*  826306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826374 */     GIR_RootConstrainSelectedInstOperands,
     /*  826375 */     // GIR_Coverage, 22408,
     /*  826375 */     GIR_EraseRootFromParent_Done,
     /*  826376 */   // Label 12733: @826376
     /*  826376 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826451), // Rule ID 22409 //
     /*  826381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826449 */     GIR_RootConstrainSelectedInstOperands,
     /*  826450 */     // GIR_Coverage, 22409,
     /*  826450 */     GIR_EraseRootFromParent_Done,
     /*  826451 */   // Label 12734: @826451
     /*  826451 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826526), // Rule ID 22412 //
     /*  826456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  826505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826524 */     GIR_RootConstrainSelectedInstOperands,
     /*  826525 */     // GIR_Coverage, 22412,
     /*  826525 */     GIR_EraseRootFromParent_Done,
     /*  826526 */   // Label 12735: @826526
     /*  826526 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826601), // Rule ID 22413 //
     /*  826531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  826580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826599 */     GIR_RootConstrainSelectedInstOperands,
     /*  826600 */     // GIR_Coverage, 22413,
     /*  826600 */     GIR_EraseRootFromParent_Done,
     /*  826601 */   // Label 12736: @826601
     /*  826601 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826676), // Rule ID 22416 //
     /*  826606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  826655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826674 */     GIR_RootConstrainSelectedInstOperands,
     /*  826675 */     // GIR_Coverage, 22416,
     /*  826675 */     GIR_EraseRootFromParent_Done,
     /*  826676 */   // Label 12737: @826676
     /*  826676 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(826751), // Rule ID 22417 //
     /*  826681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  826730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826749 */     GIR_RootConstrainSelectedInstOperands,
     /*  826750 */     // GIR_Coverage, 22417,
     /*  826750 */     GIR_EraseRootFromParent_Done,
     /*  826751 */   // Label 12738: @826751
     /*  826751 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(826826), // Rule ID 22420 //
     /*  826756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  826805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826824 */     GIR_RootConstrainSelectedInstOperands,
     /*  826825 */     // GIR_Coverage, 22420,
     /*  826825 */     GIR_EraseRootFromParent_Done,
     /*  826826 */   // Label 12739: @826826
     /*  826826 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(826901), // Rule ID 22421 //
     /*  826831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  826880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826899 */     GIR_RootConstrainSelectedInstOperands,
     /*  826900 */     // GIR_Coverage, 22421,
     /*  826900 */     GIR_EraseRootFromParent_Done,
     /*  826901 */   // Label 12740: @826901
     /*  826901 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(826976), // Rule ID 22424 //
     /*  826906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  826955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826974 */     GIR_RootConstrainSelectedInstOperands,
     /*  826975 */     // GIR_Coverage, 22424,
     /*  826975 */     GIR_EraseRootFromParent_Done,
     /*  826976 */   // Label 12741: @826976
     /*  826976 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827051), // Rule ID 22425 //
     /*  826981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  827030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827049 */     GIR_RootConstrainSelectedInstOperands,
     /*  827050 */     // GIR_Coverage, 22425,
     /*  827050 */     GIR_EraseRootFromParent_Done,
     /*  827051 */   // Label 12742: @827051
     /*  827051 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827126), // Rule ID 22428 //
     /*  827056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  827105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827124 */     GIR_RootConstrainSelectedInstOperands,
     /*  827125 */     // GIR_Coverage, 22428,
     /*  827125 */     GIR_EraseRootFromParent_Done,
     /*  827126 */   // Label 12743: @827126
     /*  827126 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827201), // Rule ID 22429 //
     /*  827131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  827180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827199 */     GIR_RootConstrainSelectedInstOperands,
     /*  827200 */     // GIR_Coverage, 22429,
     /*  827200 */     GIR_EraseRootFromParent_Done,
     /*  827201 */   // Label 12744: @827201
     /*  827201 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827276), // Rule ID 22432 //
     /*  827206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827274 */     GIR_RootConstrainSelectedInstOperands,
     /*  827275 */     // GIR_Coverage, 22432,
     /*  827275 */     GIR_EraseRootFromParent_Done,
     /*  827276 */   // Label 12745: @827276
     /*  827276 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827351), // Rule ID 22433 //
     /*  827281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827349 */     GIR_RootConstrainSelectedInstOperands,
     /*  827350 */     // GIR_Coverage, 22433,
     /*  827350 */     GIR_EraseRootFromParent_Done,
     /*  827351 */   // Label 12746: @827351
     /*  827351 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827426), // Rule ID 22436 //
     /*  827356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827424 */     GIR_RootConstrainSelectedInstOperands,
     /*  827425 */     // GIR_Coverage, 22436,
     /*  827425 */     GIR_EraseRootFromParent_Done,
     /*  827426 */   // Label 12747: @827426
     /*  827426 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827501), // Rule ID 22437 //
     /*  827431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827499 */     GIR_RootConstrainSelectedInstOperands,
     /*  827500 */     // GIR_Coverage, 22437,
     /*  827500 */     GIR_EraseRootFromParent_Done,
     /*  827501 */   // Label 12748: @827501
     /*  827501 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827576), // Rule ID 22440 //
     /*  827506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  827555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827574 */     GIR_RootConstrainSelectedInstOperands,
     /*  827575 */     // GIR_Coverage, 22440,
     /*  827575 */     GIR_EraseRootFromParent_Done,
     /*  827576 */   // Label 12749: @827576
     /*  827576 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827651), // Rule ID 22441 //
     /*  827581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  827630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827649 */     GIR_RootConstrainSelectedInstOperands,
     /*  827650 */     // GIR_Coverage, 22441,
     /*  827650 */     GIR_EraseRootFromParent_Done,
     /*  827651 */   // Label 12750: @827651
     /*  827651 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(827726), // Rule ID 22444 //
     /*  827656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  827705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827724 */     GIR_RootConstrainSelectedInstOperands,
     /*  827725 */     // GIR_Coverage, 22444,
     /*  827725 */     GIR_EraseRootFromParent_Done,
     /*  827726 */   // Label 12751: @827726
     /*  827726 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(827801), // Rule ID 22445 //
     /*  827731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  827780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827799 */     GIR_RootConstrainSelectedInstOperands,
     /*  827800 */     // GIR_Coverage, 22445,
     /*  827800 */     GIR_EraseRootFromParent_Done,
     /*  827801 */   // Label 12752: @827801
     /*  827801 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(827876), // Rule ID 22448 //
     /*  827806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  827852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  827855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827874 */     GIR_RootConstrainSelectedInstOperands,
     /*  827875 */     // GIR_Coverage, 22448,
     /*  827875 */     GIR_EraseRootFromParent_Done,
     /*  827876 */   // Label 12753: @827876
     /*  827876 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(827951), // Rule ID 22449 //
     /*  827881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  827930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827949 */     GIR_RootConstrainSelectedInstOperands,
     /*  827950 */     // GIR_Coverage, 22449,
     /*  827950 */     GIR_EraseRootFromParent_Done,
     /*  827951 */   // Label 12754: @827951
     /*  827951 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828026), // Rule ID 22452 //
     /*  827956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  828005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828024 */     GIR_RootConstrainSelectedInstOperands,
     /*  828025 */     // GIR_Coverage, 22452,
     /*  828025 */     GIR_EraseRootFromParent_Done,
     /*  828026 */   // Label 12755: @828026
     /*  828026 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828101), // Rule ID 22453 //
     /*  828031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  828048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  828080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828099 */     GIR_RootConstrainSelectedInstOperands,
     /*  828100 */     // GIR_Coverage, 22453,
     /*  828100 */     GIR_EraseRootFromParent_Done,
     /*  828101 */   // Label 12756: @828101
     /*  828101 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828176), // Rule ID 22456 //
     /*  828106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  828155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828174 */     GIR_RootConstrainSelectedInstOperands,
     /*  828175 */     // GIR_Coverage, 22456,
     /*  828175 */     GIR_EraseRootFromParent_Done,
     /*  828176 */   // Label 12757: @828176
     /*  828176 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828251), // Rule ID 22457 //
     /*  828181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  828230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828249 */     GIR_RootConstrainSelectedInstOperands,
     /*  828250 */     // GIR_Coverage, 22457,
     /*  828250 */     GIR_EraseRootFromParent_Done,
     /*  828251 */   // Label 12758: @828251
     /*  828251 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828326), // Rule ID 22460 //
     /*  828256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828324 */     GIR_RootConstrainSelectedInstOperands,
     /*  828325 */     // GIR_Coverage, 22460,
     /*  828325 */     GIR_EraseRootFromParent_Done,
     /*  828326 */   // Label 12759: @828326
     /*  828326 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828401), // Rule ID 22461 //
     /*  828331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828399 */     GIR_RootConstrainSelectedInstOperands,
     /*  828400 */     // GIR_Coverage, 22461,
     /*  828400 */     GIR_EraseRootFromParent_Done,
     /*  828401 */   // Label 12760: @828401
     /*  828401 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828476), // Rule ID 22464 //
     /*  828406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  828455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828474 */     GIR_RootConstrainSelectedInstOperands,
     /*  828475 */     // GIR_Coverage, 22464,
     /*  828475 */     GIR_EraseRootFromParent_Done,
     /*  828476 */   // Label 12761: @828476
     /*  828476 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828551), // Rule ID 22465 //
     /*  828481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  828530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828549 */     GIR_RootConstrainSelectedInstOperands,
     /*  828550 */     // GIR_Coverage, 22465,
     /*  828550 */     GIR_EraseRootFromParent_Done,
     /*  828551 */   // Label 12762: @828551
     /*  828551 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828626), // Rule ID 22468 //
     /*  828556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  828605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828624 */     GIR_RootConstrainSelectedInstOperands,
     /*  828625 */     // GIR_Coverage, 22468,
     /*  828625 */     GIR_EraseRootFromParent_Done,
     /*  828626 */   // Label 12763: @828626
     /*  828626 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828701), // Rule ID 22469 //
     /*  828631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  828680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828699 */     GIR_RootConstrainSelectedInstOperands,
     /*  828700 */     // GIR_Coverage, 22469,
     /*  828700 */     GIR_EraseRootFromParent_Done,
     /*  828701 */   // Label 12764: @828701
     /*  828701 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(828776), // Rule ID 22472 //
     /*  828706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  828755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828774 */     GIR_RootConstrainSelectedInstOperands,
     /*  828775 */     // GIR_Coverage, 22472,
     /*  828775 */     GIR_EraseRootFromParent_Done,
     /*  828776 */   // Label 12765: @828776
     /*  828776 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(828851), // Rule ID 22473 //
     /*  828781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  828830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828849 */     GIR_RootConstrainSelectedInstOperands,
     /*  828850 */     // GIR_Coverage, 22473,
     /*  828850 */     GIR_EraseRootFromParent_Done,
     /*  828851 */   // Label 12766: @828851
     /*  828851 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(828926), // Rule ID 22476 //
     /*  828856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  828905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828924 */     GIR_RootConstrainSelectedInstOperands,
     /*  828925 */     // GIR_Coverage, 22476,
     /*  828925 */     GIR_EraseRootFromParent_Done,
     /*  828926 */   // Label 12767: @828926
     /*  828926 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829001), // Rule ID 22477 //
     /*  828931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  828980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828999 */     GIR_RootConstrainSelectedInstOperands,
     /*  829000 */     // GIR_Coverage, 22477,
     /*  829000 */     GIR_EraseRootFromParent_Done,
     /*  829001 */   // Label 12768: @829001
     /*  829001 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829076), // Rule ID 22480 //
     /*  829006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  829055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829074 */     GIR_RootConstrainSelectedInstOperands,
     /*  829075 */     // GIR_Coverage, 22480,
     /*  829075 */     GIR_EraseRootFromParent_Done,
     /*  829076 */   // Label 12769: @829076
     /*  829076 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829151), // Rule ID 22481 //
     /*  829081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  829130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829149 */     GIR_RootConstrainSelectedInstOperands,
     /*  829150 */     // GIR_Coverage, 22481,
     /*  829150 */     GIR_EraseRootFromParent_Done,
     /*  829151 */   // Label 12770: @829151
     /*  829151 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829226), // Rule ID 22484 //
     /*  829156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829224 */     GIR_RootConstrainSelectedInstOperands,
     /*  829225 */     // GIR_Coverage, 22484,
     /*  829225 */     GIR_EraseRootFromParent_Done,
     /*  829226 */   // Label 12771: @829226
     /*  829226 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829301), // Rule ID 22485 //
     /*  829231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829299 */     GIR_RootConstrainSelectedInstOperands,
     /*  829300 */     // GIR_Coverage, 22485,
     /*  829300 */     GIR_EraseRootFromParent_Done,
     /*  829301 */   // Label 12772: @829301
     /*  829301 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829376), // Rule ID 22488 //
     /*  829306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829374 */     GIR_RootConstrainSelectedInstOperands,
     /*  829375 */     // GIR_Coverage, 22488,
     /*  829375 */     GIR_EraseRootFromParent_Done,
     /*  829376 */   // Label 12773: @829376
     /*  829376 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829451), // Rule ID 22489 //
     /*  829381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829449 */     GIR_RootConstrainSelectedInstOperands,
     /*  829450 */     // GIR_Coverage, 22489,
     /*  829450 */     GIR_EraseRootFromParent_Done,
     /*  829451 */   // Label 12774: @829451
     /*  829451 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829526), // Rule ID 22492 //
     /*  829456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  829505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829524 */     GIR_RootConstrainSelectedInstOperands,
     /*  829525 */     // GIR_Coverage, 22492,
     /*  829525 */     GIR_EraseRootFromParent_Done,
     /*  829526 */   // Label 12775: @829526
     /*  829526 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829601), // Rule ID 22493 //
     /*  829531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  829580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829599 */     GIR_RootConstrainSelectedInstOperands,
     /*  829600 */     // GIR_Coverage, 22493,
     /*  829600 */     GIR_EraseRootFromParent_Done,
     /*  829601 */   // Label 12776: @829601
     /*  829601 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829676), // Rule ID 22496 //
     /*  829606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  829655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829674 */     GIR_RootConstrainSelectedInstOperands,
     /*  829675 */     // GIR_Coverage, 22496,
     /*  829675 */     GIR_EraseRootFromParent_Done,
     /*  829676 */   // Label 12777: @829676
     /*  829676 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(829751), // Rule ID 22497 //
     /*  829681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  829730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829749 */     GIR_RootConstrainSelectedInstOperands,
     /*  829750 */     // GIR_Coverage, 22497,
     /*  829750 */     GIR_EraseRootFromParent_Done,
     /*  829751 */   // Label 12778: @829751
     /*  829751 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(829826), // Rule ID 22500 //
     /*  829756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  829805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829824 */     GIR_RootConstrainSelectedInstOperands,
     /*  829825 */     // GIR_Coverage, 22500,
     /*  829825 */     GIR_EraseRootFromParent_Done,
     /*  829826 */   // Label 12779: @829826
     /*  829826 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(829901), // Rule ID 22501 //
     /*  829831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  829880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829899 */     GIR_RootConstrainSelectedInstOperands,
     /*  829900 */     // GIR_Coverage, 22501,
     /*  829900 */     GIR_EraseRootFromParent_Done,
     /*  829901 */   // Label 12780: @829901
     /*  829901 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(829976), // Rule ID 22504 //
     /*  829906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  829955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829974 */     GIR_RootConstrainSelectedInstOperands,
     /*  829975 */     // GIR_Coverage, 22504,
     /*  829975 */     GIR_EraseRootFromParent_Done,
     /*  829976 */   // Label 12781: @829976
     /*  829976 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830051), // Rule ID 22505 //
     /*  829981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  830030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830049 */     GIR_RootConstrainSelectedInstOperands,
     /*  830050 */     // GIR_Coverage, 22505,
     /*  830050 */     GIR_EraseRootFromParent_Done,
     /*  830051 */   // Label 12782: @830051
     /*  830051 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830126), // Rule ID 22508 //
     /*  830056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  830105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830124 */     GIR_RootConstrainSelectedInstOperands,
     /*  830125 */     // GIR_Coverage, 22508,
     /*  830125 */     GIR_EraseRootFromParent_Done,
     /*  830126 */   // Label 12783: @830126
     /*  830126 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830201), // Rule ID 22509 //
     /*  830131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  830180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830199 */     GIR_RootConstrainSelectedInstOperands,
     /*  830200 */     // GIR_Coverage, 22509,
     /*  830200 */     GIR_EraseRootFromParent_Done,
     /*  830201 */   // Label 12784: @830201
     /*  830201 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830276), // Rule ID 22512 //
     /*  830206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830274 */     GIR_RootConstrainSelectedInstOperands,
     /*  830275 */     // GIR_Coverage, 22512,
     /*  830275 */     GIR_EraseRootFromParent_Done,
     /*  830276 */   // Label 12785: @830276
     /*  830276 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830351), // Rule ID 22513 //
     /*  830281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830349 */     GIR_RootConstrainSelectedInstOperands,
     /*  830350 */     // GIR_Coverage, 22513,
     /*  830350 */     GIR_EraseRootFromParent_Done,
     /*  830351 */   // Label 12786: @830351
     /*  830351 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830426), // Rule ID 22516 //
     /*  830356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830424 */     GIR_RootConstrainSelectedInstOperands,
     /*  830425 */     // GIR_Coverage, 22516,
     /*  830425 */     GIR_EraseRootFromParent_Done,
     /*  830426 */   // Label 12787: @830426
     /*  830426 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830501), // Rule ID 22517 //
     /*  830431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830499 */     GIR_RootConstrainSelectedInstOperands,
     /*  830500 */     // GIR_Coverage, 22517,
     /*  830500 */     GIR_EraseRootFromParent_Done,
     /*  830501 */   // Label 12788: @830501
     /*  830501 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830576), // Rule ID 22520 //
     /*  830506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  830555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830574 */     GIR_RootConstrainSelectedInstOperands,
     /*  830575 */     // GIR_Coverage, 22520,
     /*  830575 */     GIR_EraseRootFromParent_Done,
     /*  830576 */   // Label 12789: @830576
     /*  830576 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830651), // Rule ID 22521 //
     /*  830581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  830630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830649 */     GIR_RootConstrainSelectedInstOperands,
     /*  830650 */     // GIR_Coverage, 22521,
     /*  830650 */     GIR_EraseRootFromParent_Done,
     /*  830651 */   // Label 12790: @830651
     /*  830651 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(830726), // Rule ID 22524 //
     /*  830656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  830705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830724 */     GIR_RootConstrainSelectedInstOperands,
     /*  830725 */     // GIR_Coverage, 22524,
     /*  830725 */     GIR_EraseRootFromParent_Done,
     /*  830726 */   // Label 12791: @830726
     /*  830726 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(830801), // Rule ID 22525 //
     /*  830731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  830780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830799 */     GIR_RootConstrainSelectedInstOperands,
     /*  830800 */     // GIR_Coverage, 22525,
     /*  830800 */     GIR_EraseRootFromParent_Done,
     /*  830801 */   // Label 12792: @830801
     /*  830801 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(830876), // Rule ID 22528 //
     /*  830806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  830855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830874 */     GIR_RootConstrainSelectedInstOperands,
     /*  830875 */     // GIR_Coverage, 22528,
     /*  830875 */     GIR_EraseRootFromParent_Done,
     /*  830876 */   // Label 12793: @830876
     /*  830876 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(830951), // Rule ID 22529 //
     /*  830881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  830930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830949 */     GIR_RootConstrainSelectedInstOperands,
     /*  830950 */     // GIR_Coverage, 22529,
     /*  830950 */     GIR_EraseRootFromParent_Done,
     /*  830951 */   // Label 12794: @830951
     /*  830951 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831026), // Rule ID 22532 //
     /*  830956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  831005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831024 */     GIR_RootConstrainSelectedInstOperands,
     /*  831025 */     // GIR_Coverage, 22532,
     /*  831025 */     GIR_EraseRootFromParent_Done,
     /*  831026 */   // Label 12795: @831026
     /*  831026 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831101), // Rule ID 22533 //
     /*  831031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  831080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831099 */     GIR_RootConstrainSelectedInstOperands,
     /*  831100 */     // GIR_Coverage, 22533,
     /*  831100 */     GIR_EraseRootFromParent_Done,
     /*  831101 */   // Label 12796: @831101
     /*  831101 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831176), // Rule ID 22536 //
     /*  831106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  831155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831174 */     GIR_RootConstrainSelectedInstOperands,
     /*  831175 */     // GIR_Coverage, 22536,
     /*  831175 */     GIR_EraseRootFromParent_Done,
     /*  831176 */   // Label 12797: @831176
     /*  831176 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831251), // Rule ID 22537 //
     /*  831181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  831230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831249 */     GIR_RootConstrainSelectedInstOperands,
     /*  831250 */     // GIR_Coverage, 22537,
     /*  831250 */     GIR_EraseRootFromParent_Done,
     /*  831251 */   // Label 12798: @831251
     /*  831251 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831326), // Rule ID 22540 //
     /*  831256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831324 */     GIR_RootConstrainSelectedInstOperands,
     /*  831325 */     // GIR_Coverage, 22540,
     /*  831325 */     GIR_EraseRootFromParent_Done,
     /*  831326 */   // Label 12799: @831326
     /*  831326 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831401), // Rule ID 22541 //
     /*  831331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831399 */     GIR_RootConstrainSelectedInstOperands,
     /*  831400 */     // GIR_Coverage, 22541,
     /*  831400 */     GIR_EraseRootFromParent_Done,
     /*  831401 */   // Label 12800: @831401
     /*  831401 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831476), // Rule ID 22544 //
     /*  831406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  831455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831474 */     GIR_RootConstrainSelectedInstOperands,
     /*  831475 */     // GIR_Coverage, 22544,
     /*  831475 */     GIR_EraseRootFromParent_Done,
     /*  831476 */   // Label 12801: @831476
     /*  831476 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831551), // Rule ID 22545 //
     /*  831481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  831530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831549 */     GIR_RootConstrainSelectedInstOperands,
     /*  831550 */     // GIR_Coverage, 22545,
     /*  831550 */     GIR_EraseRootFromParent_Done,
     /*  831551 */   // Label 12802: @831551
     /*  831551 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831626), // Rule ID 22548 //
     /*  831556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  831605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831624 */     GIR_RootConstrainSelectedInstOperands,
     /*  831625 */     // GIR_Coverage, 22548,
     /*  831625 */     GIR_EraseRootFromParent_Done,
     /*  831626 */   // Label 12803: @831626
     /*  831626 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831701), // Rule ID 22549 //
     /*  831631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  831680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831699 */     GIR_RootConstrainSelectedInstOperands,
     /*  831700 */     // GIR_Coverage, 22549,
     /*  831700 */     GIR_EraseRootFromParent_Done,
     /*  831701 */   // Label 12804: @831701
     /*  831701 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(831776), // Rule ID 22552 //
     /*  831706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  831755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831774 */     GIR_RootConstrainSelectedInstOperands,
     /*  831775 */     // GIR_Coverage, 22552,
     /*  831775 */     GIR_EraseRootFromParent_Done,
     /*  831776 */   // Label 12805: @831776
     /*  831776 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(831851), // Rule ID 22553 //
     /*  831781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  831830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831849 */     GIR_RootConstrainSelectedInstOperands,
     /*  831850 */     // GIR_Coverage, 22553,
     /*  831850 */     GIR_EraseRootFromParent_Done,
     /*  831851 */   // Label 12806: @831851
     /*  831851 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(831926), // Rule ID 22556 //
     /*  831856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  831905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831924 */     GIR_RootConstrainSelectedInstOperands,
     /*  831925 */     // GIR_Coverage, 22556,
     /*  831925 */     GIR_EraseRootFromParent_Done,
     /*  831926 */   // Label 12807: @831926
     /*  831926 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832001), // Rule ID 22557 //
     /*  831931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  831980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831999 */     GIR_RootConstrainSelectedInstOperands,
     /*  832000 */     // GIR_Coverage, 22557,
     /*  832000 */     GIR_EraseRootFromParent_Done,
     /*  832001 */   // Label 12808: @832001
     /*  832001 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832076), // Rule ID 22560 //
     /*  832006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  832055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832074 */     GIR_RootConstrainSelectedInstOperands,
     /*  832075 */     // GIR_Coverage, 22560,
     /*  832075 */     GIR_EraseRootFromParent_Done,
     /*  832076 */   // Label 12809: @832076
     /*  832076 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832151), // Rule ID 22561 //
     /*  832081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  832130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832149 */     GIR_RootConstrainSelectedInstOperands,
     /*  832150 */     // GIR_Coverage, 22561,
     /*  832150 */     GIR_EraseRootFromParent_Done,
     /*  832151 */   // Label 12810: @832151
     /*  832151 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832226), // Rule ID 22564 //
     /*  832156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832224 */     GIR_RootConstrainSelectedInstOperands,
     /*  832225 */     // GIR_Coverage, 22564,
     /*  832225 */     GIR_EraseRootFromParent_Done,
     /*  832226 */   // Label 12811: @832226
     /*  832226 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832301), // Rule ID 22565 //
     /*  832231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832299 */     GIR_RootConstrainSelectedInstOperands,
     /*  832300 */     // GIR_Coverage, 22565,
     /*  832300 */     GIR_EraseRootFromParent_Done,
     /*  832301 */   // Label 12812: @832301
     /*  832301 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832376), // Rule ID 22568 //
     /*  832306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832374 */     GIR_RootConstrainSelectedInstOperands,
     /*  832375 */     // GIR_Coverage, 22568,
     /*  832375 */     GIR_EraseRootFromParent_Done,
     /*  832376 */   // Label 12813: @832376
     /*  832376 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832451), // Rule ID 22569 //
     /*  832381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832449 */     GIR_RootConstrainSelectedInstOperands,
     /*  832450 */     // GIR_Coverage, 22569,
     /*  832450 */     GIR_EraseRootFromParent_Done,
     /*  832451 */   // Label 12814: @832451
     /*  832451 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832526), // Rule ID 22572 //
     /*  832456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  832505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832524 */     GIR_RootConstrainSelectedInstOperands,
     /*  832525 */     // GIR_Coverage, 22572,
     /*  832525 */     GIR_EraseRootFromParent_Done,
     /*  832526 */   // Label 12815: @832526
     /*  832526 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832601), // Rule ID 22573 //
     /*  832531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  832580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832599 */     GIR_RootConstrainSelectedInstOperands,
     /*  832600 */     // GIR_Coverage, 22573,
     /*  832600 */     GIR_EraseRootFromParent_Done,
     /*  832601 */   // Label 12816: @832601
     /*  832601 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832676), // Rule ID 22576 //
     /*  832606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  832655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832674 */     GIR_RootConstrainSelectedInstOperands,
     /*  832675 */     // GIR_Coverage, 22576,
     /*  832675 */     GIR_EraseRootFromParent_Done,
     /*  832676 */   // Label 12817: @832676
     /*  832676 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(832751), // Rule ID 22577 //
     /*  832681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  832730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832749 */     GIR_RootConstrainSelectedInstOperands,
     /*  832750 */     // GIR_Coverage, 22577,
     /*  832750 */     GIR_EraseRootFromParent_Done,
     /*  832751 */   // Label 12818: @832751
     /*  832751 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(832826), // Rule ID 22580 //
     /*  832756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  832805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832824 */     GIR_RootConstrainSelectedInstOperands,
     /*  832825 */     // GIR_Coverage, 22580,
     /*  832825 */     GIR_EraseRootFromParent_Done,
     /*  832826 */   // Label 12819: @832826
     /*  832826 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(832901), // Rule ID 22581 //
     /*  832831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  832880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832899 */     GIR_RootConstrainSelectedInstOperands,
     /*  832900 */     // GIR_Coverage, 22581,
     /*  832900 */     GIR_EraseRootFromParent_Done,
     /*  832901 */   // Label 12820: @832901
     /*  832901 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(832976), // Rule ID 22584 //
     /*  832906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  832955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832974 */     GIR_RootConstrainSelectedInstOperands,
     /*  832975 */     // GIR_Coverage, 22584,
     /*  832975 */     GIR_EraseRootFromParent_Done,
     /*  832976 */   // Label 12821: @832976
     /*  832976 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833051), // Rule ID 22585 //
     /*  832981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  833030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833049 */     GIR_RootConstrainSelectedInstOperands,
     /*  833050 */     // GIR_Coverage, 22585,
     /*  833050 */     GIR_EraseRootFromParent_Done,
     /*  833051 */   // Label 12822: @833051
     /*  833051 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833126), // Rule ID 22588 //
     /*  833056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  833105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833124 */     GIR_RootConstrainSelectedInstOperands,
     /*  833125 */     // GIR_Coverage, 22588,
     /*  833125 */     GIR_EraseRootFromParent_Done,
     /*  833126 */   // Label 12823: @833126
     /*  833126 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833201), // Rule ID 22589 //
     /*  833131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  833180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833199 */     GIR_RootConstrainSelectedInstOperands,
     /*  833200 */     // GIR_Coverage, 22589,
     /*  833200 */     GIR_EraseRootFromParent_Done,
     /*  833201 */   // Label 12824: @833201
     /*  833201 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833276), // Rule ID 22592 //
     /*  833206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833274 */     GIR_RootConstrainSelectedInstOperands,
     /*  833275 */     // GIR_Coverage, 22592,
     /*  833275 */     GIR_EraseRootFromParent_Done,
     /*  833276 */   // Label 12825: @833276
     /*  833276 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833351), // Rule ID 22593 //
     /*  833281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833349 */     GIR_RootConstrainSelectedInstOperands,
     /*  833350 */     // GIR_Coverage, 22593,
     /*  833350 */     GIR_EraseRootFromParent_Done,
     /*  833351 */   // Label 12826: @833351
     /*  833351 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833426), // Rule ID 22596 //
     /*  833356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833424 */     GIR_RootConstrainSelectedInstOperands,
     /*  833425 */     // GIR_Coverage, 22596,
     /*  833425 */     GIR_EraseRootFromParent_Done,
     /*  833426 */   // Label 12827: @833426
     /*  833426 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833501), // Rule ID 22597 //
     /*  833431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833499 */     GIR_RootConstrainSelectedInstOperands,
     /*  833500 */     // GIR_Coverage, 22597,
     /*  833500 */     GIR_EraseRootFromParent_Done,
     /*  833501 */   // Label 12828: @833501
     /*  833501 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833576), // Rule ID 22600 //
     /*  833506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  833555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833574 */     GIR_RootConstrainSelectedInstOperands,
     /*  833575 */     // GIR_Coverage, 22600,
     /*  833575 */     GIR_EraseRootFromParent_Done,
     /*  833576 */   // Label 12829: @833576
     /*  833576 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833651), // Rule ID 22601 //
     /*  833581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  833630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833649 */     GIR_RootConstrainSelectedInstOperands,
     /*  833650 */     // GIR_Coverage, 22601,
     /*  833650 */     GIR_EraseRootFromParent_Done,
     /*  833651 */   // Label 12830: @833651
     /*  833651 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(833726), // Rule ID 22604 //
     /*  833656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  833705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833724 */     GIR_RootConstrainSelectedInstOperands,
     /*  833725 */     // GIR_Coverage, 22604,
     /*  833725 */     GIR_EraseRootFromParent_Done,
     /*  833726 */   // Label 12831: @833726
     /*  833726 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(833801), // Rule ID 22605 //
     /*  833731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  833780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833799 */     GIR_RootConstrainSelectedInstOperands,
     /*  833800 */     // GIR_Coverage, 22605,
     /*  833800 */     GIR_EraseRootFromParent_Done,
     /*  833801 */   // Label 12832: @833801
     /*  833801 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(833876), // Rule ID 22608 //
     /*  833806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  833855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833874 */     GIR_RootConstrainSelectedInstOperands,
     /*  833875 */     // GIR_Coverage, 22608,
     /*  833875 */     GIR_EraseRootFromParent_Done,
     /*  833876 */   // Label 12833: @833876
     /*  833876 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(833951), // Rule ID 22609 //
     /*  833881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  833930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833949 */     GIR_RootConstrainSelectedInstOperands,
     /*  833950 */     // GIR_Coverage, 22609,
     /*  833950 */     GIR_EraseRootFromParent_Done,
     /*  833951 */   // Label 12834: @833951
     /*  833951 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834026), // Rule ID 22612 //
     /*  833956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  834005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834024 */     GIR_RootConstrainSelectedInstOperands,
     /*  834025 */     // GIR_Coverage, 22612,
     /*  834025 */     GIR_EraseRootFromParent_Done,
     /*  834026 */   // Label 12835: @834026
     /*  834026 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834101), // Rule ID 22613 //
     /*  834031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  834048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  834080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834099 */     GIR_RootConstrainSelectedInstOperands,
     /*  834100 */     // GIR_Coverage, 22613,
     /*  834100 */     GIR_EraseRootFromParent_Done,
     /*  834101 */   // Label 12836: @834101
     /*  834101 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834176), // Rule ID 22616 //
     /*  834106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  834155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834174 */     GIR_RootConstrainSelectedInstOperands,
     /*  834175 */     // GIR_Coverage, 22616,
     /*  834175 */     GIR_EraseRootFromParent_Done,
     /*  834176 */   // Label 12837: @834176
     /*  834176 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834251), // Rule ID 22617 //
     /*  834181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  834230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834249 */     GIR_RootConstrainSelectedInstOperands,
     /*  834250 */     // GIR_Coverage, 22617,
     /*  834250 */     GIR_EraseRootFromParent_Done,
     /*  834251 */   // Label 12838: @834251
     /*  834251 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834326), // Rule ID 22620 //
     /*  834256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834324 */     GIR_RootConstrainSelectedInstOperands,
     /*  834325 */     // GIR_Coverage, 22620,
     /*  834325 */     GIR_EraseRootFromParent_Done,
     /*  834326 */   // Label 12839: @834326
     /*  834326 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834401), // Rule ID 22621 //
     /*  834331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834399 */     GIR_RootConstrainSelectedInstOperands,
     /*  834400 */     // GIR_Coverage, 22621,
     /*  834400 */     GIR_EraseRootFromParent_Done,
     /*  834401 */   // Label 12840: @834401
     /*  834401 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834476), // Rule ID 22624 //
     /*  834406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  834409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  834452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  834455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834474 */     GIR_RootConstrainSelectedInstOperands,
     /*  834475 */     // GIR_Coverage, 22624,
     /*  834475 */     GIR_EraseRootFromParent_Done,
     /*  834476 */   // Label 12841: @834476
     /*  834476 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834551), // Rule ID 22625 //
     /*  834481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  834484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  834527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  834530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834549 */     GIR_RootConstrainSelectedInstOperands,
     /*  834550 */     // GIR_Coverage, 22625,
     /*  834550 */     GIR_EraseRootFromParent_Done,
     /*  834551 */   // Label 12842: @834551
     /*  834551 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834626), // Rule ID 22628 //
     /*  834556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  834605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834624 */     GIR_RootConstrainSelectedInstOperands,
     /*  834625 */     // GIR_Coverage, 22628,
     /*  834625 */     GIR_EraseRootFromParent_Done,
     /*  834626 */   // Label 12843: @834626
     /*  834626 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834701), // Rule ID 22629 //
     /*  834631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  834680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834699 */     GIR_RootConstrainSelectedInstOperands,
     /*  834700 */     // GIR_Coverage, 22629,
     /*  834700 */     GIR_EraseRootFromParent_Done,
     /*  834701 */   // Label 12844: @834701
     /*  834701 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(834776), // Rule ID 22632 //
     /*  834706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  834755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834774 */     GIR_RootConstrainSelectedInstOperands,
     /*  834775 */     // GIR_Coverage, 22632,
     /*  834775 */     GIR_EraseRootFromParent_Done,
     /*  834776 */   // Label 12845: @834776
     /*  834776 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(834851), // Rule ID 22633 //
     /*  834781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  834830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834849 */     GIR_RootConstrainSelectedInstOperands,
     /*  834850 */     // GIR_Coverage, 22633,
     /*  834850 */     GIR_EraseRootFromParent_Done,
     /*  834851 */   // Label 12846: @834851
     /*  834851 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(834926), // Rule ID 22636 //
     /*  834856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  834905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834924 */     GIR_RootConstrainSelectedInstOperands,
     /*  834925 */     // GIR_Coverage, 22636,
     /*  834925 */     GIR_EraseRootFromParent_Done,
     /*  834926 */   // Label 12847: @834926
     /*  834926 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835001), // Rule ID 22637 //
     /*  834931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  834980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834999 */     GIR_RootConstrainSelectedInstOperands,
     /*  835000 */     // GIR_Coverage, 22637,
     /*  835000 */     GIR_EraseRootFromParent_Done,
     /*  835001 */   // Label 12848: @835001
     /*  835001 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835076), // Rule ID 22640 //
     /*  835006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  835023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  835055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835074 */     GIR_RootConstrainSelectedInstOperands,
     /*  835075 */     // GIR_Coverage, 22640,
     /*  835075 */     GIR_EraseRootFromParent_Done,
     /*  835076 */   // Label 12849: @835076
     /*  835076 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835151), // Rule ID 22641 //
     /*  835081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  835098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  835130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835149 */     GIR_RootConstrainSelectedInstOperands,
     /*  835150 */     // GIR_Coverage, 22641,
     /*  835150 */     GIR_EraseRootFromParent_Done,
     /*  835151 */   // Label 12850: @835151
     /*  835151 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835226), // Rule ID 22644 //
     /*  835156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835224 */     GIR_RootConstrainSelectedInstOperands,
     /*  835225 */     // GIR_Coverage, 22644,
     /*  835225 */     GIR_EraseRootFromParent_Done,
     /*  835226 */   // Label 12851: @835226
     /*  835226 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835301), // Rule ID 22645 //
     /*  835231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835299 */     GIR_RootConstrainSelectedInstOperands,
     /*  835300 */     // GIR_Coverage, 22645,
     /*  835300 */     GIR_EraseRootFromParent_Done,
     /*  835301 */   // Label 12852: @835301
     /*  835301 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835376), // Rule ID 22648 //
     /*  835306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835374 */     GIR_RootConstrainSelectedInstOperands,
     /*  835375 */     // GIR_Coverage, 22648,
     /*  835375 */     GIR_EraseRootFromParent_Done,
     /*  835376 */   // Label 12853: @835376
     /*  835376 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835451), // Rule ID 22649 //
     /*  835381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835449 */     GIR_RootConstrainSelectedInstOperands,
     /*  835450 */     // GIR_Coverage, 22649,
     /*  835450 */     GIR_EraseRootFromParent_Done,
     /*  835451 */   // Label 12854: @835451
     /*  835451 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835526), // Rule ID 22652 //
     /*  835456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  835505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835524 */     GIR_RootConstrainSelectedInstOperands,
     /*  835525 */     // GIR_Coverage, 22652,
     /*  835525 */     GIR_EraseRootFromParent_Done,
     /*  835526 */   // Label 12855: @835526
     /*  835526 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835601), // Rule ID 22653 //
     /*  835531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  835580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835599 */     GIR_RootConstrainSelectedInstOperands,
     /*  835600 */     // GIR_Coverage, 22653,
     /*  835600 */     GIR_EraseRootFromParent_Done,
     /*  835601 */   // Label 12856: @835601
     /*  835601 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835676), // Rule ID 22656 //
     /*  835606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  835655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835674 */     GIR_RootConstrainSelectedInstOperands,
     /*  835675 */     // GIR_Coverage, 22656,
     /*  835675 */     GIR_EraseRootFromParent_Done,
     /*  835676 */   // Label 12857: @835676
     /*  835676 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(835751), // Rule ID 22657 //
     /*  835681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  835730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835749 */     GIR_RootConstrainSelectedInstOperands,
     /*  835750 */     // GIR_Coverage, 22657,
     /*  835750 */     GIR_EraseRootFromParent_Done,
     /*  835751 */   // Label 12858: @835751
     /*  835751 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(835826), // Rule ID 22660 //
     /*  835756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  835805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835824 */     GIR_RootConstrainSelectedInstOperands,
     /*  835825 */     // GIR_Coverage, 22660,
     /*  835825 */     GIR_EraseRootFromParent_Done,
     /*  835826 */   // Label 12859: @835826
     /*  835826 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(835901), // Rule ID 22661 //
     /*  835831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  835880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835899 */     GIR_RootConstrainSelectedInstOperands,
     /*  835900 */     // GIR_Coverage, 22661,
     /*  835900 */     GIR_EraseRootFromParent_Done,
     /*  835901 */   // Label 12860: @835901
     /*  835901 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(835976), // Rule ID 22664 //
     /*  835906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  835909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  835955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835974 */     GIR_RootConstrainSelectedInstOperands,
     /*  835975 */     // GIR_Coverage, 22664,
     /*  835975 */     GIR_EraseRootFromParent_Done,
     /*  835976 */   // Label 12861: @835976
     /*  835976 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836051), // Rule ID 22665 //
     /*  835981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  835984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  836030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836049 */     GIR_RootConstrainSelectedInstOperands,
     /*  836050 */     // GIR_Coverage, 22665,
     /*  836050 */     GIR_EraseRootFromParent_Done,
     /*  836051 */   // Label 12862: @836051
     /*  836051 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836126), // Rule ID 22668 //
     /*  836056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  836105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836124 */     GIR_RootConstrainSelectedInstOperands,
     /*  836125 */     // GIR_Coverage, 22668,
     /*  836125 */     GIR_EraseRootFromParent_Done,
     /*  836126 */   // Label 12863: @836126
     /*  836126 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836201), // Rule ID 22669 //
     /*  836131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  836180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836199 */     GIR_RootConstrainSelectedInstOperands,
     /*  836200 */     // GIR_Coverage, 22669,
     /*  836200 */     GIR_EraseRootFromParent_Done,
     /*  836201 */   // Label 12864: @836201
     /*  836201 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836276), // Rule ID 22672 //
     /*  836206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836274 */     GIR_RootConstrainSelectedInstOperands,
     /*  836275 */     // GIR_Coverage, 22672,
     /*  836275 */     GIR_EraseRootFromParent_Done,
     /*  836276 */   // Label 12865: @836276
     /*  836276 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836351), // Rule ID 22673 //
     /*  836281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836349 */     GIR_RootConstrainSelectedInstOperands,
     /*  836350 */     // GIR_Coverage, 22673,
     /*  836350 */     GIR_EraseRootFromParent_Done,
     /*  836351 */   // Label 12866: @836351
     /*  836351 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836426), // Rule ID 22676 //
     /*  836356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836424 */     GIR_RootConstrainSelectedInstOperands,
     /*  836425 */     // GIR_Coverage, 22676,
     /*  836425 */     GIR_EraseRootFromParent_Done,
     /*  836426 */   // Label 12867: @836426
     /*  836426 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836501), // Rule ID 22677 //
     /*  836431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836499 */     GIR_RootConstrainSelectedInstOperands,
     /*  836500 */     // GIR_Coverage, 22677,
     /*  836500 */     GIR_EraseRootFromParent_Done,
     /*  836501 */   // Label 12868: @836501
     /*  836501 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836576), // Rule ID 22680 //
     /*  836506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  836555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836574 */     GIR_RootConstrainSelectedInstOperands,
     /*  836575 */     // GIR_Coverage, 22680,
     /*  836575 */     GIR_EraseRootFromParent_Done,
     /*  836576 */   // Label 12869: @836576
     /*  836576 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836651), // Rule ID 22681 //
     /*  836581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  836630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836649 */     GIR_RootConstrainSelectedInstOperands,
     /*  836650 */     // GIR_Coverage, 22681,
     /*  836650 */     GIR_EraseRootFromParent_Done,
     /*  836651 */   // Label 12870: @836651
     /*  836651 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(836726), // Rule ID 22684 //
     /*  836656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  836705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836724 */     GIR_RootConstrainSelectedInstOperands,
     /*  836725 */     // GIR_Coverage, 22684,
     /*  836725 */     GIR_EraseRootFromParent_Done,
     /*  836726 */   // Label 12871: @836726
     /*  836726 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(836801), // Rule ID 22685 //
     /*  836731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  836780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836799 */     GIR_RootConstrainSelectedInstOperands,
     /*  836800 */     // GIR_Coverage, 22685,
     /*  836800 */     GIR_EraseRootFromParent_Done,
     /*  836801 */   // Label 12872: @836801
     /*  836801 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(836876), // Rule ID 22688 //
     /*  836806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  836823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  836855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836874 */     GIR_RootConstrainSelectedInstOperands,
     /*  836875 */     // GIR_Coverage, 22688,
     /*  836875 */     GIR_EraseRootFromParent_Done,
     /*  836876 */   // Label 12873: @836876
     /*  836876 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(836951), // Rule ID 22689 //
     /*  836881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  836898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  836930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836949 */     GIR_RootConstrainSelectedInstOperands,
     /*  836950 */     // GIR_Coverage, 22689,
     /*  836950 */     GIR_EraseRootFromParent_Done,
     /*  836951 */   // Label 12874: @836951
     /*  836951 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837026), // Rule ID 22692 //
     /*  836956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  837005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837024 */     GIR_RootConstrainSelectedInstOperands,
     /*  837025 */     // GIR_Coverage, 22692,
     /*  837025 */     GIR_EraseRootFromParent_Done,
     /*  837026 */   // Label 12875: @837026
     /*  837026 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837101), // Rule ID 22693 //
     /*  837031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  837080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837099 */     GIR_RootConstrainSelectedInstOperands,
     /*  837100 */     // GIR_Coverage, 22693,
     /*  837100 */     GIR_EraseRootFromParent_Done,
     /*  837101 */   // Label 12876: @837101
     /*  837101 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837176), // Rule ID 22696 //
     /*  837106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  837155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837174 */     GIR_RootConstrainSelectedInstOperands,
     /*  837175 */     // GIR_Coverage, 22696,
     /*  837175 */     GIR_EraseRootFromParent_Done,
     /*  837176 */   // Label 12877: @837176
     /*  837176 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837251), // Rule ID 22697 //
     /*  837181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  837230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837249 */     GIR_RootConstrainSelectedInstOperands,
     /*  837250 */     // GIR_Coverage, 22697,
     /*  837250 */     GIR_EraseRootFromParent_Done,
     /*  837251 */   // Label 12878: @837251
     /*  837251 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837326), // Rule ID 22700 //
     /*  837256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837324 */     GIR_RootConstrainSelectedInstOperands,
     /*  837325 */     // GIR_Coverage, 22700,
     /*  837325 */     GIR_EraseRootFromParent_Done,
     /*  837326 */   // Label 12879: @837326
     /*  837326 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837401), // Rule ID 22701 //
     /*  837331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837399 */     GIR_RootConstrainSelectedInstOperands,
     /*  837400 */     // GIR_Coverage, 22701,
     /*  837400 */     GIR_EraseRootFromParent_Done,
     /*  837401 */   // Label 12880: @837401
     /*  837401 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837476), // Rule ID 22704 //
     /*  837406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  837455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837474 */     GIR_RootConstrainSelectedInstOperands,
     /*  837475 */     // GIR_Coverage, 22704,
     /*  837475 */     GIR_EraseRootFromParent_Done,
     /*  837476 */   // Label 12881: @837476
     /*  837476 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837551), // Rule ID 22705 //
     /*  837481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  837530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837549 */     GIR_RootConstrainSelectedInstOperands,
     /*  837550 */     // GIR_Coverage, 22705,
     /*  837550 */     GIR_EraseRootFromParent_Done,
     /*  837551 */   // Label 12882: @837551
     /*  837551 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837626), // Rule ID 22708 //
     /*  837556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  837605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837624 */     GIR_RootConstrainSelectedInstOperands,
     /*  837625 */     // GIR_Coverage, 22708,
     /*  837625 */     GIR_EraseRootFromParent_Done,
     /*  837626 */   // Label 12883: @837626
     /*  837626 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837701), // Rule ID 22709 //
     /*  837631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  837680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837699 */     GIR_RootConstrainSelectedInstOperands,
     /*  837700 */     // GIR_Coverage, 22709,
     /*  837700 */     GIR_EraseRootFromParent_Done,
     /*  837701 */   // Label 12884: @837701
     /*  837701 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(837776), // Rule ID 22712 //
     /*  837706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  837723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  837755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837774 */     GIR_RootConstrainSelectedInstOperands,
     /*  837775 */     // GIR_Coverage, 22712,
     /*  837775 */     GIR_EraseRootFromParent_Done,
     /*  837776 */   // Label 12885: @837776
     /*  837776 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(837851), // Rule ID 22713 //
     /*  837781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  837798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  837830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837849 */     GIR_RootConstrainSelectedInstOperands,
     /*  837850 */     // GIR_Coverage, 22713,
     /*  837850 */     GIR_EraseRootFromParent_Done,
     /*  837851 */   // Label 12886: @837851
     /*  837851 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(837926), // Rule ID 22716 //
     /*  837856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  837873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  837905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837924 */     GIR_RootConstrainSelectedInstOperands,
     /*  837925 */     // GIR_Coverage, 22716,
     /*  837925 */     GIR_EraseRootFromParent_Done,
     /*  837926 */   // Label 12887: @837926
     /*  837926 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838001), // Rule ID 22717 //
     /*  837931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  837948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  837980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837999 */     GIR_RootConstrainSelectedInstOperands,
     /*  838000 */     // GIR_Coverage, 22717,
     /*  838000 */     GIR_EraseRootFromParent_Done,
     /*  838001 */   // Label 12888: @838001
     /*  838001 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838076), // Rule ID 22720 //
     /*  838006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  838055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838074 */     GIR_RootConstrainSelectedInstOperands,
     /*  838075 */     // GIR_Coverage, 22720,
     /*  838075 */     GIR_EraseRootFromParent_Done,
     /*  838076 */   // Label 12889: @838076
     /*  838076 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838151), // Rule ID 22721 //
     /*  838081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  838130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838149 */     GIR_RootConstrainSelectedInstOperands,
     /*  838150 */     // GIR_Coverage, 22721,
     /*  838150 */     GIR_EraseRootFromParent_Done,
     /*  838151 */   // Label 12890: @838151
     /*  838151 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838226), // Rule ID 22724 //
     /*  838156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838224 */     GIR_RootConstrainSelectedInstOperands,
     /*  838225 */     // GIR_Coverage, 22724,
     /*  838225 */     GIR_EraseRootFromParent_Done,
     /*  838226 */   // Label 12891: @838226
     /*  838226 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838301), // Rule ID 22725 //
     /*  838231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838299 */     GIR_RootConstrainSelectedInstOperands,
     /*  838300 */     // GIR_Coverage, 22725,
     /*  838300 */     GIR_EraseRootFromParent_Done,
     /*  838301 */   // Label 12892: @838301
     /*  838301 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838376), // Rule ID 22728 //
     /*  838306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838374 */     GIR_RootConstrainSelectedInstOperands,
     /*  838375 */     // GIR_Coverage, 22728,
     /*  838375 */     GIR_EraseRootFromParent_Done,
     /*  838376 */   // Label 12893: @838376
     /*  838376 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838451), // Rule ID 22729 //
     /*  838381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838449 */     GIR_RootConstrainSelectedInstOperands,
     /*  838450 */     // GIR_Coverage, 22729,
     /*  838450 */     GIR_EraseRootFromParent_Done,
     /*  838451 */   // Label 12894: @838451
     /*  838451 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838526), // Rule ID 22732 //
     /*  838456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  838505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838524 */     GIR_RootConstrainSelectedInstOperands,
     /*  838525 */     // GIR_Coverage, 22732,
     /*  838525 */     GIR_EraseRootFromParent_Done,
     /*  838526 */   // Label 12895: @838526
     /*  838526 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838601), // Rule ID 22733 //
     /*  838531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  838580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838599 */     GIR_RootConstrainSelectedInstOperands,
     /*  838600 */     // GIR_Coverage, 22733,
     /*  838600 */     GIR_EraseRootFromParent_Done,
     /*  838601 */   // Label 12896: @838601
     /*  838601 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838676), // Rule ID 22736 //
     /*  838606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  838655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838674 */     GIR_RootConstrainSelectedInstOperands,
     /*  838675 */     // GIR_Coverage, 22736,
     /*  838675 */     GIR_EraseRootFromParent_Done,
     /*  838676 */   // Label 12897: @838676
     /*  838676 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(838751), // Rule ID 22737 //
     /*  838681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  838730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838749 */     GIR_RootConstrainSelectedInstOperands,
     /*  838750 */     // GIR_Coverage, 22737,
     /*  838750 */     GIR_EraseRootFromParent_Done,
     /*  838751 */   // Label 12898: @838751
     /*  838751 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(838826), // Rule ID 22740 //
     /*  838756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  838805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838824 */     GIR_RootConstrainSelectedInstOperands,
     /*  838825 */     // GIR_Coverage, 22740,
     /*  838825 */     GIR_EraseRootFromParent_Done,
     /*  838826 */   // Label 12899: @838826
     /*  838826 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(838901), // Rule ID 22741 //
     /*  838831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  838880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838899 */     GIR_RootConstrainSelectedInstOperands,
     /*  838900 */     // GIR_Coverage, 22741,
     /*  838900 */     GIR_EraseRootFromParent_Done,
     /*  838901 */   // Label 12900: @838901
     /*  838901 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(838976), // Rule ID 22744 //
     /*  838906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  838955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838974 */     GIR_RootConstrainSelectedInstOperands,
     /*  838975 */     // GIR_Coverage, 22744,
     /*  838975 */     GIR_EraseRootFromParent_Done,
     /*  838976 */   // Label 12901: @838976
     /*  838976 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839051), // Rule ID 22745 //
     /*  838981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  839030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839049 */     GIR_RootConstrainSelectedInstOperands,
     /*  839050 */     // GIR_Coverage, 22745,
     /*  839050 */     GIR_EraseRootFromParent_Done,
     /*  839051 */   // Label 12902: @839051
     /*  839051 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839126), // Rule ID 22748 //
     /*  839056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  839073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  839105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839124 */     GIR_RootConstrainSelectedInstOperands,
     /*  839125 */     // GIR_Coverage, 22748,
     /*  839125 */     GIR_EraseRootFromParent_Done,
     /*  839126 */   // Label 12903: @839126
     /*  839126 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839201), // Rule ID 22749 //
     /*  839131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  839148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  839180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839199 */     GIR_RootConstrainSelectedInstOperands,
     /*  839200 */     // GIR_Coverage, 22749,
     /*  839200 */     GIR_EraseRootFromParent_Done,
     /*  839201 */   // Label 12904: @839201
     /*  839201 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839276), // Rule ID 22752 //
     /*  839206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839274 */     GIR_RootConstrainSelectedInstOperands,
     /*  839275 */     // GIR_Coverage, 22752,
     /*  839275 */     GIR_EraseRootFromParent_Done,
     /*  839276 */   // Label 12905: @839276
     /*  839276 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839351), // Rule ID 22753 //
     /*  839281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839349 */     GIR_RootConstrainSelectedInstOperands,
     /*  839350 */     // GIR_Coverage, 22753,
     /*  839350 */     GIR_EraseRootFromParent_Done,
     /*  839351 */   // Label 12906: @839351
     /*  839351 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839426), // Rule ID 22756 //
     /*  839356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839424 */     GIR_RootConstrainSelectedInstOperands,
     /*  839425 */     // GIR_Coverage, 22756,
     /*  839425 */     GIR_EraseRootFromParent_Done,
     /*  839426 */   // Label 12907: @839426
     /*  839426 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839501), // Rule ID 22757 //
     /*  839431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839499 */     GIR_RootConstrainSelectedInstOperands,
     /*  839500 */     // GIR_Coverage, 22757,
     /*  839500 */     GIR_EraseRootFromParent_Done,
     /*  839501 */   // Label 12908: @839501
     /*  839501 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839576), // Rule ID 22760 //
     /*  839506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  839555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839574 */     GIR_RootConstrainSelectedInstOperands,
     /*  839575 */     // GIR_Coverage, 22760,
     /*  839575 */     GIR_EraseRootFromParent_Done,
     /*  839576 */   // Label 12909: @839576
     /*  839576 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839651), // Rule ID 22761 //
     /*  839581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  839630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839649 */     GIR_RootConstrainSelectedInstOperands,
     /*  839650 */     // GIR_Coverage, 22761,
     /*  839650 */     GIR_EraseRootFromParent_Done,
     /*  839651 */   // Label 12910: @839651
     /*  839651 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(839726), // Rule ID 22764 //
     /*  839656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  839705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839724 */     GIR_RootConstrainSelectedInstOperands,
     /*  839725 */     // GIR_Coverage, 22764,
     /*  839725 */     GIR_EraseRootFromParent_Done,
     /*  839726 */   // Label 12911: @839726
     /*  839726 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(839801), // Rule ID 22765 //
     /*  839731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  839780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839799 */     GIR_RootConstrainSelectedInstOperands,
     /*  839800 */     // GIR_Coverage, 22765,
     /*  839800 */     GIR_EraseRootFromParent_Done,
     /*  839801 */   // Label 12912: @839801
     /*  839801 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(839876), // Rule ID 22768 //
     /*  839806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  839855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839874 */     GIR_RootConstrainSelectedInstOperands,
     /*  839875 */     // GIR_Coverage, 22768,
     /*  839875 */     GIR_EraseRootFromParent_Done,
     /*  839876 */   // Label 12913: @839876
     /*  839876 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(839951), // Rule ID 22769 //
     /*  839881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  839930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839949 */     GIR_RootConstrainSelectedInstOperands,
     /*  839950 */     // GIR_Coverage, 22769,
     /*  839950 */     GIR_EraseRootFromParent_Done,
     /*  839951 */   // Label 12914: @839951
     /*  839951 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840026), // Rule ID 22772 //
     /*  839956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  840005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840024 */     GIR_RootConstrainSelectedInstOperands,
     /*  840025 */     // GIR_Coverage, 22772,
     /*  840025 */     GIR_EraseRootFromParent_Done,
     /*  840026 */   // Label 12915: @840026
     /*  840026 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840101), // Rule ID 22773 //
     /*  840031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  840048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  840080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840099 */     GIR_RootConstrainSelectedInstOperands,
     /*  840100 */     // GIR_Coverage, 22773,
     /*  840100 */     GIR_EraseRootFromParent_Done,
     /*  840101 */   // Label 12916: @840101
     /*  840101 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840176), // Rule ID 22776 //
     /*  840106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  840155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840174 */     GIR_RootConstrainSelectedInstOperands,
     /*  840175 */     // GIR_Coverage, 22776,
     /*  840175 */     GIR_EraseRootFromParent_Done,
     /*  840176 */   // Label 12917: @840176
     /*  840176 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840251), // Rule ID 22777 //
     /*  840181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  840230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840249 */     GIR_RootConstrainSelectedInstOperands,
     /*  840250 */     // GIR_Coverage, 22777,
     /*  840250 */     GIR_EraseRootFromParent_Done,
     /*  840251 */   // Label 12918: @840251
     /*  840251 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840326), // Rule ID 22780 //
     /*  840256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840324 */     GIR_RootConstrainSelectedInstOperands,
     /*  840325 */     // GIR_Coverage, 22780,
     /*  840325 */     GIR_EraseRootFromParent_Done,
     /*  840326 */   // Label 12919: @840326
     /*  840326 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840401), // Rule ID 22781 //
     /*  840331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840399 */     GIR_RootConstrainSelectedInstOperands,
     /*  840400 */     // GIR_Coverage, 22781,
     /*  840400 */     GIR_EraseRootFromParent_Done,
     /*  840401 */   // Label 12920: @840401
     /*  840401 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840476), // Rule ID 22784 //
     /*  840406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  840455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840474 */     GIR_RootConstrainSelectedInstOperands,
     /*  840475 */     // GIR_Coverage, 22784,
     /*  840475 */     GIR_EraseRootFromParent_Done,
     /*  840476 */   // Label 12921: @840476
     /*  840476 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840551), // Rule ID 22785 //
     /*  840481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  840530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840549 */     GIR_RootConstrainSelectedInstOperands,
     /*  840550 */     // GIR_Coverage, 22785,
     /*  840550 */     GIR_EraseRootFromParent_Done,
     /*  840551 */   // Label 12922: @840551
     /*  840551 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840626), // Rule ID 22788 //
     /*  840556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  840605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840624 */     GIR_RootConstrainSelectedInstOperands,
     /*  840625 */     // GIR_Coverage, 22788,
     /*  840625 */     GIR_EraseRootFromParent_Done,
     /*  840626 */   // Label 12923: @840626
     /*  840626 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840701), // Rule ID 22789 //
     /*  840631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  840680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840699 */     GIR_RootConstrainSelectedInstOperands,
     /*  840700 */     // GIR_Coverage, 22789,
     /*  840700 */     GIR_EraseRootFromParent_Done,
     /*  840701 */   // Label 12924: @840701
     /*  840701 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(840776), // Rule ID 22792 //
     /*  840706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  840755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840774 */     GIR_RootConstrainSelectedInstOperands,
     /*  840775 */     // GIR_Coverage, 22792,
     /*  840775 */     GIR_EraseRootFromParent_Done,
     /*  840776 */   // Label 12925: @840776
     /*  840776 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(840851), // Rule ID 22793 //
     /*  840781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  840830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840849 */     GIR_RootConstrainSelectedInstOperands,
     /*  840850 */     // GIR_Coverage, 22793,
     /*  840850 */     GIR_EraseRootFromParent_Done,
     /*  840851 */   // Label 12926: @840851
     /*  840851 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(840926), // Rule ID 22796 //
     /*  840856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  840905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840924 */     GIR_RootConstrainSelectedInstOperands,
     /*  840925 */     // GIR_Coverage, 22796,
     /*  840925 */     GIR_EraseRootFromParent_Done,
     /*  840926 */   // Label 12927: @840926
     /*  840926 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841001), // Rule ID 22797 //
     /*  840931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  840980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840999 */     GIR_RootConstrainSelectedInstOperands,
     /*  841000 */     // GIR_Coverage, 22797,
     /*  841000 */     GIR_EraseRootFromParent_Done,
     /*  841001 */   // Label 12928: @841001
     /*  841001 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841076), // Rule ID 22800 //
     /*  841006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  841055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841074 */     GIR_RootConstrainSelectedInstOperands,
     /*  841075 */     // GIR_Coverage, 22800,
     /*  841075 */     GIR_EraseRootFromParent_Done,
     /*  841076 */   // Label 12929: @841076
     /*  841076 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841151), // Rule ID 22801 //
     /*  841081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  841130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841149 */     GIR_RootConstrainSelectedInstOperands,
     /*  841150 */     // GIR_Coverage, 22801,
     /*  841150 */     GIR_EraseRootFromParent_Done,
     /*  841151 */   // Label 12930: @841151
     /*  841151 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841226), // Rule ID 22804 //
     /*  841156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841224 */     GIR_RootConstrainSelectedInstOperands,
     /*  841225 */     // GIR_Coverage, 22804,
     /*  841225 */     GIR_EraseRootFromParent_Done,
     /*  841226 */   // Label 12931: @841226
     /*  841226 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841301), // Rule ID 22805 //
     /*  841231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841299 */     GIR_RootConstrainSelectedInstOperands,
     /*  841300 */     // GIR_Coverage, 22805,
     /*  841300 */     GIR_EraseRootFromParent_Done,
     /*  841301 */   // Label 12932: @841301
     /*  841301 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841376), // Rule ID 22808 //
     /*  841306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841374 */     GIR_RootConstrainSelectedInstOperands,
     /*  841375 */     // GIR_Coverage, 22808,
     /*  841375 */     GIR_EraseRootFromParent_Done,
     /*  841376 */   // Label 12933: @841376
     /*  841376 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841451), // Rule ID 22809 //
     /*  841381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841449 */     GIR_RootConstrainSelectedInstOperands,
     /*  841450 */     // GIR_Coverage, 22809,
     /*  841450 */     GIR_EraseRootFromParent_Done,
     /*  841451 */   // Label 12934: @841451
     /*  841451 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841526), // Rule ID 22812 //
     /*  841456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  841505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841524 */     GIR_RootConstrainSelectedInstOperands,
     /*  841525 */     // GIR_Coverage, 22812,
     /*  841525 */     GIR_EraseRootFromParent_Done,
     /*  841526 */   // Label 12935: @841526
     /*  841526 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841601), // Rule ID 22813 //
     /*  841531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  841580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841599 */     GIR_RootConstrainSelectedInstOperands,
     /*  841600 */     // GIR_Coverage, 22813,
     /*  841600 */     GIR_EraseRootFromParent_Done,
     /*  841601 */   // Label 12936: @841601
     /*  841601 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841676), // Rule ID 22816 //
     /*  841606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  841655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841674 */     GIR_RootConstrainSelectedInstOperands,
     /*  841675 */     // GIR_Coverage, 22816,
     /*  841675 */     GIR_EraseRootFromParent_Done,
     /*  841676 */   // Label 12937: @841676
     /*  841676 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(841751), // Rule ID 22817 //
     /*  841681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  841730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841749 */     GIR_RootConstrainSelectedInstOperands,
     /*  841750 */     // GIR_Coverage, 22817,
     /*  841750 */     GIR_EraseRootFromParent_Done,
     /*  841751 */   // Label 12938: @841751
     /*  841751 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(841826), // Rule ID 22936 //
     /*  841756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  841773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841802 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  841805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841824 */     GIR_RootConstrainSelectedInstOperands,
     /*  841825 */     // GIR_Coverage, 22936,
     /*  841825 */     GIR_EraseRootFromParent_Done,
     /*  841826 */   // Label 12939: @841826
     /*  841826 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(841901), // Rule ID 22937 //
     /*  841831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  841848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841877 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  841880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841899 */     GIR_RootConstrainSelectedInstOperands,
     /*  841900 */     // GIR_Coverage, 22937,
     /*  841900 */     GIR_EraseRootFromParent_Done,
     /*  841901 */   // Label 12940: @841901
     /*  841901 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(841976), // Rule ID 22940 //
     /*  841906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  841923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  841955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841974 */     GIR_RootConstrainSelectedInstOperands,
     /*  841975 */     // GIR_Coverage, 22940,
     /*  841975 */     GIR_EraseRootFromParent_Done,
     /*  841976 */   // Label 12941: @841976
     /*  841976 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842051), // Rule ID 22941 //
     /*  841981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  841998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  842030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842049 */     GIR_RootConstrainSelectedInstOperands,
     /*  842050 */     // GIR_Coverage, 22941,
     /*  842050 */     GIR_EraseRootFromParent_Done,
     /*  842051 */   // Label 12942: @842051
     /*  842051 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842126), // Rule ID 22944 //
     /*  842056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  842105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842124 */     GIR_RootConstrainSelectedInstOperands,
     /*  842125 */     // GIR_Coverage, 22944,
     /*  842125 */     GIR_EraseRootFromParent_Done,
     /*  842126 */   // Label 12943: @842126
     /*  842126 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842201), // Rule ID 22945 //
     /*  842131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  842180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842199 */     GIR_RootConstrainSelectedInstOperands,
     /*  842200 */     // GIR_Coverage, 22945,
     /*  842200 */     GIR_EraseRootFromParent_Done,
     /*  842201 */   // Label 12944: @842201
     /*  842201 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842276), // Rule ID 22948 //
     /*  842206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842274 */     GIR_RootConstrainSelectedInstOperands,
     /*  842275 */     // GIR_Coverage, 22948,
     /*  842275 */     GIR_EraseRootFromParent_Done,
     /*  842276 */   // Label 12945: @842276
     /*  842276 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842351), // Rule ID 22949 //
     /*  842281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842327 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842349 */     GIR_RootConstrainSelectedInstOperands,
     /*  842350 */     // GIR_Coverage, 22949,
     /*  842350 */     GIR_EraseRootFromParent_Done,
     /*  842351 */   // Label 12946: @842351
     /*  842351 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842426), // Rule ID 22952 //
     /*  842356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842424 */     GIR_RootConstrainSelectedInstOperands,
     /*  842425 */     // GIR_Coverage, 22952,
     /*  842425 */     GIR_EraseRootFromParent_Done,
     /*  842426 */   // Label 12947: @842426
     /*  842426 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842501), // Rule ID 22953 //
     /*  842431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842499 */     GIR_RootConstrainSelectedInstOperands,
     /*  842500 */     // GIR_Coverage, 22953,
     /*  842500 */     GIR_EraseRootFromParent_Done,
     /*  842501 */   // Label 12948: @842501
     /*  842501 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842576), // Rule ID 22956 //
     /*  842506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  842555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842574 */     GIR_RootConstrainSelectedInstOperands,
     /*  842575 */     // GIR_Coverage, 22956,
     /*  842575 */     GIR_EraseRootFromParent_Done,
     /*  842576 */   // Label 12949: @842576
     /*  842576 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842651), // Rule ID 22957 //
     /*  842581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  842584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  842630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842649 */     GIR_RootConstrainSelectedInstOperands,
     /*  842650 */     // GIR_Coverage, 22957,
     /*  842650 */     GIR_EraseRootFromParent_Done,
     /*  842651 */   // Label 12950: @842651
     /*  842651 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(842726), // Rule ID 22960 //
     /*  842656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  842673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842702 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  842705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842724 */     GIR_RootConstrainSelectedInstOperands,
     /*  842725 */     // GIR_Coverage, 22960,
     /*  842725 */     GIR_EraseRootFromParent_Done,
     /*  842726 */   // Label 12951: @842726
     /*  842726 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(842801), // Rule ID 22961 //
     /*  842731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  842748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842777 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  842780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842799 */     GIR_RootConstrainSelectedInstOperands,
     /*  842800 */     // GIR_Coverage, 22961,
     /*  842800 */     GIR_EraseRootFromParent_Done,
     /*  842801 */   // Label 12952: @842801
     /*  842801 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(842876), // Rule ID 22964 //
     /*  842806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  842823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  842855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842874 */     GIR_RootConstrainSelectedInstOperands,
     /*  842875 */     // GIR_Coverage, 22964,
     /*  842875 */     GIR_EraseRootFromParent_Done,
     /*  842876 */   // Label 12953: @842876
     /*  842876 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(842951), // Rule ID 22965 //
     /*  842881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  842898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  842930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842949 */     GIR_RootConstrainSelectedInstOperands,
     /*  842950 */     // GIR_Coverage, 22965,
     /*  842950 */     GIR_EraseRootFromParent_Done,
     /*  842951 */   // Label 12954: @842951
     /*  842951 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843026), // Rule ID 22968 //
     /*  842956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  842973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  843005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843024 */     GIR_RootConstrainSelectedInstOperands,
     /*  843025 */     // GIR_Coverage, 22968,
     /*  843025 */     GIR_EraseRootFromParent_Done,
     /*  843026 */   // Label 12955: @843026
     /*  843026 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843101), // Rule ID 22969 //
     /*  843031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  843034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  843048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843077 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  843080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843099 */     GIR_RootConstrainSelectedInstOperands,
     /*  843100 */     // GIR_Coverage, 22969,
     /*  843100 */     GIR_EraseRootFromParent_Done,
     /*  843101 */   // Label 12956: @843101
     /*  843101 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843176), // Rule ID 22972 //
     /*  843106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  843123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843152 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  843155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843174 */     GIR_RootConstrainSelectedInstOperands,
     /*  843175 */     // GIR_Coverage, 22972,
     /*  843175 */     GIR_EraseRootFromParent_Done,
     /*  843176 */   // Label 12957: @843176
     /*  843176 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843251), // Rule ID 22973 //
     /*  843181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  843198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  843230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843249 */     GIR_RootConstrainSelectedInstOperands,
     /*  843250 */     // GIR_Coverage, 22973,
     /*  843250 */     GIR_EraseRootFromParent_Done,
     /*  843251 */   // Label 12958: @843251
     /*  843251 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843326), // Rule ID 22976 //
     /*  843256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843324 */     GIR_RootConstrainSelectedInstOperands,
     /*  843325 */     // GIR_Coverage, 22976,
     /*  843325 */     GIR_EraseRootFromParent_Done,
     /*  843326 */   // Label 12959: @843326
     /*  843326 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843401), // Rule ID 22977 //
     /*  843331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843399 */     GIR_RootConstrainSelectedInstOperands,
     /*  843400 */     // GIR_Coverage, 22977,
     /*  843400 */     GIR_EraseRootFromParent_Done,
     /*  843401 */   // Label 12960: @843401
     /*  843401 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843476), // Rule ID 22980 //
     /*  843406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  843455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843474 */     GIR_RootConstrainSelectedInstOperands,
     /*  843475 */     // GIR_Coverage, 22980,
     /*  843475 */     GIR_EraseRootFromParent_Done,
     /*  843476 */   // Label 12961: @843476
     /*  843476 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843551), // Rule ID 22981 //
     /*  843481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  843530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843549 */     GIR_RootConstrainSelectedInstOperands,
     /*  843550 */     // GIR_Coverage, 22981,
     /*  843550 */     GIR_EraseRootFromParent_Done,
     /*  843551 */   // Label 12962: @843551
     /*  843551 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843626), // Rule ID 22984 //
     /*  843556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  843573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843602 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  843605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843624 */     GIR_RootConstrainSelectedInstOperands,
     /*  843625 */     // GIR_Coverage, 22984,
     /*  843625 */     GIR_EraseRootFromParent_Done,
     /*  843626 */   // Label 12963: @843626
     /*  843626 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843701), // Rule ID 22985 //
     /*  843631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  843648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843677 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  843680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843699 */     GIR_RootConstrainSelectedInstOperands,
     /*  843700 */     // GIR_Coverage, 22985,
     /*  843700 */     GIR_EraseRootFromParent_Done,
     /*  843701 */   // Label 12964: @843701
     /*  843701 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(843776), // Rule ID 22988 //
     /*  843706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  843723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  843755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843774 */     GIR_RootConstrainSelectedInstOperands,
     /*  843775 */     // GIR_Coverage, 22988,
     /*  843775 */     GIR_EraseRootFromParent_Done,
     /*  843776 */   // Label 12965: @843776
     /*  843776 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(843851), // Rule ID 22989 //
     /*  843781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  843798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  843830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843849 */     GIR_RootConstrainSelectedInstOperands,
     /*  843850 */     // GIR_Coverage, 22989,
     /*  843850 */     GIR_EraseRootFromParent_Done,
     /*  843851 */   // Label 12966: @843851
     /*  843851 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(843926), // Rule ID 22992 //
     /*  843856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  843905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843924 */     GIR_RootConstrainSelectedInstOperands,
     /*  843925 */     // GIR_Coverage, 22992,
     /*  843925 */     GIR_EraseRootFromParent_Done,
     /*  843926 */   // Label 12967: @843926
     /*  843926 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844001), // Rule ID 22993 //
     /*  843931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  843980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843999 */     GIR_RootConstrainSelectedInstOperands,
     /*  844000 */     // GIR_Coverage, 22993,
     /*  844000 */     GIR_EraseRootFromParent_Done,
     /*  844001 */   // Label 12968: @844001
     /*  844001 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844076), // Rule ID 22996 //
     /*  844006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844052 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  844055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844074 */     GIR_RootConstrainSelectedInstOperands,
     /*  844075 */     // GIR_Coverage, 22996,
     /*  844075 */     GIR_EraseRootFromParent_Done,
     /*  844076 */   // Label 12969: @844076
     /*  844076 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844151), // Rule ID 22997 //
     /*  844081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844127 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  844130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844149 */     GIR_RootConstrainSelectedInstOperands,
     /*  844150 */     // GIR_Coverage, 22997,
     /*  844150 */     GIR_EraseRootFromParent_Done,
     /*  844151 */   // Label 12970: @844151
     /*  844151 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844226), // Rule ID 23000 //
     /*  844156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  844173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844202 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844224 */     GIR_RootConstrainSelectedInstOperands,
     /*  844225 */     // GIR_Coverage, 23000,
     /*  844225 */     GIR_EraseRootFromParent_Done,
     /*  844226 */   // Label 12971: @844226
     /*  844226 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844301), // Rule ID 23001 //
     /*  844231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  844248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844277 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844299 */     GIR_RootConstrainSelectedInstOperands,
     /*  844300 */     // GIR_Coverage, 23001,
     /*  844300 */     GIR_EraseRootFromParent_Done,
     /*  844301 */   // Label 12972: @844301
     /*  844301 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844376), // Rule ID 23004 //
     /*  844306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  844309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844352 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844374 */     GIR_RootConstrainSelectedInstOperands,
     /*  844375 */     // GIR_Coverage, 23004,
     /*  844375 */     GIR_EraseRootFromParent_Done,
     /*  844376 */   // Label 12973: @844376
     /*  844376 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844451), // Rule ID 23005 //
     /*  844381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  844384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844449 */     GIR_RootConstrainSelectedInstOperands,
     /*  844450 */     // GIR_Coverage, 23005,
     /*  844450 */     GIR_EraseRootFromParent_Done,
     /*  844451 */   // Label 12974: @844451
     /*  844451 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844526), // Rule ID 23008 //
     /*  844456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844502 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  844505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844524 */     GIR_RootConstrainSelectedInstOperands,
     /*  844525 */     // GIR_Coverage, 23008,
     /*  844525 */     GIR_EraseRootFromParent_Done,
     /*  844526 */   // Label 12975: @844526
     /*  844526 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844601), // Rule ID 23009 //
     /*  844531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  844580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844599 */     GIR_RootConstrainSelectedInstOperands,
     /*  844600 */     // GIR_Coverage, 23009,
     /*  844600 */     GIR_EraseRootFromParent_Done,
     /*  844601 */   // Label 12976: @844601
     /*  844601 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844676), // Rule ID 23012 //
     /*  844606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  844609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  844655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844674 */     GIR_RootConstrainSelectedInstOperands,
     /*  844675 */     // GIR_Coverage, 23012,
     /*  844675 */     GIR_EraseRootFromParent_Done,
     /*  844676 */   // Label 12977: @844676
     /*  844676 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(844751), // Rule ID 23013 //
     /*  844681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  844684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  844730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844749 */     GIR_RootConstrainSelectedInstOperands,
     /*  844750 */     // GIR_Coverage, 23013,
     /*  844750 */     GIR_EraseRootFromParent_Done,
     /*  844751 */   // Label 12978: @844751
     /*  844751 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(844826), // Rule ID 23016 //
     /*  844756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  844759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  844805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844824 */     GIR_RootConstrainSelectedInstOperands,
     /*  844825 */     // GIR_Coverage, 23016,
     /*  844825 */     GIR_EraseRootFromParent_Done,
     /*  844826 */   // Label 12979: @844826
     /*  844826 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(844901), // Rule ID 23017 //
     /*  844831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  844834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844877 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  844880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844899 */     GIR_RootConstrainSelectedInstOperands,
     /*  844900 */     // GIR_Coverage, 23017,
     /*  844900 */     GIR_EraseRootFromParent_Done,
     /*  844901 */   // Label 12980: @844901
     /*  844901 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(844976), // Rule ID 23020 //
     /*  844906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  844955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844974 */     GIR_RootConstrainSelectedInstOperands,
     /*  844975 */     // GIR_Coverage, 23020,
     /*  844975 */     GIR_EraseRootFromParent_Done,
     /*  844976 */   // Label 12981: @844976
     /*  844976 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845051), // Rule ID 23021 //
     /*  844981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  845030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845049 */     GIR_RootConstrainSelectedInstOperands,
     /*  845050 */     // GIR_Coverage, 23021,
     /*  845050 */     GIR_EraseRootFromParent_Done,
     /*  845051 */   // Label 12982: @845051
     /*  845051 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845126), // Rule ID 23024 //
     /*  845056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  845105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845124 */     GIR_RootConstrainSelectedInstOperands,
     /*  845125 */     // GIR_Coverage, 23024,
     /*  845125 */     GIR_EraseRootFromParent_Done,
     /*  845126 */   // Label 12983: @845126
     /*  845126 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845201), // Rule ID 23025 //
     /*  845131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  845180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845199 */     GIR_RootConstrainSelectedInstOperands,
     /*  845200 */     // GIR_Coverage, 23025,
     /*  845200 */     GIR_EraseRootFromParent_Done,
     /*  845201 */   // Label 12984: @845201
     /*  845201 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845276), // Rule ID 23028 //
     /*  845206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845274 */     GIR_RootConstrainSelectedInstOperands,
     /*  845275 */     // GIR_Coverage, 23028,
     /*  845275 */     GIR_EraseRootFromParent_Done,
     /*  845276 */   // Label 12985: @845276
     /*  845276 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845351), // Rule ID 23029 //
     /*  845281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845327 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845349 */     GIR_RootConstrainSelectedInstOperands,
     /*  845350 */     // GIR_Coverage, 23029,
     /*  845350 */     GIR_EraseRootFromParent_Done,
     /*  845351 */   // Label 12986: @845351
     /*  845351 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845426), // Rule ID 23032 //
     /*  845356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845424 */     GIR_RootConstrainSelectedInstOperands,
     /*  845425 */     // GIR_Coverage, 23032,
     /*  845425 */     GIR_EraseRootFromParent_Done,
     /*  845426 */   // Label 12987: @845426
     /*  845426 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845501), // Rule ID 23033 //
     /*  845431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845499 */     GIR_RootConstrainSelectedInstOperands,
     /*  845500 */     // GIR_Coverage, 23033,
     /*  845500 */     GIR_EraseRootFromParent_Done,
     /*  845501 */   // Label 12988: @845501
     /*  845501 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845576), // Rule ID 23036 //
     /*  845506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  845555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845574 */     GIR_RootConstrainSelectedInstOperands,
     /*  845575 */     // GIR_Coverage, 23036,
     /*  845575 */     GIR_EraseRootFromParent_Done,
     /*  845576 */   // Label 12989: @845576
     /*  845576 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845651), // Rule ID 23037 //
     /*  845581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  845630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845649 */     GIR_RootConstrainSelectedInstOperands,
     /*  845650 */     // GIR_Coverage, 23037,
     /*  845650 */     GIR_EraseRootFromParent_Done,
     /*  845651 */   // Label 12990: @845651
     /*  845651 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(845726), // Rule ID 23040 //
     /*  845656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  845705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845724 */     GIR_RootConstrainSelectedInstOperands,
     /*  845725 */     // GIR_Coverage, 23040,
     /*  845725 */     GIR_EraseRootFromParent_Done,
     /*  845726 */   // Label 12991: @845726
     /*  845726 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(845801), // Rule ID 23041 //
     /*  845731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  845780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845799 */     GIR_RootConstrainSelectedInstOperands,
     /*  845800 */     // GIR_Coverage, 23041,
     /*  845800 */     GIR_EraseRootFromParent_Done,
     /*  845801 */   // Label 12992: @845801
     /*  845801 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(845876), // Rule ID 23044 //
     /*  845806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  845855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845874 */     GIR_RootConstrainSelectedInstOperands,
     /*  845875 */     // GIR_Coverage, 23044,
     /*  845875 */     GIR_EraseRootFromParent_Done,
     /*  845876 */   // Label 12993: @845876
     /*  845876 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(845951), // Rule ID 23045 //
     /*  845881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  845930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845949 */     GIR_RootConstrainSelectedInstOperands,
     /*  845950 */     // GIR_Coverage, 23045,
     /*  845950 */     GIR_EraseRootFromParent_Done,
     /*  845951 */   // Label 12994: @845951
     /*  845951 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846026), // Rule ID 23048 //
     /*  845956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  845973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846002 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  846005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846024 */     GIR_RootConstrainSelectedInstOperands,
     /*  846025 */     // GIR_Coverage, 23048,
     /*  846025 */     GIR_EraseRootFromParent_Done,
     /*  846026 */   // Label 12995: @846026
     /*  846026 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846101), // Rule ID 23049 //
     /*  846031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  846034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846077 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  846080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846099 */     GIR_RootConstrainSelectedInstOperands,
     /*  846100 */     // GIR_Coverage, 23049,
     /*  846100 */     GIR_EraseRootFromParent_Done,
     /*  846101 */   // Label 12996: @846101
     /*  846101 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846176), // Rule ID 23052 //
     /*  846106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  846109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  846155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846174 */     GIR_RootConstrainSelectedInstOperands,
     /*  846175 */     // GIR_Coverage, 23052,
     /*  846175 */     GIR_EraseRootFromParent_Done,
     /*  846176 */   // Label 12997: @846176
     /*  846176 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846251), // Rule ID 23053 //
     /*  846181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  846184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  846230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846249 */     GIR_RootConstrainSelectedInstOperands,
     /*  846250 */     // GIR_Coverage, 23053,
     /*  846250 */     GIR_EraseRootFromParent_Done,
     /*  846251 */   // Label 12998: @846251
     /*  846251 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846326), // Rule ID 23334 //
     /*  846256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846324 */     GIR_RootConstrainSelectedInstOperands,
     /*  846325 */     // GIR_Coverage, 23334,
     /*  846325 */     GIR_EraseRootFromParent_Done,
     /*  846326 */   // Label 12999: @846326
     /*  846326 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846401), // Rule ID 23335 //
     /*  846331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846399 */     GIR_RootConstrainSelectedInstOperands,
     /*  846400 */     // GIR_Coverage, 23335,
     /*  846400 */     GIR_EraseRootFromParent_Done,
     /*  846401 */   // Label 13000: @846401
     /*  846401 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846476), // Rule ID 23338 //
     /*  846406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  846455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846474 */     GIR_RootConstrainSelectedInstOperands,
     /*  846475 */     // GIR_Coverage, 23338,
     /*  846475 */     GIR_EraseRootFromParent_Done,
     /*  846476 */   // Label 13001: @846476
     /*  846476 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846551), // Rule ID 23339 //
     /*  846481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  846530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846549 */     GIR_RootConstrainSelectedInstOperands,
     /*  846550 */     // GIR_Coverage, 23339,
     /*  846550 */     GIR_EraseRootFromParent_Done,
     /*  846551 */   // Label 13002: @846551
     /*  846551 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846626), // Rule ID 23342 //
     /*  846556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  846567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  846570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  846573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  846576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  846605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846624 */     GIR_RootConstrainSelectedInstOperands,
     /*  846625 */     // GIR_Coverage, 23342,
     /*  846625 */     GIR_EraseRootFromParent_Done,
     /*  846626 */   // Label 13003: @846626
     /*  846626 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846701), // Rule ID 23343 //
     /*  846631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  846642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  846645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  846648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  846651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  846680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846699 */     GIR_RootConstrainSelectedInstOperands,
     /*  846700 */     // GIR_Coverage, 23343,
     /*  846700 */     GIR_EraseRootFromParent_Done,
     /*  846701 */   // Label 13004: @846701
     /*  846701 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(846776), // Rule ID 23346 //
     /*  846706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  846717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  846720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  846723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  846726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  846755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846774 */     GIR_RootConstrainSelectedInstOperands,
     /*  846775 */     // GIR_Coverage, 23346,
     /*  846775 */     GIR_EraseRootFromParent_Done,
     /*  846776 */   // Label 13005: @846776
     /*  846776 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(846851), // Rule ID 23347 //
     /*  846781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  846792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  846795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  846798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  846801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  846830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846849 */     GIR_RootConstrainSelectedInstOperands,
     /*  846850 */     // GIR_Coverage, 23347,
     /*  846850 */     GIR_EraseRootFromParent_Done,
     /*  846851 */   // Label 13006: @846851
     /*  846851 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(846926), // Rule ID 23350 //
     /*  846856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  846867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  846870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  846873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  846876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846902 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  846905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846924 */     GIR_RootConstrainSelectedInstOperands,
     /*  846925 */     // GIR_Coverage, 23350,
     /*  846925 */     GIR_EraseRootFromParent_Done,
     /*  846926 */   // Label 13007: @846926
     /*  846926 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847001), // Rule ID 23351 //
     /*  846931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  846942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  846945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  846948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  846951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846977 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  846980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846999 */     GIR_RootConstrainSelectedInstOperands,
     /*  847000 */     // GIR_Coverage, 23351,
     /*  847000 */     GIR_EraseRootFromParent_Done,
     /*  847001 */   // Label 13008: @847001
     /*  847001 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847076), // Rule ID 23354 //
     /*  847006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847052 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  847055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847074 */     GIR_RootConstrainSelectedInstOperands,
     /*  847075 */     // GIR_Coverage, 23354,
     /*  847075 */     GIR_EraseRootFromParent_Done,
     /*  847076 */   // Label 13009: @847076
     /*  847076 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847151), // Rule ID 23355 //
     /*  847081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847127 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  847130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847149 */     GIR_RootConstrainSelectedInstOperands,
     /*  847150 */     // GIR_Coverage, 23355,
     /*  847150 */     GIR_EraseRootFromParent_Done,
     /*  847151 */   // Label 13010: @847151
     /*  847151 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847226), // Rule ID 23358 //
     /*  847156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  847167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  847170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  847173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  847176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847224 */     GIR_RootConstrainSelectedInstOperands,
     /*  847225 */     // GIR_Coverage, 23358,
     /*  847225 */     GIR_EraseRootFromParent_Done,
     /*  847226 */   // Label 13011: @847226
     /*  847226 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847301), // Rule ID 23359 //
     /*  847231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  847242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  847245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  847248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  847251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847299 */     GIR_RootConstrainSelectedInstOperands,
     /*  847300 */     // GIR_Coverage, 23359,
     /*  847300 */     GIR_EraseRootFromParent_Done,
     /*  847301 */   // Label 13012: @847301
     /*  847301 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847376), // Rule ID 23362 //
     /*  847306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847374 */     GIR_RootConstrainSelectedInstOperands,
     /*  847375 */     // GIR_Coverage, 23362,
     /*  847375 */     GIR_EraseRootFromParent_Done,
     /*  847376 */   // Label 13013: @847376
     /*  847376 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847451), // Rule ID 23363 //
     /*  847381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847427 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847449 */     GIR_RootConstrainSelectedInstOperands,
     /*  847450 */     // GIR_Coverage, 23363,
     /*  847450 */     GIR_EraseRootFromParent_Done,
     /*  847451 */   // Label 13014: @847451
     /*  847451 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847526), // Rule ID 23366 //
     /*  847456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  847467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  847470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  847473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  847476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847502 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  847505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847524 */     GIR_RootConstrainSelectedInstOperands,
     /*  847525 */     // GIR_Coverage, 23366,
     /*  847525 */     GIR_EraseRootFromParent_Done,
     /*  847526 */   // Label 13015: @847526
     /*  847526 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847601), // Rule ID 23367 //
     /*  847531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  847542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  847545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  847548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  847551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  847580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847599 */     GIR_RootConstrainSelectedInstOperands,
     /*  847600 */     // GIR_Coverage, 23367,
     /*  847600 */     GIR_EraseRootFromParent_Done,
     /*  847601 */   // Label 13016: @847601
     /*  847601 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847676), // Rule ID 23370 //
     /*  847606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  847655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847674 */     GIR_RootConstrainSelectedInstOperands,
     /*  847675 */     // GIR_Coverage, 23370,
     /*  847675 */     GIR_EraseRootFromParent_Done,
     /*  847676 */   // Label 13017: @847676
     /*  847676 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(847751), // Rule ID 23371 //
     /*  847681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  847730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847749 */     GIR_RootConstrainSelectedInstOperands,
     /*  847750 */     // GIR_Coverage, 23371,
     /*  847750 */     GIR_EraseRootFromParent_Done,
     /*  847751 */   // Label 13018: @847751
     /*  847751 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(847826), // Rule ID 23374 //
     /*  847756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847802 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  847805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847824 */     GIR_RootConstrainSelectedInstOperands,
     /*  847825 */     // GIR_Coverage, 23374,
     /*  847825 */     GIR_EraseRootFromParent_Done,
     /*  847826 */   // Label 13019: @847826
     /*  847826 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(847901), // Rule ID 23375 //
     /*  847831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  847880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847899 */     GIR_RootConstrainSelectedInstOperands,
     /*  847900 */     // GIR_Coverage, 23375,
     /*  847900 */     GIR_EraseRootFromParent_Done,
     /*  847901 */   // Label 13020: @847901
     /*  847901 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(847976), // Rule ID 23378 //
     /*  847906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  847926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  847955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847974 */     GIR_RootConstrainSelectedInstOperands,
     /*  847975 */     // GIR_Coverage, 23378,
     /*  847975 */     GIR_EraseRootFromParent_Done,
     /*  847976 */   // Label 13021: @847976
     /*  847976 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848051), // Rule ID 23379 //
     /*  847981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848027 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  848030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848049 */     GIR_RootConstrainSelectedInstOperands,
     /*  848050 */     // GIR_Coverage, 23379,
     /*  848050 */     GIR_EraseRootFromParent_Done,
     /*  848051 */   // Label 13022: @848051
     /*  848051 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848126), // Rule ID 23382 //
     /*  848056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848102 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  848105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848124 */     GIR_RootConstrainSelectedInstOperands,
     /*  848125 */     // GIR_Coverage, 23382,
     /*  848125 */     GIR_EraseRootFromParent_Done,
     /*  848126 */   // Label 13023: @848126
     /*  848126 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848201), // Rule ID 23383 //
     /*  848131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848177 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  848180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848199 */     GIR_RootConstrainSelectedInstOperands,
     /*  848200 */     // GIR_Coverage, 23383,
     /*  848200 */     GIR_EraseRootFromParent_Done,
     /*  848201 */   // Label 13024: @848201
     /*  848201 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848276), // Rule ID 23386 //
     /*  848206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848274 */     GIR_RootConstrainSelectedInstOperands,
     /*  848275 */     // GIR_Coverage, 23386,
     /*  848275 */     GIR_EraseRootFromParent_Done,
     /*  848276 */   // Label 13025: @848276
     /*  848276 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848351), // Rule ID 23387 //
     /*  848281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848349 */     GIR_RootConstrainSelectedInstOperands,
     /*  848350 */     // GIR_Coverage, 23387,
     /*  848350 */     GIR_EraseRootFromParent_Done,
     /*  848351 */   // Label 13026: @848351
     /*  848351 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848426), // Rule ID 23390 //
     /*  848356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848424 */     GIR_RootConstrainSelectedInstOperands,
     /*  848425 */     // GIR_Coverage, 23390,
     /*  848425 */     GIR_EraseRootFromParent_Done,
     /*  848426 */   // Label 13027: @848426
     /*  848426 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848501), // Rule ID 23391 //
     /*  848431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848499 */     GIR_RootConstrainSelectedInstOperands,
     /*  848500 */     // GIR_Coverage, 23391,
     /*  848500 */     GIR_EraseRootFromParent_Done,
     /*  848501 */   // Label 13028: @848501
     /*  848501 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848576), // Rule ID 23394 //
     /*  848506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  848526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  848555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848574 */     GIR_RootConstrainSelectedInstOperands,
     /*  848575 */     // GIR_Coverage, 23394,
     /*  848575 */     GIR_EraseRootFromParent_Done,
     /*  848576 */   // Label 13029: @848576
     /*  848576 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848651), // Rule ID 23395 //
     /*  848581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  848601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  848630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848649 */     GIR_RootConstrainSelectedInstOperands,
     /*  848650 */     // GIR_Coverage, 23395,
     /*  848650 */     GIR_EraseRootFromParent_Done,
     /*  848651 */   // Label 13030: @848651
     /*  848651 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(848726), // Rule ID 23398 //
     /*  848656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  848705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848724 */     GIR_RootConstrainSelectedInstOperands,
     /*  848725 */     // GIR_Coverage, 23398,
     /*  848725 */     GIR_EraseRootFromParent_Done,
     /*  848726 */   // Label 13031: @848726
     /*  848726 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(848801), // Rule ID 23399 //
     /*  848731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848777 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  848780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848799 */     GIR_RootConstrainSelectedInstOperands,
     /*  848800 */     // GIR_Coverage, 23399,
     /*  848800 */     GIR_EraseRootFromParent_Done,
     /*  848801 */   // Label 13032: @848801
     /*  848801 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(848876), // Rule ID 23402 //
     /*  848806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  848855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848874 */     GIR_RootConstrainSelectedInstOperands,
     /*  848875 */     // GIR_Coverage, 23402,
     /*  848875 */     GIR_EraseRootFromParent_Done,
     /*  848876 */   // Label 13033: @848876
     /*  848876 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(848951), // Rule ID 23403 //
     /*  848881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  848930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848949 */     GIR_RootConstrainSelectedInstOperands,
     /*  848950 */     // GIR_Coverage, 23403,
     /*  848950 */     GIR_EraseRootFromParent_Done,
     /*  848951 */   // Label 13034: @848951
     /*  848951 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849026), // Rule ID 23406 //
     /*  848956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  848967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  848970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  848973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  849005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849024 */     GIR_RootConstrainSelectedInstOperands,
     /*  849025 */     // GIR_Coverage, 23406,
     /*  849025 */     GIR_EraseRootFromParent_Done,
     /*  849026 */   // Label 13035: @849026
     /*  849026 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849101), // Rule ID 23407 //
     /*  849031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  849042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  849045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  849048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  849051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  849080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849099 */     GIR_RootConstrainSelectedInstOperands,
     /*  849100 */     // GIR_Coverage, 23407,
     /*  849100 */     GIR_EraseRootFromParent_Done,
     /*  849101 */   // Label 13036: @849101
     /*  849101 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849176), // Rule ID 23410 //
     /*  849106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  849109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  849117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  849120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  849123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  849126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849152 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  849155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849174 */     GIR_RootConstrainSelectedInstOperands,
     /*  849175 */     // GIR_Coverage, 23410,
     /*  849175 */     GIR_EraseRootFromParent_Done,
     /*  849176 */   // Label 13037: @849176
     /*  849176 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849251), // Rule ID 23411 //
     /*  849181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  849192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  849195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  849198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  849201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849227 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  849230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849249 */     GIR_RootConstrainSelectedInstOperands,
     /*  849250 */     // GIR_Coverage, 23411,
     /*  849250 */     GIR_EraseRootFromParent_Done,
     /*  849251 */   // Label 13038: @849251
     /*  849251 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849326), // Rule ID 23952 //
     /*  849256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849324 */     GIR_RootConstrainSelectedInstOperands,
     /*  849325 */     // GIR_Coverage, 23952,
     /*  849325 */     GIR_EraseRootFromParent_Done,
     /*  849326 */   // Label 13039: @849326
     /*  849326 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849401), // Rule ID 23953 //
     /*  849331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849399 */     GIR_RootConstrainSelectedInstOperands,
     /*  849400 */     // GIR_Coverage, 23953,
     /*  849400 */     GIR_EraseRootFromParent_Done,
     /*  849401 */   // Label 13040: @849401
     /*  849401 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849476), // Rule ID 23956 //
     /*  849406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849474 */     GIR_RootConstrainSelectedInstOperands,
     /*  849475 */     // GIR_Coverage, 23956,
     /*  849475 */     GIR_EraseRootFromParent_Done,
     /*  849476 */   // Label 13041: @849476
     /*  849476 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849551), // Rule ID 23957 //
     /*  849481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849549 */     GIR_RootConstrainSelectedInstOperands,
     /*  849550 */     // GIR_Coverage, 23957,
     /*  849550 */     GIR_EraseRootFromParent_Done,
     /*  849551 */   // Label 13042: @849551
     /*  849551 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849626), // Rule ID 23960 //
     /*  849556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849624 */     GIR_RootConstrainSelectedInstOperands,
     /*  849625 */     // GIR_Coverage, 23960,
     /*  849625 */     GIR_EraseRootFromParent_Done,
     /*  849626 */   // Label 13043: @849626
     /*  849626 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849701), // Rule ID 23961 //
     /*  849631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849699 */     GIR_RootConstrainSelectedInstOperands,
     /*  849700 */     // GIR_Coverage, 23961,
     /*  849700 */     GIR_EraseRootFromParent_Done,
     /*  849701 */   // Label 13044: @849701
     /*  849701 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(849776), // Rule ID 23964 //
     /*  849706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849774 */     GIR_RootConstrainSelectedInstOperands,
     /*  849775 */     // GIR_Coverage, 23964,
     /*  849775 */     GIR_EraseRootFromParent_Done,
     /*  849776 */   // Label 13045: @849776
     /*  849776 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(849851), // Rule ID 23965 //
     /*  849781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849849 */     GIR_RootConstrainSelectedInstOperands,
     /*  849850 */     // GIR_Coverage, 23965,
     /*  849850 */     GIR_EraseRootFromParent_Done,
     /*  849851 */   // Label 13046: @849851
     /*  849851 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(849926), // Rule ID 23968 //
     /*  849856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849924 */     GIR_RootConstrainSelectedInstOperands,
     /*  849925 */     // GIR_Coverage, 23968,
     /*  849925 */     GIR_EraseRootFromParent_Done,
     /*  849926 */   // Label 13047: @849926
     /*  849926 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850001), // Rule ID 23969 //
     /*  849931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849999 */     GIR_RootConstrainSelectedInstOperands,
     /*  850000 */     // GIR_Coverage, 23969,
     /*  850000 */     GIR_EraseRootFromParent_Done,
     /*  850001 */   // Label 13048: @850001
     /*  850001 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850076), // Rule ID 23972 //
     /*  850006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850074 */     GIR_RootConstrainSelectedInstOperands,
     /*  850075 */     // GIR_Coverage, 23972,
     /*  850075 */     GIR_EraseRootFromParent_Done,
     /*  850076 */   // Label 13049: @850076
     /*  850076 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850151), // Rule ID 23973 //
     /*  850081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850149 */     GIR_RootConstrainSelectedInstOperands,
     /*  850150 */     // GIR_Coverage, 23973,
     /*  850150 */     GIR_EraseRootFromParent_Done,
     /*  850151 */   // Label 13050: @850151
     /*  850151 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850226), // Rule ID 23976 //
     /*  850156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850224 */     GIR_RootConstrainSelectedInstOperands,
     /*  850225 */     // GIR_Coverage, 23976,
     /*  850225 */     GIR_EraseRootFromParent_Done,
     /*  850226 */   // Label 13051: @850226
     /*  850226 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850301), // Rule ID 23977 //
     /*  850231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850299 */     GIR_RootConstrainSelectedInstOperands,
     /*  850300 */     // GIR_Coverage, 23977,
     /*  850300 */     GIR_EraseRootFromParent_Done,
     /*  850301 */   // Label 13052: @850301
     /*  850301 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850376), // Rule ID 23980 //
     /*  850306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850374 */     GIR_RootConstrainSelectedInstOperands,
     /*  850375 */     // GIR_Coverage, 23980,
     /*  850375 */     GIR_EraseRootFromParent_Done,
     /*  850376 */   // Label 13053: @850376
     /*  850376 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850451), // Rule ID 23981 //
     /*  850381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850449 */     GIR_RootConstrainSelectedInstOperands,
     /*  850450 */     // GIR_Coverage, 23981,
     /*  850450 */     GIR_EraseRootFromParent_Done,
     /*  850451 */   // Label 13054: @850451
     /*  850451 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850526), // Rule ID 23984 //
     /*  850456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850524 */     GIR_RootConstrainSelectedInstOperands,
     /*  850525 */     // GIR_Coverage, 23984,
     /*  850525 */     GIR_EraseRootFromParent_Done,
     /*  850526 */   // Label 13055: @850526
     /*  850526 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850601), // Rule ID 23985 //
     /*  850531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850599 */     GIR_RootConstrainSelectedInstOperands,
     /*  850600 */     // GIR_Coverage, 23985,
     /*  850600 */     GIR_EraseRootFromParent_Done,
     /*  850601 */   // Label 13056: @850601
     /*  850601 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850676), // Rule ID 23988 //
     /*  850606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850674 */     GIR_RootConstrainSelectedInstOperands,
     /*  850675 */     // GIR_Coverage, 23988,
     /*  850675 */     GIR_EraseRootFromParent_Done,
     /*  850676 */   // Label 13057: @850676
     /*  850676 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850751), // Rule ID 23989 //
     /*  850681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850749 */     GIR_RootConstrainSelectedInstOperands,
     /*  850750 */     // GIR_Coverage, 23989,
     /*  850750 */     GIR_EraseRootFromParent_Done,
     /*  850751 */   // Label 13058: @850751
     /*  850751 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(850826), // Rule ID 23992 //
     /*  850756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  850805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850824 */     GIR_RootConstrainSelectedInstOperands,
     /*  850825 */     // GIR_Coverage, 23992,
     /*  850825 */     GIR_EraseRootFromParent_Done,
     /*  850826 */   // Label 13059: @850826
     /*  850826 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(850901), // Rule ID 23993 //
     /*  850831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  850880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850899 */     GIR_RootConstrainSelectedInstOperands,
     /*  850900 */     // GIR_Coverage, 23993,
     /*  850900 */     GIR_EraseRootFromParent_Done,
     /*  850901 */   // Label 13060: @850901
     /*  850901 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(850976), // Rule ID 23996 //
     /*  850906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  850955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850974 */     GIR_RootConstrainSelectedInstOperands,
     /*  850975 */     // GIR_Coverage, 23996,
     /*  850975 */     GIR_EraseRootFromParent_Done,
     /*  850976 */   // Label 13061: @850976
     /*  850976 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851051), // Rule ID 23997 //
     /*  850981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851049 */     GIR_RootConstrainSelectedInstOperands,
     /*  851050 */     // GIR_Coverage, 23997,
     /*  851050 */     GIR_EraseRootFromParent_Done,
     /*  851051 */   // Label 13062: @851051
     /*  851051 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851126), // Rule ID 24000 //
     /*  851056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851124 */     GIR_RootConstrainSelectedInstOperands,
     /*  851125 */     // GIR_Coverage, 24000,
     /*  851125 */     GIR_EraseRootFromParent_Done,
     /*  851126 */   // Label 13063: @851126
     /*  851126 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851201), // Rule ID 24001 //
     /*  851131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851199 */     GIR_RootConstrainSelectedInstOperands,
     /*  851200 */     // GIR_Coverage, 24001,
     /*  851200 */     GIR_EraseRootFromParent_Done,
     /*  851201 */   // Label 13064: @851201
     /*  851201 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851276), // Rule ID 24004 //
     /*  851206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851274 */     GIR_RootConstrainSelectedInstOperands,
     /*  851275 */     // GIR_Coverage, 24004,
     /*  851275 */     GIR_EraseRootFromParent_Done,
     /*  851276 */   // Label 13065: @851276
     /*  851276 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851351), // Rule ID 24005 //
     /*  851281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851349 */     GIR_RootConstrainSelectedInstOperands,
     /*  851350 */     // GIR_Coverage, 24005,
     /*  851350 */     GIR_EraseRootFromParent_Done,
     /*  851351 */   // Label 13066: @851351
     /*  851351 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851426), // Rule ID 24008 //
     /*  851356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851424 */     GIR_RootConstrainSelectedInstOperands,
     /*  851425 */     // GIR_Coverage, 24008,
     /*  851425 */     GIR_EraseRootFromParent_Done,
     /*  851426 */   // Label 13067: @851426
     /*  851426 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851501), // Rule ID 24009 //
     /*  851431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851499 */     GIR_RootConstrainSelectedInstOperands,
     /*  851500 */     // GIR_Coverage, 24009,
     /*  851500 */     GIR_EraseRootFromParent_Done,
     /*  851501 */   // Label 13068: @851501
     /*  851501 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851576), // Rule ID 24012 //
     /*  851506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851574 */     GIR_RootConstrainSelectedInstOperands,
     /*  851575 */     // GIR_Coverage, 24012,
     /*  851575 */     GIR_EraseRootFromParent_Done,
     /*  851576 */   // Label 13069: @851576
     /*  851576 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851651), // Rule ID 24013 //
     /*  851581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851649 */     GIR_RootConstrainSelectedInstOperands,
     /*  851650 */     // GIR_Coverage, 24013,
     /*  851650 */     GIR_EraseRootFromParent_Done,
     /*  851651 */   // Label 13070: @851651
     /*  851651 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851726), // Rule ID 24016 //
     /*  851656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851724 */     GIR_RootConstrainSelectedInstOperands,
     /*  851725 */     // GIR_Coverage, 24016,
     /*  851725 */     GIR_EraseRootFromParent_Done,
     /*  851726 */   // Label 13071: @851726
     /*  851726 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(851801), // Rule ID 24017 //
     /*  851731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851799 */     GIR_RootConstrainSelectedInstOperands,
     /*  851800 */     // GIR_Coverage, 24017,
     /*  851800 */     GIR_EraseRootFromParent_Done,
     /*  851801 */   // Label 13072: @851801
     /*  851801 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(851876), // Rule ID 24020 //
     /*  851806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851874 */     GIR_RootConstrainSelectedInstOperands,
     /*  851875 */     // GIR_Coverage, 24020,
     /*  851875 */     GIR_EraseRootFromParent_Done,
     /*  851876 */   // Label 13073: @851876
     /*  851876 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(851951), // Rule ID 24021 //
     /*  851881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851949 */     GIR_RootConstrainSelectedInstOperands,
     /*  851950 */     // GIR_Coverage, 24021,
     /*  851950 */     GIR_EraseRootFromParent_Done,
     /*  851951 */   // Label 13074: @851951
     /*  851951 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852026), // Rule ID 24024 //
     /*  851956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852024 */     GIR_RootConstrainSelectedInstOperands,
     /*  852025 */     // GIR_Coverage, 24024,
     /*  852025 */     GIR_EraseRootFromParent_Done,
     /*  852026 */   // Label 13075: @852026
     /*  852026 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852101), // Rule ID 24025 //
     /*  852031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852099 */     GIR_RootConstrainSelectedInstOperands,
     /*  852100 */     // GIR_Coverage, 24025,
     /*  852100 */     GIR_EraseRootFromParent_Done,
     /*  852101 */   // Label 13076: @852101
     /*  852101 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852176), // Rule ID 24028 //
     /*  852106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852174 */     GIR_RootConstrainSelectedInstOperands,
     /*  852175 */     // GIR_Coverage, 24028,
     /*  852175 */     GIR_EraseRootFromParent_Done,
     /*  852176 */   // Label 13077: @852176
     /*  852176 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852251), // Rule ID 24029 //
     /*  852181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852249 */     GIR_RootConstrainSelectedInstOperands,
     /*  852250 */     // GIR_Coverage, 24029,
     /*  852250 */     GIR_EraseRootFromParent_Done,
     /*  852251 */   // Label 13078: @852251
     /*  852251 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852326), // Rule ID 24032 //
     /*  852256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852324 */     GIR_RootConstrainSelectedInstOperands,
     /*  852325 */     // GIR_Coverage, 24032,
     /*  852325 */     GIR_EraseRootFromParent_Done,
     /*  852326 */   // Label 13079: @852326
     /*  852326 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852401), // Rule ID 24033 //
     /*  852331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852399 */     GIR_RootConstrainSelectedInstOperands,
     /*  852400 */     // GIR_Coverage, 24033,
     /*  852400 */     GIR_EraseRootFromParent_Done,
     /*  852401 */   // Label 13080: @852401
     /*  852401 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852476), // Rule ID 24036 //
     /*  852406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852474 */     GIR_RootConstrainSelectedInstOperands,
     /*  852475 */     // GIR_Coverage, 24036,
     /*  852475 */     GIR_EraseRootFromParent_Done,
     /*  852476 */   // Label 13081: @852476
     /*  852476 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852551), // Rule ID 24037 //
     /*  852481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852549 */     GIR_RootConstrainSelectedInstOperands,
     /*  852550 */     // GIR_Coverage, 24037,
     /*  852550 */     GIR_EraseRootFromParent_Done,
     /*  852551 */   // Label 13082: @852551
     /*  852551 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852626), // Rule ID 24040 //
     /*  852556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  852567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  852570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  852573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  852605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852624 */     GIR_RootConstrainSelectedInstOperands,
     /*  852625 */     // GIR_Coverage, 24040,
     /*  852625 */     GIR_EraseRootFromParent_Done,
     /*  852626 */   // Label 13083: @852626
     /*  852626 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852701), // Rule ID 24041 //
     /*  852631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  852642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  852645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  852648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  852680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852699 */     GIR_RootConstrainSelectedInstOperands,
     /*  852700 */     // GIR_Coverage, 24041,
     /*  852700 */     GIR_EraseRootFromParent_Done,
     /*  852701 */   // Label 13084: @852701
     /*  852701 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(852776), // Rule ID 24044 //
     /*  852706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  852717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  852720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  852723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852774 */     GIR_RootConstrainSelectedInstOperands,
     /*  852775 */     // GIR_Coverage, 24044,
     /*  852775 */     GIR_EraseRootFromParent_Done,
     /*  852776 */   // Label 13085: @852776
     /*  852776 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(852851), // Rule ID 24045 //
     /*  852781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  852792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  852795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  852798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852849 */     GIR_RootConstrainSelectedInstOperands,
     /*  852850 */     // GIR_Coverage, 24045,
     /*  852850 */     GIR_EraseRootFromParent_Done,
     /*  852851 */   // Label 13086: @852851
     /*  852851 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(852926), // Rule ID 24048 //
     /*  852856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  852867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  852870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  852873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  852905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852924 */     GIR_RootConstrainSelectedInstOperands,
     /*  852925 */     // GIR_Coverage, 24048,
     /*  852925 */     GIR_EraseRootFromParent_Done,
     /*  852926 */   // Label 13087: @852926
     /*  852926 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853001), // Rule ID 24049 //
     /*  852931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  852942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  852945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  852948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  852980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852999 */     GIR_RootConstrainSelectedInstOperands,
     /*  853000 */     // GIR_Coverage, 24049,
     /*  853000 */     GIR_EraseRootFromParent_Done,
     /*  853001 */   // Label 13088: @853001
     /*  853001 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853076), // Rule ID 24052 //
     /*  853006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853074 */     GIR_RootConstrainSelectedInstOperands,
     /*  853075 */     // GIR_Coverage, 24052,
     /*  853075 */     GIR_EraseRootFromParent_Done,
     /*  853076 */   // Label 13089: @853076
     /*  853076 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853151), // Rule ID 24053 //
     /*  853081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853149 */     GIR_RootConstrainSelectedInstOperands,
     /*  853150 */     // GIR_Coverage, 24053,
     /*  853150 */     GIR_EraseRootFromParent_Done,
     /*  853151 */   // Label 13090: @853151
     /*  853151 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853226), // Rule ID 24056 //
     /*  853156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853224 */     GIR_RootConstrainSelectedInstOperands,
     /*  853225 */     // GIR_Coverage, 24056,
     /*  853225 */     GIR_EraseRootFromParent_Done,
     /*  853226 */   // Label 13091: @853226
     /*  853226 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853301), // Rule ID 24057 //
     /*  853231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853299 */     GIR_RootConstrainSelectedInstOperands,
     /*  853300 */     // GIR_Coverage, 24057,
     /*  853300 */     GIR_EraseRootFromParent_Done,
     /*  853301 */   // Label 13092: @853301
     /*  853301 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853376), // Rule ID 24060 //
     /*  853306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853374 */     GIR_RootConstrainSelectedInstOperands,
     /*  853375 */     // GIR_Coverage, 24060,
     /*  853375 */     GIR_EraseRootFromParent_Done,
     /*  853376 */   // Label 13093: @853376
     /*  853376 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853451), // Rule ID 24061 //
     /*  853381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853449 */     GIR_RootConstrainSelectedInstOperands,
     /*  853450 */     // GIR_Coverage, 24061,
     /*  853450 */     GIR_EraseRootFromParent_Done,
     /*  853451 */   // Label 13094: @853451
     /*  853451 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853526), // Rule ID 24064 //
     /*  853456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853524 */     GIR_RootConstrainSelectedInstOperands,
     /*  853525 */     // GIR_Coverage, 24064,
     /*  853525 */     GIR_EraseRootFromParent_Done,
     /*  853526 */   // Label 13095: @853526
     /*  853526 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853601), // Rule ID 24065 //
     /*  853531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853599 */     GIR_RootConstrainSelectedInstOperands,
     /*  853600 */     // GIR_Coverage, 24065,
     /*  853600 */     GIR_EraseRootFromParent_Done,
     /*  853601 */   // Label 13096: @853601
     /*  853601 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853676), // Rule ID 24068 //
     /*  853606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853674 */     GIR_RootConstrainSelectedInstOperands,
     /*  853675 */     // GIR_Coverage, 24068,
     /*  853675 */     GIR_EraseRootFromParent_Done,
     /*  853676 */   // Label 13097: @853676
     /*  853676 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853751), // Rule ID 24069 //
     /*  853681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853749 */     GIR_RootConstrainSelectedInstOperands,
     /*  853750 */     // GIR_Coverage, 24069,
     /*  853750 */     GIR_EraseRootFromParent_Done,
     /*  853751 */   // Label 13098: @853751
     /*  853751 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(853826), // Rule ID 24072 //
     /*  853756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853824 */     GIR_RootConstrainSelectedInstOperands,
     /*  853825 */     // GIR_Coverage, 24072,
     /*  853825 */     GIR_EraseRootFromParent_Done,
     /*  853826 */   // Label 13099: @853826
     /*  853826 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(853901), // Rule ID 24073 //
     /*  853831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853899 */     GIR_RootConstrainSelectedInstOperands,
     /*  853900 */     // GIR_Coverage, 24073,
     /*  853900 */     GIR_EraseRootFromParent_Done,
     /*  853901 */   // Label 13100: @853901
     /*  853901 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(853976), // Rule ID 24076 //
     /*  853906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  853909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853974 */     GIR_RootConstrainSelectedInstOperands,
     /*  853975 */     // GIR_Coverage, 24076,
     /*  853975 */     GIR_EraseRootFromParent_Done,
     /*  853976 */   // Label 13101: @853976
     /*  853976 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854051), // Rule ID 24077 //
     /*  853981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  853984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854049 */     GIR_RootConstrainSelectedInstOperands,
     /*  854050 */     // GIR_Coverage, 24077,
     /*  854050 */     GIR_EraseRootFromParent_Done,
     /*  854051 */   // Label 13102: @854051
     /*  854051 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854126), // Rule ID 24080 //
     /*  854056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854124 */     GIR_RootConstrainSelectedInstOperands,
     /*  854125 */     // GIR_Coverage, 24080,
     /*  854125 */     GIR_EraseRootFromParent_Done,
     /*  854126 */   // Label 13103: @854126
     /*  854126 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854201), // Rule ID 24081 //
     /*  854131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854199 */     GIR_RootConstrainSelectedInstOperands,
     /*  854200 */     // GIR_Coverage, 24081,
     /*  854200 */     GIR_EraseRootFromParent_Done,
     /*  854201 */   // Label 13104: @854201
     /*  854201 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854276), // Rule ID 24084 //
     /*  854206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854274 */     GIR_RootConstrainSelectedInstOperands,
     /*  854275 */     // GIR_Coverage, 24084,
     /*  854275 */     GIR_EraseRootFromParent_Done,
     /*  854276 */   // Label 13105: @854276
     /*  854276 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854351), // Rule ID 24085 //
     /*  854281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854349 */     GIR_RootConstrainSelectedInstOperands,
     /*  854350 */     // GIR_Coverage, 24085,
     /*  854350 */     GIR_EraseRootFromParent_Done,
     /*  854351 */   // Label 13106: @854351
     /*  854351 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854426), // Rule ID 24088 //
     /*  854356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854424 */     GIR_RootConstrainSelectedInstOperands,
     /*  854425 */     // GIR_Coverage, 24088,
     /*  854425 */     GIR_EraseRootFromParent_Done,
     /*  854426 */   // Label 13107: @854426
     /*  854426 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854501), // Rule ID 24089 //
     /*  854431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854499 */     GIR_RootConstrainSelectedInstOperands,
     /*  854500 */     // GIR_Coverage, 24089,
     /*  854500 */     GIR_EraseRootFromParent_Done,
     /*  854501 */   // Label 13108: @854501
     /*  854501 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854576), // Rule ID 24092 //
     /*  854506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854574 */     GIR_RootConstrainSelectedInstOperands,
     /*  854575 */     // GIR_Coverage, 24092,
     /*  854575 */     GIR_EraseRootFromParent_Done,
     /*  854576 */   // Label 13109: @854576
     /*  854576 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854651), // Rule ID 24093 //
     /*  854581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854649 */     GIR_RootConstrainSelectedInstOperands,
     /*  854650 */     // GIR_Coverage, 24093,
     /*  854650 */     GIR_EraseRootFromParent_Done,
     /*  854651 */   // Label 13110: @854651
     /*  854651 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854726), // Rule ID 24096 //
     /*  854656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854724 */     GIR_RootConstrainSelectedInstOperands,
     /*  854725 */     // GIR_Coverage, 24096,
     /*  854725 */     GIR_EraseRootFromParent_Done,
     /*  854726 */   // Label 13111: @854726
     /*  854726 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(854801), // Rule ID 24097 //
     /*  854731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854799 */     GIR_RootConstrainSelectedInstOperands,
     /*  854800 */     // GIR_Coverage, 24097,
     /*  854800 */     GIR_EraseRootFromParent_Done,
     /*  854801 */   // Label 13112: @854801
     /*  854801 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(854876), // Rule ID 24100 //
     /*  854806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854874 */     GIR_RootConstrainSelectedInstOperands,
     /*  854875 */     // GIR_Coverage, 24100,
     /*  854875 */     GIR_EraseRootFromParent_Done,
     /*  854876 */   // Label 13113: @854876
     /*  854876 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(854951), // Rule ID 24101 //
     /*  854881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854949 */     GIR_RootConstrainSelectedInstOperands,
     /*  854950 */     // GIR_Coverage, 24101,
     /*  854950 */     GIR_EraseRootFromParent_Done,
     /*  854951 */   // Label 13114: @854951
     /*  854951 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855026), // Rule ID 24104 //
     /*  854956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855024 */     GIR_RootConstrainSelectedInstOperands,
     /*  855025 */     // GIR_Coverage, 24104,
     /*  855025 */     GIR_EraseRootFromParent_Done,
     /*  855026 */   // Label 13115: @855026
     /*  855026 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855101), // Rule ID 24105 //
     /*  855031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855099 */     GIR_RootConstrainSelectedInstOperands,
     /*  855100 */     // GIR_Coverage, 24105,
     /*  855100 */     GIR_EraseRootFromParent_Done,
     /*  855101 */   // Label 13116: @855101
     /*  855101 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855176), // Rule ID 24108 //
     /*  855106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855174 */     GIR_RootConstrainSelectedInstOperands,
     /*  855175 */     // GIR_Coverage, 24108,
     /*  855175 */     GIR_EraseRootFromParent_Done,
     /*  855176 */   // Label 13117: @855176
     /*  855176 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855251), // Rule ID 24109 //
     /*  855181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855249 */     GIR_RootConstrainSelectedInstOperands,
     /*  855250 */     // GIR_Coverage, 24109,
     /*  855250 */     GIR_EraseRootFromParent_Done,
     /*  855251 */   // Label 13118: @855251
     /*  855251 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855326), // Rule ID 24112 //
     /*  855256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855324 */     GIR_RootConstrainSelectedInstOperands,
     /*  855325 */     // GIR_Coverage, 24112,
     /*  855325 */     GIR_EraseRootFromParent_Done,
     /*  855326 */   // Label 13119: @855326
     /*  855326 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855401), // Rule ID 24113 //
     /*  855331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855399 */     GIR_RootConstrainSelectedInstOperands,
     /*  855400 */     // GIR_Coverage, 24113,
     /*  855400 */     GIR_EraseRootFromParent_Done,
     /*  855401 */   // Label 13120: @855401
     /*  855401 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855476), // Rule ID 24116 //
     /*  855406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855474 */     GIR_RootConstrainSelectedInstOperands,
     /*  855475 */     // GIR_Coverage, 24116,
     /*  855475 */     GIR_EraseRootFromParent_Done,
     /*  855476 */   // Label 13121: @855476
     /*  855476 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855551), // Rule ID 24117 //
     /*  855481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855549 */     GIR_RootConstrainSelectedInstOperands,
     /*  855550 */     // GIR_Coverage, 24117,
     /*  855550 */     GIR_EraseRootFromParent_Done,
     /*  855551 */   // Label 13122: @855551
     /*  855551 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855626), // Rule ID 24120 //
     /*  855556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855624 */     GIR_RootConstrainSelectedInstOperands,
     /*  855625 */     // GIR_Coverage, 24120,
     /*  855625 */     GIR_EraseRootFromParent_Done,
     /*  855626 */   // Label 13123: @855626
     /*  855626 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855701), // Rule ID 24121 //
     /*  855631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855699 */     GIR_RootConstrainSelectedInstOperands,
     /*  855700 */     // GIR_Coverage, 24121,
     /*  855700 */     GIR_EraseRootFromParent_Done,
     /*  855701 */   // Label 13124: @855701
     /*  855701 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(855776), // Rule ID 24124 //
     /*  855706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855774 */     GIR_RootConstrainSelectedInstOperands,
     /*  855775 */     // GIR_Coverage, 24124,
     /*  855775 */     GIR_EraseRootFromParent_Done,
     /*  855776 */   // Label 13125: @855776
     /*  855776 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(855851), // Rule ID 24125 //
     /*  855781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855849 */     GIR_RootConstrainSelectedInstOperands,
     /*  855850 */     // GIR_Coverage, 24125,
     /*  855850 */     GIR_EraseRootFromParent_Done,
     /*  855851 */   // Label 13126: @855851
     /*  855851 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(855926), // Rule ID 24368 //
     /*  855856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  855867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  855870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  855873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  855905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855924 */     GIR_RootConstrainSelectedInstOperands,
     /*  855925 */     // GIR_Coverage, 24368,
     /*  855925 */     GIR_EraseRootFromParent_Done,
     /*  855926 */   // Label 13127: @855926
     /*  855926 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856001), // Rule ID 24369 //
     /*  855931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  855942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  855945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  855948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  855980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855999 */     GIR_RootConstrainSelectedInstOperands,
     /*  856000 */     // GIR_Coverage, 24369,
     /*  856000 */     GIR_EraseRootFromParent_Done,
     /*  856001 */   // Label 13128: @856001
     /*  856001 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856076), // Rule ID 24372 //
     /*  856006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  856055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856074 */     GIR_RootConstrainSelectedInstOperands,
     /*  856075 */     // GIR_Coverage, 24372,
     /*  856075 */     GIR_EraseRootFromParent_Done,
     /*  856076 */   // Label 13129: @856076
     /*  856076 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856151), // Rule ID 24373 //
     /*  856081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  856130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856149 */     GIR_RootConstrainSelectedInstOperands,
     /*  856150 */     // GIR_Coverage, 24373,
     /*  856150 */     GIR_EraseRootFromParent_Done,
     /*  856151 */   // Label 13130: @856151
     /*  856151 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856226), // Rule ID 24376 //
     /*  856156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856202 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856224 */     GIR_RootConstrainSelectedInstOperands,
     /*  856225 */     // GIR_Coverage, 24376,
     /*  856225 */     GIR_EraseRootFromParent_Done,
     /*  856226 */   // Label 13131: @856226
     /*  856226 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856301), // Rule ID 24377 //
     /*  856231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856299 */     GIR_RootConstrainSelectedInstOperands,
     /*  856300 */     // GIR_Coverage, 24377,
     /*  856300 */     GIR_EraseRootFromParent_Done,
     /*  856301 */   // Label 13132: @856301
     /*  856301 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856376), // Rule ID 24380 //
     /*  856306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856374 */     GIR_RootConstrainSelectedInstOperands,
     /*  856375 */     // GIR_Coverage, 24380,
     /*  856375 */     GIR_EraseRootFromParent_Done,
     /*  856376 */   // Label 13133: @856376
     /*  856376 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856451), // Rule ID 24381 //
     /*  856381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856449 */     GIR_RootConstrainSelectedInstOperands,
     /*  856450 */     // GIR_Coverage, 24381,
     /*  856450 */     GIR_EraseRootFromParent_Done,
     /*  856451 */   // Label 13134: @856451
     /*  856451 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856526), // Rule ID 24384 //
     /*  856456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  856505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856524 */     GIR_RootConstrainSelectedInstOperands,
     /*  856525 */     // GIR_Coverage, 24384,
     /*  856525 */     GIR_EraseRootFromParent_Done,
     /*  856526 */   // Label 13135: @856526
     /*  856526 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856601), // Rule ID 24385 //
     /*  856531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  856580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856599 */     GIR_RootConstrainSelectedInstOperands,
     /*  856600 */     // GIR_Coverage, 24385,
     /*  856600 */     GIR_EraseRootFromParent_Done,
     /*  856601 */   // Label 13136: @856601
     /*  856601 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856676), // Rule ID 24388 //
     /*  856606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  856609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  856655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856674 */     GIR_RootConstrainSelectedInstOperands,
     /*  856675 */     // GIR_Coverage, 24388,
     /*  856675 */     GIR_EraseRootFromParent_Done,
     /*  856676 */   // Label 13137: @856676
     /*  856676 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856751), // Rule ID 24389 //
     /*  856681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  856684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  856730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856749 */     GIR_RootConstrainSelectedInstOperands,
     /*  856750 */     // GIR_Coverage, 24389,
     /*  856750 */     GIR_EraseRootFromParent_Done,
     /*  856751 */   // Label 13138: @856751
     /*  856751 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(856826), // Rule ID 24392 //
     /*  856756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  856805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856824 */     GIR_RootConstrainSelectedInstOperands,
     /*  856825 */     // GIR_Coverage, 24392,
     /*  856825 */     GIR_EraseRootFromParent_Done,
     /*  856826 */   // Label 13139: @856826
     /*  856826 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(856901), // Rule ID 24393 //
     /*  856831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856877 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  856880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856899 */     GIR_RootConstrainSelectedInstOperands,
     /*  856900 */     // GIR_Coverage, 24393,
     /*  856900 */     GIR_EraseRootFromParent_Done,
     /*  856901 */   // Label 13140: @856901
     /*  856901 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(856976), // Rule ID 24396 //
     /*  856906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  856955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856974 */     GIR_RootConstrainSelectedInstOperands,
     /*  856975 */     // GIR_Coverage, 24396,
     /*  856975 */     GIR_EraseRootFromParent_Done,
     /*  856976 */   // Label 13141: @856976
     /*  856976 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857051), // Rule ID 24397 //
     /*  856981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857027 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  857030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857049 */     GIR_RootConstrainSelectedInstOperands,
     /*  857050 */     // GIR_Coverage, 24397,
     /*  857050 */     GIR_EraseRootFromParent_Done,
     /*  857051 */   // Label 13142: @857051
     /*  857051 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857126), // Rule ID 24400 //
     /*  857056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  857059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857102 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  857105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857124 */     GIR_RootConstrainSelectedInstOperands,
     /*  857125 */     // GIR_Coverage, 24400,
     /*  857125 */     GIR_EraseRootFromParent_Done,
     /*  857126 */   // Label 13143: @857126
     /*  857126 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857201), // Rule ID 24401 //
     /*  857131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  857134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  857180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857199 */     GIR_RootConstrainSelectedInstOperands,
     /*  857200 */     // GIR_Coverage, 24401,
     /*  857200 */     GIR_EraseRootFromParent_Done,
     /*  857201 */   // Label 13144: @857201
     /*  857201 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857276), // Rule ID 24404 //
     /*  857206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857274 */     GIR_RootConstrainSelectedInstOperands,
     /*  857275 */     // GIR_Coverage, 24404,
     /*  857275 */     GIR_EraseRootFromParent_Done,
     /*  857276 */   // Label 13145: @857276
     /*  857276 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857351), // Rule ID 24405 //
     /*  857281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857349 */     GIR_RootConstrainSelectedInstOperands,
     /*  857350 */     // GIR_Coverage, 24405,
     /*  857350 */     GIR_EraseRootFromParent_Done,
     /*  857351 */   // Label 13146: @857351
     /*  857351 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857426), // Rule ID 24408 //
     /*  857356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857424 */     GIR_RootConstrainSelectedInstOperands,
     /*  857425 */     // GIR_Coverage, 24408,
     /*  857425 */     GIR_EraseRootFromParent_Done,
     /*  857426 */   // Label 13147: @857426
     /*  857426 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857501), // Rule ID 24409 //
     /*  857431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857499 */     GIR_RootConstrainSelectedInstOperands,
     /*  857500 */     // GIR_Coverage, 24409,
     /*  857500 */     GIR_EraseRootFromParent_Done,
     /*  857501 */   // Label 13148: @857501
     /*  857501 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857576), // Rule ID 24412 //
     /*  857506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  857555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857574 */     GIR_RootConstrainSelectedInstOperands,
     /*  857575 */     // GIR_Coverage, 24412,
     /*  857575 */     GIR_EraseRootFromParent_Done,
     /*  857576 */   // Label 13149: @857576
     /*  857576 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857651), // Rule ID 24413 //
     /*  857581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  857630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857649 */     GIR_RootConstrainSelectedInstOperands,
     /*  857650 */     // GIR_Coverage, 24413,
     /*  857650 */     GIR_EraseRootFromParent_Done,
     /*  857651 */   // Label 13150: @857651
     /*  857651 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857726), // Rule ID 24416 //
     /*  857656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  857705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857724 */     GIR_RootConstrainSelectedInstOperands,
     /*  857725 */     // GIR_Coverage, 24416,
     /*  857725 */     GIR_EraseRootFromParent_Done,
     /*  857726 */   // Label 13151: @857726
     /*  857726 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(857801), // Rule ID 24417 //
     /*  857731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  857780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857799 */     GIR_RootConstrainSelectedInstOperands,
     /*  857800 */     // GIR_Coverage, 24417,
     /*  857800 */     GIR_EraseRootFromParent_Done,
     /*  857801 */   // Label 13152: @857801
     /*  857801 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(857876), // Rule ID 24420 //
     /*  857806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  857855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857874 */     GIR_RootConstrainSelectedInstOperands,
     /*  857875 */     // GIR_Coverage, 24420,
     /*  857875 */     GIR_EraseRootFromParent_Done,
     /*  857876 */   // Label 13153: @857876
     /*  857876 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(857951), // Rule ID 24421 //
     /*  857881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  857930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857949 */     GIR_RootConstrainSelectedInstOperands,
     /*  857950 */     // GIR_Coverage, 24421,
     /*  857950 */     GIR_EraseRootFromParent_Done,
     /*  857951 */   // Label 13154: @857951
     /*  857951 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858026), // Rule ID 24424 //
     /*  857956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  857967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  857970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  857973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  858005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858024 */     GIR_RootConstrainSelectedInstOperands,
     /*  858025 */     // GIR_Coverage, 24424,
     /*  858025 */     GIR_EraseRootFromParent_Done,
     /*  858026 */   // Label 13155: @858026
     /*  858026 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858101), // Rule ID 24425 //
     /*  858031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  858080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858099 */     GIR_RootConstrainSelectedInstOperands,
     /*  858100 */     // GIR_Coverage, 24425,
     /*  858100 */     GIR_EraseRootFromParent_Done,
     /*  858101 */   // Label 13156: @858101
     /*  858101 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858176), // Rule ID 24428 //
     /*  858106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  858155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858174 */     GIR_RootConstrainSelectedInstOperands,
     /*  858175 */     // GIR_Coverage, 24428,
     /*  858175 */     GIR_EraseRootFromParent_Done,
     /*  858176 */   // Label 13157: @858176
     /*  858176 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858251), // Rule ID 24429 //
     /*  858181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  858230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858249 */     GIR_RootConstrainSelectedInstOperands,
     /*  858250 */     // GIR_Coverage, 24429,
     /*  858250 */     GIR_EraseRootFromParent_Done,
     /*  858251 */   // Label 13158: @858251
     /*  858251 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858326), // Rule ID 24432 //
     /*  858256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858302 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858324 */     GIR_RootConstrainSelectedInstOperands,
     /*  858325 */     // GIR_Coverage, 24432,
     /*  858325 */     GIR_EraseRootFromParent_Done,
     /*  858326 */   // Label 13159: @858326
     /*  858326 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858401), // Rule ID 24433 //
     /*  858331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858399 */     GIR_RootConstrainSelectedInstOperands,
     /*  858400 */     // GIR_Coverage, 24433,
     /*  858400 */     GIR_EraseRootFromParent_Done,
     /*  858401 */   // Label 13160: @858401
     /*  858401 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858476), // Rule ID 24436 //
     /*  858406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  858409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  858455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858474 */     GIR_RootConstrainSelectedInstOperands,
     /*  858475 */     // GIR_Coverage, 24436,
     /*  858475 */     GIR_EraseRootFromParent_Done,
     /*  858476 */   // Label 13161: @858476
     /*  858476 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858551), // Rule ID 24437 //
     /*  858481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858527 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  858530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858549 */     GIR_RootConstrainSelectedInstOperands,
     /*  858550 */     // GIR_Coverage, 24437,
     /*  858550 */     GIR_EraseRootFromParent_Done,
     /*  858551 */   // Label 13162: @858551
     /*  858551 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858626), // Rule ID 24440 //
     /*  858556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  858605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858624 */     GIR_RootConstrainSelectedInstOperands,
     /*  858625 */     // GIR_Coverage, 24440,
     /*  858625 */     GIR_EraseRootFromParent_Done,
     /*  858626 */   // Label 13163: @858626
     /*  858626 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858701), // Rule ID 24441 //
     /*  858631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  858680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858699 */     GIR_RootConstrainSelectedInstOperands,
     /*  858700 */     // GIR_Coverage, 24441,
     /*  858700 */     GIR_EraseRootFromParent_Done,
     /*  858701 */   // Label 13164: @858701
     /*  858701 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(858776), // Rule ID 24444 //
     /*  858706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  858709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  858755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858774 */     GIR_RootConstrainSelectedInstOperands,
     /*  858775 */     // GIR_Coverage, 24444,
     /*  858775 */     GIR_EraseRootFromParent_Done,
     /*  858776 */   // Label 13165: @858776
     /*  858776 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(858851), // Rule ID 24445 //
     /*  858781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  858830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858849 */     GIR_RootConstrainSelectedInstOperands,
     /*  858850 */     // GIR_Coverage, 24445,
     /*  858850 */     GIR_EraseRootFromParent_Done,
     /*  858851 */   // Label 13166: @858851
     /*  858851 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(858926), // Rule ID 24448 //
     /*  858856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  858859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  858905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858924 */     GIR_RootConstrainSelectedInstOperands,
     /*  858925 */     // GIR_Coverage, 24448,
     /*  858925 */     GIR_EraseRootFromParent_Done,
     /*  858926 */   // Label 13167: @858926
     /*  858926 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859001), // Rule ID 24449 //
     /*  858931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  858980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858999 */     GIR_RootConstrainSelectedInstOperands,
     /*  859000 */     // GIR_Coverage, 24449,
     /*  859000 */     GIR_EraseRootFromParent_Done,
     /*  859001 */   // Label 13168: @859001
     /*  859001 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859076), // Rule ID 24452 //
     /*  859006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  859055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859074 */     GIR_RootConstrainSelectedInstOperands,
     /*  859075 */     // GIR_Coverage, 24452,
     /*  859075 */     GIR_EraseRootFromParent_Done,
     /*  859076 */   // Label 13169: @859076
     /*  859076 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859151), // Rule ID 24453 //
     /*  859081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  859130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859149 */     GIR_RootConstrainSelectedInstOperands,
     /*  859150 */     // GIR_Coverage, 24453,
     /*  859150 */     GIR_EraseRootFromParent_Done,
     /*  859151 */   // Label 13170: @859151
     /*  859151 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859226), // Rule ID 24456 //
     /*  859156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859224 */     GIR_RootConstrainSelectedInstOperands,
     /*  859225 */     // GIR_Coverage, 24456,
     /*  859225 */     GIR_EraseRootFromParent_Done,
     /*  859226 */   // Label 13171: @859226
     /*  859226 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859301), // Rule ID 24457 //
     /*  859231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859299 */     GIR_RootConstrainSelectedInstOperands,
     /*  859300 */     // GIR_Coverage, 24457,
     /*  859300 */     GIR_EraseRootFromParent_Done,
     /*  859301 */   // Label 13172: @859301
     /*  859301 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859376), // Rule ID 24460 //
     /*  859306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859352 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859374 */     GIR_RootConstrainSelectedInstOperands,
     /*  859375 */     // GIR_Coverage, 24460,
     /*  859375 */     GIR_EraseRootFromParent_Done,
     /*  859376 */   // Label 13173: @859376
     /*  859376 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859451), // Rule ID 24461 //
     /*  859381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859427 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859449 */     GIR_RootConstrainSelectedInstOperands,
     /*  859450 */     // GIR_Coverage, 24461,
     /*  859450 */     GIR_EraseRootFromParent_Done,
     /*  859451 */   // Label 13174: @859451
     /*  859451 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859526), // Rule ID 24464 //
     /*  859456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859502 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  859505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859524 */     GIR_RootConstrainSelectedInstOperands,
     /*  859525 */     // GIR_Coverage, 24464,
     /*  859525 */     GIR_EraseRootFromParent_Done,
     /*  859526 */   // Label 13175: @859526
     /*  859526 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859601), // Rule ID 24465 //
     /*  859531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  859580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859599 */     GIR_RootConstrainSelectedInstOperands,
     /*  859600 */     // GIR_Coverage, 24465,
     /*  859600 */     GIR_EraseRootFromParent_Done,
     /*  859601 */   // Label 13176: @859601
     /*  859601 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859676), // Rule ID 24468 //
     /*  859606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  859655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859674 */     GIR_RootConstrainSelectedInstOperands,
     /*  859675 */     // GIR_Coverage, 24468,
     /*  859675 */     GIR_EraseRootFromParent_Done,
     /*  859676 */   // Label 13177: @859676
     /*  859676 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(859751), // Rule ID 24469 //
     /*  859681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859727 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  859730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859749 */     GIR_RootConstrainSelectedInstOperands,
     /*  859750 */     // GIR_Coverage, 24469,
     /*  859750 */     GIR_EraseRootFromParent_Done,
     /*  859751 */   // Label 13178: @859751
     /*  859751 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(859826), // Rule ID 24472 //
     /*  859756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859802 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  859805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859824 */     GIR_RootConstrainSelectedInstOperands,
     /*  859825 */     // GIR_Coverage, 24472,
     /*  859825 */     GIR_EraseRootFromParent_Done,
     /*  859826 */   // Label 13179: @859826
     /*  859826 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(859901), // Rule ID 24473 //
     /*  859831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  859880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859899 */     GIR_RootConstrainSelectedInstOperands,
     /*  859900 */     // GIR_Coverage, 24473,
     /*  859900 */     GIR_EraseRootFromParent_Done,
     /*  859901 */   // Label 13180: @859901
     /*  859901 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(859976), // Rule ID 24476 //
     /*  859906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  859909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  859955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859974 */     GIR_RootConstrainSelectedInstOperands,
     /*  859975 */     // GIR_Coverage, 24476,
     /*  859975 */     GIR_EraseRootFromParent_Done,
     /*  859976 */   // Label 13181: @859976
     /*  859976 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860051), // Rule ID 24477 //
     /*  859981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  859984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  860030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860049 */     GIR_RootConstrainSelectedInstOperands,
     /*  860050 */     // GIR_Coverage, 24477,
     /*  860050 */     GIR_EraseRootFromParent_Done,
     /*  860051 */   // Label 13182: @860051
     /*  860051 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860126), // Rule ID 24480 //
     /*  860056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  860105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860124 */     GIR_RootConstrainSelectedInstOperands,
     /*  860125 */     // GIR_Coverage, 24480,
     /*  860125 */     GIR_EraseRootFromParent_Done,
     /*  860126 */   // Label 13183: @860126
     /*  860126 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860201), // Rule ID 24481 //
     /*  860131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  860180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860199 */     GIR_RootConstrainSelectedInstOperands,
     /*  860200 */     // GIR_Coverage, 24481,
     /*  860200 */     GIR_EraseRootFromParent_Done,
     /*  860201 */   // Label 13184: @860201
     /*  860201 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860276), // Rule ID 24484 //
     /*  860206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860274 */     GIR_RootConstrainSelectedInstOperands,
     /*  860275 */     // GIR_Coverage, 24484,
     /*  860275 */     GIR_EraseRootFromParent_Done,
     /*  860276 */   // Label 13185: @860276
     /*  860276 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860351), // Rule ID 24485 //
     /*  860281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860349 */     GIR_RootConstrainSelectedInstOperands,
     /*  860350 */     // GIR_Coverage, 24485,
     /*  860350 */     GIR_EraseRootFromParent_Done,
     /*  860351 */   // Label 13186: @860351
     /*  860351 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860426), // Rule ID 24488 //
     /*  860356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860424 */     GIR_RootConstrainSelectedInstOperands,
     /*  860425 */     // GIR_Coverage, 24488,
     /*  860425 */     GIR_EraseRootFromParent_Done,
     /*  860426 */   // Label 13187: @860426
     /*  860426 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860501), // Rule ID 24489 //
     /*  860431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860499 */     GIR_RootConstrainSelectedInstOperands,
     /*  860500 */     // GIR_Coverage, 24489,
     /*  860500 */     GIR_EraseRootFromParent_Done,
     /*  860501 */   // Label 13188: @860501
     /*  860501 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860576), // Rule ID 24492 //
     /*  860506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  860526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  860555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860574 */     GIR_RootConstrainSelectedInstOperands,
     /*  860575 */     // GIR_Coverage, 24492,
     /*  860575 */     GIR_EraseRootFromParent_Done,
     /*  860576 */   // Label 13189: @860576
     /*  860576 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860651), // Rule ID 24493 //
     /*  860581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  860601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  860630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860649 */     GIR_RootConstrainSelectedInstOperands,
     /*  860650 */     // GIR_Coverage, 24493,
     /*  860650 */     GIR_EraseRootFromParent_Done,
     /*  860651 */   // Label 13190: @860651
     /*  860651 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(860726), // Rule ID 24496 //
     /*  860656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  860676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  860705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860724 */     GIR_RootConstrainSelectedInstOperands,
     /*  860725 */     // GIR_Coverage, 24496,
     /*  860725 */     GIR_EraseRootFromParent_Done,
     /*  860726 */   // Label 13191: @860726
     /*  860726 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(860801), // Rule ID 24497 //
     /*  860731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  860751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  860780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860799 */     GIR_RootConstrainSelectedInstOperands,
     /*  860800 */     // GIR_Coverage, 24497,
     /*  860800 */     GIR_EraseRootFromParent_Done,
     /*  860801 */   // Label 13192: @860801
     /*  860801 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(860876), // Rule ID 24500 //
     /*  860806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  860855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860874 */     GIR_RootConstrainSelectedInstOperands,
     /*  860875 */     // GIR_Coverage, 24500,
     /*  860875 */     GIR_EraseRootFromParent_Done,
     /*  860876 */   // Label 13193: @860876
     /*  860876 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(860951), // Rule ID 24501 //
     /*  860881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  860930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860949 */     GIR_RootConstrainSelectedInstOperands,
     /*  860950 */     // GIR_Coverage, 24501,
     /*  860950 */     GIR_EraseRootFromParent_Done,
     /*  860951 */   // Label 13194: @860951
     /*  860951 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861026), // Rule ID 24504 //
     /*  860956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  860967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  860970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  860973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  860976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  861005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861024 */     GIR_RootConstrainSelectedInstOperands,
     /*  861025 */     // GIR_Coverage, 24504,
     /*  861025 */     GIR_EraseRootFromParent_Done,
     /*  861026 */   // Label 13195: @861026
     /*  861026 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861101), // Rule ID 24505 //
     /*  861031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  861042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  861045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  861048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  861080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861099 */     GIR_RootConstrainSelectedInstOperands,
     /*  861100 */     // GIR_Coverage, 24505,
     /*  861100 */     GIR_EraseRootFromParent_Done,
     /*  861101 */   // Label 13196: @861101
     /*  861101 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861176), // Rule ID 24508 //
     /*  861106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  861126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  861155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861174 */     GIR_RootConstrainSelectedInstOperands,
     /*  861175 */     // GIR_Coverage, 24508,
     /*  861175 */     GIR_EraseRootFromParent_Done,
     /*  861176 */   // Label 13197: @861176
     /*  861176 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861251), // Rule ID 24509 //
     /*  861181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  861201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  861230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861249 */     GIR_RootConstrainSelectedInstOperands,
     /*  861250 */     // GIR_Coverage, 24509,
     /*  861250 */     GIR_EraseRootFromParent_Done,
     /*  861251 */   // Label 13198: @861251
     /*  861251 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861326), // Rule ID 24512 //
     /*  861256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861324 */     GIR_RootConstrainSelectedInstOperands,
     /*  861325 */     // GIR_Coverage, 24512,
     /*  861325 */     GIR_EraseRootFromParent_Done,
     /*  861326 */   // Label 13199: @861326
     /*  861326 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861401), // Rule ID 24513 //
     /*  861331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861399 */     GIR_RootConstrainSelectedInstOperands,
     /*  861400 */     // GIR_Coverage, 24513,
     /*  861400 */     GIR_EraseRootFromParent_Done,
     /*  861401 */   // Label 13200: @861401
     /*  861401 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861476), // Rule ID 24516 //
     /*  861406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  861455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861474 */     GIR_RootConstrainSelectedInstOperands,
     /*  861475 */     // GIR_Coverage, 24516,
     /*  861475 */     GIR_EraseRootFromParent_Done,
     /*  861476 */   // Label 13201: @861476
     /*  861476 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861551), // Rule ID 24517 //
     /*  861481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  861530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861549 */     GIR_RootConstrainSelectedInstOperands,
     /*  861550 */     // GIR_Coverage, 24517,
     /*  861550 */     GIR_EraseRootFromParent_Done,
     /*  861551 */   // Label 13202: @861551
     /*  861551 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861626), // Rule ID 24520 //
     /*  861556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  861576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  861605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861624 */     GIR_RootConstrainSelectedInstOperands,
     /*  861625 */     // GIR_Coverage, 24520,
     /*  861625 */     GIR_EraseRootFromParent_Done,
     /*  861626 */   // Label 13203: @861626
     /*  861626 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861701), // Rule ID 24521 //
     /*  861631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  861651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  861680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861699 */     GIR_RootConstrainSelectedInstOperands,
     /*  861700 */     // GIR_Coverage, 24521,
     /*  861700 */     GIR_EraseRootFromParent_Done,
     /*  861701 */   // Label 13204: @861701
     /*  861701 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(861776), // Rule ID 24524 //
     /*  861706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  861726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  861755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861774 */     GIR_RootConstrainSelectedInstOperands,
     /*  861775 */     // GIR_Coverage, 24524,
     /*  861775 */     GIR_EraseRootFromParent_Done,
     /*  861776 */   // Label 13205: @861776
     /*  861776 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(861851), // Rule ID 24525 //
     /*  861781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  861801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  861830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861849 */     GIR_RootConstrainSelectedInstOperands,
     /*  861850 */     // GIR_Coverage, 24525,
     /*  861850 */     GIR_EraseRootFromParent_Done,
     /*  861851 */   // Label 13206: @861851
     /*  861851 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(861926), // Rule ID 24528 //
     /*  861856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  861876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  861905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861924 */     GIR_RootConstrainSelectedInstOperands,
     /*  861925 */     // GIR_Coverage, 24528,
     /*  861925 */     GIR_EraseRootFromParent_Done,
     /*  861926 */   // Label 13207: @861926
     /*  861926 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862001), // Rule ID 24529 //
     /*  861931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  861951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  861980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861999 */     GIR_RootConstrainSelectedInstOperands,
     /*  862000 */     // GIR_Coverage, 24529,
     /*  862000 */     GIR_EraseRootFromParent_Done,
     /*  862001 */   // Label 13208: @862001
     /*  862001 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862076), // Rule ID 24532 //
     /*  862006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  862026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  862055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862074 */     GIR_RootConstrainSelectedInstOperands,
     /*  862075 */     // GIR_Coverage, 24532,
     /*  862075 */     GIR_EraseRootFromParent_Done,
     /*  862076 */   // Label 13209: @862076
     /*  862076 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862151), // Rule ID 24533 //
     /*  862081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  862101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  862130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862149 */     GIR_RootConstrainSelectedInstOperands,
     /*  862150 */     // GIR_Coverage, 24533,
     /*  862150 */     GIR_EraseRootFromParent_Done,
     /*  862151 */   // Label 13210: @862151
     /*  862151 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862226), // Rule ID 24536 //
     /*  862156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  862167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  862170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  862173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  862176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862224 */     GIR_RootConstrainSelectedInstOperands,
     /*  862225 */     // GIR_Coverage, 24536,
     /*  862225 */     GIR_EraseRootFromParent_Done,
     /*  862226 */   // Label 13211: @862226
     /*  862226 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862301), // Rule ID 24537 //
     /*  862231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  862242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  862245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  862248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  862251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862299 */     GIR_RootConstrainSelectedInstOperands,
     /*  862300 */     // GIR_Coverage, 24537,
     /*  862300 */     GIR_EraseRootFromParent_Done,
     /*  862301 */   // Label 13212: @862301
     /*  862301 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862376), // Rule ID 24540 //
     /*  862306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862374 */     GIR_RootConstrainSelectedInstOperands,
     /*  862375 */     // GIR_Coverage, 24540,
     /*  862375 */     GIR_EraseRootFromParent_Done,
     /*  862376 */   // Label 13213: @862376
     /*  862376 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862451), // Rule ID 24541 //
     /*  862381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862449 */     GIR_RootConstrainSelectedInstOperands,
     /*  862450 */     // GIR_Coverage, 24541,
     /*  862450 */     GIR_EraseRootFromParent_Done,
     /*  862451 */   // Label 13214: @862451
     /*  862451 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862526), // Rule ID 24544 //
     /*  862456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862524 */     GIR_RootConstrainSelectedInstOperands,
     /*  862525 */     // GIR_Coverage, 24544,
     /*  862525 */     GIR_EraseRootFromParent_Done,
     /*  862526 */   // Label 13215: @862526
     /*  862526 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862601), // Rule ID 24545 //
     /*  862531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862599 */     GIR_RootConstrainSelectedInstOperands,
     /*  862600 */     // GIR_Coverage, 24545,
     /*  862600 */     GIR_EraseRootFromParent_Done,
     /*  862601 */   // Label 13216: @862601
     /*  862601 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862676), // Rule ID 24548 //
     /*  862606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862674 */     GIR_RootConstrainSelectedInstOperands,
     /*  862675 */     // GIR_Coverage, 24548,
     /*  862675 */     GIR_EraseRootFromParent_Done,
     /*  862676 */   // Label 13217: @862676
     /*  862676 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(862751), // Rule ID 24549 //
     /*  862681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862749 */     GIR_RootConstrainSelectedInstOperands,
     /*  862750 */     // GIR_Coverage, 24549,
     /*  862750 */     GIR_EraseRootFromParent_Done,
     /*  862751 */   // Label 13218: @862751
     /*  862751 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(862826), // Rule ID 24552 //
     /*  862756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  862805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862824 */     GIR_RootConstrainSelectedInstOperands,
     /*  862825 */     // GIR_Coverage, 24552,
     /*  862825 */     GIR_EraseRootFromParent_Done,
     /*  862826 */   // Label 13219: @862826
     /*  862826 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(862901), // Rule ID 24553 //
     /*  862831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  862880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862899 */     GIR_RootConstrainSelectedInstOperands,
     /*  862900 */     // GIR_Coverage, 24553,
     /*  862900 */     GIR_EraseRootFromParent_Done,
     /*  862901 */   // Label 13220: @862901
     /*  862901 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(862976), // Rule ID 24556 //
     /*  862906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  862955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862974 */     GIR_RootConstrainSelectedInstOperands,
     /*  862975 */     // GIR_Coverage, 24556,
     /*  862975 */     GIR_EraseRootFromParent_Done,
     /*  862976 */   // Label 13221: @862976
     /*  862976 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863051), // Rule ID 24557 //
     /*  862981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  863001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  863030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863049 */     GIR_RootConstrainSelectedInstOperands,
     /*  863050 */     // GIR_Coverage, 24557,
     /*  863050 */     GIR_EraseRootFromParent_Done,
     /*  863051 */   // Label 13222: @863051
     /*  863051 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863126), // Rule ID 24560 //
     /*  863056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  863105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863124 */     GIR_RootConstrainSelectedInstOperands,
     /*  863125 */     // GIR_Coverage, 24560,
     /*  863125 */     GIR_EraseRootFromParent_Done,
     /*  863126 */   // Label 13223: @863126
     /*  863126 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863201), // Rule ID 24561 //
     /*  863131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  863180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863199 */     GIR_RootConstrainSelectedInstOperands,
     /*  863200 */     // GIR_Coverage, 24561,
     /*  863200 */     GIR_EraseRootFromParent_Done,
     /*  863201 */   // Label 13224: @863201
     /*  863201 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863276), // Rule ID 24564 //
     /*  863206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863274 */     GIR_RootConstrainSelectedInstOperands,
     /*  863275 */     // GIR_Coverage, 24564,
     /*  863275 */     GIR_EraseRootFromParent_Done,
     /*  863276 */   // Label 13225: @863276
     /*  863276 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863351), // Rule ID 24565 //
     /*  863281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863349 */     GIR_RootConstrainSelectedInstOperands,
     /*  863350 */     // GIR_Coverage, 24565,
     /*  863350 */     GIR_EraseRootFromParent_Done,
     /*  863351 */   // Label 13226: @863351
     /*  863351 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863426), // Rule ID 24568 //
     /*  863356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863424 */     GIR_RootConstrainSelectedInstOperands,
     /*  863425 */     // GIR_Coverage, 24568,
     /*  863425 */     GIR_EraseRootFromParent_Done,
     /*  863426 */   // Label 13227: @863426
     /*  863426 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863501), // Rule ID 24569 //
     /*  863431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863499 */     GIR_RootConstrainSelectedInstOperands,
     /*  863500 */     // GIR_Coverage, 24569,
     /*  863500 */     GIR_EraseRootFromParent_Done,
     /*  863501 */   // Label 13228: @863501
     /*  863501 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863576), // Rule ID 24572 //
     /*  863506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  863526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  863555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863574 */     GIR_RootConstrainSelectedInstOperands,
     /*  863575 */     // GIR_Coverage, 24572,
     /*  863575 */     GIR_EraseRootFromParent_Done,
     /*  863576 */   // Label 13229: @863576
     /*  863576 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863651), // Rule ID 24573 //
     /*  863581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  863601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  863630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863649 */     GIR_RootConstrainSelectedInstOperands,
     /*  863650 */     // GIR_Coverage, 24573,
     /*  863650 */     GIR_EraseRootFromParent_Done,
     /*  863651 */   // Label 13230: @863651
     /*  863651 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(863726), // Rule ID 24576 //
     /*  863656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  863705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863724 */     GIR_RootConstrainSelectedInstOperands,
     /*  863725 */     // GIR_Coverage, 24576,
     /*  863725 */     GIR_EraseRootFromParent_Done,
     /*  863726 */   // Label 13231: @863726
     /*  863726 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(863801), // Rule ID 24577 //
     /*  863731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  863780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863799 */     GIR_RootConstrainSelectedInstOperands,
     /*  863800 */     // GIR_Coverage, 24577,
     /*  863800 */     GIR_EraseRootFromParent_Done,
     /*  863801 */   // Label 13232: @863801
     /*  863801 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(863876), // Rule ID 24580 //
     /*  863806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863874 */     GIR_RootConstrainSelectedInstOperands,
     /*  863875 */     // GIR_Coverage, 24580,
     /*  863875 */     GIR_EraseRootFromParent_Done,
     /*  863876 */   // Label 13233: @863876
     /*  863876 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(863951), // Rule ID 24581 //
     /*  863881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863949 */     GIR_RootConstrainSelectedInstOperands,
     /*  863950 */     // GIR_Coverage, 24581,
     /*  863950 */     GIR_EraseRootFromParent_Done,
     /*  863951 */   // Label 13234: @863951
     /*  863951 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864026), // Rule ID 24584 //
     /*  863956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  863967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  863970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  863973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864024 */     GIR_RootConstrainSelectedInstOperands,
     /*  864025 */     // GIR_Coverage, 24584,
     /*  864025 */     GIR_EraseRootFromParent_Done,
     /*  864026 */   // Label 13235: @864026
     /*  864026 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864101), // Rule ID 24585 //
     /*  864031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  864042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  864045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  864048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864099 */     GIR_RootConstrainSelectedInstOperands,
     /*  864100 */     // GIR_Coverage, 24585,
     /*  864100 */     GIR_EraseRootFromParent_Done,
     /*  864101 */   // Label 13236: @864101
     /*  864101 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864176), // Rule ID 24588 //
     /*  864106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  864120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864174 */     GIR_RootConstrainSelectedInstOperands,
     /*  864175 */     // GIR_Coverage, 24588,
     /*  864175 */     GIR_EraseRootFromParent_Done,
     /*  864176 */   // Label 13237: @864176
     /*  864176 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864251), // Rule ID 24589 //
     /*  864181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  864195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864249 */     GIR_RootConstrainSelectedInstOperands,
     /*  864250 */     // GIR_Coverage, 24589,
     /*  864250 */     GIR_EraseRootFromParent_Done,
     /*  864251 */   // Label 13238: @864251
     /*  864251 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864326), // Rule ID 24592 //
     /*  864256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864324 */     GIR_RootConstrainSelectedInstOperands,
     /*  864325 */     // GIR_Coverage, 24592,
     /*  864325 */     GIR_EraseRootFromParent_Done,
     /*  864326 */   // Label 13239: @864326
     /*  864326 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864401), // Rule ID 24593 //
     /*  864331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864399 */     GIR_RootConstrainSelectedInstOperands,
     /*  864400 */     // GIR_Coverage, 24593,
     /*  864400 */     GIR_EraseRootFromParent_Done,
     /*  864401 */   // Label 13240: @864401
     /*  864401 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864476), // Rule ID 24596 //
     /*  864406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864474 */     GIR_RootConstrainSelectedInstOperands,
     /*  864475 */     // GIR_Coverage, 24596,
     /*  864475 */     GIR_EraseRootFromParent_Done,
     /*  864476 */   // Label 13241: @864476
     /*  864476 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864551), // Rule ID 24597 //
     /*  864481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864549 */     GIR_RootConstrainSelectedInstOperands,
     /*  864550 */     // GIR_Coverage, 24597,
     /*  864550 */     GIR_EraseRootFromParent_Done,
     /*  864551 */   // Label 13242: @864551
     /*  864551 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864626), // Rule ID 24600 //
     /*  864556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864624 */     GIR_RootConstrainSelectedInstOperands,
     /*  864625 */     // GIR_Coverage, 24600,
     /*  864625 */     GIR_EraseRootFromParent_Done,
     /*  864626 */   // Label 13243: @864626
     /*  864626 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864701), // Rule ID 24601 //
     /*  864631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864699 */     GIR_RootConstrainSelectedInstOperands,
     /*  864700 */     // GIR_Coverage, 24601,
     /*  864700 */     GIR_EraseRootFromParent_Done,
     /*  864701 */   // Label 13244: @864701
     /*  864701 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(864776), // Rule ID 24604 //
     /*  864706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864774 */     GIR_RootConstrainSelectedInstOperands,
     /*  864775 */     // GIR_Coverage, 24604,
     /*  864775 */     GIR_EraseRootFromParent_Done,
     /*  864776 */   // Label 13245: @864776
     /*  864776 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(864851), // Rule ID 24605 //
     /*  864781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864849 */     GIR_RootConstrainSelectedInstOperands,
     /*  864850 */     // GIR_Coverage, 24605,
     /*  864850 */     GIR_EraseRootFromParent_Done,
     /*  864851 */   // Label 13246: @864851
     /*  864851 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(864926), // Rule ID 24608 //
     /*  864856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864924 */     GIR_RootConstrainSelectedInstOperands,
     /*  864925 */     // GIR_Coverage, 24608,
     /*  864925 */     GIR_EraseRootFromParent_Done,
     /*  864926 */   // Label 13247: @864926
     /*  864926 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865001), // Rule ID 24609 //
     /*  864931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864999 */     GIR_RootConstrainSelectedInstOperands,
     /*  865000 */     // GIR_Coverage, 24609,
     /*  865000 */     GIR_EraseRootFromParent_Done,
     /*  865001 */   // Label 13248: @865001
     /*  865001 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865076), // Rule ID 24612 //
     /*  865006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  865009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865074 */     GIR_RootConstrainSelectedInstOperands,
     /*  865075 */     // GIR_Coverage, 24612,
     /*  865075 */     GIR_EraseRootFromParent_Done,
     /*  865076 */   // Label 13249: @865076
     /*  865076 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865151), // Rule ID 24613 //
     /*  865081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  865084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865149 */     GIR_RootConstrainSelectedInstOperands,
     /*  865150 */     // GIR_Coverage, 24613,
     /*  865150 */     GIR_EraseRootFromParent_Done,
     /*  865151 */   // Label 13250: @865151
     /*  865151 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865226), // Rule ID 24616 //
     /*  865156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  865167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  865170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  865173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865224 */     GIR_RootConstrainSelectedInstOperands,
     /*  865225 */     // GIR_Coverage, 24616,
     /*  865225 */     GIR_EraseRootFromParent_Done,
     /*  865226 */   // Label 13251: @865226
     /*  865226 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865301), // Rule ID 24617 //
     /*  865231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  865242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  865245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  865248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865299 */     GIR_RootConstrainSelectedInstOperands,
     /*  865300 */     // GIR_Coverage, 24617,
     /*  865300 */     GIR_EraseRootFromParent_Done,
     /*  865301 */   // Label 13252: @865301
     /*  865301 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865376), // Rule ID 24620 //
     /*  865306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865374 */     GIR_RootConstrainSelectedInstOperands,
     /*  865375 */     // GIR_Coverage, 24620,
     /*  865375 */     GIR_EraseRootFromParent_Done,
     /*  865376 */   // Label 13253: @865376
     /*  865376 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865451), // Rule ID 24621 //
     /*  865381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865449 */     GIR_RootConstrainSelectedInstOperands,
     /*  865450 */     // GIR_Coverage, 24621,
     /*  865450 */     GIR_EraseRootFromParent_Done,
     /*  865451 */   // Label 13254: @865451
     /*  865451 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865526), // Rule ID 24624 //
     /*  865456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  865467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  865470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  865473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865524 */     GIR_RootConstrainSelectedInstOperands,
     /*  865525 */     // GIR_Coverage, 24624,
     /*  865525 */     GIR_EraseRootFromParent_Done,
     /*  865526 */   // Label 13255: @865526
     /*  865526 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865601), // Rule ID 24625 //
     /*  865531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  865542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  865545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  865548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865599 */     GIR_RootConstrainSelectedInstOperands,
     /*  865600 */     // GIR_Coverage, 24625,
     /*  865600 */     GIR_EraseRootFromParent_Done,
     /*  865601 */   // Label 13256: @865601
     /*  865601 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865676), // Rule ID 24628 //
     /*  865606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865674 */     GIR_RootConstrainSelectedInstOperands,
     /*  865675 */     // GIR_Coverage, 24628,
     /*  865675 */     GIR_EraseRootFromParent_Done,
     /*  865676 */   // Label 13257: @865676
     /*  865676 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(865751), // Rule ID 24629 //
     /*  865681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865749 */     GIR_RootConstrainSelectedInstOperands,
     /*  865750 */     // GIR_Coverage, 24629,
     /*  865750 */     GIR_EraseRootFromParent_Done,
     /*  865751 */   // Label 13258: @865751
     /*  865751 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(865826), // Rule ID 24632 //
     /*  865756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865824 */     GIR_RootConstrainSelectedInstOperands,
     /*  865825 */     // GIR_Coverage, 24632,
     /*  865825 */     GIR_EraseRootFromParent_Done,
     /*  865826 */   // Label 13259: @865826
     /*  865826 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(865901), // Rule ID 24633 //
     /*  865831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865899 */     GIR_RootConstrainSelectedInstOperands,
     /*  865900 */     // GIR_Coverage, 24633,
     /*  865900 */     GIR_EraseRootFromParent_Done,
     /*  865901 */   // Label 13260: @865901
     /*  865901 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(865976), // Rule ID 24636 //
     /*  865906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865974 */     GIR_RootConstrainSelectedInstOperands,
     /*  865975 */     // GIR_Coverage, 24636,
     /*  865975 */     GIR_EraseRootFromParent_Done,
     /*  865976 */   // Label 13261: @865976
     /*  865976 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866051), // Rule ID 24637 //
     /*  865981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866049 */     GIR_RootConstrainSelectedInstOperands,
     /*  866050 */     // GIR_Coverage, 24637,
     /*  866050 */     GIR_EraseRootFromParent_Done,
     /*  866051 */   // Label 13262: @866051
     /*  866051 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866126), // Rule ID 24640 //
     /*  866056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866124 */     GIR_RootConstrainSelectedInstOperands,
     /*  866125 */     // GIR_Coverage, 24640,
     /*  866125 */     GIR_EraseRootFromParent_Done,
     /*  866126 */   // Label 13263: @866126
     /*  866126 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866201), // Rule ID 24641 //
     /*  866131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866199 */     GIR_RootConstrainSelectedInstOperands,
     /*  866200 */     // GIR_Coverage, 24641,
     /*  866200 */     GIR_EraseRootFromParent_Done,
     /*  866201 */   // Label 13264: @866201
     /*  866201 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866276), // Rule ID 24644 //
     /*  866206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866274 */     GIR_RootConstrainSelectedInstOperands,
     /*  866275 */     // GIR_Coverage, 24644,
     /*  866275 */     GIR_EraseRootFromParent_Done,
     /*  866276 */   // Label 13265: @866276
     /*  866276 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866351), // Rule ID 24645 //
     /*  866281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866349 */     GIR_RootConstrainSelectedInstOperands,
     /*  866350 */     // GIR_Coverage, 24645,
     /*  866350 */     GIR_EraseRootFromParent_Done,
     /*  866351 */   // Label 13266: @866351
     /*  866351 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866426), // Rule ID 24648 //
     /*  866356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866424 */     GIR_RootConstrainSelectedInstOperands,
     /*  866425 */     // GIR_Coverage, 24648,
     /*  866425 */     GIR_EraseRootFromParent_Done,
     /*  866426 */   // Label 13267: @866426
     /*  866426 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866501), // Rule ID 24649 //
     /*  866431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866499 */     GIR_RootConstrainSelectedInstOperands,
     /*  866500 */     // GIR_Coverage, 24649,
     /*  866500 */     GIR_EraseRootFromParent_Done,
     /*  866501 */   // Label 13268: @866501
     /*  866501 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866576), // Rule ID 24652 //
     /*  866506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866574 */     GIR_RootConstrainSelectedInstOperands,
     /*  866575 */     // GIR_Coverage, 24652,
     /*  866575 */     GIR_EraseRootFromParent_Done,
     /*  866576 */   // Label 13269: @866576
     /*  866576 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866651), // Rule ID 24653 //
     /*  866581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866649 */     GIR_RootConstrainSelectedInstOperands,
     /*  866650 */     // GIR_Coverage, 24653,
     /*  866650 */     GIR_EraseRootFromParent_Done,
     /*  866651 */   // Label 13270: @866651
     /*  866651 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(866726), // Rule ID 24656 //
     /*  866656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866724 */     GIR_RootConstrainSelectedInstOperands,
     /*  866725 */     // GIR_Coverage, 24656,
     /*  866725 */     GIR_EraseRootFromParent_Done,
     /*  866726 */   // Label 13271: @866726
     /*  866726 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(866801), // Rule ID 24657 //
     /*  866731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866799 */     GIR_RootConstrainSelectedInstOperands,
     /*  866800 */     // GIR_Coverage, 24657,
     /*  866800 */     GIR_EraseRootFromParent_Done,
     /*  866801 */   // Label 13272: @866801
     /*  866801 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(866876), // Rule ID 24660 //
     /*  866806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866874 */     GIR_RootConstrainSelectedInstOperands,
     /*  866875 */     // GIR_Coverage, 24660,
     /*  866875 */     GIR_EraseRootFromParent_Done,
     /*  866876 */   // Label 13273: @866876
     /*  866876 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(866951), // Rule ID 24661 //
     /*  866881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866949 */     GIR_RootConstrainSelectedInstOperands,
     /*  866950 */     // GIR_Coverage, 24661,
     /*  866950 */     GIR_EraseRootFromParent_Done,
     /*  866951 */   // Label 13274: @866951
     /*  866951 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867026), // Rule ID 24752 //
     /*  866956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  866967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  866970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  866973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  867005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867024 */     GIR_RootConstrainSelectedInstOperands,
     /*  867025 */     // GIR_Coverage, 24752,
     /*  867025 */     GIR_EraseRootFromParent_Done,
     /*  867026 */   // Label 13275: @867026
     /*  867026 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867101), // Rule ID 24753 //
     /*  867031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  867042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  867045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  867048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  867080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867099 */     GIR_RootConstrainSelectedInstOperands,
     /*  867100 */     // GIR_Coverage, 24753,
     /*  867100 */     GIR_EraseRootFromParent_Done,
     /*  867101 */   // Label 13276: @867101
     /*  867101 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867176), // Rule ID 24756 //
     /*  867106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  867117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  867120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  867123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  867155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867174 */     GIR_RootConstrainSelectedInstOperands,
     /*  867175 */     // GIR_Coverage, 24756,
     /*  867175 */     GIR_EraseRootFromParent_Done,
     /*  867176 */   // Label 13277: @867176
     /*  867176 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867251), // Rule ID 24757 //
     /*  867181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  867192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  867195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  867198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  867230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867249 */     GIR_RootConstrainSelectedInstOperands,
     /*  867250 */     // GIR_Coverage, 24757,
     /*  867250 */     GIR_EraseRootFromParent_Done,
     /*  867251 */   // Label 13278: @867251
     /*  867251 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867326), // Rule ID 24760 //
     /*  867256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867324 */     GIR_RootConstrainSelectedInstOperands,
     /*  867325 */     // GIR_Coverage, 24760,
     /*  867325 */     GIR_EraseRootFromParent_Done,
     /*  867326 */   // Label 13279: @867326
     /*  867326 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867401), // Rule ID 24761 //
     /*  867331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867399 */     GIR_RootConstrainSelectedInstOperands,
     /*  867400 */     // GIR_Coverage, 24761,
     /*  867400 */     GIR_EraseRootFromParent_Done,
     /*  867401 */   // Label 13280: @867401
     /*  867401 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867476), // Rule ID 24764 //
     /*  867406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  867455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867474 */     GIR_RootConstrainSelectedInstOperands,
     /*  867475 */     // GIR_Coverage, 24764,
     /*  867475 */     GIR_EraseRootFromParent_Done,
     /*  867476 */   // Label 13281: @867476
     /*  867476 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867551), // Rule ID 24765 //
     /*  867481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  867530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867549 */     GIR_RootConstrainSelectedInstOperands,
     /*  867550 */     // GIR_Coverage, 24765,
     /*  867550 */     GIR_EraseRootFromParent_Done,
     /*  867551 */   // Label 13282: @867551
     /*  867551 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867626), // Rule ID 24768 //
     /*  867556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  867605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867624 */     GIR_RootConstrainSelectedInstOperands,
     /*  867625 */     // GIR_Coverage, 24768,
     /*  867625 */     GIR_EraseRootFromParent_Done,
     /*  867626 */   // Label 13283: @867626
     /*  867626 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867701), // Rule ID 24769 //
     /*  867631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  867680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867699 */     GIR_RootConstrainSelectedInstOperands,
     /*  867700 */     // GIR_Coverage, 24769,
     /*  867700 */     GIR_EraseRootFromParent_Done,
     /*  867701 */   // Label 13284: @867701
     /*  867701 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(867776), // Rule ID 24772 //
     /*  867706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  867755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867774 */     GIR_RootConstrainSelectedInstOperands,
     /*  867775 */     // GIR_Coverage, 24772,
     /*  867775 */     GIR_EraseRootFromParent_Done,
     /*  867776 */   // Label 13285: @867776
     /*  867776 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(867851), // Rule ID 24773 //
     /*  867781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  867830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867849 */     GIR_RootConstrainSelectedInstOperands,
     /*  867850 */     // GIR_Coverage, 24773,
     /*  867850 */     GIR_EraseRootFromParent_Done,
     /*  867851 */   // Label 13286: @867851
     /*  867851 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(867926), // Rule ID 24776 //
     /*  867856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  867867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  867870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  867873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  867905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867924 */     GIR_RootConstrainSelectedInstOperands,
     /*  867925 */     // GIR_Coverage, 24776,
     /*  867925 */     GIR_EraseRootFromParent_Done,
     /*  867926 */   // Label 13287: @867926
     /*  867926 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868001), // Rule ID 24777 //
     /*  867931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  867942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  867945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  867948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  867980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867999 */     GIR_RootConstrainSelectedInstOperands,
     /*  868000 */     // GIR_Coverage, 24777,
     /*  868000 */     GIR_EraseRootFromParent_Done,
     /*  868001 */   // Label 13288: @868001
     /*  868001 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868076), // Rule ID 24780 //
     /*  868006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  868055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868074 */     GIR_RootConstrainSelectedInstOperands,
     /*  868075 */     // GIR_Coverage, 24780,
     /*  868075 */     GIR_EraseRootFromParent_Done,
     /*  868076 */   // Label 13289: @868076
     /*  868076 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868151), // Rule ID 24781 //
     /*  868081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  868130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868149 */     GIR_RootConstrainSelectedInstOperands,
     /*  868150 */     // GIR_Coverage, 24781,
     /*  868150 */     GIR_EraseRootFromParent_Done,
     /*  868151 */   // Label 13290: @868151
     /*  868151 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868226), // Rule ID 24784 //
     /*  868156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  868167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  868170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  868173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  868202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868224 */     GIR_RootConstrainSelectedInstOperands,
     /*  868225 */     // GIR_Coverage, 24784,
     /*  868225 */     GIR_EraseRootFromParent_Done,
     /*  868226 */   // Label 13291: @868226
     /*  868226 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868301), // Rule ID 24785 //
     /*  868231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  868242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  868245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  868248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868299 */     GIR_RootConstrainSelectedInstOperands,
     /*  868300 */     // GIR_Coverage, 24785,
     /*  868300 */     GIR_EraseRootFromParent_Done,
     /*  868301 */   // Label 13292: @868301
     /*  868301 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868376), // Rule ID 24788 //
     /*  868306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  868309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868374 */     GIR_RootConstrainSelectedInstOperands,
     /*  868375 */     // GIR_Coverage, 24788,
     /*  868375 */     GIR_EraseRootFromParent_Done,
     /*  868376 */   // Label 13293: @868376
     /*  868376 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868451), // Rule ID 24789 //
     /*  868381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  868384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868449 */     GIR_RootConstrainSelectedInstOperands,
     /*  868450 */     // GIR_Coverage, 24789,
     /*  868450 */     GIR_EraseRootFromParent_Done,
     /*  868451 */   // Label 13294: @868451
     /*  868451 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868526), // Rule ID 24792 //
     /*  868456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  868467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  868470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  868473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  868505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868524 */     GIR_RootConstrainSelectedInstOperands,
     /*  868525 */     // GIR_Coverage, 24792,
     /*  868525 */     GIR_EraseRootFromParent_Done,
     /*  868526 */   // Label 13295: @868526
     /*  868526 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868601), // Rule ID 24793 //
     /*  868531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  868542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  868545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  868548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  868577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  868580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868599 */     GIR_RootConstrainSelectedInstOperands,
     /*  868600 */     // GIR_Coverage, 24793,
     /*  868600 */     GIR_EraseRootFromParent_Done,
     /*  868601 */   // Label 13296: @868601
     /*  868601 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868676), // Rule ID 24796 //
     /*  868606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  868617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  868620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  868623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  868655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868674 */     GIR_RootConstrainSelectedInstOperands,
     /*  868675 */     // GIR_Coverage, 24796,
     /*  868675 */     GIR_EraseRootFromParent_Done,
     /*  868676 */   // Label 13297: @868676
     /*  868676 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(868751), // Rule ID 24797 //
     /*  868681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  868692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  868695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  868698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  868727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  868730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868749 */     GIR_RootConstrainSelectedInstOperands,
     /*  868750 */     // GIR_Coverage, 24797,
     /*  868750 */     GIR_EraseRootFromParent_Done,
     /*  868751 */   // Label 13298: @868751
     /*  868751 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(868826), // Rule ID 24800 //
     /*  868756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  868805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868824 */     GIR_RootConstrainSelectedInstOperands,
     /*  868825 */     // GIR_Coverage, 24800,
     /*  868825 */     GIR_EraseRootFromParent_Done,
     /*  868826 */   // Label 13299: @868826
     /*  868826 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(868901), // Rule ID 24801 //
     /*  868831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  868880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868899 */     GIR_RootConstrainSelectedInstOperands,
     /*  868900 */     // GIR_Coverage, 24801,
     /*  868900 */     GIR_EraseRootFromParent_Done,
     /*  868901 */   // Label 13300: @868901
     /*  868901 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(868976), // Rule ID 24804 //
     /*  868906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  868955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868974 */     GIR_RootConstrainSelectedInstOperands,
     /*  868975 */     // GIR_Coverage, 24804,
     /*  868975 */     GIR_EraseRootFromParent_Done,
     /*  868976 */   // Label 13301: @868976
     /*  868976 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869051), // Rule ID 24805 //
     /*  868981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  869030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869049 */     GIR_RootConstrainSelectedInstOperands,
     /*  869050 */     // GIR_Coverage, 24805,
     /*  869050 */     GIR_EraseRootFromParent_Done,
     /*  869051 */   // Label 13302: @869051
     /*  869051 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869126), // Rule ID 24808 //
     /*  869056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869124 */     GIR_RootConstrainSelectedInstOperands,
     /*  869125 */     // GIR_Coverage, 24808,
     /*  869125 */     GIR_EraseRootFromParent_Done,
     /*  869126 */   // Label 13303: @869126
     /*  869126 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869201), // Rule ID 24809 //
     /*  869131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869177 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869199 */     GIR_RootConstrainSelectedInstOperands,
     /*  869200 */     // GIR_Coverage, 24809,
     /*  869200 */     GIR_EraseRootFromParent_Done,
     /*  869201 */   // Label 13304: @869201
     /*  869201 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869276), // Rule ID 24812 //
     /*  869206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869274 */     GIR_RootConstrainSelectedInstOperands,
     /*  869275 */     // GIR_Coverage, 24812,
     /*  869275 */     GIR_EraseRootFromParent_Done,
     /*  869276 */   // Label 13305: @869276
     /*  869276 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869351), // Rule ID 24813 //
     /*  869281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869349 */     GIR_RootConstrainSelectedInstOperands,
     /*  869350 */     // GIR_Coverage, 24813,
     /*  869350 */     GIR_EraseRootFromParent_Done,
     /*  869351 */   // Label 13306: @869351
     /*  869351 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869426), // Rule ID 24816 //
     /*  869356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869424 */     GIR_RootConstrainSelectedInstOperands,
     /*  869425 */     // GIR_Coverage, 24816,
     /*  869425 */     GIR_EraseRootFromParent_Done,
     /*  869426 */   // Label 13307: @869426
     /*  869426 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869501), // Rule ID 24817 //
     /*  869431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869499 */     GIR_RootConstrainSelectedInstOperands,
     /*  869500 */     // GIR_Coverage, 24817,
     /*  869500 */     GIR_EraseRootFromParent_Done,
     /*  869501 */   // Label 13308: @869501
     /*  869501 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869576), // Rule ID 24820 //
     /*  869506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  869555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869574 */     GIR_RootConstrainSelectedInstOperands,
     /*  869575 */     // GIR_Coverage, 24820,
     /*  869575 */     GIR_EraseRootFromParent_Done,
     /*  869576 */   // Label 13309: @869576
     /*  869576 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869651), // Rule ID 24821 //
     /*  869581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  869630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869649 */     GIR_RootConstrainSelectedInstOperands,
     /*  869650 */     // GIR_Coverage, 24821,
     /*  869650 */     GIR_EraseRootFromParent_Done,
     /*  869651 */   // Label 13310: @869651
     /*  869651 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(869726), // Rule ID 24824 //
     /*  869656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  869670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  869705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869724 */     GIR_RootConstrainSelectedInstOperands,
     /*  869725 */     // GIR_Coverage, 24824,
     /*  869725 */     GIR_EraseRootFromParent_Done,
     /*  869726 */   // Label 13311: @869726
     /*  869726 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(869801), // Rule ID 24825 //
     /*  869731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  869734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  869745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  869780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869799 */     GIR_RootConstrainSelectedInstOperands,
     /*  869800 */     // GIR_Coverage, 24825,
     /*  869800 */     GIR_EraseRootFromParent_Done,
     /*  869801 */   // Label 13312: @869801
     /*  869801 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(869876), // Rule ID 24828 //
     /*  869806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  869817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  869820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  869823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  869855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869874 */     GIR_RootConstrainSelectedInstOperands,
     /*  869875 */     // GIR_Coverage, 24828,
     /*  869875 */     GIR_EraseRootFromParent_Done,
     /*  869876 */   // Label 13313: @869876
     /*  869876 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(869951), // Rule ID 24829 //
     /*  869881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  869884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  869892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  869895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  869898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869927 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  869930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869949 */     GIR_RootConstrainSelectedInstOperands,
     /*  869950 */     // GIR_Coverage, 24829,
     /*  869950 */     GIR_EraseRootFromParent_Done,
     /*  869951 */   // Label 13314: @869951
     /*  869951 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870026), // Rule ID 24832 //
     /*  869956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870024 */     GIR_RootConstrainSelectedInstOperands,
     /*  870025 */     // GIR_Coverage, 24832,
     /*  870025 */     GIR_EraseRootFromParent_Done,
     /*  870026 */   // Label 13315: @870026
     /*  870026 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870101), // Rule ID 24833 //
     /*  870031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  870034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870099 */     GIR_RootConstrainSelectedInstOperands,
     /*  870100 */     // GIR_Coverage, 24833,
     /*  870100 */     GIR_EraseRootFromParent_Done,
     /*  870101 */   // Label 13316: @870101
     /*  870101 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870176), // Rule ID 24836 //
     /*  870106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  870126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870152 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  870155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870174 */     GIR_RootConstrainSelectedInstOperands,
     /*  870175 */     // GIR_Coverage, 24836,
     /*  870175 */     GIR_EraseRootFromParent_Done,
     /*  870176 */   // Label 13317: @870176
     /*  870176 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870251), // Rule ID 24837 //
     /*  870181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  870201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  870230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870249 */     GIR_RootConstrainSelectedInstOperands,
     /*  870250 */     // GIR_Coverage, 24837,
     /*  870250 */     GIR_EraseRootFromParent_Done,
     /*  870251 */   // Label 13318: @870251
     /*  870251 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870326), // Rule ID 24840 //
     /*  870256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  870305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870324 */     GIR_RootConstrainSelectedInstOperands,
     /*  870325 */     // GIR_Coverage, 24840,
     /*  870325 */     GIR_EraseRootFromParent_Done,
     /*  870326 */   // Label 13319: @870326
     /*  870326 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870401), // Rule ID 24841 //
     /*  870331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  870380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870399 */     GIR_RootConstrainSelectedInstOperands,
     /*  870400 */     // GIR_Coverage, 24841,
     /*  870400 */     GIR_EraseRootFromParent_Done,
     /*  870401 */   // Label 13320: @870401
     /*  870401 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870476), // Rule ID 24844 //
     /*  870406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  870426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  870455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870474 */     GIR_RootConstrainSelectedInstOperands,
     /*  870475 */     // GIR_Coverage, 24844,
     /*  870475 */     GIR_EraseRootFromParent_Done,
     /*  870476 */   // Label 13321: @870476
     /*  870476 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870551), // Rule ID 24845 //
     /*  870481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  870501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  870530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870549 */     GIR_RootConstrainSelectedInstOperands,
     /*  870550 */     // GIR_Coverage, 24845,
     /*  870550 */     GIR_EraseRootFromParent_Done,
     /*  870551 */   // Label 13322: @870551
     /*  870551 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870626), // Rule ID 24848 //
     /*  870556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870602 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  870605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870624 */     GIR_RootConstrainSelectedInstOperands,
     /*  870625 */     // GIR_Coverage, 24848,
     /*  870625 */     GIR_EraseRootFromParent_Done,
     /*  870626 */   // Label 13323: @870626
     /*  870626 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870701), // Rule ID 24849 //
     /*  870631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870677 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  870680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870699 */     GIR_RootConstrainSelectedInstOperands,
     /*  870700 */     // GIR_Coverage, 24849,
     /*  870700 */     GIR_EraseRootFromParent_Done,
     /*  870701 */   // Label 13324: @870701
     /*  870701 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(870776), // Rule ID 24852 //
     /*  870706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870752 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  870755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870774 */     GIR_RootConstrainSelectedInstOperands,
     /*  870775 */     // GIR_Coverage, 24852,
     /*  870775 */     GIR_EraseRootFromParent_Done,
     /*  870776 */   // Label 13325: @870776
     /*  870776 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(870851), // Rule ID 24853 //
     /*  870781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  870830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870849 */     GIR_RootConstrainSelectedInstOperands,
     /*  870850 */     // GIR_Coverage, 24853,
     /*  870850 */     GIR_EraseRootFromParent_Done,
     /*  870851 */   // Label 13326: @870851
     /*  870851 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(870926), // Rule ID 24856 //
     /*  870856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  870876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870902 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  870905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870924 */     GIR_RootConstrainSelectedInstOperands,
     /*  870925 */     // GIR_Coverage, 24856,
     /*  870925 */     GIR_EraseRootFromParent_Done,
     /*  870926 */   // Label 13327: @870926
     /*  870926 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871001), // Rule ID 24857 //
     /*  870931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  870951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870977 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  870980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870999 */     GIR_RootConstrainSelectedInstOperands,
     /*  871000 */     // GIR_Coverage, 24857,
     /*  871000 */     GIR_EraseRootFromParent_Done,
     /*  871001 */   // Label 13328: @871001
     /*  871001 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871076), // Rule ID 24860 //
     /*  871006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  871026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  871055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871074 */     GIR_RootConstrainSelectedInstOperands,
     /*  871075 */     // GIR_Coverage, 24860,
     /*  871075 */     GIR_EraseRootFromParent_Done,
     /*  871076 */   // Label 13329: @871076
     /*  871076 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871151), // Rule ID 24861 //
     /*  871081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  871101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871127 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  871130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871149 */     GIR_RootConstrainSelectedInstOperands,
     /*  871150 */     // GIR_Coverage, 24861,
     /*  871150 */     GIR_EraseRootFromParent_Done,
     /*  871151 */   // Label 13330: @871151
     /*  871151 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871226), // Rule ID 24864 //
     /*  871156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  871176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871202 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  871205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871224 */     GIR_RootConstrainSelectedInstOperands,
     /*  871225 */     // GIR_Coverage, 24864,
     /*  871225 */     GIR_EraseRootFromParent_Done,
     /*  871226 */   // Label 13331: @871226
     /*  871226 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871301), // Rule ID 24865 //
     /*  871231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  871251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871277 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  871280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871299 */     GIR_RootConstrainSelectedInstOperands,
     /*  871300 */     // GIR_Coverage, 24865,
     /*  871300 */     GIR_EraseRootFromParent_Done,
     /*  871301 */   // Label 13332: @871301
     /*  871301 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871376), // Rule ID 24868 //
     /*  871306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  871326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871352 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  871355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871374 */     GIR_RootConstrainSelectedInstOperands,
     /*  871375 */     // GIR_Coverage, 24868,
     /*  871375 */     GIR_EraseRootFromParent_Done,
     /*  871376 */   // Label 13333: @871376
     /*  871376 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871451), // Rule ID 24869 //
     /*  871381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  871401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  871430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871449 */     GIR_RootConstrainSelectedInstOperands,
     /*  871450 */     // GIR_Coverage, 24869,
     /*  871450 */     GIR_EraseRootFromParent_Done,
     /*  871451 */   // Label 13334: @871451
     /*  871451 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871526), // Rule ID 24872 //
     /*  871456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  871505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871524 */     GIR_RootConstrainSelectedInstOperands,
     /*  871525 */     // GIR_Coverage, 24872,
     /*  871525 */     GIR_EraseRootFromParent_Done,
     /*  871526 */   // Label 13335: @871526
     /*  871526 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871601), // Rule ID 24873 //
     /*  871531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  871580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871599 */     GIR_RootConstrainSelectedInstOperands,
     /*  871600 */     // GIR_Coverage, 24873,
     /*  871600 */     GIR_EraseRootFromParent_Done,
     /*  871601 */   // Label 13336: @871601
     /*  871601 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871676), // Rule ID 24876 //
     /*  871606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871674 */     GIR_RootConstrainSelectedInstOperands,
     /*  871675 */     // GIR_Coverage, 24876,
     /*  871675 */     GIR_EraseRootFromParent_Done,
     /*  871676 */   // Label 13337: @871676
     /*  871676 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(871751), // Rule ID 24877 //
     /*  871681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871749 */     GIR_RootConstrainSelectedInstOperands,
     /*  871750 */     // GIR_Coverage, 24877,
     /*  871750 */     GIR_EraseRootFromParent_Done,
     /*  871751 */   // Label 13338: @871751
     /*  871751 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(871826), // Rule ID 24880 //
     /*  871756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871824 */     GIR_RootConstrainSelectedInstOperands,
     /*  871825 */     // GIR_Coverage, 24880,
     /*  871825 */     GIR_EraseRootFromParent_Done,
     /*  871826 */   // Label 13339: @871826
     /*  871826 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(871901), // Rule ID 24881 //
     /*  871831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871877 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871899 */     GIR_RootConstrainSelectedInstOperands,
     /*  871900 */     // GIR_Coverage, 24881,
     /*  871900 */     GIR_EraseRootFromParent_Done,
     /*  871901 */   // Label 13340: @871901
     /*  871901 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(871976), // Rule ID 24884 //
     /*  871906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871952 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  871955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871974 */     GIR_RootConstrainSelectedInstOperands,
     /*  871975 */     // GIR_Coverage, 24884,
     /*  871975 */     GIR_EraseRootFromParent_Done,
     /*  871976 */   // Label 13341: @871976
     /*  871976 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872051), // Rule ID 24885 //
     /*  871981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  872030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872049 */     GIR_RootConstrainSelectedInstOperands,
     /*  872050 */     // GIR_Coverage, 24885,
     /*  872050 */     GIR_EraseRootFromParent_Done,
     /*  872051 */   // Label 13342: @872051
     /*  872051 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872126), // Rule ID 24888 //
     /*  872056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  872059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872102 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872124 */     GIR_RootConstrainSelectedInstOperands,
     /*  872125 */     // GIR_Coverage, 24888,
     /*  872125 */     GIR_EraseRootFromParent_Done,
     /*  872126 */   // Label 13343: @872126
     /*  872126 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872201), // Rule ID 24889 //
     /*  872131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872199 */     GIR_RootConstrainSelectedInstOperands,
     /*  872200 */     // GIR_Coverage, 24889,
     /*  872200 */     GIR_EraseRootFromParent_Done,
     /*  872201 */   // Label 13344: @872201
     /*  872201 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872276), // Rule ID 24892 //
     /*  872206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  872209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872274 */     GIR_RootConstrainSelectedInstOperands,
     /*  872275 */     // GIR_Coverage, 24892,
     /*  872275 */     GIR_EraseRootFromParent_Done,
     /*  872276 */   // Label 13345: @872276
     /*  872276 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872351), // Rule ID 24893 //
     /*  872281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872327 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872349 */     GIR_RootConstrainSelectedInstOperands,
     /*  872350 */     // GIR_Coverage, 24893,
     /*  872350 */     GIR_EraseRootFromParent_Done,
     /*  872351 */   // Label 13346: @872351
     /*  872351 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872426), // Rule ID 24896 //
     /*  872356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  872405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872424 */     GIR_RootConstrainSelectedInstOperands,
     /*  872425 */     // GIR_Coverage, 24896,
     /*  872425 */     GIR_EraseRootFromParent_Done,
     /*  872426 */   // Label 13347: @872426
     /*  872426 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872501), // Rule ID 24897 //
     /*  872431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872477 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  872480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872499 */     GIR_RootConstrainSelectedInstOperands,
     /*  872500 */     // GIR_Coverage, 24897,
     /*  872500 */     GIR_EraseRootFromParent_Done,
     /*  872501 */   // Label 13348: @872501
     /*  872501 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872576), // Rule ID 24900 //
     /*  872506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872552 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872574 */     GIR_RootConstrainSelectedInstOperands,
     /*  872575 */     // GIR_Coverage, 24900,
     /*  872575 */     GIR_EraseRootFromParent_Done,
     /*  872576 */   // Label 13349: @872576
     /*  872576 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872651), // Rule ID 24901 //
     /*  872581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872649 */     GIR_RootConstrainSelectedInstOperands,
     /*  872650 */     // GIR_Coverage, 24901,
     /*  872650 */     GIR_EraseRootFromParent_Done,
     /*  872651 */   // Label 13350: @872651
     /*  872651 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872726), // Rule ID 24904 //
     /*  872656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872702 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872724 */     GIR_RootConstrainSelectedInstOperands,
     /*  872725 */     // GIR_Coverage, 24904,
     /*  872725 */     GIR_EraseRootFromParent_Done,
     /*  872726 */   // Label 13351: @872726
     /*  872726 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(872801), // Rule ID 24905 //
     /*  872731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872799 */     GIR_RootConstrainSelectedInstOperands,
     /*  872800 */     // GIR_Coverage, 24905,
     /*  872800 */     GIR_EraseRootFromParent_Done,
     /*  872801 */   // Label 13352: @872801
     /*  872801 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(872876), // Rule ID 24944 //
     /*  872806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872852 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  872855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872874 */     GIR_RootConstrainSelectedInstOperands,
     /*  872875 */     // GIR_Coverage, 24944,
     /*  872875 */     GIR_EraseRootFromParent_Done,
     /*  872876 */   // Label 13353: @872876
     /*  872876 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(872951), // Rule ID 24945 //
     /*  872881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  872884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872927 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  872930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872949 */     GIR_RootConstrainSelectedInstOperands,
     /*  872950 */     // GIR_Coverage, 24945,
     /*  872950 */     GIR_EraseRootFromParent_Done,
     /*  872951 */   // Label 13354: @872951
     /*  872951 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873026), // Rule ID 24948 //
     /*  872956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873002 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  873005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873024 */     GIR_RootConstrainSelectedInstOperands,
     /*  873025 */     // GIR_Coverage, 24948,
     /*  873025 */     GIR_EraseRootFromParent_Done,
     /*  873026 */   // Label 13355: @873026
     /*  873026 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873101), // Rule ID 24949 //
     /*  873031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  873051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873077 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  873080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873099 */     GIR_RootConstrainSelectedInstOperands,
     /*  873100 */     // GIR_Coverage, 24949,
     /*  873100 */     GIR_EraseRootFromParent_Done,
     /*  873101 */   // Label 13356: @873101
     /*  873101 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873176), // Rule ID 24952 //
     /*  873106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  873126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  873155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873174 */     GIR_RootConstrainSelectedInstOperands,
     /*  873175 */     // GIR_Coverage, 24952,
     /*  873175 */     GIR_EraseRootFromParent_Done,
     /*  873176 */   // Label 13357: @873176
     /*  873176 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873251), // Rule ID 24953 //
     /*  873181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  873201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  873230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873249 */     GIR_RootConstrainSelectedInstOperands,
     /*  873250 */     // GIR_Coverage, 24953,
     /*  873250 */     GIR_EraseRootFromParent_Done,
     /*  873251 */   // Label 13358: @873251
     /*  873251 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873326), // Rule ID 24956 //
     /*  873256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  873305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873324 */     GIR_RootConstrainSelectedInstOperands,
     /*  873325 */     // GIR_Coverage, 24956,
     /*  873325 */     GIR_EraseRootFromParent_Done,
     /*  873326 */   // Label 13359: @873326
     /*  873326 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873401), // Rule ID 24957 //
     /*  873331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  873380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873399 */     GIR_RootConstrainSelectedInstOperands,
     /*  873400 */     // GIR_Coverage, 24957,
     /*  873400 */     GIR_EraseRootFromParent_Done,
     /*  873401 */   // Label 13360: @873401
     /*  873401 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873476), // Rule ID 24960 //
     /*  873406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  873455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873474 */     GIR_RootConstrainSelectedInstOperands,
     /*  873475 */     // GIR_Coverage, 24960,
     /*  873475 */     GIR_EraseRootFromParent_Done,
     /*  873476 */   // Label 13361: @873476
     /*  873476 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873551), // Rule ID 24961 //
     /*  873481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873527 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  873530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873549 */     GIR_RootConstrainSelectedInstOperands,
     /*  873550 */     // GIR_Coverage, 24961,
     /*  873550 */     GIR_EraseRootFromParent_Done,
     /*  873551 */   // Label 13362: @873551
     /*  873551 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873626), // Rule ID 24964 //
     /*  873556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  873567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  873570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  873573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  873576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  873605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873624 */     GIR_RootConstrainSelectedInstOperands,
     /*  873625 */     // GIR_Coverage, 24964,
     /*  873625 */     GIR_EraseRootFromParent_Done,
     /*  873626 */   // Label 13363: @873626
     /*  873626 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873701), // Rule ID 24965 //
     /*  873631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  873642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  873645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  873648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  873651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  873680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873699 */     GIR_RootConstrainSelectedInstOperands,
     /*  873700 */     // GIR_Coverage, 24965,
     /*  873700 */     GIR_EraseRootFromParent_Done,
     /*  873701 */   // Label 13364: @873701
     /*  873701 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873776), // Rule ID 24968 //
     /*  873706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873752 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  873755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873774 */     GIR_RootConstrainSelectedInstOperands,
     /*  873775 */     // GIR_Coverage, 24968,
     /*  873775 */     GIR_EraseRootFromParent_Done,
     /*  873776 */   // Label 13365: @873776
     /*  873776 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(873851), // Rule ID 24969 //
     /*  873781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  873830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873849 */     GIR_RootConstrainSelectedInstOperands,
     /*  873850 */     // GIR_Coverage, 24969,
     /*  873850 */     GIR_EraseRootFromParent_Done,
     /*  873851 */   // Label 13366: @873851
     /*  873851 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(873926), // Rule ID 24972 //
     /*  873856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873902 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873924 */     GIR_RootConstrainSelectedInstOperands,
     /*  873925 */     // GIR_Coverage, 24972,
     /*  873925 */     GIR_EraseRootFromParent_Done,
     /*  873926 */   // Label 13367: @873926
     /*  873926 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874001), // Rule ID 24973 //
     /*  873931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873977 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873999 */     GIR_RootConstrainSelectedInstOperands,
     /*  874000 */     // GIR_Coverage, 24973,
     /*  874000 */     GIR_EraseRootFromParent_Done,
     /*  874001 */   // Label 13368: @874001
     /*  874001 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874076), // Rule ID 24976 //
     /*  874006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874052 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  874055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874074 */     GIR_RootConstrainSelectedInstOperands,
     /*  874075 */     // GIR_Coverage, 24976,
     /*  874075 */     GIR_EraseRootFromParent_Done,
     /*  874076 */   // Label 13369: @874076
     /*  874076 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874151), // Rule ID 24977 //
     /*  874081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874127 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  874130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874149 */     GIR_RootConstrainSelectedInstOperands,
     /*  874150 */     // GIR_Coverage, 24977,
     /*  874150 */     GIR_EraseRootFromParent_Done,
     /*  874151 */   // Label 13370: @874151
     /*  874151 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874226), // Rule ID 24980 //
     /*  874156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874202 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874224 */     GIR_RootConstrainSelectedInstOperands,
     /*  874225 */     // GIR_Coverage, 24980,
     /*  874225 */     GIR_EraseRootFromParent_Done,
     /*  874226 */   // Label 13371: @874226
     /*  874226 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874301), // Rule ID 24981 //
     /*  874231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874277 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874299 */     GIR_RootConstrainSelectedInstOperands,
     /*  874300 */     // GIR_Coverage, 24981,
     /*  874300 */     GIR_EraseRootFromParent_Done,
     /*  874301 */   // Label 13372: @874301
     /*  874301 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874376), // Rule ID 24984 //
     /*  874306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874352 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874374 */     GIR_RootConstrainSelectedInstOperands,
     /*  874375 */     // GIR_Coverage, 24984,
     /*  874375 */     GIR_EraseRootFromParent_Done,
     /*  874376 */   // Label 13373: @874376
     /*  874376 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874451), // Rule ID 24985 //
     /*  874381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874427 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874449 */     GIR_RootConstrainSelectedInstOperands,
     /*  874450 */     // GIR_Coverage, 24985,
     /*  874450 */     GIR_EraseRootFromParent_Done,
     /*  874451 */   // Label 13374: @874451
     /*  874451 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874526), // Rule ID 24988 //
     /*  874456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874502 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874524 */     GIR_RootConstrainSelectedInstOperands,
     /*  874525 */     // GIR_Coverage, 24988,
     /*  874525 */     GIR_EraseRootFromParent_Done,
     /*  874526 */   // Label 13375: @874526
     /*  874526 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874601), // Rule ID 24989 //
     /*  874531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874577 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874599 */     GIR_RootConstrainSelectedInstOperands,
     /*  874600 */     // GIR_Coverage, 24989,
     /*  874600 */     GIR_EraseRootFromParent_Done,
     /*  874601 */   // Label 13376: @874601
     /*  874601 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874676), // Rule ID 25016 //
     /*  874606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  874609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  874617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  874620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  874655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874674 */     GIR_RootConstrainSelectedInstOperands,
     /*  874675 */     // GIR_Coverage, 25016,
     /*  874675 */     GIR_EraseRootFromParent_Done,
     /*  874676 */   // Label 13377: @874676
     /*  874676 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874751), // Rule ID 25017 //
     /*  874681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  874684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  874692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  874695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  874730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874749 */     GIR_RootConstrainSelectedInstOperands,
     /*  874750 */     // GIR_Coverage, 25017,
     /*  874750 */     GIR_EraseRootFromParent_Done,
     /*  874751 */   // Label 13378: @874751
     /*  874751 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874826), // Rule ID 25020 //
     /*  874756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  874759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  874767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  874770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  874776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  874805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874824 */     GIR_RootConstrainSelectedInstOperands,
     /*  874825 */     // GIR_Coverage, 25020,
     /*  874825 */     GIR_EraseRootFromParent_Done,
     /*  874826 */   // Label 13379: @874826
     /*  874826 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(874901), // Rule ID 25021 //
     /*  874831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  874834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  874842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  874845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  874851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874877 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  874880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874899 */     GIR_RootConstrainSelectedInstOperands,
     /*  874900 */     // GIR_Coverage, 25021,
     /*  874900 */     GIR_EraseRootFromParent_Done,
     /*  874901 */   // Label 13380: @874901
     /*  874901 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(874976), // Rule ID 25024 //
     /*  874906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  874909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  874952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  874955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874974 */     GIR_RootConstrainSelectedInstOperands,
     /*  874975 */     // GIR_Coverage, 25024,
     /*  874975 */     GIR_EraseRootFromParent_Done,
     /*  874976 */   // Label 13381: @874976
     /*  874976 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875051), // Rule ID 25025 //
     /*  874981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  874984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  875030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875049 */     GIR_RootConstrainSelectedInstOperands,
     /*  875050 */     // GIR_Coverage, 25025,
     /*  875050 */     GIR_EraseRootFromParent_Done,
     /*  875051 */   // Label 13382: @875051
     /*  875051 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875126), // Rule ID 25028 //
     /*  875056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  875105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875124 */     GIR_RootConstrainSelectedInstOperands,
     /*  875125 */     // GIR_Coverage, 25028,
     /*  875125 */     GIR_EraseRootFromParent_Done,
     /*  875126 */   // Label 13383: @875126
     /*  875126 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875201), // Rule ID 25029 //
     /*  875131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  875180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875199 */     GIR_RootConstrainSelectedInstOperands,
     /*  875200 */     // GIR_Coverage, 25029,
     /*  875200 */     GIR_EraseRootFromParent_Done,
     /*  875201 */   // Label 13384: @875201
     /*  875201 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875276), // Rule ID 25032 //
     /*  875206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875274 */     GIR_RootConstrainSelectedInstOperands,
     /*  875275 */     // GIR_Coverage, 25032,
     /*  875275 */     GIR_EraseRootFromParent_Done,
     /*  875276 */   // Label 13385: @875276
     /*  875276 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875351), // Rule ID 25033 //
     /*  875281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875349 */     GIR_RootConstrainSelectedInstOperands,
     /*  875350 */     // GIR_Coverage, 25033,
     /*  875350 */     GIR_EraseRootFromParent_Done,
     /*  875351 */   // Label 13386: @875351
     /*  875351 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875426), // Rule ID 25036 //
     /*  875356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  875359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  875402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875424 */     GIR_RootConstrainSelectedInstOperands,
     /*  875425 */     // GIR_Coverage, 25036,
     /*  875425 */     GIR_EraseRootFromParent_Done,
     /*  875426 */   // Label 13387: @875426
     /*  875426 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875501), // Rule ID 25037 //
     /*  875431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  875434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  875477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875499 */     GIR_RootConstrainSelectedInstOperands,
     /*  875500 */     // GIR_Coverage, 25037,
     /*  875500 */     GIR_EraseRootFromParent_Done,
     /*  875501 */   // Label 13388: @875501
     /*  875501 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875576), // Rule ID 25040 //
     /*  875506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  875555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875574 */     GIR_RootConstrainSelectedInstOperands,
     /*  875575 */     // GIR_Coverage, 25040,
     /*  875575 */     GIR_EraseRootFromParent_Done,
     /*  875576 */   // Label 13389: @875576
     /*  875576 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875651), // Rule ID 25041 //
     /*  875581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  875630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875649 */     GIR_RootConstrainSelectedInstOperands,
     /*  875650 */     // GIR_Coverage, 25041,
     /*  875650 */     GIR_EraseRootFromParent_Done,
     /*  875651 */   // Label 13390: @875651
     /*  875651 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875726), // Rule ID 25044 //
     /*  875656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  875676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875702 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  875705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875724 */     GIR_RootConstrainSelectedInstOperands,
     /*  875725 */     // GIR_Coverage, 25044,
     /*  875725 */     GIR_EraseRootFromParent_Done,
     /*  875726 */   // Label 13391: @875726
     /*  875726 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875801), // Rule ID 25045 //
     /*  875731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  875751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  875780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875799 */     GIR_RootConstrainSelectedInstOperands,
     /*  875800 */     // GIR_Coverage, 25045,
     /*  875800 */     GIR_EraseRootFromParent_Done,
     /*  875801 */   // Label 13392: @875801
     /*  875801 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875876), // Rule ID 25048 //
     /*  875806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  875826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  875855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875874 */     GIR_RootConstrainSelectedInstOperands,
     /*  875875 */     // GIR_Coverage, 25048,
     /*  875875 */     GIR_EraseRootFromParent_Done,
     /*  875876 */   // Label 13393: @875876
     /*  875876 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(875951), // Rule ID 25049 //
     /*  875881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  875901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875927 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  875930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875949 */     GIR_RootConstrainSelectedInstOperands,
     /*  875950 */     // GIR_Coverage, 25049,
     /*  875950 */     GIR_EraseRootFromParent_Done,
     /*  875951 */   // Label 13394: @875951
     /*  875951 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876026), // Rule ID 25052 //
     /*  875956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  876005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876024 */     GIR_RootConstrainSelectedInstOperands,
     /*  876025 */     // GIR_Coverage, 25052,
     /*  876025 */     GIR_EraseRootFromParent_Done,
     /*  876026 */   // Label 13395: @876026
     /*  876026 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876101), // Rule ID 25053 //
     /*  876031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  876042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  876045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876077 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  876080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876099 */     GIR_RootConstrainSelectedInstOperands,
     /*  876100 */     // GIR_Coverage, 25053,
     /*  876100 */     GIR_EraseRootFromParent_Done,
     /*  876101 */   // Label 13396: @876101
     /*  876101 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876176), // Rule ID 25056 //
     /*  876106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  876155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876174 */     GIR_RootConstrainSelectedInstOperands,
     /*  876175 */     // GIR_Coverage, 25056,
     /*  876175 */     GIR_EraseRootFromParent_Done,
     /*  876176 */   // Label 13397: @876176
     /*  876176 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876251), // Rule ID 25057 //
     /*  876181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  876230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876249 */     GIR_RootConstrainSelectedInstOperands,
     /*  876250 */     // GIR_Coverage, 25057,
     /*  876250 */     GIR_EraseRootFromParent_Done,
     /*  876251 */   // Label 13398: @876251
     /*  876251 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876326), // Rule ID 25060 //
     /*  876256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876324 */     GIR_RootConstrainSelectedInstOperands,
     /*  876325 */     // GIR_Coverage, 25060,
     /*  876325 */     GIR_EraseRootFromParent_Done,
     /*  876326 */   // Label 13399: @876326
     /*  876326 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876401), // Rule ID 25061 //
     /*  876331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876399 */     GIR_RootConstrainSelectedInstOperands,
     /*  876400 */     // GIR_Coverage, 25061,
     /*  876400 */     GIR_EraseRootFromParent_Done,
     /*  876401 */   // Label 13400: @876401
     /*  876401 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876476), // Rule ID 25064 //
     /*  876406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  876455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876474 */     GIR_RootConstrainSelectedInstOperands,
     /*  876475 */     // GIR_Coverage, 25064,
     /*  876475 */     GIR_EraseRootFromParent_Done,
     /*  876476 */   // Label 13401: @876476
     /*  876476 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876551), // Rule ID 25065 //
     /*  876481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  876530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876549 */     GIR_RootConstrainSelectedInstOperands,
     /*  876550 */     // GIR_Coverage, 25065,
     /*  876550 */     GIR_EraseRootFromParent_Done,
     /*  876551 */   // Label 13402: @876551
     /*  876551 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876626), // Rule ID 25068 //
     /*  876556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  876605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876624 */     GIR_RootConstrainSelectedInstOperands,
     /*  876625 */     // GIR_Coverage, 25068,
     /*  876625 */     GIR_EraseRootFromParent_Done,
     /*  876626 */   // Label 13403: @876626
     /*  876626 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876701), // Rule ID 25069 //
     /*  876631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876677 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  876680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876699 */     GIR_RootConstrainSelectedInstOperands,
     /*  876700 */     // GIR_Coverage, 25069,
     /*  876700 */     GIR_EraseRootFromParent_Done,
     /*  876701 */   // Label 13404: @876701
     /*  876701 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876776), // Rule ID 25072 //
     /*  876706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  876755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876774 */     GIR_RootConstrainSelectedInstOperands,
     /*  876775 */     // GIR_Coverage, 25072,
     /*  876775 */     GIR_EraseRootFromParent_Done,
     /*  876776 */   // Label 13405: @876776
     /*  876776 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876851), // Rule ID 25073 //
     /*  876781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  876830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876849 */     GIR_RootConstrainSelectedInstOperands,
     /*  876850 */     // GIR_Coverage, 25073,
     /*  876850 */     GIR_EraseRootFromParent_Done,
     /*  876851 */   // Label 13406: @876851
     /*  876851 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(876923), // Rule ID 25076 //
     /*  876856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  876867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  876870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876902 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  876905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876921 */     GIR_RootConstrainSelectedInstOperands,
     /*  876922 */     // GIR_Coverage, 25076,
     /*  876922 */     GIR_EraseRootFromParent_Done,
     /*  876923 */   // Label 13407: @876923
     /*  876923 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(876995), // Rule ID 25077 //
     /*  876928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  876939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  876942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  876977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876993 */     GIR_RootConstrainSelectedInstOperands,
     /*  876994 */     // GIR_Coverage, 25077,
     /*  876994 */     GIR_EraseRootFromParent_Done,
     /*  876995 */   // Label 13408: @876995
     /*  876995 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877067), // Rule ID 25078 //
     /*  877000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  877011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  877014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  877049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877065 */     GIR_RootConstrainSelectedInstOperands,
     /*  877066 */     // GIR_Coverage, 25078,
     /*  877066 */     GIR_EraseRootFromParent_Done,
     /*  877067 */   // Label 13409: @877067
     /*  877067 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877139), // Rule ID 25079 //
     /*  877072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  877083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  877086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  877121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877137 */     GIR_RootConstrainSelectedInstOperands,
     /*  877138 */     // GIR_Coverage, 25079,
     /*  877138 */     GIR_EraseRootFromParent_Done,
     /*  877139 */   // Label 13410: @877139
     /*  877139 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877211), // Rule ID 25080 //
     /*  877144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  877193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877209 */     GIR_RootConstrainSelectedInstOperands,
     /*  877210 */     // GIR_Coverage, 25080,
     /*  877210 */     GIR_EraseRootFromParent_Done,
     /*  877211 */   // Label 13411: @877211
     /*  877211 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877283), // Rule ID 25081 //
     /*  877216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  877265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877281 */     GIR_RootConstrainSelectedInstOperands,
     /*  877282 */     // GIR_Coverage, 25081,
     /*  877282 */     GIR_EraseRootFromParent_Done,
     /*  877283 */   // Label 13412: @877283
     /*  877283 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877355), // Rule ID 25082 //
     /*  877288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877353 */     GIR_RootConstrainSelectedInstOperands,
     /*  877354 */     // GIR_Coverage, 25082,
     /*  877354 */     GIR_EraseRootFromParent_Done,
     /*  877355 */   // Label 13413: @877355
     /*  877355 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877427), // Rule ID 25083 //
     /*  877360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877425 */     GIR_RootConstrainSelectedInstOperands,
     /*  877426 */     // GIR_Coverage, 25083,
     /*  877426 */     GIR_EraseRootFromParent_Done,
     /*  877427 */   // Label 13414: @877427
     /*  877427 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877499), // Rule ID 25084 //
     /*  877432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  877481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877497 */     GIR_RootConstrainSelectedInstOperands,
     /*  877498 */     // GIR_Coverage, 25084,
     /*  877498 */     GIR_EraseRootFromParent_Done,
     /*  877499 */   // Label 13415: @877499
     /*  877499 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877571), // Rule ID 25085 //
     /*  877504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  877553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877569 */     GIR_RootConstrainSelectedInstOperands,
     /*  877570 */     // GIR_Coverage, 25085,
     /*  877570 */     GIR_EraseRootFromParent_Done,
     /*  877571 */   // Label 13416: @877571
     /*  877571 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877643), // Rule ID 25086 //
     /*  877576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  877587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  877590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  877625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877641 */     GIR_RootConstrainSelectedInstOperands,
     /*  877642 */     // GIR_Coverage, 25086,
     /*  877642 */     GIR_EraseRootFromParent_Done,
     /*  877643 */   // Label 13417: @877643
     /*  877643 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877715), // Rule ID 25087 //
     /*  877648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  877659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  877662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  877697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877713 */     GIR_RootConstrainSelectedInstOperands,
     /*  877714 */     // GIR_Coverage, 25087,
     /*  877714 */     GIR_EraseRootFromParent_Done,
     /*  877715 */   // Label 13418: @877715
     /*  877715 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877787), // Rule ID 25088 //
     /*  877720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877766 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877785 */     GIR_RootConstrainSelectedInstOperands,
     /*  877786 */     // GIR_Coverage, 25088,
     /*  877786 */     GIR_EraseRootFromParent_Done,
     /*  877787 */   // Label 13419: @877787
     /*  877787 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877859), // Rule ID 25089 //
     /*  877792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877857 */     GIR_RootConstrainSelectedInstOperands,
     /*  877858 */     // GIR_Coverage, 25089,
     /*  877858 */     GIR_EraseRootFromParent_Done,
     /*  877859 */   // Label 13420: @877859
     /*  877859 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(877931), // Rule ID 25090 //
     /*  877864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  877913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877929 */     GIR_RootConstrainSelectedInstOperands,
     /*  877930 */     // GIR_Coverage, 25090,
     /*  877930 */     GIR_EraseRootFromParent_Done,
     /*  877931 */   // Label 13421: @877931
     /*  877931 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878003), // Rule ID 25091 //
     /*  877936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  877985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878001 */     GIR_RootConstrainSelectedInstOperands,
     /*  878002 */     // GIR_Coverage, 25091,
     /*  878002 */     GIR_EraseRootFromParent_Done,
     /*  878003 */   // Label 13422: @878003
     /*  878003 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878075), // Rule ID 25092 //
     /*  878008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  878011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  878019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  878022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  878028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  878054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  878057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878073 */     GIR_RootConstrainSelectedInstOperands,
     /*  878074 */     // GIR_Coverage, 25092,
     /*  878074 */     GIR_EraseRootFromParent_Done,
     /*  878075 */   // Label 13423: @878075
     /*  878075 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878147), // Rule ID 25093 //
     /*  878080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  878083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  878091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  878094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  878100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  878129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878145 */     GIR_RootConstrainSelectedInstOperands,
     /*  878146 */     // GIR_Coverage, 25093,
     /*  878146 */     GIR_EraseRootFromParent_Done,
     /*  878147 */   // Label 13424: @878147
     /*  878147 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878219), // Rule ID 25094 //
     /*  878152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  878163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  878166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  878201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878217 */     GIR_RootConstrainSelectedInstOperands,
     /*  878218 */     // GIR_Coverage, 25094,
     /*  878218 */     GIR_EraseRootFromParent_Done,
     /*  878219 */   // Label 13425: @878219
     /*  878219 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878291), // Rule ID 25095 //
     /*  878224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  878235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  878238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  878273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878289 */     GIR_RootConstrainSelectedInstOperands,
     /*  878290 */     // GIR_Coverage, 25095,
     /*  878290 */     GIR_EraseRootFromParent_Done,
     /*  878291 */   // Label 13426: @878291
     /*  878291 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878363), // Rule ID 25096 //
     /*  878296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878361 */     GIR_RootConstrainSelectedInstOperands,
     /*  878362 */     // GIR_Coverage, 25096,
     /*  878362 */     GIR_EraseRootFromParent_Done,
     /*  878363 */   // Label 13427: @878363
     /*  878363 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878435), // Rule ID 25097 //
     /*  878368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878433 */     GIR_RootConstrainSelectedInstOperands,
     /*  878434 */     // GIR_Coverage, 25097,
     /*  878434 */     GIR_EraseRootFromParent_Done,
     /*  878435 */   // Label 13428: @878435
     /*  878435 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878507), // Rule ID 25098 //
     /*  878440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  878454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  878460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  878489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878505 */     GIR_RootConstrainSelectedInstOperands,
     /*  878506 */     // GIR_Coverage, 25098,
     /*  878506 */     GIR_EraseRootFromParent_Done,
     /*  878507 */   // Label 13429: @878507
     /*  878507 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878579), // Rule ID 25099 //
     /*  878512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  878526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  878532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  878561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878577 */     GIR_RootConstrainSelectedInstOperands,
     /*  878578 */     // GIR_Coverage, 25099,
     /*  878578 */     GIR_EraseRootFromParent_Done,
     /*  878579 */   // Label 13430: @878579
     /*  878579 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878651), // Rule ID 25100 //
     /*  878584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  878633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878649 */     GIR_RootConstrainSelectedInstOperands,
     /*  878650 */     // GIR_Coverage, 25100,
     /*  878650 */     GIR_EraseRootFromParent_Done,
     /*  878651 */   // Label 13431: @878651
     /*  878651 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878723), // Rule ID 25101 //
     /*  878656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  878705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878721 */     GIR_RootConstrainSelectedInstOperands,
     /*  878722 */     // GIR_Coverage, 25101,
     /*  878722 */     GIR_EraseRootFromParent_Done,
     /*  878723 */   // Label 13432: @878723
     /*  878723 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878795), // Rule ID 25102 //
     /*  878728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  878777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878793 */     GIR_RootConstrainSelectedInstOperands,
     /*  878794 */     // GIR_Coverage, 25102,
     /*  878794 */     GIR_EraseRootFromParent_Done,
     /*  878795 */   // Label 13433: @878795
     /*  878795 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(878867), // Rule ID 25103 //
     /*  878800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  878849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878865 */     GIR_RootConstrainSelectedInstOperands,
     /*  878866 */     // GIR_Coverage, 25103,
     /*  878866 */     GIR_EraseRootFromParent_Done,
     /*  878867 */   // Label 13434: @878867
     /*  878867 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(878939), // Rule ID 25104 //
     /*  878872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  878889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  878921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878937 */     GIR_RootConstrainSelectedInstOperands,
     /*  878938 */     // GIR_Coverage, 25104,
     /*  878938 */     GIR_EraseRootFromParent_Done,
     /*  878939 */   // Label 13435: @878939
     /*  878939 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879011), // Rule ID 25105 //
     /*  878944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  878961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  878993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879009 */     GIR_RootConstrainSelectedInstOperands,
     /*  879010 */     // GIR_Coverage, 25105,
     /*  879010 */     GIR_EraseRootFromParent_Done,
     /*  879011 */   // Label 13436: @879011
     /*  879011 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879083), // Rule ID 25106 //
     /*  879016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  879065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879081 */     GIR_RootConstrainSelectedInstOperands,
     /*  879082 */     // GIR_Coverage, 25106,
     /*  879082 */     GIR_EraseRootFromParent_Done,
     /*  879083 */   // Label 13437: @879083
     /*  879083 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879155), // Rule ID 25107 //
     /*  879088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  879137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879153 */     GIR_RootConstrainSelectedInstOperands,
     /*  879154 */     // GIR_Coverage, 25107,
     /*  879154 */     GIR_EraseRootFromParent_Done,
     /*  879155 */   // Label 13438: @879155
     /*  879155 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879227), // Rule ID 25108 //
     /*  879160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879225 */     GIR_RootConstrainSelectedInstOperands,
     /*  879226 */     // GIR_Coverage, 25108,
     /*  879226 */     GIR_EraseRootFromParent_Done,
     /*  879227 */   // Label 13439: @879227
     /*  879227 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879299), // Rule ID 25109 //
     /*  879232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879297 */     GIR_RootConstrainSelectedInstOperands,
     /*  879298 */     // GIR_Coverage, 25109,
     /*  879298 */     GIR_EraseRootFromParent_Done,
     /*  879299 */   // Label 13440: @879299
     /*  879299 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879371), // Rule ID 25110 //
     /*  879304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879369 */     GIR_RootConstrainSelectedInstOperands,
     /*  879370 */     // GIR_Coverage, 25110,
     /*  879370 */     GIR_EraseRootFromParent_Done,
     /*  879371 */   // Label 13441: @879371
     /*  879371 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879443), // Rule ID 25111 //
     /*  879376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879441 */     GIR_RootConstrainSelectedInstOperands,
     /*  879442 */     // GIR_Coverage, 25111,
     /*  879442 */     GIR_EraseRootFromParent_Done,
     /*  879443 */   // Label 13442: @879443
     /*  879443 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879515), // Rule ID 25112 //
     /*  879448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  879465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879494 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  879497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879513 */     GIR_RootConstrainSelectedInstOperands,
     /*  879514 */     // GIR_Coverage, 25112,
     /*  879514 */     GIR_EraseRootFromParent_Done,
     /*  879515 */   // Label 13443: @879515
     /*  879515 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879587), // Rule ID 25113 //
     /*  879520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  879537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  879569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879585 */     GIR_RootConstrainSelectedInstOperands,
     /*  879586 */     // GIR_Coverage, 25113,
     /*  879586 */     GIR_EraseRootFromParent_Done,
     /*  879587 */   // Label 13444: @879587
     /*  879587 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879659), // Rule ID 25114 //
     /*  879592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  879609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879638 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  879641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879657 */     GIR_RootConstrainSelectedInstOperands,
     /*  879658 */     // GIR_Coverage, 25114,
     /*  879658 */     GIR_EraseRootFromParent_Done,
     /*  879659 */   // Label 13445: @879659
     /*  879659 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879731), // Rule ID 25115 //
     /*  879664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  879681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  879713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879729 */     GIR_RootConstrainSelectedInstOperands,
     /*  879730 */     // GIR_Coverage, 25115,
     /*  879730 */     GIR_EraseRootFromParent_Done,
     /*  879731 */   // Label 13446: @879731
     /*  879731 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879803), // Rule ID 25116 //
     /*  879736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  879753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  879785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879801 */     GIR_RootConstrainSelectedInstOperands,
     /*  879802 */     // GIR_Coverage, 25116,
     /*  879802 */     GIR_EraseRootFromParent_Done,
     /*  879803 */   // Label 13447: @879803
     /*  879803 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(879875), // Rule ID 25117 //
     /*  879808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  879825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  879857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879873 */     GIR_RootConstrainSelectedInstOperands,
     /*  879874 */     // GIR_Coverage, 25117,
     /*  879874 */     GIR_EraseRootFromParent_Done,
     /*  879875 */   // Label 13448: @879875
     /*  879875 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(879947), // Rule ID 25118 //
     /*  879880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  879883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  879900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879926 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  879929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879945 */     GIR_RootConstrainSelectedInstOperands,
     /*  879946 */     // GIR_Coverage, 25118,
     /*  879946 */     GIR_EraseRootFromParent_Done,
     /*  879947 */   // Label 13449: @879947
     /*  879947 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880019), // Rule ID 25119 //
     /*  879952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  879955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  879972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  880001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880017 */     GIR_RootConstrainSelectedInstOperands,
     /*  880018 */     // GIR_Coverage, 25119,
     /*  880018 */     GIR_EraseRootFromParent_Done,
     /*  880019 */   // Label 13450: @880019
     /*  880019 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880091), // Rule ID 25120 //
     /*  880024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880070 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  880073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880089 */     GIR_RootConstrainSelectedInstOperands,
     /*  880090 */     // GIR_Coverage, 25120,
     /*  880090 */     GIR_EraseRootFromParent_Done,
     /*  880091 */   // Label 13451: @880091
     /*  880091 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880163), // Rule ID 25121 //
     /*  880096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  880145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880161 */     GIR_RootConstrainSelectedInstOperands,
     /*  880162 */     // GIR_Coverage, 25121,
     /*  880162 */     GIR_EraseRootFromParent_Done,
     /*  880163 */   // Label 13452: @880163
     /*  880163 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880235), // Rule ID 25122 //
     /*  880168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  880185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880214 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  880217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880233 */     GIR_RootConstrainSelectedInstOperands,
     /*  880234 */     // GIR_Coverage, 25122,
     /*  880234 */     GIR_EraseRootFromParent_Done,
     /*  880235 */   // Label 13453: @880235
     /*  880235 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880307), // Rule ID 25123 //
     /*  880240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  880257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880286 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  880289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880305 */     GIR_RootConstrainSelectedInstOperands,
     /*  880306 */     // GIR_Coverage, 25123,
     /*  880306 */     GIR_EraseRootFromParent_Done,
     /*  880307 */   // Label 13454: @880307
     /*  880307 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880379), // Rule ID 25124 //
     /*  880312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880358 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  880361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880377 */     GIR_RootConstrainSelectedInstOperands,
     /*  880378 */     // GIR_Coverage, 25124,
     /*  880378 */     GIR_EraseRootFromParent_Done,
     /*  880379 */   // Label 13455: @880379
     /*  880379 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880451), // Rule ID 25125 //
     /*  880384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880430 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  880433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880449 */     GIR_RootConstrainSelectedInstOperands,
     /*  880450 */     // GIR_Coverage, 25125,
     /*  880450 */     GIR_EraseRootFromParent_Done,
     /*  880451 */   // Label 13456: @880451
     /*  880451 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880523), // Rule ID 25126 //
     /*  880456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  880467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  880470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  880505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880521 */     GIR_RootConstrainSelectedInstOperands,
     /*  880522 */     // GIR_Coverage, 25126,
     /*  880522 */     GIR_EraseRootFromParent_Done,
     /*  880523 */   // Label 13457: @880523
     /*  880523 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880595), // Rule ID 25127 //
     /*  880528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  880539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  880542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  880577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880593 */     GIR_RootConstrainSelectedInstOperands,
     /*  880594 */     // GIR_Coverage, 25127,
     /*  880594 */     GIR_EraseRootFromParent_Done,
     /*  880595 */   // Label 13458: @880595
     /*  880595 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880667), // Rule ID 25128 //
     /*  880600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  880620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  880649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880665 */     GIR_RootConstrainSelectedInstOperands,
     /*  880666 */     // GIR_Coverage, 25128,
     /*  880666 */     GIR_EraseRootFromParent_Done,
     /*  880667 */   // Label 13459: @880667
     /*  880667 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880739), // Rule ID 25129 //
     /*  880672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  880692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880718 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  880721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880737 */     GIR_RootConstrainSelectedInstOperands,
     /*  880738 */     // GIR_Coverage, 25129,
     /*  880738 */     GIR_EraseRootFromParent_Done,
     /*  880739 */   // Label 13460: @880739
     /*  880739 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(880811), // Rule ID 25130 //
     /*  880744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  880793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880809 */     GIR_RootConstrainSelectedInstOperands,
     /*  880810 */     // GIR_Coverage, 25130,
     /*  880810 */     GIR_EraseRootFromParent_Done,
     /*  880811 */   // Label 13461: @880811
     /*  880811 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(880883), // Rule ID 25131 //
     /*  880816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880862 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  880865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880881 */     GIR_RootConstrainSelectedInstOperands,
     /*  880882 */     // GIR_Coverage, 25131,
     /*  880882 */     GIR_EraseRootFromParent_Done,
     /*  880883 */   // Label 13462: @880883
     /*  880883 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(880955), // Rule ID 25132 //
     /*  880888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880934 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  880937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880953 */     GIR_RootConstrainSelectedInstOperands,
     /*  880954 */     // GIR_Coverage, 25132,
     /*  880954 */     GIR_EraseRootFromParent_Done,
     /*  880955 */   // Label 13463: @880955
     /*  880955 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881027), // Rule ID 25133 //
     /*  880960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  881009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881025 */     GIR_RootConstrainSelectedInstOperands,
     /*  881026 */     // GIR_Coverage, 25133,
     /*  881026 */     GIR_EraseRootFromParent_Done,
     /*  881027 */   // Label 13464: @881027
     /*  881027 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881099), // Rule ID 25134 //
     /*  881032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  881035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  881078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  881081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881097 */     GIR_RootConstrainSelectedInstOperands,
     /*  881098 */     // GIR_Coverage, 25134,
     /*  881098 */     GIR_EraseRootFromParent_Done,
     /*  881099 */   // Label 13465: @881099
     /*  881099 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881171), // Rule ID 25135 //
     /*  881104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  881107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881150 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  881153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881169 */     GIR_RootConstrainSelectedInstOperands,
     /*  881170 */     // GIR_Coverage, 25135,
     /*  881170 */     GIR_EraseRootFromParent_Done,
     /*  881171 */   // Label 13466: @881171
     /*  881171 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881243), // Rule ID 25136 //
     /*  881176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  881187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  881190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  881196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  881225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881241 */     GIR_RootConstrainSelectedInstOperands,
     /*  881242 */     // GIR_Coverage, 25136,
     /*  881242 */     GIR_EraseRootFromParent_Done,
     /*  881243 */   // Label 13467: @881243
     /*  881243 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881315), // Rule ID 25137 //
     /*  881248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  881259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  881262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  881268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881294 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  881297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881313 */     GIR_RootConstrainSelectedInstOperands,
     /*  881314 */     // GIR_Coverage, 25137,
     /*  881314 */     GIR_EraseRootFromParent_Done,
     /*  881315 */   // Label 13468: @881315
     /*  881315 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881387), // Rule ID 25138 //
     /*  881320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  881331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  881334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  881340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  881369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881385 */     GIR_RootConstrainSelectedInstOperands,
     /*  881386 */     // GIR_Coverage, 25138,
     /*  881386 */     GIR_EraseRootFromParent_Done,
     /*  881387 */   // Label 13469: @881387
     /*  881387 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881459), // Rule ID 25139 //
     /*  881392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  881403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  881406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  881412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881438 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  881441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881457 */     GIR_RootConstrainSelectedInstOperands,
     /*  881458 */     // GIR_Coverage, 25139,
     /*  881458 */     GIR_EraseRootFromParent_Done,
     /*  881459 */   // Label 13470: @881459
     /*  881459 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881531), // Rule ID 25140 //
     /*  881464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881510 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  881513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881529 */     GIR_RootConstrainSelectedInstOperands,
     /*  881530 */     // GIR_Coverage, 25140,
     /*  881530 */     GIR_EraseRootFromParent_Done,
     /*  881531 */   // Label 13471: @881531
     /*  881531 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881603), // Rule ID 25141 //
     /*  881536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881582 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  881585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881601 */     GIR_RootConstrainSelectedInstOperands,
     /*  881602 */     // GIR_Coverage, 25141,
     /*  881602 */     GIR_EraseRootFromParent_Done,
     /*  881603 */   // Label 13472: @881603
     /*  881603 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881675), // Rule ID 25142 //
     /*  881608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881654 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881673 */     GIR_RootConstrainSelectedInstOperands,
     /*  881674 */     // GIR_Coverage, 25142,
     /*  881674 */     GIR_EraseRootFromParent_Done,
     /*  881675 */   // Label 13473: @881675
     /*  881675 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(881747), // Rule ID 25143 //
     /*  881680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881726 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881745 */     GIR_RootConstrainSelectedInstOperands,
     /*  881746 */     // GIR_Coverage, 25143,
     /*  881746 */     GIR_EraseRootFromParent_Done,
     /*  881747 */   // Label 13474: @881747
     /*  881747 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(881819), // Rule ID 25144 //
     /*  881752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881798 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881817 */     GIR_RootConstrainSelectedInstOperands,
     /*  881818 */     // GIR_Coverage, 25144,
     /*  881818 */     GIR_EraseRootFromParent_Done,
     /*  881819 */   // Label 13475: @881819
     /*  881819 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(881891), // Rule ID 25145 //
     /*  881824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881870 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881889 */     GIR_RootConstrainSelectedInstOperands,
     /*  881890 */     // GIR_Coverage, 25145,
     /*  881890 */     GIR_EraseRootFromParent_Done,
     /*  881891 */   // Label 13476: @881891
     /*  881891 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(881963), // Rule ID 25146 //
     /*  881896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881942 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  881945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881961 */     GIR_RootConstrainSelectedInstOperands,
     /*  881962 */     // GIR_Coverage, 25146,
     /*  881962 */     GIR_EraseRootFromParent_Done,
     /*  881963 */   // Label 13477: @881963
     /*  881963 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882035), // Rule ID 25147 //
     /*  881968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882014 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  882014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  882017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882033 */     GIR_RootConstrainSelectedInstOperands,
     /*  882034 */     // GIR_Coverage, 25147,
     /*  882034 */     GIR_EraseRootFromParent_Done,
     /*  882035 */   // Label 13478: @882035
     /*  882035 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882110), // Rule ID 60602 //
     /*  882040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  882043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  882048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  882060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  882089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882108 */     GIR_RootConstrainSelectedInstOperands,
     /*  882109 */     // GIR_Coverage, 60602,
     /*  882109 */     GIR_EraseRootFromParent_Done,
     /*  882110 */   // Label 13479: @882110
     /*  882110 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882185), // Rule ID 60603 //
     /*  882115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  882118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  882123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  882135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  882164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882183 */     GIR_RootConstrainSelectedInstOperands,
     /*  882184 */     // GIR_Coverage, 60603,
     /*  882184 */     GIR_EraseRootFromParent_Done,
     /*  882185 */   // Label 13480: @882185
     /*  882185 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882260), // Rule ID 60960 //
     /*  882190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882258 */     GIR_RootConstrainSelectedInstOperands,
     /*  882259 */     // GIR_Coverage, 60960,
     /*  882259 */     GIR_EraseRootFromParent_Done,
     /*  882260 */   // Label 13481: @882260
     /*  882260 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882335), // Rule ID 60961 //
     /*  882265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882333 */     GIR_RootConstrainSelectedInstOperands,
     /*  882334 */     // GIR_Coverage, 60961,
     /*  882334 */     GIR_EraseRootFromParent_Done,
     /*  882335 */   // Label 13482: @882335
     /*  882335 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882410), // Rule ID 60964 //
     /*  882340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882408 */     GIR_RootConstrainSelectedInstOperands,
     /*  882409 */     // GIR_Coverage, 60964,
     /*  882409 */     GIR_EraseRootFromParent_Done,
     /*  882410 */   // Label 13483: @882410
     /*  882410 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882485), // Rule ID 60965 //
     /*  882415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882461 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882483 */     GIR_RootConstrainSelectedInstOperands,
     /*  882484 */     // GIR_Coverage, 60965,
     /*  882484 */     GIR_EraseRootFromParent_Done,
     /*  882485 */   // Label 13484: @882485
     /*  882485 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882560), // Rule ID 60968 //
     /*  882490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  882510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  882539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882558 */     GIR_RootConstrainSelectedInstOperands,
     /*  882559 */     // GIR_Coverage, 60968,
     /*  882559 */     GIR_EraseRootFromParent_Done,
     /*  882560 */   // Label 13485: @882560
     /*  882560 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882635), // Rule ID 60969 //
     /*  882565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  882585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  882614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882633 */     GIR_RootConstrainSelectedInstOperands,
     /*  882634 */     // GIR_Coverage, 60969,
     /*  882634 */     GIR_EraseRootFromParent_Done,
     /*  882635 */   // Label 13486: @882635
     /*  882635 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882710), // Rule ID 60972 //
     /*  882640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  882651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  882654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  882660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  882689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882708 */     GIR_RootConstrainSelectedInstOperands,
     /*  882709 */     // GIR_Coverage, 60972,
     /*  882709 */     GIR_EraseRootFromParent_Done,
     /*  882710 */   // Label 13487: @882710
     /*  882710 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(882785), // Rule ID 60973 //
     /*  882715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  882726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  882729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  882735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  882764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882783 */     GIR_RootConstrainSelectedInstOperands,
     /*  882784 */     // GIR_Coverage, 60973,
     /*  882784 */     GIR_EraseRootFromParent_Done,
     /*  882785 */   // Label 13488: @882785
     /*  882785 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(882860), // Rule ID 60976 //
     /*  882790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  882801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  882804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  882807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  882810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  882839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882858 */     GIR_RootConstrainSelectedInstOperands,
     /*  882859 */     // GIR_Coverage, 60976,
     /*  882859 */     GIR_EraseRootFromParent_Done,
     /*  882860 */   // Label 13489: @882860
     /*  882860 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(882935), // Rule ID 60977 //
     /*  882865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  882876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  882879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  882882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  882885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  882914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882933 */     GIR_RootConstrainSelectedInstOperands,
     /*  882934 */     // GIR_Coverage, 60977,
     /*  882934 */     GIR_EraseRootFromParent_Done,
     /*  882935 */   // Label 13490: @882935
     /*  882935 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883010), // Rule ID 60980 //
     /*  882940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  882951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  882954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  882957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  882960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  882989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883008 */     GIR_RootConstrainSelectedInstOperands,
     /*  883009 */     // GIR_Coverage, 60980,
     /*  883009 */     GIR_EraseRootFromParent_Done,
     /*  883010 */   // Label 13491: @883010
     /*  883010 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883085), // Rule ID 60981 //
     /*  883015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  883026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  883029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  883035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883083 */     GIR_RootConstrainSelectedInstOperands,
     /*  883084 */     // GIR_Coverage, 60981,
     /*  883084 */     GIR_EraseRootFromParent_Done,
     /*  883085 */   // Label 13492: @883085
     /*  883085 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883160), // Rule ID 60984 //
     /*  883090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  883139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883158 */     GIR_RootConstrainSelectedInstOperands,
     /*  883159 */     // GIR_Coverage, 60984,
     /*  883159 */     GIR_EraseRootFromParent_Done,
     /*  883160 */   // Label 13493: @883160
     /*  883160 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883235), // Rule ID 60985 //
     /*  883165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  883214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883233 */     GIR_RootConstrainSelectedInstOperands,
     /*  883234 */     // GIR_Coverage, 60985,
     /*  883234 */     GIR_EraseRootFromParent_Done,
     /*  883235 */   // Label 13494: @883235
     /*  883235 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883310), // Rule ID 60988 //
     /*  883240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883308 */     GIR_RootConstrainSelectedInstOperands,
     /*  883309 */     // GIR_Coverage, 60988,
     /*  883309 */     GIR_EraseRootFromParent_Done,
     /*  883310 */   // Label 13495: @883310
     /*  883310 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883385), // Rule ID 60989 //
     /*  883315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883383 */     GIR_RootConstrainSelectedInstOperands,
     /*  883384 */     // GIR_Coverage, 60989,
     /*  883384 */     GIR_EraseRootFromParent_Done,
     /*  883385 */   // Label 13496: @883385
     /*  883385 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883460), // Rule ID 60992 //
     /*  883390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883458 */     GIR_RootConstrainSelectedInstOperands,
     /*  883459 */     // GIR_Coverage, 60992,
     /*  883459 */     GIR_EraseRootFromParent_Done,
     /*  883460 */   // Label 13497: @883460
     /*  883460 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883535), // Rule ID 60993 //
     /*  883465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883533 */     GIR_RootConstrainSelectedInstOperands,
     /*  883534 */     // GIR_Coverage, 60993,
     /*  883534 */     GIR_EraseRootFromParent_Done,
     /*  883535 */   // Label 13498: @883535
     /*  883535 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883610), // Rule ID 60996 //
     /*  883540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  883551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  883554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  883560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883608 */     GIR_RootConstrainSelectedInstOperands,
     /*  883609 */     // GIR_Coverage, 60996,
     /*  883609 */     GIR_EraseRootFromParent_Done,
     /*  883610 */   // Label 13499: @883610
     /*  883610 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883685), // Rule ID 60997 //
     /*  883615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  883626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  883629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  883635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883683 */     GIR_RootConstrainSelectedInstOperands,
     /*  883684 */     // GIR_Coverage, 60997,
     /*  883684 */     GIR_EraseRootFromParent_Done,
     /*  883685 */   // Label 13500: @883685
     /*  883685 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(883760), // Rule ID 61000 //
     /*  883690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  883701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  883704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  883710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883758 */     GIR_RootConstrainSelectedInstOperands,
     /*  883759 */     // GIR_Coverage, 61000,
     /*  883759 */     GIR_EraseRootFromParent_Done,
     /*  883760 */   // Label 13501: @883760
     /*  883760 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(883835), // Rule ID 61001 //
     /*  883765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  883776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  883779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  883785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883833 */     GIR_RootConstrainSelectedInstOperands,
     /*  883834 */     // GIR_Coverage, 61001,
     /*  883834 */     GIR_EraseRootFromParent_Done,
     /*  883835 */   // Label 13502: @883835
     /*  883835 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(883910), // Rule ID 61004 //
     /*  883840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  883886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883908 */     GIR_RootConstrainSelectedInstOperands,
     /*  883909 */     // GIR_Coverage, 61004,
     /*  883909 */     GIR_EraseRootFromParent_Done,
     /*  883910 */   // Label 13503: @883910
     /*  883910 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(883985), // Rule ID 61005 //
     /*  883915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  883961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883983 */     GIR_RootConstrainSelectedInstOperands,
     /*  883984 */     // GIR_Coverage, 61005,
     /*  883984 */     GIR_EraseRootFromParent_Done,
     /*  883985 */   // Label 13504: @883985
     /*  883985 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884060), // Rule ID 61008 //
     /*  883990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  884039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884058 */     GIR_RootConstrainSelectedInstOperands,
     /*  884059 */     // GIR_Coverage, 61008,
     /*  884059 */     GIR_EraseRootFromParent_Done,
     /*  884060 */   // Label 13505: @884060
     /*  884060 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884135), // Rule ID 61009 //
     /*  884065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884111 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  884114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884133 */     GIR_RootConstrainSelectedInstOperands,
     /*  884134 */     // GIR_Coverage, 61009,
     /*  884134 */     GIR_EraseRootFromParent_Done,
     /*  884135 */   // Label 13506: @884135
     /*  884135 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884210), // Rule ID 61012 //
     /*  884140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  884160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884208 */     GIR_RootConstrainSelectedInstOperands,
     /*  884209 */     // GIR_Coverage, 61012,
     /*  884209 */     GIR_EraseRootFromParent_Done,
     /*  884210 */   // Label 13507: @884210
     /*  884210 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884285), // Rule ID 61013 //
     /*  884215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  884235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884283 */     GIR_RootConstrainSelectedInstOperands,
     /*  884284 */     // GIR_Coverage, 61013,
     /*  884284 */     GIR_EraseRootFromParent_Done,
     /*  884285 */   // Label 13508: @884285
     /*  884285 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884360), // Rule ID 61016 //
     /*  884290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884358 */     GIR_RootConstrainSelectedInstOperands,
     /*  884359 */     // GIR_Coverage, 61016,
     /*  884359 */     GIR_EraseRootFromParent_Done,
     /*  884360 */   // Label 13509: @884360
     /*  884360 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884435), // Rule ID 61017 //
     /*  884365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884433 */     GIR_RootConstrainSelectedInstOperands,
     /*  884434 */     // GIR_Coverage, 61017,
     /*  884434 */     GIR_EraseRootFromParent_Done,
     /*  884435 */   // Label 13510: @884435
     /*  884435 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884510), // Rule ID 61020 //
     /*  884440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  884489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884508 */     GIR_RootConstrainSelectedInstOperands,
     /*  884509 */     // GIR_Coverage, 61020,
     /*  884509 */     GIR_EraseRootFromParent_Done,
     /*  884510 */   // Label 13511: @884510
     /*  884510 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884585), // Rule ID 61021 //
     /*  884515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  884564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884583 */     GIR_RootConstrainSelectedInstOperands,
     /*  884584 */     // GIR_Coverage, 61021,
     /*  884584 */     GIR_EraseRootFromParent_Done,
     /*  884585 */   // Label 13512: @884585
     /*  884585 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884660), // Rule ID 61028 //
     /*  884590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  884639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884658 */     GIR_RootConstrainSelectedInstOperands,
     /*  884659 */     // GIR_Coverage, 61028,
     /*  884659 */     GIR_EraseRootFromParent_Done,
     /*  884660 */   // Label 13513: @884660
     /*  884660 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(884735), // Rule ID 61029 //
     /*  884665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  884714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884733 */     GIR_RootConstrainSelectedInstOperands,
     /*  884734 */     // GIR_Coverage, 61029,
     /*  884734 */     GIR_EraseRootFromParent_Done,
     /*  884735 */   // Label 13514: @884735
     /*  884735 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(884810), // Rule ID 61036 //
     /*  884740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  884789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884808 */     GIR_RootConstrainSelectedInstOperands,
     /*  884809 */     // GIR_Coverage, 61036,
     /*  884809 */     GIR_EraseRootFromParent_Done,
     /*  884810 */   // Label 13515: @884810
     /*  884810 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(884885), // Rule ID 61037 //
     /*  884815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  884864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884883 */     GIR_RootConstrainSelectedInstOperands,
     /*  884884 */     // GIR_Coverage, 61037,
     /*  884884 */     GIR_EraseRootFromParent_Done,
     /*  884885 */   // Label 13516: @884885
     /*  884885 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(884960), // Rule ID 61044 //
     /*  884890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  884901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  884904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  884939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884958 */     GIR_RootConstrainSelectedInstOperands,
     /*  884959 */     // GIR_Coverage, 61044,
     /*  884959 */     GIR_EraseRootFromParent_Done,
     /*  884960 */   // Label 13517: @884960
     /*  884960 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885035), // Rule ID 61045 //
     /*  884965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  884976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  884979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885033 */     GIR_RootConstrainSelectedInstOperands,
     /*  885034 */     // GIR_Coverage, 61045,
     /*  885034 */     GIR_EraseRootFromParent_Done,
     /*  885035 */   // Label 13518: @885035
     /*  885035 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885110), // Rule ID 61052 //
     /*  885040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885108 */     GIR_RootConstrainSelectedInstOperands,
     /*  885109 */     // GIR_Coverage, 61052,
     /*  885109 */     GIR_EraseRootFromParent_Done,
     /*  885110 */   // Label 13519: @885110
     /*  885110 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885185), // Rule ID 61053 //
     /*  885115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885161 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885183 */     GIR_RootConstrainSelectedInstOperands,
     /*  885184 */     // GIR_Coverage, 61053,
     /*  885184 */     GIR_EraseRootFromParent_Done,
     /*  885185 */   // Label 13520: @885185
     /*  885185 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885260), // Rule ID 61060 //
     /*  885190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885258 */     GIR_RootConstrainSelectedInstOperands,
     /*  885259 */     // GIR_Coverage, 61060,
     /*  885259 */     GIR_EraseRootFromParent_Done,
     /*  885260 */   // Label 13521: @885260
     /*  885260 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885335), // Rule ID 61061 //
     /*  885265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885333 */     GIR_RootConstrainSelectedInstOperands,
     /*  885334 */     // GIR_Coverage, 61061,
     /*  885334 */     GIR_EraseRootFromParent_Done,
     /*  885335 */   // Label 13522: @885335
     /*  885335 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885410), // Rule ID 61068 //
     /*  885340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885408 */     GIR_RootConstrainSelectedInstOperands,
     /*  885409 */     // GIR_Coverage, 61068,
     /*  885409 */     GIR_EraseRootFromParent_Done,
     /*  885410 */   // Label 13523: @885410
     /*  885410 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885485), // Rule ID 61069 //
     /*  885415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885483 */     GIR_RootConstrainSelectedInstOperands,
     /*  885484 */     // GIR_Coverage, 61069,
     /*  885484 */     GIR_EraseRootFromParent_Done,
     /*  885485 */   // Label 13524: @885485
     /*  885485 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885560), // Rule ID 61076 //
     /*  885490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885558 */     GIR_RootConstrainSelectedInstOperands,
     /*  885559 */     // GIR_Coverage, 61076,
     /*  885559 */     GIR_EraseRootFromParent_Done,
     /*  885560 */   // Label 13525: @885560
     /*  885560 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885635), // Rule ID 61077 //
     /*  885565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885633 */     GIR_RootConstrainSelectedInstOperands,
     /*  885634 */     // GIR_Coverage, 61077,
     /*  885634 */     GIR_EraseRootFromParent_Done,
     /*  885635 */   // Label 13526: @885635
     /*  885635 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885710), // Rule ID 61084 //
     /*  885640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885708 */     GIR_RootConstrainSelectedInstOperands,
     /*  885709 */     // GIR_Coverage, 61084,
     /*  885709 */     GIR_EraseRootFromParent_Done,
     /*  885710 */   // Label 13527: @885710
     /*  885710 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(885785), // Rule ID 61085 //
     /*  885715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885783 */     GIR_RootConstrainSelectedInstOperands,
     /*  885784 */     // GIR_Coverage, 61085,
     /*  885784 */     GIR_EraseRootFromParent_Done,
     /*  885785 */   // Label 13528: @885785
     /*  885785 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(885860), // Rule ID 61092 //
     /*  885790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885858 */     GIR_RootConstrainSelectedInstOperands,
     /*  885859 */     // GIR_Coverage, 61092,
     /*  885859 */     GIR_EraseRootFromParent_Done,
     /*  885860 */   // Label 13529: @885860
     /*  885860 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(885935), // Rule ID 61093 //
     /*  885865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885933 */     GIR_RootConstrainSelectedInstOperands,
     /*  885934 */     // GIR_Coverage, 61093,
     /*  885934 */     GIR_EraseRootFromParent_Done,
     /*  885935 */   // Label 13530: @885935
     /*  885935 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886010), // Rule ID 61100 //
     /*  885940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  885951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  885954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  885957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886008 */     GIR_RootConstrainSelectedInstOperands,
     /*  886009 */     // GIR_Coverage, 61100,
     /*  886009 */     GIR_EraseRootFromParent_Done,
     /*  886010 */   // Label 13531: @886010
     /*  886010 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886085), // Rule ID 61101 //
     /*  886015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  886026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  886029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886083 */     GIR_RootConstrainSelectedInstOperands,
     /*  886084 */     // GIR_Coverage, 61101,
     /*  886084 */     GIR_EraseRootFromParent_Done,
     /*  886085 */   // Label 13532: @886085
     /*  886085 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886160), // Rule ID 61108 //
     /*  886090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886158 */     GIR_RootConstrainSelectedInstOperands,
     /*  886159 */     // GIR_Coverage, 61108,
     /*  886159 */     GIR_EraseRootFromParent_Done,
     /*  886160 */   // Label 13533: @886160
     /*  886160 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886235), // Rule ID 61109 //
     /*  886165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886233 */     GIR_RootConstrainSelectedInstOperands,
     /*  886234 */     // GIR_Coverage, 61109,
     /*  886234 */     GIR_EraseRootFromParent_Done,
     /*  886235 */   // Label 13534: @886235
     /*  886235 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886310), // Rule ID 61116 //
     /*  886240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886308 */     GIR_RootConstrainSelectedInstOperands,
     /*  886309 */     // GIR_Coverage, 61116,
     /*  886309 */     GIR_EraseRootFromParent_Done,
     /*  886310 */   // Label 13535: @886310
     /*  886310 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886385), // Rule ID 61117 //
     /*  886315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886383 */     GIR_RootConstrainSelectedInstOperands,
     /*  886384 */     // GIR_Coverage, 61117,
     /*  886384 */     GIR_EraseRootFromParent_Done,
     /*  886385 */   // Label 13536: @886385
     /*  886385 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886460), // Rule ID 61124 //
     /*  886390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886458 */     GIR_RootConstrainSelectedInstOperands,
     /*  886459 */     // GIR_Coverage, 61124,
     /*  886459 */     GIR_EraseRootFromParent_Done,
     /*  886460 */   // Label 13537: @886460
     /*  886460 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886535), // Rule ID 61125 //
     /*  886465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886533 */     GIR_RootConstrainSelectedInstOperands,
     /*  886534 */     // GIR_Coverage, 61125,
     /*  886534 */     GIR_EraseRootFromParent_Done,
     /*  886535 */   // Label 13538: @886535
     /*  886535 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886610), // Rule ID 61132 //
     /*  886540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886608 */     GIR_RootConstrainSelectedInstOperands,
     /*  886609 */     // GIR_Coverage, 61132,
     /*  886609 */     GIR_EraseRootFromParent_Done,
     /*  886610 */   // Label 13539: @886610
     /*  886610 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886685), // Rule ID 61133 //
     /*  886615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886683 */     GIR_RootConstrainSelectedInstOperands,
     /*  886684 */     // GIR_Coverage, 61133,
     /*  886684 */     GIR_EraseRootFromParent_Done,
     /*  886685 */   // Label 13540: @886685
     /*  886685 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(886760), // Rule ID 61140 //
     /*  886690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  886739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886758 */     GIR_RootConstrainSelectedInstOperands,
     /*  886759 */     // GIR_Coverage, 61140,
     /*  886759 */     GIR_EraseRootFromParent_Done,
     /*  886760 */   // Label 13541: @886760
     /*  886760 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(886835), // Rule ID 61141 //
     /*  886765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  886768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  886814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886833 */     GIR_RootConstrainSelectedInstOperands,
     /*  886834 */     // GIR_Coverage, 61141,
     /*  886834 */     GIR_EraseRootFromParent_Done,
     /*  886835 */   // Label 13542: @886835
     /*  886835 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(886910), // Rule ID 61144 //
     /*  886840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  886857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  886860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  886889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886908 */     GIR_RootConstrainSelectedInstOperands,
     /*  886909 */     // GIR_Coverage, 61144,
     /*  886909 */     GIR_EraseRootFromParent_Done,
     /*  886910 */   // Label 13543: @886910
     /*  886910 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(886985), // Rule ID 61145 //
     /*  886915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  886918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  886932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  886935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  886964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886983 */     GIR_RootConstrainSelectedInstOperands,
     /*  886984 */     // GIR_Coverage, 61145,
     /*  886984 */     GIR_EraseRootFromParent_Done,
     /*  886985 */   // Label 13544: @886985
     /*  886985 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887060), // Rule ID 61148 //
     /*  886990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  887039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887058 */     GIR_RootConstrainSelectedInstOperands,
     /*  887059 */     // GIR_Coverage, 61148,
     /*  887059 */     GIR_EraseRootFromParent_Done,
     /*  887060 */   // Label 13545: @887060
     /*  887060 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887135), // Rule ID 61149 //
     /*  887065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  887114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887133 */     GIR_RootConstrainSelectedInstOperands,
     /*  887134 */     // GIR_Coverage, 61149,
     /*  887134 */     GIR_EraseRootFromParent_Done,
     /*  887135 */   // Label 13546: @887135
     /*  887135 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887210), // Rule ID 61152 //
     /*  887140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  887189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887208 */     GIR_RootConstrainSelectedInstOperands,
     /*  887209 */     // GIR_Coverage, 61152,
     /*  887209 */     GIR_EraseRootFromParent_Done,
     /*  887210 */   // Label 13547: @887210
     /*  887210 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887285), // Rule ID 61153 //
     /*  887215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  887264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887283 */     GIR_RootConstrainSelectedInstOperands,
     /*  887284 */     // GIR_Coverage, 61153,
     /*  887284 */     GIR_EraseRootFromParent_Done,
     /*  887285 */   // Label 13548: @887285
     /*  887285 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887360), // Rule ID 61156 //
     /*  887290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887358 */     GIR_RootConstrainSelectedInstOperands,
     /*  887359 */     // GIR_Coverage, 61156,
     /*  887359 */     GIR_EraseRootFromParent_Done,
     /*  887360 */   // Label 13549: @887360
     /*  887360 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887435), // Rule ID 61157 //
     /*  887365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887433 */     GIR_RootConstrainSelectedInstOperands,
     /*  887434 */     // GIR_Coverage, 61157,
     /*  887434 */     GIR_EraseRootFromParent_Done,
     /*  887435 */   // Label 13550: @887435
     /*  887435 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887510), // Rule ID 61160 //
     /*  887440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  887489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887508 */     GIR_RootConstrainSelectedInstOperands,
     /*  887509 */     // GIR_Coverage, 61160,
     /*  887509 */     GIR_EraseRootFromParent_Done,
     /*  887510 */   // Label 13551: @887510
     /*  887510 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887585), // Rule ID 61161 //
     /*  887515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  887564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887583 */     GIR_RootConstrainSelectedInstOperands,
     /*  887584 */     // GIR_Coverage, 61161,
     /*  887584 */     GIR_EraseRootFromParent_Done,
     /*  887585 */   // Label 13552: @887585
     /*  887585 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887660), // Rule ID 61164 //
     /*  887590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  887639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887658 */     GIR_RootConstrainSelectedInstOperands,
     /*  887659 */     // GIR_Coverage, 61164,
     /*  887659 */     GIR_EraseRootFromParent_Done,
     /*  887660 */   // Label 13553: @887660
     /*  887660 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(887735), // Rule ID 61165 //
     /*  887665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  887714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887733 */     GIR_RootConstrainSelectedInstOperands,
     /*  887734 */     // GIR_Coverage, 61165,
     /*  887734 */     GIR_EraseRootFromParent_Done,
     /*  887735 */   // Label 13554: @887735
     /*  887735 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(887810), // Rule ID 61168 //
     /*  887740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  887789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887808 */     GIR_RootConstrainSelectedInstOperands,
     /*  887809 */     // GIR_Coverage, 61168,
     /*  887809 */     GIR_EraseRootFromParent_Done,
     /*  887810 */   // Label 13555: @887810
     /*  887810 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(887885), // Rule ID 61169 //
     /*  887815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  887864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887883 */     GIR_RootConstrainSelectedInstOperands,
     /*  887884 */     // GIR_Coverage, 61169,
     /*  887884 */     GIR_EraseRootFromParent_Done,
     /*  887885 */   // Label 13556: @887885
     /*  887885 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(887960), // Rule ID 61172 //
     /*  887890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  887939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887958 */     GIR_RootConstrainSelectedInstOperands,
     /*  887959 */     // GIR_Coverage, 61172,
     /*  887959 */     GIR_EraseRootFromParent_Done,
     /*  887960 */   // Label 13557: @887960
     /*  887960 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888035), // Rule ID 61173 //
     /*  887965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  888014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888033 */     GIR_RootConstrainSelectedInstOperands,
     /*  888034 */     // GIR_Coverage, 61173,
     /*  888034 */     GIR_EraseRootFromParent_Done,
     /*  888035 */   // Label 13558: @888035
     /*  888035 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888110), // Rule ID 61176 //
     /*  888040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  888089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888108 */     GIR_RootConstrainSelectedInstOperands,
     /*  888109 */     // GIR_Coverage, 61176,
     /*  888109 */     GIR_EraseRootFromParent_Done,
     /*  888110 */   // Label 13559: @888110
     /*  888110 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888185), // Rule ID 61177 //
     /*  888115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  888164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888183 */     GIR_RootConstrainSelectedInstOperands,
     /*  888184 */     // GIR_Coverage, 61177,
     /*  888184 */     GIR_EraseRootFromParent_Done,
     /*  888185 */   // Label 13560: @888185
     /*  888185 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888260), // Rule ID 61180 //
     /*  888190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888258 */     GIR_RootConstrainSelectedInstOperands,
     /*  888259 */     // GIR_Coverage, 61180,
     /*  888259 */     GIR_EraseRootFromParent_Done,
     /*  888260 */   // Label 13561: @888260
     /*  888260 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888335), // Rule ID 61181 //
     /*  888265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888333 */     GIR_RootConstrainSelectedInstOperands,
     /*  888334 */     // GIR_Coverage, 61181,
     /*  888334 */     GIR_EraseRootFromParent_Done,
     /*  888335 */   // Label 13562: @888335
     /*  888335 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888410), // Rule ID 61184 //
     /*  888340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888408 */     GIR_RootConstrainSelectedInstOperands,
     /*  888409 */     // GIR_Coverage, 61184,
     /*  888409 */     GIR_EraseRootFromParent_Done,
     /*  888410 */   // Label 13563: @888410
     /*  888410 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888485), // Rule ID 61185 //
     /*  888415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888483 */     GIR_RootConstrainSelectedInstOperands,
     /*  888484 */     // GIR_Coverage, 61185,
     /*  888484 */     GIR_EraseRootFromParent_Done,
     /*  888485 */   // Label 13564: @888485
     /*  888485 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888560), // Rule ID 61188 //
     /*  888490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  888539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888558 */     GIR_RootConstrainSelectedInstOperands,
     /*  888559 */     // GIR_Coverage, 61188,
     /*  888559 */     GIR_EraseRootFromParent_Done,
     /*  888560 */   // Label 13565: @888560
     /*  888560 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888635), // Rule ID 61189 //
     /*  888565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  888614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888633 */     GIR_RootConstrainSelectedInstOperands,
     /*  888634 */     // GIR_Coverage, 61189,
     /*  888634 */     GIR_EraseRootFromParent_Done,
     /*  888635 */   // Label 13566: @888635
     /*  888635 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888710), // Rule ID 61192 //
     /*  888640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  888689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888708 */     GIR_RootConstrainSelectedInstOperands,
     /*  888709 */     // GIR_Coverage, 61192,
     /*  888709 */     GIR_EraseRootFromParent_Done,
     /*  888710 */   // Label 13567: @888710
     /*  888710 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(888785), // Rule ID 61193 //
     /*  888715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  888764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888783 */     GIR_RootConstrainSelectedInstOperands,
     /*  888784 */     // GIR_Coverage, 61193,
     /*  888784 */     GIR_EraseRootFromParent_Done,
     /*  888785 */   // Label 13568: @888785
     /*  888785 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(888860), // Rule ID 61196 //
     /*  888790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  888839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888858 */     GIR_RootConstrainSelectedInstOperands,
     /*  888859 */     // GIR_Coverage, 61196,
     /*  888859 */     GIR_EraseRootFromParent_Done,
     /*  888860 */   // Label 13569: @888860
     /*  888860 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(888935), // Rule ID 61197 //
     /*  888865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  888914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888933 */     GIR_RootConstrainSelectedInstOperands,
     /*  888934 */     // GIR_Coverage, 61197,
     /*  888934 */     GIR_EraseRootFromParent_Done,
     /*  888935 */   // Label 13570: @888935
     /*  888935 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889010), // Rule ID 61200 //
     /*  888940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  888989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889008 */     GIR_RootConstrainSelectedInstOperands,
     /*  889009 */     // GIR_Coverage, 61200,
     /*  889009 */     GIR_EraseRootFromParent_Done,
     /*  889010 */   // Label 13571: @889010
     /*  889010 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889085), // Rule ID 61201 //
     /*  889015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  889018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  889026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  889029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  889064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889083 */     GIR_RootConstrainSelectedInstOperands,
     /*  889084 */     // GIR_Coverage, 61201,
     /*  889084 */     GIR_EraseRootFromParent_Done,
     /*  889085 */   // Label 13572: @889085
     /*  889085 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889160), // Rule ID 61204 //
     /*  889090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  889139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889158 */     GIR_RootConstrainSelectedInstOperands,
     /*  889159 */     // GIR_Coverage, 61204,
     /*  889159 */     GIR_EraseRootFromParent_Done,
     /*  889160 */   // Label 13573: @889160
     /*  889160 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889235), // Rule ID 61205 //
     /*  889165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  889214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889233 */     GIR_RootConstrainSelectedInstOperands,
     /*  889234 */     // GIR_Coverage, 61205,
     /*  889234 */     GIR_EraseRootFromParent_Done,
     /*  889235 */   // Label 13574: @889235
     /*  889235 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889310), // Rule ID 61208 //
     /*  889240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889308 */     GIR_RootConstrainSelectedInstOperands,
     /*  889309 */     // GIR_Coverage, 61208,
     /*  889309 */     GIR_EraseRootFromParent_Done,
     /*  889310 */   // Label 13575: @889310
     /*  889310 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889385), // Rule ID 61209 //
     /*  889315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889383 */     GIR_RootConstrainSelectedInstOperands,
     /*  889384 */     // GIR_Coverage, 61209,
     /*  889384 */     GIR_EraseRootFromParent_Done,
     /*  889385 */   // Label 13576: @889385
     /*  889385 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889460), // Rule ID 61212 //
     /*  889390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889458 */     GIR_RootConstrainSelectedInstOperands,
     /*  889459 */     // GIR_Coverage, 61212,
     /*  889459 */     GIR_EraseRootFromParent_Done,
     /*  889460 */   // Label 13577: @889460
     /*  889460 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889535), // Rule ID 61213 //
     /*  889465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889533 */     GIR_RootConstrainSelectedInstOperands,
     /*  889534 */     // GIR_Coverage, 61213,
     /*  889534 */     GIR_EraseRootFromParent_Done,
     /*  889535 */   // Label 13578: @889535
     /*  889535 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889610), // Rule ID 61216 //
     /*  889540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  889560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889608 */     GIR_RootConstrainSelectedInstOperands,
     /*  889609 */     // GIR_Coverage, 61216,
     /*  889609 */     GIR_EraseRootFromParent_Done,
     /*  889610 */   // Label 13579: @889610
     /*  889610 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889685), // Rule ID 61217 //
     /*  889615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  889635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889683 */     GIR_RootConstrainSelectedInstOperands,
     /*  889684 */     // GIR_Coverage, 61217,
     /*  889684 */     GIR_EraseRootFromParent_Done,
     /*  889685 */   // Label 13580: @889685
     /*  889685 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(889760), // Rule ID 61220 //
     /*  889690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  889710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889758 */     GIR_RootConstrainSelectedInstOperands,
     /*  889759 */     // GIR_Coverage, 61220,
     /*  889759 */     GIR_EraseRootFromParent_Done,
     /*  889760 */   // Label 13581: @889760
     /*  889760 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(889835), // Rule ID 61221 //
     /*  889765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  889785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889833 */     GIR_RootConstrainSelectedInstOperands,
     /*  889834 */     // GIR_Coverage, 61221,
     /*  889834 */     GIR_EraseRootFromParent_Done,
     /*  889835 */   // Label 13582: @889835
     /*  889835 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(889910), // Rule ID 61224 //
     /*  889840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  889860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889908 */     GIR_RootConstrainSelectedInstOperands,
     /*  889909 */     // GIR_Coverage, 61224,
     /*  889909 */     GIR_EraseRootFromParent_Done,
     /*  889910 */   // Label 13583: @889910
     /*  889910 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(889985), // Rule ID 61225 //
     /*  889915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  889935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889983 */     GIR_RootConstrainSelectedInstOperands,
     /*  889984 */     // GIR_Coverage, 61225,
     /*  889984 */     GIR_EraseRootFromParent_Done,
     /*  889985 */   // Label 13584: @889985
     /*  889985 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890060), // Rule ID 61228 //
     /*  889990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890058 */     GIR_RootConstrainSelectedInstOperands,
     /*  890059 */     // GIR_Coverage, 61228,
     /*  890059 */     GIR_EraseRootFromParent_Done,
     /*  890060 */   // Label 13585: @890060
     /*  890060 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890135), // Rule ID 61229 //
     /*  890065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890133 */     GIR_RootConstrainSelectedInstOperands,
     /*  890134 */     // GIR_Coverage, 61229,
     /*  890134 */     GIR_EraseRootFromParent_Done,
     /*  890135 */   // Label 13586: @890135
     /*  890135 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890210), // Rule ID 61232 //
     /*  890140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890208 */     GIR_RootConstrainSelectedInstOperands,
     /*  890209 */     // GIR_Coverage, 61232,
     /*  890209 */     GIR_EraseRootFromParent_Done,
     /*  890210 */   // Label 13587: @890210
     /*  890210 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890285), // Rule ID 61233 //
     /*  890215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890283 */     GIR_RootConstrainSelectedInstOperands,
     /*  890284 */     // GIR_Coverage, 61233,
     /*  890284 */     GIR_EraseRootFromParent_Done,
     /*  890285 */   // Label 13588: @890285
     /*  890285 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890360), // Rule ID 61236 //
     /*  890290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890358 */     GIR_RootConstrainSelectedInstOperands,
     /*  890359 */     // GIR_Coverage, 61236,
     /*  890359 */     GIR_EraseRootFromParent_Done,
     /*  890360 */   // Label 13589: @890360
     /*  890360 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890435), // Rule ID 61237 //
     /*  890365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890433 */     GIR_RootConstrainSelectedInstOperands,
     /*  890434 */     // GIR_Coverage, 61237,
     /*  890434 */     GIR_EraseRootFromParent_Done,
     /*  890435 */   // Label 13590: @890435
     /*  890435 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890510), // Rule ID 61240 //
     /*  890440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  890460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890508 */     GIR_RootConstrainSelectedInstOperands,
     /*  890509 */     // GIR_Coverage, 61240,
     /*  890509 */     GIR_EraseRootFromParent_Done,
     /*  890510 */   // Label 13591: @890510
     /*  890510 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890585), // Rule ID 61241 //
     /*  890515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  890535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890583 */     GIR_RootConstrainSelectedInstOperands,
     /*  890584 */     // GIR_Coverage, 61241,
     /*  890584 */     GIR_EraseRootFromParent_Done,
     /*  890585 */   // Label 13592: @890585
     /*  890585 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890660), // Rule ID 61244 //
     /*  890590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  890610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890658 */     GIR_RootConstrainSelectedInstOperands,
     /*  890659 */     // GIR_Coverage, 61244,
     /*  890659 */     GIR_EraseRootFromParent_Done,
     /*  890660 */   // Label 13593: @890660
     /*  890660 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(890735), // Rule ID 61245 //
     /*  890665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  890685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890733 */     GIR_RootConstrainSelectedInstOperands,
     /*  890734 */     // GIR_Coverage, 61245,
     /*  890734 */     GIR_EraseRootFromParent_Done,
     /*  890735 */   // Label 13594: @890735
     /*  890735 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(890810), // Rule ID 61248 //
     /*  890740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  890760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  890789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890808 */     GIR_RootConstrainSelectedInstOperands,
     /*  890809 */     // GIR_Coverage, 61248,
     /*  890809 */     GIR_EraseRootFromParent_Done,
     /*  890810 */   // Label 13595: @890810
     /*  890810 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(890885), // Rule ID 61249 //
     /*  890815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  890835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  890864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890883 */     GIR_RootConstrainSelectedInstOperands,
     /*  890884 */     // GIR_Coverage, 61249,
     /*  890884 */     GIR_EraseRootFromParent_Done,
     /*  890885 */   // Label 13596: @890885
     /*  890885 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(890960), // Rule ID 61252 //
     /*  890890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  890910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  890939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890958 */     GIR_RootConstrainSelectedInstOperands,
     /*  890959 */     // GIR_Coverage, 61252,
     /*  890959 */     GIR_EraseRootFromParent_Done,
     /*  890960 */   // Label 13597: @890960
     /*  890960 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891035), // Rule ID 61253 //
     /*  890965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  890985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891033 */     GIR_RootConstrainSelectedInstOperands,
     /*  891034 */     // GIR_Coverage, 61253,
     /*  891034 */     GIR_EraseRootFromParent_Done,
     /*  891035 */   // Label 13598: @891035
     /*  891035 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891110), // Rule ID 61256 //
     /*  891040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891108 */     GIR_RootConstrainSelectedInstOperands,
     /*  891109 */     // GIR_Coverage, 61256,
     /*  891109 */     GIR_EraseRootFromParent_Done,
     /*  891110 */   // Label 13599: @891110
     /*  891110 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891185), // Rule ID 61257 //
     /*  891115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891183 */     GIR_RootConstrainSelectedInstOperands,
     /*  891184 */     // GIR_Coverage, 61257,
     /*  891184 */     GIR_EraseRootFromParent_Done,
     /*  891185 */   // Label 13600: @891185
     /*  891185 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891260), // Rule ID 61260 //
     /*  891190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891258 */     GIR_RootConstrainSelectedInstOperands,
     /*  891259 */     // GIR_Coverage, 61260,
     /*  891259 */     GIR_EraseRootFromParent_Done,
     /*  891260 */   // Label 13601: @891260
     /*  891260 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891335), // Rule ID 61261 //
     /*  891265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891333 */     GIR_RootConstrainSelectedInstOperands,
     /*  891334 */     // GIR_Coverage, 61261,
     /*  891334 */     GIR_EraseRootFromParent_Done,
     /*  891335 */   // Label 13602: @891335
     /*  891335 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891410), // Rule ID 61264 //
     /*  891340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891408 */     GIR_RootConstrainSelectedInstOperands,
     /*  891409 */     // GIR_Coverage, 61264,
     /*  891409 */     GIR_EraseRootFromParent_Done,
     /*  891410 */   // Label 13603: @891410
     /*  891410 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891485), // Rule ID 61265 //
     /*  891415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891483 */     GIR_RootConstrainSelectedInstOperands,
     /*  891484 */     // GIR_Coverage, 61265,
     /*  891484 */     GIR_EraseRootFromParent_Done,
     /*  891485 */   // Label 13604: @891485
     /*  891485 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891560), // Rule ID 61268 //
     /*  891490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  891510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891558 */     GIR_RootConstrainSelectedInstOperands,
     /*  891559 */     // GIR_Coverage, 61268,
     /*  891559 */     GIR_EraseRootFromParent_Done,
     /*  891560 */   // Label 13605: @891560
     /*  891560 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891635), // Rule ID 61269 //
     /*  891565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  891585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891633 */     GIR_RootConstrainSelectedInstOperands,
     /*  891634 */     // GIR_Coverage, 61269,
     /*  891634 */     GIR_EraseRootFromParent_Done,
     /*  891635 */   // Label 13606: @891635
     /*  891635 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891710), // Rule ID 61272 //
     /*  891640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  891660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891708 */     GIR_RootConstrainSelectedInstOperands,
     /*  891709 */     // GIR_Coverage, 61272,
     /*  891709 */     GIR_EraseRootFromParent_Done,
     /*  891710 */   // Label 13607: @891710
     /*  891710 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(891785), // Rule ID 61273 //
     /*  891715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  891735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891783 */     GIR_RootConstrainSelectedInstOperands,
     /*  891784 */     // GIR_Coverage, 61273,
     /*  891784 */     GIR_EraseRootFromParent_Done,
     /*  891785 */   // Label 13608: @891785
     /*  891785 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(891860), // Rule ID 61276 //
     /*  891790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  891810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891858 */     GIR_RootConstrainSelectedInstOperands,
     /*  891859 */     // GIR_Coverage, 61276,
     /*  891859 */     GIR_EraseRootFromParent_Done,
     /*  891860 */   // Label 13609: @891860
     /*  891860 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(891935), // Rule ID 61277 //
     /*  891865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  891885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891933 */     GIR_RootConstrainSelectedInstOperands,
     /*  891934 */     // GIR_Coverage, 61277,
     /*  891934 */     GIR_EraseRootFromParent_Done,
     /*  891935 */   // Label 13610: @891935
     /*  891935 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892010), // Rule ID 61280 //
     /*  891940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  891960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892008 */     GIR_RootConstrainSelectedInstOperands,
     /*  892009 */     // GIR_Coverage, 61280,
     /*  892009 */     GIR_EraseRootFromParent_Done,
     /*  892010 */   // Label 13611: @892010
     /*  892010 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892085), // Rule ID 61281 //
     /*  892015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  892026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  892029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  892032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  892035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  892064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892083 */     GIR_RootConstrainSelectedInstOperands,
     /*  892084 */     // GIR_Coverage, 61281,
     /*  892084 */     GIR_EraseRootFromParent_Done,
     /*  892085 */   // Label 13612: @892085
     /*  892085 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892160), // Rule ID 61284 //
     /*  892090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892158 */     GIR_RootConstrainSelectedInstOperands,
     /*  892159 */     // GIR_Coverage, 61284,
     /*  892159 */     GIR_EraseRootFromParent_Done,
     /*  892160 */   // Label 13613: @892160
     /*  892160 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892235), // Rule ID 61285 //
     /*  892165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892233 */     GIR_RootConstrainSelectedInstOperands,
     /*  892234 */     // GIR_Coverage, 61285,
     /*  892234 */     GIR_EraseRootFromParent_Done,
     /*  892235 */   // Label 13614: @892235
     /*  892235 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892310), // Rule ID 61288 //
     /*  892240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892308 */     GIR_RootConstrainSelectedInstOperands,
     /*  892309 */     // GIR_Coverage, 61288,
     /*  892309 */     GIR_EraseRootFromParent_Done,
     /*  892310 */   // Label 13615: @892310
     /*  892310 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892385), // Rule ID 61289 //
     /*  892315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892383 */     GIR_RootConstrainSelectedInstOperands,
     /*  892384 */     // GIR_Coverage, 61289,
     /*  892384 */     GIR_EraseRootFromParent_Done,
     /*  892385 */   // Label 13616: @892385
     /*  892385 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892460), // Rule ID 61292 //
     /*  892390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892458 */     GIR_RootConstrainSelectedInstOperands,
     /*  892459 */     // GIR_Coverage, 61292,
     /*  892459 */     GIR_EraseRootFromParent_Done,
     /*  892460 */   // Label 13617: @892460
     /*  892460 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892535), // Rule ID 61293 //
     /*  892465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892533 */     GIR_RootConstrainSelectedInstOperands,
     /*  892534 */     // GIR_Coverage, 61293,
     /*  892534 */     GIR_EraseRootFromParent_Done,
     /*  892535 */   // Label 13618: @892535
     /*  892535 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892610), // Rule ID 61296 //
     /*  892540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892608 */     GIR_RootConstrainSelectedInstOperands,
     /*  892609 */     // GIR_Coverage, 61296,
     /*  892609 */     GIR_EraseRootFromParent_Done,
     /*  892610 */   // Label 13619: @892610
     /*  892610 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892685), // Rule ID 61297 //
     /*  892615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892683 */     GIR_RootConstrainSelectedInstOperands,
     /*  892684 */     // GIR_Coverage, 61297,
     /*  892684 */     GIR_EraseRootFromParent_Done,
     /*  892685 */   // Label 13620: @892685
     /*  892685 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(892760), // Rule ID 61300 //
     /*  892690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892758 */     GIR_RootConstrainSelectedInstOperands,
     /*  892759 */     // GIR_Coverage, 61300,
     /*  892759 */     GIR_EraseRootFromParent_Done,
     /*  892760 */   // Label 13621: @892760
     /*  892760 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(892835), // Rule ID 61301 //
     /*  892765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892833 */     GIR_RootConstrainSelectedInstOperands,
     /*  892834 */     // GIR_Coverage, 61301,
     /*  892834 */     GIR_EraseRootFromParent_Done,
     /*  892835 */   // Label 13622: @892835
     /*  892835 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(892910), // Rule ID 61304 //
     /*  892840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892908 */     GIR_RootConstrainSelectedInstOperands,
     /*  892909 */     // GIR_Coverage, 61304,
     /*  892909 */     GIR_EraseRootFromParent_Done,
     /*  892910 */   // Label 13623: @892910
     /*  892910 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(892985), // Rule ID 61305 //
     /*  892915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892983 */     GIR_RootConstrainSelectedInstOperands,
     /*  892984 */     // GIR_Coverage, 61305,
     /*  892984 */     GIR_EraseRootFromParent_Done,
     /*  892985 */   // Label 13624: @892985
     /*  892985 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893060), // Rule ID 61308 //
     /*  892990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893058 */     GIR_RootConstrainSelectedInstOperands,
     /*  893059 */     // GIR_Coverage, 61308,
     /*  893059 */     GIR_EraseRootFromParent_Done,
     /*  893060 */   // Label 13625: @893060
     /*  893060 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893135), // Rule ID 61309 //
     /*  893065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893133 */     GIR_RootConstrainSelectedInstOperands,
     /*  893134 */     // GIR_Coverage, 61309,
     /*  893134 */     GIR_EraseRootFromParent_Done,
     /*  893135 */   // Label 13626: @893135
     /*  893135 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893210), // Rule ID 61312 //
     /*  893140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893208 */     GIR_RootConstrainSelectedInstOperands,
     /*  893209 */     // GIR_Coverage, 61312,
     /*  893209 */     GIR_EraseRootFromParent_Done,
     /*  893210 */   // Label 13627: @893210
     /*  893210 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893285), // Rule ID 61313 //
     /*  893215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893283 */     GIR_RootConstrainSelectedInstOperands,
     /*  893284 */     // GIR_Coverage, 61313,
     /*  893284 */     GIR_EraseRootFromParent_Done,
     /*  893285 */   // Label 13628: @893285
     /*  893285 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893360), // Rule ID 61316 //
     /*  893290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893358 */     GIR_RootConstrainSelectedInstOperands,
     /*  893359 */     // GIR_Coverage, 61316,
     /*  893359 */     GIR_EraseRootFromParent_Done,
     /*  893360 */   // Label 13629: @893360
     /*  893360 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893435), // Rule ID 61317 //
     /*  893365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893433 */     GIR_RootConstrainSelectedInstOperands,
     /*  893434 */     // GIR_Coverage, 61317,
     /*  893434 */     GIR_EraseRootFromParent_Done,
     /*  893435 */   // Label 13630: @893435
     /*  893435 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893510), // Rule ID 61320 //
     /*  893440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893508 */     GIR_RootConstrainSelectedInstOperands,
     /*  893509 */     // GIR_Coverage, 61320,
     /*  893509 */     GIR_EraseRootFromParent_Done,
     /*  893510 */   // Label 13631: @893510
     /*  893510 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893585), // Rule ID 61321 //
     /*  893515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893583 */     GIR_RootConstrainSelectedInstOperands,
     /*  893584 */     // GIR_Coverage, 61321,
     /*  893584 */     GIR_EraseRootFromParent_Done,
     /*  893585 */   // Label 13632: @893585
     /*  893585 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893660), // Rule ID 61324 //
     /*  893590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893658 */     GIR_RootConstrainSelectedInstOperands,
     /*  893659 */     // GIR_Coverage, 61324,
     /*  893659 */     GIR_EraseRootFromParent_Done,
     /*  893660 */   // Label 13633: @893660
     /*  893660 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(893735), // Rule ID 61325 //
     /*  893665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893733 */     GIR_RootConstrainSelectedInstOperands,
     /*  893734 */     // GIR_Coverage, 61325,
     /*  893734 */     GIR_EraseRootFromParent_Done,
     /*  893735 */   // Label 13634: @893735
     /*  893735 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(893810), // Rule ID 61328 //
     /*  893740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893808 */     GIR_RootConstrainSelectedInstOperands,
     /*  893809 */     // GIR_Coverage, 61328,
     /*  893809 */     GIR_EraseRootFromParent_Done,
     /*  893810 */   // Label 13635: @893810
     /*  893810 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(893885), // Rule ID 61329 //
     /*  893815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893883 */     GIR_RootConstrainSelectedInstOperands,
     /*  893884 */     // GIR_Coverage, 61329,
     /*  893884 */     GIR_EraseRootFromParent_Done,
     /*  893885 */   // Label 13636: @893885
     /*  893885 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(893960), // Rule ID 61332 //
     /*  893890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  893939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893958 */     GIR_RootConstrainSelectedInstOperands,
     /*  893959 */     // GIR_Coverage, 61332,
     /*  893959 */     GIR_EraseRootFromParent_Done,
     /*  893960 */   // Label 13637: @893960
     /*  893960 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894035), // Rule ID 61333 //
     /*  893965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894033 */     GIR_RootConstrainSelectedInstOperands,
     /*  894034 */     // GIR_Coverage, 61333,
     /*  894034 */     GIR_EraseRootFromParent_Done,
     /*  894035 */   // Label 13638: @894035
     /*  894035 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894110), // Rule ID 61336 //
     /*  894040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894108 */     GIR_RootConstrainSelectedInstOperands,
     /*  894109 */     // GIR_Coverage, 61336,
     /*  894109 */     GIR_EraseRootFromParent_Done,
     /*  894110 */   // Label 13639: @894110
     /*  894110 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894185), // Rule ID 61337 //
     /*  894115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894183 */     GIR_RootConstrainSelectedInstOperands,
     /*  894184 */     // GIR_Coverage, 61337,
     /*  894184 */     GIR_EraseRootFromParent_Done,
     /*  894185 */   // Label 13640: @894185
     /*  894185 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894260), // Rule ID 61340 //
     /*  894190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894258 */     GIR_RootConstrainSelectedInstOperands,
     /*  894259 */     // GIR_Coverage, 61340,
     /*  894259 */     GIR_EraseRootFromParent_Done,
     /*  894260 */   // Label 13641: @894260
     /*  894260 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894335), // Rule ID 61341 //
     /*  894265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894333 */     GIR_RootConstrainSelectedInstOperands,
     /*  894334 */     // GIR_Coverage, 61341,
     /*  894334 */     GIR_EraseRootFromParent_Done,
     /*  894335 */   // Label 13642: @894335
     /*  894335 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894410), // Rule ID 61344 //
     /*  894340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894408 */     GIR_RootConstrainSelectedInstOperands,
     /*  894409 */     // GIR_Coverage, 61344,
     /*  894409 */     GIR_EraseRootFromParent_Done,
     /*  894410 */   // Label 13643: @894410
     /*  894410 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894485), // Rule ID 61345 //
     /*  894415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894483 */     GIR_RootConstrainSelectedInstOperands,
     /*  894484 */     // GIR_Coverage, 61345,
     /*  894484 */     GIR_EraseRootFromParent_Done,
     /*  894485 */   // Label 13644: @894485
     /*  894485 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894560), // Rule ID 61348 //
     /*  894490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894558 */     GIR_RootConstrainSelectedInstOperands,
     /*  894559 */     // GIR_Coverage, 61348,
     /*  894559 */     GIR_EraseRootFromParent_Done,
     /*  894560 */   // Label 13645: @894560
     /*  894560 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894635), // Rule ID 61349 //
     /*  894565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894633 */     GIR_RootConstrainSelectedInstOperands,
     /*  894634 */     // GIR_Coverage, 61349,
     /*  894634 */     GIR_EraseRootFromParent_Done,
     /*  894635 */   // Label 13646: @894635
     /*  894635 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894710), // Rule ID 61352 //
     /*  894640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894708 */     GIR_RootConstrainSelectedInstOperands,
     /*  894709 */     // GIR_Coverage, 61352,
     /*  894709 */     GIR_EraseRootFromParent_Done,
     /*  894710 */   // Label 13647: @894710
     /*  894710 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(894785), // Rule ID 61353 //
     /*  894715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894783 */     GIR_RootConstrainSelectedInstOperands,
     /*  894784 */     // GIR_Coverage, 61353,
     /*  894784 */     GIR_EraseRootFromParent_Done,
     /*  894785 */   // Label 13648: @894785
     /*  894785 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(894860), // Rule ID 61356 //
     /*  894790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894858 */     GIR_RootConstrainSelectedInstOperands,
     /*  894859 */     // GIR_Coverage, 61356,
     /*  894859 */     GIR_EraseRootFromParent_Done,
     /*  894860 */   // Label 13649: @894860
     /*  894860 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(894935), // Rule ID 61357 //
     /*  894865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894933 */     GIR_RootConstrainSelectedInstOperands,
     /*  894934 */     // GIR_Coverage, 61357,
     /*  894934 */     GIR_EraseRootFromParent_Done,
     /*  894935 */   // Label 13650: @894935
     /*  894935 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895010), // Rule ID 61360 //
     /*  894940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895008 */     GIR_RootConstrainSelectedInstOperands,
     /*  895009 */     // GIR_Coverage, 61360,
     /*  895009 */     GIR_EraseRootFromParent_Done,
     /*  895010 */   // Label 13651: @895010
     /*  895010 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895085), // Rule ID 61361 //
     /*  895015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  895026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  895029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  895032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895083 */     GIR_RootConstrainSelectedInstOperands,
     /*  895084 */     // GIR_Coverage, 61361,
     /*  895084 */     GIR_EraseRootFromParent_Done,
     /*  895085 */   // Label 13652: @895085
     /*  895085 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895160), // Rule ID 61364 //
     /*  895090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895158 */     GIR_RootConstrainSelectedInstOperands,
     /*  895159 */     // GIR_Coverage, 61364,
     /*  895159 */     GIR_EraseRootFromParent_Done,
     /*  895160 */   // Label 13653: @895160
     /*  895160 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895235), // Rule ID 61365 //
     /*  895165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895233 */     GIR_RootConstrainSelectedInstOperands,
     /*  895234 */     // GIR_Coverage, 61365,
     /*  895234 */     GIR_EraseRootFromParent_Done,
     /*  895235 */   // Label 13654: @895235
     /*  895235 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895310), // Rule ID 61368 //
     /*  895240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895308 */     GIR_RootConstrainSelectedInstOperands,
     /*  895309 */     // GIR_Coverage, 61368,
     /*  895309 */     GIR_EraseRootFromParent_Done,
     /*  895310 */   // Label 13655: @895310
     /*  895310 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895385), // Rule ID 61369 //
     /*  895315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895383 */     GIR_RootConstrainSelectedInstOperands,
     /*  895384 */     // GIR_Coverage, 61369,
     /*  895384 */     GIR_EraseRootFromParent_Done,
     /*  895385 */   // Label 13656: @895385
     /*  895385 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895460), // Rule ID 61372 //
     /*  895390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895458 */     GIR_RootConstrainSelectedInstOperands,
     /*  895459 */     // GIR_Coverage, 61372,
     /*  895459 */     GIR_EraseRootFromParent_Done,
     /*  895460 */   // Label 13657: @895460
     /*  895460 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895535), // Rule ID 61373 //
     /*  895465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895533 */     GIR_RootConstrainSelectedInstOperands,
     /*  895534 */     // GIR_Coverage, 61373,
     /*  895534 */     GIR_EraseRootFromParent_Done,
     /*  895535 */   // Label 13658: @895535
     /*  895535 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895610), // Rule ID 61376 //
     /*  895540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895608 */     GIR_RootConstrainSelectedInstOperands,
     /*  895609 */     // GIR_Coverage, 61376,
     /*  895609 */     GIR_EraseRootFromParent_Done,
     /*  895610 */   // Label 13659: @895610
     /*  895610 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895685), // Rule ID 61377 //
     /*  895615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895683 */     GIR_RootConstrainSelectedInstOperands,
     /*  895684 */     // GIR_Coverage, 61377,
     /*  895684 */     GIR_EraseRootFromParent_Done,
     /*  895685 */   // Label 13660: @895685
     /*  895685 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(895760), // Rule ID 61556 //
     /*  895690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  895710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  895739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895758 */     GIR_RootConstrainSelectedInstOperands,
     /*  895759 */     // GIR_Coverage, 61556,
     /*  895759 */     GIR_EraseRootFromParent_Done,
     /*  895760 */   // Label 13661: @895760
     /*  895760 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(895835), // Rule ID 61557 //
     /*  895765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  895785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  895814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895833 */     GIR_RootConstrainSelectedInstOperands,
     /*  895834 */     // GIR_Coverage, 61557,
     /*  895834 */     GIR_EraseRootFromParent_Done,
     /*  895835 */   // Label 13662: @895835
     /*  895835 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(895910), // Rule ID 61560 //
     /*  895840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  895860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  895889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895908 */     GIR_RootConstrainSelectedInstOperands,
     /*  895909 */     // GIR_Coverage, 61560,
     /*  895909 */     GIR_EraseRootFromParent_Done,
     /*  895910 */   // Label 13663: @895910
     /*  895910 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(895985), // Rule ID 61561 //
     /*  895915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  895935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  895964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895983 */     GIR_RootConstrainSelectedInstOperands,
     /*  895984 */     // GIR_Coverage, 61561,
     /*  895984 */     GIR_EraseRootFromParent_Done,
     /*  895985 */   // Label 13664: @895985
     /*  895985 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896060), // Rule ID 61564 //
     /*  895990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896058 */     GIR_RootConstrainSelectedInstOperands,
     /*  896059 */     // GIR_Coverage, 61564,
     /*  896059 */     GIR_EraseRootFromParent_Done,
     /*  896060 */   // Label 13665: @896060
     /*  896060 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896135), // Rule ID 61565 //
     /*  896065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896133 */     GIR_RootConstrainSelectedInstOperands,
     /*  896134 */     // GIR_Coverage, 61565,
     /*  896134 */     GIR_EraseRootFromParent_Done,
     /*  896135 */   // Label 13666: @896135
     /*  896135 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896210), // Rule ID 61568 //
     /*  896140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896208 */     GIR_RootConstrainSelectedInstOperands,
     /*  896209 */     // GIR_Coverage, 61568,
     /*  896209 */     GIR_EraseRootFromParent_Done,
     /*  896210 */   // Label 13667: @896210
     /*  896210 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896285), // Rule ID 61569 //
     /*  896215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896283 */     GIR_RootConstrainSelectedInstOperands,
     /*  896284 */     // GIR_Coverage, 61569,
     /*  896284 */     GIR_EraseRootFromParent_Done,
     /*  896285 */   // Label 13668: @896285
     /*  896285 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896360), // Rule ID 61572 //
     /*  896290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896358 */     GIR_RootConstrainSelectedInstOperands,
     /*  896359 */     // GIR_Coverage, 61572,
     /*  896359 */     GIR_EraseRootFromParent_Done,
     /*  896360 */   // Label 13669: @896360
     /*  896360 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896435), // Rule ID 61573 //
     /*  896365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896433 */     GIR_RootConstrainSelectedInstOperands,
     /*  896434 */     // GIR_Coverage, 61573,
     /*  896434 */     GIR_EraseRootFromParent_Done,
     /*  896435 */   // Label 13670: @896435
     /*  896435 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896510), // Rule ID 61576 //
     /*  896440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  896460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896508 */     GIR_RootConstrainSelectedInstOperands,
     /*  896509 */     // GIR_Coverage, 61576,
     /*  896509 */     GIR_EraseRootFromParent_Done,
     /*  896510 */   // Label 13671: @896510
     /*  896510 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896585), // Rule ID 61577 //
     /*  896515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  896535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896583 */     GIR_RootConstrainSelectedInstOperands,
     /*  896584 */     // GIR_Coverage, 61577,
     /*  896584 */     GIR_EraseRootFromParent_Done,
     /*  896585 */   // Label 13672: @896585
     /*  896585 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896660), // Rule ID 61580 //
     /*  896590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  896610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896658 */     GIR_RootConstrainSelectedInstOperands,
     /*  896659 */     // GIR_Coverage, 61580,
     /*  896659 */     GIR_EraseRootFromParent_Done,
     /*  896660 */   // Label 13673: @896660
     /*  896660 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(896735), // Rule ID 61581 //
     /*  896665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  896685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896733 */     GIR_RootConstrainSelectedInstOperands,
     /*  896734 */     // GIR_Coverage, 61581,
     /*  896734 */     GIR_EraseRootFromParent_Done,
     /*  896735 */   // Label 13674: @896735
     /*  896735 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(896810), // Rule ID 61584 //
     /*  896740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  896760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896808 */     GIR_RootConstrainSelectedInstOperands,
     /*  896809 */     // GIR_Coverage, 61584,
     /*  896809 */     GIR_EraseRootFromParent_Done,
     /*  896810 */   // Label 13675: @896810
     /*  896810 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(896885), // Rule ID 61585 //
     /*  896815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  896835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896883 */     GIR_RootConstrainSelectedInstOperands,
     /*  896884 */     // GIR_Coverage, 61585,
     /*  896884 */     GIR_EraseRootFromParent_Done,
     /*  896885 */   // Label 13676: @896885
     /*  896885 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(896960), // Rule ID 61588 //
     /*  896890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  896910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896958 */     GIR_RootConstrainSelectedInstOperands,
     /*  896959 */     // GIR_Coverage, 61588,
     /*  896959 */     GIR_EraseRootFromParent_Done,
     /*  896960 */   // Label 13677: @896960
     /*  896960 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897035), // Rule ID 61589 //
     /*  896965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  896985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897033 */     GIR_RootConstrainSelectedInstOperands,
     /*  897034 */     // GIR_Coverage, 61589,
     /*  897034 */     GIR_EraseRootFromParent_Done,
     /*  897035 */   // Label 13678: @897035
     /*  897035 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897110), // Rule ID 61592 //
     /*  897040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897108 */     GIR_RootConstrainSelectedInstOperands,
     /*  897109 */     // GIR_Coverage, 61592,
     /*  897109 */     GIR_EraseRootFromParent_Done,
     /*  897110 */   // Label 13679: @897110
     /*  897110 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897185), // Rule ID 61593 //
     /*  897115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897183 */     GIR_RootConstrainSelectedInstOperands,
     /*  897184 */     // GIR_Coverage, 61593,
     /*  897184 */     GIR_EraseRootFromParent_Done,
     /*  897185 */   // Label 13680: @897185
     /*  897185 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897260), // Rule ID 61596 //
     /*  897190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897258 */     GIR_RootConstrainSelectedInstOperands,
     /*  897259 */     // GIR_Coverage, 61596,
     /*  897259 */     GIR_EraseRootFromParent_Done,
     /*  897260 */   // Label 13681: @897260
     /*  897260 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897335), // Rule ID 61597 //
     /*  897265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897333 */     GIR_RootConstrainSelectedInstOperands,
     /*  897334 */     // GIR_Coverage, 61597,
     /*  897334 */     GIR_EraseRootFromParent_Done,
     /*  897335 */   // Label 13682: @897335
     /*  897335 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897410), // Rule ID 61600 //
     /*  897340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897408 */     GIR_RootConstrainSelectedInstOperands,
     /*  897409 */     // GIR_Coverage, 61600,
     /*  897409 */     GIR_EraseRootFromParent_Done,
     /*  897410 */   // Label 13683: @897410
     /*  897410 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897485), // Rule ID 61601 //
     /*  897415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897483 */     GIR_RootConstrainSelectedInstOperands,
     /*  897484 */     // GIR_Coverage, 61601,
     /*  897484 */     GIR_EraseRootFromParent_Done,
     /*  897485 */   // Label 13684: @897485
     /*  897485 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897560), // Rule ID 61604 //
     /*  897490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  897510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897558 */     GIR_RootConstrainSelectedInstOperands,
     /*  897559 */     // GIR_Coverage, 61604,
     /*  897559 */     GIR_EraseRootFromParent_Done,
     /*  897560 */   // Label 13685: @897560
     /*  897560 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897635), // Rule ID 61605 //
     /*  897565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  897585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897633 */     GIR_RootConstrainSelectedInstOperands,
     /*  897634 */     // GIR_Coverage, 61605,
     /*  897634 */     GIR_EraseRootFromParent_Done,
     /*  897635 */   // Label 13686: @897635
     /*  897635 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897710), // Rule ID 61608 //
     /*  897640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  897660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897708 */     GIR_RootConstrainSelectedInstOperands,
     /*  897709 */     // GIR_Coverage, 61608,
     /*  897709 */     GIR_EraseRootFromParent_Done,
     /*  897710 */   // Label 13687: @897710
     /*  897710 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(897785), // Rule ID 61609 //
     /*  897715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  897735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897783 */     GIR_RootConstrainSelectedInstOperands,
     /*  897784 */     // GIR_Coverage, 61609,
     /*  897784 */     GIR_EraseRootFromParent_Done,
     /*  897785 */   // Label 13688: @897785
     /*  897785 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(897860), // Rule ID 61612 //
     /*  897790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  897810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897858 */     GIR_RootConstrainSelectedInstOperands,
     /*  897859 */     // GIR_Coverage, 61612,
     /*  897859 */     GIR_EraseRootFromParent_Done,
     /*  897860 */   // Label 13689: @897860
     /*  897860 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(897935), // Rule ID 61613 //
     /*  897865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  897885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897933 */     GIR_RootConstrainSelectedInstOperands,
     /*  897934 */     // GIR_Coverage, 61613,
     /*  897934 */     GIR_EraseRootFromParent_Done,
     /*  897935 */   // Label 13690: @897935
     /*  897935 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898010), // Rule ID 61616 //
     /*  897940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  897960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898008 */     GIR_RootConstrainSelectedInstOperands,
     /*  898009 */     // GIR_Coverage, 61616,
     /*  898009 */     GIR_EraseRootFromParent_Done,
     /*  898010 */   // Label 13691: @898010
     /*  898010 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898085), // Rule ID 61617 //
     /*  898015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  898026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  898029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  898035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898083 */     GIR_RootConstrainSelectedInstOperands,
     /*  898084 */     // GIR_Coverage, 61617,
     /*  898084 */     GIR_EraseRootFromParent_Done,
     /*  898085 */   // Label 13692: @898085
     /*  898085 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898160), // Rule ID 61620 //
     /*  898090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898158 */     GIR_RootConstrainSelectedInstOperands,
     /*  898159 */     // GIR_Coverage, 61620,
     /*  898159 */     GIR_EraseRootFromParent_Done,
     /*  898160 */   // Label 13693: @898160
     /*  898160 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898235), // Rule ID 61621 //
     /*  898165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898233 */     GIR_RootConstrainSelectedInstOperands,
     /*  898234 */     // GIR_Coverage, 61621,
     /*  898234 */     GIR_EraseRootFromParent_Done,
     /*  898235 */   // Label 13694: @898235
     /*  898235 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898310), // Rule ID 61624 //
     /*  898240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898308 */     GIR_RootConstrainSelectedInstOperands,
     /*  898309 */     // GIR_Coverage, 61624,
     /*  898309 */     GIR_EraseRootFromParent_Done,
     /*  898310 */   // Label 13695: @898310
     /*  898310 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898385), // Rule ID 61625 //
     /*  898315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898383 */     GIR_RootConstrainSelectedInstOperands,
     /*  898384 */     // GIR_Coverage, 61625,
     /*  898384 */     GIR_EraseRootFromParent_Done,
     /*  898385 */   // Label 13696: @898385
     /*  898385 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898460), // Rule ID 61628 //
     /*  898390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898458 */     GIR_RootConstrainSelectedInstOperands,
     /*  898459 */     // GIR_Coverage, 61628,
     /*  898459 */     GIR_EraseRootFromParent_Done,
     /*  898460 */   // Label 13697: @898460
     /*  898460 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898535), // Rule ID 61629 //
     /*  898465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898533 */     GIR_RootConstrainSelectedInstOperands,
     /*  898534 */     // GIR_Coverage, 61629,
     /*  898534 */     GIR_EraseRootFromParent_Done,
     /*  898535 */   // Label 13698: @898535
     /*  898535 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898610), // Rule ID 61632 //
     /*  898540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  898560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898608 */     GIR_RootConstrainSelectedInstOperands,
     /*  898609 */     // GIR_Coverage, 61632,
     /*  898609 */     GIR_EraseRootFromParent_Done,
     /*  898610 */   // Label 13699: @898610
     /*  898610 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898685), // Rule ID 61633 //
     /*  898615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  898635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898683 */     GIR_RootConstrainSelectedInstOperands,
     /*  898684 */     // GIR_Coverage, 61633,
     /*  898684 */     GIR_EraseRootFromParent_Done,
     /*  898685 */   // Label 13700: @898685
     /*  898685 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(898760), // Rule ID 61636 //
     /*  898690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  898710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898758 */     GIR_RootConstrainSelectedInstOperands,
     /*  898759 */     // GIR_Coverage, 61636,
     /*  898759 */     GIR_EraseRootFromParent_Done,
     /*  898760 */   // Label 13701: @898760
     /*  898760 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(898835), // Rule ID 61637 //
     /*  898765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  898785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898833 */     GIR_RootConstrainSelectedInstOperands,
     /*  898834 */     // GIR_Coverage, 61637,
     /*  898834 */     GIR_EraseRootFromParent_Done,
     /*  898835 */   // Label 13702: @898835
     /*  898835 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(898910), // Rule ID 61640 //
     /*  898840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  898860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898908 */     GIR_RootConstrainSelectedInstOperands,
     /*  898909 */     // GIR_Coverage, 61640,
     /*  898909 */     GIR_EraseRootFromParent_Done,
     /*  898910 */   // Label 13703: @898910
     /*  898910 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(898985), // Rule ID 61641 //
     /*  898915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  898935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898983 */     GIR_RootConstrainSelectedInstOperands,
     /*  898984 */     // GIR_Coverage, 61641,
     /*  898984 */     GIR_EraseRootFromParent_Done,
     /*  898985 */   // Label 13704: @898985
     /*  898985 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899060), // Rule ID 61644 //
     /*  898990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  899039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899058 */     GIR_RootConstrainSelectedInstOperands,
     /*  899059 */     // GIR_Coverage, 61644,
     /*  899059 */     GIR_EraseRootFromParent_Done,
     /*  899060 */   // Label 13705: @899060
     /*  899060 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899135), // Rule ID 61645 //
     /*  899065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  899114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899133 */     GIR_RootConstrainSelectedInstOperands,
     /*  899134 */     // GIR_Coverage, 61645,
     /*  899134 */     GIR_EraseRootFromParent_Done,
     /*  899135 */   // Label 13706: @899135
     /*  899135 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899210), // Rule ID 61648 //
     /*  899140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899208 */     GIR_RootConstrainSelectedInstOperands,
     /*  899209 */     // GIR_Coverage, 61648,
     /*  899209 */     GIR_EraseRootFromParent_Done,
     /*  899210 */   // Label 13707: @899210
     /*  899210 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899285), // Rule ID 61649 //
     /*  899215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899283 */     GIR_RootConstrainSelectedInstOperands,
     /*  899284 */     // GIR_Coverage, 61649,
     /*  899284 */     GIR_EraseRootFromParent_Done,
     /*  899285 */   // Label 13708: @899285
     /*  899285 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899360), // Rule ID 61652 //
     /*  899290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899358 */     GIR_RootConstrainSelectedInstOperands,
     /*  899359 */     // GIR_Coverage, 61652,
     /*  899359 */     GIR_EraseRootFromParent_Done,
     /*  899360 */   // Label 13709: @899360
     /*  899360 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899435), // Rule ID 61653 //
     /*  899365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899433 */     GIR_RootConstrainSelectedInstOperands,
     /*  899434 */     // GIR_Coverage, 61653,
     /*  899434 */     GIR_EraseRootFromParent_Done,
     /*  899435 */   // Label 13710: @899435
     /*  899435 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899510), // Rule ID 61656 //
     /*  899440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899508 */     GIR_RootConstrainSelectedInstOperands,
     /*  899509 */     // GIR_Coverage, 61656,
     /*  899509 */     GIR_EraseRootFromParent_Done,
     /*  899510 */   // Label 13711: @899510
     /*  899510 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899585), // Rule ID 61657 //
     /*  899515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899583 */     GIR_RootConstrainSelectedInstOperands,
     /*  899584 */     // GIR_Coverage, 61657,
     /*  899584 */     GIR_EraseRootFromParent_Done,
     /*  899585 */   // Label 13712: @899585
     /*  899585 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899660), // Rule ID 61660 //
     /*  899590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899658 */     GIR_RootConstrainSelectedInstOperands,
     /*  899659 */     // GIR_Coverage, 61660,
     /*  899659 */     GIR_EraseRootFromParent_Done,
     /*  899660 */   // Label 13713: @899660
     /*  899660 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(899735), // Rule ID 61661 //
     /*  899665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899733 */     GIR_RootConstrainSelectedInstOperands,
     /*  899734 */     // GIR_Coverage, 61661,
     /*  899734 */     GIR_EraseRootFromParent_Done,
     /*  899735 */   // Label 13714: @899735
     /*  899735 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(899810), // Rule ID 61664 //
     /*  899740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899808 */     GIR_RootConstrainSelectedInstOperands,
     /*  899809 */     // GIR_Coverage, 61664,
     /*  899809 */     GIR_EraseRootFromParent_Done,
     /*  899810 */   // Label 13715: @899810
     /*  899810 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(899885), // Rule ID 61665 //
     /*  899815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899883 */     GIR_RootConstrainSelectedInstOperands,
     /*  899884 */     // GIR_Coverage, 61665,
     /*  899884 */     GIR_EraseRootFromParent_Done,
     /*  899885 */   // Label 13716: @899885
     /*  899885 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(899960), // Rule ID 61668 //
     /*  899890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  899939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899958 */     GIR_RootConstrainSelectedInstOperands,
     /*  899959 */     // GIR_Coverage, 61668,
     /*  899959 */     GIR_EraseRootFromParent_Done,
     /*  899960 */   // Label 13717: @899960
     /*  899960 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900035), // Rule ID 61669 //
     /*  899965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900033 */     GIR_RootConstrainSelectedInstOperands,
     /*  900034 */     // GIR_Coverage, 61669,
     /*  900034 */     GIR_EraseRootFromParent_Done,
     /*  900035 */   // Label 13718: @900035
     /*  900035 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900110), // Rule ID 61672 //
     /*  900040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900108 */     GIR_RootConstrainSelectedInstOperands,
     /*  900109 */     // GIR_Coverage, 61672,
     /*  900109 */     GIR_EraseRootFromParent_Done,
     /*  900110 */   // Label 13719: @900110
     /*  900110 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900185), // Rule ID 61673 //
     /*  900115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900183 */     GIR_RootConstrainSelectedInstOperands,
     /*  900184 */     // GIR_Coverage, 61673,
     /*  900184 */     GIR_EraseRootFromParent_Done,
     /*  900185 */   // Label 13720: @900185
     /*  900185 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900260), // Rule ID 61676 //
     /*  900190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900258 */     GIR_RootConstrainSelectedInstOperands,
     /*  900259 */     // GIR_Coverage, 61676,
     /*  900259 */     GIR_EraseRootFromParent_Done,
     /*  900260 */   // Label 13721: @900260
     /*  900260 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900335), // Rule ID 61677 //
     /*  900265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900333 */     GIR_RootConstrainSelectedInstOperands,
     /*  900334 */     // GIR_Coverage, 61677,
     /*  900334 */     GIR_EraseRootFromParent_Done,
     /*  900335 */   // Label 13722: @900335
     /*  900335 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900410), // Rule ID 61680 //
     /*  900340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900408 */     GIR_RootConstrainSelectedInstOperands,
     /*  900409 */     // GIR_Coverage, 61680,
     /*  900409 */     GIR_EraseRootFromParent_Done,
     /*  900410 */   // Label 13723: @900410
     /*  900410 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900485), // Rule ID 61681 //
     /*  900415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900483 */     GIR_RootConstrainSelectedInstOperands,
     /*  900484 */     // GIR_Coverage, 61681,
     /*  900484 */     GIR_EraseRootFromParent_Done,
     /*  900485 */   // Label 13724: @900485
     /*  900485 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900560), // Rule ID 61684 //
     /*  900490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900558 */     GIR_RootConstrainSelectedInstOperands,
     /*  900559 */     // GIR_Coverage, 61684,
     /*  900559 */     GIR_EraseRootFromParent_Done,
     /*  900560 */   // Label 13725: @900560
     /*  900560 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900635), // Rule ID 61685 //
     /*  900565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900633 */     GIR_RootConstrainSelectedInstOperands,
     /*  900634 */     // GIR_Coverage, 61685,
     /*  900634 */     GIR_EraseRootFromParent_Done,
     /*  900635 */   // Label 13726: @900635
     /*  900635 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900710), // Rule ID 61688 //
     /*  900640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  900689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900708 */     GIR_RootConstrainSelectedInstOperands,
     /*  900709 */     // GIR_Coverage, 61688,
     /*  900709 */     GIR_EraseRootFromParent_Done,
     /*  900710 */   // Label 13727: @900710
     /*  900710 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(900785), // Rule ID 61689 //
     /*  900715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  900764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900783 */     GIR_RootConstrainSelectedInstOperands,
     /*  900784 */     // GIR_Coverage, 61689,
     /*  900784 */     GIR_EraseRootFromParent_Done,
     /*  900785 */   // Label 13728: @900785
     /*  900785 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(900860), // Rule ID 61692 //
     /*  900790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  900839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900858 */     GIR_RootConstrainSelectedInstOperands,
     /*  900859 */     // GIR_Coverage, 61692,
     /*  900859 */     GIR_EraseRootFromParent_Done,
     /*  900860 */   // Label 13729: @900860
     /*  900860 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(900935), // Rule ID 61693 //
     /*  900865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  900914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900933 */     GIR_RootConstrainSelectedInstOperands,
     /*  900934 */     // GIR_Coverage, 61693,
     /*  900934 */     GIR_EraseRootFromParent_Done,
     /*  900935 */   // Label 13730: @900935
     /*  900935 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901010), // Rule ID 61696 //
     /*  900940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  900951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  900954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  900957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901008 */     GIR_RootConstrainSelectedInstOperands,
     /*  901009 */     // GIR_Coverage, 61696,
     /*  901009 */     GIR_EraseRootFromParent_Done,
     /*  901010 */   // Label 13731: @901010
     /*  901010 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901085), // Rule ID 61697 //
     /*  901015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901083 */     GIR_RootConstrainSelectedInstOperands,
     /*  901084 */     // GIR_Coverage, 61697,
     /*  901084 */     GIR_EraseRootFromParent_Done,
     /*  901085 */   // Label 13732: @901085
     /*  901085 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901160), // Rule ID 61700 //
     /*  901090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901158 */     GIR_RootConstrainSelectedInstOperands,
     /*  901159 */     // GIR_Coverage, 61700,
     /*  901159 */     GIR_EraseRootFromParent_Done,
     /*  901160 */   // Label 13733: @901160
     /*  901160 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901235), // Rule ID 61701 //
     /*  901165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901233 */     GIR_RootConstrainSelectedInstOperands,
     /*  901234 */     // GIR_Coverage, 61701,
     /*  901234 */     GIR_EraseRootFromParent_Done,
     /*  901235 */   // Label 13734: @901235
     /*  901235 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901310), // Rule ID 61704 //
     /*  901240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901308 */     GIR_RootConstrainSelectedInstOperands,
     /*  901309 */     // GIR_Coverage, 61704,
     /*  901309 */     GIR_EraseRootFromParent_Done,
     /*  901310 */   // Label 13735: @901310
     /*  901310 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901385), // Rule ID 61705 //
     /*  901315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901383 */     GIR_RootConstrainSelectedInstOperands,
     /*  901384 */     // GIR_Coverage, 61705,
     /*  901384 */     GIR_EraseRootFromParent_Done,
     /*  901385 */   // Label 13736: @901385
     /*  901385 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901460), // Rule ID 61708 //
     /*  901390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901458 */     GIR_RootConstrainSelectedInstOperands,
     /*  901459 */     // GIR_Coverage, 61708,
     /*  901459 */     GIR_EraseRootFromParent_Done,
     /*  901460 */   // Label 13737: @901460
     /*  901460 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901535), // Rule ID 61709 //
     /*  901465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901533 */     GIR_RootConstrainSelectedInstOperands,
     /*  901534 */     // GIR_Coverage, 61709,
     /*  901534 */     GIR_EraseRootFromParent_Done,
     /*  901535 */   // Label 13738: @901535
     /*  901535 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901610), // Rule ID 61712 //
     /*  901540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901608 */     GIR_RootConstrainSelectedInstOperands,
     /*  901609 */     // GIR_Coverage, 61712,
     /*  901609 */     GIR_EraseRootFromParent_Done,
     /*  901610 */   // Label 13739: @901610
     /*  901610 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901685), // Rule ID 61713 //
     /*  901615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901683 */     GIR_RootConstrainSelectedInstOperands,
     /*  901684 */     // GIR_Coverage, 61713,
     /*  901684 */     GIR_EraseRootFromParent_Done,
     /*  901685 */   // Label 13740: @901685
     /*  901685 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(901760), // Rule ID 61716 //
     /*  901690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901758 */     GIR_RootConstrainSelectedInstOperands,
     /*  901759 */     // GIR_Coverage, 61716,
     /*  901759 */     GIR_EraseRootFromParent_Done,
     /*  901760 */   // Label 13741: @901760
     /*  901760 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(901835), // Rule ID 61717 //
     /*  901765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901833 */     GIR_RootConstrainSelectedInstOperands,
     /*  901834 */     // GIR_Coverage, 61717,
     /*  901834 */     GIR_EraseRootFromParent_Done,
     /*  901835 */   // Label 13742: @901835
     /*  901835 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(901910), // Rule ID 61720 //
     /*  901840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901908 */     GIR_RootConstrainSelectedInstOperands,
     /*  901909 */     // GIR_Coverage, 61720,
     /*  901909 */     GIR_EraseRootFromParent_Done,
     /*  901910 */   // Label 13743: @901910
     /*  901910 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(901985), // Rule ID 61721 //
     /*  901915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901983 */     GIR_RootConstrainSelectedInstOperands,
     /*  901984 */     // GIR_Coverage, 61721,
     /*  901984 */     GIR_EraseRootFromParent_Done,
     /*  901985 */   // Label 13744: @901985
     /*  901985 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902060), // Rule ID 61724 //
     /*  901990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902058 */     GIR_RootConstrainSelectedInstOperands,
     /*  902059 */     // GIR_Coverage, 61724,
     /*  902059 */     GIR_EraseRootFromParent_Done,
     /*  902060 */   // Label 13745: @902060
     /*  902060 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902135), // Rule ID 61725 //
     /*  902065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902133 */     GIR_RootConstrainSelectedInstOperands,
     /*  902134 */     // GIR_Coverage, 61725,
     /*  902134 */     GIR_EraseRootFromParent_Done,
     /*  902135 */   // Label 13746: @902135
     /*  902135 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902210), // Rule ID 61728 //
     /*  902140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902208 */     GIR_RootConstrainSelectedInstOperands,
     /*  902209 */     // GIR_Coverage, 61728,
     /*  902209 */     GIR_EraseRootFromParent_Done,
     /*  902210 */   // Label 13747: @902210
     /*  902210 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902285), // Rule ID 61729 //
     /*  902215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902283 */     GIR_RootConstrainSelectedInstOperands,
     /*  902284 */     // GIR_Coverage, 61729,
     /*  902284 */     GIR_EraseRootFromParent_Done,
     /*  902285 */   // Label 13748: @902285
     /*  902285 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902360), // Rule ID 61816 //
     /*  902290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902358 */     GIR_RootConstrainSelectedInstOperands,
     /*  902359 */     // GIR_Coverage, 61816,
     /*  902359 */     GIR_EraseRootFromParent_Done,
     /*  902360 */   // Label 13749: @902360
     /*  902360 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902435), // Rule ID 61817 //
     /*  902365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902433 */     GIR_RootConstrainSelectedInstOperands,
     /*  902434 */     // GIR_Coverage, 61817,
     /*  902434 */     GIR_EraseRootFromParent_Done,
     /*  902435 */   // Label 13750: @902435
     /*  902435 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902510), // Rule ID 61820 //
     /*  902440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  902460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902508 */     GIR_RootConstrainSelectedInstOperands,
     /*  902509 */     // GIR_Coverage, 61820,
     /*  902509 */     GIR_EraseRootFromParent_Done,
     /*  902510 */   // Label 13751: @902510
     /*  902510 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902585), // Rule ID 61821 //
     /*  902515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  902535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902583 */     GIR_RootConstrainSelectedInstOperands,
     /*  902584 */     // GIR_Coverage, 61821,
     /*  902584 */     GIR_EraseRootFromParent_Done,
     /*  902585 */   // Label 13752: @902585
     /*  902585 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902660), // Rule ID 61824 //
     /*  902590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  902610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902658 */     GIR_RootConstrainSelectedInstOperands,
     /*  902659 */     // GIR_Coverage, 61824,
     /*  902659 */     GIR_EraseRootFromParent_Done,
     /*  902660 */   // Label 13753: @902660
     /*  902660 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(902735), // Rule ID 61825 //
     /*  902665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  902685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902733 */     GIR_RootConstrainSelectedInstOperands,
     /*  902734 */     // GIR_Coverage, 61825,
     /*  902734 */     GIR_EraseRootFromParent_Done,
     /*  902735 */   // Label 13754: @902735
     /*  902735 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(902810), // Rule ID 61828 //
     /*  902740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  902760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902808 */     GIR_RootConstrainSelectedInstOperands,
     /*  902809 */     // GIR_Coverage, 61828,
     /*  902809 */     GIR_EraseRootFromParent_Done,
     /*  902810 */   // Label 13755: @902810
     /*  902810 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(902885), // Rule ID 61829 //
     /*  902815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  902835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902883 */     GIR_RootConstrainSelectedInstOperands,
     /*  902884 */     // GIR_Coverage, 61829,
     /*  902884 */     GIR_EraseRootFromParent_Done,
     /*  902885 */   // Label 13756: @902885
     /*  902885 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(902960), // Rule ID 61832 //
     /*  902890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  902910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902958 */     GIR_RootConstrainSelectedInstOperands,
     /*  902959 */     // GIR_Coverage, 61832,
     /*  902959 */     GIR_EraseRootFromParent_Done,
     /*  902960 */   // Label 13757: @902960
     /*  902960 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903035), // Rule ID 61833 //
     /*  902965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  902985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903033 */     GIR_RootConstrainSelectedInstOperands,
     /*  903034 */     // GIR_Coverage, 61833,
     /*  903034 */     GIR_EraseRootFromParent_Done,
     /*  903035 */   // Label 13758: @903035
     /*  903035 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903110), // Rule ID 61836 //
     /*  903040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  903057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  903060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903108 */     GIR_RootConstrainSelectedInstOperands,
     /*  903109 */     // GIR_Coverage, 61836,
     /*  903109 */     GIR_EraseRootFromParent_Done,
     /*  903110 */   // Label 13759: @903110
     /*  903110 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903185), // Rule ID 61837 //
     /*  903115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  903132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  903135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903183 */     GIR_RootConstrainSelectedInstOperands,
     /*  903184 */     // GIR_Coverage, 61837,
     /*  903184 */     GIR_EraseRootFromParent_Done,
     /*  903185 */   // Label 13760: @903185
     /*  903185 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903260), // Rule ID 61840 //
     /*  903190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  903201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903258 */     GIR_RootConstrainSelectedInstOperands,
     /*  903259 */     // GIR_Coverage, 61840,
     /*  903259 */     GIR_EraseRootFromParent_Done,
     /*  903260 */   // Label 13761: @903260
     /*  903260 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903335), // Rule ID 61841 //
     /*  903265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  903276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903333 */     GIR_RootConstrainSelectedInstOperands,
     /*  903334 */     // GIR_Coverage, 61841,
     /*  903334 */     GIR_EraseRootFromParent_Done,
     /*  903335 */   // Label 13762: @903335
     /*  903335 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903410), // Rule ID 61844 //
     /*  903340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903408 */     GIR_RootConstrainSelectedInstOperands,
     /*  903409 */     // GIR_Coverage, 61844,
     /*  903409 */     GIR_EraseRootFromParent_Done,
     /*  903410 */   // Label 13763: @903410
     /*  903410 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903485), // Rule ID 61845 //
     /*  903415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903483 */     GIR_RootConstrainSelectedInstOperands,
     /*  903484 */     // GIR_Coverage, 61845,
     /*  903484 */     GIR_EraseRootFromParent_Done,
     /*  903485 */   // Label 13764: @903485
     /*  903485 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903560), // Rule ID 61848 //
     /*  903490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  903510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903558 */     GIR_RootConstrainSelectedInstOperands,
     /*  903559 */     // GIR_Coverage, 61848,
     /*  903559 */     GIR_EraseRootFromParent_Done,
     /*  903560 */   // Label 13765: @903560
     /*  903560 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903635), // Rule ID 61849 //
     /*  903565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  903585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903633 */     GIR_RootConstrainSelectedInstOperands,
     /*  903634 */     // GIR_Coverage, 61849,
     /*  903634 */     GIR_EraseRootFromParent_Done,
     /*  903635 */   // Label 13766: @903635
     /*  903635 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903710), // Rule ID 61852 //
     /*  903640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  903660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903708 */     GIR_RootConstrainSelectedInstOperands,
     /*  903709 */     // GIR_Coverage, 61852,
     /*  903709 */     GIR_EraseRootFromParent_Done,
     /*  903710 */   // Label 13767: @903710
     /*  903710 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(903785), // Rule ID 61853 //
     /*  903715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  903735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903783 */     GIR_RootConstrainSelectedInstOperands,
     /*  903784 */     // GIR_Coverage, 61853,
     /*  903784 */     GIR_EraseRootFromParent_Done,
     /*  903785 */   // Label 13768: @903785
     /*  903785 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(903860), // Rule ID 61856 //
     /*  903790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  903839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903858 */     GIR_RootConstrainSelectedInstOperands,
     /*  903859 */     // GIR_Coverage, 61856,
     /*  903859 */     GIR_EraseRootFromParent_Done,
     /*  903860 */   // Label 13769: @903860
     /*  903860 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(903935), // Rule ID 61857 //
     /*  903865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  903914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903933 */     GIR_RootConstrainSelectedInstOperands,
     /*  903934 */     // GIR_Coverage, 61857,
     /*  903934 */     GIR_EraseRootFromParent_Done,
     /*  903935 */   // Label 13770: @903935
     /*  903935 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904010), // Rule ID 61860 //
     /*  903940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  903951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  903954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  903957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  903960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  903989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904008 */     GIR_RootConstrainSelectedInstOperands,
     /*  904009 */     // GIR_Coverage, 61860,
     /*  904009 */     GIR_EraseRootFromParent_Done,
     /*  904010 */   // Label 13771: @904010
     /*  904010 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904085), // Rule ID 61861 //
     /*  904015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  904026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  904029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  904032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  904035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904061 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904083 */     GIR_RootConstrainSelectedInstOperands,
     /*  904084 */     // GIR_Coverage, 61861,
     /*  904084 */     GIR_EraseRootFromParent_Done,
     /*  904085 */   // Label 13772: @904085
     /*  904085 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904160), // Rule ID 61864 //
     /*  904090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  904101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  904104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  904107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  904110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  904136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904158 */     GIR_RootConstrainSelectedInstOperands,
     /*  904159 */     // GIR_Coverage, 61864,
     /*  904159 */     GIR_EraseRootFromParent_Done,
     /*  904160 */   // Label 13773: @904160
     /*  904160 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904235), // Rule ID 61865 //
     /*  904165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  904176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  904179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  904182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  904185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904233 */     GIR_RootConstrainSelectedInstOperands,
     /*  904234 */     // GIR_Coverage, 61865,
     /*  904234 */     GIR_EraseRootFromParent_Done,
     /*  904235 */   // Label 13774: @904235
     /*  904235 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904310), // Rule ID 61868 //
     /*  904240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904308 */     GIR_RootConstrainSelectedInstOperands,
     /*  904309 */     // GIR_Coverage, 61868,
     /*  904309 */     GIR_EraseRootFromParent_Done,
     /*  904310 */   // Label 13775: @904310
     /*  904310 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904385), // Rule ID 61869 //
     /*  904315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904383 */     GIR_RootConstrainSelectedInstOperands,
     /*  904384 */     // GIR_Coverage, 61869,
     /*  904384 */     GIR_EraseRootFromParent_Done,
     /*  904385 */   // Label 13776: @904385
     /*  904385 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904460), // Rule ID 61872 //
     /*  904390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904458 */     GIR_RootConstrainSelectedInstOperands,
     /*  904459 */     // GIR_Coverage, 61872,
     /*  904459 */     GIR_EraseRootFromParent_Done,
     /*  904460 */   // Label 13777: @904460
     /*  904460 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904535), // Rule ID 61873 //
     /*  904465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904533 */     GIR_RootConstrainSelectedInstOperands,
     /*  904534 */     // GIR_Coverage, 61873,
     /*  904534 */     GIR_EraseRootFromParent_Done,
     /*  904535 */   // Label 13778: @904535
     /*  904535 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904610), // Rule ID 61876 //
     /*  904540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  904560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904608 */     GIR_RootConstrainSelectedInstOperands,
     /*  904609 */     // GIR_Coverage, 61876,
     /*  904609 */     GIR_EraseRootFromParent_Done,
     /*  904610 */   // Label 13779: @904610
     /*  904610 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904685), // Rule ID 61877 //
     /*  904615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  904635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904683 */     GIR_RootConstrainSelectedInstOperands,
     /*  904684 */     // GIR_Coverage, 61877,
     /*  904684 */     GIR_EraseRootFromParent_Done,
     /*  904685 */   // Label 13780: @904685
     /*  904685 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904760), // Rule ID 61880 //
     /*  904690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904758 */     GIR_RootConstrainSelectedInstOperands,
     /*  904759 */     // GIR_Coverage, 61880,
     /*  904759 */     GIR_EraseRootFromParent_Done,
     /*  904760 */   // Label 13781: @904760
     /*  904760 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(904835), // Rule ID 61881 //
     /*  904765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904833 */     GIR_RootConstrainSelectedInstOperands,
     /*  904834 */     // GIR_Coverage, 61881,
     /*  904834 */     GIR_EraseRootFromParent_Done,
     /*  904835 */   // Label 13782: @904835
     /*  904835 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(904910), // Rule ID 61884 //
     /*  904840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904908 */     GIR_RootConstrainSelectedInstOperands,
     /*  904909 */     // GIR_Coverage, 61884,
     /*  904909 */     GIR_EraseRootFromParent_Done,
     /*  904910 */   // Label 13783: @904910
     /*  904910 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(904985), // Rule ID 61885 //
     /*  904915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904983 */     GIR_RootConstrainSelectedInstOperands,
     /*  904984 */     // GIR_Coverage, 61885,
     /*  904984 */     GIR_EraseRootFromParent_Done,
     /*  904985 */   // Label 13784: @904985
     /*  904985 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905060), // Rule ID 61888 //
     /*  904990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905058 */     GIR_RootConstrainSelectedInstOperands,
     /*  905059 */     // GIR_Coverage, 61888,
     /*  905059 */     GIR_EraseRootFromParent_Done,
     /*  905060 */   // Label 13785: @905060
     /*  905060 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(905135), // Rule ID 61889 //
     /*  905065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905133 */     GIR_RootConstrainSelectedInstOperands,
     /*  905134 */     // GIR_Coverage, 61889,
     /*  905134 */     GIR_EraseRootFromParent_Done,
     /*  905135 */   // Label 13786: @905135
     /*  905135 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905210), // Rule ID 61892 //
     /*  905140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  905154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  905160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905208 */     GIR_RootConstrainSelectedInstOperands,
     /*  905209 */     // GIR_Coverage, 61892,
     /*  905209 */     GIR_EraseRootFromParent_Done,
     /*  905210 */   // Label 13787: @905210
     /*  905210 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905285), // Rule ID 61893 //
     /*  905215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  905229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  905235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905283 */     GIR_RootConstrainSelectedInstOperands,
     /*  905284 */     // GIR_Coverage, 61893,
     /*  905284 */     GIR_EraseRootFromParent_Done,
     /*  905285 */   // Label 13788: @905285
     /*  905285 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905360), // Rule ID 61896 //
     /*  905290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905358 */     GIR_RootConstrainSelectedInstOperands,
     /*  905359 */     // GIR_Coverage, 61896,
     /*  905359 */     GIR_EraseRootFromParent_Done,
     /*  905360 */   // Label 13789: @905360
     /*  905360 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905435), // Rule ID 61897 //
     /*  905365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905433 */     GIR_RootConstrainSelectedInstOperands,
     /*  905434 */     // GIR_Coverage, 61897,
     /*  905434 */     GIR_EraseRootFromParent_Done,
     /*  905435 */   // Label 13790: @905435
     /*  905435 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905510), // Rule ID 61900 //
     /*  905440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  905460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905508 */     GIR_RootConstrainSelectedInstOperands,
     /*  905509 */     // GIR_Coverage, 61900,
     /*  905509 */     GIR_EraseRootFromParent_Done,
     /*  905510 */   // Label 13791: @905510
     /*  905510 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905585), // Rule ID 61901 //
     /*  905515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  905535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905583 */     GIR_RootConstrainSelectedInstOperands,
     /*  905584 */     // GIR_Coverage, 61901,
     /*  905584 */     GIR_EraseRootFromParent_Done,
     /*  905585 */   // Label 13792: @905585
     /*  905585 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905660), // Rule ID 61904 //
     /*  905590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  905639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905658 */     GIR_RootConstrainSelectedInstOperands,
     /*  905659 */     // GIR_Coverage, 61904,
     /*  905659 */     GIR_EraseRootFromParent_Done,
     /*  905660 */   // Label 13793: @905660
     /*  905660 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905735), // Rule ID 61905 //
     /*  905665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  905711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  905714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905733 */     GIR_RootConstrainSelectedInstOperands,
     /*  905734 */     // GIR_Coverage, 61905,
     /*  905734 */     GIR_EraseRootFromParent_Done,
     /*  905735 */   // Label 13794: @905735
     /*  905735 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(905810), // Rule ID 61908 //
     /*  905740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905808 */     GIR_RootConstrainSelectedInstOperands,
     /*  905809 */     // GIR_Coverage, 61908,
     /*  905809 */     GIR_EraseRootFromParent_Done,
     /*  905810 */   // Label 13795: @905810
     /*  905810 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(905885), // Rule ID 61909 //
     /*  905815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  905861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905883 */     GIR_RootConstrainSelectedInstOperands,
     /*  905884 */     // GIR_Coverage, 61909,
     /*  905884 */     GIR_EraseRootFromParent_Done,
     /*  905885 */   // Label 13796: @905885
     /*  905885 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(905960), // Rule ID 61912 //
     /*  905890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  905939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905958 */     GIR_RootConstrainSelectedInstOperands,
     /*  905959 */     // GIR_Coverage, 61912,
     /*  905959 */     GIR_EraseRootFromParent_Done,
     /*  905960 */   // Label 13797: @905960
     /*  905960 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906035), // Rule ID 61913 //
     /*  905965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906033 */     GIR_RootConstrainSelectedInstOperands,
     /*  906034 */     // GIR_Coverage, 61913,
     /*  906034 */     GIR_EraseRootFromParent_Done,
     /*  906035 */   // Label 13798: @906035
     /*  906035 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906110), // Rule ID 61916 //
     /*  906040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  906054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906108 */     GIR_RootConstrainSelectedInstOperands,
     /*  906109 */     // GIR_Coverage, 61916,
     /*  906109 */     GIR_EraseRootFromParent_Done,
     /*  906110 */   // Label 13799: @906110
     /*  906110 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906185), // Rule ID 61917 //
     /*  906115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  906129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906183 */     GIR_RootConstrainSelectedInstOperands,
     /*  906184 */     // GIR_Coverage, 61917,
     /*  906184 */     GIR_EraseRootFromParent_Done,
     /*  906185 */   // Label 13800: @906185
     /*  906185 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906260), // Rule ID 61920 //
     /*  906190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906258 */     GIR_RootConstrainSelectedInstOperands,
     /*  906259 */     // GIR_Coverage, 61920,
     /*  906259 */     GIR_EraseRootFromParent_Done,
     /*  906260 */   // Label 13801: @906260
     /*  906260 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906335), // Rule ID 61921 //
     /*  906265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906333 */     GIR_RootConstrainSelectedInstOperands,
     /*  906334 */     // GIR_Coverage, 61921,
     /*  906334 */     GIR_EraseRootFromParent_Done,
     /*  906335 */   // Label 13802: @906335
     /*  906335 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906410), // Rule ID 61924 //
     /*  906340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  906386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906408 */     GIR_RootConstrainSelectedInstOperands,
     /*  906409 */     // GIR_Coverage, 61924,
     /*  906409 */     GIR_EraseRootFromParent_Done,
     /*  906410 */   // Label 13803: @906410
     /*  906410 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906485), // Rule ID 61925 //
     /*  906415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  906461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906483 */     GIR_RootConstrainSelectedInstOperands,
     /*  906484 */     // GIR_Coverage, 61925,
     /*  906484 */     GIR_EraseRootFromParent_Done,
     /*  906485 */   // Label 13804: @906485
     /*  906485 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906560), // Rule ID 61928 //
     /*  906490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906558 */     GIR_RootConstrainSelectedInstOperands,
     /*  906559 */     // GIR_Coverage, 61928,
     /*  906559 */     GIR_EraseRootFromParent_Done,
     /*  906560 */   // Label 13805: @906560
     /*  906560 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906635), // Rule ID 61929 //
     /*  906565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906633 */     GIR_RootConstrainSelectedInstOperands,
     /*  906634 */     // GIR_Coverage, 61929,
     /*  906634 */     GIR_EraseRootFromParent_Done,
     /*  906635 */   // Label 13806: @906635
     /*  906635 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(906710), // Rule ID 61932 //
     /*  906640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906708 */     GIR_RootConstrainSelectedInstOperands,
     /*  906709 */     // GIR_Coverage, 61932,
     /*  906709 */     GIR_EraseRootFromParent_Done,
     /*  906710 */   // Label 13807: @906710
     /*  906710 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(906785), // Rule ID 61933 //
     /*  906715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906783 */     GIR_RootConstrainSelectedInstOperands,
     /*  906784 */     // GIR_Coverage, 61933,
     /*  906784 */     GIR_EraseRootFromParent_Done,
     /*  906785 */   // Label 13808: @906785
     /*  906785 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(906860), // Rule ID 61936 //
     /*  906790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  906836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906858 */     GIR_RootConstrainSelectedInstOperands,
     /*  906859 */     // GIR_Coverage, 61936,
     /*  906859 */     GIR_EraseRootFromParent_Done,
     /*  906860 */   // Label 13809: @906860
     /*  906860 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(906935), // Rule ID 61937 //
     /*  906865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  906911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906933 */     GIR_RootConstrainSelectedInstOperands,
     /*  906934 */     // GIR_Coverage, 61937,
     /*  906934 */     GIR_EraseRootFromParent_Done,
     /*  906935 */   // Label 13810: @906935
     /*  906935 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907010), // Rule ID 61940 //
     /*  906940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  906954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  906986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907008 */     GIR_RootConstrainSelectedInstOperands,
     /*  907009 */     // GIR_Coverage, 61940,
     /*  907009 */     GIR_EraseRootFromParent_Done,
     /*  907010 */   // Label 13811: @907010
     /*  907010 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907085), // Rule ID 61941 //
     /*  907015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  907061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907083 */     GIR_RootConstrainSelectedInstOperands,
     /*  907084 */     // GIR_Coverage, 61941,
     /*  907084 */     GIR_EraseRootFromParent_Done,
     /*  907085 */   // Label 13812: @907085
     /*  907085 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907160), // Rule ID 61944 //
     /*  907090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907158 */     GIR_RootConstrainSelectedInstOperands,
     /*  907159 */     // GIR_Coverage, 61944,
     /*  907159 */     GIR_EraseRootFromParent_Done,
     /*  907160 */   // Label 13813: @907160
     /*  907160 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907235), // Rule ID 61945 //
     /*  907165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907233 */     GIR_RootConstrainSelectedInstOperands,
     /*  907234 */     // GIR_Coverage, 61945,
     /*  907234 */     GIR_EraseRootFromParent_Done,
     /*  907235 */   // Label 13814: @907235
     /*  907235 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907310), // Rule ID 61948 //
     /*  907240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907308 */     GIR_RootConstrainSelectedInstOperands,
     /*  907309 */     // GIR_Coverage, 61948,
     /*  907309 */     GIR_EraseRootFromParent_Done,
     /*  907310 */   // Label 13815: @907310
     /*  907310 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907385), // Rule ID 61949 //
     /*  907315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907383 */     GIR_RootConstrainSelectedInstOperands,
     /*  907384 */     // GIR_Coverage, 61949,
     /*  907384 */     GIR_EraseRootFromParent_Done,
     /*  907385 */   // Label 13816: @907385
     /*  907385 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907460), // Rule ID 61952 //
     /*  907390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907458 */     GIR_RootConstrainSelectedInstOperands,
     /*  907459 */     // GIR_Coverage, 61952,
     /*  907459 */     GIR_EraseRootFromParent_Done,
     /*  907460 */   // Label 13817: @907460
     /*  907460 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907535), // Rule ID 61953 //
     /*  907465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907533 */     GIR_RootConstrainSelectedInstOperands,
     /*  907534 */     // GIR_Coverage, 61953,
     /*  907534 */     GIR_EraseRootFromParent_Done,
     /*  907535 */   // Label 13818: @907535
     /*  907535 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907610), // Rule ID 61956 //
     /*  907540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  907554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907608 */     GIR_RootConstrainSelectedInstOperands,
     /*  907609 */     // GIR_Coverage, 61956,
     /*  907609 */     GIR_EraseRootFromParent_Done,
     /*  907610 */   // Label 13819: @907610
     /*  907610 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(907685), // Rule ID 61957 //
     /*  907615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  907629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907683 */     GIR_RootConstrainSelectedInstOperands,
     /*  907684 */     // GIR_Coverage, 61957,
     /*  907684 */     GIR_EraseRootFromParent_Done,
     /*  907685 */   // Label 13820: @907685
     /*  907685 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(907760), // Rule ID 61960 //
     /*  907690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  907704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907758 */     GIR_RootConstrainSelectedInstOperands,
     /*  907759 */     // GIR_Coverage, 61960,
     /*  907759 */     GIR_EraseRootFromParent_Done,
     /*  907760 */   // Label 13821: @907760
     /*  907760 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(907835), // Rule ID 61961 //
     /*  907765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  907779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907833 */     GIR_RootConstrainSelectedInstOperands,
     /*  907834 */     // GIR_Coverage, 61961,
     /*  907834 */     GIR_EraseRootFromParent_Done,
     /*  907835 */   // Label 13822: @907835
     /*  907835 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(907910), // Rule ID 61964 //
     /*  907840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  907854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907908 */     GIR_RootConstrainSelectedInstOperands,
     /*  907909 */     // GIR_Coverage, 61964,
     /*  907909 */     GIR_EraseRootFromParent_Done,
     /*  907910 */   // Label 13823: @907910
     /*  907910 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(907985), // Rule ID 61965 //
     /*  907915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  907929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907983 */     GIR_RootConstrainSelectedInstOperands,
     /*  907984 */     // GIR_Coverage, 61965,
     /*  907984 */     GIR_EraseRootFromParent_Done,
     /*  907985 */   // Label 13824: @907985
     /*  907985 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908060), // Rule ID 61968 //
     /*  907990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908058 */     GIR_RootConstrainSelectedInstOperands,
     /*  908059 */     // GIR_Coverage, 61968,
     /*  908059 */     GIR_EraseRootFromParent_Done,
     /*  908060 */   // Label 13825: @908060
     /*  908060 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908135), // Rule ID 61969 //
     /*  908065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908133 */     GIR_RootConstrainSelectedInstOperands,
     /*  908134 */     // GIR_Coverage, 61969,
     /*  908134 */     GIR_EraseRootFromParent_Done,
     /*  908135 */   // Label 13826: @908135
     /*  908135 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908210), // Rule ID 61972 //
     /*  908140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908208 */     GIR_RootConstrainSelectedInstOperands,
     /*  908209 */     // GIR_Coverage, 61972,
     /*  908209 */     GIR_EraseRootFromParent_Done,
     /*  908210 */   // Label 13827: @908210
     /*  908210 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908285), // Rule ID 61973 //
     /*  908215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908283 */     GIR_RootConstrainSelectedInstOperands,
     /*  908284 */     // GIR_Coverage, 61973,
     /*  908284 */     GIR_EraseRootFromParent_Done,
     /*  908285 */   // Label 13828: @908285
     /*  908285 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908360), // Rule ID 61976 //
     /*  908290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908358 */     GIR_RootConstrainSelectedInstOperands,
     /*  908359 */     // GIR_Coverage, 61976,
     /*  908359 */     GIR_EraseRootFromParent_Done,
     /*  908360 */   // Label 13829: @908360
     /*  908360 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908435), // Rule ID 61977 //
     /*  908365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908433 */     GIR_RootConstrainSelectedInstOperands,
     /*  908434 */     // GIR_Coverage, 61977,
     /*  908434 */     GIR_EraseRootFromParent_Done,
     /*  908435 */   // Label 13830: @908435
     /*  908435 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(908510), // Rule ID 61980 //
     /*  908440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908508 */     GIR_RootConstrainSelectedInstOperands,
     /*  908509 */     // GIR_Coverage, 61980,
     /*  908509 */     GIR_EraseRootFromParent_Done,
     /*  908510 */   // Label 13831: @908510
     /*  908510 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(908585), // Rule ID 61981 //
     /*  908515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908583 */     GIR_RootConstrainSelectedInstOperands,
     /*  908584 */     // GIR_Coverage, 61981,
     /*  908584 */     GIR_EraseRootFromParent_Done,
     /*  908585 */   // Label 13832: @908585
     /*  908585 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(908660), // Rule ID 61984 //
     /*  908590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908658 */     GIR_RootConstrainSelectedInstOperands,
     /*  908659 */     // GIR_Coverage, 61984,
     /*  908659 */     GIR_EraseRootFromParent_Done,
     /*  908660 */   // Label 13833: @908660
     /*  908660 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(908735), // Rule ID 61985 //
     /*  908665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908733 */     GIR_RootConstrainSelectedInstOperands,
     /*  908734 */     // GIR_Coverage, 61985,
     /*  908734 */     GIR_EraseRootFromParent_Done,
     /*  908735 */   // Label 13834: @908735
     /*  908735 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(908810), // Rule ID 61988 //
     /*  908740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908808 */     GIR_RootConstrainSelectedInstOperands,
     /*  908809 */     // GIR_Coverage, 61988,
     /*  908809 */     GIR_EraseRootFromParent_Done,
     /*  908810 */   // Label 13835: @908810
     /*  908810 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(908885), // Rule ID 61989 //
     /*  908815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908883 */     GIR_RootConstrainSelectedInstOperands,
     /*  908884 */     // GIR_Coverage, 61989,
     /*  908884 */     GIR_EraseRootFromParent_Done,
     /*  908885 */   // Label 13836: @908885
     /*  908885 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(908960), // Rule ID 62432 //
     /*  908890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  908893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  908910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  908939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908958 */     GIR_RootConstrainSelectedInstOperands,
     /*  908959 */     // GIR_Coverage, 62432,
     /*  908959 */     GIR_EraseRootFromParent_Done,
     /*  908960 */   // Label 13837: @908960
     /*  908960 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909035), // Rule ID 62433 //
     /*  908965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  908968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  908985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  909014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909033 */     GIR_RootConstrainSelectedInstOperands,
     /*  909034 */     // GIR_Coverage, 62433,
     /*  909034 */     GIR_EraseRootFromParent_Done,
     /*  909035 */   // Label 13838: @909035
     /*  909035 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909110), // Rule ID 62434 //
     /*  909040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  909089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909108 */     GIR_RootConstrainSelectedInstOperands,
     /*  909109 */     // GIR_Coverage, 62434,
     /*  909109 */     GIR_EraseRootFromParent_Done,
     /*  909110 */   // Label 13839: @909110
     /*  909110 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909185), // Rule ID 62435 //
     /*  909115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  909164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909183 */     GIR_RootConstrainSelectedInstOperands,
     /*  909184 */     // GIR_Coverage, 62435,
     /*  909184 */     GIR_EraseRootFromParent_Done,
     /*  909185 */   // Label 13840: @909185
     /*  909185 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909260), // Rule ID 62436 //
     /*  909190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909258 */     GIR_RootConstrainSelectedInstOperands,
     /*  909259 */     // GIR_Coverage, 62436,
     /*  909259 */     GIR_EraseRootFromParent_Done,
     /*  909260 */   // Label 13841: @909260
     /*  909260 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909335), // Rule ID 62437 //
     /*  909265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909333 */     GIR_RootConstrainSelectedInstOperands,
     /*  909334 */     // GIR_Coverage, 62437,
     /*  909334 */     GIR_EraseRootFromParent_Done,
     /*  909335 */   // Label 13842: @909335
     /*  909335 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(909410), // Rule ID 62438 //
     /*  909340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909408 */     GIR_RootConstrainSelectedInstOperands,
     /*  909409 */     // GIR_Coverage, 62438,
     /*  909409 */     GIR_EraseRootFromParent_Done,
     /*  909410 */   // Label 13843: @909410
     /*  909410 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(909485), // Rule ID 62439 //
     /*  909415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909483 */     GIR_RootConstrainSelectedInstOperands,
     /*  909484 */     // GIR_Coverage, 62439,
     /*  909484 */     GIR_EraseRootFromParent_Done,
     /*  909485 */   // Label 13844: @909485
     /*  909485 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(909549), // Rule ID 64508 //
     /*  909490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  909498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909526 */     // MIs[0] imm5
     /*  909526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909534 */     // (intrinsic_wo_chain:{ *:[i32] } 10955:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  909537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909545 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909547 */     GIR_RootConstrainSelectedInstOperands,
     /*  909548 */     // GIR_Coverage, 64508,
     /*  909548 */     GIR_EraseRootFromParent_Done,
     /*  909549 */   // Label 13845: @909549
     /*  909549 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(909613), // Rule ID 64509 //
     /*  909554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  909562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909590 */     // MIs[0] imm5
     /*  909590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909598 */     // (intrinsic_wo_chain:{ *:[i32] } 10951:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  909601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909609 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909611 */     GIR_RootConstrainSelectedInstOperands,
     /*  909612 */     // GIR_Coverage, 64509,
     /*  909612 */     GIR_EraseRootFromParent_Done,
     /*  909613 */   // Label 13846: @909613
     /*  909613 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(909677), // Rule ID 64510 //
     /*  909618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  909626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909654 */     // MIs[0] imm5
     /*  909654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909662 */     // (intrinsic_wo_chain:{ *:[i32] } 10953:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  909665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909673 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909675 */     GIR_RootConstrainSelectedInstOperands,
     /*  909676 */     // GIR_Coverage, 64510,
     /*  909676 */     GIR_EraseRootFromParent_Done,
     /*  909677 */   // Label 13847: @909677
     /*  909677 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(909741), // Rule ID 64511 //
     /*  909682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  909690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909718 */     // MIs[0] imm5
     /*  909718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909726 */     // (intrinsic_wo_chain:{ *:[i32] } 10949:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  909729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909737 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909739 */     GIR_RootConstrainSelectedInstOperands,
     /*  909740 */     // GIR_Coverage, 64511,
     /*  909740 */     GIR_EraseRootFromParent_Done,
     /*  909741 */   // Label 13848: @909741
     /*  909741 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(909805), // Rule ID 64512 //
     /*  909746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  909754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909782 */     // MIs[0] imm5
     /*  909782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909790 */     // (intrinsic_wo_chain:{ *:[i32] } 10956:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  909793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909801 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909803 */     GIR_RootConstrainSelectedInstOperands,
     /*  909804 */     // GIR_Coverage, 64512,
     /*  909804 */     GIR_EraseRootFromParent_Done,
     /*  909805 */   // Label 13849: @909805
     /*  909805 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(909869), // Rule ID 64513 //
     /*  909810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  909818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909846 */     // MIs[0] imm5
     /*  909846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909854 */     // (intrinsic_wo_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  909857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909865 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909867 */     GIR_RootConstrainSelectedInstOperands,
     /*  909868 */     // GIR_Coverage, 64513,
     /*  909868 */     GIR_EraseRootFromParent_Done,
     /*  909869 */   // Label 13850: @909869
     /*  909869 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(909933), // Rule ID 64514 //
     /*  909874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  909882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909910 */     // MIs[0] imm5
     /*  909910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909918 */     // (intrinsic_wo_chain:{ *:[i32] } 10954:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  909921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909929 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909931 */     GIR_RootConstrainSelectedInstOperands,
     /*  909932 */     // GIR_Coverage, 64514,
     /*  909932 */     GIR_EraseRootFromParent_Done,
     /*  909933 */   // Label 13851: @909933
     /*  909933 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(909997), // Rule ID 64515 //
     /*  909938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  909946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909974 */     // MIs[0] imm5
     /*  909974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909982 */     // (intrinsic_wo_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  909985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909993 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909995 */     GIR_RootConstrainSelectedInstOperands,
     /*  909996 */     // GIR_Coverage, 64515,
     /*  909996 */     GIR_EraseRootFromParent_Done,
     /*  909997 */   // Label 13852: @909997
     /*  909997 */   GIM_Reject,
     /*  909998 */ // Label 7006: @909998
     /*  909998 */ GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(1401391),
     /*  910003 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  910006 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910089), // Rule ID 62847 //
     /*  910011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  910028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910035 */     // MIs[0] op1
     /*  910035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910051 */     // MIs[0] op4
     /*  910051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  910069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910087 */     GIR_RootConstrainSelectedInstOperands,
     /*  910088 */     // GIR_Coverage, 62847,
     /*  910088 */     GIR_EraseRootFromParent_Done,
     /*  910089 */   // Label 13854: @910089
     /*  910089 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(910172), // Rule ID 62848 //
     /*  910094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  910111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910118 */     // MIs[0] op1
     /*  910118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910134 */     // MIs[0] op4
     /*  910134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  910152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910170 */     GIR_RootConstrainSelectedInstOperands,
     /*  910171 */     // GIR_Coverage, 62848,
     /*  910171 */     GIR_EraseRootFromParent_Done,
     /*  910172 */   // Label 13855: @910172
     /*  910172 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(910255), // Rule ID 62891 //
     /*  910177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  910188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  910191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910201 */     // MIs[0] op1
     /*  910201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910217 */     // MIs[0] op4
     /*  910217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910243 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910253 */     GIR_RootConstrainSelectedInstOperands,
     /*  910254 */     // GIR_Coverage, 62891,
     /*  910254 */     GIR_EraseRootFromParent_Done,
     /*  910255 */   // Label 13856: @910255
     /*  910255 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(910338), // Rule ID 62892 //
     /*  910260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  910271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  910274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910284 */     // MIs[0] op1
     /*  910284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910300 */     // MIs[0] op4
     /*  910300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910336 */     GIR_RootConstrainSelectedInstOperands,
     /*  910337 */     // GIR_Coverage, 62892,
     /*  910337 */     GIR_EraseRootFromParent_Done,
     /*  910338 */   // Label 13857: @910338
     /*  910338 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(910421), // Rule ID 62935 //
     /*  910343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910367 */     // MIs[0] op1
     /*  910367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910383 */     // MIs[0] op4
     /*  910383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910398 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910409 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910419 */     GIR_RootConstrainSelectedInstOperands,
     /*  910420 */     // GIR_Coverage, 62935,
     /*  910420 */     GIR_EraseRootFromParent_Done,
     /*  910421 */   // Label 13858: @910421
     /*  910421 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(910504), // Rule ID 62936 //
     /*  910426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910450 */     // MIs[0] op1
     /*  910450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910466 */     // MIs[0] op4
     /*  910466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910481 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910502 */     GIR_RootConstrainSelectedInstOperands,
     /*  910503 */     // GIR_Coverage, 62936,
     /*  910503 */     GIR_EraseRootFromParent_Done,
     /*  910504 */   // Label 13859: @910504
     /*  910504 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(910587), // Rule ID 62979 //
     /*  910509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910533 */     // MIs[0] op1
     /*  910533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910549 */     // MIs[0] op4
     /*  910549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910575 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910585 */     GIR_RootConstrainSelectedInstOperands,
     /*  910586 */     // GIR_Coverage, 62979,
     /*  910586 */     GIR_EraseRootFromParent_Done,
     /*  910587 */   // Label 13860: @910587
     /*  910587 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(910670), // Rule ID 62980 //
     /*  910592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910616 */     // MIs[0] op1
     /*  910616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910632 */     // MIs[0] op4
     /*  910632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910668 */     GIR_RootConstrainSelectedInstOperands,
     /*  910669 */     // GIR_Coverage, 62980,
     /*  910669 */     GIR_EraseRootFromParent_Done,
     /*  910670 */   // Label 13861: @910670
     /*  910670 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(910753), // Rule ID 63035 //
     /*  910675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910699 */     // MIs[0] op1
     /*  910699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910715 */     // MIs[0] op4
     /*  910715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910751 */     GIR_RootConstrainSelectedInstOperands,
     /*  910752 */     // GIR_Coverage, 63035,
     /*  910752 */     GIR_EraseRootFromParent_Done,
     /*  910753 */   // Label 13862: @910753
     /*  910753 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(910836), // Rule ID 63036 //
     /*  910758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910782 */     // MIs[0] op1
     /*  910782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910798 */     // MIs[0] op4
     /*  910798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910834 */     GIR_RootConstrainSelectedInstOperands,
     /*  910835 */     // GIR_Coverage, 63036,
     /*  910835 */     GIR_EraseRootFromParent_Done,
     /*  910836 */   // Label 13863: @910836
     /*  910836 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(910919), // Rule ID 63091 //
     /*  910841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910865 */     // MIs[0] op1
     /*  910865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910881 */     // MIs[0] op4
     /*  910881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910917 */     GIR_RootConstrainSelectedInstOperands,
     /*  910918 */     // GIR_Coverage, 63091,
     /*  910918 */     GIR_EraseRootFromParent_Done,
     /*  910919 */   // Label 13864: @910919
     /*  910919 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911002), // Rule ID 63092 //
     /*  910924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910948 */     // MIs[0] op1
     /*  910948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910964 */     // MIs[0] op4
     /*  910964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910990 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911000 */     GIR_RootConstrainSelectedInstOperands,
     /*  911001 */     // GIR_Coverage, 63092,
     /*  911001 */     GIR_EraseRootFromParent_Done,
     /*  911002 */   // Label 13865: @911002
     /*  911002 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911085), // Rule ID 63147 //
     /*  911007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  911018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  911021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  911024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911031 */     // MIs[0] op1
     /*  911031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911047 */     // MIs[0] op4
     /*  911047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911083 */     GIR_RootConstrainSelectedInstOperands,
     /*  911084 */     // GIR_Coverage, 63147,
     /*  911084 */     GIR_EraseRootFromParent_Done,
     /*  911085 */   // Label 13866: @911085
     /*  911085 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(911168), // Rule ID 63148 //
     /*  911090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  911101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  911104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  911107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911114 */     // MIs[0] op1
     /*  911114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911130 */     // MIs[0] op4
     /*  911130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911166 */     GIR_RootConstrainSelectedInstOperands,
     /*  911167 */     // GIR_Coverage, 63148,
     /*  911167 */     GIR_EraseRootFromParent_Done,
     /*  911168 */   // Label 13867: @911168
     /*  911168 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(911251), // Rule ID 63191 //
     /*  911173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  911184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  911187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911197 */     // MIs[0] op1
     /*  911197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911213 */     // MIs[0] op4
     /*  911213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911249 */     GIR_RootConstrainSelectedInstOperands,
     /*  911250 */     // GIR_Coverage, 63191,
     /*  911250 */     GIR_EraseRootFromParent_Done,
     /*  911251 */   // Label 13868: @911251
     /*  911251 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(911334), // Rule ID 63192 //
     /*  911256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  911267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  911270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911280 */     // MIs[0] op1
     /*  911280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911296 */     // MIs[0] op4
     /*  911296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911332 */     GIR_RootConstrainSelectedInstOperands,
     /*  911333 */     // GIR_Coverage, 63192,
     /*  911333 */     GIR_EraseRootFromParent_Done,
     /*  911334 */   // Label 13869: @911334
     /*  911334 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(911417), // Rule ID 63247 //
     /*  911339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911363 */     // MIs[0] op1
     /*  911363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911379 */     // MIs[0] op4
     /*  911379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911415 */     GIR_RootConstrainSelectedInstOperands,
     /*  911416 */     // GIR_Coverage, 63247,
     /*  911416 */     GIR_EraseRootFromParent_Done,
     /*  911417 */   // Label 13870: @911417
     /*  911417 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(911500), // Rule ID 63248 //
     /*  911422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911446 */     // MIs[0] op1
     /*  911446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911462 */     // MIs[0] op4
     /*  911462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911498 */     GIR_RootConstrainSelectedInstOperands,
     /*  911499 */     // GIR_Coverage, 63248,
     /*  911499 */     GIR_EraseRootFromParent_Done,
     /*  911500 */   // Label 13871: @911500
     /*  911500 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(911583), // Rule ID 63303 //
     /*  911505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  911522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911529 */     // MIs[0] op1
     /*  911529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911545 */     // MIs[0] op4
     /*  911545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  911560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911571 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  911581 */     GIR_RootConstrainSelectedInstOperands,
     /*  911582 */     // GIR_Coverage, 63303,
     /*  911582 */     GIR_EraseRootFromParent_Done,
     /*  911583 */   // Label 13872: @911583
     /*  911583 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(911666), // Rule ID 63304 //
     /*  911588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  911605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911612 */     // MIs[0] op1
     /*  911612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911628 */     // MIs[0] op4
     /*  911628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  911643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  911664 */     GIR_RootConstrainSelectedInstOperands,
     /*  911665 */     // GIR_Coverage, 63304,
     /*  911665 */     GIR_EraseRootFromParent_Done,
     /*  911666 */   // Label 13873: @911666
     /*  911666 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(911749), // Rule ID 63359 //
     /*  911671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911695 */     // MIs[0] op1
     /*  911695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911711 */     // MIs[0] op4
     /*  911711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  911729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911737 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911747 */     GIR_RootConstrainSelectedInstOperands,
     /*  911748 */     // GIR_Coverage, 63359,
     /*  911748 */     GIR_EraseRootFromParent_Done,
     /*  911749 */   // Label 13874: @911749
     /*  911749 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(911832), // Rule ID 63360 //
     /*  911754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911778 */     // MIs[0] op1
     /*  911778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911794 */     // MIs[0] op4
     /*  911794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  911812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911830 */     GIR_RootConstrainSelectedInstOperands,
     /*  911831 */     // GIR_Coverage, 63360,
     /*  911831 */     GIR_EraseRootFromParent_Done,
     /*  911832 */   // Label 13875: @911832
     /*  911832 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(911915), // Rule ID 63403 //
     /*  911837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911861 */     // MIs[0] op1
     /*  911861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911877 */     // MIs[0] op4
     /*  911877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  911895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911903 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911913 */     GIR_RootConstrainSelectedInstOperands,
     /*  911914 */     // GIR_Coverage, 63403,
     /*  911914 */     GIR_EraseRootFromParent_Done,
     /*  911915 */   // Label 13876: @911915
     /*  911915 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(911998), // Rule ID 63404 //
     /*  911920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911944 */     // MIs[0] op1
     /*  911944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911960 */     // MIs[0] op4
     /*  911960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  911978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911996 */     GIR_RootConstrainSelectedInstOperands,
     /*  911997 */     // GIR_Coverage, 63404,
     /*  911997 */     GIR_EraseRootFromParent_Done,
     /*  911998 */   // Label 13877: @911998
     /*  911998 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912081), // Rule ID 63447 //
     /*  912003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  912014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  912017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  912020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912027 */     // MIs[0] op1
     /*  912027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912043 */     // MIs[0] op4
     /*  912043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912058 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  912058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912079 */     GIR_RootConstrainSelectedInstOperands,
     /*  912080 */     // GIR_Coverage, 63447,
     /*  912080 */     GIR_EraseRootFromParent_Done,
     /*  912081 */   // Label 13878: @912081
     /*  912081 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912164), // Rule ID 63448 //
     /*  912086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  912097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  912100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  912103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912110 */     // MIs[0] op1
     /*  912110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912126 */     // MIs[0] op4
     /*  912126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912141 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  912141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912162 */     GIR_RootConstrainSelectedInstOperands,
     /*  912163 */     // GIR_Coverage, 63448,
     /*  912163 */     GIR_EraseRootFromParent_Done,
     /*  912164 */   // Label 13879: @912164
     /*  912164 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(912247), // Rule ID 63491 //
     /*  912169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  912180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  912183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  912186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912193 */     // MIs[0] op1
     /*  912193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912209 */     // MIs[0] op4
     /*  912209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912245 */     GIR_RootConstrainSelectedInstOperands,
     /*  912246 */     // GIR_Coverage, 63491,
     /*  912246 */     GIR_EraseRootFromParent_Done,
     /*  912247 */   // Label 13880: @912247
     /*  912247 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(912330), // Rule ID 63492 //
     /*  912252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  912263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  912266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  912269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912276 */     // MIs[0] op1
     /*  912276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912292 */     // MIs[0] op4
     /*  912292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912318 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912328 */     GIR_RootConstrainSelectedInstOperands,
     /*  912329 */     // GIR_Coverage, 63492,
     /*  912329 */     GIR_EraseRootFromParent_Done,
     /*  912330 */   // Label 13881: @912330
     /*  912330 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(912413), // Rule ID 63547 //
     /*  912335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912359 */     // MIs[0] op1
     /*  912359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912375 */     // MIs[0] op4
     /*  912375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912390 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912411 */     GIR_RootConstrainSelectedInstOperands,
     /*  912412 */     // GIR_Coverage, 63547,
     /*  912412 */     GIR_EraseRootFromParent_Done,
     /*  912413 */   // Label 13882: @912413
     /*  912413 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(912496), // Rule ID 63548 //
     /*  912418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912442 */     // MIs[0] op1
     /*  912442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912458 */     // MIs[0] op4
     /*  912458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912494 */     GIR_RootConstrainSelectedInstOperands,
     /*  912495 */     // GIR_Coverage, 63548,
     /*  912495 */     GIR_EraseRootFromParent_Done,
     /*  912496 */   // Label 13883: @912496
     /*  912496 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(912579), // Rule ID 63603 //
     /*  912501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  912512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  912515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  912518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912525 */     // MIs[0] op1
     /*  912525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912541 */     // MIs[0] op4
     /*  912541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912577 */     GIR_RootConstrainSelectedInstOperands,
     /*  912578 */     // GIR_Coverage, 63603,
     /*  912578 */     GIR_EraseRootFromParent_Done,
     /*  912579 */   // Label 13884: @912579
     /*  912579 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(912662), // Rule ID 63604 //
     /*  912584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  912595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  912598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  912601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912608 */     // MIs[0] op1
     /*  912608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912624 */     // MIs[0] op4
     /*  912624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912660 */     GIR_RootConstrainSelectedInstOperands,
     /*  912661 */     // GIR_Coverage, 63604,
     /*  912661 */     GIR_EraseRootFromParent_Done,
     /*  912662 */   // Label 13885: @912662
     /*  912662 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(912745), // Rule ID 63659 //
     /*  912667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912691 */     // MIs[0] op1
     /*  912691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912707 */     // MIs[0] op4
     /*  912707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912743 */     GIR_RootConstrainSelectedInstOperands,
     /*  912744 */     // GIR_Coverage, 63659,
     /*  912744 */     GIR_EraseRootFromParent_Done,
     /*  912745 */   // Label 13886: @912745
     /*  912745 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(912828), // Rule ID 63660 //
     /*  912750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912774 */     // MIs[0] op1
     /*  912774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912790 */     // MIs[0] op4
     /*  912790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912826 */     GIR_RootConstrainSelectedInstOperands,
     /*  912827 */     // GIR_Coverage, 63660,
     /*  912827 */     GIR_EraseRootFromParent_Done,
     /*  912828 */   // Label 13887: @912828
     /*  912828 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(912911), // Rule ID 63715 //
     /*  912833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912857 */     // MIs[0] op1
     /*  912857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912873 */     // MIs[0] op4
     /*  912873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912899 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912909 */     GIR_RootConstrainSelectedInstOperands,
     /*  912910 */     // GIR_Coverage, 63715,
     /*  912910 */     GIR_EraseRootFromParent_Done,
     /*  912911 */   // Label 13888: @912911
     /*  912911 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(912994), // Rule ID 63716 //
     /*  912916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912940 */     // MIs[0] op1
     /*  912940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912956 */     // MIs[0] op4
     /*  912956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912982 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912992 */     GIR_RootConstrainSelectedInstOperands,
     /*  912993 */     // GIR_Coverage, 63716,
     /*  912993 */     GIR_EraseRootFromParent_Done,
     /*  912994 */   // Label 13889: @912994
     /*  912994 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913077), // Rule ID 63771 //
     /*  912999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  913016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913023 */     // MIs[0] op1
     /*  913023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913039 */     // MIs[0] op4
     /*  913039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  913054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913059 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913061 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913063 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913065 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913075 */     GIR_RootConstrainSelectedInstOperands,
     /*  913076 */     // GIR_Coverage, 63771,
     /*  913076 */     GIR_EraseRootFromParent_Done,
     /*  913077 */   // Label 13890: @913077
     /*  913077 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913160), // Rule ID 63772 //
     /*  913082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  913099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913106 */     // MIs[0] op1
     /*  913106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913122 */     // MIs[0] op4
     /*  913122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913137 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  913137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913158 */     GIR_RootConstrainSelectedInstOperands,
     /*  913159 */     // GIR_Coverage, 63772,
     /*  913159 */     GIR_EraseRootFromParent_Done,
     /*  913160 */   // Label 13891: @913160
     /*  913160 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(913243), // Rule ID 63827 //
     /*  913165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  913176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  913179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  913182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913189 */     // MIs[0] op1
     /*  913189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913205 */     // MIs[0] op4
     /*  913205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913231 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913241 */     GIR_RootConstrainSelectedInstOperands,
     /*  913242 */     // GIR_Coverage, 63827,
     /*  913242 */     GIR_EraseRootFromParent_Done,
     /*  913243 */   // Label 13892: @913243
     /*  913243 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(913326), // Rule ID 63828 //
     /*  913248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  913259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  913262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  913265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913272 */     // MIs[0] op1
     /*  913272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913288 */     // MIs[0] op4
     /*  913288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913314 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913324 */     GIR_RootConstrainSelectedInstOperands,
     /*  913325 */     // GIR_Coverage, 63828,
     /*  913325 */     GIR_EraseRootFromParent_Done,
     /*  913326 */   // Label 13893: @913326
     /*  913326 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(913409), // Rule ID 63883 //
     /*  913331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913355 */     // MIs[0] op1
     /*  913355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913371 */     // MIs[0] op4
     /*  913371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913397 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913407 */     GIR_RootConstrainSelectedInstOperands,
     /*  913408 */     // GIR_Coverage, 63883,
     /*  913408 */     GIR_EraseRootFromParent_Done,
     /*  913409 */   // Label 13894: @913409
     /*  913409 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(913492), // Rule ID 63884 //
     /*  913414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913438 */     // MIs[0] op1
     /*  913438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913454 */     // MIs[0] op4
     /*  913454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913469 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913490 */     GIR_RootConstrainSelectedInstOperands,
     /*  913491 */     // GIR_Coverage, 63884,
     /*  913491 */     GIR_EraseRootFromParent_Done,
     /*  913492 */   // Label 13895: @913492
     /*  913492 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(913575), // Rule ID 63939 //
     /*  913497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  913508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  913511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  913514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913521 */     // MIs[0] op1
     /*  913521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913537 */     // MIs[0] op4
     /*  913537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913563 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913573 */     GIR_RootConstrainSelectedInstOperands,
     /*  913574 */     // GIR_Coverage, 63939,
     /*  913574 */     GIR_EraseRootFromParent_Done,
     /*  913575 */   // Label 13896: @913575
     /*  913575 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(913658), // Rule ID 63940 //
     /*  913580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  913591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  913594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  913597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913604 */     // MIs[0] op1
     /*  913604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913620 */     // MIs[0] op4
     /*  913620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913640 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913642 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913644 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913646 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913656 */     GIR_RootConstrainSelectedInstOperands,
     /*  913657 */     // GIR_Coverage, 63940,
     /*  913657 */     GIR_EraseRootFromParent_Done,
     /*  913658 */   // Label 13897: @913658
     /*  913658 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(913741), // Rule ID 63969 //
     /*  913663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913687 */     // MIs[0] op1
     /*  913687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913703 */     // MIs[0] op4
     /*  913703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  913718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  913721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913739 */     GIR_RootConstrainSelectedInstOperands,
     /*  913740 */     // GIR_Coverage, 63969,
     /*  913740 */     GIR_EraseRootFromParent_Done,
     /*  913741 */   // Label 13898: @913741
     /*  913741 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(913824), // Rule ID 63970 //
     /*  913746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913770 */     // MIs[0] op1
     /*  913770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913786 */     // MIs[0] op4
     /*  913786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  913801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  913804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913812 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913822 */     GIR_RootConstrainSelectedInstOperands,
     /*  913823 */     // GIR_Coverage, 63970,
     /*  913823 */     GIR_EraseRootFromParent_Done,
     /*  913824 */   // Label 13899: @913824
     /*  913824 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(913907), // Rule ID 63987 //
     /*  913829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913853 */     // MIs[0] op1
     /*  913853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913869 */     // MIs[0] op4
     /*  913869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  913884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  913887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913895 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913905 */     GIR_RootConstrainSelectedInstOperands,
     /*  913906 */     // GIR_Coverage, 63987,
     /*  913906 */     GIR_EraseRootFromParent_Done,
     /*  913907 */   // Label 13900: @913907
     /*  913907 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(913990), // Rule ID 63988 //
     /*  913912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913936 */     // MIs[0] op1
     /*  913936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913952 */     // MIs[0] op4
     /*  913952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  913967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  913970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913988 */     GIR_RootConstrainSelectedInstOperands,
     /*  913989 */     // GIR_Coverage, 63988,
     /*  913989 */     GIR_EraseRootFromParent_Done,
     /*  913990 */   // Label 13901: @913990
     /*  913990 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914073), // Rule ID 64005 //
     /*  913995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  914012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914019 */     // MIs[0] op1
     /*  914019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914035 */     // MIs[0] op4
     /*  914035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914055 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914057 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914059 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914061 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914071 */     GIR_RootConstrainSelectedInstOperands,
     /*  914072 */     // GIR_Coverage, 64005,
     /*  914072 */     GIR_EraseRootFromParent_Done,
     /*  914073 */   // Label 13902: @914073
     /*  914073 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(914156), // Rule ID 64006 //
     /*  914078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  914095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914102 */     // MIs[0] op1
     /*  914102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914118 */     // MIs[0] op4
     /*  914118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914154 */     GIR_RootConstrainSelectedInstOperands,
     /*  914155 */     // GIR_Coverage, 64006,
     /*  914155 */     GIR_EraseRootFromParent_Done,
     /*  914156 */   // Label 13903: @914156
     /*  914156 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(914239), // Rule ID 64023 //
     /*  914161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  914178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914185 */     // MIs[0] op1
     /*  914185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914201 */     // MIs[0] op4
     /*  914201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914227 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914237 */     GIR_RootConstrainSelectedInstOperands,
     /*  914238 */     // GIR_Coverage, 64023,
     /*  914238 */     GIR_EraseRootFromParent_Done,
     /*  914239 */   // Label 13904: @914239
     /*  914239 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(914322), // Rule ID 64024 //
     /*  914244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  914261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914268 */     // MIs[0] op1
     /*  914268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914284 */     // MIs[0] op4
     /*  914284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914304 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914306 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914308 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914310 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914320 */     GIR_RootConstrainSelectedInstOperands,
     /*  914321 */     // GIR_Coverage, 64024,
     /*  914321 */     GIR_EraseRootFromParent_Done,
     /*  914322 */   // Label 13905: @914322
     /*  914322 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(914405), // Rule ID 64041 //
     /*  914327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914351 */     // MIs[0] op1
     /*  914351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914367 */     // MIs[0] op4
     /*  914367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914387 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914389 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914391 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914393 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914403 */     GIR_RootConstrainSelectedInstOperands,
     /*  914404 */     // GIR_Coverage, 64041,
     /*  914404 */     GIR_EraseRootFromParent_Done,
     /*  914405 */   // Label 13906: @914405
     /*  914405 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(914488), // Rule ID 64042 //
     /*  914410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914434 */     // MIs[0] op1
     /*  914434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914450 */     // MIs[0] op4
     /*  914450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914486 */     GIR_RootConstrainSelectedInstOperands,
     /*  914487 */     // GIR_Coverage, 64042,
     /*  914487 */     GIR_EraseRootFromParent_Done,
     /*  914488 */   // Label 13907: @914488
     /*  914488 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(914571), // Rule ID 64059 //
     /*  914493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914517 */     // MIs[0] op1
     /*  914517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914533 */     // MIs[0] op4
     /*  914533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  914551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914559 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914569 */     GIR_RootConstrainSelectedInstOperands,
     /*  914570 */     // GIR_Coverage, 64059,
     /*  914570 */     GIR_EraseRootFromParent_Done,
     /*  914571 */   // Label 13908: @914571
     /*  914571 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(914654), // Rule ID 64060 //
     /*  914576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914600 */     // MIs[0] op1
     /*  914600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914616 */     // MIs[0] op4
     /*  914616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  914634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914642 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914652 */     GIR_RootConstrainSelectedInstOperands,
     /*  914653 */     // GIR_Coverage, 64060,
     /*  914653 */     GIR_EraseRootFromParent_Done,
     /*  914654 */   // Label 13909: @914654
     /*  914654 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(914737), // Rule ID 64077 //
     /*  914659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  914676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914683 */     // MIs[0] op1
     /*  914683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914699 */     // MIs[0] op4
     /*  914699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  914714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914719 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914721 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914723 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914725 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914735 */     GIR_RootConstrainSelectedInstOperands,
     /*  914736 */     // GIR_Coverage, 64077,
     /*  914736 */     GIR_EraseRootFromParent_Done,
     /*  914737 */   // Label 13910: @914737
     /*  914737 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(914820), // Rule ID 64078 //
     /*  914742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  914759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914766 */     // MIs[0] op1
     /*  914766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914782 */     // MIs[0] op4
     /*  914782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  914797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914818 */     GIR_RootConstrainSelectedInstOperands,
     /*  914819 */     // GIR_Coverage, 64078,
     /*  914819 */     GIR_EraseRootFromParent_Done,
     /*  914820 */   // Label 13911: @914820
     /*  914820 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(914903), // Rule ID 64101 //
     /*  914825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  914842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914849 */     // MIs[0] op1
     /*  914849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914865 */     // MIs[0] op4
     /*  914865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  914880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914891 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914901 */     GIR_RootConstrainSelectedInstOperands,
     /*  914902 */     // GIR_Coverage, 64101,
     /*  914902 */     GIR_EraseRootFromParent_Done,
     /*  914903 */   // Label 13912: @914903
     /*  914903 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(914986), // Rule ID 64102 //
     /*  914908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  914925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914932 */     // MIs[0] op1
     /*  914932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914948 */     // MIs[0] op4
     /*  914948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  914963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914968 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914970 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914972 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914974 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914984 */     GIR_RootConstrainSelectedInstOperands,
     /*  914985 */     // GIR_Coverage, 64102,
     /*  914985 */     GIR_EraseRootFromParent_Done,
     /*  914986 */   // Label 13913: @914986
     /*  914986 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915069), // Rule ID 64125 //
     /*  914991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  915008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915015 */     // MIs[0] op1
     /*  915015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915031 */     // MIs[0] op4
     /*  915031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915067 */     GIR_RootConstrainSelectedInstOperands,
     /*  915068 */     // GIR_Coverage, 64125,
     /*  915068 */     GIR_EraseRootFromParent_Done,
     /*  915069 */   // Label 13914: @915069
     /*  915069 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(915152), // Rule ID 64126 //
     /*  915074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  915091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915098 */     // MIs[0] op1
     /*  915098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915114 */     // MIs[0] op4
     /*  915114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915140 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915150 */     GIR_RootConstrainSelectedInstOperands,
     /*  915151 */     // GIR_Coverage, 64126,
     /*  915151 */     GIR_EraseRootFromParent_Done,
     /*  915152 */   // Label 13915: @915152
     /*  915152 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(915235), // Rule ID 64149 //
     /*  915157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  915174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915181 */     // MIs[0] op1
     /*  915181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915197 */     // MIs[0] op4
     /*  915197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915223 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915233 */     GIR_RootConstrainSelectedInstOperands,
     /*  915234 */     // GIR_Coverage, 64149,
     /*  915234 */     GIR_EraseRootFromParent_Done,
     /*  915235 */   // Label 13916: @915235
     /*  915235 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(915318), // Rule ID 64150 //
     /*  915240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  915257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915264 */     // MIs[0] op1
     /*  915264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915280 */     // MIs[0] op4
     /*  915280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915316 */     GIR_RootConstrainSelectedInstOperands,
     /*  915317 */     // GIR_Coverage, 64150,
     /*  915317 */     GIR_EraseRootFromParent_Done,
     /*  915318 */   // Label 13917: @915318
     /*  915318 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(915401), // Rule ID 64173 //
     /*  915323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915347 */     // MIs[0] op1
     /*  915347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915363 */     // MIs[0] op4
     /*  915363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915389 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915399 */     GIR_RootConstrainSelectedInstOperands,
     /*  915400 */     // GIR_Coverage, 64173,
     /*  915400 */     GIR_EraseRootFromParent_Done,
     /*  915401 */   // Label 13918: @915401
     /*  915401 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(915484), // Rule ID 64174 //
     /*  915406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915430 */     // MIs[0] op1
     /*  915430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915446 */     // MIs[0] op4
     /*  915446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915472 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915482 */     GIR_RootConstrainSelectedInstOperands,
     /*  915483 */     // GIR_Coverage, 64174,
     /*  915483 */     GIR_EraseRootFromParent_Done,
     /*  915484 */   // Label 13919: @915484
     /*  915484 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(915567), // Rule ID 64197 //
     /*  915489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  915506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915513 */     // MIs[0] op1
     /*  915513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915529 */     // MIs[0] op4
     /*  915529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915549 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915551 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915553 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915555 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915565 */     GIR_RootConstrainSelectedInstOperands,
     /*  915566 */     // GIR_Coverage, 64197,
     /*  915566 */     GIR_EraseRootFromParent_Done,
     /*  915567 */   // Label 13920: @915567
     /*  915567 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(915650), // Rule ID 64198 //
     /*  915572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  915589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915596 */     // MIs[0] op1
     /*  915596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915612 */     // MIs[0] op4
     /*  915612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915632 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915634 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915636 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915638 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915648 */     GIR_RootConstrainSelectedInstOperands,
     /*  915649 */     // GIR_Coverage, 64198,
     /*  915649 */     GIR_EraseRootFromParent_Done,
     /*  915650 */   // Label 13921: @915650
     /*  915650 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(915733), // Rule ID 64221 //
     /*  915655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  915672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915679 */     // MIs[0] op1
     /*  915679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915695 */     // MIs[0] op4
     /*  915695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915715 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915717 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915719 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915721 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915731 */     GIR_RootConstrainSelectedInstOperands,
     /*  915732 */     // GIR_Coverage, 64221,
     /*  915732 */     GIR_EraseRootFromParent_Done,
     /*  915733 */   // Label 13922: @915733
     /*  915733 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(915816), // Rule ID 64222 //
     /*  915738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  915755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915762 */     // MIs[0] op1
     /*  915762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915778 */     // MIs[0] op4
     /*  915778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915804 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915814 */     GIR_RootConstrainSelectedInstOperands,
     /*  915815 */     // GIR_Coverage, 64222,
     /*  915815 */     GIR_EraseRootFromParent_Done,
     /*  915816 */   // Label 13923: @915816
     /*  915816 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(915899), // Rule ID 64245 //
     /*  915821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915845 */     // MIs[0] op1
     /*  915845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915861 */     // MIs[0] op4
     /*  915861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915881 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915883 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915885 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915887 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915897 */     GIR_RootConstrainSelectedInstOperands,
     /*  915898 */     // GIR_Coverage, 64245,
     /*  915898 */     GIR_EraseRootFromParent_Done,
     /*  915899 */   // Label 13924: @915899
     /*  915899 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(915982), // Rule ID 64246 //
     /*  915904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915928 */     // MIs[0] op1
     /*  915928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915944 */     // MIs[0] op4
     /*  915944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915970 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915980 */     GIR_RootConstrainSelectedInstOperands,
     /*  915981 */     // GIR_Coverage, 64246,
     /*  915981 */     GIR_EraseRootFromParent_Done,
     /*  915982 */   // Label 13925: @915982
     /*  915982 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(916065), // Rule ID 64269 //
     /*  915987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  915998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  916004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  916007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916011 */     // MIs[0] op1
     /*  916011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916027 */     // MIs[0] op4
     /*  916027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  916042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  916045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916047 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916049 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916051 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916053 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916063 */     GIR_RootConstrainSelectedInstOperands,
     /*  916064 */     // GIR_Coverage, 64269,
     /*  916064 */     GIR_EraseRootFromParent_Done,
     /*  916065 */   // Label 13926: @916065
     /*  916065 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(916148), // Rule ID 64270 //
     /*  916070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  916073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  916087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  916090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916094 */     // MIs[0] op1
     /*  916094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916110 */     // MIs[0] op4
     /*  916110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11025:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  916125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  916128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916136 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916146 */     GIR_RootConstrainSelectedInstOperands,
     /*  916147 */     // GIR_Coverage, 64270,
     /*  916147 */     GIR_EraseRootFromParent_Done,
     /*  916148 */   // Label 13927: @916148
     /*  916148 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(916226), // Rule ID 60598 //
     /*  916153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916185 */     // MIs[0] rs2
     /*  916185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916193 */     // MIs[0] policy
     /*  916193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916224 */     GIR_RootConstrainSelectedInstOperands,
     /*  916225 */     // GIR_Coverage, 60598,
     /*  916225 */     GIR_EraseRootFromParent_Done,
     /*  916226 */   // Label 13928: @916226
     /*  916226 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(916304), // Rule ID 60599 //
     /*  916231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916263 */     // MIs[0] rs2
     /*  916263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916271 */     // MIs[0] policy
     /*  916271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916302 */     GIR_RootConstrainSelectedInstOperands,
     /*  916303 */     // GIR_Coverage, 60599,
     /*  916303 */     GIR_EraseRootFromParent_Done,
     /*  916304 */   // Label 13929: @916304
     /*  916304 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(916382), // Rule ID 62254 //
     /*  916309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916341 */     // MIs[0] rs2
     /*  916341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916349 */     // MIs[0] policy
     /*  916349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916380 */     GIR_RootConstrainSelectedInstOperands,
     /*  916381 */     // GIR_Coverage, 62254,
     /*  916381 */     GIR_EraseRootFromParent_Done,
     /*  916382 */   // Label 13930: @916382
     /*  916382 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(916460), // Rule ID 62255 //
     /*  916387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916419 */     // MIs[0] rs2
     /*  916419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916427 */     // MIs[0] policy
     /*  916427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916458 */     GIR_RootConstrainSelectedInstOperands,
     /*  916459 */     // GIR_Coverage, 62255,
     /*  916459 */     GIR_EraseRootFromParent_Done,
     /*  916460 */   // Label 13931: @916460
     /*  916460 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(916538), // Rule ID 62256 //
     /*  916465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916497 */     // MIs[0] rs2
     /*  916497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916505 */     // MIs[0] policy
     /*  916505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  916518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916536 */     GIR_RootConstrainSelectedInstOperands,
     /*  916537 */     // GIR_Coverage, 62256,
     /*  916537 */     GIR_EraseRootFromParent_Done,
     /*  916538 */   // Label 13932: @916538
     /*  916538 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(916616), // Rule ID 62257 //
     /*  916543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916575 */     // MIs[0] rs2
     /*  916575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916583 */     // MIs[0] policy
     /*  916583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  916596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916614 */     GIR_RootConstrainSelectedInstOperands,
     /*  916615 */     // GIR_Coverage, 62257,
     /*  916615 */     GIR_EraseRootFromParent_Done,
     /*  916616 */   // Label 13933: @916616
     /*  916616 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(916694), // Rule ID 62258 //
     /*  916621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916653 */     // MIs[0] rs2
     /*  916653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916661 */     // MIs[0] policy
     /*  916661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  916674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916692 */     GIR_RootConstrainSelectedInstOperands,
     /*  916693 */     // GIR_Coverage, 62258,
     /*  916693 */     GIR_EraseRootFromParent_Done,
     /*  916694 */   // Label 13934: @916694
     /*  916694 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(916772), // Rule ID 62259 //
     /*  916699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916731 */     // MIs[0] rs2
     /*  916731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916739 */     // MIs[0] policy
     /*  916739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  916752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916770 */     GIR_RootConstrainSelectedInstOperands,
     /*  916771 */     // GIR_Coverage, 62259,
     /*  916771 */     GIR_EraseRootFromParent_Done,
     /*  916772 */   // Label 13935: @916772
     /*  916772 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(916850), // Rule ID 62260 //
     /*  916777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916809 */     // MIs[0] rs2
     /*  916809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916817 */     // MIs[0] policy
     /*  916817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  916830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916848 */     GIR_RootConstrainSelectedInstOperands,
     /*  916849 */     // GIR_Coverage, 62260,
     /*  916849 */     GIR_EraseRootFromParent_Done,
     /*  916850 */   // Label 13936: @916850
     /*  916850 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(916928), // Rule ID 62261 //
     /*  916855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916887 */     // MIs[0] rs2
     /*  916887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916895 */     // MIs[0] policy
     /*  916895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  916908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916926 */     GIR_RootConstrainSelectedInstOperands,
     /*  916927 */     // GIR_Coverage, 62261,
     /*  916927 */     GIR_EraseRootFromParent_Done,
     /*  916928 */   // Label 13937: @916928
     /*  916928 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(917006), // Rule ID 62422 //
     /*  916933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  916936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  916941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916965 */     // MIs[0] rs2
     /*  916965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916973 */     // MIs[0] policy
     /*  916973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  916986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917004 */     GIR_RootConstrainSelectedInstOperands,
     /*  917005 */     // GIR_Coverage, 62422,
     /*  917005 */     GIR_EraseRootFromParent_Done,
     /*  917006 */   // Label 13938: @917006
     /*  917006 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(917084), // Rule ID 62423 //
     /*  917011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917043 */     // MIs[0] rs2
     /*  917043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917051 */     // MIs[0] policy
     /*  917051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  917064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917082 */     GIR_RootConstrainSelectedInstOperands,
     /*  917083 */     // GIR_Coverage, 62423,
     /*  917083 */     GIR_EraseRootFromParent_Done,
     /*  917084 */   // Label 13939: @917084
     /*  917084 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(917162), // Rule ID 62424 //
     /*  917089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917121 */     // MIs[0] rs2
     /*  917121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917129 */     // MIs[0] policy
     /*  917129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  917142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917160 */     GIR_RootConstrainSelectedInstOperands,
     /*  917161 */     // GIR_Coverage, 62424,
     /*  917161 */     GIR_EraseRootFromParent_Done,
     /*  917162 */   // Label 13940: @917162
     /*  917162 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(917240), // Rule ID 62425 //
     /*  917167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917199 */     // MIs[0] rs2
     /*  917199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917207 */     // MIs[0] policy
     /*  917207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  917220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917238 */     GIR_RootConstrainSelectedInstOperands,
     /*  917239 */     // GIR_Coverage, 62425,
     /*  917239 */     GIR_EraseRootFromParent_Done,
     /*  917240 */   // Label 13941: @917240
     /*  917240 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(917318), // Rule ID 62426 //
     /*  917245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917277 */     // MIs[0] rs2
     /*  917277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917285 */     // MIs[0] policy
     /*  917285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917316 */     GIR_RootConstrainSelectedInstOperands,
     /*  917317 */     // GIR_Coverage, 62426,
     /*  917317 */     GIR_EraseRootFromParent_Done,
     /*  917318 */   // Label 13942: @917318
     /*  917318 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(917396), // Rule ID 62427 //
     /*  917323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917355 */     // MIs[0] rs2
     /*  917355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917363 */     // MIs[0] policy
     /*  917363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917394 */     GIR_RootConstrainSelectedInstOperands,
     /*  917395 */     // GIR_Coverage, 62427,
     /*  917395 */     GIR_EraseRootFromParent_Done,
     /*  917396 */   // Label 13943: @917396
     /*  917396 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(917474), // Rule ID 62428 //
     /*  917401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917433 */     // MIs[0] rs2
     /*  917433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917441 */     // MIs[0] policy
     /*  917441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  917454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917472 */     GIR_RootConstrainSelectedInstOperands,
     /*  917473 */     // GIR_Coverage, 62428,
     /*  917473 */     GIR_EraseRootFromParent_Done,
     /*  917474 */   // Label 13944: @917474
     /*  917474 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(917552), // Rule ID 62429 //
     /*  917479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917511 */     // MIs[0] rs2
     /*  917511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917519 */     // MIs[0] policy
     /*  917519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  917532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917550 */     GIR_RootConstrainSelectedInstOperands,
     /*  917551 */     // GIR_Coverage, 62429,
     /*  917551 */     GIR_EraseRootFromParent_Done,
     /*  917552 */   // Label 13945: @917552
     /*  917552 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(917630), // Rule ID 62430 //
     /*  917557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917589 */     // MIs[0] rs2
     /*  917589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917597 */     // MIs[0] policy
     /*  917597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  917610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917628 */     GIR_RootConstrainSelectedInstOperands,
     /*  917629 */     // GIR_Coverage, 62430,
     /*  917629 */     GIR_EraseRootFromParent_Done,
     /*  917630 */   // Label 13946: @917630
     /*  917630 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(917708), // Rule ID 62431 //
     /*  917635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917667 */     // MIs[0] rs2
     /*  917667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917675 */     // MIs[0] policy
     /*  917675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  917688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917706 */     GIR_RootConstrainSelectedInstOperands,
     /*  917707 */     // GIR_Coverage, 62431,
     /*  917707 */     GIR_EraseRootFromParent_Done,
     /*  917708 */   // Label 13947: @917708
     /*  917708 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(917796), // Rule ID 23688 //
     /*  917713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917760 */     // MIs[1] Operand 1
     /*  917760 */     // No operand predicates
     /*  917760 */     // MIs[0] policy
     /*  917760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  917775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917794 */     GIR_RootConstrainSelectedInstOperands,
     /*  917795 */     // GIR_Coverage, 23688,
     /*  917795 */     GIR_EraseRootFromParent_Done,
     /*  917796 */   // Label 13948: @917796
     /*  917796 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(917884), // Rule ID 23689 //
     /*  917801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917848 */     // MIs[1] Operand 1
     /*  917848 */     // No operand predicates
     /*  917848 */     // MIs[0] policy
     /*  917848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  917863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917882 */     GIR_RootConstrainSelectedInstOperands,
     /*  917883 */     // GIR_Coverage, 23689,
     /*  917883 */     GIR_EraseRootFromParent_Done,
     /*  917884 */   // Label 13949: @917884
     /*  917884 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(917972), // Rule ID 23692 //
     /*  917889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917936 */     // MIs[1] Operand 1
     /*  917936 */     // No operand predicates
     /*  917936 */     // MIs[0] policy
     /*  917936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  917951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917970 */     GIR_RootConstrainSelectedInstOperands,
     /*  917971 */     // GIR_Coverage, 23692,
     /*  917971 */     GIR_EraseRootFromParent_Done,
     /*  917972 */   // Label 13950: @917972
     /*  917972 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(918060), // Rule ID 23693 //
     /*  917977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918024 */     // MIs[1] Operand 1
     /*  918024 */     // No operand predicates
     /*  918024 */     // MIs[0] policy
     /*  918024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918058 */     GIR_RootConstrainSelectedInstOperands,
     /*  918059 */     // GIR_Coverage, 23693,
     /*  918059 */     GIR_EraseRootFromParent_Done,
     /*  918060 */   // Label 13951: @918060
     /*  918060 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(918148), // Rule ID 23696 //
     /*  918065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918112 */     // MIs[1] Operand 1
     /*  918112 */     // No operand predicates
     /*  918112 */     // MIs[0] policy
     /*  918112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918146 */     GIR_RootConstrainSelectedInstOperands,
     /*  918147 */     // GIR_Coverage, 23696,
     /*  918147 */     GIR_EraseRootFromParent_Done,
     /*  918148 */   // Label 13952: @918148
     /*  918148 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(918236), // Rule ID 23697 //
     /*  918153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918200 */     // MIs[1] Operand 1
     /*  918200 */     // No operand predicates
     /*  918200 */     // MIs[0] policy
     /*  918200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918234 */     GIR_RootConstrainSelectedInstOperands,
     /*  918235 */     // GIR_Coverage, 23697,
     /*  918235 */     GIR_EraseRootFromParent_Done,
     /*  918236 */   // Label 13953: @918236
     /*  918236 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(918324), // Rule ID 23700 //
     /*  918241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918288 */     // MIs[1] Operand 1
     /*  918288 */     // No operand predicates
     /*  918288 */     // MIs[0] policy
     /*  918288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918322 */     GIR_RootConstrainSelectedInstOperands,
     /*  918323 */     // GIR_Coverage, 23700,
     /*  918323 */     GIR_EraseRootFromParent_Done,
     /*  918324 */   // Label 13954: @918324
     /*  918324 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(918412), // Rule ID 23701 //
     /*  918329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918376 */     // MIs[1] Operand 1
     /*  918376 */     // No operand predicates
     /*  918376 */     // MIs[0] policy
     /*  918376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918410 */     GIR_RootConstrainSelectedInstOperands,
     /*  918411 */     // GIR_Coverage, 23701,
     /*  918411 */     GIR_EraseRootFromParent_Done,
     /*  918412 */   // Label 13955: @918412
     /*  918412 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(918500), // Rule ID 23704 //
     /*  918417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918464 */     // MIs[1] Operand 1
     /*  918464 */     // No operand predicates
     /*  918464 */     // MIs[0] policy
     /*  918464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918498 */     GIR_RootConstrainSelectedInstOperands,
     /*  918499 */     // GIR_Coverage, 23704,
     /*  918499 */     GIR_EraseRootFromParent_Done,
     /*  918500 */   // Label 13956: @918500
     /*  918500 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(918588), // Rule ID 23705 //
     /*  918505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918552 */     // MIs[1] Operand 1
     /*  918552 */     // No operand predicates
     /*  918552 */     // MIs[0] policy
     /*  918552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918586 */     GIR_RootConstrainSelectedInstOperands,
     /*  918587 */     // GIR_Coverage, 23705,
     /*  918587 */     GIR_EraseRootFromParent_Done,
     /*  918588 */   // Label 13957: @918588
     /*  918588 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(918676), // Rule ID 23708 //
     /*  918593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918640 */     // MIs[1] Operand 1
     /*  918640 */     // No operand predicates
     /*  918640 */     // MIs[0] policy
     /*  918640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918674 */     GIR_RootConstrainSelectedInstOperands,
     /*  918675 */     // GIR_Coverage, 23708,
     /*  918675 */     GIR_EraseRootFromParent_Done,
     /*  918676 */   // Label 13958: @918676
     /*  918676 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(918764), // Rule ID 23709 //
     /*  918681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918728 */     // MIs[1] Operand 1
     /*  918728 */     // No operand predicates
     /*  918728 */     // MIs[0] policy
     /*  918728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918762 */     GIR_RootConstrainSelectedInstOperands,
     /*  918763 */     // GIR_Coverage, 23709,
     /*  918763 */     GIR_EraseRootFromParent_Done,
     /*  918764 */   // Label 13959: @918764
     /*  918764 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(918852), // Rule ID 23712 //
     /*  918769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918816 */     // MIs[1] Operand 1
     /*  918816 */     // No operand predicates
     /*  918816 */     // MIs[0] policy
     /*  918816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918850 */     GIR_RootConstrainSelectedInstOperands,
     /*  918851 */     // GIR_Coverage, 23712,
     /*  918851 */     GIR_EraseRootFromParent_Done,
     /*  918852 */   // Label 13960: @918852
     /*  918852 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(918940), // Rule ID 23713 //
     /*  918857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918904 */     // MIs[1] Operand 1
     /*  918904 */     // No operand predicates
     /*  918904 */     // MIs[0] policy
     /*  918904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918938 */     GIR_RootConstrainSelectedInstOperands,
     /*  918939 */     // GIR_Coverage, 23713,
     /*  918939 */     GIR_EraseRootFromParent_Done,
     /*  918940 */   // Label 13961: @918940
     /*  918940 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(919028), // Rule ID 23716 //
     /*  918945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918992 */     // MIs[1] Operand 1
     /*  918992 */     // No operand predicates
     /*  918992 */     // MIs[0] policy
     /*  918992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919026 */     GIR_RootConstrainSelectedInstOperands,
     /*  919027 */     // GIR_Coverage, 23716,
     /*  919027 */     GIR_EraseRootFromParent_Done,
     /*  919028 */   // Label 13962: @919028
     /*  919028 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(919116), // Rule ID 23717 //
     /*  919033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  919050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919080 */     // MIs[1] Operand 1
     /*  919080 */     // No operand predicates
     /*  919080 */     // MIs[0] policy
     /*  919080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919114 */     GIR_RootConstrainSelectedInstOperands,
     /*  919115 */     // GIR_Coverage, 23717,
     /*  919115 */     GIR_EraseRootFromParent_Done,
     /*  919116 */   // Label 13963: @919116
     /*  919116 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(919204), // Rule ID 23720 //
     /*  919121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919168 */     // MIs[1] Operand 1
     /*  919168 */     // No operand predicates
     /*  919168 */     // MIs[0] policy
     /*  919168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919202 */     GIR_RootConstrainSelectedInstOperands,
     /*  919203 */     // GIR_Coverage, 23720,
     /*  919203 */     GIR_EraseRootFromParent_Done,
     /*  919204 */   // Label 13964: @919204
     /*  919204 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(919292), // Rule ID 23721 //
     /*  919209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919256 */     // MIs[1] Operand 1
     /*  919256 */     // No operand predicates
     /*  919256 */     // MIs[0] policy
     /*  919256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919290 */     GIR_RootConstrainSelectedInstOperands,
     /*  919291 */     // GIR_Coverage, 23721,
     /*  919291 */     GIR_EraseRootFromParent_Done,
     /*  919292 */   // Label 13965: @919292
     /*  919292 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(919380), // Rule ID 23724 //
     /*  919297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919344 */     // MIs[1] Operand 1
     /*  919344 */     // No operand predicates
     /*  919344 */     // MIs[0] policy
     /*  919344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919378 */     GIR_RootConstrainSelectedInstOperands,
     /*  919379 */     // GIR_Coverage, 23724,
     /*  919379 */     GIR_EraseRootFromParent_Done,
     /*  919380 */   // Label 13966: @919380
     /*  919380 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(919468), // Rule ID 23725 //
     /*  919385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919432 */     // MIs[1] Operand 1
     /*  919432 */     // No operand predicates
     /*  919432 */     // MIs[0] policy
     /*  919432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919466 */     GIR_RootConstrainSelectedInstOperands,
     /*  919467 */     // GIR_Coverage, 23725,
     /*  919467 */     GIR_EraseRootFromParent_Done,
     /*  919468 */   // Label 13967: @919468
     /*  919468 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(919556), // Rule ID 23728 //
     /*  919473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919520 */     // MIs[1] Operand 1
     /*  919520 */     // No operand predicates
     /*  919520 */     // MIs[0] policy
     /*  919520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919554 */     GIR_RootConstrainSelectedInstOperands,
     /*  919555 */     // GIR_Coverage, 23728,
     /*  919555 */     GIR_EraseRootFromParent_Done,
     /*  919556 */   // Label 13968: @919556
     /*  919556 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(919644), // Rule ID 23729 //
     /*  919561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919608 */     // MIs[1] Operand 1
     /*  919608 */     // No operand predicates
     /*  919608 */     // MIs[0] policy
     /*  919608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919642 */     GIR_RootConstrainSelectedInstOperands,
     /*  919643 */     // GIR_Coverage, 23729,
     /*  919643 */     GIR_EraseRootFromParent_Done,
     /*  919644 */   // Label 13969: @919644
     /*  919644 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(919732), // Rule ID 23732 //
     /*  919649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919696 */     // MIs[1] Operand 1
     /*  919696 */     // No operand predicates
     /*  919696 */     // MIs[0] policy
     /*  919696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  919711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919730 */     GIR_RootConstrainSelectedInstOperands,
     /*  919731 */     // GIR_Coverage, 23732,
     /*  919731 */     GIR_EraseRootFromParent_Done,
     /*  919732 */   // Label 13970: @919732
     /*  919732 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(919820), // Rule ID 23733 //
     /*  919737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919784 */     // MIs[1] Operand 1
     /*  919784 */     // No operand predicates
     /*  919784 */     // MIs[0] policy
     /*  919784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  919799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919818 */     GIR_RootConstrainSelectedInstOperands,
     /*  919819 */     // GIR_Coverage, 23733,
     /*  919819 */     GIR_EraseRootFromParent_Done,
     /*  919820 */   // Label 13971: @919820
     /*  919820 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(919908), // Rule ID 23736 //
     /*  919825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919872 */     // MIs[1] Operand 1
     /*  919872 */     // No operand predicates
     /*  919872 */     // MIs[0] policy
     /*  919872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  919887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919906 */     GIR_RootConstrainSelectedInstOperands,
     /*  919907 */     // GIR_Coverage, 23736,
     /*  919907 */     GIR_EraseRootFromParent_Done,
     /*  919908 */   // Label 13972: @919908
     /*  919908 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(919996), // Rule ID 23737 //
     /*  919913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919960 */     // MIs[1] Operand 1
     /*  919960 */     // No operand predicates
     /*  919960 */     // MIs[0] policy
     /*  919960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  919975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919994 */     GIR_RootConstrainSelectedInstOperands,
     /*  919995 */     // GIR_Coverage, 23737,
     /*  919995 */     GIR_EraseRootFromParent_Done,
     /*  919996 */   // Label 13973: @919996
     /*  919996 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(920084), // Rule ID 23740 //
     /*  920001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920048 */     // MIs[1] Operand 1
     /*  920048 */     // No operand predicates
     /*  920048 */     // MIs[0] policy
     /*  920048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920082 */     GIR_RootConstrainSelectedInstOperands,
     /*  920083 */     // GIR_Coverage, 23740,
     /*  920083 */     GIR_EraseRootFromParent_Done,
     /*  920084 */   // Label 13974: @920084
     /*  920084 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(920172), // Rule ID 23741 //
     /*  920089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920136 */     // MIs[1] Operand 1
     /*  920136 */     // No operand predicates
     /*  920136 */     // MIs[0] policy
     /*  920136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920170 */     GIR_RootConstrainSelectedInstOperands,
     /*  920171 */     // GIR_Coverage, 23741,
     /*  920171 */     GIR_EraseRootFromParent_Done,
     /*  920172 */   // Label 13975: @920172
     /*  920172 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(920260), // Rule ID 23744 //
     /*  920177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920224 */     // MIs[1] Operand 1
     /*  920224 */     // No operand predicates
     /*  920224 */     // MIs[0] policy
     /*  920224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920258 */     GIR_RootConstrainSelectedInstOperands,
     /*  920259 */     // GIR_Coverage, 23744,
     /*  920259 */     GIR_EraseRootFromParent_Done,
     /*  920260 */   // Label 13976: @920260
     /*  920260 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(920348), // Rule ID 23745 //
     /*  920265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920312 */     // MIs[1] Operand 1
     /*  920312 */     // No operand predicates
     /*  920312 */     // MIs[0] policy
     /*  920312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920346 */     GIR_RootConstrainSelectedInstOperands,
     /*  920347 */     // GIR_Coverage, 23745,
     /*  920347 */     GIR_EraseRootFromParent_Done,
     /*  920348 */   // Label 13977: @920348
     /*  920348 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(920436), // Rule ID 23748 //
     /*  920353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920400 */     // MIs[1] Operand 1
     /*  920400 */     // No operand predicates
     /*  920400 */     // MIs[0] policy
     /*  920400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920412 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920434 */     GIR_RootConstrainSelectedInstOperands,
     /*  920435 */     // GIR_Coverage, 23748,
     /*  920435 */     GIR_EraseRootFromParent_Done,
     /*  920436 */   // Label 13978: @920436
     /*  920436 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(920524), // Rule ID 23749 //
     /*  920441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920488 */     // MIs[1] Operand 1
     /*  920488 */     // No operand predicates
     /*  920488 */     // MIs[0] policy
     /*  920488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920522 */     GIR_RootConstrainSelectedInstOperands,
     /*  920523 */     // GIR_Coverage, 23749,
     /*  920523 */     GIR_EraseRootFromParent_Done,
     /*  920524 */   // Label 13979: @920524
     /*  920524 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(920612), // Rule ID 23752 //
     /*  920529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920576 */     // MIs[1] Operand 1
     /*  920576 */     // No operand predicates
     /*  920576 */     // MIs[0] policy
     /*  920576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920610 */     GIR_RootConstrainSelectedInstOperands,
     /*  920611 */     // GIR_Coverage, 23752,
     /*  920611 */     GIR_EraseRootFromParent_Done,
     /*  920612 */   // Label 13980: @920612
     /*  920612 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(920700), // Rule ID 23753 //
     /*  920617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920664 */     // MIs[1] Operand 1
     /*  920664 */     // No operand predicates
     /*  920664 */     // MIs[0] policy
     /*  920664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920698 */     GIR_RootConstrainSelectedInstOperands,
     /*  920699 */     // GIR_Coverage, 23753,
     /*  920699 */     GIR_EraseRootFromParent_Done,
     /*  920700 */   // Label 13981: @920700
     /*  920700 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(920788), // Rule ID 23756 //
     /*  920705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920752 */     // MIs[1] Operand 1
     /*  920752 */     // No operand predicates
     /*  920752 */     // MIs[0] policy
     /*  920752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920786 */     GIR_RootConstrainSelectedInstOperands,
     /*  920787 */     // GIR_Coverage, 23756,
     /*  920787 */     GIR_EraseRootFromParent_Done,
     /*  920788 */   // Label 13982: @920788
     /*  920788 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(920876), // Rule ID 23757 //
     /*  920793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920840 */     // MIs[1] Operand 1
     /*  920840 */     // No operand predicates
     /*  920840 */     // MIs[0] policy
     /*  920840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920874 */     GIR_RootConstrainSelectedInstOperands,
     /*  920875 */     // GIR_Coverage, 23757,
     /*  920875 */     GIR_EraseRootFromParent_Done,
     /*  920876 */   // Label 13983: @920876
     /*  920876 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(920964), // Rule ID 23760 //
     /*  920881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920928 */     // MIs[1] Operand 1
     /*  920928 */     // No operand predicates
     /*  920928 */     // MIs[0] policy
     /*  920928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920962 */     GIR_RootConstrainSelectedInstOperands,
     /*  920963 */     // GIR_Coverage, 23760,
     /*  920963 */     GIR_EraseRootFromParent_Done,
     /*  920964 */   // Label 13984: @920964
     /*  920964 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(921052), // Rule ID 23761 //
     /*  920969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921016 */     // MIs[1] Operand 1
     /*  921016 */     // No operand predicates
     /*  921016 */     // MIs[0] policy
     /*  921016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921050 */     GIR_RootConstrainSelectedInstOperands,
     /*  921051 */     // GIR_Coverage, 23761,
     /*  921051 */     GIR_EraseRootFromParent_Done,
     /*  921052 */   // Label 13985: @921052
     /*  921052 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(921140), // Rule ID 23764 //
     /*  921057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921104 */     // MIs[1] Operand 1
     /*  921104 */     // No operand predicates
     /*  921104 */     // MIs[0] policy
     /*  921104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921138 */     GIR_RootConstrainSelectedInstOperands,
     /*  921139 */     // GIR_Coverage, 23764,
     /*  921139 */     GIR_EraseRootFromParent_Done,
     /*  921140 */   // Label 13986: @921140
     /*  921140 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(921228), // Rule ID 23765 //
     /*  921145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921192 */     // MIs[1] Operand 1
     /*  921192 */     // No operand predicates
     /*  921192 */     // MIs[0] policy
     /*  921192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921204 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921226 */     GIR_RootConstrainSelectedInstOperands,
     /*  921227 */     // GIR_Coverage, 23765,
     /*  921227 */     GIR_EraseRootFromParent_Done,
     /*  921228 */   // Label 13987: @921228
     /*  921228 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(921316), // Rule ID 23768 //
     /*  921233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921280 */     // MIs[1] Operand 1
     /*  921280 */     // No operand predicates
     /*  921280 */     // MIs[0] policy
     /*  921280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921314 */     GIR_RootConstrainSelectedInstOperands,
     /*  921315 */     // GIR_Coverage, 23768,
     /*  921315 */     GIR_EraseRootFromParent_Done,
     /*  921316 */   // Label 13988: @921316
     /*  921316 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(921404), // Rule ID 23769 //
     /*  921321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921368 */     // MIs[1] Operand 1
     /*  921368 */     // No operand predicates
     /*  921368 */     // MIs[0] policy
     /*  921368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921402 */     GIR_RootConstrainSelectedInstOperands,
     /*  921403 */     // GIR_Coverage, 23769,
     /*  921403 */     GIR_EraseRootFromParent_Done,
     /*  921404 */   // Label 13989: @921404
     /*  921404 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(921492), // Rule ID 23772 //
     /*  921409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921456 */     // MIs[1] Operand 1
     /*  921456 */     // No operand predicates
     /*  921456 */     // MIs[0] policy
     /*  921456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921490 */     GIR_RootConstrainSelectedInstOperands,
     /*  921491 */     // GIR_Coverage, 23772,
     /*  921491 */     GIR_EraseRootFromParent_Done,
     /*  921492 */   // Label 13990: @921492
     /*  921492 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(921580), // Rule ID 23773 //
     /*  921497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921544 */     // MIs[1] Operand 1
     /*  921544 */     // No operand predicates
     /*  921544 */     // MIs[0] policy
     /*  921544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921578 */     GIR_RootConstrainSelectedInstOperands,
     /*  921579 */     // GIR_Coverage, 23773,
     /*  921579 */     GIR_EraseRootFromParent_Done,
     /*  921580 */   // Label 13991: @921580
     /*  921580 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(921668), // Rule ID 23864 //
     /*  921585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  921596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  921599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921632 */     // MIs[1] Operand 1
     /*  921632 */     // No operand predicates
     /*  921632 */     // MIs[0] policy
     /*  921632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921644 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  921647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921666 */     GIR_RootConstrainSelectedInstOperands,
     /*  921667 */     // GIR_Coverage, 23864,
     /*  921667 */     GIR_EraseRootFromParent_Done,
     /*  921668 */   // Label 13992: @921668
     /*  921668 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(921756), // Rule ID 23865 //
     /*  921673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  921684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  921687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921720 */     // MIs[1] Operand 1
     /*  921720 */     // No operand predicates
     /*  921720 */     // MIs[0] policy
     /*  921720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  921735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921754 */     GIR_RootConstrainSelectedInstOperands,
     /*  921755 */     // GIR_Coverage, 23865,
     /*  921755 */     GIR_EraseRootFromParent_Done,
     /*  921756 */   // Label 13993: @921756
     /*  921756 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(921844), // Rule ID 23868 //
     /*  921761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  921772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  921775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921808 */     // MIs[1] Operand 1
     /*  921808 */     // No operand predicates
     /*  921808 */     // MIs[0] policy
     /*  921808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921820 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  921823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921842 */     GIR_RootConstrainSelectedInstOperands,
     /*  921843 */     // GIR_Coverage, 23868,
     /*  921843 */     GIR_EraseRootFromParent_Done,
     /*  921844 */   // Label 13994: @921844
     /*  921844 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(921932), // Rule ID 23869 //
     /*  921849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  921860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  921863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921896 */     // MIs[1] Operand 1
     /*  921896 */     // No operand predicates
     /*  921896 */     // MIs[0] policy
     /*  921896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  921911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921930 */     GIR_RootConstrainSelectedInstOperands,
     /*  921931 */     // GIR_Coverage, 23869,
     /*  921931 */     GIR_EraseRootFromParent_Done,
     /*  921932 */   // Label 13995: @921932
     /*  921932 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(922020), // Rule ID 23872 //
     /*  921937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  921948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  921951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  921954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921984 */     // MIs[1] Operand 1
     /*  921984 */     // No operand predicates
     /*  921984 */     // MIs[0] policy
     /*  921984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  921999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922018 */     GIR_RootConstrainSelectedInstOperands,
     /*  922019 */     // GIR_Coverage, 23872,
     /*  922019 */     GIR_EraseRootFromParent_Done,
     /*  922020 */   // Label 13996: @922020
     /*  922020 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(922108), // Rule ID 23873 //
     /*  922025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  922036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  922039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  922042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922072 */     // MIs[1] Operand 1
     /*  922072 */     // No operand predicates
     /*  922072 */     // MIs[0] policy
     /*  922072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922084 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922106 */     GIR_RootConstrainSelectedInstOperands,
     /*  922107 */     // GIR_Coverage, 23873,
     /*  922107 */     GIR_EraseRootFromParent_Done,
     /*  922108 */   // Label 13997: @922108
     /*  922108 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(922196), // Rule ID 23876 //
     /*  922113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922160 */     // MIs[1] Operand 1
     /*  922160 */     // No operand predicates
     /*  922160 */     // MIs[0] policy
     /*  922160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922194 */     GIR_RootConstrainSelectedInstOperands,
     /*  922195 */     // GIR_Coverage, 23876,
     /*  922195 */     GIR_EraseRootFromParent_Done,
     /*  922196 */   // Label 13998: @922196
     /*  922196 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(922284), // Rule ID 23877 //
     /*  922201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922248 */     // MIs[1] Operand 1
     /*  922248 */     // No operand predicates
     /*  922248 */     // MIs[0] policy
     /*  922248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922282 */     GIR_RootConstrainSelectedInstOperands,
     /*  922283 */     // GIR_Coverage, 23877,
     /*  922283 */     GIR_EraseRootFromParent_Done,
     /*  922284 */   // Label 13999: @922284
     /*  922284 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(922372), // Rule ID 23880 //
     /*  922289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922336 */     // MIs[1] Operand 1
     /*  922336 */     // No operand predicates
     /*  922336 */     // MIs[0] policy
     /*  922336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922370 */     GIR_RootConstrainSelectedInstOperands,
     /*  922371 */     // GIR_Coverage, 23880,
     /*  922371 */     GIR_EraseRootFromParent_Done,
     /*  922372 */   // Label 14000: @922372
     /*  922372 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(922460), // Rule ID 23881 //
     /*  922377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922424 */     // MIs[1] Operand 1
     /*  922424 */     // No operand predicates
     /*  922424 */     // MIs[0] policy
     /*  922424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922458 */     GIR_RootConstrainSelectedInstOperands,
     /*  922459 */     // GIR_Coverage, 23881,
     /*  922459 */     GIR_EraseRootFromParent_Done,
     /*  922460 */   // Label 14001: @922460
     /*  922460 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(922548), // Rule ID 23884 //
     /*  922465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922512 */     // MIs[1] Operand 1
     /*  922512 */     // No operand predicates
     /*  922512 */     // MIs[0] policy
     /*  922512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922546 */     GIR_RootConstrainSelectedInstOperands,
     /*  922547 */     // GIR_Coverage, 23884,
     /*  922547 */     GIR_EraseRootFromParent_Done,
     /*  922548 */   // Label 14002: @922548
     /*  922548 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(922636), // Rule ID 23885 //
     /*  922553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922600 */     // MIs[1] Operand 1
     /*  922600 */     // No operand predicates
     /*  922600 */     // MIs[0] policy
     /*  922600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922634 */     GIR_RootConstrainSelectedInstOperands,
     /*  922635 */     // GIR_Coverage, 23885,
     /*  922635 */     GIR_EraseRootFromParent_Done,
     /*  922636 */   // Label 14003: @922636
     /*  922636 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(922724), // Rule ID 23888 //
     /*  922641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  922652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  922655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922688 */     // MIs[1] Operand 1
     /*  922688 */     // No operand predicates
     /*  922688 */     // MIs[0] policy
     /*  922688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922722 */     GIR_RootConstrainSelectedInstOperands,
     /*  922723 */     // GIR_Coverage, 23888,
     /*  922723 */     GIR_EraseRootFromParent_Done,
     /*  922724 */   // Label 14004: @922724
     /*  922724 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(922812), // Rule ID 23889 //
     /*  922729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  922740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  922743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922776 */     // MIs[1] Operand 1
     /*  922776 */     // No operand predicates
     /*  922776 */     // MIs[0] policy
     /*  922776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922810 */     GIR_RootConstrainSelectedInstOperands,
     /*  922811 */     // GIR_Coverage, 23889,
     /*  922811 */     GIR_EraseRootFromParent_Done,
     /*  922812 */   // Label 14005: @922812
     /*  922812 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(922900), // Rule ID 23892 //
     /*  922817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922864 */     // MIs[1] Operand 1
     /*  922864 */     // No operand predicates
     /*  922864 */     // MIs[0] policy
     /*  922864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922898 */     GIR_RootConstrainSelectedInstOperands,
     /*  922899 */     // GIR_Coverage, 23892,
     /*  922899 */     GIR_EraseRootFromParent_Done,
     /*  922900 */   // Label 14006: @922900
     /*  922900 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(922988), // Rule ID 23893 //
     /*  922905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922952 */     // MIs[1] Operand 1
     /*  922952 */     // No operand predicates
     /*  922952 */     // MIs[0] policy
     /*  922952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922986 */     GIR_RootConstrainSelectedInstOperands,
     /*  922987 */     // GIR_Coverage, 23893,
     /*  922987 */     GIR_EraseRootFromParent_Done,
     /*  922988 */   // Label 14007: @922988
     /*  922988 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(923076), // Rule ID 23896 //
     /*  922993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  923004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  923007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  923010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923040 */     // MIs[1] Operand 1
     /*  923040 */     // No operand predicates
     /*  923040 */     // MIs[0] policy
     /*  923040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923074 */     GIR_RootConstrainSelectedInstOperands,
     /*  923075 */     // GIR_Coverage, 23896,
     /*  923075 */     GIR_EraseRootFromParent_Done,
     /*  923076 */   // Label 14008: @923076
     /*  923076 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(923164), // Rule ID 23897 //
     /*  923081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  923092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  923095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  923098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923128 */     // MIs[1] Operand 1
     /*  923128 */     // No operand predicates
     /*  923128 */     // MIs[0] policy
     /*  923128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923162 */     GIR_RootConstrainSelectedInstOperands,
     /*  923163 */     // GIR_Coverage, 23897,
     /*  923163 */     GIR_EraseRootFromParent_Done,
     /*  923164 */   // Label 14009: @923164
     /*  923164 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(923252), // Rule ID 23900 //
     /*  923169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923216 */     // MIs[1] Operand 1
     /*  923216 */     // No operand predicates
     /*  923216 */     // MIs[0] policy
     /*  923216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923250 */     GIR_RootConstrainSelectedInstOperands,
     /*  923251 */     // GIR_Coverage, 23900,
     /*  923251 */     GIR_EraseRootFromParent_Done,
     /*  923252 */   // Label 14010: @923252
     /*  923252 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(923340), // Rule ID 23901 //
     /*  923257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923304 */     // MIs[1] Operand 1
     /*  923304 */     // No operand predicates
     /*  923304 */     // MIs[0] policy
     /*  923304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923338 */     GIR_RootConstrainSelectedInstOperands,
     /*  923339 */     // GIR_Coverage, 23901,
     /*  923339 */     GIR_EraseRootFromParent_Done,
     /*  923340 */   // Label 14011: @923340
     /*  923340 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(923428), // Rule ID 23904 //
     /*  923345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923392 */     // MIs[1] Operand 1
     /*  923392 */     // No operand predicates
     /*  923392 */     // MIs[0] policy
     /*  923392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923426 */     GIR_RootConstrainSelectedInstOperands,
     /*  923427 */     // GIR_Coverage, 23904,
     /*  923427 */     GIR_EraseRootFromParent_Done,
     /*  923428 */   // Label 14012: @923428
     /*  923428 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(923516), // Rule ID 23905 //
     /*  923433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923480 */     // MIs[1] Operand 1
     /*  923480 */     // No operand predicates
     /*  923480 */     // MIs[0] policy
     /*  923480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923514 */     GIR_RootConstrainSelectedInstOperands,
     /*  923515 */     // GIR_Coverage, 23905,
     /*  923515 */     GIR_EraseRootFromParent_Done,
     /*  923516 */   // Label 14013: @923516
     /*  923516 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(923604), // Rule ID 23908 //
     /*  923521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  923532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  923535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  923538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923568 */     // MIs[1] Operand 1
     /*  923568 */     // No operand predicates
     /*  923568 */     // MIs[0] policy
     /*  923568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923602 */     GIR_RootConstrainSelectedInstOperands,
     /*  923603 */     // GIR_Coverage, 23908,
     /*  923603 */     GIR_EraseRootFromParent_Done,
     /*  923604 */   // Label 14014: @923604
     /*  923604 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(923692), // Rule ID 23909 //
     /*  923609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  923620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  923623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  923626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923656 */     // MIs[1] Operand 1
     /*  923656 */     // No operand predicates
     /*  923656 */     // MIs[0] policy
     /*  923656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923690 */     GIR_RootConstrainSelectedInstOperands,
     /*  923691 */     // GIR_Coverage, 23909,
     /*  923691 */     GIR_EraseRootFromParent_Done,
     /*  923692 */   // Label 14015: @923692
     /*  923692 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(923780), // Rule ID 23912 //
     /*  923697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  923708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  923711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  923714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923744 */     // MIs[1] Operand 1
     /*  923744 */     // No operand predicates
     /*  923744 */     // MIs[0] policy
     /*  923744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923756 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923778 */     GIR_RootConstrainSelectedInstOperands,
     /*  923779 */     // GIR_Coverage, 23912,
     /*  923779 */     GIR_EraseRootFromParent_Done,
     /*  923780 */   // Label 14016: @923780
     /*  923780 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(923868), // Rule ID 23913 //
     /*  923785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  923796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  923799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  923802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923832 */     // MIs[1] Operand 1
     /*  923832 */     // No operand predicates
     /*  923832 */     // MIs[0] policy
     /*  923832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923866 */     GIR_RootConstrainSelectedInstOperands,
     /*  923867 */     // GIR_Coverage, 23913,
     /*  923867 */     GIR_EraseRootFromParent_Done,
     /*  923868 */   // Label 14017: @923868
     /*  923868 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(923956), // Rule ID 23916 //
     /*  923873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923920 */     // MIs[1] Operand 1
     /*  923920 */     // No operand predicates
     /*  923920 */     // MIs[0] policy
     /*  923920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923954 */     GIR_RootConstrainSelectedInstOperands,
     /*  923955 */     // GIR_Coverage, 23916,
     /*  923955 */     GIR_EraseRootFromParent_Done,
     /*  923956 */   // Label 14018: @923956
     /*  923956 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(924044), // Rule ID 23917 //
     /*  923961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924008 */     // MIs[1] Operand 1
     /*  924008 */     // No operand predicates
     /*  924008 */     // MIs[0] policy
     /*  924008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924042 */     GIR_RootConstrainSelectedInstOperands,
     /*  924043 */     // GIR_Coverage, 23917,
     /*  924043 */     GIR_EraseRootFromParent_Done,
     /*  924044 */   // Label 14019: @924044
     /*  924044 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(924132), // Rule ID 23920 //
     /*  924049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924096 */     // MIs[1] Operand 1
     /*  924096 */     // No operand predicates
     /*  924096 */     // MIs[0] policy
     /*  924096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924130 */     GIR_RootConstrainSelectedInstOperands,
     /*  924131 */     // GIR_Coverage, 23920,
     /*  924131 */     GIR_EraseRootFromParent_Done,
     /*  924132 */   // Label 14020: @924132
     /*  924132 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(924220), // Rule ID 23921 //
     /*  924137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924184 */     // MIs[1] Operand 1
     /*  924184 */     // No operand predicates
     /*  924184 */     // MIs[0] policy
     /*  924184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924218 */     GIR_RootConstrainSelectedInstOperands,
     /*  924219 */     // GIR_Coverage, 23921,
     /*  924219 */     GIR_EraseRootFromParent_Done,
     /*  924220 */   // Label 14021: @924220
     /*  924220 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(924308), // Rule ID 23924 //
     /*  924225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924272 */     // MIs[1] Operand 1
     /*  924272 */     // No operand predicates
     /*  924272 */     // MIs[0] policy
     /*  924272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924306 */     GIR_RootConstrainSelectedInstOperands,
     /*  924307 */     // GIR_Coverage, 23924,
     /*  924307 */     GIR_EraseRootFromParent_Done,
     /*  924308 */   // Label 14022: @924308
     /*  924308 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(924396), // Rule ID 23925 //
     /*  924313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924360 */     // MIs[1] Operand 1
     /*  924360 */     // No operand predicates
     /*  924360 */     // MIs[0] policy
     /*  924360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924394 */     GIR_RootConstrainSelectedInstOperands,
     /*  924395 */     // GIR_Coverage, 23925,
     /*  924395 */     GIR_EraseRootFromParent_Done,
     /*  924396 */   // Label 14023: @924396
     /*  924396 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(924484), // Rule ID 23928 //
     /*  924401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924448 */     // MIs[1] Operand 1
     /*  924448 */     // No operand predicates
     /*  924448 */     // MIs[0] policy
     /*  924448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924482 */     GIR_RootConstrainSelectedInstOperands,
     /*  924483 */     // GIR_Coverage, 23928,
     /*  924483 */     GIR_EraseRootFromParent_Done,
     /*  924484 */   // Label 14024: @924484
     /*  924484 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(924572), // Rule ID 23929 //
     /*  924489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924536 */     // MIs[1] Operand 1
     /*  924536 */     // No operand predicates
     /*  924536 */     // MIs[0] policy
     /*  924536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924570 */     GIR_RootConstrainSelectedInstOperands,
     /*  924571 */     // GIR_Coverage, 23929,
     /*  924571 */     GIR_EraseRootFromParent_Done,
     /*  924572 */   // Label 14025: @924572
     /*  924572 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(924660), // Rule ID 23932 //
     /*  924577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  924588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  924591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  924594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924624 */     // MIs[1] Operand 1
     /*  924624 */     // No operand predicates
     /*  924624 */     // MIs[0] policy
     /*  924624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924658 */     GIR_RootConstrainSelectedInstOperands,
     /*  924659 */     // GIR_Coverage, 23932,
     /*  924659 */     GIR_EraseRootFromParent_Done,
     /*  924660 */   // Label 14026: @924660
     /*  924660 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(924748), // Rule ID 23933 //
     /*  924665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  924676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  924679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  924682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924712 */     // MIs[1] Operand 1
     /*  924712 */     // No operand predicates
     /*  924712 */     // MIs[0] policy
     /*  924712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924746 */     GIR_RootConstrainSelectedInstOperands,
     /*  924747 */     // GIR_Coverage, 23933,
     /*  924747 */     GIR_EraseRootFromParent_Done,
     /*  924748 */   // Label 14027: @924748
     /*  924748 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(924836), // Rule ID 23936 //
     /*  924753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924800 */     // MIs[1] Operand 1
     /*  924800 */     // No operand predicates
     /*  924800 */     // MIs[0] policy
     /*  924800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924834 */     GIR_RootConstrainSelectedInstOperands,
     /*  924835 */     // GIR_Coverage, 23936,
     /*  924835 */     GIR_EraseRootFromParent_Done,
     /*  924836 */   // Label 14028: @924836
     /*  924836 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(924924), // Rule ID 23937 //
     /*  924841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924888 */     // MIs[1] Operand 1
     /*  924888 */     // No operand predicates
     /*  924888 */     // MIs[0] policy
     /*  924888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924922 */     GIR_RootConstrainSelectedInstOperands,
     /*  924923 */     // GIR_Coverage, 23937,
     /*  924923 */     GIR_EraseRootFromParent_Done,
     /*  924924 */   // Label 14029: @924924
     /*  924924 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(925012), // Rule ID 23940 //
     /*  924929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  924940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  924943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  924946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924976 */     // MIs[1] Operand 1
     /*  924976 */     // No operand predicates
     /*  924976 */     // MIs[0] policy
     /*  924976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925010 */     GIR_RootConstrainSelectedInstOperands,
     /*  925011 */     // GIR_Coverage, 23940,
     /*  925011 */     GIR_EraseRootFromParent_Done,
     /*  925012 */   // Label 14030: @925012
     /*  925012 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(925100), // Rule ID 23941 //
     /*  925017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925064 */     // MIs[1] Operand 1
     /*  925064 */     // No operand predicates
     /*  925064 */     // MIs[0] policy
     /*  925064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925098 */     GIR_RootConstrainSelectedInstOperands,
     /*  925099 */     // GIR_Coverage, 23941,
     /*  925099 */     GIR_EraseRootFromParent_Done,
     /*  925100 */   // Label 14031: @925100
     /*  925100 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(925188), // Rule ID 23944 //
     /*  925105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925152 */     // MIs[1] Operand 1
     /*  925152 */     // No operand predicates
     /*  925152 */     // MIs[0] policy
     /*  925152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925186 */     GIR_RootConstrainSelectedInstOperands,
     /*  925187 */     // GIR_Coverage, 23944,
     /*  925187 */     GIR_EraseRootFromParent_Done,
     /*  925188 */   // Label 14032: @925188
     /*  925188 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(925276), // Rule ID 23945 //
     /*  925193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925240 */     // MIs[1] Operand 1
     /*  925240 */     // No operand predicates
     /*  925240 */     // MIs[0] policy
     /*  925240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925274 */     GIR_RootConstrainSelectedInstOperands,
     /*  925275 */     // GIR_Coverage, 23945,
     /*  925275 */     GIR_EraseRootFromParent_Done,
     /*  925276 */   // Label 14033: @925276
     /*  925276 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(925364), // Rule ID 23948 //
     /*  925281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925328 */     // MIs[1] Operand 1
     /*  925328 */     // No operand predicates
     /*  925328 */     // MIs[0] policy
     /*  925328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925362 */     GIR_RootConstrainSelectedInstOperands,
     /*  925363 */     // GIR_Coverage, 23948,
     /*  925363 */     GIR_EraseRootFromParent_Done,
     /*  925364 */   // Label 14034: @925364
     /*  925364 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(925452), // Rule ID 23949 //
     /*  925369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925416 */     // MIs[1] Operand 1
     /*  925416 */     // No operand predicates
     /*  925416 */     // MIs[0] policy
     /*  925416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925450 */     GIR_RootConstrainSelectedInstOperands,
     /*  925451 */     // GIR_Coverage, 23949,
     /*  925451 */     GIR_EraseRootFromParent_Done,
     /*  925452 */   // Label 14035: @925452
     /*  925452 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(925540), // Rule ID 24188 //
     /*  925457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925504 */     // MIs[1] Operand 1
     /*  925504 */     // No operand predicates
     /*  925504 */     // MIs[0] policy
     /*  925504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925516 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  925519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925538 */     GIR_RootConstrainSelectedInstOperands,
     /*  925539 */     // GIR_Coverage, 24188,
     /*  925539 */     GIR_EraseRootFromParent_Done,
     /*  925540 */   // Label 14036: @925540
     /*  925540 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(925628), // Rule ID 24189 //
     /*  925545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925592 */     // MIs[1] Operand 1
     /*  925592 */     // No operand predicates
     /*  925592 */     // MIs[0] policy
     /*  925592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925604 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  925607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925626 */     GIR_RootConstrainSelectedInstOperands,
     /*  925627 */     // GIR_Coverage, 24189,
     /*  925627 */     GIR_EraseRootFromParent_Done,
     /*  925628 */   // Label 14037: @925628
     /*  925628 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(925716), // Rule ID 24192 //
     /*  925633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925680 */     // MIs[1] Operand 1
     /*  925680 */     // No operand predicates
     /*  925680 */     // MIs[0] policy
     /*  925680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925714 */     GIR_RootConstrainSelectedInstOperands,
     /*  925715 */     // GIR_Coverage, 24192,
     /*  925715 */     GIR_EraseRootFromParent_Done,
     /*  925716 */   // Label 14038: @925716
     /*  925716 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(925804), // Rule ID 24193 //
     /*  925721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925768 */     // MIs[1] Operand 1
     /*  925768 */     // No operand predicates
     /*  925768 */     // MIs[0] policy
     /*  925768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925780 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925802 */     GIR_RootConstrainSelectedInstOperands,
     /*  925803 */     // GIR_Coverage, 24193,
     /*  925803 */     GIR_EraseRootFromParent_Done,
     /*  925804 */   // Label 14039: @925804
     /*  925804 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(925892), // Rule ID 24196 //
     /*  925809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925856 */     // MIs[1] Operand 1
     /*  925856 */     // No operand predicates
     /*  925856 */     // MIs[0] policy
     /*  925856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925890 */     GIR_RootConstrainSelectedInstOperands,
     /*  925891 */     // GIR_Coverage, 24196,
     /*  925891 */     GIR_EraseRootFromParent_Done,
     /*  925892 */   // Label 14040: @925892
     /*  925892 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(925980), // Rule ID 24197 //
     /*  925897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925944 */     // MIs[1] Operand 1
     /*  925944 */     // No operand predicates
     /*  925944 */     // MIs[0] policy
     /*  925944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925978 */     GIR_RootConstrainSelectedInstOperands,
     /*  925979 */     // GIR_Coverage, 24197,
     /*  925979 */     GIR_EraseRootFromParent_Done,
     /*  925980 */   // Label 14041: @925980
     /*  925980 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(926068), // Rule ID 24200 //
     /*  925985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926032 */     // MIs[1] Operand 1
     /*  926032 */     // No operand predicates
     /*  926032 */     // MIs[0] policy
     /*  926032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926044 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926066 */     GIR_RootConstrainSelectedInstOperands,
     /*  926067 */     // GIR_Coverage, 24200,
     /*  926067 */     GIR_EraseRootFromParent_Done,
     /*  926068 */   // Label 14042: @926068
     /*  926068 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(926156), // Rule ID 24201 //
     /*  926073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  926084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  926087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926120 */     // MIs[1] Operand 1
     /*  926120 */     // No operand predicates
     /*  926120 */     // MIs[0] policy
     /*  926120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926154 */     GIR_RootConstrainSelectedInstOperands,
     /*  926155 */     // GIR_Coverage, 24201,
     /*  926155 */     GIR_EraseRootFromParent_Done,
     /*  926156 */   // Label 14043: @926156
     /*  926156 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(926244), // Rule ID 24204 //
     /*  926161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  926164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926208 */     // MIs[1] Operand 1
     /*  926208 */     // No operand predicates
     /*  926208 */     // MIs[0] policy
     /*  926208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926220 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926242 */     GIR_RootConstrainSelectedInstOperands,
     /*  926243 */     // GIR_Coverage, 24204,
     /*  926243 */     GIR_EraseRootFromParent_Done,
     /*  926244 */   // Label 14044: @926244
     /*  926244 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(926332), // Rule ID 24205 //
     /*  926249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  926252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926296 */     // MIs[1] Operand 1
     /*  926296 */     // No operand predicates
     /*  926296 */     // MIs[0] policy
     /*  926296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926330 */     GIR_RootConstrainSelectedInstOperands,
     /*  926331 */     // GIR_Coverage, 24205,
     /*  926331 */     GIR_EraseRootFromParent_Done,
     /*  926332 */   // Label 14045: @926332
     /*  926332 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(926420), // Rule ID 24208 //
     /*  926337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926384 */     // MIs[1] Operand 1
     /*  926384 */     // No operand predicates
     /*  926384 */     // MIs[0] policy
     /*  926384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926418 */     GIR_RootConstrainSelectedInstOperands,
     /*  926419 */     // GIR_Coverage, 24208,
     /*  926419 */     GIR_EraseRootFromParent_Done,
     /*  926420 */   // Label 14046: @926420
     /*  926420 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(926508), // Rule ID 24209 //
     /*  926425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926472 */     // MIs[1] Operand 1
     /*  926472 */     // No operand predicates
     /*  926472 */     // MIs[0] policy
     /*  926472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926484 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926506 */     GIR_RootConstrainSelectedInstOperands,
     /*  926507 */     // GIR_Coverage, 24209,
     /*  926507 */     GIR_EraseRootFromParent_Done,
     /*  926508 */   // Label 14047: @926508
     /*  926508 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(926596), // Rule ID 24212 //
     /*  926513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926560 */     // MIs[1] Operand 1
     /*  926560 */     // No operand predicates
     /*  926560 */     // MIs[0] policy
     /*  926560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926594 */     GIR_RootConstrainSelectedInstOperands,
     /*  926595 */     // GIR_Coverage, 24212,
     /*  926595 */     GIR_EraseRootFromParent_Done,
     /*  926596 */   // Label 14048: @926596
     /*  926596 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(926684), // Rule ID 24213 //
     /*  926601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926648 */     // MIs[1] Operand 1
     /*  926648 */     // No operand predicates
     /*  926648 */     // MIs[0] policy
     /*  926648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926660 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926682 */     GIR_RootConstrainSelectedInstOperands,
     /*  926683 */     // GIR_Coverage, 24213,
     /*  926683 */     GIR_EraseRootFromParent_Done,
     /*  926684 */   // Label 14049: @926684
     /*  926684 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(926772), // Rule ID 24216 //
     /*  926689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926736 */     // MIs[1] Operand 1
     /*  926736 */     // No operand predicates
     /*  926736 */     // MIs[0] policy
     /*  926736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  926751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926770 */     GIR_RootConstrainSelectedInstOperands,
     /*  926771 */     // GIR_Coverage, 24216,
     /*  926771 */     GIR_EraseRootFromParent_Done,
     /*  926772 */   // Label 14050: @926772
     /*  926772 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(926860), // Rule ID 24217 //
     /*  926777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926824 */     // MIs[1] Operand 1
     /*  926824 */     // No operand predicates
     /*  926824 */     // MIs[0] policy
     /*  926824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926836 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  926839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926858 */     GIR_RootConstrainSelectedInstOperands,
     /*  926859 */     // GIR_Coverage, 24217,
     /*  926859 */     GIR_EraseRootFromParent_Done,
     /*  926860 */   // Label 14051: @926860
     /*  926860 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(926948), // Rule ID 24220 //
     /*  926865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926912 */     // MIs[1] Operand 1
     /*  926912 */     // No operand predicates
     /*  926912 */     // MIs[0] policy
     /*  926912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926924 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  926927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926946 */     GIR_RootConstrainSelectedInstOperands,
     /*  926947 */     // GIR_Coverage, 24220,
     /*  926947 */     GIR_EraseRootFromParent_Done,
     /*  926948 */   // Label 14052: @926948
     /*  926948 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(927036), // Rule ID 24221 //
     /*  926953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927000 */     // MIs[1] Operand 1
     /*  927000 */     // No operand predicates
     /*  927000 */     // MIs[0] policy
     /*  927000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927012 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927034 */     GIR_RootConstrainSelectedInstOperands,
     /*  927035 */     // GIR_Coverage, 24221,
     /*  927035 */     GIR_EraseRootFromParent_Done,
     /*  927036 */   // Label 14053: @927036
     /*  927036 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(927124), // Rule ID 24224 //
     /*  927041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927088 */     // MIs[1] Operand 1
     /*  927088 */     // No operand predicates
     /*  927088 */     // MIs[0] policy
     /*  927088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927100 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927122 */     GIR_RootConstrainSelectedInstOperands,
     /*  927123 */     // GIR_Coverage, 24224,
     /*  927123 */     GIR_EraseRootFromParent_Done,
     /*  927124 */   // Label 14054: @927124
     /*  927124 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(927212), // Rule ID 24225 //
     /*  927129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927176 */     // MIs[1] Operand 1
     /*  927176 */     // No operand predicates
     /*  927176 */     // MIs[0] policy
     /*  927176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927210 */     GIR_RootConstrainSelectedInstOperands,
     /*  927211 */     // GIR_Coverage, 24225,
     /*  927211 */     GIR_EraseRootFromParent_Done,
     /*  927212 */   // Label 14055: @927212
     /*  927212 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(927300), // Rule ID 24228 //
     /*  927217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927264 */     // MIs[1] Operand 1
     /*  927264 */     // No operand predicates
     /*  927264 */     // MIs[0] policy
     /*  927264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927276 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927298 */     GIR_RootConstrainSelectedInstOperands,
     /*  927299 */     // GIR_Coverage, 24228,
     /*  927299 */     GIR_EraseRootFromParent_Done,
     /*  927300 */   // Label 14056: @927300
     /*  927300 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(927388), // Rule ID 24229 //
     /*  927305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927352 */     // MIs[1] Operand 1
     /*  927352 */     // No operand predicates
     /*  927352 */     // MIs[0] policy
     /*  927352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927386 */     GIR_RootConstrainSelectedInstOperands,
     /*  927387 */     // GIR_Coverage, 24229,
     /*  927387 */     GIR_EraseRootFromParent_Done,
     /*  927388 */   // Label 14057: @927388
     /*  927388 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(927476), // Rule ID 24232 //
     /*  927393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927440 */     // MIs[1] Operand 1
     /*  927440 */     // No operand predicates
     /*  927440 */     // MIs[0] policy
     /*  927440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927474 */     GIR_RootConstrainSelectedInstOperands,
     /*  927475 */     // GIR_Coverage, 24232,
     /*  927475 */     GIR_EraseRootFromParent_Done,
     /*  927476 */   // Label 14058: @927476
     /*  927476 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(927564), // Rule ID 24233 //
     /*  927481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927528 */     // MIs[1] Operand 1
     /*  927528 */     // No operand predicates
     /*  927528 */     // MIs[0] policy
     /*  927528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927540 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927562 */     GIR_RootConstrainSelectedInstOperands,
     /*  927563 */     // GIR_Coverage, 24233,
     /*  927563 */     GIR_EraseRootFromParent_Done,
     /*  927564 */   // Label 14059: @927564
     /*  927564 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(927652), // Rule ID 24236 //
     /*  927569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927616 */     // MIs[1] Operand 1
     /*  927616 */     // No operand predicates
     /*  927616 */     // MIs[0] policy
     /*  927616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927650 */     GIR_RootConstrainSelectedInstOperands,
     /*  927651 */     // GIR_Coverage, 24236,
     /*  927651 */     GIR_EraseRootFromParent_Done,
     /*  927652 */   // Label 14060: @927652
     /*  927652 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(927740), // Rule ID 24237 //
     /*  927657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  927660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927704 */     // MIs[1] Operand 1
     /*  927704 */     // No operand predicates
     /*  927704 */     // MIs[0] policy
     /*  927704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927716 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927738 */     GIR_RootConstrainSelectedInstOperands,
     /*  927739 */     // GIR_Coverage, 24237,
     /*  927739 */     GIR_EraseRootFromParent_Done,
     /*  927740 */   // Label 14061: @927740
     /*  927740 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(927828), // Rule ID 24240 //
     /*  927745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927792 */     // MIs[1] Operand 1
     /*  927792 */     // No operand predicates
     /*  927792 */     // MIs[0] policy
     /*  927792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927804 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927826 */     GIR_RootConstrainSelectedInstOperands,
     /*  927827 */     // GIR_Coverage, 24240,
     /*  927827 */     GIR_EraseRootFromParent_Done,
     /*  927828 */   // Label 14062: @927828
     /*  927828 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(927916), // Rule ID 24241 //
     /*  927833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  927836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927880 */     // MIs[1] Operand 1
     /*  927880 */     // No operand predicates
     /*  927880 */     // MIs[0] policy
     /*  927880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927914 */     GIR_RootConstrainSelectedInstOperands,
     /*  927915 */     // GIR_Coverage, 24241,
     /*  927915 */     GIR_EraseRootFromParent_Done,
     /*  927916 */   // Label 14063: @927916
     /*  927916 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(928004), // Rule ID 24244 //
     /*  927921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927968 */     // MIs[1] Operand 1
     /*  927968 */     // No operand predicates
     /*  927968 */     // MIs[0] policy
     /*  927968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928002 */     GIR_RootConstrainSelectedInstOperands,
     /*  928003 */     // GIR_Coverage, 24244,
     /*  928003 */     GIR_EraseRootFromParent_Done,
     /*  928004 */   // Label 14064: @928004
     /*  928004 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(928092), // Rule ID 24245 //
     /*  928009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  928012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  928020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  928023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  928026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928056 */     // MIs[1] Operand 1
     /*  928056 */     // No operand predicates
     /*  928056 */     // MIs[0] policy
     /*  928056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  928071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928090 */     GIR_RootConstrainSelectedInstOperands,
     /*  928091 */     // GIR_Coverage, 24245,
     /*  928091 */     GIR_EraseRootFromParent_Done,
     /*  928092 */   // Label 14065: @928092
     /*  928092 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(928180), // Rule ID 24308 //
     /*  928097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  928108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  928111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928144 */     // MIs[1] Operand 1
     /*  928144 */     // No operand predicates
     /*  928144 */     // MIs[0] policy
     /*  928144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  928159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928178 */     GIR_RootConstrainSelectedInstOperands,
     /*  928179 */     // GIR_Coverage, 24308,
     /*  928179 */     GIR_EraseRootFromParent_Done,
     /*  928180 */   // Label 14066: @928180
     /*  928180 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(928268), // Rule ID 24309 //
     /*  928185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  928188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  928196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  928199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928232 */     // MIs[1] Operand 1
     /*  928232 */     // No operand predicates
     /*  928232 */     // MIs[0] policy
     /*  928232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928244 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  928247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928266 */     GIR_RootConstrainSelectedInstOperands,
     /*  928267 */     // GIR_Coverage, 24309,
     /*  928267 */     GIR_EraseRootFromParent_Done,
     /*  928268 */   // Label 14067: @928268
     /*  928268 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(928356), // Rule ID 24312 //
     /*  928273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928320 */     // MIs[1] Operand 1
     /*  928320 */     // No operand predicates
     /*  928320 */     // MIs[0] policy
     /*  928320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928332 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928354 */     GIR_RootConstrainSelectedInstOperands,
     /*  928355 */     // GIR_Coverage, 24312,
     /*  928355 */     GIR_EraseRootFromParent_Done,
     /*  928356 */   // Label 14068: @928356
     /*  928356 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(928444), // Rule ID 24313 //
     /*  928361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  928364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928408 */     // MIs[1] Operand 1
     /*  928408 */     // No operand predicates
     /*  928408 */     // MIs[0] policy
     /*  928408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928420 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928442 */     GIR_RootConstrainSelectedInstOperands,
     /*  928443 */     // GIR_Coverage, 24313,
     /*  928443 */     GIR_EraseRootFromParent_Done,
     /*  928444 */   // Label 14069: @928444
     /*  928444 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(928532), // Rule ID 24316 //
     /*  928449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  928452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928496 */     // MIs[1] Operand 1
     /*  928496 */     // No operand predicates
     /*  928496 */     // MIs[0] policy
     /*  928496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928530 */     GIR_RootConstrainSelectedInstOperands,
     /*  928531 */     // GIR_Coverage, 24316,
     /*  928531 */     GIR_EraseRootFromParent_Done,
     /*  928532 */   // Label 14070: @928532
     /*  928532 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(928620), // Rule ID 24317 //
     /*  928537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  928540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928584 */     // MIs[1] Operand 1
     /*  928584 */     // No operand predicates
     /*  928584 */     // MIs[0] policy
     /*  928584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928618 */     GIR_RootConstrainSelectedInstOperands,
     /*  928619 */     // GIR_Coverage, 24317,
     /*  928619 */     GIR_EraseRootFromParent_Done,
     /*  928620 */   // Label 14071: @928620
     /*  928620 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(928708), // Rule ID 24320 //
     /*  928625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928672 */     // MIs[1] Operand 1
     /*  928672 */     // No operand predicates
     /*  928672 */     // MIs[0] policy
     /*  928672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928706 */     GIR_RootConstrainSelectedInstOperands,
     /*  928707 */     // GIR_Coverage, 24320,
     /*  928707 */     GIR_EraseRootFromParent_Done,
     /*  928708 */   // Label 14072: @928708
     /*  928708 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(928796), // Rule ID 24321 //
     /*  928713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  928716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928760 */     // MIs[1] Operand 1
     /*  928760 */     // No operand predicates
     /*  928760 */     // MIs[0] policy
     /*  928760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928794 */     GIR_RootConstrainSelectedInstOperands,
     /*  928795 */     // GIR_Coverage, 24321,
     /*  928795 */     GIR_EraseRootFromParent_Done,
     /*  928796 */   // Label 14073: @928796
     /*  928796 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(928884), // Rule ID 24324 //
     /*  928801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  928804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928848 */     // MIs[1] Operand 1
     /*  928848 */     // No operand predicates
     /*  928848 */     // MIs[0] policy
     /*  928848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928882 */     GIR_RootConstrainSelectedInstOperands,
     /*  928883 */     // GIR_Coverage, 24324,
     /*  928883 */     GIR_EraseRootFromParent_Done,
     /*  928884 */   // Label 14074: @928884
     /*  928884 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(928972), // Rule ID 24325 //
     /*  928889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  928892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928936 */     // MIs[1] Operand 1
     /*  928936 */     // No operand predicates
     /*  928936 */     // MIs[0] policy
     /*  928936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928970 */     GIR_RootConstrainSelectedInstOperands,
     /*  928971 */     // GIR_Coverage, 24325,
     /*  928971 */     GIR_EraseRootFromParent_Done,
     /*  928972 */   // Label 14075: @928972
     /*  928972 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(929060), // Rule ID 24328 //
     /*  928977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  928980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929024 */     // MIs[1] Operand 1
     /*  929024 */     // No operand predicates
     /*  929024 */     // MIs[0] policy
     /*  929024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929058 */     GIR_RootConstrainSelectedInstOperands,
     /*  929059 */     // GIR_Coverage, 24328,
     /*  929059 */     GIR_EraseRootFromParent_Done,
     /*  929060 */   // Label 14076: @929060
     /*  929060 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(929148), // Rule ID 24329 //
     /*  929065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  929068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  929076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  929079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  929082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929112 */     // MIs[1] Operand 1
     /*  929112 */     // No operand predicates
     /*  929112 */     // MIs[0] policy
     /*  929112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929146 */     GIR_RootConstrainSelectedInstOperands,
     /*  929147 */     // GIR_Coverage, 24329,
     /*  929147 */     GIR_EraseRootFromParent_Done,
     /*  929148 */   // Label 14077: @929148
     /*  929148 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(929236), // Rule ID 24332 //
     /*  929153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  929156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929200 */     // MIs[1] Operand 1
     /*  929200 */     // No operand predicates
     /*  929200 */     // MIs[0] policy
     /*  929200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929234 */     GIR_RootConstrainSelectedInstOperands,
     /*  929235 */     // GIR_Coverage, 24332,
     /*  929235 */     GIR_EraseRootFromParent_Done,
     /*  929236 */   // Label 14078: @929236
     /*  929236 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(929324), // Rule ID 24333 //
     /*  929241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929288 */     // MIs[1] Operand 1
     /*  929288 */     // No operand predicates
     /*  929288 */     // MIs[0] policy
     /*  929288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929300 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929322 */     GIR_RootConstrainSelectedInstOperands,
     /*  929323 */     // GIR_Coverage, 24333,
     /*  929323 */     GIR_EraseRootFromParent_Done,
     /*  929324 */   // Label 14079: @929324
     /*  929324 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(929412), // Rule ID 24336 //
     /*  929329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  929332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929376 */     // MIs[1] Operand 1
     /*  929376 */     // No operand predicates
     /*  929376 */     // MIs[0] policy
     /*  929376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929388 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929410 */     GIR_RootConstrainSelectedInstOperands,
     /*  929411 */     // GIR_Coverage, 24336,
     /*  929411 */     GIR_EraseRootFromParent_Done,
     /*  929412 */   // Label 14080: @929412
     /*  929412 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(929500), // Rule ID 24337 //
     /*  929417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929464 */     // MIs[1] Operand 1
     /*  929464 */     // No operand predicates
     /*  929464 */     // MIs[0] policy
     /*  929464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929476 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929498 */     GIR_RootConstrainSelectedInstOperands,
     /*  929499 */     // GIR_Coverage, 24337,
     /*  929499 */     GIR_EraseRootFromParent_Done,
     /*  929500 */   // Label 14081: @929500
     /*  929500 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(929588), // Rule ID 24340 //
     /*  929505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  929508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929552 */     // MIs[1] Operand 1
     /*  929552 */     // No operand predicates
     /*  929552 */     // MIs[0] policy
     /*  929552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929564 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929586 */     GIR_RootConstrainSelectedInstOperands,
     /*  929587 */     // GIR_Coverage, 24340,
     /*  929587 */     GIR_EraseRootFromParent_Done,
     /*  929588 */   // Label 14082: @929588
     /*  929588 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(929676), // Rule ID 24341 //
     /*  929593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929640 */     // MIs[1] Operand 1
     /*  929640 */     // No operand predicates
     /*  929640 */     // MIs[0] policy
     /*  929640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929674 */     GIR_RootConstrainSelectedInstOperands,
     /*  929675 */     // GIR_Coverage, 24341,
     /*  929675 */     GIR_EraseRootFromParent_Done,
     /*  929676 */   // Label 14083: @929676
     /*  929676 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(929764), // Rule ID 24344 //
     /*  929681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929728 */     // MIs[1] Operand 1
     /*  929728 */     // No operand predicates
     /*  929728 */     // MIs[0] policy
     /*  929728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929740 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929762 */     GIR_RootConstrainSelectedInstOperands,
     /*  929763 */     // GIR_Coverage, 24344,
     /*  929763 */     GIR_EraseRootFromParent_Done,
     /*  929764 */   // Label 14084: @929764
     /*  929764 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(929852), // Rule ID 24345 //
     /*  929769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929816 */     // MIs[1] Operand 1
     /*  929816 */     // No operand predicates
     /*  929816 */     // MIs[0] policy
     /*  929816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929828 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929850 */     GIR_RootConstrainSelectedInstOperands,
     /*  929851 */     // GIR_Coverage, 24345,
     /*  929851 */     GIR_EraseRootFromParent_Done,
     /*  929852 */   // Label 14085: @929852
     /*  929852 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(929940), // Rule ID 24348 //
     /*  929857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929904 */     // MIs[1] Operand 1
     /*  929904 */     // No operand predicates
     /*  929904 */     // MIs[0] policy
     /*  929904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929938 */     GIR_RootConstrainSelectedInstOperands,
     /*  929939 */     // GIR_Coverage, 24348,
     /*  929939 */     GIR_EraseRootFromParent_Done,
     /*  929940 */   // Label 14086: @929940
     /*  929940 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(930028), // Rule ID 24349 //
     /*  929945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929992 */     // MIs[1] Operand 1
     /*  929992 */     // No operand predicates
     /*  929992 */     // MIs[0] policy
     /*  929992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930026 */     GIR_RootConstrainSelectedInstOperands,
     /*  930027 */     // GIR_Coverage, 24349,
     /*  930027 */     GIR_EraseRootFromParent_Done,
     /*  930028 */   // Label 14087: @930028
     /*  930028 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(930116), // Rule ID 24352 //
     /*  930033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  930036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930080 */     // MIs[1] Operand 1
     /*  930080 */     // No operand predicates
     /*  930080 */     // MIs[0] policy
     /*  930080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930114 */     GIR_RootConstrainSelectedInstOperands,
     /*  930115 */     // GIR_Coverage, 24352,
     /*  930115 */     GIR_EraseRootFromParent_Done,
     /*  930116 */   // Label 14088: @930116
     /*  930116 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(930204), // Rule ID 24353 //
     /*  930121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  930124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930168 */     // MIs[1] Operand 1
     /*  930168 */     // No operand predicates
     /*  930168 */     // MIs[0] policy
     /*  930168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930180 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930202 */     GIR_RootConstrainSelectedInstOperands,
     /*  930203 */     // GIR_Coverage, 24353,
     /*  930203 */     GIR_EraseRootFromParent_Done,
     /*  930204 */   // Label 14089: @930204
     /*  930204 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(930292), // Rule ID 24356 //
     /*  930209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930256 */     // MIs[1] Operand 1
     /*  930256 */     // No operand predicates
     /*  930256 */     // MIs[0] policy
     /*  930256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930290 */     GIR_RootConstrainSelectedInstOperands,
     /*  930291 */     // GIR_Coverage, 24356,
     /*  930291 */     GIR_EraseRootFromParent_Done,
     /*  930292 */   // Label 14090: @930292
     /*  930292 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(930380), // Rule ID 24357 //
     /*  930297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930344 */     // MIs[1] Operand 1
     /*  930344 */     // No operand predicates
     /*  930344 */     // MIs[0] policy
     /*  930344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930378 */     GIR_RootConstrainSelectedInstOperands,
     /*  930379 */     // GIR_Coverage, 24357,
     /*  930379 */     GIR_EraseRootFromParent_Done,
     /*  930380 */   // Label 14091: @930380
     /*  930380 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(930468), // Rule ID 24360 //
     /*  930385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930432 */     // MIs[1] Operand 1
     /*  930432 */     // No operand predicates
     /*  930432 */     // MIs[0] policy
     /*  930432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930466 */     GIR_RootConstrainSelectedInstOperands,
     /*  930467 */     // GIR_Coverage, 24360,
     /*  930467 */     GIR_EraseRootFromParent_Done,
     /*  930468 */   // Label 14092: @930468
     /*  930468 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(930556), // Rule ID 24361 //
     /*  930473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930520 */     // MIs[1] Operand 1
     /*  930520 */     // No operand predicates
     /*  930520 */     // MIs[0] policy
     /*  930520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930532 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930554 */     GIR_RootConstrainSelectedInstOperands,
     /*  930555 */     // GIR_Coverage, 24361,
     /*  930555 */     GIR_EraseRootFromParent_Done,
     /*  930556 */   // Label 14093: @930556
     /*  930556 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(930644), // Rule ID 24364 //
     /*  930561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930608 */     // MIs[1] Operand 1
     /*  930608 */     // No operand predicates
     /*  930608 */     // MIs[0] policy
     /*  930608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930620 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930642 */     GIR_RootConstrainSelectedInstOperands,
     /*  930643 */     // GIR_Coverage, 24364,
     /*  930643 */     GIR_EraseRootFromParent_Done,
     /*  930644 */   // Label 14094: @930644
     /*  930644 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(930732), // Rule ID 24365 //
     /*  930649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930696 */     // MIs[1] Operand 1
     /*  930696 */     // No operand predicates
     /*  930696 */     // MIs[0] policy
     /*  930696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930730 */     GIR_RootConstrainSelectedInstOperands,
     /*  930731 */     // GIR_Coverage, 24365,
     /*  930731 */     GIR_EraseRootFromParent_Done,
     /*  930732 */   // Label 14095: @930732
     /*  930732 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(930823), // Rule ID 15976 //
     /*  930737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930784 */     // MIs[1] Operand 1
     /*  930784 */     // No operand predicates
     /*  930784 */     // MIs[0] round
     /*  930784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  930799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930821 */     GIR_RootConstrainSelectedInstOperands,
     /*  930822 */     // GIR_Coverage, 15976,
     /*  930822 */     GIR_EraseRootFromParent_Done,
     /*  930823 */   // Label 14096: @930823
     /*  930823 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(930914), // Rule ID 15977 //
     /*  930828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930875 */     // MIs[1] Operand 1
     /*  930875 */     // No operand predicates
     /*  930875 */     // MIs[0] round
     /*  930875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  930890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930912 */     GIR_RootConstrainSelectedInstOperands,
     /*  930913 */     // GIR_Coverage, 15977,
     /*  930913 */     GIR_EraseRootFromParent_Done,
     /*  930914 */   // Label 14097: @930914
     /*  930914 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(931005), // Rule ID 15980 //
     /*  930919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930966 */     // MIs[1] Operand 1
     /*  930966 */     // No operand predicates
     /*  930966 */     // MIs[0] round
     /*  930966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  930981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931003 */     GIR_RootConstrainSelectedInstOperands,
     /*  931004 */     // GIR_Coverage, 15980,
     /*  931004 */     GIR_EraseRootFromParent_Done,
     /*  931005 */   // Label 14098: @931005
     /*  931005 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(931096), // Rule ID 15981 //
     /*  931010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  931027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931057 */     // MIs[1] Operand 1
     /*  931057 */     // No operand predicates
     /*  931057 */     // MIs[0] round
     /*  931057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931069 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931094 */     GIR_RootConstrainSelectedInstOperands,
     /*  931095 */     // GIR_Coverage, 15981,
     /*  931095 */     GIR_EraseRootFromParent_Done,
     /*  931096 */   // Label 14099: @931096
     /*  931096 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(931187), // Rule ID 15984 //
     /*  931101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931148 */     // MIs[1] Operand 1
     /*  931148 */     // No operand predicates
     /*  931148 */     // MIs[0] round
     /*  931148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931185 */     GIR_RootConstrainSelectedInstOperands,
     /*  931186 */     // GIR_Coverage, 15984,
     /*  931186 */     GIR_EraseRootFromParent_Done,
     /*  931187 */   // Label 14100: @931187
     /*  931187 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(931278), // Rule ID 15985 //
     /*  931192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931239 */     // MIs[1] Operand 1
     /*  931239 */     // No operand predicates
     /*  931239 */     // MIs[0] round
     /*  931239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931276 */     GIR_RootConstrainSelectedInstOperands,
     /*  931277 */     // GIR_Coverage, 15985,
     /*  931277 */     GIR_EraseRootFromParent_Done,
     /*  931278 */   // Label 14101: @931278
     /*  931278 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(931369), // Rule ID 15988 //
     /*  931283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931330 */     // MIs[1] Operand 1
     /*  931330 */     // No operand predicates
     /*  931330 */     // MIs[0] round
     /*  931330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931367 */     GIR_RootConstrainSelectedInstOperands,
     /*  931368 */     // GIR_Coverage, 15988,
     /*  931368 */     GIR_EraseRootFromParent_Done,
     /*  931369 */   // Label 14102: @931369
     /*  931369 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(931460), // Rule ID 15989 //
     /*  931374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931421 */     // MIs[1] Operand 1
     /*  931421 */     // No operand predicates
     /*  931421 */     // MIs[0] round
     /*  931421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931458 */     GIR_RootConstrainSelectedInstOperands,
     /*  931459 */     // GIR_Coverage, 15989,
     /*  931459 */     GIR_EraseRootFromParent_Done,
     /*  931460 */   // Label 14103: @931460
     /*  931460 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(931551), // Rule ID 15992 //
     /*  931465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931512 */     // MIs[1] Operand 1
     /*  931512 */     // No operand predicates
     /*  931512 */     // MIs[0] round
     /*  931512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931549 */     GIR_RootConstrainSelectedInstOperands,
     /*  931550 */     // GIR_Coverage, 15992,
     /*  931550 */     GIR_EraseRootFromParent_Done,
     /*  931551 */   // Label 14104: @931551
     /*  931551 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(931642), // Rule ID 15993 //
     /*  931556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931603 */     // MIs[1] Operand 1
     /*  931603 */     // No operand predicates
     /*  931603 */     // MIs[0] round
     /*  931603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931615 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931640 */     GIR_RootConstrainSelectedInstOperands,
     /*  931641 */     // GIR_Coverage, 15993,
     /*  931641 */     GIR_EraseRootFromParent_Done,
     /*  931642 */   // Label 14105: @931642
     /*  931642 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(931733), // Rule ID 15996 //
     /*  931647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931694 */     // MIs[1] Operand 1
     /*  931694 */     // No operand predicates
     /*  931694 */     // MIs[0] round
     /*  931694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931731 */     GIR_RootConstrainSelectedInstOperands,
     /*  931732 */     // GIR_Coverage, 15996,
     /*  931732 */     GIR_EraseRootFromParent_Done,
     /*  931733 */   // Label 14106: @931733
     /*  931733 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(931824), // Rule ID 15997 //
     /*  931738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931785 */     // MIs[1] Operand 1
     /*  931785 */     // No operand predicates
     /*  931785 */     // MIs[0] round
     /*  931785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931822 */     GIR_RootConstrainSelectedInstOperands,
     /*  931823 */     // GIR_Coverage, 15997,
     /*  931823 */     GIR_EraseRootFromParent_Done,
     /*  931824 */   // Label 14107: @931824
     /*  931824 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(931915), // Rule ID 16000 //
     /*  931829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931876 */     // MIs[1] Operand 1
     /*  931876 */     // No operand predicates
     /*  931876 */     // MIs[0] round
     /*  931876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931913 */     GIR_RootConstrainSelectedInstOperands,
     /*  931914 */     // GIR_Coverage, 16000,
     /*  931914 */     GIR_EraseRootFromParent_Done,
     /*  931915 */   // Label 14108: @931915
     /*  931915 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(932006), // Rule ID 16001 //
     /*  931920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931967 */     // MIs[1] Operand 1
     /*  931967 */     // No operand predicates
     /*  931967 */     // MIs[0] round
     /*  931967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932004 */     GIR_RootConstrainSelectedInstOperands,
     /*  932005 */     // GIR_Coverage, 16001,
     /*  932005 */     GIR_EraseRootFromParent_Done,
     /*  932006 */   // Label 14109: @932006
     /*  932006 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(932097), // Rule ID 16004 //
     /*  932011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932058 */     // MIs[1] Operand 1
     /*  932058 */     // No operand predicates
     /*  932058 */     // MIs[0] round
     /*  932058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932095 */     GIR_RootConstrainSelectedInstOperands,
     /*  932096 */     // GIR_Coverage, 16004,
     /*  932096 */     GIR_EraseRootFromParent_Done,
     /*  932097 */   // Label 14110: @932097
     /*  932097 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(932188), // Rule ID 16005 //
     /*  932102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932149 */     // MIs[1] Operand 1
     /*  932149 */     // No operand predicates
     /*  932149 */     // MIs[0] round
     /*  932149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932186 */     GIR_RootConstrainSelectedInstOperands,
     /*  932187 */     // GIR_Coverage, 16005,
     /*  932187 */     GIR_EraseRootFromParent_Done,
     /*  932188 */   // Label 14111: @932188
     /*  932188 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(932279), // Rule ID 16008 //
     /*  932193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932240 */     // MIs[1] Operand 1
     /*  932240 */     // No operand predicates
     /*  932240 */     // MIs[0] round
     /*  932240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932277 */     GIR_RootConstrainSelectedInstOperands,
     /*  932278 */     // GIR_Coverage, 16008,
     /*  932278 */     GIR_EraseRootFromParent_Done,
     /*  932279 */   // Label 14112: @932279
     /*  932279 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(932370), // Rule ID 16009 //
     /*  932284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932331 */     // MIs[1] Operand 1
     /*  932331 */     // No operand predicates
     /*  932331 */     // MIs[0] round
     /*  932331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932368 */     GIR_RootConstrainSelectedInstOperands,
     /*  932369 */     // GIR_Coverage, 16009,
     /*  932369 */     GIR_EraseRootFromParent_Done,
     /*  932370 */   // Label 14113: @932370
     /*  932370 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(932461), // Rule ID 16012 //
     /*  932375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932422 */     // MIs[1] Operand 1
     /*  932422 */     // No operand predicates
     /*  932422 */     // MIs[0] round
     /*  932422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932459 */     GIR_RootConstrainSelectedInstOperands,
     /*  932460 */     // GIR_Coverage, 16012,
     /*  932460 */     GIR_EraseRootFromParent_Done,
     /*  932461 */   // Label 14114: @932461
     /*  932461 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(932552), // Rule ID 16013 //
     /*  932466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932513 */     // MIs[1] Operand 1
     /*  932513 */     // No operand predicates
     /*  932513 */     // MIs[0] round
     /*  932513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932550 */     GIR_RootConstrainSelectedInstOperands,
     /*  932551 */     // GIR_Coverage, 16013,
     /*  932551 */     GIR_EraseRootFromParent_Done,
     /*  932552 */   // Label 14115: @932552
     /*  932552 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(932643), // Rule ID 16016 //
     /*  932557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932604 */     // MIs[1] Operand 1
     /*  932604 */     // No operand predicates
     /*  932604 */     // MIs[0] round
     /*  932604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  932619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932641 */     GIR_RootConstrainSelectedInstOperands,
     /*  932642 */     // GIR_Coverage, 16016,
     /*  932642 */     GIR_EraseRootFromParent_Done,
     /*  932643 */   // Label 14116: @932643
     /*  932643 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(932734), // Rule ID 16017 //
     /*  932648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932695 */     // MIs[1] Operand 1
     /*  932695 */     // No operand predicates
     /*  932695 */     // MIs[0] round
     /*  932695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  932710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932732 */     GIR_RootConstrainSelectedInstOperands,
     /*  932733 */     // GIR_Coverage, 16017,
     /*  932733 */     GIR_EraseRootFromParent_Done,
     /*  932734 */   // Label 14117: @932734
     /*  932734 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(932825), // Rule ID 16020 //
     /*  932739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932786 */     // MIs[1] Operand 1
     /*  932786 */     // No operand predicates
     /*  932786 */     // MIs[0] round
     /*  932786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  932801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932823 */     GIR_RootConstrainSelectedInstOperands,
     /*  932824 */     // GIR_Coverage, 16020,
     /*  932824 */     GIR_EraseRootFromParent_Done,
     /*  932825 */   // Label 14118: @932825
     /*  932825 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(932916), // Rule ID 16021 //
     /*  932830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932877 */     // MIs[1] Operand 1
     /*  932877 */     // No operand predicates
     /*  932877 */     // MIs[0] round
     /*  932877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  932892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932914 */     GIR_RootConstrainSelectedInstOperands,
     /*  932915 */     // GIR_Coverage, 16021,
     /*  932915 */     GIR_EraseRootFromParent_Done,
     /*  932916 */   // Label 14119: @932916
     /*  932916 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(933007), // Rule ID 16024 //
     /*  932921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932968 */     // MIs[1] Operand 1
     /*  932968 */     // No operand predicates
     /*  932968 */     // MIs[0] round
     /*  932968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  932983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933005 */     GIR_RootConstrainSelectedInstOperands,
     /*  933006 */     // GIR_Coverage, 16024,
     /*  933006 */     GIR_EraseRootFromParent_Done,
     /*  933007 */   // Label 14120: @933007
     /*  933007 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(933098), // Rule ID 16025 //
     /*  933012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  933023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  933026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  933029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933059 */     // MIs[1] Operand 1
     /*  933059 */     // No operand predicates
     /*  933059 */     // MIs[0] round
     /*  933059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933096 */     GIR_RootConstrainSelectedInstOperands,
     /*  933097 */     // GIR_Coverage, 16025,
     /*  933097 */     GIR_EraseRootFromParent_Done,
     /*  933098 */   // Label 14121: @933098
     /*  933098 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(933189), // Rule ID 16028 //
     /*  933103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933150 */     // MIs[1] Operand 1
     /*  933150 */     // No operand predicates
     /*  933150 */     // MIs[0] round
     /*  933150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933187 */     GIR_RootConstrainSelectedInstOperands,
     /*  933188 */     // GIR_Coverage, 16028,
     /*  933188 */     GIR_EraseRootFromParent_Done,
     /*  933189 */   // Label 14122: @933189
     /*  933189 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(933280), // Rule ID 16029 //
     /*  933194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933241 */     // MIs[1] Operand 1
     /*  933241 */     // No operand predicates
     /*  933241 */     // MIs[0] round
     /*  933241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933278 */     GIR_RootConstrainSelectedInstOperands,
     /*  933279 */     // GIR_Coverage, 16029,
     /*  933279 */     GIR_EraseRootFromParent_Done,
     /*  933280 */   // Label 14123: @933280
     /*  933280 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(933371), // Rule ID 16032 //
     /*  933285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933332 */     // MIs[1] Operand 1
     /*  933332 */     // No operand predicates
     /*  933332 */     // MIs[0] round
     /*  933332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933369 */     GIR_RootConstrainSelectedInstOperands,
     /*  933370 */     // GIR_Coverage, 16032,
     /*  933370 */     GIR_EraseRootFromParent_Done,
     /*  933371 */   // Label 14124: @933371
     /*  933371 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(933462), // Rule ID 16033 //
     /*  933376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933423 */     // MIs[1] Operand 1
     /*  933423 */     // No operand predicates
     /*  933423 */     // MIs[0] round
     /*  933423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933460 */     GIR_RootConstrainSelectedInstOperands,
     /*  933461 */     // GIR_Coverage, 16033,
     /*  933461 */     GIR_EraseRootFromParent_Done,
     /*  933462 */   // Label 14125: @933462
     /*  933462 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(933553), // Rule ID 16036 //
     /*  933467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933514 */     // MIs[1] Operand 1
     /*  933514 */     // No operand predicates
     /*  933514 */     // MIs[0] round
     /*  933514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933551 */     GIR_RootConstrainSelectedInstOperands,
     /*  933552 */     // GIR_Coverage, 16036,
     /*  933552 */     GIR_EraseRootFromParent_Done,
     /*  933553 */   // Label 14126: @933553
     /*  933553 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(933644), // Rule ID 16037 //
     /*  933558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933605 */     // MIs[1] Operand 1
     /*  933605 */     // No operand predicates
     /*  933605 */     // MIs[0] round
     /*  933605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933642 */     GIR_RootConstrainSelectedInstOperands,
     /*  933643 */     // GIR_Coverage, 16037,
     /*  933643 */     GIR_EraseRootFromParent_Done,
     /*  933644 */   // Label 14127: @933644
     /*  933644 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(933735), // Rule ID 16040 //
     /*  933649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933696 */     // MIs[1] Operand 1
     /*  933696 */     // No operand predicates
     /*  933696 */     // MIs[0] round
     /*  933696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933733 */     GIR_RootConstrainSelectedInstOperands,
     /*  933734 */     // GIR_Coverage, 16040,
     /*  933734 */     GIR_EraseRootFromParent_Done,
     /*  933735 */   // Label 14128: @933735
     /*  933735 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(933826), // Rule ID 16041 //
     /*  933740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933787 */     // MIs[1] Operand 1
     /*  933787 */     // No operand predicates
     /*  933787 */     // MIs[0] round
     /*  933787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933824 */     GIR_RootConstrainSelectedInstOperands,
     /*  933825 */     // GIR_Coverage, 16041,
     /*  933825 */     GIR_EraseRootFromParent_Done,
     /*  933826 */   // Label 14129: @933826
     /*  933826 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(933917), // Rule ID 16044 //
     /*  933831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933878 */     // MIs[1] Operand 1
     /*  933878 */     // No operand predicates
     /*  933878 */     // MIs[0] round
     /*  933878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933915 */     GIR_RootConstrainSelectedInstOperands,
     /*  933916 */     // GIR_Coverage, 16044,
     /*  933916 */     GIR_EraseRootFromParent_Done,
     /*  933917 */   // Label 14130: @933917
     /*  933917 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(934008), // Rule ID 16045 //
     /*  933922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933969 */     // MIs[1] Operand 1
     /*  933969 */     // No operand predicates
     /*  933969 */     // MIs[0] round
     /*  933969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934006 */     GIR_RootConstrainSelectedInstOperands,
     /*  934007 */     // GIR_Coverage, 16045,
     /*  934007 */     GIR_EraseRootFromParent_Done,
     /*  934008 */   // Label 14131: @934008
     /*  934008 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(934099), // Rule ID 16048 //
     /*  934013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934060 */     // MIs[1] Operand 1
     /*  934060 */     // No operand predicates
     /*  934060 */     // MIs[0] round
     /*  934060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934097 */     GIR_RootConstrainSelectedInstOperands,
     /*  934098 */     // GIR_Coverage, 16048,
     /*  934098 */     GIR_EraseRootFromParent_Done,
     /*  934099 */   // Label 14132: @934099
     /*  934099 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(934190), // Rule ID 16049 //
     /*  934104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934151 */     // MIs[1] Operand 1
     /*  934151 */     // No operand predicates
     /*  934151 */     // MIs[0] round
     /*  934151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934188 */     GIR_RootConstrainSelectedInstOperands,
     /*  934189 */     // GIR_Coverage, 16049,
     /*  934189 */     GIR_EraseRootFromParent_Done,
     /*  934190 */   // Label 14133: @934190
     /*  934190 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(934281), // Rule ID 16052 //
     /*  934195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934242 */     // MIs[1] Operand 1
     /*  934242 */     // No operand predicates
     /*  934242 */     // MIs[0] round
     /*  934242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934279 */     GIR_RootConstrainSelectedInstOperands,
     /*  934280 */     // GIR_Coverage, 16052,
     /*  934280 */     GIR_EraseRootFromParent_Done,
     /*  934281 */   // Label 14134: @934281
     /*  934281 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(934372), // Rule ID 16053 //
     /*  934286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934333 */     // MIs[1] Operand 1
     /*  934333 */     // No operand predicates
     /*  934333 */     // MIs[0] round
     /*  934333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934370 */     GIR_RootConstrainSelectedInstOperands,
     /*  934371 */     // GIR_Coverage, 16053,
     /*  934371 */     GIR_EraseRootFromParent_Done,
     /*  934372 */   // Label 14135: @934372
     /*  934372 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(934463), // Rule ID 16056 //
     /*  934377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934424 */     // MIs[1] Operand 1
     /*  934424 */     // No operand predicates
     /*  934424 */     // MIs[0] round
     /*  934424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934461 */     GIR_RootConstrainSelectedInstOperands,
     /*  934462 */     // GIR_Coverage, 16056,
     /*  934462 */     GIR_EraseRootFromParent_Done,
     /*  934463 */   // Label 14136: @934463
     /*  934463 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(934554), // Rule ID 16057 //
     /*  934468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934515 */     // MIs[1] Operand 1
     /*  934515 */     // No operand predicates
     /*  934515 */     // MIs[0] round
     /*  934515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934552 */     GIR_RootConstrainSelectedInstOperands,
     /*  934553 */     // GIR_Coverage, 16057,
     /*  934553 */     GIR_EraseRootFromParent_Done,
     /*  934554 */   // Label 14137: @934554
     /*  934554 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(934645), // Rule ID 16060 //
     /*  934559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934606 */     // MIs[1] Operand 1
     /*  934606 */     // No operand predicates
     /*  934606 */     // MIs[0] round
     /*  934606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934643 */     GIR_RootConstrainSelectedInstOperands,
     /*  934644 */     // GIR_Coverage, 16060,
     /*  934644 */     GIR_EraseRootFromParent_Done,
     /*  934645 */   // Label 14138: @934645
     /*  934645 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(934736), // Rule ID 16061 //
     /*  934650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934697 */     // MIs[1] Operand 1
     /*  934697 */     // No operand predicates
     /*  934697 */     // MIs[0] round
     /*  934697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934734 */     GIR_RootConstrainSelectedInstOperands,
     /*  934735 */     // GIR_Coverage, 16061,
     /*  934735 */     GIR_EraseRootFromParent_Done,
     /*  934736 */   // Label 14139: @934736
     /*  934736 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(934827), // Rule ID 16240 //
     /*  934741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  934758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934788 */     // MIs[1] Operand 1
     /*  934788 */     // No operand predicates
     /*  934788 */     // MIs[0] round
     /*  934788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  934803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934825 */     GIR_RootConstrainSelectedInstOperands,
     /*  934826 */     // GIR_Coverage, 16240,
     /*  934826 */     GIR_EraseRootFromParent_Done,
     /*  934827 */   // Label 14140: @934827
     /*  934827 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(934918), // Rule ID 16241 //
     /*  934832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  934849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934879 */     // MIs[1] Operand 1
     /*  934879 */     // No operand predicates
     /*  934879 */     // MIs[0] round
     /*  934879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934891 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  934894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934916 */     GIR_RootConstrainSelectedInstOperands,
     /*  934917 */     // GIR_Coverage, 16241,
     /*  934917 */     GIR_EraseRootFromParent_Done,
     /*  934918 */   // Label 14141: @934918
     /*  934918 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(935009), // Rule ID 16244 //
     /*  934923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  934940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934970 */     // MIs[1] Operand 1
     /*  934970 */     // No operand predicates
     /*  934970 */     // MIs[0] round
     /*  934970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  934985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935007 */     GIR_RootConstrainSelectedInstOperands,
     /*  935008 */     // GIR_Coverage, 16244,
     /*  935008 */     GIR_EraseRootFromParent_Done,
     /*  935009 */   // Label 14142: @935009
     /*  935009 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(935100), // Rule ID 16245 //
     /*  935014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  935031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935061 */     // MIs[1] Operand 1
     /*  935061 */     // No operand predicates
     /*  935061 */     // MIs[0] round
     /*  935061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935098 */     GIR_RootConstrainSelectedInstOperands,
     /*  935099 */     // GIR_Coverage, 16245,
     /*  935099 */     GIR_EraseRootFromParent_Done,
     /*  935100 */   // Label 14143: @935100
     /*  935100 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(935191), // Rule ID 16248 //
     /*  935105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  935122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935152 */     // MIs[1] Operand 1
     /*  935152 */     // No operand predicates
     /*  935152 */     // MIs[0] round
     /*  935152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935189 */     GIR_RootConstrainSelectedInstOperands,
     /*  935190 */     // GIR_Coverage, 16248,
     /*  935190 */     GIR_EraseRootFromParent_Done,
     /*  935191 */   // Label 14144: @935191
     /*  935191 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(935282), // Rule ID 16249 //
     /*  935196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  935213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935243 */     // MIs[1] Operand 1
     /*  935243 */     // No operand predicates
     /*  935243 */     // MIs[0] round
     /*  935243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935280 */     GIR_RootConstrainSelectedInstOperands,
     /*  935281 */     // GIR_Coverage, 16249,
     /*  935281 */     GIR_EraseRootFromParent_Done,
     /*  935282 */   // Label 14145: @935282
     /*  935282 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(935373), // Rule ID 16252 //
     /*  935287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935334 */     // MIs[1] Operand 1
     /*  935334 */     // No operand predicates
     /*  935334 */     // MIs[0] round
     /*  935334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935371 */     GIR_RootConstrainSelectedInstOperands,
     /*  935372 */     // GIR_Coverage, 16252,
     /*  935372 */     GIR_EraseRootFromParent_Done,
     /*  935373 */   // Label 14146: @935373
     /*  935373 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(935464), // Rule ID 16253 //
     /*  935378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935425 */     // MIs[1] Operand 1
     /*  935425 */     // No operand predicates
     /*  935425 */     // MIs[0] round
     /*  935425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935462 */     GIR_RootConstrainSelectedInstOperands,
     /*  935463 */     // GIR_Coverage, 16253,
     /*  935463 */     GIR_EraseRootFromParent_Done,
     /*  935464 */   // Label 14147: @935464
     /*  935464 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(935555), // Rule ID 16256 //
     /*  935469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935516 */     // MIs[1] Operand 1
     /*  935516 */     // No operand predicates
     /*  935516 */     // MIs[0] round
     /*  935516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935553 */     GIR_RootConstrainSelectedInstOperands,
     /*  935554 */     // GIR_Coverage, 16256,
     /*  935554 */     GIR_EraseRootFromParent_Done,
     /*  935555 */   // Label 14148: @935555
     /*  935555 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(935646), // Rule ID 16257 //
     /*  935560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935607 */     // MIs[1] Operand 1
     /*  935607 */     // No operand predicates
     /*  935607 */     // MIs[0] round
     /*  935607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935644 */     GIR_RootConstrainSelectedInstOperands,
     /*  935645 */     // GIR_Coverage, 16257,
     /*  935645 */     GIR_EraseRootFromParent_Done,
     /*  935646 */   // Label 14149: @935646
     /*  935646 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(935737), // Rule ID 16260 //
     /*  935651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935698 */     // MIs[1] Operand 1
     /*  935698 */     // No operand predicates
     /*  935698 */     // MIs[0] round
     /*  935698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  935710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935735 */     GIR_RootConstrainSelectedInstOperands,
     /*  935736 */     // GIR_Coverage, 16260,
     /*  935736 */     GIR_EraseRootFromParent_Done,
     /*  935737 */   // Label 14150: @935737
     /*  935737 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(935828), // Rule ID 16261 //
     /*  935742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935789 */     // MIs[1] Operand 1
     /*  935789 */     // No operand predicates
     /*  935789 */     // MIs[0] round
     /*  935789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  935801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935826 */     GIR_RootConstrainSelectedInstOperands,
     /*  935827 */     // GIR_Coverage, 16261,
     /*  935827 */     GIR_EraseRootFromParent_Done,
     /*  935828 */   // Label 14151: @935828
     /*  935828 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(935919), // Rule ID 16264 //
     /*  935833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  935850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935880 */     // MIs[1] Operand 1
     /*  935880 */     // No operand predicates
     /*  935880 */     // MIs[0] round
     /*  935880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935917 */     GIR_RootConstrainSelectedInstOperands,
     /*  935918 */     // GIR_Coverage, 16264,
     /*  935918 */     GIR_EraseRootFromParent_Done,
     /*  935919 */   // Label 14152: @935919
     /*  935919 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(936010), // Rule ID 16265 //
     /*  935924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  935941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935971 */     // MIs[1] Operand 1
     /*  935971 */     // No operand predicates
     /*  935971 */     // MIs[0] round
     /*  935971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936008 */     GIR_RootConstrainSelectedInstOperands,
     /*  936009 */     // GIR_Coverage, 16265,
     /*  936009 */     GIR_EraseRootFromParent_Done,
     /*  936010 */   // Label 14153: @936010
     /*  936010 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(936101), // Rule ID 16268 //
     /*  936015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  936032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936062 */     // MIs[1] Operand 1
     /*  936062 */     // No operand predicates
     /*  936062 */     // MIs[0] round
     /*  936062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936099 */     GIR_RootConstrainSelectedInstOperands,
     /*  936100 */     // GIR_Coverage, 16268,
     /*  936100 */     GIR_EraseRootFromParent_Done,
     /*  936101 */   // Label 14154: @936101
     /*  936101 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(936192), // Rule ID 16269 //
     /*  936106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  936123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936153 */     // MIs[1] Operand 1
     /*  936153 */     // No operand predicates
     /*  936153 */     // MIs[0] round
     /*  936153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936190 */     GIR_RootConstrainSelectedInstOperands,
     /*  936191 */     // GIR_Coverage, 16269,
     /*  936191 */     GIR_EraseRootFromParent_Done,
     /*  936192 */   // Label 14155: @936192
     /*  936192 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(936283), // Rule ID 16272 //
     /*  936197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936244 */     // MIs[1] Operand 1
     /*  936244 */     // No operand predicates
     /*  936244 */     // MIs[0] round
     /*  936244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936281 */     GIR_RootConstrainSelectedInstOperands,
     /*  936282 */     // GIR_Coverage, 16272,
     /*  936282 */     GIR_EraseRootFromParent_Done,
     /*  936283 */   // Label 14156: @936283
     /*  936283 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(936374), // Rule ID 16273 //
     /*  936288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936335 */     // MIs[1] Operand 1
     /*  936335 */     // No operand predicates
     /*  936335 */     // MIs[0] round
     /*  936335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936372 */     GIR_RootConstrainSelectedInstOperands,
     /*  936373 */     // GIR_Coverage, 16273,
     /*  936373 */     GIR_EraseRootFromParent_Done,
     /*  936374 */   // Label 14157: @936374
     /*  936374 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(936465), // Rule ID 16276 //
     /*  936379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936426 */     // MIs[1] Operand 1
     /*  936426 */     // No operand predicates
     /*  936426 */     // MIs[0] round
     /*  936426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  936438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936463 */     GIR_RootConstrainSelectedInstOperands,
     /*  936464 */     // GIR_Coverage, 16276,
     /*  936464 */     GIR_EraseRootFromParent_Done,
     /*  936465 */   // Label 14158: @936465
     /*  936465 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(936556), // Rule ID 16277 //
     /*  936470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936517 */     // MIs[1] Operand 1
     /*  936517 */     // No operand predicates
     /*  936517 */     // MIs[0] round
     /*  936517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  936529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936554 */     GIR_RootConstrainSelectedInstOperands,
     /*  936555 */     // GIR_Coverage, 16277,
     /*  936555 */     GIR_EraseRootFromParent_Done,
     /*  936556 */   // Label 14159: @936556
     /*  936556 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(936647), // Rule ID 16280 //
     /*  936561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  936578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936608 */     // MIs[1] Operand 1
     /*  936608 */     // No operand predicates
     /*  936608 */     // MIs[0] round
     /*  936608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  936623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936645 */     GIR_RootConstrainSelectedInstOperands,
     /*  936646 */     // GIR_Coverage, 16280,
     /*  936646 */     GIR_EraseRootFromParent_Done,
     /*  936647 */   // Label 14160: @936647
     /*  936647 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(936738), // Rule ID 16281 //
     /*  936652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  936669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936699 */     // MIs[1] Operand 1
     /*  936699 */     // No operand predicates
     /*  936699 */     // MIs[0] round
     /*  936699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  936714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936736 */     GIR_RootConstrainSelectedInstOperands,
     /*  936737 */     // GIR_Coverage, 16281,
     /*  936737 */     GIR_EraseRootFromParent_Done,
     /*  936738 */   // Label 14161: @936738
     /*  936738 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(936829), // Rule ID 16284 //
     /*  936743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  936760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936790 */     // MIs[1] Operand 1
     /*  936790 */     // No operand predicates
     /*  936790 */     // MIs[0] round
     /*  936790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  936805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936827 */     GIR_RootConstrainSelectedInstOperands,
     /*  936828 */     // GIR_Coverage, 16284,
     /*  936828 */     GIR_EraseRootFromParent_Done,
     /*  936829 */   // Label 14162: @936829
     /*  936829 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(936920), // Rule ID 16285 //
     /*  936834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  936851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936881 */     // MIs[1] Operand 1
     /*  936881 */     // No operand predicates
     /*  936881 */     // MIs[0] round
     /*  936881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  936896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936918 */     GIR_RootConstrainSelectedInstOperands,
     /*  936919 */     // GIR_Coverage, 16285,
     /*  936919 */     GIR_EraseRootFromParent_Done,
     /*  936920 */   // Label 14163: @936920
     /*  936920 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(937011), // Rule ID 16288 //
     /*  936925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  936936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  936939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  936942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936972 */     // MIs[1] Operand 1
     /*  936972 */     // No operand predicates
     /*  936972 */     // MIs[0] round
     /*  936972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  936987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937009 */     GIR_RootConstrainSelectedInstOperands,
     /*  937010 */     // GIR_Coverage, 16288,
     /*  937010 */     GIR_EraseRootFromParent_Done,
     /*  937011 */   // Label 14164: @937011
     /*  937011 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(937102), // Rule ID 16289 //
     /*  937016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  937027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  937030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  937033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937063 */     // MIs[1] Operand 1
     /*  937063 */     // No operand predicates
     /*  937063 */     // MIs[0] round
     /*  937063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937075 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937100 */     GIR_RootConstrainSelectedInstOperands,
     /*  937101 */     // GIR_Coverage, 16289,
     /*  937101 */     GIR_EraseRootFromParent_Done,
     /*  937102 */   // Label 14165: @937102
     /*  937102 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(937193), // Rule ID 16292 //
     /*  937107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937154 */     // MIs[1] Operand 1
     /*  937154 */     // No operand predicates
     /*  937154 */     // MIs[0] round
     /*  937154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937191 */     GIR_RootConstrainSelectedInstOperands,
     /*  937192 */     // GIR_Coverage, 16292,
     /*  937192 */     GIR_EraseRootFromParent_Done,
     /*  937193 */   // Label 14166: @937193
     /*  937193 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(937284), // Rule ID 16293 //
     /*  937198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937245 */     // MIs[1] Operand 1
     /*  937245 */     // No operand predicates
     /*  937245 */     // MIs[0] round
     /*  937245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937282 */     GIR_RootConstrainSelectedInstOperands,
     /*  937283 */     // GIR_Coverage, 16293,
     /*  937283 */     GIR_EraseRootFromParent_Done,
     /*  937284 */   // Label 14167: @937284
     /*  937284 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(937375), // Rule ID 16296 //
     /*  937289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937336 */     // MIs[1] Operand 1
     /*  937336 */     // No operand predicates
     /*  937336 */     // MIs[0] round
     /*  937336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937373 */     GIR_RootConstrainSelectedInstOperands,
     /*  937374 */     // GIR_Coverage, 16296,
     /*  937374 */     GIR_EraseRootFromParent_Done,
     /*  937375 */   // Label 14168: @937375
     /*  937375 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(937466), // Rule ID 16297 //
     /*  937380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937427 */     // MIs[1] Operand 1
     /*  937427 */     // No operand predicates
     /*  937427 */     // MIs[0] round
     /*  937427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937464 */     GIR_RootConstrainSelectedInstOperands,
     /*  937465 */     // GIR_Coverage, 16297,
     /*  937465 */     GIR_EraseRootFromParent_Done,
     /*  937466 */   // Label 14169: @937466
     /*  937466 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(937557), // Rule ID 16300 //
     /*  937471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937518 */     // MIs[1] Operand 1
     /*  937518 */     // No operand predicates
     /*  937518 */     // MIs[0] round
     /*  937518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937555 */     GIR_RootConstrainSelectedInstOperands,
     /*  937556 */     // GIR_Coverage, 16300,
     /*  937556 */     GIR_EraseRootFromParent_Done,
     /*  937557 */   // Label 14170: @937557
     /*  937557 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(937648), // Rule ID 16301 //
     /*  937562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937609 */     // MIs[1] Operand 1
     /*  937609 */     // No operand predicates
     /*  937609 */     // MIs[0] round
     /*  937609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937646 */     GIR_RootConstrainSelectedInstOperands,
     /*  937647 */     // GIR_Coverage, 16301,
     /*  937647 */     GIR_EraseRootFromParent_Done,
     /*  937648 */   // Label 14171: @937648
     /*  937648 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(937739), // Rule ID 16304 //
     /*  937653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937700 */     // MIs[1] Operand 1
     /*  937700 */     // No operand predicates
     /*  937700 */     // MIs[0] round
     /*  937700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937737 */     GIR_RootConstrainSelectedInstOperands,
     /*  937738 */     // GIR_Coverage, 16304,
     /*  937738 */     GIR_EraseRootFromParent_Done,
     /*  937739 */   // Label 14172: @937739
     /*  937739 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(937830), // Rule ID 16305 //
     /*  937744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937791 */     // MIs[1] Operand 1
     /*  937791 */     // No operand predicates
     /*  937791 */     // MIs[0] round
     /*  937791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937828 */     GIR_RootConstrainSelectedInstOperands,
     /*  937829 */     // GIR_Coverage, 16305,
     /*  937829 */     GIR_EraseRootFromParent_Done,
     /*  937830 */   // Label 14173: @937830
     /*  937830 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(937921), // Rule ID 16308 //
     /*  937835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937882 */     // MIs[1] Operand 1
     /*  937882 */     // No operand predicates
     /*  937882 */     // MIs[0] round
     /*  937882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937919 */     GIR_RootConstrainSelectedInstOperands,
     /*  937920 */     // GIR_Coverage, 16308,
     /*  937920 */     GIR_EraseRootFromParent_Done,
     /*  937921 */   // Label 14174: @937921
     /*  937921 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(938012), // Rule ID 16309 //
     /*  937926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937973 */     // MIs[1] Operand 1
     /*  937973 */     // No operand predicates
     /*  937973 */     // MIs[0] round
     /*  937973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938010 */     GIR_RootConstrainSelectedInstOperands,
     /*  938011 */     // GIR_Coverage, 16309,
     /*  938011 */     GIR_EraseRootFromParent_Done,
     /*  938012 */   // Label 14175: @938012
     /*  938012 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(938103), // Rule ID 16312 //
     /*  938017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938064 */     // MIs[1] Operand 1
     /*  938064 */     // No operand predicates
     /*  938064 */     // MIs[0] round
     /*  938064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938101 */     GIR_RootConstrainSelectedInstOperands,
     /*  938102 */     // GIR_Coverage, 16312,
     /*  938102 */     GIR_EraseRootFromParent_Done,
     /*  938103 */   // Label 14176: @938103
     /*  938103 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(938194), // Rule ID 16313 //
     /*  938108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938155 */     // MIs[1] Operand 1
     /*  938155 */     // No operand predicates
     /*  938155 */     // MIs[0] round
     /*  938155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938192 */     GIR_RootConstrainSelectedInstOperands,
     /*  938193 */     // GIR_Coverage, 16313,
     /*  938193 */     GIR_EraseRootFromParent_Done,
     /*  938194 */   // Label 14177: @938194
     /*  938194 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(938285), // Rule ID 16316 //
     /*  938199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938246 */     // MIs[1] Operand 1
     /*  938246 */     // No operand predicates
     /*  938246 */     // MIs[0] round
     /*  938246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938283 */     GIR_RootConstrainSelectedInstOperands,
     /*  938284 */     // GIR_Coverage, 16316,
     /*  938284 */     GIR_EraseRootFromParent_Done,
     /*  938285 */   // Label 14178: @938285
     /*  938285 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(938376), // Rule ID 16317 //
     /*  938290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938337 */     // MIs[1] Operand 1
     /*  938337 */     // No operand predicates
     /*  938337 */     // MIs[0] round
     /*  938337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938374 */     GIR_RootConstrainSelectedInstOperands,
     /*  938375 */     // GIR_Coverage, 16317,
     /*  938375 */     GIR_EraseRootFromParent_Done,
     /*  938376 */   // Label 14179: @938376
     /*  938376 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(938467), // Rule ID 16320 //
     /*  938381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938428 */     // MIs[1] Operand 1
     /*  938428 */     // No operand predicates
     /*  938428 */     // MIs[0] round
     /*  938428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938465 */     GIR_RootConstrainSelectedInstOperands,
     /*  938466 */     // GIR_Coverage, 16320,
     /*  938466 */     GIR_EraseRootFromParent_Done,
     /*  938467 */   // Label 14180: @938467
     /*  938467 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(938558), // Rule ID 16321 //
     /*  938472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938519 */     // MIs[1] Operand 1
     /*  938519 */     // No operand predicates
     /*  938519 */     // MIs[0] round
     /*  938519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938556 */     GIR_RootConstrainSelectedInstOperands,
     /*  938557 */     // GIR_Coverage, 16321,
     /*  938557 */     GIR_EraseRootFromParent_Done,
     /*  938558 */   // Label 14181: @938558
     /*  938558 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(938649), // Rule ID 16324 //
     /*  938563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938610 */     // MIs[1] Operand 1
     /*  938610 */     // No operand predicates
     /*  938610 */     // MIs[0] round
     /*  938610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938647 */     GIR_RootConstrainSelectedInstOperands,
     /*  938648 */     // GIR_Coverage, 16324,
     /*  938648 */     GIR_EraseRootFromParent_Done,
     /*  938649 */   // Label 14182: @938649
     /*  938649 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(938740), // Rule ID 16325 //
     /*  938654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938701 */     // MIs[1] Operand 1
     /*  938701 */     // No operand predicates
     /*  938701 */     // MIs[0] round
     /*  938701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938713 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938738 */     GIR_RootConstrainSelectedInstOperands,
     /*  938739 */     // GIR_Coverage, 16325,
     /*  938739 */     GIR_EraseRootFromParent_Done,
     /*  938740 */   // Label 14183: @938740
     /*  938740 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(938834), // Rule ID 16448 //
     /*  938745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  938756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  938759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938792 */     // MIs[1] Operand 1
     /*  938792 */     // No operand predicates
     /*  938792 */     // MIs[0] round
     /*  938792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  938807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938832 */     GIR_RootConstrainSelectedInstOperands,
     /*  938833 */     // GIR_Coverage, 16448,
     /*  938833 */     GIR_EraseRootFromParent_Done,
     /*  938834 */   // Label 14184: @938834
     /*  938834 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(938928), // Rule ID 16449 //
     /*  938839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  938850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  938853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938886 */     // MIs[1] Operand 1
     /*  938886 */     // No operand predicates
     /*  938886 */     // MIs[0] round
     /*  938886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  938901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938926 */     GIR_RootConstrainSelectedInstOperands,
     /*  938927 */     // GIR_Coverage, 16449,
     /*  938927 */     GIR_EraseRootFromParent_Done,
     /*  938928 */   // Label 14185: @938928
     /*  938928 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(939022), // Rule ID 16452 //
     /*  938933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  938944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  938947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938980 */     // MIs[1] Operand 1
     /*  938980 */     // No operand predicates
     /*  938980 */     // MIs[0] round
     /*  938980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  938995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939020 */     GIR_RootConstrainSelectedInstOperands,
     /*  939021 */     // GIR_Coverage, 16452,
     /*  939021 */     GIR_EraseRootFromParent_Done,
     /*  939022 */   // Label 14186: @939022
     /*  939022 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(939116), // Rule ID 16453 //
     /*  939027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  939038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  939041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  939044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939074 */     // MIs[1] Operand 1
     /*  939074 */     // No operand predicates
     /*  939074 */     // MIs[0] round
     /*  939074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939114 */     GIR_RootConstrainSelectedInstOperands,
     /*  939115 */     // GIR_Coverage, 16453,
     /*  939115 */     GIR_EraseRootFromParent_Done,
     /*  939116 */   // Label 14187: @939116
     /*  939116 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(939210), // Rule ID 16456 //
     /*  939121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  939132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  939135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939168 */     // MIs[1] Operand 1
     /*  939168 */     // No operand predicates
     /*  939168 */     // MIs[0] round
     /*  939168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939208 */     GIR_RootConstrainSelectedInstOperands,
     /*  939209 */     // GIR_Coverage, 16456,
     /*  939209 */     GIR_EraseRootFromParent_Done,
     /*  939210 */   // Label 14188: @939210
     /*  939210 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(939304), // Rule ID 16457 //
     /*  939215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  939226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  939229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939262 */     // MIs[1] Operand 1
     /*  939262 */     // No operand predicates
     /*  939262 */     // MIs[0] round
     /*  939262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939302 */     GIR_RootConstrainSelectedInstOperands,
     /*  939303 */     // GIR_Coverage, 16457,
     /*  939303 */     GIR_EraseRootFromParent_Done,
     /*  939304 */   // Label 14189: @939304
     /*  939304 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(939398), // Rule ID 16460 //
     /*  939309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939356 */     // MIs[1] Operand 1
     /*  939356 */     // No operand predicates
     /*  939356 */     // MIs[0] round
     /*  939356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939396 */     GIR_RootConstrainSelectedInstOperands,
     /*  939397 */     // GIR_Coverage, 16460,
     /*  939397 */     GIR_EraseRootFromParent_Done,
     /*  939398 */   // Label 14190: @939398
     /*  939398 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(939492), // Rule ID 16461 //
     /*  939403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939450 */     // MIs[1] Operand 1
     /*  939450 */     // No operand predicates
     /*  939450 */     // MIs[0] round
     /*  939450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939490 */     GIR_RootConstrainSelectedInstOperands,
     /*  939491 */     // GIR_Coverage, 16461,
     /*  939491 */     GIR_EraseRootFromParent_Done,
     /*  939492 */   // Label 14191: @939492
     /*  939492 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(939586), // Rule ID 16464 //
     /*  939497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939544 */     // MIs[1] Operand 1
     /*  939544 */     // No operand predicates
     /*  939544 */     // MIs[0] round
     /*  939544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939556 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  939559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939584 */     GIR_RootConstrainSelectedInstOperands,
     /*  939585 */     // GIR_Coverage, 16464,
     /*  939585 */     GIR_EraseRootFromParent_Done,
     /*  939586 */   // Label 14192: @939586
     /*  939586 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(939680), // Rule ID 16465 //
     /*  939591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939638 */     // MIs[1] Operand 1
     /*  939638 */     // No operand predicates
     /*  939638 */     // MIs[0] round
     /*  939638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939650 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  939653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939678 */     GIR_RootConstrainSelectedInstOperands,
     /*  939679 */     // GIR_Coverage, 16465,
     /*  939679 */     GIR_EraseRootFromParent_Done,
     /*  939680 */   // Label 14193: @939680
     /*  939680 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(939774), // Rule ID 16468 //
     /*  939685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939732 */     // MIs[1] Operand 1
     /*  939732 */     // No operand predicates
     /*  939732 */     // MIs[0] round
     /*  939732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  939747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939772 */     GIR_RootConstrainSelectedInstOperands,
     /*  939773 */     // GIR_Coverage, 16468,
     /*  939773 */     GIR_EraseRootFromParent_Done,
     /*  939774 */   // Label 14194: @939774
     /*  939774 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(939868), // Rule ID 16469 //
     /*  939779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939826 */     // MIs[1] Operand 1
     /*  939826 */     // No operand predicates
     /*  939826 */     // MIs[0] round
     /*  939826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  939841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939866 */     GIR_RootConstrainSelectedInstOperands,
     /*  939867 */     // GIR_Coverage, 16469,
     /*  939867 */     GIR_EraseRootFromParent_Done,
     /*  939868 */   // Label 14195: @939868
     /*  939868 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(939962), // Rule ID 16472 //
     /*  939873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939920 */     // MIs[1] Operand 1
     /*  939920 */     // No operand predicates
     /*  939920 */     // MIs[0] round
     /*  939920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939960 */     GIR_RootConstrainSelectedInstOperands,
     /*  939961 */     // GIR_Coverage, 16472,
     /*  939961 */     GIR_EraseRootFromParent_Done,
     /*  939962 */   // Label 14196: @939962
     /*  939962 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(940056), // Rule ID 16473 //
     /*  939967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940014 */     // MIs[1] Operand 1
     /*  940014 */     // No operand predicates
     /*  940014 */     // MIs[0] round
     /*  940014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  940029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940054 */     GIR_RootConstrainSelectedInstOperands,
     /*  940055 */     // GIR_Coverage, 16473,
     /*  940055 */     GIR_EraseRootFromParent_Done,
     /*  940056 */   // Label 14197: @940056
     /*  940056 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(940150), // Rule ID 16476 //
     /*  940061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  940072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  940075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940108 */     // MIs[1] Operand 1
     /*  940108 */     // No operand predicates
     /*  940108 */     // MIs[0] round
     /*  940108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940148 */     GIR_RootConstrainSelectedInstOperands,
     /*  940149 */     // GIR_Coverage, 16476,
     /*  940149 */     GIR_EraseRootFromParent_Done,
     /*  940150 */   // Label 14198: @940150
     /*  940150 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(940244), // Rule ID 16477 //
     /*  940155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  940166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  940169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940202 */     // MIs[1] Operand 1
     /*  940202 */     // No operand predicates
     /*  940202 */     // MIs[0] round
     /*  940202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940242 */     GIR_RootConstrainSelectedInstOperands,
     /*  940243 */     // GIR_Coverage, 16477,
     /*  940243 */     GIR_EraseRootFromParent_Done,
     /*  940244 */   // Label 14199: @940244
     /*  940244 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(940338), // Rule ID 16480 //
     /*  940249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940296 */     // MIs[1] Operand 1
     /*  940296 */     // No operand predicates
     /*  940296 */     // MIs[0] round
     /*  940296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940336 */     GIR_RootConstrainSelectedInstOperands,
     /*  940337 */     // GIR_Coverage, 16480,
     /*  940337 */     GIR_EraseRootFromParent_Done,
     /*  940338 */   // Label 14200: @940338
     /*  940338 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(940432), // Rule ID 16481 //
     /*  940343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940390 */     // MIs[1] Operand 1
     /*  940390 */     // No operand predicates
     /*  940390 */     // MIs[0] round
     /*  940390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940430 */     GIR_RootConstrainSelectedInstOperands,
     /*  940431 */     // GIR_Coverage, 16481,
     /*  940431 */     GIR_EraseRootFromParent_Done,
     /*  940432 */   // Label 14201: @940432
     /*  940432 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(940526), // Rule ID 16484 //
     /*  940437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  940448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  940451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940484 */     // MIs[1] Operand 1
     /*  940484 */     // No operand predicates
     /*  940484 */     // MIs[0] round
     /*  940484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940524 */     GIR_RootConstrainSelectedInstOperands,
     /*  940525 */     // GIR_Coverage, 16484,
     /*  940525 */     GIR_EraseRootFromParent_Done,
     /*  940526 */   // Label 14202: @940526
     /*  940526 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(940620), // Rule ID 16485 //
     /*  940531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  940542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  940545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940578 */     // MIs[1] Operand 1
     /*  940578 */     // No operand predicates
     /*  940578 */     // MIs[0] round
     /*  940578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940590 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940618 */     GIR_RootConstrainSelectedInstOperands,
     /*  940619 */     // GIR_Coverage, 16485,
     /*  940619 */     GIR_EraseRootFromParent_Done,
     /*  940620 */   // Label 14203: @940620
     /*  940620 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(940714), // Rule ID 16488 //
     /*  940625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  940636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  940639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940672 */     // MIs[1] Operand 1
     /*  940672 */     // No operand predicates
     /*  940672 */     // MIs[0] round
     /*  940672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940712 */     GIR_RootConstrainSelectedInstOperands,
     /*  940713 */     // GIR_Coverage, 16488,
     /*  940713 */     GIR_EraseRootFromParent_Done,
     /*  940714 */   // Label 14204: @940714
     /*  940714 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(940808), // Rule ID 16489 //
     /*  940719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  940730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  940733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940766 */     // MIs[1] Operand 1
     /*  940766 */     // No operand predicates
     /*  940766 */     // MIs[0] round
     /*  940766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940806 */     GIR_RootConstrainSelectedInstOperands,
     /*  940807 */     // GIR_Coverage, 16489,
     /*  940807 */     GIR_EraseRootFromParent_Done,
     /*  940808 */   // Label 14205: @940808
     /*  940808 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(940902), // Rule ID 16492 //
     /*  940813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940860 */     // MIs[1] Operand 1
     /*  940860 */     // No operand predicates
     /*  940860 */     // MIs[0] round
     /*  940860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940900 */     GIR_RootConstrainSelectedInstOperands,
     /*  940901 */     // GIR_Coverage, 16492,
     /*  940901 */     GIR_EraseRootFromParent_Done,
     /*  940902 */   // Label 14206: @940902
     /*  940902 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(940996), // Rule ID 16493 //
     /*  940907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940954 */     // MIs[1] Operand 1
     /*  940954 */     // No operand predicates
     /*  940954 */     // MIs[0] round
     /*  940954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940994 */     GIR_RootConstrainSelectedInstOperands,
     /*  940995 */     // GIR_Coverage, 16493,
     /*  940995 */     GIR_EraseRootFromParent_Done,
     /*  940996 */   // Label 14207: @940996
     /*  940996 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(941090), // Rule ID 16496 //
     /*  941001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941048 */     // MIs[1] Operand 1
     /*  941048 */     // No operand predicates
     /*  941048 */     // MIs[0] round
     /*  941048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  941063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941088 */     GIR_RootConstrainSelectedInstOperands,
     /*  941089 */     // GIR_Coverage, 16496,
     /*  941089 */     GIR_EraseRootFromParent_Done,
     /*  941090 */   // Label 14208: @941090
     /*  941090 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(941184), // Rule ID 16497 //
     /*  941095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941142 */     // MIs[1] Operand 1
     /*  941142 */     // No operand predicates
     /*  941142 */     // MIs[0] round
     /*  941142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  941157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941182 */     GIR_RootConstrainSelectedInstOperands,
     /*  941183 */     // GIR_Coverage, 16497,
     /*  941183 */     GIR_EraseRootFromParent_Done,
     /*  941184 */   // Label 14209: @941184
     /*  941184 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(941278), // Rule ID 16500 //
     /*  941189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941236 */     // MIs[1] Operand 1
     /*  941236 */     // No operand predicates
     /*  941236 */     // MIs[0] round
     /*  941236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941276 */     GIR_RootConstrainSelectedInstOperands,
     /*  941277 */     // GIR_Coverage, 16500,
     /*  941277 */     GIR_EraseRootFromParent_Done,
     /*  941278 */   // Label 14210: @941278
     /*  941278 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(941372), // Rule ID 16501 //
     /*  941283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941330 */     // MIs[1] Operand 1
     /*  941330 */     // No operand predicates
     /*  941330 */     // MIs[0] round
     /*  941330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941370 */     GIR_RootConstrainSelectedInstOperands,
     /*  941371 */     // GIR_Coverage, 16501,
     /*  941371 */     GIR_EraseRootFromParent_Done,
     /*  941372 */   // Label 14211: @941372
     /*  941372 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(941466), // Rule ID 16504 //
     /*  941377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941424 */     // MIs[1] Operand 1
     /*  941424 */     // No operand predicates
     /*  941424 */     // MIs[0] round
     /*  941424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941464 */     GIR_RootConstrainSelectedInstOperands,
     /*  941465 */     // GIR_Coverage, 16504,
     /*  941465 */     GIR_EraseRootFromParent_Done,
     /*  941466 */   // Label 14212: @941466
     /*  941466 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(941560), // Rule ID 16505 //
     /*  941471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941518 */     // MIs[1] Operand 1
     /*  941518 */     // No operand predicates
     /*  941518 */     // MIs[0] round
     /*  941518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941558 */     GIR_RootConstrainSelectedInstOperands,
     /*  941559 */     // GIR_Coverage, 16505,
     /*  941559 */     GIR_EraseRootFromParent_Done,
     /*  941560 */   // Label 14213: @941560
     /*  941560 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(941654), // Rule ID 16628 //
     /*  941565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  941579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  941582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941612 */     // MIs[1] Operand 1
     /*  941612 */     // No operand predicates
     /*  941612 */     // MIs[0] round
     /*  941612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  941627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941652 */     GIR_RootConstrainSelectedInstOperands,
     /*  941653 */     // GIR_Coverage, 16628,
     /*  941653 */     GIR_EraseRootFromParent_Done,
     /*  941654 */   // Label 14214: @941654
     /*  941654 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(941748), // Rule ID 16629 //
     /*  941659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  941673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  941676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941706 */     // MIs[1] Operand 1
     /*  941706 */     // No operand predicates
     /*  941706 */     // MIs[0] round
     /*  941706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  941718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  941721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941746 */     GIR_RootConstrainSelectedInstOperands,
     /*  941747 */     // GIR_Coverage, 16629,
     /*  941747 */     GIR_EraseRootFromParent_Done,
     /*  941748 */   // Label 14215: @941748
     /*  941748 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(941842), // Rule ID 16632 //
     /*  941753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  941770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941800 */     // MIs[1] Operand 1
     /*  941800 */     // No operand predicates
     /*  941800 */     // MIs[0] round
     /*  941800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  941815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941840 */     GIR_RootConstrainSelectedInstOperands,
     /*  941841 */     // GIR_Coverage, 16632,
     /*  941841 */     GIR_EraseRootFromParent_Done,
     /*  941842 */   // Label 14216: @941842
     /*  941842 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(941936), // Rule ID 16633 //
     /*  941847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  941864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941894 */     // MIs[1] Operand 1
     /*  941894 */     // No operand predicates
     /*  941894 */     // MIs[0] round
     /*  941894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  941906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  941909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941934 */     GIR_RootConstrainSelectedInstOperands,
     /*  941935 */     // GIR_Coverage, 16633,
     /*  941935 */     GIR_EraseRootFromParent_Done,
     /*  941936 */   // Label 14217: @941936
     /*  941936 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(942030), // Rule ID 16636 //
     /*  941941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  941952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  941955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  941958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941988 */     // MIs[1] Operand 1
     /*  941988 */     // No operand predicates
     /*  941988 */     // MIs[0] round
     /*  941988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942000 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942028 */     GIR_RootConstrainSelectedInstOperands,
     /*  942029 */     // GIR_Coverage, 16636,
     /*  942029 */     GIR_EraseRootFromParent_Done,
     /*  942030 */   // Label 14218: @942030
     /*  942030 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(942124), // Rule ID 16637 //
     /*  942035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  942049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  942052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942082 */     // MIs[1] Operand 1
     /*  942082 */     // No operand predicates
     /*  942082 */     // MIs[0] round
     /*  942082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942122 */     GIR_RootConstrainSelectedInstOperands,
     /*  942123 */     // GIR_Coverage, 16637,
     /*  942123 */     GIR_EraseRootFromParent_Done,
     /*  942124 */   // Label 14219: @942124
     /*  942124 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(942218), // Rule ID 16640 //
     /*  942129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  942140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  942143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942176 */     // MIs[1] Operand 1
     /*  942176 */     // No operand predicates
     /*  942176 */     // MIs[0] round
     /*  942176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942216 */     GIR_RootConstrainSelectedInstOperands,
     /*  942217 */     // GIR_Coverage, 16640,
     /*  942217 */     GIR_EraseRootFromParent_Done,
     /*  942218 */   // Label 14220: @942218
     /*  942218 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(942312), // Rule ID 16641 //
     /*  942223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  942234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  942237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942270 */     // MIs[1] Operand 1
     /*  942270 */     // No operand predicates
     /*  942270 */     // MIs[0] round
     /*  942270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942310 */     GIR_RootConstrainSelectedInstOperands,
     /*  942311 */     // GIR_Coverage, 16641,
     /*  942311 */     GIR_EraseRootFromParent_Done,
     /*  942312 */   // Label 14221: @942312
     /*  942312 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(942406), // Rule ID 16644 //
     /*  942317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942364 */     // MIs[1] Operand 1
     /*  942364 */     // No operand predicates
     /*  942364 */     // MIs[0] round
     /*  942364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942404 */     GIR_RootConstrainSelectedInstOperands,
     /*  942405 */     // GIR_Coverage, 16644,
     /*  942405 */     GIR_EraseRootFromParent_Done,
     /*  942406 */   // Label 14222: @942406
     /*  942406 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(942500), // Rule ID 16645 //
     /*  942411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942458 */     // MIs[1] Operand 1
     /*  942458 */     // No operand predicates
     /*  942458 */     // MIs[0] round
     /*  942458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942498 */     GIR_RootConstrainSelectedInstOperands,
     /*  942499 */     // GIR_Coverage, 16645,
     /*  942499 */     GIR_EraseRootFromParent_Done,
     /*  942500 */   // Label 14223: @942500
     /*  942500 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(942594), // Rule ID 16648 //
     /*  942505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942552 */     // MIs[1] Operand 1
     /*  942552 */     // No operand predicates
     /*  942552 */     // MIs[0] round
     /*  942552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  942567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942592 */     GIR_RootConstrainSelectedInstOperands,
     /*  942593 */     // GIR_Coverage, 16648,
     /*  942593 */     GIR_EraseRootFromParent_Done,
     /*  942594 */   // Label 14224: @942594
     /*  942594 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(942688), // Rule ID 16649 //
     /*  942599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942646 */     // MIs[1] Operand 1
     /*  942646 */     // No operand predicates
     /*  942646 */     // MIs[0] round
     /*  942646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  942661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942686 */     GIR_RootConstrainSelectedInstOperands,
     /*  942687 */     // GIR_Coverage, 16649,
     /*  942687 */     GIR_EraseRootFromParent_Done,
     /*  942688 */   // Label 14225: @942688
     /*  942688 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(942782), // Rule ID 16652 //
     /*  942693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  942707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942740 */     // MIs[1] Operand 1
     /*  942740 */     // No operand predicates
     /*  942740 */     // MIs[0] round
     /*  942740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  942752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942780 */     GIR_RootConstrainSelectedInstOperands,
     /*  942781 */     // GIR_Coverage, 16652,
     /*  942781 */     GIR_EraseRootFromParent_Done,
     /*  942782 */   // Label 14226: @942782
     /*  942782 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(942876), // Rule ID 16653 //
     /*  942787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  942801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942834 */     // MIs[1] Operand 1
     /*  942834 */     // No operand predicates
     /*  942834 */     // MIs[0] round
     /*  942834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  942846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942874 */     GIR_RootConstrainSelectedInstOperands,
     /*  942875 */     // GIR_Coverage, 16653,
     /*  942875 */     GIR_EraseRootFromParent_Done,
     /*  942876 */   // Label 14227: @942876
     /*  942876 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(942970), // Rule ID 16656 //
     /*  942881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  942895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942928 */     // MIs[1] Operand 1
     /*  942928 */     // No operand predicates
     /*  942928 */     // MIs[0] round
     /*  942928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  942940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942968 */     GIR_RootConstrainSelectedInstOperands,
     /*  942969 */     // GIR_Coverage, 16656,
     /*  942969 */     GIR_EraseRootFromParent_Done,
     /*  942970 */   // Label 14228: @942970
     /*  942970 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(943064), // Rule ID 16657 //
     /*  942975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  942989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943022 */     // MIs[1] Operand 1
     /*  943022 */     // No operand predicates
     /*  943022 */     // MIs[0] round
     /*  943022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943062 */     GIR_RootConstrainSelectedInstOperands,
     /*  943063 */     // GIR_Coverage, 16657,
     /*  943063 */     GIR_EraseRootFromParent_Done,
     /*  943064 */   // Label 14229: @943064
     /*  943064 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(943158), // Rule ID 16660 //
     /*  943069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943116 */     // MIs[1] Operand 1
     /*  943116 */     // No operand predicates
     /*  943116 */     // MIs[0] round
     /*  943116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943156 */     GIR_RootConstrainSelectedInstOperands,
     /*  943157 */     // GIR_Coverage, 16660,
     /*  943157 */     GIR_EraseRootFromParent_Done,
     /*  943158 */   // Label 14230: @943158
     /*  943158 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(943252), // Rule ID 16661 //
     /*  943163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943210 */     // MIs[1] Operand 1
     /*  943210 */     // No operand predicates
     /*  943210 */     // MIs[0] round
     /*  943210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943250 */     GIR_RootConstrainSelectedInstOperands,
     /*  943251 */     // GIR_Coverage, 16661,
     /*  943251 */     GIR_EraseRootFromParent_Done,
     /*  943252 */   // Label 14231: @943252
     /*  943252 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(943346), // Rule ID 16664 //
     /*  943257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943304 */     // MIs[1] Operand 1
     /*  943304 */     // No operand predicates
     /*  943304 */     // MIs[0] round
     /*  943304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943344 */     GIR_RootConstrainSelectedInstOperands,
     /*  943345 */     // GIR_Coverage, 16664,
     /*  943345 */     GIR_EraseRootFromParent_Done,
     /*  943346 */   // Label 14232: @943346
     /*  943346 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(943440), // Rule ID 16665 //
     /*  943351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943398 */     // MIs[1] Operand 1
     /*  943398 */     // No operand predicates
     /*  943398 */     // MIs[0] round
     /*  943398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943438 */     GIR_RootConstrainSelectedInstOperands,
     /*  943439 */     // GIR_Coverage, 16665,
     /*  943439 */     GIR_EraseRootFromParent_Done,
     /*  943440 */   // Label 14233: @943440
     /*  943440 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(943534), // Rule ID 16668 //
     /*  943445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  943462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943492 */     // MIs[1] Operand 1
     /*  943492 */     // No operand predicates
     /*  943492 */     // MIs[0] round
     /*  943492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943532 */     GIR_RootConstrainSelectedInstOperands,
     /*  943533 */     // GIR_Coverage, 16668,
     /*  943533 */     GIR_EraseRootFromParent_Done,
     /*  943534 */   // Label 14234: @943534
     /*  943534 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(943628), // Rule ID 16669 //
     /*  943539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  943556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943586 */     // MIs[1] Operand 1
     /*  943586 */     // No operand predicates
     /*  943586 */     // MIs[0] round
     /*  943586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943626 */     GIR_RootConstrainSelectedInstOperands,
     /*  943627 */     // GIR_Coverage, 16669,
     /*  943627 */     GIR_EraseRootFromParent_Done,
     /*  943628 */   // Label 14235: @943628
     /*  943628 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(943722), // Rule ID 16672 //
     /*  943633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  943647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943680 */     // MIs[1] Operand 1
     /*  943680 */     // No operand predicates
     /*  943680 */     // MIs[0] round
     /*  943680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  943692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943720 */     GIR_RootConstrainSelectedInstOperands,
     /*  943721 */     // GIR_Coverage, 16672,
     /*  943721 */     GIR_EraseRootFromParent_Done,
     /*  943722 */   // Label 14236: @943722
     /*  943722 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(943816), // Rule ID 16673 //
     /*  943727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  943741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943774 */     // MIs[1] Operand 1
     /*  943774 */     // No operand predicates
     /*  943774 */     // MIs[0] round
     /*  943774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  943786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943814 */     GIR_RootConstrainSelectedInstOperands,
     /*  943815 */     // GIR_Coverage, 16673,
     /*  943815 */     GIR_EraseRootFromParent_Done,
     /*  943816 */   // Label 14237: @943816
     /*  943816 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(943910), // Rule ID 16676 //
     /*  943821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  943832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  943835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943868 */     // MIs[1] Operand 1
     /*  943868 */     // No operand predicates
     /*  943868 */     // MIs[0] round
     /*  943868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  943880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943908 */     GIR_RootConstrainSelectedInstOperands,
     /*  943909 */     // GIR_Coverage, 16676,
     /*  943909 */     GIR_EraseRootFromParent_Done,
     /*  943910 */   // Label 14238: @943910
     /*  943910 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944004), // Rule ID 16677 //
     /*  943915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  943926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  943929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943962 */     // MIs[1] Operand 1
     /*  943962 */     // No operand predicates
     /*  943962 */     // MIs[0] round
     /*  943962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  943974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944002 */     GIR_RootConstrainSelectedInstOperands,
     /*  944003 */     // GIR_Coverage, 16677,
     /*  944003 */     GIR_EraseRootFromParent_Done,
     /*  944004 */   // Label 14239: @944004
     /*  944004 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(944098), // Rule ID 16680 //
     /*  944009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  944026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944056 */     // MIs[1] Operand 1
     /*  944056 */     // No operand predicates
     /*  944056 */     // MIs[0] round
     /*  944056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  944071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944096 */     GIR_RootConstrainSelectedInstOperands,
     /*  944097 */     // GIR_Coverage, 16680,
     /*  944097 */     GIR_EraseRootFromParent_Done,
     /*  944098 */   // Label 14240: @944098
     /*  944098 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(944192), // Rule ID 16681 //
     /*  944103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  944120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944150 */     // MIs[1] Operand 1
     /*  944150 */     // No operand predicates
     /*  944150 */     // MIs[0] round
     /*  944150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  944165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944190 */     GIR_RootConstrainSelectedInstOperands,
     /*  944191 */     // GIR_Coverage, 16681,
     /*  944191 */     GIR_EraseRootFromParent_Done,
     /*  944192 */   // Label 14241: @944192
     /*  944192 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(944286), // Rule ID 16684 //
     /*  944197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944244 */     // MIs[1] Operand 1
     /*  944244 */     // No operand predicates
     /*  944244 */     // MIs[0] round
     /*  944244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944284 */     GIR_RootConstrainSelectedInstOperands,
     /*  944285 */     // GIR_Coverage, 16684,
     /*  944285 */     GIR_EraseRootFromParent_Done,
     /*  944286 */   // Label 14242: @944286
     /*  944286 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(944380), // Rule ID 16685 //
     /*  944291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944338 */     // MIs[1] Operand 1
     /*  944338 */     // No operand predicates
     /*  944338 */     // MIs[0] round
     /*  944338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944378 */     GIR_RootConstrainSelectedInstOperands,
     /*  944379 */     // GIR_Coverage, 16685,
     /*  944379 */     GIR_EraseRootFromParent_Done,
     /*  944380 */   // Label 14243: @944380
     /*  944380 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(944464), // Rule ID 2752 //
     /*  944385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944428 */     // MIs[0] round
     /*  944428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  944443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944462 */     GIR_RootConstrainSelectedInstOperands,
     /*  944463 */     // GIR_Coverage, 2752,
     /*  944463 */     GIR_EraseRootFromParent_Done,
     /*  944464 */   // Label 14244: @944464
     /*  944464 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(944548), // Rule ID 2753 //
     /*  944469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944512 */     // MIs[0] round
     /*  944512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944524 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  944527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944546 */     GIR_RootConstrainSelectedInstOperands,
     /*  944547 */     // GIR_Coverage, 2753,
     /*  944547 */     GIR_EraseRootFromParent_Done,
     /*  944548 */   // Label 14245: @944548
     /*  944548 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(944632), // Rule ID 17132 //
     /*  944553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944596 */     // MIs[0] round
     /*  944596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  944611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944630 */     GIR_RootConstrainSelectedInstOperands,
     /*  944631 */     // GIR_Coverage, 17132,
     /*  944631 */     GIR_EraseRootFromParent_Done,
     /*  944632 */   // Label 14246: @944632
     /*  944632 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(944716), // Rule ID 17133 //
     /*  944637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944680 */     // MIs[0] round
     /*  944680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  944695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944714 */     GIR_RootConstrainSelectedInstOperands,
     /*  944715 */     // GIR_Coverage, 17133,
     /*  944715 */     GIR_EraseRootFromParent_Done,
     /*  944716 */   // Label 14247: @944716
     /*  944716 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(944800), // Rule ID 17142 //
     /*  944721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  944738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944764 */     // MIs[0] round
     /*  944764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  944779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944798 */     GIR_RootConstrainSelectedInstOperands,
     /*  944799 */     // GIR_Coverage, 17142,
     /*  944799 */     GIR_EraseRootFromParent_Done,
     /*  944800 */   // Label 14248: @944800
     /*  944800 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(944884), // Rule ID 17143 //
     /*  944805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  944822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944848 */     // MIs[0] round
     /*  944848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  944863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944882 */     GIR_RootConstrainSelectedInstOperands,
     /*  944883 */     // GIR_Coverage, 17143,
     /*  944883 */     GIR_EraseRootFromParent_Done,
     /*  944884 */   // Label 14249: @944884
     /*  944884 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(944968), // Rule ID 17152 //
     /*  944889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944932 */     // MIs[0] round
     /*  944932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  944947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944966 */     GIR_RootConstrainSelectedInstOperands,
     /*  944967 */     // GIR_Coverage, 17152,
     /*  944967 */     GIR_EraseRootFromParent_Done,
     /*  944968 */   // Label 14250: @944968
     /*  944968 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945052), // Rule ID 17153 //
     /*  944973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945016 */     // MIs[0] round
     /*  945016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  945031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945050 */     GIR_RootConstrainSelectedInstOperands,
     /*  945051 */     // GIR_Coverage, 17153,
     /*  945051 */     GIR_EraseRootFromParent_Done,
     /*  945052 */   // Label 14251: @945052
     /*  945052 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945136), // Rule ID 17162 //
     /*  945057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  945074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945100 */     // MIs[0] round
     /*  945100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945112 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  945115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945134 */     GIR_RootConstrainSelectedInstOperands,
     /*  945135 */     // GIR_Coverage, 17162,
     /*  945135 */     GIR_EraseRootFromParent_Done,
     /*  945136 */   // Label 14252: @945136
     /*  945136 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(945220), // Rule ID 17163 //
     /*  945141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  945158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945184 */     // MIs[0] round
     /*  945184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945196 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  945199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945218 */     GIR_RootConstrainSelectedInstOperands,
     /*  945219 */     // GIR_Coverage, 17163,
     /*  945219 */     GIR_EraseRootFromParent_Done,
     /*  945220 */   // Label 14253: @945220
     /*  945220 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(945304), // Rule ID 17172 //
     /*  945225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945268 */     // MIs[0] round
     /*  945268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945302 */     GIR_RootConstrainSelectedInstOperands,
     /*  945303 */     // GIR_Coverage, 17172,
     /*  945303 */     GIR_EraseRootFromParent_Done,
     /*  945304 */   // Label 14254: @945304
     /*  945304 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(945388), // Rule ID 17173 //
     /*  945309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945352 */     // MIs[0] round
     /*  945352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945364 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945386 */     GIR_RootConstrainSelectedInstOperands,
     /*  945387 */     // GIR_Coverage, 17173,
     /*  945387 */     GIR_EraseRootFromParent_Done,
     /*  945388 */   // Label 14255: @945388
     /*  945388 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(945472), // Rule ID 17182 //
     /*  945393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945436 */     // MIs[0] round
     /*  945436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  945451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945470 */     GIR_RootConstrainSelectedInstOperands,
     /*  945471 */     // GIR_Coverage, 17182,
     /*  945471 */     GIR_EraseRootFromParent_Done,
     /*  945472 */   // Label 14256: @945472
     /*  945472 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(945556), // Rule ID 17183 //
     /*  945477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945520 */     // MIs[0] round
     /*  945520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945532 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  945535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945554 */     GIR_RootConstrainSelectedInstOperands,
     /*  945555 */     // GIR_Coverage, 17183,
     /*  945555 */     GIR_EraseRootFromParent_Done,
     /*  945556 */   // Label 14257: @945556
     /*  945556 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(945640), // Rule ID 17192 //
     /*  945561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945604 */     // MIs[0] round
     /*  945604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  945619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945638 */     GIR_RootConstrainSelectedInstOperands,
     /*  945639 */     // GIR_Coverage, 17192,
     /*  945639 */     GIR_EraseRootFromParent_Done,
     /*  945640 */   // Label 14258: @945640
     /*  945640 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(945724), // Rule ID 17193 //
     /*  945645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945688 */     // MIs[0] round
     /*  945688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945700 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  945703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945722 */     GIR_RootConstrainSelectedInstOperands,
     /*  945723 */     // GIR_Coverage, 17193,
     /*  945723 */     GIR_EraseRootFromParent_Done,
     /*  945724 */   // Label 14259: @945724
     /*  945724 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(945808), // Rule ID 17202 //
     /*  945729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945772 */     // MIs[0] round
     /*  945772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945784 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  945787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945806 */     GIR_RootConstrainSelectedInstOperands,
     /*  945807 */     // GIR_Coverage, 17202,
     /*  945807 */     GIR_EraseRootFromParent_Done,
     /*  945808 */   // Label 14260: @945808
     /*  945808 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(945892), // Rule ID 17203 //
     /*  945813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945856 */     // MIs[0] round
     /*  945856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  945871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945890 */     GIR_RootConstrainSelectedInstOperands,
     /*  945891 */     // GIR_Coverage, 17203,
     /*  945891 */     GIR_EraseRootFromParent_Done,
     /*  945892 */   // Label 14261: @945892
     /*  945892 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(945976), // Rule ID 17248 //
     /*  945897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  945917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945940 */     // MIs[0] round
     /*  945940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  945955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945974 */     GIR_RootConstrainSelectedInstOperands,
     /*  945975 */     // GIR_Coverage, 17248,
     /*  945975 */     GIR_EraseRootFromParent_Done,
     /*  945976 */   // Label 14262: @945976
     /*  945976 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946060), // Rule ID 17249 //
     /*  945981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  946001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946024 */     // MIs[0] round
     /*  946024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  946039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946058 */     GIR_RootConstrainSelectedInstOperands,
     /*  946059 */     // GIR_Coverage, 17249,
     /*  946059 */     GIR_EraseRootFromParent_Done,
     /*  946060 */   // Label 14263: @946060
     /*  946060 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946144), // Rule ID 17258 //
     /*  946065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946108 */     // MIs[0] round
     /*  946108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  946123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946142 */     GIR_RootConstrainSelectedInstOperands,
     /*  946143 */     // GIR_Coverage, 17258,
     /*  946143 */     GIR_EraseRootFromParent_Done,
     /*  946144 */   // Label 14264: @946144
     /*  946144 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(946228), // Rule ID 17259 //
     /*  946149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946192 */     // MIs[0] round
     /*  946192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946204 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  946207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946226 */     GIR_RootConstrainSelectedInstOperands,
     /*  946227 */     // GIR_Coverage, 17259,
     /*  946227 */     GIR_EraseRootFromParent_Done,
     /*  946228 */   // Label 14265: @946228
     /*  946228 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(946312), // Rule ID 17268 //
     /*  946233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946276 */     // MIs[0] round
     /*  946276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946310 */     GIR_RootConstrainSelectedInstOperands,
     /*  946311 */     // GIR_Coverage, 17268,
     /*  946311 */     GIR_EraseRootFromParent_Done,
     /*  946312 */   // Label 14266: @946312
     /*  946312 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(946396), // Rule ID 17269 //
     /*  946317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946360 */     // MIs[0] round
     /*  946360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946394 */     GIR_RootConstrainSelectedInstOperands,
     /*  946395 */     // GIR_Coverage, 17269,
     /*  946395 */     GIR_EraseRootFromParent_Done,
     /*  946396 */   // Label 14267: @946396
     /*  946396 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(946480), // Rule ID 17278 //
     /*  946401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946444 */     // MIs[0] round
     /*  946444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  946459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946478 */     GIR_RootConstrainSelectedInstOperands,
     /*  946479 */     // GIR_Coverage, 17278,
     /*  946479 */     GIR_EraseRootFromParent_Done,
     /*  946480 */   // Label 14268: @946480
     /*  946480 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(946564), // Rule ID 17279 //
     /*  946485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946528 */     // MIs[0] round
     /*  946528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  946543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946562 */     GIR_RootConstrainSelectedInstOperands,
     /*  946563 */     // GIR_Coverage, 17279,
     /*  946563 */     GIR_EraseRootFromParent_Done,
     /*  946564 */   // Label 14269: @946564
     /*  946564 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(946648), // Rule ID 17288 //
     /*  946569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  946580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  946583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  946586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946612 */     // MIs[0] round
     /*  946612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946624 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  946627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946646 */     GIR_RootConstrainSelectedInstOperands,
     /*  946647 */     // GIR_Coverage, 17288,
     /*  946647 */     GIR_EraseRootFromParent_Done,
     /*  946648 */   // Label 14270: @946648
     /*  946648 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(946732), // Rule ID 17289 //
     /*  946653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  946664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  946667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  946670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946696 */     // MIs[0] round
     /*  946696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946708 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  946711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946730 */     GIR_RootConstrainSelectedInstOperands,
     /*  946731 */     // GIR_Coverage, 17289,
     /*  946731 */     GIR_EraseRootFromParent_Done,
     /*  946732 */   // Label 14271: @946732
     /*  946732 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(946816), // Rule ID 17298 //
     /*  946737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  946751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946780 */     // MIs[0] round
     /*  946780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  946795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946814 */     GIR_RootConstrainSelectedInstOperands,
     /*  946815 */     // GIR_Coverage, 17298,
     /*  946815 */     GIR_EraseRootFromParent_Done,
     /*  946816 */   // Label 14272: @946816
     /*  946816 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(946900), // Rule ID 17299 //
     /*  946821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  946835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946864 */     // MIs[0] round
     /*  946864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  946879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946898 */     GIR_RootConstrainSelectedInstOperands,
     /*  946899 */     // GIR_Coverage, 17299,
     /*  946899 */     GIR_EraseRootFromParent_Done,
     /*  946900 */   // Label 14273: @946900
     /*  946900 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(946984), // Rule ID 17308 //
     /*  946905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  946916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  946919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  946922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946948 */     // MIs[0] round
     /*  946948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  946963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946982 */     GIR_RootConstrainSelectedInstOperands,
     /*  946983 */     // GIR_Coverage, 17308,
     /*  946983 */     GIR_EraseRootFromParent_Done,
     /*  946984 */   // Label 14274: @946984
     /*  946984 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947068), // Rule ID 17309 //
     /*  946989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  947006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947032 */     // MIs[0] round
     /*  947032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  947047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947066 */     GIR_RootConstrainSelectedInstOperands,
     /*  947067 */     // GIR_Coverage, 17309,
     /*  947067 */     GIR_EraseRootFromParent_Done,
     /*  947068 */   // Label 14275: @947068
     /*  947068 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947152), // Rule ID 17318 //
     /*  947073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947116 */     // MIs[0] round
     /*  947116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  947131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947150 */     GIR_RootConstrainSelectedInstOperands,
     /*  947151 */     // GIR_Coverage, 17318,
     /*  947151 */     GIR_EraseRootFromParent_Done,
     /*  947152 */   // Label 14276: @947152
     /*  947152 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(947236), // Rule ID 17319 //
     /*  947157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947200 */     // MIs[0] round
     /*  947200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  947215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947234 */     GIR_RootConstrainSelectedInstOperands,
     /*  947235 */     // GIR_Coverage, 17319,
     /*  947235 */     GIR_EraseRootFromParent_Done,
     /*  947236 */   // Label 14277: @947236
     /*  947236 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(947320), // Rule ID 17328 //
     /*  947241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947284 */     // MIs[0] round
     /*  947284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947318 */     GIR_RootConstrainSelectedInstOperands,
     /*  947319 */     // GIR_Coverage, 17328,
     /*  947319 */     GIR_EraseRootFromParent_Done,
     /*  947320 */   // Label 14278: @947320
     /*  947320 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(947404), // Rule ID 17329 //
     /*  947325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947368 */     // MIs[0] round
     /*  947368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947380 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947402 */     GIR_RootConstrainSelectedInstOperands,
     /*  947403 */     // GIR_Coverage, 17329,
     /*  947403 */     GIR_EraseRootFromParent_Done,
     /*  947404 */   // Label 14279: @947404
     /*  947404 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(947486), // Rule ID 62823 //
     /*  947409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947436 */     // MIs[0] op1
     /*  947436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947463 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  947466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947468 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947470 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947472 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947474 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947484 */     GIR_RootConstrainSelectedInstOperands,
     /*  947485 */     // GIR_Coverage, 62823,
     /*  947485 */     GIR_EraseRootFromParent_Done,
     /*  947486 */   // Label 14280: @947486
     /*  947486 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(947568), // Rule ID 62824 //
     /*  947491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947518 */     // MIs[0] op1
     /*  947518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947545 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  947548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947550 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947552 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947554 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947556 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947566 */     GIR_RootConstrainSelectedInstOperands,
     /*  947567 */     // GIR_Coverage, 62824,
     /*  947567 */     GIR_EraseRootFromParent_Done,
     /*  947568 */   // Label 14281: @947568
     /*  947568 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(947650), // Rule ID 62853 //
     /*  947573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  947593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947600 */     // MIs[0] op1
     /*  947600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  947630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947632 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947634 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947636 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947638 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947648 */     GIR_RootConstrainSelectedInstOperands,
     /*  947649 */     // GIR_Coverage, 62853,
     /*  947649 */     GIR_EraseRootFromParent_Done,
     /*  947650 */   // Label 14282: @947650
     /*  947650 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(947732), // Rule ID 62854 //
     /*  947655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  947675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947682 */     // MIs[0] op1
     /*  947682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  947712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947720 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947730 */     GIR_RootConstrainSelectedInstOperands,
     /*  947731 */     // GIR_Coverage, 62854,
     /*  947731 */     GIR_EraseRootFromParent_Done,
     /*  947732 */   // Label 14283: @947732
     /*  947732 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(947814), // Rule ID 62885 //
     /*  947737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947764 */     // MIs[0] op1
     /*  947764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  947794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947796 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947798 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947800 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947802 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947812 */     GIR_RootConstrainSelectedInstOperands,
     /*  947813 */     // GIR_Coverage, 62885,
     /*  947813 */     GIR_EraseRootFromParent_Done,
     /*  947814 */   // Label 14284: @947814
     /*  947814 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(947896), // Rule ID 62886 //
     /*  947819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947846 */     // MIs[0] op1
     /*  947846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  947876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947884 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947894 */     GIR_RootConstrainSelectedInstOperands,
     /*  947895 */     // GIR_Coverage, 62886,
     /*  947895 */     GIR_EraseRootFromParent_Done,
     /*  947896 */   // Label 14285: @947896
     /*  947896 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(947978), // Rule ID 62897 //
     /*  947901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  947921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947928 */     // MIs[0] op1
     /*  947928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  947958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947960 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947962 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947964 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947966 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947976 */     GIR_RootConstrainSelectedInstOperands,
     /*  947977 */     // GIR_Coverage, 62897,
     /*  947977 */     GIR_EraseRootFromParent_Done,
     /*  947978 */   // Label 14286: @947978
     /*  947978 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948060), // Rule ID 62898 //
     /*  947983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  948003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948010 */     // MIs[0] op1
     /*  948010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948048 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948058 */     GIR_RootConstrainSelectedInstOperands,
     /*  948059 */     // GIR_Coverage, 62898,
     /*  948059 */     GIR_EraseRootFromParent_Done,
     /*  948060 */   // Label 14287: @948060
     /*  948060 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948142), // Rule ID 62929 //
     /*  948065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948092 */     // MIs[0] op1
     /*  948092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948119 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948130 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948140 */     GIR_RootConstrainSelectedInstOperands,
     /*  948141 */     // GIR_Coverage, 62929,
     /*  948141 */     GIR_EraseRootFromParent_Done,
     /*  948142 */   // Label 14288: @948142
     /*  948142 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(948224), // Rule ID 62930 //
     /*  948147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948174 */     // MIs[0] op1
     /*  948174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948201 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948212 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948222 */     GIR_RootConstrainSelectedInstOperands,
     /*  948223 */     // GIR_Coverage, 62930,
     /*  948223 */     GIR_EraseRootFromParent_Done,
     /*  948224 */   // Label 14289: @948224
     /*  948224 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(948306), // Rule ID 62941 //
     /*  948229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948256 */     // MIs[0] op1
     /*  948256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948294 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948304 */     GIR_RootConstrainSelectedInstOperands,
     /*  948305 */     // GIR_Coverage, 62941,
     /*  948305 */     GIR_EraseRootFromParent_Done,
     /*  948306 */   // Label 14290: @948306
     /*  948306 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(948388), // Rule ID 62942 //
     /*  948311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948338 */     // MIs[0] op1
     /*  948338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948370 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948372 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948374 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948376 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948386 */     GIR_RootConstrainSelectedInstOperands,
     /*  948387 */     // GIR_Coverage, 62942,
     /*  948387 */     GIR_EraseRootFromParent_Done,
     /*  948388 */   // Label 14291: @948388
     /*  948388 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(948470), // Rule ID 62973 //
     /*  948393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948420 */     // MIs[0] op1
     /*  948420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948458 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948468 */     GIR_RootConstrainSelectedInstOperands,
     /*  948469 */     // GIR_Coverage, 62973,
     /*  948469 */     GIR_EraseRootFromParent_Done,
     /*  948470 */   // Label 14292: @948470
     /*  948470 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(948552), // Rule ID 62974 //
     /*  948475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948502 */     // MIs[0] op1
     /*  948502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948540 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948550 */     GIR_RootConstrainSelectedInstOperands,
     /*  948551 */     // GIR_Coverage, 62974,
     /*  948551 */     GIR_EraseRootFromParent_Done,
     /*  948552 */   // Label 14293: @948552
     /*  948552 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(948634), // Rule ID 62985 //
     /*  948557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948584 */     // MIs[0] op1
     /*  948584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948632 */     GIR_RootConstrainSelectedInstOperands,
     /*  948633 */     // GIR_Coverage, 62985,
     /*  948633 */     GIR_EraseRootFromParent_Done,
     /*  948634 */   // Label 14294: @948634
     /*  948634 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(948716), // Rule ID 62986 //
     /*  948639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948666 */     // MIs[0] op1
     /*  948666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948698 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948700 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948702 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948704 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948714 */     GIR_RootConstrainSelectedInstOperands,
     /*  948715 */     // GIR_Coverage, 62986,
     /*  948715 */     GIR_EraseRootFromParent_Done,
     /*  948716 */   // Label 14295: @948716
     /*  948716 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(948798), // Rule ID 62997 //
     /*  948721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948748 */     // MIs[0] op1
     /*  948748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948775 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  948778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948796 */     GIR_RootConstrainSelectedInstOperands,
     /*  948797 */     // GIR_Coverage, 62997,
     /*  948797 */     GIR_EraseRootFromParent_Done,
     /*  948798 */   // Label 14296: @948798
     /*  948798 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(948880), // Rule ID 62998 //
     /*  948803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948830 */     // MIs[0] op1
     /*  948830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948857 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  948860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948862 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948864 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948866 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948868 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948878 */     GIR_RootConstrainSelectedInstOperands,
     /*  948879 */     // GIR_Coverage, 62998,
     /*  948879 */     GIR_EraseRootFromParent_Done,
     /*  948880 */   // Label 14297: @948880
     /*  948880 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(948962), // Rule ID 63029 //
     /*  948885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948912 */     // MIs[0] op1
     /*  948912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948960 */     GIR_RootConstrainSelectedInstOperands,
     /*  948961 */     // GIR_Coverage, 63029,
     /*  948961 */     GIR_EraseRootFromParent_Done,
     /*  948962 */   // Label 14298: @948962
     /*  948962 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949044), // Rule ID 63030 //
     /*  948967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948994 */     // MIs[0] op1
     /*  948994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949026 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949028 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949030 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949032 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949042 */     GIR_RootConstrainSelectedInstOperands,
     /*  949043 */     // GIR_Coverage, 63030,
     /*  949043 */     GIR_EraseRootFromParent_Done,
     /*  949044 */   // Label 14299: @949044
     /*  949044 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949126), // Rule ID 63041 //
     /*  949049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949076 */     // MIs[0] op1
     /*  949076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949124 */     GIR_RootConstrainSelectedInstOperands,
     /*  949125 */     // GIR_Coverage, 63041,
     /*  949125 */     GIR_EraseRootFromParent_Done,
     /*  949126 */   // Label 14300: @949126
     /*  949126 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(949208), // Rule ID 63042 //
     /*  949131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949158 */     // MIs[0] op1
     /*  949158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949196 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949206 */     GIR_RootConstrainSelectedInstOperands,
     /*  949207 */     // GIR_Coverage, 63042,
     /*  949207 */     GIR_EraseRootFromParent_Done,
     /*  949208 */   // Label 14301: @949208
     /*  949208 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(949290), // Rule ID 63053 //
     /*  949213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949240 */     // MIs[0] op1
     /*  949240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949288 */     GIR_RootConstrainSelectedInstOperands,
     /*  949289 */     // GIR_Coverage, 63053,
     /*  949289 */     GIR_EraseRootFromParent_Done,
     /*  949290 */   // Label 14302: @949290
     /*  949290 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(949372), // Rule ID 63054 //
     /*  949295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949322 */     // MIs[0] op1
     /*  949322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949360 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949370 */     GIR_RootConstrainSelectedInstOperands,
     /*  949371 */     // GIR_Coverage, 63054,
     /*  949371 */     GIR_EraseRootFromParent_Done,
     /*  949372 */   // Label 14303: @949372
     /*  949372 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(949454), // Rule ID 63085 //
     /*  949377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949404 */     // MIs[0] op1
     /*  949404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949452 */     GIR_RootConstrainSelectedInstOperands,
     /*  949453 */     // GIR_Coverage, 63085,
     /*  949453 */     GIR_EraseRootFromParent_Done,
     /*  949454 */   // Label 14304: @949454
     /*  949454 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(949536), // Rule ID 63086 //
     /*  949459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949486 */     // MIs[0] op1
     /*  949486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949524 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949534 */     GIR_RootConstrainSelectedInstOperands,
     /*  949535 */     // GIR_Coverage, 63086,
     /*  949535 */     GIR_EraseRootFromParent_Done,
     /*  949536 */   // Label 14305: @949536
     /*  949536 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(949618), // Rule ID 63097 //
     /*  949541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  949561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949568 */     // MIs[0] op1
     /*  949568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949616 */     GIR_RootConstrainSelectedInstOperands,
     /*  949617 */     // GIR_Coverage, 63097,
     /*  949617 */     GIR_EraseRootFromParent_Done,
     /*  949618 */   // Label 14306: @949618
     /*  949618 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(949700), // Rule ID 63098 //
     /*  949623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  949643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949650 */     // MIs[0] op1
     /*  949650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949677 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949688 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949698 */     GIR_RootConstrainSelectedInstOperands,
     /*  949699 */     // GIR_Coverage, 63098,
     /*  949699 */     GIR_EraseRootFromParent_Done,
     /*  949700 */   // Label 14307: @949700
     /*  949700 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(949782), // Rule ID 63109 //
     /*  949705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949732 */     // MIs[0] op1
     /*  949732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  949762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949780 */     GIR_RootConstrainSelectedInstOperands,
     /*  949781 */     // GIR_Coverage, 63109,
     /*  949781 */     GIR_EraseRootFromParent_Done,
     /*  949782 */   // Label 14308: @949782
     /*  949782 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(949864), // Rule ID 63110 //
     /*  949787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949814 */     // MIs[0] op1
     /*  949814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  949844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949852 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949862 */     GIR_RootConstrainSelectedInstOperands,
     /*  949863 */     // GIR_Coverage, 63110,
     /*  949863 */     GIR_EraseRootFromParent_Done,
     /*  949864 */   // Label 14309: @949864
     /*  949864 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(949946), // Rule ID 63141 //
     /*  949869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949896 */     // MIs[0] op1
     /*  949896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  949923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  949926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949934 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949944 */     GIR_RootConstrainSelectedInstOperands,
     /*  949945 */     // GIR_Coverage, 63141,
     /*  949945 */     GIR_EraseRootFromParent_Done,
     /*  949946 */   // Label 14310: @949946
     /*  949946 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950028), // Rule ID 63142 //
     /*  949951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949978 */     // MIs[0] op1
     /*  949978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  950005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950016 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950026 */     GIR_RootConstrainSelectedInstOperands,
     /*  950027 */     // GIR_Coverage, 63142,
     /*  950027 */     GIR_EraseRootFromParent_Done,
     /*  950028 */   // Label 14311: @950028
     /*  950028 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950110), // Rule ID 63153 //
     /*  950033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  950053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950060 */     // MIs[0] op1
     /*  950060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950087 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  950087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950092 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950094 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950096 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950098 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950108 */     GIR_RootConstrainSelectedInstOperands,
     /*  950109 */     // GIR_Coverage, 63153,
     /*  950109 */     GIR_EraseRootFromParent_Done,
     /*  950110 */   // Label 14312: @950110
     /*  950110 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950192), // Rule ID 63154 //
     /*  950115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  950135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950142 */     // MIs[0] op1
     /*  950142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  950169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950180 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950190 */     GIR_RootConstrainSelectedInstOperands,
     /*  950191 */     // GIR_Coverage, 63154,
     /*  950191 */     GIR_EraseRootFromParent_Done,
     /*  950192 */   // Label 14313: @950192
     /*  950192 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(950274), // Rule ID 63185 //
     /*  950197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950224 */     // MIs[0] op1
     /*  950224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950262 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950272 */     GIR_RootConstrainSelectedInstOperands,
     /*  950273 */     // GIR_Coverage, 63185,
     /*  950273 */     GIR_EraseRootFromParent_Done,
     /*  950274 */   // Label 14314: @950274
     /*  950274 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(950356), // Rule ID 63186 //
     /*  950279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950306 */     // MIs[0] op1
     /*  950306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950344 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950354 */     GIR_RootConstrainSelectedInstOperands,
     /*  950355 */     // GIR_Coverage, 63186,
     /*  950355 */     GIR_EraseRootFromParent_Done,
     /*  950356 */   // Label 14315: @950356
     /*  950356 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(950438), // Rule ID 63197 //
     /*  950361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950388 */     // MIs[0] op1
     /*  950388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950426 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950436 */     GIR_RootConstrainSelectedInstOperands,
     /*  950437 */     // GIR_Coverage, 63197,
     /*  950437 */     GIR_EraseRootFromParent_Done,
     /*  950438 */   // Label 14316: @950438
     /*  950438 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(950520), // Rule ID 63198 //
     /*  950443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950470 */     // MIs[0] op1
     /*  950470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950508 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950518 */     GIR_RootConstrainSelectedInstOperands,
     /*  950519 */     // GIR_Coverage, 63198,
     /*  950519 */     GIR_EraseRootFromParent_Done,
     /*  950520 */   // Label 14317: @950520
     /*  950520 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(950602), // Rule ID 63209 //
     /*  950525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950552 */     // MIs[0] op1
     /*  950552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  950582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950590 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950600 */     GIR_RootConstrainSelectedInstOperands,
     /*  950601 */     // GIR_Coverage, 63209,
     /*  950601 */     GIR_EraseRootFromParent_Done,
     /*  950602 */   // Label 14318: @950602
     /*  950602 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(950684), // Rule ID 63210 //
     /*  950607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950634 */     // MIs[0] op1
     /*  950634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  950664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950672 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950682 */     GIR_RootConstrainSelectedInstOperands,
     /*  950683 */     // GIR_Coverage, 63210,
     /*  950683 */     GIR_EraseRootFromParent_Done,
     /*  950684 */   // Label 14319: @950684
     /*  950684 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(950766), // Rule ID 63241 //
     /*  950689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950716 */     // MIs[0] op1
     /*  950716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950754 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950764 */     GIR_RootConstrainSelectedInstOperands,
     /*  950765 */     // GIR_Coverage, 63241,
     /*  950765 */     GIR_EraseRootFromParent_Done,
     /*  950766 */   // Label 14320: @950766
     /*  950766 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(950848), // Rule ID 63242 //
     /*  950771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950798 */     // MIs[0] op1
     /*  950798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950846 */     GIR_RootConstrainSelectedInstOperands,
     /*  950847 */     // GIR_Coverage, 63242,
     /*  950847 */     GIR_EraseRootFromParent_Done,
     /*  950848 */   // Label 14321: @950848
     /*  950848 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(950930), // Rule ID 63253 //
     /*  950853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  950873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950880 */     // MIs[0] op1
     /*  950880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950918 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950928 */     GIR_RootConstrainSelectedInstOperands,
     /*  950929 */     // GIR_Coverage, 63253,
     /*  950929 */     GIR_EraseRootFromParent_Done,
     /*  950930 */   // Label 14322: @950930
     /*  950930 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951012), // Rule ID 63254 //
     /*  950935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  950955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950962 */     // MIs[0] op1
     /*  950962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951000 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951010 */     GIR_RootConstrainSelectedInstOperands,
     /*  951011 */     // GIR_Coverage, 63254,
     /*  951011 */     GIR_EraseRootFromParent_Done,
     /*  951012 */   // Label 14323: @951012
     /*  951012 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951094), // Rule ID 63265 //
     /*  951017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951044 */     // MIs[0] op1
     /*  951044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  951074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951082 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951092 */     GIR_RootConstrainSelectedInstOperands,
     /*  951093 */     // GIR_Coverage, 63265,
     /*  951093 */     GIR_EraseRootFromParent_Done,
     /*  951094 */   // Label 14324: @951094
     /*  951094 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951176), // Rule ID 63266 //
     /*  951099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951126 */     // MIs[0] op1
     /*  951126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  951156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951174 */     GIR_RootConstrainSelectedInstOperands,
     /*  951175 */     // GIR_Coverage, 63266,
     /*  951175 */     GIR_EraseRootFromParent_Done,
     /*  951176 */   // Label 14325: @951176
     /*  951176 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(951258), // Rule ID 63297 //
     /*  951181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951208 */     // MIs[0] op1
     /*  951208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951246 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951256 */     GIR_RootConstrainSelectedInstOperands,
     /*  951257 */     // GIR_Coverage, 63297,
     /*  951257 */     GIR_EraseRootFromParent_Done,
     /*  951258 */   // Label 14326: @951258
     /*  951258 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(951340), // Rule ID 63298 //
     /*  951263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951290 */     // MIs[0] op1
     /*  951290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951322 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951324 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951326 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951328 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951338 */     GIR_RootConstrainSelectedInstOperands,
     /*  951339 */     // GIR_Coverage, 63298,
     /*  951339 */     GIR_EraseRootFromParent_Done,
     /*  951340 */   // Label 14327: @951340
     /*  951340 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(951422), // Rule ID 63309 //
     /*  951345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951372 */     // MIs[0] op1
     /*  951372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951410 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951420 */     GIR_RootConstrainSelectedInstOperands,
     /*  951421 */     // GIR_Coverage, 63309,
     /*  951421 */     GIR_EraseRootFromParent_Done,
     /*  951422 */   // Label 14328: @951422
     /*  951422 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(951504), // Rule ID 63310 //
     /*  951427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951454 */     // MIs[0] op1
     /*  951454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951502 */     GIR_RootConstrainSelectedInstOperands,
     /*  951503 */     // GIR_Coverage, 63310,
     /*  951503 */     GIR_EraseRootFromParent_Done,
     /*  951504 */   // Label 14329: @951504
     /*  951504 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(951586), // Rule ID 63321 //
     /*  951509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951536 */     // MIs[0] op1
     /*  951536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  951566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951574 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951584 */     GIR_RootConstrainSelectedInstOperands,
     /*  951585 */     // GIR_Coverage, 63321,
     /*  951585 */     GIR_EraseRootFromParent_Done,
     /*  951586 */   // Label 14330: @951586
     /*  951586 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(951668), // Rule ID 63322 //
     /*  951591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951618 */     // MIs[0] op1
     /*  951618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  951648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951656 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951666 */     GIR_RootConstrainSelectedInstOperands,
     /*  951667 */     // GIR_Coverage, 63322,
     /*  951667 */     GIR_EraseRootFromParent_Done,
     /*  951668 */   // Label 14331: @951668
     /*  951668 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(951750), // Rule ID 63353 //
     /*  951673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951700 */     // MIs[0] op1
     /*  951700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951738 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951748 */     GIR_RootConstrainSelectedInstOperands,
     /*  951749 */     // GIR_Coverage, 63353,
     /*  951749 */     GIR_EraseRootFromParent_Done,
     /*  951750 */   // Label 14332: @951750
     /*  951750 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(951832), // Rule ID 63354 //
     /*  951755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951782 */     // MIs[0] op1
     /*  951782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951830 */     GIR_RootConstrainSelectedInstOperands,
     /*  951831 */     // GIR_Coverage, 63354,
     /*  951831 */     GIR_EraseRootFromParent_Done,
     /*  951832 */   // Label 14333: @951832
     /*  951832 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(951914), // Rule ID 63365 //
     /*  951837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  951857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951864 */     // MIs[0] op1
     /*  951864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951902 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951912 */     GIR_RootConstrainSelectedInstOperands,
     /*  951913 */     // GIR_Coverage, 63365,
     /*  951913 */     GIR_EraseRootFromParent_Done,
     /*  951914 */   // Label 14334: @951914
     /*  951914 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(951996), // Rule ID 63366 //
     /*  951919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  951939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951946 */     // MIs[0] op1
     /*  951946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951984 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951994 */     GIR_RootConstrainSelectedInstOperands,
     /*  951995 */     // GIR_Coverage, 63366,
     /*  951995 */     GIR_EraseRootFromParent_Done,
     /*  951996 */   // Label 14335: @951996
     /*  951996 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952078), // Rule ID 63397 //
     /*  952001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952028 */     // MIs[0] op1
     /*  952028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  952058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952066 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952076 */     GIR_RootConstrainSelectedInstOperands,
     /*  952077 */     // GIR_Coverage, 63397,
     /*  952077 */     GIR_EraseRootFromParent_Done,
     /*  952078 */   // Label 14336: @952078
     /*  952078 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952160), // Rule ID 63398 //
     /*  952083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952110 */     // MIs[0] op1
     /*  952110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952137 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  952140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952158 */     GIR_RootConstrainSelectedInstOperands,
     /*  952159 */     // GIR_Coverage, 63398,
     /*  952159 */     GIR_EraseRootFromParent_Done,
     /*  952160 */   // Label 14337: @952160
     /*  952160 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(952242), // Rule ID 63409 //
     /*  952165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952192 */     // MIs[0] op1
     /*  952192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952224 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952226 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952228 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952230 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952240 */     GIR_RootConstrainSelectedInstOperands,
     /*  952241 */     // GIR_Coverage, 63409,
     /*  952241 */     GIR_EraseRootFromParent_Done,
     /*  952242 */   // Label 14338: @952242
     /*  952242 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(952324), // Rule ID 63410 //
     /*  952247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952274 */     // MIs[0] op1
     /*  952274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952312 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952322 */     GIR_RootConstrainSelectedInstOperands,
     /*  952323 */     // GIR_Coverage, 63410,
     /*  952323 */     GIR_EraseRootFromParent_Done,
     /*  952324 */   // Label 14339: @952324
     /*  952324 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(952406), // Rule ID 63441 //
     /*  952329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952356 */     // MIs[0] op1
     /*  952356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952394 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952404 */     GIR_RootConstrainSelectedInstOperands,
     /*  952405 */     // GIR_Coverage, 63441,
     /*  952405 */     GIR_EraseRootFromParent_Done,
     /*  952406 */   // Label 14340: @952406
     /*  952406 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(952488), // Rule ID 63442 //
     /*  952411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952438 */     // MIs[0] op1
     /*  952438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952465 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952486 */     GIR_RootConstrainSelectedInstOperands,
     /*  952487 */     // GIR_Coverage, 63442,
     /*  952487 */     GIR_EraseRootFromParent_Done,
     /*  952488 */   // Label 14341: @952488
     /*  952488 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(952570), // Rule ID 63453 //
     /*  952493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  952513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952520 */     // MIs[0] op1
     /*  952520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952552 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952554 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952556 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952558 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952568 */     GIR_RootConstrainSelectedInstOperands,
     /*  952569 */     // GIR_Coverage, 63453,
     /*  952569 */     GIR_EraseRootFromParent_Done,
     /*  952570 */   // Label 14342: @952570
     /*  952570 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(952652), // Rule ID 63454 //
     /*  952575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  952595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952602 */     // MIs[0] op1
     /*  952602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952640 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952650 */     GIR_RootConstrainSelectedInstOperands,
     /*  952651 */     // GIR_Coverage, 63454,
     /*  952651 */     GIR_EraseRootFromParent_Done,
     /*  952652 */   // Label 14343: @952652
     /*  952652 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(952734), // Rule ID 63485 //
     /*  952657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952684 */     // MIs[0] op1
     /*  952684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952722 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952732 */     GIR_RootConstrainSelectedInstOperands,
     /*  952733 */     // GIR_Coverage, 63485,
     /*  952733 */     GIR_EraseRootFromParent_Done,
     /*  952734 */   // Label 14344: @952734
     /*  952734 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(952816), // Rule ID 63486 //
     /*  952739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952766 */     // MIs[0] op1
     /*  952766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  952793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952804 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952814 */     GIR_RootConstrainSelectedInstOperands,
     /*  952815 */     // GIR_Coverage, 63486,
     /*  952815 */     GIR_EraseRootFromParent_Done,
     /*  952816 */   // Label 14345: @952816
     /*  952816 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(952898), // Rule ID 63497 //
     /*  952821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  952841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952848 */     // MIs[0] op1
     /*  952848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952880 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952882 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952884 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952886 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952896 */     GIR_RootConstrainSelectedInstOperands,
     /*  952897 */     // GIR_Coverage, 63497,
     /*  952897 */     GIR_EraseRootFromParent_Done,
     /*  952898 */   // Label 14346: @952898
     /*  952898 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(952980), // Rule ID 63498 //
     /*  952903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  952923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952930 */     // MIs[0] op1
     /*  952930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  952957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952968 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952978 */     GIR_RootConstrainSelectedInstOperands,
     /*  952979 */     // GIR_Coverage, 63498,
     /*  952979 */     GIR_EraseRootFromParent_Done,
     /*  952980 */   // Label 14347: @952980
     /*  952980 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953062), // Rule ID 63509 //
     /*  952985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953012 */     // MIs[0] op1
     /*  953012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  953042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953044 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953046 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953048 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953050 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953060 */     GIR_RootConstrainSelectedInstOperands,
     /*  953061 */     // GIR_Coverage, 63509,
     /*  953061 */     GIR_EraseRootFromParent_Done,
     /*  953062 */   // Label 14348: @953062
     /*  953062 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953144), // Rule ID 63510 //
     /*  953067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953094 */     // MIs[0] op1
     /*  953094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  953124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953132 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953142 */     GIR_RootConstrainSelectedInstOperands,
     /*  953143 */     // GIR_Coverage, 63510,
     /*  953143 */     GIR_EraseRootFromParent_Done,
     /*  953144 */   // Label 14349: @953144
     /*  953144 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(953226), // Rule ID 63541 //
     /*  953149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953176 */     // MIs[0] op1
     /*  953176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953208 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953210 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953212 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953214 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953224 */     GIR_RootConstrainSelectedInstOperands,
     /*  953225 */     // GIR_Coverage, 63541,
     /*  953225 */     GIR_EraseRootFromParent_Done,
     /*  953226 */   // Label 14350: @953226
     /*  953226 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(953308), // Rule ID 63542 //
     /*  953231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953258 */     // MIs[0] op1
     /*  953258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953296 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953306 */     GIR_RootConstrainSelectedInstOperands,
     /*  953307 */     // GIR_Coverage, 63542,
     /*  953307 */     GIR_EraseRootFromParent_Done,
     /*  953308 */   // Label 14351: @953308
     /*  953308 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(953390), // Rule ID 63553 //
     /*  953313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953340 */     // MIs[0] op1
     /*  953340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953372 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953374 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953376 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953378 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953388 */     GIR_RootConstrainSelectedInstOperands,
     /*  953389 */     // GIR_Coverage, 63553,
     /*  953389 */     GIR_EraseRootFromParent_Done,
     /*  953390 */   // Label 14352: @953390
     /*  953390 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(953472), // Rule ID 63554 //
     /*  953395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953422 */     // MIs[0] op1
     /*  953422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953460 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953470 */     GIR_RootConstrainSelectedInstOperands,
     /*  953471 */     // GIR_Coverage, 63554,
     /*  953471 */     GIR_EraseRootFromParent_Done,
     /*  953472 */   // Label 14353: @953472
     /*  953472 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(953554), // Rule ID 63565 //
     /*  953477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953504 */     // MIs[0] op1
     /*  953504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953531 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  953534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953536 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953538 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953540 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953542 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953552 */     GIR_RootConstrainSelectedInstOperands,
     /*  953553 */     // GIR_Coverage, 63565,
     /*  953553 */     GIR_EraseRootFromParent_Done,
     /*  953554 */   // Label 14354: @953554
     /*  953554 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(953636), // Rule ID 63566 //
     /*  953559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953586 */     // MIs[0] op1
     /*  953586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953613 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  953616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953618 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953620 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953622 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953624 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953634 */     GIR_RootConstrainSelectedInstOperands,
     /*  953635 */     // GIR_Coverage, 63566,
     /*  953635 */     GIR_EraseRootFromParent_Done,
     /*  953636 */   // Label 14355: @953636
     /*  953636 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(953718), // Rule ID 63597 //
     /*  953641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953668 */     // MIs[0] op1
     /*  953668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953695 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  953698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953706 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953716 */     GIR_RootConstrainSelectedInstOperands,
     /*  953717 */     // GIR_Coverage, 63597,
     /*  953717 */     GIR_EraseRootFromParent_Done,
     /*  953718 */   // Label 14356: @953718
     /*  953718 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(953800), // Rule ID 63598 //
     /*  953723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953750 */     // MIs[0] op1
     /*  953750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  953780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953798 */     GIR_RootConstrainSelectedInstOperands,
     /*  953799 */     // GIR_Coverage, 63598,
     /*  953799 */     GIR_EraseRootFromParent_Done,
     /*  953800 */   // Label 14357: @953800
     /*  953800 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(953882), // Rule ID 63609 //
     /*  953805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  953825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953832 */     // MIs[0] op1
     /*  953832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953870 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953880 */     GIR_RootConstrainSelectedInstOperands,
     /*  953881 */     // GIR_Coverage, 63609,
     /*  953881 */     GIR_EraseRootFromParent_Done,
     /*  953882 */   // Label 14358: @953882
     /*  953882 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(953964), // Rule ID 63610 //
     /*  953887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  953907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953914 */     // MIs[0] op1
     /*  953914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953962 */     GIR_RootConstrainSelectedInstOperands,
     /*  953963 */     // GIR_Coverage, 63610,
     /*  953963 */     GIR_EraseRootFromParent_Done,
     /*  953964 */   // Label 14359: @953964
     /*  953964 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954046), // Rule ID 63621 //
     /*  953969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953996 */     // MIs[0] op1
     /*  953996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954023 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  954026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954034 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954044 */     GIR_RootConstrainSelectedInstOperands,
     /*  954045 */     // GIR_Coverage, 63621,
     /*  954045 */     GIR_EraseRootFromParent_Done,
     /*  954046 */   // Label 14360: @954046
     /*  954046 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954128), // Rule ID 63622 //
     /*  954051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954078 */     // MIs[0] op1
     /*  954078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  954108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954126 */     GIR_RootConstrainSelectedInstOperands,
     /*  954127 */     // GIR_Coverage, 63622,
     /*  954127 */     GIR_EraseRootFromParent_Done,
     /*  954128 */   // Label 14361: @954128
     /*  954128 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(954210), // Rule ID 63653 //
     /*  954133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954160 */     // MIs[0] op1
     /*  954160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  954190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954198 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954208 */     GIR_RootConstrainSelectedInstOperands,
     /*  954209 */     // GIR_Coverage, 63653,
     /*  954209 */     GIR_EraseRootFromParent_Done,
     /*  954210 */   // Label 14362: @954210
     /*  954210 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(954292), // Rule ID 63654 //
     /*  954215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954242 */     // MIs[0] op1
     /*  954242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  954272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954290 */     GIR_RootConstrainSelectedInstOperands,
     /*  954291 */     // GIR_Coverage, 63654,
     /*  954291 */     GIR_EraseRootFromParent_Done,
     /*  954292 */   // Label 14363: @954292
     /*  954292 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(954374), // Rule ID 63665 //
     /*  954297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954324 */     // MIs[0] op1
     /*  954324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954362 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954372 */     GIR_RootConstrainSelectedInstOperands,
     /*  954373 */     // GIR_Coverage, 63665,
     /*  954373 */     GIR_EraseRootFromParent_Done,
     /*  954374 */   // Label 14364: @954374
     /*  954374 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(954456), // Rule ID 63666 //
     /*  954379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954406 */     // MIs[0] op1
     /*  954406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954454 */     GIR_RootConstrainSelectedInstOperands,
     /*  954455 */     // GIR_Coverage, 63666,
     /*  954455 */     GIR_EraseRootFromParent_Done,
     /*  954456 */   // Label 14365: @954456
     /*  954456 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(954538), // Rule ID 63677 //
     /*  954461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954488 */     // MIs[0] op1
     /*  954488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  954518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954526 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954536 */     GIR_RootConstrainSelectedInstOperands,
     /*  954537 */     // GIR_Coverage, 63677,
     /*  954537 */     GIR_EraseRootFromParent_Done,
     /*  954538 */   // Label 14366: @954538
     /*  954538 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(954620), // Rule ID 63678 //
     /*  954543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954570 */     // MIs[0] op1
     /*  954570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  954600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954608 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954618 */     GIR_RootConstrainSelectedInstOperands,
     /*  954619 */     // GIR_Coverage, 63678,
     /*  954619 */     GIR_EraseRootFromParent_Done,
     /*  954620 */   // Label 14367: @954620
     /*  954620 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(954702), // Rule ID 63709 //
     /*  954625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954652 */     // MIs[0] op1
     /*  954652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  954682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954690 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954700 */     GIR_RootConstrainSelectedInstOperands,
     /*  954701 */     // GIR_Coverage, 63709,
     /*  954701 */     GIR_EraseRootFromParent_Done,
     /*  954702 */   // Label 14368: @954702
     /*  954702 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(954784), // Rule ID 63710 //
     /*  954707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954734 */     // MIs[0] op1
     /*  954734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  954764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954782 */     GIR_RootConstrainSelectedInstOperands,
     /*  954783 */     // GIR_Coverage, 63710,
     /*  954783 */     GIR_EraseRootFromParent_Done,
     /*  954784 */   // Label 14369: @954784
     /*  954784 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(954866), // Rule ID 63721 //
     /*  954789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  954809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954816 */     // MIs[0] op1
     /*  954816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  954846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954854 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954864 */     GIR_RootConstrainSelectedInstOperands,
     /*  954865 */     // GIR_Coverage, 63721,
     /*  954865 */     GIR_EraseRootFromParent_Done,
     /*  954866 */   // Label 14370: @954866
     /*  954866 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(954948), // Rule ID 63722 //
     /*  954871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  954891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954898 */     // MIs[0] op1
     /*  954898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  954928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954936 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954946 */     GIR_RootConstrainSelectedInstOperands,
     /*  954947 */     // GIR_Coverage, 63722,
     /*  954947 */     GIR_EraseRootFromParent_Done,
     /*  954948 */   // Label 14371: @954948
     /*  954948 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955030), // Rule ID 63733 //
     /*  954953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954980 */     // MIs[0] op1
     /*  954980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955007 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  955010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955012 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955014 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955016 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955018 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955028 */     GIR_RootConstrainSelectedInstOperands,
     /*  955029 */     // GIR_Coverage, 63733,
     /*  955029 */     GIR_EraseRootFromParent_Done,
     /*  955030 */   // Label 14372: @955030
     /*  955030 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955112), // Rule ID 63734 //
     /*  955035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955062 */     // MIs[0] op1
     /*  955062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  955092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955100 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955110 */     GIR_RootConstrainSelectedInstOperands,
     /*  955111 */     // GIR_Coverage, 63734,
     /*  955111 */     GIR_EraseRootFromParent_Done,
     /*  955112 */   // Label 14373: @955112
     /*  955112 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(955194), // Rule ID 63765 //
     /*  955117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955144 */     // MIs[0] op1
     /*  955144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  955174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955176 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955178 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955180 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955182 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955192 */     GIR_RootConstrainSelectedInstOperands,
     /*  955193 */     // GIR_Coverage, 63765,
     /*  955193 */     GIR_EraseRootFromParent_Done,
     /*  955194 */   // Label 14374: @955194
     /*  955194 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(955276), // Rule ID 63766 //
     /*  955199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955226 */     // MIs[0] op1
     /*  955226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  955256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955258 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955260 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955262 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955264 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955274 */     GIR_RootConstrainSelectedInstOperands,
     /*  955275 */     // GIR_Coverage, 63766,
     /*  955275 */     GIR_EraseRootFromParent_Done,
     /*  955276 */   // Label 14375: @955276
     /*  955276 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(955358), // Rule ID 63777 //
     /*  955281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955308 */     // MIs[0] op1
     /*  955308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955340 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955342 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955344 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955346 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955356 */     GIR_RootConstrainSelectedInstOperands,
     /*  955357 */     // GIR_Coverage, 63777,
     /*  955357 */     GIR_EraseRootFromParent_Done,
     /*  955358 */   // Label 14376: @955358
     /*  955358 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(955440), // Rule ID 63778 //
     /*  955363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955390 */     // MIs[0] op1
     /*  955390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955428 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955438 */     GIR_RootConstrainSelectedInstOperands,
     /*  955439 */     // GIR_Coverage, 63778,
     /*  955439 */     GIR_EraseRootFromParent_Done,
     /*  955440 */   // Label 14377: @955440
     /*  955440 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(955522), // Rule ID 63789 //
     /*  955445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955472 */     // MIs[0] op1
     /*  955472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  955502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955504 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955506 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955508 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955510 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955520 */     GIR_RootConstrainSelectedInstOperands,
     /*  955521 */     // GIR_Coverage, 63789,
     /*  955521 */     GIR_EraseRootFromParent_Done,
     /*  955522 */   // Label 14378: @955522
     /*  955522 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(955604), // Rule ID 63790 //
     /*  955527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955554 */     // MIs[0] op1
     /*  955554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  955584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955592 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955602 */     GIR_RootConstrainSelectedInstOperands,
     /*  955603 */     // GIR_Coverage, 63790,
     /*  955603 */     GIR_EraseRootFromParent_Done,
     /*  955604 */   // Label 14379: @955604
     /*  955604 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(955686), // Rule ID 63821 //
     /*  955609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955636 */     // MIs[0] op1
     /*  955636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  955666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955668 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955670 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955672 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955674 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955684 */     GIR_RootConstrainSelectedInstOperands,
     /*  955685 */     // GIR_Coverage, 63821,
     /*  955685 */     GIR_EraseRootFromParent_Done,
     /*  955686 */   // Label 14380: @955686
     /*  955686 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(955768), // Rule ID 63822 //
     /*  955691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955718 */     // MIs[0] op1
     /*  955718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  955745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  955748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955756 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955766 */     GIR_RootConstrainSelectedInstOperands,
     /*  955767 */     // GIR_Coverage, 63822,
     /*  955767 */     GIR_EraseRootFromParent_Done,
     /*  955768 */   // Label 14381: @955768
     /*  955768 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(955850), // Rule ID 63833 //
     /*  955773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  955793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955800 */     // MIs[0] op1
     /*  955800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  955830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955832 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955834 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955836 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955838 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955848 */     GIR_RootConstrainSelectedInstOperands,
     /*  955849 */     // GIR_Coverage, 63833,
     /*  955849 */     GIR_EraseRootFromParent_Done,
     /*  955850 */   // Label 14382: @955850
     /*  955850 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(955932), // Rule ID 63834 //
     /*  955855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  955875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955882 */     // MIs[0] op1
     /*  955882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  955909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  955912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955920 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955930 */     GIR_RootConstrainSelectedInstOperands,
     /*  955931 */     // GIR_Coverage, 63834,
     /*  955931 */     GIR_EraseRootFromParent_Done,
     /*  955932 */   // Label 14383: @955932
     /*  955932 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956014), // Rule ID 63845 //
     /*  955937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955964 */     // MIs[0] op1
     /*  955964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  955984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  955994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956012 */     GIR_RootConstrainSelectedInstOperands,
     /*  956013 */     // GIR_Coverage, 63845,
     /*  956013 */     GIR_EraseRootFromParent_Done,
     /*  956014 */   // Label 14384: @956014
     /*  956014 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956096), // Rule ID 63846 //
     /*  956019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956046 */     // MIs[0] op1
     /*  956046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  956076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956084 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956094 */     GIR_RootConstrainSelectedInstOperands,
     /*  956095 */     // GIR_Coverage, 63846,
     /*  956095 */     GIR_EraseRootFromParent_Done,
     /*  956096 */   // Label 14385: @956096
     /*  956096 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956178), // Rule ID 63877 //
     /*  956101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956128 */     // MIs[0] op1
     /*  956128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  956158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956166 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956176 */     GIR_RootConstrainSelectedInstOperands,
     /*  956177 */     // GIR_Coverage, 63877,
     /*  956177 */     GIR_EraseRootFromParent_Done,
     /*  956178 */   // Label 14386: @956178
     /*  956178 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(956260), // Rule ID 63878 //
     /*  956183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956210 */     // MIs[0] op1
     /*  956210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  956240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956242 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956244 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956246 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956248 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956258 */     GIR_RootConstrainSelectedInstOperands,
     /*  956259 */     // GIR_Coverage, 63878,
     /*  956259 */     GIR_EraseRootFromParent_Done,
     /*  956260 */   // Label 14387: @956260
     /*  956260 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(956342), // Rule ID 63889 //
     /*  956265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956292 */     // MIs[0] op1
     /*  956292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956340 */     GIR_RootConstrainSelectedInstOperands,
     /*  956341 */     // GIR_Coverage, 63889,
     /*  956341 */     GIR_EraseRootFromParent_Done,
     /*  956342 */   // Label 14388: @956342
     /*  956342 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(956424), // Rule ID 63890 //
     /*  956347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956374 */     // MIs[0] op1
     /*  956374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956406 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956408 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956410 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956412 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956422 */     GIR_RootConstrainSelectedInstOperands,
     /*  956423 */     // GIR_Coverage, 63890,
     /*  956423 */     GIR_EraseRootFromParent_Done,
     /*  956424 */   // Label 14389: @956424
     /*  956424 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(956506), // Rule ID 63901 //
     /*  956429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956456 */     // MIs[0] op1
     /*  956456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  956486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956494 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956504 */     GIR_RootConstrainSelectedInstOperands,
     /*  956505 */     // GIR_Coverage, 63901,
     /*  956505 */     GIR_EraseRootFromParent_Done,
     /*  956506 */   // Label 14390: @956506
     /*  956506 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(956588), // Rule ID 63902 //
     /*  956511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956538 */     // MIs[0] op1
     /*  956538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956565 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  956568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956570 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956572 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956574 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956576 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956586 */     GIR_RootConstrainSelectedInstOperands,
     /*  956587 */     // GIR_Coverage, 63902,
     /*  956587 */     GIR_EraseRootFromParent_Done,
     /*  956588 */   // Label 14391: @956588
     /*  956588 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(956670), // Rule ID 63933 //
     /*  956593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956620 */     // MIs[0] op1
     /*  956620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  956650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956668 */     GIR_RootConstrainSelectedInstOperands,
     /*  956669 */     // GIR_Coverage, 63933,
     /*  956669 */     GIR_EraseRootFromParent_Done,
     /*  956670 */   // Label 14392: @956670
     /*  956670 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(956752), // Rule ID 63934 //
     /*  956675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956702 */     // MIs[0] op1
     /*  956702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  956732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956734 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956736 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956738 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956740 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956750 */     GIR_RootConstrainSelectedInstOperands,
     /*  956751 */     // GIR_Coverage, 63934,
     /*  956751 */     GIR_EraseRootFromParent_Done,
     /*  956752 */   // Label 14393: @956752
     /*  956752 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(956834), // Rule ID 63945 //
     /*  956757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  956777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956784 */     // MIs[0] op1
     /*  956784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  956814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956822 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956832 */     GIR_RootConstrainSelectedInstOperands,
     /*  956833 */     // GIR_Coverage, 63945,
     /*  956833 */     GIR_EraseRootFromParent_Done,
     /*  956834 */   // Label 14394: @956834
     /*  956834 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(956916), // Rule ID 63946 //
     /*  956839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  956859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956866 */     // MIs[0] op1
     /*  956866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11029:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  956896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956898 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956900 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956902 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956904 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956914 */     GIR_RootConstrainSelectedInstOperands,
     /*  956915 */     // GIR_Coverage, 63946,
     /*  956915 */     GIR_EraseRootFromParent_Done,
     /*  956916 */   // Label 14395: @956916
     /*  956916 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(956998), // Rule ID 63957 //
     /*  956921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956948 */     // MIs[0] op1
     /*  956948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956975 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  956978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956996 */     GIR_RootConstrainSelectedInstOperands,
     /*  956997 */     // GIR_Coverage, 63957,
     /*  956997 */     GIR_EraseRootFromParent_Done,
     /*  956998 */   // Label 14396: @956998
     /*  956998 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957080), // Rule ID 63958 //
     /*  957003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  957011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957030 */     // MIs[0] op1
     /*  957030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  957050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  957057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  957060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957062 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957064 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957066 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957068 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957078 */     GIR_RootConstrainSelectedInstOperands,
     /*  957079 */     // GIR_Coverage, 63958,
     /*  957079 */     GIR_EraseRootFromParent_Done,
     /*  957080 */   // Label 14397: @957080
     /*  957080 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957162), // Rule ID 63963 //
     /*  957085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957112 */     // MIs[0] op1
     /*  957112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  957142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957150 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957160 */     GIR_RootConstrainSelectedInstOperands,
     /*  957161 */     // GIR_Coverage, 63963,
     /*  957161 */     GIR_EraseRootFromParent_Done,
     /*  957162 */   // Label 14398: @957162
     /*  957162 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(957244), // Rule ID 63964 //
     /*  957167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957194 */     // MIs[0] op1
     /*  957194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  957224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957232 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957242 */     GIR_RootConstrainSelectedInstOperands,
     /*  957243 */     // GIR_Coverage, 63964,
     /*  957243 */     GIR_EraseRootFromParent_Done,
     /*  957244 */   // Label 14399: @957244
     /*  957244 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(957326), // Rule ID 63975 //
     /*  957249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957276 */     // MIs[0] op1
     /*  957276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957314 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957324 */     GIR_RootConstrainSelectedInstOperands,
     /*  957325 */     // GIR_Coverage, 63975,
     /*  957325 */     GIR_EraseRootFromParent_Done,
     /*  957326 */   // Label 14400: @957326
     /*  957326 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(957408), // Rule ID 63976 //
     /*  957331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957358 */     // MIs[0] op1
     /*  957358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957385 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957390 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957392 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957394 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957396 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957406 */     GIR_RootConstrainSelectedInstOperands,
     /*  957407 */     // GIR_Coverage, 63976,
     /*  957407 */     GIR_EraseRootFromParent_Done,
     /*  957408 */   // Label 14401: @957408
     /*  957408 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(957490), // Rule ID 63981 //
     /*  957413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957440 */     // MIs[0] op1
     /*  957440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  957470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957472 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957474 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957476 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957478 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957488 */     GIR_RootConstrainSelectedInstOperands,
     /*  957489 */     // GIR_Coverage, 63981,
     /*  957489 */     GIR_EraseRootFromParent_Done,
     /*  957490 */   // Label 14402: @957490
     /*  957490 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(957572), // Rule ID 63982 //
     /*  957495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957522 */     // MIs[0] op1
     /*  957522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  957552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957560 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957570 */     GIR_RootConstrainSelectedInstOperands,
     /*  957571 */     // GIR_Coverage, 63982,
     /*  957571 */     GIR_EraseRootFromParent_Done,
     /*  957572 */   // Label 14403: @957572
     /*  957572 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(957654), // Rule ID 63993 //
     /*  957577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  957597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957604 */     // MIs[0] op1
     /*  957604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  957634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957642 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957652 */     GIR_RootConstrainSelectedInstOperands,
     /*  957653 */     // GIR_Coverage, 63993,
     /*  957653 */     GIR_EraseRootFromParent_Done,
     /*  957654 */   // Label 14404: @957654
     /*  957654 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(957736), // Rule ID 63994 //
     /*  957659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  957679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957686 */     // MIs[0] op1
     /*  957686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  957716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957718 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957720 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957722 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957724 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957734 */     GIR_RootConstrainSelectedInstOperands,
     /*  957735 */     // GIR_Coverage, 63994,
     /*  957735 */     GIR_EraseRootFromParent_Done,
     /*  957736 */   // Label 14405: @957736
     /*  957736 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(957818), // Rule ID 63999 //
     /*  957741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957768 */     // MIs[0] op1
     /*  957768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957795 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957800 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957802 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957804 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957806 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957816 */     GIR_RootConstrainSelectedInstOperands,
     /*  957817 */     // GIR_Coverage, 63999,
     /*  957817 */     GIR_EraseRootFromParent_Done,
     /*  957818 */   // Label 14406: @957818
     /*  957818 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(957900), // Rule ID 64000 //
     /*  957823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957850 */     // MIs[0] op1
     /*  957850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957888 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957898 */     GIR_RootConstrainSelectedInstOperands,
     /*  957899 */     // GIR_Coverage, 64000,
     /*  957899 */     GIR_EraseRootFromParent_Done,
     /*  957900 */   // Label 14407: @957900
     /*  957900 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(957982), // Rule ID 64011 //
     /*  957905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  957925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957932 */     // MIs[0] op1
     /*  957932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957970 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957980 */     GIR_RootConstrainSelectedInstOperands,
     /*  957981 */     // GIR_Coverage, 64011,
     /*  957981 */     GIR_EraseRootFromParent_Done,
     /*  957982 */   // Label 14408: @957982
     /*  957982 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958064), // Rule ID 64012 //
     /*  957987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  958007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958014 */     // MIs[0] op1
     /*  958014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  958044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958052 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958062 */     GIR_RootConstrainSelectedInstOperands,
     /*  958063 */     // GIR_Coverage, 64012,
     /*  958063 */     GIR_EraseRootFromParent_Done,
     /*  958064 */   // Label 14409: @958064
     /*  958064 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958146), // Rule ID 64017 //
     /*  958069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958096 */     // MIs[0] op1
     /*  958096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  958126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958128 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958130 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958132 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958134 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958144 */     GIR_RootConstrainSelectedInstOperands,
     /*  958145 */     // GIR_Coverage, 64017,
     /*  958145 */     GIR_EraseRootFromParent_Done,
     /*  958146 */   // Label 14410: @958146
     /*  958146 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(958228), // Rule ID 64018 //
     /*  958151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958178 */     // MIs[0] op1
     /*  958178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  958208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958216 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958226 */     GIR_RootConstrainSelectedInstOperands,
     /*  958227 */     // GIR_Coverage, 64018,
     /*  958227 */     GIR_EraseRootFromParent_Done,
     /*  958228 */   // Label 14411: @958228
     /*  958228 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(958310), // Rule ID 64029 //
     /*  958233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958260 */     // MIs[0] op1
     /*  958260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958292 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958294 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958296 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958298 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958308 */     GIR_RootConstrainSelectedInstOperands,
     /*  958309 */     // GIR_Coverage, 64029,
     /*  958309 */     GIR_EraseRootFromParent_Done,
     /*  958310 */   // Label 14412: @958310
     /*  958310 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(958392), // Rule ID 64030 //
     /*  958315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958342 */     // MIs[0] op1
     /*  958342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958374 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958376 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958378 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958380 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958390 */     GIR_RootConstrainSelectedInstOperands,
     /*  958391 */     // GIR_Coverage, 64030,
     /*  958391 */     GIR_EraseRootFromParent_Done,
     /*  958392 */   // Label 14413: @958392
     /*  958392 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(958474), // Rule ID 64035 //
     /*  958397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958424 */     // MIs[0] op1
     /*  958424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958462 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958472 */     GIR_RootConstrainSelectedInstOperands,
     /*  958473 */     // GIR_Coverage, 64035,
     /*  958473 */     GIR_EraseRootFromParent_Done,
     /*  958474 */   // Label 14414: @958474
     /*  958474 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(958556), // Rule ID 64036 //
     /*  958479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958506 */     // MIs[0] op1
     /*  958506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958544 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958554 */     GIR_RootConstrainSelectedInstOperands,
     /*  958555 */     // GIR_Coverage, 64036,
     /*  958555 */     GIR_EraseRootFromParent_Done,
     /*  958556 */   // Label 14415: @958556
     /*  958556 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(958638), // Rule ID 64047 //
     /*  958561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  958581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958588 */     // MIs[0] op1
     /*  958588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958615 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958626 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958636 */     GIR_RootConstrainSelectedInstOperands,
     /*  958637 */     // GIR_Coverage, 64047,
     /*  958637 */     GIR_EraseRootFromParent_Done,
     /*  958638 */   // Label 14416: @958638
     /*  958638 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(958720), // Rule ID 64048 //
     /*  958643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  958663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958670 */     // MIs[0] op1
     /*  958670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958708 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958718 */     GIR_RootConstrainSelectedInstOperands,
     /*  958719 */     // GIR_Coverage, 64048,
     /*  958719 */     GIR_EraseRootFromParent_Done,
     /*  958720 */   // Label 14417: @958720
     /*  958720 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(958802), // Rule ID 64053 //
     /*  958725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958752 */     // MIs[0] op1
     /*  958752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958790 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958800 */     GIR_RootConstrainSelectedInstOperands,
     /*  958801 */     // GIR_Coverage, 64053,
     /*  958801 */     GIR_EraseRootFromParent_Done,
     /*  958802 */   // Label 14418: @958802
     /*  958802 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(958884), // Rule ID 64054 //
     /*  958807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958834 */     // MIs[0] op1
     /*  958834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958866 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958868 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958870 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958872 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958882 */     GIR_RootConstrainSelectedInstOperands,
     /*  958883 */     // GIR_Coverage, 64054,
     /*  958883 */     GIR_EraseRootFromParent_Done,
     /*  958884 */   // Label 14419: @958884
     /*  958884 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(958966), // Rule ID 64065 //
     /*  958889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  958909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958916 */     // MIs[0] op1
     /*  958916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958964 */     GIR_RootConstrainSelectedInstOperands,
     /*  958965 */     // GIR_Coverage, 64065,
     /*  958965 */     GIR_EraseRootFromParent_Done,
     /*  958966 */   // Label 14420: @958966
     /*  958966 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959048), // Rule ID 64066 //
     /*  958971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  958991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958998 */     // MIs[0] op1
     /*  958998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  959028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959030 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959032 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959034 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959036 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959046 */     GIR_RootConstrainSelectedInstOperands,
     /*  959047 */     // GIR_Coverage, 64066,
     /*  959047 */     GIR_EraseRootFromParent_Done,
     /*  959048 */   // Label 14421: @959048
     /*  959048 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(959130), // Rule ID 64071 //
     /*  959053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959080 */     // MIs[0] op1
     /*  959080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  959110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959128 */     GIR_RootConstrainSelectedInstOperands,
     /*  959129 */     // GIR_Coverage, 64071,
     /*  959129 */     GIR_EraseRootFromParent_Done,
     /*  959130 */   // Label 14422: @959130
     /*  959130 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(959212), // Rule ID 64072 //
     /*  959135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959162 */     // MIs[0] op1
     /*  959162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959189 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  959192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959194 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959196 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959198 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959200 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959210 */     GIR_RootConstrainSelectedInstOperands,
     /*  959211 */     // GIR_Coverage, 64072,
     /*  959211 */     GIR_EraseRootFromParent_Done,
     /*  959212 */   // Label 14423: @959212
     /*  959212 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(959294), // Rule ID 64083 //
     /*  959217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959244 */     // MIs[0] op1
     /*  959244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959292 */     GIR_RootConstrainSelectedInstOperands,
     /*  959293 */     // GIR_Coverage, 64083,
     /*  959293 */     GIR_EraseRootFromParent_Done,
     /*  959294 */   // Label 14424: @959294
     /*  959294 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(959376), // Rule ID 64084 //
     /*  959299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959326 */     // MIs[0] op1
     /*  959326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959358 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959360 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959362 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959364 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959374 */     GIR_RootConstrainSelectedInstOperands,
     /*  959375 */     // GIR_Coverage, 64084,
     /*  959375 */     GIR_EraseRootFromParent_Done,
     /*  959376 */   // Label 14425: @959376
     /*  959376 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(959458), // Rule ID 64089 //
     /*  959381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959408 */     // MIs[0] op1
     /*  959408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959456 */     GIR_RootConstrainSelectedInstOperands,
     /*  959457 */     // GIR_Coverage, 64089,
     /*  959457 */     GIR_EraseRootFromParent_Done,
     /*  959458 */   // Label 14426: @959458
     /*  959458 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(959540), // Rule ID 64090 //
     /*  959463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959490 */     // MIs[0] op1
     /*  959490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959522 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959524 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959526 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959528 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959538 */     GIR_RootConstrainSelectedInstOperands,
     /*  959539 */     // GIR_Coverage, 64090,
     /*  959539 */     GIR_EraseRootFromParent_Done,
     /*  959540 */   // Label 14427: @959540
     /*  959540 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(959622), // Rule ID 64095 //
     /*  959545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959572 */     // MIs[0] op1
     /*  959572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  959602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959620 */     GIR_RootConstrainSelectedInstOperands,
     /*  959621 */     // GIR_Coverage, 64095,
     /*  959621 */     GIR_EraseRootFromParent_Done,
     /*  959622 */   // Label 14428: @959622
     /*  959622 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(959704), // Rule ID 64096 //
     /*  959627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959654 */     // MIs[0] op1
     /*  959654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  959684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959686 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959688 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959690 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959692 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959702 */     GIR_RootConstrainSelectedInstOperands,
     /*  959703 */     // GIR_Coverage, 64096,
     /*  959703 */     GIR_EraseRootFromParent_Done,
     /*  959704 */   // Label 14429: @959704
     /*  959704 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(959786), // Rule ID 64107 //
     /*  959709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  959729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959736 */     // MIs[0] op1
     /*  959736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959763 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  959766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959774 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959784 */     GIR_RootConstrainSelectedInstOperands,
     /*  959785 */     // GIR_Coverage, 64107,
     /*  959785 */     GIR_EraseRootFromParent_Done,
     /*  959786 */   // Label 14430: @959786
     /*  959786 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(959868), // Rule ID 64108 //
     /*  959791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  959811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959818 */     // MIs[0] op1
     /*  959818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  959848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959856 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959866 */     GIR_RootConstrainSelectedInstOperands,
     /*  959867 */     // GIR_Coverage, 64108,
     /*  959867 */     GIR_EraseRootFromParent_Done,
     /*  959868 */   // Label 14431: @959868
     /*  959868 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(959950), // Rule ID 64113 //
     /*  959873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959900 */     // MIs[0] op1
     /*  959900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  959930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959948 */     GIR_RootConstrainSelectedInstOperands,
     /*  959949 */     // GIR_Coverage, 64113,
     /*  959949 */     GIR_EraseRootFromParent_Done,
     /*  959950 */   // Label 14432: @959950
     /*  959950 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(960032), // Rule ID 64114 //
     /*  959955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959982 */     // MIs[0] op1
     /*  959982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  960012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960020 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960030 */     GIR_RootConstrainSelectedInstOperands,
     /*  960031 */     // GIR_Coverage, 64114,
     /*  960031 */     GIR_EraseRootFromParent_Done,
     /*  960032 */   // Label 14433: @960032
     /*  960032 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(960114), // Rule ID 64119 //
     /*  960037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960064 */     // MIs[0] op1
     /*  960064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  960094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960102 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960112 */     GIR_RootConstrainSelectedInstOperands,
     /*  960113 */     // GIR_Coverage, 64119,
     /*  960113 */     GIR_EraseRootFromParent_Done,
     /*  960114 */   // Label 14434: @960114
     /*  960114 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(960196), // Rule ID 64120 //
     /*  960119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960146 */     // MIs[0] op1
     /*  960146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  960176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960184 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960194 */     GIR_RootConstrainSelectedInstOperands,
     /*  960195 */     // GIR_Coverage, 64120,
     /*  960195 */     GIR_EraseRootFromParent_Done,
     /*  960196 */   // Label 14435: @960196
     /*  960196 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(960278), // Rule ID 64131 //
     /*  960201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960228 */     // MIs[0] op1
     /*  960228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960266 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960276 */     GIR_RootConstrainSelectedInstOperands,
     /*  960277 */     // GIR_Coverage, 64131,
     /*  960277 */     GIR_EraseRootFromParent_Done,
     /*  960278 */   // Label 14436: @960278
     /*  960278 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(960360), // Rule ID 64132 //
     /*  960283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960310 */     // MIs[0] op1
     /*  960310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960348 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960358 */     GIR_RootConstrainSelectedInstOperands,
     /*  960359 */     // GIR_Coverage, 64132,
     /*  960359 */     GIR_EraseRootFromParent_Done,
     /*  960360 */   // Label 14437: @960360
     /*  960360 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(960442), // Rule ID 64137 //
     /*  960365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960392 */     // MIs[0] op1
     /*  960392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960424 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960426 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960428 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960430 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960440 */     GIR_RootConstrainSelectedInstOperands,
     /*  960441 */     // GIR_Coverage, 64137,
     /*  960441 */     GIR_EraseRootFromParent_Done,
     /*  960442 */   // Label 14438: @960442
     /*  960442 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(960524), // Rule ID 64138 //
     /*  960447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960474 */     // MIs[0] op1
     /*  960474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960512 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960522 */     GIR_RootConstrainSelectedInstOperands,
     /*  960523 */     // GIR_Coverage, 64138,
     /*  960523 */     GIR_EraseRootFromParent_Done,
     /*  960524 */   // Label 14439: @960524
     /*  960524 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(960606), // Rule ID 64143 //
     /*  960529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960556 */     // MIs[0] op1
     /*  960556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  960586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960594 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960604 */     GIR_RootConstrainSelectedInstOperands,
     /*  960605 */     // GIR_Coverage, 64143,
     /*  960605 */     GIR_EraseRootFromParent_Done,
     /*  960606 */   // Label 14440: @960606
     /*  960606 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(960688), // Rule ID 64144 //
     /*  960611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960638 */     // MIs[0] op1
     /*  960638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  960668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960676 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960686 */     GIR_RootConstrainSelectedInstOperands,
     /*  960687 */     // GIR_Coverage, 64144,
     /*  960687 */     GIR_EraseRootFromParent_Done,
     /*  960688 */   // Label 14441: @960688
     /*  960688 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(960770), // Rule ID 64155 //
     /*  960693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  960713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960720 */     // MIs[0] op1
     /*  960720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  960750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960752 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960754 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960756 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960758 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960768 */     GIR_RootConstrainSelectedInstOperands,
     /*  960769 */     // GIR_Coverage, 64155,
     /*  960769 */     GIR_EraseRootFromParent_Done,
     /*  960770 */   // Label 14442: @960770
     /*  960770 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(960852), // Rule ID 64156 //
     /*  960775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  960795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960802 */     // MIs[0] op1
     /*  960802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  960832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960850 */     GIR_RootConstrainSelectedInstOperands,
     /*  960851 */     // GIR_Coverage, 64156,
     /*  960851 */     GIR_EraseRootFromParent_Done,
     /*  960852 */   // Label 14443: @960852
     /*  960852 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(960934), // Rule ID 64161 //
     /*  960857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960884 */     // MIs[0] op1
     /*  960884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  960914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960922 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960932 */     GIR_RootConstrainSelectedInstOperands,
     /*  960933 */     // GIR_Coverage, 64161,
     /*  960933 */     GIR_EraseRootFromParent_Done,
     /*  960934 */   // Label 14444: @960934
     /*  960934 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(961016), // Rule ID 64162 //
     /*  960939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960966 */     // MIs[0] op1
     /*  960966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  960996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961004 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961014 */     GIR_RootConstrainSelectedInstOperands,
     /*  961015 */     // GIR_Coverage, 64162,
     /*  961015 */     GIR_EraseRootFromParent_Done,
     /*  961016 */   // Label 14445: @961016
     /*  961016 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(961098), // Rule ID 64167 //
     /*  961021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961048 */     // MIs[0] op1
     /*  961048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  961078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961086 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961096 */     GIR_RootConstrainSelectedInstOperands,
     /*  961097 */     // GIR_Coverage, 64167,
     /*  961097 */     GIR_EraseRootFromParent_Done,
     /*  961098 */   // Label 14446: @961098
     /*  961098 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(961180), // Rule ID 64168 //
     /*  961103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961130 */     // MIs[0] op1
     /*  961130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961157 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  961160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961178 */     GIR_RootConstrainSelectedInstOperands,
     /*  961179 */     // GIR_Coverage, 64168,
     /*  961179 */     GIR_EraseRootFromParent_Done,
     /*  961180 */   // Label 14447: @961180
     /*  961180 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(961262), // Rule ID 64179 //
     /*  961185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961212 */     // MIs[0] op1
     /*  961212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961250 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961260 */     GIR_RootConstrainSelectedInstOperands,
     /*  961261 */     // GIR_Coverage, 64179,
     /*  961261 */     GIR_EraseRootFromParent_Done,
     /*  961262 */   // Label 14448: @961262
     /*  961262 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(961344), // Rule ID 64180 //
     /*  961267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961294 */     // MIs[0] op1
     /*  961294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961326 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961328 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961330 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961332 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961342 */     GIR_RootConstrainSelectedInstOperands,
     /*  961343 */     // GIR_Coverage, 64180,
     /*  961343 */     GIR_EraseRootFromParent_Done,
     /*  961344 */   // Label 14449: @961344
     /*  961344 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(961426), // Rule ID 64185 //
     /*  961349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961376 */     // MIs[0] op1
     /*  961376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961414 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961424 */     GIR_RootConstrainSelectedInstOperands,
     /*  961425 */     // GIR_Coverage, 64185,
     /*  961425 */     GIR_EraseRootFromParent_Done,
     /*  961426 */   // Label 14450: @961426
     /*  961426 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(961508), // Rule ID 64186 //
     /*  961431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961458 */     // MIs[0] op1
     /*  961458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961506 */     GIR_RootConstrainSelectedInstOperands,
     /*  961507 */     // GIR_Coverage, 64186,
     /*  961507 */     GIR_EraseRootFromParent_Done,
     /*  961508 */   // Label 14451: @961508
     /*  961508 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(961590), // Rule ID 64191 //
     /*  961513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961540 */     // MIs[0] op1
     /*  961540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  961570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961578 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961588 */     GIR_RootConstrainSelectedInstOperands,
     /*  961589 */     // GIR_Coverage, 64191,
     /*  961589 */     GIR_EraseRootFromParent_Done,
     /*  961590 */   // Label 14452: @961590
     /*  961590 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(961672), // Rule ID 64192 //
     /*  961595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961622 */     // MIs[0] op1
     /*  961622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  961652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961654 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961656 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961658 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961660 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961670 */     GIR_RootConstrainSelectedInstOperands,
     /*  961671 */     // GIR_Coverage, 64192,
     /*  961671 */     GIR_EraseRootFromParent_Done,
     /*  961672 */   // Label 14453: @961672
     /*  961672 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(961754), // Rule ID 64203 //
     /*  961677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  961697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961704 */     // MIs[0] op1
     /*  961704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  961734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961742 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961752 */     GIR_RootConstrainSelectedInstOperands,
     /*  961753 */     // GIR_Coverage, 64203,
     /*  961753 */     GIR_EraseRootFromParent_Done,
     /*  961754 */   // Label 14454: @961754
     /*  961754 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(961836), // Rule ID 64204 //
     /*  961759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  961779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961786 */     // MIs[0] op1
     /*  961786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  961816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961834 */     GIR_RootConstrainSelectedInstOperands,
     /*  961835 */     // GIR_Coverage, 64204,
     /*  961835 */     GIR_EraseRootFromParent_Done,
     /*  961836 */   // Label 14455: @961836
     /*  961836 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(961918), // Rule ID 64209 //
     /*  961841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961868 */     // MIs[0] op1
     /*  961868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  961888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  961898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961906 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961916 */     GIR_RootConstrainSelectedInstOperands,
     /*  961917 */     // GIR_Coverage, 64209,
     /*  961917 */     GIR_EraseRootFromParent_Done,
     /*  961918 */   // Label 14456: @961918
     /*  961918 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(962000), // Rule ID 64210 //
     /*  961923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961950 */     // MIs[0] op1
     /*  961950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  961970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  961980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961982 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961984 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961986 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961988 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961998 */     GIR_RootConstrainSelectedInstOperands,
     /*  961999 */     // GIR_Coverage, 64210,
     /*  961999 */     GIR_EraseRootFromParent_Done,
     /*  962000 */   // Label 14457: @962000
     /*  962000 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(962082), // Rule ID 64215 //
     /*  962005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962032 */     // MIs[0] op1
     /*  962032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  962062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962070 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962080 */     GIR_RootConstrainSelectedInstOperands,
     /*  962081 */     // GIR_Coverage, 64215,
     /*  962081 */     GIR_EraseRootFromParent_Done,
     /*  962082 */   // Label 14458: @962082
     /*  962082 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(962164), // Rule ID 64216 //
     /*  962087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962114 */     // MIs[0] op1
     /*  962114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  962144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962162 */     GIR_RootConstrainSelectedInstOperands,
     /*  962163 */     // GIR_Coverage, 64216,
     /*  962163 */     GIR_EraseRootFromParent_Done,
     /*  962164 */   // Label 14459: @962164
     /*  962164 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(962246), // Rule ID 64227 //
     /*  962169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  962189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962196 */     // MIs[0] op1
     /*  962196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962234 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962244 */     GIR_RootConstrainSelectedInstOperands,
     /*  962245 */     // GIR_Coverage, 64227,
     /*  962245 */     GIR_EraseRootFromParent_Done,
     /*  962246 */   // Label 14460: @962246
     /*  962246 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(962328), // Rule ID 64228 //
     /*  962251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  962271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962278 */     // MIs[0] op1
     /*  962278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962316 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962326 */     GIR_RootConstrainSelectedInstOperands,
     /*  962327 */     // GIR_Coverage, 64228,
     /*  962327 */     GIR_EraseRootFromParent_Done,
     /*  962328 */   // Label 14461: @962328
     /*  962328 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(962410), // Rule ID 64233 //
     /*  962333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962360 */     // MIs[0] op1
     /*  962360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962398 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962408 */     GIR_RootConstrainSelectedInstOperands,
     /*  962409 */     // GIR_Coverage, 64233,
     /*  962409 */     GIR_EraseRootFromParent_Done,
     /*  962410 */   // Label 14462: @962410
     /*  962410 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(962492), // Rule ID 64234 //
     /*  962415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962442 */     // MIs[0] op1
     /*  962442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962490 */     GIR_RootConstrainSelectedInstOperands,
     /*  962491 */     // GIR_Coverage, 64234,
     /*  962491 */     GIR_EraseRootFromParent_Done,
     /*  962492 */   // Label 14463: @962492
     /*  962492 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(962574), // Rule ID 64239 //
     /*  962497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962524 */     // MIs[0] op1
     /*  962524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  962554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962562 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962572 */     GIR_RootConstrainSelectedInstOperands,
     /*  962573 */     // GIR_Coverage, 64239,
     /*  962573 */     GIR_EraseRootFromParent_Done,
     /*  962574 */   // Label 14464: @962574
     /*  962574 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(962656), // Rule ID 64240 //
     /*  962579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962606 */     // MIs[0] op1
     /*  962606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  962636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962644 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962654 */     GIR_RootConstrainSelectedInstOperands,
     /*  962655 */     // GIR_Coverage, 64240,
     /*  962655 */     GIR_EraseRootFromParent_Done,
     /*  962656 */   // Label 14465: @962656
     /*  962656 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(962738), // Rule ID 64251 //
     /*  962661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  962681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962688 */     // MIs[0] op1
     /*  962688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  962718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962726 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962736 */     GIR_RootConstrainSelectedInstOperands,
     /*  962737 */     // GIR_Coverage, 64251,
     /*  962737 */     GIR_EraseRootFromParent_Done,
     /*  962738 */   // Label 14466: @962738
     /*  962738 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(962820), // Rule ID 64252 //
     /*  962743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  962763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962770 */     // MIs[0] op1
     /*  962770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  962800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962818 */     GIR_RootConstrainSelectedInstOperands,
     /*  962819 */     // GIR_Coverage, 64252,
     /*  962819 */     GIR_EraseRootFromParent_Done,
     /*  962820 */   // Label 14467: @962820
     /*  962820 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(962902), // Rule ID 64257 //
     /*  962825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962852 */     // MIs[0] op1
     /*  962852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962879 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  962882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962890 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962900 */     GIR_RootConstrainSelectedInstOperands,
     /*  962901 */     // GIR_Coverage, 64257,
     /*  962901 */     GIR_EraseRootFromParent_Done,
     /*  962902 */   // Label 14468: @962902
     /*  962902 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(962984), // Rule ID 64258 //
     /*  962907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962934 */     // MIs[0] op1
     /*  962934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962961 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  962964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962972 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962982 */     GIR_RootConstrainSelectedInstOperands,
     /*  962983 */     // GIR_Coverage, 64258,
     /*  962983 */     GIR_EraseRootFromParent_Done,
     /*  962984 */   // Label 14469: @962984
     /*  962984 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(963066), // Rule ID 64263 //
     /*  962989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963016 */     // MIs[0] op1
     /*  963016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  963046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963048 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963050 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963052 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963054 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963064 */     GIR_RootConstrainSelectedInstOperands,
     /*  963065 */     // GIR_Coverage, 64263,
     /*  963065 */     GIR_EraseRootFromParent_Done,
     /*  963066 */   // Label 14470: @963066
     /*  963066 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(963148), // Rule ID 64264 //
     /*  963071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  963079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963098 */     // MIs[0] op1
     /*  963098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  963128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963136 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963146 */     GIR_RootConstrainSelectedInstOperands,
     /*  963147 */     // GIR_Coverage, 64264,
     /*  963147 */     GIR_EraseRootFromParent_Done,
     /*  963148 */   // Label 14471: @963148
     /*  963148 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(963230), // Rule ID 64275 //
     /*  963153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  963173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963180 */     // MIs[0] op1
     /*  963180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963212 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963214 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963216 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963218 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963228 */     GIR_RootConstrainSelectedInstOperands,
     /*  963229 */     // GIR_Coverage, 64275,
     /*  963229 */     GIR_EraseRootFromParent_Done,
     /*  963230 */   // Label 14472: @963230
     /*  963230 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(963312), // Rule ID 64276 //
     /*  963235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  963255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963262 */     // MIs[0] op1
     /*  963262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963300 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963310 */     GIR_RootConstrainSelectedInstOperands,
     /*  963311 */     // GIR_Coverage, 64276,
     /*  963311 */     GIR_EraseRootFromParent_Done,
     /*  963312 */   // Label 14473: @963312
     /*  963312 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(963394), // Rule ID 64281 //
     /*  963317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963344 */     // MIs[0] op1
     /*  963344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963382 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963392 */     GIR_RootConstrainSelectedInstOperands,
     /*  963393 */     // GIR_Coverage, 64281,
     /*  963393 */     GIR_EraseRootFromParent_Done,
     /*  963394 */   // Label 14474: @963394
     /*  963394 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(963476), // Rule ID 64282 //
     /*  963399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963426 */     // MIs[0] op1
     /*  963426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963464 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963474 */     GIR_RootConstrainSelectedInstOperands,
     /*  963475 */     // GIR_Coverage, 64282,
     /*  963475 */     GIR_EraseRootFromParent_Done,
     /*  963476 */   // Label 14475: @963476
     /*  963476 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(963568), // Rule ID 5194 //
     /*  963481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  963492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  963495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963531 */     // MIs[1] Operand 1
     /*  963531 */     // No operand predicates
     /*  963531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  963547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963566 */     GIR_RootConstrainSelectedInstOperands,
     /*  963567 */     // GIR_Coverage, 5194,
     /*  963567 */     GIR_EraseRootFromParent_Done,
     /*  963568 */   // Label 14476: @963568
     /*  963568 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(963660), // Rule ID 5195 //
     /*  963573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  963584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  963587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963623 */     // MIs[1] Operand 1
     /*  963623 */     // No operand predicates
     /*  963623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  963636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  963639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963658 */     GIR_RootConstrainSelectedInstOperands,
     /*  963659 */     // GIR_Coverage, 5195,
     /*  963659 */     GIR_EraseRootFromParent_Done,
     /*  963660 */   // Label 14477: @963660
     /*  963660 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(963752), // Rule ID 5196 //
     /*  963665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  963676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  963679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963715 */     // MIs[1] Operand 1
     /*  963715 */     // No operand predicates
     /*  963715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963750 */     GIR_RootConstrainSelectedInstOperands,
     /*  963751 */     // GIR_Coverage, 5196,
     /*  963751 */     GIR_EraseRootFromParent_Done,
     /*  963752 */   // Label 14478: @963752
     /*  963752 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(963844), // Rule ID 5197 //
     /*  963757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  963768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  963771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963807 */     // MIs[1] Operand 1
     /*  963807 */     // No operand predicates
     /*  963807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963820 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  963820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963842 */     GIR_RootConstrainSelectedInstOperands,
     /*  963843 */     // GIR_Coverage, 5197,
     /*  963843 */     GIR_EraseRootFromParent_Done,
     /*  963844 */   // Label 14479: @963844
     /*  963844 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(963936), // Rule ID 5198 //
     /*  963849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  963860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  963863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963899 */     // MIs[1] Operand 1
     /*  963899 */     // No operand predicates
     /*  963899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  963915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963934 */     GIR_RootConstrainSelectedInstOperands,
     /*  963935 */     // GIR_Coverage, 5198,
     /*  963935 */     GIR_EraseRootFromParent_Done,
     /*  963936 */   // Label 14480: @963936
     /*  963936 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(964028), // Rule ID 5199 //
     /*  963941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  963952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  963955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963991 */     // MIs[1] Operand 1
     /*  963991 */     // No operand predicates
     /*  963991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964026 */     GIR_RootConstrainSelectedInstOperands,
     /*  964027 */     // GIR_Coverage, 5199,
     /*  964027 */     GIR_EraseRootFromParent_Done,
     /*  964028 */   // Label 14481: @964028
     /*  964028 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(964120), // Rule ID 5200 //
     /*  964033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964083 */     // MIs[1] Operand 1
     /*  964083 */     // No operand predicates
     /*  964083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964118 */     GIR_RootConstrainSelectedInstOperands,
     /*  964119 */     // GIR_Coverage, 5200,
     /*  964119 */     GIR_EraseRootFromParent_Done,
     /*  964120 */   // Label 14482: @964120
     /*  964120 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(964212), // Rule ID 5201 //
     /*  964125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964175 */     // MIs[1] Operand 1
     /*  964175 */     // No operand predicates
     /*  964175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964210 */     GIR_RootConstrainSelectedInstOperands,
     /*  964211 */     // GIR_Coverage, 5201,
     /*  964211 */     GIR_EraseRootFromParent_Done,
     /*  964212 */   // Label 14483: @964212
     /*  964212 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(964304), // Rule ID 5202 //
     /*  964217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964267 */     // MIs[1] Operand 1
     /*  964267 */     // No operand predicates
     /*  964267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964302 */     GIR_RootConstrainSelectedInstOperands,
     /*  964303 */     // GIR_Coverage, 5202,
     /*  964303 */     GIR_EraseRootFromParent_Done,
     /*  964304 */   // Label 14484: @964304
     /*  964304 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(964396), // Rule ID 5203 //
     /*  964309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964359 */     // MIs[1] Operand 1
     /*  964359 */     // No operand predicates
     /*  964359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964394 */     GIR_RootConstrainSelectedInstOperands,
     /*  964395 */     // GIR_Coverage, 5203,
     /*  964395 */     GIR_EraseRootFromParent_Done,
     /*  964396 */   // Label 14485: @964396
     /*  964396 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(964488), // Rule ID 5204 //
     /*  964401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964451 */     // MIs[1] Operand 1
     /*  964451 */     // No operand predicates
     /*  964451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  964464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964486 */     GIR_RootConstrainSelectedInstOperands,
     /*  964487 */     // GIR_Coverage, 5204,
     /*  964487 */     GIR_EraseRootFromParent_Done,
     /*  964488 */   // Label 14486: @964488
     /*  964488 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(964580), // Rule ID 5205 //
     /*  964493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964543 */     // MIs[1] Operand 1
     /*  964543 */     // No operand predicates
     /*  964543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  964556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964578 */     GIR_RootConstrainSelectedInstOperands,
     /*  964579 */     // GIR_Coverage, 5205,
     /*  964579 */     GIR_EraseRootFromParent_Done,
     /*  964580 */   // Label 14487: @964580
     /*  964580 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(964672), // Rule ID 5206 //
     /*  964585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  964596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  964599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964635 */     // MIs[1] Operand 1
     /*  964635 */     // No operand predicates
     /*  964635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  964648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964670 */     GIR_RootConstrainSelectedInstOperands,
     /*  964671 */     // GIR_Coverage, 5206,
     /*  964671 */     GIR_EraseRootFromParent_Done,
     /*  964672 */   // Label 14488: @964672
     /*  964672 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(964764), // Rule ID 5207 //
     /*  964677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  964688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  964691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964727 */     // MIs[1] Operand 1
     /*  964727 */     // No operand predicates
     /*  964727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964762 */     GIR_RootConstrainSelectedInstOperands,
     /*  964763 */     // GIR_Coverage, 5207,
     /*  964763 */     GIR_EraseRootFromParent_Done,
     /*  964764 */   // Label 14489: @964764
     /*  964764 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(964856), // Rule ID 5208 //
     /*  964769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964819 */     // MIs[1] Operand 1
     /*  964819 */     // No operand predicates
     /*  964819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964854 */     GIR_RootConstrainSelectedInstOperands,
     /*  964855 */     // GIR_Coverage, 5208,
     /*  964855 */     GIR_EraseRootFromParent_Done,
     /*  964856 */   // Label 14490: @964856
     /*  964856 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(964948), // Rule ID 5209 //
     /*  964861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964911 */     // MIs[1] Operand 1
     /*  964911 */     // No operand predicates
     /*  964911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964946 */     GIR_RootConstrainSelectedInstOperands,
     /*  964947 */     // GIR_Coverage, 5209,
     /*  964947 */     GIR_EraseRootFromParent_Done,
     /*  964948 */   // Label 14491: @964948
     /*  964948 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(965040), // Rule ID 5210 //
     /*  964953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  964964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  964967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965003 */     // MIs[1] Operand 1
     /*  965003 */     // No operand predicates
     /*  965003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  965016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965038 */     GIR_RootConstrainSelectedInstOperands,
     /*  965039 */     // GIR_Coverage, 5210,
     /*  965039 */     GIR_EraseRootFromParent_Done,
     /*  965040 */   // Label 14492: @965040
     /*  965040 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(965132), // Rule ID 5211 //
     /*  965045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  965062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965095 */     // MIs[1] Operand 1
     /*  965095 */     // No operand predicates
     /*  965095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  965108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965130 */     GIR_RootConstrainSelectedInstOperands,
     /*  965131 */     // GIR_Coverage, 5211,
     /*  965131 */     GIR_EraseRootFromParent_Done,
     /*  965132 */   // Label 14493: @965132
     /*  965132 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(965224), // Rule ID 5212 //
     /*  965137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  965148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  965151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965187 */     // MIs[1] Operand 1
     /*  965187 */     // No operand predicates
     /*  965187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  965200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965222 */     GIR_RootConstrainSelectedInstOperands,
     /*  965223 */     // GIR_Coverage, 5212,
     /*  965223 */     GIR_EraseRootFromParent_Done,
     /*  965224 */   // Label 14494: @965224
     /*  965224 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(965316), // Rule ID 5213 //
     /*  965229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  965240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  965243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965279 */     // MIs[1] Operand 1
     /*  965279 */     // No operand predicates
     /*  965279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  965292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965314 */     GIR_RootConstrainSelectedInstOperands,
     /*  965315 */     // GIR_Coverage, 5213,
     /*  965315 */     GIR_EraseRootFromParent_Done,
     /*  965316 */   // Label 14495: @965316
     /*  965316 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(965408), // Rule ID 5214 //
     /*  965321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965371 */     // MIs[1] Operand 1
     /*  965371 */     // No operand predicates
     /*  965371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965406 */     GIR_RootConstrainSelectedInstOperands,
     /*  965407 */     // GIR_Coverage, 5214,
     /*  965407 */     GIR_EraseRootFromParent_Done,
     /*  965408 */   // Label 14496: @965408
     /*  965408 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(965500), // Rule ID 5215 //
     /*  965413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965463 */     // MIs[1] Operand 1
     /*  965463 */     // No operand predicates
     /*  965463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965498 */     GIR_RootConstrainSelectedInstOperands,
     /*  965499 */     // GIR_Coverage, 5215,
     /*  965499 */     GIR_EraseRootFromParent_Done,
     /*  965500 */   // Label 14497: @965500
     /*  965500 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(965592), // Rule ID 5216 //
     /*  965505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  965516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  965519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965555 */     // MIs[1] Operand 1
     /*  965555 */     // No operand predicates
     /*  965555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  965571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965590 */     GIR_RootConstrainSelectedInstOperands,
     /*  965591 */     // GIR_Coverage, 5216,
     /*  965591 */     GIR_EraseRootFromParent_Done,
     /*  965592 */   // Label 14498: @965592
     /*  965592 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(965684), // Rule ID 5217 //
     /*  965597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  965608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  965611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965647 */     // MIs[1] Operand 1
     /*  965647 */     // No operand predicates
     /*  965647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  965663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965682 */     GIR_RootConstrainSelectedInstOperands,
     /*  965683 */     // GIR_Coverage, 5217,
     /*  965683 */     GIR_EraseRootFromParent_Done,
     /*  965684 */   // Label 14499: @965684
     /*  965684 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(965776), // Rule ID 5218 //
     /*  965689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  965700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  965703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965739 */     // MIs[1] Operand 1
     /*  965739 */     // No operand predicates
     /*  965739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  965755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965774 */     GIR_RootConstrainSelectedInstOperands,
     /*  965775 */     // GIR_Coverage, 5218,
     /*  965775 */     GIR_EraseRootFromParent_Done,
     /*  965776 */   // Label 14500: @965776
     /*  965776 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(965868), // Rule ID 5219 //
     /*  965781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  965792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  965795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965831 */     // MIs[1] Operand 1
     /*  965831 */     // No operand predicates
     /*  965831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  965847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965866 */     GIR_RootConstrainSelectedInstOperands,
     /*  965867 */     // GIR_Coverage, 5219,
     /*  965867 */     GIR_EraseRootFromParent_Done,
     /*  965868 */   // Label 14501: @965868
     /*  965868 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(965960), // Rule ID 5220 //
     /*  965873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965923 */     // MIs[1] Operand 1
     /*  965923 */     // No operand predicates
     /*  965923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  965936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965958 */     GIR_RootConstrainSelectedInstOperands,
     /*  965959 */     // GIR_Coverage, 5220,
     /*  965959 */     GIR_EraseRootFromParent_Done,
     /*  965960 */   // Label 14502: @965960
     /*  965960 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(966052), // Rule ID 5221 //
     /*  965965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966015 */     // MIs[1] Operand 1
     /*  966015 */     // No operand predicates
     /*  966015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966050 */     GIR_RootConstrainSelectedInstOperands,
     /*  966051 */     // GIR_Coverage, 5221,
     /*  966051 */     GIR_EraseRootFromParent_Done,
     /*  966052 */   // Label 14503: @966052
     /*  966052 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(966144), // Rule ID 5222 //
     /*  966057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  966068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  966071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966107 */     // MIs[1] Operand 1
     /*  966107 */     // No operand predicates
     /*  966107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966142 */     GIR_RootConstrainSelectedInstOperands,
     /*  966143 */     // GIR_Coverage, 5222,
     /*  966143 */     GIR_EraseRootFromParent_Done,
     /*  966144 */   // Label 14504: @966144
     /*  966144 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(966236), // Rule ID 5223 //
     /*  966149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  966160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  966163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966199 */     // MIs[1] Operand 1
     /*  966199 */     // No operand predicates
     /*  966199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966234 */     GIR_RootConstrainSelectedInstOperands,
     /*  966235 */     // GIR_Coverage, 5223,
     /*  966235 */     GIR_EraseRootFromParent_Done,
     /*  966236 */   // Label 14505: @966236
     /*  966236 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(966328), // Rule ID 5224 //
     /*  966241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966291 */     // MIs[1] Operand 1
     /*  966291 */     // No operand predicates
     /*  966291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966326 */     GIR_RootConstrainSelectedInstOperands,
     /*  966327 */     // GIR_Coverage, 5224,
     /*  966327 */     GIR_EraseRootFromParent_Done,
     /*  966328 */   // Label 14506: @966328
     /*  966328 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(966420), // Rule ID 5225 //
     /*  966333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966383 */     // MIs[1] Operand 1
     /*  966383 */     // No operand predicates
     /*  966383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966418 */     GIR_RootConstrainSelectedInstOperands,
     /*  966419 */     // GIR_Coverage, 5225,
     /*  966419 */     GIR_EraseRootFromParent_Done,
     /*  966420 */   // Label 14507: @966420
     /*  966420 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(966512), // Rule ID 5226 //
     /*  966425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966475 */     // MIs[1] Operand 1
     /*  966475 */     // No operand predicates
     /*  966475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966510 */     GIR_RootConstrainSelectedInstOperands,
     /*  966511 */     // GIR_Coverage, 5226,
     /*  966511 */     GIR_EraseRootFromParent_Done,
     /*  966512 */   // Label 14508: @966512
     /*  966512 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(966604), // Rule ID 5227 //
     /*  966517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966567 */     // MIs[1] Operand 1
     /*  966567 */     // No operand predicates
     /*  966567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966602 */     GIR_RootConstrainSelectedInstOperands,
     /*  966603 */     // GIR_Coverage, 5227,
     /*  966603 */     GIR_EraseRootFromParent_Done,
     /*  966604 */   // Label 14509: @966604
     /*  966604 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(966696), // Rule ID 5228 //
     /*  966609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966659 */     // MIs[1] Operand 1
     /*  966659 */     // No operand predicates
     /*  966659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966694 */     GIR_RootConstrainSelectedInstOperands,
     /*  966695 */     // GIR_Coverage, 5228,
     /*  966695 */     GIR_EraseRootFromParent_Done,
     /*  966696 */   // Label 14510: @966696
     /*  966696 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(966788), // Rule ID 5229 //
     /*  966701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966751 */     // MIs[1] Operand 1
     /*  966751 */     // No operand predicates
     /*  966751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966786 */     GIR_RootConstrainSelectedInstOperands,
     /*  966787 */     // GIR_Coverage, 5229,
     /*  966787 */     GIR_EraseRootFromParent_Done,
     /*  966788 */   // Label 14511: @966788
     /*  966788 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(966880), // Rule ID 5230 //
     /*  966793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966843 */     // MIs[1] Operand 1
     /*  966843 */     // No operand predicates
     /*  966843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966878 */     GIR_RootConstrainSelectedInstOperands,
     /*  966879 */     // GIR_Coverage, 5230,
     /*  966879 */     GIR_EraseRootFromParent_Done,
     /*  966880 */   // Label 14512: @966880
     /*  966880 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(966972), // Rule ID 5231 //
     /*  966885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966935 */     // MIs[1] Operand 1
     /*  966935 */     // No operand predicates
     /*  966935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966948 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966970 */     GIR_RootConstrainSelectedInstOperands,
     /*  966971 */     // GIR_Coverage, 5231,
     /*  966971 */     GIR_EraseRootFromParent_Done,
     /*  966972 */   // Label 14513: @966972
     /*  966972 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(967064), // Rule ID 5232 //
     /*  966977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967027 */     // MIs[1] Operand 1
     /*  967027 */     // No operand predicates
     /*  967027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967040 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  967043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967062 */     GIR_RootConstrainSelectedInstOperands,
     /*  967063 */     // GIR_Coverage, 5232,
     /*  967063 */     GIR_EraseRootFromParent_Done,
     /*  967064 */   // Label 14514: @967064
     /*  967064 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(967156), // Rule ID 5233 //
     /*  967069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  967080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  967083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  967086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967119 */     // MIs[1] Operand 1
     /*  967119 */     // No operand predicates
     /*  967119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  967135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967154 */     GIR_RootConstrainSelectedInstOperands,
     /*  967155 */     // GIR_Coverage, 5233,
     /*  967155 */     GIR_EraseRootFromParent_Done,
     /*  967156 */   // Label 14515: @967156
     /*  967156 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(967248), // Rule ID 5234 //
     /*  967161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  967172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  967175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967211 */     // MIs[1] Operand 1
     /*  967211 */     // No operand predicates
     /*  967211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967246 */     GIR_RootConstrainSelectedInstOperands,
     /*  967247 */     // GIR_Coverage, 5234,
     /*  967247 */     GIR_EraseRootFromParent_Done,
     /*  967248 */   // Label 14516: @967248
     /*  967248 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(967340), // Rule ID 5235 //
     /*  967253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  967264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  967267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967303 */     // MIs[1] Operand 1
     /*  967303 */     // No operand predicates
     /*  967303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967338 */     GIR_RootConstrainSelectedInstOperands,
     /*  967339 */     // GIR_Coverage, 5235,
     /*  967339 */     GIR_EraseRootFromParent_Done,
     /*  967340 */   // Label 14517: @967340
     /*  967340 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(967432), // Rule ID 5236 //
     /*  967345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967395 */     // MIs[1] Operand 1
     /*  967395 */     // No operand predicates
     /*  967395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967430 */     GIR_RootConstrainSelectedInstOperands,
     /*  967431 */     // GIR_Coverage, 5236,
     /*  967431 */     GIR_EraseRootFromParent_Done,
     /*  967432 */   // Label 14518: @967432
     /*  967432 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(967524), // Rule ID 5237 //
     /*  967437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967487 */     // MIs[1] Operand 1
     /*  967487 */     // No operand predicates
     /*  967487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967522 */     GIR_RootConstrainSelectedInstOperands,
     /*  967523 */     // GIR_Coverage, 5237,
     /*  967523 */     GIR_EraseRootFromParent_Done,
     /*  967524 */   // Label 14519: @967524
     /*  967524 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(967619), // Rule ID 7968 //
     /*  967529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967579 */     // MIs[1] Operand 1
     /*  967579 */     // No operand predicates
     /*  967579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  967595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967617 */     GIR_RootConstrainSelectedInstOperands,
     /*  967618 */     // GIR_Coverage, 7968,
     /*  967618 */     GIR_EraseRootFromParent_Done,
     /*  967619 */   // Label 14520: @967619
     /*  967619 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(967714), // Rule ID 7969 //
     /*  967624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967674 */     // MIs[1] Operand 1
     /*  967674 */     // No operand predicates
     /*  967674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  967690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967712 */     GIR_RootConstrainSelectedInstOperands,
     /*  967713 */     // GIR_Coverage, 7969,
     /*  967713 */     GIR_EraseRootFromParent_Done,
     /*  967714 */   // Label 14521: @967714
     /*  967714 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(967809), // Rule ID 7972 //
     /*  967719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967769 */     // MIs[1] Operand 1
     /*  967769 */     // No operand predicates
     /*  967769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  967785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967807 */     GIR_RootConstrainSelectedInstOperands,
     /*  967808 */     // GIR_Coverage, 7972,
     /*  967808 */     GIR_EraseRootFromParent_Done,
     /*  967809 */   // Label 14522: @967809
     /*  967809 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(967904), // Rule ID 7973 //
     /*  967814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967864 */     // MIs[1] Operand 1
     /*  967864 */     // No operand predicates
     /*  967864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  967880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967902 */     GIR_RootConstrainSelectedInstOperands,
     /*  967903 */     // GIR_Coverage, 7973,
     /*  967903 */     GIR_EraseRootFromParent_Done,
     /*  967904 */   // Label 14523: @967904
     /*  967904 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(967999), // Rule ID 7976 //
     /*  967909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967959 */     // MIs[1] Operand 1
     /*  967959 */     // No operand predicates
     /*  967959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  967975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967997 */     GIR_RootConstrainSelectedInstOperands,
     /*  967998 */     // GIR_Coverage, 7976,
     /*  967998 */     GIR_EraseRootFromParent_Done,
     /*  967999 */   // Label 14524: @967999
     /*  967999 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(968094), // Rule ID 7977 //
     /*  968004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  968021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968054 */     // MIs[1] Operand 1
     /*  968054 */     // No operand predicates
     /*  968054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968092 */     GIR_RootConstrainSelectedInstOperands,
     /*  968093 */     // GIR_Coverage, 7977,
     /*  968093 */     GIR_EraseRootFromParent_Done,
     /*  968094 */   // Label 14525: @968094
     /*  968094 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(968189), // Rule ID 7980 //
     /*  968099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968149 */     // MIs[1] Operand 1
     /*  968149 */     // No operand predicates
     /*  968149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968187 */     GIR_RootConstrainSelectedInstOperands,
     /*  968188 */     // GIR_Coverage, 7980,
     /*  968188 */     GIR_EraseRootFromParent_Done,
     /*  968189 */   // Label 14526: @968189
     /*  968189 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(968284), // Rule ID 7981 //
     /*  968194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968244 */     // MIs[1] Operand 1
     /*  968244 */     // No operand predicates
     /*  968244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968282 */     GIR_RootConstrainSelectedInstOperands,
     /*  968283 */     // GIR_Coverage, 7981,
     /*  968283 */     GIR_EraseRootFromParent_Done,
     /*  968284 */   // Label 14527: @968284
     /*  968284 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(968379), // Rule ID 7984 //
     /*  968289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968339 */     // MIs[1] Operand 1
     /*  968339 */     // No operand predicates
     /*  968339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968377 */     GIR_RootConstrainSelectedInstOperands,
     /*  968378 */     // GIR_Coverage, 7984,
     /*  968378 */     GIR_EraseRootFromParent_Done,
     /*  968379 */   // Label 14528: @968379
     /*  968379 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(968474), // Rule ID 7985 //
     /*  968384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968434 */     // MIs[1] Operand 1
     /*  968434 */     // No operand predicates
     /*  968434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968472 */     GIR_RootConstrainSelectedInstOperands,
     /*  968473 */     // GIR_Coverage, 7985,
     /*  968473 */     GIR_EraseRootFromParent_Done,
     /*  968474 */   // Label 14529: @968474
     /*  968474 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(968569), // Rule ID 7988 //
     /*  968479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968529 */     // MIs[1] Operand 1
     /*  968529 */     // No operand predicates
     /*  968529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968567 */     GIR_RootConstrainSelectedInstOperands,
     /*  968568 */     // GIR_Coverage, 7988,
     /*  968568 */     GIR_EraseRootFromParent_Done,
     /*  968569 */   // Label 14530: @968569
     /*  968569 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(968664), // Rule ID 7989 //
     /*  968574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968624 */     // MIs[1] Operand 1
     /*  968624 */     // No operand predicates
     /*  968624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968662 */     GIR_RootConstrainSelectedInstOperands,
     /*  968663 */     // GIR_Coverage, 7989,
     /*  968663 */     GIR_EraseRootFromParent_Done,
     /*  968664 */   // Label 14531: @968664
     /*  968664 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(968759), // Rule ID 7992 //
     /*  968669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968719 */     // MIs[1] Operand 1
     /*  968719 */     // No operand predicates
     /*  968719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968757 */     GIR_RootConstrainSelectedInstOperands,
     /*  968758 */     // GIR_Coverage, 7992,
     /*  968758 */     GIR_EraseRootFromParent_Done,
     /*  968759 */   // Label 14532: @968759
     /*  968759 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(968854), // Rule ID 7993 //
     /*  968764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968814 */     // MIs[1] Operand 1
     /*  968814 */     // No operand predicates
     /*  968814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968852 */     GIR_RootConstrainSelectedInstOperands,
     /*  968853 */     // GIR_Coverage, 7993,
     /*  968853 */     GIR_EraseRootFromParent_Done,
     /*  968854 */   // Label 14533: @968854
     /*  968854 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(968949), // Rule ID 7996 //
     /*  968859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968909 */     // MIs[1] Operand 1
     /*  968909 */     // No operand predicates
     /*  968909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968947 */     GIR_RootConstrainSelectedInstOperands,
     /*  968948 */     // GIR_Coverage, 7996,
     /*  968948 */     GIR_EraseRootFromParent_Done,
     /*  968949 */   // Label 14534: @968949
     /*  968949 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(969044), // Rule ID 7997 //
     /*  968954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969004 */     // MIs[1] Operand 1
     /*  969004 */     // No operand predicates
     /*  969004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969017 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969042 */     GIR_RootConstrainSelectedInstOperands,
     /*  969043 */     // GIR_Coverage, 7997,
     /*  969043 */     GIR_EraseRootFromParent_Done,
     /*  969044 */   // Label 14535: @969044
     /*  969044 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(969139), // Rule ID 8000 //
     /*  969049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969099 */     // MIs[1] Operand 1
     /*  969099 */     // No operand predicates
     /*  969099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969137 */     GIR_RootConstrainSelectedInstOperands,
     /*  969138 */     // GIR_Coverage, 8000,
     /*  969138 */     GIR_EraseRootFromParent_Done,
     /*  969139 */   // Label 14536: @969139
     /*  969139 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(969234), // Rule ID 8001 //
     /*  969144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969194 */     // MIs[1] Operand 1
     /*  969194 */     // No operand predicates
     /*  969194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969207 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969232 */     GIR_RootConstrainSelectedInstOperands,
     /*  969233 */     // GIR_Coverage, 8001,
     /*  969233 */     GIR_EraseRootFromParent_Done,
     /*  969234 */   // Label 14537: @969234
     /*  969234 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(969329), // Rule ID 8004 //
     /*  969239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969289 */     // MIs[1] Operand 1
     /*  969289 */     // No operand predicates
     /*  969289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969302 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969327 */     GIR_RootConstrainSelectedInstOperands,
     /*  969328 */     // GIR_Coverage, 8004,
     /*  969328 */     GIR_EraseRootFromParent_Done,
     /*  969329 */   // Label 14538: @969329
     /*  969329 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(969424), // Rule ID 8005 //
     /*  969334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969384 */     // MIs[1] Operand 1
     /*  969384 */     // No operand predicates
     /*  969384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969397 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969422 */     GIR_RootConstrainSelectedInstOperands,
     /*  969423 */     // GIR_Coverage, 8005,
     /*  969423 */     GIR_EraseRootFromParent_Done,
     /*  969424 */   // Label 14539: @969424
     /*  969424 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(969519), // Rule ID 8008 //
     /*  969429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969479 */     // MIs[1] Operand 1
     /*  969479 */     // No operand predicates
     /*  969479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969517 */     GIR_RootConstrainSelectedInstOperands,
     /*  969518 */     // GIR_Coverage, 8008,
     /*  969518 */     GIR_EraseRootFromParent_Done,
     /*  969519 */   // Label 14540: @969519
     /*  969519 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(969614), // Rule ID 8009 //
     /*  969524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969574 */     // MIs[1] Operand 1
     /*  969574 */     // No operand predicates
     /*  969574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969587 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969612 */     GIR_RootConstrainSelectedInstOperands,
     /*  969613 */     // GIR_Coverage, 8009,
     /*  969613 */     GIR_EraseRootFromParent_Done,
     /*  969614 */   // Label 14541: @969614
     /*  969614 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(969709), // Rule ID 8012 //
     /*  969619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969669 */     // MIs[1] Operand 1
     /*  969669 */     // No operand predicates
     /*  969669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969682 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  969685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969707 */     GIR_RootConstrainSelectedInstOperands,
     /*  969708 */     // GIR_Coverage, 8012,
     /*  969708 */     GIR_EraseRootFromParent_Done,
     /*  969709 */   // Label 14542: @969709
     /*  969709 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(969804), // Rule ID 8013 //
     /*  969714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969764 */     // MIs[1] Operand 1
     /*  969764 */     // No operand predicates
     /*  969764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969777 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  969780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969802 */     GIR_RootConstrainSelectedInstOperands,
     /*  969803 */     // GIR_Coverage, 8013,
     /*  969803 */     GIR_EraseRootFromParent_Done,
     /*  969804 */   // Label 14543: @969804
     /*  969804 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(969899), // Rule ID 8016 //
     /*  969809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969859 */     // MIs[1] Operand 1
     /*  969859 */     // No operand predicates
     /*  969859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969872 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  969875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969897 */     GIR_RootConstrainSelectedInstOperands,
     /*  969898 */     // GIR_Coverage, 8016,
     /*  969898 */     GIR_EraseRootFromParent_Done,
     /*  969899 */   // Label 14544: @969899
     /*  969899 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(969994), // Rule ID 8017 //
     /*  969904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969954 */     // MIs[1] Operand 1
     /*  969954 */     // No operand predicates
     /*  969954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969967 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  969970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969992 */     GIR_RootConstrainSelectedInstOperands,
     /*  969993 */     // GIR_Coverage, 8017,
     /*  969993 */     GIR_EraseRootFromParent_Done,
     /*  969994 */   // Label 14545: @969994
     /*  969994 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(970089), // Rule ID 8020 //
     /*  969999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970049 */     // MIs[1] Operand 1
     /*  970049 */     // No operand predicates
     /*  970049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970087 */     GIR_RootConstrainSelectedInstOperands,
     /*  970088 */     // GIR_Coverage, 8020,
     /*  970088 */     GIR_EraseRootFromParent_Done,
     /*  970089 */   // Label 14546: @970089
     /*  970089 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(970184), // Rule ID 8021 //
     /*  970094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970144 */     // MIs[1] Operand 1
     /*  970144 */     // No operand predicates
     /*  970144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970182 */     GIR_RootConstrainSelectedInstOperands,
     /*  970183 */     // GIR_Coverage, 8021,
     /*  970183 */     GIR_EraseRootFromParent_Done,
     /*  970184 */   // Label 14547: @970184
     /*  970184 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(970279), // Rule ID 8024 //
     /*  970189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970239 */     // MIs[1] Operand 1
     /*  970239 */     // No operand predicates
     /*  970239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970277 */     GIR_RootConstrainSelectedInstOperands,
     /*  970278 */     // GIR_Coverage, 8024,
     /*  970278 */     GIR_EraseRootFromParent_Done,
     /*  970279 */   // Label 14548: @970279
     /*  970279 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(970374), // Rule ID 8025 //
     /*  970284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970334 */     // MIs[1] Operand 1
     /*  970334 */     // No operand predicates
     /*  970334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970372 */     GIR_RootConstrainSelectedInstOperands,
     /*  970373 */     // GIR_Coverage, 8025,
     /*  970373 */     GIR_EraseRootFromParent_Done,
     /*  970374 */   // Label 14549: @970374
     /*  970374 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(970469), // Rule ID 8028 //
     /*  970379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970429 */     // MIs[1] Operand 1
     /*  970429 */     // No operand predicates
     /*  970429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970442 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970467 */     GIR_RootConstrainSelectedInstOperands,
     /*  970468 */     // GIR_Coverage, 8028,
     /*  970468 */     GIR_EraseRootFromParent_Done,
     /*  970469 */   // Label 14550: @970469
     /*  970469 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(970564), // Rule ID 8029 //
     /*  970474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970524 */     // MIs[1] Operand 1
     /*  970524 */     // No operand predicates
     /*  970524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970562 */     GIR_RootConstrainSelectedInstOperands,
     /*  970563 */     // GIR_Coverage, 8029,
     /*  970563 */     GIR_EraseRootFromParent_Done,
     /*  970564 */   // Label 14551: @970564
     /*  970564 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(970659), // Rule ID 8032 //
     /*  970569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970619 */     // MIs[1] Operand 1
     /*  970619 */     // No operand predicates
     /*  970619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970657 */     GIR_RootConstrainSelectedInstOperands,
     /*  970658 */     // GIR_Coverage, 8032,
     /*  970658 */     GIR_EraseRootFromParent_Done,
     /*  970659 */   // Label 14552: @970659
     /*  970659 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(970754), // Rule ID 8033 //
     /*  970664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970714 */     // MIs[1] Operand 1
     /*  970714 */     // No operand predicates
     /*  970714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970727 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970752 */     GIR_RootConstrainSelectedInstOperands,
     /*  970753 */     // GIR_Coverage, 8033,
     /*  970753 */     GIR_EraseRootFromParent_Done,
     /*  970754 */   // Label 14553: @970754
     /*  970754 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(970849), // Rule ID 8036 //
     /*  970759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970809 */     // MIs[1] Operand 1
     /*  970809 */     // No operand predicates
     /*  970809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970847 */     GIR_RootConstrainSelectedInstOperands,
     /*  970848 */     // GIR_Coverage, 8036,
     /*  970848 */     GIR_EraseRootFromParent_Done,
     /*  970849 */   // Label 14554: @970849
     /*  970849 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(970944), // Rule ID 8037 //
     /*  970854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970904 */     // MIs[1] Operand 1
     /*  970904 */     // No operand predicates
     /*  970904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970917 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970942 */     GIR_RootConstrainSelectedInstOperands,
     /*  970943 */     // GIR_Coverage, 8037,
     /*  970943 */     GIR_EraseRootFromParent_Done,
     /*  970944 */   // Label 14555: @970944
     /*  970944 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(971039), // Rule ID 8040 //
     /*  970949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970999 */     // MIs[1] Operand 1
     /*  970999 */     // No operand predicates
     /*  970999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971037 */     GIR_RootConstrainSelectedInstOperands,
     /*  971038 */     // GIR_Coverage, 8040,
     /*  971038 */     GIR_EraseRootFromParent_Done,
     /*  971039 */   // Label 14556: @971039
     /*  971039 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(971134), // Rule ID 8041 //
     /*  971044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971094 */     // MIs[1] Operand 1
     /*  971094 */     // No operand predicates
     /*  971094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971132 */     GIR_RootConstrainSelectedInstOperands,
     /*  971133 */     // GIR_Coverage, 8041,
     /*  971133 */     GIR_EraseRootFromParent_Done,
     /*  971134 */   // Label 14557: @971134
     /*  971134 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(971229), // Rule ID 8044 //
     /*  971139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971189 */     // MIs[1] Operand 1
     /*  971189 */     // No operand predicates
     /*  971189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971227 */     GIR_RootConstrainSelectedInstOperands,
     /*  971228 */     // GIR_Coverage, 8044,
     /*  971228 */     GIR_EraseRootFromParent_Done,
     /*  971229 */   // Label 14558: @971229
     /*  971229 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(971324), // Rule ID 8045 //
     /*  971234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971284 */     // MIs[1] Operand 1
     /*  971284 */     // No operand predicates
     /*  971284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971322 */     GIR_RootConstrainSelectedInstOperands,
     /*  971323 */     // GIR_Coverage, 8045,
     /*  971323 */     GIR_EraseRootFromParent_Done,
     /*  971324 */   // Label 14559: @971324
     /*  971324 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(971419), // Rule ID 8048 //
     /*  971329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971379 */     // MIs[1] Operand 1
     /*  971379 */     // No operand predicates
     /*  971379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971417 */     GIR_RootConstrainSelectedInstOperands,
     /*  971418 */     // GIR_Coverage, 8048,
     /*  971418 */     GIR_EraseRootFromParent_Done,
     /*  971419 */   // Label 14560: @971419
     /*  971419 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(971514), // Rule ID 8049 //
     /*  971424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971474 */     // MIs[1] Operand 1
     /*  971474 */     // No operand predicates
     /*  971474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971512 */     GIR_RootConstrainSelectedInstOperands,
     /*  971513 */     // GIR_Coverage, 8049,
     /*  971513 */     GIR_EraseRootFromParent_Done,
     /*  971514 */   // Label 14561: @971514
     /*  971514 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(971609), // Rule ID 8052 //
     /*  971519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971569 */     // MIs[1] Operand 1
     /*  971569 */     // No operand predicates
     /*  971569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971607 */     GIR_RootConstrainSelectedInstOperands,
     /*  971608 */     // GIR_Coverage, 8052,
     /*  971608 */     GIR_EraseRootFromParent_Done,
     /*  971609 */   // Label 14562: @971609
     /*  971609 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(971704), // Rule ID 8053 //
     /*  971614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971664 */     // MIs[1] Operand 1
     /*  971664 */     // No operand predicates
     /*  971664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971702 */     GIR_RootConstrainSelectedInstOperands,
     /*  971703 */     // GIR_Coverage, 8053,
     /*  971703 */     GIR_EraseRootFromParent_Done,
     /*  971704 */   // Label 14563: @971704
     /*  971704 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(971799), // Rule ID 8232 //
     /*  971709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971759 */     // MIs[1] Operand 1
     /*  971759 */     // No operand predicates
     /*  971759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  971775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971797 */     GIR_RootConstrainSelectedInstOperands,
     /*  971798 */     // GIR_Coverage, 8232,
     /*  971798 */     GIR_EraseRootFromParent_Done,
     /*  971799 */   // Label 14564: @971799
     /*  971799 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(971894), // Rule ID 8233 //
     /*  971804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971854 */     // MIs[1] Operand 1
     /*  971854 */     // No operand predicates
     /*  971854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  971870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971892 */     GIR_RootConstrainSelectedInstOperands,
     /*  971893 */     // GIR_Coverage, 8233,
     /*  971893 */     GIR_EraseRootFromParent_Done,
     /*  971894 */   // Label 14565: @971894
     /*  971894 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(971989), // Rule ID 8236 //
     /*  971899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971949 */     // MIs[1] Operand 1
     /*  971949 */     // No operand predicates
     /*  971949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  971965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971987 */     GIR_RootConstrainSelectedInstOperands,
     /*  971988 */     // GIR_Coverage, 8236,
     /*  971988 */     GIR_EraseRootFromParent_Done,
     /*  971989 */   // Label 14566: @971989
     /*  971989 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(972084), // Rule ID 8237 //
     /*  971994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  972011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972044 */     // MIs[1] Operand 1
     /*  972044 */     // No operand predicates
     /*  972044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972082 */     GIR_RootConstrainSelectedInstOperands,
     /*  972083 */     // GIR_Coverage, 8237,
     /*  972083 */     GIR_EraseRootFromParent_Done,
     /*  972084 */   // Label 14567: @972084
     /*  972084 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(972179), // Rule ID 8240 //
     /*  972089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972139 */     // MIs[1] Operand 1
     /*  972139 */     // No operand predicates
     /*  972139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972177 */     GIR_RootConstrainSelectedInstOperands,
     /*  972178 */     // GIR_Coverage, 8240,
     /*  972178 */     GIR_EraseRootFromParent_Done,
     /*  972179 */   // Label 14568: @972179
     /*  972179 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(972274), // Rule ID 8241 //
     /*  972184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972234 */     // MIs[1] Operand 1
     /*  972234 */     // No operand predicates
     /*  972234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972247 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972272 */     GIR_RootConstrainSelectedInstOperands,
     /*  972273 */     // GIR_Coverage, 8241,
     /*  972273 */     GIR_EraseRootFromParent_Done,
     /*  972274 */   // Label 14569: @972274
     /*  972274 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(972369), // Rule ID 8244 //
     /*  972279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972329 */     // MIs[1] Operand 1
     /*  972329 */     // No operand predicates
     /*  972329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972342 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972367 */     GIR_RootConstrainSelectedInstOperands,
     /*  972368 */     // GIR_Coverage, 8244,
     /*  972368 */     GIR_EraseRootFromParent_Done,
     /*  972369 */   // Label 14570: @972369
     /*  972369 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(972464), // Rule ID 8245 //
     /*  972374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972424 */     // MIs[1] Operand 1
     /*  972424 */     // No operand predicates
     /*  972424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972462 */     GIR_RootConstrainSelectedInstOperands,
     /*  972463 */     // GIR_Coverage, 8245,
     /*  972463 */     GIR_EraseRootFromParent_Done,
     /*  972464 */   // Label 14571: @972464
     /*  972464 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(972559), // Rule ID 8248 //
     /*  972469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972519 */     // MIs[1] Operand 1
     /*  972519 */     // No operand predicates
     /*  972519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972557 */     GIR_RootConstrainSelectedInstOperands,
     /*  972558 */     // GIR_Coverage, 8248,
     /*  972558 */     GIR_EraseRootFromParent_Done,
     /*  972559 */   // Label 14572: @972559
     /*  972559 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(972654), // Rule ID 8249 //
     /*  972564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972614 */     // MIs[1] Operand 1
     /*  972614 */     // No operand predicates
     /*  972614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972652 */     GIR_RootConstrainSelectedInstOperands,
     /*  972653 */     // GIR_Coverage, 8249,
     /*  972653 */     GIR_EraseRootFromParent_Done,
     /*  972654 */   // Label 14573: @972654
     /*  972654 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(972749), // Rule ID 8252 //
     /*  972659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972709 */     // MIs[1] Operand 1
     /*  972709 */     // No operand predicates
     /*  972709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972747 */     GIR_RootConstrainSelectedInstOperands,
     /*  972748 */     // GIR_Coverage, 8252,
     /*  972748 */     GIR_EraseRootFromParent_Done,
     /*  972749 */   // Label 14574: @972749
     /*  972749 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(972844), // Rule ID 8253 //
     /*  972754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972804 */     // MIs[1] Operand 1
     /*  972804 */     // No operand predicates
     /*  972804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972842 */     GIR_RootConstrainSelectedInstOperands,
     /*  972843 */     // GIR_Coverage, 8253,
     /*  972843 */     GIR_EraseRootFromParent_Done,
     /*  972844 */   // Label 14575: @972844
     /*  972844 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(972939), // Rule ID 8256 //
     /*  972849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972899 */     // MIs[1] Operand 1
     /*  972899 */     // No operand predicates
     /*  972899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  972915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972937 */     GIR_RootConstrainSelectedInstOperands,
     /*  972938 */     // GIR_Coverage, 8256,
     /*  972938 */     GIR_EraseRootFromParent_Done,
     /*  972939 */   // Label 14576: @972939
     /*  972939 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(973034), // Rule ID 8257 //
     /*  972944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972994 */     // MIs[1] Operand 1
     /*  972994 */     // No operand predicates
     /*  972994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973007 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973032 */     GIR_RootConstrainSelectedInstOperands,
     /*  973033 */     // GIR_Coverage, 8257,
     /*  973033 */     GIR_EraseRootFromParent_Done,
     /*  973034 */   // Label 14577: @973034
     /*  973034 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(973129), // Rule ID 8260 //
     /*  973039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973089 */     // MIs[1] Operand 1
     /*  973089 */     // No operand predicates
     /*  973089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973127 */     GIR_RootConstrainSelectedInstOperands,
     /*  973128 */     // GIR_Coverage, 8260,
     /*  973128 */     GIR_EraseRootFromParent_Done,
     /*  973129 */   // Label 14578: @973129
     /*  973129 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(973224), // Rule ID 8261 //
     /*  973134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973184 */     // MIs[1] Operand 1
     /*  973184 */     // No operand predicates
     /*  973184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973222 */     GIR_RootConstrainSelectedInstOperands,
     /*  973223 */     // GIR_Coverage, 8261,
     /*  973223 */     GIR_EraseRootFromParent_Done,
     /*  973224 */   // Label 14579: @973224
     /*  973224 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(973319), // Rule ID 8264 //
     /*  973229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973279 */     // MIs[1] Operand 1
     /*  973279 */     // No operand predicates
     /*  973279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973317 */     GIR_RootConstrainSelectedInstOperands,
     /*  973318 */     // GIR_Coverage, 8264,
     /*  973318 */     GIR_EraseRootFromParent_Done,
     /*  973319 */   // Label 14580: @973319
     /*  973319 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(973414), // Rule ID 8265 //
     /*  973324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973374 */     // MIs[1] Operand 1
     /*  973374 */     // No operand predicates
     /*  973374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973387 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973412 */     GIR_RootConstrainSelectedInstOperands,
     /*  973413 */     // GIR_Coverage, 8265,
     /*  973413 */     GIR_EraseRootFromParent_Done,
     /*  973414 */   // Label 14581: @973414
     /*  973414 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(973509), // Rule ID 8268 //
     /*  973419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973469 */     // MIs[1] Operand 1
     /*  973469 */     // No operand predicates
     /*  973469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973482 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973507 */     GIR_RootConstrainSelectedInstOperands,
     /*  973508 */     // GIR_Coverage, 8268,
     /*  973508 */     GIR_EraseRootFromParent_Done,
     /*  973509 */   // Label 14582: @973509
     /*  973509 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(973604), // Rule ID 8269 //
     /*  973514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973564 */     // MIs[1] Operand 1
     /*  973564 */     // No operand predicates
     /*  973564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973602 */     GIR_RootConstrainSelectedInstOperands,
     /*  973603 */     // GIR_Coverage, 8269,
     /*  973603 */     GIR_EraseRootFromParent_Done,
     /*  973604 */   // Label 14583: @973604
     /*  973604 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(973699), // Rule ID 8272 //
     /*  973609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973659 */     // MIs[1] Operand 1
     /*  973659 */     // No operand predicates
     /*  973659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  973675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973697 */     GIR_RootConstrainSelectedInstOperands,
     /*  973698 */     // GIR_Coverage, 8272,
     /*  973698 */     GIR_EraseRootFromParent_Done,
     /*  973699 */   // Label 14584: @973699
     /*  973699 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(973794), // Rule ID 8273 //
     /*  973704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973754 */     // MIs[1] Operand 1
     /*  973754 */     // No operand predicates
     /*  973754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973767 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  973770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973792 */     GIR_RootConstrainSelectedInstOperands,
     /*  973793 */     // GIR_Coverage, 8273,
     /*  973793 */     GIR_EraseRootFromParent_Done,
     /*  973794 */   // Label 14585: @973794
     /*  973794 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(973889), // Rule ID 8276 //
     /*  973799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973849 */     // MIs[1] Operand 1
     /*  973849 */     // No operand predicates
     /*  973849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973862 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  973865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973887 */     GIR_RootConstrainSelectedInstOperands,
     /*  973888 */     // GIR_Coverage, 8276,
     /*  973888 */     GIR_EraseRootFromParent_Done,
     /*  973889 */   // Label 14586: @973889
     /*  973889 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(973984), // Rule ID 8277 //
     /*  973894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973944 */     // MIs[1] Operand 1
     /*  973944 */     // No operand predicates
     /*  973944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973957 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  973960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973982 */     GIR_RootConstrainSelectedInstOperands,
     /*  973983 */     // GIR_Coverage, 8277,
     /*  973983 */     GIR_EraseRootFromParent_Done,
     /*  973984 */   // Label 14587: @973984
     /*  973984 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(974079), // Rule ID 8280 //
     /*  973989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974039 */     // MIs[1] Operand 1
     /*  974039 */     // No operand predicates
     /*  974039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974052 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974077 */     GIR_RootConstrainSelectedInstOperands,
     /*  974078 */     // GIR_Coverage, 8280,
     /*  974078 */     GIR_EraseRootFromParent_Done,
     /*  974079 */   // Label 14588: @974079
     /*  974079 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(974174), // Rule ID 8281 //
     /*  974084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974134 */     // MIs[1] Operand 1
     /*  974134 */     // No operand predicates
     /*  974134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974147 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974172 */     GIR_RootConstrainSelectedInstOperands,
     /*  974173 */     // GIR_Coverage, 8281,
     /*  974173 */     GIR_EraseRootFromParent_Done,
     /*  974174 */   // Label 14589: @974174
     /*  974174 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(974269), // Rule ID 8284 //
     /*  974179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974229 */     // MIs[1] Operand 1
     /*  974229 */     // No operand predicates
     /*  974229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974267 */     GIR_RootConstrainSelectedInstOperands,
     /*  974268 */     // GIR_Coverage, 8284,
     /*  974268 */     GIR_EraseRootFromParent_Done,
     /*  974269 */   // Label 14590: @974269
     /*  974269 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(974364), // Rule ID 8285 //
     /*  974274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974324 */     // MIs[1] Operand 1
     /*  974324 */     // No operand predicates
     /*  974324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974362 */     GIR_RootConstrainSelectedInstOperands,
     /*  974363 */     // GIR_Coverage, 8285,
     /*  974363 */     GIR_EraseRootFromParent_Done,
     /*  974364 */   // Label 14591: @974364
     /*  974364 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(974459), // Rule ID 8288 //
     /*  974369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974419 */     // MIs[1] Operand 1
     /*  974419 */     // No operand predicates
     /*  974419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974457 */     GIR_RootConstrainSelectedInstOperands,
     /*  974458 */     // GIR_Coverage, 8288,
     /*  974458 */     GIR_EraseRootFromParent_Done,
     /*  974459 */   // Label 14592: @974459
     /*  974459 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(974554), // Rule ID 8289 //
     /*  974464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974514 */     // MIs[1] Operand 1
     /*  974514 */     // No operand predicates
     /*  974514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974552 */     GIR_RootConstrainSelectedInstOperands,
     /*  974553 */     // GIR_Coverage, 8289,
     /*  974553 */     GIR_EraseRootFromParent_Done,
     /*  974554 */   // Label 14593: @974554
     /*  974554 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(974649), // Rule ID 8292 //
     /*  974559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974609 */     // MIs[1] Operand 1
     /*  974609 */     // No operand predicates
     /*  974609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974647 */     GIR_RootConstrainSelectedInstOperands,
     /*  974648 */     // GIR_Coverage, 8292,
     /*  974648 */     GIR_EraseRootFromParent_Done,
     /*  974649 */   // Label 14594: @974649
     /*  974649 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(974744), // Rule ID 8293 //
     /*  974654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974704 */     // MIs[1] Operand 1
     /*  974704 */     // No operand predicates
     /*  974704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974717 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974742 */     GIR_RootConstrainSelectedInstOperands,
     /*  974743 */     // GIR_Coverage, 8293,
     /*  974743 */     GIR_EraseRootFromParent_Done,
     /*  974744 */   // Label 14595: @974744
     /*  974744 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(974839), // Rule ID 8296 //
     /*  974749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974799 */     // MIs[1] Operand 1
     /*  974799 */     // No operand predicates
     /*  974799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974837 */     GIR_RootConstrainSelectedInstOperands,
     /*  974838 */     // GIR_Coverage, 8296,
     /*  974838 */     GIR_EraseRootFromParent_Done,
     /*  974839 */   // Label 14596: @974839
     /*  974839 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(974934), // Rule ID 8297 //
     /*  974844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974894 */     // MIs[1] Operand 1
     /*  974894 */     // No operand predicates
     /*  974894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974932 */     GIR_RootConstrainSelectedInstOperands,
     /*  974933 */     // GIR_Coverage, 8297,
     /*  974933 */     GIR_EraseRootFromParent_Done,
     /*  974934 */   // Label 14597: @974934
     /*  974934 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(975029), // Rule ID 8300 //
     /*  974939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974989 */     // MIs[1] Operand 1
     /*  974989 */     // No operand predicates
     /*  974989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975027 */     GIR_RootConstrainSelectedInstOperands,
     /*  975028 */     // GIR_Coverage, 8300,
     /*  975028 */     GIR_EraseRootFromParent_Done,
     /*  975029 */   // Label 14598: @975029
     /*  975029 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(975124), // Rule ID 8301 //
     /*  975034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975084 */     // MIs[1] Operand 1
     /*  975084 */     // No operand predicates
     /*  975084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975122 */     GIR_RootConstrainSelectedInstOperands,
     /*  975123 */     // GIR_Coverage, 8301,
     /*  975123 */     GIR_EraseRootFromParent_Done,
     /*  975124 */   // Label 14599: @975124
     /*  975124 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(975219), // Rule ID 8304 //
     /*  975129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975179 */     // MIs[1] Operand 1
     /*  975179 */     // No operand predicates
     /*  975179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975217 */     GIR_RootConstrainSelectedInstOperands,
     /*  975218 */     // GIR_Coverage, 8304,
     /*  975218 */     GIR_EraseRootFromParent_Done,
     /*  975219 */   // Label 14600: @975219
     /*  975219 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(975314), // Rule ID 8305 //
     /*  975224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975274 */     // MIs[1] Operand 1
     /*  975274 */     // No operand predicates
     /*  975274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975312 */     GIR_RootConstrainSelectedInstOperands,
     /*  975313 */     // GIR_Coverage, 8305,
     /*  975313 */     GIR_EraseRootFromParent_Done,
     /*  975314 */   // Label 14601: @975314
     /*  975314 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(975409), // Rule ID 8308 //
     /*  975319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975369 */     // MIs[1] Operand 1
     /*  975369 */     // No operand predicates
     /*  975369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975407 */     GIR_RootConstrainSelectedInstOperands,
     /*  975408 */     // GIR_Coverage, 8308,
     /*  975408 */     GIR_EraseRootFromParent_Done,
     /*  975409 */   // Label 14602: @975409
     /*  975409 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(975504), // Rule ID 8309 //
     /*  975414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975464 */     // MIs[1] Operand 1
     /*  975464 */     // No operand predicates
     /*  975464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975502 */     GIR_RootConstrainSelectedInstOperands,
     /*  975503 */     // GIR_Coverage, 8309,
     /*  975503 */     GIR_EraseRootFromParent_Done,
     /*  975504 */   // Label 14603: @975504
     /*  975504 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(975599), // Rule ID 8312 //
     /*  975509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975559 */     // MIs[1] Operand 1
     /*  975559 */     // No operand predicates
     /*  975559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975597 */     GIR_RootConstrainSelectedInstOperands,
     /*  975598 */     // GIR_Coverage, 8312,
     /*  975598 */     GIR_EraseRootFromParent_Done,
     /*  975599 */   // Label 14604: @975599
     /*  975599 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(975694), // Rule ID 8313 //
     /*  975604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975654 */     // MIs[1] Operand 1
     /*  975654 */     // No operand predicates
     /*  975654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975692 */     GIR_RootConstrainSelectedInstOperands,
     /*  975693 */     // GIR_Coverage, 8313,
     /*  975693 */     GIR_EraseRootFromParent_Done,
     /*  975694 */   // Label 14605: @975694
     /*  975694 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(975789), // Rule ID 8316 //
     /*  975699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975749 */     // MIs[1] Operand 1
     /*  975749 */     // No operand predicates
     /*  975749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975787 */     GIR_RootConstrainSelectedInstOperands,
     /*  975788 */     // GIR_Coverage, 8316,
     /*  975788 */     GIR_EraseRootFromParent_Done,
     /*  975789 */   // Label 14606: @975789
     /*  975789 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(975884), // Rule ID 8317 //
     /*  975794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975844 */     // MIs[1] Operand 1
     /*  975844 */     // No operand predicates
     /*  975844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975882 */     GIR_RootConstrainSelectedInstOperands,
     /*  975883 */     // GIR_Coverage, 8317,
     /*  975883 */     GIR_EraseRootFromParent_Done,
     /*  975884 */   // Label 14607: @975884
     /*  975884 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(975979), // Rule ID 8848 //
     /*  975889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975939 */     // MIs[1] Operand 1
     /*  975939 */     // No operand predicates
     /*  975939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  975955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975977 */     GIR_RootConstrainSelectedInstOperands,
     /*  975978 */     // GIR_Coverage, 8848,
     /*  975978 */     GIR_EraseRootFromParent_Done,
     /*  975979 */   // Label 14608: @975979
     /*  975979 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(976074), // Rule ID 8849 //
     /*  975984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  976001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976034 */     // MIs[1] Operand 1
     /*  976034 */     // No operand predicates
     /*  976034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  976050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976072 */     GIR_RootConstrainSelectedInstOperands,
     /*  976073 */     // GIR_Coverage, 8849,
     /*  976073 */     GIR_EraseRootFromParent_Done,
     /*  976074 */   // Label 14609: @976074
     /*  976074 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(976169), // Rule ID 8852 //
     /*  976079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976129 */     // MIs[1] Operand 1
     /*  976129 */     // No operand predicates
     /*  976129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976167 */     GIR_RootConstrainSelectedInstOperands,
     /*  976168 */     // GIR_Coverage, 8852,
     /*  976168 */     GIR_EraseRootFromParent_Done,
     /*  976169 */   // Label 14610: @976169
     /*  976169 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(976264), // Rule ID 8853 //
     /*  976174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976224 */     // MIs[1] Operand 1
     /*  976224 */     // No operand predicates
     /*  976224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976262 */     GIR_RootConstrainSelectedInstOperands,
     /*  976263 */     // GIR_Coverage, 8853,
     /*  976263 */     GIR_EraseRootFromParent_Done,
     /*  976264 */   // Label 14611: @976264
     /*  976264 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(976359), // Rule ID 8856 //
     /*  976269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976319 */     // MIs[1] Operand 1
     /*  976319 */     // No operand predicates
     /*  976319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976357 */     GIR_RootConstrainSelectedInstOperands,
     /*  976358 */     // GIR_Coverage, 8856,
     /*  976358 */     GIR_EraseRootFromParent_Done,
     /*  976359 */   // Label 14612: @976359
     /*  976359 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(976454), // Rule ID 8857 //
     /*  976364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976414 */     // MIs[1] Operand 1
     /*  976414 */     // No operand predicates
     /*  976414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976452 */     GIR_RootConstrainSelectedInstOperands,
     /*  976453 */     // GIR_Coverage, 8857,
     /*  976453 */     GIR_EraseRootFromParent_Done,
     /*  976454 */   // Label 14613: @976454
     /*  976454 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(976549), // Rule ID 8860 //
     /*  976459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976509 */     // MIs[1] Operand 1
     /*  976509 */     // No operand predicates
     /*  976509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976547 */     GIR_RootConstrainSelectedInstOperands,
     /*  976548 */     // GIR_Coverage, 8860,
     /*  976548 */     GIR_EraseRootFromParent_Done,
     /*  976549 */   // Label 14614: @976549
     /*  976549 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(976644), // Rule ID 8861 //
     /*  976554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976604 */     // MIs[1] Operand 1
     /*  976604 */     // No operand predicates
     /*  976604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976642 */     GIR_RootConstrainSelectedInstOperands,
     /*  976643 */     // GIR_Coverage, 8861,
     /*  976643 */     GIR_EraseRootFromParent_Done,
     /*  976644 */   // Label 14615: @976644
     /*  976644 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(976739), // Rule ID 8864 //
     /*  976649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976699 */     // MIs[1] Operand 1
     /*  976699 */     // No operand predicates
     /*  976699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976737 */     GIR_RootConstrainSelectedInstOperands,
     /*  976738 */     // GIR_Coverage, 8864,
     /*  976738 */     GIR_EraseRootFromParent_Done,
     /*  976739 */   // Label 14616: @976739
     /*  976739 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(976834), // Rule ID 8865 //
     /*  976744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976794 */     // MIs[1] Operand 1
     /*  976794 */     // No operand predicates
     /*  976794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976832 */     GIR_RootConstrainSelectedInstOperands,
     /*  976833 */     // GIR_Coverage, 8865,
     /*  976833 */     GIR_EraseRootFromParent_Done,
     /*  976834 */   // Label 14617: @976834
     /*  976834 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(976929), // Rule ID 8868 //
     /*  976839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976889 */     // MIs[1] Operand 1
     /*  976889 */     // No operand predicates
     /*  976889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976927 */     GIR_RootConstrainSelectedInstOperands,
     /*  976928 */     // GIR_Coverage, 8868,
     /*  976928 */     GIR_EraseRootFromParent_Done,
     /*  976929 */   // Label 14618: @976929
     /*  976929 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(977024), // Rule ID 8869 //
     /*  976934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976984 */     // MIs[1] Operand 1
     /*  976984 */     // No operand predicates
     /*  976984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  977000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977022 */     GIR_RootConstrainSelectedInstOperands,
     /*  977023 */     // GIR_Coverage, 8869,
     /*  977023 */     GIR_EraseRootFromParent_Done,
     /*  977024 */   // Label 14619: @977024
     /*  977024 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(977119), // Rule ID 8872 //
     /*  977029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977079 */     // MIs[1] Operand 1
     /*  977079 */     // No operand predicates
     /*  977079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977117 */     GIR_RootConstrainSelectedInstOperands,
     /*  977118 */     // GIR_Coverage, 8872,
     /*  977118 */     GIR_EraseRootFromParent_Done,
     /*  977119 */   // Label 14620: @977119
     /*  977119 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(977214), // Rule ID 8873 //
     /*  977124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977174 */     // MIs[1] Operand 1
     /*  977174 */     // No operand predicates
     /*  977174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977212 */     GIR_RootConstrainSelectedInstOperands,
     /*  977213 */     // GIR_Coverage, 8873,
     /*  977213 */     GIR_EraseRootFromParent_Done,
     /*  977214 */   // Label 14621: @977214
     /*  977214 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(977309), // Rule ID 8876 //
     /*  977219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977269 */     // MIs[1] Operand 1
     /*  977269 */     // No operand predicates
     /*  977269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977307 */     GIR_RootConstrainSelectedInstOperands,
     /*  977308 */     // GIR_Coverage, 8876,
     /*  977308 */     GIR_EraseRootFromParent_Done,
     /*  977309 */   // Label 14622: @977309
     /*  977309 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(977404), // Rule ID 8877 //
     /*  977314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977364 */     // MIs[1] Operand 1
     /*  977364 */     // No operand predicates
     /*  977364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977402 */     GIR_RootConstrainSelectedInstOperands,
     /*  977403 */     // GIR_Coverage, 8877,
     /*  977403 */     GIR_EraseRootFromParent_Done,
     /*  977404 */   // Label 14623: @977404
     /*  977404 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(977499), // Rule ID 8880 //
     /*  977409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977459 */     // MIs[1] Operand 1
     /*  977459 */     // No operand predicates
     /*  977459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977497 */     GIR_RootConstrainSelectedInstOperands,
     /*  977498 */     // GIR_Coverage, 8880,
     /*  977498 */     GIR_EraseRootFromParent_Done,
     /*  977499 */   // Label 14624: @977499
     /*  977499 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(977594), // Rule ID 8881 //
     /*  977504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977554 */     // MIs[1] Operand 1
     /*  977554 */     // No operand predicates
     /*  977554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977592 */     GIR_RootConstrainSelectedInstOperands,
     /*  977593 */     // GIR_Coverage, 8881,
     /*  977593 */     GIR_EraseRootFromParent_Done,
     /*  977594 */   // Label 14625: @977594
     /*  977594 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(977689), // Rule ID 8884 //
     /*  977599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977649 */     // MIs[1] Operand 1
     /*  977649 */     // No operand predicates
     /*  977649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977662 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977687 */     GIR_RootConstrainSelectedInstOperands,
     /*  977688 */     // GIR_Coverage, 8884,
     /*  977688 */     GIR_EraseRootFromParent_Done,
     /*  977689 */   // Label 14626: @977689
     /*  977689 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(977784), // Rule ID 8885 //
     /*  977694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977744 */     // MIs[1] Operand 1
     /*  977744 */     // No operand predicates
     /*  977744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977782 */     GIR_RootConstrainSelectedInstOperands,
     /*  977783 */     // GIR_Coverage, 8885,
     /*  977783 */     GIR_EraseRootFromParent_Done,
     /*  977784 */   // Label 14627: @977784
     /*  977784 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(977879), // Rule ID 8888 //
     /*  977789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977839 */     // MIs[1] Operand 1
     /*  977839 */     // No operand predicates
     /*  977839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  977855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977877 */     GIR_RootConstrainSelectedInstOperands,
     /*  977878 */     // GIR_Coverage, 8888,
     /*  977878 */     GIR_EraseRootFromParent_Done,
     /*  977879 */   // Label 14628: @977879
     /*  977879 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(977974), // Rule ID 8889 //
     /*  977884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977934 */     // MIs[1] Operand 1
     /*  977934 */     // No operand predicates
     /*  977934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  977950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977972 */     GIR_RootConstrainSelectedInstOperands,
     /*  977973 */     // GIR_Coverage, 8889,
     /*  977973 */     GIR_EraseRootFromParent_Done,
     /*  977974 */   // Label 14629: @977974
     /*  977974 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(978069), // Rule ID 8892 //
     /*  977979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978029 */     // MIs[1] Operand 1
     /*  978029 */     // No operand predicates
     /*  978029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978042 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978067 */     GIR_RootConstrainSelectedInstOperands,
     /*  978068 */     // GIR_Coverage, 8892,
     /*  978068 */     GIR_EraseRootFromParent_Done,
     /*  978069 */   // Label 14630: @978069
     /*  978069 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(978164), // Rule ID 8893 //
     /*  978074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  978091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978124 */     // MIs[1] Operand 1
     /*  978124 */     // No operand predicates
     /*  978124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978137 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978162 */     GIR_RootConstrainSelectedInstOperands,
     /*  978163 */     // GIR_Coverage, 8893,
     /*  978163 */     GIR_EraseRootFromParent_Done,
     /*  978164 */   // Label 14631: @978164
     /*  978164 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(978259), // Rule ID 8896 //
     /*  978169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978219 */     // MIs[1] Operand 1
     /*  978219 */     // No operand predicates
     /*  978219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978232 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978257 */     GIR_RootConstrainSelectedInstOperands,
     /*  978258 */     // GIR_Coverage, 8896,
     /*  978258 */     GIR_EraseRootFromParent_Done,
     /*  978259 */   // Label 14632: @978259
     /*  978259 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(978354), // Rule ID 8897 //
     /*  978264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978314 */     // MIs[1] Operand 1
     /*  978314 */     // No operand predicates
     /*  978314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978327 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978352 */     GIR_RootConstrainSelectedInstOperands,
     /*  978353 */     // GIR_Coverage, 8897,
     /*  978353 */     GIR_EraseRootFromParent_Done,
     /*  978354 */   // Label 14633: @978354
     /*  978354 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(978449), // Rule ID 8900 //
     /*  978359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978409 */     // MIs[1] Operand 1
     /*  978409 */     // No operand predicates
     /*  978409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978447 */     GIR_RootConstrainSelectedInstOperands,
     /*  978448 */     // GIR_Coverage, 8900,
     /*  978448 */     GIR_EraseRootFromParent_Done,
     /*  978449 */   // Label 14634: @978449
     /*  978449 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(978544), // Rule ID 8901 //
     /*  978454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978504 */     // MIs[1] Operand 1
     /*  978504 */     // No operand predicates
     /*  978504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978542 */     GIR_RootConstrainSelectedInstOperands,
     /*  978543 */     // GIR_Coverage, 8901,
     /*  978543 */     GIR_EraseRootFromParent_Done,
     /*  978544 */   // Label 14635: @978544
     /*  978544 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(978639), // Rule ID 8904 //
     /*  978549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978599 */     // MIs[1] Operand 1
     /*  978599 */     // No operand predicates
     /*  978599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978637 */     GIR_RootConstrainSelectedInstOperands,
     /*  978638 */     // GIR_Coverage, 8904,
     /*  978638 */     GIR_EraseRootFromParent_Done,
     /*  978639 */   // Label 14636: @978639
     /*  978639 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(978734), // Rule ID 8905 //
     /*  978644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978694 */     // MIs[1] Operand 1
     /*  978694 */     // No operand predicates
     /*  978694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978707 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978732 */     GIR_RootConstrainSelectedInstOperands,
     /*  978733 */     // GIR_Coverage, 8905,
     /*  978733 */     GIR_EraseRootFromParent_Done,
     /*  978734 */   // Label 14637: @978734
     /*  978734 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(978829), // Rule ID 8908 //
     /*  978739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978789 */     // MIs[1] Operand 1
     /*  978789 */     // No operand predicates
     /*  978789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978827 */     GIR_RootConstrainSelectedInstOperands,
     /*  978828 */     // GIR_Coverage, 8908,
     /*  978828 */     GIR_EraseRootFromParent_Done,
     /*  978829 */   // Label 14638: @978829
     /*  978829 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(978924), // Rule ID 8909 //
     /*  978834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978884 */     // MIs[1] Operand 1
     /*  978884 */     // No operand predicates
     /*  978884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978922 */     GIR_RootConstrainSelectedInstOperands,
     /*  978923 */     // GIR_Coverage, 8909,
     /*  978923 */     GIR_EraseRootFromParent_Done,
     /*  978924 */   // Label 14639: @978924
     /*  978924 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(979019), // Rule ID 8912 //
     /*  978929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978979 */     // MIs[1] Operand 1
     /*  978979 */     // No operand predicates
     /*  978979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979017 */     GIR_RootConstrainSelectedInstOperands,
     /*  979018 */     // GIR_Coverage, 8912,
     /*  979018 */     GIR_EraseRootFromParent_Done,
     /*  979019 */   // Label 14640: @979019
     /*  979019 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(979114), // Rule ID 8913 //
     /*  979024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979074 */     // MIs[1] Operand 1
     /*  979074 */     // No operand predicates
     /*  979074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979087 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979112 */     GIR_RootConstrainSelectedInstOperands,
     /*  979113 */     // GIR_Coverage, 8913,
     /*  979113 */     GIR_EraseRootFromParent_Done,
     /*  979114 */   // Label 14641: @979114
     /*  979114 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(979209), // Rule ID 8916 //
     /*  979119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979169 */     // MIs[1] Operand 1
     /*  979169 */     // No operand predicates
     /*  979169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979207 */     GIR_RootConstrainSelectedInstOperands,
     /*  979208 */     // GIR_Coverage, 8916,
     /*  979208 */     GIR_EraseRootFromParent_Done,
     /*  979209 */   // Label 14642: @979209
     /*  979209 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(979304), // Rule ID 8917 //
     /*  979214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979264 */     // MIs[1] Operand 1
     /*  979264 */     // No operand predicates
     /*  979264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979302 */     GIR_RootConstrainSelectedInstOperands,
     /*  979303 */     // GIR_Coverage, 8917,
     /*  979303 */     GIR_EraseRootFromParent_Done,
     /*  979304 */   // Label 14643: @979304
     /*  979304 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(979399), // Rule ID 8920 //
     /*  979309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979359 */     // MIs[1] Operand 1
     /*  979359 */     // No operand predicates
     /*  979359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979397 */     GIR_RootConstrainSelectedInstOperands,
     /*  979398 */     // GIR_Coverage, 8920,
     /*  979398 */     GIR_EraseRootFromParent_Done,
     /*  979399 */   // Label 14644: @979399
     /*  979399 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(979494), // Rule ID 8921 //
     /*  979404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979454 */     // MIs[1] Operand 1
     /*  979454 */     // No operand predicates
     /*  979454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979467 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979492 */     GIR_RootConstrainSelectedInstOperands,
     /*  979493 */     // GIR_Coverage, 8921,
     /*  979493 */     GIR_EraseRootFromParent_Done,
     /*  979494 */   // Label 14645: @979494
     /*  979494 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(979589), // Rule ID 8924 //
     /*  979499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979549 */     // MIs[1] Operand 1
     /*  979549 */     // No operand predicates
     /*  979549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979587 */     GIR_RootConstrainSelectedInstOperands,
     /*  979588 */     // GIR_Coverage, 8924,
     /*  979588 */     GIR_EraseRootFromParent_Done,
     /*  979589 */   // Label 14646: @979589
     /*  979589 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(979684), // Rule ID 8925 //
     /*  979594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979644 */     // MIs[1] Operand 1
     /*  979644 */     // No operand predicates
     /*  979644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979682 */     GIR_RootConstrainSelectedInstOperands,
     /*  979683 */     // GIR_Coverage, 8925,
     /*  979683 */     GIR_EraseRootFromParent_Done,
     /*  979684 */   // Label 14647: @979684
     /*  979684 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(979779), // Rule ID 8928 //
     /*  979689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979739 */     // MIs[1] Operand 1
     /*  979739 */     // No operand predicates
     /*  979739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979777 */     GIR_RootConstrainSelectedInstOperands,
     /*  979778 */     // GIR_Coverage, 8928,
     /*  979778 */     GIR_EraseRootFromParent_Done,
     /*  979779 */   // Label 14648: @979779
     /*  979779 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(979874), // Rule ID 8929 //
     /*  979784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979834 */     // MIs[1] Operand 1
     /*  979834 */     // No operand predicates
     /*  979834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979872 */     GIR_RootConstrainSelectedInstOperands,
     /*  979873 */     // GIR_Coverage, 8929,
     /*  979873 */     GIR_EraseRootFromParent_Done,
     /*  979874 */   // Label 14649: @979874
     /*  979874 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(979969), // Rule ID 8932 //
     /*  979879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979929 */     // MIs[1] Operand 1
     /*  979929 */     // No operand predicates
     /*  979929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979967 */     GIR_RootConstrainSelectedInstOperands,
     /*  979968 */     // GIR_Coverage, 8932,
     /*  979968 */     GIR_EraseRootFromParent_Done,
     /*  979969 */   // Label 14650: @979969
     /*  979969 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(980064), // Rule ID 8933 //
     /*  979974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980024 */     // MIs[1] Operand 1
     /*  980024 */     // No operand predicates
     /*  980024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  980040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980062 */     GIR_RootConstrainSelectedInstOperands,
     /*  980063 */     // GIR_Coverage, 8933,
     /*  980063 */     GIR_EraseRootFromParent_Done,
     /*  980064 */   // Label 14651: @980064
     /*  980064 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(980159), // Rule ID 9112 //
     /*  980069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980119 */     // MIs[1] Operand 1
     /*  980119 */     // No operand predicates
     /*  980119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  980135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980157 */     GIR_RootConstrainSelectedInstOperands,
     /*  980158 */     // GIR_Coverage, 9112,
     /*  980158 */     GIR_EraseRootFromParent_Done,
     /*  980159 */   // Label 14652: @980159
     /*  980159 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(980254), // Rule ID 9113 //
     /*  980164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980214 */     // MIs[1] Operand 1
     /*  980214 */     // No operand predicates
     /*  980214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  980230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980252 */     GIR_RootConstrainSelectedInstOperands,
     /*  980253 */     // GIR_Coverage, 9113,
     /*  980253 */     GIR_EraseRootFromParent_Done,
     /*  980254 */   // Label 14653: @980254
     /*  980254 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(980349), // Rule ID 9116 //
     /*  980259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980309 */     // MIs[1] Operand 1
     /*  980309 */     // No operand predicates
     /*  980309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980322 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980347 */     GIR_RootConstrainSelectedInstOperands,
     /*  980348 */     // GIR_Coverage, 9116,
     /*  980348 */     GIR_EraseRootFromParent_Done,
     /*  980349 */   // Label 14654: @980349
     /*  980349 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(980444), // Rule ID 9117 //
     /*  980354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980404 */     // MIs[1] Operand 1
     /*  980404 */     // No operand predicates
     /*  980404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980442 */     GIR_RootConstrainSelectedInstOperands,
     /*  980443 */     // GIR_Coverage, 9117,
     /*  980443 */     GIR_EraseRootFromParent_Done,
     /*  980444 */   // Label 14655: @980444
     /*  980444 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(980539), // Rule ID 9120 //
     /*  980449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980499 */     // MIs[1] Operand 1
     /*  980499 */     // No operand predicates
     /*  980499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980537 */     GIR_RootConstrainSelectedInstOperands,
     /*  980538 */     // GIR_Coverage, 9120,
     /*  980538 */     GIR_EraseRootFromParent_Done,
     /*  980539 */   // Label 14656: @980539
     /*  980539 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(980634), // Rule ID 9121 //
     /*  980544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980594 */     // MIs[1] Operand 1
     /*  980594 */     // No operand predicates
     /*  980594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980632 */     GIR_RootConstrainSelectedInstOperands,
     /*  980633 */     // GIR_Coverage, 9121,
     /*  980633 */     GIR_EraseRootFromParent_Done,
     /*  980634 */   // Label 14657: @980634
     /*  980634 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(980729), // Rule ID 9124 //
     /*  980639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980689 */     // MIs[1] Operand 1
     /*  980689 */     // No operand predicates
     /*  980689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980702 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980727 */     GIR_RootConstrainSelectedInstOperands,
     /*  980728 */     // GIR_Coverage, 9124,
     /*  980728 */     GIR_EraseRootFromParent_Done,
     /*  980729 */   // Label 14658: @980729
     /*  980729 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(980824), // Rule ID 9125 //
     /*  980734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980784 */     // MIs[1] Operand 1
     /*  980784 */     // No operand predicates
     /*  980784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980822 */     GIR_RootConstrainSelectedInstOperands,
     /*  980823 */     // GIR_Coverage, 9125,
     /*  980823 */     GIR_EraseRootFromParent_Done,
     /*  980824 */   // Label 14659: @980824
     /*  980824 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(980919), // Rule ID 9128 //
     /*  980829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980879 */     // MIs[1] Operand 1
     /*  980879 */     // No operand predicates
     /*  980879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980917 */     GIR_RootConstrainSelectedInstOperands,
     /*  980918 */     // GIR_Coverage, 9128,
     /*  980918 */     GIR_EraseRootFromParent_Done,
     /*  980919 */   // Label 14660: @980919
     /*  980919 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(981014), // Rule ID 9129 //
     /*  980924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980974 */     // MIs[1] Operand 1
     /*  980974 */     // No operand predicates
     /*  980974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980987 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981012 */     GIR_RootConstrainSelectedInstOperands,
     /*  981013 */     // GIR_Coverage, 9129,
     /*  981013 */     GIR_EraseRootFromParent_Done,
     /*  981014 */   // Label 14661: @981014
     /*  981014 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(981109), // Rule ID 9132 //
     /*  981019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981069 */     // MIs[1] Operand 1
     /*  981069 */     // No operand predicates
     /*  981069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981107 */     GIR_RootConstrainSelectedInstOperands,
     /*  981108 */     // GIR_Coverage, 9132,
     /*  981108 */     GIR_EraseRootFromParent_Done,
     /*  981109 */   // Label 14662: @981109
     /*  981109 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(981204), // Rule ID 9133 //
     /*  981114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981164 */     // MIs[1] Operand 1
     /*  981164 */     // No operand predicates
     /*  981164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981202 */     GIR_RootConstrainSelectedInstOperands,
     /*  981203 */     // GIR_Coverage, 9133,
     /*  981203 */     GIR_EraseRootFromParent_Done,
     /*  981204 */   // Label 14663: @981204
     /*  981204 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(981299), // Rule ID 9136 //
     /*  981209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981259 */     // MIs[1] Operand 1
     /*  981259 */     // No operand predicates
     /*  981259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981297 */     GIR_RootConstrainSelectedInstOperands,
     /*  981298 */     // GIR_Coverage, 9136,
     /*  981298 */     GIR_EraseRootFromParent_Done,
     /*  981299 */   // Label 14664: @981299
     /*  981299 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(981394), // Rule ID 9137 //
     /*  981304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981354 */     // MIs[1] Operand 1
     /*  981354 */     // No operand predicates
     /*  981354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981392 */     GIR_RootConstrainSelectedInstOperands,
     /*  981393 */     // GIR_Coverage, 9137,
     /*  981393 */     GIR_EraseRootFromParent_Done,
     /*  981394 */   // Label 14665: @981394
     /*  981394 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(981489), // Rule ID 9140 //
     /*  981399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981449 */     // MIs[1] Operand 1
     /*  981449 */     // No operand predicates
     /*  981449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981487 */     GIR_RootConstrainSelectedInstOperands,
     /*  981488 */     // GIR_Coverage, 9140,
     /*  981488 */     GIR_EraseRootFromParent_Done,
     /*  981489 */   // Label 14666: @981489
     /*  981489 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(981584), // Rule ID 9141 //
     /*  981494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981544 */     // MIs[1] Operand 1
     /*  981544 */     // No operand predicates
     /*  981544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981582 */     GIR_RootConstrainSelectedInstOperands,
     /*  981583 */     // GIR_Coverage, 9141,
     /*  981583 */     GIR_EraseRootFromParent_Done,
     /*  981584 */   // Label 14667: @981584
     /*  981584 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(981679), // Rule ID 9144 //
     /*  981589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981639 */     // MIs[1] Operand 1
     /*  981639 */     // No operand predicates
     /*  981639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981677 */     GIR_RootConstrainSelectedInstOperands,
     /*  981678 */     // GIR_Coverage, 9144,
     /*  981678 */     GIR_EraseRootFromParent_Done,
     /*  981679 */   // Label 14668: @981679
     /*  981679 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(981774), // Rule ID 9145 //
     /*  981684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981734 */     // MIs[1] Operand 1
     /*  981734 */     // No operand predicates
     /*  981734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981772 */     GIR_RootConstrainSelectedInstOperands,
     /*  981773 */     // GIR_Coverage, 9145,
     /*  981773 */     GIR_EraseRootFromParent_Done,
     /*  981774 */   // Label 14669: @981774
     /*  981774 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(981869), // Rule ID 9148 //
     /*  981779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981829 */     // MIs[1] Operand 1
     /*  981829 */     // No operand predicates
     /*  981829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981867 */     GIR_RootConstrainSelectedInstOperands,
     /*  981868 */     // GIR_Coverage, 9148,
     /*  981868 */     GIR_EraseRootFromParent_Done,
     /*  981869 */   // Label 14670: @981869
     /*  981869 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(981964), // Rule ID 9149 //
     /*  981874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981924 */     // MIs[1] Operand 1
     /*  981924 */     // No operand predicates
     /*  981924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981962 */     GIR_RootConstrainSelectedInstOperands,
     /*  981963 */     // GIR_Coverage, 9149,
     /*  981963 */     GIR_EraseRootFromParent_Done,
     /*  981964 */   // Label 14671: @981964
     /*  981964 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(982059), // Rule ID 9152 //
     /*  981969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982019 */     // MIs[1] Operand 1
     /*  982019 */     // No operand predicates
     /*  982019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982057 */     GIR_RootConstrainSelectedInstOperands,
     /*  982058 */     // GIR_Coverage, 9152,
     /*  982058 */     GIR_EraseRootFromParent_Done,
     /*  982059 */   // Label 14672: @982059
     /*  982059 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(982154), // Rule ID 9153 //
     /*  982064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982114 */     // MIs[1] Operand 1
     /*  982114 */     // No operand predicates
     /*  982114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982152 */     GIR_RootConstrainSelectedInstOperands,
     /*  982153 */     // GIR_Coverage, 9153,
     /*  982153 */     GIR_EraseRootFromParent_Done,
     /*  982154 */   // Label 14673: @982154
     /*  982154 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(982249), // Rule ID 9156 //
     /*  982159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982209 */     // MIs[1] Operand 1
     /*  982209 */     // No operand predicates
     /*  982209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982247 */     GIR_RootConstrainSelectedInstOperands,
     /*  982248 */     // GIR_Coverage, 9156,
     /*  982248 */     GIR_EraseRootFromParent_Done,
     /*  982249 */   // Label 14674: @982249
     /*  982249 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(982344), // Rule ID 9157 //
     /*  982254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982304 */     // MIs[1] Operand 1
     /*  982304 */     // No operand predicates
     /*  982304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982317 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982342 */     GIR_RootConstrainSelectedInstOperands,
     /*  982343 */     // GIR_Coverage, 9157,
     /*  982343 */     GIR_EraseRootFromParent_Done,
     /*  982344 */   // Label 14675: @982344
     /*  982344 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(982439), // Rule ID 9160 //
     /*  982349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982399 */     // MIs[1] Operand 1
     /*  982399 */     // No operand predicates
     /*  982399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982412 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982437 */     GIR_RootConstrainSelectedInstOperands,
     /*  982438 */     // GIR_Coverage, 9160,
     /*  982438 */     GIR_EraseRootFromParent_Done,
     /*  982439 */   // Label 14676: @982439
     /*  982439 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(982534), // Rule ID 9161 //
     /*  982444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982494 */     // MIs[1] Operand 1
     /*  982494 */     // No operand predicates
     /*  982494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982507 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982532 */     GIR_RootConstrainSelectedInstOperands,
     /*  982533 */     // GIR_Coverage, 9161,
     /*  982533 */     GIR_EraseRootFromParent_Done,
     /*  982534 */   // Label 14677: @982534
     /*  982534 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(982629), // Rule ID 9164 //
     /*  982539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982589 */     // MIs[1] Operand 1
     /*  982589 */     // No operand predicates
     /*  982589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982627 */     GIR_RootConstrainSelectedInstOperands,
     /*  982628 */     // GIR_Coverage, 9164,
     /*  982628 */     GIR_EraseRootFromParent_Done,
     /*  982629 */   // Label 14678: @982629
     /*  982629 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(982724), // Rule ID 9165 //
     /*  982634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982684 */     // MIs[1] Operand 1
     /*  982684 */     // No operand predicates
     /*  982684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982722 */     GIR_RootConstrainSelectedInstOperands,
     /*  982723 */     // GIR_Coverage, 9165,
     /*  982723 */     GIR_EraseRootFromParent_Done,
     /*  982724 */   // Label 14679: @982724
     /*  982724 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(982819), // Rule ID 9168 //
     /*  982729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982779 */     // MIs[1] Operand 1
     /*  982779 */     // No operand predicates
     /*  982779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982817 */     GIR_RootConstrainSelectedInstOperands,
     /*  982818 */     // GIR_Coverage, 9168,
     /*  982818 */     GIR_EraseRootFromParent_Done,
     /*  982819 */   // Label 14680: @982819
     /*  982819 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(982914), // Rule ID 9169 //
     /*  982824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982874 */     // MIs[1] Operand 1
     /*  982874 */     // No operand predicates
     /*  982874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982912 */     GIR_RootConstrainSelectedInstOperands,
     /*  982913 */     // GIR_Coverage, 9169,
     /*  982913 */     GIR_EraseRootFromParent_Done,
     /*  982914 */   // Label 14681: @982914
     /*  982914 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(983009), // Rule ID 9172 //
     /*  982919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982969 */     // MIs[1] Operand 1
     /*  982969 */     // No operand predicates
     /*  982969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983007 */     GIR_RootConstrainSelectedInstOperands,
     /*  983008 */     // GIR_Coverage, 9172,
     /*  983008 */     GIR_EraseRootFromParent_Done,
     /*  983009 */   // Label 14682: @983009
     /*  983009 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(983104), // Rule ID 9173 //
     /*  983014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  983025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  983028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  983031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983064 */     // MIs[1] Operand 1
     /*  983064 */     // No operand predicates
     /*  983064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983102 */     GIR_RootConstrainSelectedInstOperands,
     /*  983103 */     // GIR_Coverage, 9173,
     /*  983103 */     GIR_EraseRootFromParent_Done,
     /*  983104 */   // Label 14683: @983104
     /*  983104 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(983199), // Rule ID 9176 //
     /*  983109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983159 */     // MIs[1] Operand 1
     /*  983159 */     // No operand predicates
     /*  983159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983197 */     GIR_RootConstrainSelectedInstOperands,
     /*  983198 */     // GIR_Coverage, 9176,
     /*  983198 */     GIR_EraseRootFromParent_Done,
     /*  983199 */   // Label 14684: @983199
     /*  983199 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(983294), // Rule ID 9177 //
     /*  983204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983254 */     // MIs[1] Operand 1
     /*  983254 */     // No operand predicates
     /*  983254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983292 */     GIR_RootConstrainSelectedInstOperands,
     /*  983293 */     // GIR_Coverage, 9177,
     /*  983293 */     GIR_EraseRootFromParent_Done,
     /*  983294 */   // Label 14685: @983294
     /*  983294 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(983389), // Rule ID 9180 //
     /*  983299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983349 */     // MIs[1] Operand 1
     /*  983349 */     // No operand predicates
     /*  983349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983387 */     GIR_RootConstrainSelectedInstOperands,
     /*  983388 */     // GIR_Coverage, 9180,
     /*  983388 */     GIR_EraseRootFromParent_Done,
     /*  983389 */   // Label 14686: @983389
     /*  983389 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(983484), // Rule ID 9181 //
     /*  983394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983444 */     // MIs[1] Operand 1
     /*  983444 */     // No operand predicates
     /*  983444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983482 */     GIR_RootConstrainSelectedInstOperands,
     /*  983483 */     // GIR_Coverage, 9181,
     /*  983483 */     GIR_EraseRootFromParent_Done,
     /*  983484 */   // Label 14687: @983484
     /*  983484 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(983579), // Rule ID 9184 //
     /*  983489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983539 */     // MIs[1] Operand 1
     /*  983539 */     // No operand predicates
     /*  983539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983577 */     GIR_RootConstrainSelectedInstOperands,
     /*  983578 */     // GIR_Coverage, 9184,
     /*  983578 */     GIR_EraseRootFromParent_Done,
     /*  983579 */   // Label 14688: @983579
     /*  983579 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(983674), // Rule ID 9185 //
     /*  983584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983634 */     // MIs[1] Operand 1
     /*  983634 */     // No operand predicates
     /*  983634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983672 */     GIR_RootConstrainSelectedInstOperands,
     /*  983673 */     // GIR_Coverage, 9185,
     /*  983673 */     GIR_EraseRootFromParent_Done,
     /*  983674 */   // Label 14689: @983674
     /*  983674 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(983769), // Rule ID 9188 //
     /*  983679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983729 */     // MIs[1] Operand 1
     /*  983729 */     // No operand predicates
     /*  983729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983767 */     GIR_RootConstrainSelectedInstOperands,
     /*  983768 */     // GIR_Coverage, 9188,
     /*  983768 */     GIR_EraseRootFromParent_Done,
     /*  983769 */   // Label 14690: @983769
     /*  983769 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(983864), // Rule ID 9189 //
     /*  983774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983824 */     // MIs[1] Operand 1
     /*  983824 */     // No operand predicates
     /*  983824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983862 */     GIR_RootConstrainSelectedInstOperands,
     /*  983863 */     // GIR_Coverage, 9189,
     /*  983863 */     GIR_EraseRootFromParent_Done,
     /*  983864 */   // Label 14691: @983864
     /*  983864 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(983959), // Rule ID 9192 //
     /*  983869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983919 */     // MIs[1] Operand 1
     /*  983919 */     // No operand predicates
     /*  983919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983957 */     GIR_RootConstrainSelectedInstOperands,
     /*  983958 */     // GIR_Coverage, 9192,
     /*  983958 */     GIR_EraseRootFromParent_Done,
     /*  983959 */   // Label 14692: @983959
     /*  983959 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(984054), // Rule ID 9193 //
     /*  983964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984014 */     // MIs[1] Operand 1
     /*  984014 */     // No operand predicates
     /*  984014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984027 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  984030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984052 */     GIR_RootConstrainSelectedInstOperands,
     /*  984053 */     // GIR_Coverage, 9193,
     /*  984053 */     GIR_EraseRootFromParent_Done,
     /*  984054 */   // Label 14693: @984054
     /*  984054 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(984149), // Rule ID 9196 //
     /*  984059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984109 */     // MIs[1] Operand 1
     /*  984109 */     // No operand predicates
     /*  984109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984147 */     GIR_RootConstrainSelectedInstOperands,
     /*  984148 */     // GIR_Coverage, 9196,
     /*  984148 */     GIR_EraseRootFromParent_Done,
     /*  984149 */   // Label 14694: @984149
     /*  984149 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(984244), // Rule ID 9197 //
     /*  984154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984204 */     // MIs[1] Operand 1
     /*  984204 */     // No operand predicates
     /*  984204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984242 */     GIR_RootConstrainSelectedInstOperands,
     /*  984243 */     // GIR_Coverage, 9197,
     /*  984243 */     GIR_EraseRootFromParent_Done,
     /*  984244 */   // Label 14695: @984244
     /*  984244 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(984339), // Rule ID 9288 //
     /*  984249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984299 */     // MIs[1] Operand 1
     /*  984299 */     // No operand predicates
     /*  984299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984337 */     GIR_RootConstrainSelectedInstOperands,
     /*  984338 */     // GIR_Coverage, 9288,
     /*  984338 */     GIR_EraseRootFromParent_Done,
     /*  984339 */   // Label 14696: @984339
     /*  984339 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(984434), // Rule ID 9289 //
     /*  984344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984394 */     // MIs[1] Operand 1
     /*  984394 */     // No operand predicates
     /*  984394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984407 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984432 */     GIR_RootConstrainSelectedInstOperands,
     /*  984433 */     // GIR_Coverage, 9289,
     /*  984433 */     GIR_EraseRootFromParent_Done,
     /*  984434 */   // Label 14697: @984434
     /*  984434 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(984529), // Rule ID 9292 //
     /*  984439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984489 */     // MIs[1] Operand 1
     /*  984489 */     // No operand predicates
     /*  984489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984527 */     GIR_RootConstrainSelectedInstOperands,
     /*  984528 */     // GIR_Coverage, 9292,
     /*  984528 */     GIR_EraseRootFromParent_Done,
     /*  984529 */   // Label 14698: @984529
     /*  984529 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(984624), // Rule ID 9293 //
     /*  984534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984584 */     // MIs[1] Operand 1
     /*  984584 */     // No operand predicates
     /*  984584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984622 */     GIR_RootConstrainSelectedInstOperands,
     /*  984623 */     // GIR_Coverage, 9293,
     /*  984623 */     GIR_EraseRootFromParent_Done,
     /*  984624 */   // Label 14699: @984624
     /*  984624 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(984719), // Rule ID 9296 //
     /*  984629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984679 */     // MIs[1] Operand 1
     /*  984679 */     // No operand predicates
     /*  984679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984717 */     GIR_RootConstrainSelectedInstOperands,
     /*  984718 */     // GIR_Coverage, 9296,
     /*  984718 */     GIR_EraseRootFromParent_Done,
     /*  984719 */   // Label 14700: @984719
     /*  984719 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(984814), // Rule ID 9297 //
     /*  984724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984774 */     // MIs[1] Operand 1
     /*  984774 */     // No operand predicates
     /*  984774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984812 */     GIR_RootConstrainSelectedInstOperands,
     /*  984813 */     // GIR_Coverage, 9297,
     /*  984813 */     GIR_EraseRootFromParent_Done,
     /*  984814 */   // Label 14701: @984814
     /*  984814 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(984909), // Rule ID 9300 //
     /*  984819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984869 */     // MIs[1] Operand 1
     /*  984869 */     // No operand predicates
     /*  984869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984882 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984907 */     GIR_RootConstrainSelectedInstOperands,
     /*  984908 */     // GIR_Coverage, 9300,
     /*  984908 */     GIR_EraseRootFromParent_Done,
     /*  984909 */   // Label 14702: @984909
     /*  984909 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(985004), // Rule ID 9301 //
     /*  984914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984964 */     // MIs[1] Operand 1
     /*  984964 */     // No operand predicates
     /*  984964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984977 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985002 */     GIR_RootConstrainSelectedInstOperands,
     /*  985003 */     // GIR_Coverage, 9301,
     /*  985003 */     GIR_EraseRootFromParent_Done,
     /*  985004 */   // Label 14703: @985004
     /*  985004 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(985099), // Rule ID 9304 //
     /*  985009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985059 */     // MIs[1] Operand 1
     /*  985059 */     // No operand predicates
     /*  985059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985097 */     GIR_RootConstrainSelectedInstOperands,
     /*  985098 */     // GIR_Coverage, 9304,
     /*  985098 */     GIR_EraseRootFromParent_Done,
     /*  985099 */   // Label 14704: @985099
     /*  985099 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(985194), // Rule ID 9305 //
     /*  985104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985154 */     // MIs[1] Operand 1
     /*  985154 */     // No operand predicates
     /*  985154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985167 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985192 */     GIR_RootConstrainSelectedInstOperands,
     /*  985193 */     // GIR_Coverage, 9305,
     /*  985193 */     GIR_EraseRootFromParent_Done,
     /*  985194 */   // Label 14705: @985194
     /*  985194 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(985289), // Rule ID 9308 //
     /*  985199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985249 */     // MIs[1] Operand 1
     /*  985249 */     // No operand predicates
     /*  985249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985262 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985287 */     GIR_RootConstrainSelectedInstOperands,
     /*  985288 */     // GIR_Coverage, 9308,
     /*  985288 */     GIR_EraseRootFromParent_Done,
     /*  985289 */   // Label 14706: @985289
     /*  985289 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(985384), // Rule ID 9309 //
     /*  985294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985344 */     // MIs[1] Operand 1
     /*  985344 */     // No operand predicates
     /*  985344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985357 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985382 */     GIR_RootConstrainSelectedInstOperands,
     /*  985383 */     // GIR_Coverage, 9309,
     /*  985383 */     GIR_EraseRootFromParent_Done,
     /*  985384 */   // Label 14707: @985384
     /*  985384 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(985479), // Rule ID 9312 //
     /*  985389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985439 */     // MIs[1] Operand 1
     /*  985439 */     // No operand predicates
     /*  985439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985477 */     GIR_RootConstrainSelectedInstOperands,
     /*  985478 */     // GIR_Coverage, 9312,
     /*  985478 */     GIR_EraseRootFromParent_Done,
     /*  985479 */   // Label 14708: @985479
     /*  985479 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(985574), // Rule ID 9313 //
     /*  985484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985534 */     // MIs[1] Operand 1
     /*  985534 */     // No operand predicates
     /*  985534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985572 */     GIR_RootConstrainSelectedInstOperands,
     /*  985573 */     // GIR_Coverage, 9313,
     /*  985573 */     GIR_EraseRootFromParent_Done,
     /*  985574 */   // Label 14709: @985574
     /*  985574 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(985669), // Rule ID 9316 //
     /*  985579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985629 */     // MIs[1] Operand 1
     /*  985629 */     // No operand predicates
     /*  985629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985667 */     GIR_RootConstrainSelectedInstOperands,
     /*  985668 */     // GIR_Coverage, 9316,
     /*  985668 */     GIR_EraseRootFromParent_Done,
     /*  985669 */   // Label 14710: @985669
     /*  985669 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(985764), // Rule ID 9317 //
     /*  985674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985724 */     // MIs[1] Operand 1
     /*  985724 */     // No operand predicates
     /*  985724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985762 */     GIR_RootConstrainSelectedInstOperands,
     /*  985763 */     // GIR_Coverage, 9317,
     /*  985763 */     GIR_EraseRootFromParent_Done,
     /*  985764 */   // Label 14711: @985764
     /*  985764 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(985859), // Rule ID 9320 //
     /*  985769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985819 */     // MIs[1] Operand 1
     /*  985819 */     // No operand predicates
     /*  985819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985857 */     GIR_RootConstrainSelectedInstOperands,
     /*  985858 */     // GIR_Coverage, 9320,
     /*  985858 */     GIR_EraseRootFromParent_Done,
     /*  985859 */   // Label 14712: @985859
     /*  985859 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(985954), // Rule ID 9321 //
     /*  985864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985914 */     // MIs[1] Operand 1
     /*  985914 */     // No operand predicates
     /*  985914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985952 */     GIR_RootConstrainSelectedInstOperands,
     /*  985953 */     // GIR_Coverage, 9321,
     /*  985953 */     GIR_EraseRootFromParent_Done,
     /*  985954 */   // Label 14713: @985954
     /*  985954 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(986049), // Rule ID 9324 //
     /*  985959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986009 */     // MIs[1] Operand 1
     /*  986009 */     // No operand predicates
     /*  986009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986047 */     GIR_RootConstrainSelectedInstOperands,
     /*  986048 */     // GIR_Coverage, 9324,
     /*  986048 */     GIR_EraseRootFromParent_Done,
     /*  986049 */   // Label 14714: @986049
     /*  986049 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(986144), // Rule ID 9325 //
     /*  986054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  986065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  986068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  986071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986104 */     // MIs[1] Operand 1
     /*  986104 */     // No operand predicates
     /*  986104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986142 */     GIR_RootConstrainSelectedInstOperands,
     /*  986143 */     // GIR_Coverage, 9325,
     /*  986143 */     GIR_EraseRootFromParent_Done,
     /*  986144 */   // Label 14715: @986144
     /*  986144 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(986239), // Rule ID 9328 //
     /*  986149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986199 */     // MIs[1] Operand 1
     /*  986199 */     // No operand predicates
     /*  986199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986237 */     GIR_RootConstrainSelectedInstOperands,
     /*  986238 */     // GIR_Coverage, 9328,
     /*  986238 */     GIR_EraseRootFromParent_Done,
     /*  986239 */   // Label 14716: @986239
     /*  986239 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(986334), // Rule ID 9329 //
     /*  986244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986294 */     // MIs[1] Operand 1
     /*  986294 */     // No operand predicates
     /*  986294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986307 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986332 */     GIR_RootConstrainSelectedInstOperands,
     /*  986333 */     // GIR_Coverage, 9329,
     /*  986333 */     GIR_EraseRootFromParent_Done,
     /*  986334 */   // Label 14717: @986334
     /*  986334 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(986429), // Rule ID 9332 //
     /*  986339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986389 */     // MIs[1] Operand 1
     /*  986389 */     // No operand predicates
     /*  986389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986402 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986427 */     GIR_RootConstrainSelectedInstOperands,
     /*  986428 */     // GIR_Coverage, 9332,
     /*  986428 */     GIR_EraseRootFromParent_Done,
     /*  986429 */   // Label 14718: @986429
     /*  986429 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(986524), // Rule ID 9333 //
     /*  986434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986484 */     // MIs[1] Operand 1
     /*  986484 */     // No operand predicates
     /*  986484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986497 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986522 */     GIR_RootConstrainSelectedInstOperands,
     /*  986523 */     // GIR_Coverage, 9333,
     /*  986523 */     GIR_EraseRootFromParent_Done,
     /*  986524 */   // Label 14719: @986524
     /*  986524 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(986619), // Rule ID 9336 //
     /*  986529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986579 */     // MIs[1] Operand 1
     /*  986579 */     // No operand predicates
     /*  986579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986592 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  986595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986617 */     GIR_RootConstrainSelectedInstOperands,
     /*  986618 */     // GIR_Coverage, 9336,
     /*  986618 */     GIR_EraseRootFromParent_Done,
     /*  986619 */   // Label 14720: @986619
     /*  986619 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(986714), // Rule ID 9337 //
     /*  986624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986674 */     // MIs[1] Operand 1
     /*  986674 */     // No operand predicates
     /*  986674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986687 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  986690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986712 */     GIR_RootConstrainSelectedInstOperands,
     /*  986713 */     // GIR_Coverage, 9337,
     /*  986713 */     GIR_EraseRootFromParent_Done,
     /*  986714 */   // Label 14721: @986714
     /*  986714 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(986809), // Rule ID 9340 //
     /*  986719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986769 */     // MIs[1] Operand 1
     /*  986769 */     // No operand predicates
     /*  986769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986807 */     GIR_RootConstrainSelectedInstOperands,
     /*  986808 */     // GIR_Coverage, 9340,
     /*  986808 */     GIR_EraseRootFromParent_Done,
     /*  986809 */   // Label 14722: @986809
     /*  986809 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(986904), // Rule ID 9341 //
     /*  986814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986864 */     // MIs[1] Operand 1
     /*  986864 */     // No operand predicates
     /*  986864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986902 */     GIR_RootConstrainSelectedInstOperands,
     /*  986903 */     // GIR_Coverage, 9341,
     /*  986903 */     GIR_EraseRootFromParent_Done,
     /*  986904 */   // Label 14723: @986904
     /*  986904 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(986999), // Rule ID 9344 //
     /*  986909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986959 */     // MIs[1] Operand 1
     /*  986959 */     // No operand predicates
     /*  986959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986997 */     GIR_RootConstrainSelectedInstOperands,
     /*  986998 */     // GIR_Coverage, 9344,
     /*  986998 */     GIR_EraseRootFromParent_Done,
     /*  986999 */   // Label 14724: @986999
     /*  986999 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(987094), // Rule ID 9345 //
     /*  987004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987054 */     // MIs[1] Operand 1
     /*  987054 */     // No operand predicates
     /*  987054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987092 */     GIR_RootConstrainSelectedInstOperands,
     /*  987093 */     // GIR_Coverage, 9345,
     /*  987093 */     GIR_EraseRootFromParent_Done,
     /*  987094 */   // Label 14725: @987094
     /*  987094 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(987189), // Rule ID 9348 //
     /*  987099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987149 */     // MIs[1] Operand 1
     /*  987149 */     // No operand predicates
     /*  987149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987162 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987187 */     GIR_RootConstrainSelectedInstOperands,
     /*  987188 */     // GIR_Coverage, 9348,
     /*  987188 */     GIR_EraseRootFromParent_Done,
     /*  987189 */   // Label 14726: @987189
     /*  987189 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(987284), // Rule ID 9349 //
     /*  987194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987244 */     // MIs[1] Operand 1
     /*  987244 */     // No operand predicates
     /*  987244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987282 */     GIR_RootConstrainSelectedInstOperands,
     /*  987283 */     // GIR_Coverage, 9349,
     /*  987283 */     GIR_EraseRootFromParent_Done,
     /*  987284 */   // Label 14727: @987284
     /*  987284 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(987379), // Rule ID 9352 //
     /*  987289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987339 */     // MIs[1] Operand 1
     /*  987339 */     // No operand predicates
     /*  987339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987377 */     GIR_RootConstrainSelectedInstOperands,
     /*  987378 */     // GIR_Coverage, 9352,
     /*  987378 */     GIR_EraseRootFromParent_Done,
     /*  987379 */   // Label 14728: @987379
     /*  987379 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(987474), // Rule ID 9353 //
     /*  987384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987434 */     // MIs[1] Operand 1
     /*  987434 */     // No operand predicates
     /*  987434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987447 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987472 */     GIR_RootConstrainSelectedInstOperands,
     /*  987473 */     // GIR_Coverage, 9353,
     /*  987473 */     GIR_EraseRootFromParent_Done,
     /*  987474 */   // Label 14729: @987474
     /*  987474 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(987569), // Rule ID 9356 //
     /*  987479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987529 */     // MIs[1] Operand 1
     /*  987529 */     // No operand predicates
     /*  987529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987567 */     GIR_RootConstrainSelectedInstOperands,
     /*  987568 */     // GIR_Coverage, 9356,
     /*  987568 */     GIR_EraseRootFromParent_Done,
     /*  987569 */   // Label 14730: @987569
     /*  987569 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(987664), // Rule ID 9357 //
     /*  987574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987624 */     // MIs[1] Operand 1
     /*  987624 */     // No operand predicates
     /*  987624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987662 */     GIR_RootConstrainSelectedInstOperands,
     /*  987663 */     // GIR_Coverage, 9357,
     /*  987663 */     GIR_EraseRootFromParent_Done,
     /*  987664 */   // Label 14731: @987664
     /*  987664 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(987759), // Rule ID 9360 //
     /*  987669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987719 */     // MIs[1] Operand 1
     /*  987719 */     // No operand predicates
     /*  987719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987757 */     GIR_RootConstrainSelectedInstOperands,
     /*  987758 */     // GIR_Coverage, 9360,
     /*  987758 */     GIR_EraseRootFromParent_Done,
     /*  987759 */   // Label 14732: @987759
     /*  987759 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(987854), // Rule ID 9361 //
     /*  987764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987814 */     // MIs[1] Operand 1
     /*  987814 */     // No operand predicates
     /*  987814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987852 */     GIR_RootConstrainSelectedInstOperands,
     /*  987853 */     // GIR_Coverage, 9361,
     /*  987853 */     GIR_EraseRootFromParent_Done,
     /*  987854 */   // Label 14733: @987854
     /*  987854 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(987949), // Rule ID 9364 //
     /*  987859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987909 */     // MIs[1] Operand 1
     /*  987909 */     // No operand predicates
     /*  987909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987947 */     GIR_RootConstrainSelectedInstOperands,
     /*  987948 */     // GIR_Coverage, 9364,
     /*  987948 */     GIR_EraseRootFromParent_Done,
     /*  987949 */   // Label 14734: @987949
     /*  987949 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(988044), // Rule ID 9365 //
     /*  987954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988004 */     // MIs[1] Operand 1
     /*  988004 */     // No operand predicates
     /*  988004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  988020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988042 */     GIR_RootConstrainSelectedInstOperands,
     /*  988043 */     // GIR_Coverage, 9365,
     /*  988043 */     GIR_EraseRootFromParent_Done,
     /*  988044 */   // Label 14735: @988044
     /*  988044 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(988139), // Rule ID 9368 //
     /*  988049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988099 */     // MIs[1] Operand 1
     /*  988099 */     // No operand predicates
     /*  988099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988137 */     GIR_RootConstrainSelectedInstOperands,
     /*  988138 */     // GIR_Coverage, 9368,
     /*  988138 */     GIR_EraseRootFromParent_Done,
     /*  988139 */   // Label 14736: @988139
     /*  988139 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(988234), // Rule ID 9369 //
     /*  988144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988194 */     // MIs[1] Operand 1
     /*  988194 */     // No operand predicates
     /*  988194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988232 */     GIR_RootConstrainSelectedInstOperands,
     /*  988233 */     // GIR_Coverage, 9369,
     /*  988233 */     GIR_EraseRootFromParent_Done,
     /*  988234 */   // Label 14737: @988234
     /*  988234 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(988329), // Rule ID 9372 //
     /*  988239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988289 */     // MIs[1] Operand 1
     /*  988289 */     // No operand predicates
     /*  988289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988327 */     GIR_RootConstrainSelectedInstOperands,
     /*  988328 */     // GIR_Coverage, 9372,
     /*  988328 */     GIR_EraseRootFromParent_Done,
     /*  988329 */   // Label 14738: @988329
     /*  988329 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(988424), // Rule ID 9373 //
     /*  988334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988384 */     // MIs[1] Operand 1
     /*  988384 */     // No operand predicates
     /*  988384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988422 */     GIR_RootConstrainSelectedInstOperands,
     /*  988423 */     // GIR_Coverage, 9373,
     /*  988423 */     GIR_EraseRootFromParent_Done,
     /*  988424 */   // Label 14739: @988424
     /*  988424 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(988519), // Rule ID 9464 //
     /*  988429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988479 */     // MIs[1] Operand 1
     /*  988479 */     // No operand predicates
     /*  988479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  988495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988517 */     GIR_RootConstrainSelectedInstOperands,
     /*  988518 */     // GIR_Coverage, 9464,
     /*  988518 */     GIR_EraseRootFromParent_Done,
     /*  988519 */   // Label 14740: @988519
     /*  988519 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(988614), // Rule ID 9465 //
     /*  988524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988574 */     // MIs[1] Operand 1
     /*  988574 */     // No operand predicates
     /*  988574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  988590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988612 */     GIR_RootConstrainSelectedInstOperands,
     /*  988613 */     // GIR_Coverage, 9465,
     /*  988613 */     GIR_EraseRootFromParent_Done,
     /*  988614 */   // Label 14741: @988614
     /*  988614 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(988709), // Rule ID 9468 //
     /*  988619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988669 */     // MIs[1] Operand 1
     /*  988669 */     // No operand predicates
     /*  988669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988707 */     GIR_RootConstrainSelectedInstOperands,
     /*  988708 */     // GIR_Coverage, 9468,
     /*  988708 */     GIR_EraseRootFromParent_Done,
     /*  988709 */   // Label 14742: @988709
     /*  988709 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(988804), // Rule ID 9469 //
     /*  988714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988764 */     // MIs[1] Operand 1
     /*  988764 */     // No operand predicates
     /*  988764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988802 */     GIR_RootConstrainSelectedInstOperands,
     /*  988803 */     // GIR_Coverage, 9469,
     /*  988803 */     GIR_EraseRootFromParent_Done,
     /*  988804 */   // Label 14743: @988804
     /*  988804 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(988899), // Rule ID 9472 //
     /*  988809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988859 */     // MIs[1] Operand 1
     /*  988859 */     // No operand predicates
     /*  988859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  988875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988897 */     GIR_RootConstrainSelectedInstOperands,
     /*  988898 */     // GIR_Coverage, 9472,
     /*  988898 */     GIR_EraseRootFromParent_Done,
     /*  988899 */   // Label 14744: @988899
     /*  988899 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(988994), // Rule ID 9473 //
     /*  988904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988954 */     // MIs[1] Operand 1
     /*  988954 */     // No operand predicates
     /*  988954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988967 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  988970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988992 */     GIR_RootConstrainSelectedInstOperands,
     /*  988993 */     // GIR_Coverage, 9473,
     /*  988993 */     GIR_EraseRootFromParent_Done,
     /*  988994 */   // Label 14745: @988994
     /*  988994 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(989089), // Rule ID 9476 //
     /*  988999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989049 */     // MIs[1] Operand 1
     /*  989049 */     // No operand predicates
     /*  989049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989087 */     GIR_RootConstrainSelectedInstOperands,
     /*  989088 */     // GIR_Coverage, 9476,
     /*  989088 */     GIR_EraseRootFromParent_Done,
     /*  989089 */   // Label 14746: @989089
     /*  989089 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(989184), // Rule ID 9477 //
     /*  989094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989144 */     // MIs[1] Operand 1
     /*  989144 */     // No operand predicates
     /*  989144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989182 */     GIR_RootConstrainSelectedInstOperands,
     /*  989183 */     // GIR_Coverage, 9477,
     /*  989183 */     GIR_EraseRootFromParent_Done,
     /*  989184 */   // Label 14747: @989184
     /*  989184 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(989279), // Rule ID 9480 //
     /*  989189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989239 */     // MIs[1] Operand 1
     /*  989239 */     // No operand predicates
     /*  989239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989277 */     GIR_RootConstrainSelectedInstOperands,
     /*  989278 */     // GIR_Coverage, 9480,
     /*  989278 */     GIR_EraseRootFromParent_Done,
     /*  989279 */   // Label 14748: @989279
     /*  989279 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(989374), // Rule ID 9481 //
     /*  989284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989334 */     // MIs[1] Operand 1
     /*  989334 */     // No operand predicates
     /*  989334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989347 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989372 */     GIR_RootConstrainSelectedInstOperands,
     /*  989373 */     // GIR_Coverage, 9481,
     /*  989373 */     GIR_EraseRootFromParent_Done,
     /*  989374 */   // Label 14749: @989374
     /*  989374 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(989469), // Rule ID 9484 //
     /*  989379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989429 */     // MIs[1] Operand 1
     /*  989429 */     // No operand predicates
     /*  989429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  989442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989467 */     GIR_RootConstrainSelectedInstOperands,
     /*  989468 */     // GIR_Coverage, 9484,
     /*  989468 */     GIR_EraseRootFromParent_Done,
     /*  989469 */   // Label 14750: @989469
     /*  989469 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(989564), // Rule ID 9485 //
     /*  989474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989524 */     // MIs[1] Operand 1
     /*  989524 */     // No operand predicates
     /*  989524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989537 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  989537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989562 */     GIR_RootConstrainSelectedInstOperands,
     /*  989563 */     // GIR_Coverage, 9485,
     /*  989563 */     GIR_EraseRootFromParent_Done,
     /*  989564 */   // Label 14751: @989564
     /*  989564 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(989659), // Rule ID 9488 //
     /*  989569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  989580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  989583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989619 */     // MIs[1] Operand 1
     /*  989619 */     // No operand predicates
     /*  989619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  989632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989657 */     GIR_RootConstrainSelectedInstOperands,
     /*  989658 */     // GIR_Coverage, 9488,
     /*  989658 */     GIR_EraseRootFromParent_Done,
     /*  989659 */   // Label 14752: @989659
     /*  989659 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(989754), // Rule ID 9489 //
     /*  989664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  989675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  989678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989714 */     // MIs[1] Operand 1
     /*  989714 */     // No operand predicates
     /*  989714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  989727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989752 */     GIR_RootConstrainSelectedInstOperands,
     /*  989753 */     // GIR_Coverage, 9489,
     /*  989753 */     GIR_EraseRootFromParent_Done,
     /*  989754 */   // Label 14753: @989754
     /*  989754 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(989849), // Rule ID 9492 //
     /*  989759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989809 */     // MIs[1] Operand 1
     /*  989809 */     // No operand predicates
     /*  989809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989847 */     GIR_RootConstrainSelectedInstOperands,
     /*  989848 */     // GIR_Coverage, 9492,
     /*  989848 */     GIR_EraseRootFromParent_Done,
     /*  989849 */   // Label 14754: @989849
     /*  989849 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(989944), // Rule ID 9493 //
     /*  989854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989904 */     // MIs[1] Operand 1
     /*  989904 */     // No operand predicates
     /*  989904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989917 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989942 */     GIR_RootConstrainSelectedInstOperands,
     /*  989943 */     // GIR_Coverage, 9493,
     /*  989943 */     GIR_EraseRootFromParent_Done,
     /*  989944 */   // Label 14755: @989944
     /*  989944 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(990039), // Rule ID 9496 //
     /*  989949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989999 */     // MIs[1] Operand 1
     /*  989999 */     // No operand predicates
     /*  989999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  990012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990037 */     GIR_RootConstrainSelectedInstOperands,
     /*  990038 */     // GIR_Coverage, 9496,
     /*  990038 */     GIR_EraseRootFromParent_Done,
     /*  990039 */   // Label 14756: @990039
     /*  990039 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(990134), // Rule ID 9497 //
     /*  990044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  990055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  990058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990094 */     // MIs[1] Operand 1
     /*  990094 */     // No operand predicates
     /*  990094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990107 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  990107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990132 */     GIR_RootConstrainSelectedInstOperands,
     /*  990133 */     // GIR_Coverage, 9497,
     /*  990133 */     GIR_EraseRootFromParent_Done,
     /*  990134 */   // Label 14757: @990134
     /*  990134 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(990229), // Rule ID 9500 //
     /*  990139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  990150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  990153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990189 */     // MIs[1] Operand 1
     /*  990189 */     // No operand predicates
     /*  990189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  990202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990227 */     GIR_RootConstrainSelectedInstOperands,
     /*  990228 */     // GIR_Coverage, 9500,
     /*  990228 */     GIR_EraseRootFromParent_Done,
     /*  990229 */   // Label 14758: @990229
     /*  990229 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(990324), // Rule ID 9501 //
     /*  990234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  990245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  990248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990284 */     // MIs[1] Operand 1
     /*  990284 */     // No operand predicates
     /*  990284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  990297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990322 */     GIR_RootConstrainSelectedInstOperands,
     /*  990323 */     // GIR_Coverage, 9501,
     /*  990323 */     GIR_EraseRootFromParent_Done,
     /*  990324 */   // Label 14759: @990324
     /*  990324 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(990419), // Rule ID 9504 //
     /*  990329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990379 */     // MIs[1] Operand 1
     /*  990379 */     // No operand predicates
     /*  990379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990417 */     GIR_RootConstrainSelectedInstOperands,
     /*  990418 */     // GIR_Coverage, 9504,
     /*  990418 */     GIR_EraseRootFromParent_Done,
     /*  990419 */   // Label 14760: @990419
     /*  990419 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(990514), // Rule ID 9505 //
     /*  990424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990474 */     // MIs[1] Operand 1
     /*  990474 */     // No operand predicates
     /*  990474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990487 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990512 */     GIR_RootConstrainSelectedInstOperands,
     /*  990513 */     // GIR_Coverage, 9505,
     /*  990513 */     GIR_EraseRootFromParent_Done,
     /*  990514 */   // Label 14761: @990514
     /*  990514 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(990609), // Rule ID 9508 //
     /*  990519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  990530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  990533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990569 */     // MIs[1] Operand 1
     /*  990569 */     // No operand predicates
     /*  990569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990582 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  990585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990607 */     GIR_RootConstrainSelectedInstOperands,
     /*  990608 */     // GIR_Coverage, 9508,
     /*  990608 */     GIR_EraseRootFromParent_Done,
     /*  990609 */   // Label 14762: @990609
     /*  990609 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(990704), // Rule ID 9509 //
     /*  990614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  990625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  990628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990664 */     // MIs[1] Operand 1
     /*  990664 */     // No operand predicates
     /*  990664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990677 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  990680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990702 */     GIR_RootConstrainSelectedInstOperands,
     /*  990703 */     // GIR_Coverage, 9509,
     /*  990703 */     GIR_EraseRootFromParent_Done,
     /*  990704 */   // Label 14763: @990704
     /*  990704 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(990799), // Rule ID 9512 //
     /*  990709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  990720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  990723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990759 */     // MIs[1] Operand 1
     /*  990759 */     // No operand predicates
     /*  990759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990772 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  990775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990797 */     GIR_RootConstrainSelectedInstOperands,
     /*  990798 */     // GIR_Coverage, 9512,
     /*  990798 */     GIR_EraseRootFromParent_Done,
     /*  990799 */   // Label 14764: @990799
     /*  990799 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(990894), // Rule ID 9513 //
     /*  990804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  990815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  990818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990854 */     // MIs[1] Operand 1
     /*  990854 */     // No operand predicates
     /*  990854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  990870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990892 */     GIR_RootConstrainSelectedInstOperands,
     /*  990893 */     // GIR_Coverage, 9513,
     /*  990893 */     GIR_EraseRootFromParent_Done,
     /*  990894 */   // Label 14765: @990894
     /*  990894 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(990989), // Rule ID 9516 //
     /*  990899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  990910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  990913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990949 */     // MIs[1] Operand 1
     /*  990949 */     // No operand predicates
     /*  990949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  990962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990987 */     GIR_RootConstrainSelectedInstOperands,
     /*  990988 */     // GIR_Coverage, 9516,
     /*  990988 */     GIR_EraseRootFromParent_Done,
     /*  990989 */   // Label 14766: @990989
     /*  990989 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(991084), // Rule ID 9517 //
     /*  990994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  991011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991044 */     // MIs[1] Operand 1
     /*  991044 */     // No operand predicates
     /*  991044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991057 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991082 */     GIR_RootConstrainSelectedInstOperands,
     /*  991083 */     // GIR_Coverage, 9517,
     /*  991083 */     GIR_EraseRootFromParent_Done,
     /*  991084 */   // Label 14767: @991084
     /*  991084 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(991179), // Rule ID 9520 //
     /*  991089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991139 */     // MIs[1] Operand 1
     /*  991139 */     // No operand predicates
     /*  991139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991177 */     GIR_RootConstrainSelectedInstOperands,
     /*  991178 */     // GIR_Coverage, 9520,
     /*  991178 */     GIR_EraseRootFromParent_Done,
     /*  991179 */   // Label 14768: @991179
     /*  991179 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(991274), // Rule ID 9521 //
     /*  991184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991234 */     // MIs[1] Operand 1
     /*  991234 */     // No operand predicates
     /*  991234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991272 */     GIR_RootConstrainSelectedInstOperands,
     /*  991273 */     // GIR_Coverage, 9521,
     /*  991273 */     GIR_EraseRootFromParent_Done,
     /*  991274 */   // Label 14769: @991274
     /*  991274 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(991369), // Rule ID 9524 //
     /*  991279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991329 */     // MIs[1] Operand 1
     /*  991329 */     // No operand predicates
     /*  991329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991342 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991367 */     GIR_RootConstrainSelectedInstOperands,
     /*  991368 */     // GIR_Coverage, 9524,
     /*  991368 */     GIR_EraseRootFromParent_Done,
     /*  991369 */   // Label 14770: @991369
     /*  991369 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(991464), // Rule ID 9525 //
     /*  991374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991424 */     // MIs[1] Operand 1
     /*  991424 */     // No operand predicates
     /*  991424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991437 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991462 */     GIR_RootConstrainSelectedInstOperands,
     /*  991463 */     // GIR_Coverage, 9525,
     /*  991463 */     GIR_EraseRootFromParent_Done,
     /*  991464 */   // Label 14771: @991464
     /*  991464 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(991559), // Rule ID 9528 //
     /*  991469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  991480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  991483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991519 */     // MIs[1] Operand 1
     /*  991519 */     // No operand predicates
     /*  991519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991557 */     GIR_RootConstrainSelectedInstOperands,
     /*  991558 */     // GIR_Coverage, 9528,
     /*  991558 */     GIR_EraseRootFromParent_Done,
     /*  991559 */   // Label 14772: @991559
     /*  991559 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(991654), // Rule ID 9529 //
     /*  991564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  991575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  991578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991614 */     // MIs[1] Operand 1
     /*  991614 */     // No operand predicates
     /*  991614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  991627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991652 */     GIR_RootConstrainSelectedInstOperands,
     /*  991653 */     // GIR_Coverage, 9529,
     /*  991653 */     GIR_EraseRootFromParent_Done,
     /*  991654 */   // Label 14773: @991654
     /*  991654 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(991749), // Rule ID 9532 //
     /*  991659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991709 */     // MIs[1] Operand 1
     /*  991709 */     // No operand predicates
     /*  991709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991747 */     GIR_RootConstrainSelectedInstOperands,
     /*  991748 */     // GIR_Coverage, 9532,
     /*  991748 */     GIR_EraseRootFromParent_Done,
     /*  991749 */   // Label 14774: @991749
     /*  991749 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(991844), // Rule ID 9533 //
     /*  991754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991804 */     // MIs[1] Operand 1
     /*  991804 */     // No operand predicates
     /*  991804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991817 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  991817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991842 */     GIR_RootConstrainSelectedInstOperands,
     /*  991843 */     // GIR_Coverage, 9533,
     /*  991843 */     GIR_EraseRootFromParent_Done,
     /*  991844 */   // Label 14775: @991844
     /*  991844 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(991939), // Rule ID 9536 //
     /*  991849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991899 */     // MIs[1] Operand 1
     /*  991899 */     // No operand predicates
     /*  991899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991937 */     GIR_RootConstrainSelectedInstOperands,
     /*  991938 */     // GIR_Coverage, 9536,
     /*  991938 */     GIR_EraseRootFromParent_Done,
     /*  991939 */   // Label 14776: @991939
     /*  991939 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(992034), // Rule ID 9537 //
     /*  991944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991994 */     // MIs[1] Operand 1
     /*  991994 */     // No operand predicates
     /*  991994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  992007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992032 */     GIR_RootConstrainSelectedInstOperands,
     /*  992033 */     // GIR_Coverage, 9537,
     /*  992033 */     GIR_EraseRootFromParent_Done,
     /*  992034 */   // Label 14777: @992034
     /*  992034 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(992129), // Rule ID 9540 //
     /*  992039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  992050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  992053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992089 */     // MIs[1] Operand 1
     /*  992089 */     // No operand predicates
     /*  992089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992102 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992127 */     GIR_RootConstrainSelectedInstOperands,
     /*  992128 */     // GIR_Coverage, 9540,
     /*  992128 */     GIR_EraseRootFromParent_Done,
     /*  992129 */   // Label 14778: @992129
     /*  992129 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(992224), // Rule ID 9541 //
     /*  992134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  992145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  992148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992184 */     // MIs[1] Operand 1
     /*  992184 */     // No operand predicates
     /*  992184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992222 */     GIR_RootConstrainSelectedInstOperands,
     /*  992223 */     // GIR_Coverage, 9541,
     /*  992223 */     GIR_EraseRootFromParent_Done,
     /*  992224 */   // Label 14779: @992224
     /*  992224 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(992319), // Rule ID 9544 //
     /*  992229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992279 */     // MIs[1] Operand 1
     /*  992279 */     // No operand predicates
     /*  992279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992317 */     GIR_RootConstrainSelectedInstOperands,
     /*  992318 */     // GIR_Coverage, 9544,
     /*  992318 */     GIR_EraseRootFromParent_Done,
     /*  992319 */   // Label 14780: @992319
     /*  992319 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(992414), // Rule ID 9545 //
     /*  992324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992374 */     // MIs[1] Operand 1
     /*  992374 */     // No operand predicates
     /*  992374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992387 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992412 */     GIR_RootConstrainSelectedInstOperands,
     /*  992413 */     // GIR_Coverage, 9545,
     /*  992413 */     GIR_EraseRootFromParent_Done,
     /*  992414 */   // Label 14781: @992414
     /*  992414 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(992509), // Rule ID 9548 //
     /*  992419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992469 */     // MIs[1] Operand 1
     /*  992469 */     // No operand predicates
     /*  992469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992507 */     GIR_RootConstrainSelectedInstOperands,
     /*  992508 */     // GIR_Coverage, 9548,
     /*  992508 */     GIR_EraseRootFromParent_Done,
     /*  992509 */   // Label 14782: @992509
     /*  992509 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(992604), // Rule ID 9549 //
     /*  992514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992564 */     // MIs[1] Operand 1
     /*  992564 */     // No operand predicates
     /*  992564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992602 */     GIR_RootConstrainSelectedInstOperands,
     /*  992603 */     // GIR_Coverage, 9549,
     /*  992603 */     GIR_EraseRootFromParent_Done,
     /*  992604 */   // Label 14783: @992604
     /*  992604 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(992696), // Rule ID 13926 //
     /*  992609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  992620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  992623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  992626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  992632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992659 */     // MIs[1] Operand 1
     /*  992659 */     // No operand predicates
     /*  992659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  992672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  992675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992694 */     GIR_RootConstrainSelectedInstOperands,
     /*  992695 */     // GIR_Coverage, 13926,
     /*  992695 */     GIR_EraseRootFromParent_Done,
     /*  992696 */   // Label 14784: @992696
     /*  992696 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(992788), // Rule ID 13927 //
     /*  992701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  992712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  992715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  992718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  992724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992751 */     // MIs[1] Operand 1
     /*  992751 */     // No operand predicates
     /*  992751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  992764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  992767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992786 */     GIR_RootConstrainSelectedInstOperands,
     /*  992787 */     // GIR_Coverage, 13927,
     /*  992787 */     GIR_EraseRootFromParent_Done,
     /*  992788 */   // Label 14785: @992788
     /*  992788 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(992880), // Rule ID 13928 //
     /*  992793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  992810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992843 */     // MIs[1] Operand 1
     /*  992843 */     // No operand predicates
     /*  992843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  992856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  992859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992878 */     GIR_RootConstrainSelectedInstOperands,
     /*  992879 */     // GIR_Coverage, 13928,
     /*  992879 */     GIR_EraseRootFromParent_Done,
     /*  992880 */   // Label 14786: @992880
     /*  992880 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(992972), // Rule ID 13929 //
     /*  992885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  992902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992935 */     // MIs[1] Operand 1
     /*  992935 */     // No operand predicates
     /*  992935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  992948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  992951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992970 */     GIR_RootConstrainSelectedInstOperands,
     /*  992971 */     // GIR_Coverage, 13929,
     /*  992971 */     GIR_EraseRootFromParent_Done,
     /*  992972 */   // Label 14787: @992972
     /*  992972 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(993064), // Rule ID 13930 //
     /*  992977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  992988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  992991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  992994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993027 */     // MIs[1] Operand 1
     /*  993027 */     // No operand predicates
     /*  993027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993040 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993062 */     GIR_RootConstrainSelectedInstOperands,
     /*  993063 */     // GIR_Coverage, 13930,
     /*  993063 */     GIR_EraseRootFromParent_Done,
     /*  993064 */   // Label 14788: @993064
     /*  993064 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(993156), // Rule ID 13931 //
     /*  993069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  993080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  993083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993119 */     // MIs[1] Operand 1
     /*  993119 */     // No operand predicates
     /*  993119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993154 */     GIR_RootConstrainSelectedInstOperands,
     /*  993155 */     // GIR_Coverage, 13931,
     /*  993155 */     GIR_EraseRootFromParent_Done,
     /*  993156 */   // Label 14789: @993156
     /*  993156 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(993248), // Rule ID 13932 //
     /*  993161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993211 */     // MIs[1] Operand 1
     /*  993211 */     // No operand predicates
     /*  993211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993224 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993246 */     GIR_RootConstrainSelectedInstOperands,
     /*  993247 */     // GIR_Coverage, 13932,
     /*  993247 */     GIR_EraseRootFromParent_Done,
     /*  993248 */   // Label 14790: @993248
     /*  993248 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(993340), // Rule ID 13933 //
     /*  993253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993303 */     // MIs[1] Operand 1
     /*  993303 */     // No operand predicates
     /*  993303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993316 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993338 */     GIR_RootConstrainSelectedInstOperands,
     /*  993339 */     // GIR_Coverage, 13933,
     /*  993339 */     GIR_EraseRootFromParent_Done,
     /*  993340 */   // Label 14791: @993340
     /*  993340 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(993432), // Rule ID 13934 //
     /*  993345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993395 */     // MIs[1] Operand 1
     /*  993395 */     // No operand predicates
     /*  993395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993430 */     GIR_RootConstrainSelectedInstOperands,
     /*  993431 */     // GIR_Coverage, 13934,
     /*  993431 */     GIR_EraseRootFromParent_Done,
     /*  993432 */   // Label 14792: @993432
     /*  993432 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(993524), // Rule ID 13935 //
     /*  993437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993487 */     // MIs[1] Operand 1
     /*  993487 */     // No operand predicates
     /*  993487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993522 */     GIR_RootConstrainSelectedInstOperands,
     /*  993523 */     // GIR_Coverage, 13935,
     /*  993523 */     GIR_EraseRootFromParent_Done,
     /*  993524 */   // Label 14793: @993524
     /*  993524 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(993616), // Rule ID 13936 //
     /*  993529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993579 */     // MIs[1] Operand 1
     /*  993579 */     // No operand predicates
     /*  993579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  993592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993614 */     GIR_RootConstrainSelectedInstOperands,
     /*  993615 */     // GIR_Coverage, 13936,
     /*  993615 */     GIR_EraseRootFromParent_Done,
     /*  993616 */   // Label 14794: @993616
     /*  993616 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(993708), // Rule ID 13937 //
     /*  993621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993671 */     // MIs[1] Operand 1
     /*  993671 */     // No operand predicates
     /*  993671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  993684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993706 */     GIR_RootConstrainSelectedInstOperands,
     /*  993707 */     // GIR_Coverage, 13937,
     /*  993707 */     GIR_EraseRootFromParent_Done,
     /*  993708 */   // Label 14795: @993708
     /*  993708 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(993800), // Rule ID 13938 //
     /*  993713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  993724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  993727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  993736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993763 */     // MIs[1] Operand 1
     /*  993763 */     // No operand predicates
     /*  993763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993798 */     GIR_RootConstrainSelectedInstOperands,
     /*  993799 */     // GIR_Coverage, 13938,
     /*  993799 */     GIR_EraseRootFromParent_Done,
     /*  993800 */   // Label 14796: @993800
     /*  993800 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(993892), // Rule ID 13939 //
     /*  993805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  993816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  993819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  993828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993855 */     // MIs[1] Operand 1
     /*  993855 */     // No operand predicates
     /*  993855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993890 */     GIR_RootConstrainSelectedInstOperands,
     /*  993891 */     // GIR_Coverage, 13939,
     /*  993891 */     GIR_EraseRootFromParent_Done,
     /*  993892 */   // Label 14797: @993892
     /*  993892 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(993984), // Rule ID 13940 //
     /*  993897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  993914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993947 */     // MIs[1] Operand 1
     /*  993947 */     // No operand predicates
     /*  993947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993982 */     GIR_RootConstrainSelectedInstOperands,
     /*  993983 */     // GIR_Coverage, 13940,
     /*  993983 */     GIR_EraseRootFromParent_Done,
     /*  993984 */   // Label 14798: @993984
     /*  993984 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994076), // Rule ID 13941 //
     /*  993989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  994006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  994012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994039 */     // MIs[1] Operand 1
     /*  994039 */     // No operand predicates
     /*  994039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  994052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994074 */     GIR_RootConstrainSelectedInstOperands,
     /*  994075 */     // GIR_Coverage, 13941,
     /*  994075 */     GIR_EraseRootFromParent_Done,
     /*  994076 */   // Label 14799: @994076
     /*  994076 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(994168), // Rule ID 13942 //
     /*  994081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  994098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  994104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994131 */     // MIs[1] Operand 1
     /*  994131 */     // No operand predicates
     /*  994131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  994144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994166 */     GIR_RootConstrainSelectedInstOperands,
     /*  994167 */     // GIR_Coverage, 13942,
     /*  994167 */     GIR_EraseRootFromParent_Done,
     /*  994168 */   // Label 14800: @994168
     /*  994168 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(994260), // Rule ID 13943 //
     /*  994173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  994190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  994196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994223 */     // MIs[1] Operand 1
     /*  994223 */     // No operand predicates
     /*  994223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  994236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994258 */     GIR_RootConstrainSelectedInstOperands,
     /*  994259 */     // GIR_Coverage, 13943,
     /*  994259 */     GIR_EraseRootFromParent_Done,
     /*  994260 */   // Label 14801: @994260
     /*  994260 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(994352), // Rule ID 13944 //
     /*  994265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  994268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994315 */     // MIs[1] Operand 1
     /*  994315 */     // No operand predicates
     /*  994315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  994328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994350 */     GIR_RootConstrainSelectedInstOperands,
     /*  994351 */     // GIR_Coverage, 13944,
     /*  994351 */     GIR_EraseRootFromParent_Done,
     /*  994352 */   // Label 14802: @994352
     /*  994352 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(994444), // Rule ID 13945 //
     /*  994357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  994360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994407 */     // MIs[1] Operand 1
     /*  994407 */     // No operand predicates
     /*  994407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  994420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994442 */     GIR_RootConstrainSelectedInstOperands,
     /*  994443 */     // GIR_Coverage, 13945,
     /*  994443 */     GIR_EraseRootFromParent_Done,
     /*  994444 */   // Label 14803: @994444
     /*  994444 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(994536), // Rule ID 13946 //
     /*  994449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  994460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  994463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  994472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994499 */     // MIs[1] Operand 1
     /*  994499 */     // No operand predicates
     /*  994499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994534 */     GIR_RootConstrainSelectedInstOperands,
     /*  994535 */     // GIR_Coverage, 13946,
     /*  994535 */     GIR_EraseRootFromParent_Done,
     /*  994536 */   // Label 14804: @994536
     /*  994536 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(994628), // Rule ID 13947 //
     /*  994541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  994552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  994555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  994564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994591 */     // MIs[1] Operand 1
     /*  994591 */     // No operand predicates
     /*  994591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994626 */     GIR_RootConstrainSelectedInstOperands,
     /*  994627 */     // GIR_Coverage, 13947,
     /*  994627 */     GIR_EraseRootFromParent_Done,
     /*  994628 */   // Label 14805: @994628
     /*  994628 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(994720), // Rule ID 13948 //
     /*  994633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  994644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  994647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  994656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994683 */     // MIs[1] Operand 1
     /*  994683 */     // No operand predicates
     /*  994683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  994699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994718 */     GIR_RootConstrainSelectedInstOperands,
     /*  994719 */     // GIR_Coverage, 13948,
     /*  994719 */     GIR_EraseRootFromParent_Done,
     /*  994720 */   // Label 14806: @994720
     /*  994720 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(994812), // Rule ID 13949 //
     /*  994725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  994736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  994739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  994748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994775 */     // MIs[1] Operand 1
     /*  994775 */     // No operand predicates
     /*  994775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994788 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  994791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994810 */     GIR_RootConstrainSelectedInstOperands,
     /*  994811 */     // GIR_Coverage, 13949,
     /*  994811 */     GIR_EraseRootFromParent_Done,
     /*  994812 */   // Label 14807: @994812
     /*  994812 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(994904), // Rule ID 13950 //
     /*  994817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  994828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  994831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  994834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  994840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994867 */     // MIs[1] Operand 1
     /*  994867 */     // No operand predicates
     /*  994867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994880 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  994883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994902 */     GIR_RootConstrainSelectedInstOperands,
     /*  994903 */     // GIR_Coverage, 13950,
     /*  994903 */     GIR_EraseRootFromParent_Done,
     /*  994904 */   // Label 14808: @994904
     /*  994904 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(994996), // Rule ID 13951 //
     /*  994909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  994920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  994923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  994926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  994932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994959 */     // MIs[1] Operand 1
     /*  994959 */     // No operand predicates
     /*  994959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  994975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994994 */     GIR_RootConstrainSelectedInstOperands,
     /*  994995 */     // GIR_Coverage, 13951,
     /*  994995 */     GIR_EraseRootFromParent_Done,
     /*  994996 */   // Label 14809: @994996
     /*  994996 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995088), // Rule ID 13952 //
     /*  995001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995051 */     // MIs[1] Operand 1
     /*  995051 */     // No operand predicates
     /*  995051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995086 */     GIR_RootConstrainSelectedInstOperands,
     /*  995087 */     // GIR_Coverage, 13952,
     /*  995087 */     GIR_EraseRootFromParent_Done,
     /*  995088 */   // Label 14810: @995088
     /*  995088 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995180), // Rule ID 13953 //
     /*  995093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995143 */     // MIs[1] Operand 1
     /*  995143 */     // No operand predicates
     /*  995143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995178 */     GIR_RootConstrainSelectedInstOperands,
     /*  995179 */     // GIR_Coverage, 13953,
     /*  995179 */     GIR_EraseRootFromParent_Done,
     /*  995180 */   // Label 14811: @995180
     /*  995180 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995272), // Rule ID 13954 //
     /*  995185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995235 */     // MIs[1] Operand 1
     /*  995235 */     // No operand predicates
     /*  995235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995270 */     GIR_RootConstrainSelectedInstOperands,
     /*  995271 */     // GIR_Coverage, 13954,
     /*  995271 */     GIR_EraseRootFromParent_Done,
     /*  995272 */   // Label 14812: @995272
     /*  995272 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(995364), // Rule ID 13955 //
     /*  995277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995327 */     // MIs[1] Operand 1
     /*  995327 */     // No operand predicates
     /*  995327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995362 */     GIR_RootConstrainSelectedInstOperands,
     /*  995363 */     // GIR_Coverage, 13955,
     /*  995363 */     GIR_EraseRootFromParent_Done,
     /*  995364 */   // Label 14813: @995364
     /*  995364 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(995456), // Rule ID 13956 //
     /*  995369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995419 */     // MIs[1] Operand 1
     /*  995419 */     // No operand predicates
     /*  995419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995454 */     GIR_RootConstrainSelectedInstOperands,
     /*  995455 */     // GIR_Coverage, 13956,
     /*  995455 */     GIR_EraseRootFromParent_Done,
     /*  995456 */   // Label 14814: @995456
     /*  995456 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(995548), // Rule ID 13957 //
     /*  995461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995511 */     // MIs[1] Operand 1
     /*  995511 */     // No operand predicates
     /*  995511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995546 */     GIR_RootConstrainSelectedInstOperands,
     /*  995547 */     // GIR_Coverage, 13957,
     /*  995547 */     GIR_EraseRootFromParent_Done,
     /*  995548 */   // Label 14815: @995548
     /*  995548 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(995640), // Rule ID 13958 //
     /*  995553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  995576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995603 */     // MIs[1] Operand 1
     /*  995603 */     // No operand predicates
     /*  995603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995638 */     GIR_RootConstrainSelectedInstOperands,
     /*  995639 */     // GIR_Coverage, 13958,
     /*  995639 */     GIR_EraseRootFromParent_Done,
     /*  995640 */   // Label 14816: @995640
     /*  995640 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(995732), // Rule ID 13959 //
     /*  995645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  995668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995695 */     // MIs[1] Operand 1
     /*  995695 */     // No operand predicates
     /*  995695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  995708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995730 */     GIR_RootConstrainSelectedInstOperands,
     /*  995731 */     // GIR_Coverage, 13959,
     /*  995731 */     GIR_EraseRootFromParent_Done,
     /*  995732 */   // Label 14817: @995732
     /*  995732 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(995824), // Rule ID 13960 //
     /*  995737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995787 */     // MIs[1] Operand 1
     /*  995787 */     // No operand predicates
     /*  995787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995822 */     GIR_RootConstrainSelectedInstOperands,
     /*  995823 */     // GIR_Coverage, 13960,
     /*  995823 */     GIR_EraseRootFromParent_Done,
     /*  995824 */   // Label 14818: @995824
     /*  995824 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(995916), // Rule ID 13961 //
     /*  995829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995879 */     // MIs[1] Operand 1
     /*  995879 */     // No operand predicates
     /*  995879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  995892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995914 */     GIR_RootConstrainSelectedInstOperands,
     /*  995915 */     // GIR_Coverage, 13961,
     /*  995915 */     GIR_EraseRootFromParent_Done,
     /*  995916 */   // Label 14819: @995916
     /*  995916 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996008), // Rule ID 13962 //
     /*  995921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  995938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995971 */     // MIs[1] Operand 1
     /*  995971 */     // No operand predicates
     /*  995971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996006 */     GIR_RootConstrainSelectedInstOperands,
     /*  996007 */     // GIR_Coverage, 13962,
     /*  996007 */     GIR_EraseRootFromParent_Done,
     /*  996008 */   // Label 14820: @996008
     /*  996008 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996100), // Rule ID 13963 //
     /*  996013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  996030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  996036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996063 */     // MIs[1] Operand 1
     /*  996063 */     // No operand predicates
     /*  996063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  996076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996098 */     GIR_RootConstrainSelectedInstOperands,
     /*  996099 */     // GIR_Coverage, 13963,
     /*  996099 */     GIR_EraseRootFromParent_Done,
     /*  996100 */   // Label 14821: @996100
     /*  996100 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996192), // Rule ID 13964 //
     /*  996105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  996122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  996128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996155 */     // MIs[1] Operand 1
     /*  996155 */     // No operand predicates
     /*  996155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996190 */     GIR_RootConstrainSelectedInstOperands,
     /*  996191 */     // GIR_Coverage, 13964,
     /*  996191 */     GIR_EraseRootFromParent_Done,
     /*  996192 */   // Label 14822: @996192
     /*  996192 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996284), // Rule ID 13965 //
     /*  996197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  996214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  996220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996247 */     // MIs[1] Operand 1
     /*  996247 */     // No operand predicates
     /*  996247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996282 */     GIR_RootConstrainSelectedInstOperands,
     /*  996283 */     // GIR_Coverage, 13965,
     /*  996283 */     GIR_EraseRootFromParent_Done,
     /*  996284 */   // Label 14823: @996284
     /*  996284 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996376), // Rule ID 13966 //
     /*  996289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996339 */     // MIs[1] Operand 1
     /*  996339 */     // No operand predicates
     /*  996339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996374 */     GIR_RootConstrainSelectedInstOperands,
     /*  996375 */     // GIR_Coverage, 13966,
     /*  996375 */     GIR_EraseRootFromParent_Done,
     /*  996376 */   // Label 14824: @996376
     /*  996376 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996468), // Rule ID 13967 //
     /*  996381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996431 */     // MIs[1] Operand 1
     /*  996431 */     // No operand predicates
     /*  996431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996466 */     GIR_RootConstrainSelectedInstOperands,
     /*  996467 */     // GIR_Coverage, 13967,
     /*  996467 */     GIR_EraseRootFromParent_Done,
     /*  996468 */   // Label 14825: @996468
     /*  996468 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(996560), // Rule ID 13968 //
     /*  996473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996523 */     // MIs[1] Operand 1
     /*  996523 */     // No operand predicates
     /*  996523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996558 */     GIR_RootConstrainSelectedInstOperands,
     /*  996559 */     // GIR_Coverage, 13968,
     /*  996559 */     GIR_EraseRootFromParent_Done,
     /*  996560 */   // Label 14826: @996560
     /*  996560 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(996652), // Rule ID 13969 //
     /*  996565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996615 */     // MIs[1] Operand 1
     /*  996615 */     // No operand predicates
     /*  996615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996650 */     GIR_RootConstrainSelectedInstOperands,
     /*  996651 */     // GIR_Coverage, 13969,
     /*  996651 */     GIR_EraseRootFromParent_Done,
     /*  996652 */   // Label 14827: @996652
     /*  996652 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(996728), // Rule ID 2756 //
     /*  996657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  996674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996685 */     // MIs[0] passthru
     /*  996685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996694 */     // MIs[0] round
     /*  996694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996704 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  996707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996726 */     GIR_RootConstrainSelectedInstOperands,
     /*  996727 */     // GIR_Coverage, 2756,
     /*  996727 */     GIR_EraseRootFromParent_Done,
     /*  996728 */   // Label 14828: @996728
     /*  996728 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(996804), // Rule ID 2757 //
     /*  996733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  996750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996761 */     // MIs[0] passthru
     /*  996761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996770 */     // MIs[0] round
     /*  996770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  996780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  996783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996802 */     GIR_RootConstrainSelectedInstOperands,
     /*  996803 */     // GIR_Coverage, 2757,
     /*  996803 */     GIR_EraseRootFromParent_Done,
     /*  996804 */   // Label 14829: @996804
     /*  996804 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(996880), // Rule ID 17136 //
     /*  996809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  996826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996837 */     // MIs[0] passthru
     /*  996837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996846 */     // MIs[0] round
     /*  996846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  996859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996878 */     GIR_RootConstrainSelectedInstOperands,
     /*  996879 */     // GIR_Coverage, 17136,
     /*  996879 */     GIR_EraseRootFromParent_Done,
     /*  996880 */   // Label 14830: @996880
     /*  996880 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(996956), // Rule ID 17137 //
     /*  996885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  996902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996913 */     // MIs[0] passthru
     /*  996913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996922 */     // MIs[0] round
     /*  996922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  996932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  996935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996954 */     GIR_RootConstrainSelectedInstOperands,
     /*  996955 */     // GIR_Coverage, 17137,
     /*  996955 */     GIR_EraseRootFromParent_Done,
     /*  996956 */   // Label 14831: @996956
     /*  996956 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997032), // Rule ID 17146 //
     /*  996961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  996978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996989 */     // MIs[0] passthru
     /*  996989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996998 */     // MIs[0] round
     /*  996998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997008 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  997011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997030 */     GIR_RootConstrainSelectedInstOperands,
     /*  997031 */     // GIR_Coverage, 17146,
     /*  997031 */     GIR_EraseRootFromParent_Done,
     /*  997032 */   // Label 14832: @997032
     /*  997032 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997108), // Rule ID 17147 //
     /*  997037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  997054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997065 */     // MIs[0] passthru
     /*  997065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997074 */     // MIs[0] round
     /*  997074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997084 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  997087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997106 */     GIR_RootConstrainSelectedInstOperands,
     /*  997107 */     // GIR_Coverage, 17147,
     /*  997107 */     GIR_EraseRootFromParent_Done,
     /*  997108 */   // Label 14833: @997108
     /*  997108 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997184), // Rule ID 17156 //
     /*  997113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  997130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997141 */     // MIs[0] passthru
     /*  997141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997150 */     // MIs[0] round
     /*  997150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  997163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997182 */     GIR_RootConstrainSelectedInstOperands,
     /*  997183 */     // GIR_Coverage, 17156,
     /*  997183 */     GIR_EraseRootFromParent_Done,
     /*  997184 */   // Label 14834: @997184
     /*  997184 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997260), // Rule ID 17157 //
     /*  997189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  997206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997217 */     // MIs[0] passthru
     /*  997217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997226 */     // MIs[0] round
     /*  997226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  997239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997258 */     GIR_RootConstrainSelectedInstOperands,
     /*  997259 */     // GIR_Coverage, 17157,
     /*  997259 */     GIR_EraseRootFromParent_Done,
     /*  997260 */   // Label 14835: @997260
     /*  997260 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997336), // Rule ID 17166 //
     /*  997265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997293 */     // MIs[0] passthru
     /*  997293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997302 */     // MIs[0] round
     /*  997302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997334 */     GIR_RootConstrainSelectedInstOperands,
     /*  997335 */     // GIR_Coverage, 17166,
     /*  997335 */     GIR_EraseRootFromParent_Done,
     /*  997336 */   // Label 14836: @997336
     /*  997336 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997412), // Rule ID 17167 //
     /*  997341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997369 */     // MIs[0] passthru
     /*  997369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997378 */     // MIs[0] round
     /*  997378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997410 */     GIR_RootConstrainSelectedInstOperands,
     /*  997411 */     // GIR_Coverage, 17167,
     /*  997411 */     GIR_EraseRootFromParent_Done,
     /*  997412 */   // Label 14837: @997412
     /*  997412 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997488), // Rule ID 17176 //
     /*  997417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997445 */     // MIs[0] passthru
     /*  997445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997454 */     // MIs[0] round
     /*  997454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997464 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  997467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997486 */     GIR_RootConstrainSelectedInstOperands,
     /*  997487 */     // GIR_Coverage, 17176,
     /*  997487 */     GIR_EraseRootFromParent_Done,
     /*  997488 */   // Label 14838: @997488
     /*  997488 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997564), // Rule ID 17177 //
     /*  997493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997521 */     // MIs[0] passthru
     /*  997521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997530 */     // MIs[0] round
     /*  997530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  997543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997562 */     GIR_RootConstrainSelectedInstOperands,
     /*  997563 */     // GIR_Coverage, 17177,
     /*  997563 */     GIR_EraseRootFromParent_Done,
     /*  997564 */   // Label 14839: @997564
     /*  997564 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(997640), // Rule ID 17186 //
     /*  997569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  997586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997597 */     // MIs[0] passthru
     /*  997597 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997606 */     // MIs[0] round
     /*  997606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  997619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997638 */     GIR_RootConstrainSelectedInstOperands,
     /*  997639 */     // GIR_Coverage, 17186,
     /*  997639 */     GIR_EraseRootFromParent_Done,
     /*  997640 */   // Label 14840: @997640
     /*  997640 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(997716), // Rule ID 17187 //
     /*  997645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  997662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997673 */     // MIs[0] passthru
     /*  997673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997682 */     // MIs[0] round
     /*  997682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997692 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  997695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997714 */     GIR_RootConstrainSelectedInstOperands,
     /*  997715 */     // GIR_Coverage, 17187,
     /*  997715 */     GIR_EraseRootFromParent_Done,
     /*  997716 */   // Label 14841: @997716
     /*  997716 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(997792), // Rule ID 17196 //
     /*  997721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  997738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997749 */     // MIs[0] passthru
     /*  997749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997758 */     // MIs[0] round
     /*  997758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  997771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997790 */     GIR_RootConstrainSelectedInstOperands,
     /*  997791 */     // GIR_Coverage, 17196,
     /*  997791 */     GIR_EraseRootFromParent_Done,
     /*  997792 */   // Label 14842: @997792
     /*  997792 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(997868), // Rule ID 17197 //
     /*  997797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  997814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997825 */     // MIs[0] passthru
     /*  997825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997834 */     // MIs[0] round
     /*  997834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997844 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  997847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997866 */     GIR_RootConstrainSelectedInstOperands,
     /*  997867 */     // GIR_Coverage, 17197,
     /*  997867 */     GIR_EraseRootFromParent_Done,
     /*  997868 */   // Label 14843: @997868
     /*  997868 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(997944), // Rule ID 17206 //
     /*  997873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  997890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997901 */     // MIs[0] passthru
     /*  997901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997910 */     // MIs[0] round
     /*  997910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  997923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997942 */     GIR_RootConstrainSelectedInstOperands,
     /*  997943 */     // GIR_Coverage, 17206,
     /*  997943 */     GIR_EraseRootFromParent_Done,
     /*  997944 */   // Label 14844: @997944
     /*  997944 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998020), // Rule ID 17207 //
     /*  997949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  997966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997977 */     // MIs[0] passthru
     /*  997977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997986 */     // MIs[0] round
     /*  997986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  997999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998018 */     GIR_RootConstrainSelectedInstOperands,
     /*  998019 */     // GIR_Coverage, 17207,
     /*  998019 */     GIR_EraseRootFromParent_Done,
     /*  998020 */   // Label 14845: @998020
     /*  998020 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998096), // Rule ID 17252 //
     /*  998025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998053 */     // MIs[0] passthru
     /*  998053 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998062 */     // MIs[0] round
     /*  998062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998072 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  998075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998094 */     GIR_RootConstrainSelectedInstOperands,
     /*  998095 */     // GIR_Coverage, 17252,
     /*  998095 */     GIR_EraseRootFromParent_Done,
     /*  998096 */   // Label 14846: @998096
     /*  998096 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998172), // Rule ID 17253 //
     /*  998101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998129 */     // MIs[0] passthru
     /*  998129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998138 */     // MIs[0] round
     /*  998138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998148 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  998151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998170 */     GIR_RootConstrainSelectedInstOperands,
     /*  998171 */     // GIR_Coverage, 17253,
     /*  998171 */     GIR_EraseRootFromParent_Done,
     /*  998172 */   // Label 14847: @998172
     /*  998172 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998248), // Rule ID 17262 //
     /*  998177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998205 */     // MIs[0] passthru
     /*  998205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998214 */     // MIs[0] round
     /*  998214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998246 */     GIR_RootConstrainSelectedInstOperands,
     /*  998247 */     // GIR_Coverage, 17262,
     /*  998247 */     GIR_EraseRootFromParent_Done,
     /*  998248 */   // Label 14848: @998248
     /*  998248 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998324), // Rule ID 17263 //
     /*  998253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998281 */     // MIs[0] passthru
     /*  998281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998290 */     // MIs[0] round
     /*  998290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998322 */     GIR_RootConstrainSelectedInstOperands,
     /*  998323 */     // GIR_Coverage, 17263,
     /*  998323 */     GIR_EraseRootFromParent_Done,
     /*  998324 */   // Label 14849: @998324
     /*  998324 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998400), // Rule ID 17272 //
     /*  998329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998357 */     // MIs[0] passthru
     /*  998357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998366 */     // MIs[0] round
     /*  998366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998398 */     GIR_RootConstrainSelectedInstOperands,
     /*  998399 */     // GIR_Coverage, 17272,
     /*  998399 */     GIR_EraseRootFromParent_Done,
     /*  998400 */   // Label 14850: @998400
     /*  998400 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998476), // Rule ID 17273 //
     /*  998405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998433 */     // MIs[0] passthru
     /*  998433 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998442 */     // MIs[0] round
     /*  998442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998474 */     GIR_RootConstrainSelectedInstOperands,
     /*  998475 */     // GIR_Coverage, 17273,
     /*  998475 */     GIR_EraseRootFromParent_Done,
     /*  998476 */   // Label 14851: @998476
     /*  998476 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998552), // Rule ID 17282 //
     /*  998481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  998498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998509 */     // MIs[0] passthru
     /*  998509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998518 */     // MIs[0] round
     /*  998518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  998531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998550 */     GIR_RootConstrainSelectedInstOperands,
     /*  998551 */     // GIR_Coverage, 17282,
     /*  998551 */     GIR_EraseRootFromParent_Done,
     /*  998552 */   // Label 14852: @998552
     /*  998552 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(998628), // Rule ID 17283 //
     /*  998557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  998574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998585 */     // MIs[0] passthru
     /*  998585 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998594 */     // MIs[0] round
     /*  998594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998604 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  998607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998626 */     GIR_RootConstrainSelectedInstOperands,
     /*  998627 */     // GIR_Coverage, 17283,
     /*  998627 */     GIR_EraseRootFromParent_Done,
     /*  998628 */   // Label 14853: @998628
     /*  998628 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(998704), // Rule ID 17292 //
     /*  998633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  998650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998661 */     // MIs[0] passthru
     /*  998661 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998670 */     // MIs[0] round
     /*  998670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998680 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  998683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998702 */     GIR_RootConstrainSelectedInstOperands,
     /*  998703 */     // GIR_Coverage, 17292,
     /*  998703 */     GIR_EraseRootFromParent_Done,
     /*  998704 */   // Label 14854: @998704
     /*  998704 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(998780), // Rule ID 17293 //
     /*  998709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  998726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998737 */     // MIs[0] passthru
     /*  998737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998746 */     // MIs[0] round
     /*  998746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  998759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998778 */     GIR_RootConstrainSelectedInstOperands,
     /*  998779 */     // GIR_Coverage, 17293,
     /*  998779 */     GIR_EraseRootFromParent_Done,
     /*  998780 */   // Label 14855: @998780
     /*  998780 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(998856), // Rule ID 17302 //
     /*  998785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998813 */     // MIs[0] passthru
     /*  998813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998822 */     // MIs[0] round
     /*  998822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998832 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  998835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998854 */     GIR_RootConstrainSelectedInstOperands,
     /*  998855 */     // GIR_Coverage, 17302,
     /*  998855 */     GIR_EraseRootFromParent_Done,
     /*  998856 */   // Label 14856: @998856
     /*  998856 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(998932), // Rule ID 17303 //
     /*  998861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998889 */     // MIs[0] passthru
     /*  998889 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998898 */     // MIs[0] round
     /*  998898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  998911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998930 */     GIR_RootConstrainSelectedInstOperands,
     /*  998931 */     // GIR_Coverage, 17303,
     /*  998931 */     GIR_EraseRootFromParent_Done,
     /*  998932 */   // Label 14857: @998932
     /*  998932 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999008), // Rule ID 17312 //
     /*  998937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  998954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998965 */     // MIs[0] passthru
     /*  998965 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998974 */     // MIs[0] round
     /*  998974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998984 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  998987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999006 */     GIR_RootConstrainSelectedInstOperands,
     /*  999007 */     // GIR_Coverage, 17312,
     /*  999007 */     GIR_EraseRootFromParent_Done,
     /*  999008 */   // Label 14858: @999008
     /*  999008 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999084), // Rule ID 17313 //
     /*  999013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  999030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999041 */     // MIs[0] passthru
     /*  999041 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999050 */     // MIs[0] round
     /*  999050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  999063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999082 */     GIR_RootConstrainSelectedInstOperands,
     /*  999083 */     // GIR_Coverage, 17313,
     /*  999083 */     GIR_EraseRootFromParent_Done,
     /*  999084 */   // Label 14859: @999084
     /*  999084 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999160), // Rule ID 17322 //
     /*  999089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  999106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999117 */     // MIs[0] passthru
     /*  999117 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999126 */     // MIs[0] round
     /*  999126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  999139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999158 */     GIR_RootConstrainSelectedInstOperands,
     /*  999159 */     // GIR_Coverage, 17322,
     /*  999159 */     GIR_EraseRootFromParent_Done,
     /*  999160 */   // Label 14860: @999160
     /*  999160 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999236), // Rule ID 17323 //
     /*  999165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  999182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999193 */     // MIs[0] passthru
     /*  999193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999202 */     // MIs[0] round
     /*  999202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  999215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999234 */     GIR_RootConstrainSelectedInstOperands,
     /*  999235 */     // GIR_Coverage, 17323,
     /*  999235 */     GIR_EraseRootFromParent_Done,
     /*  999236 */   // Label 14861: @999236
     /*  999236 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999312), // Rule ID 17332 //
     /*  999241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999269 */     // MIs[0] passthru
     /*  999269 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999278 */     // MIs[0] round
     /*  999278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999288 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999310 */     GIR_RootConstrainSelectedInstOperands,
     /*  999311 */     // GIR_Coverage, 17332,
     /*  999311 */     GIR_EraseRootFromParent_Done,
     /*  999312 */   // Label 14862: @999312
     /*  999312 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999388), // Rule ID 17333 //
     /*  999317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999345 */     // MIs[0] passthru
     /*  999345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999354 */     // MIs[0] round
     /*  999354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999364 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999386 */     GIR_RootConstrainSelectedInstOperands,
     /*  999387 */     // GIR_Coverage, 17333,
     /*  999387 */     GIR_EraseRootFromParent_Done,
     /*  999388 */   // Label 14863: @999388
     /*  999388 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999465), // Rule ID 2686 //
     /*  999393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999432 */     // MIs[0] policy
     /*  999432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999463 */     GIR_RootConstrainSelectedInstOperands,
     /*  999464 */     // GIR_Coverage, 2686,
     /*  999464 */     GIR_EraseRootFromParent_Done,
     /*  999465 */   // Label 14864: @999465
     /*  999465 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999542), // Rule ID 2687 //
     /*  999470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999509 */     // MIs[0] policy
     /*  999509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999519 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999540 */     GIR_RootConstrainSelectedInstOperands,
     /*  999541 */     // GIR_Coverage, 2687,
     /*  999541 */     GIR_EraseRootFromParent_Done,
     /*  999542 */   // Label 14865: @999542
     /*  999542 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(999619), // Rule ID 2690 //
     /*  999547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999586 */     // MIs[0] policy
     /*  999586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  999599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999617 */     GIR_RootConstrainSelectedInstOperands,
     /*  999618 */     // GIR_Coverage, 2690,
     /*  999618 */     GIR_EraseRootFromParent_Done,
     /*  999619 */   // Label 14866: @999619
     /*  999619 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(999696), // Rule ID 2691 //
     /*  999624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999663 */     // MIs[0] policy
     /*  999663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  999676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999694 */     GIR_RootConstrainSelectedInstOperands,
     /*  999695 */     // GIR_Coverage, 2691,
     /*  999695 */     GIR_EraseRootFromParent_Done,
     /*  999696 */   // Label 14867: @999696
     /*  999696 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(999773), // Rule ID 2694 //
     /*  999701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  999704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  999709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999740 */     // MIs[0] policy
     /*  999740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999750 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  999753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999771 */     GIR_RootConstrainSelectedInstOperands,
     /*  999772 */     // GIR_Coverage, 2694,
     /*  999772 */     GIR_EraseRootFromParent_Done,
     /*  999773 */   // Label 14868: @999773
     /*  999773 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(999850), // Rule ID 2695 //
     /*  999778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  999781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  999786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999817 */     // MIs[0] policy
     /*  999817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  999830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999848 */     GIR_RootConstrainSelectedInstOperands,
     /*  999849 */     // GIR_Coverage, 2695,
     /*  999849 */     GIR_EraseRootFromParent_Done,
     /*  999850 */   // Label 14869: @999850
     /*  999850 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(999927), // Rule ID 2730 //
     /*  999855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  999858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  999863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999894 */     // MIs[0] policy
     /*  999894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999904 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  999907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999925 */     GIR_RootConstrainSelectedInstOperands,
     /*  999926 */     // GIR_Coverage, 2730,
     /*  999926 */     GIR_EraseRootFromParent_Done,
     /*  999927 */   // Label 14870: @999927
     /*  999927 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000004), // Rule ID 2731 //
     /*  999932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  999935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  999940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999971 */     // MIs[0] policy
     /*  999971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999981 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  999984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000003 */     // GIR_Coverage, 2731,
     /* 1000003 */     GIR_EraseRootFromParent_Done,
     /* 1000004 */   // Label 14871: @1000004
     /* 1000004 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000081), // Rule ID 2762 //
     /* 1000009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1000029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000048 */     // MIs[0] policy
     /* 1000048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /* 1000061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000080 */     // GIR_Coverage, 2762,
     /* 1000080 */     GIR_EraseRootFromParent_Done,
     /* 1000081 */   // Label 14872: @1000081
     /* 1000081 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000158), // Rule ID 2763 //
     /* 1000086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1000106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000125 */     // MIs[0] policy
     /* 1000125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /* 1000138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000157 */     // GIR_Coverage, 2763,
     /* 1000157 */     GIR_EraseRootFromParent_Done,
     /* 1000158 */   // Label 14873: @1000158
     /* 1000158 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000235), // Rule ID 4890 //
     /* 1000163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000202 */     // MIs[0] policy
     /* 1000202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000234 */     // GIR_Coverage, 4890,
     /* 1000234 */     GIR_EraseRootFromParent_Done,
     /* 1000235 */   // Label 14874: @1000235
     /* 1000235 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000312), // Rule ID 4891 //
     /* 1000240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000279 */     // MIs[0] policy
     /* 1000279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000311 */     // GIR_Coverage, 4891,
     /* 1000311 */     GIR_EraseRootFromParent_Done,
     /* 1000312 */   // Label 14875: @1000312
     /* 1000312 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000389), // Rule ID 4894 //
     /* 1000317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000356 */     // MIs[0] policy
     /* 1000356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000388 */     // GIR_Coverage, 4894,
     /* 1000388 */     GIR_EraseRootFromParent_Done,
     /* 1000389 */   // Label 14876: @1000389
     /* 1000389 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000466), // Rule ID 4895 //
     /* 1000394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000433 */     // MIs[0] policy
     /* 1000433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11630:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000465 */     // GIR_Coverage, 4895,
     /* 1000465 */     GIR_EraseRootFromParent_Done,
     /* 1000466 */   // Label 14877: @1000466
     /* 1000466 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000543), // Rule ID 4898 //
     /* 1000471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000510 */     // MIs[0] policy
     /* 1000510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1000523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000542 */     // GIR_Coverage, 4898,
     /* 1000542 */     GIR_EraseRootFromParent_Done,
     /* 1000543 */   // Label 14878: @1000543
     /* 1000543 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1000620), // Rule ID 4899 //
     /* 1000548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000587 */     // MIs[0] policy
     /* 1000587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1000600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000619 */     // GIR_Coverage, 4899,
     /* 1000619 */     GIR_EraseRootFromParent_Done,
     /* 1000620 */   // Label 14879: @1000620
     /* 1000620 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1000697), // Rule ID 4902 //
     /* 1000625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000664 */     // MIs[0] policy
     /* 1000664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1000677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000696 */     // GIR_Coverage, 4902,
     /* 1000696 */     GIR_EraseRootFromParent_Done,
     /* 1000697 */   // Label 14880: @1000697
     /* 1000697 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1000774), // Rule ID 4903 //
     /* 1000702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000741 */     // MIs[0] policy
     /* 1000741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1000754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000773 */     // GIR_Coverage, 4903,
     /* 1000773 */     GIR_EraseRootFromParent_Done,
     /* 1000774 */   // Label 14881: @1000774
     /* 1000774 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1000851), // Rule ID 4906 //
     /* 1000779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000818 */     // MIs[0] policy
     /* 1000818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1000831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000850 */     // GIR_Coverage, 4906,
     /* 1000850 */     GIR_EraseRootFromParent_Done,
     /* 1000851 */   // Label 14882: @1000851
     /* 1000851 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1000928), // Rule ID 4907 //
     /* 1000856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000895 */     // MIs[0] policy
     /* 1000895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000905 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1000908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000927 */     // GIR_Coverage, 4907,
     /* 1000927 */     GIR_EraseRootFromParent_Done,
     /* 1000928 */   // Label 14883: @1000928
     /* 1000928 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001005), // Rule ID 4910 //
     /* 1000933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000972 */     // MIs[0] policy
     /* 1000972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001004 */     // GIR_Coverage, 4910,
     /* 1001004 */     GIR_EraseRootFromParent_Done,
     /* 1001005 */   // Label 14884: @1001005
     /* 1001005 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001082), // Rule ID 4911 //
     /* 1001010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001049 */     // MIs[0] policy
     /* 1001049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1001062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001081 */     // GIR_Coverage, 4911,
     /* 1001081 */     GIR_EraseRootFromParent_Done,
     /* 1001082 */   // Label 14885: @1001082
     /* 1001082 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001159), // Rule ID 4914 //
     /* 1001087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001126 */     // MIs[0] policy
     /* 1001126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001158 */     // GIR_Coverage, 4914,
     /* 1001158 */     GIR_EraseRootFromParent_Done,
     /* 1001159 */   // Label 14886: @1001159
     /* 1001159 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001236), // Rule ID 4915 //
     /* 1001164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001203 */     // MIs[0] policy
     /* 1001203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001235 */     // GIR_Coverage, 4915,
     /* 1001235 */     GIR_EraseRootFromParent_Done,
     /* 1001236 */   // Label 14887: @1001236
     /* 1001236 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001313), // Rule ID 4918 //
     /* 1001241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001280 */     // MIs[0] policy
     /* 1001280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001312 */     // GIR_Coverage, 4918,
     /* 1001312 */     GIR_EraseRootFromParent_Done,
     /* 1001313 */   // Label 14888: @1001313
     /* 1001313 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001390), // Rule ID 4919 //
     /* 1001318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001357 */     // MIs[0] policy
     /* 1001357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001389 */     // GIR_Coverage, 4919,
     /* 1001389 */     GIR_EraseRootFromParent_Done,
     /* 1001390 */   // Label 14889: @1001390
     /* 1001390 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001467), // Rule ID 4922 //
     /* 1001395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001434 */     // MIs[0] policy
     /* 1001434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001466 */     // GIR_Coverage, 4922,
     /* 1001466 */     GIR_EraseRootFromParent_Done,
     /* 1001467 */   // Label 14890: @1001467
     /* 1001467 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001544), // Rule ID 4923 //
     /* 1001472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001511 */     // MIs[0] policy
     /* 1001511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001543 */     // GIR_Coverage, 4923,
     /* 1001543 */     GIR_EraseRootFromParent_Done,
     /* 1001544 */   // Label 14891: @1001544
     /* 1001544 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1001621), // Rule ID 4926 //
     /* 1001549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001588 */     // MIs[0] policy
     /* 1001588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001620 */     // GIR_Coverage, 4926,
     /* 1001620 */     GIR_EraseRootFromParent_Done,
     /* 1001621 */   // Label 14892: @1001621
     /* 1001621 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1001698), // Rule ID 4927 //
     /* 1001626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001665 */     // MIs[0] policy
     /* 1001665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001697 */     // GIR_Coverage, 4927,
     /* 1001697 */     GIR_EraseRootFromParent_Done,
     /* 1001698 */   // Label 14893: @1001698
     /* 1001698 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1001775), // Rule ID 4930 //
     /* 1001703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001742 */     // MIs[0] policy
     /* 1001742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001774 */     // GIR_Coverage, 4930,
     /* 1001774 */     GIR_EraseRootFromParent_Done,
     /* 1001775 */   // Label 14894: @1001775
     /* 1001775 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1001852), // Rule ID 4931 //
     /* 1001780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001819 */     // MIs[0] policy
     /* 1001819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001851 */     // GIR_Coverage, 4931,
     /* 1001851 */     GIR_EraseRootFromParent_Done,
     /* 1001852 */   // Label 14895: @1001852
     /* 1001852 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1001929), // Rule ID 4934 //
     /* 1001857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001896 */     // MIs[0] policy
     /* 1001896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001928 */     // GIR_Coverage, 4934,
     /* 1001928 */     GIR_EraseRootFromParent_Done,
     /* 1001929 */   // Label 14896: @1001929
     /* 1001929 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002006), // Rule ID 4935 //
     /* 1001934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001973 */     // MIs[0] policy
     /* 1001973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002005 */     // GIR_Coverage, 4935,
     /* 1002005 */     GIR_EraseRootFromParent_Done,
     /* 1002006 */   // Label 14897: @1002006
     /* 1002006 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002083), // Rule ID 4938 //
     /* 1002011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002050 */     // MIs[0] policy
     /* 1002050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1002063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002082 */     // GIR_Coverage, 4938,
     /* 1002082 */     GIR_EraseRootFromParent_Done,
     /* 1002083 */   // Label 14898: @1002083
     /* 1002083 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002160), // Rule ID 4939 //
     /* 1002088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002127 */     // MIs[0] policy
     /* 1002127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1002140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002159 */     // GIR_Coverage, 4939,
     /* 1002159 */     GIR_EraseRootFromParent_Done,
     /* 1002160 */   // Label 14899: @1002160
     /* 1002160 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002237), // Rule ID 4942 //
     /* 1002165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002204 */     // MIs[0] policy
     /* 1002204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002236 */     // GIR_Coverage, 4942,
     /* 1002236 */     GIR_EraseRootFromParent_Done,
     /* 1002237 */   // Label 14900: @1002237
     /* 1002237 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002314), // Rule ID 4943 //
     /* 1002242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002281 */     // MIs[0] policy
     /* 1002281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002313 */     // GIR_Coverage, 4943,
     /* 1002313 */     GIR_EraseRootFromParent_Done,
     /* 1002314 */   // Label 14901: @1002314
     /* 1002314 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002391), // Rule ID 4946 //
     /* 1002319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002358 */     // MIs[0] policy
     /* 1002358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002390 */     // GIR_Coverage, 4946,
     /* 1002390 */     GIR_EraseRootFromParent_Done,
     /* 1002391 */   // Label 14902: @1002391
     /* 1002391 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002468), // Rule ID 4947 //
     /* 1002396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002435 */     // MIs[0] policy
     /* 1002435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002467 */     // GIR_Coverage, 4947,
     /* 1002467 */     GIR_EraseRootFromParent_Done,
     /* 1002468 */   // Label 14903: @1002468
     /* 1002468 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002545), // Rule ID 4950 //
     /* 1002473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002512 */     // MIs[0] policy
     /* 1002512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1002525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002544 */     // GIR_Coverage, 4950,
     /* 1002544 */     GIR_EraseRootFromParent_Done,
     /* 1002545 */   // Label 14904: @1002545
     /* 1002545 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1002622), // Rule ID 4951 //
     /* 1002550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002589 */     // MIs[0] policy
     /* 1002589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11630:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1002602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002621 */     // GIR_Coverage, 4951,
     /* 1002621 */     GIR_EraseRootFromParent_Done,
     /* 1002622 */   // Label 14905: @1002622
     /* 1002622 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1002699), // Rule ID 4954 //
     /* 1002627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002666 */     // MIs[0] policy
     /* 1002666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1002679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002698 */     // GIR_Coverage, 4954,
     /* 1002698 */     GIR_EraseRootFromParent_Done,
     /* 1002699 */   // Label 14906: @1002699
     /* 1002699 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1002776), // Rule ID 4955 //
     /* 1002704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002743 */     // MIs[0] policy
     /* 1002743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1002756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002775 */     // GIR_Coverage, 4955,
     /* 1002775 */     GIR_EraseRootFromParent_Done,
     /* 1002776 */   // Label 14907: @1002776
     /* 1002776 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1002853), // Rule ID 4958 //
     /* 1002781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002820 */     // MIs[0] policy
     /* 1002820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1002833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002852 */     // GIR_Coverage, 4958,
     /* 1002852 */     GIR_EraseRootFromParent_Done,
     /* 1002853 */   // Label 14908: @1002853
     /* 1002853 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1002930), // Rule ID 4959 //
     /* 1002858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002897 */     // MIs[0] policy
     /* 1002897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1002910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002929 */     // GIR_Coverage, 4959,
     /* 1002929 */     GIR_EraseRootFromParent_Done,
     /* 1002930 */   // Label 14909: @1002930
     /* 1002930 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003007), // Rule ID 4962 //
     /* 1002935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002974 */     // MIs[0] policy
     /* 1002974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1002987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003006 */     // GIR_Coverage, 4962,
     /* 1003006 */     GIR_EraseRootFromParent_Done,
     /* 1003007 */   // Label 14910: @1003007
     /* 1003007 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003084), // Rule ID 4963 //
     /* 1003012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003051 */     // MIs[0] policy
     /* 1003051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003083 */     // GIR_Coverage, 4963,
     /* 1003083 */     GIR_EraseRootFromParent_Done,
     /* 1003084 */   // Label 14911: @1003084
     /* 1003084 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003161), // Rule ID 4966 //
     /* 1003089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003128 */     // MIs[0] policy
     /* 1003128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003160 */     // GIR_Coverage, 4966,
     /* 1003160 */     GIR_EraseRootFromParent_Done,
     /* 1003161 */   // Label 14912: @1003161
     /* 1003161 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003238), // Rule ID 4967 //
     /* 1003166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003205 */     // MIs[0] policy
     /* 1003205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003237 */     // GIR_Coverage, 4967,
     /* 1003237 */     GIR_EraseRootFromParent_Done,
     /* 1003238 */   // Label 14913: @1003238
     /* 1003238 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003315), // Rule ID 4970 //
     /* 1003243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003282 */     // MIs[0] policy
     /* 1003282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003314 */     // GIR_Coverage, 4970,
     /* 1003314 */     GIR_EraseRootFromParent_Done,
     /* 1003315 */   // Label 14914: @1003315
     /* 1003315 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003392), // Rule ID 4971 //
     /* 1003320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003359 */     // MIs[0] policy
     /* 1003359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003391 */     // GIR_Coverage, 4971,
     /* 1003391 */     GIR_EraseRootFromParent_Done,
     /* 1003392 */   // Label 14915: @1003392
     /* 1003392 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003469), // Rule ID 4974 //
     /* 1003397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003436 */     // MIs[0] policy
     /* 1003436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003468 */     // GIR_Coverage, 4974,
     /* 1003468 */     GIR_EraseRootFromParent_Done,
     /* 1003469 */   // Label 14916: @1003469
     /* 1003469 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003546), // Rule ID 4975 //
     /* 1003474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003513 */     // MIs[0] policy
     /* 1003513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003545 */     // GIR_Coverage, 4975,
     /* 1003545 */     GIR_EraseRootFromParent_Done,
     /* 1003546 */   // Label 14917: @1003546
     /* 1003546 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1003623), // Rule ID 4978 //
     /* 1003551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003590 */     // MIs[0] policy
     /* 1003590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003622 */     // GIR_Coverage, 4978,
     /* 1003622 */     GIR_EraseRootFromParent_Done,
     /* 1003623 */   // Label 14918: @1003623
     /* 1003623 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1003700), // Rule ID 4979 //
     /* 1003628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003667 */     // MIs[0] policy
     /* 1003667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003699 */     // GIR_Coverage, 4979,
     /* 1003699 */     GIR_EraseRootFromParent_Done,
     /* 1003700 */   // Label 14919: @1003700
     /* 1003700 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1003777), // Rule ID 4982 //
     /* 1003705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003744 */     // MIs[0] policy
     /* 1003744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1003757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003776 */     // GIR_Coverage, 4982,
     /* 1003776 */     GIR_EraseRootFromParent_Done,
     /* 1003777 */   // Label 14920: @1003777
     /* 1003777 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1003854), // Rule ID 4983 //
     /* 1003782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003821 */     // MIs[0] policy
     /* 1003821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11630:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1003834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003853 */     // GIR_Coverage, 4983,
     /* 1003853 */     GIR_EraseRootFromParent_Done,
     /* 1003854 */   // Label 14921: @1003854
     /* 1003854 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1003931), // Rule ID 4986 //
     /* 1003859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003898 */     // MIs[0] policy
     /* 1003898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1003911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003930 */     // GIR_Coverage, 4986,
     /* 1003930 */     GIR_EraseRootFromParent_Done,
     /* 1003931 */   // Label 14922: @1003931
     /* 1003931 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004008), // Rule ID 4987 //
     /* 1003936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003975 */     // MIs[0] policy
     /* 1003975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003985 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11630:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1003988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004007 */     // GIR_Coverage, 4987,
     /* 1004007 */     GIR_EraseRootFromParent_Done,
     /* 1004008 */   // Label 14923: @1004008
     /* 1004008 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004085), // Rule ID 4990 //
     /* 1004013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004052 */     // MIs[0] policy
     /* 1004052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004062 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1004065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004084 */     // GIR_Coverage, 4990,
     /* 1004084 */     GIR_EraseRootFromParent_Done,
     /* 1004085 */   // Label 14924: @1004085
     /* 1004085 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004162), // Rule ID 4991 //
     /* 1004090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004129 */     // MIs[0] policy
     /* 1004129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11630:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1004142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004161 */     // GIR_Coverage, 4991,
     /* 1004161 */     GIR_EraseRootFromParent_Done,
     /* 1004162 */   // Label 14925: @1004162
     /* 1004162 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004239), // Rule ID 4994 //
     /* 1004167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004206 */     // MIs[0] policy
     /* 1004206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004238 */     // GIR_Coverage, 4994,
     /* 1004238 */     GIR_EraseRootFromParent_Done,
     /* 1004239 */   // Label 14926: @1004239
     /* 1004239 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004316), // Rule ID 4995 //
     /* 1004244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004283 */     // MIs[0] policy
     /* 1004283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11630:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004315 */     // GIR_Coverage, 4995,
     /* 1004315 */     GIR_EraseRootFromParent_Done,
     /* 1004316 */   // Label 14927: @1004316
     /* 1004316 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004393), // Rule ID 4998 //
     /* 1004321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004360 */     // MIs[0] policy
     /* 1004360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004392 */     // GIR_Coverage, 4998,
     /* 1004392 */     GIR_EraseRootFromParent_Done,
     /* 1004393 */   // Label 14928: @1004393
     /* 1004393 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004470), // Rule ID 4999 //
     /* 1004398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004437 */     // MIs[0] policy
     /* 1004437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004469 */     // GIR_Coverage, 4999,
     /* 1004469 */     GIR_EraseRootFromParent_Done,
     /* 1004470 */   // Label 14929: @1004470
     /* 1004470 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004547), // Rule ID 5002 //
     /* 1004475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004514 */     // MIs[0] policy
     /* 1004514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1004527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004546 */     // GIR_Coverage, 5002,
     /* 1004546 */     GIR_EraseRootFromParent_Done,
     /* 1004547 */   // Label 14930: @1004547
     /* 1004547 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1004624), // Rule ID 5003 //
     /* 1004552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004591 */     // MIs[0] policy
     /* 1004591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1004604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004623 */     // GIR_Coverage, 5003,
     /* 1004623 */     GIR_EraseRootFromParent_Done,
     /* 1004624 */   // Label 14931: @1004624
     /* 1004624 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1004701), // Rule ID 5006 //
     /* 1004629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004668 */     // MIs[0] policy
     /* 1004668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1004681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004700 */     // GIR_Coverage, 5006,
     /* 1004700 */     GIR_EraseRootFromParent_Done,
     /* 1004701 */   // Label 14932: @1004701
     /* 1004701 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1004778), // Rule ID 5007 //
     /* 1004706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004745 */     // MIs[0] policy
     /* 1004745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1004758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004777 */     // GIR_Coverage, 5007,
     /* 1004777 */     GIR_EraseRootFromParent_Done,
     /* 1004778 */   // Label 14933: @1004778
     /* 1004778 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1004855), // Rule ID 5010 //
     /* 1004783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004822 */     // MIs[0] policy
     /* 1004822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004832 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1004835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004854 */     // GIR_Coverage, 5010,
     /* 1004854 */     GIR_EraseRootFromParent_Done,
     /* 1004855 */   // Label 14934: @1004855
     /* 1004855 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1004932), // Rule ID 5011 //
     /* 1004860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004899 */     // MIs[0] policy
     /* 1004899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1004912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004931 */     // GIR_Coverage, 5011,
     /* 1004931 */     GIR_EraseRootFromParent_Done,
     /* 1004932 */   // Label 14935: @1004932
     /* 1004932 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005009), // Rule ID 5014 //
     /* 1004937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1004948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1004951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1004954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1004957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004976 */     // MIs[0] policy
     /* 1004976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1004989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005008 */     // GIR_Coverage, 5014,
     /* 1005008 */     GIR_EraseRootFromParent_Done,
     /* 1005009 */   // Label 14936: @1005009
     /* 1005009 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005086), // Rule ID 5015 //
     /* 1005014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005053 */     // MIs[0] policy
     /* 1005053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005063 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005085 */     // GIR_Coverage, 5015,
     /* 1005085 */     GIR_EraseRootFromParent_Done,
     /* 1005086 */   // Label 14937: @1005086
     /* 1005086 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005163), // Rule ID 5018 //
     /* 1005091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1005102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1005105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1005111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005130 */     // MIs[0] policy
     /* 1005130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005162 */     // GIR_Coverage, 5018,
     /* 1005162 */     GIR_EraseRootFromParent_Done,
     /* 1005163 */   // Label 14938: @1005163
     /* 1005163 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005240), // Rule ID 5019 //
     /* 1005168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1005179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1005182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1005188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005207 */     // MIs[0] policy
     /* 1005207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005217 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005239 */     // GIR_Coverage, 5019,
     /* 1005239 */     GIR_EraseRootFromParent_Done,
     /* 1005240 */   // Label 14939: @1005240
     /* 1005240 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005317), // Rule ID 5022 //
     /* 1005245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005284 */     // MIs[0] policy
     /* 1005284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005316 */     // GIR_Coverage, 5022,
     /* 1005316 */     GIR_EraseRootFromParent_Done,
     /* 1005317 */   // Label 14940: @1005317
     /* 1005317 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005394), // Rule ID 5023 //
     /* 1005322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005361 */     // MIs[0] policy
     /* 1005361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005371 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005393 */     // GIR_Coverage, 5023,
     /* 1005393 */     GIR_EraseRootFromParent_Done,
     /* 1005394 */   // Label 14941: @1005394
     /* 1005394 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005471), // Rule ID 5026 //
     /* 1005399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005438 */     // MIs[0] policy
     /* 1005438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005470 */     // GIR_Coverage, 5026,
     /* 1005470 */     GIR_EraseRootFromParent_Done,
     /* 1005471 */   // Label 14942: @1005471
     /* 1005471 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005548), // Rule ID 5027 //
     /* 1005476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005515 */     // MIs[0] policy
     /* 1005515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005547 */     // GIR_Coverage, 5027,
     /* 1005547 */     GIR_EraseRootFromParent_Done,
     /* 1005548 */   // Label 14943: @1005548
     /* 1005548 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1005625), // Rule ID 5030 //
     /* 1005553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1005564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1005567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005592 */     // MIs[0] policy
     /* 1005592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005624 */     // GIR_Coverage, 5030,
     /* 1005624 */     GIR_EraseRootFromParent_Done,
     /* 1005625 */   // Label 14944: @1005625
     /* 1005625 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1005702), // Rule ID 5031 //
     /* 1005630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1005641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1005644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005669 */     // MIs[0] policy
     /* 1005669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005701 */     // GIR_Coverage, 5031,
     /* 1005701 */     GIR_EraseRootFromParent_Done,
     /* 1005702 */   // Label 14945: @1005702
     /* 1005702 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1005779), // Rule ID 5034 //
     /* 1005707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005746 */     // MIs[0] policy
     /* 1005746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005778 */     // GIR_Coverage, 5034,
     /* 1005778 */     GIR_EraseRootFromParent_Done,
     /* 1005779 */   // Label 14946: @1005779
     /* 1005779 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1005856), // Rule ID 5035 //
     /* 1005784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005823 */     // MIs[0] policy
     /* 1005823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005855 */     // GIR_Coverage, 5035,
     /* 1005855 */     GIR_EraseRootFromParent_Done,
     /* 1005856 */   // Label 14947: @1005856
     /* 1005856 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1005933), // Rule ID 5038 //
     /* 1005861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005900 */     // MIs[0] policy
     /* 1005900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005932 */     // GIR_Coverage, 5038,
     /* 1005932 */     GIR_EraseRootFromParent_Done,
     /* 1005933 */   // Label 14948: @1005933
     /* 1005933 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006010), // Rule ID 5039 //
     /* 1005938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005977 */     // MIs[0] policy
     /* 1005977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006009 */     // GIR_Coverage, 5039,
     /* 1006009 */     GIR_EraseRootFromParent_Done,
     /* 1006010 */   // Label 14949: @1006010
     /* 1006010 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006087), // Rule ID 5042 //
     /* 1006015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1006032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006054 */     // MIs[0] policy
     /* 1006054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1006067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006086 */     // GIR_Coverage, 5042,
     /* 1006086 */     GIR_EraseRootFromParent_Done,
     /* 1006087 */   // Label 14950: @1006087
     /* 1006087 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006164), // Rule ID 5043 //
     /* 1006092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1006109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006131 */     // MIs[0] policy
     /* 1006131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1006144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006163 */     // GIR_Coverage, 5043,
     /* 1006163 */     GIR_EraseRootFromParent_Done,
     /* 1006164 */   // Label 14951: @1006164
     /* 1006164 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006241), // Rule ID 5046 //
     /* 1006169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006208 */     // MIs[0] policy
     /* 1006208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006240 */     // GIR_Coverage, 5046,
     /* 1006240 */     GIR_EraseRootFromParent_Done,
     /* 1006241 */   // Label 14952: @1006241
     /* 1006241 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006318), // Rule ID 5047 //
     /* 1006246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006285 */     // MIs[0] policy
     /* 1006285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006295 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006317 */     // GIR_Coverage, 5047,
     /* 1006317 */     GIR_EraseRootFromParent_Done,
     /* 1006318 */   // Label 14953: @1006318
     /* 1006318 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006395), // Rule ID 5050 //
     /* 1006323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006362 */     // MIs[0] policy
     /* 1006362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006394 */     // GIR_Coverage, 5050,
     /* 1006394 */     GIR_EraseRootFromParent_Done,
     /* 1006395 */   // Label 14954: @1006395
     /* 1006395 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006472), // Rule ID 5051 //
     /* 1006400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006439 */     // MIs[0] policy
     /* 1006439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006471 */     // GIR_Coverage, 5051,
     /* 1006471 */     GIR_EraseRootFromParent_Done,
     /* 1006472 */   // Label 14955: @1006472
     /* 1006472 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006549), // Rule ID 5054 //
     /* 1006477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006516 */     // MIs[0] policy
     /* 1006516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006548 */     // GIR_Coverage, 5054,
     /* 1006548 */     GIR_EraseRootFromParent_Done,
     /* 1006549 */   // Label 14956: @1006549
     /* 1006549 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1006626), // Rule ID 5055 //
     /* 1006554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006593 */     // MIs[0] policy
     /* 1006593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006603 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006625 */     // GIR_Coverage, 5055,
     /* 1006625 */     GIR_EraseRootFromParent_Done,
     /* 1006626 */   // Label 14957: @1006626
     /* 1006626 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1006703), // Rule ID 5058 //
     /* 1006631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1006648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006670 */     // MIs[0] policy
     /* 1006670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1006683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006702 */     // GIR_Coverage, 5058,
     /* 1006702 */     GIR_EraseRootFromParent_Done,
     /* 1006703 */   // Label 14958: @1006703
     /* 1006703 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1006780), // Rule ID 5059 //
     /* 1006708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1006725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006747 */     // MIs[0] policy
     /* 1006747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1006760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006779 */     // GIR_Coverage, 5059,
     /* 1006779 */     GIR_EraseRootFromParent_Done,
     /* 1006780 */   // Label 14959: @1006780
     /* 1006780 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1006857), // Rule ID 5062 //
     /* 1006785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1006802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006824 */     // MIs[0] policy
     /* 1006824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1006837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006856 */     // GIR_Coverage, 5062,
     /* 1006856 */     GIR_EraseRootFromParent_Done,
     /* 1006857 */   // Label 14960: @1006857
     /* 1006857 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1006934), // Rule ID 5063 //
     /* 1006862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1006879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006901 */     // MIs[0] policy
     /* 1006901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1006914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006933 */     // GIR_Coverage, 5063,
     /* 1006933 */     GIR_EraseRootFromParent_Done,
     /* 1006934 */   // Label 14961: @1006934
     /* 1006934 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007011), // Rule ID 5066 //
     /* 1006939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1006956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006978 */     // MIs[0] policy
     /* 1006978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1006991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007010 */     // GIR_Coverage, 5066,
     /* 1007010 */     GIR_EraseRootFromParent_Done,
     /* 1007011 */   // Label 14962: @1007011
     /* 1007011 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007088), // Rule ID 5067 //
     /* 1007016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1007033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007055 */     // MIs[0] policy
     /* 1007055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007087 */     // GIR_Coverage, 5067,
     /* 1007087 */     GIR_EraseRootFromParent_Done,
     /* 1007088 */   // Label 14963: @1007088
     /* 1007088 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007165), // Rule ID 5070 //
     /* 1007093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1007110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007132 */     // MIs[0] policy
     /* 1007132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007164 */     // GIR_Coverage, 5070,
     /* 1007164 */     GIR_EraseRootFromParent_Done,
     /* 1007165 */   // Label 14964: @1007165
     /* 1007165 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007242), // Rule ID 5071 //
     /* 1007170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1007187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007209 */     // MIs[0] policy
     /* 1007209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007241 */     // GIR_Coverage, 5071,
     /* 1007241 */     GIR_EraseRootFromParent_Done,
     /* 1007242 */   // Label 14965: @1007242
     /* 1007242 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007319), // Rule ID 5074 //
     /* 1007247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007286 */     // MIs[0] policy
     /* 1007286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007318 */     // GIR_Coverage, 5074,
     /* 1007318 */     GIR_EraseRootFromParent_Done,
     /* 1007319 */   // Label 14966: @1007319
     /* 1007319 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007396), // Rule ID 5075 //
     /* 1007324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007363 */     // MIs[0] policy
     /* 1007363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007395 */     // GIR_Coverage, 5075,
     /* 1007395 */     GIR_EraseRootFromParent_Done,
     /* 1007396 */   // Label 14967: @1007396
     /* 1007396 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007473), // Rule ID 5078 //
     /* 1007401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007440 */     // MIs[0] policy
     /* 1007440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007472 */     // GIR_Coverage, 5078,
     /* 1007472 */     GIR_EraseRootFromParent_Done,
     /* 1007473 */   // Label 14968: @1007473
     /* 1007473 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007550), // Rule ID 5079 //
     /* 1007478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007517 */     // MIs[0] policy
     /* 1007517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007549 */     // GIR_Coverage, 5079,
     /* 1007549 */     GIR_EraseRootFromParent_Done,
     /* 1007550 */   // Label 14969: @1007550
     /* 1007550 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1007627), // Rule ID 5082 //
     /* 1007555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007594 */     // MIs[0] policy
     /* 1007594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007626 */     // GIR_Coverage, 5082,
     /* 1007626 */     GIR_EraseRootFromParent_Done,
     /* 1007627 */   // Label 14970: @1007627
     /* 1007627 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1007704), // Rule ID 5083 //
     /* 1007632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007671 */     // MIs[0] policy
     /* 1007671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007703 */     // GIR_Coverage, 5083,
     /* 1007703 */     GIR_EraseRootFromParent_Done,
     /* 1007704 */   // Label 14971: @1007704
     /* 1007704 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1007781), // Rule ID 5086 //
     /* 1007709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007748 */     // MIs[0] policy
     /* 1007748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007780 */     // GIR_Coverage, 5086,
     /* 1007780 */     GIR_EraseRootFromParent_Done,
     /* 1007781 */   // Label 14972: @1007781
     /* 1007781 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1007858), // Rule ID 5087 //
     /* 1007786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007825 */     // MIs[0] policy
     /* 1007825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007857 */     // GIR_Coverage, 5087,
     /* 1007857 */     GIR_EraseRootFromParent_Done,
     /* 1007858 */   // Label 14973: @1007858
     /* 1007858 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1007935), // Rule ID 5090 //
     /* 1007863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1007880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007902 */     // MIs[0] policy
     /* 1007902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007934 */     // GIR_Coverage, 5090,
     /* 1007934 */     GIR_EraseRootFromParent_Done,
     /* 1007935 */   // Label 14974: @1007935
     /* 1007935 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008012), // Rule ID 5091 //
     /* 1007940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1007957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007979 */     // MIs[0] policy
     /* 1007979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008011 */     // GIR_Coverage, 5091,
     /* 1008011 */     GIR_EraseRootFromParent_Done,
     /* 1008012 */   // Label 14975: @1008012
     /* 1008012 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008089), // Rule ID 5094 //
     /* 1008017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008056 */     // MIs[0] policy
     /* 1008056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1008069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008088 */     // GIR_Coverage, 5094,
     /* 1008088 */     GIR_EraseRootFromParent_Done,
     /* 1008089 */   // Label 14976: @1008089
     /* 1008089 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008166), // Rule ID 5095 //
     /* 1008094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008133 */     // MIs[0] policy
     /* 1008133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1008146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008165 */     // GIR_Coverage, 5095,
     /* 1008165 */     GIR_EraseRootFromParent_Done,
     /* 1008166 */   // Label 14977: @1008166
     /* 1008166 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008243), // Rule ID 5098 //
     /* 1008171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008210 */     // MIs[0] policy
     /* 1008210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008242 */     // GIR_Coverage, 5098,
     /* 1008242 */     GIR_EraseRootFromParent_Done,
     /* 1008243 */   // Label 14978: @1008243
     /* 1008243 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008320), // Rule ID 5099 //
     /* 1008248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008287 */     // MIs[0] policy
     /* 1008287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008319 */     // GIR_Coverage, 5099,
     /* 1008319 */     GIR_EraseRootFromParent_Done,
     /* 1008320 */   // Label 14979: @1008320
     /* 1008320 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008397), // Rule ID 5102 //
     /* 1008325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008364 */     // MIs[0] policy
     /* 1008364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008396 */     // GIR_Coverage, 5102,
     /* 1008396 */     GIR_EraseRootFromParent_Done,
     /* 1008397 */   // Label 14980: @1008397
     /* 1008397 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008474), // Rule ID 5103 //
     /* 1008402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008441 */     // MIs[0] policy
     /* 1008441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008473 */     // GIR_Coverage, 5103,
     /* 1008473 */     GIR_EraseRootFromParent_Done,
     /* 1008474 */   // Label 14981: @1008474
     /* 1008474 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008551), // Rule ID 5106 //
     /* 1008479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1008496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008518 */     // MIs[0] policy
     /* 1008518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1008531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008550 */     // GIR_Coverage, 5106,
     /* 1008550 */     GIR_EraseRootFromParent_Done,
     /* 1008551 */   // Label 14982: @1008551
     /* 1008551 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1008628), // Rule ID 5107 //
     /* 1008556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1008573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008595 */     // MIs[0] policy
     /* 1008595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1008608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008627 */     // GIR_Coverage, 5107,
     /* 1008627 */     GIR_EraseRootFromParent_Done,
     /* 1008628 */   // Label 14983: @1008628
     /* 1008628 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1008705), // Rule ID 12718 //
     /* 1008633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008672 */     // MIs[0] policy
     /* 1008672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008704 */     // GIR_Coverage, 12718,
     /* 1008704 */     GIR_EraseRootFromParent_Done,
     /* 1008705 */   // Label 14984: @1008705
     /* 1008705 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1008782), // Rule ID 12719 //
     /* 1008710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008749 */     // MIs[0] policy
     /* 1008749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008759 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008781 */     // GIR_Coverage, 12719,
     /* 1008781 */     GIR_EraseRootFromParent_Done,
     /* 1008782 */   // Label 14985: @1008782
     /* 1008782 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1008859), // Rule ID 12722 //
     /* 1008787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008826 */     // MIs[0] policy
     /* 1008826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1008839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008858 */     // GIR_Coverage, 12722,
     /* 1008858 */     GIR_EraseRootFromParent_Done,
     /* 1008859 */   // Label 14986: @1008859
     /* 1008859 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1008936), // Rule ID 12723 //
     /* 1008864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008903 */     // MIs[0] policy
     /* 1008903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008913 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1008916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008935 */     // GIR_Coverage, 12723,
     /* 1008935 */     GIR_EraseRootFromParent_Done,
     /* 1008936 */   // Label 14987: @1008936
     /* 1008936 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009013), // Rule ID 12726 //
     /* 1008941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1008958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008980 */     // MIs[0] policy
     /* 1008980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009012 */     // GIR_Coverage, 12726,
     /* 1009012 */     GIR_EraseRootFromParent_Done,
     /* 1009013 */   // Label 14988: @1009013
     /* 1009013 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009090), // Rule ID 12727 //
     /* 1009018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1009038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009057 */     // MIs[0] policy
     /* 1009057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1009070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009089 */     // GIR_Coverage, 12727,
     /* 1009089 */     GIR_EraseRootFromParent_Done,
     /* 1009090 */   // Label 14989: @1009090
     /* 1009090 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009167), // Rule ID 12730 //
     /* 1009095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009134 */     // MIs[0] policy
     /* 1009134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009166 */     // GIR_Coverage, 12730,
     /* 1009166 */     GIR_EraseRootFromParent_Done,
     /* 1009167 */   // Label 14990: @1009167
     /* 1009167 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009244), // Rule ID 12731 //
     /* 1009172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009211 */     // MIs[0] policy
     /* 1009211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009243 */     // GIR_Coverage, 12731,
     /* 1009243 */     GIR_EraseRootFromParent_Done,
     /* 1009244 */   // Label 14991: @1009244
     /* 1009244 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009321), // Rule ID 12734 //
     /* 1009249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009288 */     // MIs[0] policy
     /* 1009288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009320 */     // GIR_Coverage, 12734,
     /* 1009320 */     GIR_EraseRootFromParent_Done,
     /* 1009321 */   // Label 14992: @1009321
     /* 1009321 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009398), // Rule ID 12735 //
     /* 1009326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009365 */     // MIs[0] policy
     /* 1009365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009397 */     // GIR_Coverage, 12735,
     /* 1009397 */     GIR_EraseRootFromParent_Done,
     /* 1009398 */   // Label 14993: @1009398
     /* 1009398 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009475), // Rule ID 12738 //
     /* 1009403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009442 */     // MIs[0] policy
     /* 1009442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009474 */     // GIR_Coverage, 12738,
     /* 1009474 */     GIR_EraseRootFromParent_Done,
     /* 1009475 */   // Label 14994: @1009475
     /* 1009475 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009552), // Rule ID 12739 //
     /* 1009480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009519 */     // MIs[0] policy
     /* 1009519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009529 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009551 */     // GIR_Coverage, 12739,
     /* 1009551 */     GIR_EraseRootFromParent_Done,
     /* 1009552 */   // Label 14995: @1009552
     /* 1009552 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1009629), // Rule ID 12742 //
     /* 1009557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009596 */     // MIs[0] policy
     /* 1009596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009628 */     // GIR_Coverage, 12742,
     /* 1009628 */     GIR_EraseRootFromParent_Done,
     /* 1009629 */   // Label 14996: @1009629
     /* 1009629 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1009706), // Rule ID 12743 //
     /* 1009634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009673 */     // MIs[0] policy
     /* 1009673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009705 */     // GIR_Coverage, 12743,
     /* 1009705 */     GIR_EraseRootFromParent_Done,
     /* 1009706 */   // Label 14997: @1009706
     /* 1009706 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1009783), // Rule ID 12746 //
     /* 1009711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009750 */     // MIs[0] policy
     /* 1009750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009782 */     // GIR_Coverage, 12746,
     /* 1009782 */     GIR_EraseRootFromParent_Done,
     /* 1009783 */   // Label 14998: @1009783
     /* 1009783 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1009860), // Rule ID 12747 //
     /* 1009788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009827 */     // MIs[0] policy
     /* 1009827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009859 */     // GIR_Coverage, 12747,
     /* 1009859 */     GIR_EraseRootFromParent_Done,
     /* 1009860 */   // Label 14999: @1009860
     /* 1009860 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1009937), // Rule ID 12750 //
     /* 1009865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009904 */     // MIs[0] policy
     /* 1009904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009936 */     // GIR_Coverage, 12750,
     /* 1009936 */     GIR_EraseRootFromParent_Done,
     /* 1009937 */   // Label 15000: @1009937
     /* 1009937 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010014), // Rule ID 12751 //
     /* 1009942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009981 */     // MIs[0] policy
     /* 1009981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010013 */     // GIR_Coverage, 12751,
     /* 1010013 */     GIR_EraseRootFromParent_Done,
     /* 1010014 */   // Label 15001: @1010014
     /* 1010014 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010091), // Rule ID 12754 //
     /* 1010019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010058 */     // MIs[0] policy
     /* 1010058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010090 */     // GIR_Coverage, 12754,
     /* 1010090 */     GIR_EraseRootFromParent_Done,
     /* 1010091 */   // Label 15002: @1010091
     /* 1010091 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010168), // Rule ID 12755 //
     /* 1010096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010135 */     // MIs[0] policy
     /* 1010135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010145 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010167 */     // GIR_Coverage, 12755,
     /* 1010167 */     GIR_EraseRootFromParent_Done,
     /* 1010168 */   // Label 15003: @1010168
     /* 1010168 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010245), // Rule ID 12758 //
     /* 1010173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010212 */     // MIs[0] policy
     /* 1010212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010244 */     // GIR_Coverage, 12758,
     /* 1010244 */     GIR_EraseRootFromParent_Done,
     /* 1010245 */   // Label 15004: @1010245
     /* 1010245 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010322), // Rule ID 12759 //
     /* 1010250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010289 */     // MIs[0] policy
     /* 1010289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010321 */     // GIR_Coverage, 12759,
     /* 1010321 */     GIR_EraseRootFromParent_Done,
     /* 1010322 */   // Label 15005: @1010322
     /* 1010322 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010399), // Rule ID 12762 //
     /* 1010327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010366 */     // MIs[0] policy
     /* 1010366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010398 */     // GIR_Coverage, 12762,
     /* 1010398 */     GIR_EraseRootFromParent_Done,
     /* 1010399 */   // Label 15006: @1010399
     /* 1010399 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010476), // Rule ID 12763 //
     /* 1010404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010443 */     // MIs[0] policy
     /* 1010443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010453 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010475 */     // GIR_Coverage, 12763,
     /* 1010475 */     GIR_EraseRootFromParent_Done,
     /* 1010476 */   // Label 15007: @1010476
     /* 1010476 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010553), // Rule ID 12766 //
     /* 1010481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010520 */     // MIs[0] policy
     /* 1010520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010552 */     // GIR_Coverage, 12766,
     /* 1010552 */     GIR_EraseRootFromParent_Done,
     /* 1010553 */   // Label 15008: @1010553
     /* 1010553 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1010630), // Rule ID 12767 //
     /* 1010558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010597 */     // MIs[0] policy
     /* 1010597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010629 */     // GIR_Coverage, 12767,
     /* 1010629 */     GIR_EraseRootFromParent_Done,
     /* 1010630 */   // Label 15009: @1010630
     /* 1010630 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1010707), // Rule ID 12770 //
     /* 1010635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010674 */     // MIs[0] policy
     /* 1010674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010706 */     // GIR_Coverage, 12770,
     /* 1010706 */     GIR_EraseRootFromParent_Done,
     /* 1010707 */   // Label 15010: @1010707
     /* 1010707 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1010784), // Rule ID 12771 //
     /* 1010712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010751 */     // MIs[0] policy
     /* 1010751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010783 */     // GIR_Coverage, 12771,
     /* 1010783 */     GIR_EraseRootFromParent_Done,
     /* 1010784 */   // Label 15011: @1010784
     /* 1010784 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1010861), // Rule ID 12774 //
     /* 1010789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010828 */     // MIs[0] policy
     /* 1010828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010860 */     // GIR_Coverage, 12774,
     /* 1010860 */     GIR_EraseRootFromParent_Done,
     /* 1010861 */   // Label 15012: @1010861
     /* 1010861 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1010938), // Rule ID 12775 //
     /* 1010866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010905 */     // MIs[0] policy
     /* 1010905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010915 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010937 */     // GIR_Coverage, 12775,
     /* 1010937 */     GIR_EraseRootFromParent_Done,
     /* 1010938 */   // Label 15013: @1010938
     /* 1010938 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011015), // Rule ID 12778 //
     /* 1010943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010982 */     // MIs[0] policy
     /* 1010982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011014 */     // GIR_Coverage, 12778,
     /* 1011014 */     GIR_EraseRootFromParent_Done,
     /* 1011015 */   // Label 15014: @1011015
     /* 1011015 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011092), // Rule ID 12779 //
     /* 1011020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011059 */     // MIs[0] policy
     /* 1011059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011069 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011091 */     // GIR_Coverage, 12779,
     /* 1011091 */     GIR_EraseRootFromParent_Done,
     /* 1011092 */   // Label 15015: @1011092
     /* 1011092 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011169), // Rule ID 12782 //
     /* 1011097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011136 */     // MIs[0] policy
     /* 1011136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011168 */     // GIR_Coverage, 12782,
     /* 1011168 */     GIR_EraseRootFromParent_Done,
     /* 1011169 */   // Label 15016: @1011169
     /* 1011169 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011246), // Rule ID 12783 //
     /* 1011174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011213 */     // MIs[0] policy
     /* 1011213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011245 */     // GIR_Coverage, 12783,
     /* 1011245 */     GIR_EraseRootFromParent_Done,
     /* 1011246 */   // Label 15017: @1011246
     /* 1011246 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011323), // Rule ID 12786 //
     /* 1011251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011290 */     // MIs[0] policy
     /* 1011290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011300 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011322 */     // GIR_Coverage, 12786,
     /* 1011322 */     GIR_EraseRootFromParent_Done,
     /* 1011323 */   // Label 15018: @1011323
     /* 1011323 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011400), // Rule ID 12787 //
     /* 1011328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011367 */     // MIs[0] policy
     /* 1011367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011399 */     // GIR_Coverage, 12787,
     /* 1011399 */     GIR_EraseRootFromParent_Done,
     /* 1011400 */   // Label 15019: @1011400
     /* 1011400 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011477), // Rule ID 12790 //
     /* 1011405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011444 */     // MIs[0] policy
     /* 1011444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011476 */     // GIR_Coverage, 12790,
     /* 1011476 */     GIR_EraseRootFromParent_Done,
     /* 1011477 */   // Label 15020: @1011477
     /* 1011477 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011554), // Rule ID 12791 //
     /* 1011482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011521 */     // MIs[0] policy
     /* 1011521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011553 */     // GIR_Coverage, 12791,
     /* 1011553 */     GIR_EraseRootFromParent_Done,
     /* 1011554 */   // Label 15021: @1011554
     /* 1011554 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1011631), // Rule ID 12794 //
     /* 1011559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011598 */     // MIs[0] policy
     /* 1011598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011630 */     // GIR_Coverage, 12794,
     /* 1011630 */     GIR_EraseRootFromParent_Done,
     /* 1011631 */   // Label 15022: @1011631
     /* 1011631 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1011708), // Rule ID 12795 //
     /* 1011636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011675 */     // MIs[0] policy
     /* 1011675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011707 */     // GIR_Coverage, 12795,
     /* 1011707 */     GIR_EraseRootFromParent_Done,
     /* 1011708 */   // Label 15023: @1011708
     /* 1011708 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1011785), // Rule ID 12798 //
     /* 1011713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011752 */     // MIs[0] policy
     /* 1011752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011784 */     // GIR_Coverage, 12798,
     /* 1011784 */     GIR_EraseRootFromParent_Done,
     /* 1011785 */   // Label 15024: @1011785
     /* 1011785 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1011862), // Rule ID 12799 //
     /* 1011790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011829 */     // MIs[0] policy
     /* 1011829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011861 */     // GIR_Coverage, 12799,
     /* 1011861 */     GIR_EraseRootFromParent_Done,
     /* 1011862 */   // Label 15025: @1011862
     /* 1011862 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1011939), // Rule ID 12802 //
     /* 1011867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011906 */     // MIs[0] policy
     /* 1011906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011916 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1011919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011938 */     // GIR_Coverage, 12802,
     /* 1011938 */     GIR_EraseRootFromParent_Done,
     /* 1011939 */   // Label 15026: @1011939
     /* 1011939 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012016), // Rule ID 12803 //
     /* 1011944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011983 */     // MIs[0] policy
     /* 1011983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011993 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1011996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012015 */     // GIR_Coverage, 12803,
     /* 1012015 */     GIR_EraseRootFromParent_Done,
     /* 1012016 */   // Label 15027: @1012016
     /* 1012016 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012093), // Rule ID 12806 //
     /* 1012021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012060 */     // MIs[0] policy
     /* 1012060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012092 */     // GIR_Coverage, 12806,
     /* 1012092 */     GIR_EraseRootFromParent_Done,
     /* 1012093 */   // Label 15028: @1012093
     /* 1012093 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012170), // Rule ID 12807 //
     /* 1012098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012137 */     // MIs[0] policy
     /* 1012137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012169 */     // GIR_Coverage, 12807,
     /* 1012169 */     GIR_EraseRootFromParent_Done,
     /* 1012170 */   // Label 15029: @1012170
     /* 1012170 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012247), // Rule ID 12810 //
     /* 1012175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012214 */     // MIs[0] policy
     /* 1012214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012246 */     // GIR_Coverage, 12810,
     /* 1012246 */     GIR_EraseRootFromParent_Done,
     /* 1012247 */   // Label 15030: @1012247
     /* 1012247 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012324), // Rule ID 12811 //
     /* 1012252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012291 */     // MIs[0] policy
     /* 1012291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012301 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012323 */     // GIR_Coverage, 12811,
     /* 1012323 */     GIR_EraseRootFromParent_Done,
     /* 1012324 */   // Label 15031: @1012324
     /* 1012324 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012401), // Rule ID 12814 //
     /* 1012329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012368 */     // MIs[0] policy
     /* 1012368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012400 */     // GIR_Coverage, 12814,
     /* 1012400 */     GIR_EraseRootFromParent_Done,
     /* 1012401 */   // Label 15032: @1012401
     /* 1012401 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012478), // Rule ID 12815 //
     /* 1012406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012445 */     // MIs[0] policy
     /* 1012445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012477 */     // GIR_Coverage, 12815,
     /* 1012477 */     GIR_EraseRootFromParent_Done,
     /* 1012478 */   // Label 15033: @1012478
     /* 1012478 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012555), // Rule ID 12818 //
     /* 1012483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012522 */     // MIs[0] policy
     /* 1012522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012554 */     // GIR_Coverage, 12818,
     /* 1012554 */     GIR_EraseRootFromParent_Done,
     /* 1012555 */   // Label 15034: @1012555
     /* 1012555 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1012632), // Rule ID 12819 //
     /* 1012560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012599 */     // MIs[0] policy
     /* 1012599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012631 */     // GIR_Coverage, 12819,
     /* 1012631 */     GIR_EraseRootFromParent_Done,
     /* 1012632 */   // Label 15035: @1012632
     /* 1012632 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1012709), // Rule ID 12822 //
     /* 1012637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012676 */     // MIs[0] policy
     /* 1012676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012708 */     // GIR_Coverage, 12822,
     /* 1012708 */     GIR_EraseRootFromParent_Done,
     /* 1012709 */   // Label 15036: @1012709
     /* 1012709 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1012786), // Rule ID 12823 //
     /* 1012714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012753 */     // MIs[0] policy
     /* 1012753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012785 */     // GIR_Coverage, 12823,
     /* 1012785 */     GIR_EraseRootFromParent_Done,
     /* 1012786 */   // Label 15037: @1012786
     /* 1012786 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1012863), // Rule ID 12826 //
     /* 1012791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012830 */     // MIs[0] policy
     /* 1012830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012862 */     // GIR_Coverage, 12826,
     /* 1012862 */     GIR_EraseRootFromParent_Done,
     /* 1012863 */   // Label 15038: @1012863
     /* 1012863 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1012940), // Rule ID 12827 //
     /* 1012868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012907 */     // MIs[0] policy
     /* 1012907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012939 */     // GIR_Coverage, 12827,
     /* 1012939 */     GIR_EraseRootFromParent_Done,
     /* 1012940 */   // Label 15039: @1012940
     /* 1012940 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013017), // Rule ID 12830 //
     /* 1012945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012984 */     // MIs[0] policy
     /* 1012984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013016 */     // GIR_Coverage, 12830,
     /* 1013016 */     GIR_EraseRootFromParent_Done,
     /* 1013017 */   // Label 15040: @1013017
     /* 1013017 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013094), // Rule ID 12831 //
     /* 1013022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1013042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013061 */     // MIs[0] policy
     /* 1013061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013093 */     // GIR_Coverage, 12831,
     /* 1013093 */     GIR_EraseRootFromParent_Done,
     /* 1013094 */   // Label 15041: @1013094
     /* 1013094 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013171), // Rule ID 12834 //
     /* 1013099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013138 */     // MIs[0] policy
     /* 1013138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013170 */     // GIR_Coverage, 12834,
     /* 1013170 */     GIR_EraseRootFromParent_Done,
     /* 1013171 */   // Label 15042: @1013171
     /* 1013171 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013248), // Rule ID 12835 //
     /* 1013176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013215 */     // MIs[0] policy
     /* 1013215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013247 */     // GIR_Coverage, 12835,
     /* 1013247 */     GIR_EraseRootFromParent_Done,
     /* 1013248 */   // Label 15043: @1013248
     /* 1013248 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013325), // Rule ID 12838 //
     /* 1013253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013292 */     // MIs[0] policy
     /* 1013292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013324 */     // GIR_Coverage, 12838,
     /* 1013324 */     GIR_EraseRootFromParent_Done,
     /* 1013325 */   // Label 15044: @1013325
     /* 1013325 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013402), // Rule ID 12839 //
     /* 1013330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013369 */     // MIs[0] policy
     /* 1013369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013401 */     // GIR_Coverage, 12839,
     /* 1013401 */     GIR_EraseRootFromParent_Done,
     /* 1013402 */   // Label 15045: @1013402
     /* 1013402 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013479), // Rule ID 12842 //
     /* 1013407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013446 */     // MIs[0] policy
     /* 1013446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013478 */     // GIR_Coverage, 12842,
     /* 1013478 */     GIR_EraseRootFromParent_Done,
     /* 1013479 */   // Label 15046: @1013479
     /* 1013479 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013556), // Rule ID 12843 //
     /* 1013484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013523 */     // MIs[0] policy
     /* 1013523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013533 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013555 */     // GIR_Coverage, 12843,
     /* 1013555 */     GIR_EraseRootFromParent_Done,
     /* 1013556 */   // Label 15047: @1013556
     /* 1013556 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1013633), // Rule ID 12846 //
     /* 1013561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013600 */     // MIs[0] policy
     /* 1013600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013632 */     // GIR_Coverage, 12846,
     /* 1013632 */     GIR_EraseRootFromParent_Done,
     /* 1013633 */   // Label 15048: @1013633
     /* 1013633 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1013710), // Rule ID 12847 //
     /* 1013638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013677 */     // MIs[0] policy
     /* 1013677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013709 */     // GIR_Coverage, 12847,
     /* 1013709 */     GIR_EraseRootFromParent_Done,
     /* 1013710 */   // Label 15049: @1013710
     /* 1013710 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1013787), // Rule ID 12850 //
     /* 1013715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013754 */     // MIs[0] policy
     /* 1013754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1013767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013786 */     // GIR_Coverage, 12850,
     /* 1013786 */     GIR_EraseRootFromParent_Done,
     /* 1013787 */   // Label 15050: @1013787
     /* 1013787 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1013864), // Rule ID 12851 //
     /* 1013792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013831 */     // MIs[0] policy
     /* 1013831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013841 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1013844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013863 */     // GIR_Coverage, 12851,
     /* 1013863 */     GIR_EraseRootFromParent_Done,
     /* 1013864 */   // Label 15051: @1013864
     /* 1013864 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1013941), // Rule ID 12854 //
     /* 1013869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013908 */     // MIs[0] policy
     /* 1013908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013918 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013940 */     // GIR_Coverage, 12854,
     /* 1013940 */     GIR_EraseRootFromParent_Done,
     /* 1013941 */   // Label 15052: @1013941
     /* 1013941 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014018), // Rule ID 12855 //
     /* 1013946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013985 */     // MIs[0] policy
     /* 1013985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014017 */     // GIR_Coverage, 12855,
     /* 1014017 */     GIR_EraseRootFromParent_Done,
     /* 1014018 */   // Label 15053: @1014018
     /* 1014018 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014095), // Rule ID 12858 //
     /* 1014023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014062 */     // MIs[0] policy
     /* 1014062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014094 */     // GIR_Coverage, 12858,
     /* 1014094 */     GIR_EraseRootFromParent_Done,
     /* 1014095 */   // Label 15054: @1014095
     /* 1014095 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014172), // Rule ID 12859 //
     /* 1014100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014139 */     // MIs[0] policy
     /* 1014139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014171 */     // GIR_Coverage, 12859,
     /* 1014171 */     GIR_EraseRootFromParent_Done,
     /* 1014172 */   // Label 15055: @1014172
     /* 1014172 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014249), // Rule ID 12862 //
     /* 1014177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014216 */     // MIs[0] policy
     /* 1014216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014248 */     // GIR_Coverage, 12862,
     /* 1014248 */     GIR_EraseRootFromParent_Done,
     /* 1014249 */   // Label 15056: @1014249
     /* 1014249 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014326), // Rule ID 12863 //
     /* 1014254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014293 */     // MIs[0] policy
     /* 1014293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014303 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014325 */     // GIR_Coverage, 12863,
     /* 1014325 */     GIR_EraseRootFromParent_Done,
     /* 1014326 */   // Label 15057: @1014326
     /* 1014326 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014403), // Rule ID 12866 //
     /* 1014331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014370 */     // MIs[0] policy
     /* 1014370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014402 */     // GIR_Coverage, 12866,
     /* 1014402 */     GIR_EraseRootFromParent_Done,
     /* 1014403 */   // Label 15058: @1014403
     /* 1014403 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014480), // Rule ID 12867 //
     /* 1014408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014447 */     // MIs[0] policy
     /* 1014447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014479 */     // GIR_Coverage, 12867,
     /* 1014479 */     GIR_EraseRootFromParent_Done,
     /* 1014480 */   // Label 15059: @1014480
     /* 1014480 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014557), // Rule ID 12870 //
     /* 1014485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014524 */     // MIs[0] policy
     /* 1014524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014556 */     // GIR_Coverage, 12870,
     /* 1014556 */     GIR_EraseRootFromParent_Done,
     /* 1014557 */   // Label 15060: @1014557
     /* 1014557 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1014634), // Rule ID 12871 //
     /* 1014562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014601 */     // MIs[0] policy
     /* 1014601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014633 */     // GIR_Coverage, 12871,
     /* 1014633 */     GIR_EraseRootFromParent_Done,
     /* 1014634 */   // Label 15061: @1014634
     /* 1014634 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1014711), // Rule ID 12874 //
     /* 1014639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014678 */     // MIs[0] policy
     /* 1014678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014710 */     // GIR_Coverage, 12874,
     /* 1014710 */     GIR_EraseRootFromParent_Done,
     /* 1014711 */   // Label 15062: @1014711
     /* 1014711 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1014788), // Rule ID 12875 //
     /* 1014716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014755 */     // MIs[0] policy
     /* 1014755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014787 */     // GIR_Coverage, 12875,
     /* 1014787 */     GIR_EraseRootFromParent_Done,
     /* 1014788 */   // Label 15063: @1014788
     /* 1014788 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1014865), // Rule ID 12878 //
     /* 1014793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014832 */     // MIs[0] policy
     /* 1014832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014864 */     // GIR_Coverage, 12878,
     /* 1014864 */     GIR_EraseRootFromParent_Done,
     /* 1014865 */   // Label 15064: @1014865
     /* 1014865 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1014942), // Rule ID 12879 //
     /* 1014870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014909 */     // MIs[0] policy
     /* 1014909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014919 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014941 */     // GIR_Coverage, 12879,
     /* 1014941 */     GIR_EraseRootFromParent_Done,
     /* 1014942 */   // Label 15065: @1014942
     /* 1014942 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015019), // Rule ID 12882 //
     /* 1014947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014986 */     // MIs[0] policy
     /* 1014986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015018 */     // GIR_Coverage, 12882,
     /* 1015018 */     GIR_EraseRootFromParent_Done,
     /* 1015019 */   // Label 15066: @1015019
     /* 1015019 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015096), // Rule ID 12883 //
     /* 1015024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015063 */     // MIs[0] policy
     /* 1015063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1015076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015095 */     // GIR_Coverage, 12883,
     /* 1015095 */     GIR_EraseRootFromParent_Done,
     /* 1015096 */   // Label 15067: @1015096
     /* 1015096 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015173), // Rule ID 12886 //
     /* 1015101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015140 */     // MIs[0] policy
     /* 1015140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015172 */     // GIR_Coverage, 12886,
     /* 1015172 */     GIR_EraseRootFromParent_Done,
     /* 1015173 */   // Label 15068: @1015173
     /* 1015173 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015250), // Rule ID 12887 //
     /* 1015178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015217 */     // MIs[0] policy
     /* 1015217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015249 */     // GIR_Coverage, 12887,
     /* 1015249 */     GIR_EraseRootFromParent_Done,
     /* 1015250 */   // Label 15069: @1015250
     /* 1015250 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015327), // Rule ID 12890 //
     /* 1015255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015294 */     // MIs[0] policy
     /* 1015294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015326 */     // GIR_Coverage, 12890,
     /* 1015326 */     GIR_EraseRootFromParent_Done,
     /* 1015327 */   // Label 15070: @1015327
     /* 1015327 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015404), // Rule ID 12891 //
     /* 1015332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015371 */     // MIs[0] policy
     /* 1015371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015381 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015403 */     // GIR_Coverage, 12891,
     /* 1015403 */     GIR_EraseRootFromParent_Done,
     /* 1015404 */   // Label 15071: @1015404
     /* 1015404 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015481), // Rule ID 12894 //
     /* 1015409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015448 */     // MIs[0] policy
     /* 1015448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015480 */     // GIR_Coverage, 12894,
     /* 1015480 */     GIR_EraseRootFromParent_Done,
     /* 1015481 */   // Label 15072: @1015481
     /* 1015481 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015558), // Rule ID 12895 //
     /* 1015486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015525 */     // MIs[0] policy
     /* 1015525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015535 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015557 */     // GIR_Coverage, 12895,
     /* 1015557 */     GIR_EraseRootFromParent_Done,
     /* 1015558 */   // Label 15073: @1015558
     /* 1015558 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1015635), // Rule ID 12898 //
     /* 1015563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1015580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015602 */     // MIs[0] policy
     /* 1015602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015634 */     // GIR_Coverage, 12898,
     /* 1015634 */     GIR_EraseRootFromParent_Done,
     /* 1015635 */   // Label 15074: @1015635
     /* 1015635 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1015712), // Rule ID 12899 //
     /* 1015640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1015657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015679 */     // MIs[0] policy
     /* 1015679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015711 */     // GIR_Coverage, 12899,
     /* 1015711 */     GIR_EraseRootFromParent_Done,
     /* 1015712 */   // Label 15075: @1015712
     /* 1015712 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1015789), // Rule ID 12902 //
     /* 1015717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1015734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015756 */     // MIs[0] policy
     /* 1015756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015788 */     // GIR_Coverage, 12902,
     /* 1015788 */     GIR_EraseRootFromParent_Done,
     /* 1015789 */   // Label 15076: @1015789
     /* 1015789 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1015866), // Rule ID 12903 //
     /* 1015794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1015811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015833 */     // MIs[0] policy
     /* 1015833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015865 */     // GIR_Coverage, 12903,
     /* 1015865 */     GIR_EraseRootFromParent_Done,
     /* 1015866 */   // Label 15077: @1015866
     /* 1015866 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1015943), // Rule ID 12906 //
     /* 1015871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1015888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015910 */     // MIs[0] policy
     /* 1015910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015942 */     // GIR_Coverage, 12906,
     /* 1015942 */     GIR_EraseRootFromParent_Done,
     /* 1015943 */   // Label 15078: @1015943
     /* 1015943 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016020), // Rule ID 12907 //
     /* 1015948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1015965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015987 */     // MIs[0] policy
     /* 1015987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016019 */     // GIR_Coverage, 12907,
     /* 1016019 */     GIR_EraseRootFromParent_Done,
     /* 1016020 */   // Label 15079: @1016020
     /* 1016020 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016097), // Rule ID 12910 //
     /* 1016025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016064 */     // MIs[0] policy
     /* 1016064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016096 */     // GIR_Coverage, 12910,
     /* 1016096 */     GIR_EraseRootFromParent_Done,
     /* 1016097 */   // Label 15080: @1016097
     /* 1016097 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016174), // Rule ID 12911 //
     /* 1016102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016141 */     // MIs[0] policy
     /* 1016141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016173 */     // GIR_Coverage, 12911,
     /* 1016173 */     GIR_EraseRootFromParent_Done,
     /* 1016174 */   // Label 15081: @1016174
     /* 1016174 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016251), // Rule ID 12914 //
     /* 1016179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016218 */     // MIs[0] policy
     /* 1016218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016250 */     // GIR_Coverage, 12914,
     /* 1016250 */     GIR_EraseRootFromParent_Done,
     /* 1016251 */   // Label 15082: @1016251
     /* 1016251 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016328), // Rule ID 12915 //
     /* 1016256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016295 */     // MIs[0] policy
     /* 1016295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016327 */     // GIR_Coverage, 12915,
     /* 1016327 */     GIR_EraseRootFromParent_Done,
     /* 1016328 */   // Label 15083: @1016328
     /* 1016328 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016405), // Rule ID 12918 //
     /* 1016333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016372 */     // MIs[0] policy
     /* 1016372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016404 */     // GIR_Coverage, 12918,
     /* 1016404 */     GIR_EraseRootFromParent_Done,
     /* 1016405 */   // Label 15084: @1016405
     /* 1016405 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016482), // Rule ID 12919 //
     /* 1016410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016449 */     // MIs[0] policy
     /* 1016449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016481 */     // GIR_Coverage, 12919,
     /* 1016481 */     GIR_EraseRootFromParent_Done,
     /* 1016482 */   // Label 15085: @1016482
     /* 1016482 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016559), // Rule ID 12922 //
     /* 1016487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016526 */     // MIs[0] policy
     /* 1016526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016558 */     // GIR_Coverage, 12922,
     /* 1016558 */     GIR_EraseRootFromParent_Done,
     /* 1016559 */   // Label 15086: @1016559
     /* 1016559 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1016636), // Rule ID 12923 //
     /* 1016564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016603 */     // MIs[0] policy
     /* 1016603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016613 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016635 */     // GIR_Coverage, 12923,
     /* 1016635 */     GIR_EraseRootFromParent_Done,
     /* 1016636 */   // Label 15087: @1016636
     /* 1016636 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1016713), // Rule ID 12926 //
     /* 1016641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016680 */     // MIs[0] policy
     /* 1016680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016712 */     // GIR_Coverage, 12926,
     /* 1016712 */     GIR_EraseRootFromParent_Done,
     /* 1016713 */   // Label 15088: @1016713
     /* 1016713 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1016790), // Rule ID 12927 //
     /* 1016718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016757 */     // MIs[0] policy
     /* 1016757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016789 */     // GIR_Coverage, 12927,
     /* 1016789 */     GIR_EraseRootFromParent_Done,
     /* 1016790 */   // Label 15089: @1016790
     /* 1016790 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1016867), // Rule ID 12930 //
     /* 1016795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1016812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016834 */     // MIs[0] policy
     /* 1016834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1016847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016866 */     // GIR_Coverage, 12930,
     /* 1016866 */     GIR_EraseRootFromParent_Done,
     /* 1016867 */   // Label 15090: @1016867
     /* 1016867 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1016944), // Rule ID 12931 //
     /* 1016872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1016889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016911 */     // MIs[0] policy
     /* 1016911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1016924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016943 */     // GIR_Coverage, 12931,
     /* 1016943 */     GIR_EraseRootFromParent_Done,
     /* 1016944 */   // Label 15091: @1016944
     /* 1016944 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017021), // Rule ID 12934 //
     /* 1016949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1016966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016988 */     // MIs[0] policy
     /* 1016988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017020 */     // GIR_Coverage, 12934,
     /* 1017020 */     GIR_EraseRootFromParent_Done,
     /* 1017021 */   // Label 15092: @1017021
     /* 1017021 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017098), // Rule ID 12935 //
     /* 1017026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1017037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1017040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1017043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1017046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017065 */     // MIs[0] policy
     /* 1017065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017075 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017097 */     // GIR_Coverage, 12935,
     /* 1017097 */     GIR_EraseRootFromParent_Done,
     /* 1017098 */   // Label 15093: @1017098
     /* 1017098 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017175), // Rule ID 12938 //
     /* 1017103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017142 */     // MIs[0] policy
     /* 1017142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017152 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017174 */     // GIR_Coverage, 12938,
     /* 1017174 */     GIR_EraseRootFromParent_Done,
     /* 1017175 */   // Label 15094: @1017175
     /* 1017175 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017252), // Rule ID 12939 //
     /* 1017180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017219 */     // MIs[0] policy
     /* 1017219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017229 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017251 */     // GIR_Coverage, 12939,
     /* 1017251 */     GIR_EraseRootFromParent_Done,
     /* 1017252 */   // Label 15095: @1017252
     /* 1017252 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017329), // Rule ID 12942 //
     /* 1017257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017296 */     // MIs[0] policy
     /* 1017296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017328 */     // GIR_Coverage, 12942,
     /* 1017328 */     GIR_EraseRootFromParent_Done,
     /* 1017329 */   // Label 15096: @1017329
     /* 1017329 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017406), // Rule ID 12943 //
     /* 1017334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017373 */     // MIs[0] policy
     /* 1017373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017405 */     // GIR_Coverage, 12943,
     /* 1017405 */     GIR_EraseRootFromParent_Done,
     /* 1017406 */   // Label 15097: @1017406
     /* 1017406 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017483), // Rule ID 12946 //
     /* 1017411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017450 */     // MIs[0] policy
     /* 1017450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017482 */     // GIR_Coverage, 12946,
     /* 1017482 */     GIR_EraseRootFromParent_Done,
     /* 1017483 */   // Label 15098: @1017483
     /* 1017483 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017560), // Rule ID 12947 //
     /* 1017488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017527 */     // MIs[0] policy
     /* 1017527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017559 */     // GIR_Coverage, 12947,
     /* 1017559 */     GIR_EraseRootFromParent_Done,
     /* 1017560 */   // Label 15099: @1017560
     /* 1017560 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1017637), // Rule ID 12950 //
     /* 1017565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1017582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017604 */     // MIs[0] policy
     /* 1017604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017636 */     // GIR_Coverage, 12950,
     /* 1017636 */     GIR_EraseRootFromParent_Done,
     /* 1017637 */   // Label 15100: @1017637
     /* 1017637 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1017714), // Rule ID 12951 //
     /* 1017642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1017659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017681 */     // MIs[0] policy
     /* 1017681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017713 */     // GIR_Coverage, 12951,
     /* 1017713 */     GIR_EraseRootFromParent_Done,
     /* 1017714 */   // Label 15101: @1017714
     /* 1017714 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1017791), // Rule ID 12954 //
     /* 1017719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017758 */     // MIs[0] policy
     /* 1017758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017790 */     // GIR_Coverage, 12954,
     /* 1017790 */     GIR_EraseRootFromParent_Done,
     /* 1017791 */   // Label 15102: @1017791
     /* 1017791 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1017868), // Rule ID 12955 //
     /* 1017796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017835 */     // MIs[0] policy
     /* 1017835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017867 */     // GIR_Coverage, 12955,
     /* 1017867 */     GIR_EraseRootFromParent_Done,
     /* 1017868 */   // Label 15103: @1017868
     /* 1017868 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1017945), // Rule ID 12958 //
     /* 1017873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017912 */     // MIs[0] policy
     /* 1017912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017944 */     // GIR_Coverage, 12958,
     /* 1017944 */     GIR_EraseRootFromParent_Done,
     /* 1017945 */   // Label 15104: @1017945
     /* 1017945 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018022), // Rule ID 12959 //
     /* 1017950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017989 */     // MIs[0] policy
     /* 1017989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018021 */     // GIR_Coverage, 12959,
     /* 1018021 */     GIR_EraseRootFromParent_Done,
     /* 1018022 */   // Label 15105: @1018022
     /* 1018022 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018099), // Rule ID 12962 //
     /* 1018027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018066 */     // MIs[0] policy
     /* 1018066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018098 */     // GIR_Coverage, 12962,
     /* 1018098 */     GIR_EraseRootFromParent_Done,
     /* 1018099 */   // Label 15106: @1018099
     /* 1018099 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018176), // Rule ID 12963 //
     /* 1018104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018143 */     // MIs[0] policy
     /* 1018143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018175 */     // GIR_Coverage, 12963,
     /* 1018175 */     GIR_EraseRootFromParent_Done,
     /* 1018176 */   // Label 15107: @1018176
     /* 1018176 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018253), // Rule ID 12966 //
     /* 1018181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018220 */     // MIs[0] policy
     /* 1018220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018252 */     // GIR_Coverage, 12966,
     /* 1018252 */     GIR_EraseRootFromParent_Done,
     /* 1018253 */   // Label 15108: @1018253
     /* 1018253 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018330), // Rule ID 12967 //
     /* 1018258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018297 */     // MIs[0] policy
     /* 1018297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018329 */     // GIR_Coverage, 12967,
     /* 1018329 */     GIR_EraseRootFromParent_Done,
     /* 1018330 */   // Label 15109: @1018330
     /* 1018330 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018407), // Rule ID 12970 //
     /* 1018335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018374 */     // MIs[0] policy
     /* 1018374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018406 */     // GIR_Coverage, 12970,
     /* 1018406 */     GIR_EraseRootFromParent_Done,
     /* 1018407 */   // Label 15110: @1018407
     /* 1018407 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018484), // Rule ID 12971 //
     /* 1018412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018451 */     // MIs[0] policy
     /* 1018451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018483 */     // GIR_Coverage, 12971,
     /* 1018483 */     GIR_EraseRootFromParent_Done,
     /* 1018484 */   // Label 15111: @1018484
     /* 1018484 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018561), // Rule ID 12974 //
     /* 1018489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018528 */     // MIs[0] policy
     /* 1018528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018560 */     // GIR_Coverage, 12974,
     /* 1018560 */     GIR_EraseRootFromParent_Done,
     /* 1018561 */   // Label 15112: @1018561
     /* 1018561 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1018638), // Rule ID 12975 //
     /* 1018566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018605 */     // MIs[0] policy
     /* 1018605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018637 */     // GIR_Coverage, 12975,
     /* 1018637 */     GIR_EraseRootFromParent_Done,
     /* 1018638 */   // Label 15113: @1018638
     /* 1018638 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1018715), // Rule ID 12978 //
     /* 1018643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018682 */     // MIs[0] policy
     /* 1018682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1018695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018714 */     // GIR_Coverage, 12978,
     /* 1018714 */     GIR_EraseRootFromParent_Done,
     /* 1018715 */   // Label 15114: @1018715
     /* 1018715 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1018792), // Rule ID 12979 //
     /* 1018720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018759 */     // MIs[0] policy
     /* 1018759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1018772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018791 */     // GIR_Coverage, 12979,
     /* 1018791 */     GIR_EraseRootFromParent_Done,
     /* 1018792 */   // Label 15115: @1018792
     /* 1018792 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1018869), // Rule ID 12982 //
     /* 1018797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018836 */     // MIs[0] policy
     /* 1018836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1018849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018868 */     // GIR_Coverage, 12982,
     /* 1018868 */     GIR_EraseRootFromParent_Done,
     /* 1018869 */   // Label 15116: @1018869
     /* 1018869 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1018946), // Rule ID 12983 //
     /* 1018874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018913 */     // MIs[0] policy
     /* 1018913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018923 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1018926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018945 */     // GIR_Coverage, 12983,
     /* 1018945 */     GIR_EraseRootFromParent_Done,
     /* 1018946 */   // Label 15117: @1018946
     /* 1018946 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019023), // Rule ID 12986 //
     /* 1018951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018990 */     // MIs[0] policy
     /* 1018990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019000 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019022 */     // GIR_Coverage, 12986,
     /* 1019022 */     GIR_EraseRootFromParent_Done,
     /* 1019023 */   // Label 15118: @1019023
     /* 1019023 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019100), // Rule ID 12987 //
     /* 1019028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1019039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1019042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019067 */     // MIs[0] policy
     /* 1019067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019099 */     // GIR_Coverage, 12987,
     /* 1019099 */     GIR_EraseRootFromParent_Done,
     /* 1019100 */   // Label 15119: @1019100
     /* 1019100 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019177), // Rule ID 12990 //
     /* 1019105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019144 */     // MIs[0] policy
     /* 1019144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019176 */     // GIR_Coverage, 12990,
     /* 1019176 */     GIR_EraseRootFromParent_Done,
     /* 1019177 */   // Label 15120: @1019177
     /* 1019177 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019254), // Rule ID 12991 //
     /* 1019182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019221 */     // MIs[0] policy
     /* 1019221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019253 */     // GIR_Coverage, 12991,
     /* 1019253 */     GIR_EraseRootFromParent_Done,
     /* 1019254 */   // Label 15121: @1019254
     /* 1019254 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019331), // Rule ID 12994 //
     /* 1019259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019298 */     // MIs[0] policy
     /* 1019298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019330 */     // GIR_Coverage, 12994,
     /* 1019330 */     GIR_EraseRootFromParent_Done,
     /* 1019331 */   // Label 15122: @1019331
     /* 1019331 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019408), // Rule ID 12995 //
     /* 1019336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019375 */     // MIs[0] policy
     /* 1019375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019407 */     // GIR_Coverage, 12995,
     /* 1019407 */     GIR_EraseRootFromParent_Done,
     /* 1019408 */   // Label 15123: @1019408
     /* 1019408 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019485), // Rule ID 12998 //
     /* 1019413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019452 */     // MIs[0] policy
     /* 1019452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019484 */     // GIR_Coverage, 12998,
     /* 1019484 */     GIR_EraseRootFromParent_Done,
     /* 1019485 */   // Label 15124: @1019485
     /* 1019485 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019562), // Rule ID 12999 //
     /* 1019490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019529 */     // MIs[0] policy
     /* 1019529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019561 */     // GIR_Coverage, 12999,
     /* 1019561 */     GIR_EraseRootFromParent_Done,
     /* 1019562 */   // Label 15125: @1019562
     /* 1019562 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1019639), // Rule ID 13002 //
     /* 1019567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019606 */     // MIs[0] policy
     /* 1019606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019638 */     // GIR_Coverage, 13002,
     /* 1019638 */     GIR_EraseRootFromParent_Done,
     /* 1019639 */   // Label 15126: @1019639
     /* 1019639 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1019716), // Rule ID 13003 //
     /* 1019644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019683 */     // MIs[0] policy
     /* 1019683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019715 */     // GIR_Coverage, 13003,
     /* 1019715 */     GIR_EraseRootFromParent_Done,
     /* 1019716 */   // Label 15127: @1019716
     /* 1019716 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1019793), // Rule ID 13006 //
     /* 1019721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019760 */     // MIs[0] policy
     /* 1019760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019792 */     // GIR_Coverage, 13006,
     /* 1019792 */     GIR_EraseRootFromParent_Done,
     /* 1019793 */   // Label 15128: @1019793
     /* 1019793 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1019870), // Rule ID 13007 //
     /* 1019798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019837 */     // MIs[0] policy
     /* 1019837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019869 */     // GIR_Coverage, 13007,
     /* 1019869 */     GIR_EraseRootFromParent_Done,
     /* 1019870 */   // Label 15129: @1019870
     /* 1019870 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1019947), // Rule ID 13010 //
     /* 1019875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019914 */     // MIs[0] policy
     /* 1019914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019946 */     // GIR_Coverage, 13010,
     /* 1019946 */     GIR_EraseRootFromParent_Done,
     /* 1019947 */   // Label 15130: @1019947
     /* 1019947 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020024), // Rule ID 13011 //
     /* 1019952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019991 */     // MIs[0] policy
     /* 1019991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020023 */     // GIR_Coverage, 13011,
     /* 1020023 */     GIR_EraseRootFromParent_Done,
     /* 1020024 */   // Label 15131: @1020024
     /* 1020024 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020101), // Rule ID 13014 //
     /* 1020029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020068 */     // MIs[0] policy
     /* 1020068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020100 */     // GIR_Coverage, 13014,
     /* 1020100 */     GIR_EraseRootFromParent_Done,
     /* 1020101 */   // Label 15132: @1020101
     /* 1020101 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020178), // Rule ID 13015 //
     /* 1020106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020145 */     // MIs[0] policy
     /* 1020145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020177 */     // GIR_Coverage, 13015,
     /* 1020177 */     GIR_EraseRootFromParent_Done,
     /* 1020178 */   // Label 15133: @1020178
     /* 1020178 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020255), // Rule ID 13018 //
     /* 1020183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020222 */     // MIs[0] policy
     /* 1020222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020254 */     // GIR_Coverage, 13018,
     /* 1020254 */     GIR_EraseRootFromParent_Done,
     /* 1020255 */   // Label 15134: @1020255
     /* 1020255 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020332), // Rule ID 13019 //
     /* 1020260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020299 */     // MIs[0] policy
     /* 1020299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020331 */     // GIR_Coverage, 13019,
     /* 1020331 */     GIR_EraseRootFromParent_Done,
     /* 1020332 */   // Label 15135: @1020332
     /* 1020332 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020409), // Rule ID 13022 //
     /* 1020337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020376 */     // MIs[0] policy
     /* 1020376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020408 */     // GIR_Coverage, 13022,
     /* 1020408 */     GIR_EraseRootFromParent_Done,
     /* 1020409 */   // Label 15136: @1020409
     /* 1020409 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020486), // Rule ID 13023 //
     /* 1020414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020453 */     // MIs[0] policy
     /* 1020453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020463 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020485 */     // GIR_Coverage, 13023,
     /* 1020485 */     GIR_EraseRootFromParent_Done,
     /* 1020486 */   // Label 15137: @1020486
     /* 1020486 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020563), // Rule ID 13026 //
     /* 1020491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020530 */     // MIs[0] policy
     /* 1020530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020540 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020562 */     // GIR_Coverage, 13026,
     /* 1020562 */     GIR_EraseRootFromParent_Done,
     /* 1020563 */   // Label 15138: @1020563
     /* 1020563 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1020640), // Rule ID 13027 //
     /* 1020568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020607 */     // MIs[0] policy
     /* 1020607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020617 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020639 */     // GIR_Coverage, 13027,
     /* 1020639 */     GIR_EraseRootFromParent_Done,
     /* 1020640 */   // Label 15139: @1020640
     /* 1020640 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1020717), // Rule ID 13030 //
     /* 1020645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020684 */     // MIs[0] policy
     /* 1020684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020716 */     // GIR_Coverage, 13030,
     /* 1020716 */     GIR_EraseRootFromParent_Done,
     /* 1020717 */   // Label 15140: @1020717
     /* 1020717 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1020794), // Rule ID 13031 //
     /* 1020722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020761 */     // MIs[0] policy
     /* 1020761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020793 */     // GIR_Coverage, 13031,
     /* 1020793 */     GIR_EraseRootFromParent_Done,
     /* 1020794 */   // Label 15141: @1020794
     /* 1020794 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1020871), // Rule ID 13034 //
     /* 1020799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020838 */     // MIs[0] policy
     /* 1020838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020870 */     // GIR_Coverage, 13034,
     /* 1020870 */     GIR_EraseRootFromParent_Done,
     /* 1020871 */   // Label 15142: @1020871
     /* 1020871 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1020948), // Rule ID 13035 //
     /* 1020876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020915 */     // MIs[0] policy
     /* 1020915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020947 */     // GIR_Coverage, 13035,
     /* 1020947 */     GIR_EraseRootFromParent_Done,
     /* 1020948 */   // Label 15143: @1020948
     /* 1020948 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021025), // Rule ID 13038 //
     /* 1020953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020992 */     // MIs[0] policy
     /* 1020992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021024 */     // GIR_Coverage, 13038,
     /* 1021024 */     GIR_EraseRootFromParent_Done,
     /* 1021025 */   // Label 15144: @1021025
     /* 1021025 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021102), // Rule ID 13039 //
     /* 1021030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1021041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1021044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1021050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021069 */     // MIs[0] policy
     /* 1021069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021079 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021101 */     // GIR_Coverage, 13039,
     /* 1021101 */     GIR_EraseRootFromParent_Done,
     /* 1021102 */   // Label 15145: @1021102
     /* 1021102 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021179), // Rule ID 13042 //
     /* 1021107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021146 */     // MIs[0] policy
     /* 1021146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021178 */     // GIR_Coverage, 13042,
     /* 1021178 */     GIR_EraseRootFromParent_Done,
     /* 1021179 */   // Label 15146: @1021179
     /* 1021179 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021256), // Rule ID 13043 //
     /* 1021184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021223 */     // MIs[0] policy
     /* 1021223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021255 */     // GIR_Coverage, 13043,
     /* 1021255 */     GIR_EraseRootFromParent_Done,
     /* 1021256 */   // Label 15147: @1021256
     /* 1021256 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021333), // Rule ID 13046 //
     /* 1021261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021300 */     // MIs[0] policy
     /* 1021300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021332 */     // GIR_Coverage, 13046,
     /* 1021332 */     GIR_EraseRootFromParent_Done,
     /* 1021333 */   // Label 15148: @1021333
     /* 1021333 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021410), // Rule ID 13047 //
     /* 1021338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021377 */     // MIs[0] policy
     /* 1021377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021409 */     // GIR_Coverage, 13047,
     /* 1021409 */     GIR_EraseRootFromParent_Done,
     /* 1021410 */   // Label 15149: @1021410
     /* 1021410 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021487), // Rule ID 13050 //
     /* 1021415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021454 */     // MIs[0] policy
     /* 1021454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021486 */     // GIR_Coverage, 13050,
     /* 1021486 */     GIR_EraseRootFromParent_Done,
     /* 1021487 */   // Label 15150: @1021487
     /* 1021487 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021564), // Rule ID 13051 //
     /* 1021492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021531 */     // MIs[0] policy
     /* 1021531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021563 */     // GIR_Coverage, 13051,
     /* 1021563 */     GIR_EraseRootFromParent_Done,
     /* 1021564 */   // Label 15151: @1021564
     /* 1021564 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1021641), // Rule ID 13054 //
     /* 1021569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021608 */     // MIs[0] policy
     /* 1021608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021640 */     // GIR_Coverage, 13054,
     /* 1021640 */     GIR_EraseRootFromParent_Done,
     /* 1021641 */   // Label 15152: @1021641
     /* 1021641 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1021718), // Rule ID 13055 //
     /* 1021646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021685 */     // MIs[0] policy
     /* 1021685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021717 */     // GIR_Coverage, 13055,
     /* 1021717 */     GIR_EraseRootFromParent_Done,
     /* 1021718 */   // Label 15153: @1021718
     /* 1021718 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1021795), // Rule ID 13058 //
     /* 1021723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021762 */     // MIs[0] policy
     /* 1021762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021794 */     // GIR_Coverage, 13058,
     /* 1021794 */     GIR_EraseRootFromParent_Done,
     /* 1021795 */   // Label 15154: @1021795
     /* 1021795 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1021872), // Rule ID 13059 //
     /* 1021800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021839 */     // MIs[0] policy
     /* 1021839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021871 */     // GIR_Coverage, 13059,
     /* 1021871 */     GIR_EraseRootFromParent_Done,
     /* 1021872 */   // Label 15155: @1021872
     /* 1021872 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1021949), // Rule ID 13062 //
     /* 1021877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021916 */     // MIs[0] policy
     /* 1021916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021948 */     // GIR_Coverage, 13062,
     /* 1021948 */     GIR_EraseRootFromParent_Done,
     /* 1021949 */   // Label 15156: @1021949
     /* 1021949 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022026), // Rule ID 13063 //
     /* 1021954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021993 */     // MIs[0] policy
     /* 1021993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1022006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022025 */     // GIR_Coverage, 13063,
     /* 1022025 */     GIR_EraseRootFromParent_Done,
     /* 1022026 */   // Label 15157: @1022026
     /* 1022026 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022103), // Rule ID 13066 //
     /* 1022031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022070 */     // MIs[0] policy
     /* 1022070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022080 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1022083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022102 */     // GIR_Coverage, 13066,
     /* 1022102 */     GIR_EraseRootFromParent_Done,
     /* 1022103 */   // Label 15158: @1022103
     /* 1022103 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022180), // Rule ID 13067 //
     /* 1022108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022147 */     // MIs[0] policy
     /* 1022147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022157 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1022160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022179 */     // GIR_Coverage, 13067,
     /* 1022179 */     GIR_EraseRootFromParent_Done,
     /* 1022180 */   // Label 15159: @1022180
     /* 1022180 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022257), // Rule ID 13070 //
     /* 1022185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022224 */     // MIs[0] policy
     /* 1022224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022256 */     // GIR_Coverage, 13070,
     /* 1022256 */     GIR_EraseRootFromParent_Done,
     /* 1022257 */   // Label 15160: @1022257
     /* 1022257 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022334), // Rule ID 13071 //
     /* 1022262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022301 */     // MIs[0] policy
     /* 1022301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022311 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022333 */     // GIR_Coverage, 13071,
     /* 1022333 */     GIR_EraseRootFromParent_Done,
     /* 1022334 */   // Label 15161: @1022334
     /* 1022334 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022411), // Rule ID 13074 //
     /* 1022339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022378 */     // MIs[0] policy
     /* 1022378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022410 */     // GIR_Coverage, 13074,
     /* 1022410 */     GIR_EraseRootFromParent_Done,
     /* 1022411 */   // Label 15162: @1022411
     /* 1022411 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022488), // Rule ID 13075 //
     /* 1022416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022455 */     // MIs[0] policy
     /* 1022455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022487 */     // GIR_Coverage, 13075,
     /* 1022487 */     GIR_EraseRootFromParent_Done,
     /* 1022488 */   // Label 15163: @1022488
     /* 1022488 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022565), // Rule ID 13078 //
     /* 1022493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1022510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022532 */     // MIs[0] policy
     /* 1022532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022564 */     // GIR_Coverage, 13078,
     /* 1022564 */     GIR_EraseRootFromParent_Done,
     /* 1022565 */   // Label 15164: @1022565
     /* 1022565 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1022642), // Rule ID 13079 //
     /* 1022570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1022587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022609 */     // MIs[0] policy
     /* 1022609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022641 */     // GIR_Coverage, 13079,
     /* 1022641 */     GIR_EraseRootFromParent_Done,
     /* 1022642 */   // Label 15165: @1022642
     /* 1022642 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1022719), // Rule ID 13082 //
     /* 1022647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1022664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022686 */     // MIs[0] policy
     /* 1022686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022718 */     // GIR_Coverage, 13082,
     /* 1022718 */     GIR_EraseRootFromParent_Done,
     /* 1022719 */   // Label 15166: @1022719
     /* 1022719 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1022796), // Rule ID 13083 //
     /* 1022724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1022741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022763 */     // MIs[0] policy
     /* 1022763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022795 */     // GIR_Coverage, 13083,
     /* 1022795 */     GIR_EraseRootFromParent_Done,
     /* 1022796 */   // Label 15167: @1022796
     /* 1022796 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1022873), // Rule ID 13086 //
     /* 1022801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1022818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022840 */     // MIs[0] policy
     /* 1022840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022872 */     // GIR_Coverage, 13086,
     /* 1022872 */     GIR_EraseRootFromParent_Done,
     /* 1022873 */   // Label 15168: @1022873
     /* 1022873 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1022950), // Rule ID 13087 //
     /* 1022878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1022895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022917 */     // MIs[0] policy
     /* 1022917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022949 */     // GIR_Coverage, 13087,
     /* 1022949 */     GIR_EraseRootFromParent_Done,
     /* 1022950 */   // Label 15169: @1022950
     /* 1022950 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023027), // Rule ID 13090 //
     /* 1022955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1022972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022994 */     // MIs[0] policy
     /* 1022994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023026 */     // GIR_Coverage, 13090,
     /* 1023026 */     GIR_EraseRootFromParent_Done,
     /* 1023027 */   // Label 15170: @1023027
     /* 1023027 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023104), // Rule ID 13091 //
     /* 1023032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1023043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1023046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1023049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023071 */     // MIs[0] policy
     /* 1023071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023103 */     // GIR_Coverage, 13091,
     /* 1023103 */     GIR_EraseRootFromParent_Done,
     /* 1023104 */   // Label 15171: @1023104
     /* 1023104 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023181), // Rule ID 13094 //
     /* 1023109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023148 */     // MIs[0] policy
     /* 1023148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023180 */     // GIR_Coverage, 13094,
     /* 1023180 */     GIR_EraseRootFromParent_Done,
     /* 1023181 */   // Label 15172: @1023181
     /* 1023181 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023258), // Rule ID 13095 //
     /* 1023186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023225 */     // MIs[0] policy
     /* 1023225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023257 */     // GIR_Coverage, 13095,
     /* 1023257 */     GIR_EraseRootFromParent_Done,
     /* 1023258 */   // Label 15173: @1023258
     /* 1023258 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023335), // Rule ID 13098 //
     /* 1023263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023302 */     // MIs[0] policy
     /* 1023302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023334 */     // GIR_Coverage, 13098,
     /* 1023334 */     GIR_EraseRootFromParent_Done,
     /* 1023335 */   // Label 15174: @1023335
     /* 1023335 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023412), // Rule ID 13099 //
     /* 1023340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023379 */     // MIs[0] policy
     /* 1023379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023411 */     // GIR_Coverage, 13099,
     /* 1023411 */     GIR_EraseRootFromParent_Done,
     /* 1023412 */   // Label 15175: @1023412
     /* 1023412 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023489), // Rule ID 13102 //
     /* 1023417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023456 */     // MIs[0] policy
     /* 1023456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023488 */     // GIR_Coverage, 13102,
     /* 1023488 */     GIR_EraseRootFromParent_Done,
     /* 1023489 */   // Label 15176: @1023489
     /* 1023489 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023566), // Rule ID 13103 //
     /* 1023494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023533 */     // MIs[0] policy
     /* 1023533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023565 */     // GIR_Coverage, 13103,
     /* 1023565 */     GIR_EraseRootFromParent_Done,
     /* 1023566 */   // Label 15177: @1023566
     /* 1023566 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1023643), // Rule ID 13106 //
     /* 1023571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1023588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023610 */     // MIs[0] policy
     /* 1023610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023642 */     // GIR_Coverage, 13106,
     /* 1023642 */     GIR_EraseRootFromParent_Done,
     /* 1023643 */   // Label 15178: @1023643
     /* 1023643 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1023720), // Rule ID 13107 //
     /* 1023648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1023665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023687 */     // MIs[0] policy
     /* 1023687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023719 */     // GIR_Coverage, 13107,
     /* 1023719 */     GIR_EraseRootFromParent_Done,
     /* 1023720 */   // Label 15179: @1023720
     /* 1023720 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1023797), // Rule ID 13110 //
     /* 1023725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1023742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023764 */     // MIs[0] policy
     /* 1023764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1023777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023796 */     // GIR_Coverage, 13110,
     /* 1023796 */     GIR_EraseRootFromParent_Done,
     /* 1023797 */   // Label 15180: @1023797
     /* 1023797 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1023874), // Rule ID 13111 //
     /* 1023802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1023819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023841 */     // MIs[0] policy
     /* 1023841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1023854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023873 */     // GIR_Coverage, 13111,
     /* 1023873 */     GIR_EraseRootFromParent_Done,
     /* 1023874 */   // Label 15181: @1023874
     /* 1023874 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1023951), // Rule ID 13114 //
     /* 1023879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1023896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023918 */     // MIs[0] policy
     /* 1023918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1023931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023950 */     // GIR_Coverage, 13114,
     /* 1023950 */     GIR_EraseRootFromParent_Done,
     /* 1023951 */   // Label 15182: @1023951
     /* 1023951 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024028), // Rule ID 13115 //
     /* 1023956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1023973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023995 */     // MIs[0] policy
     /* 1023995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024005 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024027 */     // GIR_Coverage, 13115,
     /* 1024027 */     GIR_EraseRootFromParent_Done,
     /* 1024028 */   // Label 15183: @1024028
     /* 1024028 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024105), // Rule ID 13118 //
     /* 1024033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024072 */     // MIs[0] policy
     /* 1024072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024104 */     // GIR_Coverage, 13118,
     /* 1024104 */     GIR_EraseRootFromParent_Done,
     /* 1024105 */   // Label 15184: @1024105
     /* 1024105 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024182), // Rule ID 13119 //
     /* 1024110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024149 */     // MIs[0] policy
     /* 1024149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024181 */     // GIR_Coverage, 13119,
     /* 1024181 */     GIR_EraseRootFromParent_Done,
     /* 1024182 */   // Label 15185: @1024182
     /* 1024182 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024259), // Rule ID 13122 //
     /* 1024187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024226 */     // MIs[0] policy
     /* 1024226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024258 */     // GIR_Coverage, 13122,
     /* 1024258 */     GIR_EraseRootFromParent_Done,
     /* 1024259 */   // Label 15186: @1024259
     /* 1024259 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024336), // Rule ID 13123 //
     /* 1024264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024303 */     // MIs[0] policy
     /* 1024303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024313 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024335 */     // GIR_Coverage, 13123,
     /* 1024335 */     GIR_EraseRootFromParent_Done,
     /* 1024336 */   // Label 15187: @1024336
     /* 1024336 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024413), // Rule ID 13126 //
     /* 1024341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024380 */     // MIs[0] policy
     /* 1024380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024412 */     // GIR_Coverage, 13126,
     /* 1024412 */     GIR_EraseRootFromParent_Done,
     /* 1024413 */   // Label 15188: @1024413
     /* 1024413 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024490), // Rule ID 13127 //
     /* 1024418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024457 */     // MIs[0] policy
     /* 1024457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024489 */     // GIR_Coverage, 13127,
     /* 1024489 */     GIR_EraseRootFromParent_Done,
     /* 1024490 */   // Label 15189: @1024490
     /* 1024490 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024567), // Rule ID 13130 //
     /* 1024495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1024512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024534 */     // MIs[0] policy
     /* 1024534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024566 */     // GIR_Coverage, 13130,
     /* 1024566 */     GIR_EraseRootFromParent_Done,
     /* 1024567 */   // Label 15190: @1024567
     /* 1024567 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1024644), // Rule ID 13131 //
     /* 1024572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1024589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024611 */     // MIs[0] policy
     /* 1024611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024643 */     // GIR_Coverage, 13131,
     /* 1024643 */     GIR_EraseRootFromParent_Done,
     /* 1024644 */   // Label 15191: @1024644
     /* 1024644 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1024721), // Rule ID 13134 //
     /* 1024649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1024666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024688 */     // MIs[0] policy
     /* 1024688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024720 */     // GIR_Coverage, 13134,
     /* 1024720 */     GIR_EraseRootFromParent_Done,
     /* 1024721 */   // Label 15192: @1024721
     /* 1024721 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1024798), // Rule ID 13135 //
     /* 1024726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1024743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024765 */     // MIs[0] policy
     /* 1024765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024775 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024797 */     // GIR_Coverage, 13135,
     /* 1024797 */     GIR_EraseRootFromParent_Done,
     /* 1024798 */   // Label 15193: @1024798
     /* 1024798 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1024875), // Rule ID 13138 //
     /* 1024803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1024820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024842 */     // MIs[0] policy
     /* 1024842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024874 */     // GIR_Coverage, 13138,
     /* 1024874 */     GIR_EraseRootFromParent_Done,
     /* 1024875 */   // Label 15194: @1024875
     /* 1024875 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1024952), // Rule ID 13139 //
     /* 1024880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1024897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024919 */     // MIs[0] policy
     /* 1024919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024929 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024951 */     // GIR_Coverage, 13139,
     /* 1024951 */     GIR_EraseRootFromParent_Done,
     /* 1024952 */   // Label 15195: @1024952
     /* 1024952 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025029), // Rule ID 13142 //
     /* 1024957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1024974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024996 */     // MIs[0] policy
     /* 1024996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025028 */     // GIR_Coverage, 13142,
     /* 1025028 */     GIR_EraseRootFromParent_Done,
     /* 1025029 */   // Label 15196: @1025029
     /* 1025029 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025106), // Rule ID 13143 //
     /* 1025034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1025045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1025048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1025051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1025054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025073 */     // MIs[0] policy
     /* 1025073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025105 */     // GIR_Coverage, 13143,
     /* 1025105 */     GIR_EraseRootFromParent_Done,
     /* 1025106 */   // Label 15197: @1025106
     /* 1025106 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025183), // Rule ID 13146 //
     /* 1025111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025150 */     // MIs[0] policy
     /* 1025150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025182 */     // GIR_Coverage, 13146,
     /* 1025182 */     GIR_EraseRootFromParent_Done,
     /* 1025183 */   // Label 15198: @1025183
     /* 1025183 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025260), // Rule ID 13147 //
     /* 1025188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025227 */     // MIs[0] policy
     /* 1025227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025259 */     // GIR_Coverage, 13147,
     /* 1025259 */     GIR_EraseRootFromParent_Done,
     /* 1025260 */   // Label 15199: @1025260
     /* 1025260 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025337), // Rule ID 13150 //
     /* 1025265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025304 */     // MIs[0] policy
     /* 1025304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025336 */     // GIR_Coverage, 13150,
     /* 1025336 */     GIR_EraseRootFromParent_Done,
     /* 1025337 */   // Label 15200: @1025337
     /* 1025337 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025414), // Rule ID 13151 //
     /* 1025342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025381 */     // MIs[0] policy
     /* 1025381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025413 */     // GIR_Coverage, 13151,
     /* 1025413 */     GIR_EraseRootFromParent_Done,
     /* 1025414 */   // Label 15201: @1025414
     /* 1025414 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025491), // Rule ID 13154 //
     /* 1025419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025458 */     // MIs[0] policy
     /* 1025458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1025471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025490 */     // GIR_Coverage, 13154,
     /* 1025490 */     GIR_EraseRootFromParent_Done,
     /* 1025491 */   // Label 15202: @1025491
     /* 1025491 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025568), // Rule ID 13155 //
     /* 1025496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025535 */     // MIs[0] policy
     /* 1025535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025545 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1025548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025567 */     // GIR_Coverage, 13155,
     /* 1025567 */     GIR_EraseRootFromParent_Done,
     /* 1025568 */   // Label 15203: @1025568
     /* 1025568 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1025645), // Rule ID 13158 //
     /* 1025573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025612 */     // MIs[0] policy
     /* 1025612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025644 */     // GIR_Coverage, 13158,
     /* 1025644 */     GIR_EraseRootFromParent_Done,
     /* 1025645 */   // Label 15204: @1025645
     /* 1025645 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1025722), // Rule ID 13159 //
     /* 1025650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025689 */     // MIs[0] policy
     /* 1025689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025721 */     // GIR_Coverage, 13159,
     /* 1025721 */     GIR_EraseRootFromParent_Done,
     /* 1025722 */   // Label 15205: @1025722
     /* 1025722 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1025799), // Rule ID 13162 //
     /* 1025727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025766 */     // MIs[0] policy
     /* 1025766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025798 */     // GIR_Coverage, 13162,
     /* 1025798 */     GIR_EraseRootFromParent_Done,
     /* 1025799 */   // Label 15206: @1025799
     /* 1025799 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1025876), // Rule ID 13163 //
     /* 1025804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025843 */     // MIs[0] policy
     /* 1025843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025853 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025875 */     // GIR_Coverage, 13163,
     /* 1025875 */     GIR_EraseRootFromParent_Done,
     /* 1025876 */   // Label 15207: @1025876
     /* 1025876 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1025953), // Rule ID 13166 //
     /* 1025881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025920 */     // MIs[0] policy
     /* 1025920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025952 */     // GIR_Coverage, 13166,
     /* 1025952 */     GIR_EraseRootFromParent_Done,
     /* 1025953 */   // Label 15208: @1025953
     /* 1025953 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026030), // Rule ID 13167 //
     /* 1025958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025997 */     // MIs[0] policy
     /* 1025997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026007 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1026010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026029 */     // GIR_Coverage, 13167,
     /* 1026029 */     GIR_EraseRootFromParent_Done,
     /* 1026030 */   // Label 15209: @1026030
     /* 1026030 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026107), // Rule ID 13170 //
     /* 1026035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026074 */     // MIs[0] policy
     /* 1026074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026106 */     // GIR_Coverage, 13170,
     /* 1026106 */     GIR_EraseRootFromParent_Done,
     /* 1026107 */   // Label 15210: @1026107
     /* 1026107 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026184), // Rule ID 13171 //
     /* 1026112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026151 */     // MIs[0] policy
     /* 1026151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026161 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026183 */     // GIR_Coverage, 13171,
     /* 1026183 */     GIR_EraseRootFromParent_Done,
     /* 1026184 */   // Label 15211: @1026184
     /* 1026184 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026261), // Rule ID 13174 //
     /* 1026189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026228 */     // MIs[0] policy
     /* 1026228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026260 */     // GIR_Coverage, 13174,
     /* 1026260 */     GIR_EraseRootFromParent_Done,
     /* 1026261 */   // Label 15212: @1026261
     /* 1026261 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026338), // Rule ID 13175 //
     /* 1026266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026305 */     // MIs[0] policy
     /* 1026305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026315 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026337 */     // GIR_Coverage, 13175,
     /* 1026337 */     GIR_EraseRootFromParent_Done,
     /* 1026338 */   // Label 15213: @1026338
     /* 1026338 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026415), // Rule ID 13178 //
     /* 1026343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026382 */     // MIs[0] policy
     /* 1026382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026414 */     // GIR_Coverage, 13178,
     /* 1026414 */     GIR_EraseRootFromParent_Done,
     /* 1026415 */   // Label 15214: @1026415
     /* 1026415 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026492), // Rule ID 13179 //
     /* 1026420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026459 */     // MIs[0] policy
     /* 1026459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026491 */     // GIR_Coverage, 13179,
     /* 1026491 */     GIR_EraseRootFromParent_Done,
     /* 1026492 */   // Label 15215: @1026492
     /* 1026492 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026569), // Rule ID 13182 //
     /* 1026497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026536 */     // MIs[0] policy
     /* 1026536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026568 */     // GIR_Coverage, 13182,
     /* 1026568 */     GIR_EraseRootFromParent_Done,
     /* 1026569 */   // Label 15216: @1026569
     /* 1026569 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1026646), // Rule ID 13183 //
     /* 1026574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026613 */     // MIs[0] policy
     /* 1026613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026645 */     // GIR_Coverage, 13183,
     /* 1026645 */     GIR_EraseRootFromParent_Done,
     /* 1026646 */   // Label 15217: @1026646
     /* 1026646 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1026723), // Rule ID 13186 //
     /* 1026651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026690 */     // MIs[0] policy
     /* 1026690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026722 */     // GIR_Coverage, 13186,
     /* 1026722 */     GIR_EraseRootFromParent_Done,
     /* 1026723 */   // Label 15218: @1026723
     /* 1026723 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1026800), // Rule ID 13187 //
     /* 1026728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026767 */     // MIs[0] policy
     /* 1026767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026799 */     // GIR_Coverage, 13187,
     /* 1026799 */     GIR_EraseRootFromParent_Done,
     /* 1026800 */   // Label 15219: @1026800
     /* 1026800 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1026877), // Rule ID 13190 //
     /* 1026805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026844 */     // MIs[0] policy
     /* 1026844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026876 */     // GIR_Coverage, 13190,
     /* 1026876 */     GIR_EraseRootFromParent_Done,
     /* 1026877 */   // Label 15220: @1026877
     /* 1026877 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1026954), // Rule ID 13191 //
     /* 1026882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1026885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026921 */     // MIs[0] policy
     /* 1026921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026953 */     // GIR_Coverage, 13191,
     /* 1026953 */     GIR_EraseRootFromParent_Done,
     /* 1026954 */   // Label 15221: @1026954
     /* 1026954 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027031), // Rule ID 13194 //
     /* 1026959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026998 */     // MIs[0] policy
     /* 1026998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027030 */     // GIR_Coverage, 13194,
     /* 1027030 */     GIR_EraseRootFromParent_Done,
     /* 1027031 */   // Label 15222: @1027031
     /* 1027031 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027108), // Rule ID 13195 //
     /* 1027036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1027047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1027050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027075 */     // MIs[0] policy
     /* 1027075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027085 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027107 */     // GIR_Coverage, 13195,
     /* 1027107 */     GIR_EraseRootFromParent_Done,
     /* 1027108 */   // Label 15223: @1027108
     /* 1027108 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027185), // Rule ID 13198 //
     /* 1027113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027152 */     // MIs[0] policy
     /* 1027152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027162 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027184 */     // GIR_Coverage, 13198,
     /* 1027184 */     GIR_EraseRootFromParent_Done,
     /* 1027185 */   // Label 15224: @1027185
     /* 1027185 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027262), // Rule ID 13199 //
     /* 1027190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027229 */     // MIs[0] policy
     /* 1027229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027239 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027261 */     // GIR_Coverage, 13199,
     /* 1027261 */     GIR_EraseRootFromParent_Done,
     /* 1027262 */   // Label 15225: @1027262
     /* 1027262 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027339), // Rule ID 13202 //
     /* 1027267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027306 */     // MIs[0] policy
     /* 1027306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027338 */     // GIR_Coverage, 13202,
     /* 1027338 */     GIR_EraseRootFromParent_Done,
     /* 1027339 */   // Label 15226: @1027339
     /* 1027339 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027416), // Rule ID 13203 //
     /* 1027344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027383 */     // MIs[0] policy
     /* 1027383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027393 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027415 */     // GIR_Coverage, 13203,
     /* 1027415 */     GIR_EraseRootFromParent_Done,
     /* 1027416 */   // Label 15227: @1027416
     /* 1027416 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027493), // Rule ID 13206 //
     /* 1027421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027460 */     // MIs[0] policy
     /* 1027460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027492 */     // GIR_Coverage, 13206,
     /* 1027492 */     GIR_EraseRootFromParent_Done,
     /* 1027493 */   // Label 15228: @1027493
     /* 1027493 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027570), // Rule ID 13207 //
     /* 1027498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027537 */     // MIs[0] policy
     /* 1027537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027569 */     // GIR_Coverage, 13207,
     /* 1027569 */     GIR_EraseRootFromParent_Done,
     /* 1027570 */   // Label 15229: @1027570
     /* 1027570 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1027647), // Rule ID 13210 //
     /* 1027575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027614 */     // MIs[0] policy
     /* 1027614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027646 */     // GIR_Coverage, 13210,
     /* 1027646 */     GIR_EraseRootFromParent_Done,
     /* 1027647 */   // Label 15230: @1027647
     /* 1027647 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1027724), // Rule ID 13211 //
     /* 1027652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027691 */     // MIs[0] policy
     /* 1027691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027701 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027723 */     // GIR_Coverage, 13211,
     /* 1027723 */     GIR_EraseRootFromParent_Done,
     /* 1027724 */   // Label 15231: @1027724
     /* 1027724 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1027801), // Rule ID 13214 //
     /* 1027729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027768 */     // MIs[0] policy
     /* 1027768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027800 */     // GIR_Coverage, 13214,
     /* 1027800 */     GIR_EraseRootFromParent_Done,
     /* 1027801 */   // Label 15232: @1027801
     /* 1027801 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1027878), // Rule ID 13215 //
     /* 1027806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027845 */     // MIs[0] policy
     /* 1027845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027877 */     // GIR_Coverage, 13215,
     /* 1027877 */     GIR_EraseRootFromParent_Done,
     /* 1027878 */   // Label 15233: @1027878
     /* 1027878 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1027955), // Rule ID 13218 //
     /* 1027883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027922 */     // MIs[0] policy
     /* 1027922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027954 */     // GIR_Coverage, 13218,
     /* 1027954 */     GIR_EraseRootFromParent_Done,
     /* 1027955 */   // Label 15234: @1027955
     /* 1027955 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028032), // Rule ID 13219 //
     /* 1027960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027999 */     // MIs[0] policy
     /* 1027999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028031 */     // GIR_Coverage, 13219,
     /* 1028031 */     GIR_EraseRootFromParent_Done,
     /* 1028032 */   // Label 15235: @1028032
     /* 1028032 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028109), // Rule ID 13222 //
     /* 1028037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028076 */     // MIs[0] policy
     /* 1028076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028108 */     // GIR_Coverage, 13222,
     /* 1028108 */     GIR_EraseRootFromParent_Done,
     /* 1028109 */   // Label 15236: @1028109
     /* 1028109 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028186), // Rule ID 13223 //
     /* 1028114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028153 */     // MIs[0] policy
     /* 1028153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028185 */     // GIR_Coverage, 13223,
     /* 1028185 */     GIR_EraseRootFromParent_Done,
     /* 1028186 */   // Label 15237: @1028186
     /* 1028186 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028263), // Rule ID 13226 //
     /* 1028191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028230 */     // MIs[0] policy
     /* 1028230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028262 */     // GIR_Coverage, 13226,
     /* 1028262 */     GIR_EraseRootFromParent_Done,
     /* 1028263 */   // Label 15238: @1028263
     /* 1028263 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028340), // Rule ID 13227 //
     /* 1028268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028307 */     // MIs[0] policy
     /* 1028307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028339 */     // GIR_Coverage, 13227,
     /* 1028339 */     GIR_EraseRootFromParent_Done,
     /* 1028340 */   // Label 15239: @1028340
     /* 1028340 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028417), // Rule ID 13230 //
     /* 1028345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028384 */     // MIs[0] policy
     /* 1028384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028416 */     // GIR_Coverage, 13230,
     /* 1028416 */     GIR_EraseRootFromParent_Done,
     /* 1028417 */   // Label 15240: @1028417
     /* 1028417 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028494), // Rule ID 13231 //
     /* 1028422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028461 */     // MIs[0] policy
     /* 1028461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028493 */     // GIR_Coverage, 13231,
     /* 1028493 */     GIR_EraseRootFromParent_Done,
     /* 1028494 */   // Label 15241: @1028494
     /* 1028494 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028571), // Rule ID 13234 //
     /* 1028499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028538 */     // MIs[0] policy
     /* 1028538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028570 */     // GIR_Coverage, 13234,
     /* 1028570 */     GIR_EraseRootFromParent_Done,
     /* 1028571 */   // Label 15242: @1028571
     /* 1028571 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1028648), // Rule ID 13235 //
     /* 1028576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028615 */     // MIs[0] policy
     /* 1028615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028647 */     // GIR_Coverage, 13235,
     /* 1028647 */     GIR_EraseRootFromParent_Done,
     /* 1028648 */   // Label 15243: @1028648
     /* 1028648 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1028725), // Rule ID 13238 //
     /* 1028653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028692 */     // MIs[0] policy
     /* 1028692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028724 */     // GIR_Coverage, 13238,
     /* 1028724 */     GIR_EraseRootFromParent_Done,
     /* 1028725 */   // Label 15244: @1028725
     /* 1028725 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1028802), // Rule ID 13239 //
     /* 1028730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028769 */     // MIs[0] policy
     /* 1028769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028801 */     // GIR_Coverage, 13239,
     /* 1028801 */     GIR_EraseRootFromParent_Done,
     /* 1028802 */   // Label 15245: @1028802
     /* 1028802 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1028879), // Rule ID 13242 //
     /* 1028807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028846 */     // MIs[0] policy
     /* 1028846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1028859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028878 */     // GIR_Coverage, 13242,
     /* 1028878 */     GIR_EraseRootFromParent_Done,
     /* 1028879 */   // Label 15246: @1028879
     /* 1028879 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1028956), // Rule ID 13243 //
     /* 1028884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028923 */     // MIs[0] policy
     /* 1028923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1028936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028955 */     // GIR_Coverage, 13243,
     /* 1028955 */     GIR_EraseRootFromParent_Done,
     /* 1028956 */   // Label 15247: @1028956
     /* 1028956 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029033), // Rule ID 13246 //
     /* 1028961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1028978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029000 */     // MIs[0] policy
     /* 1029000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029010 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029032 */     // GIR_Coverage, 13246,
     /* 1029032 */     GIR_EraseRootFromParent_Done,
     /* 1029033 */   // Label 15248: @1029033
     /* 1029033 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029110), // Rule ID 13247 //
     /* 1029038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029077 */     // MIs[0] policy
     /* 1029077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029109 */     // GIR_Coverage, 13247,
     /* 1029109 */     GIR_EraseRootFromParent_Done,
     /* 1029110 */   // Label 15249: @1029110
     /* 1029110 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029187), // Rule ID 13250 //
     /* 1029115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029154 */     // MIs[0] policy
     /* 1029154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029186 */     // GIR_Coverage, 13250,
     /* 1029186 */     GIR_EraseRootFromParent_Done,
     /* 1029187 */   // Label 15250: @1029187
     /* 1029187 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029264), // Rule ID 13251 //
     /* 1029192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029231 */     // MIs[0] policy
     /* 1029231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029241 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029263 */     // GIR_Coverage, 13251,
     /* 1029263 */     GIR_EraseRootFromParent_Done,
     /* 1029264 */   // Label 15251: @1029264
     /* 1029264 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029341), // Rule ID 13254 //
     /* 1029269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029308 */     // MIs[0] policy
     /* 1029308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029340 */     // GIR_Coverage, 13254,
     /* 1029340 */     GIR_EraseRootFromParent_Done,
     /* 1029341 */   // Label 15252: @1029341
     /* 1029341 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029418), // Rule ID 13255 //
     /* 1029346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029385 */     // MIs[0] policy
     /* 1029385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029417 */     // GIR_Coverage, 13255,
     /* 1029417 */     GIR_EraseRootFromParent_Done,
     /* 1029418 */   // Label 15253: @1029418
     /* 1029418 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029495), // Rule ID 13258 //
     /* 1029423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029462 */     // MIs[0] policy
     /* 1029462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029494 */     // GIR_Coverage, 13258,
     /* 1029494 */     GIR_EraseRootFromParent_Done,
     /* 1029495 */   // Label 15254: @1029495
     /* 1029495 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029572), // Rule ID 13259 //
     /* 1029500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029539 */     // MIs[0] policy
     /* 1029539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029571 */     // GIR_Coverage, 13259,
     /* 1029571 */     GIR_EraseRootFromParent_Done,
     /* 1029572 */   // Label 15255: @1029572
     /* 1029572 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1029649), // Rule ID 13262 //
     /* 1029577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029616 */     // MIs[0] policy
     /* 1029616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029648 */     // GIR_Coverage, 13262,
     /* 1029648 */     GIR_EraseRootFromParent_Done,
     /* 1029649 */   // Label 15256: @1029649
     /* 1029649 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1029726), // Rule ID 13263 //
     /* 1029654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029693 */     // MIs[0] policy
     /* 1029693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029703 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029725 */     // GIR_Coverage, 13263,
     /* 1029725 */     GIR_EraseRootFromParent_Done,
     /* 1029726 */   // Label 15257: @1029726
     /* 1029726 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1029803), // Rule ID 13266 //
     /* 1029731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029770 */     // MIs[0] policy
     /* 1029770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029802 */     // GIR_Coverage, 13266,
     /* 1029802 */     GIR_EraseRootFromParent_Done,
     /* 1029803 */   // Label 15258: @1029803
     /* 1029803 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1029880), // Rule ID 13267 //
     /* 1029808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029847 */     // MIs[0] policy
     /* 1029847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029879 */     // GIR_Coverage, 13267,
     /* 1029879 */     GIR_EraseRootFromParent_Done,
     /* 1029880 */   // Label 15259: @1029880
     /* 1029880 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1029957), // Rule ID 13270 //
     /* 1029885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1029902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029924 */     // MIs[0] policy
     /* 1029924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029956 */     // GIR_Coverage, 13270,
     /* 1029956 */     GIR_EraseRootFromParent_Done,
     /* 1029957 */   // Label 15260: @1029957
     /* 1029957 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030034), // Rule ID 13271 //
     /* 1029962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1029979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030001 */     // MIs[0] policy
     /* 1030001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030033 */     // GIR_Coverage, 13271,
     /* 1030033 */     GIR_EraseRootFromParent_Done,
     /* 1030034 */   // Label 15261: @1030034
     /* 1030034 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030111), // Rule ID 13274 //
     /* 1030039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030078 */     // MIs[0] policy
     /* 1030078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030110 */     // GIR_Coverage, 13274,
     /* 1030110 */     GIR_EraseRootFromParent_Done,
     /* 1030111 */   // Label 15262: @1030111
     /* 1030111 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030188), // Rule ID 13275 //
     /* 1030116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030155 */     // MIs[0] policy
     /* 1030155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030187 */     // GIR_Coverage, 13275,
     /* 1030187 */     GIR_EraseRootFromParent_Done,
     /* 1030188 */   // Label 15263: @1030188
     /* 1030188 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030265), // Rule ID 13278 //
     /* 1030193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030232 */     // MIs[0] policy
     /* 1030232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030264 */     // GIR_Coverage, 13278,
     /* 1030264 */     GIR_EraseRootFromParent_Done,
     /* 1030265 */   // Label 15264: @1030265
     /* 1030265 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030342), // Rule ID 13279 //
     /* 1030270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030309 */     // MIs[0] policy
     /* 1030309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030341 */     // GIR_Coverage, 13279,
     /* 1030341 */     GIR_EraseRootFromParent_Done,
     /* 1030342 */   // Label 15265: @1030342
     /* 1030342 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030419), // Rule ID 13282 //
     /* 1030347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030386 */     // MIs[0] policy
     /* 1030386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030418 */     // GIR_Coverage, 13282,
     /* 1030418 */     GIR_EraseRootFromParent_Done,
     /* 1030419 */   // Label 15266: @1030419
     /* 1030419 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030496), // Rule ID 13283 //
     /* 1030424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030463 */     // MIs[0] policy
     /* 1030463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030473 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030495 */     // GIR_Coverage, 13283,
     /* 1030495 */     GIR_EraseRootFromParent_Done,
     /* 1030496 */   // Label 15267: @1030496
     /* 1030496 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030573), // Rule ID 13286 //
     /* 1030501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030540 */     // MIs[0] policy
     /* 1030540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030572 */     // GIR_Coverage, 13286,
     /* 1030572 */     GIR_EraseRootFromParent_Done,
     /* 1030573 */   // Label 15268: @1030573
     /* 1030573 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1030650), // Rule ID 13287 //
     /* 1030578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030617 */     // MIs[0] policy
     /* 1030617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030649 */     // GIR_Coverage, 13287,
     /* 1030649 */     GIR_EraseRootFromParent_Done,
     /* 1030650 */   // Label 15269: @1030650
     /* 1030650 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1030727), // Rule ID 13290 //
     /* 1030655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1030672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030694 */     // MIs[0] policy
     /* 1030694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1030707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030726 */     // GIR_Coverage, 13290,
     /* 1030726 */     GIR_EraseRootFromParent_Done,
     /* 1030727 */   // Label 15270: @1030727
     /* 1030727 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1030804), // Rule ID 13291 //
     /* 1030732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1030749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030771 */     // MIs[0] policy
     /* 1030771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030781 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1030784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030803 */     // GIR_Coverage, 13291,
     /* 1030803 */     GIR_EraseRootFromParent_Done,
     /* 1030804 */   // Label 15271: @1030804
     /* 1030804 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1030881), // Rule ID 13294 //
     /* 1030809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030848 */     // MIs[0] policy
     /* 1030848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030880 */     // GIR_Coverage, 13294,
     /* 1030880 */     GIR_EraseRootFromParent_Done,
     /* 1030881 */   // Label 15272: @1030881
     /* 1030881 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1030958), // Rule ID 13295 //
     /* 1030886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030925 */     // MIs[0] policy
     /* 1030925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030957 */     // GIR_Coverage, 13295,
     /* 1030957 */     GIR_EraseRootFromParent_Done,
     /* 1030958 */   // Label 15273: @1030958
     /* 1030958 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031035), // Rule ID 13298 //
     /* 1030963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1030980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031002 */     // MIs[0] policy
     /* 1031002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031034 */     // GIR_Coverage, 13298,
     /* 1031034 */     GIR_EraseRootFromParent_Done,
     /* 1031035 */   // Label 15274: @1031035
     /* 1031035 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031112), // Rule ID 13299 //
     /* 1031040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031079 */     // MIs[0] policy
     /* 1031079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031111 */     // GIR_Coverage, 13299,
     /* 1031111 */     GIR_EraseRootFromParent_Done,
     /* 1031112 */   // Label 15275: @1031112
     /* 1031112 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031189), // Rule ID 13302 //
     /* 1031117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031156 */     // MIs[0] policy
     /* 1031156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031188 */     // GIR_Coverage, 13302,
     /* 1031188 */     GIR_EraseRootFromParent_Done,
     /* 1031189 */   // Label 15276: @1031189
     /* 1031189 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031266), // Rule ID 13303 //
     /* 1031194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031233 */     // MIs[0] policy
     /* 1031233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031265 */     // GIR_Coverage, 13303,
     /* 1031265 */     GIR_EraseRootFromParent_Done,
     /* 1031266 */   // Label 15277: @1031266
     /* 1031266 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031343), // Rule ID 13306 //
     /* 1031271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031310 */     // MIs[0] policy
     /* 1031310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031342 */     // GIR_Coverage, 13306,
     /* 1031342 */     GIR_EraseRootFromParent_Done,
     /* 1031343 */   // Label 15278: @1031343
     /* 1031343 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031420), // Rule ID 13307 //
     /* 1031348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031387 */     // MIs[0] policy
     /* 1031387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031419 */     // GIR_Coverage, 13307,
     /* 1031419 */     GIR_EraseRootFromParent_Done,
     /* 1031420 */   // Label 15279: @1031420
     /* 1031420 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031497), // Rule ID 13310 //
     /* 1031425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031464 */     // MIs[0] policy
     /* 1031464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031496 */     // GIR_Coverage, 13310,
     /* 1031496 */     GIR_EraseRootFromParent_Done,
     /* 1031497 */   // Label 15280: @1031497
     /* 1031497 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031574), // Rule ID 13311 //
     /* 1031502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031541 */     // MIs[0] policy
     /* 1031541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031573 */     // GIR_Coverage, 13311,
     /* 1031573 */     GIR_EraseRootFromParent_Done,
     /* 1031574 */   // Label 15281: @1031574
     /* 1031574 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1031651), // Rule ID 13314 //
     /* 1031579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1031596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031618 */     // MIs[0] policy
     /* 1031618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031650 */     // GIR_Coverage, 13314,
     /* 1031650 */     GIR_EraseRootFromParent_Done,
     /* 1031651 */   // Label 15282: @1031651
     /* 1031651 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1031728), // Rule ID 13315 //
     /* 1031656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1031673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031695 */     // MIs[0] policy
     /* 1031695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031727 */     // GIR_Coverage, 13315,
     /* 1031727 */     GIR_EraseRootFromParent_Done,
     /* 1031728 */   // Label 15283: @1031728
     /* 1031728 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1031805), // Rule ID 13318 //
     /* 1031733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1031750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031772 */     // MIs[0] policy
     /* 1031772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031804 */     // GIR_Coverage, 13318,
     /* 1031804 */     GIR_EraseRootFromParent_Done,
     /* 1031805 */   // Label 15284: @1031805
     /* 1031805 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1031882), // Rule ID 13319 //
     /* 1031810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1031827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031849 */     // MIs[0] policy
     /* 1031849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031881 */     // GIR_Coverage, 13319,
     /* 1031881 */     GIR_EraseRootFromParent_Done,
     /* 1031882 */   // Label 15285: @1031882
     /* 1031882 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1031959), // Rule ID 13322 //
     /* 1031887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1031904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031926 */     // MIs[0] policy
     /* 1031926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031958 */     // GIR_Coverage, 13322,
     /* 1031958 */     GIR_EraseRootFromParent_Done,
     /* 1031959 */   // Label 15286: @1031959
     /* 1031959 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032036), // Rule ID 13323 //
     /* 1031964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1031981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032003 */     // MIs[0] policy
     /* 1032003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032013 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1032016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032035 */     // GIR_Coverage, 13323,
     /* 1032035 */     GIR_EraseRootFromParent_Done,
     /* 1032036 */   // Label 15287: @1032036
     /* 1032036 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032113), // Rule ID 13326 //
     /* 1032041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032080 */     // MIs[0] policy
     /* 1032080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032112 */     // GIR_Coverage, 13326,
     /* 1032112 */     GIR_EraseRootFromParent_Done,
     /* 1032113 */   // Label 15288: @1032113
     /* 1032113 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032190), // Rule ID 13327 //
     /* 1032118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032157 */     // MIs[0] policy
     /* 1032157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032189 */     // GIR_Coverage, 13327,
     /* 1032189 */     GIR_EraseRootFromParent_Done,
     /* 1032190 */   // Label 15289: @1032190
     /* 1032190 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032267), // Rule ID 13330 //
     /* 1032195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032234 */     // MIs[0] policy
     /* 1032234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032244 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032266 */     // GIR_Coverage, 13330,
     /* 1032266 */     GIR_EraseRootFromParent_Done,
     /* 1032267 */   // Label 15290: @1032267
     /* 1032267 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032344), // Rule ID 13331 //
     /* 1032272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032311 */     // MIs[0] policy
     /* 1032311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032321 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032343 */     // GIR_Coverage, 13331,
     /* 1032343 */     GIR_EraseRootFromParent_Done,
     /* 1032344 */   // Label 15291: @1032344
     /* 1032344 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032421), // Rule ID 13334 //
     /* 1032349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032388 */     // MIs[0] policy
     /* 1032388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032420 */     // GIR_Coverage, 13334,
     /* 1032420 */     GIR_EraseRootFromParent_Done,
     /* 1032421 */   // Label 15292: @1032421
     /* 1032421 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032498), // Rule ID 13335 //
     /* 1032426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032465 */     // MIs[0] policy
     /* 1032465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032475 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032497 */     // GIR_Coverage, 13335,
     /* 1032497 */     GIR_EraseRootFromParent_Done,
     /* 1032498 */   // Label 15293: @1032498
     /* 1032498 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032575), // Rule ID 13338 //
     /* 1032503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1032514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1032517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032542 */     // MIs[0] policy
     /* 1032542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032574 */     // GIR_Coverage, 13338,
     /* 1032574 */     GIR_EraseRootFromParent_Done,
     /* 1032575 */   // Label 15294: @1032575
     /* 1032575 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1032652), // Rule ID 13339 //
     /* 1032580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1032591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1032594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032619 */     // MIs[0] policy
     /* 1032619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032629 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032651 */     // GIR_Coverage, 13339,
     /* 1032651 */     GIR_EraseRootFromParent_Done,
     /* 1032652 */   // Label 15295: @1032652
     /* 1032652 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1032729), // Rule ID 13342 //
     /* 1032657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1032668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1032671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032696 */     // MIs[0] policy
     /* 1032696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032728 */     // GIR_Coverage, 13342,
     /* 1032728 */     GIR_EraseRootFromParent_Done,
     /* 1032729 */   // Label 15296: @1032729
     /* 1032729 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1032806), // Rule ID 13343 //
     /* 1032734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1032745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1032748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032773 */     // MIs[0] policy
     /* 1032773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032805 */     // GIR_Coverage, 13343,
     /* 1032805 */     GIR_EraseRootFromParent_Done,
     /* 1032806 */   // Label 15297: @1032806
     /* 1032806 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1032883), // Rule ID 13346 //
     /* 1032811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032850 */     // MIs[0] policy
     /* 1032850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032882 */     // GIR_Coverage, 13346,
     /* 1032882 */     GIR_EraseRootFromParent_Done,
     /* 1032883 */   // Label 15298: @1032883
     /* 1032883 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1032960), // Rule ID 13347 //
     /* 1032888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032927 */     // MIs[0] policy
     /* 1032927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032959 */     // GIR_Coverage, 13347,
     /* 1032959 */     GIR_EraseRootFromParent_Done,
     /* 1032960 */   // Label 15299: @1032960
     /* 1032960 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033037), // Rule ID 13350 //
     /* 1032965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033004 */     // MIs[0] policy
     /* 1033004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033036 */     // GIR_Coverage, 13350,
     /* 1033036 */     GIR_EraseRootFromParent_Done,
     /* 1033037 */   // Label 15300: @1033037
     /* 1033037 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033114), // Rule ID 13351 //
     /* 1033042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033081 */     // MIs[0] policy
     /* 1033081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033113 */     // GIR_Coverage, 13351,
     /* 1033113 */     GIR_EraseRootFromParent_Done,
     /* 1033114 */   // Label 15301: @1033114
     /* 1033114 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033191), // Rule ID 13354 //
     /* 1033119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033158 */     // MIs[0] policy
     /* 1033158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033190 */     // GIR_Coverage, 13354,
     /* 1033190 */     GIR_EraseRootFromParent_Done,
     /* 1033191 */   // Label 15302: @1033191
     /* 1033191 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033268), // Rule ID 13355 //
     /* 1033196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033235 */     // MIs[0] policy
     /* 1033235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033267 */     // GIR_Coverage, 13355,
     /* 1033267 */     GIR_EraseRootFromParent_Done,
     /* 1033268 */   // Label 15303: @1033268
     /* 1033268 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033345), // Rule ID 13358 //
     /* 1033273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033312 */     // MIs[0] policy
     /* 1033312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033344 */     // GIR_Coverage, 13358,
     /* 1033344 */     GIR_EraseRootFromParent_Done,
     /* 1033345 */   // Label 15304: @1033345
     /* 1033345 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033422), // Rule ID 13359 //
     /* 1033350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033389 */     // MIs[0] policy
     /* 1033389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033421 */     // GIR_Coverage, 13359,
     /* 1033421 */     GIR_EraseRootFromParent_Done,
     /* 1033422 */   // Label 15305: @1033422
     /* 1033422 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033499), // Rule ID 13362 //
     /* 1033427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033466 */     // MIs[0] policy
     /* 1033466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033498 */     // GIR_Coverage, 13362,
     /* 1033498 */     GIR_EraseRootFromParent_Done,
     /* 1033499 */   // Label 15306: @1033499
     /* 1033499 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033576), // Rule ID 13363 //
     /* 1033504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033543 */     // MIs[0] policy
     /* 1033543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033575 */     // GIR_Coverage, 13363,
     /* 1033575 */     GIR_EraseRootFromParent_Done,
     /* 1033576 */   // Label 15307: @1033576
     /* 1033576 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1033653), // Rule ID 13366 //
     /* 1033581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1033584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1033601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033620 */     // MIs[0] policy
     /* 1033620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1033649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033652 */     // GIR_Coverage, 13366,
     /* 1033652 */     GIR_EraseRootFromParent_Done,
     /* 1033653 */   // Label 15308: @1033653
     /* 1033653 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1033730), // Rule ID 13367 //
     /* 1033658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1033661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1033678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033697 */     // MIs[0] policy
     /* 1033697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1033726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033729 */     // GIR_Coverage, 13367,
     /* 1033729 */     GIR_EraseRootFromParent_Done,
     /* 1033730 */   // Label 15309: @1033730
     /* 1033730 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1033807), // Rule ID 13370 //
     /* 1033735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1033746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1033749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033774 */     // MIs[0] policy
     /* 1033774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1033787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033806 */     // GIR_Coverage, 13370,
     /* 1033806 */     GIR_EraseRootFromParent_Done,
     /* 1033807 */   // Label 15310: @1033807
     /* 1033807 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1033884), // Rule ID 13371 //
     /* 1033812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1033823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1033826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033851 */     // MIs[0] policy
     /* 1033851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1033864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033883 */     // GIR_Coverage, 13371,
     /* 1033883 */     GIR_EraseRootFromParent_Done,
     /* 1033884 */   // Label 15311: @1033884
     /* 1033884 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1033961), // Rule ID 13374 //
     /* 1033889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1033900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1033903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033928 */     // MIs[0] policy
     /* 1033928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1033941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033960 */     // GIR_Coverage, 13374,
     /* 1033960 */     GIR_EraseRootFromParent_Done,
     /* 1033961 */   // Label 15312: @1033961
     /* 1033961 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034038), // Rule ID 13375 //
     /* 1033966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1033977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1033980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034005 */     // MIs[0] policy
     /* 1034005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034015 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034037 */     // GIR_Coverage, 13375,
     /* 1034037 */     GIR_EraseRootFromParent_Done,
     /* 1034038 */   // Label 15313: @1034038
     /* 1034038 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034115), // Rule ID 13378 //
     /* 1034043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1034063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034082 */     // MIs[0] policy
     /* 1034082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034114 */     // GIR_Coverage, 13378,
     /* 1034114 */     GIR_EraseRootFromParent_Done,
     /* 1034115 */   // Label 15314: @1034115
     /* 1034115 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034192), // Rule ID 13379 //
     /* 1034120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1034140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034159 */     // MIs[0] policy
     /* 1034159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034169 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034191 */     // GIR_Coverage, 13379,
     /* 1034191 */     GIR_EraseRootFromParent_Done,
     /* 1034192 */   // Label 15315: @1034192
     /* 1034192 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034269), // Rule ID 13382 //
     /* 1034197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034236 */     // MIs[0] policy
     /* 1034236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034268 */     // GIR_Coverage, 13382,
     /* 1034268 */     GIR_EraseRootFromParent_Done,
     /* 1034269 */   // Label 15316: @1034269
     /* 1034269 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034346), // Rule ID 13383 //
     /* 1034274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034313 */     // MIs[0] policy
     /* 1034313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034345 */     // GIR_Coverage, 13383,
     /* 1034345 */     GIR_EraseRootFromParent_Done,
     /* 1034346 */   // Label 15317: @1034346
     /* 1034346 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034423), // Rule ID 13386 //
     /* 1034351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034390 */     // MIs[0] policy
     /* 1034390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034400 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034422 */     // GIR_Coverage, 13386,
     /* 1034422 */     GIR_EraseRootFromParent_Done,
     /* 1034423 */   // Label 15318: @1034423
     /* 1034423 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034500), // Rule ID 13387 //
     /* 1034428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034467 */     // MIs[0] policy
     /* 1034467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034499 */     // GIR_Coverage, 13387,
     /* 1034499 */     GIR_EraseRootFromParent_Done,
     /* 1034500 */   // Label 15319: @1034500
     /* 1034500 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034577), // Rule ID 13390 //
     /* 1034505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1034525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034544 */     // MIs[0] policy
     /* 1034544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034576 */     // GIR_Coverage, 13390,
     /* 1034576 */     GIR_EraseRootFromParent_Done,
     /* 1034577 */   // Label 15320: @1034577
     /* 1034577 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1034654), // Rule ID 13391 //
     /* 1034582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1034602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034621 */     // MIs[0] policy
     /* 1034621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034653 */     // GIR_Coverage, 13391,
     /* 1034653 */     GIR_EraseRootFromParent_Done,
     /* 1034654 */   // Label 15321: @1034654
     /* 1034654 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1034731), // Rule ID 13394 //
     /* 1034659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1034679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034698 */     // MIs[0] policy
     /* 1034698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034730 */     // GIR_Coverage, 13394,
     /* 1034730 */     GIR_EraseRootFromParent_Done,
     /* 1034731 */   // Label 15322: @1034731
     /* 1034731 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1034808), // Rule ID 13395 //
     /* 1034736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1034756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034775 */     // MIs[0] policy
     /* 1034775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034807 */     // GIR_Coverage, 13395,
     /* 1034807 */     GIR_EraseRootFromParent_Done,
     /* 1034808 */   // Label 15323: @1034808
     /* 1034808 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1034885), // Rule ID 13398 //
     /* 1034813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034852 */     // MIs[0] policy
     /* 1034852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034884 */     // GIR_Coverage, 13398,
     /* 1034884 */     GIR_EraseRootFromParent_Done,
     /* 1034885 */   // Label 15324: @1034885
     /* 1034885 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1034962), // Rule ID 13399 //
     /* 1034890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034929 */     // MIs[0] policy
     /* 1034929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034961 */     // GIR_Coverage, 13399,
     /* 1034961 */     GIR_EraseRootFromParent_Done,
     /* 1034962 */   // Label 15325: @1034962
     /* 1034962 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035039), // Rule ID 13402 //
     /* 1034967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1034987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035006 */     // MIs[0] policy
     /* 1035006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035038 */     // GIR_Coverage, 13402,
     /* 1035038 */     GIR_EraseRootFromParent_Done,
     /* 1035039 */   // Label 15326: @1035039
     /* 1035039 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035116), // Rule ID 13403 //
     /* 1035044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1035064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035083 */     // MIs[0] policy
     /* 1035083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035115 */     // GIR_Coverage, 13403,
     /* 1035115 */     GIR_EraseRootFromParent_Done,
     /* 1035116 */   // Label 15327: @1035116
     /* 1035116 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035193), // Rule ID 13406 //
     /* 1035121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1035141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035160 */     // MIs[0] policy
     /* 1035160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035192 */     // GIR_Coverage, 13406,
     /* 1035192 */     GIR_EraseRootFromParent_Done,
     /* 1035193 */   // Label 15328: @1035193
     /* 1035193 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035270), // Rule ID 13407 //
     /* 1035198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1035218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035237 */     // MIs[0] policy
     /* 1035237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035269 */     // GIR_Coverage, 13407,
     /* 1035269 */     GIR_EraseRootFromParent_Done,
     /* 1035270 */   // Label 15329: @1035270
     /* 1035270 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035347), // Rule ID 13410 //
     /* 1035275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035314 */     // MIs[0] policy
     /* 1035314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035346 */     // GIR_Coverage, 13410,
     /* 1035346 */     GIR_EraseRootFromParent_Done,
     /* 1035347 */   // Label 15330: @1035347
     /* 1035347 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035424), // Rule ID 13411 //
     /* 1035352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035391 */     // MIs[0] policy
     /* 1035391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035423 */     // GIR_Coverage, 13411,
     /* 1035423 */     GIR_EraseRootFromParent_Done,
     /* 1035424 */   // Label 15331: @1035424
     /* 1035424 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035501), // Rule ID 13414 //
     /* 1035429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1035449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035468 */     // MIs[0] policy
     /* 1035468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035500 */     // GIR_Coverage, 13414,
     /* 1035500 */     GIR_EraseRootFromParent_Done,
     /* 1035501 */   // Label 15332: @1035501
     /* 1035501 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035578), // Rule ID 13415 //
     /* 1035506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1035526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035545 */     // MIs[0] policy
     /* 1035545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035577 */     // GIR_Coverage, 13415,
     /* 1035577 */     GIR_EraseRootFromParent_Done,
     /* 1035578 */   // Label 15333: @1035578
     /* 1035578 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1035655), // Rule ID 13418 //
     /* 1035583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035622 */     // MIs[0] policy
     /* 1035622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1035635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035654 */     // GIR_Coverage, 13418,
     /* 1035654 */     GIR_EraseRootFromParent_Done,
     /* 1035655 */   // Label 15334: @1035655
     /* 1035655 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1035732), // Rule ID 13419 //
     /* 1035660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035699 */     // MIs[0] policy
     /* 1035699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1035712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035731 */     // GIR_Coverage, 13419,
     /* 1035731 */     GIR_EraseRootFromParent_Done,
     /* 1035732 */   // Label 15335: @1035732
     /* 1035732 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1035809), // Rule ID 13422 //
     /* 1035737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035776 */     // MIs[0] policy
     /* 1035776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1035789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035808 */     // GIR_Coverage, 13422,
     /* 1035808 */     GIR_EraseRootFromParent_Done,
     /* 1035809 */   // Label 15336: @1035809
     /* 1035809 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1035886), // Rule ID 13423 //
     /* 1035814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035853 */     // MIs[0] policy
     /* 1035853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035863 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1035866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035885 */     // GIR_Coverage, 13423,
     /* 1035885 */     GIR_EraseRootFromParent_Done,
     /* 1035886 */   // Label 15337: @1035886
     /* 1035886 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1035963), // Rule ID 13426 //
     /* 1035891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035930 */     // MIs[0] policy
     /* 1035930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1035943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035962 */     // GIR_Coverage, 13426,
     /* 1035962 */     GIR_EraseRootFromParent_Done,
     /* 1035963 */   // Label 15338: @1035963
     /* 1035963 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036040), // Rule ID 13427 //
     /* 1035968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036007 */     // MIs[0] policy
     /* 1036007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036039 */     // GIR_Coverage, 13427,
     /* 1036039 */     GIR_EraseRootFromParent_Done,
     /* 1036040 */   // Label 15339: @1036040
     /* 1036040 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036117), // Rule ID 13430 //
     /* 1036045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036084 */     // MIs[0] policy
     /* 1036084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036116 */     // GIR_Coverage, 13430,
     /* 1036116 */     GIR_EraseRootFromParent_Done,
     /* 1036117 */   // Label 15340: @1036117
     /* 1036117 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036194), // Rule ID 13431 //
     /* 1036122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036161 */     // MIs[0] policy
     /* 1036161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036193 */     // GIR_Coverage, 13431,
     /* 1036193 */     GIR_EraseRootFromParent_Done,
     /* 1036194 */   // Label 15341: @1036194
     /* 1036194 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036271), // Rule ID 13434 //
     /* 1036199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036238 */     // MIs[0] policy
     /* 1036238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036270 */     // GIR_Coverage, 13434,
     /* 1036270 */     GIR_EraseRootFromParent_Done,
     /* 1036271 */   // Label 15342: @1036271
     /* 1036271 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036348), // Rule ID 13435 //
     /* 1036276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036315 */     // MIs[0] policy
     /* 1036315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036347 */     // GIR_Coverage, 13435,
     /* 1036347 */     GIR_EraseRootFromParent_Done,
     /* 1036348 */   // Label 15343: @1036348
     /* 1036348 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036425), // Rule ID 13438 //
     /* 1036353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036392 */     // MIs[0] policy
     /* 1036392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036424 */     // GIR_Coverage, 13438,
     /* 1036424 */     GIR_EraseRootFromParent_Done,
     /* 1036425 */   // Label 15344: @1036425
     /* 1036425 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036502), // Rule ID 13439 //
     /* 1036430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036469 */     // MIs[0] policy
     /* 1036469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036501 */     // GIR_Coverage, 13439,
     /* 1036501 */     GIR_EraseRootFromParent_Done,
     /* 1036502 */   // Label 15345: @1036502
     /* 1036502 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036579), // Rule ID 13442 //
     /* 1036507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036546 */     // MIs[0] policy
     /* 1036546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036578 */     // GIR_Coverage, 13442,
     /* 1036578 */     GIR_EraseRootFromParent_Done,
     /* 1036579 */   // Label 15346: @1036579
     /* 1036579 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1036656), // Rule ID 13443 //
     /* 1036584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036623 */     // MIs[0] policy
     /* 1036623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036655 */     // GIR_Coverage, 13443,
     /* 1036655 */     GIR_EraseRootFromParent_Done,
     /* 1036656 */   // Label 15347: @1036656
     /* 1036656 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1036733), // Rule ID 13446 //
     /* 1036661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036700 */     // MIs[0] policy
     /* 1036700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036732 */     // GIR_Coverage, 13446,
     /* 1036732 */     GIR_EraseRootFromParent_Done,
     /* 1036733 */   // Label 15348: @1036733
     /* 1036733 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1036810), // Rule ID 13447 //
     /* 1036738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036777 */     // MIs[0] policy
     /* 1036777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036809 */     // GIR_Coverage, 13447,
     /* 1036809 */     GIR_EraseRootFromParent_Done,
     /* 1036810 */   // Label 15349: @1036810
     /* 1036810 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1036887), // Rule ID 13450 //
     /* 1036815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036854 */     // MIs[0] policy
     /* 1036854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036886 */     // GIR_Coverage, 13450,
     /* 1036886 */     GIR_EraseRootFromParent_Done,
     /* 1036887 */   // Label 15350: @1036887
     /* 1036887 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1036964), // Rule ID 13451 //
     /* 1036892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036931 */     // MIs[0] policy
     /* 1036931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036963 */     // GIR_Coverage, 13451,
     /* 1036963 */     GIR_EraseRootFromParent_Done,
     /* 1036964 */   // Label 15351: @1036964
     /* 1036964 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037041), // Rule ID 13454 //
     /* 1036969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037008 */     // MIs[0] policy
     /* 1037008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037040 */     // GIR_Coverage, 13454,
     /* 1037040 */     GIR_EraseRootFromParent_Done,
     /* 1037041 */   // Label 15352: @1037041
     /* 1037041 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037118), // Rule ID 13455 //
     /* 1037046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037085 */     // MIs[0] policy
     /* 1037085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037117 */     // GIR_Coverage, 13455,
     /* 1037117 */     GIR_EraseRootFromParent_Done,
     /* 1037118 */   // Label 15353: @1037118
     /* 1037118 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037195), // Rule ID 13458 //
     /* 1037123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037162 */     // MIs[0] policy
     /* 1037162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037194 */     // GIR_Coverage, 13458,
     /* 1037194 */     GIR_EraseRootFromParent_Done,
     /* 1037195 */   // Label 15354: @1037195
     /* 1037195 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037272), // Rule ID 13459 //
     /* 1037200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037239 */     // MIs[0] policy
     /* 1037239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037271 */     // GIR_Coverage, 13459,
     /* 1037271 */     GIR_EraseRootFromParent_Done,
     /* 1037272 */   // Label 15355: @1037272
     /* 1037272 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037349), // Rule ID 13462 //
     /* 1037277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037316 */     // MIs[0] policy
     /* 1037316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037348 */     // GIR_Coverage, 13462,
     /* 1037348 */     GIR_EraseRootFromParent_Done,
     /* 1037349 */   // Label 15356: @1037349
     /* 1037349 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037426), // Rule ID 13463 //
     /* 1037354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037393 */     // MIs[0] policy
     /* 1037393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037425 */     // GIR_Coverage, 13463,
     /* 1037425 */     GIR_EraseRootFromParent_Done,
     /* 1037426 */   // Label 15357: @1037426
     /* 1037426 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037503), // Rule ID 13466 //
     /* 1037431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037470 */     // MIs[0] policy
     /* 1037470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037502 */     // GIR_Coverage, 13466,
     /* 1037502 */     GIR_EraseRootFromParent_Done,
     /* 1037503 */   // Label 15358: @1037503
     /* 1037503 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037580), // Rule ID 13467 //
     /* 1037508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037547 */     // MIs[0] policy
     /* 1037547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037579 */     // GIR_Coverage, 13467,
     /* 1037579 */     GIR_EraseRootFromParent_Done,
     /* 1037580 */   // Label 15359: @1037580
     /* 1037580 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1037657), // Rule ID 13470 //
     /* 1037585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037624 */     // MIs[0] policy
     /* 1037624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037656 */     // GIR_Coverage, 13470,
     /* 1037656 */     GIR_EraseRootFromParent_Done,
     /* 1037657 */   // Label 15360: @1037657
     /* 1037657 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1037734), // Rule ID 13471 //
     /* 1037662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037701 */     // MIs[0] policy
     /* 1037701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037733 */     // GIR_Coverage, 13471,
     /* 1037733 */     GIR_EraseRootFromParent_Done,
     /* 1037734 */   // Label 15361: @1037734
     /* 1037734 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1037811), // Rule ID 13474 //
     /* 1037739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037778 */     // MIs[0] policy
     /* 1037778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037810 */     // GIR_Coverage, 13474,
     /* 1037810 */     GIR_EraseRootFromParent_Done,
     /* 1037811 */   // Label 15362: @1037811
     /* 1037811 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1037888), // Rule ID 13475 //
     /* 1037816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037855 */     // MIs[0] policy
     /* 1037855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037865 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037887 */     // GIR_Coverage, 13475,
     /* 1037887 */     GIR_EraseRootFromParent_Done,
     /* 1037888 */   // Label 15363: @1037888
     /* 1037888 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1037965), // Rule ID 13478 //
     /* 1037893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037932 */     // MIs[0] policy
     /* 1037932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1037945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037964 */     // GIR_Coverage, 13478,
     /* 1037964 */     GIR_EraseRootFromParent_Done,
     /* 1037965 */   // Label 15364: @1037965
     /* 1037965 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038042), // Rule ID 13479 //
     /* 1037970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038009 */     // MIs[0] policy
     /* 1038009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1038022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038041 */     // GIR_Coverage, 13479,
     /* 1038041 */     GIR_EraseRootFromParent_Done,
     /* 1038042 */   // Label 15365: @1038042
     /* 1038042 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038119), // Rule ID 13482 //
     /* 1038047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038086 */     // MIs[0] policy
     /* 1038086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038118 */     // GIR_Coverage, 13482,
     /* 1038118 */     GIR_EraseRootFromParent_Done,
     /* 1038119 */   // Label 15366: @1038119
     /* 1038119 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038196), // Rule ID 13483 //
     /* 1038124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038163 */     // MIs[0] policy
     /* 1038163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038195 */     // GIR_Coverage, 13483,
     /* 1038195 */     GIR_EraseRootFromParent_Done,
     /* 1038196 */   // Label 15367: @1038196
     /* 1038196 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038273), // Rule ID 13486 //
     /* 1038201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038240 */     // MIs[0] policy
     /* 1038240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038272 */     // GIR_Coverage, 13486,
     /* 1038272 */     GIR_EraseRootFromParent_Done,
     /* 1038273 */   // Label 15368: @1038273
     /* 1038273 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038350), // Rule ID 13487 //
     /* 1038278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038317 */     // MIs[0] policy
     /* 1038317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038349 */     // GIR_Coverage, 13487,
     /* 1038349 */     GIR_EraseRootFromParent_Done,
     /* 1038350 */   // Label 15369: @1038350
     /* 1038350 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038427), // Rule ID 13490 //
     /* 1038355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038394 */     // MIs[0] policy
     /* 1038394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038426 */     // GIR_Coverage, 13490,
     /* 1038426 */     GIR_EraseRootFromParent_Done,
     /* 1038427 */   // Label 15370: @1038427
     /* 1038427 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038504), // Rule ID 13491 //
     /* 1038432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038471 */     // MIs[0] policy
     /* 1038471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038503 */     // GIR_Coverage, 13491,
     /* 1038503 */     GIR_EraseRootFromParent_Done,
     /* 1038504 */   // Label 15371: @1038504
     /* 1038504 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038581), // Rule ID 13494 //
     /* 1038509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038548 */     // MIs[0] policy
     /* 1038548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1038561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038580 */     // GIR_Coverage, 13494,
     /* 1038580 */     GIR_EraseRootFromParent_Done,
     /* 1038581 */   // Label 15372: @1038581
     /* 1038581 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1038658), // Rule ID 13495 //
     /* 1038586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038625 */     // MIs[0] policy
     /* 1038625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1038638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038657 */     // GIR_Coverage, 13495,
     /* 1038657 */     GIR_EraseRootFromParent_Done,
     /* 1038658 */   // Label 15373: @1038658
     /* 1038658 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1038735), // Rule ID 13498 //
     /* 1038663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038702 */     // MIs[0] policy
     /* 1038702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1038715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038734 */     // GIR_Coverage, 13498,
     /* 1038734 */     GIR_EraseRootFromParent_Done,
     /* 1038735 */   // Label 15374: @1038735
     /* 1038735 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1038812), // Rule ID 13499 //
     /* 1038740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038779 */     // MIs[0] policy
     /* 1038779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1038792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038811 */     // GIR_Coverage, 13499,
     /* 1038811 */     GIR_EraseRootFromParent_Done,
     /* 1038812 */   // Label 15375: @1038812
     /* 1038812 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1038889), // Rule ID 13502 //
     /* 1038817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038856 */     // MIs[0] policy
     /* 1038856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038888 */     // GIR_Coverage, 13502,
     /* 1038888 */     GIR_EraseRootFromParent_Done,
     /* 1038889 */   // Label 15376: @1038889
     /* 1038889 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1038966), // Rule ID 13503 //
     /* 1038894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038933 */     // MIs[0] policy
     /* 1038933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038943 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038965 */     // GIR_Coverage, 13503,
     /* 1038965 */     GIR_EraseRootFromParent_Done,
     /* 1038966 */   // Label 15377: @1038966
     /* 1038966 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039043), // Rule ID 13506 //
     /* 1038971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039010 */     // MIs[0] policy
     /* 1039010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039042 */     // GIR_Coverage, 13506,
     /* 1039042 */     GIR_EraseRootFromParent_Done,
     /* 1039043 */   // Label 15378: @1039043
     /* 1039043 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039120), // Rule ID 13507 //
     /* 1039048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039087 */     // MIs[0] policy
     /* 1039087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039119 */     // GIR_Coverage, 13507,
     /* 1039119 */     GIR_EraseRootFromParent_Done,
     /* 1039120 */   // Label 15379: @1039120
     /* 1039120 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039197), // Rule ID 13510 //
     /* 1039125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039164 */     // MIs[0] policy
     /* 1039164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039196 */     // GIR_Coverage, 13510,
     /* 1039196 */     GIR_EraseRootFromParent_Done,
     /* 1039197 */   // Label 15380: @1039197
     /* 1039197 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039274), // Rule ID 13511 //
     /* 1039202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039241 */     // MIs[0] policy
     /* 1039241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039273 */     // GIR_Coverage, 13511,
     /* 1039273 */     GIR_EraseRootFromParent_Done,
     /* 1039274 */   // Label 15381: @1039274
     /* 1039274 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039351), // Rule ID 13514 //
     /* 1039279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039318 */     // MIs[0] policy
     /* 1039318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039350 */     // GIR_Coverage, 13514,
     /* 1039350 */     GIR_EraseRootFromParent_Done,
     /* 1039351 */   // Label 15382: @1039351
     /* 1039351 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039428), // Rule ID 13515 //
     /* 1039356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039395 */     // MIs[0] policy
     /* 1039395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039427 */     // GIR_Coverage, 13515,
     /* 1039427 */     GIR_EraseRootFromParent_Done,
     /* 1039428 */   // Label 15383: @1039428
     /* 1039428 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039505), // Rule ID 13518 //
     /* 1039433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039472 */     // MIs[0] policy
     /* 1039472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039504 */     // GIR_Coverage, 13518,
     /* 1039504 */     GIR_EraseRootFromParent_Done,
     /* 1039505 */   // Label 15384: @1039505
     /* 1039505 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039582), // Rule ID 13519 //
     /* 1039510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039549 */     // MIs[0] policy
     /* 1039549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039581 */     // GIR_Coverage, 13519,
     /* 1039581 */     GIR_EraseRootFromParent_Done,
     /* 1039582 */   // Label 15385: @1039582
     /* 1039582 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1039659), // Rule ID 13522 //
     /* 1039587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039626 */     // MIs[0] policy
     /* 1039626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039658 */     // GIR_Coverage, 13522,
     /* 1039658 */     GIR_EraseRootFromParent_Done,
     /* 1039659 */   // Label 15386: @1039659
     /* 1039659 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1039736), // Rule ID 13523 //
     /* 1039664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039703 */     // MIs[0] policy
     /* 1039703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039713 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039735 */     // GIR_Coverage, 13523,
     /* 1039735 */     GIR_EraseRootFromParent_Done,
     /* 1039736 */   // Label 15387: @1039736
     /* 1039736 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1039813), // Rule ID 13526 //
     /* 1039741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039780 */     // MIs[0] policy
     /* 1039780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039812 */     // GIR_Coverage, 13526,
     /* 1039812 */     GIR_EraseRootFromParent_Done,
     /* 1039813 */   // Label 15388: @1039813
     /* 1039813 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1039890), // Rule ID 13527 //
     /* 1039818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039857 */     // MIs[0] policy
     /* 1039857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039889 */     // GIR_Coverage, 13527,
     /* 1039889 */     GIR_EraseRootFromParent_Done,
     /* 1039890 */   // Label 15389: @1039890
     /* 1039890 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1039967), // Rule ID 13530 //
     /* 1039895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039934 */     // MIs[0] policy
     /* 1039934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039966 */     // GIR_Coverage, 13530,
     /* 1039966 */     GIR_EraseRootFromParent_Done,
     /* 1039967 */   // Label 15390: @1039967
     /* 1039967 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040044), // Rule ID 13531 //
     /* 1039972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040011 */     // MIs[0] policy
     /* 1040011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1040024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040043 */     // GIR_Coverage, 13531,
     /* 1040043 */     GIR_EraseRootFromParent_Done,
     /* 1040044 */   // Label 15391: @1040044
     /* 1040044 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040121), // Rule ID 13534 //
     /* 1040049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040088 */     // MIs[0] policy
     /* 1040088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1040101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040120 */     // GIR_Coverage, 13534,
     /* 1040120 */     GIR_EraseRootFromParent_Done,
     /* 1040121 */   // Label 15392: @1040121
     /* 1040121 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040198), // Rule ID 13535 //
     /* 1040126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040165 */     // MIs[0] policy
     /* 1040165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1040178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040197 */     // GIR_Coverage, 13535,
     /* 1040197 */     GIR_EraseRootFromParent_Done,
     /* 1040198 */   // Label 15393: @1040198
     /* 1040198 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040275), // Rule ID 13538 //
     /* 1040203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040242 */     // MIs[0] policy
     /* 1040242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040274 */     // GIR_Coverage, 13538,
     /* 1040274 */     GIR_EraseRootFromParent_Done,
     /* 1040275 */   // Label 15394: @1040275
     /* 1040275 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040352), // Rule ID 13539 //
     /* 1040280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040319 */     // MIs[0] policy
     /* 1040319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040329 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040351 */     // GIR_Coverage, 13539,
     /* 1040351 */     GIR_EraseRootFromParent_Done,
     /* 1040352 */   // Label 15395: @1040352
     /* 1040352 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040429), // Rule ID 13542 //
     /* 1040357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040396 */     // MIs[0] policy
     /* 1040396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040428 */     // GIR_Coverage, 13542,
     /* 1040428 */     GIR_EraseRootFromParent_Done,
     /* 1040429 */   // Label 15396: @1040429
     /* 1040429 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040506), // Rule ID 13543 //
     /* 1040434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040473 */     // MIs[0] policy
     /* 1040473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040505 */     // GIR_Coverage, 13543,
     /* 1040505 */     GIR_EraseRootFromParent_Done,
     /* 1040506 */   // Label 15397: @1040506
     /* 1040506 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040583), // Rule ID 13546 //
     /* 1040511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040550 */     // MIs[0] policy
     /* 1040550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1040563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040582 */     // GIR_Coverage, 13546,
     /* 1040582 */     GIR_EraseRootFromParent_Done,
     /* 1040583 */   // Label 15398: @1040583
     /* 1040583 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1040660), // Rule ID 13547 //
     /* 1040588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040627 */     // MIs[0] policy
     /* 1040627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1040640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040659 */     // GIR_Coverage, 13547,
     /* 1040659 */     GIR_EraseRootFromParent_Done,
     /* 1040660 */   // Label 15399: @1040660
     /* 1040660 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1040737), // Rule ID 13550 //
     /* 1040665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040704 */     // MIs[0] policy
     /* 1040704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1040717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040736 */     // GIR_Coverage, 13550,
     /* 1040736 */     GIR_EraseRootFromParent_Done,
     /* 1040737 */   // Label 15400: @1040737
     /* 1040737 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1040814), // Rule ID 13551 //
     /* 1040742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040781 */     // MIs[0] policy
     /* 1040781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1040794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040813 */     // GIR_Coverage, 13551,
     /* 1040813 */     GIR_EraseRootFromParent_Done,
     /* 1040814 */   // Label 15401: @1040814
     /* 1040814 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1040891), // Rule ID 13554 //
     /* 1040819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040858 */     // MIs[0] policy
     /* 1040858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1040871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040890 */     // GIR_Coverage, 13554,
     /* 1040890 */     GIR_EraseRootFromParent_Done,
     /* 1040891 */   // Label 15402: @1040891
     /* 1040891 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1040968), // Rule ID 13555 //
     /* 1040896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040935 */     // MIs[0] policy
     /* 1040935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1040948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040967 */     // GIR_Coverage, 13555,
     /* 1040967 */     GIR_EraseRootFromParent_Done,
     /* 1040968 */   // Label 15403: @1040968
     /* 1040968 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041045), // Rule ID 13558 //
     /* 1040973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041012 */     // MIs[0] policy
     /* 1041012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041044 */     // GIR_Coverage, 13558,
     /* 1041044 */     GIR_EraseRootFromParent_Done,
     /* 1041045 */   // Label 15404: @1041045
     /* 1041045 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041122), // Rule ID 13559 //
     /* 1041050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041089 */     // MIs[0] policy
     /* 1041089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041121 */     // GIR_Coverage, 13559,
     /* 1041121 */     GIR_EraseRootFromParent_Done,
     /* 1041122 */   // Label 15405: @1041122
     /* 1041122 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041199), // Rule ID 13562 //
     /* 1041127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041166 */     // MIs[0] policy
     /* 1041166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1041179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041198 */     // GIR_Coverage, 13562,
     /* 1041198 */     GIR_EraseRootFromParent_Done,
     /* 1041199 */   // Label 15406: @1041199
     /* 1041199 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041276), // Rule ID 13563 //
     /* 1041204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041243 */     // MIs[0] policy
     /* 1041243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1041256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041275 */     // GIR_Coverage, 13563,
     /* 1041275 */     GIR_EraseRootFromParent_Done,
     /* 1041276 */   // Label 15407: @1041276
     /* 1041276 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041353), // Rule ID 13566 //
     /* 1041281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041320 */     // MIs[0] policy
     /* 1041320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041352 */     // GIR_Coverage, 13566,
     /* 1041352 */     GIR_EraseRootFromParent_Done,
     /* 1041353 */   // Label 15408: @1041353
     /* 1041353 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041430), // Rule ID 13567 //
     /* 1041358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041397 */     // MIs[0] policy
     /* 1041397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041429 */     // GIR_Coverage, 13567,
     /* 1041429 */     GIR_EraseRootFromParent_Done,
     /* 1041430 */   // Label 15409: @1041430
     /* 1041430 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041507), // Rule ID 13570 //
     /* 1041435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041474 */     // MIs[0] policy
     /* 1041474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041506 */     // GIR_Coverage, 13570,
     /* 1041506 */     GIR_EraseRootFromParent_Done,
     /* 1041507 */   // Label 15410: @1041507
     /* 1041507 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041584), // Rule ID 13571 //
     /* 1041512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041551 */     // MIs[0] policy
     /* 1041551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041583 */     // GIR_Coverage, 13571,
     /* 1041583 */     GIR_EraseRootFromParent_Done,
     /* 1041584 */   // Label 15411: @1041584
     /* 1041584 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1041661), // Rule ID 13574 //
     /* 1041589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041628 */     // MIs[0] policy
     /* 1041628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041660 */     // GIR_Coverage, 13574,
     /* 1041660 */     GIR_EraseRootFromParent_Done,
     /* 1041661 */   // Label 15412: @1041661
     /* 1041661 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1041738), // Rule ID 13575 //
     /* 1041666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041705 */     // MIs[0] policy
     /* 1041705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041737 */     // GIR_Coverage, 13575,
     /* 1041737 */     GIR_EraseRootFromParent_Done,
     /* 1041738 */   // Label 15413: @1041738
     /* 1041738 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1041815), // Rule ID 13578 //
     /* 1041743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041782 */     // MIs[0] policy
     /* 1041782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041814 */     // GIR_Coverage, 13578,
     /* 1041814 */     GIR_EraseRootFromParent_Done,
     /* 1041815 */   // Label 15414: @1041815
     /* 1041815 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1041892), // Rule ID 13579 //
     /* 1041820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041859 */     // MIs[0] policy
     /* 1041859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041891 */     // GIR_Coverage, 13579,
     /* 1041891 */     GIR_EraseRootFromParent_Done,
     /* 1041892 */   // Label 15415: @1041892
     /* 1041892 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1041969), // Rule ID 13582 //
     /* 1041897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041936 */     // MIs[0] policy
     /* 1041936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041968 */     // GIR_Coverage, 13582,
     /* 1041968 */     GIR_EraseRootFromParent_Done,
     /* 1041969 */   // Label 15416: @1041969
     /* 1041969 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042046), // Rule ID 13583 //
     /* 1041974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042013 */     // MIs[0] policy
     /* 1042013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1042026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042045 */     // GIR_Coverage, 13583,
     /* 1042045 */     GIR_EraseRootFromParent_Done,
     /* 1042046 */   // Label 15417: @1042046
     /* 1042046 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042123), // Rule ID 13586 //
     /* 1042051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042090 */     // MIs[0] policy
     /* 1042090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1042103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042122 */     // GIR_Coverage, 13586,
     /* 1042122 */     GIR_EraseRootFromParent_Done,
     /* 1042123 */   // Label 15418: @1042123
     /* 1042123 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042200), // Rule ID 13587 //
     /* 1042128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042167 */     // MIs[0] policy
     /* 1042167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1042180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042199 */     // GIR_Coverage, 13587,
     /* 1042199 */     GIR_EraseRootFromParent_Done,
     /* 1042200 */   // Label 15419: @1042200
     /* 1042200 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042277), // Rule ID 13590 //
     /* 1042205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042244 */     // MIs[0] policy
     /* 1042244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042254 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042276 */     // GIR_Coverage, 13590,
     /* 1042276 */     GIR_EraseRootFromParent_Done,
     /* 1042277 */   // Label 15420: @1042277
     /* 1042277 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042354), // Rule ID 13591 //
     /* 1042282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042321 */     // MIs[0] policy
     /* 1042321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042353 */     // GIR_Coverage, 13591,
     /* 1042353 */     GIR_EraseRootFromParent_Done,
     /* 1042354 */   // Label 15421: @1042354
     /* 1042354 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042431), // Rule ID 13594 //
     /* 1042359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042398 */     // MIs[0] policy
     /* 1042398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042430 */     // GIR_Coverage, 13594,
     /* 1042430 */     GIR_EraseRootFromParent_Done,
     /* 1042431 */   // Label 15422: @1042431
     /* 1042431 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042508), // Rule ID 13595 //
     /* 1042436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042475 */     // MIs[0] policy
     /* 1042475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042485 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042507 */     // GIR_Coverage, 13595,
     /* 1042507 */     GIR_EraseRootFromParent_Done,
     /* 1042508 */   // Label 15423: @1042508
     /* 1042508 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042585), // Rule ID 13598 //
     /* 1042513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042552 */     // MIs[0] policy
     /* 1042552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1042565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042584 */     // GIR_Coverage, 13598,
     /* 1042584 */     GIR_EraseRootFromParent_Done,
     /* 1042585 */   // Label 15424: @1042585
     /* 1042585 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1042662), // Rule ID 13599 //
     /* 1042590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042629 */     // MIs[0] policy
     /* 1042629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1042642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042661 */     // GIR_Coverage, 13599,
     /* 1042661 */     GIR_EraseRootFromParent_Done,
     /* 1042662 */   // Label 15425: @1042662
     /* 1042662 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1042739), // Rule ID 13602 //
     /* 1042667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042706 */     // MIs[0] policy
     /* 1042706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1042719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042738 */     // GIR_Coverage, 13602,
     /* 1042738 */     GIR_EraseRootFromParent_Done,
     /* 1042739 */   // Label 15426: @1042739
     /* 1042739 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1042816), // Rule ID 13603 //
     /* 1042744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042783 */     // MIs[0] policy
     /* 1042783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1042796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042815 */     // GIR_Coverage, 13603,
     /* 1042815 */     GIR_EraseRootFromParent_Done,
     /* 1042816 */   // Label 15427: @1042816
     /* 1042816 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1042893), // Rule ID 13606 //
     /* 1042821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042860 */     // MIs[0] policy
     /* 1042860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1042873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042892 */     // GIR_Coverage, 13606,
     /* 1042892 */     GIR_EraseRootFromParent_Done,
     /* 1042893 */   // Label 15428: @1042893
     /* 1042893 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1042970), // Rule ID 13607 //
     /* 1042898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042937 */     // MIs[0] policy
     /* 1042937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1042950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042969 */     // GIR_Coverage, 13607,
     /* 1042969 */     GIR_EraseRootFromParent_Done,
     /* 1042970 */   // Label 15429: @1042970
     /* 1042970 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043047), // Rule ID 13610 //
     /* 1042975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043014 */     // MIs[0] policy
     /* 1043014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043046 */     // GIR_Coverage, 13610,
     /* 1043046 */     GIR_EraseRootFromParent_Done,
     /* 1043047 */   // Label 15430: @1043047
     /* 1043047 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043124), // Rule ID 13611 //
     /* 1043052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043091 */     // MIs[0] policy
     /* 1043091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043123 */     // GIR_Coverage, 13611,
     /* 1043123 */     GIR_EraseRootFromParent_Done,
     /* 1043124 */   // Label 15431: @1043124
     /* 1043124 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043201), // Rule ID 13614 //
     /* 1043129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043168 */     // MIs[0] policy
     /* 1043168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043200 */     // GIR_Coverage, 13614,
     /* 1043200 */     GIR_EraseRootFromParent_Done,
     /* 1043201 */   // Label 15432: @1043201
     /* 1043201 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043278), // Rule ID 13615 //
     /* 1043206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043245 */     // MIs[0] policy
     /* 1043245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043277 */     // GIR_Coverage, 13615,
     /* 1043277 */     GIR_EraseRootFromParent_Done,
     /* 1043278 */   // Label 15433: @1043278
     /* 1043278 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043355), // Rule ID 13618 //
     /* 1043283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043322 */     // MIs[0] policy
     /* 1043322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043354 */     // GIR_Coverage, 13618,
     /* 1043354 */     GIR_EraseRootFromParent_Done,
     /* 1043355 */   // Label 15434: @1043355
     /* 1043355 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043432), // Rule ID 13619 //
     /* 1043360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043399 */     // MIs[0] policy
     /* 1043399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043431 */     // GIR_Coverage, 13619,
     /* 1043431 */     GIR_EraseRootFromParent_Done,
     /* 1043432 */   // Label 15435: @1043432
     /* 1043432 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043509), // Rule ID 13622 //
     /* 1043437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043476 */     // MIs[0] policy
     /* 1043476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043508 */     // GIR_Coverage, 13622,
     /* 1043508 */     GIR_EraseRootFromParent_Done,
     /* 1043509 */   // Label 15436: @1043509
     /* 1043509 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043586), // Rule ID 13623 //
     /* 1043514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043553 */     // MIs[0] policy
     /* 1043553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043585 */     // GIR_Coverage, 13623,
     /* 1043585 */     GIR_EraseRootFromParent_Done,
     /* 1043586 */   // Label 15437: @1043586
     /* 1043586 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1043663), // Rule ID 13626 //
     /* 1043591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043630 */     // MIs[0] policy
     /* 1043630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043662 */     // GIR_Coverage, 13626,
     /* 1043662 */     GIR_EraseRootFromParent_Done,
     /* 1043663 */   // Label 15438: @1043663
     /* 1043663 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1043740), // Rule ID 13627 //
     /* 1043668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043707 */     // MIs[0] policy
     /* 1043707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043739 */     // GIR_Coverage, 13627,
     /* 1043739 */     GIR_EraseRootFromParent_Done,
     /* 1043740 */   // Label 15439: @1043740
     /* 1043740 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1043817), // Rule ID 13630 //
     /* 1043745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043784 */     // MIs[0] policy
     /* 1043784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043816 */     // GIR_Coverage, 13630,
     /* 1043816 */     GIR_EraseRootFromParent_Done,
     /* 1043817 */   // Label 15440: @1043817
     /* 1043817 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1043894), // Rule ID 13631 //
     /* 1043822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043861 */     // MIs[0] policy
     /* 1043861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043893 */     // GIR_Coverage, 13631,
     /* 1043893 */     GIR_EraseRootFromParent_Done,
     /* 1043894 */   // Label 15441: @1043894
     /* 1043894 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1043971), // Rule ID 13634 //
     /* 1043899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043938 */     // MIs[0] policy
     /* 1043938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043970 */     // GIR_Coverage, 13634,
     /* 1043970 */     GIR_EraseRootFromParent_Done,
     /* 1043971 */   // Label 15442: @1043971
     /* 1043971 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044048), // Rule ID 13635 //
     /* 1043976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044015 */     // MIs[0] policy
     /* 1044015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044047 */     // GIR_Coverage, 13635,
     /* 1044047 */     GIR_EraseRootFromParent_Done,
     /* 1044048 */   // Label 15443: @1044048
     /* 1044048 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044125), // Rule ID 13638 //
     /* 1044053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044092 */     // MIs[0] policy
     /* 1044092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044124 */     // GIR_Coverage, 13638,
     /* 1044124 */     GIR_EraseRootFromParent_Done,
     /* 1044125 */   // Label 15444: @1044125
     /* 1044125 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044202), // Rule ID 13639 //
     /* 1044130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044169 */     // MIs[0] policy
     /* 1044169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044201 */     // GIR_Coverage, 13639,
     /* 1044201 */     GIR_EraseRootFromParent_Done,
     /* 1044202 */   // Label 15445: @1044202
     /* 1044202 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044279), // Rule ID 13642 //
     /* 1044207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044246 */     // MIs[0] policy
     /* 1044246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044278 */     // GIR_Coverage, 13642,
     /* 1044278 */     GIR_EraseRootFromParent_Done,
     /* 1044279 */   // Label 15446: @1044279
     /* 1044279 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044356), // Rule ID 13643 //
     /* 1044284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044323 */     // MIs[0] policy
     /* 1044323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044355 */     // GIR_Coverage, 13643,
     /* 1044355 */     GIR_EraseRootFromParent_Done,
     /* 1044356 */   // Label 15447: @1044356
     /* 1044356 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044433), // Rule ID 13646 //
     /* 1044361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044400 */     // MIs[0] policy
     /* 1044400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044432 */     // GIR_Coverage, 13646,
     /* 1044432 */     GIR_EraseRootFromParent_Done,
     /* 1044433 */   // Label 15448: @1044433
     /* 1044433 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044510), // Rule ID 13647 //
     /* 1044438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044477 */     // MIs[0] policy
     /* 1044477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044509 */     // GIR_Coverage, 13647,
     /* 1044509 */     GIR_EraseRootFromParent_Done,
     /* 1044510 */   // Label 15449: @1044510
     /* 1044510 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044587), // Rule ID 13650 //
     /* 1044515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044554 */     // MIs[0] policy
     /* 1044554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044586 */     // GIR_Coverage, 13650,
     /* 1044586 */     GIR_EraseRootFromParent_Done,
     /* 1044587 */   // Label 15450: @1044587
     /* 1044587 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1044664), // Rule ID 13651 //
     /* 1044592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044631 */     // MIs[0] policy
     /* 1044631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044663 */     // GIR_Coverage, 13651,
     /* 1044663 */     GIR_EraseRootFromParent_Done,
     /* 1044664 */   // Label 15451: @1044664
     /* 1044664 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1044741), // Rule ID 13654 //
     /* 1044669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044708 */     // MIs[0] policy
     /* 1044708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044740 */     // GIR_Coverage, 13654,
     /* 1044740 */     GIR_EraseRootFromParent_Done,
     /* 1044741 */   // Label 15452: @1044741
     /* 1044741 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1044818), // Rule ID 13655 //
     /* 1044746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044785 */     // MIs[0] policy
     /* 1044785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044817 */     // GIR_Coverage, 13655,
     /* 1044817 */     GIR_EraseRootFromParent_Done,
     /* 1044818 */   // Label 15453: @1044818
     /* 1044818 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1044895), // Rule ID 13658 //
     /* 1044823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1044840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044862 */     // MIs[0] policy
     /* 1044862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1044875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044894 */     // GIR_Coverage, 13658,
     /* 1044894 */     GIR_EraseRootFromParent_Done,
     /* 1044895 */   // Label 15454: @1044895
     /* 1044895 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1044972), // Rule ID 13659 //
     /* 1044900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1044917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044939 */     // MIs[0] policy
     /* 1044939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1044952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044971 */     // GIR_Coverage, 13659,
     /* 1044971 */     GIR_EraseRootFromParent_Done,
     /* 1044972 */   // Label 15455: @1044972
     /* 1044972 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045049), // Rule ID 13662 //
     /* 1044977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1044994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045016 */     // MIs[0] policy
     /* 1045016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045048 */     // GIR_Coverage, 13662,
     /* 1045048 */     GIR_EraseRootFromParent_Done,
     /* 1045049 */   // Label 15456: @1045049
     /* 1045049 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045126), // Rule ID 13663 //
     /* 1045054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1045071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045093 */     // MIs[0] policy
     /* 1045093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045125 */     // GIR_Coverage, 13663,
     /* 1045125 */     GIR_EraseRootFromParent_Done,
     /* 1045126 */   // Label 15457: @1045126
     /* 1045126 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045203), // Rule ID 13666 //
     /* 1045131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045170 */     // MIs[0] policy
     /* 1045170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045202 */     // GIR_Coverage, 13666,
     /* 1045202 */     GIR_EraseRootFromParent_Done,
     /* 1045203 */   // Label 15458: @1045203
     /* 1045203 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045280), // Rule ID 13667 //
     /* 1045208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045247 */     // MIs[0] policy
     /* 1045247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045279 */     // GIR_Coverage, 13667,
     /* 1045279 */     GIR_EraseRootFromParent_Done,
     /* 1045280 */   // Label 15459: @1045280
     /* 1045280 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045357), // Rule ID 13670 //
     /* 1045285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045324 */     // MIs[0] policy
     /* 1045324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045356 */     // GIR_Coverage, 13670,
     /* 1045356 */     GIR_EraseRootFromParent_Done,
     /* 1045357 */   // Label 15460: @1045357
     /* 1045357 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045434), // Rule ID 13671 //
     /* 1045362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045401 */     // MIs[0] policy
     /* 1045401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045433 */     // GIR_Coverage, 13671,
     /* 1045433 */     GIR_EraseRootFromParent_Done,
     /* 1045434 */   // Label 15461: @1045434
     /* 1045434 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045511), // Rule ID 13674 //
     /* 1045439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045478 */     // MIs[0] policy
     /* 1045478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1045491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045510 */     // GIR_Coverage, 13674,
     /* 1045510 */     GIR_EraseRootFromParent_Done,
     /* 1045511 */   // Label 15462: @1045511
     /* 1045511 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1045588), // Rule ID 13675 //
     /* 1045516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045555 */     // MIs[0] policy
     /* 1045555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1045568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045587 */     // GIR_Coverage, 13675,
     /* 1045587 */     GIR_EraseRootFromParent_Done,
     /* 1045588 */   // Label 15463: @1045588
     /* 1045588 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1045665), // Rule ID 13678 //
     /* 1045593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045632 */     // MIs[0] policy
     /* 1045632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1045645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045664 */     // GIR_Coverage, 13678,
     /* 1045664 */     GIR_EraseRootFromParent_Done,
     /* 1045665 */   // Label 15464: @1045665
     /* 1045665 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1045742), // Rule ID 13679 //
     /* 1045670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045709 */     // MIs[0] policy
     /* 1045709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1045722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045741 */     // GIR_Coverage, 13679,
     /* 1045741 */     GIR_EraseRootFromParent_Done,
     /* 1045742 */   // Label 15465: @1045742
     /* 1045742 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1045819), // Rule ID 13682 //
     /* 1045747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045786 */     // MIs[0] policy
     /* 1045786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045818 */     // GIR_Coverage, 13682,
     /* 1045818 */     GIR_EraseRootFromParent_Done,
     /* 1045819 */   // Label 15466: @1045819
     /* 1045819 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1045896), // Rule ID 13683 //
     /* 1045824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045863 */     // MIs[0] policy
     /* 1045863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045895 */     // GIR_Coverage, 13683,
     /* 1045895 */     GIR_EraseRootFromParent_Done,
     /* 1045896 */   // Label 15467: @1045896
     /* 1045896 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1045973), // Rule ID 13686 //
     /* 1045901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045940 */     // MIs[0] policy
     /* 1045940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045972 */     // GIR_Coverage, 13686,
     /* 1045972 */     GIR_EraseRootFromParent_Done,
     /* 1045973 */   // Label 15468: @1045973
     /* 1045973 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046050), // Rule ID 13687 //
     /* 1045978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046017 */     // MIs[0] policy
     /* 1046017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046049 */     // GIR_Coverage, 13687,
     /* 1046049 */     GIR_EraseRootFromParent_Done,
     /* 1046050 */   // Label 15469: @1046050
     /* 1046050 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046127), // Rule ID 13690 //
     /* 1046055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046094 */     // MIs[0] policy
     /* 1046094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046126 */     // GIR_Coverage, 13690,
     /* 1046126 */     GIR_EraseRootFromParent_Done,
     /* 1046127 */   // Label 15470: @1046127
     /* 1046127 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046204), // Rule ID 13691 //
     /* 1046132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046171 */     // MIs[0] policy
     /* 1046171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046203 */     // GIR_Coverage, 13691,
     /* 1046203 */     GIR_EraseRootFromParent_Done,
     /* 1046204 */   // Label 15471: @1046204
     /* 1046204 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046281), // Rule ID 13694 //
     /* 1046209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046248 */     // MIs[0] policy
     /* 1046248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046280 */     // GIR_Coverage, 13694,
     /* 1046280 */     GIR_EraseRootFromParent_Done,
     /* 1046281 */   // Label 15472: @1046281
     /* 1046281 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046358), // Rule ID 13695 //
     /* 1046286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046325 */     // MIs[0] policy
     /* 1046325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046357 */     // GIR_Coverage, 13695,
     /* 1046357 */     GIR_EraseRootFromParent_Done,
     /* 1046358 */   // Label 15473: @1046358
     /* 1046358 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046435), // Rule ID 13698 //
     /* 1046363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046402 */     // MIs[0] policy
     /* 1046402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046434 */     // GIR_Coverage, 13698,
     /* 1046434 */     GIR_EraseRootFromParent_Done,
     /* 1046435 */   // Label 15474: @1046435
     /* 1046435 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046512), // Rule ID 13699 //
     /* 1046440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046479 */     // MIs[0] policy
     /* 1046479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046511 */     // GIR_Coverage, 13699,
     /* 1046511 */     GIR_EraseRootFromParent_Done,
     /* 1046512 */   // Label 15475: @1046512
     /* 1046512 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1046589), // Rule ID 13702 //
     /* 1046517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1046534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046556 */     // MIs[0] policy
     /* 1046556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046588 */     // GIR_Coverage, 13702,
     /* 1046588 */     GIR_EraseRootFromParent_Done,
     /* 1046589 */   // Label 15476: @1046589
     /* 1046589 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1046666), // Rule ID 13703 //
     /* 1046594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1046611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046633 */     // MIs[0] policy
     /* 1046633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046665 */     // GIR_Coverage, 13703,
     /* 1046665 */     GIR_EraseRootFromParent_Done,
     /* 1046666 */   // Label 15477: @1046666
     /* 1046666 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1046743), // Rule ID 13706 //
     /* 1046671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046710 */     // MIs[0] policy
     /* 1046710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046742 */     // GIR_Coverage, 13706,
     /* 1046742 */     GIR_EraseRootFromParent_Done,
     /* 1046743 */   // Label 15478: @1046743
     /* 1046743 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1046820), // Rule ID 13707 //
     /* 1046748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046787 */     // MIs[0] policy
     /* 1046787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046819 */     // GIR_Coverage, 13707,
     /* 1046819 */     GIR_EraseRootFromParent_Done,
     /* 1046820 */   // Label 15479: @1046820
     /* 1046820 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1046897), // Rule ID 13710 //
     /* 1046825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046864 */     // MIs[0] policy
     /* 1046864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046896 */     // GIR_Coverage, 13710,
     /* 1046896 */     GIR_EraseRootFromParent_Done,
     /* 1046897 */   // Label 15480: @1046897
     /* 1046897 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1046974), // Rule ID 13711 //
     /* 1046902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046941 */     // MIs[0] policy
     /* 1046941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046973 */     // GIR_Coverage, 13711,
     /* 1046973 */     GIR_EraseRootFromParent_Done,
     /* 1046974 */   // Label 15481: @1046974
     /* 1046974 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047051), // Rule ID 13714 //
     /* 1046979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047018 */     // MIs[0] policy
     /* 1047018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1047031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047050 */     // GIR_Coverage, 13714,
     /* 1047050 */     GIR_EraseRootFromParent_Done,
     /* 1047051 */   // Label 15482: @1047051
     /* 1047051 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047128), // Rule ID 13715 //
     /* 1047056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1047073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047095 */     // MIs[0] policy
     /* 1047095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1047108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047127 */     // GIR_Coverage, 13715,
     /* 1047127 */     GIR_EraseRootFromParent_Done,
     /* 1047128 */   // Label 15483: @1047128
     /* 1047128 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047205), // Rule ID 13718 //
     /* 1047133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1047153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047172 */     // MIs[0] policy
     /* 1047172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1047185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047204 */     // GIR_Coverage, 13718,
     /* 1047204 */     GIR_EraseRootFromParent_Done,
     /* 1047205 */   // Label 15484: @1047205
     /* 1047205 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047282), // Rule ID 13719 //
     /* 1047210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1047230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047249 */     // MIs[0] policy
     /* 1047249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1047262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047281 */     // GIR_Coverage, 13719,
     /* 1047281 */     GIR_EraseRootFromParent_Done,
     /* 1047282 */   // Label 15485: @1047282
     /* 1047282 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047359), // Rule ID 13722 //
     /* 1047287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047326 */     // MIs[0] policy
     /* 1047326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047358 */     // GIR_Coverage, 13722,
     /* 1047358 */     GIR_EraseRootFromParent_Done,
     /* 1047359 */   // Label 15486: @1047359
     /* 1047359 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047436), // Rule ID 13723 //
     /* 1047364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047403 */     // MIs[0] policy
     /* 1047403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047435 */     // GIR_Coverage, 13723,
     /* 1047435 */     GIR_EraseRootFromParent_Done,
     /* 1047436 */   // Label 15487: @1047436
     /* 1047436 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047513), // Rule ID 13726 //
     /* 1047441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047480 */     // MIs[0] policy
     /* 1047480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1047493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047512 */     // GIR_Coverage, 13726,
     /* 1047512 */     GIR_EraseRootFromParent_Done,
     /* 1047513 */   // Label 15488: @1047513
     /* 1047513 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1047590), // Rule ID 13727 //
     /* 1047518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047557 */     // MIs[0] policy
     /* 1047557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1047570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047589 */     // GIR_Coverage, 13727,
     /* 1047589 */     GIR_EraseRootFromParent_Done,
     /* 1047590 */   // Label 15489: @1047590
     /* 1047590 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1047667), // Rule ID 13730 //
     /* 1047595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047634 */     // MIs[0] policy
     /* 1047634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1047647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047666 */     // GIR_Coverage, 13730,
     /* 1047666 */     GIR_EraseRootFromParent_Done,
     /* 1047667 */   // Label 15490: @1047667
     /* 1047667 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1047744), // Rule ID 13731 //
     /* 1047672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047711 */     // MIs[0] policy
     /* 1047711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1047724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047743 */     // GIR_Coverage, 13731,
     /* 1047743 */     GIR_EraseRootFromParent_Done,
     /* 1047744 */   // Label 15491: @1047744
     /* 1047744 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1047821), // Rule ID 13734 //
     /* 1047749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047788 */     // MIs[0] policy
     /* 1047788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1047801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047820 */     // GIR_Coverage, 13734,
     /* 1047820 */     GIR_EraseRootFromParent_Done,
     /* 1047821 */   // Label 15492: @1047821
     /* 1047821 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1047898), // Rule ID 13735 //
     /* 1047826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047865 */     // MIs[0] policy
     /* 1047865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1047878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047897 */     // GIR_Coverage, 13735,
     /* 1047897 */     GIR_EraseRootFromParent_Done,
     /* 1047898 */   // Label 15493: @1047898
     /* 1047898 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1047975), // Rule ID 13738 //
     /* 1047903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1047914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1047917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047942 */     // MIs[0] policy
     /* 1047942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1047955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047974 */     // GIR_Coverage, 13738,
     /* 1047974 */     GIR_EraseRootFromParent_Done,
     /* 1047975 */   // Label 15494: @1047975
     /* 1047975 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048052), // Rule ID 13739 //
     /* 1047980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1047991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1047994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1048000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048019 */     // MIs[0] policy
     /* 1048019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048029 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048051 */     // GIR_Coverage, 13739,
     /* 1048051 */     GIR_EraseRootFromParent_Done,
     /* 1048052 */   // Label 15495: @1048052
     /* 1048052 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048129), // Rule ID 13742 //
     /* 1048057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1048077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048096 */     // MIs[0] policy
     /* 1048096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1048109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048128 */     // GIR_Coverage, 13742,
     /* 1048128 */     GIR_EraseRootFromParent_Done,
     /* 1048129 */   // Label 15496: @1048129
     /* 1048129 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048206), // Rule ID 13743 //
     /* 1048134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1048154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048173 */     // MIs[0] policy
     /* 1048173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1048186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048205 */     // GIR_Coverage, 13743,
     /* 1048205 */     GIR_EraseRootFromParent_Done,
     /* 1048206 */   // Label 15497: @1048206
     /* 1048206 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048283), // Rule ID 13746 //
     /* 1048211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048250 */     // MIs[0] policy
     /* 1048250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048282 */     // GIR_Coverage, 13746,
     /* 1048282 */     GIR_EraseRootFromParent_Done,
     /* 1048283 */   // Label 15498: @1048283
     /* 1048283 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048360), // Rule ID 13747 //
     /* 1048288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048327 */     // MIs[0] policy
     /* 1048327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048359 */     // GIR_Coverage, 13747,
     /* 1048359 */     GIR_EraseRootFromParent_Done,
     /* 1048360 */   // Label 15499: @1048360
     /* 1048360 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048437), // Rule ID 13750 //
     /* 1048365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048404 */     // MIs[0] policy
     /* 1048404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048436 */     // GIR_Coverage, 13750,
     /* 1048436 */     GIR_EraseRootFromParent_Done,
     /* 1048437 */   // Label 15500: @1048437
     /* 1048437 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048514), // Rule ID 13751 //
     /* 1048442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048481 */     // MIs[0] policy
     /* 1048481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048513 */     // GIR_Coverage, 13751,
     /* 1048513 */     GIR_EraseRootFromParent_Done,
     /* 1048514 */   // Label 15501: @1048514
     /* 1048514 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1048591), // Rule ID 13754 //
     /* 1048519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1048539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048558 */     // MIs[0] policy
     /* 1048558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048590 */     // GIR_Coverage, 13754,
     /* 1048590 */     GIR_EraseRootFromParent_Done,
     /* 1048591 */   // Label 15502: @1048591
     /* 1048591 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1048668), // Rule ID 13755 //
     /* 1048596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1048616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048635 */     // MIs[0] policy
     /* 1048635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048645 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048667 */     // GIR_Coverage, 13755,
     /* 1048667 */     GIR_EraseRootFromParent_Done,
     /* 1048668 */   // Label 15503: @1048668
     /* 1048668 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1048745), // Rule ID 13758 //
     /* 1048673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1048693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048712 */     // MIs[0] policy
     /* 1048712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048744 */     // GIR_Coverage, 13758,
     /* 1048744 */     GIR_EraseRootFromParent_Done,
     /* 1048745 */   // Label 15504: @1048745
     /* 1048745 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1048822), // Rule ID 13759 //
     /* 1048750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1048770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048789 */     // MIs[0] policy
     /* 1048789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048821 */     // GIR_Coverage, 13759,
     /* 1048821 */     GIR_EraseRootFromParent_Done,
     /* 1048822 */   // Label 15505: @1048822
     /* 1048822 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1048899), // Rule ID 13762 //
     /* 1048827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1048830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1048847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048866 */     // MIs[0] policy
     /* 1048866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048898 */     // GIR_Coverage, 13762,
     /* 1048898 */     GIR_EraseRootFromParent_Done,
     /* 1048899 */   // Label 15506: @1048899
     /* 1048899 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1048976), // Rule ID 13763 //
     /* 1048904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1048907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1048924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048943 */     // MIs[0] policy
     /* 1048943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048975 */     // GIR_Coverage, 13763,
     /* 1048975 */     GIR_EraseRootFromParent_Done,
     /* 1048976 */   // Label 15507: @1048976
     /* 1048976 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049053), // Rule ID 13766 //
     /* 1048981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1048984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1049001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049020 */     // MIs[0] policy
     /* 1049020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1049033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049052 */     // GIR_Coverage, 13766,
     /* 1049052 */     GIR_EraseRootFromParent_Done,
     /* 1049053 */   // Label 15508: @1049053
     /* 1049053 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049130), // Rule ID 13767 //
     /* 1049058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1049078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049097 */     // MIs[0] policy
     /* 1049097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1049110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049129 */     // GIR_Coverage, 13767,
     /* 1049129 */     GIR_EraseRootFromParent_Done,
     /* 1049130 */   // Label 15509: @1049130
     /* 1049130 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049207), // Rule ID 13770 //
     /* 1049135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1049155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049174 */     // MIs[0] policy
     /* 1049174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049206 */     // GIR_Coverage, 13770,
     /* 1049206 */     GIR_EraseRootFromParent_Done,
     /* 1049207 */   // Label 15510: @1049207
     /* 1049207 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049284), // Rule ID 13771 //
     /* 1049212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1049232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049251 */     // MIs[0] policy
     /* 1049251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049283 */     // GIR_Coverage, 13771,
     /* 1049283 */     GIR_EraseRootFromParent_Done,
     /* 1049284 */   // Label 15511: @1049284
     /* 1049284 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049361), // Rule ID 13774 //
     /* 1049289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049328 */     // MIs[0] policy
     /* 1049328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049360 */     // GIR_Coverage, 13774,
     /* 1049360 */     GIR_EraseRootFromParent_Done,
     /* 1049361 */   // Label 15512: @1049361
     /* 1049361 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049438), // Rule ID 13775 //
     /* 1049366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049405 */     // MIs[0] policy
     /* 1049405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049437 */     // GIR_Coverage, 13775,
     /* 1049437 */     GIR_EraseRootFromParent_Done,
     /* 1049438 */   // Label 15513: @1049438
     /* 1049438 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049515), // Rule ID 13778 //
     /* 1049443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1049454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1049457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1049463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049482 */     // MIs[0] policy
     /* 1049482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1049495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049514 */     // GIR_Coverage, 13778,
     /* 1049514 */     GIR_EraseRootFromParent_Done,
     /* 1049515 */   // Label 15514: @1049515
     /* 1049515 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1049592), // Rule ID 13779 //
     /* 1049520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1049531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1049534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1049540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049559 */     // MIs[0] policy
     /* 1049559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1049572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049591 */     // GIR_Coverage, 13779,
     /* 1049591 */     GIR_EraseRootFromParent_Done,
     /* 1049592 */   // Label 15515: @1049592
     /* 1049592 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1049669), // Rule ID 13782 //
     /* 1049597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1049617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049636 */     // MIs[0] policy
     /* 1049636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1049649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049668 */     // GIR_Coverage, 13782,
     /* 1049668 */     GIR_EraseRootFromParent_Done,
     /* 1049669 */   // Label 15516: @1049669
     /* 1049669 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1049746), // Rule ID 13783 //
     /* 1049674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1049694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049713 */     // MIs[0] policy
     /* 1049713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1049726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049745 */     // GIR_Coverage, 13783,
     /* 1049745 */     GIR_EraseRootFromParent_Done,
     /* 1049746 */   // Label 15517: @1049746
     /* 1049746 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1049823), // Rule ID 13786 //
     /* 1049751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1049771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049790 */     // MIs[0] policy
     /* 1049790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1049803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049822 */     // GIR_Coverage, 13786,
     /* 1049822 */     GIR_EraseRootFromParent_Done,
     /* 1049823 */   // Label 15518: @1049823
     /* 1049823 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1049900), // Rule ID 13787 //
     /* 1049828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1049848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049867 */     // MIs[0] policy
     /* 1049867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1049880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049899 */     // GIR_Coverage, 13787,
     /* 1049899 */     GIR_EraseRootFromParent_Done,
     /* 1049900 */   // Label 15519: @1049900
     /* 1049900 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1049977), // Rule ID 13790 //
     /* 1049905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049944 */     // MIs[0] policy
     /* 1049944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1049957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049976 */     // GIR_Coverage, 13790,
     /* 1049976 */     GIR_EraseRootFromParent_Done,
     /* 1049977 */   // Label 15520: @1049977
     /* 1049977 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050054), // Rule ID 13791 //
     /* 1049982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050021 */     // MIs[0] policy
     /* 1050021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050053 */     // GIR_Coverage, 13791,
     /* 1050053 */     GIR_EraseRootFromParent_Done,
     /* 1050054 */   // Label 15521: @1050054
     /* 1050054 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050131), // Rule ID 13794 //
     /* 1050059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050098 */     // MIs[0] policy
     /* 1050098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050130 */     // GIR_Coverage, 13794,
     /* 1050130 */     GIR_EraseRootFromParent_Done,
     /* 1050131 */   // Label 15522: @1050131
     /* 1050131 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050208), // Rule ID 13795 //
     /* 1050136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050175 */     // MIs[0] policy
     /* 1050175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050185 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050207 */     // GIR_Coverage, 13795,
     /* 1050207 */     GIR_EraseRootFromParent_Done,
     /* 1050208 */   // Label 15523: @1050208
     /* 1050208 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050285), // Rule ID 13798 //
     /* 1050213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050252 */     // MIs[0] policy
     /* 1050252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050284 */     // GIR_Coverage, 13798,
     /* 1050284 */     GIR_EraseRootFromParent_Done,
     /* 1050285 */   // Label 15524: @1050285
     /* 1050285 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050362), // Rule ID 13799 //
     /* 1050290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050329 */     // MIs[0] policy
     /* 1050329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050361 */     // GIR_Coverage, 13799,
     /* 1050361 */     GIR_EraseRootFromParent_Done,
     /* 1050362 */   // Label 15525: @1050362
     /* 1050362 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050439), // Rule ID 13802 //
     /* 1050367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050406 */     // MIs[0] policy
     /* 1050406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050438 */     // GIR_Coverage, 13802,
     /* 1050438 */     GIR_EraseRootFromParent_Done,
     /* 1050439 */   // Label 15526: @1050439
     /* 1050439 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050516), // Rule ID 13803 //
     /* 1050444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050483 */     // MIs[0] policy
     /* 1050483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050515 */     // GIR_Coverage, 13803,
     /* 1050515 */     GIR_EraseRootFromParent_Done,
     /* 1050516 */   // Label 15527: @1050516
     /* 1050516 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1050593), // Rule ID 13806 //
     /* 1050521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1050541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050560 */     // MIs[0] policy
     /* 1050560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050592 */     // GIR_Coverage, 13806,
     /* 1050592 */     GIR_EraseRootFromParent_Done,
     /* 1050593 */   // Label 15528: @1050593
     /* 1050593 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1050670), // Rule ID 13807 //
     /* 1050598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1050618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050637 */     // MIs[0] policy
     /* 1050637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050669 */     // GIR_Coverage, 13807,
     /* 1050669 */     GIR_EraseRootFromParent_Done,
     /* 1050670 */   // Label 15529: @1050670
     /* 1050670 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1050747), // Rule ID 13810 //
     /* 1050675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1050695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050714 */     // MIs[0] policy
     /* 1050714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050746 */     // GIR_Coverage, 13810,
     /* 1050746 */     GIR_EraseRootFromParent_Done,
     /* 1050747 */   // Label 15530: @1050747
     /* 1050747 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1050824), // Rule ID 13811 //
     /* 1050752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1050772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050791 */     // MIs[0] policy
     /* 1050791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050823 */     // GIR_Coverage, 13811,
     /* 1050823 */     GIR_EraseRootFromParent_Done,
     /* 1050824 */   // Label 15531: @1050824
     /* 1050824 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1050901), // Rule ID 13814 //
     /* 1050829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1050849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050868 */     // MIs[0] policy
     /* 1050868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050900 */     // GIR_Coverage, 13814,
     /* 1050900 */     GIR_EraseRootFromParent_Done,
     /* 1050901 */   // Label 15532: @1050901
     /* 1050901 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1050978), // Rule ID 13815 //
     /* 1050906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1050926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050945 */     // MIs[0] policy
     /* 1050945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050977 */     // GIR_Coverage, 13815,
     /* 1050977 */     GIR_EraseRootFromParent_Done,
     /* 1050978 */   // Label 15533: @1050978
     /* 1050978 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051055), // Rule ID 13818 //
     /* 1050983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1051003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051022 */     // MIs[0] policy
     /* 1051022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051054 */     // GIR_Coverage, 13818,
     /* 1051054 */     GIR_EraseRootFromParent_Done,
     /* 1051055 */   // Label 15534: @1051055
     /* 1051055 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051132), // Rule ID 13819 //
     /* 1051060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1051080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051099 */     // MIs[0] policy
     /* 1051099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051131 */     // GIR_Coverage, 13819,
     /* 1051131 */     GIR_EraseRootFromParent_Done,
     /* 1051132 */   // Label 15535: @1051132
     /* 1051132 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051209), // Rule ID 13822 //
     /* 1051137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051176 */     // MIs[0] policy
     /* 1051176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051208 */     // GIR_Coverage, 13822,
     /* 1051208 */     GIR_EraseRootFromParent_Done,
     /* 1051209 */   // Label 15536: @1051209
     /* 1051209 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051286), // Rule ID 13823 //
     /* 1051214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051253 */     // MIs[0] policy
     /* 1051253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051263 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051285 */     // GIR_Coverage, 13823,
     /* 1051285 */     GIR_EraseRootFromParent_Done,
     /* 1051286 */   // Label 15537: @1051286
     /* 1051286 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051363), // Rule ID 13826 //
     /* 1051291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051330 */     // MIs[0] policy
     /* 1051330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051362 */     // GIR_Coverage, 13826,
     /* 1051362 */     GIR_EraseRootFromParent_Done,
     /* 1051363 */   // Label 15538: @1051363
     /* 1051363 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051440), // Rule ID 13827 //
     /* 1051368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051407 */     // MIs[0] policy
     /* 1051407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051439 */     // GIR_Coverage, 13827,
     /* 1051439 */     GIR_EraseRootFromParent_Done,
     /* 1051440 */   // Label 15539: @1051440
     /* 1051440 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051517), // Rule ID 13830 //
     /* 1051445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1051465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051484 */     // MIs[0] policy
     /* 1051484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051516 */     // GIR_Coverage, 13830,
     /* 1051516 */     GIR_EraseRootFromParent_Done,
     /* 1051517 */   // Label 15540: @1051517
     /* 1051517 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1051594), // Rule ID 13831 //
     /* 1051522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1051542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051561 */     // MIs[0] policy
     /* 1051561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051593 */     // GIR_Coverage, 13831,
     /* 1051593 */     GIR_EraseRootFromParent_Done,
     /* 1051594 */   // Label 15541: @1051594
     /* 1051594 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1051671), // Rule ID 13834 //
     /* 1051599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1051619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051638 */     // MIs[0] policy
     /* 1051638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051670 */     // GIR_Coverage, 13834,
     /* 1051670 */     GIR_EraseRootFromParent_Done,
     /* 1051671 */   // Label 15542: @1051671
     /* 1051671 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1051748), // Rule ID 13835 //
     /* 1051676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1051696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051715 */     // MIs[0] policy
     /* 1051715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051747 */     // GIR_Coverage, 13835,
     /* 1051747 */     GIR_EraseRootFromParent_Done,
     /* 1051748 */   // Label 15543: @1051748
     /* 1051748 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1051825), // Rule ID 19048 //
     /* 1051753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1051756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051792 */     // MIs[0] policy
     /* 1051792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1051805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051824 */     // GIR_Coverage, 19048,
     /* 1051824 */     GIR_EraseRootFromParent_Done,
     /* 1051825 */   // Label 15544: @1051825
     /* 1051825 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1051902), // Rule ID 19049 //
     /* 1051830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1051833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051869 */     // MIs[0] policy
     /* 1051869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051879 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1051882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051901 */     // GIR_Coverage, 19049,
     /* 1051901 */     GIR_EraseRootFromParent_Done,
     /* 1051902 */   // Label 15545: @1051902
     /* 1051902 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1051979), // Rule ID 19052 //
     /* 1051907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1051910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051946 */     // MIs[0] policy
     /* 1051946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1051959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051978 */     // GIR_Coverage, 19052,
     /* 1051978 */     GIR_EraseRootFromParent_Done,
     /* 1051979 */   // Label 15546: @1051979
     /* 1051979 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052056), // Rule ID 19053 //
     /* 1051984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1051987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052023 */     // MIs[0] policy
     /* 1052023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052033 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1052036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052055 */     // GIR_Coverage, 19053,
     /* 1052055 */     GIR_EraseRootFromParent_Done,
     /* 1052056 */   // Label 15547: @1052056
     /* 1052056 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052133), // Rule ID 19056 //
     /* 1052061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052100 */     // MIs[0] policy
     /* 1052100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1052113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052132 */     // GIR_Coverage, 19056,
     /* 1052132 */     GIR_EraseRootFromParent_Done,
     /* 1052133 */   // Label 15548: @1052133
     /* 1052133 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052210), // Rule ID 19057 //
     /* 1052138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052177 */     // MIs[0] policy
     /* 1052177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1052190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052209 */     // GIR_Coverage, 19057,
     /* 1052209 */     GIR_EraseRootFromParent_Done,
     /* 1052210 */   // Label 15549: @1052210
     /* 1052210 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052287), // Rule ID 19060 //
     /* 1052215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052254 */     // MIs[0] policy
     /* 1052254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052286 */     // GIR_Coverage, 19060,
     /* 1052286 */     GIR_EraseRootFromParent_Done,
     /* 1052287 */   // Label 15550: @1052287
     /* 1052287 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052364), // Rule ID 19061 //
     /* 1052292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1052295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052331 */     // MIs[0] policy
     /* 1052331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052341 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052363 */     // GIR_Coverage, 19061,
     /* 1052363 */     GIR_EraseRootFromParent_Done,
     /* 1052364 */   // Label 15551: @1052364
     /* 1052364 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052441), // Rule ID 19064 //
     /* 1052369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1052372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052408 */     // MIs[0] policy
     /* 1052408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052418 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052440 */     // GIR_Coverage, 19064,
     /* 1052440 */     GIR_EraseRootFromParent_Done,
     /* 1052441 */   // Label 15552: @1052441
     /* 1052441 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052518), // Rule ID 19065 //
     /* 1052446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1052449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052485 */     // MIs[0] policy
     /* 1052485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052495 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052517 */     // GIR_Coverage, 19065,
     /* 1052517 */     GIR_EraseRootFromParent_Done,
     /* 1052518 */   // Label 15553: @1052518
     /* 1052518 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1052595), // Rule ID 19068 //
     /* 1052523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052562 */     // MIs[0] policy
     /* 1052562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1052575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052594 */     // GIR_Coverage, 19068,
     /* 1052594 */     GIR_EraseRootFromParent_Done,
     /* 1052595 */   // Label 15554: @1052595
     /* 1052595 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1052672), // Rule ID 19069 //
     /* 1052600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052639 */     // MIs[0] policy
     /* 1052639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052649 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1052652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052671 */     // GIR_Coverage, 19069,
     /* 1052671 */     GIR_EraseRootFromParent_Done,
     /* 1052672 */   // Label 15555: @1052672
     /* 1052672 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1052749), // Rule ID 19072 //
     /* 1052677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052716 */     // MIs[0] policy
     /* 1052716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052726 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1052729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052748 */     // GIR_Coverage, 19072,
     /* 1052748 */     GIR_EraseRootFromParent_Done,
     /* 1052749 */   // Label 15556: @1052749
     /* 1052749 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1052826), // Rule ID 19073 //
     /* 1052754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052793 */     // MIs[0] policy
     /* 1052793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052803 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1052806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052825 */     // GIR_Coverage, 19073,
     /* 1052825 */     GIR_EraseRootFromParent_Done,
     /* 1052826 */   // Label 15557: @1052826
     /* 1052826 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1052903), // Rule ID 19076 //
     /* 1052831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052870 */     // MIs[0] policy
     /* 1052870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052880 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1052883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052902 */     // GIR_Coverage, 19076,
     /* 1052902 */     GIR_EraseRootFromParent_Done,
     /* 1052903 */   // Label 15558: @1052903
     /* 1052903 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1052980), // Rule ID 19077 //
     /* 1052908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052947 */     // MIs[0] policy
     /* 1052947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052957 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1052960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052979 */     // GIR_Coverage, 19077,
     /* 1052979 */     GIR_EraseRootFromParent_Done,
     /* 1052980 */   // Label 15559: @1052980
     /* 1052980 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053057), // Rule ID 19080 //
     /* 1052985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053024 */     // MIs[0] policy
     /* 1053024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053034 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1053037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053056 */     // GIR_Coverage, 19080,
     /* 1053056 */     GIR_EraseRootFromParent_Done,
     /* 1053057 */   // Label 15560: @1053057
     /* 1053057 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053134), // Rule ID 19081 //
     /* 1053062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053101 */     // MIs[0] policy
     /* 1053101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1053114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053133 */     // GIR_Coverage, 19081,
     /* 1053133 */     GIR_EraseRootFromParent_Done,
     /* 1053134 */   // Label 15561: @1053134
     /* 1053134 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053211), // Rule ID 19084 //
     /* 1053139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053178 */     // MIs[0] policy
     /* 1053178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053188 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1053191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053210 */     // GIR_Coverage, 19084,
     /* 1053210 */     GIR_EraseRootFromParent_Done,
     /* 1053211 */   // Label 15562: @1053211
     /* 1053211 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053288), // Rule ID 19085 //
     /* 1053216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053255 */     // MIs[0] policy
     /* 1053255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053265 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1053268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053287 */     // GIR_Coverage, 19085,
     /* 1053287 */     GIR_EraseRootFromParent_Done,
     /* 1053288 */   // Label 15563: @1053288
     /* 1053288 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053365), // Rule ID 19088 //
     /* 1053293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053332 */     // MIs[0] policy
     /* 1053332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053342 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053364 */     // GIR_Coverage, 19088,
     /* 1053364 */     GIR_EraseRootFromParent_Done,
     /* 1053365 */   // Label 15564: @1053365
     /* 1053365 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053442), // Rule ID 19089 //
     /* 1053370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053409 */     // MIs[0] policy
     /* 1053409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053419 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053441 */     // GIR_Coverage, 19089,
     /* 1053441 */     GIR_EraseRootFromParent_Done,
     /* 1053442 */   // Label 15565: @1053442
     /* 1053442 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053519), // Rule ID 19092 //
     /* 1053447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053486 */     // MIs[0] policy
     /* 1053486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1053499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053518 */     // GIR_Coverage, 19092,
     /* 1053518 */     GIR_EraseRootFromParent_Done,
     /* 1053519 */   // Label 15566: @1053519
     /* 1053519 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1053596), // Rule ID 19093 //
     /* 1053524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053563 */     // MIs[0] policy
     /* 1053563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053573 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1053576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053595 */     // GIR_Coverage, 19093,
     /* 1053595 */     GIR_EraseRootFromParent_Done,
     /* 1053596 */   // Label 15567: @1053596
     /* 1053596 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1053673), // Rule ID 19096 //
     /* 1053601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053640 */     // MIs[0] policy
     /* 1053640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1053653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053672 */     // GIR_Coverage, 19096,
     /* 1053672 */     GIR_EraseRootFromParent_Done,
     /* 1053673 */   // Label 15568: @1053673
     /* 1053673 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1053750), // Rule ID 19097 //
     /* 1053678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053717 */     // MIs[0] policy
     /* 1053717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1053730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053749 */     // GIR_Coverage, 19097,
     /* 1053749 */     GIR_EraseRootFromParent_Done,
     /* 1053750 */   // Label 15569: @1053750
     /* 1053750 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1053827), // Rule ID 19100 //
     /* 1053755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053794 */     // MIs[0] policy
     /* 1053794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053804 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1053807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053826 */     // GIR_Coverage, 19100,
     /* 1053826 */     GIR_EraseRootFromParent_Done,
     /* 1053827 */   // Label 15570: @1053827
     /* 1053827 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1053904), // Rule ID 19101 //
     /* 1053832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053871 */     // MIs[0] policy
     /* 1053871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053881 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1053884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053903 */     // GIR_Coverage, 19101,
     /* 1053903 */     GIR_EraseRootFromParent_Done,
     /* 1053904 */   // Label 15571: @1053904
     /* 1053904 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1053981), // Rule ID 20484 //
     /* 1053909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053948 */     // MIs[0] policy
     /* 1053948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1053961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053980 */     // GIR_Coverage, 20484,
     /* 1053980 */     GIR_EraseRootFromParent_Done,
     /* 1053981 */   // Label 15572: @1053981
     /* 1053981 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054058), // Rule ID 20485 //
     /* 1053986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054025 */     // MIs[0] policy
     /* 1054025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054057 */     // GIR_Coverage, 20485,
     /* 1054057 */     GIR_EraseRootFromParent_Done,
     /* 1054058 */   // Label 15573: @1054058
     /* 1054058 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054135), // Rule ID 20488 //
     /* 1054063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054102 */     // MIs[0] policy
     /* 1054102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054134 */     // GIR_Coverage, 20488,
     /* 1054134 */     GIR_EraseRootFromParent_Done,
     /* 1054135 */   // Label 15574: @1054135
     /* 1054135 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054212), // Rule ID 20489 //
     /* 1054140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054179 */     // MIs[0] policy
     /* 1054179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054189 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054211 */     // GIR_Coverage, 20489,
     /* 1054211 */     GIR_EraseRootFromParent_Done,
     /* 1054212 */   // Label 15575: @1054212
     /* 1054212 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054289), // Rule ID 20492 //
     /* 1054217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054256 */     // MIs[0] policy
     /* 1054256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054288 */     // GIR_Coverage, 20492,
     /* 1054288 */     GIR_EraseRootFromParent_Done,
     /* 1054289 */   // Label 15576: @1054289
     /* 1054289 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054366), // Rule ID 20493 //
     /* 1054294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054333 */     // MIs[0] policy
     /* 1054333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054365 */     // GIR_Coverage, 20493,
     /* 1054365 */     GIR_EraseRootFromParent_Done,
     /* 1054366 */   // Label 15577: @1054366
     /* 1054366 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054443), // Rule ID 20496 //
     /* 1054371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054410 */     // MIs[0] policy
     /* 1054410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054442 */     // GIR_Coverage, 20496,
     /* 1054442 */     GIR_EraseRootFromParent_Done,
     /* 1054443 */   // Label 15578: @1054443
     /* 1054443 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054520), // Rule ID 20497 //
     /* 1054448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054487 */     // MIs[0] policy
     /* 1054487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054519 */     // GIR_Coverage, 20497,
     /* 1054519 */     GIR_EraseRootFromParent_Done,
     /* 1054520 */   // Label 15579: @1054520
     /* 1054520 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1054597), // Rule ID 20500 //
     /* 1054525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054564 */     // MIs[0] policy
     /* 1054564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054596 */     // GIR_Coverage, 20500,
     /* 1054596 */     GIR_EraseRootFromParent_Done,
     /* 1054597 */   // Label 15580: @1054597
     /* 1054597 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1054674), // Rule ID 20501 //
     /* 1054602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054641 */     // MIs[0] policy
     /* 1054641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054673 */     // GIR_Coverage, 20501,
     /* 1054673 */     GIR_EraseRootFromParent_Done,
     /* 1054674 */   // Label 15581: @1054674
     /* 1054674 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1054751), // Rule ID 20504 //
     /* 1054679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054718 */     // MIs[0] policy
     /* 1054718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1054731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054750 */     // GIR_Coverage, 20504,
     /* 1054750 */     GIR_EraseRootFromParent_Done,
     /* 1054751 */   // Label 15582: @1054751
     /* 1054751 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1054828), // Rule ID 20505 //
     /* 1054756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054795 */     // MIs[0] policy
     /* 1054795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1054808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054827 */     // GIR_Coverage, 20505,
     /* 1054827 */     GIR_EraseRootFromParent_Done,
     /* 1054828 */   // Label 15583: @1054828
     /* 1054828 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1054905), // Rule ID 20508 //
     /* 1054833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054872 */     // MIs[0] policy
     /* 1054872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1054885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054904 */     // GIR_Coverage, 20508,
     /* 1054904 */     GIR_EraseRootFromParent_Done,
     /* 1054905 */   // Label 15584: @1054905
     /* 1054905 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1054982), // Rule ID 20509 //
     /* 1054910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054949 */     // MIs[0] policy
     /* 1054949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1054962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054981 */     // GIR_Coverage, 20509,
     /* 1054981 */     GIR_EraseRootFromParent_Done,
     /* 1054982 */   // Label 15585: @1054982
     /* 1054982 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055059), // Rule ID 20512 //
     /* 1054987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055026 */     // MIs[0] policy
     /* 1055026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055058 */     // GIR_Coverage, 20512,
     /* 1055058 */     GIR_EraseRootFromParent_Done,
     /* 1055059 */   // Label 15586: @1055059
     /* 1055059 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055136), // Rule ID 20513 //
     /* 1055064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055103 */     // MIs[0] policy
     /* 1055103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055135 */     // GIR_Coverage, 20513,
     /* 1055135 */     GIR_EraseRootFromParent_Done,
     /* 1055136 */   // Label 15587: @1055136
     /* 1055136 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055213), // Rule ID 20516 //
     /* 1055141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055180 */     // MIs[0] policy
     /* 1055180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055190 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055212 */     // GIR_Coverage, 20516,
     /* 1055212 */     GIR_EraseRootFromParent_Done,
     /* 1055213 */   // Label 15588: @1055213
     /* 1055213 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055290), // Rule ID 20517 //
     /* 1055218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055257 */     // MIs[0] policy
     /* 1055257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055289 */     // GIR_Coverage, 20517,
     /* 1055289 */     GIR_EraseRootFromParent_Done,
     /* 1055290 */   // Label 15589: @1055290
     /* 1055290 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055367), // Rule ID 20520 //
     /* 1055295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055334 */     // MIs[0] policy
     /* 1055334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055366 */     // GIR_Coverage, 20520,
     /* 1055366 */     GIR_EraseRootFromParent_Done,
     /* 1055367 */   // Label 15590: @1055367
     /* 1055367 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055444), // Rule ID 20521 //
     /* 1055372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055411 */     // MIs[0] policy
     /* 1055411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055443 */     // GIR_Coverage, 20521,
     /* 1055443 */     GIR_EraseRootFromParent_Done,
     /* 1055444 */   // Label 15591: @1055444
     /* 1055444 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055521), // Rule ID 20524 //
     /* 1055449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055488 */     // MIs[0] policy
     /* 1055488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055520 */     // GIR_Coverage, 20524,
     /* 1055520 */     GIR_EraseRootFromParent_Done,
     /* 1055521 */   // Label 15592: @1055521
     /* 1055521 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1055598), // Rule ID 20525 //
     /* 1055526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055565 */     // MIs[0] policy
     /* 1055565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055597 */     // GIR_Coverage, 20525,
     /* 1055597 */     GIR_EraseRootFromParent_Done,
     /* 1055598 */   // Label 15593: @1055598
     /* 1055598 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1055675), // Rule ID 20528 //
     /* 1055603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055642 */     // MIs[0] policy
     /* 1055642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055674 */     // GIR_Coverage, 20528,
     /* 1055674 */     GIR_EraseRootFromParent_Done,
     /* 1055675 */   // Label 15594: @1055675
     /* 1055675 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1055752), // Rule ID 20529 //
     /* 1055680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055719 */     // MIs[0] policy
     /* 1055719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055751 */     // GIR_Coverage, 20529,
     /* 1055751 */     GIR_EraseRootFromParent_Done,
     /* 1055752 */   // Label 15595: @1055752
     /* 1055752 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1055829), // Rule ID 20532 //
     /* 1055757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055796 */     // MIs[0] policy
     /* 1055796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055828 */     // GIR_Coverage, 20532,
     /* 1055828 */     GIR_EraseRootFromParent_Done,
     /* 1055829 */   // Label 15596: @1055829
     /* 1055829 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1055906), // Rule ID 20533 //
     /* 1055834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055873 */     // MIs[0] policy
     /* 1055873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055905 */     // GIR_Coverage, 20533,
     /* 1055905 */     GIR_EraseRootFromParent_Done,
     /* 1055906 */   // Label 15597: @1055906
     /* 1055906 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1055983), // Rule ID 20536 //
     /* 1055911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055950 */     // MIs[0] policy
     /* 1055950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055982 */     // GIR_Coverage, 20536,
     /* 1055982 */     GIR_EraseRootFromParent_Done,
     /* 1055983 */   // Label 15598: @1055983
     /* 1055983 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056060), // Rule ID 20537 //
     /* 1055988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056027 */     // MIs[0] policy
     /* 1056027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1056040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056059 */     // GIR_Coverage, 20537,
     /* 1056059 */     GIR_EraseRootFromParent_Done,
     /* 1056060 */   // Label 15599: @1056060
     /* 1056060 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056137), // Rule ID 20862 //
     /* 1056065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1056076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1056079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056104 */     // MIs[0] policy
     /* 1056104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056136 */     // GIR_Coverage, 20862,
     /* 1056136 */     GIR_EraseRootFromParent_Done,
     /* 1056137 */   // Label 15600: @1056137
     /* 1056137 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056214), // Rule ID 20863 //
     /* 1056142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1056153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1056156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056181 */     // MIs[0] policy
     /* 1056181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056213 */     // GIR_Coverage, 20863,
     /* 1056213 */     GIR_EraseRootFromParent_Done,
     /* 1056214 */   // Label 15601: @1056214
     /* 1056214 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056291), // Rule ID 20866 //
     /* 1056219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056258 */     // MIs[0] policy
     /* 1056258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056290 */     // GIR_Coverage, 20866,
     /* 1056290 */     GIR_EraseRootFromParent_Done,
     /* 1056291 */   // Label 15602: @1056291
     /* 1056291 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056368), // Rule ID 20867 //
     /* 1056296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056335 */     // MIs[0] policy
     /* 1056335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056367 */     // GIR_Coverage, 20867,
     /* 1056367 */     GIR_EraseRootFromParent_Done,
     /* 1056368 */   // Label 15603: @1056368
     /* 1056368 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056445), // Rule ID 20870 //
     /* 1056373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056412 */     // MIs[0] policy
     /* 1056412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056444 */     // GIR_Coverage, 20870,
     /* 1056444 */     GIR_EraseRootFromParent_Done,
     /* 1056445 */   // Label 15604: @1056445
     /* 1056445 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056522), // Rule ID 20871 //
     /* 1056450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056489 */     // MIs[0] policy
     /* 1056489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056521 */     // GIR_Coverage, 20871,
     /* 1056521 */     GIR_EraseRootFromParent_Done,
     /* 1056522 */   // Label 15605: @1056522
     /* 1056522 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1056599), // Rule ID 20874 //
     /* 1056527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1056538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1056541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056566 */     // MIs[0] policy
     /* 1056566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056598 */     // GIR_Coverage, 20874,
     /* 1056598 */     GIR_EraseRootFromParent_Done,
     /* 1056599 */   // Label 15606: @1056599
     /* 1056599 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1056676), // Rule ID 20875 //
     /* 1056604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1056615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1056618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056643 */     // MIs[0] policy
     /* 1056643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056675 */     // GIR_Coverage, 20875,
     /* 1056675 */     GIR_EraseRootFromParent_Done,
     /* 1056676 */   // Label 15607: @1056676
     /* 1056676 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1056753), // Rule ID 20878 //
     /* 1056681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056720 */     // MIs[0] policy
     /* 1056720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056752 */     // GIR_Coverage, 20878,
     /* 1056752 */     GIR_EraseRootFromParent_Done,
     /* 1056753 */   // Label 15608: @1056753
     /* 1056753 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1056830), // Rule ID 20879 //
     /* 1056758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056797 */     // MIs[0] policy
     /* 1056797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056829 */     // GIR_Coverage, 20879,
     /* 1056829 */     GIR_EraseRootFromParent_Done,
     /* 1056830 */   // Label 15609: @1056830
     /* 1056830 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1056907), // Rule ID 20882 //
     /* 1056835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056874 */     // MIs[0] policy
     /* 1056874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056906 */     // GIR_Coverage, 20882,
     /* 1056906 */     GIR_EraseRootFromParent_Done,
     /* 1056907 */   // Label 15610: @1056907
     /* 1056907 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1056984), // Rule ID 20883 //
     /* 1056912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056951 */     // MIs[0] policy
     /* 1056951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056983 */     // GIR_Coverage, 20883,
     /* 1056983 */     GIR_EraseRootFromParent_Done,
     /* 1056984 */   // Label 15611: @1056984
     /* 1056984 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057061), // Rule ID 20886 //
     /* 1056989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1057000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1057003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057028 */     // MIs[0] policy
     /* 1057028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057038 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057060 */     // GIR_Coverage, 20886,
     /* 1057060 */     GIR_EraseRootFromParent_Done,
     /* 1057061 */   // Label 15612: @1057061
     /* 1057061 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057138), // Rule ID 20887 //
     /* 1057066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1057077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1057080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057105 */     // MIs[0] policy
     /* 1057105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057137 */     // GIR_Coverage, 20887,
     /* 1057137 */     GIR_EraseRootFromParent_Done,
     /* 1057138 */   // Label 15613: @1057138
     /* 1057138 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057215), // Rule ID 20890 //
     /* 1057143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057182 */     // MIs[0] policy
     /* 1057182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057214 */     // GIR_Coverage, 20890,
     /* 1057214 */     GIR_EraseRootFromParent_Done,
     /* 1057215 */   // Label 15614: @1057215
     /* 1057215 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057292), // Rule ID 20891 //
     /* 1057220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057259 */     // MIs[0] policy
     /* 1057259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057291 */     // GIR_Coverage, 20891,
     /* 1057291 */     GIR_EraseRootFromParent_Done,
     /* 1057292 */   // Label 15615: @1057292
     /* 1057292 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057369), // Rule ID 20894 //
     /* 1057297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057336 */     // MIs[0] policy
     /* 1057336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057368 */     // GIR_Coverage, 20894,
     /* 1057368 */     GIR_EraseRootFromParent_Done,
     /* 1057369 */   // Label 15616: @1057369
     /* 1057369 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057446), // Rule ID 20895 //
     /* 1057374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057413 */     // MIs[0] policy
     /* 1057413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057445 */     // GIR_Coverage, 20895,
     /* 1057445 */     GIR_EraseRootFromParent_Done,
     /* 1057446 */   // Label 15617: @1057446
     /* 1057446 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057523), // Rule ID 20898 //
     /* 1057451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057490 */     // MIs[0] policy
     /* 1057490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057522 */     // GIR_Coverage, 20898,
     /* 1057522 */     GIR_EraseRootFromParent_Done,
     /* 1057523 */   // Label 15618: @1057523
     /* 1057523 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1057600), // Rule ID 20899 //
     /* 1057528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057567 */     // MIs[0] policy
     /* 1057567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057599 */     // GIR_Coverage, 20899,
     /* 1057599 */     GIR_EraseRootFromParent_Done,
     /* 1057600 */   // Label 15619: @1057600
     /* 1057600 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1057677), // Rule ID 20902 //
     /* 1057605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057644 */     // MIs[0] policy
     /* 1057644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057676 */     // GIR_Coverage, 20902,
     /* 1057676 */     GIR_EraseRootFromParent_Done,
     /* 1057677 */   // Label 15620: @1057677
     /* 1057677 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1057754), // Rule ID 20903 //
     /* 1057682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057721 */     // MIs[0] policy
     /* 1057721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057753 */     // GIR_Coverage, 20903,
     /* 1057753 */     GIR_EraseRootFromParent_Done,
     /* 1057754 */   // Label 15621: @1057754
     /* 1057754 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1057831), // Rule ID 20906 //
     /* 1057759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057798 */     // MIs[0] policy
     /* 1057798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057830 */     // GIR_Coverage, 20906,
     /* 1057830 */     GIR_EraseRootFromParent_Done,
     /* 1057831 */   // Label 15622: @1057831
     /* 1057831 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1057908), // Rule ID 20907 //
     /* 1057836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057875 */     // MIs[0] policy
     /* 1057875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057907 */     // GIR_Coverage, 20907,
     /* 1057907 */     GIR_EraseRootFromParent_Done,
     /* 1057908 */   // Label 15623: @1057908
     /* 1057908 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1057985), // Rule ID 20910 //
     /* 1057913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1057916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057952 */     // MIs[0] policy
     /* 1057952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057984 */     // GIR_Coverage, 20910,
     /* 1057984 */     GIR_EraseRootFromParent_Done,
     /* 1057985 */   // Label 15624: @1057985
     /* 1057985 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058062), // Rule ID 20911 //
     /* 1057990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1057993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1058007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058029 */     // MIs[0] policy
     /* 1058029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058061 */     // GIR_Coverage, 20911,
     /* 1058061 */     GIR_EraseRootFromParent_Done,
     /* 1058062 */   // Label 15625: @1058062
     /* 1058062 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058139), // Rule ID 20914 //
     /* 1058067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058106 */     // MIs[0] policy
     /* 1058106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058138 */     // GIR_Coverage, 20914,
     /* 1058138 */     GIR_EraseRootFromParent_Done,
     /* 1058139 */   // Label 15626: @1058139
     /* 1058139 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058216), // Rule ID 20915 //
     /* 1058144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058183 */     // MIs[0] policy
     /* 1058183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058193 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058215 */     // GIR_Coverage, 20915,
     /* 1058215 */     GIR_EraseRootFromParent_Done,
     /* 1058216 */   // Label 15627: @1058216
     /* 1058216 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058293), // Rule ID 20918 //
     /* 1058221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058260 */     // MIs[0] policy
     /* 1058260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058292 */     // GIR_Coverage, 20918,
     /* 1058292 */     GIR_EraseRootFromParent_Done,
     /* 1058293 */   // Label 15628: @1058293
     /* 1058293 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058370), // Rule ID 20919 //
     /* 1058298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058337 */     // MIs[0] policy
     /* 1058337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058369 */     // GIR_Coverage, 20919,
     /* 1058369 */     GIR_EraseRootFromParent_Done,
     /* 1058370 */   // Label 15629: @1058370
     /* 1058370 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058447), // Rule ID 20922 //
     /* 1058375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058414 */     // MIs[0] policy
     /* 1058414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058446 */     // GIR_Coverage, 20922,
     /* 1058446 */     GIR_EraseRootFromParent_Done,
     /* 1058447 */   // Label 15630: @1058447
     /* 1058447 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058524), // Rule ID 20923 //
     /* 1058452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058491 */     // MIs[0] policy
     /* 1058491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058523 */     // GIR_Coverage, 20923,
     /* 1058523 */     GIR_EraseRootFromParent_Done,
     /* 1058524 */   // Label 15631: @1058524
     /* 1058524 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1058601), // Rule ID 20926 //
     /* 1058529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058568 */     // MIs[0] policy
     /* 1058568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058600 */     // GIR_Coverage, 20926,
     /* 1058600 */     GIR_EraseRootFromParent_Done,
     /* 1058601 */   // Label 15632: @1058601
     /* 1058601 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1058678), // Rule ID 20927 //
     /* 1058606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058645 */     // MIs[0] policy
     /* 1058645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058655 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058677 */     // GIR_Coverage, 20927,
     /* 1058677 */     GIR_EraseRootFromParent_Done,
     /* 1058678 */   // Label 15633: @1058678
     /* 1058678 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1058755), // Rule ID 20930 //
     /* 1058683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058722 */     // MIs[0] policy
     /* 1058722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058754 */     // GIR_Coverage, 20930,
     /* 1058754 */     GIR_EraseRootFromParent_Done,
     /* 1058755 */   // Label 15634: @1058755
     /* 1058755 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1058832), // Rule ID 20931 //
     /* 1058760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058799 */     // MIs[0] policy
     /* 1058799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058831 */     // GIR_Coverage, 20931,
     /* 1058831 */     GIR_EraseRootFromParent_Done,
     /* 1058832 */   // Label 15635: @1058832
     /* 1058832 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1058909), // Rule ID 20934 //
     /* 1058837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058876 */     // MIs[0] policy
     /* 1058876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058908 */     // GIR_Coverage, 20934,
     /* 1058908 */     GIR_EraseRootFromParent_Done,
     /* 1058909 */   // Label 15636: @1058909
     /* 1058909 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1058986), // Rule ID 20935 //
     /* 1058914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058953 */     // MIs[0] policy
     /* 1058953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058985 */     // GIR_Coverage, 20935,
     /* 1058985 */     GIR_EraseRootFromParent_Done,
     /* 1058986 */   // Label 15637: @1058986
     /* 1058986 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059063), // Rule ID 20938 //
     /* 1058991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059030 */     // MIs[0] policy
     /* 1059030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059062 */     // GIR_Coverage, 20938,
     /* 1059062 */     GIR_EraseRootFromParent_Done,
     /* 1059063 */   // Label 15638: @1059063
     /* 1059063 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059140), // Rule ID 20939 //
     /* 1059068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059107 */     // MIs[0] policy
     /* 1059107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059139 */     // GIR_Coverage, 20939,
     /* 1059139 */     GIR_EraseRootFromParent_Done,
     /* 1059140 */   // Label 15639: @1059140
     /* 1059140 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059217), // Rule ID 20942 //
     /* 1059145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1059148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059184 */     // MIs[0] policy
     /* 1059184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059216 */     // GIR_Coverage, 20942,
     /* 1059216 */     GIR_EraseRootFromParent_Done,
     /* 1059217 */   // Label 15640: @1059217
     /* 1059217 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059294), // Rule ID 20943 //
     /* 1059222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1059225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059261 */     // MIs[0] policy
     /* 1059261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059293 */     // GIR_Coverage, 20943,
     /* 1059293 */     GIR_EraseRootFromParent_Done,
     /* 1059294 */   // Label 15641: @1059294
     /* 1059294 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059371), // Rule ID 20946 //
     /* 1059299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059338 */     // MIs[0] policy
     /* 1059338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059370 */     // GIR_Coverage, 20946,
     /* 1059370 */     GIR_EraseRootFromParent_Done,
     /* 1059371 */   // Label 15642: @1059371
     /* 1059371 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059448), // Rule ID 20947 //
     /* 1059376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059415 */     // MIs[0] policy
     /* 1059415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059447 */     // GIR_Coverage, 20947,
     /* 1059447 */     GIR_EraseRootFromParent_Done,
     /* 1059448 */   // Label 15643: @1059448
     /* 1059448 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059525), // Rule ID 20950 //
     /* 1059453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059492 */     // MIs[0] policy
     /* 1059492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059524 */     // GIR_Coverage, 20950,
     /* 1059524 */     GIR_EraseRootFromParent_Done,
     /* 1059525 */   // Label 15644: @1059525
     /* 1059525 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1059602), // Rule ID 20951 //
     /* 1059530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059569 */     // MIs[0] policy
     /* 1059569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059579 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059601 */     // GIR_Coverage, 20951,
     /* 1059601 */     GIR_EraseRootFromParent_Done,
     /* 1059602 */   // Label 15645: @1059602
     /* 1059602 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1059679), // Rule ID 20954 //
     /* 1059607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059646 */     // MIs[0] policy
     /* 1059646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059678 */     // GIR_Coverage, 20954,
     /* 1059678 */     GIR_EraseRootFromParent_Done,
     /* 1059679 */   // Label 15646: @1059679
     /* 1059679 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1059756), // Rule ID 20955 //
     /* 1059684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059723 */     // MIs[0] policy
     /* 1059723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059755 */     // GIR_Coverage, 20955,
     /* 1059755 */     GIR_EraseRootFromParent_Done,
     /* 1059756 */   // Label 15647: @1059756
     /* 1059756 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1059833), // Rule ID 20958 //
     /* 1059761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059800 */     // MIs[0] policy
     /* 1059800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059832 */     // GIR_Coverage, 20958,
     /* 1059832 */     GIR_EraseRootFromParent_Done,
     /* 1059833 */   // Label 15648: @1059833
     /* 1059833 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1059910), // Rule ID 20959 //
     /* 1059838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059877 */     // MIs[0] policy
     /* 1059877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059909 */     // GIR_Coverage, 20959,
     /* 1059909 */     GIR_EraseRootFromParent_Done,
     /* 1059910 */   // Label 15649: @1059910
     /* 1059910 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1059987), // Rule ID 20962 //
     /* 1059915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1059926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1059929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059954 */     // MIs[0] policy
     /* 1059954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059986 */     // GIR_Coverage, 20962,
     /* 1059986 */     GIR_EraseRootFromParent_Done,
     /* 1059987 */   // Label 15650: @1059987
     /* 1059987 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060064), // Rule ID 20963 //
     /* 1059992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060031 */     // MIs[0] policy
     /* 1060031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060063 */     // GIR_Coverage, 20963,
     /* 1060063 */     GIR_EraseRootFromParent_Done,
     /* 1060064 */   // Label 15651: @1060064
     /* 1060064 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060141), // Rule ID 20966 //
     /* 1060069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060108 */     // MIs[0] policy
     /* 1060108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060140 */     // GIR_Coverage, 20966,
     /* 1060140 */     GIR_EraseRootFromParent_Done,
     /* 1060141 */   // Label 15652: @1060141
     /* 1060141 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060218), // Rule ID 20967 //
     /* 1060146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060185 */     // MIs[0] policy
     /* 1060185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060217 */     // GIR_Coverage, 20967,
     /* 1060217 */     GIR_EraseRootFromParent_Done,
     /* 1060218 */   // Label 15653: @1060218
     /* 1060218 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060295), // Rule ID 20970 //
     /* 1060223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060262 */     // MIs[0] policy
     /* 1060262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060294 */     // GIR_Coverage, 20970,
     /* 1060294 */     GIR_EraseRootFromParent_Done,
     /* 1060295 */   // Label 15654: @1060295
     /* 1060295 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060372), // Rule ID 20971 //
     /* 1060300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060339 */     // MIs[0] policy
     /* 1060339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060371 */     // GIR_Coverage, 20971,
     /* 1060371 */     GIR_EraseRootFromParent_Done,
     /* 1060372 */   // Label 15655: @1060372
     /* 1060372 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060449), // Rule ID 20974 //
     /* 1060377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060416 */     // MIs[0] policy
     /* 1060416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060448 */     // GIR_Coverage, 20974,
     /* 1060448 */     GIR_EraseRootFromParent_Done,
     /* 1060449 */   // Label 15656: @1060449
     /* 1060449 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060526), // Rule ID 20975 //
     /* 1060454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060493 */     // MIs[0] policy
     /* 1060493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060525 */     // GIR_Coverage, 20975,
     /* 1060525 */     GIR_EraseRootFromParent_Done,
     /* 1060526 */   // Label 15657: @1060526
     /* 1060526 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1060603), // Rule ID 20978 //
     /* 1060531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1060548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060570 */     // MIs[0] policy
     /* 1060570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060602 */     // GIR_Coverage, 20978,
     /* 1060602 */     GIR_EraseRootFromParent_Done,
     /* 1060603 */   // Label 15658: @1060603
     /* 1060603 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1060680), // Rule ID 20979 //
     /* 1060608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1060625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060647 */     // MIs[0] policy
     /* 1060647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060679 */     // GIR_Coverage, 20979,
     /* 1060679 */     GIR_EraseRootFromParent_Done,
     /* 1060680 */   // Label 15659: @1060680
     /* 1060680 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1060757), // Rule ID 21246 //
     /* 1060685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060724 */     // MIs[0] policy
     /* 1060724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1060737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060756 */     // GIR_Coverage, 21246,
     /* 1060756 */     GIR_EraseRootFromParent_Done,
     /* 1060757 */   // Label 15660: @1060757
     /* 1060757 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1060834), // Rule ID 21247 //
     /* 1060762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060801 */     // MIs[0] policy
     /* 1060801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1060814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060833 */     // GIR_Coverage, 21247,
     /* 1060833 */     GIR_EraseRootFromParent_Done,
     /* 1060834 */   // Label 15661: @1060834
     /* 1060834 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1060911), // Rule ID 21250 //
     /* 1060839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060878 */     // MIs[0] policy
     /* 1060878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1060891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060910 */     // GIR_Coverage, 21250,
     /* 1060910 */     GIR_EraseRootFromParent_Done,
     /* 1060911 */   // Label 15662: @1060911
     /* 1060911 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1060988), // Rule ID 21251 //
     /* 1060916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060955 */     // MIs[0] policy
     /* 1060955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1060968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060987 */     // GIR_Coverage, 21251,
     /* 1060987 */     GIR_EraseRootFromParent_Done,
     /* 1060988 */   // Label 15663: @1060988
     /* 1060988 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061065), // Rule ID 21254 //
     /* 1060993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061032 */     // MIs[0] policy
     /* 1061032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061064 */     // GIR_Coverage, 21254,
     /* 1061064 */     GIR_EraseRootFromParent_Done,
     /* 1061065 */   // Label 15664: @1061065
     /* 1061065 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061142), // Rule ID 21255 //
     /* 1061070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061109 */     // MIs[0] policy
     /* 1061109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061141 */     // GIR_Coverage, 21255,
     /* 1061141 */     GIR_EraseRootFromParent_Done,
     /* 1061142 */   // Label 15665: @1061142
     /* 1061142 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061219), // Rule ID 21258 //
     /* 1061147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061186 */     // MIs[0] policy
     /* 1061186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061218 */     // GIR_Coverage, 21258,
     /* 1061218 */     GIR_EraseRootFromParent_Done,
     /* 1061219 */   // Label 15666: @1061219
     /* 1061219 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061296), // Rule ID 21259 //
     /* 1061224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061263 */     // MIs[0] policy
     /* 1061263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061295 */     // GIR_Coverage, 21259,
     /* 1061295 */     GIR_EraseRootFromParent_Done,
     /* 1061296 */   // Label 15667: @1061296
     /* 1061296 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061373), // Rule ID 21262 //
     /* 1061301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061340 */     // MIs[0] policy
     /* 1061340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061372 */     // GIR_Coverage, 21262,
     /* 1061372 */     GIR_EraseRootFromParent_Done,
     /* 1061373 */   // Label 15668: @1061373
     /* 1061373 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061450), // Rule ID 21263 //
     /* 1061378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061417 */     // MIs[0] policy
     /* 1061417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061449 */     // GIR_Coverage, 21263,
     /* 1061449 */     GIR_EraseRootFromParent_Done,
     /* 1061450 */   // Label 15669: @1061450
     /* 1061450 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061527), // Rule ID 21266 //
     /* 1061455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061494 */     // MIs[0] policy
     /* 1061494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061526 */     // GIR_Coverage, 21266,
     /* 1061526 */     GIR_EraseRootFromParent_Done,
     /* 1061527 */   // Label 15670: @1061527
     /* 1061527 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1061604), // Rule ID 21267 //
     /* 1061532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061571 */     // MIs[0] policy
     /* 1061571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061603 */     // GIR_Coverage, 21267,
     /* 1061603 */     GIR_EraseRootFromParent_Done,
     /* 1061604 */   // Label 15671: @1061604
     /* 1061604 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1061681), // Rule ID 21270 //
     /* 1061609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061648 */     // MIs[0] policy
     /* 1061648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061680 */     // GIR_Coverage, 21270,
     /* 1061680 */     GIR_EraseRootFromParent_Done,
     /* 1061681 */   // Label 15672: @1061681
     /* 1061681 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1061758), // Rule ID 21271 //
     /* 1061686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061725 */     // MIs[0] policy
     /* 1061725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061757 */     // GIR_Coverage, 21271,
     /* 1061757 */     GIR_EraseRootFromParent_Done,
     /* 1061758 */   // Label 15673: @1061758
     /* 1061758 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1061835), // Rule ID 21274 //
     /* 1061763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061802 */     // MIs[0] policy
     /* 1061802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061834 */     // GIR_Coverage, 21274,
     /* 1061834 */     GIR_EraseRootFromParent_Done,
     /* 1061835 */   // Label 15674: @1061835
     /* 1061835 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1061912), // Rule ID 21275 //
     /* 1061840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061879 */     // MIs[0] policy
     /* 1061879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061911 */     // GIR_Coverage, 21275,
     /* 1061911 */     GIR_EraseRootFromParent_Done,
     /* 1061912 */   // Label 15675: @1061912
     /* 1061912 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1061989), // Rule ID 21278 //
     /* 1061917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061956 */     // MIs[0] policy
     /* 1061956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061988 */     // GIR_Coverage, 21278,
     /* 1061988 */     GIR_EraseRootFromParent_Done,
     /* 1061989 */   // Label 15676: @1061989
     /* 1061989 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062066), // Rule ID 21279 //
     /* 1061994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1062005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1062008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062033 */     // MIs[0] policy
     /* 1062033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1062046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062065 */     // GIR_Coverage, 21279,
     /* 1062065 */     GIR_EraseRootFromParent_Done,
     /* 1062066 */   // Label 15677: @1062066
     /* 1062066 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062143), // Rule ID 21282 //
     /* 1062071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062110 */     // MIs[0] policy
     /* 1062110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1062123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062142 */     // GIR_Coverage, 21282,
     /* 1062142 */     GIR_EraseRootFromParent_Done,
     /* 1062143 */   // Label 15678: @1062143
     /* 1062143 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062220), // Rule ID 21283 //
     /* 1062148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062187 */     // MIs[0] policy
     /* 1062187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1062200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062219 */     // GIR_Coverage, 21283,
     /* 1062219 */     GIR_EraseRootFromParent_Done,
     /* 1062220 */   // Label 15679: @1062220
     /* 1062220 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062297), // Rule ID 21286 //
     /* 1062225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062264 */     // MIs[0] policy
     /* 1062264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062296 */     // GIR_Coverage, 21286,
     /* 1062296 */     GIR_EraseRootFromParent_Done,
     /* 1062297 */   // Label 15680: @1062297
     /* 1062297 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062374), // Rule ID 21287 //
     /* 1062302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062341 */     // MIs[0] policy
     /* 1062341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062373 */     // GIR_Coverage, 21287,
     /* 1062373 */     GIR_EraseRootFromParent_Done,
     /* 1062374 */   // Label 15681: @1062374
     /* 1062374 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062451), // Rule ID 21290 //
     /* 1062379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062418 */     // MIs[0] policy
     /* 1062418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062450 */     // GIR_Coverage, 21290,
     /* 1062450 */     GIR_EraseRootFromParent_Done,
     /* 1062451 */   // Label 15682: @1062451
     /* 1062451 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062528), // Rule ID 21291 //
     /* 1062456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062495 */     // MIs[0] policy
     /* 1062495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062527 */     // GIR_Coverage, 21291,
     /* 1062527 */     GIR_EraseRootFromParent_Done,
     /* 1062528 */   // Label 15683: @1062528
     /* 1062528 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1062605), // Rule ID 21294 //
     /* 1062533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062572 */     // MIs[0] policy
     /* 1062572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1062585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062604 */     // GIR_Coverage, 21294,
     /* 1062604 */     GIR_EraseRootFromParent_Done,
     /* 1062605 */   // Label 15684: @1062605
     /* 1062605 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1062682), // Rule ID 21295 //
     /* 1062610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062649 */     // MIs[0] policy
     /* 1062649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1062662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062681 */     // GIR_Coverage, 21295,
     /* 1062681 */     GIR_EraseRootFromParent_Done,
     /* 1062682 */   // Label 15685: @1062682
     /* 1062682 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1062759), // Rule ID 21298 //
     /* 1062687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062726 */     // MIs[0] policy
     /* 1062726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1062739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062758 */     // GIR_Coverage, 21298,
     /* 1062758 */     GIR_EraseRootFromParent_Done,
     /* 1062759 */   // Label 15686: @1062759
     /* 1062759 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1062836), // Rule ID 21299 //
     /* 1062764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062803 */     // MIs[0] policy
     /* 1062803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062813 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1062816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062835 */     // GIR_Coverage, 21299,
     /* 1062835 */     GIR_EraseRootFromParent_Done,
     /* 1062836 */   // Label 15687: @1062836
     /* 1062836 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1062913), // Rule ID 21302 //
     /* 1062841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062880 */     // MIs[0] policy
     /* 1062880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062912 */     // GIR_Coverage, 21302,
     /* 1062912 */     GIR_EraseRootFromParent_Done,
     /* 1062913 */   // Label 15688: @1062913
     /* 1062913 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1062990), // Rule ID 21303 //
     /* 1062918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062957 */     // MIs[0] policy
     /* 1062957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062989 */     // GIR_Coverage, 21303,
     /* 1062989 */     GIR_EraseRootFromParent_Done,
     /* 1062990 */   // Label 15689: @1062990
     /* 1062990 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063067), // Rule ID 21306 //
     /* 1062995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063034 */     // MIs[0] policy
     /* 1063034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1063047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063066 */     // GIR_Coverage, 21306,
     /* 1063066 */     GIR_EraseRootFromParent_Done,
     /* 1063067 */   // Label 15690: @1063067
     /* 1063067 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063144), // Rule ID 21307 //
     /* 1063072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063111 */     // MIs[0] policy
     /* 1063111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1063124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063143 */     // GIR_Coverage, 21307,
     /* 1063143 */     GIR_EraseRootFromParent_Done,
     /* 1063144 */   // Label 15691: @1063144
     /* 1063144 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063221), // Rule ID 21310 //
     /* 1063149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063188 */     // MIs[0] policy
     /* 1063188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063220 */     // GIR_Coverage, 21310,
     /* 1063220 */     GIR_EraseRootFromParent_Done,
     /* 1063221 */   // Label 15692: @1063221
     /* 1063221 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063298), // Rule ID 21311 //
     /* 1063226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063265 */     // MIs[0] policy
     /* 1063265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063297 */     // GIR_Coverage, 21311,
     /* 1063297 */     GIR_EraseRootFromParent_Done,
     /* 1063298 */   // Label 15693: @1063298
     /* 1063298 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063375), // Rule ID 21314 //
     /* 1063303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063342 */     // MIs[0] policy
     /* 1063342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063374 */     // GIR_Coverage, 21314,
     /* 1063374 */     GIR_EraseRootFromParent_Done,
     /* 1063375 */   // Label 15694: @1063375
     /* 1063375 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063452), // Rule ID 21315 //
     /* 1063380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063419 */     // MIs[0] policy
     /* 1063419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063429 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063451 */     // GIR_Coverage, 21315,
     /* 1063451 */     GIR_EraseRootFromParent_Done,
     /* 1063452 */   // Label 15695: @1063452
     /* 1063452 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063529), // Rule ID 21318 //
     /* 1063457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1063474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063496 */     // MIs[0] policy
     /* 1063496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063506 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1063509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063528 */     // GIR_Coverage, 21318,
     /* 1063528 */     GIR_EraseRootFromParent_Done,
     /* 1063529 */   // Label 15696: @1063529
     /* 1063529 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1063606), // Rule ID 21319 //
     /* 1063534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1063551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063573 */     // MIs[0] policy
     /* 1063573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063583 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1063586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063605 */     // GIR_Coverage, 21319,
     /* 1063605 */     GIR_EraseRootFromParent_Done,
     /* 1063606 */   // Label 15697: @1063606
     /* 1063606 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1063683), // Rule ID 21322 //
     /* 1063611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1063628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063650 */     // MIs[0] policy
     /* 1063650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063660 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1063663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063682 */     // GIR_Coverage, 21322,
     /* 1063682 */     GIR_EraseRootFromParent_Done,
     /* 1063683 */   // Label 15698: @1063683
     /* 1063683 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1063760), // Rule ID 21323 //
     /* 1063688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1063705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063727 */     // MIs[0] policy
     /* 1063727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063737 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1063740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063759 */     // GIR_Coverage, 21323,
     /* 1063759 */     GIR_EraseRootFromParent_Done,
     /* 1063760 */   // Label 15699: @1063760
     /* 1063760 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1063837), // Rule ID 21326 //
     /* 1063765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1063782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063804 */     // MIs[0] policy
     /* 1063804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063814 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1063817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063836 */     // GIR_Coverage, 21326,
     /* 1063836 */     GIR_EraseRootFromParent_Done,
     /* 1063837 */   // Label 15700: @1063837
     /* 1063837 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1063914), // Rule ID 21327 //
     /* 1063842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1063859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063881 */     // MIs[0] policy
     /* 1063881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063891 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1063894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063913 */     // GIR_Coverage, 21327,
     /* 1063913 */     GIR_EraseRootFromParent_Done,
     /* 1063914 */   // Label 15701: @1063914
     /* 1063914 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1063991), // Rule ID 21330 //
     /* 1063919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1063936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063958 */     // MIs[0] policy
     /* 1063958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1063971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063990 */     // GIR_Coverage, 21330,
     /* 1063990 */     GIR_EraseRootFromParent_Done,
     /* 1063991 */   // Label 15702: @1063991
     /* 1063991 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064068), // Rule ID 21331 //
     /* 1063996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1064013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064035 */     // MIs[0] policy
     /* 1064035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1064048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064067 */     // GIR_Coverage, 21331,
     /* 1064067 */     GIR_EraseRootFromParent_Done,
     /* 1064068 */   // Label 15703: @1064068
     /* 1064068 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064145), // Rule ID 21334 //
     /* 1064073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1064090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064112 */     // MIs[0] policy
     /* 1064112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064122 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1064125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064144 */     // GIR_Coverage, 21334,
     /* 1064144 */     GIR_EraseRootFromParent_Done,
     /* 1064145 */   // Label 15704: @1064145
     /* 1064145 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064222), // Rule ID 21335 //
     /* 1064150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1064167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064189 */     // MIs[0] policy
     /* 1064189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064199 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1064202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064221 */     // GIR_Coverage, 21335,
     /* 1064221 */     GIR_EraseRootFromParent_Done,
     /* 1064222 */   // Label 15705: @1064222
     /* 1064222 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064299), // Rule ID 21338 //
     /* 1064227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064266 */     // MIs[0] policy
     /* 1064266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064276 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064298 */     // GIR_Coverage, 21338,
     /* 1064298 */     GIR_EraseRootFromParent_Done,
     /* 1064299 */   // Label 15706: @1064299
     /* 1064299 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064376), // Rule ID 21339 //
     /* 1064304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064343 */     // MIs[0] policy
     /* 1064343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064353 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064375 */     // GIR_Coverage, 21339,
     /* 1064375 */     GIR_EraseRootFromParent_Done,
     /* 1064376 */   // Label 15707: @1064376
     /* 1064376 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064453), // Rule ID 21342 //
     /* 1064381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064420 */     // MIs[0] policy
     /* 1064420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064430 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064452 */     // GIR_Coverage, 21342,
     /* 1064452 */     GIR_EraseRootFromParent_Done,
     /* 1064453 */   // Label 15708: @1064453
     /* 1064453 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064530), // Rule ID 21343 //
     /* 1064458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064497 */     // MIs[0] policy
     /* 1064497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064529 */     // GIR_Coverage, 21343,
     /* 1064529 */     GIR_EraseRootFromParent_Done,
     /* 1064530 */   // Label 15709: @1064530
     /* 1064530 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1064607), // Rule ID 21346 //
     /* 1064535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064574 */     // MIs[0] policy
     /* 1064574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064584 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1064587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064606 */     // GIR_Coverage, 21346,
     /* 1064606 */     GIR_EraseRootFromParent_Done,
     /* 1064607 */   // Label 15710: @1064607
     /* 1064607 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1064684), // Rule ID 21347 //
     /* 1064612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064651 */     // MIs[0] policy
     /* 1064651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1064664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064683 */     // GIR_Coverage, 21347,
     /* 1064683 */     GIR_EraseRootFromParent_Done,
     /* 1064684 */   // Label 15711: @1064684
     /* 1064684 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1064761), // Rule ID 21350 //
     /* 1064689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064728 */     // MIs[0] policy
     /* 1064728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064738 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1064741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064760 */     // GIR_Coverage, 21350,
     /* 1064760 */     GIR_EraseRootFromParent_Done,
     /* 1064761 */   // Label 15712: @1064761
     /* 1064761 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1064838), // Rule ID 21351 //
     /* 1064766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064805 */     // MIs[0] policy
     /* 1064805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064815 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1064818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064837 */     // GIR_Coverage, 21351,
     /* 1064837 */     GIR_EraseRootFromParent_Done,
     /* 1064838 */   // Label 15713: @1064838
     /* 1064838 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1064915), // Rule ID 21354 //
     /* 1064843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064882 */     // MIs[0] policy
     /* 1064882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064892 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1064895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064914 */     // GIR_Coverage, 21354,
     /* 1064914 */     GIR_EraseRootFromParent_Done,
     /* 1064915 */   // Label 15714: @1064915
     /* 1064915 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1064992), // Rule ID 21355 //
     /* 1064920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064959 */     // MIs[0] policy
     /* 1064959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064969 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1064972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064991 */     // GIR_Coverage, 21355,
     /* 1064991 */     GIR_EraseRootFromParent_Done,
     /* 1064992 */   // Label 15715: @1064992
     /* 1064992 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065069), // Rule ID 21358 //
     /* 1064997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065036 */     // MIs[0] policy
     /* 1065036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065046 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1065049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065068 */     // GIR_Coverage, 21358,
     /* 1065068 */     GIR_EraseRootFromParent_Done,
     /* 1065069 */   // Label 15716: @1065069
     /* 1065069 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065146), // Rule ID 21359 //
     /* 1065074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065113 */     // MIs[0] policy
     /* 1065113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1065126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065145 */     // GIR_Coverage, 21359,
     /* 1065145 */     GIR_EraseRootFromParent_Done,
     /* 1065146 */   // Label 15717: @1065146
     /* 1065146 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065223), // Rule ID 21362 //
     /* 1065151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065190 */     // MIs[0] policy
     /* 1065190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1065203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065222 */     // GIR_Coverage, 21362,
     /* 1065222 */     GIR_EraseRootFromParent_Done,
     /* 1065223 */   // Label 15718: @1065223
     /* 1065223 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065300), // Rule ID 21363 //
     /* 1065228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065267 */     // MIs[0] policy
     /* 1065267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1065280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065299 */     // GIR_Coverage, 21363,
     /* 1065299 */     GIR_EraseRootFromParent_Done,
     /* 1065300 */   // Label 15719: @1065300
     /* 1065300 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065377), // Rule ID 21366 //
     /* 1065305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065344 */     // MIs[0] policy
     /* 1065344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065376 */     // GIR_Coverage, 21366,
     /* 1065376 */     GIR_EraseRootFromParent_Done,
     /* 1065377 */   // Label 15720: @1065377
     /* 1065377 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065454), // Rule ID 21367 //
     /* 1065382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065421 */     // MIs[0] policy
     /* 1065421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065453 */     // GIR_Coverage, 21367,
     /* 1065453 */     GIR_EraseRootFromParent_Done,
     /* 1065454 */   // Label 15721: @1065454
     /* 1065454 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065531), // Rule ID 21370 //
     /* 1065459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065498 */     // MIs[0] policy
     /* 1065498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065508 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1065511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065530 */     // GIR_Coverage, 21370,
     /* 1065530 */     GIR_EraseRootFromParent_Done,
     /* 1065531 */   // Label 15722: @1065531
     /* 1065531 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1065608), // Rule ID 21371 //
     /* 1065536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065575 */     // MIs[0] policy
     /* 1065575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065585 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1065588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065607 */     // GIR_Coverage, 21371,
     /* 1065607 */     GIR_EraseRootFromParent_Done,
     /* 1065608 */   // Label 15723: @1065608
     /* 1065608 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1065685), // Rule ID 21374 //
     /* 1065613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065652 */     // MIs[0] policy
     /* 1065652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065662 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1065665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065684 */     // GIR_Coverage, 21374,
     /* 1065684 */     GIR_EraseRootFromParent_Done,
     /* 1065685 */   // Label 15724: @1065685
     /* 1065685 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1065762), // Rule ID 21375 //
     /* 1065690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065729 */     // MIs[0] policy
     /* 1065729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065739 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1065742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065761 */     // GIR_Coverage, 21375,
     /* 1065761 */     GIR_EraseRootFromParent_Done,
     /* 1065762 */   // Label 15725: @1065762
     /* 1065762 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1065839), // Rule ID 21378 //
     /* 1065767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065806 */     // MIs[0] policy
     /* 1065806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1065819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065838 */     // GIR_Coverage, 21378,
     /* 1065838 */     GIR_EraseRootFromParent_Done,
     /* 1065839 */   // Label 15726: @1065839
     /* 1065839 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1065916), // Rule ID 21379 //
     /* 1065844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065883 */     // MIs[0] policy
     /* 1065883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065893 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1065896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065915 */     // GIR_Coverage, 21379,
     /* 1065915 */     GIR_EraseRootFromParent_Done,
     /* 1065916 */   // Label 15727: @1065916
     /* 1065916 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1065993), // Rule ID 21382 //
     /* 1065921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1065938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065960 */     // MIs[0] policy
     /* 1065960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065970 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1065973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065992 */     // GIR_Coverage, 21382,
     /* 1065992 */     GIR_EraseRootFromParent_Done,
     /* 1065993 */   // Label 15728: @1065993
     /* 1065993 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066070), // Rule ID 21383 //
     /* 1065998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1066015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066037 */     // MIs[0] policy
     /* 1066037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066047 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1066050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066069 */     // GIR_Coverage, 21383,
     /* 1066069 */     GIR_EraseRootFromParent_Done,
     /* 1066070 */   // Label 15729: @1066070
     /* 1066070 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066147), // Rule ID 21386 //
     /* 1066075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1066092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066114 */     // MIs[0] policy
     /* 1066114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066124 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1066127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066146 */     // GIR_Coverage, 21386,
     /* 1066146 */     GIR_EraseRootFromParent_Done,
     /* 1066147 */   // Label 15730: @1066147
     /* 1066147 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066224), // Rule ID 21387 //
     /* 1066152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1066169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066191 */     // MIs[0] policy
     /* 1066191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066201 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1066204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066223 */     // GIR_Coverage, 21387,
     /* 1066223 */     GIR_EraseRootFromParent_Done,
     /* 1066224 */   // Label 15731: @1066224
     /* 1066224 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066301), // Rule ID 21390 //
     /* 1066229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066268 */     // MIs[0] policy
     /* 1066268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066300 */     // GIR_Coverage, 21390,
     /* 1066300 */     GIR_EraseRootFromParent_Done,
     /* 1066301 */   // Label 15732: @1066301
     /* 1066301 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066378), // Rule ID 21391 //
     /* 1066306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066345 */     // MIs[0] policy
     /* 1066345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066355 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066377 */     // GIR_Coverage, 21391,
     /* 1066377 */     GIR_EraseRootFromParent_Done,
     /* 1066378 */   // Label 15733: @1066378
     /* 1066378 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066455), // Rule ID 21394 //
     /* 1066383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066422 */     // MIs[0] policy
     /* 1066422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066432 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066454 */     // GIR_Coverage, 21394,
     /* 1066454 */     GIR_EraseRootFromParent_Done,
     /* 1066455 */   // Label 15734: @1066455
     /* 1066455 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066532), // Rule ID 21395 //
     /* 1066460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066499 */     // MIs[0] policy
     /* 1066499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066509 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066531 */     // GIR_Coverage, 21395,
     /* 1066531 */     GIR_EraseRootFromParent_Done,
     /* 1066532 */   // Label 15735: @1066532
     /* 1066532 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1066609), // Rule ID 21398 //
     /* 1066537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1066548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1066551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066576 */     // MIs[0] policy
     /* 1066576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066586 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1066589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066608 */     // GIR_Coverage, 21398,
     /* 1066608 */     GIR_EraseRootFromParent_Done,
     /* 1066609 */   // Label 15736: @1066609
     /* 1066609 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1066686), // Rule ID 21399 //
     /* 1066614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1066625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1066628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066653 */     // MIs[0] policy
     /* 1066653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066663 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1066666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066685 */     // GIR_Coverage, 21399,
     /* 1066685 */     GIR_EraseRootFromParent_Done,
     /* 1066686 */   // Label 15737: @1066686
     /* 1066686 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1066763), // Rule ID 21402 //
     /* 1066691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1066708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066730 */     // MIs[0] policy
     /* 1066730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066740 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1066743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066762 */     // GIR_Coverage, 21402,
     /* 1066762 */     GIR_EraseRootFromParent_Done,
     /* 1066763 */   // Label 15738: @1066763
     /* 1066763 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1066840), // Rule ID 21403 //
     /* 1066768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1066785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066807 */     // MIs[0] policy
     /* 1066807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066817 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1066820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066839 */     // GIR_Coverage, 21403,
     /* 1066839 */     GIR_EraseRootFromParent_Done,
     /* 1066840 */   // Label 15739: @1066840
     /* 1066840 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1066917), // Rule ID 21406 //
     /* 1066845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066884 */     // MIs[0] policy
     /* 1066884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066894 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1066897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066916 */     // GIR_Coverage, 21406,
     /* 1066916 */     GIR_EraseRootFromParent_Done,
     /* 1066917 */   // Label 15740: @1066917
     /* 1066917 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1066994), // Rule ID 21407 //
     /* 1066922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066961 */     // MIs[0] policy
     /* 1066961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066971 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1066974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066993 */     // GIR_Coverage, 21407,
     /* 1066993 */     GIR_EraseRootFromParent_Done,
     /* 1066994 */   // Label 15741: @1066994
     /* 1066994 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067071), // Rule ID 21410 //
     /* 1066999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067038 */     // MIs[0] policy
     /* 1067038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1067051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067070 */     // GIR_Coverage, 21410,
     /* 1067070 */     GIR_EraseRootFromParent_Done,
     /* 1067071 */   // Label 15742: @1067071
     /* 1067071 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067148), // Rule ID 21411 //
     /* 1067076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067115 */     // MIs[0] policy
     /* 1067115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067125 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1067128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067147 */     // GIR_Coverage, 21411,
     /* 1067147 */     GIR_EraseRootFromParent_Done,
     /* 1067148 */   // Label 15743: @1067148
     /* 1067148 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067225), // Rule ID 21414 //
     /* 1067153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067192 */     // MIs[0] policy
     /* 1067192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067202 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067224 */     // GIR_Coverage, 21414,
     /* 1067224 */     GIR_EraseRootFromParent_Done,
     /* 1067225 */   // Label 15744: @1067225
     /* 1067225 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067302), // Rule ID 21415 //
     /* 1067230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067269 */     // MIs[0] policy
     /* 1067269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067279 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067301 */     // GIR_Coverage, 21415,
     /* 1067301 */     GIR_EraseRootFromParent_Done,
     /* 1067302 */   // Label 15745: @1067302
     /* 1067302 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067379), // Rule ID 21418 //
     /* 1067307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067346 */     // MIs[0] policy
     /* 1067346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067356 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067378 */     // GIR_Coverage, 21418,
     /* 1067378 */     GIR_EraseRootFromParent_Done,
     /* 1067379 */   // Label 15746: @1067379
     /* 1067379 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067456), // Rule ID 21419 //
     /* 1067384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067423 */     // MIs[0] policy
     /* 1067423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067455 */     // GIR_Coverage, 21419,
     /* 1067455 */     GIR_EraseRootFromParent_Done,
     /* 1067456 */   // Label 15747: @1067456
     /* 1067456 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067533), // Rule ID 21422 //
     /* 1067461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1067472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1067475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067500 */     // MIs[0] policy
     /* 1067500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067510 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1067513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067532 */     // GIR_Coverage, 21422,
     /* 1067532 */     GIR_EraseRootFromParent_Done,
     /* 1067533 */   // Label 15748: @1067533
     /* 1067533 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1067610), // Rule ID 21423 //
     /* 1067538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1067549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1067552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067577 */     // MIs[0] policy
     /* 1067577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1067590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067609 */     // GIR_Coverage, 21423,
     /* 1067609 */     GIR_EraseRootFromParent_Done,
     /* 1067610 */   // Label 15749: @1067610
     /* 1067610 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1067687), // Rule ID 21426 //
     /* 1067615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1067632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067654 */     // MIs[0] policy
     /* 1067654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1067667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067686 */     // GIR_Coverage, 21426,
     /* 1067686 */     GIR_EraseRootFromParent_Done,
     /* 1067687 */   // Label 15750: @1067687
     /* 1067687 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1067764), // Rule ID 21427 //
     /* 1067692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1067709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067731 */     // MIs[0] policy
     /* 1067731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067741 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1067744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067763 */     // GIR_Coverage, 21427,
     /* 1067763 */     GIR_EraseRootFromParent_Done,
     /* 1067764 */   // Label 15751: @1067764
     /* 1067764 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1067841), // Rule ID 21430 //
     /* 1067769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067808 */     // MIs[0] policy
     /* 1067808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067818 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1067821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067840 */     // GIR_Coverage, 21430,
     /* 1067840 */     GIR_EraseRootFromParent_Done,
     /* 1067841 */   // Label 15752: @1067841
     /* 1067841 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1067918), // Rule ID 21431 //
     /* 1067846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067885 */     // MIs[0] policy
     /* 1067885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067895 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1067898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067917 */     // GIR_Coverage, 21431,
     /* 1067917 */     GIR_EraseRootFromParent_Done,
     /* 1067918 */   // Label 15753: @1067918
     /* 1067918 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1067995), // Rule ID 21434 //
     /* 1067923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1067934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1067937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067962 */     // MIs[0] policy
     /* 1067962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067972 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1067975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067994 */     // GIR_Coverage, 21434,
     /* 1067994 */     GIR_EraseRootFromParent_Done,
     /* 1067995 */   // Label 15754: @1067995
     /* 1067995 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068072), // Rule ID 21435 //
     /* 1068000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068039 */     // MIs[0] policy
     /* 1068039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068049 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1068052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068071 */     // GIR_Coverage, 21435,
     /* 1068071 */     GIR_EraseRootFromParent_Done,
     /* 1068072 */   // Label 15755: @1068072
     /* 1068072 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068149), // Rule ID 21438 //
     /* 1068077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068116 */     // MIs[0] policy
     /* 1068116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068126 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1068129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068148 */     // GIR_Coverage, 21438,
     /* 1068148 */     GIR_EraseRootFromParent_Done,
     /* 1068149 */   // Label 15756: @1068149
     /* 1068149 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068226), // Rule ID 21439 //
     /* 1068154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068193 */     // MIs[0] policy
     /* 1068193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068203 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1068206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068225 */     // GIR_Coverage, 21439,
     /* 1068225 */     GIR_EraseRootFromParent_Done,
     /* 1068226 */   // Label 15757: @1068226
     /* 1068226 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068303), // Rule ID 21442 //
     /* 1068231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068270 */     // MIs[0] policy
     /* 1068270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068280 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068302 */     // GIR_Coverage, 21442,
     /* 1068302 */     GIR_EraseRootFromParent_Done,
     /* 1068303 */   // Label 15758: @1068303
     /* 1068303 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068380), // Rule ID 21443 //
     /* 1068308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068347 */     // MIs[0] policy
     /* 1068347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068357 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068379 */     // GIR_Coverage, 21443,
     /* 1068379 */     GIR_EraseRootFromParent_Done,
     /* 1068380 */   // Label 15759: @1068380
     /* 1068380 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068457), // Rule ID 21446 //
     /* 1068385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068424 */     // MIs[0] policy
     /* 1068424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068434 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068456 */     // GIR_Coverage, 21446,
     /* 1068456 */     GIR_EraseRootFromParent_Done,
     /* 1068457 */   // Label 15760: @1068457
     /* 1068457 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068534), // Rule ID 21447 //
     /* 1068462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068501 */     // MIs[0] policy
     /* 1068501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068511 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068533 */     // GIR_Coverage, 21447,
     /* 1068533 */     GIR_EraseRootFromParent_Done,
     /* 1068534 */   // Label 15761: @1068534
     /* 1068534 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1068611), // Rule ID 21450 //
     /* 1068539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068578 */     // MIs[0] policy
     /* 1068578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068588 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1068591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068610 */     // GIR_Coverage, 21450,
     /* 1068610 */     GIR_EraseRootFromParent_Done,
     /* 1068611 */   // Label 15762: @1068611
     /* 1068611 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1068688), // Rule ID 21451 //
     /* 1068616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068655 */     // MIs[0] policy
     /* 1068655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1068668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068687 */     // GIR_Coverage, 21451,
     /* 1068687 */     GIR_EraseRootFromParent_Done,
     /* 1068688 */   // Label 15763: @1068688
     /* 1068688 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1068765), // Rule ID 21454 //
     /* 1068693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068732 */     // MIs[0] policy
     /* 1068732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068742 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1068745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068764 */     // GIR_Coverage, 21454,
     /* 1068764 */     GIR_EraseRootFromParent_Done,
     /* 1068765 */   // Label 15764: @1068765
     /* 1068765 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1068842), // Rule ID 21455 //
     /* 1068770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068809 */     // MIs[0] policy
     /* 1068809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068819 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1068822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068841 */     // GIR_Coverage, 21455,
     /* 1068841 */     GIR_EraseRootFromParent_Done,
     /* 1068842 */   // Label 15765: @1068842
     /* 1068842 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1068919), // Rule ID 21458 //
     /* 1068847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1068850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1068858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1068861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068886 */     // MIs[0] policy
     /* 1068886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1068899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068918 */     // GIR_Coverage, 21458,
     /* 1068918 */     GIR_EraseRootFromParent_Done,
     /* 1068919 */   // Label 15766: @1068919
     /* 1068919 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1068996), // Rule ID 21459 //
     /* 1068924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1068927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1068935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1068938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068963 */     // MIs[0] policy
     /* 1068963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068973 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1068976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068995 */     // GIR_Coverage, 21459,
     /* 1068995 */     GIR_EraseRootFromParent_Done,
     /* 1068996 */   // Label 15767: @1068996
     /* 1068996 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069073), // Rule ID 21462 //
     /* 1069001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1069012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1069015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069040 */     // MIs[0] policy
     /* 1069040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069050 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1069053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069072 */     // GIR_Coverage, 21462,
     /* 1069072 */     GIR_EraseRootFromParent_Done,
     /* 1069073 */   // Label 15768: @1069073
     /* 1069073 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069150), // Rule ID 21463 //
     /* 1069078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1069089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1069092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069117 */     // MIs[0] policy
     /* 1069117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069127 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1069130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069149 */     // GIR_Coverage, 21463,
     /* 1069149 */     GIR_EraseRootFromParent_Done,
     /* 1069150 */   // Label 15769: @1069150
     /* 1069150 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069227), // Rule ID 21466 //
     /* 1069155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1069166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1069169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069194 */     // MIs[0] policy
     /* 1069194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069204 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069226 */     // GIR_Coverage, 21466,
     /* 1069226 */     GIR_EraseRootFromParent_Done,
     /* 1069227 */   // Label 15770: @1069227
     /* 1069227 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069304), // Rule ID 21467 //
     /* 1069232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1069243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1069246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069271 */     // MIs[0] policy
     /* 1069271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069281 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069303 */     // GIR_Coverage, 21467,
     /* 1069303 */     GIR_EraseRootFromParent_Done,
     /* 1069304 */   // Label 15771: @1069304
     /* 1069304 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069381), // Rule ID 21470 //
     /* 1069309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069348 */     // MIs[0] policy
     /* 1069348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069380 */     // GIR_Coverage, 21470,
     /* 1069380 */     GIR_EraseRootFromParent_Done,
     /* 1069381 */   // Label 15772: @1069381
     /* 1069381 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069458), // Rule ID 21471 //
     /* 1069386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069425 */     // MIs[0] policy
     /* 1069425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069435 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069457 */     // GIR_Coverage, 21471,
     /* 1069457 */     GIR_EraseRootFromParent_Done,
     /* 1069458 */   // Label 15773: @1069458
     /* 1069458 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069535), // Rule ID 21714 //
     /* 1069463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1069474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1069477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069502 */     // MIs[0] policy
     /* 1069502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1069515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069534 */     // GIR_Coverage, 21714,
     /* 1069534 */     GIR_EraseRootFromParent_Done,
     /* 1069535 */   // Label 15774: @1069535
     /* 1069535 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1069612), // Rule ID 21715 //
     /* 1069540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1069551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1069554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069579 */     // MIs[0] policy
     /* 1069579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1069592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069611 */     // GIR_Coverage, 21715,
     /* 1069611 */     GIR_EraseRootFromParent_Done,
     /* 1069612 */   // Label 15775: @1069612
     /* 1069612 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1069689), // Rule ID 21718 //
     /* 1069617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069656 */     // MIs[0] policy
     /* 1069656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1069669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069688 */     // GIR_Coverage, 21718,
     /* 1069688 */     GIR_EraseRootFromParent_Done,
     /* 1069689 */   // Label 15776: @1069689
     /* 1069689 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1069766), // Rule ID 21719 //
     /* 1069694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069733 */     // MIs[0] policy
     /* 1069733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069743 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1069746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069765 */     // GIR_Coverage, 21719,
     /* 1069765 */     GIR_EraseRootFromParent_Done,
     /* 1069766 */   // Label 15777: @1069766
     /* 1069766 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1069843), // Rule ID 21722 //
     /* 1069771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069810 */     // MIs[0] policy
     /* 1069810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1069823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069842 */     // GIR_Coverage, 21722,
     /* 1069842 */     GIR_EraseRootFromParent_Done,
     /* 1069843 */   // Label 15778: @1069843
     /* 1069843 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1069920), // Rule ID 21723 //
     /* 1069848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069887 */     // MIs[0] policy
     /* 1069887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1069900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069919 */     // GIR_Coverage, 21723,
     /* 1069919 */     GIR_EraseRootFromParent_Done,
     /* 1069920 */   // Label 15779: @1069920
     /* 1069920 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1069997), // Rule ID 21726 //
     /* 1069925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1069942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069964 */     // MIs[0] policy
     /* 1069964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1069977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069996 */     // GIR_Coverage, 21726,
     /* 1069996 */     GIR_EraseRootFromParent_Done,
     /* 1069997 */   // Label 15780: @1069997
     /* 1069997 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070074), // Rule ID 21727 //
     /* 1070002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1070013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1070016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070041 */     // MIs[0] policy
     /* 1070041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070073 */     // GIR_Coverage, 21727,
     /* 1070073 */     GIR_EraseRootFromParent_Done,
     /* 1070074 */   // Label 15781: @1070074
     /* 1070074 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070151), // Rule ID 21730 //
     /* 1070079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070118 */     // MIs[0] policy
     /* 1070118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070150 */     // GIR_Coverage, 21730,
     /* 1070150 */     GIR_EraseRootFromParent_Done,
     /* 1070151 */   // Label 15782: @1070151
     /* 1070151 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070228), // Rule ID 21731 //
     /* 1070156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070195 */     // MIs[0] policy
     /* 1070195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070227 */     // GIR_Coverage, 21731,
     /* 1070227 */     GIR_EraseRootFromParent_Done,
     /* 1070228 */   // Label 15783: @1070228
     /* 1070228 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070305), // Rule ID 21734 //
     /* 1070233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070272 */     // MIs[0] policy
     /* 1070272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070304 */     // GIR_Coverage, 21734,
     /* 1070304 */     GIR_EraseRootFromParent_Done,
     /* 1070305 */   // Label 15784: @1070305
     /* 1070305 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070382), // Rule ID 21735 //
     /* 1070310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070349 */     // MIs[0] policy
     /* 1070349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070359 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070381 */     // GIR_Coverage, 21735,
     /* 1070381 */     GIR_EraseRootFromParent_Done,
     /* 1070382 */   // Label 15785: @1070382
     /* 1070382 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070459), // Rule ID 21738 //
     /* 1070387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070426 */     // MIs[0] policy
     /* 1070426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070458 */     // GIR_Coverage, 21738,
     /* 1070458 */     GIR_EraseRootFromParent_Done,
     /* 1070459 */   // Label 15786: @1070459
     /* 1070459 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070536), // Rule ID 21739 //
     /* 1070464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070503 */     // MIs[0] policy
     /* 1070503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070535 */     // GIR_Coverage, 21739,
     /* 1070535 */     GIR_EraseRootFromParent_Done,
     /* 1070536 */   // Label 15787: @1070536
     /* 1070536 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1070613), // Rule ID 21742 //
     /* 1070541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070580 */     // MIs[0] policy
     /* 1070580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070612 */     // GIR_Coverage, 21742,
     /* 1070612 */     GIR_EraseRootFromParent_Done,
     /* 1070613 */   // Label 15788: @1070613
     /* 1070613 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1070690), // Rule ID 21743 //
     /* 1070618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070657 */     // MIs[0] policy
     /* 1070657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070689 */     // GIR_Coverage, 21743,
     /* 1070689 */     GIR_EraseRootFromParent_Done,
     /* 1070690 */   // Label 15789: @1070690
     /* 1070690 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1070767), // Rule ID 21746 //
     /* 1070695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070734 */     // MIs[0] policy
     /* 1070734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070766 */     // GIR_Coverage, 21746,
     /* 1070766 */     GIR_EraseRootFromParent_Done,
     /* 1070767 */   // Label 15790: @1070767
     /* 1070767 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1070844), // Rule ID 21747 //
     /* 1070772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070811 */     // MIs[0] policy
     /* 1070811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070843 */     // GIR_Coverage, 21747,
     /* 1070843 */     GIR_EraseRootFromParent_Done,
     /* 1070844 */   // Label 15791: @1070844
     /* 1070844 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1070921), // Rule ID 21750 //
     /* 1070849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070888 */     // MIs[0] policy
     /* 1070888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070920 */     // GIR_Coverage, 21750,
     /* 1070920 */     GIR_EraseRootFromParent_Done,
     /* 1070921 */   // Label 15792: @1070921
     /* 1070921 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1070998), // Rule ID 21751 //
     /* 1070926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070965 */     // MIs[0] policy
     /* 1070965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070997 */     // GIR_Coverage, 21751,
     /* 1070997 */     GIR_EraseRootFromParent_Done,
     /* 1070998 */   // Label 15793: @1070998
     /* 1070998 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071075), // Rule ID 21754 //
     /* 1071003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1071006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071042 */     // MIs[0] policy
     /* 1071042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071074 */     // GIR_Coverage, 21754,
     /* 1071074 */     GIR_EraseRootFromParent_Done,
     /* 1071075 */   // Label 15794: @1071075
     /* 1071075 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071152), // Rule ID 21755 //
     /* 1071080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1071083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071119 */     // MIs[0] policy
     /* 1071119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071129 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071151 */     // GIR_Coverage, 21755,
     /* 1071151 */     GIR_EraseRootFromParent_Done,
     /* 1071152 */   // Label 15795: @1071152
     /* 1071152 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071229), // Rule ID 21758 //
     /* 1071157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071196 */     // MIs[0] policy
     /* 1071196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071228 */     // GIR_Coverage, 21758,
     /* 1071228 */     GIR_EraseRootFromParent_Done,
     /* 1071229 */   // Label 15796: @1071229
     /* 1071229 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071306), // Rule ID 21759 //
     /* 1071234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071273 */     // MIs[0] policy
     /* 1071273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071305 */     // GIR_Coverage, 21759,
     /* 1071305 */     GIR_EraseRootFromParent_Done,
     /* 1071306 */   // Label 15797: @1071306
     /* 1071306 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071383), // Rule ID 21762 //
     /* 1071311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071350 */     // MIs[0] policy
     /* 1071350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071382 */     // GIR_Coverage, 21762,
     /* 1071382 */     GIR_EraseRootFromParent_Done,
     /* 1071383 */   // Label 15798: @1071383
     /* 1071383 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071460), // Rule ID 21763 //
     /* 1071388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071427 */     // MIs[0] policy
     /* 1071427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071459 */     // GIR_Coverage, 21763,
     /* 1071459 */     GIR_EraseRootFromParent_Done,
     /* 1071460 */   // Label 15799: @1071460
     /* 1071460 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071537), // Rule ID 21766 //
     /* 1071465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071504 */     // MIs[0] policy
     /* 1071504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071536 */     // GIR_Coverage, 21766,
     /* 1071536 */     GIR_EraseRootFromParent_Done,
     /* 1071537 */   // Label 15800: @1071537
     /* 1071537 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1071614), // Rule ID 21767 //
     /* 1071542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071581 */     // MIs[0] policy
     /* 1071581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071613 */     // GIR_Coverage, 21767,
     /* 1071613 */     GIR_EraseRootFromParent_Done,
     /* 1071614 */   // Label 15801: @1071614
     /* 1071614 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1071691), // Rule ID 21770 //
     /* 1071619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071658 */     // MIs[0] policy
     /* 1071658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071690 */     // GIR_Coverage, 21770,
     /* 1071690 */     GIR_EraseRootFromParent_Done,
     /* 1071691 */   // Label 15802: @1071691
     /* 1071691 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1071768), // Rule ID 21771 //
     /* 1071696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071735 */     // MIs[0] policy
     /* 1071735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071745 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071767 */     // GIR_Coverage, 21771,
     /* 1071767 */     GIR_EraseRootFromParent_Done,
     /* 1071768 */   // Label 15803: @1071768
     /* 1071768 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1071845), // Rule ID 21774 //
     /* 1071773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1071776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071812 */     // MIs[0] policy
     /* 1071812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1071825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071844 */     // GIR_Coverage, 21774,
     /* 1071844 */     GIR_EraseRootFromParent_Done,
     /* 1071845 */   // Label 15804: @1071845
     /* 1071845 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1071922), // Rule ID 21775 //
     /* 1071850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1071853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071889 */     // MIs[0] policy
     /* 1071889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1071902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071921 */     // GIR_Coverage, 21775,
     /* 1071921 */     GIR_EraseRootFromParent_Done,
     /* 1071922 */   // Label 15805: @1071922
     /* 1071922 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1071999), // Rule ID 21778 //
     /* 1071927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1071930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1071944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071966 */     // MIs[0] policy
     /* 1071966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1071979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071998 */     // GIR_Coverage, 21778,
     /* 1071998 */     GIR_EraseRootFromParent_Done,
     /* 1071999 */   // Label 15806: @1071999
     /* 1071999 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072076), // Rule ID 21779 //
     /* 1072004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072043 */     // MIs[0] policy
     /* 1072043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072075 */     // GIR_Coverage, 21779,
     /* 1072075 */     GIR_EraseRootFromParent_Done,
     /* 1072076 */   // Label 15807: @1072076
     /* 1072076 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072153), // Rule ID 21782 //
     /* 1072081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072120 */     // MIs[0] policy
     /* 1072120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072130 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072152 */     // GIR_Coverage, 21782,
     /* 1072152 */     GIR_EraseRootFromParent_Done,
     /* 1072153 */   // Label 15808: @1072153
     /* 1072153 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072230), // Rule ID 21783 //
     /* 1072158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072197 */     // MIs[0] policy
     /* 1072197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072207 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072229 */     // GIR_Coverage, 21783,
     /* 1072229 */     GIR_EraseRootFromParent_Done,
     /* 1072230 */   // Label 15809: @1072230
     /* 1072230 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072307), // Rule ID 21786 //
     /* 1072235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072274 */     // MIs[0] policy
     /* 1072274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072306 */     // GIR_Coverage, 21786,
     /* 1072306 */     GIR_EraseRootFromParent_Done,
     /* 1072307 */   // Label 15810: @1072307
     /* 1072307 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072384), // Rule ID 21787 //
     /* 1072312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072351 */     // MIs[0] policy
     /* 1072351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072361 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072383 */     // GIR_Coverage, 21787,
     /* 1072383 */     GIR_EraseRootFromParent_Done,
     /* 1072384 */   // Label 15811: @1072384
     /* 1072384 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072461), // Rule ID 21790 //
     /* 1072389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072428 */     // MIs[0] policy
     /* 1072428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072460 */     // GIR_Coverage, 21790,
     /* 1072460 */     GIR_EraseRootFromParent_Done,
     /* 1072461 */   // Label 15812: @1072461
     /* 1072461 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072538), // Rule ID 21791 //
     /* 1072466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072505 */     // MIs[0] policy
     /* 1072505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072515 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072537 */     // GIR_Coverage, 21791,
     /* 1072537 */     GIR_EraseRootFromParent_Done,
     /* 1072538 */   // Label 15813: @1072538
     /* 1072538 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1072615), // Rule ID 21794 //
     /* 1072543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1072560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072582 */     // MIs[0] policy
     /* 1072582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1072595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072614 */     // GIR_Coverage, 21794,
     /* 1072614 */     GIR_EraseRootFromParent_Done,
     /* 1072615 */   // Label 15814: @1072615
     /* 1072615 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1072692), // Rule ID 21795 //
     /* 1072620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1072637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072659 */     // MIs[0] policy
     /* 1072659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072669 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1072672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072691 */     // GIR_Coverage, 21795,
     /* 1072691 */     GIR_EraseRootFromParent_Done,
     /* 1072692 */   // Label 15815: @1072692
     /* 1072692 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1072769), // Rule ID 21798 //
     /* 1072697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072736 */     // MIs[0] policy
     /* 1072736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072768 */     // GIR_Coverage, 21798,
     /* 1072768 */     GIR_EraseRootFromParent_Done,
     /* 1072769 */   // Label 15816: @1072769
     /* 1072769 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1072846), // Rule ID 21799 //
     /* 1072774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1072777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072813 */     // MIs[0] policy
     /* 1072813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072823 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072845 */     // GIR_Coverage, 21799,
     /* 1072845 */     GIR_EraseRootFromParent_Done,
     /* 1072846 */   // Label 15817: @1072846
     /* 1072846 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1072923), // Rule ID 21802 //
     /* 1072851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072890 */     // MIs[0] policy
     /* 1072890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072922 */     // GIR_Coverage, 21802,
     /* 1072922 */     GIR_EraseRootFromParent_Done,
     /* 1072923 */   // Label 15818: @1072923
     /* 1072923 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073000), // Rule ID 21803 //
     /* 1072928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1072931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072967 */     // MIs[0] policy
     /* 1072967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072999 */     // GIR_Coverage, 21803,
     /* 1072999 */     GIR_EraseRootFromParent_Done,
     /* 1073000 */   // Label 15819: @1073000
     /* 1073000 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073077), // Rule ID 21806 //
     /* 1073005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073044 */     // MIs[0] policy
     /* 1073044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073076 */     // GIR_Coverage, 21806,
     /* 1073076 */     GIR_EraseRootFromParent_Done,
     /* 1073077 */   // Label 15820: @1073077
     /* 1073077 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073154), // Rule ID 21807 //
     /* 1073082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073121 */     // MIs[0] policy
     /* 1073121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073153 */     // GIR_Coverage, 21807,
     /* 1073153 */     GIR_EraseRootFromParent_Done,
     /* 1073154 */   // Label 15821: @1073154
     /* 1073154 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073231), // Rule ID 21810 //
     /* 1073159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1073176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073198 */     // MIs[0] policy
     /* 1073198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073230 */     // GIR_Coverage, 21810,
     /* 1073230 */     GIR_EraseRootFromParent_Done,
     /* 1073231 */   // Label 15822: @1073231
     /* 1073231 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073308), // Rule ID 21811 //
     /* 1073236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1073253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073275 */     // MIs[0] policy
     /* 1073275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073285 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073307 */     // GIR_Coverage, 21811,
     /* 1073307 */     GIR_EraseRootFromParent_Done,
     /* 1073308 */   // Label 15823: @1073308
     /* 1073308 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073385), // Rule ID 21814 //
     /* 1073313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073352 */     // MIs[0] policy
     /* 1073352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073384 */     // GIR_Coverage, 21814,
     /* 1073384 */     GIR_EraseRootFromParent_Done,
     /* 1073385 */   // Label 15824: @1073385
     /* 1073385 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073462), // Rule ID 21815 //
     /* 1073390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073429 */     // MIs[0] policy
     /* 1073429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073461 */     // GIR_Coverage, 21815,
     /* 1073461 */     GIR_EraseRootFromParent_Done,
     /* 1073462 */   // Label 15825: @1073462
     /* 1073462 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073539), // Rule ID 21818 //
     /* 1073467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073506 */     // MIs[0] policy
     /* 1073506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073538 */     // GIR_Coverage, 21818,
     /* 1073538 */     GIR_EraseRootFromParent_Done,
     /* 1073539 */   // Label 15826: @1073539
     /* 1073539 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1073616), // Rule ID 21819 //
     /* 1073544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073583 */     // MIs[0] policy
     /* 1073583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073615 */     // GIR_Coverage, 21819,
     /* 1073615 */     GIR_EraseRootFromParent_Done,
     /* 1073616 */   // Label 15827: @1073616
     /* 1073616 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1073693), // Rule ID 21822 //
     /* 1073621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1073638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073660 */     // MIs[0] policy
     /* 1073660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073692 */     // GIR_Coverage, 21822,
     /* 1073692 */     GIR_EraseRootFromParent_Done,
     /* 1073693 */   // Label 15828: @1073693
     /* 1073693 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1073770), // Rule ID 21823 //
     /* 1073698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1073715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073737 */     // MIs[0] policy
     /* 1073737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073769 */     // GIR_Coverage, 21823,
     /* 1073769 */     GIR_EraseRootFromParent_Done,
     /* 1073770 */   // Label 15829: @1073770
     /* 1073770 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1073847), // Rule ID 21826 //
     /* 1073775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1073792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073814 */     // MIs[0] policy
     /* 1073814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073846 */     // GIR_Coverage, 21826,
     /* 1073846 */     GIR_EraseRootFromParent_Done,
     /* 1073847 */   // Label 15830: @1073847
     /* 1073847 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1073924), // Rule ID 21827 //
     /* 1073852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1073869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073891 */     // MIs[0] policy
     /* 1073891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073923 */     // GIR_Coverage, 21827,
     /* 1073923 */     GIR_EraseRootFromParent_Done,
     /* 1073924 */   // Label 15831: @1073924
     /* 1073924 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074001), // Rule ID 21830 //
     /* 1073929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1073946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073968 */     // MIs[0] policy
     /* 1073968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074000 */     // GIR_Coverage, 21830,
     /* 1074000 */     GIR_EraseRootFromParent_Done,
     /* 1074001 */   // Label 15832: @1074001
     /* 1074001 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074078), // Rule ID 21831 //
     /* 1074006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1074009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1074023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074045 */     // MIs[0] policy
     /* 1074045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1074058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074077 */     // GIR_Coverage, 21831,
     /* 1074077 */     GIR_EraseRootFromParent_Done,
     /* 1074078 */   // Label 15833: @1074078
     /* 1074078 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074155), // Rule ID 21942 //
     /* 1074083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074122 */     // MIs[0] policy
     /* 1074122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074132 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1074135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074154 */     // GIR_Coverage, 21942,
     /* 1074154 */     GIR_EraseRootFromParent_Done,
     /* 1074155 */   // Label 15834: @1074155
     /* 1074155 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074232), // Rule ID 21943 //
     /* 1074160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074199 */     // MIs[0] policy
     /* 1074199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074209 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1074212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074231 */     // GIR_Coverage, 21943,
     /* 1074231 */     GIR_EraseRootFromParent_Done,
     /* 1074232 */   // Label 15835: @1074232
     /* 1074232 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074309), // Rule ID 21946 //
     /* 1074237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074276 */     // MIs[0] policy
     /* 1074276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074286 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074308 */     // GIR_Coverage, 21946,
     /* 1074308 */     GIR_EraseRootFromParent_Done,
     /* 1074309 */   // Label 15836: @1074309
     /* 1074309 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074386), // Rule ID 21947 //
     /* 1074314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074353 */     // MIs[0] policy
     /* 1074353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074363 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074385 */     // GIR_Coverage, 21947,
     /* 1074385 */     GIR_EraseRootFromParent_Done,
     /* 1074386 */   // Label 15837: @1074386
     /* 1074386 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074463), // Rule ID 21950 //
     /* 1074391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074430 */     // MIs[0] policy
     /* 1074430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074462 */     // GIR_Coverage, 21950,
     /* 1074462 */     GIR_EraseRootFromParent_Done,
     /* 1074463 */   // Label 15838: @1074463
     /* 1074463 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074540), // Rule ID 21951 //
     /* 1074468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074507 */     // MIs[0] policy
     /* 1074507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074517 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074539 */     // GIR_Coverage, 21951,
     /* 1074539 */     GIR_EraseRootFromParent_Done,
     /* 1074540 */   // Label 15839: @1074540
     /* 1074540 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1074617), // Rule ID 21954 //
     /* 1074545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074584 */     // MIs[0] policy
     /* 1074584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1074597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074616 */     // GIR_Coverage, 21954,
     /* 1074616 */     GIR_EraseRootFromParent_Done,
     /* 1074617 */   // Label 15840: @1074617
     /* 1074617 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1074694), // Rule ID 21955 //
     /* 1074622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074661 */     // MIs[0] policy
     /* 1074661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074671 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1074674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074693 */     // GIR_Coverage, 21955,
     /* 1074693 */     GIR_EraseRootFromParent_Done,
     /* 1074694 */   // Label 15841: @1074694
     /* 1074694 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1074771), // Rule ID 21958 //
     /* 1074699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074738 */     // MIs[0] policy
     /* 1074738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1074751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074770 */     // GIR_Coverage, 21958,
     /* 1074770 */     GIR_EraseRootFromParent_Done,
     /* 1074771 */   // Label 15842: @1074771
     /* 1074771 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1074848), // Rule ID 21959 //
     /* 1074776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074815 */     // MIs[0] policy
     /* 1074815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074825 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1074828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074847 */     // GIR_Coverage, 21959,
     /* 1074847 */     GIR_EraseRootFromParent_Done,
     /* 1074848 */   // Label 15843: @1074848
     /* 1074848 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1074925), // Rule ID 21962 //
     /* 1074853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1074856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074892 */     // MIs[0] policy
     /* 1074892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1074905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074924 */     // GIR_Coverage, 21962,
     /* 1074924 */     GIR_EraseRootFromParent_Done,
     /* 1074925 */   // Label 15844: @1074925
     /* 1074925 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075002), // Rule ID 21963 //
     /* 1074930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1074933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074969 */     // MIs[0] policy
     /* 1074969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074979 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1074982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075001 */     // GIR_Coverage, 21963,
     /* 1075001 */     GIR_EraseRootFromParent_Done,
     /* 1075002 */   // Label 15845: @1075002
     /* 1075002 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075079), // Rule ID 21966 //
     /* 1075007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075046 */     // MIs[0] policy
     /* 1075046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1075059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075078 */     // GIR_Coverage, 21966,
     /* 1075078 */     GIR_EraseRootFromParent_Done,
     /* 1075079 */   // Label 15846: @1075079
     /* 1075079 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075156), // Rule ID 21967 //
     /* 1075084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075123 */     // MIs[0] policy
     /* 1075123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1075136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075155 */     // GIR_Coverage, 21967,
     /* 1075155 */     GIR_EraseRootFromParent_Done,
     /* 1075156 */   // Label 15847: @1075156
     /* 1075156 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075233), // Rule ID 21970 //
     /* 1075161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075200 */     // MIs[0] policy
     /* 1075200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075232 */     // GIR_Coverage, 21970,
     /* 1075232 */     GIR_EraseRootFromParent_Done,
     /* 1075233 */   // Label 15848: @1075233
     /* 1075233 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075310), // Rule ID 21971 //
     /* 1075238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075277 */     // MIs[0] policy
     /* 1075277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075287 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075309 */     // GIR_Coverage, 21971,
     /* 1075309 */     GIR_EraseRootFromParent_Done,
     /* 1075310 */   // Label 15849: @1075310
     /* 1075310 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075387), // Rule ID 21974 //
     /* 1075315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075354 */     // MIs[0] policy
     /* 1075354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075386 */     // GIR_Coverage, 21974,
     /* 1075386 */     GIR_EraseRootFromParent_Done,
     /* 1075387 */   // Label 15850: @1075387
     /* 1075387 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075464), // Rule ID 21975 //
     /* 1075392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075431 */     // MIs[0] policy
     /* 1075431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075441 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075463 */     // GIR_Coverage, 21975,
     /* 1075463 */     GIR_EraseRootFromParent_Done,
     /* 1075464 */   // Label 15851: @1075464
     /* 1075464 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075541), // Rule ID 23414 //
     /* 1075469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075508 */     // MIs[0] policy
     /* 1075508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075540 */     // GIR_Coverage, 23414,
     /* 1075540 */     GIR_EraseRootFromParent_Done,
     /* 1075541 */   // Label 15852: @1075541
     /* 1075541 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1075618), // Rule ID 23415 //
     /* 1075546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075585 */     // MIs[0] policy
     /* 1075585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075617 */     // GIR_Coverage, 23415,
     /* 1075617 */     GIR_EraseRootFromParent_Done,
     /* 1075618 */   // Label 15853: @1075618
     /* 1075618 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1075695), // Rule ID 23418 //
     /* 1075623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1075640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075662 */     // MIs[0] policy
     /* 1075662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075694 */     // GIR_Coverage, 23418,
     /* 1075694 */     GIR_EraseRootFromParent_Done,
     /* 1075695 */   // Label 15854: @1075695
     /* 1075695 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1075772), // Rule ID 23419 //
     /* 1075700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1075717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075739 */     // MIs[0] policy
     /* 1075739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075771 */     // GIR_Coverage, 23419,
     /* 1075771 */     GIR_EraseRootFromParent_Done,
     /* 1075772 */   // Label 15855: @1075772
     /* 1075772 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1075849), // Rule ID 23422 //
     /* 1075777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075816 */     // MIs[0] policy
     /* 1075816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075848 */     // GIR_Coverage, 23422,
     /* 1075848 */     GIR_EraseRootFromParent_Done,
     /* 1075849 */   // Label 15856: @1075849
     /* 1075849 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1075926), // Rule ID 23423 //
     /* 1075854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075893 */     // MIs[0] policy
     /* 1075893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075903 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075925 */     // GIR_Coverage, 23423,
     /* 1075925 */     GIR_EraseRootFromParent_Done,
     /* 1075926 */   // Label 15857: @1075926
     /* 1075926 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076003), // Rule ID 23426 //
     /* 1075931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075970 */     // MIs[0] policy
     /* 1075970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076002 */     // GIR_Coverage, 23426,
     /* 1076002 */     GIR_EraseRootFromParent_Done,
     /* 1076003 */   // Label 15858: @1076003
     /* 1076003 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076080), // Rule ID 23427 //
     /* 1076008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076047 */     // MIs[0] policy
     /* 1076047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076057 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076079 */     // GIR_Coverage, 23427,
     /* 1076079 */     GIR_EraseRootFromParent_Done,
     /* 1076080 */   // Label 15859: @1076080
     /* 1076080 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076157), // Rule ID 23430 //
     /* 1076085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076124 */     // MIs[0] policy
     /* 1076124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076156 */     // GIR_Coverage, 23430,
     /* 1076156 */     GIR_EraseRootFromParent_Done,
     /* 1076157 */   // Label 15860: @1076157
     /* 1076157 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076234), // Rule ID 23431 //
     /* 1076162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076201 */     // MIs[0] policy
     /* 1076201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076233 */     // GIR_Coverage, 23431,
     /* 1076233 */     GIR_EraseRootFromParent_Done,
     /* 1076234 */   // Label 15861: @1076234
     /* 1076234 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076311), // Rule ID 23434 //
     /* 1076239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076278 */     // MIs[0] policy
     /* 1076278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076310 */     // GIR_Coverage, 23434,
     /* 1076310 */     GIR_EraseRootFromParent_Done,
     /* 1076311 */   // Label 15862: @1076311
     /* 1076311 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076388), // Rule ID 23435 //
     /* 1076316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076355 */     // MIs[0] policy
     /* 1076355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11276:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076387 */     // GIR_Coverage, 23435,
     /* 1076387 */     GIR_EraseRootFromParent_Done,
     /* 1076388 */   // Label 15863: @1076388
     /* 1076388 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076465), // Rule ID 23438 //
     /* 1076393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076432 */     // MIs[0] policy
     /* 1076432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076464 */     // GIR_Coverage, 23438,
     /* 1076464 */     GIR_EraseRootFromParent_Done,
     /* 1076465 */   // Label 15864: @1076465
     /* 1076465 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076542), // Rule ID 23439 //
     /* 1076470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076509 */     // MIs[0] policy
     /* 1076509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076541 */     // GIR_Coverage, 23439,
     /* 1076541 */     GIR_EraseRootFromParent_Done,
     /* 1076542 */   // Label 15865: @1076542
     /* 1076542 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1076619), // Rule ID 23442 //
     /* 1076547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076586 */     // MIs[0] policy
     /* 1076586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076618 */     // GIR_Coverage, 23442,
     /* 1076618 */     GIR_EraseRootFromParent_Done,
     /* 1076619 */   // Label 15866: @1076619
     /* 1076619 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1076696), // Rule ID 23443 //
     /* 1076624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076663 */     // MIs[0] policy
     /* 1076663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076695 */     // GIR_Coverage, 23443,
     /* 1076695 */     GIR_EraseRootFromParent_Done,
     /* 1076696 */   // Label 15867: @1076696
     /* 1076696 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1076773), // Rule ID 23446 //
     /* 1076701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076740 */     // MIs[0] policy
     /* 1076740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076772 */     // GIR_Coverage, 23446,
     /* 1076772 */     GIR_EraseRootFromParent_Done,
     /* 1076773 */   // Label 15868: @1076773
     /* 1076773 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1076850), // Rule ID 23447 //
     /* 1076778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076817 */     // MIs[0] policy
     /* 1076817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076849 */     // GIR_Coverage, 23447,
     /* 1076849 */     GIR_EraseRootFromParent_Done,
     /* 1076850 */   // Label 15869: @1076850
     /* 1076850 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1076927), // Rule ID 23450 //
     /* 1076855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1076872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1076875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1076882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076894 */     // MIs[0] policy
     /* 1076894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1076907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076926 */     // GIR_Coverage, 23450,
     /* 1076926 */     GIR_EraseRootFromParent_Done,
     /* 1076927 */   // Label 15870: @1076927
     /* 1076927 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077004), // Rule ID 23451 //
     /* 1076932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1076949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1076952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1076959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076971 */     // MIs[0] policy
     /* 1076971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1076984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077003 */     // GIR_Coverage, 23451,
     /* 1077003 */     GIR_EraseRootFromParent_Done,
     /* 1077004 */   // Label 15871: @1077004
     /* 1077004 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077081), // Rule ID 23454 //
     /* 1077009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077048 */     // MIs[0] policy
     /* 1077048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077080 */     // GIR_Coverage, 23454,
     /* 1077080 */     GIR_EraseRootFromParent_Done,
     /* 1077081 */   // Label 15872: @1077081
     /* 1077081 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077158), // Rule ID 23455 //
     /* 1077086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077125 */     // MIs[0] policy
     /* 1077125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077157 */     // GIR_Coverage, 23455,
     /* 1077157 */     GIR_EraseRootFromParent_Done,
     /* 1077158 */   // Label 15873: @1077158
     /* 1077158 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077235), // Rule ID 23458 //
     /* 1077163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1077180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1077183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077202 */     // MIs[0] policy
     /* 1077202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077234 */     // GIR_Coverage, 23458,
     /* 1077234 */     GIR_EraseRootFromParent_Done,
     /* 1077235 */   // Label 15874: @1077235
     /* 1077235 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077312), // Rule ID 23459 //
     /* 1077240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1077257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1077260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077279 */     // MIs[0] policy
     /* 1077279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077289 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077311 */     // GIR_Coverage, 23459,
     /* 1077311 */     GIR_EraseRootFromParent_Done,
     /* 1077312 */   // Label 15875: @1077312
     /* 1077312 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077389), // Rule ID 23462 //
     /* 1077317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077356 */     // MIs[0] policy
     /* 1077356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077388 */     // GIR_Coverage, 23462,
     /* 1077388 */     GIR_EraseRootFromParent_Done,
     /* 1077389 */   // Label 15876: @1077389
     /* 1077389 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077466), // Rule ID 23463 //
     /* 1077394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077433 */     // MIs[0] policy
     /* 1077433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077465 */     // GIR_Coverage, 23463,
     /* 1077465 */     GIR_EraseRootFromParent_Done,
     /* 1077466 */   // Label 15877: @1077466
     /* 1077466 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077543), // Rule ID 23466 //
     /* 1077471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077510 */     // MIs[0] policy
     /* 1077510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077542 */     // GIR_Coverage, 23466,
     /* 1077542 */     GIR_EraseRootFromParent_Done,
     /* 1077543 */   // Label 15878: @1077543
     /* 1077543 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1077620), // Rule ID 23467 //
     /* 1077548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077587 */     // MIs[0] policy
     /* 1077587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077619 */     // GIR_Coverage, 23467,
     /* 1077619 */     GIR_EraseRootFromParent_Done,
     /* 1077620 */   // Label 15879: @1077620
     /* 1077620 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1077697), // Rule ID 23470 //
     /* 1077625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077664 */     // MIs[0] policy
     /* 1077664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077696 */     // GIR_Coverage, 23470,
     /* 1077696 */     GIR_EraseRootFromParent_Done,
     /* 1077697 */   // Label 15880: @1077697
     /* 1077697 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1077774), // Rule ID 23471 //
     /* 1077702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077741 */     // MIs[0] policy
     /* 1077741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077773 */     // GIR_Coverage, 23471,
     /* 1077773 */     GIR_EraseRootFromParent_Done,
     /* 1077774 */   // Label 15881: @1077774
     /* 1077774 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1077851), // Rule ID 23474 //
     /* 1077779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1077796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1077799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077818 */     // MIs[0] policy
     /* 1077818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077850 */     // GIR_Coverage, 23474,
     /* 1077850 */     GIR_EraseRootFromParent_Done,
     /* 1077851 */   // Label 15882: @1077851
     /* 1077851 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1077928), // Rule ID 23475 //
     /* 1077856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1077873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1077876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077895 */     // MIs[0] policy
     /* 1077895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077927 */     // GIR_Coverage, 23475,
     /* 1077927 */     GIR_EraseRootFromParent_Done,
     /* 1077928 */   // Label 15883: @1077928
     /* 1077928 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078005), // Rule ID 23478 //
     /* 1077933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077972 */     // MIs[0] policy
     /* 1077972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078004 */     // GIR_Coverage, 23478,
     /* 1078004 */     GIR_EraseRootFromParent_Done,
     /* 1078005 */   // Label 15884: @1078005
     /* 1078005 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078082), // Rule ID 23479 //
     /* 1078010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078049 */     // MIs[0] policy
     /* 1078049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078081 */     // GIR_Coverage, 23479,
     /* 1078081 */     GIR_EraseRootFromParent_Done,
     /* 1078082 */   // Label 15885: @1078082
     /* 1078082 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078159), // Rule ID 23482 //
     /* 1078087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1078104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1078107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078126 */     // MIs[0] policy
     /* 1078126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078158 */     // GIR_Coverage, 23482,
     /* 1078158 */     GIR_EraseRootFromParent_Done,
     /* 1078159 */   // Label 15886: @1078159
     /* 1078159 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078236), // Rule ID 23483 //
     /* 1078164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1078181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1078184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078203 */     // MIs[0] policy
     /* 1078203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078235 */     // GIR_Coverage, 23483,
     /* 1078235 */     GIR_EraseRootFromParent_Done,
     /* 1078236 */   // Label 15887: @1078236
     /* 1078236 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078313), // Rule ID 23486 //
     /* 1078241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078280 */     // MIs[0] policy
     /* 1078280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078312 */     // GIR_Coverage, 23486,
     /* 1078312 */     GIR_EraseRootFromParent_Done,
     /* 1078313 */   // Label 15888: @1078313
     /* 1078313 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078390), // Rule ID 23487 //
     /* 1078318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078357 */     // MIs[0] policy
     /* 1078357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078389 */     // GIR_Coverage, 23487,
     /* 1078389 */     GIR_EraseRootFromParent_Done,
     /* 1078390 */   // Label 15889: @1078390
     /* 1078390 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078467), // Rule ID 23490 //
     /* 1078395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078434 */     // MIs[0] policy
     /* 1078434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078466 */     // GIR_Coverage, 23490,
     /* 1078466 */     GIR_EraseRootFromParent_Done,
     /* 1078467 */   // Label 15890: @1078467
     /* 1078467 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078544), // Rule ID 23491 //
     /* 1078472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078511 */     // MIs[0] policy
     /* 1078511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078521 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078543 */     // GIR_Coverage, 23491,
     /* 1078543 */     GIR_EraseRootFromParent_Done,
     /* 1078544 */   // Label 15891: @1078544
     /* 1078544 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1078621), // Rule ID 23494 //
     /* 1078549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078588 */     // MIs[0] policy
     /* 1078588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078620 */     // GIR_Coverage, 23494,
     /* 1078620 */     GIR_EraseRootFromParent_Done,
     /* 1078621 */   // Label 15892: @1078621
     /* 1078621 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1078698), // Rule ID 23495 //
     /* 1078626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078665 */     // MIs[0] policy
     /* 1078665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078697 */     // GIR_Coverage, 23495,
     /* 1078697 */     GIR_EraseRootFromParent_Done,
     /* 1078698 */   // Label 15893: @1078698
     /* 1078698 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1078775), // Rule ID 23600 //
     /* 1078703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078742 */     // MIs[0] policy
     /* 1078742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078752 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1078755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078774 */     // GIR_Coverage, 23600,
     /* 1078774 */     GIR_EraseRootFromParent_Done,
     /* 1078775 */   // Label 15894: @1078775
     /* 1078775 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1078852), // Rule ID 23601 //
     /* 1078780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078819 */     // MIs[0] policy
     /* 1078819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078829 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1078832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078851 */     // GIR_Coverage, 23601,
     /* 1078851 */     GIR_EraseRootFromParent_Done,
     /* 1078852 */   // Label 15895: @1078852
     /* 1078852 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1078929), // Rule ID 23604 //
     /* 1078857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078896 */     // MIs[0] policy
     /* 1078896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1078909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078928 */     // GIR_Coverage, 23604,
     /* 1078928 */     GIR_EraseRootFromParent_Done,
     /* 1078929 */   // Label 15896: @1078929
     /* 1078929 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079006), // Rule ID 23605 //
     /* 1078934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078973 */     // MIs[0] policy
     /* 1078973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078983 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1078986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079005 */     // GIR_Coverage, 23605,
     /* 1079005 */     GIR_EraseRootFromParent_Done,
     /* 1079006 */   // Label 15897: @1079006
     /* 1079006 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079083), // Rule ID 23608 //
     /* 1079011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079050 */     // MIs[0] policy
     /* 1079050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079060 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079082 */     // GIR_Coverage, 23608,
     /* 1079082 */     GIR_EraseRootFromParent_Done,
     /* 1079083 */   // Label 15898: @1079083
     /* 1079083 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079160), // Rule ID 23609 //
     /* 1079088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079127 */     // MIs[0] policy
     /* 1079127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079159 */     // GIR_Coverage, 23609,
     /* 1079159 */     GIR_EraseRootFromParent_Done,
     /* 1079160 */   // Label 15899: @1079160
     /* 1079160 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079237), // Rule ID 23612 //
     /* 1079165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079204 */     // MIs[0] policy
     /* 1079204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079236 */     // GIR_Coverage, 23612,
     /* 1079236 */     GIR_EraseRootFromParent_Done,
     /* 1079237 */   // Label 15900: @1079237
     /* 1079237 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079314), // Rule ID 23613 //
     /* 1079242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079281 */     // MIs[0] policy
     /* 1079281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079313 */     // GIR_Coverage, 23613,
     /* 1079313 */     GIR_EraseRootFromParent_Done,
     /* 1079314 */   // Label 15901: @1079314
     /* 1079314 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079391), // Rule ID 23616 //
     /* 1079319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079358 */     // MIs[0] policy
     /* 1079358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079390 */     // GIR_Coverage, 23616,
     /* 1079390 */     GIR_EraseRootFromParent_Done,
     /* 1079391 */   // Label 15902: @1079391
     /* 1079391 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079468), // Rule ID 23617 //
     /* 1079396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079435 */     // MIs[0] policy
     /* 1079435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079445 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079467 */     // GIR_Coverage, 23617,
     /* 1079467 */     GIR_EraseRootFromParent_Done,
     /* 1079468 */   // Label 15903: @1079468
     /* 1079468 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079545), // Rule ID 23620 //
     /* 1079473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079512 */     // MIs[0] policy
     /* 1079512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079544 */     // GIR_Coverage, 23620,
     /* 1079544 */     GIR_EraseRootFromParent_Done,
     /* 1079545 */   // Label 15904: @1079545
     /* 1079545 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1079622), // Rule ID 23621 //
     /* 1079550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079589 */     // MIs[0] policy
     /* 1079589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079621 */     // GIR_Coverage, 23621,
     /* 1079621 */     GIR_EraseRootFromParent_Done,
     /* 1079622 */   // Label 15905: @1079622
     /* 1079622 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1079699), // Rule ID 23624 //
     /* 1079627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079666 */     // MIs[0] policy
     /* 1079666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079698 */     // GIR_Coverage, 23624,
     /* 1079698 */     GIR_EraseRootFromParent_Done,
     /* 1079699 */   // Label 15906: @1079699
     /* 1079699 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1079776), // Rule ID 23625 //
     /* 1079704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079743 */     // MIs[0] policy
     /* 1079743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079775 */     // GIR_Coverage, 23625,
     /* 1079775 */     GIR_EraseRootFromParent_Done,
     /* 1079776 */   // Label 15907: @1079776
     /* 1079776 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1079853), // Rule ID 23628 //
     /* 1079781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079820 */     // MIs[0] policy
     /* 1079820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079852 */     // GIR_Coverage, 23628,
     /* 1079852 */     GIR_EraseRootFromParent_Done,
     /* 1079853 */   // Label 15908: @1079853
     /* 1079853 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1079930), // Rule ID 23629 //
     /* 1079858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079897 */     // MIs[0] policy
     /* 1079897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079929 */     // GIR_Coverage, 23629,
     /* 1079929 */     GIR_EraseRootFromParent_Done,
     /* 1079930 */   // Label 15909: @1079930
     /* 1079930 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080007), // Rule ID 23632 //
     /* 1079935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079974 */     // MIs[0] policy
     /* 1079974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080006 */     // GIR_Coverage, 23632,
     /* 1080006 */     GIR_EraseRootFromParent_Done,
     /* 1080007 */   // Label 15910: @1080007
     /* 1080007 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080084), // Rule ID 23633 //
     /* 1080012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080051 */     // MIs[0] policy
     /* 1080051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080061 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080083 */     // GIR_Coverage, 23633,
     /* 1080083 */     GIR_EraseRootFromParent_Done,
     /* 1080084 */   // Label 15911: @1080084
     /* 1080084 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080161), // Rule ID 23636 //
     /* 1080089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080128 */     // MIs[0] policy
     /* 1080128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080160 */     // GIR_Coverage, 23636,
     /* 1080160 */     GIR_EraseRootFromParent_Done,
     /* 1080161 */   // Label 15912: @1080161
     /* 1080161 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080238), // Rule ID 23637 //
     /* 1080166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080205 */     // MIs[0] policy
     /* 1080205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080237 */     // GIR_Coverage, 23637,
     /* 1080237 */     GIR_EraseRootFromParent_Done,
     /* 1080238 */   // Label 15913: @1080238
     /* 1080238 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080315), // Rule ID 23640 //
     /* 1080243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080282 */     // MIs[0] policy
     /* 1080282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080314 */     // GIR_Coverage, 23640,
     /* 1080314 */     GIR_EraseRootFromParent_Done,
     /* 1080315 */   // Label 15914: @1080315
     /* 1080315 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080392), // Rule ID 23641 //
     /* 1080320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080359 */     // MIs[0] policy
     /* 1080359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080369 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080391 */     // GIR_Coverage, 23641,
     /* 1080391 */     GIR_EraseRootFromParent_Done,
     /* 1080392 */   // Label 15915: @1080392
     /* 1080392 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080469), // Rule ID 23644 //
     /* 1080397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080436 */     // MIs[0] policy
     /* 1080436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080468 */     // GIR_Coverage, 23644,
     /* 1080468 */     GIR_EraseRootFromParent_Done,
     /* 1080469 */   // Label 15916: @1080469
     /* 1080469 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080546), // Rule ID 23645 //
     /* 1080474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080513 */     // MIs[0] policy
     /* 1080513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080523 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080545 */     // GIR_Coverage, 23645,
     /* 1080545 */     GIR_EraseRootFromParent_Done,
     /* 1080546 */   // Label 15917: @1080546
     /* 1080546 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1080623), // Rule ID 23648 //
     /* 1080551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080590 */     // MIs[0] policy
     /* 1080590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080622 */     // GIR_Coverage, 23648,
     /* 1080622 */     GIR_EraseRootFromParent_Done,
     /* 1080623 */   // Label 15918: @1080623
     /* 1080623 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1080700), // Rule ID 23649 //
     /* 1080628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080667 */     // MIs[0] policy
     /* 1080667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080677 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080699 */     // GIR_Coverage, 23649,
     /* 1080699 */     GIR_EraseRootFromParent_Done,
     /* 1080700 */   // Label 15919: @1080700
     /* 1080700 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1080777), // Rule ID 23652 //
     /* 1080705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080744 */     // MIs[0] policy
     /* 1080744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080776 */     // GIR_Coverage, 23652,
     /* 1080776 */     GIR_EraseRootFromParent_Done,
     /* 1080777 */   // Label 15920: @1080777
     /* 1080777 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1080854), // Rule ID 23653 //
     /* 1080782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080821 */     // MIs[0] policy
     /* 1080821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080853 */     // GIR_Coverage, 23653,
     /* 1080853 */     GIR_EraseRootFromParent_Done,
     /* 1080854 */   // Label 15921: @1080854
     /* 1080854 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1080931), // Rule ID 23656 //
     /* 1080859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080898 */     // MIs[0] policy
     /* 1080898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080930 */     // GIR_Coverage, 23656,
     /* 1080930 */     GIR_EraseRootFromParent_Done,
     /* 1080931 */   // Label 15922: @1080931
     /* 1080931 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081008), // Rule ID 23657 //
     /* 1080936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080975 */     // MIs[0] policy
     /* 1080975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080985 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081007 */     // GIR_Coverage, 23657,
     /* 1081007 */     GIR_EraseRootFromParent_Done,
     /* 1081008 */   // Label 15923: @1081008
     /* 1081008 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081085), // Rule ID 23660 //
     /* 1081013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081052 */     // MIs[0] policy
     /* 1081052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081084 */     // GIR_Coverage, 23660,
     /* 1081084 */     GIR_EraseRootFromParent_Done,
     /* 1081085 */   // Label 15924: @1081085
     /* 1081085 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081162), // Rule ID 23661 //
     /* 1081090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081129 */     // MIs[0] policy
     /* 1081129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081161 */     // GIR_Coverage, 23661,
     /* 1081161 */     GIR_EraseRootFromParent_Done,
     /* 1081162 */   // Label 15925: @1081162
     /* 1081162 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081239), // Rule ID 23664 //
     /* 1081167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1081184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081206 */     // MIs[0] policy
     /* 1081206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081238 */     // GIR_Coverage, 23664,
     /* 1081238 */     GIR_EraseRootFromParent_Done,
     /* 1081239 */   // Label 15926: @1081239
     /* 1081239 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081316), // Rule ID 23665 //
     /* 1081244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1081261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081283 */     // MIs[0] policy
     /* 1081283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081315 */     // GIR_Coverage, 23665,
     /* 1081315 */     GIR_EraseRootFromParent_Done,
     /* 1081316 */   // Label 15927: @1081316
     /* 1081316 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081393), // Rule ID 23668 //
     /* 1081321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081360 */     // MIs[0] policy
     /* 1081360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081392 */     // GIR_Coverage, 23668,
     /* 1081392 */     GIR_EraseRootFromParent_Done,
     /* 1081393 */   // Label 15928: @1081393
     /* 1081393 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081470), // Rule ID 23669 //
     /* 1081398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081437 */     // MIs[0] policy
     /* 1081437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081469 */     // GIR_Coverage, 23669,
     /* 1081469 */     GIR_EraseRootFromParent_Done,
     /* 1081470 */   // Label 15929: @1081470
     /* 1081470 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081547), // Rule ID 23672 //
     /* 1081475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081514 */     // MIs[0] policy
     /* 1081514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081546 */     // GIR_Coverage, 23672,
     /* 1081546 */     GIR_EraseRootFromParent_Done,
     /* 1081547 */   // Label 15930: @1081547
     /* 1081547 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1081624), // Rule ID 23673 //
     /* 1081552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081591 */     // MIs[0] policy
     /* 1081591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081623 */     // GIR_Coverage, 23673,
     /* 1081623 */     GIR_EraseRootFromParent_Done,
     /* 1081624 */   // Label 15931: @1081624
     /* 1081624 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1081701), // Rule ID 23676 //
     /* 1081629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081668 */     // MIs[0] policy
     /* 1081668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081700 */     // GIR_Coverage, 23676,
     /* 1081700 */     GIR_EraseRootFromParent_Done,
     /* 1081701 */   // Label 15932: @1081701
     /* 1081701 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1081778), // Rule ID 23677 //
     /* 1081706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081745 */     // MIs[0] policy
     /* 1081745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081777 */     // GIR_Coverage, 23677,
     /* 1081777 */     GIR_EraseRootFromParent_Done,
     /* 1081778 */   // Label 15933: @1081778
     /* 1081778 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1081855), // Rule ID 23680 //
     /* 1081783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081822 */     // MIs[0] policy
     /* 1081822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081854 */     // GIR_Coverage, 23680,
     /* 1081854 */     GIR_EraseRootFromParent_Done,
     /* 1081855 */   // Label 15934: @1081855
     /* 1081855 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1081932), // Rule ID 23681 //
     /* 1081860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081899 */     // MIs[0] policy
     /* 1081899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081931 */     // GIR_Coverage, 23681,
     /* 1081931 */     GIR_EraseRootFromParent_Done,
     /* 1081932 */   // Label 15935: @1081932
     /* 1081932 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082009), // Rule ID 23684 //
     /* 1081937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081976 */     // MIs[0] policy
     /* 1081976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082008 */     // GIR_Coverage, 23684,
     /* 1082008 */     GIR_EraseRootFromParent_Done,
     /* 1082009 */   // Label 15936: @1082009
     /* 1082009 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082086), // Rule ID 23685 //
     /* 1082014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082053 */     // MIs[0] policy
     /* 1082053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082085 */     // GIR_Coverage, 23685,
     /* 1082085 */     GIR_EraseRootFromParent_Done,
     /* 1082086 */   // Label 15937: @1082086
     /* 1082086 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082163), // Rule ID 23776 //
     /* 1082091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082130 */     // MIs[0] policy
     /* 1082130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1082143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082162 */     // GIR_Coverage, 23776,
     /* 1082162 */     GIR_EraseRootFromParent_Done,
     /* 1082163 */   // Label 15938: @1082163
     /* 1082163 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082240), // Rule ID 23777 //
     /* 1082168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082207 */     // MIs[0] policy
     /* 1082207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1082220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082239 */     // GIR_Coverage, 23777,
     /* 1082239 */     GIR_EraseRootFromParent_Done,
     /* 1082240 */   // Label 15939: @1082240
     /* 1082240 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082317), // Rule ID 23780 //
     /* 1082245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082284 */     // MIs[0] policy
     /* 1082284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082316 */     // GIR_Coverage, 23780,
     /* 1082316 */     GIR_EraseRootFromParent_Done,
     /* 1082317 */   // Label 15940: @1082317
     /* 1082317 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082394), // Rule ID 23781 //
     /* 1082322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082361 */     // MIs[0] policy
     /* 1082361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082393 */     // GIR_Coverage, 23781,
     /* 1082393 */     GIR_EraseRootFromParent_Done,
     /* 1082394 */   // Label 15941: @1082394
     /* 1082394 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082471), // Rule ID 23784 //
     /* 1082399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082438 */     // MIs[0] policy
     /* 1082438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082470 */     // GIR_Coverage, 23784,
     /* 1082470 */     GIR_EraseRootFromParent_Done,
     /* 1082471 */   // Label 15942: @1082471
     /* 1082471 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082548), // Rule ID 23785 //
     /* 1082476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082515 */     // MIs[0] policy
     /* 1082515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082525 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082547 */     // GIR_Coverage, 23785,
     /* 1082547 */     GIR_EraseRootFromParent_Done,
     /* 1082548 */   // Label 15943: @1082548
     /* 1082548 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1082625), // Rule ID 23788 //
     /* 1082553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1082570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082592 */     // MIs[0] policy
     /* 1082592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082624 */     // GIR_Coverage, 23788,
     /* 1082624 */     GIR_EraseRootFromParent_Done,
     /* 1082625 */   // Label 15944: @1082625
     /* 1082625 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1082702), // Rule ID 23789 //
     /* 1082630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1082647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082669 */     // MIs[0] policy
     /* 1082669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082701 */     // GIR_Coverage, 23789,
     /* 1082701 */     GIR_EraseRootFromParent_Done,
     /* 1082702 */   // Label 15945: @1082702
     /* 1082702 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1082779), // Rule ID 23792 //
     /* 1082707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082746 */     // MIs[0] policy
     /* 1082746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082778 */     // GIR_Coverage, 23792,
     /* 1082778 */     GIR_EraseRootFromParent_Done,
     /* 1082779 */   // Label 15946: @1082779
     /* 1082779 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1082856), // Rule ID 23793 //
     /* 1082784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082823 */     // MIs[0] policy
     /* 1082823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082855 */     // GIR_Coverage, 23793,
     /* 1082855 */     GIR_EraseRootFromParent_Done,
     /* 1082856 */   // Label 15947: @1082856
     /* 1082856 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1082933), // Rule ID 23796 //
     /* 1082861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082900 */     // MIs[0] policy
     /* 1082900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082932 */     // GIR_Coverage, 23796,
     /* 1082932 */     GIR_EraseRootFromParent_Done,
     /* 1082933 */   // Label 15948: @1082933
     /* 1082933 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083010), // Rule ID 23797 //
     /* 1082938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082977 */     // MIs[0] policy
     /* 1082977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083009 */     // GIR_Coverage, 23797,
     /* 1083009 */     GIR_EraseRootFromParent_Done,
     /* 1083010 */   // Label 15949: @1083010
     /* 1083010 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083087), // Rule ID 23800 //
     /* 1083015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083054 */     // MIs[0] policy
     /* 1083054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083086 */     // GIR_Coverage, 23800,
     /* 1083086 */     GIR_EraseRootFromParent_Done,
     /* 1083087 */   // Label 15950: @1083087
     /* 1083087 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083164), // Rule ID 23801 //
     /* 1083092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083131 */     // MIs[0] policy
     /* 1083131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083163 */     // GIR_Coverage, 23801,
     /* 1083163 */     GIR_EraseRootFromParent_Done,
     /* 1083164 */   // Label 15951: @1083164
     /* 1083164 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083241), // Rule ID 23804 //
     /* 1083169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083208 */     // MIs[0] policy
     /* 1083208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083240 */     // GIR_Coverage, 23804,
     /* 1083240 */     GIR_EraseRootFromParent_Done,
     /* 1083241 */   // Label 15952: @1083241
     /* 1083241 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083318), // Rule ID 23805 //
     /* 1083246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083285 */     // MIs[0] policy
     /* 1083285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083295 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083317 */     // GIR_Coverage, 23805,
     /* 1083317 */     GIR_EraseRootFromParent_Done,
     /* 1083318 */   // Label 15953: @1083318
     /* 1083318 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083395), // Rule ID 23808 //
     /* 1083323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083362 */     // MIs[0] policy
     /* 1083362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083394 */     // GIR_Coverage, 23808,
     /* 1083394 */     GIR_EraseRootFromParent_Done,
     /* 1083395 */   // Label 15954: @1083395
     /* 1083395 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083472), // Rule ID 23809 //
     /* 1083400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083439 */     // MIs[0] policy
     /* 1083439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083471 */     // GIR_Coverage, 23809,
     /* 1083471 */     GIR_EraseRootFromParent_Done,
     /* 1083472 */   // Label 15955: @1083472
     /* 1083472 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083549), // Rule ID 23812 //
     /* 1083477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083516 */     // MIs[0] policy
     /* 1083516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083548 */     // GIR_Coverage, 23812,
     /* 1083548 */     GIR_EraseRootFromParent_Done,
     /* 1083549 */   // Label 15956: @1083549
     /* 1083549 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1083626), // Rule ID 23813 //
     /* 1083554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1083557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083593 */     // MIs[0] policy
     /* 1083593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083625 */     // GIR_Coverage, 23813,
     /* 1083625 */     GIR_EraseRootFromParent_Done,
     /* 1083626 */   // Label 15957: @1083626
     /* 1083626 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1083703), // Rule ID 23816 //
     /* 1083631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1083642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1083645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1083648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083670 */     // MIs[0] policy
     /* 1083670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083702 */     // GIR_Coverage, 23816,
     /* 1083702 */     GIR_EraseRootFromParent_Done,
     /* 1083703 */   // Label 15958: @1083703
     /* 1083703 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1083780), // Rule ID 23817 //
     /* 1083708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1083719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1083722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1083725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083747 */     // MIs[0] policy
     /* 1083747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083779 */     // GIR_Coverage, 23817,
     /* 1083779 */     GIR_EraseRootFromParent_Done,
     /* 1083780 */   // Label 15959: @1083780
     /* 1083780 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1083857), // Rule ID 23820 //
     /* 1083785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1083796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1083799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1083802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083824 */     // MIs[0] policy
     /* 1083824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083856 */     // GIR_Coverage, 23820,
     /* 1083856 */     GIR_EraseRootFromParent_Done,
     /* 1083857 */   // Label 15960: @1083857
     /* 1083857 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1083934), // Rule ID 23821 //
     /* 1083862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1083873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1083876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1083879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083901 */     // MIs[0] policy
     /* 1083901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083933 */     // GIR_Coverage, 23821,
     /* 1083933 */     GIR_EraseRootFromParent_Done,
     /* 1083934 */   // Label 15961: @1083934
     /* 1083934 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084011), // Rule ID 23824 //
     /* 1083939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1083950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1083953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1083956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083978 */     // MIs[0] policy
     /* 1083978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083988 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084010 */     // GIR_Coverage, 23824,
     /* 1084010 */     GIR_EraseRootFromParent_Done,
     /* 1084011 */   // Label 15962: @1084011
     /* 1084011 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084088), // Rule ID 23825 //
     /* 1084016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084055 */     // MIs[0] policy
     /* 1084055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084087 */     // GIR_Coverage, 23825,
     /* 1084087 */     GIR_EraseRootFromParent_Done,
     /* 1084088 */   // Label 15963: @1084088
     /* 1084088 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084165), // Rule ID 23828 //
     /* 1084093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084132 */     // MIs[0] policy
     /* 1084132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084164 */     // GIR_Coverage, 23828,
     /* 1084164 */     GIR_EraseRootFromParent_Done,
     /* 1084165 */   // Label 15964: @1084165
     /* 1084165 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084242), // Rule ID 23829 //
     /* 1084170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084209 */     // MIs[0] policy
     /* 1084209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084241 */     // GIR_Coverage, 23829,
     /* 1084241 */     GIR_EraseRootFromParent_Done,
     /* 1084242 */   // Label 15965: @1084242
     /* 1084242 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084319), // Rule ID 23832 //
     /* 1084247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084286 */     // MIs[0] policy
     /* 1084286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084318 */     // GIR_Coverage, 23832,
     /* 1084318 */     GIR_EraseRootFromParent_Done,
     /* 1084319 */   // Label 15966: @1084319
     /* 1084319 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084396), // Rule ID 23833 //
     /* 1084324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084363 */     // MIs[0] policy
     /* 1084363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084395 */     // GIR_Coverage, 23833,
     /* 1084395 */     GIR_EraseRootFromParent_Done,
     /* 1084396 */   // Label 15967: @1084396
     /* 1084396 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084473), // Rule ID 23836 //
     /* 1084401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084440 */     // MIs[0] policy
     /* 1084440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084472 */     // GIR_Coverage, 23836,
     /* 1084472 */     GIR_EraseRootFromParent_Done,
     /* 1084473 */   // Label 15968: @1084473
     /* 1084473 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084550), // Rule ID 23837 //
     /* 1084478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084517 */     // MIs[0] policy
     /* 1084517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084549 */     // GIR_Coverage, 23837,
     /* 1084549 */     GIR_EraseRootFromParent_Done,
     /* 1084550 */   // Label 15969: @1084550
     /* 1084550 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1084627), // Rule ID 23840 //
     /* 1084555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084594 */     // MIs[0] policy
     /* 1084594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084626 */     // GIR_Coverage, 23840,
     /* 1084626 */     GIR_EraseRootFromParent_Done,
     /* 1084627 */   // Label 15970: @1084627
     /* 1084627 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1084704), // Rule ID 23841 //
     /* 1084632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084671 */     // MIs[0] policy
     /* 1084671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084703 */     // GIR_Coverage, 23841,
     /* 1084703 */     GIR_EraseRootFromParent_Done,
     /* 1084704 */   // Label 15971: @1084704
     /* 1084704 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1084781), // Rule ID 23844 //
     /* 1084709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084748 */     // MIs[0] policy
     /* 1084748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084780 */     // GIR_Coverage, 23844,
     /* 1084780 */     GIR_EraseRootFromParent_Done,
     /* 1084781 */   // Label 15972: @1084781
     /* 1084781 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1084858), // Rule ID 23845 //
     /* 1084786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084825 */     // MIs[0] policy
     /* 1084825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084857 */     // GIR_Coverage, 23845,
     /* 1084857 */     GIR_EraseRootFromParent_Done,
     /* 1084858 */   // Label 15973: @1084858
     /* 1084858 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1084935), // Rule ID 23848 //
     /* 1084863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084902 */     // MIs[0] policy
     /* 1084902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084934 */     // GIR_Coverage, 23848,
     /* 1084934 */     GIR_EraseRootFromParent_Done,
     /* 1084935 */   // Label 15974: @1084935
     /* 1084935 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085012), // Rule ID 23849 //
     /* 1084940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084979 */     // MIs[0] policy
     /* 1084979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085011 */     // GIR_Coverage, 23849,
     /* 1085011 */     GIR_EraseRootFromParent_Done,
     /* 1085012 */   // Label 15975: @1085012
     /* 1085012 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085089), // Rule ID 23852 //
     /* 1085017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085056 */     // MIs[0] policy
     /* 1085056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085088 */     // GIR_Coverage, 23852,
     /* 1085088 */     GIR_EraseRootFromParent_Done,
     /* 1085089 */   // Label 15976: @1085089
     /* 1085089 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085166), // Rule ID 23853 //
     /* 1085094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085133 */     // MIs[0] policy
     /* 1085133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085165 */     // GIR_Coverage, 23853,
     /* 1085165 */     GIR_EraseRootFromParent_Done,
     /* 1085166 */   // Label 15977: @1085166
     /* 1085166 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085243), // Rule ID 23856 //
     /* 1085171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085210 */     // MIs[0] policy
     /* 1085210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085242 */     // GIR_Coverage, 23856,
     /* 1085242 */     GIR_EraseRootFromParent_Done,
     /* 1085243 */   // Label 15978: @1085243
     /* 1085243 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085320), // Rule ID 23857 //
     /* 1085248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085287 */     // MIs[0] policy
     /* 1085287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085319 */     // GIR_Coverage, 23857,
     /* 1085319 */     GIR_EraseRootFromParent_Done,
     /* 1085320 */   // Label 15979: @1085320
     /* 1085320 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085397), // Rule ID 23860 //
     /* 1085325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085364 */     // MIs[0] policy
     /* 1085364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085396 */     // GIR_Coverage, 23860,
     /* 1085396 */     GIR_EraseRootFromParent_Done,
     /* 1085397 */   // Label 15980: @1085397
     /* 1085397 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085474), // Rule ID 23861 //
     /* 1085402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085441 */     // MIs[0] policy
     /* 1085441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085473 */     // GIR_Coverage, 23861,
     /* 1085473 */     GIR_EraseRootFromParent_Done,
     /* 1085474 */   // Label 15981: @1085474
     /* 1085474 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085551), // Rule ID 24128 //
     /* 1085479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085518 */     // MIs[0] policy
     /* 1085518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1085531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085550 */     // GIR_Coverage, 24128,
     /* 1085550 */     GIR_EraseRootFromParent_Done,
     /* 1085551 */   // Label 15982: @1085551
     /* 1085551 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1085628), // Rule ID 24129 //
     /* 1085556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1085559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085595 */     // MIs[0] policy
     /* 1085595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085605 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1085608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085627 */     // GIR_Coverage, 24129,
     /* 1085627 */     GIR_EraseRootFromParent_Done,
     /* 1085628 */   // Label 15983: @1085628
     /* 1085628 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1085705), // Rule ID 24132 //
     /* 1085633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1085644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1085647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1085650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085672 */     // MIs[0] policy
     /* 1085672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085682 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085704 */     // GIR_Coverage, 24132,
     /* 1085704 */     GIR_EraseRootFromParent_Done,
     /* 1085705 */   // Label 15984: @1085705
     /* 1085705 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1085782), // Rule ID 24133 //
     /* 1085710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1085713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1085721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1085724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1085727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085749 */     // MIs[0] policy
     /* 1085749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085781 */     // GIR_Coverage, 24133,
     /* 1085781 */     GIR_EraseRootFromParent_Done,
     /* 1085782 */   // Label 15985: @1085782
     /* 1085782 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1085859), // Rule ID 24136 //
     /* 1085787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1085790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085826 */     // MIs[0] policy
     /* 1085826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085836 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085858 */     // GIR_Coverage, 24136,
     /* 1085858 */     GIR_EraseRootFromParent_Done,
     /* 1085859 */   // Label 15986: @1085859
     /* 1085859 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1085936), // Rule ID 24137 //
     /* 1085864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085903 */     // MIs[0] policy
     /* 1085903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085913 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085935 */     // GIR_Coverage, 24137,
     /* 1085935 */     GIR_EraseRootFromParent_Done,
     /* 1085936 */   // Label 15987: @1085936
     /* 1085936 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086013), // Rule ID 24140 //
     /* 1085941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1085958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085980 */     // MIs[0] policy
     /* 1085980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085990 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1085993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086012 */     // GIR_Coverage, 24140,
     /* 1086012 */     GIR_EraseRootFromParent_Done,
     /* 1086013 */   // Label 15988: @1086013
     /* 1086013 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086090), // Rule ID 24141 //
     /* 1086018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086057 */     // MIs[0] policy
     /* 1086057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086089 */     // GIR_Coverage, 24141,
     /* 1086089 */     GIR_EraseRootFromParent_Done,
     /* 1086090 */   // Label 15989: @1086090
     /* 1086090 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086167), // Rule ID 24144 //
     /* 1086095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086134 */     // MIs[0] policy
     /* 1086134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086144 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086166 */     // GIR_Coverage, 24144,
     /* 1086166 */     GIR_EraseRootFromParent_Done,
     /* 1086167 */   // Label 15990: @1086167
     /* 1086167 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086244), // Rule ID 24145 //
     /* 1086172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086211 */     // MIs[0] policy
     /* 1086211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086221 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086243 */     // GIR_Coverage, 24145,
     /* 1086243 */     GIR_EraseRootFromParent_Done,
     /* 1086244 */   // Label 15991: @1086244
     /* 1086244 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086321), // Rule ID 24148 //
     /* 1086249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1086252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086288 */     // MIs[0] policy
     /* 1086288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086298 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086320 */     // GIR_Coverage, 24148,
     /* 1086320 */     GIR_EraseRootFromParent_Done,
     /* 1086321 */   // Label 15992: @1086321
     /* 1086321 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086398), // Rule ID 24149 //
     /* 1086326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1086329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086365 */     // MIs[0] policy
     /* 1086365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086375 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086397 */     // GIR_Coverage, 24149,
     /* 1086397 */     GIR_EraseRootFromParent_Done,
     /* 1086398 */   // Label 15993: @1086398
     /* 1086398 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086475), // Rule ID 24152 //
     /* 1086403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086442 */     // MIs[0] policy
     /* 1086442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086474 */     // GIR_Coverage, 24152,
     /* 1086474 */     GIR_EraseRootFromParent_Done,
     /* 1086475 */   // Label 15994: @1086475
     /* 1086475 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086552), // Rule ID 24153 //
     /* 1086480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086519 */     // MIs[0] policy
     /* 1086519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086529 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086551 */     // GIR_Coverage, 24153,
     /* 1086551 */     GIR_EraseRootFromParent_Done,
     /* 1086552 */   // Label 15995: @1086552
     /* 1086552 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1086629), // Rule ID 24156 //
     /* 1086557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086596 */     // MIs[0] policy
     /* 1086596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086606 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086628 */     // GIR_Coverage, 24156,
     /* 1086628 */     GIR_EraseRootFromParent_Done,
     /* 1086629 */   // Label 15996: @1086629
     /* 1086629 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1086706), // Rule ID 24157 //
     /* 1086634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086673 */     // MIs[0] policy
     /* 1086673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086683 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086705 */     // GIR_Coverage, 24157,
     /* 1086705 */     GIR_EraseRootFromParent_Done,
     /* 1086706 */   // Label 15997: @1086706
     /* 1086706 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1086783), // Rule ID 24160 //
     /* 1086711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086750 */     // MIs[0] policy
     /* 1086750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086760 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1086763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086782 */     // GIR_Coverage, 24160,
     /* 1086782 */     GIR_EraseRootFromParent_Done,
     /* 1086783 */   // Label 15998: @1086783
     /* 1086783 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1086860), // Rule ID 24161 //
     /* 1086788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086827 */     // MIs[0] policy
     /* 1086827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086837 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1086840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086859 */     // GIR_Coverage, 24161,
     /* 1086859 */     GIR_EraseRootFromParent_Done,
     /* 1086860 */   // Label 15999: @1086860
     /* 1086860 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1086937), // Rule ID 24164 //
     /* 1086865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086904 */     // MIs[0] policy
     /* 1086904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086914 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086936 */     // GIR_Coverage, 24164,
     /* 1086936 */     GIR_EraseRootFromParent_Done,
     /* 1086937 */   // Label 16000: @1086937
     /* 1086937 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087014), // Rule ID 24165 //
     /* 1086942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086981 */     // MIs[0] policy
     /* 1086981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086991 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087013 */     // GIR_Coverage, 24165,
     /* 1087013 */     GIR_EraseRootFromParent_Done,
     /* 1087014 */   // Label 16001: @1087014
     /* 1087014 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087091), // Rule ID 24168 //
     /* 1087019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1087030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1087033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087058 */     // MIs[0] policy
     /* 1087058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087090 */     // GIR_Coverage, 24168,
     /* 1087090 */     GIR_EraseRootFromParent_Done,
     /* 1087091 */   // Label 16002: @1087091
     /* 1087091 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087168), // Rule ID 24169 //
     /* 1087096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1087107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1087110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087135 */     // MIs[0] policy
     /* 1087135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087145 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087167 */     // GIR_Coverage, 24169,
     /* 1087167 */     GIR_EraseRootFromParent_Done,
     /* 1087168 */   // Label 16003: @1087168
     /* 1087168 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087245), // Rule ID 24172 //
     /* 1087173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087212 */     // MIs[0] policy
     /* 1087212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087222 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087244 */     // GIR_Coverage, 24172,
     /* 1087244 */     GIR_EraseRootFromParent_Done,
     /* 1087245 */   // Label 16004: @1087245
     /* 1087245 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087322), // Rule ID 24173 //
     /* 1087250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087289 */     // MIs[0] policy
     /* 1087289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087299 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087321 */     // GIR_Coverage, 24173,
     /* 1087321 */     GIR_EraseRootFromParent_Done,
     /* 1087322 */   // Label 16005: @1087322
     /* 1087322 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087399), // Rule ID 24176 //
     /* 1087327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087366 */     // MIs[0] policy
     /* 1087366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087398 */     // GIR_Coverage, 24176,
     /* 1087398 */     GIR_EraseRootFromParent_Done,
     /* 1087399 */   // Label 16006: @1087399
     /* 1087399 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087476), // Rule ID 24177 //
     /* 1087404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087443 */     // MIs[0] policy
     /* 1087443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087475 */     // GIR_Coverage, 24177,
     /* 1087475 */     GIR_EraseRootFromParent_Done,
     /* 1087476 */   // Label 16007: @1087476
     /* 1087476 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087553), // Rule ID 24180 //
     /* 1087481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087520 */     // MIs[0] policy
     /* 1087520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087530 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087552 */     // GIR_Coverage, 24180,
     /* 1087552 */     GIR_EraseRootFromParent_Done,
     /* 1087553 */   // Label 16008: @1087553
     /* 1087553 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1087630), // Rule ID 24181 //
     /* 1087558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087597 */     // MIs[0] policy
     /* 1087597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087607 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087629 */     // GIR_Coverage, 24181,
     /* 1087629 */     GIR_EraseRootFromParent_Done,
     /* 1087630 */   // Label 16009: @1087630
     /* 1087630 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1087707), // Rule ID 24184 //
     /* 1087635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087674 */     // MIs[0] policy
     /* 1087674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087684 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087706 */     // GIR_Coverage, 24184,
     /* 1087706 */     GIR_EraseRootFromParent_Done,
     /* 1087707 */   // Label 16010: @1087707
     /* 1087707 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1087784), // Rule ID 24185 //
     /* 1087712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087751 */     // MIs[0] policy
     /* 1087751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087761 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087783 */     // GIR_Coverage, 24185,
     /* 1087783 */     GIR_EraseRootFromParent_Done,
     /* 1087784 */   // Label 16011: @1087784
     /* 1087784 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1087861), // Rule ID 24248 //
     /* 1087789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1087792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087828 */     // MIs[0] policy
     /* 1087828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087838 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1087841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087860 */     // GIR_Coverage, 24248,
     /* 1087860 */     GIR_EraseRootFromParent_Done,
     /* 1087861 */   // Label 16012: @1087861
     /* 1087861 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1087938), // Rule ID 24249 //
     /* 1087866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1087869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087905 */     // MIs[0] policy
     /* 1087905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087915 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1087918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087937 */     // GIR_Coverage, 24249,
     /* 1087937 */     GIR_EraseRootFromParent_Done,
     /* 1087938 */   // Label 16013: @1087938
     /* 1087938 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088015), // Rule ID 24252 //
     /* 1087943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1087946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087982 */     // MIs[0] policy
     /* 1087982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087992 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1087995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088014 */     // GIR_Coverage, 24252,
     /* 1088014 */     GIR_EraseRootFromParent_Done,
     /* 1088015 */   // Label 16014: @1088015
     /* 1088015 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088092), // Rule ID 24253 //
     /* 1088020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088059 */     // MIs[0] policy
     /* 1088059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088069 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088091 */     // GIR_Coverage, 24253,
     /* 1088091 */     GIR_EraseRootFromParent_Done,
     /* 1088092 */   // Label 16015: @1088092
     /* 1088092 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088169), // Rule ID 24256 //
     /* 1088097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088136 */     // MIs[0] policy
     /* 1088136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088146 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088168 */     // GIR_Coverage, 24256,
     /* 1088168 */     GIR_EraseRootFromParent_Done,
     /* 1088169 */   // Label 16016: @1088169
     /* 1088169 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088246), // Rule ID 24257 //
     /* 1088174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1088177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088213 */     // MIs[0] policy
     /* 1088213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088223 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088245 */     // GIR_Coverage, 24257,
     /* 1088245 */     GIR_EraseRootFromParent_Done,
     /* 1088246 */   // Label 16017: @1088246
     /* 1088246 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088323), // Rule ID 24260 //
     /* 1088251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088290 */     // MIs[0] policy
     /* 1088290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088322 */     // GIR_Coverage, 24260,
     /* 1088322 */     GIR_EraseRootFromParent_Done,
     /* 1088323 */   // Label 16018: @1088323
     /* 1088323 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088400), // Rule ID 24261 //
     /* 1088328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088367 */     // MIs[0] policy
     /* 1088367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088399 */     // GIR_Coverage, 24261,
     /* 1088399 */     GIR_EraseRootFromParent_Done,
     /* 1088400 */   // Label 16019: @1088400
     /* 1088400 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088477), // Rule ID 24264 //
     /* 1088405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088444 */     // MIs[0] policy
     /* 1088444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088454 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088476 */     // GIR_Coverage, 24264,
     /* 1088476 */     GIR_EraseRootFromParent_Done,
     /* 1088477 */   // Label 16020: @1088477
     /* 1088477 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088554), // Rule ID 24265 //
     /* 1088482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1088485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088521 */     // MIs[0] policy
     /* 1088521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088531 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088553 */     // GIR_Coverage, 24265,
     /* 1088553 */     GIR_EraseRootFromParent_Done,
     /* 1088554 */   // Label 16021: @1088554
     /* 1088554 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1088631), // Rule ID 24268 //
     /* 1088559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1088562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088598 */     // MIs[0] policy
     /* 1088598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088608 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088630 */     // GIR_Coverage, 24268,
     /* 1088630 */     GIR_EraseRootFromParent_Done,
     /* 1088631 */   // Label 16022: @1088631
     /* 1088631 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1088708), // Rule ID 24269 //
     /* 1088636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1088639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088675 */     // MIs[0] policy
     /* 1088675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088707 */     // GIR_Coverage, 24269,
     /* 1088707 */     GIR_EraseRootFromParent_Done,
     /* 1088708 */   // Label 16023: @1088708
     /* 1088708 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1088785), // Rule ID 24272 //
     /* 1088713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088752 */     // MIs[0] policy
     /* 1088752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088762 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1088765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088784 */     // GIR_Coverage, 24272,
     /* 1088784 */     GIR_EraseRootFromParent_Done,
     /* 1088785 */   // Label 16024: @1088785
     /* 1088785 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1088862), // Rule ID 24273 //
     /* 1088790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088829 */     // MIs[0] policy
     /* 1088829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088839 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1088842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088861 */     // GIR_Coverage, 24273,
     /* 1088861 */     GIR_EraseRootFromParent_Done,
     /* 1088862 */   // Label 16025: @1088862
     /* 1088862 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1088939), // Rule ID 24276 //
     /* 1088867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088906 */     // MIs[0] policy
     /* 1088906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088916 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1088919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088938 */     // GIR_Coverage, 24276,
     /* 1088938 */     GIR_EraseRootFromParent_Done,
     /* 1088939 */   // Label 16026: @1088939
     /* 1088939 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089016), // Rule ID 24277 //
     /* 1088944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088983 */     // MIs[0] policy
     /* 1088983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088993 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1088996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089015 */     // GIR_Coverage, 24277,
     /* 1089015 */     GIR_EraseRootFromParent_Done,
     /* 1089016 */   // Label 16027: @1089016
     /* 1089016 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089093), // Rule ID 24280 //
     /* 1089021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1089024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1089032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1089035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1089038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089060 */     // MIs[0] policy
     /* 1089060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089070 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089092 */     // GIR_Coverage, 24280,
     /* 1089092 */     GIR_EraseRootFromParent_Done,
     /* 1089093 */   // Label 16028: @1089093
     /* 1089093 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089170), // Rule ID 24281 //
     /* 1089098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1089101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1089109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1089112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1089115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089137 */     // MIs[0] policy
     /* 1089137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089147 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089169 */     // GIR_Coverage, 24281,
     /* 1089169 */     GIR_EraseRootFromParent_Done,
     /* 1089170 */   // Label 16029: @1089170
     /* 1089170 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089247), // Rule ID 24284 //
     /* 1089175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089214 */     // MIs[0] policy
     /* 1089214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089224 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089246 */     // GIR_Coverage, 24284,
     /* 1089246 */     GIR_EraseRootFromParent_Done,
     /* 1089247 */   // Label 16030: @1089247
     /* 1089247 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089324), // Rule ID 24285 //
     /* 1089252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089291 */     // MIs[0] policy
     /* 1089291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089301 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089323 */     // GIR_Coverage, 24285,
     /* 1089323 */     GIR_EraseRootFromParent_Done,
     /* 1089324 */   // Label 16031: @1089324
     /* 1089324 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089401), // Rule ID 24288 //
     /* 1089329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089368 */     // MIs[0] policy
     /* 1089368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089400 */     // GIR_Coverage, 24288,
     /* 1089400 */     GIR_EraseRootFromParent_Done,
     /* 1089401 */   // Label 16032: @1089401
     /* 1089401 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089478), // Rule ID 24289 //
     /* 1089406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089445 */     // MIs[0] policy
     /* 1089445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089477 */     // GIR_Coverage, 24289,
     /* 1089477 */     GIR_EraseRootFromParent_Done,
     /* 1089478 */   // Label 16033: @1089478
     /* 1089478 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089555), // Rule ID 24292 //
     /* 1089483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089522 */     // MIs[0] policy
     /* 1089522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089532 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089554 */     // GIR_Coverage, 24292,
     /* 1089554 */     GIR_EraseRootFromParent_Done,
     /* 1089555 */   // Label 16034: @1089555
     /* 1089555 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1089632), // Rule ID 24293 //
     /* 1089560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089599 */     // MIs[0] policy
     /* 1089599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089609 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089631 */     // GIR_Coverage, 24293,
     /* 1089631 */     GIR_EraseRootFromParent_Done,
     /* 1089632 */   // Label 16035: @1089632
     /* 1089632 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1089709), // Rule ID 24296 //
     /* 1089637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089676 */     // MIs[0] policy
     /* 1089676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089686 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089708 */     // GIR_Coverage, 24296,
     /* 1089708 */     GIR_EraseRootFromParent_Done,
     /* 1089709 */   // Label 16036: @1089709
     /* 1089709 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1089786), // Rule ID 24297 //
     /* 1089714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089753 */     // MIs[0] policy
     /* 1089753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089763 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089785 */     // GIR_Coverage, 24297,
     /* 1089785 */     GIR_EraseRootFromParent_Done,
     /* 1089786 */   // Label 16037: @1089786
     /* 1089786 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1089863), // Rule ID 24300 //
     /* 1089791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089830 */     // MIs[0] policy
     /* 1089830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089840 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089862 */     // GIR_Coverage, 24300,
     /* 1089862 */     GIR_EraseRootFromParent_Done,
     /* 1089863 */   // Label 16038: @1089863
     /* 1089863 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1089940), // Rule ID 24301 //
     /* 1089868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089907 */     // MIs[0] policy
     /* 1089907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089917 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089939 */     // GIR_Coverage, 24301,
     /* 1089939 */     GIR_EraseRootFromParent_Done,
     /* 1089940 */   // Label 16039: @1089940
     /* 1089940 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090017), // Rule ID 24304 //
     /* 1089945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089984 */     // MIs[0] policy
     /* 1089984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089994 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090016 */     // GIR_Coverage, 24304,
     /* 1090016 */     GIR_EraseRootFromParent_Done,
     /* 1090017 */   // Label 16040: @1090017
     /* 1090017 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090094), // Rule ID 24305 //
     /* 1090022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090061 */     // MIs[0] policy
     /* 1090061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1090074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090093 */     // GIR_Coverage, 24305,
     /* 1090093 */     GIR_EraseRootFromParent_Done,
     /* 1090094 */   // Label 16041: @1090094
     /* 1090094 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090171), // Rule ID 60596 //
     /* 1090099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1090102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1090107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1090119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090138 */     // MIs[0] policy
     /* 1090138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1090151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1090153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090170 */     // GIR_Coverage, 60596,
     /* 1090170 */     GIR_EraseRootFromParent_Done,
     /* 1090171 */   // Label 16042: @1090171
     /* 1090171 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090248), // Rule ID 60597 //
     /* 1090176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1090179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1090184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1090196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090215 */     // MIs[0] policy
     /* 1090215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1090228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1090230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090247 */     // GIR_Coverage, 60597,
     /* 1090247 */     GIR_EraseRootFromParent_Done,
     /* 1090248 */   // Label 16043: @1090248
     /* 1090248 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090325), // Rule ID 60610 //
     /* 1090253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090292 */     // MIs[0] policy
     /* 1090292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090324 */     // GIR_Coverage, 60610,
     /* 1090324 */     GIR_EraseRootFromParent_Done,
     /* 1090325 */   // Label 16044: @1090325
     /* 1090325 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090402), // Rule ID 60611 //
     /* 1090330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090369 */     // MIs[0] policy
     /* 1090369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090401 */     // GIR_Coverage, 60611,
     /* 1090401 */     GIR_EraseRootFromParent_Done,
     /* 1090402 */   // Label 16045: @1090402
     /* 1090402 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090479), // Rule ID 60614 //
     /* 1090407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090446 */     // MIs[0] policy
     /* 1090446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090456 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090478 */     // GIR_Coverage, 60614,
     /* 1090478 */     GIR_EraseRootFromParent_Done,
     /* 1090479 */   // Label 16046: @1090479
     /* 1090479 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090556), // Rule ID 60615 //
     /* 1090484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090523 */     // MIs[0] policy
     /* 1090523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090555 */     // GIR_Coverage, 60615,
     /* 1090555 */     GIR_EraseRootFromParent_Done,
     /* 1090556 */   // Label 16047: @1090556
     /* 1090556 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1090633), // Rule ID 60618 //
     /* 1090561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090600 */     // MIs[0] policy
     /* 1090600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090632 */     // GIR_Coverage, 60618,
     /* 1090632 */     GIR_EraseRootFromParent_Done,
     /* 1090633 */   // Label 16048: @1090633
     /* 1090633 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1090710), // Rule ID 60619 //
     /* 1090638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090677 */     // MIs[0] policy
     /* 1090677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090687 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090709 */     // GIR_Coverage, 60619,
     /* 1090709 */     GIR_EraseRootFromParent_Done,
     /* 1090710 */   // Label 16049: @1090710
     /* 1090710 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1090787), // Rule ID 60622 //
     /* 1090715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090754 */     // MIs[0] policy
     /* 1090754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090786 */     // GIR_Coverage, 60622,
     /* 1090786 */     GIR_EraseRootFromParent_Done,
     /* 1090787 */   // Label 16050: @1090787
     /* 1090787 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1090864), // Rule ID 60623 //
     /* 1090792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090831 */     // MIs[0] policy
     /* 1090831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090841 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090863 */     // GIR_Coverage, 60623,
     /* 1090863 */     GIR_EraseRootFromParent_Done,
     /* 1090864 */   // Label 16051: @1090864
     /* 1090864 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1090941), // Rule ID 60626 //
     /* 1090869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090908 */     // MIs[0] policy
     /* 1090908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090940 */     // GIR_Coverage, 60626,
     /* 1090940 */     GIR_EraseRootFromParent_Done,
     /* 1090941 */   // Label 16052: @1090941
     /* 1090941 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091018), // Rule ID 60627 //
     /* 1090946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090985 */     // MIs[0] policy
     /* 1090985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091017 */     // GIR_Coverage, 60627,
     /* 1091017 */     GIR_EraseRootFromParent_Done,
     /* 1091018 */   // Label 16053: @1091018
     /* 1091018 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091095), // Rule ID 60630 //
     /* 1091023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091062 */     // MIs[0] policy
     /* 1091062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091094 */     // GIR_Coverage, 60630,
     /* 1091094 */     GIR_EraseRootFromParent_Done,
     /* 1091095 */   // Label 16054: @1091095
     /* 1091095 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091172), // Rule ID 60631 //
     /* 1091100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091139 */     // MIs[0] policy
     /* 1091139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091171 */     // GIR_Coverage, 60631,
     /* 1091171 */     GIR_EraseRootFromParent_Done,
     /* 1091172 */   // Label 16055: @1091172
     /* 1091172 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091249), // Rule ID 60634 //
     /* 1091177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091216 */     // MIs[0] policy
     /* 1091216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091248 */     // GIR_Coverage, 60634,
     /* 1091248 */     GIR_EraseRootFromParent_Done,
     /* 1091249 */   // Label 16056: @1091249
     /* 1091249 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091326), // Rule ID 60635 //
     /* 1091254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091293 */     // MIs[0] policy
     /* 1091293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091325 */     // GIR_Coverage, 60635,
     /* 1091325 */     GIR_EraseRootFromParent_Done,
     /* 1091326 */   // Label 16057: @1091326
     /* 1091326 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091403), // Rule ID 60638 //
     /* 1091331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091370 */     // MIs[0] policy
     /* 1091370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091402 */     // GIR_Coverage, 60638,
     /* 1091402 */     GIR_EraseRootFromParent_Done,
     /* 1091403 */   // Label 16058: @1091403
     /* 1091403 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091480), // Rule ID 60639 //
     /* 1091408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091447 */     // MIs[0] policy
     /* 1091447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091479 */     // GIR_Coverage, 60639,
     /* 1091479 */     GIR_EraseRootFromParent_Done,
     /* 1091480 */   // Label 16059: @1091480
     /* 1091480 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091557), // Rule ID 60642 //
     /* 1091485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091524 */     // MIs[0] policy
     /* 1091524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091556 */     // GIR_Coverage, 60642,
     /* 1091556 */     GIR_EraseRootFromParent_Done,
     /* 1091557 */   // Label 16060: @1091557
     /* 1091557 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1091634), // Rule ID 60643 //
     /* 1091562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091601 */     // MIs[0] policy
     /* 1091601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091633 */     // GIR_Coverage, 60643,
     /* 1091633 */     GIR_EraseRootFromParent_Done,
     /* 1091634 */   // Label 16061: @1091634
     /* 1091634 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1091711), // Rule ID 60646 //
     /* 1091639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091678 */     // MIs[0] policy
     /* 1091678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091710 */     // GIR_Coverage, 60646,
     /* 1091710 */     GIR_EraseRootFromParent_Done,
     /* 1091711 */   // Label 16062: @1091711
     /* 1091711 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1091788), // Rule ID 60647 //
     /* 1091716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091755 */     // MIs[0] policy
     /* 1091755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091787 */     // GIR_Coverage, 60647,
     /* 1091787 */     GIR_EraseRootFromParent_Done,
     /* 1091788 */   // Label 16063: @1091788
     /* 1091788 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1091865), // Rule ID 60650 //
     /* 1091793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091832 */     // MIs[0] policy
     /* 1091832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091842 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1091845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091864 */     // GIR_Coverage, 60650,
     /* 1091864 */     GIR_EraseRootFromParent_Done,
     /* 1091865 */   // Label 16064: @1091865
     /* 1091865 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1091942), // Rule ID 60651 //
     /* 1091870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091909 */     // MIs[0] policy
     /* 1091909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1091922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091941 */     // GIR_Coverage, 60651,
     /* 1091941 */     GIR_EraseRootFromParent_Done,
     /* 1091942 */   // Label 16065: @1091942
     /* 1091942 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092019), // Rule ID 60654 //
     /* 1091947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091986 */     // MIs[0] policy
     /* 1091986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1091999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092018 */     // GIR_Coverage, 60654,
     /* 1092018 */     GIR_EraseRootFromParent_Done,
     /* 1092019 */   // Label 16066: @1092019
     /* 1092019 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092096), // Rule ID 60655 //
     /* 1092024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092063 */     // MIs[0] policy
     /* 1092063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092073 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092095 */     // GIR_Coverage, 60655,
     /* 1092095 */     GIR_EraseRootFromParent_Done,
     /* 1092096 */   // Label 16067: @1092096
     /* 1092096 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092173), // Rule ID 60658 //
     /* 1092101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092140 */     // MIs[0] policy
     /* 1092140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092172 */     // GIR_Coverage, 60658,
     /* 1092172 */     GIR_EraseRootFromParent_Done,
     /* 1092173 */   // Label 16068: @1092173
     /* 1092173 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092250), // Rule ID 60659 //
     /* 1092178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092217 */     // MIs[0] policy
     /* 1092217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092249 */     // GIR_Coverage, 60659,
     /* 1092249 */     GIR_EraseRootFromParent_Done,
     /* 1092250 */   // Label 16069: @1092250
     /* 1092250 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092327), // Rule ID 60662 //
     /* 1092255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092294 */     // MIs[0] policy
     /* 1092294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092304 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092326 */     // GIR_Coverage, 60662,
     /* 1092326 */     GIR_EraseRootFromParent_Done,
     /* 1092327 */   // Label 16070: @1092327
     /* 1092327 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092404), // Rule ID 60663 //
     /* 1092332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092371 */     // MIs[0] policy
     /* 1092371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092403 */     // GIR_Coverage, 60663,
     /* 1092403 */     GIR_EraseRootFromParent_Done,
     /* 1092404 */   // Label 16071: @1092404
     /* 1092404 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092481), // Rule ID 60666 //
     /* 1092409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092448 */     // MIs[0] policy
     /* 1092448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092480 */     // GIR_Coverage, 60666,
     /* 1092480 */     GIR_EraseRootFromParent_Done,
     /* 1092481 */   // Label 16072: @1092481
     /* 1092481 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092558), // Rule ID 60667 //
     /* 1092486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092525 */     // MIs[0] policy
     /* 1092525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092535 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092557 */     // GIR_Coverage, 60667,
     /* 1092557 */     GIR_EraseRootFromParent_Done,
     /* 1092558 */   // Label 16073: @1092558
     /* 1092558 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1092635), // Rule ID 60670 //
     /* 1092563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092602 */     // MIs[0] policy
     /* 1092602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092634 */     // GIR_Coverage, 60670,
     /* 1092634 */     GIR_EraseRootFromParent_Done,
     /* 1092635 */   // Label 16074: @1092635
     /* 1092635 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1092712), // Rule ID 60671 //
     /* 1092640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092679 */     // MIs[0] policy
     /* 1092679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092689 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092711 */     // GIR_Coverage, 60671,
     /* 1092711 */     GIR_EraseRootFromParent_Done,
     /* 1092712 */   // Label 16075: @1092712
     /* 1092712 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1092789), // Rule ID 60674 //
     /* 1092717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092756 */     // MIs[0] policy
     /* 1092756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092788 */     // GIR_Coverage, 60674,
     /* 1092788 */     GIR_EraseRootFromParent_Done,
     /* 1092789 */   // Label 16076: @1092789
     /* 1092789 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1092866), // Rule ID 60675 //
     /* 1092794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092833 */     // MIs[0] policy
     /* 1092833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092865 */     // GIR_Coverage, 60675,
     /* 1092865 */     GIR_EraseRootFromParent_Done,
     /* 1092866 */   // Label 16077: @1092866
     /* 1092866 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1092943), // Rule ID 60678 //
     /* 1092871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092910 */     // MIs[0] policy
     /* 1092910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092942 */     // GIR_Coverage, 60678,
     /* 1092942 */     GIR_EraseRootFromParent_Done,
     /* 1092943 */   // Label 16078: @1092943
     /* 1092943 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093020), // Rule ID 60679 //
     /* 1092948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092987 */     // MIs[0] policy
     /* 1092987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093019 */     // GIR_Coverage, 60679,
     /* 1093019 */     GIR_EraseRootFromParent_Done,
     /* 1093020 */   // Label 16079: @1093020
     /* 1093020 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093097), // Rule ID 60682 //
     /* 1093025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093064 */     // MIs[0] policy
     /* 1093064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093096 */     // GIR_Coverage, 60682,
     /* 1093096 */     GIR_EraseRootFromParent_Done,
     /* 1093097 */   // Label 16080: @1093097
     /* 1093097 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093174), // Rule ID 60683 //
     /* 1093102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093141 */     // MIs[0] policy
     /* 1093141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093173 */     // GIR_Coverage, 60683,
     /* 1093173 */     GIR_EraseRootFromParent_Done,
     /* 1093174 */   // Label 16081: @1093174
     /* 1093174 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093251), // Rule ID 60686 //
     /* 1093179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093218 */     // MIs[0] policy
     /* 1093218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093250 */     // GIR_Coverage, 60686,
     /* 1093250 */     GIR_EraseRootFromParent_Done,
     /* 1093251 */   // Label 16082: @1093251
     /* 1093251 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093328), // Rule ID 60687 //
     /* 1093256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093295 */     // MIs[0] policy
     /* 1093295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093327 */     // GIR_Coverage, 60687,
     /* 1093327 */     GIR_EraseRootFromParent_Done,
     /* 1093328 */   // Label 16083: @1093328
     /* 1093328 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093405), // Rule ID 60690 //
     /* 1093333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093372 */     // MIs[0] policy
     /* 1093372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093404 */     // GIR_Coverage, 60690,
     /* 1093404 */     GIR_EraseRootFromParent_Done,
     /* 1093405 */   // Label 16084: @1093405
     /* 1093405 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093482), // Rule ID 60691 //
     /* 1093410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093449 */     // MIs[0] policy
     /* 1093449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093481 */     // GIR_Coverage, 60691,
     /* 1093481 */     GIR_EraseRootFromParent_Done,
     /* 1093482 */   // Label 16085: @1093482
     /* 1093482 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093559), // Rule ID 60694 //
     /* 1093487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093526 */     // MIs[0] policy
     /* 1093526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093558 */     // GIR_Coverage, 60694,
     /* 1093558 */     GIR_EraseRootFromParent_Done,
     /* 1093559 */   // Label 16086: @1093559
     /* 1093559 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1093636), // Rule ID 60695 //
     /* 1093564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093603 */     // MIs[0] policy
     /* 1093603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093613 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093635 */     // GIR_Coverage, 60695,
     /* 1093635 */     GIR_EraseRootFromParent_Done,
     /* 1093636 */   // Label 16087: @1093636
     /* 1093636 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1093713), // Rule ID 60698 //
     /* 1093641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093680 */     // MIs[0] policy
     /* 1093680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1093693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093712 */     // GIR_Coverage, 60698,
     /* 1093712 */     GIR_EraseRootFromParent_Done,
     /* 1093713 */   // Label 16088: @1093713
     /* 1093713 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1093790), // Rule ID 60699 //
     /* 1093718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093757 */     // MIs[0] policy
     /* 1093757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1093770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093789 */     // GIR_Coverage, 60699,
     /* 1093789 */     GIR_EraseRootFromParent_Done,
     /* 1093790 */   // Label 16089: @1093790
     /* 1093790 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1093867), // Rule ID 60702 //
     /* 1093795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093834 */     // MIs[0] policy
     /* 1093834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1093847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093866 */     // GIR_Coverage, 60702,
     /* 1093866 */     GIR_EraseRootFromParent_Done,
     /* 1093867 */   // Label 16090: @1093867
     /* 1093867 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1093944), // Rule ID 60703 //
     /* 1093872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093911 */     // MIs[0] policy
     /* 1093911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1093924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093943 */     // GIR_Coverage, 60703,
     /* 1093943 */     GIR_EraseRootFromParent_Done,
     /* 1093944 */   // Label 16091: @1093944
     /* 1093944 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094021), // Rule ID 60706 //
     /* 1093949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093988 */     // MIs[0] policy
     /* 1093988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094020 */     // GIR_Coverage, 60706,
     /* 1094020 */     GIR_EraseRootFromParent_Done,
     /* 1094021 */   // Label 16092: @1094021
     /* 1094021 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094098), // Rule ID 60707 //
     /* 1094026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094065 */     // MIs[0] policy
     /* 1094065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094097 */     // GIR_Coverage, 60707,
     /* 1094097 */     GIR_EraseRootFromParent_Done,
     /* 1094098 */   // Label 16093: @1094098
     /* 1094098 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094175), // Rule ID 60710 //
     /* 1094103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094142 */     // MIs[0] policy
     /* 1094142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094174 */     // GIR_Coverage, 60710,
     /* 1094174 */     GIR_EraseRootFromParent_Done,
     /* 1094175 */   // Label 16094: @1094175
     /* 1094175 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094252), // Rule ID 60711 //
     /* 1094180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094219 */     // MIs[0] policy
     /* 1094219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094251 */     // GIR_Coverage, 60711,
     /* 1094251 */     GIR_EraseRootFromParent_Done,
     /* 1094252 */   // Label 16095: @1094252
     /* 1094252 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094329), // Rule ID 60714 //
     /* 1094257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094296 */     // MIs[0] policy
     /* 1094296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094328 */     // GIR_Coverage, 60714,
     /* 1094328 */     GIR_EraseRootFromParent_Done,
     /* 1094329 */   // Label 16096: @1094329
     /* 1094329 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094406), // Rule ID 60715 //
     /* 1094334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094373 */     // MIs[0] policy
     /* 1094373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094405 */     // GIR_Coverage, 60715,
     /* 1094405 */     GIR_EraseRootFromParent_Done,
     /* 1094406 */   // Label 16097: @1094406
     /* 1094406 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094483), // Rule ID 60718 //
     /* 1094411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094450 */     // MIs[0] policy
     /* 1094450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094482 */     // GIR_Coverage, 60718,
     /* 1094482 */     GIR_EraseRootFromParent_Done,
     /* 1094483 */   // Label 16098: @1094483
     /* 1094483 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094560), // Rule ID 60719 //
     /* 1094488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094527 */     // MIs[0] policy
     /* 1094527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094537 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094559 */     // GIR_Coverage, 60719,
     /* 1094559 */     GIR_EraseRootFromParent_Done,
     /* 1094560 */   // Label 16099: @1094560
     /* 1094560 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1094637), // Rule ID 60722 //
     /* 1094565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094604 */     // MIs[0] policy
     /* 1094604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094636 */     // GIR_Coverage, 60722,
     /* 1094636 */     GIR_EraseRootFromParent_Done,
     /* 1094637 */   // Label 16100: @1094637
     /* 1094637 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1094714), // Rule ID 60723 //
     /* 1094642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094681 */     // MIs[0] policy
     /* 1094681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094713 */     // GIR_Coverage, 60723,
     /* 1094713 */     GIR_EraseRootFromParent_Done,
     /* 1094714 */   // Label 16101: @1094714
     /* 1094714 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1094791), // Rule ID 60726 //
     /* 1094719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094758 */     // MIs[0] policy
     /* 1094758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094790 */     // GIR_Coverage, 60726,
     /* 1094790 */     GIR_EraseRootFromParent_Done,
     /* 1094791 */   // Label 16102: @1094791
     /* 1094791 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1094868), // Rule ID 60727 //
     /* 1094796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094835 */     // MIs[0] policy
     /* 1094835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094867 */     // GIR_Coverage, 60727,
     /* 1094867 */     GIR_EraseRootFromParent_Done,
     /* 1094868 */   // Label 16103: @1094868
     /* 1094868 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1094945), // Rule ID 60730 //
     /* 1094873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094912 */     // MIs[0] policy
     /* 1094912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094944 */     // GIR_Coverage, 60730,
     /* 1094944 */     GIR_EraseRootFromParent_Done,
     /* 1094945 */   // Label 16104: @1094945
     /* 1094945 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095022), // Rule ID 60731 //
     /* 1094950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094989 */     // MIs[0] policy
     /* 1094989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095021 */     // GIR_Coverage, 60731,
     /* 1095021 */     GIR_EraseRootFromParent_Done,
     /* 1095022 */   // Label 16105: @1095022
     /* 1095022 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095099), // Rule ID 60734 //
     /* 1095027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095066 */     // MIs[0] policy
     /* 1095066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095098 */     // GIR_Coverage, 60734,
     /* 1095098 */     GIR_EraseRootFromParent_Done,
     /* 1095099 */   // Label 16106: @1095099
     /* 1095099 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095176), // Rule ID 60735 //
     /* 1095104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095143 */     // MIs[0] policy
     /* 1095143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095175 */     // GIR_Coverage, 60735,
     /* 1095175 */     GIR_EraseRootFromParent_Done,
     /* 1095176 */   // Label 16107: @1095176
     /* 1095176 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095253), // Rule ID 60738 //
     /* 1095181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095220 */     // MIs[0] policy
     /* 1095220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095252 */     // GIR_Coverage, 60738,
     /* 1095252 */     GIR_EraseRootFromParent_Done,
     /* 1095253 */   // Label 16108: @1095253
     /* 1095253 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095330), // Rule ID 60739 //
     /* 1095258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095297 */     // MIs[0] policy
     /* 1095297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095329 */     // GIR_Coverage, 60739,
     /* 1095329 */     GIR_EraseRootFromParent_Done,
     /* 1095330 */   // Label 16109: @1095330
     /* 1095330 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095407), // Rule ID 60742 //
     /* 1095335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095374 */     // MIs[0] policy
     /* 1095374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095406 */     // GIR_Coverage, 60742,
     /* 1095406 */     GIR_EraseRootFromParent_Done,
     /* 1095407 */   // Label 16110: @1095407
     /* 1095407 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095484), // Rule ID 60743 //
     /* 1095412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095451 */     // MIs[0] policy
     /* 1095451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095483 */     // GIR_Coverage, 60743,
     /* 1095483 */     GIR_EraseRootFromParent_Done,
     /* 1095484 */   // Label 16111: @1095484
     /* 1095484 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095561), // Rule ID 60746 //
     /* 1095489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095528 */     // MIs[0] policy
     /* 1095528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095538 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095560 */     // GIR_Coverage, 60746,
     /* 1095560 */     GIR_EraseRootFromParent_Done,
     /* 1095561 */   // Label 16112: @1095561
     /* 1095561 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1095638), // Rule ID 60747 //
     /* 1095566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095605 */     // MIs[0] policy
     /* 1095605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095615 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095637 */     // GIR_Coverage, 60747,
     /* 1095637 */     GIR_EraseRootFromParent_Done,
     /* 1095638 */   // Label 16113: @1095638
     /* 1095638 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1095715), // Rule ID 60750 //
     /* 1095643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095682 */     // MIs[0] policy
     /* 1095682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095714 */     // GIR_Coverage, 60750,
     /* 1095714 */     GIR_EraseRootFromParent_Done,
     /* 1095715 */   // Label 16114: @1095715
     /* 1095715 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1095792), // Rule ID 60751 //
     /* 1095720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095759 */     // MIs[0] policy
     /* 1095759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095791 */     // GIR_Coverage, 60751,
     /* 1095791 */     GIR_EraseRootFromParent_Done,
     /* 1095792 */   // Label 16115: @1095792
     /* 1095792 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1095869), // Rule ID 60754 //
     /* 1095797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095836 */     // MIs[0] policy
     /* 1095836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095868 */     // GIR_Coverage, 60754,
     /* 1095868 */     GIR_EraseRootFromParent_Done,
     /* 1095869 */   // Label 16116: @1095869
     /* 1095869 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1095946), // Rule ID 60755 //
     /* 1095874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095913 */     // MIs[0] policy
     /* 1095913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095945 */     // GIR_Coverage, 60755,
     /* 1095945 */     GIR_EraseRootFromParent_Done,
     /* 1095946 */   // Label 16117: @1095946
     /* 1095946 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096023), // Rule ID 60758 //
     /* 1095951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095990 */     // MIs[0] policy
     /* 1095990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096022 */     // GIR_Coverage, 60758,
     /* 1096022 */     GIR_EraseRootFromParent_Done,
     /* 1096023 */   // Label 16118: @1096023
     /* 1096023 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096100), // Rule ID 60759 //
     /* 1096028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096067 */     // MIs[0] policy
     /* 1096067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096099 */     // GIR_Coverage, 60759,
     /* 1096099 */     GIR_EraseRootFromParent_Done,
     /* 1096100 */   // Label 16119: @1096100
     /* 1096100 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096177), // Rule ID 60762 //
     /* 1096105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096144 */     // MIs[0] policy
     /* 1096144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096176 */     // GIR_Coverage, 60762,
     /* 1096176 */     GIR_EraseRootFromParent_Done,
     /* 1096177 */   // Label 16120: @1096177
     /* 1096177 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096254), // Rule ID 60763 //
     /* 1096182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096221 */     // MIs[0] policy
     /* 1096221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096253 */     // GIR_Coverage, 60763,
     /* 1096253 */     GIR_EraseRootFromParent_Done,
     /* 1096254 */   // Label 16121: @1096254
     /* 1096254 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096331), // Rule ID 60766 //
     /* 1096259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096298 */     // MIs[0] policy
     /* 1096298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096330 */     // GIR_Coverage, 60766,
     /* 1096330 */     GIR_EraseRootFromParent_Done,
     /* 1096331 */   // Label 16122: @1096331
     /* 1096331 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096408), // Rule ID 60767 //
     /* 1096336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096375 */     // MIs[0] policy
     /* 1096375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096385 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096407 */     // GIR_Coverage, 60767,
     /* 1096407 */     GIR_EraseRootFromParent_Done,
     /* 1096408 */   // Label 16123: @1096408
     /* 1096408 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096485), // Rule ID 60770 //
     /* 1096413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096452 */     // MIs[0] policy
     /* 1096452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096484 */     // GIR_Coverage, 60770,
     /* 1096484 */     GIR_EraseRootFromParent_Done,
     /* 1096485 */   // Label 16124: @1096485
     /* 1096485 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096562), // Rule ID 60771 //
     /* 1096490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096529 */     // MIs[0] policy
     /* 1096529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096539 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096561 */     // GIR_Coverage, 60771,
     /* 1096561 */     GIR_EraseRootFromParent_Done,
     /* 1096562 */   // Label 16125: @1096562
     /* 1096562 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1096639), // Rule ID 60774 //
     /* 1096567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096606 */     // MIs[0] policy
     /* 1096606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096638 */     // GIR_Coverage, 60774,
     /* 1096638 */     GIR_EraseRootFromParent_Done,
     /* 1096639 */   // Label 16126: @1096639
     /* 1096639 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1096716), // Rule ID 60775 //
     /* 1096644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096683 */     // MIs[0] policy
     /* 1096683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096715 */     // GIR_Coverage, 60775,
     /* 1096715 */     GIR_EraseRootFromParent_Done,
     /* 1096716 */   // Label 16127: @1096716
     /* 1096716 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1096793), // Rule ID 60778 //
     /* 1096721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096760 */     // MIs[0] policy
     /* 1096760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096792 */     // GIR_Coverage, 60778,
     /* 1096792 */     GIR_EraseRootFromParent_Done,
     /* 1096793 */   // Label 16128: @1096793
     /* 1096793 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1096870), // Rule ID 60779 //
     /* 1096798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096837 */     // MIs[0] policy
     /* 1096837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096869 */     // GIR_Coverage, 60779,
     /* 1096869 */     GIR_EraseRootFromParent_Done,
     /* 1096870 */   // Label 16129: @1096870
     /* 1096870 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1096947), // Rule ID 60782 //
     /* 1096875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096914 */     // MIs[0] policy
     /* 1096914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096946 */     // GIR_Coverage, 60782,
     /* 1096946 */     GIR_EraseRootFromParent_Done,
     /* 1096947 */   // Label 16130: @1096947
     /* 1096947 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097024), // Rule ID 60783 //
     /* 1096952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096991 */     // MIs[0] policy
     /* 1096991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1097004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097023 */     // GIR_Coverage, 60783,
     /* 1097023 */     GIR_EraseRootFromParent_Done,
     /* 1097024 */   // Label 16131: @1097024
     /* 1097024 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097101), // Rule ID 60786 //
     /* 1097029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097068 */     // MIs[0] policy
     /* 1097068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1097081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097100 */     // GIR_Coverage, 60786,
     /* 1097100 */     GIR_EraseRootFromParent_Done,
     /* 1097101 */   // Label 16132: @1097101
     /* 1097101 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097178), // Rule ID 60787 //
     /* 1097106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097145 */     // MIs[0] policy
     /* 1097145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1097158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097177 */     // GIR_Coverage, 60787,
     /* 1097177 */     GIR_EraseRootFromParent_Done,
     /* 1097178 */   // Label 16133: @1097178
     /* 1097178 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097255), // Rule ID 60790 //
     /* 1097183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097222 */     // MIs[0] policy
     /* 1097222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097254 */     // GIR_Coverage, 60790,
     /* 1097254 */     GIR_EraseRootFromParent_Done,
     /* 1097255 */   // Label 16134: @1097255
     /* 1097255 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097332), // Rule ID 60791 //
     /* 1097260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097299 */     // MIs[0] policy
     /* 1097299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097331 */     // GIR_Coverage, 60791,
     /* 1097331 */     GIR_EraseRootFromParent_Done,
     /* 1097332 */   // Label 16135: @1097332
     /* 1097332 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097409), // Rule ID 60794 //
     /* 1097337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097376 */     // MIs[0] policy
     /* 1097376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097408 */     // GIR_Coverage, 60794,
     /* 1097408 */     GIR_EraseRootFromParent_Done,
     /* 1097409 */   // Label 16136: @1097409
     /* 1097409 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097486), // Rule ID 60795 //
     /* 1097414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097453 */     // MIs[0] policy
     /* 1097453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097463 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097485 */     // GIR_Coverage, 60795,
     /* 1097485 */     GIR_EraseRootFromParent_Done,
     /* 1097486 */   // Label 16137: @1097486
     /* 1097486 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097563), // Rule ID 60798 //
     /* 1097491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097530 */     // MIs[0] policy
     /* 1097530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097562 */     // GIR_Coverage, 60798,
     /* 1097562 */     GIR_EraseRootFromParent_Done,
     /* 1097563 */   // Label 16138: @1097563
     /* 1097563 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1097640), // Rule ID 60799 //
     /* 1097568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097607 */     // MIs[0] policy
     /* 1097607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097639 */     // GIR_Coverage, 60799,
     /* 1097639 */     GIR_EraseRootFromParent_Done,
     /* 1097640 */   // Label 16139: @1097640
     /* 1097640 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1097717), // Rule ID 60802 //
     /* 1097645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097684 */     // MIs[0] policy
     /* 1097684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097716 */     // GIR_Coverage, 60802,
     /* 1097716 */     GIR_EraseRootFromParent_Done,
     /* 1097717 */   // Label 16140: @1097717
     /* 1097717 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1097794), // Rule ID 60803 //
     /* 1097722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097761 */     // MIs[0] policy
     /* 1097761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097793 */     // GIR_Coverage, 60803,
     /* 1097793 */     GIR_EraseRootFromParent_Done,
     /* 1097794 */   // Label 16141: @1097794
     /* 1097794 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1097871), // Rule ID 60806 //
     /* 1097799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097838 */     // MIs[0] policy
     /* 1097838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097848 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097870 */     // GIR_Coverage, 60806,
     /* 1097870 */     GIR_EraseRootFromParent_Done,
     /* 1097871 */   // Label 16142: @1097871
     /* 1097871 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1097948), // Rule ID 60807 //
     /* 1097876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097915 */     // MIs[0] policy
     /* 1097915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097947 */     // GIR_Coverage, 60807,
     /* 1097947 */     GIR_EraseRootFromParent_Done,
     /* 1097948 */   // Label 16143: @1097948
     /* 1097948 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098025), // Rule ID 60810 //
     /* 1097953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097992 */     // MIs[0] policy
     /* 1097992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098024 */     // GIR_Coverage, 60810,
     /* 1098024 */     GIR_EraseRootFromParent_Done,
     /* 1098025 */   // Label 16144: @1098025
     /* 1098025 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098102), // Rule ID 60811 //
     /* 1098030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098069 */     // MIs[0] policy
     /* 1098069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098079 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098101 */     // GIR_Coverage, 60811,
     /* 1098101 */     GIR_EraseRootFromParent_Done,
     /* 1098102 */   // Label 16145: @1098102
     /* 1098102 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098179), // Rule ID 60814 //
     /* 1098107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098146 */     // MIs[0] policy
     /* 1098146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098178 */     // GIR_Coverage, 60814,
     /* 1098178 */     GIR_EraseRootFromParent_Done,
     /* 1098179 */   // Label 16146: @1098179
     /* 1098179 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098256), // Rule ID 60815 //
     /* 1098184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098223 */     // MIs[0] policy
     /* 1098223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098255 */     // GIR_Coverage, 60815,
     /* 1098255 */     GIR_EraseRootFromParent_Done,
     /* 1098256 */   // Label 16147: @1098256
     /* 1098256 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098333), // Rule ID 60818 //
     /* 1098261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098300 */     // MIs[0] policy
     /* 1098300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098332 */     // GIR_Coverage, 60818,
     /* 1098332 */     GIR_EraseRootFromParent_Done,
     /* 1098333 */   // Label 16148: @1098333
     /* 1098333 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098410), // Rule ID 60819 //
     /* 1098338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098377 */     // MIs[0] policy
     /* 1098377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098409 */     // GIR_Coverage, 60819,
     /* 1098409 */     GIR_EraseRootFromParent_Done,
     /* 1098410 */   // Label 16149: @1098410
     /* 1098410 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098487), // Rule ID 60822 //
     /* 1098415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098454 */     // MIs[0] policy
     /* 1098454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098486 */     // GIR_Coverage, 60822,
     /* 1098486 */     GIR_EraseRootFromParent_Done,
     /* 1098487 */   // Label 16150: @1098487
     /* 1098487 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098564), // Rule ID 60823 //
     /* 1098492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098531 */     // MIs[0] policy
     /* 1098531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098563 */     // GIR_Coverage, 60823,
     /* 1098563 */     GIR_EraseRootFromParent_Done,
     /* 1098564 */   // Label 16151: @1098564
     /* 1098564 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1098641), // Rule ID 60826 //
     /* 1098569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098608 */     // MIs[0] policy
     /* 1098608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098640 */     // GIR_Coverage, 60826,
     /* 1098640 */     GIR_EraseRootFromParent_Done,
     /* 1098641 */   // Label 16152: @1098641
     /* 1098641 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1098718), // Rule ID 60827 //
     /* 1098646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098685 */     // MIs[0] policy
     /* 1098685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098717 */     // GIR_Coverage, 60827,
     /* 1098717 */     GIR_EraseRootFromParent_Done,
     /* 1098718 */   // Label 16153: @1098718
     /* 1098718 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1098795), // Rule ID 60830 //
     /* 1098723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098762 */     // MIs[0] policy
     /* 1098762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1098775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098794 */     // GIR_Coverage, 60830,
     /* 1098794 */     GIR_EraseRootFromParent_Done,
     /* 1098795 */   // Label 16154: @1098795
     /* 1098795 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1098872), // Rule ID 60831 //
     /* 1098800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098839 */     // MIs[0] policy
     /* 1098839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098849 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1098852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098871 */     // GIR_Coverage, 60831,
     /* 1098871 */     GIR_EraseRootFromParent_Done,
     /* 1098872 */   // Label 16155: @1098872
     /* 1098872 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1098949), // Rule ID 60834 //
     /* 1098877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098916 */     // MIs[0] policy
     /* 1098916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098926 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1098929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098948 */     // GIR_Coverage, 60834,
     /* 1098948 */     GIR_EraseRootFromParent_Done,
     /* 1098949 */   // Label 16156: @1098949
     /* 1098949 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099026), // Rule ID 60835 //
     /* 1098954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098993 */     // MIs[0] policy
     /* 1098993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099025 */     // GIR_Coverage, 60835,
     /* 1099025 */     GIR_EraseRootFromParent_Done,
     /* 1099026 */   // Label 16157: @1099026
     /* 1099026 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099103), // Rule ID 60838 //
     /* 1099031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099070 */     // MIs[0] policy
     /* 1099070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099102 */     // GIR_Coverage, 60838,
     /* 1099102 */     GIR_EraseRootFromParent_Done,
     /* 1099103 */   // Label 16158: @1099103
     /* 1099103 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099180), // Rule ID 60839 //
     /* 1099108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099147 */     // MIs[0] policy
     /* 1099147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099179 */     // GIR_Coverage, 60839,
     /* 1099179 */     GIR_EraseRootFromParent_Done,
     /* 1099180 */   // Label 16159: @1099180
     /* 1099180 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099257), // Rule ID 60842 //
     /* 1099185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099224 */     // MIs[0] policy
     /* 1099224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099256 */     // GIR_Coverage, 60842,
     /* 1099256 */     GIR_EraseRootFromParent_Done,
     /* 1099257 */   // Label 16160: @1099257
     /* 1099257 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099334), // Rule ID 60843 //
     /* 1099262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099301 */     // MIs[0] policy
     /* 1099301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099333 */     // GIR_Coverage, 60843,
     /* 1099333 */     GIR_EraseRootFromParent_Done,
     /* 1099334 */   // Label 16161: @1099334
     /* 1099334 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099411), // Rule ID 60846 //
     /* 1099339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099378 */     // MIs[0] policy
     /* 1099378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099388 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099410 */     // GIR_Coverage, 60846,
     /* 1099410 */     GIR_EraseRootFromParent_Done,
     /* 1099411 */   // Label 16162: @1099411
     /* 1099411 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099488), // Rule ID 60847 //
     /* 1099416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099455 */     // MIs[0] policy
     /* 1099455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099465 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099487 */     // GIR_Coverage, 60847,
     /* 1099487 */     GIR_EraseRootFromParent_Done,
     /* 1099488 */   // Label 16163: @1099488
     /* 1099488 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099565), // Rule ID 60850 //
     /* 1099493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099532 */     // MIs[0] policy
     /* 1099532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099564 */     // GIR_Coverage, 60850,
     /* 1099564 */     GIR_EraseRootFromParent_Done,
     /* 1099565 */   // Label 16164: @1099565
     /* 1099565 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1099642), // Rule ID 60851 //
     /* 1099570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099609 */     // MIs[0] policy
     /* 1099609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099641 */     // GIR_Coverage, 60851,
     /* 1099641 */     GIR_EraseRootFromParent_Done,
     /* 1099642 */   // Label 16165: @1099642
     /* 1099642 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1099719), // Rule ID 60854 //
     /* 1099647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099686 */     // MIs[0] policy
     /* 1099686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099718 */     // GIR_Coverage, 60854,
     /* 1099718 */     GIR_EraseRootFromParent_Done,
     /* 1099719 */   // Label 16166: @1099719
     /* 1099719 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1099796), // Rule ID 60855 //
     /* 1099724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099763 */     // MIs[0] policy
     /* 1099763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099795 */     // GIR_Coverage, 60855,
     /* 1099795 */     GIR_EraseRootFromParent_Done,
     /* 1099796 */   // Label 16167: @1099796
     /* 1099796 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1099873), // Rule ID 60858 //
     /* 1099801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099840 */     // MIs[0] policy
     /* 1099840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099872 */     // GIR_Coverage, 60858,
     /* 1099872 */     GIR_EraseRootFromParent_Done,
     /* 1099873 */   // Label 16168: @1099873
     /* 1099873 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1099950), // Rule ID 60859 //
     /* 1099878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099917 */     // MIs[0] policy
     /* 1099917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099949 */     // GIR_Coverage, 60859,
     /* 1099949 */     GIR_EraseRootFromParent_Done,
     /* 1099950 */   // Label 16169: @1099950
     /* 1099950 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100027), // Rule ID 60862 //
     /* 1099955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099994 */     // MIs[0] policy
     /* 1099994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100026 */     // GIR_Coverage, 60862,
     /* 1100026 */     GIR_EraseRootFromParent_Done,
     /* 1100027 */   // Label 16170: @1100027
     /* 1100027 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100104), // Rule ID 60863 //
     /* 1100032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100071 */     // MIs[0] policy
     /* 1100071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100103 */     // GIR_Coverage, 60863,
     /* 1100103 */     GIR_EraseRootFromParent_Done,
     /* 1100104 */   // Label 16171: @1100104
     /* 1100104 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100181), // Rule ID 60866 //
     /* 1100109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100148 */     // MIs[0] policy
     /* 1100148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100180 */     // GIR_Coverage, 60866,
     /* 1100180 */     GIR_EraseRootFromParent_Done,
     /* 1100181 */   // Label 16172: @1100181
     /* 1100181 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100258), // Rule ID 60867 //
     /* 1100186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100225 */     // MIs[0] policy
     /* 1100225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100257 */     // GIR_Coverage, 60867,
     /* 1100257 */     GIR_EraseRootFromParent_Done,
     /* 1100258 */   // Label 16173: @1100258
     /* 1100258 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100335), // Rule ID 60870 //
     /* 1100263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100302 */     // MIs[0] policy
     /* 1100302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100334 */     // GIR_Coverage, 60870,
     /* 1100334 */     GIR_EraseRootFromParent_Done,
     /* 1100335 */   // Label 16174: @1100335
     /* 1100335 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100412), // Rule ID 60871 //
     /* 1100340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100379 */     // MIs[0] policy
     /* 1100379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100389 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100411 */     // GIR_Coverage, 60871,
     /* 1100411 */     GIR_EraseRootFromParent_Done,
     /* 1100412 */   // Label 16175: @1100412
     /* 1100412 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100489), // Rule ID 60874 //
     /* 1100417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100456 */     // MIs[0] policy
     /* 1100456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100466 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1100469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100488 */     // GIR_Coverage, 60874,
     /* 1100488 */     GIR_EraseRootFromParent_Done,
     /* 1100489 */   // Label 16176: @1100489
     /* 1100489 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100566), // Rule ID 60875 //
     /* 1100494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100533 */     // MIs[0] policy
     /* 1100533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1100546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100565 */     // GIR_Coverage, 60875,
     /* 1100565 */     GIR_EraseRootFromParent_Done,
     /* 1100566 */   // Label 16177: @1100566
     /* 1100566 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1100643), // Rule ID 60878 //
     /* 1100571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100610 */     // MIs[0] policy
     /* 1100610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100620 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100642 */     // GIR_Coverage, 60878,
     /* 1100642 */     GIR_EraseRootFromParent_Done,
     /* 1100643 */   // Label 16178: @1100643
     /* 1100643 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1100720), // Rule ID 60879 //
     /* 1100648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100687 */     // MIs[0] policy
     /* 1100687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100719 */     // GIR_Coverage, 60879,
     /* 1100719 */     GIR_EraseRootFromParent_Done,
     /* 1100720 */   // Label 16179: @1100720
     /* 1100720 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1100797), // Rule ID 60882 //
     /* 1100725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100764 */     // MIs[0] policy
     /* 1100764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100796 */     // GIR_Coverage, 60882,
     /* 1100796 */     GIR_EraseRootFromParent_Done,
     /* 1100797 */   // Label 16180: @1100797
     /* 1100797 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1100874), // Rule ID 60883 //
     /* 1100802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100841 */     // MIs[0] policy
     /* 1100841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100873 */     // GIR_Coverage, 60883,
     /* 1100873 */     GIR_EraseRootFromParent_Done,
     /* 1100874 */   // Label 16181: @1100874
     /* 1100874 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1100951), // Rule ID 60886 //
     /* 1100879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100918 */     // MIs[0] policy
     /* 1100918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100950 */     // GIR_Coverage, 60886,
     /* 1100950 */     GIR_EraseRootFromParent_Done,
     /* 1100951 */   // Label 16182: @1100951
     /* 1100951 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101028), // Rule ID 60887 //
     /* 1100956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100995 */     // MIs[0] policy
     /* 1100995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1101008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101027 */     // GIR_Coverage, 60887,
     /* 1101027 */     GIR_EraseRootFromParent_Done,
     /* 1101028 */   // Label 16183: @1101028
     /* 1101028 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101105), // Rule ID 60890 //
     /* 1101033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101072 */     // MIs[0] policy
     /* 1101072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101104 */     // GIR_Coverage, 60890,
     /* 1101104 */     GIR_EraseRootFromParent_Done,
     /* 1101105 */   // Label 16184: @1101105
     /* 1101105 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101182), // Rule ID 60891 //
     /* 1101110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101149 */     // MIs[0] policy
     /* 1101149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101181 */     // GIR_Coverage, 60891,
     /* 1101181 */     GIR_EraseRootFromParent_Done,
     /* 1101182 */   // Label 16185: @1101182
     /* 1101182 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101259), // Rule ID 60894 //
     /* 1101187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101226 */     // MIs[0] policy
     /* 1101226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101258 */     // GIR_Coverage, 60894,
     /* 1101258 */     GIR_EraseRootFromParent_Done,
     /* 1101259 */   // Label 16186: @1101259
     /* 1101259 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101336), // Rule ID 60895 //
     /* 1101264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101303 */     // MIs[0] policy
     /* 1101303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101335 */     // GIR_Coverage, 60895,
     /* 1101335 */     GIR_EraseRootFromParent_Done,
     /* 1101336 */   // Label 16187: @1101336
     /* 1101336 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101413), // Rule ID 60898 //
     /* 1101341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101380 */     // MIs[0] policy
     /* 1101380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101412 */     // GIR_Coverage, 60898,
     /* 1101412 */     GIR_EraseRootFromParent_Done,
     /* 1101413 */   // Label 16188: @1101413
     /* 1101413 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101490), // Rule ID 60899 //
     /* 1101418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101457 */     // MIs[0] policy
     /* 1101457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101489 */     // GIR_Coverage, 60899,
     /* 1101489 */     GIR_EraseRootFromParent_Done,
     /* 1101490 */   // Label 16189: @1101490
     /* 1101490 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101567), // Rule ID 60902 //
     /* 1101495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101534 */     // MIs[0] policy
     /* 1101534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101566 */     // GIR_Coverage, 60902,
     /* 1101566 */     GIR_EraseRootFromParent_Done,
     /* 1101567 */   // Label 16190: @1101567
     /* 1101567 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1101644), // Rule ID 60903 //
     /* 1101572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101611 */     // MIs[0] policy
     /* 1101611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101643 */     // GIR_Coverage, 60903,
     /* 1101643 */     GIR_EraseRootFromParent_Done,
     /* 1101644 */   // Label 16191: @1101644
     /* 1101644 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1101721), // Rule ID 60906 //
     /* 1101649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101688 */     // MIs[0] policy
     /* 1101688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101720 */     // GIR_Coverage, 60906,
     /* 1101720 */     GIR_EraseRootFromParent_Done,
     /* 1101721 */   // Label 16192: @1101721
     /* 1101721 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1101798), // Rule ID 60907 //
     /* 1101726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101765 */     // MIs[0] policy
     /* 1101765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101797 */     // GIR_Coverage, 60907,
     /* 1101797 */     GIR_EraseRootFromParent_Done,
     /* 1101798 */   // Label 16193: @1101798
     /* 1101798 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1101875), // Rule ID 60910 //
     /* 1101803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101842 */     // MIs[0] policy
     /* 1101842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101874 */     // GIR_Coverage, 60910,
     /* 1101874 */     GIR_EraseRootFromParent_Done,
     /* 1101875 */   // Label 16194: @1101875
     /* 1101875 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1101952), // Rule ID 60911 //
     /* 1101880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101919 */     // MIs[0] policy
     /* 1101919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101929 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101951 */     // GIR_Coverage, 60911,
     /* 1101951 */     GIR_EraseRootFromParent_Done,
     /* 1101952 */   // Label 16195: @1101952
     /* 1101952 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102029), // Rule ID 60914 //
     /* 1101957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101996 */     // MIs[0] policy
     /* 1101996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102028 */     // GIR_Coverage, 60914,
     /* 1102028 */     GIR_EraseRootFromParent_Done,
     /* 1102029 */   // Label 16196: @1102029
     /* 1102029 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102106), // Rule ID 60915 //
     /* 1102034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102073 */     // MIs[0] policy
     /* 1102073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102105 */     // GIR_Coverage, 60915,
     /* 1102105 */     GIR_EraseRootFromParent_Done,
     /* 1102106 */   // Label 16197: @1102106
     /* 1102106 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102183), // Rule ID 60918 //
     /* 1102111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102150 */     // MIs[0] policy
     /* 1102150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102182 */     // GIR_Coverage, 60918,
     /* 1102182 */     GIR_EraseRootFromParent_Done,
     /* 1102183 */   // Label 16198: @1102183
     /* 1102183 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102260), // Rule ID 60919 //
     /* 1102188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102227 */     // MIs[0] policy
     /* 1102227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102237 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102259 */     // GIR_Coverage, 60919,
     /* 1102259 */     GIR_EraseRootFromParent_Done,
     /* 1102260 */   // Label 16199: @1102260
     /* 1102260 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102337), // Rule ID 60922 //
     /* 1102265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102304 */     // MIs[0] policy
     /* 1102304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102314 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102336 */     // GIR_Coverage, 60922,
     /* 1102336 */     GIR_EraseRootFromParent_Done,
     /* 1102337 */   // Label 16200: @1102337
     /* 1102337 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102414), // Rule ID 60923 //
     /* 1102342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102381 */     // MIs[0] policy
     /* 1102381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102413 */     // GIR_Coverage, 60923,
     /* 1102413 */     GIR_EraseRootFromParent_Done,
     /* 1102414 */   // Label 16201: @1102414
     /* 1102414 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102491), // Rule ID 60926 //
     /* 1102419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102458 */     // MIs[0] policy
     /* 1102458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102490 */     // GIR_Coverage, 60926,
     /* 1102490 */     GIR_EraseRootFromParent_Done,
     /* 1102491 */   // Label 16202: @1102491
     /* 1102491 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102568), // Rule ID 60927 //
     /* 1102496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102535 */     // MIs[0] policy
     /* 1102535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102567 */     // GIR_Coverage, 60927,
     /* 1102567 */     GIR_EraseRootFromParent_Done,
     /* 1102568 */   // Label 16203: @1102568
     /* 1102568 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1102645), // Rule ID 60930 //
     /* 1102573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102612 */     // MIs[0] policy
     /* 1102612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102644 */     // GIR_Coverage, 60930,
     /* 1102644 */     GIR_EraseRootFromParent_Done,
     /* 1102645 */   // Label 16204: @1102645
     /* 1102645 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1102722), // Rule ID 60931 //
     /* 1102650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102689 */     // MIs[0] policy
     /* 1102689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102699 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102721 */     // GIR_Coverage, 60931,
     /* 1102721 */     GIR_EraseRootFromParent_Done,
     /* 1102722 */   // Label 16205: @1102722
     /* 1102722 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1102799), // Rule ID 60934 //
     /* 1102727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102766 */     // MIs[0] policy
     /* 1102766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102798 */     // GIR_Coverage, 60934,
     /* 1102798 */     GIR_EraseRootFromParent_Done,
     /* 1102799 */   // Label 16206: @1102799
     /* 1102799 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1102876), // Rule ID 60935 //
     /* 1102804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102843 */     // MIs[0] policy
     /* 1102843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102875 */     // GIR_Coverage, 60935,
     /* 1102875 */     GIR_EraseRootFromParent_Done,
     /* 1102876 */   // Label 16207: @1102876
     /* 1102876 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1102953), // Rule ID 60938 //
     /* 1102881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102920 */     // MIs[0] policy
     /* 1102920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102952 */     // GIR_Coverage, 60938,
     /* 1102952 */     GIR_EraseRootFromParent_Done,
     /* 1102953 */   // Label 16208: @1102953
     /* 1102953 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103030), // Rule ID 60939 //
     /* 1102958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102997 */     // MIs[0] policy
     /* 1102997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103029 */     // GIR_Coverage, 60939,
     /* 1103029 */     GIR_EraseRootFromParent_Done,
     /* 1103030 */   // Label 16209: @1103030
     /* 1103030 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103107), // Rule ID 60942 //
     /* 1103035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103074 */     // MIs[0] policy
     /* 1103074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103106 */     // GIR_Coverage, 60942,
     /* 1103106 */     GIR_EraseRootFromParent_Done,
     /* 1103107 */   // Label 16210: @1103107
     /* 1103107 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103184), // Rule ID 60943 //
     /* 1103112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103151 */     // MIs[0] policy
     /* 1103151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103183 */     // GIR_Coverage, 60943,
     /* 1103183 */     GIR_EraseRootFromParent_Done,
     /* 1103184 */   // Label 16211: @1103184
     /* 1103184 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103261), // Rule ID 60946 //
     /* 1103189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103228 */     // MIs[0] policy
     /* 1103228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103260 */     // GIR_Coverage, 60946,
     /* 1103260 */     GIR_EraseRootFromParent_Done,
     /* 1103261 */   // Label 16212: @1103261
     /* 1103261 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103338), // Rule ID 60947 //
     /* 1103266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103305 */     // MIs[0] policy
     /* 1103305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103337 */     // GIR_Coverage, 60947,
     /* 1103337 */     GIR_EraseRootFromParent_Done,
     /* 1103338 */   // Label 16213: @1103338
     /* 1103338 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103415), // Rule ID 60950 //
     /* 1103343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103382 */     // MIs[0] policy
     /* 1103382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103414 */     // GIR_Coverage, 60950,
     /* 1103414 */     GIR_EraseRootFromParent_Done,
     /* 1103415 */   // Label 16214: @1103415
     /* 1103415 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103492), // Rule ID 60951 //
     /* 1103420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103459 */     // MIs[0] policy
     /* 1103459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103491 */     // GIR_Coverage, 60951,
     /* 1103491 */     GIR_EraseRootFromParent_Done,
     /* 1103492 */   // Label 16215: @1103492
     /* 1103492 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103569), // Rule ID 60954 //
     /* 1103497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103536 */     // MIs[0] policy
     /* 1103536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103568 */     // GIR_Coverage, 60954,
     /* 1103568 */     GIR_EraseRootFromParent_Done,
     /* 1103569 */   // Label 16216: @1103569
     /* 1103569 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1103646), // Rule ID 60955 //
     /* 1103574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103613 */     // MIs[0] policy
     /* 1103613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103623 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103645 */     // GIR_Coverage, 60955,
     /* 1103645 */     GIR_EraseRootFromParent_Done,
     /* 1103646 */   // Label 16217: @1103646
     /* 1103646 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1103723), // Rule ID 60958 //
     /* 1103651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103690 */     // MIs[0] policy
     /* 1103690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103722 */     // GIR_Coverage, 60958,
     /* 1103722 */     GIR_EraseRootFromParent_Done,
     /* 1103723 */   // Label 16218: @1103723
     /* 1103723 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1103800), // Rule ID 60959 //
     /* 1103728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103767 */     // MIs[0] policy
     /* 1103767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103799 */     // GIR_Coverage, 60959,
     /* 1103799 */     GIR_EraseRootFromParent_Done,
     /* 1103800 */   // Label 16219: @1103800
     /* 1103800 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1103877), // Rule ID 61382 //
     /* 1103805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103844 */     // MIs[0] policy
     /* 1103844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1103857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103876 */     // GIR_Coverage, 61382,
     /* 1103876 */     GIR_EraseRootFromParent_Done,
     /* 1103877 */   // Label 16220: @1103877
     /* 1103877 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1103954), // Rule ID 61383 //
     /* 1103882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103921 */     // MIs[0] policy
     /* 1103921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1103934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103953 */     // GIR_Coverage, 61383,
     /* 1103953 */     GIR_EraseRootFromParent_Done,
     /* 1103954 */   // Label 16221: @1103954
     /* 1103954 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104031), // Rule ID 61386 //
     /* 1103959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103998 */     // MIs[0] policy
     /* 1103998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104030 */     // GIR_Coverage, 61386,
     /* 1104030 */     GIR_EraseRootFromParent_Done,
     /* 1104031 */   // Label 16222: @1104031
     /* 1104031 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104108), // Rule ID 61387 //
     /* 1104036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1104047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1104050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1104053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104075 */     // MIs[0] policy
     /* 1104075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104107 */     // GIR_Coverage, 61387,
     /* 1104107 */     GIR_EraseRootFromParent_Done,
     /* 1104108 */   // Label 16223: @1104108
     /* 1104108 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104185), // Rule ID 61390 //
     /* 1104113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1104130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104152 */     // MIs[0] policy
     /* 1104152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104162 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104184 */     // GIR_Coverage, 61390,
     /* 1104184 */     GIR_EraseRootFromParent_Done,
     /* 1104185 */   // Label 16224: @1104185
     /* 1104185 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104262), // Rule ID 61391 //
     /* 1104190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1104207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104229 */     // MIs[0] policy
     /* 1104229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104239 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104261 */     // GIR_Coverage, 61391,
     /* 1104261 */     GIR_EraseRootFromParent_Done,
     /* 1104262 */   // Label 16225: @1104262
     /* 1104262 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104339), // Rule ID 61394 //
     /* 1104267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104306 */     // MIs[0] policy
     /* 1104306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104316 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104338 */     // GIR_Coverage, 61394,
     /* 1104338 */     GIR_EraseRootFromParent_Done,
     /* 1104339 */   // Label 16226: @1104339
     /* 1104339 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104416), // Rule ID 61395 //
     /* 1104344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104383 */     // MIs[0] policy
     /* 1104383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104415 */     // GIR_Coverage, 61395,
     /* 1104415 */     GIR_EraseRootFromParent_Done,
     /* 1104416 */   // Label 16227: @1104416
     /* 1104416 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104493), // Rule ID 61398 //
     /* 1104421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104460 */     // MIs[0] policy
     /* 1104460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104470 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104492 */     // GIR_Coverage, 61398,
     /* 1104492 */     GIR_EraseRootFromParent_Done,
     /* 1104493 */   // Label 16228: @1104493
     /* 1104493 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104570), // Rule ID 61399 //
     /* 1104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104537 */     // MIs[0] policy
     /* 1104537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104569 */     // GIR_Coverage, 61399,
     /* 1104569 */     GIR_EraseRootFromParent_Done,
     /* 1104570 */   // Label 16229: @1104570
     /* 1104570 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1104647), // Rule ID 61402 //
     /* 1104575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104614 */     // MIs[0] policy
     /* 1104614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104646 */     // GIR_Coverage, 61402,
     /* 1104646 */     GIR_EraseRootFromParent_Done,
     /* 1104647 */   // Label 16230: @1104647
     /* 1104647 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1104724), // Rule ID 61403 //
     /* 1104652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104691 */     // MIs[0] policy
     /* 1104691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104723 */     // GIR_Coverage, 61403,
     /* 1104723 */     GIR_EraseRootFromParent_Done,
     /* 1104724 */   // Label 16231: @1104724
     /* 1104724 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1104801), // Rule ID 61406 //
     /* 1104729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104768 */     // MIs[0] policy
     /* 1104768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104800 */     // GIR_Coverage, 61406,
     /* 1104800 */     GIR_EraseRootFromParent_Done,
     /* 1104801 */   // Label 16232: @1104801
     /* 1104801 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1104878), // Rule ID 61407 //
     /* 1104806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104845 */     // MIs[0] policy
     /* 1104845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104877 */     // GIR_Coverage, 61407,
     /* 1104877 */     GIR_EraseRootFromParent_Done,
     /* 1104878 */   // Label 16233: @1104878
     /* 1104878 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1104955), // Rule ID 61410 //
     /* 1104883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104922 */     // MIs[0] policy
     /* 1104922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104954 */     // GIR_Coverage, 61410,
     /* 1104954 */     GIR_EraseRootFromParent_Done,
     /* 1104955 */   // Label 16234: @1104955
     /* 1104955 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105032), // Rule ID 61411 //
     /* 1104960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104999 */     // MIs[0] policy
     /* 1104999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105031 */     // GIR_Coverage, 61411,
     /* 1105031 */     GIR_EraseRootFromParent_Done,
     /* 1105032 */   // Label 16235: @1105032
     /* 1105032 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105109), // Rule ID 61414 //
     /* 1105037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105076 */     // MIs[0] policy
     /* 1105076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105108 */     // GIR_Coverage, 61414,
     /* 1105108 */     GIR_EraseRootFromParent_Done,
     /* 1105109 */   // Label 16236: @1105109
     /* 1105109 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105186), // Rule ID 61415 //
     /* 1105114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105153 */     // MIs[0] policy
     /* 1105153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105185 */     // GIR_Coverage, 61415,
     /* 1105185 */     GIR_EraseRootFromParent_Done,
     /* 1105186 */   // Label 16237: @1105186
     /* 1105186 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105263), // Rule ID 61418 //
     /* 1105191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105230 */     // MIs[0] policy
     /* 1105230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105262 */     // GIR_Coverage, 61418,
     /* 1105262 */     GIR_EraseRootFromParent_Done,
     /* 1105263 */   // Label 16238: @1105263
     /* 1105263 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105340), // Rule ID 61419 //
     /* 1105268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105307 */     // MIs[0] policy
     /* 1105307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105339 */     // GIR_Coverage, 61419,
     /* 1105339 */     GIR_EraseRootFromParent_Done,
     /* 1105340 */   // Label 16239: @1105340
     /* 1105340 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105417), // Rule ID 61422 //
     /* 1105345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105384 */     // MIs[0] policy
     /* 1105384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105416 */     // GIR_Coverage, 61422,
     /* 1105416 */     GIR_EraseRootFromParent_Done,
     /* 1105417 */   // Label 16240: @1105417
     /* 1105417 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105494), // Rule ID 61423 //
     /* 1105422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105461 */     // MIs[0] policy
     /* 1105461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105493 */     // GIR_Coverage, 61423,
     /* 1105493 */     GIR_EraseRootFromParent_Done,
     /* 1105494 */   // Label 16241: @1105494
     /* 1105494 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105571), // Rule ID 61426 //
     /* 1105499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105538 */     // MIs[0] policy
     /* 1105538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105570 */     // GIR_Coverage, 61426,
     /* 1105570 */     GIR_EraseRootFromParent_Done,
     /* 1105571 */   // Label 16242: @1105571
     /* 1105571 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1105648), // Rule ID 61427 //
     /* 1105576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105615 */     // MIs[0] policy
     /* 1105615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105625 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105647 */     // GIR_Coverage, 61427,
     /* 1105647 */     GIR_EraseRootFromParent_Done,
     /* 1105648 */   // Label 16243: @1105648
     /* 1105648 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1105725), // Rule ID 61430 //
     /* 1105653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105692 */     // MIs[0] policy
     /* 1105692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1105705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105724 */     // GIR_Coverage, 61430,
     /* 1105724 */     GIR_EraseRootFromParent_Done,
     /* 1105725 */   // Label 16244: @1105725
     /* 1105725 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1105802), // Rule ID 61431 //
     /* 1105730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105769 */     // MIs[0] policy
     /* 1105769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1105782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105801 */     // GIR_Coverage, 61431,
     /* 1105801 */     GIR_EraseRootFromParent_Done,
     /* 1105802 */   // Label 16245: @1105802
     /* 1105802 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1105879), // Rule ID 61434 //
     /* 1105807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105846 */     // MIs[0] policy
     /* 1105846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105878 */     // GIR_Coverage, 61434,
     /* 1105878 */     GIR_EraseRootFromParent_Done,
     /* 1105879 */   // Label 16246: @1105879
     /* 1105879 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1105956), // Rule ID 61435 //
     /* 1105884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105923 */     // MIs[0] policy
     /* 1105923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105955 */     // GIR_Coverage, 61435,
     /* 1105955 */     GIR_EraseRootFromParent_Done,
     /* 1105956 */   // Label 16247: @1105956
     /* 1105956 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106033), // Rule ID 61438 //
     /* 1105961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106000 */     // MIs[0] policy
     /* 1106000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106032 */     // GIR_Coverage, 61438,
     /* 1106032 */     GIR_EraseRootFromParent_Done,
     /* 1106033 */   // Label 16248: @1106033
     /* 1106033 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106110), // Rule ID 61439 //
     /* 1106038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1106049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1106052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1106055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106077 */     // MIs[0] policy
     /* 1106077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106109 */     // GIR_Coverage, 61439,
     /* 1106109 */     GIR_EraseRootFromParent_Done,
     /* 1106110 */   // Label 16249: @1106110
     /* 1106110 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106187), // Rule ID 61442 //
     /* 1106115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1106126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1106129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1106132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106154 */     // MIs[0] policy
     /* 1106154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106186 */     // GIR_Coverage, 61442,
     /* 1106186 */     GIR_EraseRootFromParent_Done,
     /* 1106187 */   // Label 16250: @1106187
     /* 1106187 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106264), // Rule ID 61443 //
     /* 1106192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1106203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1106206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1106209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106231 */     // MIs[0] policy
     /* 1106231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106263 */     // GIR_Coverage, 61443,
     /* 1106263 */     GIR_EraseRootFromParent_Done,
     /* 1106264 */   // Label 16251: @1106264
     /* 1106264 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106341), // Rule ID 61446 //
     /* 1106269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106308 */     // MIs[0] policy
     /* 1106308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106340 */     // GIR_Coverage, 61446,
     /* 1106340 */     GIR_EraseRootFromParent_Done,
     /* 1106341 */   // Label 16252: @1106341
     /* 1106341 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106418), // Rule ID 61447 //
     /* 1106346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106385 */     // MIs[0] policy
     /* 1106385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106417 */     // GIR_Coverage, 61447,
     /* 1106417 */     GIR_EraseRootFromParent_Done,
     /* 1106418 */   // Label 16253: @1106418
     /* 1106418 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106495), // Rule ID 61450 //
     /* 1106423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106462 */     // MIs[0] policy
     /* 1106462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106494 */     // GIR_Coverage, 61450,
     /* 1106494 */     GIR_EraseRootFromParent_Done,
     /* 1106495 */   // Label 16254: @1106495
     /* 1106495 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106572), // Rule ID 61451 //
     /* 1106500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106539 */     // MIs[0] policy
     /* 1106539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106571 */     // GIR_Coverage, 61451,
     /* 1106571 */     GIR_EraseRootFromParent_Done,
     /* 1106572 */   // Label 16255: @1106572
     /* 1106572 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1106649), // Rule ID 61454 //
     /* 1106577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106616 */     // MIs[0] policy
     /* 1106616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106648 */     // GIR_Coverage, 61454,
     /* 1106648 */     GIR_EraseRootFromParent_Done,
     /* 1106649 */   // Label 16256: @1106649
     /* 1106649 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1106726), // Rule ID 61455 //
     /* 1106654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106693 */     // MIs[0] policy
     /* 1106693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106725 */     // GIR_Coverage, 61455,
     /* 1106725 */     GIR_EraseRootFromParent_Done,
     /* 1106726 */   // Label 16257: @1106726
     /* 1106726 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1106803), // Rule ID 61458 //
     /* 1106731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106770 */     // MIs[0] policy
     /* 1106770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106802 */     // GIR_Coverage, 61458,
     /* 1106802 */     GIR_EraseRootFromParent_Done,
     /* 1106803 */   // Label 16258: @1106803
     /* 1106803 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1106880), // Rule ID 61459 //
     /* 1106808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106847 */     // MIs[0] policy
     /* 1106847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106879 */     // GIR_Coverage, 61459,
     /* 1106879 */     GIR_EraseRootFromParent_Done,
     /* 1106880 */   // Label 16259: @1106880
     /* 1106880 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1106957), // Rule ID 61462 //
     /* 1106885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106924 */     // MIs[0] policy
     /* 1106924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106956 */     // GIR_Coverage, 61462,
     /* 1106956 */     GIR_EraseRootFromParent_Done,
     /* 1106957 */   // Label 16260: @1106957
     /* 1106957 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107034), // Rule ID 61463 //
     /* 1106962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107001 */     // MIs[0] policy
     /* 1107001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1107014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107033 */     // GIR_Coverage, 61463,
     /* 1107033 */     GIR_EraseRootFromParent_Done,
     /* 1107034 */   // Label 16261: @1107034
     /* 1107034 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107111), // Rule ID 61466 //
     /* 1107039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1107059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107078 */     // MIs[0] policy
     /* 1107078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107110 */     // GIR_Coverage, 61466,
     /* 1107110 */     GIR_EraseRootFromParent_Done,
     /* 1107111 */   // Label 16262: @1107111
     /* 1107111 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107188), // Rule ID 61467 //
     /* 1107116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1107136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107155 */     // MIs[0] policy
     /* 1107155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107187 */     // GIR_Coverage, 61467,
     /* 1107187 */     GIR_EraseRootFromParent_Done,
     /* 1107188 */   // Label 16263: @1107188
     /* 1107188 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107265), // Rule ID 61470 //
     /* 1107193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107232 */     // MIs[0] policy
     /* 1107232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107264 */     // GIR_Coverage, 61470,
     /* 1107264 */     GIR_EraseRootFromParent_Done,
     /* 1107265 */   // Label 16264: @1107265
     /* 1107265 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107342), // Rule ID 61471 //
     /* 1107270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107309 */     // MIs[0] policy
     /* 1107309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107319 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107341 */     // GIR_Coverage, 61471,
     /* 1107341 */     GIR_EraseRootFromParent_Done,
     /* 1107342 */   // Label 16265: @1107342
     /* 1107342 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107419), // Rule ID 61474 //
     /* 1107347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107386 */     // MIs[0] policy
     /* 1107386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107418 */     // GIR_Coverage, 61474,
     /* 1107418 */     GIR_EraseRootFromParent_Done,
     /* 1107419 */   // Label 16266: @1107419
     /* 1107419 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107496), // Rule ID 61475 //
     /* 1107424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107463 */     // MIs[0] policy
     /* 1107463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107495 */     // GIR_Coverage, 61475,
     /* 1107495 */     GIR_EraseRootFromParent_Done,
     /* 1107496 */   // Label 16267: @1107496
     /* 1107496 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107573), // Rule ID 61478 //
     /* 1107501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107540 */     // MIs[0] policy
     /* 1107540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107572 */     // GIR_Coverage, 61478,
     /* 1107572 */     GIR_EraseRootFromParent_Done,
     /* 1107573 */   // Label 16268: @1107573
     /* 1107573 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1107650), // Rule ID 61479 //
     /* 1107578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107617 */     // MIs[0] policy
     /* 1107617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107649 */     // GIR_Coverage, 61479,
     /* 1107649 */     GIR_EraseRootFromParent_Done,
     /* 1107650 */   // Label 16269: @1107650
     /* 1107650 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1107727), // Rule ID 61482 //
     /* 1107655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1107672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107694 */     // MIs[0] policy
     /* 1107694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107704 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107726 */     // GIR_Coverage, 61482,
     /* 1107726 */     GIR_EraseRootFromParent_Done,
     /* 1107727 */   // Label 16270: @1107727
     /* 1107727 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1107804), // Rule ID 61483 //
     /* 1107732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1107749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107771 */     // MIs[0] policy
     /* 1107771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107803 */     // GIR_Coverage, 61483,
     /* 1107803 */     GIR_EraseRootFromParent_Done,
     /* 1107804 */   // Label 16271: @1107804
     /* 1107804 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1107881), // Rule ID 61486 //
     /* 1107809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1107820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1107823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107848 */     // MIs[0] policy
     /* 1107848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107880 */     // GIR_Coverage, 61486,
     /* 1107880 */     GIR_EraseRootFromParent_Done,
     /* 1107881 */   // Label 16272: @1107881
     /* 1107881 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1107958), // Rule ID 61487 //
     /* 1107886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1107897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1107900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107925 */     // MIs[0] policy
     /* 1107925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107957 */     // GIR_Coverage, 61487,
     /* 1107957 */     GIR_EraseRootFromParent_Done,
     /* 1107958 */   // Label 16273: @1107958
     /* 1107958 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108035), // Rule ID 61490 //
     /* 1107963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108002 */     // MIs[0] policy
     /* 1108002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108034 */     // GIR_Coverage, 61490,
     /* 1108034 */     GIR_EraseRootFromParent_Done,
     /* 1108035 */   // Label 16274: @1108035
     /* 1108035 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108112), // Rule ID 61491 //
     /* 1108040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108079 */     // MIs[0] policy
     /* 1108079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108111 */     // GIR_Coverage, 61491,
     /* 1108111 */     GIR_EraseRootFromParent_Done,
     /* 1108112 */   // Label 16275: @1108112
     /* 1108112 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108189), // Rule ID 61494 //
     /* 1108117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1108128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1108131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1108137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108156 */     // MIs[0] policy
     /* 1108156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108188 */     // GIR_Coverage, 61494,
     /* 1108188 */     GIR_EraseRootFromParent_Done,
     /* 1108189 */   // Label 16276: @1108189
     /* 1108189 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108266), // Rule ID 61495 //
     /* 1108194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1108205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1108208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1108214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108233 */     // MIs[0] policy
     /* 1108233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108243 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108265 */     // GIR_Coverage, 61495,
     /* 1108265 */     GIR_EraseRootFromParent_Done,
     /* 1108266 */   // Label 16277: @1108266
     /* 1108266 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108343), // Rule ID 61498 //
     /* 1108271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108310 */     // MIs[0] policy
     /* 1108310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108342 */     // GIR_Coverage, 61498,
     /* 1108342 */     GIR_EraseRootFromParent_Done,
     /* 1108343 */   // Label 16278: @1108343
     /* 1108343 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108420), // Rule ID 61499 //
     /* 1108348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108387 */     // MIs[0] policy
     /* 1108387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108419 */     // GIR_Coverage, 61499,
     /* 1108419 */     GIR_EraseRootFromParent_Done,
     /* 1108420 */   // Label 16279: @1108420
     /* 1108420 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108497), // Rule ID 61502 //
     /* 1108425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108464 */     // MIs[0] policy
     /* 1108464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108496 */     // GIR_Coverage, 61502,
     /* 1108496 */     GIR_EraseRootFromParent_Done,
     /* 1108497 */   // Label 16280: @1108497
     /* 1108497 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108574), // Rule ID 61503 //
     /* 1108502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108541 */     // MIs[0] policy
     /* 1108541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108573 */     // GIR_Coverage, 61503,
     /* 1108573 */     GIR_EraseRootFromParent_Done,
     /* 1108574 */   // Label 16281: @1108574
     /* 1108574 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1108651), // Rule ID 61506 //
     /* 1108579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108618 */     // MIs[0] policy
     /* 1108618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108650 */     // GIR_Coverage, 61506,
     /* 1108650 */     GIR_EraseRootFromParent_Done,
     /* 1108651 */   // Label 16282: @1108651
     /* 1108651 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1108728), // Rule ID 61507 //
     /* 1108656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108695 */     // MIs[0] policy
     /* 1108695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108727 */     // GIR_Coverage, 61507,
     /* 1108727 */     GIR_EraseRootFromParent_Done,
     /* 1108728 */   // Label 16283: @1108728
     /* 1108728 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1108805), // Rule ID 61510 //
     /* 1108733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1108744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1108747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1108753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1108760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108772 */     // MIs[0] policy
     /* 1108772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108782 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1108785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108804 */     // GIR_Coverage, 61510,
     /* 1108804 */     GIR_EraseRootFromParent_Done,
     /* 1108805 */   // Label 16284: @1108805
     /* 1108805 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1108882), // Rule ID 61511 //
     /* 1108810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1108821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1108824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1108830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1108837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108849 */     // MIs[0] policy
     /* 1108849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1108862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108881 */     // GIR_Coverage, 61511,
     /* 1108881 */     GIR_EraseRootFromParent_Done,
     /* 1108882 */   // Label 16285: @1108882
     /* 1108882 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1108959), // Rule ID 61514 //
     /* 1108887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1108898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1108901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1108904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1108907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1108914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108926 */     // MIs[0] policy
     /* 1108926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1108939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108958 */     // GIR_Coverage, 61514,
     /* 1108958 */     GIR_EraseRootFromParent_Done,
     /* 1108959 */   // Label 16286: @1108959
     /* 1108959 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109036), // Rule ID 61515 //
     /* 1108964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1108975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1108978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1108981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1108984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1108991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109003 */     // MIs[0] policy
     /* 1109003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109013 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109035 */     // GIR_Coverage, 61515,
     /* 1109035 */     GIR_EraseRootFromParent_Done,
     /* 1109036 */   // Label 16287: @1109036
     /* 1109036 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109113), // Rule ID 61518 //
     /* 1109041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1109052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1109055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1109061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109080 */     // MIs[0] policy
     /* 1109080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109090 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109112 */     // GIR_Coverage, 61518,
     /* 1109112 */     GIR_EraseRootFromParent_Done,
     /* 1109113 */   // Label 16288: @1109113
     /* 1109113 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109190), // Rule ID 61519 //
     /* 1109118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1109129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1109132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1109138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109157 */     // MIs[0] policy
     /* 1109157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109167 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109189 */     // GIR_Coverage, 61519,
     /* 1109189 */     GIR_EraseRootFromParent_Done,
     /* 1109190 */   // Label 16289: @1109190
     /* 1109190 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109267), // Rule ID 61522 //
     /* 1109195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109234 */     // MIs[0] policy
     /* 1109234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109266 */     // GIR_Coverage, 61522,
     /* 1109266 */     GIR_EraseRootFromParent_Done,
     /* 1109267 */   // Label 16290: @1109267
     /* 1109267 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109344), // Rule ID 61523 //
     /* 1109272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109311 */     // MIs[0] policy
     /* 1109311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109343 */     // GIR_Coverage, 61523,
     /* 1109343 */     GIR_EraseRootFromParent_Done,
     /* 1109344 */   // Label 16291: @1109344
     /* 1109344 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109421), // Rule ID 61526 //
     /* 1109349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109388 */     // MIs[0] policy
     /* 1109388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109420 */     // GIR_Coverage, 61526,
     /* 1109420 */     GIR_EraseRootFromParent_Done,
     /* 1109421 */   // Label 16292: @1109421
     /* 1109421 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109498), // Rule ID 61527 //
     /* 1109426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109465 */     // MIs[0] policy
     /* 1109465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109475 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109497 */     // GIR_Coverage, 61527,
     /* 1109497 */     GIR_EraseRootFromParent_Done,
     /* 1109498 */   // Label 16293: @1109498
     /* 1109498 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109575), // Rule ID 61530 //
     /* 1109503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1109514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1109517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1109520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109542 */     // MIs[0] policy
     /* 1109542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109574 */     // GIR_Coverage, 61530,
     /* 1109574 */     GIR_EraseRootFromParent_Done,
     /* 1109575 */   // Label 16294: @1109575
     /* 1109575 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1109652), // Rule ID 61531 //
     /* 1109580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1109591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1109594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1109597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109619 */     // MIs[0] policy
     /* 1109619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109651 */     // GIR_Coverage, 61531,
     /* 1109651 */     GIR_EraseRootFromParent_Done,
     /* 1109652 */   // Label 16295: @1109652
     /* 1109652 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1109729), // Rule ID 61534 //
     /* 1109657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1109677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109696 */     // MIs[0] policy
     /* 1109696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109728 */     // GIR_Coverage, 61534,
     /* 1109728 */     GIR_EraseRootFromParent_Done,
     /* 1109729 */   // Label 16296: @1109729
     /* 1109729 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1109806), // Rule ID 61535 //
     /* 1109734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1109754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109773 */     // MIs[0] policy
     /* 1109773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109805 */     // GIR_Coverage, 61535,
     /* 1109805 */     GIR_EraseRootFromParent_Done,
     /* 1109806 */   // Label 16297: @1109806
     /* 1109806 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1109883), // Rule ID 61538 //
     /* 1109811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109850 */     // MIs[0] policy
     /* 1109850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109882 */     // GIR_Coverage, 61538,
     /* 1109882 */     GIR_EraseRootFromParent_Done,
     /* 1109883 */   // Label 16298: @1109883
     /* 1109883 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1109960), // Rule ID 61539 //
     /* 1109888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109927 */     // MIs[0] policy
     /* 1109927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109959 */     // GIR_Coverage, 61539,
     /* 1109959 */     GIR_EraseRootFromParent_Done,
     /* 1109960 */   // Label 16299: @1109960
     /* 1109960 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110037), // Rule ID 61542 //
     /* 1109965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110004 */     // MIs[0] policy
     /* 1110004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110036 */     // GIR_Coverage, 61542,
     /* 1110036 */     GIR_EraseRootFromParent_Done,
     /* 1110037 */   // Label 16300: @1110037
     /* 1110037 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110114), // Rule ID 61543 //
     /* 1110042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1110062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110081 */     // MIs[0] policy
     /* 1110081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110113 */     // GIR_Coverage, 61543,
     /* 1110113 */     GIR_EraseRootFromParent_Done,
     /* 1110114 */   // Label 16301: @1110114
     /* 1110114 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110191), // Rule ID 61546 //
     /* 1110119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1110139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110158 */     // MIs[0] policy
     /* 1110158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110190 */     // GIR_Coverage, 61546,
     /* 1110190 */     GIR_EraseRootFromParent_Done,
     /* 1110191 */   // Label 16302: @1110191
     /* 1110191 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110268), // Rule ID 61547 //
     /* 1110196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1110216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110235 */     // MIs[0] policy
     /* 1110235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110267 */     // GIR_Coverage, 61547,
     /* 1110267 */     GIR_EraseRootFromParent_Done,
     /* 1110268 */   // Label 16303: @1110268
     /* 1110268 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110345), // Rule ID 61550 //
     /* 1110273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110312 */     // MIs[0] policy
     /* 1110312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110344 */     // GIR_Coverage, 61550,
     /* 1110344 */     GIR_EraseRootFromParent_Done,
     /* 1110345 */   // Label 16304: @1110345
     /* 1110345 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110422), // Rule ID 61551 //
     /* 1110350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110389 */     // MIs[0] policy
     /* 1110389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110421 */     // GIR_Coverage, 61551,
     /* 1110421 */     GIR_EraseRootFromParent_Done,
     /* 1110422 */   // Label 16305: @1110422
     /* 1110422 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110499), // Rule ID 61554 //
     /* 1110427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110466 */     // MIs[0] policy
     /* 1110466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110498 */     // GIR_Coverage, 61554,
     /* 1110498 */     GIR_EraseRootFromParent_Done,
     /* 1110499 */   // Label 16306: @1110499
     /* 1110499 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110576), // Rule ID 61555 //
     /* 1110504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110543 */     // MIs[0] policy
     /* 1110543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110575 */     // GIR_Coverage, 61555,
     /* 1110575 */     GIR_EraseRootFromParent_Done,
     /* 1110576 */   // Label 16307: @1110576
     /* 1110576 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1110653), // Rule ID 62080 //
     /* 1110581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110620 */     // MIs[0] policy
     /* 1110620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1110633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110652 */     // GIR_Coverage, 62080,
     /* 1110652 */     GIR_EraseRootFromParent_Done,
     /* 1110653 */   // Label 16308: @1110653
     /* 1110653 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1110730), // Rule ID 62081 //
     /* 1110658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110697 */     // MIs[0] policy
     /* 1110697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1110710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110729 */     // GIR_Coverage, 62081,
     /* 1110729 */     GIR_EraseRootFromParent_Done,
     /* 1110730 */   // Label 16309: @1110730
     /* 1110730 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1110807), // Rule ID 62082 //
     /* 1110735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110774 */     // MIs[0] policy
     /* 1110774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1110787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110806 */     // GIR_Coverage, 62082,
     /* 1110806 */     GIR_EraseRootFromParent_Done,
     /* 1110807 */   // Label 16310: @1110807
     /* 1110807 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1110884), // Rule ID 62083 //
     /* 1110812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110851 */     // MIs[0] policy
     /* 1110851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1110864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110883 */     // GIR_Coverage, 62083,
     /* 1110883 */     GIR_EraseRootFromParent_Done,
     /* 1110884 */   // Label 16311: @1110884
     /* 1110884 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1110961), // Rule ID 62084 //
     /* 1110889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110928 */     // MIs[0] policy
     /* 1110928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1110941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110960 */     // GIR_Coverage, 62084,
     /* 1110960 */     GIR_EraseRootFromParent_Done,
     /* 1110961 */   // Label 16312: @1110961
     /* 1110961 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111038), // Rule ID 62085 //
     /* 1110966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111005 */     // MIs[0] policy
     /* 1111005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1111018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111037 */     // GIR_Coverage, 62085,
     /* 1111037 */     GIR_EraseRootFromParent_Done,
     /* 1111038 */   // Label 16313: @1111038
     /* 1111038 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111115), // Rule ID 62086 //
     /* 1111043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1111046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111082 */     // MIs[0] policy
     /* 1111082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1111095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111114 */     // GIR_Coverage, 62086,
     /* 1111114 */     GIR_EraseRootFromParent_Done,
     /* 1111115 */   // Label 16314: @1111115
     /* 1111115 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111192), // Rule ID 62087 //
     /* 1111120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1111123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111159 */     // MIs[0] policy
     /* 1111159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1111172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111191 */     // GIR_Coverage, 62087,
     /* 1111191 */     GIR_EraseRootFromParent_Done,
     /* 1111192 */   // Label 16315: @1111192
     /* 1111192 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111269), // Rule ID 62290 //
     /* 1111197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111236 */     // MIs[0] policy
     /* 1111236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111268 */     // GIR_Coverage, 62290,
     /* 1111268 */     GIR_EraseRootFromParent_Done,
     /* 1111269 */   // Label 16316: @1111269
     /* 1111269 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111346), // Rule ID 62291 //
     /* 1111274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111313 */     // MIs[0] policy
     /* 1111313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111345 */     // GIR_Coverage, 62291,
     /* 1111345 */     GIR_EraseRootFromParent_Done,
     /* 1111346 */   // Label 16317: @1111346
     /* 1111346 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111423), // Rule ID 62292 //
     /* 1111351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111390 */     // MIs[0] policy
     /* 1111390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111422 */     // GIR_Coverage, 62292,
     /* 1111422 */     GIR_EraseRootFromParent_Done,
     /* 1111423 */   // Label 16318: @1111423
     /* 1111423 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111500), // Rule ID 62293 //
     /* 1111428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111467 */     // MIs[0] policy
     /* 1111467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111499 */     // GIR_Coverage, 62293,
     /* 1111499 */     GIR_EraseRootFromParent_Done,
     /* 1111500 */   // Label 16319: @1111500
     /* 1111500 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111577), // Rule ID 62294 //
     /* 1111505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111544 */     // MIs[0] policy
     /* 1111544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111576 */     // GIR_Coverage, 62294,
     /* 1111576 */     GIR_EraseRootFromParent_Done,
     /* 1111577 */   // Label 16320: @1111577
     /* 1111577 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1111654), // Rule ID 62295 //
     /* 1111582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111621 */     // MIs[0] policy
     /* 1111621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111653 */     // GIR_Coverage, 62295,
     /* 1111653 */     GIR_EraseRootFromParent_Done,
     /* 1111654 */   // Label 16321: @1111654
     /* 1111654 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1111731), // Rule ID 62296 //
     /* 1111659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111698 */     // MIs[0] policy
     /* 1111698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111730 */     // GIR_Coverage, 62296,
     /* 1111730 */     GIR_EraseRootFromParent_Done,
     /* 1111731 */   // Label 16322: @1111731
     /* 1111731 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1111808), // Rule ID 62297 //
     /* 1111736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111775 */     // MIs[0] policy
     /* 1111775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111807 */     // GIR_Coverage, 62297,
     /* 1111807 */     GIR_EraseRootFromParent_Done,
     /* 1111808 */   // Label 16323: @1111808
     /* 1111808 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1111885), // Rule ID 62298 //
     /* 1111813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111852 */     // MIs[0] policy
     /* 1111852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111884 */     // GIR_Coverage, 62298,
     /* 1111884 */     GIR_EraseRootFromParent_Done,
     /* 1111885 */   // Label 16324: @1111885
     /* 1111885 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1111962), // Rule ID 62299 //
     /* 1111890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111929 */     // MIs[0] policy
     /* 1111929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111961 */     // GIR_Coverage, 62299,
     /* 1111961 */     GIR_EraseRootFromParent_Done,
     /* 1111962 */   // Label 16325: @1111962
     /* 1111962 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112039), // Rule ID 62300 //
     /* 1111967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112006 */     // MIs[0] policy
     /* 1112006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1112019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112038 */     // GIR_Coverage, 62300,
     /* 1112038 */     GIR_EraseRootFromParent_Done,
     /* 1112039 */   // Label 16326: @1112039
     /* 1112039 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112116), // Rule ID 62301 //
     /* 1112044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112083 */     // MIs[0] policy
     /* 1112083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1112096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112115 */     // GIR_Coverage, 62301,
     /* 1112115 */     GIR_EraseRootFromParent_Done,
     /* 1112116 */   // Label 16327: @1112116
     /* 1112116 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112193), // Rule ID 62302 //
     /* 1112121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112160 */     // MIs[0] policy
     /* 1112160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1112173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112192 */     // GIR_Coverage, 62302,
     /* 1112192 */     GIR_EraseRootFromParent_Done,
     /* 1112193 */   // Label 16328: @1112193
     /* 1112193 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112270), // Rule ID 62303 //
     /* 1112198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112237 */     // MIs[0] policy
     /* 1112237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1112250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112269 */     // GIR_Coverage, 62303,
     /* 1112269 */     GIR_EraseRootFromParent_Done,
     /* 1112270 */   // Label 16329: @1112270
     /* 1112270 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112347), // Rule ID 62304 //
     /* 1112275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112314 */     // MIs[0] policy
     /* 1112314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112346 */     // GIR_Coverage, 62304,
     /* 1112346 */     GIR_EraseRootFromParent_Done,
     /* 1112347 */   // Label 16330: @1112347
     /* 1112347 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112424), // Rule ID 62305 //
     /* 1112352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112391 */     // MIs[0] policy
     /* 1112391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112423 */     // GIR_Coverage, 62305,
     /* 1112423 */     GIR_EraseRootFromParent_Done,
     /* 1112424 */   // Label 16331: @1112424
     /* 1112424 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112501), // Rule ID 62306 //
     /* 1112429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112468 */     // MIs[0] policy
     /* 1112468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112500 */     // GIR_Coverage, 62306,
     /* 1112500 */     GIR_EraseRootFromParent_Done,
     /* 1112501 */   // Label 16332: @1112501
     /* 1112501 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112578), // Rule ID 62307 //
     /* 1112506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112545 */     // MIs[0] policy
     /* 1112545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112577 */     // GIR_Coverage, 62307,
     /* 1112577 */     GIR_EraseRootFromParent_Done,
     /* 1112578 */   // Label 16333: @1112578
     /* 1112578 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1112655), // Rule ID 62308 //
     /* 1112583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112622 */     // MIs[0] policy
     /* 1112622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112654 */     // GIR_Coverage, 62308,
     /* 1112654 */     GIR_EraseRootFromParent_Done,
     /* 1112655 */   // Label 16334: @1112655
     /* 1112655 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1112732), // Rule ID 62309 //
     /* 1112660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112699 */     // MIs[0] policy
     /* 1112699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112731 */     // GIR_Coverage, 62309,
     /* 1112731 */     GIR_EraseRootFromParent_Done,
     /* 1112732 */   // Label 16335: @1112732
     /* 1112732 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1112809), // Rule ID 62310 //
     /* 1112737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112776 */     // MIs[0] policy
     /* 1112776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112808 */     // GIR_Coverage, 62310,
     /* 1112808 */     GIR_EraseRootFromParent_Done,
     /* 1112809 */   // Label 16336: @1112809
     /* 1112809 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1112886), // Rule ID 62311 //
     /* 1112814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112853 */     // MIs[0] policy
     /* 1112853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112885 */     // GIR_Coverage, 62311,
     /* 1112885 */     GIR_EraseRootFromParent_Done,
     /* 1112886 */   // Label 16337: @1112886
     /* 1112886 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1112963), // Rule ID 62312 //
     /* 1112891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112930 */     // MIs[0] policy
     /* 1112930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112962 */     // GIR_Coverage, 62312,
     /* 1112962 */     GIR_EraseRootFromParent_Done,
     /* 1112963 */   // Label 16338: @1112963
     /* 1112963 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113040), // Rule ID 62313 //
     /* 1112968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113007 */     // MIs[0] policy
     /* 1113007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1113020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113039 */     // GIR_Coverage, 62313,
     /* 1113039 */     GIR_EraseRootFromParent_Done,
     /* 1113040 */   // Label 16339: @1113040
     /* 1113040 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113117), // Rule ID 62314 //
     /* 1113045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113084 */     // MIs[0] policy
     /* 1113084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113116 */     // GIR_Coverage, 62314,
     /* 1113116 */     GIR_EraseRootFromParent_Done,
     /* 1113117 */   // Label 16340: @1113117
     /* 1113117 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113194), // Rule ID 62315 //
     /* 1113122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113161 */     // MIs[0] policy
     /* 1113161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113193 */     // GIR_Coverage, 62315,
     /* 1113193 */     GIR_EraseRootFromParent_Done,
     /* 1113194 */   // Label 16341: @1113194
     /* 1113194 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113271), // Rule ID 62316 //
     /* 1113199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113238 */     // MIs[0] policy
     /* 1113238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113270 */     // GIR_Coverage, 62316,
     /* 1113270 */     GIR_EraseRootFromParent_Done,
     /* 1113271 */   // Label 16342: @1113271
     /* 1113271 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113348), // Rule ID 62317 //
     /* 1113276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113315 */     // MIs[0] policy
     /* 1113315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113347 */     // GIR_Coverage, 62317,
     /* 1113347 */     GIR_EraseRootFromParent_Done,
     /* 1113348 */   // Label 16343: @1113348
     /* 1113348 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113425), // Rule ID 62318 //
     /* 1113353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113392 */     // MIs[0] policy
     /* 1113392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113424 */     // GIR_Coverage, 62318,
     /* 1113424 */     GIR_EraseRootFromParent_Done,
     /* 1113425 */   // Label 16344: @1113425
     /* 1113425 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113502), // Rule ID 62319 //
     /* 1113430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113469 */     // MIs[0] policy
     /* 1113469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113501 */     // GIR_Coverage, 62319,
     /* 1113501 */     GIR_EraseRootFromParent_Done,
     /* 1113502 */   // Label 16345: @1113502
     /* 1113502 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113579), // Rule ID 62320 //
     /* 1113507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113546 */     // MIs[0] policy
     /* 1113546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1113559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113578 */     // GIR_Coverage, 62320,
     /* 1113578 */     GIR_EraseRootFromParent_Done,
     /* 1113579 */   // Label 16346: @1113579
     /* 1113579 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1113656), // Rule ID 62321 //
     /* 1113584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113623 */     // MIs[0] policy
     /* 1113623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1113636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113655 */     // GIR_Coverage, 62321,
     /* 1113655 */     GIR_EraseRootFromParent_Done,
     /* 1113656 */   // Label 16347: @1113656
     /* 1113656 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1113733), // Rule ID 62322 //
     /* 1113661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113700 */     // MIs[0] policy
     /* 1113700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113732 */     // GIR_Coverage, 62322,
     /* 1113732 */     GIR_EraseRootFromParent_Done,
     /* 1113733 */   // Label 16348: @1113733
     /* 1113733 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1113810), // Rule ID 62323 //
     /* 1113738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113777 */     // MIs[0] policy
     /* 1113777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113809 */     // GIR_Coverage, 62323,
     /* 1113809 */     GIR_EraseRootFromParent_Done,
     /* 1113810 */   // Label 16349: @1113810
     /* 1113810 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1113887), // Rule ID 62324 //
     /* 1113815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1113826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1113829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1113835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113854 */     // MIs[0] policy
     /* 1113854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113886 */     // GIR_Coverage, 62324,
     /* 1113886 */     GIR_EraseRootFromParent_Done,
     /* 1113887 */   // Label 16350: @1113887
     /* 1113887 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1113964), // Rule ID 62325 //
     /* 1113892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1113903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1113906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1113912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113931 */     // MIs[0] policy
     /* 1113931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113963 */     // GIR_Coverage, 62325,
     /* 1113963 */     GIR_EraseRootFromParent_Done,
     /* 1113964 */   // Label 16351: @1113964
     /* 1113964 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114041), // Rule ID 62326 //
     /* 1113969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114008 */     // MIs[0] policy
     /* 1114008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114040 */     // GIR_Coverage, 62326,
     /* 1114040 */     GIR_EraseRootFromParent_Done,
     /* 1114041 */   // Label 16352: @1114041
     /* 1114041 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114118), // Rule ID 62327 //
     /* 1114046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1114063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1114066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114085 */     // MIs[0] policy
     /* 1114085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114095 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114117 */     // GIR_Coverage, 62327,
     /* 1114117 */     GIR_EraseRootFromParent_Done,
     /* 1114118 */   // Label 16353: @1114118
     /* 1114118 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114195), // Rule ID 62328 //
     /* 1114123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1114140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1114143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114162 */     // MIs[0] policy
     /* 1114162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114194 */     // GIR_Coverage, 62328,
     /* 1114194 */     GIR_EraseRootFromParent_Done,
     /* 1114195 */   // Label 16354: @1114195
     /* 1114195 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114272), // Rule ID 62329 //
     /* 1114200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1114217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1114220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114239 */     // MIs[0] policy
     /* 1114239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114271 */     // GIR_Coverage, 62329,
     /* 1114271 */     GIR_EraseRootFromParent_Done,
     /* 1114272 */   // Label 16355: @1114272
     /* 1114272 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114349), // Rule ID 62330 //
     /* 1114277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114316 */     // MIs[0] policy
     /* 1114316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114348 */     // GIR_Coverage, 62330,
     /* 1114348 */     GIR_EraseRootFromParent_Done,
     /* 1114349 */   // Label 16356: @1114349
     /* 1114349 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114426), // Rule ID 62331 //
     /* 1114354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114393 */     // MIs[0] policy
     /* 1114393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114425 */     // GIR_Coverage, 62331,
     /* 1114425 */     GIR_EraseRootFromParent_Done,
     /* 1114426 */   // Label 16357: @1114426
     /* 1114426 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114503), // Rule ID 62332 //
     /* 1114431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114470 */     // MIs[0] policy
     /* 1114470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114502 */     // GIR_Coverage, 62332,
     /* 1114502 */     GIR_EraseRootFromParent_Done,
     /* 1114503 */   // Label 16358: @1114503
     /* 1114503 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114580), // Rule ID 62333 //
     /* 1114508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114547 */     // MIs[0] policy
     /* 1114547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114579 */     // GIR_Coverage, 62333,
     /* 1114579 */     GIR_EraseRootFromParent_Done,
     /* 1114580 */   // Label 16359: @1114580
     /* 1114580 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1114657), // Rule ID 62334 //
     /* 1114585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114624 */     // MIs[0] policy
     /* 1114624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114656 */     // GIR_Coverage, 62334,
     /* 1114656 */     GIR_EraseRootFromParent_Done,
     /* 1114657 */   // Label 16360: @1114657
     /* 1114657 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1114734), // Rule ID 62335 //
     /* 1114662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114701 */     // MIs[0] policy
     /* 1114701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114733 */     // GIR_Coverage, 62335,
     /* 1114733 */     GIR_EraseRootFromParent_Done,
     /* 1114734 */   // Label 16361: @1114734
     /* 1114734 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1114811), // Rule ID 62336 //
     /* 1114739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114778 */     // MIs[0] policy
     /* 1114778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114810 */     // GIR_Coverage, 62336,
     /* 1114810 */     GIR_EraseRootFromParent_Done,
     /* 1114811 */   // Label 16362: @1114811
     /* 1114811 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1114888), // Rule ID 62337 //
     /* 1114816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114855 */     // MIs[0] policy
     /* 1114855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114865 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114887 */     // GIR_Coverage, 62337,
     /* 1114887 */     GIR_EraseRootFromParent_Done,
     /* 1114888 */   // Label 16363: @1114888
     /* 1114888 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1114965), // Rule ID 62338 //
     /* 1114893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114932 */     // MIs[0] policy
     /* 1114932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1114945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114964 */     // GIR_Coverage, 62338,
     /* 1114964 */     GIR_EraseRootFromParent_Done,
     /* 1114965 */   // Label 16364: @1114965
     /* 1114965 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115042), // Rule ID 62339 //
     /* 1114970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115009 */     // MIs[0] policy
     /* 1115009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115019 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1115022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115041 */     // GIR_Coverage, 62339,
     /* 1115041 */     GIR_EraseRootFromParent_Done,
     /* 1115042 */   // Label 16365: @1115042
     /* 1115042 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115119), // Rule ID 62340 //
     /* 1115047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1115067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115086 */     // MIs[0] policy
     /* 1115086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115118 */     // GIR_Coverage, 62340,
     /* 1115118 */     GIR_EraseRootFromParent_Done,
     /* 1115119 */   // Label 16366: @1115119
     /* 1115119 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115196), // Rule ID 62341 //
     /* 1115124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1115144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115163 */     // MIs[0] policy
     /* 1115163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115195 */     // GIR_Coverage, 62341,
     /* 1115195 */     GIR_EraseRootFromParent_Done,
     /* 1115196 */   // Label 16367: @1115196
     /* 1115196 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115273), // Rule ID 62342 //
     /* 1115201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115240 */     // MIs[0] policy
     /* 1115240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115250 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115272 */     // GIR_Coverage, 62342,
     /* 1115272 */     GIR_EraseRootFromParent_Done,
     /* 1115273 */   // Label 16368: @1115273
     /* 1115273 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115350), // Rule ID 62343 //
     /* 1115278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115317 */     // MIs[0] policy
     /* 1115317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115349 */     // GIR_Coverage, 62343,
     /* 1115349 */     GIR_EraseRootFromParent_Done,
     /* 1115350 */   // Label 16369: @1115350
     /* 1115350 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115427), // Rule ID 62344 //
     /* 1115355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115394 */     // MIs[0] policy
     /* 1115394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115426 */     // GIR_Coverage, 62344,
     /* 1115426 */     GIR_EraseRootFromParent_Done,
     /* 1115427 */   // Label 16370: @1115427
     /* 1115427 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115504), // Rule ID 62345 //
     /* 1115432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115471 */     // MIs[0] policy
     /* 1115471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115503 */     // GIR_Coverage, 62345,
     /* 1115503 */     GIR_EraseRootFromParent_Done,
     /* 1115504 */   // Label 16371: @1115504
     /* 1115504 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115581), // Rule ID 62346 //
     /* 1115509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1115529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115548 */     // MIs[0] policy
     /* 1115548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115580 */     // GIR_Coverage, 62346,
     /* 1115580 */     GIR_EraseRootFromParent_Done,
     /* 1115581 */   // Label 16372: @1115581
     /* 1115581 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1115658), // Rule ID 62347 //
     /* 1115586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1115606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115625 */     // MIs[0] policy
     /* 1115625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115657 */     // GIR_Coverage, 62347,
     /* 1115657 */     GIR_EraseRootFromParent_Done,
     /* 1115658 */   // Label 16373: @1115658
     /* 1115658 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1115735), // Rule ID 62348 //
     /* 1115663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1115680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1115683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115702 */     // MIs[0] policy
     /* 1115702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115734 */     // GIR_Coverage, 62348,
     /* 1115734 */     GIR_EraseRootFromParent_Done,
     /* 1115735 */   // Label 16374: @1115735
     /* 1115735 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1115812), // Rule ID 62349 //
     /* 1115740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1115757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1115760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115779 */     // MIs[0] policy
     /* 1115779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115811 */     // GIR_Coverage, 62349,
     /* 1115811 */     GIR_EraseRootFromParent_Done,
     /* 1115812 */   // Label 16375: @1115812
     /* 1115812 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1115889), // Rule ID 62350 //
     /* 1115817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1115828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1115831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1115834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1115837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115856 */     // MIs[0] policy
     /* 1115856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115888 */     // GIR_Coverage, 62350,
     /* 1115888 */     GIR_EraseRootFromParent_Done,
     /* 1115889 */   // Label 16376: @1115889
     /* 1115889 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1115966), // Rule ID 62351 //
     /* 1115894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1115905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1115908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1115911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1115914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115933 */     // MIs[0] policy
     /* 1115933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115965 */     // GIR_Coverage, 62351,
     /* 1115965 */     GIR_EraseRootFromParent_Done,
     /* 1115966 */   // Label 16377: @1115966
     /* 1115966 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116043), // Rule ID 62352 //
     /* 1115971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1115982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1115985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1115988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1115991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116010 */     // MIs[0] policy
     /* 1116010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116042 */     // GIR_Coverage, 62352,
     /* 1116042 */     GIR_EraseRootFromParent_Done,
     /* 1116043 */   // Label 16378: @1116043
     /* 1116043 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116120), // Rule ID 62353 //
     /* 1116048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1116068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116087 */     // MIs[0] policy
     /* 1116087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116119 */     // GIR_Coverage, 62353,
     /* 1116119 */     GIR_EraseRootFromParent_Done,
     /* 1116120 */   // Label 16379: @1116120
     /* 1116120 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116197), // Rule ID 62354 //
     /* 1116125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116164 */     // MIs[0] policy
     /* 1116164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116196 */     // GIR_Coverage, 62354,
     /* 1116196 */     GIR_EraseRootFromParent_Done,
     /* 1116197 */   // Label 16380: @1116197
     /* 1116197 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116274), // Rule ID 62355 //
     /* 1116202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116241 */     // MIs[0] policy
     /* 1116241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116251 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116273 */     // GIR_Coverage, 62355,
     /* 1116273 */     GIR_EraseRootFromParent_Done,
     /* 1116274 */   // Label 16381: @1116274
     /* 1116274 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116351), // Rule ID 62356 //
     /* 1116279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116318 */     // MIs[0] policy
     /* 1116318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116350 */     // GIR_Coverage, 62356,
     /* 1116350 */     GIR_EraseRootFromParent_Done,
     /* 1116351 */   // Label 16382: @1116351
     /* 1116351 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116428), // Rule ID 62357 //
     /* 1116356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116395 */     // MIs[0] policy
     /* 1116395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116427 */     // GIR_Coverage, 62357,
     /* 1116427 */     GIR_EraseRootFromParent_Done,
     /* 1116428 */   // Label 16383: @1116428
     /* 1116428 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116505), // Rule ID 62358 //
     /* 1116433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1116450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1116453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116472 */     // MIs[0] policy
     /* 1116472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1116485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116504 */     // GIR_Coverage, 62358,
     /* 1116504 */     GIR_EraseRootFromParent_Done,
     /* 1116505 */   // Label 16384: @1116505
     /* 1116505 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116582), // Rule ID 62359 //
     /* 1116510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1116527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1116530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116549 */     // MIs[0] policy
     /* 1116549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1116562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116581 */     // GIR_Coverage, 62359,
     /* 1116581 */     GIR_EraseRootFromParent_Done,
     /* 1116582 */   // Label 16385: @1116582
     /* 1116582 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1116659), // Rule ID 62360 //
     /* 1116587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1116598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1116601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1116604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1116607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116626 */     // MIs[0] policy
     /* 1116626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1116639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116658 */     // GIR_Coverage, 62360,
     /* 1116658 */     GIR_EraseRootFromParent_Done,
     /* 1116659 */   // Label 16386: @1116659
     /* 1116659 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1116736), // Rule ID 62361 //
     /* 1116664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1116675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1116678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1116681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1116684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116703 */     // MIs[0] policy
     /* 1116703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116713 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1116716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116735 */     // GIR_Coverage, 62361,
     /* 1116735 */     GIR_EraseRootFromParent_Done,
     /* 1116736 */   // Label 16387: @1116736
     /* 1116736 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1116813), // Rule ID 62362 //
     /* 1116741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1116758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1116761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116780 */     // MIs[0] policy
     /* 1116780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1116793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116812 */     // GIR_Coverage, 62362,
     /* 1116812 */     GIR_EraseRootFromParent_Done,
     /* 1116813 */   // Label 16388: @1116813
     /* 1116813 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1116890), // Rule ID 62363 //
     /* 1116818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1116835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1116838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116857 */     // MIs[0] policy
     /* 1116857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1116870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116889 */     // GIR_Coverage, 62363,
     /* 1116889 */     GIR_EraseRootFromParent_Done,
     /* 1116890 */   // Label 16389: @1116890
     /* 1116890 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1116967), // Rule ID 62364 //
     /* 1116895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116934 */     // MIs[0] policy
     /* 1116934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1116947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116966 */     // GIR_Coverage, 62364,
     /* 1116966 */     GIR_EraseRootFromParent_Done,
     /* 1116967 */   // Label 16390: @1116967
     /* 1116967 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117044), // Rule ID 62365 //
     /* 1116972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117011 */     // MIs[0] policy
     /* 1117011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1117024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117043 */     // GIR_Coverage, 62365,
     /* 1117043 */     GIR_EraseRootFromParent_Done,
     /* 1117044 */   // Label 16391: @1117044
     /* 1117044 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117121), // Rule ID 62366 //
     /* 1117049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1117066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1117069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117088 */     // MIs[0] policy
     /* 1117088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1117101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117120 */     // GIR_Coverage, 62366,
     /* 1117120 */     GIR_EraseRootFromParent_Done,
     /* 1117121 */   // Label 16392: @1117121
     /* 1117121 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117198), // Rule ID 62367 //
     /* 1117126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1117143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1117146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117165 */     // MIs[0] policy
     /* 1117165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1117178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117197 */     // GIR_Coverage, 62367,
     /* 1117197 */     GIR_EraseRootFromParent_Done,
     /* 1117198 */   // Label 16393: @1117198
     /* 1117198 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117275), // Rule ID 62368 //
     /* 1117203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117242 */     // MIs[0] policy
     /* 1117242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117274 */     // GIR_Coverage, 62368,
     /* 1117274 */     GIR_EraseRootFromParent_Done,
     /* 1117275 */   // Label 16394: @1117275
     /* 1117275 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117352), // Rule ID 62369 //
     /* 1117280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117319 */     // MIs[0] policy
     /* 1117319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117351 */     // GIR_Coverage, 62369,
     /* 1117351 */     GIR_EraseRootFromParent_Done,
     /* 1117352 */   // Label 16395: @1117352
     /* 1117352 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117429), // Rule ID 62370 //
     /* 1117357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117396 */     // MIs[0] policy
     /* 1117396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117428 */     // GIR_Coverage, 62370,
     /* 1117428 */     GIR_EraseRootFromParent_Done,
     /* 1117429 */   // Label 16396: @1117429
     /* 1117429 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117506), // Rule ID 62371 //
     /* 1117434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117473 */     // MIs[0] policy
     /* 1117473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117505 */     // GIR_Coverage, 62371,
     /* 1117505 */     GIR_EraseRootFromParent_Done,
     /* 1117506 */   // Label 16397: @1117506
     /* 1117506 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117583), // Rule ID 62372 //
     /* 1117511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1117522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1117525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1117528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1117531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117550 */     // MIs[0] policy
     /* 1117550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1117563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117582 */     // GIR_Coverage, 62372,
     /* 1117582 */     GIR_EraseRootFromParent_Done,
     /* 1117583 */   // Label 16398: @1117583
     /* 1117583 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1117660), // Rule ID 62373 //
     /* 1117588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1117599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1117602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1117605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1117608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117627 */     // MIs[0] policy
     /* 1117627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117637 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1117640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117659 */     // GIR_Coverage, 62373,
     /* 1117659 */     GIR_EraseRootFromParent_Done,
     /* 1117660 */   // Label 16399: @1117660
     /* 1117660 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1117737), // Rule ID 62594 //
     /* 1117665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117704 */     // MIs[0] policy
     /* 1117704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1117717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117736 */     // GIR_Coverage, 62594,
     /* 1117736 */     GIR_EraseRootFromParent_Done,
     /* 1117737 */   // Label 16400: @1117737
     /* 1117737 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1117814), // Rule ID 62595 //
     /* 1117742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117781 */     // MIs[0] policy
     /* 1117781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1117794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117813 */     // GIR_Coverage, 62595,
     /* 1117813 */     GIR_EraseRootFromParent_Done,
     /* 1117814 */   // Label 16401: @1117814
     /* 1117814 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1117891), // Rule ID 62598 //
     /* 1117819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117858 */     // MIs[0] policy
     /* 1117858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1117871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117890 */     // GIR_Coverage, 62598,
     /* 1117890 */     GIR_EraseRootFromParent_Done,
     /* 1117891 */   // Label 16402: @1117891
     /* 1117891 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1117968), // Rule ID 62599 //
     /* 1117896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117935 */     // MIs[0] policy
     /* 1117935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1117948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117967 */     // GIR_Coverage, 62599,
     /* 1117967 */     GIR_EraseRootFromParent_Done,
     /* 1117968 */   // Label 16403: @1117968
     /* 1117968 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118045), // Rule ID 62602 //
     /* 1117973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1117990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118012 */     // MIs[0] policy
     /* 1118012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1118025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118044 */     // GIR_Coverage, 62602,
     /* 1118044 */     GIR_EraseRootFromParent_Done,
     /* 1118045 */   // Label 16404: @1118045
     /* 1118045 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118122), // Rule ID 62603 //
     /* 1118050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1118067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118089 */     // MIs[0] policy
     /* 1118089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1118102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118121 */     // GIR_Coverage, 62603,
     /* 1118121 */     GIR_EraseRootFromParent_Done,
     /* 1118122 */   // Label 16405: @1118122
     /* 1118122 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118199), // Rule ID 62606 //
     /* 1118127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1118144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118166 */     // MIs[0] policy
     /* 1118166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1118179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118198 */     // GIR_Coverage, 62606,
     /* 1118198 */     GIR_EraseRootFromParent_Done,
     /* 1118199 */   // Label 16406: @1118199
     /* 1118199 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118276), // Rule ID 62607 //
     /* 1118204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1118221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118243 */     // MIs[0] policy
     /* 1118243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1118256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118275 */     // GIR_Coverage, 62607,
     /* 1118275 */     GIR_EraseRootFromParent_Done,
     /* 1118276 */   // Label 16407: @1118276
     /* 1118276 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118353), // Rule ID 62610 //
     /* 1118281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118320 */     // MIs[0] policy
     /* 1118320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118352 */     // GIR_Coverage, 62610,
     /* 1118352 */     GIR_EraseRootFromParent_Done,
     /* 1118353 */   // Label 16408: @1118353
     /* 1118353 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118430), // Rule ID 62611 //
     /* 1118358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118397 */     // MIs[0] policy
     /* 1118397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118407 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118429 */     // GIR_Coverage, 62611,
     /* 1118429 */     GIR_EraseRootFromParent_Done,
     /* 1118430 */   // Label 16409: @1118430
     /* 1118430 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118507), // Rule ID 62614 //
     /* 1118435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118474 */     // MIs[0] policy
     /* 1118474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1118487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118506 */     // GIR_Coverage, 62614,
     /* 1118506 */     GIR_EraseRootFromParent_Done,
     /* 1118507 */   // Label 16410: @1118507
     /* 1118507 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118584), // Rule ID 62615 //
     /* 1118512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118551 */     // MIs[0] policy
     /* 1118551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1118564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118583 */     // GIR_Coverage, 62615,
     /* 1118583 */     GIR_EraseRootFromParent_Done,
     /* 1118584 */   // Label 16411: @1118584
     /* 1118584 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1118661), // Rule ID 62618 //
     /* 1118589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118628 */     // MIs[0] policy
     /* 1118628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1118641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118660 */     // GIR_Coverage, 62618,
     /* 1118660 */     GIR_EraseRootFromParent_Done,
     /* 1118661 */   // Label 16412: @1118661
     /* 1118661 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1118738), // Rule ID 62619 //
     /* 1118666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118705 */     // MIs[0] policy
     /* 1118705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1118718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118737 */     // GIR_Coverage, 62619,
     /* 1118737 */     GIR_EraseRootFromParent_Done,
     /* 1118738 */   // Label 16413: @1118738
     /* 1118738 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1118815), // Rule ID 62622 //
     /* 1118743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118782 */     // MIs[0] policy
     /* 1118782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1118795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118814 */     // GIR_Coverage, 62622,
     /* 1118814 */     GIR_EraseRootFromParent_Done,
     /* 1118815 */   // Label 16414: @1118815
     /* 1118815 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1118892), // Rule ID 62623 //
     /* 1118820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118859 */     // MIs[0] policy
     /* 1118859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1118872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118891 */     // GIR_Coverage, 62623,
     /* 1118891 */     GIR_EraseRootFromParent_Done,
     /* 1118892 */   // Label 16415: @1118892
     /* 1118892 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1118969), // Rule ID 62626 //
     /* 1118897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118936 */     // MIs[0] policy
     /* 1118936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1118949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118968 */     // GIR_Coverage, 62626,
     /* 1118968 */     GIR_EraseRootFromParent_Done,
     /* 1118969 */   // Label 16416: @1118969
     /* 1118969 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119046), // Rule ID 62627 //
     /* 1118974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119013 */     // MIs[0] policy
     /* 1119013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1119026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119045 */     // GIR_Coverage, 62627,
     /* 1119045 */     GIR_EraseRootFromParent_Done,
     /* 1119046 */   // Label 16417: @1119046
     /* 1119046 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119123), // Rule ID 62630 //
     /* 1119051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119090 */     // MIs[0] policy
     /* 1119090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1119103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119122 */     // GIR_Coverage, 62630,
     /* 1119122 */     GIR_EraseRootFromParent_Done,
     /* 1119123 */   // Label 16418: @1119123
     /* 1119123 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119200), // Rule ID 62631 //
     /* 1119128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119167 */     // MIs[0] policy
     /* 1119167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1119180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119199 */     // GIR_Coverage, 62631,
     /* 1119199 */     GIR_EraseRootFromParent_Done,
     /* 1119200 */   // Label 16419: @1119200
     /* 1119200 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119277), // Rule ID 62634 //
     /* 1119205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119244 */     // MIs[0] policy
     /* 1119244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119276 */     // GIR_Coverage, 62634,
     /* 1119276 */     GIR_EraseRootFromParent_Done,
     /* 1119277 */   // Label 16420: @1119277
     /* 1119277 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119354), // Rule ID 62635 //
     /* 1119282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119321 */     // MIs[0] policy
     /* 1119321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119353 */     // GIR_Coverage, 62635,
     /* 1119353 */     GIR_EraseRootFromParent_Done,
     /* 1119354 */   // Label 16421: @1119354
     /* 1119354 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119431), // Rule ID 62638 //
     /* 1119359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119398 */     // MIs[0] policy
     /* 1119398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119430 */     // GIR_Coverage, 62638,
     /* 1119430 */     GIR_EraseRootFromParent_Done,
     /* 1119431 */   // Label 16422: @1119431
     /* 1119431 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119508), // Rule ID 62639 //
     /* 1119436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119475 */     // MIs[0] policy
     /* 1119475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119507 */     // GIR_Coverage, 62639,
     /* 1119507 */     GIR_EraseRootFromParent_Done,
     /* 1119508 */   // Label 16423: @1119508
     /* 1119508 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119585), // Rule ID 62642 //
     /* 1119513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119552 */     // MIs[0] policy
     /* 1119552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1119565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119584 */     // GIR_Coverage, 62642,
     /* 1119584 */     GIR_EraseRootFromParent_Done,
     /* 1119585 */   // Label 16424: @1119585
     /* 1119585 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1119662), // Rule ID 62643 //
     /* 1119590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119629 */     // MIs[0] policy
     /* 1119629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1119642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119661 */     // GIR_Coverage, 62643,
     /* 1119661 */     GIR_EraseRootFromParent_Done,
     /* 1119662 */   // Label 16425: @1119662
     /* 1119662 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1119739), // Rule ID 62646 //
     /* 1119667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119706 */     // MIs[0] policy
     /* 1119706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1119719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119738 */     // GIR_Coverage, 62646,
     /* 1119738 */     GIR_EraseRootFromParent_Done,
     /* 1119739 */   // Label 16426: @1119739
     /* 1119739 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1119816), // Rule ID 62647 //
     /* 1119744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119783 */     // MIs[0] policy
     /* 1119783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1119796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119815 */     // GIR_Coverage, 62647,
     /* 1119815 */     GIR_EraseRootFromParent_Done,
     /* 1119816 */   // Label 16427: @1119816
     /* 1119816 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1119893), // Rule ID 62650 //
     /* 1119821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119860 */     // MIs[0] policy
     /* 1119860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1119873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119892 */     // GIR_Coverage, 62650,
     /* 1119892 */     GIR_EraseRootFromParent_Done,
     /* 1119893 */   // Label 16428: @1119893
     /* 1119893 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1119970), // Rule ID 62651 //
     /* 1119898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119937 */     // MIs[0] policy
     /* 1119937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1119950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119969 */     // GIR_Coverage, 62651,
     /* 1119969 */     GIR_EraseRootFromParent_Done,
     /* 1119970 */   // Label 16429: @1119970
     /* 1119970 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120047), // Rule ID 62654 //
     /* 1119975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120014 */     // MIs[0] policy
     /* 1120014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1120027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120046 */     // GIR_Coverage, 62654,
     /* 1120046 */     GIR_EraseRootFromParent_Done,
     /* 1120047 */   // Label 16430: @1120047
     /* 1120047 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120124), // Rule ID 62655 //
     /* 1120052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120091 */     // MIs[0] policy
     /* 1120091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1120104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120123 */     // GIR_Coverage, 62655,
     /* 1120123 */     GIR_EraseRootFromParent_Done,
     /* 1120124 */   // Label 16431: @1120124
     /* 1120124 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120201), // Rule ID 62658 //
     /* 1120129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120168 */     // MIs[0] policy
     /* 1120168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1120181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120200 */     // GIR_Coverage, 62658,
     /* 1120200 */     GIR_EraseRootFromParent_Done,
     /* 1120201 */   // Label 16432: @1120201
     /* 1120201 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120278), // Rule ID 62659 //
     /* 1120206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120245 */     // MIs[0] policy
     /* 1120245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1120258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120277 */     // GIR_Coverage, 62659,
     /* 1120277 */     GIR_EraseRootFromParent_Done,
     /* 1120278 */   // Label 16433: @1120278
     /* 1120278 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120355), // Rule ID 62662 //
     /* 1120283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120322 */     // MIs[0] policy
     /* 1120322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120354 */     // GIR_Coverage, 62662,
     /* 1120354 */     GIR_EraseRootFromParent_Done,
     /* 1120355 */   // Label 16434: @1120355
     /* 1120355 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120432), // Rule ID 62663 //
     /* 1120360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120399 */     // MIs[0] policy
     /* 1120399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120431 */     // GIR_Coverage, 62663,
     /* 1120431 */     GIR_EraseRootFromParent_Done,
     /* 1120432 */   // Label 16435: @1120432
     /* 1120432 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120509), // Rule ID 62666 //
     /* 1120437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120476 */     // MIs[0] policy
     /* 1120476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1120489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120508 */     // GIR_Coverage, 62666,
     /* 1120508 */     GIR_EraseRootFromParent_Done,
     /* 1120509 */   // Label 16436: @1120509
     /* 1120509 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120586), // Rule ID 62667 //
     /* 1120514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120553 */     // MIs[0] policy
     /* 1120553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1120566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120585 */     // GIR_Coverage, 62667,
     /* 1120585 */     GIR_EraseRootFromParent_Done,
     /* 1120586 */   // Label 16437: @1120586
     /* 1120586 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1120663), // Rule ID 62670 //
     /* 1120591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120630 */     // MIs[0] policy
     /* 1120630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1120643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120662 */     // GIR_Coverage, 62670,
     /* 1120662 */     GIR_EraseRootFromParent_Done,
     /* 1120663 */   // Label 16438: @1120663
     /* 1120663 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1120740), // Rule ID 62671 //
     /* 1120668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120707 */     // MIs[0] policy
     /* 1120707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1120720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120739 */     // GIR_Coverage, 62671,
     /* 1120739 */     GIR_EraseRootFromParent_Done,
     /* 1120740 */   // Label 16439: @1120740
     /* 1120740 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1120817), // Rule ID 62674 //
     /* 1120745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1120762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120784 */     // MIs[0] policy
     /* 1120784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1120797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120816 */     // GIR_Coverage, 62674,
     /* 1120816 */     GIR_EraseRootFromParent_Done,
     /* 1120817 */   // Label 16440: @1120817
     /* 1120817 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1120894), // Rule ID 62675 //
     /* 1120822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1120839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120861 */     // MIs[0] policy
     /* 1120861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120871 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1120874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120893 */     // GIR_Coverage, 62675,
     /* 1120893 */     GIR_EraseRootFromParent_Done,
     /* 1120894 */   // Label 16441: @1120894
     /* 1120894 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1120971), // Rule ID 62678 //
     /* 1120899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120938 */     // MIs[0] policy
     /* 1120938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1120951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120970 */     // GIR_Coverage, 62678,
     /* 1120970 */     GIR_EraseRootFromParent_Done,
     /* 1120971 */   // Label 16442: @1120971
     /* 1120971 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121048), // Rule ID 62679 //
     /* 1120976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121015 */     // MIs[0] policy
     /* 1121015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1121028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121047 */     // GIR_Coverage, 62679,
     /* 1121047 */     GIR_EraseRootFromParent_Done,
     /* 1121048 */   // Label 16443: @1121048
     /* 1121048 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121125), // Rule ID 62682 //
     /* 1121053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1121070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121092 */     // MIs[0] policy
     /* 1121092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1121105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121124 */     // GIR_Coverage, 62682,
     /* 1121124 */     GIR_EraseRootFromParent_Done,
     /* 1121125 */   // Label 16444: @1121125
     /* 1121125 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121202), // Rule ID 62683 //
     /* 1121130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1121147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121169 */     // MIs[0] policy
     /* 1121169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1121182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121201 */     // GIR_Coverage, 62683,
     /* 1121201 */     GIR_EraseRootFromParent_Done,
     /* 1121202 */   // Label 16445: @1121202
     /* 1121202 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121279), // Rule ID 62686 //
     /* 1121207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121246 */     // MIs[0] policy
     /* 1121246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121278 */     // GIR_Coverage, 62686,
     /* 1121278 */     GIR_EraseRootFromParent_Done,
     /* 1121279 */   // Label 16446: @1121279
     /* 1121279 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121356), // Rule ID 62687 //
     /* 1121284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121323 */     // MIs[0] policy
     /* 1121323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121355 */     // GIR_Coverage, 62687,
     /* 1121355 */     GIR_EraseRootFromParent_Done,
     /* 1121356 */   // Label 16447: @1121356
     /* 1121356 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121433), // Rule ID 62690 //
     /* 1121361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121400 */     // MIs[0] policy
     /* 1121400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121432 */     // GIR_Coverage, 62690,
     /* 1121432 */     GIR_EraseRootFromParent_Done,
     /* 1121433 */   // Label 16448: @1121433
     /* 1121433 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121510), // Rule ID 62691 //
     /* 1121438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121477 */     // MIs[0] policy
     /* 1121477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121509 */     // GIR_Coverage, 62691,
     /* 1121509 */     GIR_EraseRootFromParent_Done,
     /* 1121510 */   // Label 16449: @1121510
     /* 1121510 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121587), // Rule ID 62694 //
     /* 1121515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121554 */     // MIs[0] policy
     /* 1121554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1121567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121586 */     // GIR_Coverage, 62694,
     /* 1121586 */     GIR_EraseRootFromParent_Done,
     /* 1121587 */   // Label 16450: @1121587
     /* 1121587 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1121664), // Rule ID 62695 //
     /* 1121592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121631 */     // MIs[0] policy
     /* 1121631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1121644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121663 */     // GIR_Coverage, 62695,
     /* 1121663 */     GIR_EraseRootFromParent_Done,
     /* 1121664 */   // Label 16451: @1121664
     /* 1121664 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1121741), // Rule ID 62698 //
     /* 1121669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121708 */     // MIs[0] policy
     /* 1121708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1121721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121740 */     // GIR_Coverage, 62698,
     /* 1121740 */     GIR_EraseRootFromParent_Done,
     /* 1121741 */   // Label 16452: @1121741
     /* 1121741 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1121818), // Rule ID 62699 //
     /* 1121746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121785 */     // MIs[0] policy
     /* 1121785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1121798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121817 */     // GIR_Coverage, 62699,
     /* 1121817 */     GIR_EraseRootFromParent_Done,
     /* 1121818 */   // Label 16453: @1121818
     /* 1121818 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1121895), // Rule ID 62702 //
     /* 1121823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121862 */     // MIs[0] policy
     /* 1121862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1121875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121894 */     // GIR_Coverage, 62702,
     /* 1121894 */     GIR_EraseRootFromParent_Done,
     /* 1121895 */   // Label 16454: @1121895
     /* 1121895 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1121972), // Rule ID 62703 //
     /* 1121900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121939 */     // MIs[0] policy
     /* 1121939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1121952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121971 */     // GIR_Coverage, 62703,
     /* 1121971 */     GIR_EraseRootFromParent_Done,
     /* 1121972 */   // Label 16455: @1121972
     /* 1121972 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122049), // Rule ID 62706 //
     /* 1121977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122016 */     // MIs[0] policy
     /* 1122016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1122029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122048 */     // GIR_Coverage, 62706,
     /* 1122048 */     GIR_EraseRootFromParent_Done,
     /* 1122049 */   // Label 16456: @1122049
     /* 1122049 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122126), // Rule ID 62707 //
     /* 1122054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122093 */     // MIs[0] policy
     /* 1122093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1122106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122125 */     // GIR_Coverage, 62707,
     /* 1122125 */     GIR_EraseRootFromParent_Done,
     /* 1122126 */   // Label 16457: @1122126
     /* 1122126 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122203), // Rule ID 62710 //
     /* 1122131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122170 */     // MIs[0] policy
     /* 1122170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1122183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122202 */     // GIR_Coverage, 62710,
     /* 1122202 */     GIR_EraseRootFromParent_Done,
     /* 1122203 */   // Label 16458: @1122203
     /* 1122203 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122280), // Rule ID 62711 //
     /* 1122208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122247 */     // MIs[0] policy
     /* 1122247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1122260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122279 */     // GIR_Coverage, 62711,
     /* 1122279 */     GIR_EraseRootFromParent_Done,
     /* 1122280 */   // Label 16459: @1122280
     /* 1122280 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122357), // Rule ID 62714 //
     /* 1122285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122324 */     // MIs[0] policy
     /* 1122324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122356 */     // GIR_Coverage, 62714,
     /* 1122356 */     GIR_EraseRootFromParent_Done,
     /* 1122357 */   // Label 16460: @1122357
     /* 1122357 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122434), // Rule ID 62715 //
     /* 1122362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122401 */     // MIs[0] policy
     /* 1122401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122433 */     // GIR_Coverage, 62715,
     /* 1122433 */     GIR_EraseRootFromParent_Done,
     /* 1122434 */   // Label 16461: @1122434
     /* 1122434 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122511), // Rule ID 62718 //
     /* 1122439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122478 */     // MIs[0] policy
     /* 1122478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1122491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122510 */     // GIR_Coverage, 62718,
     /* 1122510 */     GIR_EraseRootFromParent_Done,
     /* 1122511 */   // Label 16462: @1122511
     /* 1122511 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122588), // Rule ID 62719 //
     /* 1122516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122555 */     // MIs[0] policy
     /* 1122555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1122568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122587 */     // GIR_Coverage, 62719,
     /* 1122587 */     GIR_EraseRootFromParent_Done,
     /* 1122588 */   // Label 16463: @1122588
     /* 1122588 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1122665), // Rule ID 62722 //
     /* 1122593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122632 */     // MIs[0] policy
     /* 1122632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1122645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122664 */     // GIR_Coverage, 62722,
     /* 1122664 */     GIR_EraseRootFromParent_Done,
     /* 1122665 */   // Label 16464: @1122665
     /* 1122665 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1122742), // Rule ID 62723 //
     /* 1122670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122709 */     // MIs[0] policy
     /* 1122709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1122722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122741 */     // GIR_Coverage, 62723,
     /* 1122741 */     GIR_EraseRootFromParent_Done,
     /* 1122742 */   // Label 16465: @1122742
     /* 1122742 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1122819), // Rule ID 62726 //
     /* 1122747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122786 */     // MIs[0] policy
     /* 1122786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1122799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122818 */     // GIR_Coverage, 62726,
     /* 1122818 */     GIR_EraseRootFromParent_Done,
     /* 1122819 */   // Label 16466: @1122819
     /* 1122819 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1122896), // Rule ID 62727 //
     /* 1122824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122863 */     // MIs[0] policy
     /* 1122863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1122876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122895 */     // GIR_Coverage, 62727,
     /* 1122895 */     GIR_EraseRootFromParent_Done,
     /* 1122896 */   // Label 16467: @1122896
     /* 1122896 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1122973), // Rule ID 62730 //
     /* 1122901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122940 */     // MIs[0] policy
     /* 1122940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1122953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122972 */     // GIR_Coverage, 62730,
     /* 1122972 */     GIR_EraseRootFromParent_Done,
     /* 1122973 */   // Label 16468: @1122973
     /* 1122973 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123050), // Rule ID 62731 //
     /* 1122978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123017 */     // MIs[0] policy
     /* 1123017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123027 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1123030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123049 */     // GIR_Coverage, 62731,
     /* 1123049 */     GIR_EraseRootFromParent_Done,
     /* 1123050 */   // Label 16469: @1123050
     /* 1123050 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123127), // Rule ID 62825 //
     /* 1123055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123094 */     // MIs[0] policy
     /* 1123094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1123107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123126 */     // GIR_Coverage, 62825,
     /* 1123126 */     GIR_EraseRootFromParent_Done,
     /* 1123127 */   // Label 16470: @1123127
     /* 1123127 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123204), // Rule ID 62826 //
     /* 1123132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123171 */     // MIs[0] policy
     /* 1123171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1123184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123203 */     // GIR_Coverage, 62826,
     /* 1123203 */     GIR_EraseRootFromParent_Done,
     /* 1123204 */   // Label 16471: @1123204
     /* 1123204 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123281), // Rule ID 64283 //
     /* 1123209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123248 */     // MIs[0] policy
     /* 1123248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123280 */     // GIR_Coverage, 64283,
     /* 1123280 */     GIR_EraseRootFromParent_Done,
     /* 1123281 */   // Label 16472: @1123281
     /* 1123281 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123358), // Rule ID 64284 //
     /* 1123286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123325 */     // MIs[0] policy
     /* 1123325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123357 */     // GIR_Coverage, 64284,
     /* 1123357 */     GIR_EraseRootFromParent_Done,
     /* 1123358 */   // Label 16473: @1123358
     /* 1123358 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123435), // Rule ID 64285 //
     /* 1123363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123402 */     // MIs[0] policy
     /* 1123402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123434 */     // GIR_Coverage, 64285,
     /* 1123434 */     GIR_EraseRootFromParent_Done,
     /* 1123435 */   // Label 16474: @1123435
     /* 1123435 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123512), // Rule ID 64286 //
     /* 1123440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123479 */     // MIs[0] policy
     /* 1123479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123511 */     // GIR_Coverage, 64286,
     /* 1123511 */     GIR_EraseRootFromParent_Done,
     /* 1123512 */   // Label 16475: @1123512
     /* 1123512 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123589), // Rule ID 64287 //
     /* 1123517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123556 */     // MIs[0] policy
     /* 1123556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1123569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123588 */     // GIR_Coverage, 64287,
     /* 1123588 */     GIR_EraseRootFromParent_Done,
     /* 1123589 */   // Label 16476: @1123589
     /* 1123589 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1123666), // Rule ID 64288 //
     /* 1123594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123633 */     // MIs[0] policy
     /* 1123633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1123646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123665 */     // GIR_Coverage, 64288,
     /* 1123665 */     GIR_EraseRootFromParent_Done,
     /* 1123666 */   // Label 16477: @1123666
     /* 1123666 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1123743), // Rule ID 64289 //
     /* 1123671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123710 */     // MIs[0] policy
     /* 1123710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1123723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123742 */     // GIR_Coverage, 64289,
     /* 1123742 */     GIR_EraseRootFromParent_Done,
     /* 1123743 */   // Label 16478: @1123743
     /* 1123743 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1123820), // Rule ID 64290 //
     /* 1123748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123787 */     // MIs[0] policy
     /* 1123787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1123800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123819 */     // GIR_Coverage, 64290,
     /* 1123819 */     GIR_EraseRootFromParent_Done,
     /* 1123820 */   // Label 16479: @1123820
     /* 1123820 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1123897), // Rule ID 64291 //
     /* 1123825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123864 */     // MIs[0] policy
     /* 1123864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1123877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123896 */     // GIR_Coverage, 64291,
     /* 1123896 */     GIR_EraseRootFromParent_Done,
     /* 1123897 */   // Label 16480: @1123897
     /* 1123897 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1123974), // Rule ID 64292 //
     /* 1123902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123941 */     // MIs[0] policy
     /* 1123941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1123954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123973 */     // GIR_Coverage, 64292,
     /* 1123973 */     GIR_EraseRootFromParent_Done,
     /* 1123974 */   // Label 16481: @1123974
     /* 1123974 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124051), // Rule ID 64293 //
     /* 1123979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124018 */     // MIs[0] policy
     /* 1124018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1124031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124050 */     // GIR_Coverage, 64293,
     /* 1124050 */     GIR_EraseRootFromParent_Done,
     /* 1124051 */   // Label 16482: @1124051
     /* 1124051 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124128), // Rule ID 64294 //
     /* 1124056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124095 */     // MIs[0] policy
     /* 1124095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1124108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124127 */     // GIR_Coverage, 64294,
     /* 1124127 */     GIR_EraseRootFromParent_Done,
     /* 1124128 */   // Label 16483: @1124128
     /* 1124128 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124205), // Rule ID 64295 //
     /* 1124133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124172 */     // MIs[0] policy
     /* 1124172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1124185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124204 */     // GIR_Coverage, 64295,
     /* 1124204 */     GIR_EraseRootFromParent_Done,
     /* 1124205 */   // Label 16484: @1124205
     /* 1124205 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124282), // Rule ID 64296 //
     /* 1124210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124249 */     // MIs[0] policy
     /* 1124249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1124262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124281 */     // GIR_Coverage, 64296,
     /* 1124281 */     GIR_EraseRootFromParent_Done,
     /* 1124282 */   // Label 16485: @1124282
     /* 1124282 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124359), // Rule ID 64297 //
     /* 1124287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124326 */     // MIs[0] policy
     /* 1124326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124358 */     // GIR_Coverage, 64297,
     /* 1124358 */     GIR_EraseRootFromParent_Done,
     /* 1124359 */   // Label 16486: @1124359
     /* 1124359 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124436), // Rule ID 64298 //
     /* 1124364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124403 */     // MIs[0] policy
     /* 1124403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124435 */     // GIR_Coverage, 64298,
     /* 1124435 */     GIR_EraseRootFromParent_Done,
     /* 1124436 */   // Label 16487: @1124436
     /* 1124436 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124513), // Rule ID 64299 //
     /* 1124441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124480 */     // MIs[0] policy
     /* 1124480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1124493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124512 */     // GIR_Coverage, 64299,
     /* 1124512 */     GIR_EraseRootFromParent_Done,
     /* 1124513 */   // Label 16488: @1124513
     /* 1124513 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1124590), // Rule ID 64300 //
     /* 1124518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124557 */     // MIs[0] policy
     /* 1124557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1124570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124589 */     // GIR_Coverage, 64300,
     /* 1124589 */     GIR_EraseRootFromParent_Done,
     /* 1124590 */   // Label 16489: @1124590
     /* 1124590 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1124667), // Rule ID 64301 //
     /* 1124595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124634 */     // MIs[0] policy
     /* 1124634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1124647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124666 */     // GIR_Coverage, 64301,
     /* 1124666 */     GIR_EraseRootFromParent_Done,
     /* 1124667 */   // Label 16490: @1124667
     /* 1124667 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1124744), // Rule ID 64302 //
     /* 1124672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124711 */     // MIs[0] policy
     /* 1124711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1124724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124743 */     // GIR_Coverage, 64302,
     /* 1124743 */     GIR_EraseRootFromParent_Done,
     /* 1124744 */   // Label 16491: @1124744
     /* 1124744 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1124821), // Rule ID 64303 //
     /* 1124749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124788 */     // MIs[0] policy
     /* 1124788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1124801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124820 */     // GIR_Coverage, 64303,
     /* 1124820 */     GIR_EraseRootFromParent_Done,
     /* 1124821 */   // Label 16492: @1124821
     /* 1124821 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1124898), // Rule ID 64304 //
     /* 1124826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124865 */     // MIs[0] policy
     /* 1124865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1124878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124897 */     // GIR_Coverage, 64304,
     /* 1124897 */     GIR_EraseRootFromParent_Done,
     /* 1124898 */   // Label 16493: @1124898
     /* 1124898 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1124975), // Rule ID 64305 //
     /* 1124903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124942 */     // MIs[0] policy
     /* 1124942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1124955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124974 */     // GIR_Coverage, 64305,
     /* 1124974 */     GIR_EraseRootFromParent_Done,
     /* 1124975 */   // Label 16494: @1124975
     /* 1124975 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125052), // Rule ID 64306 //
     /* 1124980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125019 */     // MIs[0] policy
     /* 1125019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1125032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125051 */     // GIR_Coverage, 64306,
     /* 1125051 */     GIR_EraseRootFromParent_Done,
     /* 1125052 */   // Label 16495: @1125052
     /* 1125052 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125129), // Rule ID 64307 //
     /* 1125057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125096 */     // MIs[0] policy
     /* 1125096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1125109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125128 */     // GIR_Coverage, 64307,
     /* 1125128 */     GIR_EraseRootFromParent_Done,
     /* 1125129 */   // Label 16496: @1125129
     /* 1125129 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125206), // Rule ID 64308 //
     /* 1125134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125173 */     // MIs[0] policy
     /* 1125173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1125186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125205 */     // GIR_Coverage, 64308,
     /* 1125205 */     GIR_EraseRootFromParent_Done,
     /* 1125206 */   // Label 16497: @1125206
     /* 1125206 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125283), // Rule ID 64309 //
     /* 1125211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125250 */     // MIs[0] policy
     /* 1125250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125282 */     // GIR_Coverage, 64309,
     /* 1125282 */     GIR_EraseRootFromParent_Done,
     /* 1125283 */   // Label 16498: @1125283
     /* 1125283 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125360), // Rule ID 64310 //
     /* 1125288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125327 */     // MIs[0] policy
     /* 1125327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125359 */     // GIR_Coverage, 64310,
     /* 1125359 */     GIR_EraseRootFromParent_Done,
     /* 1125360 */   // Label 16499: @1125360
     /* 1125360 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125437), // Rule ID 64311 //
     /* 1125365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125404 */     // MIs[0] policy
     /* 1125404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125436 */     // GIR_Coverage, 64311,
     /* 1125436 */     GIR_EraseRootFromParent_Done,
     /* 1125437 */   // Label 16500: @1125437
     /* 1125437 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125514), // Rule ID 64312 //
     /* 1125442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125481 */     // MIs[0] policy
     /* 1125481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125513 */     // GIR_Coverage, 64312,
     /* 1125513 */     GIR_EraseRootFromParent_Done,
     /* 1125514 */   // Label 16501: @1125514
     /* 1125514 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1125591), // Rule ID 64313 //
     /* 1125519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125558 */     // MIs[0] policy
     /* 1125558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1125571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125590 */     // GIR_Coverage, 64313,
     /* 1125590 */     GIR_EraseRootFromParent_Done,
     /* 1125591 */   // Label 16502: @1125591
     /* 1125591 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1125668), // Rule ID 64314 //
     /* 1125596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125635 */     // MIs[0] policy
     /* 1125635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1125648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125667 */     // GIR_Coverage, 64314,
     /* 1125667 */     GIR_EraseRootFromParent_Done,
     /* 1125668 */   // Label 16503: @1125668
     /* 1125668 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1125745), // Rule ID 64315 //
     /* 1125673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125712 */     // MIs[0] policy
     /* 1125712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1125725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125744 */     // GIR_Coverage, 64315,
     /* 1125744 */     GIR_EraseRootFromParent_Done,
     /* 1125745 */   // Label 16504: @1125745
     /* 1125745 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1125822), // Rule ID 64316 //
     /* 1125750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125789 */     // MIs[0] policy
     /* 1125789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1125802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125821 */     // GIR_Coverage, 64316,
     /* 1125821 */     GIR_EraseRootFromParent_Done,
     /* 1125822 */   // Label 16505: @1125822
     /* 1125822 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1125899), // Rule ID 64317 //
     /* 1125827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125866 */     // MIs[0] policy
     /* 1125866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1125879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125898 */     // GIR_Coverage, 64317,
     /* 1125898 */     GIR_EraseRootFromParent_Done,
     /* 1125899 */   // Label 16506: @1125899
     /* 1125899 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1125976), // Rule ID 64318 //
     /* 1125904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125943 */     // MIs[0] policy
     /* 1125943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1125956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125975 */     // GIR_Coverage, 64318,
     /* 1125975 */     GIR_EraseRootFromParent_Done,
     /* 1125976 */   // Label 16507: @1125976
     /* 1125976 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126053), // Rule ID 64319 //
     /* 1125981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126020 */     // MIs[0] policy
     /* 1126020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1126033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126052 */     // GIR_Coverage, 64319,
     /* 1126052 */     GIR_EraseRootFromParent_Done,
     /* 1126053 */   // Label 16508: @1126053
     /* 1126053 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126130), // Rule ID 64320 //
     /* 1126058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126097 */     // MIs[0] policy
     /* 1126097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1126110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126129 */     // GIR_Coverage, 64320,
     /* 1126129 */     GIR_EraseRootFromParent_Done,
     /* 1126130 */   // Label 16509: @1126130
     /* 1126130 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126207), // Rule ID 64321 //
     /* 1126135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126174 */     // MIs[0] policy
     /* 1126174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1126187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126206 */     // GIR_Coverage, 64321,
     /* 1126206 */     GIR_EraseRootFromParent_Done,
     /* 1126207 */   // Label 16510: @1126207
     /* 1126207 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126284), // Rule ID 64322 //
     /* 1126212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126251 */     // MIs[0] policy
     /* 1126251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1126264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126283 */     // GIR_Coverage, 64322,
     /* 1126283 */     GIR_EraseRootFromParent_Done,
     /* 1126284 */   // Label 16511: @1126284
     /* 1126284 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126361), // Rule ID 64323 //
     /* 1126289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126328 */     // MIs[0] policy
     /* 1126328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126360 */     // GIR_Coverage, 64323,
     /* 1126360 */     GIR_EraseRootFromParent_Done,
     /* 1126361 */   // Label 16512: @1126361
     /* 1126361 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126438), // Rule ID 64324 //
     /* 1126366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126405 */     // MIs[0] policy
     /* 1126405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126437 */     // GIR_Coverage, 64324,
     /* 1126437 */     GIR_EraseRootFromParent_Done,
     /* 1126438 */   // Label 16513: @1126438
     /* 1126438 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1126515), // Rule ID 64325 //
     /* 1126443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126482 */     // MIs[0] policy
     /* 1126482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1126495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126514 */     // GIR_Coverage, 64325,
     /* 1126514 */     GIR_EraseRootFromParent_Done,
     /* 1126515 */   // Label 16514: @1126515
     /* 1126515 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1126592), // Rule ID 64326 //
     /* 1126520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126559 */     // MIs[0] policy
     /* 1126559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1126572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126591 */     // GIR_Coverage, 64326,
     /* 1126591 */     GIR_EraseRootFromParent_Done,
     /* 1126592 */   // Label 16515: @1126592
     /* 1126592 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1126669), // Rule ID 64327 //
     /* 1126597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126636 */     // MIs[0] policy
     /* 1126636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1126649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126668 */     // GIR_Coverage, 64327,
     /* 1126668 */     GIR_EraseRootFromParent_Done,
     /* 1126669 */   // Label 16516: @1126669
     /* 1126669 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1126746), // Rule ID 64328 //
     /* 1126674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126713 */     // MIs[0] policy
     /* 1126713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1126726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126745 */     // GIR_Coverage, 64328,
     /* 1126745 */     GIR_EraseRootFromParent_Done,
     /* 1126746 */   // Label 16517: @1126746
     /* 1126746 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1126823), // Rule ID 64329 //
     /* 1126751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126790 */     // MIs[0] policy
     /* 1126790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1126803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126822 */     // GIR_Coverage, 64329,
     /* 1126822 */     GIR_EraseRootFromParent_Done,
     /* 1126823 */   // Label 16518: @1126823
     /* 1126823 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1126900), // Rule ID 64330 //
     /* 1126828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126867 */     // MIs[0] policy
     /* 1126867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1126880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126899 */     // GIR_Coverage, 64330,
     /* 1126899 */     GIR_EraseRootFromParent_Done,
     /* 1126900 */   // Label 16519: @1126900
     /* 1126900 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1126977), // Rule ID 64331 //
     /* 1126905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126944 */     // MIs[0] policy
     /* 1126944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1126957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126976 */     // GIR_Coverage, 64331,
     /* 1126976 */     GIR_EraseRootFromParent_Done,
     /* 1126977 */   // Label 16520: @1126977
     /* 1126977 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127054), // Rule ID 64332 //
     /* 1126982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127021 */     // MIs[0] policy
     /* 1127021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1127034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127053 */     // GIR_Coverage, 64332,
     /* 1127053 */     GIR_EraseRootFromParent_Done,
     /* 1127054 */   // Label 16521: @1127054
     /* 1127054 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127131), // Rule ID 64333 //
     /* 1127059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127098 */     // MIs[0] policy
     /* 1127098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1127111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127130 */     // GIR_Coverage, 64333,
     /* 1127130 */     GIR_EraseRootFromParent_Done,
     /* 1127131 */   // Label 16522: @1127131
     /* 1127131 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127208), // Rule ID 64334 //
     /* 1127136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127175 */     // MIs[0] policy
     /* 1127175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1127188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127207 */     // GIR_Coverage, 64334,
     /* 1127207 */     GIR_EraseRootFromParent_Done,
     /* 1127208 */   // Label 16523: @1127208
     /* 1127208 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127285), // Rule ID 64335 //
     /* 1127213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127252 */     // MIs[0] policy
     /* 1127252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127284 */     // GIR_Coverage, 64335,
     /* 1127284 */     GIR_EraseRootFromParent_Done,
     /* 1127285 */   // Label 16524: @1127285
     /* 1127285 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127362), // Rule ID 64336 //
     /* 1127290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127329 */     // MIs[0] policy
     /* 1127329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127361 */     // GIR_Coverage, 64336,
     /* 1127361 */     GIR_EraseRootFromParent_Done,
     /* 1127362 */   // Label 16525: @1127362
     /* 1127362 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1127439), // Rule ID 64337 //
     /* 1127367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127406 */     // MIs[0] policy
     /* 1127406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127438 */     // GIR_Coverage, 64337,
     /* 1127438 */     GIR_EraseRootFromParent_Done,
     /* 1127439 */   // Label 16526: @1127439
     /* 1127439 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1127516), // Rule ID 64338 //
     /* 1127444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127483 */     // MIs[0] policy
     /* 1127483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127515 */     // GIR_Coverage, 64338,
     /* 1127515 */     GIR_EraseRootFromParent_Done,
     /* 1127516 */   // Label 16527: @1127516
     /* 1127516 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1127593), // Rule ID 64339 //
     /* 1127521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127560 */     // MIs[0] policy
     /* 1127560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1127573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127592 */     // GIR_Coverage, 64339,
     /* 1127592 */     GIR_EraseRootFromParent_Done,
     /* 1127593 */   // Label 16528: @1127593
     /* 1127593 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1127670), // Rule ID 64340 //
     /* 1127598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127637 */     // MIs[0] policy
     /* 1127637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1127650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127669 */     // GIR_Coverage, 64340,
     /* 1127669 */     GIR_EraseRootFromParent_Done,
     /* 1127670 */   // Label 16529: @1127670
     /* 1127670 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1127747), // Rule ID 64341 //
     /* 1127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127714 */     // MIs[0] policy
     /* 1127714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1127727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127746 */     // GIR_Coverage, 64341,
     /* 1127746 */     GIR_EraseRootFromParent_Done,
     /* 1127747 */   // Label 16530: @1127747
     /* 1127747 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1127824), // Rule ID 64342 //
     /* 1127752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127791 */     // MIs[0] policy
     /* 1127791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1127804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127823 */     // GIR_Coverage, 64342,
     /* 1127823 */     GIR_EraseRootFromParent_Done,
     /* 1127824 */   // Label 16531: @1127824
     /* 1127824 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1127901), // Rule ID 64343 //
     /* 1127829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127868 */     // MIs[0] policy
     /* 1127868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1127881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127900 */     // GIR_Coverage, 64343,
     /* 1127900 */     GIR_EraseRootFromParent_Done,
     /* 1127901 */   // Label 16532: @1127901
     /* 1127901 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1127978), // Rule ID 64344 //
     /* 1127906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127945 */     // MIs[0] policy
     /* 1127945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1127958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127977 */     // GIR_Coverage, 64344,
     /* 1127977 */     GIR_EraseRootFromParent_Done,
     /* 1127978 */   // Label 16533: @1127978
     /* 1127978 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128058), // Rule ID 2714 //
     /* 1127983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1128003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128022 */     // MIs[0] round
     /* 1128022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1128035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128057 */     // GIR_Coverage, 2714,
     /* 1128057 */     GIR_EraseRootFromParent_Done,
     /* 1128058 */   // Label 16534: @1128058
     /* 1128058 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128138), // Rule ID 2715 //
     /* 1128063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1128074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1128077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1128083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128102 */     // MIs[0] round
     /* 1128102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1128115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128137 */     // GIR_Coverage, 2715,
     /* 1128137 */     GIR_EraseRootFromParent_Done,
     /* 1128138 */   // Label 16535: @1128138
     /* 1128138 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128218), // Rule ID 2754 //
     /* 1128143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1128146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1128151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128182 */     // MIs[0] round
     /* 1128182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128192 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1128195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128217 */     // GIR_Coverage, 2754,
     /* 1128217 */     GIR_EraseRootFromParent_Done,
     /* 1128218 */   // Label 16536: @1128218
     /* 1128218 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128298), // Rule ID 2755 //
     /* 1128223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1128231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128262 */     // MIs[0] round
     /* 1128262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1128275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128297 */     // GIR_Coverage, 2755,
     /* 1128297 */     GIR_EraseRootFromParent_Done,
     /* 1128298 */   // Label 16537: @1128298
     /* 1128298 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128378), // Rule ID 2774 //
     /* 1128303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1128306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128342 */     // MIs[0] round
     /* 1128342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128377 */     // GIR_Coverage, 2774,
     /* 1128377 */     GIR_EraseRootFromParent_Done,
     /* 1128378 */   // Label 16538: @1128378
     /* 1128378 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1128458), // Rule ID 2775 //
     /* 1128383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1128386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128422 */     // MIs[0] round
     /* 1128422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128457 */     // GIR_Coverage, 2775,
     /* 1128457 */     GIR_EraseRootFromParent_Done,
     /* 1128458 */   // Label 16539: @1128458
     /* 1128458 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1128538), // Rule ID 14924 //
     /* 1128463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1128483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128502 */     // MIs[0] round
     /* 1128502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128537 */     // GIR_Coverage, 14924,
     /* 1128537 */     GIR_EraseRootFromParent_Done,
     /* 1128538 */   // Label 16540: @1128538
     /* 1128538 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1128618), // Rule ID 14925 //
     /* 1128543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1128563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128582 */     // MIs[0] round
     /* 1128582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128617 */     // GIR_Coverage, 14925,
     /* 1128617 */     GIR_EraseRootFromParent_Done,
     /* 1128618 */   // Label 16541: @1128618
     /* 1128618 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1128698), // Rule ID 14928 //
     /* 1128623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128662 */     // MIs[0] round
     /* 1128662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128697 */     // GIR_Coverage, 14928,
     /* 1128697 */     GIR_EraseRootFromParent_Done,
     /* 1128698 */   // Label 16542: @1128698
     /* 1128698 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1128778), // Rule ID 14929 //
     /* 1128703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128742 */     // MIs[0] round
     /* 1128742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128777 */     // GIR_Coverage, 14929,
     /* 1128777 */     GIR_EraseRootFromParent_Done,
     /* 1128778 */   // Label 16543: @1128778
     /* 1128778 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1128858), // Rule ID 14932 //
     /* 1128783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128822 */     // MIs[0] round
     /* 1128822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128857 */     // GIR_Coverage, 14932,
     /* 1128857 */     GIR_EraseRootFromParent_Done,
     /* 1128858 */   // Label 16544: @1128858
     /* 1128858 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1128938), // Rule ID 14933 //
     /* 1128863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128902 */     // MIs[0] round
     /* 1128902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128937 */     // GIR_Coverage, 14933,
     /* 1128937 */     GIR_EraseRootFromParent_Done,
     /* 1128938 */   // Label 16545: @1128938
     /* 1128938 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129018), // Rule ID 14936 //
     /* 1128943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1128963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128982 */     // MIs[0] round
     /* 1128982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129017 */     // GIR_Coverage, 14936,
     /* 1129017 */     GIR_EraseRootFromParent_Done,
     /* 1129018 */   // Label 16546: @1129018
     /* 1129018 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129098), // Rule ID 14937 //
     /* 1129023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1129034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1129037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1129043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129062 */     // MIs[0] round
     /* 1129062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129097 */     // GIR_Coverage, 14937,
     /* 1129097 */     GIR_EraseRootFromParent_Done,
     /* 1129098 */   // Label 16547: @1129098
     /* 1129098 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129178), // Rule ID 14940 //
     /* 1129103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1129123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129142 */     // MIs[0] round
     /* 1129142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129177 */     // GIR_Coverage, 14940,
     /* 1129177 */     GIR_EraseRootFromParent_Done,
     /* 1129178 */   // Label 16548: @1129178
     /* 1129178 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129258), // Rule ID 14941 //
     /* 1129183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1129203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129222 */     // MIs[0] round
     /* 1129222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129257 */     // GIR_Coverage, 14941,
     /* 1129257 */     GIR_EraseRootFromParent_Done,
     /* 1129258 */   // Label 16549: @1129258
     /* 1129258 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129338), // Rule ID 14944 //
     /* 1129263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129302 */     // MIs[0] round
     /* 1129302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129337 */     // GIR_Coverage, 14944,
     /* 1129337 */     GIR_EraseRootFromParent_Done,
     /* 1129338 */   // Label 16550: @1129338
     /* 1129338 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1129418), // Rule ID 14945 //
     /* 1129343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129382 */     // MIs[0] round
     /* 1129382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129417 */     // GIR_Coverage, 14945,
     /* 1129417 */     GIR_EraseRootFromParent_Done,
     /* 1129418 */   // Label 16551: @1129418
     /* 1129418 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1129498), // Rule ID 14948 //
     /* 1129423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129462 */     // MIs[0] round
     /* 1129462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129497 */     // GIR_Coverage, 14948,
     /* 1129497 */     GIR_EraseRootFromParent_Done,
     /* 1129498 */   // Label 16552: @1129498
     /* 1129498 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1129578), // Rule ID 14949 //
     /* 1129503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129542 */     // MIs[0] round
     /* 1129542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129577 */     // GIR_Coverage, 14949,
     /* 1129577 */     GIR_EraseRootFromParent_Done,
     /* 1129578 */   // Label 16553: @1129578
     /* 1129578 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1129658), // Rule ID 14952 //
     /* 1129583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129622 */     // MIs[0] round
     /* 1129622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129657 */     // GIR_Coverage, 14952,
     /* 1129657 */     GIR_EraseRootFromParent_Done,
     /* 1129658 */   // Label 16554: @1129658
     /* 1129658 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1129738), // Rule ID 14953 //
     /* 1129663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129702 */     // MIs[0] round
     /* 1129702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129737 */     // GIR_Coverage, 14953,
     /* 1129737 */     GIR_EraseRootFromParent_Done,
     /* 1129738 */   // Label 16555: @1129738
     /* 1129738 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1129818), // Rule ID 14956 //
     /* 1129743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129782 */     // MIs[0] round
     /* 1129782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129817 */     // GIR_Coverage, 14956,
     /* 1129817 */     GIR_EraseRootFromParent_Done,
     /* 1129818 */   // Label 16556: @1129818
     /* 1129818 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1129898), // Rule ID 14957 //
     /* 1129823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129862 */     // MIs[0] round
     /* 1129862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129897 */     // GIR_Coverage, 14957,
     /* 1129897 */     GIR_EraseRootFromParent_Done,
     /* 1129898 */   // Label 16557: @1129898
     /* 1129898 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1129978), // Rule ID 14960 //
     /* 1129903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1129923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129942 */     // MIs[0] round
     /* 1129942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1129955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129977 */     // GIR_Coverage, 14960,
     /* 1129977 */     GIR_EraseRootFromParent_Done,
     /* 1129978 */   // Label 16558: @1129978
     /* 1129978 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130058), // Rule ID 14961 //
     /* 1129983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130022 */     // MIs[0] round
     /* 1130022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130057 */     // GIR_Coverage, 14961,
     /* 1130057 */     GIR_EraseRootFromParent_Done,
     /* 1130058 */   // Label 16559: @1130058
     /* 1130058 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130138), // Rule ID 14964 //
     /* 1130063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1130074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1130077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130102 */     // MIs[0] round
     /* 1130102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130137 */     // GIR_Coverage, 14964,
     /* 1130137 */     GIR_EraseRootFromParent_Done,
     /* 1130138 */   // Label 16560: @1130138
     /* 1130138 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130218), // Rule ID 14965 //
     /* 1130143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1130154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1130157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130182 */     // MIs[0] round
     /* 1130182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130217 */     // GIR_Coverage, 14965,
     /* 1130217 */     GIR_EraseRootFromParent_Done,
     /* 1130218 */   // Label 16561: @1130218
     /* 1130218 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130298), // Rule ID 14968 //
     /* 1130223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130262 */     // MIs[0] round
     /* 1130262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130297 */     // GIR_Coverage, 14968,
     /* 1130297 */     GIR_EraseRootFromParent_Done,
     /* 1130298 */   // Label 16562: @1130298
     /* 1130298 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130378), // Rule ID 14969 //
     /* 1130303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130342 */     // MIs[0] round
     /* 1130342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130377 */     // GIR_Coverage, 14969,
     /* 1130377 */     GIR_EraseRootFromParent_Done,
     /* 1130378 */   // Label 16563: @1130378
     /* 1130378 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1130458), // Rule ID 14972 //
     /* 1130383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130422 */     // MIs[0] round
     /* 1130422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130457 */     // GIR_Coverage, 14972,
     /* 1130457 */     GIR_EraseRootFromParent_Done,
     /* 1130458 */   // Label 16564: @1130458
     /* 1130458 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1130538), // Rule ID 14973 //
     /* 1130463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130502 */     // MIs[0] round
     /* 1130502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130537 */     // GIR_Coverage, 14973,
     /* 1130537 */     GIR_EraseRootFromParent_Done,
     /* 1130538 */   // Label 16565: @1130538
     /* 1130538 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1130618), // Rule ID 14976 //
     /* 1130543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1130563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130582 */     // MIs[0] round
     /* 1130582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130617 */     // GIR_Coverage, 14976,
     /* 1130617 */     GIR_EraseRootFromParent_Done,
     /* 1130618 */   // Label 16566: @1130618
     /* 1130618 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1130698), // Rule ID 14977 //
     /* 1130623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1130643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130662 */     // MIs[0] round
     /* 1130662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130697 */     // GIR_Coverage, 14977,
     /* 1130697 */     GIR_EraseRootFromParent_Done,
     /* 1130698 */   // Label 16567: @1130698
     /* 1130698 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1130778), // Rule ID 14980 //
     /* 1130703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1130723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130742 */     // MIs[0] round
     /* 1130742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130777 */     // GIR_Coverage, 14980,
     /* 1130777 */     GIR_EraseRootFromParent_Done,
     /* 1130778 */   // Label 16568: @1130778
     /* 1130778 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1130858), // Rule ID 14981 //
     /* 1130783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1130803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130822 */     // MIs[0] round
     /* 1130822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130857 */     // GIR_Coverage, 14981,
     /* 1130857 */     GIR_EraseRootFromParent_Done,
     /* 1130858 */   // Label 16569: @1130858
     /* 1130858 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1130938), // Rule ID 14984 //
     /* 1130863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130902 */     // MIs[0] round
     /* 1130902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130937 */     // GIR_Coverage, 14984,
     /* 1130937 */     GIR_EraseRootFromParent_Done,
     /* 1130938 */   // Label 16570: @1130938
     /* 1130938 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131018), // Rule ID 14985 //
     /* 1130943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130982 */     // MIs[0] round
     /* 1130982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131017 */     // GIR_Coverage, 14985,
     /* 1131017 */     GIR_EraseRootFromParent_Done,
     /* 1131018 */   // Label 16571: @1131018
     /* 1131018 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131098), // Rule ID 14988 //
     /* 1131023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1131043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131062 */     // MIs[0] round
     /* 1131062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131097 */     // GIR_Coverage, 14988,
     /* 1131097 */     GIR_EraseRootFromParent_Done,
     /* 1131098 */   // Label 16572: @1131098
     /* 1131098 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131178), // Rule ID 14989 //
     /* 1131103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1131123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131142 */     // MIs[0] round
     /* 1131142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131177 */     // GIR_Coverage, 14989,
     /* 1131177 */     GIR_EraseRootFromParent_Done,
     /* 1131178 */   // Label 16573: @1131178
     /* 1131178 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131258), // Rule ID 14992 //
     /* 1131183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1131203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131222 */     // MIs[0] round
     /* 1131222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131257 */     // GIR_Coverage, 14992,
     /* 1131257 */     GIR_EraseRootFromParent_Done,
     /* 1131258 */   // Label 16574: @1131258
     /* 1131258 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131338), // Rule ID 14993 //
     /* 1131263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1131283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131302 */     // MIs[0] round
     /* 1131302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131337 */     // GIR_Coverage, 14993,
     /* 1131337 */     GIR_EraseRootFromParent_Done,
     /* 1131338 */   // Label 16575: @1131338
     /* 1131338 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1131418), // Rule ID 14996 //
     /* 1131343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131382 */     // MIs[0] round
     /* 1131382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131417 */     // GIR_Coverage, 14996,
     /* 1131417 */     GIR_EraseRootFromParent_Done,
     /* 1131418 */   // Label 16576: @1131418
     /* 1131418 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1131498), // Rule ID 14997 //
     /* 1131423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131462 */     // MIs[0] round
     /* 1131462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131472 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131497 */     // GIR_Coverage, 14997,
     /* 1131497 */     GIR_EraseRootFromParent_Done,
     /* 1131498 */   // Label 16577: @1131498
     /* 1131498 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1131578), // Rule ID 15000 //
     /* 1131503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1131523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131542 */     // MIs[0] round
     /* 1131542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131577 */     // GIR_Coverage, 15000,
     /* 1131577 */     GIR_EraseRootFromParent_Done,
     /* 1131578 */   // Label 16578: @1131578
     /* 1131578 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1131658), // Rule ID 15001 //
     /* 1131583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1131603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131622 */     // MIs[0] round
     /* 1131622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131657 */     // GIR_Coverage, 15001,
     /* 1131657 */     GIR_EraseRootFromParent_Done,
     /* 1131658 */   // Label 16579: @1131658
     /* 1131658 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1131738), // Rule ID 15004 //
     /* 1131663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1131683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131702 */     // MIs[0] round
     /* 1131702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131737 */     // GIR_Coverage, 15004,
     /* 1131737 */     GIR_EraseRootFromParent_Done,
     /* 1131738 */   // Label 16580: @1131738
     /* 1131738 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1131818), // Rule ID 15005 //
     /* 1131743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1131763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131782 */     // MIs[0] round
     /* 1131782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131817 */     // GIR_Coverage, 15005,
     /* 1131817 */     GIR_EraseRootFromParent_Done,
     /* 1131818 */   // Label 16581: @1131818
     /* 1131818 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1131898), // Rule ID 15008 //
     /* 1131823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131862 */     // MIs[0] round
     /* 1131862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1131875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131897 */     // GIR_Coverage, 15008,
     /* 1131897 */     GIR_EraseRootFromParent_Done,
     /* 1131898 */   // Label 16582: @1131898
     /* 1131898 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1131978), // Rule ID 15009 //
     /* 1131903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131942 */     // MIs[0] round
     /* 1131942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1131955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131977 */     // GIR_Coverage, 15009,
     /* 1131977 */     GIR_EraseRootFromParent_Done,
     /* 1131978 */   // Label 16583: @1131978
     /* 1131978 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132058), // Rule ID 15012 //
     /* 1131983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1132000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132022 */     // MIs[0] round
     /* 1132022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132032 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132057 */     // GIR_Coverage, 15012,
     /* 1132057 */     GIR_EraseRootFromParent_Done,
     /* 1132058 */   // Label 16584: @1132058
     /* 1132058 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132138), // Rule ID 15013 //
     /* 1132063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1132074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1132077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1132080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132102 */     // MIs[0] round
     /* 1132102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132137 */     // GIR_Coverage, 15013,
     /* 1132137 */     GIR_EraseRootFromParent_Done,
     /* 1132138 */   // Label 16585: @1132138
     /* 1132138 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132218), // Rule ID 15016 //
     /* 1132143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132182 */     // MIs[0] round
     /* 1132182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132217 */     // GIR_Coverage, 15016,
     /* 1132217 */     GIR_EraseRootFromParent_Done,
     /* 1132218 */   // Label 16586: @1132218
     /* 1132218 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132298), // Rule ID 15017 //
     /* 1132223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132262 */     // MIs[0] round
     /* 1132262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132297 */     // GIR_Coverage, 15017,
     /* 1132297 */     GIR_EraseRootFromParent_Done,
     /* 1132298 */   // Label 16587: @1132298
     /* 1132298 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132378), // Rule ID 15020 //
     /* 1132303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132342 */     // MIs[0] round
     /* 1132342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132377 */     // GIR_Coverage, 15020,
     /* 1132377 */     GIR_EraseRootFromParent_Done,
     /* 1132378 */   // Label 16588: @1132378
     /* 1132378 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1132458), // Rule ID 15021 //
     /* 1132383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132422 */     // MIs[0] round
     /* 1132422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132457 */     // GIR_Coverage, 15021,
     /* 1132457 */     GIR_EraseRootFromParent_Done,
     /* 1132458 */   // Label 16589: @1132458
     /* 1132458 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1132538), // Rule ID 15024 //
     /* 1132463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132502 */     // MIs[0] round
     /* 1132502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132537 */     // GIR_Coverage, 15024,
     /* 1132537 */     GIR_EraseRootFromParent_Done,
     /* 1132538 */   // Label 16590: @1132538
     /* 1132538 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1132618), // Rule ID 15025 //
     /* 1132543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132582 */     // MIs[0] round
     /* 1132582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132617 */     // GIR_Coverage, 15025,
     /* 1132617 */     GIR_EraseRootFromParent_Done,
     /* 1132618 */   // Label 16591: @1132618
     /* 1132618 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1132698), // Rule ID 15028 //
     /* 1132623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132662 */     // MIs[0] round
     /* 1132662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132697 */     // GIR_Coverage, 15028,
     /* 1132697 */     GIR_EraseRootFromParent_Done,
     /* 1132698 */   // Label 16592: @1132698
     /* 1132698 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1132778), // Rule ID 15029 //
     /* 1132703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132742 */     // MIs[0] round
     /* 1132742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132777 */     // GIR_Coverage, 15029,
     /* 1132777 */     GIR_EraseRootFromParent_Done,
     /* 1132778 */   // Label 16593: @1132778
     /* 1132778 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1132858), // Rule ID 15032 //
     /* 1132783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132822 */     // MIs[0] round
     /* 1132822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132857 */     // GIR_Coverage, 15032,
     /* 1132857 */     GIR_EraseRootFromParent_Done,
     /* 1132858 */   // Label 16594: @1132858
     /* 1132858 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1132938), // Rule ID 15033 //
     /* 1132863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132902 */     // MIs[0] round
     /* 1132902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132937 */     // GIR_Coverage, 15033,
     /* 1132937 */     GIR_EraseRootFromParent_Done,
     /* 1132938 */   // Label 16595: @1132938
     /* 1132938 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133018), // Rule ID 15036 //
     /* 1132943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132982 */     // MIs[0] round
     /* 1132982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133017 */     // GIR_Coverage, 15036,
     /* 1133017 */     GIR_EraseRootFromParent_Done,
     /* 1133018 */   // Label 16596: @1133018
     /* 1133018 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133098), // Rule ID 15037 //
     /* 1133023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1133034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1133037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1133040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133062 */     // MIs[0] round
     /* 1133062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133097 */     // GIR_Coverage, 15037,
     /* 1133097 */     GIR_EraseRootFromParent_Done,
     /* 1133098 */   // Label 16597: @1133098
     /* 1133098 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133178), // Rule ID 15040 //
     /* 1133103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133142 */     // MIs[0] round
     /* 1133142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133177 */     // GIR_Coverage, 15040,
     /* 1133177 */     GIR_EraseRootFromParent_Done,
     /* 1133178 */   // Label 16598: @1133178
     /* 1133178 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133258), // Rule ID 15041 //
     /* 1133183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133222 */     // MIs[0] round
     /* 1133222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133257 */     // GIR_Coverage, 15041,
     /* 1133257 */     GIR_EraseRootFromParent_Done,
     /* 1133258 */   // Label 16599: @1133258
     /* 1133258 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133338), // Rule ID 15044 //
     /* 1133263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133302 */     // MIs[0] round
     /* 1133302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133337 */     // GIR_Coverage, 15044,
     /* 1133337 */     GIR_EraseRootFromParent_Done,
     /* 1133338 */   // Label 16600: @1133338
     /* 1133338 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1133418), // Rule ID 15045 //
     /* 1133343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133382 */     // MIs[0] round
     /* 1133382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133417 */     // GIR_Coverage, 15045,
     /* 1133417 */     GIR_EraseRootFromParent_Done,
     /* 1133418 */   // Label 16601: @1133418
     /* 1133418 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1133498), // Rule ID 15048 //
     /* 1133423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133462 */     // MIs[0] round
     /* 1133462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133497 */     // GIR_Coverage, 15048,
     /* 1133497 */     GIR_EraseRootFromParent_Done,
     /* 1133498 */   // Label 16602: @1133498
     /* 1133498 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1133578), // Rule ID 15049 //
     /* 1133503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133542 */     // MIs[0] round
     /* 1133542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133577 */     // GIR_Coverage, 15049,
     /* 1133577 */     GIR_EraseRootFromParent_Done,
     /* 1133578 */   // Label 16603: @1133578
     /* 1133578 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1133658), // Rule ID 15052 //
     /* 1133583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133622 */     // MIs[0] round
     /* 1133622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133632 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133657 */     // GIR_Coverage, 15052,
     /* 1133657 */     GIR_EraseRootFromParent_Done,
     /* 1133658 */   // Label 16604: @1133658
     /* 1133658 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1133738), // Rule ID 15053 //
     /* 1133663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133702 */     // MIs[0] round
     /* 1133702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133737 */     // GIR_Coverage, 15053,
     /* 1133737 */     GIR_EraseRootFromParent_Done,
     /* 1133738 */   // Label 16605: @1133738
     /* 1133738 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1133818), // Rule ID 15056 //
     /* 1133743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133782 */     // MIs[0] round
     /* 1133782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1133795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133817 */     // GIR_Coverage, 15056,
     /* 1133817 */     GIR_EraseRootFromParent_Done,
     /* 1133818 */   // Label 16606: @1133818
     /* 1133818 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1133898), // Rule ID 15057 //
     /* 1133823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133862 */     // MIs[0] round
     /* 1133862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1133875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133897 */     // GIR_Coverage, 15057,
     /* 1133897 */     GIR_EraseRootFromParent_Done,
     /* 1133898 */   // Label 16607: @1133898
     /* 1133898 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1133978), // Rule ID 15060 //
     /* 1133903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133942 */     // MIs[0] round
     /* 1133942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133977 */     // GIR_Coverage, 15060,
     /* 1133977 */     GIR_EraseRootFromParent_Done,
     /* 1133978 */   // Label 16608: @1133978
     /* 1133978 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134058), // Rule ID 15061 //
     /* 1133983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134022 */     // MIs[0] round
     /* 1134022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134057 */     // GIR_Coverage, 15061,
     /* 1134057 */     GIR_EraseRootFromParent_Done,
     /* 1134058 */   // Label 16609: @1134058
     /* 1134058 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134138), // Rule ID 15064 //
     /* 1134063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1134074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1134077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134102 */     // MIs[0] round
     /* 1134102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134137 */     // GIR_Coverage, 15064,
     /* 1134137 */     GIR_EraseRootFromParent_Done,
     /* 1134138 */   // Label 16610: @1134138
     /* 1134138 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134218), // Rule ID 15065 //
     /* 1134143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1134154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1134157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134182 */     // MIs[0] round
     /* 1134182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134217 */     // GIR_Coverage, 15065,
     /* 1134217 */     GIR_EraseRootFromParent_Done,
     /* 1134218 */   // Label 16611: @1134218
     /* 1134218 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134298), // Rule ID 15068 //
     /* 1134223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134262 */     // MIs[0] round
     /* 1134262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134297 */     // GIR_Coverage, 15068,
     /* 1134297 */     GIR_EraseRootFromParent_Done,
     /* 1134298 */   // Label 16612: @1134298
     /* 1134298 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134378), // Rule ID 15069 //
     /* 1134303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134342 */     // MIs[0] round
     /* 1134342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134377 */     // GIR_Coverage, 15069,
     /* 1134377 */     GIR_EraseRootFromParent_Done,
     /* 1134378 */   // Label 16613: @1134378
     /* 1134378 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1134458), // Rule ID 15072 //
     /* 1134383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134422 */     // MIs[0] round
     /* 1134422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134457 */     // GIR_Coverage, 15072,
     /* 1134457 */     GIR_EraseRootFromParent_Done,
     /* 1134458 */   // Label 16614: @1134458
     /* 1134458 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1134538), // Rule ID 15073 //
     /* 1134463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134502 */     // MIs[0] round
     /* 1134502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134537 */     // GIR_Coverage, 15073,
     /* 1134537 */     GIR_EraseRootFromParent_Done,
     /* 1134538 */   // Label 16615: @1134538
     /* 1134538 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1134618), // Rule ID 15076 //
     /* 1134543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134582 */     // MIs[0] round
     /* 1134582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134617 */     // GIR_Coverage, 15076,
     /* 1134617 */     GIR_EraseRootFromParent_Done,
     /* 1134618 */   // Label 16616: @1134618
     /* 1134618 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1134698), // Rule ID 15077 //
     /* 1134623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134662 */     // MIs[0] round
     /* 1134662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134697 */     // GIR_Coverage, 15077,
     /* 1134697 */     GIR_EraseRootFromParent_Done,
     /* 1134698 */   // Label 16617: @1134698
     /* 1134698 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1134778), // Rule ID 15080 //
     /* 1134703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134742 */     // MIs[0] round
     /* 1134742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134777 */     // GIR_Coverage, 15080,
     /* 1134777 */     GIR_EraseRootFromParent_Done,
     /* 1134778 */   // Label 16618: @1134778
     /* 1134778 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1134858), // Rule ID 15081 //
     /* 1134783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134822 */     // MIs[0] round
     /* 1134822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134857 */     // GIR_Coverage, 15081,
     /* 1134857 */     GIR_EraseRootFromParent_Done,
     /* 1134858 */   // Label 16619: @1134858
     /* 1134858 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1134938), // Rule ID 15084 //
     /* 1134863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134902 */     // MIs[0] round
     /* 1134902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134937 */     // GIR_Coverage, 15084,
     /* 1134937 */     GIR_EraseRootFromParent_Done,
     /* 1134938 */   // Label 16620: @1134938
     /* 1134938 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135018), // Rule ID 15085 //
     /* 1134943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134982 */     // MIs[0] round
     /* 1134982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135017 */     // GIR_Coverage, 15085,
     /* 1135017 */     GIR_EraseRootFromParent_Done,
     /* 1135018 */   // Label 16621: @1135018
     /* 1135018 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135098), // Rule ID 15088 //
     /* 1135023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135062 */     // MIs[0] round
     /* 1135062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135097 */     // GIR_Coverage, 15088,
     /* 1135097 */     GIR_EraseRootFromParent_Done,
     /* 1135098 */   // Label 16622: @1135098
     /* 1135098 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135178), // Rule ID 15089 //
     /* 1135103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135142 */     // MIs[0] round
     /* 1135142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135177 */     // GIR_Coverage, 15089,
     /* 1135177 */     GIR_EraseRootFromParent_Done,
     /* 1135178 */   // Label 16623: @1135178
     /* 1135178 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135258), // Rule ID 15092 //
     /* 1135183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135222 */     // MIs[0] round
     /* 1135222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135257 */     // GIR_Coverage, 15092,
     /* 1135257 */     GIR_EraseRootFromParent_Done,
     /* 1135258 */   // Label 16624: @1135258
     /* 1135258 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135338), // Rule ID 15093 //
     /* 1135263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135302 */     // MIs[0] round
     /* 1135302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135337 */     // GIR_Coverage, 15093,
     /* 1135337 */     GIR_EraseRootFromParent_Done,
     /* 1135338 */   // Label 16625: @1135338
     /* 1135338 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1135418), // Rule ID 15096 //
     /* 1135343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135382 */     // MIs[0] round
     /* 1135382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135417 */     // GIR_Coverage, 15096,
     /* 1135417 */     GIR_EraseRootFromParent_Done,
     /* 1135418 */   // Label 16626: @1135418
     /* 1135418 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1135498), // Rule ID 15097 //
     /* 1135423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135462 */     // MIs[0] round
     /* 1135462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135497 */     // GIR_Coverage, 15097,
     /* 1135497 */     GIR_EraseRootFromParent_Done,
     /* 1135498 */   // Label 16627: @1135498
     /* 1135498 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1135578), // Rule ID 15100 //
     /* 1135503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1135523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135542 */     // MIs[0] round
     /* 1135542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135577 */     // GIR_Coverage, 15100,
     /* 1135577 */     GIR_EraseRootFromParent_Done,
     /* 1135578 */   // Label 16628: @1135578
     /* 1135578 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1135658), // Rule ID 15101 //
     /* 1135583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1135603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135622 */     // MIs[0] round
     /* 1135622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135657 */     // GIR_Coverage, 15101,
     /* 1135657 */     GIR_EraseRootFromParent_Done,
     /* 1135658 */   // Label 16629: @1135658
     /* 1135658 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1135738), // Rule ID 15104 //
     /* 1135663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1135683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135702 */     // MIs[0] round
     /* 1135702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135737 */     // GIR_Coverage, 15104,
     /* 1135737 */     GIR_EraseRootFromParent_Done,
     /* 1135738 */   // Label 16630: @1135738
     /* 1135738 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1135818), // Rule ID 15105 //
     /* 1135743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1135763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135782 */     // MIs[0] round
     /* 1135782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135817 */     // GIR_Coverage, 15105,
     /* 1135817 */     GIR_EraseRootFromParent_Done,
     /* 1135818 */   // Label 16631: @1135818
     /* 1135818 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1135898), // Rule ID 15108 //
     /* 1135823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1135843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135862 */     // MIs[0] round
     /* 1135862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135897 */     // GIR_Coverage, 15108,
     /* 1135897 */     GIR_EraseRootFromParent_Done,
     /* 1135898 */   // Label 16632: @1135898
     /* 1135898 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1135978), // Rule ID 15109 //
     /* 1135903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1135923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135942 */     // MIs[0] round
     /* 1135942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135977 */     // GIR_Coverage, 15109,
     /* 1135977 */     GIR_EraseRootFromParent_Done,
     /* 1135978 */   // Label 16633: @1135978
     /* 1135978 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136058), // Rule ID 15112 //
     /* 1135983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1136000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1136003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136022 */     // MIs[0] round
     /* 1136022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136032 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136057 */     // GIR_Coverage, 15112,
     /* 1136057 */     GIR_EraseRootFromParent_Done,
     /* 1136058 */   // Label 16634: @1136058
     /* 1136058 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136138), // Rule ID 15113 //
     /* 1136063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1136074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1136077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1136080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1136083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136102 */     // MIs[0] round
     /* 1136102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136137 */     // GIR_Coverage, 15113,
     /* 1136137 */     GIR_EraseRootFromParent_Done,
     /* 1136138 */   // Label 16635: @1136138
     /* 1136138 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136218), // Rule ID 15116 //
     /* 1136143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1136163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136182 */     // MIs[0] round
     /* 1136182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136217 */     // GIR_Coverage, 15116,
     /* 1136217 */     GIR_EraseRootFromParent_Done,
     /* 1136218 */   // Label 16636: @1136218
     /* 1136218 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136298), // Rule ID 15117 //
     /* 1136223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1136243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136262 */     // MIs[0] round
     /* 1136262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136297 */     // GIR_Coverage, 15117,
     /* 1136297 */     GIR_EraseRootFromParent_Done,
     /* 1136298 */   // Label 16637: @1136298
     /* 1136298 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136378), // Rule ID 15120 //
     /* 1136303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136342 */     // MIs[0] round
     /* 1136342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136377 */     // GIR_Coverage, 15120,
     /* 1136377 */     GIR_EraseRootFromParent_Done,
     /* 1136378 */   // Label 16638: @1136378
     /* 1136378 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1136458), // Rule ID 15121 //
     /* 1136383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136422 */     // MIs[0] round
     /* 1136422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136457 */     // GIR_Coverage, 15121,
     /* 1136457 */     GIR_EraseRootFromParent_Done,
     /* 1136458 */   // Label 16639: @1136458
     /* 1136458 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1136538), // Rule ID 15124 //
     /* 1136463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1136483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136502 */     // MIs[0] round
     /* 1136502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136537 */     // GIR_Coverage, 15124,
     /* 1136537 */     GIR_EraseRootFromParent_Done,
     /* 1136538 */   // Label 16640: @1136538
     /* 1136538 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1136618), // Rule ID 15125 //
     /* 1136543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1136563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136582 */     // MIs[0] round
     /* 1136582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136617 */     // GIR_Coverage, 15125,
     /* 1136617 */     GIR_EraseRootFromParent_Done,
     /* 1136618 */   // Label 16641: @1136618
     /* 1136618 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1136698), // Rule ID 15128 //
     /* 1136623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1136643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136662 */     // MIs[0] round
     /* 1136662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136697 */     // GIR_Coverage, 15128,
     /* 1136697 */     GIR_EraseRootFromParent_Done,
     /* 1136698 */   // Label 16642: @1136698
     /* 1136698 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1136778), // Rule ID 15129 //
     /* 1136703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1136723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136742 */     // MIs[0] round
     /* 1136742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136777 */     // GIR_Coverage, 15129,
     /* 1136777 */     GIR_EraseRootFromParent_Done,
     /* 1136778 */   // Label 16643: @1136778
     /* 1136778 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1136858), // Rule ID 15132 //
     /* 1136783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1136803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136822 */     // MIs[0] round
     /* 1136822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136832 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136857 */     // GIR_Coverage, 15132,
     /* 1136857 */     GIR_EraseRootFromParent_Done,
     /* 1136858 */   // Label 16644: @1136858
     /* 1136858 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1136938), // Rule ID 15133 //
     /* 1136863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1136883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136902 */     // MIs[0] round
     /* 1136902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136937 */     // GIR_Coverage, 15133,
     /* 1136937 */     GIR_EraseRootFromParent_Done,
     /* 1136938 */   // Label 16645: @1136938
     /* 1136938 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137018), // Rule ID 15136 //
     /* 1136943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1136963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136982 */     // MIs[0] round
     /* 1136982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1136995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137017 */     // GIR_Coverage, 15136,
     /* 1137017 */     GIR_EraseRootFromParent_Done,
     /* 1137018 */   // Label 16646: @1137018
     /* 1137018 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137098), // Rule ID 15137 //
     /* 1137023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1137034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1137037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1137040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1137043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137062 */     // MIs[0] round
     /* 1137062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137097 */     // GIR_Coverage, 15137,
     /* 1137097 */     GIR_EraseRootFromParent_Done,
     /* 1137098 */   // Label 16647: @1137098
     /* 1137098 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137178), // Rule ID 15140 //
     /* 1137103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1137114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1137117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1137120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1137123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137142 */     // MIs[0] round
     /* 1137142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137177 */     // GIR_Coverage, 15140,
     /* 1137177 */     GIR_EraseRootFromParent_Done,
     /* 1137178 */   // Label 16648: @1137178
     /* 1137178 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137258), // Rule ID 15141 //
     /* 1137183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1137194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1137197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1137200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1137203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137222 */     // MIs[0] round
     /* 1137222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137257 */     // GIR_Coverage, 15141,
     /* 1137257 */     GIR_EraseRootFromParent_Done,
     /* 1137258 */   // Label 16649: @1137258
     /* 1137258 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137338), // Rule ID 15144 //
     /* 1137263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137302 */     // MIs[0] round
     /* 1137302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137337 */     // GIR_Coverage, 15144,
     /* 1137337 */     GIR_EraseRootFromParent_Done,
     /* 1137338 */   // Label 16650: @1137338
     /* 1137338 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1137418), // Rule ID 15145 //
     /* 1137343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137382 */     // MIs[0] round
     /* 1137382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137417 */     // GIR_Coverage, 15145,
     /* 1137417 */     GIR_EraseRootFromParent_Done,
     /* 1137418 */   // Label 16651: @1137418
     /* 1137418 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1137498), // Rule ID 15148 //
     /* 1137423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137462 */     // MIs[0] round
     /* 1137462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137497 */     // GIR_Coverage, 15148,
     /* 1137497 */     GIR_EraseRootFromParent_Done,
     /* 1137498 */   // Label 16652: @1137498
     /* 1137498 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1137578), // Rule ID 15149 //
     /* 1137503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137542 */     // MIs[0] round
     /* 1137542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137577 */     // GIR_Coverage, 15149,
     /* 1137577 */     GIR_EraseRootFromParent_Done,
     /* 1137578 */   // Label 16653: @1137578
     /* 1137578 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1137658), // Rule ID 15152 //
     /* 1137583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1137603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137622 */     // MIs[0] round
     /* 1137622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137657 */     // GIR_Coverage, 15152,
     /* 1137657 */     GIR_EraseRootFromParent_Done,
     /* 1137658 */   // Label 16654: @1137658
     /* 1137658 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1137738), // Rule ID 15153 //
     /* 1137663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1137683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137702 */     // MIs[0] round
     /* 1137702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137737 */     // GIR_Coverage, 15153,
     /* 1137737 */     GIR_EraseRootFromParent_Done,
     /* 1137738 */   // Label 16655: @1137738
     /* 1137738 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1137818), // Rule ID 15156 //
     /* 1137743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1137763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137782 */     // MIs[0] round
     /* 1137782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137792 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137817 */     // GIR_Coverage, 15156,
     /* 1137817 */     GIR_EraseRootFromParent_Done,
     /* 1137818 */   // Label 16656: @1137818
     /* 1137818 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1137898), // Rule ID 15157 //
     /* 1137823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1137843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137862 */     // MIs[0] round
     /* 1137862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137897 */     // GIR_Coverage, 15157,
     /* 1137897 */     GIR_EraseRootFromParent_Done,
     /* 1137898 */   // Label 16657: @1137898
     /* 1137898 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1137978), // Rule ID 15160 //
     /* 1137903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1137923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137942 */     // MIs[0] round
     /* 1137942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137977 */     // GIR_Coverage, 15160,
     /* 1137977 */     GIR_EraseRootFromParent_Done,
     /* 1137978 */   // Label 16658: @1137978
     /* 1137978 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138058), // Rule ID 15161 //
     /* 1137983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1138000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1138003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138022 */     // MIs[0] round
     /* 1138022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138057 */     // GIR_Coverage, 15161,
     /* 1138057 */     GIR_EraseRootFromParent_Done,
     /* 1138058 */   // Label 16659: @1138058
     /* 1138058 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138138), // Rule ID 15164 //
     /* 1138063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1138074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1138077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1138080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1138083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138102 */     // MIs[0] round
     /* 1138102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138137 */     // GIR_Coverage, 15164,
     /* 1138137 */     GIR_EraseRootFromParent_Done,
     /* 1138138 */   // Label 16660: @1138138
     /* 1138138 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138218), // Rule ID 15165 //
     /* 1138143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1138154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1138157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1138160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1138163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138182 */     // MIs[0] round
     /* 1138182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138217 */     // GIR_Coverage, 15165,
     /* 1138217 */     GIR_EraseRootFromParent_Done,
     /* 1138218 */   // Label 16661: @1138218
     /* 1138218 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138298), // Rule ID 15168 //
     /* 1138223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138262 */     // MIs[0] round
     /* 1138262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138297 */     // GIR_Coverage, 15168,
     /* 1138297 */     GIR_EraseRootFromParent_Done,
     /* 1138298 */   // Label 16662: @1138298
     /* 1138298 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138378), // Rule ID 15169 //
     /* 1138303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138342 */     // MIs[0] round
     /* 1138342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138377 */     // GIR_Coverage, 15169,
     /* 1138377 */     GIR_EraseRootFromParent_Done,
     /* 1138378 */   // Label 16663: @1138378
     /* 1138378 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1138458), // Rule ID 15172 //
     /* 1138383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138422 */     // MIs[0] round
     /* 1138422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138457 */     // GIR_Coverage, 15172,
     /* 1138457 */     GIR_EraseRootFromParent_Done,
     /* 1138458 */   // Label 16664: @1138458
     /* 1138458 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1138538), // Rule ID 15173 //
     /* 1138463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138502 */     // MIs[0] round
     /* 1138502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138537 */     // GIR_Coverage, 15173,
     /* 1138537 */     GIR_EraseRootFromParent_Done,
     /* 1138538 */   // Label 16665: @1138538
     /* 1138538 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1138618), // Rule ID 15176 //
     /* 1138543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1138563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138582 */     // MIs[0] round
     /* 1138582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138617 */     // GIR_Coverage, 15176,
     /* 1138617 */     GIR_EraseRootFromParent_Done,
     /* 1138618 */   // Label 16666: @1138618
     /* 1138618 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1138698), // Rule ID 15177 //
     /* 1138623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1138643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138662 */     // MIs[0] round
     /* 1138662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138697 */     // GIR_Coverage, 15177,
     /* 1138697 */     GIR_EraseRootFromParent_Done,
     /* 1138698 */   // Label 16667: @1138698
     /* 1138698 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1138778), // Rule ID 15180 //
     /* 1138703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1138723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138742 */     // MIs[0] round
     /* 1138742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138777 */     // GIR_Coverage, 15180,
     /* 1138777 */     GIR_EraseRootFromParent_Done,
     /* 1138778 */   // Label 16668: @1138778
     /* 1138778 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1138858), // Rule ID 15181 //
     /* 1138783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1138803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138822 */     // MIs[0] round
     /* 1138822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138857 */     // GIR_Coverage, 15181,
     /* 1138857 */     GIR_EraseRootFromParent_Done,
     /* 1138858 */   // Label 16669: @1138858
     /* 1138858 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1138938), // Rule ID 15184 //
     /* 1138863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138902 */     // MIs[0] round
     /* 1138902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1138915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138937 */     // GIR_Coverage, 15184,
     /* 1138937 */     GIR_EraseRootFromParent_Done,
     /* 1138938 */   // Label 16670: @1138938
     /* 1138938 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139018), // Rule ID 15185 //
     /* 1138943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138982 */     // MIs[0] round
     /* 1138982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1138995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139017 */     // GIR_Coverage, 15185,
     /* 1139017 */     GIR_EraseRootFromParent_Done,
     /* 1139018 */   // Label 16671: @1139018
     /* 1139018 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139098), // Rule ID 15188 //
     /* 1139023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1139034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1139037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1139040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139062 */     // MIs[0] round
     /* 1139062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139097 */     // GIR_Coverage, 15188,
     /* 1139097 */     GIR_EraseRootFromParent_Done,
     /* 1139098 */   // Label 16672: @1139098
     /* 1139098 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139178), // Rule ID 15189 //
     /* 1139103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1139114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1139117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1139120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139142 */     // MIs[0] round
     /* 1139142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139177 */     // GIR_Coverage, 15189,
     /* 1139177 */     GIR_EraseRootFromParent_Done,
     /* 1139178 */   // Label 16673: @1139178
     /* 1139178 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139258), // Rule ID 15192 //
     /* 1139183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139222 */     // MIs[0] round
     /* 1139222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139257 */     // GIR_Coverage, 15192,
     /* 1139257 */     GIR_EraseRootFromParent_Done,
     /* 1139258 */   // Label 16674: @1139258
     /* 1139258 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139338), // Rule ID 15193 //
     /* 1139263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139302 */     // MIs[0] round
     /* 1139302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139337 */     // GIR_Coverage, 15193,
     /* 1139337 */     GIR_EraseRootFromParent_Done,
     /* 1139338 */   // Label 16675: @1139338
     /* 1139338 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1139418), // Rule ID 15196 //
     /* 1139343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139382 */     // MIs[0] round
     /* 1139382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139417 */     // GIR_Coverage, 15196,
     /* 1139417 */     GIR_EraseRootFromParent_Done,
     /* 1139418 */   // Label 16676: @1139418
     /* 1139418 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1139498), // Rule ID 15197 //
     /* 1139423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139462 */     // MIs[0] round
     /* 1139462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139497 */     // GIR_Coverage, 15197,
     /* 1139497 */     GIR_EraseRootFromParent_Done,
     /* 1139498 */   // Label 16677: @1139498
     /* 1139498 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1139578), // Rule ID 15200 //
     /* 1139503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139542 */     // MIs[0] round
     /* 1139542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139577 */     // GIR_Coverage, 15200,
     /* 1139577 */     GIR_EraseRootFromParent_Done,
     /* 1139578 */   // Label 16678: @1139578
     /* 1139578 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1139658), // Rule ID 15201 //
     /* 1139583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139622 */     // MIs[0] round
     /* 1139622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139657 */     // GIR_Coverage, 15201,
     /* 1139657 */     GIR_EraseRootFromParent_Done,
     /* 1139658 */   // Label 16679: @1139658
     /* 1139658 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1139738), // Rule ID 15204 //
     /* 1139663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139702 */     // MIs[0] round
     /* 1139702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139737 */     // GIR_Coverage, 15204,
     /* 1139737 */     GIR_EraseRootFromParent_Done,
     /* 1139738 */   // Label 16680: @1139738
     /* 1139738 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1139818), // Rule ID 15205 //
     /* 1139743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139782 */     // MIs[0] round
     /* 1139782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139817 */     // GIR_Coverage, 15205,
     /* 1139817 */     GIR_EraseRootFromParent_Done,
     /* 1139818 */   // Label 16681: @1139818
     /* 1139818 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1139898), // Rule ID 15208 //
     /* 1139823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139862 */     // MIs[0] round
     /* 1139862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139897 */     // GIR_Coverage, 15208,
     /* 1139897 */     GIR_EraseRootFromParent_Done,
     /* 1139898 */   // Label 16682: @1139898
     /* 1139898 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1139978), // Rule ID 15209 //
     /* 1139903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139942 */     // MIs[0] round
     /* 1139942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139977 */     // GIR_Coverage, 15209,
     /* 1139977 */     GIR_EraseRootFromParent_Done,
     /* 1139978 */   // Label 16683: @1139978
     /* 1139978 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140058), // Rule ID 15212 //
     /* 1139983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140022 */     // MIs[0] round
     /* 1140022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140057 */     // GIR_Coverage, 15212,
     /* 1140057 */     GIR_EraseRootFromParent_Done,
     /* 1140058 */   // Label 16684: @1140058
     /* 1140058 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140138), // Rule ID 15213 //
     /* 1140063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1140074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1140077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140102 */     // MIs[0] round
     /* 1140102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140137 */     // GIR_Coverage, 15213,
     /* 1140137 */     GIR_EraseRootFromParent_Done,
     /* 1140138 */   // Label 16685: @1140138
     /* 1140138 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140218), // Rule ID 15216 //
     /* 1140143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140182 */     // MIs[0] round
     /* 1140182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140217 */     // GIR_Coverage, 15216,
     /* 1140217 */     GIR_EraseRootFromParent_Done,
     /* 1140218 */   // Label 16686: @1140218
     /* 1140218 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140298), // Rule ID 15217 //
     /* 1140223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140262 */     // MIs[0] round
     /* 1140262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140297 */     // GIR_Coverage, 15217,
     /* 1140297 */     GIR_EraseRootFromParent_Done,
     /* 1140298 */   // Label 16687: @1140298
     /* 1140298 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140378), // Rule ID 15220 //
     /* 1140303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140342 */     // MIs[0] round
     /* 1140342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140377 */     // GIR_Coverage, 15220,
     /* 1140377 */     GIR_EraseRootFromParent_Done,
     /* 1140378 */   // Label 16688: @1140378
     /* 1140378 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1140458), // Rule ID 15221 //
     /* 1140383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140422 */     // MIs[0] round
     /* 1140422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140457 */     // GIR_Coverage, 15221,
     /* 1140457 */     GIR_EraseRootFromParent_Done,
     /* 1140458 */   // Label 16689: @1140458
     /* 1140458 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1140538), // Rule ID 15224 //
     /* 1140463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140502 */     // MIs[0] round
     /* 1140502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140537 */     // GIR_Coverage, 15224,
     /* 1140537 */     GIR_EraseRootFromParent_Done,
     /* 1140538 */   // Label 16690: @1140538
     /* 1140538 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1140618), // Rule ID 15225 //
     /* 1140543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140582 */     // MIs[0] round
     /* 1140582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140617 */     // GIR_Coverage, 15225,
     /* 1140617 */     GIR_EraseRootFromParent_Done,
     /* 1140618 */   // Label 16691: @1140618
     /* 1140618 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1140698), // Rule ID 15228 //
     /* 1140623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140662 */     // MIs[0] round
     /* 1140662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1140675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140697 */     // GIR_Coverage, 15228,
     /* 1140697 */     GIR_EraseRootFromParent_Done,
     /* 1140698 */   // Label 16692: @1140698
     /* 1140698 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1140778), // Rule ID 15229 //
     /* 1140703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140742 */     // MIs[0] round
     /* 1140742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1140755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140777 */     // GIR_Coverage, 15229,
     /* 1140777 */     GIR_EraseRootFromParent_Done,
     /* 1140778 */   // Label 16693: @1140778
     /* 1140778 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1140858), // Rule ID 15232 //
     /* 1140783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140822 */     // MIs[0] round
     /* 1140822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140832 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1140835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140857 */     // GIR_Coverage, 15232,
     /* 1140857 */     GIR_EraseRootFromParent_Done,
     /* 1140858 */   // Label 16694: @1140858
     /* 1140858 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1140938), // Rule ID 15233 //
     /* 1140863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140902 */     // MIs[0] round
     /* 1140902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1140915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140937 */     // GIR_Coverage, 15233,
     /* 1140937 */     GIR_EraseRootFromParent_Done,
     /* 1140938 */   // Label 16695: @1140938
     /* 1140938 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141018), // Rule ID 15236 //
     /* 1140943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140982 */     // MIs[0] round
     /* 1140982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141017 */     // GIR_Coverage, 15236,
     /* 1141017 */     GIR_EraseRootFromParent_Done,
     /* 1141018 */   // Label 16696: @1141018
     /* 1141018 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141098), // Rule ID 15237 //
     /* 1141023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1141034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1141037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1141040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141062 */     // MIs[0] round
     /* 1141062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141097 */     // GIR_Coverage, 15237,
     /* 1141097 */     GIR_EraseRootFromParent_Done,
     /* 1141098 */   // Label 16697: @1141098
     /* 1141098 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141178), // Rule ID 15240 //
     /* 1141103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141142 */     // MIs[0] round
     /* 1141142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141177 */     // GIR_Coverage, 15240,
     /* 1141177 */     GIR_EraseRootFromParent_Done,
     /* 1141178 */   // Label 16698: @1141178
     /* 1141178 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141258), // Rule ID 15241 //
     /* 1141183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141222 */     // MIs[0] round
     /* 1141222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141257 */     // GIR_Coverage, 15241,
     /* 1141257 */     GIR_EraseRootFromParent_Done,
     /* 1141258 */   // Label 16699: @1141258
     /* 1141258 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141338), // Rule ID 15244 //
     /* 1141263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141302 */     // MIs[0] round
     /* 1141302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141337 */     // GIR_Coverage, 15244,
     /* 1141337 */     GIR_EraseRootFromParent_Done,
     /* 1141338 */   // Label 16700: @1141338
     /* 1141338 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1141418), // Rule ID 15245 //
     /* 1141343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141382 */     // MIs[0] round
     /* 1141382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141417 */     // GIR_Coverage, 15245,
     /* 1141417 */     GIR_EraseRootFromParent_Done,
     /* 1141418 */   // Label 16701: @1141418
     /* 1141418 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1141498), // Rule ID 15248 //
     /* 1141423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141462 */     // MIs[0] round
     /* 1141462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141497 */     // GIR_Coverage, 15248,
     /* 1141497 */     GIR_EraseRootFromParent_Done,
     /* 1141498 */   // Label 16702: @1141498
     /* 1141498 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1141578), // Rule ID 15249 //
     /* 1141503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141542 */     // MIs[0] round
     /* 1141542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141577 */     // GIR_Coverage, 15249,
     /* 1141577 */     GIR_EraseRootFromParent_Done,
     /* 1141578 */   // Label 16703: @1141578
     /* 1141578 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1141658), // Rule ID 15252 //
     /* 1141583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141622 */     // MIs[0] round
     /* 1141622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141657 */     // GIR_Coverage, 15252,
     /* 1141657 */     GIR_EraseRootFromParent_Done,
     /* 1141658 */   // Label 16704: @1141658
     /* 1141658 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1141738), // Rule ID 15253 //
     /* 1141663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141702 */     // MIs[0] round
     /* 1141702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141737 */     // GIR_Coverage, 15253,
     /* 1141737 */     GIR_EraseRootFromParent_Done,
     /* 1141738 */   // Label 16705: @1141738
     /* 1141738 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1141818), // Rule ID 15256 //
     /* 1141743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141782 */     // MIs[0] round
     /* 1141782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141817 */     // GIR_Coverage, 15256,
     /* 1141817 */     GIR_EraseRootFromParent_Done,
     /* 1141818 */   // Label 16706: @1141818
     /* 1141818 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1141898), // Rule ID 15257 //
     /* 1141823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141862 */     // MIs[0] round
     /* 1141862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141897 */     // GIR_Coverage, 15257,
     /* 1141897 */     GIR_EraseRootFromParent_Done,
     /* 1141898 */   // Label 16707: @1141898
     /* 1141898 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1141978), // Rule ID 15260 //
     /* 1141903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141942 */     // MIs[0] round
     /* 1141942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141977 */     // GIR_Coverage, 15260,
     /* 1141977 */     GIR_EraseRootFromParent_Done,
     /* 1141978 */   // Label 16708: @1141978
     /* 1141978 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142058), // Rule ID 15261 //
     /* 1141983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1142000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142022 */     // MIs[0] round
     /* 1142022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1142035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142057 */     // GIR_Coverage, 15261,
     /* 1142057 */     GIR_EraseRootFromParent_Done,
     /* 1142058 */   // Label 16709: @1142058
     /* 1142058 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142138), // Rule ID 15264 //
     /* 1142063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142102 */     // MIs[0] round
     /* 1142102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142137 */     // GIR_Coverage, 15264,
     /* 1142137 */     GIR_EraseRootFromParent_Done,
     /* 1142138 */   // Label 16710: @1142138
     /* 1142138 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142218), // Rule ID 15265 //
     /* 1142143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142182 */     // MIs[0] round
     /* 1142182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142217 */     // GIR_Coverage, 15265,
     /* 1142217 */     GIR_EraseRootFromParent_Done,
     /* 1142218 */   // Label 16711: @1142218
     /* 1142218 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142298), // Rule ID 15268 //
     /* 1142223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142262 */     // MIs[0] round
     /* 1142262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142297 */     // GIR_Coverage, 15268,
     /* 1142297 */     GIR_EraseRootFromParent_Done,
     /* 1142298 */   // Label 16712: @1142298
     /* 1142298 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142378), // Rule ID 15269 //
     /* 1142303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142342 */     // MIs[0] round
     /* 1142342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142377 */     // GIR_Coverage, 15269,
     /* 1142377 */     GIR_EraseRootFromParent_Done,
     /* 1142378 */   // Label 16713: @1142378
     /* 1142378 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1142458), // Rule ID 15272 //
     /* 1142383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142422 */     // MIs[0] round
     /* 1142422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142457 */     // GIR_Coverage, 15272,
     /* 1142457 */     GIR_EraseRootFromParent_Done,
     /* 1142458 */   // Label 16714: @1142458
     /* 1142458 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1142538), // Rule ID 15273 //
     /* 1142463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142502 */     // MIs[0] round
     /* 1142502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142537 */     // GIR_Coverage, 15273,
     /* 1142537 */     GIR_EraseRootFromParent_Done,
     /* 1142538 */   // Label 16715: @1142538
     /* 1142538 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1142618), // Rule ID 15276 //
     /* 1142543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1142563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142582 */     // MIs[0] round
     /* 1142582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142617 */     // GIR_Coverage, 15276,
     /* 1142617 */     GIR_EraseRootFromParent_Done,
     /* 1142618 */   // Label 16716: @1142618
     /* 1142618 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1142698), // Rule ID 15277 //
     /* 1142623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1142643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142662 */     // MIs[0] round
     /* 1142662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142697 */     // GIR_Coverage, 15277,
     /* 1142697 */     GIR_EraseRootFromParent_Done,
     /* 1142698 */   // Label 16717: @1142698
     /* 1142698 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1142778), // Rule ID 15280 //
     /* 1142703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1142723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142742 */     // MIs[0] round
     /* 1142742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142777 */     // GIR_Coverage, 15280,
     /* 1142777 */     GIR_EraseRootFromParent_Done,
     /* 1142778 */   // Label 16718: @1142778
     /* 1142778 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1142858), // Rule ID 15281 //
     /* 1142783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1142803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142822 */     // MIs[0] round
     /* 1142822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142857 */     // GIR_Coverage, 15281,
     /* 1142857 */     GIR_EraseRootFromParent_Done,
     /* 1142858 */   // Label 16719: @1142858
     /* 1142858 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1142938), // Rule ID 15284 //
     /* 1142863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142902 */     // MIs[0] round
     /* 1142902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142937 */     // GIR_Coverage, 15284,
     /* 1142937 */     GIR_EraseRootFromParent_Done,
     /* 1142938 */   // Label 16720: @1142938
     /* 1142938 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143018), // Rule ID 15285 //
     /* 1142943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142982 */     // MIs[0] round
     /* 1142982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143017 */     // GIR_Coverage, 15285,
     /* 1143017 */     GIR_EraseRootFromParent_Done,
     /* 1143018 */   // Label 16721: @1143018
     /* 1143018 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143098), // Rule ID 15288 //
     /* 1143023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1143034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1143037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1143040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1143043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143062 */     // MIs[0] round
     /* 1143062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143097 */     // GIR_Coverage, 15288,
     /* 1143097 */     GIR_EraseRootFromParent_Done,
     /* 1143098 */   // Label 16722: @1143098
     /* 1143098 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143178), // Rule ID 15289 //
     /* 1143103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1143114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1143117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1143120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1143123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143142 */     // MIs[0] round
     /* 1143142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143177 */     // GIR_Coverage, 15289,
     /* 1143177 */     GIR_EraseRootFromParent_Done,
     /* 1143178 */   // Label 16723: @1143178
     /* 1143178 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143258), // Rule ID 15292 //
     /* 1143183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1143203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143222 */     // MIs[0] round
     /* 1143222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143257 */     // GIR_Coverage, 15292,
     /* 1143257 */     GIR_EraseRootFromParent_Done,
     /* 1143258 */   // Label 16724: @1143258
     /* 1143258 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143338), // Rule ID 15293 //
     /* 1143263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1143283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143302 */     // MIs[0] round
     /* 1143302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143337 */     // GIR_Coverage, 15293,
     /* 1143337 */     GIR_EraseRootFromParent_Done,
     /* 1143338 */   // Label 16725: @1143338
     /* 1143338 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1143418), // Rule ID 15296 //
     /* 1143343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143382 */     // MIs[0] round
     /* 1143382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143417 */     // GIR_Coverage, 15296,
     /* 1143417 */     GIR_EraseRootFromParent_Done,
     /* 1143418 */   // Label 16726: @1143418
     /* 1143418 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1143498), // Rule ID 15297 //
     /* 1143423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143462 */     // MIs[0] round
     /* 1143462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143497 */     // GIR_Coverage, 15297,
     /* 1143497 */     GIR_EraseRootFromParent_Done,
     /* 1143498 */   // Label 16727: @1143498
     /* 1143498 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1143578), // Rule ID 15300 //
     /* 1143503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143542 */     // MIs[0] round
     /* 1143542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143577 */     // GIR_Coverage, 15300,
     /* 1143577 */     GIR_EraseRootFromParent_Done,
     /* 1143578 */   // Label 16728: @1143578
     /* 1143578 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1143658), // Rule ID 15301 //
     /* 1143583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143622 */     // MIs[0] round
     /* 1143622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143657 */     // GIR_Coverage, 15301,
     /* 1143657 */     GIR_EraseRootFromParent_Done,
     /* 1143658 */   // Label 16729: @1143658
     /* 1143658 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1143738), // Rule ID 15304 //
     /* 1143663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143702 */     // MIs[0] round
     /* 1143702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143737 */     // GIR_Coverage, 15304,
     /* 1143737 */     GIR_EraseRootFromParent_Done,
     /* 1143738 */   // Label 16730: @1143738
     /* 1143738 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1143818), // Rule ID 15305 //
     /* 1143743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143782 */     // MIs[0] round
     /* 1143782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143817 */     // GIR_Coverage, 15305,
     /* 1143817 */     GIR_EraseRootFromParent_Done,
     /* 1143818 */   // Label 16731: @1143818
     /* 1143818 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1143898), // Rule ID 15308 //
     /* 1143823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143862 */     // MIs[0] round
     /* 1143862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143897 */     // GIR_Coverage, 15308,
     /* 1143897 */     GIR_EraseRootFromParent_Done,
     /* 1143898 */   // Label 16732: @1143898
     /* 1143898 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1143978), // Rule ID 15309 //
     /* 1143903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143942 */     // MIs[0] round
     /* 1143942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143977 */     // GIR_Coverage, 15309,
     /* 1143977 */     GIR_EraseRootFromParent_Done,
     /* 1143978 */   // Label 16733: @1143978
     /* 1143978 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144058), // Rule ID 15312 //
     /* 1143983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1144000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1144003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144022 */     // MIs[0] round
     /* 1144022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144057 */     // GIR_Coverage, 15312,
     /* 1144057 */     GIR_EraseRootFromParent_Done,
     /* 1144058 */   // Label 16734: @1144058
     /* 1144058 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144138), // Rule ID 15313 //
     /* 1144063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1144074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1144077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1144080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1144083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144102 */     // MIs[0] round
     /* 1144102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144137 */     // GIR_Coverage, 15313,
     /* 1144137 */     GIR_EraseRootFromParent_Done,
     /* 1144138 */   // Label 16735: @1144138
     /* 1144138 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144218), // Rule ID 15316 //
     /* 1144143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1144163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144182 */     // MIs[0] round
     /* 1144182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144217 */     // GIR_Coverage, 15316,
     /* 1144217 */     GIR_EraseRootFromParent_Done,
     /* 1144218 */   // Label 16736: @1144218
     /* 1144218 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144298), // Rule ID 15317 //
     /* 1144223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1144243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144262 */     // MIs[0] round
     /* 1144262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144297 */     // GIR_Coverage, 15317,
     /* 1144297 */     GIR_EraseRootFromParent_Done,
     /* 1144298 */   // Label 16737: @1144298
     /* 1144298 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144378), // Rule ID 15320 //
     /* 1144303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144342 */     // MIs[0] round
     /* 1144342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144377 */     // GIR_Coverage, 15320,
     /* 1144377 */     GIR_EraseRootFromParent_Done,
     /* 1144378 */   // Label 16738: @1144378
     /* 1144378 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1144458), // Rule ID 15321 //
     /* 1144383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144422 */     // MIs[0] round
     /* 1144422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144457 */     // GIR_Coverage, 15321,
     /* 1144457 */     GIR_EraseRootFromParent_Done,
     /* 1144458 */   // Label 16739: @1144458
     /* 1144458 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1144538), // Rule ID 15324 //
     /* 1144463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1144483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144502 */     // MIs[0] round
     /* 1144502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144537 */     // GIR_Coverage, 15324,
     /* 1144537 */     GIR_EraseRootFromParent_Done,
     /* 1144538 */   // Label 16740: @1144538
     /* 1144538 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1144618), // Rule ID 15325 //
     /* 1144543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1144563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144582 */     // MIs[0] round
     /* 1144582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144617 */     // GIR_Coverage, 15325,
     /* 1144617 */     GIR_EraseRootFromParent_Done,
     /* 1144618 */   // Label 16741: @1144618
     /* 1144618 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1144698), // Rule ID 15328 //
     /* 1144623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1144643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144662 */     // MIs[0] round
     /* 1144662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144697 */     // GIR_Coverage, 15328,
     /* 1144697 */     GIR_EraseRootFromParent_Done,
     /* 1144698 */   // Label 16742: @1144698
     /* 1144698 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1144778), // Rule ID 15329 //
     /* 1144703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1144723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144742 */     // MIs[0] round
     /* 1144742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144777 */     // GIR_Coverage, 15329,
     /* 1144777 */     GIR_EraseRootFromParent_Done,
     /* 1144778 */   // Label 16743: @1144778
     /* 1144778 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1144858), // Rule ID 15332 //
     /* 1144783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1144803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144822 */     // MIs[0] round
     /* 1144822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144857 */     // GIR_Coverage, 15332,
     /* 1144857 */     GIR_EraseRootFromParent_Done,
     /* 1144858 */   // Label 16744: @1144858
     /* 1144858 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1144938), // Rule ID 15333 //
     /* 1144863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1144883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144902 */     // MIs[0] round
     /* 1144902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144937 */     // GIR_Coverage, 15333,
     /* 1144937 */     GIR_EraseRootFromParent_Done,
     /* 1144938 */   // Label 16745: @1144938
     /* 1144938 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145018), // Rule ID 15336 //
     /* 1144943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1144963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144982 */     // MIs[0] round
     /* 1144982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145017 */     // GIR_Coverage, 15336,
     /* 1145017 */     GIR_EraseRootFromParent_Done,
     /* 1145018 */   // Label 16746: @1145018
     /* 1145018 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145098), // Rule ID 15337 //
     /* 1145023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1145034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1145037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1145040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1145043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145062 */     // MIs[0] round
     /* 1145062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145097 */     // GIR_Coverage, 15337,
     /* 1145097 */     GIR_EraseRootFromParent_Done,
     /* 1145098 */   // Label 16747: @1145098
     /* 1145098 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145178), // Rule ID 15340 //
     /* 1145103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1145114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1145117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1145120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1145123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145142 */     // MIs[0] round
     /* 1145142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145177 */     // GIR_Coverage, 15340,
     /* 1145177 */     GIR_EraseRootFromParent_Done,
     /* 1145178 */   // Label 16748: @1145178
     /* 1145178 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145258), // Rule ID 15341 //
     /* 1145183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1145194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1145197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1145200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1145203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145222 */     // MIs[0] round
     /* 1145222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145257 */     // GIR_Coverage, 15341,
     /* 1145257 */     GIR_EraseRootFromParent_Done,
     /* 1145258 */   // Label 16749: @1145258
     /* 1145258 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145338), // Rule ID 15344 //
     /* 1145263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145302 */     // MIs[0] round
     /* 1145302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145337 */     // GIR_Coverage, 15344,
     /* 1145337 */     GIR_EraseRootFromParent_Done,
     /* 1145338 */   // Label 16750: @1145338
     /* 1145338 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1145418), // Rule ID 15345 //
     /* 1145343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145382 */     // MIs[0] round
     /* 1145382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145417 */     // GIR_Coverage, 15345,
     /* 1145417 */     GIR_EraseRootFromParent_Done,
     /* 1145418 */   // Label 16751: @1145418
     /* 1145418 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1145498), // Rule ID 15348 //
     /* 1145423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145462 */     // MIs[0] round
     /* 1145462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145472 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145497 */     // GIR_Coverage, 15348,
     /* 1145497 */     GIR_EraseRootFromParent_Done,
     /* 1145498 */   // Label 16752: @1145498
     /* 1145498 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1145578), // Rule ID 15349 //
     /* 1145503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145542 */     // MIs[0] round
     /* 1145542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145577 */     // GIR_Coverage, 15349,
     /* 1145577 */     GIR_EraseRootFromParent_Done,
     /* 1145578 */   // Label 16753: @1145578
     /* 1145578 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1145658), // Rule ID 15352 //
     /* 1145583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1145603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145622 */     // MIs[0] round
     /* 1145622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145657 */     // GIR_Coverage, 15352,
     /* 1145657 */     GIR_EraseRootFromParent_Done,
     /* 1145658 */   // Label 16754: @1145658
     /* 1145658 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1145738), // Rule ID 15353 //
     /* 1145663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1145683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145702 */     // MIs[0] round
     /* 1145702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145737 */     // GIR_Coverage, 15353,
     /* 1145737 */     GIR_EraseRootFromParent_Done,
     /* 1145738 */   // Label 16755: @1145738
     /* 1145738 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1145818), // Rule ID 15356 //
     /* 1145743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1145763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145782 */     // MIs[0] round
     /* 1145782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145817 */     // GIR_Coverage, 15356,
     /* 1145817 */     GIR_EraseRootFromParent_Done,
     /* 1145818 */   // Label 16756: @1145818
     /* 1145818 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1145898), // Rule ID 15357 //
     /* 1145823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1145843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145862 */     // MIs[0] round
     /* 1145862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145897 */     // GIR_Coverage, 15357,
     /* 1145897 */     GIR_EraseRootFromParent_Done,
     /* 1145898 */   // Label 16757: @1145898
     /* 1145898 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1145978), // Rule ID 15360 //
     /* 1145903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145942 */     // MIs[0] round
     /* 1145942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1145955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145977 */     // GIR_Coverage, 15360,
     /* 1145977 */     GIR_EraseRootFromParent_Done,
     /* 1145978 */   // Label 16758: @1145978
     /* 1145978 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146058), // Rule ID 15361 //
     /* 1145983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1146000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146022 */     // MIs[0] round
     /* 1146022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1146035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146057 */     // GIR_Coverage, 15361,
     /* 1146057 */     GIR_EraseRootFromParent_Done,
     /* 1146058 */   // Label 16759: @1146058
     /* 1146058 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146138), // Rule ID 15364 //
     /* 1146063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1146074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1146077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1146080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146102 */     // MIs[0] round
     /* 1146102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146137 */     // GIR_Coverage, 15364,
     /* 1146137 */     GIR_EraseRootFromParent_Done,
     /* 1146138 */   // Label 16760: @1146138
     /* 1146138 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146218), // Rule ID 15365 //
     /* 1146143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1146154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1146157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1146160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146182 */     // MIs[0] round
     /* 1146182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146217 */     // GIR_Coverage, 15365,
     /* 1146217 */     GIR_EraseRootFromParent_Done,
     /* 1146218 */   // Label 16761: @1146218
     /* 1146218 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146298), // Rule ID 15368 //
     /* 1146223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146262 */     // MIs[0] round
     /* 1146262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146297 */     // GIR_Coverage, 15368,
     /* 1146297 */     GIR_EraseRootFromParent_Done,
     /* 1146298 */   // Label 16762: @1146298
     /* 1146298 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146378), // Rule ID 15369 //
     /* 1146303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146342 */     // MIs[0] round
     /* 1146342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146377 */     // GIR_Coverage, 15369,
     /* 1146377 */     GIR_EraseRootFromParent_Done,
     /* 1146378 */   // Label 16763: @1146378
     /* 1146378 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1146458), // Rule ID 15372 //
     /* 1146383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146422 */     // MIs[0] round
     /* 1146422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146457 */     // GIR_Coverage, 15372,
     /* 1146457 */     GIR_EraseRootFromParent_Done,
     /* 1146458 */   // Label 16764: @1146458
     /* 1146458 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1146538), // Rule ID 15373 //
     /* 1146463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146502 */     // MIs[0] round
     /* 1146502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146537 */     // GIR_Coverage, 15373,
     /* 1146537 */     GIR_EraseRootFromParent_Done,
     /* 1146538 */   // Label 16765: @1146538
     /* 1146538 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1146618), // Rule ID 15376 //
     /* 1146543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146582 */     // MIs[0] round
     /* 1146582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146617 */     // GIR_Coverage, 15376,
     /* 1146617 */     GIR_EraseRootFromParent_Done,
     /* 1146618 */   // Label 16766: @1146618
     /* 1146618 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1146698), // Rule ID 15377 //
     /* 1146623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146662 */     // MIs[0] round
     /* 1146662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146697 */     // GIR_Coverage, 15377,
     /* 1146697 */     GIR_EraseRootFromParent_Done,
     /* 1146698 */   // Label 16767: @1146698
     /* 1146698 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1146778), // Rule ID 15380 //
     /* 1146703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146742 */     // MIs[0] round
     /* 1146742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146777 */     // GIR_Coverage, 15380,
     /* 1146777 */     GIR_EraseRootFromParent_Done,
     /* 1146778 */   // Label 16768: @1146778
     /* 1146778 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1146858), // Rule ID 15381 //
     /* 1146783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146822 */     // MIs[0] round
     /* 1146822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146857 */     // GIR_Coverage, 15381,
     /* 1146857 */     GIR_EraseRootFromParent_Done,
     /* 1146858 */   // Label 16769: @1146858
     /* 1146858 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1146938), // Rule ID 15384 //
     /* 1146863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146902 */     // MIs[0] round
     /* 1146902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146937 */     // GIR_Coverage, 15384,
     /* 1146937 */     GIR_EraseRootFromParent_Done,
     /* 1146938 */   // Label 16770: @1146938
     /* 1146938 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147018), // Rule ID 15385 //
     /* 1146943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146982 */     // MIs[0] round
     /* 1146982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147017 */     // GIR_Coverage, 15385,
     /* 1147017 */     GIR_EraseRootFromParent_Done,
     /* 1147018 */   // Label 16771: @1147018
     /* 1147018 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147098), // Rule ID 15388 //
     /* 1147023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147062 */     // MIs[0] round
     /* 1147062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147097 */     // GIR_Coverage, 15388,
     /* 1147097 */     GIR_EraseRootFromParent_Done,
     /* 1147098 */   // Label 16772: @1147098
     /* 1147098 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147178), // Rule ID 15389 //
     /* 1147103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147142 */     // MIs[0] round
     /* 1147142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147177 */     // GIR_Coverage, 15389,
     /* 1147177 */     GIR_EraseRootFromParent_Done,
     /* 1147178 */   // Label 16773: @1147178
     /* 1147178 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147258), // Rule ID 15392 //
     /* 1147183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147222 */     // MIs[0] round
     /* 1147222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147257 */     // GIR_Coverage, 15392,
     /* 1147257 */     GIR_EraseRootFromParent_Done,
     /* 1147258 */   // Label 16774: @1147258
     /* 1147258 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147338), // Rule ID 15393 //
     /* 1147263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147302 */     // MIs[0] round
     /* 1147302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147337 */     // GIR_Coverage, 15393,
     /* 1147337 */     GIR_EraseRootFromParent_Done,
     /* 1147338 */   // Label 16775: @1147338
     /* 1147338 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1147418), // Rule ID 15396 //
     /* 1147343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147382 */     // MIs[0] round
     /* 1147382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147417 */     // GIR_Coverage, 15396,
     /* 1147417 */     GIR_EraseRootFromParent_Done,
     /* 1147418 */   // Label 16776: @1147418
     /* 1147418 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1147498), // Rule ID 15397 //
     /* 1147423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147462 */     // MIs[0] round
     /* 1147462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147497 */     // GIR_Coverage, 15397,
     /* 1147497 */     GIR_EraseRootFromParent_Done,
     /* 1147498 */   // Label 16777: @1147498
     /* 1147498 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1147578), // Rule ID 15400 //
     /* 1147503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147542 */     // MIs[0] round
     /* 1147542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147577 */     // GIR_Coverage, 15400,
     /* 1147577 */     GIR_EraseRootFromParent_Done,
     /* 1147578 */   // Label 16778: @1147578
     /* 1147578 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1147658), // Rule ID 15401 //
     /* 1147583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147622 */     // MIs[0] round
     /* 1147622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147657 */     // GIR_Coverage, 15401,
     /* 1147657 */     GIR_EraseRootFromParent_Done,
     /* 1147658 */   // Label 16779: @1147658
     /* 1147658 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1147738), // Rule ID 15404 //
     /* 1147663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147702 */     // MIs[0] round
     /* 1147702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1147715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147737 */     // GIR_Coverage, 15404,
     /* 1147737 */     GIR_EraseRootFromParent_Done,
     /* 1147738 */   // Label 16780: @1147738
     /* 1147738 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1147818), // Rule ID 15405 //
     /* 1147743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147782 */     // MIs[0] round
     /* 1147782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1147795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147817 */     // GIR_Coverage, 15405,
     /* 1147817 */     GIR_EraseRootFromParent_Done,
     /* 1147818 */   // Label 16781: @1147818
     /* 1147818 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1147898), // Rule ID 15408 //
     /* 1147823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147862 */     // MIs[0] round
     /* 1147862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1147875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147897 */     // GIR_Coverage, 15408,
     /* 1147897 */     GIR_EraseRootFromParent_Done,
     /* 1147898 */   // Label 16782: @1147898
     /* 1147898 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1147978), // Rule ID 15409 //
     /* 1147903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147942 */     // MIs[0] round
     /* 1147942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1147955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147977 */     // GIR_Coverage, 15409,
     /* 1147977 */     GIR_EraseRootFromParent_Done,
     /* 1147978 */   // Label 16783: @1147978
     /* 1147978 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148058), // Rule ID 15412 //
     /* 1147983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148022 */     // MIs[0] round
     /* 1148022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148057 */     // GIR_Coverage, 15412,
     /* 1148057 */     GIR_EraseRootFromParent_Done,
     /* 1148058 */   // Label 16784: @1148058
     /* 1148058 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148138), // Rule ID 15413 //
     /* 1148063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1148074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1148077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148102 */     // MIs[0] round
     /* 1148102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148137 */     // GIR_Coverage, 15413,
     /* 1148137 */     GIR_EraseRootFromParent_Done,
     /* 1148138 */   // Label 16785: @1148138
     /* 1148138 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148218), // Rule ID 15416 //
     /* 1148143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148182 */     // MIs[0] round
     /* 1148182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148217 */     // GIR_Coverage, 15416,
     /* 1148217 */     GIR_EraseRootFromParent_Done,
     /* 1148218 */   // Label 16786: @1148218
     /* 1148218 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148298), // Rule ID 15417 //
     /* 1148223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148262 */     // MIs[0] round
     /* 1148262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148297 */     // GIR_Coverage, 15417,
     /* 1148297 */     GIR_EraseRootFromParent_Done,
     /* 1148298 */   // Label 16787: @1148298
     /* 1148298 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148378), // Rule ID 15420 //
     /* 1148303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148342 */     // MIs[0] round
     /* 1148342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148377 */     // GIR_Coverage, 15420,
     /* 1148377 */     GIR_EraseRootFromParent_Done,
     /* 1148378 */   // Label 16788: @1148378
     /* 1148378 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1148458), // Rule ID 15421 //
     /* 1148383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148422 */     // MIs[0] round
     /* 1148422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148457 */     // GIR_Coverage, 15421,
     /* 1148457 */     GIR_EraseRootFromParent_Done,
     /* 1148458 */   // Label 16789: @1148458
     /* 1148458 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1148538), // Rule ID 15424 //
     /* 1148463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148502 */     // MIs[0] round
     /* 1148502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148537 */     // GIR_Coverage, 15424,
     /* 1148537 */     GIR_EraseRootFromParent_Done,
     /* 1148538 */   // Label 16790: @1148538
     /* 1148538 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1148618), // Rule ID 15425 //
     /* 1148543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148582 */     // MIs[0] round
     /* 1148582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148617 */     // GIR_Coverage, 15425,
     /* 1148617 */     GIR_EraseRootFromParent_Done,
     /* 1148618 */   // Label 16791: @1148618
     /* 1148618 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1148698), // Rule ID 15428 //
     /* 1148623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148662 */     // MIs[0] round
     /* 1148662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148697 */     // GIR_Coverage, 15428,
     /* 1148697 */     GIR_EraseRootFromParent_Done,
     /* 1148698 */   // Label 16792: @1148698
     /* 1148698 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1148778), // Rule ID 15429 //
     /* 1148703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148742 */     // MIs[0] round
     /* 1148742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148777 */     // GIR_Coverage, 15429,
     /* 1148777 */     GIR_EraseRootFromParent_Done,
     /* 1148778 */   // Label 16793: @1148778
     /* 1148778 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1148858), // Rule ID 15432 //
     /* 1148783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148822 */     // MIs[0] round
     /* 1148822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148857 */     // GIR_Coverage, 15432,
     /* 1148857 */     GIR_EraseRootFromParent_Done,
     /* 1148858 */   // Label 16794: @1148858
     /* 1148858 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1148938), // Rule ID 15433 //
     /* 1148863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148902 */     // MIs[0] round
     /* 1148902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148937 */     // GIR_Coverage, 15433,
     /* 1148937 */     GIR_EraseRootFromParent_Done,
     /* 1148938 */   // Label 16795: @1148938
     /* 1148938 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149018), // Rule ID 15436 //
     /* 1148943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148982 */     // MIs[0] round
     /* 1148982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149017 */     // GIR_Coverage, 15436,
     /* 1149017 */     GIR_EraseRootFromParent_Done,
     /* 1149018 */   // Label 16796: @1149018
     /* 1149018 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149098), // Rule ID 15437 //
     /* 1149023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1149034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1149037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1149040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149062 */     // MIs[0] round
     /* 1149062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1149075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149097 */     // GIR_Coverage, 15437,
     /* 1149097 */     GIR_EraseRootFromParent_Done,
     /* 1149098 */   // Label 16797: @1149098
     /* 1149098 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149178), // Rule ID 15440 //
     /* 1149103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149142 */     // MIs[0] round
     /* 1149142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149177 */     // GIR_Coverage, 15440,
     /* 1149177 */     GIR_EraseRootFromParent_Done,
     /* 1149178 */   // Label 16798: @1149178
     /* 1149178 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149258), // Rule ID 15441 //
     /* 1149183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149222 */     // MIs[0] round
     /* 1149222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149257 */     // GIR_Coverage, 15441,
     /* 1149257 */     GIR_EraseRootFromParent_Done,
     /* 1149258 */   // Label 16799: @1149258
     /* 1149258 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149338), // Rule ID 15444 //
     /* 1149263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149302 */     // MIs[0] round
     /* 1149302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149337 */     // GIR_Coverage, 15444,
     /* 1149337 */     GIR_EraseRootFromParent_Done,
     /* 1149338 */   // Label 16800: @1149338
     /* 1149338 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1149418), // Rule ID 15445 //
     /* 1149343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149382 */     // MIs[0] round
     /* 1149382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149417 */     // GIR_Coverage, 15445,
     /* 1149417 */     GIR_EraseRootFromParent_Done,
     /* 1149418 */   // Label 16801: @1149418
     /* 1149418 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1149498), // Rule ID 15448 //
     /* 1149423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149462 */     // MIs[0] round
     /* 1149462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1149475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149497 */     // GIR_Coverage, 15448,
     /* 1149497 */     GIR_EraseRootFromParent_Done,
     /* 1149498 */   // Label 16802: @1149498
     /* 1149498 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1149578), // Rule ID 15449 //
     /* 1149503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149542 */     // MIs[0] round
     /* 1149542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1149555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149577 */     // GIR_Coverage, 15449,
     /* 1149577 */     GIR_EraseRootFromParent_Done,
     /* 1149578 */   // Label 16803: @1149578
     /* 1149578 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1149658), // Rule ID 15452 //
     /* 1149583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1149594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1149597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1149600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1149603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149622 */     // MIs[0] round
     /* 1149622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149657 */     // GIR_Coverage, 15452,
     /* 1149657 */     GIR_EraseRootFromParent_Done,
     /* 1149658 */   // Label 16804: @1149658
     /* 1149658 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1149738), // Rule ID 15453 //
     /* 1149663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1149674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1149677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1149680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1149683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149702 */     // MIs[0] round
     /* 1149702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149737 */     // GIR_Coverage, 15453,
     /* 1149737 */     GIR_EraseRootFromParent_Done,
     /* 1149738 */   // Label 16805: @1149738
     /* 1149738 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1149818), // Rule ID 15456 //
     /* 1149743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1149763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149782 */     // MIs[0] round
     /* 1149782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149817 */     // GIR_Coverage, 15456,
     /* 1149817 */     GIR_EraseRootFromParent_Done,
     /* 1149818 */   // Label 16806: @1149818
     /* 1149818 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1149898), // Rule ID 15457 //
     /* 1149823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1149843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149862 */     // MIs[0] round
     /* 1149862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149897 */     // GIR_Coverage, 15457,
     /* 1149897 */     GIR_EraseRootFromParent_Done,
     /* 1149898 */   // Label 16807: @1149898
     /* 1149898 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1149978), // Rule ID 15460 //
     /* 1149903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1149923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149942 */     // MIs[0] round
     /* 1149942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149977 */     // GIR_Coverage, 15460,
     /* 1149977 */     GIR_EraseRootFromParent_Done,
     /* 1149978 */   // Label 16808: @1149978
     /* 1149978 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150058), // Rule ID 15461 //
     /* 1149983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1150000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1150003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150022 */     // MIs[0] round
     /* 1150022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1150035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150057 */     // GIR_Coverage, 15461,
     /* 1150057 */     GIR_EraseRootFromParent_Done,
     /* 1150058 */   // Label 16809: @1150058
     /* 1150058 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150138), // Rule ID 15464 //
     /* 1150063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1150074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1150077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1150080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1150083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150102 */     // MIs[0] round
     /* 1150102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150137 */     // GIR_Coverage, 15464,
     /* 1150137 */     GIR_EraseRootFromParent_Done,
     /* 1150138 */   // Label 16810: @1150138
     /* 1150138 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150218), // Rule ID 15465 //
     /* 1150143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1150154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1150157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1150160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1150163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150182 */     // MIs[0] round
     /* 1150182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150217 */     // GIR_Coverage, 15465,
     /* 1150217 */     GIR_EraseRootFromParent_Done,
     /* 1150218 */   // Label 16811: @1150218
     /* 1150218 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150298), // Rule ID 15468 //
     /* 1150223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150262 */     // MIs[0] round
     /* 1150262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150297 */     // GIR_Coverage, 15468,
     /* 1150297 */     GIR_EraseRootFromParent_Done,
     /* 1150298 */   // Label 16812: @1150298
     /* 1150298 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150378), // Rule ID 15469 //
     /* 1150303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150342 */     // MIs[0] round
     /* 1150342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150377 */     // GIR_Coverage, 15469,
     /* 1150377 */     GIR_EraseRootFromParent_Done,
     /* 1150378 */   // Label 16813: @1150378
     /* 1150378 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1150458), // Rule ID 15472 //
     /* 1150383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150422 */     // MIs[0] round
     /* 1150422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150457 */     // GIR_Coverage, 15472,
     /* 1150457 */     GIR_EraseRootFromParent_Done,
     /* 1150458 */   // Label 16814: @1150458
     /* 1150458 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1150538), // Rule ID 15473 //
     /* 1150463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150502 */     // MIs[0] round
     /* 1150502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150537 */     // GIR_Coverage, 15473,
     /* 1150537 */     GIR_EraseRootFromParent_Done,
     /* 1150538 */   // Label 16815: @1150538
     /* 1150538 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1150618), // Rule ID 15476 //
     /* 1150543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1150554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1150557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150582 */     // MIs[0] round
     /* 1150582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150617 */     // GIR_Coverage, 15476,
     /* 1150617 */     GIR_EraseRootFromParent_Done,
     /* 1150618 */   // Label 16816: @1150618
     /* 1150618 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1150698), // Rule ID 15477 //
     /* 1150623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1150634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1150637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150662 */     // MIs[0] round
     /* 1150662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150697 */     // GIR_Coverage, 15477,
     /* 1150697 */     GIR_EraseRootFromParent_Done,
     /* 1150698 */   // Label 16817: @1150698
     /* 1150698 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1150778), // Rule ID 15480 //
     /* 1150703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150742 */     // MIs[0] round
     /* 1150742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150777 */     // GIR_Coverage, 15480,
     /* 1150777 */     GIR_EraseRootFromParent_Done,
     /* 1150778 */   // Label 16818: @1150778
     /* 1150778 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1150858), // Rule ID 15481 //
     /* 1150783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150822 */     // MIs[0] round
     /* 1150822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150857 */     // GIR_Coverage, 15481,
     /* 1150857 */     GIR_EraseRootFromParent_Done,
     /* 1150858 */   // Label 16819: @1150858
     /* 1150858 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1150938), // Rule ID 15484 //
     /* 1150863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1150883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150902 */     // MIs[0] round
     /* 1150902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150937 */     // GIR_Coverage, 15484,
     /* 1150937 */     GIR_EraseRootFromParent_Done,
     /* 1150938 */   // Label 16820: @1150938
     /* 1150938 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151018), // Rule ID 15485 //
     /* 1150943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1150963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150982 */     // MIs[0] round
     /* 1150982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151017 */     // GIR_Coverage, 15485,
     /* 1151017 */     GIR_EraseRootFromParent_Done,
     /* 1151018 */   // Label 16821: @1151018
     /* 1151018 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151098), // Rule ID 15488 //
     /* 1151023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1151034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1151037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1151040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1151043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151062 */     // MIs[0] round
     /* 1151062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151097 */     // GIR_Coverage, 15488,
     /* 1151097 */     GIR_EraseRootFromParent_Done,
     /* 1151098 */   // Label 16822: @1151098
     /* 1151098 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151178), // Rule ID 15489 //
     /* 1151103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1151114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1151117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1151120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1151123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151142 */     // MIs[0] round
     /* 1151142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151177 */     // GIR_Coverage, 15489,
     /* 1151177 */     GIR_EraseRootFromParent_Done,
     /* 1151178 */   // Label 16823: @1151178
     /* 1151178 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151258), // Rule ID 15492 //
     /* 1151183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1151194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1151197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1151200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1151203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151222 */     // MIs[0] round
     /* 1151222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151257 */     // GIR_Coverage, 15492,
     /* 1151257 */     GIR_EraseRootFromParent_Done,
     /* 1151258 */   // Label 16824: @1151258
     /* 1151258 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151338), // Rule ID 15493 //
     /* 1151263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1151274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1151277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1151280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1151283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151302 */     // MIs[0] round
     /* 1151302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151312 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151337 */     // GIR_Coverage, 15493,
     /* 1151337 */     GIR_EraseRootFromParent_Done,
     /* 1151338 */   // Label 16825: @1151338
     /* 1151338 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1151418), // Rule ID 15496 //
     /* 1151343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151382 */     // MIs[0] round
     /* 1151382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151417 */     // GIR_Coverage, 15496,
     /* 1151417 */     GIR_EraseRootFromParent_Done,
     /* 1151418 */   // Label 16826: @1151418
     /* 1151418 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1151498), // Rule ID 15497 //
     /* 1151423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151462 */     // MIs[0] round
     /* 1151462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151497 */     // GIR_Coverage, 15497,
     /* 1151497 */     GIR_EraseRootFromParent_Done,
     /* 1151498 */   // Label 16827: @1151498
     /* 1151498 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1151578), // Rule ID 15500 //
     /* 1151503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1151514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1151517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1151523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151542 */     // MIs[0] round
     /* 1151542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151577 */     // GIR_Coverage, 15500,
     /* 1151577 */     GIR_EraseRootFromParent_Done,
     /* 1151578 */   // Label 16828: @1151578
     /* 1151578 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1151658), // Rule ID 15501 //
     /* 1151583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1151594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1151597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1151603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151622 */     // MIs[0] round
     /* 1151622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151657 */     // GIR_Coverage, 15501,
     /* 1151657 */     GIR_EraseRootFromParent_Done,
     /* 1151658 */   // Label 16829: @1151658
     /* 1151658 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1151738), // Rule ID 15504 //
     /* 1151663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1151674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1151677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1151683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151702 */     // MIs[0] round
     /* 1151702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151737 */     // GIR_Coverage, 15504,
     /* 1151737 */     GIR_EraseRootFromParent_Done,
     /* 1151738 */   // Label 16830: @1151738
     /* 1151738 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1151818), // Rule ID 15505 //
     /* 1151743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1151754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1151757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1151763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151782 */     // MIs[0] round
     /* 1151782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151817 */     // GIR_Coverage, 15505,
     /* 1151817 */     GIR_EraseRootFromParent_Done,
     /* 1151818 */   // Label 16831: @1151818
     /* 1151818 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1151898), // Rule ID 15508 //
     /* 1151823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1151843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151862 */     // MIs[0] round
     /* 1151862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151897 */     // GIR_Coverage, 15508,
     /* 1151897 */     GIR_EraseRootFromParent_Done,
     /* 1151898 */   // Label 16832: @1151898
     /* 1151898 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1151978), // Rule ID 15509 //
     /* 1151903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1151923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151942 */     // MIs[0] round
     /* 1151942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151977 */     // GIR_Coverage, 15509,
     /* 1151977 */     GIR_EraseRootFromParent_Done,
     /* 1151978 */   // Label 16833: @1151978
     /* 1151978 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152058), // Rule ID 15512 //
     /* 1151983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1152003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152022 */     // MIs[0] round
     /* 1152022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152057 */     // GIR_Coverage, 15512,
     /* 1152057 */     GIR_EraseRootFromParent_Done,
     /* 1152058 */   // Label 16834: @1152058
     /* 1152058 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152138), // Rule ID 15513 //
     /* 1152063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1152074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1152077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1152083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152102 */     // MIs[0] round
     /* 1152102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152137 */     // GIR_Coverage, 15513,
     /* 1152137 */     GIR_EraseRootFromParent_Done,
     /* 1152138 */   // Label 16835: @1152138
     /* 1152138 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152218), // Rule ID 15516 //
     /* 1152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1152154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1152157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1152163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152182 */     // MIs[0] round
     /* 1152182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152217 */     // GIR_Coverage, 15516,
     /* 1152217 */     GIR_EraseRootFromParent_Done,
     /* 1152218 */   // Label 16836: @1152218
     /* 1152218 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152298), // Rule ID 15517 //
     /* 1152223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1152234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1152237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1152243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152262 */     // MIs[0] round
     /* 1152262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152297 */     // GIR_Coverage, 15517,
     /* 1152297 */     GIR_EraseRootFromParent_Done,
     /* 1152298 */   // Label 16837: @1152298
     /* 1152298 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1152378), // Rule ID 15520 //
     /* 1152303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152342 */     // MIs[0] round
     /* 1152342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152377 */     // GIR_Coverage, 15520,
     /* 1152377 */     GIR_EraseRootFromParent_Done,
     /* 1152378 */   // Label 16838: @1152378
     /* 1152378 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1152458), // Rule ID 15521 //
     /* 1152383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152422 */     // MIs[0] round
     /* 1152422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152457 */     // GIR_Coverage, 15521,
     /* 1152457 */     GIR_EraseRootFromParent_Done,
     /* 1152458 */   // Label 16839: @1152458
     /* 1152458 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1152538), // Rule ID 15524 //
     /* 1152463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152502 */     // MIs[0] round
     /* 1152502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152537 */     // GIR_Coverage, 15524,
     /* 1152537 */     GIR_EraseRootFromParent_Done,
     /* 1152538 */   // Label 16840: @1152538
     /* 1152538 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1152618), // Rule ID 15525 //
     /* 1152543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152582 */     // MIs[0] round
     /* 1152582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152617 */     // GIR_Coverage, 15525,
     /* 1152617 */     GIR_EraseRootFromParent_Done,
     /* 1152618 */   // Label 16841: @1152618
     /* 1152618 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1152698), // Rule ID 15528 //
     /* 1152623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152662 */     // MIs[0] round
     /* 1152662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152697 */     // GIR_Coverage, 15528,
     /* 1152697 */     GIR_EraseRootFromParent_Done,
     /* 1152698 */   // Label 16842: @1152698
     /* 1152698 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1152778), // Rule ID 15529 //
     /* 1152703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152742 */     // MIs[0] round
     /* 1152742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152777 */     // GIR_Coverage, 15529,
     /* 1152777 */     GIR_EraseRootFromParent_Done,
     /* 1152778 */   // Label 16843: @1152778
     /* 1152778 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1152858), // Rule ID 15532 //
     /* 1152783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152822 */     // MIs[0] round
     /* 1152822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152857 */     // GIR_Coverage, 15532,
     /* 1152857 */     GIR_EraseRootFromParent_Done,
     /* 1152858 */   // Label 16844: @1152858
     /* 1152858 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1152938), // Rule ID 15533 //
     /* 1152863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152902 */     // MIs[0] round
     /* 1152902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152937 */     // GIR_Coverage, 15533,
     /* 1152937 */     GIR_EraseRootFromParent_Done,
     /* 1152938 */   // Label 16845: @1152938
     /* 1152938 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153018), // Rule ID 15536 //
     /* 1152943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152982 */     // MIs[0] round
     /* 1152982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1152995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153017 */     // GIR_Coverage, 15536,
     /* 1153017 */     GIR_EraseRootFromParent_Done,
     /* 1153018 */   // Label 16846: @1153018
     /* 1153018 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153098), // Rule ID 15537 //
     /* 1153023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153062 */     // MIs[0] round
     /* 1153062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1153075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153097 */     // GIR_Coverage, 15537,
     /* 1153097 */     GIR_EraseRootFromParent_Done,
     /* 1153098 */   // Label 16847: @1153098
     /* 1153098 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153178), // Rule ID 15540 //
     /* 1153103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153142 */     // MIs[0] round
     /* 1153142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153177 */     // GIR_Coverage, 15540,
     /* 1153177 */     GIR_EraseRootFromParent_Done,
     /* 1153178 */   // Label 16848: @1153178
     /* 1153178 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153258), // Rule ID 15541 //
     /* 1153183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153222 */     // MIs[0] round
     /* 1153222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153257 */     // GIR_Coverage, 15541,
     /* 1153257 */     GIR_EraseRootFromParent_Done,
     /* 1153258 */   // Label 16849: @1153258
     /* 1153258 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1153338), // Rule ID 15544 //
     /* 1153263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153302 */     // MIs[0] round
     /* 1153302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153337 */     // GIR_Coverage, 15544,
     /* 1153337 */     GIR_EraseRootFromParent_Done,
     /* 1153338 */   // Label 16850: @1153338
     /* 1153338 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1153418), // Rule ID 15545 //
     /* 1153343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153382 */     // MIs[0] round
     /* 1153382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153417 */     // GIR_Coverage, 15545,
     /* 1153417 */     GIR_EraseRootFromParent_Done,
     /* 1153418 */   // Label 16851: @1153418
     /* 1153418 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1153498), // Rule ID 15548 //
     /* 1153423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153462 */     // MIs[0] round
     /* 1153462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153497 */     // GIR_Coverage, 15548,
     /* 1153497 */     GIR_EraseRootFromParent_Done,
     /* 1153498 */   // Label 16852: @1153498
     /* 1153498 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1153578), // Rule ID 15549 //
     /* 1153503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153542 */     // MIs[0] round
     /* 1153542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153577 */     // GIR_Coverage, 15549,
     /* 1153577 */     GIR_EraseRootFromParent_Done,
     /* 1153578 */   // Label 16853: @1153578
     /* 1153578 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1153658), // Rule ID 15552 //
     /* 1153583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153622 */     // MIs[0] round
     /* 1153622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153657 */     // GIR_Coverage, 15552,
     /* 1153657 */     GIR_EraseRootFromParent_Done,
     /* 1153658 */   // Label 16854: @1153658
     /* 1153658 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1153738), // Rule ID 15553 //
     /* 1153663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153702 */     // MIs[0] round
     /* 1153702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153737 */     // GIR_Coverage, 15553,
     /* 1153737 */     GIR_EraseRootFromParent_Done,
     /* 1153738 */   // Label 16855: @1153738
     /* 1153738 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1153818), // Rule ID 15556 //
     /* 1153743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153782 */     // MIs[0] round
     /* 1153782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153817 */     // GIR_Coverage, 15556,
     /* 1153817 */     GIR_EraseRootFromParent_Done,
     /* 1153818 */   // Label 16856: @1153818
     /* 1153818 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1153898), // Rule ID 15557 //
     /* 1153823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153862 */     // MIs[0] round
     /* 1153862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153897 */     // GIR_Coverage, 15557,
     /* 1153897 */     GIR_EraseRootFromParent_Done,
     /* 1153898 */   // Label 16857: @1153898
     /* 1153898 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1153978), // Rule ID 15560 //
     /* 1153903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153942 */     // MIs[0] round
     /* 1153942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1153955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153977 */     // GIR_Coverage, 15560,
     /* 1153977 */     GIR_EraseRootFromParent_Done,
     /* 1153978 */   // Label 16858: @1153978
     /* 1153978 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154058), // Rule ID 15561 //
     /* 1153983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154022 */     // MIs[0] round
     /* 1154022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154057 */     // GIR_Coverage, 15561,
     /* 1154057 */     GIR_EraseRootFromParent_Done,
     /* 1154058 */   // Label 16859: @1154058
     /* 1154058 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154138), // Rule ID 15564 //
     /* 1154063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154102 */     // MIs[0] round
     /* 1154102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154137 */     // GIR_Coverage, 15564,
     /* 1154137 */     GIR_EraseRootFromParent_Done,
     /* 1154138 */   // Label 16860: @1154138
     /* 1154138 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154218), // Rule ID 15565 //
     /* 1154143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154182 */     // MIs[0] round
     /* 1154182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154217 */     // GIR_Coverage, 15565,
     /* 1154217 */     GIR_EraseRootFromParent_Done,
     /* 1154218 */   // Label 16861: @1154218
     /* 1154218 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1154298), // Rule ID 15568 //
     /* 1154223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154262 */     // MIs[0] round
     /* 1154262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154297 */     // GIR_Coverage, 15568,
     /* 1154297 */     GIR_EraseRootFromParent_Done,
     /* 1154298 */   // Label 16862: @1154298
     /* 1154298 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1154378), // Rule ID 15569 //
     /* 1154303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154342 */     // MIs[0] round
     /* 1154342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154377 */     // GIR_Coverage, 15569,
     /* 1154377 */     GIR_EraseRootFromParent_Done,
     /* 1154378 */   // Label 16863: @1154378
     /* 1154378 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1154458), // Rule ID 15572 //
     /* 1154383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154422 */     // MIs[0] round
     /* 1154422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154457 */     // GIR_Coverage, 15572,
     /* 1154457 */     GIR_EraseRootFromParent_Done,
     /* 1154458 */   // Label 16864: @1154458
     /* 1154458 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1154538), // Rule ID 15573 //
     /* 1154463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154502 */     // MIs[0] round
     /* 1154502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154537 */     // GIR_Coverage, 15573,
     /* 1154537 */     GIR_EraseRootFromParent_Done,
     /* 1154538 */   // Label 16865: @1154538
     /* 1154538 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1154618), // Rule ID 15576 //
     /* 1154543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154582 */     // MIs[0] round
     /* 1154582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154617 */     // GIR_Coverage, 15576,
     /* 1154617 */     GIR_EraseRootFromParent_Done,
     /* 1154618 */   // Label 16866: @1154618
     /* 1154618 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1154698), // Rule ID 15577 //
     /* 1154623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154662 */     // MIs[0] round
     /* 1154662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154697 */     // GIR_Coverage, 15577,
     /* 1154697 */     GIR_EraseRootFromParent_Done,
     /* 1154698 */   // Label 16867: @1154698
     /* 1154698 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1154778), // Rule ID 15580 //
     /* 1154703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154742 */     // MIs[0] round
     /* 1154742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1154755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154777 */     // GIR_Coverage, 15580,
     /* 1154777 */     GIR_EraseRootFromParent_Done,
     /* 1154778 */   // Label 16868: @1154778
     /* 1154778 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1154858), // Rule ID 15581 //
     /* 1154783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154822 */     // MIs[0] round
     /* 1154822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1154835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154857 */     // GIR_Coverage, 15581,
     /* 1154857 */     GIR_EraseRootFromParent_Done,
     /* 1154858 */   // Label 16869: @1154858
     /* 1154858 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1154938), // Rule ID 15584 //
     /* 1154863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154902 */     // MIs[0] round
     /* 1154902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1154915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154937 */     // GIR_Coverage, 15584,
     /* 1154937 */     GIR_EraseRootFromParent_Done,
     /* 1154938 */   // Label 16870: @1154938
     /* 1154938 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155018), // Rule ID 15585 //
     /* 1154943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154982 */     // MIs[0] round
     /* 1154982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1154995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155017 */     // GIR_Coverage, 15585,
     /* 1155017 */     GIR_EraseRootFromParent_Done,
     /* 1155018 */   // Label 16871: @1155018
     /* 1155018 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155098), // Rule ID 15588 //
     /* 1155023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155062 */     // MIs[0] round
     /* 1155062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155097 */     // GIR_Coverage, 15588,
     /* 1155097 */     GIR_EraseRootFromParent_Done,
     /* 1155098 */   // Label 16872: @1155098
     /* 1155098 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155178), // Rule ID 15589 //
     /* 1155103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155142 */     // MIs[0] round
     /* 1155142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155177 */     // GIR_Coverage, 15589,
     /* 1155177 */     GIR_EraseRootFromParent_Done,
     /* 1155178 */   // Label 16873: @1155178
     /* 1155178 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1155258), // Rule ID 15592 //
     /* 1155183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155222 */     // MIs[0] round
     /* 1155222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155257 */     // GIR_Coverage, 15592,
     /* 1155257 */     GIR_EraseRootFromParent_Done,
     /* 1155258 */   // Label 16874: @1155258
     /* 1155258 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1155338), // Rule ID 15593 //
     /* 1155263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155302 */     // MIs[0] round
     /* 1155302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155337 */     // GIR_Coverage, 15593,
     /* 1155337 */     GIR_EraseRootFromParent_Done,
     /* 1155338 */   // Label 16875: @1155338
     /* 1155338 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1155418), // Rule ID 15596 //
     /* 1155343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155382 */     // MIs[0] round
     /* 1155382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155417 */     // GIR_Coverage, 15596,
     /* 1155417 */     GIR_EraseRootFromParent_Done,
     /* 1155418 */   // Label 16876: @1155418
     /* 1155418 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1155498), // Rule ID 15597 //
     /* 1155423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155462 */     // MIs[0] round
     /* 1155462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155497 */     // GIR_Coverage, 15597,
     /* 1155497 */     GIR_EraseRootFromParent_Done,
     /* 1155498 */   // Label 16877: @1155498
     /* 1155498 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1155578), // Rule ID 15600 //
     /* 1155503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155542 */     // MIs[0] round
     /* 1155542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155577 */     // GIR_Coverage, 15600,
     /* 1155577 */     GIR_EraseRootFromParent_Done,
     /* 1155578 */   // Label 16878: @1155578
     /* 1155578 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1155658), // Rule ID 15601 //
     /* 1155583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155622 */     // MIs[0] round
     /* 1155622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155657 */     // GIR_Coverage, 15601,
     /* 1155657 */     GIR_EraseRootFromParent_Done,
     /* 1155658 */   // Label 16879: @1155658
     /* 1155658 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1155738), // Rule ID 15604 //
     /* 1155663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155702 */     // MIs[0] round
     /* 1155702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155737 */     // GIR_Coverage, 15604,
     /* 1155737 */     GIR_EraseRootFromParent_Done,
     /* 1155738 */   // Label 16880: @1155738
     /* 1155738 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1155818), // Rule ID 15605 //
     /* 1155743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155782 */     // MIs[0] round
     /* 1155782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155817 */     // GIR_Coverage, 15605,
     /* 1155817 */     GIR_EraseRootFromParent_Done,
     /* 1155818 */   // Label 16881: @1155818
     /* 1155818 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1155898), // Rule ID 15608 //
     /* 1155823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155862 */     // MIs[0] round
     /* 1155862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155897 */     // GIR_Coverage, 15608,
     /* 1155897 */     GIR_EraseRootFromParent_Done,
     /* 1155898 */   // Label 16882: @1155898
     /* 1155898 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1155978), // Rule ID 15609 //
     /* 1155903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155942 */     // MIs[0] round
     /* 1155942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155977 */     // GIR_Coverage, 15609,
     /* 1155977 */     GIR_EraseRootFromParent_Done,
     /* 1155978 */   // Label 16883: @1155978
     /* 1155978 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156058), // Rule ID 15612 //
     /* 1155983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1155986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1155994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1155997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156022 */     // MIs[0] round
     /* 1156022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156057 */     // GIR_Coverage, 15612,
     /* 1156057 */     GIR_EraseRootFromParent_Done,
     /* 1156058 */   // Label 16884: @1156058
     /* 1156058 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156138), // Rule ID 15613 //
     /* 1156063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156102 */     // MIs[0] round
     /* 1156102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156137 */     // GIR_Coverage, 15613,
     /* 1156137 */     GIR_EraseRootFromParent_Done,
     /* 1156138 */   // Label 16885: @1156138
     /* 1156138 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1156218), // Rule ID 15616 //
     /* 1156143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156182 */     // MIs[0] round
     /* 1156182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156217 */     // GIR_Coverage, 15616,
     /* 1156217 */     GIR_EraseRootFromParent_Done,
     /* 1156218 */   // Label 16886: @1156218
     /* 1156218 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1156298), // Rule ID 15617 //
     /* 1156223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156262 */     // MIs[0] round
     /* 1156262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156297 */     // GIR_Coverage, 15617,
     /* 1156297 */     GIR_EraseRootFromParent_Done,
     /* 1156298 */   // Label 16887: @1156298
     /* 1156298 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1156378), // Rule ID 15620 //
     /* 1156303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156342 */     // MIs[0] round
     /* 1156342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156377 */     // GIR_Coverage, 15620,
     /* 1156377 */     GIR_EraseRootFromParent_Done,
     /* 1156378 */   // Label 16888: @1156378
     /* 1156378 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1156458), // Rule ID 15621 //
     /* 1156383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156422 */     // MIs[0] round
     /* 1156422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156457 */     // GIR_Coverage, 15621,
     /* 1156457 */     GIR_EraseRootFromParent_Done,
     /* 1156458 */   // Label 16889: @1156458
     /* 1156458 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1156541), // Rule ID 15624 //
     /* 1156463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1156483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156502 */     // MIs[0] round
     /* 1156502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1156515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156540 */     // GIR_Coverage, 15624,
     /* 1156540 */     GIR_EraseRootFromParent_Done,
     /* 1156541 */   // Label 16890: @1156541
     /* 1156541 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1156624), // Rule ID 15625 //
     /* 1156546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1156566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156585 */     // MIs[0] round
     /* 1156585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1156598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156623 */     // GIR_Coverage, 15625,
     /* 1156623 */     GIR_EraseRootFromParent_Done,
     /* 1156624 */   // Label 16891: @1156624
     /* 1156624 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1156707), // Rule ID 15628 //
     /* 1156629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1156649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156668 */     // MIs[0] round
     /* 1156668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156706 */     // GIR_Coverage, 15628,
     /* 1156706 */     GIR_EraseRootFromParent_Done,
     /* 1156707 */   // Label 16892: @1156707
     /* 1156707 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1156790), // Rule ID 15629 //
     /* 1156712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1156732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156751 */     // MIs[0] round
     /* 1156751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156789 */     // GIR_Coverage, 15629,
     /* 1156789 */     GIR_EraseRootFromParent_Done,
     /* 1156790 */   // Label 16893: @1156790
     /* 1156790 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1156873), // Rule ID 15632 //
     /* 1156795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1156809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1156812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1156815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156834 */     // MIs[0] round
     /* 1156834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1156847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156872 */     // GIR_Coverage, 15632,
     /* 1156872 */     GIR_EraseRootFromParent_Done,
     /* 1156873 */   // Label 16894: @1156873
     /* 1156873 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1156956), // Rule ID 15633 //
     /* 1156878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1156892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1156895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1156898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156917 */     // MIs[0] round
     /* 1156917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1156930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156955 */     // GIR_Coverage, 15633,
     /* 1156955 */     GIR_EraseRootFromParent_Done,
     /* 1156956 */   // Label 16895: @1156956
     /* 1156956 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157039), // Rule ID 15636 //
     /* 1156961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1156972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1156975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1156978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1156981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157000 */     // MIs[0] round
     /* 1157000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157038 */     // GIR_Coverage, 15636,
     /* 1157038 */     GIR_EraseRootFromParent_Done,
     /* 1157039 */   // Label 16896: @1157039
     /* 1157039 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157122), // Rule ID 15637 //
     /* 1157044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1157055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1157058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1157064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157083 */     // MIs[0] round
     /* 1157083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157121 */     // GIR_Coverage, 15637,
     /* 1157121 */     GIR_EraseRootFromParent_Done,
     /* 1157122 */   // Label 16897: @1157122
     /* 1157122 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1157205), // Rule ID 15640 //
     /* 1157127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1157147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157166 */     // MIs[0] round
     /* 1157166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157204 */     // GIR_Coverage, 15640,
     /* 1157204 */     GIR_EraseRootFromParent_Done,
     /* 1157205 */   // Label 16898: @1157205
     /* 1157205 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1157288), // Rule ID 15641 //
     /* 1157210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1157230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157249 */     // MIs[0] round
     /* 1157249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157287 */     // GIR_Coverage, 15641,
     /* 1157287 */     GIR_EraseRootFromParent_Done,
     /* 1157288 */   // Label 16899: @1157288
     /* 1157288 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1157371), // Rule ID 15644 //
     /* 1157293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157332 */     // MIs[0] round
     /* 1157332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157370 */     // GIR_Coverage, 15644,
     /* 1157370 */     GIR_EraseRootFromParent_Done,
     /* 1157371 */   // Label 16900: @1157371
     /* 1157371 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1157454), // Rule ID 15645 //
     /* 1157376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157415 */     // MIs[0] round
     /* 1157415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157453 */     // GIR_Coverage, 15645,
     /* 1157453 */     GIR_EraseRootFromParent_Done,
     /* 1157454 */   // Label 16901: @1157454
     /* 1157454 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1157537), // Rule ID 15648 //
     /* 1157459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1157479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157498 */     // MIs[0] round
     /* 1157498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157536 */     // GIR_Coverage, 15648,
     /* 1157536 */     GIR_EraseRootFromParent_Done,
     /* 1157537 */   // Label 16902: @1157537
     /* 1157537 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1157620), // Rule ID 15649 //
     /* 1157542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1157562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157581 */     // MIs[0] round
     /* 1157581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157619 */     // GIR_Coverage, 15649,
     /* 1157619 */     GIR_EraseRootFromParent_Done,
     /* 1157620 */   // Label 16903: @1157620
     /* 1157620 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1157703), // Rule ID 15652 //
     /* 1157625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1157645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157664 */     // MIs[0] round
     /* 1157664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157702 */     // GIR_Coverage, 15652,
     /* 1157702 */     GIR_EraseRootFromParent_Done,
     /* 1157703 */   // Label 16904: @1157703
     /* 1157703 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1157786), // Rule ID 15653 //
     /* 1157708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1157728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157747 */     // MIs[0] round
     /* 1157747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157785 */     // GIR_Coverage, 15653,
     /* 1157785 */     GIR_EraseRootFromParent_Done,
     /* 1157786 */   // Label 16905: @1157786
     /* 1157786 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1157869), // Rule ID 15656 //
     /* 1157791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157830 */     // MIs[0] round
     /* 1157830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157868 */     // GIR_Coverage, 15656,
     /* 1157868 */     GIR_EraseRootFromParent_Done,
     /* 1157869 */   // Label 16906: @1157869
     /* 1157869 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1157952), // Rule ID 15657 //
     /* 1157874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157913 */     // MIs[0] round
     /* 1157913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157951 */     // GIR_Coverage, 15657,
     /* 1157951 */     GIR_EraseRootFromParent_Done,
     /* 1157952 */   // Label 16907: @1157952
     /* 1157952 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158035), // Rule ID 15660 //
     /* 1157957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1157968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1157971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1157974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1157977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157996 */     // MIs[0] round
     /* 1157996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158034 */     // GIR_Coverage, 15660,
     /* 1158034 */     GIR_EraseRootFromParent_Done,
     /* 1158035 */   // Label 16908: @1158035
     /* 1158035 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158118), // Rule ID 15661 //
     /* 1158040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1158051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1158054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1158057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1158060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158079 */     // MIs[0] round
     /* 1158079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158117 */     // GIR_Coverage, 15661,
     /* 1158117 */     GIR_EraseRootFromParent_Done,
     /* 1158118 */   // Label 16909: @1158118
     /* 1158118 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1158201), // Rule ID 15664 //
     /* 1158123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1158143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158162 */     // MIs[0] round
     /* 1158162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158200 */     // GIR_Coverage, 15664,
     /* 1158200 */     GIR_EraseRootFromParent_Done,
     /* 1158201 */   // Label 16910: @1158201
     /* 1158201 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1158284), // Rule ID 15665 //
     /* 1158206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1158226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158245 */     // MIs[0] round
     /* 1158245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158255 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158283 */     // GIR_Coverage, 15665,
     /* 1158283 */     GIR_EraseRootFromParent_Done,
     /* 1158284 */   // Label 16911: @1158284
     /* 1158284 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1158367), // Rule ID 15668 //
     /* 1158289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158328 */     // MIs[0] round
     /* 1158328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158338 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158366 */     // GIR_Coverage, 15668,
     /* 1158366 */     GIR_EraseRootFromParent_Done,
     /* 1158367 */   // Label 16912: @1158367
     /* 1158367 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1158450), // Rule ID 15669 //
     /* 1158372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158411 */     // MIs[0] round
     /* 1158411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158421 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158449 */     // GIR_Coverage, 15669,
     /* 1158449 */     GIR_EraseRootFromParent_Done,
     /* 1158450 */   // Label 16913: @1158450
     /* 1158450 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1158533), // Rule ID 15672 //
     /* 1158455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1158475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158494 */     // MIs[0] round
     /* 1158494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158532 */     // GIR_Coverage, 15672,
     /* 1158532 */     GIR_EraseRootFromParent_Done,
     /* 1158533 */   // Label 16914: @1158533
     /* 1158533 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1158616), // Rule ID 15673 //
     /* 1158538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1158558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158577 */     // MIs[0] round
     /* 1158577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158615 */     // GIR_Coverage, 15673,
     /* 1158615 */     GIR_EraseRootFromParent_Done,
     /* 1158616 */   // Label 16915: @1158616
     /* 1158616 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1158699), // Rule ID 15676 //
     /* 1158621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1158641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158660 */     // MIs[0] round
     /* 1158660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158698 */     // GIR_Coverage, 15676,
     /* 1158698 */     GIR_EraseRootFromParent_Done,
     /* 1158699 */   // Label 16916: @1158699
     /* 1158699 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1158782), // Rule ID 15677 //
     /* 1158704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1158724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158743 */     // MIs[0] round
     /* 1158743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158781 */     // GIR_Coverage, 15677,
     /* 1158781 */     GIR_EraseRootFromParent_Done,
     /* 1158782 */   // Label 16917: @1158782
     /* 1158782 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1158865), // Rule ID 15680 //
     /* 1158787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1158798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1158801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1158807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158826 */     // MIs[0] round
     /* 1158826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158864 */     // GIR_Coverage, 15680,
     /* 1158864 */     GIR_EraseRootFromParent_Done,
     /* 1158865 */   // Label 16918: @1158865
     /* 1158865 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1158948), // Rule ID 15681 //
     /* 1158870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1158881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1158884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1158890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158909 */     // MIs[0] round
     /* 1158909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158919 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158947 */     // GIR_Coverage, 15681,
     /* 1158947 */     GIR_EraseRootFromParent_Done,
     /* 1158948 */   // Label 16919: @1158948
     /* 1158948 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159031), // Rule ID 15684 //
     /* 1158953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1158964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1158967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1158970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1158973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158992 */     // MIs[0] round
     /* 1158992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1159005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159030 */     // GIR_Coverage, 15684,
     /* 1159030 */     GIR_EraseRootFromParent_Done,
     /* 1159031 */   // Label 16920: @1159031
     /* 1159031 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159114), // Rule ID 15685 //
     /* 1159036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1159047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1159050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1159053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1159056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159075 */     // MIs[0] round
     /* 1159075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1159088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159113 */     // GIR_Coverage, 15685,
     /* 1159113 */     GIR_EraseRootFromParent_Done,
     /* 1159114 */   // Label 16921: @1159114
     /* 1159114 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159197), // Rule ID 15688 //
     /* 1159119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1159139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159158 */     // MIs[0] round
     /* 1159158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159196 */     // GIR_Coverage, 15688,
     /* 1159196 */     GIR_EraseRootFromParent_Done,
     /* 1159197 */   // Label 16922: @1159197
     /* 1159197 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1159280), // Rule ID 15689 //
     /* 1159202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1159222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159241 */     // MIs[0] round
     /* 1159241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159279 */     // GIR_Coverage, 15689,
     /* 1159279 */     GIR_EraseRootFromParent_Done,
     /* 1159280 */   // Label 16923: @1159280
     /* 1159280 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1159363), // Rule ID 15692 //
     /* 1159285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159324 */     // MIs[0] round
     /* 1159324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159362 */     // GIR_Coverage, 15692,
     /* 1159362 */     GIR_EraseRootFromParent_Done,
     /* 1159363 */   // Label 16924: @1159363
     /* 1159363 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1159446), // Rule ID 15693 //
     /* 1159368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159407 */     // MIs[0] round
     /* 1159407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159445 */     // GIR_Coverage, 15693,
     /* 1159445 */     GIR_EraseRootFromParent_Done,
     /* 1159446 */   // Label 16925: @1159446
     /* 1159446 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1159529), // Rule ID 15696 //
     /* 1159451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159490 */     // MIs[0] round
     /* 1159490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1159503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159528 */     // GIR_Coverage, 15696,
     /* 1159528 */     GIR_EraseRootFromParent_Done,
     /* 1159529 */   // Label 16926: @1159529
     /* 1159529 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1159612), // Rule ID 15697 //
     /* 1159534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159573 */     // MIs[0] round
     /* 1159573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1159586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159611 */     // GIR_Coverage, 15697,
     /* 1159611 */     GIR_EraseRootFromParent_Done,
     /* 1159612 */   // Label 16927: @1159612
     /* 1159612 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1159695), // Rule ID 15700 //
     /* 1159617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159656 */     // MIs[0] round
     /* 1159656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159694 */     // GIR_Coverage, 15700,
     /* 1159694 */     GIR_EraseRootFromParent_Done,
     /* 1159695 */   // Label 16928: @1159695
     /* 1159695 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1159778), // Rule ID 15701 //
     /* 1159700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159739 */     // MIs[0] round
     /* 1159739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159777 */     // GIR_Coverage, 15701,
     /* 1159777 */     GIR_EraseRootFromParent_Done,
     /* 1159778 */   // Label 16929: @1159778
     /* 1159778 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1159861), // Rule ID 15704 //
     /* 1159783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159822 */     // MIs[0] round
     /* 1159822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1159835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159860 */     // GIR_Coverage, 15704,
     /* 1159860 */     GIR_EraseRootFromParent_Done,
     /* 1159861 */   // Label 16930: @1159861
     /* 1159861 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1159944), // Rule ID 15705 //
     /* 1159866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159905 */     // MIs[0] round
     /* 1159905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1159918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159943 */     // GIR_Coverage, 15705,
     /* 1159943 */     GIR_EraseRootFromParent_Done,
     /* 1159944 */   // Label 16931: @1159944
     /* 1159944 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160027), // Rule ID 15708 //
     /* 1159949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159988 */     // MIs[0] round
     /* 1159988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159998 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160026 */     // GIR_Coverage, 15708,
     /* 1160026 */     GIR_EraseRootFromParent_Done,
     /* 1160027 */   // Label 16932: @1160027
     /* 1160027 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160110), // Rule ID 15709 //
     /* 1160032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1160043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1160046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1160049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160071 */     // MIs[0] round
     /* 1160071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160109 */     // GIR_Coverage, 15709,
     /* 1160109 */     GIR_EraseRootFromParent_Done,
     /* 1160110 */   // Label 16933: @1160110
     /* 1160110 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160193), // Rule ID 15712 //
     /* 1160115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160154 */     // MIs[0] round
     /* 1160154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160192 */     // GIR_Coverage, 15712,
     /* 1160192 */     GIR_EraseRootFromParent_Done,
     /* 1160193 */   // Label 16934: @1160193
     /* 1160193 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1160276), // Rule ID 15713 //
     /* 1160198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160237 */     // MIs[0] round
     /* 1160237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160275 */     // GIR_Coverage, 15713,
     /* 1160275 */     GIR_EraseRootFromParent_Done,
     /* 1160276 */   // Label 16935: @1160276
     /* 1160276 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1160359), // Rule ID 15716 //
     /* 1160281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160320 */     // MIs[0] round
     /* 1160320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160358 */     // GIR_Coverage, 15716,
     /* 1160358 */     GIR_EraseRootFromParent_Done,
     /* 1160359 */   // Label 16936: @1160359
     /* 1160359 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1160442), // Rule ID 15717 //
     /* 1160364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160403 */     // MIs[0] round
     /* 1160403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160441 */     // GIR_Coverage, 15717,
     /* 1160441 */     GIR_EraseRootFromParent_Done,
     /* 1160442 */   // Label 16937: @1160442
     /* 1160442 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1160525), // Rule ID 15720 //
     /* 1160447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160486 */     // MIs[0] round
     /* 1160486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160524 */     // GIR_Coverage, 15720,
     /* 1160524 */     GIR_EraseRootFromParent_Done,
     /* 1160525 */   // Label 16938: @1160525
     /* 1160525 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1160608), // Rule ID 15721 //
     /* 1160530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160569 */     // MIs[0] round
     /* 1160569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160607 */     // GIR_Coverage, 15721,
     /* 1160607 */     GIR_EraseRootFromParent_Done,
     /* 1160608 */   // Label 16939: @1160608
     /* 1160608 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1160691), // Rule ID 15724 //
     /* 1160613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160652 */     // MIs[0] round
     /* 1160652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160690 */     // GIR_Coverage, 15724,
     /* 1160690 */     GIR_EraseRootFromParent_Done,
     /* 1160691 */   // Label 16940: @1160691
     /* 1160691 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1160774), // Rule ID 15725 //
     /* 1160696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160735 */     // MIs[0] round
     /* 1160735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160773 */     // GIR_Coverage, 15725,
     /* 1160773 */     GIR_EraseRootFromParent_Done,
     /* 1160774 */   // Label 16941: @1160774
     /* 1160774 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1160857), // Rule ID 15728 //
     /* 1160779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160818 */     // MIs[0] round
     /* 1160818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160856 */     // GIR_Coverage, 15728,
     /* 1160856 */     GIR_EraseRootFromParent_Done,
     /* 1160857 */   // Label 16942: @1160857
     /* 1160857 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1160940), // Rule ID 15729 //
     /* 1160862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160901 */     // MIs[0] round
     /* 1160901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160939 */     // GIR_Coverage, 15729,
     /* 1160939 */     GIR_EraseRootFromParent_Done,
     /* 1160940 */   // Label 16943: @1160940
     /* 1160940 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161023), // Rule ID 15732 //
     /* 1160945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160984 */     // MIs[0] round
     /* 1160984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1160997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161022 */     // GIR_Coverage, 15732,
     /* 1161022 */     GIR_EraseRootFromParent_Done,
     /* 1161023 */   // Label 16944: @1161023
     /* 1161023 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161106), // Rule ID 15733 //
     /* 1161028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161067 */     // MIs[0] round
     /* 1161067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161105 */     // GIR_Coverage, 15733,
     /* 1161105 */     GIR_EraseRootFromParent_Done,
     /* 1161106 */   // Label 16945: @1161106
     /* 1161106 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161189), // Rule ID 15736 //
     /* 1161111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161150 */     // MIs[0] round
     /* 1161150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161188 */     // GIR_Coverage, 15736,
     /* 1161188 */     GIR_EraseRootFromParent_Done,
     /* 1161189 */   // Label 16946: @1161189
     /* 1161189 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161272), // Rule ID 15737 //
     /* 1161194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161233 */     // MIs[0] round
     /* 1161233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161271 */     // GIR_Coverage, 15737,
     /* 1161271 */     GIR_EraseRootFromParent_Done,
     /* 1161272 */   // Label 16947: @1161272
     /* 1161272 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1161355), // Rule ID 15740 //
     /* 1161277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161316 */     // MIs[0] round
     /* 1161316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161354 */     // GIR_Coverage, 15740,
     /* 1161354 */     GIR_EraseRootFromParent_Done,
     /* 1161355 */   // Label 16948: @1161355
     /* 1161355 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1161438), // Rule ID 15741 //
     /* 1161360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161399 */     // MIs[0] round
     /* 1161399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161409 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161437 */     // GIR_Coverage, 15741,
     /* 1161437 */     GIR_EraseRootFromParent_Done,
     /* 1161438 */   // Label 16949: @1161438
     /* 1161438 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1161521), // Rule ID 15744 //
     /* 1161443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161482 */     // MIs[0] round
     /* 1161482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161520 */     // GIR_Coverage, 15744,
     /* 1161520 */     GIR_EraseRootFromParent_Done,
     /* 1161521 */   // Label 16950: @1161521
     /* 1161521 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1161604), // Rule ID 15745 //
     /* 1161526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161565 */     // MIs[0] round
     /* 1161565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161603 */     // GIR_Coverage, 15745,
     /* 1161603 */     GIR_EraseRootFromParent_Done,
     /* 1161604 */   // Label 16951: @1161604
     /* 1161604 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1161687), // Rule ID 15748 //
     /* 1161609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161648 */     // MIs[0] round
     /* 1161648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161686 */     // GIR_Coverage, 15748,
     /* 1161686 */     GIR_EraseRootFromParent_Done,
     /* 1161687 */   // Label 16952: @1161687
     /* 1161687 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1161770), // Rule ID 15749 //
     /* 1161692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161731 */     // MIs[0] round
     /* 1161731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161769 */     // GIR_Coverage, 15749,
     /* 1161769 */     GIR_EraseRootFromParent_Done,
     /* 1161770 */   // Label 16953: @1161770
     /* 1161770 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1161853), // Rule ID 15752 //
     /* 1161775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161814 */     // MIs[0] round
     /* 1161814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161852 */     // GIR_Coverage, 15752,
     /* 1161852 */     GIR_EraseRootFromParent_Done,
     /* 1161853 */   // Label 16954: @1161853
     /* 1161853 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1161936), // Rule ID 15753 //
     /* 1161858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161897 */     // MIs[0] round
     /* 1161897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161907 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161935 */     // GIR_Coverage, 15753,
     /* 1161935 */     GIR_EraseRootFromParent_Done,
     /* 1161936 */   // Label 16955: @1161936
     /* 1161936 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162019), // Rule ID 15756 //
     /* 1161941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161980 */     // MIs[0] round
     /* 1161980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162018 */     // GIR_Coverage, 15756,
     /* 1162018 */     GIR_EraseRootFromParent_Done,
     /* 1162019 */   // Label 16956: @1162019
     /* 1162019 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162102), // Rule ID 15757 //
     /* 1162024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162063 */     // MIs[0] round
     /* 1162063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1162076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162101 */     // GIR_Coverage, 15757,
     /* 1162101 */     GIR_EraseRootFromParent_Done,
     /* 1162102 */   // Label 16957: @1162102
     /* 1162102 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162185), // Rule ID 15760 //
     /* 1162107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162146 */     // MIs[0] round
     /* 1162146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162184 */     // GIR_Coverage, 15760,
     /* 1162184 */     GIR_EraseRootFromParent_Done,
     /* 1162185 */   // Label 16958: @1162185
     /* 1162185 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162268), // Rule ID 15761 //
     /* 1162190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162229 */     // MIs[0] round
     /* 1162229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162267 */     // GIR_Coverage, 15761,
     /* 1162267 */     GIR_EraseRootFromParent_Done,
     /* 1162268 */   // Label 16959: @1162268
     /* 1162268 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1162351), // Rule ID 15764 //
     /* 1162273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162312 */     // MIs[0] round
     /* 1162312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162350 */     // GIR_Coverage, 15764,
     /* 1162350 */     GIR_EraseRootFromParent_Done,
     /* 1162351 */   // Label 16960: @1162351
     /* 1162351 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1162434), // Rule ID 15765 //
     /* 1162356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162395 */     // MIs[0] round
     /* 1162395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162433 */     // GIR_Coverage, 15765,
     /* 1162433 */     GIR_EraseRootFromParent_Done,
     /* 1162434 */   // Label 16961: @1162434
     /* 1162434 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1162517), // Rule ID 15768 //
     /* 1162439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1162459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162478 */     // MIs[0] round
     /* 1162478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162516 */     // GIR_Coverage, 15768,
     /* 1162516 */     GIR_EraseRootFromParent_Done,
     /* 1162517 */   // Label 16962: @1162517
     /* 1162517 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1162600), // Rule ID 15769 //
     /* 1162522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1162542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162561 */     // MIs[0] round
     /* 1162561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162599 */     // GIR_Coverage, 15769,
     /* 1162599 */     GIR_EraseRootFromParent_Done,
     /* 1162600 */   // Label 16963: @1162600
     /* 1162600 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1162683), // Rule ID 15772 //
     /* 1162605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162644 */     // MIs[0] round
     /* 1162644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162682 */     // GIR_Coverage, 15772,
     /* 1162682 */     GIR_EraseRootFromParent_Done,
     /* 1162683 */   // Label 16964: @1162683
     /* 1162683 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1162766), // Rule ID 15773 //
     /* 1162688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162727 */     // MIs[0] round
     /* 1162727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162737 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162765 */     // GIR_Coverage, 15773,
     /* 1162765 */     GIR_EraseRootFromParent_Done,
     /* 1162766 */   // Label 16965: @1162766
     /* 1162766 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1162849), // Rule ID 15776 //
     /* 1162771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162810 */     // MIs[0] round
     /* 1162810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162848 */     // GIR_Coverage, 15776,
     /* 1162848 */     GIR_EraseRootFromParent_Done,
     /* 1162849 */   // Label 16966: @1162849
     /* 1162849 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1162932), // Rule ID 15777 //
     /* 1162854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162893 */     // MIs[0] round
     /* 1162893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162931 */     // GIR_Coverage, 15777,
     /* 1162931 */     GIR_EraseRootFromParent_Done,
     /* 1162932 */   // Label 16967: @1162932
     /* 1162932 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163015), // Rule ID 15780 //
     /* 1162937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162976 */     // MIs[0] round
     /* 1162976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1162989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163014 */     // GIR_Coverage, 15780,
     /* 1163014 */     GIR_EraseRootFromParent_Done,
     /* 1163015 */   // Label 16968: @1163015
     /* 1163015 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163098), // Rule ID 15781 //
     /* 1163020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1163040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163059 */     // MIs[0] round
     /* 1163059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163097 */     // GIR_Coverage, 15781,
     /* 1163097 */     GIR_EraseRootFromParent_Done,
     /* 1163098 */   // Label 16969: @1163098
     /* 1163098 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163181), // Rule ID 15784 //
     /* 1163103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163142 */     // MIs[0] round
     /* 1163142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1163155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163180 */     // GIR_Coverage, 15784,
     /* 1163180 */     GIR_EraseRootFromParent_Done,
     /* 1163181 */   // Label 16970: @1163181
     /* 1163181 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163264), // Rule ID 15785 //
     /* 1163186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163225 */     // MIs[0] round
     /* 1163225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1163238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163263 */     // GIR_Coverage, 15785,
     /* 1163263 */     GIR_EraseRootFromParent_Done,
     /* 1163264 */   // Label 16971: @1163264
     /* 1163264 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163347), // Rule ID 15788 //
     /* 1163269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163308 */     // MIs[0] round
     /* 1163308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163346 */     // GIR_Coverage, 15788,
     /* 1163346 */     GIR_EraseRootFromParent_Done,
     /* 1163347 */   // Label 16972: @1163347
     /* 1163347 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1163430), // Rule ID 15789 //
     /* 1163352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163391 */     // MIs[0] round
     /* 1163391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163429 */     // GIR_Coverage, 15789,
     /* 1163429 */     GIR_EraseRootFromParent_Done,
     /* 1163430 */   // Label 16973: @1163430
     /* 1163430 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1163513), // Rule ID 15792 //
     /* 1163435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163474 */     // MIs[0] round
     /* 1163474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1163487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163512 */     // GIR_Coverage, 15792,
     /* 1163512 */     GIR_EraseRootFromParent_Done,
     /* 1163513 */   // Label 16974: @1163513
     /* 1163513 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1163596), // Rule ID 15793 //
     /* 1163518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163557 */     // MIs[0] round
     /* 1163557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1163570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163595 */     // GIR_Coverage, 15793,
     /* 1163595 */     GIR_EraseRootFromParent_Done,
     /* 1163596 */   // Label 16975: @1163596
     /* 1163596 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1163679), // Rule ID 15796 //
     /* 1163601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163640 */     // MIs[0] round
     /* 1163640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1163653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163678 */     // GIR_Coverage, 15796,
     /* 1163678 */     GIR_EraseRootFromParent_Done,
     /* 1163679 */   // Label 16976: @1163679
     /* 1163679 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1163762), // Rule ID 15797 //
     /* 1163684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163723 */     // MIs[0] round
     /* 1163723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1163736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163761 */     // GIR_Coverage, 15797,
     /* 1163761 */     GIR_EraseRootFromParent_Done,
     /* 1163762 */   // Label 16977: @1163762
     /* 1163762 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1163842), // Rule ID 15800 //
     /* 1163767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1163787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163806 */     // MIs[0] round
     /* 1163806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1163819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163841 */     // GIR_Coverage, 15800,
     /* 1163841 */     GIR_EraseRootFromParent_Done,
     /* 1163842 */   // Label 16978: @1163842
     /* 1163842 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1163922), // Rule ID 15801 //
     /* 1163847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1163867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163886 */     // MIs[0] round
     /* 1163886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1163899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163921 */     // GIR_Coverage, 15801,
     /* 1163921 */     GIR_EraseRootFromParent_Done,
     /* 1163922 */   // Label 16979: @1163922
     /* 1163922 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164002), // Rule ID 15804 //
     /* 1163927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1163947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163966 */     // MIs[0] round
     /* 1163966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1163979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164001 */     // GIR_Coverage, 15804,
     /* 1164001 */     GIR_EraseRootFromParent_Done,
     /* 1164002 */   // Label 16980: @1164002
     /* 1164002 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164082), // Rule ID 15805 //
     /* 1164007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1164027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164046 */     // MIs[0] round
     /* 1164046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164081 */     // GIR_Coverage, 15805,
     /* 1164081 */     GIR_EraseRootFromParent_Done,
     /* 1164082 */   // Label 16981: @1164082
     /* 1164082 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164162), // Rule ID 15808 //
     /* 1164087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1164107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164126 */     // MIs[0] round
     /* 1164126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164161 */     // GIR_Coverage, 15808,
     /* 1164161 */     GIR_EraseRootFromParent_Done,
     /* 1164162 */   // Label 16982: @1164162
     /* 1164162 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164242), // Rule ID 15809 //
     /* 1164167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1164187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164206 */     // MIs[0] round
     /* 1164206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164216 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164241 */     // GIR_Coverage, 15809,
     /* 1164241 */     GIR_EraseRootFromParent_Done,
     /* 1164242 */   // Label 16983: @1164242
     /* 1164242 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164322), // Rule ID 15812 //
     /* 1164247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164286 */     // MIs[0] round
     /* 1164286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164321 */     // GIR_Coverage, 15812,
     /* 1164321 */     GIR_EraseRootFromParent_Done,
     /* 1164322 */   // Label 16984: @1164322
     /* 1164322 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1164402), // Rule ID 15813 //
     /* 1164327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164366 */     // MIs[0] round
     /* 1164366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164401 */     // GIR_Coverage, 15813,
     /* 1164401 */     GIR_EraseRootFromParent_Done,
     /* 1164402 */   // Label 16985: @1164402
     /* 1164402 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1164482), // Rule ID 15816 //
     /* 1164407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164446 */     // MIs[0] round
     /* 1164446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164481 */     // GIR_Coverage, 15816,
     /* 1164481 */     GIR_EraseRootFromParent_Done,
     /* 1164482 */   // Label 16986: @1164482
     /* 1164482 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1164562), // Rule ID 15817 //
     /* 1164487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164526 */     // MIs[0] round
     /* 1164526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164561 */     // GIR_Coverage, 15817,
     /* 1164561 */     GIR_EraseRootFromParent_Done,
     /* 1164562 */   // Label 16987: @1164562
     /* 1164562 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1164642), // Rule ID 15820 //
     /* 1164567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1164587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164606 */     // MIs[0] round
     /* 1164606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164641 */     // GIR_Coverage, 15820,
     /* 1164641 */     GIR_EraseRootFromParent_Done,
     /* 1164642 */   // Label 16988: @1164642
     /* 1164642 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1164722), // Rule ID 15821 //
     /* 1164647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1164667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164686 */     // MIs[0] round
     /* 1164686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164721 */     // GIR_Coverage, 15821,
     /* 1164721 */     GIR_EraseRootFromParent_Done,
     /* 1164722 */   // Label 16989: @1164722
     /* 1164722 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1164802), // Rule ID 15824 //
     /* 1164727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164766 */     // MIs[0] round
     /* 1164766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164801 */     // GIR_Coverage, 15824,
     /* 1164801 */     GIR_EraseRootFromParent_Done,
     /* 1164802 */   // Label 16990: @1164802
     /* 1164802 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1164882), // Rule ID 15825 //
     /* 1164807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164846 */     // MIs[0] round
     /* 1164846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164881 */     // GIR_Coverage, 15825,
     /* 1164881 */     GIR_EraseRootFromParent_Done,
     /* 1164882 */   // Label 16991: @1164882
     /* 1164882 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1164962), // Rule ID 15828 //
     /* 1164887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164926 */     // MIs[0] round
     /* 1164926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164961 */     // GIR_Coverage, 15828,
     /* 1164961 */     GIR_EraseRootFromParent_Done,
     /* 1164962 */   // Label 16992: @1164962
     /* 1164962 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165042), // Rule ID 15829 //
     /* 1164967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165006 */     // MIs[0] round
     /* 1165006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165041 */     // GIR_Coverage, 15829,
     /* 1165041 */     GIR_EraseRootFromParent_Done,
     /* 1165042 */   // Label 16993: @1165042
     /* 1165042 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165122), // Rule ID 15832 //
     /* 1165047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1165067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165086 */     // MIs[0] round
     /* 1165086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165121 */     // GIR_Coverage, 15832,
     /* 1165121 */     GIR_EraseRootFromParent_Done,
     /* 1165122 */   // Label 16994: @1165122
     /* 1165122 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165202), // Rule ID 15833 //
     /* 1165127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1165147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165166 */     // MIs[0] round
     /* 1165166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165201 */     // GIR_Coverage, 15833,
     /* 1165201 */     GIR_EraseRootFromParent_Done,
     /* 1165202 */   // Label 16995: @1165202
     /* 1165202 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165282), // Rule ID 15836 //
     /* 1165207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165246 */     // MIs[0] round
     /* 1165246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165281 */     // GIR_Coverage, 15836,
     /* 1165281 */     GIR_EraseRootFromParent_Done,
     /* 1165282 */   // Label 16996: @1165282
     /* 1165282 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165362), // Rule ID 15837 //
     /* 1165287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165326 */     // MIs[0] round
     /* 1165326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165361 */     // GIR_Coverage, 15837,
     /* 1165361 */     GIR_EraseRootFromParent_Done,
     /* 1165362 */   // Label 16997: @1165362
     /* 1165362 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1165442), // Rule ID 15840 //
     /* 1165367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165406 */     // MIs[0] round
     /* 1165406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165441 */     // GIR_Coverage, 15840,
     /* 1165441 */     GIR_EraseRootFromParent_Done,
     /* 1165442 */   // Label 16998: @1165442
     /* 1165442 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1165522), // Rule ID 15841 //
     /* 1165447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165486 */     // MIs[0] round
     /* 1165486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165521 */     // GIR_Coverage, 15841,
     /* 1165521 */     GIR_EraseRootFromParent_Done,
     /* 1165522 */   // Label 16999: @1165522
     /* 1165522 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1165602), // Rule ID 15844 //
     /* 1165527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165566 */     // MIs[0] round
     /* 1165566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165601 */     // GIR_Coverage, 15844,
     /* 1165601 */     GIR_EraseRootFromParent_Done,
     /* 1165602 */   // Label 17000: @1165602
     /* 1165602 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1165682), // Rule ID 15845 //
     /* 1165607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165646 */     // MIs[0] round
     /* 1165646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165681 */     // GIR_Coverage, 15845,
     /* 1165681 */     GIR_EraseRootFromParent_Done,
     /* 1165682 */   // Label 17001: @1165682
     /* 1165682 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1165762), // Rule ID 15848 //
     /* 1165687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165726 */     // MIs[0] round
     /* 1165726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1165739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165761 */     // GIR_Coverage, 15848,
     /* 1165761 */     GIR_EraseRootFromParent_Done,
     /* 1165762 */   // Label 17002: @1165762
     /* 1165762 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1165842), // Rule ID 15849 //
     /* 1165767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165806 */     // MIs[0] round
     /* 1165806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1165819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165841 */     // GIR_Coverage, 15849,
     /* 1165841 */     GIR_EraseRootFromParent_Done,
     /* 1165842 */   // Label 17003: @1165842
     /* 1165842 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1165922), // Rule ID 15852 //
     /* 1165847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165886 */     // MIs[0] round
     /* 1165886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165921 */     // GIR_Coverage, 15852,
     /* 1165921 */     GIR_EraseRootFromParent_Done,
     /* 1165922 */   // Label 17004: @1165922
     /* 1165922 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166002), // Rule ID 15853 //
     /* 1165927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165966 */     // MIs[0] round
     /* 1165966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166001 */     // GIR_Coverage, 15853,
     /* 1166001 */     GIR_EraseRootFromParent_Done,
     /* 1166002 */   // Label 17005: @1166002
     /* 1166002 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166082), // Rule ID 15856 //
     /* 1166007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1166027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166046 */     // MIs[0] round
     /* 1166046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166081 */     // GIR_Coverage, 15856,
     /* 1166081 */     GIR_EraseRootFromParent_Done,
     /* 1166082 */   // Label 17006: @1166082
     /* 1166082 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166162), // Rule ID 15857 //
     /* 1166087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1166107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166126 */     // MIs[0] round
     /* 1166126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166161 */     // GIR_Coverage, 15857,
     /* 1166161 */     GIR_EraseRootFromParent_Done,
     /* 1166162 */   // Label 17007: @1166162
     /* 1166162 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166242), // Rule ID 15860 //
     /* 1166167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1166187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166206 */     // MIs[0] round
     /* 1166206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166241 */     // GIR_Coverage, 15860,
     /* 1166241 */     GIR_EraseRootFromParent_Done,
     /* 1166242 */   // Label 17008: @1166242
     /* 1166242 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166322), // Rule ID 15861 //
     /* 1166247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1166267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166286 */     // MIs[0] round
     /* 1166286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166321 */     // GIR_Coverage, 15861,
     /* 1166321 */     GIR_EraseRootFromParent_Done,
     /* 1166322 */   // Label 17009: @1166322
     /* 1166322 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1166402), // Rule ID 15864 //
     /* 1166327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166366 */     // MIs[0] round
     /* 1166366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166401 */     // GIR_Coverage, 15864,
     /* 1166401 */     GIR_EraseRootFromParent_Done,
     /* 1166402 */   // Label 17010: @1166402
     /* 1166402 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1166482), // Rule ID 15865 //
     /* 1166407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166446 */     // MIs[0] round
     /* 1166446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166481 */     // GIR_Coverage, 15865,
     /* 1166481 */     GIR_EraseRootFromParent_Done,
     /* 1166482 */   // Label 17011: @1166482
     /* 1166482 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1166562), // Rule ID 15868 //
     /* 1166487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166526 */     // MIs[0] round
     /* 1166526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166561 */     // GIR_Coverage, 15868,
     /* 1166561 */     GIR_EraseRootFromParent_Done,
     /* 1166562 */   // Label 17012: @1166562
     /* 1166562 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1166642), // Rule ID 15869 //
     /* 1166567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166606 */     // MIs[0] round
     /* 1166606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166641 */     // GIR_Coverage, 15869,
     /* 1166641 */     GIR_EraseRootFromParent_Done,
     /* 1166642 */   // Label 17013: @1166642
     /* 1166642 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1166722), // Rule ID 15872 //
     /* 1166647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166686 */     // MIs[0] round
     /* 1166686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166721 */     // GIR_Coverage, 15872,
     /* 1166721 */     GIR_EraseRootFromParent_Done,
     /* 1166722 */   // Label 17014: @1166722
     /* 1166722 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1166802), // Rule ID 15873 //
     /* 1166727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166766 */     // MIs[0] round
     /* 1166766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166801 */     // GIR_Coverage, 15873,
     /* 1166801 */     GIR_EraseRootFromParent_Done,
     /* 1166802 */   // Label 17015: @1166802
     /* 1166802 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1166882), // Rule ID 15876 //
     /* 1166807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166846 */     // MIs[0] round
     /* 1166846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166881 */     // GIR_Coverage, 15876,
     /* 1166881 */     GIR_EraseRootFromParent_Done,
     /* 1166882 */   // Label 17016: @1166882
     /* 1166882 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1166962), // Rule ID 15877 //
     /* 1166887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166926 */     // MIs[0] round
     /* 1166926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166961 */     // GIR_Coverage, 15877,
     /* 1166961 */     GIR_EraseRootFromParent_Done,
     /* 1166962 */   // Label 17017: @1166962
     /* 1166962 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167042), // Rule ID 15880 //
     /* 1166967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1166987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167006 */     // MIs[0] round
     /* 1167006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167041 */     // GIR_Coverage, 15880,
     /* 1167041 */     GIR_EraseRootFromParent_Done,
     /* 1167042 */   // Label 17018: @1167042
     /* 1167042 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167122), // Rule ID 15881 //
     /* 1167047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1167058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1167061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1167064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1167067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167086 */     // MIs[0] round
     /* 1167086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167121 */     // GIR_Coverage, 15881,
     /* 1167121 */     GIR_EraseRootFromParent_Done,
     /* 1167122 */   // Label 17019: @1167122
     /* 1167122 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167202), // Rule ID 15884 //
     /* 1167127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167166 */     // MIs[0] round
     /* 1167166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167201 */     // GIR_Coverage, 15884,
     /* 1167201 */     GIR_EraseRootFromParent_Done,
     /* 1167202 */   // Label 17020: @1167202
     /* 1167202 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167282), // Rule ID 15885 //
     /* 1167207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167246 */     // MIs[0] round
     /* 1167246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167281 */     // GIR_Coverage, 15885,
     /* 1167281 */     GIR_EraseRootFromParent_Done,
     /* 1167282 */   // Label 17021: @1167282
     /* 1167282 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167362), // Rule ID 15888 //
     /* 1167287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167326 */     // MIs[0] round
     /* 1167326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167361 */     // GIR_Coverage, 15888,
     /* 1167361 */     GIR_EraseRootFromParent_Done,
     /* 1167362 */   // Label 17022: @1167362
     /* 1167362 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1167442), // Rule ID 15889 //
     /* 1167367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167406 */     // MIs[0] round
     /* 1167406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167441 */     // GIR_Coverage, 15889,
     /* 1167441 */     GIR_EraseRootFromParent_Done,
     /* 1167442 */   // Label 17023: @1167442
     /* 1167442 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1167522), // Rule ID 15892 //
     /* 1167447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167486 */     // MIs[0] round
     /* 1167486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167521 */     // GIR_Coverage, 15892,
     /* 1167521 */     GIR_EraseRootFromParent_Done,
     /* 1167522 */   // Label 17024: @1167522
     /* 1167522 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1167602), // Rule ID 15893 //
     /* 1167527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167566 */     // MIs[0] round
     /* 1167566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167601 */     // GIR_Coverage, 15893,
     /* 1167601 */     GIR_EraseRootFromParent_Done,
     /* 1167602 */   // Label 17025: @1167602
     /* 1167602 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1167682), // Rule ID 15896 //
     /* 1167607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167646 */     // MIs[0] round
     /* 1167646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167681 */     // GIR_Coverage, 15896,
     /* 1167681 */     GIR_EraseRootFromParent_Done,
     /* 1167682 */   // Label 17026: @1167682
     /* 1167682 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1167762), // Rule ID 15897 //
     /* 1167687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167726 */     // MIs[0] round
     /* 1167726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167761 */     // GIR_Coverage, 15897,
     /* 1167761 */     GIR_EraseRootFromParent_Done,
     /* 1167762 */   // Label 17027: @1167762
     /* 1167762 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1167842), // Rule ID 15900 //
     /* 1167767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167806 */     // MIs[0] round
     /* 1167806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167841 */     // GIR_Coverage, 15900,
     /* 1167841 */     GIR_EraseRootFromParent_Done,
     /* 1167842 */   // Label 17028: @1167842
     /* 1167842 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1167922), // Rule ID 15901 //
     /* 1167847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167886 */     // MIs[0] round
     /* 1167886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167921 */     // GIR_Coverage, 15901,
     /* 1167921 */     GIR_EraseRootFromParent_Done,
     /* 1167922 */   // Label 17029: @1167922
     /* 1167922 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168002), // Rule ID 15904 //
     /* 1167927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167966 */     // MIs[0] round
     /* 1167966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168001 */     // GIR_Coverage, 15904,
     /* 1168001 */     GIR_EraseRootFromParent_Done,
     /* 1168002 */   // Label 17030: @1168002
     /* 1168002 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168082), // Rule ID 15905 //
     /* 1168007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168046 */     // MIs[0] round
     /* 1168046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168081 */     // GIR_Coverage, 15905,
     /* 1168081 */     GIR_EraseRootFromParent_Done,
     /* 1168082 */   // Label 17031: @1168082
     /* 1168082 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168162), // Rule ID 15908 //
     /* 1168087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168126 */     // MIs[0] round
     /* 1168126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168161 */     // GIR_Coverage, 15908,
     /* 1168161 */     GIR_EraseRootFromParent_Done,
     /* 1168162 */   // Label 17032: @1168162
     /* 1168162 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168242), // Rule ID 15909 //
     /* 1168167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168206 */     // MIs[0] round
     /* 1168206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168241 */     // GIR_Coverage, 15909,
     /* 1168241 */     GIR_EraseRootFromParent_Done,
     /* 1168242 */   // Label 17033: @1168242
     /* 1168242 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168322), // Rule ID 15912 //
     /* 1168247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168286 */     // MIs[0] round
     /* 1168286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168321 */     // GIR_Coverage, 15912,
     /* 1168321 */     GIR_EraseRootFromParent_Done,
     /* 1168322 */   // Label 17034: @1168322
     /* 1168322 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1168402), // Rule ID 15913 //
     /* 1168327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168366 */     // MIs[0] round
     /* 1168366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168401 */     // GIR_Coverage, 15913,
     /* 1168401 */     GIR_EraseRootFromParent_Done,
     /* 1168402 */   // Label 17035: @1168402
     /* 1168402 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1168482), // Rule ID 15916 //
     /* 1168407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168446 */     // MIs[0] round
     /* 1168446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168481 */     // GIR_Coverage, 15916,
     /* 1168481 */     GIR_EraseRootFromParent_Done,
     /* 1168482 */   // Label 17036: @1168482
     /* 1168482 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1168562), // Rule ID 15917 //
     /* 1168487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168526 */     // MIs[0] round
     /* 1168526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168561 */     // GIR_Coverage, 15917,
     /* 1168561 */     GIR_EraseRootFromParent_Done,
     /* 1168562 */   // Label 17037: @1168562
     /* 1168562 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1168642), // Rule ID 15920 //
     /* 1168567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168606 */     // MIs[0] round
     /* 1168606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168641 */     // GIR_Coverage, 15920,
     /* 1168641 */     GIR_EraseRootFromParent_Done,
     /* 1168642 */   // Label 17038: @1168642
     /* 1168642 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1168722), // Rule ID 15921 //
     /* 1168647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168686 */     // MIs[0] round
     /* 1168686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168721 */     // GIR_Coverage, 15921,
     /* 1168721 */     GIR_EraseRootFromParent_Done,
     /* 1168722 */   // Label 17039: @1168722
     /* 1168722 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1168802), // Rule ID 15924 //
     /* 1168727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1168738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1168741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1168744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168766 */     // MIs[0] round
     /* 1168766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168801 */     // GIR_Coverage, 15924,
     /* 1168801 */     GIR_EraseRootFromParent_Done,
     /* 1168802 */   // Label 17040: @1168802
     /* 1168802 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1168882), // Rule ID 15925 //
     /* 1168807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1168818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1168821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1168824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168846 */     // MIs[0] round
     /* 1168846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168881 */     // GIR_Coverage, 15925,
     /* 1168881 */     GIR_EraseRootFromParent_Done,
     /* 1168882 */   // Label 17041: @1168882
     /* 1168882 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1168962), // Rule ID 15928 //
     /* 1168887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168926 */     // MIs[0] round
     /* 1168926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1168939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168961 */     // GIR_Coverage, 15928,
     /* 1168961 */     GIR_EraseRootFromParent_Done,
     /* 1168962 */   // Label 17042: @1168962
     /* 1168962 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169042), // Rule ID 15929 //
     /* 1168967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169006 */     // MIs[0] round
     /* 1169006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169041 */     // GIR_Coverage, 15929,
     /* 1169041 */     GIR_EraseRootFromParent_Done,
     /* 1169042 */   // Label 17043: @1169042
     /* 1169042 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169122), // Rule ID 15932 //
     /* 1169047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169086 */     // MIs[0] round
     /* 1169086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169121 */     // GIR_Coverage, 15932,
     /* 1169121 */     GIR_EraseRootFromParent_Done,
     /* 1169122 */   // Label 17044: @1169122
     /* 1169122 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169202), // Rule ID 15933 //
     /* 1169127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169166 */     // MIs[0] round
     /* 1169166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169201 */     // GIR_Coverage, 15933,
     /* 1169201 */     GIR_EraseRootFromParent_Done,
     /* 1169202 */   // Label 17045: @1169202
     /* 1169202 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169282), // Rule ID 15936 //
     /* 1169207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169246 */     // MIs[0] round
     /* 1169246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169281 */     // GIR_Coverage, 15936,
     /* 1169281 */     GIR_EraseRootFromParent_Done,
     /* 1169282 */   // Label 17046: @1169282
     /* 1169282 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169362), // Rule ID 15937 //
     /* 1169287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169326 */     // MIs[0] round
     /* 1169326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169361 */     // GIR_Coverage, 15937,
     /* 1169361 */     GIR_EraseRootFromParent_Done,
     /* 1169362 */   // Label 17047: @1169362
     /* 1169362 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1169442), // Rule ID 15940 //
     /* 1169367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169406 */     // MIs[0] round
     /* 1169406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169441 */     // GIR_Coverage, 15940,
     /* 1169441 */     GIR_EraseRootFromParent_Done,
     /* 1169442 */   // Label 17048: @1169442
     /* 1169442 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1169522), // Rule ID 15941 //
     /* 1169447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169486 */     // MIs[0] round
     /* 1169486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169521 */     // GIR_Coverage, 15941,
     /* 1169521 */     GIR_EraseRootFromParent_Done,
     /* 1169522 */   // Label 17049: @1169522
     /* 1169522 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1169602), // Rule ID 15944 //
     /* 1169527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1169538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1169541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1169544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169566 */     // MIs[0] round
     /* 1169566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169601 */     // GIR_Coverage, 15944,
     /* 1169601 */     GIR_EraseRootFromParent_Done,
     /* 1169602 */   // Label 17050: @1169602
     /* 1169602 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1169682), // Rule ID 15945 //
     /* 1169607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1169618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1169621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1169624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169646 */     // MIs[0] round
     /* 1169646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169681 */     // GIR_Coverage, 15945,
     /* 1169681 */     GIR_EraseRootFromParent_Done,
     /* 1169682 */   // Label 17051: @1169682
     /* 1169682 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1169762), // Rule ID 15948 //
     /* 1169687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1169698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1169701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1169704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169726 */     // MIs[0] round
     /* 1169726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169761 */     // GIR_Coverage, 15948,
     /* 1169761 */     GIR_EraseRootFromParent_Done,
     /* 1169762 */   // Label 17052: @1169762
     /* 1169762 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1169842), // Rule ID 15949 //
     /* 1169767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1169778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1169781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1169784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169806 */     // MIs[0] round
     /* 1169806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169841 */     // GIR_Coverage, 15949,
     /* 1169841 */     GIR_EraseRootFromParent_Done,
     /* 1169842 */   // Label 17053: @1169842
     /* 1169842 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1169922), // Rule ID 15952 //
     /* 1169847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169886 */     // MIs[0] round
     /* 1169886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169921 */     // GIR_Coverage, 15952,
     /* 1169921 */     GIR_EraseRootFromParent_Done,
     /* 1169922 */   // Label 17054: @1169922
     /* 1169922 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170002), // Rule ID 15953 //
     /* 1169927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169966 */     // MIs[0] round
     /* 1169966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170001 */     // GIR_Coverage, 15953,
     /* 1170001 */     GIR_EraseRootFromParent_Done,
     /* 1170002 */   // Label 17055: @1170002
     /* 1170002 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170082), // Rule ID 15956 //
     /* 1170007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170046 */     // MIs[0] round
     /* 1170046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170081 */     // GIR_Coverage, 15956,
     /* 1170081 */     GIR_EraseRootFromParent_Done,
     /* 1170082 */   // Label 17056: @1170082
     /* 1170082 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170162), // Rule ID 15957 //
     /* 1170087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170126 */     // MIs[0] round
     /* 1170126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170161 */     // GIR_Coverage, 15957,
     /* 1170161 */     GIR_EraseRootFromParent_Done,
     /* 1170162 */   // Label 17057: @1170162
     /* 1170162 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170242), // Rule ID 15960 //
     /* 1170167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170206 */     // MIs[0] round
     /* 1170206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170241 */     // GIR_Coverage, 15960,
     /* 1170241 */     GIR_EraseRootFromParent_Done,
     /* 1170242 */   // Label 17058: @1170242
     /* 1170242 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170322), // Rule ID 15961 //
     /* 1170247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170286 */     // MIs[0] round
     /* 1170286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170321 */     // GIR_Coverage, 15961,
     /* 1170321 */     GIR_EraseRootFromParent_Done,
     /* 1170322 */   // Label 17059: @1170322
     /* 1170322 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1170402), // Rule ID 15964 //
     /* 1170327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170366 */     // MIs[0] round
     /* 1170366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170401 */     // GIR_Coverage, 15964,
     /* 1170401 */     GIR_EraseRootFromParent_Done,
     /* 1170402 */   // Label 17060: @1170402
     /* 1170402 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1170482), // Rule ID 15965 //
     /* 1170407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170446 */     // MIs[0] round
     /* 1170446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170481 */     // GIR_Coverage, 15965,
     /* 1170481 */     GIR_EraseRootFromParent_Done,
     /* 1170482 */   // Label 17061: @1170482
     /* 1170482 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1170562), // Rule ID 15968 //
     /* 1170487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1170498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1170501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1170504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170526 */     // MIs[0] round
     /* 1170526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170561 */     // GIR_Coverage, 15968,
     /* 1170561 */     GIR_EraseRootFromParent_Done,
     /* 1170562 */   // Label 17062: @1170562
     /* 1170562 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1170642), // Rule ID 15969 //
     /* 1170567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1170578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1170581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1170584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170606 */     // MIs[0] round
     /* 1170606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170641 */     // GIR_Coverage, 15969,
     /* 1170641 */     GIR_EraseRootFromParent_Done,
     /* 1170642 */   // Label 17063: @1170642
     /* 1170642 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1170722), // Rule ID 15972 //
     /* 1170647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1170658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1170661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1170664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170686 */     // MIs[0] round
     /* 1170686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170721 */     // GIR_Coverage, 15972,
     /* 1170721 */     GIR_EraseRootFromParent_Done,
     /* 1170722 */   // Label 17064: @1170722
     /* 1170722 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1170802), // Rule ID 15973 //
     /* 1170727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1170738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1170741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1170744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170766 */     // MIs[0] round
     /* 1170766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170801 */     // GIR_Coverage, 15973,
     /* 1170801 */     GIR_EraseRootFromParent_Done,
     /* 1170802 */   // Label 17065: @1170802
     /* 1170802 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1170882), // Rule ID 16064 //
     /* 1170807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1170827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170846 */     // MIs[0] round
     /* 1170846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1170859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170881 */     // GIR_Coverage, 16064,
     /* 1170881 */     GIR_EraseRootFromParent_Done,
     /* 1170882 */   // Label 17066: @1170882
     /* 1170882 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1170962), // Rule ID 16065 //
     /* 1170887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1170907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170926 */     // MIs[0] round
     /* 1170926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1170939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170961 */     // GIR_Coverage, 16065,
     /* 1170961 */     GIR_EraseRootFromParent_Done,
     /* 1170962 */   // Label 17067: @1170962
     /* 1170962 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171042), // Rule ID 16068 //
     /* 1170967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1170987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171006 */     // MIs[0] round
     /* 1171006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171041 */     // GIR_Coverage, 16068,
     /* 1171041 */     GIR_EraseRootFromParent_Done,
     /* 1171042 */   // Label 17068: @1171042
     /* 1171042 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171122), // Rule ID 16069 //
     /* 1171047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1171058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1171061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1171064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1171067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171086 */     // MIs[0] round
     /* 1171086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171121 */     // GIR_Coverage, 16069,
     /* 1171121 */     GIR_EraseRootFromParent_Done,
     /* 1171122 */   // Label 17069: @1171122
     /* 1171122 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171202), // Rule ID 16072 //
     /* 1171127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1171138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1171141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1171144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1171147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171166 */     // MIs[0] round
     /* 1171166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171201 */     // GIR_Coverage, 16072,
     /* 1171201 */     GIR_EraseRootFromParent_Done,
     /* 1171202 */   // Label 17070: @1171202
     /* 1171202 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171282), // Rule ID 16073 //
     /* 1171207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1171218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1171221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1171224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1171227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171246 */     // MIs[0] round
     /* 1171246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171281 */     // GIR_Coverage, 16073,
     /* 1171281 */     GIR_EraseRootFromParent_Done,
     /* 1171282 */   // Label 17071: @1171282
     /* 1171282 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171362), // Rule ID 16076 //
     /* 1171287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171326 */     // MIs[0] round
     /* 1171326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171361 */     // GIR_Coverage, 16076,
     /* 1171361 */     GIR_EraseRootFromParent_Done,
     /* 1171362 */   // Label 17072: @1171362
     /* 1171362 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1171442), // Rule ID 16077 //
     /* 1171367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171406 */     // MIs[0] round
     /* 1171406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171441 */     // GIR_Coverage, 16077,
     /* 1171441 */     GIR_EraseRootFromParent_Done,
     /* 1171442 */   // Label 17073: @1171442
     /* 1171442 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1171522), // Rule ID 16080 //
     /* 1171447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1171458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1171461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1171464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1171467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171486 */     // MIs[0] round
     /* 1171486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171521 */     // GIR_Coverage, 16080,
     /* 1171521 */     GIR_EraseRootFromParent_Done,
     /* 1171522 */   // Label 17074: @1171522
     /* 1171522 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1171602), // Rule ID 16081 //
     /* 1171527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1171538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1171541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1171544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1171547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171566 */     // MIs[0] round
     /* 1171566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171601 */     // GIR_Coverage, 16081,
     /* 1171601 */     GIR_EraseRootFromParent_Done,
     /* 1171602 */   // Label 17075: @1171602
     /* 1171602 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1171682), // Rule ID 16084 //
     /* 1171607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1171624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1171627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171646 */     // MIs[0] round
     /* 1171646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171681 */     // GIR_Coverage, 16084,
     /* 1171681 */     GIR_EraseRootFromParent_Done,
     /* 1171682 */   // Label 17076: @1171682
     /* 1171682 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1171762), // Rule ID 16085 //
     /* 1171687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1171704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1171707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171726 */     // MIs[0] round
     /* 1171726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171761 */     // GIR_Coverage, 16085,
     /* 1171761 */     GIR_EraseRootFromParent_Done,
     /* 1171762 */   // Label 17077: @1171762
     /* 1171762 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1171842), // Rule ID 16088 //
     /* 1171767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1171787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171806 */     // MIs[0] round
     /* 1171806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171841 */     // GIR_Coverage, 16088,
     /* 1171841 */     GIR_EraseRootFromParent_Done,
     /* 1171842 */   // Label 17078: @1171842
     /* 1171842 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1171922), // Rule ID 16089 //
     /* 1171847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1171867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171886 */     // MIs[0] round
     /* 1171886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171921 */     // GIR_Coverage, 16089,
     /* 1171921 */     GIR_EraseRootFromParent_Done,
     /* 1171922 */   // Label 17079: @1171922
     /* 1171922 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172002), // Rule ID 16092 //
     /* 1171927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1171947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171966 */     // MIs[0] round
     /* 1171966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172001 */     // GIR_Coverage, 16092,
     /* 1172001 */     GIR_EraseRootFromParent_Done,
     /* 1172002 */   // Label 17080: @1172002
     /* 1172002 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172082), // Rule ID 16093 //
     /* 1172007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1172018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1172021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1172027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172046 */     // MIs[0] round
     /* 1172046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172081 */     // GIR_Coverage, 16093,
     /* 1172081 */     GIR_EraseRootFromParent_Done,
     /* 1172082 */   // Label 17081: @1172082
     /* 1172082 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172162), // Rule ID 16096 //
     /* 1172087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1172098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1172101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1172104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1172107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172126 */     // MIs[0] round
     /* 1172126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172161 */     // GIR_Coverage, 16096,
     /* 1172161 */     GIR_EraseRootFromParent_Done,
     /* 1172162 */   // Label 17082: @1172162
     /* 1172162 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172242), // Rule ID 16097 //
     /* 1172167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1172178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1172181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1172184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1172187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172206 */     // MIs[0] round
     /* 1172206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172241 */     // GIR_Coverage, 16097,
     /* 1172241 */     GIR_EraseRootFromParent_Done,
     /* 1172242 */   // Label 17083: @1172242
     /* 1172242 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172322), // Rule ID 16100 //
     /* 1172247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172286 */     // MIs[0] round
     /* 1172286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172321 */     // GIR_Coverage, 16100,
     /* 1172321 */     GIR_EraseRootFromParent_Done,
     /* 1172322 */   // Label 17084: @1172322
     /* 1172322 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1172402), // Rule ID 16101 //
     /* 1172327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172366 */     // MIs[0] round
     /* 1172366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172401 */     // GIR_Coverage, 16101,
     /* 1172401 */     GIR_EraseRootFromParent_Done,
     /* 1172402 */   // Label 17085: @1172402
     /* 1172402 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1172482), // Rule ID 16104 //
     /* 1172407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172446 */     // MIs[0] round
     /* 1172446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172481 */     // GIR_Coverage, 16104,
     /* 1172481 */     GIR_EraseRootFromParent_Done,
     /* 1172482 */   // Label 17086: @1172482
     /* 1172482 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1172562), // Rule ID 16105 //
     /* 1172487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172526 */     // MIs[0] round
     /* 1172526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172561 */     // GIR_Coverage, 16105,
     /* 1172561 */     GIR_EraseRootFromParent_Done,
     /* 1172562 */   // Label 17087: @1172562
     /* 1172562 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1172642), // Rule ID 16108 //
     /* 1172567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1172584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172606 */     // MIs[0] round
     /* 1172606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172641 */     // GIR_Coverage, 16108,
     /* 1172641 */     GIR_EraseRootFromParent_Done,
     /* 1172642 */   // Label 17088: @1172642
     /* 1172642 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1172722), // Rule ID 16109 //
     /* 1172647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1172664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172686 */     // MIs[0] round
     /* 1172686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172721 */     // GIR_Coverage, 16109,
     /* 1172721 */     GIR_EraseRootFromParent_Done,
     /* 1172722 */   // Label 17089: @1172722
     /* 1172722 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1172802), // Rule ID 16112 //
     /* 1172727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1172738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1172741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1172744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1172747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172766 */     // MIs[0] round
     /* 1172766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1172779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172801 */     // GIR_Coverage, 16112,
     /* 1172801 */     GIR_EraseRootFromParent_Done,
     /* 1172802 */   // Label 17090: @1172802
     /* 1172802 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1172882), // Rule ID 16113 //
     /* 1172807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1172818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1172821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1172824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1172827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172846 */     // MIs[0] round
     /* 1172846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1172859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172881 */     // GIR_Coverage, 16113,
     /* 1172881 */     GIR_EraseRootFromParent_Done,
     /* 1172882 */   // Label 17091: @1172882
     /* 1172882 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1172962), // Rule ID 16116 //
     /* 1172887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1172907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172926 */     // MIs[0] round
     /* 1172926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172961 */     // GIR_Coverage, 16116,
     /* 1172961 */     GIR_EraseRootFromParent_Done,
     /* 1172962 */   // Label 17092: @1172962
     /* 1172962 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173042), // Rule ID 16117 //
     /* 1172967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1172987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173006 */     // MIs[0] round
     /* 1173006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173041 */     // GIR_Coverage, 16117,
     /* 1173041 */     GIR_EraseRootFromParent_Done,
     /* 1173042 */   // Label 17093: @1173042
     /* 1173042 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173122), // Rule ID 16120 //
     /* 1173047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173086 */     // MIs[0] round
     /* 1173086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173121 */     // GIR_Coverage, 16120,
     /* 1173121 */     GIR_EraseRootFromParent_Done,
     /* 1173122 */   // Label 17094: @1173122
     /* 1173122 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173202), // Rule ID 16121 //
     /* 1173127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173166 */     // MIs[0] round
     /* 1173166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173201 */     // GIR_Coverage, 16121,
     /* 1173201 */     GIR_EraseRootFromParent_Done,
     /* 1173202 */   // Label 17095: @1173202
     /* 1173202 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173282), // Rule ID 16124 //
     /* 1173207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173246 */     // MIs[0] round
     /* 1173246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173281 */     // GIR_Coverage, 16124,
     /* 1173281 */     GIR_EraseRootFromParent_Done,
     /* 1173282 */   // Label 17096: @1173282
     /* 1173282 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1173362), // Rule ID 16125 //
     /* 1173287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173326 */     // MIs[0] round
     /* 1173326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173361 */     // GIR_Coverage, 16125,
     /* 1173361 */     GIR_EraseRootFromParent_Done,
     /* 1173362 */   // Label 17097: @1173362
     /* 1173362 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1173442), // Rule ID 16128 //
     /* 1173367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173406 */     // MIs[0] round
     /* 1173406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173441 */     // GIR_Coverage, 16128,
     /* 1173441 */     GIR_EraseRootFromParent_Done,
     /* 1173442 */   // Label 17098: @1173442
     /* 1173442 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1173522), // Rule ID 16129 //
     /* 1173447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173486 */     // MIs[0] round
     /* 1173486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173521 */     // GIR_Coverage, 16129,
     /* 1173521 */     GIR_EraseRootFromParent_Done,
     /* 1173522 */   // Label 17099: @1173522
     /* 1173522 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1173602), // Rule ID 16132 //
     /* 1173527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1173538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1173541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1173547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173566 */     // MIs[0] round
     /* 1173566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173601 */     // GIR_Coverage, 16132,
     /* 1173601 */     GIR_EraseRootFromParent_Done,
     /* 1173602 */   // Label 17100: @1173602
     /* 1173602 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1173682), // Rule ID 16133 //
     /* 1173607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1173618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1173621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1173627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173646 */     // MIs[0] round
     /* 1173646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173681 */     // GIR_Coverage, 16133,
     /* 1173681 */     GIR_EraseRootFromParent_Done,
     /* 1173682 */   // Label 17101: @1173682
     /* 1173682 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1173762), // Rule ID 16136 //
     /* 1173687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1173698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1173701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1173707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173726 */     // MIs[0] round
     /* 1173726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173761 */     // GIR_Coverage, 16136,
     /* 1173761 */     GIR_EraseRootFromParent_Done,
     /* 1173762 */   // Label 17102: @1173762
     /* 1173762 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1173842), // Rule ID 16137 //
     /* 1173767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1173778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1173781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1173787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173806 */     // MIs[0] round
     /* 1173806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173841 */     // GIR_Coverage, 16137,
     /* 1173841 */     GIR_EraseRootFromParent_Done,
     /* 1173842 */   // Label 17103: @1173842
     /* 1173842 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1173922), // Rule ID 16140 //
     /* 1173847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1173867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173886 */     // MIs[0] round
     /* 1173886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173921 */     // GIR_Coverage, 16140,
     /* 1173921 */     GIR_EraseRootFromParent_Done,
     /* 1173922 */   // Label 17104: @1173922
     /* 1173922 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174002), // Rule ID 16141 //
     /* 1173927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1173947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173966 */     // MIs[0] round
     /* 1173966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174001 */     // GIR_Coverage, 16141,
     /* 1174001 */     GIR_EraseRootFromParent_Done,
     /* 1174002 */   // Label 17105: @1174002
     /* 1174002 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174082), // Rule ID 16144 //
     /* 1174007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1174018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1174021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1174027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174046 */     // MIs[0] round
     /* 1174046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174081 */     // GIR_Coverage, 16144,
     /* 1174081 */     GIR_EraseRootFromParent_Done,
     /* 1174082 */   // Label 17106: @1174082
     /* 1174082 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174162), // Rule ID 16145 //
     /* 1174087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1174098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1174101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1174107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174126 */     // MIs[0] round
     /* 1174126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174161 */     // GIR_Coverage, 16145,
     /* 1174161 */     GIR_EraseRootFromParent_Done,
     /* 1174162 */   // Label 17107: @1174162
     /* 1174162 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174242), // Rule ID 16148 //
     /* 1174167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1174178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1174181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1174187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174206 */     // MIs[0] round
     /* 1174206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174241 */     // GIR_Coverage, 16148,
     /* 1174241 */     GIR_EraseRootFromParent_Done,
     /* 1174242 */   // Label 17108: @1174242
     /* 1174242 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1174322), // Rule ID 16149 //
     /* 1174247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1174258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1174261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1174267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174286 */     // MIs[0] round
     /* 1174286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174321 */     // GIR_Coverage, 16149,
     /* 1174321 */     GIR_EraseRootFromParent_Done,
     /* 1174322 */   // Label 17109: @1174322
     /* 1174322 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1174402), // Rule ID 16152 //
     /* 1174327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174366 */     // MIs[0] round
     /* 1174366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174401 */     // GIR_Coverage, 16152,
     /* 1174401 */     GIR_EraseRootFromParent_Done,
     /* 1174402 */   // Label 17110: @1174402
     /* 1174402 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1174482), // Rule ID 16153 //
     /* 1174407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174446 */     // MIs[0] round
     /* 1174446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174481 */     // GIR_Coverage, 16153,
     /* 1174481 */     GIR_EraseRootFromParent_Done,
     /* 1174482 */   // Label 17111: @1174482
     /* 1174482 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1174562), // Rule ID 16156 //
     /* 1174487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1174504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174526 */     // MIs[0] round
     /* 1174526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174561 */     // GIR_Coverage, 16156,
     /* 1174561 */     GIR_EraseRootFromParent_Done,
     /* 1174562 */   // Label 17112: @1174562
     /* 1174562 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1174642), // Rule ID 16157 //
     /* 1174567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1174584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174606 */     // MIs[0] round
     /* 1174606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174641 */     // GIR_Coverage, 16157,
     /* 1174641 */     GIR_EraseRootFromParent_Done,
     /* 1174642 */   // Label 17113: @1174642
     /* 1174642 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1174722), // Rule ID 16160 //
     /* 1174647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1174664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174686 */     // MIs[0] round
     /* 1174686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174721 */     // GIR_Coverage, 16160,
     /* 1174721 */     GIR_EraseRootFromParent_Done,
     /* 1174722 */   // Label 17114: @1174722
     /* 1174722 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1174802), // Rule ID 16161 //
     /* 1174727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1174744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174766 */     // MIs[0] round
     /* 1174766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174801 */     // GIR_Coverage, 16161,
     /* 1174801 */     GIR_EraseRootFromParent_Done,
     /* 1174802 */   // Label 17115: @1174802
     /* 1174802 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1174882), // Rule ID 16164 //
     /* 1174807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174846 */     // MIs[0] round
     /* 1174846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174881 */     // GIR_Coverage, 16164,
     /* 1174881 */     GIR_EraseRootFromParent_Done,
     /* 1174882 */   // Label 17116: @1174882
     /* 1174882 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1174962), // Rule ID 16165 //
     /* 1174887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174926 */     // MIs[0] round
     /* 1174926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174961 */     // GIR_Coverage, 16165,
     /* 1174961 */     GIR_EraseRootFromParent_Done,
     /* 1174962 */   // Label 17117: @1174962
     /* 1174962 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175042), // Rule ID 16168 //
     /* 1174967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175006 */     // MIs[0] round
     /* 1175006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175041 */     // GIR_Coverage, 16168,
     /* 1175041 */     GIR_EraseRootFromParent_Done,
     /* 1175042 */   // Label 17118: @1175042
     /* 1175042 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175122), // Rule ID 16169 //
     /* 1175047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175086 */     // MIs[0] round
     /* 1175086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175121 */     // GIR_Coverage, 16169,
     /* 1175121 */     GIR_EraseRootFromParent_Done,
     /* 1175122 */   // Label 17119: @1175122
     /* 1175122 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175202), // Rule ID 16172 //
     /* 1175127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175166 */     // MIs[0] round
     /* 1175166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175201 */     // GIR_Coverage, 16172,
     /* 1175201 */     GIR_EraseRootFromParent_Done,
     /* 1175202 */   // Label 17120: @1175202
     /* 1175202 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1175282), // Rule ID 16173 //
     /* 1175207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175246 */     // MIs[0] round
     /* 1175246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175281 */     // GIR_Coverage, 16173,
     /* 1175281 */     GIR_EraseRootFromParent_Done,
     /* 1175282 */   // Label 17121: @1175282
     /* 1175282 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1175362), // Rule ID 16176 //
     /* 1175287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175326 */     // MIs[0] round
     /* 1175326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175361 */     // GIR_Coverage, 16176,
     /* 1175361 */     GIR_EraseRootFromParent_Done,
     /* 1175362 */   // Label 17122: @1175362
     /* 1175362 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1175442), // Rule ID 16177 //
     /* 1175367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175406 */     // MIs[0] round
     /* 1175406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175441 */     // GIR_Coverage, 16177,
     /* 1175441 */     GIR_EraseRootFromParent_Done,
     /* 1175442 */   // Label 17123: @1175442
     /* 1175442 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1175522), // Rule ID 16180 //
     /* 1175447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175486 */     // MIs[0] round
     /* 1175486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175521 */     // GIR_Coverage, 16180,
     /* 1175521 */     GIR_EraseRootFromParent_Done,
     /* 1175522 */   // Label 17124: @1175522
     /* 1175522 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1175602), // Rule ID 16181 //
     /* 1175527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175566 */     // MIs[0] round
     /* 1175566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175601 */     // GIR_Coverage, 16181,
     /* 1175601 */     GIR_EraseRootFromParent_Done,
     /* 1175602 */   // Label 17125: @1175602
     /* 1175602 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1175682), // Rule ID 16184 //
     /* 1175607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175646 */     // MIs[0] round
     /* 1175646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175681 */     // GIR_Coverage, 16184,
     /* 1175681 */     GIR_EraseRootFromParent_Done,
     /* 1175682 */   // Label 17126: @1175682
     /* 1175682 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1175762), // Rule ID 16185 //
     /* 1175687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175726 */     // MIs[0] round
     /* 1175726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175761 */     // GIR_Coverage, 16185,
     /* 1175761 */     GIR_EraseRootFromParent_Done,
     /* 1175762 */   // Label 17127: @1175762
     /* 1175762 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1175842), // Rule ID 16188 //
     /* 1175767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1175778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1175781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175806 */     // MIs[0] round
     /* 1175806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175841 */     // GIR_Coverage, 16188,
     /* 1175841 */     GIR_EraseRootFromParent_Done,
     /* 1175842 */   // Label 17128: @1175842
     /* 1175842 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1175922), // Rule ID 16189 //
     /* 1175847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1175858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1175861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175886 */     // MIs[0] round
     /* 1175886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175921 */     // GIR_Coverage, 16189,
     /* 1175921 */     GIR_EraseRootFromParent_Done,
     /* 1175922 */   // Label 17129: @1175922
     /* 1175922 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176002), // Rule ID 16192 //
     /* 1175927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1175944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175966 */     // MIs[0] round
     /* 1175966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1175979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176001 */     // GIR_Coverage, 16192,
     /* 1176001 */     GIR_EraseRootFromParent_Done,
     /* 1176002 */   // Label 17130: @1176002
     /* 1176002 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176082), // Rule ID 16193 //
     /* 1176007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1176024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176046 */     // MIs[0] round
     /* 1176046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176081 */     // GIR_Coverage, 16193,
     /* 1176081 */     GIR_EraseRootFromParent_Done,
     /* 1176082 */   // Label 17131: @1176082
     /* 1176082 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176162), // Rule ID 16196 //
     /* 1176087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1176104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176126 */     // MIs[0] round
     /* 1176126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176161 */     // GIR_Coverage, 16196,
     /* 1176161 */     GIR_EraseRootFromParent_Done,
     /* 1176162 */   // Label 17132: @1176162
     /* 1176162 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1176242), // Rule ID 16197 //
     /* 1176167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1176184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176206 */     // MIs[0] round
     /* 1176206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176241 */     // GIR_Coverage, 16197,
     /* 1176241 */     GIR_EraseRootFromParent_Done,
     /* 1176242 */   // Label 17133: @1176242
     /* 1176242 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1176322), // Rule ID 16200 //
     /* 1176247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176286 */     // MIs[0] round
     /* 1176286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176321 */     // GIR_Coverage, 16200,
     /* 1176321 */     GIR_EraseRootFromParent_Done,
     /* 1176322 */   // Label 17134: @1176322
     /* 1176322 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1176402), // Rule ID 16201 //
     /* 1176327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176366 */     // MIs[0] round
     /* 1176366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176401 */     // GIR_Coverage, 16201,
     /* 1176401 */     GIR_EraseRootFromParent_Done,
     /* 1176402 */   // Label 17135: @1176402
     /* 1176402 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1176482), // Rule ID 16204 //
     /* 1176407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176446 */     // MIs[0] round
     /* 1176446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176481 */     // GIR_Coverage, 16204,
     /* 1176481 */     GIR_EraseRootFromParent_Done,
     /* 1176482 */   // Label 17136: @1176482
     /* 1176482 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1176562), // Rule ID 16205 //
     /* 1176487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176526 */     // MIs[0] round
     /* 1176526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176561 */     // GIR_Coverage, 16205,
     /* 1176561 */     GIR_EraseRootFromParent_Done,
     /* 1176562 */   // Label 17137: @1176562
     /* 1176562 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1176642), // Rule ID 16208 //
     /* 1176567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176606 */     // MIs[0] round
     /* 1176606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176641 */     // GIR_Coverage, 16208,
     /* 1176641 */     GIR_EraseRootFromParent_Done,
     /* 1176642 */   // Label 17138: @1176642
     /* 1176642 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1176722), // Rule ID 16209 //
     /* 1176647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176686 */     // MIs[0] round
     /* 1176686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176721 */     // GIR_Coverage, 16209,
     /* 1176721 */     GIR_EraseRootFromParent_Done,
     /* 1176722 */   // Label 17139: @1176722
     /* 1176722 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1176802), // Rule ID 16212 //
     /* 1176727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1176738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1176741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176766 */     // MIs[0] round
     /* 1176766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176801 */     // GIR_Coverage, 16212,
     /* 1176801 */     GIR_EraseRootFromParent_Done,
     /* 1176802 */   // Label 17140: @1176802
     /* 1176802 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1176882), // Rule ID 16213 //
     /* 1176807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1176818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1176821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176846 */     // MIs[0] round
     /* 1176846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176881 */     // GIR_Coverage, 16213,
     /* 1176881 */     GIR_EraseRootFromParent_Done,
     /* 1176882 */   // Label 17141: @1176882
     /* 1176882 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1176962), // Rule ID 16216 //
     /* 1176887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176926 */     // MIs[0] round
     /* 1176926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176961 */     // GIR_Coverage, 16216,
     /* 1176961 */     GIR_EraseRootFromParent_Done,
     /* 1176962 */   // Label 17142: @1176962
     /* 1176962 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177042), // Rule ID 16217 //
     /* 1176967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177006 */     // MIs[0] round
     /* 1177006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177041 */     // GIR_Coverage, 16217,
     /* 1177041 */     GIR_EraseRootFromParent_Done,
     /* 1177042 */   // Label 17143: @1177042
     /* 1177042 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177122), // Rule ID 16220 //
     /* 1177047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177086 */     // MIs[0] round
     /* 1177086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177121 */     // GIR_Coverage, 16220,
     /* 1177121 */     GIR_EraseRootFromParent_Done,
     /* 1177122 */   // Label 17144: @1177122
     /* 1177122 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177202), // Rule ID 16221 //
     /* 1177127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177166 */     // MIs[0] round
     /* 1177166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177201 */     // GIR_Coverage, 16221,
     /* 1177201 */     GIR_EraseRootFromParent_Done,
     /* 1177202 */   // Label 17145: @1177202
     /* 1177202 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1177282), // Rule ID 16224 //
     /* 1177207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177246 */     // MIs[0] round
     /* 1177246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177281 */     // GIR_Coverage, 16224,
     /* 1177281 */     GIR_EraseRootFromParent_Done,
     /* 1177282 */   // Label 17146: @1177282
     /* 1177282 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1177362), // Rule ID 16225 //
     /* 1177287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177326 */     // MIs[0] round
     /* 1177326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177361 */     // GIR_Coverage, 16225,
     /* 1177361 */     GIR_EraseRootFromParent_Done,
     /* 1177362 */   // Label 17147: @1177362
     /* 1177362 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1177442), // Rule ID 16228 //
     /* 1177367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177406 */     // MIs[0] round
     /* 1177406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177441 */     // GIR_Coverage, 16228,
     /* 1177441 */     GIR_EraseRootFromParent_Done,
     /* 1177442 */   // Label 17148: @1177442
     /* 1177442 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1177522), // Rule ID 16229 //
     /* 1177447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177486 */     // MIs[0] round
     /* 1177486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177521 */     // GIR_Coverage, 16229,
     /* 1177521 */     GIR_EraseRootFromParent_Done,
     /* 1177522 */   // Label 17149: @1177522
     /* 1177522 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1177602), // Rule ID 16232 //
     /* 1177527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1177538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1177541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177566 */     // MIs[0] round
     /* 1177566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177601 */     // GIR_Coverage, 16232,
     /* 1177601 */     GIR_EraseRootFromParent_Done,
     /* 1177602 */   // Label 17150: @1177602
     /* 1177602 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1177682), // Rule ID 16233 //
     /* 1177607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1177618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1177621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177646 */     // MIs[0] round
     /* 1177646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177681 */     // GIR_Coverage, 16233,
     /* 1177681 */     GIR_EraseRootFromParent_Done,
     /* 1177682 */   // Label 17151: @1177682
     /* 1177682 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1177762), // Rule ID 16236 //
     /* 1177687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1177698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1177701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177726 */     // MIs[0] round
     /* 1177726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177761 */     // GIR_Coverage, 16236,
     /* 1177761 */     GIR_EraseRootFromParent_Done,
     /* 1177762 */   // Label 17152: @1177762
     /* 1177762 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1177842), // Rule ID 16237 //
     /* 1177767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1177778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1177781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177806 */     // MIs[0] round
     /* 1177806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177841 */     // GIR_Coverage, 16237,
     /* 1177841 */     GIR_EraseRootFromParent_Done,
     /* 1177842 */   // Label 17153: @1177842
     /* 1177842 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1177925), // Rule ID 16328 //
     /* 1177847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1177858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1177861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1177867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177886 */     // MIs[0] round
     /* 1177886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1177899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177924 */     // GIR_Coverage, 16328,
     /* 1177924 */     GIR_EraseRootFromParent_Done,
     /* 1177925 */   // Label 17154: @1177925
     /* 1177925 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178008), // Rule ID 16329 //
     /* 1177930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1177941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1177944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1177950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177969 */     // MIs[0] round
     /* 1177969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177979 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1177982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178007 */     // GIR_Coverage, 16329,
     /* 1178007 */     GIR_EraseRootFromParent_Done,
     /* 1178008 */   // Label 17155: @1178008
     /* 1178008 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178091), // Rule ID 16332 //
     /* 1178013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178052 */     // MIs[0] round
     /* 1178052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178090 */     // GIR_Coverage, 16332,
     /* 1178090 */     GIR_EraseRootFromParent_Done,
     /* 1178091 */   // Label 17156: @1178091
     /* 1178091 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178174), // Rule ID 16333 //
     /* 1178096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178135 */     // MIs[0] round
     /* 1178135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178173 */     // GIR_Coverage, 16333,
     /* 1178173 */     GIR_EraseRootFromParent_Done,
     /* 1178174 */   // Label 17157: @1178174
     /* 1178174 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1178257), // Rule ID 16336 //
     /* 1178179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178218 */     // MIs[0] round
     /* 1178218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178256 */     // GIR_Coverage, 16336,
     /* 1178256 */     GIR_EraseRootFromParent_Done,
     /* 1178257 */   // Label 17158: @1178257
     /* 1178257 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1178340), // Rule ID 16337 //
     /* 1178262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178301 */     // MIs[0] round
     /* 1178301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178339 */     // GIR_Coverage, 16337,
     /* 1178339 */     GIR_EraseRootFromParent_Done,
     /* 1178340 */   // Label 17159: @1178340
     /* 1178340 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1178423), // Rule ID 16340 //
     /* 1178345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178384 */     // MIs[0] round
     /* 1178384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178422 */     // GIR_Coverage, 16340,
     /* 1178422 */     GIR_EraseRootFromParent_Done,
     /* 1178423 */   // Label 17160: @1178423
     /* 1178423 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1178506), // Rule ID 16341 //
     /* 1178428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178467 */     // MIs[0] round
     /* 1178467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178505 */     // GIR_Coverage, 16341,
     /* 1178505 */     GIR_EraseRootFromParent_Done,
     /* 1178506 */   // Label 17161: @1178506
     /* 1178506 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1178589), // Rule ID 16344 //
     /* 1178511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178550 */     // MIs[0] round
     /* 1178550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1178563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178588 */     // GIR_Coverage, 16344,
     /* 1178588 */     GIR_EraseRootFromParent_Done,
     /* 1178589 */   // Label 17162: @1178589
     /* 1178589 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1178672), // Rule ID 16345 //
     /* 1178594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178633 */     // MIs[0] round
     /* 1178633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1178646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178671 */     // GIR_Coverage, 16345,
     /* 1178671 */     GIR_EraseRootFromParent_Done,
     /* 1178672 */   // Label 17163: @1178672
     /* 1178672 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1178755), // Rule ID 16348 //
     /* 1178677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178716 */     // MIs[0] round
     /* 1178716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1178729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178754 */     // GIR_Coverage, 16348,
     /* 1178754 */     GIR_EraseRootFromParent_Done,
     /* 1178755 */   // Label 17164: @1178755
     /* 1178755 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1178838), // Rule ID 16349 //
     /* 1178760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178799 */     // MIs[0] round
     /* 1178799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1178812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178837 */     // GIR_Coverage, 16349,
     /* 1178837 */     GIR_EraseRootFromParent_Done,
     /* 1178838 */   // Label 17165: @1178838
     /* 1178838 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1178921), // Rule ID 16352 //
     /* 1178843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1178854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1178857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1178860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1178863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178882 */     // MIs[0] round
     /* 1178882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178920 */     // GIR_Coverage, 16352,
     /* 1178920 */     GIR_EraseRootFromParent_Done,
     /* 1178921 */   // Label 17166: @1178921
     /* 1178921 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179004), // Rule ID 16353 //
     /* 1178926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1178937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1178940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1178943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1178946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178965 */     // MIs[0] round
     /* 1178965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178975 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179003 */     // GIR_Coverage, 16353,
     /* 1179003 */     GIR_EraseRootFromParent_Done,
     /* 1179004 */   // Label 17167: @1179004
     /* 1179004 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179087), // Rule ID 16356 //
     /* 1179009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179048 */     // MIs[0] round
     /* 1179048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179086 */     // GIR_Coverage, 16356,
     /* 1179086 */     GIR_EraseRootFromParent_Done,
     /* 1179087 */   // Label 17168: @1179087
     /* 1179087 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179170), // Rule ID 16357 //
     /* 1179092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179131 */     // MIs[0] round
     /* 1179131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179169 */     // GIR_Coverage, 16357,
     /* 1179169 */     GIR_EraseRootFromParent_Done,
     /* 1179170 */   // Label 17169: @1179170
     /* 1179170 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1179253), // Rule ID 16360 //
     /* 1179175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179214 */     // MIs[0] round
     /* 1179214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179252 */     // GIR_Coverage, 16360,
     /* 1179252 */     GIR_EraseRootFromParent_Done,
     /* 1179253 */   // Label 17170: @1179253
     /* 1179253 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1179336), // Rule ID 16361 //
     /* 1179258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179297 */     // MIs[0] round
     /* 1179297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179335 */     // GIR_Coverage, 16361,
     /* 1179335 */     GIR_EraseRootFromParent_Done,
     /* 1179336 */   // Label 17171: @1179336
     /* 1179336 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1179419), // Rule ID 16364 //
     /* 1179341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179380 */     // MIs[0] round
     /* 1179380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179418 */     // GIR_Coverage, 16364,
     /* 1179418 */     GIR_EraseRootFromParent_Done,
     /* 1179419 */   // Label 17172: @1179419
     /* 1179419 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1179502), // Rule ID 16365 //
     /* 1179424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179463 */     // MIs[0] round
     /* 1179463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179501 */     // GIR_Coverage, 16365,
     /* 1179501 */     GIR_EraseRootFromParent_Done,
     /* 1179502 */   // Label 17173: @1179502
     /* 1179502 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1179585), // Rule ID 16368 //
     /* 1179507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179546 */     // MIs[0] round
     /* 1179546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179584 */     // GIR_Coverage, 16368,
     /* 1179584 */     GIR_EraseRootFromParent_Done,
     /* 1179585 */   // Label 17174: @1179585
     /* 1179585 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1179668), // Rule ID 16369 //
     /* 1179590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179629 */     // MIs[0] round
     /* 1179629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179639 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179667 */     // GIR_Coverage, 16369,
     /* 1179667 */     GIR_EraseRootFromParent_Done,
     /* 1179668 */   // Label 17175: @1179668
     /* 1179668 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1179751), // Rule ID 16372 //
     /* 1179673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179712 */     // MIs[0] round
     /* 1179712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179750 */     // GIR_Coverage, 16372,
     /* 1179750 */     GIR_EraseRootFromParent_Done,
     /* 1179751 */   // Label 17176: @1179751
     /* 1179751 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1179834), // Rule ID 16373 //
     /* 1179756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179795 */     // MIs[0] round
     /* 1179795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179833 */     // GIR_Coverage, 16373,
     /* 1179833 */     GIR_EraseRootFromParent_Done,
     /* 1179834 */   // Label 17177: @1179834
     /* 1179834 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1179917), // Rule ID 16376 //
     /* 1179839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1179850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1179853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1179859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179878 */     // MIs[0] round
     /* 1179878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179916 */     // GIR_Coverage, 16376,
     /* 1179916 */     GIR_EraseRootFromParent_Done,
     /* 1179917 */   // Label 17178: @1179917
     /* 1179917 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180000), // Rule ID 16377 //
     /* 1179922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1179933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1179936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1179942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179961 */     // MIs[0] round
     /* 1179961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179999 */     // GIR_Coverage, 16377,
     /* 1179999 */     GIR_EraseRootFromParent_Done,
     /* 1180000 */   // Label 17179: @1180000
     /* 1180000 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180083), // Rule ID 16380 //
     /* 1180005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180044 */     // MIs[0] round
     /* 1180044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1180057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180082 */     // GIR_Coverage, 16380,
     /* 1180082 */     GIR_EraseRootFromParent_Done,
     /* 1180083 */   // Label 17180: @1180083
     /* 1180083 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180166), // Rule ID 16381 //
     /* 1180088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180127 */     // MIs[0] round
     /* 1180127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1180140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180165 */     // GIR_Coverage, 16381,
     /* 1180165 */     GIR_EraseRootFromParent_Done,
     /* 1180166 */   // Label 17181: @1180166
     /* 1180166 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1180249), // Rule ID 16384 //
     /* 1180171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180210 */     // MIs[0] round
     /* 1180210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180248 */     // GIR_Coverage, 16384,
     /* 1180248 */     GIR_EraseRootFromParent_Done,
     /* 1180249 */   // Label 17182: @1180249
     /* 1180249 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1180332), // Rule ID 16385 //
     /* 1180254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180293 */     // MIs[0] round
     /* 1180293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180331 */     // GIR_Coverage, 16385,
     /* 1180331 */     GIR_EraseRootFromParent_Done,
     /* 1180332 */   // Label 17183: @1180332
     /* 1180332 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1180415), // Rule ID 16388 //
     /* 1180337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180376 */     // MIs[0] round
     /* 1180376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180414 */     // GIR_Coverage, 16388,
     /* 1180414 */     GIR_EraseRootFromParent_Done,
     /* 1180415 */   // Label 17184: @1180415
     /* 1180415 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1180498), // Rule ID 16389 //
     /* 1180420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180459 */     // MIs[0] round
     /* 1180459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180497 */     // GIR_Coverage, 16389,
     /* 1180497 */     GIR_EraseRootFromParent_Done,
     /* 1180498 */   // Label 17185: @1180498
     /* 1180498 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1180581), // Rule ID 16392 //
     /* 1180503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180542 */     // MIs[0] round
     /* 1180542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1180555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180580 */     // GIR_Coverage, 16392,
     /* 1180580 */     GIR_EraseRootFromParent_Done,
     /* 1180581 */   // Label 17186: @1180581
     /* 1180581 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1180664), // Rule ID 16393 //
     /* 1180586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180625 */     // MIs[0] round
     /* 1180625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180635 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1180638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180663 */     // GIR_Coverage, 16393,
     /* 1180663 */     GIR_EraseRootFromParent_Done,
     /* 1180664 */   // Label 17187: @1180664
     /* 1180664 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1180747), // Rule ID 16396 //
     /* 1180669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180708 */     // MIs[0] round
     /* 1180708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1180721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180746 */     // GIR_Coverage, 16396,
     /* 1180746 */     GIR_EraseRootFromParent_Done,
     /* 1180747 */   // Label 17188: @1180747
     /* 1180747 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1180830), // Rule ID 16397 //
     /* 1180752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180791 */     // MIs[0] round
     /* 1180791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180801 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1180804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180829 */     // GIR_Coverage, 16397,
     /* 1180829 */     GIR_EraseRootFromParent_Done,
     /* 1180830 */   // Label 17189: @1180830
     /* 1180830 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1180913), // Rule ID 16400 //
     /* 1180835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1180846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1180849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180874 */     // MIs[0] round
     /* 1180874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1180887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180912 */     // GIR_Coverage, 16400,
     /* 1180912 */     GIR_EraseRootFromParent_Done,
     /* 1180913 */   // Label 17190: @1180913
     /* 1180913 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1180996), // Rule ID 16401 //
     /* 1180918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1180929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1180932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180957 */     // MIs[0] round
     /* 1180957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1180970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180995 */     // GIR_Coverage, 16401,
     /* 1180995 */     GIR_EraseRootFromParent_Done,
     /* 1180996 */   // Label 17191: @1180996
     /* 1180996 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181079), // Rule ID 16404 //
     /* 1181001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181040 */     // MIs[0] round
     /* 1181040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181078 */     // GIR_Coverage, 16404,
     /* 1181078 */     GIR_EraseRootFromParent_Done,
     /* 1181079 */   // Label 17192: @1181079
     /* 1181079 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181162), // Rule ID 16405 //
     /* 1181084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181123 */     // MIs[0] round
     /* 1181123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181133 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181161 */     // GIR_Coverage, 16405,
     /* 1181161 */     GIR_EraseRootFromParent_Done,
     /* 1181162 */   // Label 17193: @1181162
     /* 1181162 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1181245), // Rule ID 16408 //
     /* 1181167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181206 */     // MIs[0] round
     /* 1181206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181244 */     // GIR_Coverage, 16408,
     /* 1181244 */     GIR_EraseRootFromParent_Done,
     /* 1181245 */   // Label 17194: @1181245
     /* 1181245 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1181328), // Rule ID 16409 //
     /* 1181250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181289 */     // MIs[0] round
     /* 1181289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181327 */     // GIR_Coverage, 16409,
     /* 1181327 */     GIR_EraseRootFromParent_Done,
     /* 1181328 */   // Label 17195: @1181328
     /* 1181328 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1181411), // Rule ID 16412 //
     /* 1181333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181372 */     // MIs[0] round
     /* 1181372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181410 */     // GIR_Coverage, 16412,
     /* 1181410 */     GIR_EraseRootFromParent_Done,
     /* 1181411 */   // Label 17196: @1181411
     /* 1181411 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1181494), // Rule ID 16413 //
     /* 1181416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181455 */     // MIs[0] round
     /* 1181455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181465 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181493 */     // GIR_Coverage, 16413,
     /* 1181493 */     GIR_EraseRootFromParent_Done,
     /* 1181494 */   // Label 17197: @1181494
     /* 1181494 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1181577), // Rule ID 16416 //
     /* 1181499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181538 */     // MIs[0] round
     /* 1181538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181576 */     // GIR_Coverage, 16416,
     /* 1181576 */     GIR_EraseRootFromParent_Done,
     /* 1181577 */   // Label 17198: @1181577
     /* 1181577 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1181660), // Rule ID 16417 //
     /* 1181582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181621 */     // MIs[0] round
     /* 1181621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181659 */     // GIR_Coverage, 16417,
     /* 1181659 */     GIR_EraseRootFromParent_Done,
     /* 1181660 */   // Label 17199: @1181660
     /* 1181660 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1181743), // Rule ID 16420 //
     /* 1181665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181704 */     // MIs[0] round
     /* 1181704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181742 */     // GIR_Coverage, 16420,
     /* 1181742 */     GIR_EraseRootFromParent_Done,
     /* 1181743 */   // Label 17200: @1181743
     /* 1181743 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1181826), // Rule ID 16421 //
     /* 1181748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181787 */     // MIs[0] round
     /* 1181787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181825 */     // GIR_Coverage, 16421,
     /* 1181825 */     GIR_EraseRootFromParent_Done,
     /* 1181826 */   // Label 17201: @1181826
     /* 1181826 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1181909), // Rule ID 16424 //
     /* 1181831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181870 */     // MIs[0] round
     /* 1181870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181908 */     // GIR_Coverage, 16424,
     /* 1181908 */     GIR_EraseRootFromParent_Done,
     /* 1181909 */   // Label 17202: @1181909
     /* 1181909 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1181992), // Rule ID 16425 //
     /* 1181914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181953 */     // MIs[0] round
     /* 1181953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181991 */     // GIR_Coverage, 16425,
     /* 1181991 */     GIR_EraseRootFromParent_Done,
     /* 1181992 */   // Label 17203: @1181992
     /* 1181992 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182075), // Rule ID 16428 //
     /* 1181997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182036 */     // MIs[0] round
     /* 1182036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182074 */     // GIR_Coverage, 16428,
     /* 1182074 */     GIR_EraseRootFromParent_Done,
     /* 1182075 */   // Label 17204: @1182075
     /* 1182075 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182158), // Rule ID 16429 //
     /* 1182080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182119 */     // MIs[0] round
     /* 1182119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182129 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182157 */     // GIR_Coverage, 16429,
     /* 1182157 */     GIR_EraseRootFromParent_Done,
     /* 1182158 */   // Label 17205: @1182158
     /* 1182158 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1182241), // Rule ID 16432 //
     /* 1182163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182202 */     // MIs[0] round
     /* 1182202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182240 */     // GIR_Coverage, 16432,
     /* 1182240 */     GIR_EraseRootFromParent_Done,
     /* 1182241 */   // Label 17206: @1182241
     /* 1182241 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1182324), // Rule ID 16433 //
     /* 1182246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182285 */     // MIs[0] round
     /* 1182285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182323 */     // GIR_Coverage, 16433,
     /* 1182323 */     GIR_EraseRootFromParent_Done,
     /* 1182324 */   // Label 17207: @1182324
     /* 1182324 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1182407), // Rule ID 16436 //
     /* 1182329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182368 */     // MIs[0] round
     /* 1182368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182406 */     // GIR_Coverage, 16436,
     /* 1182406 */     GIR_EraseRootFromParent_Done,
     /* 1182407 */   // Label 17208: @1182407
     /* 1182407 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1182490), // Rule ID 16437 //
     /* 1182412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182451 */     // MIs[0] round
     /* 1182451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182489 */     // GIR_Coverage, 16437,
     /* 1182489 */     GIR_EraseRootFromParent_Done,
     /* 1182490 */   // Label 17209: @1182490
     /* 1182490 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1182573), // Rule ID 16440 //
     /* 1182495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182534 */     // MIs[0] round
     /* 1182534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182572 */     // GIR_Coverage, 16440,
     /* 1182572 */     GIR_EraseRootFromParent_Done,
     /* 1182573 */   // Label 17210: @1182573
     /* 1182573 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1182656), // Rule ID 16441 //
     /* 1182578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182617 */     // MIs[0] round
     /* 1182617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182655 */     // GIR_Coverage, 16441,
     /* 1182655 */     GIR_EraseRootFromParent_Done,
     /* 1182656 */   // Label 17211: @1182656
     /* 1182656 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1182739), // Rule ID 16444 //
     /* 1182661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182700 */     // MIs[0] round
     /* 1182700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182738 */     // GIR_Coverage, 16444,
     /* 1182738 */     GIR_EraseRootFromParent_Done,
     /* 1182739 */   // Label 17212: @1182739
     /* 1182739 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1182822), // Rule ID 16445 //
     /* 1182744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182783 */     // MIs[0] round
     /* 1182783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182821 */     // GIR_Coverage, 16445,
     /* 1182821 */     GIR_EraseRootFromParent_Done,
     /* 1182822 */   // Label 17213: @1182822
     /* 1182822 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1182905), // Rule ID 16508 //
     /* 1182827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182866 */     // MIs[0] round
     /* 1182866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1182879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182904 */     // GIR_Coverage, 16508,
     /* 1182904 */     GIR_EraseRootFromParent_Done,
     /* 1182905 */   // Label 17214: @1182905
     /* 1182905 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1182988), // Rule ID 16509 //
     /* 1182910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182949 */     // MIs[0] round
     /* 1182949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1182962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182987 */     // GIR_Coverage, 16509,
     /* 1182987 */     GIR_EraseRootFromParent_Done,
     /* 1182988 */   // Label 17215: @1182988
     /* 1182988 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183071), // Rule ID 16512 //
     /* 1182993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1183004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1183007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1183013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183032 */     // MIs[0] round
     /* 1183032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183070 */     // GIR_Coverage, 16512,
     /* 1183070 */     GIR_EraseRootFromParent_Done,
     /* 1183071 */   // Label 17216: @1183071
     /* 1183071 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183154), // Rule ID 16513 //
     /* 1183076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1183087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1183090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1183096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183115 */     // MIs[0] round
     /* 1183115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183125 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183153 */     // GIR_Coverage, 16513,
     /* 1183153 */     GIR_EraseRootFromParent_Done,
     /* 1183154 */   // Label 17217: @1183154
     /* 1183154 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1183237), // Rule ID 16516 //
     /* 1183159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1183170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1183173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1183179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183198 */     // MIs[0] round
     /* 1183198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183236 */     // GIR_Coverage, 16516,
     /* 1183236 */     GIR_EraseRootFromParent_Done,
     /* 1183237 */   // Label 17218: @1183237
     /* 1183237 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1183320), // Rule ID 16517 //
     /* 1183242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1183253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1183256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1183262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183281 */     // MIs[0] round
     /* 1183281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183319 */     // GIR_Coverage, 16517,
     /* 1183319 */     GIR_EraseRootFromParent_Done,
     /* 1183320 */   // Label 17219: @1183320
     /* 1183320 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1183403), // Rule ID 16520 //
     /* 1183325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183364 */     // MIs[0] round
     /* 1183364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183402 */     // GIR_Coverage, 16520,
     /* 1183402 */     GIR_EraseRootFromParent_Done,
     /* 1183403 */   // Label 17220: @1183403
     /* 1183403 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1183486), // Rule ID 16521 //
     /* 1183408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183447 */     // MIs[0] round
     /* 1183447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183485 */     // GIR_Coverage, 16521,
     /* 1183485 */     GIR_EraseRootFromParent_Done,
     /* 1183486 */   // Label 17221: @1183486
     /* 1183486 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1183569), // Rule ID 16524 //
     /* 1183491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183530 */     // MIs[0] round
     /* 1183530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183540 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1183543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183568 */     // GIR_Coverage, 16524,
     /* 1183568 */     GIR_EraseRootFromParent_Done,
     /* 1183569 */   // Label 17222: @1183569
     /* 1183569 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1183652), // Rule ID 16525 //
     /* 1183574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183613 */     // MIs[0] round
     /* 1183613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183623 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1183626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183651 */     // GIR_Coverage, 16525,
     /* 1183651 */     GIR_EraseRootFromParent_Done,
     /* 1183652 */   // Label 17223: @1183652
     /* 1183652 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1183735), // Rule ID 16528 //
     /* 1183657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183696 */     // MIs[0] round
     /* 1183696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183706 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1183709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183734 */     // GIR_Coverage, 16528,
     /* 1183734 */     GIR_EraseRootFromParent_Done,
     /* 1183735 */   // Label 17224: @1183735
     /* 1183735 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1183818), // Rule ID 16529 //
     /* 1183740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183779 */     // MIs[0] round
     /* 1183779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183789 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1183792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183817 */     // GIR_Coverage, 16529,
     /* 1183817 */     GIR_EraseRootFromParent_Done,
     /* 1183818 */   // Label 17225: @1183818
     /* 1183818 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1183901), // Rule ID 16532 //
     /* 1183823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183862 */     // MIs[0] round
     /* 1183862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183900 */     // GIR_Coverage, 16532,
     /* 1183900 */     GIR_EraseRootFromParent_Done,
     /* 1183901 */   // Label 17226: @1183901
     /* 1183901 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1183984), // Rule ID 16533 //
     /* 1183906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183945 */     // MIs[0] round
     /* 1183945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183983 */     // GIR_Coverage, 16533,
     /* 1183983 */     GIR_EraseRootFromParent_Done,
     /* 1183984 */   // Label 17227: @1183984
     /* 1183984 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184067), // Rule ID 16536 //
     /* 1183989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1184009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184028 */     // MIs[0] round
     /* 1184028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184066 */     // GIR_Coverage, 16536,
     /* 1184066 */     GIR_EraseRootFromParent_Done,
     /* 1184067 */   // Label 17228: @1184067
     /* 1184067 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184150), // Rule ID 16537 //
     /* 1184072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1184092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184111 */     // MIs[0] round
     /* 1184111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184121 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184149 */     // GIR_Coverage, 16537,
     /* 1184149 */     GIR_EraseRootFromParent_Done,
     /* 1184150 */   // Label 17229: @1184150
     /* 1184150 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184233), // Rule ID 16540 //
     /* 1184155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184194 */     // MIs[0] round
     /* 1184194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184232 */     // GIR_Coverage, 16540,
     /* 1184232 */     GIR_EraseRootFromParent_Done,
     /* 1184233 */   // Label 17230: @1184233
     /* 1184233 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1184316), // Rule ID 16541 //
     /* 1184238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184277 */     // MIs[0] round
     /* 1184277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184315 */     // GIR_Coverage, 16541,
     /* 1184315 */     GIR_EraseRootFromParent_Done,
     /* 1184316 */   // Label 17231: @1184316
     /* 1184316 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1184399), // Rule ID 16544 //
     /* 1184321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184360 */     // MIs[0] round
     /* 1184360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184398 */     // GIR_Coverage, 16544,
     /* 1184398 */     GIR_EraseRootFromParent_Done,
     /* 1184399 */   // Label 17232: @1184399
     /* 1184399 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1184482), // Rule ID 16545 //
     /* 1184404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184443 */     // MIs[0] round
     /* 1184443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184481 */     // GIR_Coverage, 16545,
     /* 1184481 */     GIR_EraseRootFromParent_Done,
     /* 1184482 */   // Label 17233: @1184482
     /* 1184482 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1184565), // Rule ID 16548 //
     /* 1184487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184526 */     // MIs[0] round
     /* 1184526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184564 */     // GIR_Coverage, 16548,
     /* 1184564 */     GIR_EraseRootFromParent_Done,
     /* 1184565 */   // Label 17234: @1184565
     /* 1184565 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1184648), // Rule ID 16549 //
     /* 1184570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184609 */     // MIs[0] round
     /* 1184609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184647 */     // GIR_Coverage, 16549,
     /* 1184647 */     GIR_EraseRootFromParent_Done,
     /* 1184648 */   // Label 17235: @1184648
     /* 1184648 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1184731), // Rule ID 16552 //
     /* 1184653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184692 */     // MIs[0] round
     /* 1184692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184730 */     // GIR_Coverage, 16552,
     /* 1184730 */     GIR_EraseRootFromParent_Done,
     /* 1184731 */   // Label 17236: @1184731
     /* 1184731 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1184814), // Rule ID 16553 //
     /* 1184736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184775 */     // MIs[0] round
     /* 1184775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184813 */     // GIR_Coverage, 16553,
     /* 1184813 */     GIR_EraseRootFromParent_Done,
     /* 1184814 */   // Label 17237: @1184814
     /* 1184814 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1184897), // Rule ID 16556 //
     /* 1184819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184858 */     // MIs[0] round
     /* 1184858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184896 */     // GIR_Coverage, 16556,
     /* 1184896 */     GIR_EraseRootFromParent_Done,
     /* 1184897 */   // Label 17238: @1184897
     /* 1184897 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1184980), // Rule ID 16557 //
     /* 1184902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184941 */     // MIs[0] round
     /* 1184941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184979 */     // GIR_Coverage, 16557,
     /* 1184979 */     GIR_EraseRootFromParent_Done,
     /* 1184980 */   // Label 17239: @1184980
     /* 1184980 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185063), // Rule ID 16560 //
     /* 1184985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1185005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185024 */     // MIs[0] round
     /* 1185024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1185037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185062 */     // GIR_Coverage, 16560,
     /* 1185062 */     GIR_EraseRootFromParent_Done,
     /* 1185063 */   // Label 17240: @1185063
     /* 1185063 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185146), // Rule ID 16561 //
     /* 1185068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1185088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185107 */     // MIs[0] round
     /* 1185107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1185120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185145 */     // GIR_Coverage, 16561,
     /* 1185145 */     GIR_EraseRootFromParent_Done,
     /* 1185146 */   // Label 17241: @1185146
     /* 1185146 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185229), // Rule ID 16564 //
     /* 1185151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1185154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185190 */     // MIs[0] round
     /* 1185190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185228 */     // GIR_Coverage, 16564,
     /* 1185228 */     GIR_EraseRootFromParent_Done,
     /* 1185229 */   // Label 17242: @1185229
     /* 1185229 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1185312), // Rule ID 16565 //
     /* 1185234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185273 */     // MIs[0] round
     /* 1185273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185311 */     // GIR_Coverage, 16565,
     /* 1185311 */     GIR_EraseRootFromParent_Done,
     /* 1185312 */   // Label 17243: @1185312
     /* 1185312 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1185395), // Rule ID 16568 //
     /* 1185317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185356 */     // MIs[0] round
     /* 1185356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185394 */     // GIR_Coverage, 16568,
     /* 1185394 */     GIR_EraseRootFromParent_Done,
     /* 1185395 */   // Label 17244: @1185395
     /* 1185395 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1185478), // Rule ID 16569 //
     /* 1185400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185439 */     // MIs[0] round
     /* 1185439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185477 */     // GIR_Coverage, 16569,
     /* 1185477 */     GIR_EraseRootFromParent_Done,
     /* 1185478 */   // Label 17245: @1185478
     /* 1185478 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1185561), // Rule ID 16572 //
     /* 1185483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185522 */     // MIs[0] round
     /* 1185522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1185535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185560 */     // GIR_Coverage, 16572,
     /* 1185560 */     GIR_EraseRootFromParent_Done,
     /* 1185561 */   // Label 17246: @1185561
     /* 1185561 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1185644), // Rule ID 16573 //
     /* 1185566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185605 */     // MIs[0] round
     /* 1185605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1185618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185643 */     // GIR_Coverage, 16573,
     /* 1185643 */     GIR_EraseRootFromParent_Done,
     /* 1185644 */   // Label 17247: @1185644
     /* 1185644 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1185727), // Rule ID 16576 //
     /* 1185649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185688 */     // MIs[0] round
     /* 1185688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1185701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185726 */     // GIR_Coverage, 16576,
     /* 1185726 */     GIR_EraseRootFromParent_Done,
     /* 1185727 */   // Label 17248: @1185727
     /* 1185727 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1185810), // Rule ID 16577 //
     /* 1185732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185771 */     // MIs[0] round
     /* 1185771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1185784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185809 */     // GIR_Coverage, 16577,
     /* 1185809 */     GIR_EraseRootFromParent_Done,
     /* 1185810 */   // Label 17249: @1185810
     /* 1185810 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1185893), // Rule ID 16580 //
     /* 1185815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185854 */     // MIs[0] round
     /* 1185854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1185867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185892 */     // GIR_Coverage, 16580,
     /* 1185892 */     GIR_EraseRootFromParent_Done,
     /* 1185893 */   // Label 17250: @1185893
     /* 1185893 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1185976), // Rule ID 16581 //
     /* 1185898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185937 */     // MIs[0] round
     /* 1185937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1185950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185975 */     // GIR_Coverage, 16581,
     /* 1185975 */     GIR_EraseRootFromParent_Done,
     /* 1185976 */   // Label 17251: @1185976
     /* 1185976 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186059), // Rule ID 16584 //
     /* 1185981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1185992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1185995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186020 */     // MIs[0] round
     /* 1186020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186030 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186058 */     // GIR_Coverage, 16584,
     /* 1186058 */     GIR_EraseRootFromParent_Done,
     /* 1186059 */   // Label 17252: @1186059
     /* 1186059 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186142), // Rule ID 16585 //
     /* 1186064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1186075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1186078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186103 */     // MIs[0] round
     /* 1186103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186141 */     // GIR_Coverage, 16585,
     /* 1186141 */     GIR_EraseRootFromParent_Done,
     /* 1186142 */   // Label 17253: @1186142
     /* 1186142 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186225), // Rule ID 16588 //
     /* 1186147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1186158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1186161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186186 */     // MIs[0] round
     /* 1186186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186224 */     // GIR_Coverage, 16588,
     /* 1186224 */     GIR_EraseRootFromParent_Done,
     /* 1186225 */   // Label 17254: @1186225
     /* 1186225 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186308), // Rule ID 16589 //
     /* 1186230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1186241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1186244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186269 */     // MIs[0] round
     /* 1186269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186279 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186307 */     // GIR_Coverage, 16589,
     /* 1186307 */     GIR_EraseRootFromParent_Done,
     /* 1186308 */   // Label 17255: @1186308
     /* 1186308 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1186391), // Rule ID 16592 //
     /* 1186313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186352 */     // MIs[0] round
     /* 1186352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186390 */     // GIR_Coverage, 16592,
     /* 1186390 */     GIR_EraseRootFromParent_Done,
     /* 1186391 */   // Label 17256: @1186391
     /* 1186391 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1186474), // Rule ID 16593 //
     /* 1186396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186435 */     // MIs[0] round
     /* 1186435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186473 */     // GIR_Coverage, 16593,
     /* 1186473 */     GIR_EraseRootFromParent_Done,
     /* 1186474 */   // Label 17257: @1186474
     /* 1186474 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1186557), // Rule ID 16596 //
     /* 1186479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186518 */     // MIs[0] round
     /* 1186518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186556 */     // GIR_Coverage, 16596,
     /* 1186556 */     GIR_EraseRootFromParent_Done,
     /* 1186557 */   // Label 17258: @1186557
     /* 1186557 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1186640), // Rule ID 16597 //
     /* 1186562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186601 */     // MIs[0] round
     /* 1186601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186639 */     // GIR_Coverage, 16597,
     /* 1186639 */     GIR_EraseRootFromParent_Done,
     /* 1186640 */   // Label 17259: @1186640
     /* 1186640 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1186723), // Rule ID 16600 //
     /* 1186645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186684 */     // MIs[0] round
     /* 1186684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186722 */     // GIR_Coverage, 16600,
     /* 1186722 */     GIR_EraseRootFromParent_Done,
     /* 1186723 */   // Label 17260: @1186723
     /* 1186723 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1186806), // Rule ID 16601 //
     /* 1186728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186767 */     // MIs[0] round
     /* 1186767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186805 */     // GIR_Coverage, 16601,
     /* 1186805 */     GIR_EraseRootFromParent_Done,
     /* 1186806 */   // Label 17261: @1186806
     /* 1186806 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1186889), // Rule ID 16604 //
     /* 1186811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186850 */     // MIs[0] round
     /* 1186850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186888 */     // GIR_Coverage, 16604,
     /* 1186888 */     GIR_EraseRootFromParent_Done,
     /* 1186889 */   // Label 17262: @1186889
     /* 1186889 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1186972), // Rule ID 16605 //
     /* 1186894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186933 */     // MIs[0] round
     /* 1186933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186971 */     // GIR_Coverage, 16605,
     /* 1186971 */     GIR_EraseRootFromParent_Done,
     /* 1186972 */   // Label 17263: @1186972
     /* 1186972 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187055), // Rule ID 16608 //
     /* 1186977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187016 */     // MIs[0] round
     /* 1187016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187054 */     // GIR_Coverage, 16608,
     /* 1187054 */     GIR_EraseRootFromParent_Done,
     /* 1187055 */   // Label 17264: @1187055
     /* 1187055 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187138), // Rule ID 16609 //
     /* 1187060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187099 */     // MIs[0] round
     /* 1187099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187137 */     // GIR_Coverage, 16609,
     /* 1187137 */     GIR_EraseRootFromParent_Done,
     /* 1187138 */   // Label 17265: @1187138
     /* 1187138 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187221), // Rule ID 16612 //
     /* 1187143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187182 */     // MIs[0] round
     /* 1187182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187220 */     // GIR_Coverage, 16612,
     /* 1187220 */     GIR_EraseRootFromParent_Done,
     /* 1187221 */   // Label 17266: @1187221
     /* 1187221 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187304), // Rule ID 16613 //
     /* 1187226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187265 */     // MIs[0] round
     /* 1187265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187303 */     // GIR_Coverage, 16613,
     /* 1187303 */     GIR_EraseRootFromParent_Done,
     /* 1187304 */   // Label 17267: @1187304
     /* 1187304 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1187387), // Rule ID 16616 //
     /* 1187309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187348 */     // MIs[0] round
     /* 1187348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187386 */     // GIR_Coverage, 16616,
     /* 1187386 */     GIR_EraseRootFromParent_Done,
     /* 1187387 */   // Label 17268: @1187387
     /* 1187387 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1187470), // Rule ID 16617 //
     /* 1187392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187431 */     // MIs[0] round
     /* 1187431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187469 */     // GIR_Coverage, 16617,
     /* 1187469 */     GIR_EraseRootFromParent_Done,
     /* 1187470 */   // Label 17269: @1187470
     /* 1187470 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1187553), // Rule ID 16620 //
     /* 1187475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187514 */     // MIs[0] round
     /* 1187514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187552 */     // GIR_Coverage, 16620,
     /* 1187552 */     GIR_EraseRootFromParent_Done,
     /* 1187553 */   // Label 17270: @1187553
     /* 1187553 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1187636), // Rule ID 16621 //
     /* 1187558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187597 */     // MIs[0] round
     /* 1187597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187635 */     // GIR_Coverage, 16621,
     /* 1187635 */     GIR_EraseRootFromParent_Done,
     /* 1187636 */   // Label 17271: @1187636
     /* 1187636 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1187719), // Rule ID 16624 //
     /* 1187641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187680 */     // MIs[0] round
     /* 1187680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187718 */     // GIR_Coverage, 16624,
     /* 1187718 */     GIR_EraseRootFromParent_Done,
     /* 1187719 */   // Label 17272: @1187719
     /* 1187719 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1187802), // Rule ID 16625 //
     /* 1187724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187763 */     // MIs[0] round
     /* 1187763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187801 */     // GIR_Coverage, 16625,
     /* 1187801 */     GIR_EraseRootFromParent_Done,
     /* 1187802 */   // Label 17273: @1187802
     /* 1187802 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1187882), // Rule ID 16688 //
     /* 1187807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187846 */     // MIs[0] round
     /* 1187846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1187859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187881 */     // GIR_Coverage, 16688,
     /* 1187881 */     GIR_EraseRootFromParent_Done,
     /* 1187882 */   // Label 17274: @1187882
     /* 1187882 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1187962), // Rule ID 16689 //
     /* 1187887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187926 */     // MIs[0] round
     /* 1187926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1187939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187961 */     // GIR_Coverage, 16689,
     /* 1187961 */     GIR_EraseRootFromParent_Done,
     /* 1187962 */   // Label 17275: @1187962
     /* 1187962 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188042), // Rule ID 16692 //
     /* 1187967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1187978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1187981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188006 */     // MIs[0] round
     /* 1188006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1188019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188041 */     // GIR_Coverage, 16692,
     /* 1188041 */     GIR_EraseRootFromParent_Done,
     /* 1188042 */   // Label 17276: @1188042
     /* 1188042 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188122), // Rule ID 16693 //
     /* 1188047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188086 */     // MIs[0] round
     /* 1188086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1188099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188121 */     // GIR_Coverage, 16693,
     /* 1188121 */     GIR_EraseRootFromParent_Done,
     /* 1188122 */   // Label 17277: @1188122
     /* 1188122 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188202), // Rule ID 16696 //
     /* 1188127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188166 */     // MIs[0] round
     /* 1188166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1188179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188201 */     // GIR_Coverage, 16696,
     /* 1188201 */     GIR_EraseRootFromParent_Done,
     /* 1188202 */   // Label 17278: @1188202
     /* 1188202 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188282), // Rule ID 16697 //
     /* 1188207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188246 */     // MIs[0] round
     /* 1188246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1188259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188281 */     // GIR_Coverage, 16697,
     /* 1188281 */     GIR_EraseRootFromParent_Done,
     /* 1188282 */   // Label 17279: @1188282
     /* 1188282 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188362), // Rule ID 16700 //
     /* 1188287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188326 */     // MIs[0] round
     /* 1188326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188361 */     // GIR_Coverage, 16700,
     /* 1188361 */     GIR_EraseRootFromParent_Done,
     /* 1188362 */   // Label 17280: @1188362
     /* 1188362 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1188442), // Rule ID 16701 //
     /* 1188367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188406 */     // MIs[0] round
     /* 1188406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188441 */     // GIR_Coverage, 16701,
     /* 1188441 */     GIR_EraseRootFromParent_Done,
     /* 1188442 */   // Label 17281: @1188442
     /* 1188442 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1188522), // Rule ID 16704 //
     /* 1188447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188486 */     // MIs[0] round
     /* 1188486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1188499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188521 */     // GIR_Coverage, 16704,
     /* 1188521 */     GIR_EraseRootFromParent_Done,
     /* 1188522 */   // Label 17282: @1188522
     /* 1188522 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1188602), // Rule ID 16705 //
     /* 1188527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188566 */     // MIs[0] round
     /* 1188566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1188579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188601 */     // GIR_Coverage, 16705,
     /* 1188601 */     GIR_EraseRootFromParent_Done,
     /* 1188602 */   // Label 17283: @1188602
     /* 1188602 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1188682), // Rule ID 16708 //
     /* 1188607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188646 */     // MIs[0] round
     /* 1188646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1188659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188681 */     // GIR_Coverage, 16708,
     /* 1188681 */     GIR_EraseRootFromParent_Done,
     /* 1188682 */   // Label 17284: @1188682
     /* 1188682 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1188762), // Rule ID 16709 //
     /* 1188687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188726 */     // MIs[0] round
     /* 1188726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1188739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188761 */     // GIR_Coverage, 16709,
     /* 1188761 */     GIR_EraseRootFromParent_Done,
     /* 1188762 */   // Label 17285: @1188762
     /* 1188762 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1188842), // Rule ID 16712 //
     /* 1188767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188806 */     // MIs[0] round
     /* 1188806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1188819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188841 */     // GIR_Coverage, 16712,
     /* 1188841 */     GIR_EraseRootFromParent_Done,
     /* 1188842 */   // Label 17286: @1188842
     /* 1188842 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1188922), // Rule ID 16713 //
     /* 1188847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188886 */     // MIs[0] round
     /* 1188886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188896 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1188899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188921 */     // GIR_Coverage, 16713,
     /* 1188921 */     GIR_EraseRootFromParent_Done,
     /* 1188922 */   // Label 17287: @1188922
     /* 1188922 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189002), // Rule ID 16716 //
     /* 1188927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1188938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1188941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1188947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188966 */     // MIs[0] round
     /* 1188966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1188979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189001 */     // GIR_Coverage, 16716,
     /* 1189001 */     GIR_EraseRootFromParent_Done,
     /* 1189002 */   // Label 17288: @1189002
     /* 1189002 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189082), // Rule ID 16717 //
     /* 1189007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189046 */     // MIs[0] round
     /* 1189046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189056 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1189059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189081 */     // GIR_Coverage, 16717,
     /* 1189081 */     GIR_EraseRootFromParent_Done,
     /* 1189082 */   // Label 17289: @1189082
     /* 1189082 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189162), // Rule ID 16720 //
     /* 1189087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189126 */     // MIs[0] round
     /* 1189126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1189139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189161 */     // GIR_Coverage, 16720,
     /* 1189161 */     GIR_EraseRootFromParent_Done,
     /* 1189162 */   // Label 17290: @1189162
     /* 1189162 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189242), // Rule ID 16721 //
     /* 1189167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189206 */     // MIs[0] round
     /* 1189206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1189219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189241 */     // GIR_Coverage, 16721,
     /* 1189241 */     GIR_EraseRootFromParent_Done,
     /* 1189242 */   // Label 17291: @1189242
     /* 1189242 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189322), // Rule ID 16724 //
     /* 1189247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189286 */     // MIs[0] round
     /* 1189286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189321 */     // GIR_Coverage, 16724,
     /* 1189321 */     GIR_EraseRootFromParent_Done,
     /* 1189322 */   // Label 17292: @1189322
     /* 1189322 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1189402), // Rule ID 16725 //
     /* 1189327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189366 */     // MIs[0] round
     /* 1189366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189401 */     // GIR_Coverage, 16725,
     /* 1189401 */     GIR_EraseRootFromParent_Done,
     /* 1189402 */   // Label 17293: @1189402
     /* 1189402 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1189482), // Rule ID 16728 //
     /* 1189407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189446 */     // MIs[0] round
     /* 1189446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1189459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189481 */     // GIR_Coverage, 16728,
     /* 1189481 */     GIR_EraseRootFromParent_Done,
     /* 1189482 */   // Label 17294: @1189482
     /* 1189482 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1189562), // Rule ID 16729 //
     /* 1189487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189526 */     // MIs[0] round
     /* 1189526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189536 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1189539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189561 */     // GIR_Coverage, 16729,
     /* 1189561 */     GIR_EraseRootFromParent_Done,
     /* 1189562 */   // Label 17295: @1189562
     /* 1189562 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1189642), // Rule ID 16732 //
     /* 1189567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189606 */     // MIs[0] round
     /* 1189606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1189619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189641 */     // GIR_Coverage, 16732,
     /* 1189641 */     GIR_EraseRootFromParent_Done,
     /* 1189642 */   // Label 17296: @1189642
     /* 1189642 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1189722), // Rule ID 16733 //
     /* 1189647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189686 */     // MIs[0] round
     /* 1189686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1189699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189721 */     // GIR_Coverage, 16733,
     /* 1189721 */     GIR_EraseRootFromParent_Done,
     /* 1189722 */   // Label 17297: @1189722
     /* 1189722 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1189802), // Rule ID 16736 //
     /* 1189727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189766 */     // MIs[0] round
     /* 1189766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1189779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189801 */     // GIR_Coverage, 16736,
     /* 1189801 */     GIR_EraseRootFromParent_Done,
     /* 1189802 */   // Label 17298: @1189802
     /* 1189802 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1189882), // Rule ID 16737 //
     /* 1189807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189846 */     // MIs[0] round
     /* 1189846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1189859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189881 */     // GIR_Coverage, 16737,
     /* 1189881 */     GIR_EraseRootFromParent_Done,
     /* 1189882 */   // Label 17299: @1189882
     /* 1189882 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1189962), // Rule ID 16740 //
     /* 1189887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189926 */     // MIs[0] round
     /* 1189926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1189939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189961 */     // GIR_Coverage, 16740,
     /* 1189961 */     GIR_EraseRootFromParent_Done,
     /* 1189962 */   // Label 17300: @1189962
     /* 1189962 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190042), // Rule ID 16741 //
     /* 1189967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190006 */     // MIs[0] round
     /* 1190006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1190019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190041 */     // GIR_Coverage, 16741,
     /* 1190041 */     GIR_EraseRootFromParent_Done,
     /* 1190042 */   // Label 17301: @1190042
     /* 1190042 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190122), // Rule ID 16744 //
     /* 1190047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190086 */     // MIs[0] round
     /* 1190086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190096 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1190099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190121 */     // GIR_Coverage, 16744,
     /* 1190121 */     GIR_EraseRootFromParent_Done,
     /* 1190122 */   // Label 17302: @1190122
     /* 1190122 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190202), // Rule ID 16745 //
     /* 1190127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190166 */     // MIs[0] round
     /* 1190166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1190179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190201 */     // GIR_Coverage, 16745,
     /* 1190201 */     GIR_EraseRootFromParent_Done,
     /* 1190202 */   // Label 17303: @1190202
     /* 1190202 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190282), // Rule ID 16748 //
     /* 1190207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190246 */     // MIs[0] round
     /* 1190246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190256 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190281 */     // GIR_Coverage, 16748,
     /* 1190281 */     GIR_EraseRootFromParent_Done,
     /* 1190282 */   // Label 17304: @1190282
     /* 1190282 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190362), // Rule ID 16749 //
     /* 1190287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190326 */     // MIs[0] round
     /* 1190326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190336 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190361 */     // GIR_Coverage, 16749,
     /* 1190361 */     GIR_EraseRootFromParent_Done,
     /* 1190362 */   // Label 17305: @1190362
     /* 1190362 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1190442), // Rule ID 16752 //
     /* 1190367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190406 */     // MIs[0] round
     /* 1190406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190416 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190441 */     // GIR_Coverage, 16752,
     /* 1190441 */     GIR_EraseRootFromParent_Done,
     /* 1190442 */   // Label 17306: @1190442
     /* 1190442 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1190522), // Rule ID 16753 //
     /* 1190447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190486 */     // MIs[0] round
     /* 1190486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190496 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190521 */     // GIR_Coverage, 16753,
     /* 1190521 */     GIR_EraseRootFromParent_Done,
     /* 1190522 */   // Label 17307: @1190522
     /* 1190522 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1190602), // Rule ID 16756 //
     /* 1190527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190566 */     // MIs[0] round
     /* 1190566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190576 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1190579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190601 */     // GIR_Coverage, 16756,
     /* 1190601 */     GIR_EraseRootFromParent_Done,
     /* 1190602 */   // Label 17308: @1190602
     /* 1190602 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1190682), // Rule ID 16757 //
     /* 1190607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190646 */     // MIs[0] round
     /* 1190646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1190659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190681 */     // GIR_Coverage, 16757,
     /* 1190681 */     GIR_EraseRootFromParent_Done,
     /* 1190682 */   // Label 17309: @1190682
     /* 1190682 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1190762), // Rule ID 16760 //
     /* 1190687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190726 */     // MIs[0] round
     /* 1190726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1190739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190761 */     // GIR_Coverage, 16760,
     /* 1190761 */     GIR_EraseRootFromParent_Done,
     /* 1190762 */   // Label 17310: @1190762
     /* 1190762 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1190842), // Rule ID 16761 //
     /* 1190767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190806 */     // MIs[0] round
     /* 1190806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1190819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190841 */     // GIR_Coverage, 16761,
     /* 1190841 */     GIR_EraseRootFromParent_Done,
     /* 1190842 */   // Label 17311: @1190842
     /* 1190842 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1190922), // Rule ID 16764 //
     /* 1190847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190886 */     // MIs[0] round
     /* 1190886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1190899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190921 */     // GIR_Coverage, 16764,
     /* 1190921 */     GIR_EraseRootFromParent_Done,
     /* 1190922 */   // Label 17312: @1190922
     /* 1190922 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191002), // Rule ID 16765 //
     /* 1190927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190966 */     // MIs[0] round
     /* 1190966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1190979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191001 */     // GIR_Coverage, 16765,
     /* 1191001 */     GIR_EraseRootFromParent_Done,
     /* 1191002 */   // Label 17313: @1191002
     /* 1191002 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191082), // Rule ID 16768 //
     /* 1191007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191046 */     // MIs[0] round
     /* 1191046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1191059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191081 */     // GIR_Coverage, 16768,
     /* 1191081 */     GIR_EraseRootFromParent_Done,
     /* 1191082 */   // Label 17314: @1191082
     /* 1191082 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191162), // Rule ID 16769 //
     /* 1191087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191126 */     // MIs[0] round
     /* 1191126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1191139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191161 */     // GIR_Coverage, 16769,
     /* 1191161 */     GIR_EraseRootFromParent_Done,
     /* 1191162 */   // Label 17315: @1191162
     /* 1191162 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191242), // Rule ID 16772 //
     /* 1191167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191206 */     // MIs[0] round
     /* 1191206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191216 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191241 */     // GIR_Coverage, 16772,
     /* 1191241 */     GIR_EraseRootFromParent_Done,
     /* 1191242 */   // Label 17316: @1191242
     /* 1191242 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191322), // Rule ID 16773 //
     /* 1191247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191286 */     // MIs[0] round
     /* 1191286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191296 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191321 */     // GIR_Coverage, 16773,
     /* 1191321 */     GIR_EraseRootFromParent_Done,
     /* 1191322 */   // Label 17317: @1191322
     /* 1191322 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1191402), // Rule ID 16776 //
     /* 1191327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191366 */     // MIs[0] round
     /* 1191366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191401 */     // GIR_Coverage, 16776,
     /* 1191401 */     GIR_EraseRootFromParent_Done,
     /* 1191402 */   // Label 17318: @1191402
     /* 1191402 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1191482), // Rule ID 16777 //
     /* 1191407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191446 */     // MIs[0] round
     /* 1191446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191481 */     // GIR_Coverage, 16777,
     /* 1191481 */     GIR_EraseRootFromParent_Done,
     /* 1191482 */   // Label 17319: @1191482
     /* 1191482 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1191562), // Rule ID 16780 //
     /* 1191487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191526 */     // MIs[0] round
     /* 1191526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1191539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191561 */     // GIR_Coverage, 16780,
     /* 1191561 */     GIR_EraseRootFromParent_Done,
     /* 1191562 */   // Label 17320: @1191562
     /* 1191562 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1191642), // Rule ID 16781 //
     /* 1191567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191606 */     // MIs[0] round
     /* 1191606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1191619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191641 */     // GIR_Coverage, 16781,
     /* 1191641 */     GIR_EraseRootFromParent_Done,
     /* 1191642 */   // Label 17321: @1191642
     /* 1191642 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1191722), // Rule ID 16784 //
     /* 1191647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191686 */     // MIs[0] round
     /* 1191686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1191699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191721 */     // GIR_Coverage, 16784,
     /* 1191721 */     GIR_EraseRootFromParent_Done,
     /* 1191722 */   // Label 17322: @1191722
     /* 1191722 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1191802), // Rule ID 16785 //
     /* 1191727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191766 */     // MIs[0] round
     /* 1191766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1191779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191801 */     // GIR_Coverage, 16785,
     /* 1191801 */     GIR_EraseRootFromParent_Done,
     /* 1191802 */   // Label 17323: @1191802
     /* 1191802 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1191882), // Rule ID 16788 //
     /* 1191807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191846 */     // MIs[0] round
     /* 1191846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1191859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191881 */     // GIR_Coverage, 16788,
     /* 1191881 */     GIR_EraseRootFromParent_Done,
     /* 1191882 */   // Label 17324: @1191882
     /* 1191882 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1191962), // Rule ID 16789 //
     /* 1191887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191926 */     // MIs[0] round
     /* 1191926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1191939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191961 */     // GIR_Coverage, 16789,
     /* 1191961 */     GIR_EraseRootFromParent_Done,
     /* 1191962 */   // Label 17325: @1191962
     /* 1191962 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192042), // Rule ID 16792 //
     /* 1191967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192006 */     // MIs[0] round
     /* 1192006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1192019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192041 */     // GIR_Coverage, 16792,
     /* 1192041 */     GIR_EraseRootFromParent_Done,
     /* 1192042 */   // Label 17326: @1192042
     /* 1192042 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192122), // Rule ID 16793 //
     /* 1192047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192086 */     // MIs[0] round
     /* 1192086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1192099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192121 */     // GIR_Coverage, 16793,
     /* 1192121 */     GIR_EraseRootFromParent_Done,
     /* 1192122 */   // Label 17327: @1192122
     /* 1192122 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192202), // Rule ID 16796 //
     /* 1192127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192166 */     // MIs[0] round
     /* 1192166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1192179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192201 */     // GIR_Coverage, 16796,
     /* 1192201 */     GIR_EraseRootFromParent_Done,
     /* 1192202 */   // Label 17328: @1192202
     /* 1192202 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192282), // Rule ID 16797 //
     /* 1192207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192246 */     // MIs[0] round
     /* 1192246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1192259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192281 */     // GIR_Coverage, 16797,
     /* 1192281 */     GIR_EraseRootFromParent_Done,
     /* 1192282 */   // Label 17329: @1192282
     /* 1192282 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192362), // Rule ID 16800 //
     /* 1192287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192326 */     // MIs[0] round
     /* 1192326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192361 */     // GIR_Coverage, 16800,
     /* 1192361 */     GIR_EraseRootFromParent_Done,
     /* 1192362 */   // Label 17330: @1192362
     /* 1192362 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1192442), // Rule ID 16801 //
     /* 1192367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192406 */     // MIs[0] round
     /* 1192406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192441 */     // GIR_Coverage, 16801,
     /* 1192441 */     GIR_EraseRootFromParent_Done,
     /* 1192442 */   // Label 17331: @1192442
     /* 1192442 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1192522), // Rule ID 16804 //
     /* 1192447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192486 */     // MIs[0] round
     /* 1192486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1192499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192521 */     // GIR_Coverage, 16804,
     /* 1192521 */     GIR_EraseRootFromParent_Done,
     /* 1192522 */   // Label 17332: @1192522
     /* 1192522 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1192602), // Rule ID 16805 //
     /* 1192527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192566 */     // MIs[0] round
     /* 1192566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1192579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192601 */     // GIR_Coverage, 16805,
     /* 1192601 */     GIR_EraseRootFromParent_Done,
     /* 1192602 */   // Label 17333: @1192602
     /* 1192602 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1192682), // Rule ID 16808 //
     /* 1192607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192646 */     // MIs[0] round
     /* 1192646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192656 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1192659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192681 */     // GIR_Coverage, 16808,
     /* 1192681 */     GIR_EraseRootFromParent_Done,
     /* 1192682 */   // Label 17334: @1192682
     /* 1192682 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1192762), // Rule ID 16809 //
     /* 1192687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192726 */     // MIs[0] round
     /* 1192726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192736 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1192739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192761 */     // GIR_Coverage, 16809,
     /* 1192761 */     GIR_EraseRootFromParent_Done,
     /* 1192762 */   // Label 17335: @1192762
     /* 1192762 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1192842), // Rule ID 16812 //
     /* 1192767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192806 */     // MIs[0] round
     /* 1192806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192816 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1192819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192841 */     // GIR_Coverage, 16812,
     /* 1192841 */     GIR_EraseRootFromParent_Done,
     /* 1192842 */   // Label 17336: @1192842
     /* 1192842 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1192922), // Rule ID 16813 //
     /* 1192847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192886 */     // MIs[0] round
     /* 1192886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192896 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1192899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192921 */     // GIR_Coverage, 16813,
     /* 1192921 */     GIR_EraseRootFromParent_Done,
     /* 1192922 */   // Label 17337: @1192922
     /* 1192922 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193002), // Rule ID 16816 //
     /* 1192927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192966 */     // MIs[0] round
     /* 1192966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1192979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193001 */     // GIR_Coverage, 16816,
     /* 1193001 */     GIR_EraseRootFromParent_Done,
     /* 1193002 */   // Label 17338: @1193002
     /* 1193002 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193082), // Rule ID 16817 //
     /* 1193007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1193027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193046 */     // MIs[0] round
     /* 1193046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1193059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193081 */     // GIR_Coverage, 16817,
     /* 1193081 */     GIR_EraseRootFromParent_Done,
     /* 1193082 */   // Label 17339: @1193082
     /* 1193082 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193162), // Rule ID 16820 //
     /* 1193087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1193107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193126 */     // MIs[0] round
     /* 1193126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1193139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193161 */     // GIR_Coverage, 16820,
     /* 1193161 */     GIR_EraseRootFromParent_Done,
     /* 1193162 */   // Label 17340: @1193162
     /* 1193162 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193242), // Rule ID 16821 //
     /* 1193167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1193187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193206 */     // MIs[0] round
     /* 1193206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1193219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193241 */     // GIR_Coverage, 16821,
     /* 1193241 */     GIR_EraseRootFromParent_Done,
     /* 1193242 */   // Label 17341: @1193242
     /* 1193242 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193322), // Rule ID 16824 //
     /* 1193247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193286 */     // MIs[0] round
     /* 1193286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193321 */     // GIR_Coverage, 16824,
     /* 1193321 */     GIR_EraseRootFromParent_Done,
     /* 1193322 */   // Label 17342: @1193322
     /* 1193322 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1193402), // Rule ID 16825 //
     /* 1193327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193366 */     // MIs[0] round
     /* 1193366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193401 */     // GIR_Coverage, 16825,
     /* 1193401 */     GIR_EraseRootFromParent_Done,
     /* 1193402 */   // Label 17343: @1193402
     /* 1193402 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1193482), // Rule ID 16828 //
     /* 1193407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193446 */     // MIs[0] round
     /* 1193446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1193459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193481 */     // GIR_Coverage, 16828,
     /* 1193481 */     GIR_EraseRootFromParent_Done,
     /* 1193482 */   // Label 17344: @1193482
     /* 1193482 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1193562), // Rule ID 16829 //
     /* 1193487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193526 */     // MIs[0] round
     /* 1193526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1193539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193561 */     // GIR_Coverage, 16829,
     /* 1193561 */     GIR_EraseRootFromParent_Done,
     /* 1193562 */   // Label 17345: @1193562
     /* 1193562 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1193642), // Rule ID 16832 //
     /* 1193567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193606 */     // MIs[0] round
     /* 1193606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193616 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1193619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193641 */     // GIR_Coverage, 16832,
     /* 1193641 */     GIR_EraseRootFromParent_Done,
     /* 1193642 */   // Label 17346: @1193642
     /* 1193642 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1193722), // Rule ID 16833 //
     /* 1193647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193686 */     // MIs[0] round
     /* 1193686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193696 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1193699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193721 */     // GIR_Coverage, 16833,
     /* 1193721 */     GIR_EraseRootFromParent_Done,
     /* 1193722 */   // Label 17347: @1193722
     /* 1193722 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1193802), // Rule ID 16836 //
     /* 1193727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193766 */     // MIs[0] round
     /* 1193766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193776 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1193779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193801 */     // GIR_Coverage, 16836,
     /* 1193801 */     GIR_EraseRootFromParent_Done,
     /* 1193802 */   // Label 17348: @1193802
     /* 1193802 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1193882), // Rule ID 16837 //
     /* 1193807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193846 */     // MIs[0] round
     /* 1193846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193856 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1193859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193881 */     // GIR_Coverage, 16837,
     /* 1193881 */     GIR_EraseRootFromParent_Done,
     /* 1193882 */   // Label 17349: @1193882
     /* 1193882 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1193962), // Rule ID 16840 //
     /* 1193887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193926 */     // MIs[0] round
     /* 1193926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1193939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193961 */     // GIR_Coverage, 16840,
     /* 1193961 */     GIR_EraseRootFromParent_Done,
     /* 1193962 */   // Label 17350: @1193962
     /* 1193962 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194042), // Rule ID 16841 //
     /* 1193967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194006 */     // MIs[0] round
     /* 1194006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194016 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1194019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194041 */     // GIR_Coverage, 16841,
     /* 1194041 */     GIR_EraseRootFromParent_Done,
     /* 1194042 */   // Label 17351: @1194042
     /* 1194042 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194122), // Rule ID 16844 //
     /* 1194047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1194067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194086 */     // MIs[0] round
     /* 1194086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1194099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194121 */     // GIR_Coverage, 16844,
     /* 1194121 */     GIR_EraseRootFromParent_Done,
     /* 1194122 */   // Label 17352: @1194122
     /* 1194122 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194202), // Rule ID 16845 //
     /* 1194127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1194147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194166 */     // MIs[0] round
     /* 1194166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1194179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194201 */     // GIR_Coverage, 16845,
     /* 1194201 */     GIR_EraseRootFromParent_Done,
     /* 1194202 */   // Label 17353: @1194202
     /* 1194202 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194282), // Rule ID 16848 //
     /* 1194207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194246 */     // MIs[0] round
     /* 1194246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194256 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194281 */     // GIR_Coverage, 16848,
     /* 1194281 */     GIR_EraseRootFromParent_Done,
     /* 1194282 */   // Label 17354: @1194282
     /* 1194282 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194362), // Rule ID 16849 //
     /* 1194287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194326 */     // MIs[0] round
     /* 1194326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194361 */     // GIR_Coverage, 16849,
     /* 1194361 */     GIR_EraseRootFromParent_Done,
     /* 1194362 */   // Label 17355: @1194362
     /* 1194362 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1194442), // Rule ID 16852 //
     /* 1194367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194406 */     // MIs[0] round
     /* 1194406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194416 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194441 */     // GIR_Coverage, 16852,
     /* 1194441 */     GIR_EraseRootFromParent_Done,
     /* 1194442 */   // Label 17356: @1194442
     /* 1194442 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1194522), // Rule ID 16853 //
     /* 1194447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194486 */     // MIs[0] round
     /* 1194486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194521 */     // GIR_Coverage, 16853,
     /* 1194521 */     GIR_EraseRootFromParent_Done,
     /* 1194522 */   // Label 17357: @1194522
     /* 1194522 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1194602), // Rule ID 16856 //
     /* 1194527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194566 */     // MIs[0] round
     /* 1194566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1194579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194601 */     // GIR_Coverage, 16856,
     /* 1194601 */     GIR_EraseRootFromParent_Done,
     /* 1194602 */   // Label 17358: @1194602
     /* 1194602 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1194682), // Rule ID 16857 //
     /* 1194607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194646 */     // MIs[0] round
     /* 1194646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194656 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1194659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194681 */     // GIR_Coverage, 16857,
     /* 1194681 */     GIR_EraseRootFromParent_Done,
     /* 1194682 */   // Label 17359: @1194682
     /* 1194682 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1194762), // Rule ID 16860 //
     /* 1194687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194726 */     // MIs[0] round
     /* 1194726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1194739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194761 */     // GIR_Coverage, 16860,
     /* 1194761 */     GIR_EraseRootFromParent_Done,
     /* 1194762 */   // Label 17360: @1194762
     /* 1194762 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1194842), // Rule ID 16861 //
     /* 1194767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194806 */     // MIs[0] round
     /* 1194806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1194819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194841 */     // GIR_Coverage, 16861,
     /* 1194841 */     GIR_EraseRootFromParent_Done,
     /* 1194842 */   // Label 17361: @1194842
     /* 1194842 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1194922), // Rule ID 16864 //
     /* 1194847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194886 */     // MIs[0] round
     /* 1194886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1194899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194921 */     // GIR_Coverage, 16864,
     /* 1194921 */     GIR_EraseRootFromParent_Done,
     /* 1194922 */   // Label 17362: @1194922
     /* 1194922 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195002), // Rule ID 16865 //
     /* 1194927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194966 */     // MIs[0] round
     /* 1194966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1194979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195001 */     // GIR_Coverage, 16865,
     /* 1195001 */     GIR_EraseRootFromParent_Done,
     /* 1195002 */   // Label 17363: @1195002
     /* 1195002 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195082), // Rule ID 16868 //
     /* 1195007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1195018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1195021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195046 */     // MIs[0] round
     /* 1195046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1195059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195081 */     // GIR_Coverage, 16868,
     /* 1195081 */     GIR_EraseRootFromParent_Done,
     /* 1195082 */   // Label 17364: @1195082
     /* 1195082 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195162), // Rule ID 16869 //
     /* 1195087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1195098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1195101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195126 */     // MIs[0] round
     /* 1195126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195136 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1195139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195161 */     // GIR_Coverage, 16869,
     /* 1195161 */     GIR_EraseRootFromParent_Done,
     /* 1195162 */   // Label 17365: @1195162
     /* 1195162 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195242), // Rule ID 16872 //
     /* 1195167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195206 */     // MIs[0] round
     /* 1195206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195216 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195241 */     // GIR_Coverage, 16872,
     /* 1195241 */     GIR_EraseRootFromParent_Done,
     /* 1195242 */   // Label 17366: @1195242
     /* 1195242 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195322), // Rule ID 16873 //
     /* 1195247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195286 */     // MIs[0] round
     /* 1195286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195296 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195321 */     // GIR_Coverage, 16873,
     /* 1195321 */     GIR_EraseRootFromParent_Done,
     /* 1195322 */   // Label 17367: @1195322
     /* 1195322 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1195402), // Rule ID 16876 //
     /* 1195327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195366 */     // MIs[0] round
     /* 1195366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195401 */     // GIR_Coverage, 16876,
     /* 1195401 */     GIR_EraseRootFromParent_Done,
     /* 1195402 */   // Label 17368: @1195402
     /* 1195402 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1195482), // Rule ID 16877 //
     /* 1195407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195446 */     // MIs[0] round
     /* 1195446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195481 */     // GIR_Coverage, 16877,
     /* 1195481 */     GIR_EraseRootFromParent_Done,
     /* 1195482 */   // Label 17369: @1195482
     /* 1195482 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1195562), // Rule ID 16880 //
     /* 1195487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195526 */     // MIs[0] round
     /* 1195526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1195539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195561 */     // GIR_Coverage, 16880,
     /* 1195561 */     GIR_EraseRootFromParent_Done,
     /* 1195562 */   // Label 17370: @1195562
     /* 1195562 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1195642), // Rule ID 16881 //
     /* 1195567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195606 */     // MIs[0] round
     /* 1195606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195616 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1195619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195641 */     // GIR_Coverage, 16881,
     /* 1195641 */     GIR_EraseRootFromParent_Done,
     /* 1195642 */   // Label 17371: @1195642
     /* 1195642 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1195722), // Rule ID 16884 //
     /* 1195647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195686 */     // MIs[0] round
     /* 1195686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1195699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195721 */     // GIR_Coverage, 16884,
     /* 1195721 */     GIR_EraseRootFromParent_Done,
     /* 1195722 */   // Label 17372: @1195722
     /* 1195722 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1195802), // Rule ID 16885 //
     /* 1195727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195766 */     // MIs[0] round
     /* 1195766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1195779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195801 */     // GIR_Coverage, 16885,
     /* 1195801 */     GIR_EraseRootFromParent_Done,
     /* 1195802 */   // Label 17373: @1195802
     /* 1195802 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1195882), // Rule ID 16888 //
     /* 1195807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195846 */     // MIs[0] round
     /* 1195846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1195859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195881 */     // GIR_Coverage, 16888,
     /* 1195881 */     GIR_EraseRootFromParent_Done,
     /* 1195882 */   // Label 17374: @1195882
     /* 1195882 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1195962), // Rule ID 16889 //
     /* 1195887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195926 */     // MIs[0] round
     /* 1195926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1195939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195961 */     // GIR_Coverage, 16889,
     /* 1195961 */     GIR_EraseRootFromParent_Done,
     /* 1195962 */   // Label 17375: @1195962
     /* 1195962 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196042), // Rule ID 16892 //
     /* 1195967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1195978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1195981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196006 */     // MIs[0] round
     /* 1196006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196016 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1196019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196041 */     // GIR_Coverage, 16892,
     /* 1196041 */     GIR_EraseRootFromParent_Done,
     /* 1196042 */   // Label 17376: @1196042
     /* 1196042 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196122), // Rule ID 16893 //
     /* 1196047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1196058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1196061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196086 */     // MIs[0] round
     /* 1196086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1196099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196121 */     // GIR_Coverage, 16893,
     /* 1196121 */     GIR_EraseRootFromParent_Done,
     /* 1196122 */   // Label 17377: @1196122
     /* 1196122 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196202), // Rule ID 16896 //
     /* 1196127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196166 */     // MIs[0] round
     /* 1196166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196176 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1196179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196201 */     // GIR_Coverage, 16896,
     /* 1196201 */     GIR_EraseRootFromParent_Done,
     /* 1196202 */   // Label 17378: @1196202
     /* 1196202 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196282), // Rule ID 16897 //
     /* 1196207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196246 */     // MIs[0] round
     /* 1196246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196256 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1196259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196281 */     // GIR_Coverage, 16897,
     /* 1196281 */     GIR_EraseRootFromParent_Done,
     /* 1196282 */   // Label 17379: @1196282
     /* 1196282 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196362), // Rule ID 16900 //
     /* 1196287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196326 */     // MIs[0] round
     /* 1196326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196336 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196361 */     // GIR_Coverage, 16900,
     /* 1196361 */     GIR_EraseRootFromParent_Done,
     /* 1196362 */   // Label 17380: @1196362
     /* 1196362 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1196442), // Rule ID 16901 //
     /* 1196367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196406 */     // MIs[0] round
     /* 1196406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196416 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196441 */     // GIR_Coverage, 16901,
     /* 1196441 */     GIR_EraseRootFromParent_Done,
     /* 1196442 */   // Label 17381: @1196442
     /* 1196442 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1196522), // Rule ID 16904 //
     /* 1196447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196486 */     // MIs[0] round
     /* 1196486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196496 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1196499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196521 */     // GIR_Coverage, 16904,
     /* 1196521 */     GIR_EraseRootFromParent_Done,
     /* 1196522 */   // Label 17382: @1196522
     /* 1196522 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1196602), // Rule ID 16905 //
     /* 1196527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196566 */     // MIs[0] round
     /* 1196566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1196579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196601 */     // GIR_Coverage, 16905,
     /* 1196601 */     GIR_EraseRootFromParent_Done,
     /* 1196602 */   // Label 17383: @1196602
     /* 1196602 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1196682), // Rule ID 16908 //
     /* 1196607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196646 */     // MIs[0] round
     /* 1196646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1196659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196681 */     // GIR_Coverage, 16908,
     /* 1196681 */     GIR_EraseRootFromParent_Done,
     /* 1196682 */   // Label 17384: @1196682
     /* 1196682 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1196762), // Rule ID 16909 //
     /* 1196687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196726 */     // MIs[0] round
     /* 1196726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196736 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1196739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196761 */     // GIR_Coverage, 16909,
     /* 1196761 */     GIR_EraseRootFromParent_Done,
     /* 1196762 */   // Label 17385: @1196762
     /* 1196762 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1196842), // Rule ID 16912 //
     /* 1196767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196806 */     // MIs[0] round
     /* 1196806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1196819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196841 */     // GIR_Coverage, 16912,
     /* 1196841 */     GIR_EraseRootFromParent_Done,
     /* 1196842 */   // Label 17386: @1196842
     /* 1196842 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1196922), // Rule ID 16913 //
     /* 1196847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196886 */     // MIs[0] round
     /* 1196886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1196899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196921 */     // GIR_Coverage, 16913,
     /* 1196921 */     GIR_EraseRootFromParent_Done,
     /* 1196922 */   // Label 17387: @1196922
     /* 1196922 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197002), // Rule ID 16916 //
     /* 1196927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196966 */     // MIs[0] round
     /* 1196966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1196979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197001 */     // GIR_Coverage, 16916,
     /* 1197001 */     GIR_EraseRootFromParent_Done,
     /* 1197002 */   // Label 17388: @1197002
     /* 1197002 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197082), // Rule ID 16917 //
     /* 1197007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197046 */     // MIs[0] round
     /* 1197046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1197059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197081 */     // GIR_Coverage, 16917,
     /* 1197081 */     GIR_EraseRootFromParent_Done,
     /* 1197082 */   // Label 17389: @1197082
     /* 1197082 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197162), // Rule ID 16920 //
     /* 1197087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197126 */     // MIs[0] round
     /* 1197126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1197139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197161 */     // GIR_Coverage, 16920,
     /* 1197161 */     GIR_EraseRootFromParent_Done,
     /* 1197162 */   // Label 17390: @1197162
     /* 1197162 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197242), // Rule ID 16921 //
     /* 1197167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197206 */     // MIs[0] round
     /* 1197206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197216 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1197219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197241 */     // GIR_Coverage, 16921,
     /* 1197241 */     GIR_EraseRootFromParent_Done,
     /* 1197242 */   // Label 17391: @1197242
     /* 1197242 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197322), // Rule ID 16924 //
     /* 1197247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197286 */     // MIs[0] round
     /* 1197286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197321 */     // GIR_Coverage, 16924,
     /* 1197321 */     GIR_EraseRootFromParent_Done,
     /* 1197322 */   // Label 17392: @1197322
     /* 1197322 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1197402), // Rule ID 16925 //
     /* 1197327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197366 */     // MIs[0] round
     /* 1197366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197401 */     // GIR_Coverage, 16925,
     /* 1197401 */     GIR_EraseRootFromParent_Done,
     /* 1197402 */   // Label 17393: @1197402
     /* 1197402 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1197482), // Rule ID 16928 //
     /* 1197407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197446 */     // MIs[0] round
     /* 1197446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1197459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197481 */     // GIR_Coverage, 16928,
     /* 1197481 */     GIR_EraseRootFromParent_Done,
     /* 1197482 */   // Label 17394: @1197482
     /* 1197482 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1197562), // Rule ID 16929 //
     /* 1197487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197526 */     // MIs[0] round
     /* 1197526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197536 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1197539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197561 */     // GIR_Coverage, 16929,
     /* 1197561 */     GIR_EraseRootFromParent_Done,
     /* 1197562 */   // Label 17395: @1197562
     /* 1197562 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1197642), // Rule ID 16932 //
     /* 1197567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197606 */     // MIs[0] round
     /* 1197606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197616 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1197619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197641 */     // GIR_Coverage, 16932,
     /* 1197641 */     GIR_EraseRootFromParent_Done,
     /* 1197642 */   // Label 17396: @1197642
     /* 1197642 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1197722), // Rule ID 16933 //
     /* 1197647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197686 */     // MIs[0] round
     /* 1197686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197696 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1197699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197721 */     // GIR_Coverage, 16933,
     /* 1197721 */     GIR_EraseRootFromParent_Done,
     /* 1197722 */   // Label 17397: @1197722
     /* 1197722 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1197802), // Rule ID 16936 //
     /* 1197727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197766 */     // MIs[0] round
     /* 1197766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197776 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1197779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197801 */     // GIR_Coverage, 16936,
     /* 1197801 */     GIR_EraseRootFromParent_Done,
     /* 1197802 */   // Label 17398: @1197802
     /* 1197802 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1197882), // Rule ID 16937 //
     /* 1197807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197846 */     // MIs[0] round
     /* 1197846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1197859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197881 */     // GIR_Coverage, 16937,
     /* 1197881 */     GIR_EraseRootFromParent_Done,
     /* 1197882 */   // Label 17399: @1197882
     /* 1197882 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1197962), // Rule ID 16940 //
     /* 1197887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197926 */     // MIs[0] round
     /* 1197926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1197939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197961 */     // GIR_Coverage, 16940,
     /* 1197961 */     GIR_EraseRootFromParent_Done,
     /* 1197962 */   // Label 17400: @1197962
     /* 1197962 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198042), // Rule ID 16941 //
     /* 1197967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198006 */     // MIs[0] round
     /* 1198006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1198019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198041 */     // GIR_Coverage, 16941,
     /* 1198041 */     GIR_EraseRootFromParent_Done,
     /* 1198042 */   // Label 17401: @1198042
     /* 1198042 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198122), // Rule ID 16944 //
     /* 1198047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198086 */     // MIs[0] round
     /* 1198086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1198099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198121 */     // GIR_Coverage, 16944,
     /* 1198121 */     GIR_EraseRootFromParent_Done,
     /* 1198122 */   // Label 17402: @1198122
     /* 1198122 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198202), // Rule ID 16945 //
     /* 1198127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198166 */     // MIs[0] round
     /* 1198166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1198179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198201 */     // GIR_Coverage, 16945,
     /* 1198201 */     GIR_EraseRootFromParent_Done,
     /* 1198202 */   // Label 17403: @1198202
     /* 1198202 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198282), // Rule ID 16948 //
     /* 1198207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1198210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198246 */     // MIs[0] round
     /* 1198246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198281 */     // GIR_Coverage, 16948,
     /* 1198281 */     GIR_EraseRootFromParent_Done,
     /* 1198282 */   // Label 17404: @1198282
     /* 1198282 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198362), // Rule ID 16949 //
     /* 1198287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1198290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198326 */     // MIs[0] round
     /* 1198326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198361 */     // GIR_Coverage, 16949,
     /* 1198361 */     GIR_EraseRootFromParent_Done,
     /* 1198362 */   // Label 17405: @1198362
     /* 1198362 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1198442), // Rule ID 16952 //
     /* 1198367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198406 */     // MIs[0] round
     /* 1198406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198441 */     // GIR_Coverage, 16952,
     /* 1198441 */     GIR_EraseRootFromParent_Done,
     /* 1198442 */   // Label 17406: @1198442
     /* 1198442 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1198522), // Rule ID 16953 //
     /* 1198447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198486 */     // MIs[0] round
     /* 1198486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198521 */     // GIR_Coverage, 16953,
     /* 1198521 */     GIR_EraseRootFromParent_Done,
     /* 1198522 */   // Label 17407: @1198522
     /* 1198522 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1198602), // Rule ID 16956 //
     /* 1198527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198566 */     // MIs[0] round
     /* 1198566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1198579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198601 */     // GIR_Coverage, 16956,
     /* 1198601 */     GIR_EraseRootFromParent_Done,
     /* 1198602 */   // Label 17408: @1198602
     /* 1198602 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1198682), // Rule ID 16957 //
     /* 1198607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198646 */     // MIs[0] round
     /* 1198646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1198659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198681 */     // GIR_Coverage, 16957,
     /* 1198681 */     GIR_EraseRootFromParent_Done,
     /* 1198682 */   // Label 17409: @1198682
     /* 1198682 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1198762), // Rule ID 16960 //
     /* 1198687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198726 */     // MIs[0] round
     /* 1198726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198736 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1198739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198761 */     // GIR_Coverage, 16960,
     /* 1198761 */     GIR_EraseRootFromParent_Done,
     /* 1198762 */   // Label 17410: @1198762
     /* 1198762 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1198842), // Rule ID 16961 //
     /* 1198767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198806 */     // MIs[0] round
     /* 1198806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198816 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1198819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198841 */     // GIR_Coverage, 16961,
     /* 1198841 */     GIR_EraseRootFromParent_Done,
     /* 1198842 */   // Label 17411: @1198842
     /* 1198842 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1198922), // Rule ID 16964 //
     /* 1198847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198886 */     // MIs[0] round
     /* 1198886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1198899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198921 */     // GIR_Coverage, 16964,
     /* 1198921 */     GIR_EraseRootFromParent_Done,
     /* 1198922 */   // Label 17412: @1198922
     /* 1198922 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199002), // Rule ID 16965 //
     /* 1198927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198966 */     // MIs[0] round
     /* 1198966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1198979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199001 */     // GIR_Coverage, 16965,
     /* 1199001 */     GIR_EraseRootFromParent_Done,
     /* 1199002 */   // Label 17413: @1199002
     /* 1199002 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199082), // Rule ID 16968 //
     /* 1199007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199046 */     // MIs[0] round
     /* 1199046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199056 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1199059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199081 */     // GIR_Coverage, 16968,
     /* 1199081 */     GIR_EraseRootFromParent_Done,
     /* 1199082 */   // Label 17414: @1199082
     /* 1199082 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199162), // Rule ID 16969 //
     /* 1199087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199126 */     // MIs[0] round
     /* 1199126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1199139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199161 */     // GIR_Coverage, 16969,
     /* 1199161 */     GIR_EraseRootFromParent_Done,
     /* 1199162 */   // Label 17415: @1199162
     /* 1199162 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199242), // Rule ID 16972 //
     /* 1199167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199206 */     // MIs[0] round
     /* 1199206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199241 */     // GIR_Coverage, 16972,
     /* 1199241 */     GIR_EraseRootFromParent_Done,
     /* 1199242 */   // Label 17416: @1199242
     /* 1199242 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199322), // Rule ID 16973 //
     /* 1199247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199286 */     // MIs[0] round
     /* 1199286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199321 */     // GIR_Coverage, 16973,
     /* 1199321 */     GIR_EraseRootFromParent_Done,
     /* 1199322 */   // Label 17417: @1199322
     /* 1199322 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1199402), // Rule ID 16976 //
     /* 1199327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199366 */     // MIs[0] round
     /* 1199366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199401 */     // GIR_Coverage, 16976,
     /* 1199401 */     GIR_EraseRootFromParent_Done,
     /* 1199402 */   // Label 17418: @1199402
     /* 1199402 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1199482), // Rule ID 16977 //
     /* 1199407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199446 */     // MIs[0] round
     /* 1199446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199456 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199481 */     // GIR_Coverage, 16977,
     /* 1199481 */     GIR_EraseRootFromParent_Done,
     /* 1199482 */   // Label 17419: @1199482
     /* 1199482 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1199562), // Rule ID 16980 //
     /* 1199487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199526 */     // MIs[0] round
     /* 1199526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1199539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199561 */     // GIR_Coverage, 16980,
     /* 1199561 */     GIR_EraseRootFromParent_Done,
     /* 1199562 */   // Label 17420: @1199562
     /* 1199562 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1199642), // Rule ID 16981 //
     /* 1199567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199606 */     // MIs[0] round
     /* 1199606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1199619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199641 */     // GIR_Coverage, 16981,
     /* 1199641 */     GIR_EraseRootFromParent_Done,
     /* 1199642 */   // Label 17421: @1199642
     /* 1199642 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1199722), // Rule ID 16984 //
     /* 1199647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199686 */     // MIs[0] round
     /* 1199686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1199699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199721 */     // GIR_Coverage, 16984,
     /* 1199721 */     GIR_EraseRootFromParent_Done,
     /* 1199722 */   // Label 17422: @1199722
     /* 1199722 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1199802), // Rule ID 16985 //
     /* 1199727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199766 */     // MIs[0] round
     /* 1199766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1199779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199801 */     // GIR_Coverage, 16985,
     /* 1199801 */     GIR_EraseRootFromParent_Done,
     /* 1199802 */   // Label 17423: @1199802
     /* 1199802 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1199882), // Rule ID 16988 //
     /* 1199807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1199827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199846 */     // MIs[0] round
     /* 1199846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1199859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199881 */     // GIR_Coverage, 16988,
     /* 1199881 */     GIR_EraseRootFromParent_Done,
     /* 1199882 */   // Label 17424: @1199882
     /* 1199882 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1199962), // Rule ID 16989 //
     /* 1199887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1199907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199926 */     // MIs[0] round
     /* 1199926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1199939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199961 */     // GIR_Coverage, 16989,
     /* 1199961 */     GIR_EraseRootFromParent_Done,
     /* 1199962 */   // Label 17425: @1199962
     /* 1199962 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200042), // Rule ID 16992 //
     /* 1199967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1199987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200006 */     // MIs[0] round
     /* 1200006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1200019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200041 */     // GIR_Coverage, 16992,
     /* 1200041 */     GIR_EraseRootFromParent_Done,
     /* 1200042 */   // Label 17426: @1200042
     /* 1200042 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200122), // Rule ID 16993 //
     /* 1200047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200086 */     // MIs[0] round
     /* 1200086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1200099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200121 */     // GIR_Coverage, 16993,
     /* 1200121 */     GIR_EraseRootFromParent_Done,
     /* 1200122 */   // Label 17427: @1200122
     /* 1200122 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200202), // Rule ID 16996 //
     /* 1200127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200166 */     // MIs[0] round
     /* 1200166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1200179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200201 */     // GIR_Coverage, 16996,
     /* 1200201 */     GIR_EraseRootFromParent_Done,
     /* 1200202 */   // Label 17428: @1200202
     /* 1200202 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200282), // Rule ID 16997 //
     /* 1200207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200246 */     // MIs[0] round
     /* 1200246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200256 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1200259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200281 */     // GIR_Coverage, 16997,
     /* 1200281 */     GIR_EraseRootFromParent_Done,
     /* 1200282 */   // Label 17429: @1200282
     /* 1200282 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200362), // Rule ID 17000 //
     /* 1200287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200326 */     // MIs[0] round
     /* 1200326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200361 */     // GIR_Coverage, 17000,
     /* 1200361 */     GIR_EraseRootFromParent_Done,
     /* 1200362 */   // Label 17430: @1200362
     /* 1200362 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1200442), // Rule ID 17001 //
     /* 1200367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200406 */     // MIs[0] round
     /* 1200406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200441 */     // GIR_Coverage, 17001,
     /* 1200441 */     GIR_EraseRootFromParent_Done,
     /* 1200442 */   // Label 17431: @1200442
     /* 1200442 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1200522), // Rule ID 17004 //
     /* 1200447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200486 */     // MIs[0] round
     /* 1200486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1200499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200521 */     // GIR_Coverage, 17004,
     /* 1200521 */     GIR_EraseRootFromParent_Done,
     /* 1200522 */   // Label 17432: @1200522
     /* 1200522 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1200602), // Rule ID 17005 //
     /* 1200527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200566 */     // MIs[0] round
     /* 1200566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200576 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1200579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200601 */     // GIR_Coverage, 17005,
     /* 1200601 */     GIR_EraseRootFromParent_Done,
     /* 1200602 */   // Label 17433: @1200602
     /* 1200602 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1200682), // Rule ID 17008 //
     /* 1200607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200646 */     // MIs[0] round
     /* 1200646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1200659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200681 */     // GIR_Coverage, 17008,
     /* 1200681 */     GIR_EraseRootFromParent_Done,
     /* 1200682 */   // Label 17434: @1200682
     /* 1200682 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1200762), // Rule ID 17009 //
     /* 1200687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200726 */     // MIs[0] round
     /* 1200726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1200739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200761 */     // GIR_Coverage, 17009,
     /* 1200761 */     GIR_EraseRootFromParent_Done,
     /* 1200762 */   // Label 17435: @1200762
     /* 1200762 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1200842), // Rule ID 17012 //
     /* 1200767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200806 */     // MIs[0] round
     /* 1200806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1200819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200841 */     // GIR_Coverage, 17012,
     /* 1200841 */     GIR_EraseRootFromParent_Done,
     /* 1200842 */   // Label 17436: @1200842
     /* 1200842 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1200922), // Rule ID 17013 //
     /* 1200847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200886 */     // MIs[0] round
     /* 1200886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1200899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200921 */     // GIR_Coverage, 17013,
     /* 1200921 */     GIR_EraseRootFromParent_Done,
     /* 1200922 */   // Label 17437: @1200922
     /* 1200922 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201002), // Rule ID 17016 //
     /* 1200927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200966 */     // MIs[0] round
     /* 1200966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1200979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201001 */     // GIR_Coverage, 17016,
     /* 1201001 */     GIR_EraseRootFromParent_Done,
     /* 1201002 */   // Label 17438: @1201002
     /* 1201002 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201082), // Rule ID 17017 //
     /* 1201007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201046 */     // MIs[0] round
     /* 1201046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1201059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201081 */     // GIR_Coverage, 17017,
     /* 1201081 */     GIR_EraseRootFromParent_Done,
     /* 1201082 */   // Label 17439: @1201082
     /* 1201082 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201162), // Rule ID 17020 //
     /* 1201087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201126 */     // MIs[0] round
     /* 1201126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1201139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201161 */     // GIR_Coverage, 17020,
     /* 1201161 */     GIR_EraseRootFromParent_Done,
     /* 1201162 */   // Label 17440: @1201162
     /* 1201162 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201242), // Rule ID 17021 //
     /* 1201167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201206 */     // MIs[0] round
     /* 1201206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201216 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1201219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201241 */     // GIR_Coverage, 17021,
     /* 1201241 */     GIR_EraseRootFromParent_Done,
     /* 1201242 */   // Label 17441: @1201242
     /* 1201242 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201322), // Rule ID 17024 //
     /* 1201247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201286 */     // MIs[0] round
     /* 1201286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201321 */     // GIR_Coverage, 17024,
     /* 1201321 */     GIR_EraseRootFromParent_Done,
     /* 1201322 */   // Label 17442: @1201322
     /* 1201322 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1201402), // Rule ID 17025 //
     /* 1201327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201366 */     // MIs[0] round
     /* 1201366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201401 */     // GIR_Coverage, 17025,
     /* 1201401 */     GIR_EraseRootFromParent_Done,
     /* 1201402 */   // Label 17443: @1201402
     /* 1201402 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1201482), // Rule ID 17028 //
     /* 1201407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201446 */     // MIs[0] round
     /* 1201446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1201459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201481 */     // GIR_Coverage, 17028,
     /* 1201481 */     GIR_EraseRootFromParent_Done,
     /* 1201482 */   // Label 17444: @1201482
     /* 1201482 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1201562), // Rule ID 17029 //
     /* 1201487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201526 */     // MIs[0] round
     /* 1201526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1201539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201561 */     // GIR_Coverage, 17029,
     /* 1201561 */     GIR_EraseRootFromParent_Done,
     /* 1201562 */   // Label 17445: @1201562
     /* 1201562 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1201642), // Rule ID 17032 //
     /* 1201567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1201584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201606 */     // MIs[0] round
     /* 1201606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1201619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201641 */     // GIR_Coverage, 17032,
     /* 1201641 */     GIR_EraseRootFromParent_Done,
     /* 1201642 */   // Label 17446: @1201642
     /* 1201642 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1201722), // Rule ID 17033 //
     /* 1201647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1201664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201686 */     // MIs[0] round
     /* 1201686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1201699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201721 */     // GIR_Coverage, 17033,
     /* 1201721 */     GIR_EraseRootFromParent_Done,
     /* 1201722 */   // Label 17447: @1201722
     /* 1201722 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1201802), // Rule ID 17036 //
     /* 1201727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201766 */     // MIs[0] round
     /* 1201766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1201779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201801 */     // GIR_Coverage, 17036,
     /* 1201801 */     GIR_EraseRootFromParent_Done,
     /* 1201802 */   // Label 17448: @1201802
     /* 1201802 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1201882), // Rule ID 17037 //
     /* 1201807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201846 */     // MIs[0] round
     /* 1201846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1201859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201881 */     // GIR_Coverage, 17037,
     /* 1201881 */     GIR_EraseRootFromParent_Done,
     /* 1201882 */   // Label 17449: @1201882
     /* 1201882 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1201962), // Rule ID 17040 //
     /* 1201887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201926 */     // MIs[0] round
     /* 1201926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1201939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201961 */     // GIR_Coverage, 17040,
     /* 1201961 */     GIR_EraseRootFromParent_Done,
     /* 1201962 */   // Label 17450: @1201962
     /* 1201962 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202042), // Rule ID 17041 //
     /* 1201967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202006 */     // MIs[0] round
     /* 1202006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1202019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202041 */     // GIR_Coverage, 17041,
     /* 1202041 */     GIR_EraseRootFromParent_Done,
     /* 1202042 */   // Label 17451: @1202042
     /* 1202042 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202122), // Rule ID 17044 //
     /* 1202047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202086 */     // MIs[0] round
     /* 1202086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1202099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202121 */     // GIR_Coverage, 17044,
     /* 1202121 */     GIR_EraseRootFromParent_Done,
     /* 1202122 */   // Label 17452: @1202122
     /* 1202122 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202202), // Rule ID 17045 //
     /* 1202127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202166 */     // MIs[0] round
     /* 1202166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1202179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202201 */     // GIR_Coverage, 17045,
     /* 1202201 */     GIR_EraseRootFromParent_Done,
     /* 1202202 */   // Label 17453: @1202202
     /* 1202202 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202282), // Rule ID 17048 //
     /* 1202207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202246 */     // MIs[0] round
     /* 1202246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202281 */     // GIR_Coverage, 17048,
     /* 1202281 */     GIR_EraseRootFromParent_Done,
     /* 1202282 */   // Label 17454: @1202282
     /* 1202282 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202362), // Rule ID 17049 //
     /* 1202287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202326 */     // MIs[0] round
     /* 1202326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202361 */     // GIR_Coverage, 17049,
     /* 1202361 */     GIR_EraseRootFromParent_Done,
     /* 1202362 */   // Label 17455: @1202362
     /* 1202362 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1202442), // Rule ID 17052 //
     /* 1202367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202406 */     // MIs[0] round
     /* 1202406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202441 */     // GIR_Coverage, 17052,
     /* 1202441 */     GIR_EraseRootFromParent_Done,
     /* 1202442 */   // Label 17456: @1202442
     /* 1202442 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1202522), // Rule ID 17053 //
     /* 1202447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202486 */     // MIs[0] round
     /* 1202486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202521 */     // GIR_Coverage, 17053,
     /* 1202521 */     GIR_EraseRootFromParent_Done,
     /* 1202522 */   // Label 17457: @1202522
     /* 1202522 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1202602), // Rule ID 17056 //
     /* 1202527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202566 */     // MIs[0] round
     /* 1202566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1202579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202601 */     // GIR_Coverage, 17056,
     /* 1202601 */     GIR_EraseRootFromParent_Done,
     /* 1202602 */   // Label 17458: @1202602
     /* 1202602 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1202682), // Rule ID 17057 //
     /* 1202607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202646 */     // MIs[0] round
     /* 1202646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1202659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202681 */     // GIR_Coverage, 17057,
     /* 1202681 */     GIR_EraseRootFromParent_Done,
     /* 1202682 */   // Label 17459: @1202682
     /* 1202682 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1202762), // Rule ID 17060 //
     /* 1202687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202726 */     // MIs[0] round
     /* 1202726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1202739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202761 */     // GIR_Coverage, 17060,
     /* 1202761 */     GIR_EraseRootFromParent_Done,
     /* 1202762 */   // Label 17460: @1202762
     /* 1202762 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1202842), // Rule ID 17061 //
     /* 1202767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202806 */     // MIs[0] round
     /* 1202806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1202819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202841 */     // GIR_Coverage, 17061,
     /* 1202841 */     GIR_EraseRootFromParent_Done,
     /* 1202842 */   // Label 17461: @1202842
     /* 1202842 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1202922), // Rule ID 17064 //
     /* 1202847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202886 */     // MIs[0] round
     /* 1202886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1202899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202921 */     // GIR_Coverage, 17064,
     /* 1202921 */     GIR_EraseRootFromParent_Done,
     /* 1202922 */   // Label 17462: @1202922
     /* 1202922 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203002), // Rule ID 17065 //
     /* 1202927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202966 */     // MIs[0] round
     /* 1202966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1202979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203001 */     // GIR_Coverage, 17065,
     /* 1203001 */     GIR_EraseRootFromParent_Done,
     /* 1203002 */   // Label 17463: @1203002
     /* 1203002 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203082), // Rule ID 17068 //
     /* 1203007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203046 */     // MIs[0] round
     /* 1203046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1203059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203081 */     // GIR_Coverage, 17068,
     /* 1203081 */     GIR_EraseRootFromParent_Done,
     /* 1203082 */   // Label 17464: @1203082
     /* 1203082 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203162), // Rule ID 17069 //
     /* 1203087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203126 */     // MIs[0] round
     /* 1203126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1203139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203161 */     // GIR_Coverage, 17069,
     /* 1203161 */     GIR_EraseRootFromParent_Done,
     /* 1203162 */   // Label 17465: @1203162
     /* 1203162 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203242), // Rule ID 17072 //
     /* 1203167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203206 */     // MIs[0] round
     /* 1203206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203241 */     // GIR_Coverage, 17072,
     /* 1203241 */     GIR_EraseRootFromParent_Done,
     /* 1203242 */   // Label 17466: @1203242
     /* 1203242 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203322), // Rule ID 17073 //
     /* 1203247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203286 */     // MIs[0] round
     /* 1203286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203321 */     // GIR_Coverage, 17073,
     /* 1203321 */     GIR_EraseRootFromParent_Done,
     /* 1203322 */   // Label 17467: @1203322
     /* 1203322 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1203402), // Rule ID 17076 //
     /* 1203327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203366 */     // MIs[0] round
     /* 1203366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203401 */     // GIR_Coverage, 17076,
     /* 1203401 */     GIR_EraseRootFromParent_Done,
     /* 1203402 */   // Label 17468: @1203402
     /* 1203402 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1203482), // Rule ID 17077 //
     /* 1203407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203446 */     // MIs[0] round
     /* 1203446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203481 */     // GIR_Coverage, 17077,
     /* 1203481 */     GIR_EraseRootFromParent_Done,
     /* 1203482 */   // Label 17469: @1203482
     /* 1203482 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1203562), // Rule ID 17080 //
     /* 1203487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203526 */     // MIs[0] round
     /* 1203526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1203539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203561 */     // GIR_Coverage, 17080,
     /* 1203561 */     GIR_EraseRootFromParent_Done,
     /* 1203562 */   // Label 17470: @1203562
     /* 1203562 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1203642), // Rule ID 17081 //
     /* 1203567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203606 */     // MIs[0] round
     /* 1203606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203616 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1203619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203641 */     // GIR_Coverage, 17081,
     /* 1203641 */     GIR_EraseRootFromParent_Done,
     /* 1203642 */   // Label 17471: @1203642
     /* 1203642 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1203722), // Rule ID 17084 //
     /* 1203647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203686 */     // MIs[0] round
     /* 1203686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1203699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203721 */     // GIR_Coverage, 17084,
     /* 1203721 */     GIR_EraseRootFromParent_Done,
     /* 1203722 */   // Label 17472: @1203722
     /* 1203722 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1203802), // Rule ID 17085 //
     /* 1203727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203766 */     // MIs[0] round
     /* 1203766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1203779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203801 */     // GIR_Coverage, 17085,
     /* 1203801 */     GIR_EraseRootFromParent_Done,
     /* 1203802 */   // Label 17473: @1203802
     /* 1203802 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1203882), // Rule ID 17088 //
     /* 1203807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203846 */     // MIs[0] round
     /* 1203846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203856 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1203859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203881 */     // GIR_Coverage, 17088,
     /* 1203881 */     GIR_EraseRootFromParent_Done,
     /* 1203882 */   // Label 17474: @1203882
     /* 1203882 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1203962), // Rule ID 17089 //
     /* 1203887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203926 */     // MIs[0] round
     /* 1203926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1203939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203961 */     // GIR_Coverage, 17089,
     /* 1203961 */     GIR_EraseRootFromParent_Done,
     /* 1203962 */   // Label 17475: @1203962
     /* 1203962 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204042), // Rule ID 17092 //
     /* 1203967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204006 */     // MIs[0] round
     /* 1204006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204016 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1204019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204041 */     // GIR_Coverage, 17092,
     /* 1204041 */     GIR_EraseRootFromParent_Done,
     /* 1204042 */   // Label 17476: @1204042
     /* 1204042 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204122), // Rule ID 17093 //
     /* 1204047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204086 */     // MIs[0] round
     /* 1204086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204096 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1204099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204121 */     // GIR_Coverage, 17093,
     /* 1204121 */     GIR_EraseRootFromParent_Done,
     /* 1204122 */   // Label 17477: @1204122
     /* 1204122 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204202), // Rule ID 17096 //
     /* 1204127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204166 */     // MIs[0] round
     /* 1204166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1204179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204201 */     // GIR_Coverage, 17096,
     /* 1204201 */     GIR_EraseRootFromParent_Done,
     /* 1204202 */   // Label 17478: @1204202
     /* 1204202 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204282), // Rule ID 17097 //
     /* 1204207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204246 */     // MIs[0] round
     /* 1204246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1204259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204281 */     // GIR_Coverage, 17097,
     /* 1204281 */     GIR_EraseRootFromParent_Done,
     /* 1204282 */   // Label 17479: @1204282
     /* 1204282 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204362), // Rule ID 17100 //
     /* 1204287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204326 */     // MIs[0] round
     /* 1204326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204361 */     // GIR_Coverage, 17100,
     /* 1204361 */     GIR_EraseRootFromParent_Done,
     /* 1204362 */   // Label 17480: @1204362
     /* 1204362 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1204442), // Rule ID 17101 //
     /* 1204367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204406 */     // MIs[0] round
     /* 1204406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204441 */     // GIR_Coverage, 17101,
     /* 1204441 */     GIR_EraseRootFromParent_Done,
     /* 1204442 */   // Label 17481: @1204442
     /* 1204442 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1204522), // Rule ID 17104 //
     /* 1204447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204486 */     // MIs[0] round
     /* 1204486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204496 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1204499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204521 */     // GIR_Coverage, 17104,
     /* 1204521 */     GIR_EraseRootFromParent_Done,
     /* 1204522 */   // Label 17482: @1204522
     /* 1204522 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1204602), // Rule ID 17105 //
     /* 1204527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204566 */     // MIs[0] round
     /* 1204566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1204579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204601 */     // GIR_Coverage, 17105,
     /* 1204601 */     GIR_EraseRootFromParent_Done,
     /* 1204602 */   // Label 17483: @1204602
     /* 1204602 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1204682), // Rule ID 17108 //
     /* 1204607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204646 */     // MIs[0] round
     /* 1204646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1204659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204681 */     // GIR_Coverage, 17108,
     /* 1204681 */     GIR_EraseRootFromParent_Done,
     /* 1204682 */   // Label 17484: @1204682
     /* 1204682 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1204762), // Rule ID 17109 //
     /* 1204687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204726 */     // MIs[0] round
     /* 1204726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204736 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1204739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204761 */     // GIR_Coverage, 17109,
     /* 1204761 */     GIR_EraseRootFromParent_Done,
     /* 1204762 */   // Label 17485: @1204762
     /* 1204762 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1204842), // Rule ID 17112 //
     /* 1204767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204806 */     // MIs[0] round
     /* 1204806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1204819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204841 */     // GIR_Coverage, 17112,
     /* 1204841 */     GIR_EraseRootFromParent_Done,
     /* 1204842 */   // Label 17486: @1204842
     /* 1204842 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1204922), // Rule ID 17113 //
     /* 1204847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204886 */     // MIs[0] round
     /* 1204886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1204899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204921 */     // GIR_Coverage, 17113,
     /* 1204921 */     GIR_EraseRootFromParent_Done,
     /* 1204922 */   // Label 17487: @1204922
     /* 1204922 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205002), // Rule ID 17116 //
     /* 1204927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204966 */     // MIs[0] round
     /* 1204966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1204979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205001 */     // GIR_Coverage, 17116,
     /* 1205001 */     GIR_EraseRootFromParent_Done,
     /* 1205002 */   // Label 17488: @1205002
     /* 1205002 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205082), // Rule ID 17117 //
     /* 1205007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205046 */     // MIs[0] round
     /* 1205046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1205059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205081 */     // GIR_Coverage, 17117,
     /* 1205081 */     GIR_EraseRootFromParent_Done,
     /* 1205082 */   // Label 17489: @1205082
     /* 1205082 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205162), // Rule ID 17120 //
     /* 1205087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205126 */     // MIs[0] round
     /* 1205126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1205139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205161 */     // GIR_Coverage, 17120,
     /* 1205161 */     GIR_EraseRootFromParent_Done,
     /* 1205162 */   // Label 17490: @1205162
     /* 1205162 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205242), // Rule ID 17121 //
     /* 1205167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205206 */     // MIs[0] round
     /* 1205206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1205219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205241 */     // GIR_Coverage, 17121,
     /* 1205241 */     GIR_EraseRootFromParent_Done,
     /* 1205242 */   // Label 17491: @1205242
     /* 1205242 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205322), // Rule ID 17124 //
     /* 1205247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205286 */     // MIs[0] round
     /* 1205286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205296 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205321 */     // GIR_Coverage, 17124,
     /* 1205321 */     GIR_EraseRootFromParent_Done,
     /* 1205322 */   // Label 17492: @1205322
     /* 1205322 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1205402), // Rule ID 17125 //
     /* 1205327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205366 */     // MIs[0] round
     /* 1205366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205376 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205401 */     // GIR_Coverage, 17125,
     /* 1205401 */     GIR_EraseRootFromParent_Done,
     /* 1205402 */   // Label 17493: @1205402
     /* 1205402 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1205482), // Rule ID 17128 //
     /* 1205407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205446 */     // MIs[0] round
     /* 1205446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1205459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205481 */     // GIR_Coverage, 17128,
     /* 1205481 */     GIR_EraseRootFromParent_Done,
     /* 1205482 */   // Label 17494: @1205482
     /* 1205482 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1205562), // Rule ID 17129 //
     /* 1205487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205526 */     // MIs[0] round
     /* 1205526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1205539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205561 */     // GIR_Coverage, 17129,
     /* 1205561 */     GIR_EraseRootFromParent_Done,
     /* 1205562 */   // Label 17495: @1205562
     /* 1205562 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1205642), // Rule ID 17134 //
     /* 1205567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205606 */     // MIs[0] round
     /* 1205606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1205619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205641 */     // GIR_Coverage, 17134,
     /* 1205641 */     GIR_EraseRootFromParent_Done,
     /* 1205642 */   // Label 17496: @1205642
     /* 1205642 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1205722), // Rule ID 17135 //
     /* 1205647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205686 */     // MIs[0] round
     /* 1205686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1205699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205721 */     // GIR_Coverage, 17135,
     /* 1205721 */     GIR_EraseRootFromParent_Done,
     /* 1205722 */   // Label 17497: @1205722
     /* 1205722 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1205802), // Rule ID 17144 //
     /* 1205727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205766 */     // MIs[0] round
     /* 1205766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1205779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205801 */     // GIR_Coverage, 17144,
     /* 1205801 */     GIR_EraseRootFromParent_Done,
     /* 1205802 */   // Label 17498: @1205802
     /* 1205802 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1205882), // Rule ID 17145 //
     /* 1205807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205846 */     // MIs[0] round
     /* 1205846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1205859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205881 */     // GIR_Coverage, 17145,
     /* 1205881 */     GIR_EraseRootFromParent_Done,
     /* 1205882 */   // Label 17499: @1205882
     /* 1205882 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1205962), // Rule ID 17154 //
     /* 1205887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1205907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205926 */     // MIs[0] round
     /* 1205926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1205939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205961 */     // GIR_Coverage, 17154,
     /* 1205961 */     GIR_EraseRootFromParent_Done,
     /* 1205962 */   // Label 17500: @1205962
     /* 1205962 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206042), // Rule ID 17155 //
     /* 1205967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1205987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206006 */     // MIs[0] round
     /* 1206006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1206019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206041 */     // GIR_Coverage, 17155,
     /* 1206041 */     GIR_EraseRootFromParent_Done,
     /* 1206042 */   // Label 17501: @1206042
     /* 1206042 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206122), // Rule ID 17164 //
     /* 1206047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206086 */     // MIs[0] round
     /* 1206086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1206099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206121 */     // GIR_Coverage, 17164,
     /* 1206121 */     GIR_EraseRootFromParent_Done,
     /* 1206122 */   // Label 17502: @1206122
     /* 1206122 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206202), // Rule ID 17165 //
     /* 1206127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206166 */     // MIs[0] round
     /* 1206166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206176 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1206179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206201 */     // GIR_Coverage, 17165,
     /* 1206201 */     GIR_EraseRootFromParent_Done,
     /* 1206202 */   // Label 17503: @1206202
     /* 1206202 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206282), // Rule ID 17174 //
     /* 1206207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206246 */     // MIs[0] round
     /* 1206246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206281 */     // GIR_Coverage, 17174,
     /* 1206281 */     GIR_EraseRootFromParent_Done,
     /* 1206282 */   // Label 17504: @1206282
     /* 1206282 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206362), // Rule ID 17175 //
     /* 1206287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206326 */     // MIs[0] round
     /* 1206326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206361 */     // GIR_Coverage, 17175,
     /* 1206361 */     GIR_EraseRootFromParent_Done,
     /* 1206362 */   // Label 17505: @1206362
     /* 1206362 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1206442), // Rule ID 17184 //
     /* 1206367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206406 */     // MIs[0] round
     /* 1206406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206441 */     // GIR_Coverage, 17184,
     /* 1206441 */     GIR_EraseRootFromParent_Done,
     /* 1206442 */   // Label 17506: @1206442
     /* 1206442 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1206522), // Rule ID 17185 //
     /* 1206447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206486 */     // MIs[0] round
     /* 1206486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206496 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206521 */     // GIR_Coverage, 17185,
     /* 1206521 */     GIR_EraseRootFromParent_Done,
     /* 1206522 */   // Label 17507: @1206522
     /* 1206522 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1206602), // Rule ID 17194 //
     /* 1206527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206566 */     // MIs[0] round
     /* 1206566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1206579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206601 */     // GIR_Coverage, 17194,
     /* 1206601 */     GIR_EraseRootFromParent_Done,
     /* 1206602 */   // Label 17508: @1206602
     /* 1206602 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1206682), // Rule ID 17195 //
     /* 1206607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206646 */     // MIs[0] round
     /* 1206646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1206659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206681 */     // GIR_Coverage, 17195,
     /* 1206681 */     GIR_EraseRootFromParent_Done,
     /* 1206682 */   // Label 17509: @1206682
     /* 1206682 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1206762), // Rule ID 17204 //
     /* 1206687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206726 */     // MIs[0] round
     /* 1206726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1206739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206761 */     // GIR_Coverage, 17204,
     /* 1206761 */     GIR_EraseRootFromParent_Done,
     /* 1206762 */   // Label 17510: @1206762
     /* 1206762 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1206842), // Rule ID 17205 //
     /* 1206767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206806 */     // MIs[0] round
     /* 1206806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1206819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206841 */     // GIR_Coverage, 17205,
     /* 1206841 */     GIR_EraseRootFromParent_Done,
     /* 1206842 */   // Label 17511: @1206842
     /* 1206842 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1206922), // Rule ID 17212 //
     /* 1206847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206886 */     // MIs[0] round
     /* 1206886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1206899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206921 */     // GIR_Coverage, 17212,
     /* 1206921 */     GIR_EraseRootFromParent_Done,
     /* 1206922 */   // Label 17512: @1206922
     /* 1206922 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207002), // Rule ID 17213 //
     /* 1206927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206966 */     // MIs[0] round
     /* 1206966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1206979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207001 */     // GIR_Coverage, 17213,
     /* 1207001 */     GIR_EraseRootFromParent_Done,
     /* 1207002 */   // Label 17513: @1207002
     /* 1207002 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207082), // Rule ID 17216 //
     /* 1207007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207046 */     // MIs[0] round
     /* 1207046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1207059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207081 */     // GIR_Coverage, 17216,
     /* 1207081 */     GIR_EraseRootFromParent_Done,
     /* 1207082 */   // Label 17514: @1207082
     /* 1207082 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207162), // Rule ID 17217 //
     /* 1207087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207126 */     // MIs[0] round
     /* 1207126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1207139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207161 */     // GIR_Coverage, 17217,
     /* 1207161 */     GIR_EraseRootFromParent_Done,
     /* 1207162 */   // Label 17515: @1207162
     /* 1207162 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207242), // Rule ID 17220 //
     /* 1207167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207206 */     // MIs[0] round
     /* 1207206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207241 */     // GIR_Coverage, 17220,
     /* 1207241 */     GIR_EraseRootFromParent_Done,
     /* 1207242 */   // Label 17516: @1207242
     /* 1207242 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207322), // Rule ID 17221 //
     /* 1207247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207286 */     // MIs[0] round
     /* 1207286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207321 */     // GIR_Coverage, 17221,
     /* 1207321 */     GIR_EraseRootFromParent_Done,
     /* 1207322 */   // Label 17517: @1207322
     /* 1207322 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1207402), // Rule ID 17224 //
     /* 1207327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207366 */     // MIs[0] round
     /* 1207366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207401 */     // GIR_Coverage, 17224,
     /* 1207401 */     GIR_EraseRootFromParent_Done,
     /* 1207402 */   // Label 17518: @1207402
     /* 1207402 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1207482), // Rule ID 17225 //
     /* 1207407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207446 */     // MIs[0] round
     /* 1207446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207481 */     // GIR_Coverage, 17225,
     /* 1207481 */     GIR_EraseRootFromParent_Done,
     /* 1207482 */   // Label 17519: @1207482
     /* 1207482 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1207562), // Rule ID 17228 //
     /* 1207487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207526 */     // MIs[0] round
     /* 1207526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1207539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207561 */     // GIR_Coverage, 17228,
     /* 1207561 */     GIR_EraseRootFromParent_Done,
     /* 1207562 */   // Label 17520: @1207562
     /* 1207562 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1207642), // Rule ID 17229 //
     /* 1207567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207606 */     // MIs[0] round
     /* 1207606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1207619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207641 */     // GIR_Coverage, 17229,
     /* 1207641 */     GIR_EraseRootFromParent_Done,
     /* 1207642 */   // Label 17521: @1207642
     /* 1207642 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1207722), // Rule ID 17232 //
     /* 1207647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207686 */     // MIs[0] round
     /* 1207686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1207699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207721 */     // GIR_Coverage, 17232,
     /* 1207721 */     GIR_EraseRootFromParent_Done,
     /* 1207722 */   // Label 17522: @1207722
     /* 1207722 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1207802), // Rule ID 17233 //
     /* 1207727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207766 */     // MIs[0] round
     /* 1207766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1207779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207801 */     // GIR_Coverage, 17233,
     /* 1207801 */     GIR_EraseRootFromParent_Done,
     /* 1207802 */   // Label 17523: @1207802
     /* 1207802 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1207882), // Rule ID 17236 //
     /* 1207807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207846 */     // MIs[0] round
     /* 1207846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1207859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207881 */     // GIR_Coverage, 17236,
     /* 1207881 */     GIR_EraseRootFromParent_Done,
     /* 1207882 */   // Label 17524: @1207882
     /* 1207882 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1207962), // Rule ID 17237 //
     /* 1207887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207926 */     // MIs[0] round
     /* 1207926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1207939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207961 */     // GIR_Coverage, 17237,
     /* 1207961 */     GIR_EraseRootFromParent_Done,
     /* 1207962 */   // Label 17525: @1207962
     /* 1207962 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208042), // Rule ID 17240 //
     /* 1207967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208006 */     // MIs[0] round
     /* 1208006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1208019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208041 */     // GIR_Coverage, 17240,
     /* 1208041 */     GIR_EraseRootFromParent_Done,
     /* 1208042 */   // Label 17526: @1208042
     /* 1208042 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208122), // Rule ID 17241 //
     /* 1208047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208086 */     // MIs[0] round
     /* 1208086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1208099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208121 */     // GIR_Coverage, 17241,
     /* 1208121 */     GIR_EraseRootFromParent_Done,
     /* 1208122 */   // Label 17527: @1208122
     /* 1208122 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208202), // Rule ID 17244 //
     /* 1208127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208166 */     // MIs[0] round
     /* 1208166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1208179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208201 */     // GIR_Coverage, 17244,
     /* 1208201 */     GIR_EraseRootFromParent_Done,
     /* 1208202 */   // Label 17528: @1208202
     /* 1208202 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208282), // Rule ID 17245 //
     /* 1208207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208246 */     // MIs[0] round
     /* 1208246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208256 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1208259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208281 */     // GIR_Coverage, 17245,
     /* 1208281 */     GIR_EraseRootFromParent_Done,
     /* 1208282 */   // Label 17529: @1208282
     /* 1208282 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208362), // Rule ID 17250 //
     /* 1208287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208326 */     // MIs[0] round
     /* 1208326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208361 */     // GIR_Coverage, 17250,
     /* 1208361 */     GIR_EraseRootFromParent_Done,
     /* 1208362 */   // Label 17530: @1208362
     /* 1208362 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1208442), // Rule ID 17251 //
     /* 1208367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208406 */     // MIs[0] round
     /* 1208406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208441 */     // GIR_Coverage, 17251,
     /* 1208441 */     GIR_EraseRootFromParent_Done,
     /* 1208442 */   // Label 17531: @1208442
     /* 1208442 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1208522), // Rule ID 17260 //
     /* 1208447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208486 */     // MIs[0] round
     /* 1208486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1208499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208521 */     // GIR_Coverage, 17260,
     /* 1208521 */     GIR_EraseRootFromParent_Done,
     /* 1208522 */   // Label 17532: @1208522
     /* 1208522 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1208602), // Rule ID 17261 //
     /* 1208527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208566 */     // MIs[0] round
     /* 1208566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1208579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208601 */     // GIR_Coverage, 17261,
     /* 1208601 */     GIR_EraseRootFromParent_Done,
     /* 1208602 */   // Label 17533: @1208602
     /* 1208602 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1208682), // Rule ID 17270 //
     /* 1208607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1208627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208646 */     // MIs[0] round
     /* 1208646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208656 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1208659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208681 */     // GIR_Coverage, 17270,
     /* 1208681 */     GIR_EraseRootFromParent_Done,
     /* 1208682 */   // Label 17534: @1208682
     /* 1208682 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1208762), // Rule ID 17271 //
     /* 1208687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1208707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208726 */     // MIs[0] round
     /* 1208726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1208739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208761 */     // GIR_Coverage, 17271,
     /* 1208761 */     GIR_EraseRootFromParent_Done,
     /* 1208762 */   // Label 17535: @1208762
     /* 1208762 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1208842), // Rule ID 17280 //
     /* 1208767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208806 */     // MIs[0] round
     /* 1208806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208816 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1208819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208841 */     // GIR_Coverage, 17280,
     /* 1208841 */     GIR_EraseRootFromParent_Done,
     /* 1208842 */   // Label 17536: @1208842
     /* 1208842 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1208922), // Rule ID 17281 //
     /* 1208847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208886 */     // MIs[0] round
     /* 1208886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1208899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208921 */     // GIR_Coverage, 17281,
     /* 1208921 */     GIR_EraseRootFromParent_Done,
     /* 1208922 */   // Label 17537: @1208922
     /* 1208922 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209002), // Rule ID 17290 //
     /* 1208927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208966 */     // MIs[0] round
     /* 1208966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208976 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1208979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209001 */     // GIR_Coverage, 17290,
     /* 1209001 */     GIR_EraseRootFromParent_Done,
     /* 1209002 */   // Label 17538: @1209002
     /* 1209002 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209082), // Rule ID 17291 //
     /* 1209007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1209027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209046 */     // MIs[0] round
     /* 1209046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1209059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209081 */     // GIR_Coverage, 17291,
     /* 1209081 */     GIR_EraseRootFromParent_Done,
     /* 1209082 */   // Label 17539: @1209082
     /* 1209082 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209162), // Rule ID 17300 //
     /* 1209087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209126 */     // MIs[0] round
     /* 1209126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1209139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209161 */     // GIR_Coverage, 17300,
     /* 1209161 */     GIR_EraseRootFromParent_Done,
     /* 1209162 */   // Label 17540: @1209162
     /* 1209162 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209242), // Rule ID 17301 //
     /* 1209167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209206 */     // MIs[0] round
     /* 1209206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1209219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209241 */     // GIR_Coverage, 17301,
     /* 1209241 */     GIR_EraseRootFromParent_Done,
     /* 1209242 */   // Label 17541: @1209242
     /* 1209242 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209322), // Rule ID 17310 //
     /* 1209247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209286 */     // MIs[0] round
     /* 1209286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209321 */     // GIR_Coverage, 17310,
     /* 1209321 */     GIR_EraseRootFromParent_Done,
     /* 1209322 */   // Label 17542: @1209322
     /* 1209322 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1209402), // Rule ID 17311 //
     /* 1209327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209366 */     // MIs[0] round
     /* 1209366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209401 */     // GIR_Coverage, 17311,
     /* 1209401 */     GIR_EraseRootFromParent_Done,
     /* 1209402 */   // Label 17543: @1209402
     /* 1209402 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1209482), // Rule ID 17320 //
     /* 1209407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209446 */     // MIs[0] round
     /* 1209446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209456 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1209459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209481 */     // GIR_Coverage, 17320,
     /* 1209481 */     GIR_EraseRootFromParent_Done,
     /* 1209482 */   // Label 17544: @1209482
     /* 1209482 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1209562), // Rule ID 17321 //
     /* 1209487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209526 */     // MIs[0] round
     /* 1209526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1209539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209561 */     // GIR_Coverage, 17321,
     /* 1209561 */     GIR_EraseRootFromParent_Done,
     /* 1209562 */   // Label 17545: @1209562
     /* 1209562 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1209642), // Rule ID 17330 //
     /* 1209567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209606 */     // MIs[0] round
     /* 1209606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209616 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1209619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209641 */     // GIR_Coverage, 17330,
     /* 1209641 */     GIR_EraseRootFromParent_Done,
     /* 1209642 */   // Label 17546: @1209642
     /* 1209642 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1209722), // Rule ID 17331 //
     /* 1209647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209686 */     // MIs[0] round
     /* 1209686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1209699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209721 */     // GIR_Coverage, 17331,
     /* 1209721 */     GIR_EraseRootFromParent_Done,
     /* 1209722 */   // Label 17547: @1209722
     /* 1209722 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1209802), // Rule ID 17338 //
     /* 1209727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209766 */     // MIs[0] round
     /* 1209766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209776 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1209779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209801 */     // GIR_Coverage, 17338,
     /* 1209801 */     GIR_EraseRootFromParent_Done,
     /* 1209802 */   // Label 17548: @1209802
     /* 1209802 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1209882), // Rule ID 17339 //
     /* 1209807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209846 */     // MIs[0] round
     /* 1209846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1209859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209881 */     // GIR_Coverage, 17339,
     /* 1209881 */     GIR_EraseRootFromParent_Done,
     /* 1209882 */   // Label 17549: @1209882
     /* 1209882 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1209962), // Rule ID 17342 //
     /* 1209887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209926 */     // MIs[0] round
     /* 1209926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1209939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209961 */     // GIR_Coverage, 17342,
     /* 1209961 */     GIR_EraseRootFromParent_Done,
     /* 1209962 */   // Label 17550: @1209962
     /* 1209962 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210042), // Rule ID 17343 //
     /* 1209967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210006 */     // MIs[0] round
     /* 1210006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1210019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210041 */     // GIR_Coverage, 17343,
     /* 1210041 */     GIR_EraseRootFromParent_Done,
     /* 1210042 */   // Label 17551: @1210042
     /* 1210042 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210122), // Rule ID 17346 //
     /* 1210047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210086 */     // MIs[0] round
     /* 1210086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1210099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210121 */     // GIR_Coverage, 17346,
     /* 1210121 */     GIR_EraseRootFromParent_Done,
     /* 1210122 */   // Label 17552: @1210122
     /* 1210122 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210202), // Rule ID 17347 //
     /* 1210127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210166 */     // MIs[0] round
     /* 1210166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1210179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210201 */     // GIR_Coverage, 17347,
     /* 1210201 */     GIR_EraseRootFromParent_Done,
     /* 1210202 */   // Label 17553: @1210202
     /* 1210202 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210282), // Rule ID 17350 //
     /* 1210207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210246 */     // MIs[0] round
     /* 1210246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210256 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210281 */     // GIR_Coverage, 17350,
     /* 1210281 */     GIR_EraseRootFromParent_Done,
     /* 1210282 */   // Label 17554: @1210282
     /* 1210282 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210362), // Rule ID 17351 //
     /* 1210287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210326 */     // MIs[0] round
     /* 1210326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210361 */     // GIR_Coverage, 17351,
     /* 1210361 */     GIR_EraseRootFromParent_Done,
     /* 1210362 */   // Label 17555: @1210362
     /* 1210362 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1210442), // Rule ID 17354 //
     /* 1210367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210406 */     // MIs[0] round
     /* 1210406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210416 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210441 */     // GIR_Coverage, 17354,
     /* 1210441 */     GIR_EraseRootFromParent_Done,
     /* 1210442 */   // Label 17556: @1210442
     /* 1210442 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1210522), // Rule ID 17355 //
     /* 1210447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210486 */     // MIs[0] round
     /* 1210486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210521 */     // GIR_Coverage, 17355,
     /* 1210521 */     GIR_EraseRootFromParent_Done,
     /* 1210522 */   // Label 17557: @1210522
     /* 1210522 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1210602), // Rule ID 17358 //
     /* 1210527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210566 */     // MIs[0] round
     /* 1210566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1210579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210601 */     // GIR_Coverage, 17358,
     /* 1210601 */     GIR_EraseRootFromParent_Done,
     /* 1210602 */   // Label 17558: @1210602
     /* 1210602 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1210682), // Rule ID 17359 //
     /* 1210607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210646 */     // MIs[0] round
     /* 1210646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1210659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210681 */     // GIR_Coverage, 17359,
     /* 1210681 */     GIR_EraseRootFromParent_Done,
     /* 1210682 */   // Label 17559: @1210682
     /* 1210682 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1210762), // Rule ID 17362 //
     /* 1210687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210726 */     // MIs[0] round
     /* 1210726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210736 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1210739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210761 */     // GIR_Coverage, 17362,
     /* 1210761 */     GIR_EraseRootFromParent_Done,
     /* 1210762 */   // Label 17560: @1210762
     /* 1210762 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1210842), // Rule ID 17363 //
     /* 1210767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210806 */     // MIs[0] round
     /* 1210806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1210819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210841 */     // GIR_Coverage, 17363,
     /* 1210841 */     GIR_EraseRootFromParent_Done,
     /* 1210842 */   // Label 17561: @1210842
     /* 1210842 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1210922), // Rule ID 17366 //
     /* 1210847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210886 */     // MIs[0] round
     /* 1210886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1210899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210921 */     // GIR_Coverage, 17366,
     /* 1210921 */     GIR_EraseRootFromParent_Done,
     /* 1210922 */   // Label 17562: @1210922
     /* 1210922 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211002), // Rule ID 17367 //
     /* 1210927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210966 */     // MIs[0] round
     /* 1210966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1210979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211001 */     // GIR_Coverage, 17367,
     /* 1211001 */     GIR_EraseRootFromParent_Done,
     /* 1211002 */   // Label 17563: @1211002
     /* 1211002 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211082), // Rule ID 17370 //
     /* 1211007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211046 */     // MIs[0] round
     /* 1211046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211056 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1211059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211081 */     // GIR_Coverage, 17370,
     /* 1211081 */     GIR_EraseRootFromParent_Done,
     /* 1211082 */   // Label 17564: @1211082
     /* 1211082 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211162), // Rule ID 17371 //
     /* 1211087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211126 */     // MIs[0] round
     /* 1211126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1211139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211161 */     // GIR_Coverage, 17371,
     /* 1211161 */     GIR_EraseRootFromParent_Done,
     /* 1211162 */   // Label 17565: @1211162
     /* 1211162 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211242), // Rule ID 17374 //
     /* 1211167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211206 */     // MIs[0] round
     /* 1211206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211216 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211241 */     // GIR_Coverage, 17374,
     /* 1211241 */     GIR_EraseRootFromParent_Done,
     /* 1211242 */   // Label 17566: @1211242
     /* 1211242 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211322), // Rule ID 17375 //
     /* 1211247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211286 */     // MIs[0] round
     /* 1211286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211296 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211321 */     // GIR_Coverage, 17375,
     /* 1211321 */     GIR_EraseRootFromParent_Done,
     /* 1211322 */   // Label 17567: @1211322
     /* 1211322 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1211402), // Rule ID 17378 //
     /* 1211327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211366 */     // MIs[0] round
     /* 1211366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211376 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211401 */     // GIR_Coverage, 17378,
     /* 1211401 */     GIR_EraseRootFromParent_Done,
     /* 1211402 */   // Label 17568: @1211402
     /* 1211402 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1211482), // Rule ID 17379 //
     /* 1211407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211446 */     // MIs[0] round
     /* 1211446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211456 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211481 */     // GIR_Coverage, 17379,
     /* 1211481 */     GIR_EraseRootFromParent_Done,
     /* 1211482 */   // Label 17569: @1211482
     /* 1211482 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1211562), // Rule ID 17382 //
     /* 1211487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211526 */     // MIs[0] round
     /* 1211526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1211539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211561 */     // GIR_Coverage, 17382,
     /* 1211561 */     GIR_EraseRootFromParent_Done,
     /* 1211562 */   // Label 17570: @1211562
     /* 1211562 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1211642), // Rule ID 17383 //
     /* 1211567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211606 */     // MIs[0] round
     /* 1211606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1211619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211641 */     // GIR_Coverage, 17383,
     /* 1211641 */     GIR_EraseRootFromParent_Done,
     /* 1211642 */   // Label 17571: @1211642
     /* 1211642 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1211722), // Rule ID 17386 //
     /* 1211647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211686 */     // MIs[0] round
     /* 1211686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211696 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1211699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211721 */     // GIR_Coverage, 17386,
     /* 1211721 */     GIR_EraseRootFromParent_Done,
     /* 1211722 */   // Label 17572: @1211722
     /* 1211722 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1211802), // Rule ID 17387 //
     /* 1211727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211766 */     // MIs[0] round
     /* 1211766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1211779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211801 */     // GIR_Coverage, 17387,
     /* 1211801 */     GIR_EraseRootFromParent_Done,
     /* 1211802 */   // Label 17573: @1211802
     /* 1211802 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1211882), // Rule ID 17390 //
     /* 1211807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211846 */     // MIs[0] round
     /* 1211846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1211859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211881 */     // GIR_Coverage, 17390,
     /* 1211881 */     GIR_EraseRootFromParent_Done,
     /* 1211882 */   // Label 17574: @1211882
     /* 1211882 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1211962), // Rule ID 17391 //
     /* 1211887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211926 */     // MIs[0] round
     /* 1211926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1211939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211961 */     // GIR_Coverage, 17391,
     /* 1211961 */     GIR_EraseRootFromParent_Done,
     /* 1211962 */   // Label 17575: @1211962
     /* 1211962 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212042), // Rule ID 17394 //
     /* 1211967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1211987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212006 */     // MIs[0] round
     /* 1212006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1212019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212041 */     // GIR_Coverage, 17394,
     /* 1212041 */     GIR_EraseRootFromParent_Done,
     /* 1212042 */   // Label 17576: @1212042
     /* 1212042 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212122), // Rule ID 17395 //
     /* 1212047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212086 */     // MIs[0] round
     /* 1212086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1212099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212121 */     // GIR_Coverage, 17395,
     /* 1212121 */     GIR_EraseRootFromParent_Done,
     /* 1212122 */   // Label 17577: @1212122
     /* 1212122 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212202), // Rule ID 17398 //
     /* 1212127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212166 */     // MIs[0] round
     /* 1212166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212176 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1212179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212201 */     // GIR_Coverage, 17398,
     /* 1212201 */     GIR_EraseRootFromParent_Done,
     /* 1212202 */   // Label 17578: @1212202
     /* 1212202 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212282), // Rule ID 17399 //
     /* 1212207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212246 */     // MIs[0] round
     /* 1212246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1212259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212281 */     // GIR_Coverage, 17399,
     /* 1212281 */     GIR_EraseRootFromParent_Done,
     /* 1212282 */   // Label 17579: @1212282
     /* 1212282 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1212362), // Rule ID 17402 //
     /* 1212287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212326 */     // MIs[0] round
     /* 1212326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212361 */     // GIR_Coverage, 17402,
     /* 1212361 */     GIR_EraseRootFromParent_Done,
     /* 1212362 */   // Label 17580: @1212362
     /* 1212362 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1212442), // Rule ID 17403 //
     /* 1212367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212406 */     // MIs[0] round
     /* 1212406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212441 */     // GIR_Coverage, 17403,
     /* 1212441 */     GIR_EraseRootFromParent_Done,
     /* 1212442 */   // Label 17581: @1212442
     /* 1212442 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1212522), // Rule ID 17406 //
     /* 1212447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212486 */     // MIs[0] round
     /* 1212486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212496 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1212499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212521 */     // GIR_Coverage, 17406,
     /* 1212521 */     GIR_EraseRootFromParent_Done,
     /* 1212522 */   // Label 17582: @1212522
     /* 1212522 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1212602), // Rule ID 17407 //
     /* 1212527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212566 */     // MIs[0] round
     /* 1212566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212576 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1212579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212601 */     // GIR_Coverage, 17407,
     /* 1212601 */     GIR_EraseRootFromParent_Done,
     /* 1212602 */   // Label 17583: @1212602
     /* 1212602 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1212682), // Rule ID 17410 //
     /* 1212607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212646 */     // MIs[0] round
     /* 1212646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212656 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1212659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212681 */     // GIR_Coverage, 17410,
     /* 1212681 */     GIR_EraseRootFromParent_Done,
     /* 1212682 */   // Label 17584: @1212682
     /* 1212682 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1212762), // Rule ID 17411 //
     /* 1212687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212726 */     // MIs[0] round
     /* 1212726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1212739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212761 */     // GIR_Coverage, 17411,
     /* 1212761 */     GIR_EraseRootFromParent_Done,
     /* 1212762 */   // Label 17585: @1212762
     /* 1212762 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1212842), // Rule ID 17414 //
     /* 1212767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212806 */     // MIs[0] round
     /* 1212806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212816 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1212819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212841 */     // GIR_Coverage, 17414,
     /* 1212841 */     GIR_EraseRootFromParent_Done,
     /* 1212842 */   // Label 17586: @1212842
     /* 1212842 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1212922), // Rule ID 17415 //
     /* 1212847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212886 */     // MIs[0] round
     /* 1212886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1212899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212921 */     // GIR_Coverage, 17415,
     /* 1212921 */     GIR_EraseRootFromParent_Done,
     /* 1212922 */   // Label 17587: @1212922
     /* 1212922 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213002), // Rule ID 17418 //
     /* 1212927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1212947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212966 */     // MIs[0] round
     /* 1212966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212976 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1212979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213001 */     // GIR_Coverage, 17418,
     /* 1213001 */     GIR_EraseRootFromParent_Done,
     /* 1213002 */   // Label 17588: @1213002
     /* 1213002 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213082), // Rule ID 17419 //
     /* 1213007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213046 */     // MIs[0] round
     /* 1213046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1213059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213081 */     // GIR_Coverage, 17419,
     /* 1213081 */     GIR_EraseRootFromParent_Done,
     /* 1213082 */   // Label 17589: @1213082
     /* 1213082 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213162), // Rule ID 17422 //
     /* 1213087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213126 */     // MIs[0] round
     /* 1213126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1213139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213161 */     // GIR_Coverage, 17422,
     /* 1213161 */     GIR_EraseRootFromParent_Done,
     /* 1213162 */   // Label 17590: @1213162
     /* 1213162 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213242), // Rule ID 17423 //
     /* 1213167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213206 */     // MIs[0] round
     /* 1213206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1213219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213241 */     // GIR_Coverage, 17423,
     /* 1213241 */     GIR_EraseRootFromParent_Done,
     /* 1213242 */   // Label 17591: @1213242
     /* 1213242 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213322), // Rule ID 17426 //
     /* 1213247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213286 */     // MIs[0] round
     /* 1213286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213296 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213321 */     // GIR_Coverage, 17426,
     /* 1213321 */     GIR_EraseRootFromParent_Done,
     /* 1213322 */   // Label 17592: @1213322
     /* 1213322 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1213402), // Rule ID 17427 //
     /* 1213327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213366 */     // MIs[0] round
     /* 1213366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213376 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213401 */     // GIR_Coverage, 17427,
     /* 1213401 */     GIR_EraseRootFromParent_Done,
     /* 1213402 */   // Label 17593: @1213402
     /* 1213402 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1213482), // Rule ID 17430 //
     /* 1213407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213446 */     // MIs[0] round
     /* 1213446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1213459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213481 */     // GIR_Coverage, 17430,
     /* 1213481 */     GIR_EraseRootFromParent_Done,
     /* 1213482 */   // Label 17594: @1213482
     /* 1213482 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1213562), // Rule ID 17431 //
     /* 1213487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213526 */     // MIs[0] round
     /* 1213526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1213539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213561 */     // GIR_Coverage, 17431,
     /* 1213561 */     GIR_EraseRootFromParent_Done,
     /* 1213562 */   // Label 17595: @1213562
     /* 1213562 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1213642), // Rule ID 17434 //
     /* 1213567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213606 */     // MIs[0] round
     /* 1213606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213616 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1213619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213641 */     // GIR_Coverage, 17434,
     /* 1213641 */     GIR_EraseRootFromParent_Done,
     /* 1213642 */   // Label 17596: @1213642
     /* 1213642 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1213722), // Rule ID 17435 //
     /* 1213647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213686 */     // MIs[0] round
     /* 1213686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213696 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1213699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213721 */     // GIR_Coverage, 17435,
     /* 1213721 */     GIR_EraseRootFromParent_Done,
     /* 1213722 */   // Label 17597: @1213722
     /* 1213722 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1213802), // Rule ID 17438 //
     /* 1213727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213766 */     // MIs[0] round
     /* 1213766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213776 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1213779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213801 */     // GIR_Coverage, 17438,
     /* 1213801 */     GIR_EraseRootFromParent_Done,
     /* 1213802 */   // Label 17598: @1213802
     /* 1213802 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1213882), // Rule ID 17439 //
     /* 1213807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213846 */     // MIs[0] round
     /* 1213846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213856 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1213859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213881 */     // GIR_Coverage, 17439,
     /* 1213881 */     GIR_EraseRootFromParent_Done,
     /* 1213882 */   // Label 17599: @1213882
     /* 1213882 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1213962), // Rule ID 17442 //
     /* 1213887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213926 */     // MIs[0] round
     /* 1213926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1213939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213961 */     // GIR_Coverage, 17442,
     /* 1213961 */     GIR_EraseRootFromParent_Done,
     /* 1213962 */   // Label 17600: @1213962
     /* 1213962 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214042), // Rule ID 17443 //
     /* 1213967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214006 */     // MIs[0] round
     /* 1214006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214016 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1214019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214041 */     // GIR_Coverage, 17443,
     /* 1214041 */     GIR_EraseRootFromParent_Done,
     /* 1214042 */   // Label 17601: @1214042
     /* 1214042 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214122), // Rule ID 17446 //
     /* 1214047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214086 */     // MIs[0] round
     /* 1214086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1214099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214121 */     // GIR_Coverage, 17446,
     /* 1214121 */     GIR_EraseRootFromParent_Done,
     /* 1214122 */   // Label 17602: @1214122
     /* 1214122 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214202), // Rule ID 17447 //
     /* 1214127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214166 */     // MIs[0] round
     /* 1214166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1214179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214201 */     // GIR_Coverage, 17447,
     /* 1214201 */     GIR_EraseRootFromParent_Done,
     /* 1214202 */   // Label 17603: @1214202
     /* 1214202 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214282), // Rule ID 17450 //
     /* 1214207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214246 */     // MIs[0] round
     /* 1214246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214281 */     // GIR_Coverage, 17450,
     /* 1214281 */     GIR_EraseRootFromParent_Done,
     /* 1214282 */   // Label 17604: @1214282
     /* 1214282 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1214362), // Rule ID 17451 //
     /* 1214287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214326 */     // MIs[0] round
     /* 1214326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214361 */     // GIR_Coverage, 17451,
     /* 1214361 */     GIR_EraseRootFromParent_Done,
     /* 1214362 */   // Label 17605: @1214362
     /* 1214362 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1214442), // Rule ID 17454 //
     /* 1214367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214406 */     // MIs[0] round
     /* 1214406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214441 */     // GIR_Coverage, 17454,
     /* 1214441 */     GIR_EraseRootFromParent_Done,
     /* 1214442 */   // Label 17606: @1214442
     /* 1214442 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1214522), // Rule ID 17455 //
     /* 1214447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214486 */     // MIs[0] round
     /* 1214486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214521 */     // GIR_Coverage, 17455,
     /* 1214521 */     GIR_EraseRootFromParent_Done,
     /* 1214522 */   // Label 17607: @1214522
     /* 1214522 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1214602), // Rule ID 17458 //
     /* 1214527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214566 */     // MIs[0] round
     /* 1214566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1214579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214601 */     // GIR_Coverage, 17458,
     /* 1214601 */     GIR_EraseRootFromParent_Done,
     /* 1214602 */   // Label 17608: @1214602
     /* 1214602 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1214682), // Rule ID 17459 //
     /* 1214607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214646 */     // MIs[0] round
     /* 1214646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214656 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1214659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214681 */     // GIR_Coverage, 17459,
     /* 1214681 */     GIR_EraseRootFromParent_Done,
     /* 1214682 */   // Label 17609: @1214682
     /* 1214682 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1214762), // Rule ID 17462 //
     /* 1214687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214726 */     // MIs[0] round
     /* 1214726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1214739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214761 */     // GIR_Coverage, 17462,
     /* 1214761 */     GIR_EraseRootFromParent_Done,
     /* 1214762 */   // Label 17610: @1214762
     /* 1214762 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1214842), // Rule ID 17463 //
     /* 1214767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214806 */     // MIs[0] round
     /* 1214806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214816 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1214819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214841 */     // GIR_Coverage, 17463,
     /* 1214841 */     GIR_EraseRootFromParent_Done,
     /* 1214842 */   // Label 17611: @1214842
     /* 1214842 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1214922), // Rule ID 17466 //
     /* 1214847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214886 */     // MIs[0] round
     /* 1214886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214896 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1214899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214921 */     // GIR_Coverage, 17466,
     /* 1214921 */     GIR_EraseRootFromParent_Done,
     /* 1214922 */   // Label 17612: @1214922
     /* 1214922 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215002), // Rule ID 17467 //
     /* 1214927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214966 */     // MIs[0] round
     /* 1214966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1214979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215001 */     // GIR_Coverage, 17467,
     /* 1215001 */     GIR_EraseRootFromParent_Done,
     /* 1215002 */   // Label 17613: @1215002
     /* 1215002 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215082), // Rule ID 17470 //
     /* 1215007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215046 */     // MIs[0] round
     /* 1215046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1215059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215081 */     // GIR_Coverage, 17470,
     /* 1215081 */     GIR_EraseRootFromParent_Done,
     /* 1215082 */   // Label 17614: @1215082
     /* 1215082 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215162), // Rule ID 17471 //
     /* 1215087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215126 */     // MIs[0] round
     /* 1215126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1215139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215161 */     // GIR_Coverage, 17471,
     /* 1215161 */     GIR_EraseRootFromParent_Done,
     /* 1215162 */   // Label 17615: @1215162
     /* 1215162 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215242), // Rule ID 17474 //
     /* 1215167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215206 */     // MIs[0] round
     /* 1215206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215241 */     // GIR_Coverage, 17474,
     /* 1215241 */     GIR_EraseRootFromParent_Done,
     /* 1215242 */   // Label 17616: @1215242
     /* 1215242 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215322), // Rule ID 17475 //
     /* 1215247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215286 */     // MIs[0] round
     /* 1215286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215321 */     // GIR_Coverage, 17475,
     /* 1215321 */     GIR_EraseRootFromParent_Done,
     /* 1215322 */   // Label 17617: @1215322
     /* 1215322 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1215402), // Rule ID 17478 //
     /* 1215327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215366 */     // MIs[0] round
     /* 1215366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215401 */     // GIR_Coverage, 17478,
     /* 1215401 */     GIR_EraseRootFromParent_Done,
     /* 1215402 */   // Label 17618: @1215402
     /* 1215402 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1215482), // Rule ID 17479 //
     /* 1215407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215446 */     // MIs[0] round
     /* 1215446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215481 */     // GIR_Coverage, 17479,
     /* 1215481 */     GIR_EraseRootFromParent_Done,
     /* 1215482 */   // Label 17619: @1215482
     /* 1215482 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1215562), // Rule ID 17482 //
     /* 1215487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215526 */     // MIs[0] round
     /* 1215526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1215539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215561 */     // GIR_Coverage, 17482,
     /* 1215561 */     GIR_EraseRootFromParent_Done,
     /* 1215562 */   // Label 17620: @1215562
     /* 1215562 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1215642), // Rule ID 17483 //
     /* 1215567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215606 */     // MIs[0] round
     /* 1215606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1215619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215641 */     // GIR_Coverage, 17483,
     /* 1215641 */     GIR_EraseRootFromParent_Done,
     /* 1215642 */   // Label 17621: @1215642
     /* 1215642 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1215722), // Rule ID 17486 //
     /* 1215647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215686 */     // MIs[0] round
     /* 1215686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215696 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1215699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215721 */     // GIR_Coverage, 17486,
     /* 1215721 */     GIR_EraseRootFromParent_Done,
     /* 1215722 */   // Label 17622: @1215722
     /* 1215722 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1215802), // Rule ID 17487 //
     /* 1215727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215766 */     // MIs[0] round
     /* 1215766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1215779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215801 */     // GIR_Coverage, 17487,
     /* 1215801 */     GIR_EraseRootFromParent_Done,
     /* 1215802 */   // Label 17623: @1215802
     /* 1215802 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1215882), // Rule ID 17490 //
     /* 1215807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215846 */     // MIs[0] round
     /* 1215846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215856 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1215859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215881 */     // GIR_Coverage, 17490,
     /* 1215881 */     GIR_EraseRootFromParent_Done,
     /* 1215882 */   // Label 17624: @1215882
     /* 1215882 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1215962), // Rule ID 17491 //
     /* 1215887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215926 */     // MIs[0] round
     /* 1215926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215936 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1215939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215961 */     // GIR_Coverage, 17491,
     /* 1215961 */     GIR_EraseRootFromParent_Done,
     /* 1215962 */   // Label 17625: @1215962
     /* 1215962 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216042), // Rule ID 17494 //
     /* 1215967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216006 */     // MIs[0] round
     /* 1216006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216016 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1216019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216041 */     // GIR_Coverage, 17494,
     /* 1216041 */     GIR_EraseRootFromParent_Done,
     /* 1216042 */   // Label 17626: @1216042
     /* 1216042 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216122), // Rule ID 17495 //
     /* 1216047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1216067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216086 */     // MIs[0] round
     /* 1216086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216096 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1216099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216121 */     // GIR_Coverage, 17495,
     /* 1216121 */     GIR_EraseRootFromParent_Done,
     /* 1216122 */   // Label 17627: @1216122
     /* 1216122 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216202), // Rule ID 17498 //
     /* 1216127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216166 */     // MIs[0] round
     /* 1216166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216176 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1216179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216201 */     // GIR_Coverage, 17498,
     /* 1216201 */     GIR_EraseRootFromParent_Done,
     /* 1216202 */   // Label 17628: @1216202
     /* 1216202 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216282), // Rule ID 17499 //
     /* 1216207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216246 */     // MIs[0] round
     /* 1216246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216256 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1216259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216281 */     // GIR_Coverage, 17499,
     /* 1216281 */     GIR_EraseRootFromParent_Done,
     /* 1216282 */   // Label 17629: @1216282
     /* 1216282 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1216362), // Rule ID 17502 //
     /* 1216287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216326 */     // MIs[0] round
     /* 1216326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216361 */     // GIR_Coverage, 17502,
     /* 1216361 */     GIR_EraseRootFromParent_Done,
     /* 1216362 */   // Label 17630: @1216362
     /* 1216362 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1216442), // Rule ID 17503 //
     /* 1216367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216406 */     // MIs[0] round
     /* 1216406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216441 */     // GIR_Coverage, 17503,
     /* 1216441 */     GIR_EraseRootFromParent_Done,
     /* 1216442 */   // Label 17631: @1216442
     /* 1216442 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1216522), // Rule ID 17506 //
     /* 1216447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216486 */     // MIs[0] round
     /* 1216486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1216499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216521 */     // GIR_Coverage, 17506,
     /* 1216521 */     GIR_EraseRootFromParent_Done,
     /* 1216522 */   // Label 17632: @1216522
     /* 1216522 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1216602), // Rule ID 17507 //
     /* 1216527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216566 */     // MIs[0] round
     /* 1216566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216576 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1216579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216601 */     // GIR_Coverage, 17507,
     /* 1216601 */     GIR_EraseRootFromParent_Done,
     /* 1216602 */   // Label 17633: @1216602
     /* 1216602 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1216682), // Rule ID 17510 //
     /* 1216607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216646 */     // MIs[0] round
     /* 1216646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1216659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216681 */     // GIR_Coverage, 17510,
     /* 1216681 */     GIR_EraseRootFromParent_Done,
     /* 1216682 */   // Label 17634: @1216682
     /* 1216682 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1216762), // Rule ID 17511 //
     /* 1216687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216726 */     // MIs[0] round
     /* 1216726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1216739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216761 */     // GIR_Coverage, 17511,
     /* 1216761 */     GIR_EraseRootFromParent_Done,
     /* 1216762 */   // Label 17635: @1216762
     /* 1216762 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1216842), // Rule ID 17514 //
     /* 1216767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216806 */     // MIs[0] round
     /* 1216806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1216819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216841 */     // GIR_Coverage, 17514,
     /* 1216841 */     GIR_EraseRootFromParent_Done,
     /* 1216842 */   // Label 17636: @1216842
     /* 1216842 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1216922), // Rule ID 17515 //
     /* 1216847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216886 */     // MIs[0] round
     /* 1216886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1216899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216921 */     // GIR_Coverage, 17515,
     /* 1216921 */     GIR_EraseRootFromParent_Done,
     /* 1216922 */   // Label 17637: @1216922
     /* 1216922 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217002), // Rule ID 17518 //
     /* 1216927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1216947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216966 */     // MIs[0] round
     /* 1216966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216976 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1216979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217001 */     // GIR_Coverage, 17518,
     /* 1217001 */     GIR_EraseRootFromParent_Done,
     /* 1217002 */   // Label 17638: @1217002
     /* 1217002 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217082), // Rule ID 17519 //
     /* 1217007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217046 */     // MIs[0] round
     /* 1217046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217056 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1217059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217081 */     // GIR_Coverage, 17519,
     /* 1217081 */     GIR_EraseRootFromParent_Done,
     /* 1217082 */   // Label 17639: @1217082
     /* 1217082 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217162), // Rule ID 17522 //
     /* 1217087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217126 */     // MIs[0] round
     /* 1217126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1217139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217161 */     // GIR_Coverage, 17522,
     /* 1217161 */     GIR_EraseRootFromParent_Done,
     /* 1217162 */   // Label 17640: @1217162
     /* 1217162 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217242), // Rule ID 17523 //
     /* 1217167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217206 */     // MIs[0] round
     /* 1217206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1217219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217241 */     // GIR_Coverage, 17523,
     /* 1217241 */     GIR_EraseRootFromParent_Done,
     /* 1217242 */   // Label 17641: @1217242
     /* 1217242 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217322), // Rule ID 17526 //
     /* 1217247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217286 */     // MIs[0] round
     /* 1217286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217296 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217321 */     // GIR_Coverage, 17526,
     /* 1217321 */     GIR_EraseRootFromParent_Done,
     /* 1217322 */   // Label 17642: @1217322
     /* 1217322 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1217402), // Rule ID 17527 //
     /* 1217327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217366 */     // MIs[0] round
     /* 1217366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217401 */     // GIR_Coverage, 17527,
     /* 1217401 */     GIR_EraseRootFromParent_Done,
     /* 1217402 */   // Label 17643: @1217402
     /* 1217402 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1217482), // Rule ID 17530 //
     /* 1217407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217446 */     // MIs[0] round
     /* 1217446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1217459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217481 */     // GIR_Coverage, 17530,
     /* 1217481 */     GIR_EraseRootFromParent_Done,
     /* 1217482 */   // Label 17644: @1217482
     /* 1217482 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1217562), // Rule ID 17531 //
     /* 1217487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217526 */     // MIs[0] round
     /* 1217526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1217539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217561 */     // GIR_Coverage, 17531,
     /* 1217561 */     GIR_EraseRootFromParent_Done,
     /* 1217562 */   // Label 17645: @1217562
     /* 1217562 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1217642), // Rule ID 17534 //
     /* 1217567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217606 */     // MIs[0] round
     /* 1217606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217616 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1217619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217641 */     // GIR_Coverage, 17534,
     /* 1217641 */     GIR_EraseRootFromParent_Done,
     /* 1217642 */   // Label 17646: @1217642
     /* 1217642 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1217722), // Rule ID 17535 //
     /* 1217647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217686 */     // MIs[0] round
     /* 1217686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1217699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217721 */     // GIR_Coverage, 17535,
     /* 1217721 */     GIR_EraseRootFromParent_Done,
     /* 1217722 */   // Label 17647: @1217722
     /* 1217722 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1217802), // Rule ID 17538 //
     /* 1217727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217766 */     // MIs[0] round
     /* 1217766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217776 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1217779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217801 */     // GIR_Coverage, 17538,
     /* 1217801 */     GIR_EraseRootFromParent_Done,
     /* 1217802 */   // Label 17648: @1217802
     /* 1217802 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1217882), // Rule ID 17539 //
     /* 1217807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217846 */     // MIs[0] round
     /* 1217846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1217859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217881 */     // GIR_Coverage, 17539,
     /* 1217881 */     GIR_EraseRootFromParent_Done,
     /* 1217882 */   // Label 17649: @1217882
     /* 1217882 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1217962), // Rule ID 17542 //
     /* 1217887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217926 */     // MIs[0] round
     /* 1217926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1217939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217961 */     // GIR_Coverage, 17542,
     /* 1217961 */     GIR_EraseRootFromParent_Done,
     /* 1217962 */   // Label 17650: @1217962
     /* 1217962 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218042), // Rule ID 17543 //
     /* 1217967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218006 */     // MIs[0] round
     /* 1218006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1218019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218041 */     // GIR_Coverage, 17543,
     /* 1218041 */     GIR_EraseRootFromParent_Done,
     /* 1218042 */   // Label 17651: @1218042
     /* 1218042 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218122), // Rule ID 17546 //
     /* 1218047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218086 */     // MIs[0] round
     /* 1218086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1218099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218121 */     // GIR_Coverage, 17546,
     /* 1218121 */     GIR_EraseRootFromParent_Done,
     /* 1218122 */   // Label 17652: @1218122
     /* 1218122 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218202), // Rule ID 17547 //
     /* 1218127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218166 */     // MIs[0] round
     /* 1218166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1218179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218201 */     // GIR_Coverage, 17547,
     /* 1218201 */     GIR_EraseRootFromParent_Done,
     /* 1218202 */   // Label 17653: @1218202
     /* 1218202 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218282), // Rule ID 17550 //
     /* 1218207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218246 */     // MIs[0] round
     /* 1218246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218256 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218281 */     // GIR_Coverage, 17550,
     /* 1218281 */     GIR_EraseRootFromParent_Done,
     /* 1218282 */   // Label 17654: @1218282
     /* 1218282 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1218362), // Rule ID 17551 //
     /* 1218287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218326 */     // MIs[0] round
     /* 1218326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218361 */     // GIR_Coverage, 17551,
     /* 1218361 */     GIR_EraseRootFromParent_Done,
     /* 1218362 */   // Label 17655: @1218362
     /* 1218362 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1218442), // Rule ID 17554 //
     /* 1218367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218406 */     // MIs[0] round
     /* 1218406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218416 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218441 */     // GIR_Coverage, 17554,
     /* 1218441 */     GIR_EraseRootFromParent_Done,
     /* 1218442 */   // Label 17656: @1218442
     /* 1218442 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1218522), // Rule ID 17555 //
     /* 1218447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218486 */     // MIs[0] round
     /* 1218486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218496 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218521 */     // GIR_Coverage, 17555,
     /* 1218521 */     GIR_EraseRootFromParent_Done,
     /* 1218522 */   // Label 17657: @1218522
     /* 1218522 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1218602), // Rule ID 17558 //
     /* 1218527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218566 */     // MIs[0] round
     /* 1218566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218576 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1218579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218601 */     // GIR_Coverage, 17558,
     /* 1218601 */     GIR_EraseRootFromParent_Done,
     /* 1218602 */   // Label 17658: @1218602
     /* 1218602 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1218682), // Rule ID 17559 //
     /* 1218607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218646 */     // MIs[0] round
     /* 1218646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1218659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218681 */     // GIR_Coverage, 17559,
     /* 1218681 */     GIR_EraseRootFromParent_Done,
     /* 1218682 */   // Label 17659: @1218682
     /* 1218682 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1218762), // Rule ID 17562 //
     /* 1218687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218726 */     // MIs[0] round
     /* 1218726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1218739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218761 */     // GIR_Coverage, 17562,
     /* 1218761 */     GIR_EraseRootFromParent_Done,
     /* 1218762 */   // Label 17660: @1218762
     /* 1218762 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1218842), // Rule ID 17563 //
     /* 1218767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218806 */     // MIs[0] round
     /* 1218806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1218819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218841 */     // GIR_Coverage, 17563,
     /* 1218841 */     GIR_EraseRootFromParent_Done,
     /* 1218842 */   // Label 17661: @1218842
     /* 1218842 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1218922), // Rule ID 17566 //
     /* 1218847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218886 */     // MIs[0] round
     /* 1218886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1218899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218921 */     // GIR_Coverage, 17566,
     /* 1218921 */     GIR_EraseRootFromParent_Done,
     /* 1218922 */   // Label 17662: @1218922
     /* 1218922 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219002), // Rule ID 17567 //
     /* 1218927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218966 */     // MIs[0] round
     /* 1218966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218976 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1218979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219001 */     // GIR_Coverage, 17567,
     /* 1219001 */     GIR_EraseRootFromParent_Done,
     /* 1219002 */   // Label 17663: @1219002
     /* 1219002 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219082), // Rule ID 17570 //
     /* 1219007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219046 */     // MIs[0] round
     /* 1219046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1219059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219081 */     // GIR_Coverage, 17570,
     /* 1219081 */     GIR_EraseRootFromParent_Done,
     /* 1219082 */   // Label 17664: @1219082
     /* 1219082 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219162), // Rule ID 17571 //
     /* 1219087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219126 */     // MIs[0] round
     /* 1219126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1219139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219161 */     // GIR_Coverage, 17571,
     /* 1219161 */     GIR_EraseRootFromParent_Done,
     /* 1219162 */   // Label 17665: @1219162
     /* 1219162 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219242), // Rule ID 17574 //
     /* 1219167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219206 */     // MIs[0] round
     /* 1219206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219241 */     // GIR_Coverage, 17574,
     /* 1219241 */     GIR_EraseRootFromParent_Done,
     /* 1219242 */   // Label 17666: @1219242
     /* 1219242 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219322), // Rule ID 17575 //
     /* 1219247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219286 */     // MIs[0] round
     /* 1219286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219321 */     // GIR_Coverage, 17575,
     /* 1219321 */     GIR_EraseRootFromParent_Done,
     /* 1219322 */   // Label 17667: @1219322
     /* 1219322 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1219402), // Rule ID 17578 //
     /* 1219327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219366 */     // MIs[0] round
     /* 1219366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219376 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219401 */     // GIR_Coverage, 17578,
     /* 1219401 */     GIR_EraseRootFromParent_Done,
     /* 1219402 */   // Label 17668: @1219402
     /* 1219402 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1219482), // Rule ID 17579 //
     /* 1219407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219446 */     // MIs[0] round
     /* 1219446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219456 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219481 */     // GIR_Coverage, 17579,
     /* 1219481 */     GIR_EraseRootFromParent_Done,
     /* 1219482 */   // Label 17669: @1219482
     /* 1219482 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1219562), // Rule ID 17582 //
     /* 1219487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219526 */     // MIs[0] round
     /* 1219526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219536 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1219539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219561 */     // GIR_Coverage, 17582,
     /* 1219561 */     GIR_EraseRootFromParent_Done,
     /* 1219562 */   // Label 17670: @1219562
     /* 1219562 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1219642), // Rule ID 17583 //
     /* 1219567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219606 */     // MIs[0] round
     /* 1219606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1219619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219641 */     // GIR_Coverage, 17583,
     /* 1219641 */     GIR_EraseRootFromParent_Done,
     /* 1219642 */   // Label 17671: @1219642
     /* 1219642 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1219722), // Rule ID 17586 //
     /* 1219647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219686 */     // MIs[0] round
     /* 1219686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1219699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219721 */     // GIR_Coverage, 17586,
     /* 1219721 */     GIR_EraseRootFromParent_Done,
     /* 1219722 */   // Label 17672: @1219722
     /* 1219722 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1219802), // Rule ID 17587 //
     /* 1219727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219766 */     // MIs[0] round
     /* 1219766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1219779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219801 */     // GIR_Coverage, 17587,
     /* 1219801 */     GIR_EraseRootFromParent_Done,
     /* 1219802 */   // Label 17673: @1219802
     /* 1219802 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1219882), // Rule ID 17590 //
     /* 1219807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219846 */     // MIs[0] round
     /* 1219846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1219859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219881 */     // GIR_Coverage, 17590,
     /* 1219881 */     GIR_EraseRootFromParent_Done,
     /* 1219882 */   // Label 17674: @1219882
     /* 1219882 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1219962), // Rule ID 17591 //
     /* 1219887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219926 */     // MIs[0] round
     /* 1219926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1219939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219961 */     // GIR_Coverage, 17591,
     /* 1219961 */     GIR_EraseRootFromParent_Done,
     /* 1219962 */   // Label 17675: @1219962
     /* 1219962 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220042), // Rule ID 17594 //
     /* 1219967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220006 */     // MIs[0] round
     /* 1220006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1220019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220041 */     // GIR_Coverage, 17594,
     /* 1220041 */     GIR_EraseRootFromParent_Done,
     /* 1220042 */   // Label 17676: @1220042
     /* 1220042 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220122), // Rule ID 17595 //
     /* 1220047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220086 */     // MIs[0] round
     /* 1220086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1220099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220121 */     // GIR_Coverage, 17595,
     /* 1220121 */     GIR_EraseRootFromParent_Done,
     /* 1220122 */   // Label 17677: @1220122
     /* 1220122 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220202), // Rule ID 17598 //
     /* 1220127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220166 */     // MIs[0] round
     /* 1220166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220176 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1220179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220201 */     // GIR_Coverage, 17598,
     /* 1220201 */     GIR_EraseRootFromParent_Done,
     /* 1220202 */   // Label 17678: @1220202
     /* 1220202 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220282), // Rule ID 17599 //
     /* 1220207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220246 */     // MIs[0] round
     /* 1220246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220256 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1220259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220281 */     // GIR_Coverage, 17599,
     /* 1220281 */     GIR_EraseRootFromParent_Done,
     /* 1220282 */   // Label 17679: @1220282
     /* 1220282 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1220362), // Rule ID 17602 //
     /* 1220287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220326 */     // MIs[0] round
     /* 1220326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220361 */     // GIR_Coverage, 17602,
     /* 1220361 */     GIR_EraseRootFromParent_Done,
     /* 1220362 */   // Label 17680: @1220362
     /* 1220362 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1220442), // Rule ID 17603 //
     /* 1220367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220406 */     // MIs[0] round
     /* 1220406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220441 */     // GIR_Coverage, 17603,
     /* 1220441 */     GIR_EraseRootFromParent_Done,
     /* 1220442 */   // Label 17681: @1220442
     /* 1220442 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1220522), // Rule ID 17606 //
     /* 1220447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220486 */     // MIs[0] round
     /* 1220486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1220499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220521 */     // GIR_Coverage, 17606,
     /* 1220521 */     GIR_EraseRootFromParent_Done,
     /* 1220522 */   // Label 17682: @1220522
     /* 1220522 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1220602), // Rule ID 17607 //
     /* 1220527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220566 */     // MIs[0] round
     /* 1220566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1220579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220601 */     // GIR_Coverage, 17607,
     /* 1220601 */     GIR_EraseRootFromParent_Done,
     /* 1220602 */   // Label 17683: @1220602
     /* 1220602 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1220682), // Rule ID 17610 //
     /* 1220607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220646 */     // MIs[0] round
     /* 1220646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1220659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220681 */     // GIR_Coverage, 17610,
     /* 1220681 */     GIR_EraseRootFromParent_Done,
     /* 1220682 */   // Label 17684: @1220682
     /* 1220682 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1220762), // Rule ID 17611 //
     /* 1220687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220726 */     // MIs[0] round
     /* 1220726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1220739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220761 */     // GIR_Coverage, 17611,
     /* 1220761 */     GIR_EraseRootFromParent_Done,
     /* 1220762 */   // Label 17685: @1220762
     /* 1220762 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1220842), // Rule ID 17614 //
     /* 1220767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220806 */     // MIs[0] round
     /* 1220806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1220819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220841 */     // GIR_Coverage, 17614,
     /* 1220841 */     GIR_EraseRootFromParent_Done,
     /* 1220842 */   // Label 17686: @1220842
     /* 1220842 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1220922), // Rule ID 17615 //
     /* 1220847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220886 */     // MIs[0] round
     /* 1220886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220896 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1220899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220921 */     // GIR_Coverage, 17615,
     /* 1220921 */     GIR_EraseRootFromParent_Done,
     /* 1220922 */   // Label 17687: @1220922
     /* 1220922 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221002), // Rule ID 17618 //
     /* 1220927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1220938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1220941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220966 */     // MIs[0] round
     /* 1220966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220976 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1220979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221001 */     // GIR_Coverage, 17618,
     /* 1221001 */     GIR_EraseRootFromParent_Done,
     /* 1221002 */   // Label 17688: @1221002
     /* 1221002 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221082), // Rule ID 17619 //
     /* 1221007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1221018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1221021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221046 */     // MIs[0] round
     /* 1221046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221056 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1221059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221081 */     // GIR_Coverage, 17619,
     /* 1221081 */     GIR_EraseRootFromParent_Done,
     /* 1221082 */   // Label 17689: @1221082
     /* 1221082 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221162), // Rule ID 17622 //
     /* 1221087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1221098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1221101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221126 */     // MIs[0] round
     /* 1221126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1221139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221161 */     // GIR_Coverage, 17622,
     /* 1221161 */     GIR_EraseRootFromParent_Done,
     /* 1221162 */   // Label 17690: @1221162
     /* 1221162 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221242), // Rule ID 17623 //
     /* 1221167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1221178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1221181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221206 */     // MIs[0] round
     /* 1221206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1221219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221241 */     // GIR_Coverage, 17623,
     /* 1221241 */     GIR_EraseRootFromParent_Done,
     /* 1221242 */   // Label 17691: @1221242
     /* 1221242 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221322), // Rule ID 17626 //
     /* 1221247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221286 */     // MIs[0] round
     /* 1221286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221321 */     // GIR_Coverage, 17626,
     /* 1221321 */     GIR_EraseRootFromParent_Done,
     /* 1221322 */   // Label 17692: @1221322
     /* 1221322 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1221402), // Rule ID 17627 //
     /* 1221327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221366 */     // MIs[0] round
     /* 1221366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221401 */     // GIR_Coverage, 17627,
     /* 1221401 */     GIR_EraseRootFromParent_Done,
     /* 1221402 */   // Label 17693: @1221402
     /* 1221402 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1221482), // Rule ID 17630 //
     /* 1221407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221446 */     // MIs[0] round
     /* 1221446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1221459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221481 */     // GIR_Coverage, 17630,
     /* 1221481 */     GIR_EraseRootFromParent_Done,
     /* 1221482 */   // Label 17694: @1221482
     /* 1221482 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1221562), // Rule ID 17631 //
     /* 1221487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221526 */     // MIs[0] round
     /* 1221526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1221539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221561 */     // GIR_Coverage, 17631,
     /* 1221561 */     GIR_EraseRootFromParent_Done,
     /* 1221562 */   // Label 17695: @1221562
     /* 1221562 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1221642), // Rule ID 17634 //
     /* 1221567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221606 */     // MIs[0] round
     /* 1221606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221616 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1221619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221641 */     // GIR_Coverage, 17634,
     /* 1221641 */     GIR_EraseRootFromParent_Done,
     /* 1221642 */   // Label 17696: @1221642
     /* 1221642 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1221722), // Rule ID 17635 //
     /* 1221647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221686 */     // MIs[0] round
     /* 1221686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1221699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221721 */     // GIR_Coverage, 17635,
     /* 1221721 */     GIR_EraseRootFromParent_Done,
     /* 1221722 */   // Label 17697: @1221722
     /* 1221722 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1221802), // Rule ID 17638 //
     /* 1221727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221766 */     // MIs[0] round
     /* 1221766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221776 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1221779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221801 */     // GIR_Coverage, 17638,
     /* 1221801 */     GIR_EraseRootFromParent_Done,
     /* 1221802 */   // Label 17698: @1221802
     /* 1221802 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1221882), // Rule ID 17639 //
     /* 1221807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221846 */     // MIs[0] round
     /* 1221846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221856 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1221859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221881 */     // GIR_Coverage, 17639,
     /* 1221881 */     GIR_EraseRootFromParent_Done,
     /* 1221882 */   // Label 17699: @1221882
     /* 1221882 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1221962), // Rule ID 17642 //
     /* 1221887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221926 */     // MIs[0] round
     /* 1221926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221936 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1221939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221961 */     // GIR_Coverage, 17642,
     /* 1221961 */     GIR_EraseRootFromParent_Done,
     /* 1221962 */   // Label 17700: @1221962
     /* 1221962 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222042), // Rule ID 17643 //
     /* 1221967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222006 */     // MIs[0] round
     /* 1222006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222016 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1222019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222041 */     // GIR_Coverage, 17643,
     /* 1222041 */     GIR_EraseRootFromParent_Done,
     /* 1222042 */   // Label 17701: @1222042
     /* 1222042 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222122), // Rule ID 17646 //
     /* 1222047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1222058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1222061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222086 */     // MIs[0] round
     /* 1222086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222096 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1222099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222121 */     // GIR_Coverage, 17646,
     /* 1222121 */     GIR_EraseRootFromParent_Done,
     /* 1222122 */   // Label 17702: @1222122
     /* 1222122 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222202), // Rule ID 17647 //
     /* 1222127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1222138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1222141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222166 */     // MIs[0] round
     /* 1222166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222176 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1222179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222201 */     // GIR_Coverage, 17647,
     /* 1222201 */     GIR_EraseRootFromParent_Done,
     /* 1222202 */   // Label 17703: @1222202
     /* 1222202 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222282), // Rule ID 17650 //
     /* 1222207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222246 */     // MIs[0] round
     /* 1222246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222256 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222281 */     // GIR_Coverage, 17650,
     /* 1222281 */     GIR_EraseRootFromParent_Done,
     /* 1222282 */   // Label 17704: @1222282
     /* 1222282 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1222362), // Rule ID 17651 //
     /* 1222287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222326 */     // MIs[0] round
     /* 1222326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222361 */     // GIR_Coverage, 17651,
     /* 1222361 */     GIR_EraseRootFromParent_Done,
     /* 1222362 */   // Label 17705: @1222362
     /* 1222362 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1222442), // Rule ID 17654 //
     /* 1222367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222406 */     // MIs[0] round
     /* 1222406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222441 */     // GIR_Coverage, 17654,
     /* 1222441 */     GIR_EraseRootFromParent_Done,
     /* 1222442 */   // Label 17706: @1222442
     /* 1222442 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1222522), // Rule ID 17655 //
     /* 1222447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222486 */     // MIs[0] round
     /* 1222486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222521 */     // GIR_Coverage, 17655,
     /* 1222521 */     GIR_EraseRootFromParent_Done,
     /* 1222522 */   // Label 17707: @1222522
     /* 1222522 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1222602), // Rule ID 17658 //
     /* 1222527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222566 */     // MIs[0] round
     /* 1222566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222576 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1222579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222601 */     // GIR_Coverage, 17658,
     /* 1222601 */     GIR_EraseRootFromParent_Done,
     /* 1222602 */   // Label 17708: @1222602
     /* 1222602 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1222682), // Rule ID 17659 //
     /* 1222607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222646 */     // MIs[0] round
     /* 1222646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1222659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222681 */     // GIR_Coverage, 17659,
     /* 1222681 */     GIR_EraseRootFromParent_Done,
     /* 1222682 */   // Label 17709: @1222682
     /* 1222682 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1222762), // Rule ID 17662 //
     /* 1222687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222726 */     // MIs[0] round
     /* 1222726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222736 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1222739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222761 */     // GIR_Coverage, 17662,
     /* 1222761 */     GIR_EraseRootFromParent_Done,
     /* 1222762 */   // Label 17710: @1222762
     /* 1222762 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1222842), // Rule ID 17663 //
     /* 1222767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222806 */     // MIs[0] round
     /* 1222806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1222819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222841 */     // GIR_Coverage, 17663,
     /* 1222841 */     GIR_EraseRootFromParent_Done,
     /* 1222842 */   // Label 17711: @1222842
     /* 1222842 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1222922), // Rule ID 17666 //
     /* 1222847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222886 */     // MIs[0] round
     /* 1222886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1222899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222921 */     // GIR_Coverage, 17666,
     /* 1222921 */     GIR_EraseRootFromParent_Done,
     /* 1222922 */   // Label 17712: @1222922
     /* 1222922 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223002), // Rule ID 17667 //
     /* 1222927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222966 */     // MIs[0] round
     /* 1222966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1222979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223001 */     // GIR_Coverage, 17667,
     /* 1223001 */     GIR_EraseRootFromParent_Done,
     /* 1223002 */   // Label 17713: @1223002
     /* 1223002 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223082), // Rule ID 17670 //
     /* 1223007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1223018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1223021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223046 */     // MIs[0] round
     /* 1223046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223056 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1223059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223081 */     // GIR_Coverage, 17670,
     /* 1223081 */     GIR_EraseRootFromParent_Done,
     /* 1223082 */   // Label 17714: @1223082
     /* 1223082 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223162), // Rule ID 17671 //
     /* 1223087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1223098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1223101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223126 */     // MIs[0] round
     /* 1223126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1223139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223161 */     // GIR_Coverage, 17671,
     /* 1223161 */     GIR_EraseRootFromParent_Done,
     /* 1223162 */   // Label 17715: @1223162
     /* 1223162 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223242), // Rule ID 17674 //
     /* 1223167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1223187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223206 */     // MIs[0] round
     /* 1223206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223241 */     // GIR_Coverage, 17674,
     /* 1223241 */     GIR_EraseRootFromParent_Done,
     /* 1223242 */   // Label 17716: @1223242
     /* 1223242 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223322), // Rule ID 17675 //
     /* 1223247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1223267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223286 */     // MIs[0] round
     /* 1223286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223321 */     // GIR_Coverage, 17675,
     /* 1223321 */     GIR_EraseRootFromParent_Done,
     /* 1223322 */   // Label 17717: @1223322
     /* 1223322 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1223402), // Rule ID 17678 //
     /* 1223327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223366 */     // MIs[0] round
     /* 1223366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223401 */     // GIR_Coverage, 17678,
     /* 1223401 */     GIR_EraseRootFromParent_Done,
     /* 1223402 */   // Label 17718: @1223402
     /* 1223402 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1223482), // Rule ID 17679 //
     /* 1223407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223446 */     // MIs[0] round
     /* 1223446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223481 */     // GIR_Coverage, 17679,
     /* 1223481 */     GIR_EraseRootFromParent_Done,
     /* 1223482 */   // Label 17719: @1223482
     /* 1223482 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1223562), // Rule ID 17682 //
     /* 1223487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1223498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1223501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223526 */     // MIs[0] round
     /* 1223526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1223539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223561 */     // GIR_Coverage, 17682,
     /* 1223561 */     GIR_EraseRootFromParent_Done,
     /* 1223562 */   // Label 17720: @1223562
     /* 1223562 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1223642), // Rule ID 17683 //
     /* 1223567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1223578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1223581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223606 */     // MIs[0] round
     /* 1223606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1223619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223641 */     // GIR_Coverage, 17683,
     /* 1223641 */     GIR_EraseRootFromParent_Done,
     /* 1223642 */   // Label 17721: @1223642
     /* 1223642 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1223722), // Rule ID 17686 //
     /* 1223647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1223658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1223661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223686 */     // MIs[0] round
     /* 1223686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1223699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223721 */     // GIR_Coverage, 17686,
     /* 1223721 */     GIR_EraseRootFromParent_Done,
     /* 1223722 */   // Label 17722: @1223722
     /* 1223722 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1223802), // Rule ID 17687 //
     /* 1223727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1223738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1223741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223766 */     // MIs[0] round
     /* 1223766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1223779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223801 */     // GIR_Coverage, 17687,
     /* 1223801 */     GIR_EraseRootFromParent_Done,
     /* 1223802 */   // Label 17723: @1223802
     /* 1223802 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1223882), // Rule ID 17690 //
     /* 1223807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223846 */     // MIs[0] round
     /* 1223846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1223859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223881 */     // GIR_Coverage, 17690,
     /* 1223881 */     GIR_EraseRootFromParent_Done,
     /* 1223882 */   // Label 17724: @1223882
     /* 1223882 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1223962), // Rule ID 17691 //
     /* 1223887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223926 */     // MIs[0] round
     /* 1223926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1223939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223961 */     // GIR_Coverage, 17691,
     /* 1223961 */     GIR_EraseRootFromParent_Done,
     /* 1223962 */   // Label 17725: @1223962
     /* 1223962 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224042), // Rule ID 17694 //
     /* 1223967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1223970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1223987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224006 */     // MIs[0] round
     /* 1224006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1224019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224041 */     // GIR_Coverage, 17694,
     /* 1224041 */     GIR_EraseRootFromParent_Done,
     /* 1224042 */   // Label 17726: @1224042
     /* 1224042 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224122), // Rule ID 17695 //
     /* 1224047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1224067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224086 */     // MIs[0] round
     /* 1224086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1224099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224121 */     // GIR_Coverage, 17695,
     /* 1224121 */     GIR_EraseRootFromParent_Done,
     /* 1224122 */   // Label 17727: @1224122
     /* 1224122 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224202), // Rule ID 17698 //
     /* 1224127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224166 */     // MIs[0] round
     /* 1224166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1224179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224201 */     // GIR_Coverage, 17698,
     /* 1224201 */     GIR_EraseRootFromParent_Done,
     /* 1224202 */   // Label 17728: @1224202
     /* 1224202 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224282), // Rule ID 17699 //
     /* 1224207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224246 */     // MIs[0] round
     /* 1224246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1224259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224281 */     // GIR_Coverage, 17699,
     /* 1224281 */     GIR_EraseRootFromParent_Done,
     /* 1224282 */   // Label 17729: @1224282
     /* 1224282 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1224362), // Rule ID 17702 //
     /* 1224287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224326 */     // MIs[0] round
     /* 1224326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224361 */     // GIR_Coverage, 17702,
     /* 1224361 */     GIR_EraseRootFromParent_Done,
     /* 1224362 */   // Label 17730: @1224362
     /* 1224362 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1224442), // Rule ID 17703 //
     /* 1224367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224406 */     // MIs[0] round
     /* 1224406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224441 */     // GIR_Coverage, 17703,
     /* 1224441 */     GIR_EraseRootFromParent_Done,
     /* 1224442 */   // Label 17731: @1224442
     /* 1224442 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1224522), // Rule ID 17706 //
     /* 1224447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1224458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1224461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224486 */     // MIs[0] round
     /* 1224486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1224499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224521 */     // GIR_Coverage, 17706,
     /* 1224521 */     GIR_EraseRootFromParent_Done,
     /* 1224522 */   // Label 17732: @1224522
     /* 1224522 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1224602), // Rule ID 17707 //
     /* 1224527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1224538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1224541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224566 */     // MIs[0] round
     /* 1224566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1224579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224601 */     // GIR_Coverage, 17707,
     /* 1224601 */     GIR_EraseRootFromParent_Done,
     /* 1224602 */   // Label 17733: @1224602
     /* 1224602 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1224682), // Rule ID 17710 //
     /* 1224607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1224618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1224621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224646 */     // MIs[0] round
     /* 1224646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1224659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224681 */     // GIR_Coverage, 17710,
     /* 1224681 */     GIR_EraseRootFromParent_Done,
     /* 1224682 */   // Label 17734: @1224682
     /* 1224682 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1224762), // Rule ID 17711 //
     /* 1224687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1224698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1224701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224726 */     // MIs[0] round
     /* 1224726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1224739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224761 */     // GIR_Coverage, 17711,
     /* 1224761 */     GIR_EraseRootFromParent_Done,
     /* 1224762 */   // Label 17735: @1224762
     /* 1224762 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1224842), // Rule ID 17714 //
     /* 1224767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224806 */     // MIs[0] round
     /* 1224806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1224819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224841 */     // GIR_Coverage, 17714,
     /* 1224841 */     GIR_EraseRootFromParent_Done,
     /* 1224842 */   // Label 17736: @1224842
     /* 1224842 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1224922), // Rule ID 17715 //
     /* 1224847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224886 */     // MIs[0] round
     /* 1224886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1224899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224921 */     // GIR_Coverage, 17715,
     /* 1224921 */     GIR_EraseRootFromParent_Done,
     /* 1224922 */   // Label 17737: @1224922
     /* 1224922 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225002), // Rule ID 17718 //
     /* 1224927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224966 */     // MIs[0] round
     /* 1224966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1224979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225001 */     // GIR_Coverage, 17718,
     /* 1225001 */     GIR_EraseRootFromParent_Done,
     /* 1225002 */   // Label 17738: @1225002
     /* 1225002 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225082), // Rule ID 17719 //
     /* 1225007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1225018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1225021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225046 */     // MIs[0] round
     /* 1225046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1225059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225081 */     // GIR_Coverage, 17719,
     /* 1225081 */     GIR_EraseRootFromParent_Done,
     /* 1225082 */   // Label 17739: @1225082
     /* 1225082 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225162), // Rule ID 17722 //
     /* 1225087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1225098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1225101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225126 */     // MIs[0] round
     /* 1225126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1225139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225161 */     // GIR_Coverage, 17722,
     /* 1225161 */     GIR_EraseRootFromParent_Done,
     /* 1225162 */   // Label 17740: @1225162
     /* 1225162 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225242), // Rule ID 17723 //
     /* 1225167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1225178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1225181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225206 */     // MIs[0] round
     /* 1225206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1225219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225241 */     // GIR_Coverage, 17723,
     /* 1225241 */     GIR_EraseRootFromParent_Done,
     /* 1225242 */   // Label 17741: @1225242
     /* 1225242 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225322), // Rule ID 17726 //
     /* 1225247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225286 */     // MIs[0] round
     /* 1225286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225321 */     // GIR_Coverage, 17726,
     /* 1225321 */     GIR_EraseRootFromParent_Done,
     /* 1225322 */   // Label 17742: @1225322
     /* 1225322 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1225402), // Rule ID 17727 //
     /* 1225327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225366 */     // MIs[0] round
     /* 1225366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225401 */     // GIR_Coverage, 17727,
     /* 1225401 */     GIR_EraseRootFromParent_Done,
     /* 1225402 */   // Label 17743: @1225402
     /* 1225402 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1225482), // Rule ID 17730 //
     /* 1225407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225446 */     // MIs[0] round
     /* 1225446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1225459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225481 */     // GIR_Coverage, 17730,
     /* 1225481 */     GIR_EraseRootFromParent_Done,
     /* 1225482 */   // Label 17744: @1225482
     /* 1225482 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1225562), // Rule ID 17731 //
     /* 1225487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225526 */     // MIs[0] round
     /* 1225526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1225539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225561 */     // GIR_Coverage, 17731,
     /* 1225561 */     GIR_EraseRootFromParent_Done,
     /* 1225562 */   // Label 17745: @1225562
     /* 1225562 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1225642), // Rule ID 17734 //
     /* 1225567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1225578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1225581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225606 */     // MIs[0] round
     /* 1225606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1225619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225641 */     // GIR_Coverage, 17734,
     /* 1225641 */     GIR_EraseRootFromParent_Done,
     /* 1225642 */   // Label 17746: @1225642
     /* 1225642 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1225722), // Rule ID 17735 //
     /* 1225647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1225658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1225661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225686 */     // MIs[0] round
     /* 1225686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1225699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225721 */     // GIR_Coverage, 17735,
     /* 1225721 */     GIR_EraseRootFromParent_Done,
     /* 1225722 */   // Label 17747: @1225722
     /* 1225722 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1225802), // Rule ID 17738 //
     /* 1225727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225766 */     // MIs[0] round
     /* 1225766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1225779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225801 */     // GIR_Coverage, 17738,
     /* 1225801 */     GIR_EraseRootFromParent_Done,
     /* 1225802 */   // Label 17748: @1225802
     /* 1225802 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1225882), // Rule ID 17739 //
     /* 1225807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225846 */     // MIs[0] round
     /* 1225846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225856 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1225859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225881 */     // GIR_Coverage, 17739,
     /* 1225881 */     GIR_EraseRootFromParent_Done,
     /* 1225882 */   // Label 17749: @1225882
     /* 1225882 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1225962), // Rule ID 17742 //
     /* 1225887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225926 */     // MIs[0] round
     /* 1225926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225936 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1225939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225961 */     // GIR_Coverage, 17742,
     /* 1225961 */     GIR_EraseRootFromParent_Done,
     /* 1225962 */   // Label 17750: @1225962
     /* 1225962 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226042), // Rule ID 17743 //
     /* 1225967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226006 */     // MIs[0] round
     /* 1226006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226016 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1226019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226041 */     // GIR_Coverage, 17743,
     /* 1226041 */     GIR_EraseRootFromParent_Done,
     /* 1226042 */   // Label 17751: @1226042
     /* 1226042 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226122), // Rule ID 22820 //
     /* 1226047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226086 */     // MIs[0] round
     /* 1226086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1226099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226121 */     // GIR_Coverage, 22820,
     /* 1226121 */     GIR_EraseRootFromParent_Done,
     /* 1226122 */   // Label 17752: @1226122
     /* 1226122 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226202), // Rule ID 22821 //
     /* 1226127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226166 */     // MIs[0] round
     /* 1226166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1226179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226201 */     // GIR_Coverage, 22821,
     /* 1226201 */     GIR_EraseRootFromParent_Done,
     /* 1226202 */   // Label 17753: @1226202
     /* 1226202 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226282), // Rule ID 22824 //
     /* 1226207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226246 */     // MIs[0] round
     /* 1226246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226281 */     // GIR_Coverage, 22824,
     /* 1226281 */     GIR_EraseRootFromParent_Done,
     /* 1226282 */   // Label 17754: @1226282
     /* 1226282 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1226362), // Rule ID 22825 //
     /* 1226287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226326 */     // MIs[0] round
     /* 1226326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226361 */     // GIR_Coverage, 22825,
     /* 1226361 */     GIR_EraseRootFromParent_Done,
     /* 1226362 */   // Label 17755: @1226362
     /* 1226362 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1226442), // Rule ID 22828 //
     /* 1226367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226406 */     // MIs[0] round
     /* 1226406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226441 */     // GIR_Coverage, 22828,
     /* 1226441 */     GIR_EraseRootFromParent_Done,
     /* 1226442 */   // Label 17756: @1226442
     /* 1226442 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1226522), // Rule ID 22829 //
     /* 1226447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226486 */     // MIs[0] round
     /* 1226486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226521 */     // GIR_Coverage, 22829,
     /* 1226521 */     GIR_EraseRootFromParent_Done,
     /* 1226522 */   // Label 17757: @1226522
     /* 1226522 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1226602), // Rule ID 22832 //
     /* 1226527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226566 */     // MIs[0] round
     /* 1226566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1226579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226601 */     // GIR_Coverage, 22832,
     /* 1226601 */     GIR_EraseRootFromParent_Done,
     /* 1226602 */   // Label 17758: @1226602
     /* 1226602 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1226682), // Rule ID 22833 //
     /* 1226607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226646 */     // MIs[0] round
     /* 1226646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1226659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226681 */     // GIR_Coverage, 22833,
     /* 1226681 */     GIR_EraseRootFromParent_Done,
     /* 1226682 */   // Label 17759: @1226682
     /* 1226682 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1226762), // Rule ID 22836 //
     /* 1226687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226726 */     // MIs[0] round
     /* 1226726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1226739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226761 */     // GIR_Coverage, 22836,
     /* 1226761 */     GIR_EraseRootFromParent_Done,
     /* 1226762 */   // Label 17760: @1226762
     /* 1226762 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1226842), // Rule ID 22837 //
     /* 1226767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226806 */     // MIs[0] round
     /* 1226806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1226819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226841 */     // GIR_Coverage, 22837,
     /* 1226841 */     GIR_EraseRootFromParent_Done,
     /* 1226842 */   // Label 17761: @1226842
     /* 1226842 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1226922), // Rule ID 22840 //
     /* 1226847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226886 */     // MIs[0] round
     /* 1226886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1226899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226921 */     // GIR_Coverage, 22840,
     /* 1226921 */     GIR_EraseRootFromParent_Done,
     /* 1226922 */   // Label 17762: @1226922
     /* 1226922 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227002), // Rule ID 22841 //
     /* 1226927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226966 */     // MIs[0] round
     /* 1226966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226976 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1226979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227001 */     // GIR_Coverage, 22841,
     /* 1227001 */     GIR_EraseRootFromParent_Done,
     /* 1227002 */   // Label 17763: @1227002
     /* 1227002 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227082), // Rule ID 22844 //
     /* 1227007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227046 */     // MIs[0] round
     /* 1227046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1227059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227081 */     // GIR_Coverage, 22844,
     /* 1227081 */     GIR_EraseRootFromParent_Done,
     /* 1227082 */   // Label 17764: @1227082
     /* 1227082 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227162), // Rule ID 22845 //
     /* 1227087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227126 */     // MIs[0] round
     /* 1227126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1227139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227161 */     // GIR_Coverage, 22845,
     /* 1227161 */     GIR_EraseRootFromParent_Done,
     /* 1227162 */   // Label 17765: @1227162
     /* 1227162 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227242), // Rule ID 22848 //
     /* 1227167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227206 */     // MIs[0] round
     /* 1227206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227241 */     // GIR_Coverage, 22848,
     /* 1227241 */     GIR_EraseRootFromParent_Done,
     /* 1227242 */   // Label 17766: @1227242
     /* 1227242 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227322), // Rule ID 22849 //
     /* 1227247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227286 */     // MIs[0] round
     /* 1227286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227321 */     // GIR_Coverage, 22849,
     /* 1227321 */     GIR_EraseRootFromParent_Done,
     /* 1227322 */   // Label 17767: @1227322
     /* 1227322 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1227402), // Rule ID 22852 //
     /* 1227327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227366 */     // MIs[0] round
     /* 1227366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227401 */     // GIR_Coverage, 22852,
     /* 1227401 */     GIR_EraseRootFromParent_Done,
     /* 1227402 */   // Label 17768: @1227402
     /* 1227402 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1227482), // Rule ID 22853 //
     /* 1227407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227446 */     // MIs[0] round
     /* 1227446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227481 */     // GIR_Coverage, 22853,
     /* 1227481 */     GIR_EraseRootFromParent_Done,
     /* 1227482 */   // Label 17769: @1227482
     /* 1227482 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1227562), // Rule ID 22856 //
     /* 1227487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227526 */     // MIs[0] round
     /* 1227526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1227539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227561 */     // GIR_Coverage, 22856,
     /* 1227561 */     GIR_EraseRootFromParent_Done,
     /* 1227562 */   // Label 17770: @1227562
     /* 1227562 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1227642), // Rule ID 22857 //
     /* 1227567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227606 */     // MIs[0] round
     /* 1227606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1227619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227641 */     // GIR_Coverage, 22857,
     /* 1227641 */     GIR_EraseRootFromParent_Done,
     /* 1227642 */   // Label 17771: @1227642
     /* 1227642 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1227722), // Rule ID 22860 //
     /* 1227647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227686 */     // MIs[0] round
     /* 1227686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1227699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227721 */     // GIR_Coverage, 22860,
     /* 1227721 */     GIR_EraseRootFromParent_Done,
     /* 1227722 */   // Label 17772: @1227722
     /* 1227722 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1227802), // Rule ID 22861 //
     /* 1227727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227766 */     // MIs[0] round
     /* 1227766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1227779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227801 */     // GIR_Coverage, 22861,
     /* 1227801 */     GIR_EraseRootFromParent_Done,
     /* 1227802 */   // Label 17773: @1227802
     /* 1227802 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1227882), // Rule ID 22864 //
     /* 1227807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227846 */     // MIs[0] round
     /* 1227846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1227859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227881 */     // GIR_Coverage, 22864,
     /* 1227881 */     GIR_EraseRootFromParent_Done,
     /* 1227882 */   // Label 17774: @1227882
     /* 1227882 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1227962), // Rule ID 22865 //
     /* 1227887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227926 */     // MIs[0] round
     /* 1227926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1227939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227961 */     // GIR_Coverage, 22865,
     /* 1227961 */     GIR_EraseRootFromParent_Done,
     /* 1227962 */   // Label 17775: @1227962
     /* 1227962 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228042), // Rule ID 22868 //
     /* 1227967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228006 */     // MIs[0] round
     /* 1228006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1228019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228041 */     // GIR_Coverage, 22868,
     /* 1228041 */     GIR_EraseRootFromParent_Done,
     /* 1228042 */   // Label 17776: @1228042
     /* 1228042 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228122), // Rule ID 22869 //
     /* 1228047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1228064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228086 */     // MIs[0] round
     /* 1228086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1228099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228121 */     // GIR_Coverage, 22869,
     /* 1228121 */     GIR_EraseRootFromParent_Done,
     /* 1228122 */   // Label 17777: @1228122
     /* 1228122 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228202), // Rule ID 22872 //
     /* 1228127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1228144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228166 */     // MIs[0] round
     /* 1228166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1228179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228201 */     // GIR_Coverage, 22872,
     /* 1228201 */     GIR_EraseRootFromParent_Done,
     /* 1228202 */   // Label 17778: @1228202
     /* 1228202 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228282), // Rule ID 22873 //
     /* 1228207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1228224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228246 */     // MIs[0] round
     /* 1228246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1228259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228281 */     // GIR_Coverage, 22873,
     /* 1228281 */     GIR_EraseRootFromParent_Done,
     /* 1228282 */   // Label 17779: @1228282
     /* 1228282 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1228362), // Rule ID 22876 //
     /* 1228287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228326 */     // MIs[0] round
     /* 1228326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228361 */     // GIR_Coverage, 22876,
     /* 1228361 */     GIR_EraseRootFromParent_Done,
     /* 1228362 */   // Label 17780: @1228362
     /* 1228362 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1228442), // Rule ID 22877 //
     /* 1228367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228406 */     // MIs[0] round
     /* 1228406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228441 */     // GIR_Coverage, 22877,
     /* 1228441 */     GIR_EraseRootFromParent_Done,
     /* 1228442 */   // Label 17781: @1228442
     /* 1228442 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1228522), // Rule ID 22880 //
     /* 1228447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228486 */     // MIs[0] round
     /* 1228486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1228499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228521 */     // GIR_Coverage, 22880,
     /* 1228521 */     GIR_EraseRootFromParent_Done,
     /* 1228522 */   // Label 17782: @1228522
     /* 1228522 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1228602), // Rule ID 22881 //
     /* 1228527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228566 */     // MIs[0] round
     /* 1228566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228576 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1228579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228601 */     // GIR_Coverage, 22881,
     /* 1228601 */     GIR_EraseRootFromParent_Done,
     /* 1228602 */   // Label 17783: @1228602
     /* 1228602 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1228682), // Rule ID 22884 //
     /* 1228607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228646 */     // MIs[0] round
     /* 1228646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1228659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228681 */     // GIR_Coverage, 22884,
     /* 1228681 */     GIR_EraseRootFromParent_Done,
     /* 1228682 */   // Label 17784: @1228682
     /* 1228682 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1228762), // Rule ID 22885 //
     /* 1228687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228726 */     // MIs[0] round
     /* 1228726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1228739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228761 */     // GIR_Coverage, 22885,
     /* 1228761 */     GIR_EraseRootFromParent_Done,
     /* 1228762 */   // Label 17785: @1228762
     /* 1228762 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1228842), // Rule ID 22888 //
     /* 1228767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228806 */     // MIs[0] round
     /* 1228806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1228819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228841 */     // GIR_Coverage, 22888,
     /* 1228841 */     GIR_EraseRootFromParent_Done,
     /* 1228842 */   // Label 17786: @1228842
     /* 1228842 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1228922), // Rule ID 22889 //
     /* 1228847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228886 */     // MIs[0] round
     /* 1228886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1228899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228921 */     // GIR_Coverage, 22889,
     /* 1228921 */     GIR_EraseRootFromParent_Done,
     /* 1228922 */   // Label 17787: @1228922
     /* 1228922 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229002), // Rule ID 22892 //
     /* 1228927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228966 */     // MIs[0] round
     /* 1228966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1228979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229001 */     // GIR_Coverage, 22892,
     /* 1229001 */     GIR_EraseRootFromParent_Done,
     /* 1229002 */   // Label 17788: @1229002
     /* 1229002 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229082), // Rule ID 22893 //
     /* 1229007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229046 */     // MIs[0] round
     /* 1229046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1229059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229081 */     // GIR_Coverage, 22893,
     /* 1229081 */     GIR_EraseRootFromParent_Done,
     /* 1229082 */   // Label 17789: @1229082
     /* 1229082 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229162), // Rule ID 22896 //
     /* 1229087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1229090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229126 */     // MIs[0] round
     /* 1229126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1229139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229161 */     // GIR_Coverage, 22896,
     /* 1229161 */     GIR_EraseRootFromParent_Done,
     /* 1229162 */   // Label 17790: @1229162
     /* 1229162 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229242), // Rule ID 22897 //
     /* 1229167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1229170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229206 */     // MIs[0] round
     /* 1229206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1229219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229241 */     // GIR_Coverage, 22897,
     /* 1229241 */     GIR_EraseRootFromParent_Done,
     /* 1229242 */   // Label 17791: @1229242
     /* 1229242 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229322), // Rule ID 22900 //
     /* 1229247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229286 */     // MIs[0] round
     /* 1229286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229321 */     // GIR_Coverage, 22900,
     /* 1229321 */     GIR_EraseRootFromParent_Done,
     /* 1229322 */   // Label 17792: @1229322
     /* 1229322 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1229402), // Rule ID 22901 //
     /* 1229327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229366 */     // MIs[0] round
     /* 1229366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229401 */     // GIR_Coverage, 22901,
     /* 1229401 */     GIR_EraseRootFromParent_Done,
     /* 1229402 */   // Label 17793: @1229402
     /* 1229402 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1229482), // Rule ID 22904 //
     /* 1229407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229446 */     // MIs[0] round
     /* 1229446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229456 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1229459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229481 */     // GIR_Coverage, 22904,
     /* 1229481 */     GIR_EraseRootFromParent_Done,
     /* 1229482 */   // Label 17794: @1229482
     /* 1229482 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1229562), // Rule ID 22905 //
     /* 1229487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229526 */     // MIs[0] round
     /* 1229526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1229539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229561 */     // GIR_Coverage, 22905,
     /* 1229561 */     GIR_EraseRootFromParent_Done,
     /* 1229562 */   // Label 17795: @1229562
     /* 1229562 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1229642), // Rule ID 22908 //
     /* 1229567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229606 */     // MIs[0] round
     /* 1229606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229616 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1229619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229641 */     // GIR_Coverage, 22908,
     /* 1229641 */     GIR_EraseRootFromParent_Done,
     /* 1229642 */   // Label 17796: @1229642
     /* 1229642 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1229722), // Rule ID 22909 //
     /* 1229647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229686 */     // MIs[0] round
     /* 1229686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229696 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1229699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229721 */     // GIR_Coverage, 22909,
     /* 1229721 */     GIR_EraseRootFromParent_Done,
     /* 1229722 */   // Label 17797: @1229722
     /* 1229722 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1229802), // Rule ID 22912 //
     /* 1229727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229766 */     // MIs[0] round
     /* 1229766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1229779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229801 */     // GIR_Coverage, 22912,
     /* 1229801 */     GIR_EraseRootFromParent_Done,
     /* 1229802 */   // Label 17798: @1229802
     /* 1229802 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1229882), // Rule ID 22913 //
     /* 1229807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229846 */     // MIs[0] round
     /* 1229846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1229859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229881 */     // GIR_Coverage, 22913,
     /* 1229881 */     GIR_EraseRootFromParent_Done,
     /* 1229882 */   // Label 17799: @1229882
     /* 1229882 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1229962), // Rule ID 22916 //
     /* 1229887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229926 */     // MIs[0] round
     /* 1229926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1229939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229961 */     // GIR_Coverage, 22916,
     /* 1229961 */     GIR_EraseRootFromParent_Done,
     /* 1229962 */   // Label 17800: @1229962
     /* 1229962 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230042), // Rule ID 22917 //
     /* 1229967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230006 */     // MIs[0] round
     /* 1230006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1230019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230041 */     // GIR_Coverage, 22917,
     /* 1230041 */     GIR_EraseRootFromParent_Done,
     /* 1230042 */   // Label 17801: @1230042
     /* 1230042 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230122), // Rule ID 22920 //
     /* 1230047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230086 */     // MIs[0] round
     /* 1230086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1230099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230121 */     // GIR_Coverage, 22920,
     /* 1230121 */     GIR_EraseRootFromParent_Done,
     /* 1230122 */   // Label 17802: @1230122
     /* 1230122 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230202), // Rule ID 22921 //
     /* 1230127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230166 */     // MIs[0] round
     /* 1230166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1230179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230201 */     // GIR_Coverage, 22921,
     /* 1230201 */     GIR_EraseRootFromParent_Done,
     /* 1230202 */   // Label 17803: @1230202
     /* 1230202 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230282), // Rule ID 22924 //
     /* 1230207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230246 */     // MIs[0] round
     /* 1230246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230281 */     // GIR_Coverage, 22924,
     /* 1230281 */     GIR_EraseRootFromParent_Done,
     /* 1230282 */   // Label 17804: @1230282
     /* 1230282 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1230362), // Rule ID 22925 //
     /* 1230287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230326 */     // MIs[0] round
     /* 1230326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230361 */     // GIR_Coverage, 22925,
     /* 1230361 */     GIR_EraseRootFromParent_Done,
     /* 1230362 */   // Label 17805: @1230362
     /* 1230362 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1230442), // Rule ID 22928 //
     /* 1230367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230406 */     // MIs[0] round
     /* 1230406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230441 */     // GIR_Coverage, 22928,
     /* 1230441 */     GIR_EraseRootFromParent_Done,
     /* 1230442 */   // Label 17806: @1230442
     /* 1230442 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1230522), // Rule ID 22929 //
     /* 1230447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230486 */     // MIs[0] round
     /* 1230486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230521 */     // GIR_Coverage, 22929,
     /* 1230521 */     GIR_EraseRootFromParent_Done,
     /* 1230522 */   // Label 17807: @1230522
     /* 1230522 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1230602), // Rule ID 22932 //
     /* 1230527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1230544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230566 */     // MIs[0] round
     /* 1230566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1230579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230601 */     // GIR_Coverage, 22932,
     /* 1230601 */     GIR_EraseRootFromParent_Done,
     /* 1230602 */   // Label 17808: @1230602
     /* 1230602 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1230682), // Rule ID 22933 //
     /* 1230607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1230624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230646 */     // MIs[0] round
     /* 1230646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1230659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230681 */     // GIR_Coverage, 22933,
     /* 1230681 */     GIR_EraseRootFromParent_Done,
     /* 1230682 */   // Label 17809: @1230682
     /* 1230682 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1230762), // Rule ID 23056 //
     /* 1230687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230726 */     // MIs[0] round
     /* 1230726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1230739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230761 */     // GIR_Coverage, 23056,
     /* 1230761 */     GIR_EraseRootFromParent_Done,
     /* 1230762 */   // Label 17810: @1230762
     /* 1230762 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1230842), // Rule ID 23057 //
     /* 1230767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230806 */     // MIs[0] round
     /* 1230806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1230819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230841 */     // GIR_Coverage, 23057,
     /* 1230841 */     GIR_EraseRootFromParent_Done,
     /* 1230842 */   // Label 17811: @1230842
     /* 1230842 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1230922), // Rule ID 23060 //
     /* 1230847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230886 */     // MIs[0] round
     /* 1230886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1230899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230921 */     // GIR_Coverage, 23060,
     /* 1230921 */     GIR_EraseRootFromParent_Done,
     /* 1230922 */   // Label 17812: @1230922
     /* 1230922 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231002), // Rule ID 23061 //
     /* 1230927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230966 */     // MIs[0] round
     /* 1230966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1230979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231001 */     // GIR_Coverage, 23061,
     /* 1231001 */     GIR_EraseRootFromParent_Done,
     /* 1231002 */   // Label 17813: @1231002
     /* 1231002 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231082), // Rule ID 23064 //
     /* 1231007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231046 */     // MIs[0] round
     /* 1231046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1231059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231081 */     // GIR_Coverage, 23064,
     /* 1231081 */     GIR_EraseRootFromParent_Done,
     /* 1231082 */   // Label 17814: @1231082
     /* 1231082 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231162), // Rule ID 23065 //
     /* 1231087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231126 */     // MIs[0] round
     /* 1231126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1231139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231161 */     // GIR_Coverage, 23065,
     /* 1231161 */     GIR_EraseRootFromParent_Done,
     /* 1231162 */   // Label 17815: @1231162
     /* 1231162 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231242), // Rule ID 23068 //
     /* 1231167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231206 */     // MIs[0] round
     /* 1231206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231241 */     // GIR_Coverage, 23068,
     /* 1231241 */     GIR_EraseRootFromParent_Done,
     /* 1231242 */   // Label 17816: @1231242
     /* 1231242 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1231322), // Rule ID 23069 //
     /* 1231247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231286 */     // MIs[0] round
     /* 1231286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231321 */     // GIR_Coverage, 23069,
     /* 1231321 */     GIR_EraseRootFromParent_Done,
     /* 1231322 */   // Label 17817: @1231322
     /* 1231322 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1231402), // Rule ID 23072 //
     /* 1231327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231366 */     // MIs[0] round
     /* 1231366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231401 */     // GIR_Coverage, 23072,
     /* 1231401 */     GIR_EraseRootFromParent_Done,
     /* 1231402 */   // Label 17818: @1231402
     /* 1231402 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1231482), // Rule ID 23073 //
     /* 1231407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231446 */     // MIs[0] round
     /* 1231446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231481 */     // GIR_Coverage, 23073,
     /* 1231481 */     GIR_EraseRootFromParent_Done,
     /* 1231482 */   // Label 17819: @1231482
     /* 1231482 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1231562), // Rule ID 23076 //
     /* 1231487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231526 */     // MIs[0] round
     /* 1231526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1231539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231561 */     // GIR_Coverage, 23076,
     /* 1231561 */     GIR_EraseRootFromParent_Done,
     /* 1231562 */   // Label 17820: @1231562
     /* 1231562 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1231642), // Rule ID 23077 //
     /* 1231567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231606 */     // MIs[0] round
     /* 1231606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1231619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231641 */     // GIR_Coverage, 23077,
     /* 1231641 */     GIR_EraseRootFromParent_Done,
     /* 1231642 */   // Label 17821: @1231642
     /* 1231642 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1231722), // Rule ID 23080 //
     /* 1231647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231686 */     // MIs[0] round
     /* 1231686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1231699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231721 */     // GIR_Coverage, 23080,
     /* 1231721 */     GIR_EraseRootFromParent_Done,
     /* 1231722 */   // Label 17822: @1231722
     /* 1231722 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1231802), // Rule ID 23081 //
     /* 1231727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231766 */     // MIs[0] round
     /* 1231766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1231779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231801 */     // GIR_Coverage, 23081,
     /* 1231801 */     GIR_EraseRootFromParent_Done,
     /* 1231802 */   // Label 17823: @1231802
     /* 1231802 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1231882), // Rule ID 23084 //
     /* 1231807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231846 */     // MIs[0] round
     /* 1231846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1231859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231881 */     // GIR_Coverage, 23084,
     /* 1231881 */     GIR_EraseRootFromParent_Done,
     /* 1231882 */   // Label 17824: @1231882
     /* 1231882 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1231962), // Rule ID 23085 //
     /* 1231887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231926 */     // MIs[0] round
     /* 1231926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1231939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231961 */     // GIR_Coverage, 23085,
     /* 1231961 */     GIR_EraseRootFromParent_Done,
     /* 1231962 */   // Label 17825: @1231962
     /* 1231962 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232042), // Rule ID 23088 //
     /* 1231967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232006 */     // MIs[0] round
     /* 1232006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1232019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232041 */     // GIR_Coverage, 23088,
     /* 1232041 */     GIR_EraseRootFromParent_Done,
     /* 1232042 */   // Label 17826: @1232042
     /* 1232042 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232122), // Rule ID 23089 //
     /* 1232047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1232064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232086 */     // MIs[0] round
     /* 1232086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1232099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232121 */     // GIR_Coverage, 23089,
     /* 1232121 */     GIR_EraseRootFromParent_Done,
     /* 1232122 */   // Label 17827: @1232122
     /* 1232122 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232202), // Rule ID 23092 //
     /* 1232127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232166 */     // MIs[0] round
     /* 1232166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1232179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232201 */     // GIR_Coverage, 23092,
     /* 1232201 */     GIR_EraseRootFromParent_Done,
     /* 1232202 */   // Label 17828: @1232202
     /* 1232202 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232282), // Rule ID 23093 //
     /* 1232207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232246 */     // MIs[0] round
     /* 1232246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1232259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232281 */     // GIR_Coverage, 23093,
     /* 1232281 */     GIR_EraseRootFromParent_Done,
     /* 1232282 */   // Label 17829: @1232282
     /* 1232282 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1232362), // Rule ID 23096 //
     /* 1232287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232326 */     // MIs[0] round
     /* 1232326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232361 */     // GIR_Coverage, 23096,
     /* 1232361 */     GIR_EraseRootFromParent_Done,
     /* 1232362 */   // Label 17830: @1232362
     /* 1232362 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1232442), // Rule ID 23097 //
     /* 1232367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232406 */     // MIs[0] round
     /* 1232406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232441 */     // GIR_Coverage, 23097,
     /* 1232441 */     GIR_EraseRootFromParent_Done,
     /* 1232442 */   // Label 17831: @1232442
     /* 1232442 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1232522), // Rule ID 23100 //
     /* 1232447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232486 */     // MIs[0] round
     /* 1232486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1232499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232521 */     // GIR_Coverage, 23100,
     /* 1232521 */     GIR_EraseRootFromParent_Done,
     /* 1232522 */   // Label 17832: @1232522
     /* 1232522 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1232602), // Rule ID 23101 //
     /* 1232527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232566 */     // MIs[0] round
     /* 1232566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232576 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1232579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232601 */     // GIR_Coverage, 23101,
     /* 1232601 */     GIR_EraseRootFromParent_Done,
     /* 1232602 */   // Label 17833: @1232602
     /* 1232602 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1232682), // Rule ID 23104 //
     /* 1232607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232646 */     // MIs[0] round
     /* 1232646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1232659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232681 */     // GIR_Coverage, 23104,
     /* 1232681 */     GIR_EraseRootFromParent_Done,
     /* 1232682 */   // Label 17834: @1232682
     /* 1232682 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1232762), // Rule ID 23105 //
     /* 1232687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232726 */     // MIs[0] round
     /* 1232726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1232739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232761 */     // GIR_Coverage, 23105,
     /* 1232761 */     GIR_EraseRootFromParent_Done,
     /* 1232762 */   // Label 17835: @1232762
     /* 1232762 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1232842), // Rule ID 23108 //
     /* 1232767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232806 */     // MIs[0] round
     /* 1232806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1232819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232841 */     // GIR_Coverage, 23108,
     /* 1232841 */     GIR_EraseRootFromParent_Done,
     /* 1232842 */   // Label 17836: @1232842
     /* 1232842 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1232922), // Rule ID 23109 //
     /* 1232847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232886 */     // MIs[0] round
     /* 1232886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1232899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232921 */     // GIR_Coverage, 23109,
     /* 1232921 */     GIR_EraseRootFromParent_Done,
     /* 1232922 */   // Label 17837: @1232922
     /* 1232922 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233002), // Rule ID 23112 //
     /* 1232927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232966 */     // MIs[0] round
     /* 1232966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1232979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233001 */     // GIR_Coverage, 23112,
     /* 1233001 */     GIR_EraseRootFromParent_Done,
     /* 1233002 */   // Label 17838: @1233002
     /* 1233002 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233082), // Rule ID 23113 //
     /* 1233007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233046 */     // MIs[0] round
     /* 1233046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1233059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233081 */     // GIR_Coverage, 23113,
     /* 1233081 */     GIR_EraseRootFromParent_Done,
     /* 1233082 */   // Label 17839: @1233082
     /* 1233082 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233162), // Rule ID 23116 //
     /* 1233087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233126 */     // MIs[0] round
     /* 1233126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1233139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233161 */     // GIR_Coverage, 23116,
     /* 1233161 */     GIR_EraseRootFromParent_Done,
     /* 1233162 */   // Label 17840: @1233162
     /* 1233162 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233242), // Rule ID 23117 //
     /* 1233167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233206 */     // MIs[0] round
     /* 1233206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1233219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233241 */     // GIR_Coverage, 23117,
     /* 1233241 */     GIR_EraseRootFromParent_Done,
     /* 1233242 */   // Label 17841: @1233242
     /* 1233242 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1233322), // Rule ID 23120 //
     /* 1233247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233286 */     // MIs[0] round
     /* 1233286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233321 */     // GIR_Coverage, 23120,
     /* 1233321 */     GIR_EraseRootFromParent_Done,
     /* 1233322 */   // Label 17842: @1233322
     /* 1233322 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1233402), // Rule ID 23121 //
     /* 1233327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233366 */     // MIs[0] round
     /* 1233366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233401 */     // GIR_Coverage, 23121,
     /* 1233401 */     GIR_EraseRootFromParent_Done,
     /* 1233402 */   // Label 17843: @1233402
     /* 1233402 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1233482), // Rule ID 23124 //
     /* 1233407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233446 */     // MIs[0] round
     /* 1233446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1233459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233481 */     // GIR_Coverage, 23124,
     /* 1233481 */     GIR_EraseRootFromParent_Done,
     /* 1233482 */   // Label 17844: @1233482
     /* 1233482 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1233562), // Rule ID 23125 //
     /* 1233487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233526 */     // MIs[0] round
     /* 1233526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1233539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233561 */     // GIR_Coverage, 23125,
     /* 1233561 */     GIR_EraseRootFromParent_Done,
     /* 1233562 */   // Label 17845: @1233562
     /* 1233562 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1233642), // Rule ID 23128 //
     /* 1233567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233606 */     // MIs[0] round
     /* 1233606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1233619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233641 */     // GIR_Coverage, 23128,
     /* 1233641 */     GIR_EraseRootFromParent_Done,
     /* 1233642 */   // Label 17846: @1233642
     /* 1233642 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1233722), // Rule ID 23129 //
     /* 1233647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233686 */     // MIs[0] round
     /* 1233686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1233699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233721 */     // GIR_Coverage, 23129,
     /* 1233721 */     GIR_EraseRootFromParent_Done,
     /* 1233722 */   // Label 17847: @1233722
     /* 1233722 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1233802), // Rule ID 23132 //
     /* 1233727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233766 */     // MIs[0] round
     /* 1233766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233776 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1233779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233801 */     // GIR_Coverage, 23132,
     /* 1233801 */     GIR_EraseRootFromParent_Done,
     /* 1233802 */   // Label 17848: @1233802
     /* 1233802 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1233882), // Rule ID 23133 //
     /* 1233807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233846 */     // MIs[0] round
     /* 1233846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1233859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233881 */     // GIR_Coverage, 23133,
     /* 1233881 */     GIR_EraseRootFromParent_Done,
     /* 1233882 */   // Label 17849: @1233882
     /* 1233882 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1233962), // Rule ID 23136 //
     /* 1233887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233926 */     // MIs[0] round
     /* 1233926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1233939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233961 */     // GIR_Coverage, 23136,
     /* 1233961 */     GIR_EraseRootFromParent_Done,
     /* 1233962 */   // Label 17850: @1233962
     /* 1233962 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234042), // Rule ID 23137 //
     /* 1233967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234006 */     // MIs[0] round
     /* 1234006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1234019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234041 */     // GIR_Coverage, 23137,
     /* 1234041 */     GIR_EraseRootFromParent_Done,
     /* 1234042 */   // Label 17851: @1234042
     /* 1234042 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234122), // Rule ID 23140 //
     /* 1234047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234086 */     // MIs[0] round
     /* 1234086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1234099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234121 */     // GIR_Coverage, 23140,
     /* 1234121 */     GIR_EraseRootFromParent_Done,
     /* 1234122 */   // Label 17852: @1234122
     /* 1234122 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234202), // Rule ID 23141 //
     /* 1234127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234166 */     // MIs[0] round
     /* 1234166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1234179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234201 */     // GIR_Coverage, 23141,
     /* 1234201 */     GIR_EraseRootFromParent_Done,
     /* 1234202 */   // Label 17853: @1234202
     /* 1234202 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1234282), // Rule ID 64345 //
     /* 1234207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234246 */     // MIs[0] round
     /* 1234246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1234259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234281 */     // GIR_Coverage, 64345,
     /* 1234281 */     GIR_EraseRootFromParent_Done,
     /* 1234282 */   // Label 17854: @1234282
     /* 1234282 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1234362), // Rule ID 64346 //
     /* 1234287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234326 */     // MIs[0] round
     /* 1234326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1234339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234361 */     // GIR_Coverage, 64346,
     /* 1234361 */     GIR_EraseRootFromParent_Done,
     /* 1234362 */   // Label 17855: @1234362
     /* 1234362 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1234442), // Rule ID 64349 //
     /* 1234367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234406 */     // MIs[0] round
     /* 1234406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1234419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234441 */     // GIR_Coverage, 64349,
     /* 1234441 */     GIR_EraseRootFromParent_Done,
     /* 1234442 */   // Label 17856: @1234442
     /* 1234442 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1234522), // Rule ID 64350 //
     /* 1234447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234486 */     // MIs[0] round
     /* 1234486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1234499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234521 */     // GIR_Coverage, 64350,
     /* 1234521 */     GIR_EraseRootFromParent_Done,
     /* 1234522 */   // Label 17857: @1234522
     /* 1234522 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1234602), // Rule ID 64353 //
     /* 1234527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234566 */     // MIs[0] round
     /* 1234566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234576 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1234579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234601 */     // GIR_Coverage, 64353,
     /* 1234601 */     GIR_EraseRootFromParent_Done,
     /* 1234602 */   // Label 17858: @1234602
     /* 1234602 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1234682), // Rule ID 64354 //
     /* 1234607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234646 */     // MIs[0] round
     /* 1234646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1234659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234681 */     // GIR_Coverage, 64354,
     /* 1234681 */     GIR_EraseRootFromParent_Done,
     /* 1234682 */   // Label 17859: @1234682
     /* 1234682 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1234762), // Rule ID 64357 //
     /* 1234687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234726 */     // MIs[0] round
     /* 1234726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1234739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234761 */     // GIR_Coverage, 64357,
     /* 1234761 */     GIR_EraseRootFromParent_Done,
     /* 1234762 */   // Label 17860: @1234762
     /* 1234762 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1234842), // Rule ID 64358 //
     /* 1234767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234806 */     // MIs[0] round
     /* 1234806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1234819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234841 */     // GIR_Coverage, 64358,
     /* 1234841 */     GIR_EraseRootFromParent_Done,
     /* 1234842 */   // Label 17861: @1234842
     /* 1234842 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1234922), // Rule ID 64361 //
     /* 1234847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234886 */     // MIs[0] round
     /* 1234886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1234899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234921 */     // GIR_Coverage, 64361,
     /* 1234921 */     GIR_EraseRootFromParent_Done,
     /* 1234922 */   // Label 17862: @1234922
     /* 1234922 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235002), // Rule ID 64362 //
     /* 1234927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234966 */     // MIs[0] round
     /* 1234966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1234979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235001 */     // GIR_Coverage, 64362,
     /* 1235001 */     GIR_EraseRootFromParent_Done,
     /* 1235002 */   // Label 17863: @1235002
     /* 1235002 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235082), // Rule ID 64365 //
     /* 1235007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235046 */     // MIs[0] round
     /* 1235046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1235059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235081 */     // GIR_Coverage, 64365,
     /* 1235081 */     GIR_EraseRootFromParent_Done,
     /* 1235082 */   // Label 17864: @1235082
     /* 1235082 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235162), // Rule ID 64366 //
     /* 1235087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235126 */     // MIs[0] round
     /* 1235126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1235139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235161 */     // GIR_Coverage, 64366,
     /* 1235161 */     GIR_EraseRootFromParent_Done,
     /* 1235162 */   // Label 17865: @1235162
     /* 1235162 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235242), // Rule ID 64369 //
     /* 1235167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235206 */     // MIs[0] round
     /* 1235206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1235219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235241 */     // GIR_Coverage, 64369,
     /* 1235241 */     GIR_EraseRootFromParent_Done,
     /* 1235242 */   // Label 17866: @1235242
     /* 1235242 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1235322), // Rule ID 64370 //
     /* 1235247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235286 */     // MIs[0] round
     /* 1235286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1235299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235321 */     // GIR_Coverage, 64370,
     /* 1235321 */     GIR_EraseRootFromParent_Done,
     /* 1235322 */   // Label 17867: @1235322
     /* 1235322 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1235402), // Rule ID 64373 //
     /* 1235327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235366 */     // MIs[0] round
     /* 1235366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1235379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235401 */     // GIR_Coverage, 64373,
     /* 1235401 */     GIR_EraseRootFromParent_Done,
     /* 1235402 */   // Label 17868: @1235402
     /* 1235402 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1235482), // Rule ID 64374 //
     /* 1235407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235446 */     // MIs[0] round
     /* 1235446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1235459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235481 */     // GIR_Coverage, 64374,
     /* 1235481 */     GIR_EraseRootFromParent_Done,
     /* 1235482 */   // Label 17869: @1235482
     /* 1235482 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1235562), // Rule ID 64377 //
     /* 1235487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235526 */     // MIs[0] round
     /* 1235526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1235539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235561 */     // GIR_Coverage, 64377,
     /* 1235561 */     GIR_EraseRootFromParent_Done,
     /* 1235562 */   // Label 17870: @1235562
     /* 1235562 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1235642), // Rule ID 64378 //
     /* 1235567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235606 */     // MIs[0] round
     /* 1235606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1235619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235641 */     // GIR_Coverage, 64378,
     /* 1235641 */     GIR_EraseRootFromParent_Done,
     /* 1235642 */   // Label 17871: @1235642
     /* 1235642 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1235722), // Rule ID 64381 //
     /* 1235647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235686 */     // MIs[0] round
     /* 1235686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1235699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235721 */     // GIR_Coverage, 64381,
     /* 1235721 */     GIR_EraseRootFromParent_Done,
     /* 1235722 */   // Label 17872: @1235722
     /* 1235722 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1235802), // Rule ID 64382 //
     /* 1235727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235766 */     // MIs[0] round
     /* 1235766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1235779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235801 */     // GIR_Coverage, 64382,
     /* 1235801 */     GIR_EraseRootFromParent_Done,
     /* 1235802 */   // Label 17873: @1235802
     /* 1235802 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1235882), // Rule ID 65057 //
     /* 1235807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1235810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1235815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235846 */     // MIs[0] round
     /* 1235846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1235859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235881 */     // GIR_Coverage, 65057,
     /* 1235881 */     GIR_EraseRootFromParent_Done,
     /* 1235882 */   // Label 17874: @1235882
     /* 1235882 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1235962), // Rule ID 65058 //
     /* 1235887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1235890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1235895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235926 */     // MIs[0] round
     /* 1235926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1235939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235961 */     // GIR_Coverage, 65058,
     /* 1235961 */     GIR_EraseRootFromParent_Done,
     /* 1235962 */   // Label 17875: @1235962
     /* 1235962 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236042), // Rule ID 65061 //
     /* 1235967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1235970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1235975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1235978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1235981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236006 */     // MIs[0] round
     /* 1236006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1236019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236041 */     // GIR_Coverage, 65061,
     /* 1236041 */     GIR_EraseRootFromParent_Done,
     /* 1236042 */   // Label 17876: @1236042
     /* 1236042 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236122), // Rule ID 65062 //
     /* 1236047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236086 */     // MIs[0] round
     /* 1236086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1236099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236121 */     // GIR_Coverage, 65062,
     /* 1236121 */     GIR_EraseRootFromParent_Done,
     /* 1236122 */   // Label 17877: @1236122
     /* 1236122 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236202), // Rule ID 65065 //
     /* 1236127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236166 */     // MIs[0] round
     /* 1236166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1236179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236201 */     // GIR_Coverage, 65065,
     /* 1236201 */     GIR_EraseRootFromParent_Done,
     /* 1236202 */   // Label 17878: @1236202
     /* 1236202 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1236282), // Rule ID 65066 //
     /* 1236207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236246 */     // MIs[0] round
     /* 1236246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10988:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1236259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236281 */     // GIR_Coverage, 65066,
     /* 1236281 */     GIR_EraseRootFromParent_Done,
     /* 1236282 */   // Label 17879: @1236282
     /* 1236282 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1236362), // Rule ID 65069 //
     /* 1236287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236326 */     // MIs[0] round
     /* 1236326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236336 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10988:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1236339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236361 */     // GIR_Coverage, 65069,
     /* 1236361 */     GIR_EraseRootFromParent_Done,
     /* 1236362 */   // Label 17880: @1236362
     /* 1236362 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1236442), // Rule ID 65070 //
     /* 1236367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236406 */     // MIs[0] round
     /* 1236406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10988:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1236419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236441 */     // GIR_Coverage, 65070,
     /* 1236441 */     GIR_EraseRootFromParent_Done,
     /* 1236442 */   // Label 17881: @1236442
     /* 1236442 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1236522), // Rule ID 65073 //
     /* 1236447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1236458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1236461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236486 */     // MIs[0] round
     /* 1236486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10988:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1236499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236521 */     // GIR_Coverage, 65073,
     /* 1236521 */     GIR_EraseRootFromParent_Done,
     /* 1236522 */   // Label 17882: @1236522
     /* 1236522 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1236602), // Rule ID 65074 //
     /* 1236527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1236538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1236541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236566 */     // MIs[0] round
     /* 1236566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10988:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1236579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236601 */     // GIR_Coverage, 65074,
     /* 1236601 */     GIR_EraseRootFromParent_Done,
     /* 1236602 */   // Label 17883: @1236602
     /* 1236602 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1236682), // Rule ID 65077 //
     /* 1236607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1236618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1236621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236646 */     // MIs[0] round
     /* 1236646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236656 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10988:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1236659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236681 */     // GIR_Coverage, 65077,
     /* 1236681 */     GIR_EraseRootFromParent_Done,
     /* 1236682 */   // Label 17884: @1236682
     /* 1236682 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1236762), // Rule ID 65078 //
     /* 1236687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1236698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1236701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236726 */     // MIs[0] round
     /* 1236726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236736 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10988:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1236739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236761 */     // GIR_Coverage, 65078,
     /* 1236761 */     GIR_EraseRootFromParent_Done,
     /* 1236762 */   // Label 17885: @1236762
     /* 1236762 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1236842), // Rule ID 65081 //
     /* 1236767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1236775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236806 */     // MIs[0] round
     /* 1236806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1236819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236841 */     // GIR_Coverage, 65081,
     /* 1236841 */     GIR_EraseRootFromParent_Done,
     /* 1236842 */   // Label 17886: @1236842
     /* 1236842 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1236922), // Rule ID 65082 //
     /* 1236847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1236855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236886 */     // MIs[0] round
     /* 1236886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236896 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1236899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236921 */     // GIR_Coverage, 65082,
     /* 1236921 */     GIR_EraseRootFromParent_Done,
     /* 1236922 */   // Label 17887: @1236922
     /* 1236922 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237002), // Rule ID 65085 //
     /* 1236927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1236935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236966 */     // MIs[0] round
     /* 1236966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236976 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1236979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237001 */     // GIR_Coverage, 65085,
     /* 1237001 */     GIR_EraseRootFromParent_Done,
     /* 1237002 */   // Label 17888: @1237002
     /* 1237002 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237082), // Rule ID 65086 //
     /* 1237007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1237018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1237021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237046 */     // MIs[0] round
     /* 1237046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237056 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1237059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237081 */     // GIR_Coverage, 65086,
     /* 1237081 */     GIR_EraseRootFromParent_Done,
     /* 1237082 */   // Label 17889: @1237082
     /* 1237082 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237162), // Rule ID 65089 //
     /* 1237087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237126 */     // MIs[0] round
     /* 1237126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1237139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237161 */     // GIR_Coverage, 65089,
     /* 1237161 */     GIR_EraseRootFromParent_Done,
     /* 1237162 */   // Label 17890: @1237162
     /* 1237162 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1237242), // Rule ID 65090 //
     /* 1237167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237206 */     // MIs[0] round
     /* 1237206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10986:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1237219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237241 */     // GIR_Coverage, 65090,
     /* 1237241 */     GIR_EraseRootFromParent_Done,
     /* 1237242 */   // Label 17891: @1237242
     /* 1237242 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1237322), // Rule ID 65093 //
     /* 1237247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237286 */     // MIs[0] round
     /* 1237286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237296 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10986:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1237299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237321 */     // GIR_Coverage, 65093,
     /* 1237321 */     GIR_EraseRootFromParent_Done,
     /* 1237322 */   // Label 17892: @1237322
     /* 1237322 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1237402), // Rule ID 65094 //
     /* 1237327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237366 */     // MIs[0] round
     /* 1237366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237376 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10986:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1237379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237401 */     // GIR_Coverage, 65094,
     /* 1237401 */     GIR_EraseRootFromParent_Done,
     /* 1237402 */   // Label 17893: @1237402
     /* 1237402 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1237482), // Rule ID 65097 //
     /* 1237407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237446 */     // MIs[0] round
     /* 1237446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10986:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1237459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237481 */     // GIR_Coverage, 65097,
     /* 1237481 */     GIR_EraseRootFromParent_Done,
     /* 1237482 */   // Label 17894: @1237482
     /* 1237482 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1237562), // Rule ID 65098 //
     /* 1237487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237526 */     // MIs[0] round
     /* 1237526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237536 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10986:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1237539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237561 */     // GIR_Coverage, 65098,
     /* 1237561 */     GIR_EraseRootFromParent_Done,
     /* 1237562 */   // Label 17895: @1237562
     /* 1237562 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1237642), // Rule ID 65101 //
     /* 1237567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237606 */     // MIs[0] round
     /* 1237606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10986:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1237619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237641 */     // GIR_Coverage, 65101,
     /* 1237641 */     GIR_EraseRootFromParent_Done,
     /* 1237642 */   // Label 17896: @1237642
     /* 1237642 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1237722), // Rule ID 65102 //
     /* 1237647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237686 */     // MIs[0] round
     /* 1237686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10986:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1237699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237721 */     // GIR_Coverage, 65102,
     /* 1237721 */     GIR_EraseRootFromParent_Done,
     /* 1237722 */   // Label 17897: @1237722
     /* 1237722 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1237806), // Rule ID 2708 //
     /* 1237727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1237735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1237780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1237783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1237804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237805 */     // GIR_Coverage, 2708,
     /* 1237805 */     GIR_EraseRootFromParent_Done,
     /* 1237806 */   // Label 17898: @1237806
     /* 1237806 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1237890), // Rule ID 2709 //
     /* 1237811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1237819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1237864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1237867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1237888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237889 */     // GIR_Coverage, 2709,
     /* 1237889 */     GIR_EraseRootFromParent_Done,
     /* 1237890 */   // Label 17899: @1237890
     /* 1237890 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1237974), // Rule ID 2720 //
     /* 1237895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1237903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1237948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1237951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1237957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1237959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1237972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237973 */     // GIR_Coverage, 2720,
     /* 1237973 */     GIR_EraseRootFromParent_Done,
     /* 1237974 */   // Label 17900: @1237974
     /* 1237974 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238058), // Rule ID 2721 //
     /* 1237979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1237987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1238032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1238035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1238041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1238043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1238056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238057 */     // GIR_Coverage, 2721,
     /* 1238057 */     GIR_EraseRootFromParent_Done,
     /* 1238058 */   // Label 17901: @1238058
     /* 1238058 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238139), // Rule ID 2722 //
     /* 1238063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1238119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238138 */     // GIR_Coverage, 2722,
     /* 1238138 */     GIR_EraseRootFromParent_Done,
     /* 1238139 */   // Label 17902: @1238139
     /* 1238139 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238220), // Rule ID 2723 //
     /* 1238144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1238200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238219 */     // GIR_Coverage, 2723,
     /* 1238219 */     GIR_EraseRootFromParent_Done,
     /* 1238220 */   // Label 17903: @1238220
     /* 1238220 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1238304), // Rule ID 2772 //
     /* 1238225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1238233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1238281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238303 */     // GIR_Coverage, 2772,
     /* 1238303 */     GIR_EraseRootFromParent_Done,
     /* 1238304 */   // Label 17904: @1238304
     /* 1238304 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1238388), // Rule ID 2773 //
     /* 1238309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1238317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1238365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238387 */     // GIR_Coverage, 2773,
     /* 1238387 */     GIR_EraseRootFromParent_Done,
     /* 1238388 */   // Label 17905: @1238388
     /* 1238388 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1238469), // Rule ID 5108 //
     /* 1238393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238468 */     // GIR_Coverage, 5108,
     /* 1238468 */     GIR_EraseRootFromParent_Done,
     /* 1238469 */   // Label 17906: @1238469
     /* 1238469 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1238550), // Rule ID 5109 //
     /* 1238474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238549 */     // GIR_Coverage, 5109,
     /* 1238549 */     GIR_EraseRootFromParent_Done,
     /* 1238550 */   // Label 17907: @1238550
     /* 1238550 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1238631), // Rule ID 5110 //
     /* 1238555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1238566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1238569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1238572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1238575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1238611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238630 */     // GIR_Coverage, 5110,
     /* 1238630 */     GIR_EraseRootFromParent_Done,
     /* 1238631 */   // Label 17908: @1238631
     /* 1238631 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1238712), // Rule ID 5111 //
     /* 1238636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1238647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1238650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1238653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1238656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1238692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238711 */     // GIR_Coverage, 5111,
     /* 1238711 */     GIR_EraseRootFromParent_Done,
     /* 1238712 */   // Label 17909: @1238712
     /* 1238712 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1238793), // Rule ID 5112 //
     /* 1238717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1238728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1238731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1238734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1238737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238792 */     // GIR_Coverage, 5112,
     /* 1238792 */     GIR_EraseRootFromParent_Done,
     /* 1238793 */   // Label 17910: @1238793
     /* 1238793 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1238874), // Rule ID 5113 //
     /* 1238798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1238809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1238812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1238815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1238818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238851 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238873 */     // GIR_Coverage, 5113,
     /* 1238873 */     GIR_EraseRootFromParent_Done,
     /* 1238874 */   // Label 17911: @1238874
     /* 1238874 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1238955), // Rule ID 5114 //
     /* 1238879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1238890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1238893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1238896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1238899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1238935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238954 */     // GIR_Coverage, 5114,
     /* 1238954 */     GIR_EraseRootFromParent_Done,
     /* 1238955 */   // Label 17912: @1238955
     /* 1238955 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239036), // Rule ID 5115 //
     /* 1238960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1238971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1238974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1238977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1238980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239013 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239035 */     // GIR_Coverage, 5115,
     /* 1239035 */     GIR_EraseRootFromParent_Done,
     /* 1239036 */   // Label 17913: @1239036
     /* 1239036 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239117), // Rule ID 5116 //
     /* 1239041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239116 */     // GIR_Coverage, 5116,
     /* 1239116 */     GIR_EraseRootFromParent_Done,
     /* 1239117 */   // Label 17914: @1239117
     /* 1239117 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239198), // Rule ID 5117 //
     /* 1239122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239197 */     // GIR_Coverage, 5117,
     /* 1239197 */     GIR_EraseRootFromParent_Done,
     /* 1239198 */   // Label 17915: @1239198
     /* 1239198 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1239279), // Rule ID 5118 //
     /* 1239203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239278 */     // GIR_Coverage, 5118,
     /* 1239278 */     GIR_EraseRootFromParent_Done,
     /* 1239279 */   // Label 17916: @1239279
     /* 1239279 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1239360), // Rule ID 5119 //
     /* 1239284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239337 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239359 */     // GIR_Coverage, 5119,
     /* 1239359 */     GIR_EraseRootFromParent_Done,
     /* 1239360 */   // Label 17917: @1239360
     /* 1239360 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1239441), // Rule ID 5120 //
     /* 1239365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239440 */     // GIR_Coverage, 5120,
     /* 1239440 */     GIR_EraseRootFromParent_Done,
     /* 1239441 */   // Label 17918: @1239441
     /* 1239441 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1239522), // Rule ID 5121 //
     /* 1239446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239521 */     // GIR_Coverage, 5121,
     /* 1239521 */     GIR_EraseRootFromParent_Done,
     /* 1239522 */   // Label 17919: @1239522
     /* 1239522 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1239603), // Rule ID 5122 //
     /* 1239527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1239538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1239541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1239547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239602 */     // GIR_Coverage, 5122,
     /* 1239602 */     GIR_EraseRootFromParent_Done,
     /* 1239603 */   // Label 17920: @1239603
     /* 1239603 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1239684), // Rule ID 5123 //
     /* 1239608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1239619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1239622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1239628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239683 */     // GIR_Coverage, 5123,
     /* 1239683 */     GIR_EraseRootFromParent_Done,
     /* 1239684 */   // Label 17921: @1239684
     /* 1239684 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1239765), // Rule ID 5124 //
     /* 1239689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1239700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1239703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1239706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1239709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239764 */     // GIR_Coverage, 5124,
     /* 1239764 */     GIR_EraseRootFromParent_Done,
     /* 1239765 */   // Label 17922: @1239765
     /* 1239765 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1239846), // Rule ID 5125 //
     /* 1239770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1239781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1239784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1239787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1239790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239845 */     // GIR_Coverage, 5125,
     /* 1239845 */     GIR_EraseRootFromParent_Done,
     /* 1239846 */   // Label 17923: @1239846
     /* 1239846 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1239927), // Rule ID 5126 //
     /* 1239851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1239868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1239871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1239907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239926 */     // GIR_Coverage, 5126,
     /* 1239926 */     GIR_EraseRootFromParent_Done,
     /* 1239927 */   // Label 17924: @1239927
     /* 1239927 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240008), // Rule ID 5127 //
     /* 1239932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1239949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1239952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1239988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240007 */     // GIR_Coverage, 5127,
     /* 1240007 */     GIR_EraseRootFromParent_Done,
     /* 1240008 */   // Label 17925: @1240008
     /* 1240008 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240089), // Rule ID 5128 //
     /* 1240013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240066 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240088 */     // GIR_Coverage, 5128,
     /* 1240088 */     GIR_EraseRootFromParent_Done,
     /* 1240089 */   // Label 17926: @1240089
     /* 1240089 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240170), // Rule ID 5129 //
     /* 1240094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240169 */     // GIR_Coverage, 5129,
     /* 1240169 */     GIR_EraseRootFromParent_Done,
     /* 1240170 */   // Label 17927: @1240170
     /* 1240170 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1240251), // Rule ID 5130 //
     /* 1240175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240250 */     // GIR_Coverage, 5130,
     /* 1240250 */     GIR_EraseRootFromParent_Done,
     /* 1240251 */   // Label 17928: @1240251
     /* 1240251 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1240332), // Rule ID 5131 //
     /* 1240256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240331 */     // GIR_Coverage, 5131,
     /* 1240331 */     GIR_EraseRootFromParent_Done,
     /* 1240332 */   // Label 17929: @1240332
     /* 1240332 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1240413), // Rule ID 5132 //
     /* 1240337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240412 */     // GIR_Coverage, 5132,
     /* 1240412 */     GIR_EraseRootFromParent_Done,
     /* 1240413 */   // Label 17930: @1240413
     /* 1240413 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1240494), // Rule ID 5133 //
     /* 1240418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240493 */     // GIR_Coverage, 5133,
     /* 1240493 */     GIR_EraseRootFromParent_Done,
     /* 1240494 */   // Label 17931: @1240494
     /* 1240494 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1240575), // Rule ID 5134 //
     /* 1240499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1240510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1240513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1240519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240574 */     // GIR_Coverage, 5134,
     /* 1240574 */     GIR_EraseRootFromParent_Done,
     /* 1240575 */   // Label 17932: @1240575
     /* 1240575 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1240656), // Rule ID 5135 //
     /* 1240580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1240591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1240594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1240600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240655 */     // GIR_Coverage, 5135,
     /* 1240655 */     GIR_EraseRootFromParent_Done,
     /* 1240656 */   // Label 17933: @1240656
     /* 1240656 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1240737), // Rule ID 5136 //
     /* 1240661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1240672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1240675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1240678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1240681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240736 */     // GIR_Coverage, 5136,
     /* 1240736 */     GIR_EraseRootFromParent_Done,
     /* 1240737 */   // Label 17934: @1240737
     /* 1240737 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1240818), // Rule ID 5137 //
     /* 1240742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1240753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1240756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1240759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1240762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240817 */     // GIR_Coverage, 5137,
     /* 1240817 */     GIR_EraseRootFromParent_Done,
     /* 1240818 */   // Label 17935: @1240818
     /* 1240818 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1240899), // Rule ID 5138 //
     /* 1240823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1240834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1240837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1240843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240898 */     // GIR_Coverage, 5138,
     /* 1240898 */     GIR_EraseRootFromParent_Done,
     /* 1240899 */   // Label 17936: @1240899
     /* 1240899 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1240980), // Rule ID 5139 //
     /* 1240904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1240915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1240918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1240924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240979 */     // GIR_Coverage, 5139,
     /* 1240979 */     GIR_EraseRootFromParent_Done,
     /* 1240980 */   // Label 17937: @1240980
     /* 1240980 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241061), // Rule ID 5140 //
     /* 1240985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1240996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1240999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241060 */     // GIR_Coverage, 5140,
     /* 1241060 */     GIR_EraseRootFromParent_Done,
     /* 1241061 */   // Label 17938: @1241061
     /* 1241061 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241142), // Rule ID 5141 //
     /* 1241066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241141 */     // GIR_Coverage, 5141,
     /* 1241141 */     GIR_EraseRootFromParent_Done,
     /* 1241142 */   // Label 17939: @1241142
     /* 1241142 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241223), // Rule ID 5142 //
     /* 1241147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241222 */     // GIR_Coverage, 5142,
     /* 1241222 */     GIR_EraseRootFromParent_Done,
     /* 1241223 */   // Label 17940: @1241223
     /* 1241223 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1241304), // Rule ID 5143 //
     /* 1241228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241303 */     // GIR_Coverage, 5143,
     /* 1241303 */     GIR_EraseRootFromParent_Done,
     /* 1241304 */   // Label 17941: @1241304
     /* 1241304 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1241385), // Rule ID 5144 //
     /* 1241309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241384 */     // GIR_Coverage, 5144,
     /* 1241384 */     GIR_EraseRootFromParent_Done,
     /* 1241385 */   // Label 17942: @1241385
     /* 1241385 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1241466), // Rule ID 5145 //
     /* 1241390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241465 */     // GIR_Coverage, 5145,
     /* 1241465 */     GIR_EraseRootFromParent_Done,
     /* 1241466 */   // Label 17943: @1241466
     /* 1241466 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1241547), // Rule ID 5146 //
     /* 1241471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241546 */     // GIR_Coverage, 5146,
     /* 1241546 */     GIR_EraseRootFromParent_Done,
     /* 1241547 */   // Label 17944: @1241547
     /* 1241547 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1241628), // Rule ID 5147 //
     /* 1241552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241605 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241627 */     // GIR_Coverage, 5147,
     /* 1241627 */     GIR_EraseRootFromParent_Done,
     /* 1241628 */   // Label 17945: @1241628
     /* 1241628 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1241709), // Rule ID 5148 //
     /* 1241633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1241644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1241647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1241650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1241653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241708 */     // GIR_Coverage, 5148,
     /* 1241708 */     GIR_EraseRootFromParent_Done,
     /* 1241709 */   // Label 17946: @1241709
     /* 1241709 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1241790), // Rule ID 5149 //
     /* 1241714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1241725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1241728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1241731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1241734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241789 */     // GIR_Coverage, 5149,
     /* 1241789 */     GIR_EraseRootFromParent_Done,
     /* 1241790 */   // Label 17947: @1241790
     /* 1241790 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1241871), // Rule ID 5150 //
     /* 1241795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1241806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1241809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1241812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1241851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241870 */     // GIR_Coverage, 5150,
     /* 1241870 */     GIR_EraseRootFromParent_Done,
     /* 1241871 */   // Label 17948: @1241871
     /* 1241871 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1241952), // Rule ID 5151 //
     /* 1241876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1241887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1241890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1241893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1241932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241951 */     // GIR_Coverage, 5151,
     /* 1241951 */     GIR_EraseRootFromParent_Done,
     /* 1241952 */   // Label 17949: @1241952
     /* 1241952 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242033), // Rule ID 5152 //
     /* 1241957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1241968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1241971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1241974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242010 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242032 */     // GIR_Coverage, 5152,
     /* 1242032 */     GIR_EraseRootFromParent_Done,
     /* 1242033 */   // Label 17950: @1242033
     /* 1242033 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242114), // Rule ID 5153 //
     /* 1242038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242091 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242113 */     // GIR_Coverage, 5153,
     /* 1242113 */     GIR_EraseRootFromParent_Done,
     /* 1242114 */   // Label 17951: @1242114
     /* 1242114 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242195), // Rule ID 5154 //
     /* 1242119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242194 */     // GIR_Coverage, 5154,
     /* 1242194 */     GIR_EraseRootFromParent_Done,
     /* 1242195 */   // Label 17952: @1242195
     /* 1242195 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1242276), // Rule ID 5155 //
     /* 1242200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242275 */     // GIR_Coverage, 5155,
     /* 1242275 */     GIR_EraseRootFromParent_Done,
     /* 1242276 */   // Label 17953: @1242276
     /* 1242276 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1242357), // Rule ID 5156 //
     /* 1242281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242356 */     // GIR_Coverage, 5156,
     /* 1242356 */     GIR_EraseRootFromParent_Done,
     /* 1242357 */   // Label 17954: @1242357
     /* 1242357 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1242438), // Rule ID 5157 //
     /* 1242362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242437 */     // GIR_Coverage, 5157,
     /* 1242437 */     GIR_EraseRootFromParent_Done,
     /* 1242438 */   // Label 17955: @1242438
     /* 1242438 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1242519), // Rule ID 5158 //
     /* 1242443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242518 */     // GIR_Coverage, 5158,
     /* 1242518 */     GIR_EraseRootFromParent_Done,
     /* 1242519 */   // Label 17956: @1242519
     /* 1242519 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1242600), // Rule ID 5159 //
     /* 1242524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242599 */     // GIR_Coverage, 5159,
     /* 1242599 */     GIR_EraseRootFromParent_Done,
     /* 1242600 */   // Label 17957: @1242600
     /* 1242600 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1242681), // Rule ID 5160 //
     /* 1242605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1242616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1242619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1242622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242680 */     // GIR_Coverage, 5160,
     /* 1242680 */     GIR_EraseRootFromParent_Done,
     /* 1242681 */   // Label 17958: @1242681
     /* 1242681 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1242762), // Rule ID 5161 //
     /* 1242686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1242697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1242700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1242703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242761 */     // GIR_Coverage, 5161,
     /* 1242761 */     GIR_EraseRootFromParent_Done,
     /* 1242762 */   // Label 17959: @1242762
     /* 1242762 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1242843), // Rule ID 5162 //
     /* 1242767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1242778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1242823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242842 */     // GIR_Coverage, 5162,
     /* 1242842 */     GIR_EraseRootFromParent_Done,
     /* 1242843 */   // Label 17960: @1242843
     /* 1242843 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1242924), // Rule ID 5163 //
     /* 1242848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1242859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1242904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242923 */     // GIR_Coverage, 5163,
     /* 1242923 */     GIR_EraseRootFromParent_Done,
     /* 1242924 */   // Label 17961: @1242924
     /* 1242924 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243005), // Rule ID 5164 //
     /* 1242929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1242940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1242943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1242985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243004 */     // GIR_Coverage, 5164,
     /* 1243004 */     GIR_EraseRootFromParent_Done,
     /* 1243005 */   // Label 17962: @1243005
     /* 1243005 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243086), // Rule ID 5165 //
     /* 1243010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243085 */     // GIR_Coverage, 5165,
     /* 1243085 */     GIR_EraseRootFromParent_Done,
     /* 1243086 */   // Label 17963: @1243086
     /* 1243086 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243167), // Rule ID 5166 //
     /* 1243091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243166 */     // GIR_Coverage, 5166,
     /* 1243166 */     GIR_EraseRootFromParent_Done,
     /* 1243167 */   // Label 17964: @1243167
     /* 1243167 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1243248), // Rule ID 5167 //
     /* 1243172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243247 */     // GIR_Coverage, 5167,
     /* 1243247 */     GIR_EraseRootFromParent_Done,
     /* 1243248 */   // Label 17965: @1243248
     /* 1243248 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1243329), // Rule ID 5168 //
     /* 1243253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243328 */     // GIR_Coverage, 5168,
     /* 1243328 */     GIR_EraseRootFromParent_Done,
     /* 1243329 */   // Label 17966: @1243329
     /* 1243329 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1243410), // Rule ID 5169 //
     /* 1243334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243409 */     // GIR_Coverage, 5169,
     /* 1243409 */     GIR_EraseRootFromParent_Done,
     /* 1243410 */   // Label 17967: @1243410
     /* 1243410 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1243491), // Rule ID 5170 //
     /* 1243415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1243471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243490 */     // GIR_Coverage, 5170,
     /* 1243490 */     GIR_EraseRootFromParent_Done,
     /* 1243491 */   // Label 17968: @1243491
     /* 1243491 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1243572), // Rule ID 5171 //
     /* 1243496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1243552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243571 */     // GIR_Coverage, 5171,
     /* 1243571 */     GIR_EraseRootFromParent_Done,
     /* 1243572 */   // Label 17969: @1243572
     /* 1243572 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1243653), // Rule ID 5172 //
     /* 1243577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1243588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1243591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1243594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1243633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243652 */     // GIR_Coverage, 5172,
     /* 1243652 */     GIR_EraseRootFromParent_Done,
     /* 1243653 */   // Label 17970: @1243653
     /* 1243653 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1243734), // Rule ID 5173 //
     /* 1243658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1243669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1243672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1243675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1243714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243733 */     // GIR_Coverage, 5173,
     /* 1243733 */     GIR_EraseRootFromParent_Done,
     /* 1243734 */   // Label 17971: @1243734
     /* 1243734 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1243815), // Rule ID 5174 //
     /* 1243739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1243750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1243753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1243756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1243762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1243795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243814 */     // GIR_Coverage, 5174,
     /* 1243814 */     GIR_EraseRootFromParent_Done,
     /* 1243815 */   // Label 17972: @1243815
     /* 1243815 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1243896), // Rule ID 5175 //
     /* 1243820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1243831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1243834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1243837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1243843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243873 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1243876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243895 */     // GIR_Coverage, 5175,
     /* 1243895 */     GIR_EraseRootFromParent_Done,
     /* 1243896 */   // Label 17973: @1243896
     /* 1243896 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1243977), // Rule ID 5176 //
     /* 1243901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1243912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1243915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1243957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243976 */     // GIR_Coverage, 5176,
     /* 1243976 */     GIR_EraseRootFromParent_Done,
     /* 1243977 */   // Label 17974: @1243977
     /* 1243977 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244058), // Rule ID 5177 //
     /* 1243982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1243993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1243996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244057 */     // GIR_Coverage, 5177,
     /* 1244057 */     GIR_EraseRootFromParent_Done,
     /* 1244058 */   // Label 17975: @1244058
     /* 1244058 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244139), // Rule ID 5178 //
     /* 1244063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244138 */     // GIR_Coverage, 5178,
     /* 1244138 */     GIR_EraseRootFromParent_Done,
     /* 1244139 */   // Label 17976: @1244139
     /* 1244139 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244220), // Rule ID 5179 //
     /* 1244144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244219 */     // GIR_Coverage, 5179,
     /* 1244219 */     GIR_EraseRootFromParent_Done,
     /* 1244220 */   // Label 17977: @1244220
     /* 1244220 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1244301), // Rule ID 5180 //
     /* 1244225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244300 */     // GIR_Coverage, 5180,
     /* 1244300 */     GIR_EraseRootFromParent_Done,
     /* 1244301 */   // Label 17978: @1244301
     /* 1244301 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1244382), // Rule ID 5181 //
     /* 1244306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244381 */     // GIR_Coverage, 5181,
     /* 1244381 */     GIR_EraseRootFromParent_Done,
     /* 1244382 */   // Label 17979: @1244382
     /* 1244382 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1244463), // Rule ID 5182 //
     /* 1244387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244462 */     // GIR_Coverage, 5182,
     /* 1244462 */     GIR_EraseRootFromParent_Done,
     /* 1244463 */   // Label 17980: @1244463
     /* 1244463 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1244544), // Rule ID 5183 //
     /* 1244468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244543 */     // GIR_Coverage, 5183,
     /* 1244543 */     GIR_EraseRootFromParent_Done,
     /* 1244544 */   // Label 17981: @1244544
     /* 1244544 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1244625), // Rule ID 5184 //
     /* 1244549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1244560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1244563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1244566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244624 */     // GIR_Coverage, 5184,
     /* 1244624 */     GIR_EraseRootFromParent_Done,
     /* 1244625 */   // Label 17982: @1244625
     /* 1244625 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1244706), // Rule ID 5185 //
     /* 1244630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1244641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1244644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1244647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244705 */     // GIR_Coverage, 5185,
     /* 1244705 */     GIR_EraseRootFromParent_Done,
     /* 1244706 */   // Label 17983: @1244706
     /* 1244706 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1244787), // Rule ID 5186 //
     /* 1244711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1244722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1244725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1244728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244786 */     // GIR_Coverage, 5186,
     /* 1244786 */     GIR_EraseRootFromParent_Done,
     /* 1244787 */   // Label 17984: @1244787
     /* 1244787 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1244868), // Rule ID 5187 //
     /* 1244792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1244803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1244806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1244809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244867 */     // GIR_Coverage, 5187,
     /* 1244867 */     GIR_EraseRootFromParent_Done,
     /* 1244868 */   // Label 17985: @1244868
     /* 1244868 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1244949), // Rule ID 5188 //
     /* 1244873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1244884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1244887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244948 */     // GIR_Coverage, 5188,
     /* 1244948 */     GIR_EraseRootFromParent_Done,
     /* 1244949 */   // Label 17986: @1244949
     /* 1244949 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245030), // Rule ID 5189 //
     /* 1244954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1244965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1244968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1245010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245029 */     // GIR_Coverage, 5189,
     /* 1245029 */     GIR_EraseRootFromParent_Done,
     /* 1245030 */   // Label 17987: @1245030
     /* 1245030 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245111), // Rule ID 5190 //
     /* 1245035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245110 */     // GIR_Coverage, 5190,
     /* 1245110 */     GIR_EraseRootFromParent_Done,
     /* 1245111 */   // Label 17988: @1245111
     /* 1245111 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245192), // Rule ID 5191 //
     /* 1245116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245191 */     // GIR_Coverage, 5191,
     /* 1245191 */     GIR_EraseRootFromParent_Done,
     /* 1245192 */   // Label 17989: @1245192
     /* 1245192 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1245273), // Rule ID 5192 //
     /* 1245197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245272 */     // GIR_Coverage, 5192,
     /* 1245272 */     GIR_EraseRootFromParent_Done,
     /* 1245273 */   // Label 17990: @1245273
     /* 1245273 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1245354), // Rule ID 5193 //
     /* 1245278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245353 */     // GIR_Coverage, 5193,
     /* 1245353 */     GIR_EraseRootFromParent_Done,
     /* 1245354 */   // Label 17991: @1245354
     /* 1245354 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1245435), // Rule ID 5498 //
     /* 1245359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1245370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1245373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1245415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245434 */     // GIR_Coverage, 5498,
     /* 1245434 */     GIR_EraseRootFromParent_Done,
     /* 1245435 */   // Label 17992: @1245435
     /* 1245435 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1245516), // Rule ID 5499 //
     /* 1245440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1245451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1245454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1245496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245515 */     // GIR_Coverage, 5499,
     /* 1245515 */     GIR_EraseRootFromParent_Done,
     /* 1245516 */   // Label 17993: @1245516
     /* 1245516 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1245597), // Rule ID 5500 //
     /* 1245521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1245532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1245535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1245577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245596 */     // GIR_Coverage, 5500,
     /* 1245596 */     GIR_EraseRootFromParent_Done,
     /* 1245597 */   // Label 17994: @1245597
     /* 1245597 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1245678), // Rule ID 5501 //
     /* 1245602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1245613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1245616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245655 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1245658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245677 */     // GIR_Coverage, 5501,
     /* 1245677 */     GIR_EraseRootFromParent_Done,
     /* 1245678 */   // Label 17995: @1245678
     /* 1245678 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1245759), // Rule ID 5502 //
     /* 1245683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1245694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1245697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1245700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1245703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1245739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245758 */     // GIR_Coverage, 5502,
     /* 1245758 */     GIR_EraseRootFromParent_Done,
     /* 1245759 */   // Label 17996: @1245759
     /* 1245759 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1245840), // Rule ID 5503 //
     /* 1245764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1245775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1245778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1245781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1245784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245817 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1245820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245839 */     // GIR_Coverage, 5503,
     /* 1245839 */     GIR_EraseRootFromParent_Done,
     /* 1245840 */   // Label 17997: @1245840
     /* 1245840 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1245921), // Rule ID 5504 //
     /* 1245845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1245856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1245859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1245862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1245865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245898 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1245901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245920 */     // GIR_Coverage, 5504,
     /* 1245920 */     GIR_EraseRootFromParent_Done,
     /* 1245921 */   // Label 17998: @1245921
     /* 1245921 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246002), // Rule ID 5505 //
     /* 1245926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1245937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1245940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1245943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1245946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1245982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246001 */     // GIR_Coverage, 5505,
     /* 1246001 */     GIR_EraseRootFromParent_Done,
     /* 1246002 */   // Label 17999: @1246002
     /* 1246002 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246083), // Rule ID 5506 //
     /* 1246007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1246018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1246021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246082 */     // GIR_Coverage, 5506,
     /* 1246082 */     GIR_EraseRootFromParent_Done,
     /* 1246083 */   // Label 18000: @1246083
     /* 1246083 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246164), // Rule ID 5507 //
     /* 1246088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1246099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1246102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246163 */     // GIR_Coverage, 5507,
     /* 1246163 */     GIR_EraseRootFromParent_Done,
     /* 1246164 */   // Label 18001: @1246164
     /* 1246164 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1246245), // Rule ID 5508 //
     /* 1246169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1246180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1246183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246244 */     // GIR_Coverage, 5508,
     /* 1246244 */     GIR_EraseRootFromParent_Done,
     /* 1246245 */   // Label 18002: @1246245
     /* 1246245 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1246326), // Rule ID 5509 //
     /* 1246250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1246261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1246264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246325 */     // GIR_Coverage, 5509,
     /* 1246325 */     GIR_EraseRootFromParent_Done,
     /* 1246326 */   // Label 18003: @1246326
     /* 1246326 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1246407), // Rule ID 5510 //
     /* 1246331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1246342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1246345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246406 */     // GIR_Coverage, 5510,
     /* 1246406 */     GIR_EraseRootFromParent_Done,
     /* 1246407 */   // Label 18004: @1246407
     /* 1246407 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1246488), // Rule ID 5511 //
     /* 1246412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1246423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1246426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246487 */     // GIR_Coverage, 5511,
     /* 1246487 */     GIR_EraseRootFromParent_Done,
     /* 1246488 */   // Label 18005: @1246488
     /* 1246488 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1246569), // Rule ID 5512 //
     /* 1246493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1246504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1246507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246568 */     // GIR_Coverage, 5512,
     /* 1246568 */     GIR_EraseRootFromParent_Done,
     /* 1246569 */   // Label 18006: @1246569
     /* 1246569 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1246650), // Rule ID 5513 //
     /* 1246574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1246585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1246588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246649 */     // GIR_Coverage, 5513,
     /* 1246649 */     GIR_EraseRootFromParent_Done,
     /* 1246650 */   // Label 18007: @1246650
     /* 1246650 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1246731), // Rule ID 5514 //
     /* 1246655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1246666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1246669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1246672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1246675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246730 */     // GIR_Coverage, 5514,
     /* 1246730 */     GIR_EraseRootFromParent_Done,
     /* 1246731 */   // Label 18008: @1246731
     /* 1246731 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1246812), // Rule ID 5515 //
     /* 1246736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1246747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1246750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1246753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1246756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246811 */     // GIR_Coverage, 5515,
     /* 1246811 */     GIR_EraseRootFromParent_Done,
     /* 1246812 */   // Label 18009: @1246812
     /* 1246812 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1246893), // Rule ID 5516 //
     /* 1246817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1246828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1246831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1246834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1246837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246892 */     // GIR_Coverage, 5516,
     /* 1246892 */     GIR_EraseRootFromParent_Done,
     /* 1246893 */   // Label 18010: @1246893
     /* 1246893 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1246974), // Rule ID 5517 //
     /* 1246898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1246909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1246912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1246915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1246918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246973 */     // GIR_Coverage, 5517,
     /* 1246973 */     GIR_EraseRootFromParent_Done,
     /* 1246974 */   // Label 18011: @1246974
     /* 1246974 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247055), // Rule ID 5518 //
     /* 1246979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1246990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1246993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1246996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1246999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247054 */     // GIR_Coverage, 5518,
     /* 1247054 */     GIR_EraseRootFromParent_Done,
     /* 1247055 */   // Label 18012: @1247055
     /* 1247055 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247136), // Rule ID 5519 //
     /* 1247060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1247071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1247074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247135 */     // GIR_Coverage, 5519,
     /* 1247135 */     GIR_EraseRootFromParent_Done,
     /* 1247136 */   // Label 18013: @1247136
     /* 1247136 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1247217), // Rule ID 5520 //
     /* 1247141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1247152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1247155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247216 */     // GIR_Coverage, 5520,
     /* 1247216 */     GIR_EraseRootFromParent_Done,
     /* 1247217 */   // Label 18014: @1247217
     /* 1247217 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1247298), // Rule ID 5521 //
     /* 1247222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1247233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1247236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247297 */     // GIR_Coverage, 5521,
     /* 1247297 */     GIR_EraseRootFromParent_Done,
     /* 1247298 */   // Label 18015: @1247298
     /* 1247298 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1247379), // Rule ID 5522 //
     /* 1247303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1247314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1247317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247378 */     // GIR_Coverage, 5522,
     /* 1247378 */     GIR_EraseRootFromParent_Done,
     /* 1247379 */   // Label 18016: @1247379
     /* 1247379 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1247460), // Rule ID 5523 //
     /* 1247384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1247395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1247398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247437 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247459 */     // GIR_Coverage, 5523,
     /* 1247459 */     GIR_EraseRootFromParent_Done,
     /* 1247460 */   // Label 18017: @1247460
     /* 1247460 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1247541), // Rule ID 5524 //
     /* 1247465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1247476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1247479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247540 */     // GIR_Coverage, 5524,
     /* 1247540 */     GIR_EraseRootFromParent_Done,
     /* 1247541 */   // Label 18018: @1247541
     /* 1247541 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1247622), // Rule ID 5525 //
     /* 1247546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1247557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1247560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247621 */     // GIR_Coverage, 5525,
     /* 1247621 */     GIR_EraseRootFromParent_Done,
     /* 1247622 */   // Label 18019: @1247622
     /* 1247622 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1247703), // Rule ID 5526 //
     /* 1247627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1247638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1247641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1247644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1247647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247702 */     // GIR_Coverage, 5526,
     /* 1247702 */     GIR_EraseRootFromParent_Done,
     /* 1247703 */   // Label 18020: @1247703
     /* 1247703 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1247784), // Rule ID 5527 //
     /* 1247708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1247719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1247722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1247725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1247728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247783 */     // GIR_Coverage, 5527,
     /* 1247783 */     GIR_EraseRootFromParent_Done,
     /* 1247784 */   // Label 18021: @1247784
     /* 1247784 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1247865), // Rule ID 5528 //
     /* 1247789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1247800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1247803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1247806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1247809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247864 */     // GIR_Coverage, 5528,
     /* 1247864 */     GIR_EraseRootFromParent_Done,
     /* 1247865 */   // Label 18022: @1247865
     /* 1247865 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1247946), // Rule ID 5529 //
     /* 1247870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1247881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1247884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1247887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1247890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247923 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247945 */     // GIR_Coverage, 5529,
     /* 1247945 */     GIR_EraseRootFromParent_Done,
     /* 1247946 */   // Label 18023: @1247946
     /* 1247946 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248027), // Rule ID 5530 //
     /* 1247951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1247962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1247965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1247968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1247971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248026 */     // GIR_Coverage, 5530,
     /* 1248026 */     GIR_EraseRootFromParent_Done,
     /* 1248027 */   // Label 18024: @1248027
     /* 1248027 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248108), // Rule ID 5531 //
     /* 1248032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1248043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1248046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248107 */     // GIR_Coverage, 5531,
     /* 1248107 */     GIR_EraseRootFromParent_Done,
     /* 1248108 */   // Label 18025: @1248108
     /* 1248108 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1248189), // Rule ID 5532 //
     /* 1248113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1248124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1248127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248188 */     // GIR_Coverage, 5532,
     /* 1248188 */     GIR_EraseRootFromParent_Done,
     /* 1248189 */   // Label 18026: @1248189
     /* 1248189 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1248270), // Rule ID 5533 //
     /* 1248194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1248205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1248208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248269 */     // GIR_Coverage, 5533,
     /* 1248269 */     GIR_EraseRootFromParent_Done,
     /* 1248270 */   // Label 18027: @1248270
     /* 1248270 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1248351), // Rule ID 5534 //
     /* 1248275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1248286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1248289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248350 */     // GIR_Coverage, 5534,
     /* 1248350 */     GIR_EraseRootFromParent_Done,
     /* 1248351 */   // Label 18028: @1248351
     /* 1248351 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1248432), // Rule ID 5535 //
     /* 1248356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1248367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1248370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248409 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248431 */     // GIR_Coverage, 5535,
     /* 1248431 */     GIR_EraseRootFromParent_Done,
     /* 1248432 */   // Label 18029: @1248432
     /* 1248432 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1248513), // Rule ID 5536 //
     /* 1248437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1248448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1248451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248512 */     // GIR_Coverage, 5536,
     /* 1248512 */     GIR_EraseRootFromParent_Done,
     /* 1248513 */   // Label 18030: @1248513
     /* 1248513 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1248594), // Rule ID 5537 //
     /* 1248518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1248529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1248532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248593 */     // GIR_Coverage, 5537,
     /* 1248593 */     GIR_EraseRootFromParent_Done,
     /* 1248594 */   // Label 18031: @1248594
     /* 1248594 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1248675), // Rule ID 5538 //
     /* 1248599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1248610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1248613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1248616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1248619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248674 */     // GIR_Coverage, 5538,
     /* 1248674 */     GIR_EraseRootFromParent_Done,
     /* 1248675 */   // Label 18032: @1248675
     /* 1248675 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1248756), // Rule ID 5539 //
     /* 1248680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1248691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1248694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1248697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1248700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248733 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248755 */     // GIR_Coverage, 5539,
     /* 1248755 */     GIR_EraseRootFromParent_Done,
     /* 1248756 */   // Label 18033: @1248756
     /* 1248756 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1248837), // Rule ID 5540 //
     /* 1248761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1248772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1248775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1248778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1248781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248836 */     // GIR_Coverage, 5540,
     /* 1248836 */     GIR_EraseRootFromParent_Done,
     /* 1248837 */   // Label 18034: @1248837
     /* 1248837 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1248918), // Rule ID 5541 //
     /* 1248842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1248853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1248856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1248859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1248862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248917 */     // GIR_Coverage, 5541,
     /* 1248917 */     GIR_EraseRootFromParent_Done,
     /* 1248918 */   // Label 18035: @1248918
     /* 1248918 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1248999), // Rule ID 5542 //
     /* 1248923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1248934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1248937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1248940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1248979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248998 */     // GIR_Coverage, 5542,
     /* 1248998 */     GIR_EraseRootFromParent_Done,
     /* 1248999 */   // Label 18036: @1248999
     /* 1248999 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249080), // Rule ID 5543 //
     /* 1249004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1249015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1249018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1249060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249079 */     // GIR_Coverage, 5543,
     /* 1249079 */     GIR_EraseRootFromParent_Done,
     /* 1249080 */   // Label 18037: @1249080
     /* 1249080 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1249161), // Rule ID 5544 //
     /* 1249085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1249096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1249099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249160 */     // GIR_Coverage, 5544,
     /* 1249160 */     GIR_EraseRootFromParent_Done,
     /* 1249161 */   // Label 18038: @1249161
     /* 1249161 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1249242), // Rule ID 5545 //
     /* 1249166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1249177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1249180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249241 */     // GIR_Coverage, 5545,
     /* 1249241 */     GIR_EraseRootFromParent_Done,
     /* 1249242 */   // Label 18039: @1249242
     /* 1249242 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1249323), // Rule ID 5546 //
     /* 1249247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1249258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1249261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249322 */     // GIR_Coverage, 5546,
     /* 1249322 */     GIR_EraseRootFromParent_Done,
     /* 1249323 */   // Label 18040: @1249323
     /* 1249323 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1249404), // Rule ID 5547 //
     /* 1249328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1249339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1249342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249403 */     // GIR_Coverage, 5547,
     /* 1249403 */     GIR_EraseRootFromParent_Done,
     /* 1249404 */   // Label 18041: @1249404
     /* 1249404 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1249485), // Rule ID 5548 //
     /* 1249409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1249420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1249423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249484 */     // GIR_Coverage, 5548,
     /* 1249484 */     GIR_EraseRootFromParent_Done,
     /* 1249485 */   // Label 18042: @1249485
     /* 1249485 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1249566), // Rule ID 5549 //
     /* 1249490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1249501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1249504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249565 */     // GIR_Coverage, 5549,
     /* 1249565 */     GIR_EraseRootFromParent_Done,
     /* 1249566 */   // Label 18043: @1249566
     /* 1249566 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1249647), // Rule ID 5550 //
     /* 1249571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1249582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1249585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1249588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249646 */     // GIR_Coverage, 5550,
     /* 1249646 */     GIR_EraseRootFromParent_Done,
     /* 1249647 */   // Label 18044: @1249647
     /* 1249647 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1249728), // Rule ID 5551 //
     /* 1249652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1249663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1249666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1249669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249727 */     // GIR_Coverage, 5551,
     /* 1249727 */     GIR_EraseRootFromParent_Done,
     /* 1249728 */   // Label 18045: @1249728
     /* 1249728 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1249809), // Rule ID 5552 //
     /* 1249733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1249744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1249747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1249750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249808 */     // GIR_Coverage, 5552,
     /* 1249808 */     GIR_EraseRootFromParent_Done,
     /* 1249809 */   // Label 18046: @1249809
     /* 1249809 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1249890), // Rule ID 5553 //
     /* 1249814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1249825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1249828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1249831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249889 */     // GIR_Coverage, 5553,
     /* 1249889 */     GIR_EraseRootFromParent_Done,
     /* 1249890 */   // Label 18047: @1249890
     /* 1249890 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1249971), // Rule ID 5554 //
     /* 1249895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1249906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1249909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1249912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1249951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249970 */     // GIR_Coverage, 5554,
     /* 1249970 */     GIR_EraseRootFromParent_Done,
     /* 1249971 */   // Label 18048: @1249971
     /* 1249971 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250052), // Rule ID 5555 //
     /* 1249976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1249987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1249990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1249993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250051 */     // GIR_Coverage, 5555,
     /* 1250051 */     GIR_EraseRootFromParent_Done,
     /* 1250052 */   // Label 18049: @1250052
     /* 1250052 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1250133), // Rule ID 5556 //
     /* 1250057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1250068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1250071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250110 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250132 */     // GIR_Coverage, 5556,
     /* 1250132 */     GIR_EraseRootFromParent_Done,
     /* 1250133 */   // Label 18050: @1250133
     /* 1250133 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1250214), // Rule ID 5557 //
     /* 1250138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1250149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1250152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250191 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250213 */     // GIR_Coverage, 5557,
     /* 1250213 */     GIR_EraseRootFromParent_Done,
     /* 1250214 */   // Label 18051: @1250214
     /* 1250214 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1250295), // Rule ID 5558 //
     /* 1250219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1250230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1250233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250294 */     // GIR_Coverage, 5558,
     /* 1250294 */     GIR_EraseRootFromParent_Done,
     /* 1250295 */   // Label 18052: @1250295
     /* 1250295 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1250376), // Rule ID 5559 //
     /* 1250300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1250311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1250314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250375 */     // GIR_Coverage, 5559,
     /* 1250375 */     GIR_EraseRootFromParent_Done,
     /* 1250376 */   // Label 18053: @1250376
     /* 1250376 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1250457), // Rule ID 5560 //
     /* 1250381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1250392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1250395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1250434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250456 */     // GIR_Coverage, 5560,
     /* 1250456 */     GIR_EraseRootFromParent_Done,
     /* 1250457 */   // Label 18054: @1250457
     /* 1250457 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1250538), // Rule ID 5561 //
     /* 1250462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1250473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1250476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250537 */     // GIR_Coverage, 5561,
     /* 1250537 */     GIR_EraseRootFromParent_Done,
     /* 1250538 */   // Label 18055: @1250538
     /* 1250538 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1250619), // Rule ID 5562 //
     /* 1250543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1250554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1250557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1250560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1250573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1250599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250618 */     // GIR_Coverage, 5562,
     /* 1250618 */     GIR_EraseRootFromParent_Done,
     /* 1250619 */   // Label 18056: @1250619
     /* 1250619 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1250700), // Rule ID 5563 //
     /* 1250624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1250635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1250638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1250641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1250654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1250680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250699 */     // GIR_Coverage, 5563,
     /* 1250699 */     GIR_EraseRootFromParent_Done,
     /* 1250700 */   // Label 18057: @1250700
     /* 1250700 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1250781), // Rule ID 5564 //
     /* 1250705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1250716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1250719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1250722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1250735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1250761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250780 */     // GIR_Coverage, 5564,
     /* 1250780 */     GIR_EraseRootFromParent_Done,
     /* 1250781 */   // Label 18058: @1250781
     /* 1250781 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1250862), // Rule ID 5565 //
     /* 1250786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1250797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1250800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1250803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1250816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1250842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250861 */     // GIR_Coverage, 5565,
     /* 1250861 */     GIR_EraseRootFromParent_Done,
     /* 1250862 */   // Label 18059: @1250862
     /* 1250862 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1250943), // Rule ID 5566 //
     /* 1250867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1250878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1250881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1250884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1250890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1250897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1250923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250942 */     // GIR_Coverage, 5566,
     /* 1250942 */     GIR_EraseRootFromParent_Done,
     /* 1250943 */   // Label 18060: @1250943
     /* 1250943 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251024), // Rule ID 5567 //
     /* 1250948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1250959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1250962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1250965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1250971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1250978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251001 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251023 */     // GIR_Coverage, 5567,
     /* 1251023 */     GIR_EraseRootFromParent_Done,
     /* 1251024 */   // Label 18061: @1251024
     /* 1251024 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1251105), // Rule ID 5568 //
     /* 1251029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1251040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1251043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251104 */     // GIR_Coverage, 5568,
     /* 1251104 */     GIR_EraseRootFromParent_Done,
     /* 1251105 */   // Label 18062: @1251105
     /* 1251105 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1251186), // Rule ID 5569 //
     /* 1251110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1251121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1251124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251185 */     // GIR_Coverage, 5569,
     /* 1251185 */     GIR_EraseRootFromParent_Done,
     /* 1251186 */   // Label 18063: @1251186
     /* 1251186 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1251267), // Rule ID 5570 //
     /* 1251191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1251202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1251205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251266 */     // GIR_Coverage, 5570,
     /* 1251266 */     GIR_EraseRootFromParent_Done,
     /* 1251267 */   // Label 18064: @1251267
     /* 1251267 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1251348), // Rule ID 5571 //
     /* 1251272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1251283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1251286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251347 */     // GIR_Coverage, 5571,
     /* 1251347 */     GIR_EraseRootFromParent_Done,
     /* 1251348 */   // Label 18065: @1251348
     /* 1251348 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1251429), // Rule ID 5572 //
     /* 1251353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1251364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1251367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251428 */     // GIR_Coverage, 5572,
     /* 1251428 */     GIR_EraseRootFromParent_Done,
     /* 1251429 */   // Label 18066: @1251429
     /* 1251429 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1251510), // Rule ID 5573 //
     /* 1251434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1251445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1251448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251509 */     // GIR_Coverage, 5573,
     /* 1251509 */     GIR_EraseRootFromParent_Done,
     /* 1251510 */   // Label 18067: @1251510
     /* 1251510 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1251591), // Rule ID 5574 //
     /* 1251515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1251526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1251529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1251532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251590 */     // GIR_Coverage, 5574,
     /* 1251590 */     GIR_EraseRootFromParent_Done,
     /* 1251591 */   // Label 18068: @1251591
     /* 1251591 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1251672), // Rule ID 5575 //
     /* 1251596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1251607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1251610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1251613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251671 */     // GIR_Coverage, 5575,
     /* 1251671 */     GIR_EraseRootFromParent_Done,
     /* 1251672 */   // Label 18069: @1251672
     /* 1251672 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1251753), // Rule ID 5576 //
     /* 1251677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1251688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1251691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1251694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251752 */     // GIR_Coverage, 5576,
     /* 1251752 */     GIR_EraseRootFromParent_Done,
     /* 1251753 */   // Label 18070: @1251753
     /* 1251753 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1251834), // Rule ID 5577 //
     /* 1251758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1251769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1251772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1251775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251833 */     // GIR_Coverage, 5577,
     /* 1251833 */     GIR_EraseRootFromParent_Done,
     /* 1251834 */   // Label 18071: @1251834
     /* 1251834 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1251915), // Rule ID 5578 //
     /* 1251839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1251850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1251853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251914 */     // GIR_Coverage, 5578,
     /* 1251914 */     GIR_EraseRootFromParent_Done,
     /* 1251915 */   // Label 18072: @1251915
     /* 1251915 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1251996), // Rule ID 5579 //
     /* 1251920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1251931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1251934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251995 */     // GIR_Coverage, 5579,
     /* 1251995 */     GIR_EraseRootFromParent_Done,
     /* 1251996 */   // Label 18073: @1251996
     /* 1251996 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1252077), // Rule ID 5580 //
     /* 1252001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1252012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1252015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252076 */     // GIR_Coverage, 5580,
     /* 1252076 */     GIR_EraseRootFromParent_Done,
     /* 1252077 */   // Label 18074: @1252077
     /* 1252077 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1252158), // Rule ID 5581 //
     /* 1252082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1252093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1252096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252135 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252157 */     // GIR_Coverage, 5581,
     /* 1252157 */     GIR_EraseRootFromParent_Done,
     /* 1252158 */   // Label 18075: @1252158
     /* 1252158 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1252239), // Rule ID 5582 //
     /* 1252163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1252174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1252177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252238 */     // GIR_Coverage, 5582,
     /* 1252238 */     GIR_EraseRootFromParent_Done,
     /* 1252239 */   // Label 18076: @1252239
     /* 1252239 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1252320), // Rule ID 5583 //
     /* 1252244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1252255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1252258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252319 */     // GIR_Coverage, 5583,
     /* 1252319 */     GIR_EraseRootFromParent_Done,
     /* 1252320 */   // Label 18077: @1252320
     /* 1252320 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1252401), // Rule ID 5584 //
     /* 1252325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1252336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1252339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252400 */     // GIR_Coverage, 5584,
     /* 1252400 */     GIR_EraseRootFromParent_Done,
     /* 1252401 */   // Label 18078: @1252401
     /* 1252401 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1252482), // Rule ID 5585 //
     /* 1252406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1252417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1252420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252459 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252481 */     // GIR_Coverage, 5585,
     /* 1252481 */     GIR_EraseRootFromParent_Done,
     /* 1252482 */   // Label 18079: @1252482
     /* 1252482 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1252566), // Rule ID 7796 //
     /* 1252487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1252504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1252507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1252543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252565 */     // GIR_Coverage, 7796,
     /* 1252565 */     GIR_EraseRootFromParent_Done,
     /* 1252566 */   // Label 18080: @1252566
     /* 1252566 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1252650), // Rule ID 7797 //
     /* 1252571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1252588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1252591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1252627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252649 */     // GIR_Coverage, 7797,
     /* 1252649 */     GIR_EraseRootFromParent_Done,
     /* 1252650 */   // Label 18081: @1252650
     /* 1252650 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1252734), // Rule ID 7800 //
     /* 1252655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1252672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1252675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1252711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252733 */     // GIR_Coverage, 7800,
     /* 1252733 */     GIR_EraseRootFromParent_Done,
     /* 1252734 */   // Label 18082: @1252734
     /* 1252734 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1252818), // Rule ID 7801 //
     /* 1252739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1252756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1252759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1252795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252817 */     // GIR_Coverage, 7801,
     /* 1252817 */     GIR_EraseRootFromParent_Done,
     /* 1252818 */   // Label 18083: @1252818
     /* 1252818 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1252902), // Rule ID 7804 //
     /* 1252823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1252840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1252843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1252879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252901 */     // GIR_Coverage, 7804,
     /* 1252901 */     GIR_EraseRootFromParent_Done,
     /* 1252902 */   // Label 18084: @1252902
     /* 1252902 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1252986), // Rule ID 7805 //
     /* 1252907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1252924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1252927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1252963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252985 */     // GIR_Coverage, 7805,
     /* 1252985 */     GIR_EraseRootFromParent_Done,
     /* 1252986 */   // Label 18085: @1252986
     /* 1252986 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1253070), // Rule ID 7808 //
     /* 1252991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253069 */     // GIR_Coverage, 7808,
     /* 1253069 */     GIR_EraseRootFromParent_Done,
     /* 1253070 */   // Label 18086: @1253070
     /* 1253070 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1253154), // Rule ID 7809 //
     /* 1253075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253153 */     // GIR_Coverage, 7809,
     /* 1253153 */     GIR_EraseRootFromParent_Done,
     /* 1253154 */   // Label 18087: @1253154
     /* 1253154 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1253238), // Rule ID 7812 //
     /* 1253159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253237 */     // GIR_Coverage, 7812,
     /* 1253237 */     GIR_EraseRootFromParent_Done,
     /* 1253238 */   // Label 18088: @1253238
     /* 1253238 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1253322), // Rule ID 7813 //
     /* 1253243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253321 */     // GIR_Coverage, 7813,
     /* 1253321 */     GIR_EraseRootFromParent_Done,
     /* 1253322 */   // Label 18089: @1253322
     /* 1253322 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1253406), // Rule ID 7816 //
     /* 1253327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1253344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1253347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253405 */     // GIR_Coverage, 7816,
     /* 1253405 */     GIR_EraseRootFromParent_Done,
     /* 1253406 */   // Label 18090: @1253406
     /* 1253406 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1253490), // Rule ID 7817 //
     /* 1253411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1253428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1253431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253489 */     // GIR_Coverage, 7817,
     /* 1253489 */     GIR_EraseRootFromParent_Done,
     /* 1253490 */   // Label 18091: @1253490
     /* 1253490 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1253574), // Rule ID 7820 //
     /* 1253495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1253512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1253515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253573 */     // GIR_Coverage, 7820,
     /* 1253573 */     GIR_EraseRootFromParent_Done,
     /* 1253574 */   // Label 18092: @1253574
     /* 1253574 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1253658), // Rule ID 7821 //
     /* 1253579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1253596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1253599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253657 */     // GIR_Coverage, 7821,
     /* 1253657 */     GIR_EraseRootFromParent_Done,
     /* 1253658 */   // Label 18093: @1253658
     /* 1253658 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1253742), // Rule ID 7824 //
     /* 1253663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1253683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253741 */     // GIR_Coverage, 7824,
     /* 1253741 */     GIR_EraseRootFromParent_Done,
     /* 1253742 */   // Label 18094: @1253742
     /* 1253742 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1253826), // Rule ID 7825 //
     /* 1253747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1253767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253825 */     // GIR_Coverage, 7825,
     /* 1253825 */     GIR_EraseRootFromParent_Done,
     /* 1253826 */   // Label 18095: @1253826
     /* 1253826 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1253910), // Rule ID 7828 //
     /* 1253831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253909 */     // GIR_Coverage, 7828,
     /* 1253909 */     GIR_EraseRootFromParent_Done,
     /* 1253910 */   // Label 18096: @1253910
     /* 1253910 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1253994), // Rule ID 7829 //
     /* 1253915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253993 */     // GIR_Coverage, 7829,
     /* 1253993 */     GIR_EraseRootFromParent_Done,
     /* 1253994 */   // Label 18097: @1253994
     /* 1253994 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1254078), // Rule ID 7832 //
     /* 1253999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254077 */     // GIR_Coverage, 7832,
     /* 1254077 */     GIR_EraseRootFromParent_Done,
     /* 1254078 */   // Label 18098: @1254078
     /* 1254078 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1254162), // Rule ID 7833 //
     /* 1254083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254136 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254161 */     // GIR_Coverage, 7833,
     /* 1254161 */     GIR_EraseRootFromParent_Done,
     /* 1254162 */   // Label 18099: @1254162
     /* 1254162 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1254246), // Rule ID 7836 //
     /* 1254167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254220 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254245 */     // GIR_Coverage, 7836,
     /* 1254245 */     GIR_EraseRootFromParent_Done,
     /* 1254246 */   // Label 18100: @1254246
     /* 1254246 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1254330), // Rule ID 7837 //
     /* 1254251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254304 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254329 */     // GIR_Coverage, 7837,
     /* 1254329 */     GIR_EraseRootFromParent_Done,
     /* 1254330 */   // Label 18101: @1254330
     /* 1254330 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1254414), // Rule ID 7840 //
     /* 1254335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1254346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1254349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1254352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1254355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1254358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254388 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254413 */     // GIR_Coverage, 7840,
     /* 1254413 */     GIR_EraseRootFromParent_Done,
     /* 1254414 */   // Label 18102: @1254414
     /* 1254414 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1254498), // Rule ID 7841 //
     /* 1254419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1254430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1254433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1254436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1254439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1254442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254472 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254497 */     // GIR_Coverage, 7841,
     /* 1254497 */     GIR_EraseRootFromParent_Done,
     /* 1254498 */   // Label 18103: @1254498
     /* 1254498 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1254582), // Rule ID 7844 //
     /* 1254503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1254520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1254523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254581 */     // GIR_Coverage, 7844,
     /* 1254581 */     GIR_EraseRootFromParent_Done,
     /* 1254582 */   // Label 18104: @1254582
     /* 1254582 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1254666), // Rule ID 7845 //
     /* 1254587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1254604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1254607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254665 */     // GIR_Coverage, 7845,
     /* 1254665 */     GIR_EraseRootFromParent_Done,
     /* 1254666 */   // Label 18105: @1254666
     /* 1254666 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1254750), // Rule ID 7848 //
     /* 1254671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1254691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254749 */     // GIR_Coverage, 7848,
     /* 1254749 */     GIR_EraseRootFromParent_Done,
     /* 1254750 */   // Label 18106: @1254750
     /* 1254750 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1254834), // Rule ID 7849 //
     /* 1254755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1254775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254833 */     // GIR_Coverage, 7849,
     /* 1254833 */     GIR_EraseRootFromParent_Done,
     /* 1254834 */   // Label 18107: @1254834
     /* 1254834 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1254918), // Rule ID 7852 //
     /* 1254839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254917 */     // GIR_Coverage, 7852,
     /* 1254917 */     GIR_EraseRootFromParent_Done,
     /* 1254918 */   // Label 18108: @1254918
     /* 1254918 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1255002), // Rule ID 7853 //
     /* 1254923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255001 */     // GIR_Coverage, 7853,
     /* 1255001 */     GIR_EraseRootFromParent_Done,
     /* 1255002 */   // Label 18109: @1255002
     /* 1255002 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1255086), // Rule ID 7856 //
     /* 1255007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255085 */     // GIR_Coverage, 7856,
     /* 1255085 */     GIR_EraseRootFromParent_Done,
     /* 1255086 */   // Label 18110: @1255086
     /* 1255086 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1255170), // Rule ID 7857 //
     /* 1255091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255169 */     // GIR_Coverage, 7857,
     /* 1255169 */     GIR_EraseRootFromParent_Done,
     /* 1255170 */   // Label 18111: @1255170
     /* 1255170 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1255254), // Rule ID 7860 //
     /* 1255175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255253 */     // GIR_Coverage, 7860,
     /* 1255253 */     GIR_EraseRootFromParent_Done,
     /* 1255254 */   // Label 18112: @1255254
     /* 1255254 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1255338), // Rule ID 7861 //
     /* 1255259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255337 */     // GIR_Coverage, 7861,
     /* 1255337 */     GIR_EraseRootFromParent_Done,
     /* 1255338 */   // Label 18113: @1255338
     /* 1255338 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1255422), // Rule ID 7864 //
     /* 1255343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255421 */     // GIR_Coverage, 7864,
     /* 1255421 */     GIR_EraseRootFromParent_Done,
     /* 1255422 */   // Label 18114: @1255422
     /* 1255422 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1255506), // Rule ID 7865 //
     /* 1255427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255505 */     // GIR_Coverage, 7865,
     /* 1255505 */     GIR_EraseRootFromParent_Done,
     /* 1255506 */   // Label 18115: @1255506
     /* 1255506 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1255590), // Rule ID 7868 //
     /* 1255511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255589 */     // GIR_Coverage, 7868,
     /* 1255589 */     GIR_EraseRootFromParent_Done,
     /* 1255590 */   // Label 18116: @1255590
     /* 1255590 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1255674), // Rule ID 7869 //
     /* 1255595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255673 */     // GIR_Coverage, 7869,
     /* 1255673 */     GIR_EraseRootFromParent_Done,
     /* 1255674 */   // Label 18117: @1255674
     /* 1255674 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1255758), // Rule ID 7872 //
     /* 1255679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255757 */     // GIR_Coverage, 7872,
     /* 1255757 */     GIR_EraseRootFromParent_Done,
     /* 1255758 */   // Label 18118: @1255758
     /* 1255758 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1255842), // Rule ID 7873 //
     /* 1255763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255841 */     // GIR_Coverage, 7873,
     /* 1255841 */     GIR_EraseRootFromParent_Done,
     /* 1255842 */   // Label 18119: @1255842
     /* 1255842 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1255926), // Rule ID 7876 //
     /* 1255847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1255864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1255867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255925 */     // GIR_Coverage, 7876,
     /* 1255925 */     GIR_EraseRootFromParent_Done,
     /* 1255926 */   // Label 18120: @1255926
     /* 1255926 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1256010), // Rule ID 7877 //
     /* 1255931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1255948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1255951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256009 */     // GIR_Coverage, 7877,
     /* 1256009 */     GIR_EraseRootFromParent_Done,
     /* 1256010 */   // Label 18121: @1256010
     /* 1256010 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1256094), // Rule ID 7880 //
     /* 1256015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1256071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256093 */     // GIR_Coverage, 7880,
     /* 1256093 */     GIR_EraseRootFromParent_Done,
     /* 1256094 */   // Label 18122: @1256094
     /* 1256094 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1256178), // Rule ID 7881 //
     /* 1256099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1256155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256177 */     // GIR_Coverage, 7881,
     /* 1256177 */     GIR_EraseRootFromParent_Done,
     /* 1256178 */   // Label 18123: @1256178
     /* 1256178 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1256262), // Rule ID 7884 //
     /* 1256183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256261 */     // GIR_Coverage, 7884,
     /* 1256261 */     GIR_EraseRootFromParent_Done,
     /* 1256262 */   // Label 18124: @1256262
     /* 1256262 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1256346), // Rule ID 7885 //
     /* 1256267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256345 */     // GIR_Coverage, 7885,
     /* 1256345 */     GIR_EraseRootFromParent_Done,
     /* 1256346 */   // Label 18125: @1256346
     /* 1256346 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1256430), // Rule ID 7888 //
     /* 1256351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256429 */     // GIR_Coverage, 7888,
     /* 1256429 */     GIR_EraseRootFromParent_Done,
     /* 1256430 */   // Label 18126: @1256430
     /* 1256430 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1256514), // Rule ID 7889 //
     /* 1256435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256513 */     // GIR_Coverage, 7889,
     /* 1256513 */     GIR_EraseRootFromParent_Done,
     /* 1256514 */   // Label 18127: @1256514
     /* 1256514 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1256598), // Rule ID 7892 //
     /* 1256519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256597 */     // GIR_Coverage, 7892,
     /* 1256597 */     GIR_EraseRootFromParent_Done,
     /* 1256598 */   // Label 18128: @1256598
     /* 1256598 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1256682), // Rule ID 7893 //
     /* 1256603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256681 */     // GIR_Coverage, 7893,
     /* 1256681 */     GIR_EraseRootFromParent_Done,
     /* 1256682 */   // Label 18129: @1256682
     /* 1256682 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1256766), // Rule ID 7896 //
     /* 1256687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1256704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256765 */     // GIR_Coverage, 7896,
     /* 1256765 */     GIR_EraseRootFromParent_Done,
     /* 1256766 */   // Label 18130: @1256766
     /* 1256766 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1256850), // Rule ID 7897 //
     /* 1256771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1256788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256849 */     // GIR_Coverage, 7897,
     /* 1256849 */     GIR_EraseRootFromParent_Done,
     /* 1256850 */   // Label 18131: @1256850
     /* 1256850 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1256934), // Rule ID 7900 //
     /* 1256855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1256872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256933 */     // GIR_Coverage, 7900,
     /* 1256933 */     GIR_EraseRootFromParent_Done,
     /* 1256934 */   // Label 18132: @1256934
     /* 1256934 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1257018), // Rule ID 7901 //
     /* 1256939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1256956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257017 */     // GIR_Coverage, 7901,
     /* 1257017 */     GIR_EraseRootFromParent_Done,
     /* 1257018 */   // Label 18133: @1257018
     /* 1257018 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1257102), // Rule ID 7904 //
     /* 1257023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257101 */     // GIR_Coverage, 7904,
     /* 1257101 */     GIR_EraseRootFromParent_Done,
     /* 1257102 */   // Label 18134: @1257102
     /* 1257102 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1257186), // Rule ID 7905 //
     /* 1257107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257185 */     // GIR_Coverage, 7905,
     /* 1257185 */     GIR_EraseRootFromParent_Done,
     /* 1257186 */   // Label 18135: @1257186
     /* 1257186 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1257270), // Rule ID 7908 //
     /* 1257191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257269 */     // GIR_Coverage, 7908,
     /* 1257269 */     GIR_EraseRootFromParent_Done,
     /* 1257270 */   // Label 18136: @1257270
     /* 1257270 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1257354), // Rule ID 7909 //
     /* 1257275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257353 */     // GIR_Coverage, 7909,
     /* 1257353 */     GIR_EraseRootFromParent_Done,
     /* 1257354 */   // Label 18137: @1257354
     /* 1257354 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1257438), // Rule ID 7912 //
     /* 1257359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257437 */     // GIR_Coverage, 7912,
     /* 1257437 */     GIR_EraseRootFromParent_Done,
     /* 1257438 */   // Label 18138: @1257438
     /* 1257438 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1257522), // Rule ID 7913 //
     /* 1257443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257521 */     // GIR_Coverage, 7913,
     /* 1257521 */     GIR_EraseRootFromParent_Done,
     /* 1257522 */   // Label 18139: @1257522
     /* 1257522 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1257606), // Rule ID 7916 //
     /* 1257527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257605 */     // GIR_Coverage, 7916,
     /* 1257605 */     GIR_EraseRootFromParent_Done,
     /* 1257606 */   // Label 18140: @1257606
     /* 1257606 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1257690), // Rule ID 7917 //
     /* 1257611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257689 */     // GIR_Coverage, 7917,
     /* 1257689 */     GIR_EraseRootFromParent_Done,
     /* 1257690 */   // Label 18141: @1257690
     /* 1257690 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1257774), // Rule ID 7920 //
     /* 1257695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1257712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1257751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257773 */     // GIR_Coverage, 7920,
     /* 1257773 */     GIR_EraseRootFromParent_Done,
     /* 1257774 */   // Label 18142: @1257774
     /* 1257774 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1257858), // Rule ID 7921 //
     /* 1257779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1257796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1257835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257857 */     // GIR_Coverage, 7921,
     /* 1257857 */     GIR_EraseRootFromParent_Done,
     /* 1257858 */   // Label 18143: @1257858
     /* 1257858 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1257942), // Rule ID 7924 //
     /* 1257863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1257880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1257919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257941 */     // GIR_Coverage, 7924,
     /* 1257941 */     GIR_EraseRootFromParent_Done,
     /* 1257942 */   // Label 18144: @1257942
     /* 1257942 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1258026), // Rule ID 7925 //
     /* 1257947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1257964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258000 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258025 */     // GIR_Coverage, 7925,
     /* 1258025 */     GIR_EraseRootFromParent_Done,
     /* 1258026 */   // Label 18145: @1258026
     /* 1258026 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1258110), // Rule ID 7928 //
     /* 1258031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258084 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258109 */     // GIR_Coverage, 7928,
     /* 1258109 */     GIR_EraseRootFromParent_Done,
     /* 1258110 */   // Label 18146: @1258110
     /* 1258110 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1258194), // Rule ID 7929 //
     /* 1258115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258168 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258193 */     // GIR_Coverage, 7929,
     /* 1258193 */     GIR_EraseRootFromParent_Done,
     /* 1258194 */   // Label 18147: @1258194
     /* 1258194 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1258278), // Rule ID 7932 //
     /* 1258199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258277 */     // GIR_Coverage, 7932,
     /* 1258277 */     GIR_EraseRootFromParent_Done,
     /* 1258278 */   // Label 18148: @1258278
     /* 1258278 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1258362), // Rule ID 7933 //
     /* 1258283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258361 */     // GIR_Coverage, 7933,
     /* 1258361 */     GIR_EraseRootFromParent_Done,
     /* 1258362 */   // Label 18149: @1258362
     /* 1258362 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1258446), // Rule ID 7936 //
     /* 1258367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258445 */     // GIR_Coverage, 7936,
     /* 1258445 */     GIR_EraseRootFromParent_Done,
     /* 1258446 */   // Label 18150: @1258446
     /* 1258446 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1258530), // Rule ID 7937 //
     /* 1258451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258529 */     // GIR_Coverage, 7937,
     /* 1258529 */     GIR_EraseRootFromParent_Done,
     /* 1258530 */   // Label 18151: @1258530
     /* 1258530 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1258614), // Rule ID 7940 //
     /* 1258535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258588 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258613 */     // GIR_Coverage, 7940,
     /* 1258613 */     GIR_EraseRootFromParent_Done,
     /* 1258614 */   // Label 18152: @1258614
     /* 1258614 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1258698), // Rule ID 7941 //
     /* 1258619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258697 */     // GIR_Coverage, 7941,
     /* 1258697 */     GIR_EraseRootFromParent_Done,
     /* 1258698 */   // Label 18153: @1258698
     /* 1258698 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1258782), // Rule ID 7944 //
     /* 1258703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1258720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258781 */     // GIR_Coverage, 7944,
     /* 1258781 */     GIR_EraseRootFromParent_Done,
     /* 1258782 */   // Label 18154: @1258782
     /* 1258782 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1258866), // Rule ID 7945 //
     /* 1258787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1258804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258865 */     // GIR_Coverage, 7945,
     /* 1258865 */     GIR_EraseRootFromParent_Done,
     /* 1258866 */   // Label 18155: @1258866
     /* 1258866 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1258950), // Rule ID 7948 //
     /* 1258871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1258888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258949 */     // GIR_Coverage, 7948,
     /* 1258949 */     GIR_EraseRootFromParent_Done,
     /* 1258950 */   // Label 18156: @1258950
     /* 1258950 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1259034), // Rule ID 7949 //
     /* 1258955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1258972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259033 */     // GIR_Coverage, 7949,
     /* 1259033 */     GIR_EraseRootFromParent_Done,
     /* 1259034 */   // Label 18157: @1259034
     /* 1259034 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1259118), // Rule ID 7952 //
     /* 1259039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259117 */     // GIR_Coverage, 7952,
     /* 1259117 */     GIR_EraseRootFromParent_Done,
     /* 1259118 */   // Label 18158: @1259118
     /* 1259118 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1259202), // Rule ID 7953 //
     /* 1259123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259201 */     // GIR_Coverage, 7953,
     /* 1259201 */     GIR_EraseRootFromParent_Done,
     /* 1259202 */   // Label 18159: @1259202
     /* 1259202 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1259286), // Rule ID 7956 //
     /* 1259207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259285 */     // GIR_Coverage, 7956,
     /* 1259285 */     GIR_EraseRootFromParent_Done,
     /* 1259286 */   // Label 18160: @1259286
     /* 1259286 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1259370), // Rule ID 7957 //
     /* 1259291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259369 */     // GIR_Coverage, 7957,
     /* 1259369 */     GIR_EraseRootFromParent_Done,
     /* 1259370 */   // Label 18161: @1259370
     /* 1259370 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1259454), // Rule ID 7960 //
     /* 1259375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259453 */     // GIR_Coverage, 7960,
     /* 1259453 */     GIR_EraseRootFromParent_Done,
     /* 1259454 */   // Label 18162: @1259454
     /* 1259454 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1259538), // Rule ID 7961 //
     /* 1259459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259537 */     // GIR_Coverage, 7961,
     /* 1259537 */     GIR_EraseRootFromParent_Done,
     /* 1259538 */   // Label 18163: @1259538
     /* 1259538 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1259622), // Rule ID 7964 //
     /* 1259543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259621 */     // GIR_Coverage, 7964,
     /* 1259621 */     GIR_EraseRootFromParent_Done,
     /* 1259622 */   // Label 18164: @1259622
     /* 1259622 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1259706), // Rule ID 7965 //
     /* 1259627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259705 */     // GIR_Coverage, 7965,
     /* 1259705 */     GIR_EraseRootFromParent_Done,
     /* 1259706 */   // Label 18165: @1259706
     /* 1259706 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1259790), // Rule ID 8056 //
     /* 1259711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1259728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1259731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1259767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259789 */     // GIR_Coverage, 8056,
     /* 1259789 */     GIR_EraseRootFromParent_Done,
     /* 1259790 */   // Label 18166: @1259790
     /* 1259790 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1259874), // Rule ID 8057 //
     /* 1259795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1259812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1259815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1259851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259873 */     // GIR_Coverage, 8057,
     /* 1259873 */     GIR_EraseRootFromParent_Done,
     /* 1259874 */   // Label 18167: @1259874
     /* 1259874 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1259958), // Rule ID 8060 //
     /* 1259879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1259896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1259899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1259935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259957 */     // GIR_Coverage, 8060,
     /* 1259957 */     GIR_EraseRootFromParent_Done,
     /* 1259958 */   // Label 18168: @1259958
     /* 1259958 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1260042), // Rule ID 8061 //
     /* 1259963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1259980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1259983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260041 */     // GIR_Coverage, 8061,
     /* 1260041 */     GIR_EraseRootFromParent_Done,
     /* 1260042 */   // Label 18169: @1260042
     /* 1260042 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1260126), // Rule ID 8064 //
     /* 1260047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260125 */     // GIR_Coverage, 8064,
     /* 1260125 */     GIR_EraseRootFromParent_Done,
     /* 1260126 */   // Label 18170: @1260126
     /* 1260126 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1260210), // Rule ID 8065 //
     /* 1260131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260209 */     // GIR_Coverage, 8065,
     /* 1260209 */     GIR_EraseRootFromParent_Done,
     /* 1260210 */   // Label 18171: @1260210
     /* 1260210 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1260294), // Rule ID 8068 //
     /* 1260215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260293 */     // GIR_Coverage, 8068,
     /* 1260293 */     GIR_EraseRootFromParent_Done,
     /* 1260294 */   // Label 18172: @1260294
     /* 1260294 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1260378), // Rule ID 8069 //
     /* 1260299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260377 */     // GIR_Coverage, 8069,
     /* 1260377 */     GIR_EraseRootFromParent_Done,
     /* 1260378 */   // Label 18173: @1260378
     /* 1260378 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1260462), // Rule ID 8072 //
     /* 1260383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1260403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260461 */     // GIR_Coverage, 8072,
     /* 1260461 */     GIR_EraseRootFromParent_Done,
     /* 1260462 */   // Label 18174: @1260462
     /* 1260462 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1260546), // Rule ID 8073 //
     /* 1260467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1260487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260545 */     // GIR_Coverage, 8073,
     /* 1260545 */     GIR_EraseRootFromParent_Done,
     /* 1260546 */   // Label 18175: @1260546
     /* 1260546 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1260630), // Rule ID 8076 //
     /* 1260551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1260571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260629 */     // GIR_Coverage, 8076,
     /* 1260629 */     GIR_EraseRootFromParent_Done,
     /* 1260630 */   // Label 18176: @1260630
     /* 1260630 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1260714), // Rule ID 8077 //
     /* 1260635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1260655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260713 */     // GIR_Coverage, 8077,
     /* 1260713 */     GIR_EraseRootFromParent_Done,
     /* 1260714 */   // Label 18177: @1260714
     /* 1260714 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1260798), // Rule ID 8080 //
     /* 1260719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1260736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1260775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260797 */     // GIR_Coverage, 8080,
     /* 1260797 */     GIR_EraseRootFromParent_Done,
     /* 1260798 */   // Label 18178: @1260798
     /* 1260798 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1260882), // Rule ID 8081 //
     /* 1260803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1260820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1260859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260881 */     // GIR_Coverage, 8081,
     /* 1260881 */     GIR_EraseRootFromParent_Done,
     /* 1260882 */   // Label 18179: @1260882
     /* 1260882 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1260966), // Rule ID 8084 //
     /* 1260887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1260904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1260943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260965 */     // GIR_Coverage, 8084,
     /* 1260965 */     GIR_EraseRootFromParent_Done,
     /* 1260966 */   // Label 18180: @1260966
     /* 1260966 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1261050), // Rule ID 8085 //
     /* 1260971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1260988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261049 */     // GIR_Coverage, 8085,
     /* 1261049 */     GIR_EraseRootFromParent_Done,
     /* 1261050 */   // Label 18181: @1261050
     /* 1261050 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1261134), // Rule ID 8088 //
     /* 1261055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261133 */     // GIR_Coverage, 8088,
     /* 1261133 */     GIR_EraseRootFromParent_Done,
     /* 1261134 */   // Label 18182: @1261134
     /* 1261134 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1261218), // Rule ID 8089 //
     /* 1261139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261217 */     // GIR_Coverage, 8089,
     /* 1261217 */     GIR_EraseRootFromParent_Done,
     /* 1261218 */   // Label 18183: @1261218
     /* 1261218 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1261302), // Rule ID 8092 //
     /* 1261223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261301 */     // GIR_Coverage, 8092,
     /* 1261301 */     GIR_EraseRootFromParent_Done,
     /* 1261302 */   // Label 18184: @1261302
     /* 1261302 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1261386), // Rule ID 8093 //
     /* 1261307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261385 */     // GIR_Coverage, 8093,
     /* 1261385 */     GIR_EraseRootFromParent_Done,
     /* 1261386 */   // Label 18185: @1261386
     /* 1261386 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1261470), // Rule ID 8096 //
     /* 1261391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1261411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1261447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261469 */     // GIR_Coverage, 8096,
     /* 1261469 */     GIR_EraseRootFromParent_Done,
     /* 1261470 */   // Label 18186: @1261470
     /* 1261470 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1261554), // Rule ID 8097 //
     /* 1261475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1261495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1261531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261553 */     // GIR_Coverage, 8097,
     /* 1261553 */     GIR_EraseRootFromParent_Done,
     /* 1261554 */   // Label 18187: @1261554
     /* 1261554 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1261638), // Rule ID 8100 //
     /* 1261559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1261579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1261615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261637 */     // GIR_Coverage, 8100,
     /* 1261637 */     GIR_EraseRootFromParent_Done,
     /* 1261638 */   // Label 18188: @1261638
     /* 1261638 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1261722), // Rule ID 8101 //
     /* 1261643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1261663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1261699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261721 */     // GIR_Coverage, 8101,
     /* 1261721 */     GIR_EraseRootFromParent_Done,
     /* 1261722 */   // Label 18189: @1261722
     /* 1261722 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1261806), // Rule ID 8104 //
     /* 1261727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1261738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1261741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1261744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1261747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1261750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261780 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1261783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261805 */     // GIR_Coverage, 8104,
     /* 1261805 */     GIR_EraseRootFromParent_Done,
     /* 1261806 */   // Label 18190: @1261806
     /* 1261806 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1261890), // Rule ID 8105 //
     /* 1261811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1261822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1261825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1261828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1261831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1261834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261864 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1261867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261889 */     // GIR_Coverage, 8105,
     /* 1261889 */     GIR_EraseRootFromParent_Done,
     /* 1261890 */   // Label 18191: @1261890
     /* 1261890 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1261974), // Rule ID 8108 //
     /* 1261895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1261912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1261915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1261951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261973 */     // GIR_Coverage, 8108,
     /* 1261973 */     GIR_EraseRootFromParent_Done,
     /* 1261974 */   // Label 18192: @1261974
     /* 1261974 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1262058), // Rule ID 8109 //
     /* 1261979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1261996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1261999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262057 */     // GIR_Coverage, 8109,
     /* 1262057 */     GIR_EraseRootFromParent_Done,
     /* 1262058 */   // Label 18193: @1262058
     /* 1262058 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1262142), // Rule ID 8112 //
     /* 1262063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262141 */     // GIR_Coverage, 8112,
     /* 1262141 */     GIR_EraseRootFromParent_Done,
     /* 1262142 */   // Label 18194: @1262142
     /* 1262142 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1262226), // Rule ID 8113 //
     /* 1262147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262225 */     // GIR_Coverage, 8113,
     /* 1262225 */     GIR_EraseRootFromParent_Done,
     /* 1262226 */   // Label 18195: @1262226
     /* 1262226 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1262310), // Rule ID 8116 //
     /* 1262231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262309 */     // GIR_Coverage, 8116,
     /* 1262309 */     GIR_EraseRootFromParent_Done,
     /* 1262310 */   // Label 18196: @1262310
     /* 1262310 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1262394), // Rule ID 8117 //
     /* 1262315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262368 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262393 */     // GIR_Coverage, 8117,
     /* 1262393 */     GIR_EraseRootFromParent_Done,
     /* 1262394 */   // Label 18197: @1262394
     /* 1262394 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1262478), // Rule ID 8120 //
     /* 1262399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1262419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262477 */     // GIR_Coverage, 8120,
     /* 1262477 */     GIR_EraseRootFromParent_Done,
     /* 1262478 */   // Label 18198: @1262478
     /* 1262478 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1262562), // Rule ID 8121 //
     /* 1262483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1262503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262561 */     // GIR_Coverage, 8121,
     /* 1262561 */     GIR_EraseRootFromParent_Done,
     /* 1262562 */   // Label 18199: @1262562
     /* 1262562 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1262646), // Rule ID 8124 //
     /* 1262567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1262587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262645 */     // GIR_Coverage, 8124,
     /* 1262645 */     GIR_EraseRootFromParent_Done,
     /* 1262646 */   // Label 18200: @1262646
     /* 1262646 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1262730), // Rule ID 8125 //
     /* 1262651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1262671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262729 */     // GIR_Coverage, 8125,
     /* 1262729 */     GIR_EraseRootFromParent_Done,
     /* 1262730 */   // Label 18201: @1262730
     /* 1262730 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1262814), // Rule ID 8128 //
     /* 1262735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1262752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1262755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262813 */     // GIR_Coverage, 8128,
     /* 1262813 */     GIR_EraseRootFromParent_Done,
     /* 1262814 */   // Label 18202: @1262814
     /* 1262814 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1262898), // Rule ID 8129 //
     /* 1262819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1262836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1262839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262897 */     // GIR_Coverage, 8129,
     /* 1262897 */     GIR_EraseRootFromParent_Done,
     /* 1262898 */   // Label 18203: @1262898
     /* 1262898 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1262982), // Rule ID 8132 //
     /* 1262903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1262920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1262923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262981 */     // GIR_Coverage, 8132,
     /* 1262981 */     GIR_EraseRootFromParent_Done,
     /* 1262982 */   // Label 18204: @1262982
     /* 1262982 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1263066), // Rule ID 8133 //
     /* 1262987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1263043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263065 */     // GIR_Coverage, 8133,
     /* 1263065 */     GIR_EraseRootFromParent_Done,
     /* 1263066 */   // Label 18205: @1263066
     /* 1263066 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1263150), // Rule ID 8136 //
     /* 1263071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263149 */     // GIR_Coverage, 8136,
     /* 1263149 */     GIR_EraseRootFromParent_Done,
     /* 1263150 */   // Label 18206: @1263150
     /* 1263150 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1263234), // Rule ID 8137 //
     /* 1263155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263233 */     // GIR_Coverage, 8137,
     /* 1263233 */     GIR_EraseRootFromParent_Done,
     /* 1263234 */   // Label 18207: @1263234
     /* 1263234 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1263318), // Rule ID 8140 //
     /* 1263239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263317 */     // GIR_Coverage, 8140,
     /* 1263317 */     GIR_EraseRootFromParent_Done,
     /* 1263318 */   // Label 18208: @1263318
     /* 1263318 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1263402), // Rule ID 8141 //
     /* 1263323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263401 */     // GIR_Coverage, 8141,
     /* 1263401 */     GIR_EraseRootFromParent_Done,
     /* 1263402 */   // Label 18209: @1263402
     /* 1263402 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1263486), // Rule ID 8144 //
     /* 1263407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1263463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263485 */     // GIR_Coverage, 8144,
     /* 1263485 */     GIR_EraseRootFromParent_Done,
     /* 1263486 */   // Label 18210: @1263486
     /* 1263486 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1263570), // Rule ID 8145 //
     /* 1263491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1263547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263569 */     // GIR_Coverage, 8145,
     /* 1263569 */     GIR_EraseRootFromParent_Done,
     /* 1263570 */   // Label 18211: @1263570
     /* 1263570 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1263654), // Rule ID 8148 //
     /* 1263575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1263631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263653 */     // GIR_Coverage, 8148,
     /* 1263653 */     GIR_EraseRootFromParent_Done,
     /* 1263654 */   // Label 18212: @1263654
     /* 1263654 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1263738), // Rule ID 8149 //
     /* 1263659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1263715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263737 */     // GIR_Coverage, 8149,
     /* 1263737 */     GIR_EraseRootFromParent_Done,
     /* 1263738 */   // Label 18213: @1263738
     /* 1263738 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1263822), // Rule ID 8152 //
     /* 1263743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1263799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263821 */     // GIR_Coverage, 8152,
     /* 1263821 */     GIR_EraseRootFromParent_Done,
     /* 1263822 */   // Label 18214: @1263822
     /* 1263822 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1263906), // Rule ID 8153 //
     /* 1263827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1263883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263905 */     // GIR_Coverage, 8153,
     /* 1263905 */     GIR_EraseRootFromParent_Done,
     /* 1263906 */   // Label 18215: @1263906
     /* 1263906 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1263990), // Rule ID 8156 //
     /* 1263911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1263928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1263967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263989 */     // GIR_Coverage, 8156,
     /* 1263989 */     GIR_EraseRootFromParent_Done,
     /* 1263990 */   // Label 18216: @1263990
     /* 1263990 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1264074), // Rule ID 8157 //
     /* 1263995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1264051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264073 */     // GIR_Coverage, 8157,
     /* 1264073 */     GIR_EraseRootFromParent_Done,
     /* 1264074 */   // Label 18217: @1264074
     /* 1264074 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1264158), // Rule ID 8160 //
     /* 1264079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264157 */     // GIR_Coverage, 8160,
     /* 1264157 */     GIR_EraseRootFromParent_Done,
     /* 1264158 */   // Label 18218: @1264158
     /* 1264158 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1264242), // Rule ID 8161 //
     /* 1264163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264241 */     // GIR_Coverage, 8161,
     /* 1264241 */     GIR_EraseRootFromParent_Done,
     /* 1264242 */   // Label 18219: @1264242
     /* 1264242 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1264326), // Rule ID 8164 //
     /* 1264247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264325 */     // GIR_Coverage, 8164,
     /* 1264325 */     GIR_EraseRootFromParent_Done,
     /* 1264326 */   // Label 18220: @1264326
     /* 1264326 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1264410), // Rule ID 8165 //
     /* 1264331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264409 */     // GIR_Coverage, 8165,
     /* 1264409 */     GIR_EraseRootFromParent_Done,
     /* 1264410 */   // Label 18221: @1264410
     /* 1264410 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1264494), // Rule ID 8168 //
     /* 1264415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264493 */     // GIR_Coverage, 8168,
     /* 1264493 */     GIR_EraseRootFromParent_Done,
     /* 1264494 */   // Label 18222: @1264494
     /* 1264494 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1264578), // Rule ID 8169 //
     /* 1264499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264577 */     // GIR_Coverage, 8169,
     /* 1264577 */     GIR_EraseRootFromParent_Done,
     /* 1264578 */   // Label 18223: @1264578
     /* 1264578 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1264662), // Rule ID 8172 //
     /* 1264583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264661 */     // GIR_Coverage, 8172,
     /* 1264661 */     GIR_EraseRootFromParent_Done,
     /* 1264662 */   // Label 18224: @1264662
     /* 1264662 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1264746), // Rule ID 8173 //
     /* 1264667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264745 */     // GIR_Coverage, 8173,
     /* 1264745 */     GIR_EraseRootFromParent_Done,
     /* 1264746 */   // Label 18225: @1264746
     /* 1264746 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1264830), // Rule ID 8176 //
     /* 1264751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264829 */     // GIR_Coverage, 8176,
     /* 1264829 */     GIR_EraseRootFromParent_Done,
     /* 1264830 */   // Label 18226: @1264830
     /* 1264830 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1264914), // Rule ID 8177 //
     /* 1264835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264913 */     // GIR_Coverage, 8177,
     /* 1264913 */     GIR_EraseRootFromParent_Done,
     /* 1264914 */   // Label 18227: @1264914
     /* 1264914 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1264998), // Rule ID 8180 //
     /* 1264919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1264936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264997 */     // GIR_Coverage, 8180,
     /* 1264997 */     GIR_EraseRootFromParent_Done,
     /* 1264998 */   // Label 18228: @1264998
     /* 1264998 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1265082), // Rule ID 8181 //
     /* 1265003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265081 */     // GIR_Coverage, 8181,
     /* 1265081 */     GIR_EraseRootFromParent_Done,
     /* 1265082 */   // Label 18229: @1265082
     /* 1265082 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1265166), // Rule ID 8184 //
     /* 1265087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265165 */     // GIR_Coverage, 8184,
     /* 1265165 */     GIR_EraseRootFromParent_Done,
     /* 1265166 */   // Label 18230: @1265166
     /* 1265166 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1265250), // Rule ID 8185 //
     /* 1265171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265249 */     // GIR_Coverage, 8185,
     /* 1265249 */     GIR_EraseRootFromParent_Done,
     /* 1265250 */   // Label 18231: @1265250
     /* 1265250 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1265334), // Rule ID 8188 //
     /* 1265255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265333 */     // GIR_Coverage, 8188,
     /* 1265333 */     GIR_EraseRootFromParent_Done,
     /* 1265334 */   // Label 18232: @1265334
     /* 1265334 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1265418), // Rule ID 8189 //
     /* 1265339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265392 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265417 */     // GIR_Coverage, 8189,
     /* 1265417 */     GIR_EraseRootFromParent_Done,
     /* 1265418 */   // Label 18233: @1265418
     /* 1265418 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1265502), // Rule ID 8192 //
     /* 1265423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1265434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1265437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265476 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1265479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265501 */     // GIR_Coverage, 8192,
     /* 1265501 */     GIR_EraseRootFromParent_Done,
     /* 1265502 */   // Label 18234: @1265502
     /* 1265502 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1265586), // Rule ID 8193 //
     /* 1265507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1265518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1265521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265560 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1265563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265585 */     // GIR_Coverage, 8193,
     /* 1265585 */     GIR_EraseRootFromParent_Done,
     /* 1265586 */   // Label 18235: @1265586
     /* 1265586 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1265670), // Rule ID 8196 //
     /* 1265591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265669 */     // GIR_Coverage, 8196,
     /* 1265669 */     GIR_EraseRootFromParent_Done,
     /* 1265670 */   // Label 18236: @1265670
     /* 1265670 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1265754), // Rule ID 8197 //
     /* 1265675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265753 */     // GIR_Coverage, 8197,
     /* 1265753 */     GIR_EraseRootFromParent_Done,
     /* 1265754 */   // Label 18237: @1265754
     /* 1265754 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1265838), // Rule ID 8200 //
     /* 1265759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265837 */     // GIR_Coverage, 8200,
     /* 1265837 */     GIR_EraseRootFromParent_Done,
     /* 1265838 */   // Label 18238: @1265838
     /* 1265838 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1265922), // Rule ID 8201 //
     /* 1265843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265921 */     // GIR_Coverage, 8201,
     /* 1265921 */     GIR_EraseRootFromParent_Done,
     /* 1265922 */   // Label 18239: @1265922
     /* 1265922 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1266006), // Rule ID 8204 //
     /* 1265927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1265944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1265983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266005 */     // GIR_Coverage, 8204,
     /* 1266005 */     GIR_EraseRootFromParent_Done,
     /* 1266006 */   // Label 18240: @1266006
     /* 1266006 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1266090), // Rule ID 8205 //
     /* 1266011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266064 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266089 */     // GIR_Coverage, 8205,
     /* 1266089 */     GIR_EraseRootFromParent_Done,
     /* 1266090 */   // Label 18241: @1266090
     /* 1266090 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1266174), // Rule ID 8208 //
     /* 1266095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266173 */     // GIR_Coverage, 8208,
     /* 1266173 */     GIR_EraseRootFromParent_Done,
     /* 1266174 */   // Label 18242: @1266174
     /* 1266174 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1266258), // Rule ID 8209 //
     /* 1266179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266257 */     // GIR_Coverage, 8209,
     /* 1266257 */     GIR_EraseRootFromParent_Done,
     /* 1266258 */   // Label 18243: @1266258
     /* 1266258 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1266342), // Rule ID 8212 //
     /* 1266263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266341 */     // GIR_Coverage, 8212,
     /* 1266341 */     GIR_EraseRootFromParent_Done,
     /* 1266342 */   // Label 18244: @1266342
     /* 1266342 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1266426), // Rule ID 8213 //
     /* 1266347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266425 */     // GIR_Coverage, 8213,
     /* 1266425 */     GIR_EraseRootFromParent_Done,
     /* 1266426 */   // Label 18245: @1266426
     /* 1266426 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1266510), // Rule ID 8216 //
     /* 1266431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266509 */     // GIR_Coverage, 8216,
     /* 1266509 */     GIR_EraseRootFromParent_Done,
     /* 1266510 */   // Label 18246: @1266510
     /* 1266510 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1266594), // Rule ID 8217 //
     /* 1266515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266593 */     // GIR_Coverage, 8217,
     /* 1266593 */     GIR_EraseRootFromParent_Done,
     /* 1266594 */   // Label 18247: @1266594
     /* 1266594 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1266678), // Rule ID 8220 //
     /* 1266599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266677 */     // GIR_Coverage, 8220,
     /* 1266677 */     GIR_EraseRootFromParent_Done,
     /* 1266678 */   // Label 18248: @1266678
     /* 1266678 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1266762), // Rule ID 8221 //
     /* 1266683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266761 */     // GIR_Coverage, 8221,
     /* 1266761 */     GIR_EraseRootFromParent_Done,
     /* 1266762 */   // Label 18249: @1266762
     /* 1266762 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1266846), // Rule ID 8224 //
     /* 1266767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266845 */     // GIR_Coverage, 8224,
     /* 1266845 */     GIR_EraseRootFromParent_Done,
     /* 1266846 */   // Label 18250: @1266846
     /* 1266846 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1266930), // Rule ID 8225 //
     /* 1266851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266929 */     // GIR_Coverage, 8225,
     /* 1266929 */     GIR_EraseRootFromParent_Done,
     /* 1266930 */   // Label 18251: @1266930
     /* 1266930 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1267014), // Rule ID 8228 //
     /* 1266935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1266952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267013 */     // GIR_Coverage, 8228,
     /* 1267013 */     GIR_EraseRootFromParent_Done,
     /* 1267014 */   // Label 18252: @1267014
     /* 1267014 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1267098), // Rule ID 8229 //
     /* 1267019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1267075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267097 */     // GIR_Coverage, 8229,
     /* 1267097 */     GIR_EraseRootFromParent_Done,
     /* 1267098 */   // Label 18253: @1267098
     /* 1267098 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1267182), // Rule ID 8320 //
     /* 1267103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1267159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267181 */     // GIR_Coverage, 8320,
     /* 1267181 */     GIR_EraseRootFromParent_Done,
     /* 1267182 */   // Label 18254: @1267182
     /* 1267182 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1267266), // Rule ID 8321 //
     /* 1267187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1267243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267265 */     // GIR_Coverage, 8321,
     /* 1267265 */     GIR_EraseRootFromParent_Done,
     /* 1267266 */   // Label 18255: @1267266
     /* 1267266 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1267350), // Rule ID 8324 //
     /* 1267271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1267291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267349 */     // GIR_Coverage, 8324,
     /* 1267349 */     GIR_EraseRootFromParent_Done,
     /* 1267350 */   // Label 18256: @1267350
     /* 1267350 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1267434), // Rule ID 8325 //
     /* 1267355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1267375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267433 */     // GIR_Coverage, 8325,
     /* 1267433 */     GIR_EraseRootFromParent_Done,
     /* 1267434 */   // Label 18257: @1267434
     /* 1267434 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1267518), // Rule ID 8328 //
     /* 1267439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1267459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267517 */     // GIR_Coverage, 8328,
     /* 1267517 */     GIR_EraseRootFromParent_Done,
     /* 1267518 */   // Label 18258: @1267518
     /* 1267518 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1267602), // Rule ID 8329 //
     /* 1267523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1267543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267601 */     // GIR_Coverage, 8329,
     /* 1267601 */     GIR_EraseRootFromParent_Done,
     /* 1267602 */   // Label 18259: @1267602
     /* 1267602 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1267686), // Rule ID 8332 //
     /* 1267607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267685 */     // GIR_Coverage, 8332,
     /* 1267685 */     GIR_EraseRootFromParent_Done,
     /* 1267686 */   // Label 18260: @1267686
     /* 1267686 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1267770), // Rule ID 8333 //
     /* 1267691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267769 */     // GIR_Coverage, 8333,
     /* 1267769 */     GIR_EraseRootFromParent_Done,
     /* 1267770 */   // Label 18261: @1267770
     /* 1267770 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1267854), // Rule ID 8336 //
     /* 1267775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267853 */     // GIR_Coverage, 8336,
     /* 1267853 */     GIR_EraseRootFromParent_Done,
     /* 1267854 */   // Label 18262: @1267854
     /* 1267854 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1267938), // Rule ID 8337 //
     /* 1267859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267937 */     // GIR_Coverage, 8337,
     /* 1267937 */     GIR_EraseRootFromParent_Done,
     /* 1267938 */   // Label 18263: @1267938
     /* 1267938 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1268022), // Rule ID 8340 //
     /* 1267943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1267960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1267963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268021 */     // GIR_Coverage, 8340,
     /* 1268021 */     GIR_EraseRootFromParent_Done,
     /* 1268022 */   // Label 18264: @1268022
     /* 1268022 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1268106), // Rule ID 8341 //
     /* 1268027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268105 */     // GIR_Coverage, 8341,
     /* 1268105 */     GIR_EraseRootFromParent_Done,
     /* 1268106 */   // Label 18265: @1268106
     /* 1268106 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1268190), // Rule ID 8344 //
     /* 1268111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268189 */     // GIR_Coverage, 8344,
     /* 1268189 */     GIR_EraseRootFromParent_Done,
     /* 1268190 */   // Label 18266: @1268190
     /* 1268190 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1268274), // Rule ID 8345 //
     /* 1268195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268273 */     // GIR_Coverage, 8345,
     /* 1268273 */     GIR_EraseRootFromParent_Done,
     /* 1268274 */   // Label 18267: @1268274
     /* 1268274 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1268358), // Rule ID 8348 //
     /* 1268279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268357 */     // GIR_Coverage, 8348,
     /* 1268357 */     GIR_EraseRootFromParent_Done,
     /* 1268358 */   // Label 18268: @1268358
     /* 1268358 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1268442), // Rule ID 8349 //
     /* 1268363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268441 */     // GIR_Coverage, 8349,
     /* 1268441 */     GIR_EraseRootFromParent_Done,
     /* 1268442 */   // Label 18269: @1268442
     /* 1268442 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1268526), // Rule ID 8352 //
     /* 1268447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268525 */     // GIR_Coverage, 8352,
     /* 1268525 */     GIR_EraseRootFromParent_Done,
     /* 1268526 */   // Label 18270: @1268526
     /* 1268526 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1268610), // Rule ID 8353 //
     /* 1268531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268609 */     // GIR_Coverage, 8353,
     /* 1268609 */     GIR_EraseRootFromParent_Done,
     /* 1268610 */   // Label 18271: @1268610
     /* 1268610 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1268694), // Rule ID 8356 //
     /* 1268615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268693 */     // GIR_Coverage, 8356,
     /* 1268693 */     GIR_EraseRootFromParent_Done,
     /* 1268694 */   // Label 18272: @1268694
     /* 1268694 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1268778), // Rule ID 8357 //
     /* 1268699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268777 */     // GIR_Coverage, 8357,
     /* 1268777 */     GIR_EraseRootFromParent_Done,
     /* 1268778 */   // Label 18273: @1268778
     /* 1268778 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1268862), // Rule ID 8360 //
     /* 1268783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1268800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1268803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1268839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268861 */     // GIR_Coverage, 8360,
     /* 1268861 */     GIR_EraseRootFromParent_Done,
     /* 1268862 */   // Label 18274: @1268862
     /* 1268862 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1268946), // Rule ID 8361 //
     /* 1268867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1268884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1268887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1268923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268945 */     // GIR_Coverage, 8361,
     /* 1268945 */     GIR_EraseRootFromParent_Done,
     /* 1268946 */   // Label 18275: @1268946
     /* 1268946 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1269030), // Rule ID 8364 //
     /* 1268951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1268968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1268971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269029 */     // GIR_Coverage, 8364,
     /* 1269029 */     GIR_EraseRootFromParent_Done,
     /* 1269030 */   // Label 18276: @1269030
     /* 1269030 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1269114), // Rule ID 8365 //
     /* 1269035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269113 */     // GIR_Coverage, 8365,
     /* 1269113 */     GIR_EraseRootFromParent_Done,
     /* 1269114 */   // Label 18277: @1269114
     /* 1269114 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1269198), // Rule ID 8368 //
     /* 1269119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269172 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269197 */     // GIR_Coverage, 8368,
     /* 1269197 */     GIR_EraseRootFromParent_Done,
     /* 1269198 */   // Label 18278: @1269198
     /* 1269198 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1269282), // Rule ID 8369 //
     /* 1269203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269256 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269281 */     // GIR_Coverage, 8369,
     /* 1269281 */     GIR_EraseRootFromParent_Done,
     /* 1269282 */   // Label 18279: @1269282
     /* 1269282 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1269366), // Rule ID 8372 //
     /* 1269287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1269307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269365 */     // GIR_Coverage, 8372,
     /* 1269365 */     GIR_EraseRootFromParent_Done,
     /* 1269366 */   // Label 18280: @1269366
     /* 1269366 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1269450), // Rule ID 8373 //
     /* 1269371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1269391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269449 */     // GIR_Coverage, 8373,
     /* 1269449 */     GIR_EraseRootFromParent_Done,
     /* 1269450 */   // Label 18281: @1269450
     /* 1269450 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1269534), // Rule ID 8376 //
     /* 1269455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1269475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269533 */     // GIR_Coverage, 8376,
     /* 1269533 */     GIR_EraseRootFromParent_Done,
     /* 1269534 */   // Label 18282: @1269534
     /* 1269534 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1269618), // Rule ID 8377 //
     /* 1269539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1269559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269617 */     // GIR_Coverage, 8377,
     /* 1269617 */     GIR_EraseRootFromParent_Done,
     /* 1269618 */   // Label 18283: @1269618
     /* 1269618 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1269702), // Rule ID 8380 //
     /* 1269623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1269640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1269643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269701 */     // GIR_Coverage, 8380,
     /* 1269701 */     GIR_EraseRootFromParent_Done,
     /* 1269702 */   // Label 18284: @1269702
     /* 1269702 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1269786), // Rule ID 8381 //
     /* 1269707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1269724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1269727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269760 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269785 */     // GIR_Coverage, 8381,
     /* 1269785 */     GIR_EraseRootFromParent_Done,
     /* 1269786 */   // Label 18285: @1269786
     /* 1269786 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1269870), // Rule ID 8384 //
     /* 1269791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1269808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1269811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269869 */     // GIR_Coverage, 8384,
     /* 1269869 */     GIR_EraseRootFromParent_Done,
     /* 1269870 */   // Label 18286: @1269870
     /* 1269870 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1269954), // Rule ID 8385 //
     /* 1269875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1269892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1269895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269953 */     // GIR_Coverage, 8385,
     /* 1269953 */     GIR_EraseRootFromParent_Done,
     /* 1269954 */   // Label 18287: @1269954
     /* 1269954 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1270038), // Rule ID 8388 //
     /* 1269959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1269976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1269979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270037 */     // GIR_Coverage, 8388,
     /* 1270037 */     GIR_EraseRootFromParent_Done,
     /* 1270038 */   // Label 18288: @1270038
     /* 1270038 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1270122), // Rule ID 8389 //
     /* 1270043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270121 */     // GIR_Coverage, 8389,
     /* 1270121 */     GIR_EraseRootFromParent_Done,
     /* 1270122 */   // Label 18289: @1270122
     /* 1270122 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1270206), // Rule ID 8392 //
     /* 1270127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270205 */     // GIR_Coverage, 8392,
     /* 1270205 */     GIR_EraseRootFromParent_Done,
     /* 1270206 */   // Label 18290: @1270206
     /* 1270206 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1270290), // Rule ID 8393 //
     /* 1270211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270289 */     // GIR_Coverage, 8393,
     /* 1270289 */     GIR_EraseRootFromParent_Done,
     /* 1270290 */   // Label 18291: @1270290
     /* 1270290 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1270374), // Rule ID 8396 //
     /* 1270295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1270315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270373 */     // GIR_Coverage, 8396,
     /* 1270373 */     GIR_EraseRootFromParent_Done,
     /* 1270374 */   // Label 18292: @1270374
     /* 1270374 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1270458), // Rule ID 8397 //
     /* 1270379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1270399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270457 */     // GIR_Coverage, 8397,
     /* 1270457 */     GIR_EraseRootFromParent_Done,
     /* 1270458 */   // Label 18293: @1270458
     /* 1270458 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1270542), // Rule ID 8400 //
     /* 1270463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1270483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270541 */     // GIR_Coverage, 8400,
     /* 1270541 */     GIR_EraseRootFromParent_Done,
     /* 1270542 */   // Label 18294: @1270542
     /* 1270542 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1270626), // Rule ID 8401 //
     /* 1270547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1270567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270625 */     // GIR_Coverage, 8401,
     /* 1270625 */     GIR_EraseRootFromParent_Done,
     /* 1270626 */   // Label 18295: @1270626
     /* 1270626 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1270710), // Rule ID 8404 //
     /* 1270631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1270648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1270651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270709 */     // GIR_Coverage, 8404,
     /* 1270709 */     GIR_EraseRootFromParent_Done,
     /* 1270710 */   // Label 18296: @1270710
     /* 1270710 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1270794), // Rule ID 8405 //
     /* 1270715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1270732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1270735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270793 */     // GIR_Coverage, 8405,
     /* 1270793 */     GIR_EraseRootFromParent_Done,
     /* 1270794 */   // Label 18297: @1270794
     /* 1270794 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1270878), // Rule ID 8408 //
     /* 1270799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1270816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1270855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270877 */     // GIR_Coverage, 8408,
     /* 1270877 */     GIR_EraseRootFromParent_Done,
     /* 1270878 */   // Label 18298: @1270878
     /* 1270878 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1270962), // Rule ID 8409 //
     /* 1270883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1270900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1270939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270961 */     // GIR_Coverage, 8409,
     /* 1270961 */     GIR_EraseRootFromParent_Done,
     /* 1270962 */   // Label 18299: @1270962
     /* 1270962 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1271046), // Rule ID 8412 //
     /* 1270967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1270984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271045 */     // GIR_Coverage, 8412,
     /* 1271045 */     GIR_EraseRootFromParent_Done,
     /* 1271046 */   // Label 18300: @1271046
     /* 1271046 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1271130), // Rule ID 8413 //
     /* 1271051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271129 */     // GIR_Coverage, 8413,
     /* 1271129 */     GIR_EraseRootFromParent_Done,
     /* 1271130 */   // Label 18301: @1271130
     /* 1271130 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1271214), // Rule ID 8416 //
     /* 1271135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271213 */     // GIR_Coverage, 8416,
     /* 1271213 */     GIR_EraseRootFromParent_Done,
     /* 1271214 */   // Label 18302: @1271214
     /* 1271214 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1271298), // Rule ID 8417 //
     /* 1271219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271297 */     // GIR_Coverage, 8417,
     /* 1271297 */     GIR_EraseRootFromParent_Done,
     /* 1271298 */   // Label 18303: @1271298
     /* 1271298 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1271382), // Rule ID 8420 //
     /* 1271303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271381 */     // GIR_Coverage, 8420,
     /* 1271381 */     GIR_EraseRootFromParent_Done,
     /* 1271382 */   // Label 18304: @1271382
     /* 1271382 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1271466), // Rule ID 8421 //
     /* 1271387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271465 */     // GIR_Coverage, 8421,
     /* 1271465 */     GIR_EraseRootFromParent_Done,
     /* 1271466 */   // Label 18305: @1271466
     /* 1271466 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1271550), // Rule ID 8424 //
     /* 1271471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271549 */     // GIR_Coverage, 8424,
     /* 1271549 */     GIR_EraseRootFromParent_Done,
     /* 1271550 */   // Label 18306: @1271550
     /* 1271550 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1271634), // Rule ID 8425 //
     /* 1271555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271633 */     // GIR_Coverage, 8425,
     /* 1271633 */     GIR_EraseRootFromParent_Done,
     /* 1271634 */   // Label 18307: @1271634
     /* 1271634 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1271718), // Rule ID 8428 //
     /* 1271639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1271656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271717 */     // GIR_Coverage, 8428,
     /* 1271717 */     GIR_EraseRootFromParent_Done,
     /* 1271718 */   // Label 18308: @1271718
     /* 1271718 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1271802), // Rule ID 8429 //
     /* 1271723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1271740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271801 */     // GIR_Coverage, 8429,
     /* 1271801 */     GIR_EraseRootFromParent_Done,
     /* 1271802 */   // Label 18309: @1271802
     /* 1271802 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1271886), // Rule ID 8432 //
     /* 1271807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1271824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1271863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271885 */     // GIR_Coverage, 8432,
     /* 1271885 */     GIR_EraseRootFromParent_Done,
     /* 1271886 */   // Label 18310: @1271886
     /* 1271886 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1271970), // Rule ID 8433 //
     /* 1271891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1271908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1271947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271969 */     // GIR_Coverage, 8433,
     /* 1271969 */     GIR_EraseRootFromParent_Done,
     /* 1271970 */   // Label 18311: @1271970
     /* 1271970 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1272054), // Rule ID 8436 //
     /* 1271975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1271992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272053 */     // GIR_Coverage, 8436,
     /* 1272053 */     GIR_EraseRootFromParent_Done,
     /* 1272054 */   // Label 18312: @1272054
     /* 1272054 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1272138), // Rule ID 8437 //
     /* 1272059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272137 */     // GIR_Coverage, 8437,
     /* 1272137 */     GIR_EraseRootFromParent_Done,
     /* 1272138 */   // Label 18313: @1272138
     /* 1272138 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1272222), // Rule ID 8440 //
     /* 1272143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272221 */     // GIR_Coverage, 8440,
     /* 1272221 */     GIR_EraseRootFromParent_Done,
     /* 1272222 */   // Label 18314: @1272222
     /* 1272222 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1272306), // Rule ID 8441 //
     /* 1272227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272305 */     // GIR_Coverage, 8441,
     /* 1272305 */     GIR_EraseRootFromParent_Done,
     /* 1272306 */   // Label 18315: @1272306
     /* 1272306 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1272390), // Rule ID 8444 //
     /* 1272311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272389 */     // GIR_Coverage, 8444,
     /* 1272389 */     GIR_EraseRootFromParent_Done,
     /* 1272390 */   // Label 18316: @1272390
     /* 1272390 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1272474), // Rule ID 8445 //
     /* 1272395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272473 */     // GIR_Coverage, 8445,
     /* 1272473 */     GIR_EraseRootFromParent_Done,
     /* 1272474 */   // Label 18317: @1272474
     /* 1272474 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1272558), // Rule ID 8448 //
     /* 1272479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1272535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272557 */     // GIR_Coverage, 8448,
     /* 1272557 */     GIR_EraseRootFromParent_Done,
     /* 1272558 */   // Label 18318: @1272558
     /* 1272558 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1272642), // Rule ID 8449 //
     /* 1272563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1272619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272641 */     // GIR_Coverage, 8449,
     /* 1272641 */     GIR_EraseRootFromParent_Done,
     /* 1272642 */   // Label 18319: @1272642
     /* 1272642 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1272726), // Rule ID 8452 //
     /* 1272647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1272664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1272703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272725 */     // GIR_Coverage, 8452,
     /* 1272725 */     GIR_EraseRootFromParent_Done,
     /* 1272726 */   // Label 18320: @1272726
     /* 1272726 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1272810), // Rule ID 8453 //
     /* 1272731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1272748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272784 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1272787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272809 */     // GIR_Coverage, 8453,
     /* 1272809 */     GIR_EraseRootFromParent_Done,
     /* 1272810 */   // Label 18321: @1272810
     /* 1272810 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1272894), // Rule ID 8456 //
     /* 1272815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1272826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1272829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1272832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1272838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272868 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1272871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272893 */     // GIR_Coverage, 8456,
     /* 1272893 */     GIR_EraseRootFromParent_Done,
     /* 1272894 */   // Label 18322: @1272894
     /* 1272894 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1272978), // Rule ID 8457 //
     /* 1272899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1272910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1272913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1272916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1272922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272952 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1272955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272977 */     // GIR_Coverage, 8457,
     /* 1272977 */     GIR_EraseRootFromParent_Done,
     /* 1272978 */   // Label 18323: @1272978
     /* 1272978 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1273062), // Rule ID 8460 //
     /* 1272983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273061 */     // GIR_Coverage, 8460,
     /* 1273061 */     GIR_EraseRootFromParent_Done,
     /* 1273062 */   // Label 18324: @1273062
     /* 1273062 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1273146), // Rule ID 8461 //
     /* 1273067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273145 */     // GIR_Coverage, 8461,
     /* 1273145 */     GIR_EraseRootFromParent_Done,
     /* 1273146 */   // Label 18325: @1273146
     /* 1273146 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1273230), // Rule ID 8464 //
     /* 1273151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273229 */     // GIR_Coverage, 8464,
     /* 1273229 */     GIR_EraseRootFromParent_Done,
     /* 1273230 */   // Label 18326: @1273230
     /* 1273230 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1273314), // Rule ID 8465 //
     /* 1273235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273313 */     // GIR_Coverage, 8465,
     /* 1273313 */     GIR_EraseRootFromParent_Done,
     /* 1273314 */   // Label 18327: @1273314
     /* 1273314 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1273398), // Rule ID 8468 //
     /* 1273319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273372 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273397 */     // GIR_Coverage, 8468,
     /* 1273397 */     GIR_EraseRootFromParent_Done,
     /* 1273398 */   // Label 18328: @1273398
     /* 1273398 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1273482), // Rule ID 8469 //
     /* 1273403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273456 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273481 */     // GIR_Coverage, 8469,
     /* 1273481 */     GIR_EraseRootFromParent_Done,
     /* 1273482 */   // Label 18329: @1273482
     /* 1273482 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1273566), // Rule ID 8472 //
     /* 1273487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273565 */     // GIR_Coverage, 8472,
     /* 1273565 */     GIR_EraseRootFromParent_Done,
     /* 1273566 */   // Label 18330: @1273566
     /* 1273566 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1273650), // Rule ID 8473 //
     /* 1273571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273649 */     // GIR_Coverage, 8473,
     /* 1273649 */     GIR_EraseRootFromParent_Done,
     /* 1273650 */   // Label 18331: @1273650
     /* 1273650 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1273734), // Rule ID 8476 //
     /* 1273655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1273672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273733 */     // GIR_Coverage, 8476,
     /* 1273733 */     GIR_EraseRootFromParent_Done,
     /* 1273734 */   // Label 18332: @1273734
     /* 1273734 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1273818), // Rule ID 8477 //
     /* 1273739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1273756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273817 */     // GIR_Coverage, 8477,
     /* 1273817 */     GIR_EraseRootFromParent_Done,
     /* 1273818 */   // Label 18333: @1273818
     /* 1273818 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1273902), // Rule ID 8480 //
     /* 1273823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1273840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273876 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273901 */     // GIR_Coverage, 8480,
     /* 1273901 */     GIR_EraseRootFromParent_Done,
     /* 1273902 */   // Label 18334: @1273902
     /* 1273902 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1273986), // Rule ID 8481 //
     /* 1273907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1273924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273985 */     // GIR_Coverage, 8481,
     /* 1273985 */     GIR_EraseRootFromParent_Done,
     /* 1273986 */   // Label 18335: @1273986
     /* 1273986 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1274070), // Rule ID 8484 //
     /* 1273991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274069 */     // GIR_Coverage, 8484,
     /* 1274069 */     GIR_EraseRootFromParent_Done,
     /* 1274070 */   // Label 18336: @1274070
     /* 1274070 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1274154), // Rule ID 8485 //
     /* 1274075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274153 */     // GIR_Coverage, 8485,
     /* 1274153 */     GIR_EraseRootFromParent_Done,
     /* 1274154 */   // Label 18337: @1274154
     /* 1274154 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1274238), // Rule ID 8488 //
     /* 1274159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274237 */     // GIR_Coverage, 8488,
     /* 1274237 */     GIR_EraseRootFromParent_Done,
     /* 1274238 */   // Label 18338: @1274238
     /* 1274238 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1274322), // Rule ID 8489 //
     /* 1274243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274321 */     // GIR_Coverage, 8489,
     /* 1274321 */     GIR_EraseRootFromParent_Done,
     /* 1274322 */   // Label 18339: @1274322
     /* 1274322 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1274406), // Rule ID 8492 //
     /* 1274327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274405 */     // GIR_Coverage, 8492,
     /* 1274405 */     GIR_EraseRootFromParent_Done,
     /* 1274406 */   // Label 18340: @1274406
     /* 1274406 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1274490), // Rule ID 8493 //
     /* 1274411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274489 */     // GIR_Coverage, 8493,
     /* 1274489 */     GIR_EraseRootFromParent_Done,
     /* 1274490 */   // Label 18341: @1274490
     /* 1274490 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1274574), // Rule ID 8496 //
     /* 1274495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1274515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1274551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274573 */     // GIR_Coverage, 8496,
     /* 1274573 */     GIR_EraseRootFromParent_Done,
     /* 1274574 */   // Label 18342: @1274574
     /* 1274574 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1274658), // Rule ID 8497 //
     /* 1274579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1274599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1274635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274657 */     // GIR_Coverage, 8497,
     /* 1274657 */     GIR_EraseRootFromParent_Done,
     /* 1274658 */   // Label 18343: @1274658
     /* 1274658 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1274742), // Rule ID 8500 //
     /* 1274663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1274680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1274683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1274719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274741 */     // GIR_Coverage, 8500,
     /* 1274741 */     GIR_EraseRootFromParent_Done,
     /* 1274742 */   // Label 18344: @1274742
     /* 1274742 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1274826), // Rule ID 8501 //
     /* 1274747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1274764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1274767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1274803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274825 */     // GIR_Coverage, 8501,
     /* 1274825 */     GIR_EraseRootFromParent_Done,
     /* 1274826 */   // Label 18345: @1274826
     /* 1274826 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1274910), // Rule ID 8504 //
     /* 1274831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1274848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1274851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1274887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274909 */     // GIR_Coverage, 8504,
     /* 1274909 */     GIR_EraseRootFromParent_Done,
     /* 1274910 */   // Label 18346: @1274910
     /* 1274910 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1274994), // Rule ID 8505 //
     /* 1274915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1274932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1274935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1274971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274993 */     // GIR_Coverage, 8505,
     /* 1274993 */     GIR_EraseRootFromParent_Done,
     /* 1274994 */   // Label 18347: @1274994
     /* 1274994 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1275078), // Rule ID 8508 //
     /* 1274999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275077 */     // GIR_Coverage, 8508,
     /* 1275077 */     GIR_EraseRootFromParent_Done,
     /* 1275078 */   // Label 18348: @1275078
     /* 1275078 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1275162), // Rule ID 8509 //
     /* 1275083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275161 */     // GIR_Coverage, 8509,
     /* 1275161 */     GIR_EraseRootFromParent_Done,
     /* 1275162 */   // Label 18349: @1275162
     /* 1275162 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1275246), // Rule ID 8512 //
     /* 1275167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275245 */     // GIR_Coverage, 8512,
     /* 1275245 */     GIR_EraseRootFromParent_Done,
     /* 1275246 */   // Label 18350: @1275246
     /* 1275246 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1275330), // Rule ID 8513 //
     /* 1275251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275329 */     // GIR_Coverage, 8513,
     /* 1275329 */     GIR_EraseRootFromParent_Done,
     /* 1275330 */   // Label 18351: @1275330
     /* 1275330 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1275414), // Rule ID 8516 //
     /* 1275335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1275355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275413 */     // GIR_Coverage, 8516,
     /* 1275413 */     GIR_EraseRootFromParent_Done,
     /* 1275414 */   // Label 18352: @1275414
     /* 1275414 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1275498), // Rule ID 8517 //
     /* 1275419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1275439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275497 */     // GIR_Coverage, 8517,
     /* 1275497 */     GIR_EraseRootFromParent_Done,
     /* 1275498 */   // Label 18353: @1275498
     /* 1275498 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1275582), // Rule ID 8520 //
     /* 1275503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275581 */     // GIR_Coverage, 8520,
     /* 1275581 */     GIR_EraseRootFromParent_Done,
     /* 1275582 */   // Label 18354: @1275582
     /* 1275582 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1275666), // Rule ID 8521 //
     /* 1275587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275665 */     // GIR_Coverage, 8521,
     /* 1275665 */     GIR_EraseRootFromParent_Done,
     /* 1275666 */   // Label 18355: @1275666
     /* 1275666 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1275750), // Rule ID 8524 //
     /* 1275671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1275688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275749 */     // GIR_Coverage, 8524,
     /* 1275749 */     GIR_EraseRootFromParent_Done,
     /* 1275750 */   // Label 18356: @1275750
     /* 1275750 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1275834), // Rule ID 8525 //
     /* 1275755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1275772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275833 */     // GIR_Coverage, 8525,
     /* 1275833 */     GIR_EraseRootFromParent_Done,
     /* 1275834 */   // Label 18357: @1275834
     /* 1275834 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1275918), // Rule ID 8528 //
     /* 1275839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1275856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275917 */     // GIR_Coverage, 8528,
     /* 1275917 */     GIR_EraseRootFromParent_Done,
     /* 1275918 */   // Label 18358: @1275918
     /* 1275918 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1276002), // Rule ID 8529 //
     /* 1275923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1275940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1275979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276001 */     // GIR_Coverage, 8529,
     /* 1276001 */     GIR_EraseRootFromParent_Done,
     /* 1276002 */   // Label 18359: @1276002
     /* 1276002 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1276086), // Rule ID 8532 //
     /* 1276007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276085 */     // GIR_Coverage, 8532,
     /* 1276085 */     GIR_EraseRootFromParent_Done,
     /* 1276086 */   // Label 18360: @1276086
     /* 1276086 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1276170), // Rule ID 8533 //
     /* 1276091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276169 */     // GIR_Coverage, 8533,
     /* 1276169 */     GIR_EraseRootFromParent_Done,
     /* 1276170 */   // Label 18361: @1276170
     /* 1276170 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1276254), // Rule ID 8536 //
     /* 1276175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276253 */     // GIR_Coverage, 8536,
     /* 1276253 */     GIR_EraseRootFromParent_Done,
     /* 1276254 */   // Label 18362: @1276254
     /* 1276254 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1276338), // Rule ID 8537 //
     /* 1276259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276337 */     // GIR_Coverage, 8537,
     /* 1276337 */     GIR_EraseRootFromParent_Done,
     /* 1276338 */   // Label 18363: @1276338
     /* 1276338 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1276422), // Rule ID 8540 //
     /* 1276343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1276363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276421 */     // GIR_Coverage, 8540,
     /* 1276421 */     GIR_EraseRootFromParent_Done,
     /* 1276422 */   // Label 18364: @1276422
     /* 1276422 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1276506), // Rule ID 8541 //
     /* 1276427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1276447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276480 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276505 */     // GIR_Coverage, 8541,
     /* 1276505 */     GIR_EraseRootFromParent_Done,
     /* 1276506 */   // Label 18365: @1276506
     /* 1276506 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1276590), // Rule ID 8544 //
     /* 1276511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1276522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1276525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1276531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276564 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1276567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276589 */     // GIR_Coverage, 8544,
     /* 1276589 */     GIR_EraseRootFromParent_Done,
     /* 1276590 */   // Label 18366: @1276590
     /* 1276590 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1276674), // Rule ID 8545 //
     /* 1276595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1276606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1276609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1276615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276648 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1276651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276673 */     // GIR_Coverage, 8545,
     /* 1276673 */     GIR_EraseRootFromParent_Done,
     /* 1276674 */   // Label 18367: @1276674
     /* 1276674 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1276758), // Rule ID 8548 //
     /* 1276679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1276696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1276699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276757 */     // GIR_Coverage, 8548,
     /* 1276757 */     GIR_EraseRootFromParent_Done,
     /* 1276758 */   // Label 18368: @1276758
     /* 1276758 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1276842), // Rule ID 8549 //
     /* 1276763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1276780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1276783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276841 */     // GIR_Coverage, 8549,
     /* 1276841 */     GIR_EraseRootFromParent_Done,
     /* 1276842 */   // Label 18369: @1276842
     /* 1276842 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1276926), // Rule ID 8552 //
     /* 1276847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1276864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1276867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276925 */     // GIR_Coverage, 8552,
     /* 1276925 */     GIR_EraseRootFromParent_Done,
     /* 1276926 */   // Label 18370: @1276926
     /* 1276926 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1277010), // Rule ID 8553 //
     /* 1276931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1276948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1276951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277009 */     // GIR_Coverage, 8553,
     /* 1277009 */     GIR_EraseRootFromParent_Done,
     /* 1277010 */   // Label 18371: @1277010
     /* 1277010 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1277094), // Rule ID 8556 //
     /* 1277015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277068 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277093 */     // GIR_Coverage, 8556,
     /* 1277093 */     GIR_EraseRootFromParent_Done,
     /* 1277094 */   // Label 18372: @1277094
     /* 1277094 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1277178), // Rule ID 8557 //
     /* 1277099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277152 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277177 */     // GIR_Coverage, 8557,
     /* 1277177 */     GIR_EraseRootFromParent_Done,
     /* 1277178 */   // Label 18373: @1277178
     /* 1277178 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1277262), // Rule ID 8560 //
     /* 1277183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277261 */     // GIR_Coverage, 8560,
     /* 1277261 */     GIR_EraseRootFromParent_Done,
     /* 1277262 */   // Label 18374: @1277262
     /* 1277262 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1277346), // Rule ID 8561 //
     /* 1277267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277345 */     // GIR_Coverage, 8561,
     /* 1277345 */     GIR_EraseRootFromParent_Done,
     /* 1277346 */   // Label 18375: @1277346
     /* 1277346 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1277430), // Rule ID 8564 //
     /* 1277351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1277371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277429 */     // GIR_Coverage, 8564,
     /* 1277429 */     GIR_EraseRootFromParent_Done,
     /* 1277430 */   // Label 18376: @1277430
     /* 1277430 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1277514), // Rule ID 8565 //
     /* 1277435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1277455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277513 */     // GIR_Coverage, 8565,
     /* 1277513 */     GIR_EraseRootFromParent_Done,
     /* 1277514 */   // Label 18377: @1277514
     /* 1277514 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1277598), // Rule ID 8568 //
     /* 1277519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1277539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277572 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277597 */     // GIR_Coverage, 8568,
     /* 1277597 */     GIR_EraseRootFromParent_Done,
     /* 1277598 */   // Label 18378: @1277598
     /* 1277598 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1277682), // Rule ID 8569 //
     /* 1277603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1277623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277656 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277681 */     // GIR_Coverage, 8569,
     /* 1277681 */     GIR_EraseRootFromParent_Done,
     /* 1277682 */   // Label 18379: @1277682
     /* 1277682 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1277766), // Rule ID 8572 //
     /* 1277687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1277704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1277707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277765 */     // GIR_Coverage, 8572,
     /* 1277765 */     GIR_EraseRootFromParent_Done,
     /* 1277766 */   // Label 18380: @1277766
     /* 1277766 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1277850), // Rule ID 8573 //
     /* 1277771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1277788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1277791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277849 */     // GIR_Coverage, 8573,
     /* 1277849 */     GIR_EraseRootFromParent_Done,
     /* 1277850 */   // Label 18381: @1277850
     /* 1277850 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1277934), // Rule ID 8576 //
     /* 1277855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1277872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1277875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277933 */     // GIR_Coverage, 8576,
     /* 1277933 */     GIR_EraseRootFromParent_Done,
     /* 1277934 */   // Label 18382: @1277934
     /* 1277934 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1278018), // Rule ID 8577 //
     /* 1277939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1277956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1277959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278017 */     // GIR_Coverage, 8577,
     /* 1278017 */     GIR_EraseRootFromParent_Done,
     /* 1278018 */   // Label 18383: @1278018
     /* 1278018 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1278102), // Rule ID 8580 //
     /* 1278023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278101 */     // GIR_Coverage, 8580,
     /* 1278101 */     GIR_EraseRootFromParent_Done,
     /* 1278102 */   // Label 18384: @1278102
     /* 1278102 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1278186), // Rule ID 8581 //
     /* 1278107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278185 */     // GIR_Coverage, 8581,
     /* 1278185 */     GIR_EraseRootFromParent_Done,
     /* 1278186 */   // Label 18385: @1278186
     /* 1278186 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1278270), // Rule ID 8584 //
     /* 1278191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1278247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278269 */     // GIR_Coverage, 8584,
     /* 1278269 */     GIR_EraseRootFromParent_Done,
     /* 1278270 */   // Label 18386: @1278270
     /* 1278270 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1278354), // Rule ID 8585 //
     /* 1278275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1278331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278353 */     // GIR_Coverage, 8585,
     /* 1278353 */     GIR_EraseRootFromParent_Done,
     /* 1278354 */   // Label 18387: @1278354
     /* 1278354 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1278438), // Rule ID 8588 //
     /* 1278359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278437 */     // GIR_Coverage, 8588,
     /* 1278437 */     GIR_EraseRootFromParent_Done,
     /* 1278438 */   // Label 18388: @1278438
     /* 1278438 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1278522), // Rule ID 8589 //
     /* 1278443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278521 */     // GIR_Coverage, 8589,
     /* 1278521 */     GIR_EraseRootFromParent_Done,
     /* 1278522 */   // Label 18389: @1278522
     /* 1278522 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1278606), // Rule ID 8592 //
     /* 1278527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1278583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278605 */     // GIR_Coverage, 8592,
     /* 1278605 */     GIR_EraseRootFromParent_Done,
     /* 1278606 */   // Label 18390: @1278606
     /* 1278606 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1278690), // Rule ID 8593 //
     /* 1278611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1278667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278689 */     // GIR_Coverage, 8593,
     /* 1278689 */     GIR_EraseRootFromParent_Done,
     /* 1278690 */   // Label 18391: @1278690
     /* 1278690 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1278774), // Rule ID 8596 //
     /* 1278695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1278712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278773 */     // GIR_Coverage, 8596,
     /* 1278773 */     GIR_EraseRootFromParent_Done,
     /* 1278774 */   // Label 18392: @1278774
     /* 1278774 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1278858), // Rule ID 8597 //
     /* 1278779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1278796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278857 */     // GIR_Coverage, 8597,
     /* 1278857 */     GIR_EraseRootFromParent_Done,
     /* 1278858 */   // Label 18393: @1278858
     /* 1278858 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1278942), // Rule ID 8600 //
     /* 1278863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1278880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1278919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278941 */     // GIR_Coverage, 8600,
     /* 1278941 */     GIR_EraseRootFromParent_Done,
     /* 1278942 */   // Label 18394: @1278942
     /* 1278942 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1279026), // Rule ID 8601 //
     /* 1278947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1278964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279025 */     // GIR_Coverage, 8601,
     /* 1279025 */     GIR_EraseRootFromParent_Done,
     /* 1279026 */   // Label 18395: @1279026
     /* 1279026 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1279110), // Rule ID 8604 //
     /* 1279031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279109 */     // GIR_Coverage, 8604,
     /* 1279109 */     GIR_EraseRootFromParent_Done,
     /* 1279110 */   // Label 18396: @1279110
     /* 1279110 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1279194), // Rule ID 8605 //
     /* 1279115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279193 */     // GIR_Coverage, 8605,
     /* 1279193 */     GIR_EraseRootFromParent_Done,
     /* 1279194 */   // Label 18397: @1279194
     /* 1279194 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1279278), // Rule ID 8608 //
     /* 1279199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279277 */     // GIR_Coverage, 8608,
     /* 1279277 */     GIR_EraseRootFromParent_Done,
     /* 1279278 */   // Label 18398: @1279278
     /* 1279278 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1279362), // Rule ID 8609 //
     /* 1279283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279361 */     // GIR_Coverage, 8609,
     /* 1279361 */     GIR_EraseRootFromParent_Done,
     /* 1279362 */   // Label 18399: @1279362
     /* 1279362 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1279446), // Rule ID 8612 //
     /* 1279367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279445 */     // GIR_Coverage, 8612,
     /* 1279445 */     GIR_EraseRootFromParent_Done,
     /* 1279446 */   // Label 18400: @1279446
     /* 1279446 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1279530), // Rule ID 8613 //
     /* 1279451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279529 */     // GIR_Coverage, 8613,
     /* 1279529 */     GIR_EraseRootFromParent_Done,
     /* 1279530 */   // Label 18401: @1279530
     /* 1279530 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1279614), // Rule ID 8616 //
     /* 1279535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279613 */     // GIR_Coverage, 8616,
     /* 1279613 */     GIR_EraseRootFromParent_Done,
     /* 1279614 */   // Label 18402: @1279614
     /* 1279614 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1279698), // Rule ID 8617 //
     /* 1279619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279697 */     // GIR_Coverage, 8617,
     /* 1279697 */     GIR_EraseRootFromParent_Done,
     /* 1279698 */   // Label 18403: @1279698
     /* 1279698 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1279782), // Rule ID 8620 //
     /* 1279703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1279720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279781 */     // GIR_Coverage, 8620,
     /* 1279781 */     GIR_EraseRootFromParent_Done,
     /* 1279782 */   // Label 18404: @1279782
     /* 1279782 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1279866), // Rule ID 8621 //
     /* 1279787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1279804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279865 */     // GIR_Coverage, 8621,
     /* 1279865 */     GIR_EraseRootFromParent_Done,
     /* 1279866 */   // Label 18405: @1279866
     /* 1279866 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1279950), // Rule ID 8624 //
     /* 1279871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1279888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1279927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279949 */     // GIR_Coverage, 8624,
     /* 1279949 */     GIR_EraseRootFromParent_Done,
     /* 1279950 */   // Label 18406: @1279950
     /* 1279950 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1280034), // Rule ID 8625 //
     /* 1279955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1279972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280033 */     // GIR_Coverage, 8625,
     /* 1280033 */     GIR_EraseRootFromParent_Done,
     /* 1280034 */   // Label 18407: @1280034
     /* 1280034 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1280118), // Rule ID 8628 //
     /* 1280039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280117 */     // GIR_Coverage, 8628,
     /* 1280117 */     GIR_EraseRootFromParent_Done,
     /* 1280118 */   // Label 18408: @1280118
     /* 1280118 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1280202), // Rule ID 8629 //
     /* 1280123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280201 */     // GIR_Coverage, 8629,
     /* 1280201 */     GIR_EraseRootFromParent_Done,
     /* 1280202 */   // Label 18409: @1280202
     /* 1280202 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1280286), // Rule ID 8632 //
     /* 1280207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280260 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280285 */     // GIR_Coverage, 8632,
     /* 1280285 */     GIR_EraseRootFromParent_Done,
     /* 1280286 */   // Label 18410: @1280286
     /* 1280286 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1280370), // Rule ID 8633 //
     /* 1280291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280344 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280369 */     // GIR_Coverage, 8633,
     /* 1280369 */     GIR_EraseRootFromParent_Done,
     /* 1280370 */   // Label 18411: @1280370
     /* 1280370 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1280454), // Rule ID 8636 //
     /* 1280375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280453 */     // GIR_Coverage, 8636,
     /* 1280453 */     GIR_EraseRootFromParent_Done,
     /* 1280454 */   // Label 18412: @1280454
     /* 1280454 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1280538), // Rule ID 8637 //
     /* 1280459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280537 */     // GIR_Coverage, 8637,
     /* 1280537 */     GIR_EraseRootFromParent_Done,
     /* 1280538 */   // Label 18413: @1280538
     /* 1280538 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1280622), // Rule ID 8640 //
     /* 1280543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280621 */     // GIR_Coverage, 8640,
     /* 1280621 */     GIR_EraseRootFromParent_Done,
     /* 1280622 */   // Label 18414: @1280622
     /* 1280622 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1280706), // Rule ID 8641 //
     /* 1280627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280705 */     // GIR_Coverage, 8641,
     /* 1280705 */     GIR_EraseRootFromParent_Done,
     /* 1280706 */   // Label 18415: @1280706
     /* 1280706 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1280790), // Rule ID 8644 //
     /* 1280711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280789 */     // GIR_Coverage, 8644,
     /* 1280789 */     GIR_EraseRootFromParent_Done,
     /* 1280790 */   // Label 18416: @1280790
     /* 1280790 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1280874), // Rule ID 8645 //
     /* 1280795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280873 */     // GIR_Coverage, 8645,
     /* 1280873 */     GIR_EraseRootFromParent_Done,
     /* 1280874 */   // Label 18417: @1280874
     /* 1280874 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1280958), // Rule ID 8648 //
     /* 1280879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280957 */     // GIR_Coverage, 8648,
     /* 1280957 */     GIR_EraseRootFromParent_Done,
     /* 1280958 */   // Label 18418: @1280958
     /* 1280958 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1281042), // Rule ID 8649 //
     /* 1280963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281041 */     // GIR_Coverage, 8649,
     /* 1281041 */     GIR_EraseRootFromParent_Done,
     /* 1281042 */   // Label 18419: @1281042
     /* 1281042 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1281126), // Rule ID 8652 //
     /* 1281047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281125 */     // GIR_Coverage, 8652,
     /* 1281125 */     GIR_EraseRootFromParent_Done,
     /* 1281126 */   // Label 18420: @1281126
     /* 1281126 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1281210), // Rule ID 8653 //
     /* 1281131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281209 */     // GIR_Coverage, 8653,
     /* 1281209 */     GIR_EraseRootFromParent_Done,
     /* 1281210 */   // Label 18421: @1281210
     /* 1281210 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1281294), // Rule ID 8656 //
     /* 1281215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281293 */     // GIR_Coverage, 8656,
     /* 1281293 */     GIR_EraseRootFromParent_Done,
     /* 1281294 */   // Label 18422: @1281294
     /* 1281294 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1281378), // Rule ID 8657 //
     /* 1281299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281377 */     // GIR_Coverage, 8657,
     /* 1281377 */     GIR_EraseRootFromParent_Done,
     /* 1281378 */   // Label 18423: @1281378
     /* 1281378 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1281462), // Rule ID 8660 //
     /* 1281383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281461 */     // GIR_Coverage, 8660,
     /* 1281461 */     GIR_EraseRootFromParent_Done,
     /* 1281462 */   // Label 18424: @1281462
     /* 1281462 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1281546), // Rule ID 8661 //
     /* 1281467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281545 */     // GIR_Coverage, 8661,
     /* 1281545 */     GIR_EraseRootFromParent_Done,
     /* 1281546 */   // Label 18425: @1281546
     /* 1281546 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1281630), // Rule ID 8664 //
     /* 1281551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281629 */     // GIR_Coverage, 8664,
     /* 1281629 */     GIR_EraseRootFromParent_Done,
     /* 1281630 */   // Label 18426: @1281630
     /* 1281630 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1281714), // Rule ID 8665 //
     /* 1281635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281713 */     // GIR_Coverage, 8665,
     /* 1281713 */     GIR_EraseRootFromParent_Done,
     /* 1281714 */   // Label 18427: @1281714
     /* 1281714 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1281798), // Rule ID 8668 //
     /* 1281719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281797 */     // GIR_Coverage, 8668,
     /* 1281797 */     GIR_EraseRootFromParent_Done,
     /* 1281798 */   // Label 18428: @1281798
     /* 1281798 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1281882), // Rule ID 8669 //
     /* 1281803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281881 */     // GIR_Coverage, 8669,
     /* 1281881 */     GIR_EraseRootFromParent_Done,
     /* 1281882 */   // Label 18429: @1281882
     /* 1281882 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1281966), // Rule ID 8672 //
     /* 1281887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1281904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1281907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1281943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281965 */     // GIR_Coverage, 8672,
     /* 1281965 */     GIR_EraseRootFromParent_Done,
     /* 1281966 */   // Label 18430: @1281966
     /* 1281966 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1282050), // Rule ID 8673 //
     /* 1281971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1281988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1281991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1282027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282049 */     // GIR_Coverage, 8673,
     /* 1282049 */     GIR_EraseRootFromParent_Done,
     /* 1282050 */   // Label 18431: @1282050
     /* 1282050 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1282134), // Rule ID 8676 //
     /* 1282055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282133 */     // GIR_Coverage, 8676,
     /* 1282133 */     GIR_EraseRootFromParent_Done,
     /* 1282134 */   // Label 18432: @1282134
     /* 1282134 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1282218), // Rule ID 8677 //
     /* 1282139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282217 */     // GIR_Coverage, 8677,
     /* 1282217 */     GIR_EraseRootFromParent_Done,
     /* 1282218 */   // Label 18433: @1282218
     /* 1282218 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1282302), // Rule ID 8680 //
     /* 1282223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282301 */     // GIR_Coverage, 8680,
     /* 1282301 */     GIR_EraseRootFromParent_Done,
     /* 1282302 */   // Label 18434: @1282302
     /* 1282302 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1282386), // Rule ID 8681 //
     /* 1282307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282385 */     // GIR_Coverage, 8681,
     /* 1282385 */     GIR_EraseRootFromParent_Done,
     /* 1282386 */   // Label 18435: @1282386
     /* 1282386 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1282470), // Rule ID 8684 //
     /* 1282391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1282411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282469 */     // GIR_Coverage, 8684,
     /* 1282469 */     GIR_EraseRootFromParent_Done,
     /* 1282470 */   // Label 18436: @1282470
     /* 1282470 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1282554), // Rule ID 8685 //
     /* 1282475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1282495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282553 */     // GIR_Coverage, 8685,
     /* 1282553 */     GIR_EraseRootFromParent_Done,
     /* 1282554 */   // Label 18437: @1282554
     /* 1282554 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1282638), // Rule ID 8688 //
     /* 1282559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1282579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282637 */     // GIR_Coverage, 8688,
     /* 1282637 */     GIR_EraseRootFromParent_Done,
     /* 1282638 */   // Label 18438: @1282638
     /* 1282638 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1282722), // Rule ID 8689 //
     /* 1282643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1282663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282721 */     // GIR_Coverage, 8689,
     /* 1282721 */     GIR_EraseRootFromParent_Done,
     /* 1282722 */   // Label 18439: @1282722
     /* 1282722 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1282806), // Rule ID 8692 //
     /* 1282727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1282747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282805 */     // GIR_Coverage, 8692,
     /* 1282805 */     GIR_EraseRootFromParent_Done,
     /* 1282806 */   // Label 18440: @1282806
     /* 1282806 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1282890), // Rule ID 8693 //
     /* 1282811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1282831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282889 */     // GIR_Coverage, 8693,
     /* 1282889 */     GIR_EraseRootFromParent_Done,
     /* 1282890 */   // Label 18441: @1282890
     /* 1282890 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1282974), // Rule ID 8696 //
     /* 1282895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1282912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1282951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282973 */     // GIR_Coverage, 8696,
     /* 1282973 */     GIR_EraseRootFromParent_Done,
     /* 1282974 */   // Label 18442: @1282974
     /* 1282974 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1283058), // Rule ID 8697 //
     /* 1282979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1282996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283057 */     // GIR_Coverage, 8697,
     /* 1283057 */     GIR_EraseRootFromParent_Done,
     /* 1283058 */   // Label 18443: @1283058
     /* 1283058 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1283142), // Rule ID 8700 //
     /* 1283063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283141 */     // GIR_Coverage, 8700,
     /* 1283141 */     GIR_EraseRootFromParent_Done,
     /* 1283142 */   // Label 18444: @1283142
     /* 1283142 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1283226), // Rule ID 8701 //
     /* 1283147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283225 */     // GIR_Coverage, 8701,
     /* 1283225 */     GIR_EraseRootFromParent_Done,
     /* 1283226 */   // Label 18445: @1283226
     /* 1283226 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1283310), // Rule ID 8704 //
     /* 1283231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283309 */     // GIR_Coverage, 8704,
     /* 1283309 */     GIR_EraseRootFromParent_Done,
     /* 1283310 */   // Label 18446: @1283310
     /* 1283310 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1283394), // Rule ID 8705 //
     /* 1283315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283393 */     // GIR_Coverage, 8705,
     /* 1283393 */     GIR_EraseRootFromParent_Done,
     /* 1283394 */   // Label 18447: @1283394
     /* 1283394 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1283478), // Rule ID 8708 //
     /* 1283399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283477 */     // GIR_Coverage, 8708,
     /* 1283477 */     GIR_EraseRootFromParent_Done,
     /* 1283478 */   // Label 18448: @1283478
     /* 1283478 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1283562), // Rule ID 8709 //
     /* 1283483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283561 */     // GIR_Coverage, 8709,
     /* 1283561 */     GIR_EraseRootFromParent_Done,
     /* 1283562 */   // Label 18449: @1283562
     /* 1283562 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1283646), // Rule ID 8712 //
     /* 1283567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1283587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1283623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283645 */     // GIR_Coverage, 8712,
     /* 1283645 */     GIR_EraseRootFromParent_Done,
     /* 1283646 */   // Label 18450: @1283646
     /* 1283646 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1283730), // Rule ID 8713 //
     /* 1283651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1283671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1283707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283729 */     // GIR_Coverage, 8713,
     /* 1283729 */     GIR_EraseRootFromParent_Done,
     /* 1283730 */   // Label 18451: @1283730
     /* 1283730 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1283814), // Rule ID 8716 //
     /* 1283735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1283752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1283755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1283791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283813 */     // GIR_Coverage, 8716,
     /* 1283813 */     GIR_EraseRootFromParent_Done,
     /* 1283814 */   // Label 18452: @1283814
     /* 1283814 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1283898), // Rule ID 8717 //
     /* 1283819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1283836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1283839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1283875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283897 */     // GIR_Coverage, 8717,
     /* 1283897 */     GIR_EraseRootFromParent_Done,
     /* 1283898 */   // Label 18453: @1283898
     /* 1283898 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1283982), // Rule ID 8720 //
     /* 1283903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1283914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1283917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1283920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1283923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1283926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283956 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1283959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283981 */     // GIR_Coverage, 8720,
     /* 1283981 */     GIR_EraseRootFromParent_Done,
     /* 1283982 */   // Label 18454: @1283982
     /* 1283982 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1284066), // Rule ID 8721 //
     /* 1283987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1283998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284040 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284065 */     // GIR_Coverage, 8721,
     /* 1284065 */     GIR_EraseRootFromParent_Done,
     /* 1284066 */   // Label 18455: @1284066
     /* 1284066 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1284150), // Rule ID 8724 //
     /* 1284071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284149 */     // GIR_Coverage, 8724,
     /* 1284149 */     GIR_EraseRootFromParent_Done,
     /* 1284150 */   // Label 18456: @1284150
     /* 1284150 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1284234), // Rule ID 8725 //
     /* 1284155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284233 */     // GIR_Coverage, 8725,
     /* 1284233 */     GIR_EraseRootFromParent_Done,
     /* 1284234 */   // Label 18457: @1284234
     /* 1284234 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1284318), // Rule ID 8728 //
     /* 1284239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284317 */     // GIR_Coverage, 8728,
     /* 1284317 */     GIR_EraseRootFromParent_Done,
     /* 1284318 */   // Label 18458: @1284318
     /* 1284318 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1284402), // Rule ID 8729 //
     /* 1284323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284401 */     // GIR_Coverage, 8729,
     /* 1284401 */     GIR_EraseRootFromParent_Done,
     /* 1284402 */   // Label 18459: @1284402
     /* 1284402 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1284486), // Rule ID 8732 //
     /* 1284407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1284427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284460 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284485 */     // GIR_Coverage, 8732,
     /* 1284485 */     GIR_EraseRootFromParent_Done,
     /* 1284486 */   // Label 18460: @1284486
     /* 1284486 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1284570), // Rule ID 8733 //
     /* 1284491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1284511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284544 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284569 */     // GIR_Coverage, 8733,
     /* 1284569 */     GIR_EraseRootFromParent_Done,
     /* 1284570 */   // Label 18461: @1284570
     /* 1284570 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1284654), // Rule ID 8736 //
     /* 1284575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1284595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284653 */     // GIR_Coverage, 8736,
     /* 1284653 */     GIR_EraseRootFromParent_Done,
     /* 1284654 */   // Label 18462: @1284654
     /* 1284654 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1284738), // Rule ID 8737 //
     /* 1284659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1284679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284737 */     // GIR_Coverage, 8737,
     /* 1284737 */     GIR_EraseRootFromParent_Done,
     /* 1284738 */   // Label 18463: @1284738
     /* 1284738 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1284822), // Rule ID 8740 //
     /* 1284743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1284760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1284763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284821 */     // GIR_Coverage, 8740,
     /* 1284821 */     GIR_EraseRootFromParent_Done,
     /* 1284822 */   // Label 18464: @1284822
     /* 1284822 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1284906), // Rule ID 8741 //
     /* 1284827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1284844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1284847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284905 */     // GIR_Coverage, 8741,
     /* 1284905 */     GIR_EraseRootFromParent_Done,
     /* 1284906 */   // Label 18465: @1284906
     /* 1284906 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1284990), // Rule ID 8744 //
     /* 1284911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1284928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1284931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284989 */     // GIR_Coverage, 8744,
     /* 1284989 */     GIR_EraseRootFromParent_Done,
     /* 1284990 */   // Label 18466: @1284990
     /* 1284990 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1285074), // Rule ID 8745 //
     /* 1284995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285073 */     // GIR_Coverage, 8745,
     /* 1285073 */     GIR_EraseRootFromParent_Done,
     /* 1285074 */   // Label 18467: @1285074
     /* 1285074 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1285158), // Rule ID 8748 //
     /* 1285079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285157 */     // GIR_Coverage, 8748,
     /* 1285157 */     GIR_EraseRootFromParent_Done,
     /* 1285158 */   // Label 18468: @1285158
     /* 1285158 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1285242), // Rule ID 8749 //
     /* 1285163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285241 */     // GIR_Coverage, 8749,
     /* 1285241 */     GIR_EraseRootFromParent_Done,
     /* 1285242 */   // Label 18469: @1285242
     /* 1285242 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1285326), // Rule ID 8752 //
     /* 1285247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285325 */     // GIR_Coverage, 8752,
     /* 1285325 */     GIR_EraseRootFromParent_Done,
     /* 1285326 */   // Label 18470: @1285326
     /* 1285326 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1285410), // Rule ID 8753 //
     /* 1285331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285409 */     // GIR_Coverage, 8753,
     /* 1285409 */     GIR_EraseRootFromParent_Done,
     /* 1285410 */   // Label 18471: @1285410
     /* 1285410 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1285494), // Rule ID 8756 //
     /* 1285415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1285435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285493 */     // GIR_Coverage, 8756,
     /* 1285493 */     GIR_EraseRootFromParent_Done,
     /* 1285494 */   // Label 18472: @1285494
     /* 1285494 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1285578), // Rule ID 8757 //
     /* 1285499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1285519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285577 */     // GIR_Coverage, 8757,
     /* 1285577 */     GIR_EraseRootFromParent_Done,
     /* 1285578 */   // Label 18473: @1285578
     /* 1285578 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1285662), // Rule ID 8760 //
     /* 1285583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1285600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1285639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285661 */     // GIR_Coverage, 8760,
     /* 1285661 */     GIR_EraseRootFromParent_Done,
     /* 1285662 */   // Label 18474: @1285662
     /* 1285662 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1285746), // Rule ID 8761 //
     /* 1285667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1285684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1285723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285745 */     // GIR_Coverage, 8761,
     /* 1285745 */     GIR_EraseRootFromParent_Done,
     /* 1285746 */   // Label 18475: @1285746
     /* 1285746 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1285830), // Rule ID 8764 //
     /* 1285751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1285768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1285807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285829 */     // GIR_Coverage, 8764,
     /* 1285829 */     GIR_EraseRootFromParent_Done,
     /* 1285830 */   // Label 18476: @1285830
     /* 1285830 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1285914), // Rule ID 8765 //
     /* 1285835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1285852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1285891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285913 */     // GIR_Coverage, 8765,
     /* 1285913 */     GIR_EraseRootFromParent_Done,
     /* 1285914 */   // Label 18477: @1285914
     /* 1285914 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1285998), // Rule ID 8768 //
     /* 1285919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1285936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1285975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285997 */     // GIR_Coverage, 8768,
     /* 1285997 */     GIR_EraseRootFromParent_Done,
     /* 1285998 */   // Label 18478: @1285998
     /* 1285998 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1286082), // Rule ID 8769 //
     /* 1286003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286081 */     // GIR_Coverage, 8769,
     /* 1286081 */     GIR_EraseRootFromParent_Done,
     /* 1286082 */   // Label 18479: @1286082
     /* 1286082 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1286166), // Rule ID 8772 //
     /* 1286087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286165 */     // GIR_Coverage, 8772,
     /* 1286165 */     GIR_EraseRootFromParent_Done,
     /* 1286166 */   // Label 18480: @1286166
     /* 1286166 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1286250), // Rule ID 8773 //
     /* 1286171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286249 */     // GIR_Coverage, 8773,
     /* 1286249 */     GIR_EraseRootFromParent_Done,
     /* 1286250 */   // Label 18481: @1286250
     /* 1286250 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1286334), // Rule ID 8776 //
     /* 1286255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286333 */     // GIR_Coverage, 8776,
     /* 1286333 */     GIR_EraseRootFromParent_Done,
     /* 1286334 */   // Label 18482: @1286334
     /* 1286334 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1286418), // Rule ID 8777 //
     /* 1286339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286417 */     // GIR_Coverage, 8777,
     /* 1286417 */     GIR_EraseRootFromParent_Done,
     /* 1286418 */   // Label 18483: @1286418
     /* 1286418 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1286502), // Rule ID 8780 //
     /* 1286423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286501 */     // GIR_Coverage, 8780,
     /* 1286501 */     GIR_EraseRootFromParent_Done,
     /* 1286502 */   // Label 18484: @1286502
     /* 1286502 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1286586), // Rule ID 8781 //
     /* 1286507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286585 */     // GIR_Coverage, 8781,
     /* 1286585 */     GIR_EraseRootFromParent_Done,
     /* 1286586 */   // Label 18485: @1286586
     /* 1286586 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1286670), // Rule ID 8784 //
     /* 1286591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1286608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1286647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286669 */     // GIR_Coverage, 8784,
     /* 1286669 */     GIR_EraseRootFromParent_Done,
     /* 1286670 */   // Label 18486: @1286670
     /* 1286670 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1286754), // Rule ID 8785 //
     /* 1286675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1286692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1286731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286753 */     // GIR_Coverage, 8785,
     /* 1286753 */     GIR_EraseRootFromParent_Done,
     /* 1286754 */   // Label 18487: @1286754
     /* 1286754 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1286838), // Rule ID 8788 //
     /* 1286759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1286776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1286815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286837 */     // GIR_Coverage, 8788,
     /* 1286837 */     GIR_EraseRootFromParent_Done,
     /* 1286838 */   // Label 18488: @1286838
     /* 1286838 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1286922), // Rule ID 8789 //
     /* 1286843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1286860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1286899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286921 */     // GIR_Coverage, 8789,
     /* 1286921 */     GIR_EraseRootFromParent_Done,
     /* 1286922 */   // Label 18489: @1286922
     /* 1286922 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1287006), // Rule ID 8792 //
     /* 1286927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1286944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1286983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287005 */     // GIR_Coverage, 8792,
     /* 1287005 */     GIR_EraseRootFromParent_Done,
     /* 1287006 */   // Label 18490: @1287006
     /* 1287006 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1287090), // Rule ID 8793 //
     /* 1287011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287089 */     // GIR_Coverage, 8793,
     /* 1287089 */     GIR_EraseRootFromParent_Done,
     /* 1287090 */   // Label 18491: @1287090
     /* 1287090 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1287174), // Rule ID 8796 //
     /* 1287095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287173 */     // GIR_Coverage, 8796,
     /* 1287173 */     GIR_EraseRootFromParent_Done,
     /* 1287174 */   // Label 18492: @1287174
     /* 1287174 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1287258), // Rule ID 8797 //
     /* 1287179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287257 */     // GIR_Coverage, 8797,
     /* 1287257 */     GIR_EraseRootFromParent_Done,
     /* 1287258 */   // Label 18493: @1287258
     /* 1287258 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1287342), // Rule ID 8800 //
     /* 1287263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287341 */     // GIR_Coverage, 8800,
     /* 1287341 */     GIR_EraseRootFromParent_Done,
     /* 1287342 */   // Label 18494: @1287342
     /* 1287342 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1287426), // Rule ID 8801 //
     /* 1287347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287425 */     // GIR_Coverage, 8801,
     /* 1287425 */     GIR_EraseRootFromParent_Done,
     /* 1287426 */   // Label 18495: @1287426
     /* 1287426 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1287510), // Rule ID 8804 //
     /* 1287431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1287487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287509 */     // GIR_Coverage, 8804,
     /* 1287509 */     GIR_EraseRootFromParent_Done,
     /* 1287510 */   // Label 18496: @1287510
     /* 1287510 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1287594), // Rule ID 8805 //
     /* 1287515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1287571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287593 */     // GIR_Coverage, 8805,
     /* 1287593 */     GIR_EraseRootFromParent_Done,
     /* 1287594 */   // Label 18497: @1287594
     /* 1287594 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1287678), // Rule ID 8808 //
     /* 1287599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1287610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1287613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287652 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1287655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287677 */     // GIR_Coverage, 8808,
     /* 1287677 */     GIR_EraseRootFromParent_Done,
     /* 1287678 */   // Label 18498: @1287678
     /* 1287678 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1287762), // Rule ID 8809 //
     /* 1287683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1287694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1287697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287736 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1287739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287761 */     // GIR_Coverage, 8809,
     /* 1287761 */     GIR_EraseRootFromParent_Done,
     /* 1287762 */   // Label 18499: @1287762
     /* 1287762 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1287846), // Rule ID 8812 //
     /* 1287767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1287784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287845 */     // GIR_Coverage, 8812,
     /* 1287845 */     GIR_EraseRootFromParent_Done,
     /* 1287846 */   // Label 18500: @1287846
     /* 1287846 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1287930), // Rule ID 8813 //
     /* 1287851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1287868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287929 */     // GIR_Coverage, 8813,
     /* 1287929 */     GIR_EraseRootFromParent_Done,
     /* 1287930 */   // Label 18501: @1287930
     /* 1287930 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1288014), // Rule ID 8816 //
     /* 1287935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1287952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1287991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288013 */     // GIR_Coverage, 8816,
     /* 1288013 */     GIR_EraseRootFromParent_Done,
     /* 1288014 */   // Label 18502: @1288014
     /* 1288014 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1288098), // Rule ID 8817 //
     /* 1288019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288097 */     // GIR_Coverage, 8817,
     /* 1288097 */     GIR_EraseRootFromParent_Done,
     /* 1288098 */   // Label 18503: @1288098
     /* 1288098 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1288182), // Rule ID 8820 //
     /* 1288103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288181 */     // GIR_Coverage, 8820,
     /* 1288181 */     GIR_EraseRootFromParent_Done,
     /* 1288182 */   // Label 18504: @1288182
     /* 1288182 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1288266), // Rule ID 8821 //
     /* 1288187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288240 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288265 */     // GIR_Coverage, 8821,
     /* 1288265 */     GIR_EraseRootFromParent_Done,
     /* 1288266 */   // Label 18505: @1288266
     /* 1288266 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1288350), // Rule ID 8824 //
     /* 1288271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288349 */     // GIR_Coverage, 8824,
     /* 1288349 */     GIR_EraseRootFromParent_Done,
     /* 1288350 */   // Label 18506: @1288350
     /* 1288350 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1288434), // Rule ID 8825 //
     /* 1288355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288433 */     // GIR_Coverage, 8825,
     /* 1288433 */     GIR_EraseRootFromParent_Done,
     /* 1288434 */   // Label 18507: @1288434
     /* 1288434 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1288518), // Rule ID 8828 //
     /* 1288439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288517 */     // GIR_Coverage, 8828,
     /* 1288517 */     GIR_EraseRootFromParent_Done,
     /* 1288518 */   // Label 18508: @1288518
     /* 1288518 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1288602), // Rule ID 8829 //
     /* 1288523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288601 */     // GIR_Coverage, 8829,
     /* 1288601 */     GIR_EraseRootFromParent_Done,
     /* 1288602 */   // Label 18509: @1288602
     /* 1288602 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1288686), // Rule ID 8832 //
     /* 1288607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288685 */     // GIR_Coverage, 8832,
     /* 1288685 */     GIR_EraseRootFromParent_Done,
     /* 1288686 */   // Label 18510: @1288686
     /* 1288686 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1288770), // Rule ID 8833 //
     /* 1288691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288769 */     // GIR_Coverage, 8833,
     /* 1288769 */     GIR_EraseRootFromParent_Done,
     /* 1288770 */   // Label 18511: @1288770
     /* 1288770 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1288854), // Rule ID 8836 //
     /* 1288775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1288792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288853 */     // GIR_Coverage, 8836,
     /* 1288853 */     GIR_EraseRootFromParent_Done,
     /* 1288854 */   // Label 18512: @1288854
     /* 1288854 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1288938), // Rule ID 8837 //
     /* 1288859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1288876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288937 */     // GIR_Coverage, 8837,
     /* 1288937 */     GIR_EraseRootFromParent_Done,
     /* 1288938 */   // Label 18513: @1288938
     /* 1288938 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1289022), // Rule ID 8840 //
     /* 1288943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1288960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289021 */     // GIR_Coverage, 8840,
     /* 1289021 */     GIR_EraseRootFromParent_Done,
     /* 1289022 */   // Label 18514: @1289022
     /* 1289022 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1289106), // Rule ID 8841 //
     /* 1289027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1289083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289105 */     // GIR_Coverage, 8841,
     /* 1289105 */     GIR_EraseRootFromParent_Done,
     /* 1289106 */   // Label 18515: @1289106
     /* 1289106 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1289190), // Rule ID 8844 //
     /* 1289111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289189 */     // GIR_Coverage, 8844,
     /* 1289189 */     GIR_EraseRootFromParent_Done,
     /* 1289190 */   // Label 18516: @1289190
     /* 1289190 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1289274), // Rule ID 8845 //
     /* 1289195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289273 */     // GIR_Coverage, 8845,
     /* 1289273 */     GIR_EraseRootFromParent_Done,
     /* 1289274 */   // Label 18517: @1289274
     /* 1289274 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1289358), // Rule ID 8936 //
     /* 1289279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1289299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1289335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289357 */     // GIR_Coverage, 8936,
     /* 1289357 */     GIR_EraseRootFromParent_Done,
     /* 1289358 */   // Label 18518: @1289358
     /* 1289358 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1289442), // Rule ID 8937 //
     /* 1289363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1289383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1289419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289441 */     // GIR_Coverage, 8937,
     /* 1289441 */     GIR_EraseRootFromParent_Done,
     /* 1289442 */   // Label 18519: @1289442
     /* 1289442 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1289526), // Rule ID 8940 //
     /* 1289447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1289467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1289503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289525 */     // GIR_Coverage, 8940,
     /* 1289525 */     GIR_EraseRootFromParent_Done,
     /* 1289526 */   // Label 18520: @1289526
     /* 1289526 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1289610), // Rule ID 8941 //
     /* 1289531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1289551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1289587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289609 */     // GIR_Coverage, 8941,
     /* 1289609 */     GIR_EraseRootFromParent_Done,
     /* 1289610 */   // Label 18521: @1289610
     /* 1289610 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1289694), // Rule ID 8944 //
     /* 1289615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1289635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1289671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289693 */     // GIR_Coverage, 8944,
     /* 1289693 */     GIR_EraseRootFromParent_Done,
     /* 1289694 */   // Label 18522: @1289694
     /* 1289694 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1289778), // Rule ID 8945 //
     /* 1289699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1289719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1289755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289777 */     // GIR_Coverage, 8945,
     /* 1289777 */     GIR_EraseRootFromParent_Done,
     /* 1289778 */   // Label 18523: @1289778
     /* 1289778 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1289862), // Rule ID 8948 //
     /* 1289783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1289803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1289839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289861 */     // GIR_Coverage, 8948,
     /* 1289861 */     GIR_EraseRootFromParent_Done,
     /* 1289862 */   // Label 18524: @1289862
     /* 1289862 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1289946), // Rule ID 8949 //
     /* 1289867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1289887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1289923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289945 */     // GIR_Coverage, 8949,
     /* 1289945 */     GIR_EraseRootFromParent_Done,
     /* 1289946 */   // Label 18525: @1289946
     /* 1289946 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1290030), // Rule ID 8952 //
     /* 1289951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1289968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1289971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290029 */     // GIR_Coverage, 8952,
     /* 1290029 */     GIR_EraseRootFromParent_Done,
     /* 1290030 */   // Label 18526: @1290030
     /* 1290030 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1290114), // Rule ID 8953 //
     /* 1290035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1290055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290113 */     // GIR_Coverage, 8953,
     /* 1290113 */     GIR_EraseRootFromParent_Done,
     /* 1290114 */   // Label 18527: @1290114
     /* 1290114 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1290198), // Rule ID 8956 //
     /* 1290119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1290139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290197 */     // GIR_Coverage, 8956,
     /* 1290197 */     GIR_EraseRootFromParent_Done,
     /* 1290198 */   // Label 18528: @1290198
     /* 1290198 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1290282), // Rule ID 8957 //
     /* 1290203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1290223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290281 */     // GIR_Coverage, 8957,
     /* 1290281 */     GIR_EraseRootFromParent_Done,
     /* 1290282 */   // Label 18529: @1290282
     /* 1290282 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1290366), // Rule ID 8960 //
     /* 1290287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1290307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290365 */     // GIR_Coverage, 8960,
     /* 1290365 */     GIR_EraseRootFromParent_Done,
     /* 1290366 */   // Label 18530: @1290366
     /* 1290366 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1290450), // Rule ID 8961 //
     /* 1290371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1290391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290449 */     // GIR_Coverage, 8961,
     /* 1290449 */     GIR_EraseRootFromParent_Done,
     /* 1290450 */   // Label 18531: @1290450
     /* 1290450 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1290534), // Rule ID 8964 //
     /* 1290455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290533 */     // GIR_Coverage, 8964,
     /* 1290533 */     GIR_EraseRootFromParent_Done,
     /* 1290534 */   // Label 18532: @1290534
     /* 1290534 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1290618), // Rule ID 8965 //
     /* 1290539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290617 */     // GIR_Coverage, 8965,
     /* 1290617 */     GIR_EraseRootFromParent_Done,
     /* 1290618 */   // Label 18533: @1290618
     /* 1290618 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1290702), // Rule ID 8968 //
     /* 1290623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1290643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290701 */     // GIR_Coverage, 8968,
     /* 1290701 */     GIR_EraseRootFromParent_Done,
     /* 1290702 */   // Label 18534: @1290702
     /* 1290702 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1290786), // Rule ID 8969 //
     /* 1290707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1290727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290785 */     // GIR_Coverage, 8969,
     /* 1290785 */     GIR_EraseRootFromParent_Done,
     /* 1290786 */   // Label 18535: @1290786
     /* 1290786 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1290870), // Rule ID 8972 //
     /* 1290791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1290808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1290811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290869 */     // GIR_Coverage, 8972,
     /* 1290869 */     GIR_EraseRootFromParent_Done,
     /* 1290870 */   // Label 18536: @1290870
     /* 1290870 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1290954), // Rule ID 8973 //
     /* 1290875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1290892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1290895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290953 */     // GIR_Coverage, 8973,
     /* 1290953 */     GIR_EraseRootFromParent_Done,
     /* 1290954 */   // Label 18537: @1290954
     /* 1290954 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1291038), // Rule ID 8976 //
     /* 1290959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1290976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1290979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291037 */     // GIR_Coverage, 8976,
     /* 1291037 */     GIR_EraseRootFromParent_Done,
     /* 1291038 */   // Label 18538: @1291038
     /* 1291038 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1291122), // Rule ID 8977 //
     /* 1291043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1291063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291121 */     // GIR_Coverage, 8977,
     /* 1291121 */     GIR_EraseRootFromParent_Done,
     /* 1291122 */   // Label 18539: @1291122
     /* 1291122 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1291206), // Rule ID 8980 //
     /* 1291127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1291147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291205 */     // GIR_Coverage, 8980,
     /* 1291205 */     GIR_EraseRootFromParent_Done,
     /* 1291206 */   // Label 18540: @1291206
     /* 1291206 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1291290), // Rule ID 8981 //
     /* 1291211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1291231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291289 */     // GIR_Coverage, 8981,
     /* 1291289 */     GIR_EraseRootFromParent_Done,
     /* 1291290 */   // Label 18541: @1291290
     /* 1291290 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1291374), // Rule ID 8984 //
     /* 1291295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1291306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1291309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1291312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1291315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1291318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291373 */     // GIR_Coverage, 8984,
     /* 1291373 */     GIR_EraseRootFromParent_Done,
     /* 1291374 */   // Label 18542: @1291374
     /* 1291374 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1291458), // Rule ID 8985 //
     /* 1291379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1291390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1291393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1291396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1291399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1291402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291432 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291457 */     // GIR_Coverage, 8985,
     /* 1291457 */     GIR_EraseRootFromParent_Done,
     /* 1291458 */   // Label 18543: @1291458
     /* 1291458 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1291542), // Rule ID 8988 //
     /* 1291463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1291480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1291483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291541 */     // GIR_Coverage, 8988,
     /* 1291541 */     GIR_EraseRootFromParent_Done,
     /* 1291542 */   // Label 18544: @1291542
     /* 1291542 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1291626), // Rule ID 8989 //
     /* 1291547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1291564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1291567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291625 */     // GIR_Coverage, 8989,
     /* 1291625 */     GIR_EraseRootFromParent_Done,
     /* 1291626 */   // Label 18545: @1291626
     /* 1291626 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1291710), // Rule ID 8992 //
     /* 1291631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1291651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291709 */     // GIR_Coverage, 8992,
     /* 1291709 */     GIR_EraseRootFromParent_Done,
     /* 1291710 */   // Label 18546: @1291710
     /* 1291710 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1291794), // Rule ID 8993 //
     /* 1291715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1291735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291793 */     // GIR_Coverage, 8993,
     /* 1291793 */     GIR_EraseRootFromParent_Done,
     /* 1291794 */   // Label 18547: @1291794
     /* 1291794 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1291878), // Rule ID 8996 //
     /* 1291799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1291819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291877 */     // GIR_Coverage, 8996,
     /* 1291877 */     GIR_EraseRootFromParent_Done,
     /* 1291878 */   // Label 18548: @1291878
     /* 1291878 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1291962), // Rule ID 8997 //
     /* 1291883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1291903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291936 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291961 */     // GIR_Coverage, 8997,
     /* 1291961 */     GIR_EraseRootFromParent_Done,
     /* 1291962 */   // Label 18549: @1291962
     /* 1291962 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1292046), // Rule ID 9000 //
     /* 1291967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1291984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1291987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292045 */     // GIR_Coverage, 9000,
     /* 1292045 */     GIR_EraseRootFromParent_Done,
     /* 1292046 */   // Label 18550: @1292046
     /* 1292046 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1292130), // Rule ID 9001 //
     /* 1292051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1292071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292129 */     // GIR_Coverage, 9001,
     /* 1292129 */     GIR_EraseRootFromParent_Done,
     /* 1292130 */   // Label 18551: @1292130
     /* 1292130 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1292214), // Rule ID 9004 //
     /* 1292135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1292155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292213 */     // GIR_Coverage, 9004,
     /* 1292213 */     GIR_EraseRootFromParent_Done,
     /* 1292214 */   // Label 18552: @1292214
     /* 1292214 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1292298), // Rule ID 9005 //
     /* 1292219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1292239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292297 */     // GIR_Coverage, 9005,
     /* 1292297 */     GIR_EraseRootFromParent_Done,
     /* 1292298 */   // Label 18553: @1292298
     /* 1292298 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1292382), // Rule ID 9008 //
     /* 1292303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1292320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1292323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292381 */     // GIR_Coverage, 9008,
     /* 1292381 */     GIR_EraseRootFromParent_Done,
     /* 1292382 */   // Label 18554: @1292382
     /* 1292382 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1292466), // Rule ID 9009 //
     /* 1292387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1292404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1292407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292465 */     // GIR_Coverage, 9009,
     /* 1292465 */     GIR_EraseRootFromParent_Done,
     /* 1292466 */   // Label 18555: @1292466
     /* 1292466 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1292550), // Rule ID 9012 //
     /* 1292471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1292488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1292491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292549 */     // GIR_Coverage, 9012,
     /* 1292549 */     GIR_EraseRootFromParent_Done,
     /* 1292550 */   // Label 18556: @1292550
     /* 1292550 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1292634), // Rule ID 9013 //
     /* 1292555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1292572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1292575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292633 */     // GIR_Coverage, 9013,
     /* 1292633 */     GIR_EraseRootFromParent_Done,
     /* 1292634 */   // Label 18557: @1292634
     /* 1292634 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1292718), // Rule ID 9016 //
     /* 1292639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1292656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1292659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292717 */     // GIR_Coverage, 9016,
     /* 1292717 */     GIR_EraseRootFromParent_Done,
     /* 1292718 */   // Label 18558: @1292718
     /* 1292718 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1292802), // Rule ID 9017 //
     /* 1292723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1292740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1292743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292801 */     // GIR_Coverage, 9017,
     /* 1292801 */     GIR_EraseRootFromParent_Done,
     /* 1292802 */   // Label 18559: @1292802
     /* 1292802 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1292886), // Rule ID 9020 //
     /* 1292807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1292824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1292827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292885 */     // GIR_Coverage, 9020,
     /* 1292885 */     GIR_EraseRootFromParent_Done,
     /* 1292886 */   // Label 18560: @1292886
     /* 1292886 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1292970), // Rule ID 9021 //
     /* 1292891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1292908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1292911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292969 */     // GIR_Coverage, 9021,
     /* 1292969 */     GIR_EraseRootFromParent_Done,
     /* 1292970 */   // Label 18561: @1292970
     /* 1292970 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1293054), // Rule ID 9024 //
     /* 1292975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1292992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1293031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293053 */     // GIR_Coverage, 9024,
     /* 1293053 */     GIR_EraseRootFromParent_Done,
     /* 1293054 */   // Label 18562: @1293054
     /* 1293054 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1293138), // Rule ID 9025 //
     /* 1293059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1293115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293137 */     // GIR_Coverage, 9025,
     /* 1293137 */     GIR_EraseRootFromParent_Done,
     /* 1293138 */   // Label 18563: @1293138
     /* 1293138 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1293222), // Rule ID 9028 //
     /* 1293143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293221 */     // GIR_Coverage, 9028,
     /* 1293221 */     GIR_EraseRootFromParent_Done,
     /* 1293222 */   // Label 18564: @1293222
     /* 1293222 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1293306), // Rule ID 9029 //
     /* 1293227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293305 */     // GIR_Coverage, 9029,
     /* 1293305 */     GIR_EraseRootFromParent_Done,
     /* 1293306 */   // Label 18565: @1293306
     /* 1293306 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1293390), // Rule ID 9032 //
     /* 1293311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1293328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293389 */     // GIR_Coverage, 9032,
     /* 1293389 */     GIR_EraseRootFromParent_Done,
     /* 1293390 */   // Label 18566: @1293390
     /* 1293390 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1293474), // Rule ID 9033 //
     /* 1293395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1293412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293473 */     // GIR_Coverage, 9033,
     /* 1293473 */     GIR_EraseRootFromParent_Done,
     /* 1293474 */   // Label 18567: @1293474
     /* 1293474 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1293558), // Rule ID 9036 //
     /* 1293479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293557 */     // GIR_Coverage, 9036,
     /* 1293557 */     GIR_EraseRootFromParent_Done,
     /* 1293558 */   // Label 18568: @1293558
     /* 1293558 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1293642), // Rule ID 9037 //
     /* 1293563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293641 */     // GIR_Coverage, 9037,
     /* 1293641 */     GIR_EraseRootFromParent_Done,
     /* 1293642 */   // Label 18569: @1293642
     /* 1293642 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1293726), // Rule ID 9040 //
     /* 1293647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1293664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293725 */     // GIR_Coverage, 9040,
     /* 1293725 */     GIR_EraseRootFromParent_Done,
     /* 1293726 */   // Label 18570: @1293726
     /* 1293726 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1293810), // Rule ID 9041 //
     /* 1293731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1293748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293809 */     // GIR_Coverage, 9041,
     /* 1293809 */     GIR_EraseRootFromParent_Done,
     /* 1293810 */   // Label 18571: @1293810
     /* 1293810 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1293894), // Rule ID 9044 //
     /* 1293815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1293832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293893 */     // GIR_Coverage, 9044,
     /* 1293893 */     GIR_EraseRootFromParent_Done,
     /* 1293894 */   // Label 18572: @1293894
     /* 1293894 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1293978), // Rule ID 9045 //
     /* 1293899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1293916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293977 */     // GIR_Coverage, 9045,
     /* 1293977 */     GIR_EraseRootFromParent_Done,
     /* 1293978 */   // Label 18573: @1293978
     /* 1293978 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1294062), // Rule ID 9048 //
     /* 1293983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294061 */     // GIR_Coverage, 9048,
     /* 1294061 */     GIR_EraseRootFromParent_Done,
     /* 1294062 */   // Label 18574: @1294062
     /* 1294062 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1294146), // Rule ID 9049 //
     /* 1294067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294145 */     // GIR_Coverage, 9049,
     /* 1294145 */     GIR_EraseRootFromParent_Done,
     /* 1294146 */   // Label 18575: @1294146
     /* 1294146 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1294230), // Rule ID 9052 //
     /* 1294151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294229 */     // GIR_Coverage, 9052,
     /* 1294229 */     GIR_EraseRootFromParent_Done,
     /* 1294230 */   // Label 18576: @1294230
     /* 1294230 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1294314), // Rule ID 9053 //
     /* 1294235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294313 */     // GIR_Coverage, 9053,
     /* 1294313 */     GIR_EraseRootFromParent_Done,
     /* 1294314 */   // Label 18577: @1294314
     /* 1294314 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1294398), // Rule ID 9056 //
     /* 1294319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294397 */     // GIR_Coverage, 9056,
     /* 1294397 */     GIR_EraseRootFromParent_Done,
     /* 1294398 */   // Label 18578: @1294398
     /* 1294398 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1294482), // Rule ID 9057 //
     /* 1294403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294481 */     // GIR_Coverage, 9057,
     /* 1294481 */     GIR_EraseRootFromParent_Done,
     /* 1294482 */   // Label 18579: @1294482
     /* 1294482 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1294566), // Rule ID 9060 //
     /* 1294487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294565 */     // GIR_Coverage, 9060,
     /* 1294565 */     GIR_EraseRootFromParent_Done,
     /* 1294566 */   // Label 18580: @1294566
     /* 1294566 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1294650), // Rule ID 9061 //
     /* 1294571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294649 */     // GIR_Coverage, 9061,
     /* 1294649 */     GIR_EraseRootFromParent_Done,
     /* 1294650 */   // Label 18581: @1294650
     /* 1294650 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1294734), // Rule ID 9064 //
     /* 1294655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1294672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1294711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294733 */     // GIR_Coverage, 9064,
     /* 1294733 */     GIR_EraseRootFromParent_Done,
     /* 1294734 */   // Label 18582: @1294734
     /* 1294734 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1294818), // Rule ID 9065 //
     /* 1294739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1294756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1294795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294817 */     // GIR_Coverage, 9065,
     /* 1294817 */     GIR_EraseRootFromParent_Done,
     /* 1294818 */   // Label 18583: @1294818
     /* 1294818 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1294902), // Rule ID 9068 //
     /* 1294823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1294834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1294837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1294840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1294846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1294879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294901 */     // GIR_Coverage, 9068,
     /* 1294901 */     GIR_EraseRootFromParent_Done,
     /* 1294902 */   // Label 18584: @1294902
     /* 1294902 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1294986), // Rule ID 9069 //
     /* 1294907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1294918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1294921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1294924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1294930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1294963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294985 */     // GIR_Coverage, 9069,
     /* 1294985 */     GIR_EraseRootFromParent_Done,
     /* 1294986 */   // Label 18585: @1294986
     /* 1294986 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1295070), // Rule ID 9072 //
     /* 1294991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295044 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295069 */     // GIR_Coverage, 9072,
     /* 1295069 */     GIR_EraseRootFromParent_Done,
     /* 1295070 */   // Label 18586: @1295070
     /* 1295070 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1295154), // Rule ID 9073 //
     /* 1295075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295128 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295153 */     // GIR_Coverage, 9073,
     /* 1295153 */     GIR_EraseRootFromParent_Done,
     /* 1295154 */   // Label 18587: @1295154
     /* 1295154 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1295238), // Rule ID 9076 //
     /* 1295159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295237 */     // GIR_Coverage, 9076,
     /* 1295237 */     GIR_EraseRootFromParent_Done,
     /* 1295238 */   // Label 18588: @1295238
     /* 1295238 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1295322), // Rule ID 9077 //
     /* 1295243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295321 */     // GIR_Coverage, 9077,
     /* 1295321 */     GIR_EraseRootFromParent_Done,
     /* 1295322 */   // Label 18589: @1295322
     /* 1295322 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1295406), // Rule ID 9080 //
     /* 1295327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295405 */     // GIR_Coverage, 9080,
     /* 1295405 */     GIR_EraseRootFromParent_Done,
     /* 1295406 */   // Label 18590: @1295406
     /* 1295406 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1295490), // Rule ID 9081 //
     /* 1295411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295489 */     // GIR_Coverage, 9081,
     /* 1295489 */     GIR_EraseRootFromParent_Done,
     /* 1295490 */   // Label 18591: @1295490
     /* 1295490 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1295574), // Rule ID 9084 //
     /* 1295495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295548 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295573 */     // GIR_Coverage, 9084,
     /* 1295573 */     GIR_EraseRootFromParent_Done,
     /* 1295574 */   // Label 18592: @1295574
     /* 1295574 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1295658), // Rule ID 9085 //
     /* 1295579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295632 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295657 */     // GIR_Coverage, 9085,
     /* 1295657 */     GIR_EraseRootFromParent_Done,
     /* 1295658 */   // Label 18593: @1295658
     /* 1295658 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1295742), // Rule ID 9088 //
     /* 1295663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295741 */     // GIR_Coverage, 9088,
     /* 1295741 */     GIR_EraseRootFromParent_Done,
     /* 1295742 */   // Label 18594: @1295742
     /* 1295742 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1295826), // Rule ID 9089 //
     /* 1295747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295825 */     // GIR_Coverage, 9089,
     /* 1295825 */     GIR_EraseRootFromParent_Done,
     /* 1295826 */   // Label 18595: @1295826
     /* 1295826 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1295910), // Rule ID 9092 //
     /* 1295831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295909 */     // GIR_Coverage, 9092,
     /* 1295909 */     GIR_EraseRootFromParent_Done,
     /* 1295910 */   // Label 18596: @1295910
     /* 1295910 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1295994), // Rule ID 9093 //
     /* 1295915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295993 */     // GIR_Coverage, 9093,
     /* 1295993 */     GIR_EraseRootFromParent_Done,
     /* 1295994 */   // Label 18597: @1295994
     /* 1295994 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1296078), // Rule ID 9096 //
     /* 1295999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296077 */     // GIR_Coverage, 9096,
     /* 1296077 */     GIR_EraseRootFromParent_Done,
     /* 1296078 */   // Label 18598: @1296078
     /* 1296078 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1296162), // Rule ID 9097 //
     /* 1296083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296136 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296161 */     // GIR_Coverage, 9097,
     /* 1296161 */     GIR_EraseRootFromParent_Done,
     /* 1296162 */   // Label 18599: @1296162
     /* 1296162 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1296246), // Rule ID 9100 //
     /* 1296167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296245 */     // GIR_Coverage, 9100,
     /* 1296245 */     GIR_EraseRootFromParent_Done,
     /* 1296246 */   // Label 18600: @1296246
     /* 1296246 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1296330), // Rule ID 9101 //
     /* 1296251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296329 */     // GIR_Coverage, 9101,
     /* 1296329 */     GIR_EraseRootFromParent_Done,
     /* 1296330 */   // Label 18601: @1296330
     /* 1296330 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1296414), // Rule ID 9104 //
     /* 1296335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296413 */     // GIR_Coverage, 9104,
     /* 1296413 */     GIR_EraseRootFromParent_Done,
     /* 1296414 */   // Label 18602: @1296414
     /* 1296414 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1296498), // Rule ID 9105 //
     /* 1296419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296497 */     // GIR_Coverage, 9105,
     /* 1296497 */     GIR_EraseRootFromParent_Done,
     /* 1296498 */   // Label 18603: @1296498
     /* 1296498 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1296582), // Rule ID 9108 //
     /* 1296503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296581 */     // GIR_Coverage, 9108,
     /* 1296581 */     GIR_EraseRootFromParent_Done,
     /* 1296582 */   // Label 18604: @1296582
     /* 1296582 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1296666), // Rule ID 9109 //
     /* 1296587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296665 */     // GIR_Coverage, 9109,
     /* 1296665 */     GIR_EraseRootFromParent_Done,
     /* 1296666 */   // Label 18605: @1296666
     /* 1296666 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1296750), // Rule ID 9200 //
     /* 1296671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1296688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1296727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296749 */     // GIR_Coverage, 9200,
     /* 1296749 */     GIR_EraseRootFromParent_Done,
     /* 1296750 */   // Label 18606: @1296750
     /* 1296750 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1296834), // Rule ID 9201 //
     /* 1296755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1296772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1296811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296833 */     // GIR_Coverage, 9201,
     /* 1296833 */     GIR_EraseRootFromParent_Done,
     /* 1296834 */   // Label 18607: @1296834
     /* 1296834 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1296918), // Rule ID 9204 //
     /* 1296839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1296856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1296895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296917 */     // GIR_Coverage, 9204,
     /* 1296917 */     GIR_EraseRootFromParent_Done,
     /* 1296918 */   // Label 18608: @1296918
     /* 1296918 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1297002), // Rule ID 9205 //
     /* 1296923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1296940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1296979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297001 */     // GIR_Coverage, 9205,
     /* 1297001 */     GIR_EraseRootFromParent_Done,
     /* 1297002 */   // Label 18609: @1297002
     /* 1297002 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1297086), // Rule ID 9208 //
     /* 1297007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297085 */     // GIR_Coverage, 9208,
     /* 1297085 */     GIR_EraseRootFromParent_Done,
     /* 1297086 */   // Label 18610: @1297086
     /* 1297086 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1297170), // Rule ID 9209 //
     /* 1297091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297169 */     // GIR_Coverage, 9209,
     /* 1297169 */     GIR_EraseRootFromParent_Done,
     /* 1297170 */   // Label 18611: @1297170
     /* 1297170 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1297254), // Rule ID 9212 //
     /* 1297175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297253 */     // GIR_Coverage, 9212,
     /* 1297253 */     GIR_EraseRootFromParent_Done,
     /* 1297254 */   // Label 18612: @1297254
     /* 1297254 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1297338), // Rule ID 9213 //
     /* 1297259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297337 */     // GIR_Coverage, 9213,
     /* 1297337 */     GIR_EraseRootFromParent_Done,
     /* 1297338 */   // Label 18613: @1297338
     /* 1297338 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1297422), // Rule ID 9216 //
     /* 1297343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297421 */     // GIR_Coverage, 9216,
     /* 1297421 */     GIR_EraseRootFromParent_Done,
     /* 1297422 */   // Label 18614: @1297422
     /* 1297422 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1297506), // Rule ID 9217 //
     /* 1297427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297505 */     // GIR_Coverage, 9217,
     /* 1297505 */     GIR_EraseRootFromParent_Done,
     /* 1297506 */   // Label 18615: @1297506
     /* 1297506 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1297590), // Rule ID 9220 //
     /* 1297511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297589 */     // GIR_Coverage, 9220,
     /* 1297589 */     GIR_EraseRootFromParent_Done,
     /* 1297590 */   // Label 18616: @1297590
     /* 1297590 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1297674), // Rule ID 9221 //
     /* 1297595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297673 */     // GIR_Coverage, 9221,
     /* 1297673 */     GIR_EraseRootFromParent_Done,
     /* 1297674 */   // Label 18617: @1297674
     /* 1297674 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1297758), // Rule ID 9224 //
     /* 1297679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1297696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1297735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297757 */     // GIR_Coverage, 9224,
     /* 1297757 */     GIR_EraseRootFromParent_Done,
     /* 1297758 */   // Label 18618: @1297758
     /* 1297758 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1297842), // Rule ID 9225 //
     /* 1297763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1297780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1297819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297841 */     // GIR_Coverage, 9225,
     /* 1297841 */     GIR_EraseRootFromParent_Done,
     /* 1297842 */   // Label 18619: @1297842
     /* 1297842 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1297926), // Rule ID 9228 //
     /* 1297847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1297903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297925 */     // GIR_Coverage, 9228,
     /* 1297925 */     GIR_EraseRootFromParent_Done,
     /* 1297926 */   // Label 18620: @1297926
     /* 1297926 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1298010), // Rule ID 9229 //
     /* 1297931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1297987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298009 */     // GIR_Coverage, 9229,
     /* 1298009 */     GIR_EraseRootFromParent_Done,
     /* 1298010 */   // Label 18621: @1298010
     /* 1298010 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1298094), // Rule ID 9232 //
     /* 1298015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298093 */     // GIR_Coverage, 9232,
     /* 1298093 */     GIR_EraseRootFromParent_Done,
     /* 1298094 */   // Label 18622: @1298094
     /* 1298094 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1298178), // Rule ID 9233 //
     /* 1298099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298177 */     // GIR_Coverage, 9233,
     /* 1298177 */     GIR_EraseRootFromParent_Done,
     /* 1298178 */   // Label 18623: @1298178
     /* 1298178 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1298262), // Rule ID 9236 //
     /* 1298183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298261 */     // GIR_Coverage, 9236,
     /* 1298261 */     GIR_EraseRootFromParent_Done,
     /* 1298262 */   // Label 18624: @1298262
     /* 1298262 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1298346), // Rule ID 9237 //
     /* 1298267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298345 */     // GIR_Coverage, 9237,
     /* 1298345 */     GIR_EraseRootFromParent_Done,
     /* 1298346 */   // Label 18625: @1298346
     /* 1298346 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1298430), // Rule ID 9240 //
     /* 1298351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298429 */     // GIR_Coverage, 9240,
     /* 1298429 */     GIR_EraseRootFromParent_Done,
     /* 1298430 */   // Label 18626: @1298430
     /* 1298430 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1298514), // Rule ID 9241 //
     /* 1298435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298513 */     // GIR_Coverage, 9241,
     /* 1298513 */     GIR_EraseRootFromParent_Done,
     /* 1298514 */   // Label 18627: @1298514
     /* 1298514 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1298598), // Rule ID 9244 //
     /* 1298519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1298536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1298575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298597 */     // GIR_Coverage, 9244,
     /* 1298597 */     GIR_EraseRootFromParent_Done,
     /* 1298598 */   // Label 18628: @1298598
     /* 1298598 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1298682), // Rule ID 9245 //
     /* 1298603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1298620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298656 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1298659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298681 */     // GIR_Coverage, 9245,
     /* 1298681 */     GIR_EraseRootFromParent_Done,
     /* 1298682 */   // Label 18629: @1298682
     /* 1298682 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1298766), // Rule ID 9248 //
     /* 1298687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1298698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1298701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1298704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1298710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1298743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298765 */     // GIR_Coverage, 9248,
     /* 1298765 */     GIR_EraseRootFromParent_Done,
     /* 1298766 */   // Label 18630: @1298766
     /* 1298766 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1298850), // Rule ID 9249 //
     /* 1298771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1298782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1298785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1298788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1298794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298824 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1298827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298849 */     // GIR_Coverage, 9249,
     /* 1298849 */     GIR_EraseRootFromParent_Done,
     /* 1298850 */   // Label 18631: @1298850
     /* 1298850 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1298934), // Rule ID 9252 //
     /* 1298855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1298872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298933 */     // GIR_Coverage, 9252,
     /* 1298933 */     GIR_EraseRootFromParent_Done,
     /* 1298934 */   // Label 18632: @1298934
     /* 1298934 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1299018), // Rule ID 9253 //
     /* 1298939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1298956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299017 */     // GIR_Coverage, 9253,
     /* 1299017 */     GIR_EraseRootFromParent_Done,
     /* 1299018 */   // Label 18633: @1299018
     /* 1299018 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1299102), // Rule ID 9256 //
     /* 1299023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299101 */     // GIR_Coverage, 9256,
     /* 1299101 */     GIR_EraseRootFromParent_Done,
     /* 1299102 */   // Label 18634: @1299102
     /* 1299102 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1299186), // Rule ID 9257 //
     /* 1299107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299185 */     // GIR_Coverage, 9257,
     /* 1299185 */     GIR_EraseRootFromParent_Done,
     /* 1299186 */   // Label 18635: @1299186
     /* 1299186 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1299270), // Rule ID 9260 //
     /* 1299191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299269 */     // GIR_Coverage, 9260,
     /* 1299269 */     GIR_EraseRootFromParent_Done,
     /* 1299270 */   // Label 18636: @1299270
     /* 1299270 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1299354), // Rule ID 9261 //
     /* 1299275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299328 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299353 */     // GIR_Coverage, 9261,
     /* 1299353 */     GIR_EraseRootFromParent_Done,
     /* 1299354 */   // Label 18637: @1299354
     /* 1299354 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1299438), // Rule ID 9264 //
     /* 1299359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299437 */     // GIR_Coverage, 9264,
     /* 1299437 */     GIR_EraseRootFromParent_Done,
     /* 1299438 */   // Label 18638: @1299438
     /* 1299438 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1299522), // Rule ID 9265 //
     /* 1299443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299521 */     // GIR_Coverage, 9265,
     /* 1299521 */     GIR_EraseRootFromParent_Done,
     /* 1299522 */   // Label 18639: @1299522
     /* 1299522 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1299606), // Rule ID 9268 //
     /* 1299527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1299544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299605 */     // GIR_Coverage, 9268,
     /* 1299605 */     GIR_EraseRootFromParent_Done,
     /* 1299606 */   // Label 18640: @1299606
     /* 1299606 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1299690), // Rule ID 9269 //
     /* 1299611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1299628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299689 */     // GIR_Coverage, 9269,
     /* 1299689 */     GIR_EraseRootFromParent_Done,
     /* 1299690 */   // Label 18641: @1299690
     /* 1299690 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1299774), // Rule ID 9272 //
     /* 1299695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1299712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299773 */     // GIR_Coverage, 9272,
     /* 1299773 */     GIR_EraseRootFromParent_Done,
     /* 1299774 */   // Label 18642: @1299774
     /* 1299774 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1299858), // Rule ID 9273 //
     /* 1299779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1299796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299857 */     // GIR_Coverage, 9273,
     /* 1299857 */     GIR_EraseRootFromParent_Done,
     /* 1299858 */   // Label 18643: @1299858
     /* 1299858 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1299942), // Rule ID 9276 //
     /* 1299863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299941 */     // GIR_Coverage, 9276,
     /* 1299941 */     GIR_EraseRootFromParent_Done,
     /* 1299942 */   // Label 18644: @1299942
     /* 1299942 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1300026), // Rule ID 9277 //
     /* 1299947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1300003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300025 */     // GIR_Coverage, 9277,
     /* 1300025 */     GIR_EraseRootFromParent_Done,
     /* 1300026 */   // Label 18645: @1300026
     /* 1300026 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1300110), // Rule ID 9280 //
     /* 1300031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300109 */     // GIR_Coverage, 9280,
     /* 1300109 */     GIR_EraseRootFromParent_Done,
     /* 1300110 */   // Label 18646: @1300110
     /* 1300110 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1300194), // Rule ID 9281 //
     /* 1300115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300193 */     // GIR_Coverage, 9281,
     /* 1300193 */     GIR_EraseRootFromParent_Done,
     /* 1300194 */   // Label 18647: @1300194
     /* 1300194 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1300278), // Rule ID 9284 //
     /* 1300199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300277 */     // GIR_Coverage, 9284,
     /* 1300277 */     GIR_EraseRootFromParent_Done,
     /* 1300278 */   // Label 18648: @1300278
     /* 1300278 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1300362), // Rule ID 9285 //
     /* 1300283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300361 */     // GIR_Coverage, 9285,
     /* 1300361 */     GIR_EraseRootFromParent_Done,
     /* 1300362 */   // Label 18649: @1300362
     /* 1300362 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1300446), // Rule ID 9376 //
     /* 1300367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1300423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300445 */     // GIR_Coverage, 9376,
     /* 1300445 */     GIR_EraseRootFromParent_Done,
     /* 1300446 */   // Label 18650: @1300446
     /* 1300446 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1300530), // Rule ID 9377 //
     /* 1300451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1300507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300529 */     // GIR_Coverage, 9377,
     /* 1300529 */     GIR_EraseRootFromParent_Done,
     /* 1300530 */   // Label 18651: @1300530
     /* 1300530 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1300614), // Rule ID 9380 //
     /* 1300535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1300552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1300591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300613 */     // GIR_Coverage, 9380,
     /* 1300613 */     GIR_EraseRootFromParent_Done,
     /* 1300614 */   // Label 18652: @1300614
     /* 1300614 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1300698), // Rule ID 9381 //
     /* 1300619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1300636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1300675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300697 */     // GIR_Coverage, 9381,
     /* 1300697 */     GIR_EraseRootFromParent_Done,
     /* 1300698 */   // Label 18653: @1300698
     /* 1300698 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1300782), // Rule ID 9384 //
     /* 1300703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1300720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1300759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300781 */     // GIR_Coverage, 9384,
     /* 1300781 */     GIR_EraseRootFromParent_Done,
     /* 1300782 */   // Label 18654: @1300782
     /* 1300782 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1300866), // Rule ID 9385 //
     /* 1300787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1300804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1300843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300865 */     // GIR_Coverage, 9385,
     /* 1300865 */     GIR_EraseRootFromParent_Done,
     /* 1300866 */   // Label 18655: @1300866
     /* 1300866 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1300950), // Rule ID 9388 //
     /* 1300871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1300927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300949 */     // GIR_Coverage, 9388,
     /* 1300949 */     GIR_EraseRootFromParent_Done,
     /* 1300950 */   // Label 18656: @1300950
     /* 1300950 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1301034), // Rule ID 9389 //
     /* 1300955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1301011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301033 */     // GIR_Coverage, 9389,
     /* 1301033 */     GIR_EraseRootFromParent_Done,
     /* 1301034 */   // Label 18657: @1301034
     /* 1301034 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1301118), // Rule ID 9392 //
     /* 1301039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301117 */     // GIR_Coverage, 9392,
     /* 1301117 */     GIR_EraseRootFromParent_Done,
     /* 1301118 */   // Label 18658: @1301118
     /* 1301118 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1301202), // Rule ID 9393 //
     /* 1301123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301201 */     // GIR_Coverage, 9393,
     /* 1301201 */     GIR_EraseRootFromParent_Done,
     /* 1301202 */   // Label 18659: @1301202
     /* 1301202 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1301286), // Rule ID 9396 //
     /* 1301207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301285 */     // GIR_Coverage, 9396,
     /* 1301285 */     GIR_EraseRootFromParent_Done,
     /* 1301286 */   // Label 18660: @1301286
     /* 1301286 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1301370), // Rule ID 9397 //
     /* 1301291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301369 */     // GIR_Coverage, 9397,
     /* 1301369 */     GIR_EraseRootFromParent_Done,
     /* 1301370 */   // Label 18661: @1301370
     /* 1301370 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1301454), // Rule ID 9400 //
     /* 1301375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301453 */     // GIR_Coverage, 9400,
     /* 1301453 */     GIR_EraseRootFromParent_Done,
     /* 1301454 */   // Label 18662: @1301454
     /* 1301454 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1301538), // Rule ID 9401 //
     /* 1301459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301537 */     // GIR_Coverage, 9401,
     /* 1301537 */     GIR_EraseRootFromParent_Done,
     /* 1301538 */   // Label 18663: @1301538
     /* 1301538 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1301622), // Rule ID 9404 //
     /* 1301543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1301560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301621 */     // GIR_Coverage, 9404,
     /* 1301621 */     GIR_EraseRootFromParent_Done,
     /* 1301622 */   // Label 18664: @1301622
     /* 1301622 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1301706), // Rule ID 9405 //
     /* 1301627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1301644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301705 */     // GIR_Coverage, 9405,
     /* 1301705 */     GIR_EraseRootFromParent_Done,
     /* 1301706 */   // Label 18665: @1301706
     /* 1301706 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1301790), // Rule ID 9408 //
     /* 1301711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301789 */     // GIR_Coverage, 9408,
     /* 1301789 */     GIR_EraseRootFromParent_Done,
     /* 1301790 */   // Label 18666: @1301790
     /* 1301790 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1301874), // Rule ID 9409 //
     /* 1301795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301873 */     // GIR_Coverage, 9409,
     /* 1301873 */     GIR_EraseRootFromParent_Done,
     /* 1301874 */   // Label 18667: @1301874
     /* 1301874 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1301958), // Rule ID 9412 //
     /* 1301879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301957 */     // GIR_Coverage, 9412,
     /* 1301957 */     GIR_EraseRootFromParent_Done,
     /* 1301958 */   // Label 18668: @1301958
     /* 1301958 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1302042), // Rule ID 9413 //
     /* 1301963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302041 */     // GIR_Coverage, 9413,
     /* 1302041 */     GIR_EraseRootFromParent_Done,
     /* 1302042 */   // Label 18669: @1302042
     /* 1302042 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1302126), // Rule ID 9416 //
     /* 1302047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302125 */     // GIR_Coverage, 9416,
     /* 1302125 */     GIR_EraseRootFromParent_Done,
     /* 1302126 */   // Label 18670: @1302126
     /* 1302126 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1302210), // Rule ID 9417 //
     /* 1302131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302209 */     // GIR_Coverage, 9417,
     /* 1302209 */     GIR_EraseRootFromParent_Done,
     /* 1302210 */   // Label 18671: @1302210
     /* 1302210 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1302294), // Rule ID 9420 //
     /* 1302215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302293 */     // GIR_Coverage, 9420,
     /* 1302293 */     GIR_EraseRootFromParent_Done,
     /* 1302294 */   // Label 18672: @1302294
     /* 1302294 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1302378), // Rule ID 9421 //
     /* 1302299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302377 */     // GIR_Coverage, 9421,
     /* 1302377 */     GIR_EraseRootFromParent_Done,
     /* 1302378 */   // Label 18673: @1302378
     /* 1302378 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1302462), // Rule ID 9424 //
     /* 1302383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1302439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302461 */     // GIR_Coverage, 9424,
     /* 1302461 */     GIR_EraseRootFromParent_Done,
     /* 1302462 */   // Label 18674: @1302462
     /* 1302462 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1302546), // Rule ID 9425 //
     /* 1302467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302520 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1302523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302545 */     // GIR_Coverage, 9425,
     /* 1302545 */     GIR_EraseRootFromParent_Done,
     /* 1302546 */   // Label 18675: @1302546
     /* 1302546 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1302630), // Rule ID 9428 //
     /* 1302551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1302568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302629 */     // GIR_Coverage, 9428,
     /* 1302629 */     GIR_EraseRootFromParent_Done,
     /* 1302630 */   // Label 18676: @1302630
     /* 1302630 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1302714), // Rule ID 9429 //
     /* 1302635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1302652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302713 */     // GIR_Coverage, 9429,
     /* 1302713 */     GIR_EraseRootFromParent_Done,
     /* 1302714 */   // Label 18677: @1302714
     /* 1302714 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1302798), // Rule ID 9432 //
     /* 1302719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302797 */     // GIR_Coverage, 9432,
     /* 1302797 */     GIR_EraseRootFromParent_Done,
     /* 1302798 */   // Label 18678: @1302798
     /* 1302798 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1302882), // Rule ID 9433 //
     /* 1302803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302881 */     // GIR_Coverage, 9433,
     /* 1302881 */     GIR_EraseRootFromParent_Done,
     /* 1302882 */   // Label 18679: @1302882
     /* 1302882 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1302966), // Rule ID 9436 //
     /* 1302887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1302943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302965 */     // GIR_Coverage, 9436,
     /* 1302965 */     GIR_EraseRootFromParent_Done,
     /* 1302966 */   // Label 18680: @1302966
     /* 1302966 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1303050), // Rule ID 9437 //
     /* 1302971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303024 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303049 */     // GIR_Coverage, 9437,
     /* 1303049 */     GIR_EraseRootFromParent_Done,
     /* 1303050 */   // Label 18681: @1303050
     /* 1303050 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1303134), // Rule ID 9440 //
     /* 1303055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303133 */     // GIR_Coverage, 9440,
     /* 1303133 */     GIR_EraseRootFromParent_Done,
     /* 1303134 */   // Label 18682: @1303134
     /* 1303134 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1303218), // Rule ID 9441 //
     /* 1303139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303217 */     // GIR_Coverage, 9441,
     /* 1303217 */     GIR_EraseRootFromParent_Done,
     /* 1303218 */   // Label 18683: @1303218
     /* 1303218 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1303302), // Rule ID 9444 //
     /* 1303223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303301 */     // GIR_Coverage, 9444,
     /* 1303301 */     GIR_EraseRootFromParent_Done,
     /* 1303302 */   // Label 18684: @1303302
     /* 1303302 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1303386), // Rule ID 9445 //
     /* 1303307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303385 */     // GIR_Coverage, 9445,
     /* 1303385 */     GIR_EraseRootFromParent_Done,
     /* 1303386 */   // Label 18685: @1303386
     /* 1303386 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1303470), // Rule ID 9448 //
     /* 1303391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303469 */     // GIR_Coverage, 9448,
     /* 1303469 */     GIR_EraseRootFromParent_Done,
     /* 1303470 */   // Label 18686: @1303470
     /* 1303470 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1303554), // Rule ID 9449 //
     /* 1303475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303553 */     // GIR_Coverage, 9449,
     /* 1303553 */     GIR_EraseRootFromParent_Done,
     /* 1303554 */   // Label 18687: @1303554
     /* 1303554 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1303638), // Rule ID 9452 //
     /* 1303559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1303576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303637 */     // GIR_Coverage, 9452,
     /* 1303637 */     GIR_EraseRootFromParent_Done,
     /* 1303638 */   // Label 18688: @1303638
     /* 1303638 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1303722), // Rule ID 9453 //
     /* 1303643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1303660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303721 */     // GIR_Coverage, 9453,
     /* 1303721 */     GIR_EraseRootFromParent_Done,
     /* 1303722 */   // Label 18689: @1303722
     /* 1303722 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1303806), // Rule ID 9456 //
     /* 1303727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303805 */     // GIR_Coverage, 9456,
     /* 1303805 */     GIR_EraseRootFromParent_Done,
     /* 1303806 */   // Label 18690: @1303806
     /* 1303806 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1303890), // Rule ID 9457 //
     /* 1303811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303889 */     // GIR_Coverage, 9457,
     /* 1303889 */     GIR_EraseRootFromParent_Done,
     /* 1303890 */   // Label 18691: @1303890
     /* 1303890 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1303974), // Rule ID 9460 //
     /* 1303895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303973 */     // GIR_Coverage, 9460,
     /* 1303973 */     GIR_EraseRootFromParent_Done,
     /* 1303974 */   // Label 18692: @1303974
     /* 1303974 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1304058), // Rule ID 9461 //
     /* 1303979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1304035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304057 */     // GIR_Coverage, 9461,
     /* 1304057 */     GIR_EraseRootFromParent_Done,
     /* 1304058 */   // Label 18693: @1304058
     /* 1304058 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1304142), // Rule ID 9552 //
     /* 1304063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304141 */     // GIR_Coverage, 9552,
     /* 1304141 */     GIR_EraseRootFromParent_Done,
     /* 1304142 */   // Label 18694: @1304142
     /* 1304142 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1304226), // Rule ID 9553 //
     /* 1304147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304225 */     // GIR_Coverage, 9553,
     /* 1304225 */     GIR_EraseRootFromParent_Done,
     /* 1304226 */   // Label 18695: @1304226
     /* 1304226 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1304310), // Rule ID 9556 //
     /* 1304231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304309 */     // GIR_Coverage, 9556,
     /* 1304309 */     GIR_EraseRootFromParent_Done,
     /* 1304310 */   // Label 18696: @1304310
     /* 1304310 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1304394), // Rule ID 9557 //
     /* 1304315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304393 */     // GIR_Coverage, 9557,
     /* 1304393 */     GIR_EraseRootFromParent_Done,
     /* 1304394 */   // Label 18697: @1304394
     /* 1304394 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1304478), // Rule ID 9560 //
     /* 1304399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1304416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1304419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304477 */     // GIR_Coverage, 9560,
     /* 1304477 */     GIR_EraseRootFromParent_Done,
     /* 1304478 */   // Label 18698: @1304478
     /* 1304478 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1304562), // Rule ID 9561 //
     /* 1304483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1304500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1304503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304561 */     // GIR_Coverage, 9561,
     /* 1304561 */     GIR_EraseRootFromParent_Done,
     /* 1304562 */   // Label 18699: @1304562
     /* 1304562 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1304646), // Rule ID 9564 //
     /* 1304567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1304584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1304587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304645 */     // GIR_Coverage, 9564,
     /* 1304645 */     GIR_EraseRootFromParent_Done,
     /* 1304646 */   // Label 18700: @1304646
     /* 1304646 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1304730), // Rule ID 9565 //
     /* 1304651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1304668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1304671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304729 */     // GIR_Coverage, 9565,
     /* 1304729 */     GIR_EraseRootFromParent_Done,
     /* 1304730 */   // Label 18701: @1304730
     /* 1304730 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1304814), // Rule ID 9568 //
     /* 1304735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1304752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1304755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304813 */     // GIR_Coverage, 9568,
     /* 1304813 */     GIR_EraseRootFromParent_Done,
     /* 1304814 */   // Label 18702: @1304814
     /* 1304814 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1304898), // Rule ID 9569 //
     /* 1304819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1304836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1304839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304897 */     // GIR_Coverage, 9569,
     /* 1304897 */     GIR_EraseRootFromParent_Done,
     /* 1304898 */   // Label 18703: @1304898
     /* 1304898 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1304982), // Rule ID 9572 //
     /* 1304903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1304920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1304923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1304959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304981 */     // GIR_Coverage, 9572,
     /* 1304981 */     GIR_EraseRootFromParent_Done,
     /* 1304982 */   // Label 18704: @1304982
     /* 1304982 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1305066), // Rule ID 9573 //
     /* 1304987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305065 */     // GIR_Coverage, 9573,
     /* 1305065 */     GIR_EraseRootFromParent_Done,
     /* 1305066 */   // Label 18705: @1305066
     /* 1305066 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1305150), // Rule ID 9576 //
     /* 1305071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305149 */     // GIR_Coverage, 9576,
     /* 1305149 */     GIR_EraseRootFromParent_Done,
     /* 1305150 */   // Label 18706: @1305150
     /* 1305150 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1305234), // Rule ID 9577 //
     /* 1305155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305233 */     // GIR_Coverage, 9577,
     /* 1305233 */     GIR_EraseRootFromParent_Done,
     /* 1305234 */   // Label 18707: @1305234
     /* 1305234 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1305318), // Rule ID 9580 //
     /* 1305239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305317 */     // GIR_Coverage, 9580,
     /* 1305317 */     GIR_EraseRootFromParent_Done,
     /* 1305318 */   // Label 18708: @1305318
     /* 1305318 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1305402), // Rule ID 9581 //
     /* 1305323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305401 */     // GIR_Coverage, 9581,
     /* 1305401 */     GIR_EraseRootFromParent_Done,
     /* 1305402 */   // Label 18709: @1305402
     /* 1305402 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1305486), // Rule ID 9584 //
     /* 1305407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1305424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1305427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305485 */     // GIR_Coverage, 9584,
     /* 1305485 */     GIR_EraseRootFromParent_Done,
     /* 1305486 */   // Label 18710: @1305486
     /* 1305486 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1305570), // Rule ID 9585 //
     /* 1305491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1305508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1305511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305569 */     // GIR_Coverage, 9585,
     /* 1305569 */     GIR_EraseRootFromParent_Done,
     /* 1305570 */   // Label 18711: @1305570
     /* 1305570 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1305654), // Rule ID 9588 //
     /* 1305575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1305592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1305595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1305631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305653 */     // GIR_Coverage, 9588,
     /* 1305653 */     GIR_EraseRootFromParent_Done,
     /* 1305654 */   // Label 18712: @1305654
     /* 1305654 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1305738), // Rule ID 9589 //
     /* 1305659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1305676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1305679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1305715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305737 */     // GIR_Coverage, 9589,
     /* 1305737 */     GIR_EraseRootFromParent_Done,
     /* 1305738 */   // Label 18713: @1305738
     /* 1305738 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1305822), // Rule ID 9592 //
     /* 1305743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1305760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1305763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305796 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1305799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305821 */     // GIR_Coverage, 9592,
     /* 1305821 */     GIR_EraseRootFromParent_Done,
     /* 1305822 */   // Label 18714: @1305822
     /* 1305822 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1305906), // Rule ID 9593 //
     /* 1305827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1305844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1305847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305880 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1305883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305905 */     // GIR_Coverage, 9593,
     /* 1305905 */     GIR_EraseRootFromParent_Done,
     /* 1305906 */   // Label 18715: @1305906
     /* 1305906 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1305990), // Rule ID 9596 //
     /* 1305911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1305922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1305925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1305928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1305931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1305934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305964 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1305967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305989 */     // GIR_Coverage, 9596,
     /* 1305989 */     GIR_EraseRootFromParent_Done,
     /* 1305990 */   // Label 18716: @1305990
     /* 1305990 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1306074), // Rule ID 9597 //
     /* 1305995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306048 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306073 */     // GIR_Coverage, 9597,
     /* 1306073 */     GIR_EraseRootFromParent_Done,
     /* 1306074 */   // Label 18717: @1306074
     /* 1306074 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1306158), // Rule ID 9600 //
     /* 1306079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306157 */     // GIR_Coverage, 9600,
     /* 1306157 */     GIR_EraseRootFromParent_Done,
     /* 1306158 */   // Label 18718: @1306158
     /* 1306158 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1306242), // Rule ID 9601 //
     /* 1306163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306241 */     // GIR_Coverage, 9601,
     /* 1306241 */     GIR_EraseRootFromParent_Done,
     /* 1306242 */   // Label 18719: @1306242
     /* 1306242 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1306326), // Rule ID 9604 //
     /* 1306247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306325 */     // GIR_Coverage, 9604,
     /* 1306325 */     GIR_EraseRootFromParent_Done,
     /* 1306326 */   // Label 18720: @1306326
     /* 1306326 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1306410), // Rule ID 9605 //
     /* 1306331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306409 */     // GIR_Coverage, 9605,
     /* 1306409 */     GIR_EraseRootFromParent_Done,
     /* 1306410 */   // Label 18721: @1306410
     /* 1306410 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1306494), // Rule ID 9608 //
     /* 1306415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1306435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306493 */     // GIR_Coverage, 9608,
     /* 1306493 */     GIR_EraseRootFromParent_Done,
     /* 1306494 */   // Label 18722: @1306494
     /* 1306494 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1306578), // Rule ID 9609 //
     /* 1306499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1306519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306577 */     // GIR_Coverage, 9609,
     /* 1306577 */     GIR_EraseRootFromParent_Done,
     /* 1306578 */   // Label 18723: @1306578
     /* 1306578 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1306662), // Rule ID 9612 //
     /* 1306583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306661 */     // GIR_Coverage, 9612,
     /* 1306661 */     GIR_EraseRootFromParent_Done,
     /* 1306662 */   // Label 18724: @1306662
     /* 1306662 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1306746), // Rule ID 9613 //
     /* 1306667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306745 */     // GIR_Coverage, 9613,
     /* 1306745 */     GIR_EraseRootFromParent_Done,
     /* 1306746 */   // Label 18725: @1306746
     /* 1306746 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1306830), // Rule ID 9616 //
     /* 1306751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306829 */     // GIR_Coverage, 9616,
     /* 1306829 */     GIR_EraseRootFromParent_Done,
     /* 1306830 */   // Label 18726: @1306830
     /* 1306830 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1306914), // Rule ID 9617 //
     /* 1306835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306913 */     // GIR_Coverage, 9617,
     /* 1306913 */     GIR_EraseRootFromParent_Done,
     /* 1306914 */   // Label 18727: @1306914
     /* 1306914 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1306998), // Rule ID 9620 //
     /* 1306919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1306936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1306939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306997 */     // GIR_Coverage, 9620,
     /* 1306997 */     GIR_EraseRootFromParent_Done,
     /* 1306998 */   // Label 18728: @1306998
     /* 1306998 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1307082), // Rule ID 9621 //
     /* 1307003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307081 */     // GIR_Coverage, 9621,
     /* 1307081 */     GIR_EraseRootFromParent_Done,
     /* 1307082 */   // Label 18729: @1307082
     /* 1307082 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1307166), // Rule ID 9624 //
     /* 1307087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307165 */     // GIR_Coverage, 9624,
     /* 1307165 */     GIR_EraseRootFromParent_Done,
     /* 1307166 */   // Label 18730: @1307166
     /* 1307166 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1307250), // Rule ID 9625 //
     /* 1307171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307249 */     // GIR_Coverage, 9625,
     /* 1307249 */     GIR_EraseRootFromParent_Done,
     /* 1307250 */   // Label 18731: @1307250
     /* 1307250 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1307334), // Rule ID 9628 //
     /* 1307255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307333 */     // GIR_Coverage, 9628,
     /* 1307333 */     GIR_EraseRootFromParent_Done,
     /* 1307334 */   // Label 18732: @1307334
     /* 1307334 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1307418), // Rule ID 9629 //
     /* 1307339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307417 */     // GIR_Coverage, 9629,
     /* 1307417 */     GIR_EraseRootFromParent_Done,
     /* 1307418 */   // Label 18733: @1307418
     /* 1307418 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1307502), // Rule ID 9632 //
     /* 1307423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1307440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1307443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307501 */     // GIR_Coverage, 9632,
     /* 1307501 */     GIR_EraseRootFromParent_Done,
     /* 1307502 */   // Label 18734: @1307502
     /* 1307502 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1307586), // Rule ID 9633 //
     /* 1307507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1307524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1307527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307585 */     // GIR_Coverage, 9633,
     /* 1307585 */     GIR_EraseRootFromParent_Done,
     /* 1307586 */   // Label 18735: @1307586
     /* 1307586 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1307670), // Rule ID 9636 //
     /* 1307591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1307608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1307611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1307647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307669 */     // GIR_Coverage, 9636,
     /* 1307669 */     GIR_EraseRootFromParent_Done,
     /* 1307670 */   // Label 18736: @1307670
     /* 1307670 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1307754), // Rule ID 9637 //
     /* 1307675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1307692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1307695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1307731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307753 */     // GIR_Coverage, 9637,
     /* 1307753 */     GIR_EraseRootFromParent_Done,
     /* 1307754 */   // Label 18737: @1307754
     /* 1307754 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1307838), // Rule ID 9640 //
     /* 1307759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1307776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1307779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1307815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307837 */     // GIR_Coverage, 9640,
     /* 1307837 */     GIR_EraseRootFromParent_Done,
     /* 1307838 */   // Label 18738: @1307838
     /* 1307838 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1307922), // Rule ID 9641 //
     /* 1307843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1307860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1307863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1307899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307921 */     // GIR_Coverage, 9641,
     /* 1307921 */     GIR_EraseRootFromParent_Done,
     /* 1307922 */   // Label 18739: @1307922
     /* 1307922 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1308006), // Rule ID 9644 //
     /* 1307927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1307944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1307947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1307983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308005 */     // GIR_Coverage, 9644,
     /* 1308005 */     GIR_EraseRootFromParent_Done,
     /* 1308006 */   // Label 18740: @1308006
     /* 1308006 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1308090), // Rule ID 9645 //
     /* 1308011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308089 */     // GIR_Coverage, 9645,
     /* 1308089 */     GIR_EraseRootFromParent_Done,
     /* 1308090 */   // Label 18741: @1308090
     /* 1308090 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1308174), // Rule ID 9648 //
     /* 1308095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308173 */     // GIR_Coverage, 9648,
     /* 1308173 */     GIR_EraseRootFromParent_Done,
     /* 1308174 */   // Label 18742: @1308174
     /* 1308174 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1308258), // Rule ID 9649 //
     /* 1308179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308257 */     // GIR_Coverage, 9649,
     /* 1308257 */     GIR_EraseRootFromParent_Done,
     /* 1308258 */   // Label 18743: @1308258
     /* 1308258 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1308342), // Rule ID 9652 //
     /* 1308263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1308280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1308283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308341 */     // GIR_Coverage, 9652,
     /* 1308341 */     GIR_EraseRootFromParent_Done,
     /* 1308342 */   // Label 18744: @1308342
     /* 1308342 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1308426), // Rule ID 9653 //
     /* 1308347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1308364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1308367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308425 */     // GIR_Coverage, 9653,
     /* 1308425 */     GIR_EraseRootFromParent_Done,
     /* 1308426 */   // Label 18745: @1308426
     /* 1308426 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1308510), // Rule ID 9656 //
     /* 1308431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1308451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308509 */     // GIR_Coverage, 9656,
     /* 1308509 */     GIR_EraseRootFromParent_Done,
     /* 1308510 */   // Label 18746: @1308510
     /* 1308510 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1308594), // Rule ID 9657 //
     /* 1308515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1308535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308593 */     // GIR_Coverage, 9657,
     /* 1308593 */     GIR_EraseRootFromParent_Done,
     /* 1308594 */   // Label 18747: @1308594
     /* 1308594 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1308678), // Rule ID 9660 //
     /* 1308599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1308616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1308655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308677 */     // GIR_Coverage, 9660,
     /* 1308677 */     GIR_EraseRootFromParent_Done,
     /* 1308678 */   // Label 18748: @1308678
     /* 1308678 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1308762), // Rule ID 9661 //
     /* 1308683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1308700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1308739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308761 */     // GIR_Coverage, 9661,
     /* 1308761 */     GIR_EraseRootFromParent_Done,
     /* 1308762 */   // Label 18749: @1308762
     /* 1308762 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1308846), // Rule ID 9664 //
     /* 1308767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1308787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1308823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308845 */     // GIR_Coverage, 9664,
     /* 1308845 */     GIR_EraseRootFromParent_Done,
     /* 1308846 */   // Label 18750: @1308846
     /* 1308846 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1308930), // Rule ID 9665 //
     /* 1308851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1308871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1308907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308929 */     // GIR_Coverage, 9665,
     /* 1308929 */     GIR_EraseRootFromParent_Done,
     /* 1308930 */   // Label 18751: @1308930
     /* 1308930 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1309014), // Rule ID 9668 //
     /* 1308935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1308952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1308955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1308991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309013 */     // GIR_Coverage, 9668,
     /* 1309013 */     GIR_EraseRootFromParent_Done,
     /* 1309014 */   // Label 18752: @1309014
     /* 1309014 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1309098), // Rule ID 9669 //
     /* 1309019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309097 */     // GIR_Coverage, 9669,
     /* 1309097 */     GIR_EraseRootFromParent_Done,
     /* 1309098 */   // Label 18753: @1309098
     /* 1309098 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1309182), // Rule ID 9672 //
     /* 1309103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309181 */     // GIR_Coverage, 9672,
     /* 1309181 */     GIR_EraseRootFromParent_Done,
     /* 1309182 */   // Label 18754: @1309182
     /* 1309182 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1309266), // Rule ID 9673 //
     /* 1309187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309265 */     // GIR_Coverage, 9673,
     /* 1309265 */     GIR_EraseRootFromParent_Done,
     /* 1309266 */   // Label 18755: @1309266
     /* 1309266 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1309350), // Rule ID 9676 //
     /* 1309271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1309288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1309291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309349 */     // GIR_Coverage, 9676,
     /* 1309349 */     GIR_EraseRootFromParent_Done,
     /* 1309350 */   // Label 18756: @1309350
     /* 1309350 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1309434), // Rule ID 9677 //
     /* 1309355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1309372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1309375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309433 */     // GIR_Coverage, 9677,
     /* 1309433 */     GIR_EraseRootFromParent_Done,
     /* 1309434 */   // Label 18757: @1309434
     /* 1309434 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1309518), // Rule ID 9680 //
     /* 1309439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1309456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1309459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1309495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309517 */     // GIR_Coverage, 9680,
     /* 1309517 */     GIR_EraseRootFromParent_Done,
     /* 1309518 */   // Label 18758: @1309518
     /* 1309518 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1309602), // Rule ID 9681 //
     /* 1309523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1309540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1309543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1309579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309601 */     // GIR_Coverage, 9681,
     /* 1309601 */     GIR_EraseRootFromParent_Done,
     /* 1309602 */   // Label 18759: @1309602
     /* 1309602 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1309686), // Rule ID 9684 //
     /* 1309607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1309618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1309621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1309624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1309627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1309630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309660 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1309663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309685 */     // GIR_Coverage, 9684,
     /* 1309685 */     GIR_EraseRootFromParent_Done,
     /* 1309686 */   // Label 18760: @1309686
     /* 1309686 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1309770), // Rule ID 9685 //
     /* 1309691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1309702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1309705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1309708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1309711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1309714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309744 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1309747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309769 */     // GIR_Coverage, 9685,
     /* 1309769 */     GIR_EraseRootFromParent_Done,
     /* 1309770 */   // Label 18761: @1309770
     /* 1309770 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1309854), // Rule ID 9688 //
     /* 1309775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1309795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309853 */     // GIR_Coverage, 9688,
     /* 1309853 */     GIR_EraseRootFromParent_Done,
     /* 1309854 */   // Label 18762: @1309854
     /* 1309854 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1309938), // Rule ID 9689 //
     /* 1309859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1309879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309937 */     // GIR_Coverage, 9689,
     /* 1309937 */     GIR_EraseRootFromParent_Done,
     /* 1309938 */   // Label 18763: @1309938
     /* 1309938 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1310022), // Rule ID 9692 //
     /* 1309943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1309960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1309963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1309999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310021 */     // GIR_Coverage, 9692,
     /* 1310021 */     GIR_EraseRootFromParent_Done,
     /* 1310022 */   // Label 18764: @1310022
     /* 1310022 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1310106), // Rule ID 9693 //
     /* 1310027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310105 */     // GIR_Coverage, 9693,
     /* 1310105 */     GIR_EraseRootFromParent_Done,
     /* 1310106 */   // Label 18765: @1310106
     /* 1310106 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1310190), // Rule ID 9696 //
     /* 1310111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310164 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310189 */     // GIR_Coverage, 9696,
     /* 1310189 */     GIR_EraseRootFromParent_Done,
     /* 1310190 */   // Label 18766: @1310190
     /* 1310190 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1310274), // Rule ID 9697 //
     /* 1310195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310273 */     // GIR_Coverage, 9697,
     /* 1310273 */     GIR_EraseRootFromParent_Done,
     /* 1310274 */   // Label 18767: @1310274
     /* 1310274 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1310358), // Rule ID 9700 //
     /* 1310279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1310299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310357 */     // GIR_Coverage, 9700,
     /* 1310357 */     GIR_EraseRootFromParent_Done,
     /* 1310358 */   // Label 18768: @1310358
     /* 1310358 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1310442), // Rule ID 9701 //
     /* 1310363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1310383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310441 */     // GIR_Coverage, 9701,
     /* 1310441 */     GIR_EraseRootFromParent_Done,
     /* 1310442 */   // Label 18769: @1310442
     /* 1310442 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1310526), // Rule ID 9704 //
     /* 1310447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1310467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310525 */     // GIR_Coverage, 9704,
     /* 1310525 */     GIR_EraseRootFromParent_Done,
     /* 1310526 */   // Label 18770: @1310526
     /* 1310526 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1310610), // Rule ID 9705 //
     /* 1310531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1310551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310609 */     // GIR_Coverage, 9705,
     /* 1310609 */     GIR_EraseRootFromParent_Done,
     /* 1310610 */   // Label 18771: @1310610
     /* 1310610 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1310694), // Rule ID 9708 //
     /* 1310615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1310632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1310635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310693 */     // GIR_Coverage, 9708,
     /* 1310693 */     GIR_EraseRootFromParent_Done,
     /* 1310694 */   // Label 18772: @1310694
     /* 1310694 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1310778), // Rule ID 9709 //
     /* 1310699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1310716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1310719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310777 */     // GIR_Coverage, 9709,
     /* 1310777 */     GIR_EraseRootFromParent_Done,
     /* 1310778 */   // Label 18773: @1310778
     /* 1310778 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1310862), // Rule ID 9712 //
     /* 1310783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1310800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1310803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310861 */     // GIR_Coverage, 9712,
     /* 1310861 */     GIR_EraseRootFromParent_Done,
     /* 1310862 */   // Label 18774: @1310862
     /* 1310862 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1310946), // Rule ID 9713 //
     /* 1310867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1310884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1310887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310945 */     // GIR_Coverage, 9713,
     /* 1310945 */     GIR_EraseRootFromParent_Done,
     /* 1310946 */   // Label 18775: @1310946
     /* 1310946 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1311030), // Rule ID 9716 //
     /* 1310951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1310968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1310971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1311007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311029 */     // GIR_Coverage, 9716,
     /* 1311029 */     GIR_EraseRootFromParent_Done,
     /* 1311030 */   // Label 18776: @1311030
     /* 1311030 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1311114), // Rule ID 9717 //
     /* 1311035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1311091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311113 */     // GIR_Coverage, 9717,
     /* 1311113 */     GIR_EraseRootFromParent_Done,
     /* 1311114 */   // Label 18777: @1311114
     /* 1311114 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1311198), // Rule ID 9720 //
     /* 1311119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311197 */     // GIR_Coverage, 9720,
     /* 1311197 */     GIR_EraseRootFromParent_Done,
     /* 1311198 */   // Label 18778: @1311198
     /* 1311198 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1311282), // Rule ID 9721 //
     /* 1311203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311281 */     // GIR_Coverage, 9721,
     /* 1311281 */     GIR_EraseRootFromParent_Done,
     /* 1311282 */   // Label 18779: @1311282
     /* 1311282 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1311366), // Rule ID 9724 //
     /* 1311287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1311304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1311307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1311343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311365 */     // GIR_Coverage, 9724,
     /* 1311365 */     GIR_EraseRootFromParent_Done,
     /* 1311366 */   // Label 18780: @1311366
     /* 1311366 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1311450), // Rule ID 9725 //
     /* 1311371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1311388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1311391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1311427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311449 */     // GIR_Coverage, 9725,
     /* 1311449 */     GIR_EraseRootFromParent_Done,
     /* 1311450 */   // Label 18781: @1311450
     /* 1311450 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1311534), // Rule ID 9728 //
     /* 1311455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1311472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1311475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1311511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311533 */     // GIR_Coverage, 9728,
     /* 1311533 */     GIR_EraseRootFromParent_Done,
     /* 1311534 */   // Label 18782: @1311534
     /* 1311534 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1311618), // Rule ID 9729 //
     /* 1311539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1311556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1311559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1311595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311617 */     // GIR_Coverage, 9729,
     /* 1311617 */     GIR_EraseRootFromParent_Done,
     /* 1311618 */   // Label 18783: @1311618
     /* 1311618 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1311702), // Rule ID 9732 //
     /* 1311623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1311640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1311643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1311679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311701 */     // GIR_Coverage, 9732,
     /* 1311701 */     GIR_EraseRootFromParent_Done,
     /* 1311702 */   // Label 18784: @1311702
     /* 1311702 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1311786), // Rule ID 9733 //
     /* 1311707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1311724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1311727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1311763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311785 */     // GIR_Coverage, 9733,
     /* 1311785 */     GIR_EraseRootFromParent_Done,
     /* 1311786 */   // Label 18785: @1311786
     /* 1311786 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1311870), // Rule ID 9736 //
     /* 1311791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1311811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1311847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311869 */     // GIR_Coverage, 9736,
     /* 1311869 */     GIR_EraseRootFromParent_Done,
     /* 1311870 */   // Label 18786: @1311870
     /* 1311870 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1311954), // Rule ID 9737 //
     /* 1311875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1311895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1311931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311953 */     // GIR_Coverage, 9737,
     /* 1311953 */     GIR_EraseRootFromParent_Done,
     /* 1311954 */   // Label 18787: @1311954
     /* 1311954 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1312038), // Rule ID 9740 //
     /* 1311959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1311976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1311979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312037 */     // GIR_Coverage, 9740,
     /* 1312037 */     GIR_EraseRootFromParent_Done,
     /* 1312038 */   // Label 18788: @1312038
     /* 1312038 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1312122), // Rule ID 9741 //
     /* 1312043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312121 */     // GIR_Coverage, 9741,
     /* 1312121 */     GIR_EraseRootFromParent_Done,
     /* 1312122 */   // Label 18789: @1312122
     /* 1312122 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1312206), // Rule ID 9744 //
     /* 1312127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312205 */     // GIR_Coverage, 9744,
     /* 1312205 */     GIR_EraseRootFromParent_Done,
     /* 1312206 */   // Label 18790: @1312206
     /* 1312206 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1312290), // Rule ID 9745 //
     /* 1312211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312289 */     // GIR_Coverage, 9745,
     /* 1312289 */     GIR_EraseRootFromParent_Done,
     /* 1312290 */   // Label 18791: @1312290
     /* 1312290 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1312374), // Rule ID 9748 //
     /* 1312295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1312312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312373 */     // GIR_Coverage, 9748,
     /* 1312373 */     GIR_EraseRootFromParent_Done,
     /* 1312374 */   // Label 18792: @1312374
     /* 1312374 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1312458), // Rule ID 9749 //
     /* 1312379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1312396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312457 */     // GIR_Coverage, 9749,
     /* 1312457 */     GIR_EraseRootFromParent_Done,
     /* 1312458 */   // Label 18793: @1312458
     /* 1312458 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1312542), // Rule ID 9752 //
     /* 1312463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1312483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312541 */     // GIR_Coverage, 9752,
     /* 1312541 */     GIR_EraseRootFromParent_Done,
     /* 1312542 */   // Label 18794: @1312542
     /* 1312542 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1312626), // Rule ID 9753 //
     /* 1312547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1312567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312625 */     // GIR_Coverage, 9753,
     /* 1312625 */     GIR_EraseRootFromParent_Done,
     /* 1312626 */   // Label 18795: @1312626
     /* 1312626 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1312710), // Rule ID 9756 //
     /* 1312631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1312648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312709 */     // GIR_Coverage, 9756,
     /* 1312709 */     GIR_EraseRootFromParent_Done,
     /* 1312710 */   // Label 18796: @1312710
     /* 1312710 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1312794), // Rule ID 9757 //
     /* 1312715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1312732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312793 */     // GIR_Coverage, 9757,
     /* 1312793 */     GIR_EraseRootFromParent_Done,
     /* 1312794 */   // Label 18797: @1312794
     /* 1312794 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1312878), // Rule ID 9760 //
     /* 1312799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1312816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312877 */     // GIR_Coverage, 9760,
     /* 1312877 */     GIR_EraseRootFromParent_Done,
     /* 1312878 */   // Label 18798: @1312878
     /* 1312878 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1312962), // Rule ID 9761 //
     /* 1312883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1312900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312961 */     // GIR_Coverage, 9761,
     /* 1312961 */     GIR_EraseRootFromParent_Done,
     /* 1312962 */   // Label 18799: @1312962
     /* 1312962 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1313046), // Rule ID 9764 //
     /* 1312967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1312978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1312981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1312984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1312987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313045 */     // GIR_Coverage, 9764,
     /* 1313045 */     GIR_EraseRootFromParent_Done,
     /* 1313046 */   // Label 18800: @1313046
     /* 1313046 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1313130), // Rule ID 9765 //
     /* 1313051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313129 */     // GIR_Coverage, 9765,
     /* 1313129 */     GIR_EraseRootFromParent_Done,
     /* 1313130 */   // Label 18801: @1313130
     /* 1313130 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1313214), // Rule ID 9768 //
     /* 1313135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313188 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313213 */     // GIR_Coverage, 9768,
     /* 1313213 */     GIR_EraseRootFromParent_Done,
     /* 1313214 */   // Label 18802: @1313214
     /* 1313214 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1313298), // Rule ID 9769 //
     /* 1313219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313297 */     // GIR_Coverage, 9769,
     /* 1313297 */     GIR_EraseRootFromParent_Done,
     /* 1313298 */   // Label 18803: @1313298
     /* 1313298 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1313382), // Rule ID 9772 //
     /* 1313303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1313314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1313317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313356 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313381 */     // GIR_Coverage, 9772,
     /* 1313381 */     GIR_EraseRootFromParent_Done,
     /* 1313382 */   // Label 18804: @1313382
     /* 1313382 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1313466), // Rule ID 9773 //
     /* 1313387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1313398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1313401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313440 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313465 */     // GIR_Coverage, 9773,
     /* 1313465 */     GIR_EraseRootFromParent_Done,
     /* 1313466 */   // Label 18805: @1313466
     /* 1313466 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1313550), // Rule ID 9776 //
     /* 1313471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1313488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1313491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313549 */     // GIR_Coverage, 9776,
     /* 1313549 */     GIR_EraseRootFromParent_Done,
     /* 1313550 */   // Label 18806: @1313550
     /* 1313550 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1313634), // Rule ID 9777 //
     /* 1313555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1313572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1313575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313633 */     // GIR_Coverage, 9777,
     /* 1313633 */     GIR_EraseRootFromParent_Done,
     /* 1313634 */   // Label 18807: @1313634
     /* 1313634 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1313718), // Rule ID 9780 //
     /* 1313639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1313656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1313659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313717 */     // GIR_Coverage, 9780,
     /* 1313717 */     GIR_EraseRootFromParent_Done,
     /* 1313718 */   // Label 18808: @1313718
     /* 1313718 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1313802), // Rule ID 9781 //
     /* 1313723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1313740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1313743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313801 */     // GIR_Coverage, 9781,
     /* 1313801 */     GIR_EraseRootFromParent_Done,
     /* 1313802 */   // Label 18809: @1313802
     /* 1313802 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1313886), // Rule ID 9784 //
     /* 1313807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1313824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1313827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313885 */     // GIR_Coverage, 9784,
     /* 1313885 */     GIR_EraseRootFromParent_Done,
     /* 1313886 */   // Label 18810: @1313886
     /* 1313886 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1313970), // Rule ID 9785 //
     /* 1313891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1313908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1313911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313969 */     // GIR_Coverage, 9785,
     /* 1313969 */     GIR_EraseRootFromParent_Done,
     /* 1313970 */   // Label 18811: @1313970
     /* 1313970 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314054), // Rule ID 9788 //
     /* 1313975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1313992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1313995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314053 */     // GIR_Coverage, 9788,
     /* 1314053 */     GIR_EraseRootFromParent_Done,
     /* 1314054 */   // Label 18812: @1314054
     /* 1314054 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1314138), // Rule ID 9789 //
     /* 1314059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314137 */     // GIR_Coverage, 9789,
     /* 1314137 */     GIR_EraseRootFromParent_Done,
     /* 1314138 */   // Label 18813: @1314138
     /* 1314138 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1314222), // Rule ID 9792 //
     /* 1314143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314221 */     // GIR_Coverage, 9792,
     /* 1314221 */     GIR_EraseRootFromParent_Done,
     /* 1314222 */   // Label 18814: @1314222
     /* 1314222 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1314306), // Rule ID 9793 //
     /* 1314227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314305 */     // GIR_Coverage, 9793,
     /* 1314305 */     GIR_EraseRootFromParent_Done,
     /* 1314306 */   // Label 18815: @1314306
     /* 1314306 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1314390), // Rule ID 9796 //
     /* 1314311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314389 */     // GIR_Coverage, 9796,
     /* 1314389 */     GIR_EraseRootFromParent_Done,
     /* 1314390 */   // Label 18816: @1314390
     /* 1314390 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1314474), // Rule ID 9797 //
     /* 1314395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314473 */     // GIR_Coverage, 9797,
     /* 1314473 */     GIR_EraseRootFromParent_Done,
     /* 1314474 */   // Label 18817: @1314474
     /* 1314474 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1314558), // Rule ID 9800 //
     /* 1314479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1314490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1314493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1314496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1314499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314557 */     // GIR_Coverage, 9800,
     /* 1314557 */     GIR_EraseRootFromParent_Done,
     /* 1314558 */   // Label 18818: @1314558
     /* 1314558 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1314642), // Rule ID 9801 //
     /* 1314563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1314574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1314577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1314580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1314583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314641 */     // GIR_Coverage, 9801,
     /* 1314641 */     GIR_EraseRootFromParent_Done,
     /* 1314642 */   // Label 18819: @1314642
     /* 1314642 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1314726), // Rule ID 9804 //
     /* 1314647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1314667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314725 */     // GIR_Coverage, 9804,
     /* 1314725 */     GIR_EraseRootFromParent_Done,
     /* 1314726 */   // Label 18820: @1314726
     /* 1314726 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1314810), // Rule ID 9805 //
     /* 1314731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1314751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314809 */     // GIR_Coverage, 9805,
     /* 1314809 */     GIR_EraseRootFromParent_Done,
     /* 1314810 */   // Label 18821: @1314810
     /* 1314810 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1314894), // Rule ID 9808 //
     /* 1314815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1314835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314893 */     // GIR_Coverage, 9808,
     /* 1314893 */     GIR_EraseRootFromParent_Done,
     /* 1314894 */   // Label 18822: @1314894
     /* 1314894 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1314978), // Rule ID 9809 //
     /* 1314899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1314919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314977 */     // GIR_Coverage, 9809,
     /* 1314977 */     GIR_EraseRootFromParent_Done,
     /* 1314978 */   // Label 18823: @1314978
     /* 1314978 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315062), // Rule ID 9812 //
     /* 1314983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1314994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1314997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1315003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1315039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315061 */     // GIR_Coverage, 9812,
     /* 1315061 */     GIR_EraseRootFromParent_Done,
     /* 1315062 */   // Label 18824: @1315062
     /* 1315062 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1315146), // Rule ID 9813 //
     /* 1315067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1315087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1315123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315145 */     // GIR_Coverage, 9813,
     /* 1315145 */     GIR_EraseRootFromParent_Done,
     /* 1315146 */   // Label 18825: @1315146
     /* 1315146 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1315230), // Rule ID 9816 //
     /* 1315151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1315171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315229 */     // GIR_Coverage, 9816,
     /* 1315229 */     GIR_EraseRootFromParent_Done,
     /* 1315230 */   // Label 18826: @1315230
     /* 1315230 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1315314), // Rule ID 9817 //
     /* 1315235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1315255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315313 */     // GIR_Coverage, 9817,
     /* 1315313 */     GIR_EraseRootFromParent_Done,
     /* 1315314 */   // Label 18827: @1315314
     /* 1315314 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1315398), // Rule ID 9820 //
     /* 1315319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1315339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315397 */     // GIR_Coverage, 9820,
     /* 1315397 */     GIR_EraseRootFromParent_Done,
     /* 1315398 */   // Label 18828: @1315398
     /* 1315398 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1315482), // Rule ID 9821 //
     /* 1315403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1315423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315481 */     // GIR_Coverage, 9821,
     /* 1315481 */     GIR_EraseRootFromParent_Done,
     /* 1315482 */   // Label 18829: @1315482
     /* 1315482 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1315566), // Rule ID 9824 //
     /* 1315487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1315507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315565 */     // GIR_Coverage, 9824,
     /* 1315565 */     GIR_EraseRootFromParent_Done,
     /* 1315566 */   // Label 18830: @1315566
     /* 1315566 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1315650), // Rule ID 9825 //
     /* 1315571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1315591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315649 */     // GIR_Coverage, 9825,
     /* 1315649 */     GIR_EraseRootFromParent_Done,
     /* 1315650 */   // Label 18831: @1315650
     /* 1315650 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1315734), // Rule ID 9828 //
     /* 1315655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1315675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315733 */     // GIR_Coverage, 9828,
     /* 1315733 */     GIR_EraseRootFromParent_Done,
     /* 1315734 */   // Label 18832: @1315734
     /* 1315734 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1315818), // Rule ID 9829 //
     /* 1315739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1315759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315817 */     // GIR_Coverage, 9829,
     /* 1315817 */     GIR_EraseRootFromParent_Done,
     /* 1315818 */   // Label 18833: @1315818
     /* 1315818 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1315902), // Rule ID 9832 //
     /* 1315823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1315843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315901 */     // GIR_Coverage, 9832,
     /* 1315901 */     GIR_EraseRootFromParent_Done,
     /* 1315902 */   // Label 18834: @1315902
     /* 1315902 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1315986), // Rule ID 9833 //
     /* 1315907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1315927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315985 */     // GIR_Coverage, 9833,
     /* 1315985 */     GIR_EraseRootFromParent_Done,
     /* 1315986 */   // Label 18835: @1315986
     /* 1315986 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316070), // Rule ID 9836 //
     /* 1315991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1316011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316069 */     // GIR_Coverage, 9836,
     /* 1316069 */     GIR_EraseRootFromParent_Done,
     /* 1316070 */   // Label 18836: @1316070
     /* 1316070 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1316154), // Rule ID 9837 //
     /* 1316075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1316095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316153 */     // GIR_Coverage, 9837,
     /* 1316153 */     GIR_EraseRootFromParent_Done,
     /* 1316154 */   // Label 18837: @1316154
     /* 1316154 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1316238), // Rule ID 9840 //
     /* 1316159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1316179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316237 */     // GIR_Coverage, 9840,
     /* 1316237 */     GIR_EraseRootFromParent_Done,
     /* 1316238 */   // Label 18838: @1316238
     /* 1316238 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1316322), // Rule ID 9841 //
     /* 1316243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1316263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316321 */     // GIR_Coverage, 9841,
     /* 1316321 */     GIR_EraseRootFromParent_Done,
     /* 1316322 */   // Label 18839: @1316322
     /* 1316322 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1316406), // Rule ID 9844 //
     /* 1316327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316405 */     // GIR_Coverage, 9844,
     /* 1316405 */     GIR_EraseRootFromParent_Done,
     /* 1316406 */   // Label 18840: @1316406
     /* 1316406 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1316490), // Rule ID 9845 //
     /* 1316411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316489 */     // GIR_Coverage, 9845,
     /* 1316489 */     GIR_EraseRootFromParent_Done,
     /* 1316490 */   // Label 18841: @1316490
     /* 1316490 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1316574), // Rule ID 9848 //
     /* 1316495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1316515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316573 */     // GIR_Coverage, 9848,
     /* 1316573 */     GIR_EraseRootFromParent_Done,
     /* 1316574 */   // Label 18842: @1316574
     /* 1316574 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1316658), // Rule ID 9849 //
     /* 1316579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1316599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316657 */     // GIR_Coverage, 9849,
     /* 1316657 */     GIR_EraseRootFromParent_Done,
     /* 1316658 */   // Label 18843: @1316658
     /* 1316658 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1316742), // Rule ID 9852 //
     /* 1316663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1316674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1316677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1316680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1316683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1316719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316741 */     // GIR_Coverage, 9852,
     /* 1316741 */     GIR_EraseRootFromParent_Done,
     /* 1316742 */   // Label 18844: @1316742
     /* 1316742 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1316826), // Rule ID 9853 //
     /* 1316747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1316758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1316761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1316764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1316767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1316803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316825 */     // GIR_Coverage, 9853,
     /* 1316825 */     GIR_EraseRootFromParent_Done,
     /* 1316826 */   // Label 18845: @1316826
     /* 1316826 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1316910), // Rule ID 9856 //
     /* 1316831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1316842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1316845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1316851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316884 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1316887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316909 */     // GIR_Coverage, 9856,
     /* 1316909 */     GIR_EraseRootFromParent_Done,
     /* 1316910 */   // Label 18846: @1316910
     /* 1316910 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1316994), // Rule ID 9857 //
     /* 1316915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1316926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1316929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1316935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1316971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316993 */     // GIR_Coverage, 9857,
     /* 1316993 */     GIR_EraseRootFromParent_Done,
     /* 1316994 */   // Label 18847: @1316994
     /* 1316994 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317078), // Rule ID 9860 //
     /* 1316999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1317010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1317013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1317019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317052 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317077 */     // GIR_Coverage, 9860,
     /* 1317077 */     GIR_EraseRootFromParent_Done,
     /* 1317078 */   // Label 18848: @1317078
     /* 1317078 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317162), // Rule ID 9861 //
     /* 1317083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1317094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1317097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1317103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317136 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317161 */     // GIR_Coverage, 9861,
     /* 1317161 */     GIR_EraseRootFromParent_Done,
     /* 1317162 */   // Label 18849: @1317162
     /* 1317162 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1317246), // Rule ID 9864 //
     /* 1317167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1317187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317245 */     // GIR_Coverage, 9864,
     /* 1317245 */     GIR_EraseRootFromParent_Done,
     /* 1317246 */   // Label 18850: @1317246
     /* 1317246 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1317330), // Rule ID 9865 //
     /* 1317251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1317271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317329 */     // GIR_Coverage, 9865,
     /* 1317329 */     GIR_EraseRootFromParent_Done,
     /* 1317330 */   // Label 18851: @1317330
     /* 1317330 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1317414), // Rule ID 9868 //
     /* 1317335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1317355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317413 */     // GIR_Coverage, 9868,
     /* 1317413 */     GIR_EraseRootFromParent_Done,
     /* 1317414 */   // Label 18852: @1317414
     /* 1317414 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1317498), // Rule ID 9869 //
     /* 1317419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1317439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317497 */     // GIR_Coverage, 9869,
     /* 1317497 */     GIR_EraseRootFromParent_Done,
     /* 1317498 */   // Label 18853: @1317498
     /* 1317498 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1317582), // Rule ID 9872 //
     /* 1317503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1317523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317581 */     // GIR_Coverage, 9872,
     /* 1317581 */     GIR_EraseRootFromParent_Done,
     /* 1317582 */   // Label 18854: @1317582
     /* 1317582 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1317666), // Rule ID 9873 //
     /* 1317587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1317607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317665 */     // GIR_Coverage, 9873,
     /* 1317665 */     GIR_EraseRootFromParent_Done,
     /* 1317666 */   // Label 18855: @1317666
     /* 1317666 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1317750), // Rule ID 9876 //
     /* 1317671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1317691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317749 */     // GIR_Coverage, 9876,
     /* 1317749 */     GIR_EraseRootFromParent_Done,
     /* 1317750 */   // Label 18856: @1317750
     /* 1317750 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1317834), // Rule ID 9877 //
     /* 1317755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1317775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317833 */     // GIR_Coverage, 9877,
     /* 1317833 */     GIR_EraseRootFromParent_Done,
     /* 1317834 */   // Label 18857: @1317834
     /* 1317834 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1317918), // Rule ID 9880 //
     /* 1317839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1317859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317917 */     // GIR_Coverage, 9880,
     /* 1317917 */     GIR_EraseRootFromParent_Done,
     /* 1317918 */   // Label 18858: @1317918
     /* 1317918 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318002), // Rule ID 9881 //
     /* 1317923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1317943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318001 */     // GIR_Coverage, 9881,
     /* 1318001 */     GIR_EraseRootFromParent_Done,
     /* 1318002 */   // Label 18859: @1318002
     /* 1318002 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318086), // Rule ID 9884 //
     /* 1318007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1318027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318085 */     // GIR_Coverage, 9884,
     /* 1318085 */     GIR_EraseRootFromParent_Done,
     /* 1318086 */   // Label 18860: @1318086
     /* 1318086 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318170), // Rule ID 9885 //
     /* 1318091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1318111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318169 */     // GIR_Coverage, 9885,
     /* 1318169 */     GIR_EraseRootFromParent_Done,
     /* 1318170 */   // Label 18861: @1318170
     /* 1318170 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1318254), // Rule ID 9888 //
     /* 1318175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1318195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318253 */     // GIR_Coverage, 9888,
     /* 1318253 */     GIR_EraseRootFromParent_Done,
     /* 1318254 */   // Label 18862: @1318254
     /* 1318254 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1318338), // Rule ID 9889 //
     /* 1318259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1318279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318337 */     // GIR_Coverage, 9889,
     /* 1318337 */     GIR_EraseRootFromParent_Done,
     /* 1318338 */   // Label 18863: @1318338
     /* 1318338 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1318422), // Rule ID 9892 //
     /* 1318343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1318363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318421 */     // GIR_Coverage, 9892,
     /* 1318421 */     GIR_EraseRootFromParent_Done,
     /* 1318422 */   // Label 18864: @1318422
     /* 1318422 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1318506), // Rule ID 9893 //
     /* 1318427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1318447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318505 */     // GIR_Coverage, 9893,
     /* 1318505 */     GIR_EraseRootFromParent_Done,
     /* 1318506 */   // Label 18865: @1318506
     /* 1318506 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1318590), // Rule ID 9896 //
     /* 1318511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1318531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318589 */     // GIR_Coverage, 9896,
     /* 1318589 */     GIR_EraseRootFromParent_Done,
     /* 1318590 */   // Label 18866: @1318590
     /* 1318590 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1318674), // Rule ID 9897 //
     /* 1318595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1318615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318673 */     // GIR_Coverage, 9897,
     /* 1318673 */     GIR_EraseRootFromParent_Done,
     /* 1318674 */   // Label 18867: @1318674
     /* 1318674 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1318755), // Rule ID 13838 //
     /* 1318679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1318690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1318693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1318696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1318699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1318732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1318735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318754 */     // GIR_Coverage, 13838,
     /* 1318754 */     GIR_EraseRootFromParent_Done,
     /* 1318755 */   // Label 18868: @1318755
     /* 1318755 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1318836), // Rule ID 13839 //
     /* 1318760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1318771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1318774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1318777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1318780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318813 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1318816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318835 */     // GIR_Coverage, 13839,
     /* 1318835 */     GIR_EraseRootFromParent_Done,
     /* 1318836 */   // Label 18869: @1318836
     /* 1318836 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1318917), // Rule ID 13840 //
     /* 1318841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1318852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1318855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1318858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1318861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318894 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1318894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1318897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318916 */     // GIR_Coverage, 13840,
     /* 1318916 */     GIR_EraseRootFromParent_Done,
     /* 1318917 */   // Label 18870: @1318917
     /* 1318917 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1318998), // Rule ID 13841 //
     /* 1318922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1318933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1318936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1318939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1318942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318975 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1318978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318997 */     // GIR_Coverage, 13841,
     /* 1318997 */     GIR_EraseRootFromParent_Done,
     /* 1318998 */   // Label 18871: @1318998
     /* 1318998 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319079), // Rule ID 13842 //
     /* 1319003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1319023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319056 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1319056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319078 */     // GIR_Coverage, 13842,
     /* 1319078 */     GIR_EraseRootFromParent_Done,
     /* 1319079 */   // Label 18872: @1319079
     /* 1319079 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319160), // Rule ID 13843 //
     /* 1319084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1319104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1319137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319159 */     // GIR_Coverage, 13843,
     /* 1319159 */     GIR_EraseRootFromParent_Done,
     /* 1319160 */   // Label 18873: @1319160
     /* 1319160 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1319241), // Rule ID 13844 //
     /* 1319165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319218 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319240 */     // GIR_Coverage, 13844,
     /* 1319240 */     GIR_EraseRootFromParent_Done,
     /* 1319241 */   // Label 18874: @1319241
     /* 1319241 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1319322), // Rule ID 13845 //
     /* 1319246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319321 */     // GIR_Coverage, 13845,
     /* 1319321 */     GIR_EraseRootFromParent_Done,
     /* 1319322 */   // Label 18875: @1319322
     /* 1319322 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1319403), // Rule ID 13846 //
     /* 1319327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319402 */     // GIR_Coverage, 13846,
     /* 1319402 */     GIR_EraseRootFromParent_Done,
     /* 1319403 */   // Label 18876: @1319403
     /* 1319403 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1319484), // Rule ID 13847 //
     /* 1319408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319461 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319483 */     // GIR_Coverage, 13847,
     /* 1319483 */     GIR_EraseRootFromParent_Done,
     /* 1319484 */   // Label 18877: @1319484
     /* 1319484 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1319565), // Rule ID 13848 //
     /* 1319489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1319500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1319503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1319542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319564 */     // GIR_Coverage, 13848,
     /* 1319564 */     GIR_EraseRootFromParent_Done,
     /* 1319565 */   // Label 18878: @1319565
     /* 1319565 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1319646), // Rule ID 13849 //
     /* 1319570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1319581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1319584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319645 */     // GIR_Coverage, 13849,
     /* 1319645 */     GIR_EraseRootFromParent_Done,
     /* 1319646 */   // Label 18879: @1319646
     /* 1319646 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1319727), // Rule ID 13850 //
     /* 1319651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1319668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1319704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1319707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319726 */     // GIR_Coverage, 13850,
     /* 1319726 */     GIR_EraseRootFromParent_Done,
     /* 1319727 */   // Label 18880: @1319727
     /* 1319727 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1319808), // Rule ID 13851 //
     /* 1319732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1319749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1319785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1319788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319807 */     // GIR_Coverage, 13851,
     /* 1319807 */     GIR_EraseRootFromParent_Done,
     /* 1319808 */   // Label 18881: @1319808
     /* 1319808 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1319889), // Rule ID 13852 //
     /* 1319813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1319824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1319827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1319869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319888 */     // GIR_Coverage, 13852,
     /* 1319888 */     GIR_EraseRootFromParent_Done,
     /* 1319889 */   // Label 18882: @1319889
     /* 1319889 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1319970), // Rule ID 13853 //
     /* 1319894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1319905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1319908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1319950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319969 */     // GIR_Coverage, 13853,
     /* 1319969 */     GIR_EraseRootFromParent_Done,
     /* 1319970 */   // Label 18883: @1319970
     /* 1319970 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320051), // Rule ID 13854 //
     /* 1319975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1319986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1319989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1320028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320050 */     // GIR_Coverage, 13854,
     /* 1320050 */     GIR_EraseRootFromParent_Done,
     /* 1320051 */   // Label 18884: @1320051
     /* 1320051 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320132), // Rule ID 13855 //
     /* 1320056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1320109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320131 */     // GIR_Coverage, 13855,
     /* 1320131 */     GIR_EraseRootFromParent_Done,
     /* 1320132 */   // Label 18885: @1320132
     /* 1320132 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1320213), // Rule ID 13856 //
     /* 1320137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1320140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1320190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320212 */     // GIR_Coverage, 13856,
     /* 1320212 */     GIR_EraseRootFromParent_Done,
     /* 1320213 */   // Label 18886: @1320213
     /* 1320213 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1320294), // Rule ID 13857 //
     /* 1320218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1320221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1320271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320293 */     // GIR_Coverage, 13857,
     /* 1320293 */     GIR_EraseRootFromParent_Done,
     /* 1320294 */   // Label 18887: @1320294
     /* 1320294 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1320375), // Rule ID 13858 //
     /* 1320299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1320319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320374 */     // GIR_Coverage, 13858,
     /* 1320374 */     GIR_EraseRootFromParent_Done,
     /* 1320375 */   // Label 18888: @1320375
     /* 1320375 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1320456), // Rule ID 13859 //
     /* 1320380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1320400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320455 */     // GIR_Coverage, 13859,
     /* 1320455 */     GIR_EraseRootFromParent_Done,
     /* 1320456 */   // Label 18889: @1320456
     /* 1320456 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1320537), // Rule ID 13860 //
     /* 1320461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1320472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1320475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1320478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1320481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1320491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320514 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1320517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320536 */     // GIR_Coverage, 13860,
     /* 1320536 */     GIR_EraseRootFromParent_Done,
     /* 1320537 */   // Label 18890: @1320537
     /* 1320537 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1320618), // Rule ID 13861 //
     /* 1320542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1320553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1320556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1320559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1320562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1320572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320595 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1320598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320617 */     // GIR_Coverage, 13861,
     /* 1320617 */     GIR_EraseRootFromParent_Done,
     /* 1320618 */   // Label 18891: @1320618
     /* 1320618 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1320699), // Rule ID 13862 //
     /* 1320623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1320634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1320637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1320640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1320643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1320646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1320653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1320679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320698 */     // GIR_Coverage, 13862,
     /* 1320698 */     GIR_EraseRootFromParent_Done,
     /* 1320699 */   // Label 18892: @1320699
     /* 1320699 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1320780), // Rule ID 13863 //
     /* 1320704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1320715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1320718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1320721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1320724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1320727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1320734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320757 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1320760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320779 */     // GIR_Coverage, 13863,
     /* 1320779 */     GIR_EraseRootFromParent_Done,
     /* 1320780 */   // Label 18893: @1320780
     /* 1320780 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1320861), // Rule ID 13864 //
     /* 1320785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1320796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1320799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1320838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320860 */     // GIR_Coverage, 13864,
     /* 1320860 */     GIR_EraseRootFromParent_Done,
     /* 1320861 */   // Label 18894: @1320861
     /* 1320861 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1320942), // Rule ID 13865 //
     /* 1320866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1320877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1320880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1320919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320941 */     // GIR_Coverage, 13865,
     /* 1320941 */     GIR_EraseRootFromParent_Done,
     /* 1320942 */   // Label 18895: @1320942
     /* 1320942 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321023), // Rule ID 13866 //
     /* 1320947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1320958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1320961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1320977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321022 */     // GIR_Coverage, 13866,
     /* 1321022 */     GIR_EraseRootFromParent_Done,
     /* 1321023 */   // Label 18896: @1321023
     /* 1321023 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321104), // Rule ID 13867 //
     /* 1321028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1321039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1321042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1321048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321103 */     // GIR_Coverage, 13867,
     /* 1321103 */     GIR_EraseRootFromParent_Done,
     /* 1321104 */   // Label 18897: @1321104
     /* 1321104 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1321185), // Rule ID 13868 //
     /* 1321109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1321129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321184 */     // GIR_Coverage, 13868,
     /* 1321184 */     GIR_EraseRootFromParent_Done,
     /* 1321185 */   // Label 18898: @1321185
     /* 1321185 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1321266), // Rule ID 13869 //
     /* 1321190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1321210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321265 */     // GIR_Coverage, 13869,
     /* 1321265 */     GIR_EraseRootFromParent_Done,
     /* 1321266 */   // Label 18899: @1321266
     /* 1321266 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1321347), // Rule ID 13870 //
     /* 1321271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1321282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1321285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321346 */     // GIR_Coverage, 13870,
     /* 1321346 */     GIR_EraseRootFromParent_Done,
     /* 1321347 */   // Label 18900: @1321347
     /* 1321347 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1321428), // Rule ID 13871 //
     /* 1321352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1321363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1321366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321427 */     // GIR_Coverage, 13871,
     /* 1321427 */     GIR_EraseRootFromParent_Done,
     /* 1321428 */   // Label 18901: @1321428
     /* 1321428 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1321509), // Rule ID 13872 //
     /* 1321433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1321444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1321447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321508 */     // GIR_Coverage, 13872,
     /* 1321508 */     GIR_EraseRootFromParent_Done,
     /* 1321509 */   // Label 18902: @1321509
     /* 1321509 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1321590), // Rule ID 13873 //
     /* 1321514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1321525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1321528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321589 */     // GIR_Coverage, 13873,
     /* 1321589 */     GIR_EraseRootFromParent_Done,
     /* 1321590 */   // Label 18903: @1321590
     /* 1321590 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1321671), // Rule ID 13874 //
     /* 1321595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1321606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1321609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321670 */     // GIR_Coverage, 13874,
     /* 1321670 */     GIR_EraseRootFromParent_Done,
     /* 1321671 */   // Label 18904: @1321671
     /* 1321671 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1321752), // Rule ID 13875 //
     /* 1321676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1321687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1321690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321751 */     // GIR_Coverage, 13875,
     /* 1321751 */     GIR_EraseRootFromParent_Done,
     /* 1321752 */   // Label 18905: @1321752
     /* 1321752 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1321833), // Rule ID 13876 //
     /* 1321757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1321768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1321771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1321810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321832 */     // GIR_Coverage, 13876,
     /* 1321832 */     GIR_EraseRootFromParent_Done,
     /* 1321833 */   // Label 18906: @1321833
     /* 1321833 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1321914), // Rule ID 13877 //
     /* 1321838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1321849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1321852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1321891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321913 */     // GIR_Coverage, 13877,
     /* 1321913 */     GIR_EraseRootFromParent_Done,
     /* 1321914 */   // Label 18907: @1321914
     /* 1321914 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1321995), // Rule ID 13878 //
     /* 1321919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1321930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1321933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1321972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321994 */     // GIR_Coverage, 13878,
     /* 1321994 */     GIR_EraseRootFromParent_Done,
     /* 1321995 */   // Label 18908: @1321995
     /* 1321995 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322076), // Rule ID 13879 //
     /* 1322000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1322011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1322014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1322020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322053 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1322053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1322056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322075 */     // GIR_Coverage, 13879,
     /* 1322075 */     GIR_EraseRootFromParent_Done,
     /* 1322076 */   // Label 18909: @1322076
     /* 1322076 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1322157), // Rule ID 13880 //
     /* 1322081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1322092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1322095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1322101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1322134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322156 */     // GIR_Coverage, 13880,
     /* 1322156 */     GIR_EraseRootFromParent_Done,
     /* 1322157 */   // Label 18910: @1322157
     /* 1322157 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1322238), // Rule ID 13881 //
     /* 1322162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1322173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1322176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1322182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1322215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322237 */     // GIR_Coverage, 13881,
     /* 1322237 */     GIR_EraseRootFromParent_Done,
     /* 1322238 */   // Label 18911: @1322238
     /* 1322238 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1322319), // Rule ID 13882 //
     /* 1322243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1322254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1322257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1322260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1322299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322318 */     // GIR_Coverage, 13882,
     /* 1322318 */     GIR_EraseRootFromParent_Done,
     /* 1322319 */   // Label 18912: @1322319
     /* 1322319 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1322400), // Rule ID 13883 //
     /* 1322324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1322335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1322338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1322341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1322380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322399 */     // GIR_Coverage, 13883,
     /* 1322399 */     GIR_EraseRootFromParent_Done,
     /* 1322400 */   // Label 18913: @1322400
     /* 1322400 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1322481), // Rule ID 13884 //
     /* 1322405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1322416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1322419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1322461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322480 */     // GIR_Coverage, 13884,
     /* 1322480 */     GIR_EraseRootFromParent_Done,
     /* 1322481 */   // Label 18914: @1322481
     /* 1322481 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1322562), // Rule ID 13885 //
     /* 1322486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1322497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1322500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1322542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322561 */     // GIR_Coverage, 13885,
     /* 1322561 */     GIR_EraseRootFromParent_Done,
     /* 1322562 */   // Label 18915: @1322562
     /* 1322562 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1322643), // Rule ID 13886 //
     /* 1322567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1322578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1322581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1322584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1322623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322642 */     // GIR_Coverage, 13886,
     /* 1322642 */     GIR_EraseRootFromParent_Done,
     /* 1322643 */   // Label 18916: @1322643
     /* 1322643 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1322724), // Rule ID 13887 //
     /* 1322648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1322659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1322662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1322665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1322704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322723 */     // GIR_Coverage, 13887,
     /* 1322723 */     GIR_EraseRootFromParent_Done,
     /* 1322724 */   // Label 18917: @1322724
     /* 1322724 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1322805), // Rule ID 13888 //
     /* 1322729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1322740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1322743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1322782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1322785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322804 */     // GIR_Coverage, 13888,
     /* 1322804 */     GIR_EraseRootFromParent_Done,
     /* 1322805 */   // Label 18918: @1322805
     /* 1322805 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1322886), // Rule ID 13889 //
     /* 1322810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1322821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1322824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1322863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1322866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322885 */     // GIR_Coverage, 13889,
     /* 1322885 */     GIR_EraseRootFromParent_Done,
     /* 1322886 */   // Label 18919: @1322886
     /* 1322886 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1322967), // Rule ID 13890 //
     /* 1322891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1322902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1322905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1322944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1322947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322966 */     // GIR_Coverage, 13890,
     /* 1322966 */     GIR_EraseRootFromParent_Done,
     /* 1322967 */   // Label 18920: @1322967
     /* 1322967 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323048), // Rule ID 13891 //
     /* 1322972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1322983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1322986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323047 */     // GIR_Coverage, 13891,
     /* 1323047 */     GIR_EraseRootFromParent_Done,
     /* 1323048 */   // Label 18921: @1323048
     /* 1323048 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1323129), // Rule ID 13892 //
     /* 1323053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1323064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1323067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1323106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323128 */     // GIR_Coverage, 13892,
     /* 1323128 */     GIR_EraseRootFromParent_Done,
     /* 1323129 */   // Label 18922: @1323129
     /* 1323129 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1323210), // Rule ID 13893 //
     /* 1323134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1323145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1323148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1323187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323209 */     // GIR_Coverage, 13893,
     /* 1323209 */     GIR_EraseRootFromParent_Done,
     /* 1323210 */   // Label 18923: @1323210
     /* 1323210 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1323291), // Rule ID 13894 //
     /* 1323215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323290 */     // GIR_Coverage, 13894,
     /* 1323290 */     GIR_EraseRootFromParent_Done,
     /* 1323291 */   // Label 18924: @1323291
     /* 1323291 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1323372), // Rule ID 13895 //
     /* 1323296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323371 */     // GIR_Coverage, 13895,
     /* 1323371 */     GIR_EraseRootFromParent_Done,
     /* 1323372 */   // Label 18925: @1323372
     /* 1323372 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1323453), // Rule ID 13896 //
     /* 1323377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1323430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323452 */     // GIR_Coverage, 13896,
     /* 1323452 */     GIR_EraseRootFromParent_Done,
     /* 1323453 */   // Label 18926: @1323453
     /* 1323453 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1323534), // Rule ID 13897 //
     /* 1323458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323511 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323533 */     // GIR_Coverage, 13897,
     /* 1323533 */     GIR_EraseRootFromParent_Done,
     /* 1323534 */   // Label 18927: @1323534
     /* 1323534 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1323615), // Rule ID 13898 //
     /* 1323539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1323550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1323553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1323592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323614 */     // GIR_Coverage, 13898,
     /* 1323614 */     GIR_EraseRootFromParent_Done,
     /* 1323615 */   // Label 18928: @1323615
     /* 1323615 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1323696), // Rule ID 13899 //
     /* 1323620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1323631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1323634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1323673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323695 */     // GIR_Coverage, 13899,
     /* 1323695 */     GIR_EraseRootFromParent_Done,
     /* 1323696 */   // Label 18929: @1323696
     /* 1323696 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1323777), // Rule ID 13900 //
     /* 1323701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1323712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1323715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1323754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323776 */     // GIR_Coverage, 13900,
     /* 1323776 */     GIR_EraseRootFromParent_Done,
     /* 1323777 */   // Label 18930: @1323777
     /* 1323777 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1323858), // Rule ID 13901 //
     /* 1323782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1323793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1323796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1323835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323857 */     // GIR_Coverage, 13901,
     /* 1323857 */     GIR_EraseRootFromParent_Done,
     /* 1323858 */   // Label 18931: @1323858
     /* 1323858 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1323939), // Rule ID 13902 //
     /* 1323863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1323874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1323877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1323880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1323893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1323919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323938 */     // GIR_Coverage, 13902,
     /* 1323938 */     GIR_EraseRootFromParent_Done,
     /* 1323939 */   // Label 18932: @1323939
     /* 1323939 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324020), // Rule ID 13903 //
     /* 1323944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1323955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1323958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1323961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1323974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324019 */     // GIR_Coverage, 13903,
     /* 1324019 */     GIR_EraseRootFromParent_Done,
     /* 1324020 */   // Label 18933: @1324020
     /* 1324020 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1324101), // Rule ID 13904 //
     /* 1324025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1324036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1324039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324100 */     // GIR_Coverage, 13904,
     /* 1324100 */     GIR_EraseRootFromParent_Done,
     /* 1324101 */   // Label 18934: @1324101
     /* 1324101 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1324182), // Rule ID 13905 //
     /* 1324106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1324117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1324120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324159 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324181 */     // GIR_Coverage, 13905,
     /* 1324181 */     GIR_EraseRootFromParent_Done,
     /* 1324182 */   // Label 18935: @1324182
     /* 1324182 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1324263), // Rule ID 13906 //
     /* 1324187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1324198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1324201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324262 */     // GIR_Coverage, 13906,
     /* 1324262 */     GIR_EraseRootFromParent_Done,
     /* 1324263 */   // Label 18936: @1324263
     /* 1324263 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1324344), // Rule ID 13907 //
     /* 1324268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1324279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1324282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324321 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324343 */     // GIR_Coverage, 13907,
     /* 1324343 */     GIR_EraseRootFromParent_Done,
     /* 1324344 */   // Label 18937: @1324344
     /* 1324344 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1324425), // Rule ID 13908 //
     /* 1324349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1324360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1324363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324424 */     // GIR_Coverage, 13908,
     /* 1324424 */     GIR_EraseRootFromParent_Done,
     /* 1324425 */   // Label 18938: @1324425
     /* 1324425 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1324506), // Rule ID 13909 //
     /* 1324430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1324441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1324444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324505 */     // GIR_Coverage, 13909,
     /* 1324505 */     GIR_EraseRootFromParent_Done,
     /* 1324506 */   // Label 18939: @1324506
     /* 1324506 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1324587), // Rule ID 13910 //
     /* 1324511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1324522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1324525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324586 */     // GIR_Coverage, 13910,
     /* 1324586 */     GIR_EraseRootFromParent_Done,
     /* 1324587 */   // Label 18940: @1324587
     /* 1324587 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1324668), // Rule ID 13911 //
     /* 1324592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1324603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1324606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324645 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324667 */     // GIR_Coverage, 13911,
     /* 1324667 */     GIR_EraseRootFromParent_Done,
     /* 1324668 */   // Label 18941: @1324668
     /* 1324668 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1324749), // Rule ID 13912 //
     /* 1324673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1324684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1324687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324748 */     // GIR_Coverage, 13912,
     /* 1324748 */     GIR_EraseRootFromParent_Done,
     /* 1324749 */   // Label 18942: @1324749
     /* 1324749 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1324830), // Rule ID 13913 //
     /* 1324754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1324765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1324768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324829 */     // GIR_Coverage, 13913,
     /* 1324829 */     GIR_EraseRootFromParent_Done,
     /* 1324830 */   // Label 18943: @1324830
     /* 1324830 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1324911), // Rule ID 13914 //
     /* 1324835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1324846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1324849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1324888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324910 */     // GIR_Coverage, 13914,
     /* 1324910 */     GIR_EraseRootFromParent_Done,
     /* 1324911 */   // Label 18944: @1324911
     /* 1324911 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1324992), // Rule ID 13915 //
     /* 1324916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1324927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1324930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1324969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324991 */     // GIR_Coverage, 13915,
     /* 1324991 */     GIR_EraseRootFromParent_Done,
     /* 1324992 */   // Label 18945: @1324992
     /* 1324992 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1325073), // Rule ID 13916 //
     /* 1324997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1325008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1325011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325072 */     // GIR_Coverage, 13916,
     /* 1325072 */     GIR_EraseRootFromParent_Done,
     /* 1325073 */   // Label 18946: @1325073
     /* 1325073 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1325154), // Rule ID 13917 //
     /* 1325078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1325089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1325092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1325131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325153 */     // GIR_Coverage, 13917,
     /* 1325153 */     GIR_EraseRootFromParent_Done,
     /* 1325154 */   // Label 18947: @1325154
     /* 1325154 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1325235), // Rule ID 13918 //
     /* 1325159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1325170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1325173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325234 */     // GIR_Coverage, 13918,
     /* 1325234 */     GIR_EraseRootFromParent_Done,
     /* 1325235 */   // Label 18948: @1325235
     /* 1325235 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1325316), // Rule ID 13919 //
     /* 1325240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1325251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1325254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1325293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325315 */     // GIR_Coverage, 13919,
     /* 1325315 */     GIR_EraseRootFromParent_Done,
     /* 1325316 */   // Label 18949: @1325316
     /* 1325316 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1325397), // Rule ID 13920 //
     /* 1325321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1325332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1325335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1325374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325396 */     // GIR_Coverage, 13920,
     /* 1325396 */     GIR_EraseRootFromParent_Done,
     /* 1325397 */   // Label 18950: @1325397
     /* 1325397 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1325478), // Rule ID 13921 //
     /* 1325402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1325405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1325413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1325416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325455 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1325455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325477 */     // GIR_Coverage, 13921,
     /* 1325477 */     GIR_EraseRootFromParent_Done,
     /* 1325478 */   // Label 18951: @1325478
     /* 1325478 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1325559), // Rule ID 13922 //
     /* 1325483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1325494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1325497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1325536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325558 */     // GIR_Coverage, 13922,
     /* 1325558 */     GIR_EraseRootFromParent_Done,
     /* 1325559 */   // Label 18952: @1325559
     /* 1325559 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1325640), // Rule ID 13923 //
     /* 1325564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1325567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1325575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1325578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1325617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325639 */     // GIR_Coverage, 13923,
     /* 1325639 */     GIR_EraseRootFromParent_Done,
     /* 1325640 */   // Label 18953: @1325640
     /* 1325640 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1325721), // Rule ID 13924 //
     /* 1325645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1325656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1325659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1325698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325720 */     // GIR_Coverage, 13924,
     /* 1325720 */     GIR_EraseRootFromParent_Done,
     /* 1325721 */   // Label 18954: @1325721
     /* 1325721 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1325802), // Rule ID 13925 //
     /* 1325726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1325729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1325737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1325740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1325779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325801 */     // GIR_Coverage, 13925,
     /* 1325801 */     GIR_EraseRootFromParent_Done,
     /* 1325802 */   // Label 18955: @1325802
     /* 1325802 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1325886), // Rule ID 19764 //
     /* 1325807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1325827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1325863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325885 */     // GIR_Coverage, 19764,
     /* 1325885 */     GIR_EraseRootFromParent_Done,
     /* 1325886 */   // Label 18956: @1325886
     /* 1325886 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1325970), // Rule ID 19765 //
     /* 1325891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1325911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1325947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325969 */     // GIR_Coverage, 19765,
     /* 1325969 */     GIR_EraseRootFromParent_Done,
     /* 1325970 */   // Label 18957: @1325970
     /* 1325970 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1326054), // Rule ID 19768 //
     /* 1325975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1325992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1325995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326053 */     // GIR_Coverage, 19768,
     /* 1326053 */     GIR_EraseRootFromParent_Done,
     /* 1326054 */   // Label 18958: @1326054
     /* 1326054 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1326138), // Rule ID 19769 //
     /* 1326059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1326079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326137 */     // GIR_Coverage, 19769,
     /* 1326137 */     GIR_EraseRootFromParent_Done,
     /* 1326138 */   // Label 18959: @1326138
     /* 1326138 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1326222), // Rule ID 19772 //
     /* 1326143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1326163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326221 */     // GIR_Coverage, 19772,
     /* 1326221 */     GIR_EraseRootFromParent_Done,
     /* 1326222 */   // Label 18960: @1326222
     /* 1326222 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1326306), // Rule ID 19773 //
     /* 1326227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1326247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326305 */     // GIR_Coverage, 19773,
     /* 1326305 */     GIR_EraseRootFromParent_Done,
     /* 1326306 */   // Label 18961: @1326306
     /* 1326306 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1326390), // Rule ID 19776 //
     /* 1326311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1326331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326389 */     // GIR_Coverage, 19776,
     /* 1326389 */     GIR_EraseRootFromParent_Done,
     /* 1326390 */   // Label 18962: @1326390
     /* 1326390 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1326474), // Rule ID 19777 //
     /* 1326395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1326415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326473 */     // GIR_Coverage, 19777,
     /* 1326473 */     GIR_EraseRootFromParent_Done,
     /* 1326474 */   // Label 18963: @1326474
     /* 1326474 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1326558), // Rule ID 19780 //
     /* 1326479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1326499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326557 */     // GIR_Coverage, 19780,
     /* 1326557 */     GIR_EraseRootFromParent_Done,
     /* 1326558 */   // Label 18964: @1326558
     /* 1326558 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1326642), // Rule ID 19781 //
     /* 1326563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1326583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326641 */     // GIR_Coverage, 19781,
     /* 1326641 */     GIR_EraseRootFromParent_Done,
     /* 1326642 */   // Label 18965: @1326642
     /* 1326642 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1326726), // Rule ID 19784 //
     /* 1326647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1326667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326725 */     // GIR_Coverage, 19784,
     /* 1326725 */     GIR_EraseRootFromParent_Done,
     /* 1326726 */   // Label 18966: @1326726
     /* 1326726 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1326810), // Rule ID 19785 //
     /* 1326731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1326751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326809 */     // GIR_Coverage, 19785,
     /* 1326809 */     GIR_EraseRootFromParent_Done,
     /* 1326810 */   // Label 18967: @1326810
     /* 1326810 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1326894), // Rule ID 19788 //
     /* 1326815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1326835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1326871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326893 */     // GIR_Coverage, 19788,
     /* 1326893 */     GIR_EraseRootFromParent_Done,
     /* 1326894 */   // Label 18968: @1326894
     /* 1326894 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1326978), // Rule ID 19789 //
     /* 1326899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1326919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1326955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326977 */     // GIR_Coverage, 19789,
     /* 1326977 */     GIR_EraseRootFromParent_Done,
     /* 1326978 */   // Label 18969: @1326978
     /* 1326978 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1327062), // Rule ID 19792 //
     /* 1326983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1327003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327061 */     // GIR_Coverage, 19792,
     /* 1327061 */     GIR_EraseRootFromParent_Done,
     /* 1327062 */   // Label 18970: @1327062
     /* 1327062 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1327146), // Rule ID 19793 //
     /* 1327067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1327087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327145 */     // GIR_Coverage, 19793,
     /* 1327145 */     GIR_EraseRootFromParent_Done,
     /* 1327146 */   // Label 18971: @1327146
     /* 1327146 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1327230), // Rule ID 19796 //
     /* 1327151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1327171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327229 */     // GIR_Coverage, 19796,
     /* 1327229 */     GIR_EraseRootFromParent_Done,
     /* 1327230 */   // Label 18972: @1327230
     /* 1327230 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1327314), // Rule ID 19797 //
     /* 1327235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1327255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327288 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327313 */     // GIR_Coverage, 19797,
     /* 1327313 */     GIR_EraseRootFromParent_Done,
     /* 1327314 */   // Label 18973: @1327314
     /* 1327314 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1327398), // Rule ID 19800 //
     /* 1327319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1327339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327397 */     // GIR_Coverage, 19800,
     /* 1327397 */     GIR_EraseRootFromParent_Done,
     /* 1327398 */   // Label 18974: @1327398
     /* 1327398 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1327482), // Rule ID 19801 //
     /* 1327403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1327423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327481 */     // GIR_Coverage, 19801,
     /* 1327481 */     GIR_EraseRootFromParent_Done,
     /* 1327482 */   // Label 18975: @1327482
     /* 1327482 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1327566), // Rule ID 19804 //
     /* 1327487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1327507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327565 */     // GIR_Coverage, 19804,
     /* 1327565 */     GIR_EraseRootFromParent_Done,
     /* 1327566 */   // Label 18976: @1327566
     /* 1327566 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1327650), // Rule ID 19805 //
     /* 1327571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1327591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327649 */     // GIR_Coverage, 19805,
     /* 1327649 */     GIR_EraseRootFromParent_Done,
     /* 1327650 */   // Label 18977: @1327650
     /* 1327650 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1327734), // Rule ID 19808 //
     /* 1327655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1327675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327733 */     // GIR_Coverage, 19808,
     /* 1327733 */     GIR_EraseRootFromParent_Done,
     /* 1327734 */   // Label 18978: @1327734
     /* 1327734 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1327818), // Rule ID 19809 //
     /* 1327739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1327759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327817 */     // GIR_Coverage, 19809,
     /* 1327817 */     GIR_EraseRootFromParent_Done,
     /* 1327818 */   // Label 18979: @1327818
     /* 1327818 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1327902), // Rule ID 19812 //
     /* 1327823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1327843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327901 */     // GIR_Coverage, 19812,
     /* 1327901 */     GIR_EraseRootFromParent_Done,
     /* 1327902 */   // Label 18980: @1327902
     /* 1327902 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1327986), // Rule ID 19813 //
     /* 1327907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1327927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327985 */     // GIR_Coverage, 19813,
     /* 1327985 */     GIR_EraseRootFromParent_Done,
     /* 1327986 */   // Label 18981: @1327986
     /* 1327986 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1328070), // Rule ID 19816 //
     /* 1327991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1328011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328069 */     // GIR_Coverage, 19816,
     /* 1328069 */     GIR_EraseRootFromParent_Done,
     /* 1328070 */   // Label 18982: @1328070
     /* 1328070 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1328154), // Rule ID 19817 //
     /* 1328075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1328095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328153 */     // GIR_Coverage, 19817,
     /* 1328153 */     GIR_EraseRootFromParent_Done,
     /* 1328154 */   // Label 18983: @1328154
     /* 1328154 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1328238), // Rule ID 19820 //
     /* 1328159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1328179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328237 */     // GIR_Coverage, 19820,
     /* 1328237 */     GIR_EraseRootFromParent_Done,
     /* 1328238 */   // Label 18984: @1328238
     /* 1328238 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1328322), // Rule ID 19821 //
     /* 1328243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1328263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328321 */     // GIR_Coverage, 19821,
     /* 1328321 */     GIR_EraseRootFromParent_Done,
     /* 1328322 */   // Label 18985: @1328322
     /* 1328322 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1328406), // Rule ID 19824 //
     /* 1328327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1328383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328405 */     // GIR_Coverage, 19824,
     /* 1328405 */     GIR_EraseRootFromParent_Done,
     /* 1328406 */   // Label 18986: @1328406
     /* 1328406 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1328490), // Rule ID 19825 //
     /* 1328411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1328467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328489 */     // GIR_Coverage, 19825,
     /* 1328489 */     GIR_EraseRootFromParent_Done,
     /* 1328490 */   // Label 18987: @1328490
     /* 1328490 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1328574), // Rule ID 19828 //
     /* 1328495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1328551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328573 */     // GIR_Coverage, 19828,
     /* 1328573 */     GIR_EraseRootFromParent_Done,
     /* 1328574 */   // Label 18988: @1328574
     /* 1328574 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1328658), // Rule ID 19829 //
     /* 1328579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1328635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328657 */     // GIR_Coverage, 19829,
     /* 1328657 */     GIR_EraseRootFromParent_Done,
     /* 1328658 */   // Label 18989: @1328658
     /* 1328658 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1328742), // Rule ID 19832 //
     /* 1328663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1328719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328741 */     // GIR_Coverage, 19832,
     /* 1328741 */     GIR_EraseRootFromParent_Done,
     /* 1328742 */   // Label 18990: @1328742
     /* 1328742 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1328826), // Rule ID 19833 //
     /* 1328747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1328803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328825 */     // GIR_Coverage, 19833,
     /* 1328825 */     GIR_EraseRootFromParent_Done,
     /* 1328826 */   // Label 18991: @1328826
     /* 1328826 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1328910), // Rule ID 19836 //
     /* 1328831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1328887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328909 */     // GIR_Coverage, 19836,
     /* 1328909 */     GIR_EraseRootFromParent_Done,
     /* 1328910 */   // Label 18992: @1328910
     /* 1328910 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1328994), // Rule ID 19837 //
     /* 1328915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1328971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328993 */     // GIR_Coverage, 19837,
     /* 1328993 */     GIR_EraseRootFromParent_Done,
     /* 1328994 */   // Label 18993: @1328994
     /* 1328994 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1329078), // Rule ID 19840 //
     /* 1328999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1329055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329077 */     // GIR_Coverage, 19840,
     /* 1329077 */     GIR_EraseRootFromParent_Done,
     /* 1329078 */   // Label 18994: @1329078
     /* 1329078 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1329162), // Rule ID 19841 //
     /* 1329083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1329139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329161 */     // GIR_Coverage, 19841,
     /* 1329161 */     GIR_EraseRootFromParent_Done,
     /* 1329162 */   // Label 18995: @1329162
     /* 1329162 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1329246), // Rule ID 19844 //
     /* 1329167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1329223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329245 */     // GIR_Coverage, 19844,
     /* 1329245 */     GIR_EraseRootFromParent_Done,
     /* 1329246 */   // Label 18996: @1329246
     /* 1329246 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1329330), // Rule ID 19845 //
     /* 1329251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1329307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329329 */     // GIR_Coverage, 19845,
     /* 1329329 */     GIR_EraseRootFromParent_Done,
     /* 1329330 */   // Label 18997: @1329330
     /* 1329330 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1329414), // Rule ID 19848 //
     /* 1329335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1329391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329413 */     // GIR_Coverage, 19848,
     /* 1329413 */     GIR_EraseRootFromParent_Done,
     /* 1329414 */   // Label 18998: @1329414
     /* 1329414 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1329498), // Rule ID 19849 //
     /* 1329419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1329475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329497 */     // GIR_Coverage, 19849,
     /* 1329497 */     GIR_EraseRootFromParent_Done,
     /* 1329498 */   // Label 18999: @1329498
     /* 1329498 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1329582), // Rule ID 19852 //
     /* 1329503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1329559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329581 */     // GIR_Coverage, 19852,
     /* 1329581 */     GIR_EraseRootFromParent_Done,
     /* 1329582 */   // Label 19000: @1329582
     /* 1329582 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1329666), // Rule ID 19853 //
     /* 1329587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1329643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329665 */     // GIR_Coverage, 19853,
     /* 1329665 */     GIR_EraseRootFromParent_Done,
     /* 1329666 */   // Label 19001: @1329666
     /* 1329666 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1329750), // Rule ID 19856 //
     /* 1329671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1329727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329749 */     // GIR_Coverage, 19856,
     /* 1329749 */     GIR_EraseRootFromParent_Done,
     /* 1329750 */   // Label 19002: @1329750
     /* 1329750 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1329834), // Rule ID 19857 //
     /* 1329755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329808 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1329811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329833 */     // GIR_Coverage, 19857,
     /* 1329833 */     GIR_EraseRootFromParent_Done,
     /* 1329834 */   // Label 19003: @1329834
     /* 1329834 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1329918), // Rule ID 19860 //
     /* 1329839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1329895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329917 */     // GIR_Coverage, 19860,
     /* 1329917 */     GIR_EraseRootFromParent_Done,
     /* 1329918 */   // Label 19004: @1329918
     /* 1329918 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1330002), // Rule ID 19861 //
     /* 1329923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1329979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330001 */     // GIR_Coverage, 19861,
     /* 1330001 */     GIR_EraseRootFromParent_Done,
     /* 1330002 */   // Label 19005: @1330002
     /* 1330002 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1330086), // Rule ID 19864 //
     /* 1330007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1330063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330085 */     // GIR_Coverage, 19864,
     /* 1330085 */     GIR_EraseRootFromParent_Done,
     /* 1330086 */   // Label 19006: @1330086
     /* 1330086 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1330170), // Rule ID 19865 //
     /* 1330091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1330147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330169 */     // GIR_Coverage, 19865,
     /* 1330169 */     GIR_EraseRootFromParent_Done,
     /* 1330170 */   // Label 19007: @1330170
     /* 1330170 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1330254), // Rule ID 19868 //
     /* 1330175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1330231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330253 */     // GIR_Coverage, 19868,
     /* 1330253 */     GIR_EraseRootFromParent_Done,
     /* 1330254 */   // Label 19008: @1330254
     /* 1330254 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1330338), // Rule ID 19869 //
     /* 1330259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1330315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330337 */     // GIR_Coverage, 19869,
     /* 1330337 */     GIR_EraseRootFromParent_Done,
     /* 1330338 */   // Label 19009: @1330338
     /* 1330338 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1330422), // Rule ID 19872 //
     /* 1330343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1330399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330421 */     // GIR_Coverage, 19872,
     /* 1330421 */     GIR_EraseRootFromParent_Done,
     /* 1330422 */   // Label 19010: @1330422
     /* 1330422 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1330506), // Rule ID 19873 //
     /* 1330427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1330483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330505 */     // GIR_Coverage, 19873,
     /* 1330505 */     GIR_EraseRootFromParent_Done,
     /* 1330506 */   // Label 19011: @1330506
     /* 1330506 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1330590), // Rule ID 19876 //
     /* 1330511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1330567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330589 */     // GIR_Coverage, 19876,
     /* 1330589 */     GIR_EraseRootFromParent_Done,
     /* 1330590 */   // Label 19012: @1330590
     /* 1330590 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1330674), // Rule ID 19877 //
     /* 1330595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1330651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330673 */     // GIR_Coverage, 19877,
     /* 1330673 */     GIR_EraseRootFromParent_Done,
     /* 1330674 */   // Label 19013: @1330674
     /* 1330674 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1330758), // Rule ID 19880 //
     /* 1330679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1330735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330757 */     // GIR_Coverage, 19880,
     /* 1330757 */     GIR_EraseRootFromParent_Done,
     /* 1330758 */   // Label 19014: @1330758
     /* 1330758 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1330842), // Rule ID 19881 //
     /* 1330763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1330819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330841 */     // GIR_Coverage, 19881,
     /* 1330841 */     GIR_EraseRootFromParent_Done,
     /* 1330842 */   // Label 19015: @1330842
     /* 1330842 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1330926), // Rule ID 19884 //
     /* 1330847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1330867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1330903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330925 */     // GIR_Coverage, 19884,
     /* 1330925 */     GIR_EraseRootFromParent_Done,
     /* 1330926 */   // Label 19016: @1330926
     /* 1330926 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1331010), // Rule ID 19885 //
     /* 1330931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1330951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1330987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331009 */     // GIR_Coverage, 19885,
     /* 1331009 */     GIR_EraseRootFromParent_Done,
     /* 1331010 */   // Label 19017: @1331010
     /* 1331010 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1331094), // Rule ID 19888 //
     /* 1331015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1331035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331093 */     // GIR_Coverage, 19888,
     /* 1331093 */     GIR_EraseRootFromParent_Done,
     /* 1331094 */   // Label 19018: @1331094
     /* 1331094 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1331178), // Rule ID 19889 //
     /* 1331099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1331119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331177 */     // GIR_Coverage, 19889,
     /* 1331177 */     GIR_EraseRootFromParent_Done,
     /* 1331178 */   // Label 19019: @1331178
     /* 1331178 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1331262), // Rule ID 19892 //
     /* 1331183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1331203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331261 */     // GIR_Coverage, 19892,
     /* 1331261 */     GIR_EraseRootFromParent_Done,
     /* 1331262 */   // Label 19020: @1331262
     /* 1331262 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1331346), // Rule ID 19893 //
     /* 1331267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1331287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331345 */     // GIR_Coverage, 19893,
     /* 1331345 */     GIR_EraseRootFromParent_Done,
     /* 1331346 */   // Label 19021: @1331346
     /* 1331346 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1331430), // Rule ID 19896 //
     /* 1331351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331429 */     // GIR_Coverage, 19896,
     /* 1331429 */     GIR_EraseRootFromParent_Done,
     /* 1331430 */   // Label 19022: @1331430
     /* 1331430 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1331514), // Rule ID 19897 //
     /* 1331435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331513 */     // GIR_Coverage, 19897,
     /* 1331513 */     GIR_EraseRootFromParent_Done,
     /* 1331514 */   // Label 19023: @1331514
     /* 1331514 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1331598), // Rule ID 19900 //
     /* 1331519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1331539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331597 */     // GIR_Coverage, 19900,
     /* 1331597 */     GIR_EraseRootFromParent_Done,
     /* 1331598 */   // Label 19024: @1331598
     /* 1331598 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1331682), // Rule ID 19901 //
     /* 1331603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1331623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331681 */     // GIR_Coverage, 19901,
     /* 1331681 */     GIR_EraseRootFromParent_Done,
     /* 1331682 */   // Label 19025: @1331682
     /* 1331682 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1331766), // Rule ID 19904 //
     /* 1331687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1331707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331765 */     // GIR_Coverage, 19904,
     /* 1331765 */     GIR_EraseRootFromParent_Done,
     /* 1331766 */   // Label 19026: @1331766
     /* 1331766 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1331850), // Rule ID 19905 //
     /* 1331771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1331791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331849 */     // GIR_Coverage, 19905,
     /* 1331849 */     GIR_EraseRootFromParent_Done,
     /* 1331850 */   // Label 19027: @1331850
     /* 1331850 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1331934), // Rule ID 19908 //
     /* 1331855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1331875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1331911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331933 */     // GIR_Coverage, 19908,
     /* 1331933 */     GIR_EraseRootFromParent_Done,
     /* 1331934 */   // Label 19028: @1331934
     /* 1331934 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1332018), // Rule ID 19909 //
     /* 1331939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1331959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1331995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332017 */     // GIR_Coverage, 19909,
     /* 1332017 */     GIR_EraseRootFromParent_Done,
     /* 1332018 */   // Label 19029: @1332018
     /* 1332018 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1332102), // Rule ID 19912 //
     /* 1332023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1332043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332101 */     // GIR_Coverage, 19912,
     /* 1332101 */     GIR_EraseRootFromParent_Done,
     /* 1332102 */   // Label 19030: @1332102
     /* 1332102 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1332186), // Rule ID 19913 //
     /* 1332107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1332127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332185 */     // GIR_Coverage, 19913,
     /* 1332185 */     GIR_EraseRootFromParent_Done,
     /* 1332186 */   // Label 19031: @1332186
     /* 1332186 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1332270), // Rule ID 19916 //
     /* 1332191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1332211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332269 */     // GIR_Coverage, 19916,
     /* 1332269 */     GIR_EraseRootFromParent_Done,
     /* 1332270 */   // Label 19032: @1332270
     /* 1332270 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1332354), // Rule ID 19917 //
     /* 1332275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1332295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332328 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332353 */     // GIR_Coverage, 19917,
     /* 1332353 */     GIR_EraseRootFromParent_Done,
     /* 1332354 */   // Label 19033: @1332354
     /* 1332354 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1332438), // Rule ID 19920 //
     /* 1332359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1332379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332437 */     // GIR_Coverage, 19920,
     /* 1332437 */     GIR_EraseRootFromParent_Done,
     /* 1332438 */   // Label 19034: @1332438
     /* 1332438 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1332522), // Rule ID 19921 //
     /* 1332443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1332463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332521 */     // GIR_Coverage, 19921,
     /* 1332521 */     GIR_EraseRootFromParent_Done,
     /* 1332522 */   // Label 19035: @1332522
     /* 1332522 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1332606), // Rule ID 19924 //
     /* 1332527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1332547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332605 */     // GIR_Coverage, 19924,
     /* 1332605 */     GIR_EraseRootFromParent_Done,
     /* 1332606 */   // Label 19036: @1332606
     /* 1332606 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1332690), // Rule ID 19925 //
     /* 1332611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1332631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332689 */     // GIR_Coverage, 19925,
     /* 1332689 */     GIR_EraseRootFromParent_Done,
     /* 1332690 */   // Label 19037: @1332690
     /* 1332690 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1332774), // Rule ID 19928 //
     /* 1332695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1332715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332773 */     // GIR_Coverage, 19928,
     /* 1332773 */     GIR_EraseRootFromParent_Done,
     /* 1332774 */   // Label 19038: @1332774
     /* 1332774 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1332858), // Rule ID 19929 //
     /* 1332779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1332799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332857 */     // GIR_Coverage, 19929,
     /* 1332857 */     GIR_EraseRootFromParent_Done,
     /* 1332858 */   // Label 19039: @1332858
     /* 1332858 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1332942), // Rule ID 19932 //
     /* 1332863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1332883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332941 */     // GIR_Coverage, 19932,
     /* 1332941 */     GIR_EraseRootFromParent_Done,
     /* 1332942 */   // Label 19040: @1332942
     /* 1332942 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1333026), // Rule ID 19933 //
     /* 1332947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1332967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1333003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333025 */     // GIR_Coverage, 19933,
     /* 1333025 */     GIR_EraseRootFromParent_Done,
     /* 1333026 */   // Label 19041: @1333026
     /* 1333026 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1333110), // Rule ID 19936 //
     /* 1333031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1333051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333109 */     // GIR_Coverage, 19936,
     /* 1333109 */     GIR_EraseRootFromParent_Done,
     /* 1333110 */   // Label 19042: @1333110
     /* 1333110 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1333194), // Rule ID 19937 //
     /* 1333115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1333135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333193 */     // GIR_Coverage, 19937,
     /* 1333193 */     GIR_EraseRootFromParent_Done,
     /* 1333194 */   // Label 19043: @1333194
     /* 1333194 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1333278), // Rule ID 19940 //
     /* 1333199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1333219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333277 */     // GIR_Coverage, 19940,
     /* 1333277 */     GIR_EraseRootFromParent_Done,
     /* 1333278 */   // Label 19044: @1333278
     /* 1333278 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1333362), // Rule ID 19941 //
     /* 1333283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1333303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333361 */     // GIR_Coverage, 19941,
     /* 1333361 */     GIR_EraseRootFromParent_Done,
     /* 1333362 */   // Label 19045: @1333362
     /* 1333362 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1333446), // Rule ID 19944 //
     /* 1333367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1333423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333445 */     // GIR_Coverage, 19944,
     /* 1333445 */     GIR_EraseRootFromParent_Done,
     /* 1333446 */   // Label 19046: @1333446
     /* 1333446 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1333530), // Rule ID 19945 //
     /* 1333451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1333507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333529 */     // GIR_Coverage, 19945,
     /* 1333529 */     GIR_EraseRootFromParent_Done,
     /* 1333530 */   // Label 19047: @1333530
     /* 1333530 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1333614), // Rule ID 19948 //
     /* 1333535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1333591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333613 */     // GIR_Coverage, 19948,
     /* 1333613 */     GIR_EraseRootFromParent_Done,
     /* 1333614 */   // Label 19048: @1333614
     /* 1333614 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1333698), // Rule ID 19949 //
     /* 1333619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1333675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333697 */     // GIR_Coverage, 19949,
     /* 1333697 */     GIR_EraseRootFromParent_Done,
     /* 1333698 */   // Label 19049: @1333698
     /* 1333698 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1333782), // Rule ID 19952 //
     /* 1333703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1333759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333781 */     // GIR_Coverage, 19952,
     /* 1333781 */     GIR_EraseRootFromParent_Done,
     /* 1333782 */   // Label 19050: @1333782
     /* 1333782 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1333866), // Rule ID 19953 //
     /* 1333787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1333843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333865 */     // GIR_Coverage, 19953,
     /* 1333865 */     GIR_EraseRootFromParent_Done,
     /* 1333866 */   // Label 19051: @1333866
     /* 1333866 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1333950), // Rule ID 19956 //
     /* 1333871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1333927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333949 */     // GIR_Coverage, 19956,
     /* 1333949 */     GIR_EraseRootFromParent_Done,
     /* 1333950 */   // Label 19052: @1333950
     /* 1333950 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1334034), // Rule ID 19957 //
     /* 1333955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1334011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334033 */     // GIR_Coverage, 19957,
     /* 1334033 */     GIR_EraseRootFromParent_Done,
     /* 1334034 */   // Label 19053: @1334034
     /* 1334034 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1334118), // Rule ID 19960 //
     /* 1334039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1334095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334117 */     // GIR_Coverage, 19960,
     /* 1334117 */     GIR_EraseRootFromParent_Done,
     /* 1334118 */   // Label 19054: @1334118
     /* 1334118 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1334202), // Rule ID 19961 //
     /* 1334123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1334179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334201 */     // GIR_Coverage, 19961,
     /* 1334201 */     GIR_EraseRootFromParent_Done,
     /* 1334202 */   // Label 19055: @1334202
     /* 1334202 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1334286), // Rule ID 19964 //
     /* 1334207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1334263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334285 */     // GIR_Coverage, 19964,
     /* 1334285 */     GIR_EraseRootFromParent_Done,
     /* 1334286 */   // Label 19056: @1334286
     /* 1334286 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1334370), // Rule ID 19965 //
     /* 1334291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1334347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334369 */     // GIR_Coverage, 19965,
     /* 1334369 */     GIR_EraseRootFromParent_Done,
     /* 1334370 */   // Label 19057: @1334370
     /* 1334370 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1334454), // Rule ID 19968 //
     /* 1334375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1334431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334453 */     // GIR_Coverage, 19968,
     /* 1334453 */     GIR_EraseRootFromParent_Done,
     /* 1334454 */   // Label 19058: @1334454
     /* 1334454 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1334538), // Rule ID 19969 //
     /* 1334459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1334515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334537 */     // GIR_Coverage, 19969,
     /* 1334537 */     GIR_EraseRootFromParent_Done,
     /* 1334538 */   // Label 19059: @1334538
     /* 1334538 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1334622), // Rule ID 19972 //
     /* 1334543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1334599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334621 */     // GIR_Coverage, 19972,
     /* 1334621 */     GIR_EraseRootFromParent_Done,
     /* 1334622 */   // Label 19060: @1334622
     /* 1334622 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1334706), // Rule ID 19973 //
     /* 1334627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1334683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334705 */     // GIR_Coverage, 19973,
     /* 1334705 */     GIR_EraseRootFromParent_Done,
     /* 1334706 */   // Label 19061: @1334706
     /* 1334706 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1334790), // Rule ID 19976 //
     /* 1334711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1334767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334789 */     // GIR_Coverage, 19976,
     /* 1334789 */     GIR_EraseRootFromParent_Done,
     /* 1334790 */   // Label 19062: @1334790
     /* 1334790 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1334874), // Rule ID 19977 //
     /* 1334795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1334851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334873 */     // GIR_Coverage, 19977,
     /* 1334873 */     GIR_EraseRootFromParent_Done,
     /* 1334874 */   // Label 19063: @1334874
     /* 1334874 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1334958), // Rule ID 19980 //
     /* 1334879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1334935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334957 */     // GIR_Coverage, 19980,
     /* 1334957 */     GIR_EraseRootFromParent_Done,
     /* 1334958 */   // Label 19064: @1334958
     /* 1334958 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1335042), // Rule ID 19981 //
     /* 1334963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1335019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335041 */     // GIR_Coverage, 19981,
     /* 1335041 */     GIR_EraseRootFromParent_Done,
     /* 1335042 */   // Label 19065: @1335042
     /* 1335042 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1335126), // Rule ID 19984 //
     /* 1335047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1335103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335125 */     // GIR_Coverage, 19984,
     /* 1335125 */     GIR_EraseRootFromParent_Done,
     /* 1335126 */   // Label 19066: @1335126
     /* 1335126 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1335210), // Rule ID 19985 //
     /* 1335131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1335187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335209 */     // GIR_Coverage, 19985,
     /* 1335209 */     GIR_EraseRootFromParent_Done,
     /* 1335210 */   // Label 19067: @1335210
     /* 1335210 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1335294), // Rule ID 19988 //
     /* 1335215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1335271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335293 */     // GIR_Coverage, 19988,
     /* 1335293 */     GIR_EraseRootFromParent_Done,
     /* 1335294 */   // Label 19068: @1335294
     /* 1335294 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1335378), // Rule ID 19989 //
     /* 1335299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1335355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335377 */     // GIR_Coverage, 19989,
     /* 1335377 */     GIR_EraseRootFromParent_Done,
     /* 1335378 */   // Label 19069: @1335378
     /* 1335378 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1335462), // Rule ID 19992 //
     /* 1335383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1335439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335461 */     // GIR_Coverage, 19992,
     /* 1335461 */     GIR_EraseRootFromParent_Done,
     /* 1335462 */   // Label 19070: @1335462
     /* 1335462 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1335546), // Rule ID 19993 //
     /* 1335467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1335523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335545 */     // GIR_Coverage, 19993,
     /* 1335545 */     GIR_EraseRootFromParent_Done,
     /* 1335546 */   // Label 19071: @1335546
     /* 1335546 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1335630), // Rule ID 19996 //
     /* 1335551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1335607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335629 */     // GIR_Coverage, 19996,
     /* 1335629 */     GIR_EraseRootFromParent_Done,
     /* 1335630 */   // Label 19072: @1335630
     /* 1335630 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1335714), // Rule ID 19997 //
     /* 1335635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1335691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335713 */     // GIR_Coverage, 19997,
     /* 1335713 */     GIR_EraseRootFromParent_Done,
     /* 1335714 */   // Label 19073: @1335714
     /* 1335714 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1335798), // Rule ID 20000 //
     /* 1335719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1335775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335797 */     // GIR_Coverage, 20000,
     /* 1335797 */     GIR_EraseRootFromParent_Done,
     /* 1335798 */   // Label 19074: @1335798
     /* 1335798 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1335882), // Rule ID 20001 //
     /* 1335803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1335859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335881 */     // GIR_Coverage, 20001,
     /* 1335881 */     GIR_EraseRootFromParent_Done,
     /* 1335882 */   // Label 19075: @1335882
     /* 1335882 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1335966), // Rule ID 20004 //
     /* 1335887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1335907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1335943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335965 */     // GIR_Coverage, 20004,
     /* 1335965 */     GIR_EraseRootFromParent_Done,
     /* 1335966 */   // Label 19076: @1335966
     /* 1335966 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1336050), // Rule ID 20005 //
     /* 1335971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1335991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1336027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336049 */     // GIR_Coverage, 20005,
     /* 1336049 */     GIR_EraseRootFromParent_Done,
     /* 1336050 */   // Label 19077: @1336050
     /* 1336050 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1336134), // Rule ID 20008 //
     /* 1336055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1336075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336133 */     // GIR_Coverage, 20008,
     /* 1336133 */     GIR_EraseRootFromParent_Done,
     /* 1336134 */   // Label 19078: @1336134
     /* 1336134 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1336218), // Rule ID 20009 //
     /* 1336139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1336159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336217 */     // GIR_Coverage, 20009,
     /* 1336217 */     GIR_EraseRootFromParent_Done,
     /* 1336218 */   // Label 19079: @1336218
     /* 1336218 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1336302), // Rule ID 20012 //
     /* 1336223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1336243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336301 */     // GIR_Coverage, 20012,
     /* 1336301 */     GIR_EraseRootFromParent_Done,
     /* 1336302 */   // Label 19080: @1336302
     /* 1336302 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1336386), // Rule ID 20013 //
     /* 1336307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1336327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336385 */     // GIR_Coverage, 20013,
     /* 1336385 */     GIR_EraseRootFromParent_Done,
     /* 1336386 */   // Label 19081: @1336386
     /* 1336386 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1336470), // Rule ID 20016 //
     /* 1336391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336469 */     // GIR_Coverage, 20016,
     /* 1336469 */     GIR_EraseRootFromParent_Done,
     /* 1336470 */   // Label 19082: @1336470
     /* 1336470 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1336554), // Rule ID 20017 //
     /* 1336475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336553 */     // GIR_Coverage, 20017,
     /* 1336553 */     GIR_EraseRootFromParent_Done,
     /* 1336554 */   // Label 19083: @1336554
     /* 1336554 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1336638), // Rule ID 20020 //
     /* 1336559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336637 */     // GIR_Coverage, 20020,
     /* 1336637 */     GIR_EraseRootFromParent_Done,
     /* 1336638 */   // Label 19084: @1336638
     /* 1336638 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1336722), // Rule ID 20021 //
     /* 1336643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336721 */     // GIR_Coverage, 20021,
     /* 1336721 */     GIR_EraseRootFromParent_Done,
     /* 1336722 */   // Label 19085: @1336722
     /* 1336722 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1336806), // Rule ID 20024 //
     /* 1336727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1336747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336805 */     // GIR_Coverage, 20024,
     /* 1336805 */     GIR_EraseRootFromParent_Done,
     /* 1336806 */   // Label 19086: @1336806
     /* 1336806 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1336890), // Rule ID 20025 //
     /* 1336811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1336831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336889 */     // GIR_Coverage, 20025,
     /* 1336889 */     GIR_EraseRootFromParent_Done,
     /* 1336890 */   // Label 19087: @1336890
     /* 1336890 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1336974), // Rule ID 20028 //
     /* 1336895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1336915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1336951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336973 */     // GIR_Coverage, 20028,
     /* 1336973 */     GIR_EraseRootFromParent_Done,
     /* 1336974 */   // Label 19088: @1336974
     /* 1336974 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1337058), // Rule ID 20029 //
     /* 1336979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1336999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337057 */     // GIR_Coverage, 20029,
     /* 1337057 */     GIR_EraseRootFromParent_Done,
     /* 1337058 */   // Label 19089: @1337058
     /* 1337058 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1337142), // Rule ID 20032 //
     /* 1337063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1337083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337141 */     // GIR_Coverage, 20032,
     /* 1337141 */     GIR_EraseRootFromParent_Done,
     /* 1337142 */   // Label 19090: @1337142
     /* 1337142 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1337226), // Rule ID 20033 //
     /* 1337147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1337167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337225 */     // GIR_Coverage, 20033,
     /* 1337225 */     GIR_EraseRootFromParent_Done,
     /* 1337226 */   // Label 19091: @1337226
     /* 1337226 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1337310), // Rule ID 20036 //
     /* 1337231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1337251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337309 */     // GIR_Coverage, 20036,
     /* 1337309 */     GIR_EraseRootFromParent_Done,
     /* 1337310 */   // Label 19092: @1337310
     /* 1337310 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1337394), // Rule ID 20037 //
     /* 1337315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1337335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337368 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337393 */     // GIR_Coverage, 20037,
     /* 1337393 */     GIR_EraseRootFromParent_Done,
     /* 1337394 */   // Label 19093: @1337394
     /* 1337394 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1337478), // Rule ID 20040 //
     /* 1337399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337477 */     // GIR_Coverage, 20040,
     /* 1337477 */     GIR_EraseRootFromParent_Done,
     /* 1337478 */   // Label 19094: @1337478
     /* 1337478 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1337562), // Rule ID 20041 //
     /* 1337483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337561 */     // GIR_Coverage, 20041,
     /* 1337561 */     GIR_EraseRootFromParent_Done,
     /* 1337562 */   // Label 19095: @1337562
     /* 1337562 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1337646), // Rule ID 20044 //
     /* 1337567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1337587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337645 */     // GIR_Coverage, 20044,
     /* 1337645 */     GIR_EraseRootFromParent_Done,
     /* 1337646 */   // Label 19096: @1337646
     /* 1337646 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1337730), // Rule ID 20045 //
     /* 1337651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1337671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337729 */     // GIR_Coverage, 20045,
     /* 1337729 */     GIR_EraseRootFromParent_Done,
     /* 1337730 */   // Label 19097: @1337730
     /* 1337730 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1337814), // Rule ID 20048 //
     /* 1337735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1337755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337813 */     // GIR_Coverage, 20048,
     /* 1337813 */     GIR_EraseRootFromParent_Done,
     /* 1337814 */   // Label 19098: @1337814
     /* 1337814 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1337898), // Rule ID 20049 //
     /* 1337819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1337839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337897 */     // GIR_Coverage, 20049,
     /* 1337897 */     GIR_EraseRootFromParent_Done,
     /* 1337898 */   // Label 19099: @1337898
     /* 1337898 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1337982), // Rule ID 20052 //
     /* 1337903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1337923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337981 */     // GIR_Coverage, 20052,
     /* 1337981 */     GIR_EraseRootFromParent_Done,
     /* 1337982 */   // Label 19100: @1337982
     /* 1337982 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1338066), // Rule ID 20053 //
     /* 1337987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1338007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1338043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338065 */     // GIR_Coverage, 20053,
     /* 1338065 */     GIR_EraseRootFromParent_Done,
     /* 1338066 */   // Label 19101: @1338066
     /* 1338066 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1338150), // Rule ID 20056 //
     /* 1338071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1338091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338149 */     // GIR_Coverage, 20056,
     /* 1338149 */     GIR_EraseRootFromParent_Done,
     /* 1338150 */   // Label 19102: @1338150
     /* 1338150 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1338234), // Rule ID 20057 //
     /* 1338155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1338175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338233 */     // GIR_Coverage, 20057,
     /* 1338233 */     GIR_EraseRootFromParent_Done,
     /* 1338234 */   // Label 19103: @1338234
     /* 1338234 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1338318), // Rule ID 20060 //
     /* 1338239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1338259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338317 */     // GIR_Coverage, 20060,
     /* 1338317 */     GIR_EraseRootFromParent_Done,
     /* 1338318 */   // Label 19104: @1338318
     /* 1338318 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1338402), // Rule ID 20061 //
     /* 1338323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1338343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338401 */     // GIR_Coverage, 20061,
     /* 1338401 */     GIR_EraseRootFromParent_Done,
     /* 1338402 */   // Label 19105: @1338402
     /* 1338402 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1338486), // Rule ID 20064 //
     /* 1338407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1338463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338485 */     // GIR_Coverage, 20064,
     /* 1338485 */     GIR_EraseRootFromParent_Done,
     /* 1338486 */   // Label 19106: @1338486
     /* 1338486 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1338570), // Rule ID 20065 //
     /* 1338491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1338547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338569 */     // GIR_Coverage, 20065,
     /* 1338569 */     GIR_EraseRootFromParent_Done,
     /* 1338570 */   // Label 19107: @1338570
     /* 1338570 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1338654), // Rule ID 20068 //
     /* 1338575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1338631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338653 */     // GIR_Coverage, 20068,
     /* 1338653 */     GIR_EraseRootFromParent_Done,
     /* 1338654 */   // Label 19108: @1338654
     /* 1338654 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1338738), // Rule ID 20069 //
     /* 1338659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1338715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338737 */     // GIR_Coverage, 20069,
     /* 1338737 */     GIR_EraseRootFromParent_Done,
     /* 1338738 */   // Label 19109: @1338738
     /* 1338738 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1338822), // Rule ID 20072 //
     /* 1338743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1338799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338821 */     // GIR_Coverage, 20072,
     /* 1338821 */     GIR_EraseRootFromParent_Done,
     /* 1338822 */   // Label 19110: @1338822
     /* 1338822 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1338906), // Rule ID 20073 //
     /* 1338827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1338883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338905 */     // GIR_Coverage, 20073,
     /* 1338905 */     GIR_EraseRootFromParent_Done,
     /* 1338906 */   // Label 19111: @1338906
     /* 1338906 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1338990), // Rule ID 20076 //
     /* 1338911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1338967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338989 */     // GIR_Coverage, 20076,
     /* 1338989 */     GIR_EraseRootFromParent_Done,
     /* 1338990 */   // Label 19112: @1338990
     /* 1338990 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1339074), // Rule ID 20077 //
     /* 1338995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1339051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339073 */     // GIR_Coverage, 20077,
     /* 1339073 */     GIR_EraseRootFromParent_Done,
     /* 1339074 */   // Label 19113: @1339074
     /* 1339074 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1339158), // Rule ID 20080 //
     /* 1339079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1339135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339157 */     // GIR_Coverage, 20080,
     /* 1339157 */     GIR_EraseRootFromParent_Done,
     /* 1339158 */   // Label 19114: @1339158
     /* 1339158 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1339242), // Rule ID 20081 //
     /* 1339163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1339219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339241 */     // GIR_Coverage, 20081,
     /* 1339241 */     GIR_EraseRootFromParent_Done,
     /* 1339242 */   // Label 19115: @1339242
     /* 1339242 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1339326), // Rule ID 20084 //
     /* 1339247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1339303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339325 */     // GIR_Coverage, 20084,
     /* 1339325 */     GIR_EraseRootFromParent_Done,
     /* 1339326 */   // Label 19116: @1339326
     /* 1339326 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1339410), // Rule ID 20085 //
     /* 1339331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1339387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339409 */     // GIR_Coverage, 20085,
     /* 1339409 */     GIR_EraseRootFromParent_Done,
     /* 1339410 */   // Label 19117: @1339410
     /* 1339410 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1339494), // Rule ID 20088 //
     /* 1339415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1339471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339493 */     // GIR_Coverage, 20088,
     /* 1339493 */     GIR_EraseRootFromParent_Done,
     /* 1339494 */   // Label 19118: @1339494
     /* 1339494 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1339578), // Rule ID 20089 //
     /* 1339499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1339555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339577 */     // GIR_Coverage, 20089,
     /* 1339577 */     GIR_EraseRootFromParent_Done,
     /* 1339578 */   // Label 19119: @1339578
     /* 1339578 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1339662), // Rule ID 20092 //
     /* 1339583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1339639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339661 */     // GIR_Coverage, 20092,
     /* 1339661 */     GIR_EraseRootFromParent_Done,
     /* 1339662 */   // Label 19120: @1339662
     /* 1339662 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1339746), // Rule ID 20093 //
     /* 1339667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1339723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339745 */     // GIR_Coverage, 20093,
     /* 1339745 */     GIR_EraseRootFromParent_Done,
     /* 1339746 */   // Label 19121: @1339746
     /* 1339746 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1339830), // Rule ID 20096 //
     /* 1339751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1339807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339829 */     // GIR_Coverage, 20096,
     /* 1339829 */     GIR_EraseRootFromParent_Done,
     /* 1339830 */   // Label 19122: @1339830
     /* 1339830 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1339914), // Rule ID 20097 //
     /* 1339835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1339891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339913 */     // GIR_Coverage, 20097,
     /* 1339913 */     GIR_EraseRootFromParent_Done,
     /* 1339914 */   // Label 19123: @1339914
     /* 1339914 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1339998), // Rule ID 20100 //
     /* 1339919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1339975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339997 */     // GIR_Coverage, 20100,
     /* 1339997 */     GIR_EraseRootFromParent_Done,
     /* 1339998 */   // Label 19124: @1339998
     /* 1339998 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1340082), // Rule ID 20101 //
     /* 1340003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1340059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340081 */     // GIR_Coverage, 20101,
     /* 1340081 */     GIR_EraseRootFromParent_Done,
     /* 1340082 */   // Label 19125: @1340082
     /* 1340082 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1340166), // Rule ID 20104 //
     /* 1340087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1340143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340165 */     // GIR_Coverage, 20104,
     /* 1340165 */     GIR_EraseRootFromParent_Done,
     /* 1340166 */   // Label 19126: @1340166
     /* 1340166 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1340250), // Rule ID 20105 //
     /* 1340171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1340227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340249 */     // GIR_Coverage, 20105,
     /* 1340249 */     GIR_EraseRootFromParent_Done,
     /* 1340250 */   // Label 19127: @1340250
     /* 1340250 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1340334), // Rule ID 20108 //
     /* 1340255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1340311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340333 */     // GIR_Coverage, 20108,
     /* 1340333 */     GIR_EraseRootFromParent_Done,
     /* 1340334 */   // Label 19128: @1340334
     /* 1340334 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1340418), // Rule ID 20109 //
     /* 1340339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1340395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340417 */     // GIR_Coverage, 20109,
     /* 1340417 */     GIR_EraseRootFromParent_Done,
     /* 1340418 */   // Label 19129: @1340418
     /* 1340418 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1340502), // Rule ID 20112 //
     /* 1340423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1340479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340501 */     // GIR_Coverage, 20112,
     /* 1340501 */     GIR_EraseRootFromParent_Done,
     /* 1340502 */   // Label 19130: @1340502
     /* 1340502 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1340586), // Rule ID 20113 //
     /* 1340507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1340563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340585 */     // GIR_Coverage, 20113,
     /* 1340585 */     GIR_EraseRootFromParent_Done,
     /* 1340586 */   // Label 19131: @1340586
     /* 1340586 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1340670), // Rule ID 20116 //
     /* 1340591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1340647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340669 */     // GIR_Coverage, 20116,
     /* 1340669 */     GIR_EraseRootFromParent_Done,
     /* 1340670 */   // Label 19132: @1340670
     /* 1340670 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1340754), // Rule ID 20117 //
     /* 1340675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1340731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340753 */     // GIR_Coverage, 20117,
     /* 1340753 */     GIR_EraseRootFromParent_Done,
     /* 1340754 */   // Label 19133: @1340754
     /* 1340754 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1340838), // Rule ID 20120 //
     /* 1340759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1340815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340837 */     // GIR_Coverage, 20120,
     /* 1340837 */     GIR_EraseRootFromParent_Done,
     /* 1340838 */   // Label 19134: @1340838
     /* 1340838 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1340922), // Rule ID 20121 //
     /* 1340843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1340899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340921 */     // GIR_Coverage, 20121,
     /* 1340921 */     GIR_EraseRootFromParent_Done,
     /* 1340922 */   // Label 19135: @1340922
     /* 1340922 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1341006), // Rule ID 20124 //
     /* 1340927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1340947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1340983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341005 */     // GIR_Coverage, 20124,
     /* 1341005 */     GIR_EraseRootFromParent_Done,
     /* 1341006 */   // Label 19136: @1341006
     /* 1341006 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1341090), // Rule ID 20125 //
     /* 1341011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1341031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1341067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341089 */     // GIR_Coverage, 20125,
     /* 1341089 */     GIR_EraseRootFromParent_Done,
     /* 1341090 */   // Label 19137: @1341090
     /* 1341090 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1341174), // Rule ID 20128 //
     /* 1341095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341173 */     // GIR_Coverage, 20128,
     /* 1341173 */     GIR_EraseRootFromParent_Done,
     /* 1341174 */   // Label 19138: @1341174
     /* 1341174 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1341258), // Rule ID 20129 //
     /* 1341179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341257 */     // GIR_Coverage, 20129,
     /* 1341257 */     GIR_EraseRootFromParent_Done,
     /* 1341258 */   // Label 19139: @1341258
     /* 1341258 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1341342), // Rule ID 20132 //
     /* 1341263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341341 */     // GIR_Coverage, 20132,
     /* 1341341 */     GIR_EraseRootFromParent_Done,
     /* 1341342 */   // Label 19140: @1341342
     /* 1341342 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1341426), // Rule ID 20133 //
     /* 1341347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341425 */     // GIR_Coverage, 20133,
     /* 1341425 */     GIR_EraseRootFromParent_Done,
     /* 1341426 */   // Label 19141: @1341426
     /* 1341426 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1341510), // Rule ID 20136 //
     /* 1341431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341509 */     // GIR_Coverage, 20136,
     /* 1341509 */     GIR_EraseRootFromParent_Done,
     /* 1341510 */   // Label 19142: @1341510
     /* 1341510 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1341594), // Rule ID 20137 //
     /* 1341515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341593 */     // GIR_Coverage, 20137,
     /* 1341593 */     GIR_EraseRootFromParent_Done,
     /* 1341594 */   // Label 19143: @1341594
     /* 1341594 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1341678), // Rule ID 20140 //
     /* 1341599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341677 */     // GIR_Coverage, 20140,
     /* 1341677 */     GIR_EraseRootFromParent_Done,
     /* 1341678 */   // Label 19144: @1341678
     /* 1341678 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1341762), // Rule ID 20141 //
     /* 1341683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341761 */     // GIR_Coverage, 20141,
     /* 1341761 */     GIR_EraseRootFromParent_Done,
     /* 1341762 */   // Label 19145: @1341762
     /* 1341762 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1341846), // Rule ID 20144 //
     /* 1341767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341845 */     // GIR_Coverage, 20144,
     /* 1341845 */     GIR_EraseRootFromParent_Done,
     /* 1341846 */   // Label 19146: @1341846
     /* 1341846 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1341930), // Rule ID 20145 //
     /* 1341851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341929 */     // GIR_Coverage, 20145,
     /* 1341929 */     GIR_EraseRootFromParent_Done,
     /* 1341930 */   // Label 19147: @1341930
     /* 1341930 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1342014), // Rule ID 20148 //
     /* 1341935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1341955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1341991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342013 */     // GIR_Coverage, 20148,
     /* 1342013 */     GIR_EraseRootFromParent_Done,
     /* 1342014 */   // Label 19148: @1342014
     /* 1342014 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1342098), // Rule ID 20149 //
     /* 1342019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1342039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342097 */     // GIR_Coverage, 20149,
     /* 1342097 */     GIR_EraseRootFromParent_Done,
     /* 1342098 */   // Label 19149: @1342098
     /* 1342098 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1342182), // Rule ID 20152 //
     /* 1342103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342181 */     // GIR_Coverage, 20152,
     /* 1342181 */     GIR_EraseRootFromParent_Done,
     /* 1342182 */   // Label 19150: @1342182
     /* 1342182 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1342266), // Rule ID 20153 //
     /* 1342187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342265 */     // GIR_Coverage, 20153,
     /* 1342265 */     GIR_EraseRootFromParent_Done,
     /* 1342266 */   // Label 19151: @1342266
     /* 1342266 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1342350), // Rule ID 20156 //
     /* 1342271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342349 */     // GIR_Coverage, 20156,
     /* 1342349 */     GIR_EraseRootFromParent_Done,
     /* 1342350 */   // Label 19152: @1342350
     /* 1342350 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1342434), // Rule ID 20157 //
     /* 1342355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342408 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342433 */     // GIR_Coverage, 20157,
     /* 1342433 */     GIR_EraseRootFromParent_Done,
     /* 1342434 */   // Label 19153: @1342434
     /* 1342434 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1342518), // Rule ID 20160 //
     /* 1342439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342517 */     // GIR_Coverage, 20160,
     /* 1342517 */     GIR_EraseRootFromParent_Done,
     /* 1342518 */   // Label 19154: @1342518
     /* 1342518 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1342602), // Rule ID 20161 //
     /* 1342523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342601 */     // GIR_Coverage, 20161,
     /* 1342601 */     GIR_EraseRootFromParent_Done,
     /* 1342602 */   // Label 19155: @1342602
     /* 1342602 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1342686), // Rule ID 20164 //
     /* 1342607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342685 */     // GIR_Coverage, 20164,
     /* 1342685 */     GIR_EraseRootFromParent_Done,
     /* 1342686 */   // Label 19156: @1342686
     /* 1342686 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1342770), // Rule ID 20165 //
     /* 1342691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342769 */     // GIR_Coverage, 20165,
     /* 1342769 */     GIR_EraseRootFromParent_Done,
     /* 1342770 */   // Label 19157: @1342770
     /* 1342770 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1342854), // Rule ID 20168 //
     /* 1342775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342853 */     // GIR_Coverage, 20168,
     /* 1342853 */     GIR_EraseRootFromParent_Done,
     /* 1342854 */   // Label 19158: @1342854
     /* 1342854 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1342938), // Rule ID 20169 //
     /* 1342859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342937 */     // GIR_Coverage, 20169,
     /* 1342937 */     GIR_EraseRootFromParent_Done,
     /* 1342938 */   // Label 19159: @1342938
     /* 1342938 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1343022), // Rule ID 20172 //
     /* 1342943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1342963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343021 */     // GIR_Coverage, 20172,
     /* 1343021 */     GIR_EraseRootFromParent_Done,
     /* 1343022 */   // Label 19160: @1343022
     /* 1343022 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1343106), // Rule ID 20173 //
     /* 1343027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1343047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1343083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343105 */     // GIR_Coverage, 20173,
     /* 1343105 */     GIR_EraseRootFromParent_Done,
     /* 1343106 */   // Label 19161: @1343106
     /* 1343106 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1343190), // Rule ID 20176 //
     /* 1343111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343189 */     // GIR_Coverage, 20176,
     /* 1343189 */     GIR_EraseRootFromParent_Done,
     /* 1343190 */   // Label 19162: @1343190
     /* 1343190 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1343274), // Rule ID 20177 //
     /* 1343195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343273 */     // GIR_Coverage, 20177,
     /* 1343273 */     GIR_EraseRootFromParent_Done,
     /* 1343274 */   // Label 19163: @1343274
     /* 1343274 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1343358), // Rule ID 20180 //
     /* 1343279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343357 */     // GIR_Coverage, 20180,
     /* 1343357 */     GIR_EraseRootFromParent_Done,
     /* 1343358 */   // Label 19164: @1343358
     /* 1343358 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1343442), // Rule ID 20181 //
     /* 1343363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343441 */     // GIR_Coverage, 20181,
     /* 1343441 */     GIR_EraseRootFromParent_Done,
     /* 1343442 */   // Label 19165: @1343442
     /* 1343442 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1343526), // Rule ID 20184 //
     /* 1343447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1343503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343525 */     // GIR_Coverage, 20184,
     /* 1343525 */     GIR_EraseRootFromParent_Done,
     /* 1343526 */   // Label 19166: @1343526
     /* 1343526 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1343610), // Rule ID 20185 //
     /* 1343531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1343587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343609 */     // GIR_Coverage, 20185,
     /* 1343609 */     GIR_EraseRootFromParent_Done,
     /* 1343610 */   // Label 19167: @1343610
     /* 1343610 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1343694), // Rule ID 20188 //
     /* 1343615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1343671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343693 */     // GIR_Coverage, 20188,
     /* 1343693 */     GIR_EraseRootFromParent_Done,
     /* 1343694 */   // Label 19168: @1343694
     /* 1343694 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1343778), // Rule ID 20189 //
     /* 1343699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1343755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343777 */     // GIR_Coverage, 20189,
     /* 1343777 */     GIR_EraseRootFromParent_Done,
     /* 1343778 */   // Label 19169: @1343778
     /* 1343778 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1343862), // Rule ID 20192 //
     /* 1343783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1343839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343861 */     // GIR_Coverage, 20192,
     /* 1343861 */     GIR_EraseRootFromParent_Done,
     /* 1343862 */   // Label 19170: @1343862
     /* 1343862 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1343946), // Rule ID 20193 //
     /* 1343867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1343923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343945 */     // GIR_Coverage, 20193,
     /* 1343945 */     GIR_EraseRootFromParent_Done,
     /* 1343946 */   // Label 19171: @1343946
     /* 1343946 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1344030), // Rule ID 20196 //
     /* 1343951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1343968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1344007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344029 */     // GIR_Coverage, 20196,
     /* 1344029 */     GIR_EraseRootFromParent_Done,
     /* 1344030 */   // Label 19172: @1344030
     /* 1344030 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1344114), // Rule ID 20197 //
     /* 1344035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1344091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344113 */     // GIR_Coverage, 20197,
     /* 1344113 */     GIR_EraseRootFromParent_Done,
     /* 1344114 */   // Label 19173: @1344114
     /* 1344114 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1344198), // Rule ID 20200 //
     /* 1344119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1344175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344197 */     // GIR_Coverage, 20200,
     /* 1344197 */     GIR_EraseRootFromParent_Done,
     /* 1344198 */   // Label 19174: @1344198
     /* 1344198 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1344282), // Rule ID 20201 //
     /* 1344203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1344259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344281 */     // GIR_Coverage, 20201,
     /* 1344281 */     GIR_EraseRootFromParent_Done,
     /* 1344282 */   // Label 19175: @1344282
     /* 1344282 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1344366), // Rule ID 20204 //
     /* 1344287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1344343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344365 */     // GIR_Coverage, 20204,
     /* 1344365 */     GIR_EraseRootFromParent_Done,
     /* 1344366 */   // Label 19176: @1344366
     /* 1344366 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1344450), // Rule ID 20205 //
     /* 1344371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1344427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344449 */     // GIR_Coverage, 20205,
     /* 1344449 */     GIR_EraseRootFromParent_Done,
     /* 1344450 */   // Label 19177: @1344450
     /* 1344450 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1344534), // Rule ID 20208 //
     /* 1344455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1344511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344533 */     // GIR_Coverage, 20208,
     /* 1344533 */     GIR_EraseRootFromParent_Done,
     /* 1344534 */   // Label 19178: @1344534
     /* 1344534 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1344618), // Rule ID 20209 //
     /* 1344539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1344595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344617 */     // GIR_Coverage, 20209,
     /* 1344617 */     GIR_EraseRootFromParent_Done,
     /* 1344618 */   // Label 19179: @1344618
     /* 1344618 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1344702), // Rule ID 20212 //
     /* 1344623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1344679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344701 */     // GIR_Coverage, 20212,
     /* 1344701 */     GIR_EraseRootFromParent_Done,
     /* 1344702 */   // Label 19180: @1344702
     /* 1344702 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1344786), // Rule ID 20213 //
     /* 1344707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1344763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344785 */     // GIR_Coverage, 20213,
     /* 1344785 */     GIR_EraseRootFromParent_Done,
     /* 1344786 */   // Label 19181: @1344786
     /* 1344786 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1344870), // Rule ID 20216 //
     /* 1344791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1344847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344869 */     // GIR_Coverage, 20216,
     /* 1344869 */     GIR_EraseRootFromParent_Done,
     /* 1344870 */   // Label 19182: @1344870
     /* 1344870 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1344954), // Rule ID 20217 //
     /* 1344875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1344931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344953 */     // GIR_Coverage, 20217,
     /* 1344953 */     GIR_EraseRootFromParent_Done,
     /* 1344954 */   // Label 19183: @1344954
     /* 1344954 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1345038), // Rule ID 20220 //
     /* 1344959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1344976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1345015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345037 */     // GIR_Coverage, 20220,
     /* 1345037 */     GIR_EraseRootFromParent_Done,
     /* 1345038 */   // Label 19184: @1345038
     /* 1345038 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1345122), // Rule ID 20221 //
     /* 1345043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1345099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345121 */     // GIR_Coverage, 20221,
     /* 1345121 */     GIR_EraseRootFromParent_Done,
     /* 1345122 */   // Label 19185: @1345122
     /* 1345122 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1345206), // Rule ID 20224 //
     /* 1345127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1345183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345205 */     // GIR_Coverage, 20224,
     /* 1345205 */     GIR_EraseRootFromParent_Done,
     /* 1345206 */   // Label 19186: @1345206
     /* 1345206 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1345290), // Rule ID 20225 //
     /* 1345211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1345267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345289 */     // GIR_Coverage, 20225,
     /* 1345289 */     GIR_EraseRootFromParent_Done,
     /* 1345290 */   // Label 19187: @1345290
     /* 1345290 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1345374), // Rule ID 20228 //
     /* 1345295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1345351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345373 */     // GIR_Coverage, 20228,
     /* 1345373 */     GIR_EraseRootFromParent_Done,
     /* 1345374 */   // Label 19188: @1345374
     /* 1345374 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1345458), // Rule ID 20229 //
     /* 1345379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1345435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345457 */     // GIR_Coverage, 20229,
     /* 1345457 */     GIR_EraseRootFromParent_Done,
     /* 1345458 */   // Label 19189: @1345458
     /* 1345458 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1345542), // Rule ID 20232 //
     /* 1345463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1345519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345541 */     // GIR_Coverage, 20232,
     /* 1345541 */     GIR_EraseRootFromParent_Done,
     /* 1345542 */   // Label 19190: @1345542
     /* 1345542 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1345626), // Rule ID 20233 //
     /* 1345547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1345603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345625 */     // GIR_Coverage, 20233,
     /* 1345625 */     GIR_EraseRootFromParent_Done,
     /* 1345626 */   // Label 19191: @1345626
     /* 1345626 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1345710), // Rule ID 20236 //
     /* 1345631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1345687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345709 */     // GIR_Coverage, 20236,
     /* 1345709 */     GIR_EraseRootFromParent_Done,
     /* 1345710 */   // Label 19192: @1345710
     /* 1345710 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1345794), // Rule ID 20237 //
     /* 1345715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1345771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345793 */     // GIR_Coverage, 20237,
     /* 1345793 */     GIR_EraseRootFromParent_Done,
     /* 1345794 */   // Label 19193: @1345794
     /* 1345794 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1345878), // Rule ID 20240 //
     /* 1345799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1345855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345877 */     // GIR_Coverage, 20240,
     /* 1345877 */     GIR_EraseRootFromParent_Done,
     /* 1345878 */   // Label 19194: @1345878
     /* 1345878 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1345962), // Rule ID 20241 //
     /* 1345883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1345939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345961 */     // GIR_Coverage, 20241,
     /* 1345961 */     GIR_EraseRootFromParent_Done,
     /* 1345962 */   // Label 19195: @1345962
     /* 1345962 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1346046), // Rule ID 20244 //
     /* 1345967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1346023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346045 */     // GIR_Coverage, 20244,
     /* 1346045 */     GIR_EraseRootFromParent_Done,
     /* 1346046 */   // Label 19196: @1346046
     /* 1346046 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1346130), // Rule ID 20245 //
     /* 1346051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1346107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346129 */     // GIR_Coverage, 20245,
     /* 1346129 */     GIR_EraseRootFromParent_Done,
     /* 1346130 */   // Label 19197: @1346130
     /* 1346130 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1346214), // Rule ID 20248 //
     /* 1346135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1346191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346213 */     // GIR_Coverage, 20248,
     /* 1346213 */     GIR_EraseRootFromParent_Done,
     /* 1346214 */   // Label 19198: @1346214
     /* 1346214 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1346298), // Rule ID 20249 //
     /* 1346219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1346275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346297 */     // GIR_Coverage, 20249,
     /* 1346297 */     GIR_EraseRootFromParent_Done,
     /* 1346298 */   // Label 19199: @1346298
     /* 1346298 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1346382), // Rule ID 20252 //
     /* 1346303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1346359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346381 */     // GIR_Coverage, 20252,
     /* 1346381 */     GIR_EraseRootFromParent_Done,
     /* 1346382 */   // Label 19200: @1346382
     /* 1346382 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1346466), // Rule ID 20253 //
     /* 1346387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1346443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346465 */     // GIR_Coverage, 20253,
     /* 1346465 */     GIR_EraseRootFromParent_Done,
     /* 1346466 */   // Label 19201: @1346466
     /* 1346466 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1346550), // Rule ID 20256 //
     /* 1346471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1346527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346549 */     // GIR_Coverage, 20256,
     /* 1346549 */     GIR_EraseRootFromParent_Done,
     /* 1346550 */   // Label 19202: @1346550
     /* 1346550 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1346634), // Rule ID 20257 //
     /* 1346555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1346611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346633 */     // GIR_Coverage, 20257,
     /* 1346633 */     GIR_EraseRootFromParent_Done,
     /* 1346634 */   // Label 19203: @1346634
     /* 1346634 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1346718), // Rule ID 20260 //
     /* 1346639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1346695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346717 */     // GIR_Coverage, 20260,
     /* 1346717 */     GIR_EraseRootFromParent_Done,
     /* 1346718 */   // Label 19204: @1346718
     /* 1346718 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1346802), // Rule ID 20261 //
     /* 1346723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1346779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346801 */     // GIR_Coverage, 20261,
     /* 1346801 */     GIR_EraseRootFromParent_Done,
     /* 1346802 */   // Label 19205: @1346802
     /* 1346802 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1346886), // Rule ID 20264 //
     /* 1346807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1346863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346885 */     // GIR_Coverage, 20264,
     /* 1346885 */     GIR_EraseRootFromParent_Done,
     /* 1346886 */   // Label 19206: @1346886
     /* 1346886 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1346970), // Rule ID 20265 //
     /* 1346891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1346947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346969 */     // GIR_Coverage, 20265,
     /* 1346969 */     GIR_EraseRootFromParent_Done,
     /* 1346970 */   // Label 19207: @1346970
     /* 1346970 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1347054), // Rule ID 20268 //
     /* 1346975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1347031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347053 */     // GIR_Coverage, 20268,
     /* 1347053 */     GIR_EraseRootFromParent_Done,
     /* 1347054 */   // Label 19208: @1347054
     /* 1347054 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1347138), // Rule ID 20269 //
     /* 1347059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1347115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347137 */     // GIR_Coverage, 20269,
     /* 1347137 */     GIR_EraseRootFromParent_Done,
     /* 1347138 */   // Label 19209: @1347138
     /* 1347138 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1347222), // Rule ID 20272 //
     /* 1347143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1347199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347221 */     // GIR_Coverage, 20272,
     /* 1347221 */     GIR_EraseRootFromParent_Done,
     /* 1347222 */   // Label 19210: @1347222
     /* 1347222 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1347306), // Rule ID 20273 //
     /* 1347227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1347283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347305 */     // GIR_Coverage, 20273,
     /* 1347305 */     GIR_EraseRootFromParent_Done,
     /* 1347306 */   // Label 19211: @1347306
     /* 1347306 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1347390), // Rule ID 20276 //
     /* 1347311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1347367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347389 */     // GIR_Coverage, 20276,
     /* 1347389 */     GIR_EraseRootFromParent_Done,
     /* 1347390 */   // Label 19212: @1347390
     /* 1347390 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1347474), // Rule ID 20277 //
     /* 1347395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1347451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347473 */     // GIR_Coverage, 20277,
     /* 1347473 */     GIR_EraseRootFromParent_Done,
     /* 1347474 */   // Label 19213: @1347474
     /* 1347474 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1347558), // Rule ID 20280 //
     /* 1347479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1347535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347557 */     // GIR_Coverage, 20280,
     /* 1347557 */     GIR_EraseRootFromParent_Done,
     /* 1347558 */   // Label 19214: @1347558
     /* 1347558 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1347642), // Rule ID 20281 //
     /* 1347563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1347619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347641 */     // GIR_Coverage, 20281,
     /* 1347641 */     GIR_EraseRootFromParent_Done,
     /* 1347642 */   // Label 19215: @1347642
     /* 1347642 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1347726), // Rule ID 20284 //
     /* 1347647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1347703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347725 */     // GIR_Coverage, 20284,
     /* 1347725 */     GIR_EraseRootFromParent_Done,
     /* 1347726 */   // Label 19216: @1347726
     /* 1347726 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1347810), // Rule ID 20285 //
     /* 1347731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1347787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347809 */     // GIR_Coverage, 20285,
     /* 1347809 */     GIR_EraseRootFromParent_Done,
     /* 1347810 */   // Label 19217: @1347810
     /* 1347810 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1347894), // Rule ID 20288 //
     /* 1347815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1347871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347893 */     // GIR_Coverage, 20288,
     /* 1347893 */     GIR_EraseRootFromParent_Done,
     /* 1347894 */   // Label 19218: @1347894
     /* 1347894 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1347978), // Rule ID 20289 //
     /* 1347899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1347955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347977 */     // GIR_Coverage, 20289,
     /* 1347977 */     GIR_EraseRootFromParent_Done,
     /* 1347978 */   // Label 19219: @1347978
     /* 1347978 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1348062), // Rule ID 20292 //
     /* 1347983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1348039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348061 */     // GIR_Coverage, 20292,
     /* 1348061 */     GIR_EraseRootFromParent_Done,
     /* 1348062 */   // Label 19220: @1348062
     /* 1348062 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1348146), // Rule ID 20293 //
     /* 1348067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1348123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348145 */     // GIR_Coverage, 20293,
     /* 1348145 */     GIR_EraseRootFromParent_Done,
     /* 1348146 */   // Label 19221: @1348146
     /* 1348146 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1348230), // Rule ID 20296 //
     /* 1348151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1348207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348229 */     // GIR_Coverage, 20296,
     /* 1348229 */     GIR_EraseRootFromParent_Done,
     /* 1348230 */   // Label 19222: @1348230
     /* 1348230 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1348314), // Rule ID 20297 //
     /* 1348235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1348291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348313 */     // GIR_Coverage, 20297,
     /* 1348313 */     GIR_EraseRootFromParent_Done,
     /* 1348314 */   // Label 19223: @1348314
     /* 1348314 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1348398), // Rule ID 20300 //
     /* 1348319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1348375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348397 */     // GIR_Coverage, 20300,
     /* 1348397 */     GIR_EraseRootFromParent_Done,
     /* 1348398 */   // Label 19224: @1348398
     /* 1348398 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1348482), // Rule ID 20301 //
     /* 1348403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1348459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348481 */     // GIR_Coverage, 20301,
     /* 1348481 */     GIR_EraseRootFromParent_Done,
     /* 1348482 */   // Label 19225: @1348482
     /* 1348482 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1348566), // Rule ID 20304 //
     /* 1348487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1348543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348565 */     // GIR_Coverage, 20304,
     /* 1348565 */     GIR_EraseRootFromParent_Done,
     /* 1348566 */   // Label 19226: @1348566
     /* 1348566 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1348650), // Rule ID 20305 //
     /* 1348571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1348627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348649 */     // GIR_Coverage, 20305,
     /* 1348649 */     GIR_EraseRootFromParent_Done,
     /* 1348650 */   // Label 19227: @1348650
     /* 1348650 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1348734), // Rule ID 20308 //
     /* 1348655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1348711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348733 */     // GIR_Coverage, 20308,
     /* 1348733 */     GIR_EraseRootFromParent_Done,
     /* 1348734 */   // Label 19228: @1348734
     /* 1348734 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1348818), // Rule ID 20309 //
     /* 1348739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1348795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348817 */     // GIR_Coverage, 20309,
     /* 1348817 */     GIR_EraseRootFromParent_Done,
     /* 1348818 */   // Label 19229: @1348818
     /* 1348818 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1348902), // Rule ID 20312 //
     /* 1348823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1348879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348901 */     // GIR_Coverage, 20312,
     /* 1348901 */     GIR_EraseRootFromParent_Done,
     /* 1348902 */   // Label 19230: @1348902
     /* 1348902 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1348986), // Rule ID 20313 //
     /* 1348907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1348963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348985 */     // GIR_Coverage, 20313,
     /* 1348985 */     GIR_EraseRootFromParent_Done,
     /* 1348986 */   // Label 19231: @1348986
     /* 1348986 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1349070), // Rule ID 20316 //
     /* 1348991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1349047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349069 */     // GIR_Coverage, 20316,
     /* 1349069 */     GIR_EraseRootFromParent_Done,
     /* 1349070 */   // Label 19232: @1349070
     /* 1349070 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1349154), // Rule ID 20317 //
     /* 1349075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1349131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349153 */     // GIR_Coverage, 20317,
     /* 1349153 */     GIR_EraseRootFromParent_Done,
     /* 1349154 */   // Label 19233: @1349154
     /* 1349154 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1349238), // Rule ID 20320 //
     /* 1349159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1349215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349237 */     // GIR_Coverage, 20320,
     /* 1349237 */     GIR_EraseRootFromParent_Done,
     /* 1349238 */   // Label 19234: @1349238
     /* 1349238 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1349322), // Rule ID 20321 //
     /* 1349243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1349299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349321 */     // GIR_Coverage, 20321,
     /* 1349321 */     GIR_EraseRootFromParent_Done,
     /* 1349322 */   // Label 19235: @1349322
     /* 1349322 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1349406), // Rule ID 20324 //
     /* 1349327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1349383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349405 */     // GIR_Coverage, 20324,
     /* 1349405 */     GIR_EraseRootFromParent_Done,
     /* 1349406 */   // Label 19236: @1349406
     /* 1349406 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1349490), // Rule ID 20325 //
     /* 1349411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1349467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349489 */     // GIR_Coverage, 20325,
     /* 1349489 */     GIR_EraseRootFromParent_Done,
     /* 1349490 */   // Label 19237: @1349490
     /* 1349490 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1349574), // Rule ID 20328 //
     /* 1349495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1349551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349573 */     // GIR_Coverage, 20328,
     /* 1349573 */     GIR_EraseRootFromParent_Done,
     /* 1349574 */   // Label 19238: @1349574
     /* 1349574 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1349658), // Rule ID 20329 //
     /* 1349579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1349635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349657 */     // GIR_Coverage, 20329,
     /* 1349657 */     GIR_EraseRootFromParent_Done,
     /* 1349658 */   // Label 19239: @1349658
     /* 1349658 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1349742), // Rule ID 20332 //
     /* 1349663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1349680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1349719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349741 */     // GIR_Coverage, 20332,
     /* 1349741 */     GIR_EraseRootFromParent_Done,
     /* 1349742 */   // Label 19240: @1349742
     /* 1349742 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1349826), // Rule ID 20333 //
     /* 1349747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1349764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1349803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349825 */     // GIR_Coverage, 20333,
     /* 1349825 */     GIR_EraseRootFromParent_Done,
     /* 1349826 */   // Label 19241: @1349826
     /* 1349826 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1349910), // Rule ID 20336 //
     /* 1349831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1349842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1349845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1349848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1349854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349884 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1349887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349909 */     // GIR_Coverage, 20336,
     /* 1349909 */     GIR_EraseRootFromParent_Done,
     /* 1349910 */   // Label 19242: @1349910
     /* 1349910 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1349994), // Rule ID 20337 //
     /* 1349915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1349926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1349929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1349932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1349938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1349971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349993 */     // GIR_Coverage, 20337,
     /* 1349993 */     GIR_EraseRootFromParent_Done,
     /* 1349994 */   // Label 19243: @1349994
     /* 1349994 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1350078), // Rule ID 20340 //
     /* 1349999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1350055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350077 */     // GIR_Coverage, 20340,
     /* 1350077 */     GIR_EraseRootFromParent_Done,
     /* 1350078 */   // Label 19244: @1350078
     /* 1350078 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1350162), // Rule ID 20341 //
     /* 1350083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1350139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350161 */     // GIR_Coverage, 20341,
     /* 1350161 */     GIR_EraseRootFromParent_Done,
     /* 1350162 */   // Label 19245: @1350162
     /* 1350162 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1350246), // Rule ID 20344 //
     /* 1350167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1350223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350245 */     // GIR_Coverage, 20344,
     /* 1350245 */     GIR_EraseRootFromParent_Done,
     /* 1350246 */   // Label 19246: @1350246
     /* 1350246 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1350330), // Rule ID 20345 //
     /* 1350251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1350307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350329 */     // GIR_Coverage, 20345,
     /* 1350329 */     GIR_EraseRootFromParent_Done,
     /* 1350330 */   // Label 19247: @1350330
     /* 1350330 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1350414), // Rule ID 20348 //
     /* 1350335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1350391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350413 */     // GIR_Coverage, 20348,
     /* 1350413 */     GIR_EraseRootFromParent_Done,
     /* 1350414 */   // Label 19248: @1350414
     /* 1350414 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1350498), // Rule ID 20349 //
     /* 1350419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1350475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350497 */     // GIR_Coverage, 20349,
     /* 1350497 */     GIR_EraseRootFromParent_Done,
     /* 1350498 */   // Label 19249: @1350498
     /* 1350498 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1350582), // Rule ID 20352 //
     /* 1350503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1350559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350581 */     // GIR_Coverage, 20352,
     /* 1350581 */     GIR_EraseRootFromParent_Done,
     /* 1350582 */   // Label 19250: @1350582
     /* 1350582 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1350666), // Rule ID 20353 //
     /* 1350587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1350643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350665 */     // GIR_Coverage, 20353,
     /* 1350665 */     GIR_EraseRootFromParent_Done,
     /* 1350666 */   // Label 19251: @1350666
     /* 1350666 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1350750), // Rule ID 20356 //
     /* 1350671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1350688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1350727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350749 */     // GIR_Coverage, 20356,
     /* 1350749 */     GIR_EraseRootFromParent_Done,
     /* 1350750 */   // Label 19252: @1350750
     /* 1350750 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1350834), // Rule ID 20357 //
     /* 1350755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1350772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1350811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350833 */     // GIR_Coverage, 20357,
     /* 1350833 */     GIR_EraseRootFromParent_Done,
     /* 1350834 */   // Label 19253: @1350834
     /* 1350834 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1350918), // Rule ID 20360 //
     /* 1350839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1350856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1350895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350917 */     // GIR_Coverage, 20360,
     /* 1350917 */     GIR_EraseRootFromParent_Done,
     /* 1350918 */   // Label 19254: @1350918
     /* 1350918 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351002), // Rule ID 20361 //
     /* 1350923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1350940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1350979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351001 */     // GIR_Coverage, 20361,
     /* 1351001 */     GIR_EraseRootFromParent_Done,
     /* 1351002 */   // Label 19255: @1351002
     /* 1351002 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1351086), // Rule ID 20364 //
     /* 1351007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1351063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351085 */     // GIR_Coverage, 20364,
     /* 1351085 */     GIR_EraseRootFromParent_Done,
     /* 1351086 */   // Label 19256: @1351086
     /* 1351086 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1351170), // Rule ID 20365 //
     /* 1351091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1351147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351169 */     // GIR_Coverage, 20365,
     /* 1351169 */     GIR_EraseRootFromParent_Done,
     /* 1351170 */   // Label 19257: @1351170
     /* 1351170 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1351254), // Rule ID 20368 //
     /* 1351175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351253 */     // GIR_Coverage, 20368,
     /* 1351253 */     GIR_EraseRootFromParent_Done,
     /* 1351254 */   // Label 19258: @1351254
     /* 1351254 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1351338), // Rule ID 20369 //
     /* 1351259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351337 */     // GIR_Coverage, 20369,
     /* 1351337 */     GIR_EraseRootFromParent_Done,
     /* 1351338 */   // Label 19259: @1351338
     /* 1351338 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1351422), // Rule ID 20372 //
     /* 1351343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351421 */     // GIR_Coverage, 20372,
     /* 1351421 */     GIR_EraseRootFromParent_Done,
     /* 1351422 */   // Label 19260: @1351422
     /* 1351422 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1351506), // Rule ID 20373 //
     /* 1351427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351505 */     // GIR_Coverage, 20373,
     /* 1351505 */     GIR_EraseRootFromParent_Done,
     /* 1351506 */   // Label 19261: @1351506
     /* 1351506 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1351590), // Rule ID 20376 //
     /* 1351511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351589 */     // GIR_Coverage, 20376,
     /* 1351589 */     GIR_EraseRootFromParent_Done,
     /* 1351590 */   // Label 19262: @1351590
     /* 1351590 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1351674), // Rule ID 20377 //
     /* 1351595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351673 */     // GIR_Coverage, 20377,
     /* 1351673 */     GIR_EraseRootFromParent_Done,
     /* 1351674 */   // Label 19263: @1351674
     /* 1351674 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1351758), // Rule ID 20380 //
     /* 1351679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351757 */     // GIR_Coverage, 20380,
     /* 1351757 */     GIR_EraseRootFromParent_Done,
     /* 1351758 */   // Label 19264: @1351758
     /* 1351758 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1351842), // Rule ID 20381 //
     /* 1351763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351841 */     // GIR_Coverage, 20381,
     /* 1351841 */     GIR_EraseRootFromParent_Done,
     /* 1351842 */   // Label 19265: @1351842
     /* 1351842 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1351926), // Rule ID 20384 //
     /* 1351847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351925 */     // GIR_Coverage, 20384,
     /* 1351925 */     GIR_EraseRootFromParent_Done,
     /* 1351926 */   // Label 19266: @1351926
     /* 1351926 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352010), // Rule ID 20385 //
     /* 1351931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1351987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352009 */     // GIR_Coverage, 20385,
     /* 1352009 */     GIR_EraseRootFromParent_Done,
     /* 1352010 */   // Label 19267: @1352010
     /* 1352010 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352094), // Rule ID 20388 //
     /* 1352015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352093 */     // GIR_Coverage, 20388,
     /* 1352093 */     GIR_EraseRootFromParent_Done,
     /* 1352094 */   // Label 19268: @1352094
     /* 1352094 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1352178), // Rule ID 20389 //
     /* 1352099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352177 */     // GIR_Coverage, 20389,
     /* 1352177 */     GIR_EraseRootFromParent_Done,
     /* 1352178 */   // Label 19269: @1352178
     /* 1352178 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1352262), // Rule ID 20392 //
     /* 1352183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352261 */     // GIR_Coverage, 20392,
     /* 1352261 */     GIR_EraseRootFromParent_Done,
     /* 1352262 */   // Label 19270: @1352262
     /* 1352262 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1352346), // Rule ID 20393 //
     /* 1352267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352345 */     // GIR_Coverage, 20393,
     /* 1352345 */     GIR_EraseRootFromParent_Done,
     /* 1352346 */   // Label 19271: @1352346
     /* 1352346 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1352430), // Rule ID 20396 //
     /* 1352351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352429 */     // GIR_Coverage, 20396,
     /* 1352429 */     GIR_EraseRootFromParent_Done,
     /* 1352430 */   // Label 19272: @1352430
     /* 1352430 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1352514), // Rule ID 20397 //
     /* 1352435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352513 */     // GIR_Coverage, 20397,
     /* 1352513 */     GIR_EraseRootFromParent_Done,
     /* 1352514 */   // Label 19273: @1352514
     /* 1352514 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1352598), // Rule ID 20400 //
     /* 1352519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352597 */     // GIR_Coverage, 20400,
     /* 1352597 */     GIR_EraseRootFromParent_Done,
     /* 1352598 */   // Label 19274: @1352598
     /* 1352598 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1352682), // Rule ID 20401 //
     /* 1352603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352681 */     // GIR_Coverage, 20401,
     /* 1352681 */     GIR_EraseRootFromParent_Done,
     /* 1352682 */   // Label 19275: @1352682
     /* 1352682 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1352766), // Rule ID 20404 //
     /* 1352687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352765 */     // GIR_Coverage, 20404,
     /* 1352765 */     GIR_EraseRootFromParent_Done,
     /* 1352766 */   // Label 19276: @1352766
     /* 1352766 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1352850), // Rule ID 20405 //
     /* 1352771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352849 */     // GIR_Coverage, 20405,
     /* 1352849 */     GIR_EraseRootFromParent_Done,
     /* 1352850 */   // Label 19277: @1352850
     /* 1352850 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1352934), // Rule ID 20408 //
     /* 1352855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1352875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352933 */     // GIR_Coverage, 20408,
     /* 1352933 */     GIR_EraseRootFromParent_Done,
     /* 1352934 */   // Label 19278: @1352934
     /* 1352934 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353018), // Rule ID 20409 //
     /* 1352939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1352959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353017 */     // GIR_Coverage, 20409,
     /* 1353017 */     GIR_EraseRootFromParent_Done,
     /* 1353018 */   // Label 19279: @1353018
     /* 1353018 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353102), // Rule ID 20412 //
     /* 1353023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353101 */     // GIR_Coverage, 20412,
     /* 1353101 */     GIR_EraseRootFromParent_Done,
     /* 1353102 */   // Label 19280: @1353102
     /* 1353102 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1353186), // Rule ID 20413 //
     /* 1353107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353185 */     // GIR_Coverage, 20413,
     /* 1353185 */     GIR_EraseRootFromParent_Done,
     /* 1353186 */   // Label 19281: @1353186
     /* 1353186 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1353270), // Rule ID 20416 //
     /* 1353191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353269 */     // GIR_Coverage, 20416,
     /* 1353269 */     GIR_EraseRootFromParent_Done,
     /* 1353270 */   // Label 19282: @1353270
     /* 1353270 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1353354), // Rule ID 20417 //
     /* 1353275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353353 */     // GIR_Coverage, 20417,
     /* 1353353 */     GIR_EraseRootFromParent_Done,
     /* 1353354 */   // Label 19283: @1353354
     /* 1353354 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1353438), // Rule ID 20420 //
     /* 1353359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353437 */     // GIR_Coverage, 20420,
     /* 1353437 */     GIR_EraseRootFromParent_Done,
     /* 1353438 */   // Label 19284: @1353438
     /* 1353438 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1353522), // Rule ID 20421 //
     /* 1353443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353521 */     // GIR_Coverage, 20421,
     /* 1353521 */     GIR_EraseRootFromParent_Done,
     /* 1353522 */   // Label 19285: @1353522
     /* 1353522 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1353606), // Rule ID 20424 //
     /* 1353527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1353547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1353583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353605 */     // GIR_Coverage, 20424,
     /* 1353605 */     GIR_EraseRootFromParent_Done,
     /* 1353606 */   // Label 19286: @1353606
     /* 1353606 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1353690), // Rule ID 20425 //
     /* 1353611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1353631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1353667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353689 */     // GIR_Coverage, 20425,
     /* 1353689 */     GIR_EraseRootFromParent_Done,
     /* 1353690 */   // Label 19287: @1353690
     /* 1353690 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1353774), // Rule ID 20428 //
     /* 1353695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1353715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1353751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353773 */     // GIR_Coverage, 20428,
     /* 1353773 */     GIR_EraseRootFromParent_Done,
     /* 1353774 */   // Label 19288: @1353774
     /* 1353774 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1353858), // Rule ID 20429 //
     /* 1353779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1353799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1353835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353857 */     // GIR_Coverage, 20429,
     /* 1353857 */     GIR_EraseRootFromParent_Done,
     /* 1353858 */   // Label 19289: @1353858
     /* 1353858 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1353942), // Rule ID 20432 //
     /* 1353863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1353883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1353919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353941 */     // GIR_Coverage, 20432,
     /* 1353941 */     GIR_EraseRootFromParent_Done,
     /* 1353942 */   // Label 19290: @1353942
     /* 1353942 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354026), // Rule ID 20433 //
     /* 1353947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1353967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1354003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354025 */     // GIR_Coverage, 20433,
     /* 1354025 */     GIR_EraseRootFromParent_Done,
     /* 1354026 */   // Label 19291: @1354026
     /* 1354026 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354110), // Rule ID 20436 //
     /* 1354031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354109 */     // GIR_Coverage, 20436,
     /* 1354109 */     GIR_EraseRootFromParent_Done,
     /* 1354110 */   // Label 19292: @1354110
     /* 1354110 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1354194), // Rule ID 20437 //
     /* 1354115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354193 */     // GIR_Coverage, 20437,
     /* 1354193 */     GIR_EraseRootFromParent_Done,
     /* 1354194 */   // Label 19293: @1354194
     /* 1354194 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1354278), // Rule ID 20440 //
     /* 1354199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354277 */     // GIR_Coverage, 20440,
     /* 1354277 */     GIR_EraseRootFromParent_Done,
     /* 1354278 */   // Label 19294: @1354278
     /* 1354278 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1354362), // Rule ID 20441 //
     /* 1354283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354361 */     // GIR_Coverage, 20441,
     /* 1354361 */     GIR_EraseRootFromParent_Done,
     /* 1354362 */   // Label 19295: @1354362
     /* 1354362 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1354446), // Rule ID 20444 //
     /* 1354367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354445 */     // GIR_Coverage, 20444,
     /* 1354445 */     GIR_EraseRootFromParent_Done,
     /* 1354446 */   // Label 19296: @1354446
     /* 1354446 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1354530), // Rule ID 20445 //
     /* 1354451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354529 */     // GIR_Coverage, 20445,
     /* 1354529 */     GIR_EraseRootFromParent_Done,
     /* 1354530 */   // Label 19297: @1354530
     /* 1354530 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1354614), // Rule ID 20448 //
     /* 1354535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1354555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1354591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354613 */     // GIR_Coverage, 20448,
     /* 1354613 */     GIR_EraseRootFromParent_Done,
     /* 1354614 */   // Label 19298: @1354614
     /* 1354614 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1354698), // Rule ID 20449 //
     /* 1354619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1354639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1354675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354697 */     // GIR_Coverage, 20449,
     /* 1354697 */     GIR_EraseRootFromParent_Done,
     /* 1354698 */   // Label 19299: @1354698
     /* 1354698 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1354782), // Rule ID 20452 //
     /* 1354703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1354714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1354717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1354723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1354759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354781 */     // GIR_Coverage, 20452,
     /* 1354781 */     GIR_EraseRootFromParent_Done,
     /* 1354782 */   // Label 19300: @1354782
     /* 1354782 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1354866), // Rule ID 20453 //
     /* 1354787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1354798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1354801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1354807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1354843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354865 */     // GIR_Coverage, 20453,
     /* 1354865 */     GIR_EraseRootFromParent_Done,
     /* 1354866 */   // Label 19301: @1354866
     /* 1354866 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1354950), // Rule ID 20456 //
     /* 1354871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1354882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1354885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1354891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1354927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354949 */     // GIR_Coverage, 20456,
     /* 1354949 */     GIR_EraseRootFromParent_Done,
     /* 1354950 */   // Label 19302: @1354950
     /* 1354950 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355034), // Rule ID 20457 //
     /* 1354955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1354966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1354969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1354975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355008 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355033 */     // GIR_Coverage, 20457,
     /* 1355033 */     GIR_EraseRootFromParent_Done,
     /* 1355034 */   // Label 19303: @1355034
     /* 1355034 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355118), // Rule ID 20460 //
     /* 1355039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1355059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355117 */     // GIR_Coverage, 20460,
     /* 1355117 */     GIR_EraseRootFromParent_Done,
     /* 1355118 */   // Label 19304: @1355118
     /* 1355118 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1355202), // Rule ID 20461 //
     /* 1355123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1355143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355201 */     // GIR_Coverage, 20461,
     /* 1355201 */     GIR_EraseRootFromParent_Done,
     /* 1355202 */   // Label 19305: @1355202
     /* 1355202 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1355286), // Rule ID 20464 //
     /* 1355207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1355227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355285 */     // GIR_Coverage, 20464,
     /* 1355285 */     GIR_EraseRootFromParent_Done,
     /* 1355286 */   // Label 19306: @1355286
     /* 1355286 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1355370), // Rule ID 20465 //
     /* 1355291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1355311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355369 */     // GIR_Coverage, 20465,
     /* 1355369 */     GIR_EraseRootFromParent_Done,
     /* 1355370 */   // Label 19307: @1355370
     /* 1355370 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1355454), // Rule ID 20468 //
     /* 1355375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1355395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355453 */     // GIR_Coverage, 20468,
     /* 1355453 */     GIR_EraseRootFromParent_Done,
     /* 1355454 */   // Label 19308: @1355454
     /* 1355454 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1355538), // Rule ID 20469 //
     /* 1355459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1355479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355537 */     // GIR_Coverage, 20469,
     /* 1355537 */     GIR_EraseRootFromParent_Done,
     /* 1355538 */   // Label 19309: @1355538
     /* 1355538 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1355622), // Rule ID 20472 //
     /* 1355543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1355563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355621 */     // GIR_Coverage, 20472,
     /* 1355621 */     GIR_EraseRootFromParent_Done,
     /* 1355622 */   // Label 19310: @1355622
     /* 1355622 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1355706), // Rule ID 20473 //
     /* 1355627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1355647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355705 */     // GIR_Coverage, 20473,
     /* 1355705 */     GIR_EraseRootFromParent_Done,
     /* 1355706 */   // Label 19311: @1355706
     /* 1355706 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1355790), // Rule ID 20476 //
     /* 1355711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1355731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355789 */     // GIR_Coverage, 20476,
     /* 1355789 */     GIR_EraseRootFromParent_Done,
     /* 1355790 */   // Label 19312: @1355790
     /* 1355790 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1355874), // Rule ID 20477 //
     /* 1355795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1355815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355873 */     // GIR_Coverage, 20477,
     /* 1355873 */     GIR_EraseRootFromParent_Done,
     /* 1355874 */   // Label 19313: @1355874
     /* 1355874 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1355958), // Rule ID 20480 //
     /* 1355879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1355899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355957 */     // GIR_Coverage, 20480,
     /* 1355957 */     GIR_EraseRootFromParent_Done,
     /* 1355958 */   // Label 19314: @1355958
     /* 1355958 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356042), // Rule ID 20481 //
     /* 1355963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1355983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1356019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356041 */     // GIR_Coverage, 20481,
     /* 1356041 */     GIR_EraseRootFromParent_Done,
     /* 1356042 */   // Label 19315: @1356042
     /* 1356042 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356123), // Rule ID 20538 //
     /* 1356047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1356067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356100 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1356103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356122 */     // GIR_Coverage, 20538,
     /* 1356122 */     GIR_EraseRootFromParent_Done,
     /* 1356123 */   // Label 19316: @1356123
     /* 1356123 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1356204), // Rule ID 20539 //
     /* 1356128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1356148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356181 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1356184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356203 */     // GIR_Coverage, 20539,
     /* 1356203 */     GIR_EraseRootFromParent_Done,
     /* 1356204 */   // Label 19317: @1356204
     /* 1356204 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1356285), // Rule ID 20540 //
     /* 1356209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356262 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1356265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356284 */     // GIR_Coverage, 20540,
     /* 1356284 */     GIR_EraseRootFromParent_Done,
     /* 1356285 */   // Label 19318: @1356285
     /* 1356285 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1356366), // Rule ID 20541 //
     /* 1356290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356343 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1356346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356365 */     // GIR_Coverage, 20541,
     /* 1356365 */     GIR_EraseRootFromParent_Done,
     /* 1356366 */   // Label 19319: @1356366
     /* 1356366 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1356447), // Rule ID 20542 //
     /* 1356371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1356391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356424 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356446 */     // GIR_Coverage, 20542,
     /* 1356446 */     GIR_EraseRootFromParent_Done,
     /* 1356447 */   // Label 19320: @1356447
     /* 1356447 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1356528), // Rule ID 20543 //
     /* 1356452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1356472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356505 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356527 */     // GIR_Coverage, 20543,
     /* 1356527 */     GIR_EraseRootFromParent_Done,
     /* 1356528 */   // Label 19321: @1356528
     /* 1356528 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1356609), // Rule ID 20544 //
     /* 1356533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356586 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1356589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356608 */     // GIR_Coverage, 20544,
     /* 1356608 */     GIR_EraseRootFromParent_Done,
     /* 1356609 */   // Label 19322: @1356609
     /* 1356609 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1356690), // Rule ID 20545 //
     /* 1356614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356667 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1356670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356689 */     // GIR_Coverage, 20545,
     /* 1356689 */     GIR_EraseRootFromParent_Done,
     /* 1356690 */   // Label 19323: @1356690
     /* 1356690 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1356771), // Rule ID 20546 //
     /* 1356695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1356706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1356709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1356715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1356748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356770 */     // GIR_Coverage, 20546,
     /* 1356770 */     GIR_EraseRootFromParent_Done,
     /* 1356771 */   // Label 19324: @1356771
     /* 1356771 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1356852), // Rule ID 20547 //
     /* 1356776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1356787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1356790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1356796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1356829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356851 */     // GIR_Coverage, 20547,
     /* 1356851 */     GIR_EraseRootFromParent_Done,
     /* 1356852 */   // Label 19325: @1356852
     /* 1356852 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1356933), // Rule ID 20548 //
     /* 1356857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1356868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1356871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1356899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356910 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1356910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1356913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356932 */     // GIR_Coverage, 20548,
     /* 1356932 */     GIR_EraseRootFromParent_Done,
     /* 1356933 */   // Label 19326: @1356933
     /* 1356933 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357014), // Rule ID 20549 //
     /* 1356938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1356949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1356952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1356980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356991 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1356991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1356994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357013 */     // GIR_Coverage, 20549,
     /* 1357013 */     GIR_EraseRootFromParent_Done,
     /* 1357014 */   // Label 19327: @1357014
     /* 1357014 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357095), // Rule ID 20550 //
     /* 1357019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1357022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1357072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357094 */     // GIR_Coverage, 20550,
     /* 1357094 */     GIR_EraseRootFromParent_Done,
     /* 1357095 */   // Label 19328: @1357095
     /* 1357095 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1357176), // Rule ID 20551 //
     /* 1357100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1357103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1357153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357175 */     // GIR_Coverage, 20551,
     /* 1357175 */     GIR_EraseRootFromParent_Done,
     /* 1357176 */   // Label 19329: @1357176
     /* 1357176 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1357257), // Rule ID 20552 //
     /* 1357181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1357184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1357234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1357237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357256 */     // GIR_Coverage, 20552,
     /* 1357256 */     GIR_EraseRootFromParent_Done,
     /* 1357257 */   // Label 19330: @1357257
     /* 1357257 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1357338), // Rule ID 20553 //
     /* 1357262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1357265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357315 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1357315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1357318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357337 */     // GIR_Coverage, 20553,
     /* 1357337 */     GIR_EraseRootFromParent_Done,
     /* 1357338 */   // Label 19331: @1357338
     /* 1357338 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1357419), // Rule ID 20554 //
     /* 1357343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357418 */     // GIR_Coverage, 20554,
     /* 1357418 */     GIR_EraseRootFromParent_Done,
     /* 1357419 */   // Label 19332: @1357419
     /* 1357419 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1357500), // Rule ID 20555 //
     /* 1357424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357499 */     // GIR_Coverage, 20555,
     /* 1357499 */     GIR_EraseRootFromParent_Done,
     /* 1357500 */   // Label 19333: @1357500
     /* 1357500 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1357581), // Rule ID 20556 //
     /* 1357505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1357561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357580 */     // GIR_Coverage, 20556,
     /* 1357580 */     GIR_EraseRootFromParent_Done,
     /* 1357581 */   // Label 19334: @1357581
     /* 1357581 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1357662), // Rule ID 20557 //
     /* 1357586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357639 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1357642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357661 */     // GIR_Coverage, 20557,
     /* 1357661 */     GIR_EraseRootFromParent_Done,
     /* 1357662 */   // Label 19335: @1357662
     /* 1357662 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1357743), // Rule ID 20558 //
     /* 1357667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1357720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357742 */     // GIR_Coverage, 20558,
     /* 1357742 */     GIR_EraseRootFromParent_Done,
     /* 1357743 */   // Label 19336: @1357743
     /* 1357743 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1357824), // Rule ID 20559 //
     /* 1357748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357801 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1357801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357823 */     // GIR_Coverage, 20559,
     /* 1357823 */     GIR_EraseRootFromParent_Done,
     /* 1357824 */   // Label 19337: @1357824
     /* 1357824 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1357905), // Rule ID 20560 //
     /* 1357829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1357871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1357882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1357885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357904 */     // GIR_Coverage, 20560,
     /* 1357904 */     GIR_EraseRootFromParent_Done,
     /* 1357905 */   // Label 19338: @1357905
     /* 1357905 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1357986), // Rule ID 20561 //
     /* 1357910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1357952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357963 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1357963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1357966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357985 */     // GIR_Coverage, 20561,
     /* 1357985 */     GIR_EraseRootFromParent_Done,
     /* 1357986 */   // Label 19339: @1357986
     /* 1357986 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358067), // Rule ID 20562 //
     /* 1357991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1357994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1358011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1358047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358066 */     // GIR_Coverage, 20562,
     /* 1358066 */     GIR_EraseRootFromParent_Done,
     /* 1358067 */   // Label 19340: @1358067
     /* 1358067 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1358148), // Rule ID 20563 //
     /* 1358072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1358075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1358092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358125 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1358128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358147 */     // GIR_Coverage, 20563,
     /* 1358147 */     GIR_EraseRootFromParent_Done,
     /* 1358148 */   // Label 19341: @1358148
     /* 1358148 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1358229), // Rule ID 20564 //
     /* 1358153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358206 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1358209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358228 */     // GIR_Coverage, 20564,
     /* 1358228 */     GIR_EraseRootFromParent_Done,
     /* 1358229 */   // Label 19342: @1358229
     /* 1358229 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1358310), // Rule ID 20565 //
     /* 1358234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1358290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358309 */     // GIR_Coverage, 20565,
     /* 1358309 */     GIR_EraseRootFromParent_Done,
     /* 1358310 */   // Label 19343: @1358310
     /* 1358310 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1358391), // Rule ID 20566 //
     /* 1358315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1358318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1358335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358390 */     // GIR_Coverage, 20566,
     /* 1358390 */     GIR_EraseRootFromParent_Done,
     /* 1358391 */   // Label 19344: @1358391
     /* 1358391 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1358472), // Rule ID 20567 //
     /* 1358396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1358399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1358416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358449 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358471 */     // GIR_Coverage, 20567,
     /* 1358471 */     GIR_EraseRootFromParent_Done,
     /* 1358472 */   // Label 19345: @1358472
     /* 1358472 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1358553), // Rule ID 20568 //
     /* 1358477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1358533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358552 */     // GIR_Coverage, 20568,
     /* 1358552 */     GIR_EraseRootFromParent_Done,
     /* 1358553 */   // Label 19346: @1358553
     /* 1358553 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1358634), // Rule ID 20569 //
     /* 1358558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358611 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1358614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358633 */     // GIR_Coverage, 20569,
     /* 1358633 */     GIR_EraseRootFromParent_Done,
     /* 1358634 */   // Label 19347: @1358634
     /* 1358634 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1358715), // Rule ID 20570 //
     /* 1358639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1358642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1358650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1358653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1358659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358692 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1358695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358714 */     // GIR_Coverage, 20570,
     /* 1358714 */     GIR_EraseRootFromParent_Done,
     /* 1358715 */   // Label 19348: @1358715
     /* 1358715 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1358796), // Rule ID 20571 //
     /* 1358720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1358723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1358731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1358734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1358740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358773 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1358776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358795 */     // GIR_Coverage, 20571,
     /* 1358795 */     GIR_EraseRootFromParent_Done,
     /* 1358796 */   // Label 19349: @1358796
     /* 1358796 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1358877), // Rule ID 20572 //
     /* 1358801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1358812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1358815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358854 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1358857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358876 */     // GIR_Coverage, 20572,
     /* 1358876 */     GIR_EraseRootFromParent_Done,
     /* 1358877 */   // Label 19350: @1358877
     /* 1358877 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1358958), // Rule ID 20573 //
     /* 1358882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1358893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1358896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358935 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1358938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358957 */     // GIR_Coverage, 20573,
     /* 1358957 */     GIR_EraseRootFromParent_Done,
     /* 1358958 */   // Label 19351: @1358958
     /* 1358958 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359039), // Rule ID 20574 //
     /* 1358963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1358966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1358974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1358977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1358980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1358983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359016 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1359019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359038 */     // GIR_Coverage, 20574,
     /* 1359038 */     GIR_EraseRootFromParent_Done,
     /* 1359039 */   // Label 19352: @1359039
     /* 1359039 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1359120), // Rule ID 20575 //
     /* 1359044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1359064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1359100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359119 */     // GIR_Coverage, 20575,
     /* 1359119 */     GIR_EraseRootFromParent_Done,
     /* 1359120 */   // Label 19353: @1359120
     /* 1359120 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1359201), // Rule ID 20576 //
     /* 1359125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359178 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1359181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359200 */     // GIR_Coverage, 20576,
     /* 1359200 */     GIR_EraseRootFromParent_Done,
     /* 1359201 */   // Label 19354: @1359201
     /* 1359201 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1359282), // Rule ID 20577 //
     /* 1359206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359259 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1359262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359281 */     // GIR_Coverage, 20577,
     /* 1359281 */     GIR_EraseRootFromParent_Done,
     /* 1359282 */   // Label 19355: @1359282
     /* 1359282 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1359363), // Rule ID 20578 //
     /* 1359287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359340 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1359343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359362 */     // GIR_Coverage, 20578,
     /* 1359362 */     GIR_EraseRootFromParent_Done,
     /* 1359363 */   // Label 19356: @1359363
     /* 1359363 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1359444), // Rule ID 20579 //
     /* 1359368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1359424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359443 */     // GIR_Coverage, 20579,
     /* 1359443 */     GIR_EraseRootFromParent_Done,
     /* 1359444 */   // Label 19357: @1359444
     /* 1359444 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1359525), // Rule ID 20580 //
     /* 1359449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1359505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359524 */     // GIR_Coverage, 20580,
     /* 1359524 */     GIR_EraseRootFromParent_Done,
     /* 1359525 */   // Label 19358: @1359525
     /* 1359525 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1359606), // Rule ID 20581 //
     /* 1359530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359583 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1359586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359605 */     // GIR_Coverage, 20581,
     /* 1359605 */     GIR_EraseRootFromParent_Done,
     /* 1359606 */   // Label 19359: @1359606
     /* 1359606 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1359687), // Rule ID 20582 //
     /* 1359611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1359622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1359625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1359631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359664 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1359667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359686 */     // GIR_Coverage, 20582,
     /* 1359686 */     GIR_EraseRootFromParent_Done,
     /* 1359687 */   // Label 19360: @1359687
     /* 1359687 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1359768), // Rule ID 20583 //
     /* 1359692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1359703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1359706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1359712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359745 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1359748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359767 */     // GIR_Coverage, 20583,
     /* 1359767 */     GIR_EraseRootFromParent_Done,
     /* 1359768 */   // Label 19361: @1359768
     /* 1359768 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1359849), // Rule ID 20584 //
     /* 1359773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1359784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1359787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359826 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1359829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359848 */     // GIR_Coverage, 20584,
     /* 1359848 */     GIR_EraseRootFromParent_Done,
     /* 1359849 */   // Label 19362: @1359849
     /* 1359849 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1359930), // Rule ID 20585 //
     /* 1359854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1359865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1359868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1359910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359929 */     // GIR_Coverage, 20585,
     /* 1359929 */     GIR_EraseRootFromParent_Done,
     /* 1359930 */   // Label 19363: @1359930
     /* 1359930 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1360011), // Rule ID 20586 //
     /* 1359935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1359938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1359946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1359949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1359952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1359955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359988 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1359988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1359991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360010 */     // GIR_Coverage, 20586,
     /* 1360010 */     GIR_EraseRootFromParent_Done,
     /* 1360011 */   // Label 19364: @1360011
     /* 1360011 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1360092), // Rule ID 20587 //
     /* 1360016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1360036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360069 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1360072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360091 */     // GIR_Coverage, 20587,
     /* 1360091 */     GIR_EraseRootFromParent_Done,
     /* 1360092 */   // Label 19365: @1360092
     /* 1360092 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1360173), // Rule ID 20588 //
     /* 1360097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360150 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1360153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360172 */     // GIR_Coverage, 20588,
     /* 1360172 */     GIR_EraseRootFromParent_Done,
     /* 1360173 */   // Label 19366: @1360173
     /* 1360173 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1360254), // Rule ID 20589 //
     /* 1360178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360231 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1360234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360253 */     // GIR_Coverage, 20589,
     /* 1360253 */     GIR_EraseRootFromParent_Done,
     /* 1360254 */   // Label 19367: @1360254
     /* 1360254 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1360335), // Rule ID 20590 //
     /* 1360259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360312 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1360315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360334 */     // GIR_Coverage, 20590,
     /* 1360334 */     GIR_EraseRootFromParent_Done,
     /* 1360335 */   // Label 19368: @1360335
     /* 1360335 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1360416), // Rule ID 20591 //
     /* 1360340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360393 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1360396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360415 */     // GIR_Coverage, 20591,
     /* 1360415 */     GIR_EraseRootFromParent_Done,
     /* 1360416 */   // Label 19369: @1360416
     /* 1360416 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1360497), // Rule ID 20592 //
     /* 1360421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360474 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1360477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360496 */     // GIR_Coverage, 20592,
     /* 1360496 */     GIR_EraseRootFromParent_Done,
     /* 1360497 */   // Label 19370: @1360497
     /* 1360497 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1360578), // Rule ID 20593 //
     /* 1360502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360555 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1360558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360577 */     // GIR_Coverage, 20593,
     /* 1360577 */     GIR_EraseRootFromParent_Done,
     /* 1360578 */   // Label 19371: @1360578
     /* 1360578 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1360659), // Rule ID 20594 //
     /* 1360583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1360594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1360597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1360603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1360639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360658 */     // GIR_Coverage, 20594,
     /* 1360658 */     GIR_EraseRootFromParent_Done,
     /* 1360659 */   // Label 19372: @1360659
     /* 1360659 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1360740), // Rule ID 20595 //
     /* 1360664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1360675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1360678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1360684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1360720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360739 */     // GIR_Coverage, 20595,
     /* 1360739 */     GIR_EraseRootFromParent_Done,
     /* 1360740 */   // Label 19373: @1360740
     /* 1360740 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1360821), // Rule ID 20596 //
     /* 1360745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1360756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1360759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1360801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360820 */     // GIR_Coverage, 20596,
     /* 1360820 */     GIR_EraseRootFromParent_Done,
     /* 1360821 */   // Label 19374: @1360821
     /* 1360821 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1360902), // Rule ID 20597 //
     /* 1360826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1360837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1360840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360879 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1360882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360901 */     // GIR_Coverage, 20597,
     /* 1360901 */     GIR_EraseRootFromParent_Done,
     /* 1360902 */   // Label 19375: @1360902
     /* 1360902 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1360986), // Rule ID 21978 //
     /* 1360907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1360924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1360963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360985 */     // GIR_Coverage, 21978,
     /* 1360985 */     GIR_EraseRootFromParent_Done,
     /* 1360986 */   // Label 19376: @1360986
     /* 1360986 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1361070), // Rule ID 21979 //
     /* 1360991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1361047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361069 */     // GIR_Coverage, 21979,
     /* 1361069 */     GIR_EraseRootFromParent_Done,
     /* 1361070 */   // Label 19377: @1361070
     /* 1361070 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1361154), // Rule ID 21982 //
     /* 1361075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1361131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361153 */     // GIR_Coverage, 21982,
     /* 1361153 */     GIR_EraseRootFromParent_Done,
     /* 1361154 */   // Label 19378: @1361154
     /* 1361154 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1361238), // Rule ID 21983 //
     /* 1361159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1361215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361237 */     // GIR_Coverage, 21983,
     /* 1361237 */     GIR_EraseRootFromParent_Done,
     /* 1361238 */   // Label 19379: @1361238
     /* 1361238 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1361322), // Rule ID 21986 //
     /* 1361243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1361299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361321 */     // GIR_Coverage, 21986,
     /* 1361321 */     GIR_EraseRootFromParent_Done,
     /* 1361322 */   // Label 19380: @1361322
     /* 1361322 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1361406), // Rule ID 21987 //
     /* 1361327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1361383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361405 */     // GIR_Coverage, 21987,
     /* 1361405 */     GIR_EraseRootFromParent_Done,
     /* 1361406 */   // Label 19381: @1361406
     /* 1361406 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1361490), // Rule ID 21990 //
     /* 1361411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1361467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361489 */     // GIR_Coverage, 21990,
     /* 1361489 */     GIR_EraseRootFromParent_Done,
     /* 1361490 */   // Label 19382: @1361490
     /* 1361490 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1361574), // Rule ID 21991 //
     /* 1361495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1361551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361573 */     // GIR_Coverage, 21991,
     /* 1361573 */     GIR_EraseRootFromParent_Done,
     /* 1361574 */   // Label 19383: @1361574
     /* 1361574 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1361658), // Rule ID 21994 //
     /* 1361579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1361635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361657 */     // GIR_Coverage, 21994,
     /* 1361657 */     GIR_EraseRootFromParent_Done,
     /* 1361658 */   // Label 19384: @1361658
     /* 1361658 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1361742), // Rule ID 21995 //
     /* 1361663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1361719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361741 */     // GIR_Coverage, 21995,
     /* 1361741 */     GIR_EraseRootFromParent_Done,
     /* 1361742 */   // Label 19385: @1361742
     /* 1361742 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1361826), // Rule ID 21998 //
     /* 1361747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1361764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1361803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361825 */     // GIR_Coverage, 21998,
     /* 1361825 */     GIR_EraseRootFromParent_Done,
     /* 1361826 */   // Label 19386: @1361826
     /* 1361826 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1361910), // Rule ID 21999 //
     /* 1361831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1361848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1361887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361909 */     // GIR_Coverage, 21999,
     /* 1361909 */     GIR_EraseRootFromParent_Done,
     /* 1361910 */   // Label 19387: @1361910
     /* 1361910 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1361994), // Rule ID 22002 //
     /* 1361915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1361971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361993 */     // GIR_Coverage, 22002,
     /* 1361993 */     GIR_EraseRootFromParent_Done,
     /* 1361994 */   // Label 19388: @1361994
     /* 1361994 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1362078), // Rule ID 22003 //
     /* 1361999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1362055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362077 */     // GIR_Coverage, 22003,
     /* 1362077 */     GIR_EraseRootFromParent_Done,
     /* 1362078 */   // Label 19389: @1362078
     /* 1362078 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1362162), // Rule ID 22006 //
     /* 1362083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1362139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362161 */     // GIR_Coverage, 22006,
     /* 1362161 */     GIR_EraseRootFromParent_Done,
     /* 1362162 */   // Label 19390: @1362162
     /* 1362162 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1362246), // Rule ID 22007 //
     /* 1362167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1362223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362245 */     // GIR_Coverage, 22007,
     /* 1362245 */     GIR_EraseRootFromParent_Done,
     /* 1362246 */   // Label 19391: @1362246
     /* 1362246 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1362330), // Rule ID 22010 //
     /* 1362251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1362307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362329 */     // GIR_Coverage, 22010,
     /* 1362329 */     GIR_EraseRootFromParent_Done,
     /* 1362330 */   // Label 19392: @1362330
     /* 1362330 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1362414), // Rule ID 22011 //
     /* 1362335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1362391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362413 */     // GIR_Coverage, 22011,
     /* 1362413 */     GIR_EraseRootFromParent_Done,
     /* 1362414 */   // Label 19393: @1362414
     /* 1362414 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1362498), // Rule ID 22014 //
     /* 1362419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1362436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1362475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362497 */     // GIR_Coverage, 22014,
     /* 1362497 */     GIR_EraseRootFromParent_Done,
     /* 1362498 */   // Label 19394: @1362498
     /* 1362498 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1362582), // Rule ID 22015 //
     /* 1362503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1362520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1362559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362581 */     // GIR_Coverage, 22015,
     /* 1362581 */     GIR_EraseRootFromParent_Done,
     /* 1362582 */   // Label 19395: @1362582
     /* 1362582 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1362666), // Rule ID 22018 //
     /* 1362587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1362604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1362643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362665 */     // GIR_Coverage, 22018,
     /* 1362665 */     GIR_EraseRootFromParent_Done,
     /* 1362666 */   // Label 19396: @1362666
     /* 1362666 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1362750), // Rule ID 22019 //
     /* 1362671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1362688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1362727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362749 */     // GIR_Coverage, 22019,
     /* 1362749 */     GIR_EraseRootFromParent_Done,
     /* 1362750 */   // Label 19397: @1362750
     /* 1362750 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1362834), // Rule ID 22022 //
     /* 1362755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1362772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1362778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1362811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362833 */     // GIR_Coverage, 22022,
     /* 1362833 */     GIR_EraseRootFromParent_Done,
     /* 1362834 */   // Label 19398: @1362834
     /* 1362834 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1362918), // Rule ID 22023 //
     /* 1362839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1362856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1362862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1362895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362917 */     // GIR_Coverage, 22023,
     /* 1362917 */     GIR_EraseRootFromParent_Done,
     /* 1362918 */   // Label 19399: @1362918
     /* 1362918 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1363002), // Rule ID 22026 //
     /* 1362923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1362979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363001 */     // GIR_Coverage, 22026,
     /* 1363001 */     GIR_EraseRootFromParent_Done,
     /* 1363002 */   // Label 19400: @1363002
     /* 1363002 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1363086), // Rule ID 22027 //
     /* 1363007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1363063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363085 */     // GIR_Coverage, 22027,
     /* 1363085 */     GIR_EraseRootFromParent_Done,
     /* 1363086 */   // Label 19401: @1363086
     /* 1363086 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1363170), // Rule ID 22030 //
     /* 1363091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1363147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363169 */     // GIR_Coverage, 22030,
     /* 1363169 */     GIR_EraseRootFromParent_Done,
     /* 1363170 */   // Label 19402: @1363170
     /* 1363170 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1363254), // Rule ID 22031 //
     /* 1363175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1363231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363253 */     // GIR_Coverage, 22031,
     /* 1363253 */     GIR_EraseRootFromParent_Done,
     /* 1363254 */   // Label 19403: @1363254
     /* 1363254 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1363338), // Rule ID 22034 //
     /* 1363259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1363315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363337 */     // GIR_Coverage, 22034,
     /* 1363337 */     GIR_EraseRootFromParent_Done,
     /* 1363338 */   // Label 19404: @1363338
     /* 1363338 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1363422), // Rule ID 22035 //
     /* 1363343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1363399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363421 */     // GIR_Coverage, 22035,
     /* 1363421 */     GIR_EraseRootFromParent_Done,
     /* 1363422 */   // Label 19405: @1363422
     /* 1363422 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1363506), // Rule ID 22038 //
     /* 1363427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1363483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363505 */     // GIR_Coverage, 22038,
     /* 1363505 */     GIR_EraseRootFromParent_Done,
     /* 1363506 */   // Label 19406: @1363506
     /* 1363506 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1363590), // Rule ID 22039 //
     /* 1363511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1363567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363589 */     // GIR_Coverage, 22039,
     /* 1363589 */     GIR_EraseRootFromParent_Done,
     /* 1363590 */   // Label 19407: @1363590
     /* 1363590 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1363674), // Rule ID 22042 //
     /* 1363595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1363612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1363651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363673 */     // GIR_Coverage, 22042,
     /* 1363673 */     GIR_EraseRootFromParent_Done,
     /* 1363674 */   // Label 19408: @1363674
     /* 1363674 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1363758), // Rule ID 22043 //
     /* 1363679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1363696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1363735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363757 */     // GIR_Coverage, 22043,
     /* 1363757 */     GIR_EraseRootFromParent_Done,
     /* 1363758 */   // Label 19409: @1363758
     /* 1363758 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1363842), // Rule ID 22046 //
     /* 1363763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1363780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1363819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363841 */     // GIR_Coverage, 22046,
     /* 1363841 */     GIR_EraseRootFromParent_Done,
     /* 1363842 */   // Label 19410: @1363842
     /* 1363842 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1363926), // Rule ID 22047 //
     /* 1363847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1363864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1363903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363925 */     // GIR_Coverage, 22047,
     /* 1363925 */     GIR_EraseRootFromParent_Done,
     /* 1363926 */   // Label 19411: @1363926
     /* 1363926 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1364010), // Rule ID 22050 //
     /* 1363931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1363948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1363987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364009 */     // GIR_Coverage, 22050,
     /* 1364009 */     GIR_EraseRootFromParent_Done,
     /* 1364010 */   // Label 19412: @1364010
     /* 1364010 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1364094), // Rule ID 22051 //
     /* 1364015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1364071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364093 */     // GIR_Coverage, 22051,
     /* 1364093 */     GIR_EraseRootFromParent_Done,
     /* 1364094 */   // Label 19413: @1364094
     /* 1364094 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1364178), // Rule ID 22054 //
     /* 1364099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1364155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364177 */     // GIR_Coverage, 22054,
     /* 1364177 */     GIR_EraseRootFromParent_Done,
     /* 1364178 */   // Label 19414: @1364178
     /* 1364178 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1364262), // Rule ID 22055 //
     /* 1364183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1364239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364261 */     // GIR_Coverage, 22055,
     /* 1364261 */     GIR_EraseRootFromParent_Done,
     /* 1364262 */   // Label 19415: @1364262
     /* 1364262 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1364346), // Rule ID 22058 //
     /* 1364267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1364284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1364323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364345 */     // GIR_Coverage, 22058,
     /* 1364345 */     GIR_EraseRootFromParent_Done,
     /* 1364346 */   // Label 19416: @1364346
     /* 1364346 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1364430), // Rule ID 22059 //
     /* 1364351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1364368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1364407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364429 */     // GIR_Coverage, 22059,
     /* 1364429 */     GIR_EraseRootFromParent_Done,
     /* 1364430 */   // Label 19417: @1364430
     /* 1364430 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1364514), // Rule ID 22062 //
     /* 1364435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1364452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1364491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364513 */     // GIR_Coverage, 22062,
     /* 1364513 */     GIR_EraseRootFromParent_Done,
     /* 1364514 */   // Label 19418: @1364514
     /* 1364514 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1364598), // Rule ID 22063 //
     /* 1364519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1364536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1364575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364597 */     // GIR_Coverage, 22063,
     /* 1364597 */     GIR_EraseRootFromParent_Done,
     /* 1364598 */   // Label 19419: @1364598
     /* 1364598 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1364682), // Rule ID 22066 //
     /* 1364603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1364620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1364659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364681 */     // GIR_Coverage, 22066,
     /* 1364681 */     GIR_EraseRootFromParent_Done,
     /* 1364682 */   // Label 19420: @1364682
     /* 1364682 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1364766), // Rule ID 22067 //
     /* 1364687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1364704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1364743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364765 */     // GIR_Coverage, 22067,
     /* 1364765 */     GIR_EraseRootFromParent_Done,
     /* 1364766 */   // Label 19421: @1364766
     /* 1364766 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1364850), // Rule ID 22070 //
     /* 1364771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1364788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1364827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364849 */     // GIR_Coverage, 22070,
     /* 1364849 */     GIR_EraseRootFromParent_Done,
     /* 1364850 */   // Label 19422: @1364850
     /* 1364850 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1364934), // Rule ID 22071 //
     /* 1364855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1364872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1364911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364933 */     // GIR_Coverage, 22071,
     /* 1364933 */     GIR_EraseRootFromParent_Done,
     /* 1364934 */   // Label 19423: @1364934
     /* 1364934 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1365018), // Rule ID 22074 //
     /* 1364939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1364956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1364995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365017 */     // GIR_Coverage, 22074,
     /* 1365017 */     GIR_EraseRootFromParent_Done,
     /* 1365018 */   // Label 19424: @1365018
     /* 1365018 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1365102), // Rule ID 22075 //
     /* 1365023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1365079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365101 */     // GIR_Coverage, 22075,
     /* 1365101 */     GIR_EraseRootFromParent_Done,
     /* 1365102 */   // Label 19425: @1365102
     /* 1365102 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1365186), // Rule ID 22078 //
     /* 1365107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1365163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365185 */     // GIR_Coverage, 22078,
     /* 1365185 */     GIR_EraseRootFromParent_Done,
     /* 1365186 */   // Label 19426: @1365186
     /* 1365186 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1365270), // Rule ID 22079 //
     /* 1365191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1365247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365269 */     // GIR_Coverage, 22079,
     /* 1365269 */     GIR_EraseRootFromParent_Done,
     /* 1365270 */   // Label 19427: @1365270
     /* 1365270 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1365354), // Rule ID 22082 //
     /* 1365275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1365292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1365331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365353 */     // GIR_Coverage, 22082,
     /* 1365353 */     GIR_EraseRootFromParent_Done,
     /* 1365354 */   // Label 19428: @1365354
     /* 1365354 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1365438), // Rule ID 22083 //
     /* 1365359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1365376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1365415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365437 */     // GIR_Coverage, 22083,
     /* 1365437 */     GIR_EraseRootFromParent_Done,
     /* 1365438 */   // Label 19429: @1365438
     /* 1365438 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1365522), // Rule ID 22086 //
     /* 1365443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1365460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1365499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365521 */     // GIR_Coverage, 22086,
     /* 1365521 */     GIR_EraseRootFromParent_Done,
     /* 1365522 */   // Label 19430: @1365522
     /* 1365522 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1365606), // Rule ID 22087 //
     /* 1365527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1365544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1365583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365605 */     // GIR_Coverage, 22087,
     /* 1365605 */     GIR_EraseRootFromParent_Done,
     /* 1365606 */   // Label 19431: @1365606
     /* 1365606 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1365690), // Rule ID 22090 //
     /* 1365611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1365628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1365667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365689 */     // GIR_Coverage, 22090,
     /* 1365689 */     GIR_EraseRootFromParent_Done,
     /* 1365690 */   // Label 19432: @1365690
     /* 1365690 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1365774), // Rule ID 22091 //
     /* 1365695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1365712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1365751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365773 */     // GIR_Coverage, 22091,
     /* 1365773 */     GIR_EraseRootFromParent_Done,
     /* 1365774 */   // Label 19433: @1365774
     /* 1365774 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1365858), // Rule ID 22094 //
     /* 1365779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1365796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1365835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365857 */     // GIR_Coverage, 22094,
     /* 1365857 */     GIR_EraseRootFromParent_Done,
     /* 1365858 */   // Label 19434: @1365858
     /* 1365858 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1365942), // Rule ID 22095 //
     /* 1365863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1365880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1365919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365941 */     // GIR_Coverage, 22095,
     /* 1365941 */     GIR_EraseRootFromParent_Done,
     /* 1365942 */   // Label 19435: @1365942
     /* 1365942 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1366026), // Rule ID 22098 //
     /* 1365947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1365964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1366003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366025 */     // GIR_Coverage, 22098,
     /* 1366025 */     GIR_EraseRootFromParent_Done,
     /* 1366026 */   // Label 19436: @1366026
     /* 1366026 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1366110), // Rule ID 22099 //
     /* 1366031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1366087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366109 */     // GIR_Coverage, 22099,
     /* 1366109 */     GIR_EraseRootFromParent_Done,
     /* 1366110 */   // Label 19437: @1366110
     /* 1366110 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1366194), // Rule ID 22102 //
     /* 1366115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1366171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366193 */     // GIR_Coverage, 22102,
     /* 1366193 */     GIR_EraseRootFromParent_Done,
     /* 1366194 */   // Label 19438: @1366194
     /* 1366194 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1366278), // Rule ID 22103 //
     /* 1366199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1366255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366277 */     // GIR_Coverage, 22103,
     /* 1366277 */     GIR_EraseRootFromParent_Done,
     /* 1366278 */   // Label 19439: @1366278
     /* 1366278 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1366362), // Rule ID 22106 //
     /* 1366283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1366300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1366339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366361 */     // GIR_Coverage, 22106,
     /* 1366361 */     GIR_EraseRootFromParent_Done,
     /* 1366362 */   // Label 19440: @1366362
     /* 1366362 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1366446), // Rule ID 22107 //
     /* 1366367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1366384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1366423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366445 */     // GIR_Coverage, 22107,
     /* 1366445 */     GIR_EraseRootFromParent_Done,
     /* 1366446 */   // Label 19441: @1366446
     /* 1366446 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1366530), // Rule ID 22110 //
     /* 1366451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1366468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1366474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1366507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366529 */     // GIR_Coverage, 22110,
     /* 1366529 */     GIR_EraseRootFromParent_Done,
     /* 1366530 */   // Label 19442: @1366530
     /* 1366530 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1366614), // Rule ID 22111 //
     /* 1366535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1366552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1366558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366588 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1366591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366613 */     // GIR_Coverage, 22111,
     /* 1366613 */     GIR_EraseRootFromParent_Done,
     /* 1366614 */   // Label 19443: @1366614
     /* 1366614 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1366698), // Rule ID 22114 //
     /* 1366619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1366675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366697 */     // GIR_Coverage, 22114,
     /* 1366697 */     GIR_EraseRootFromParent_Done,
     /* 1366698 */   // Label 19444: @1366698
     /* 1366698 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1366782), // Rule ID 22115 //
     /* 1366703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1366759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366781 */     // GIR_Coverage, 22115,
     /* 1366781 */     GIR_EraseRootFromParent_Done,
     /* 1366782 */   // Label 19445: @1366782
     /* 1366782 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1366866), // Rule ID 22118 //
     /* 1366787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1366843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366865 */     // GIR_Coverage, 22118,
     /* 1366865 */     GIR_EraseRootFromParent_Done,
     /* 1366866 */   // Label 19446: @1366866
     /* 1366866 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1366950), // Rule ID 22119 //
     /* 1366871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1366927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366949 */     // GIR_Coverage, 22119,
     /* 1366949 */     GIR_EraseRootFromParent_Done,
     /* 1366950 */   // Label 19447: @1366950
     /* 1366950 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1367034), // Rule ID 22122 //
     /* 1366955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1366972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1367011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367033 */     // GIR_Coverage, 22122,
     /* 1367033 */     GIR_EraseRootFromParent_Done,
     /* 1367034 */   // Label 19448: @1367034
     /* 1367034 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1367118), // Rule ID 22123 //
     /* 1367039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1367095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367117 */     // GIR_Coverage, 22123,
     /* 1367117 */     GIR_EraseRootFromParent_Done,
     /* 1367118 */   // Label 19449: @1367118
     /* 1367118 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1367202), // Rule ID 22126 //
     /* 1367123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1367179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367201 */     // GIR_Coverage, 22126,
     /* 1367201 */     GIR_EraseRootFromParent_Done,
     /* 1367202 */   // Label 19450: @1367202
     /* 1367202 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1367286), // Rule ID 22127 //
     /* 1367207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1367263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367285 */     // GIR_Coverage, 22127,
     /* 1367285 */     GIR_EraseRootFromParent_Done,
     /* 1367286 */   // Label 19451: @1367286
     /* 1367286 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1367370), // Rule ID 22130 //
     /* 1367291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1367347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367369 */     // GIR_Coverage, 22130,
     /* 1367369 */     GIR_EraseRootFromParent_Done,
     /* 1367370 */   // Label 19452: @1367370
     /* 1367370 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1367454), // Rule ID 22131 //
     /* 1367375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1367431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367453 */     // GIR_Coverage, 22131,
     /* 1367453 */     GIR_EraseRootFromParent_Done,
     /* 1367454 */   // Label 19453: @1367454
     /* 1367454 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1367538), // Rule ID 22134 //
     /* 1367459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1367476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1367515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367537 */     // GIR_Coverage, 22134,
     /* 1367537 */     GIR_EraseRootFromParent_Done,
     /* 1367538 */   // Label 19454: @1367538
     /* 1367538 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1367622), // Rule ID 22135 //
     /* 1367543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1367560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1367599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367621 */     // GIR_Coverage, 22135,
     /* 1367621 */     GIR_EraseRootFromParent_Done,
     /* 1367622 */   // Label 19455: @1367622
     /* 1367622 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1367706), // Rule ID 22138 //
     /* 1367627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1367683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367705 */     // GIR_Coverage, 22138,
     /* 1367705 */     GIR_EraseRootFromParent_Done,
     /* 1367706 */   // Label 19456: @1367706
     /* 1367706 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1367790), // Rule ID 22139 //
     /* 1367711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1367767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367789 */     // GIR_Coverage, 22139,
     /* 1367789 */     GIR_EraseRootFromParent_Done,
     /* 1367790 */   // Label 19457: @1367790
     /* 1367790 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1367874), // Rule ID 22142 //
     /* 1367795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1367851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367873 */     // GIR_Coverage, 22142,
     /* 1367873 */     GIR_EraseRootFromParent_Done,
     /* 1367874 */   // Label 19458: @1367874
     /* 1367874 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1367958), // Rule ID 22143 //
     /* 1367879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1367935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367957 */     // GIR_Coverage, 22143,
     /* 1367957 */     GIR_EraseRootFromParent_Done,
     /* 1367958 */   // Label 19459: @1367958
     /* 1367958 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1368042), // Rule ID 22146 //
     /* 1367963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1367980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1368019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368041 */     // GIR_Coverage, 22146,
     /* 1368041 */     GIR_EraseRootFromParent_Done,
     /* 1368042 */   // Label 19460: @1368042
     /* 1368042 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1368126), // Rule ID 22147 //
     /* 1368047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1368103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368125 */     // GIR_Coverage, 22147,
     /* 1368125 */     GIR_EraseRootFromParent_Done,
     /* 1368126 */   // Label 19461: @1368126
     /* 1368126 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1368210), // Rule ID 22150 //
     /* 1368131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1368187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368209 */     // GIR_Coverage, 22150,
     /* 1368209 */     GIR_EraseRootFromParent_Done,
     /* 1368210 */   // Label 19462: @1368210
     /* 1368210 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1368294), // Rule ID 22151 //
     /* 1368215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1368271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368293 */     // GIR_Coverage, 22151,
     /* 1368293 */     GIR_EraseRootFromParent_Done,
     /* 1368294 */   // Label 19463: @1368294
     /* 1368294 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1368378), // Rule ID 22154 //
     /* 1368299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1368316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1368355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368377 */     // GIR_Coverage, 22154,
     /* 1368377 */     GIR_EraseRootFromParent_Done,
     /* 1368378 */   // Label 19464: @1368378
     /* 1368378 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1368462), // Rule ID 22155 //
     /* 1368383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1368400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1368439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368461 */     // GIR_Coverage, 22155,
     /* 1368461 */     GIR_EraseRootFromParent_Done,
     /* 1368462 */   // Label 19465: @1368462
     /* 1368462 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1368546), // Rule ID 22158 //
     /* 1368467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1368523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368545 */     // GIR_Coverage, 22158,
     /* 1368545 */     GIR_EraseRootFromParent_Done,
     /* 1368546 */   // Label 19466: @1368546
     /* 1368546 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1368630), // Rule ID 22159 //
     /* 1368551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1368607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368629 */     // GIR_Coverage, 22159,
     /* 1368629 */     GIR_EraseRootFromParent_Done,
     /* 1368630 */   // Label 19467: @1368630
     /* 1368630 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1368714), // Rule ID 22162 //
     /* 1368635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1368691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368713 */     // GIR_Coverage, 22162,
     /* 1368713 */     GIR_EraseRootFromParent_Done,
     /* 1368714 */   // Label 19468: @1368714
     /* 1368714 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1368798), // Rule ID 22163 //
     /* 1368719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1368775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368797 */     // GIR_Coverage, 22163,
     /* 1368797 */     GIR_EraseRootFromParent_Done,
     /* 1368798 */   // Label 19469: @1368798
     /* 1368798 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1368882), // Rule ID 22166 //
     /* 1368803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1368859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368881 */     // GIR_Coverage, 22166,
     /* 1368881 */     GIR_EraseRootFromParent_Done,
     /* 1368882 */   // Label 19470: @1368882
     /* 1368882 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1368966), // Rule ID 22167 //
     /* 1368887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1368943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368965 */     // GIR_Coverage, 22167,
     /* 1368965 */     GIR_EraseRootFromParent_Done,
     /* 1368966 */   // Label 19471: @1368966
     /* 1368966 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1369050), // Rule ID 22170 //
     /* 1368971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1368988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1369027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369049 */     // GIR_Coverage, 22170,
     /* 1369049 */     GIR_EraseRootFromParent_Done,
     /* 1369050 */   // Label 19472: @1369050
     /* 1369050 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1369134), // Rule ID 22171 //
     /* 1369055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1369111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369133 */     // GIR_Coverage, 22171,
     /* 1369133 */     GIR_EraseRootFromParent_Done,
     /* 1369134 */   // Label 19473: @1369134
     /* 1369134 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1369218), // Rule ID 22174 //
     /* 1369139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1369195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369217 */     // GIR_Coverage, 22174,
     /* 1369217 */     GIR_EraseRootFromParent_Done,
     /* 1369218 */   // Label 19474: @1369218
     /* 1369218 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1369302), // Rule ID 22175 //
     /* 1369223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1369279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369301 */     // GIR_Coverage, 22175,
     /* 1369301 */     GIR_EraseRootFromParent_Done,
     /* 1369302 */   // Label 19475: @1369302
     /* 1369302 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1369386), // Rule ID 22178 //
     /* 1369307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1369363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369385 */     // GIR_Coverage, 22178,
     /* 1369385 */     GIR_EraseRootFromParent_Done,
     /* 1369386 */   // Label 19476: @1369386
     /* 1369386 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1369470), // Rule ID 22179 //
     /* 1369391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1369447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369469 */     // GIR_Coverage, 22179,
     /* 1369469 */     GIR_EraseRootFromParent_Done,
     /* 1369470 */   // Label 19477: @1369470
     /* 1369470 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1369554), // Rule ID 22182 //
     /* 1369475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1369531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369553 */     // GIR_Coverage, 22182,
     /* 1369553 */     GIR_EraseRootFromParent_Done,
     /* 1369554 */   // Label 19478: @1369554
     /* 1369554 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1369638), // Rule ID 22183 //
     /* 1369559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1369615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369637 */     // GIR_Coverage, 22183,
     /* 1369637 */     GIR_EraseRootFromParent_Done,
     /* 1369638 */   // Label 19479: @1369638
     /* 1369638 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1369722), // Rule ID 22186 //
     /* 1369643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1369699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369721 */     // GIR_Coverage, 22186,
     /* 1369721 */     GIR_EraseRootFromParent_Done,
     /* 1369722 */   // Label 19480: @1369722
     /* 1369722 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1369806), // Rule ID 22187 //
     /* 1369727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1369783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369805 */     // GIR_Coverage, 22187,
     /* 1369805 */     GIR_EraseRootFromParent_Done,
     /* 1369806 */   // Label 19481: @1369806
     /* 1369806 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1369890), // Rule ID 22190 //
     /* 1369811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1369867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369889 */     // GIR_Coverage, 22190,
     /* 1369889 */     GIR_EraseRootFromParent_Done,
     /* 1369890 */   // Label 19482: @1369890
     /* 1369890 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1369974), // Rule ID 22191 //
     /* 1369895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1369951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369973 */     // GIR_Coverage, 22191,
     /* 1369973 */     GIR_EraseRootFromParent_Done,
     /* 1369974 */   // Label 19483: @1369974
     /* 1369974 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1370058), // Rule ID 22194 //
     /* 1369979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1369996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1370035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370057 */     // GIR_Coverage, 22194,
     /* 1370057 */     GIR_EraseRootFromParent_Done,
     /* 1370058 */   // Label 19484: @1370058
     /* 1370058 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1370142), // Rule ID 22195 //
     /* 1370063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1370119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370141 */     // GIR_Coverage, 22195,
     /* 1370141 */     GIR_EraseRootFromParent_Done,
     /* 1370142 */   // Label 19485: @1370142
     /* 1370142 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1370226), // Rule ID 22198 //
     /* 1370147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1370203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370225 */     // GIR_Coverage, 22198,
     /* 1370225 */     GIR_EraseRootFromParent_Done,
     /* 1370226 */   // Label 19486: @1370226
     /* 1370226 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1370310), // Rule ID 22199 //
     /* 1370231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1370287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370309 */     // GIR_Coverage, 22199,
     /* 1370309 */     GIR_EraseRootFromParent_Done,
     /* 1370310 */   // Label 19487: @1370310
     /* 1370310 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1370394), // Rule ID 22202 //
     /* 1370315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1370371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370393 */     // GIR_Coverage, 22202,
     /* 1370393 */     GIR_EraseRootFromParent_Done,
     /* 1370394 */   // Label 19488: @1370394
     /* 1370394 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1370478), // Rule ID 22203 //
     /* 1370399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1370455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370477 */     // GIR_Coverage, 22203,
     /* 1370477 */     GIR_EraseRootFromParent_Done,
     /* 1370478 */   // Label 19489: @1370478
     /* 1370478 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1370562), // Rule ID 22206 //
     /* 1370483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1370539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370561 */     // GIR_Coverage, 22206,
     /* 1370561 */     GIR_EraseRootFromParent_Done,
     /* 1370562 */   // Label 19490: @1370562
     /* 1370562 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1370646), // Rule ID 22207 //
     /* 1370567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1370623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370645 */     // GIR_Coverage, 22207,
     /* 1370645 */     GIR_EraseRootFromParent_Done,
     /* 1370646 */   // Label 19491: @1370646
     /* 1370646 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1370730), // Rule ID 22210 //
     /* 1370651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1370707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370729 */     // GIR_Coverage, 22210,
     /* 1370729 */     GIR_EraseRootFromParent_Done,
     /* 1370730 */   // Label 19492: @1370730
     /* 1370730 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1370814), // Rule ID 22211 //
     /* 1370735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1370791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370813 */     // GIR_Coverage, 22211,
     /* 1370813 */     GIR_EraseRootFromParent_Done,
     /* 1370814 */   // Label 19493: @1370814
     /* 1370814 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1370898), // Rule ID 22214 //
     /* 1370819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1370875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370897 */     // GIR_Coverage, 22214,
     /* 1370897 */     GIR_EraseRootFromParent_Done,
     /* 1370898 */   // Label 19494: @1370898
     /* 1370898 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1370982), // Rule ID 22215 //
     /* 1370903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1370959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370981 */     // GIR_Coverage, 22215,
     /* 1370981 */     GIR_EraseRootFromParent_Done,
     /* 1370982 */   // Label 19495: @1370982
     /* 1370982 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1371066), // Rule ID 22218 //
     /* 1370987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1371043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371065 */     // GIR_Coverage, 22218,
     /* 1371065 */     GIR_EraseRootFromParent_Done,
     /* 1371066 */   // Label 19496: @1371066
     /* 1371066 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1371150), // Rule ID 22219 //
     /* 1371071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1371127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371149 */     // GIR_Coverage, 22219,
     /* 1371149 */     GIR_EraseRootFromParent_Done,
     /* 1371150 */   // Label 19497: @1371150
     /* 1371150 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1371234), // Rule ID 22222 //
     /* 1371155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1371211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371233 */     // GIR_Coverage, 22222,
     /* 1371233 */     GIR_EraseRootFromParent_Done,
     /* 1371234 */   // Label 19498: @1371234
     /* 1371234 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1371318), // Rule ID 22223 //
     /* 1371239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1371295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371317 */     // GIR_Coverage, 22223,
     /* 1371317 */     GIR_EraseRootFromParent_Done,
     /* 1371318 */   // Label 19499: @1371318
     /* 1371318 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1371402), // Rule ID 22226 //
     /* 1371323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1371379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371401 */     // GIR_Coverage, 22226,
     /* 1371401 */     GIR_EraseRootFromParent_Done,
     /* 1371402 */   // Label 19500: @1371402
     /* 1371402 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1371486), // Rule ID 22227 //
     /* 1371407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1371463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371485 */     // GIR_Coverage, 22227,
     /* 1371485 */     GIR_EraseRootFromParent_Done,
     /* 1371486 */   // Label 19501: @1371486
     /* 1371486 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1371570), // Rule ID 22230 //
     /* 1371491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1371547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371569 */     // GIR_Coverage, 22230,
     /* 1371569 */     GIR_EraseRootFromParent_Done,
     /* 1371570 */   // Label 19502: @1371570
     /* 1371570 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1371654), // Rule ID 22231 //
     /* 1371575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1371631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371653 */     // GIR_Coverage, 22231,
     /* 1371653 */     GIR_EraseRootFromParent_Done,
     /* 1371654 */   // Label 19503: @1371654
     /* 1371654 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1371738), // Rule ID 22234 //
     /* 1371659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1371715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371737 */     // GIR_Coverage, 22234,
     /* 1371737 */     GIR_EraseRootFromParent_Done,
     /* 1371738 */   // Label 19504: @1371738
     /* 1371738 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1371822), // Rule ID 22235 //
     /* 1371743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1371799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371821 */     // GIR_Coverage, 22235,
     /* 1371821 */     GIR_EraseRootFromParent_Done,
     /* 1371822 */   // Label 19505: @1371822
     /* 1371822 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1371906), // Rule ID 22238 //
     /* 1371827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1371844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1371883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371905 */     // GIR_Coverage, 22238,
     /* 1371905 */     GIR_EraseRootFromParent_Done,
     /* 1371906 */   // Label 19506: @1371906
     /* 1371906 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1371990), // Rule ID 22239 //
     /* 1371911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1371928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1371967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371989 */     // GIR_Coverage, 22239,
     /* 1371989 */     GIR_EraseRootFromParent_Done,
     /* 1371990 */   // Label 19507: @1371990
     /* 1371990 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1372074), // Rule ID 22242 //
     /* 1371995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1372051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372073 */     // GIR_Coverage, 22242,
     /* 1372073 */     GIR_EraseRootFromParent_Done,
     /* 1372074 */   // Label 19508: @1372074
     /* 1372074 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1372158), // Rule ID 22243 //
     /* 1372079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1372135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372157 */     // GIR_Coverage, 22243,
     /* 1372157 */     GIR_EraseRootFromParent_Done,
     /* 1372158 */   // Label 19509: @1372158
     /* 1372158 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1372242), // Rule ID 22246 //
     /* 1372163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1372219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372241 */     // GIR_Coverage, 22246,
     /* 1372241 */     GIR_EraseRootFromParent_Done,
     /* 1372242 */   // Label 19510: @1372242
     /* 1372242 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1372326), // Rule ID 22247 //
     /* 1372247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1372303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372325 */     // GIR_Coverage, 22247,
     /* 1372325 */     GIR_EraseRootFromParent_Done,
     /* 1372326 */   // Label 19511: @1372326
     /* 1372326 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1372410), // Rule ID 22250 //
     /* 1372331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1372387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372409 */     // GIR_Coverage, 22250,
     /* 1372409 */     GIR_EraseRootFromParent_Done,
     /* 1372410 */   // Label 19512: @1372410
     /* 1372410 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1372494), // Rule ID 22251 //
     /* 1372415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1372471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372493 */     // GIR_Coverage, 22251,
     /* 1372493 */     GIR_EraseRootFromParent_Done,
     /* 1372494 */   // Label 19513: @1372494
     /* 1372494 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1372578), // Rule ID 22254 //
     /* 1372499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1372555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372577 */     // GIR_Coverage, 22254,
     /* 1372577 */     GIR_EraseRootFromParent_Done,
     /* 1372578 */   // Label 19514: @1372578
     /* 1372578 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1372662), // Rule ID 22255 //
     /* 1372583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1372639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372661 */     // GIR_Coverage, 22255,
     /* 1372661 */     GIR_EraseRootFromParent_Done,
     /* 1372662 */   // Label 19515: @1372662
     /* 1372662 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1372746), // Rule ID 22258 //
     /* 1372667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1372723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372745 */     // GIR_Coverage, 22258,
     /* 1372745 */     GIR_EraseRootFromParent_Done,
     /* 1372746 */   // Label 19516: @1372746
     /* 1372746 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1372830), // Rule ID 22259 //
     /* 1372751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1372807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372829 */     // GIR_Coverage, 22259,
     /* 1372829 */     GIR_EraseRootFromParent_Done,
     /* 1372830 */   // Label 19517: @1372830
     /* 1372830 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1372914), // Rule ID 22262 //
     /* 1372835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1372852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1372891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372913 */     // GIR_Coverage, 22262,
     /* 1372913 */     GIR_EraseRootFromParent_Done,
     /* 1372914 */   // Label 19518: @1372914
     /* 1372914 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1372998), // Rule ID 22263 //
     /* 1372919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1372936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1372975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372997 */     // GIR_Coverage, 22263,
     /* 1372997 */     GIR_EraseRootFromParent_Done,
     /* 1372998 */   // Label 19519: @1372998
     /* 1372998 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1373082), // Rule ID 22266 //
     /* 1373003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1373059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373081 */     // GIR_Coverage, 22266,
     /* 1373081 */     GIR_EraseRootFromParent_Done,
     /* 1373082 */   // Label 19520: @1373082
     /* 1373082 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1373166), // Rule ID 22267 //
     /* 1373087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1373143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373165 */     // GIR_Coverage, 22267,
     /* 1373165 */     GIR_EraseRootFromParent_Done,
     /* 1373166 */   // Label 19521: @1373166
     /* 1373166 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1373250), // Rule ID 22270 //
     /* 1373171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1373227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373249 */     // GIR_Coverage, 22270,
     /* 1373249 */     GIR_EraseRootFromParent_Done,
     /* 1373250 */   // Label 19522: @1373250
     /* 1373250 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1373334), // Rule ID 22271 //
     /* 1373255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1373311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373333 */     // GIR_Coverage, 22271,
     /* 1373333 */     GIR_EraseRootFromParent_Done,
     /* 1373334 */   // Label 19523: @1373334
     /* 1373334 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1373418), // Rule ID 22274 //
     /* 1373339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1373395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373417 */     // GIR_Coverage, 22274,
     /* 1373417 */     GIR_EraseRootFromParent_Done,
     /* 1373418 */   // Label 19524: @1373418
     /* 1373418 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1373502), // Rule ID 22275 //
     /* 1373423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1373479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373501 */     // GIR_Coverage, 22275,
     /* 1373501 */     GIR_EraseRootFromParent_Done,
     /* 1373502 */   // Label 19525: @1373502
     /* 1373502 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1373586), // Rule ID 22278 //
     /* 1373507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373560 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1373563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373585 */     // GIR_Coverage, 22278,
     /* 1373585 */     GIR_EraseRootFromParent_Done,
     /* 1373586 */   // Label 19526: @1373586
     /* 1373586 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1373670), // Rule ID 22279 //
     /* 1373591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1373647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373669 */     // GIR_Coverage, 22279,
     /* 1373669 */     GIR_EraseRootFromParent_Done,
     /* 1373670 */   // Label 19527: @1373670
     /* 1373670 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1373754), // Rule ID 22282 //
     /* 1373675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1373692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1373731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373753 */     // GIR_Coverage, 22282,
     /* 1373753 */     GIR_EraseRootFromParent_Done,
     /* 1373754 */   // Label 19528: @1373754
     /* 1373754 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1373838), // Rule ID 22283 //
     /* 1373759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1373776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1373815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373837 */     // GIR_Coverage, 22283,
     /* 1373837 */     GIR_EraseRootFromParent_Done,
     /* 1373838 */   // Label 19529: @1373838
     /* 1373838 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1373922), // Rule ID 22286 //
     /* 1373843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1373860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1373866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1373899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373921 */     // GIR_Coverage, 22286,
     /* 1373921 */     GIR_EraseRootFromParent_Done,
     /* 1373922 */   // Label 19530: @1373922
     /* 1373922 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1374006), // Rule ID 22287 //
     /* 1373927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1373944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1373950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1373983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374005 */     // GIR_Coverage, 22287,
     /* 1374005 */     GIR_EraseRootFromParent_Done,
     /* 1374006 */   // Label 19531: @1374006
     /* 1374006 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1374090), // Rule ID 22290 //
     /* 1374011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1374067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374089 */     // GIR_Coverage, 22290,
     /* 1374089 */     GIR_EraseRootFromParent_Done,
     /* 1374090 */   // Label 19532: @1374090
     /* 1374090 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1374174), // Rule ID 22291 //
     /* 1374095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1374151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374173 */     // GIR_Coverage, 22291,
     /* 1374173 */     GIR_EraseRootFromParent_Done,
     /* 1374174 */   // Label 19533: @1374174
     /* 1374174 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1374258), // Rule ID 22294 //
     /* 1374179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1374235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374257 */     // GIR_Coverage, 22294,
     /* 1374257 */     GIR_EraseRootFromParent_Done,
     /* 1374258 */   // Label 19534: @1374258
     /* 1374258 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1374342), // Rule ID 22295 //
     /* 1374263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1374319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374341 */     // GIR_Coverage, 22295,
     /* 1374341 */     GIR_EraseRootFromParent_Done,
     /* 1374342 */   // Label 19535: @1374342
     /* 1374342 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1374426), // Rule ID 22298 //
     /* 1374347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1374403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374425 */     // GIR_Coverage, 22298,
     /* 1374425 */     GIR_EraseRootFromParent_Done,
     /* 1374426 */   // Label 19536: @1374426
     /* 1374426 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1374510), // Rule ID 22299 //
     /* 1374431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1374487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374509 */     // GIR_Coverage, 22299,
     /* 1374509 */     GIR_EraseRootFromParent_Done,
     /* 1374510 */   // Label 19537: @1374510
     /* 1374510 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1374594), // Rule ID 22302 //
     /* 1374515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1374571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374593 */     // GIR_Coverage, 22302,
     /* 1374593 */     GIR_EraseRootFromParent_Done,
     /* 1374594 */   // Label 19538: @1374594
     /* 1374594 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1374678), // Rule ID 22303 //
     /* 1374599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1374655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374677 */     // GIR_Coverage, 22303,
     /* 1374677 */     GIR_EraseRootFromParent_Done,
     /* 1374678 */   // Label 19539: @1374678
     /* 1374678 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1374762), // Rule ID 22306 //
     /* 1374683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1374739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374761 */     // GIR_Coverage, 22306,
     /* 1374761 */     GIR_EraseRootFromParent_Done,
     /* 1374762 */   // Label 19540: @1374762
     /* 1374762 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1374846), // Rule ID 22307 //
     /* 1374767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1374823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374845 */     // GIR_Coverage, 22307,
     /* 1374845 */     GIR_EraseRootFromParent_Done,
     /* 1374846 */   // Label 19541: @1374846
     /* 1374846 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1374930), // Rule ID 22310 //
     /* 1374851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1374907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374929 */     // GIR_Coverage, 22310,
     /* 1374929 */     GIR_EraseRootFromParent_Done,
     /* 1374930 */   // Label 19542: @1374930
     /* 1374930 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1375014), // Rule ID 22311 //
     /* 1374935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1374991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375013 */     // GIR_Coverage, 22311,
     /* 1375013 */     GIR_EraseRootFromParent_Done,
     /* 1375014 */   // Label 19543: @1375014
     /* 1375014 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1375098), // Rule ID 22314 //
     /* 1375019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1375075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375097 */     // GIR_Coverage, 22314,
     /* 1375097 */     GIR_EraseRootFromParent_Done,
     /* 1375098 */   // Label 19544: @1375098
     /* 1375098 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1375182), // Rule ID 22315 //
     /* 1375103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1375159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375181 */     // GIR_Coverage, 22315,
     /* 1375181 */     GIR_EraseRootFromParent_Done,
     /* 1375182 */   // Label 19545: @1375182
     /* 1375182 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1375266), // Rule ID 22318 //
     /* 1375187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1375243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375265 */     // GIR_Coverage, 22318,
     /* 1375265 */     GIR_EraseRootFromParent_Done,
     /* 1375266 */   // Label 19546: @1375266
     /* 1375266 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1375350), // Rule ID 22319 //
     /* 1375271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1375327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375349 */     // GIR_Coverage, 22319,
     /* 1375349 */     GIR_EraseRootFromParent_Done,
     /* 1375350 */   // Label 19547: @1375350
     /* 1375350 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1375434), // Rule ID 22322 //
     /* 1375355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1375411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375433 */     // GIR_Coverage, 22322,
     /* 1375433 */     GIR_EraseRootFromParent_Done,
     /* 1375434 */   // Label 19548: @1375434
     /* 1375434 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1375518), // Rule ID 22323 //
     /* 1375439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1375495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375517 */     // GIR_Coverage, 22323,
     /* 1375517 */     GIR_EraseRootFromParent_Done,
     /* 1375518 */   // Label 19549: @1375518
     /* 1375518 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1375602), // Rule ID 22326 //
     /* 1375523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1375540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1375579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375601 */     // GIR_Coverage, 22326,
     /* 1375601 */     GIR_EraseRootFromParent_Done,
     /* 1375602 */   // Label 19550: @1375602
     /* 1375602 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1375686), // Rule ID 22327 //
     /* 1375607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1375624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1375663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375685 */     // GIR_Coverage, 22327,
     /* 1375685 */     GIR_EraseRootFromParent_Done,
     /* 1375686 */   // Label 19551: @1375686
     /* 1375686 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1375770), // Rule ID 22330 //
     /* 1375691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1375708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1375747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375769 */     // GIR_Coverage, 22330,
     /* 1375769 */     GIR_EraseRootFromParent_Done,
     /* 1375770 */   // Label 19552: @1375770
     /* 1375770 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1375854), // Rule ID 22331 //
     /* 1375775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1375792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1375831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375853 */     // GIR_Coverage, 22331,
     /* 1375853 */     GIR_EraseRootFromParent_Done,
     /* 1375854 */   // Label 19553: @1375854
     /* 1375854 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1375938), // Rule ID 22334 //
     /* 1375859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1375876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1375915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375937 */     // GIR_Coverage, 22334,
     /* 1375937 */     GIR_EraseRootFromParent_Done,
     /* 1375938 */   // Label 19554: @1375938
     /* 1375938 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1376022), // Rule ID 22335 //
     /* 1375943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1375960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1375999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376021 */     // GIR_Coverage, 22335,
     /* 1376021 */     GIR_EraseRootFromParent_Done,
     /* 1376022 */   // Label 19555: @1376022
     /* 1376022 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1376106), // Rule ID 22338 //
     /* 1376027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1376083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376105 */     // GIR_Coverage, 22338,
     /* 1376105 */     GIR_EraseRootFromParent_Done,
     /* 1376106 */   // Label 19556: @1376106
     /* 1376106 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1376190), // Rule ID 22339 //
     /* 1376111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1376167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376189 */     // GIR_Coverage, 22339,
     /* 1376189 */     GIR_EraseRootFromParent_Done,
     /* 1376190 */   // Label 19557: @1376190
     /* 1376190 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1376274), // Rule ID 22342 //
     /* 1376195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1376251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376273 */     // GIR_Coverage, 22342,
     /* 1376273 */     GIR_EraseRootFromParent_Done,
     /* 1376274 */   // Label 19558: @1376274
     /* 1376274 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1376358), // Rule ID 22343 //
     /* 1376279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1376335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376357 */     // GIR_Coverage, 22343,
     /* 1376357 */     GIR_EraseRootFromParent_Done,
     /* 1376358 */   // Label 19559: @1376358
     /* 1376358 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1376442), // Rule ID 22346 //
     /* 1376363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1376419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376441 */     // GIR_Coverage, 22346,
     /* 1376441 */     GIR_EraseRootFromParent_Done,
     /* 1376442 */   // Label 19560: @1376442
     /* 1376442 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1376526), // Rule ID 22347 //
     /* 1376447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1376503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376525 */     // GIR_Coverage, 22347,
     /* 1376525 */     GIR_EraseRootFromParent_Done,
     /* 1376526 */   // Label 19561: @1376526
     /* 1376526 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1376610), // Rule ID 22350 //
     /* 1376531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1376548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1376587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376609 */     // GIR_Coverage, 22350,
     /* 1376609 */     GIR_EraseRootFromParent_Done,
     /* 1376610 */   // Label 19562: @1376610
     /* 1376610 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1376694), // Rule ID 22351 //
     /* 1376615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1376632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1376671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376693 */     // GIR_Coverage, 22351,
     /* 1376693 */     GIR_EraseRootFromParent_Done,
     /* 1376694 */   // Label 19563: @1376694
     /* 1376694 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1376778), // Rule ID 22354 //
     /* 1376699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1376755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376777 */     // GIR_Coverage, 22354,
     /* 1376777 */     GIR_EraseRootFromParent_Done,
     /* 1376778 */   // Label 19564: @1376778
     /* 1376778 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1376862), // Rule ID 22355 //
     /* 1376783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1376839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376861 */     // GIR_Coverage, 22355,
     /* 1376861 */     GIR_EraseRootFromParent_Done,
     /* 1376862 */   // Label 19565: @1376862
     /* 1376862 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1376946), // Rule ID 22358 //
     /* 1376867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1376884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1376923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376945 */     // GIR_Coverage, 22358,
     /* 1376945 */     GIR_EraseRootFromParent_Done,
     /* 1376946 */   // Label 19566: @1376946
     /* 1376946 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1377030), // Rule ID 22359 //
     /* 1376951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1376968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1377007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377029 */     // GIR_Coverage, 22359,
     /* 1377029 */     GIR_EraseRootFromParent_Done,
     /* 1377030 */   // Label 19567: @1377030
     /* 1377030 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1377114), // Rule ID 22362 //
     /* 1377035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1377091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377113 */     // GIR_Coverage, 22362,
     /* 1377113 */     GIR_EraseRootFromParent_Done,
     /* 1377114 */   // Label 19568: @1377114
     /* 1377114 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1377198), // Rule ID 22363 //
     /* 1377119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1377175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377197 */     // GIR_Coverage, 22363,
     /* 1377197 */     GIR_EraseRootFromParent_Done,
     /* 1377198 */   // Label 19569: @1377198
     /* 1377198 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1377282), // Rule ID 22366 //
     /* 1377203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1377259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377281 */     // GIR_Coverage, 22366,
     /* 1377281 */     GIR_EraseRootFromParent_Done,
     /* 1377282 */   // Label 19570: @1377282
     /* 1377282 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1377366), // Rule ID 22367 //
     /* 1377287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1377343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377365 */     // GIR_Coverage, 22367,
     /* 1377365 */     GIR_EraseRootFromParent_Done,
     /* 1377366 */   // Label 19571: @1377366
     /* 1377366 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1377450), // Rule ID 22370 //
     /* 1377371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1377388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1377427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377449 */     // GIR_Coverage, 22370,
     /* 1377449 */     GIR_EraseRootFromParent_Done,
     /* 1377450 */   // Label 19572: @1377450
     /* 1377450 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1377534), // Rule ID 22371 //
     /* 1377455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1377472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1377511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377533 */     // GIR_Coverage, 22371,
     /* 1377533 */     GIR_EraseRootFromParent_Done,
     /* 1377534 */   // Label 19573: @1377534
     /* 1377534 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1377618), // Rule ID 22374 //
     /* 1377539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1377556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1377562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1377595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377617 */     // GIR_Coverage, 22374,
     /* 1377617 */     GIR_EraseRootFromParent_Done,
     /* 1377618 */   // Label 19574: @1377618
     /* 1377618 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1377702), // Rule ID 22375 //
     /* 1377623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1377640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1377646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1377679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377701 */     // GIR_Coverage, 22375,
     /* 1377701 */     GIR_EraseRootFromParent_Done,
     /* 1377702 */   // Label 19575: @1377702
     /* 1377702 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1377786), // Rule ID 22378 //
     /* 1377707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1377763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377785 */     // GIR_Coverage, 22378,
     /* 1377785 */     GIR_EraseRootFromParent_Done,
     /* 1377786 */   // Label 19576: @1377786
     /* 1377786 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1377870), // Rule ID 22379 //
     /* 1377791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1377847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377869 */     // GIR_Coverage, 22379,
     /* 1377869 */     GIR_EraseRootFromParent_Done,
     /* 1377870 */   // Label 19577: @1377870
     /* 1377870 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1377954), // Rule ID 22382 //
     /* 1377875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1377931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377953 */     // GIR_Coverage, 22382,
     /* 1377953 */     GIR_EraseRootFromParent_Done,
     /* 1377954 */   // Label 19578: @1377954
     /* 1377954 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1378038), // Rule ID 22383 //
     /* 1377959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1378015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378037 */     // GIR_Coverage, 22383,
     /* 1378037 */     GIR_EraseRootFromParent_Done,
     /* 1378038 */   // Label 19579: @1378038
     /* 1378038 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1378122), // Rule ID 22386 //
     /* 1378043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1378099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378121 */     // GIR_Coverage, 22386,
     /* 1378121 */     GIR_EraseRootFromParent_Done,
     /* 1378122 */   // Label 19580: @1378122
     /* 1378122 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1378206), // Rule ID 22387 //
     /* 1378127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1378183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378205 */     // GIR_Coverage, 22387,
     /* 1378205 */     GIR_EraseRootFromParent_Done,
     /* 1378206 */   // Label 19581: @1378206
     /* 1378206 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1378290), // Rule ID 22390 //
     /* 1378211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1378267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378289 */     // GIR_Coverage, 22390,
     /* 1378289 */     GIR_EraseRootFromParent_Done,
     /* 1378290 */   // Label 19582: @1378290
     /* 1378290 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1378374), // Rule ID 22391 //
     /* 1378295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1378351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378373 */     // GIR_Coverage, 22391,
     /* 1378373 */     GIR_EraseRootFromParent_Done,
     /* 1378374 */   // Label 19583: @1378374
     /* 1378374 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1378458), // Rule ID 22394 //
     /* 1378379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1378435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378457 */     // GIR_Coverage, 22394,
     /* 1378457 */     GIR_EraseRootFromParent_Done,
     /* 1378458 */   // Label 19584: @1378458
     /* 1378458 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1378542), // Rule ID 22395 //
     /* 1378463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1378519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378541 */     // GIR_Coverage, 22395,
     /* 1378541 */     GIR_EraseRootFromParent_Done,
     /* 1378542 */   // Label 19585: @1378542
     /* 1378542 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1378626), // Rule ID 22398 //
     /* 1378547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1378603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378625 */     // GIR_Coverage, 22398,
     /* 1378625 */     GIR_EraseRootFromParent_Done,
     /* 1378626 */   // Label 19586: @1378626
     /* 1378626 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1378710), // Rule ID 22399 //
     /* 1378631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1378687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378709 */     // GIR_Coverage, 22399,
     /* 1378709 */     GIR_EraseRootFromParent_Done,
     /* 1378710 */   // Label 19587: @1378710
     /* 1378710 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1378794), // Rule ID 22402 //
     /* 1378715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1378771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378793 */     // GIR_Coverage, 22402,
     /* 1378793 */     GIR_EraseRootFromParent_Done,
     /* 1378794 */   // Label 19588: @1378794
     /* 1378794 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1378878), // Rule ID 22403 //
     /* 1378799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1378855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378877 */     // GIR_Coverage, 22403,
     /* 1378877 */     GIR_EraseRootFromParent_Done,
     /* 1378878 */   // Label 19589: @1378878
     /* 1378878 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1378962), // Rule ID 22406 //
     /* 1378883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1378939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378961 */     // GIR_Coverage, 22406,
     /* 1378961 */     GIR_EraseRootFromParent_Done,
     /* 1378962 */   // Label 19590: @1378962
     /* 1378962 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1379046), // Rule ID 22407 //
     /* 1378967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1379023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379045 */     // GIR_Coverage, 22407,
     /* 1379045 */     GIR_EraseRootFromParent_Done,
     /* 1379046 */   // Label 19591: @1379046
     /* 1379046 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1379130), // Rule ID 22410 //
     /* 1379051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1379107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379129 */     // GIR_Coverage, 22410,
     /* 1379129 */     GIR_EraseRootFromParent_Done,
     /* 1379130 */   // Label 19592: @1379130
     /* 1379130 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1379214), // Rule ID 22411 //
     /* 1379135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1379191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379213 */     // GIR_Coverage, 22411,
     /* 1379213 */     GIR_EraseRootFromParent_Done,
     /* 1379214 */   // Label 19593: @1379214
     /* 1379214 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1379298), // Rule ID 22414 //
     /* 1379219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1379275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379297 */     // GIR_Coverage, 22414,
     /* 1379297 */     GIR_EraseRootFromParent_Done,
     /* 1379298 */   // Label 19594: @1379298
     /* 1379298 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1379382), // Rule ID 22415 //
     /* 1379303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1379359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379381 */     // GIR_Coverage, 22415,
     /* 1379381 */     GIR_EraseRootFromParent_Done,
     /* 1379382 */   // Label 19595: @1379382
     /* 1379382 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1379466), // Rule ID 22418 //
     /* 1379387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1379443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379465 */     // GIR_Coverage, 22418,
     /* 1379465 */     GIR_EraseRootFromParent_Done,
     /* 1379466 */   // Label 19596: @1379466
     /* 1379466 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1379550), // Rule ID 22419 //
     /* 1379471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1379527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379549 */     // GIR_Coverage, 22419,
     /* 1379549 */     GIR_EraseRootFromParent_Done,
     /* 1379550 */   // Label 19597: @1379550
     /* 1379550 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1379634), // Rule ID 22422 //
     /* 1379555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1379611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379633 */     // GIR_Coverage, 22422,
     /* 1379633 */     GIR_EraseRootFromParent_Done,
     /* 1379634 */   // Label 19598: @1379634
     /* 1379634 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1379718), // Rule ID 22423 //
     /* 1379639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1379695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379717 */     // GIR_Coverage, 22423,
     /* 1379717 */     GIR_EraseRootFromParent_Done,
     /* 1379718 */   // Label 19599: @1379718
     /* 1379718 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1379802), // Rule ID 22426 //
     /* 1379723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1379779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379801 */     // GIR_Coverage, 22426,
     /* 1379801 */     GIR_EraseRootFromParent_Done,
     /* 1379802 */   // Label 19600: @1379802
     /* 1379802 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1379886), // Rule ID 22427 //
     /* 1379807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1379863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379885 */     // GIR_Coverage, 22427,
     /* 1379885 */     GIR_EraseRootFromParent_Done,
     /* 1379886 */   // Label 19601: @1379886
     /* 1379886 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1379970), // Rule ID 22430 //
     /* 1379891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1379947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379969 */     // GIR_Coverage, 22430,
     /* 1379969 */     GIR_EraseRootFromParent_Done,
     /* 1379970 */   // Label 19602: @1379970
     /* 1379970 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1380054), // Rule ID 22431 //
     /* 1379975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1380031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380053 */     // GIR_Coverage, 22431,
     /* 1380053 */     GIR_EraseRootFromParent_Done,
     /* 1380054 */   // Label 19603: @1380054
     /* 1380054 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1380138), // Rule ID 22434 //
     /* 1380059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1380115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380137 */     // GIR_Coverage, 22434,
     /* 1380137 */     GIR_EraseRootFromParent_Done,
     /* 1380138 */   // Label 19604: @1380138
     /* 1380138 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1380222), // Rule ID 22435 //
     /* 1380143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1380199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380221 */     // GIR_Coverage, 22435,
     /* 1380221 */     GIR_EraseRootFromParent_Done,
     /* 1380222 */   // Label 19605: @1380222
     /* 1380222 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1380306), // Rule ID 22438 //
     /* 1380227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1380283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380305 */     // GIR_Coverage, 22438,
     /* 1380305 */     GIR_EraseRootFromParent_Done,
     /* 1380306 */   // Label 19606: @1380306
     /* 1380306 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1380390), // Rule ID 22439 //
     /* 1380311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1380367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380389 */     // GIR_Coverage, 22439,
     /* 1380389 */     GIR_EraseRootFromParent_Done,
     /* 1380390 */   // Label 19607: @1380390
     /* 1380390 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1380474), // Rule ID 22442 //
     /* 1380395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1380451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380473 */     // GIR_Coverage, 22442,
     /* 1380473 */     GIR_EraseRootFromParent_Done,
     /* 1380474 */   // Label 19608: @1380474
     /* 1380474 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1380558), // Rule ID 22443 //
     /* 1380479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1380535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380557 */     // GIR_Coverage, 22443,
     /* 1380557 */     GIR_EraseRootFromParent_Done,
     /* 1380558 */   // Label 19609: @1380558
     /* 1380558 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1380642), // Rule ID 22446 //
     /* 1380563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1380619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380641 */     // GIR_Coverage, 22446,
     /* 1380641 */     GIR_EraseRootFromParent_Done,
     /* 1380642 */   // Label 19610: @1380642
     /* 1380642 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1380726), // Rule ID 22447 //
     /* 1380647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1380703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380725 */     // GIR_Coverage, 22447,
     /* 1380725 */     GIR_EraseRootFromParent_Done,
     /* 1380726 */   // Label 19611: @1380726
     /* 1380726 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1380810), // Rule ID 22450 //
     /* 1380731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1380787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380809 */     // GIR_Coverage, 22450,
     /* 1380809 */     GIR_EraseRootFromParent_Done,
     /* 1380810 */   // Label 19612: @1380810
     /* 1380810 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1380894), // Rule ID 22451 //
     /* 1380815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1380871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380893 */     // GIR_Coverage, 22451,
     /* 1380893 */     GIR_EraseRootFromParent_Done,
     /* 1380894 */   // Label 19613: @1380894
     /* 1380894 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1380978), // Rule ID 22454 //
     /* 1380899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1380916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1380955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380977 */     // GIR_Coverage, 22454,
     /* 1380977 */     GIR_EraseRootFromParent_Done,
     /* 1380978 */   // Label 19614: @1380978
     /* 1380978 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1381062), // Rule ID 22455 //
     /* 1380983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1381039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381061 */     // GIR_Coverage, 22455,
     /* 1381061 */     GIR_EraseRootFromParent_Done,
     /* 1381062 */   // Label 19615: @1381062
     /* 1381062 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1381146), // Rule ID 22458 //
     /* 1381067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1381123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381145 */     // GIR_Coverage, 22458,
     /* 1381145 */     GIR_EraseRootFromParent_Done,
     /* 1381146 */   // Label 19616: @1381146
     /* 1381146 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1381230), // Rule ID 22459 //
     /* 1381151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1381207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381229 */     // GIR_Coverage, 22459,
     /* 1381229 */     GIR_EraseRootFromParent_Done,
     /* 1381230 */   // Label 19617: @1381230
     /* 1381230 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1381314), // Rule ID 22462 //
     /* 1381235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1381291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381313 */     // GIR_Coverage, 22462,
     /* 1381313 */     GIR_EraseRootFromParent_Done,
     /* 1381314 */   // Label 19618: @1381314
     /* 1381314 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1381398), // Rule ID 22463 //
     /* 1381319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1381375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381397 */     // GIR_Coverage, 22463,
     /* 1381397 */     GIR_EraseRootFromParent_Done,
     /* 1381398 */   // Label 19619: @1381398
     /* 1381398 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1381482), // Rule ID 22466 //
     /* 1381403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1381420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1381459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381481 */     // GIR_Coverage, 22466,
     /* 1381481 */     GIR_EraseRootFromParent_Done,
     /* 1381482 */   // Label 19620: @1381482
     /* 1381482 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1381566), // Rule ID 22467 //
     /* 1381487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1381504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1381543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381565 */     // GIR_Coverage, 22467,
     /* 1381565 */     GIR_EraseRootFromParent_Done,
     /* 1381566 */   // Label 19621: @1381566
     /* 1381566 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1381650), // Rule ID 22470 //
     /* 1381571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1381588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1381627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381649 */     // GIR_Coverage, 22470,
     /* 1381649 */     GIR_EraseRootFromParent_Done,
     /* 1381650 */   // Label 19622: @1381650
     /* 1381650 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1381734), // Rule ID 22471 //
     /* 1381655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1381672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1381711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381733 */     // GIR_Coverage, 22471,
     /* 1381733 */     GIR_EraseRootFromParent_Done,
     /* 1381734 */   // Label 19623: @1381734
     /* 1381734 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1381818), // Rule ID 22474 //
     /* 1381739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1381756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1381795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381817 */     // GIR_Coverage, 22474,
     /* 1381817 */     GIR_EraseRootFromParent_Done,
     /* 1381818 */   // Label 19624: @1381818
     /* 1381818 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1381902), // Rule ID 22475 //
     /* 1381823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1381840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1381879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381901 */     // GIR_Coverage, 22475,
     /* 1381901 */     GIR_EraseRootFromParent_Done,
     /* 1381902 */   // Label 19625: @1381902
     /* 1381902 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1381986), // Rule ID 22478 //
     /* 1381907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1381924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1381963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381985 */     // GIR_Coverage, 22478,
     /* 1381985 */     GIR_EraseRootFromParent_Done,
     /* 1381986 */   // Label 19626: @1381986
     /* 1381986 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1382070), // Rule ID 22479 //
     /* 1381991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1382047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382069 */     // GIR_Coverage, 22479,
     /* 1382069 */     GIR_EraseRootFromParent_Done,
     /* 1382070 */   // Label 19627: @1382070
     /* 1382070 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1382154), // Rule ID 22482 //
     /* 1382075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1382131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382153 */     // GIR_Coverage, 22482,
     /* 1382153 */     GIR_EraseRootFromParent_Done,
     /* 1382154 */   // Label 19628: @1382154
     /* 1382154 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1382238), // Rule ID 22483 //
     /* 1382159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1382215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382237 */     // GIR_Coverage, 22483,
     /* 1382237 */     GIR_EraseRootFromParent_Done,
     /* 1382238 */   // Label 19629: @1382238
     /* 1382238 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1382322), // Rule ID 22486 //
     /* 1382243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1382299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382321 */     // GIR_Coverage, 22486,
     /* 1382321 */     GIR_EraseRootFromParent_Done,
     /* 1382322 */   // Label 19630: @1382322
     /* 1382322 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1382406), // Rule ID 22487 //
     /* 1382327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1382383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382405 */     // GIR_Coverage, 22487,
     /* 1382405 */     GIR_EraseRootFromParent_Done,
     /* 1382406 */   // Label 19631: @1382406
     /* 1382406 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1382490), // Rule ID 22490 //
     /* 1382411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1382428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1382467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382489 */     // GIR_Coverage, 22490,
     /* 1382489 */     GIR_EraseRootFromParent_Done,
     /* 1382490 */   // Label 19632: @1382490
     /* 1382490 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1382574), // Rule ID 22491 //
     /* 1382495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1382512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1382551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382573 */     // GIR_Coverage, 22491,
     /* 1382573 */     GIR_EraseRootFromParent_Done,
     /* 1382574 */   // Label 19633: @1382574
     /* 1382574 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1382658), // Rule ID 22494 //
     /* 1382579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1382596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1382635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382657 */     // GIR_Coverage, 22494,
     /* 1382657 */     GIR_EraseRootFromParent_Done,
     /* 1382658 */   // Label 19634: @1382658
     /* 1382658 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1382742), // Rule ID 22495 //
     /* 1382663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1382680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1382719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382741 */     // GIR_Coverage, 22495,
     /* 1382741 */     GIR_EraseRootFromParent_Done,
     /* 1382742 */   // Label 19635: @1382742
     /* 1382742 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1382826), // Rule ID 22498 //
     /* 1382747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1382764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1382803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382825 */     // GIR_Coverage, 22498,
     /* 1382825 */     GIR_EraseRootFromParent_Done,
     /* 1382826 */   // Label 19636: @1382826
     /* 1382826 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1382910), // Rule ID 22499 //
     /* 1382831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1382848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1382887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382909 */     // GIR_Coverage, 22499,
     /* 1382909 */     GIR_EraseRootFromParent_Done,
     /* 1382910 */   // Label 19637: @1382910
     /* 1382910 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1382994), // Rule ID 22502 //
     /* 1382915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1382932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1382971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382993 */     // GIR_Coverage, 22502,
     /* 1382993 */     GIR_EraseRootFromParent_Done,
     /* 1382994 */   // Label 19638: @1382994
     /* 1382994 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1383078), // Rule ID 22503 //
     /* 1382999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1383055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383077 */     // GIR_Coverage, 22503,
     /* 1383077 */     GIR_EraseRootFromParent_Done,
     /* 1383078 */   // Label 19639: @1383078
     /* 1383078 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1383162), // Rule ID 22506 //
     /* 1383083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1383139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383161 */     // GIR_Coverage, 22506,
     /* 1383161 */     GIR_EraseRootFromParent_Done,
     /* 1383162 */   // Label 19640: @1383162
     /* 1383162 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1383246), // Rule ID 22507 //
     /* 1383167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1383223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383245 */     // GIR_Coverage, 22507,
     /* 1383245 */     GIR_EraseRootFromParent_Done,
     /* 1383246 */   // Label 19641: @1383246
     /* 1383246 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1383330), // Rule ID 22510 //
     /* 1383251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1383307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383329 */     // GIR_Coverage, 22510,
     /* 1383329 */     GIR_EraseRootFromParent_Done,
     /* 1383330 */   // Label 19642: @1383330
     /* 1383330 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1383414), // Rule ID 22511 //
     /* 1383335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1383391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383413 */     // GIR_Coverage, 22511,
     /* 1383413 */     GIR_EraseRootFromParent_Done,
     /* 1383414 */   // Label 19643: @1383414
     /* 1383414 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1383498), // Rule ID 22514 //
     /* 1383419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1383475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383497 */     // GIR_Coverage, 22514,
     /* 1383497 */     GIR_EraseRootFromParent_Done,
     /* 1383498 */   // Label 19644: @1383498
     /* 1383498 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1383582), // Rule ID 22515 //
     /* 1383503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1383559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383581 */     // GIR_Coverage, 22515,
     /* 1383581 */     GIR_EraseRootFromParent_Done,
     /* 1383582 */   // Label 19645: @1383582
     /* 1383582 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1383666), // Rule ID 22518 //
     /* 1383587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1383604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1383643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383665 */     // GIR_Coverage, 22518,
     /* 1383665 */     GIR_EraseRootFromParent_Done,
     /* 1383666 */   // Label 19646: @1383666
     /* 1383666 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1383750), // Rule ID 22519 //
     /* 1383671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1383688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1383727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383749 */     // GIR_Coverage, 22519,
     /* 1383749 */     GIR_EraseRootFromParent_Done,
     /* 1383750 */   // Label 19647: @1383750
     /* 1383750 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1383834), // Rule ID 22522 //
     /* 1383755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1383772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1383811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383833 */     // GIR_Coverage, 22522,
     /* 1383833 */     GIR_EraseRootFromParent_Done,
     /* 1383834 */   // Label 19648: @1383834
     /* 1383834 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1383918), // Rule ID 22523 //
     /* 1383839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1383856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1383895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383917 */     // GIR_Coverage, 22523,
     /* 1383917 */     GIR_EraseRootFromParent_Done,
     /* 1383918 */   // Label 19649: @1383918
     /* 1383918 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1384002), // Rule ID 22526 //
     /* 1383923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1383940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1383979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384001 */     // GIR_Coverage, 22526,
     /* 1384001 */     GIR_EraseRootFromParent_Done,
     /* 1384002 */   // Label 19650: @1384002
     /* 1384002 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1384086), // Rule ID 22527 //
     /* 1384007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1384063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384085 */     // GIR_Coverage, 22527,
     /* 1384085 */     GIR_EraseRootFromParent_Done,
     /* 1384086 */   // Label 19651: @1384086
     /* 1384086 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1384170), // Rule ID 22530 //
     /* 1384091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1384147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384169 */     // GIR_Coverage, 22530,
     /* 1384169 */     GIR_EraseRootFromParent_Done,
     /* 1384170 */   // Label 19652: @1384170
     /* 1384170 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1384254), // Rule ID 22531 //
     /* 1384175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1384231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384253 */     // GIR_Coverage, 22531,
     /* 1384253 */     GIR_EraseRootFromParent_Done,
     /* 1384254 */   // Label 19653: @1384254
     /* 1384254 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1384338), // Rule ID 22534 //
     /* 1384259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1384315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384337 */     // GIR_Coverage, 22534,
     /* 1384337 */     GIR_EraseRootFromParent_Done,
     /* 1384338 */   // Label 19654: @1384338
     /* 1384338 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1384422), // Rule ID 22535 //
     /* 1384343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1384399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384421 */     // GIR_Coverage, 22535,
     /* 1384421 */     GIR_EraseRootFromParent_Done,
     /* 1384422 */   // Label 19655: @1384422
     /* 1384422 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1384506), // Rule ID 22538 //
     /* 1384427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1384430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1384483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384505 */     // GIR_Coverage, 22538,
     /* 1384505 */     GIR_EraseRootFromParent_Done,
     /* 1384506 */   // Label 19656: @1384506
     /* 1384506 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1384590), // Rule ID 22539 //
     /* 1384511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1384514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1384567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384589 */     // GIR_Coverage, 22539,
     /* 1384589 */     GIR_EraseRootFromParent_Done,
     /* 1384590 */   // Label 19657: @1384590
     /* 1384590 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1384674), // Rule ID 22542 //
     /* 1384595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1384612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1384651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384673 */     // GIR_Coverage, 22542,
     /* 1384673 */     GIR_EraseRootFromParent_Done,
     /* 1384674 */   // Label 19658: @1384674
     /* 1384674 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1384758), // Rule ID 22543 //
     /* 1384679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1384696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1384735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384757 */     // GIR_Coverage, 22543,
     /* 1384757 */     GIR_EraseRootFromParent_Done,
     /* 1384758 */   // Label 19659: @1384758
     /* 1384758 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1384842), // Rule ID 22546 //
     /* 1384763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1384819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384841 */     // GIR_Coverage, 22546,
     /* 1384841 */     GIR_EraseRootFromParent_Done,
     /* 1384842 */   // Label 19660: @1384842
     /* 1384842 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1384926), // Rule ID 22547 //
     /* 1384847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1384903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384925 */     // GIR_Coverage, 22547,
     /* 1384925 */     GIR_EraseRootFromParent_Done,
     /* 1384926 */   // Label 19661: @1384926
     /* 1384926 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1385010), // Rule ID 22550 //
     /* 1384931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1384948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1384954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1384987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385009 */     // GIR_Coverage, 22550,
     /* 1385009 */     GIR_EraseRootFromParent_Done,
     /* 1385010 */   // Label 19662: @1385010
     /* 1385010 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1385094), // Rule ID 22551 //
     /* 1385015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1385071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385093 */     // GIR_Coverage, 22551,
     /* 1385093 */     GIR_EraseRootFromParent_Done,
     /* 1385094 */   // Label 19663: @1385094
     /* 1385094 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1385178), // Rule ID 22554 //
     /* 1385099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1385155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385177 */     // GIR_Coverage, 22554,
     /* 1385177 */     GIR_EraseRootFromParent_Done,
     /* 1385178 */   // Label 19664: @1385178
     /* 1385178 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1385262), // Rule ID 22555 //
     /* 1385183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1385239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385261 */     // GIR_Coverage, 22555,
     /* 1385261 */     GIR_EraseRootFromParent_Done,
     /* 1385262 */   // Label 19665: @1385262
     /* 1385262 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1385346), // Rule ID 22558 //
     /* 1385267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1385323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385345 */     // GIR_Coverage, 22558,
     /* 1385345 */     GIR_EraseRootFromParent_Done,
     /* 1385346 */   // Label 19666: @1385346
     /* 1385346 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1385430), // Rule ID 22559 //
     /* 1385351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1385407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385429 */     // GIR_Coverage, 22559,
     /* 1385429 */     GIR_EraseRootFromParent_Done,
     /* 1385430 */   // Label 19667: @1385430
     /* 1385430 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1385514), // Rule ID 22562 //
     /* 1385435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1385491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385513 */     // GIR_Coverage, 22562,
     /* 1385513 */     GIR_EraseRootFromParent_Done,
     /* 1385514 */   // Label 19668: @1385514
     /* 1385514 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1385598), // Rule ID 22563 //
     /* 1385519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1385575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385597 */     // GIR_Coverage, 22563,
     /* 1385597 */     GIR_EraseRootFromParent_Done,
     /* 1385598 */   // Label 19669: @1385598
     /* 1385598 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1385682), // Rule ID 22566 //
     /* 1385603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1385659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385681 */     // GIR_Coverage, 22566,
     /* 1385681 */     GIR_EraseRootFromParent_Done,
     /* 1385682 */   // Label 19670: @1385682
     /* 1385682 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1385766), // Rule ID 22567 //
     /* 1385687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1385743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385765 */     // GIR_Coverage, 22567,
     /* 1385765 */     GIR_EraseRootFromParent_Done,
     /* 1385766 */   // Label 19671: @1385766
     /* 1385766 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1385850), // Rule ID 22570 //
     /* 1385771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1385827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385849 */     // GIR_Coverage, 22570,
     /* 1385849 */     GIR_EraseRootFromParent_Done,
     /* 1385850 */   // Label 19672: @1385850
     /* 1385850 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1385934), // Rule ID 22571 //
     /* 1385855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1385911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385933 */     // GIR_Coverage, 22571,
     /* 1385933 */     GIR_EraseRootFromParent_Done,
     /* 1385934 */   // Label 19673: @1385934
     /* 1385934 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1386018), // Rule ID 22574 //
     /* 1385939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1385995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386017 */     // GIR_Coverage, 22574,
     /* 1386017 */     GIR_EraseRootFromParent_Done,
     /* 1386018 */   // Label 19674: @1386018
     /* 1386018 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1386102), // Rule ID 22575 //
     /* 1386023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1386079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386101 */     // GIR_Coverage, 22575,
     /* 1386101 */     GIR_EraseRootFromParent_Done,
     /* 1386102 */   // Label 19675: @1386102
     /* 1386102 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1386186), // Rule ID 22578 //
     /* 1386107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1386124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1386163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386185 */     // GIR_Coverage, 22578,
     /* 1386185 */     GIR_EraseRootFromParent_Done,
     /* 1386186 */   // Label 19676: @1386186
     /* 1386186 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1386270), // Rule ID 22579 //
     /* 1386191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1386208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1386247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386269 */     // GIR_Coverage, 22579,
     /* 1386269 */     GIR_EraseRootFromParent_Done,
     /* 1386270 */   // Label 19677: @1386270
     /* 1386270 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1386354), // Rule ID 22582 //
     /* 1386275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1386292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1386331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386353 */     // GIR_Coverage, 22582,
     /* 1386353 */     GIR_EraseRootFromParent_Done,
     /* 1386354 */   // Label 19678: @1386354
     /* 1386354 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1386438), // Rule ID 22583 //
     /* 1386359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1386376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1386415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386437 */     // GIR_Coverage, 22583,
     /* 1386437 */     GIR_EraseRootFromParent_Done,
     /* 1386438 */   // Label 19679: @1386438
     /* 1386438 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1386522), // Rule ID 22586 //
     /* 1386443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1386499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386521 */     // GIR_Coverage, 22586,
     /* 1386521 */     GIR_EraseRootFromParent_Done,
     /* 1386522 */   // Label 19680: @1386522
     /* 1386522 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1386606), // Rule ID 22587 //
     /* 1386527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1386583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386605 */     // GIR_Coverage, 22587,
     /* 1386605 */     GIR_EraseRootFromParent_Done,
     /* 1386606 */   // Label 19681: @1386606
     /* 1386606 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1386690), // Rule ID 22590 //
     /* 1386611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1386667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386689 */     // GIR_Coverage, 22590,
     /* 1386689 */     GIR_EraseRootFromParent_Done,
     /* 1386690 */   // Label 19682: @1386690
     /* 1386690 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1386774), // Rule ID 22591 //
     /* 1386695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1386751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386773 */     // GIR_Coverage, 22591,
     /* 1386773 */     GIR_EraseRootFromParent_Done,
     /* 1386774 */   // Label 19683: @1386774
     /* 1386774 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1386858), // Rule ID 22594 //
     /* 1386779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1386835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386857 */     // GIR_Coverage, 22594,
     /* 1386857 */     GIR_EraseRootFromParent_Done,
     /* 1386858 */   // Label 19684: @1386858
     /* 1386858 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1386942), // Rule ID 22595 //
     /* 1386863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1386919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386941 */     // GIR_Coverage, 22595,
     /* 1386941 */     GIR_EraseRootFromParent_Done,
     /* 1386942 */   // Label 19685: @1386942
     /* 1386942 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1387026), // Rule ID 22598 //
     /* 1386947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1386964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1387003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387025 */     // GIR_Coverage, 22598,
     /* 1387025 */     GIR_EraseRootFromParent_Done,
     /* 1387026 */   // Label 19686: @1387026
     /* 1387026 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1387110), // Rule ID 22599 //
     /* 1387031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1387087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387109 */     // GIR_Coverage, 22599,
     /* 1387109 */     GIR_EraseRootFromParent_Done,
     /* 1387110 */   // Label 19687: @1387110
     /* 1387110 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1387194), // Rule ID 22602 //
     /* 1387115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1387171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387193 */     // GIR_Coverage, 22602,
     /* 1387193 */     GIR_EraseRootFromParent_Done,
     /* 1387194 */   // Label 19688: @1387194
     /* 1387194 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1387278), // Rule ID 22603 //
     /* 1387199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1387255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387277 */     // GIR_Coverage, 22603,
     /* 1387277 */     GIR_EraseRootFromParent_Done,
     /* 1387278 */   // Label 19689: @1387278
     /* 1387278 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1387362), // Rule ID 22606 //
     /* 1387283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1387339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387361 */     // GIR_Coverage, 22606,
     /* 1387361 */     GIR_EraseRootFromParent_Done,
     /* 1387362 */   // Label 19690: @1387362
     /* 1387362 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1387446), // Rule ID 22607 //
     /* 1387367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1387423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387445 */     // GIR_Coverage, 22607,
     /* 1387445 */     GIR_EraseRootFromParent_Done,
     /* 1387446 */   // Label 19691: @1387446
     /* 1387446 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1387530), // Rule ID 22610 //
     /* 1387451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1387507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387529 */     // GIR_Coverage, 22610,
     /* 1387529 */     GIR_EraseRootFromParent_Done,
     /* 1387530 */   // Label 19692: @1387530
     /* 1387530 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1387614), // Rule ID 22611 //
     /* 1387535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1387591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387613 */     // GIR_Coverage, 22611,
     /* 1387613 */     GIR_EraseRootFromParent_Done,
     /* 1387614 */   // Label 19693: @1387614
     /* 1387614 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1387698), // Rule ID 22614 //
     /* 1387619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1387675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387697 */     // GIR_Coverage, 22614,
     /* 1387697 */     GIR_EraseRootFromParent_Done,
     /* 1387698 */   // Label 19694: @1387698
     /* 1387698 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1387782), // Rule ID 22615 //
     /* 1387703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1387759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387781 */     // GIR_Coverage, 22615,
     /* 1387781 */     GIR_EraseRootFromParent_Done,
     /* 1387782 */   // Label 19695: @1387782
     /* 1387782 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1387866), // Rule ID 22618 //
     /* 1387787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1387843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387865 */     // GIR_Coverage, 22618,
     /* 1387865 */     GIR_EraseRootFromParent_Done,
     /* 1387866 */   // Label 19696: @1387866
     /* 1387866 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1387950), // Rule ID 22619 //
     /* 1387871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1387927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387949 */     // GIR_Coverage, 22619,
     /* 1387949 */     GIR_EraseRootFromParent_Done,
     /* 1387950 */   // Label 19697: @1387950
     /* 1387950 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1388034), // Rule ID 22622 //
     /* 1387955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1387972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1388011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388033 */     // GIR_Coverage, 22622,
     /* 1388033 */     GIR_EraseRootFromParent_Done,
     /* 1388034 */   // Label 19698: @1388034
     /* 1388034 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1388118), // Rule ID 22623 //
     /* 1388039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1388095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388117 */     // GIR_Coverage, 22623,
     /* 1388117 */     GIR_EraseRootFromParent_Done,
     /* 1388118 */   // Label 19699: @1388118
     /* 1388118 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1388202), // Rule ID 22626 //
     /* 1388123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1388140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1388179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388201 */     // GIR_Coverage, 22626,
     /* 1388201 */     GIR_EraseRootFromParent_Done,
     /* 1388202 */   // Label 19700: @1388202
     /* 1388202 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1388286), // Rule ID 22627 //
     /* 1388207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1388210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1388224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1388263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388285 */     // GIR_Coverage, 22627,
     /* 1388285 */     GIR_EraseRootFromParent_Done,
     /* 1388286 */   // Label 19701: @1388286
     /* 1388286 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1388370), // Rule ID 22630 //
     /* 1388291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1388347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388369 */     // GIR_Coverage, 22630,
     /* 1388369 */     GIR_EraseRootFromParent_Done,
     /* 1388370 */   // Label 19702: @1388370
     /* 1388370 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1388454), // Rule ID 22631 //
     /* 1388375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1388431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388453 */     // GIR_Coverage, 22631,
     /* 1388453 */     GIR_EraseRootFromParent_Done,
     /* 1388454 */   // Label 19703: @1388454
     /* 1388454 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1388538), // Rule ID 22634 //
     /* 1388459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1388515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388537 */     // GIR_Coverage, 22634,
     /* 1388537 */     GIR_EraseRootFromParent_Done,
     /* 1388538 */   // Label 19704: @1388538
     /* 1388538 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1388622), // Rule ID 22635 //
     /* 1388543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1388599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388621 */     // GIR_Coverage, 22635,
     /* 1388621 */     GIR_EraseRootFromParent_Done,
     /* 1388622 */   // Label 19705: @1388622
     /* 1388622 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1388706), // Rule ID 22638 //
     /* 1388627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1388683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388705 */     // GIR_Coverage, 22638,
     /* 1388705 */     GIR_EraseRootFromParent_Done,
     /* 1388706 */   // Label 19706: @1388706
     /* 1388706 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1388790), // Rule ID 22639 //
     /* 1388711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1388767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388789 */     // GIR_Coverage, 22639,
     /* 1388789 */     GIR_EraseRootFromParent_Done,
     /* 1388790 */   // Label 19707: @1388790
     /* 1388790 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1388874), // Rule ID 22642 //
     /* 1388795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1388851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388873 */     // GIR_Coverage, 22642,
     /* 1388873 */     GIR_EraseRootFromParent_Done,
     /* 1388874 */   // Label 19708: @1388874
     /* 1388874 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1388958), // Rule ID 22643 //
     /* 1388879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1388935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388957 */     // GIR_Coverage, 22643,
     /* 1388957 */     GIR_EraseRootFromParent_Done,
     /* 1388958 */   // Label 19709: @1388958
     /* 1388958 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1389042), // Rule ID 22646 //
     /* 1388963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1389019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389041 */     // GIR_Coverage, 22646,
     /* 1389041 */     GIR_EraseRootFromParent_Done,
     /* 1389042 */   // Label 19710: @1389042
     /* 1389042 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1389126), // Rule ID 22647 //
     /* 1389047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1389103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389125 */     // GIR_Coverage, 22647,
     /* 1389125 */     GIR_EraseRootFromParent_Done,
     /* 1389126 */   // Label 19711: @1389126
     /* 1389126 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1389210), // Rule ID 22650 //
     /* 1389131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1389187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389209 */     // GIR_Coverage, 22650,
     /* 1389209 */     GIR_EraseRootFromParent_Done,
     /* 1389210 */   // Label 19712: @1389210
     /* 1389210 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1389294), // Rule ID 22651 //
     /* 1389215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1389271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389293 */     // GIR_Coverage, 22651,
     /* 1389293 */     GIR_EraseRootFromParent_Done,
     /* 1389294 */   // Label 19713: @1389294
     /* 1389294 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1389378), // Rule ID 22654 //
     /* 1389299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1389355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389377 */     // GIR_Coverage, 22654,
     /* 1389377 */     GIR_EraseRootFromParent_Done,
     /* 1389378 */   // Label 19714: @1389378
     /* 1389378 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1389462), // Rule ID 22655 //
     /* 1389383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1389439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389461 */     // GIR_Coverage, 22655,
     /* 1389461 */     GIR_EraseRootFromParent_Done,
     /* 1389462 */   // Label 19715: @1389462
     /* 1389462 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1389546), // Rule ID 22658 //
     /* 1389467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1389523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389545 */     // GIR_Coverage, 22658,
     /* 1389545 */     GIR_EraseRootFromParent_Done,
     /* 1389546 */   // Label 19716: @1389546
     /* 1389546 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1389630), // Rule ID 22659 //
     /* 1389551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1389607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389629 */     // GIR_Coverage, 22659,
     /* 1389629 */     GIR_EraseRootFromParent_Done,
     /* 1389630 */   // Label 19717: @1389630
     /* 1389630 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1389714), // Rule ID 22662 //
     /* 1389635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1389691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389713 */     // GIR_Coverage, 22662,
     /* 1389713 */     GIR_EraseRootFromParent_Done,
     /* 1389714 */   // Label 19718: @1389714
     /* 1389714 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1389798), // Rule ID 22663 //
     /* 1389719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1389775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389797 */     // GIR_Coverage, 22663,
     /* 1389797 */     GIR_EraseRootFromParent_Done,
     /* 1389798 */   // Label 19719: @1389798
     /* 1389798 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1389882), // Rule ID 22666 //
     /* 1389803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1389806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1389820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1389859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389881 */     // GIR_Coverage, 22666,
     /* 1389881 */     GIR_EraseRootFromParent_Done,
     /* 1389882 */   // Label 19720: @1389882
     /* 1389882 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1389966), // Rule ID 22667 //
     /* 1389887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1389890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1389904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1389943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389965 */     // GIR_Coverage, 22667,
     /* 1389965 */     GIR_EraseRootFromParent_Done,
     /* 1389966 */   // Label 19721: @1389966
     /* 1389966 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1390050), // Rule ID 22670 //
     /* 1389971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1389974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1389988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1390027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390049 */     // GIR_Coverage, 22670,
     /* 1390049 */     GIR_EraseRootFromParent_Done,
     /* 1390050 */   // Label 19722: @1390050
     /* 1390050 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1390134), // Rule ID 22671 //
     /* 1390055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1390111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390133 */     // GIR_Coverage, 22671,
     /* 1390133 */     GIR_EraseRootFromParent_Done,
     /* 1390134 */   // Label 19723: @1390134
     /* 1390134 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1390218), // Rule ID 22674 //
     /* 1390139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1390195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390217 */     // GIR_Coverage, 22674,
     /* 1390217 */     GIR_EraseRootFromParent_Done,
     /* 1390218 */   // Label 19724: @1390218
     /* 1390218 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1390302), // Rule ID 22675 //
     /* 1390223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1390279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390301 */     // GIR_Coverage, 22675,
     /* 1390301 */     GIR_EraseRootFromParent_Done,
     /* 1390302 */   // Label 19725: @1390302
     /* 1390302 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1390386), // Rule ID 22678 //
     /* 1390307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1390324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1390363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390385 */     // GIR_Coverage, 22678,
     /* 1390385 */     GIR_EraseRootFromParent_Done,
     /* 1390386 */   // Label 19726: @1390386
     /* 1390386 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1390470), // Rule ID 22679 //
     /* 1390391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1390408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1390447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390469 */     // GIR_Coverage, 22679,
     /* 1390469 */     GIR_EraseRootFromParent_Done,
     /* 1390470 */   // Label 19727: @1390470
     /* 1390470 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1390554), // Rule ID 22682 //
     /* 1390475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1390492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1390531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390553 */     // GIR_Coverage, 22682,
     /* 1390553 */     GIR_EraseRootFromParent_Done,
     /* 1390554 */   // Label 19728: @1390554
     /* 1390554 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1390638), // Rule ID 22683 //
     /* 1390559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1390576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1390615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390637 */     // GIR_Coverage, 22683,
     /* 1390637 */     GIR_EraseRootFromParent_Done,
     /* 1390638 */   // Label 19729: @1390638
     /* 1390638 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1390722), // Rule ID 22686 //
     /* 1390643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1390660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1390699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390721 */     // GIR_Coverage, 22686,
     /* 1390721 */     GIR_EraseRootFromParent_Done,
     /* 1390722 */   // Label 19730: @1390722
     /* 1390722 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1390806), // Rule ID 22687 //
     /* 1390727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1390744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1390783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390805 */     // GIR_Coverage, 22687,
     /* 1390805 */     GIR_EraseRootFromParent_Done,
     /* 1390806 */   // Label 19731: @1390806
     /* 1390806 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1390890), // Rule ID 22690 //
     /* 1390811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1390867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390889 */     // GIR_Coverage, 22690,
     /* 1390889 */     GIR_EraseRootFromParent_Done,
     /* 1390890 */   // Label 19732: @1390890
     /* 1390890 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1390974), // Rule ID 22691 //
     /* 1390895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1390951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390973 */     // GIR_Coverage, 22691,
     /* 1390973 */     GIR_EraseRootFromParent_Done,
     /* 1390974 */   // Label 19733: @1390974
     /* 1390974 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1391058), // Rule ID 22694 //
     /* 1390979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1391035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391057 */     // GIR_Coverage, 22694,
     /* 1391057 */     GIR_EraseRootFromParent_Done,
     /* 1391058 */   // Label 19734: @1391058
     /* 1391058 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1391142), // Rule ID 22695 //
     /* 1391063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1391119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391141 */     // GIR_Coverage, 22695,
     /* 1391141 */     GIR_EraseRootFromParent_Done,
     /* 1391142 */   // Label 19735: @1391142
     /* 1391142 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1391226), // Rule ID 22698 //
     /* 1391147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1391203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391225 */     // GIR_Coverage, 22698,
     /* 1391225 */     GIR_EraseRootFromParent_Done,
     /* 1391226 */   // Label 19736: @1391226
     /* 1391226 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1391310), // Rule ID 22699 //
     /* 1391231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1391287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391309 */     // GIR_Coverage, 22699,
     /* 1391309 */     GIR_EraseRootFromParent_Done,
     /* 1391310 */   // Label 19737: @1391310
     /* 1391310 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1391394), // Rule ID 22702 //
     /* 1391315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1391332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1391371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391393 */     // GIR_Coverage, 22702,
     /* 1391393 */     GIR_EraseRootFromParent_Done,
     /* 1391394 */   // Label 19738: @1391394
     /* 1391394 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1391478), // Rule ID 22703 //
     /* 1391399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1391416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1391455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391477 */     // GIR_Coverage, 22703,
     /* 1391477 */     GIR_EraseRootFromParent_Done,
     /* 1391478 */   // Label 19739: @1391478
     /* 1391478 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1391562), // Rule ID 22706 //
     /* 1391483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1391500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1391539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391561 */     // GIR_Coverage, 22706,
     /* 1391561 */     GIR_EraseRootFromParent_Done,
     /* 1391562 */   // Label 19740: @1391562
     /* 1391562 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1391646), // Rule ID 22707 //
     /* 1391567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1391584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1391623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391645 */     // GIR_Coverage, 22707,
     /* 1391645 */     GIR_EraseRootFromParent_Done,
     /* 1391646 */   // Label 19741: @1391646
     /* 1391646 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1391730), // Rule ID 22710 //
     /* 1391651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1391707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391729 */     // GIR_Coverage, 22710,
     /* 1391729 */     GIR_EraseRootFromParent_Done,
     /* 1391730 */   // Label 19742: @1391730
     /* 1391730 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1391814), // Rule ID 22711 //
     /* 1391735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1391791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391813 */     // GIR_Coverage, 22711,
     /* 1391813 */     GIR_EraseRootFromParent_Done,
     /* 1391814 */   // Label 19743: @1391814
     /* 1391814 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1391898), // Rule ID 22714 //
     /* 1391819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1391836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1391875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391897 */     // GIR_Coverage, 22714,
     /* 1391897 */     GIR_EraseRootFromParent_Done,
     /* 1391898 */   // Label 19744: @1391898
     /* 1391898 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1391982), // Rule ID 22715 //
     /* 1391903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1391920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1391959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391981 */     // GIR_Coverage, 22715,
     /* 1391981 */     GIR_EraseRootFromParent_Done,
     /* 1391982 */   // Label 19745: @1391982
     /* 1391982 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1392066), // Rule ID 22718 //
     /* 1391987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1392043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392065 */     // GIR_Coverage, 22718,
     /* 1392065 */     GIR_EraseRootFromParent_Done,
     /* 1392066 */   // Label 19746: @1392066
     /* 1392066 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1392150), // Rule ID 22719 //
     /* 1392071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1392127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392149 */     // GIR_Coverage, 22719,
     /* 1392149 */     GIR_EraseRootFromParent_Done,
     /* 1392150 */   // Label 19747: @1392150
     /* 1392150 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1392234), // Rule ID 22722 //
     /* 1392155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1392172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1392178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1392211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392233 */     // GIR_Coverage, 22722,
     /* 1392233 */     GIR_EraseRootFromParent_Done,
     /* 1392234 */   // Label 19748: @1392234
     /* 1392234 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1392318), // Rule ID 22723 //
     /* 1392239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1392256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1392262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1392295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392317 */     // GIR_Coverage, 22723,
     /* 1392317 */     GIR_EraseRootFromParent_Done,
     /* 1392318 */   // Label 19749: @1392318
     /* 1392318 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1392402), // Rule ID 22726 //
     /* 1392323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1392379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392401 */     // GIR_Coverage, 22726,
     /* 1392401 */     GIR_EraseRootFromParent_Done,
     /* 1392402 */   // Label 19750: @1392402
     /* 1392402 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1392486), // Rule ID 22727 //
     /* 1392407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1392463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392485 */     // GIR_Coverage, 22727,
     /* 1392485 */     GIR_EraseRootFromParent_Done,
     /* 1392486 */   // Label 19751: @1392486
     /* 1392486 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1392570), // Rule ID 22730 //
     /* 1392491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1392547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392569 */     // GIR_Coverage, 22730,
     /* 1392569 */     GIR_EraseRootFromParent_Done,
     /* 1392570 */   // Label 19752: @1392570
     /* 1392570 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1392654), // Rule ID 22731 //
     /* 1392575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1392631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392653 */     // GIR_Coverage, 22731,
     /* 1392653 */     GIR_EraseRootFromParent_Done,
     /* 1392654 */   // Label 19753: @1392654
     /* 1392654 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1392738), // Rule ID 22734 //
     /* 1392659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1392715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392737 */     // GIR_Coverage, 22734,
     /* 1392737 */     GIR_EraseRootFromParent_Done,
     /* 1392738 */   // Label 19754: @1392738
     /* 1392738 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1392822), // Rule ID 22735 //
     /* 1392743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1392799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392821 */     // GIR_Coverage, 22735,
     /* 1392821 */     GIR_EraseRootFromParent_Done,
     /* 1392822 */   // Label 19755: @1392822
     /* 1392822 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1392906), // Rule ID 22738 //
     /* 1392827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1392883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392905 */     // GIR_Coverage, 22738,
     /* 1392905 */     GIR_EraseRootFromParent_Done,
     /* 1392906 */   // Label 19756: @1392906
     /* 1392906 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1392990), // Rule ID 22739 //
     /* 1392911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1392967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392989 */     // GIR_Coverage, 22739,
     /* 1392989 */     GIR_EraseRootFromParent_Done,
     /* 1392990 */   // Label 19757: @1392990
     /* 1392990 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1393074), // Rule ID 22742 //
     /* 1392995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1393051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393073 */     // GIR_Coverage, 22742,
     /* 1393073 */     GIR_EraseRootFromParent_Done,
     /* 1393074 */   // Label 19758: @1393074
     /* 1393074 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1393158), // Rule ID 22743 //
     /* 1393079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1393135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393157 */     // GIR_Coverage, 22743,
     /* 1393157 */     GIR_EraseRootFromParent_Done,
     /* 1393158 */   // Label 19759: @1393158
     /* 1393158 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1393242), // Rule ID 22746 //
     /* 1393163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1393219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393241 */     // GIR_Coverage, 22746,
     /* 1393241 */     GIR_EraseRootFromParent_Done,
     /* 1393242 */   // Label 19760: @1393242
     /* 1393242 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1393326), // Rule ID 22747 //
     /* 1393247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1393303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393325 */     // GIR_Coverage, 22747,
     /* 1393325 */     GIR_EraseRootFromParent_Done,
     /* 1393326 */   // Label 19761: @1393326
     /* 1393326 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1393410), // Rule ID 22750 //
     /* 1393331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1393387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393409 */     // GIR_Coverage, 22750,
     /* 1393409 */     GIR_EraseRootFromParent_Done,
     /* 1393410 */   // Label 19762: @1393410
     /* 1393410 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1393494), // Rule ID 22751 //
     /* 1393415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1393471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393493 */     // GIR_Coverage, 22751,
     /* 1393493 */     GIR_EraseRootFromParent_Done,
     /* 1393494 */   // Label 19763: @1393494
     /* 1393494 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1393578), // Rule ID 22754 //
     /* 1393499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1393516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393577 */     // GIR_Coverage, 22754,
     /* 1393577 */     GIR_EraseRootFromParent_Done,
     /* 1393578 */   // Label 19764: @1393578
     /* 1393578 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1393662), // Rule ID 22755 //
     /* 1393583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1393600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1393639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393661 */     // GIR_Coverage, 22755,
     /* 1393661 */     GIR_EraseRootFromParent_Done,
     /* 1393662 */   // Label 19765: @1393662
     /* 1393662 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1393746), // Rule ID 22758 //
     /* 1393667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1393684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1393723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393745 */     // GIR_Coverage, 22758,
     /* 1393745 */     GIR_EraseRootFromParent_Done,
     /* 1393746 */   // Label 19766: @1393746
     /* 1393746 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1393830), // Rule ID 22759 //
     /* 1393751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1393768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1393807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393829 */     // GIR_Coverage, 22759,
     /* 1393829 */     GIR_EraseRootFromParent_Done,
     /* 1393830 */   // Label 19767: @1393830
     /* 1393830 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1393914), // Rule ID 22762 //
     /* 1393835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1393852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1393891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393913 */     // GIR_Coverage, 22762,
     /* 1393913 */     GIR_EraseRootFromParent_Done,
     /* 1393914 */   // Label 19768: @1393914
     /* 1393914 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1393998), // Rule ID 22763 //
     /* 1393919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1393936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1393975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393997 */     // GIR_Coverage, 22763,
     /* 1393997 */     GIR_EraseRootFromParent_Done,
     /* 1393998 */   // Label 19769: @1393998
     /* 1393998 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1394082), // Rule ID 22766 //
     /* 1394003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1394059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394081 */     // GIR_Coverage, 22766,
     /* 1394081 */     GIR_EraseRootFromParent_Done,
     /* 1394082 */   // Label 19770: @1394082
     /* 1394082 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1394166), // Rule ID 22767 //
     /* 1394087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1394143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394165 */     // GIR_Coverage, 22767,
     /* 1394165 */     GIR_EraseRootFromParent_Done,
     /* 1394166 */   // Label 19771: @1394166
     /* 1394166 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1394250), // Rule ID 22770 //
     /* 1394171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1394227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394249 */     // GIR_Coverage, 22770,
     /* 1394249 */     GIR_EraseRootFromParent_Done,
     /* 1394250 */   // Label 19772: @1394250
     /* 1394250 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1394334), // Rule ID 22771 //
     /* 1394255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1394311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394333 */     // GIR_Coverage, 22771,
     /* 1394333 */     GIR_EraseRootFromParent_Done,
     /* 1394334 */   // Label 19773: @1394334
     /* 1394334 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1394418), // Rule ID 22774 //
     /* 1394339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1394395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394417 */     // GIR_Coverage, 22774,
     /* 1394417 */     GIR_EraseRootFromParent_Done,
     /* 1394418 */   // Label 19774: @1394418
     /* 1394418 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1394502), // Rule ID 22775 //
     /* 1394423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1394479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394501 */     // GIR_Coverage, 22775,
     /* 1394501 */     GIR_EraseRootFromParent_Done,
     /* 1394502 */   // Label 19775: @1394502
     /* 1394502 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1394586), // Rule ID 22778 //
     /* 1394507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1394563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394585 */     // GIR_Coverage, 22778,
     /* 1394585 */     GIR_EraseRootFromParent_Done,
     /* 1394586 */   // Label 19776: @1394586
     /* 1394586 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1394670), // Rule ID 22779 //
     /* 1394591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1394647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394669 */     // GIR_Coverage, 22779,
     /* 1394669 */     GIR_EraseRootFromParent_Done,
     /* 1394670 */   // Label 19777: @1394670
     /* 1394670 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1394754), // Rule ID 22782 //
     /* 1394675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1394692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1394731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394753 */     // GIR_Coverage, 22782,
     /* 1394753 */     GIR_EraseRootFromParent_Done,
     /* 1394754 */   // Label 19778: @1394754
     /* 1394754 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1394838), // Rule ID 22783 //
     /* 1394759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1394776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1394815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394837 */     // GIR_Coverage, 22783,
     /* 1394837 */     GIR_EraseRootFromParent_Done,
     /* 1394838 */   // Label 19779: @1394838
     /* 1394838 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1394922), // Rule ID 22786 //
     /* 1394843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1394860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1394899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394921 */     // GIR_Coverage, 22786,
     /* 1394921 */     GIR_EraseRootFromParent_Done,
     /* 1394922 */   // Label 19780: @1394922
     /* 1394922 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395006), // Rule ID 22787 //
     /* 1394927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1394944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1394983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395005 */     // GIR_Coverage, 22787,
     /* 1395005 */     GIR_EraseRootFromParent_Done,
     /* 1395006 */   // Label 19781: @1395006
     /* 1395006 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1395090), // Rule ID 22790 //
     /* 1395011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1395067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395089 */     // GIR_Coverage, 22790,
     /* 1395089 */     GIR_EraseRootFromParent_Done,
     /* 1395090 */   // Label 19782: @1395090
     /* 1395090 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1395174), // Rule ID 22791 //
     /* 1395095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1395151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395173 */     // GIR_Coverage, 22791,
     /* 1395173 */     GIR_EraseRootFromParent_Done,
     /* 1395174 */   // Label 19783: @1395174
     /* 1395174 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1395258), // Rule ID 22794 //
     /* 1395179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1395235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395257 */     // GIR_Coverage, 22794,
     /* 1395257 */     GIR_EraseRootFromParent_Done,
     /* 1395258 */   // Label 19784: @1395258
     /* 1395258 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1395342), // Rule ID 22795 //
     /* 1395263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11614:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1395319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395341 */     // GIR_Coverage, 22795,
     /* 1395341 */     GIR_EraseRootFromParent_Done,
     /* 1395342 */   // Label 19785: @1395342
     /* 1395342 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1395426), // Rule ID 22798 //
     /* 1395347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1395403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395425 */     // GIR_Coverage, 22798,
     /* 1395425 */     GIR_EraseRootFromParent_Done,
     /* 1395426 */   // Label 19786: @1395426
     /* 1395426 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1395510), // Rule ID 22799 //
     /* 1395431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1395487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395509 */     // GIR_Coverage, 22799,
     /* 1395509 */     GIR_EraseRootFromParent_Done,
     /* 1395510 */   // Label 19787: @1395510
     /* 1395510 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1395594), // Rule ID 22802 //
     /* 1395515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1395571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395593 */     // GIR_Coverage, 22802,
     /* 1395593 */     GIR_EraseRootFromParent_Done,
     /* 1395594 */   // Label 19788: @1395594
     /* 1395594 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1395678), // Rule ID 22803 //
     /* 1395599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1395655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395677 */     // GIR_Coverage, 22803,
     /* 1395677 */     GIR_EraseRootFromParent_Done,
     /* 1395678 */   // Label 19789: @1395678
     /* 1395678 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1395762), // Rule ID 22806 //
     /* 1395683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1395739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395761 */     // GIR_Coverage, 22806,
     /* 1395761 */     GIR_EraseRootFromParent_Done,
     /* 1395762 */   // Label 19790: @1395762
     /* 1395762 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1395846), // Rule ID 22807 //
     /* 1395767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11614:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1395823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395845 */     // GIR_Coverage, 22807,
     /* 1395845 */     GIR_EraseRootFromParent_Done,
     /* 1395846 */   // Label 19791: @1395846
     /* 1395846 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1395930), // Rule ID 22810 //
     /* 1395851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1395907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395929 */     // GIR_Coverage, 22810,
     /* 1395929 */     GIR_EraseRootFromParent_Done,
     /* 1395930 */   // Label 19792: @1395930
     /* 1395930 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1396014), // Rule ID 22811 //
     /* 1395935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1395991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396013 */     // GIR_Coverage, 22811,
     /* 1396013 */     GIR_EraseRootFromParent_Done,
     /* 1396014 */   // Label 19793: @1396014
     /* 1396014 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1396098), // Rule ID 22814 //
     /* 1396019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1396075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396097 */     // GIR_Coverage, 22814,
     /* 1396097 */     GIR_EraseRootFromParent_Done,
     /* 1396098 */   // Label 19794: @1396098
     /* 1396098 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1396182), // Rule ID 22815 //
     /* 1396103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1396159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396181 */     // GIR_Coverage, 22815,
     /* 1396181 */     GIR_EraseRootFromParent_Done,
     /* 1396182 */   // Label 19795: @1396182
     /* 1396182 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1396266), // Rule ID 22818 //
     /* 1396187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1396243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396265 */     // GIR_Coverage, 22818,
     /* 1396265 */     GIR_EraseRootFromParent_Done,
     /* 1396266 */   // Label 19796: @1396266
     /* 1396266 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1396350), // Rule ID 22819 //
     /* 1396271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11614:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1396327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396349 */     // GIR_Coverage, 22819,
     /* 1396349 */     GIR_EraseRootFromParent_Done,
     /* 1396350 */   // Label 19797: @1396350
     /* 1396350 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1396434), // Rule ID 22938 //
     /* 1396355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1396411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396433 */     // GIR_Coverage, 22938,
     /* 1396433 */     GIR_EraseRootFromParent_Done,
     /* 1396434 */   // Label 19798: @1396434
     /* 1396434 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1396518), // Rule ID 22939 //
     /* 1396439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1396495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396517 */     // GIR_Coverage, 22939,
     /* 1396517 */     GIR_EraseRootFromParent_Done,
     /* 1396518 */   // Label 19799: @1396518
     /* 1396518 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1396602), // Rule ID 22942 //
     /* 1396523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1396540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396576 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1396579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396601 */     // GIR_Coverage, 22942,
     /* 1396601 */     GIR_EraseRootFromParent_Done,
     /* 1396602 */   // Label 19800: @1396602
     /* 1396602 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1396686), // Rule ID 22943 //
     /* 1396607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1396624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396660 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1396663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396685 */     // GIR_Coverage, 22943,
     /* 1396685 */     GIR_EraseRootFromParent_Done,
     /* 1396686 */   // Label 19801: @1396686
     /* 1396686 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1396770), // Rule ID 22946 //
     /* 1396691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1396694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1396708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1396747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396769 */     // GIR_Coverage, 22946,
     /* 1396769 */     GIR_EraseRootFromParent_Done,
     /* 1396770 */   // Label 19802: @1396770
     /* 1396770 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1396854), // Rule ID 22947 //
     /* 1396775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1396778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1396792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1396831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396853 */     // GIR_Coverage, 22947,
     /* 1396853 */     GIR_EraseRootFromParent_Done,
     /* 1396854 */   // Label 19803: @1396854
     /* 1396854 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1396938), // Rule ID 22950 //
     /* 1396859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396912 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1396915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396937 */     // GIR_Coverage, 22950,
     /* 1396937 */     GIR_EraseRootFromParent_Done,
     /* 1396938 */   // Label 19804: @1396938
     /* 1396938 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1397022), // Rule ID 22951 //
     /* 1396943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1396999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397021 */     // GIR_Coverage, 22951,
     /* 1397021 */     GIR_EraseRootFromParent_Done,
     /* 1397022 */   // Label 19805: @1397022
     /* 1397022 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1397106), // Rule ID 22954 //
     /* 1397027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1397083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397105 */     // GIR_Coverage, 22954,
     /* 1397105 */     GIR_EraseRootFromParent_Done,
     /* 1397106 */   // Label 19806: @1397106
     /* 1397106 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1397190), // Rule ID 22955 //
     /* 1397111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1397167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397189 */     // GIR_Coverage, 22955,
     /* 1397189 */     GIR_EraseRootFromParent_Done,
     /* 1397190 */   // Label 19807: @1397190
     /* 1397190 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1397274), // Rule ID 22958 //
     /* 1397195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1397198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1397251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397273 */     // GIR_Coverage, 22958,
     /* 1397273 */     GIR_EraseRootFromParent_Done,
     /* 1397274 */   // Label 19808: @1397274
     /* 1397274 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1397358), // Rule ID 22959 //
     /* 1397279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1397282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1397335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397357 */     // GIR_Coverage, 22959,
     /* 1397357 */     GIR_EraseRootFromParent_Done,
     /* 1397358 */   // Label 19809: @1397358
     /* 1397358 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1397442), // Rule ID 22962 //
     /* 1397363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1397419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397441 */     // GIR_Coverage, 22962,
     /* 1397441 */     GIR_EraseRootFromParent_Done,
     /* 1397442 */   // Label 19810: @1397442
     /* 1397442 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1397526), // Rule ID 22963 //
     /* 1397447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397500 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1397503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397525 */     // GIR_Coverage, 22963,
     /* 1397525 */     GIR_EraseRootFromParent_Done,
     /* 1397526 */   // Label 19811: @1397526
     /* 1397526 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1397610), // Rule ID 22966 //
     /* 1397531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397584 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1397587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397609 */     // GIR_Coverage, 22966,
     /* 1397609 */     GIR_EraseRootFromParent_Done,
     /* 1397610 */   // Label 19812: @1397610
     /* 1397610 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1397694), // Rule ID 22967 //
     /* 1397615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397668 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1397671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397693 */     // GIR_Coverage, 22967,
     /* 1397693 */     GIR_EraseRootFromParent_Done,
     /* 1397694 */   // Label 19813: @1397694
     /* 1397694 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1397778), // Rule ID 22970 //
     /* 1397699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397752 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1397755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397777 */     // GIR_Coverage, 22970,
     /* 1397777 */     GIR_EraseRootFromParent_Done,
     /* 1397778 */   // Label 19814: @1397778
     /* 1397778 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1397862), // Rule ID 22971 //
     /* 1397783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1397839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397861 */     // GIR_Coverage, 22971,
     /* 1397861 */     GIR_EraseRootFromParent_Done,
     /* 1397862 */   // Label 19815: @1397862
     /* 1397862 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1397946), // Rule ID 22974 //
     /* 1397867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1397923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397945 */     // GIR_Coverage, 22974,
     /* 1397945 */     GIR_EraseRootFromParent_Done,
     /* 1397946 */   // Label 19816: @1397946
     /* 1397946 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1398030), // Rule ID 22975 //
     /* 1397951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1398007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398029 */     // GIR_Coverage, 22975,
     /* 1398029 */     GIR_EraseRootFromParent_Done,
     /* 1398030 */   // Label 19817: @1398030
     /* 1398030 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1398114), // Rule ID 22978 //
     /* 1398035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1398091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398113 */     // GIR_Coverage, 22978,
     /* 1398113 */     GIR_EraseRootFromParent_Done,
     /* 1398114 */   // Label 19818: @1398114
     /* 1398114 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1398198), // Rule ID 22979 //
     /* 1398119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1398175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398197 */     // GIR_Coverage, 22979,
     /* 1398197 */     GIR_EraseRootFromParent_Done,
     /* 1398198 */   // Label 19819: @1398198
     /* 1398198 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1398282), // Rule ID 22982 //
     /* 1398203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1398259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398281 */     // GIR_Coverage, 22982,
     /* 1398281 */     GIR_EraseRootFromParent_Done,
     /* 1398282 */   // Label 19820: @1398282
     /* 1398282 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1398366), // Rule ID 22983 //
     /* 1398287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1398343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398365 */     // GIR_Coverage, 22983,
     /* 1398365 */     GIR_EraseRootFromParent_Done,
     /* 1398366 */   // Label 19821: @1398366
     /* 1398366 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1398450), // Rule ID 22986 //
     /* 1398371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1398427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398449 */     // GIR_Coverage, 22986,
     /* 1398449 */     GIR_EraseRootFromParent_Done,
     /* 1398450 */   // Label 19822: @1398450
     /* 1398450 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1398534), // Rule ID 22987 //
     /* 1398455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1398511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398533 */     // GIR_Coverage, 22987,
     /* 1398533 */     GIR_EraseRootFromParent_Done,
     /* 1398534 */   // Label 19823: @1398534
     /* 1398534 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1398618), // Rule ID 22990 //
     /* 1398539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398592 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1398595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398617 */     // GIR_Coverage, 22990,
     /* 1398617 */     GIR_EraseRootFromParent_Done,
     /* 1398618 */   // Label 19824: @1398618
     /* 1398618 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1398702), // Rule ID 22991 //
     /* 1398623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398676 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1398679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398701 */     // GIR_Coverage, 22991,
     /* 1398701 */     GIR_EraseRootFromParent_Done,
     /* 1398702 */   // Label 19825: @1398702
     /* 1398702 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1398786), // Rule ID 22994 //
     /* 1398707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398760 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1398763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398785 */     // GIR_Coverage, 22994,
     /* 1398785 */     GIR_EraseRootFromParent_Done,
     /* 1398786 */   // Label 19826: @1398786
     /* 1398786 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1398870), // Rule ID 22995 //
     /* 1398791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398844 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1398847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398869 */     // GIR_Coverage, 22995,
     /* 1398869 */     GIR_EraseRootFromParent_Done,
     /* 1398870 */   // Label 19827: @1398870
     /* 1398870 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1398954), // Rule ID 22998 //
     /* 1398875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1398878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1398931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398953 */     // GIR_Coverage, 22998,
     /* 1398953 */     GIR_EraseRootFromParent_Done,
     /* 1398954 */   // Label 19828: @1398954
     /* 1398954 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1399038), // Rule ID 22999 //
     /* 1398959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1399015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399037 */     // GIR_Coverage, 22999,
     /* 1399037 */     GIR_EraseRootFromParent_Done,
     /* 1399038 */   // Label 19829: @1399038
     /* 1399038 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1399122), // Rule ID 23002 //
     /* 1399043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1399099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399121 */     // GIR_Coverage, 23002,
     /* 1399121 */     GIR_EraseRootFromParent_Done,
     /* 1399122 */   // Label 19830: @1399122
     /* 1399122 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1399206), // Rule ID 23003 //
     /* 1399127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399180 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1399183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399205 */     // GIR_Coverage, 23003,
     /* 1399205 */     GIR_EraseRootFromParent_Done,
     /* 1399206 */   // Label 19831: @1399206
     /* 1399206 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1399290), // Rule ID 23006 //
     /* 1399211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1399214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1399267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399289 */     // GIR_Coverage, 23006,
     /* 1399289 */     GIR_EraseRootFromParent_Done,
     /* 1399290 */   // Label 19832: @1399290
     /* 1399290 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1399374), // Rule ID 23007 //
     /* 1399295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1399298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1399351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399373 */     // GIR_Coverage, 23007,
     /* 1399373 */     GIR_EraseRootFromParent_Done,
     /* 1399374 */   // Label 19833: @1399374
     /* 1399374 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1399458), // Rule ID 23010 //
     /* 1399379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1399435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399457 */     // GIR_Coverage, 23010,
     /* 1399457 */     GIR_EraseRootFromParent_Done,
     /* 1399458 */   // Label 19834: @1399458
     /* 1399458 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1399542), // Rule ID 23011 //
     /* 1399463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1399519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399541 */     // GIR_Coverage, 23011,
     /* 1399541 */     GIR_EraseRootFromParent_Done,
     /* 1399542 */   // Label 19835: @1399542
     /* 1399542 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1399626), // Rule ID 23014 //
     /* 1399547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1399550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399600 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1399603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399625 */     // GIR_Coverage, 23014,
     /* 1399625 */     GIR_EraseRootFromParent_Done,
     /* 1399626 */   // Label 19836: @1399626
     /* 1399626 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1399710), // Rule ID 23015 //
     /* 1399631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1399634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1399687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399709 */     // GIR_Coverage, 23015,
     /* 1399709 */     GIR_EraseRootFromParent_Done,
     /* 1399710 */   // Label 19837: @1399710
     /* 1399710 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1399794), // Rule ID 23018 //
     /* 1399715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1399718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1399771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399793 */     // GIR_Coverage, 23018,
     /* 1399793 */     GIR_EraseRootFromParent_Done,
     /* 1399794 */   // Label 19838: @1399794
     /* 1399794 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1399878), // Rule ID 23019 //
     /* 1399799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1399855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399877 */     // GIR_Coverage, 23019,
     /* 1399877 */     GIR_EraseRootFromParent_Done,
     /* 1399878 */   // Label 19839: @1399878
     /* 1399878 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1399962), // Rule ID 23022 //
     /* 1399883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1399939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399961 */     // GIR_Coverage, 23022,
     /* 1399961 */     GIR_EraseRootFromParent_Done,
     /* 1399962 */   // Label 19840: @1399962
     /* 1399962 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1400046), // Rule ID 23023 //
     /* 1399967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1400023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400045 */     // GIR_Coverage, 23023,
     /* 1400045 */     GIR_EraseRootFromParent_Done,
     /* 1400046 */   // Label 19841: @1400046
     /* 1400046 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1400130), // Rule ID 23026 //
     /* 1400051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400104 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1400107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400129 */     // GIR_Coverage, 23026,
     /* 1400129 */     GIR_EraseRootFromParent_Done,
     /* 1400130 */   // Label 19842: @1400130
     /* 1400130 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1400214), // Rule ID 23027 //
     /* 1400135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400188 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1400191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400213 */     // GIR_Coverage, 23027,
     /* 1400213 */     GIR_EraseRootFromParent_Done,
     /* 1400214 */   // Label 19843: @1400214
     /* 1400214 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1400298), // Rule ID 23030 //
     /* 1400219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400272 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1400275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400297 */     // GIR_Coverage, 23030,
     /* 1400297 */     GIR_EraseRootFromParent_Done,
     /* 1400298 */   // Label 19844: @1400298
     /* 1400298 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1400382), // Rule ID 23031 //
     /* 1400303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400356 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1400359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400381 */     // GIR_Coverage, 23031,
     /* 1400381 */     GIR_EraseRootFromParent_Done,
     /* 1400382 */   // Label 19845: @1400382
     /* 1400382 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1400466), // Rule ID 23034 //
     /* 1400387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1400443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400465 */     // GIR_Coverage, 23034,
     /* 1400465 */     GIR_EraseRootFromParent_Done,
     /* 1400466 */   // Label 19846: @1400466
     /* 1400466 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1400550), // Rule ID 23035 //
     /* 1400471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400524 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1400527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400549 */     // GIR_Coverage, 23035,
     /* 1400549 */     GIR_EraseRootFromParent_Done,
     /* 1400550 */   // Label 19847: @1400550
     /* 1400550 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1400634), // Rule ID 23038 //
     /* 1400555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1400611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400633 */     // GIR_Coverage, 23038,
     /* 1400633 */     GIR_EraseRootFromParent_Done,
     /* 1400634 */   // Label 19848: @1400634
     /* 1400634 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1400718), // Rule ID 23039 //
     /* 1400639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1400695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400717 */     // GIR_Coverage, 23039,
     /* 1400717 */     GIR_EraseRootFromParent_Done,
     /* 1400718 */   // Label 19849: @1400718
     /* 1400718 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1400802), // Rule ID 23042 //
     /* 1400723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1400779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400801 */     // GIR_Coverage, 23042,
     /* 1400801 */     GIR_EraseRootFromParent_Done,
     /* 1400802 */   // Label 19850: @1400802
     /* 1400802 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1400886), // Rule ID 23043 //
     /* 1400807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1400863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400885 */     // GIR_Coverage, 23043,
     /* 1400885 */     GIR_EraseRootFromParent_Done,
     /* 1400886 */   // Label 19851: @1400886
     /* 1400886 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1400970), // Rule ID 23046 //
     /* 1400891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1400894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400944 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1400947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400969 */     // GIR_Coverage, 23046,
     /* 1400969 */     GIR_EraseRootFromParent_Done,
     /* 1400970 */   // Label 19852: @1400970
     /* 1400970 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1401054), // Rule ID 23047 //
     /* 1400975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1400978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1401031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401053 */     // GIR_Coverage, 23047,
     /* 1401053 */     GIR_EraseRootFromParent_Done,
     /* 1401054 */   // Label 19853: @1401054
     /* 1401054 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1401138), // Rule ID 23050 //
     /* 1401059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401112 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1401115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401137 */     // GIR_Coverage, 23050,
     /* 1401137 */     GIR_EraseRootFromParent_Done,
     /* 1401138 */   // Label 19854: @1401138
     /* 1401138 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1401222), // Rule ID 23051 //
     /* 1401143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1401199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401221 */     // GIR_Coverage, 23051,
     /* 1401221 */     GIR_EraseRootFromParent_Done,
     /* 1401222 */   // Label 19855: @1401222
     /* 1401222 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1401306), // Rule ID 23054 //
     /* 1401227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1401283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401305 */     // GIR_Coverage, 23054,
     /* 1401305 */     GIR_EraseRootFromParent_Done,
     /* 1401306 */   // Label 19856: @1401306
     /* 1401306 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1401390), // Rule ID 23055 //
     /* 1401311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401364 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1401367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401389 */     // GIR_Coverage, 23055,
     /* 1401389 */     GIR_EraseRootFromParent_Done,
     /* 1401390 */   // Label 19857: @1401390
     /* 1401390 */   GIM_Reject,
     /* 1401391 */ // Label 13853: @1401391
     /* 1401391 */ GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(2010548),
     /* 1401396 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1401399 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1401485), // Rule ID 7348 //
     /* 1401404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1401421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401442 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401450 */     // MIs[0] policy
     /* 1401450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1401463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401484 */     // GIR_Coverage, 7348,
     /* 1401484 */     GIR_EraseRootFromParent_Done,
     /* 1401485 */   // Label 19859: @1401485
     /* 1401485 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1401571), // Rule ID 7349 //
     /* 1401490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1401507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401528 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401536 */     // MIs[0] policy
     /* 1401536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1401549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401570 */     // GIR_Coverage, 7349,
     /* 1401570 */     GIR_EraseRootFromParent_Done,
     /* 1401571 */   // Label 19860: @1401571
     /* 1401571 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1401657), // Rule ID 7352 //
     /* 1401576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1401587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1401590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1401593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401614 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401622 */     // MIs[0] policy
     /* 1401622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1401635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401656 */     // GIR_Coverage, 7352,
     /* 1401656 */     GIR_EraseRootFromParent_Done,
     /* 1401657 */   // Label 19861: @1401657
     /* 1401657 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1401743), // Rule ID 7353 //
     /* 1401662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1401673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1401676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1401679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401700 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401708 */     // MIs[0] policy
     /* 1401708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1401721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401742 */     // GIR_Coverage, 7353,
     /* 1401742 */     GIR_EraseRootFromParent_Done,
     /* 1401743 */   // Label 19862: @1401743
     /* 1401743 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1401829), // Rule ID 7356 //
     /* 1401748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1401759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1401762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1401765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401786 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401794 */     // MIs[0] policy
     /* 1401794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1401807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401828 */     // GIR_Coverage, 7356,
     /* 1401828 */     GIR_EraseRootFromParent_Done,
     /* 1401829 */   // Label 19863: @1401829
     /* 1401829 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1401915), // Rule ID 7357 //
     /* 1401834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1401845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1401848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1401851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401872 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401880 */     // MIs[0] policy
     /* 1401880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1401893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401914 */     // GIR_Coverage, 7357,
     /* 1401914 */     GIR_EraseRootFromParent_Done,
     /* 1401915 */   // Label 19864: @1401915
     /* 1401915 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1402001), // Rule ID 7360 //
     /* 1401920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401958 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401966 */     // MIs[0] policy
     /* 1401966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1401979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402000 */     // GIR_Coverage, 7360,
     /* 1402000 */     GIR_EraseRootFromParent_Done,
     /* 1402001 */   // Label 19865: @1402001
     /* 1402001 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1402087), // Rule ID 7361 //
     /* 1402006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1402017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1402020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1402023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402052 */     // MIs[0] policy
     /* 1402052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1402065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402086 */     // GIR_Coverage, 7361,
     /* 1402086 */     GIR_EraseRootFromParent_Done,
     /* 1402087 */   // Label 19866: @1402087
     /* 1402087 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1402173), // Rule ID 7364 //
     /* 1402092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402130 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402138 */     // MIs[0] policy
     /* 1402138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402172 */     // GIR_Coverage, 7364,
     /* 1402172 */     GIR_EraseRootFromParent_Done,
     /* 1402173 */   // Label 19867: @1402173
     /* 1402173 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1402259), // Rule ID 7365 //
     /* 1402178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402224 */     // MIs[0] policy
     /* 1402224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402258 */     // GIR_Coverage, 7365,
     /* 1402258 */     GIR_EraseRootFromParent_Done,
     /* 1402259 */   // Label 19868: @1402259
     /* 1402259 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1402345), // Rule ID 7368 //
     /* 1402264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402310 */     // MIs[0] policy
     /* 1402310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402344 */     // GIR_Coverage, 7368,
     /* 1402344 */     GIR_EraseRootFromParent_Done,
     /* 1402345 */   // Label 19869: @1402345
     /* 1402345 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1402431), // Rule ID 7369 //
     /* 1402350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402396 */     // MIs[0] policy
     /* 1402396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402430 */     // GIR_Coverage, 7369,
     /* 1402430 */     GIR_EraseRootFromParent_Done,
     /* 1402431 */   // Label 19870: @1402431
     /* 1402431 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1402517), // Rule ID 7372 //
     /* 1402436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1402447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1402450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1402453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402474 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402482 */     // MIs[0] policy
     /* 1402482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402516 */     // GIR_Coverage, 7372,
     /* 1402516 */     GIR_EraseRootFromParent_Done,
     /* 1402517 */   // Label 19871: @1402517
     /* 1402517 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1402603), // Rule ID 7373 //
     /* 1402522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1402533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1402536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1402539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402568 */     // MIs[0] policy
     /* 1402568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402602 */     // GIR_Coverage, 7373,
     /* 1402602 */     GIR_EraseRootFromParent_Done,
     /* 1402603 */   // Label 19872: @1402603
     /* 1402603 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1402689), // Rule ID 7376 //
     /* 1402608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402646 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402654 */     // MIs[0] policy
     /* 1402654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402688 */     // GIR_Coverage, 7376,
     /* 1402688 */     GIR_EraseRootFromParent_Done,
     /* 1402689 */   // Label 19873: @1402689
     /* 1402689 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1402775), // Rule ID 7377 //
     /* 1402694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402740 */     // MIs[0] policy
     /* 1402740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402774 */     // GIR_Coverage, 7377,
     /* 1402774 */     GIR_EraseRootFromParent_Done,
     /* 1402775 */   // Label 19874: @1402775
     /* 1402775 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1402861), // Rule ID 7380 //
     /* 1402780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402826 */     // MIs[0] policy
     /* 1402826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402860 */     // GIR_Coverage, 7380,
     /* 1402860 */     GIR_EraseRootFromParent_Done,
     /* 1402861 */   // Label 19875: @1402861
     /* 1402861 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1402947), // Rule ID 7381 //
     /* 1402866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402904 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402912 */     // MIs[0] policy
     /* 1402912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402946 */     // GIR_Coverage, 7381,
     /* 1402946 */     GIR_EraseRootFromParent_Done,
     /* 1402947 */   // Label 19876: @1402947
     /* 1402947 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1403033), // Rule ID 7384 //
     /* 1402952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1402955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402990 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402998 */     // MIs[0] policy
     /* 1402998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403032 */     // GIR_Coverage, 7384,
     /* 1403032 */     GIR_EraseRootFromParent_Done,
     /* 1403033 */   // Label 19877: @1403033
     /* 1403033 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1403119), // Rule ID 7385 //
     /* 1403038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1403041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1403055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403084 */     // MIs[0] policy
     /* 1403084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403118 */     // GIR_Coverage, 7385,
     /* 1403118 */     GIR_EraseRootFromParent_Done,
     /* 1403119 */   // Label 19878: @1403119
     /* 1403119 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1403205), // Rule ID 7388 //
     /* 1403124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1403135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1403138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1403141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403162 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403170 */     // MIs[0] policy
     /* 1403170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403204 */     // GIR_Coverage, 7388,
     /* 1403204 */     GIR_EraseRootFromParent_Done,
     /* 1403205 */   // Label 19879: @1403205
     /* 1403205 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1403291), // Rule ID 7389 //
     /* 1403210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1403221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1403224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1403227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403256 */     // MIs[0] policy
     /* 1403256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403290 */     // GIR_Coverage, 7389,
     /* 1403290 */     GIR_EraseRootFromParent_Done,
     /* 1403291 */   // Label 19880: @1403291
     /* 1403291 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1403377), // Rule ID 7392 //
     /* 1403296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1403307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1403310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1403313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1403319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403342 */     // MIs[0] policy
     /* 1403342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403376 */     // GIR_Coverage, 7392,
     /* 1403376 */     GIR_EraseRootFromParent_Done,
     /* 1403377 */   // Label 19881: @1403377
     /* 1403377 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1403463), // Rule ID 7393 //
     /* 1403382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1403393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1403396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1403399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1403405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403428 */     // MIs[0] policy
     /* 1403428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403462 */     // GIR_Coverage, 7393,
     /* 1403462 */     GIR_EraseRootFromParent_Done,
     /* 1403463 */   // Label 19882: @1403463
     /* 1403463 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1403549), // Rule ID 7396 //
     /* 1403468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1403479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1403482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1403485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1403491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403514 */     // MIs[0] policy
     /* 1403514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1403527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403548 */     // GIR_Coverage, 7396,
     /* 1403548 */     GIR_EraseRootFromParent_Done,
     /* 1403549 */   // Label 19883: @1403549
     /* 1403549 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1403635), // Rule ID 7397 //
     /* 1403554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1403565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1403568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1403571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1403577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403600 */     // MIs[0] policy
     /* 1403600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403610 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1403613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403634 */     // GIR_Coverage, 7397,
     /* 1403634 */     GIR_EraseRootFromParent_Done,
     /* 1403635 */   // Label 19884: @1403635
     /* 1403635 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1403721), // Rule ID 7400 //
     /* 1403640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1403651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1403654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1403657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403686 */     // MIs[0] policy
     /* 1403686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403720 */     // GIR_Coverage, 7400,
     /* 1403720 */     GIR_EraseRootFromParent_Done,
     /* 1403721 */   // Label 19885: @1403721
     /* 1403721 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1403807), // Rule ID 7401 //
     /* 1403726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1403737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1403740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1403743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403772 */     // MIs[0] policy
     /* 1403772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403806 */     // GIR_Coverage, 7401,
     /* 1403806 */     GIR_EraseRootFromParent_Done,
     /* 1403807 */   // Label 19886: @1403807
     /* 1403807 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1403893), // Rule ID 7404 //
     /* 1403812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1403823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1403826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1403829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403858 */     // MIs[0] policy
     /* 1403858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403892 */     // GIR_Coverage, 7404,
     /* 1403892 */     GIR_EraseRootFromParent_Done,
     /* 1403893 */   // Label 19887: @1403893
     /* 1403893 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1403979), // Rule ID 7405 //
     /* 1403898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1403909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1403912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1403915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403944 */     // MIs[0] policy
     /* 1403944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403978 */     // GIR_Coverage, 7405,
     /* 1403978 */     GIR_EraseRootFromParent_Done,
     /* 1403979 */   // Label 19888: @1403979
     /* 1403979 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1404065), // Rule ID 7408 //
     /* 1403984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1403995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1403998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404022 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404030 */     // MIs[0] policy
     /* 1404030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404064 */     // GIR_Coverage, 7408,
     /* 1404064 */     GIR_EraseRootFromParent_Done,
     /* 1404065 */   // Label 19889: @1404065
     /* 1404065 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1404151), // Rule ID 7409 //
     /* 1404070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1404081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1404084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404116 */     // MIs[0] policy
     /* 1404116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404150 */     // GIR_Coverage, 7409,
     /* 1404150 */     GIR_EraseRootFromParent_Done,
     /* 1404151 */   // Label 19890: @1404151
     /* 1404151 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1404237), // Rule ID 7412 //
     /* 1404156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404202 */     // MIs[0] policy
     /* 1404202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404236 */     // GIR_Coverage, 7412,
     /* 1404236 */     GIR_EraseRootFromParent_Done,
     /* 1404237 */   // Label 19891: @1404237
     /* 1404237 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1404323), // Rule ID 7413 //
     /* 1404242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404280 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404288 */     // MIs[0] policy
     /* 1404288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404322 */     // GIR_Coverage, 7413,
     /* 1404322 */     GIR_EraseRootFromParent_Done,
     /* 1404323 */   // Label 19892: @1404323
     /* 1404323 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1404409), // Rule ID 7416 //
     /* 1404328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404366 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404374 */     // MIs[0] policy
     /* 1404374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404408 */     // GIR_Coverage, 7416,
     /* 1404408 */     GIR_EraseRootFromParent_Done,
     /* 1404409 */   // Label 19893: @1404409
     /* 1404409 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1404495), // Rule ID 7417 //
     /* 1404414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404460 */     // MIs[0] policy
     /* 1404460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404494 */     // GIR_Coverage, 7417,
     /* 1404494 */     GIR_EraseRootFromParent_Done,
     /* 1404495 */   // Label 19894: @1404495
     /* 1404495 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1404581), // Rule ID 7420 //
     /* 1404500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1404517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404546 */     // MIs[0] policy
     /* 1404546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404580 */     // GIR_Coverage, 7420,
     /* 1404580 */     GIR_EraseRootFromParent_Done,
     /* 1404581 */   // Label 19895: @1404581
     /* 1404581 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1404667), // Rule ID 7421 //
     /* 1404586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1404603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404632 */     // MIs[0] policy
     /* 1404632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404666 */     // GIR_Coverage, 7421,
     /* 1404666 */     GIR_EraseRootFromParent_Done,
     /* 1404667 */   // Label 19896: @1404667
     /* 1404667 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1404753), // Rule ID 7424 //
     /* 1404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1404675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1404689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404718 */     // MIs[0] policy
     /* 1404718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404752 */     // GIR_Coverage, 7424,
     /* 1404752 */     GIR_EraseRootFromParent_Done,
     /* 1404753 */   // Label 19897: @1404753
     /* 1404753 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1404839), // Rule ID 7425 //
     /* 1404758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1404761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1404775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404804 */     // MIs[0] policy
     /* 1404804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404838 */     // GIR_Coverage, 7425,
     /* 1404838 */     GIR_EraseRootFromParent_Done,
     /* 1404839 */   // Label 19898: @1404839
     /* 1404839 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1404925), // Rule ID 7428 //
     /* 1404844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1404847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1404855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1404858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1404861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404890 */     // MIs[0] policy
     /* 1404890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404924 */     // GIR_Coverage, 7428,
     /* 1404924 */     GIR_EraseRootFromParent_Done,
     /* 1404925 */   // Label 19899: @1404925
     /* 1404925 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1405011), // Rule ID 7429 //
     /* 1404930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1404933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1404941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1404944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1404947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404976 */     // MIs[0] policy
     /* 1404976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405010 */     // GIR_Coverage, 7429,
     /* 1405010 */     GIR_EraseRootFromParent_Done,
     /* 1405011 */   // Label 19900: @1405011
     /* 1405011 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1405097), // Rule ID 7432 //
     /* 1405016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1405019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405062 */     // MIs[0] policy
     /* 1405062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405096 */     // GIR_Coverage, 7432,
     /* 1405096 */     GIR_EraseRootFromParent_Done,
     /* 1405097 */   // Label 19901: @1405097
     /* 1405097 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1405183), // Rule ID 7433 //
     /* 1405102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1405105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405148 */     // MIs[0] policy
     /* 1405148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405182 */     // GIR_Coverage, 7433,
     /* 1405182 */     GIR_EraseRootFromParent_Done,
     /* 1405183 */   // Label 19902: @1405183
     /* 1405183 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1405271), // Rule ID 2738 //
     /* 1405188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405227 */     // MIs[0] Operand 5
     /* 1405227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405238 */     // MIs[0] policy
     /* 1405238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405270 */     // GIR_Coverage, 2738,
     /* 1405270 */     GIR_EraseRootFromParent_Done,
     /* 1405271 */   // Label 19903: @1405271
     /* 1405271 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1405359), // Rule ID 2739 //
     /* 1405276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405315 */     // MIs[0] Operand 5
     /* 1405315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405326 */     // MIs[0] policy
     /* 1405326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405358 */     // GIR_Coverage, 2739,
     /* 1405358 */     GIR_EraseRootFromParent_Done,
     /* 1405359 */   // Label 19904: @1405359
     /* 1405359 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1405447), // Rule ID 20630 //
     /* 1405364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405403 */     // MIs[0] Operand 5
     /* 1405403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405414 */     // MIs[0] policy
     /* 1405414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405446 */     // GIR_Coverage, 20630,
     /* 1405446 */     GIR_EraseRootFromParent_Done,
     /* 1405447 */   // Label 19905: @1405447
     /* 1405447 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1405535), // Rule ID 20631 //
     /* 1405452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405491 */     // MIs[0] Operand 5
     /* 1405491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405502 */     // MIs[0] policy
     /* 1405502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405534 */     // GIR_Coverage, 20631,
     /* 1405534 */     GIR_EraseRootFromParent_Done,
     /* 1405535 */   // Label 19906: @1405535
     /* 1405535 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1405623), // Rule ID 20634 //
     /* 1405540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405579 */     // MIs[0] Operand 5
     /* 1405579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405590 */     // MIs[0] policy
     /* 1405590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405622 */     // GIR_Coverage, 20634,
     /* 1405622 */     GIR_EraseRootFromParent_Done,
     /* 1405623 */   // Label 19907: @1405623
     /* 1405623 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1405711), // Rule ID 20635 //
     /* 1405628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405667 */     // MIs[0] Operand 5
     /* 1405667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405678 */     // MIs[0] policy
     /* 1405678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405710 */     // GIR_Coverage, 20635,
     /* 1405710 */     GIR_EraseRootFromParent_Done,
     /* 1405711 */   // Label 19908: @1405711
     /* 1405711 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1405799), // Rule ID 20638 //
     /* 1405716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1405727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1405730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405755 */     // MIs[0] Operand 5
     /* 1405755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405766 */     // MIs[0] policy
     /* 1405766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1405779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405798 */     // GIR_Coverage, 20638,
     /* 1405798 */     GIR_EraseRootFromParent_Done,
     /* 1405799 */   // Label 19909: @1405799
     /* 1405799 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1405887), // Rule ID 20639 //
     /* 1405804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1405815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1405818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405843 */     // MIs[0] Operand 5
     /* 1405843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405854 */     // MIs[0] policy
     /* 1405854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1405867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405886 */     // GIR_Coverage, 20639,
     /* 1405886 */     GIR_EraseRootFromParent_Done,
     /* 1405887 */   // Label 19910: @1405887
     /* 1405887 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1405975), // Rule ID 20642 //
     /* 1405892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405931 */     // MIs[0] Operand 5
     /* 1405931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405942 */     // MIs[0] policy
     /* 1405942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1405955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405974 */     // GIR_Coverage, 20642,
     /* 1405974 */     GIR_EraseRootFromParent_Done,
     /* 1405975 */   // Label 19911: @1405975
     /* 1405975 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1406063), // Rule ID 20643 //
     /* 1405980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406019 */     // MIs[0] Operand 5
     /* 1406019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406030 */     // MIs[0] policy
     /* 1406030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406062 */     // GIR_Coverage, 20643,
     /* 1406062 */     GIR_EraseRootFromParent_Done,
     /* 1406063 */   // Label 19912: @1406063
     /* 1406063 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1406151), // Rule ID 20646 //
     /* 1406068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1406071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406107 */     // MIs[0] Operand 5
     /* 1406107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406118 */     // MIs[0] policy
     /* 1406118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406150 */     // GIR_Coverage, 20646,
     /* 1406150 */     GIR_EraseRootFromParent_Done,
     /* 1406151 */   // Label 19913: @1406151
     /* 1406151 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1406239), // Rule ID 20647 //
     /* 1406156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1406159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406195 */     // MIs[0] Operand 5
     /* 1406195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406206 */     // MIs[0] policy
     /* 1406206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406238 */     // GIR_Coverage, 20647,
     /* 1406238 */     GIR_EraseRootFromParent_Done,
     /* 1406239 */   // Label 19914: @1406239
     /* 1406239 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1406327), // Rule ID 20650 //
     /* 1406244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406283 */     // MIs[0] Operand 5
     /* 1406283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406294 */     // MIs[0] policy
     /* 1406294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406304 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406326 */     // GIR_Coverage, 20650,
     /* 1406326 */     GIR_EraseRootFromParent_Done,
     /* 1406327 */   // Label 19915: @1406327
     /* 1406327 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1406415), // Rule ID 20651 //
     /* 1406332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406371 */     // MIs[0] Operand 5
     /* 1406371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406382 */     // MIs[0] policy
     /* 1406382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406414 */     // GIR_Coverage, 20651,
     /* 1406414 */     GIR_EraseRootFromParent_Done,
     /* 1406415 */   // Label 19916: @1406415
     /* 1406415 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1406503), // Rule ID 20654 //
     /* 1406420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1406431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1406434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406459 */     // MIs[0] Operand 5
     /* 1406459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406470 */     // MIs[0] policy
     /* 1406470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1406483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406502 */     // GIR_Coverage, 20654,
     /* 1406502 */     GIR_EraseRootFromParent_Done,
     /* 1406503 */   // Label 19917: @1406503
     /* 1406503 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1406591), // Rule ID 20655 //
     /* 1406508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1406519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1406522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406547 */     // MIs[0] Operand 5
     /* 1406547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406558 */     // MIs[0] policy
     /* 1406558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1406571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406590 */     // GIR_Coverage, 20655,
     /* 1406590 */     GIR_EraseRootFromParent_Done,
     /* 1406591 */   // Label 19918: @1406591
     /* 1406591 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1406679), // Rule ID 20658 //
     /* 1406596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1406607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1406610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1406613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1406616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406635 */     // MIs[0] Operand 5
     /* 1406635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406646 */     // MIs[0] policy
     /* 1406646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1406659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406678 */     // GIR_Coverage, 20658,
     /* 1406678 */     GIR_EraseRootFromParent_Done,
     /* 1406679 */   // Label 19919: @1406679
     /* 1406679 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1406767), // Rule ID 20659 //
     /* 1406684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1406695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1406698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1406701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1406704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406723 */     // MIs[0] Operand 5
     /* 1406723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406734 */     // MIs[0] policy
     /* 1406734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1406747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406766 */     // GIR_Coverage, 20659,
     /* 1406766 */     GIR_EraseRootFromParent_Done,
     /* 1406767 */   // Label 19920: @1406767
     /* 1406767 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1406855), // Rule ID 20662 //
     /* 1406772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406811 */     // MIs[0] Operand 5
     /* 1406811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406822 */     // MIs[0] policy
     /* 1406822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406854 */     // GIR_Coverage, 20662,
     /* 1406854 */     GIR_EraseRootFromParent_Done,
     /* 1406855 */   // Label 19921: @1406855
     /* 1406855 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1406943), // Rule ID 20663 //
     /* 1406860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406899 */     // MIs[0] Operand 5
     /* 1406899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406910 */     // MIs[0] policy
     /* 1406910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406942 */     // GIR_Coverage, 20663,
     /* 1406942 */     GIR_EraseRootFromParent_Done,
     /* 1406943 */   // Label 19922: @1406943
     /* 1406943 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1407031), // Rule ID 20666 //
     /* 1406948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1406965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406987 */     // MIs[0] Operand 5
     /* 1406987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406998 */     // MIs[0] policy
     /* 1406998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407030 */     // GIR_Coverage, 20666,
     /* 1407030 */     GIR_EraseRootFromParent_Done,
     /* 1407031 */   // Label 19923: @1407031
     /* 1407031 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1407119), // Rule ID 20667 //
     /* 1407036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1407047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1407050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407075 */     // MIs[0] Operand 5
     /* 1407075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407086 */     // MIs[0] policy
     /* 1407086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407118 */     // GIR_Coverage, 20667,
     /* 1407118 */     GIR_EraseRootFromParent_Done,
     /* 1407119 */   // Label 19924: @1407119
     /* 1407119 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1407207), // Rule ID 20670 //
     /* 1407124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407163 */     // MIs[0] Operand 5
     /* 1407163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407174 */     // MIs[0] policy
     /* 1407174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407206 */     // GIR_Coverage, 20670,
     /* 1407206 */     GIR_EraseRootFromParent_Done,
     /* 1407207 */   // Label 19925: @1407207
     /* 1407207 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1407295), // Rule ID 20671 //
     /* 1407212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407251 */     // MIs[0] Operand 5
     /* 1407251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407262 */     // MIs[0] policy
     /* 1407262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407294 */     // GIR_Coverage, 20671,
     /* 1407294 */     GIR_EraseRootFromParent_Done,
     /* 1407295 */   // Label 19926: @1407295
     /* 1407295 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1407383), // Rule ID 20674 //
     /* 1407300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407339 */     // MIs[0] Operand 5
     /* 1407339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407350 */     // MIs[0] policy
     /* 1407350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407382 */     // GIR_Coverage, 20674,
     /* 1407382 */     GIR_EraseRootFromParent_Done,
     /* 1407383 */   // Label 19927: @1407383
     /* 1407383 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1407471), // Rule ID 20675 //
     /* 1407388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1407391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407427 */     // MIs[0] Operand 5
     /* 1407427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407438 */     // MIs[0] policy
     /* 1407438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407470 */     // GIR_Coverage, 20675,
     /* 1407470 */     GIR_EraseRootFromParent_Done,
     /* 1407471 */   // Label 19928: @1407471
     /* 1407471 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1407559), // Rule ID 20678 //
     /* 1407476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1407493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407515 */     // MIs[0] Operand 5
     /* 1407515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407526 */     // MIs[0] policy
     /* 1407526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407558 */     // GIR_Coverage, 20678,
     /* 1407558 */     GIR_EraseRootFromParent_Done,
     /* 1407559 */   // Label 19929: @1407559
     /* 1407559 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1407647), // Rule ID 20679 //
     /* 1407564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1407567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1407581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407603 */     // MIs[0] Operand 5
     /* 1407603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407614 */     // MIs[0] policy
     /* 1407614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407646 */     // GIR_Coverage, 20679,
     /* 1407646 */     GIR_EraseRootFromParent_Done,
     /* 1407647 */   // Label 19930: @1407647
     /* 1407647 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1407735), // Rule ID 20682 //
     /* 1407652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1407669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407691 */     // MIs[0] Operand 5
     /* 1407691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407702 */     // MIs[0] policy
     /* 1407702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407734 */     // GIR_Coverage, 20682,
     /* 1407734 */     GIR_EraseRootFromParent_Done,
     /* 1407735 */   // Label 19931: @1407735
     /* 1407735 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1407823), // Rule ID 20683 //
     /* 1407740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1407743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1407757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407779 */     // MIs[0] Operand 5
     /* 1407779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407790 */     // MIs[0] policy
     /* 1407790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407822 */     // GIR_Coverage, 20683,
     /* 1407822 */     GIR_EraseRootFromParent_Done,
     /* 1407823 */   // Label 19932: @1407823
     /* 1407823 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1407911), // Rule ID 20686 //
     /* 1407828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1407839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1407842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407867 */     // MIs[0] Operand 5
     /* 1407867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407878 */     // MIs[0] policy
     /* 1407878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1407891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407910 */     // GIR_Coverage, 20686,
     /* 1407910 */     GIR_EraseRootFromParent_Done,
     /* 1407911 */   // Label 19933: @1407911
     /* 1407911 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1407999), // Rule ID 20687 //
     /* 1407916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1407927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1407930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407955 */     // MIs[0] Operand 5
     /* 1407955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407966 */     // MIs[0] policy
     /* 1407966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1407979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407998 */     // GIR_Coverage, 20687,
     /* 1407998 */     GIR_EraseRootFromParent_Done,
     /* 1407999 */   // Label 19934: @1407999
     /* 1407999 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1408087), // Rule ID 20690 //
     /* 1408004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408043 */     // MIs[0] Operand 5
     /* 1408043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408054 */     // MIs[0] policy
     /* 1408054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408086 */     // GIR_Coverage, 20690,
     /* 1408086 */     GIR_EraseRootFromParent_Done,
     /* 1408087 */   // Label 19935: @1408087
     /* 1408087 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1408175), // Rule ID 20691 //
     /* 1408092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408131 */     // MIs[0] Operand 5
     /* 1408131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408142 */     // MIs[0] policy
     /* 1408142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408174 */     // GIR_Coverage, 20691,
     /* 1408174 */     GIR_EraseRootFromParent_Done,
     /* 1408175 */   // Label 19936: @1408175
     /* 1408175 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1408263), // Rule ID 20694 //
     /* 1408180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408219 */     // MIs[0] Operand 5
     /* 1408219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408230 */     // MIs[0] policy
     /* 1408230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408262 */     // GIR_Coverage, 20694,
     /* 1408262 */     GIR_EraseRootFromParent_Done,
     /* 1408263 */   // Label 19937: @1408263
     /* 1408263 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1408351), // Rule ID 20695 //
     /* 1408268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408307 */     // MIs[0] Operand 5
     /* 1408307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408318 */     // MIs[0] policy
     /* 1408318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408350 */     // GIR_Coverage, 20695,
     /* 1408350 */     GIR_EraseRootFromParent_Done,
     /* 1408351 */   // Label 19938: @1408351
     /* 1408351 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1408439), // Rule ID 20698 //
     /* 1408356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408395 */     // MIs[0] Operand 5
     /* 1408395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408406 */     // MIs[0] policy
     /* 1408406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408438 */     // GIR_Coverage, 20698,
     /* 1408438 */     GIR_EraseRootFromParent_Done,
     /* 1408439 */   // Label 19939: @1408439
     /* 1408439 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1408527), // Rule ID 20699 //
     /* 1408444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408483 */     // MIs[0] Operand 5
     /* 1408483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408494 */     // MIs[0] policy
     /* 1408494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408526 */     // GIR_Coverage, 20699,
     /* 1408526 */     GIR_EraseRootFromParent_Done,
     /* 1408527 */   // Label 19940: @1408527
     /* 1408527 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1408615), // Rule ID 20702 //
     /* 1408532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1408543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1408546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408571 */     // MIs[0] Operand 5
     /* 1408571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408582 */     // MIs[0] policy
     /* 1408582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408614 */     // GIR_Coverage, 20702,
     /* 1408614 */     GIR_EraseRootFromParent_Done,
     /* 1408615 */   // Label 19941: @1408615
     /* 1408615 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1408703), // Rule ID 20703 //
     /* 1408620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1408631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1408634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408659 */     // MIs[0] Operand 5
     /* 1408659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408670 */     // MIs[0] policy
     /* 1408670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408702 */     // GIR_Coverage, 20703,
     /* 1408702 */     GIR_EraseRootFromParent_Done,
     /* 1408703 */   // Label 19942: @1408703
     /* 1408703 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1408791), // Rule ID 20706 //
     /* 1408708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1408711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1408719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1408722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408747 */     // MIs[0] Operand 5
     /* 1408747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408758 */     // MIs[0] policy
     /* 1408758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408790 */     // GIR_Coverage, 20706,
     /* 1408790 */     GIR_EraseRootFromParent_Done,
     /* 1408791 */   // Label 19943: @1408791
     /* 1408791 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1408879), // Rule ID 20707 //
     /* 1408796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1408799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1408807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1408810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408835 */     // MIs[0] Operand 5
     /* 1408835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408846 */     // MIs[0] policy
     /* 1408846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408878 */     // GIR_Coverage, 20707,
     /* 1408878 */     GIR_EraseRootFromParent_Done,
     /* 1408879 */   // Label 19944: @1408879
     /* 1408879 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1408967), // Rule ID 20710 //
     /* 1408884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408923 */     // MIs[0] Operand 5
     /* 1408923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408934 */     // MIs[0] policy
     /* 1408934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1408947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408966 */     // GIR_Coverage, 20710,
     /* 1408966 */     GIR_EraseRootFromParent_Done,
     /* 1408967 */   // Label 19945: @1408967
     /* 1408967 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1409055), // Rule ID 20711 //
     /* 1408972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409011 */     // MIs[0] Operand 5
     /* 1409011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409022 */     // MIs[0] policy
     /* 1409022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409054 */     // GIR_Coverage, 20711,
     /* 1409054 */     GIR_EraseRootFromParent_Done,
     /* 1409055 */   // Label 19946: @1409055
     /* 1409055 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1409143), // Rule ID 20714 //
     /* 1409060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409099 */     // MIs[0] Operand 5
     /* 1409099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409110 */     // MIs[0] policy
     /* 1409110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409142 */     // GIR_Coverage, 20714,
     /* 1409142 */     GIR_EraseRootFromParent_Done,
     /* 1409143 */   // Label 19947: @1409143
     /* 1409143 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1409231), // Rule ID 20715 //
     /* 1409148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409187 */     // MIs[0] Operand 5
     /* 1409187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409198 */     // MIs[0] policy
     /* 1409198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409230 */     // GIR_Coverage, 20715,
     /* 1409230 */     GIR_EraseRootFromParent_Done,
     /* 1409231 */   // Label 19948: @1409231
     /* 1409231 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1409319), // Rule ID 20718 //
     /* 1409236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409275 */     // MIs[0] Operand 5
     /* 1409275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409286 */     // MIs[0] policy
     /* 1409286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409318 */     // GIR_Coverage, 20718,
     /* 1409318 */     GIR_EraseRootFromParent_Done,
     /* 1409319 */   // Label 19949: @1409319
     /* 1409319 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1409407), // Rule ID 20719 //
     /* 1409324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409363 */     // MIs[0] Operand 5
     /* 1409363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409374 */     // MIs[0] policy
     /* 1409374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409406 */     // GIR_Coverage, 20719,
     /* 1409406 */     GIR_EraseRootFromParent_Done,
     /* 1409407 */   // Label 19950: @1409407
     /* 1409407 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1409495), // Rule ID 20722 //
     /* 1409412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409451 */     // MIs[0] Operand 5
     /* 1409451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409462 */     // MIs[0] policy
     /* 1409462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409494 */     // GIR_Coverage, 20722,
     /* 1409494 */     GIR_EraseRootFromParent_Done,
     /* 1409495 */   // Label 19951: @1409495
     /* 1409495 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1409583), // Rule ID 20723 //
     /* 1409500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409539 */     // MIs[0] Operand 5
     /* 1409539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409550 */     // MIs[0] policy
     /* 1409550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409582 */     // GIR_Coverage, 20723,
     /* 1409582 */     GIR_EraseRootFromParent_Done,
     /* 1409583 */   // Label 19952: @1409583
     /* 1409583 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1409671), // Rule ID 20726 //
     /* 1409588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409627 */     // MIs[0] Operand 5
     /* 1409627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409638 */     // MIs[0] policy
     /* 1409638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409670 */     // GIR_Coverage, 20726,
     /* 1409670 */     GIR_EraseRootFromParent_Done,
     /* 1409671 */   // Label 19953: @1409671
     /* 1409671 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1409759), // Rule ID 20727 //
     /* 1409676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409715 */     // MIs[0] Operand 5
     /* 1409715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409726 */     // MIs[0] policy
     /* 1409726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409758 */     // GIR_Coverage, 20727,
     /* 1409758 */     GIR_EraseRootFromParent_Done,
     /* 1409759 */   // Label 19954: @1409759
     /* 1409759 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1409847), // Rule ID 20730 //
     /* 1409764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409803 */     // MIs[0] Operand 5
     /* 1409803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409814 */     // MIs[0] policy
     /* 1409814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409846 */     // GIR_Coverage, 20730,
     /* 1409846 */     GIR_EraseRootFromParent_Done,
     /* 1409847 */   // Label 19955: @1409847
     /* 1409847 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1409935), // Rule ID 20731 //
     /* 1409852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409891 */     // MIs[0] Operand 5
     /* 1409891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409902 */     // MIs[0] policy
     /* 1409902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409934 */     // GIR_Coverage, 20731,
     /* 1409934 */     GIR_EraseRootFromParent_Done,
     /* 1409935 */   // Label 19956: @1409935
     /* 1409935 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1410023), // Rule ID 20734 //
     /* 1409940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1409943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1409951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1409954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409979 */     // MIs[0] Operand 5
     /* 1409979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409990 */     // MIs[0] policy
     /* 1409990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1410003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410022 */     // GIR_Coverage, 20734,
     /* 1410022 */     GIR_EraseRootFromParent_Done,
     /* 1410023 */   // Label 19957: @1410023
     /* 1410023 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1410111), // Rule ID 20735 //
     /* 1410028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410067 */     // MIs[0] Operand 5
     /* 1410067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410078 */     // MIs[0] policy
     /* 1410078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1410091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410110 */     // GIR_Coverage, 20735,
     /* 1410110 */     GIR_EraseRootFromParent_Done,
     /* 1410111 */   // Label 19958: @1410111
     /* 1410111 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1410199), // Rule ID 20738 //
     /* 1410116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410155 */     // MIs[0] Operand 5
     /* 1410155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410166 */     // MIs[0] policy
     /* 1410166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410198 */     // GIR_Coverage, 20738,
     /* 1410198 */     GIR_EraseRootFromParent_Done,
     /* 1410199 */   // Label 19959: @1410199
     /* 1410199 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1410287), // Rule ID 20739 //
     /* 1410204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410243 */     // MIs[0] Operand 5
     /* 1410243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410254 */     // MIs[0] policy
     /* 1410254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410286 */     // GIR_Coverage, 20739,
     /* 1410286 */     GIR_EraseRootFromParent_Done,
     /* 1410287 */   // Label 19960: @1410287
     /* 1410287 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1410375), // Rule ID 20742 //
     /* 1410292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410331 */     // MIs[0] Operand 5
     /* 1410331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410342 */     // MIs[0] policy
     /* 1410342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410374 */     // GIR_Coverage, 20742,
     /* 1410374 */     GIR_EraseRootFromParent_Done,
     /* 1410375 */   // Label 19961: @1410375
     /* 1410375 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1410463), // Rule ID 20743 //
     /* 1410380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410419 */     // MIs[0] Operand 5
     /* 1410419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410430 */     // MIs[0] policy
     /* 1410430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410462 */     // GIR_Coverage, 20743,
     /* 1410462 */     GIR_EraseRootFromParent_Done,
     /* 1410463 */   // Label 19962: @1410463
     /* 1410463 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1410551), // Rule ID 21102 //
     /* 1410468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410507 */     // MIs[0] Operand 5
     /* 1410507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410518 */     // MIs[0] policy
     /* 1410518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1410531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410550 */     // GIR_Coverage, 21102,
     /* 1410550 */     GIR_EraseRootFromParent_Done,
     /* 1410551 */   // Label 19963: @1410551
     /* 1410551 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1410639), // Rule ID 21103 //
     /* 1410556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410595 */     // MIs[0] Operand 5
     /* 1410595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410606 */     // MIs[0] policy
     /* 1410606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1410619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410638 */     // GIR_Coverage, 21103,
     /* 1410638 */     GIR_EraseRootFromParent_Done,
     /* 1410639 */   // Label 19964: @1410639
     /* 1410639 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1410727), // Rule ID 21106 //
     /* 1410644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410683 */     // MIs[0] Operand 5
     /* 1410683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410694 */     // MIs[0] policy
     /* 1410694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1410707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410726 */     // GIR_Coverage, 21106,
     /* 1410726 */     GIR_EraseRootFromParent_Done,
     /* 1410727 */   // Label 19965: @1410727
     /* 1410727 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1410815), // Rule ID 21107 //
     /* 1410732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410771 */     // MIs[0] Operand 5
     /* 1410771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410782 */     // MIs[0] policy
     /* 1410782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1410795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410814 */     // GIR_Coverage, 21107,
     /* 1410814 */     GIR_EraseRootFromParent_Done,
     /* 1410815 */   // Label 19966: @1410815
     /* 1410815 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1410903), // Rule ID 21110 //
     /* 1410820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410859 */     // MIs[0] Operand 5
     /* 1410859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410870 */     // MIs[0] policy
     /* 1410870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1410883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410902 */     // GIR_Coverage, 21110,
     /* 1410902 */     GIR_EraseRootFromParent_Done,
     /* 1410903 */   // Label 19967: @1410903
     /* 1410903 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1410991), // Rule ID 21111 //
     /* 1410908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410947 */     // MIs[0] Operand 5
     /* 1410947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410958 */     // MIs[0] policy
     /* 1410958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1410971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410990 */     // GIR_Coverage, 21111,
     /* 1410990 */     GIR_EraseRootFromParent_Done,
     /* 1410991 */   // Label 19968: @1410991
     /* 1410991 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1411079), // Rule ID 21114 //
     /* 1410996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1411013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411035 */     // MIs[0] Operand 5
     /* 1411035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411046 */     // MIs[0] policy
     /* 1411046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411078 */     // GIR_Coverage, 21114,
     /* 1411078 */     GIR_EraseRootFromParent_Done,
     /* 1411079 */   // Label 19969: @1411079
     /* 1411079 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1411167), // Rule ID 21115 //
     /* 1411084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1411101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411123 */     // MIs[0] Operand 5
     /* 1411123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411134 */     // MIs[0] policy
     /* 1411134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411166 */     // GIR_Coverage, 21115,
     /* 1411166 */     GIR_EraseRootFromParent_Done,
     /* 1411167 */   // Label 19970: @1411167
     /* 1411167 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1411255), // Rule ID 21118 //
     /* 1411172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411211 */     // MIs[0] Operand 5
     /* 1411211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411222 */     // MIs[0] policy
     /* 1411222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1411235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411254 */     // GIR_Coverage, 21118,
     /* 1411254 */     GIR_EraseRootFromParent_Done,
     /* 1411255 */   // Label 19971: @1411255
     /* 1411255 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1411343), // Rule ID 21119 //
     /* 1411260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411299 */     // MIs[0] Operand 5
     /* 1411299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411310 */     // MIs[0] policy
     /* 1411310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1411323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411342 */     // GIR_Coverage, 21119,
     /* 1411342 */     GIR_EraseRootFromParent_Done,
     /* 1411343 */   // Label 19972: @1411343
     /* 1411343 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1411431), // Rule ID 21122 //
     /* 1411348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411387 */     // MIs[0] Operand 5
     /* 1411387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411398 */     // MIs[0] policy
     /* 1411398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411430 */     // GIR_Coverage, 21122,
     /* 1411430 */     GIR_EraseRootFromParent_Done,
     /* 1411431 */   // Label 19973: @1411431
     /* 1411431 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1411519), // Rule ID 21123 //
     /* 1411436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411475 */     // MIs[0] Operand 5
     /* 1411475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411486 */     // MIs[0] policy
     /* 1411486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411518 */     // GIR_Coverage, 21123,
     /* 1411518 */     GIR_EraseRootFromParent_Done,
     /* 1411519 */   // Label 19974: @1411519
     /* 1411519 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1411607), // Rule ID 21126 //
     /* 1411524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1411538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411563 */     // MIs[0] Operand 5
     /* 1411563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411574 */     // MIs[0] policy
     /* 1411574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1411587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411606 */     // GIR_Coverage, 21126,
     /* 1411606 */     GIR_EraseRootFromParent_Done,
     /* 1411607 */   // Label 19975: @1411607
     /* 1411607 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1411695), // Rule ID 21127 //
     /* 1411612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1411626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411651 */     // MIs[0] Operand 5
     /* 1411651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411662 */     // MIs[0] policy
     /* 1411662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1411675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411694 */     // GIR_Coverage, 21127,
     /* 1411694 */     GIR_EraseRootFromParent_Done,
     /* 1411695 */   // Label 19976: @1411695
     /* 1411695 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1411783), // Rule ID 21130 //
     /* 1411700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411739 */     // MIs[0] Operand 5
     /* 1411739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411750 */     // MIs[0] policy
     /* 1411750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411782 */     // GIR_Coverage, 21130,
     /* 1411782 */     GIR_EraseRootFromParent_Done,
     /* 1411783 */   // Label 19977: @1411783
     /* 1411783 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1411871), // Rule ID 21131 //
     /* 1411788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411827 */     // MIs[0] Operand 5
     /* 1411827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411838 */     // MIs[0] policy
     /* 1411838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411870 */     // GIR_Coverage, 21131,
     /* 1411870 */     GIR_EraseRootFromParent_Done,
     /* 1411871 */   // Label 19978: @1411871
     /* 1411871 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1411959), // Rule ID 21134 //
     /* 1411876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411915 */     // MIs[0] Operand 5
     /* 1411915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411926 */     // MIs[0] policy
     /* 1411926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1411939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411958 */     // GIR_Coverage, 21134,
     /* 1411958 */     GIR_EraseRootFromParent_Done,
     /* 1411959 */   // Label 19979: @1411959
     /* 1411959 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1412047), // Rule ID 21135 //
     /* 1411964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412003 */     // MIs[0] Operand 5
     /* 1412003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412014 */     // MIs[0] policy
     /* 1412014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1412027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412046 */     // GIR_Coverage, 21135,
     /* 1412046 */     GIR_EraseRootFromParent_Done,
     /* 1412047 */   // Label 19980: @1412047
     /* 1412047 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1412135), // Rule ID 21138 //
     /* 1412052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412091 */     // MIs[0] Operand 5
     /* 1412091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412102 */     // MIs[0] policy
     /* 1412102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1412115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412134 */     // GIR_Coverage, 21138,
     /* 1412134 */     GIR_EraseRootFromParent_Done,
     /* 1412135 */   // Label 19981: @1412135
     /* 1412135 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1412223), // Rule ID 21139 //
     /* 1412140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412179 */     // MIs[0] Operand 5
     /* 1412179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412190 */     // MIs[0] policy
     /* 1412190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1412203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412222 */     // GIR_Coverage, 21139,
     /* 1412222 */     GIR_EraseRootFromParent_Done,
     /* 1412223 */   // Label 19982: @1412223
     /* 1412223 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1412311), // Rule ID 21142 //
     /* 1412228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412267 */     // MIs[0] Operand 5
     /* 1412267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412278 */     // MIs[0] policy
     /* 1412278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1412291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412310 */     // GIR_Coverage, 21142,
     /* 1412310 */     GIR_EraseRootFromParent_Done,
     /* 1412311 */   // Label 19983: @1412311
     /* 1412311 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1412399), // Rule ID 21143 //
     /* 1412316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412355 */     // MIs[0] Operand 5
     /* 1412355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412366 */     // MIs[0] policy
     /* 1412366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1412379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412398 */     // GIR_Coverage, 21143,
     /* 1412398 */     GIR_EraseRootFromParent_Done,
     /* 1412399 */   // Label 19984: @1412399
     /* 1412399 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1412487), // Rule ID 21146 //
     /* 1412404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412443 */     // MIs[0] Operand 5
     /* 1412443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412454 */     // MIs[0] policy
     /* 1412454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1412467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412486 */     // GIR_Coverage, 21146,
     /* 1412486 */     GIR_EraseRootFromParent_Done,
     /* 1412487 */   // Label 19985: @1412487
     /* 1412487 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1412575), // Rule ID 21147 //
     /* 1412492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412531 */     // MIs[0] Operand 5
     /* 1412531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412542 */     // MIs[0] policy
     /* 1412542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1412555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412574 */     // GIR_Coverage, 21147,
     /* 1412574 */     GIR_EraseRootFromParent_Done,
     /* 1412575 */   // Label 19986: @1412575
     /* 1412575 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1412663), // Rule ID 21150 //
     /* 1412580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412619 */     // MIs[0] Operand 5
     /* 1412619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412630 */     // MIs[0] policy
     /* 1412630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1412643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412662 */     // GIR_Coverage, 21150,
     /* 1412662 */     GIR_EraseRootFromParent_Done,
     /* 1412663 */   // Label 19987: @1412663
     /* 1412663 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1412751), // Rule ID 21151 //
     /* 1412668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412707 */     // MIs[0] Operand 5
     /* 1412707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412718 */     // MIs[0] policy
     /* 1412718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1412731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412750 */     // GIR_Coverage, 21151,
     /* 1412750 */     GIR_EraseRootFromParent_Done,
     /* 1412751 */   // Label 19988: @1412751
     /* 1412751 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1412839), // Rule ID 21154 //
     /* 1412756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1412767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1412770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1412776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412795 */     // MIs[0] Operand 5
     /* 1412795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412806 */     // MIs[0] policy
     /* 1412806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1412819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412838 */     // GIR_Coverage, 21154,
     /* 1412838 */     GIR_EraseRootFromParent_Done,
     /* 1412839 */   // Label 19989: @1412839
     /* 1412839 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1412927), // Rule ID 21155 //
     /* 1412844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1412855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1412858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1412864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412883 */     // MIs[0] Operand 5
     /* 1412883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412894 */     // MIs[0] policy
     /* 1412894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1412907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412926 */     // GIR_Coverage, 21155,
     /* 1412926 */     GIR_EraseRootFromParent_Done,
     /* 1412927 */   // Label 19990: @1412927
     /* 1412927 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1413015), // Rule ID 21158 //
     /* 1412932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1412935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412971 */     // MIs[0] Operand 5
     /* 1412971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412982 */     // MIs[0] policy
     /* 1412982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1412995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413014 */     // GIR_Coverage, 21158,
     /* 1413014 */     GIR_EraseRootFromParent_Done,
     /* 1413015 */   // Label 19991: @1413015
     /* 1413015 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1413103), // Rule ID 21159 //
     /* 1413020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413059 */     // MIs[0] Operand 5
     /* 1413059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413070 */     // MIs[0] policy
     /* 1413070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1413083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413102 */     // GIR_Coverage, 21159,
     /* 1413102 */     GIR_EraseRootFromParent_Done,
     /* 1413103 */   // Label 19992: @1413103
     /* 1413103 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1413191), // Rule ID 21162 //
     /* 1413108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413147 */     // MIs[0] Operand 5
     /* 1413147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413158 */     // MIs[0] policy
     /* 1413158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1413171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413190 */     // GIR_Coverage, 21162,
     /* 1413190 */     GIR_EraseRootFromParent_Done,
     /* 1413191 */   // Label 19993: @1413191
     /* 1413191 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1413279), // Rule ID 21163 //
     /* 1413196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413235 */     // MIs[0] Operand 5
     /* 1413235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413246 */     // MIs[0] policy
     /* 1413246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1413259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413278 */     // GIR_Coverage, 21163,
     /* 1413278 */     GIR_EraseRootFromParent_Done,
     /* 1413279 */   // Label 19994: @1413279
     /* 1413279 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1413367), // Rule ID 21166 //
     /* 1413284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413323 */     // MIs[0] Operand 5
     /* 1413323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413334 */     // MIs[0] policy
     /* 1413334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413366 */     // GIR_Coverage, 21166,
     /* 1413366 */     GIR_EraseRootFromParent_Done,
     /* 1413367 */   // Label 19995: @1413367
     /* 1413367 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1413455), // Rule ID 21167 //
     /* 1413372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413411 */     // MIs[0] Operand 5
     /* 1413411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413422 */     // MIs[0] policy
     /* 1413422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413454 */     // GIR_Coverage, 21167,
     /* 1413454 */     GIR_EraseRootFromParent_Done,
     /* 1413455 */   // Label 19996: @1413455
     /* 1413455 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1413543), // Rule ID 21170 //
     /* 1413460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1413471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1413474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413499 */     // MIs[0] Operand 5
     /* 1413499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413510 */     // MIs[0] policy
     /* 1413510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1413523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413542 */     // GIR_Coverage, 21170,
     /* 1413542 */     GIR_EraseRootFromParent_Done,
     /* 1413543 */   // Label 19997: @1413543
     /* 1413543 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1413631), // Rule ID 21171 //
     /* 1413548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1413559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1413562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413587 */     // MIs[0] Operand 5
     /* 1413587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413598 */     // MIs[0] policy
     /* 1413598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1413611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413630 */     // GIR_Coverage, 21171,
     /* 1413630 */     GIR_EraseRootFromParent_Done,
     /* 1413631 */   // Label 19998: @1413631
     /* 1413631 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1413719), // Rule ID 21474 //
     /* 1413636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1413647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1413650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413675 */     // MIs[0] Operand 5
     /* 1413675 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413686 */     // MIs[0] policy
     /* 1413686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1413699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413718 */     // GIR_Coverage, 21474,
     /* 1413718 */     GIR_EraseRootFromParent_Done,
     /* 1413719 */   // Label 19999: @1413719
     /* 1413719 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1413807), // Rule ID 21475 //
     /* 1413724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1413735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1413738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413763 */     // MIs[0] Operand 5
     /* 1413763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413774 */     // MIs[0] policy
     /* 1413774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1413787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413806 */     // GIR_Coverage, 21475,
     /* 1413806 */     GIR_EraseRootFromParent_Done,
     /* 1413807 */   // Label 20000: @1413807
     /* 1413807 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1413895), // Rule ID 21478 //
     /* 1413812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1413823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1413826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413851 */     // MIs[0] Operand 5
     /* 1413851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413862 */     // MIs[0] policy
     /* 1413862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1413875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413894 */     // GIR_Coverage, 21478,
     /* 1413894 */     GIR_EraseRootFromParent_Done,
     /* 1413895 */   // Label 20001: @1413895
     /* 1413895 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1413983), // Rule ID 21479 //
     /* 1413900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1413911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1413914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413939 */     // MIs[0] Operand 5
     /* 1413939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413950 */     // MIs[0] policy
     /* 1413950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1413963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413982 */     // GIR_Coverage, 21479,
     /* 1413982 */     GIR_EraseRootFromParent_Done,
     /* 1413983 */   // Label 20002: @1413983
     /* 1413983 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1414071), // Rule ID 21482 //
     /* 1413988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1413999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414027 */     // MIs[0] Operand 5
     /* 1414027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414038 */     // MIs[0] policy
     /* 1414038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1414051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414070 */     // GIR_Coverage, 21482,
     /* 1414070 */     GIR_EraseRootFromParent_Done,
     /* 1414071 */   // Label 20003: @1414071
     /* 1414071 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1414159), // Rule ID 21483 //
     /* 1414076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414115 */     // MIs[0] Operand 5
     /* 1414115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414126 */     // MIs[0] policy
     /* 1414126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1414139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414158 */     // GIR_Coverage, 21483,
     /* 1414158 */     GIR_EraseRootFromParent_Done,
     /* 1414159 */   // Label 20004: @1414159
     /* 1414159 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1414247), // Rule ID 21486 //
     /* 1414164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414203 */     // MIs[0] Operand 5
     /* 1414203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414214 */     // MIs[0] policy
     /* 1414214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1414227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414246 */     // GIR_Coverage, 21486,
     /* 1414246 */     GIR_EraseRootFromParent_Done,
     /* 1414247 */   // Label 20005: @1414247
     /* 1414247 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1414335), // Rule ID 21487 //
     /* 1414252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414291 */     // MIs[0] Operand 5
     /* 1414291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414302 */     // MIs[0] policy
     /* 1414302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1414315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414334 */     // GIR_Coverage, 21487,
     /* 1414334 */     GIR_EraseRootFromParent_Done,
     /* 1414335 */   // Label 20006: @1414335
     /* 1414335 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1414423), // Rule ID 21490 //
     /* 1414340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414379 */     // MIs[0] Operand 5
     /* 1414379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414390 */     // MIs[0] policy
     /* 1414390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1414403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414422 */     // GIR_Coverage, 21490,
     /* 1414422 */     GIR_EraseRootFromParent_Done,
     /* 1414423 */   // Label 20007: @1414423
     /* 1414423 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1414511), // Rule ID 21491 //
     /* 1414428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414467 */     // MIs[0] Operand 5
     /* 1414467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414478 */     // MIs[0] policy
     /* 1414478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1414491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414510 */     // GIR_Coverage, 21491,
     /* 1414510 */     GIR_EraseRootFromParent_Done,
     /* 1414511 */   // Label 20008: @1414511
     /* 1414511 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1414599), // Rule ID 21494 //
     /* 1414516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1414533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1414536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414555 */     // MIs[0] Operand 5
     /* 1414555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414566 */     // MIs[0] policy
     /* 1414566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1414579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414598 */     // GIR_Coverage, 21494,
     /* 1414598 */     GIR_EraseRootFromParent_Done,
     /* 1414599 */   // Label 20009: @1414599
     /* 1414599 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1414687), // Rule ID 21495 //
     /* 1414604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1414621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1414624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414643 */     // MIs[0] Operand 5
     /* 1414643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414654 */     // MIs[0] policy
     /* 1414654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1414667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414686 */     // GIR_Coverage, 21495,
     /* 1414686 */     GIR_EraseRootFromParent_Done,
     /* 1414687 */   // Label 20010: @1414687
     /* 1414687 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1414775), // Rule ID 21498 //
     /* 1414692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1414695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1414703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1414706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1414709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414731 */     // MIs[0] Operand 5
     /* 1414731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414742 */     // MIs[0] policy
     /* 1414742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1414755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414774 */     // GIR_Coverage, 21498,
     /* 1414774 */     GIR_EraseRootFromParent_Done,
     /* 1414775 */   // Label 20011: @1414775
     /* 1414775 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1414863), // Rule ID 21499 //
     /* 1414780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1414783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1414791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1414794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1414797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414819 */     // MIs[0] Operand 5
     /* 1414819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414830 */     // MIs[0] policy
     /* 1414830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1414843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414862 */     // GIR_Coverage, 21499,
     /* 1414862 */     GIR_EraseRootFromParent_Done,
     /* 1414863 */   // Label 20012: @1414863
     /* 1414863 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1414951), // Rule ID 21502 //
     /* 1414868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1414871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1414879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1414882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414907 */     // MIs[0] Operand 5
     /* 1414907 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414918 */     // MIs[0] policy
     /* 1414918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1414931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414950 */     // GIR_Coverage, 21502,
     /* 1414950 */     GIR_EraseRootFromParent_Done,
     /* 1414951 */   // Label 20013: @1414951
     /* 1414951 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1415039), // Rule ID 21503 //
     /* 1414956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1414959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1414967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1414970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414995 */     // MIs[0] Operand 5
     /* 1414995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415006 */     // MIs[0] policy
     /* 1415006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1415019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415038 */     // GIR_Coverage, 21503,
     /* 1415038 */     GIR_EraseRootFromParent_Done,
     /* 1415039 */   // Label 20014: @1415039
     /* 1415039 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1415127), // Rule ID 21506 //
     /* 1415044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415083 */     // MIs[0] Operand 5
     /* 1415083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415094 */     // MIs[0] policy
     /* 1415094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415126 */     // GIR_Coverage, 21506,
     /* 1415126 */     GIR_EraseRootFromParent_Done,
     /* 1415127 */   // Label 20015: @1415127
     /* 1415127 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1415215), // Rule ID 21507 //
     /* 1415132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415171 */     // MIs[0] Operand 5
     /* 1415171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415182 */     // MIs[0] policy
     /* 1415182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415214 */     // GIR_Coverage, 21507,
     /* 1415214 */     GIR_EraseRootFromParent_Done,
     /* 1415215 */   // Label 20016: @1415215
     /* 1415215 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1415303), // Rule ID 21510 //
     /* 1415220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415259 */     // MIs[0] Operand 5
     /* 1415259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415270 */     // MIs[0] policy
     /* 1415270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1415283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415302 */     // GIR_Coverage, 21510,
     /* 1415302 */     GIR_EraseRootFromParent_Done,
     /* 1415303 */   // Label 20017: @1415303
     /* 1415303 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1415391), // Rule ID 21511 //
     /* 1415308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415347 */     // MIs[0] Operand 5
     /* 1415347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415358 */     // MIs[0] policy
     /* 1415358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1415371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415390 */     // GIR_Coverage, 21511,
     /* 1415390 */     GIR_EraseRootFromParent_Done,
     /* 1415391 */   // Label 20018: @1415391
     /* 1415391 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1415479), // Rule ID 21514 //
     /* 1415396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415435 */     // MIs[0] Operand 5
     /* 1415435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415446 */     // MIs[0] policy
     /* 1415446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1415459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415478 */     // GIR_Coverage, 21514,
     /* 1415478 */     GIR_EraseRootFromParent_Done,
     /* 1415479 */   // Label 20019: @1415479
     /* 1415479 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1415567), // Rule ID 21515 //
     /* 1415484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415523 */     // MIs[0] Operand 5
     /* 1415523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415534 */     // MIs[0] policy
     /* 1415534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1415547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415566 */     // GIR_Coverage, 21515,
     /* 1415566 */     GIR_EraseRootFromParent_Done,
     /* 1415567 */   // Label 20020: @1415567
     /* 1415567 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1415655), // Rule ID 21518 //
     /* 1415572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1415575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1415589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415611 */     // MIs[0] Operand 5
     /* 1415611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415622 */     // MIs[0] policy
     /* 1415622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1415635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415654 */     // GIR_Coverage, 21518,
     /* 1415654 */     GIR_EraseRootFromParent_Done,
     /* 1415655 */   // Label 20021: @1415655
     /* 1415655 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1415743), // Rule ID 21519 //
     /* 1415660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1415663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1415677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415699 */     // MIs[0] Operand 5
     /* 1415699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415710 */     // MIs[0] policy
     /* 1415710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1415723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415742 */     // GIR_Coverage, 21519,
     /* 1415742 */     GIR_EraseRootFromParent_Done,
     /* 1415743 */   // Label 20022: @1415743
     /* 1415743 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1415831), // Rule ID 21522 //
     /* 1415748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1415751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1415759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1415762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1415765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415787 */     // MIs[0] Operand 5
     /* 1415787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415798 */     // MIs[0] policy
     /* 1415798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415830 */     // GIR_Coverage, 21522,
     /* 1415830 */     GIR_EraseRootFromParent_Done,
     /* 1415831 */   // Label 20023: @1415831
     /* 1415831 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1415919), // Rule ID 21523 //
     /* 1415836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1415839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1415847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1415850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1415853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415875 */     // MIs[0] Operand 5
     /* 1415875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415886 */     // MIs[0] policy
     /* 1415886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415918 */     // GIR_Coverage, 21523,
     /* 1415918 */     GIR_EraseRootFromParent_Done,
     /* 1415919 */   // Label 20024: @1415919
     /* 1415919 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1416007), // Rule ID 21526 //
     /* 1415924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1415927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1415941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415963 */     // MIs[0] Operand 5
     /* 1415963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415974 */     // MIs[0] policy
     /* 1415974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1415987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416006 */     // GIR_Coverage, 21526,
     /* 1416006 */     GIR_EraseRootFromParent_Done,
     /* 1416007 */   // Label 20025: @1416007
     /* 1416007 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1416095), // Rule ID 21527 //
     /* 1416012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1416023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1416026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416051 */     // MIs[0] Operand 5
     /* 1416051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416062 */     // MIs[0] policy
     /* 1416062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1416075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416094 */     // GIR_Coverage, 21527,
     /* 1416094 */     GIR_EraseRootFromParent_Done,
     /* 1416095 */   // Label 20026: @1416095
     /* 1416095 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1416183), // Rule ID 21530 //
     /* 1416100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416139 */     // MIs[0] Operand 5
     /* 1416139 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416150 */     // MIs[0] policy
     /* 1416150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1416163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416182 */     // GIR_Coverage, 21530,
     /* 1416182 */     GIR_EraseRootFromParent_Done,
     /* 1416183 */   // Label 20027: @1416183
     /* 1416183 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1416271), // Rule ID 21531 //
     /* 1416188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416227 */     // MIs[0] Operand 5
     /* 1416227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416238 */     // MIs[0] policy
     /* 1416238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1416251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416270 */     // GIR_Coverage, 21531,
     /* 1416270 */     GIR_EraseRootFromParent_Done,
     /* 1416271 */   // Label 20028: @1416271
     /* 1416271 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1416359), // Rule ID 21534 //
     /* 1416276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416315 */     // MIs[0] Operand 5
     /* 1416315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416326 */     // MIs[0] policy
     /* 1416326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1416339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416358 */     // GIR_Coverage, 21534,
     /* 1416358 */     GIR_EraseRootFromParent_Done,
     /* 1416359 */   // Label 20029: @1416359
     /* 1416359 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1416447), // Rule ID 21535 //
     /* 1416364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416403 */     // MIs[0] Operand 5
     /* 1416403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416414 */     // MIs[0] policy
     /* 1416414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1416427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416446 */     // GIR_Coverage, 21535,
     /* 1416446 */     GIR_EraseRootFromParent_Done,
     /* 1416447 */   // Label 20030: @1416447
     /* 1416447 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1416535), // Rule ID 21538 //
     /* 1416452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416491 */     // MIs[0] Operand 5
     /* 1416491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416502 */     // MIs[0] policy
     /* 1416502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1416515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416534 */     // GIR_Coverage, 21538,
     /* 1416534 */     GIR_EraseRootFromParent_Done,
     /* 1416535 */   // Label 20031: @1416535
     /* 1416535 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1416623), // Rule ID 21539 //
     /* 1416540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416579 */     // MIs[0] Operand 5
     /* 1416579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416590 */     // MIs[0] policy
     /* 1416590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1416603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416622 */     // GIR_Coverage, 21539,
     /* 1416622 */     GIR_EraseRootFromParent_Done,
     /* 1416623 */   // Label 20032: @1416623
     /* 1416623 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1416711), // Rule ID 21542 //
     /* 1416628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1416639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1416642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416667 */     // MIs[0] Operand 5
     /* 1416667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416678 */     // MIs[0] policy
     /* 1416678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416688 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1416691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416710 */     // GIR_Coverage, 21542,
     /* 1416710 */     GIR_EraseRootFromParent_Done,
     /* 1416711 */   // Label 20033: @1416711
     /* 1416711 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1416799), // Rule ID 21543 //
     /* 1416716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1416727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1416730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416755 */     // MIs[0] Operand 5
     /* 1416755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416766 */     // MIs[0] policy
     /* 1416766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1416779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416798 */     // GIR_Coverage, 21543,
     /* 1416798 */     GIR_EraseRootFromParent_Done,
     /* 1416799 */   // Label 20034: @1416799
     /* 1416799 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1416887), // Rule ID 21546 //
     /* 1416804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1416821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416843 */     // MIs[0] Operand 5
     /* 1416843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416854 */     // MIs[0] policy
     /* 1416854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1416867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416886 */     // GIR_Coverage, 21546,
     /* 1416886 */     GIR_EraseRootFromParent_Done,
     /* 1416887 */   // Label 20035: @1416887
     /* 1416887 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1416975), // Rule ID 21547 //
     /* 1416892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1416909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416931 */     // MIs[0] Operand 5
     /* 1416931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416942 */     // MIs[0] policy
     /* 1416942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1416955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416974 */     // GIR_Coverage, 21547,
     /* 1416974 */     GIR_EraseRootFromParent_Done,
     /* 1416975 */   // Label 20036: @1416975
     /* 1416975 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1417063), // Rule ID 21550 //
     /* 1416980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1416991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1416994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1416997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417019 */     // MIs[0] Operand 5
     /* 1417019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417030 */     // MIs[0] policy
     /* 1417030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417040 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1417043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417062 */     // GIR_Coverage, 21550,
     /* 1417062 */     GIR_EraseRootFromParent_Done,
     /* 1417063 */   // Label 20037: @1417063
     /* 1417063 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1417151), // Rule ID 21551 //
     /* 1417068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1417079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1417082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417107 */     // MIs[0] Operand 5
     /* 1417107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417118 */     // MIs[0] policy
     /* 1417118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1417131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417150 */     // GIR_Coverage, 21551,
     /* 1417150 */     GIR_EraseRootFromParent_Done,
     /* 1417151 */   // Label 20038: @1417151
     /* 1417151 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1417239), // Rule ID 21554 //
     /* 1417156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1417176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417195 */     // MIs[0] Operand 5
     /* 1417195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417206 */     // MIs[0] policy
     /* 1417206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1417219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417238 */     // GIR_Coverage, 21554,
     /* 1417238 */     GIR_EraseRootFromParent_Done,
     /* 1417239 */   // Label 20039: @1417239
     /* 1417239 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1417327), // Rule ID 21555 //
     /* 1417244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1417264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417283 */     // MIs[0] Operand 5
     /* 1417283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417294 */     // MIs[0] policy
     /* 1417294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1417307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417326 */     // GIR_Coverage, 21555,
     /* 1417326 */     GIR_EraseRootFromParent_Done,
     /* 1417327 */   // Label 20040: @1417327
     /* 1417327 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1417415), // Rule ID 21558 //
     /* 1417332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417371 */     // MIs[0] Operand 5
     /* 1417371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417382 */     // MIs[0] policy
     /* 1417382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1417395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417414 */     // GIR_Coverage, 21558,
     /* 1417414 */     GIR_EraseRootFromParent_Done,
     /* 1417415 */   // Label 20041: @1417415
     /* 1417415 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1417503), // Rule ID 21559 //
     /* 1417420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1417423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417459 */     // MIs[0] Operand 5
     /* 1417459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417470 */     // MIs[0] policy
     /* 1417470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1417483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417502 */     // GIR_Coverage, 21559,
     /* 1417502 */     GIR_EraseRootFromParent_Done,
     /* 1417503 */   // Label 20042: @1417503
     /* 1417503 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1417591), // Rule ID 21562 //
     /* 1417508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417547 */     // MIs[0] Operand 5
     /* 1417547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417558 */     // MIs[0] policy
     /* 1417558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1417571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417590 */     // GIR_Coverage, 21562,
     /* 1417590 */     GIR_EraseRootFromParent_Done,
     /* 1417591 */   // Label 20043: @1417591
     /* 1417591 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1417679), // Rule ID 21563 //
     /* 1417596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1417599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417635 */     // MIs[0] Operand 5
     /* 1417635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417646 */     // MIs[0] policy
     /* 1417646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1417659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417678 */     // GIR_Coverage, 21563,
     /* 1417678 */     GIR_EraseRootFromParent_Done,
     /* 1417679 */   // Label 20044: @1417679
     /* 1417679 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1417767), // Rule ID 21566 //
     /* 1417684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1417695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1417698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1417701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417723 */     // MIs[0] Operand 5
     /* 1417723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417734 */     // MIs[0] policy
     /* 1417734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1417747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417766 */     // GIR_Coverage, 21566,
     /* 1417766 */     GIR_EraseRootFromParent_Done,
     /* 1417767 */   // Label 20045: @1417767
     /* 1417767 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1417855), // Rule ID 21567 //
     /* 1417772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1417775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1417783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1417786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1417789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417811 */     // MIs[0] Operand 5
     /* 1417811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417822 */     // MIs[0] policy
     /* 1417822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1417835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417854 */     // GIR_Coverage, 21567,
     /* 1417854 */     GIR_EraseRootFromParent_Done,
     /* 1417855 */   // Label 20046: @1417855
     /* 1417855 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1417943), // Rule ID 21570 //
     /* 1417860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1417877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417899 */     // MIs[0] Operand 5
     /* 1417899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417910 */     // MIs[0] policy
     /* 1417910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1417923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417942 */     // GIR_Coverage, 21570,
     /* 1417942 */     GIR_EraseRootFromParent_Done,
     /* 1417943 */   // Label 20047: @1417943
     /* 1417943 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1418031), // Rule ID 21571 //
     /* 1417948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1417951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1417965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417987 */     // MIs[0] Operand 5
     /* 1417987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417998 */     // MIs[0] policy
     /* 1417998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1418011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418030 */     // GIR_Coverage, 21571,
     /* 1418030 */     GIR_EraseRootFromParent_Done,
     /* 1418031 */   // Label 20048: @1418031
     /* 1418031 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1418119), // Rule ID 21574 //
     /* 1418036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1418039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1418056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418075 */     // MIs[0] Operand 5
     /* 1418075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418086 */     // MIs[0] policy
     /* 1418086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418118 */     // GIR_Coverage, 21574,
     /* 1418118 */     GIR_EraseRootFromParent_Done,
     /* 1418119 */   // Label 20049: @1418119
     /* 1418119 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1418207), // Rule ID 21575 //
     /* 1418124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1418127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1418144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418163 */     // MIs[0] Operand 5
     /* 1418163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418174 */     // MIs[0] policy
     /* 1418174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418184 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418206 */     // GIR_Coverage, 21575,
     /* 1418206 */     GIR_EraseRootFromParent_Done,
     /* 1418207 */   // Label 20050: @1418207
     /* 1418207 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1418295), // Rule ID 21578 //
     /* 1418212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418251 */     // MIs[0] Operand 5
     /* 1418251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418262 */     // MIs[0] policy
     /* 1418262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418294 */     // GIR_Coverage, 21578,
     /* 1418294 */     GIR_EraseRootFromParent_Done,
     /* 1418295 */   // Label 20051: @1418295
     /* 1418295 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1418383), // Rule ID 21579 //
     /* 1418300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418339 */     // MIs[0] Operand 5
     /* 1418339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418350 */     // MIs[0] policy
     /* 1418350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418382 */     // GIR_Coverage, 21579,
     /* 1418382 */     GIR_EraseRootFromParent_Done,
     /* 1418383 */   // Label 20052: @1418383
     /* 1418383 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1418471), // Rule ID 21582 //
     /* 1418388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418427 */     // MIs[0] Operand 5
     /* 1418427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418438 */     // MIs[0] policy
     /* 1418438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1418451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418470 */     // GIR_Coverage, 21582,
     /* 1418470 */     GIR_EraseRootFromParent_Done,
     /* 1418471 */   // Label 20053: @1418471
     /* 1418471 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1418559), // Rule ID 21583 //
     /* 1418476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418515 */     // MIs[0] Operand 5
     /* 1418515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418526 */     // MIs[0] policy
     /* 1418526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1418539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418558 */     // GIR_Coverage, 21583,
     /* 1418558 */     GIR_EraseRootFromParent_Done,
     /* 1418559 */   // Label 20054: @1418559
     /* 1418559 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1418647), // Rule ID 21586 //
     /* 1418564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418603 */     // MIs[0] Operand 5
     /* 1418603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418614 */     // MIs[0] policy
     /* 1418614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1418627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418646 */     // GIR_Coverage, 21586,
     /* 1418646 */     GIR_EraseRootFromParent_Done,
     /* 1418647 */   // Label 20055: @1418647
     /* 1418647 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1418735), // Rule ID 21587 //
     /* 1418652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418691 */     // MIs[0] Operand 5
     /* 1418691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418702 */     // MIs[0] policy
     /* 1418702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1418715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418734 */     // GIR_Coverage, 21587,
     /* 1418734 */     GIR_EraseRootFromParent_Done,
     /* 1418735 */   // Label 20056: @1418735
     /* 1418735 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1418823), // Rule ID 21590 //
     /* 1418740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1418757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418779 */     // MIs[0] Operand 5
     /* 1418779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418790 */     // MIs[0] policy
     /* 1418790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418822 */     // GIR_Coverage, 21590,
     /* 1418822 */     GIR_EraseRootFromParent_Done,
     /* 1418823 */   // Label 20057: @1418823
     /* 1418823 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1418911), // Rule ID 21591 //
     /* 1418828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1418845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418867 */     // MIs[0] Operand 5
     /* 1418867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418878 */     // MIs[0] policy
     /* 1418878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418910 */     // GIR_Coverage, 21591,
     /* 1418910 */     GIR_EraseRootFromParent_Done,
     /* 1418911 */   // Label 20058: @1418911
     /* 1418911 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1419010), // Rule ID 2788 //
     /* 1418916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1418927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1418930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1418933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418966 */     // MIs[1] Operand 1
     /* 1418966 */     // No operand predicates
     /* 1418966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418970 */     // MIs[0] policy
     /* 1418970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418982 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1418985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418991 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419009 */     // GIR_Coverage, 2788,
     /* 1419009 */     GIR_EraseRootFromParent_Done,
     /* 1419010 */   // Label 20059: @1419010
     /* 1419010 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1419109), // Rule ID 2789 //
     /* 1419015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419065 */     // MIs[1] Operand 1
     /* 1419065 */     // No operand predicates
     /* 1419065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419069 */     // MIs[0] policy
     /* 1419069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419081 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1419084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419090 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419108 */     // GIR_Coverage, 2789,
     /* 1419108 */     GIR_EraseRootFromParent_Done,
     /* 1419109 */   // Label 20060: @1419109
     /* 1419109 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1419208), // Rule ID 2796 //
     /* 1419114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419164 */     // MIs[1] Operand 1
     /* 1419164 */     // No operand predicates
     /* 1419164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419168 */     // MIs[0] policy
     /* 1419168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419189 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419207 */     // GIR_Coverage, 2796,
     /* 1419207 */     GIR_EraseRootFromParent_Done,
     /* 1419208 */   // Label 20061: @1419208
     /* 1419208 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1419307), // Rule ID 2797 //
     /* 1419213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419263 */     // MIs[1] Operand 1
     /* 1419263 */     // No operand predicates
     /* 1419263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419267 */     // MIs[0] policy
     /* 1419267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419279 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419288 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419306 */     // GIR_Coverage, 2797,
     /* 1419306 */     GIR_EraseRootFromParent_Done,
     /* 1419307 */   // Label 20062: @1419307
     /* 1419307 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1419406), // Rule ID 2804 //
     /* 1419312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419362 */     // MIs[1] Operand 1
     /* 1419362 */     // No operand predicates
     /* 1419362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419366 */     // MIs[0] policy
     /* 1419366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419378 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419387 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419405 */     // GIR_Coverage, 2804,
     /* 1419405 */     GIR_EraseRootFromParent_Done,
     /* 1419406 */   // Label 20063: @1419406
     /* 1419406 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1419505), // Rule ID 2805 //
     /* 1419411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419461 */     // MIs[1] Operand 1
     /* 1419461 */     // No operand predicates
     /* 1419461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419465 */     // MIs[0] policy
     /* 1419465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419486 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419504 */     // GIR_Coverage, 2805,
     /* 1419504 */     GIR_EraseRootFromParent_Done,
     /* 1419505 */   // Label 20064: @1419505
     /* 1419505 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1419604), // Rule ID 2812 //
     /* 1419510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1419527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419560 */     // MIs[1] Operand 1
     /* 1419560 */     // No operand predicates
     /* 1419560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419564 */     // MIs[0] policy
     /* 1419564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419585 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419603 */     // GIR_Coverage, 2812,
     /* 1419603 */     GIR_EraseRootFromParent_Done,
     /* 1419604 */   // Label 20065: @1419604
     /* 1419604 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1419703), // Rule ID 2813 //
     /* 1419609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1419626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419659 */     // MIs[1] Operand 1
     /* 1419659 */     // No operand predicates
     /* 1419659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419663 */     // MIs[0] policy
     /* 1419663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419684 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419702 */     // GIR_Coverage, 2813,
     /* 1419702 */     GIR_EraseRootFromParent_Done,
     /* 1419703 */   // Label 20066: @1419703
     /* 1419703 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1419802), // Rule ID 2820 //
     /* 1419708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1419725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419758 */     // MIs[1] Operand 1
     /* 1419758 */     // No operand predicates
     /* 1419758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419762 */     // MIs[0] policy
     /* 1419762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419783 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419801 */     // GIR_Coverage, 2820,
     /* 1419801 */     GIR_EraseRootFromParent_Done,
     /* 1419802 */   // Label 20067: @1419802
     /* 1419802 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1419901), // Rule ID 2821 //
     /* 1419807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1419824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419857 */     // MIs[1] Operand 1
     /* 1419857 */     // No operand predicates
     /* 1419857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419861 */     // MIs[0] policy
     /* 1419861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419873 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419882 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419900 */     // GIR_Coverage, 2821,
     /* 1419900 */     GIR_EraseRootFromParent_Done,
     /* 1419901 */   // Label 20068: @1419901
     /* 1419901 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1420000), // Rule ID 2828 //
     /* 1419906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1419917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1419920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1419923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419956 */     // MIs[1] Operand 1
     /* 1419956 */     // No operand predicates
     /* 1419956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419960 */     // MIs[0] policy
     /* 1419960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419981 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419999 */     // GIR_Coverage, 2828,
     /* 1419999 */     GIR_EraseRootFromParent_Done,
     /* 1420000 */   // Label 20069: @1420000
     /* 1420000 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1420099), // Rule ID 2829 //
     /* 1420005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420055 */     // MIs[1] Operand 1
     /* 1420055 */     // No operand predicates
     /* 1420055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420059 */     // MIs[0] policy
     /* 1420059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1420074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420080 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420098 */     // GIR_Coverage, 2829,
     /* 1420098 */     GIR_EraseRootFromParent_Done,
     /* 1420099 */   // Label 20070: @1420099
     /* 1420099 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1420198), // Rule ID 2836 //
     /* 1420104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420154 */     // MIs[1] Operand 1
     /* 1420154 */     // No operand predicates
     /* 1420154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420158 */     // MIs[0] policy
     /* 1420158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420179 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420197 */     // GIR_Coverage, 2836,
     /* 1420197 */     GIR_EraseRootFromParent_Done,
     /* 1420198 */   // Label 20071: @1420198
     /* 1420198 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1420297), // Rule ID 2837 //
     /* 1420203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420253 */     // MIs[1] Operand 1
     /* 1420253 */     // No operand predicates
     /* 1420253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420257 */     // MIs[0] policy
     /* 1420257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420278 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420296 */     // GIR_Coverage, 2837,
     /* 1420296 */     GIR_EraseRootFromParent_Done,
     /* 1420297 */   // Label 20072: @1420297
     /* 1420297 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1420396), // Rule ID 2844 //
     /* 1420302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420352 */     // MIs[1] Operand 1
     /* 1420352 */     // No operand predicates
     /* 1420352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420356 */     // MIs[0] policy
     /* 1420356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420377 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420395 */     // GIR_Coverage, 2844,
     /* 1420395 */     GIR_EraseRootFromParent_Done,
     /* 1420396 */   // Label 20073: @1420396
     /* 1420396 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1420495), // Rule ID 2845 //
     /* 1420401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420451 */     // MIs[1] Operand 1
     /* 1420451 */     // No operand predicates
     /* 1420451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420455 */     // MIs[0] policy
     /* 1420455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420476 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420494 */     // GIR_Coverage, 2845,
     /* 1420494 */     GIR_EraseRootFromParent_Done,
     /* 1420495 */   // Label 20074: @1420495
     /* 1420495 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1420594), // Rule ID 2852 //
     /* 1420500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1420517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420550 */     // MIs[1] Operand 1
     /* 1420550 */     // No operand predicates
     /* 1420550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420554 */     // MIs[0] policy
     /* 1420554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420575 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420593 */     // GIR_Coverage, 2852,
     /* 1420593 */     GIR_EraseRootFromParent_Done,
     /* 1420594 */   // Label 20075: @1420594
     /* 1420594 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1420693), // Rule ID 2853 //
     /* 1420599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1420616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420649 */     // MIs[1] Operand 1
     /* 1420649 */     // No operand predicates
     /* 1420649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420653 */     // MIs[0] policy
     /* 1420653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420674 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420692 */     // GIR_Coverage, 2853,
     /* 1420692 */     GIR_EraseRootFromParent_Done,
     /* 1420693 */   // Label 20076: @1420693
     /* 1420693 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1420792), // Rule ID 2860 //
     /* 1420698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1420709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1420712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1420715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420748 */     // MIs[1] Operand 1
     /* 1420748 */     // No operand predicates
     /* 1420748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420752 */     // MIs[0] policy
     /* 1420752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420773 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420791 */     // GIR_Coverage, 2860,
     /* 1420791 */     GIR_EraseRootFromParent_Done,
     /* 1420792 */   // Label 20077: @1420792
     /* 1420792 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1420891), // Rule ID 2861 //
     /* 1420797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1420808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1420811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1420814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420847 */     // MIs[1] Operand 1
     /* 1420847 */     // No operand predicates
     /* 1420847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420851 */     // MIs[0] policy
     /* 1420851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420872 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420890 */     // GIR_Coverage, 2861,
     /* 1420890 */     GIR_EraseRootFromParent_Done,
     /* 1420891 */   // Label 20078: @1420891
     /* 1420891 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1420990), // Rule ID 2868 //
     /* 1420896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1420907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1420910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1420913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420946 */     // MIs[1] Operand 1
     /* 1420946 */     // No operand predicates
     /* 1420946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420950 */     // MIs[0] policy
     /* 1420950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420962 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420971 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420989 */     // GIR_Coverage, 2868,
     /* 1420989 */     GIR_EraseRootFromParent_Done,
     /* 1420990 */   // Label 20079: @1420990
     /* 1420990 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1421089), // Rule ID 2869 //
     /* 1420995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421045 */     // MIs[1] Operand 1
     /* 1421045 */     // No operand predicates
     /* 1421045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421049 */     // MIs[0] policy
     /* 1421049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421061 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1421064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421070 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421088 */     // GIR_Coverage, 2869,
     /* 1421088 */     GIR_EraseRootFromParent_Done,
     /* 1421089 */   // Label 20080: @1421089
     /* 1421089 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1421188), // Rule ID 2876 //
     /* 1421094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421144 */     // MIs[1] Operand 1
     /* 1421144 */     // No operand predicates
     /* 1421144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421148 */     // MIs[0] policy
     /* 1421148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421169 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421187 */     // GIR_Coverage, 2876,
     /* 1421187 */     GIR_EraseRootFromParent_Done,
     /* 1421188 */   // Label 20081: @1421188
     /* 1421188 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1421287), // Rule ID 2877 //
     /* 1421193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421243 */     // MIs[1] Operand 1
     /* 1421243 */     // No operand predicates
     /* 1421243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421247 */     // MIs[0] policy
     /* 1421247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421268 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421286 */     // GIR_Coverage, 2877,
     /* 1421286 */     GIR_EraseRootFromParent_Done,
     /* 1421287 */   // Label 20082: @1421287
     /* 1421287 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1421386), // Rule ID 2884 //
     /* 1421292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421342 */     // MIs[1] Operand 1
     /* 1421342 */     // No operand predicates
     /* 1421342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421346 */     // MIs[0] policy
     /* 1421346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421367 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421385 */     // GIR_Coverage, 2884,
     /* 1421385 */     GIR_EraseRootFromParent_Done,
     /* 1421386 */   // Label 20083: @1421386
     /* 1421386 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1421485), // Rule ID 2885 //
     /* 1421391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421441 */     // MIs[1] Operand 1
     /* 1421441 */     // No operand predicates
     /* 1421441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421445 */     // MIs[0] policy
     /* 1421445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421457 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421466 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421484 */     // GIR_Coverage, 2885,
     /* 1421484 */     GIR_EraseRootFromParent_Done,
     /* 1421485 */   // Label 20084: @1421485
     /* 1421485 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1421584), // Rule ID 2892 //
     /* 1421490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1421501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1421504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421540 */     // MIs[1] Operand 1
     /* 1421540 */     // No operand predicates
     /* 1421540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421544 */     // MIs[0] policy
     /* 1421544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1421559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421565 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421583 */     // GIR_Coverage, 2892,
     /* 1421583 */     GIR_EraseRootFromParent_Done,
     /* 1421584 */   // Label 20085: @1421584
     /* 1421584 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1421683), // Rule ID 2893 //
     /* 1421589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1421600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1421603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421639 */     // MIs[1] Operand 1
     /* 1421639 */     // No operand predicates
     /* 1421639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421643 */     // MIs[0] policy
     /* 1421643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1421658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421664 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421682 */     // GIR_Coverage, 2893,
     /* 1421682 */     GIR_EraseRootFromParent_Done,
     /* 1421683 */   // Label 20086: @1421683
     /* 1421683 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1421782), // Rule ID 2900 //
     /* 1421688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1421699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1421702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1421705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421738 */     // MIs[1] Operand 1
     /* 1421738 */     // No operand predicates
     /* 1421738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421742 */     // MIs[0] policy
     /* 1421742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421763 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421781 */     // GIR_Coverage, 2900,
     /* 1421781 */     GIR_EraseRootFromParent_Done,
     /* 1421782 */   // Label 20087: @1421782
     /* 1421782 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1421881), // Rule ID 2901 //
     /* 1421787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1421798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1421801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1421804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421837 */     // MIs[1] Operand 1
     /* 1421837 */     // No operand predicates
     /* 1421837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421841 */     // MIs[0] policy
     /* 1421841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421862 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421880 */     // GIR_Coverage, 2901,
     /* 1421880 */     GIR_EraseRootFromParent_Done,
     /* 1421881 */   // Label 20088: @1421881
     /* 1421881 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1421980), // Rule ID 2908 //
     /* 1421886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1421897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1421900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1421903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421936 */     // MIs[1] Operand 1
     /* 1421936 */     // No operand predicates
     /* 1421936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421940 */     // MIs[0] policy
     /* 1421940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421961 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421979 */     // GIR_Coverage, 2908,
     /* 1421979 */     GIR_EraseRootFromParent_Done,
     /* 1421980 */   // Label 20089: @1421980
     /* 1421980 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1422079), // Rule ID 2909 //
     /* 1421985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1421996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1421999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422035 */     // MIs[1] Operand 1
     /* 1422035 */     // No operand predicates
     /* 1422035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422039 */     // MIs[0] policy
     /* 1422039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1422054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422060 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422078 */     // GIR_Coverage, 2909,
     /* 1422078 */     GIR_EraseRootFromParent_Done,
     /* 1422079 */   // Label 20090: @1422079
     /* 1422079 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1422178), // Rule ID 2916 //
     /* 1422084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422134 */     // MIs[1] Operand 1
     /* 1422134 */     // No operand predicates
     /* 1422134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422138 */     // MIs[0] policy
     /* 1422138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422159 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422177 */     // GIR_Coverage, 2916,
     /* 1422177 */     GIR_EraseRootFromParent_Done,
     /* 1422178 */   // Label 20091: @1422178
     /* 1422178 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1422277), // Rule ID 2917 //
     /* 1422183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422233 */     // MIs[1] Operand 1
     /* 1422233 */     // No operand predicates
     /* 1422233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422237 */     // MIs[0] policy
     /* 1422237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422258 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422276 */     // GIR_Coverage, 2917,
     /* 1422276 */     GIR_EraseRootFromParent_Done,
     /* 1422277 */   // Label 20092: @1422277
     /* 1422277 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1422376), // Rule ID 2924 //
     /* 1422282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422332 */     // MIs[1] Operand 1
     /* 1422332 */     // No operand predicates
     /* 1422332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422336 */     // MIs[0] policy
     /* 1422336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422357 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422375 */     // GIR_Coverage, 2924,
     /* 1422375 */     GIR_EraseRootFromParent_Done,
     /* 1422376 */   // Label 20093: @1422376
     /* 1422376 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1422475), // Rule ID 2925 //
     /* 1422381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422431 */     // MIs[1] Operand 1
     /* 1422431 */     // No operand predicates
     /* 1422431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422435 */     // MIs[0] policy
     /* 1422435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422456 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422474 */     // GIR_Coverage, 2925,
     /* 1422474 */     GIR_EraseRootFromParent_Done,
     /* 1422475 */   // Label 20094: @1422475
     /* 1422475 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1422574), // Rule ID 2932 //
     /* 1422480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1422491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1422494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422530 */     // MIs[1] Operand 1
     /* 1422530 */     // No operand predicates
     /* 1422530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422534 */     // MIs[0] policy
     /* 1422534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1422549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422555 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422573 */     // GIR_Coverage, 2932,
     /* 1422573 */     GIR_EraseRootFromParent_Done,
     /* 1422574 */   // Label 20095: @1422574
     /* 1422574 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1422673), // Rule ID 2933 //
     /* 1422579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1422590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1422593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422629 */     // MIs[1] Operand 1
     /* 1422629 */     // No operand predicates
     /* 1422629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422633 */     // MIs[0] policy
     /* 1422633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1422648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422654 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422672 */     // GIR_Coverage, 2933,
     /* 1422672 */     GIR_EraseRootFromParent_Done,
     /* 1422673 */   // Label 20096: @1422673
     /* 1422673 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1422772), // Rule ID 2940 //
     /* 1422678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1422689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1422692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1422695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422728 */     // MIs[1] Operand 1
     /* 1422728 */     // No operand predicates
     /* 1422728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422732 */     // MIs[0] policy
     /* 1422732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422771 */     // GIR_Coverage, 2940,
     /* 1422771 */     GIR_EraseRootFromParent_Done,
     /* 1422772 */   // Label 20097: @1422772
     /* 1422772 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1422871), // Rule ID 2941 //
     /* 1422777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1422788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1422791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1422794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422827 */     // MIs[1] Operand 1
     /* 1422827 */     // No operand predicates
     /* 1422827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422831 */     // MIs[0] policy
     /* 1422831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422852 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422870 */     // GIR_Coverage, 2941,
     /* 1422870 */     GIR_EraseRootFromParent_Done,
     /* 1422871 */   // Label 20098: @1422871
     /* 1422871 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1422970), // Rule ID 2948 //
     /* 1422876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1422887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1422890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1422893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422926 */     // MIs[1] Operand 1
     /* 1422926 */     // No operand predicates
     /* 1422926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422930 */     // MIs[0] policy
     /* 1422930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422951 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422969 */     // GIR_Coverage, 2948,
     /* 1422969 */     GIR_EraseRootFromParent_Done,
     /* 1422970 */   // Label 20099: @1422970
     /* 1422970 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1423069), // Rule ID 2949 //
     /* 1422975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1422986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1422989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1422992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423025 */     // MIs[1] Operand 1
     /* 1423025 */     // No operand predicates
     /* 1423025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423029 */     // MIs[0] policy
     /* 1423029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423050 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423068 */     // GIR_Coverage, 2949,
     /* 1423068 */     GIR_EraseRootFromParent_Done,
     /* 1423069 */   // Label 20100: @1423069
     /* 1423069 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1423168), // Rule ID 2956 //
     /* 1423074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423124 */     // MIs[1] Operand 1
     /* 1423124 */     // No operand predicates
     /* 1423124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423128 */     // MIs[0] policy
     /* 1423128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423149 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423167 */     // GIR_Coverage, 2956,
     /* 1423167 */     GIR_EraseRootFromParent_Done,
     /* 1423168 */   // Label 20101: @1423168
     /* 1423168 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1423267), // Rule ID 2957 //
     /* 1423173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423223 */     // MIs[1] Operand 1
     /* 1423223 */     // No operand predicates
     /* 1423223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423227 */     // MIs[0] policy
     /* 1423227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423248 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423266 */     // GIR_Coverage, 2957,
     /* 1423266 */     GIR_EraseRootFromParent_Done,
     /* 1423267 */   // Label 20102: @1423267
     /* 1423267 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1423364), // Rule ID 3140 //
     /* 1423272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423322 */     // MIs[1] Operand 1
     /* 1423322 */     // No operand predicates
     /* 1423322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423326 */     // MIs[0] policy
     /* 1423326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423363 */     // GIR_Coverage, 3140,
     /* 1423363 */     GIR_EraseRootFromParent_Done,
     /* 1423364 */   // Label 20103: @1423364
     /* 1423364 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1423461), // Rule ID 3141 //
     /* 1423369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423419 */     // MIs[1] Operand 1
     /* 1423419 */     // No operand predicates
     /* 1423419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423423 */     // MIs[0] policy
     /* 1423423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423460 */     // GIR_Coverage, 3141,
     /* 1423460 */     GIR_EraseRootFromParent_Done,
     /* 1423461 */   // Label 20104: @1423461
     /* 1423461 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1423558), // Rule ID 3144 //
     /* 1423466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423516 */     // MIs[1] Operand 1
     /* 1423516 */     // No operand predicates
     /* 1423516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423520 */     // MIs[0] policy
     /* 1423520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423557 */     // GIR_Coverage, 3144,
     /* 1423557 */     GIR_EraseRootFromParent_Done,
     /* 1423558 */   // Label 20105: @1423558
     /* 1423558 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1423655), // Rule ID 3145 //
     /* 1423563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423613 */     // MIs[1] Operand 1
     /* 1423613 */     // No operand predicates
     /* 1423613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423617 */     // MIs[0] policy
     /* 1423617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423654 */     // GIR_Coverage, 3145,
     /* 1423654 */     GIR_EraseRootFromParent_Done,
     /* 1423655 */   // Label 20106: @1423655
     /* 1423655 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1423752), // Rule ID 3148 //
     /* 1423660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1423671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1423674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1423677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423710 */     // MIs[1] Operand 1
     /* 1423710 */     // No operand predicates
     /* 1423710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423714 */     // MIs[0] policy
     /* 1423714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1423729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423751 */     // GIR_Coverage, 3148,
     /* 1423751 */     GIR_EraseRootFromParent_Done,
     /* 1423752 */   // Label 20107: @1423752
     /* 1423752 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1423849), // Rule ID 3149 //
     /* 1423757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1423768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1423771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1423774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423807 */     // MIs[1] Operand 1
     /* 1423807 */     // No operand predicates
     /* 1423807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423811 */     // MIs[0] policy
     /* 1423811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1423826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423848 */     // GIR_Coverage, 3149,
     /* 1423848 */     GIR_EraseRootFromParent_Done,
     /* 1423849 */   // Label 20108: @1423849
     /* 1423849 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1423946), // Rule ID 3152 //
     /* 1423854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1423865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1423868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1423871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423904 */     // MIs[1] Operand 1
     /* 1423904 */     // No operand predicates
     /* 1423904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423908 */     // MIs[0] policy
     /* 1423908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423945 */     // GIR_Coverage, 3152,
     /* 1423945 */     GIR_EraseRootFromParent_Done,
     /* 1423946 */   // Label 20109: @1423946
     /* 1423946 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1424043), // Rule ID 3153 //
     /* 1423951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1423962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1423965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1423968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424001 */     // MIs[1] Operand 1
     /* 1424001 */     // No operand predicates
     /* 1424001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424005 */     // MIs[0] policy
     /* 1424005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424042 */     // GIR_Coverage, 3153,
     /* 1424042 */     GIR_EraseRootFromParent_Done,
     /* 1424043 */   // Label 20110: @1424043
     /* 1424043 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1424140), // Rule ID 3156 //
     /* 1424048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424098 */     // MIs[1] Operand 1
     /* 1424098 */     // No operand predicates
     /* 1424098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424102 */     // MIs[0] policy
     /* 1424102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424139 */     // GIR_Coverage, 3156,
     /* 1424139 */     GIR_EraseRootFromParent_Done,
     /* 1424140 */   // Label 20111: @1424140
     /* 1424140 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1424237), // Rule ID 3157 //
     /* 1424145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424195 */     // MIs[1] Operand 1
     /* 1424195 */     // No operand predicates
     /* 1424195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424199 */     // MIs[0] policy
     /* 1424199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424236 */     // GIR_Coverage, 3157,
     /* 1424236 */     GIR_EraseRootFromParent_Done,
     /* 1424237 */   // Label 20112: @1424237
     /* 1424237 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1424334), // Rule ID 3160 //
     /* 1424242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424292 */     // MIs[1] Operand 1
     /* 1424292 */     // No operand predicates
     /* 1424292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424296 */     // MIs[0] policy
     /* 1424296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424333 */     // GIR_Coverage, 3160,
     /* 1424333 */     GIR_EraseRootFromParent_Done,
     /* 1424334 */   // Label 20113: @1424334
     /* 1424334 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1424431), // Rule ID 3161 //
     /* 1424339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424389 */     // MIs[1] Operand 1
     /* 1424389 */     // No operand predicates
     /* 1424389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424393 */     // MIs[0] policy
     /* 1424393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424430 */     // GIR_Coverage, 3161,
     /* 1424430 */     GIR_EraseRootFromParent_Done,
     /* 1424431 */   // Label 20114: @1424431
     /* 1424431 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1424528), // Rule ID 3164 //
     /* 1424436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424486 */     // MIs[1] Operand 1
     /* 1424486 */     // No operand predicates
     /* 1424486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424490 */     // MIs[0] policy
     /* 1424490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424527 */     // GIR_Coverage, 3164,
     /* 1424527 */     GIR_EraseRootFromParent_Done,
     /* 1424528 */   // Label 20115: @1424528
     /* 1424528 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1424625), // Rule ID 3165 //
     /* 1424533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424583 */     // MIs[1] Operand 1
     /* 1424583 */     // No operand predicates
     /* 1424583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424587 */     // MIs[0] policy
     /* 1424587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424624 */     // GIR_Coverage, 3165,
     /* 1424624 */     GIR_EraseRootFromParent_Done,
     /* 1424625 */   // Label 20116: @1424625
     /* 1424625 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1424722), // Rule ID 3168 //
     /* 1424630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1424647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424680 */     // MIs[1] Operand 1
     /* 1424680 */     // No operand predicates
     /* 1424680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424684 */     // MIs[0] policy
     /* 1424684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424721 */     // GIR_Coverage, 3168,
     /* 1424721 */     GIR_EraseRootFromParent_Done,
     /* 1424722 */   // Label 20117: @1424722
     /* 1424722 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1424819), // Rule ID 3169 //
     /* 1424727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1424744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424777 */     // MIs[1] Operand 1
     /* 1424777 */     // No operand predicates
     /* 1424777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424781 */     // MIs[0] policy
     /* 1424781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424818 */     // GIR_Coverage, 3169,
     /* 1424818 */     GIR_EraseRootFromParent_Done,
     /* 1424819 */   // Label 20118: @1424819
     /* 1424819 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1424916), // Rule ID 3172 //
     /* 1424824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1424835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1424838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1424841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424874 */     // MIs[1] Operand 1
     /* 1424874 */     // No operand predicates
     /* 1424874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424878 */     // MIs[0] policy
     /* 1424878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424915 */     // GIR_Coverage, 3172,
     /* 1424915 */     GIR_EraseRootFromParent_Done,
     /* 1424916 */   // Label 20119: @1424916
     /* 1424916 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1425013), // Rule ID 3173 //
     /* 1424921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1424932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1424935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1424938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424971 */     // MIs[1] Operand 1
     /* 1424971 */     // No operand predicates
     /* 1424971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424975 */     // MIs[0] policy
     /* 1424975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425012 */     // GIR_Coverage, 3173,
     /* 1425012 */     GIR_EraseRootFromParent_Done,
     /* 1425013 */   // Label 20120: @1425013
     /* 1425013 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1425110), // Rule ID 3176 //
     /* 1425018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425068 */     // MIs[1] Operand 1
     /* 1425068 */     // No operand predicates
     /* 1425068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425072 */     // MIs[0] policy
     /* 1425072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425109 */     // GIR_Coverage, 3176,
     /* 1425109 */     GIR_EraseRootFromParent_Done,
     /* 1425110 */   // Label 20121: @1425110
     /* 1425110 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1425207), // Rule ID 3177 //
     /* 1425115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425165 */     // MIs[1] Operand 1
     /* 1425165 */     // No operand predicates
     /* 1425165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425169 */     // MIs[0] policy
     /* 1425169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425206 */     // GIR_Coverage, 3177,
     /* 1425206 */     GIR_EraseRootFromParent_Done,
     /* 1425207 */   // Label 20122: @1425207
     /* 1425207 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1425304), // Rule ID 3180 //
     /* 1425212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425262 */     // MIs[1] Operand 1
     /* 1425262 */     // No operand predicates
     /* 1425262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425266 */     // MIs[0] policy
     /* 1425266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425303 */     // GIR_Coverage, 3180,
     /* 1425303 */     GIR_EraseRootFromParent_Done,
     /* 1425304 */   // Label 20123: @1425304
     /* 1425304 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1425401), // Rule ID 3181 //
     /* 1425309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425359 */     // MIs[1] Operand 1
     /* 1425359 */     // No operand predicates
     /* 1425359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425363 */     // MIs[0] policy
     /* 1425363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425375 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425400 */     // GIR_Coverage, 3181,
     /* 1425400 */     GIR_EraseRootFromParent_Done,
     /* 1425401 */   // Label 20124: @1425401
     /* 1425401 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1425498), // Rule ID 3184 //
     /* 1425406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425456 */     // MIs[1] Operand 1
     /* 1425456 */     // No operand predicates
     /* 1425456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425460 */     // MIs[0] policy
     /* 1425460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425497 */     // GIR_Coverage, 3184,
     /* 1425497 */     GIR_EraseRootFromParent_Done,
     /* 1425498 */   // Label 20125: @1425498
     /* 1425498 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1425595), // Rule ID 3185 //
     /* 1425503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425553 */     // MIs[1] Operand 1
     /* 1425553 */     // No operand predicates
     /* 1425553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425557 */     // MIs[0] policy
     /* 1425557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425569 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425594 */     // GIR_Coverage, 3185,
     /* 1425594 */     GIR_EraseRootFromParent_Done,
     /* 1425595 */   // Label 20126: @1425595
     /* 1425595 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1425692), // Rule ID 3188 //
     /* 1425600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1425611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1425614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1425617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1425623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425650 */     // MIs[1] Operand 1
     /* 1425650 */     // No operand predicates
     /* 1425650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425654 */     // MIs[0] policy
     /* 1425654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1425669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425691 */     // GIR_Coverage, 3188,
     /* 1425691 */     GIR_EraseRootFromParent_Done,
     /* 1425692 */   // Label 20127: @1425692
     /* 1425692 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1425789), // Rule ID 3189 //
     /* 1425697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1425708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1425711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1425714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1425720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425747 */     // MIs[1] Operand 1
     /* 1425747 */     // No operand predicates
     /* 1425747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425751 */     // MIs[0] policy
     /* 1425751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1425766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425788 */     // GIR_Coverage, 3189,
     /* 1425788 */     GIR_EraseRootFromParent_Done,
     /* 1425789 */   // Label 20128: @1425789
     /* 1425789 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1425886), // Rule ID 3192 //
     /* 1425794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1425805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1425808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1425811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425844 */     // MIs[1] Operand 1
     /* 1425844 */     // No operand predicates
     /* 1425844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425848 */     // MIs[0] policy
     /* 1425848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425885 */     // GIR_Coverage, 3192,
     /* 1425885 */     GIR_EraseRootFromParent_Done,
     /* 1425886 */   // Label 20129: @1425886
     /* 1425886 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1425983), // Rule ID 3193 //
     /* 1425891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1425902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1425905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1425908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425941 */     // MIs[1] Operand 1
     /* 1425941 */     // No operand predicates
     /* 1425941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425945 */     // MIs[0] policy
     /* 1425945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425982 */     // GIR_Coverage, 3193,
     /* 1425982 */     GIR_EraseRootFromParent_Done,
     /* 1425983 */   // Label 20130: @1425983
     /* 1425983 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1426080), // Rule ID 3196 //
     /* 1425988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1425999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426038 */     // MIs[1] Operand 1
     /* 1426038 */     // No operand predicates
     /* 1426038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426042 */     // MIs[0] policy
     /* 1426042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426079 */     // GIR_Coverage, 3196,
     /* 1426079 */     GIR_EraseRootFromParent_Done,
     /* 1426080 */   // Label 20131: @1426080
     /* 1426080 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1426177), // Rule ID 3197 //
     /* 1426085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426135 */     // MIs[1] Operand 1
     /* 1426135 */     // No operand predicates
     /* 1426135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426139 */     // MIs[0] policy
     /* 1426139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426176 */     // GIR_Coverage, 3197,
     /* 1426176 */     GIR_EraseRootFromParent_Done,
     /* 1426177 */   // Label 20132: @1426177
     /* 1426177 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1426274), // Rule ID 3200 //
     /* 1426182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426232 */     // MIs[1] Operand 1
     /* 1426232 */     // No operand predicates
     /* 1426232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426236 */     // MIs[0] policy
     /* 1426236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426273 */     // GIR_Coverage, 3200,
     /* 1426273 */     GIR_EraseRootFromParent_Done,
     /* 1426274 */   // Label 20133: @1426274
     /* 1426274 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1426371), // Rule ID 3201 //
     /* 1426279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426329 */     // MIs[1] Operand 1
     /* 1426329 */     // No operand predicates
     /* 1426329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426333 */     // MIs[0] policy
     /* 1426333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426370 */     // GIR_Coverage, 3201,
     /* 1426370 */     GIR_EraseRootFromParent_Done,
     /* 1426371 */   // Label 20134: @1426371
     /* 1426371 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1426468), // Rule ID 3204 //
     /* 1426376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426426 */     // MIs[1] Operand 1
     /* 1426426 */     // No operand predicates
     /* 1426426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426430 */     // MIs[0] policy
     /* 1426430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426467 */     // GIR_Coverage, 3204,
     /* 1426467 */     GIR_EraseRootFromParent_Done,
     /* 1426468 */   // Label 20135: @1426468
     /* 1426468 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1426565), // Rule ID 3205 //
     /* 1426473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426523 */     // MIs[1] Operand 1
     /* 1426523 */     // No operand predicates
     /* 1426523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426527 */     // MIs[0] policy
     /* 1426527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426564 */     // GIR_Coverage, 3205,
     /* 1426564 */     GIR_EraseRootFromParent_Done,
     /* 1426565 */   // Label 20136: @1426565
     /* 1426565 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1426662), // Rule ID 3208 //
     /* 1426570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1426581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1426584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426620 */     // MIs[1] Operand 1
     /* 1426620 */     // No operand predicates
     /* 1426620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426624 */     // MIs[0] policy
     /* 1426624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426661 */     // GIR_Coverage, 3208,
     /* 1426661 */     GIR_EraseRootFromParent_Done,
     /* 1426662 */   // Label 20137: @1426662
     /* 1426662 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1426759), // Rule ID 3209 //
     /* 1426667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1426678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1426681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426717 */     // MIs[1] Operand 1
     /* 1426717 */     // No operand predicates
     /* 1426717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426721 */     // MIs[0] policy
     /* 1426721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426758 */     // GIR_Coverage, 3209,
     /* 1426758 */     GIR_EraseRootFromParent_Done,
     /* 1426759 */   // Label 20138: @1426759
     /* 1426759 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1426856), // Rule ID 3212 //
     /* 1426764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1426775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1426778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1426781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426814 */     // MIs[1] Operand 1
     /* 1426814 */     // No operand predicates
     /* 1426814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426818 */     // MIs[0] policy
     /* 1426818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426855 */     // GIR_Coverage, 3212,
     /* 1426855 */     GIR_EraseRootFromParent_Done,
     /* 1426856 */   // Label 20139: @1426856
     /* 1426856 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1426953), // Rule ID 3213 //
     /* 1426861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1426872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1426875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1426878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426911 */     // MIs[1] Operand 1
     /* 1426911 */     // No operand predicates
     /* 1426911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426915 */     // MIs[0] policy
     /* 1426915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426952 */     // GIR_Coverage, 3213,
     /* 1426952 */     GIR_EraseRootFromParent_Done,
     /* 1426953 */   // Label 20140: @1426953
     /* 1426953 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1427050), // Rule ID 3216 //
     /* 1426958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1426961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1426969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1426972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1426975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427008 */     // MIs[1] Operand 1
     /* 1427008 */     // No operand predicates
     /* 1427008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427012 */     // MIs[0] policy
     /* 1427012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427049 */     // GIR_Coverage, 3216,
     /* 1427049 */     GIR_EraseRootFromParent_Done,
     /* 1427050 */   // Label 20141: @1427050
     /* 1427050 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1427147), // Rule ID 3217 //
     /* 1427055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427105 */     // MIs[1] Operand 1
     /* 1427105 */     // No operand predicates
     /* 1427105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427109 */     // MIs[0] policy
     /* 1427109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427146 */     // GIR_Coverage, 3217,
     /* 1427146 */     GIR_EraseRootFromParent_Done,
     /* 1427147 */   // Label 20142: @1427147
     /* 1427147 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1427244), // Rule ID 3220 //
     /* 1427152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427202 */     // MIs[1] Operand 1
     /* 1427202 */     // No operand predicates
     /* 1427202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427206 */     // MIs[0] policy
     /* 1427206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427243 */     // GIR_Coverage, 3220,
     /* 1427243 */     GIR_EraseRootFromParent_Done,
     /* 1427244 */   // Label 20143: @1427244
     /* 1427244 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1427341), // Rule ID 3221 //
     /* 1427249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427299 */     // MIs[1] Operand 1
     /* 1427299 */     // No operand predicates
     /* 1427299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427303 */     // MIs[0] policy
     /* 1427303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427340 */     // GIR_Coverage, 3221,
     /* 1427340 */     GIR_EraseRootFromParent_Done,
     /* 1427341 */   // Label 20144: @1427341
     /* 1427341 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1427438), // Rule ID 3224 //
     /* 1427346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427396 */     // MIs[1] Operand 1
     /* 1427396 */     // No operand predicates
     /* 1427396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427400 */     // MIs[0] policy
     /* 1427400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427412 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427437 */     // GIR_Coverage, 3224,
     /* 1427437 */     GIR_EraseRootFromParent_Done,
     /* 1427438 */   // Label 20145: @1427438
     /* 1427438 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1427535), // Rule ID 3225 //
     /* 1427443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427493 */     // MIs[1] Operand 1
     /* 1427493 */     // No operand predicates
     /* 1427493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427497 */     // MIs[0] policy
     /* 1427497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427534 */     // GIR_Coverage, 3225,
     /* 1427534 */     GIR_EraseRootFromParent_Done,
     /* 1427535 */   // Label 20146: @1427535
     /* 1427535 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1427632), // Rule ID 3492 //
     /* 1427540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1427551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1427554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1427557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427590 */     // MIs[1] Operand 1
     /* 1427590 */     // No operand predicates
     /* 1427590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427594 */     // MIs[0] policy
     /* 1427594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1427609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427631 */     // GIR_Coverage, 3492,
     /* 1427631 */     GIR_EraseRootFromParent_Done,
     /* 1427632 */   // Label 20147: @1427632
     /* 1427632 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1427729), // Rule ID 3493 //
     /* 1427637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1427648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1427651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1427654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427687 */     // MIs[1] Operand 1
     /* 1427687 */     // No operand predicates
     /* 1427687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427691 */     // MIs[0] policy
     /* 1427691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1427706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427728 */     // GIR_Coverage, 3493,
     /* 1427728 */     GIR_EraseRootFromParent_Done,
     /* 1427729 */   // Label 20148: @1427729
     /* 1427729 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1427826), // Rule ID 3496 //
     /* 1427734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1427745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1427748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1427751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427784 */     // MIs[1] Operand 1
     /* 1427784 */     // No operand predicates
     /* 1427784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427788 */     // MIs[0] policy
     /* 1427788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1427803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427825 */     // GIR_Coverage, 3496,
     /* 1427825 */     GIR_EraseRootFromParent_Done,
     /* 1427826 */   // Label 20149: @1427826
     /* 1427826 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1427923), // Rule ID 3497 //
     /* 1427831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1427842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1427845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1427848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427881 */     // MIs[1] Operand 1
     /* 1427881 */     // No operand predicates
     /* 1427881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427885 */     // MIs[0] policy
     /* 1427885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1427900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427922 */     // GIR_Coverage, 3497,
     /* 1427922 */     GIR_EraseRootFromParent_Done,
     /* 1427923 */   // Label 20150: @1427923
     /* 1427923 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1428020), // Rule ID 3500 //
     /* 1427928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1427939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1427942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1427945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427978 */     // MIs[1] Operand 1
     /* 1427978 */     // No operand predicates
     /* 1427978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427982 */     // MIs[0] policy
     /* 1427982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1427997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428019 */     // GIR_Coverage, 3500,
     /* 1428019 */     GIR_EraseRootFromParent_Done,
     /* 1428020 */   // Label 20151: @1428020
     /* 1428020 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1428117), // Rule ID 3501 //
     /* 1428025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428075 */     // MIs[1] Operand 1
     /* 1428075 */     // No operand predicates
     /* 1428075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428079 */     // MIs[0] policy
     /* 1428079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428116 */     // GIR_Coverage, 3501,
     /* 1428116 */     GIR_EraseRootFromParent_Done,
     /* 1428117 */   // Label 20152: @1428117
     /* 1428117 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1428214), // Rule ID 3504 //
     /* 1428122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428172 */     // MIs[1] Operand 1
     /* 1428172 */     // No operand predicates
     /* 1428172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428176 */     // MIs[0] policy
     /* 1428176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428213 */     // GIR_Coverage, 3504,
     /* 1428213 */     GIR_EraseRootFromParent_Done,
     /* 1428214 */   // Label 20153: @1428214
     /* 1428214 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1428311), // Rule ID 3505 //
     /* 1428219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428269 */     // MIs[1] Operand 1
     /* 1428269 */     // No operand predicates
     /* 1428269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428273 */     // MIs[0] policy
     /* 1428273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428310 */     // GIR_Coverage, 3505,
     /* 1428310 */     GIR_EraseRootFromParent_Done,
     /* 1428311 */   // Label 20154: @1428311
     /* 1428311 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1428408), // Rule ID 3508 //
     /* 1428316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428366 */     // MIs[1] Operand 1
     /* 1428366 */     // No operand predicates
     /* 1428366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428370 */     // MIs[0] policy
     /* 1428370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428407 */     // GIR_Coverage, 3508,
     /* 1428407 */     GIR_EraseRootFromParent_Done,
     /* 1428408 */   // Label 20155: @1428408
     /* 1428408 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1428505), // Rule ID 3509 //
     /* 1428413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428463 */     // MIs[1] Operand 1
     /* 1428463 */     // No operand predicates
     /* 1428463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428467 */     // MIs[0] policy
     /* 1428467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428504 */     // GIR_Coverage, 3509,
     /* 1428504 */     GIR_EraseRootFromParent_Done,
     /* 1428505 */   // Label 20156: @1428505
     /* 1428505 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1428602), // Rule ID 3512 //
     /* 1428510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428560 */     // MIs[1] Operand 1
     /* 1428560 */     // No operand predicates
     /* 1428560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428564 */     // MIs[0] policy
     /* 1428564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428601 */     // GIR_Coverage, 3512,
     /* 1428601 */     GIR_EraseRootFromParent_Done,
     /* 1428602 */   // Label 20157: @1428602
     /* 1428602 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1428699), // Rule ID 3513 //
     /* 1428607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428657 */     // MIs[1] Operand 1
     /* 1428657 */     // No operand predicates
     /* 1428657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428661 */     // MIs[0] policy
     /* 1428661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428698 */     // GIR_Coverage, 3513,
     /* 1428698 */     GIR_EraseRootFromParent_Done,
     /* 1428699 */   // Label 20158: @1428699
     /* 1428699 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1428796), // Rule ID 3516 //
     /* 1428704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1428721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428754 */     // MIs[1] Operand 1
     /* 1428754 */     // No operand predicates
     /* 1428754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428758 */     // MIs[0] policy
     /* 1428758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1428773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428795 */     // GIR_Coverage, 3516,
     /* 1428795 */     GIR_EraseRootFromParent_Done,
     /* 1428796 */   // Label 20159: @1428796
     /* 1428796 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1428893), // Rule ID 3517 //
     /* 1428801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1428818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428851 */     // MIs[1] Operand 1
     /* 1428851 */     // No operand predicates
     /* 1428851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428855 */     // MIs[0] policy
     /* 1428855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1428870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428892 */     // GIR_Coverage, 3517,
     /* 1428892 */     GIR_EraseRootFromParent_Done,
     /* 1428893 */   // Label 20160: @1428893
     /* 1428893 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1428990), // Rule ID 3520 //
     /* 1428898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1428909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1428912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1428915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428948 */     // MIs[1] Operand 1
     /* 1428948 */     // No operand predicates
     /* 1428948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428952 */     // MIs[0] policy
     /* 1428952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1428967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428989 */     // GIR_Coverage, 3520,
     /* 1428989 */     GIR_EraseRootFromParent_Done,
     /* 1428990 */   // Label 20161: @1428990
     /* 1428990 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1429087), // Rule ID 3521 //
     /* 1428995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429045 */     // MIs[1] Operand 1
     /* 1429045 */     // No operand predicates
     /* 1429045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429049 */     // MIs[0] policy
     /* 1429049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429086 */     // GIR_Coverage, 3521,
     /* 1429086 */     GIR_EraseRootFromParent_Done,
     /* 1429087 */   // Label 20162: @1429087
     /* 1429087 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1429184), // Rule ID 3524 //
     /* 1429092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429142 */     // MIs[1] Operand 1
     /* 1429142 */     // No operand predicates
     /* 1429142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429146 */     // MIs[0] policy
     /* 1429146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429183 */     // GIR_Coverage, 3524,
     /* 1429183 */     GIR_EraseRootFromParent_Done,
     /* 1429184 */   // Label 20163: @1429184
     /* 1429184 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1429281), // Rule ID 3525 //
     /* 1429189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429239 */     // MIs[1] Operand 1
     /* 1429239 */     // No operand predicates
     /* 1429239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429243 */     // MIs[0] policy
     /* 1429243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429280 */     // GIR_Coverage, 3525,
     /* 1429280 */     GIR_EraseRootFromParent_Done,
     /* 1429281 */   // Label 20164: @1429281
     /* 1429281 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1429378), // Rule ID 3528 //
     /* 1429286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429336 */     // MIs[1] Operand 1
     /* 1429336 */     // No operand predicates
     /* 1429336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429340 */     // MIs[0] policy
     /* 1429340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429377 */     // GIR_Coverage, 3528,
     /* 1429377 */     GIR_EraseRootFromParent_Done,
     /* 1429378 */   // Label 20165: @1429378
     /* 1429378 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1429475), // Rule ID 3529 //
     /* 1429383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429433 */     // MIs[1] Operand 1
     /* 1429433 */     // No operand predicates
     /* 1429433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429437 */     // MIs[0] policy
     /* 1429437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429474 */     // GIR_Coverage, 3529,
     /* 1429474 */     GIR_EraseRootFromParent_Done,
     /* 1429475 */   // Label 20166: @1429475
     /* 1429475 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1429572), // Rule ID 3532 //
     /* 1429480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429530 */     // MIs[1] Operand 1
     /* 1429530 */     // No operand predicates
     /* 1429530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429534 */     // MIs[0] policy
     /* 1429534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1429549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429571 */     // GIR_Coverage, 3532,
     /* 1429571 */     GIR_EraseRootFromParent_Done,
     /* 1429572 */   // Label 20167: @1429572
     /* 1429572 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1429669), // Rule ID 3533 //
     /* 1429577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429627 */     // MIs[1] Operand 1
     /* 1429627 */     // No operand predicates
     /* 1429627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429631 */     // MIs[0] policy
     /* 1429631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1429646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429668 */     // GIR_Coverage, 3533,
     /* 1429668 */     GIR_EraseRootFromParent_Done,
     /* 1429669 */   // Label 20168: @1429669
     /* 1429669 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1429766), // Rule ID 3536 //
     /* 1429674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1429691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429724 */     // MIs[1] Operand 1
     /* 1429724 */     // No operand predicates
     /* 1429724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429728 */     // MIs[0] policy
     /* 1429728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1429743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429765 */     // GIR_Coverage, 3536,
     /* 1429765 */     GIR_EraseRootFromParent_Done,
     /* 1429766 */   // Label 20169: @1429766
     /* 1429766 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1429863), // Rule ID 3537 //
     /* 1429771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1429788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429821 */     // MIs[1] Operand 1
     /* 1429821 */     // No operand predicates
     /* 1429821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429825 */     // MIs[0] policy
     /* 1429825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1429840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429862 */     // GIR_Coverage, 3537,
     /* 1429862 */     GIR_EraseRootFromParent_Done,
     /* 1429863 */   // Label 20170: @1429863
     /* 1429863 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1429960), // Rule ID 3540 //
     /* 1429868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1429879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1429882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1429885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1429891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429918 */     // MIs[1] Operand 1
     /* 1429918 */     // No operand predicates
     /* 1429918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429922 */     // MIs[0] policy
     /* 1429922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1429937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429959 */     // GIR_Coverage, 3540,
     /* 1429959 */     GIR_EraseRootFromParent_Done,
     /* 1429960 */   // Label 20171: @1429960
     /* 1429960 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1430057), // Rule ID 3541 //
     /* 1429965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1429976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1429979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1429982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1429988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430015 */     // MIs[1] Operand 1
     /* 1430015 */     // No operand predicates
     /* 1430015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430019 */     // MIs[0] policy
     /* 1430019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430031 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430056 */     // GIR_Coverage, 3541,
     /* 1430056 */     GIR_EraseRootFromParent_Done,
     /* 1430057 */   // Label 20172: @1430057
     /* 1430057 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1430154), // Rule ID 3544 //
     /* 1430062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430112 */     // MIs[1] Operand 1
     /* 1430112 */     // No operand predicates
     /* 1430112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430116 */     // MIs[0] policy
     /* 1430116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430153 */     // GIR_Coverage, 3544,
     /* 1430153 */     GIR_EraseRootFromParent_Done,
     /* 1430154 */   // Label 20173: @1430154
     /* 1430154 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1430251), // Rule ID 3545 //
     /* 1430159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430209 */     // MIs[1] Operand 1
     /* 1430209 */     // No operand predicates
     /* 1430209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430213 */     // MIs[0] policy
     /* 1430213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430250 */     // GIR_Coverage, 3545,
     /* 1430250 */     GIR_EraseRootFromParent_Done,
     /* 1430251 */   // Label 20174: @1430251
     /* 1430251 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1430348), // Rule ID 3548 //
     /* 1430256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430306 */     // MIs[1] Operand 1
     /* 1430306 */     // No operand predicates
     /* 1430306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430310 */     // MIs[0] policy
     /* 1430310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430347 */     // GIR_Coverage, 3548,
     /* 1430347 */     GIR_EraseRootFromParent_Done,
     /* 1430348 */   // Label 20175: @1430348
     /* 1430348 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1430445), // Rule ID 3549 //
     /* 1430353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430403 */     // MIs[1] Operand 1
     /* 1430403 */     // No operand predicates
     /* 1430403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430407 */     // MIs[0] policy
     /* 1430407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430444 */     // GIR_Coverage, 3549,
     /* 1430444 */     GIR_EraseRootFromParent_Done,
     /* 1430445 */   // Label 20176: @1430445
     /* 1430445 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1430542), // Rule ID 3552 //
     /* 1430450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430500 */     // MIs[1] Operand 1
     /* 1430500 */     // No operand predicates
     /* 1430500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430504 */     // MIs[0] policy
     /* 1430504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430541 */     // GIR_Coverage, 3552,
     /* 1430541 */     GIR_EraseRootFromParent_Done,
     /* 1430542 */   // Label 20177: @1430542
     /* 1430542 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1430639), // Rule ID 3553 //
     /* 1430547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430597 */     // MIs[1] Operand 1
     /* 1430597 */     // No operand predicates
     /* 1430597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430601 */     // MIs[0] policy
     /* 1430601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430638 */     // GIR_Coverage, 3553,
     /* 1430638 */     GIR_EraseRootFromParent_Done,
     /* 1430639 */   // Label 20178: @1430639
     /* 1430639 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1430736), // Rule ID 3556 //
     /* 1430644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1430661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430694 */     // MIs[1] Operand 1
     /* 1430694 */     // No operand predicates
     /* 1430694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430698 */     // MIs[0] policy
     /* 1430698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430735 */     // GIR_Coverage, 3556,
     /* 1430735 */     GIR_EraseRootFromParent_Done,
     /* 1430736 */   // Label 20179: @1430736
     /* 1430736 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1430833), // Rule ID 3557 //
     /* 1430741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1430758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430791 */     // MIs[1] Operand 1
     /* 1430791 */     // No operand predicates
     /* 1430791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430795 */     // MIs[0] policy
     /* 1430795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430832 */     // GIR_Coverage, 3557,
     /* 1430832 */     GIR_EraseRootFromParent_Done,
     /* 1430833 */   // Label 20180: @1430833
     /* 1430833 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1430930), // Rule ID 3560 //
     /* 1430838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1430849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1430852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1430855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430888 */     // MIs[1] Operand 1
     /* 1430888 */     // No operand predicates
     /* 1430888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430892 */     // MIs[0] policy
     /* 1430892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430929 */     // GIR_Coverage, 3560,
     /* 1430929 */     GIR_EraseRootFromParent_Done,
     /* 1430930 */   // Label 20181: @1430930
     /* 1430930 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1431027), // Rule ID 3561 //
     /* 1430935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1430946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1430949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1430952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430985 */     // MIs[1] Operand 1
     /* 1430985 */     // No operand predicates
     /* 1430985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430989 */     // MIs[0] policy
     /* 1430989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431026 */     // GIR_Coverage, 3561,
     /* 1431026 */     GIR_EraseRootFromParent_Done,
     /* 1431027 */   // Label 20182: @1431027
     /* 1431027 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1431124), // Rule ID 3564 //
     /* 1431032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431082 */     // MIs[1] Operand 1
     /* 1431082 */     // No operand predicates
     /* 1431082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431086 */     // MIs[0] policy
     /* 1431086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431123 */     // GIR_Coverage, 3564,
     /* 1431123 */     GIR_EraseRootFromParent_Done,
     /* 1431124 */   // Label 20183: @1431124
     /* 1431124 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1431221), // Rule ID 3565 //
     /* 1431129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431179 */     // MIs[1] Operand 1
     /* 1431179 */     // No operand predicates
     /* 1431179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431183 */     // MIs[0] policy
     /* 1431183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431220 */     // GIR_Coverage, 3565,
     /* 1431220 */     GIR_EraseRootFromParent_Done,
     /* 1431221 */   // Label 20184: @1431221
     /* 1431221 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1431318), // Rule ID 3568 //
     /* 1431226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431276 */     // MIs[1] Operand 1
     /* 1431276 */     // No operand predicates
     /* 1431276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431280 */     // MIs[0] policy
     /* 1431280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431317 */     // GIR_Coverage, 3568,
     /* 1431317 */     GIR_EraseRootFromParent_Done,
     /* 1431318 */   // Label 20185: @1431318
     /* 1431318 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1431415), // Rule ID 3569 //
     /* 1431323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431373 */     // MIs[1] Operand 1
     /* 1431373 */     // No operand predicates
     /* 1431373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431377 */     // MIs[0] policy
     /* 1431377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431414 */     // GIR_Coverage, 3569,
     /* 1431414 */     GIR_EraseRootFromParent_Done,
     /* 1431415 */   // Label 20186: @1431415
     /* 1431415 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1431512), // Rule ID 3572 //
     /* 1431420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431470 */     // MIs[1] Operand 1
     /* 1431470 */     // No operand predicates
     /* 1431470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431474 */     // MIs[0] policy
     /* 1431474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431511 */     // GIR_Coverage, 3572,
     /* 1431511 */     GIR_EraseRootFromParent_Done,
     /* 1431512 */   // Label 20187: @1431512
     /* 1431512 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1431609), // Rule ID 3573 //
     /* 1431517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431567 */     // MIs[1] Operand 1
     /* 1431567 */     // No operand predicates
     /* 1431567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431571 */     // MIs[0] policy
     /* 1431571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431608 */     // GIR_Coverage, 3573,
     /* 1431608 */     GIR_EraseRootFromParent_Done,
     /* 1431609 */   // Label 20188: @1431609
     /* 1431609 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1431706), // Rule ID 3576 //
     /* 1431614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431664 */     // MIs[1] Operand 1
     /* 1431664 */     // No operand predicates
     /* 1431664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431668 */     // MIs[0] policy
     /* 1431668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431705 */     // GIR_Coverage, 3576,
     /* 1431705 */     GIR_EraseRootFromParent_Done,
     /* 1431706 */   // Label 20189: @1431706
     /* 1431706 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1431803), // Rule ID 3577 //
     /* 1431711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431761 */     // MIs[1] Operand 1
     /* 1431761 */     // No operand predicates
     /* 1431761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431765 */     // MIs[0] policy
     /* 1431765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431802 */     // GIR_Coverage, 3577,
     /* 1431802 */     GIR_EraseRootFromParent_Done,
     /* 1431803 */   // Label 20190: @1431803
     /* 1431803 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1431900), // Rule ID 5940 //
     /* 1431808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1431819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1431822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1431825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431858 */     // MIs[1] Operand 1
     /* 1431858 */     // No operand predicates
     /* 1431858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431862 */     // MIs[0] policy
     /* 1431862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1431877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431899 */     // GIR_Coverage, 5940,
     /* 1431899 */     GIR_EraseRootFromParent_Done,
     /* 1431900 */   // Label 20191: @1431900
     /* 1431900 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1431997), // Rule ID 5941 //
     /* 1431905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1431916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1431919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1431922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431955 */     // MIs[1] Operand 1
     /* 1431955 */     // No operand predicates
     /* 1431955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431959 */     // MIs[0] policy
     /* 1431959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1431974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431996 */     // GIR_Coverage, 5941,
     /* 1431996 */     GIR_EraseRootFromParent_Done,
     /* 1431997 */   // Label 20192: @1431997
     /* 1431997 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1432094), // Rule ID 5944 //
     /* 1432002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432052 */     // MIs[1] Operand 1
     /* 1432052 */     // No operand predicates
     /* 1432052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432056 */     // MIs[0] policy
     /* 1432056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432093 */     // GIR_Coverage, 5944,
     /* 1432093 */     GIR_EraseRootFromParent_Done,
     /* 1432094 */   // Label 20193: @1432094
     /* 1432094 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1432191), // Rule ID 5945 //
     /* 1432099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432149 */     // MIs[1] Operand 1
     /* 1432149 */     // No operand predicates
     /* 1432149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432153 */     // MIs[0] policy
     /* 1432153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432165 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432190 */     // GIR_Coverage, 5945,
     /* 1432190 */     GIR_EraseRootFromParent_Done,
     /* 1432191 */   // Label 20194: @1432191
     /* 1432191 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1432288), // Rule ID 5948 //
     /* 1432196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432246 */     // MIs[1] Operand 1
     /* 1432246 */     // No operand predicates
     /* 1432246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432250 */     // MIs[0] policy
     /* 1432250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432262 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432287 */     // GIR_Coverage, 5948,
     /* 1432287 */     GIR_EraseRootFromParent_Done,
     /* 1432288 */   // Label 20195: @1432288
     /* 1432288 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1432385), // Rule ID 5949 //
     /* 1432293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432343 */     // MIs[1] Operand 1
     /* 1432343 */     // No operand predicates
     /* 1432343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432347 */     // MIs[0] policy
     /* 1432347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432384 */     // GIR_Coverage, 5949,
     /* 1432384 */     GIR_EraseRootFromParent_Done,
     /* 1432385 */   // Label 20196: @1432385
     /* 1432385 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1432482), // Rule ID 5952 //
     /* 1432390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432440 */     // MIs[1] Operand 1
     /* 1432440 */     // No operand predicates
     /* 1432440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432444 */     // MIs[0] policy
     /* 1432444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432481 */     // GIR_Coverage, 5952,
     /* 1432481 */     GIR_EraseRootFromParent_Done,
     /* 1432482 */   // Label 20197: @1432482
     /* 1432482 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1432579), // Rule ID 5953 //
     /* 1432487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432537 */     // MIs[1] Operand 1
     /* 1432537 */     // No operand predicates
     /* 1432537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432541 */     // MIs[0] policy
     /* 1432541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432578 */     // GIR_Coverage, 5953,
     /* 1432578 */     GIR_EraseRootFromParent_Done,
     /* 1432579 */   // Label 20198: @1432579
     /* 1432579 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1432676), // Rule ID 5956 //
     /* 1432584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432634 */     // MIs[1] Operand 1
     /* 1432634 */     // No operand predicates
     /* 1432634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432638 */     // MIs[0] policy
     /* 1432638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432675 */     // GIR_Coverage, 5956,
     /* 1432675 */     GIR_EraseRootFromParent_Done,
     /* 1432676 */   // Label 20199: @1432676
     /* 1432676 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1432773), // Rule ID 5957 //
     /* 1432681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432731 */     // MIs[1] Operand 1
     /* 1432731 */     // No operand predicates
     /* 1432731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432735 */     // MIs[0] policy
     /* 1432735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432772 */     // GIR_Coverage, 5957,
     /* 1432772 */     GIR_EraseRootFromParent_Done,
     /* 1432773 */   // Label 20200: @1432773
     /* 1432773 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1432870), // Rule ID 5960 //
     /* 1432778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1432789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1432792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1432795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432828 */     // MIs[1] Operand 1
     /* 1432828 */     // No operand predicates
     /* 1432828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432832 */     // MIs[0] policy
     /* 1432832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432869 */     // GIR_Coverage, 5960,
     /* 1432869 */     GIR_EraseRootFromParent_Done,
     /* 1432870 */   // Label 20201: @1432870
     /* 1432870 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1432967), // Rule ID 5961 //
     /* 1432875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1432886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1432889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1432892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432925 */     // MIs[1] Operand 1
     /* 1432925 */     // No operand predicates
     /* 1432925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432929 */     // MIs[0] policy
     /* 1432929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432966 */     // GIR_Coverage, 5961,
     /* 1432966 */     GIR_EraseRootFromParent_Done,
     /* 1432967 */   // Label 20202: @1432967
     /* 1432967 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1433064), // Rule ID 5964 //
     /* 1432972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1432983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1432986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1432989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433022 */     // MIs[1] Operand 1
     /* 1433022 */     // No operand predicates
     /* 1433022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433026 */     // MIs[0] policy
     /* 1433026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433038 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433063 */     // GIR_Coverage, 5964,
     /* 1433063 */     GIR_EraseRootFromParent_Done,
     /* 1433064 */   // Label 20203: @1433064
     /* 1433064 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1433161), // Rule ID 5965 //
     /* 1433069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433119 */     // MIs[1] Operand 1
     /* 1433119 */     // No operand predicates
     /* 1433119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433123 */     // MIs[0] policy
     /* 1433123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433135 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433160 */     // GIR_Coverage, 5965,
     /* 1433160 */     GIR_EraseRootFromParent_Done,
     /* 1433161 */   // Label 20204: @1433161
     /* 1433161 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1433258), // Rule ID 5968 //
     /* 1433166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433216 */     // MIs[1] Operand 1
     /* 1433216 */     // No operand predicates
     /* 1433216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433220 */     // MIs[0] policy
     /* 1433220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433257 */     // GIR_Coverage, 5968,
     /* 1433257 */     GIR_EraseRootFromParent_Done,
     /* 1433258 */   // Label 20205: @1433258
     /* 1433258 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1433355), // Rule ID 5969 //
     /* 1433263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433313 */     // MIs[1] Operand 1
     /* 1433313 */     // No operand predicates
     /* 1433313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433317 */     // MIs[0] policy
     /* 1433317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433329 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433354 */     // GIR_Coverage, 5969,
     /* 1433354 */     GIR_EraseRootFromParent_Done,
     /* 1433355 */   // Label 20206: @1433355
     /* 1433355 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1433452), // Rule ID 5972 //
     /* 1433360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433410 */     // MIs[1] Operand 1
     /* 1433410 */     // No operand predicates
     /* 1433410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433414 */     // MIs[0] policy
     /* 1433414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433451 */     // GIR_Coverage, 5972,
     /* 1433451 */     GIR_EraseRootFromParent_Done,
     /* 1433452 */   // Label 20207: @1433452
     /* 1433452 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1433549), // Rule ID 5973 //
     /* 1433457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433507 */     // MIs[1] Operand 1
     /* 1433507 */     // No operand predicates
     /* 1433507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433511 */     // MIs[0] policy
     /* 1433511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433548 */     // GIR_Coverage, 5973,
     /* 1433548 */     GIR_EraseRootFromParent_Done,
     /* 1433549 */   // Label 20208: @1433549
     /* 1433549 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1433646), // Rule ID 5976 //
     /* 1433554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433604 */     // MIs[1] Operand 1
     /* 1433604 */     // No operand predicates
     /* 1433604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433608 */     // MIs[0] policy
     /* 1433608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433645 */     // GIR_Coverage, 5976,
     /* 1433645 */     GIR_EraseRootFromParent_Done,
     /* 1433646 */   // Label 20209: @1433646
     /* 1433646 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1433743), // Rule ID 5977 //
     /* 1433651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433701 */     // MIs[1] Operand 1
     /* 1433701 */     // No operand predicates
     /* 1433701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433705 */     // MIs[0] policy
     /* 1433705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433742 */     // GIR_Coverage, 5977,
     /* 1433742 */     GIR_EraseRootFromParent_Done,
     /* 1433743 */   // Label 20210: @1433743
     /* 1433743 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1433840), // Rule ID 5980 //
     /* 1433748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1433759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1433762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1433765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433798 */     // MIs[1] Operand 1
     /* 1433798 */     // No operand predicates
     /* 1433798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433802 */     // MIs[0] policy
     /* 1433802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1433817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433839 */     // GIR_Coverage, 5980,
     /* 1433839 */     GIR_EraseRootFromParent_Done,
     /* 1433840 */   // Label 20211: @1433840
     /* 1433840 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1433937), // Rule ID 5981 //
     /* 1433845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1433856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1433859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1433862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433895 */     // MIs[1] Operand 1
     /* 1433895 */     // No operand predicates
     /* 1433895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433899 */     // MIs[0] policy
     /* 1433899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1433914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433936 */     // GIR_Coverage, 5981,
     /* 1433936 */     GIR_EraseRootFromParent_Done,
     /* 1433937 */   // Label 20212: @1433937
     /* 1433937 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1434034), // Rule ID 5984 //
     /* 1433942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1433953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1433956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1433959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1433965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433992 */     // MIs[1] Operand 1
     /* 1433992 */     // No operand predicates
     /* 1433992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433996 */     // MIs[0] policy
     /* 1433996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434033 */     // GIR_Coverage, 5984,
     /* 1434033 */     GIR_EraseRootFromParent_Done,
     /* 1434034 */   // Label 20213: @1434034
     /* 1434034 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1434131), // Rule ID 5985 //
     /* 1434039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434089 */     // MIs[1] Operand 1
     /* 1434089 */     // No operand predicates
     /* 1434089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434093 */     // MIs[0] policy
     /* 1434093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434130 */     // GIR_Coverage, 5985,
     /* 1434130 */     GIR_EraseRootFromParent_Done,
     /* 1434131 */   // Label 20214: @1434131
     /* 1434131 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1434228), // Rule ID 5988 //
     /* 1434136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434186 */     // MIs[1] Operand 1
     /* 1434186 */     // No operand predicates
     /* 1434186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434190 */     // MIs[0] policy
     /* 1434190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434227 */     // GIR_Coverage, 5988,
     /* 1434227 */     GIR_EraseRootFromParent_Done,
     /* 1434228 */   // Label 20215: @1434228
     /* 1434228 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1434325), // Rule ID 5989 //
     /* 1434233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434283 */     // MIs[1] Operand 1
     /* 1434283 */     // No operand predicates
     /* 1434283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434287 */     // MIs[0] policy
     /* 1434287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434299 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434324 */     // GIR_Coverage, 5989,
     /* 1434324 */     GIR_EraseRootFromParent_Done,
     /* 1434325 */   // Label 20216: @1434325
     /* 1434325 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1434422), // Rule ID 5992 //
     /* 1434330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434380 */     // MIs[1] Operand 1
     /* 1434380 */     // No operand predicates
     /* 1434380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434384 */     // MIs[0] policy
     /* 1434384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434421 */     // GIR_Coverage, 5992,
     /* 1434421 */     GIR_EraseRootFromParent_Done,
     /* 1434422 */   // Label 20217: @1434422
     /* 1434422 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1434519), // Rule ID 5993 //
     /* 1434427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434477 */     // MIs[1] Operand 1
     /* 1434477 */     // No operand predicates
     /* 1434477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434481 */     // MIs[0] policy
     /* 1434481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434518 */     // GIR_Coverage, 5993,
     /* 1434518 */     GIR_EraseRootFromParent_Done,
     /* 1434519 */   // Label 20218: @1434519
     /* 1434519 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1434616), // Rule ID 5996 //
     /* 1434524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434574 */     // MIs[1] Operand 1
     /* 1434574 */     // No operand predicates
     /* 1434574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434578 */     // MIs[0] policy
     /* 1434578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434615 */     // GIR_Coverage, 5996,
     /* 1434615 */     GIR_EraseRootFromParent_Done,
     /* 1434616 */   // Label 20219: @1434616
     /* 1434616 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1434713), // Rule ID 5997 //
     /* 1434621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434671 */     // MIs[1] Operand 1
     /* 1434671 */     // No operand predicates
     /* 1434671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434675 */     // MIs[0] policy
     /* 1434675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434712 */     // GIR_Coverage, 5997,
     /* 1434712 */     GIR_EraseRootFromParent_Done,
     /* 1434713 */   // Label 20220: @1434713
     /* 1434713 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1434810), // Rule ID 6000 //
     /* 1434718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1434735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434768 */     // MIs[1] Operand 1
     /* 1434768 */     // No operand predicates
     /* 1434768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434772 */     // MIs[0] policy
     /* 1434772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434809 */     // GIR_Coverage, 6000,
     /* 1434809 */     GIR_EraseRootFromParent_Done,
     /* 1434810 */   // Label 20221: @1434810
     /* 1434810 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1434907), // Rule ID 6001 //
     /* 1434815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1434832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434865 */     // MIs[1] Operand 1
     /* 1434865 */     // No operand predicates
     /* 1434865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434869 */     // MIs[0] policy
     /* 1434869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434906 */     // GIR_Coverage, 6001,
     /* 1434906 */     GIR_EraseRootFromParent_Done,
     /* 1434907 */   // Label 20222: @1434907
     /* 1434907 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1435004), // Rule ID 6004 //
     /* 1434912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1434923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1434926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1434929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434962 */     // MIs[1] Operand 1
     /* 1434962 */     // No operand predicates
     /* 1434962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434966 */     // MIs[0] policy
     /* 1434966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435003 */     // GIR_Coverage, 6004,
     /* 1435003 */     GIR_EraseRootFromParent_Done,
     /* 1435004 */   // Label 20223: @1435004
     /* 1435004 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1435101), // Rule ID 6005 //
     /* 1435009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435059 */     // MIs[1] Operand 1
     /* 1435059 */     // No operand predicates
     /* 1435059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435063 */     // MIs[0] policy
     /* 1435063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1435078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435100 */     // GIR_Coverage, 6005,
     /* 1435100 */     GIR_EraseRootFromParent_Done,
     /* 1435101 */   // Label 20224: @1435101
     /* 1435101 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1435198), // Rule ID 6008 //
     /* 1435106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435156 */     // MIs[1] Operand 1
     /* 1435156 */     // No operand predicates
     /* 1435156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435160 */     // MIs[0] policy
     /* 1435160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435197 */     // GIR_Coverage, 6008,
     /* 1435197 */     GIR_EraseRootFromParent_Done,
     /* 1435198 */   // Label 20225: @1435198
     /* 1435198 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1435295), // Rule ID 6009 //
     /* 1435203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435253 */     // MIs[1] Operand 1
     /* 1435253 */     // No operand predicates
     /* 1435253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435257 */     // MIs[0] policy
     /* 1435257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435294 */     // GIR_Coverage, 6009,
     /* 1435294 */     GIR_EraseRootFromParent_Done,
     /* 1435295 */   // Label 20226: @1435295
     /* 1435295 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1435392), // Rule ID 6012 //
     /* 1435300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435350 */     // MIs[1] Operand 1
     /* 1435350 */     // No operand predicates
     /* 1435350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435354 */     // MIs[0] policy
     /* 1435354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435391 */     // GIR_Coverage, 6012,
     /* 1435391 */     GIR_EraseRootFromParent_Done,
     /* 1435392 */   // Label 20227: @1435392
     /* 1435392 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1435489), // Rule ID 6013 //
     /* 1435397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435447 */     // MIs[1] Operand 1
     /* 1435447 */     // No operand predicates
     /* 1435447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435451 */     // MIs[0] policy
     /* 1435451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435488 */     // GIR_Coverage, 6013,
     /* 1435488 */     GIR_EraseRootFromParent_Done,
     /* 1435489 */   // Label 20228: @1435489
     /* 1435489 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1435586), // Rule ID 6016 //
     /* 1435494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435544 */     // MIs[1] Operand 1
     /* 1435544 */     // No operand predicates
     /* 1435544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435548 */     // MIs[0] policy
     /* 1435548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1435563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435585 */     // GIR_Coverage, 6016,
     /* 1435585 */     GIR_EraseRootFromParent_Done,
     /* 1435586 */   // Label 20229: @1435586
     /* 1435586 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1435683), // Rule ID 6017 //
     /* 1435591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435641 */     // MIs[1] Operand 1
     /* 1435641 */     // No operand predicates
     /* 1435641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435645 */     // MIs[0] policy
     /* 1435645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1435660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435682 */     // GIR_Coverage, 6017,
     /* 1435682 */     GIR_EraseRootFromParent_Done,
     /* 1435683 */   // Label 20230: @1435683
     /* 1435683 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1435780), // Rule ID 6020 //
     /* 1435688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1435705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435738 */     // MIs[1] Operand 1
     /* 1435738 */     // No operand predicates
     /* 1435738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435742 */     // MIs[0] policy
     /* 1435742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435779 */     // GIR_Coverage, 6020,
     /* 1435779 */     GIR_EraseRootFromParent_Done,
     /* 1435780 */   // Label 20231: @1435780
     /* 1435780 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1435877), // Rule ID 6021 //
     /* 1435785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1435802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435835 */     // MIs[1] Operand 1
     /* 1435835 */     // No operand predicates
     /* 1435835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435839 */     // MIs[0] policy
     /* 1435839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435876 */     // GIR_Coverage, 6021,
     /* 1435876 */     GIR_EraseRootFromParent_Done,
     /* 1435877 */   // Label 20232: @1435877
     /* 1435877 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1435974), // Rule ID 6024 //
     /* 1435882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1435893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1435896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1435899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435932 */     // MIs[1] Operand 1
     /* 1435932 */     // No operand predicates
     /* 1435932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435936 */     // MIs[0] policy
     /* 1435936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435973 */     // GIR_Coverage, 6024,
     /* 1435973 */     GIR_EraseRootFromParent_Done,
     /* 1435974 */   // Label 20233: @1435974
     /* 1435974 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1436071), // Rule ID 6025 //
     /* 1435979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1435990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1435993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1435996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436029 */     // MIs[1] Operand 1
     /* 1436029 */     // No operand predicates
     /* 1436029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436033 */     // MIs[0] policy
     /* 1436033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1436048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436070 */     // GIR_Coverage, 6025,
     /* 1436070 */     GIR_EraseRootFromParent_Done,
     /* 1436071 */   // Label 20234: @1436071
     /* 1436071 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1436168), // Rule ID 6204 //
     /* 1436076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436126 */     // MIs[1] Operand 1
     /* 1436126 */     // No operand predicates
     /* 1436126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436130 */     // MIs[0] policy
     /* 1436130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1436145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436167 */     // GIR_Coverage, 6204,
     /* 1436167 */     GIR_EraseRootFromParent_Done,
     /* 1436168 */   // Label 20235: @1436168
     /* 1436168 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1436265), // Rule ID 6205 //
     /* 1436173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436223 */     // MIs[1] Operand 1
     /* 1436223 */     // No operand predicates
     /* 1436223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436227 */     // MIs[0] policy
     /* 1436227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436239 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1436242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436264 */     // GIR_Coverage, 6205,
     /* 1436264 */     GIR_EraseRootFromParent_Done,
     /* 1436265 */   // Label 20236: @1436265
     /* 1436265 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1436362), // Rule ID 6208 //
     /* 1436270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436320 */     // MIs[1] Operand 1
     /* 1436320 */     // No operand predicates
     /* 1436320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436324 */     // MIs[0] policy
     /* 1436324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436361 */     // GIR_Coverage, 6208,
     /* 1436361 */     GIR_EraseRootFromParent_Done,
     /* 1436362 */   // Label 20237: @1436362
     /* 1436362 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1436459), // Rule ID 6209 //
     /* 1436367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436417 */     // MIs[1] Operand 1
     /* 1436417 */     // No operand predicates
     /* 1436417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436421 */     // MIs[0] policy
     /* 1436421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436458 */     // GIR_Coverage, 6209,
     /* 1436458 */     GIR_EraseRootFromParent_Done,
     /* 1436459 */   // Label 20238: @1436459
     /* 1436459 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1436556), // Rule ID 6212 //
     /* 1436464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436514 */     // MIs[1] Operand 1
     /* 1436514 */     // No operand predicates
     /* 1436514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436518 */     // MIs[0] policy
     /* 1436518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1436533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436555 */     // GIR_Coverage, 6212,
     /* 1436555 */     GIR_EraseRootFromParent_Done,
     /* 1436556 */   // Label 20239: @1436556
     /* 1436556 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1436653), // Rule ID 6213 //
     /* 1436561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436611 */     // MIs[1] Operand 1
     /* 1436611 */     // No operand predicates
     /* 1436611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436615 */     // MIs[0] policy
     /* 1436615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1436630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436652 */     // GIR_Coverage, 6213,
     /* 1436652 */     GIR_EraseRootFromParent_Done,
     /* 1436653 */   // Label 20240: @1436653
     /* 1436653 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1436750), // Rule ID 6216 //
     /* 1436658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1436669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1436672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436708 */     // MIs[1] Operand 1
     /* 1436708 */     // No operand predicates
     /* 1436708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436712 */     // MIs[0] policy
     /* 1436712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436749 */     // GIR_Coverage, 6216,
     /* 1436749 */     GIR_EraseRootFromParent_Done,
     /* 1436750 */   // Label 20241: @1436750
     /* 1436750 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1436847), // Rule ID 6217 //
     /* 1436755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1436766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1436769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436805 */     // MIs[1] Operand 1
     /* 1436805 */     // No operand predicates
     /* 1436805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436809 */     // MIs[0] policy
     /* 1436809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436846 */     // GIR_Coverage, 6217,
     /* 1436846 */     GIR_EraseRootFromParent_Done,
     /* 1436847 */   // Label 20242: @1436847
     /* 1436847 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1436944), // Rule ID 6220 //
     /* 1436852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1436863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1436866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1436869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436902 */     // MIs[1] Operand 1
     /* 1436902 */     // No operand predicates
     /* 1436902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436906 */     // MIs[0] policy
     /* 1436906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1436921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436943 */     // GIR_Coverage, 6220,
     /* 1436943 */     GIR_EraseRootFromParent_Done,
     /* 1436944 */   // Label 20243: @1436944
     /* 1436944 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1437041), // Rule ID 6221 //
     /* 1436949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1436960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1436963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1436966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436999 */     // MIs[1] Operand 1
     /* 1436999 */     // No operand predicates
     /* 1436999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437003 */     // MIs[0] policy
     /* 1437003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437040 */     // GIR_Coverage, 6221,
     /* 1437040 */     GIR_EraseRootFromParent_Done,
     /* 1437041 */   // Label 20244: @1437041
     /* 1437041 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1437138), // Rule ID 6224 //
     /* 1437046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437096 */     // MIs[1] Operand 1
     /* 1437096 */     // No operand predicates
     /* 1437096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437100 */     // MIs[0] policy
     /* 1437100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437137 */     // GIR_Coverage, 6224,
     /* 1437137 */     GIR_EraseRootFromParent_Done,
     /* 1437138 */   // Label 20245: @1437138
     /* 1437138 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1437235), // Rule ID 6225 //
     /* 1437143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437193 */     // MIs[1] Operand 1
     /* 1437193 */     // No operand predicates
     /* 1437193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437197 */     // MIs[0] policy
     /* 1437197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437234 */     // GIR_Coverage, 6225,
     /* 1437234 */     GIR_EraseRootFromParent_Done,
     /* 1437235 */   // Label 20246: @1437235
     /* 1437235 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1437332), // Rule ID 6228 //
     /* 1437240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437290 */     // MIs[1] Operand 1
     /* 1437290 */     // No operand predicates
     /* 1437290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437294 */     // MIs[0] policy
     /* 1437294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437306 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437331 */     // GIR_Coverage, 6228,
     /* 1437331 */     GIR_EraseRootFromParent_Done,
     /* 1437332 */   // Label 20247: @1437332
     /* 1437332 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1437429), // Rule ID 6229 //
     /* 1437337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437387 */     // MIs[1] Operand 1
     /* 1437387 */     // No operand predicates
     /* 1437387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437391 */     // MIs[0] policy
     /* 1437391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437428 */     // GIR_Coverage, 6229,
     /* 1437428 */     GIR_EraseRootFromParent_Done,
     /* 1437429 */   // Label 20248: @1437429
     /* 1437429 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1437526), // Rule ID 6232 //
     /* 1437434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437484 */     // MIs[1] Operand 1
     /* 1437484 */     // No operand predicates
     /* 1437484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437488 */     // MIs[0] policy
     /* 1437488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437525 */     // GIR_Coverage, 6232,
     /* 1437525 */     GIR_EraseRootFromParent_Done,
     /* 1437526 */   // Label 20249: @1437526
     /* 1437526 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1437623), // Rule ID 6233 //
     /* 1437531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437581 */     // MIs[1] Operand 1
     /* 1437581 */     // No operand predicates
     /* 1437581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437585 */     // MIs[0] policy
     /* 1437585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437622 */     // GIR_Coverage, 6233,
     /* 1437622 */     GIR_EraseRootFromParent_Done,
     /* 1437623 */   // Label 20250: @1437623
     /* 1437623 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1437720), // Rule ID 6236 //
     /* 1437628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437678 */     // MIs[1] Operand 1
     /* 1437678 */     // No operand predicates
     /* 1437678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437682 */     // MIs[0] policy
     /* 1437682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437719 */     // GIR_Coverage, 6236,
     /* 1437719 */     GIR_EraseRootFromParent_Done,
     /* 1437720 */   // Label 20251: @1437720
     /* 1437720 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1437817), // Rule ID 6237 //
     /* 1437725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437775 */     // MIs[1] Operand 1
     /* 1437775 */     // No operand predicates
     /* 1437775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437779 */     // MIs[0] policy
     /* 1437779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437791 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437816 */     // GIR_Coverage, 6237,
     /* 1437816 */     GIR_EraseRootFromParent_Done,
     /* 1437817 */   // Label 20252: @1437817
     /* 1437817 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1437914), // Rule ID 6240 //
     /* 1437822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1437833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1437836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1437839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437872 */     // MIs[1] Operand 1
     /* 1437872 */     // No operand predicates
     /* 1437872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437876 */     // MIs[0] policy
     /* 1437876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437913 */     // GIR_Coverage, 6240,
     /* 1437913 */     GIR_EraseRootFromParent_Done,
     /* 1437914 */   // Label 20253: @1437914
     /* 1437914 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1438011), // Rule ID 6241 //
     /* 1437919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1437930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1437933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1437936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437969 */     // MIs[1] Operand 1
     /* 1437969 */     // No operand predicates
     /* 1437969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437973 */     // MIs[0] policy
     /* 1437973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438010 */     // GIR_Coverage, 6241,
     /* 1438010 */     GIR_EraseRootFromParent_Done,
     /* 1438011 */   // Label 20254: @1438011
     /* 1438011 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1438108), // Rule ID 6244 //
     /* 1438016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438066 */     // MIs[1] Operand 1
     /* 1438066 */     // No operand predicates
     /* 1438066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438070 */     // MIs[0] policy
     /* 1438070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438107 */     // GIR_Coverage, 6244,
     /* 1438107 */     GIR_EraseRootFromParent_Done,
     /* 1438108 */   // Label 20255: @1438108
     /* 1438108 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1438205), // Rule ID 6245 //
     /* 1438113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438163 */     // MIs[1] Operand 1
     /* 1438163 */     // No operand predicates
     /* 1438163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438167 */     // MIs[0] policy
     /* 1438167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438204 */     // GIR_Coverage, 6245,
     /* 1438204 */     GIR_EraseRootFromParent_Done,
     /* 1438205 */   // Label 20256: @1438205
     /* 1438205 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1438302), // Rule ID 6248 //
     /* 1438210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438260 */     // MIs[1] Operand 1
     /* 1438260 */     // No operand predicates
     /* 1438260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438264 */     // MIs[0] policy
     /* 1438264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438301 */     // GIR_Coverage, 6248,
     /* 1438301 */     GIR_EraseRootFromParent_Done,
     /* 1438302 */   // Label 20257: @1438302
     /* 1438302 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1438399), // Rule ID 6249 //
     /* 1438307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438357 */     // MIs[1] Operand 1
     /* 1438357 */     // No operand predicates
     /* 1438357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438361 */     // MIs[0] policy
     /* 1438361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438398 */     // GIR_Coverage, 6249,
     /* 1438398 */     GIR_EraseRootFromParent_Done,
     /* 1438399 */   // Label 20258: @1438399
     /* 1438399 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1438496), // Rule ID 6252 //
     /* 1438404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438454 */     // MIs[1] Operand 1
     /* 1438454 */     // No operand predicates
     /* 1438454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438458 */     // MIs[0] policy
     /* 1438458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438470 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1438473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438495 */     // GIR_Coverage, 6252,
     /* 1438495 */     GIR_EraseRootFromParent_Done,
     /* 1438496 */   // Label 20259: @1438496
     /* 1438496 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1438593), // Rule ID 6253 //
     /* 1438501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438551 */     // MIs[1] Operand 1
     /* 1438551 */     // No operand predicates
     /* 1438551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438555 */     // MIs[0] policy
     /* 1438555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1438570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438592 */     // GIR_Coverage, 6253,
     /* 1438592 */     GIR_EraseRootFromParent_Done,
     /* 1438593 */   // Label 20260: @1438593
     /* 1438593 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1438690), // Rule ID 6256 //
     /* 1438598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1438609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1438612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1438615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438648 */     // MIs[1] Operand 1
     /* 1438648 */     // No operand predicates
     /* 1438648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438652 */     // MIs[0] policy
     /* 1438652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438689 */     // GIR_Coverage, 6256,
     /* 1438689 */     GIR_EraseRootFromParent_Done,
     /* 1438690 */   // Label 20261: @1438690
     /* 1438690 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1438787), // Rule ID 6257 //
     /* 1438695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1438706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1438709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1438712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438745 */     // MIs[1] Operand 1
     /* 1438745 */     // No operand predicates
     /* 1438745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438749 */     // MIs[0] policy
     /* 1438749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438786 */     // GIR_Coverage, 6257,
     /* 1438786 */     GIR_EraseRootFromParent_Done,
     /* 1438787 */   // Label 20262: @1438787
     /* 1438787 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1438884), // Rule ID 6260 //
     /* 1438792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1438803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1438806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1438809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438842 */     // MIs[1] Operand 1
     /* 1438842 */     // No operand predicates
     /* 1438842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438846 */     // MIs[0] policy
     /* 1438846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438883 */     // GIR_Coverage, 6260,
     /* 1438883 */     GIR_EraseRootFromParent_Done,
     /* 1438884 */   // Label 20263: @1438884
     /* 1438884 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1438981), // Rule ID 6261 //
     /* 1438889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1438900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1438903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1438906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438939 */     // MIs[1] Operand 1
     /* 1438939 */     // No operand predicates
     /* 1438939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438943 */     // MIs[0] policy
     /* 1438943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438980 */     // GIR_Coverage, 6261,
     /* 1438980 */     GIR_EraseRootFromParent_Done,
     /* 1438981 */   // Label 20264: @1438981
     /* 1438981 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1439078), // Rule ID 6264 //
     /* 1438986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1438997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439036 */     // MIs[1] Operand 1
     /* 1439036 */     // No operand predicates
     /* 1439036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439040 */     // MIs[0] policy
     /* 1439040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439077 */     // GIR_Coverage, 6264,
     /* 1439077 */     GIR_EraseRootFromParent_Done,
     /* 1439078 */   // Label 20265: @1439078
     /* 1439078 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1439175), // Rule ID 6265 //
     /* 1439083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439133 */     // MIs[1] Operand 1
     /* 1439133 */     // No operand predicates
     /* 1439133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439137 */     // MIs[0] policy
     /* 1439137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439174 */     // GIR_Coverage, 6265,
     /* 1439174 */     GIR_EraseRootFromParent_Done,
     /* 1439175 */   // Label 20266: @1439175
     /* 1439175 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1439272), // Rule ID 6268 //
     /* 1439180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439230 */     // MIs[1] Operand 1
     /* 1439230 */     // No operand predicates
     /* 1439230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439234 */     // MIs[0] policy
     /* 1439234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439271 */     // GIR_Coverage, 6268,
     /* 1439271 */     GIR_EraseRootFromParent_Done,
     /* 1439272 */   // Label 20267: @1439272
     /* 1439272 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1439369), // Rule ID 6269 //
     /* 1439277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439327 */     // MIs[1] Operand 1
     /* 1439327 */     // No operand predicates
     /* 1439327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439331 */     // MIs[0] policy
     /* 1439331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439368 */     // GIR_Coverage, 6269,
     /* 1439368 */     GIR_EraseRootFromParent_Done,
     /* 1439369 */   // Label 20268: @1439369
     /* 1439369 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1439466), // Rule ID 6272 //
     /* 1439374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439424 */     // MIs[1] Operand 1
     /* 1439424 */     // No operand predicates
     /* 1439424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439428 */     // MIs[0] policy
     /* 1439428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1439443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439465 */     // GIR_Coverage, 6272,
     /* 1439465 */     GIR_EraseRootFromParent_Done,
     /* 1439466 */   // Label 20269: @1439466
     /* 1439466 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1439563), // Rule ID 6273 //
     /* 1439471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439521 */     // MIs[1] Operand 1
     /* 1439521 */     // No operand predicates
     /* 1439521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439525 */     // MIs[0] policy
     /* 1439525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439537 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1439540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439562 */     // GIR_Coverage, 6273,
     /* 1439562 */     GIR_EraseRootFromParent_Done,
     /* 1439563 */   // Label 20270: @1439563
     /* 1439563 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1439660), // Rule ID 6276 //
     /* 1439568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1439585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439618 */     // MIs[1] Operand 1
     /* 1439618 */     // No operand predicates
     /* 1439618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439622 */     // MIs[0] policy
     /* 1439622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439659 */     // GIR_Coverage, 6276,
     /* 1439659 */     GIR_EraseRootFromParent_Done,
     /* 1439660 */   // Label 20271: @1439660
     /* 1439660 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1439757), // Rule ID 6277 //
     /* 1439665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1439682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439715 */     // MIs[1] Operand 1
     /* 1439715 */     // No operand predicates
     /* 1439715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439719 */     // MIs[0] policy
     /* 1439719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439756 */     // GIR_Coverage, 6277,
     /* 1439756 */     GIR_EraseRootFromParent_Done,
     /* 1439757 */   // Label 20272: @1439757
     /* 1439757 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1439854), // Rule ID 6280 //
     /* 1439762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1439773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1439776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1439779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439812 */     // MIs[1] Operand 1
     /* 1439812 */     // No operand predicates
     /* 1439812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439816 */     // MIs[0] policy
     /* 1439816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439853 */     // GIR_Coverage, 6280,
     /* 1439853 */     GIR_EraseRootFromParent_Done,
     /* 1439854 */   // Label 20273: @1439854
     /* 1439854 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1439951), // Rule ID 6281 //
     /* 1439859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1439862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1439870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1439873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1439876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439909 */     // MIs[1] Operand 1
     /* 1439909 */     // No operand predicates
     /* 1439909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439913 */     // MIs[0] policy
     /* 1439913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439950 */     // GIR_Coverage, 6281,
     /* 1439950 */     GIR_EraseRootFromParent_Done,
     /* 1439951 */   // Label 20274: @1439951
     /* 1439951 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1440048), // Rule ID 6284 //
     /* 1439956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1439967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1439970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1439973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440006 */     // MIs[1] Operand 1
     /* 1440006 */     // No operand predicates
     /* 1440006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440010 */     // MIs[0] policy
     /* 1440010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1440025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440047 */     // GIR_Coverage, 6284,
     /* 1440047 */     GIR_EraseRootFromParent_Done,
     /* 1440048 */   // Label 20275: @1440048
     /* 1440048 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1440145), // Rule ID 6285 //
     /* 1440053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440103 */     // MIs[1] Operand 1
     /* 1440103 */     // No operand predicates
     /* 1440103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440107 */     // MIs[0] policy
     /* 1440107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1440122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440144 */     // GIR_Coverage, 6285,
     /* 1440144 */     GIR_EraseRootFromParent_Done,
     /* 1440145 */   // Label 20276: @1440145
     /* 1440145 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1440242), // Rule ID 6288 //
     /* 1440150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440200 */     // MIs[1] Operand 1
     /* 1440200 */     // No operand predicates
     /* 1440200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440204 */     // MIs[0] policy
     /* 1440204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440241 */     // GIR_Coverage, 6288,
     /* 1440241 */     GIR_EraseRootFromParent_Done,
     /* 1440242 */   // Label 20277: @1440242
     /* 1440242 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1440339), // Rule ID 6289 //
     /* 1440247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440297 */     // MIs[1] Operand 1
     /* 1440297 */     // No operand predicates
     /* 1440297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440301 */     // MIs[0] policy
     /* 1440301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440338 */     // GIR_Coverage, 6289,
     /* 1440338 */     GIR_EraseRootFromParent_Done,
     /* 1440339 */   // Label 20278: @1440339
     /* 1440339 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1440436), // Rule ID 6468 //
     /* 1440344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440394 */     // MIs[1] Operand 1
     /* 1440394 */     // No operand predicates
     /* 1440394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440398 */     // MIs[0] policy
     /* 1440398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1440413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440435 */     // GIR_Coverage, 6468,
     /* 1440435 */     GIR_EraseRootFromParent_Done,
     /* 1440436 */   // Label 20279: @1440436
     /* 1440436 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1440533), // Rule ID 6469 //
     /* 1440441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440491 */     // MIs[1] Operand 1
     /* 1440491 */     // No operand predicates
     /* 1440491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440495 */     // MIs[0] policy
     /* 1440495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1440510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440532 */     // GIR_Coverage, 6469,
     /* 1440532 */     GIR_EraseRootFromParent_Done,
     /* 1440533 */   // Label 20280: @1440533
     /* 1440533 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1440630), // Rule ID 6472 //
     /* 1440538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1440549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1440552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1440555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440588 */     // MIs[1] Operand 1
     /* 1440588 */     // No operand predicates
     /* 1440588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440592 */     // MIs[0] policy
     /* 1440592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1440607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440629 */     // GIR_Coverage, 6472,
     /* 1440629 */     GIR_EraseRootFromParent_Done,
     /* 1440630 */   // Label 20281: @1440630
     /* 1440630 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1440727), // Rule ID 6473 //
     /* 1440635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1440646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1440649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1440652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440685 */     // MIs[1] Operand 1
     /* 1440685 */     // No operand predicates
     /* 1440685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440689 */     // MIs[0] policy
     /* 1440689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1440704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440726 */     // GIR_Coverage, 6473,
     /* 1440726 */     GIR_EraseRootFromParent_Done,
     /* 1440727 */   // Label 20282: @1440727
     /* 1440727 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1440824), // Rule ID 6476 //
     /* 1440732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1440743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1440746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1440749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440782 */     // MIs[1] Operand 1
     /* 1440782 */     // No operand predicates
     /* 1440782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440786 */     // MIs[0] policy
     /* 1440786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440798 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1440801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440823 */     // GIR_Coverage, 6476,
     /* 1440823 */     GIR_EraseRootFromParent_Done,
     /* 1440824 */   // Label 20283: @1440824
     /* 1440824 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1440921), // Rule ID 6477 //
     /* 1440829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1440840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1440843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1440846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440879 */     // MIs[1] Operand 1
     /* 1440879 */     // No operand predicates
     /* 1440879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440883 */     // MIs[0] policy
     /* 1440883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440895 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1440898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440920 */     // GIR_Coverage, 6477,
     /* 1440920 */     GIR_EraseRootFromParent_Done,
     /* 1440921 */   // Label 20284: @1440921
     /* 1440921 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1441018), // Rule ID 6480 //
     /* 1440926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1440937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1440940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1440943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440976 */     // MIs[1] Operand 1
     /* 1440976 */     // No operand predicates
     /* 1440976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440980 */     // MIs[0] policy
     /* 1440980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1440995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441017 */     // GIR_Coverage, 6480,
     /* 1441017 */     GIR_EraseRootFromParent_Done,
     /* 1441018 */   // Label 20285: @1441018
     /* 1441018 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1441115), // Rule ID 6481 //
     /* 1441023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441073 */     // MIs[1] Operand 1
     /* 1441073 */     // No operand predicates
     /* 1441073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441077 */     // MIs[0] policy
     /* 1441077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1441092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441114 */     // GIR_Coverage, 6481,
     /* 1441114 */     GIR_EraseRootFromParent_Done,
     /* 1441115 */   // Label 20286: @1441115
     /* 1441115 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1441212), // Rule ID 6484 //
     /* 1441120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441170 */     // MIs[1] Operand 1
     /* 1441170 */     // No operand predicates
     /* 1441170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441174 */     // MIs[0] policy
     /* 1441174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441211 */     // GIR_Coverage, 6484,
     /* 1441211 */     GIR_EraseRootFromParent_Done,
     /* 1441212 */   // Label 20287: @1441212
     /* 1441212 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1441309), // Rule ID 6485 //
     /* 1441217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441267 */     // MIs[1] Operand 1
     /* 1441267 */     // No operand predicates
     /* 1441267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441271 */     // MIs[0] policy
     /* 1441271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441308 */     // GIR_Coverage, 6485,
     /* 1441308 */     GIR_EraseRootFromParent_Done,
     /* 1441309 */   // Label 20288: @1441309
     /* 1441309 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1441406), // Rule ID 6488 //
     /* 1441314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441364 */     // MIs[1] Operand 1
     /* 1441364 */     // No operand predicates
     /* 1441364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441368 */     // MIs[0] policy
     /* 1441368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441405 */     // GIR_Coverage, 6488,
     /* 1441405 */     GIR_EraseRootFromParent_Done,
     /* 1441406 */   // Label 20289: @1441406
     /* 1441406 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1441503), // Rule ID 6489 //
     /* 1441411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441461 */     // MIs[1] Operand 1
     /* 1441461 */     // No operand predicates
     /* 1441461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441465 */     // MIs[0] policy
     /* 1441465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441477 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441502 */     // GIR_Coverage, 6489,
     /* 1441502 */     GIR_EraseRootFromParent_Done,
     /* 1441503 */   // Label 20290: @1441503
     /* 1441503 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1441600), // Rule ID 6492 //
     /* 1441508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441558 */     // MIs[1] Operand 1
     /* 1441558 */     // No operand predicates
     /* 1441558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441562 */     // MIs[0] policy
     /* 1441562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1441577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441599 */     // GIR_Coverage, 6492,
     /* 1441599 */     GIR_EraseRootFromParent_Done,
     /* 1441600 */   // Label 20291: @1441600
     /* 1441600 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1441697), // Rule ID 6493 //
     /* 1441605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441655 */     // MIs[1] Operand 1
     /* 1441655 */     // No operand predicates
     /* 1441655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441659 */     // MIs[0] policy
     /* 1441659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1441674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441696 */     // GIR_Coverage, 6493,
     /* 1441696 */     GIR_EraseRootFromParent_Done,
     /* 1441697 */   // Label 20292: @1441697
     /* 1441697 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1441794), // Rule ID 6496 //
     /* 1441702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1441713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1441716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1441719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441752 */     // MIs[1] Operand 1
     /* 1441752 */     // No operand predicates
     /* 1441752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441756 */     // MIs[0] policy
     /* 1441756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1441771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441793 */     // GIR_Coverage, 6496,
     /* 1441793 */     GIR_EraseRootFromParent_Done,
     /* 1441794 */   // Label 20293: @1441794
     /* 1441794 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1441891), // Rule ID 6497 //
     /* 1441799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1441810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1441813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1441816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441849 */     // MIs[1] Operand 1
     /* 1441849 */     // No operand predicates
     /* 1441849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441853 */     // MIs[0] policy
     /* 1441853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1441868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441890 */     // GIR_Coverage, 6497,
     /* 1441890 */     GIR_EraseRootFromParent_Done,
     /* 1441891 */   // Label 20294: @1441891
     /* 1441891 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1441988), // Rule ID 6500 //
     /* 1441896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1441907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1441910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1441913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441946 */     // MIs[1] Operand 1
     /* 1441946 */     // No operand predicates
     /* 1441946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441950 */     // MIs[0] policy
     /* 1441950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1441965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441987 */     // GIR_Coverage, 6500,
     /* 1441987 */     GIR_EraseRootFromParent_Done,
     /* 1441988 */   // Label 20295: @1441988
     /* 1441988 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1442085), // Rule ID 6501 //
     /* 1441993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442043 */     // MIs[1] Operand 1
     /* 1442043 */     // No operand predicates
     /* 1442043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442047 */     // MIs[0] policy
     /* 1442047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442084 */     // GIR_Coverage, 6501,
     /* 1442084 */     GIR_EraseRootFromParent_Done,
     /* 1442085 */   // Label 20296: @1442085
     /* 1442085 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1442182), // Rule ID 6504 //
     /* 1442090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442140 */     // MIs[1] Operand 1
     /* 1442140 */     // No operand predicates
     /* 1442140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442144 */     // MIs[0] policy
     /* 1442144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442181 */     // GIR_Coverage, 6504,
     /* 1442181 */     GIR_EraseRootFromParent_Done,
     /* 1442182 */   // Label 20297: @1442182
     /* 1442182 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1442279), // Rule ID 6505 //
     /* 1442187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442237 */     // MIs[1] Operand 1
     /* 1442237 */     // No operand predicates
     /* 1442237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442241 */     // MIs[0] policy
     /* 1442241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442278 */     // GIR_Coverage, 6505,
     /* 1442278 */     GIR_EraseRootFromParent_Done,
     /* 1442279 */   // Label 20298: @1442279
     /* 1442279 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1442376), // Rule ID 6508 //
     /* 1442284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442334 */     // MIs[1] Operand 1
     /* 1442334 */     // No operand predicates
     /* 1442334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442338 */     // MIs[0] policy
     /* 1442338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442375 */     // GIR_Coverage, 6508,
     /* 1442375 */     GIR_EraseRootFromParent_Done,
     /* 1442376 */   // Label 20299: @1442376
     /* 1442376 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1442473), // Rule ID 6509 //
     /* 1442381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442431 */     // MIs[1] Operand 1
     /* 1442431 */     // No operand predicates
     /* 1442431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442435 */     // MIs[0] policy
     /* 1442435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442472 */     // GIR_Coverage, 6509,
     /* 1442472 */     GIR_EraseRootFromParent_Done,
     /* 1442473 */   // Label 20300: @1442473
     /* 1442473 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1442570), // Rule ID 6512 //
     /* 1442478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442528 */     // MIs[1] Operand 1
     /* 1442528 */     // No operand predicates
     /* 1442528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442532 */     // MIs[0] policy
     /* 1442532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1442547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442569 */     // GIR_Coverage, 6512,
     /* 1442569 */     GIR_EraseRootFromParent_Done,
     /* 1442570 */   // Label 20301: @1442570
     /* 1442570 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1442667), // Rule ID 6513 //
     /* 1442575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442625 */     // MIs[1] Operand 1
     /* 1442625 */     // No operand predicates
     /* 1442625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442629 */     // MIs[0] policy
     /* 1442629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442641 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1442644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442666 */     // GIR_Coverage, 6513,
     /* 1442666 */     GIR_EraseRootFromParent_Done,
     /* 1442667 */   // Label 20302: @1442667
     /* 1442667 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1442764), // Rule ID 6516 //
     /* 1442672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1442683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1442686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1442689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1442695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442722 */     // MIs[1] Operand 1
     /* 1442722 */     // No operand predicates
     /* 1442722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442726 */     // MIs[0] policy
     /* 1442726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1442741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442763 */     // GIR_Coverage, 6516,
     /* 1442763 */     GIR_EraseRootFromParent_Done,
     /* 1442764 */   // Label 20303: @1442764
     /* 1442764 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1442861), // Rule ID 6517 //
     /* 1442769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1442780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1442783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1442786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1442792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442819 */     // MIs[1] Operand 1
     /* 1442819 */     // No operand predicates
     /* 1442819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442823 */     // MIs[0] policy
     /* 1442823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1442838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442860 */     // GIR_Coverage, 6517,
     /* 1442860 */     GIR_EraseRootFromParent_Done,
     /* 1442861 */   // Label 20304: @1442861
     /* 1442861 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1442958), // Rule ID 6520 //
     /* 1442866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1442877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1442880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1442883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442916 */     // MIs[1] Operand 1
     /* 1442916 */     // No operand predicates
     /* 1442916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442920 */     // MIs[0] policy
     /* 1442920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442957 */     // GIR_Coverage, 6520,
     /* 1442957 */     GIR_EraseRootFromParent_Done,
     /* 1442958 */   // Label 20305: @1442958
     /* 1442958 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1443055), // Rule ID 6521 //
     /* 1442963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1442974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1442977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1442980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443013 */     // MIs[1] Operand 1
     /* 1443013 */     // No operand predicates
     /* 1443013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443017 */     // MIs[0] policy
     /* 1443017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443054 */     // GIR_Coverage, 6521,
     /* 1443054 */     GIR_EraseRootFromParent_Done,
     /* 1443055 */   // Label 20306: @1443055
     /* 1443055 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1443152), // Rule ID 6524 //
     /* 1443060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443110 */     // MIs[1] Operand 1
     /* 1443110 */     // No operand predicates
     /* 1443110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443114 */     // MIs[0] policy
     /* 1443114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443151 */     // GIR_Coverage, 6524,
     /* 1443151 */     GIR_EraseRootFromParent_Done,
     /* 1443152 */   // Label 20307: @1443152
     /* 1443152 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1443249), // Rule ID 6525 //
     /* 1443157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443207 */     // MIs[1] Operand 1
     /* 1443207 */     // No operand predicates
     /* 1443207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443211 */     // MIs[0] policy
     /* 1443211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443248 */     // GIR_Coverage, 6525,
     /* 1443248 */     GIR_EraseRootFromParent_Done,
     /* 1443249 */   // Label 20308: @1443249
     /* 1443249 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1443346), // Rule ID 6528 //
     /* 1443254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443304 */     // MIs[1] Operand 1
     /* 1443304 */     // No operand predicates
     /* 1443304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443308 */     // MIs[0] policy
     /* 1443308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443345 */     // GIR_Coverage, 6528,
     /* 1443345 */     GIR_EraseRootFromParent_Done,
     /* 1443346 */   // Label 20309: @1443346
     /* 1443346 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1443443), // Rule ID 6529 //
     /* 1443351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443401 */     // MIs[1] Operand 1
     /* 1443401 */     // No operand predicates
     /* 1443401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443405 */     // MIs[0] policy
     /* 1443405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443442 */     // GIR_Coverage, 6529,
     /* 1443442 */     GIR_EraseRootFromParent_Done,
     /* 1443443 */   // Label 20310: @1443443
     /* 1443443 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1443540), // Rule ID 6532 //
     /* 1443448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443498 */     // MIs[1] Operand 1
     /* 1443498 */     // No operand predicates
     /* 1443498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443502 */     // MIs[0] policy
     /* 1443502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443539 */     // GIR_Coverage, 6532,
     /* 1443539 */     GIR_EraseRootFromParent_Done,
     /* 1443540 */   // Label 20311: @1443540
     /* 1443540 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1443637), // Rule ID 6533 //
     /* 1443545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443595 */     // MIs[1] Operand 1
     /* 1443595 */     // No operand predicates
     /* 1443595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443599 */     // MIs[0] policy
     /* 1443599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443636 */     // GIR_Coverage, 6533,
     /* 1443636 */     GIR_EraseRootFromParent_Done,
     /* 1443637 */   // Label 20312: @1443637
     /* 1443637 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1443734), // Rule ID 6536 //
     /* 1443642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443692 */     // MIs[1] Operand 1
     /* 1443692 */     // No operand predicates
     /* 1443692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443696 */     // MIs[0] policy
     /* 1443696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443733 */     // GIR_Coverage, 6536,
     /* 1443733 */     GIR_EraseRootFromParent_Done,
     /* 1443734 */   // Label 20313: @1443734
     /* 1443734 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1443831), // Rule ID 6537 //
     /* 1443739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443789 */     // MIs[1] Operand 1
     /* 1443789 */     // No operand predicates
     /* 1443789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443793 */     // MIs[0] policy
     /* 1443793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443830 */     // GIR_Coverage, 6537,
     /* 1443830 */     GIR_EraseRootFromParent_Done,
     /* 1443831 */   // Label 20314: @1443831
     /* 1443831 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1443928), // Rule ID 6540 //
     /* 1443836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1443847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1443850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1443853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443886 */     // MIs[1] Operand 1
     /* 1443886 */     // No operand predicates
     /* 1443886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443890 */     // MIs[0] policy
     /* 1443890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443927 */     // GIR_Coverage, 6540,
     /* 1443927 */     GIR_EraseRootFromParent_Done,
     /* 1443928 */   // Label 20315: @1443928
     /* 1443928 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1444025), // Rule ID 6541 //
     /* 1443933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1443944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1443947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1443950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443983 */     // MIs[1] Operand 1
     /* 1443983 */     // No operand predicates
     /* 1443983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443987 */     // MIs[0] policy
     /* 1443987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444024 */     // GIR_Coverage, 6541,
     /* 1444024 */     GIR_EraseRootFromParent_Done,
     /* 1444025 */   // Label 20316: @1444025
     /* 1444025 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1444122), // Rule ID 6544 //
     /* 1444030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444080 */     // MIs[1] Operand 1
     /* 1444080 */     // No operand predicates
     /* 1444080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444084 */     // MIs[0] policy
     /* 1444084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1444099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444121 */     // GIR_Coverage, 6544,
     /* 1444121 */     GIR_EraseRootFromParent_Done,
     /* 1444122 */   // Label 20317: @1444122
     /* 1444122 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1444219), // Rule ID 6545 //
     /* 1444127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444177 */     // MIs[1] Operand 1
     /* 1444177 */     // No operand predicates
     /* 1444177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444181 */     // MIs[0] policy
     /* 1444181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1444196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444218 */     // GIR_Coverage, 6545,
     /* 1444218 */     GIR_EraseRootFromParent_Done,
     /* 1444219 */   // Label 20318: @1444219
     /* 1444219 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1444316), // Rule ID 6548 //
     /* 1444224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444274 */     // MIs[1] Operand 1
     /* 1444274 */     // No operand predicates
     /* 1444274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444278 */     // MIs[0] policy
     /* 1444278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444315 */     // GIR_Coverage, 6548,
     /* 1444315 */     GIR_EraseRootFromParent_Done,
     /* 1444316 */   // Label 20319: @1444316
     /* 1444316 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1444413), // Rule ID 6549 //
     /* 1444321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444371 */     // MIs[1] Operand 1
     /* 1444371 */     // No operand predicates
     /* 1444371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444375 */     // MIs[0] policy
     /* 1444375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444412 */     // GIR_Coverage, 6549,
     /* 1444412 */     GIR_EraseRootFromParent_Done,
     /* 1444413 */   // Label 20320: @1444413
     /* 1444413 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1444510), // Rule ID 6552 //
     /* 1444418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444468 */     // MIs[1] Operand 1
     /* 1444468 */     // No operand predicates
     /* 1444468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444472 */     // MIs[0] policy
     /* 1444472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444509 */     // GIR_Coverage, 6552,
     /* 1444509 */     GIR_EraseRootFromParent_Done,
     /* 1444510 */   // Label 20321: @1444510
     /* 1444510 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1444607), // Rule ID 6553 //
     /* 1444515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444565 */     // MIs[1] Operand 1
     /* 1444565 */     // No operand predicates
     /* 1444565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444569 */     // MIs[0] policy
     /* 1444569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444606 */     // GIR_Coverage, 6553,
     /* 1444606 */     GIR_EraseRootFromParent_Done,
     /* 1444607 */   // Label 20322: @1444607
     /* 1444607 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1444704), // Rule ID 6732 //
     /* 1444612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1444623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1444626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1444629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444662 */     // MIs[1] Operand 1
     /* 1444662 */     // No operand predicates
     /* 1444662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444666 */     // MIs[0] policy
     /* 1444666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1444681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444703 */     // GIR_Coverage, 6732,
     /* 1444703 */     GIR_EraseRootFromParent_Done,
     /* 1444704 */   // Label 20323: @1444704
     /* 1444704 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1444801), // Rule ID 6733 //
     /* 1444709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1444720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1444723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1444726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444759 */     // MIs[1] Operand 1
     /* 1444759 */     // No operand predicates
     /* 1444759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444763 */     // MIs[0] policy
     /* 1444763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444775 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1444778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444800 */     // GIR_Coverage, 6733,
     /* 1444800 */     GIR_EraseRootFromParent_Done,
     /* 1444801 */   // Label 20324: @1444801
     /* 1444801 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1444898), // Rule ID 6736 //
     /* 1444806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1444817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1444820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1444823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444856 */     // MIs[1] Operand 1
     /* 1444856 */     // No operand predicates
     /* 1444856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444860 */     // MIs[0] policy
     /* 1444860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1444875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444897 */     // GIR_Coverage, 6736,
     /* 1444897 */     GIR_EraseRootFromParent_Done,
     /* 1444898 */   // Label 20325: @1444898
     /* 1444898 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1444995), // Rule ID 6737 //
     /* 1444903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1444914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1444917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1444920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444953 */     // MIs[1] Operand 1
     /* 1444953 */     // No operand predicates
     /* 1444953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444957 */     // MIs[0] policy
     /* 1444957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1444972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444994 */     // GIR_Coverage, 6737,
     /* 1444994 */     GIR_EraseRootFromParent_Done,
     /* 1444995 */   // Label 20326: @1444995
     /* 1444995 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1445092), // Rule ID 6740 //
     /* 1445000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445050 */     // MIs[1] Operand 1
     /* 1445050 */     // No operand predicates
     /* 1445050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445054 */     // MIs[0] policy
     /* 1445054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445066 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445091 */     // GIR_Coverage, 6740,
     /* 1445091 */     GIR_EraseRootFromParent_Done,
     /* 1445092 */   // Label 20327: @1445092
     /* 1445092 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1445189), // Rule ID 6741 //
     /* 1445097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445147 */     // MIs[1] Operand 1
     /* 1445147 */     // No operand predicates
     /* 1445147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445151 */     // MIs[0] policy
     /* 1445151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445188 */     // GIR_Coverage, 6741,
     /* 1445188 */     GIR_EraseRootFromParent_Done,
     /* 1445189 */   // Label 20328: @1445189
     /* 1445189 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1445286), // Rule ID 6744 //
     /* 1445194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445244 */     // MIs[1] Operand 1
     /* 1445244 */     // No operand predicates
     /* 1445244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445248 */     // MIs[0] policy
     /* 1445248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445285 */     // GIR_Coverage, 6744,
     /* 1445285 */     GIR_EraseRootFromParent_Done,
     /* 1445286 */   // Label 20329: @1445286
     /* 1445286 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1445383), // Rule ID 6745 //
     /* 1445291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445341 */     // MIs[1] Operand 1
     /* 1445341 */     // No operand predicates
     /* 1445341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445345 */     // MIs[0] policy
     /* 1445345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445382 */     // GIR_Coverage, 6745,
     /* 1445382 */     GIR_EraseRootFromParent_Done,
     /* 1445383 */   // Label 20330: @1445383
     /* 1445383 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1445480), // Rule ID 6748 //
     /* 1445388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445438 */     // MIs[1] Operand 1
     /* 1445438 */     // No operand predicates
     /* 1445438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445442 */     // MIs[0] policy
     /* 1445442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445479 */     // GIR_Coverage, 6748,
     /* 1445479 */     GIR_EraseRootFromParent_Done,
     /* 1445480 */   // Label 20331: @1445480
     /* 1445480 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1445577), // Rule ID 6749 //
     /* 1445485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445535 */     // MIs[1] Operand 1
     /* 1445535 */     // No operand predicates
     /* 1445535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445539 */     // MIs[0] policy
     /* 1445539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445576 */     // GIR_Coverage, 6749,
     /* 1445576 */     GIR_EraseRootFromParent_Done,
     /* 1445577 */   // Label 20332: @1445577
     /* 1445577 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1445674), // Rule ID 6752 //
     /* 1445582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1445593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1445596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445632 */     // MIs[1] Operand 1
     /* 1445632 */     // No operand predicates
     /* 1445632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445636 */     // MIs[0] policy
     /* 1445636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445673 */     // GIR_Coverage, 6752,
     /* 1445673 */     GIR_EraseRootFromParent_Done,
     /* 1445674 */   // Label 20333: @1445674
     /* 1445674 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1445771), // Rule ID 6753 //
     /* 1445679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1445690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1445693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445729 */     // MIs[1] Operand 1
     /* 1445729 */     // No operand predicates
     /* 1445729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445733 */     // MIs[0] policy
     /* 1445733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445745 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445770 */     // GIR_Coverage, 6753,
     /* 1445770 */     GIR_EraseRootFromParent_Done,
     /* 1445771 */   // Label 20334: @1445771
     /* 1445771 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1445868), // Rule ID 6756 //
     /* 1445776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1445787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1445790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1445793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445826 */     // MIs[1] Operand 1
     /* 1445826 */     // No operand predicates
     /* 1445826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445830 */     // MIs[0] policy
     /* 1445830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1445845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445867 */     // GIR_Coverage, 6756,
     /* 1445867 */     GIR_EraseRootFromParent_Done,
     /* 1445868 */   // Label 20335: @1445868
     /* 1445868 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1445965), // Rule ID 6757 //
     /* 1445873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1445884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1445887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1445890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445923 */     // MIs[1] Operand 1
     /* 1445923 */     // No operand predicates
     /* 1445923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445927 */     // MIs[0] policy
     /* 1445927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1445942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445964 */     // GIR_Coverage, 6757,
     /* 1445964 */     GIR_EraseRootFromParent_Done,
     /* 1445965 */   // Label 20336: @1445965
     /* 1445965 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1446062), // Rule ID 6760 //
     /* 1445970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1445981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1445984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1445987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446020 */     // MIs[1] Operand 1
     /* 1446020 */     // No operand predicates
     /* 1446020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446024 */     // MIs[0] policy
     /* 1446024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446061 */     // GIR_Coverage, 6760,
     /* 1446061 */     GIR_EraseRootFromParent_Done,
     /* 1446062 */   // Label 20337: @1446062
     /* 1446062 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1446159), // Rule ID 6761 //
     /* 1446067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446117 */     // MIs[1] Operand 1
     /* 1446117 */     // No operand predicates
     /* 1446117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446121 */     // MIs[0] policy
     /* 1446121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446158 */     // GIR_Coverage, 6761,
     /* 1446158 */     GIR_EraseRootFromParent_Done,
     /* 1446159 */   // Label 20338: @1446159
     /* 1446159 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1446256), // Rule ID 6764 //
     /* 1446164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446214 */     // MIs[1] Operand 1
     /* 1446214 */     // No operand predicates
     /* 1446214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446218 */     // MIs[0] policy
     /* 1446218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446255 */     // GIR_Coverage, 6764,
     /* 1446255 */     GIR_EraseRootFromParent_Done,
     /* 1446256 */   // Label 20339: @1446256
     /* 1446256 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1446353), // Rule ID 6765 //
     /* 1446261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446311 */     // MIs[1] Operand 1
     /* 1446311 */     // No operand predicates
     /* 1446311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446315 */     // MIs[0] policy
     /* 1446315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446352 */     // GIR_Coverage, 6765,
     /* 1446352 */     GIR_EraseRootFromParent_Done,
     /* 1446353 */   // Label 20340: @1446353
     /* 1446353 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1446450), // Rule ID 6768 //
     /* 1446358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446408 */     // MIs[1] Operand 1
     /* 1446408 */     // No operand predicates
     /* 1446408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446412 */     // MIs[0] policy
     /* 1446412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446449 */     // GIR_Coverage, 6768,
     /* 1446449 */     GIR_EraseRootFromParent_Done,
     /* 1446450 */   // Label 20341: @1446450
     /* 1446450 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1446547), // Rule ID 6769 //
     /* 1446455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446505 */     // MIs[1] Operand 1
     /* 1446505 */     // No operand predicates
     /* 1446505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446509 */     // MIs[0] policy
     /* 1446509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446546 */     // GIR_Coverage, 6769,
     /* 1446546 */     GIR_EraseRootFromParent_Done,
     /* 1446547 */   // Label 20342: @1446547
     /* 1446547 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1446644), // Rule ID 6772 //
     /* 1446552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1446563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1446566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1446569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446602 */     // MIs[1] Operand 1
     /* 1446602 */     // No operand predicates
     /* 1446602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446606 */     // MIs[0] policy
     /* 1446606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1446621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446643 */     // GIR_Coverage, 6772,
     /* 1446643 */     GIR_EraseRootFromParent_Done,
     /* 1446644 */   // Label 20343: @1446644
     /* 1446644 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1446741), // Rule ID 6773 //
     /* 1446649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1446660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1446663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1446666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446699 */     // MIs[1] Operand 1
     /* 1446699 */     // No operand predicates
     /* 1446699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446703 */     // MIs[0] policy
     /* 1446703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1446718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446740 */     // GIR_Coverage, 6773,
     /* 1446740 */     GIR_EraseRootFromParent_Done,
     /* 1446741 */   // Label 20344: @1446741
     /* 1446741 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1446838), // Rule ID 6776 //
     /* 1446746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1446757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1446760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1446763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1446769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446796 */     // MIs[1] Operand 1
     /* 1446796 */     // No operand predicates
     /* 1446796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446800 */     // MIs[0] policy
     /* 1446800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446812 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1446815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446837 */     // GIR_Coverage, 6776,
     /* 1446837 */     GIR_EraseRootFromParent_Done,
     /* 1446838 */   // Label 20345: @1446838
     /* 1446838 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1446935), // Rule ID 6777 //
     /* 1446843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1446854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1446857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1446860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1446866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446893 */     // MIs[1] Operand 1
     /* 1446893 */     // No operand predicates
     /* 1446893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446897 */     // MIs[0] policy
     /* 1446897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1446912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446934 */     // GIR_Coverage, 6777,
     /* 1446934 */     GIR_EraseRootFromParent_Done,
     /* 1446935 */   // Label 20346: @1446935
     /* 1446935 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1447032), // Rule ID 6780 //
     /* 1446940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1446951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1446954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1446957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1446963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446990 */     // MIs[1] Operand 1
     /* 1446990 */     // No operand predicates
     /* 1446990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446994 */     // MIs[0] policy
     /* 1446994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447031 */     // GIR_Coverage, 6780,
     /* 1447031 */     GIR_EraseRootFromParent_Done,
     /* 1447032 */   // Label 20347: @1447032
     /* 1447032 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1447129), // Rule ID 6781 //
     /* 1447037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447087 */     // MIs[1] Operand 1
     /* 1447087 */     // No operand predicates
     /* 1447087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447091 */     // MIs[0] policy
     /* 1447091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447103 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447128 */     // GIR_Coverage, 6781,
     /* 1447128 */     GIR_EraseRootFromParent_Done,
     /* 1447129 */   // Label 20348: @1447129
     /* 1447129 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1447226), // Rule ID 6784 //
     /* 1447134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447184 */     // MIs[1] Operand 1
     /* 1447184 */     // No operand predicates
     /* 1447184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447188 */     // MIs[0] policy
     /* 1447188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447225 */     // GIR_Coverage, 6784,
     /* 1447225 */     GIR_EraseRootFromParent_Done,
     /* 1447226 */   // Label 20349: @1447226
     /* 1447226 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1447323), // Rule ID 6785 //
     /* 1447231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447281 */     // MIs[1] Operand 1
     /* 1447281 */     // No operand predicates
     /* 1447281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447285 */     // MIs[0] policy
     /* 1447285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447322 */     // GIR_Coverage, 6785,
     /* 1447322 */     GIR_EraseRootFromParent_Done,
     /* 1447323 */   // Label 20350: @1447323
     /* 1447323 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1447420), // Rule ID 6788 //
     /* 1447328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447378 */     // MIs[1] Operand 1
     /* 1447378 */     // No operand predicates
     /* 1447378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447382 */     // MIs[0] policy
     /* 1447382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447419 */     // GIR_Coverage, 6788,
     /* 1447419 */     GIR_EraseRootFromParent_Done,
     /* 1447420 */   // Label 20351: @1447420
     /* 1447420 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1447517), // Rule ID 6789 //
     /* 1447425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447475 */     // MIs[1] Operand 1
     /* 1447475 */     // No operand predicates
     /* 1447475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447479 */     // MIs[0] policy
     /* 1447479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447516 */     // GIR_Coverage, 6789,
     /* 1447516 */     GIR_EraseRootFromParent_Done,
     /* 1447517 */   // Label 20352: @1447517
     /* 1447517 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1447614), // Rule ID 6792 //
     /* 1447522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1447533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1447536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1447539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447572 */     // MIs[1] Operand 1
     /* 1447572 */     // No operand predicates
     /* 1447572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447576 */     // MIs[0] policy
     /* 1447576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447588 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447613 */     // GIR_Coverage, 6792,
     /* 1447613 */     GIR_EraseRootFromParent_Done,
     /* 1447614 */   // Label 20353: @1447614
     /* 1447614 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1447711), // Rule ID 6793 //
     /* 1447619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1447630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1447633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1447636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447669 */     // MIs[1] Operand 1
     /* 1447669 */     // No operand predicates
     /* 1447669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447673 */     // MIs[0] policy
     /* 1447673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447710 */     // GIR_Coverage, 6793,
     /* 1447710 */     GIR_EraseRootFromParent_Done,
     /* 1447711 */   // Label 20354: @1447711
     /* 1447711 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1447808), // Rule ID 6796 //
     /* 1447716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1447727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1447730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1447733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447766 */     // MIs[1] Operand 1
     /* 1447766 */     // No operand predicates
     /* 1447766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447770 */     // MIs[0] policy
     /* 1447770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447807 */     // GIR_Coverage, 6796,
     /* 1447807 */     GIR_EraseRootFromParent_Done,
     /* 1447808 */   // Label 20355: @1447808
     /* 1447808 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1447905), // Rule ID 6797 //
     /* 1447813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1447824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1447827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1447830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447863 */     // MIs[1] Operand 1
     /* 1447863 */     // No operand predicates
     /* 1447863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447867 */     // MIs[0] policy
     /* 1447867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447904 */     // GIR_Coverage, 6797,
     /* 1447904 */     GIR_EraseRootFromParent_Done,
     /* 1447905 */   // Label 20356: @1447905
     /* 1447905 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1448002), // Rule ID 6800 //
     /* 1447910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1447921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1447924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1447927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447960 */     // MIs[1] Operand 1
     /* 1447960 */     // No operand predicates
     /* 1447960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447964 */     // MIs[0] policy
     /* 1447964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448001 */     // GIR_Coverage, 6800,
     /* 1448001 */     GIR_EraseRootFromParent_Done,
     /* 1448002 */   // Label 20357: @1448002
     /* 1448002 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1448099), // Rule ID 6801 //
     /* 1448007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448057 */     // MIs[1] Operand 1
     /* 1448057 */     // No operand predicates
     /* 1448057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448061 */     // MIs[0] policy
     /* 1448061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1448076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448098 */     // GIR_Coverage, 6801,
     /* 1448098 */     GIR_EraseRootFromParent_Done,
     /* 1448099 */   // Label 20358: @1448099
     /* 1448099 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1448196), // Rule ID 6804 //
     /* 1448104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448154 */     // MIs[1] Operand 1
     /* 1448154 */     // No operand predicates
     /* 1448154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448158 */     // MIs[0] policy
     /* 1448158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448195 */     // GIR_Coverage, 6804,
     /* 1448195 */     GIR_EraseRootFromParent_Done,
     /* 1448196 */   // Label 20359: @1448196
     /* 1448196 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1448293), // Rule ID 6805 //
     /* 1448201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448251 */     // MIs[1] Operand 1
     /* 1448251 */     // No operand predicates
     /* 1448251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448255 */     // MIs[0] policy
     /* 1448255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448292 */     // GIR_Coverage, 6805,
     /* 1448292 */     GIR_EraseRootFromParent_Done,
     /* 1448293 */   // Label 20360: @1448293
     /* 1448293 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1448390), // Rule ID 6808 //
     /* 1448298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448348 */     // MIs[1] Operand 1
     /* 1448348 */     // No operand predicates
     /* 1448348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448352 */     // MIs[0] policy
     /* 1448352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448389 */     // GIR_Coverage, 6808,
     /* 1448389 */     GIR_EraseRootFromParent_Done,
     /* 1448390 */   // Label 20361: @1448390
     /* 1448390 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1448487), // Rule ID 6809 //
     /* 1448395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448445 */     // MIs[1] Operand 1
     /* 1448445 */     // No operand predicates
     /* 1448445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448449 */     // MIs[0] policy
     /* 1448449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448486 */     // GIR_Coverage, 6809,
     /* 1448486 */     GIR_EraseRootFromParent_Done,
     /* 1448487 */   // Label 20362: @1448487
     /* 1448487 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1448584), // Rule ID 6812 //
     /* 1448492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1448503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1448506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1448509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448542 */     // MIs[1] Operand 1
     /* 1448542 */     // No operand predicates
     /* 1448542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448546 */     // MIs[0] policy
     /* 1448546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1448561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448583 */     // GIR_Coverage, 6812,
     /* 1448583 */     GIR_EraseRootFromParent_Done,
     /* 1448584 */   // Label 20363: @1448584
     /* 1448584 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1448681), // Rule ID 6813 //
     /* 1448589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1448600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1448603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1448606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448639 */     // MIs[1] Operand 1
     /* 1448639 */     // No operand predicates
     /* 1448639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448643 */     // MIs[0] policy
     /* 1448643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1448658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448680 */     // GIR_Coverage, 6813,
     /* 1448680 */     GIR_EraseRootFromParent_Done,
     /* 1448681 */   // Label 20364: @1448681
     /* 1448681 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1448778), // Rule ID 6816 //
     /* 1448686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1448697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1448700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1448703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448736 */     // MIs[1] Operand 1
     /* 1448736 */     // No operand predicates
     /* 1448736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448740 */     // MIs[0] policy
     /* 1448740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448777 */     // GIR_Coverage, 6816,
     /* 1448777 */     GIR_EraseRootFromParent_Done,
     /* 1448778 */   // Label 20365: @1448778
     /* 1448778 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1448875), // Rule ID 6817 //
     /* 1448783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1448794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1448797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1448800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448833 */     // MIs[1] Operand 1
     /* 1448833 */     // No operand predicates
     /* 1448833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448837 */     // MIs[0] policy
     /* 1448837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448874 */     // GIR_Coverage, 6817,
     /* 1448874 */     GIR_EraseRootFromParent_Done,
     /* 1448875 */   // Label 20366: @1448875
     /* 1448875 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1448972), // Rule ID 6996 //
     /* 1448880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1448891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1448894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1448897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448930 */     // MIs[1] Operand 1
     /* 1448930 */     // No operand predicates
     /* 1448930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448934 */     // MIs[0] policy
     /* 1448934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1448949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448971 */     // GIR_Coverage, 6996,
     /* 1448971 */     GIR_EraseRootFromParent_Done,
     /* 1448972 */   // Label 20367: @1448972
     /* 1448972 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1449069), // Rule ID 6997 //
     /* 1448977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1448988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1448991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1448994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449027 */     // MIs[1] Operand 1
     /* 1449027 */     // No operand predicates
     /* 1449027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449031 */     // MIs[0] policy
     /* 1449031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1449046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449068 */     // GIR_Coverage, 6997,
     /* 1449068 */     GIR_EraseRootFromParent_Done,
     /* 1449069 */   // Label 20368: @1449069
     /* 1449069 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1449166), // Rule ID 7000 //
     /* 1449074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449124 */     // MIs[1] Operand 1
     /* 1449124 */     // No operand predicates
     /* 1449124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449128 */     // MIs[0] policy
     /* 1449128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449140 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449165 */     // GIR_Coverage, 7000,
     /* 1449165 */     GIR_EraseRootFromParent_Done,
     /* 1449166 */   // Label 20369: @1449166
     /* 1449166 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1449263), // Rule ID 7001 //
     /* 1449171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449221 */     // MIs[1] Operand 1
     /* 1449221 */     // No operand predicates
     /* 1449221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449225 */     // MIs[0] policy
     /* 1449225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449262 */     // GIR_Coverage, 7001,
     /* 1449262 */     GIR_EraseRootFromParent_Done,
     /* 1449263 */   // Label 20370: @1449263
     /* 1449263 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1449360), // Rule ID 7004 //
     /* 1449268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449318 */     // MIs[1] Operand 1
     /* 1449318 */     // No operand predicates
     /* 1449318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449322 */     // MIs[0] policy
     /* 1449322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449359 */     // GIR_Coverage, 7004,
     /* 1449359 */     GIR_EraseRootFromParent_Done,
     /* 1449360 */   // Label 20371: @1449360
     /* 1449360 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1449457), // Rule ID 7005 //
     /* 1449365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449415 */     // MIs[1] Operand 1
     /* 1449415 */     // No operand predicates
     /* 1449415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449419 */     // MIs[0] policy
     /* 1449419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449431 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449456 */     // GIR_Coverage, 7005,
     /* 1449456 */     GIR_EraseRootFromParent_Done,
     /* 1449457 */   // Label 20372: @1449457
     /* 1449457 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1449554), // Rule ID 7008 //
     /* 1449462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1449473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1449476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449512 */     // MIs[1] Operand 1
     /* 1449512 */     // No operand predicates
     /* 1449512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449516 */     // MIs[0] policy
     /* 1449516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449553 */     // GIR_Coverage, 7008,
     /* 1449553 */     GIR_EraseRootFromParent_Done,
     /* 1449554 */   // Label 20373: @1449554
     /* 1449554 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1449651), // Rule ID 7009 //
     /* 1449559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1449570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1449573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449609 */     // MIs[1] Operand 1
     /* 1449609 */     // No operand predicates
     /* 1449609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449613 */     // MIs[0] policy
     /* 1449613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449650 */     // GIR_Coverage, 7009,
     /* 1449650 */     GIR_EraseRootFromParent_Done,
     /* 1449651 */   // Label 20374: @1449651
     /* 1449651 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1449748), // Rule ID 7012 //
     /* 1449656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1449667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1449670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1449673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449706 */     // MIs[1] Operand 1
     /* 1449706 */     // No operand predicates
     /* 1449706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449710 */     // MIs[0] policy
     /* 1449710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449722 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449747 */     // GIR_Coverage, 7012,
     /* 1449747 */     GIR_EraseRootFromParent_Done,
     /* 1449748 */   // Label 20375: @1449748
     /* 1449748 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1449845), // Rule ID 7013 //
     /* 1449753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1449764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1449767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1449770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449803 */     // MIs[1] Operand 1
     /* 1449803 */     // No operand predicates
     /* 1449803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449807 */     // MIs[0] policy
     /* 1449807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449844 */     // GIR_Coverage, 7013,
     /* 1449844 */     GIR_EraseRootFromParent_Done,
     /* 1449845 */   // Label 20376: @1449845
     /* 1449845 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1449942), // Rule ID 7016 //
     /* 1449850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1449861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1449864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1449867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449900 */     // MIs[1] Operand 1
     /* 1449900 */     // No operand predicates
     /* 1449900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449904 */     // MIs[0] policy
     /* 1449904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449941 */     // GIR_Coverage, 7016,
     /* 1449941 */     GIR_EraseRootFromParent_Done,
     /* 1449942 */   // Label 20377: @1449942
     /* 1449942 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1450039), // Rule ID 7017 //
     /* 1449947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1449958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1449961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1449964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449997 */     // MIs[1] Operand 1
     /* 1449997 */     // No operand predicates
     /* 1449997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450001 */     // MIs[0] policy
     /* 1450001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450013 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1450016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450038 */     // GIR_Coverage, 7017,
     /* 1450038 */     GIR_EraseRootFromParent_Done,
     /* 1450039 */   // Label 20378: @1450039
     /* 1450039 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1450136), // Rule ID 7020 //
     /* 1450044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450094 */     // MIs[1] Operand 1
     /* 1450094 */     // No operand predicates
     /* 1450094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450098 */     // MIs[0] policy
     /* 1450098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450110 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450135 */     // GIR_Coverage, 7020,
     /* 1450135 */     GIR_EraseRootFromParent_Done,
     /* 1450136 */   // Label 20379: @1450136
     /* 1450136 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1450233), // Rule ID 7021 //
     /* 1450141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450191 */     // MIs[1] Operand 1
     /* 1450191 */     // No operand predicates
     /* 1450191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450195 */     // MIs[0] policy
     /* 1450195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450232 */     // GIR_Coverage, 7021,
     /* 1450232 */     GIR_EraseRootFromParent_Done,
     /* 1450233 */   // Label 20380: @1450233
     /* 1450233 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1450330), // Rule ID 7024 //
     /* 1450238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450288 */     // MIs[1] Operand 1
     /* 1450288 */     // No operand predicates
     /* 1450288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450292 */     // MIs[0] policy
     /* 1450292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450329 */     // GIR_Coverage, 7024,
     /* 1450329 */     GIR_EraseRootFromParent_Done,
     /* 1450330 */   // Label 20381: @1450330
     /* 1450330 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1450427), // Rule ID 7025 //
     /* 1450335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450385 */     // MIs[1] Operand 1
     /* 1450385 */     // No operand predicates
     /* 1450385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450389 */     // MIs[0] policy
     /* 1450389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450426 */     // GIR_Coverage, 7025,
     /* 1450426 */     GIR_EraseRootFromParent_Done,
     /* 1450427 */   // Label 20382: @1450427
     /* 1450427 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1450524), // Rule ID 7028 //
     /* 1450432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450482 */     // MIs[1] Operand 1
     /* 1450482 */     // No operand predicates
     /* 1450482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450486 */     // MIs[0] policy
     /* 1450486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450523 */     // GIR_Coverage, 7028,
     /* 1450523 */     GIR_EraseRootFromParent_Done,
     /* 1450524 */   // Label 20383: @1450524
     /* 1450524 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1450621), // Rule ID 7029 //
     /* 1450529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450579 */     // MIs[1] Operand 1
     /* 1450579 */     // No operand predicates
     /* 1450579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450583 */     // MIs[0] policy
     /* 1450583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450620 */     // GIR_Coverage, 7029,
     /* 1450620 */     GIR_EraseRootFromParent_Done,
     /* 1450621 */   // Label 20384: @1450621
     /* 1450621 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1450718), // Rule ID 7032 //
     /* 1450626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1450637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1450640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1450643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450676 */     // MIs[1] Operand 1
     /* 1450676 */     // No operand predicates
     /* 1450676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450680 */     // MIs[0] policy
     /* 1450680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450717 */     // GIR_Coverage, 7032,
     /* 1450717 */     GIR_EraseRootFromParent_Done,
     /* 1450718 */   // Label 20385: @1450718
     /* 1450718 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1450815), // Rule ID 7033 //
     /* 1450723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1450734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1450737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1450740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450773 */     // MIs[1] Operand 1
     /* 1450773 */     // No operand predicates
     /* 1450773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450777 */     // MIs[0] policy
     /* 1450777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450814 */     // GIR_Coverage, 7033,
     /* 1450814 */     GIR_EraseRootFromParent_Done,
     /* 1450815 */   // Label 20386: @1450815
     /* 1450815 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1450912), // Rule ID 7036 //
     /* 1450820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1450831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1450834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1450837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450870 */     // MIs[1] Operand 1
     /* 1450870 */     // No operand predicates
     /* 1450870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450874 */     // MIs[0] policy
     /* 1450874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450886 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1450889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450911 */     // GIR_Coverage, 7036,
     /* 1450911 */     GIR_EraseRootFromParent_Done,
     /* 1450912 */   // Label 20387: @1450912
     /* 1450912 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1451009), // Rule ID 7037 //
     /* 1450917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1450928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1450931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1450934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450967 */     // MIs[1] Operand 1
     /* 1450967 */     // No operand predicates
     /* 1450967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450971 */     // MIs[0] policy
     /* 1450971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1450986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451008 */     // GIR_Coverage, 7037,
     /* 1451008 */     GIR_EraseRootFromParent_Done,
     /* 1451009 */   // Label 20388: @1451009
     /* 1451009 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1451106), // Rule ID 7040 //
     /* 1451014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451064 */     // MIs[1] Operand 1
     /* 1451064 */     // No operand predicates
     /* 1451064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451068 */     // MIs[0] policy
     /* 1451068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451105 */     // GIR_Coverage, 7040,
     /* 1451105 */     GIR_EraseRootFromParent_Done,
     /* 1451106 */   // Label 20389: @1451106
     /* 1451106 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1451203), // Rule ID 7041 //
     /* 1451111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451161 */     // MIs[1] Operand 1
     /* 1451161 */     // No operand predicates
     /* 1451161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451165 */     // MIs[0] policy
     /* 1451165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451202 */     // GIR_Coverage, 7041,
     /* 1451202 */     GIR_EraseRootFromParent_Done,
     /* 1451203 */   // Label 20390: @1451203
     /* 1451203 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1451300), // Rule ID 7044 //
     /* 1451208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451258 */     // MIs[1] Operand 1
     /* 1451258 */     // No operand predicates
     /* 1451258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451262 */     // MIs[0] policy
     /* 1451262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451299 */     // GIR_Coverage, 7044,
     /* 1451299 */     GIR_EraseRootFromParent_Done,
     /* 1451300 */   // Label 20391: @1451300
     /* 1451300 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1451397), // Rule ID 7045 //
     /* 1451305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451355 */     // MIs[1] Operand 1
     /* 1451355 */     // No operand predicates
     /* 1451355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451359 */     // MIs[0] policy
     /* 1451359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451396 */     // GIR_Coverage, 7045,
     /* 1451396 */     GIR_EraseRootFromParent_Done,
     /* 1451397 */   // Label 20392: @1451397
     /* 1451397 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1451494), // Rule ID 7048 //
     /* 1451402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451452 */     // MIs[1] Operand 1
     /* 1451452 */     // No operand predicates
     /* 1451452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451456 */     // MIs[0] policy
     /* 1451456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1451471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451493 */     // GIR_Coverage, 7048,
     /* 1451493 */     GIR_EraseRootFromParent_Done,
     /* 1451494 */   // Label 20393: @1451494
     /* 1451494 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1451591), // Rule ID 7049 //
     /* 1451499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451549 */     // MIs[1] Operand 1
     /* 1451549 */     // No operand predicates
     /* 1451549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451553 */     // MIs[0] policy
     /* 1451553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1451568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451590 */     // GIR_Coverage, 7049,
     /* 1451590 */     GIR_EraseRootFromParent_Done,
     /* 1451591 */   // Label 20394: @1451591
     /* 1451591 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1451688), // Rule ID 7052 //
     /* 1451596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451646 */     // MIs[1] Operand 1
     /* 1451646 */     // No operand predicates
     /* 1451646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451650 */     // MIs[0] policy
     /* 1451650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451687 */     // GIR_Coverage, 7052,
     /* 1451687 */     GIR_EraseRootFromParent_Done,
     /* 1451688 */   // Label 20395: @1451688
     /* 1451688 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1451785), // Rule ID 7053 //
     /* 1451693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451743 */     // MIs[1] Operand 1
     /* 1451743 */     // No operand predicates
     /* 1451743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451747 */     // MIs[0] policy
     /* 1451747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451784 */     // GIR_Coverage, 7053,
     /* 1451784 */     GIR_EraseRootFromParent_Done,
     /* 1451785 */   // Label 20396: @1451785
     /* 1451785 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1451882), // Rule ID 7056 //
     /* 1451790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1451801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1451804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451840 */     // MIs[1] Operand 1
     /* 1451840 */     // No operand predicates
     /* 1451840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451844 */     // MIs[0] policy
     /* 1451844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451881 */     // GIR_Coverage, 7056,
     /* 1451881 */     GIR_EraseRootFromParent_Done,
     /* 1451882 */   // Label 20397: @1451882
     /* 1451882 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1451979), // Rule ID 7057 //
     /* 1451887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1451898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1451901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451937 */     // MIs[1] Operand 1
     /* 1451937 */     // No operand predicates
     /* 1451937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451941 */     // MIs[0] policy
     /* 1451941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451978 */     // GIR_Coverage, 7057,
     /* 1451978 */     GIR_EraseRootFromParent_Done,
     /* 1451979 */   // Label 20398: @1451979
     /* 1451979 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1452076), // Rule ID 7060 //
     /* 1451984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1451995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1451998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452034 */     // MIs[1] Operand 1
     /* 1452034 */     // No operand predicates
     /* 1452034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452038 */     // MIs[0] policy
     /* 1452038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452075 */     // GIR_Coverage, 7060,
     /* 1452075 */     GIR_EraseRootFromParent_Done,
     /* 1452076 */   // Label 20399: @1452076
     /* 1452076 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1452173), // Rule ID 7061 //
     /* 1452081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452131 */     // MIs[1] Operand 1
     /* 1452131 */     // No operand predicates
     /* 1452131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452135 */     // MIs[0] policy
     /* 1452135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452172 */     // GIR_Coverage, 7061,
     /* 1452172 */     GIR_EraseRootFromParent_Done,
     /* 1452173 */   // Label 20400: @1452173
     /* 1452173 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1452270), // Rule ID 7064 //
     /* 1452178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452228 */     // MIs[1] Operand 1
     /* 1452228 */     // No operand predicates
     /* 1452228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452232 */     // MIs[0] policy
     /* 1452232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452269 */     // GIR_Coverage, 7064,
     /* 1452269 */     GIR_EraseRootFromParent_Done,
     /* 1452270 */   // Label 20401: @1452270
     /* 1452270 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1452367), // Rule ID 7065 //
     /* 1452275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452325 */     // MIs[1] Operand 1
     /* 1452325 */     // No operand predicates
     /* 1452325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452329 */     // MIs[0] policy
     /* 1452329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452366 */     // GIR_Coverage, 7065,
     /* 1452366 */     GIR_EraseRootFromParent_Done,
     /* 1452367 */   // Label 20402: @1452367
     /* 1452367 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1452464), // Rule ID 7068 //
     /* 1452372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452422 */     // MIs[1] Operand 1
     /* 1452422 */     // No operand predicates
     /* 1452422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452426 */     // MIs[0] policy
     /* 1452426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1452441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452463 */     // GIR_Coverage, 7068,
     /* 1452463 */     GIR_EraseRootFromParent_Done,
     /* 1452464 */   // Label 20403: @1452464
     /* 1452464 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1452561), // Rule ID 7069 //
     /* 1452469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452519 */     // MIs[1] Operand 1
     /* 1452519 */     // No operand predicates
     /* 1452519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452523 */     // MIs[0] policy
     /* 1452523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452535 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1452538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452560 */     // GIR_Coverage, 7069,
     /* 1452560 */     GIR_EraseRootFromParent_Done,
     /* 1452561 */   // Label 20404: @1452561
     /* 1452561 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1452658), // Rule ID 7072 //
     /* 1452566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1452577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1452580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1452583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452616 */     // MIs[1] Operand 1
     /* 1452616 */     // No operand predicates
     /* 1452616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452620 */     // MIs[0] policy
     /* 1452620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452657 */     // GIR_Coverage, 7072,
     /* 1452657 */     GIR_EraseRootFromParent_Done,
     /* 1452658 */   // Label 20405: @1452658
     /* 1452658 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1452755), // Rule ID 7073 //
     /* 1452663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1452666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1452674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1452677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1452680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452713 */     // MIs[1] Operand 1
     /* 1452713 */     // No operand predicates
     /* 1452713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452717 */     // MIs[0] policy
     /* 1452717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452754 */     // GIR_Coverage, 7073,
     /* 1452754 */     GIR_EraseRootFromParent_Done,
     /* 1452755 */   // Label 20406: @1452755
     /* 1452755 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1452852), // Rule ID 7076 //
     /* 1452760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1452771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1452774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452810 */     // MIs[1] Operand 1
     /* 1452810 */     // No operand predicates
     /* 1452810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452814 */     // MIs[0] policy
     /* 1452814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452851 */     // GIR_Coverage, 7076,
     /* 1452851 */     GIR_EraseRootFromParent_Done,
     /* 1452852 */   // Label 20407: @1452852
     /* 1452852 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1452949), // Rule ID 7077 //
     /* 1452857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1452860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1452868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1452871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452907 */     // MIs[1] Operand 1
     /* 1452907 */     // No operand predicates
     /* 1452907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452911 */     // MIs[0] policy
     /* 1452911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452948 */     // GIR_Coverage, 7077,
     /* 1452948 */     GIR_EraseRootFromParent_Done,
     /* 1452949 */   // Label 20408: @1452949
     /* 1452949 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1453046), // Rule ID 7080 //
     /* 1452954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1452965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1452968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1452971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453004 */     // MIs[1] Operand 1
     /* 1453004 */     // No operand predicates
     /* 1453004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453008 */     // MIs[0] policy
     /* 1453008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1453023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453045 */     // GIR_Coverage, 7080,
     /* 1453045 */     GIR_EraseRootFromParent_Done,
     /* 1453046 */   // Label 20409: @1453046
     /* 1453046 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1453143), // Rule ID 7081 //
     /* 1453051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1453062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1453065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453101 */     // MIs[1] Operand 1
     /* 1453101 */     // No operand predicates
     /* 1453101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453105 */     // MIs[0] policy
     /* 1453105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1453120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453142 */     // GIR_Coverage, 7081,
     /* 1453142 */     GIR_EraseRootFromParent_Done,
     /* 1453143 */   // Label 20410: @1453143
     /* 1453143 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1453240), // Rule ID 7260 //
     /* 1453148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453198 */     // MIs[1] Operand 1
     /* 1453198 */     // No operand predicates
     /* 1453198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453202 */     // MIs[0] policy
     /* 1453202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1453217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453239 */     // GIR_Coverage, 7260,
     /* 1453239 */     GIR_EraseRootFromParent_Done,
     /* 1453240 */   // Label 20411: @1453240
     /* 1453240 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1453337), // Rule ID 7261 //
     /* 1453245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453295 */     // MIs[1] Operand 1
     /* 1453295 */     // No operand predicates
     /* 1453295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453299 */     // MIs[0] policy
     /* 1453299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1453314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453336 */     // GIR_Coverage, 7261,
     /* 1453336 */     GIR_EraseRootFromParent_Done,
     /* 1453337 */   // Label 20412: @1453337
     /* 1453337 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1453434), // Rule ID 7264 //
     /* 1453342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453392 */     // MIs[1] Operand 1
     /* 1453392 */     // No operand predicates
     /* 1453392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453396 */     // MIs[0] policy
     /* 1453396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453433 */     // GIR_Coverage, 7264,
     /* 1453433 */     GIR_EraseRootFromParent_Done,
     /* 1453434 */   // Label 20413: @1453434
     /* 1453434 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1453531), // Rule ID 7265 //
     /* 1453439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453489 */     // MIs[1] Operand 1
     /* 1453489 */     // No operand predicates
     /* 1453489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453493 */     // MIs[0] policy
     /* 1453493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453530 */     // GIR_Coverage, 7265,
     /* 1453530 */     GIR_EraseRootFromParent_Done,
     /* 1453531 */   // Label 20414: @1453531
     /* 1453531 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1453628), // Rule ID 7268 //
     /* 1453536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1453547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1453550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1453553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453586 */     // MIs[1] Operand 1
     /* 1453586 */     // No operand predicates
     /* 1453586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453590 */     // MIs[0] policy
     /* 1453590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1453605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453627 */     // GIR_Coverage, 7268,
     /* 1453627 */     GIR_EraseRootFromParent_Done,
     /* 1453628 */   // Label 20415: @1453628
     /* 1453628 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1453725), // Rule ID 7269 //
     /* 1453633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1453644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1453647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1453650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453683 */     // MIs[1] Operand 1
     /* 1453683 */     // No operand predicates
     /* 1453683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453687 */     // MIs[0] policy
     /* 1453687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1453702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453724 */     // GIR_Coverage, 7269,
     /* 1453724 */     GIR_EraseRootFromParent_Done,
     /* 1453725 */   // Label 20416: @1453725
     /* 1453725 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1453822), // Rule ID 7272 //
     /* 1453730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1453741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1453744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453780 */     // MIs[1] Operand 1
     /* 1453780 */     // No operand predicates
     /* 1453780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453784 */     // MIs[0] policy
     /* 1453784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453821 */     // GIR_Coverage, 7272,
     /* 1453821 */     GIR_EraseRootFromParent_Done,
     /* 1453822 */   // Label 20417: @1453822
     /* 1453822 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1453919), // Rule ID 7273 //
     /* 1453827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1453838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1453841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453877 */     // MIs[1] Operand 1
     /* 1453877 */     // No operand predicates
     /* 1453877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453881 */     // MIs[0] policy
     /* 1453881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453918 */     // GIR_Coverage, 7273,
     /* 1453918 */     GIR_EraseRootFromParent_Done,
     /* 1453919 */   // Label 20418: @1453919
     /* 1453919 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1454016), // Rule ID 7276 //
     /* 1453924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1453935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1453938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1453941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453974 */     // MIs[1] Operand 1
     /* 1453974 */     // No operand predicates
     /* 1453974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453978 */     // MIs[0] policy
     /* 1453978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1453993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454015 */     // GIR_Coverage, 7276,
     /* 1454015 */     GIR_EraseRootFromParent_Done,
     /* 1454016 */   // Label 20419: @1454016
     /* 1454016 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1454113), // Rule ID 7277 //
     /* 1454021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454071 */     // MIs[1] Operand 1
     /* 1454071 */     // No operand predicates
     /* 1454071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454075 */     // MIs[0] policy
     /* 1454075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454112 */     // GIR_Coverage, 7277,
     /* 1454112 */     GIR_EraseRootFromParent_Done,
     /* 1454113 */   // Label 20420: @1454113
     /* 1454113 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1454210), // Rule ID 7280 //
     /* 1454118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454168 */     // MIs[1] Operand 1
     /* 1454168 */     // No operand predicates
     /* 1454168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454172 */     // MIs[0] policy
     /* 1454172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454209 */     // GIR_Coverage, 7280,
     /* 1454209 */     GIR_EraseRootFromParent_Done,
     /* 1454210 */   // Label 20421: @1454210
     /* 1454210 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1454307), // Rule ID 7281 //
     /* 1454215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454265 */     // MIs[1] Operand 1
     /* 1454265 */     // No operand predicates
     /* 1454265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454269 */     // MIs[0] policy
     /* 1454269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454306 */     // GIR_Coverage, 7281,
     /* 1454306 */     GIR_EraseRootFromParent_Done,
     /* 1454307 */   // Label 20422: @1454307
     /* 1454307 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1454404), // Rule ID 7284 //
     /* 1454312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454362 */     // MIs[1] Operand 1
     /* 1454362 */     // No operand predicates
     /* 1454362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454366 */     // MIs[0] policy
     /* 1454366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454403 */     // GIR_Coverage, 7284,
     /* 1454403 */     GIR_EraseRootFromParent_Done,
     /* 1454404 */   // Label 20423: @1454404
     /* 1454404 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1454501), // Rule ID 7285 //
     /* 1454409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454459 */     // MIs[1] Operand 1
     /* 1454459 */     // No operand predicates
     /* 1454459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454463 */     // MIs[0] policy
     /* 1454463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454500 */     // GIR_Coverage, 7285,
     /* 1454500 */     GIR_EraseRootFromParent_Done,
     /* 1454501 */   // Label 20424: @1454501
     /* 1454501 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1454598), // Rule ID 7288 //
     /* 1454506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454556 */     // MIs[1] Operand 1
     /* 1454556 */     // No operand predicates
     /* 1454556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454560 */     // MIs[0] policy
     /* 1454560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454597 */     // GIR_Coverage, 7288,
     /* 1454597 */     GIR_EraseRootFromParent_Done,
     /* 1454598 */   // Label 20425: @1454598
     /* 1454598 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1454695), // Rule ID 7289 //
     /* 1454603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454653 */     // MIs[1] Operand 1
     /* 1454653 */     // No operand predicates
     /* 1454653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454657 */     // MIs[0] policy
     /* 1454657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454694 */     // GIR_Coverage, 7289,
     /* 1454694 */     GIR_EraseRootFromParent_Done,
     /* 1454695 */   // Label 20426: @1454695
     /* 1454695 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1454792), // Rule ID 7292 //
     /* 1454700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1454711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1454714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1454717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454750 */     // MIs[1] Operand 1
     /* 1454750 */     // No operand predicates
     /* 1454750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454754 */     // MIs[0] policy
     /* 1454754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454791 */     // GIR_Coverage, 7292,
     /* 1454791 */     GIR_EraseRootFromParent_Done,
     /* 1454792 */   // Label 20427: @1454792
     /* 1454792 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1454889), // Rule ID 7293 //
     /* 1454797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1454808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1454811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1454814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454847 */     // MIs[1] Operand 1
     /* 1454847 */     // No operand predicates
     /* 1454847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454851 */     // MIs[0] policy
     /* 1454851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454863 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454888 */     // GIR_Coverage, 7293,
     /* 1454888 */     GIR_EraseRootFromParent_Done,
     /* 1454889 */   // Label 20428: @1454889
     /* 1454889 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1454986), // Rule ID 7296 //
     /* 1454894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1454905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1454908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1454911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454944 */     // MIs[1] Operand 1
     /* 1454944 */     // No operand predicates
     /* 1454944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454948 */     // MIs[0] policy
     /* 1454948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454985 */     // GIR_Coverage, 7296,
     /* 1454985 */     GIR_EraseRootFromParent_Done,
     /* 1454986 */   // Label 20429: @1454986
     /* 1454986 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1455083), // Rule ID 7297 //
     /* 1454991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1454994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455041 */     // MIs[1] Operand 1
     /* 1455041 */     // No operand predicates
     /* 1455041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455045 */     // MIs[0] policy
     /* 1455045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455057 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455082 */     // GIR_Coverage, 7297,
     /* 1455082 */     GIR_EraseRootFromParent_Done,
     /* 1455083 */   // Label 20430: @1455083
     /* 1455083 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1455180), // Rule ID 7300 //
     /* 1455088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455138 */     // MIs[1] Operand 1
     /* 1455138 */     // No operand predicates
     /* 1455138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455142 */     // MIs[0] policy
     /* 1455142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455179 */     // GIR_Coverage, 7300,
     /* 1455179 */     GIR_EraseRootFromParent_Done,
     /* 1455180 */   // Label 20431: @1455180
     /* 1455180 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1455277), // Rule ID 7301 //
     /* 1455185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455235 */     // MIs[1] Operand 1
     /* 1455235 */     // No operand predicates
     /* 1455235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455239 */     // MIs[0] policy
     /* 1455239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455276 */     // GIR_Coverage, 7301,
     /* 1455276 */     GIR_EraseRootFromParent_Done,
     /* 1455277 */   // Label 20432: @1455277
     /* 1455277 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1455374), // Rule ID 7304 //
     /* 1455282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455332 */     // MIs[1] Operand 1
     /* 1455332 */     // No operand predicates
     /* 1455332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455336 */     // MIs[0] policy
     /* 1455336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455373 */     // GIR_Coverage, 7304,
     /* 1455373 */     GIR_EraseRootFromParent_Done,
     /* 1455374 */   // Label 20433: @1455374
     /* 1455374 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1455471), // Rule ID 7305 //
     /* 1455379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455429 */     // MIs[1] Operand 1
     /* 1455429 */     // No operand predicates
     /* 1455429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455433 */     // MIs[0] policy
     /* 1455433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455470 */     // GIR_Coverage, 7305,
     /* 1455470 */     GIR_EraseRootFromParent_Done,
     /* 1455471 */   // Label 20434: @1455471
     /* 1455471 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1455568), // Rule ID 7308 //
     /* 1455476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1455487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1455490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1455493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1455499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455526 */     // MIs[1] Operand 1
     /* 1455526 */     // No operand predicates
     /* 1455526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455530 */     // MIs[0] policy
     /* 1455530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1455545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455567 */     // GIR_Coverage, 7308,
     /* 1455567 */     GIR_EraseRootFromParent_Done,
     /* 1455568 */   // Label 20435: @1455568
     /* 1455568 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1455665), // Rule ID 7309 //
     /* 1455573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1455584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1455587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1455590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1455596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455623 */     // MIs[1] Operand 1
     /* 1455623 */     // No operand predicates
     /* 1455623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455627 */     // MIs[0] policy
     /* 1455627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455639 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1455642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455664 */     // GIR_Coverage, 7309,
     /* 1455664 */     GIR_EraseRootFromParent_Done,
     /* 1455665 */   // Label 20436: @1455665
     /* 1455665 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1455762), // Rule ID 7312 //
     /* 1455670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455720 */     // MIs[1] Operand 1
     /* 1455720 */     // No operand predicates
     /* 1455720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455724 */     // MIs[0] policy
     /* 1455724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455761 */     // GIR_Coverage, 7312,
     /* 1455761 */     GIR_EraseRootFromParent_Done,
     /* 1455762 */   // Label 20437: @1455762
     /* 1455762 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1455859), // Rule ID 7313 //
     /* 1455767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455817 */     // MIs[1] Operand 1
     /* 1455817 */     // No operand predicates
     /* 1455817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455821 */     // MIs[0] policy
     /* 1455821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455858 */     // GIR_Coverage, 7313,
     /* 1455858 */     GIR_EraseRootFromParent_Done,
     /* 1455859 */   // Label 20438: @1455859
     /* 1455859 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1455956), // Rule ID 7316 //
     /* 1455864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1455881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455914 */     // MIs[1] Operand 1
     /* 1455914 */     // No operand predicates
     /* 1455914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455918 */     // MIs[0] policy
     /* 1455918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455955 */     // GIR_Coverage, 7316,
     /* 1455955 */     GIR_EraseRootFromParent_Done,
     /* 1455956 */   // Label 20439: @1455956
     /* 1455956 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1456053), // Rule ID 7317 //
     /* 1455961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1455978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456011 */     // MIs[1] Operand 1
     /* 1456011 */     // No operand predicates
     /* 1456011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456015 */     // MIs[0] policy
     /* 1456015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456052 */     // GIR_Coverage, 7317,
     /* 1456052 */     GIR_EraseRootFromParent_Done,
     /* 1456053 */   // Label 20440: @1456053
     /* 1456053 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1456150), // Rule ID 7320 //
     /* 1456058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456108 */     // MIs[1] Operand 1
     /* 1456108 */     // No operand predicates
     /* 1456108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456112 */     // MIs[0] policy
     /* 1456112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456149 */     // GIR_Coverage, 7320,
     /* 1456149 */     GIR_EraseRootFromParent_Done,
     /* 1456150 */   // Label 20441: @1456150
     /* 1456150 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1456247), // Rule ID 7321 //
     /* 1456155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456205 */     // MIs[1] Operand 1
     /* 1456205 */     // No operand predicates
     /* 1456205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456209 */     // MIs[0] policy
     /* 1456209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456246 */     // GIR_Coverage, 7321,
     /* 1456246 */     GIR_EraseRootFromParent_Done,
     /* 1456247 */   // Label 20442: @1456247
     /* 1456247 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1456344), // Rule ID 7324 //
     /* 1456252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456302 */     // MIs[1] Operand 1
     /* 1456302 */     // No operand predicates
     /* 1456302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456306 */     // MIs[0] policy
     /* 1456306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456343 */     // GIR_Coverage, 7324,
     /* 1456343 */     GIR_EraseRootFromParent_Done,
     /* 1456344 */   // Label 20443: @1456344
     /* 1456344 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1456441), // Rule ID 7325 //
     /* 1456349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456399 */     // MIs[1] Operand 1
     /* 1456399 */     // No operand predicates
     /* 1456399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456403 */     // MIs[0] policy
     /* 1456403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456440 */     // GIR_Coverage, 7325,
     /* 1456440 */     GIR_EraseRootFromParent_Done,
     /* 1456441 */   // Label 20444: @1456441
     /* 1456441 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1456538), // Rule ID 7328 //
     /* 1456446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456496 */     // MIs[1] Operand 1
     /* 1456496 */     // No operand predicates
     /* 1456496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456500 */     // MIs[0] policy
     /* 1456500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456537 */     // GIR_Coverage, 7328,
     /* 1456537 */     GIR_EraseRootFromParent_Done,
     /* 1456538 */   // Label 20445: @1456538
     /* 1456538 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1456635), // Rule ID 7329 //
     /* 1456543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456593 */     // MIs[1] Operand 1
     /* 1456593 */     // No operand predicates
     /* 1456593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456597 */     // MIs[0] policy
     /* 1456597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456634 */     // GIR_Coverage, 7329,
     /* 1456634 */     GIR_EraseRootFromParent_Done,
     /* 1456635 */   // Label 20446: @1456635
     /* 1456635 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1456732), // Rule ID 7332 //
     /* 1456640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1456651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1456654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456690 */     // MIs[1] Operand 1
     /* 1456690 */     // No operand predicates
     /* 1456690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456694 */     // MIs[0] policy
     /* 1456694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456731 */     // GIR_Coverage, 7332,
     /* 1456731 */     GIR_EraseRootFromParent_Done,
     /* 1456732 */   // Label 20447: @1456732
     /* 1456732 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1456829), // Rule ID 7333 //
     /* 1456737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1456748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1456751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456787 */     // MIs[1] Operand 1
     /* 1456787 */     // No operand predicates
     /* 1456787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456791 */     // MIs[0] policy
     /* 1456791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456828 */     // GIR_Coverage, 7333,
     /* 1456828 */     GIR_EraseRootFromParent_Done,
     /* 1456829 */   // Label 20448: @1456829
     /* 1456829 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1456926), // Rule ID 7336 //
     /* 1456834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1456837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1456845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1456848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456884 */     // MIs[1] Operand 1
     /* 1456884 */     // No operand predicates
     /* 1456884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456888 */     // MIs[0] policy
     /* 1456888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1456922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456925 */     // GIR_Coverage, 7336,
     /* 1456925 */     GIR_EraseRootFromParent_Done,
     /* 1456926 */   // Label 20449: @1456926
     /* 1456926 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1457023), // Rule ID 7337 //
     /* 1456931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1456934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1456942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1456945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456981 */     // MIs[1] Operand 1
     /* 1456981 */     // No operand predicates
     /* 1456981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456985 */     // MIs[0] policy
     /* 1456985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1457000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457022 */     // GIR_Coverage, 7337,
     /* 1457022 */     GIR_EraseRootFromParent_Done,
     /* 1457023 */   // Label 20450: @1457023
     /* 1457023 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1457120), // Rule ID 7340 //
     /* 1457028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457078 */     // MIs[1] Operand 1
     /* 1457078 */     // No operand predicates
     /* 1457078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457082 */     // MIs[0] policy
     /* 1457082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1457097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457119 */     // GIR_Coverage, 7340,
     /* 1457119 */     GIR_EraseRootFromParent_Done,
     /* 1457120 */   // Label 20451: @1457120
     /* 1457120 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1457217), // Rule ID 7341 //
     /* 1457125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457175 */     // MIs[1] Operand 1
     /* 1457175 */     // No operand predicates
     /* 1457175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457179 */     // MIs[0] policy
     /* 1457179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1457194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457216 */     // GIR_Coverage, 7341,
     /* 1457216 */     GIR_EraseRootFromParent_Done,
     /* 1457217 */   // Label 20452: @1457217
     /* 1457217 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1457314), // Rule ID 7344 //
     /* 1457222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457272 */     // MIs[1] Operand 1
     /* 1457272 */     // No operand predicates
     /* 1457272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457276 */     // MIs[0] policy
     /* 1457276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457313 */     // GIR_Coverage, 7344,
     /* 1457313 */     GIR_EraseRootFromParent_Done,
     /* 1457314 */   // Label 20453: @1457314
     /* 1457314 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1457411), // Rule ID 7345 //
     /* 1457319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457369 */     // MIs[1] Operand 1
     /* 1457369 */     // No operand predicates
     /* 1457369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457373 */     // MIs[0] policy
     /* 1457373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457385 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457410 */     // GIR_Coverage, 7345,
     /* 1457410 */     GIR_EraseRootFromParent_Done,
     /* 1457411 */   // Label 20454: @1457411
     /* 1457411 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1457508), // Rule ID 7556 //
     /* 1457416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457466 */     // MIs[1] Operand 1
     /* 1457466 */     // No operand predicates
     /* 1457466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457470 */     // MIs[0] policy
     /* 1457470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1457485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457507 */     // GIR_Coverage, 7556,
     /* 1457507 */     GIR_EraseRootFromParent_Done,
     /* 1457508 */   // Label 20455: @1457508
     /* 1457508 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1457605), // Rule ID 7557 //
     /* 1457513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457563 */     // MIs[1] Operand 1
     /* 1457563 */     // No operand predicates
     /* 1457563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457567 */     // MIs[0] policy
     /* 1457567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1457582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457604 */     // GIR_Coverage, 7557,
     /* 1457604 */     GIR_EraseRootFromParent_Done,
     /* 1457605 */   // Label 20456: @1457605
     /* 1457605 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1457702), // Rule ID 7560 //
     /* 1457610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457660 */     // MIs[1] Operand 1
     /* 1457660 */     // No operand predicates
     /* 1457660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457664 */     // MIs[0] policy
     /* 1457664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1457679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457701 */     // GIR_Coverage, 7560,
     /* 1457701 */     GIR_EraseRootFromParent_Done,
     /* 1457702 */   // Label 20457: @1457702
     /* 1457702 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1457799), // Rule ID 7561 //
     /* 1457707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457757 */     // MIs[1] Operand 1
     /* 1457757 */     // No operand predicates
     /* 1457757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457761 */     // MIs[0] policy
     /* 1457761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1457776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457798 */     // GIR_Coverage, 7561,
     /* 1457798 */     GIR_EraseRootFromParent_Done,
     /* 1457799 */   // Label 20458: @1457799
     /* 1457799 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1457896), // Rule ID 7564 //
     /* 1457804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457854 */     // MIs[1] Operand 1
     /* 1457854 */     // No operand predicates
     /* 1457854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457858 */     // MIs[0] policy
     /* 1457858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1457873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457895 */     // GIR_Coverage, 7564,
     /* 1457895 */     GIR_EraseRootFromParent_Done,
     /* 1457896 */   // Label 20459: @1457896
     /* 1457896 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1457993), // Rule ID 7565 //
     /* 1457901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457951 */     // MIs[1] Operand 1
     /* 1457951 */     // No operand predicates
     /* 1457951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457955 */     // MIs[0] policy
     /* 1457955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1457970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457992 */     // GIR_Coverage, 7565,
     /* 1457992 */     GIR_EraseRootFromParent_Done,
     /* 1457993 */   // Label 20460: @1457993
     /* 1457993 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1458090), // Rule ID 7568 //
     /* 1457998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458048 */     // MIs[1] Operand 1
     /* 1458048 */     // No operand predicates
     /* 1458048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458052 */     // MIs[0] policy
     /* 1458052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1458067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458089 */     // GIR_Coverage, 7568,
     /* 1458089 */     GIR_EraseRootFromParent_Done,
     /* 1458090 */   // Label 20461: @1458090
     /* 1458090 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1458187), // Rule ID 7569 //
     /* 1458095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458145 */     // MIs[1] Operand 1
     /* 1458145 */     // No operand predicates
     /* 1458145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458149 */     // MIs[0] policy
     /* 1458149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1458164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458186 */     // GIR_Coverage, 7569,
     /* 1458186 */     GIR_EraseRootFromParent_Done,
     /* 1458187 */   // Label 20462: @1458187
     /* 1458187 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1458284), // Rule ID 7572 //
     /* 1458192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458242 */     // MIs[1] Operand 1
     /* 1458242 */     // No operand predicates
     /* 1458242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458246 */     // MIs[0] policy
     /* 1458246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1458261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458283 */     // GIR_Coverage, 7572,
     /* 1458283 */     GIR_EraseRootFromParent_Done,
     /* 1458284 */   // Label 20463: @1458284
     /* 1458284 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1458381), // Rule ID 7573 //
     /* 1458289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458339 */     // MIs[1] Operand 1
     /* 1458339 */     // No operand predicates
     /* 1458339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458343 */     // MIs[0] policy
     /* 1458343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458355 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1458358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458380 */     // GIR_Coverage, 7573,
     /* 1458380 */     GIR_EraseRootFromParent_Done,
     /* 1458381 */   // Label 20464: @1458381
     /* 1458381 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1458478), // Rule ID 7576 //
     /* 1458386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458436 */     // MIs[1] Operand 1
     /* 1458436 */     // No operand predicates
     /* 1458436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458440 */     // MIs[0] policy
     /* 1458440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1458455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458477 */     // GIR_Coverage, 7576,
     /* 1458477 */     GIR_EraseRootFromParent_Done,
     /* 1458478 */   // Label 20465: @1458478
     /* 1458478 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1458575), // Rule ID 7577 //
     /* 1458483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458533 */     // MIs[1] Operand 1
     /* 1458533 */     // No operand predicates
     /* 1458533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458537 */     // MIs[0] policy
     /* 1458537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1458552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458574 */     // GIR_Coverage, 7577,
     /* 1458574 */     GIR_EraseRootFromParent_Done,
     /* 1458575 */   // Label 20466: @1458575
     /* 1458575 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1458672), // Rule ID 7580 //
     /* 1458580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1458591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1458594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458630 */     // MIs[1] Operand 1
     /* 1458630 */     // No operand predicates
     /* 1458630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458634 */     // MIs[0] policy
     /* 1458634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1458649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458671 */     // GIR_Coverage, 7580,
     /* 1458671 */     GIR_EraseRootFromParent_Done,
     /* 1458672 */   // Label 20467: @1458672
     /* 1458672 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1458769), // Rule ID 7581 //
     /* 1458677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1458688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1458691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458727 */     // MIs[1] Operand 1
     /* 1458727 */     // No operand predicates
     /* 1458727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458731 */     // MIs[0] policy
     /* 1458731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1458746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458768 */     // GIR_Coverage, 7581,
     /* 1458768 */     GIR_EraseRootFromParent_Done,
     /* 1458769 */   // Label 20468: @1458769
     /* 1458769 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1458866), // Rule ID 7584 //
     /* 1458774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1458785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1458788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458824 */     // MIs[1] Operand 1
     /* 1458824 */     // No operand predicates
     /* 1458824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458828 */     // MIs[0] policy
     /* 1458828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1458843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458865 */     // GIR_Coverage, 7584,
     /* 1458865 */     GIR_EraseRootFromParent_Done,
     /* 1458866 */   // Label 20469: @1458866
     /* 1458866 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1458963), // Rule ID 7585 //
     /* 1458871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1458882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1458885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458921 */     // MIs[1] Operand 1
     /* 1458921 */     // No operand predicates
     /* 1458921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458925 */     // MIs[0] policy
     /* 1458925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1458940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458962 */     // GIR_Coverage, 7585,
     /* 1458962 */     GIR_EraseRootFromParent_Done,
     /* 1458963 */   // Label 20470: @1458963
     /* 1458963 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1459060), // Rule ID 7588 //
     /* 1458968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459018 */     // MIs[1] Operand 1
     /* 1459018 */     // No operand predicates
     /* 1459018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459022 */     // MIs[0] policy
     /* 1459022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459059 */     // GIR_Coverage, 7588,
     /* 1459059 */     GIR_EraseRootFromParent_Done,
     /* 1459060 */   // Label 20471: @1459060
     /* 1459060 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1459157), // Rule ID 7589 //
     /* 1459065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459115 */     // MIs[1] Operand 1
     /* 1459115 */     // No operand predicates
     /* 1459115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459119 */     // MIs[0] policy
     /* 1459119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459156 */     // GIR_Coverage, 7589,
     /* 1459156 */     GIR_EraseRootFromParent_Done,
     /* 1459157 */   // Label 20472: @1459157
     /* 1459157 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1459254), // Rule ID 7592 //
     /* 1459162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459212 */     // MIs[1] Operand 1
     /* 1459212 */     // No operand predicates
     /* 1459212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459216 */     // MIs[0] policy
     /* 1459216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1459231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459253 */     // GIR_Coverage, 7592,
     /* 1459253 */     GIR_EraseRootFromParent_Done,
     /* 1459254 */   // Label 20473: @1459254
     /* 1459254 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1459351), // Rule ID 7593 //
     /* 1459259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459309 */     // MIs[1] Operand 1
     /* 1459309 */     // No operand predicates
     /* 1459309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459313 */     // MIs[0] policy
     /* 1459313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1459328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459350 */     // GIR_Coverage, 7593,
     /* 1459350 */     GIR_EraseRootFromParent_Done,
     /* 1459351 */   // Label 20474: @1459351
     /* 1459351 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1459448), // Rule ID 7596 //
     /* 1459356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459406 */     // MIs[1] Operand 1
     /* 1459406 */     // No operand predicates
     /* 1459406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459410 */     // MIs[0] policy
     /* 1459410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1459425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459447 */     // GIR_Coverage, 7596,
     /* 1459447 */     GIR_EraseRootFromParent_Done,
     /* 1459448 */   // Label 20475: @1459448
     /* 1459448 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1459545), // Rule ID 7597 //
     /* 1459453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459503 */     // MIs[1] Operand 1
     /* 1459503 */     // No operand predicates
     /* 1459503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459507 */     // MIs[0] policy
     /* 1459507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1459522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459544 */     // GIR_Coverage, 7597,
     /* 1459544 */     GIR_EraseRootFromParent_Done,
     /* 1459545 */   // Label 20476: @1459545
     /* 1459545 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1459642), // Rule ID 7600 //
     /* 1459550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1459553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1459561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1459564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1459567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459600 */     // MIs[1] Operand 1
     /* 1459600 */     // No operand predicates
     /* 1459600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459604 */     // MIs[0] policy
     /* 1459604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1459619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459641 */     // GIR_Coverage, 7600,
     /* 1459641 */     GIR_EraseRootFromParent_Done,
     /* 1459642 */   // Label 20477: @1459642
     /* 1459642 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1459739), // Rule ID 7601 //
     /* 1459647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1459650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1459658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1459661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1459664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459697 */     // MIs[1] Operand 1
     /* 1459697 */     // No operand predicates
     /* 1459697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459701 */     // MIs[0] policy
     /* 1459701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1459716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459738 */     // GIR_Coverage, 7601,
     /* 1459738 */     GIR_EraseRootFromParent_Done,
     /* 1459739 */   // Label 20478: @1459739
     /* 1459739 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1459836), // Rule ID 7604 //
     /* 1459744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1459747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1459755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1459758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459794 */     // MIs[1] Operand 1
     /* 1459794 */     // No operand predicates
     /* 1459794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459798 */     // MIs[0] policy
     /* 1459798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459835 */     // GIR_Coverage, 7604,
     /* 1459835 */     GIR_EraseRootFromParent_Done,
     /* 1459836 */   // Label 20479: @1459836
     /* 1459836 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1459933), // Rule ID 7605 //
     /* 1459841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1459844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1459852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1459855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459891 */     // MIs[1] Operand 1
     /* 1459891 */     // No operand predicates
     /* 1459891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459895 */     // MIs[0] policy
     /* 1459895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459932 */     // GIR_Coverage, 7605,
     /* 1459932 */     GIR_EraseRootFromParent_Done,
     /* 1459933 */   // Label 20480: @1459933
     /* 1459933 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1460030), // Rule ID 7608 //
     /* 1459938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1459941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1459949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1459952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459988 */     // MIs[1] Operand 1
     /* 1459988 */     // No operand predicates
     /* 1459988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459992 */     // MIs[0] policy
     /* 1459992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1460007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460029 */     // GIR_Coverage, 7608,
     /* 1460029 */     GIR_EraseRootFromParent_Done,
     /* 1460030 */   // Label 20481: @1460030
     /* 1460030 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1460127), // Rule ID 7609 //
     /* 1460035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460085 */     // MIs[1] Operand 1
     /* 1460085 */     // No operand predicates
     /* 1460085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460089 */     // MIs[0] policy
     /* 1460089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1460104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460126 */     // GIR_Coverage, 7609,
     /* 1460126 */     GIR_EraseRootFromParent_Done,
     /* 1460127 */   // Label 20482: @1460127
     /* 1460127 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1460224), // Rule ID 7612 //
     /* 1460132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460182 */     // MIs[1] Operand 1
     /* 1460182 */     // No operand predicates
     /* 1460182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460186 */     // MIs[0] policy
     /* 1460186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1460201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460223 */     // GIR_Coverage, 7612,
     /* 1460223 */     GIR_EraseRootFromParent_Done,
     /* 1460224 */   // Label 20483: @1460224
     /* 1460224 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1460321), // Rule ID 7613 //
     /* 1460229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460279 */     // MIs[1] Operand 1
     /* 1460279 */     // No operand predicates
     /* 1460279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460283 */     // MIs[0] policy
     /* 1460283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1460298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460320 */     // GIR_Coverage, 7613,
     /* 1460320 */     GIR_EraseRootFromParent_Done,
     /* 1460321 */   // Label 20484: @1460321
     /* 1460321 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1460418), // Rule ID 7736 //
     /* 1460326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460376 */     // MIs[1] Operand 1
     /* 1460376 */     // No operand predicates
     /* 1460376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460380 */     // MIs[0] policy
     /* 1460380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1460395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460417 */     // GIR_Coverage, 7736,
     /* 1460417 */     GIR_EraseRootFromParent_Done,
     /* 1460418 */   // Label 20485: @1460418
     /* 1460418 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1460515), // Rule ID 7737 //
     /* 1460423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460473 */     // MIs[1] Operand 1
     /* 1460473 */     // No operand predicates
     /* 1460473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460477 */     // MIs[0] policy
     /* 1460477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1460492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460514 */     // GIR_Coverage, 7737,
     /* 1460514 */     GIR_EraseRootFromParent_Done,
     /* 1460515 */   // Label 20486: @1460515
     /* 1460515 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1460612), // Rule ID 7740 //
     /* 1460520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1460531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1460534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460570 */     // MIs[1] Operand 1
     /* 1460570 */     // No operand predicates
     /* 1460570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460574 */     // MIs[0] policy
     /* 1460574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1460589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460611 */     // GIR_Coverage, 7740,
     /* 1460611 */     GIR_EraseRootFromParent_Done,
     /* 1460612 */   // Label 20487: @1460612
     /* 1460612 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1460709), // Rule ID 7741 //
     /* 1460617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1460628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1460631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460667 */     // MIs[1] Operand 1
     /* 1460667 */     // No operand predicates
     /* 1460667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460671 */     // MIs[0] policy
     /* 1460671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1460686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460708 */     // GIR_Coverage, 7741,
     /* 1460708 */     GIR_EraseRootFromParent_Done,
     /* 1460709 */   // Label 20488: @1460709
     /* 1460709 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1460806), // Rule ID 7744 //
     /* 1460714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1460725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1460728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460764 */     // MIs[1] Operand 1
     /* 1460764 */     // No operand predicates
     /* 1460764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460768 */     // MIs[0] policy
     /* 1460768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1460783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460805 */     // GIR_Coverage, 7744,
     /* 1460805 */     GIR_EraseRootFromParent_Done,
     /* 1460806 */   // Label 20489: @1460806
     /* 1460806 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1460903), // Rule ID 7745 //
     /* 1460811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1460822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1460825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460861 */     // MIs[1] Operand 1
     /* 1460861 */     // No operand predicates
     /* 1460861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460865 */     // MIs[0] policy
     /* 1460865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1460880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460902 */     // GIR_Coverage, 7745,
     /* 1460902 */     GIR_EraseRootFromParent_Done,
     /* 1460903 */   // Label 20490: @1460903
     /* 1460903 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1461000), // Rule ID 7748 //
     /* 1460908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1460925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460958 */     // MIs[1] Operand 1
     /* 1460958 */     // No operand predicates
     /* 1460958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460962 */     // MIs[0] policy
     /* 1460962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1460977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460999 */     // GIR_Coverage, 7748,
     /* 1460999 */     GIR_EraseRootFromParent_Done,
     /* 1461000 */   // Label 20491: @1461000
     /* 1461000 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1461097), // Rule ID 7749 //
     /* 1461005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1461016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1461019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461055 */     // MIs[1] Operand 1
     /* 1461055 */     // No operand predicates
     /* 1461055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461059 */     // MIs[0] policy
     /* 1461059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1461074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461096 */     // GIR_Coverage, 7749,
     /* 1461096 */     GIR_EraseRootFromParent_Done,
     /* 1461097 */   // Label 20492: @1461097
     /* 1461097 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1461194), // Rule ID 7752 //
     /* 1461102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1461119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461152 */     // MIs[1] Operand 1
     /* 1461152 */     // No operand predicates
     /* 1461152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461156 */     // MIs[0] policy
     /* 1461156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461168 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1461171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461193 */     // GIR_Coverage, 7752,
     /* 1461193 */     GIR_EraseRootFromParent_Done,
     /* 1461194 */   // Label 20493: @1461194
     /* 1461194 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1461291), // Rule ID 7753 //
     /* 1461199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1461216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461249 */     // MIs[1] Operand 1
     /* 1461249 */     // No operand predicates
     /* 1461249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461253 */     // MIs[0] policy
     /* 1461253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461265 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1461268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461290 */     // GIR_Coverage, 7753,
     /* 1461290 */     GIR_EraseRootFromParent_Done,
     /* 1461291 */   // Label 20494: @1461291
     /* 1461291 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1461388), // Rule ID 7756 //
     /* 1461296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461346 */     // MIs[1] Operand 1
     /* 1461346 */     // No operand predicates
     /* 1461346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461350 */     // MIs[0] policy
     /* 1461350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1461365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461387 */     // GIR_Coverage, 7756,
     /* 1461387 */     GIR_EraseRootFromParent_Done,
     /* 1461388 */   // Label 20495: @1461388
     /* 1461388 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1461485), // Rule ID 7757 //
     /* 1461393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461443 */     // MIs[1] Operand 1
     /* 1461443 */     // No operand predicates
     /* 1461443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461447 */     // MIs[0] policy
     /* 1461447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461459 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1461462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461484 */     // GIR_Coverage, 7757,
     /* 1461484 */     GIR_EraseRootFromParent_Done,
     /* 1461485 */   // Label 20496: @1461485
     /* 1461485 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1461582), // Rule ID 7760 //
     /* 1461490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1461507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461540 */     // MIs[1] Operand 1
     /* 1461540 */     // No operand predicates
     /* 1461540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461544 */     // MIs[0] policy
     /* 1461544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1461559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461581 */     // GIR_Coverage, 7760,
     /* 1461581 */     GIR_EraseRootFromParent_Done,
     /* 1461582 */   // Label 20497: @1461582
     /* 1461582 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1461679), // Rule ID 7761 //
     /* 1461587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1461604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461637 */     // MIs[1] Operand 1
     /* 1461637 */     // No operand predicates
     /* 1461637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461641 */     // MIs[0] policy
     /* 1461641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1461656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461678 */     // GIR_Coverage, 7761,
     /* 1461678 */     GIR_EraseRootFromParent_Done,
     /* 1461679 */   // Label 20498: @1461679
     /* 1461679 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1461776), // Rule ID 7764 //
     /* 1461684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1461701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461734 */     // MIs[1] Operand 1
     /* 1461734 */     // No operand predicates
     /* 1461734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461738 */     // MIs[0] policy
     /* 1461738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1461753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461775 */     // GIR_Coverage, 7764,
     /* 1461775 */     GIR_EraseRootFromParent_Done,
     /* 1461776 */   // Label 20499: @1461776
     /* 1461776 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1461873), // Rule ID 7765 //
     /* 1461781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1461798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461831 */     // MIs[1] Operand 1
     /* 1461831 */     // No operand predicates
     /* 1461831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461835 */     // MIs[0] policy
     /* 1461835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1461850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461872 */     // GIR_Coverage, 7765,
     /* 1461872 */     GIR_EraseRootFromParent_Done,
     /* 1461873 */   // Label 20500: @1461873
     /* 1461873 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1461970), // Rule ID 7768 //
     /* 1461878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1461889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1461892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1461895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461928 */     // MIs[1] Operand 1
     /* 1461928 */     // No operand predicates
     /* 1461928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461932 */     // MIs[0] policy
     /* 1461932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1461947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461969 */     // GIR_Coverage, 7768,
     /* 1461969 */     GIR_EraseRootFromParent_Done,
     /* 1461970 */   // Label 20501: @1461970
     /* 1461970 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1462067), // Rule ID 7769 //
     /* 1461975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1461986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1461989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1461992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462025 */     // MIs[1] Operand 1
     /* 1462025 */     // No operand predicates
     /* 1462025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462029 */     // MIs[0] policy
     /* 1462029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1462044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462066 */     // GIR_Coverage, 7769,
     /* 1462066 */     GIR_EraseRootFromParent_Done,
     /* 1462067 */   // Label 20502: @1462067
     /* 1462067 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1462164), // Rule ID 7772 //
     /* 1462072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462122 */     // MIs[1] Operand 1
     /* 1462122 */     // No operand predicates
     /* 1462122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462126 */     // MIs[0] policy
     /* 1462126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1462141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462163 */     // GIR_Coverage, 7772,
     /* 1462163 */     GIR_EraseRootFromParent_Done,
     /* 1462164 */   // Label 20503: @1462164
     /* 1462164 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1462261), // Rule ID 7773 //
     /* 1462169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462219 */     // MIs[1] Operand 1
     /* 1462219 */     // No operand predicates
     /* 1462219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462223 */     // MIs[0] policy
     /* 1462223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1462238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462260 */     // GIR_Coverage, 7773,
     /* 1462260 */     GIR_EraseRootFromParent_Done,
     /* 1462261 */   // Label 20504: @1462261
     /* 1462261 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1462358), // Rule ID 7776 //
     /* 1462266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1462283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462316 */     // MIs[1] Operand 1
     /* 1462316 */     // No operand predicates
     /* 1462316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462320 */     // MIs[0] policy
     /* 1462320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1462335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462357 */     // GIR_Coverage, 7776,
     /* 1462357 */     GIR_EraseRootFromParent_Done,
     /* 1462358 */   // Label 20505: @1462358
     /* 1462358 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1462455), // Rule ID 7777 //
     /* 1462363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1462380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462413 */     // MIs[1] Operand 1
     /* 1462413 */     // No operand predicates
     /* 1462413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462417 */     // MIs[0] policy
     /* 1462417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1462432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462454 */     // GIR_Coverage, 7777,
     /* 1462454 */     GIR_EraseRootFromParent_Done,
     /* 1462455 */   // Label 20506: @1462455
     /* 1462455 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1462552), // Rule ID 7780 //
     /* 1462460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1462463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462510 */     // MIs[1] Operand 1
     /* 1462510 */     // No operand predicates
     /* 1462510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462514 */     // MIs[0] policy
     /* 1462514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1462529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462551 */     // GIR_Coverage, 7780,
     /* 1462551 */     GIR_EraseRootFromParent_Done,
     /* 1462552 */   // Label 20507: @1462552
     /* 1462552 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1462649), // Rule ID 7781 //
     /* 1462557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1462560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462607 */     // MIs[1] Operand 1
     /* 1462607 */     // No operand predicates
     /* 1462607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462611 */     // MIs[0] policy
     /* 1462611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1462626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462648 */     // GIR_Coverage, 7781,
     /* 1462648 */     GIR_EraseRootFromParent_Done,
     /* 1462649 */   // Label 20508: @1462649
     /* 1462649 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1462746), // Rule ID 7784 //
     /* 1462654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1462657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1462671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462704 */     // MIs[1] Operand 1
     /* 1462704 */     // No operand predicates
     /* 1462704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462708 */     // MIs[0] policy
     /* 1462708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1462723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462745 */     // GIR_Coverage, 7784,
     /* 1462745 */     GIR_EraseRootFromParent_Done,
     /* 1462746 */   // Label 20509: @1462746
     /* 1462746 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1462843), // Rule ID 7785 //
     /* 1462751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1462754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1462768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462801 */     // MIs[1] Operand 1
     /* 1462801 */     // No operand predicates
     /* 1462801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462805 */     // MIs[0] policy
     /* 1462805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1462820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462842 */     // GIR_Coverage, 7785,
     /* 1462842 */     GIR_EraseRootFromParent_Done,
     /* 1462843 */   // Label 20510: @1462843
     /* 1462843 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1462940), // Rule ID 7788 //
     /* 1462848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1462851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1462865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462898 */     // MIs[1] Operand 1
     /* 1462898 */     // No operand predicates
     /* 1462898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462902 */     // MIs[0] policy
     /* 1462902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1462917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462939 */     // GIR_Coverage, 7788,
     /* 1462939 */     GIR_EraseRootFromParent_Done,
     /* 1462940 */   // Label 20511: @1462940
     /* 1462940 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1463037), // Rule ID 7789 //
     /* 1462945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1462948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1462962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462995 */     // MIs[1] Operand 1
     /* 1462995 */     // No operand predicates
     /* 1462995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462999 */     // MIs[0] policy
     /* 1462999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1463014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463036 */     // GIR_Coverage, 7789,
     /* 1463036 */     GIR_EraseRootFromParent_Done,
     /* 1463037 */   // Label 20512: @1463037
     /* 1463037 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1463134), // Rule ID 7792 //
     /* 1463042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1463045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463092 */     // MIs[1] Operand 1
     /* 1463092 */     // No operand predicates
     /* 1463092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463096 */     // MIs[0] policy
     /* 1463096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1463111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463133 */     // GIR_Coverage, 7792,
     /* 1463133 */     GIR_EraseRootFromParent_Done,
     /* 1463134 */   // Label 20513: @1463134
     /* 1463134 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1463231), // Rule ID 7793 //
     /* 1463139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1463142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463189 */     // MIs[1] Operand 1
     /* 1463189 */     // No operand predicates
     /* 1463189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463193 */     // MIs[0] policy
     /* 1463193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1463208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463230 */     // GIR_Coverage, 7793,
     /* 1463230 */     GIR_EraseRootFromParent_Done,
     /* 1463231 */   // Label 20514: @1463231
     /* 1463231 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1463331), // Rule ID 14222 //
     /* 1463236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463286 */     // MIs[1] Operand 1
     /* 1463286 */     // No operand predicates
     /* 1463286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463290 */     // MIs[0] policy
     /* 1463290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1463305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463330 */     // GIR_Coverage, 14222,
     /* 1463330 */     GIR_EraseRootFromParent_Done,
     /* 1463331 */   // Label 20515: @1463331
     /* 1463331 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1463431), // Rule ID 14223 //
     /* 1463336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463386 */     // MIs[1] Operand 1
     /* 1463386 */     // No operand predicates
     /* 1463386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463390 */     // MIs[0] policy
     /* 1463390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1463405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463430 */     // GIR_Coverage, 14223,
     /* 1463430 */     GIR_EraseRootFromParent_Done,
     /* 1463431 */   // Label 20516: @1463431
     /* 1463431 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1463531), // Rule ID 14226 //
     /* 1463436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1463447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1463450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1463453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463486 */     // MIs[1] Operand 1
     /* 1463486 */     // No operand predicates
     /* 1463486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463490 */     // MIs[0] policy
     /* 1463490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463502 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1463505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463530 */     // GIR_Coverage, 14226,
     /* 1463530 */     GIR_EraseRootFromParent_Done,
     /* 1463531 */   // Label 20517: @1463531
     /* 1463531 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1463631), // Rule ID 14227 //
     /* 1463536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1463547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1463550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1463553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463586 */     // MIs[1] Operand 1
     /* 1463586 */     // No operand predicates
     /* 1463586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463590 */     // MIs[0] policy
     /* 1463590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1463605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463630 */     // GIR_Coverage, 14227,
     /* 1463630 */     GIR_EraseRootFromParent_Done,
     /* 1463631 */   // Label 20518: @1463631
     /* 1463631 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1463731), // Rule ID 14230 //
     /* 1463636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1463647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1463650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1463653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463686 */     // MIs[1] Operand 1
     /* 1463686 */     // No operand predicates
     /* 1463686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463690 */     // MIs[0] policy
     /* 1463690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1463705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463730 */     // GIR_Coverage, 14230,
     /* 1463730 */     GIR_EraseRootFromParent_Done,
     /* 1463731 */   // Label 20519: @1463731
     /* 1463731 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1463831), // Rule ID 14231 //
     /* 1463736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1463747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1463750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1463753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463786 */     // MIs[1] Operand 1
     /* 1463786 */     // No operand predicates
     /* 1463786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463790 */     // MIs[0] policy
     /* 1463790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1463805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463830 */     // GIR_Coverage, 14231,
     /* 1463830 */     GIR_EraseRootFromParent_Done,
     /* 1463831 */   // Label 20520: @1463831
     /* 1463831 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1463931), // Rule ID 14234 //
     /* 1463836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1463847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1463850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1463853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463886 */     // MIs[1] Operand 1
     /* 1463886 */     // No operand predicates
     /* 1463886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463890 */     // MIs[0] policy
     /* 1463890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1463905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463930 */     // GIR_Coverage, 14234,
     /* 1463930 */     GIR_EraseRootFromParent_Done,
     /* 1463931 */   // Label 20521: @1463931
     /* 1463931 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1464031), // Rule ID 14235 //
     /* 1463936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1463947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1463950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1463953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463986 */     // MIs[1] Operand 1
     /* 1463986 */     // No operand predicates
     /* 1463986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463990 */     // MIs[0] policy
     /* 1463990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1464005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464030 */     // GIR_Coverage, 14235,
     /* 1464030 */     GIR_EraseRootFromParent_Done,
     /* 1464031 */   // Label 20522: @1464031
     /* 1464031 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1464131), // Rule ID 14238 //
     /* 1464036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464086 */     // MIs[1] Operand 1
     /* 1464086 */     // No operand predicates
     /* 1464086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464090 */     // MIs[0] policy
     /* 1464090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464130 */     // GIR_Coverage, 14238,
     /* 1464130 */     GIR_EraseRootFromParent_Done,
     /* 1464131 */   // Label 20523: @1464131
     /* 1464131 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1464231), // Rule ID 14239 //
     /* 1464136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464186 */     // MIs[1] Operand 1
     /* 1464186 */     // No operand predicates
     /* 1464186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464190 */     // MIs[0] policy
     /* 1464190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464230 */     // GIR_Coverage, 14239,
     /* 1464230 */     GIR_EraseRootFromParent_Done,
     /* 1464231 */   // Label 20524: @1464231
     /* 1464231 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1464331), // Rule ID 14242 //
     /* 1464236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464286 */     // MIs[1] Operand 1
     /* 1464286 */     // No operand predicates
     /* 1464286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464290 */     // MIs[0] policy
     /* 1464290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464330 */     // GIR_Coverage, 14242,
     /* 1464330 */     GIR_EraseRootFromParent_Done,
     /* 1464331 */   // Label 20525: @1464331
     /* 1464331 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1464431), // Rule ID 14243 //
     /* 1464336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464386 */     // MIs[1] Operand 1
     /* 1464386 */     // No operand predicates
     /* 1464386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464390 */     // MIs[0] policy
     /* 1464390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464430 */     // GIR_Coverage, 14243,
     /* 1464430 */     GIR_EraseRootFromParent_Done,
     /* 1464431 */   // Label 20526: @1464431
     /* 1464431 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1464531), // Rule ID 14246 //
     /* 1464436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1464447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1464450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1464453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464486 */     // MIs[1] Operand 1
     /* 1464486 */     // No operand predicates
     /* 1464486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464490 */     // MIs[0] policy
     /* 1464490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464530 */     // GIR_Coverage, 14246,
     /* 1464530 */     GIR_EraseRootFromParent_Done,
     /* 1464531 */   // Label 20527: @1464531
     /* 1464531 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1464631), // Rule ID 14247 //
     /* 1464536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1464547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1464550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1464553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464586 */     // MIs[1] Operand 1
     /* 1464586 */     // No operand predicates
     /* 1464586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464590 */     // MIs[0] policy
     /* 1464590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464630 */     // GIR_Coverage, 14247,
     /* 1464630 */     GIR_EraseRootFromParent_Done,
     /* 1464631 */   // Label 20528: @1464631
     /* 1464631 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1464731), // Rule ID 14250 //
     /* 1464636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1464647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1464650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1464653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464686 */     // MIs[1] Operand 1
     /* 1464686 */     // No operand predicates
     /* 1464686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464690 */     // MIs[0] policy
     /* 1464690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464730 */     // GIR_Coverage, 14250,
     /* 1464730 */     GIR_EraseRootFromParent_Done,
     /* 1464731 */   // Label 20529: @1464731
     /* 1464731 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1464831), // Rule ID 14251 //
     /* 1464736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1464747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1464750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1464753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464786 */     // MIs[1] Operand 1
     /* 1464786 */     // No operand predicates
     /* 1464786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464790 */     // MIs[0] policy
     /* 1464790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464830 */     // GIR_Coverage, 14251,
     /* 1464830 */     GIR_EraseRootFromParent_Done,
     /* 1464831 */   // Label 20530: @1464831
     /* 1464831 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1464931), // Rule ID 14254 //
     /* 1464836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464886 */     // MIs[1] Operand 1
     /* 1464886 */     // No operand predicates
     /* 1464886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464890 */     // MIs[0] policy
     /* 1464890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464930 */     // GIR_Coverage, 14254,
     /* 1464930 */     GIR_EraseRootFromParent_Done,
     /* 1464931 */   // Label 20531: @1464931
     /* 1464931 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1465031), // Rule ID 14255 //
     /* 1464936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464986 */     // MIs[1] Operand 1
     /* 1464986 */     // No operand predicates
     /* 1464986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464990 */     // MIs[0] policy
     /* 1464990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465030 */     // GIR_Coverage, 14255,
     /* 1465030 */     GIR_EraseRootFromParent_Done,
     /* 1465031 */   // Label 20532: @1465031
     /* 1465031 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1465131), // Rule ID 14258 //
     /* 1465036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465086 */     // MIs[1] Operand 1
     /* 1465086 */     // No operand predicates
     /* 1465086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465090 */     // MIs[0] policy
     /* 1465090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465130 */     // GIR_Coverage, 14258,
     /* 1465130 */     GIR_EraseRootFromParent_Done,
     /* 1465131 */   // Label 20533: @1465131
     /* 1465131 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1465231), // Rule ID 14259 //
     /* 1465136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465186 */     // MIs[1] Operand 1
     /* 1465186 */     // No operand predicates
     /* 1465186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465190 */     // MIs[0] policy
     /* 1465190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465230 */     // GIR_Coverage, 14259,
     /* 1465230 */     GIR_EraseRootFromParent_Done,
     /* 1465231 */   // Label 20534: @1465231
     /* 1465231 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1465331), // Rule ID 14262 //
     /* 1465236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465286 */     // MIs[1] Operand 1
     /* 1465286 */     // No operand predicates
     /* 1465286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465290 */     // MIs[0] policy
     /* 1465290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465330 */     // GIR_Coverage, 14262,
     /* 1465330 */     GIR_EraseRootFromParent_Done,
     /* 1465331 */   // Label 20535: @1465331
     /* 1465331 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1465431), // Rule ID 14263 //
     /* 1465336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465386 */     // MIs[1] Operand 1
     /* 1465386 */     // No operand predicates
     /* 1465386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465390 */     // MIs[0] policy
     /* 1465390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465430 */     // GIR_Coverage, 14263,
     /* 1465430 */     GIR_EraseRootFromParent_Done,
     /* 1465431 */   // Label 20536: @1465431
     /* 1465431 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1465531), // Rule ID 14266 //
     /* 1465436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1465453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465486 */     // MIs[1] Operand 1
     /* 1465486 */     // No operand predicates
     /* 1465486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465490 */     // MIs[0] policy
     /* 1465490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1465505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465530 */     // GIR_Coverage, 14266,
     /* 1465530 */     GIR_EraseRootFromParent_Done,
     /* 1465531 */   // Label 20537: @1465531
     /* 1465531 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1465631), // Rule ID 14267 //
     /* 1465536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1465553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465586 */     // MIs[1] Operand 1
     /* 1465586 */     // No operand predicates
     /* 1465586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465590 */     // MIs[0] policy
     /* 1465590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465602 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1465605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465630 */     // GIR_Coverage, 14267,
     /* 1465630 */     GIR_EraseRootFromParent_Done,
     /* 1465631 */   // Label 20538: @1465631
     /* 1465631 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1465731), // Rule ID 14270 //
     /* 1465636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1465647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1465650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1465653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1465659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465686 */     // MIs[1] Operand 1
     /* 1465686 */     // No operand predicates
     /* 1465686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465690 */     // MIs[0] policy
     /* 1465690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1465705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465730 */     // GIR_Coverage, 14270,
     /* 1465730 */     GIR_EraseRootFromParent_Done,
     /* 1465731 */   // Label 20539: @1465731
     /* 1465731 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1465831), // Rule ID 14271 //
     /* 1465736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1465747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1465750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1465753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1465759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465786 */     // MIs[1] Operand 1
     /* 1465786 */     // No operand predicates
     /* 1465786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465790 */     // MIs[0] policy
     /* 1465790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1465805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465830 */     // GIR_Coverage, 14271,
     /* 1465830 */     GIR_EraseRootFromParent_Done,
     /* 1465831 */   // Label 20540: @1465831
     /* 1465831 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1465931), // Rule ID 14274 //
     /* 1465836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1465847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1465850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465886 */     // MIs[1] Operand 1
     /* 1465886 */     // No operand predicates
     /* 1465886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465890 */     // MIs[0] policy
     /* 1465890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465930 */     // GIR_Coverage, 14274,
     /* 1465930 */     GIR_EraseRootFromParent_Done,
     /* 1465931 */   // Label 20541: @1465931
     /* 1465931 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1466031), // Rule ID 14275 //
     /* 1465936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1465947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1465950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465986 */     // MIs[1] Operand 1
     /* 1465986 */     // No operand predicates
     /* 1465986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465990 */     // MIs[0] policy
     /* 1465990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466030 */     // GIR_Coverage, 14275,
     /* 1466030 */     GIR_EraseRootFromParent_Done,
     /* 1466031 */   // Label 20542: @1466031
     /* 1466031 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1466131), // Rule ID 14278 //
     /* 1466036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466086 */     // MIs[1] Operand 1
     /* 1466086 */     // No operand predicates
     /* 1466086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466090 */     // MIs[0] policy
     /* 1466090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466130 */     // GIR_Coverage, 14278,
     /* 1466130 */     GIR_EraseRootFromParent_Done,
     /* 1466131 */   // Label 20543: @1466131
     /* 1466131 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1466231), // Rule ID 14279 //
     /* 1466136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466186 */     // MIs[1] Operand 1
     /* 1466186 */     // No operand predicates
     /* 1466186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466190 */     // MIs[0] policy
     /* 1466190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466230 */     // GIR_Coverage, 14279,
     /* 1466230 */     GIR_EraseRootFromParent_Done,
     /* 1466231 */   // Label 20544: @1466231
     /* 1466231 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1466331), // Rule ID 14282 //
     /* 1466236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466286 */     // MIs[1] Operand 1
     /* 1466286 */     // No operand predicates
     /* 1466286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466290 */     // MIs[0] policy
     /* 1466290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466330 */     // GIR_Coverage, 14282,
     /* 1466330 */     GIR_EraseRootFromParent_Done,
     /* 1466331 */   // Label 20545: @1466331
     /* 1466331 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1466431), // Rule ID 14283 //
     /* 1466336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466386 */     // MIs[1] Operand 1
     /* 1466386 */     // No operand predicates
     /* 1466386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466390 */     // MIs[0] policy
     /* 1466390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466430 */     // GIR_Coverage, 14283,
     /* 1466430 */     GIR_EraseRootFromParent_Done,
     /* 1466431 */   // Label 20546: @1466431
     /* 1466431 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1466531), // Rule ID 14286 //
     /* 1466436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1466447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1466450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466486 */     // MIs[1] Operand 1
     /* 1466486 */     // No operand predicates
     /* 1466486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466490 */     // MIs[0] policy
     /* 1466490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466530 */     // GIR_Coverage, 14286,
     /* 1466530 */     GIR_EraseRootFromParent_Done,
     /* 1466531 */   // Label 20547: @1466531
     /* 1466531 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1466631), // Rule ID 14287 //
     /* 1466536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1466547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1466550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466586 */     // MIs[1] Operand 1
     /* 1466586 */     // No operand predicates
     /* 1466586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466590 */     // MIs[0] policy
     /* 1466590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466630 */     // GIR_Coverage, 14287,
     /* 1466630 */     GIR_EraseRootFromParent_Done,
     /* 1466631 */   // Label 20548: @1466631
     /* 1466631 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1466731), // Rule ID 14290 //
     /* 1466636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1466647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1466650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466686 */     // MIs[1] Operand 1
     /* 1466686 */     // No operand predicates
     /* 1466686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466690 */     // MIs[0] policy
     /* 1466690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466730 */     // GIR_Coverage, 14290,
     /* 1466730 */     GIR_EraseRootFromParent_Done,
     /* 1466731 */   // Label 20549: @1466731
     /* 1466731 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1466831), // Rule ID 14291 //
     /* 1466736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1466747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1466750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466786 */     // MIs[1] Operand 1
     /* 1466786 */     // No operand predicates
     /* 1466786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466790 */     // MIs[0] policy
     /* 1466790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466830 */     // GIR_Coverage, 14291,
     /* 1466830 */     GIR_EraseRootFromParent_Done,
     /* 1466831 */   // Label 20550: @1466831
     /* 1466831 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1466931), // Rule ID 14294 //
     /* 1466836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1466847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1466850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1466853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466886 */     // MIs[1] Operand 1
     /* 1466886 */     // No operand predicates
     /* 1466886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466890 */     // MIs[0] policy
     /* 1466890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466930 */     // GIR_Coverage, 14294,
     /* 1466930 */     GIR_EraseRootFromParent_Done,
     /* 1466931 */   // Label 20551: @1466931
     /* 1466931 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1467031), // Rule ID 14295 //
     /* 1466936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1466947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1466950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1466953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466986 */     // MIs[1] Operand 1
     /* 1466986 */     // No operand predicates
     /* 1466986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466990 */     // MIs[0] policy
     /* 1466990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467030 */     // GIR_Coverage, 14295,
     /* 1467030 */     GIR_EraseRootFromParent_Done,
     /* 1467031 */   // Label 20552: @1467031
     /* 1467031 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1467131), // Rule ID 14298 //
     /* 1467036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467086 */     // MIs[1] Operand 1
     /* 1467086 */     // No operand predicates
     /* 1467086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467090 */     // MIs[0] policy
     /* 1467090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1467105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467130 */     // GIR_Coverage, 14298,
     /* 1467130 */     GIR_EraseRootFromParent_Done,
     /* 1467131 */   // Label 20553: @1467131
     /* 1467131 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1467231), // Rule ID 14299 //
     /* 1467136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467186 */     // MIs[1] Operand 1
     /* 1467186 */     // No operand predicates
     /* 1467186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467190 */     // MIs[0] policy
     /* 1467190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1467205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467230 */     // GIR_Coverage, 14299,
     /* 1467230 */     GIR_EraseRootFromParent_Done,
     /* 1467231 */   // Label 20554: @1467231
     /* 1467231 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1467331), // Rule ID 14302 //
     /* 1467236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467286 */     // MIs[1] Operand 1
     /* 1467286 */     // No operand predicates
     /* 1467286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467290 */     // MIs[0] policy
     /* 1467290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467330 */     // GIR_Coverage, 14302,
     /* 1467330 */     GIR_EraseRootFromParent_Done,
     /* 1467331 */   // Label 20555: @1467331
     /* 1467331 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1467431), // Rule ID 14303 //
     /* 1467336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467386 */     // MIs[1] Operand 1
     /* 1467386 */     // No operand predicates
     /* 1467386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467390 */     // MIs[0] policy
     /* 1467390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467430 */     // GIR_Coverage, 14303,
     /* 1467430 */     GIR_EraseRootFromParent_Done,
     /* 1467431 */   // Label 20556: @1467431
     /* 1467431 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1467531), // Rule ID 14306 //
     /* 1467436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1467447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1467450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467486 */     // MIs[1] Operand 1
     /* 1467486 */     // No operand predicates
     /* 1467486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467490 */     // MIs[0] policy
     /* 1467490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467530 */     // GIR_Coverage, 14306,
     /* 1467530 */     GIR_EraseRootFromParent_Done,
     /* 1467531 */   // Label 20557: @1467531
     /* 1467531 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1467631), // Rule ID 14307 //
     /* 1467536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1467547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1467550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467586 */     // MIs[1] Operand 1
     /* 1467586 */     // No operand predicates
     /* 1467586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467590 */     // MIs[0] policy
     /* 1467590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467630 */     // GIR_Coverage, 14307,
     /* 1467630 */     GIR_EraseRootFromParent_Done,
     /* 1467631 */   // Label 20558: @1467631
     /* 1467631 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1467731), // Rule ID 14486 //
     /* 1467636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467686 */     // MIs[1] Operand 1
     /* 1467686 */     // No operand predicates
     /* 1467686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467690 */     // MIs[0] policy
     /* 1467690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1467705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467730 */     // GIR_Coverage, 14486,
     /* 1467730 */     GIR_EraseRootFromParent_Done,
     /* 1467731 */   // Label 20559: @1467731
     /* 1467731 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1467831), // Rule ID 14487 //
     /* 1467736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467786 */     // MIs[1] Operand 1
     /* 1467786 */     // No operand predicates
     /* 1467786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467790 */     // MIs[0] policy
     /* 1467790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1467805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467830 */     // GIR_Coverage, 14487,
     /* 1467830 */     GIR_EraseRootFromParent_Done,
     /* 1467831 */   // Label 20560: @1467831
     /* 1467831 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1467931), // Rule ID 14490 //
     /* 1467836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1467847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1467850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1467853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467886 */     // MIs[1] Operand 1
     /* 1467886 */     // No operand predicates
     /* 1467886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467890 */     // MIs[0] policy
     /* 1467890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467902 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1467905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467930 */     // GIR_Coverage, 14490,
     /* 1467930 */     GIR_EraseRootFromParent_Done,
     /* 1467931 */   // Label 20561: @1467931
     /* 1467931 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1468031), // Rule ID 14491 //
     /* 1467936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1467947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1467950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1467953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467986 */     // MIs[1] Operand 1
     /* 1467986 */     // No operand predicates
     /* 1467986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467990 */     // MIs[0] policy
     /* 1467990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468030 */     // GIR_Coverage, 14491,
     /* 1468030 */     GIR_EraseRootFromParent_Done,
     /* 1468031 */   // Label 20562: @1468031
     /* 1468031 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1468131), // Rule ID 14494 //
     /* 1468036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468086 */     // MIs[1] Operand 1
     /* 1468086 */     // No operand predicates
     /* 1468086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468090 */     // MIs[0] policy
     /* 1468090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468130 */     // GIR_Coverage, 14494,
     /* 1468130 */     GIR_EraseRootFromParent_Done,
     /* 1468131 */   // Label 20563: @1468131
     /* 1468131 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1468231), // Rule ID 14495 //
     /* 1468136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468186 */     // MIs[1] Operand 1
     /* 1468186 */     // No operand predicates
     /* 1468186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468190 */     // MIs[0] policy
     /* 1468190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468230 */     // GIR_Coverage, 14495,
     /* 1468230 */     GIR_EraseRootFromParent_Done,
     /* 1468231 */   // Label 20564: @1468231
     /* 1468231 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1468331), // Rule ID 14498 //
     /* 1468236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468286 */     // MIs[1] Operand 1
     /* 1468286 */     // No operand predicates
     /* 1468286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468290 */     // MIs[0] policy
     /* 1468290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468302 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468330 */     // GIR_Coverage, 14498,
     /* 1468330 */     GIR_EraseRootFromParent_Done,
     /* 1468331 */   // Label 20565: @1468331
     /* 1468331 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1468431), // Rule ID 14499 //
     /* 1468336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468386 */     // MIs[1] Operand 1
     /* 1468386 */     // No operand predicates
     /* 1468386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468390 */     // MIs[0] policy
     /* 1468390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468430 */     // GIR_Coverage, 14499,
     /* 1468430 */     GIR_EraseRootFromParent_Done,
     /* 1468431 */   // Label 20566: @1468431
     /* 1468431 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1468531), // Rule ID 14502 //
     /* 1468436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468486 */     // MIs[1] Operand 1
     /* 1468486 */     // No operand predicates
     /* 1468486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468490 */     // MIs[0] policy
     /* 1468490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468530 */     // GIR_Coverage, 14502,
     /* 1468530 */     GIR_EraseRootFromParent_Done,
     /* 1468531 */   // Label 20567: @1468531
     /* 1468531 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1468631), // Rule ID 14503 //
     /* 1468536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468586 */     // MIs[1] Operand 1
     /* 1468586 */     // No operand predicates
     /* 1468586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468590 */     // MIs[0] policy
     /* 1468590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468630 */     // GIR_Coverage, 14503,
     /* 1468630 */     GIR_EraseRootFromParent_Done,
     /* 1468631 */   // Label 20568: @1468631
     /* 1468631 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1468731), // Rule ID 14506 //
     /* 1468636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468686 */     // MIs[1] Operand 1
     /* 1468686 */     // No operand predicates
     /* 1468686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468690 */     // MIs[0] policy
     /* 1468690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468730 */     // GIR_Coverage, 14506,
     /* 1468730 */     GIR_EraseRootFromParent_Done,
     /* 1468731 */   // Label 20569: @1468731
     /* 1468731 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1468831), // Rule ID 14507 //
     /* 1468736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468786 */     // MIs[1] Operand 1
     /* 1468786 */     // No operand predicates
     /* 1468786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468790 */     // MIs[0] policy
     /* 1468790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468830 */     // GIR_Coverage, 14507,
     /* 1468830 */     GIR_EraseRootFromParent_Done,
     /* 1468831 */   // Label 20570: @1468831
     /* 1468831 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1468931), // Rule ID 14510 //
     /* 1468836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1468847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1468850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1468853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468886 */     // MIs[1] Operand 1
     /* 1468886 */     // No operand predicates
     /* 1468886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468890 */     // MIs[0] policy
     /* 1468890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1468905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468930 */     // GIR_Coverage, 14510,
     /* 1468930 */     GIR_EraseRootFromParent_Done,
     /* 1468931 */   // Label 20571: @1468931
     /* 1468931 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1469031), // Rule ID 14511 //
     /* 1468936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1468947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1468950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1468953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468986 */     // MIs[1] Operand 1
     /* 1468986 */     // No operand predicates
     /* 1468986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468990 */     // MIs[0] policy
     /* 1468990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469030 */     // GIR_Coverage, 14511,
     /* 1469030 */     GIR_EraseRootFromParent_Done,
     /* 1469031 */   // Label 20572: @1469031
     /* 1469031 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1469131), // Rule ID 14514 //
     /* 1469036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469086 */     // MIs[1] Operand 1
     /* 1469086 */     // No operand predicates
     /* 1469086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469090 */     // MIs[0] policy
     /* 1469090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469130 */     // GIR_Coverage, 14514,
     /* 1469130 */     GIR_EraseRootFromParent_Done,
     /* 1469131 */   // Label 20573: @1469131
     /* 1469131 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1469231), // Rule ID 14515 //
     /* 1469136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469186 */     // MIs[1] Operand 1
     /* 1469186 */     // No operand predicates
     /* 1469186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469190 */     // MIs[0] policy
     /* 1469190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469230 */     // GIR_Coverage, 14515,
     /* 1469230 */     GIR_EraseRootFromParent_Done,
     /* 1469231 */   // Label 20574: @1469231
     /* 1469231 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1469331), // Rule ID 14518 //
     /* 1469236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469286 */     // MIs[1] Operand 1
     /* 1469286 */     // No operand predicates
     /* 1469286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469290 */     // MIs[0] policy
     /* 1469290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469330 */     // GIR_Coverage, 14518,
     /* 1469330 */     GIR_EraseRootFromParent_Done,
     /* 1469331 */   // Label 20575: @1469331
     /* 1469331 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1469431), // Rule ID 14519 //
     /* 1469336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469386 */     // MIs[1] Operand 1
     /* 1469386 */     // No operand predicates
     /* 1469386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469390 */     // MIs[0] policy
     /* 1469390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469430 */     // GIR_Coverage, 14519,
     /* 1469430 */     GIR_EraseRootFromParent_Done,
     /* 1469431 */   // Label 20576: @1469431
     /* 1469431 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1469531), // Rule ID 14522 //
     /* 1469436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469486 */     // MIs[1] Operand 1
     /* 1469486 */     // No operand predicates
     /* 1469486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469490 */     // MIs[0] policy
     /* 1469490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469530 */     // GIR_Coverage, 14522,
     /* 1469530 */     GIR_EraseRootFromParent_Done,
     /* 1469531 */   // Label 20577: @1469531
     /* 1469531 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1469631), // Rule ID 14523 //
     /* 1469536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469586 */     // MIs[1] Operand 1
     /* 1469586 */     // No operand predicates
     /* 1469586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469590 */     // MIs[0] policy
     /* 1469590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469630 */     // GIR_Coverage, 14523,
     /* 1469630 */     GIR_EraseRootFromParent_Done,
     /* 1469631 */   // Label 20578: @1469631
     /* 1469631 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1469731), // Rule ID 14526 //
     /* 1469636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1469647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1469650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1469653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469686 */     // MIs[1] Operand 1
     /* 1469686 */     // No operand predicates
     /* 1469686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469690 */     // MIs[0] policy
     /* 1469690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1469705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469730 */     // GIR_Coverage, 14526,
     /* 1469730 */     GIR_EraseRootFromParent_Done,
     /* 1469731 */   // Label 20579: @1469731
     /* 1469731 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1469831), // Rule ID 14527 //
     /* 1469736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1469747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1469750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1469753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469786 */     // MIs[1] Operand 1
     /* 1469786 */     // No operand predicates
     /* 1469786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469790 */     // MIs[0] policy
     /* 1469790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1469805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469830 */     // GIR_Coverage, 14527,
     /* 1469830 */     GIR_EraseRootFromParent_Done,
     /* 1469831 */   // Label 20580: @1469831
     /* 1469831 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1469931), // Rule ID 14530 //
     /* 1469836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1469847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1469850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1469853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1469859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469886 */     // MIs[1] Operand 1
     /* 1469886 */     // No operand predicates
     /* 1469886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469890 */     // MIs[0] policy
     /* 1469890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1469905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469930 */     // GIR_Coverage, 14530,
     /* 1469930 */     GIR_EraseRootFromParent_Done,
     /* 1469931 */   // Label 20581: @1469931
     /* 1469931 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1470031), // Rule ID 14531 //
     /* 1469936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1469947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1469950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1469953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1469959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469986 */     // MIs[1] Operand 1
     /* 1469986 */     // No operand predicates
     /* 1469986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469990 */     // MIs[0] policy
     /* 1469990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470030 */     // GIR_Coverage, 14531,
     /* 1470030 */     GIR_EraseRootFromParent_Done,
     /* 1470031 */   // Label 20582: @1470031
     /* 1470031 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1470131), // Rule ID 14534 //
     /* 1470036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470086 */     // MIs[1] Operand 1
     /* 1470086 */     // No operand predicates
     /* 1470086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470090 */     // MIs[0] policy
     /* 1470090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470130 */     // GIR_Coverage, 14534,
     /* 1470130 */     GIR_EraseRootFromParent_Done,
     /* 1470131 */   // Label 20583: @1470131
     /* 1470131 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1470231), // Rule ID 14535 //
     /* 1470136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470186 */     // MIs[1] Operand 1
     /* 1470186 */     // No operand predicates
     /* 1470186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470190 */     // MIs[0] policy
     /* 1470190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470230 */     // GIR_Coverage, 14535,
     /* 1470230 */     GIR_EraseRootFromParent_Done,
     /* 1470231 */   // Label 20584: @1470231
     /* 1470231 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1470331), // Rule ID 14538 //
     /* 1470236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470286 */     // MIs[1] Operand 1
     /* 1470286 */     // No operand predicates
     /* 1470286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470290 */     // MIs[0] policy
     /* 1470290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470330 */     // GIR_Coverage, 14538,
     /* 1470330 */     GIR_EraseRootFromParent_Done,
     /* 1470331 */   // Label 20585: @1470331
     /* 1470331 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1470431), // Rule ID 14539 //
     /* 1470336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470386 */     // MIs[1] Operand 1
     /* 1470386 */     // No operand predicates
     /* 1470386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470390 */     // MIs[0] policy
     /* 1470390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470430 */     // GIR_Coverage, 14539,
     /* 1470430 */     GIR_EraseRootFromParent_Done,
     /* 1470431 */   // Label 20586: @1470431
     /* 1470431 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1470531), // Rule ID 14542 //
     /* 1470436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1470453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470486 */     // MIs[1] Operand 1
     /* 1470486 */     // No operand predicates
     /* 1470486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470490 */     // MIs[0] policy
     /* 1470490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470530 */     // GIR_Coverage, 14542,
     /* 1470530 */     GIR_EraseRootFromParent_Done,
     /* 1470531 */   // Label 20587: @1470531
     /* 1470531 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1470631), // Rule ID 14543 //
     /* 1470536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1470553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470586 */     // MIs[1] Operand 1
     /* 1470586 */     // No operand predicates
     /* 1470586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470590 */     // MIs[0] policy
     /* 1470590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470630 */     // GIR_Coverage, 14543,
     /* 1470630 */     GIR_EraseRootFromParent_Done,
     /* 1470631 */   // Label 20588: @1470631
     /* 1470631 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1470731), // Rule ID 14546 //
     /* 1470636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1470647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1470650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1470653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470686 */     // MIs[1] Operand 1
     /* 1470686 */     // No operand predicates
     /* 1470686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470690 */     // MIs[0] policy
     /* 1470690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470730 */     // GIR_Coverage, 14546,
     /* 1470730 */     GIR_EraseRootFromParent_Done,
     /* 1470731 */   // Label 20589: @1470731
     /* 1470731 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1470831), // Rule ID 14547 //
     /* 1470736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1470747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1470750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1470753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470786 */     // MIs[1] Operand 1
     /* 1470786 */     // No operand predicates
     /* 1470786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470790 */     // MIs[0] policy
     /* 1470790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470830 */     // GIR_Coverage, 14547,
     /* 1470830 */     GIR_EraseRootFromParent_Done,
     /* 1470831 */   // Label 20590: @1470831
     /* 1470831 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1470931), // Rule ID 14550 //
     /* 1470836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1470847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1470850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470886 */     // MIs[1] Operand 1
     /* 1470886 */     // No operand predicates
     /* 1470886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470890 */     // MIs[0] policy
     /* 1470890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470930 */     // GIR_Coverage, 14550,
     /* 1470930 */     GIR_EraseRootFromParent_Done,
     /* 1470931 */   // Label 20591: @1470931
     /* 1470931 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1471031), // Rule ID 14551 //
     /* 1470936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1470947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1470950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470986 */     // MIs[1] Operand 1
     /* 1470986 */     // No operand predicates
     /* 1470986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470990 */     // MIs[0] policy
     /* 1470990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471030 */     // GIR_Coverage, 14551,
     /* 1471030 */     GIR_EraseRootFromParent_Done,
     /* 1471031 */   // Label 20592: @1471031
     /* 1471031 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1471131), // Rule ID 14554 //
     /* 1471036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471086 */     // MIs[1] Operand 1
     /* 1471086 */     // No operand predicates
     /* 1471086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471090 */     // MIs[0] policy
     /* 1471090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471130 */     // GIR_Coverage, 14554,
     /* 1471130 */     GIR_EraseRootFromParent_Done,
     /* 1471131 */   // Label 20593: @1471131
     /* 1471131 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1471231), // Rule ID 14555 //
     /* 1471136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471186 */     // MIs[1] Operand 1
     /* 1471186 */     // No operand predicates
     /* 1471186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471190 */     // MIs[0] policy
     /* 1471190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471230 */     // GIR_Coverage, 14555,
     /* 1471230 */     GIR_EraseRootFromParent_Done,
     /* 1471231 */   // Label 20594: @1471231
     /* 1471231 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1471331), // Rule ID 14558 //
     /* 1471236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471286 */     // MIs[1] Operand 1
     /* 1471286 */     // No operand predicates
     /* 1471286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471290 */     // MIs[0] policy
     /* 1471290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471330 */     // GIR_Coverage, 14558,
     /* 1471330 */     GIR_EraseRootFromParent_Done,
     /* 1471331 */   // Label 20595: @1471331
     /* 1471331 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1471431), // Rule ID 14559 //
     /* 1471336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471386 */     // MIs[1] Operand 1
     /* 1471386 */     // No operand predicates
     /* 1471386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471390 */     // MIs[0] policy
     /* 1471390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471430 */     // GIR_Coverage, 14559,
     /* 1471430 */     GIR_EraseRootFromParent_Done,
     /* 1471431 */   // Label 20596: @1471431
     /* 1471431 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1471531), // Rule ID 14562 //
     /* 1471436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1471447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1471450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471486 */     // MIs[1] Operand 1
     /* 1471486 */     // No operand predicates
     /* 1471486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471490 */     // MIs[0] policy
     /* 1471490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471502 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471530 */     // GIR_Coverage, 14562,
     /* 1471530 */     GIR_EraseRootFromParent_Done,
     /* 1471531 */   // Label 20597: @1471531
     /* 1471531 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1471631), // Rule ID 14563 //
     /* 1471536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1471547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1471550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471586 */     // MIs[1] Operand 1
     /* 1471586 */     // No operand predicates
     /* 1471586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471590 */     // MIs[0] policy
     /* 1471590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471630 */     // GIR_Coverage, 14563,
     /* 1471630 */     GIR_EraseRootFromParent_Done,
     /* 1471631 */   // Label 20598: @1471631
     /* 1471631 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1471731), // Rule ID 14566 //
     /* 1471636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1471647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1471650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471686 */     // MIs[1] Operand 1
     /* 1471686 */     // No operand predicates
     /* 1471686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471690 */     // MIs[0] policy
     /* 1471690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471730 */     // GIR_Coverage, 14566,
     /* 1471730 */     GIR_EraseRootFromParent_Done,
     /* 1471731 */   // Label 20599: @1471731
     /* 1471731 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1471831), // Rule ID 14567 //
     /* 1471736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1471747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1471750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471786 */     // MIs[1] Operand 1
     /* 1471786 */     // No operand predicates
     /* 1471786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471790 */     // MIs[0] policy
     /* 1471790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471830 */     // GIR_Coverage, 14567,
     /* 1471830 */     GIR_EraseRootFromParent_Done,
     /* 1471831 */   // Label 20600: @1471831
     /* 1471831 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1471931), // Rule ID 14570 //
     /* 1471836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1471847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1471850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1471853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471886 */     // MIs[1] Operand 1
     /* 1471886 */     // No operand predicates
     /* 1471886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471890 */     // MIs[0] policy
     /* 1471890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471902 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471930 */     // GIR_Coverage, 14570,
     /* 1471930 */     GIR_EraseRootFromParent_Done,
     /* 1471931 */   // Label 20601: @1471931
     /* 1471931 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1472031), // Rule ID 14571 //
     /* 1471936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1471947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1471950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1471953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471986 */     // MIs[1] Operand 1
     /* 1471986 */     // No operand predicates
     /* 1471986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471990 */     // MIs[0] policy
     /* 1471990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1472005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472030 */     // GIR_Coverage, 14571,
     /* 1472030 */     GIR_EraseRootFromParent_Done,
     /* 1472031 */   // Label 20602: @1472031
     /* 1472031 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1472128), // Rule ID 23690 //
     /* 1472036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472086 */     // MIs[1] Operand 1
     /* 1472086 */     // No operand predicates
     /* 1472086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472090 */     // MIs[0] policy
     /* 1472090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1472105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472127 */     // GIR_Coverage, 23690,
     /* 1472127 */     GIR_EraseRootFromParent_Done,
     /* 1472128 */   // Label 20603: @1472128
     /* 1472128 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1472225), // Rule ID 23691 //
     /* 1472133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472183 */     // MIs[1] Operand 1
     /* 1472183 */     // No operand predicates
     /* 1472183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472187 */     // MIs[0] policy
     /* 1472187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472199 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1472202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472224 */     // GIR_Coverage, 23691,
     /* 1472224 */     GIR_EraseRootFromParent_Done,
     /* 1472225 */   // Label 20604: @1472225
     /* 1472225 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1472322), // Rule ID 23694 //
     /* 1472230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472280 */     // MIs[1] Operand 1
     /* 1472280 */     // No operand predicates
     /* 1472280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472284 */     // MIs[0] policy
     /* 1472284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472321 */     // GIR_Coverage, 23694,
     /* 1472321 */     GIR_EraseRootFromParent_Done,
     /* 1472322 */   // Label 20605: @1472322
     /* 1472322 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1472419), // Rule ID 23695 //
     /* 1472327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472377 */     // MIs[1] Operand 1
     /* 1472377 */     // No operand predicates
     /* 1472377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472381 */     // MIs[0] policy
     /* 1472381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472418 */     // GIR_Coverage, 23695,
     /* 1472418 */     GIR_EraseRootFromParent_Done,
     /* 1472419 */   // Label 20606: @1472419
     /* 1472419 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1472516), // Rule ID 23698 //
     /* 1472424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1472441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472474 */     // MIs[1] Operand 1
     /* 1472474 */     // No operand predicates
     /* 1472474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472478 */     // MIs[0] policy
     /* 1472478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472515 */     // GIR_Coverage, 23698,
     /* 1472515 */     GIR_EraseRootFromParent_Done,
     /* 1472516 */   // Label 20607: @1472516
     /* 1472516 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1472613), // Rule ID 23699 //
     /* 1472521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1472538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472571 */     // MIs[1] Operand 1
     /* 1472571 */     // No operand predicates
     /* 1472571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472575 */     // MIs[0] policy
     /* 1472575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472612 */     // GIR_Coverage, 23699,
     /* 1472612 */     GIR_EraseRootFromParent_Done,
     /* 1472613 */   // Label 20608: @1472613
     /* 1472613 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1472710), // Rule ID 23702 //
     /* 1472618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472668 */     // MIs[1] Operand 1
     /* 1472668 */     // No operand predicates
     /* 1472668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472672 */     // MIs[0] policy
     /* 1472672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472709 */     // GIR_Coverage, 23702,
     /* 1472709 */     GIR_EraseRootFromParent_Done,
     /* 1472710 */   // Label 20609: @1472710
     /* 1472710 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1472807), // Rule ID 23703 //
     /* 1472715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472765 */     // MIs[1] Operand 1
     /* 1472765 */     // No operand predicates
     /* 1472765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472769 */     // MIs[0] policy
     /* 1472769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472806 */     // GIR_Coverage, 23703,
     /* 1472806 */     GIR_EraseRootFromParent_Done,
     /* 1472807 */   // Label 20610: @1472807
     /* 1472807 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1472904), // Rule ID 23706 //
     /* 1472812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1472823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1472826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1472829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472862 */     // MIs[1] Operand 1
     /* 1472862 */     // No operand predicates
     /* 1472862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472866 */     // MIs[0] policy
     /* 1472866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472903 */     // GIR_Coverage, 23706,
     /* 1472903 */     GIR_EraseRootFromParent_Done,
     /* 1472904 */   // Label 20611: @1472904
     /* 1472904 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1473001), // Rule ID 23707 //
     /* 1472909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1472920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1472923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1472926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472959 */     // MIs[1] Operand 1
     /* 1472959 */     // No operand predicates
     /* 1472959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472963 */     // MIs[0] policy
     /* 1472963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473000 */     // GIR_Coverage, 23707,
     /* 1473000 */     GIR_EraseRootFromParent_Done,
     /* 1473001 */   // Label 20612: @1473001
     /* 1473001 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1473098), // Rule ID 23710 //
     /* 1473006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473056 */     // MIs[1] Operand 1
     /* 1473056 */     // No operand predicates
     /* 1473056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473060 */     // MIs[0] policy
     /* 1473060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473097 */     // GIR_Coverage, 23710,
     /* 1473097 */     GIR_EraseRootFromParent_Done,
     /* 1473098 */   // Label 20613: @1473098
     /* 1473098 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1473195), // Rule ID 23711 //
     /* 1473103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473153 */     // MIs[1] Operand 1
     /* 1473153 */     // No operand predicates
     /* 1473153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473157 */     // MIs[0] policy
     /* 1473157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473194 */     // GIR_Coverage, 23711,
     /* 1473194 */     GIR_EraseRootFromParent_Done,
     /* 1473195 */   // Label 20614: @1473195
     /* 1473195 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1473292), // Rule ID 23714 //
     /* 1473200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473250 */     // MIs[1] Operand 1
     /* 1473250 */     // No operand predicates
     /* 1473250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473254 */     // MIs[0] policy
     /* 1473254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473266 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473291 */     // GIR_Coverage, 23714,
     /* 1473291 */     GIR_EraseRootFromParent_Done,
     /* 1473292 */   // Label 20615: @1473292
     /* 1473292 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1473389), // Rule ID 23715 //
     /* 1473297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473347 */     // MIs[1] Operand 1
     /* 1473347 */     // No operand predicates
     /* 1473347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473351 */     // MIs[0] policy
     /* 1473351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473388 */     // GIR_Coverage, 23715,
     /* 1473388 */     GIR_EraseRootFromParent_Done,
     /* 1473389 */   // Label 20616: @1473389
     /* 1473389 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1473486), // Rule ID 23718 //
     /* 1473394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473444 */     // MIs[1] Operand 1
     /* 1473444 */     // No operand predicates
     /* 1473444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473448 */     // MIs[0] policy
     /* 1473448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473485 */     // GIR_Coverage, 23718,
     /* 1473485 */     GIR_EraseRootFromParent_Done,
     /* 1473486 */   // Label 20617: @1473486
     /* 1473486 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1473583), // Rule ID 23719 //
     /* 1473491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473541 */     // MIs[1] Operand 1
     /* 1473541 */     // No operand predicates
     /* 1473541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473545 */     // MIs[0] policy
     /* 1473545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473582 */     // GIR_Coverage, 23719,
     /* 1473582 */     GIR_EraseRootFromParent_Done,
     /* 1473583 */   // Label 20618: @1473583
     /* 1473583 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1473680), // Rule ID 23722 //
     /* 1473588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473638 */     // MIs[1] Operand 1
     /* 1473638 */     // No operand predicates
     /* 1473638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473642 */     // MIs[0] policy
     /* 1473642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473679 */     // GIR_Coverage, 23722,
     /* 1473679 */     GIR_EraseRootFromParent_Done,
     /* 1473680 */   // Label 20619: @1473680
     /* 1473680 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1473777), // Rule ID 23723 //
     /* 1473685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473735 */     // MIs[1] Operand 1
     /* 1473735 */     // No operand predicates
     /* 1473735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473739 */     // MIs[0] policy
     /* 1473739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473776 */     // GIR_Coverage, 23723,
     /* 1473776 */     GIR_EraseRootFromParent_Done,
     /* 1473777 */   // Label 20620: @1473777
     /* 1473777 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1473874), // Rule ID 23726 //
     /* 1473782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1473793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1473796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473832 */     // MIs[1] Operand 1
     /* 1473832 */     // No operand predicates
     /* 1473832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473836 */     // MIs[0] policy
     /* 1473836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473873 */     // GIR_Coverage, 23726,
     /* 1473873 */     GIR_EraseRootFromParent_Done,
     /* 1473874 */   // Label 20621: @1473874
     /* 1473874 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1473971), // Rule ID 23727 //
     /* 1473879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1473890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1473893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473929 */     // MIs[1] Operand 1
     /* 1473929 */     // No operand predicates
     /* 1473929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473933 */     // MIs[0] policy
     /* 1473933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473945 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473970 */     // GIR_Coverage, 23727,
     /* 1473970 */     GIR_EraseRootFromParent_Done,
     /* 1473971 */   // Label 20622: @1473971
     /* 1473971 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1474068), // Rule ID 23730 //
     /* 1473976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1473987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1473990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1473993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474026 */     // MIs[1] Operand 1
     /* 1474026 */     // No operand predicates
     /* 1474026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474030 */     // MIs[0] policy
     /* 1474030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474067 */     // GIR_Coverage, 23730,
     /* 1474067 */     GIR_EraseRootFromParent_Done,
     /* 1474068 */   // Label 20623: @1474068
     /* 1474068 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1474165), // Rule ID 23731 //
     /* 1474073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1474084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1474087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1474090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474123 */     // MIs[1] Operand 1
     /* 1474123 */     // No operand predicates
     /* 1474123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474127 */     // MIs[0] policy
     /* 1474127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474164 */     // GIR_Coverage, 23731,
     /* 1474164 */     GIR_EraseRootFromParent_Done,
     /* 1474165 */   // Label 20624: @1474165
     /* 1474165 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1474262), // Rule ID 23734 //
     /* 1474170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474220 */     // MIs[1] Operand 1
     /* 1474220 */     // No operand predicates
     /* 1474220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474224 */     // MIs[0] policy
     /* 1474224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474261 */     // GIR_Coverage, 23734,
     /* 1474261 */     GIR_EraseRootFromParent_Done,
     /* 1474262 */   // Label 20625: @1474262
     /* 1474262 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1474359), // Rule ID 23735 //
     /* 1474267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474317 */     // MIs[1] Operand 1
     /* 1474317 */     // No operand predicates
     /* 1474317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474321 */     // MIs[0] policy
     /* 1474321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474358 */     // GIR_Coverage, 23735,
     /* 1474358 */     GIR_EraseRootFromParent_Done,
     /* 1474359 */   // Label 20626: @1474359
     /* 1474359 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1474456), // Rule ID 23738 //
     /* 1474364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474414 */     // MIs[1] Operand 1
     /* 1474414 */     // No operand predicates
     /* 1474414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474418 */     // MIs[0] policy
     /* 1474418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474455 */     // GIR_Coverage, 23738,
     /* 1474455 */     GIR_EraseRootFromParent_Done,
     /* 1474456 */   // Label 20627: @1474456
     /* 1474456 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1474553), // Rule ID 23739 //
     /* 1474461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474511 */     // MIs[1] Operand 1
     /* 1474511 */     // No operand predicates
     /* 1474511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474515 */     // MIs[0] policy
     /* 1474515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474552 */     // GIR_Coverage, 23739,
     /* 1474552 */     GIR_EraseRootFromParent_Done,
     /* 1474553 */   // Label 20628: @1474553
     /* 1474553 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1474650), // Rule ID 23742 //
     /* 1474558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1474575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474608 */     // MIs[1] Operand 1
     /* 1474608 */     // No operand predicates
     /* 1474608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474612 */     // MIs[0] policy
     /* 1474612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474649 */     // GIR_Coverage, 23742,
     /* 1474649 */     GIR_EraseRootFromParent_Done,
     /* 1474650 */   // Label 20629: @1474650
     /* 1474650 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1474747), // Rule ID 23743 //
     /* 1474655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1474672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474705 */     // MIs[1] Operand 1
     /* 1474705 */     // No operand predicates
     /* 1474705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474709 */     // MIs[0] policy
     /* 1474709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474746 */     // GIR_Coverage, 23743,
     /* 1474746 */     GIR_EraseRootFromParent_Done,
     /* 1474747 */   // Label 20630: @1474747
     /* 1474747 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1474844), // Rule ID 23746 //
     /* 1474752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474802 */     // MIs[1] Operand 1
     /* 1474802 */     // No operand predicates
     /* 1474802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474806 */     // MIs[0] policy
     /* 1474806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474843 */     // GIR_Coverage, 23746,
     /* 1474843 */     GIR_EraseRootFromParent_Done,
     /* 1474844 */   // Label 20631: @1474844
     /* 1474844 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1474941), // Rule ID 23747 //
     /* 1474849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474899 */     // MIs[1] Operand 1
     /* 1474899 */     // No operand predicates
     /* 1474899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474903 */     // MIs[0] policy
     /* 1474903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474940 */     // GIR_Coverage, 23747,
     /* 1474940 */     GIR_EraseRootFromParent_Done,
     /* 1474941 */   // Label 20632: @1474941
     /* 1474941 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1475038), // Rule ID 23750 //
     /* 1474946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1474957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1474960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1474963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474996 */     // MIs[1] Operand 1
     /* 1474996 */     // No operand predicates
     /* 1474996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475000 */     // MIs[0] policy
     /* 1475000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475037 */     // GIR_Coverage, 23750,
     /* 1475037 */     GIR_EraseRootFromParent_Done,
     /* 1475038 */   // Label 20633: @1475038
     /* 1475038 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1475135), // Rule ID 23751 //
     /* 1475043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475093 */     // MIs[1] Operand 1
     /* 1475093 */     // No operand predicates
     /* 1475093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475097 */     // MIs[0] policy
     /* 1475097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475134 */     // GIR_Coverage, 23751,
     /* 1475134 */     GIR_EraseRootFromParent_Done,
     /* 1475135 */   // Label 20634: @1475135
     /* 1475135 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1475232), // Rule ID 23754 //
     /* 1475140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475190 */     // MIs[1] Operand 1
     /* 1475190 */     // No operand predicates
     /* 1475190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475194 */     // MIs[0] policy
     /* 1475194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475231 */     // GIR_Coverage, 23754,
     /* 1475231 */     GIR_EraseRootFromParent_Done,
     /* 1475232 */   // Label 20635: @1475232
     /* 1475232 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1475329), // Rule ID 23755 //
     /* 1475237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475287 */     // MIs[1] Operand 1
     /* 1475287 */     // No operand predicates
     /* 1475287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475291 */     // MIs[0] policy
     /* 1475291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475328 */     // GIR_Coverage, 23755,
     /* 1475328 */     GIR_EraseRootFromParent_Done,
     /* 1475329 */   // Label 20636: @1475329
     /* 1475329 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1475426), // Rule ID 23758 //
     /* 1475334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475384 */     // MIs[1] Operand 1
     /* 1475384 */     // No operand predicates
     /* 1475384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475388 */     // MIs[0] policy
     /* 1475388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475425 */     // GIR_Coverage, 23758,
     /* 1475425 */     GIR_EraseRootFromParent_Done,
     /* 1475426 */   // Label 20637: @1475426
     /* 1475426 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1475523), // Rule ID 23759 //
     /* 1475431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475481 */     // MIs[1] Operand 1
     /* 1475481 */     // No operand predicates
     /* 1475481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475485 */     // MIs[0] policy
     /* 1475485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475522 */     // GIR_Coverage, 23759,
     /* 1475522 */     GIR_EraseRootFromParent_Done,
     /* 1475523 */   // Label 20638: @1475523
     /* 1475523 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1475620), // Rule ID 23762 //
     /* 1475528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1475542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1475545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475578 */     // MIs[1] Operand 1
     /* 1475578 */     // No operand predicates
     /* 1475578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475582 */     // MIs[0] policy
     /* 1475582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475619 */     // GIR_Coverage, 23762,
     /* 1475619 */     GIR_EraseRootFromParent_Done,
     /* 1475620 */   // Label 20639: @1475620
     /* 1475620 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1475717), // Rule ID 23763 //
     /* 1475625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1475639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1475642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475675 */     // MIs[1] Operand 1
     /* 1475675 */     // No operand predicates
     /* 1475675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475679 */     // MIs[0] policy
     /* 1475679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475716 */     // GIR_Coverage, 23763,
     /* 1475716 */     GIR_EraseRootFromParent_Done,
     /* 1475717 */   // Label 20640: @1475717
     /* 1475717 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1475814), // Rule ID 23766 //
     /* 1475722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1475725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475772 */     // MIs[1] Operand 1
     /* 1475772 */     // No operand predicates
     /* 1475772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475776 */     // MIs[0] policy
     /* 1475776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475813 */     // GIR_Coverage, 23766,
     /* 1475813 */     GIR_EraseRootFromParent_Done,
     /* 1475814 */   // Label 20641: @1475814
     /* 1475814 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1475911), // Rule ID 23767 //
     /* 1475819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1475822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475869 */     // MIs[1] Operand 1
     /* 1475869 */     // No operand predicates
     /* 1475869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475873 */     // MIs[0] policy
     /* 1475873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475910 */     // GIR_Coverage, 23767,
     /* 1475910 */     GIR_EraseRootFromParent_Done,
     /* 1475911 */   // Label 20642: @1475911
     /* 1475911 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1476008), // Rule ID 23770 //
     /* 1475916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1475919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1475927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1475930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1475933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475966 */     // MIs[1] Operand 1
     /* 1475966 */     // No operand predicates
     /* 1475966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475970 */     // MIs[0] policy
     /* 1475970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476007 */     // GIR_Coverage, 23770,
     /* 1476007 */     GIR_EraseRootFromParent_Done,
     /* 1476008 */   // Label 20643: @1476008
     /* 1476008 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1476105), // Rule ID 23771 //
     /* 1476013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476063 */     // MIs[1] Operand 1
     /* 1476063 */     // No operand predicates
     /* 1476063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476067 */     // MIs[0] policy
     /* 1476067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476104 */     // GIR_Coverage, 23771,
     /* 1476104 */     GIR_EraseRootFromParent_Done,
     /* 1476105 */   // Label 20644: @1476105
     /* 1476105 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1476202), // Rule ID 23774 //
     /* 1476110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476160 */     // MIs[1] Operand 1
     /* 1476160 */     // No operand predicates
     /* 1476160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476164 */     // MIs[0] policy
     /* 1476164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476201 */     // GIR_Coverage, 23774,
     /* 1476201 */     GIR_EraseRootFromParent_Done,
     /* 1476202 */   // Label 20645: @1476202
     /* 1476202 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1476299), // Rule ID 23775 //
     /* 1476207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476257 */     // MIs[1] Operand 1
     /* 1476257 */     // No operand predicates
     /* 1476257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476261 */     // MIs[0] policy
     /* 1476261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476298 */     // GIR_Coverage, 23775,
     /* 1476298 */     GIR_EraseRootFromParent_Done,
     /* 1476299 */   // Label 20646: @1476299
     /* 1476299 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1476396), // Rule ID 23866 //
     /* 1476304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476354 */     // MIs[1] Operand 1
     /* 1476354 */     // No operand predicates
     /* 1476354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476358 */     // MIs[0] policy
     /* 1476358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476370 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1476373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476395 */     // GIR_Coverage, 23866,
     /* 1476395 */     GIR_EraseRootFromParent_Done,
     /* 1476396 */   // Label 20647: @1476396
     /* 1476396 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1476493), // Rule ID 23867 //
     /* 1476401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476451 */     // MIs[1] Operand 1
     /* 1476451 */     // No operand predicates
     /* 1476451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476455 */     // MIs[0] policy
     /* 1476455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1476470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476492 */     // GIR_Coverage, 23867,
     /* 1476492 */     GIR_EraseRootFromParent_Done,
     /* 1476493 */   // Label 20648: @1476493
     /* 1476493 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1476590), // Rule ID 23870 //
     /* 1476498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1476509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1476512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1476515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476548 */     // MIs[1] Operand 1
     /* 1476548 */     // No operand predicates
     /* 1476548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476552 */     // MIs[0] policy
     /* 1476552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476589 */     // GIR_Coverage, 23870,
     /* 1476589 */     GIR_EraseRootFromParent_Done,
     /* 1476590 */   // Label 20649: @1476590
     /* 1476590 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1476687), // Rule ID 23871 //
     /* 1476595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1476606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1476609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1476612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476645 */     // MIs[1] Operand 1
     /* 1476645 */     // No operand predicates
     /* 1476645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476649 */     // MIs[0] policy
     /* 1476649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476686 */     // GIR_Coverage, 23871,
     /* 1476686 */     GIR_EraseRootFromParent_Done,
     /* 1476687 */   // Label 20650: @1476687
     /* 1476687 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1476784), // Rule ID 23874 //
     /* 1476692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1476703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1476706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1476709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476742 */     // MIs[1] Operand 1
     /* 1476742 */     // No operand predicates
     /* 1476742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476746 */     // MIs[0] policy
     /* 1476746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1476761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476783 */     // GIR_Coverage, 23874,
     /* 1476783 */     GIR_EraseRootFromParent_Done,
     /* 1476784 */   // Label 20651: @1476784
     /* 1476784 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1476881), // Rule ID 23875 //
     /* 1476789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1476800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1476803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1476806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476839 */     // MIs[1] Operand 1
     /* 1476839 */     // No operand predicates
     /* 1476839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476843 */     // MIs[0] policy
     /* 1476843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476855 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1476858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476880 */     // GIR_Coverage, 23875,
     /* 1476880 */     GIR_EraseRootFromParent_Done,
     /* 1476881 */   // Label 20652: @1476881
     /* 1476881 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1476978), // Rule ID 23878 //
     /* 1476886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476936 */     // MIs[1] Operand 1
     /* 1476936 */     // No operand predicates
     /* 1476936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476940 */     // MIs[0] policy
     /* 1476940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476977 */     // GIR_Coverage, 23878,
     /* 1476977 */     GIR_EraseRootFromParent_Done,
     /* 1476978 */   // Label 20653: @1476978
     /* 1476978 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1477075), // Rule ID 23879 //
     /* 1476983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477033 */     // MIs[1] Operand 1
     /* 1477033 */     // No operand predicates
     /* 1477033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477037 */     // MIs[0] policy
     /* 1477037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477074 */     // GIR_Coverage, 23879,
     /* 1477074 */     GIR_EraseRootFromParent_Done,
     /* 1477075 */   // Label 20654: @1477075
     /* 1477075 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1477172), // Rule ID 23882 //
     /* 1477080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477130 */     // MIs[1] Operand 1
     /* 1477130 */     // No operand predicates
     /* 1477130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477134 */     // MIs[0] policy
     /* 1477134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477171 */     // GIR_Coverage, 23882,
     /* 1477171 */     GIR_EraseRootFromParent_Done,
     /* 1477172 */   // Label 20655: @1477172
     /* 1477172 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1477269), // Rule ID 23883 //
     /* 1477177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477227 */     // MIs[1] Operand 1
     /* 1477227 */     // No operand predicates
     /* 1477227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477231 */     // MIs[0] policy
     /* 1477231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477268 */     // GIR_Coverage, 23883,
     /* 1477268 */     GIR_EraseRootFromParent_Done,
     /* 1477269 */   // Label 20656: @1477269
     /* 1477269 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1477366), // Rule ID 23886 //
     /* 1477274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477324 */     // MIs[1] Operand 1
     /* 1477324 */     // No operand predicates
     /* 1477324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477328 */     // MIs[0] policy
     /* 1477328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477365 */     // GIR_Coverage, 23886,
     /* 1477365 */     GIR_EraseRootFromParent_Done,
     /* 1477366 */   // Label 20657: @1477366
     /* 1477366 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1477463), // Rule ID 23887 //
     /* 1477371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477421 */     // MIs[1] Operand 1
     /* 1477421 */     // No operand predicates
     /* 1477421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477425 */     // MIs[0] policy
     /* 1477425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477462 */     // GIR_Coverage, 23887,
     /* 1477462 */     GIR_EraseRootFromParent_Done,
     /* 1477463 */   // Label 20658: @1477463
     /* 1477463 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1477560), // Rule ID 23890 //
     /* 1477468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1477479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1477482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1477485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477518 */     // MIs[1] Operand 1
     /* 1477518 */     // No operand predicates
     /* 1477518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477522 */     // MIs[0] policy
     /* 1477522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477559 */     // GIR_Coverage, 23890,
     /* 1477559 */     GIR_EraseRootFromParent_Done,
     /* 1477560 */   // Label 20659: @1477560
     /* 1477560 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1477657), // Rule ID 23891 //
     /* 1477565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1477576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1477579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1477582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477615 */     // MIs[1] Operand 1
     /* 1477615 */     // No operand predicates
     /* 1477615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477619 */     // MIs[0] policy
     /* 1477619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477656 */     // GIR_Coverage, 23891,
     /* 1477656 */     GIR_EraseRootFromParent_Done,
     /* 1477657 */   // Label 20660: @1477657
     /* 1477657 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1477754), // Rule ID 23894 //
     /* 1477662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477712 */     // MIs[1] Operand 1
     /* 1477712 */     // No operand predicates
     /* 1477712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477716 */     // MIs[0] policy
     /* 1477716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477753 */     // GIR_Coverage, 23894,
     /* 1477753 */     GIR_EraseRootFromParent_Done,
     /* 1477754 */   // Label 20661: @1477754
     /* 1477754 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1477851), // Rule ID 23895 //
     /* 1477759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477809 */     // MIs[1] Operand 1
     /* 1477809 */     // No operand predicates
     /* 1477809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477813 */     // MIs[0] policy
     /* 1477813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477850 */     // GIR_Coverage, 23895,
     /* 1477850 */     GIR_EraseRootFromParent_Done,
     /* 1477851 */   // Label 20662: @1477851
     /* 1477851 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1477948), // Rule ID 23898 //
     /* 1477856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477906 */     // MIs[1] Operand 1
     /* 1477906 */     // No operand predicates
     /* 1477906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477910 */     // MIs[0] policy
     /* 1477910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477947 */     // GIR_Coverage, 23898,
     /* 1477947 */     GIR_EraseRootFromParent_Done,
     /* 1477948 */   // Label 20663: @1477948
     /* 1477948 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1478045), // Rule ID 23899 //
     /* 1477953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478003 */     // MIs[1] Operand 1
     /* 1478003 */     // No operand predicates
     /* 1478003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478007 */     // MIs[0] policy
     /* 1478007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478044 */     // GIR_Coverage, 23899,
     /* 1478044 */     GIR_EraseRootFromParent_Done,
     /* 1478045 */   // Label 20664: @1478045
     /* 1478045 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1478142), // Rule ID 23902 //
     /* 1478050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1478053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478100 */     // MIs[1] Operand 1
     /* 1478100 */     // No operand predicates
     /* 1478100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478104 */     // MIs[0] policy
     /* 1478104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478141 */     // GIR_Coverage, 23902,
     /* 1478141 */     GIR_EraseRootFromParent_Done,
     /* 1478142 */   // Label 20665: @1478142
     /* 1478142 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1478239), // Rule ID 23903 //
     /* 1478147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1478150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478197 */     // MIs[1] Operand 1
     /* 1478197 */     // No operand predicates
     /* 1478197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478201 */     // MIs[0] policy
     /* 1478201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478238 */     // GIR_Coverage, 23903,
     /* 1478238 */     GIR_EraseRootFromParent_Done,
     /* 1478239 */   // Label 20666: @1478239
     /* 1478239 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1478336), // Rule ID 23906 //
     /* 1478244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478294 */     // MIs[1] Operand 1
     /* 1478294 */     // No operand predicates
     /* 1478294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478298 */     // MIs[0] policy
     /* 1478298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478335 */     // GIR_Coverage, 23906,
     /* 1478335 */     GIR_EraseRootFromParent_Done,
     /* 1478336 */   // Label 20667: @1478336
     /* 1478336 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1478433), // Rule ID 23907 //
     /* 1478341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478391 */     // MIs[1] Operand 1
     /* 1478391 */     // No operand predicates
     /* 1478391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478395 */     // MIs[0] policy
     /* 1478395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478407 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478432 */     // GIR_Coverage, 23907,
     /* 1478432 */     GIR_EraseRootFromParent_Done,
     /* 1478433 */   // Label 20668: @1478433
     /* 1478433 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1478530), // Rule ID 23910 //
     /* 1478438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1478449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1478452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1478455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478488 */     // MIs[1] Operand 1
     /* 1478488 */     // No operand predicates
     /* 1478488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478492 */     // MIs[0] policy
     /* 1478492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478529 */     // GIR_Coverage, 23910,
     /* 1478529 */     GIR_EraseRootFromParent_Done,
     /* 1478530 */   // Label 20669: @1478530
     /* 1478530 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1478627), // Rule ID 23911 //
     /* 1478535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1478546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1478549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1478552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478585 */     // MIs[1] Operand 1
     /* 1478585 */     // No operand predicates
     /* 1478585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478589 */     // MIs[0] policy
     /* 1478589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478626 */     // GIR_Coverage, 23911,
     /* 1478626 */     GIR_EraseRootFromParent_Done,
     /* 1478627 */   // Label 20670: @1478627
     /* 1478627 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1478724), // Rule ID 23914 //
     /* 1478632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1478643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1478646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1478649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1478655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478682 */     // MIs[1] Operand 1
     /* 1478682 */     // No operand predicates
     /* 1478682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478686 */     // MIs[0] policy
     /* 1478686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478723 */     // GIR_Coverage, 23914,
     /* 1478723 */     GIR_EraseRootFromParent_Done,
     /* 1478724 */   // Label 20671: @1478724
     /* 1478724 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1478821), // Rule ID 23915 //
     /* 1478729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1478740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1478743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1478746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1478752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478779 */     // MIs[1] Operand 1
     /* 1478779 */     // No operand predicates
     /* 1478779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478783 */     // MIs[0] policy
     /* 1478783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478795 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478820 */     // GIR_Coverage, 23915,
     /* 1478820 */     GIR_EraseRootFromParent_Done,
     /* 1478821 */   // Label 20672: @1478821
     /* 1478821 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1478918), // Rule ID 23918 //
     /* 1478826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478876 */     // MIs[1] Operand 1
     /* 1478876 */     // No operand predicates
     /* 1478876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478880 */     // MIs[0] policy
     /* 1478880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478917 */     // GIR_Coverage, 23918,
     /* 1478917 */     GIR_EraseRootFromParent_Done,
     /* 1478918 */   // Label 20673: @1478918
     /* 1478918 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1479015), // Rule ID 23919 //
     /* 1478923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478973 */     // MIs[1] Operand 1
     /* 1478973 */     // No operand predicates
     /* 1478973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478977 */     // MIs[0] policy
     /* 1478977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478989 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479014 */     // GIR_Coverage, 23919,
     /* 1479014 */     GIR_EraseRootFromParent_Done,
     /* 1479015 */   // Label 20674: @1479015
     /* 1479015 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1479112), // Rule ID 23922 //
     /* 1479020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479070 */     // MIs[1] Operand 1
     /* 1479070 */     // No operand predicates
     /* 1479070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479074 */     // MIs[0] policy
     /* 1479074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479111 */     // GIR_Coverage, 23922,
     /* 1479111 */     GIR_EraseRootFromParent_Done,
     /* 1479112 */   // Label 20675: @1479112
     /* 1479112 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1479209), // Rule ID 23923 //
     /* 1479117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479167 */     // MIs[1] Operand 1
     /* 1479167 */     // No operand predicates
     /* 1479167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479171 */     // MIs[0] policy
     /* 1479171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479208 */     // GIR_Coverage, 23923,
     /* 1479208 */     GIR_EraseRootFromParent_Done,
     /* 1479209 */   // Label 20676: @1479209
     /* 1479209 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1479306), // Rule ID 23926 //
     /* 1479214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479264 */     // MIs[1] Operand 1
     /* 1479264 */     // No operand predicates
     /* 1479264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479268 */     // MIs[0] policy
     /* 1479268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479305 */     // GIR_Coverage, 23926,
     /* 1479305 */     GIR_EraseRootFromParent_Done,
     /* 1479306 */   // Label 20677: @1479306
     /* 1479306 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1479403), // Rule ID 23927 //
     /* 1479311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479361 */     // MIs[1] Operand 1
     /* 1479361 */     // No operand predicates
     /* 1479361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479365 */     // MIs[0] policy
     /* 1479365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479402 */     // GIR_Coverage, 23927,
     /* 1479402 */     GIR_EraseRootFromParent_Done,
     /* 1479403 */   // Label 20678: @1479403
     /* 1479403 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1479500), // Rule ID 23930 //
     /* 1479408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479458 */     // MIs[1] Operand 1
     /* 1479458 */     // No operand predicates
     /* 1479458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479462 */     // MIs[0] policy
     /* 1479462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479499 */     // GIR_Coverage, 23930,
     /* 1479499 */     GIR_EraseRootFromParent_Done,
     /* 1479500 */   // Label 20679: @1479500
     /* 1479500 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1479597), // Rule ID 23931 //
     /* 1479505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479555 */     // MIs[1] Operand 1
     /* 1479555 */     // No operand predicates
     /* 1479555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479559 */     // MIs[0] policy
     /* 1479559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479596 */     // GIR_Coverage, 23931,
     /* 1479596 */     GIR_EraseRootFromParent_Done,
     /* 1479597 */   // Label 20680: @1479597
     /* 1479597 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1479694), // Rule ID 23934 //
     /* 1479602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479652 */     // MIs[1] Operand 1
     /* 1479652 */     // No operand predicates
     /* 1479652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479656 */     // MIs[0] policy
     /* 1479656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479693 */     // GIR_Coverage, 23934,
     /* 1479693 */     GIR_EraseRootFromParent_Done,
     /* 1479694 */   // Label 20681: @1479694
     /* 1479694 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1479791), // Rule ID 23935 //
     /* 1479699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479749 */     // MIs[1] Operand 1
     /* 1479749 */     // No operand predicates
     /* 1479749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479753 */     // MIs[0] policy
     /* 1479753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479790 */     // GIR_Coverage, 23935,
     /* 1479790 */     GIR_EraseRootFromParent_Done,
     /* 1479791 */   // Label 20682: @1479791
     /* 1479791 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1479888), // Rule ID 23938 //
     /* 1479796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479846 */     // MIs[1] Operand 1
     /* 1479846 */     // No operand predicates
     /* 1479846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479850 */     // MIs[0] policy
     /* 1479850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479887 */     // GIR_Coverage, 23938,
     /* 1479887 */     GIR_EraseRootFromParent_Done,
     /* 1479888 */   // Label 20683: @1479888
     /* 1479888 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1479985), // Rule ID 23939 //
     /* 1479893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479943 */     // MIs[1] Operand 1
     /* 1479943 */     // No operand predicates
     /* 1479943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479947 */     // MIs[0] policy
     /* 1479947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479984 */     // GIR_Coverage, 23939,
     /* 1479984 */     GIR_EraseRootFromParent_Done,
     /* 1479985 */   // Label 20684: @1479985
     /* 1479985 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1480082), // Rule ID 23942 //
     /* 1479990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1479993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480040 */     // MIs[1] Operand 1
     /* 1480040 */     // No operand predicates
     /* 1480040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480044 */     // MIs[0] policy
     /* 1480044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1480059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480081 */     // GIR_Coverage, 23942,
     /* 1480081 */     GIR_EraseRootFromParent_Done,
     /* 1480082 */   // Label 20685: @1480082
     /* 1480082 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1480179), // Rule ID 23943 //
     /* 1480087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480137 */     // MIs[1] Operand 1
     /* 1480137 */     // No operand predicates
     /* 1480137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480141 */     // MIs[0] policy
     /* 1480141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1480156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480178 */     // GIR_Coverage, 23943,
     /* 1480178 */     GIR_EraseRootFromParent_Done,
     /* 1480179 */   // Label 20686: @1480179
     /* 1480179 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1480276), // Rule ID 23946 //
     /* 1480184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480234 */     // MIs[1] Operand 1
     /* 1480234 */     // No operand predicates
     /* 1480234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480238 */     // MIs[0] policy
     /* 1480238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480275 */     // GIR_Coverage, 23946,
     /* 1480275 */     GIR_EraseRootFromParent_Done,
     /* 1480276 */   // Label 20687: @1480276
     /* 1480276 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1480373), // Rule ID 23947 //
     /* 1480281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480331 */     // MIs[1] Operand 1
     /* 1480331 */     // No operand predicates
     /* 1480331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480335 */     // MIs[0] policy
     /* 1480335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480372 */     // GIR_Coverage, 23947,
     /* 1480372 */     GIR_EraseRootFromParent_Done,
     /* 1480373 */   // Label 20688: @1480373
     /* 1480373 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1480470), // Rule ID 23950 //
     /* 1480378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480428 */     // MIs[1] Operand 1
     /* 1480428 */     // No operand predicates
     /* 1480428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480432 */     // MIs[0] policy
     /* 1480432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480469 */     // GIR_Coverage, 23950,
     /* 1480469 */     GIR_EraseRootFromParent_Done,
     /* 1480470 */   // Label 20689: @1480470
     /* 1480470 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1480567), // Rule ID 23951 //
     /* 1480475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480525 */     // MIs[1] Operand 1
     /* 1480525 */     // No operand predicates
     /* 1480525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480529 */     // MIs[0] policy
     /* 1480529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480566 */     // GIR_Coverage, 23951,
     /* 1480566 */     GIR_EraseRootFromParent_Done,
     /* 1480567 */   // Label 20690: @1480567
     /* 1480567 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1480664), // Rule ID 24190 //
     /* 1480572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1480575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480622 */     // MIs[1] Operand 1
     /* 1480622 */     // No operand predicates
     /* 1480622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480626 */     // MIs[0] policy
     /* 1480626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480638 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1480641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480663 */     // GIR_Coverage, 24190,
     /* 1480663 */     GIR_EraseRootFromParent_Done,
     /* 1480664 */   // Label 20691: @1480664
     /* 1480664 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1480761), // Rule ID 24191 //
     /* 1480669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1480672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480719 */     // MIs[1] Operand 1
     /* 1480719 */     // No operand predicates
     /* 1480719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480723 */     // MIs[0] policy
     /* 1480723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480735 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1480738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480760 */     // GIR_Coverage, 24191,
     /* 1480760 */     GIR_EraseRootFromParent_Done,
     /* 1480761 */   // Label 20692: @1480761
     /* 1480761 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1480858), // Rule ID 24194 //
     /* 1480766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1480769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480816 */     // MIs[1] Operand 1
     /* 1480816 */     // No operand predicates
     /* 1480816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480820 */     // MIs[0] policy
     /* 1480820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480832 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1480835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480857 */     // GIR_Coverage, 24194,
     /* 1480857 */     GIR_EraseRootFromParent_Done,
     /* 1480858 */   // Label 20693: @1480858
     /* 1480858 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1480955), // Rule ID 24195 //
     /* 1480863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1480866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480913 */     // MIs[1] Operand 1
     /* 1480913 */     // No operand predicates
     /* 1480913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480917 */     // MIs[0] policy
     /* 1480917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480929 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1480932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480954 */     // GIR_Coverage, 24195,
     /* 1480954 */     GIR_EraseRootFromParent_Done,
     /* 1480955 */   // Label 20694: @1480955
     /* 1480955 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1481052), // Rule ID 24198 //
     /* 1480960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1480977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481010 */     // MIs[1] Operand 1
     /* 1481010 */     // No operand predicates
     /* 1481010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481014 */     // MIs[0] policy
     /* 1481014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481051 */     // GIR_Coverage, 24198,
     /* 1481051 */     GIR_EraseRootFromParent_Done,
     /* 1481052 */   // Label 20695: @1481052
     /* 1481052 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1481149), // Rule ID 24199 //
     /* 1481057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1481060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481107 */     // MIs[1] Operand 1
     /* 1481107 */     // No operand predicates
     /* 1481107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481111 */     // MIs[0] policy
     /* 1481111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481123 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481148 */     // GIR_Coverage, 24199,
     /* 1481148 */     GIR_EraseRootFromParent_Done,
     /* 1481149 */   // Label 20696: @1481149
     /* 1481149 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1481246), // Rule ID 24202 //
     /* 1481154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481204 */     // MIs[1] Operand 1
     /* 1481204 */     // No operand predicates
     /* 1481204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481208 */     // MIs[0] policy
     /* 1481208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481245 */     // GIR_Coverage, 24202,
     /* 1481245 */     GIR_EraseRootFromParent_Done,
     /* 1481246 */   // Label 20697: @1481246
     /* 1481246 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1481343), // Rule ID 24203 //
     /* 1481251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481301 */     // MIs[1] Operand 1
     /* 1481301 */     // No operand predicates
     /* 1481301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481305 */     // MIs[0] policy
     /* 1481305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481342 */     // GIR_Coverage, 24203,
     /* 1481342 */     GIR_EraseRootFromParent_Done,
     /* 1481343 */   // Label 20698: @1481343
     /* 1481343 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1481440), // Rule ID 24206 //
     /* 1481348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1481351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481398 */     // MIs[1] Operand 1
     /* 1481398 */     // No operand predicates
     /* 1481398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481402 */     // MIs[0] policy
     /* 1481402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481414 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481439 */     // GIR_Coverage, 24206,
     /* 1481439 */     GIR_EraseRootFromParent_Done,
     /* 1481440 */   // Label 20699: @1481440
     /* 1481440 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1481537), // Rule ID 24207 //
     /* 1481445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1481448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481495 */     // MIs[1] Operand 1
     /* 1481495 */     // No operand predicates
     /* 1481495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481499 */     // MIs[0] policy
     /* 1481499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481511 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481536 */     // GIR_Coverage, 24207,
     /* 1481536 */     GIR_EraseRootFromParent_Done,
     /* 1481537 */   // Label 20700: @1481537
     /* 1481537 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1481634), // Rule ID 24210 //
     /* 1481542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1481545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481592 */     // MIs[1] Operand 1
     /* 1481592 */     // No operand predicates
     /* 1481592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481596 */     // MIs[0] policy
     /* 1481596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481608 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481633 */     // GIR_Coverage, 24210,
     /* 1481633 */     GIR_EraseRootFromParent_Done,
     /* 1481634 */   // Label 20701: @1481634
     /* 1481634 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1481731), // Rule ID 24211 //
     /* 1481639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1481642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481689 */     // MIs[1] Operand 1
     /* 1481689 */     // No operand predicates
     /* 1481689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481693 */     // MIs[0] policy
     /* 1481693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481705 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481730 */     // GIR_Coverage, 24211,
     /* 1481730 */     GIR_EraseRootFromParent_Done,
     /* 1481731 */   // Label 20702: @1481731
     /* 1481731 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1481828), // Rule ID 24214 //
     /* 1481736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1481753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481786 */     // MIs[1] Operand 1
     /* 1481786 */     // No operand predicates
     /* 1481786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481790 */     // MIs[0] policy
     /* 1481790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1481805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481827 */     // GIR_Coverage, 24214,
     /* 1481827 */     GIR_EraseRootFromParent_Done,
     /* 1481828 */   // Label 20703: @1481828
     /* 1481828 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1481925), // Rule ID 24215 //
     /* 1481833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1481850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481883 */     // MIs[1] Operand 1
     /* 1481883 */     // No operand predicates
     /* 1481883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481887 */     // MIs[0] policy
     /* 1481887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481899 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1481902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481924 */     // GIR_Coverage, 24215,
     /* 1481924 */     GIR_EraseRootFromParent_Done,
     /* 1481925 */   // Label 20704: @1481925
     /* 1481925 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1482022), // Rule ID 24218 //
     /* 1481930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1481941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1481944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1481947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481980 */     // MIs[1] Operand 1
     /* 1481980 */     // No operand predicates
     /* 1481980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481984 */     // MIs[0] policy
     /* 1481984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1481999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482021 */     // GIR_Coverage, 24218,
     /* 1482021 */     GIR_EraseRootFromParent_Done,
     /* 1482022 */   // Label 20705: @1482022
     /* 1482022 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1482119), // Rule ID 24219 //
     /* 1482027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482077 */     // MIs[1] Operand 1
     /* 1482077 */     // No operand predicates
     /* 1482077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482081 */     // MIs[0] policy
     /* 1482081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482093 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1482096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482118 */     // GIR_Coverage, 24219,
     /* 1482118 */     GIR_EraseRootFromParent_Done,
     /* 1482119 */   // Label 20706: @1482119
     /* 1482119 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1482216), // Rule ID 24222 //
     /* 1482124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482174 */     // MIs[1] Operand 1
     /* 1482174 */     // No operand predicates
     /* 1482174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482178 */     // MIs[0] policy
     /* 1482178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482215 */     // GIR_Coverage, 24222,
     /* 1482215 */     GIR_EraseRootFromParent_Done,
     /* 1482216 */   // Label 20707: @1482216
     /* 1482216 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1482313), // Rule ID 24223 //
     /* 1482221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482271 */     // MIs[1] Operand 1
     /* 1482271 */     // No operand predicates
     /* 1482271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482275 */     // MIs[0] policy
     /* 1482275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482287 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482312 */     // GIR_Coverage, 24223,
     /* 1482312 */     GIR_EraseRootFromParent_Done,
     /* 1482313 */   // Label 20708: @1482313
     /* 1482313 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1482410), // Rule ID 24226 //
     /* 1482318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482368 */     // MIs[1] Operand 1
     /* 1482368 */     // No operand predicates
     /* 1482368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482372 */     // MIs[0] policy
     /* 1482372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482409 */     // GIR_Coverage, 24226,
     /* 1482409 */     GIR_EraseRootFromParent_Done,
     /* 1482410 */   // Label 20709: @1482410
     /* 1482410 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1482507), // Rule ID 24227 //
     /* 1482415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482465 */     // MIs[1] Operand 1
     /* 1482465 */     // No operand predicates
     /* 1482465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482469 */     // MIs[0] policy
     /* 1482469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482481 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482506 */     // GIR_Coverage, 24227,
     /* 1482506 */     GIR_EraseRootFromParent_Done,
     /* 1482507 */   // Label 20710: @1482507
     /* 1482507 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1482604), // Rule ID 24230 //
     /* 1482512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482562 */     // MIs[1] Operand 1
     /* 1482562 */     // No operand predicates
     /* 1482562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482566 */     // MIs[0] policy
     /* 1482566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482578 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1482581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482603 */     // GIR_Coverage, 24230,
     /* 1482603 */     GIR_EraseRootFromParent_Done,
     /* 1482604 */   // Label 20711: @1482604
     /* 1482604 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1482701), // Rule ID 24231 //
     /* 1482609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482659 */     // MIs[1] Operand 1
     /* 1482659 */     // No operand predicates
     /* 1482659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482663 */     // MIs[0] policy
     /* 1482663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482675 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1482678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482700 */     // GIR_Coverage, 24231,
     /* 1482700 */     GIR_EraseRootFromParent_Done,
     /* 1482701 */   // Label 20712: @1482701
     /* 1482701 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1482798), // Rule ID 24234 //
     /* 1482706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1482717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1482720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1482723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482756 */     // MIs[1] Operand 1
     /* 1482756 */     // No operand predicates
     /* 1482756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482760 */     // MIs[0] policy
     /* 1482760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482772 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482797 */     // GIR_Coverage, 24234,
     /* 1482797 */     GIR_EraseRootFromParent_Done,
     /* 1482798 */   // Label 20713: @1482798
     /* 1482798 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1482895), // Rule ID 24235 //
     /* 1482803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1482814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1482817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1482820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482853 */     // MIs[1] Operand 1
     /* 1482853 */     // No operand predicates
     /* 1482853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482857 */     // MIs[0] policy
     /* 1482857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482869 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482894 */     // GIR_Coverage, 24235,
     /* 1482894 */     GIR_EraseRootFromParent_Done,
     /* 1482895 */   // Label 20714: @1482895
     /* 1482895 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1482992), // Rule ID 24238 //
     /* 1482900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1482903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1482911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1482914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1482917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482950 */     // MIs[1] Operand 1
     /* 1482950 */     // No operand predicates
     /* 1482950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482954 */     // MIs[0] policy
     /* 1482954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482966 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482991 */     // GIR_Coverage, 24238,
     /* 1482991 */     GIR_EraseRootFromParent_Done,
     /* 1482992 */   // Label 20715: @1482992
     /* 1482992 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1483089), // Rule ID 24239 //
     /* 1482997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483047 */     // MIs[1] Operand 1
     /* 1483047 */     // No operand predicates
     /* 1483047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483051 */     // MIs[0] policy
     /* 1483051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1483066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483088 */     // GIR_Coverage, 24239,
     /* 1483088 */     GIR_EraseRootFromParent_Done,
     /* 1483089 */   // Label 20716: @1483089
     /* 1483089 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1483186), // Rule ID 24242 //
     /* 1483094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483144 */     // MIs[1] Operand 1
     /* 1483144 */     // No operand predicates
     /* 1483144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483148 */     // MIs[0] policy
     /* 1483148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483160 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483185 */     // GIR_Coverage, 24242,
     /* 1483185 */     GIR_EraseRootFromParent_Done,
     /* 1483186 */   // Label 20717: @1483186
     /* 1483186 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1483283), // Rule ID 24243 //
     /* 1483191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483241 */     // MIs[1] Operand 1
     /* 1483241 */     // No operand predicates
     /* 1483241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483245 */     // MIs[0] policy
     /* 1483245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483257 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483282 */     // GIR_Coverage, 24243,
     /* 1483282 */     GIR_EraseRootFromParent_Done,
     /* 1483283 */   // Label 20718: @1483283
     /* 1483283 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1483380), // Rule ID 24246 //
     /* 1483288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483338 */     // MIs[1] Operand 1
     /* 1483338 */     // No operand predicates
     /* 1483338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483342 */     // MIs[0] policy
     /* 1483342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483354 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483379 */     // GIR_Coverage, 24246,
     /* 1483379 */     GIR_EraseRootFromParent_Done,
     /* 1483380 */   // Label 20719: @1483380
     /* 1483380 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1483477), // Rule ID 24247 //
     /* 1483385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483435 */     // MIs[1] Operand 1
     /* 1483435 */     // No operand predicates
     /* 1483435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483439 */     // MIs[0] policy
     /* 1483439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483451 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483476 */     // GIR_Coverage, 24247,
     /* 1483476 */     GIR_EraseRootFromParent_Done,
     /* 1483477 */   // Label 20720: @1483477
     /* 1483477 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1483574), // Rule ID 24310 //
     /* 1483482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1483485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1483493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1483496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1483499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483532 */     // MIs[1] Operand 1
     /* 1483532 */     // No operand predicates
     /* 1483532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483536 */     // MIs[0] policy
     /* 1483536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483548 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1483551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483573 */     // GIR_Coverage, 24310,
     /* 1483573 */     GIR_EraseRootFromParent_Done,
     /* 1483574 */   // Label 20721: @1483574
     /* 1483574 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1483671), // Rule ID 24311 //
     /* 1483579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1483582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1483590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1483593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1483596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483629 */     // MIs[1] Operand 1
     /* 1483629 */     // No operand predicates
     /* 1483629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483633 */     // MIs[0] policy
     /* 1483633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483645 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1483648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483670 */     // GIR_Coverage, 24311,
     /* 1483670 */     GIR_EraseRootFromParent_Done,
     /* 1483671 */   // Label 20722: @1483671
     /* 1483671 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1483768), // Rule ID 24314 //
     /* 1483676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1483679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1483687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1483690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1483693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483726 */     // MIs[1] Operand 1
     /* 1483726 */     // No operand predicates
     /* 1483726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483730 */     // MIs[0] policy
     /* 1483730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483742 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1483745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483767 */     // GIR_Coverage, 24314,
     /* 1483767 */     GIR_EraseRootFromParent_Done,
     /* 1483768 */   // Label 20723: @1483768
     /* 1483768 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1483865), // Rule ID 24315 //
     /* 1483773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1483776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1483784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1483787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1483790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483823 */     // MIs[1] Operand 1
     /* 1483823 */     // No operand predicates
     /* 1483823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483827 */     // MIs[0] policy
     /* 1483827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483839 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1483842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483864 */     // GIR_Coverage, 24315,
     /* 1483864 */     GIR_EraseRootFromParent_Done,
     /* 1483865 */   // Label 20724: @1483865
     /* 1483865 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1483962), // Rule ID 24318 //
     /* 1483870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1483881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1483884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1483887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483920 */     // MIs[1] Operand 1
     /* 1483920 */     // No operand predicates
     /* 1483920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483924 */     // MIs[0] policy
     /* 1483924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1483939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483961 */     // GIR_Coverage, 24318,
     /* 1483961 */     GIR_EraseRootFromParent_Done,
     /* 1483962 */   // Label 20725: @1483962
     /* 1483962 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1484059), // Rule ID 24319 //
     /* 1483967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1483978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1483981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1483984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484017 */     // MIs[1] Operand 1
     /* 1484017 */     // No operand predicates
     /* 1484017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484021 */     // MIs[0] policy
     /* 1484021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484033 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1484036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484058 */     // GIR_Coverage, 24319,
     /* 1484058 */     GIR_EraseRootFromParent_Done,
     /* 1484059 */   // Label 20726: @1484059
     /* 1484059 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1484156), // Rule ID 24322 //
     /* 1484064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1484081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484114 */     // MIs[1] Operand 1
     /* 1484114 */     // No operand predicates
     /* 1484114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484118 */     // MIs[0] policy
     /* 1484118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484155 */     // GIR_Coverage, 24322,
     /* 1484155 */     GIR_EraseRootFromParent_Done,
     /* 1484156 */   // Label 20727: @1484156
     /* 1484156 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1484253), // Rule ID 24323 //
     /* 1484161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1484178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484211 */     // MIs[1] Operand 1
     /* 1484211 */     // No operand predicates
     /* 1484211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484215 */     // MIs[0] policy
     /* 1484215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484252 */     // GIR_Coverage, 24323,
     /* 1484252 */     GIR_EraseRootFromParent_Done,
     /* 1484253 */   // Label 20728: @1484253
     /* 1484253 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1484350), // Rule ID 24326 //
     /* 1484258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484308 */     // MIs[1] Operand 1
     /* 1484308 */     // No operand predicates
     /* 1484308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484312 */     // MIs[0] policy
     /* 1484312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484349 */     // GIR_Coverage, 24326,
     /* 1484349 */     GIR_EraseRootFromParent_Done,
     /* 1484350 */   // Label 20729: @1484350
     /* 1484350 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1484447), // Rule ID 24327 //
     /* 1484355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484405 */     // MIs[1] Operand 1
     /* 1484405 */     // No operand predicates
     /* 1484405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484409 */     // MIs[0] policy
     /* 1484409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484421 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484446 */     // GIR_Coverage, 24327,
     /* 1484446 */     GIR_EraseRootFromParent_Done,
     /* 1484447 */   // Label 20730: @1484447
     /* 1484447 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1484544), // Rule ID 24330 //
     /* 1484452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484502 */     // MIs[1] Operand 1
     /* 1484502 */     // No operand predicates
     /* 1484502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484506 */     // MIs[0] policy
     /* 1484506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484518 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484543 */     // GIR_Coverage, 24330,
     /* 1484543 */     GIR_EraseRootFromParent_Done,
     /* 1484544 */   // Label 20731: @1484544
     /* 1484544 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1484641), // Rule ID 24331 //
     /* 1484549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484599 */     // MIs[1] Operand 1
     /* 1484599 */     // No operand predicates
     /* 1484599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484603 */     // MIs[0] policy
     /* 1484603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484615 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484640 */     // GIR_Coverage, 24331,
     /* 1484640 */     GIR_EraseRootFromParent_Done,
     /* 1484641 */   // Label 20732: @1484641
     /* 1484641 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1484738), // Rule ID 24334 //
     /* 1484646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1484657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1484660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1484663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484696 */     // MIs[1] Operand 1
     /* 1484696 */     // No operand predicates
     /* 1484696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484700 */     // MIs[0] policy
     /* 1484700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484737 */     // GIR_Coverage, 24334,
     /* 1484737 */     GIR_EraseRootFromParent_Done,
     /* 1484738 */   // Label 20733: @1484738
     /* 1484738 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1484835), // Rule ID 24335 //
     /* 1484743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1484754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1484757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1484760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484793 */     // MIs[1] Operand 1
     /* 1484793 */     // No operand predicates
     /* 1484793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484797 */     // MIs[0] policy
     /* 1484797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484809 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484834 */     // GIR_Coverage, 24335,
     /* 1484834 */     GIR_EraseRootFromParent_Done,
     /* 1484835 */   // Label 20734: @1484835
     /* 1484835 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1484932), // Rule ID 24338 //
     /* 1484840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1484851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1484854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1484857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484890 */     // MIs[1] Operand 1
     /* 1484890 */     // No operand predicates
     /* 1484890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484894 */     // MIs[0] policy
     /* 1484894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484906 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484931 */     // GIR_Coverage, 24338,
     /* 1484931 */     GIR_EraseRootFromParent_Done,
     /* 1484932 */   // Label 20735: @1484932
     /* 1484932 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1485029), // Rule ID 24339 //
     /* 1484937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1484948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1484951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1484954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484987 */     // MIs[1] Operand 1
     /* 1484987 */     // No operand predicates
     /* 1484987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484991 */     // MIs[0] policy
     /* 1484991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485028 */     // GIR_Coverage, 24339,
     /* 1485028 */     GIR_EraseRootFromParent_Done,
     /* 1485029 */   // Label 20736: @1485029
     /* 1485029 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1485126), // Rule ID 24342 //
     /* 1485034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1485037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485084 */     // MIs[1] Operand 1
     /* 1485084 */     // No operand predicates
     /* 1485084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485088 */     // MIs[0] policy
     /* 1485088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485100 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485125 */     // GIR_Coverage, 24342,
     /* 1485125 */     GIR_EraseRootFromParent_Done,
     /* 1485126 */   // Label 20737: @1485126
     /* 1485126 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1485223), // Rule ID 24343 //
     /* 1485131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1485134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485181 */     // MIs[1] Operand 1
     /* 1485181 */     // No operand predicates
     /* 1485181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485185 */     // MIs[0] policy
     /* 1485185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485197 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485222 */     // GIR_Coverage, 24343,
     /* 1485222 */     GIR_EraseRootFromParent_Done,
     /* 1485223 */   // Label 20738: @1485223
     /* 1485223 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1485320), // Rule ID 24346 //
     /* 1485228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485278 */     // MIs[1] Operand 1
     /* 1485278 */     // No operand predicates
     /* 1485278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485282 */     // MIs[0] policy
     /* 1485282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485294 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485319 */     // GIR_Coverage, 24346,
     /* 1485319 */     GIR_EraseRootFromParent_Done,
     /* 1485320 */   // Label 20739: @1485320
     /* 1485320 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1485417), // Rule ID 24347 //
     /* 1485325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485375 */     // MIs[1] Operand 1
     /* 1485375 */     // No operand predicates
     /* 1485375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485379 */     // MIs[0] policy
     /* 1485379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485391 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485416 */     // GIR_Coverage, 24347,
     /* 1485416 */     GIR_EraseRootFromParent_Done,
     /* 1485417 */   // Label 20740: @1485417
     /* 1485417 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1485514), // Rule ID 24350 //
     /* 1485422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485472 */     // MIs[1] Operand 1
     /* 1485472 */     // No operand predicates
     /* 1485472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485476 */     // MIs[0] policy
     /* 1485476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485513 */     // GIR_Coverage, 24350,
     /* 1485513 */     GIR_EraseRootFromParent_Done,
     /* 1485514 */   // Label 20741: @1485514
     /* 1485514 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1485611), // Rule ID 24351 //
     /* 1485519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485569 */     // MIs[1] Operand 1
     /* 1485569 */     // No operand predicates
     /* 1485569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485573 */     // MIs[0] policy
     /* 1485573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485610 */     // GIR_Coverage, 24351,
     /* 1485610 */     GIR_EraseRootFromParent_Done,
     /* 1485611 */   // Label 20742: @1485611
     /* 1485611 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1485708), // Rule ID 24354 //
     /* 1485616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485666 */     // MIs[1] Operand 1
     /* 1485666 */     // No operand predicates
     /* 1485666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485670 */     // MIs[0] policy
     /* 1485670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485707 */     // GIR_Coverage, 24354,
     /* 1485707 */     GIR_EraseRootFromParent_Done,
     /* 1485708 */   // Label 20743: @1485708
     /* 1485708 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1485805), // Rule ID 24355 //
     /* 1485713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485763 */     // MIs[1] Operand 1
     /* 1485763 */     // No operand predicates
     /* 1485763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485767 */     // MIs[0] policy
     /* 1485767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485779 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485804 */     // GIR_Coverage, 24355,
     /* 1485804 */     GIR_EraseRootFromParent_Done,
     /* 1485805 */   // Label 20744: @1485805
     /* 1485805 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1485902), // Rule ID 24358 //
     /* 1485810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485860 */     // MIs[1] Operand 1
     /* 1485860 */     // No operand predicates
     /* 1485860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485864 */     // MIs[0] policy
     /* 1485864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485901 */     // GIR_Coverage, 24358,
     /* 1485901 */     GIR_EraseRootFromParent_Done,
     /* 1485902 */   // Label 20745: @1485902
     /* 1485902 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1485999), // Rule ID 24359 //
     /* 1485907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485957 */     // MIs[1] Operand 1
     /* 1485957 */     // No operand predicates
     /* 1485957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485961 */     // MIs[0] policy
     /* 1485961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485973 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485998 */     // GIR_Coverage, 24359,
     /* 1485998 */     GIR_EraseRootFromParent_Done,
     /* 1485999 */   // Label 20746: @1485999
     /* 1485999 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1486096), // Rule ID 24362 //
     /* 1486004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1486007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1486015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1486018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1486021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486054 */     // MIs[1] Operand 1
     /* 1486054 */     // No operand predicates
     /* 1486054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486058 */     // MIs[0] policy
     /* 1486058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486070 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1486073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486095 */     // GIR_Coverage, 24362,
     /* 1486095 */     GIR_EraseRootFromParent_Done,
     /* 1486096 */   // Label 20747: @1486096
     /* 1486096 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1486193), // Rule ID 24363 //
     /* 1486101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1486112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1486115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1486118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486151 */     // MIs[1] Operand 1
     /* 1486151 */     // No operand predicates
     /* 1486151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486155 */     // MIs[0] policy
     /* 1486155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486167 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1486170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486192 */     // GIR_Coverage, 24363,
     /* 1486192 */     GIR_EraseRootFromParent_Done,
     /* 1486193 */   // Label 20748: @1486193
     /* 1486193 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1486290), // Rule ID 24366 //
     /* 1486198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1486201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486248 */     // MIs[1] Operand 1
     /* 1486248 */     // No operand predicates
     /* 1486248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486252 */     // MIs[0] policy
     /* 1486252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486289 */     // GIR_Coverage, 24366,
     /* 1486289 */     GIR_EraseRootFromParent_Done,
     /* 1486290 */   // Label 20749: @1486290
     /* 1486290 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1486387), // Rule ID 24367 //
     /* 1486295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486345 */     // MIs[1] Operand 1
     /* 1486345 */     // No operand predicates
     /* 1486345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486349 */     // MIs[0] policy
     /* 1486349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486361 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486386 */     // GIR_Coverage, 24367,
     /* 1486386 */     GIR_EraseRootFromParent_Done,
     /* 1486387 */   // Label 20750: @1486387
     /* 1486387 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1486484), // Rule ID 24666 //
     /* 1486392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1486403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1486406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486442 */     // MIs[1] Operand 1
     /* 1486442 */     // No operand predicates
     /* 1486442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486446 */     // MIs[0] policy
     /* 1486446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486458 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1486461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486483 */     // GIR_Coverage, 24666,
     /* 1486483 */     GIR_EraseRootFromParent_Done,
     /* 1486484 */   // Label 20751: @1486484
     /* 1486484 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1486581), // Rule ID 24667 //
     /* 1486489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1486500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1486503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486539 */     // MIs[1] Operand 1
     /* 1486539 */     // No operand predicates
     /* 1486539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486543 */     // MIs[0] policy
     /* 1486543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1486558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486580 */     // GIR_Coverage, 24667,
     /* 1486580 */     GIR_EraseRootFromParent_Done,
     /* 1486581 */   // Label 20752: @1486581
     /* 1486581 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1486678), // Rule ID 24670 //
     /* 1486586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1486597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1486600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1486603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486636 */     // MIs[1] Operand 1
     /* 1486636 */     // No operand predicates
     /* 1486636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486640 */     // MIs[0] policy
     /* 1486640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486677 */     // GIR_Coverage, 24670,
     /* 1486677 */     GIR_EraseRootFromParent_Done,
     /* 1486678 */   // Label 20753: @1486678
     /* 1486678 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1486775), // Rule ID 24671 //
     /* 1486683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1486694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1486697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1486700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486733 */     // MIs[1] Operand 1
     /* 1486733 */     // No operand predicates
     /* 1486733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486737 */     // MIs[0] policy
     /* 1486737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486774 */     // GIR_Coverage, 24671,
     /* 1486774 */     GIR_EraseRootFromParent_Done,
     /* 1486775 */   // Label 20754: @1486775
     /* 1486775 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1486872), // Rule ID 24674 //
     /* 1486780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1486791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1486794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1486797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486830 */     // MIs[1] Operand 1
     /* 1486830 */     // No operand predicates
     /* 1486830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486834 */     // MIs[0] policy
     /* 1486834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486871 */     // GIR_Coverage, 24674,
     /* 1486871 */     GIR_EraseRootFromParent_Done,
     /* 1486872 */   // Label 20755: @1486872
     /* 1486872 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1486969), // Rule ID 24675 //
     /* 1486877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1486888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1486891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1486894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486927 */     // MIs[1] Operand 1
     /* 1486927 */     // No operand predicates
     /* 1486927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486931 */     // MIs[0] policy
     /* 1486931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486968 */     // GIR_Coverage, 24675,
     /* 1486968 */     GIR_EraseRootFromParent_Done,
     /* 1486969 */   // Label 20756: @1486969
     /* 1486969 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1487066), // Rule ID 24678 //
     /* 1486974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487024 */     // MIs[1] Operand 1
     /* 1487024 */     // No operand predicates
     /* 1487024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487028 */     // MIs[0] policy
     /* 1487028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487065 */     // GIR_Coverage, 24678,
     /* 1487065 */     GIR_EraseRootFromParent_Done,
     /* 1487066 */   // Label 20757: @1487066
     /* 1487066 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1487163), // Rule ID 24679 //
     /* 1487071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1487088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487121 */     // MIs[1] Operand 1
     /* 1487121 */     // No operand predicates
     /* 1487121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487125 */     // MIs[0] policy
     /* 1487125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487162 */     // GIR_Coverage, 24679,
     /* 1487162 */     GIR_EraseRootFromParent_Done,
     /* 1487163 */   // Label 20758: @1487163
     /* 1487163 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1487260), // Rule ID 24682 //
     /* 1487168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487218 */     // MIs[1] Operand 1
     /* 1487218 */     // No operand predicates
     /* 1487218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487222 */     // MIs[0] policy
     /* 1487222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487259 */     // GIR_Coverage, 24682,
     /* 1487259 */     GIR_EraseRootFromParent_Done,
     /* 1487260 */   // Label 20759: @1487260
     /* 1487260 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1487357), // Rule ID 24683 //
     /* 1487265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487315 */     // MIs[1] Operand 1
     /* 1487315 */     // No operand predicates
     /* 1487315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487319 */     // MIs[0] policy
     /* 1487319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487356 */     // GIR_Coverage, 24683,
     /* 1487356 */     GIR_EraseRootFromParent_Done,
     /* 1487357 */   // Label 20760: @1487357
     /* 1487357 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1487454), // Rule ID 24686 //
     /* 1487362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1487373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1487376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487412 */     // MIs[1] Operand 1
     /* 1487412 */     // No operand predicates
     /* 1487412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487416 */     // MIs[0] policy
     /* 1487416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487453 */     // GIR_Coverage, 24686,
     /* 1487453 */     GIR_EraseRootFromParent_Done,
     /* 1487454 */   // Label 20761: @1487454
     /* 1487454 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1487551), // Rule ID 24687 //
     /* 1487459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1487470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1487473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487509 */     // MIs[1] Operand 1
     /* 1487509 */     // No operand predicates
     /* 1487509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487513 */     // MIs[0] policy
     /* 1487513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487550 */     // GIR_Coverage, 24687,
     /* 1487550 */     GIR_EraseRootFromParent_Done,
     /* 1487551 */   // Label 20762: @1487551
     /* 1487551 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1487648), // Rule ID 24690 //
     /* 1487556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1487567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1487570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487606 */     // MIs[1] Operand 1
     /* 1487606 */     // No operand predicates
     /* 1487606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487610 */     // MIs[0] policy
     /* 1487610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1487625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487647 */     // GIR_Coverage, 24690,
     /* 1487647 */     GIR_EraseRootFromParent_Done,
     /* 1487648 */   // Label 20763: @1487648
     /* 1487648 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1487745), // Rule ID 24691 //
     /* 1487653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1487664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1487667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487703 */     // MIs[1] Operand 1
     /* 1487703 */     // No operand predicates
     /* 1487703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487707 */     // MIs[0] policy
     /* 1487707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1487722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487744 */     // GIR_Coverage, 24691,
     /* 1487744 */     GIR_EraseRootFromParent_Done,
     /* 1487745 */   // Label 20764: @1487745
     /* 1487745 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1487842), // Rule ID 24694 //
     /* 1487750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1487767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487800 */     // MIs[1] Operand 1
     /* 1487800 */     // No operand predicates
     /* 1487800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487804 */     // MIs[0] policy
     /* 1487804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1487819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487841 */     // GIR_Coverage, 24694,
     /* 1487841 */     GIR_EraseRootFromParent_Done,
     /* 1487842 */   // Label 20765: @1487842
     /* 1487842 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1487939), // Rule ID 24695 //
     /* 1487847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1487864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487897 */     // MIs[1] Operand 1
     /* 1487897 */     // No operand predicates
     /* 1487897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487901 */     // MIs[0] policy
     /* 1487901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1487916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487938 */     // GIR_Coverage, 24695,
     /* 1487938 */     GIR_EraseRootFromParent_Done,
     /* 1487939 */   // Label 20766: @1487939
     /* 1487939 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1488036), // Rule ID 24698 //
     /* 1487944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1487955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1487958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1487961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487994 */     // MIs[1] Operand 1
     /* 1487994 */     // No operand predicates
     /* 1487994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487998 */     // MIs[0] policy
     /* 1487998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488035 */     // GIR_Coverage, 24698,
     /* 1488035 */     GIR_EraseRootFromParent_Done,
     /* 1488036 */   // Label 20767: @1488036
     /* 1488036 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1488133), // Rule ID 24699 //
     /* 1488041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488091 */     // MIs[1] Operand 1
     /* 1488091 */     // No operand predicates
     /* 1488091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488095 */     // MIs[0] policy
     /* 1488095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488132 */     // GIR_Coverage, 24699,
     /* 1488132 */     GIR_EraseRootFromParent_Done,
     /* 1488133 */   // Label 20768: @1488133
     /* 1488133 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1488230), // Rule ID 24702 //
     /* 1488138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1488155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488188 */     // MIs[1] Operand 1
     /* 1488188 */     // No operand predicates
     /* 1488188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488192 */     // MIs[0] policy
     /* 1488192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488229 */     // GIR_Coverage, 24702,
     /* 1488229 */     GIR_EraseRootFromParent_Done,
     /* 1488230 */   // Label 20769: @1488230
     /* 1488230 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1488327), // Rule ID 24703 //
     /* 1488235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1488252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488285 */     // MIs[1] Operand 1
     /* 1488285 */     // No operand predicates
     /* 1488285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488289 */     // MIs[0] policy
     /* 1488289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488326 */     // GIR_Coverage, 24703,
     /* 1488326 */     GIR_EraseRootFromParent_Done,
     /* 1488327 */   // Label 20770: @1488327
     /* 1488327 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1488424), // Rule ID 24706 //
     /* 1488332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1488343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1488346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488382 */     // MIs[1] Operand 1
     /* 1488382 */     // No operand predicates
     /* 1488382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488386 */     // MIs[0] policy
     /* 1488386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488398 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488423 */     // GIR_Coverage, 24706,
     /* 1488423 */     GIR_EraseRootFromParent_Done,
     /* 1488424 */   // Label 20771: @1488424
     /* 1488424 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1488521), // Rule ID 24707 //
     /* 1488429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1488440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1488443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488479 */     // MIs[1] Operand 1
     /* 1488479 */     // No operand predicates
     /* 1488479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488483 */     // MIs[0] policy
     /* 1488483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488495 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488520 */     // GIR_Coverage, 24707,
     /* 1488520 */     GIR_EraseRootFromParent_Done,
     /* 1488521 */   // Label 20772: @1488521
     /* 1488521 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1488618), // Rule ID 24710 //
     /* 1488526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1488537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1488540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488576 */     // MIs[1] Operand 1
     /* 1488576 */     // No operand predicates
     /* 1488576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488580 */     // MIs[0] policy
     /* 1488580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1488595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488617 */     // GIR_Coverage, 24710,
     /* 1488617 */     GIR_EraseRootFromParent_Done,
     /* 1488618 */   // Label 20773: @1488618
     /* 1488618 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1488715), // Rule ID 24711 //
     /* 1488623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1488634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1488637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488673 */     // MIs[1] Operand 1
     /* 1488673 */     // No operand predicates
     /* 1488673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488677 */     // MIs[0] policy
     /* 1488677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488689 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1488692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488714 */     // GIR_Coverage, 24711,
     /* 1488714 */     GIR_EraseRootFromParent_Done,
     /* 1488715 */   // Label 20774: @1488715
     /* 1488715 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1488812), // Rule ID 24714 //
     /* 1488720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1488731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1488734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1488737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1488743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488770 */     // MIs[1] Operand 1
     /* 1488770 */     // No operand predicates
     /* 1488770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488774 */     // MIs[0] policy
     /* 1488774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1488789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488811 */     // GIR_Coverage, 24714,
     /* 1488811 */     GIR_EraseRootFromParent_Done,
     /* 1488812 */   // Label 20775: @1488812
     /* 1488812 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1488909), // Rule ID 24715 //
     /* 1488817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1488828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1488831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1488834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1488840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488867 */     // MIs[1] Operand 1
     /* 1488867 */     // No operand predicates
     /* 1488867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488871 */     // MIs[0] policy
     /* 1488871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1488886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488908 */     // GIR_Coverage, 24715,
     /* 1488908 */     GIR_EraseRootFromParent_Done,
     /* 1488909 */   // Label 20776: @1488909
     /* 1488909 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1489006), // Rule ID 24718 //
     /* 1488914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1488925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1488928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1488931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488964 */     // MIs[1] Operand 1
     /* 1488964 */     // No operand predicates
     /* 1488964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488968 */     // MIs[0] policy
     /* 1488968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489005 */     // GIR_Coverage, 24718,
     /* 1489005 */     GIR_EraseRootFromParent_Done,
     /* 1489006 */   // Label 20777: @1489006
     /* 1489006 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1489103), // Rule ID 24719 //
     /* 1489011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489061 */     // MIs[1] Operand 1
     /* 1489061 */     // No operand predicates
     /* 1489061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489065 */     // MIs[0] policy
     /* 1489065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489102 */     // GIR_Coverage, 24719,
     /* 1489102 */     GIR_EraseRootFromParent_Done,
     /* 1489103 */   // Label 20778: @1489103
     /* 1489103 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1489200), // Rule ID 24722 //
     /* 1489108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489158 */     // MIs[1] Operand 1
     /* 1489158 */     // No operand predicates
     /* 1489158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489162 */     // MIs[0] policy
     /* 1489162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489199 */     // GIR_Coverage, 24722,
     /* 1489199 */     GIR_EraseRootFromParent_Done,
     /* 1489200 */   // Label 20779: @1489200
     /* 1489200 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1489297), // Rule ID 24723 //
     /* 1489205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489255 */     // MIs[1] Operand 1
     /* 1489255 */     // No operand predicates
     /* 1489255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489259 */     // MIs[0] policy
     /* 1489259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489296 */     // GIR_Coverage, 24723,
     /* 1489296 */     GIR_EraseRootFromParent_Done,
     /* 1489297 */   // Label 20780: @1489297
     /* 1489297 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1489394), // Rule ID 24726 //
     /* 1489302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489352 */     // MIs[1] Operand 1
     /* 1489352 */     // No operand predicates
     /* 1489352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489356 */     // MIs[0] policy
     /* 1489356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489393 */     // GIR_Coverage, 24726,
     /* 1489393 */     GIR_EraseRootFromParent_Done,
     /* 1489394 */   // Label 20781: @1489394
     /* 1489394 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1489491), // Rule ID 24727 //
     /* 1489399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489449 */     // MIs[1] Operand 1
     /* 1489449 */     // No operand predicates
     /* 1489449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489453 */     // MIs[0] policy
     /* 1489453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489465 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489490 */     // GIR_Coverage, 24727,
     /* 1489490 */     GIR_EraseRootFromParent_Done,
     /* 1489491 */   // Label 20782: @1489491
     /* 1489491 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1489588), // Rule ID 24730 //
     /* 1489496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489546 */     // MIs[1] Operand 1
     /* 1489546 */     // No operand predicates
     /* 1489546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489550 */     // MIs[0] policy
     /* 1489550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489587 */     // GIR_Coverage, 24730,
     /* 1489587 */     GIR_EraseRootFromParent_Done,
     /* 1489588 */   // Label 20783: @1489588
     /* 1489588 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1489685), // Rule ID 24731 //
     /* 1489593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489643 */     // MIs[1] Operand 1
     /* 1489643 */     // No operand predicates
     /* 1489643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489647 */     // MIs[0] policy
     /* 1489647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489684 */     // GIR_Coverage, 24731,
     /* 1489684 */     GIR_EraseRootFromParent_Done,
     /* 1489685 */   // Label 20784: @1489685
     /* 1489685 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1489782), // Rule ID 24734 //
     /* 1489690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489740 */     // MIs[1] Operand 1
     /* 1489740 */     // No operand predicates
     /* 1489740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489744 */     // MIs[0] policy
     /* 1489744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489781 */     // GIR_Coverage, 24734,
     /* 1489781 */     GIR_EraseRootFromParent_Done,
     /* 1489782 */   // Label 20785: @1489782
     /* 1489782 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1489879), // Rule ID 24735 //
     /* 1489787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489837 */     // MIs[1] Operand 1
     /* 1489837 */     // No operand predicates
     /* 1489837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489841 */     // MIs[0] policy
     /* 1489841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489878 */     // GIR_Coverage, 24735,
     /* 1489878 */     GIR_EraseRootFromParent_Done,
     /* 1489879 */   // Label 20786: @1489879
     /* 1489879 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1489976), // Rule ID 24738 //
     /* 1489884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1489901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489934 */     // MIs[1] Operand 1
     /* 1489934 */     // No operand predicates
     /* 1489934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489938 */     // MIs[0] policy
     /* 1489938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489975 */     // GIR_Coverage, 24738,
     /* 1489975 */     GIR_EraseRootFromParent_Done,
     /* 1489976 */   // Label 20787: @1489976
     /* 1489976 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1490073), // Rule ID 24739 //
     /* 1489981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1489998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490031 */     // MIs[1] Operand 1
     /* 1490031 */     // No operand predicates
     /* 1490031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490035 */     // MIs[0] policy
     /* 1490035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490072 */     // GIR_Coverage, 24739,
     /* 1490072 */     GIR_EraseRootFromParent_Done,
     /* 1490073 */   // Label 20788: @1490073
     /* 1490073 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1490170), // Rule ID 24742 //
     /* 1490078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490128 */     // MIs[1] Operand 1
     /* 1490128 */     // No operand predicates
     /* 1490128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490132 */     // MIs[0] policy
     /* 1490132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490169 */     // GIR_Coverage, 24742,
     /* 1490169 */     GIR_EraseRootFromParent_Done,
     /* 1490170 */   // Label 20789: @1490170
     /* 1490170 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1490267), // Rule ID 24743 //
     /* 1490175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490225 */     // MIs[1] Operand 1
     /* 1490225 */     // No operand predicates
     /* 1490225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490229 */     // MIs[0] policy
     /* 1490229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490266 */     // GIR_Coverage, 24743,
     /* 1490266 */     GIR_EraseRootFromParent_Done,
     /* 1490267 */   // Label 20790: @1490267
     /* 1490267 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1490364), // Rule ID 24746 //
     /* 1490272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490322 */     // MIs[1] Operand 1
     /* 1490322 */     // No operand predicates
     /* 1490322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490326 */     // MIs[0] policy
     /* 1490326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490363 */     // GIR_Coverage, 24746,
     /* 1490363 */     GIR_EraseRootFromParent_Done,
     /* 1490364 */   // Label 20791: @1490364
     /* 1490364 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1490461), // Rule ID 24747 //
     /* 1490369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490419 */     // MIs[1] Operand 1
     /* 1490419 */     // No operand predicates
     /* 1490419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490423 */     // MIs[0] policy
     /* 1490423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490460 */     // GIR_Coverage, 24747,
     /* 1490460 */     GIR_EraseRootFromParent_Done,
     /* 1490461 */   // Label 20792: @1490461
     /* 1490461 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1490558), // Rule ID 24750 //
     /* 1490466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490516 */     // MIs[1] Operand 1
     /* 1490516 */     // No operand predicates
     /* 1490516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490520 */     // MIs[0] policy
     /* 1490520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490557 */     // GIR_Coverage, 24750,
     /* 1490557 */     GIR_EraseRootFromParent_Done,
     /* 1490558 */   // Label 20793: @1490558
     /* 1490558 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1490655), // Rule ID 24751 //
     /* 1490563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490613 */     // MIs[1] Operand 1
     /* 1490613 */     // No operand predicates
     /* 1490613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490617 */     // MIs[0] policy
     /* 1490617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490654 */     // GIR_Coverage, 24751,
     /* 1490654 */     GIR_EraseRootFromParent_Done,
     /* 1490655 */   // Label 20794: @1490655
     /* 1490655 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1490752), // Rule ID 24910 //
     /* 1490660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490710 */     // MIs[1] Operand 1
     /* 1490710 */     // No operand predicates
     /* 1490710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490714 */     // MIs[0] policy
     /* 1490714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490726 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1490729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490751 */     // GIR_Coverage, 24910,
     /* 1490751 */     GIR_EraseRootFromParent_Done,
     /* 1490752 */   // Label 20795: @1490752
     /* 1490752 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1490849), // Rule ID 24911 //
     /* 1490757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490807 */     // MIs[1] Operand 1
     /* 1490807 */     // No operand predicates
     /* 1490807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490811 */     // MIs[0] policy
     /* 1490811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1490826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490848 */     // GIR_Coverage, 24911,
     /* 1490848 */     GIR_EraseRootFromParent_Done,
     /* 1490849 */   // Label 20796: @1490849
     /* 1490849 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1490946), // Rule ID 24914 //
     /* 1490854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1490865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1490868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1490871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490904 */     // MIs[1] Operand 1
     /* 1490904 */     // No operand predicates
     /* 1490904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490908 */     // MIs[0] policy
     /* 1490908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1490923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490945 */     // GIR_Coverage, 24914,
     /* 1490945 */     GIR_EraseRootFromParent_Done,
     /* 1490946 */   // Label 20797: @1490946
     /* 1490946 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1491043), // Rule ID 24915 //
     /* 1490951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1490962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1490965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1490968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491001 */     // MIs[1] Operand 1
     /* 1491001 */     // No operand predicates
     /* 1491001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491005 */     // MIs[0] policy
     /* 1491005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491042 */     // GIR_Coverage, 24915,
     /* 1491042 */     GIR_EraseRootFromParent_Done,
     /* 1491043 */   // Label 20798: @1491043
     /* 1491043 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1491140), // Rule ID 24918 //
     /* 1491048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1491051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491098 */     // MIs[1] Operand 1
     /* 1491098 */     // No operand predicates
     /* 1491098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491102 */     // MIs[0] policy
     /* 1491102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491114 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491139 */     // GIR_Coverage, 24918,
     /* 1491139 */     GIR_EraseRootFromParent_Done,
     /* 1491140 */   // Label 20799: @1491140
     /* 1491140 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1491237), // Rule ID 24919 //
     /* 1491145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1491148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491195 */     // MIs[1] Operand 1
     /* 1491195 */     // No operand predicates
     /* 1491195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491199 */     // MIs[0] policy
     /* 1491199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491211 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491236 */     // GIR_Coverage, 24919,
     /* 1491236 */     GIR_EraseRootFromParent_Done,
     /* 1491237 */   // Label 20800: @1491237
     /* 1491237 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1491334), // Rule ID 24922 //
     /* 1491242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491292 */     // MIs[1] Operand 1
     /* 1491292 */     // No operand predicates
     /* 1491292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491296 */     // MIs[0] policy
     /* 1491296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1491311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491333 */     // GIR_Coverage, 24922,
     /* 1491333 */     GIR_EraseRootFromParent_Done,
     /* 1491334 */   // Label 20801: @1491334
     /* 1491334 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1491431), // Rule ID 24923 //
     /* 1491339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491389 */     // MIs[1] Operand 1
     /* 1491389 */     // No operand predicates
     /* 1491389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491393 */     // MIs[0] policy
     /* 1491393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491405 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1491408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491430 */     // GIR_Coverage, 24923,
     /* 1491430 */     GIR_EraseRootFromParent_Done,
     /* 1491431 */   // Label 20802: @1491431
     /* 1491431 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1491528), // Rule ID 24926 //
     /* 1491436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491486 */     // MIs[1] Operand 1
     /* 1491486 */     // No operand predicates
     /* 1491486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491490 */     // MIs[0] policy
     /* 1491490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1491505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491527 */     // GIR_Coverage, 24926,
     /* 1491527 */     GIR_EraseRootFromParent_Done,
     /* 1491528 */   // Label 20803: @1491528
     /* 1491528 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1491625), // Rule ID 24927 //
     /* 1491533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491583 */     // MIs[1] Operand 1
     /* 1491583 */     // No operand predicates
     /* 1491583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491587 */     // MIs[0] policy
     /* 1491587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491599 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1491602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491624 */     // GIR_Coverage, 24927,
     /* 1491624 */     GIR_EraseRootFromParent_Done,
     /* 1491625 */   // Label 20804: @1491625
     /* 1491625 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1491722), // Rule ID 24930 //
     /* 1491630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1491641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1491644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1491647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491680 */     // MIs[1] Operand 1
     /* 1491680 */     // No operand predicates
     /* 1491680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491684 */     // MIs[0] policy
     /* 1491684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1491699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491721 */     // GIR_Coverage, 24930,
     /* 1491721 */     GIR_EraseRootFromParent_Done,
     /* 1491722 */   // Label 20805: @1491722
     /* 1491722 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1491819), // Rule ID 24931 //
     /* 1491727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1491738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1491741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1491744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491777 */     // MIs[1] Operand 1
     /* 1491777 */     // No operand predicates
     /* 1491777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491781 */     // MIs[0] policy
     /* 1491781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491793 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1491796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491818 */     // GIR_Coverage, 24931,
     /* 1491818 */     GIR_EraseRootFromParent_Done,
     /* 1491819 */   // Label 20806: @1491819
     /* 1491819 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1491916), // Rule ID 24934 //
     /* 1491824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1491827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1491835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1491838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1491841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491874 */     // MIs[1] Operand 1
     /* 1491874 */     // No operand predicates
     /* 1491874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491878 */     // MIs[0] policy
     /* 1491878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1491893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491915 */     // GIR_Coverage, 24934,
     /* 1491915 */     GIR_EraseRootFromParent_Done,
     /* 1491916 */   // Label 20807: @1491916
     /* 1491916 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1492013), // Rule ID 24935 //
     /* 1491921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1491924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1491932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1491935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1491938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491971 */     // MIs[1] Operand 1
     /* 1491971 */     // No operand predicates
     /* 1491971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491975 */     // MIs[0] policy
     /* 1491975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491987 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1491990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492012 */     // GIR_Coverage, 24935,
     /* 1492012 */     GIR_EraseRootFromParent_Done,
     /* 1492013 */   // Label 20808: @1492013
     /* 1492013 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1492110), // Rule ID 24938 //
     /* 1492018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1492021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1492029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1492032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1492035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492068 */     // MIs[1] Operand 1
     /* 1492068 */     // No operand predicates
     /* 1492068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492072 */     // MIs[0] policy
     /* 1492072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1492087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492109 */     // GIR_Coverage, 24938,
     /* 1492109 */     GIR_EraseRootFromParent_Done,
     /* 1492110 */   // Label 20809: @1492110
     /* 1492110 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1492207), // Rule ID 24939 //
     /* 1492115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1492118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1492126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1492129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1492132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492165 */     // MIs[1] Operand 1
     /* 1492165 */     // No operand predicates
     /* 1492165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492169 */     // MIs[0] policy
     /* 1492169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492181 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1492184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492206 */     // GIR_Coverage, 24939,
     /* 1492206 */     GIR_EraseRootFromParent_Done,
     /* 1492207 */   // Label 20810: @1492207
     /* 1492207 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1492304), // Rule ID 24942 //
     /* 1492212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1492215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492262 */     // MIs[1] Operand 1
     /* 1492262 */     // No operand predicates
     /* 1492262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492266 */     // MIs[0] policy
     /* 1492266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1492281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492303 */     // GIR_Coverage, 24942,
     /* 1492303 */     GIR_EraseRootFromParent_Done,
     /* 1492304 */   // Label 20811: @1492304
     /* 1492304 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1492401), // Rule ID 24943 //
     /* 1492309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1492312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492359 */     // MIs[1] Operand 1
     /* 1492359 */     // No operand predicates
     /* 1492359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492363 */     // MIs[0] policy
     /* 1492363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492375 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1492378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492400 */     // GIR_Coverage, 24943,
     /* 1492400 */     GIR_EraseRootFromParent_Done,
     /* 1492401 */   // Label 20812: @1492401
     /* 1492401 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1492498), // Rule ID 24994 //
     /* 1492406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1492409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492456 */     // MIs[1] Operand 1
     /* 1492456 */     // No operand predicates
     /* 1492456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492460 */     // MIs[0] policy
     /* 1492460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492472 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1492475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492497 */     // GIR_Coverage, 24994,
     /* 1492497 */     GIR_EraseRootFromParent_Done,
     /* 1492498 */   // Label 20813: @1492498
     /* 1492498 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1492595), // Rule ID 24995 //
     /* 1492503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1492506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492553 */     // MIs[1] Operand 1
     /* 1492553 */     // No operand predicates
     /* 1492553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492557 */     // MIs[0] policy
     /* 1492557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492569 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1492572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492594 */     // GIR_Coverage, 24995,
     /* 1492594 */     GIR_EraseRootFromParent_Done,
     /* 1492595 */   // Label 20814: @1492595
     /* 1492595 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1492692), // Rule ID 24998 //
     /* 1492600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1492603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1492611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1492614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1492617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492650 */     // MIs[1] Operand 1
     /* 1492650 */     // No operand predicates
     /* 1492650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492654 */     // MIs[0] policy
     /* 1492654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1492669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492691 */     // GIR_Coverage, 24998,
     /* 1492691 */     GIR_EraseRootFromParent_Done,
     /* 1492692 */   // Label 20815: @1492692
     /* 1492692 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1492789), // Rule ID 24999 //
     /* 1492697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1492700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1492708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1492711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1492714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492747 */     // MIs[1] Operand 1
     /* 1492747 */     // No operand predicates
     /* 1492747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492751 */     // MIs[0] policy
     /* 1492751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492763 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1492766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492788 */     // GIR_Coverage, 24999,
     /* 1492788 */     GIR_EraseRootFromParent_Done,
     /* 1492789 */   // Label 20816: @1492789
     /* 1492789 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1492886), // Rule ID 25002 //
     /* 1492794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1492797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1492805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1492808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1492811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492844 */     // MIs[1] Operand 1
     /* 1492844 */     // No operand predicates
     /* 1492844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492848 */     // MIs[0] policy
     /* 1492848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492860 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492885 */     // GIR_Coverage, 25002,
     /* 1492885 */     GIR_EraseRootFromParent_Done,
     /* 1492886 */   // Label 20817: @1492886
     /* 1492886 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1492983), // Rule ID 25003 //
     /* 1492891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1492894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1492902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1492905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1492908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492941 */     // MIs[1] Operand 1
     /* 1492941 */     // No operand predicates
     /* 1492941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492945 */     // MIs[0] policy
     /* 1492945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492982 */     // GIR_Coverage, 25003,
     /* 1492982 */     GIR_EraseRootFromParent_Done,
     /* 1492983 */   // Label 20818: @1492983
     /* 1492983 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1493080), // Rule ID 25006 //
     /* 1492988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1492991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1493002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493038 */     // MIs[1] Operand 1
     /* 1493038 */     // No operand predicates
     /* 1493038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493042 */     // MIs[0] policy
     /* 1493042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493079 */     // GIR_Coverage, 25006,
     /* 1493079 */     GIR_EraseRootFromParent_Done,
     /* 1493080 */   // Label 20819: @1493080
     /* 1493080 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1493177), // Rule ID 25007 //
     /* 1493085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1493088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1493096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1493099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493135 */     // MIs[1] Operand 1
     /* 1493135 */     // No operand predicates
     /* 1493135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493139 */     // MIs[0] policy
     /* 1493139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493176 */     // GIR_Coverage, 25007,
     /* 1493176 */     GIR_EraseRootFromParent_Done,
     /* 1493177 */   // Label 20820: @1493177
     /* 1493177 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1493274), // Rule ID 25010 //
     /* 1493182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1493185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493232 */     // MIs[1] Operand 1
     /* 1493232 */     // No operand predicates
     /* 1493232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493236 */     // MIs[0] policy
     /* 1493236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493248 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493273 */     // GIR_Coverage, 25010,
     /* 1493273 */     GIR_EraseRootFromParent_Done,
     /* 1493274 */   // Label 20821: @1493274
     /* 1493274 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1493371), // Rule ID 25011 //
     /* 1493279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1493282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493329 */     // MIs[1] Operand 1
     /* 1493329 */     // No operand predicates
     /* 1493329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493333 */     // MIs[0] policy
     /* 1493333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493345 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493370 */     // GIR_Coverage, 25011,
     /* 1493370 */     GIR_EraseRootFromParent_Done,
     /* 1493371 */   // Label 20822: @1493371
     /* 1493371 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1493468), // Rule ID 25014 //
     /* 1493376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1493379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493426 */     // MIs[1] Operand 1
     /* 1493426 */     // No operand predicates
     /* 1493426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493430 */     // MIs[0] policy
     /* 1493430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493442 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493467 */     // GIR_Coverage, 25014,
     /* 1493467 */     GIR_EraseRootFromParent_Done,
     /* 1493468 */   // Label 20823: @1493468
     /* 1493468 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1493565), // Rule ID 25015 //
     /* 1493473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1493476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493523 */     // MIs[1] Operand 1
     /* 1493523 */     // No operand predicates
     /* 1493523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493527 */     // MIs[0] policy
     /* 1493527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493539 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493564 */     // GIR_Coverage, 25015,
     /* 1493564 */     GIR_EraseRootFromParent_Done,
     /* 1493565 */   // Label 20824: @1493565
     /* 1493565 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1493662), // Rule ID 61026 //
     /* 1493570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1493587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493620 */     // MIs[1] Operand 1
     /* 1493620 */     // No operand predicates
     /* 1493620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493624 */     // MIs[0] policy
     /* 1493624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1493639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493661 */     // GIR_Coverage, 61026,
     /* 1493661 */     GIR_EraseRootFromParent_Done,
     /* 1493662 */   // Label 20825: @1493662
     /* 1493662 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1493759), // Rule ID 61027 //
     /* 1493667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1493684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493717 */     // MIs[1] Operand 1
     /* 1493717 */     // No operand predicates
     /* 1493717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493721 */     // MIs[0] policy
     /* 1493721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1493736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493758 */     // GIR_Coverage, 61027,
     /* 1493758 */     GIR_EraseRootFromParent_Done,
     /* 1493759 */   // Label 20826: @1493759
     /* 1493759 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1493856), // Rule ID 61034 //
     /* 1493764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1493781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493814 */     // MIs[1] Operand 1
     /* 1493814 */     // No operand predicates
     /* 1493814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493818 */     // MIs[0] policy
     /* 1493818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1493833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493855 */     // GIR_Coverage, 61034,
     /* 1493855 */     GIR_EraseRootFromParent_Done,
     /* 1493856 */   // Label 20827: @1493856
     /* 1493856 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1493953), // Rule ID 61035 //
     /* 1493861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1493878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493911 */     // MIs[1] Operand 1
     /* 1493911 */     // No operand predicates
     /* 1493911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493915 */     // MIs[0] policy
     /* 1493915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1493930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493952 */     // GIR_Coverage, 61035,
     /* 1493952 */     GIR_EraseRootFromParent_Done,
     /* 1493953 */   // Label 20828: @1493953
     /* 1493953 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1494050), // Rule ID 61042 //
     /* 1493958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1493975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494008 */     // MIs[1] Operand 1
     /* 1494008 */     // No operand predicates
     /* 1494008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494012 */     // MIs[0] policy
     /* 1494012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1494027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494049 */     // GIR_Coverage, 61042,
     /* 1494049 */     GIR_EraseRootFromParent_Done,
     /* 1494050 */   // Label 20829: @1494050
     /* 1494050 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1494147), // Rule ID 61043 //
     /* 1494055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1494072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494105 */     // MIs[1] Operand 1
     /* 1494105 */     // No operand predicates
     /* 1494105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494109 */     // MIs[0] policy
     /* 1494109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1494124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494146 */     // GIR_Coverage, 61043,
     /* 1494146 */     GIR_EraseRootFromParent_Done,
     /* 1494147 */   // Label 20830: @1494147
     /* 1494147 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1494244), // Rule ID 61050 //
     /* 1494152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1494169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494202 */     // MIs[1] Operand 1
     /* 1494202 */     // No operand predicates
     /* 1494202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494206 */     // MIs[0] policy
     /* 1494206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1494221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494243 */     // GIR_Coverage, 61050,
     /* 1494243 */     GIR_EraseRootFromParent_Done,
     /* 1494244 */   // Label 20831: @1494244
     /* 1494244 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1494341), // Rule ID 61051 //
     /* 1494249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1494266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494299 */     // MIs[1] Operand 1
     /* 1494299 */     // No operand predicates
     /* 1494299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494303 */     // MIs[0] policy
     /* 1494303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1494318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494340 */     // GIR_Coverage, 61051,
     /* 1494340 */     GIR_EraseRootFromParent_Done,
     /* 1494341 */   // Label 20832: @1494341
     /* 1494341 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1494438), // Rule ID 61058 //
     /* 1494346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494396 */     // MIs[1] Operand 1
     /* 1494396 */     // No operand predicates
     /* 1494396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494400 */     // MIs[0] policy
     /* 1494400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494437 */     // GIR_Coverage, 61058,
     /* 1494437 */     GIR_EraseRootFromParent_Done,
     /* 1494438 */   // Label 20833: @1494438
     /* 1494438 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1494535), // Rule ID 61059 //
     /* 1494443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494493 */     // MIs[1] Operand 1
     /* 1494493 */     // No operand predicates
     /* 1494493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494497 */     // MIs[0] policy
     /* 1494497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494534 */     // GIR_Coverage, 61059,
     /* 1494534 */     GIR_EraseRootFromParent_Done,
     /* 1494535 */   // Label 20834: @1494535
     /* 1494535 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1494632), // Rule ID 61066 //
     /* 1494540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1494557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494590 */     // MIs[1] Operand 1
     /* 1494590 */     // No operand predicates
     /* 1494590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494594 */     // MIs[0] policy
     /* 1494594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1494609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494631 */     // GIR_Coverage, 61066,
     /* 1494631 */     GIR_EraseRootFromParent_Done,
     /* 1494632 */   // Label 20835: @1494632
     /* 1494632 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1494729), // Rule ID 61067 //
     /* 1494637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1494654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494687 */     // MIs[1] Operand 1
     /* 1494687 */     // No operand predicates
     /* 1494687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494691 */     // MIs[0] policy
     /* 1494691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1494706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494728 */     // GIR_Coverage, 61067,
     /* 1494728 */     GIR_EraseRootFromParent_Done,
     /* 1494729 */   // Label 20836: @1494729
     /* 1494729 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1494826), // Rule ID 61074 //
     /* 1494734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494784 */     // MIs[1] Operand 1
     /* 1494784 */     // No operand predicates
     /* 1494784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494788 */     // MIs[0] policy
     /* 1494788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1494803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494825 */     // GIR_Coverage, 61074,
     /* 1494825 */     GIR_EraseRootFromParent_Done,
     /* 1494826 */   // Label 20837: @1494826
     /* 1494826 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1494923), // Rule ID 61075 //
     /* 1494831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494881 */     // MIs[1] Operand 1
     /* 1494881 */     // No operand predicates
     /* 1494881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494885 */     // MIs[0] policy
     /* 1494885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1494900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494922 */     // GIR_Coverage, 61075,
     /* 1494922 */     GIR_EraseRootFromParent_Done,
     /* 1494923 */   // Label 20838: @1494923
     /* 1494923 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1495020), // Rule ID 61082 //
     /* 1494928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1494939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1494942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494978 */     // MIs[1] Operand 1
     /* 1494978 */     // No operand predicates
     /* 1494978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494982 */     // MIs[0] policy
     /* 1494982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1494997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495019 */     // GIR_Coverage, 61082,
     /* 1495019 */     GIR_EraseRootFromParent_Done,
     /* 1495020 */   // Label 20839: @1495020
     /* 1495020 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1495117), // Rule ID 61083 //
     /* 1495025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495075 */     // MIs[1] Operand 1
     /* 1495075 */     // No operand predicates
     /* 1495075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495079 */     // MIs[0] policy
     /* 1495079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1495094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495116 */     // GIR_Coverage, 61083,
     /* 1495116 */     GIR_EraseRootFromParent_Done,
     /* 1495117 */   // Label 20840: @1495117
     /* 1495117 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1495214), // Rule ID 61090 //
     /* 1495122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495172 */     // MIs[1] Operand 1
     /* 1495172 */     // No operand predicates
     /* 1495172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495176 */     // MIs[0] policy
     /* 1495176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1495191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495213 */     // GIR_Coverage, 61090,
     /* 1495213 */     GIR_EraseRootFromParent_Done,
     /* 1495214 */   // Label 20841: @1495214
     /* 1495214 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1495311), // Rule ID 61091 //
     /* 1495219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495269 */     // MIs[1] Operand 1
     /* 1495269 */     // No operand predicates
     /* 1495269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495273 */     // MIs[0] policy
     /* 1495273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1495288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495310 */     // GIR_Coverage, 61091,
     /* 1495310 */     GIR_EraseRootFromParent_Done,
     /* 1495311 */   // Label 20842: @1495311
     /* 1495311 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1495408), // Rule ID 61098 //
     /* 1495316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495366 */     // MIs[1] Operand 1
     /* 1495366 */     // No operand predicates
     /* 1495366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495370 */     // MIs[0] policy
     /* 1495370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1495385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495407 */     // GIR_Coverage, 61098,
     /* 1495407 */     GIR_EraseRootFromParent_Done,
     /* 1495408 */   // Label 20843: @1495408
     /* 1495408 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1495505), // Rule ID 61099 //
     /* 1495413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495463 */     // MIs[1] Operand 1
     /* 1495463 */     // No operand predicates
     /* 1495463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495467 */     // MIs[0] policy
     /* 1495467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1495482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495504 */     // GIR_Coverage, 61099,
     /* 1495504 */     GIR_EraseRootFromParent_Done,
     /* 1495505 */   // Label 20844: @1495505
     /* 1495505 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1495602), // Rule ID 61106 //
     /* 1495510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1495533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495560 */     // MIs[1] Operand 1
     /* 1495560 */     // No operand predicates
     /* 1495560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495564 */     // MIs[0] policy
     /* 1495564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1495579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495601 */     // GIR_Coverage, 61106,
     /* 1495601 */     GIR_EraseRootFromParent_Done,
     /* 1495602 */   // Label 20845: @1495602
     /* 1495602 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1495699), // Rule ID 61107 //
     /* 1495607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1495630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495657 */     // MIs[1] Operand 1
     /* 1495657 */     // No operand predicates
     /* 1495657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495661 */     // MIs[0] policy
     /* 1495661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1495676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495698 */     // GIR_Coverage, 61107,
     /* 1495698 */     GIR_EraseRootFromParent_Done,
     /* 1495699 */   // Label 20846: @1495699
     /* 1495699 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1495796), // Rule ID 61114 //
     /* 1495704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495754 */     // MIs[1] Operand 1
     /* 1495754 */     // No operand predicates
     /* 1495754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495758 */     // MIs[0] policy
     /* 1495758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1495773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495795 */     // GIR_Coverage, 61114,
     /* 1495795 */     GIR_EraseRootFromParent_Done,
     /* 1495796 */   // Label 20847: @1495796
     /* 1495796 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1495893), // Rule ID 61115 //
     /* 1495801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495851 */     // MIs[1] Operand 1
     /* 1495851 */     // No operand predicates
     /* 1495851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495855 */     // MIs[0] policy
     /* 1495855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1495870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495892 */     // GIR_Coverage, 61115,
     /* 1495892 */     GIR_EraseRootFromParent_Done,
     /* 1495893 */   // Label 20848: @1495893
     /* 1495893 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1495990), // Rule ID 61122 //
     /* 1495898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495948 */     // MIs[1] Operand 1
     /* 1495948 */     // No operand predicates
     /* 1495948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495952 */     // MIs[0] policy
     /* 1495952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1495967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495989 */     // GIR_Coverage, 61122,
     /* 1495989 */     GIR_EraseRootFromParent_Done,
     /* 1495990 */   // Label 20849: @1495990
     /* 1495990 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1496087), // Rule ID 61123 //
     /* 1495995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496045 */     // MIs[1] Operand 1
     /* 1496045 */     // No operand predicates
     /* 1496045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496049 */     // MIs[0] policy
     /* 1496049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1496064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496086 */     // GIR_Coverage, 61123,
     /* 1496086 */     GIR_EraseRootFromParent_Done,
     /* 1496087 */   // Label 20850: @1496087
     /* 1496087 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1496184), // Rule ID 61130 //
     /* 1496092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496142 */     // MIs[1] Operand 1
     /* 1496142 */     // No operand predicates
     /* 1496142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496146 */     // MIs[0] policy
     /* 1496146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1496161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496183 */     // GIR_Coverage, 61130,
     /* 1496183 */     GIR_EraseRootFromParent_Done,
     /* 1496184 */   // Label 20851: @1496184
     /* 1496184 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1496281), // Rule ID 61131 //
     /* 1496189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496239 */     // MIs[1] Operand 1
     /* 1496239 */     // No operand predicates
     /* 1496239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496243 */     // MIs[0] policy
     /* 1496243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1496258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496280 */     // GIR_Coverage, 61131,
     /* 1496280 */     GIR_EraseRootFromParent_Done,
     /* 1496281 */   // Label 20852: @1496281
     /* 1496281 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1496378), // Rule ID 61138 //
     /* 1496286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496336 */     // MIs[1] Operand 1
     /* 1496336 */     // No operand predicates
     /* 1496336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496340 */     // MIs[0] policy
     /* 1496340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496377 */     // GIR_Coverage, 61138,
     /* 1496377 */     GIR_EraseRootFromParent_Done,
     /* 1496378 */   // Label 20853: @1496378
     /* 1496378 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1496475), // Rule ID 61139 //
     /* 1496383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496433 */     // MIs[1] Operand 1
     /* 1496433 */     // No operand predicates
     /* 1496433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496437 */     // MIs[0] policy
     /* 1496437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496474 */     // GIR_Coverage, 61139,
     /* 1496474 */     GIR_EraseRootFromParent_Done,
     /* 1496475 */   // Label 20854: @1496475
     /* 1496475 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1496572), // Rule ID 61994 //
     /* 1496480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1496491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1496494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1496497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496530 */     // MIs[1] Operand 1
     /* 1496530 */     // No operand predicates
     /* 1496530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496534 */     // MIs[0] policy
     /* 1496534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1496549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496571 */     // GIR_Coverage, 61994,
     /* 1496571 */     GIR_EraseRootFromParent_Done,
     /* 1496572 */   // Label 20855: @1496572
     /* 1496572 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1496669), // Rule ID 61995 //
     /* 1496577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1496588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1496591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1496594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496627 */     // MIs[1] Operand 1
     /* 1496627 */     // No operand predicates
     /* 1496627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496631 */     // MIs[0] policy
     /* 1496631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1496646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496668 */     // GIR_Coverage, 61995,
     /* 1496668 */     GIR_EraseRootFromParent_Done,
     /* 1496669 */   // Label 20856: @1496669
     /* 1496669 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1496766), // Rule ID 61998 //
     /* 1496674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1496685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1496688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1496691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496724 */     // MIs[1] Operand 1
     /* 1496724 */     // No operand predicates
     /* 1496724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496728 */     // MIs[0] policy
     /* 1496728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1496743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496765 */     // GIR_Coverage, 61998,
     /* 1496765 */     GIR_EraseRootFromParent_Done,
     /* 1496766 */   // Label 20857: @1496766
     /* 1496766 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1496863), // Rule ID 61999 //
     /* 1496771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1496782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1496785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1496788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496821 */     // MIs[1] Operand 1
     /* 1496821 */     // No operand predicates
     /* 1496821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496825 */     // MIs[0] policy
     /* 1496825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496837 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1496840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496862 */     // GIR_Coverage, 61999,
     /* 1496862 */     GIR_EraseRootFromParent_Done,
     /* 1496863 */   // Label 20858: @1496863
     /* 1496863 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1496960), // Rule ID 62002 //
     /* 1496868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1496879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1496882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1496885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496918 */     // MIs[1] Operand 1
     /* 1496918 */     // No operand predicates
     /* 1496918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496922 */     // MIs[0] policy
     /* 1496922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1496937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496959 */     // GIR_Coverage, 62002,
     /* 1496959 */     GIR_EraseRootFromParent_Done,
     /* 1496960 */   // Label 20859: @1496960
     /* 1496960 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1497057), // Rule ID 62003 //
     /* 1496965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1496976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1496979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1496982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497015 */     // MIs[1] Operand 1
     /* 1497015 */     // No operand predicates
     /* 1497015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497019 */     // MIs[0] policy
     /* 1497019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497031 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497056 */     // GIR_Coverage, 62003,
     /* 1497056 */     GIR_EraseRootFromParent_Done,
     /* 1497057 */   // Label 20860: @1497057
     /* 1497057 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1497154), // Rule ID 62006 //
     /* 1497062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1497079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497112 */     // MIs[1] Operand 1
     /* 1497112 */     // No operand predicates
     /* 1497112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497116 */     // MIs[0] policy
     /* 1497116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497153 */     // GIR_Coverage, 62006,
     /* 1497153 */     GIR_EraseRootFromParent_Done,
     /* 1497154 */   // Label 20861: @1497154
     /* 1497154 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1497251), // Rule ID 62007 //
     /* 1497159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1497176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497209 */     // MIs[1] Operand 1
     /* 1497209 */     // No operand predicates
     /* 1497209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497213 */     // MIs[0] policy
     /* 1497213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497250 */     // GIR_Coverage, 62007,
     /* 1497250 */     GIR_EraseRootFromParent_Done,
     /* 1497251 */   // Label 20862: @1497251
     /* 1497251 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1497348), // Rule ID 62010 //
     /* 1497256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1497273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497306 */     // MIs[1] Operand 1
     /* 1497306 */     // No operand predicates
     /* 1497306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497310 */     // MIs[0] policy
     /* 1497310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497347 */     // GIR_Coverage, 62010,
     /* 1497347 */     GIR_EraseRootFromParent_Done,
     /* 1497348 */   // Label 20863: @1497348
     /* 1497348 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1497445), // Rule ID 62011 //
     /* 1497353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1497370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497403 */     // MIs[1] Operand 1
     /* 1497403 */     // No operand predicates
     /* 1497403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497407 */     // MIs[0] policy
     /* 1497407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497444 */     // GIR_Coverage, 62011,
     /* 1497444 */     GIR_EraseRootFromParent_Done,
     /* 1497445 */   // Label 20864: @1497445
     /* 1497445 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1497542), // Rule ID 62014 //
     /* 1497450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1497467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497500 */     // MIs[1] Operand 1
     /* 1497500 */     // No operand predicates
     /* 1497500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497504 */     // MIs[0] policy
     /* 1497504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497541 */     // GIR_Coverage, 62014,
     /* 1497541 */     GIR_EraseRootFromParent_Done,
     /* 1497542 */   // Label 20865: @1497542
     /* 1497542 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1497639), // Rule ID 62015 //
     /* 1497547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1497564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497597 */     // MIs[1] Operand 1
     /* 1497597 */     // No operand predicates
     /* 1497597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497601 */     // MIs[0] policy
     /* 1497601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497613 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497638 */     // GIR_Coverage, 62015,
     /* 1497638 */     GIR_EraseRootFromParent_Done,
     /* 1497639 */   // Label 20866: @1497639
     /* 1497639 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1497736), // Rule ID 62018 //
     /* 1497644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1497655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1497658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1497661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497694 */     // MIs[1] Operand 1
     /* 1497694 */     // No operand predicates
     /* 1497694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497698 */     // MIs[0] policy
     /* 1497698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1497713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497735 */     // GIR_Coverage, 62018,
     /* 1497735 */     GIR_EraseRootFromParent_Done,
     /* 1497736 */   // Label 20867: @1497736
     /* 1497736 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1497833), // Rule ID 62019 //
     /* 1497741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1497752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1497755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1497758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497791 */     // MIs[1] Operand 1
     /* 1497791 */     // No operand predicates
     /* 1497791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497795 */     // MIs[0] policy
     /* 1497795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1497810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497832 */     // GIR_Coverage, 62019,
     /* 1497832 */     GIR_EraseRootFromParent_Done,
     /* 1497833 */   // Label 20868: @1497833
     /* 1497833 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1497930), // Rule ID 62022 //
     /* 1497838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1497855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497888 */     // MIs[1] Operand 1
     /* 1497888 */     // No operand predicates
     /* 1497888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497892 */     // MIs[0] policy
     /* 1497892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1497907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497929 */     // GIR_Coverage, 62022,
     /* 1497929 */     GIR_EraseRootFromParent_Done,
     /* 1497930 */   // Label 20869: @1497930
     /* 1497930 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1498027), // Rule ID 62023 //
     /* 1497935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1497952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497985 */     // MIs[1] Operand 1
     /* 1497985 */     // No operand predicates
     /* 1497985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497989 */     // MIs[0] policy
     /* 1497989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498026 */     // GIR_Coverage, 62023,
     /* 1498026 */     GIR_EraseRootFromParent_Done,
     /* 1498027 */   // Label 20870: @1498027
     /* 1498027 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1498124), // Rule ID 62026 //
     /* 1498032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498082 */     // MIs[1] Operand 1
     /* 1498082 */     // No operand predicates
     /* 1498082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498086 */     // MIs[0] policy
     /* 1498086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498123 */     // GIR_Coverage, 62026,
     /* 1498123 */     GIR_EraseRootFromParent_Done,
     /* 1498124 */   // Label 20871: @1498124
     /* 1498124 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1498221), // Rule ID 62027 //
     /* 1498129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498179 */     // MIs[1] Operand 1
     /* 1498179 */     // No operand predicates
     /* 1498179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498183 */     // MIs[0] policy
     /* 1498183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498195 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498220 */     // GIR_Coverage, 62027,
     /* 1498220 */     GIR_EraseRootFromParent_Done,
     /* 1498221 */   // Label 20872: @1498221
     /* 1498221 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1498318), // Rule ID 62030 //
     /* 1498226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1498243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498276 */     // MIs[1] Operand 1
     /* 1498276 */     // No operand predicates
     /* 1498276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498280 */     // MIs[0] policy
     /* 1498280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498317 */     // GIR_Coverage, 62030,
     /* 1498317 */     GIR_EraseRootFromParent_Done,
     /* 1498318 */   // Label 20873: @1498318
     /* 1498318 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1498415), // Rule ID 62031 //
     /* 1498323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1498340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498373 */     // MIs[1] Operand 1
     /* 1498373 */     // No operand predicates
     /* 1498373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498377 */     // MIs[0] policy
     /* 1498377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498414 */     // GIR_Coverage, 62031,
     /* 1498414 */     GIR_EraseRootFromParent_Done,
     /* 1498415 */   // Label 20874: @1498415
     /* 1498415 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1498512), // Rule ID 62034 //
     /* 1498420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1498431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1498434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1498437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1498443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498470 */     // MIs[1] Operand 1
     /* 1498470 */     // No operand predicates
     /* 1498470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498474 */     // MIs[0] policy
     /* 1498474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1498489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498511 */     // GIR_Coverage, 62034,
     /* 1498511 */     GIR_EraseRootFromParent_Done,
     /* 1498512 */   // Label 20875: @1498512
     /* 1498512 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1498609), // Rule ID 62035 //
     /* 1498517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1498528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1498531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1498534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1498540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498567 */     // MIs[1] Operand 1
     /* 1498567 */     // No operand predicates
     /* 1498567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498571 */     // MIs[0] policy
     /* 1498571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498583 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1498586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498608 */     // GIR_Coverage, 62035,
     /* 1498608 */     GIR_EraseRootFromParent_Done,
     /* 1498609 */   // Label 20876: @1498609
     /* 1498609 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1498706), // Rule ID 62038 //
     /* 1498614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1498625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1498628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1498631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498664 */     // MIs[1] Operand 1
     /* 1498664 */     // No operand predicates
     /* 1498664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498668 */     // MIs[0] policy
     /* 1498668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1498683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498705 */     // GIR_Coverage, 62038,
     /* 1498705 */     GIR_EraseRootFromParent_Done,
     /* 1498706 */   // Label 20877: @1498706
     /* 1498706 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1498803), // Rule ID 62039 //
     /* 1498711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1498722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1498725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1498728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498761 */     // MIs[1] Operand 1
     /* 1498761 */     // No operand predicates
     /* 1498761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498765 */     // MIs[0] policy
     /* 1498765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1498780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498802 */     // GIR_Coverage, 62039,
     /* 1498802 */     GIR_EraseRootFromParent_Done,
     /* 1498803 */   // Label 20878: @1498803
     /* 1498803 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1498900), // Rule ID 62042 //
     /* 1498808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1498819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1498822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1498825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1498831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498858 */     // MIs[1] Operand 1
     /* 1498858 */     // No operand predicates
     /* 1498858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498862 */     // MIs[0] policy
     /* 1498862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1498877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498899 */     // GIR_Coverage, 62042,
     /* 1498899 */     GIR_EraseRootFromParent_Done,
     /* 1498900 */   // Label 20879: @1498900
     /* 1498900 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1498997), // Rule ID 62043 //
     /* 1498905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1498916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1498919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1498922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1498928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498955 */     // MIs[1] Operand 1
     /* 1498955 */     // No operand predicates
     /* 1498955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498959 */     // MIs[0] policy
     /* 1498959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1498974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498996 */     // GIR_Coverage, 62043,
     /* 1498996 */     GIR_EraseRootFromParent_Done,
     /* 1498997 */   // Label 20880: @1498997
     /* 1498997 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1499094), // Rule ID 62046 //
     /* 1499002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499052 */     // MIs[1] Operand 1
     /* 1499052 */     // No operand predicates
     /* 1499052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499056 */     // MIs[0] policy
     /* 1499056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499093 */     // GIR_Coverage, 62046,
     /* 1499093 */     GIR_EraseRootFromParent_Done,
     /* 1499094 */   // Label 20881: @1499094
     /* 1499094 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1499191), // Rule ID 62047 //
     /* 1499099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499149 */     // MIs[1] Operand 1
     /* 1499149 */     // No operand predicates
     /* 1499149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499153 */     // MIs[0] policy
     /* 1499153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499190 */     // GIR_Coverage, 62047,
     /* 1499190 */     GIR_EraseRootFromParent_Done,
     /* 1499191 */   // Label 20882: @1499191
     /* 1499191 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1499288), // Rule ID 62050 //
     /* 1499196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499246 */     // MIs[1] Operand 1
     /* 1499246 */     // No operand predicates
     /* 1499246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499250 */     // MIs[0] policy
     /* 1499250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499287 */     // GIR_Coverage, 62050,
     /* 1499287 */     GIR_EraseRootFromParent_Done,
     /* 1499288 */   // Label 20883: @1499288
     /* 1499288 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1499385), // Rule ID 62051 //
     /* 1499293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499343 */     // MIs[1] Operand 1
     /* 1499343 */     // No operand predicates
     /* 1499343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499347 */     // MIs[0] policy
     /* 1499347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499384 */     // GIR_Coverage, 62051,
     /* 1499384 */     GIR_EraseRootFromParent_Done,
     /* 1499385 */   // Label 20884: @1499385
     /* 1499385 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1499482), // Rule ID 62054 //
     /* 1499390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499440 */     // MIs[1] Operand 1
     /* 1499440 */     // No operand predicates
     /* 1499440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499444 */     // MIs[0] policy
     /* 1499444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1499459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499481 */     // GIR_Coverage, 62054,
     /* 1499481 */     GIR_EraseRootFromParent_Done,
     /* 1499482 */   // Label 20885: @1499482
     /* 1499482 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1499579), // Rule ID 62055 //
     /* 1499487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499537 */     // MIs[1] Operand 1
     /* 1499537 */     // No operand predicates
     /* 1499537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499541 */     // MIs[0] policy
     /* 1499541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1499556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499578 */     // GIR_Coverage, 62055,
     /* 1499578 */     GIR_EraseRootFromParent_Done,
     /* 1499579 */   // Label 20886: @1499579
     /* 1499579 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1499676), // Rule ID 62058 //
     /* 1499584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499634 */     // MIs[1] Operand 1
     /* 1499634 */     // No operand predicates
     /* 1499634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499638 */     // MIs[0] policy
     /* 1499638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499675 */     // GIR_Coverage, 62058,
     /* 1499675 */     GIR_EraseRootFromParent_Done,
     /* 1499676 */   // Label 20887: @1499676
     /* 1499676 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1499773), // Rule ID 62059 //
     /* 1499681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499731 */     // MIs[1] Operand 1
     /* 1499731 */     // No operand predicates
     /* 1499731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499735 */     // MIs[0] policy
     /* 1499735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499772 */     // GIR_Coverage, 62059,
     /* 1499772 */     GIR_EraseRootFromParent_Done,
     /* 1499773 */   // Label 20888: @1499773
     /* 1499773 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1499870), // Rule ID 62062 //
     /* 1499778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499828 */     // MIs[1] Operand 1
     /* 1499828 */     // No operand predicates
     /* 1499828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499832 */     // MIs[0] policy
     /* 1499832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499869 */     // GIR_Coverage, 62062,
     /* 1499869 */     GIR_EraseRootFromParent_Done,
     /* 1499870 */   // Label 20889: @1499870
     /* 1499870 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1499967), // Rule ID 62063 //
     /* 1499875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499925 */     // MIs[1] Operand 1
     /* 1499925 */     // No operand predicates
     /* 1499925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499929 */     // MIs[0] policy
     /* 1499929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499941 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499966 */     // GIR_Coverage, 62063,
     /* 1499966 */     GIR_EraseRootFromParent_Done,
     /* 1499967 */   // Label 20890: @1499967
     /* 1499967 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1500064), // Rule ID 62066 //
     /* 1499972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1499989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500022 */     // MIs[1] Operand 1
     /* 1500022 */     // No operand predicates
     /* 1500022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500026 */     // MIs[0] policy
     /* 1500026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500063 */     // GIR_Coverage, 62066,
     /* 1500063 */     GIR_EraseRootFromParent_Done,
     /* 1500064 */   // Label 20891: @1500064
     /* 1500064 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1500161), // Rule ID 62067 //
     /* 1500069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1500092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500119 */     // MIs[1] Operand 1
     /* 1500119 */     // No operand predicates
     /* 1500119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500123 */     // MIs[0] policy
     /* 1500123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500160 */     // GIR_Coverage, 62067,
     /* 1500160 */     GIR_EraseRootFromParent_Done,
     /* 1500161 */   // Label 20892: @1500161
     /* 1500161 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1500258), // Rule ID 62070 //
     /* 1500166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500216 */     // MIs[1] Operand 1
     /* 1500216 */     // No operand predicates
     /* 1500216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500220 */     // MIs[0] policy
     /* 1500220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500257 */     // GIR_Coverage, 62070,
     /* 1500257 */     GIR_EraseRootFromParent_Done,
     /* 1500258 */   // Label 20893: @1500258
     /* 1500258 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1500355), // Rule ID 62071 //
     /* 1500263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500313 */     // MIs[1] Operand 1
     /* 1500313 */     // No operand predicates
     /* 1500313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500317 */     // MIs[0] policy
     /* 1500317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500354 */     // GIR_Coverage, 62071,
     /* 1500354 */     GIR_EraseRootFromParent_Done,
     /* 1500355 */   // Label 20894: @1500355
     /* 1500355 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1500452), // Rule ID 62074 //
     /* 1500360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500410 */     // MIs[1] Operand 1
     /* 1500410 */     // No operand predicates
     /* 1500410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500414 */     // MIs[0] policy
     /* 1500414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500451 */     // GIR_Coverage, 62074,
     /* 1500451 */     GIR_EraseRootFromParent_Done,
     /* 1500452 */   // Label 20895: @1500452
     /* 1500452 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1500549), // Rule ID 62075 //
     /* 1500457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500507 */     // MIs[1] Operand 1
     /* 1500507 */     // No operand predicates
     /* 1500507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500511 */     // MIs[0] policy
     /* 1500511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500548 */     // GIR_Coverage, 62075,
     /* 1500548 */     GIR_EraseRootFromParent_Done,
     /* 1500549 */   // Label 20896: @1500549
     /* 1500549 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1500646), // Rule ID 62078 //
     /* 1500554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500604 */     // MIs[1] Operand 1
     /* 1500604 */     // No operand predicates
     /* 1500604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500608 */     // MIs[0] policy
     /* 1500608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500620 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500645 */     // GIR_Coverage, 62078,
     /* 1500645 */     GIR_EraseRootFromParent_Done,
     /* 1500646 */   // Label 20897: @1500646
     /* 1500646 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1500743), // Rule ID 62079 //
     /* 1500651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500701 */     // MIs[1] Operand 1
     /* 1500701 */     // No operand predicates
     /* 1500701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500705 */     // MIs[0] policy
     /* 1500705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500742 */     // GIR_Coverage, 62079,
     /* 1500742 */     GIR_EraseRootFromParent_Done,
     /* 1500743 */   // Label 20898: @1500743
     /* 1500743 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1500825), // Rule ID 2698 //
     /* 1500748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1500756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1500768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500787 */     // MIs[0] round
     /* 1500787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500790 */     // MIs[0] policy
     /* 1500790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500800 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1500803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1500809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1500811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500824 */     // GIR_Coverage, 2698,
     /* 1500824 */     GIR_EraseRootFromParent_Done,
     /* 1500825 */   // Label 20899: @1500825
     /* 1500825 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1500907), // Rule ID 2699 //
     /* 1500830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1500838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1500850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500869 */     // MIs[0] round
     /* 1500869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500872 */     // MIs[0] policy
     /* 1500872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500882 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1500885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1500891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1500893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500906 */     // GIR_Coverage, 2699,
     /* 1500906 */     GIR_EraseRootFromParent_Done,
     /* 1500907 */   // Label 20900: @1500907
     /* 1500907 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1500989), // Rule ID 2734 //
     /* 1500912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1500915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1500920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1500932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500951 */     // MIs[0] round
     /* 1500951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500954 */     // MIs[0] policy
     /* 1500954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1500967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1500973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1500975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500988 */     // GIR_Coverage, 2734,
     /* 1500988 */     GIR_EraseRootFromParent_Done,
     /* 1500989 */   // Label 20901: @1500989
     /* 1500989 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501071), // Rule ID 2735 //
     /* 1500994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1500997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1501002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1501014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501033 */     // MIs[0] round
     /* 1501033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501036 */     // MIs[0] policy
     /* 1501036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1501049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1501055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1501057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501070 */     // GIR_Coverage, 2735,
     /* 1501070 */     GIR_EraseRootFromParent_Done,
     /* 1501071 */   // Label 20902: @1501071
     /* 1501071 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501153), // Rule ID 2766 //
     /* 1501076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501115 */     // MIs[0] round
     /* 1501115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501118 */     // MIs[0] policy
     /* 1501118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1501131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501152 */     // GIR_Coverage, 2766,
     /* 1501152 */     GIR_EraseRootFromParent_Done,
     /* 1501153 */   // Label 20903: @1501153
     /* 1501153 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1501235), // Rule ID 2767 //
     /* 1501158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501197 */     // MIs[0] round
     /* 1501197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501200 */     // MIs[0] policy
     /* 1501200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501210 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1501213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501234 */     // GIR_Coverage, 2767,
     /* 1501234 */     GIR_EraseRootFromParent_Done,
     /* 1501235 */   // Label 20904: @1501235
     /* 1501235 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1501317), // Rule ID 17746 //
     /* 1501240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501279 */     // MIs[0] round
     /* 1501279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501282 */     // MIs[0] policy
     /* 1501282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501292 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1501295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501316 */     // GIR_Coverage, 17746,
     /* 1501316 */     GIR_EraseRootFromParent_Done,
     /* 1501317 */   // Label 20905: @1501317
     /* 1501317 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1501399), // Rule ID 17747 //
     /* 1501322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501361 */     // MIs[0] round
     /* 1501361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501364 */     // MIs[0] policy
     /* 1501364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501374 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1501377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501398 */     // GIR_Coverage, 17747,
     /* 1501398 */     GIR_EraseRootFromParent_Done,
     /* 1501399 */   // Label 20906: @1501399
     /* 1501399 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1501481), // Rule ID 17750 //
     /* 1501404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501443 */     // MIs[0] round
     /* 1501443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501446 */     // MIs[0] policy
     /* 1501446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1501459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501480 */     // GIR_Coverage, 17750,
     /* 1501480 */     GIR_EraseRootFromParent_Done,
     /* 1501481 */   // Label 20907: @1501481
     /* 1501481 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1501563), // Rule ID 17751 //
     /* 1501486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501525 */     // MIs[0] round
     /* 1501525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501528 */     // MIs[0] policy
     /* 1501528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501538 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1501541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501562 */     // GIR_Coverage, 17751,
     /* 1501562 */     GIR_EraseRootFromParent_Done,
     /* 1501563 */   // Label 20908: @1501563
     /* 1501563 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1501645), // Rule ID 17754 //
     /* 1501568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501607 */     // MIs[0] round
     /* 1501607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501610 */     // MIs[0] policy
     /* 1501610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501620 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1501623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501644 */     // GIR_Coverage, 17754,
     /* 1501644 */     GIR_EraseRootFromParent_Done,
     /* 1501645 */   // Label 20909: @1501645
     /* 1501645 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1501727), // Rule ID 17755 //
     /* 1501650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501689 */     // MIs[0] round
     /* 1501689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501692 */     // MIs[0] policy
     /* 1501692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501702 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1501705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501726 */     // GIR_Coverage, 17755,
     /* 1501726 */     GIR_EraseRootFromParent_Done,
     /* 1501727 */   // Label 20910: @1501727
     /* 1501727 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1501809), // Rule ID 17758 //
     /* 1501732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501771 */     // MIs[0] round
     /* 1501771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501774 */     // MIs[0] policy
     /* 1501774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1501787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501808 */     // GIR_Coverage, 17758,
     /* 1501808 */     GIR_EraseRootFromParent_Done,
     /* 1501809 */   // Label 20911: @1501809
     /* 1501809 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1501891), // Rule ID 17759 //
     /* 1501814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501853 */     // MIs[0] round
     /* 1501853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501856 */     // MIs[0] policy
     /* 1501856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1501869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501890 */     // GIR_Coverage, 17759,
     /* 1501890 */     GIR_EraseRootFromParent_Done,
     /* 1501891 */   // Label 20912: @1501891
     /* 1501891 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1501973), // Rule ID 17762 //
     /* 1501896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501935 */     // MIs[0] round
     /* 1501935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501938 */     // MIs[0] policy
     /* 1501938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1501951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501972 */     // GIR_Coverage, 17762,
     /* 1501972 */     GIR_EraseRootFromParent_Done,
     /* 1501973 */   // Label 20913: @1501973
     /* 1501973 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502055), // Rule ID 17763 //
     /* 1501978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502017 */     // MIs[0] round
     /* 1502017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502020 */     // MIs[0] policy
     /* 1502020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502030 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1502033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502054 */     // GIR_Coverage, 17763,
     /* 1502054 */     GIR_EraseRootFromParent_Done,
     /* 1502055 */   // Label 20914: @1502055
     /* 1502055 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502137), // Rule ID 17766 //
     /* 1502060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502099 */     // MIs[0] round
     /* 1502099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502102 */     // MIs[0] policy
     /* 1502102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502112 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1502115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502136 */     // GIR_Coverage, 17766,
     /* 1502136 */     GIR_EraseRootFromParent_Done,
     /* 1502137 */   // Label 20915: @1502137
     /* 1502137 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1502219), // Rule ID 17767 //
     /* 1502142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502181 */     // MIs[0] round
     /* 1502181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502184 */     // MIs[0] policy
     /* 1502184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502194 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1502197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502218 */     // GIR_Coverage, 17767,
     /* 1502218 */     GIR_EraseRootFromParent_Done,
     /* 1502219 */   // Label 20916: @1502219
     /* 1502219 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1502301), // Rule ID 17770 //
     /* 1502224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502263 */     // MIs[0] round
     /* 1502263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502266 */     // MIs[0] policy
     /* 1502266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502276 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1502279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502300 */     // GIR_Coverage, 17770,
     /* 1502300 */     GIR_EraseRootFromParent_Done,
     /* 1502301 */   // Label 20917: @1502301
     /* 1502301 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1502383), // Rule ID 17771 //
     /* 1502306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502345 */     // MIs[0] round
     /* 1502345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502348 */     // MIs[0] policy
     /* 1502348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502358 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1502361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502382 */     // GIR_Coverage, 17771,
     /* 1502382 */     GIR_EraseRootFromParent_Done,
     /* 1502383 */   // Label 20918: @1502383
     /* 1502383 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1502465), // Rule ID 17774 //
     /* 1502388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502427 */     // MIs[0] round
     /* 1502427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502430 */     // MIs[0] policy
     /* 1502430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1502443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502464 */     // GIR_Coverage, 17774,
     /* 1502464 */     GIR_EraseRootFromParent_Done,
     /* 1502465 */   // Label 20919: @1502465
     /* 1502465 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1502547), // Rule ID 17775 //
     /* 1502470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502509 */     // MIs[0] round
     /* 1502509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502512 */     // MIs[0] policy
     /* 1502512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502522 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1502525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502546 */     // GIR_Coverage, 17775,
     /* 1502546 */     GIR_EraseRootFromParent_Done,
     /* 1502547 */   // Label 20920: @1502547
     /* 1502547 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1502629), // Rule ID 17778 //
     /* 1502552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502591 */     // MIs[0] round
     /* 1502591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502594 */     // MIs[0] policy
     /* 1502594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1502607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502628 */     // GIR_Coverage, 17778,
     /* 1502628 */     GIR_EraseRootFromParent_Done,
     /* 1502629 */   // Label 20921: @1502629
     /* 1502629 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1502711), // Rule ID 17779 //
     /* 1502634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502673 */     // MIs[0] round
     /* 1502673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502676 */     // MIs[0] policy
     /* 1502676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502686 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1502689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502710 */     // GIR_Coverage, 17779,
     /* 1502710 */     GIR_EraseRootFromParent_Done,
     /* 1502711 */   // Label 20922: @1502711
     /* 1502711 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1502793), // Rule ID 17782 //
     /* 1502716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502755 */     // MIs[0] round
     /* 1502755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502758 */     // MIs[0] policy
     /* 1502758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1502771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502792 */     // GIR_Coverage, 17782,
     /* 1502792 */     GIR_EraseRootFromParent_Done,
     /* 1502793 */   // Label 20923: @1502793
     /* 1502793 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1502875), // Rule ID 17783 //
     /* 1502798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502837 */     // MIs[0] round
     /* 1502837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502840 */     // MIs[0] policy
     /* 1502840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502850 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1502853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502874 */     // GIR_Coverage, 17783,
     /* 1502874 */     GIR_EraseRootFromParent_Done,
     /* 1502875 */   // Label 20924: @1502875
     /* 1502875 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1502957), // Rule ID 17786 //
     /* 1502880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1502897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502919 */     // MIs[0] round
     /* 1502919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502922 */     // MIs[0] policy
     /* 1502922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502932 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1502935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502956 */     // GIR_Coverage, 17786,
     /* 1502956 */     GIR_EraseRootFromParent_Done,
     /* 1502957 */   // Label 20925: @1502957
     /* 1502957 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503039), // Rule ID 17787 //
     /* 1502962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1502979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503001 */     // MIs[0] round
     /* 1503001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503004 */     // MIs[0] policy
     /* 1503004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503014 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1503017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503038 */     // GIR_Coverage, 17787,
     /* 1503038 */     GIR_EraseRootFromParent_Done,
     /* 1503039 */   // Label 20926: @1503039
     /* 1503039 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503121), // Rule ID 17790 //
     /* 1503044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503083 */     // MIs[0] round
     /* 1503083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503086 */     // MIs[0] policy
     /* 1503086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503096 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1503099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503120 */     // GIR_Coverage, 17790,
     /* 1503120 */     GIR_EraseRootFromParent_Done,
     /* 1503121 */   // Label 20927: @1503121
     /* 1503121 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1503203), // Rule ID 17791 //
     /* 1503126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503165 */     // MIs[0] round
     /* 1503165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503168 */     // MIs[0] policy
     /* 1503168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1503181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503202 */     // GIR_Coverage, 17791,
     /* 1503202 */     GIR_EraseRootFromParent_Done,
     /* 1503203 */   // Label 20928: @1503203
     /* 1503203 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1503285), // Rule ID 17794 //
     /* 1503208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503247 */     // MIs[0] round
     /* 1503247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503250 */     // MIs[0] policy
     /* 1503250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503260 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1503263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503284 */     // GIR_Coverage, 17794,
     /* 1503284 */     GIR_EraseRootFromParent_Done,
     /* 1503285 */   // Label 20929: @1503285
     /* 1503285 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1503367), // Rule ID 17795 //
     /* 1503290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503329 */     // MIs[0] round
     /* 1503329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503332 */     // MIs[0] policy
     /* 1503332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503342 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1503345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503366 */     // GIR_Coverage, 17795,
     /* 1503366 */     GIR_EraseRootFromParent_Done,
     /* 1503367 */   // Label 20930: @1503367
     /* 1503367 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1503449), // Rule ID 17798 //
     /* 1503372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503411 */     // MIs[0] round
     /* 1503411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503414 */     // MIs[0] policy
     /* 1503414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1503427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503448 */     // GIR_Coverage, 17798,
     /* 1503448 */     GIR_EraseRootFromParent_Done,
     /* 1503449 */   // Label 20931: @1503449
     /* 1503449 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1503531), // Rule ID 17799 //
     /* 1503454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503493 */     // MIs[0] round
     /* 1503493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503496 */     // MIs[0] policy
     /* 1503496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503506 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1503509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503530 */     // GIR_Coverage, 17799,
     /* 1503530 */     GIR_EraseRootFromParent_Done,
     /* 1503531 */   // Label 20932: @1503531
     /* 1503531 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1503613), // Rule ID 17802 //
     /* 1503536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503575 */     // MIs[0] round
     /* 1503575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503578 */     // MIs[0] policy
     /* 1503578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503588 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1503591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503612 */     // GIR_Coverage, 17802,
     /* 1503612 */     GIR_EraseRootFromParent_Done,
     /* 1503613 */   // Label 20933: @1503613
     /* 1503613 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1503695), // Rule ID 17803 //
     /* 1503618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503657 */     // MIs[0] round
     /* 1503657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503660 */     // MIs[0] policy
     /* 1503660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503670 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1503673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503694 */     // GIR_Coverage, 17803,
     /* 1503694 */     GIR_EraseRootFromParent_Done,
     /* 1503695 */   // Label 20934: @1503695
     /* 1503695 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1503777), // Rule ID 17806 //
     /* 1503700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503739 */     // MIs[0] round
     /* 1503739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503742 */     // MIs[0] policy
     /* 1503742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1503755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503776 */     // GIR_Coverage, 17806,
     /* 1503776 */     GIR_EraseRootFromParent_Done,
     /* 1503777 */   // Label 20935: @1503777
     /* 1503777 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1503859), // Rule ID 17807 //
     /* 1503782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503821 */     // MIs[0] round
     /* 1503821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503824 */     // MIs[0] policy
     /* 1503824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503834 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1503837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503858 */     // GIR_Coverage, 17807,
     /* 1503858 */     GIR_EraseRootFromParent_Done,
     /* 1503859 */   // Label 20936: @1503859
     /* 1503859 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1503941), // Rule ID 17810 //
     /* 1503864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503903 */     // MIs[0] round
     /* 1503903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503906 */     // MIs[0] policy
     /* 1503906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1503919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503940 */     // GIR_Coverage, 17810,
     /* 1503940 */     GIR_EraseRootFromParent_Done,
     /* 1503941 */   // Label 20937: @1503941
     /* 1503941 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504023), // Rule ID 17811 //
     /* 1503946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503985 */     // MIs[0] round
     /* 1503985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503988 */     // MIs[0] policy
     /* 1503988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1504001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504022 */     // GIR_Coverage, 17811,
     /* 1504022 */     GIR_EraseRootFromParent_Done,
     /* 1504023 */   // Label 20938: @1504023
     /* 1504023 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504105), // Rule ID 17814 //
     /* 1504028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504067 */     // MIs[0] round
     /* 1504067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504070 */     // MIs[0] policy
     /* 1504070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504080 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1504083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504104 */     // GIR_Coverage, 17814,
     /* 1504104 */     GIR_EraseRootFromParent_Done,
     /* 1504105 */   // Label 20939: @1504105
     /* 1504105 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1504187), // Rule ID 17815 //
     /* 1504110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504149 */     // MIs[0] round
     /* 1504149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504152 */     // MIs[0] policy
     /* 1504152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504162 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1504165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504186 */     // GIR_Coverage, 17815,
     /* 1504186 */     GIR_EraseRootFromParent_Done,
     /* 1504187 */   // Label 20940: @1504187
     /* 1504187 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1504269), // Rule ID 17818 //
     /* 1504192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504231 */     // MIs[0] round
     /* 1504231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504234 */     // MIs[0] policy
     /* 1504234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504244 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1504247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504268 */     // GIR_Coverage, 17818,
     /* 1504268 */     GIR_EraseRootFromParent_Done,
     /* 1504269 */   // Label 20941: @1504269
     /* 1504269 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1504351), // Rule ID 17819 //
     /* 1504274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504313 */     // MIs[0] round
     /* 1504313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504316 */     // MIs[0] policy
     /* 1504316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1504329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504350 */     // GIR_Coverage, 17819,
     /* 1504350 */     GIR_EraseRootFromParent_Done,
     /* 1504351 */   // Label 20942: @1504351
     /* 1504351 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1504433), // Rule ID 17822 //
     /* 1504356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504395 */     // MIs[0] round
     /* 1504395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504398 */     // MIs[0] policy
     /* 1504398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1504411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504432 */     // GIR_Coverage, 17822,
     /* 1504432 */     GIR_EraseRootFromParent_Done,
     /* 1504433 */   // Label 20943: @1504433
     /* 1504433 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1504515), // Rule ID 17823 //
     /* 1504438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504477 */     // MIs[0] round
     /* 1504477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504480 */     // MIs[0] policy
     /* 1504480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1504493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504514 */     // GIR_Coverage, 17823,
     /* 1504514 */     GIR_EraseRootFromParent_Done,
     /* 1504515 */   // Label 20944: @1504515
     /* 1504515 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1504597), // Rule ID 17826 //
     /* 1504520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504559 */     // MIs[0] round
     /* 1504559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504562 */     // MIs[0] policy
     /* 1504562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1504575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504596 */     // GIR_Coverage, 17826,
     /* 1504596 */     GIR_EraseRootFromParent_Done,
     /* 1504597 */   // Label 20945: @1504597
     /* 1504597 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1504679), // Rule ID 17827 //
     /* 1504602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504641 */     // MIs[0] round
     /* 1504641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504644 */     // MIs[0] policy
     /* 1504644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504654 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1504657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504678 */     // GIR_Coverage, 17827,
     /* 1504678 */     GIR_EraseRootFromParent_Done,
     /* 1504679 */   // Label 20946: @1504679
     /* 1504679 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1504761), // Rule ID 17830 //
     /* 1504684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504723 */     // MIs[0] round
     /* 1504723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504726 */     // MIs[0] policy
     /* 1504726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1504739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504760 */     // GIR_Coverage, 17830,
     /* 1504760 */     GIR_EraseRootFromParent_Done,
     /* 1504761 */   // Label 20947: @1504761
     /* 1504761 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1504843), // Rule ID 17831 //
     /* 1504766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504805 */     // MIs[0] round
     /* 1504805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504808 */     // MIs[0] policy
     /* 1504808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504818 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1504821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504842 */     // GIR_Coverage, 17831,
     /* 1504842 */     GIR_EraseRootFromParent_Done,
     /* 1504843 */   // Label 20948: @1504843
     /* 1504843 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1504925), // Rule ID 17834 //
     /* 1504848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504887 */     // MIs[0] round
     /* 1504887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504890 */     // MIs[0] policy
     /* 1504890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504900 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1504903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504924 */     // GIR_Coverage, 17834,
     /* 1504924 */     GIR_EraseRootFromParent_Done,
     /* 1504925 */   // Label 20949: @1504925
     /* 1504925 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505007), // Rule ID 17835 //
     /* 1504930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504969 */     // MIs[0] round
     /* 1504969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504972 */     // MIs[0] policy
     /* 1504972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1504985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505006 */     // GIR_Coverage, 17835,
     /* 1505006 */     GIR_EraseRootFromParent_Done,
     /* 1505007 */   // Label 20950: @1505007
     /* 1505007 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505089), // Rule ID 17838 //
     /* 1505012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505051 */     // MIs[0] round
     /* 1505051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505054 */     // MIs[0] policy
     /* 1505054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505064 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1505067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505088 */     // GIR_Coverage, 17838,
     /* 1505088 */     GIR_EraseRootFromParent_Done,
     /* 1505089 */   // Label 20951: @1505089
     /* 1505089 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1505171), // Rule ID 17839 //
     /* 1505094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505133 */     // MIs[0] round
     /* 1505133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505136 */     // MIs[0] policy
     /* 1505136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505146 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1505149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505170 */     // GIR_Coverage, 17839,
     /* 1505170 */     GIR_EraseRootFromParent_Done,
     /* 1505171 */   // Label 20952: @1505171
     /* 1505171 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1505253), // Rule ID 17842 //
     /* 1505176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505215 */     // MIs[0] round
     /* 1505215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505218 */     // MIs[0] policy
     /* 1505218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1505231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505252 */     // GIR_Coverage, 17842,
     /* 1505252 */     GIR_EraseRootFromParent_Done,
     /* 1505253 */   // Label 20953: @1505253
     /* 1505253 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1505335), // Rule ID 17843 //
     /* 1505258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505297 */     // MIs[0] round
     /* 1505297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505300 */     // MIs[0] policy
     /* 1505300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505310 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1505313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505334 */     // GIR_Coverage, 17843,
     /* 1505334 */     GIR_EraseRootFromParent_Done,
     /* 1505335 */   // Label 20954: @1505335
     /* 1505335 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1505417), // Rule ID 17846 //
     /* 1505340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505379 */     // MIs[0] round
     /* 1505379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505382 */     // MIs[0] policy
     /* 1505382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505392 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1505395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505416 */     // GIR_Coverage, 17846,
     /* 1505416 */     GIR_EraseRootFromParent_Done,
     /* 1505417 */   // Label 20955: @1505417
     /* 1505417 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1505499), // Rule ID 17847 //
     /* 1505422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505461 */     // MIs[0] round
     /* 1505461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505464 */     // MIs[0] policy
     /* 1505464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505474 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1505477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505498 */     // GIR_Coverage, 17847,
     /* 1505498 */     GIR_EraseRootFromParent_Done,
     /* 1505499 */   // Label 20956: @1505499
     /* 1505499 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1505581), // Rule ID 17850 //
     /* 1505504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505543 */     // MIs[0] round
     /* 1505543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505546 */     // MIs[0] policy
     /* 1505546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1505559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505580 */     // GIR_Coverage, 17850,
     /* 1505580 */     GIR_EraseRootFromParent_Done,
     /* 1505581 */   // Label 20957: @1505581
     /* 1505581 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1505663), // Rule ID 17851 //
     /* 1505586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505625 */     // MIs[0] round
     /* 1505625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505628 */     // MIs[0] policy
     /* 1505628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505638 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1505641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505662 */     // GIR_Coverage, 17851,
     /* 1505662 */     GIR_EraseRootFromParent_Done,
     /* 1505663 */   // Label 20958: @1505663
     /* 1505663 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1505745), // Rule ID 17854 //
     /* 1505668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505707 */     // MIs[0] round
     /* 1505707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505710 */     // MIs[0] policy
     /* 1505710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505720 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1505723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505744 */     // GIR_Coverage, 17854,
     /* 1505744 */     GIR_EraseRootFromParent_Done,
     /* 1505745 */   // Label 20959: @1505745
     /* 1505745 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1505827), // Rule ID 17855 //
     /* 1505750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505789 */     // MIs[0] round
     /* 1505789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505792 */     // MIs[0] policy
     /* 1505792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505802 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1505805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505826 */     // GIR_Coverage, 17855,
     /* 1505826 */     GIR_EraseRootFromParent_Done,
     /* 1505827 */   // Label 20960: @1505827
     /* 1505827 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1505909), // Rule ID 17858 //
     /* 1505832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505871 */     // MIs[0] round
     /* 1505871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505874 */     // MIs[0] policy
     /* 1505874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1505887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505908 */     // GIR_Coverage, 17858,
     /* 1505908 */     GIR_EraseRootFromParent_Done,
     /* 1505909 */   // Label 20961: @1505909
     /* 1505909 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1505991), // Rule ID 17859 //
     /* 1505914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505953 */     // MIs[0] round
     /* 1505953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505956 */     // MIs[0] policy
     /* 1505956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505966 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1505969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505990 */     // GIR_Coverage, 17859,
     /* 1505990 */     GIR_EraseRootFromParent_Done,
     /* 1505991 */   // Label 20962: @1505991
     /* 1505991 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506073), // Rule ID 17862 //
     /* 1505996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1506013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506035 */     // MIs[0] round
     /* 1506035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506038 */     // MIs[0] policy
     /* 1506038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506048 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1506051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506072 */     // GIR_Coverage, 17862,
     /* 1506072 */     GIR_EraseRootFromParent_Done,
     /* 1506073 */   // Label 20963: @1506073
     /* 1506073 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1506155), // Rule ID 17863 //
     /* 1506078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1506095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506117 */     // MIs[0] round
     /* 1506117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506120 */     // MIs[0] policy
     /* 1506120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506130 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1506133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506154 */     // GIR_Coverage, 17863,
     /* 1506154 */     GIR_EraseRootFromParent_Done,
     /* 1506155 */   // Label 20964: @1506155
     /* 1506155 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1506237), // Rule ID 17866 //
     /* 1506160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1506177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506199 */     // MIs[0] round
     /* 1506199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506202 */     // MIs[0] policy
     /* 1506202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506212 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1506215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506236 */     // GIR_Coverage, 17866,
     /* 1506236 */     GIR_EraseRootFromParent_Done,
     /* 1506237 */   // Label 20965: @1506237
     /* 1506237 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1506319), // Rule ID 17867 //
     /* 1506242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1506259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506281 */     // MIs[0] round
     /* 1506281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506284 */     // MIs[0] policy
     /* 1506284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506294 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1506297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506318 */     // GIR_Coverage, 17867,
     /* 1506318 */     GIR_EraseRootFromParent_Done,
     /* 1506319 */   // Label 20966: @1506319
     /* 1506319 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1506401), // Rule ID 17870 //
     /* 1506324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506363 */     // MIs[0] round
     /* 1506363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506366 */     // MIs[0] policy
     /* 1506366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506376 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1506379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506400 */     // GIR_Coverage, 17870,
     /* 1506400 */     GIR_EraseRootFromParent_Done,
     /* 1506401 */   // Label 20967: @1506401
     /* 1506401 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1506483), // Rule ID 17871 //
     /* 1506406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506445 */     // MIs[0] round
     /* 1506445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506448 */     // MIs[0] policy
     /* 1506448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506458 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1506461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506482 */     // GIR_Coverage, 17871,
     /* 1506482 */     GIR_EraseRootFromParent_Done,
     /* 1506483 */   // Label 20968: @1506483
     /* 1506483 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1506565), // Rule ID 17874 //
     /* 1506488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506527 */     // MIs[0] round
     /* 1506527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506530 */     // MIs[0] policy
     /* 1506530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506540 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1506543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506564 */     // GIR_Coverage, 17874,
     /* 1506564 */     GIR_EraseRootFromParent_Done,
     /* 1506565 */   // Label 20969: @1506565
     /* 1506565 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1506647), // Rule ID 17875 //
     /* 1506570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506609 */     // MIs[0] round
     /* 1506609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506612 */     // MIs[0] policy
     /* 1506612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1506625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506646 */     // GIR_Coverage, 17875,
     /* 1506646 */     GIR_EraseRootFromParent_Done,
     /* 1506647 */   // Label 20970: @1506647
     /* 1506647 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1506729), // Rule ID 17878 //
     /* 1506652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506691 */     // MIs[0] round
     /* 1506691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506694 */     // MIs[0] policy
     /* 1506694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1506707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506728 */     // GIR_Coverage, 17878,
     /* 1506728 */     GIR_EraseRootFromParent_Done,
     /* 1506729 */   // Label 20971: @1506729
     /* 1506729 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1506811), // Rule ID 17879 //
     /* 1506734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506773 */     // MIs[0] round
     /* 1506773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506776 */     // MIs[0] policy
     /* 1506776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1506789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506810 */     // GIR_Coverage, 17879,
     /* 1506810 */     GIR_EraseRootFromParent_Done,
     /* 1506811 */   // Label 20972: @1506811
     /* 1506811 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1506893), // Rule ID 17882 //
     /* 1506816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506855 */     // MIs[0] round
     /* 1506855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506858 */     // MIs[0] policy
     /* 1506858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1506871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506892 */     // GIR_Coverage, 17882,
     /* 1506892 */     GIR_EraseRootFromParent_Done,
     /* 1506893 */   // Label 20973: @1506893
     /* 1506893 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1506975), // Rule ID 17883 //
     /* 1506898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506937 */     // MIs[0] round
     /* 1506937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506940 */     // MIs[0] policy
     /* 1506940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506950 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1506953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506974 */     // GIR_Coverage, 17883,
     /* 1506974 */     GIR_EraseRootFromParent_Done,
     /* 1506975 */   // Label 20974: @1506975
     /* 1506975 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507057), // Rule ID 17886 //
     /* 1506980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507019 */     // MIs[0] round
     /* 1507019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507022 */     // MIs[0] policy
     /* 1507022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1507035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507056 */     // GIR_Coverage, 17886,
     /* 1507056 */     GIR_EraseRootFromParent_Done,
     /* 1507057 */   // Label 20975: @1507057
     /* 1507057 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507139), // Rule ID 17887 //
     /* 1507062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1507079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507101 */     // MIs[0] round
     /* 1507101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507104 */     // MIs[0] policy
     /* 1507104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507114 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1507117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507138 */     // GIR_Coverage, 17887,
     /* 1507138 */     GIR_EraseRootFromParent_Done,
     /* 1507139 */   // Label 20976: @1507139
     /* 1507139 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1507221), // Rule ID 17890 //
     /* 1507144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1507161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507183 */     // MIs[0] round
     /* 1507183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507186 */     // MIs[0] policy
     /* 1507186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507196 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1507199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507220 */     // GIR_Coverage, 17890,
     /* 1507220 */     GIR_EraseRootFromParent_Done,
     /* 1507221 */   // Label 20977: @1507221
     /* 1507221 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1507303), // Rule ID 17891 //
     /* 1507226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1507243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507265 */     // MIs[0] round
     /* 1507265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507268 */     // MIs[0] policy
     /* 1507268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507278 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1507281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507302 */     // GIR_Coverage, 17891,
     /* 1507302 */     GIR_EraseRootFromParent_Done,
     /* 1507303 */   // Label 20978: @1507303
     /* 1507303 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1507385), // Rule ID 17894 //
     /* 1507308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507347 */     // MIs[0] round
     /* 1507347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507350 */     // MIs[0] policy
     /* 1507350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507360 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1507363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507384 */     // GIR_Coverage, 17894,
     /* 1507384 */     GIR_EraseRootFromParent_Done,
     /* 1507385 */   // Label 20979: @1507385
     /* 1507385 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1507467), // Rule ID 17895 //
     /* 1507390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507429 */     // MIs[0] round
     /* 1507429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507432 */     // MIs[0] policy
     /* 1507432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507442 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1507445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507466 */     // GIR_Coverage, 17895,
     /* 1507466 */     GIR_EraseRootFromParent_Done,
     /* 1507467 */   // Label 20980: @1507467
     /* 1507467 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1507549), // Rule ID 17898 //
     /* 1507472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507511 */     // MIs[0] round
     /* 1507511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507514 */     // MIs[0] policy
     /* 1507514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507524 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1507527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507548 */     // GIR_Coverage, 17898,
     /* 1507548 */     GIR_EraseRootFromParent_Done,
     /* 1507549 */   // Label 20981: @1507549
     /* 1507549 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1507631), // Rule ID 17899 //
     /* 1507554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507593 */     // MIs[0] round
     /* 1507593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507596 */     // MIs[0] policy
     /* 1507596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507606 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1507609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507630 */     // GIR_Coverage, 17899,
     /* 1507630 */     GIR_EraseRootFromParent_Done,
     /* 1507631 */   // Label 20982: @1507631
     /* 1507631 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1507713), // Rule ID 17902 //
     /* 1507636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507675 */     // MIs[0] round
     /* 1507675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507678 */     // MIs[0] policy
     /* 1507678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1507691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507712 */     // GIR_Coverage, 17902,
     /* 1507712 */     GIR_EraseRootFromParent_Done,
     /* 1507713 */   // Label 20983: @1507713
     /* 1507713 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1507795), // Rule ID 17903 //
     /* 1507718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507757 */     // MIs[0] round
     /* 1507757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507760 */     // MIs[0] policy
     /* 1507760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1507773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507794 */     // GIR_Coverage, 17903,
     /* 1507794 */     GIR_EraseRootFromParent_Done,
     /* 1507795 */   // Label 20984: @1507795
     /* 1507795 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1507877), // Rule ID 17906 //
     /* 1507800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507839 */     // MIs[0] round
     /* 1507839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507842 */     // MIs[0] policy
     /* 1507842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1507855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507876 */     // GIR_Coverage, 17906,
     /* 1507876 */     GIR_EraseRootFromParent_Done,
     /* 1507877 */   // Label 20985: @1507877
     /* 1507877 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1507959), // Rule ID 17907 //
     /* 1507882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507921 */     // MIs[0] round
     /* 1507921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507924 */     // MIs[0] policy
     /* 1507924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507934 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1507937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507958 */     // GIR_Coverage, 17907,
     /* 1507958 */     GIR_EraseRootFromParent_Done,
     /* 1507959 */   // Label 20986: @1507959
     /* 1507959 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508041), // Rule ID 17910 //
     /* 1507964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508003 */     // MIs[0] round
     /* 1508003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508006 */     // MIs[0] policy
     /* 1508006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1508019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508040 */     // GIR_Coverage, 17910,
     /* 1508040 */     GIR_EraseRootFromParent_Done,
     /* 1508041 */   // Label 20987: @1508041
     /* 1508041 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508123), // Rule ID 17911 //
     /* 1508046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1508063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508085 */     // MIs[0] round
     /* 1508085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508088 */     // MIs[0] policy
     /* 1508088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1508101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508122 */     // GIR_Coverage, 17911,
     /* 1508122 */     GIR_EraseRootFromParent_Done,
     /* 1508123 */   // Label 20988: @1508123
     /* 1508123 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1508205), // Rule ID 17914 //
     /* 1508128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1508145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508167 */     // MIs[0] round
     /* 1508167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508170 */     // MIs[0] policy
     /* 1508170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1508183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508204 */     // GIR_Coverage, 17914,
     /* 1508204 */     GIR_EraseRootFromParent_Done,
     /* 1508205 */   // Label 20989: @1508205
     /* 1508205 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1508287), // Rule ID 17915 //
     /* 1508210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1508227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508249 */     // MIs[0] round
     /* 1508249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508252 */     // MIs[0] policy
     /* 1508252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508262 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1508265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508286 */     // GIR_Coverage, 17915,
     /* 1508286 */     GIR_EraseRootFromParent_Done,
     /* 1508287 */   // Label 20990: @1508287
     /* 1508287 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1508369), // Rule ID 17918 //
     /* 1508292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508331 */     // MIs[0] round
     /* 1508331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508334 */     // MIs[0] policy
     /* 1508334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1508347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508368 */     // GIR_Coverage, 17918,
     /* 1508368 */     GIR_EraseRootFromParent_Done,
     /* 1508369 */   // Label 20991: @1508369
     /* 1508369 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1508451), // Rule ID 17919 //
     /* 1508374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508413 */     // MIs[0] round
     /* 1508413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508416 */     // MIs[0] policy
     /* 1508416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508426 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1508429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508450 */     // GIR_Coverage, 17919,
     /* 1508450 */     GIR_EraseRootFromParent_Done,
     /* 1508451 */   // Label 20992: @1508451
     /* 1508451 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1508533), // Rule ID 17922 //
     /* 1508456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508495 */     // MIs[0] round
     /* 1508495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508498 */     // MIs[0] policy
     /* 1508498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508508 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1508511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508532 */     // GIR_Coverage, 17922,
     /* 1508532 */     GIR_EraseRootFromParent_Done,
     /* 1508533 */   // Label 20993: @1508533
     /* 1508533 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1508615), // Rule ID 17923 //
     /* 1508538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508577 */     // MIs[0] round
     /* 1508577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508580 */     // MIs[0] policy
     /* 1508580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508590 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1508593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508614 */     // GIR_Coverage, 17923,
     /* 1508614 */     GIR_EraseRootFromParent_Done,
     /* 1508615 */   // Label 20994: @1508615
     /* 1508615 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1508697), // Rule ID 17926 //
     /* 1508620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508659 */     // MIs[0] round
     /* 1508659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508662 */     // MIs[0] policy
     /* 1508662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508672 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1508675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508696 */     // GIR_Coverage, 17926,
     /* 1508696 */     GIR_EraseRootFromParent_Done,
     /* 1508697 */   // Label 20995: @1508697
     /* 1508697 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1508779), // Rule ID 17927 //
     /* 1508702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508741 */     // MIs[0] round
     /* 1508741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508744 */     // MIs[0] policy
     /* 1508744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508754 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1508757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508778 */     // GIR_Coverage, 17927,
     /* 1508778 */     GIR_EraseRootFromParent_Done,
     /* 1508779 */   // Label 20996: @1508779
     /* 1508779 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1508861), // Rule ID 17930 //
     /* 1508784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508823 */     // MIs[0] round
     /* 1508823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508826 */     // MIs[0] policy
     /* 1508826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508836 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1508839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508860 */     // GIR_Coverage, 17930,
     /* 1508860 */     GIR_EraseRootFromParent_Done,
     /* 1508861 */   // Label 20997: @1508861
     /* 1508861 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1508943), // Rule ID 17931 //
     /* 1508866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508905 */     // MIs[0] round
     /* 1508905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508908 */     // MIs[0] policy
     /* 1508908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508918 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1508921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508942 */     // GIR_Coverage, 17931,
     /* 1508942 */     GIR_EraseRootFromParent_Done,
     /* 1508943 */   // Label 20998: @1508943
     /* 1508943 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509025), // Rule ID 17934 //
     /* 1508948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508987 */     // MIs[0] round
     /* 1508987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508990 */     // MIs[0] policy
     /* 1508990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1509003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509024 */     // GIR_Coverage, 17934,
     /* 1509024 */     GIR_EraseRootFromParent_Done,
     /* 1509025 */   // Label 20999: @1509025
     /* 1509025 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509107), // Rule ID 17935 //
     /* 1509030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509069 */     // MIs[0] round
     /* 1509069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509072 */     // MIs[0] policy
     /* 1509072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1509085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509106 */     // GIR_Coverage, 17935,
     /* 1509106 */     GIR_EraseRootFromParent_Done,
     /* 1509107 */   // Label 21000: @1509107
     /* 1509107 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509189), // Rule ID 17938 //
     /* 1509112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509151 */     // MIs[0] round
     /* 1509151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509154 */     // MIs[0] policy
     /* 1509154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1509167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509188 */     // GIR_Coverage, 17938,
     /* 1509188 */     GIR_EraseRootFromParent_Done,
     /* 1509189 */   // Label 21001: @1509189
     /* 1509189 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1509271), // Rule ID 17939 //
     /* 1509194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509233 */     // MIs[0] round
     /* 1509233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509236 */     // MIs[0] policy
     /* 1509236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509246 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1509249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509270 */     // GIR_Coverage, 17939,
     /* 1509270 */     GIR_EraseRootFromParent_Done,
     /* 1509271 */   // Label 21002: @1509271
     /* 1509271 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1509353), // Rule ID 17942 //
     /* 1509276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509315 */     // MIs[0] round
     /* 1509315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509318 */     // MIs[0] policy
     /* 1509318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1509331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509352 */     // GIR_Coverage, 17942,
     /* 1509352 */     GIR_EraseRootFromParent_Done,
     /* 1509353 */   // Label 21003: @1509353
     /* 1509353 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1509435), // Rule ID 17943 //
     /* 1509358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509397 */     // MIs[0] round
     /* 1509397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509400 */     // MIs[0] policy
     /* 1509400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509410 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1509413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509434 */     // GIR_Coverage, 17943,
     /* 1509434 */     GIR_EraseRootFromParent_Done,
     /* 1509435 */   // Label 21004: @1509435
     /* 1509435 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1509517), // Rule ID 17946 //
     /* 1509440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509479 */     // MIs[0] round
     /* 1509479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509482 */     // MIs[0] policy
     /* 1509482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509492 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1509495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509516 */     // GIR_Coverage, 17946,
     /* 1509516 */     GIR_EraseRootFromParent_Done,
     /* 1509517 */   // Label 21005: @1509517
     /* 1509517 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1509599), // Rule ID 17947 //
     /* 1509522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509561 */     // MIs[0] round
     /* 1509561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509564 */     // MIs[0] policy
     /* 1509564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509574 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1509577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509598 */     // GIR_Coverage, 17947,
     /* 1509598 */     GIR_EraseRootFromParent_Done,
     /* 1509599 */   // Label 21006: @1509599
     /* 1509599 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1509681), // Rule ID 17950 //
     /* 1509604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509643 */     // MIs[0] round
     /* 1509643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509646 */     // MIs[0] policy
     /* 1509646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1509659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509680 */     // GIR_Coverage, 17950,
     /* 1509680 */     GIR_EraseRootFromParent_Done,
     /* 1509681 */   // Label 21007: @1509681
     /* 1509681 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1509763), // Rule ID 17951 //
     /* 1509686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509725 */     // MIs[0] round
     /* 1509725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509728 */     // MIs[0] policy
     /* 1509728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509738 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1509741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509762 */     // GIR_Coverage, 17951,
     /* 1509762 */     GIR_EraseRootFromParent_Done,
     /* 1509763 */   // Label 21008: @1509763
     /* 1509763 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1509845), // Rule ID 17954 //
     /* 1509768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509807 */     // MIs[0] round
     /* 1509807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509810 */     // MIs[0] policy
     /* 1509810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509820 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1509823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509844 */     // GIR_Coverage, 17954,
     /* 1509844 */     GIR_EraseRootFromParent_Done,
     /* 1509845 */   // Label 21009: @1509845
     /* 1509845 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1509927), // Rule ID 17955 //
     /* 1509850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509889 */     // MIs[0] round
     /* 1509889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509892 */     // MIs[0] policy
     /* 1509892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1509905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509926 */     // GIR_Coverage, 17955,
     /* 1509926 */     GIR_EraseRootFromParent_Done,
     /* 1509927 */   // Label 21010: @1509927
     /* 1509927 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510009), // Rule ID 17958 //
     /* 1509932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509971 */     // MIs[0] round
     /* 1509971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509974 */     // MIs[0] policy
     /* 1509974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509984 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1509987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510008 */     // GIR_Coverage, 17958,
     /* 1510008 */     GIR_EraseRootFromParent_Done,
     /* 1510009 */   // Label 21011: @1510009
     /* 1510009 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510091), // Rule ID 17959 //
     /* 1510014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510053 */     // MIs[0] round
     /* 1510053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510056 */     // MIs[0] policy
     /* 1510056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510066 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1510069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510090 */     // GIR_Coverage, 17959,
     /* 1510090 */     GIR_EraseRootFromParent_Done,
     /* 1510091 */   // Label 21012: @1510091
     /* 1510091 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510173), // Rule ID 17962 //
     /* 1510096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510135 */     // MIs[0] round
     /* 1510135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510138 */     // MIs[0] policy
     /* 1510138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1510151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510172 */     // GIR_Coverage, 17962,
     /* 1510172 */     GIR_EraseRootFromParent_Done,
     /* 1510173 */   // Label 21013: @1510173
     /* 1510173 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1510255), // Rule ID 17963 //
     /* 1510178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510217 */     // MIs[0] round
     /* 1510217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510220 */     // MIs[0] policy
     /* 1510220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510230 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1510233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510254 */     // GIR_Coverage, 17963,
     /* 1510254 */     GIR_EraseRootFromParent_Done,
     /* 1510255 */   // Label 21014: @1510255
     /* 1510255 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1510337), // Rule ID 17966 //
     /* 1510260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510299 */     // MIs[0] round
     /* 1510299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510302 */     // MIs[0] policy
     /* 1510302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1510315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510336 */     // GIR_Coverage, 17966,
     /* 1510336 */     GIR_EraseRootFromParent_Done,
     /* 1510337 */   // Label 21015: @1510337
     /* 1510337 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1510419), // Rule ID 17967 //
     /* 1510342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510381 */     // MIs[0] round
     /* 1510381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510384 */     // MIs[0] policy
     /* 1510384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510394 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1510397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510418 */     // GIR_Coverage, 17967,
     /* 1510418 */     GIR_EraseRootFromParent_Done,
     /* 1510419 */   // Label 21016: @1510419
     /* 1510419 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1510501), // Rule ID 17970 //
     /* 1510424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510463 */     // MIs[0] round
     /* 1510463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510466 */     // MIs[0] policy
     /* 1510466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1510479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510500 */     // GIR_Coverage, 17970,
     /* 1510500 */     GIR_EraseRootFromParent_Done,
     /* 1510501 */   // Label 21017: @1510501
     /* 1510501 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1510583), // Rule ID 17971 //
     /* 1510506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510545 */     // MIs[0] round
     /* 1510545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510548 */     // MIs[0] policy
     /* 1510548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510558 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1510561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510582 */     // GIR_Coverage, 17971,
     /* 1510582 */     GIR_EraseRootFromParent_Done,
     /* 1510583 */   // Label 21018: @1510583
     /* 1510583 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1510665), // Rule ID 17974 //
     /* 1510588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510627 */     // MIs[0] round
     /* 1510627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510630 */     // MIs[0] policy
     /* 1510630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1510643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510664 */     // GIR_Coverage, 17974,
     /* 1510664 */     GIR_EraseRootFromParent_Done,
     /* 1510665 */   // Label 21019: @1510665
     /* 1510665 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1510747), // Rule ID 17975 //
     /* 1510670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510709 */     // MIs[0] round
     /* 1510709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510712 */     // MIs[0] policy
     /* 1510712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510722 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1510725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510746 */     // GIR_Coverage, 17975,
     /* 1510746 */     GIR_EraseRootFromParent_Done,
     /* 1510747 */   // Label 21020: @1510747
     /* 1510747 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1510829), // Rule ID 17978 //
     /* 1510752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510791 */     // MIs[0] round
     /* 1510791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510794 */     // MIs[0] policy
     /* 1510794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510804 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1510807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510828 */     // GIR_Coverage, 17978,
     /* 1510828 */     GIR_EraseRootFromParent_Done,
     /* 1510829 */   // Label 21021: @1510829
     /* 1510829 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1510911), // Rule ID 17979 //
     /* 1510834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510873 */     // MIs[0] round
     /* 1510873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510876 */     // MIs[0] policy
     /* 1510876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510886 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1510889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510910 */     // GIR_Coverage, 17979,
     /* 1510910 */     GIR_EraseRootFromParent_Done,
     /* 1510911 */   // Label 21022: @1510911
     /* 1510911 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1510993), // Rule ID 17982 //
     /* 1510916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1510933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510955 */     // MIs[0] round
     /* 1510955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510958 */     // MIs[0] policy
     /* 1510958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510968 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1510971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510992 */     // GIR_Coverage, 17982,
     /* 1510992 */     GIR_EraseRootFromParent_Done,
     /* 1510993 */   // Label 21023: @1510993
     /* 1510993 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511075), // Rule ID 17983 //
     /* 1510998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1511015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511037 */     // MIs[0] round
     /* 1511037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511040 */     // MIs[0] policy
     /* 1511040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1511053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511074 */     // GIR_Coverage, 17983,
     /* 1511074 */     GIR_EraseRootFromParent_Done,
     /* 1511075 */   // Label 21024: @1511075
     /* 1511075 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511157), // Rule ID 17986 //
     /* 1511080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511119 */     // MIs[0] round
     /* 1511119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511122 */     // MIs[0] policy
     /* 1511122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511132 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1511135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511156 */     // GIR_Coverage, 17986,
     /* 1511156 */     GIR_EraseRootFromParent_Done,
     /* 1511157 */   // Label 21025: @1511157
     /* 1511157 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1511239), // Rule ID 17987 //
     /* 1511162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511201 */     // MIs[0] round
     /* 1511201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511204 */     // MIs[0] policy
     /* 1511204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511214 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1511217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511238 */     // GIR_Coverage, 17987,
     /* 1511238 */     GIR_EraseRootFromParent_Done,
     /* 1511239 */   // Label 21026: @1511239
     /* 1511239 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1511321), // Rule ID 17990 //
     /* 1511244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511283 */     // MIs[0] round
     /* 1511283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511286 */     // MIs[0] policy
     /* 1511286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1511299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511320 */     // GIR_Coverage, 17990,
     /* 1511320 */     GIR_EraseRootFromParent_Done,
     /* 1511321 */   // Label 21027: @1511321
     /* 1511321 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1511403), // Rule ID 17991 //
     /* 1511326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511365 */     // MIs[0] round
     /* 1511365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511368 */     // MIs[0] policy
     /* 1511368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1511381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511402 */     // GIR_Coverage, 17991,
     /* 1511402 */     GIR_EraseRootFromParent_Done,
     /* 1511403 */   // Label 21028: @1511403
     /* 1511403 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1511485), // Rule ID 17994 //
     /* 1511408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511447 */     // MIs[0] round
     /* 1511447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511450 */     // MIs[0] policy
     /* 1511450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1511463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511484 */     // GIR_Coverage, 17994,
     /* 1511484 */     GIR_EraseRootFromParent_Done,
     /* 1511485 */   // Label 21029: @1511485
     /* 1511485 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1511567), // Rule ID 17995 //
     /* 1511490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511529 */     // MIs[0] round
     /* 1511529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511532 */     // MIs[0] policy
     /* 1511532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511542 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1511545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511566 */     // GIR_Coverage, 17995,
     /* 1511566 */     GIR_EraseRootFromParent_Done,
     /* 1511567 */   // Label 21030: @1511567
     /* 1511567 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1511649), // Rule ID 17998 //
     /* 1511572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511611 */     // MIs[0] round
     /* 1511611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511614 */     // MIs[0] policy
     /* 1511614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1511627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511648 */     // GIR_Coverage, 17998,
     /* 1511648 */     GIR_EraseRootFromParent_Done,
     /* 1511649 */   // Label 21031: @1511649
     /* 1511649 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1511731), // Rule ID 17999 //
     /* 1511654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511693 */     // MIs[0] round
     /* 1511693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511696 */     // MIs[0] policy
     /* 1511696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511706 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1511709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511730 */     // GIR_Coverage, 17999,
     /* 1511730 */     GIR_EraseRootFromParent_Done,
     /* 1511731 */   // Label 21032: @1511731
     /* 1511731 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1511813), // Rule ID 18002 //
     /* 1511736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511775 */     // MIs[0] round
     /* 1511775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511778 */     // MIs[0] policy
     /* 1511778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1511791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511812 */     // GIR_Coverage, 18002,
     /* 1511812 */     GIR_EraseRootFromParent_Done,
     /* 1511813 */   // Label 21033: @1511813
     /* 1511813 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1511895), // Rule ID 18003 //
     /* 1511818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511857 */     // MIs[0] round
     /* 1511857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511860 */     // MIs[0] policy
     /* 1511860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1511873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511894 */     // GIR_Coverage, 18003,
     /* 1511894 */     GIR_EraseRootFromParent_Done,
     /* 1511895 */   // Label 21034: @1511895
     /* 1511895 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1511977), // Rule ID 18006 //
     /* 1511900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511939 */     // MIs[0] round
     /* 1511939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511942 */     // MIs[0] policy
     /* 1511942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511952 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1511955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511976 */     // GIR_Coverage, 18006,
     /* 1511976 */     GIR_EraseRootFromParent_Done,
     /* 1511977 */   // Label 21035: @1511977
     /* 1511977 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512059), // Rule ID 18007 //
     /* 1511982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512021 */     // MIs[0] round
     /* 1512021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512024 */     // MIs[0] policy
     /* 1512024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512034 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1512037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512058 */     // GIR_Coverage, 18007,
     /* 1512058 */     GIR_EraseRootFromParent_Done,
     /* 1512059 */   // Label 21036: @1512059
     /* 1512059 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512141), // Rule ID 18010 //
     /* 1512064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1512081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512103 */     // MIs[0] round
     /* 1512103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512106 */     // MIs[0] policy
     /* 1512106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1512119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512140 */     // GIR_Coverage, 18010,
     /* 1512140 */     GIR_EraseRootFromParent_Done,
     /* 1512141 */   // Label 21037: @1512141
     /* 1512141 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1512223), // Rule ID 18011 //
     /* 1512146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1512163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512185 */     // MIs[0] round
     /* 1512185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512188 */     // MIs[0] policy
     /* 1512188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512198 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1512201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512222 */     // GIR_Coverage, 18011,
     /* 1512222 */     GIR_EraseRootFromParent_Done,
     /* 1512223 */   // Label 21038: @1512223
     /* 1512223 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1512305), // Rule ID 18014 //
     /* 1512228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512267 */     // MIs[0] round
     /* 1512267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512270 */     // MIs[0] policy
     /* 1512270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512280 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1512283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512304 */     // GIR_Coverage, 18014,
     /* 1512304 */     GIR_EraseRootFromParent_Done,
     /* 1512305 */   // Label 21039: @1512305
     /* 1512305 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1512387), // Rule ID 18015 //
     /* 1512310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512349 */     // MIs[0] round
     /* 1512349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512352 */     // MIs[0] policy
     /* 1512352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512362 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1512365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512386 */     // GIR_Coverage, 18015,
     /* 1512386 */     GIR_EraseRootFromParent_Done,
     /* 1512387 */   // Label 21040: @1512387
     /* 1512387 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1512469), // Rule ID 18018 //
     /* 1512392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512431 */     // MIs[0] round
     /* 1512431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512434 */     // MIs[0] policy
     /* 1512434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512444 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1512447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512468 */     // GIR_Coverage, 18018,
     /* 1512468 */     GIR_EraseRootFromParent_Done,
     /* 1512469 */   // Label 21041: @1512469
     /* 1512469 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1512551), // Rule ID 18019 //
     /* 1512474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512513 */     // MIs[0] round
     /* 1512513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512516 */     // MIs[0] policy
     /* 1512516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512526 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1512529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512550 */     // GIR_Coverage, 18019,
     /* 1512550 */     GIR_EraseRootFromParent_Done,
     /* 1512551 */   // Label 21042: @1512551
     /* 1512551 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1512633), // Rule ID 18022 //
     /* 1512556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512595 */     // MIs[0] round
     /* 1512595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512598 */     // MIs[0] policy
     /* 1512598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512608 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1512611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512632 */     // GIR_Coverage, 18022,
     /* 1512632 */     GIR_EraseRootFromParent_Done,
     /* 1512633 */   // Label 21043: @1512633
     /* 1512633 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1512715), // Rule ID 18023 //
     /* 1512638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512677 */     // MIs[0] round
     /* 1512677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512680 */     // MIs[0] policy
     /* 1512680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512690 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1512693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512714 */     // GIR_Coverage, 18023,
     /* 1512714 */     GIR_EraseRootFromParent_Done,
     /* 1512715 */   // Label 21044: @1512715
     /* 1512715 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1512797), // Rule ID 18026 //
     /* 1512720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512759 */     // MIs[0] round
     /* 1512759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512762 */     // MIs[0] policy
     /* 1512762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512772 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1512775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512796 */     // GIR_Coverage, 18026,
     /* 1512796 */     GIR_EraseRootFromParent_Done,
     /* 1512797 */   // Label 21045: @1512797
     /* 1512797 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1512879), // Rule ID 18027 //
     /* 1512802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512841 */     // MIs[0] round
     /* 1512841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512844 */     // MIs[0] policy
     /* 1512844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512854 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1512857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512878 */     // GIR_Coverage, 18027,
     /* 1512878 */     GIR_EraseRootFromParent_Done,
     /* 1512879 */   // Label 21046: @1512879
     /* 1512879 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1512961), // Rule ID 18030 //
     /* 1512884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512923 */     // MIs[0] round
     /* 1512923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512926 */     // MIs[0] policy
     /* 1512926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1512939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512960 */     // GIR_Coverage, 18030,
     /* 1512960 */     GIR_EraseRootFromParent_Done,
     /* 1512961 */   // Label 21047: @1512961
     /* 1512961 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513043), // Rule ID 18031 //
     /* 1512966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513005 */     // MIs[0] round
     /* 1513005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513008 */     // MIs[0] policy
     /* 1513008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1513021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513042 */     // GIR_Coverage, 18031,
     /* 1513042 */     GIR_EraseRootFromParent_Done,
     /* 1513043 */   // Label 21048: @1513043
     /* 1513043 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513125), // Rule ID 18034 //
     /* 1513048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1513065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513087 */     // MIs[0] round
     /* 1513087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513090 */     // MIs[0] policy
     /* 1513090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513100 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1513103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513124 */     // GIR_Coverage, 18034,
     /* 1513124 */     GIR_EraseRootFromParent_Done,
     /* 1513125 */   // Label 21049: @1513125
     /* 1513125 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1513207), // Rule ID 18035 //
     /* 1513130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1513147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513169 */     // MIs[0] round
     /* 1513169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513172 */     // MIs[0] policy
     /* 1513172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513182 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1513185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513206 */     // GIR_Coverage, 18035,
     /* 1513206 */     GIR_EraseRootFromParent_Done,
     /* 1513207 */   // Label 21050: @1513207
     /* 1513207 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1513289), // Rule ID 18038 //
     /* 1513212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513251 */     // MIs[0] round
     /* 1513251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513254 */     // MIs[0] policy
     /* 1513254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1513267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513288 */     // GIR_Coverage, 18038,
     /* 1513288 */     GIR_EraseRootFromParent_Done,
     /* 1513289 */   // Label 21051: @1513289
     /* 1513289 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1513371), // Rule ID 18039 //
     /* 1513294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513333 */     // MIs[0] round
     /* 1513333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513336 */     // MIs[0] policy
     /* 1513336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1513349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513370 */     // GIR_Coverage, 18039,
     /* 1513370 */     GIR_EraseRootFromParent_Done,
     /* 1513371 */   // Label 21052: @1513371
     /* 1513371 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1513453), // Rule ID 18042 //
     /* 1513376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513415 */     // MIs[0] round
     /* 1513415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513418 */     // MIs[0] policy
     /* 1513418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1513431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513452 */     // GIR_Coverage, 18042,
     /* 1513452 */     GIR_EraseRootFromParent_Done,
     /* 1513453 */   // Label 21053: @1513453
     /* 1513453 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1513535), // Rule ID 18043 //
     /* 1513458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513497 */     // MIs[0] round
     /* 1513497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513500 */     // MIs[0] policy
     /* 1513500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1513513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513534 */     // GIR_Coverage, 18043,
     /* 1513534 */     GIR_EraseRootFromParent_Done,
     /* 1513535 */   // Label 21054: @1513535
     /* 1513535 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1513617), // Rule ID 18046 //
     /* 1513540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513579 */     // MIs[0] round
     /* 1513579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513582 */     // MIs[0] policy
     /* 1513582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1513595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513616 */     // GIR_Coverage, 18046,
     /* 1513616 */     GIR_EraseRootFromParent_Done,
     /* 1513617 */   // Label 21055: @1513617
     /* 1513617 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1513699), // Rule ID 18047 //
     /* 1513622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513661 */     // MIs[0] round
     /* 1513661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513664 */     // MIs[0] policy
     /* 1513664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1513677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513698 */     // GIR_Coverage, 18047,
     /* 1513698 */     GIR_EraseRootFromParent_Done,
     /* 1513699 */   // Label 21056: @1513699
     /* 1513699 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1513781), // Rule ID 18050 //
     /* 1513704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513743 */     // MIs[0] round
     /* 1513743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513746 */     // MIs[0] policy
     /* 1513746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1513759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513780 */     // GIR_Coverage, 18050,
     /* 1513780 */     GIR_EraseRootFromParent_Done,
     /* 1513781 */   // Label 21057: @1513781
     /* 1513781 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1513863), // Rule ID 18051 //
     /* 1513786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513825 */     // MIs[0] round
     /* 1513825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513828 */     // MIs[0] policy
     /* 1513828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513838 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1513841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513862 */     // GIR_Coverage, 18051,
     /* 1513862 */     GIR_EraseRootFromParent_Done,
     /* 1513863 */   // Label 21058: @1513863
     /* 1513863 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1513945), // Rule ID 18054 //
     /* 1513868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513907 */     // MIs[0] round
     /* 1513907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513910 */     // MIs[0] policy
     /* 1513910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1513923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513944 */     // GIR_Coverage, 18054,
     /* 1513944 */     GIR_EraseRootFromParent_Done,
     /* 1513945 */   // Label 21059: @1513945
     /* 1513945 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514027), // Rule ID 18055 //
     /* 1513950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513989 */     // MIs[0] round
     /* 1513989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513992 */     // MIs[0] policy
     /* 1513992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1514005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514026 */     // GIR_Coverage, 18055,
     /* 1514026 */     GIR_EraseRootFromParent_Done,
     /* 1514027 */   // Label 21060: @1514027
     /* 1514027 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514109), // Rule ID 18058 //
     /* 1514032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514071 */     // MIs[0] round
     /* 1514071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514074 */     // MIs[0] policy
     /* 1514074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514084 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1514087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514108 */     // GIR_Coverage, 18058,
     /* 1514108 */     GIR_EraseRootFromParent_Done,
     /* 1514109 */   // Label 21061: @1514109
     /* 1514109 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514191), // Rule ID 18059 //
     /* 1514114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514153 */     // MIs[0] round
     /* 1514153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514156 */     // MIs[0] policy
     /* 1514156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1514169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514190 */     // GIR_Coverage, 18059,
     /* 1514190 */     GIR_EraseRootFromParent_Done,
     /* 1514191 */   // Label 21062: @1514191
     /* 1514191 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1514273), // Rule ID 18062 //
     /* 1514196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514235 */     // MIs[0] round
     /* 1514235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514238 */     // MIs[0] policy
     /* 1514238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1514251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514272 */     // GIR_Coverage, 18062,
     /* 1514272 */     GIR_EraseRootFromParent_Done,
     /* 1514273 */   // Label 21063: @1514273
     /* 1514273 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1514355), // Rule ID 18063 //
     /* 1514278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514317 */     // MIs[0] round
     /* 1514317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514320 */     // MIs[0] policy
     /* 1514320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1514333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514354 */     // GIR_Coverage, 18063,
     /* 1514354 */     GIR_EraseRootFromParent_Done,
     /* 1514355 */   // Label 21064: @1514355
     /* 1514355 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1514437), // Rule ID 18066 //
     /* 1514360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514399 */     // MIs[0] round
     /* 1514399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514402 */     // MIs[0] policy
     /* 1514402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1514415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514436 */     // GIR_Coverage, 18066,
     /* 1514436 */     GIR_EraseRootFromParent_Done,
     /* 1514437 */   // Label 21065: @1514437
     /* 1514437 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1514519), // Rule ID 18067 //
     /* 1514442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514481 */     // MIs[0] round
     /* 1514481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514484 */     // MIs[0] policy
     /* 1514484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514494 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1514497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514518 */     // GIR_Coverage, 18067,
     /* 1514518 */     GIR_EraseRootFromParent_Done,
     /* 1514519 */   // Label 21066: @1514519
     /* 1514519 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1514601), // Rule ID 18070 //
     /* 1514524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514563 */     // MIs[0] round
     /* 1514563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514566 */     // MIs[0] policy
     /* 1514566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1514579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514600 */     // GIR_Coverage, 18070,
     /* 1514600 */     GIR_EraseRootFromParent_Done,
     /* 1514601 */   // Label 21067: @1514601
     /* 1514601 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1514683), // Rule ID 18071 //
     /* 1514606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514645 */     // MIs[0] round
     /* 1514645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514648 */     // MIs[0] policy
     /* 1514648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514658 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1514661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514682 */     // GIR_Coverage, 18071,
     /* 1514682 */     GIR_EraseRootFromParent_Done,
     /* 1514683 */   // Label 21068: @1514683
     /* 1514683 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1514765), // Rule ID 18074 //
     /* 1514688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514727 */     // MIs[0] round
     /* 1514727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514730 */     // MIs[0] policy
     /* 1514730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514740 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1514743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514764 */     // GIR_Coverage, 18074,
     /* 1514764 */     GIR_EraseRootFromParent_Done,
     /* 1514765 */   // Label 21069: @1514765
     /* 1514765 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1514847), // Rule ID 18075 //
     /* 1514770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514809 */     // MIs[0] round
     /* 1514809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514812 */     // MIs[0] policy
     /* 1514812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514822 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1514825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514846 */     // GIR_Coverage, 18075,
     /* 1514846 */     GIR_EraseRootFromParent_Done,
     /* 1514847 */   // Label 21070: @1514847
     /* 1514847 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1514929), // Rule ID 18078 //
     /* 1514852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514891 */     // MIs[0] round
     /* 1514891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514894 */     // MIs[0] policy
     /* 1514894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1514907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514928 */     // GIR_Coverage, 18078,
     /* 1514928 */     GIR_EraseRootFromParent_Done,
     /* 1514929 */   // Label 21071: @1514929
     /* 1514929 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515011), // Rule ID 18079 //
     /* 1514934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514973 */     // MIs[0] round
     /* 1514973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514976 */     // MIs[0] policy
     /* 1514976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514986 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1514989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515010 */     // GIR_Coverage, 18079,
     /* 1515010 */     GIR_EraseRootFromParent_Done,
     /* 1515011 */   // Label 21072: @1515011
     /* 1515011 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515093), // Rule ID 18082 //
     /* 1515016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515055 */     // MIs[0] round
     /* 1515055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515058 */     // MIs[0] policy
     /* 1515058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1515071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515092 */     // GIR_Coverage, 18082,
     /* 1515092 */     GIR_EraseRootFromParent_Done,
     /* 1515093 */   // Label 21073: @1515093
     /* 1515093 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515175), // Rule ID 18083 //
     /* 1515098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515137 */     // MIs[0] round
     /* 1515137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515140 */     // MIs[0] policy
     /* 1515140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515150 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1515153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515174 */     // GIR_Coverage, 18083,
     /* 1515174 */     GIR_EraseRootFromParent_Done,
     /* 1515175 */   // Label 21074: @1515175
     /* 1515175 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1515257), // Rule ID 18086 //
     /* 1515180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515219 */     // MIs[0] round
     /* 1515219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515222 */     // MIs[0] policy
     /* 1515222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515232 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1515235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515256 */     // GIR_Coverage, 18086,
     /* 1515256 */     GIR_EraseRootFromParent_Done,
     /* 1515257 */   // Label 21075: @1515257
     /* 1515257 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1515339), // Rule ID 18087 //
     /* 1515262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515301 */     // MIs[0] round
     /* 1515301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515304 */     // MIs[0] policy
     /* 1515304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1515317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515338 */     // GIR_Coverage, 18087,
     /* 1515338 */     GIR_EraseRootFromParent_Done,
     /* 1515339 */   // Label 21076: @1515339
     /* 1515339 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1515421), // Rule ID 18090 //
     /* 1515344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515383 */     // MIs[0] round
     /* 1515383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515386 */     // MIs[0] policy
     /* 1515386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515396 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1515399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515420 */     // GIR_Coverage, 18090,
     /* 1515420 */     GIR_EraseRootFromParent_Done,
     /* 1515421 */   // Label 21077: @1515421
     /* 1515421 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1515503), // Rule ID 18091 //
     /* 1515426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515465 */     // MIs[0] round
     /* 1515465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515468 */     // MIs[0] policy
     /* 1515468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1515481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515502 */     // GIR_Coverage, 18091,
     /* 1515502 */     GIR_EraseRootFromParent_Done,
     /* 1515503 */   // Label 21078: @1515503
     /* 1515503 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1515585), // Rule ID 18094 //
     /* 1515508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515547 */     // MIs[0] round
     /* 1515547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515550 */     // MIs[0] policy
     /* 1515550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1515563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515584 */     // GIR_Coverage, 18094,
     /* 1515584 */     GIR_EraseRootFromParent_Done,
     /* 1515585 */   // Label 21079: @1515585
     /* 1515585 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1515667), // Rule ID 18095 //
     /* 1515590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515629 */     // MIs[0] round
     /* 1515629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515632 */     // MIs[0] policy
     /* 1515632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515642 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1515645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515666 */     // GIR_Coverage, 18095,
     /* 1515666 */     GIR_EraseRootFromParent_Done,
     /* 1515667 */   // Label 21080: @1515667
     /* 1515667 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1515749), // Rule ID 18098 //
     /* 1515672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515711 */     // MIs[0] round
     /* 1515711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515714 */     // MIs[0] policy
     /* 1515714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515724 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1515727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515748 */     // GIR_Coverage, 18098,
     /* 1515748 */     GIR_EraseRootFromParent_Done,
     /* 1515749 */   // Label 21081: @1515749
     /* 1515749 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1515831), // Rule ID 18099 //
     /* 1515754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515793 */     // MIs[0] round
     /* 1515793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515796 */     // MIs[0] policy
     /* 1515796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1515809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515830 */     // GIR_Coverage, 18099,
     /* 1515830 */     GIR_EraseRootFromParent_Done,
     /* 1515831 */   // Label 21082: @1515831
     /* 1515831 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1515913), // Rule ID 18102 //
     /* 1515836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515875 */     // MIs[0] round
     /* 1515875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515878 */     // MIs[0] policy
     /* 1515878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515888 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1515891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515912 */     // GIR_Coverage, 18102,
     /* 1515912 */     GIR_EraseRootFromParent_Done,
     /* 1515913 */   // Label 21083: @1515913
     /* 1515913 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1515995), // Rule ID 18103 //
     /* 1515918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515957 */     // MIs[0] round
     /* 1515957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515960 */     // MIs[0] policy
     /* 1515960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515970 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1515973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515994 */     // GIR_Coverage, 18103,
     /* 1515994 */     GIR_EraseRootFromParent_Done,
     /* 1515995 */   // Label 21084: @1515995
     /* 1515995 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516077), // Rule ID 18106 //
     /* 1516000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516039 */     // MIs[0] round
     /* 1516039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516042 */     // MIs[0] policy
     /* 1516042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1516055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516076 */     // GIR_Coverage, 18106,
     /* 1516076 */     GIR_EraseRootFromParent_Done,
     /* 1516077 */   // Label 21085: @1516077
     /* 1516077 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516159), // Rule ID 18107 //
     /* 1516082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516121 */     // MIs[0] round
     /* 1516121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516124 */     // MIs[0] policy
     /* 1516124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516134 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1516137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516158 */     // GIR_Coverage, 18107,
     /* 1516158 */     GIR_EraseRootFromParent_Done,
     /* 1516159 */   // Label 21086: @1516159
     /* 1516159 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1516241), // Rule ID 18110 //
     /* 1516164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516203 */     // MIs[0] round
     /* 1516203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516206 */     // MIs[0] policy
     /* 1516206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1516219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516240 */     // GIR_Coverage, 18110,
     /* 1516240 */     GIR_EraseRootFromParent_Done,
     /* 1516241 */   // Label 21087: @1516241
     /* 1516241 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1516323), // Rule ID 18111 //
     /* 1516246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516285 */     // MIs[0] round
     /* 1516285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516288 */     // MIs[0] policy
     /* 1516288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1516301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516322 */     // GIR_Coverage, 18111,
     /* 1516322 */     GIR_EraseRootFromParent_Done,
     /* 1516323 */   // Label 21088: @1516323
     /* 1516323 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1516405), // Rule ID 18114 //
     /* 1516328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516367 */     // MIs[0] round
     /* 1516367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516370 */     // MIs[0] policy
     /* 1516370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1516383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516404 */     // GIR_Coverage, 18114,
     /* 1516404 */     GIR_EraseRootFromParent_Done,
     /* 1516405 */   // Label 21089: @1516405
     /* 1516405 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1516487), // Rule ID 18115 //
     /* 1516410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516449 */     // MIs[0] round
     /* 1516449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516452 */     // MIs[0] policy
     /* 1516452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516462 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1516465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516486 */     // GIR_Coverage, 18115,
     /* 1516486 */     GIR_EraseRootFromParent_Done,
     /* 1516487 */   // Label 21090: @1516487
     /* 1516487 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1516569), // Rule ID 18118 //
     /* 1516492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516531 */     // MIs[0] round
     /* 1516531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516534 */     // MIs[0] policy
     /* 1516534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1516547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516568 */     // GIR_Coverage, 18118,
     /* 1516568 */     GIR_EraseRootFromParent_Done,
     /* 1516569 */   // Label 21091: @1516569
     /* 1516569 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1516651), // Rule ID 18119 //
     /* 1516574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516613 */     // MIs[0] round
     /* 1516613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516616 */     // MIs[0] policy
     /* 1516616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516626 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1516629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516650 */     // GIR_Coverage, 18119,
     /* 1516650 */     GIR_EraseRootFromParent_Done,
     /* 1516651 */   // Label 21092: @1516651
     /* 1516651 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1516733), // Rule ID 18122 //
     /* 1516656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1516673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516695 */     // MIs[0] round
     /* 1516695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516698 */     // MIs[0] policy
     /* 1516698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1516711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516732 */     // GIR_Coverage, 18122,
     /* 1516732 */     GIR_EraseRootFromParent_Done,
     /* 1516733 */   // Label 21093: @1516733
     /* 1516733 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1516815), // Rule ID 18123 //
     /* 1516738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1516755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516777 */     // MIs[0] round
     /* 1516777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516780 */     // MIs[0] policy
     /* 1516780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516790 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1516793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516814 */     // GIR_Coverage, 18123,
     /* 1516814 */     GIR_EraseRootFromParent_Done,
     /* 1516815 */   // Label 21094: @1516815
     /* 1516815 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1516897), // Rule ID 18126 //
     /* 1516820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516859 */     // MIs[0] round
     /* 1516859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516862 */     // MIs[0] policy
     /* 1516862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1516875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516896 */     // GIR_Coverage, 18126,
     /* 1516896 */     GIR_EraseRootFromParent_Done,
     /* 1516897 */   // Label 21095: @1516897
     /* 1516897 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1516979), // Rule ID 18127 //
     /* 1516902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516941 */     // MIs[0] round
     /* 1516941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516944 */     // MIs[0] policy
     /* 1516944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516954 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1516957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516978 */     // GIR_Coverage, 18127,
     /* 1516978 */     GIR_EraseRootFromParent_Done,
     /* 1516979 */   // Label 21096: @1516979
     /* 1516979 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517061), // Rule ID 18130 //
     /* 1516984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1517001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517023 */     // MIs[0] round
     /* 1517023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517026 */     // MIs[0] policy
     /* 1517026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1517039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517060 */     // GIR_Coverage, 18130,
     /* 1517060 */     GIR_EraseRootFromParent_Done,
     /* 1517061 */   // Label 21097: @1517061
     /* 1517061 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517143), // Rule ID 18131 //
     /* 1517066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1517083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517105 */     // MIs[0] round
     /* 1517105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517108 */     // MIs[0] policy
     /* 1517108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517118 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1517121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517142 */     // GIR_Coverage, 18131,
     /* 1517142 */     GIR_EraseRootFromParent_Done,
     /* 1517143 */   // Label 21098: @1517143
     /* 1517143 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1517225), // Rule ID 18134 //
     /* 1517148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1517165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517187 */     // MIs[0] round
     /* 1517187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517190 */     // MIs[0] policy
     /* 1517190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1517203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517224 */     // GIR_Coverage, 18134,
     /* 1517224 */     GIR_EraseRootFromParent_Done,
     /* 1517225 */   // Label 21099: @1517225
     /* 1517225 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1517307), // Rule ID 18135 //
     /* 1517230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1517247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517269 */     // MIs[0] round
     /* 1517269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517272 */     // MIs[0] policy
     /* 1517272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517282 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1517285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517306 */     // GIR_Coverage, 18135,
     /* 1517306 */     GIR_EraseRootFromParent_Done,
     /* 1517307 */   // Label 21100: @1517307
     /* 1517307 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1517389), // Rule ID 18138 //
     /* 1517312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517351 */     // MIs[0] round
     /* 1517351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517354 */     // MIs[0] policy
     /* 1517354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517364 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1517367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517388 */     // GIR_Coverage, 18138,
     /* 1517388 */     GIR_EraseRootFromParent_Done,
     /* 1517389 */   // Label 21101: @1517389
     /* 1517389 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1517471), // Rule ID 18139 //
     /* 1517394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517433 */     // MIs[0] round
     /* 1517433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517436 */     // MIs[0] policy
     /* 1517436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517446 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1517449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517470 */     // GIR_Coverage, 18139,
     /* 1517470 */     GIR_EraseRootFromParent_Done,
     /* 1517471 */   // Label 21102: @1517471
     /* 1517471 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1517553), // Rule ID 18142 //
     /* 1517476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517515 */     // MIs[0] round
     /* 1517515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517518 */     // MIs[0] policy
     /* 1517518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1517531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517552 */     // GIR_Coverage, 18142,
     /* 1517552 */     GIR_EraseRootFromParent_Done,
     /* 1517553 */   // Label 21103: @1517553
     /* 1517553 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1517635), // Rule ID 18143 //
     /* 1517558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517597 */     // MIs[0] round
     /* 1517597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517600 */     // MIs[0] policy
     /* 1517600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517610 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1517613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517634 */     // GIR_Coverage, 18143,
     /* 1517634 */     GIR_EraseRootFromParent_Done,
     /* 1517635 */   // Label 21104: @1517635
     /* 1517635 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1517717), // Rule ID 18146 //
     /* 1517640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1517657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517679 */     // MIs[0] round
     /* 1517679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517682 */     // MIs[0] policy
     /* 1517682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1517695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517716 */     // GIR_Coverage, 18146,
     /* 1517716 */     GIR_EraseRootFromParent_Done,
     /* 1517717 */   // Label 21105: @1517717
     /* 1517717 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1517799), // Rule ID 18147 //
     /* 1517722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1517739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517761 */     // MIs[0] round
     /* 1517761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517764 */     // MIs[0] policy
     /* 1517764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517774 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1517777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517798 */     // GIR_Coverage, 18147,
     /* 1517798 */     GIR_EraseRootFromParent_Done,
     /* 1517799 */   // Label 21106: @1517799
     /* 1517799 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1517881), // Rule ID 18150 //
     /* 1517804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1517821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517843 */     // MIs[0] round
     /* 1517843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517846 */     // MIs[0] policy
     /* 1517846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1517859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517880 */     // GIR_Coverage, 18150,
     /* 1517880 */     GIR_EraseRootFromParent_Done,
     /* 1517881 */   // Label 21107: @1517881
     /* 1517881 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1517963), // Rule ID 18151 //
     /* 1517886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1517903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517925 */     // MIs[0] round
     /* 1517925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517928 */     // MIs[0] policy
     /* 1517928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1517941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517962 */     // GIR_Coverage, 18151,
     /* 1517962 */     GIR_EraseRootFromParent_Done,
     /* 1517963 */   // Label 21108: @1517963
     /* 1517963 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518045), // Rule ID 18154 //
     /* 1517968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1517985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518007 */     // MIs[0] round
     /* 1518007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518010 */     // MIs[0] policy
     /* 1518010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518020 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1518023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518044 */     // GIR_Coverage, 18154,
     /* 1518044 */     GIR_EraseRootFromParent_Done,
     /* 1518045 */   // Label 21109: @1518045
     /* 1518045 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518127), // Rule ID 18155 //
     /* 1518050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1518067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518089 */     // MIs[0] round
     /* 1518089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518092 */     // MIs[0] policy
     /* 1518092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1518105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518126 */     // GIR_Coverage, 18155,
     /* 1518126 */     GIR_EraseRootFromParent_Done,
     /* 1518127 */   // Label 21110: @1518127
     /* 1518127 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1518209), // Rule ID 18158 //
     /* 1518132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1518149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518171 */     // MIs[0] round
     /* 1518171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518174 */     // MIs[0] policy
     /* 1518174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1518187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518208 */     // GIR_Coverage, 18158,
     /* 1518208 */     GIR_EraseRootFromParent_Done,
     /* 1518209 */   // Label 21111: @1518209
     /* 1518209 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1518291), // Rule ID 18159 //
     /* 1518214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1518231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518253 */     // MIs[0] round
     /* 1518253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518256 */     // MIs[0] policy
     /* 1518256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518266 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1518269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518290 */     // GIR_Coverage, 18159,
     /* 1518290 */     GIR_EraseRootFromParent_Done,
     /* 1518291 */   // Label 21112: @1518291
     /* 1518291 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1518373), // Rule ID 18162 //
     /* 1518296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518335 */     // MIs[0] round
     /* 1518335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518338 */     // MIs[0] policy
     /* 1518338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1518351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518372 */     // GIR_Coverage, 18162,
     /* 1518372 */     GIR_EraseRootFromParent_Done,
     /* 1518373 */   // Label 21113: @1518373
     /* 1518373 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1518455), // Rule ID 18163 //
     /* 1518378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518417 */     // MIs[0] round
     /* 1518417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518420 */     // MIs[0] policy
     /* 1518420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518430 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1518433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518454 */     // GIR_Coverage, 18163,
     /* 1518454 */     GIR_EraseRootFromParent_Done,
     /* 1518455 */   // Label 21114: @1518455
     /* 1518455 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1518537), // Rule ID 18166 //
     /* 1518460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518499 */     // MIs[0] round
     /* 1518499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518502 */     // MIs[0] policy
     /* 1518502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518512 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1518515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518536 */     // GIR_Coverage, 18166,
     /* 1518536 */     GIR_EraseRootFromParent_Done,
     /* 1518537 */   // Label 21115: @1518537
     /* 1518537 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1518619), // Rule ID 18167 //
     /* 1518542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518581 */     // MIs[0] round
     /* 1518581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518584 */     // MIs[0] policy
     /* 1518584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518594 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1518597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518618 */     // GIR_Coverage, 18167,
     /* 1518618 */     GIR_EraseRootFromParent_Done,
     /* 1518619 */   // Label 21116: @1518619
     /* 1518619 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1518701), // Rule ID 18170 //
     /* 1518624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518663 */     // MIs[0] round
     /* 1518663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518666 */     // MIs[0] policy
     /* 1518666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1518679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518700 */     // GIR_Coverage, 18170,
     /* 1518700 */     GIR_EraseRootFromParent_Done,
     /* 1518701 */   // Label 21117: @1518701
     /* 1518701 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1518783), // Rule ID 18171 //
     /* 1518706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518745 */     // MIs[0] round
     /* 1518745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518748 */     // MIs[0] policy
     /* 1518748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1518761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518782 */     // GIR_Coverage, 18171,
     /* 1518782 */     GIR_EraseRootFromParent_Done,
     /* 1518783 */   // Label 21118: @1518783
     /* 1518783 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1518865), // Rule ID 18174 //
     /* 1518788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518827 */     // MIs[0] round
     /* 1518827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518830 */     // MIs[0] policy
     /* 1518830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1518843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518864 */     // GIR_Coverage, 18174,
     /* 1518864 */     GIR_EraseRootFromParent_Done,
     /* 1518865 */   // Label 21119: @1518865
     /* 1518865 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1518947), // Rule ID 18175 //
     /* 1518870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518909 */     // MIs[0] round
     /* 1518909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518912 */     // MIs[0] policy
     /* 1518912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518922 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1518925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518946 */     // GIR_Coverage, 18175,
     /* 1518946 */     GIR_EraseRootFromParent_Done,
     /* 1518947 */   // Label 21120: @1518947
     /* 1518947 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519029), // Rule ID 18178 //
     /* 1518952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518991 */     // MIs[0] round
     /* 1518991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518994 */     // MIs[0] policy
     /* 1518994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1519007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519028 */     // GIR_Coverage, 18178,
     /* 1519028 */     GIR_EraseRootFromParent_Done,
     /* 1519029 */   // Label 21121: @1519029
     /* 1519029 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519111), // Rule ID 18179 //
     /* 1519034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519073 */     // MIs[0] round
     /* 1519073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519076 */     // MIs[0] policy
     /* 1519076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1519089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519110 */     // GIR_Coverage, 18179,
     /* 1519110 */     GIR_EraseRootFromParent_Done,
     /* 1519111 */   // Label 21122: @1519111
     /* 1519111 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519193), // Rule ID 18182 //
     /* 1519116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519155 */     // MIs[0] round
     /* 1519155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519158 */     // MIs[0] policy
     /* 1519158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1519171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519192 */     // GIR_Coverage, 18182,
     /* 1519192 */     GIR_EraseRootFromParent_Done,
     /* 1519193 */   // Label 21123: @1519193
     /* 1519193 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1519275), // Rule ID 18183 //
     /* 1519198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519237 */     // MIs[0] round
     /* 1519237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519240 */     // MIs[0] policy
     /* 1519240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519250 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1519253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519274 */     // GIR_Coverage, 18183,
     /* 1519274 */     GIR_EraseRootFromParent_Done,
     /* 1519275 */   // Label 21124: @1519275
     /* 1519275 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1519357), // Rule ID 18186 //
     /* 1519280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519319 */     // MIs[0] round
     /* 1519319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519322 */     // MIs[0] policy
     /* 1519322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519332 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1519335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519356 */     // GIR_Coverage, 18186,
     /* 1519356 */     GIR_EraseRootFromParent_Done,
     /* 1519357 */   // Label 21125: @1519357
     /* 1519357 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1519439), // Rule ID 18187 //
     /* 1519362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519401 */     // MIs[0] round
     /* 1519401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519404 */     // MIs[0] policy
     /* 1519404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519414 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1519417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519438 */     // GIR_Coverage, 18187,
     /* 1519438 */     GIR_EraseRootFromParent_Done,
     /* 1519439 */   // Label 21126: @1519439
     /* 1519439 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1519521), // Rule ID 18190 //
     /* 1519444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519483 */     // MIs[0] round
     /* 1519483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519486 */     // MIs[0] policy
     /* 1519486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1519499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519520 */     // GIR_Coverage, 18190,
     /* 1519520 */     GIR_EraseRootFromParent_Done,
     /* 1519521 */   // Label 21127: @1519521
     /* 1519521 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1519603), // Rule ID 18191 //
     /* 1519526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519565 */     // MIs[0] round
     /* 1519565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519568 */     // MIs[0] policy
     /* 1519568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519578 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1519581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519602 */     // GIR_Coverage, 18191,
     /* 1519602 */     GIR_EraseRootFromParent_Done,
     /* 1519603 */   // Label 21128: @1519603
     /* 1519603 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1519685), // Rule ID 18194 //
     /* 1519608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519647 */     // MIs[0] round
     /* 1519647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519650 */     // MIs[0] policy
     /* 1519650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519660 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1519663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519684 */     // GIR_Coverage, 18194,
     /* 1519684 */     GIR_EraseRootFromParent_Done,
     /* 1519685 */   // Label 21129: @1519685
     /* 1519685 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1519767), // Rule ID 18195 //
     /* 1519690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519729 */     // MIs[0] round
     /* 1519729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519732 */     // MIs[0] policy
     /* 1519732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1519745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519766 */     // GIR_Coverage, 18195,
     /* 1519766 */     GIR_EraseRootFromParent_Done,
     /* 1519767 */   // Label 21130: @1519767
     /* 1519767 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1519849), // Rule ID 18198 //
     /* 1519772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519811 */     // MIs[0] round
     /* 1519811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519814 */     // MIs[0] policy
     /* 1519814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519824 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1519827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519848 */     // GIR_Coverage, 18198,
     /* 1519848 */     GIR_EraseRootFromParent_Done,
     /* 1519849 */   // Label 21131: @1519849
     /* 1519849 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1519931), // Rule ID 18199 //
     /* 1519854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519893 */     // MIs[0] round
     /* 1519893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519896 */     // MIs[0] policy
     /* 1519896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519906 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1519909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519930 */     // GIR_Coverage, 18199,
     /* 1519930 */     GIR_EraseRootFromParent_Done,
     /* 1519931 */   // Label 21132: @1519931
     /* 1519931 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520013), // Rule ID 18202 //
     /* 1519936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519975 */     // MIs[0] round
     /* 1519975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519978 */     // MIs[0] policy
     /* 1519978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519988 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1519991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520012 */     // GIR_Coverage, 18202,
     /* 1520012 */     GIR_EraseRootFromParent_Done,
     /* 1520013 */   // Label 21133: @1520013
     /* 1520013 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520095), // Rule ID 18203 //
     /* 1520018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520057 */     // MIs[0] round
     /* 1520057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520060 */     // MIs[0] policy
     /* 1520060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520070 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1520073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520094 */     // GIR_Coverage, 18203,
     /* 1520094 */     GIR_EraseRootFromParent_Done,
     /* 1520095 */   // Label 21134: @1520095
     /* 1520095 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520177), // Rule ID 18206 //
     /* 1520100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520139 */     // MIs[0] round
     /* 1520139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520142 */     // MIs[0] policy
     /* 1520142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1520155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520176 */     // GIR_Coverage, 18206,
     /* 1520176 */     GIR_EraseRootFromParent_Done,
     /* 1520177 */   // Label 21135: @1520177
     /* 1520177 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1520259), // Rule ID 18207 //
     /* 1520182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520221 */     // MIs[0] round
     /* 1520221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520224 */     // MIs[0] policy
     /* 1520224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520234 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1520237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520258 */     // GIR_Coverage, 18207,
     /* 1520258 */     GIR_EraseRootFromParent_Done,
     /* 1520259 */   // Label 21136: @1520259
     /* 1520259 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1520341), // Rule ID 18210 //
     /* 1520264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520303 */     // MIs[0] round
     /* 1520303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520306 */     // MIs[0] policy
     /* 1520306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1520319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520340 */     // GIR_Coverage, 18210,
     /* 1520340 */     GIR_EraseRootFromParent_Done,
     /* 1520341 */   // Label 21137: @1520341
     /* 1520341 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1520423), // Rule ID 18211 //
     /* 1520346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520385 */     // MIs[0] round
     /* 1520385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520388 */     // MIs[0] policy
     /* 1520388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1520401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520422 */     // GIR_Coverage, 18211,
     /* 1520422 */     GIR_EraseRootFromParent_Done,
     /* 1520423 */   // Label 21138: @1520423
     /* 1520423 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1520505), // Rule ID 18214 //
     /* 1520428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520467 */     // MIs[0] round
     /* 1520467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520470 */     // MIs[0] policy
     /* 1520470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1520483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520504 */     // GIR_Coverage, 18214,
     /* 1520504 */     GIR_EraseRootFromParent_Done,
     /* 1520505 */   // Label 21139: @1520505
     /* 1520505 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1520587), // Rule ID 18215 //
     /* 1520510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520549 */     // MIs[0] round
     /* 1520549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520552 */     // MIs[0] policy
     /* 1520552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1520565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520586 */     // GIR_Coverage, 18215,
     /* 1520586 */     GIR_EraseRootFromParent_Done,
     /* 1520587 */   // Label 21140: @1520587
     /* 1520587 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1520669), // Rule ID 18218 //
     /* 1520592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520631 */     // MIs[0] round
     /* 1520631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520634 */     // MIs[0] policy
     /* 1520634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520644 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1520647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520668 */     // GIR_Coverage, 18218,
     /* 1520668 */     GIR_EraseRootFromParent_Done,
     /* 1520669 */   // Label 21141: @1520669
     /* 1520669 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1520751), // Rule ID 18219 //
     /* 1520674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520713 */     // MIs[0] round
     /* 1520713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520716 */     // MIs[0] policy
     /* 1520716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1520729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520750 */     // GIR_Coverage, 18219,
     /* 1520750 */     GIR_EraseRootFromParent_Done,
     /* 1520751 */   // Label 21142: @1520751
     /* 1520751 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1520833), // Rule ID 18222 //
     /* 1520756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1520773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520795 */     // MIs[0] round
     /* 1520795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520798 */     // MIs[0] policy
     /* 1520798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520808 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1520811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520832 */     // GIR_Coverage, 18222,
     /* 1520832 */     GIR_EraseRootFromParent_Done,
     /* 1520833 */   // Label 21143: @1520833
     /* 1520833 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1520915), // Rule ID 18223 //
     /* 1520838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1520855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520877 */     // MIs[0] round
     /* 1520877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520880 */     // MIs[0] policy
     /* 1520880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1520893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520914 */     // GIR_Coverage, 18223,
     /* 1520914 */     GIR_EraseRootFromParent_Done,
     /* 1520915 */   // Label 21144: @1520915
     /* 1520915 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1520997), // Rule ID 18226 //
     /* 1520920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1520937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520959 */     // MIs[0] round
     /* 1520959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520962 */     // MIs[0] policy
     /* 1520962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1520975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520996 */     // GIR_Coverage, 18226,
     /* 1520996 */     GIR_EraseRootFromParent_Done,
     /* 1520997 */   // Label 21145: @1520997
     /* 1520997 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521079), // Rule ID 18227 //
     /* 1521002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521041 */     // MIs[0] round
     /* 1521041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521044 */     // MIs[0] policy
     /* 1521044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521054 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1521057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521078 */     // GIR_Coverage, 18227,
     /* 1521078 */     GIR_EraseRootFromParent_Done,
     /* 1521079 */   // Label 21146: @1521079
     /* 1521079 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521161), // Rule ID 18230 //
     /* 1521084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1521101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521123 */     // MIs[0] round
     /* 1521123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521126 */     // MIs[0] policy
     /* 1521126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1521139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521160 */     // GIR_Coverage, 18230,
     /* 1521160 */     GIR_EraseRootFromParent_Done,
     /* 1521161 */   // Label 21147: @1521161
     /* 1521161 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1521243), // Rule ID 18231 //
     /* 1521166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1521183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521205 */     // MIs[0] round
     /* 1521205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521208 */     // MIs[0] policy
     /* 1521208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521218 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1521221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521242 */     // GIR_Coverage, 18231,
     /* 1521242 */     GIR_EraseRootFromParent_Done,
     /* 1521243 */   // Label 21148: @1521243
     /* 1521243 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1521325), // Rule ID 18234 //
     /* 1521248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521287 */     // MIs[0] round
     /* 1521287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521290 */     // MIs[0] policy
     /* 1521290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1521303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521324 */     // GIR_Coverage, 18234,
     /* 1521324 */     GIR_EraseRootFromParent_Done,
     /* 1521325 */   // Label 21149: @1521325
     /* 1521325 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1521407), // Rule ID 18235 //
     /* 1521330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521369 */     // MIs[0] round
     /* 1521369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521372 */     // MIs[0] policy
     /* 1521372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1521385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521406 */     // GIR_Coverage, 18235,
     /* 1521406 */     GIR_EraseRootFromParent_Done,
     /* 1521407 */   // Label 21150: @1521407
     /* 1521407 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1521489), // Rule ID 18238 //
     /* 1521412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521451 */     // MIs[0] round
     /* 1521451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521454 */     // MIs[0] policy
     /* 1521454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1521467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521488 */     // GIR_Coverage, 18238,
     /* 1521488 */     GIR_EraseRootFromParent_Done,
     /* 1521489 */   // Label 21151: @1521489
     /* 1521489 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1521571), // Rule ID 18239 //
     /* 1521494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521533 */     // MIs[0] round
     /* 1521533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521536 */     // MIs[0] policy
     /* 1521536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521546 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1521549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521570 */     // GIR_Coverage, 18239,
     /* 1521570 */     GIR_EraseRootFromParent_Done,
     /* 1521571 */   // Label 21152: @1521571
     /* 1521571 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1521653), // Rule ID 18242 //
     /* 1521576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1521593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521615 */     // MIs[0] round
     /* 1521615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521618 */     // MIs[0] policy
     /* 1521618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1521631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521652 */     // GIR_Coverage, 18242,
     /* 1521652 */     GIR_EraseRootFromParent_Done,
     /* 1521653 */   // Label 21153: @1521653
     /* 1521653 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1521735), // Rule ID 18243 //
     /* 1521658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1521675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521697 */     // MIs[0] round
     /* 1521697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521700 */     // MIs[0] policy
     /* 1521700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1521713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521734 */     // GIR_Coverage, 18243,
     /* 1521734 */     GIR_EraseRootFromParent_Done,
     /* 1521735 */   // Label 21154: @1521735
     /* 1521735 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1521817), // Rule ID 18246 //
     /* 1521740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1521757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521779 */     // MIs[0] round
     /* 1521779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521782 */     // MIs[0] policy
     /* 1521782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1521795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521816 */     // GIR_Coverage, 18246,
     /* 1521816 */     GIR_EraseRootFromParent_Done,
     /* 1521817 */   // Label 21155: @1521817
     /* 1521817 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1521899), // Rule ID 18247 //
     /* 1521822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1521839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521861 */     // MIs[0] round
     /* 1521861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521864 */     // MIs[0] policy
     /* 1521864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1521877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521898 */     // GIR_Coverage, 18247,
     /* 1521898 */     GIR_EraseRootFromParent_Done,
     /* 1521899 */   // Label 21156: @1521899
     /* 1521899 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1521981), // Rule ID 18250 //
     /* 1521904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1521921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521943 */     // MIs[0] round
     /* 1521943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521946 */     // MIs[0] policy
     /* 1521946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1521959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521980 */     // GIR_Coverage, 18250,
     /* 1521980 */     GIR_EraseRootFromParent_Done,
     /* 1521981 */   // Label 21157: @1521981
     /* 1521981 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522063), // Rule ID 18251 //
     /* 1521986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522025 */     // MIs[0] round
     /* 1522025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522028 */     // MIs[0] policy
     /* 1522028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522038 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1522041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522062 */     // GIR_Coverage, 18251,
     /* 1522062 */     GIR_EraseRootFromParent_Done,
     /* 1522063 */   // Label 21158: @1522063
     /* 1522063 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522145), // Rule ID 18254 //
     /* 1522068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1522085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522107 */     // MIs[0] round
     /* 1522107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522110 */     // MIs[0] policy
     /* 1522110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522120 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1522123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522144 */     // GIR_Coverage, 18254,
     /* 1522144 */     GIR_EraseRootFromParent_Done,
     /* 1522145 */   // Label 21159: @1522145
     /* 1522145 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1522227), // Rule ID 18255 //
     /* 1522150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1522167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522189 */     // MIs[0] round
     /* 1522189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522192 */     // MIs[0] policy
     /* 1522192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1522205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522226 */     // GIR_Coverage, 18255,
     /* 1522226 */     GIR_EraseRootFromParent_Done,
     /* 1522227 */   // Label 21160: @1522227
     /* 1522227 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1522309), // Rule ID 18258 //
     /* 1522232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522271 */     // MIs[0] round
     /* 1522271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522274 */     // MIs[0] policy
     /* 1522274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1522287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522308 */     // GIR_Coverage, 18258,
     /* 1522308 */     GIR_EraseRootFromParent_Done,
     /* 1522309 */   // Label 21161: @1522309
     /* 1522309 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1522391), // Rule ID 18259 //
     /* 1522314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522353 */     // MIs[0] round
     /* 1522353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522356 */     // MIs[0] policy
     /* 1522356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522366 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1522369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522390 */     // GIR_Coverage, 18259,
     /* 1522390 */     GIR_EraseRootFromParent_Done,
     /* 1522391 */   // Label 21162: @1522391
     /* 1522391 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1522473), // Rule ID 18262 //
     /* 1522396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522435 */     // MIs[0] round
     /* 1522435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522438 */     // MIs[0] policy
     /* 1522438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1522451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522472 */     // GIR_Coverage, 18262,
     /* 1522472 */     GIR_EraseRootFromParent_Done,
     /* 1522473 */   // Label 21163: @1522473
     /* 1522473 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1522555), // Rule ID 18263 //
     /* 1522478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522517 */     // MIs[0] round
     /* 1522517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522520 */     // MIs[0] policy
     /* 1522520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1522533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522554 */     // GIR_Coverage, 18263,
     /* 1522554 */     GIR_EraseRootFromParent_Done,
     /* 1522555 */   // Label 21164: @1522555
     /* 1522555 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1522637), // Rule ID 18266 //
     /* 1522560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1522577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522599 */     // MIs[0] round
     /* 1522599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522602 */     // MIs[0] policy
     /* 1522602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1522615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522636 */     // GIR_Coverage, 18266,
     /* 1522636 */     GIR_EraseRootFromParent_Done,
     /* 1522637 */   // Label 21165: @1522637
     /* 1522637 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1522719), // Rule ID 18267 //
     /* 1522642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1522659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522681 */     // MIs[0] round
     /* 1522681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522684 */     // MIs[0] policy
     /* 1522684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1522697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522718 */     // GIR_Coverage, 18267,
     /* 1522718 */     GIR_EraseRootFromParent_Done,
     /* 1522719 */   // Label 21166: @1522719
     /* 1522719 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1522801), // Rule ID 18270 //
     /* 1522724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1522741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522763 */     // MIs[0] round
     /* 1522763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522766 */     // MIs[0] policy
     /* 1522766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1522779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522800 */     // GIR_Coverage, 18270,
     /* 1522800 */     GIR_EraseRootFromParent_Done,
     /* 1522801 */   // Label 21167: @1522801
     /* 1522801 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1522883), // Rule ID 18271 //
     /* 1522806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1522823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522845 */     // MIs[0] round
     /* 1522845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522848 */     // MIs[0] policy
     /* 1522848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1522861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522882 */     // GIR_Coverage, 18271,
     /* 1522882 */     GIR_EraseRootFromParent_Done,
     /* 1522883 */   // Label 21168: @1522883
     /* 1522883 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1522965), // Rule ID 18274 //
     /* 1522888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1522905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522927 */     // MIs[0] round
     /* 1522927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522930 */     // MIs[0] policy
     /* 1522930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1522943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522964 */     // GIR_Coverage, 18274,
     /* 1522964 */     GIR_EraseRootFromParent_Done,
     /* 1522965 */   // Label 21169: @1522965
     /* 1522965 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523047), // Rule ID 18275 //
     /* 1522970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1522987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523009 */     // MIs[0] round
     /* 1523009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523012 */     // MIs[0] policy
     /* 1523012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1523025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523046 */     // GIR_Coverage, 18275,
     /* 1523046 */     GIR_EraseRootFromParent_Done,
     /* 1523047 */   // Label 21170: @1523047
     /* 1523047 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523129), // Rule ID 18278 //
     /* 1523052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1523069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523091 */     // MIs[0] round
     /* 1523091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523094 */     // MIs[0] policy
     /* 1523094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1523107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523128 */     // GIR_Coverage, 18278,
     /* 1523128 */     GIR_EraseRootFromParent_Done,
     /* 1523129 */   // Label 21171: @1523129
     /* 1523129 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1523211), // Rule ID 18279 //
     /* 1523134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1523151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523173 */     // MIs[0] round
     /* 1523173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523176 */     // MIs[0] policy
     /* 1523176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1523189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523210 */     // GIR_Coverage, 18279,
     /* 1523210 */     GIR_EraseRootFromParent_Done,
     /* 1523211 */   // Label 21172: @1523211
     /* 1523211 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1523293), // Rule ID 18282 //
     /* 1523216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523255 */     // MIs[0] round
     /* 1523255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523258 */     // MIs[0] policy
     /* 1523258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1523271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523292 */     // GIR_Coverage, 18282,
     /* 1523292 */     GIR_EraseRootFromParent_Done,
     /* 1523293 */   // Label 21173: @1523293
     /* 1523293 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1523375), // Rule ID 18283 //
     /* 1523298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523337 */     // MIs[0] round
     /* 1523337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523340 */     // MIs[0] policy
     /* 1523340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1523353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523374 */     // GIR_Coverage, 18283,
     /* 1523374 */     GIR_EraseRootFromParent_Done,
     /* 1523375 */   // Label 21174: @1523375
     /* 1523375 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1523457), // Rule ID 18286 //
     /* 1523380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523419 */     // MIs[0] round
     /* 1523419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523422 */     // MIs[0] policy
     /* 1523422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1523435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523456 */     // GIR_Coverage, 18286,
     /* 1523456 */     GIR_EraseRootFromParent_Done,
     /* 1523457 */   // Label 21175: @1523457
     /* 1523457 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1523539), // Rule ID 18287 //
     /* 1523462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523501 */     // MIs[0] round
     /* 1523501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523504 */     // MIs[0] policy
     /* 1523504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523514 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1523517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523538 */     // GIR_Coverage, 18287,
     /* 1523538 */     GIR_EraseRootFromParent_Done,
     /* 1523539 */   // Label 21176: @1523539
     /* 1523539 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1523621), // Rule ID 18290 //
     /* 1523544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523583 */     // MIs[0] round
     /* 1523583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523586 */     // MIs[0] policy
     /* 1523586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1523599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523620 */     // GIR_Coverage, 18290,
     /* 1523620 */     GIR_EraseRootFromParent_Done,
     /* 1523621 */   // Label 21177: @1523621
     /* 1523621 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1523703), // Rule ID 18291 //
     /* 1523626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523665 */     // MIs[0] round
     /* 1523665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523668 */     // MIs[0] policy
     /* 1523668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1523681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523702 */     // GIR_Coverage, 18291,
     /* 1523702 */     GIR_EraseRootFromParent_Done,
     /* 1523703 */   // Label 21178: @1523703
     /* 1523703 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1523785), // Rule ID 18294 //
     /* 1523708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523747 */     // MIs[0] round
     /* 1523747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523750 */     // MIs[0] policy
     /* 1523750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1523763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523784 */     // GIR_Coverage, 18294,
     /* 1523784 */     GIR_EraseRootFromParent_Done,
     /* 1523785 */   // Label 21179: @1523785
     /* 1523785 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1523867), // Rule ID 18295 //
     /* 1523790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523829 */     // MIs[0] round
     /* 1523829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523832 */     // MIs[0] policy
     /* 1523832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1523845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523866 */     // GIR_Coverage, 18295,
     /* 1523866 */     GIR_EraseRootFromParent_Done,
     /* 1523867 */   // Label 21180: @1523867
     /* 1523867 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1523949), // Rule ID 18298 //
     /* 1523872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523911 */     // MIs[0] round
     /* 1523911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523914 */     // MIs[0] policy
     /* 1523914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1523927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523948 */     // GIR_Coverage, 18298,
     /* 1523948 */     GIR_EraseRootFromParent_Done,
     /* 1523949 */   // Label 21181: @1523949
     /* 1523949 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524031), // Rule ID 18299 //
     /* 1523954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523993 */     // MIs[0] round
     /* 1523993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523996 */     // MIs[0] policy
     /* 1523996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524006 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1524009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524030 */     // GIR_Coverage, 18299,
     /* 1524030 */     GIR_EraseRootFromParent_Done,
     /* 1524031 */   // Label 21182: @1524031
     /* 1524031 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524113), // Rule ID 18302 //
     /* 1524036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524075 */     // MIs[0] round
     /* 1524075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524078 */     // MIs[0] policy
     /* 1524078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1524091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524112 */     // GIR_Coverage, 18302,
     /* 1524112 */     GIR_EraseRootFromParent_Done,
     /* 1524113 */   // Label 21183: @1524113
     /* 1524113 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524195), // Rule ID 18303 //
     /* 1524118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524157 */     // MIs[0] round
     /* 1524157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524160 */     // MIs[0] policy
     /* 1524160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1524173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524194 */     // GIR_Coverage, 18303,
     /* 1524194 */     GIR_EraseRootFromParent_Done,
     /* 1524195 */   // Label 21184: @1524195
     /* 1524195 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1524277), // Rule ID 18306 //
     /* 1524200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524239 */     // MIs[0] round
     /* 1524239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524242 */     // MIs[0] policy
     /* 1524242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524252 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1524255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524276 */     // GIR_Coverage, 18306,
     /* 1524276 */     GIR_EraseRootFromParent_Done,
     /* 1524277 */   // Label 21185: @1524277
     /* 1524277 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1524359), // Rule ID 18307 //
     /* 1524282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524321 */     // MIs[0] round
     /* 1524321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524324 */     // MIs[0] policy
     /* 1524324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524334 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1524337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524358 */     // GIR_Coverage, 18307,
     /* 1524358 */     GIR_EraseRootFromParent_Done,
     /* 1524359 */   // Label 21186: @1524359
     /* 1524359 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1524441), // Rule ID 18310 //
     /* 1524364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524403 */     // MIs[0] round
     /* 1524403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524406 */     // MIs[0] policy
     /* 1524406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1524419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524440 */     // GIR_Coverage, 18310,
     /* 1524440 */     GIR_EraseRootFromParent_Done,
     /* 1524441 */   // Label 21187: @1524441
     /* 1524441 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1524523), // Rule ID 18311 //
     /* 1524446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524485 */     // MIs[0] round
     /* 1524485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524488 */     // MIs[0] policy
     /* 1524488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1524501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524522 */     // GIR_Coverage, 18311,
     /* 1524522 */     GIR_EraseRootFromParent_Done,
     /* 1524523 */   // Label 21188: @1524523
     /* 1524523 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1524605), // Rule ID 18314 //
     /* 1524528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524567 */     // MIs[0] round
     /* 1524567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524570 */     // MIs[0] policy
     /* 1524570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524580 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1524583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524604 */     // GIR_Coverage, 18314,
     /* 1524604 */     GIR_EraseRootFromParent_Done,
     /* 1524605 */   // Label 21189: @1524605
     /* 1524605 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1524687), // Rule ID 18315 //
     /* 1524610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524649 */     // MIs[0] round
     /* 1524649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524652 */     // MIs[0] policy
     /* 1524652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524662 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1524665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524686 */     // GIR_Coverage, 18315,
     /* 1524686 */     GIR_EraseRootFromParent_Done,
     /* 1524687 */   // Label 21190: @1524687
     /* 1524687 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1524769), // Rule ID 18318 //
     /* 1524692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524731 */     // MIs[0] round
     /* 1524731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524734 */     // MIs[0] policy
     /* 1524734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1524747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524768 */     // GIR_Coverage, 18318,
     /* 1524768 */     GIR_EraseRootFromParent_Done,
     /* 1524769 */   // Label 21191: @1524769
     /* 1524769 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1524851), // Rule ID 18319 //
     /* 1524774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524813 */     // MIs[0] round
     /* 1524813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524816 */     // MIs[0] policy
     /* 1524816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524826 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1524829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524850 */     // GIR_Coverage, 18319,
     /* 1524850 */     GIR_EraseRootFromParent_Done,
     /* 1524851 */   // Label 21192: @1524851
     /* 1524851 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1524933), // Rule ID 18322 //
     /* 1524856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524895 */     // MIs[0] round
     /* 1524895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524898 */     // MIs[0] policy
     /* 1524898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1524911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524932 */     // GIR_Coverage, 18322,
     /* 1524932 */     GIR_EraseRootFromParent_Done,
     /* 1524933 */   // Label 21193: @1524933
     /* 1524933 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525015), // Rule ID 18323 //
     /* 1524938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524977 */     // MIs[0] round
     /* 1524977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524980 */     // MIs[0] policy
     /* 1524980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1524993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525014 */     // GIR_Coverage, 18323,
     /* 1525014 */     GIR_EraseRootFromParent_Done,
     /* 1525015 */   // Label 21194: @1525015
     /* 1525015 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525097), // Rule ID 18326 //
     /* 1525020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525059 */     // MIs[0] round
     /* 1525059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525062 */     // MIs[0] policy
     /* 1525062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1525075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525096 */     // GIR_Coverage, 18326,
     /* 1525096 */     GIR_EraseRootFromParent_Done,
     /* 1525097 */   // Label 21195: @1525097
     /* 1525097 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525179), // Rule ID 18327 //
     /* 1525102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525141 */     // MIs[0] round
     /* 1525141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525144 */     // MIs[0] policy
     /* 1525144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525154 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1525157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525178 */     // GIR_Coverage, 18327,
     /* 1525178 */     GIR_EraseRootFromParent_Done,
     /* 1525179 */   // Label 21196: @1525179
     /* 1525179 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1525261), // Rule ID 18330 //
     /* 1525184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525223 */     // MIs[0] round
     /* 1525223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525226 */     // MIs[0] policy
     /* 1525226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525236 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1525239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525260 */     // GIR_Coverage, 18330,
     /* 1525260 */     GIR_EraseRootFromParent_Done,
     /* 1525261 */   // Label 21197: @1525261
     /* 1525261 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1525343), // Rule ID 18331 //
     /* 1525266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525305 */     // MIs[0] round
     /* 1525305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525308 */     // MIs[0] policy
     /* 1525308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1525321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525342 */     // GIR_Coverage, 18331,
     /* 1525342 */     GIR_EraseRootFromParent_Done,
     /* 1525343 */   // Label 21198: @1525343
     /* 1525343 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1525425), // Rule ID 18334 //
     /* 1525348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525387 */     // MIs[0] round
     /* 1525387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525390 */     // MIs[0] policy
     /* 1525390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1525403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525424 */     // GIR_Coverage, 18334,
     /* 1525424 */     GIR_EraseRootFromParent_Done,
     /* 1525425 */   // Label 21199: @1525425
     /* 1525425 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1525507), // Rule ID 18335 //
     /* 1525430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525469 */     // MIs[0] round
     /* 1525469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525472 */     // MIs[0] policy
     /* 1525472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1525485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525506 */     // GIR_Coverage, 18335,
     /* 1525506 */     GIR_EraseRootFromParent_Done,
     /* 1525507 */   // Label 21200: @1525507
     /* 1525507 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1525589), // Rule ID 18338 //
     /* 1525512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525551 */     // MIs[0] round
     /* 1525551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525554 */     // MIs[0] policy
     /* 1525554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1525567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525588 */     // GIR_Coverage, 18338,
     /* 1525588 */     GIR_EraseRootFromParent_Done,
     /* 1525589 */   // Label 21201: @1525589
     /* 1525589 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1525671), // Rule ID 18339 //
     /* 1525594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525633 */     // MIs[0] round
     /* 1525633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525636 */     // MIs[0] policy
     /* 1525636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525646 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1525649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525670 */     // GIR_Coverage, 18339,
     /* 1525670 */     GIR_EraseRootFromParent_Done,
     /* 1525671 */   // Label 21202: @1525671
     /* 1525671 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1525753), // Rule ID 18342 //
     /* 1525676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1525693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525715 */     // MIs[0] round
     /* 1525715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525718 */     // MIs[0] policy
     /* 1525718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525728 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1525731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525752 */     // GIR_Coverage, 18342,
     /* 1525752 */     GIR_EraseRootFromParent_Done,
     /* 1525753 */   // Label 21203: @1525753
     /* 1525753 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1525835), // Rule ID 18343 //
     /* 1525758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1525775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525797 */     // MIs[0] round
     /* 1525797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525800 */     // MIs[0] policy
     /* 1525800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525810 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1525813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525834 */     // GIR_Coverage, 18343,
     /* 1525834 */     GIR_EraseRootFromParent_Done,
     /* 1525835 */   // Label 21204: @1525835
     /* 1525835 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1525917), // Rule ID 18346 //
     /* 1525840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1525857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525879 */     // MIs[0] round
     /* 1525879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525882 */     // MIs[0] policy
     /* 1525882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525892 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1525895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525916 */     // GIR_Coverage, 18346,
     /* 1525916 */     GIR_EraseRootFromParent_Done,
     /* 1525917 */   // Label 21205: @1525917
     /* 1525917 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1525999), // Rule ID 18347 //
     /* 1525922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1525939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525961 */     // MIs[0] round
     /* 1525961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525964 */     // MIs[0] policy
     /* 1525964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525974 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1525977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525998 */     // GIR_Coverage, 18347,
     /* 1525998 */     GIR_EraseRootFromParent_Done,
     /* 1525999 */   // Label 21206: @1525999
     /* 1525999 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526081), // Rule ID 18350 //
     /* 1526004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1526021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526043 */     // MIs[0] round
     /* 1526043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526046 */     // MIs[0] policy
     /* 1526046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1526059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526080 */     // GIR_Coverage, 18350,
     /* 1526080 */     GIR_EraseRootFromParent_Done,
     /* 1526081 */   // Label 21207: @1526081
     /* 1526081 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526163), // Rule ID 18351 //
     /* 1526086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1526103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526125 */     // MIs[0] round
     /* 1526125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526128 */     // MIs[0] policy
     /* 1526128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526138 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1526141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526162 */     // GIR_Coverage, 18351,
     /* 1526162 */     GIR_EraseRootFromParent_Done,
     /* 1526163 */   // Label 21208: @1526163
     /* 1526163 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1526245), // Rule ID 18354 //
     /* 1526168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526207 */     // MIs[0] round
     /* 1526207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526210 */     // MIs[0] policy
     /* 1526210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1526223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526244 */     // GIR_Coverage, 18354,
     /* 1526244 */     GIR_EraseRootFromParent_Done,
     /* 1526245 */   // Label 21209: @1526245
     /* 1526245 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1526327), // Rule ID 18355 //
     /* 1526250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526289 */     // MIs[0] round
     /* 1526289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526292 */     // MIs[0] policy
     /* 1526292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1526305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526326 */     // GIR_Coverage, 18355,
     /* 1526326 */     GIR_EraseRootFromParent_Done,
     /* 1526327 */   // Label 21210: @1526327
     /* 1526327 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1526409), // Rule ID 18358 //
     /* 1526332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526371 */     // MIs[0] round
     /* 1526371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526374 */     // MIs[0] policy
     /* 1526374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1526387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526408 */     // GIR_Coverage, 18358,
     /* 1526408 */     GIR_EraseRootFromParent_Done,
     /* 1526409 */   // Label 21211: @1526409
     /* 1526409 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1526491), // Rule ID 18359 //
     /* 1526414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526453 */     // MIs[0] round
     /* 1526453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526456 */     // MIs[0] policy
     /* 1526456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1526469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526490 */     // GIR_Coverage, 18359,
     /* 1526490 */     GIR_EraseRootFromParent_Done,
     /* 1526491 */   // Label 21212: @1526491
     /* 1526491 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1526573), // Rule ID 18362 //
     /* 1526496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1526513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526535 */     // MIs[0] round
     /* 1526535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526538 */     // MIs[0] policy
     /* 1526538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1526551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526572 */     // GIR_Coverage, 18362,
     /* 1526572 */     GIR_EraseRootFromParent_Done,
     /* 1526573 */   // Label 21213: @1526573
     /* 1526573 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1526655), // Rule ID 18363 //
     /* 1526578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1526595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526617 */     // MIs[0] round
     /* 1526617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526620 */     // MIs[0] policy
     /* 1526620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526630 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1526633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526654 */     // GIR_Coverage, 18363,
     /* 1526654 */     GIR_EraseRootFromParent_Done,
     /* 1526655 */   // Label 21214: @1526655
     /* 1526655 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1526737), // Rule ID 18366 //
     /* 1526660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1526677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526699 */     // MIs[0] round
     /* 1526699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526702 */     // MIs[0] policy
     /* 1526702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1526715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526736 */     // GIR_Coverage, 18366,
     /* 1526736 */     GIR_EraseRootFromParent_Done,
     /* 1526737 */   // Label 21215: @1526737
     /* 1526737 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1526819), // Rule ID 18367 //
     /* 1526742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1526759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526781 */     // MIs[0] round
     /* 1526781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526784 */     // MIs[0] policy
     /* 1526784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526794 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1526797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526818 */     // GIR_Coverage, 18367,
     /* 1526818 */     GIR_EraseRootFromParent_Done,
     /* 1526819 */   // Label 21216: @1526819
     /* 1526819 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1526901), // Rule ID 18370 //
     /* 1526824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1526841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526863 */     // MIs[0] round
     /* 1526863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526866 */     // MIs[0] policy
     /* 1526866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526876 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1526879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526900 */     // GIR_Coverage, 18370,
     /* 1526900 */     GIR_EraseRootFromParent_Done,
     /* 1526901 */   // Label 21217: @1526901
     /* 1526901 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1526983), // Rule ID 18371 //
     /* 1526906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1526923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526945 */     // MIs[0] round
     /* 1526945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526948 */     // MIs[0] policy
     /* 1526948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526958 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1526961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526982 */     // GIR_Coverage, 18371,
     /* 1526982 */     GIR_EraseRootFromParent_Done,
     /* 1526983 */   // Label 21218: @1526983
     /* 1526983 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527065), // Rule ID 18374 //
     /* 1526988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1527005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527027 */     // MIs[0] round
     /* 1527027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527030 */     // MIs[0] policy
     /* 1527030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527040 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1527043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527064 */     // GIR_Coverage, 18374,
     /* 1527064 */     GIR_EraseRootFromParent_Done,
     /* 1527065 */   // Label 21219: @1527065
     /* 1527065 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527147), // Rule ID 18375 //
     /* 1527070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1527087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527109 */     // MIs[0] round
     /* 1527109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527112 */     // MIs[0] policy
     /* 1527112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527122 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1527125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527146 */     // GIR_Coverage, 18375,
     /* 1527146 */     GIR_EraseRootFromParent_Done,
     /* 1527147 */   // Label 21220: @1527147
     /* 1527147 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1527229), // Rule ID 18378 //
     /* 1527152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527191 */     // MIs[0] round
     /* 1527191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527194 */     // MIs[0] policy
     /* 1527194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527204 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1527207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527228 */     // GIR_Coverage, 18378,
     /* 1527228 */     GIR_EraseRootFromParent_Done,
     /* 1527229 */   // Label 21221: @1527229
     /* 1527229 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1527311), // Rule ID 18379 //
     /* 1527234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527273 */     // MIs[0] round
     /* 1527273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527276 */     // MIs[0] policy
     /* 1527276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527286 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1527289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527310 */     // GIR_Coverage, 18379,
     /* 1527310 */     GIR_EraseRootFromParent_Done,
     /* 1527311 */   // Label 21222: @1527311
     /* 1527311 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1527393), // Rule ID 18382 //
     /* 1527316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527355 */     // MIs[0] round
     /* 1527355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527358 */     // MIs[0] policy
     /* 1527358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1527371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527392 */     // GIR_Coverage, 18382,
     /* 1527392 */     GIR_EraseRootFromParent_Done,
     /* 1527393 */   // Label 21223: @1527393
     /* 1527393 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1527475), // Rule ID 18383 //
     /* 1527398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527437 */     // MIs[0] round
     /* 1527437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527440 */     // MIs[0] policy
     /* 1527440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1527453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527474 */     // GIR_Coverage, 18383,
     /* 1527474 */     GIR_EraseRootFromParent_Done,
     /* 1527475 */   // Label 21224: @1527475
     /* 1527475 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1527557), // Rule ID 18386 //
     /* 1527480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1527497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527519 */     // MIs[0] round
     /* 1527519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527522 */     // MIs[0] policy
     /* 1527522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527532 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1527535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527556 */     // GIR_Coverage, 18386,
     /* 1527556 */     GIR_EraseRootFromParent_Done,
     /* 1527557 */   // Label 21225: @1527557
     /* 1527557 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1527639), // Rule ID 18387 //
     /* 1527562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1527579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527601 */     // MIs[0] round
     /* 1527601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527604 */     // MIs[0] policy
     /* 1527604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527614 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1527617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527638 */     // GIR_Coverage, 18387,
     /* 1527638 */     GIR_EraseRootFromParent_Done,
     /* 1527639 */   // Label 21226: @1527639
     /* 1527639 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1527721), // Rule ID 18390 //
     /* 1527644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1527661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527683 */     // MIs[0] round
     /* 1527683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527686 */     // MIs[0] policy
     /* 1527686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1527699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527720 */     // GIR_Coverage, 18390,
     /* 1527720 */     GIR_EraseRootFromParent_Done,
     /* 1527721 */   // Label 21227: @1527721
     /* 1527721 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1527803), // Rule ID 18391 //
     /* 1527726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1527743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527765 */     // MIs[0] round
     /* 1527765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527768 */     // MIs[0] policy
     /* 1527768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527778 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1527781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527802 */     // GIR_Coverage, 18391,
     /* 1527802 */     GIR_EraseRootFromParent_Done,
     /* 1527803 */   // Label 21228: @1527803
     /* 1527803 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1527885), // Rule ID 18394 //
     /* 1527808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1527825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527847 */     // MIs[0] round
     /* 1527847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527850 */     // MIs[0] policy
     /* 1527850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527860 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1527863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527884 */     // GIR_Coverage, 18394,
     /* 1527884 */     GIR_EraseRootFromParent_Done,
     /* 1527885 */   // Label 21229: @1527885
     /* 1527885 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1527967), // Rule ID 18395 //
     /* 1527890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1527907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527929 */     // MIs[0] round
     /* 1527929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527932 */     // MIs[0] policy
     /* 1527932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527942 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1527945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527966 */     // GIR_Coverage, 18395,
     /* 1527966 */     GIR_EraseRootFromParent_Done,
     /* 1527967 */   // Label 21230: @1527967
     /* 1527967 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528049), // Rule ID 18398 //
     /* 1527972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1527989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528011 */     // MIs[0] round
     /* 1528011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528014 */     // MIs[0] policy
     /* 1528014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528024 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1528027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528048 */     // GIR_Coverage, 18398,
     /* 1528048 */     GIR_EraseRootFromParent_Done,
     /* 1528049 */   // Label 21231: @1528049
     /* 1528049 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528131), // Rule ID 18399 //
     /* 1528054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1528071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528093 */     // MIs[0] round
     /* 1528093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528096 */     // MIs[0] policy
     /* 1528096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528106 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1528109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528130 */     // GIR_Coverage, 18399,
     /* 1528130 */     GIR_EraseRootFromParent_Done,
     /* 1528131 */   // Label 21232: @1528131
     /* 1528131 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1528213), // Rule ID 18402 //
     /* 1528136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528175 */     // MIs[0] round
     /* 1528175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528178 */     // MIs[0] policy
     /* 1528178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528188 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1528191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528212 */     // GIR_Coverage, 18402,
     /* 1528212 */     GIR_EraseRootFromParent_Done,
     /* 1528213 */   // Label 21233: @1528213
     /* 1528213 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1528295), // Rule ID 18403 //
     /* 1528218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528257 */     // MIs[0] round
     /* 1528257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528260 */     // MIs[0] policy
     /* 1528260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528270 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1528273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528294 */     // GIR_Coverage, 18403,
     /* 1528294 */     GIR_EraseRootFromParent_Done,
     /* 1528295 */   // Label 21234: @1528295
     /* 1528295 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1528377), // Rule ID 18406 //
     /* 1528300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528339 */     // MIs[0] round
     /* 1528339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528342 */     // MIs[0] policy
     /* 1528342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1528355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528376 */     // GIR_Coverage, 18406,
     /* 1528376 */     GIR_EraseRootFromParent_Done,
     /* 1528377 */   // Label 21235: @1528377
     /* 1528377 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1528459), // Rule ID 18407 //
     /* 1528382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528421 */     // MIs[0] round
     /* 1528421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528424 */     // MIs[0] policy
     /* 1528424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1528437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528458 */     // GIR_Coverage, 18407,
     /* 1528458 */     GIR_EraseRootFromParent_Done,
     /* 1528459 */   // Label 21236: @1528459
     /* 1528459 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1528541), // Rule ID 18410 //
     /* 1528464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528503 */     // MIs[0] round
     /* 1528503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528506 */     // MIs[0] policy
     /* 1528506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528516 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1528519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528540 */     // GIR_Coverage, 18410,
     /* 1528540 */     GIR_EraseRootFromParent_Done,
     /* 1528541 */   // Label 21237: @1528541
     /* 1528541 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1528623), // Rule ID 18411 //
     /* 1528546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528585 */     // MIs[0] round
     /* 1528585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528588 */     // MIs[0] policy
     /* 1528588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528598 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1528601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528622 */     // GIR_Coverage, 18411,
     /* 1528622 */     GIR_EraseRootFromParent_Done,
     /* 1528623 */   // Label 21238: @1528623
     /* 1528623 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1528705), // Rule ID 18414 //
     /* 1528628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528667 */     // MIs[0] round
     /* 1528667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528670 */     // MIs[0] policy
     /* 1528670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1528683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528704 */     // GIR_Coverage, 18414,
     /* 1528704 */     GIR_EraseRootFromParent_Done,
     /* 1528705 */   // Label 21239: @1528705
     /* 1528705 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1528787), // Rule ID 18415 //
     /* 1528710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528749 */     // MIs[0] round
     /* 1528749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528752 */     // MIs[0] policy
     /* 1528752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528762 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1528765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528786 */     // GIR_Coverage, 18415,
     /* 1528786 */     GIR_EraseRootFromParent_Done,
     /* 1528787 */   // Label 21240: @1528787
     /* 1528787 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1528869), // Rule ID 18418 //
     /* 1528792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528831 */     // MIs[0] round
     /* 1528831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528834 */     // MIs[0] policy
     /* 1528834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1528847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528868 */     // GIR_Coverage, 18418,
     /* 1528868 */     GIR_EraseRootFromParent_Done,
     /* 1528869 */   // Label 21241: @1528869
     /* 1528869 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1528951), // Rule ID 18419 //
     /* 1528874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528913 */     // MIs[0] round
     /* 1528913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528916 */     // MIs[0] policy
     /* 1528916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528926 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1528929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528950 */     // GIR_Coverage, 18419,
     /* 1528950 */     GIR_EraseRootFromParent_Done,
     /* 1528951 */   // Label 21242: @1528951
     /* 1528951 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529033), // Rule ID 18422 //
     /* 1528956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1528976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528995 */     // MIs[0] round
     /* 1528995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528998 */     // MIs[0] policy
     /* 1528998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1529011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529032 */     // GIR_Coverage, 18422,
     /* 1529032 */     GIR_EraseRootFromParent_Done,
     /* 1529033 */   // Label 21243: @1529033
     /* 1529033 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529115), // Rule ID 18423 //
     /* 1529038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529077 */     // MIs[0] round
     /* 1529077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529080 */     // MIs[0] policy
     /* 1529080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1529093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529114 */     // GIR_Coverage, 18423,
     /* 1529114 */     GIR_EraseRootFromParent_Done,
     /* 1529115 */   // Label 21244: @1529115
     /* 1529115 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1529197), // Rule ID 18426 //
     /* 1529120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529159 */     // MIs[0] round
     /* 1529159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529162 */     // MIs[0] policy
     /* 1529162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1529175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529196 */     // GIR_Coverage, 18426,
     /* 1529196 */     GIR_EraseRootFromParent_Done,
     /* 1529197 */   // Label 21245: @1529197
     /* 1529197 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1529279), // Rule ID 18427 //
     /* 1529202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529241 */     // MIs[0] round
     /* 1529241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529244 */     // MIs[0] policy
     /* 1529244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529254 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1529257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529278 */     // GIR_Coverage, 18427,
     /* 1529278 */     GIR_EraseRootFromParent_Done,
     /* 1529279 */   // Label 21246: @1529279
     /* 1529279 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1529361), // Rule ID 18430 //
     /* 1529284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529323 */     // MIs[0] round
     /* 1529323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529326 */     // MIs[0] policy
     /* 1529326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1529339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529360 */     // GIR_Coverage, 18430,
     /* 1529360 */     GIR_EraseRootFromParent_Done,
     /* 1529361 */   // Label 21247: @1529361
     /* 1529361 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1529443), // Rule ID 18431 //
     /* 1529366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529405 */     // MIs[0] round
     /* 1529405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529408 */     // MIs[0] policy
     /* 1529408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529418 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1529421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529442 */     // GIR_Coverage, 18431,
     /* 1529442 */     GIR_EraseRootFromParent_Done,
     /* 1529443 */   // Label 21248: @1529443
     /* 1529443 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1529525), // Rule ID 18434 //
     /* 1529448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529487 */     // MIs[0] round
     /* 1529487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529490 */     // MIs[0] policy
     /* 1529490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529500 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1529503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529524 */     // GIR_Coverage, 18434,
     /* 1529524 */     GIR_EraseRootFromParent_Done,
     /* 1529525 */   // Label 21249: @1529525
     /* 1529525 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1529607), // Rule ID 18435 //
     /* 1529530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529569 */     // MIs[0] round
     /* 1529569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529572 */     // MIs[0] policy
     /* 1529572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1529585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529606 */     // GIR_Coverage, 18435,
     /* 1529606 */     GIR_EraseRootFromParent_Done,
     /* 1529607 */   // Label 21250: @1529607
     /* 1529607 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1529689), // Rule ID 18438 //
     /* 1529612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529651 */     // MIs[0] round
     /* 1529651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529654 */     // MIs[0] policy
     /* 1529654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1529667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529688 */     // GIR_Coverage, 18438,
     /* 1529688 */     GIR_EraseRootFromParent_Done,
     /* 1529689 */   // Label 21251: @1529689
     /* 1529689 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1529771), // Rule ID 18439 //
     /* 1529694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529733 */     // MIs[0] round
     /* 1529733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529736 */     // MIs[0] policy
     /* 1529736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1529749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529770 */     // GIR_Coverage, 18439,
     /* 1529770 */     GIR_EraseRootFromParent_Done,
     /* 1529771 */   // Label 21252: @1529771
     /* 1529771 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1529853), // Rule ID 18442 //
     /* 1529776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529815 */     // MIs[0] round
     /* 1529815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529818 */     // MIs[0] policy
     /* 1529818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1529831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529852 */     // GIR_Coverage, 18442,
     /* 1529852 */     GIR_EraseRootFromParent_Done,
     /* 1529853 */   // Label 21253: @1529853
     /* 1529853 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1529935), // Rule ID 18443 //
     /* 1529858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529897 */     // MIs[0] round
     /* 1529897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529900 */     // MIs[0] policy
     /* 1529900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529910 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1529913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529934 */     // GIR_Coverage, 18443,
     /* 1529934 */     GIR_EraseRootFromParent_Done,
     /* 1529935 */   // Label 21254: @1529935
     /* 1529935 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530017), // Rule ID 18446 //
     /* 1529940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1529960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529979 */     // MIs[0] round
     /* 1529979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529982 */     // MIs[0] policy
     /* 1529982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1529995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530016 */     // GIR_Coverage, 18446,
     /* 1530016 */     GIR_EraseRootFromParent_Done,
     /* 1530017 */   // Label 21255: @1530017
     /* 1530017 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530099), // Rule ID 18447 //
     /* 1530022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530061 */     // MIs[0] round
     /* 1530061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530064 */     // MIs[0] policy
     /* 1530064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530074 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1530077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530098 */     // GIR_Coverage, 18447,
     /* 1530098 */     GIR_EraseRootFromParent_Done,
     /* 1530099 */   // Label 21256: @1530099
     /* 1530099 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1530181), // Rule ID 18450 //
     /* 1530104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530143 */     // MIs[0] round
     /* 1530143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530146 */     // MIs[0] policy
     /* 1530146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1530159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530180 */     // GIR_Coverage, 18450,
     /* 1530180 */     GIR_EraseRootFromParent_Done,
     /* 1530181 */   // Label 21257: @1530181
     /* 1530181 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1530263), // Rule ID 18451 //
     /* 1530186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530225 */     // MIs[0] round
     /* 1530225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530228 */     // MIs[0] policy
     /* 1530228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530238 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1530241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530262 */     // GIR_Coverage, 18451,
     /* 1530262 */     GIR_EraseRootFromParent_Done,
     /* 1530263 */   // Label 21258: @1530263
     /* 1530263 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1530345), // Rule ID 18454 //
     /* 1530268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530307 */     // MIs[0] round
     /* 1530307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530310 */     // MIs[0] policy
     /* 1530310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1530323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530344 */     // GIR_Coverage, 18454,
     /* 1530344 */     GIR_EraseRootFromParent_Done,
     /* 1530345 */   // Label 21259: @1530345
     /* 1530345 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1530427), // Rule ID 18455 //
     /* 1530350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530389 */     // MIs[0] round
     /* 1530389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530392 */     // MIs[0] policy
     /* 1530392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1530405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530426 */     // GIR_Coverage, 18455,
     /* 1530426 */     GIR_EraseRootFromParent_Done,
     /* 1530427 */   // Label 21260: @1530427
     /* 1530427 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1530509), // Rule ID 18458 //
     /* 1530432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530471 */     // MIs[0] round
     /* 1530471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530474 */     // MIs[0] policy
     /* 1530474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530484 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1530487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530508 */     // GIR_Coverage, 18458,
     /* 1530508 */     GIR_EraseRootFromParent_Done,
     /* 1530509 */   // Label 21261: @1530509
     /* 1530509 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1530591), // Rule ID 18459 //
     /* 1530514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530553 */     // MIs[0] round
     /* 1530553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530556 */     // MIs[0] policy
     /* 1530556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530566 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1530569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530590 */     // GIR_Coverage, 18459,
     /* 1530590 */     GIR_EraseRootFromParent_Done,
     /* 1530591 */   // Label 21262: @1530591
     /* 1530591 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1530673), // Rule ID 18462 //
     /* 1530596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530635 */     // MIs[0] round
     /* 1530635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530638 */     // MIs[0] policy
     /* 1530638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530648 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1530651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530672 */     // GIR_Coverage, 18462,
     /* 1530672 */     GIR_EraseRootFromParent_Done,
     /* 1530673 */   // Label 21263: @1530673
     /* 1530673 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1530755), // Rule ID 18463 //
     /* 1530678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530717 */     // MIs[0] round
     /* 1530717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530720 */     // MIs[0] policy
     /* 1530720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1530733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530754 */     // GIR_Coverage, 18463,
     /* 1530754 */     GIR_EraseRootFromParent_Done,
     /* 1530755 */   // Label 21264: @1530755
     /* 1530755 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1530837), // Rule ID 18466 //
     /* 1530760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530799 */     // MIs[0] round
     /* 1530799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530802 */     // MIs[0] policy
     /* 1530802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1530815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530836 */     // GIR_Coverage, 18466,
     /* 1530836 */     GIR_EraseRootFromParent_Done,
     /* 1530837 */   // Label 21265: @1530837
     /* 1530837 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1530919), // Rule ID 18467 //
     /* 1530842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530881 */     // MIs[0] round
     /* 1530881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530884 */     // MIs[0] policy
     /* 1530884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1530897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530918 */     // GIR_Coverage, 18467,
     /* 1530918 */     GIR_EraseRootFromParent_Done,
     /* 1530919 */   // Label 21266: @1530919
     /* 1530919 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531001), // Rule ID 18470 //
     /* 1530924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1530941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530963 */     // MIs[0] round
     /* 1530963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530966 */     // MIs[0] policy
     /* 1530966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1530979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531000 */     // GIR_Coverage, 18470,
     /* 1531000 */     GIR_EraseRootFromParent_Done,
     /* 1531001 */   // Label 21267: @1531001
     /* 1531001 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531083), // Rule ID 18471 //
     /* 1531006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531045 */     // MIs[0] round
     /* 1531045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531048 */     // MIs[0] policy
     /* 1531048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531058 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1531061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531082 */     // GIR_Coverage, 18471,
     /* 1531082 */     GIR_EraseRootFromParent_Done,
     /* 1531083 */   // Label 21268: @1531083
     /* 1531083 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1531165), // Rule ID 18474 //
     /* 1531088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531127 */     // MIs[0] round
     /* 1531127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531130 */     // MIs[0] policy
     /* 1531130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531140 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1531143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531164 */     // GIR_Coverage, 18474,
     /* 1531164 */     GIR_EraseRootFromParent_Done,
     /* 1531165 */   // Label 21269: @1531165
     /* 1531165 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1531247), // Rule ID 18475 //
     /* 1531170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531209 */     // MIs[0] round
     /* 1531209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531212 */     // MIs[0] policy
     /* 1531212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1531225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531246 */     // GIR_Coverage, 18475,
     /* 1531246 */     GIR_EraseRootFromParent_Done,
     /* 1531247 */   // Label 21270: @1531247
     /* 1531247 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1531329), // Rule ID 18478 //
     /* 1531252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531291 */     // MIs[0] round
     /* 1531291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531294 */     // MIs[0] policy
     /* 1531294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1531307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531328 */     // GIR_Coverage, 18478,
     /* 1531328 */     GIR_EraseRootFromParent_Done,
     /* 1531329 */   // Label 21271: @1531329
     /* 1531329 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1531411), // Rule ID 18479 //
     /* 1531334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531373 */     // MIs[0] round
     /* 1531373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531376 */     // MIs[0] policy
     /* 1531376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1531389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531410 */     // GIR_Coverage, 18479,
     /* 1531410 */     GIR_EraseRootFromParent_Done,
     /* 1531411 */   // Label 21272: @1531411
     /* 1531411 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1531493), // Rule ID 18482 //
     /* 1531416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531455 */     // MIs[0] round
     /* 1531455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531458 */     // MIs[0] policy
     /* 1531458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1531471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531492 */     // GIR_Coverage, 18482,
     /* 1531492 */     GIR_EraseRootFromParent_Done,
     /* 1531493 */   // Label 21273: @1531493
     /* 1531493 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1531575), // Rule ID 18483 //
     /* 1531498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531537 */     // MIs[0] round
     /* 1531537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531540 */     // MIs[0] policy
     /* 1531540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531550 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1531553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531574 */     // GIR_Coverage, 18483,
     /* 1531574 */     GIR_EraseRootFromParent_Done,
     /* 1531575 */   // Label 21274: @1531575
     /* 1531575 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1531657), // Rule ID 18486 //
     /* 1531580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531619 */     // MIs[0] round
     /* 1531619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531622 */     // MIs[0] policy
     /* 1531622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1531635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531656 */     // GIR_Coverage, 18486,
     /* 1531656 */     GIR_EraseRootFromParent_Done,
     /* 1531657 */   // Label 21275: @1531657
     /* 1531657 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1531739), // Rule ID 18487 //
     /* 1531662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531701 */     // MIs[0] round
     /* 1531701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531704 */     // MIs[0] policy
     /* 1531704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531714 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1531717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531738 */     // GIR_Coverage, 18487,
     /* 1531738 */     GIR_EraseRootFromParent_Done,
     /* 1531739 */   // Label 21276: @1531739
     /* 1531739 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1531821), // Rule ID 18490 //
     /* 1531744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531783 */     // MIs[0] round
     /* 1531783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531786 */     // MIs[0] policy
     /* 1531786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531796 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1531799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531820 */     // GIR_Coverage, 18490,
     /* 1531820 */     GIR_EraseRootFromParent_Done,
     /* 1531821 */   // Label 21277: @1531821
     /* 1531821 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1531903), // Rule ID 18491 //
     /* 1531826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531865 */     // MIs[0] round
     /* 1531865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531868 */     // MIs[0] policy
     /* 1531868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531878 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1531881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531902 */     // GIR_Coverage, 18491,
     /* 1531902 */     GIR_EraseRootFromParent_Done,
     /* 1531903 */   // Label 21278: @1531903
     /* 1531903 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1531985), // Rule ID 18494 //
     /* 1531908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1531928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531947 */     // MIs[0] round
     /* 1531947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531950 */     // MIs[0] policy
     /* 1531950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531960 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1531963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531984 */     // GIR_Coverage, 18494,
     /* 1531984 */     GIR_EraseRootFromParent_Done,
     /* 1531985 */   // Label 21279: @1531985
     /* 1531985 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532067), // Rule ID 18495 //
     /* 1531990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1532007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532029 */     // MIs[0] round
     /* 1532029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532032 */     // MIs[0] policy
     /* 1532032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532042 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1532045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532066 */     // GIR_Coverage, 18495,
     /* 1532066 */     GIR_EraseRootFromParent_Done,
     /* 1532067 */   // Label 21280: @1532067
     /* 1532067 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532149), // Rule ID 18498 //
     /* 1532072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532111 */     // MIs[0] round
     /* 1532111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532114 */     // MIs[0] policy
     /* 1532114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532124 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1532127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532148 */     // GIR_Coverage, 18498,
     /* 1532148 */     GIR_EraseRootFromParent_Done,
     /* 1532149 */   // Label 21281: @1532149
     /* 1532149 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1532231), // Rule ID 18499 //
     /* 1532154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532193 */     // MIs[0] round
     /* 1532193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532196 */     // MIs[0] policy
     /* 1532196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532206 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1532209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532230 */     // GIR_Coverage, 18499,
     /* 1532230 */     GIR_EraseRootFromParent_Done,
     /* 1532231 */   // Label 21282: @1532231
     /* 1532231 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1532313), // Rule ID 18502 //
     /* 1532236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532275 */     // MIs[0] round
     /* 1532275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532278 */     // MIs[0] policy
     /* 1532278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1532291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532312 */     // GIR_Coverage, 18502,
     /* 1532312 */     GIR_EraseRootFromParent_Done,
     /* 1532313 */   // Label 21283: @1532313
     /* 1532313 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1532395), // Rule ID 18503 //
     /* 1532318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532357 */     // MIs[0] round
     /* 1532357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532360 */     // MIs[0] policy
     /* 1532360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1532373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532394 */     // GIR_Coverage, 18503,
     /* 1532394 */     GIR_EraseRootFromParent_Done,
     /* 1532395 */   // Label 21284: @1532395
     /* 1532395 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1532477), // Rule ID 18506 //
     /* 1532400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532439 */     // MIs[0] round
     /* 1532439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532442 */     // MIs[0] policy
     /* 1532442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1532455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532476 */     // GIR_Coverage, 18506,
     /* 1532476 */     GIR_EraseRootFromParent_Done,
     /* 1532477 */   // Label 21285: @1532477
     /* 1532477 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1532559), // Rule ID 18507 //
     /* 1532482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532521 */     // MIs[0] round
     /* 1532521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532524 */     // MIs[0] policy
     /* 1532524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532534 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1532537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532558 */     // GIR_Coverage, 18507,
     /* 1532558 */     GIR_EraseRootFromParent_Done,
     /* 1532559 */   // Label 21286: @1532559
     /* 1532559 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1532641), // Rule ID 18510 //
     /* 1532564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532603 */     // MIs[0] round
     /* 1532603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532606 */     // MIs[0] policy
     /* 1532606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1532619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532640 */     // GIR_Coverage, 18510,
     /* 1532640 */     GIR_EraseRootFromParent_Done,
     /* 1532641 */   // Label 21287: @1532641
     /* 1532641 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1532723), // Rule ID 18511 //
     /* 1532646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532685 */     // MIs[0] round
     /* 1532685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532688 */     // MIs[0] policy
     /* 1532688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532698 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1532701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532722 */     // GIR_Coverage, 18511,
     /* 1532722 */     GIR_EraseRootFromParent_Done,
     /* 1532723 */   // Label 21288: @1532723
     /* 1532723 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1532805), // Rule ID 18514 //
     /* 1532728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532767 */     // MIs[0] round
     /* 1532767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532770 */     // MIs[0] policy
     /* 1532770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532780 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1532783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532804 */     // GIR_Coverage, 18514,
     /* 1532804 */     GIR_EraseRootFromParent_Done,
     /* 1532805 */   // Label 21289: @1532805
     /* 1532805 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1532887), // Rule ID 18515 //
     /* 1532810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532849 */     // MIs[0] round
     /* 1532849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532852 */     // MIs[0] policy
     /* 1532852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532862 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1532865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532886 */     // GIR_Coverage, 18515,
     /* 1532886 */     GIR_EraseRootFromParent_Done,
     /* 1532887 */   // Label 21290: @1532887
     /* 1532887 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1532969), // Rule ID 18518 //
     /* 1532892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1532909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532931 */     // MIs[0] round
     /* 1532931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532934 */     // MIs[0] policy
     /* 1532934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1532947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532968 */     // GIR_Coverage, 18518,
     /* 1532968 */     GIR_EraseRootFromParent_Done,
     /* 1532969 */   // Label 21291: @1532969
     /* 1532969 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533051), // Rule ID 18519 //
     /* 1532974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1532991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533013 */     // MIs[0] round
     /* 1533013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533016 */     // MIs[0] policy
     /* 1533016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533026 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1533029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533050 */     // GIR_Coverage, 18519,
     /* 1533050 */     GIR_EraseRootFromParent_Done,
     /* 1533051 */   // Label 21292: @1533051
     /* 1533051 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533133), // Rule ID 18522 //
     /* 1533056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533095 */     // MIs[0] round
     /* 1533095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533098 */     // MIs[0] policy
     /* 1533098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533108 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1533111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533132 */     // GIR_Coverage, 18522,
     /* 1533132 */     GIR_EraseRootFromParent_Done,
     /* 1533133 */   // Label 21293: @1533133
     /* 1533133 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1533215), // Rule ID 18523 //
     /* 1533138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533177 */     // MIs[0] round
     /* 1533177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533180 */     // MIs[0] policy
     /* 1533180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1533193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533214 */     // GIR_Coverage, 18523,
     /* 1533214 */     GIR_EraseRootFromParent_Done,
     /* 1533215 */   // Label 21294: @1533215
     /* 1533215 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1533297), // Rule ID 18526 //
     /* 1533220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533259 */     // MIs[0] round
     /* 1533259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533262 */     // MIs[0] policy
     /* 1533262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533272 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1533275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533296 */     // GIR_Coverage, 18526,
     /* 1533296 */     GIR_EraseRootFromParent_Done,
     /* 1533297 */   // Label 21295: @1533297
     /* 1533297 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1533379), // Rule ID 18527 //
     /* 1533302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533341 */     // MIs[0] round
     /* 1533341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533344 */     // MIs[0] policy
     /* 1533344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533354 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1533357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533378 */     // GIR_Coverage, 18527,
     /* 1533378 */     GIR_EraseRootFromParent_Done,
     /* 1533379 */   // Label 21296: @1533379
     /* 1533379 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1533461), // Rule ID 18530 //
     /* 1533384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533423 */     // MIs[0] round
     /* 1533423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533426 */     // MIs[0] policy
     /* 1533426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1533439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533460 */     // GIR_Coverage, 18530,
     /* 1533460 */     GIR_EraseRootFromParent_Done,
     /* 1533461 */   // Label 21297: @1533461
     /* 1533461 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1533543), // Rule ID 18531 //
     /* 1533466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533505 */     // MIs[0] round
     /* 1533505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533508 */     // MIs[0] policy
     /* 1533508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533518 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1533521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533542 */     // GIR_Coverage, 18531,
     /* 1533542 */     GIR_EraseRootFromParent_Done,
     /* 1533543 */   // Label 21298: @1533543
     /* 1533543 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1533625), // Rule ID 18534 //
     /* 1533548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533587 */     // MIs[0] round
     /* 1533587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533590 */     // MIs[0] policy
     /* 1533590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1533603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533624 */     // GIR_Coverage, 18534,
     /* 1533624 */     GIR_EraseRootFromParent_Done,
     /* 1533625 */   // Label 21299: @1533625
     /* 1533625 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1533707), // Rule ID 18535 //
     /* 1533630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533669 */     // MIs[0] round
     /* 1533669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533672 */     // MIs[0] policy
     /* 1533672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533682 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1533685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533706 */     // GIR_Coverage, 18535,
     /* 1533706 */     GIR_EraseRootFromParent_Done,
     /* 1533707 */   // Label 21300: @1533707
     /* 1533707 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1533789), // Rule ID 18538 //
     /* 1533712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533751 */     // MIs[0] round
     /* 1533751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533754 */     // MIs[0] policy
     /* 1533754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1533767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533788 */     // GIR_Coverage, 18538,
     /* 1533788 */     GIR_EraseRootFromParent_Done,
     /* 1533789 */   // Label 21301: @1533789
     /* 1533789 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1533871), // Rule ID 18539 //
     /* 1533794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533833 */     // MIs[0] round
     /* 1533833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533836 */     // MIs[0] policy
     /* 1533836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533846 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1533849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533870 */     // GIR_Coverage, 18539,
     /* 1533870 */     GIR_EraseRootFromParent_Done,
     /* 1533871 */   // Label 21302: @1533871
     /* 1533871 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1533953), // Rule ID 18542 //
     /* 1533876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1533896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533915 */     // MIs[0] round
     /* 1533915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533918 */     // MIs[0] policy
     /* 1533918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1533931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533952 */     // GIR_Coverage, 18542,
     /* 1533952 */     GIR_EraseRootFromParent_Done,
     /* 1533953 */   // Label 21303: @1533953
     /* 1533953 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534035), // Rule ID 18543 //
     /* 1533958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1533978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533997 */     // MIs[0] round
     /* 1533997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534000 */     // MIs[0] policy
     /* 1534000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1534013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534034 */     // GIR_Coverage, 18543,
     /* 1534034 */     GIR_EraseRootFromParent_Done,
     /* 1534035 */   // Label 21304: @1534035
     /* 1534035 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534117), // Rule ID 18546 //
     /* 1534040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534079 */     // MIs[0] round
     /* 1534079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534082 */     // MIs[0] policy
     /* 1534082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1534095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534116 */     // GIR_Coverage, 18546,
     /* 1534116 */     GIR_EraseRootFromParent_Done,
     /* 1534117 */   // Label 21305: @1534117
     /* 1534117 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1534199), // Rule ID 18547 //
     /* 1534122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534161 */     // MIs[0] round
     /* 1534161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534164 */     // MIs[0] policy
     /* 1534164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534174 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1534177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534198 */     // GIR_Coverage, 18547,
     /* 1534198 */     GIR_EraseRootFromParent_Done,
     /* 1534199 */   // Label 21306: @1534199
     /* 1534199 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1534281), // Rule ID 18550 //
     /* 1534204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534243 */     // MIs[0] round
     /* 1534243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534246 */     // MIs[0] policy
     /* 1534246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534256 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1534259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534280 */     // GIR_Coverage, 18550,
     /* 1534280 */     GIR_EraseRootFromParent_Done,
     /* 1534281 */   // Label 21307: @1534281
     /* 1534281 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1534363), // Rule ID 18551 //
     /* 1534286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534325 */     // MIs[0] round
     /* 1534325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534328 */     // MIs[0] policy
     /* 1534328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534338 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1534341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534362 */     // GIR_Coverage, 18551,
     /* 1534362 */     GIR_EraseRootFromParent_Done,
     /* 1534363 */   // Label 21308: @1534363
     /* 1534363 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1534445), // Rule ID 18554 //
     /* 1534368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534407 */     // MIs[0] round
     /* 1534407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534410 */     // MIs[0] policy
     /* 1534410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534420 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1534423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534444 */     // GIR_Coverage, 18554,
     /* 1534444 */     GIR_EraseRootFromParent_Done,
     /* 1534445 */   // Label 21309: @1534445
     /* 1534445 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1534527), // Rule ID 18555 //
     /* 1534450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534489 */     // MIs[0] round
     /* 1534489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534492 */     // MIs[0] policy
     /* 1534492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534502 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1534505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534526 */     // GIR_Coverage, 18555,
     /* 1534526 */     GIR_EraseRootFromParent_Done,
     /* 1534527 */   // Label 21310: @1534527
     /* 1534527 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1534609), // Rule ID 18558 //
     /* 1534532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534571 */     // MIs[0] round
     /* 1534571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534574 */     // MIs[0] policy
     /* 1534574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534584 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1534587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534608 */     // GIR_Coverage, 18558,
     /* 1534608 */     GIR_EraseRootFromParent_Done,
     /* 1534609 */   // Label 21311: @1534609
     /* 1534609 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1534691), // Rule ID 18559 //
     /* 1534614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534653 */     // MIs[0] round
     /* 1534653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534656 */     // MIs[0] policy
     /* 1534656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534666 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1534669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534690 */     // GIR_Coverage, 18559,
     /* 1534690 */     GIR_EraseRootFromParent_Done,
     /* 1534691 */   // Label 21312: @1534691
     /* 1534691 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1534773), // Rule ID 18562 //
     /* 1534696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1534716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534735 */     // MIs[0] round
     /* 1534735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534738 */     // MIs[0] policy
     /* 1534738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534748 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1534751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534772 */     // GIR_Coverage, 18562,
     /* 1534772 */     GIR_EraseRootFromParent_Done,
     /* 1534773 */   // Label 21313: @1534773
     /* 1534773 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1534855), // Rule ID 18563 //
     /* 1534778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1534798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534817 */     // MIs[0] round
     /* 1534817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534820 */     // MIs[0] policy
     /* 1534820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534830 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1534833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534854 */     // GIR_Coverage, 18563,
     /* 1534854 */     GIR_EraseRootFromParent_Done,
     /* 1534855 */   // Label 21314: @1534855
     /* 1534855 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1534937), // Rule ID 18566 //
     /* 1534860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1534880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534899 */     // MIs[0] round
     /* 1534899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534902 */     // MIs[0] policy
     /* 1534902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534912 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1534915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534936 */     // GIR_Coverage, 18566,
     /* 1534936 */     GIR_EraseRootFromParent_Done,
     /* 1534937 */   // Label 21315: @1534937
     /* 1534937 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535019), // Rule ID 18567 //
     /* 1534942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1534962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534981 */     // MIs[0] round
     /* 1534981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534984 */     // MIs[0] policy
     /* 1534984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534994 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1534997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535018 */     // GIR_Coverage, 18567,
     /* 1535018 */     GIR_EraseRootFromParent_Done,
     /* 1535019 */   // Label 21316: @1535019
     /* 1535019 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535101), // Rule ID 18570 //
     /* 1535024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535063 */     // MIs[0] round
     /* 1535063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535066 */     // MIs[0] policy
     /* 1535066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1535079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535100 */     // GIR_Coverage, 18570,
     /* 1535100 */     GIR_EraseRootFromParent_Done,
     /* 1535101 */   // Label 21317: @1535101
     /* 1535101 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1535183), // Rule ID 18571 //
     /* 1535106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535145 */     // MIs[0] round
     /* 1535145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535148 */     // MIs[0] policy
     /* 1535148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535158 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1535161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535182 */     // GIR_Coverage, 18571,
     /* 1535182 */     GIR_EraseRootFromParent_Done,
     /* 1535183 */   // Label 21318: @1535183
     /* 1535183 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1535265), // Rule ID 18574 //
     /* 1535188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535227 */     // MIs[0] round
     /* 1535227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535230 */     // MIs[0] policy
     /* 1535230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1535243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535264 */     // GIR_Coverage, 18574,
     /* 1535264 */     GIR_EraseRootFromParent_Done,
     /* 1535265 */   // Label 21319: @1535265
     /* 1535265 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1535347), // Rule ID 18575 //
     /* 1535270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535309 */     // MIs[0] round
     /* 1535309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535312 */     // MIs[0] policy
     /* 1535312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535322 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1535325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535346 */     // GIR_Coverage, 18575,
     /* 1535346 */     GIR_EraseRootFromParent_Done,
     /* 1535347 */   // Label 21320: @1535347
     /* 1535347 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1535429), // Rule ID 18578 //
     /* 1535352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535391 */     // MIs[0] round
     /* 1535391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535394 */     // MIs[0] policy
     /* 1535394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535404 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1535407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535428 */     // GIR_Coverage, 18578,
     /* 1535428 */     GIR_EraseRootFromParent_Done,
     /* 1535429 */   // Label 21321: @1535429
     /* 1535429 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1535511), // Rule ID 18579 //
     /* 1535434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535473 */     // MIs[0] round
     /* 1535473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535476 */     // MIs[0] policy
     /* 1535476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535486 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1535489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535510 */     // GIR_Coverage, 18579,
     /* 1535510 */     GIR_EraseRootFromParent_Done,
     /* 1535511 */   // Label 21322: @1535511
     /* 1535511 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1535593), // Rule ID 18582 //
     /* 1535516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535555 */     // MIs[0] round
     /* 1535555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535558 */     // MIs[0] policy
     /* 1535558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535568 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1535571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535592 */     // GIR_Coverage, 18582,
     /* 1535592 */     GIR_EraseRootFromParent_Done,
     /* 1535593 */   // Label 21323: @1535593
     /* 1535593 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1535675), // Rule ID 18583 //
     /* 1535598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535637 */     // MIs[0] round
     /* 1535637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535640 */     // MIs[0] policy
     /* 1535640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535650 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1535653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535674 */     // GIR_Coverage, 18583,
     /* 1535674 */     GIR_EraseRootFromParent_Done,
     /* 1535675 */   // Label 21324: @1535675
     /* 1535675 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1535757), // Rule ID 18586 //
     /* 1535680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535719 */     // MIs[0] round
     /* 1535719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535722 */     // MIs[0] policy
     /* 1535722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535732 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1535735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535756 */     // GIR_Coverage, 18586,
     /* 1535756 */     GIR_EraseRootFromParent_Done,
     /* 1535757 */   // Label 21325: @1535757
     /* 1535757 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1535839), // Rule ID 18587 //
     /* 1535762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535801 */     // MIs[0] round
     /* 1535801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535804 */     // MIs[0] policy
     /* 1535804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1535817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535838 */     // GIR_Coverage, 18587,
     /* 1535838 */     GIR_EraseRootFromParent_Done,
     /* 1535839 */   // Label 21326: @1535839
     /* 1535839 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1535921), // Rule ID 18590 //
     /* 1535844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535883 */     // MIs[0] round
     /* 1535883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535886 */     // MIs[0] policy
     /* 1535886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1535899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535920 */     // GIR_Coverage, 18590,
     /* 1535920 */     GIR_EraseRootFromParent_Done,
     /* 1535921 */   // Label 21327: @1535921
     /* 1535921 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536003), // Rule ID 18591 //
     /* 1535926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535965 */     // MIs[0] round
     /* 1535965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535968 */     // MIs[0] policy
     /* 1535968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1535981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536002 */     // GIR_Coverage, 18591,
     /* 1536002 */     GIR_EraseRootFromParent_Done,
     /* 1536003 */   // Label 21328: @1536003
     /* 1536003 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536085), // Rule ID 18594 //
     /* 1536008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536047 */     // MIs[0] round
     /* 1536047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536050 */     // MIs[0] policy
     /* 1536050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536060 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1536063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536084 */     // GIR_Coverage, 18594,
     /* 1536084 */     GIR_EraseRootFromParent_Done,
     /* 1536085 */   // Label 21329: @1536085
     /* 1536085 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1536167), // Rule ID 18595 //
     /* 1536090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536129 */     // MIs[0] round
     /* 1536129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536132 */     // MIs[0] policy
     /* 1536132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536142 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1536145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536166 */     // GIR_Coverage, 18595,
     /* 1536166 */     GIR_EraseRootFromParent_Done,
     /* 1536167 */   // Label 21330: @1536167
     /* 1536167 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1536249), // Rule ID 18598 //
     /* 1536172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536211 */     // MIs[0] round
     /* 1536211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536214 */     // MIs[0] policy
     /* 1536214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1536227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536248 */     // GIR_Coverage, 18598,
     /* 1536248 */     GIR_EraseRootFromParent_Done,
     /* 1536249 */   // Label 21331: @1536249
     /* 1536249 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1536331), // Rule ID 18599 //
     /* 1536254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536293 */     // MIs[0] round
     /* 1536293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536296 */     // MIs[0] policy
     /* 1536296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536306 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1536309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536330 */     // GIR_Coverage, 18599,
     /* 1536330 */     GIR_EraseRootFromParent_Done,
     /* 1536331 */   // Label 21332: @1536331
     /* 1536331 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1536413), // Rule ID 18602 //
     /* 1536336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1536339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536375 */     // MIs[0] round
     /* 1536375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536378 */     // MIs[0] policy
     /* 1536378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536388 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1536391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536412 */     // GIR_Coverage, 18602,
     /* 1536412 */     GIR_EraseRootFromParent_Done,
     /* 1536413 */   // Label 21333: @1536413
     /* 1536413 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1536495), // Rule ID 18603 //
     /* 1536418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1536421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536457 */     // MIs[0] round
     /* 1536457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536460 */     // MIs[0] policy
     /* 1536460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1536473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536494 */     // GIR_Coverage, 18603,
     /* 1536494 */     GIR_EraseRootFromParent_Done,
     /* 1536495 */   // Label 21334: @1536495
     /* 1536495 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1536577), // Rule ID 18606 //
     /* 1536500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536539 */     // MIs[0] round
     /* 1536539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536542 */     // MIs[0] policy
     /* 1536542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1536555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536576 */     // GIR_Coverage, 18606,
     /* 1536576 */     GIR_EraseRootFromParent_Done,
     /* 1536577 */   // Label 21335: @1536577
     /* 1536577 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1536659), // Rule ID 18607 //
     /* 1536582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536621 */     // MIs[0] round
     /* 1536621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536624 */     // MIs[0] policy
     /* 1536624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536634 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1536637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536658 */     // GIR_Coverage, 18607,
     /* 1536658 */     GIR_EraseRootFromParent_Done,
     /* 1536659 */   // Label 21336: @1536659
     /* 1536659 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1536741), // Rule ID 18610 //
     /* 1536664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536703 */     // MIs[0] round
     /* 1536703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536706 */     // MIs[0] policy
     /* 1536706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1536719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536740 */     // GIR_Coverage, 18610,
     /* 1536740 */     GIR_EraseRootFromParent_Done,
     /* 1536741 */   // Label 21337: @1536741
     /* 1536741 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1536823), // Rule ID 18611 //
     /* 1536746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536785 */     // MIs[0] round
     /* 1536785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536788 */     // MIs[0] policy
     /* 1536788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536798 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1536801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536822 */     // GIR_Coverage, 18611,
     /* 1536822 */     GIR_EraseRootFromParent_Done,
     /* 1536823 */   // Label 21338: @1536823
     /* 1536823 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1536905), // Rule ID 18614 //
     /* 1536828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1536848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536867 */     // MIs[0] round
     /* 1536867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536870 */     // MIs[0] policy
     /* 1536870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536880 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1536883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536904 */     // GIR_Coverage, 18614,
     /* 1536904 */     GIR_EraseRootFromParent_Done,
     /* 1536905 */   // Label 21339: @1536905
     /* 1536905 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1536987), // Rule ID 18615 //
     /* 1536910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1536930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536949 */     // MIs[0] round
     /* 1536949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536952 */     // MIs[0] policy
     /* 1536952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536962 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1536965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536986 */     // GIR_Coverage, 18615,
     /* 1536986 */     GIR_EraseRootFromParent_Done,
     /* 1536987 */   // Label 21340: @1536987
     /* 1536987 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537069), // Rule ID 18618 //
     /* 1536992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537031 */     // MIs[0] round
     /* 1537031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537034 */     // MIs[0] policy
     /* 1537034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537044 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1537047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537068 */     // GIR_Coverage, 18618,
     /* 1537068 */     GIR_EraseRootFromParent_Done,
     /* 1537069 */   // Label 21341: @1537069
     /* 1537069 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537151), // Rule ID 18619 //
     /* 1537074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537113 */     // MIs[0] round
     /* 1537113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537116 */     // MIs[0] policy
     /* 1537116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537126 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1537129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537150 */     // GIR_Coverage, 18619,
     /* 1537150 */     GIR_EraseRootFromParent_Done,
     /* 1537151 */   // Label 21342: @1537151
     /* 1537151 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1537233), // Rule ID 18622 //
     /* 1537156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537195 */     // MIs[0] round
     /* 1537195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537198 */     // MIs[0] policy
     /* 1537198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1537211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537232 */     // GIR_Coverage, 18622,
     /* 1537232 */     GIR_EraseRootFromParent_Done,
     /* 1537233 */   // Label 21343: @1537233
     /* 1537233 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1537315), // Rule ID 18623 //
     /* 1537238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537277 */     // MIs[0] round
     /* 1537277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537280 */     // MIs[0] policy
     /* 1537280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1537293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537314 */     // GIR_Coverage, 18623,
     /* 1537314 */     GIR_EraseRootFromParent_Done,
     /* 1537315 */   // Label 21344: @1537315
     /* 1537315 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1537397), // Rule ID 18626 //
     /* 1537320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537359 */     // MIs[0] round
     /* 1537359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537362 */     // MIs[0] policy
     /* 1537362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1537375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537396 */     // GIR_Coverage, 18626,
     /* 1537396 */     GIR_EraseRootFromParent_Done,
     /* 1537397 */   // Label 21345: @1537397
     /* 1537397 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1537479), // Rule ID 18627 //
     /* 1537402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537441 */     // MIs[0] round
     /* 1537441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537444 */     // MIs[0] policy
     /* 1537444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537454 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1537457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537478 */     // GIR_Coverage, 18627,
     /* 1537478 */     GIR_EraseRootFromParent_Done,
     /* 1537479 */   // Label 21346: @1537479
     /* 1537479 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1537561), // Rule ID 18630 //
     /* 1537484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537523 */     // MIs[0] round
     /* 1537523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537526 */     // MIs[0] policy
     /* 1537526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1537539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537560 */     // GIR_Coverage, 18630,
     /* 1537560 */     GIR_EraseRootFromParent_Done,
     /* 1537561 */   // Label 21347: @1537561
     /* 1537561 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1537643), // Rule ID 18631 //
     /* 1537566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537605 */     // MIs[0] round
     /* 1537605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537608 */     // MIs[0] policy
     /* 1537608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537618 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1537621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537642 */     // GIR_Coverage, 18631,
     /* 1537642 */     GIR_EraseRootFromParent_Done,
     /* 1537643 */   // Label 21348: @1537643
     /* 1537643 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1537725), // Rule ID 18634 //
     /* 1537648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1537665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1537668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537687 */     // MIs[0] round
     /* 1537687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537690 */     // MIs[0] policy
     /* 1537690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537700 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1537703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537724 */     // GIR_Coverage, 18634,
     /* 1537724 */     GIR_EraseRootFromParent_Done,
     /* 1537725 */   // Label 21349: @1537725
     /* 1537725 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1537807), // Rule ID 18635 //
     /* 1537730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1537747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1537750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537769 */     // MIs[0] round
     /* 1537769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537772 */     // MIs[0] policy
     /* 1537772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537782 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1537785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537806 */     // GIR_Coverage, 18635,
     /* 1537806 */     GIR_EraseRootFromParent_Done,
     /* 1537807 */   // Label 21350: @1537807
     /* 1537807 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1537889), // Rule ID 18638 //
     /* 1537812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1537829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1537832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537851 */     // MIs[0] round
     /* 1537851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537854 */     // MIs[0] policy
     /* 1537854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537864 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1537867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537888 */     // GIR_Coverage, 18638,
     /* 1537888 */     GIR_EraseRootFromParent_Done,
     /* 1537889 */   // Label 21351: @1537889
     /* 1537889 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1537971), // Rule ID 18639 //
     /* 1537894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1537911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1537914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537933 */     // MIs[0] round
     /* 1537933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537936 */     // MIs[0] policy
     /* 1537936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537946 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1537949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537970 */     // GIR_Coverage, 18639,
     /* 1537970 */     GIR_EraseRootFromParent_Done,
     /* 1537971 */   // Label 21352: @1537971
     /* 1537971 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538053), // Rule ID 18642 //
     /* 1537976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1537987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1537990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538015 */     // MIs[0] round
     /* 1538015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538018 */     // MIs[0] policy
     /* 1538018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538028 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1538031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538052 */     // GIR_Coverage, 18642,
     /* 1538052 */     GIR_EraseRootFromParent_Done,
     /* 1538053 */   // Label 21353: @1538053
     /* 1538053 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538135), // Rule ID 18643 //
     /* 1538058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1538069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1538072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538097 */     // MIs[0] round
     /* 1538097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538100 */     // MIs[0] policy
     /* 1538100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538110 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1538113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538134 */     // GIR_Coverage, 18643,
     /* 1538134 */     GIR_EraseRootFromParent_Done,
     /* 1538135 */   // Label 21354: @1538135
     /* 1538135 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1538217), // Rule ID 18646 //
     /* 1538140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538179 */     // MIs[0] round
     /* 1538179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538182 */     // MIs[0] policy
     /* 1538182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1538195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538216 */     // GIR_Coverage, 18646,
     /* 1538216 */     GIR_EraseRootFromParent_Done,
     /* 1538217 */   // Label 21355: @1538217
     /* 1538217 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1538299), // Rule ID 18647 //
     /* 1538222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538261 */     // MIs[0] round
     /* 1538261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538264 */     // MIs[0] policy
     /* 1538264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538274 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1538277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538298 */     // GIR_Coverage, 18647,
     /* 1538298 */     GIR_EraseRootFromParent_Done,
     /* 1538299 */   // Label 21356: @1538299
     /* 1538299 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1538381), // Rule ID 18650 //
     /* 1538304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1538307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538343 */     // MIs[0] round
     /* 1538343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538346 */     // MIs[0] policy
     /* 1538346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1538359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538380 */     // GIR_Coverage, 18650,
     /* 1538380 */     GIR_EraseRootFromParent_Done,
     /* 1538381 */   // Label 21357: @1538381
     /* 1538381 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1538463), // Rule ID 18651 //
     /* 1538386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1538389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538425 */     // MIs[0] round
     /* 1538425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538428 */     // MIs[0] policy
     /* 1538428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538438 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1538441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538462 */     // GIR_Coverage, 18651,
     /* 1538462 */     GIR_EraseRootFromParent_Done,
     /* 1538463 */   // Label 21358: @1538463
     /* 1538463 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1538545), // Rule ID 18654 //
     /* 1538468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538507 */     // MIs[0] round
     /* 1538507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538510 */     // MIs[0] policy
     /* 1538510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1538523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538544 */     // GIR_Coverage, 18654,
     /* 1538544 */     GIR_EraseRootFromParent_Done,
     /* 1538545 */   // Label 21359: @1538545
     /* 1538545 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1538627), // Rule ID 18655 //
     /* 1538550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538589 */     // MIs[0] round
     /* 1538589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538592 */     // MIs[0] policy
     /* 1538592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1538605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538626 */     // GIR_Coverage, 18655,
     /* 1538626 */     GIR_EraseRootFromParent_Done,
     /* 1538627 */   // Label 21360: @1538627
     /* 1538627 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1538709), // Rule ID 18658 //
     /* 1538632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1538635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538671 */     // MIs[0] round
     /* 1538671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538674 */     // MIs[0] policy
     /* 1538674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1538687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538708 */     // GIR_Coverage, 18658,
     /* 1538708 */     GIR_EraseRootFromParent_Done,
     /* 1538709 */   // Label 21361: @1538709
     /* 1538709 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1538791), // Rule ID 18659 //
     /* 1538714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1538717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538753 */     // MIs[0] round
     /* 1538753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538756 */     // MIs[0] policy
     /* 1538756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538766 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1538769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538790 */     // GIR_Coverage, 18659,
     /* 1538790 */     GIR_EraseRootFromParent_Done,
     /* 1538791 */   // Label 21362: @1538791
     /* 1538791 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1538873), // Rule ID 18662 //
     /* 1538796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1538799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1538816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538835 */     // MIs[0] round
     /* 1538835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538838 */     // MIs[0] policy
     /* 1538838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1538851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538872 */     // GIR_Coverage, 18662,
     /* 1538872 */     GIR_EraseRootFromParent_Done,
     /* 1538873 */   // Label 21363: @1538873
     /* 1538873 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1538955), // Rule ID 18663 //
     /* 1538878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1538898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538917 */     // MIs[0] round
     /* 1538917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538920 */     // MIs[0] policy
     /* 1538920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1538933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538954 */     // GIR_Coverage, 18663,
     /* 1538954 */     GIR_EraseRootFromParent_Done,
     /* 1538955 */   // Label 21364: @1538955
     /* 1538955 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539037), // Rule ID 18666 //
     /* 1538960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1538971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1538974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538999 */     // MIs[0] round
     /* 1538999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539002 */     // MIs[0] policy
     /* 1539002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539012 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1539015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539036 */     // GIR_Coverage, 18666,
     /* 1539036 */     GIR_EraseRootFromParent_Done,
     /* 1539037 */   // Label 21365: @1539037
     /* 1539037 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539119), // Rule ID 18667 //
     /* 1539042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1539053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1539056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539081 */     // MIs[0] round
     /* 1539081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539084 */     // MIs[0] policy
     /* 1539084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539094 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1539097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539118 */     // GIR_Coverage, 18667,
     /* 1539118 */     GIR_EraseRootFromParent_Done,
     /* 1539119 */   // Label 21366: @1539119
     /* 1539119 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1539201), // Rule ID 18670 //
     /* 1539124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1539135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1539138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539163 */     // MIs[0] round
     /* 1539163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539166 */     // MIs[0] policy
     /* 1539166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539176 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1539179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539200 */     // GIR_Coverage, 18670,
     /* 1539200 */     GIR_EraseRootFromParent_Done,
     /* 1539201 */   // Label 21367: @1539201
     /* 1539201 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1539283), // Rule ID 18671 //
     /* 1539206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1539217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1539220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539245 */     // MIs[0] round
     /* 1539245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539248 */     // MIs[0] policy
     /* 1539248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1539261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539282 */     // GIR_Coverage, 18671,
     /* 1539282 */     GIR_EraseRootFromParent_Done,
     /* 1539283 */   // Label 21368: @1539283
     /* 1539283 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1539365), // Rule ID 18674 //
     /* 1539288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539327 */     // MIs[0] round
     /* 1539327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539330 */     // MIs[0] policy
     /* 1539330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539340 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1539343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539364 */     // GIR_Coverage, 18674,
     /* 1539364 */     GIR_EraseRootFromParent_Done,
     /* 1539365 */   // Label 21369: @1539365
     /* 1539365 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1539447), // Rule ID 18675 //
     /* 1539370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539409 */     // MIs[0] round
     /* 1539409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539412 */     // MIs[0] policy
     /* 1539412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539422 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1539425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539446 */     // GIR_Coverage, 18675,
     /* 1539446 */     GIR_EraseRootFromParent_Done,
     /* 1539447 */   // Label 21370: @1539447
     /* 1539447 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1539529), // Rule ID 18678 //
     /* 1539452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539491 */     // MIs[0] round
     /* 1539491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539494 */     // MIs[0] policy
     /* 1539494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1539507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539528 */     // GIR_Coverage, 18678,
     /* 1539528 */     GIR_EraseRootFromParent_Done,
     /* 1539529 */   // Label 21371: @1539529
     /* 1539529 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1539611), // Rule ID 18679 //
     /* 1539534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539573 */     // MIs[0] round
     /* 1539573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539576 */     // MIs[0] policy
     /* 1539576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539586 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1539589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539610 */     // GIR_Coverage, 18679,
     /* 1539610 */     GIR_EraseRootFromParent_Done,
     /* 1539611 */   // Label 21372: @1539611
     /* 1539611 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1539693), // Rule ID 18682 //
     /* 1539616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539655 */     // MIs[0] round
     /* 1539655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539658 */     // MIs[0] policy
     /* 1539658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1539671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539692 */     // GIR_Coverage, 18682,
     /* 1539692 */     GIR_EraseRootFromParent_Done,
     /* 1539693 */   // Label 21373: @1539693
     /* 1539693 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1539775), // Rule ID 18683 //
     /* 1539698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539737 */     // MIs[0] round
     /* 1539737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539740 */     // MIs[0] policy
     /* 1539740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539750 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1539753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539774 */     // GIR_Coverage, 18683,
     /* 1539774 */     GIR_EraseRootFromParent_Done,
     /* 1539775 */   // Label 21374: @1539775
     /* 1539775 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1539857), // Rule ID 18686 //
     /* 1539780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1539800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539819 */     // MIs[0] round
     /* 1539819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539822 */     // MIs[0] policy
     /* 1539822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1539835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539856 */     // GIR_Coverage, 18686,
     /* 1539856 */     GIR_EraseRootFromParent_Done,
     /* 1539857 */   // Label 21375: @1539857
     /* 1539857 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1539939), // Rule ID 18687 //
     /* 1539862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1539882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539901 */     // MIs[0] round
     /* 1539901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539904 */     // MIs[0] policy
     /* 1539904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539914 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1539917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539938 */     // GIR_Coverage, 18687,
     /* 1539938 */     GIR_EraseRootFromParent_Done,
     /* 1539939 */   // Label 21376: @1539939
     /* 1539939 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540021), // Rule ID 18690 //
     /* 1539944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1539947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1539964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539983 */     // MIs[0] round
     /* 1539983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539986 */     // MIs[0] policy
     /* 1539986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1539999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540020 */     // GIR_Coverage, 18690,
     /* 1540020 */     GIR_EraseRootFromParent_Done,
     /* 1540021 */   // Label 21377: @1540021
     /* 1540021 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540103), // Rule ID 18691 //
     /* 1540026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1540046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540065 */     // MIs[0] round
     /* 1540065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540068 */     // MIs[0] policy
     /* 1540068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540078 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1540081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540102 */     // GIR_Coverage, 18691,
     /* 1540102 */     GIR_EraseRootFromParent_Done,
     /* 1540103 */   // Label 21378: @1540103
     /* 1540103 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1540185), // Rule ID 18694 //
     /* 1540108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1540128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540147 */     // MIs[0] round
     /* 1540147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540150 */     // MIs[0] policy
     /* 1540150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540160 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1540163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540184 */     // GIR_Coverage, 18694,
     /* 1540184 */     GIR_EraseRootFromParent_Done,
     /* 1540185 */   // Label 21379: @1540185
     /* 1540185 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1540267), // Rule ID 18695 //
     /* 1540190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1540210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540229 */     // MIs[0] round
     /* 1540229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540232 */     // MIs[0] policy
     /* 1540232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1540245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540266 */     // GIR_Coverage, 18695,
     /* 1540266 */     GIR_EraseRootFromParent_Done,
     /* 1540267 */   // Label 21380: @1540267
     /* 1540267 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1540349), // Rule ID 18698 //
     /* 1540272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540311 */     // MIs[0] round
     /* 1540311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540314 */     // MIs[0] policy
     /* 1540314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1540327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540348 */     // GIR_Coverage, 18698,
     /* 1540348 */     GIR_EraseRootFromParent_Done,
     /* 1540349 */   // Label 21381: @1540349
     /* 1540349 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1540431), // Rule ID 18699 //
     /* 1540354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540393 */     // MIs[0] round
     /* 1540393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540396 */     // MIs[0] policy
     /* 1540396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540406 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1540409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540430 */     // GIR_Coverage, 18699,
     /* 1540430 */     GIR_EraseRootFromParent_Done,
     /* 1540431 */   // Label 21382: @1540431
     /* 1540431 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1540513), // Rule ID 18702 //
     /* 1540436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540475 */     // MIs[0] round
     /* 1540475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540478 */     // MIs[0] policy
     /* 1540478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540488 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1540491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540512 */     // GIR_Coverage, 18702,
     /* 1540512 */     GIR_EraseRootFromParent_Done,
     /* 1540513 */   // Label 21383: @1540513
     /* 1540513 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1540595), // Rule ID 18703 //
     /* 1540518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540557 */     // MIs[0] round
     /* 1540557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540560 */     // MIs[0] policy
     /* 1540560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540570 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1540573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540594 */     // GIR_Coverage, 18703,
     /* 1540594 */     GIR_EraseRootFromParent_Done,
     /* 1540595 */   // Label 21384: @1540595
     /* 1540595 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1540677), // Rule ID 18706 //
     /* 1540600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540639 */     // MIs[0] round
     /* 1540639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540642 */     // MIs[0] policy
     /* 1540642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1540655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540676 */     // GIR_Coverage, 18706,
     /* 1540676 */     GIR_EraseRootFromParent_Done,
     /* 1540677 */   // Label 21385: @1540677
     /* 1540677 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1540759), // Rule ID 18707 //
     /* 1540682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540721 */     // MIs[0] round
     /* 1540721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540724 */     // MIs[0] policy
     /* 1540724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540734 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1540737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540758 */     // GIR_Coverage, 18707,
     /* 1540758 */     GIR_EraseRootFromParent_Done,
     /* 1540759 */   // Label 21386: @1540759
     /* 1540759 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1540841), // Rule ID 18710 //
     /* 1540764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540803 */     // MIs[0] round
     /* 1540803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540806 */     // MIs[0] policy
     /* 1540806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1540819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540840 */     // GIR_Coverage, 18710,
     /* 1540840 */     GIR_EraseRootFromParent_Done,
     /* 1540841 */   // Label 21387: @1540841
     /* 1540841 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1540923), // Rule ID 18711 //
     /* 1540846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540885 */     // MIs[0] round
     /* 1540885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540888 */     // MIs[0] policy
     /* 1540888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540898 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1540901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540922 */     // GIR_Coverage, 18711,
     /* 1540922 */     GIR_EraseRootFromParent_Done,
     /* 1540923 */   // Label 21388: @1540923
     /* 1540923 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541005), // Rule ID 18714 //
     /* 1540928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540967 */     // MIs[0] round
     /* 1540967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540970 */     // MIs[0] policy
     /* 1540970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1540983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541004 */     // GIR_Coverage, 18714,
     /* 1541004 */     GIR_EraseRootFromParent_Done,
     /* 1541005 */   // Label 21389: @1541005
     /* 1541005 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541087), // Rule ID 18715 //
     /* 1541010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541049 */     // MIs[0] round
     /* 1541049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541052 */     // MIs[0] policy
     /* 1541052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541062 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1541065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541086 */     // GIR_Coverage, 18715,
     /* 1541086 */     GIR_EraseRootFromParent_Done,
     /* 1541087 */   // Label 21390: @1541087
     /* 1541087 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1541169), // Rule ID 18718 //
     /* 1541092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541131 */     // MIs[0] round
     /* 1541131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541134 */     // MIs[0] policy
     /* 1541134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541144 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1541147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541168 */     // GIR_Coverage, 18718,
     /* 1541168 */     GIR_EraseRootFromParent_Done,
     /* 1541169 */   // Label 21391: @1541169
     /* 1541169 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1541251), // Rule ID 18719 //
     /* 1541174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541213 */     // MIs[0] round
     /* 1541213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541216 */     // MIs[0] policy
     /* 1541216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541226 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1541229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541250 */     // GIR_Coverage, 18719,
     /* 1541250 */     GIR_EraseRootFromParent_Done,
     /* 1541251 */   // Label 21392: @1541251
     /* 1541251 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1541333), // Rule ID 18722 //
     /* 1541256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541295 */     // MIs[0] round
     /* 1541295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541298 */     // MIs[0] policy
     /* 1541298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1541311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541332 */     // GIR_Coverage, 18722,
     /* 1541332 */     GIR_EraseRootFromParent_Done,
     /* 1541333 */   // Label 21393: @1541333
     /* 1541333 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1541415), // Rule ID 18723 //
     /* 1541338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541377 */     // MIs[0] round
     /* 1541377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541380 */     // MIs[0] policy
     /* 1541380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541390 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1541393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541414 */     // GIR_Coverage, 18723,
     /* 1541414 */     GIR_EraseRootFromParent_Done,
     /* 1541415 */   // Label 21394: @1541415
     /* 1541415 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1541497), // Rule ID 18726 //
     /* 1541420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541459 */     // MIs[0] round
     /* 1541459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541462 */     // MIs[0] policy
     /* 1541462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541472 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1541475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541496 */     // GIR_Coverage, 18726,
     /* 1541496 */     GIR_EraseRootFromParent_Done,
     /* 1541497 */   // Label 21395: @1541497
     /* 1541497 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1541579), // Rule ID 18727 //
     /* 1541502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541541 */     // MIs[0] round
     /* 1541541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541544 */     // MIs[0] policy
     /* 1541544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541554 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1541557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541578 */     // GIR_Coverage, 18727,
     /* 1541578 */     GIR_EraseRootFromParent_Done,
     /* 1541579 */   // Label 21396: @1541579
     /* 1541579 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1541661), // Rule ID 18730 //
     /* 1541584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541623 */     // MIs[0] round
     /* 1541623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541626 */     // MIs[0] policy
     /* 1541626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1541639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541660 */     // GIR_Coverage, 18730,
     /* 1541660 */     GIR_EraseRootFromParent_Done,
     /* 1541661 */   // Label 21397: @1541661
     /* 1541661 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1541743), // Rule ID 18731 //
     /* 1541666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541705 */     // MIs[0] round
     /* 1541705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541708 */     // MIs[0] policy
     /* 1541708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541718 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1541721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541742 */     // GIR_Coverage, 18731,
     /* 1541742 */     GIR_EraseRootFromParent_Done,
     /* 1541743 */   // Label 21398: @1541743
     /* 1541743 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1541825), // Rule ID 18734 //
     /* 1541748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541787 */     // MIs[0] round
     /* 1541787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541790 */     // MIs[0] policy
     /* 1541790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541800 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1541803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541824 */     // GIR_Coverage, 18734,
     /* 1541824 */     GIR_EraseRootFromParent_Done,
     /* 1541825 */   // Label 21399: @1541825
     /* 1541825 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1541907), // Rule ID 18735 //
     /* 1541830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541869 */     // MIs[0] round
     /* 1541869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541872 */     // MIs[0] policy
     /* 1541872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541882 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1541885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541906 */     // GIR_Coverage, 18735,
     /* 1541906 */     GIR_EraseRootFromParent_Done,
     /* 1541907 */   // Label 21400: @1541907
     /* 1541907 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1541989), // Rule ID 18738 //
     /* 1541912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541951 */     // MIs[0] round
     /* 1541951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541954 */     // MIs[0] policy
     /* 1541954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1541967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541988 */     // GIR_Coverage, 18738,
     /* 1541988 */     GIR_EraseRootFromParent_Done,
     /* 1541989 */   // Label 21401: @1541989
     /* 1541989 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542071), // Rule ID 18739 //
     /* 1541994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542033 */     // MIs[0] round
     /* 1542033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542036 */     // MIs[0] policy
     /* 1542036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542046 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1542049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542070 */     // GIR_Coverage, 18739,
     /* 1542070 */     GIR_EraseRootFromParent_Done,
     /* 1542071 */   // Label 21402: @1542071
     /* 1542071 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542153), // Rule ID 18742 //
     /* 1542076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542115 */     // MIs[0] round
     /* 1542115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542118 */     // MIs[0] policy
     /* 1542118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1542131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542152 */     // GIR_Coverage, 18742,
     /* 1542152 */     GIR_EraseRootFromParent_Done,
     /* 1542153 */   // Label 21403: @1542153
     /* 1542153 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1542235), // Rule ID 18743 //
     /* 1542158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542197 */     // MIs[0] round
     /* 1542197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542200 */     // MIs[0] policy
     /* 1542200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1542213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542234 */     // GIR_Coverage, 18743,
     /* 1542234 */     GIR_EraseRootFromParent_Done,
     /* 1542235 */   // Label 21404: @1542235
     /* 1542235 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1542317), // Rule ID 18746 //
     /* 1542240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542279 */     // MIs[0] round
     /* 1542279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542282 */     // MIs[0] policy
     /* 1542282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1542295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542316 */     // GIR_Coverage, 18746,
     /* 1542316 */     GIR_EraseRootFromParent_Done,
     /* 1542317 */   // Label 21405: @1542317
     /* 1542317 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1542399), // Rule ID 18747 //
     /* 1542322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542361 */     // MIs[0] round
     /* 1542361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542364 */     // MIs[0] policy
     /* 1542364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1542377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542398 */     // GIR_Coverage, 18747,
     /* 1542398 */     GIR_EraseRootFromParent_Done,
     /* 1542399 */   // Label 21406: @1542399
     /* 1542399 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1542481), // Rule ID 18750 //
     /* 1542404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542443 */     // MIs[0] round
     /* 1542443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542446 */     // MIs[0] policy
     /* 1542446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1542459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542480 */     // GIR_Coverage, 18750,
     /* 1542480 */     GIR_EraseRootFromParent_Done,
     /* 1542481 */   // Label 21407: @1542481
     /* 1542481 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1542563), // Rule ID 18751 //
     /* 1542486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542525 */     // MIs[0] round
     /* 1542525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542528 */     // MIs[0] policy
     /* 1542528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542538 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1542541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542562 */     // GIR_Coverage, 18751,
     /* 1542562 */     GIR_EraseRootFromParent_Done,
     /* 1542563 */   // Label 21408: @1542563
     /* 1542563 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1542645), // Rule ID 18754 //
     /* 1542568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542607 */     // MIs[0] round
     /* 1542607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542610 */     // MIs[0] policy
     /* 1542610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542620 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1542623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542644 */     // GIR_Coverage, 18754,
     /* 1542644 */     GIR_EraseRootFromParent_Done,
     /* 1542645 */   // Label 21409: @1542645
     /* 1542645 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1542727), // Rule ID 18755 //
     /* 1542650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542689 */     // MIs[0] round
     /* 1542689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542692 */     // MIs[0] policy
     /* 1542692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542702 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1542705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542726 */     // GIR_Coverage, 18755,
     /* 1542726 */     GIR_EraseRootFromParent_Done,
     /* 1542727 */   // Label 21410: @1542727
     /* 1542727 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1542809), // Rule ID 18758 //
     /* 1542732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542771 */     // MIs[0] round
     /* 1542771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542774 */     // MIs[0] policy
     /* 1542774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1542787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542808 */     // GIR_Coverage, 18758,
     /* 1542808 */     GIR_EraseRootFromParent_Done,
     /* 1542809 */   // Label 21411: @1542809
     /* 1542809 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1542891), // Rule ID 18759 //
     /* 1542814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542853 */     // MIs[0] round
     /* 1542853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542856 */     // MIs[0] policy
     /* 1542856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542866 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1542869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542890 */     // GIR_Coverage, 18759,
     /* 1542890 */     GIR_EraseRootFromParent_Done,
     /* 1542891 */   // Label 21412: @1542891
     /* 1542891 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1542973), // Rule ID 18762 //
     /* 1542896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542935 */     // MIs[0] round
     /* 1542935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542938 */     // MIs[0] policy
     /* 1542938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1542951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542972 */     // GIR_Coverage, 18762,
     /* 1542972 */     GIR_EraseRootFromParent_Done,
     /* 1542973 */   // Label 21413: @1542973
     /* 1542973 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543055), // Rule ID 18763 //
     /* 1542978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543017 */     // MIs[0] round
     /* 1543017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543020 */     // MIs[0] policy
     /* 1543020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1543033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543054 */     // GIR_Coverage, 18763,
     /* 1543054 */     GIR_EraseRootFromParent_Done,
     /* 1543055 */   // Label 21414: @1543055
     /* 1543055 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543137), // Rule ID 18766 //
     /* 1543060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543099 */     // MIs[0] round
     /* 1543099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543102 */     // MIs[0] policy
     /* 1543102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543112 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1543115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543136 */     // GIR_Coverage, 18766,
     /* 1543136 */     GIR_EraseRootFromParent_Done,
     /* 1543137 */   // Label 21415: @1543137
     /* 1543137 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1543219), // Rule ID 18767 //
     /* 1543142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543181 */     // MIs[0] round
     /* 1543181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543184 */     // MIs[0] policy
     /* 1543184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1543197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543218 */     // GIR_Coverage, 18767,
     /* 1543218 */     GIR_EraseRootFromParent_Done,
     /* 1543219 */   // Label 21416: @1543219
     /* 1543219 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1543301), // Rule ID 18770 //
     /* 1543224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543263 */     // MIs[0] round
     /* 1543263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543266 */     // MIs[0] policy
     /* 1543266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543276 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1543279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543300 */     // GIR_Coverage, 18770,
     /* 1543300 */     GIR_EraseRootFromParent_Done,
     /* 1543301 */   // Label 21417: @1543301
     /* 1543301 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1543383), // Rule ID 18771 //
     /* 1543306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543345 */     // MIs[0] round
     /* 1543345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543348 */     // MIs[0] policy
     /* 1543348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1543361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543382 */     // GIR_Coverage, 18771,
     /* 1543382 */     GIR_EraseRootFromParent_Done,
     /* 1543383 */   // Label 21418: @1543383
     /* 1543383 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1543465), // Rule ID 18774 //
     /* 1543388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543427 */     // MIs[0] round
     /* 1543427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543430 */     // MIs[0] policy
     /* 1543430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1543443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543464 */     // GIR_Coverage, 18774,
     /* 1543464 */     GIR_EraseRootFromParent_Done,
     /* 1543465 */   // Label 21419: @1543465
     /* 1543465 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1543547), // Rule ID 18775 //
     /* 1543470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543509 */     // MIs[0] round
     /* 1543509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543512 */     // MIs[0] policy
     /* 1543512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543522 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1543525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543546 */     // GIR_Coverage, 18775,
     /* 1543546 */     GIR_EraseRootFromParent_Done,
     /* 1543547 */   // Label 21420: @1543547
     /* 1543547 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1543629), // Rule ID 18778 //
     /* 1543552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543591 */     // MIs[0] round
     /* 1543591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543594 */     // MIs[0] policy
     /* 1543594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543604 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1543607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543628 */     // GIR_Coverage, 18778,
     /* 1543628 */     GIR_EraseRootFromParent_Done,
     /* 1543629 */   // Label 21421: @1543629
     /* 1543629 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1543711), // Rule ID 18779 //
     /* 1543634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543673 */     // MIs[0] round
     /* 1543673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543676 */     // MIs[0] policy
     /* 1543676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543686 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1543689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543710 */     // GIR_Coverage, 18779,
     /* 1543710 */     GIR_EraseRootFromParent_Done,
     /* 1543711 */   // Label 21422: @1543711
     /* 1543711 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1543793), // Rule ID 18782 //
     /* 1543716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543755 */     // MIs[0] round
     /* 1543755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543758 */     // MIs[0] policy
     /* 1543758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1543771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543792 */     // GIR_Coverage, 18782,
     /* 1543792 */     GIR_EraseRootFromParent_Done,
     /* 1543793 */   // Label 21423: @1543793
     /* 1543793 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1543875), // Rule ID 18783 //
     /* 1543798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543837 */     // MIs[0] round
     /* 1543837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543840 */     // MIs[0] policy
     /* 1543840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543850 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1543853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543874 */     // GIR_Coverage, 18783,
     /* 1543874 */     GIR_EraseRootFromParent_Done,
     /* 1543875 */   // Label 21424: @1543875
     /* 1543875 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1543957), // Rule ID 18786 //
     /* 1543880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543919 */     // MIs[0] round
     /* 1543919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543922 */     // MIs[0] policy
     /* 1543922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1543935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543956 */     // GIR_Coverage, 18786,
     /* 1543956 */     GIR_EraseRootFromParent_Done,
     /* 1543957 */   // Label 21425: @1543957
     /* 1543957 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544039), // Rule ID 18787 //
     /* 1543962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544001 */     // MIs[0] round
     /* 1544001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544004 */     // MIs[0] policy
     /* 1544004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544014 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1544017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544038 */     // GIR_Coverage, 18787,
     /* 1544038 */     GIR_EraseRootFromParent_Done,
     /* 1544039 */   // Label 21426: @1544039
     /* 1544039 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544121), // Rule ID 18790 //
     /* 1544044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544083 */     // MIs[0] round
     /* 1544083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544086 */     // MIs[0] policy
     /* 1544086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1544099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544120 */     // GIR_Coverage, 18790,
     /* 1544120 */     GIR_EraseRootFromParent_Done,
     /* 1544121 */   // Label 21427: @1544121
     /* 1544121 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1544203), // Rule ID 18791 //
     /* 1544126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544165 */     // MIs[0] round
     /* 1544165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544168 */     // MIs[0] policy
     /* 1544168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544178 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1544181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544202 */     // GIR_Coverage, 18791,
     /* 1544202 */     GIR_EraseRootFromParent_Done,
     /* 1544203 */   // Label 21428: @1544203
     /* 1544203 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1544285), // Rule ID 18794 //
     /* 1544208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544247 */     // MIs[0] round
     /* 1544247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544250 */     // MIs[0] policy
     /* 1544250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1544263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544284 */     // GIR_Coverage, 18794,
     /* 1544284 */     GIR_EraseRootFromParent_Done,
     /* 1544285 */   // Label 21429: @1544285
     /* 1544285 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1544367), // Rule ID 18795 //
     /* 1544290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544329 */     // MIs[0] round
     /* 1544329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544332 */     // MIs[0] policy
     /* 1544332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1544345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544366 */     // GIR_Coverage, 18795,
     /* 1544366 */     GIR_EraseRootFromParent_Done,
     /* 1544367 */   // Label 21430: @1544367
     /* 1544367 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1544449), // Rule ID 18798 //
     /* 1544372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544411 */     // MIs[0] round
     /* 1544411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544414 */     // MIs[0] policy
     /* 1544414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544424 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1544427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544448 */     // GIR_Coverage, 18798,
     /* 1544448 */     GIR_EraseRootFromParent_Done,
     /* 1544449 */   // Label 21431: @1544449
     /* 1544449 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1544531), // Rule ID 18799 //
     /* 1544454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544493 */     // MIs[0] round
     /* 1544493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544496 */     // MIs[0] policy
     /* 1544496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544506 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1544509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544530 */     // GIR_Coverage, 18799,
     /* 1544530 */     GIR_EraseRootFromParent_Done,
     /* 1544531 */   // Label 21432: @1544531
     /* 1544531 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1544613), // Rule ID 18802 //
     /* 1544536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544575 */     // MIs[0] round
     /* 1544575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544578 */     // MIs[0] policy
     /* 1544578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544588 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1544591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544612 */     // GIR_Coverage, 18802,
     /* 1544612 */     GIR_EraseRootFromParent_Done,
     /* 1544613 */   // Label 21433: @1544613
     /* 1544613 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1544695), // Rule ID 18803 //
     /* 1544618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544657 */     // MIs[0] round
     /* 1544657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544660 */     // MIs[0] policy
     /* 1544660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544670 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1544673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544694 */     // GIR_Coverage, 18803,
     /* 1544694 */     GIR_EraseRootFromParent_Done,
     /* 1544695 */   // Label 21434: @1544695
     /* 1544695 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1544777), // Rule ID 18806 //
     /* 1544700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544739 */     // MIs[0] round
     /* 1544739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544742 */     // MIs[0] policy
     /* 1544742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544752 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1544755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544776 */     // GIR_Coverage, 18806,
     /* 1544776 */     GIR_EraseRootFromParent_Done,
     /* 1544777 */   // Label 21435: @1544777
     /* 1544777 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1544859), // Rule ID 18807 //
     /* 1544782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544821 */     // MIs[0] round
     /* 1544821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544824 */     // MIs[0] policy
     /* 1544824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544834 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1544837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544858 */     // GIR_Coverage, 18807,
     /* 1544858 */     GIR_EraseRootFromParent_Done,
     /* 1544859 */   // Label 21436: @1544859
     /* 1544859 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1544941), // Rule ID 18810 //
     /* 1544864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544903 */     // MIs[0] round
     /* 1544903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544906 */     // MIs[0] policy
     /* 1544906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1544919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544940 */     // GIR_Coverage, 18810,
     /* 1544940 */     GIR_EraseRootFromParent_Done,
     /* 1544941 */   // Label 21437: @1544941
     /* 1544941 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545023), // Rule ID 18811 //
     /* 1544946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544985 */     // MIs[0] round
     /* 1544985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544988 */     // MIs[0] policy
     /* 1544988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1545001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545022 */     // GIR_Coverage, 18811,
     /* 1545022 */     GIR_EraseRootFromParent_Done,
     /* 1545023 */   // Label 21438: @1545023
     /* 1545023 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545105), // Rule ID 18814 //
     /* 1545028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545067 */     // MIs[0] round
     /* 1545067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545070 */     // MIs[0] policy
     /* 1545070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1545083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545104 */     // GIR_Coverage, 18814,
     /* 1545104 */     GIR_EraseRootFromParent_Done,
     /* 1545105 */   // Label 21439: @1545105
     /* 1545105 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1545187), // Rule ID 18815 //
     /* 1545110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545149 */     // MIs[0] round
     /* 1545149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545152 */     // MIs[0] policy
     /* 1545152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545162 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1545165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545186 */     // GIR_Coverage, 18815,
     /* 1545186 */     GIR_EraseRootFromParent_Done,
     /* 1545187 */   // Label 21440: @1545187
     /* 1545187 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1545269), // Rule ID 18818 //
     /* 1545192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545231 */     // MIs[0] round
     /* 1545231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545234 */     // MIs[0] policy
     /* 1545234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1545247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545268 */     // GIR_Coverage, 18818,
     /* 1545268 */     GIR_EraseRootFromParent_Done,
     /* 1545269 */   // Label 21441: @1545269
     /* 1545269 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1545351), // Rule ID 18819 //
     /* 1545274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545313 */     // MIs[0] round
     /* 1545313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545316 */     // MIs[0] policy
     /* 1545316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1545329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545350 */     // GIR_Coverage, 18819,
     /* 1545350 */     GIR_EraseRootFromParent_Done,
     /* 1545351 */   // Label 21442: @1545351
     /* 1545351 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1545433), // Rule ID 18822 //
     /* 1545356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545395 */     // MIs[0] round
     /* 1545395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545398 */     // MIs[0] policy
     /* 1545398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545408 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1545411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545432 */     // GIR_Coverage, 18822,
     /* 1545432 */     GIR_EraseRootFromParent_Done,
     /* 1545433 */   // Label 21443: @1545433
     /* 1545433 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1545515), // Rule ID 18823 //
     /* 1545438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545477 */     // MIs[0] round
     /* 1545477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545480 */     // MIs[0] policy
     /* 1545480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1545493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545514 */     // GIR_Coverage, 18823,
     /* 1545514 */     GIR_EraseRootFromParent_Done,
     /* 1545515 */   // Label 21444: @1545515
     /* 1545515 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1545597), // Rule ID 18826 //
     /* 1545520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545559 */     // MIs[0] round
     /* 1545559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545562 */     // MIs[0] policy
     /* 1545562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545572 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1545575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545596 */     // GIR_Coverage, 18826,
     /* 1545596 */     GIR_EraseRootFromParent_Done,
     /* 1545597 */   // Label 21445: @1545597
     /* 1545597 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1545679), // Rule ID 18827 //
     /* 1545602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545641 */     // MIs[0] round
     /* 1545641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545644 */     // MIs[0] policy
     /* 1545644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545654 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1545657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545678 */     // GIR_Coverage, 18827,
     /* 1545678 */     GIR_EraseRootFromParent_Done,
     /* 1545679 */   // Label 21446: @1545679
     /* 1545679 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1545761), // Rule ID 18830 //
     /* 1545684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545723 */     // MIs[0] round
     /* 1545723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545726 */     // MIs[0] policy
     /* 1545726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1545739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545760 */     // GIR_Coverage, 18830,
     /* 1545760 */     GIR_EraseRootFromParent_Done,
     /* 1545761 */   // Label 21447: @1545761
     /* 1545761 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1545843), // Rule ID 18831 //
     /* 1545766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545805 */     // MIs[0] round
     /* 1545805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545808 */     // MIs[0] policy
     /* 1545808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545818 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1545821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545842 */     // GIR_Coverage, 18831,
     /* 1545842 */     GIR_EraseRootFromParent_Done,
     /* 1545843 */   // Label 21448: @1545843
     /* 1545843 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1545925), // Rule ID 18834 //
     /* 1545848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545887 */     // MIs[0] round
     /* 1545887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545890 */     // MIs[0] policy
     /* 1545890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545900 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1545903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545924 */     // GIR_Coverage, 18834,
     /* 1545924 */     GIR_EraseRootFromParent_Done,
     /* 1545925 */   // Label 21449: @1545925
     /* 1545925 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546007), // Rule ID 18835 //
     /* 1545930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545969 */     // MIs[0] round
     /* 1545969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545972 */     // MIs[0] policy
     /* 1545972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1545985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546006 */     // GIR_Coverage, 18835,
     /* 1546006 */     GIR_EraseRootFromParent_Done,
     /* 1546007 */   // Label 21450: @1546007
     /* 1546007 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546089), // Rule ID 18838 //
     /* 1546012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546051 */     // MIs[0] round
     /* 1546051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546054 */     // MIs[0] policy
     /* 1546054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546064 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1546067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546088 */     // GIR_Coverage, 18838,
     /* 1546088 */     GIR_EraseRootFromParent_Done,
     /* 1546089 */   // Label 21451: @1546089
     /* 1546089 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1546171), // Rule ID 18839 //
     /* 1546094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546133 */     // MIs[0] round
     /* 1546133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546136 */     // MIs[0] policy
     /* 1546136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546146 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1546149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546170 */     // GIR_Coverage, 18839,
     /* 1546170 */     GIR_EraseRootFromParent_Done,
     /* 1546171 */   // Label 21452: @1546171
     /* 1546171 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1546253), // Rule ID 18842 //
     /* 1546176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546215 */     // MIs[0] round
     /* 1546215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546218 */     // MIs[0] policy
     /* 1546218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1546231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546252 */     // GIR_Coverage, 18842,
     /* 1546252 */     GIR_EraseRootFromParent_Done,
     /* 1546253 */   // Label 21453: @1546253
     /* 1546253 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1546335), // Rule ID 18843 //
     /* 1546258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546297 */     // MIs[0] round
     /* 1546297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546300 */     // MIs[0] policy
     /* 1546300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546310 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1546313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546334 */     // GIR_Coverage, 18843,
     /* 1546334 */     GIR_EraseRootFromParent_Done,
     /* 1546335 */   // Label 21454: @1546335
     /* 1546335 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1546417), // Rule ID 18846 //
     /* 1546340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546379 */     // MIs[0] round
     /* 1546379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546382 */     // MIs[0] policy
     /* 1546382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546392 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1546395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546416 */     // GIR_Coverage, 18846,
     /* 1546416 */     GIR_EraseRootFromParent_Done,
     /* 1546417 */   // Label 21455: @1546417
     /* 1546417 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1546499), // Rule ID 18847 //
     /* 1546422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546461 */     // MIs[0] round
     /* 1546461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546464 */     // MIs[0] policy
     /* 1546464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546474 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1546477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546498 */     // GIR_Coverage, 18847,
     /* 1546498 */     GIR_EraseRootFromParent_Done,
     /* 1546499 */   // Label 21456: @1546499
     /* 1546499 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1546581), // Rule ID 18850 //
     /* 1546504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1546524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546543 */     // MIs[0] round
     /* 1546543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546546 */     // MIs[0] policy
     /* 1546546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1546559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546580 */     // GIR_Coverage, 18850,
     /* 1546580 */     GIR_EraseRootFromParent_Done,
     /* 1546581 */   // Label 21457: @1546581
     /* 1546581 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1546663), // Rule ID 18851 //
     /* 1546586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1546606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546625 */     // MIs[0] round
     /* 1546625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546628 */     // MIs[0] policy
     /* 1546628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1546641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546662 */     // GIR_Coverage, 18851,
     /* 1546662 */     GIR_EraseRootFromParent_Done,
     /* 1546663 */   // Label 21458: @1546663
     /* 1546663 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1546745), // Rule ID 18854 //
     /* 1546668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546707 */     // MIs[0] round
     /* 1546707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546710 */     // MIs[0] policy
     /* 1546710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546720 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1546723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546744 */     // GIR_Coverage, 18854,
     /* 1546744 */     GIR_EraseRootFromParent_Done,
     /* 1546745 */   // Label 21459: @1546745
     /* 1546745 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1546827), // Rule ID 18855 //
     /* 1546750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546789 */     // MIs[0] round
     /* 1546789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546792 */     // MIs[0] policy
     /* 1546792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1546805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546826 */     // GIR_Coverage, 18855,
     /* 1546826 */     GIR_EraseRootFromParent_Done,
     /* 1546827 */   // Label 21460: @1546827
     /* 1546827 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1546909), // Rule ID 18858 //
     /* 1546832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1546843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1546846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1546852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546871 */     // MIs[0] round
     /* 1546871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546874 */     // MIs[0] policy
     /* 1546874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546884 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1546887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546908 */     // GIR_Coverage, 18858,
     /* 1546908 */     GIR_EraseRootFromParent_Done,
     /* 1546909 */   // Label 21461: @1546909
     /* 1546909 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1546991), // Rule ID 18859 //
     /* 1546914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1546925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1546928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1546934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546953 */     // MIs[0] round
     /* 1546953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546956 */     // MIs[0] policy
     /* 1546956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1546969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546990 */     // GIR_Coverage, 18859,
     /* 1546990 */     GIR_EraseRootFromParent_Done,
     /* 1546991 */   // Label 21462: @1546991
     /* 1546991 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547073), // Rule ID 18862 //
     /* 1546996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547035 */     // MIs[0] round
     /* 1547035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547038 */     // MIs[0] policy
     /* 1547038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1547051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547072 */     // GIR_Coverage, 18862,
     /* 1547072 */     GIR_EraseRootFromParent_Done,
     /* 1547073 */   // Label 21463: @1547073
     /* 1547073 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1547155), // Rule ID 18863 //
     /* 1547078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547117 */     // MIs[0] round
     /* 1547117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547120 */     // MIs[0] policy
     /* 1547120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1547133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547154 */     // GIR_Coverage, 18863,
     /* 1547154 */     GIR_EraseRootFromParent_Done,
     /* 1547155 */   // Label 21464: @1547155
     /* 1547155 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1547237), // Rule ID 18866 //
     /* 1547160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547199 */     // MIs[0] round
     /* 1547199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547202 */     // MIs[0] policy
     /* 1547202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1547215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547236 */     // GIR_Coverage, 18866,
     /* 1547236 */     GIR_EraseRootFromParent_Done,
     /* 1547237 */   // Label 21465: @1547237
     /* 1547237 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1547319), // Rule ID 18867 //
     /* 1547242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547281 */     // MIs[0] round
     /* 1547281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547284 */     // MIs[0] policy
     /* 1547284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547294 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1547297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547318 */     // GIR_Coverage, 18867,
     /* 1547318 */     GIR_EraseRootFromParent_Done,
     /* 1547319 */   // Label 21466: @1547319
     /* 1547319 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1547401), // Rule ID 18870 //
     /* 1547324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547363 */     // MIs[0] round
     /* 1547363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547366 */     // MIs[0] policy
     /* 1547366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1547379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547400 */     // GIR_Coverage, 18870,
     /* 1547400 */     GIR_EraseRootFromParent_Done,
     /* 1547401 */   // Label 21467: @1547401
     /* 1547401 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1547483), // Rule ID 18871 //
     /* 1547406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547445 */     // MIs[0] round
     /* 1547445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547448 */     // MIs[0] policy
     /* 1547448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1547461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547482 */     // GIR_Coverage, 18871,
     /* 1547482 */     GIR_EraseRootFromParent_Done,
     /* 1547483 */   // Label 21468: @1547483
     /* 1547483 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1547565), // Rule ID 18874 //
     /* 1547488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1547508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547527 */     // MIs[0] round
     /* 1547527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547530 */     // MIs[0] policy
     /* 1547530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547540 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1547543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547564 */     // GIR_Coverage, 18874,
     /* 1547564 */     GIR_EraseRootFromParent_Done,
     /* 1547565 */   // Label 21469: @1547565
     /* 1547565 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1547647), // Rule ID 18875 //
     /* 1547570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1547590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547609 */     // MIs[0] round
     /* 1547609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547612 */     // MIs[0] policy
     /* 1547612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547622 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1547625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547646 */     // GIR_Coverage, 18875,
     /* 1547646 */     GIR_EraseRootFromParent_Done,
     /* 1547647 */   // Label 21470: @1547647
     /* 1547647 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1547729), // Rule ID 18878 //
     /* 1547652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547691 */     // MIs[0] round
     /* 1547691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547694 */     // MIs[0] policy
     /* 1547694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547704 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1547707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547728 */     // GIR_Coverage, 18878,
     /* 1547728 */     GIR_EraseRootFromParent_Done,
     /* 1547729 */   // Label 21471: @1547729
     /* 1547729 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1547811), // Rule ID 18879 //
     /* 1547734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547773 */     // MIs[0] round
     /* 1547773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547776 */     // MIs[0] policy
     /* 1547776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547786 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1547789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547810 */     // GIR_Coverage, 18879,
     /* 1547810 */     GIR_EraseRootFromParent_Done,
     /* 1547811 */   // Label 21472: @1547811
     /* 1547811 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1547893), // Rule ID 18882 //
     /* 1547816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1547836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547855 */     // MIs[0] round
     /* 1547855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547858 */     // MIs[0] policy
     /* 1547858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1547871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547892 */     // GIR_Coverage, 18882,
     /* 1547892 */     GIR_EraseRootFromParent_Done,
     /* 1547893 */   // Label 21473: @1547893
     /* 1547893 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1547975), // Rule ID 18883 //
     /* 1547898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1547918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547937 */     // MIs[0] round
     /* 1547937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547940 */     // MIs[0] policy
     /* 1547940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1547953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547974 */     // GIR_Coverage, 18883,
     /* 1547974 */     GIR_EraseRootFromParent_Done,
     /* 1547975 */   // Label 21474: @1547975
     /* 1547975 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548057), // Rule ID 18886 //
     /* 1547980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548019 */     // MIs[0] round
     /* 1548019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548022 */     // MIs[0] policy
     /* 1548022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548032 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1548035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548056 */     // GIR_Coverage, 18886,
     /* 1548056 */     GIR_EraseRootFromParent_Done,
     /* 1548057 */   // Label 21475: @1548057
     /* 1548057 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548139), // Rule ID 18887 //
     /* 1548062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548101 */     // MIs[0] round
     /* 1548101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548104 */     // MIs[0] policy
     /* 1548104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1548117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548138 */     // GIR_Coverage, 18887,
     /* 1548138 */     GIR_EraseRootFromParent_Done,
     /* 1548139 */   // Label 21476: @1548139
     /* 1548139 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1548221), // Rule ID 18890 //
     /* 1548144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548183 */     // MIs[0] round
     /* 1548183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548186 */     // MIs[0] policy
     /* 1548186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548196 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1548199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548220 */     // GIR_Coverage, 18890,
     /* 1548220 */     GIR_EraseRootFromParent_Done,
     /* 1548221 */   // Label 21477: @1548221
     /* 1548221 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1548303), // Rule ID 18891 //
     /* 1548226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548265 */     // MIs[0] round
     /* 1548265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548268 */     // MIs[0] policy
     /* 1548268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1548281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548302 */     // GIR_Coverage, 18891,
     /* 1548302 */     GIR_EraseRootFromParent_Done,
     /* 1548303 */   // Label 21478: @1548303
     /* 1548303 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1548385), // Rule ID 18894 //
     /* 1548308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548347 */     // MIs[0] round
     /* 1548347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548350 */     // MIs[0] policy
     /* 1548350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548360 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1548363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548384 */     // GIR_Coverage, 18894,
     /* 1548384 */     GIR_EraseRootFromParent_Done,
     /* 1548385 */   // Label 21479: @1548385
     /* 1548385 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1548467), // Rule ID 18895 //
     /* 1548390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548429 */     // MIs[0] round
     /* 1548429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548432 */     // MIs[0] policy
     /* 1548432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548442 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1548445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548466 */     // GIR_Coverage, 18895,
     /* 1548466 */     GIR_EraseRootFromParent_Done,
     /* 1548467 */   // Label 21480: @1548467
     /* 1548467 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1548549), // Rule ID 18898 //
     /* 1548472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1548492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548511 */     // MIs[0] round
     /* 1548511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548514 */     // MIs[0] policy
     /* 1548514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548524 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1548527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548548 */     // GIR_Coverage, 18898,
     /* 1548548 */     GIR_EraseRootFromParent_Done,
     /* 1548549 */   // Label 21481: @1548549
     /* 1548549 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1548631), // Rule ID 18899 //
     /* 1548554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1548574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548593 */     // MIs[0] round
     /* 1548593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548596 */     // MIs[0] policy
     /* 1548596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548606 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1548609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548630 */     // GIR_Coverage, 18899,
     /* 1548630 */     GIR_EraseRootFromParent_Done,
     /* 1548631 */   // Label 21482: @1548631
     /* 1548631 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1548713), // Rule ID 18902 //
     /* 1548636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1548653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1548671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548675 */     // MIs[0] round
     /* 1548675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548678 */     // MIs[0] policy
     /* 1548678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1548691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548712 */     // GIR_Coverage, 18902,
     /* 1548712 */     GIR_EraseRootFromParent_Done,
     /* 1548713 */   // Label 21483: @1548713
     /* 1548713 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1548795), // Rule ID 18903 //
     /* 1548718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1548735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1548753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548757 */     // MIs[0] round
     /* 1548757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548760 */     // MIs[0] policy
     /* 1548760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1548773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548794 */     // GIR_Coverage, 18903,
     /* 1548794 */     GIR_EraseRootFromParent_Done,
     /* 1548795 */   // Label 21484: @1548795
     /* 1548795 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1548877), // Rule ID 18906 //
     /* 1548800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1548817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1548820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1548835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548839 */     // MIs[0] round
     /* 1548839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548842 */     // MIs[0] policy
     /* 1548842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548852 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1548855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548876 */     // GIR_Coverage, 18906,
     /* 1548876 */     GIR_EraseRootFromParent_Done,
     /* 1548877 */   // Label 21485: @1548877
     /* 1548877 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1548959), // Rule ID 18907 //
     /* 1548882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1548899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1548902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1548917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548921 */     // MIs[0] round
     /* 1548921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548924 */     // MIs[0] policy
     /* 1548924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548934 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1548937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548958 */     // GIR_Coverage, 18907,
     /* 1548958 */     GIR_EraseRootFromParent_Done,
     /* 1548959 */   // Label 21486: @1548959
     /* 1548959 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549041), // Rule ID 18910 //
     /* 1548964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1548981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1548984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1548999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549003 */     // MIs[0] round
     /* 1549003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549006 */     // MIs[0] policy
     /* 1549006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1549019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549040 */     // GIR_Coverage, 18910,
     /* 1549040 */     GIR_EraseRootFromParent_Done,
     /* 1549041 */   // Label 21487: @1549041
     /* 1549041 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549123), // Rule ID 18911 //
     /* 1549046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549085 */     // MIs[0] round
     /* 1549085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549088 */     // MIs[0] policy
     /* 1549088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549098 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1549101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549122 */     // GIR_Coverage, 18911,
     /* 1549122 */     GIR_EraseRootFromParent_Done,
     /* 1549123 */   // Label 21488: @1549123
     /* 1549123 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1549205), // Rule ID 18914 //
     /* 1549128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549167 */     // MIs[0] round
     /* 1549167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549170 */     // MIs[0] policy
     /* 1549170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549180 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1549183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549204 */     // GIR_Coverage, 18914,
     /* 1549204 */     GIR_EraseRootFromParent_Done,
     /* 1549205 */   // Label 21489: @1549205
     /* 1549205 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1549287), // Rule ID 18915 //
     /* 1549210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549249 */     // MIs[0] round
     /* 1549249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549252 */     // MIs[0] policy
     /* 1549252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549262 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1549265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549286 */     // GIR_Coverage, 18915,
     /* 1549286 */     GIR_EraseRootFromParent_Done,
     /* 1549287 */   // Label 21490: @1549287
     /* 1549287 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1549369), // Rule ID 18918 //
     /* 1549292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549331 */     // MIs[0] round
     /* 1549331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549334 */     // MIs[0] policy
     /* 1549334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1549347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549368 */     // GIR_Coverage, 18918,
     /* 1549368 */     GIR_EraseRootFromParent_Done,
     /* 1549369 */   // Label 21491: @1549369
     /* 1549369 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1549451), // Rule ID 18919 //
     /* 1549374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549413 */     // MIs[0] round
     /* 1549413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549416 */     // MIs[0] policy
     /* 1549416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549426 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1549429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549450 */     // GIR_Coverage, 18919,
     /* 1549450 */     GIR_EraseRootFromParent_Done,
     /* 1549451 */   // Label 21492: @1549451
     /* 1549451 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1549533), // Rule ID 18922 //
     /* 1549456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549495 */     // MIs[0] round
     /* 1549495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549498 */     // MIs[0] policy
     /* 1549498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1549511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549532 */     // GIR_Coverage, 18922,
     /* 1549532 */     GIR_EraseRootFromParent_Done,
     /* 1549533 */   // Label 21493: @1549533
     /* 1549533 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1549615), // Rule ID 18923 //
     /* 1549538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549577 */     // MIs[0] round
     /* 1549577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549580 */     // MIs[0] policy
     /* 1549580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1549593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549614 */     // GIR_Coverage, 18923,
     /* 1549614 */     GIR_EraseRootFromParent_Done,
     /* 1549615 */   // Label 21494: @1549615
     /* 1549615 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1549697), // Rule ID 18926 //
     /* 1549620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549659 */     // MIs[0] round
     /* 1549659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549662 */     // MIs[0] policy
     /* 1549662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549672 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1549675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549696 */     // GIR_Coverage, 18926,
     /* 1549696 */     GIR_EraseRootFromParent_Done,
     /* 1549697 */   // Label 21495: @1549697
     /* 1549697 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1549779), // Rule ID 18927 //
     /* 1549702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549741 */     // MIs[0] round
     /* 1549741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549744 */     // MIs[0] policy
     /* 1549744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549754 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1549757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549778 */     // GIR_Coverage, 18927,
     /* 1549778 */     GIR_EraseRootFromParent_Done,
     /* 1549779 */   // Label 21496: @1549779
     /* 1549779 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1549861), // Rule ID 18930 //
     /* 1549784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1549804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549823 */     // MIs[0] round
     /* 1549823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549826 */     // MIs[0] policy
     /* 1549826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1549839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549860 */     // GIR_Coverage, 18930,
     /* 1549860 */     GIR_EraseRootFromParent_Done,
     /* 1549861 */   // Label 21497: @1549861
     /* 1549861 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1549943), // Rule ID 18931 //
     /* 1549866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1549886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549905 */     // MIs[0] round
     /* 1549905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549908 */     // MIs[0] policy
     /* 1549908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1549921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549942 */     // GIR_Coverage, 18931,
     /* 1549942 */     GIR_EraseRootFromParent_Done,
     /* 1549943 */   // Label 21498: @1549943
     /* 1549943 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550025), // Rule ID 18934 //
     /* 1549948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1549968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549987 */     // MIs[0] round
     /* 1549987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549990 */     // MIs[0] policy
     /* 1549990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550000 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1550003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550024 */     // GIR_Coverage, 18934,
     /* 1550024 */     GIR_EraseRootFromParent_Done,
     /* 1550025 */   // Label 21499: @1550025
     /* 1550025 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550107), // Rule ID 18935 //
     /* 1550030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550069 */     // MIs[0] round
     /* 1550069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550072 */     // MIs[0] policy
     /* 1550072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550082 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1550085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550106 */     // GIR_Coverage, 18935,
     /* 1550106 */     GIR_EraseRootFromParent_Done,
     /* 1550107 */   // Label 21500: @1550107
     /* 1550107 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1550189), // Rule ID 18938 //
     /* 1550112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550151 */     // MIs[0] round
     /* 1550151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550154 */     // MIs[0] policy
     /* 1550154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550164 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1550167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550188 */     // GIR_Coverage, 18938,
     /* 1550188 */     GIR_EraseRootFromParent_Done,
     /* 1550189 */   // Label 21501: @1550189
     /* 1550189 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1550271), // Rule ID 18939 //
     /* 1550194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550233 */     // MIs[0] round
     /* 1550233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550236 */     // MIs[0] policy
     /* 1550236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550246 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1550249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550270 */     // GIR_Coverage, 18939,
     /* 1550270 */     GIR_EraseRootFromParent_Done,
     /* 1550271 */   // Label 21502: @1550271
     /* 1550271 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1550353), // Rule ID 18942 //
     /* 1550276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550315 */     // MIs[0] round
     /* 1550315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550318 */     // MIs[0] policy
     /* 1550318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1550331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550352 */     // GIR_Coverage, 18942,
     /* 1550352 */     GIR_EraseRootFromParent_Done,
     /* 1550353 */   // Label 21503: @1550353
     /* 1550353 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1550435), // Rule ID 18943 //
     /* 1550358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550397 */     // MIs[0] round
     /* 1550397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550400 */     // MIs[0] policy
     /* 1550400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1550413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550434 */     // GIR_Coverage, 18943,
     /* 1550434 */     GIR_EraseRootFromParent_Done,
     /* 1550435 */   // Label 21504: @1550435
     /* 1550435 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1550517), // Rule ID 18946 //
     /* 1550440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1550460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550479 */     // MIs[0] round
     /* 1550479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550482 */     // MIs[0] policy
     /* 1550482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1550495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550516 */     // GIR_Coverage, 18946,
     /* 1550516 */     GIR_EraseRootFromParent_Done,
     /* 1550517 */   // Label 21505: @1550517
     /* 1550517 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1550599), // Rule ID 18947 //
     /* 1550522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1550542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550561 */     // MIs[0] round
     /* 1550561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550564 */     // MIs[0] policy
     /* 1550564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1550577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550598 */     // GIR_Coverage, 18947,
     /* 1550598 */     GIR_EraseRootFromParent_Done,
     /* 1550599 */   // Label 21506: @1550599
     /* 1550599 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1550681), // Rule ID 18950 //
     /* 1550604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1550624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550643 */     // MIs[0] round
     /* 1550643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550646 */     // MIs[0] policy
     /* 1550646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1550659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550680 */     // GIR_Coverage, 18950,
     /* 1550680 */     GIR_EraseRootFromParent_Done,
     /* 1550681 */   // Label 21507: @1550681
     /* 1550681 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1550763), // Rule ID 18951 //
     /* 1550686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1550706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550725 */     // MIs[0] round
     /* 1550725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550728 */     // MIs[0] policy
     /* 1550728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1550741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550762 */     // GIR_Coverage, 18951,
     /* 1550762 */     GIR_EraseRootFromParent_Done,
     /* 1550763 */   // Label 21508: @1550763
     /* 1550763 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1550845), // Rule ID 18954 //
     /* 1550768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1550788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550807 */     // MIs[0] round
     /* 1550807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550810 */     // MIs[0] policy
     /* 1550810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550820 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1550823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550844 */     // GIR_Coverage, 18954,
     /* 1550844 */     GIR_EraseRootFromParent_Done,
     /* 1550845 */   // Label 21509: @1550845
     /* 1550845 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1550927), // Rule ID 18955 //
     /* 1550850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1550870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550889 */     // MIs[0] round
     /* 1550889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550892 */     // MIs[0] policy
     /* 1550892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1550905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550926 */     // GIR_Coverage, 18955,
     /* 1550926 */     GIR_EraseRootFromParent_Done,
     /* 1550927 */   // Label 21510: @1550927
     /* 1550927 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551009), // Rule ID 18958 //
     /* 1550932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1550952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550971 */     // MIs[0] round
     /* 1550971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550974 */     // MIs[0] policy
     /* 1550974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1550987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551008 */     // GIR_Coverage, 18958,
     /* 1551008 */     GIR_EraseRootFromParent_Done,
     /* 1551009 */   // Label 21511: @1551009
     /* 1551009 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551091), // Rule ID 18959 //
     /* 1551014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1551034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551053 */     // MIs[0] round
     /* 1551053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551056 */     // MIs[0] policy
     /* 1551056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551066 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1551069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551090 */     // GIR_Coverage, 18959,
     /* 1551090 */     GIR_EraseRootFromParent_Done,
     /* 1551091 */   // Label 21512: @1551091
     /* 1551091 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1551173), // Rule ID 18962 //
     /* 1551096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551135 */     // MIs[0] round
     /* 1551135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551138 */     // MIs[0] policy
     /* 1551138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1551151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551172 */     // GIR_Coverage, 18962,
     /* 1551172 */     GIR_EraseRootFromParent_Done,
     /* 1551173 */   // Label 21513: @1551173
     /* 1551173 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1551255), // Rule ID 18963 //
     /* 1551178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551217 */     // MIs[0] round
     /* 1551217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551220 */     // MIs[0] policy
     /* 1551220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1551233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551254 */     // GIR_Coverage, 18963,
     /* 1551254 */     GIR_EraseRootFromParent_Done,
     /* 1551255 */   // Label 21514: @1551255
     /* 1551255 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1551337), // Rule ID 18966 //
     /* 1551260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551299 */     // MIs[0] round
     /* 1551299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551302 */     // MIs[0] policy
     /* 1551302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551312 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1551315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551336 */     // GIR_Coverage, 18966,
     /* 1551336 */     GIR_EraseRootFromParent_Done,
     /* 1551337 */   // Label 21515: @1551337
     /* 1551337 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1551419), // Rule ID 18967 //
     /* 1551342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551381 */     // MIs[0] round
     /* 1551381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551384 */     // MIs[0] policy
     /* 1551384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551394 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1551397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551418 */     // GIR_Coverage, 18967,
     /* 1551418 */     GIR_EraseRootFromParent_Done,
     /* 1551419 */   // Label 21516: @1551419
     /* 1551419 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1551501), // Rule ID 18970 //
     /* 1551424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551463 */     // MIs[0] round
     /* 1551463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551466 */     // MIs[0] policy
     /* 1551466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1551479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551500 */     // GIR_Coverage, 18970,
     /* 1551500 */     GIR_EraseRootFromParent_Done,
     /* 1551501 */   // Label 21517: @1551501
     /* 1551501 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1551583), // Rule ID 18971 //
     /* 1551506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551545 */     // MIs[0] round
     /* 1551545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551548 */     // MIs[0] policy
     /* 1551548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551558 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1551561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551582 */     // GIR_Coverage, 18971,
     /* 1551582 */     GIR_EraseRootFromParent_Done,
     /* 1551583 */   // Label 21518: @1551583
     /* 1551583 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1551665), // Rule ID 18974 //
     /* 1551588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1551605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1551608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1551623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551627 */     // MIs[0] round
     /* 1551627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551630 */     // MIs[0] policy
     /* 1551630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1551643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551664 */     // GIR_Coverage, 18974,
     /* 1551664 */     GIR_EraseRootFromParent_Done,
     /* 1551665 */   // Label 21519: @1551665
     /* 1551665 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1551747), // Rule ID 18975 //
     /* 1551670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1551673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1551687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1551690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1551705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551709 */     // MIs[0] round
     /* 1551709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551712 */     // MIs[0] policy
     /* 1551712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1551725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551746 */     // GIR_Coverage, 18975,
     /* 1551746 */     GIR_EraseRootFromParent_Done,
     /* 1551747 */   // Label 21520: @1551747
     /* 1551747 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1551829), // Rule ID 18978 //
     /* 1551752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1551769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1551772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1551787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551791 */     // MIs[0] round
     /* 1551791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551794 */     // MIs[0] policy
     /* 1551794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1551807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551828 */     // GIR_Coverage, 18978,
     /* 1551828 */     GIR_EraseRootFromParent_Done,
     /* 1551829 */   // Label 21521: @1551829
     /* 1551829 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1551911), // Rule ID 18979 //
     /* 1551834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1551837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1551851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1551854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1551869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551873 */     // MIs[0] round
     /* 1551873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551876 */     // MIs[0] policy
     /* 1551876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551886 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1551889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551910 */     // GIR_Coverage, 18979,
     /* 1551910 */     GIR_EraseRootFromParent_Done,
     /* 1551911 */   // Label 21522: @1551911
     /* 1551911 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1551993), // Rule ID 18982 //
     /* 1551916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1551927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1551933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1551936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1551951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551955 */     // MIs[0] round
     /* 1551955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551958 */     // MIs[0] policy
     /* 1551958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551968 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1551971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551992 */     // GIR_Coverage, 18982,
     /* 1551992 */     GIR_EraseRootFromParent_Done,
     /* 1551993 */   // Label 21523: @1551993
     /* 1551993 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552075), // Rule ID 18983 //
     /* 1551998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1552018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552037 */     // MIs[0] round
     /* 1552037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552040 */     // MIs[0] policy
     /* 1552040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1552053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552074 */     // GIR_Coverage, 18983,
     /* 1552074 */     GIR_EraseRootFromParent_Done,
     /* 1552075 */   // Label 21524: @1552075
     /* 1552075 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1552157), // Rule ID 18986 //
     /* 1552080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552119 */     // MIs[0] round
     /* 1552119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552122 */     // MIs[0] policy
     /* 1552122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1552135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552156 */     // GIR_Coverage, 18986,
     /* 1552156 */     GIR_EraseRootFromParent_Done,
     /* 1552157 */   // Label 21525: @1552157
     /* 1552157 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1552239), // Rule ID 18987 //
     /* 1552162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552201 */     // MIs[0] round
     /* 1552201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552204 */     // MIs[0] policy
     /* 1552204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552214 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1552217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552238 */     // GIR_Coverage, 18987,
     /* 1552238 */     GIR_EraseRootFromParent_Done,
     /* 1552239 */   // Label 21526: @1552239
     /* 1552239 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1552321), // Rule ID 18992 //
     /* 1552244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552283 */     // MIs[0] round
     /* 1552283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552286 */     // MIs[0] policy
     /* 1552286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552296 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1552299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552320 */     // GIR_Coverage, 18992,
     /* 1552320 */     GIR_EraseRootFromParent_Done,
     /* 1552321 */   // Label 21527: @1552321
     /* 1552321 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1552403), // Rule ID 18993 //
     /* 1552326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552365 */     // MIs[0] round
     /* 1552365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552368 */     // MIs[0] policy
     /* 1552368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552378 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1552381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552402 */     // GIR_Coverage, 18993,
     /* 1552402 */     GIR_EraseRootFromParent_Done,
     /* 1552403 */   // Label 21528: @1552403
     /* 1552403 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1552485), // Rule ID 18996 //
     /* 1552408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1552411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552447 */     // MIs[0] round
     /* 1552447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552450 */     // MIs[0] policy
     /* 1552450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552460 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1552463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552484 */     // GIR_Coverage, 18996,
     /* 1552484 */     GIR_EraseRootFromParent_Done,
     /* 1552485 */   // Label 21529: @1552485
     /* 1552485 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1552567), // Rule ID 18997 //
     /* 1552490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1552493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552529 */     // MIs[0] round
     /* 1552529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552532 */     // MIs[0] policy
     /* 1552532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1552545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552566 */     // GIR_Coverage, 18997,
     /* 1552566 */     GIR_EraseRootFromParent_Done,
     /* 1552567 */   // Label 21530: @1552567
     /* 1552567 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1552649), // Rule ID 19000 //
     /* 1552572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1552583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1552586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552611 */     // MIs[0] round
     /* 1552611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552614 */     // MIs[0] policy
     /* 1552614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552624 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1552627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552648 */     // GIR_Coverage, 19000,
     /* 1552648 */     GIR_EraseRootFromParent_Done,
     /* 1552649 */   // Label 21531: @1552649
     /* 1552649 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1552731), // Rule ID 19001 //
     /* 1552654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1552665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1552668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552693 */     // MIs[0] round
     /* 1552693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552696 */     // MIs[0] policy
     /* 1552696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1552709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552730 */     // GIR_Coverage, 19001,
     /* 1552730 */     GIR_EraseRootFromParent_Done,
     /* 1552731 */   // Label 21532: @1552731
     /* 1552731 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1552813), // Rule ID 19004 //
     /* 1552736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1552739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552775 */     // MIs[0] round
     /* 1552775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552778 */     // MIs[0] policy
     /* 1552778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1552791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552812 */     // GIR_Coverage, 19004,
     /* 1552812 */     GIR_EraseRootFromParent_Done,
     /* 1552813 */   // Label 21533: @1552813
     /* 1552813 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1552895), // Rule ID 19005 //
     /* 1552818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1552821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552857 */     // MIs[0] round
     /* 1552857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552860 */     // MIs[0] policy
     /* 1552860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552870 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1552873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552894 */     // GIR_Coverage, 19005,
     /* 1552894 */     GIR_EraseRootFromParent_Done,
     /* 1552895 */   // Label 21534: @1552895
     /* 1552895 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1552977), // Rule ID 19008 //
     /* 1552900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1552903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552939 */     // MIs[0] round
     /* 1552939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552942 */     // MIs[0] policy
     /* 1552942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1552955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552976 */     // GIR_Coverage, 19008,
     /* 1552976 */     GIR_EraseRootFromParent_Done,
     /* 1552977 */   // Label 21535: @1552977
     /* 1552977 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553059), // Rule ID 19009 //
     /* 1552982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1552985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553021 */     // MIs[0] round
     /* 1553021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553024 */     // MIs[0] policy
     /* 1553024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1553037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553058 */     // GIR_Coverage, 19009,
     /* 1553058 */     GIR_EraseRootFromParent_Done,
     /* 1553059 */   // Label 21536: @1553059
     /* 1553059 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553141), // Rule ID 19012 //
     /* 1553064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553103 */     // MIs[0] round
     /* 1553103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553106 */     // MIs[0] policy
     /* 1553106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553116 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1553119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553140 */     // GIR_Coverage, 19012,
     /* 1553140 */     GIR_EraseRootFromParent_Done,
     /* 1553141 */   // Label 21537: @1553141
     /* 1553141 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1553223), // Rule ID 19013 //
     /* 1553146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553185 */     // MIs[0] round
     /* 1553185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553188 */     // MIs[0] policy
     /* 1553188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553198 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1553201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553222 */     // GIR_Coverage, 19013,
     /* 1553222 */     GIR_EraseRootFromParent_Done,
     /* 1553223 */   // Label 21538: @1553223
     /* 1553223 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1553305), // Rule ID 19016 //
     /* 1553228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553267 */     // MIs[0] round
     /* 1553267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553270 */     // MIs[0] policy
     /* 1553270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1553283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553304 */     // GIR_Coverage, 19016,
     /* 1553304 */     GIR_EraseRootFromParent_Done,
     /* 1553305 */   // Label 21539: @1553305
     /* 1553305 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1553387), // Rule ID 19017 //
     /* 1553310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553349 */     // MIs[0] round
     /* 1553349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553352 */     // MIs[0] policy
     /* 1553352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553362 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1553365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553386 */     // GIR_Coverage, 19017,
     /* 1553386 */     GIR_EraseRootFromParent_Done,
     /* 1553387 */   // Label 21540: @1553387
     /* 1553387 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1553469), // Rule ID 19020 //
     /* 1553392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553431 */     // MIs[0] round
     /* 1553431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553434 */     // MIs[0] policy
     /* 1553434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553444 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1553447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553468 */     // GIR_Coverage, 19020,
     /* 1553468 */     GIR_EraseRootFromParent_Done,
     /* 1553469 */   // Label 21541: @1553469
     /* 1553469 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1553551), // Rule ID 19021 //
     /* 1553474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553513 */     // MIs[0] round
     /* 1553513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553516 */     // MIs[0] policy
     /* 1553516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553526 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1553529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553550 */     // GIR_Coverage, 19021,
     /* 1553550 */     GIR_EraseRootFromParent_Done,
     /* 1553551 */   // Label 21542: @1553551
     /* 1553551 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1553633), // Rule ID 19024 //
     /* 1553556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553595 */     // MIs[0] round
     /* 1553595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553598 */     // MIs[0] policy
     /* 1553598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1553611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553632 */     // GIR_Coverage, 19024,
     /* 1553632 */     GIR_EraseRootFromParent_Done,
     /* 1553633 */   // Label 21543: @1553633
     /* 1553633 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1553715), // Rule ID 19025 //
     /* 1553638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553677 */     // MIs[0] round
     /* 1553677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553680 */     // MIs[0] policy
     /* 1553680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1553693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553714 */     // GIR_Coverage, 19025,
     /* 1553714 */     GIR_EraseRootFromParent_Done,
     /* 1553715 */   // Label 21544: @1553715
     /* 1553715 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1553797), // Rule ID 19028 //
     /* 1553720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553759 */     // MIs[0] round
     /* 1553759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553762 */     // MIs[0] policy
     /* 1553762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553772 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1553775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553796 */     // GIR_Coverage, 19028,
     /* 1553796 */     GIR_EraseRootFromParent_Done,
     /* 1553797 */   // Label 21545: @1553797
     /* 1553797 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1553879), // Rule ID 19029 //
     /* 1553802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553841 */     // MIs[0] round
     /* 1553841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553844 */     // MIs[0] policy
     /* 1553844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553854 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1553857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553878 */     // GIR_Coverage, 19029,
     /* 1553878 */     GIR_EraseRootFromParent_Done,
     /* 1553879 */   // Label 21546: @1553879
     /* 1553879 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1553961), // Rule ID 19032 //
     /* 1553884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553923 */     // MIs[0] round
     /* 1553923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553926 */     // MIs[0] policy
     /* 1553926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1553939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553960 */     // GIR_Coverage, 19032,
     /* 1553960 */     GIR_EraseRootFromParent_Done,
     /* 1553961 */   // Label 21547: @1553961
     /* 1553961 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554043), // Rule ID 19033 //
     /* 1553966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554005 */     // MIs[0] round
     /* 1554005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554008 */     // MIs[0] policy
     /* 1554008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1554021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554042 */     // GIR_Coverage, 19033,
     /* 1554042 */     GIR_EraseRootFromParent_Done,
     /* 1554043 */   // Label 21548: @1554043
     /* 1554043 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554125), // Rule ID 19036 //
     /* 1554048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554087 */     // MIs[0] round
     /* 1554087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554090 */     // MIs[0] policy
     /* 1554090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554100 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1554103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554124 */     // GIR_Coverage, 19036,
     /* 1554124 */     GIR_EraseRootFromParent_Done,
     /* 1554125 */   // Label 21549: @1554125
     /* 1554125 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1554207), // Rule ID 19037 //
     /* 1554130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554169 */     // MIs[0] round
     /* 1554169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554172 */     // MIs[0] policy
     /* 1554172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554182 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1554185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554206 */     // GIR_Coverage, 19037,
     /* 1554206 */     GIR_EraseRootFromParent_Done,
     /* 1554207 */   // Label 21550: @1554207
     /* 1554207 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1554289), // Rule ID 19040 //
     /* 1554212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554251 */     // MIs[0] round
     /* 1554251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554254 */     // MIs[0] policy
     /* 1554254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554264 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1554267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554288 */     // GIR_Coverage, 19040,
     /* 1554288 */     GIR_EraseRootFromParent_Done,
     /* 1554289 */   // Label 21551: @1554289
     /* 1554289 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1554371), // Rule ID 19041 //
     /* 1554294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554333 */     // MIs[0] round
     /* 1554333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554336 */     // MIs[0] policy
     /* 1554336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554346 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1554349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554370 */     // GIR_Coverage, 19041,
     /* 1554370 */     GIR_EraseRootFromParent_Done,
     /* 1554371 */   // Label 21552: @1554371
     /* 1554371 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1554453), // Rule ID 19044 //
     /* 1554376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554415 */     // MIs[0] round
     /* 1554415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554418 */     // MIs[0] policy
     /* 1554418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554428 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1554431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554452 */     // GIR_Coverage, 19044,
     /* 1554452 */     GIR_EraseRootFromParent_Done,
     /* 1554453 */   // Label 21553: @1554453
     /* 1554453 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1554535), // Rule ID 19045 //
     /* 1554458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554497 */     // MIs[0] round
     /* 1554497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554500 */     // MIs[0] policy
     /* 1554500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554510 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1554513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554534 */     // GIR_Coverage, 19045,
     /* 1554534 */     GIR_EraseRootFromParent_Done,
     /* 1554535 */   // Label 21554: @1554535
     /* 1554535 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1554617), // Rule ID 19104 //
     /* 1554540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1554543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1554551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1554554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1554557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554579 */     // MIs[0] round
     /* 1554579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554582 */     // MIs[0] policy
     /* 1554582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554592 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1554595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554616 */     // GIR_Coverage, 19104,
     /* 1554616 */     GIR_EraseRootFromParent_Done,
     /* 1554617 */   // Label 21555: @1554617
     /* 1554617 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1554699), // Rule ID 19105 //
     /* 1554622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1554625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1554633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1554636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1554639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554661 */     // MIs[0] round
     /* 1554661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554664 */     // MIs[0] policy
     /* 1554664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554674 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1554677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554698 */     // GIR_Coverage, 19105,
     /* 1554698 */     GIR_EraseRootFromParent_Done,
     /* 1554699 */   // Label 21556: @1554699
     /* 1554699 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1554781), // Rule ID 19108 //
     /* 1554704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1554707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554743 */     // MIs[0] round
     /* 1554743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554746 */     // MIs[0] policy
     /* 1554746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554756 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1554759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554780 */     // GIR_Coverage, 19108,
     /* 1554780 */     GIR_EraseRootFromParent_Done,
     /* 1554781 */   // Label 21557: @1554781
     /* 1554781 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1554863), // Rule ID 19109 //
     /* 1554786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1554789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554825 */     // MIs[0] round
     /* 1554825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554828 */     // MIs[0] policy
     /* 1554828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1554841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554862 */     // GIR_Coverage, 19109,
     /* 1554862 */     GIR_EraseRootFromParent_Done,
     /* 1554863 */   // Label 21558: @1554863
     /* 1554863 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1554945), // Rule ID 19112 //
     /* 1554868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554907 */     // MIs[0] round
     /* 1554907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554910 */     // MIs[0] policy
     /* 1554910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1554923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554944 */     // GIR_Coverage, 19112,
     /* 1554944 */     GIR_EraseRootFromParent_Done,
     /* 1554945 */   // Label 21559: @1554945
     /* 1554945 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555027), // Rule ID 19113 //
     /* 1554950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554989 */     // MIs[0] round
     /* 1554989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554992 */     // MIs[0] policy
     /* 1554992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1555005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555026 */     // GIR_Coverage, 19113,
     /* 1555026 */     GIR_EraseRootFromParent_Done,
     /* 1555027 */   // Label 21560: @1555027
     /* 1555027 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555109), // Rule ID 19116 //
     /* 1555032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555071 */     // MIs[0] round
     /* 1555071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555074 */     // MIs[0] policy
     /* 1555074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555084 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1555087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555108 */     // GIR_Coverage, 19116,
     /* 1555108 */     GIR_EraseRootFromParent_Done,
     /* 1555109 */   // Label 21561: @1555109
     /* 1555109 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1555191), // Rule ID 19117 //
     /* 1555114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555153 */     // MIs[0] round
     /* 1555153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555156 */     // MIs[0] policy
     /* 1555156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555166 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1555169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555190 */     // GIR_Coverage, 19117,
     /* 1555190 */     GIR_EraseRootFromParent_Done,
     /* 1555191 */   // Label 21562: @1555191
     /* 1555191 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1555273), // Rule ID 19120 //
     /* 1555196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1555199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555235 */     // MIs[0] round
     /* 1555235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555238 */     // MIs[0] policy
     /* 1555238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1555251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555272 */     // GIR_Coverage, 19120,
     /* 1555272 */     GIR_EraseRootFromParent_Done,
     /* 1555273 */   // Label 21563: @1555273
     /* 1555273 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1555355), // Rule ID 19121 //
     /* 1555278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1555281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555317 */     // MIs[0] round
     /* 1555317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555320 */     // MIs[0] policy
     /* 1555320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1555333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555354 */     // GIR_Coverage, 19121,
     /* 1555354 */     GIR_EraseRootFromParent_Done,
     /* 1555355 */   // Label 21564: @1555355
     /* 1555355 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1555437), // Rule ID 19124 //
     /* 1555360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1555363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555399 */     // MIs[0] round
     /* 1555399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555402 */     // MIs[0] policy
     /* 1555402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1555415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555436 */     // GIR_Coverage, 19124,
     /* 1555436 */     GIR_EraseRootFromParent_Done,
     /* 1555437 */   // Label 21565: @1555437
     /* 1555437 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1555519), // Rule ID 19125 //
     /* 1555442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1555445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555481 */     // MIs[0] round
     /* 1555481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555484 */     // MIs[0] policy
     /* 1555484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555494 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1555497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555518 */     // GIR_Coverage, 19125,
     /* 1555518 */     GIR_EraseRootFromParent_Done,
     /* 1555519 */   // Label 21566: @1555519
     /* 1555519 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1555601), // Rule ID 19128 //
     /* 1555524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1555541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555563 */     // MIs[0] round
     /* 1555563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555566 */     // MIs[0] policy
     /* 1555566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1555579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555600 */     // GIR_Coverage, 19128,
     /* 1555600 */     GIR_EraseRootFromParent_Done,
     /* 1555601 */   // Label 21567: @1555601
     /* 1555601 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1555683), // Rule ID 19129 //
     /* 1555606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1555623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555645 */     // MIs[0] round
     /* 1555645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555648 */     // MIs[0] policy
     /* 1555648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1555661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555682 */     // GIR_Coverage, 19129,
     /* 1555682 */     GIR_EraseRootFromParent_Done,
     /* 1555683 */   // Label 21568: @1555683
     /* 1555683 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1555765), // Rule ID 19132 //
     /* 1555688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555727 */     // MIs[0] round
     /* 1555727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555730 */     // MIs[0] policy
     /* 1555730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555740 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1555743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555764 */     // GIR_Coverage, 19132,
     /* 1555764 */     GIR_EraseRootFromParent_Done,
     /* 1555765 */   // Label 21569: @1555765
     /* 1555765 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1555847), // Rule ID 19133 //
     /* 1555770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555809 */     // MIs[0] round
     /* 1555809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555812 */     // MIs[0] policy
     /* 1555812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555822 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1555825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555846 */     // GIR_Coverage, 19133,
     /* 1555846 */     GIR_EraseRootFromParent_Done,
     /* 1555847 */   // Label 21570: @1555847
     /* 1555847 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1555929), // Rule ID 19136 //
     /* 1555852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1555863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1555866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1555869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1555872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555891 */     // MIs[0] round
     /* 1555891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555894 */     // MIs[0] policy
     /* 1555894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555904 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1555907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555928 */     // GIR_Coverage, 19136,
     /* 1555928 */     GIR_EraseRootFromParent_Done,
     /* 1555929 */   // Label 21571: @1555929
     /* 1555929 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556011), // Rule ID 19137 //
     /* 1555934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1555945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1555948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1555951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1555954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555973 */     // MIs[0] round
     /* 1555973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555976 */     // MIs[0] policy
     /* 1555976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555986 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1555989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556010 */     // GIR_Coverage, 19137,
     /* 1556010 */     GIR_EraseRootFromParent_Done,
     /* 1556011 */   // Label 21572: @1556011
     /* 1556011 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556093), // Rule ID 19140 //
     /* 1556016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556055 */     // MIs[0] round
     /* 1556055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556058 */     // MIs[0] policy
     /* 1556058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1556071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556092 */     // GIR_Coverage, 19140,
     /* 1556092 */     GIR_EraseRootFromParent_Done,
     /* 1556093 */   // Label 21573: @1556093
     /* 1556093 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1556175), // Rule ID 19141 //
     /* 1556098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556137 */     // MIs[0] round
     /* 1556137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556140 */     // MIs[0] policy
     /* 1556140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556150 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1556153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556174 */     // GIR_Coverage, 19141,
     /* 1556174 */     GIR_EraseRootFromParent_Done,
     /* 1556175 */   // Label 21574: @1556175
     /* 1556175 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1556257), // Rule ID 19144 //
     /* 1556180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556219 */     // MIs[0] round
     /* 1556219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556222 */     // MIs[0] policy
     /* 1556222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556232 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1556235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556256 */     // GIR_Coverage, 19144,
     /* 1556256 */     GIR_EraseRootFromParent_Done,
     /* 1556257 */   // Label 21575: @1556257
     /* 1556257 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1556339), // Rule ID 19145 //
     /* 1556262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556301 */     // MIs[0] round
     /* 1556301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556304 */     // MIs[0] policy
     /* 1556304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556314 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1556317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556338 */     // GIR_Coverage, 19145,
     /* 1556338 */     GIR_EraseRootFromParent_Done,
     /* 1556339 */   // Label 21576: @1556339
     /* 1556339 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1556421), // Rule ID 19148 //
     /* 1556344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556383 */     // MIs[0] round
     /* 1556383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556386 */     // MIs[0] policy
     /* 1556386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1556399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556420 */     // GIR_Coverage, 19148,
     /* 1556420 */     GIR_EraseRootFromParent_Done,
     /* 1556421 */   // Label 21577: @1556421
     /* 1556421 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1556503), // Rule ID 19149 //
     /* 1556426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556465 */     // MIs[0] round
     /* 1556465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556468 */     // MIs[0] policy
     /* 1556468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556478 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1556481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556502 */     // GIR_Coverage, 19149,
     /* 1556502 */     GIR_EraseRootFromParent_Done,
     /* 1556503 */   // Label 21578: @1556503
     /* 1556503 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1556585), // Rule ID 19152 //
     /* 1556508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1556511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1556525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556547 */     // MIs[0] round
     /* 1556547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556550 */     // MIs[0] policy
     /* 1556550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556560 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1556563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556584 */     // GIR_Coverage, 19152,
     /* 1556584 */     GIR_EraseRootFromParent_Done,
     /* 1556585 */   // Label 21579: @1556585
     /* 1556585 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1556667), // Rule ID 19153 //
     /* 1556590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1556593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1556607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556629 */     // MIs[0] round
     /* 1556629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556632 */     // MIs[0] policy
     /* 1556632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1556645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556666 */     // GIR_Coverage, 19153,
     /* 1556666 */     GIR_EraseRootFromParent_Done,
     /* 1556667 */   // Label 21580: @1556667
     /* 1556667 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1556749), // Rule ID 19156 //
     /* 1556672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1556675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556711 */     // MIs[0] round
     /* 1556711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556714 */     // MIs[0] policy
     /* 1556714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556724 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1556727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556748 */     // GIR_Coverage, 19156,
     /* 1556748 */     GIR_EraseRootFromParent_Done,
     /* 1556749 */   // Label 21581: @1556749
     /* 1556749 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1556831), // Rule ID 19157 //
     /* 1556754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1556757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556793 */     // MIs[0] round
     /* 1556793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556796 */     // MIs[0] policy
     /* 1556796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1556809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556830 */     // GIR_Coverage, 19157,
     /* 1556830 */     GIR_EraseRootFromParent_Done,
     /* 1556831 */   // Label 21582: @1556831
     /* 1556831 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1556913), // Rule ID 19160 //
     /* 1556836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1556839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556875 */     // MIs[0] round
     /* 1556875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556878 */     // MIs[0] policy
     /* 1556878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1556891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556912 */     // GIR_Coverage, 19160,
     /* 1556912 */     GIR_EraseRootFromParent_Done,
     /* 1556913 */   // Label 21583: @1556913
     /* 1556913 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1556995), // Rule ID 19161 //
     /* 1556918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1556921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556957 */     // MIs[0] round
     /* 1556957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556960 */     // MIs[0] policy
     /* 1556960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1556973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556994 */     // GIR_Coverage, 19161,
     /* 1556994 */     GIR_EraseRootFromParent_Done,
     /* 1556995 */   // Label 21584: @1556995
     /* 1556995 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557077), // Rule ID 20746 //
     /* 1557000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557039 */     // MIs[0] round
     /* 1557039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557042 */     // MIs[0] policy
     /* 1557042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557076 */     // GIR_Coverage, 20746,
     /* 1557076 */     GIR_EraseRootFromParent_Done,
     /* 1557077 */   // Label 21585: @1557077
     /* 1557077 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1557159), // Rule ID 20747 //
     /* 1557082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557121 */     // MIs[0] round
     /* 1557121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557124 */     // MIs[0] policy
     /* 1557124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557158 */     // GIR_Coverage, 20747,
     /* 1557158 */     GIR_EraseRootFromParent_Done,
     /* 1557159 */   // Label 21586: @1557159
     /* 1557159 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1557241), // Rule ID 20750 //
     /* 1557164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557203 */     // MIs[0] round
     /* 1557203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557206 */     // MIs[0] policy
     /* 1557206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557240 */     // GIR_Coverage, 20750,
     /* 1557240 */     GIR_EraseRootFromParent_Done,
     /* 1557241 */   // Label 21587: @1557241
     /* 1557241 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1557323), // Rule ID 20751 //
     /* 1557246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557285 */     // MIs[0] round
     /* 1557285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557288 */     // MIs[0] policy
     /* 1557288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557322 */     // GIR_Coverage, 20751,
     /* 1557322 */     GIR_EraseRootFromParent_Done,
     /* 1557323 */   // Label 21588: @1557323
     /* 1557323 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1557405), // Rule ID 20754 //
     /* 1557328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557367 */     // MIs[0] round
     /* 1557367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557370 */     // MIs[0] policy
     /* 1557370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557404 */     // GIR_Coverage, 20754,
     /* 1557404 */     GIR_EraseRootFromParent_Done,
     /* 1557405 */   // Label 21589: @1557405
     /* 1557405 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1557487), // Rule ID 20755 //
     /* 1557410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557449 */     // MIs[0] round
     /* 1557449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557452 */     // MIs[0] policy
     /* 1557452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557486 */     // GIR_Coverage, 20755,
     /* 1557486 */     GIR_EraseRootFromParent_Done,
     /* 1557487 */   // Label 21590: @1557487
     /* 1557487 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1557569), // Rule ID 20758 //
     /* 1557492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557531 */     // MIs[0] round
     /* 1557531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557534 */     // MIs[0] policy
     /* 1557534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557568 */     // GIR_Coverage, 20758,
     /* 1557568 */     GIR_EraseRootFromParent_Done,
     /* 1557569 */   // Label 21591: @1557569
     /* 1557569 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1557651), // Rule ID 20759 //
     /* 1557574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557613 */     // MIs[0] round
     /* 1557613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557616 */     // MIs[0] policy
     /* 1557616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557650 */     // GIR_Coverage, 20759,
     /* 1557650 */     GIR_EraseRootFromParent_Done,
     /* 1557651 */   // Label 21592: @1557651
     /* 1557651 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1557733), // Rule ID 20762 //
     /* 1557656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557695 */     // MIs[0] round
     /* 1557695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557698 */     // MIs[0] policy
     /* 1557698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557732 */     // GIR_Coverage, 20762,
     /* 1557732 */     GIR_EraseRootFromParent_Done,
     /* 1557733 */   // Label 21593: @1557733
     /* 1557733 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1557815), // Rule ID 20763 //
     /* 1557738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557777 */     // MIs[0] round
     /* 1557777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557780 */     // MIs[0] policy
     /* 1557780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557814 */     // GIR_Coverage, 20763,
     /* 1557814 */     GIR_EraseRootFromParent_Done,
     /* 1557815 */   // Label 21594: @1557815
     /* 1557815 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1557897), // Rule ID 20766 //
     /* 1557820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557859 */     // MIs[0] round
     /* 1557859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557862 */     // MIs[0] policy
     /* 1557862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1557875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557896 */     // GIR_Coverage, 20766,
     /* 1557896 */     GIR_EraseRootFromParent_Done,
     /* 1557897 */   // Label 21595: @1557897
     /* 1557897 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1557979), // Rule ID 20767 //
     /* 1557902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557941 */     // MIs[0] round
     /* 1557941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557944 */     // MIs[0] policy
     /* 1557944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1557957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557978 */     // GIR_Coverage, 20767,
     /* 1557978 */     GIR_EraseRootFromParent_Done,
     /* 1557979 */   // Label 21596: @1557979
     /* 1557979 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558061), // Rule ID 20770 //
     /* 1557984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558023 */     // MIs[0] round
     /* 1558023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558026 */     // MIs[0] policy
     /* 1558026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558060 */     // GIR_Coverage, 20770,
     /* 1558060 */     GIR_EraseRootFromParent_Done,
     /* 1558061 */   // Label 21597: @1558061
     /* 1558061 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558143), // Rule ID 20771 //
     /* 1558066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558105 */     // MIs[0] round
     /* 1558105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558108 */     // MIs[0] policy
     /* 1558108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558142 */     // GIR_Coverage, 20771,
     /* 1558142 */     GIR_EraseRootFromParent_Done,
     /* 1558143 */   // Label 21598: @1558143
     /* 1558143 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1558225), // Rule ID 20774 //
     /* 1558148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558187 */     // MIs[0] round
     /* 1558187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558190 */     // MIs[0] policy
     /* 1558190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558224 */     // GIR_Coverage, 20774,
     /* 1558224 */     GIR_EraseRootFromParent_Done,
     /* 1558225 */   // Label 21599: @1558225
     /* 1558225 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1558307), // Rule ID 20775 //
     /* 1558230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558269 */     // MIs[0] round
     /* 1558269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558272 */     // MIs[0] policy
     /* 1558272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558306 */     // GIR_Coverage, 20775,
     /* 1558306 */     GIR_EraseRootFromParent_Done,
     /* 1558307 */   // Label 21600: @1558307
     /* 1558307 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1558389), // Rule ID 20778 //
     /* 1558312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558351 */     // MIs[0] round
     /* 1558351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558354 */     // MIs[0] policy
     /* 1558354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558388 */     // GIR_Coverage, 20778,
     /* 1558388 */     GIR_EraseRootFromParent_Done,
     /* 1558389 */   // Label 21601: @1558389
     /* 1558389 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1558471), // Rule ID 20779 //
     /* 1558394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558433 */     // MIs[0] round
     /* 1558433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558436 */     // MIs[0] policy
     /* 1558436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558470 */     // GIR_Coverage, 20779,
     /* 1558470 */     GIR_EraseRootFromParent_Done,
     /* 1558471 */   // Label 21602: @1558471
     /* 1558471 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1558553), // Rule ID 20782 //
     /* 1558476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558515 */     // MIs[0] round
     /* 1558515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558518 */     // MIs[0] policy
     /* 1558518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558552 */     // GIR_Coverage, 20782,
     /* 1558552 */     GIR_EraseRootFromParent_Done,
     /* 1558553 */   // Label 21603: @1558553
     /* 1558553 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1558635), // Rule ID 20783 //
     /* 1558558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558597 */     // MIs[0] round
     /* 1558597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558600 */     // MIs[0] policy
     /* 1558600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558634 */     // GIR_Coverage, 20783,
     /* 1558634 */     GIR_EraseRootFromParent_Done,
     /* 1558635 */   // Label 21604: @1558635
     /* 1558635 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1558717), // Rule ID 20786 //
     /* 1558640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558679 */     // MIs[0] round
     /* 1558679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558682 */     // MIs[0] policy
     /* 1558682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558716 */     // GIR_Coverage, 20786,
     /* 1558716 */     GIR_EraseRootFromParent_Done,
     /* 1558717 */   // Label 21605: @1558717
     /* 1558717 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1558799), // Rule ID 20787 //
     /* 1558722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558761 */     // MIs[0] round
     /* 1558761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558764 */     // MIs[0] policy
     /* 1558764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558798 */     // GIR_Coverage, 20787,
     /* 1558798 */     GIR_EraseRootFromParent_Done,
     /* 1558799 */   // Label 21606: @1558799
     /* 1558799 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1558881), // Rule ID 20790 //
     /* 1558804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558843 */     // MIs[0] round
     /* 1558843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558846 */     // MIs[0] policy
     /* 1558846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558880 */     // GIR_Coverage, 20790,
     /* 1558880 */     GIR_EraseRootFromParent_Done,
     /* 1558881 */   // Label 21607: @1558881
     /* 1558881 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1558963), // Rule ID 20791 //
     /* 1558886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558925 */     // MIs[0] round
     /* 1558925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558928 */     // MIs[0] policy
     /* 1558928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558962 */     // GIR_Coverage, 20791,
     /* 1558962 */     GIR_EraseRootFromParent_Done,
     /* 1558963 */   // Label 21608: @1558963
     /* 1558963 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559045), // Rule ID 20794 //
     /* 1558968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1558979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1558982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559007 */     // MIs[0] round
     /* 1559007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559010 */     // MIs[0] policy
     /* 1559010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1559023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559044 */     // GIR_Coverage, 20794,
     /* 1559044 */     GIR_EraseRootFromParent_Done,
     /* 1559045 */   // Label 21609: @1559045
     /* 1559045 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559127), // Rule ID 20795 //
     /* 1559050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559089 */     // MIs[0] round
     /* 1559089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559092 */     // MIs[0] policy
     /* 1559092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1559105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559126 */     // GIR_Coverage, 20795,
     /* 1559126 */     GIR_EraseRootFromParent_Done,
     /* 1559127 */   // Label 21610: @1559127
     /* 1559127 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1559209), // Rule ID 20798 //
     /* 1559132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559171 */     // MIs[0] round
     /* 1559171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559174 */     // MIs[0] policy
     /* 1559174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559208 */     // GIR_Coverage, 20798,
     /* 1559208 */     GIR_EraseRootFromParent_Done,
     /* 1559209 */   // Label 21611: @1559209
     /* 1559209 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1559291), // Rule ID 20799 //
     /* 1559214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559253 */     // MIs[0] round
     /* 1559253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559256 */     // MIs[0] policy
     /* 1559256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559290 */     // GIR_Coverage, 20799,
     /* 1559290 */     GIR_EraseRootFromParent_Done,
     /* 1559291 */   // Label 21612: @1559291
     /* 1559291 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1559373), // Rule ID 20802 //
     /* 1559296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559335 */     // MIs[0] round
     /* 1559335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559338 */     // MIs[0] policy
     /* 1559338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1559351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559372 */     // GIR_Coverage, 20802,
     /* 1559372 */     GIR_EraseRootFromParent_Done,
     /* 1559373 */   // Label 21613: @1559373
     /* 1559373 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1559455), // Rule ID 20803 //
     /* 1559378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559417 */     // MIs[0] round
     /* 1559417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559420 */     // MIs[0] policy
     /* 1559420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1559433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559454 */     // GIR_Coverage, 20803,
     /* 1559454 */     GIR_EraseRootFromParent_Done,
     /* 1559455 */   // Label 21614: @1559455
     /* 1559455 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1559537), // Rule ID 20806 //
     /* 1559460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559499 */     // MIs[0] round
     /* 1559499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559502 */     // MIs[0] policy
     /* 1559502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1559515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559536 */     // GIR_Coverage, 20806,
     /* 1559536 */     GIR_EraseRootFromParent_Done,
     /* 1559537 */   // Label 21615: @1559537
     /* 1559537 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1559619), // Rule ID 20807 //
     /* 1559542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559581 */     // MIs[0] round
     /* 1559581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559584 */     // MIs[0] policy
     /* 1559584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559594 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1559597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559618 */     // GIR_Coverage, 20807,
     /* 1559618 */     GIR_EraseRootFromParent_Done,
     /* 1559619 */   // Label 21616: @1559619
     /* 1559619 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1559701), // Rule ID 20810 //
     /* 1559624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559663 */     // MIs[0] round
     /* 1559663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559666 */     // MIs[0] policy
     /* 1559666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1559679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559700 */     // GIR_Coverage, 20810,
     /* 1559700 */     GIR_EraseRootFromParent_Done,
     /* 1559701 */   // Label 21617: @1559701
     /* 1559701 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1559783), // Rule ID 20811 //
     /* 1559706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559745 */     // MIs[0] round
     /* 1559745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559748 */     // MIs[0] policy
     /* 1559748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1559761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559782 */     // GIR_Coverage, 20811,
     /* 1559782 */     GIR_EraseRootFromParent_Done,
     /* 1559783 */   // Label 21618: @1559783
     /* 1559783 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1559865), // Rule ID 20814 //
     /* 1559788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559827 */     // MIs[0] round
     /* 1559827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559830 */     // MIs[0] policy
     /* 1559830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1559843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559864 */     // GIR_Coverage, 20814,
     /* 1559864 */     GIR_EraseRootFromParent_Done,
     /* 1559865 */   // Label 21619: @1559865
     /* 1559865 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1559947), // Rule ID 20815 //
     /* 1559870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559909 */     // MIs[0] round
     /* 1559909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559912 */     // MIs[0] policy
     /* 1559912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1559925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559946 */     // GIR_Coverage, 20815,
     /* 1559946 */     GIR_EraseRootFromParent_Done,
     /* 1559947 */   // Label 21620: @1559947
     /* 1559947 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560029), // Rule ID 20818 //
     /* 1559952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1559963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1559966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559991 */     // MIs[0] round
     /* 1559991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559994 */     // MIs[0] policy
     /* 1559994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560028 */     // GIR_Coverage, 20818,
     /* 1560028 */     GIR_EraseRootFromParent_Done,
     /* 1560029 */   // Label 21621: @1560029
     /* 1560029 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560111), // Rule ID 20819 //
     /* 1560034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560073 */     // MIs[0] round
     /* 1560073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560076 */     // MIs[0] policy
     /* 1560076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560110 */     // GIR_Coverage, 20819,
     /* 1560110 */     GIR_EraseRootFromParent_Done,
     /* 1560111 */   // Label 21622: @1560111
     /* 1560111 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1560193), // Rule ID 20822 //
     /* 1560116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560155 */     // MIs[0] round
     /* 1560155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560158 */     // MIs[0] policy
     /* 1560158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560192 */     // GIR_Coverage, 20822,
     /* 1560192 */     GIR_EraseRootFromParent_Done,
     /* 1560193 */   // Label 21623: @1560193
     /* 1560193 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1560275), // Rule ID 20823 //
     /* 1560198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560237 */     // MIs[0] round
     /* 1560237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560240 */     // MIs[0] policy
     /* 1560240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560250 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560274 */     // GIR_Coverage, 20823,
     /* 1560274 */     GIR_EraseRootFromParent_Done,
     /* 1560275 */   // Label 21624: @1560275
     /* 1560275 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1560357), // Rule ID 20826 //
     /* 1560280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560319 */     // MIs[0] round
     /* 1560319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560322 */     // MIs[0] policy
     /* 1560322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560356 */     // GIR_Coverage, 20826,
     /* 1560356 */     GIR_EraseRootFromParent_Done,
     /* 1560357 */   // Label 21625: @1560357
     /* 1560357 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1560439), // Rule ID 20827 //
     /* 1560362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560401 */     // MIs[0] round
     /* 1560401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560404 */     // MIs[0] policy
     /* 1560404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560438 */     // GIR_Coverage, 20827,
     /* 1560438 */     GIR_EraseRootFromParent_Done,
     /* 1560439 */   // Label 21626: @1560439
     /* 1560439 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1560521), // Rule ID 20830 //
     /* 1560444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560483 */     // MIs[0] round
     /* 1560483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560486 */     // MIs[0] policy
     /* 1560486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1560499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560520 */     // GIR_Coverage, 20830,
     /* 1560520 */     GIR_EraseRootFromParent_Done,
     /* 1560521 */   // Label 21627: @1560521
     /* 1560521 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1560603), // Rule ID 20831 //
     /* 1560526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560565 */     // MIs[0] round
     /* 1560565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560568 */     // MIs[0] policy
     /* 1560568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1560581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560602 */     // GIR_Coverage, 20831,
     /* 1560602 */     GIR_EraseRootFromParent_Done,
     /* 1560603 */   // Label 21628: @1560603
     /* 1560603 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1560685), // Rule ID 20834 //
     /* 1560608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1560619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1560622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560647 */     // MIs[0] round
     /* 1560647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560650 */     // MIs[0] policy
     /* 1560650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1560663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560684 */     // GIR_Coverage, 20834,
     /* 1560684 */     GIR_EraseRootFromParent_Done,
     /* 1560685 */   // Label 21629: @1560685
     /* 1560685 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1560767), // Rule ID 20835 //
     /* 1560690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1560701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1560704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560729 */     // MIs[0] round
     /* 1560729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560732 */     // MIs[0] policy
     /* 1560732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1560745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560766 */     // GIR_Coverage, 20835,
     /* 1560766 */     GIR_EraseRootFromParent_Done,
     /* 1560767 */   // Label 21630: @1560767
     /* 1560767 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1560849), // Rule ID 20838 //
     /* 1560772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560811 */     // MIs[0] round
     /* 1560811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560814 */     // MIs[0] policy
     /* 1560814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560848 */     // GIR_Coverage, 20838,
     /* 1560848 */     GIR_EraseRootFromParent_Done,
     /* 1560849 */   // Label 21631: @1560849
     /* 1560849 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1560931), // Rule ID 20839 //
     /* 1560854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560893 */     // MIs[0] round
     /* 1560893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560896 */     // MIs[0] policy
     /* 1560896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560930 */     // GIR_Coverage, 20839,
     /* 1560930 */     GIR_EraseRootFromParent_Done,
     /* 1560931 */   // Label 21632: @1560931
     /* 1560931 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561013), // Rule ID 20842 //
     /* 1560936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560975 */     // MIs[0] round
     /* 1560975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560978 */     // MIs[0] policy
     /* 1560978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1560991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561012 */     // GIR_Coverage, 20842,
     /* 1561012 */     GIR_EraseRootFromParent_Done,
     /* 1561013 */   // Label 21633: @1561013
     /* 1561013 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561095), // Rule ID 20843 //
     /* 1561018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561057 */     // MIs[0] round
     /* 1561057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561060 */     // MIs[0] policy
     /* 1561060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561094 */     // GIR_Coverage, 20843,
     /* 1561094 */     GIR_EraseRootFromParent_Done,
     /* 1561095 */   // Label 21634: @1561095
     /* 1561095 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1561177), // Rule ID 20846 //
     /* 1561100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561139 */     // MIs[0] round
     /* 1561139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561142 */     // MIs[0] policy
     /* 1561142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561176 */     // GIR_Coverage, 20846,
     /* 1561176 */     GIR_EraseRootFromParent_Done,
     /* 1561177 */   // Label 21635: @1561177
     /* 1561177 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1561259), // Rule ID 20847 //
     /* 1561182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561221 */     // MIs[0] round
     /* 1561221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561224 */     // MIs[0] policy
     /* 1561224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561258 */     // GIR_Coverage, 20847,
     /* 1561258 */     GIR_EraseRootFromParent_Done,
     /* 1561259 */   // Label 21636: @1561259
     /* 1561259 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1561341), // Rule ID 20850 //
     /* 1561264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561303 */     // MIs[0] round
     /* 1561303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561306 */     // MIs[0] policy
     /* 1561306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561316 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561340 */     // GIR_Coverage, 20850,
     /* 1561340 */     GIR_EraseRootFromParent_Done,
     /* 1561341 */   // Label 21637: @1561341
     /* 1561341 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1561423), // Rule ID 20851 //
     /* 1561346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561385 */     // MIs[0] round
     /* 1561385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561388 */     // MIs[0] policy
     /* 1561388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561422 */     // GIR_Coverage, 20851,
     /* 1561422 */     GIR_EraseRootFromParent_Done,
     /* 1561423 */   // Label 21638: @1561423
     /* 1561423 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1561505), // Rule ID 20854 //
     /* 1561428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561467 */     // MIs[0] round
     /* 1561467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561470 */     // MIs[0] policy
     /* 1561470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561504 */     // GIR_Coverage, 20854,
     /* 1561504 */     GIR_EraseRootFromParent_Done,
     /* 1561505 */   // Label 21639: @1561505
     /* 1561505 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1561587), // Rule ID 20855 //
     /* 1561510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561549 */     // MIs[0] round
     /* 1561549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561552 */     // MIs[0] policy
     /* 1561552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561586 */     // GIR_Coverage, 20855,
     /* 1561586 */     GIR_EraseRootFromParent_Done,
     /* 1561587 */   // Label 21640: @1561587
     /* 1561587 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1561669), // Rule ID 20858 //
     /* 1561592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561631 */     // MIs[0] round
     /* 1561631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561634 */     // MIs[0] policy
     /* 1561634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561668 */     // GIR_Coverage, 20858,
     /* 1561668 */     GIR_EraseRootFromParent_Done,
     /* 1561669 */   // Label 21641: @1561669
     /* 1561669 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1561751), // Rule ID 20859 //
     /* 1561674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561713 */     // MIs[0] round
     /* 1561713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561716 */     // MIs[0] policy
     /* 1561716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561726 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561750 */     // GIR_Coverage, 20859,
     /* 1561750 */     GIR_EraseRootFromParent_Done,
     /* 1561751 */   // Label 21642: @1561751
     /* 1561751 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1561833), // Rule ID 20982 //
     /* 1561756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1561767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1561770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561795 */     // MIs[0] round
     /* 1561795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561798 */     // MIs[0] policy
     /* 1561798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561808 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1561811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561832 */     // GIR_Coverage, 20982,
     /* 1561832 */     GIR_EraseRootFromParent_Done,
     /* 1561833 */   // Label 21643: @1561833
     /* 1561833 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1561915), // Rule ID 20983 //
     /* 1561838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1561849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1561852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561877 */     // MIs[0] round
     /* 1561877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561880 */     // MIs[0] policy
     /* 1561880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1561893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561914 */     // GIR_Coverage, 20983,
     /* 1561914 */     GIR_EraseRootFromParent_Done,
     /* 1561915 */   // Label 21644: @1561915
     /* 1561915 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1561997), // Rule ID 20986 //
     /* 1561920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1561931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1561934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561959 */     // MIs[0] round
     /* 1561959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561962 */     // MIs[0] policy
     /* 1561962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1561975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561996 */     // GIR_Coverage, 20986,
     /* 1561996 */     GIR_EraseRootFromParent_Done,
     /* 1561997 */   // Label 21645: @1561997
     /* 1561997 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562079), // Rule ID 20987 //
     /* 1562002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562041 */     // MIs[0] round
     /* 1562041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562044 */     // MIs[0] policy
     /* 1562044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562054 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1562057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562078 */     // GIR_Coverage, 20987,
     /* 1562078 */     GIR_EraseRootFromParent_Done,
     /* 1562079 */   // Label 21646: @1562079
     /* 1562079 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1562161), // Rule ID 20990 //
     /* 1562084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562123 */     // MIs[0] round
     /* 1562123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562126 */     // MIs[0] policy
     /* 1562126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1562139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562160 */     // GIR_Coverage, 20990,
     /* 1562160 */     GIR_EraseRootFromParent_Done,
     /* 1562161 */   // Label 21647: @1562161
     /* 1562161 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1562243), // Rule ID 20991 //
     /* 1562166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562205 */     // MIs[0] round
     /* 1562205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562208 */     // MIs[0] policy
     /* 1562208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562218 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1562221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562242 */     // GIR_Coverage, 20991,
     /* 1562242 */     GIR_EraseRootFromParent_Done,
     /* 1562243 */   // Label 21648: @1562243
     /* 1562243 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1562325), // Rule ID 20994 //
     /* 1562248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562287 */     // MIs[0] round
     /* 1562287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562290 */     // MIs[0] policy
     /* 1562290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1562303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562324 */     // GIR_Coverage, 20994,
     /* 1562324 */     GIR_EraseRootFromParent_Done,
     /* 1562325 */   // Label 21649: @1562325
     /* 1562325 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1562407), // Rule ID 20995 //
     /* 1562330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562369 */     // MIs[0] round
     /* 1562369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562372 */     // MIs[0] policy
     /* 1562372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1562385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562406 */     // GIR_Coverage, 20995,
     /* 1562406 */     GIR_EraseRootFromParent_Done,
     /* 1562407 */   // Label 21650: @1562407
     /* 1562407 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1562489), // Rule ID 20998 //
     /* 1562412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562451 */     // MIs[0] round
     /* 1562451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562454 */     // MIs[0] policy
     /* 1562454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1562467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562488 */     // GIR_Coverage, 20998,
     /* 1562488 */     GIR_EraseRootFromParent_Done,
     /* 1562489 */   // Label 21651: @1562489
     /* 1562489 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1562571), // Rule ID 20999 //
     /* 1562494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562533 */     // MIs[0] round
     /* 1562533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562536 */     // MIs[0] policy
     /* 1562536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562546 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1562549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562570 */     // GIR_Coverage, 20999,
     /* 1562570 */     GIR_EraseRootFromParent_Done,
     /* 1562571 */   // Label 21652: @1562571
     /* 1562571 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1562653), // Rule ID 21002 //
     /* 1562576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1562579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562615 */     // MIs[0] round
     /* 1562615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562618 */     // MIs[0] policy
     /* 1562618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1562631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562652 */     // GIR_Coverage, 21002,
     /* 1562652 */     GIR_EraseRootFromParent_Done,
     /* 1562653 */   // Label 21653: @1562653
     /* 1562653 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1562735), // Rule ID 21003 //
     /* 1562658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1562661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562697 */     // MIs[0] round
     /* 1562697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562700 */     // MIs[0] policy
     /* 1562700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1562713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562734 */     // GIR_Coverage, 21003,
     /* 1562734 */     GIR_EraseRootFromParent_Done,
     /* 1562735 */   // Label 21654: @1562735
     /* 1562735 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1562817), // Rule ID 21006 //
     /* 1562740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562779 */     // MIs[0] round
     /* 1562779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562782 */     // MIs[0] policy
     /* 1562782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1562795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562816 */     // GIR_Coverage, 21006,
     /* 1562816 */     GIR_EraseRootFromParent_Done,
     /* 1562817 */   // Label 21655: @1562817
     /* 1562817 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1562899), // Rule ID 21007 //
     /* 1562822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562861 */     // MIs[0] round
     /* 1562861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562864 */     // MIs[0] policy
     /* 1562864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1562877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562898 */     // GIR_Coverage, 21007,
     /* 1562898 */     GIR_EraseRootFromParent_Done,
     /* 1562899 */   // Label 21656: @1562899
     /* 1562899 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1562981), // Rule ID 21010 //
     /* 1562904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562943 */     // MIs[0] round
     /* 1562943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562946 */     // MIs[0] policy
     /* 1562946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1562959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562980 */     // GIR_Coverage, 21010,
     /* 1562980 */     GIR_EraseRootFromParent_Done,
     /* 1562981 */   // Label 21657: @1562981
     /* 1562981 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563063), // Rule ID 21011 //
     /* 1562986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563025 */     // MIs[0] round
     /* 1563025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563028 */     // MIs[0] policy
     /* 1563028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563038 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1563041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563062 */     // GIR_Coverage, 21011,
     /* 1563062 */     GIR_EraseRootFromParent_Done,
     /* 1563063 */   // Label 21658: @1563063
     /* 1563063 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563145), // Rule ID 21014 //
     /* 1563068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563107 */     // MIs[0] round
     /* 1563107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563110 */     // MIs[0] policy
     /* 1563110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563120 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1563123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563144 */     // GIR_Coverage, 21014,
     /* 1563144 */     GIR_EraseRootFromParent_Done,
     /* 1563145 */   // Label 21659: @1563145
     /* 1563145 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1563227), // Rule ID 21015 //
     /* 1563150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563189 */     // MIs[0] round
     /* 1563189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563192 */     // MIs[0] policy
     /* 1563192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1563205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563226 */     // GIR_Coverage, 21015,
     /* 1563226 */     GIR_EraseRootFromParent_Done,
     /* 1563227 */   // Label 21660: @1563227
     /* 1563227 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1563309), // Rule ID 21018 //
     /* 1563232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563271 */     // MIs[0] round
     /* 1563271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563274 */     // MIs[0] policy
     /* 1563274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1563287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563308 */     // GIR_Coverage, 21018,
     /* 1563308 */     GIR_EraseRootFromParent_Done,
     /* 1563309 */   // Label 21661: @1563309
     /* 1563309 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1563391), // Rule ID 21019 //
     /* 1563314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563353 */     // MIs[0] round
     /* 1563353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563356 */     // MIs[0] policy
     /* 1563356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563366 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1563369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563390 */     // GIR_Coverage, 21019,
     /* 1563390 */     GIR_EraseRootFromParent_Done,
     /* 1563391 */   // Label 21662: @1563391
     /* 1563391 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1563473), // Rule ID 21022 //
     /* 1563396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563435 */     // MIs[0] round
     /* 1563435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563438 */     // MIs[0] policy
     /* 1563438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1563451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563472 */     // GIR_Coverage, 21022,
     /* 1563472 */     GIR_EraseRootFromParent_Done,
     /* 1563473 */   // Label 21663: @1563473
     /* 1563473 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1563555), // Rule ID 21023 //
     /* 1563478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563517 */     // MIs[0] round
     /* 1563517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563520 */     // MIs[0] policy
     /* 1563520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1563533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563554 */     // GIR_Coverage, 21023,
     /* 1563554 */     GIR_EraseRootFromParent_Done,
     /* 1563555 */   // Label 21664: @1563555
     /* 1563555 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1563637), // Rule ID 21026 //
     /* 1563560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563599 */     // MIs[0] round
     /* 1563599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563602 */     // MIs[0] policy
     /* 1563602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1563615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563636 */     // GIR_Coverage, 21026,
     /* 1563636 */     GIR_EraseRootFromParent_Done,
     /* 1563637 */   // Label 21665: @1563637
     /* 1563637 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1563719), // Rule ID 21027 //
     /* 1563642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563681 */     // MIs[0] round
     /* 1563681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563684 */     // MIs[0] policy
     /* 1563684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1563697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563718 */     // GIR_Coverage, 21027,
     /* 1563718 */     GIR_EraseRootFromParent_Done,
     /* 1563719 */   // Label 21666: @1563719
     /* 1563719 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1563801), // Rule ID 21030 //
     /* 1563724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563763 */     // MIs[0] round
     /* 1563763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563766 */     // MIs[0] policy
     /* 1563766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1563779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563800 */     // GIR_Coverage, 21030,
     /* 1563800 */     GIR_EraseRootFromParent_Done,
     /* 1563801 */   // Label 21667: @1563801
     /* 1563801 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1563883), // Rule ID 21031 //
     /* 1563806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563845 */     // MIs[0] round
     /* 1563845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563848 */     // MIs[0] policy
     /* 1563848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1563861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563882 */     // GIR_Coverage, 21031,
     /* 1563882 */     GIR_EraseRootFromParent_Done,
     /* 1563883 */   // Label 21668: @1563883
     /* 1563883 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1563965), // Rule ID 21034 //
     /* 1563888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563927 */     // MIs[0] round
     /* 1563927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563930 */     // MIs[0] policy
     /* 1563930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1563943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563964 */     // GIR_Coverage, 21034,
     /* 1563964 */     GIR_EraseRootFromParent_Done,
     /* 1563965 */   // Label 21669: @1563965
     /* 1563965 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564047), // Rule ID 21035 //
     /* 1563970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564009 */     // MIs[0] round
     /* 1564009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564012 */     // MIs[0] policy
     /* 1564012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1564025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564046 */     // GIR_Coverage, 21035,
     /* 1564046 */     GIR_EraseRootFromParent_Done,
     /* 1564047 */   // Label 21670: @1564047
     /* 1564047 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564129), // Rule ID 21038 //
     /* 1564052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564091 */     // MIs[0] round
     /* 1564091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564094 */     // MIs[0] policy
     /* 1564094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1564107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564128 */     // GIR_Coverage, 21038,
     /* 1564128 */     GIR_EraseRootFromParent_Done,
     /* 1564129 */   // Label 21671: @1564129
     /* 1564129 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1564211), // Rule ID 21039 //
     /* 1564134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564173 */     // MIs[0] round
     /* 1564173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564176 */     // MIs[0] policy
     /* 1564176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1564189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564210 */     // GIR_Coverage, 21039,
     /* 1564210 */     GIR_EraseRootFromParent_Done,
     /* 1564211 */   // Label 21672: @1564211
     /* 1564211 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1564293), // Rule ID 21042 //
     /* 1564216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564255 */     // MIs[0] round
     /* 1564255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564258 */     // MIs[0] policy
     /* 1564258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1564271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564292 */     // GIR_Coverage, 21042,
     /* 1564292 */     GIR_EraseRootFromParent_Done,
     /* 1564293 */   // Label 21673: @1564293
     /* 1564293 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1564375), // Rule ID 21043 //
     /* 1564298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564337 */     // MIs[0] round
     /* 1564337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564340 */     // MIs[0] policy
     /* 1564340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1564353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564374 */     // GIR_Coverage, 21043,
     /* 1564374 */     GIR_EraseRootFromParent_Done,
     /* 1564375 */   // Label 21674: @1564375
     /* 1564375 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1564457), // Rule ID 21046 //
     /* 1564380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564419 */     // MIs[0] round
     /* 1564419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564422 */     // MIs[0] policy
     /* 1564422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1564435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564456 */     // GIR_Coverage, 21046,
     /* 1564456 */     GIR_EraseRootFromParent_Done,
     /* 1564457 */   // Label 21675: @1564457
     /* 1564457 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1564539), // Rule ID 21047 //
     /* 1564462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564501 */     // MIs[0] round
     /* 1564501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564504 */     // MIs[0] policy
     /* 1564504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564514 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1564517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564538 */     // GIR_Coverage, 21047,
     /* 1564538 */     GIR_EraseRootFromParent_Done,
     /* 1564539 */   // Label 21676: @1564539
     /* 1564539 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1564621), // Rule ID 21050 //
     /* 1564544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564583 */     // MIs[0] round
     /* 1564583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564586 */     // MIs[0] policy
     /* 1564586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1564599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564620 */     // GIR_Coverage, 21050,
     /* 1564620 */     GIR_EraseRootFromParent_Done,
     /* 1564621 */   // Label 21677: @1564621
     /* 1564621 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1564703), // Rule ID 21051 //
     /* 1564626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564665 */     // MIs[0] round
     /* 1564665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564668 */     // MIs[0] policy
     /* 1564668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1564681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564702 */     // GIR_Coverage, 21051,
     /* 1564702 */     GIR_EraseRootFromParent_Done,
     /* 1564703 */   // Label 21678: @1564703
     /* 1564703 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1564785), // Rule ID 21054 //
     /* 1564708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564747 */     // MIs[0] round
     /* 1564747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564750 */     // MIs[0] policy
     /* 1564750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1564763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564784 */     // GIR_Coverage, 21054,
     /* 1564784 */     GIR_EraseRootFromParent_Done,
     /* 1564785 */   // Label 21679: @1564785
     /* 1564785 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1564867), // Rule ID 21055 //
     /* 1564790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564829 */     // MIs[0] round
     /* 1564829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564832 */     // MIs[0] policy
     /* 1564832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1564845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564866 */     // GIR_Coverage, 21055,
     /* 1564866 */     GIR_EraseRootFromParent_Done,
     /* 1564867 */   // Label 21680: @1564867
     /* 1564867 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1564949), // Rule ID 21058 //
     /* 1564872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564911 */     // MIs[0] round
     /* 1564911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564914 */     // MIs[0] policy
     /* 1564914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1564927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564948 */     // GIR_Coverage, 21058,
     /* 1564948 */     GIR_EraseRootFromParent_Done,
     /* 1564949 */   // Label 21681: @1564949
     /* 1564949 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565031), // Rule ID 21059 //
     /* 1564954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564993 */     // MIs[0] round
     /* 1564993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564996 */     // MIs[0] policy
     /* 1564996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565006 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1565009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565030 */     // GIR_Coverage, 21059,
     /* 1565030 */     GIR_EraseRootFromParent_Done,
     /* 1565031 */   // Label 21682: @1565031
     /* 1565031 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565113), // Rule ID 21062 //
     /* 1565036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1565039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565075 */     // MIs[0] round
     /* 1565075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565078 */     // MIs[0] policy
     /* 1565078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1565091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565112 */     // GIR_Coverage, 21062,
     /* 1565112 */     GIR_EraseRootFromParent_Done,
     /* 1565113 */   // Label 21683: @1565113
     /* 1565113 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1565195), // Rule ID 21063 //
     /* 1565118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1565121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565157 */     // MIs[0] round
     /* 1565157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565160 */     // MIs[0] policy
     /* 1565160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1565173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565194 */     // GIR_Coverage, 21063,
     /* 1565194 */     GIR_EraseRootFromParent_Done,
     /* 1565195 */   // Label 21684: @1565195
     /* 1565195 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1565277), // Rule ID 21066 //
     /* 1565200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565239 */     // MIs[0] round
     /* 1565239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565242 */     // MIs[0] policy
     /* 1565242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565252 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1565255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565276 */     // GIR_Coverage, 21066,
     /* 1565276 */     GIR_EraseRootFromParent_Done,
     /* 1565277 */   // Label 21685: @1565277
     /* 1565277 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1565359), // Rule ID 21067 //
     /* 1565282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565321 */     // MIs[0] round
     /* 1565321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565324 */     // MIs[0] policy
     /* 1565324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565334 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1565337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565358 */     // GIR_Coverage, 21067,
     /* 1565358 */     GIR_EraseRootFromParent_Done,
     /* 1565359 */   // Label 21686: @1565359
     /* 1565359 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1565441), // Rule ID 21070 //
     /* 1565364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565403 */     // MIs[0] round
     /* 1565403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565406 */     // MIs[0] policy
     /* 1565406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1565419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565440 */     // GIR_Coverage, 21070,
     /* 1565440 */     GIR_EraseRootFromParent_Done,
     /* 1565441 */   // Label 21687: @1565441
     /* 1565441 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1565523), // Rule ID 21071 //
     /* 1565446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565485 */     // MIs[0] round
     /* 1565485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565488 */     // MIs[0] policy
     /* 1565488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1565501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565522 */     // GIR_Coverage, 21071,
     /* 1565522 */     GIR_EraseRootFromParent_Done,
     /* 1565523 */   // Label 21688: @1565523
     /* 1565523 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1565605), // Rule ID 21074 //
     /* 1565528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1565539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1565542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565567 */     // MIs[0] round
     /* 1565567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565570 */     // MIs[0] policy
     /* 1565570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565580 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1565583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565604 */     // GIR_Coverage, 21074,
     /* 1565604 */     GIR_EraseRootFromParent_Done,
     /* 1565605 */   // Label 21689: @1565605
     /* 1565605 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1565687), // Rule ID 21075 //
     /* 1565610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1565621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1565624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565649 */     // MIs[0] round
     /* 1565649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565652 */     // MIs[0] policy
     /* 1565652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565662 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1565665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565686 */     // GIR_Coverage, 21075,
     /* 1565686 */     GIR_EraseRootFromParent_Done,
     /* 1565687 */   // Label 21690: @1565687
     /* 1565687 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1565769), // Rule ID 21078 //
     /* 1565692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565731 */     // MIs[0] round
     /* 1565731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565734 */     // MIs[0] policy
     /* 1565734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1565747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565768 */     // GIR_Coverage, 21078,
     /* 1565768 */     GIR_EraseRootFromParent_Done,
     /* 1565769 */   // Label 21691: @1565769
     /* 1565769 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1565851), // Rule ID 21079 //
     /* 1565774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565813 */     // MIs[0] round
     /* 1565813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565816 */     // MIs[0] policy
     /* 1565816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565826 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1565829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565850 */     // GIR_Coverage, 21079,
     /* 1565850 */     GIR_EraseRootFromParent_Done,
     /* 1565851 */   // Label 21692: @1565851
     /* 1565851 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1565933), // Rule ID 21082 //
     /* 1565856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565895 */     // MIs[0] round
     /* 1565895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565898 */     // MIs[0] policy
     /* 1565898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1565911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565932 */     // GIR_Coverage, 21082,
     /* 1565932 */     GIR_EraseRootFromParent_Done,
     /* 1565933 */   // Label 21693: @1565933
     /* 1565933 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566015), // Rule ID 21083 //
     /* 1565938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565977 */     // MIs[0] round
     /* 1565977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565980 */     // MIs[0] policy
     /* 1565980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1565993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566014 */     // GIR_Coverage, 21083,
     /* 1566014 */     GIR_EraseRootFromParent_Done,
     /* 1566015 */   // Label 21694: @1566015
     /* 1566015 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566097), // Rule ID 21086 //
     /* 1566020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566059 */     // MIs[0] round
     /* 1566059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566062 */     // MIs[0] policy
     /* 1566062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1566075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566096 */     // GIR_Coverage, 21086,
     /* 1566096 */     GIR_EraseRootFromParent_Done,
     /* 1566097 */   // Label 21695: @1566097
     /* 1566097 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1566179), // Rule ID 21087 //
     /* 1566102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566141 */     // MIs[0] round
     /* 1566141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566144 */     // MIs[0] policy
     /* 1566144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566154 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1566157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566178 */     // GIR_Coverage, 21087,
     /* 1566178 */     GIR_EraseRootFromParent_Done,
     /* 1566179 */   // Label 21696: @1566179
     /* 1566179 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1566261), // Rule ID 21090 //
     /* 1566184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1566195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1566198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566223 */     // MIs[0] round
     /* 1566223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566226 */     // MIs[0] policy
     /* 1566226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566236 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1566239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566260 */     // GIR_Coverage, 21090,
     /* 1566260 */     GIR_EraseRootFromParent_Done,
     /* 1566261 */   // Label 21697: @1566261
     /* 1566261 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1566343), // Rule ID 21091 //
     /* 1566266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1566277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1566280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566305 */     // MIs[0] round
     /* 1566305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566308 */     // MIs[0] policy
     /* 1566308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1566321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566342 */     // GIR_Coverage, 21091,
     /* 1566342 */     GIR_EraseRootFromParent_Done,
     /* 1566343 */   // Label 21698: @1566343
     /* 1566343 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1566425), // Rule ID 21094 //
     /* 1566348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566387 */     // MIs[0] round
     /* 1566387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566390 */     // MIs[0] policy
     /* 1566390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1566403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566424 */     // GIR_Coverage, 21094,
     /* 1566424 */     GIR_EraseRootFromParent_Done,
     /* 1566425 */   // Label 21699: @1566425
     /* 1566425 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1566507), // Rule ID 21095 //
     /* 1566430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566469 */     // MIs[0] round
     /* 1566469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566472 */     // MIs[0] policy
     /* 1566472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1566485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566506 */     // GIR_Coverage, 21095,
     /* 1566506 */     GIR_EraseRootFromParent_Done,
     /* 1566507 */   // Label 21700: @1566507
     /* 1566507 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1566589), // Rule ID 21098 //
     /* 1566512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1566523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1566526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566551 */     // MIs[0] round
     /* 1566551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566554 */     // MIs[0] policy
     /* 1566554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1566567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566588 */     // GIR_Coverage, 21098,
     /* 1566588 */     GIR_EraseRootFromParent_Done,
     /* 1566589 */   // Label 21701: @1566589
     /* 1566589 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1566671), // Rule ID 21099 //
     /* 1566594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1566605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1566608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566633 */     // MIs[0] round
     /* 1566633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566636 */     // MIs[0] policy
     /* 1566636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566646 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1566649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566670 */     // GIR_Coverage, 21099,
     /* 1566670 */     GIR_EraseRootFromParent_Done,
     /* 1566671 */   // Label 21702: @1566671
     /* 1566671 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1566753), // Rule ID 21174 //
     /* 1566676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1566684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566715 */     // MIs[0] round
     /* 1566715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566718 */     // MIs[0] policy
     /* 1566718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1566731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566752 */     // GIR_Coverage, 21174,
     /* 1566752 */     GIR_EraseRootFromParent_Done,
     /* 1566753 */   // Label 21703: @1566753
     /* 1566753 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1566835), // Rule ID 21175 //
     /* 1566758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1566766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566797 */     // MIs[0] round
     /* 1566797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566800 */     // MIs[0] policy
     /* 1566800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1566813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566834 */     // GIR_Coverage, 21175,
     /* 1566834 */     GIR_EraseRootFromParent_Done,
     /* 1566835 */   // Label 21704: @1566835
     /* 1566835 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1566917), // Rule ID 21178 //
     /* 1566840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1566848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566879 */     // MIs[0] round
     /* 1566879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566882 */     // MIs[0] policy
     /* 1566882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1566895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566916 */     // GIR_Coverage, 21178,
     /* 1566916 */     GIR_EraseRootFromParent_Done,
     /* 1566917 */   // Label 21705: @1566917
     /* 1566917 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1566999), // Rule ID 21179 //
     /* 1566922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1566930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566961 */     // MIs[0] round
     /* 1566961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566964 */     // MIs[0] policy
     /* 1566964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1566977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566998 */     // GIR_Coverage, 21179,
     /* 1566998 */     GIR_EraseRootFromParent_Done,
     /* 1566999 */   // Label 21706: @1566999
     /* 1566999 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567081), // Rule ID 21182 //
     /* 1567004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567043 */     // MIs[0] round
     /* 1567043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567046 */     // MIs[0] policy
     /* 1567046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567080 */     // GIR_Coverage, 21182,
     /* 1567080 */     GIR_EraseRootFromParent_Done,
     /* 1567081 */   // Label 21707: @1567081
     /* 1567081 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1567163), // Rule ID 21183 //
     /* 1567086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567125 */     // MIs[0] round
     /* 1567125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567128 */     // MIs[0] policy
     /* 1567128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567162 */     // GIR_Coverage, 21183,
     /* 1567162 */     GIR_EraseRootFromParent_Done,
     /* 1567163 */   // Label 21708: @1567163
     /* 1567163 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1567245), // Rule ID 21186 //
     /* 1567168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567207 */     // MIs[0] round
     /* 1567207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567210 */     // MIs[0] policy
     /* 1567210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567244 */     // GIR_Coverage, 21186,
     /* 1567244 */     GIR_EraseRootFromParent_Done,
     /* 1567245 */   // Label 21709: @1567245
     /* 1567245 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1567327), // Rule ID 21187 //
     /* 1567250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567289 */     // MIs[0] round
     /* 1567289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567292 */     // MIs[0] policy
     /* 1567292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567326 */     // GIR_Coverage, 21187,
     /* 1567326 */     GIR_EraseRootFromParent_Done,
     /* 1567327 */   // Label 21710: @1567327
     /* 1567327 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1567409), // Rule ID 21190 //
     /* 1567332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1567343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1567346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567371 */     // MIs[0] round
     /* 1567371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567374 */     // MIs[0] policy
     /* 1567374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1567387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567408 */     // GIR_Coverage, 21190,
     /* 1567408 */     GIR_EraseRootFromParent_Done,
     /* 1567409 */   // Label 21711: @1567409
     /* 1567409 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1567491), // Rule ID 21191 //
     /* 1567414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1567425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1567428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567453 */     // MIs[0] round
     /* 1567453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567456 */     // MIs[0] policy
     /* 1567456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1567469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567490 */     // GIR_Coverage, 21191,
     /* 1567490 */     GIR_EraseRootFromParent_Done,
     /* 1567491 */   // Label 21712: @1567491
     /* 1567491 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1567573), // Rule ID 21194 //
     /* 1567496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1567507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1567510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567535 */     // MIs[0] round
     /* 1567535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567538 */     // MIs[0] policy
     /* 1567538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1567551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567572 */     // GIR_Coverage, 21194,
     /* 1567572 */     GIR_EraseRootFromParent_Done,
     /* 1567573 */   // Label 21713: @1567573
     /* 1567573 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1567655), // Rule ID 21195 //
     /* 1567578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1567589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1567592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567617 */     // MIs[0] round
     /* 1567617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567620 */     // MIs[0] policy
     /* 1567620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1567633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567654 */     // GIR_Coverage, 21195,
     /* 1567654 */     GIR_EraseRootFromParent_Done,
     /* 1567655 */   // Label 21714: @1567655
     /* 1567655 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1567737), // Rule ID 21198 //
     /* 1567660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1567671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1567674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567699 */     // MIs[0] round
     /* 1567699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567702 */     // MIs[0] policy
     /* 1567702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567736 */     // GIR_Coverage, 21198,
     /* 1567736 */     GIR_EraseRootFromParent_Done,
     /* 1567737 */   // Label 21715: @1567737
     /* 1567737 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1567819), // Rule ID 21199 //
     /* 1567742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1567753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1567756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567781 */     // MIs[0] round
     /* 1567781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567784 */     // MIs[0] policy
     /* 1567784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567818 */     // GIR_Coverage, 21199,
     /* 1567818 */     GIR_EraseRootFromParent_Done,
     /* 1567819 */   // Label 21716: @1567819
     /* 1567819 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1567901), // Rule ID 21202 //
     /* 1567824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567863 */     // MIs[0] round
     /* 1567863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567866 */     // MIs[0] policy
     /* 1567866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567900 */     // GIR_Coverage, 21202,
     /* 1567900 */     GIR_EraseRootFromParent_Done,
     /* 1567901 */   // Label 21717: @1567901
     /* 1567901 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1567983), // Rule ID 21203 //
     /* 1567906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567945 */     // MIs[0] round
     /* 1567945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567948 */     // MIs[0] policy
     /* 1567948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567982 */     // GIR_Coverage, 21203,
     /* 1567982 */     GIR_EraseRootFromParent_Done,
     /* 1567983 */   // Label 21718: @1567983
     /* 1567983 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568065), // Rule ID 21206 //
     /* 1567988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568027 */     // MIs[0] round
     /* 1568027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568030 */     // MIs[0] policy
     /* 1568030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1568043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568064 */     // GIR_Coverage, 21206,
     /* 1568064 */     GIR_EraseRootFromParent_Done,
     /* 1568065 */   // Label 21719: @1568065
     /* 1568065 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568147), // Rule ID 21207 //
     /* 1568070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568109 */     // MIs[0] round
     /* 1568109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568112 */     // MIs[0] policy
     /* 1568112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1568125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568146 */     // GIR_Coverage, 21207,
     /* 1568146 */     GIR_EraseRootFromParent_Done,
     /* 1568147 */   // Label 21720: @1568147
     /* 1568147 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1568229), // Rule ID 21210 //
     /* 1568152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568191 */     // MIs[0] round
     /* 1568191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568194 */     // MIs[0] policy
     /* 1568194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1568207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568228 */     // GIR_Coverage, 21210,
     /* 1568228 */     GIR_EraseRootFromParent_Done,
     /* 1568229 */   // Label 21721: @1568229
     /* 1568229 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1568311), // Rule ID 21211 //
     /* 1568234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568273 */     // MIs[0] round
     /* 1568273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568276 */     // MIs[0] policy
     /* 1568276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1568289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568310 */     // GIR_Coverage, 21211,
     /* 1568310 */     GIR_EraseRootFromParent_Done,
     /* 1568311 */   // Label 21722: @1568311
     /* 1568311 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1568393), // Rule ID 21214 //
     /* 1568316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568355 */     // MIs[0] round
     /* 1568355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568358 */     // MIs[0] policy
     /* 1568358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1568371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568392 */     // GIR_Coverage, 21214,
     /* 1568392 */     GIR_EraseRootFromParent_Done,
     /* 1568393 */   // Label 21723: @1568393
     /* 1568393 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1568475), // Rule ID 21215 //
     /* 1568398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568437 */     // MIs[0] round
     /* 1568437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568440 */     // MIs[0] policy
     /* 1568440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1568453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568474 */     // GIR_Coverage, 21215,
     /* 1568474 */     GIR_EraseRootFromParent_Done,
     /* 1568475 */   // Label 21724: @1568475
     /* 1568475 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1568557), // Rule ID 21218 //
     /* 1568480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1568497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568519 */     // MIs[0] round
     /* 1568519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568522 */     // MIs[0] policy
     /* 1568522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1568535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568556 */     // GIR_Coverage, 21218,
     /* 1568556 */     GIR_EraseRootFromParent_Done,
     /* 1568557 */   // Label 21725: @1568557
     /* 1568557 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1568639), // Rule ID 21219 //
     /* 1568562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1568579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568601 */     // MIs[0] round
     /* 1568601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568604 */     // MIs[0] policy
     /* 1568604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1568617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568638 */     // GIR_Coverage, 21219,
     /* 1568638 */     GIR_EraseRootFromParent_Done,
     /* 1568639 */   // Label 21726: @1568639
     /* 1568639 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1568721), // Rule ID 21222 //
     /* 1568644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1568661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568683 */     // MIs[0] round
     /* 1568683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568686 */     // MIs[0] policy
     /* 1568686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1568699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568720 */     // GIR_Coverage, 21222,
     /* 1568720 */     GIR_EraseRootFromParent_Done,
     /* 1568721 */   // Label 21727: @1568721
     /* 1568721 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1568803), // Rule ID 21223 //
     /* 1568726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1568743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568765 */     // MIs[0] round
     /* 1568765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568768 */     // MIs[0] policy
     /* 1568768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1568781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568802 */     // GIR_Coverage, 21223,
     /* 1568802 */     GIR_EraseRootFromParent_Done,
     /* 1568803 */   // Label 21728: @1568803
     /* 1568803 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1568885), // Rule ID 21226 //
     /* 1568808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1568825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568847 */     // MIs[0] round
     /* 1568847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568850 */     // MIs[0] policy
     /* 1568850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1568863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568884 */     // GIR_Coverage, 21226,
     /* 1568884 */     GIR_EraseRootFromParent_Done,
     /* 1568885 */   // Label 21729: @1568885
     /* 1568885 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1568967), // Rule ID 21227 //
     /* 1568890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1568907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568929 */     // MIs[0] round
     /* 1568929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568932 */     // MIs[0] policy
     /* 1568932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1568945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568966 */     // GIR_Coverage, 21227,
     /* 1568966 */     GIR_EraseRootFromParent_Done,
     /* 1568967 */   // Label 21730: @1568967
     /* 1568967 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569049), // Rule ID 21230 //
     /* 1568972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569011 */     // MIs[0] round
     /* 1569011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569014 */     // MIs[0] policy
     /* 1569014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1569027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569048 */     // GIR_Coverage, 21230,
     /* 1569048 */     GIR_EraseRootFromParent_Done,
     /* 1569049 */   // Label 21731: @1569049
     /* 1569049 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569131), // Rule ID 21231 //
     /* 1569054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569093 */     // MIs[0] round
     /* 1569093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569096 */     // MIs[0] policy
     /* 1569096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1569109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569130 */     // GIR_Coverage, 21231,
     /* 1569130 */     GIR_EraseRootFromParent_Done,
     /* 1569131 */   // Label 21732: @1569131
     /* 1569131 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1569213), // Rule ID 21234 //
     /* 1569136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1569147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1569150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569175 */     // MIs[0] round
     /* 1569175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569178 */     // MIs[0] policy
     /* 1569178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1569191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569212 */     // GIR_Coverage, 21234,
     /* 1569212 */     GIR_EraseRootFromParent_Done,
     /* 1569213 */   // Label 21733: @1569213
     /* 1569213 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1569295), // Rule ID 21235 //
     /* 1569218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1569229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1569232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569257 */     // MIs[0] round
     /* 1569257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569260 */     // MIs[0] policy
     /* 1569260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1569273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569294 */     // GIR_Coverage, 21235,
     /* 1569294 */     GIR_EraseRootFromParent_Done,
     /* 1569295 */   // Label 21734: @1569295
     /* 1569295 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1569377), // Rule ID 21238 //
     /* 1569300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1569311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1569314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569339 */     // MIs[0] round
     /* 1569339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569342 */     // MIs[0] policy
     /* 1569342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569376 */     // GIR_Coverage, 21238,
     /* 1569376 */     GIR_EraseRootFromParent_Done,
     /* 1569377 */   // Label 21735: @1569377
     /* 1569377 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1569459), // Rule ID 21239 //
     /* 1569382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1569393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1569396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569421 */     // MIs[0] round
     /* 1569421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569424 */     // MIs[0] policy
     /* 1569424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569458 */     // GIR_Coverage, 21239,
     /* 1569458 */     GIR_EraseRootFromParent_Done,
     /* 1569459 */   // Label 21736: @1569459
     /* 1569459 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1569541), // Rule ID 21242 //
     /* 1569464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1569475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1569478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569503 */     // MIs[0] round
     /* 1569503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569506 */     // MIs[0] policy
     /* 1569506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1569519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569540 */     // GIR_Coverage, 21242,
     /* 1569540 */     GIR_EraseRootFromParent_Done,
     /* 1569541 */   // Label 21737: @1569541
     /* 1569541 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1569623), // Rule ID 21243 //
     /* 1569546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1569557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1569560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569585 */     // MIs[0] round
     /* 1569585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569588 */     // MIs[0] policy
     /* 1569588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1569601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569622 */     // GIR_Coverage, 21243,
     /* 1569622 */     GIR_EraseRootFromParent_Done,
     /* 1569623 */   // Label 21738: @1569623
     /* 1569623 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1569705), // Rule ID 21594 //
     /* 1569628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1569639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1569642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1569645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569667 */     // MIs[0] round
     /* 1569667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569670 */     // MIs[0] policy
     /* 1569670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1569683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569704 */     // GIR_Coverage, 21594,
     /* 1569704 */     GIR_EraseRootFromParent_Done,
     /* 1569705 */   // Label 21739: @1569705
     /* 1569705 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1569787), // Rule ID 21595 //
     /* 1569710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1569721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1569724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1569727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569749 */     // MIs[0] round
     /* 1569749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569752 */     // MIs[0] policy
     /* 1569752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1569765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569786 */     // GIR_Coverage, 21595,
     /* 1569786 */     GIR_EraseRootFromParent_Done,
     /* 1569787 */   // Label 21740: @1569787
     /* 1569787 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1569869), // Rule ID 21598 //
     /* 1569792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1569803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1569806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1569809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569831 */     // MIs[0] round
     /* 1569831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569834 */     // MIs[0] policy
     /* 1569834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1569847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569868 */     // GIR_Coverage, 21598,
     /* 1569868 */     GIR_EraseRootFromParent_Done,
     /* 1569869 */   // Label 21741: @1569869
     /* 1569869 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1569951), // Rule ID 21599 //
     /* 1569874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1569885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1569888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1569891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569913 */     // MIs[0] round
     /* 1569913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569916 */     // MIs[0] policy
     /* 1569916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1569929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569950 */     // GIR_Coverage, 21599,
     /* 1569950 */     GIR_EraseRootFromParent_Done,
     /* 1569951 */   // Label 21742: @1569951
     /* 1569951 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570033), // Rule ID 21602 //
     /* 1569956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1569967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1569970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1569973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569995 */     // MIs[0] round
     /* 1569995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569998 */     // MIs[0] policy
     /* 1569998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570032 */     // GIR_Coverage, 21602,
     /* 1570032 */     GIR_EraseRootFromParent_Done,
     /* 1570033 */   // Label 21743: @1570033
     /* 1570033 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570115), // Rule ID 21603 //
     /* 1570038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1570049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1570052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1570055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570077 */     // MIs[0] round
     /* 1570077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570080 */     // MIs[0] policy
     /* 1570080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570114 */     // GIR_Coverage, 21603,
     /* 1570114 */     GIR_EraseRootFromParent_Done,
     /* 1570115 */   // Label 21744: @1570115
     /* 1570115 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1570197), // Rule ID 21606 //
     /* 1570120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570159 */     // MIs[0] round
     /* 1570159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570162 */     // MIs[0] policy
     /* 1570162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1570175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570196 */     // GIR_Coverage, 21606,
     /* 1570196 */     GIR_EraseRootFromParent_Done,
     /* 1570197 */   // Label 21745: @1570197
     /* 1570197 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1570279), // Rule ID 21607 //
     /* 1570202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570241 */     // MIs[0] round
     /* 1570241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570244 */     // MIs[0] policy
     /* 1570244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1570257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570278 */     // GIR_Coverage, 21607,
     /* 1570278 */     GIR_EraseRootFromParent_Done,
     /* 1570279 */   // Label 21746: @1570279
     /* 1570279 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1570361), // Rule ID 21610 //
     /* 1570284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570323 */     // MIs[0] round
     /* 1570323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570326 */     // MIs[0] policy
     /* 1570326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1570339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570360 */     // GIR_Coverage, 21610,
     /* 1570360 */     GIR_EraseRootFromParent_Done,
     /* 1570361 */   // Label 21747: @1570361
     /* 1570361 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1570443), // Rule ID 21611 //
     /* 1570366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570405 */     // MIs[0] round
     /* 1570405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570408 */     // MIs[0] policy
     /* 1570408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1570421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570442 */     // GIR_Coverage, 21611,
     /* 1570442 */     GIR_EraseRootFromParent_Done,
     /* 1570443 */   // Label 21748: @1570443
     /* 1570443 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1570525), // Rule ID 21614 //
     /* 1570448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1570459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1570462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570487 */     // MIs[0] round
     /* 1570487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570490 */     // MIs[0] policy
     /* 1570490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1570503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570524 */     // GIR_Coverage, 21614,
     /* 1570524 */     GIR_EraseRootFromParent_Done,
     /* 1570525 */   // Label 21749: @1570525
     /* 1570525 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1570607), // Rule ID 21615 //
     /* 1570530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1570541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1570544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570569 */     // MIs[0] round
     /* 1570569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570572 */     // MIs[0] policy
     /* 1570572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1570585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570606 */     // GIR_Coverage, 21615,
     /* 1570606 */     GIR_EraseRootFromParent_Done,
     /* 1570607 */   // Label 21750: @1570607
     /* 1570607 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1570689), // Rule ID 21618 //
     /* 1570612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1570623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1570626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1570629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570651 */     // MIs[0] round
     /* 1570651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570654 */     // MIs[0] policy
     /* 1570654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1570667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570688 */     // GIR_Coverage, 21618,
     /* 1570688 */     GIR_EraseRootFromParent_Done,
     /* 1570689 */   // Label 21751: @1570689
     /* 1570689 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1570771), // Rule ID 21619 //
     /* 1570694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1570697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1570705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1570708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1570711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570733 */     // MIs[0] round
     /* 1570733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570736 */     // MIs[0] policy
     /* 1570736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1570749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570770 */     // GIR_Coverage, 21619,
     /* 1570770 */     GIR_EraseRootFromParent_Done,
     /* 1570771 */   // Label 21752: @1570771
     /* 1570771 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1570853), // Rule ID 21622 //
     /* 1570776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1570787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1570790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1570793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570815 */     // MIs[0] round
     /* 1570815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570818 */     // MIs[0] policy
     /* 1570818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570852 */     // GIR_Coverage, 21622,
     /* 1570852 */     GIR_EraseRootFromParent_Done,
     /* 1570853 */   // Label 21753: @1570853
     /* 1570853 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1570935), // Rule ID 21623 //
     /* 1570858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1570861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1570869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1570872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1570875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570897 */     // MIs[0] round
     /* 1570897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570900 */     // MIs[0] policy
     /* 1570900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570934 */     // GIR_Coverage, 21623,
     /* 1570934 */     GIR_EraseRootFromParent_Done,
     /* 1570935 */   // Label 21754: @1570935
     /* 1570935 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571017), // Rule ID 21626 //
     /* 1570940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570979 */     // MIs[0] round
     /* 1570979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570982 */     // MIs[0] policy
     /* 1570982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1570995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571016 */     // GIR_Coverage, 21626,
     /* 1571016 */     GIR_EraseRootFromParent_Done,
     /* 1571017 */   // Label 21755: @1571017
     /* 1571017 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571099), // Rule ID 21627 //
     /* 1571022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571061 */     // MIs[0] round
     /* 1571061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571064 */     // MIs[0] policy
     /* 1571064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1571077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571098 */     // GIR_Coverage, 21627,
     /* 1571098 */     GIR_EraseRootFromParent_Done,
     /* 1571099 */   // Label 21756: @1571099
     /* 1571099 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1571181), // Rule ID 21630 //
     /* 1571104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571143 */     // MIs[0] round
     /* 1571143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571146 */     // MIs[0] policy
     /* 1571146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571180 */     // GIR_Coverage, 21630,
     /* 1571180 */     GIR_EraseRootFromParent_Done,
     /* 1571181 */   // Label 21757: @1571181
     /* 1571181 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1571263), // Rule ID 21631 //
     /* 1571186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571225 */     // MIs[0] round
     /* 1571225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571228 */     // MIs[0] policy
     /* 1571228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571262 */     // GIR_Coverage, 21631,
     /* 1571262 */     GIR_EraseRootFromParent_Done,
     /* 1571263 */   // Label 21758: @1571263
     /* 1571263 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1571345), // Rule ID 21634 //
     /* 1571268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571307 */     // MIs[0] round
     /* 1571307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571310 */     // MIs[0] policy
     /* 1571310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571344 */     // GIR_Coverage, 21634,
     /* 1571344 */     GIR_EraseRootFromParent_Done,
     /* 1571345 */   // Label 21759: @1571345
     /* 1571345 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1571427), // Rule ID 21635 //
     /* 1571350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571389 */     // MIs[0] round
     /* 1571389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571392 */     // MIs[0] policy
     /* 1571392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571426 */     // GIR_Coverage, 21635,
     /* 1571426 */     GIR_EraseRootFromParent_Done,
     /* 1571427 */   // Label 21760: @1571427
     /* 1571427 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1571509), // Rule ID 21638 //
     /* 1571432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571471 */     // MIs[0] round
     /* 1571471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571474 */     // MIs[0] policy
     /* 1571474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1571487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571508 */     // GIR_Coverage, 21638,
     /* 1571508 */     GIR_EraseRootFromParent_Done,
     /* 1571509 */   // Label 21761: @1571509
     /* 1571509 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1571591), // Rule ID 21639 //
     /* 1571514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1571517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571553 */     // MIs[0] round
     /* 1571553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571556 */     // MIs[0] policy
     /* 1571556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1571569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571590 */     // GIR_Coverage, 21639,
     /* 1571590 */     GIR_EraseRootFromParent_Done,
     /* 1571591 */   // Label 21762: @1571591
     /* 1571591 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1571673), // Rule ID 21642 //
     /* 1571596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571635 */     // MIs[0] round
     /* 1571635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571638 */     // MIs[0] policy
     /* 1571638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1571651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571672 */     // GIR_Coverage, 21642,
     /* 1571672 */     GIR_EraseRootFromParent_Done,
     /* 1571673 */   // Label 21763: @1571673
     /* 1571673 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1571755), // Rule ID 21643 //
     /* 1571678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1571681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571717 */     // MIs[0] round
     /* 1571717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571720 */     // MIs[0] policy
     /* 1571720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1571733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571754 */     // GIR_Coverage, 21643,
     /* 1571754 */     GIR_EraseRootFromParent_Done,
     /* 1571755 */   // Label 21764: @1571755
     /* 1571755 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1571837), // Rule ID 21646 //
     /* 1571760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571799 */     // MIs[0] round
     /* 1571799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571802 */     // MIs[0] policy
     /* 1571802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571836 */     // GIR_Coverage, 21646,
     /* 1571836 */     GIR_EraseRootFromParent_Done,
     /* 1571837 */   // Label 21765: @1571837
     /* 1571837 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1571919), // Rule ID 21647 //
     /* 1571842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1571845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571881 */     // MIs[0] round
     /* 1571881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571884 */     // MIs[0] policy
     /* 1571884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571918 */     // GIR_Coverage, 21647,
     /* 1571918 */     GIR_EraseRootFromParent_Done,
     /* 1571919 */   // Label 21766: @1571919
     /* 1571919 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572001), // Rule ID 21650 //
     /* 1571924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571963 */     // MIs[0] round
     /* 1571963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571966 */     // MIs[0] policy
     /* 1571966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572000 */     // GIR_Coverage, 21650,
     /* 1572000 */     GIR_EraseRootFromParent_Done,
     /* 1572001 */   // Label 21767: @1572001
     /* 1572001 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572083), // Rule ID 21651 //
     /* 1572006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1572023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572045 */     // MIs[0] round
     /* 1572045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572048 */     // MIs[0] policy
     /* 1572048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1572061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572082 */     // GIR_Coverage, 21651,
     /* 1572082 */     GIR_EraseRootFromParent_Done,
     /* 1572083 */   // Label 21768: @1572083
     /* 1572083 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1572165), // Rule ID 21654 //
     /* 1572088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572127 */     // MIs[0] round
     /* 1572127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572130 */     // MIs[0] policy
     /* 1572130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1572143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572164 */     // GIR_Coverage, 21654,
     /* 1572164 */     GIR_EraseRootFromParent_Done,
     /* 1572165 */   // Label 21769: @1572165
     /* 1572165 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1572247), // Rule ID 21655 //
     /* 1572170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572209 */     // MIs[0] round
     /* 1572209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572212 */     // MIs[0] policy
     /* 1572212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1572225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572246 */     // GIR_Coverage, 21655,
     /* 1572246 */     GIR_EraseRootFromParent_Done,
     /* 1572247 */   // Label 21770: @1572247
     /* 1572247 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1572329), // Rule ID 21658 //
     /* 1572252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572291 */     // MIs[0] round
     /* 1572291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572294 */     // MIs[0] policy
     /* 1572294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1572307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572328 */     // GIR_Coverage, 21658,
     /* 1572328 */     GIR_EraseRootFromParent_Done,
     /* 1572329 */   // Label 21771: @1572329
     /* 1572329 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1572411), // Rule ID 21659 //
     /* 1572334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572373 */     // MIs[0] round
     /* 1572373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572376 */     // MIs[0] policy
     /* 1572376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1572389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572410 */     // GIR_Coverage, 21659,
     /* 1572410 */     GIR_EraseRootFromParent_Done,
     /* 1572411 */   // Label 21772: @1572411
     /* 1572411 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1572493), // Rule ID 21662 //
     /* 1572416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1572427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1572430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572455 */     // MIs[0] round
     /* 1572455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572458 */     // MIs[0] policy
     /* 1572458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1572471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572492 */     // GIR_Coverage, 21662,
     /* 1572492 */     GIR_EraseRootFromParent_Done,
     /* 1572493 */   // Label 21773: @1572493
     /* 1572493 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1572575), // Rule ID 21663 //
     /* 1572498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1572509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1572512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572537 */     // MIs[0] round
     /* 1572537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572540 */     // MIs[0] policy
     /* 1572540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1572553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572574 */     // GIR_Coverage, 21663,
     /* 1572574 */     GIR_EraseRootFromParent_Done,
     /* 1572575 */   // Label 21774: @1572575
     /* 1572575 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1572657), // Rule ID 21666 //
     /* 1572580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1572591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1572594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1572597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572619 */     // MIs[0] round
     /* 1572619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572622 */     // MIs[0] policy
     /* 1572622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1572635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572656 */     // GIR_Coverage, 21666,
     /* 1572656 */     GIR_EraseRootFromParent_Done,
     /* 1572657 */   // Label 21775: @1572657
     /* 1572657 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1572739), // Rule ID 21667 //
     /* 1572662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1572673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1572676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1572679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572701 */     // MIs[0] round
     /* 1572701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572704 */     // MIs[0] policy
     /* 1572704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1572717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572738 */     // GIR_Coverage, 21667,
     /* 1572738 */     GIR_EraseRootFromParent_Done,
     /* 1572739 */   // Label 21776: @1572739
     /* 1572739 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1572821), // Rule ID 21670 //
     /* 1572744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1572755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1572758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1572761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572783 */     // MIs[0] round
     /* 1572783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572786 */     // MIs[0] policy
     /* 1572786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1572799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572820 */     // GIR_Coverage, 21670,
     /* 1572820 */     GIR_EraseRootFromParent_Done,
     /* 1572821 */   // Label 21777: @1572821
     /* 1572821 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1572903), // Rule ID 21671 //
     /* 1572826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1572837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1572840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1572843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572865 */     // MIs[0] round
     /* 1572865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572868 */     // MIs[0] policy
     /* 1572868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1572881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572902 */     // GIR_Coverage, 21671,
     /* 1572902 */     GIR_EraseRootFromParent_Done,
     /* 1572903 */   // Label 21778: @1572903
     /* 1572903 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1572985), // Rule ID 21674 //
     /* 1572908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1572919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1572922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1572925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1572928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572947 */     // MIs[0] round
     /* 1572947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572950 */     // MIs[0] policy
     /* 1572950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572960 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1572963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572984 */     // GIR_Coverage, 21674,
     /* 1572984 */     GIR_EraseRootFromParent_Done,
     /* 1572985 */   // Label 21779: @1572985
     /* 1572985 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573067), // Rule ID 21675 //
     /* 1572990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1573001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1573004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1573007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1573010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573029 */     // MIs[0] round
     /* 1573029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573032 */     // MIs[0] policy
     /* 1573032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1573045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573066 */     // GIR_Coverage, 21675,
     /* 1573066 */     GIR_EraseRootFromParent_Done,
     /* 1573067 */   // Label 21780: @1573067
     /* 1573067 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573149), // Rule ID 21678 //
     /* 1573072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573111 */     // MIs[0] round
     /* 1573111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573114 */     // MIs[0] policy
     /* 1573114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1573127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573148 */     // GIR_Coverage, 21678,
     /* 1573148 */     GIR_EraseRootFromParent_Done,
     /* 1573149 */   // Label 21781: @1573149
     /* 1573149 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1573231), // Rule ID 21679 //
     /* 1573154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573193 */     // MIs[0] round
     /* 1573193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573196 */     // MIs[0] policy
     /* 1573196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1573209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573230 */     // GIR_Coverage, 21679,
     /* 1573230 */     GIR_EraseRootFromParent_Done,
     /* 1573231 */   // Label 21782: @1573231
     /* 1573231 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1573313), // Rule ID 21682 //
     /* 1573236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573275 */     // MIs[0] round
     /* 1573275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573278 */     // MIs[0] policy
     /* 1573278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573312 */     // GIR_Coverage, 21682,
     /* 1573312 */     GIR_EraseRootFromParent_Done,
     /* 1573313 */   // Label 21783: @1573313
     /* 1573313 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1573395), // Rule ID 21683 //
     /* 1573318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573357 */     // MIs[0] round
     /* 1573357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573360 */     // MIs[0] policy
     /* 1573360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573394 */     // GIR_Coverage, 21683,
     /* 1573394 */     GIR_EraseRootFromParent_Done,
     /* 1573395 */   // Label 21784: @1573395
     /* 1573395 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1573477), // Rule ID 21686 //
     /* 1573400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1573417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573439 */     // MIs[0] round
     /* 1573439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573442 */     // MIs[0] policy
     /* 1573442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1573455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573476 */     // GIR_Coverage, 21686,
     /* 1573476 */     GIR_EraseRootFromParent_Done,
     /* 1573477 */   // Label 21785: @1573477
     /* 1573477 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1573559), // Rule ID 21687 //
     /* 1573482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1573499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573521 */     // MIs[0] round
     /* 1573521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573524 */     // MIs[0] policy
     /* 1573524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1573537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573558 */     // GIR_Coverage, 21687,
     /* 1573558 */     GIR_EraseRootFromParent_Done,
     /* 1573559 */   // Label 21786: @1573559
     /* 1573559 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1573641), // Rule ID 21690 //
     /* 1573564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1573581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573603 */     // MIs[0] round
     /* 1573603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573606 */     // MIs[0] policy
     /* 1573606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1573619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573640 */     // GIR_Coverage, 21690,
     /* 1573640 */     GIR_EraseRootFromParent_Done,
     /* 1573641 */   // Label 21787: @1573641
     /* 1573641 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1573723), // Rule ID 21691 //
     /* 1573646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1573663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573685 */     // MIs[0] round
     /* 1573685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573688 */     // MIs[0] policy
     /* 1573688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1573701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573722 */     // GIR_Coverage, 21691,
     /* 1573722 */     GIR_EraseRootFromParent_Done,
     /* 1573723 */   // Label 21788: @1573723
     /* 1573723 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1573805), // Rule ID 21694 //
     /* 1573728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1573745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573767 */     // MIs[0] round
     /* 1573767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573770 */     // MIs[0] policy
     /* 1573770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1573783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573804 */     // GIR_Coverage, 21694,
     /* 1573804 */     GIR_EraseRootFromParent_Done,
     /* 1573805 */   // Label 21789: @1573805
     /* 1573805 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1573887), // Rule ID 21695 //
     /* 1573810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1573827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573849 */     // MIs[0] round
     /* 1573849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573852 */     // MIs[0] policy
     /* 1573852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1573865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573886 */     // GIR_Coverage, 21695,
     /* 1573886 */     GIR_EraseRootFromParent_Done,
     /* 1573887 */   // Label 21790: @1573887
     /* 1573887 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1573969), // Rule ID 21698 //
     /* 1573892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1573895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1573909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573931 */     // MIs[0] round
     /* 1573931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573934 */     // MIs[0] policy
     /* 1573934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573968 */     // GIR_Coverage, 21698,
     /* 1573968 */     GIR_EraseRootFromParent_Done,
     /* 1573969 */   // Label 21791: @1573969
     /* 1573969 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574051), // Rule ID 21699 //
     /* 1573974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1573977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1573991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574013 */     // MIs[0] round
     /* 1574013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574016 */     // MIs[0] policy
     /* 1574016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1574029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574050 */     // GIR_Coverage, 21699,
     /* 1574050 */     GIR_EraseRootFromParent_Done,
     /* 1574051 */   // Label 21792: @1574051
     /* 1574051 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574133), // Rule ID 21702 //
     /* 1574056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574095 */     // MIs[0] round
     /* 1574095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574098 */     // MIs[0] policy
     /* 1574098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1574111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574132 */     // GIR_Coverage, 21702,
     /* 1574132 */     GIR_EraseRootFromParent_Done,
     /* 1574133 */   // Label 21793: @1574133
     /* 1574133 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1574215), // Rule ID 21703 //
     /* 1574138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574177 */     // MIs[0] round
     /* 1574177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574180 */     // MIs[0] policy
     /* 1574180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1574193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574214 */     // GIR_Coverage, 21703,
     /* 1574214 */     GIR_EraseRootFromParent_Done,
     /* 1574215 */   // Label 21794: @1574215
     /* 1574215 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1574297), // Rule ID 21706 //
     /* 1574220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574259 */     // MIs[0] round
     /* 1574259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574262 */     // MIs[0] policy
     /* 1574262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574296 */     // GIR_Coverage, 21706,
     /* 1574296 */     GIR_EraseRootFromParent_Done,
     /* 1574297 */   // Label 21795: @1574297
     /* 1574297 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1574379), // Rule ID 21707 //
     /* 1574302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574341 */     // MIs[0] round
     /* 1574341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574344 */     // MIs[0] policy
     /* 1574344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574378 */     // GIR_Coverage, 21707,
     /* 1574378 */     GIR_EraseRootFromParent_Done,
     /* 1574379 */   // Label 21796: @1574379
     /* 1574379 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1574461), // Rule ID 21710 //
     /* 1574384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574423 */     // MIs[0] round
     /* 1574423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574426 */     // MIs[0] policy
     /* 1574426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574460 */     // GIR_Coverage, 21710,
     /* 1574460 */     GIR_EraseRootFromParent_Done,
     /* 1574461 */   // Label 21797: @1574461
     /* 1574461 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1574543), // Rule ID 21711 //
     /* 1574466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574505 */     // MIs[0] round
     /* 1574505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574508 */     // MIs[0] policy
     /* 1574508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574542 */     // GIR_Coverage, 21711,
     /* 1574542 */     GIR_EraseRootFromParent_Done,
     /* 1574543 */   // Label 21798: @1574543
     /* 1574543 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1574625), // Rule ID 21834 //
     /* 1574548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1574565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574587 */     // MIs[0] round
     /* 1574587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574590 */     // MIs[0] policy
     /* 1574590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1574603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574624 */     // GIR_Coverage, 21834,
     /* 1574624 */     GIR_EraseRootFromParent_Done,
     /* 1574625 */   // Label 21799: @1574625
     /* 1574625 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1574707), // Rule ID 21835 //
     /* 1574630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1574647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574669 */     // MIs[0] round
     /* 1574669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574672 */     // MIs[0] policy
     /* 1574672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1574685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574706 */     // GIR_Coverage, 21835,
     /* 1574706 */     GIR_EraseRootFromParent_Done,
     /* 1574707 */   // Label 21800: @1574707
     /* 1574707 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1574789), // Rule ID 21838 //
     /* 1574712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574751 */     // MIs[0] round
     /* 1574751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574754 */     // MIs[0] policy
     /* 1574754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1574767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574788 */     // GIR_Coverage, 21838,
     /* 1574788 */     GIR_EraseRootFromParent_Done,
     /* 1574789 */   // Label 21801: @1574789
     /* 1574789 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1574871), // Rule ID 21839 //
     /* 1574794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574833 */     // MIs[0] round
     /* 1574833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574836 */     // MIs[0] policy
     /* 1574836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574846 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1574849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574870 */     // GIR_Coverage, 21839,
     /* 1574870 */     GIR_EraseRootFromParent_Done,
     /* 1574871 */   // Label 21802: @1574871
     /* 1574871 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1574953), // Rule ID 21842 //
     /* 1574876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574915 */     // MIs[0] round
     /* 1574915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574918 */     // MIs[0] policy
     /* 1574918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1574931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574952 */     // GIR_Coverage, 21842,
     /* 1574952 */     GIR_EraseRootFromParent_Done,
     /* 1574953 */   // Label 21803: @1574953
     /* 1574953 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575035), // Rule ID 21843 //
     /* 1574958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1574966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574997 */     // MIs[0] round
     /* 1574997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575000 */     // MIs[0] policy
     /* 1575000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575010 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1575013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575034 */     // GIR_Coverage, 21843,
     /* 1575034 */     GIR_EraseRootFromParent_Done,
     /* 1575035 */   // Label 21804: @1575035
     /* 1575035 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575117), // Rule ID 21846 //
     /* 1575040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575079 */     // MIs[0] round
     /* 1575079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575082 */     // MIs[0] policy
     /* 1575082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1575095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575116 */     // GIR_Coverage, 21846,
     /* 1575116 */     GIR_EraseRootFromParent_Done,
     /* 1575117 */   // Label 21805: @1575117
     /* 1575117 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1575199), // Rule ID 21847 //
     /* 1575122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575161 */     // MIs[0] round
     /* 1575161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575164 */     // MIs[0] policy
     /* 1575164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575174 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1575177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575198 */     // GIR_Coverage, 21847,
     /* 1575198 */     GIR_EraseRootFromParent_Done,
     /* 1575199 */   // Label 21806: @1575199
     /* 1575199 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1575281), // Rule ID 21850 //
     /* 1575204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1575221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575243 */     // MIs[0] round
     /* 1575243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575246 */     // MIs[0] policy
     /* 1575246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575256 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1575259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575280 */     // GIR_Coverage, 21850,
     /* 1575280 */     GIR_EraseRootFromParent_Done,
     /* 1575281 */   // Label 21807: @1575281
     /* 1575281 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1575363), // Rule ID 21851 //
     /* 1575286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1575303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575325 */     // MIs[0] round
     /* 1575325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575328 */     // MIs[0] policy
     /* 1575328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575338 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1575341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575362 */     // GIR_Coverage, 21851,
     /* 1575362 */     GIR_EraseRootFromParent_Done,
     /* 1575363 */   // Label 21808: @1575363
     /* 1575363 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1575445), // Rule ID 21854 //
     /* 1575368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575407 */     // MIs[0] round
     /* 1575407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575410 */     // MIs[0] policy
     /* 1575410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575420 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1575423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575444 */     // GIR_Coverage, 21854,
     /* 1575444 */     GIR_EraseRootFromParent_Done,
     /* 1575445 */   // Label 21809: @1575445
     /* 1575445 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1575527), // Rule ID 21855 //
     /* 1575450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575489 */     // MIs[0] round
     /* 1575489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575492 */     // MIs[0] policy
     /* 1575492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1575505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575526 */     // GIR_Coverage, 21855,
     /* 1575526 */     GIR_EraseRootFromParent_Done,
     /* 1575527 */   // Label 21810: @1575527
     /* 1575527 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1575609), // Rule ID 21858 //
     /* 1575532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1575549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575571 */     // MIs[0] round
     /* 1575571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575574 */     // MIs[0] policy
     /* 1575574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575584 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1575587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575608 */     // GIR_Coverage, 21858,
     /* 1575608 */     GIR_EraseRootFromParent_Done,
     /* 1575609 */   // Label 21811: @1575609
     /* 1575609 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1575691), // Rule ID 21859 //
     /* 1575614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1575631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575653 */     // MIs[0] round
     /* 1575653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575656 */     // MIs[0] policy
     /* 1575656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575666 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1575669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575690 */     // GIR_Coverage, 21859,
     /* 1575690 */     GIR_EraseRootFromParent_Done,
     /* 1575691 */   // Label 21812: @1575691
     /* 1575691 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1575773), // Rule ID 21862 //
     /* 1575696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575735 */     // MIs[0] round
     /* 1575735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575738 */     // MIs[0] policy
     /* 1575738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1575751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575772 */     // GIR_Coverage, 21862,
     /* 1575772 */     GIR_EraseRootFromParent_Done,
     /* 1575773 */   // Label 21813: @1575773
     /* 1575773 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1575855), // Rule ID 21863 //
     /* 1575778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575817 */     // MIs[0] round
     /* 1575817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575820 */     // MIs[0] policy
     /* 1575820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1575833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575854 */     // GIR_Coverage, 21863,
     /* 1575854 */     GIR_EraseRootFromParent_Done,
     /* 1575855 */   // Label 21814: @1575855
     /* 1575855 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1575937), // Rule ID 21866 //
     /* 1575860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575899 */     // MIs[0] round
     /* 1575899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575902 */     // MIs[0] policy
     /* 1575902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575912 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1575915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575936 */     // GIR_Coverage, 21866,
     /* 1575936 */     GIR_EraseRootFromParent_Done,
     /* 1575937 */   // Label 21815: @1575937
     /* 1575937 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576019), // Rule ID 21867 //
     /* 1575942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575981 */     // MIs[0] round
     /* 1575981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575984 */     // MIs[0] policy
     /* 1575984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575994 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1575997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576018 */     // GIR_Coverage, 21867,
     /* 1576018 */     GIR_EraseRootFromParent_Done,
     /* 1576019 */   // Label 21816: @1576019
     /* 1576019 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576101), // Rule ID 21870 //
     /* 1576024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576063 */     // MIs[0] round
     /* 1576063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576066 */     // MIs[0] policy
     /* 1576066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576076 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1576079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576100 */     // GIR_Coverage, 21870,
     /* 1576100 */     GIR_EraseRootFromParent_Done,
     /* 1576101 */   // Label 21817: @1576101
     /* 1576101 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1576183), // Rule ID 21871 //
     /* 1576106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576145 */     // MIs[0] round
     /* 1576145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576148 */     // MIs[0] policy
     /* 1576148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576158 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1576161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576182 */     // GIR_Coverage, 21871,
     /* 1576182 */     GIR_EraseRootFromParent_Done,
     /* 1576183 */   // Label 21818: @1576183
     /* 1576183 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1576265), // Rule ID 21874 //
     /* 1576188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576227 */     // MIs[0] round
     /* 1576227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576230 */     // MIs[0] policy
     /* 1576230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576240 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1576243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576264 */     // GIR_Coverage, 21874,
     /* 1576264 */     GIR_EraseRootFromParent_Done,
     /* 1576265 */   // Label 21819: @1576265
     /* 1576265 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1576347), // Rule ID 21875 //
     /* 1576270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576309 */     // MIs[0] round
     /* 1576309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576312 */     // MIs[0] policy
     /* 1576312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1576325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576346 */     // GIR_Coverage, 21875,
     /* 1576346 */     GIR_EraseRootFromParent_Done,
     /* 1576347 */   // Label 21820: @1576347
     /* 1576347 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1576429), // Rule ID 21878 //
     /* 1576352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576391 */     // MIs[0] round
     /* 1576391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576394 */     // MIs[0] policy
     /* 1576394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576404 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1576407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576428 */     // GIR_Coverage, 21878,
     /* 1576428 */     GIR_EraseRootFromParent_Done,
     /* 1576429 */   // Label 21821: @1576429
     /* 1576429 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1576511), // Rule ID 21879 //
     /* 1576434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576473 */     // MIs[0] round
     /* 1576473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576476 */     // MIs[0] policy
     /* 1576476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576486 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1576489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576510 */     // GIR_Coverage, 21879,
     /* 1576510 */     GIR_EraseRootFromParent_Done,
     /* 1576511 */   // Label 21822: @1576511
     /* 1576511 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1576593), // Rule ID 21882 //
     /* 1576516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576555 */     // MIs[0] round
     /* 1576555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576558 */     // MIs[0] policy
     /* 1576558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576568 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1576571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576592 */     // GIR_Coverage, 21882,
     /* 1576592 */     GIR_EraseRootFromParent_Done,
     /* 1576593 */   // Label 21823: @1576593
     /* 1576593 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1576675), // Rule ID 21883 //
     /* 1576598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576637 */     // MIs[0] round
     /* 1576637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576640 */     // MIs[0] policy
     /* 1576640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576650 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1576653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576674 */     // GIR_Coverage, 21883,
     /* 1576674 */     GIR_EraseRootFromParent_Done,
     /* 1576675 */   // Label 21824: @1576675
     /* 1576675 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1576757), // Rule ID 21886 //
     /* 1576680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1576700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576719 */     // MIs[0] round
     /* 1576719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576722 */     // MIs[0] policy
     /* 1576722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576732 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1576735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576756 */     // GIR_Coverage, 21886,
     /* 1576756 */     GIR_EraseRootFromParent_Done,
     /* 1576757 */   // Label 21825: @1576757
     /* 1576757 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1576839), // Rule ID 21887 //
     /* 1576762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1576782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576801 */     // MIs[0] round
     /* 1576801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576804 */     // MIs[0] policy
     /* 1576804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576814 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1576817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576838 */     // GIR_Coverage, 21887,
     /* 1576838 */     GIR_EraseRootFromParent_Done,
     /* 1576839 */   // Label 21826: @1576839
     /* 1576839 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1576921), // Rule ID 21890 //
     /* 1576844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1576847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576883 */     // MIs[0] round
     /* 1576883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576886 */     // MIs[0] policy
     /* 1576886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1576899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576920 */     // GIR_Coverage, 21890,
     /* 1576920 */     GIR_EraseRootFromParent_Done,
     /* 1576921 */   // Label 21827: @1576921
     /* 1576921 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577003), // Rule ID 21891 //
     /* 1576926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1576929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576965 */     // MIs[0] round
     /* 1576965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576968 */     // MIs[0] policy
     /* 1576968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1576981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577002 */     // GIR_Coverage, 21891,
     /* 1577002 */     GIR_EraseRootFromParent_Done,
     /* 1577003 */   // Label 21828: @1577003
     /* 1577003 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577085), // Rule ID 21894 //
     /* 1577008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577047 */     // MIs[0] round
     /* 1577047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577050 */     // MIs[0] policy
     /* 1577050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1577063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577084 */     // GIR_Coverage, 21894,
     /* 1577084 */     GIR_EraseRootFromParent_Done,
     /* 1577085 */   // Label 21829: @1577085
     /* 1577085 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1577167), // Rule ID 21895 //
     /* 1577090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577129 */     // MIs[0] round
     /* 1577129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577132 */     // MIs[0] policy
     /* 1577132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1577145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577166 */     // GIR_Coverage, 21895,
     /* 1577166 */     GIR_EraseRootFromParent_Done,
     /* 1577167 */   // Label 21830: @1577167
     /* 1577167 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1577249), // Rule ID 21898 //
     /* 1577172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577211 */     // MIs[0] round
     /* 1577211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577214 */     // MIs[0] policy
     /* 1577214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577224 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1577227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577248 */     // GIR_Coverage, 21898,
     /* 1577248 */     GIR_EraseRootFromParent_Done,
     /* 1577249 */   // Label 21831: @1577249
     /* 1577249 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1577331), // Rule ID 21899 //
     /* 1577254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577293 */     // MIs[0] round
     /* 1577293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577296 */     // MIs[0] policy
     /* 1577296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577306 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1577309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577330 */     // GIR_Coverage, 21899,
     /* 1577330 */     GIR_EraseRootFromParent_Done,
     /* 1577331 */   // Label 21832: @1577331
     /* 1577331 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1577413), // Rule ID 21902 //
     /* 1577336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577375 */     // MIs[0] round
     /* 1577375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577378 */     // MIs[0] policy
     /* 1577378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577388 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1577391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577412 */     // GIR_Coverage, 21902,
     /* 1577412 */     GIR_EraseRootFromParent_Done,
     /* 1577413 */   // Label 21833: @1577413
     /* 1577413 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1577495), // Rule ID 21903 //
     /* 1577418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577457 */     // MIs[0] round
     /* 1577457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577460 */     // MIs[0] policy
     /* 1577460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577470 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1577473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577494 */     // GIR_Coverage, 21903,
     /* 1577494 */     GIR_EraseRootFromParent_Done,
     /* 1577495 */   // Label 21834: @1577495
     /* 1577495 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1577577), // Rule ID 21906 //
     /* 1577500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1577503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1577517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577539 */     // MIs[0] round
     /* 1577539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577542 */     // MIs[0] policy
     /* 1577542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577552 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1577555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577576 */     // GIR_Coverage, 21906,
     /* 1577576 */     GIR_EraseRootFromParent_Done,
     /* 1577577 */   // Label 21835: @1577577
     /* 1577577 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1577659), // Rule ID 21907 //
     /* 1577582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1577585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1577599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577621 */     // MIs[0] round
     /* 1577621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577624 */     // MIs[0] policy
     /* 1577624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1577637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577658 */     // GIR_Coverage, 21907,
     /* 1577658 */     GIR_EraseRootFromParent_Done,
     /* 1577659 */   // Label 21836: @1577659
     /* 1577659 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1577741), // Rule ID 21910 //
     /* 1577664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1577667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577703 */     // MIs[0] round
     /* 1577703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577706 */     // MIs[0] policy
     /* 1577706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1577719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577740 */     // GIR_Coverage, 21910,
     /* 1577740 */     GIR_EraseRootFromParent_Done,
     /* 1577741 */   // Label 21837: @1577741
     /* 1577741 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1577823), // Rule ID 21911 //
     /* 1577746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1577749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577785 */     // MIs[0] round
     /* 1577785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577788 */     // MIs[0] policy
     /* 1577788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1577801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577822 */     // GIR_Coverage, 21911,
     /* 1577822 */     GIR_EraseRootFromParent_Done,
     /* 1577823 */   // Label 21838: @1577823
     /* 1577823 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1577905), // Rule ID 21914 //
     /* 1577828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1577831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577867 */     // MIs[0] round
     /* 1577867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577870 */     // MIs[0] policy
     /* 1577870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577880 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1577883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577904 */     // GIR_Coverage, 21914,
     /* 1577904 */     GIR_EraseRootFromParent_Done,
     /* 1577905 */   // Label 21839: @1577905
     /* 1577905 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1577987), // Rule ID 21915 //
     /* 1577910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1577913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577949 */     // MIs[0] round
     /* 1577949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577952 */     // MIs[0] policy
     /* 1577952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577962 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1577965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577986 */     // GIR_Coverage, 21915,
     /* 1577986 */     GIR_EraseRootFromParent_Done,
     /* 1577987 */   // Label 21840: @1577987
     /* 1577987 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578069), // Rule ID 21918 //
     /* 1577992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1577995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1578009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578031 */     // MIs[0] round
     /* 1578031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578034 */     // MIs[0] policy
     /* 1578034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578044 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1578047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578068 */     // GIR_Coverage, 21918,
     /* 1578068 */     GIR_EraseRootFromParent_Done,
     /* 1578069 */   // Label 21841: @1578069
     /* 1578069 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1578151), // Rule ID 21919 //
     /* 1578074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1578077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1578091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578113 */     // MIs[0] round
     /* 1578113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578116 */     // MIs[0] policy
     /* 1578116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578126 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1578129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578150 */     // GIR_Coverage, 21919,
     /* 1578150 */     GIR_EraseRootFromParent_Done,
     /* 1578151 */   // Label 21842: @1578151
     /* 1578151 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1578233), // Rule ID 21922 //
     /* 1578156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1578159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1578173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578195 */     // MIs[0] round
     /* 1578195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578198 */     // MIs[0] policy
     /* 1578198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1578211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578232 */     // GIR_Coverage, 21922,
     /* 1578232 */     GIR_EraseRootFromParent_Done,
     /* 1578233 */   // Label 21843: @1578233
     /* 1578233 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1578315), // Rule ID 21923 //
     /* 1578238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1578241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1578255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578277 */     // MIs[0] round
     /* 1578277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578280 */     // MIs[0] policy
     /* 1578280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578290 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1578293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578314 */     // GIR_Coverage, 21923,
     /* 1578314 */     GIR_EraseRootFromParent_Done,
     /* 1578315 */   // Label 21844: @1578315
     /* 1578315 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1578397), // Rule ID 21926 //
     /* 1578320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1578323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578359 */     // MIs[0] round
     /* 1578359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578362 */     // MIs[0] policy
     /* 1578362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578372 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1578375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578396 */     // GIR_Coverage, 21926,
     /* 1578396 */     GIR_EraseRootFromParent_Done,
     /* 1578397 */   // Label 21845: @1578397
     /* 1578397 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1578479), // Rule ID 21927 //
     /* 1578402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1578405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578441 */     // MIs[0] round
     /* 1578441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578444 */     // MIs[0] policy
     /* 1578444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578454 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1578457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578478 */     // GIR_Coverage, 21927,
     /* 1578478 */     GIR_EraseRootFromParent_Done,
     /* 1578479 */   // Label 21846: @1578479
     /* 1578479 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1578561), // Rule ID 21930 //
     /* 1578484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1578487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578523 */     // MIs[0] round
     /* 1578523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578526 */     // MIs[0] policy
     /* 1578526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1578539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578560 */     // GIR_Coverage, 21930,
     /* 1578560 */     GIR_EraseRootFromParent_Done,
     /* 1578561 */   // Label 21847: @1578561
     /* 1578561 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1578643), // Rule ID 21931 //
     /* 1578566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1578569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578605 */     // MIs[0] round
     /* 1578605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578608 */     // MIs[0] policy
     /* 1578608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578618 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1578621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578642 */     // GIR_Coverage, 21931,
     /* 1578642 */     GIR_EraseRootFromParent_Done,
     /* 1578643 */   // Label 21848: @1578643
     /* 1578643 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1578725), // Rule ID 21934 //
     /* 1578648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1578651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578687 */     // MIs[0] round
     /* 1578687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578690 */     // MIs[0] policy
     /* 1578690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578700 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1578703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578724 */     // GIR_Coverage, 21934,
     /* 1578724 */     GIR_EraseRootFromParent_Done,
     /* 1578725 */   // Label 21849: @1578725
     /* 1578725 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1578807), // Rule ID 21935 //
     /* 1578730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1578733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578769 */     // MIs[0] round
     /* 1578769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578772 */     // MIs[0] policy
     /* 1578772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578782 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1578785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578806 */     // GIR_Coverage, 21935,
     /* 1578806 */     GIR_EraseRootFromParent_Done,
     /* 1578807 */   // Label 21850: @1578807
     /* 1578807 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1578889), // Rule ID 21938 //
     /* 1578812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1578815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578851 */     // MIs[0] round
     /* 1578851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578854 */     // MIs[0] policy
     /* 1578854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1578867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578888 */     // GIR_Coverage, 21938,
     /* 1578888 */     GIR_EraseRootFromParent_Done,
     /* 1578889 */   // Label 21851: @1578889
     /* 1578889 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1578971), // Rule ID 21939 //
     /* 1578894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1578897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578933 */     // MIs[0] round
     /* 1578933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578936 */     // MIs[0] policy
     /* 1578936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578946 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1578949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578970 */     // GIR_Coverage, 21939,
     /* 1578970 */     GIR_EraseRootFromParent_Done,
     /* 1578971 */   // Label 21852: @1578971
     /* 1578971 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579053), // Rule ID 2748 //
     /* 1578976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1578993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579007 */     // MIs[0] passthru
     /* 1579007 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579020 */     // MIs[0] policy
     /* 1579020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1579033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579052 */     // GIR_Coverage, 2748,
     /* 1579052 */     GIR_EraseRootFromParent_Done,
     /* 1579053 */   // Label 21853: @1579053
     /* 1579053 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579135), // Rule ID 2749 //
     /* 1579058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579089 */     // MIs[0] passthru
     /* 1579089 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579102 */     // MIs[0] policy
     /* 1579102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1579115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579134 */     // GIR_Coverage, 2749,
     /* 1579134 */     GIR_EraseRootFromParent_Done,
     /* 1579135 */   // Label 21854: @1579135
     /* 1579135 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1579217), // Rule ID 4064 //
     /* 1579140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579171 */     // MIs[0] passthru
     /* 1579171 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579184 */     // MIs[0] policy
     /* 1579184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1579197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579216 */     // GIR_Coverage, 4064,
     /* 1579216 */     GIR_EraseRootFromParent_Done,
     /* 1579217 */   // Label 21855: @1579217
     /* 1579217 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1579299), // Rule ID 4065 //
     /* 1579222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579253 */     // MIs[0] passthru
     /* 1579253 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579266 */     // MIs[0] policy
     /* 1579266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1579279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579298 */     // GIR_Coverage, 4065,
     /* 1579298 */     GIR_EraseRootFromParent_Done,
     /* 1579299 */   // Label 21856: @1579299
     /* 1579299 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1579381), // Rule ID 4074 //
     /* 1579304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579335 */     // MIs[0] passthru
     /* 1579335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579348 */     // MIs[0] policy
     /* 1579348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1579361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579380 */     // GIR_Coverage, 4074,
     /* 1579380 */     GIR_EraseRootFromParent_Done,
     /* 1579381 */   // Label 21857: @1579381
     /* 1579381 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1579463), // Rule ID 4075 //
     /* 1579386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579417 */     // MIs[0] passthru
     /* 1579417 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579430 */     // MIs[0] policy
     /* 1579430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1579443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579462 */     // GIR_Coverage, 4075,
     /* 1579462 */     GIR_EraseRootFromParent_Done,
     /* 1579463 */   // Label 21858: @1579463
     /* 1579463 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1579545), // Rule ID 4084 //
     /* 1579468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579499 */     // MIs[0] passthru
     /* 1579499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579512 */     // MIs[0] policy
     /* 1579512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1579525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579544 */     // GIR_Coverage, 4084,
     /* 1579544 */     GIR_EraseRootFromParent_Done,
     /* 1579545 */   // Label 21859: @1579545
     /* 1579545 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1579627), // Rule ID 4085 //
     /* 1579550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579581 */     // MIs[0] passthru
     /* 1579581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579594 */     // MIs[0] policy
     /* 1579594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1579607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579626 */     // GIR_Coverage, 4085,
     /* 1579626 */     GIR_EraseRootFromParent_Done,
     /* 1579627 */   // Label 21860: @1579627
     /* 1579627 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1579709), // Rule ID 4094 //
     /* 1579632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579663 */     // MIs[0] passthru
     /* 1579663 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579676 */     // MIs[0] policy
     /* 1579676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1579689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579708 */     // GIR_Coverage, 4094,
     /* 1579708 */     GIR_EraseRootFromParent_Done,
     /* 1579709 */   // Label 21861: @1579709
     /* 1579709 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1579791), // Rule ID 4095 //
     /* 1579714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579745 */     // MIs[0] passthru
     /* 1579745 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579758 */     // MIs[0] policy
     /* 1579758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1579771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579790 */     // GIR_Coverage, 4095,
     /* 1579790 */     GIR_EraseRootFromParent_Done,
     /* 1579791 */   // Label 21862: @1579791
     /* 1579791 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1579873), // Rule ID 4104 //
     /* 1579796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579827 */     // MIs[0] passthru
     /* 1579827 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579840 */     // MIs[0] policy
     /* 1579840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1579853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579872 */     // GIR_Coverage, 4104,
     /* 1579872 */     GIR_EraseRootFromParent_Done,
     /* 1579873 */   // Label 21863: @1579873
     /* 1579873 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1579955), // Rule ID 4105 //
     /* 1579878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579909 */     // MIs[0] passthru
     /* 1579909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579922 */     // MIs[0] policy
     /* 1579922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579932 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1579935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579954 */     // GIR_Coverage, 4105,
     /* 1579954 */     GIR_EraseRootFromParent_Done,
     /* 1579955 */   // Label 21864: @1579955
     /* 1579955 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580037), // Rule ID 4114 //
     /* 1579960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1579971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1579974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1579977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579991 */     // MIs[0] passthru
     /* 1579991 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580004 */     // MIs[0] policy
     /* 1580004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1580017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580036 */     // GIR_Coverage, 4114,
     /* 1580036 */     GIR_EraseRootFromParent_Done,
     /* 1580037 */   // Label 21865: @1580037
     /* 1580037 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580119), // Rule ID 4115 //
     /* 1580042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580073 */     // MIs[0] passthru
     /* 1580073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580086 */     // MIs[0] policy
     /* 1580086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1580099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580118 */     // GIR_Coverage, 4115,
     /* 1580118 */     GIR_EraseRootFromParent_Done,
     /* 1580119 */   // Label 21866: @1580119
     /* 1580119 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1580201), // Rule ID 4124 //
     /* 1580124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580155 */     // MIs[0] passthru
     /* 1580155 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580168 */     // MIs[0] policy
     /* 1580168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580200 */     // GIR_Coverage, 4124,
     /* 1580200 */     GIR_EraseRootFromParent_Done,
     /* 1580201 */   // Label 21867: @1580201
     /* 1580201 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1580283), // Rule ID 4125 //
     /* 1580206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580237 */     // MIs[0] passthru
     /* 1580237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580250 */     // MIs[0] policy
     /* 1580250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580282 */     // GIR_Coverage, 4125,
     /* 1580282 */     GIR_EraseRootFromParent_Done,
     /* 1580283 */   // Label 21868: @1580283
     /* 1580283 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1580365), // Rule ID 4134 //
     /* 1580288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580319 */     // MIs[0] passthru
     /* 1580319 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580332 */     // MIs[0] policy
     /* 1580332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1580345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580364 */     // GIR_Coverage, 4134,
     /* 1580364 */     GIR_EraseRootFromParent_Done,
     /* 1580365 */   // Label 21869: @1580365
     /* 1580365 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1580447), // Rule ID 4135 //
     /* 1580370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580401 */     // MIs[0] passthru
     /* 1580401 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580414 */     // MIs[0] policy
     /* 1580414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1580427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580446 */     // GIR_Coverage, 4135,
     /* 1580446 */     GIR_EraseRootFromParent_Done,
     /* 1580447 */   // Label 21870: @1580447
     /* 1580447 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1580529), // Rule ID 4144 //
     /* 1580452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580483 */     // MIs[0] passthru
     /* 1580483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580496 */     // MIs[0] policy
     /* 1580496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1580509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580528 */     // GIR_Coverage, 4144,
     /* 1580528 */     GIR_EraseRootFromParent_Done,
     /* 1580529 */   // Label 21871: @1580529
     /* 1580529 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1580611), // Rule ID 4145 //
     /* 1580534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580565 */     // MIs[0] passthru
     /* 1580565 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580578 */     // MIs[0] policy
     /* 1580578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1580591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580610 */     // GIR_Coverage, 4145,
     /* 1580610 */     GIR_EraseRootFromParent_Done,
     /* 1580611 */   // Label 21872: @1580611
     /* 1580611 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1580693), // Rule ID 4154 //
     /* 1580616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580647 */     // MIs[0] passthru
     /* 1580647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580660 */     // MIs[0] policy
     /* 1580660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1580673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580692 */     // GIR_Coverage, 4154,
     /* 1580692 */     GIR_EraseRootFromParent_Done,
     /* 1580693 */   // Label 21873: @1580693
     /* 1580693 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1580775), // Rule ID 4155 //
     /* 1580698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580729 */     // MIs[0] passthru
     /* 1580729 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580742 */     // MIs[0] policy
     /* 1580742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1580755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580774 */     // GIR_Coverage, 4155,
     /* 1580774 */     GIR_EraseRootFromParent_Done,
     /* 1580775 */   // Label 21874: @1580775
     /* 1580775 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1580857), // Rule ID 4164 //
     /* 1580780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1580797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580811 */     // MIs[0] passthru
     /* 1580811 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580824 */     // MIs[0] policy
     /* 1580824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580856 */     // GIR_Coverage, 4164,
     /* 1580856 */     GIR_EraseRootFromParent_Done,
     /* 1580857 */   // Label 21875: @1580857
     /* 1580857 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1580939), // Rule ID 4165 //
     /* 1580862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1580865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1580879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580893 */     // MIs[0] passthru
     /* 1580893 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580906 */     // MIs[0] policy
     /* 1580906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580938 */     // GIR_Coverage, 4165,
     /* 1580938 */     GIR_EraseRootFromParent_Done,
     /* 1580939 */   // Label 21876: @1580939
     /* 1580939 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581021), // Rule ID 4174 //
     /* 1580944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1580955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1580958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1580961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580975 */     // MIs[0] passthru
     /* 1580975 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580988 */     // MIs[0] policy
     /* 1580988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1581001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581020 */     // GIR_Coverage, 4174,
     /* 1581020 */     GIR_EraseRootFromParent_Done,
     /* 1581021 */   // Label 21877: @1581021
     /* 1581021 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581103), // Rule ID 4175 //
     /* 1581026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581057 */     // MIs[0] passthru
     /* 1581057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581070 */     // MIs[0] policy
     /* 1581070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1581083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581102 */     // GIR_Coverage, 4175,
     /* 1581102 */     GIR_EraseRootFromParent_Done,
     /* 1581103 */   // Label 21878: @1581103
     /* 1581103 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1581185), // Rule ID 4184 //
     /* 1581108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581139 */     // MIs[0] passthru
     /* 1581139 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581152 */     // MIs[0] policy
     /* 1581152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581162 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1581165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581184 */     // GIR_Coverage, 4184,
     /* 1581184 */     GIR_EraseRootFromParent_Done,
     /* 1581185 */   // Label 21879: @1581185
     /* 1581185 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1581267), // Rule ID 4185 //
     /* 1581190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581221 */     // MIs[0] passthru
     /* 1581221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581234 */     // MIs[0] policy
     /* 1581234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1581247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581266 */     // GIR_Coverage, 4185,
     /* 1581266 */     GIR_EraseRootFromParent_Done,
     /* 1581267 */   // Label 21880: @1581267
     /* 1581267 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1581349), // Rule ID 4194 //
     /* 1581272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581303 */     // MIs[0] passthru
     /* 1581303 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581316 */     // MIs[0] policy
     /* 1581316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581348 */     // GIR_Coverage, 4194,
     /* 1581348 */     GIR_EraseRootFromParent_Done,
     /* 1581349 */   // Label 21881: @1581349
     /* 1581349 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1581431), // Rule ID 4195 //
     /* 1581354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581385 */     // MIs[0] passthru
     /* 1581385 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581398 */     // MIs[0] policy
     /* 1581398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581430 */     // GIR_Coverage, 4195,
     /* 1581430 */     GIR_EraseRootFromParent_Done,
     /* 1581431 */   // Label 21882: @1581431
     /* 1581431 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1581513), // Rule ID 4264 //
     /* 1581436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581467 */     // MIs[0] passthru
     /* 1581467 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581480 */     // MIs[0] policy
     /* 1581480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1581493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581512 */     // GIR_Coverage, 4264,
     /* 1581512 */     GIR_EraseRootFromParent_Done,
     /* 1581513 */   // Label 21883: @1581513
     /* 1581513 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1581595), // Rule ID 4265 //
     /* 1581518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581549 */     // MIs[0] passthru
     /* 1581549 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581562 */     // MIs[0] policy
     /* 1581562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1581575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581594 */     // GIR_Coverage, 4265,
     /* 1581594 */     GIR_EraseRootFromParent_Done,
     /* 1581595 */   // Label 21884: @1581595
     /* 1581595 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1581677), // Rule ID 4274 //
     /* 1581600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1581611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1581614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1581617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581631 */     // MIs[0] passthru
     /* 1581631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581644 */     // MIs[0] policy
     /* 1581644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1581657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581676 */     // GIR_Coverage, 4274,
     /* 1581676 */     GIR_EraseRootFromParent_Done,
     /* 1581677 */   // Label 21885: @1581677
     /* 1581677 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1581759), // Rule ID 4275 //
     /* 1581682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1581693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1581696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1581699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581713 */     // MIs[0] passthru
     /* 1581713 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581726 */     // MIs[0] policy
     /* 1581726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1581739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581758 */     // GIR_Coverage, 4275,
     /* 1581758 */     GIR_EraseRootFromParent_Done,
     /* 1581759 */   // Label 21886: @1581759
     /* 1581759 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1581841), // Rule ID 4284 //
     /* 1581764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1581775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1581781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581795 */     // MIs[0] passthru
     /* 1581795 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581808 */     // MIs[0] policy
     /* 1581808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1581821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581840 */     // GIR_Coverage, 4284,
     /* 1581840 */     GIR_EraseRootFromParent_Done,
     /* 1581841 */   // Label 21887: @1581841
     /* 1581841 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1581923), // Rule ID 4285 //
     /* 1581846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1581857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1581863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581877 */     // MIs[0] passthru
     /* 1581877 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581890 */     // MIs[0] policy
     /* 1581890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1581903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581922 */     // GIR_Coverage, 4285,
     /* 1581922 */     GIR_EraseRootFromParent_Done,
     /* 1581923 */   // Label 21888: @1581923
     /* 1581923 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582005), // Rule ID 4294 //
     /* 1581928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1581939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1581942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1581945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581959 */     // MIs[0] passthru
     /* 1581959 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581972 */     // MIs[0] policy
     /* 1581972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1581985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582004 */     // GIR_Coverage, 4294,
     /* 1582004 */     GIR_EraseRootFromParent_Done,
     /* 1582005 */   // Label 21889: @1582005
     /* 1582005 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582087), // Rule ID 4295 //
     /* 1582010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582041 */     // MIs[0] passthru
     /* 1582041 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582054 */     // MIs[0] policy
     /* 1582054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1582067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582086 */     // GIR_Coverage, 4295,
     /* 1582086 */     GIR_EraseRootFromParent_Done,
     /* 1582087 */   // Label 21890: @1582087
     /* 1582087 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1582169), // Rule ID 4304 //
     /* 1582092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582123 */     // MIs[0] passthru
     /* 1582123 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582136 */     // MIs[0] policy
     /* 1582136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1582149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582168 */     // GIR_Coverage, 4304,
     /* 1582168 */     GIR_EraseRootFromParent_Done,
     /* 1582169 */   // Label 21891: @1582169
     /* 1582169 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1582251), // Rule ID 4305 //
     /* 1582174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582205 */     // MIs[0] passthru
     /* 1582205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582218 */     // MIs[0] policy
     /* 1582218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1582231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582250 */     // GIR_Coverage, 4305,
     /* 1582250 */     GIR_EraseRootFromParent_Done,
     /* 1582251 */   // Label 21892: @1582251
     /* 1582251 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1582333), // Rule ID 4314 //
     /* 1582256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582287 */     // MIs[0] passthru
     /* 1582287 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582300 */     // MIs[0] policy
     /* 1582300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582310 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1582313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582332 */     // GIR_Coverage, 4314,
     /* 1582332 */     GIR_EraseRootFromParent_Done,
     /* 1582333 */   // Label 21893: @1582333
     /* 1582333 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1582415), // Rule ID 4315 //
     /* 1582338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582369 */     // MIs[0] passthru
     /* 1582369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582382 */     // MIs[0] policy
     /* 1582382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1582395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582414 */     // GIR_Coverage, 4315,
     /* 1582414 */     GIR_EraseRootFromParent_Done,
     /* 1582415 */   // Label 21894: @1582415
     /* 1582415 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1582497), // Rule ID 4324 //
     /* 1582420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582451 */     // MIs[0] passthru
     /* 1582451 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582464 */     // MIs[0] policy
     /* 1582464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1582477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582496 */     // GIR_Coverage, 4324,
     /* 1582496 */     GIR_EraseRootFromParent_Done,
     /* 1582497 */   // Label 21895: @1582497
     /* 1582497 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1582579), // Rule ID 4325 //
     /* 1582502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582533 */     // MIs[0] passthru
     /* 1582533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582546 */     // MIs[0] policy
     /* 1582546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1582559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582578 */     // GIR_Coverage, 4325,
     /* 1582578 */     GIR_EraseRootFromParent_Done,
     /* 1582579 */   // Label 21896: @1582579
     /* 1582579 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1582661), // Rule ID 4334 //
     /* 1582584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1582595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1582598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1582601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582615 */     // MIs[0] passthru
     /* 1582615 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582628 */     // MIs[0] policy
     /* 1582628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1582641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582660 */     // GIR_Coverage, 4334,
     /* 1582660 */     GIR_EraseRootFromParent_Done,
     /* 1582661 */   // Label 21897: @1582661
     /* 1582661 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1582743), // Rule ID 4335 //
     /* 1582666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1582677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1582680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1582683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582697 */     // MIs[0] passthru
     /* 1582697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582710 */     // MIs[0] policy
     /* 1582710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1582723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582742 */     // GIR_Coverage, 4335,
     /* 1582742 */     GIR_EraseRootFromParent_Done,
     /* 1582743 */   // Label 21898: @1582743
     /* 1582743 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1582825), // Rule ID 4344 //
     /* 1582748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1582759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1582762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1582765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582779 */     // MIs[0] passthru
     /* 1582779 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582792 */     // MIs[0] policy
     /* 1582792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1582805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582824 */     // GIR_Coverage, 4344,
     /* 1582824 */     GIR_EraseRootFromParent_Done,
     /* 1582825 */   // Label 21899: @1582825
     /* 1582825 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1582907), // Rule ID 4345 //
     /* 1582830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1582841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1582844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1582847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582861 */     // MIs[0] passthru
     /* 1582861 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582874 */     // MIs[0] policy
     /* 1582874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1582887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582906 */     // GIR_Coverage, 4345,
     /* 1582906 */     GIR_EraseRootFromParent_Done,
     /* 1582907 */   // Label 21900: @1582907
     /* 1582907 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1582989), // Rule ID 4354 //
     /* 1582912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1582923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1582926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1582929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582943 */     // MIs[0] passthru
     /* 1582943 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582956 */     // MIs[0] policy
     /* 1582956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1582969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582988 */     // GIR_Coverage, 4354,
     /* 1582988 */     GIR_EraseRootFromParent_Done,
     /* 1582989 */   // Label 21901: @1582989
     /* 1582989 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583071), // Rule ID 4355 //
     /* 1582994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583025 */     // MIs[0] passthru
     /* 1583025 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583038 */     // MIs[0] policy
     /* 1583038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1583051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583070 */     // GIR_Coverage, 4355,
     /* 1583070 */     GIR_EraseRootFromParent_Done,
     /* 1583071 */   // Label 21902: @1583071
     /* 1583071 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1583153), // Rule ID 4364 //
     /* 1583076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583107 */     // MIs[0] passthru
     /* 1583107 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583120 */     // MIs[0] policy
     /* 1583120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583152 */     // GIR_Coverage, 4364,
     /* 1583152 */     GIR_EraseRootFromParent_Done,
     /* 1583153 */   // Label 21903: @1583153
     /* 1583153 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1583235), // Rule ID 4365 //
     /* 1583158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583189 */     // MIs[0] passthru
     /* 1583189 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583202 */     // MIs[0] policy
     /* 1583202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583234 */     // GIR_Coverage, 4365,
     /* 1583234 */     GIR_EraseRootFromParent_Done,
     /* 1583235 */   // Label 21904: @1583235
     /* 1583235 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1583317), // Rule ID 4374 //
     /* 1583240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583271 */     // MIs[0] passthru
     /* 1583271 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583284 */     // MIs[0] policy
     /* 1583284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583316 */     // GIR_Coverage, 4374,
     /* 1583316 */     GIR_EraseRootFromParent_Done,
     /* 1583317 */   // Label 21905: @1583317
     /* 1583317 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1583399), // Rule ID 4375 //
     /* 1583322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583353 */     // MIs[0] passthru
     /* 1583353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583366 */     // MIs[0] policy
     /* 1583366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583398 */     // GIR_Coverage, 4375,
     /* 1583398 */     GIR_EraseRootFromParent_Done,
     /* 1583399 */   // Label 21906: @1583399
     /* 1583399 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1583481), // Rule ID 4384 //
     /* 1583404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583435 */     // MIs[0] passthru
     /* 1583435 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583448 */     // MIs[0] policy
     /* 1583448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1583461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583480 */     // GIR_Coverage, 4384,
     /* 1583480 */     GIR_EraseRootFromParent_Done,
     /* 1583481 */   // Label 21907: @1583481
     /* 1583481 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1583563), // Rule ID 4385 //
     /* 1583486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583517 */     // MIs[0] passthru
     /* 1583517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583530 */     // MIs[0] policy
     /* 1583530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1583543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583562 */     // GIR_Coverage, 4385,
     /* 1583562 */     GIR_EraseRootFromParent_Done,
     /* 1583563 */   // Label 21908: @1583563
     /* 1583563 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1583645), // Rule ID 4394 //
     /* 1583568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1583582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1583585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583599 */     // MIs[0] passthru
     /* 1583599 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583612 */     // MIs[0] policy
     /* 1583612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1583625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583644 */     // GIR_Coverage, 4394,
     /* 1583644 */     GIR_EraseRootFromParent_Done,
     /* 1583645 */   // Label 21909: @1583645
     /* 1583645 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1583727), // Rule ID 4395 //
     /* 1583650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1583664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1583667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583681 */     // MIs[0] passthru
     /* 1583681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583694 */     // MIs[0] policy
     /* 1583694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1583707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583726 */     // GIR_Coverage, 4395,
     /* 1583726 */     GIR_EraseRootFromParent_Done,
     /* 1583727 */   // Label 21910: @1583727
     /* 1583727 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1583809), // Rule ID 4404 //
     /* 1583732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1583743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1583746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1583749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583763 */     // MIs[0] passthru
     /* 1583763 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583776 */     // MIs[0] policy
     /* 1583776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583808 */     // GIR_Coverage, 4404,
     /* 1583808 */     GIR_EraseRootFromParent_Done,
     /* 1583809 */   // Label 21911: @1583809
     /* 1583809 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1583891), // Rule ID 4405 //
     /* 1583814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1583825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1583828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1583831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583845 */     // MIs[0] passthru
     /* 1583845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583858 */     // MIs[0] policy
     /* 1583858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583890 */     // GIR_Coverage, 4405,
     /* 1583890 */     GIR_EraseRootFromParent_Done,
     /* 1583891 */   // Label 21912: @1583891
     /* 1583891 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1583973), // Rule ID 4474 //
     /* 1583896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583927 */     // MIs[0] passthru
     /* 1583927 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583940 */     // MIs[0] policy
     /* 1583940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1583953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583972 */     // GIR_Coverage, 4474,
     /* 1583972 */     GIR_EraseRootFromParent_Done,
     /* 1583973 */   // Label 21913: @1583973
     /* 1583973 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1584055), // Rule ID 4475 //
     /* 1583978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584009 */     // MIs[0] passthru
     /* 1584009 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584022 */     // MIs[0] policy
     /* 1584022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1584035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584054 */     // GIR_Coverage, 4475,
     /* 1584054 */     GIR_EraseRootFromParent_Done,
     /* 1584055 */   // Label 21914: @1584055
     /* 1584055 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1584137), // Rule ID 4484 //
     /* 1584060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584091 */     // MIs[0] passthru
     /* 1584091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584104 */     // MIs[0] policy
     /* 1584104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1584117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584136 */     // GIR_Coverage, 4484,
     /* 1584136 */     GIR_EraseRootFromParent_Done,
     /* 1584137 */   // Label 21915: @1584137
     /* 1584137 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1584219), // Rule ID 4485 //
     /* 1584142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584173 */     // MIs[0] passthru
     /* 1584173 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584186 */     // MIs[0] policy
     /* 1584186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1584199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584218 */     // GIR_Coverage, 4485,
     /* 1584218 */     GIR_EraseRootFromParent_Done,
     /* 1584219 */   // Label 21916: @1584219
     /* 1584219 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1584301), // Rule ID 4494 //
     /* 1584224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584255 */     // MIs[0] passthru
     /* 1584255 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584268 */     // MIs[0] policy
     /* 1584268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1584281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584300 */     // GIR_Coverage, 4494,
     /* 1584300 */     GIR_EraseRootFromParent_Done,
     /* 1584301 */   // Label 21917: @1584301
     /* 1584301 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1584383), // Rule ID 4495 //
     /* 1584306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584337 */     // MIs[0] passthru
     /* 1584337 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584350 */     // MIs[0] policy
     /* 1584350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1584363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584382 */     // GIR_Coverage, 4495,
     /* 1584382 */     GIR_EraseRootFromParent_Done,
     /* 1584383 */   // Label 21918: @1584383
     /* 1584383 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1584465), // Rule ID 4504 //
     /* 1584388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584419 */     // MIs[0] passthru
     /* 1584419 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584432 */     // MIs[0] policy
     /* 1584432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1584445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584464 */     // GIR_Coverage, 4504,
     /* 1584464 */     GIR_EraseRootFromParent_Done,
     /* 1584465 */   // Label 21919: @1584465
     /* 1584465 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1584547), // Rule ID 4505 //
     /* 1584470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584501 */     // MIs[0] passthru
     /* 1584501 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584514 */     // MIs[0] policy
     /* 1584514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1584527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584546 */     // GIR_Coverage, 4505,
     /* 1584546 */     GIR_EraseRootFromParent_Done,
     /* 1584547 */   // Label 21920: @1584547
     /* 1584547 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1584629), // Rule ID 4514 //
     /* 1584552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584583 */     // MIs[0] passthru
     /* 1584583 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584596 */     // MIs[0] policy
     /* 1584596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584606 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1584609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584628 */     // GIR_Coverage, 4514,
     /* 1584628 */     GIR_EraseRootFromParent_Done,
     /* 1584629 */   // Label 21921: @1584629
     /* 1584629 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1584711), // Rule ID 4515 //
     /* 1584634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584665 */     // MIs[0] passthru
     /* 1584665 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584678 */     // MIs[0] policy
     /* 1584678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1584691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584710 */     // GIR_Coverage, 4515,
     /* 1584710 */     GIR_EraseRootFromParent_Done,
     /* 1584711 */   // Label 21922: @1584711
     /* 1584711 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1584793), // Rule ID 4524 //
     /* 1584716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584747 */     // MIs[0] passthru
     /* 1584747 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584760 */     // MIs[0] policy
     /* 1584760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584770 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1584773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584792 */     // GIR_Coverage, 4524,
     /* 1584792 */     GIR_EraseRootFromParent_Done,
     /* 1584793 */   // Label 21923: @1584793
     /* 1584793 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1584875), // Rule ID 4525 //
     /* 1584798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584829 */     // MIs[0] passthru
     /* 1584829 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584842 */     // MIs[0] policy
     /* 1584842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1584855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584874 */     // GIR_Coverage, 4525,
     /* 1584874 */     GIR_EraseRootFromParent_Done,
     /* 1584875 */   // Label 21924: @1584875
     /* 1584875 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1584957), // Rule ID 4534 //
     /* 1584880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1584897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584911 */     // MIs[0] passthru
     /* 1584911 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584924 */     // MIs[0] policy
     /* 1584924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1584937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584956 */     // GIR_Coverage, 4534,
     /* 1584956 */     GIR_EraseRootFromParent_Done,
     /* 1584957 */   // Label 21925: @1584957
     /* 1584957 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1585039), // Rule ID 4535 //
     /* 1584962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1584979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584993 */     // MIs[0] passthru
     /* 1584993 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585006 */     // MIs[0] policy
     /* 1585006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1585019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585038 */     // GIR_Coverage, 4535,
     /* 1585038 */     GIR_EraseRootFromParent_Done,
     /* 1585039 */   // Label 21926: @1585039
     /* 1585039 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1585121), // Rule ID 4544 //
     /* 1585044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585075 */     // MIs[0] passthru
     /* 1585075 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585088 */     // MIs[0] policy
     /* 1585088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585120 */     // GIR_Coverage, 4544,
     /* 1585120 */     GIR_EraseRootFromParent_Done,
     /* 1585121 */   // Label 21927: @1585121
     /* 1585121 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1585203), // Rule ID 4545 //
     /* 1585126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585157 */     // MIs[0] passthru
     /* 1585157 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585170 */     // MIs[0] policy
     /* 1585170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585202 */     // GIR_Coverage, 4545,
     /* 1585202 */     GIR_EraseRootFromParent_Done,
     /* 1585203 */   // Label 21928: @1585203
     /* 1585203 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1585285), // Rule ID 4554 //
     /* 1585208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585239 */     // MIs[0] passthru
     /* 1585239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585252 */     // MIs[0] policy
     /* 1585252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1585265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585284 */     // GIR_Coverage, 4554,
     /* 1585284 */     GIR_EraseRootFromParent_Done,
     /* 1585285 */   // Label 21929: @1585285
     /* 1585285 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1585367), // Rule ID 4555 //
     /* 1585290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585321 */     // MIs[0] passthru
     /* 1585321 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585334 */     // MIs[0] policy
     /* 1585334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1585347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585366 */     // GIR_Coverage, 4555,
     /* 1585366 */     GIR_EraseRootFromParent_Done,
     /* 1585367 */   // Label 21930: @1585367
     /* 1585367 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1585449), // Rule ID 4564 //
     /* 1585372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585403 */     // MIs[0] passthru
     /* 1585403 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585416 */     // MIs[0] policy
     /* 1585416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585448 */     // GIR_Coverage, 4564,
     /* 1585448 */     GIR_EraseRootFromParent_Done,
     /* 1585449 */   // Label 21931: @1585449
     /* 1585449 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1585531), // Rule ID 4565 //
     /* 1585454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585485 */     // MIs[0] passthru
     /* 1585485 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585498 */     // MIs[0] policy
     /* 1585498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585530 */     // GIR_Coverage, 4565,
     /* 1585530 */     GIR_EraseRootFromParent_Done,
     /* 1585531 */   // Label 21932: @1585531
     /* 1585531 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1585613), // Rule ID 4574 //
     /* 1585536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585567 */     // MIs[0] passthru
     /* 1585567 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585580 */     // MIs[0] policy
     /* 1585580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1585593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585612 */     // GIR_Coverage, 4574,
     /* 1585612 */     GIR_EraseRootFromParent_Done,
     /* 1585613 */   // Label 21933: @1585613
     /* 1585613 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1585695), // Rule ID 4575 //
     /* 1585618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585649 */     // MIs[0] passthru
     /* 1585649 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585662 */     // MIs[0] policy
     /* 1585662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1585675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585694 */     // GIR_Coverage, 4575,
     /* 1585694 */     GIR_EraseRootFromParent_Done,
     /* 1585695 */   // Label 21934: @1585695
     /* 1585695 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1585777), // Rule ID 4584 //
     /* 1585700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1585717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585731 */     // MIs[0] passthru
     /* 1585731 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585744 */     // MIs[0] policy
     /* 1585744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585776 */     // GIR_Coverage, 4584,
     /* 1585776 */     GIR_EraseRootFromParent_Done,
     /* 1585777 */   // Label 21935: @1585777
     /* 1585777 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1585859), // Rule ID 4585 //
     /* 1585782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1585799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585813 */     // MIs[0] passthru
     /* 1585813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585826 */     // MIs[0] policy
     /* 1585826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585858 */     // GIR_Coverage, 4585,
     /* 1585858 */     GIR_EraseRootFromParent_Done,
     /* 1585859 */   // Label 21936: @1585859
     /* 1585859 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1585941), // Rule ID 4594 //
     /* 1585864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1585881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585895 */     // MIs[0] passthru
     /* 1585895 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585908 */     // MIs[0] policy
     /* 1585908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1585921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585940 */     // GIR_Coverage, 4594,
     /* 1585940 */     GIR_EraseRootFromParent_Done,
     /* 1585941 */   // Label 21937: @1585941
     /* 1585941 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1586023), // Rule ID 4595 //
     /* 1585946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1585963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585977 */     // MIs[0] passthru
     /* 1585977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585990 */     // MIs[0] policy
     /* 1585990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1586003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586022 */     // GIR_Coverage, 4595,
     /* 1586022 */     GIR_EraseRootFromParent_Done,
     /* 1586023 */   // Label 21938: @1586023
     /* 1586023 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1586105), // Rule ID 4604 //
     /* 1586028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586059 */     // MIs[0] passthru
     /* 1586059 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586072 */     // MIs[0] policy
     /* 1586072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1586085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586104 */     // GIR_Coverage, 4604,
     /* 1586104 */     GIR_EraseRootFromParent_Done,
     /* 1586105 */   // Label 21939: @1586105
     /* 1586105 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1586187), // Rule ID 4605 //
     /* 1586110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586141 */     // MIs[0] passthru
     /* 1586141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586154 */     // MIs[0] policy
     /* 1586154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1586167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586186 */     // GIR_Coverage, 4605,
     /* 1586186 */     GIR_EraseRootFromParent_Done,
     /* 1586187 */   // Label 21940: @1586187
     /* 1586187 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1586269), // Rule ID 4614 //
     /* 1586192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586223 */     // MIs[0] passthru
     /* 1586223 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586236 */     // MIs[0] policy
     /* 1586236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586268 */     // GIR_Coverage, 4614,
     /* 1586268 */     GIR_EraseRootFromParent_Done,
     /* 1586269 */   // Label 21941: @1586269
     /* 1586269 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1586351), // Rule ID 4615 //
     /* 1586274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586305 */     // MIs[0] passthru
     /* 1586305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586318 */     // MIs[0] policy
     /* 1586318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586350 */     // GIR_Coverage, 4615,
     /* 1586350 */     GIR_EraseRootFromParent_Done,
     /* 1586351 */   // Label 21942: @1586351
     /* 1586351 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1586433), // Rule ID 4684 //
     /* 1586356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586387 */     // MIs[0] passthru
     /* 1586387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586400 */     // MIs[0] policy
     /* 1586400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1586413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586432 */     // GIR_Coverage, 4684,
     /* 1586432 */     GIR_EraseRootFromParent_Done,
     /* 1586433 */   // Label 21943: @1586433
     /* 1586433 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1586515), // Rule ID 4685 //
     /* 1586438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586469 */     // MIs[0] passthru
     /* 1586469 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586482 */     // MIs[0] policy
     /* 1586482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1586495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586514 */     // GIR_Coverage, 4685,
     /* 1586514 */     GIR_EraseRootFromParent_Done,
     /* 1586515 */   // Label 21944: @1586515
     /* 1586515 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1586597), // Rule ID 4694 //
     /* 1586520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586551 */     // MIs[0] passthru
     /* 1586551 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586564 */     // MIs[0] policy
     /* 1586564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1586577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586596 */     // GIR_Coverage, 4694,
     /* 1586596 */     GIR_EraseRootFromParent_Done,
     /* 1586597 */   // Label 21945: @1586597
     /* 1586597 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1586679), // Rule ID 4695 //
     /* 1586602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586633 */     // MIs[0] passthru
     /* 1586633 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586646 */     // MIs[0] policy
     /* 1586646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1586659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586678 */     // GIR_Coverage, 4695,
     /* 1586678 */     GIR_EraseRootFromParent_Done,
     /* 1586679 */   // Label 21946: @1586679
     /* 1586679 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1586761), // Rule ID 4704 //
     /* 1586684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586715 */     // MIs[0] passthru
     /* 1586715 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586728 */     // MIs[0] policy
     /* 1586728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1586741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586760 */     // GIR_Coverage, 4704,
     /* 1586760 */     GIR_EraseRootFromParent_Done,
     /* 1586761 */   // Label 21947: @1586761
     /* 1586761 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1586843), // Rule ID 4705 //
     /* 1586766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586797 */     // MIs[0] passthru
     /* 1586797 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586810 */     // MIs[0] policy
     /* 1586810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1586823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586842 */     // GIR_Coverage, 4705,
     /* 1586842 */     GIR_EraseRootFromParent_Done,
     /* 1586843 */   // Label 21948: @1586843
     /* 1586843 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1586925), // Rule ID 4714 //
     /* 1586848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586879 */     // MIs[0] passthru
     /* 1586879 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586892 */     // MIs[0] policy
     /* 1586892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1586905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586924 */     // GIR_Coverage, 4714,
     /* 1586924 */     GIR_EraseRootFromParent_Done,
     /* 1586925 */   // Label 21949: @1586925
     /* 1586925 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1587007), // Rule ID 4715 //
     /* 1586930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586961 */     // MIs[0] passthru
     /* 1586961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586974 */     // MIs[0] policy
     /* 1586974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1586987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587006 */     // GIR_Coverage, 4715,
     /* 1587006 */     GIR_EraseRootFromParent_Done,
     /* 1587007 */   // Label 21950: @1587007
     /* 1587007 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1587089), // Rule ID 4724 //
     /* 1587012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1587029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587043 */     // MIs[0] passthru
     /* 1587043 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587056 */     // MIs[0] policy
     /* 1587056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587088 */     // GIR_Coverage, 4724,
     /* 1587088 */     GIR_EraseRootFromParent_Done,
     /* 1587089 */   // Label 21951: @1587089
     /* 1587089 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1587171), // Rule ID 4725 //
     /* 1587094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1587111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587125 */     // MIs[0] passthru
     /* 1587125 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587138 */     // MIs[0] policy
     /* 1587138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587170 */     // GIR_Coverage, 4725,
     /* 1587170 */     GIR_EraseRootFromParent_Done,
     /* 1587171 */   // Label 21952: @1587171
     /* 1587171 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1587253), // Rule ID 4734 //
     /* 1587176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1587193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587207 */     // MIs[0] passthru
     /* 1587207 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587220 */     // MIs[0] policy
     /* 1587220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1587233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587252 */     // GIR_Coverage, 4734,
     /* 1587252 */     GIR_EraseRootFromParent_Done,
     /* 1587253 */   // Label 21953: @1587253
     /* 1587253 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1587335), // Rule ID 4735 //
     /* 1587258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1587275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587289 */     // MIs[0] passthru
     /* 1587289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587302 */     // MIs[0] policy
     /* 1587302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1587315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587334 */     // GIR_Coverage, 4735,
     /* 1587334 */     GIR_EraseRootFromParent_Done,
     /* 1587335 */   // Label 21954: @1587335
     /* 1587335 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1587417), // Rule ID 4744 //
     /* 1587340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587371 */     // MIs[0] passthru
     /* 1587371 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587384 */     // MIs[0] policy
     /* 1587384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587416 */     // GIR_Coverage, 4744,
     /* 1587416 */     GIR_EraseRootFromParent_Done,
     /* 1587417 */   // Label 21955: @1587417
     /* 1587417 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1587499), // Rule ID 4745 //
     /* 1587422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587453 */     // MIs[0] passthru
     /* 1587453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587466 */     // MIs[0] policy
     /* 1587466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587498 */     // GIR_Coverage, 4745,
     /* 1587498 */     GIR_EraseRootFromParent_Done,
     /* 1587499 */   // Label 21956: @1587499
     /* 1587499 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1587581), // Rule ID 4754 //
     /* 1587504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587535 */     // MIs[0] passthru
     /* 1587535 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587548 */     // MIs[0] policy
     /* 1587548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1587561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587580 */     // GIR_Coverage, 4754,
     /* 1587580 */     GIR_EraseRootFromParent_Done,
     /* 1587581 */   // Label 21957: @1587581
     /* 1587581 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1587663), // Rule ID 4755 //
     /* 1587586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587617 */     // MIs[0] passthru
     /* 1587617 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587630 */     // MIs[0] policy
     /* 1587630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1587643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587662 */     // GIR_Coverage, 4755,
     /* 1587662 */     GIR_EraseRootFromParent_Done,
     /* 1587663 */   // Label 21958: @1587663
     /* 1587663 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1587745), // Rule ID 4764 //
     /* 1587668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587699 */     // MIs[0] passthru
     /* 1587699 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587712 */     // MIs[0] policy
     /* 1587712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1587725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587744 */     // GIR_Coverage, 4764,
     /* 1587744 */     GIR_EraseRootFromParent_Done,
     /* 1587745 */   // Label 21959: @1587745
     /* 1587745 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1587827), // Rule ID 4765 //
     /* 1587750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587781 */     // MIs[0] passthru
     /* 1587781 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587794 */     // MIs[0] policy
     /* 1587794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1587807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587826 */     // GIR_Coverage, 4765,
     /* 1587826 */     GIR_EraseRootFromParent_Done,
     /* 1587827 */   // Label 21960: @1587827
     /* 1587827 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1587909), // Rule ID 4774 //
     /* 1587832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587863 */     // MIs[0] passthru
     /* 1587863 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587876 */     // MIs[0] policy
     /* 1587876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587908 */     // GIR_Coverage, 4774,
     /* 1587908 */     GIR_EraseRootFromParent_Done,
     /* 1587909 */   // Label 21961: @1587909
     /* 1587909 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1587991), // Rule ID 4775 //
     /* 1587914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587945 */     // MIs[0] passthru
     /* 1587945 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587958 */     // MIs[0] policy
     /* 1587958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587990 */     // GIR_Coverage, 4775,
     /* 1587990 */     GIR_EraseRootFromParent_Done,
     /* 1587991 */   // Label 21962: @1587991
     /* 1587991 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1588073), // Rule ID 4784 //
     /* 1587996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588027 */     // MIs[0] passthru
     /* 1588027 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588040 */     // MIs[0] policy
     /* 1588040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588072 */     // GIR_Coverage, 4784,
     /* 1588072 */     GIR_EraseRootFromParent_Done,
     /* 1588073 */   // Label 21963: @1588073
     /* 1588073 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1588155), // Rule ID 4785 //
     /* 1588078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588109 */     // MIs[0] passthru
     /* 1588109 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588122 */     // MIs[0] policy
     /* 1588122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588154 */     // GIR_Coverage, 4785,
     /* 1588154 */     GIR_EraseRootFromParent_Done,
     /* 1588155 */   // Label 21964: @1588155
     /* 1588155 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1588237), // Rule ID 4794 //
     /* 1588160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588191 */     // MIs[0] passthru
     /* 1588191 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588204 */     // MIs[0] policy
     /* 1588204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588236 */     // GIR_Coverage, 4794,
     /* 1588236 */     GIR_EraseRootFromParent_Done,
     /* 1588237 */   // Label 21965: @1588237
     /* 1588237 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1588319), // Rule ID 4795 //
     /* 1588242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588273 */     // MIs[0] passthru
     /* 1588273 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588286 */     // MIs[0] policy
     /* 1588286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588318 */     // GIR_Coverage, 4795,
     /* 1588318 */     GIR_EraseRootFromParent_Done,
     /* 1588319 */   // Label 21966: @1588319
     /* 1588319 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1588401), // Rule ID 4804 //
     /* 1588324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588355 */     // MIs[0] passthru
     /* 1588355 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588368 */     // MIs[0] policy
     /* 1588368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588400 */     // GIR_Coverage, 4804,
     /* 1588400 */     GIR_EraseRootFromParent_Done,
     /* 1588401 */   // Label 21967: @1588401
     /* 1588401 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1588483), // Rule ID 4805 //
     /* 1588406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588437 */     // MIs[0] passthru
     /* 1588437 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588450 */     // MIs[0] policy
     /* 1588450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588482 */     // GIR_Coverage, 4805,
     /* 1588482 */     GIR_EraseRootFromParent_Done,
     /* 1588483 */   // Label 21968: @1588483
     /* 1588483 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1588565), // Rule ID 4814 //
     /* 1588488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588519 */     // MIs[0] passthru
     /* 1588519 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588532 */     // MIs[0] policy
     /* 1588532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1588545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588564 */     // GIR_Coverage, 4814,
     /* 1588564 */     GIR_EraseRootFromParent_Done,
     /* 1588565 */   // Label 21969: @1588565
     /* 1588565 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1588647), // Rule ID 4815 //
     /* 1588570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588601 */     // MIs[0] passthru
     /* 1588601 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588614 */     // MIs[0] policy
     /* 1588614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1588627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588646 */     // GIR_Coverage, 4815,
     /* 1588646 */     GIR_EraseRootFromParent_Done,
     /* 1588647 */   // Label 21970: @1588647
     /* 1588647 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1588729), // Rule ID 4824 //
     /* 1588652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1588669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588683 */     // MIs[0] passthru
     /* 1588683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588696 */     // MIs[0] policy
     /* 1588696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588728 */     // GIR_Coverage, 4824,
     /* 1588728 */     GIR_EraseRootFromParent_Done,
     /* 1588729 */   // Label 21971: @1588729
     /* 1588729 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1588811), // Rule ID 4825 //
     /* 1588734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1588751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588765 */     // MIs[0] passthru
     /* 1588765 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588778 */     // MIs[0] policy
     /* 1588778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588810 */     // GIR_Coverage, 4825,
     /* 1588810 */     GIR_EraseRootFromParent_Done,
     /* 1588811 */   // Label 21972: @1588811
     /* 1588811 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1588897), // Rule ID 2712 //
     /* 1588816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1588827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1588830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1588833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1588836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588862 */     // MIs[0] policy
     /* 1588862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1588875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588896 */     // GIR_Coverage, 2712,
     /* 1588896 */     GIR_EraseRootFromParent_Done,
     /* 1588897 */   // Label 21973: @1588897
     /* 1588897 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1588983), // Rule ID 2713 //
     /* 1588902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1588913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1588916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1588919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1588922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588948 */     // MIs[0] policy
     /* 1588948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588958 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1588961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588982 */     // GIR_Coverage, 2713,
     /* 1588982 */     GIR_EraseRootFromParent_Done,
     /* 1588983 */   // Label 21974: @1588983
     /* 1588983 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1589069), // Rule ID 2750 //
     /* 1588988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1588996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1588999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589034 */     // MIs[0] policy
     /* 1589034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1589047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589068 */     // GIR_Coverage, 2750,
     /* 1589068 */     GIR_EraseRootFromParent_Done,
     /* 1589069 */   // Label 21975: @1589069
     /* 1589069 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1589155), // Rule ID 2751 //
     /* 1589074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1589082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589120 */     // MIs[0] policy
     /* 1589120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1589133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589154 */     // GIR_Coverage, 2751,
     /* 1589154 */     GIR_EraseRootFromParent_Done,
     /* 1589155 */   // Label 21976: @1589155
     /* 1589155 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1589241), // Rule ID 2764 //
     /* 1589160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1589168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589206 */     // MIs[0] policy
     /* 1589206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1589219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1589223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589240 */     // GIR_Coverage, 2764,
     /* 1589240 */     GIR_EraseRootFromParent_Done,
     /* 1589241 */   // Label 21977: @1589241
     /* 1589241 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1589327), // Rule ID 2765 //
     /* 1589246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1589254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589292 */     // MIs[0] policy
     /* 1589292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1589305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1589309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589326 */     // GIR_Coverage, 2765,
     /* 1589326 */     GIR_EraseRootFromParent_Done,
     /* 1589327 */   // Label 21978: @1589327
     /* 1589327 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1589413), // Rule ID 2784 //
     /* 1589332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589378 */     // MIs[0] policy
     /* 1589378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1589391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589412 */     // GIR_Coverage, 2784,
     /* 1589412 */     GIR_EraseRootFromParent_Done,
     /* 1589413 */   // Label 21979: @1589413
     /* 1589413 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1589499), // Rule ID 2785 //
     /* 1589418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589464 */     // MIs[0] policy
     /* 1589464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589474 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1589477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589498 */     // GIR_Coverage, 2785,
     /* 1589498 */     GIR_EraseRootFromParent_Done,
     /* 1589499 */   // Label 21980: @1589499
     /* 1589499 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1589585), // Rule ID 2792 //
     /* 1589504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1589515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1589518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1589521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1589524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589550 */     // MIs[0] policy
     /* 1589550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1589563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589584 */     // GIR_Coverage, 2792,
     /* 1589584 */     GIR_EraseRootFromParent_Done,
     /* 1589585 */   // Label 21981: @1589585
     /* 1589585 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1589671), // Rule ID 2793 //
     /* 1589590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1589601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1589604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1589607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1589610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589636 */     // MIs[0] policy
     /* 1589636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1589649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589670 */     // GIR_Coverage, 2793,
     /* 1589670 */     GIR_EraseRootFromParent_Done,
     /* 1589671 */   // Label 21982: @1589671
     /* 1589671 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1589757), // Rule ID 2800 //
     /* 1589676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1589687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1589690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1589693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1589696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589722 */     // MIs[0] policy
     /* 1589722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589732 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1589735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589756 */     // GIR_Coverage, 2800,
     /* 1589756 */     GIR_EraseRootFromParent_Done,
     /* 1589757 */   // Label 21983: @1589757
     /* 1589757 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1589843), // Rule ID 2801 //
     /* 1589762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1589773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1589776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1589779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1589782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589808 */     // MIs[0] policy
     /* 1589808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589818 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1589821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589842 */     // GIR_Coverage, 2801,
     /* 1589842 */     GIR_EraseRootFromParent_Done,
     /* 1589843 */   // Label 21984: @1589843
     /* 1589843 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1589929), // Rule ID 2808 //
     /* 1589848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1589868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589894 */     // MIs[0] policy
     /* 1589894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589904 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1589907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589928 */     // GIR_Coverage, 2808,
     /* 1589928 */     GIR_EraseRootFromParent_Done,
     /* 1589929 */   // Label 21985: @1589929
     /* 1589929 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1590015), // Rule ID 2809 //
     /* 1589934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1589954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589980 */     // MIs[0] policy
     /* 1589980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1589993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590014 */     // GIR_Coverage, 2809,
     /* 1590014 */     GIR_EraseRootFromParent_Done,
     /* 1590015 */   // Label 21986: @1590015
     /* 1590015 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1590101), // Rule ID 2816 //
     /* 1590020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1590040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590066 */     // MIs[0] policy
     /* 1590066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590100 */     // GIR_Coverage, 2816,
     /* 1590100 */     GIR_EraseRootFromParent_Done,
     /* 1590101 */   // Label 21987: @1590101
     /* 1590101 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1590187), // Rule ID 2817 //
     /* 1590106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1590126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590152 */     // MIs[0] policy
     /* 1590152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590162 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590186 */     // GIR_Coverage, 2817,
     /* 1590186 */     GIR_EraseRootFromParent_Done,
     /* 1590187 */   // Label 21988: @1590187
     /* 1590187 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1590273), // Rule ID 2824 //
     /* 1590192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590238 */     // MIs[0] policy
     /* 1590238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590272 */     // GIR_Coverage, 2824,
     /* 1590272 */     GIR_EraseRootFromParent_Done,
     /* 1590273 */   // Label 21989: @1590273
     /* 1590273 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1590359), // Rule ID 2825 //
     /* 1590278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590324 */     // MIs[0] policy
     /* 1590324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590358 */     // GIR_Coverage, 2825,
     /* 1590358 */     GIR_EraseRootFromParent_Done,
     /* 1590359 */   // Label 21990: @1590359
     /* 1590359 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1590445), // Rule ID 2832 //
     /* 1590364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1590375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1590378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1590381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1590384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590410 */     // MIs[0] policy
     /* 1590410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590444 */     // GIR_Coverage, 2832,
     /* 1590444 */     GIR_EraseRootFromParent_Done,
     /* 1590445 */   // Label 21991: @1590445
     /* 1590445 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1590531), // Rule ID 2833 //
     /* 1590450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1590461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1590464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1590467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1590470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590496 */     // MIs[0] policy
     /* 1590496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590506 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590530 */     // GIR_Coverage, 2833,
     /* 1590530 */     GIR_EraseRootFromParent_Done,
     /* 1590531 */   // Label 21992: @1590531
     /* 1590531 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1590617), // Rule ID 2840 //
     /* 1590536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1590547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1590550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1590553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1590556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590582 */     // MIs[0] policy
     /* 1590582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590616 */     // GIR_Coverage, 2840,
     /* 1590616 */     GIR_EraseRootFromParent_Done,
     /* 1590617 */   // Label 21993: @1590617
     /* 1590617 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1590703), // Rule ID 2841 //
     /* 1590622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1590633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1590636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1590639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1590642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590668 */     // MIs[0] policy
     /* 1590668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590702 */     // GIR_Coverage, 2841,
     /* 1590702 */     GIR_EraseRootFromParent_Done,
     /* 1590703 */   // Label 21994: @1590703
     /* 1590703 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1590789), // Rule ID 2848 //
     /* 1590708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1590719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1590722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1590725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1590728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590754 */     // MIs[0] policy
     /* 1590754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590788 */     // GIR_Coverage, 2848,
     /* 1590788 */     GIR_EraseRootFromParent_Done,
     /* 1590789 */   // Label 21995: @1590789
     /* 1590789 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1590875), // Rule ID 2849 //
     /* 1590794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1590805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1590808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1590811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1590814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590840 */     // MIs[0] policy
     /* 1590840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590874 */     // GIR_Coverage, 2849,
     /* 1590874 */     GIR_EraseRootFromParent_Done,
     /* 1590875 */   // Label 21996: @1590875
     /* 1590875 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1590961), // Rule ID 2856 //
     /* 1590880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1590897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1590900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590926 */     // MIs[0] policy
     /* 1590926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590960 */     // GIR_Coverage, 2856,
     /* 1590960 */     GIR_EraseRootFromParent_Done,
     /* 1590961 */   // Label 21997: @1590961
     /* 1590961 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1591047), // Rule ID 2857 //
     /* 1590966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1590983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1590986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591012 */     // MIs[0] policy
     /* 1591012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591046 */     // GIR_Coverage, 2857,
     /* 1591046 */     GIR_EraseRootFromParent_Done,
     /* 1591047 */   // Label 21998: @1591047
     /* 1591047 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1591133), // Rule ID 2864 //
     /* 1591052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591098 */     // MIs[0] policy
     /* 1591098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591132 */     // GIR_Coverage, 2864,
     /* 1591132 */     GIR_EraseRootFromParent_Done,
     /* 1591133 */   // Label 21999: @1591133
     /* 1591133 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1591219), // Rule ID 2865 //
     /* 1591138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591184 */     // MIs[0] policy
     /* 1591184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591218 */     // GIR_Coverage, 2865,
     /* 1591218 */     GIR_EraseRootFromParent_Done,
     /* 1591219 */   // Label 22000: @1591219
     /* 1591219 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1591305), // Rule ID 2872 //
     /* 1591224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591270 */     // MIs[0] policy
     /* 1591270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591280 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591304 */     // GIR_Coverage, 2872,
     /* 1591304 */     GIR_EraseRootFromParent_Done,
     /* 1591305 */   // Label 22001: @1591305
     /* 1591305 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1591391), // Rule ID 2873 //
     /* 1591310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591356 */     // MIs[0] policy
     /* 1591356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591366 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591390 */     // GIR_Coverage, 2873,
     /* 1591390 */     GIR_EraseRootFromParent_Done,
     /* 1591391 */   // Label 22002: @1591391
     /* 1591391 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1591477), // Rule ID 2880 //
     /* 1591396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1591407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1591410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1591413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1591416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1591419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591442 */     // MIs[0] policy
     /* 1591442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591476 */     // GIR_Coverage, 2880,
     /* 1591476 */     GIR_EraseRootFromParent_Done,
     /* 1591477 */   // Label 22003: @1591477
     /* 1591477 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1591563), // Rule ID 2881 //
     /* 1591482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1591493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1591496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1591499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1591502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1591505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591528 */     // MIs[0] policy
     /* 1591528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591538 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591562 */     // GIR_Coverage, 2881,
     /* 1591562 */     GIR_EraseRootFromParent_Done,
     /* 1591563 */   // Label 22004: @1591563
     /* 1591563 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1591649), // Rule ID 2888 //
     /* 1591568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1591585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1591588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591614 */     // MIs[0] policy
     /* 1591614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591648 */     // GIR_Coverage, 2888,
     /* 1591648 */     GIR_EraseRootFromParent_Done,
     /* 1591649 */   // Label 22005: @1591649
     /* 1591649 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1591735), // Rule ID 2889 //
     /* 1591654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1591671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1591674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591700 */     // MIs[0] policy
     /* 1591700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591734 */     // GIR_Coverage, 2889,
     /* 1591734 */     GIR_EraseRootFromParent_Done,
     /* 1591735 */   // Label 22006: @1591735
     /* 1591735 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1591821), // Rule ID 2896 //
     /* 1591740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1591757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1591760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591786 */     // MIs[0] policy
     /* 1591786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591820 */     // GIR_Coverage, 2896,
     /* 1591820 */     GIR_EraseRootFromParent_Done,
     /* 1591821 */   // Label 22007: @1591821
     /* 1591821 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1591907), // Rule ID 2897 //
     /* 1591826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1591843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1591846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591872 */     // MIs[0] policy
     /* 1591872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591906 */     // GIR_Coverage, 2897,
     /* 1591906 */     GIR_EraseRootFromParent_Done,
     /* 1591907 */   // Label 22008: @1591907
     /* 1591907 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1591993), // Rule ID 2904 //
     /* 1591912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1591923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1591926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1591929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1591932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591958 */     // MIs[0] policy
     /* 1591958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591992 */     // GIR_Coverage, 2904,
     /* 1591992 */     GIR_EraseRootFromParent_Done,
     /* 1591993 */   // Label 22009: @1591993
     /* 1591993 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1592079), // Rule ID 2905 //
     /* 1591998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1592018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592044 */     // MIs[0] policy
     /* 1592044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592078 */     // GIR_Coverage, 2905,
     /* 1592078 */     GIR_EraseRootFromParent_Done,
     /* 1592079 */   // Label 22010: @1592079
     /* 1592079 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1592165), // Rule ID 2912 //
     /* 1592084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1592104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592130 */     // MIs[0] policy
     /* 1592130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592164 */     // GIR_Coverage, 2912,
     /* 1592164 */     GIR_EraseRootFromParent_Done,
     /* 1592165 */   // Label 22011: @1592165
     /* 1592165 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1592251), // Rule ID 2913 //
     /* 1592170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1592190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592216 */     // MIs[0] policy
     /* 1592216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592250 */     // GIR_Coverage, 2913,
     /* 1592250 */     GIR_EraseRootFromParent_Done,
     /* 1592251 */   // Label 22012: @1592251
     /* 1592251 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1592337), // Rule ID 2920 //
     /* 1592256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1592273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1592276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592302 */     // MIs[0] policy
     /* 1592302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592336 */     // GIR_Coverage, 2920,
     /* 1592336 */     GIR_EraseRootFromParent_Done,
     /* 1592337 */   // Label 22013: @1592337
     /* 1592337 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1592423), // Rule ID 2921 //
     /* 1592342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1592359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1592362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592388 */     // MIs[0] policy
     /* 1592388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592422 */     // GIR_Coverage, 2921,
     /* 1592422 */     GIR_EraseRootFromParent_Done,
     /* 1592423 */   // Label 22014: @1592423
     /* 1592423 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1592509), // Rule ID 2928 //
     /* 1592428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1592445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1592448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592474 */     // MIs[0] policy
     /* 1592474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592508 */     // GIR_Coverage, 2928,
     /* 1592508 */     GIR_EraseRootFromParent_Done,
     /* 1592509 */   // Label 22015: @1592509
     /* 1592509 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1592595), // Rule ID 2929 //
     /* 1592514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1592531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1592534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592560 */     // MIs[0] policy
     /* 1592560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592594 */     // GIR_Coverage, 2929,
     /* 1592594 */     GIR_EraseRootFromParent_Done,
     /* 1592595 */   // Label 22016: @1592595
     /* 1592595 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1592681), // Rule ID 2936 //
     /* 1592600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1592611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1592614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1592617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1592620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592646 */     // MIs[0] policy
     /* 1592646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592680 */     // GIR_Coverage, 2936,
     /* 1592680 */     GIR_EraseRootFromParent_Done,
     /* 1592681 */   // Label 22017: @1592681
     /* 1592681 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1592767), // Rule ID 2937 //
     /* 1592686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1592697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1592700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1592703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1592706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592732 */     // MIs[0] policy
     /* 1592732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592766 */     // GIR_Coverage, 2937,
     /* 1592766 */     GIR_EraseRootFromParent_Done,
     /* 1592767 */   // Label 22018: @1592767
     /* 1592767 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1592853), // Rule ID 2944 //
     /* 1592772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1592783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1592786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1592789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1592792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592818 */     // MIs[0] policy
     /* 1592818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592852 */     // GIR_Coverage, 2944,
     /* 1592852 */     GIR_EraseRootFromParent_Done,
     /* 1592853 */   // Label 22019: @1592853
     /* 1592853 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1592939), // Rule ID 2945 //
     /* 1592858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1592869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1592872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1592875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1592878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592904 */     // MIs[0] policy
     /* 1592904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592938 */     // GIR_Coverage, 2945,
     /* 1592938 */     GIR_EraseRootFromParent_Done,
     /* 1592939 */   // Label 22020: @1592939
     /* 1592939 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1593025), // Rule ID 2952 //
     /* 1592944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1592955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1592958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1592961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1592964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592990 */     // MIs[0] policy
     /* 1592990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1593003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593024 */     // GIR_Coverage, 2952,
     /* 1593024 */     GIR_EraseRootFromParent_Done,
     /* 1593025 */   // Label 22021: @1593025
     /* 1593025 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1593111), // Rule ID 2953 //
     /* 1593030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1593050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593076 */     // MIs[0] policy
     /* 1593076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1593089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593110 */     // GIR_Coverage, 2953,
     /* 1593110 */     GIR_EraseRootFromParent_Done,
     /* 1593111 */   // Label 22022: @1593111
     /* 1593111 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1593197), // Rule ID 2968 //
     /* 1593116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1593127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1593130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1593133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1593136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593162 */     // MIs[0] policy
     /* 1593162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593196 */     // GIR_Coverage, 2968,
     /* 1593196 */     GIR_EraseRootFromParent_Done,
     /* 1593197 */   // Label 22023: @1593197
     /* 1593197 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1593283), // Rule ID 2969 //
     /* 1593202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1593213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1593216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1593219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1593222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593248 */     // MIs[0] policy
     /* 1593248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593282 */     // GIR_Coverage, 2969,
     /* 1593282 */     GIR_EraseRootFromParent_Done,
     /* 1593283 */   // Label 22024: @1593283
     /* 1593283 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1593369), // Rule ID 2972 //
     /* 1593288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1593299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1593302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1593305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1593308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593334 */     // MIs[0] policy
     /* 1593334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593344 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593368 */     // GIR_Coverage, 2972,
     /* 1593368 */     GIR_EraseRootFromParent_Done,
     /* 1593369 */   // Label 22025: @1593369
     /* 1593369 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1593455), // Rule ID 2973 //
     /* 1593374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1593385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1593388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1593391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1593394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593420 */     // MIs[0] policy
     /* 1593420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593454 */     // GIR_Coverage, 2973,
     /* 1593454 */     GIR_EraseRootFromParent_Done,
     /* 1593455 */   // Label 22026: @1593455
     /* 1593455 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1593541), // Rule ID 2976 //
     /* 1593460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1593480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593506 */     // MIs[0] policy
     /* 1593506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593540 */     // GIR_Coverage, 2976,
     /* 1593540 */     GIR_EraseRootFromParent_Done,
     /* 1593541 */   // Label 22027: @1593541
     /* 1593541 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1593627), // Rule ID 2977 //
     /* 1593546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1593566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593592 */     // MIs[0] policy
     /* 1593592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593626 */     // GIR_Coverage, 2977,
     /* 1593626 */     GIR_EraseRootFromParent_Done,
     /* 1593627 */   // Label 22028: @1593627
     /* 1593627 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1593713), // Rule ID 2980 //
     /* 1593632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1593643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1593646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1593649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1593652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593678 */     // MIs[0] policy
     /* 1593678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593712 */     // GIR_Coverage, 2980,
     /* 1593712 */     GIR_EraseRootFromParent_Done,
     /* 1593713 */   // Label 22029: @1593713
     /* 1593713 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1593799), // Rule ID 2981 //
     /* 1593718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1593729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1593732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1593735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1593738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593764 */     // MIs[0] policy
     /* 1593764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593798 */     // GIR_Coverage, 2981,
     /* 1593798 */     GIR_EraseRootFromParent_Done,
     /* 1593799 */   // Label 22030: @1593799
     /* 1593799 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1593885), // Rule ID 2984 //
     /* 1593804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1593815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1593818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1593821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1593824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593850 */     // MIs[0] policy
     /* 1593850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593884 */     // GIR_Coverage, 2984,
     /* 1593884 */     GIR_EraseRootFromParent_Done,
     /* 1593885 */   // Label 22031: @1593885
     /* 1593885 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1593971), // Rule ID 2985 //
     /* 1593890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1593901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1593904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1593907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1593910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593936 */     // MIs[0] policy
     /* 1593936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593970 */     // GIR_Coverage, 2985,
     /* 1593970 */     GIR_EraseRootFromParent_Done,
     /* 1593971 */   // Label 22032: @1593971
     /* 1593971 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1594057), // Rule ID 2988 //
     /* 1593976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1593987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1593990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1593993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1593996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594022 */     // MIs[0] policy
     /* 1594022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594056 */     // GIR_Coverage, 2988,
     /* 1594056 */     GIR_EraseRootFromParent_Done,
     /* 1594057 */   // Label 22033: @1594057
     /* 1594057 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1594143), // Rule ID 2989 //
     /* 1594062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594108 */     // MIs[0] policy
     /* 1594108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594142 */     // GIR_Coverage, 2989,
     /* 1594142 */     GIR_EraseRootFromParent_Done,
     /* 1594143 */   // Label 22034: @1594143
     /* 1594143 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1594229), // Rule ID 2992 //
     /* 1594148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1594159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1594162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1594168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594194 */     // MIs[0] policy
     /* 1594194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594228 */     // GIR_Coverage, 2992,
     /* 1594228 */     GIR_EraseRootFromParent_Done,
     /* 1594229 */   // Label 22035: @1594229
     /* 1594229 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1594315), // Rule ID 2993 //
     /* 1594234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1594245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1594248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1594254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594280 */     // MIs[0] policy
     /* 1594280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594314 */     // GIR_Coverage, 2993,
     /* 1594314 */     GIR_EraseRootFromParent_Done,
     /* 1594315 */   // Label 22036: @1594315
     /* 1594315 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1594401), // Rule ID 2996 //
     /* 1594320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1594331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1594334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1594337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594366 */     // MIs[0] policy
     /* 1594366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594400 */     // GIR_Coverage, 2996,
     /* 1594400 */     GIR_EraseRootFromParent_Done,
     /* 1594401 */   // Label 22037: @1594401
     /* 1594401 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1594487), // Rule ID 2997 //
     /* 1594406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1594417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1594420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1594423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594452 */     // MIs[0] policy
     /* 1594452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594486 */     // GIR_Coverage, 2997,
     /* 1594486 */     GIR_EraseRootFromParent_Done,
     /* 1594487 */   // Label 22038: @1594487
     /* 1594487 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1594573), // Rule ID 3000 //
     /* 1594492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1594503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1594506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1594509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1594512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594538 */     // MIs[0] policy
     /* 1594538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594572 */     // GIR_Coverage, 3000,
     /* 1594572 */     GIR_EraseRootFromParent_Done,
     /* 1594573 */   // Label 22039: @1594573
     /* 1594573 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1594659), // Rule ID 3001 //
     /* 1594578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1594589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1594592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1594595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1594598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594624 */     // MIs[0] policy
     /* 1594624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594658 */     // GIR_Coverage, 3001,
     /* 1594658 */     GIR_EraseRootFromParent_Done,
     /* 1594659 */   // Label 22040: @1594659
     /* 1594659 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1594745), // Rule ID 3004 //
     /* 1594664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1594681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594710 */     // MIs[0] policy
     /* 1594710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1594723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594744 */     // GIR_Coverage, 3004,
     /* 1594744 */     GIR_EraseRootFromParent_Done,
     /* 1594745 */   // Label 22041: @1594745
     /* 1594745 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1594831), // Rule ID 3005 //
     /* 1594750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1594767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594796 */     // MIs[0] policy
     /* 1594796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1594809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594830 */     // GIR_Coverage, 3005,
     /* 1594830 */     GIR_EraseRootFromParent_Done,
     /* 1594831 */   // Label 22042: @1594831
     /* 1594831 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1594917), // Rule ID 3008 //
     /* 1594836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1594853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594882 */     // MIs[0] policy
     /* 1594882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1594895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594916 */     // GIR_Coverage, 3008,
     /* 1594916 */     GIR_EraseRootFromParent_Done,
     /* 1594917 */   // Label 22043: @1594917
     /* 1594917 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1595003), // Rule ID 3009 //
     /* 1594922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1594939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594968 */     // MIs[0] policy
     /* 1594968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1594981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595002 */     // GIR_Coverage, 3009,
     /* 1595002 */     GIR_EraseRootFromParent_Done,
     /* 1595003 */   // Label 22044: @1595003
     /* 1595003 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1595089), // Rule ID 3012 //
     /* 1595008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595054 */     // MIs[0] policy
     /* 1595054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595088 */     // GIR_Coverage, 3012,
     /* 1595088 */     GIR_EraseRootFromParent_Done,
     /* 1595089 */   // Label 22045: @1595089
     /* 1595089 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1595175), // Rule ID 3013 //
     /* 1595094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595140 */     // MIs[0] policy
     /* 1595140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595174 */     // GIR_Coverage, 3013,
     /* 1595174 */     GIR_EraseRootFromParent_Done,
     /* 1595175 */   // Label 22046: @1595175
     /* 1595175 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1595261), // Rule ID 3016 //
     /* 1595180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1595197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595226 */     // MIs[0] policy
     /* 1595226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595260 */     // GIR_Coverage, 3016,
     /* 1595260 */     GIR_EraseRootFromParent_Done,
     /* 1595261 */   // Label 22047: @1595261
     /* 1595261 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1595347), // Rule ID 3017 //
     /* 1595266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1595283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595312 */     // MIs[0] policy
     /* 1595312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595346 */     // GIR_Coverage, 3017,
     /* 1595346 */     GIR_EraseRootFromParent_Done,
     /* 1595347 */   // Label 22048: @1595347
     /* 1595347 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1595433), // Rule ID 3020 //
     /* 1595352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595398 */     // MIs[0] policy
     /* 1595398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595432 */     // GIR_Coverage, 3020,
     /* 1595432 */     GIR_EraseRootFromParent_Done,
     /* 1595433 */   // Label 22049: @1595433
     /* 1595433 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1595519), // Rule ID 3021 //
     /* 1595438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595484 */     // MIs[0] policy
     /* 1595484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595518 */     // GIR_Coverage, 3021,
     /* 1595518 */     GIR_EraseRootFromParent_Done,
     /* 1595519 */   // Label 22050: @1595519
     /* 1595519 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1595605), // Rule ID 3024 //
     /* 1595524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1595535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1595538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1595541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1595544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595570 */     // MIs[0] policy
     /* 1595570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595580 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595604 */     // GIR_Coverage, 3024,
     /* 1595604 */     GIR_EraseRootFromParent_Done,
     /* 1595605 */   // Label 22051: @1595605
     /* 1595605 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1595691), // Rule ID 3025 //
     /* 1595610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1595621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1595624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1595627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1595630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595656 */     // MIs[0] policy
     /* 1595656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595666 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595690 */     // GIR_Coverage, 3025,
     /* 1595690 */     GIR_EraseRootFromParent_Done,
     /* 1595691 */   // Label 22052: @1595691
     /* 1595691 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1595777), // Rule ID 3028 //
     /* 1595696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1595707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1595710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1595716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595742 */     // MIs[0] policy
     /* 1595742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595776 */     // GIR_Coverage, 3028,
     /* 1595776 */     GIR_EraseRootFromParent_Done,
     /* 1595777 */   // Label 22053: @1595777
     /* 1595777 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1595863), // Rule ID 3029 //
     /* 1595782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1595793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1595796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1595802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595828 */     // MIs[0] policy
     /* 1595828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595862 */     // GIR_Coverage, 3029,
     /* 1595862 */     GIR_EraseRootFromParent_Done,
     /* 1595863 */   // Label 22054: @1595863
     /* 1595863 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1595949), // Rule ID 3032 //
     /* 1595868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1595879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1595882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1595888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595914 */     // MIs[0] policy
     /* 1595914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595948 */     // GIR_Coverage, 3032,
     /* 1595948 */     GIR_EraseRootFromParent_Done,
     /* 1595949 */   // Label 22055: @1595949
     /* 1595949 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1596035), // Rule ID 3033 //
     /* 1595954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1595965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1595968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1595974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596000 */     // MIs[0] policy
     /* 1596000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596034 */     // GIR_Coverage, 3033,
     /* 1596034 */     GIR_EraseRootFromParent_Done,
     /* 1596035 */   // Label 22056: @1596035
     /* 1596035 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1596121), // Rule ID 3036 //
     /* 1596040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596086 */     // MIs[0] policy
     /* 1596086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596120 */     // GIR_Coverage, 3036,
     /* 1596120 */     GIR_EraseRootFromParent_Done,
     /* 1596121 */   // Label 22057: @1596121
     /* 1596121 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1596207), // Rule ID 3037 //
     /* 1596126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596172 */     // MIs[0] policy
     /* 1596172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596206 */     // GIR_Coverage, 3037,
     /* 1596206 */     GIR_EraseRootFromParent_Done,
     /* 1596207 */   // Label 22058: @1596207
     /* 1596207 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1596293), // Rule ID 3040 //
     /* 1596212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1596223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1596226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1596232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596258 */     // MIs[0] policy
     /* 1596258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596292 */     // GIR_Coverage, 3040,
     /* 1596292 */     GIR_EraseRootFromParent_Done,
     /* 1596293 */   // Label 22059: @1596293
     /* 1596293 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1596379), // Rule ID 3041 //
     /* 1596298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1596309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1596312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1596318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596344 */     // MIs[0] policy
     /* 1596344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596354 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596378 */     // GIR_Coverage, 3041,
     /* 1596378 */     GIR_EraseRootFromParent_Done,
     /* 1596379 */   // Label 22060: @1596379
     /* 1596379 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1596465), // Rule ID 3044 //
     /* 1596384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596430 */     // MIs[0] policy
     /* 1596430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596464 */     // GIR_Coverage, 3044,
     /* 1596464 */     GIR_EraseRootFromParent_Done,
     /* 1596465 */   // Label 22061: @1596465
     /* 1596465 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1596551), // Rule ID 3045 //
     /* 1596470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596516 */     // MIs[0] policy
     /* 1596516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596550 */     // GIR_Coverage, 3045,
     /* 1596550 */     GIR_EraseRootFromParent_Done,
     /* 1596551 */   // Label 22062: @1596551
     /* 1596551 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1596637), // Rule ID 3048 //
     /* 1596556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1596567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1596570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1596576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596602 */     // MIs[0] policy
     /* 1596602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596636 */     // GIR_Coverage, 3048,
     /* 1596636 */     GIR_EraseRootFromParent_Done,
     /* 1596637 */   // Label 22063: @1596637
     /* 1596637 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1596723), // Rule ID 3049 //
     /* 1596642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1596653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1596656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1596662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596688 */     // MIs[0] policy
     /* 1596688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596722 */     // GIR_Coverage, 3049,
     /* 1596722 */     GIR_EraseRootFromParent_Done,
     /* 1596723 */   // Label 22064: @1596723
     /* 1596723 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1596809), // Rule ID 3052 //
     /* 1596728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1596745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596774 */     // MIs[0] policy
     /* 1596774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1596787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596808 */     // GIR_Coverage, 3052,
     /* 1596808 */     GIR_EraseRootFromParent_Done,
     /* 1596809 */   // Label 22065: @1596809
     /* 1596809 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1596895), // Rule ID 3053 //
     /* 1596814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1596831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596860 */     // MIs[0] policy
     /* 1596860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1596873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596894 */     // GIR_Coverage, 3053,
     /* 1596894 */     GIR_EraseRootFromParent_Done,
     /* 1596895 */   // Label 22066: @1596895
     /* 1596895 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1596981), // Rule ID 3056 //
     /* 1596900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1596914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1596917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596946 */     // MIs[0] policy
     /* 1596946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1596959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596980 */     // GIR_Coverage, 3056,
     /* 1596980 */     GIR_EraseRootFromParent_Done,
     /* 1596981 */   // Label 22067: @1596981
     /* 1596981 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1597067), // Rule ID 3057 //
     /* 1596986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597032 */     // MIs[0] policy
     /* 1597032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597066 */     // GIR_Coverage, 3057,
     /* 1597066 */     GIR_EraseRootFromParent_Done,
     /* 1597067 */   // Label 22068: @1597067
     /* 1597067 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1597153), // Rule ID 3060 //
     /* 1597072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597118 */     // MIs[0] policy
     /* 1597118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597152 */     // GIR_Coverage, 3060,
     /* 1597152 */     GIR_EraseRootFromParent_Done,
     /* 1597153 */   // Label 22069: @1597153
     /* 1597153 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1597239), // Rule ID 3061 //
     /* 1597158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597204 */     // MIs[0] policy
     /* 1597204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597214 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597238 */     // GIR_Coverage, 3061,
     /* 1597238 */     GIR_EraseRootFromParent_Done,
     /* 1597239 */   // Label 22070: @1597239
     /* 1597239 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1597325), // Rule ID 3064 //
     /* 1597244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1597261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597290 */     // MIs[0] policy
     /* 1597290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597324 */     // GIR_Coverage, 3064,
     /* 1597324 */     GIR_EraseRootFromParent_Done,
     /* 1597325 */   // Label 22071: @1597325
     /* 1597325 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1597411), // Rule ID 3065 //
     /* 1597330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1597347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597376 */     // MIs[0] policy
     /* 1597376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597410 */     // GIR_Coverage, 3065,
     /* 1597410 */     GIR_EraseRootFromParent_Done,
     /* 1597411 */   // Label 22072: @1597411
     /* 1597411 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1597497), // Rule ID 3068 //
     /* 1597416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597462 */     // MIs[0] policy
     /* 1597462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597496 */     // GIR_Coverage, 3068,
     /* 1597496 */     GIR_EraseRootFromParent_Done,
     /* 1597497 */   // Label 22073: @1597497
     /* 1597497 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1597583), // Rule ID 3069 //
     /* 1597502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597548 */     // MIs[0] policy
     /* 1597548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597582 */     // GIR_Coverage, 3069,
     /* 1597582 */     GIR_EraseRootFromParent_Done,
     /* 1597583 */   // Label 22074: @1597583
     /* 1597583 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1597669), // Rule ID 3072 //
     /* 1597588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1597599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1597602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597634 */     // MIs[0] policy
     /* 1597634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597668 */     // GIR_Coverage, 3072,
     /* 1597668 */     GIR_EraseRootFromParent_Done,
     /* 1597669 */   // Label 22075: @1597669
     /* 1597669 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1597755), // Rule ID 3073 //
     /* 1597674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1597685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1597688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597720 */     // MIs[0] policy
     /* 1597720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597754 */     // GIR_Coverage, 3073,
     /* 1597754 */     GIR_EraseRootFromParent_Done,
     /* 1597755 */   // Label 22076: @1597755
     /* 1597755 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1597841), // Rule ID 3076 //
     /* 1597760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1597777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597806 */     // MIs[0] policy
     /* 1597806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1597819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597840 */     // GIR_Coverage, 3076,
     /* 1597840 */     GIR_EraseRootFromParent_Done,
     /* 1597841 */   // Label 22077: @1597841
     /* 1597841 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1597927), // Rule ID 3077 //
     /* 1597846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1597863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597892 */     // MIs[0] policy
     /* 1597892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1597905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597926 */     // GIR_Coverage, 3077,
     /* 1597926 */     GIR_EraseRootFromParent_Done,
     /* 1597927 */   // Label 22078: @1597927
     /* 1597927 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1598013), // Rule ID 3080 //
     /* 1597932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1597943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1597946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1597949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597978 */     // MIs[0] policy
     /* 1597978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1597991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598012 */     // GIR_Coverage, 3080,
     /* 1598012 */     GIR_EraseRootFromParent_Done,
     /* 1598013 */   // Label 22079: @1598013
     /* 1598013 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1598099), // Rule ID 3081 //
     /* 1598018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598064 */     // MIs[0] policy
     /* 1598064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598098 */     // GIR_Coverage, 3081,
     /* 1598098 */     GIR_EraseRootFromParent_Done,
     /* 1598099 */   // Label 22080: @1598099
     /* 1598099 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1598185), // Rule ID 3084 //
     /* 1598104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598150 */     // MIs[0] policy
     /* 1598150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598184 */     // GIR_Coverage, 3084,
     /* 1598184 */     GIR_EraseRootFromParent_Done,
     /* 1598185 */   // Label 22081: @1598185
     /* 1598185 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1598271), // Rule ID 3085 //
     /* 1598190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598236 */     // MIs[0] policy
     /* 1598236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598270 */     // GIR_Coverage, 3085,
     /* 1598270 */     GIR_EraseRootFromParent_Done,
     /* 1598271 */   // Label 22082: @1598271
     /* 1598271 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1598357), // Rule ID 3088 //
     /* 1598276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1598287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1598290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598322 */     // MIs[0] policy
     /* 1598322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598356 */     // GIR_Coverage, 3088,
     /* 1598356 */     GIR_EraseRootFromParent_Done,
     /* 1598357 */   // Label 22083: @1598357
     /* 1598357 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1598443), // Rule ID 3089 //
     /* 1598362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1598373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1598376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598408 */     // MIs[0] policy
     /* 1598408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598442 */     // GIR_Coverage, 3089,
     /* 1598442 */     GIR_EraseRootFromParent_Done,
     /* 1598443 */   // Label 22084: @1598443
     /* 1598443 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1598529), // Rule ID 3092 //
     /* 1598448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1598459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1598462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1598465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598494 */     // MIs[0] policy
     /* 1598494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1598507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598528 */     // GIR_Coverage, 3092,
     /* 1598528 */     GIR_EraseRootFromParent_Done,
     /* 1598529 */   // Label 22085: @1598529
     /* 1598529 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1598615), // Rule ID 3093 //
     /* 1598534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1598545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1598548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1598551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598580 */     // MIs[0] policy
     /* 1598580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1598593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598614 */     // GIR_Coverage, 3093,
     /* 1598614 */     GIR_EraseRootFromParent_Done,
     /* 1598615 */   // Label 22086: @1598615
     /* 1598615 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1598701), // Rule ID 3096 //
     /* 1598620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1598631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1598634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1598637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598666 */     // MIs[0] policy
     /* 1598666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1598679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598700 */     // GIR_Coverage, 3096,
     /* 1598700 */     GIR_EraseRootFromParent_Done,
     /* 1598701 */   // Label 22087: @1598701
     /* 1598701 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1598787), // Rule ID 3097 //
     /* 1598706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1598717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1598720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1598723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598752 */     // MIs[0] policy
     /* 1598752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1598765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598786 */     // GIR_Coverage, 3097,
     /* 1598786 */     GIR_EraseRootFromParent_Done,
     /* 1598787 */   // Label 22088: @1598787
     /* 1598787 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1598873), // Rule ID 3100 //
     /* 1598792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1598803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1598806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1598809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1598815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598838 */     // MIs[0] policy
     /* 1598838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598848 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1598851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598872 */     // GIR_Coverage, 3100,
     /* 1598872 */     GIR_EraseRootFromParent_Done,
     /* 1598873 */   // Label 22089: @1598873
     /* 1598873 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1598959), // Rule ID 3101 //
     /* 1598878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1598889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1598892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1598895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1598901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598924 */     // MIs[0] policy
     /* 1598924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1598937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598958 */     // GIR_Coverage, 3101,
     /* 1598958 */     GIR_EraseRootFromParent_Done,
     /* 1598959 */   // Label 22090: @1598959
     /* 1598959 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1599045), // Rule ID 3104 //
     /* 1598964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1598981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599010 */     // MIs[0] policy
     /* 1599010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599044 */     // GIR_Coverage, 3104,
     /* 1599044 */     GIR_EraseRootFromParent_Done,
     /* 1599045 */   // Label 22091: @1599045
     /* 1599045 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1599131), // Rule ID 3105 //
     /* 1599050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599096 */     // MIs[0] policy
     /* 1599096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599130 */     // GIR_Coverage, 3105,
     /* 1599130 */     GIR_EraseRootFromParent_Done,
     /* 1599131 */   // Label 22092: @1599131
     /* 1599131 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1599217), // Rule ID 3108 //
     /* 1599136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599182 */     // MIs[0] policy
     /* 1599182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599216 */     // GIR_Coverage, 3108,
     /* 1599216 */     GIR_EraseRootFromParent_Done,
     /* 1599217 */   // Label 22093: @1599217
     /* 1599217 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1599303), // Rule ID 3109 //
     /* 1599222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599268 */     // MIs[0] policy
     /* 1599268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599302 */     // GIR_Coverage, 3109,
     /* 1599302 */     GIR_EraseRootFromParent_Done,
     /* 1599303 */   // Label 22094: @1599303
     /* 1599303 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1599389), // Rule ID 3112 //
     /* 1599308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1599319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1599322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1599325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599354 */     // MIs[0] policy
     /* 1599354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599388 */     // GIR_Coverage, 3112,
     /* 1599388 */     GIR_EraseRootFromParent_Done,
     /* 1599389 */   // Label 22095: @1599389
     /* 1599389 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1599475), // Rule ID 3113 //
     /* 1599394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1599405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1599408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1599411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599440 */     // MIs[0] policy
     /* 1599440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599474 */     // GIR_Coverage, 3113,
     /* 1599474 */     GIR_EraseRootFromParent_Done,
     /* 1599475 */   // Label 22096: @1599475
     /* 1599475 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1599561), // Rule ID 3116 //
     /* 1599480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1599491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1599494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1599497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599526 */     // MIs[0] policy
     /* 1599526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599560 */     // GIR_Coverage, 3116,
     /* 1599560 */     GIR_EraseRootFromParent_Done,
     /* 1599561 */   // Label 22097: @1599561
     /* 1599561 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1599647), // Rule ID 3117 //
     /* 1599566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1599577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1599580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1599583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599612 */     // MIs[0] policy
     /* 1599612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599646 */     // GIR_Coverage, 3117,
     /* 1599646 */     GIR_EraseRootFromParent_Done,
     /* 1599647 */   // Label 22098: @1599647
     /* 1599647 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1599733), // Rule ID 3120 //
     /* 1599652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1599663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1599666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1599669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599698 */     // MIs[0] policy
     /* 1599698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599732 */     // GIR_Coverage, 3120,
     /* 1599732 */     GIR_EraseRootFromParent_Done,
     /* 1599733 */   // Label 22099: @1599733
     /* 1599733 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1599819), // Rule ID 3121 //
     /* 1599738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1599749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1599752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1599755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599784 */     // MIs[0] policy
     /* 1599784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599818 */     // GIR_Coverage, 3121,
     /* 1599818 */     GIR_EraseRootFromParent_Done,
     /* 1599819 */   // Label 22100: @1599819
     /* 1599819 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1599905), // Rule ID 3124 //
     /* 1599824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599870 */     // MIs[0] policy
     /* 1599870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599904 */     // GIR_Coverage, 3124,
     /* 1599904 */     GIR_EraseRootFromParent_Done,
     /* 1599905 */   // Label 22101: @1599905
     /* 1599905 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1599991), // Rule ID 3125 //
     /* 1599910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599956 */     // MIs[0] policy
     /* 1599956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599990 */     // GIR_Coverage, 3125,
     /* 1599990 */     GIR_EraseRootFromParent_Done,
     /* 1599991 */   // Label 22102: @1599991
     /* 1599991 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1600077), // Rule ID 3128 //
     /* 1599996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600042 */     // MIs[0] policy
     /* 1600042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600076 */     // GIR_Coverage, 3128,
     /* 1600076 */     GIR_EraseRootFromParent_Done,
     /* 1600077 */   // Label 22103: @1600077
     /* 1600077 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1600163), // Rule ID 3129 //
     /* 1600082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600128 */     // MIs[0] policy
     /* 1600128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600162 */     // GIR_Coverage, 3129,
     /* 1600162 */     GIR_EraseRootFromParent_Done,
     /* 1600163 */   // Label 22104: @1600163
     /* 1600163 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1600249), // Rule ID 3132 //
     /* 1600168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1600179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1600182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1600185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600214 */     // MIs[0] policy
     /* 1600214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600248 */     // GIR_Coverage, 3132,
     /* 1600248 */     GIR_EraseRootFromParent_Done,
     /* 1600249 */   // Label 22105: @1600249
     /* 1600249 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1600335), // Rule ID 3133 //
     /* 1600254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1600265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1600268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1600271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600300 */     // MIs[0] policy
     /* 1600300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600334 */     // GIR_Coverage, 3133,
     /* 1600334 */     GIR_EraseRootFromParent_Done,
     /* 1600335 */   // Label 22106: @1600335
     /* 1600335 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1600421), // Rule ID 3136 //
     /* 1600340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600386 */     // MIs[0] policy
     /* 1600386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600420 */     // GIR_Coverage, 3136,
     /* 1600420 */     GIR_EraseRootFromParent_Done,
     /* 1600421 */   // Label 22107: @1600421
     /* 1600421 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1600507), // Rule ID 3137 //
     /* 1600426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600472 */     // MIs[0] policy
     /* 1600472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600482 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600506 */     // GIR_Coverage, 3137,
     /* 1600506 */     GIR_EraseRootFromParent_Done,
     /* 1600507 */   // Label 22108: @1600507
     /* 1600507 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1600593), // Rule ID 3228 //
     /* 1600512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1600523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1600526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1600532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600558 */     // MIs[0] policy
     /* 1600558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1600571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600592 */     // GIR_Coverage, 3228,
     /* 1600592 */     GIR_EraseRootFromParent_Done,
     /* 1600593 */   // Label 22109: @1600593
     /* 1600593 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1600679), // Rule ID 3229 //
     /* 1600598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1600609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1600612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1600618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600644 */     // MIs[0] policy
     /* 1600644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600654 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1600657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600678 */     // GIR_Coverage, 3229,
     /* 1600678 */     GIR_EraseRootFromParent_Done,
     /* 1600679 */   // Label 22110: @1600679
     /* 1600679 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1600765), // Rule ID 3232 //
     /* 1600684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1600695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1600698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1600704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600730 */     // MIs[0] policy
     /* 1600730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1600743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600764 */     // GIR_Coverage, 3232,
     /* 1600764 */     GIR_EraseRootFromParent_Done,
     /* 1600765 */   // Label 22111: @1600765
     /* 1600765 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1600851), // Rule ID 3233 //
     /* 1600770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1600781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1600784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1600790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600816 */     // MIs[0] policy
     /* 1600816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1600829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600850 */     // GIR_Coverage, 3233,
     /* 1600850 */     GIR_EraseRootFromParent_Done,
     /* 1600851 */   // Label 22112: @1600851
     /* 1600851 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1600937), // Rule ID 3236 //
     /* 1600856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1600867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1600870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1600876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600902 */     // MIs[0] policy
     /* 1600902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1600915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600936 */     // GIR_Coverage, 3236,
     /* 1600936 */     GIR_EraseRootFromParent_Done,
     /* 1600937 */   // Label 22113: @1600937
     /* 1600937 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1601023), // Rule ID 3237 //
     /* 1600942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1600953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1600956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1600962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600988 */     // MIs[0] policy
     /* 1600988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601022 */     // GIR_Coverage, 3237,
     /* 1601022 */     GIR_EraseRootFromParent_Done,
     /* 1601023 */   // Label 22114: @1601023
     /* 1601023 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1601109), // Rule ID 3240 //
     /* 1601028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601074 */     // MIs[0] policy
     /* 1601074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601108 */     // GIR_Coverage, 3240,
     /* 1601108 */     GIR_EraseRootFromParent_Done,
     /* 1601109 */   // Label 22115: @1601109
     /* 1601109 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1601195), // Rule ID 3241 //
     /* 1601114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601160 */     // MIs[0] policy
     /* 1601160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601170 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601194 */     // GIR_Coverage, 3241,
     /* 1601194 */     GIR_EraseRootFromParent_Done,
     /* 1601195 */   // Label 22116: @1601195
     /* 1601195 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1601281), // Rule ID 3244 //
     /* 1601200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1601211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1601214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601246 */     // MIs[0] policy
     /* 1601246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601280 */     // GIR_Coverage, 3244,
     /* 1601280 */     GIR_EraseRootFromParent_Done,
     /* 1601281 */   // Label 22117: @1601281
     /* 1601281 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1601367), // Rule ID 3245 //
     /* 1601286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1601297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1601300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601332 */     // MIs[0] policy
     /* 1601332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601366 */     // GIR_Coverage, 3245,
     /* 1601366 */     GIR_EraseRootFromParent_Done,
     /* 1601367 */   // Label 22118: @1601367
     /* 1601367 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1601453), // Rule ID 3248 //
     /* 1601372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601418 */     // MIs[0] policy
     /* 1601418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601452 */     // GIR_Coverage, 3248,
     /* 1601452 */     GIR_EraseRootFromParent_Done,
     /* 1601453 */   // Label 22119: @1601453
     /* 1601453 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1601539), // Rule ID 3249 //
     /* 1601458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601504 */     // MIs[0] policy
     /* 1601504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601538 */     // GIR_Coverage, 3249,
     /* 1601538 */     GIR_EraseRootFromParent_Done,
     /* 1601539 */   // Label 22120: @1601539
     /* 1601539 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1601625), // Rule ID 3252 //
     /* 1601544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1601555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1601558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1601561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1601564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601590 */     // MIs[0] policy
     /* 1601590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1601603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601624 */     // GIR_Coverage, 3252,
     /* 1601624 */     GIR_EraseRootFromParent_Done,
     /* 1601625 */   // Label 22121: @1601625
     /* 1601625 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1601711), // Rule ID 3253 //
     /* 1601630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1601641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1601644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1601647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1601650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601676 */     // MIs[0] policy
     /* 1601676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1601689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601710 */     // GIR_Coverage, 3253,
     /* 1601710 */     GIR_EraseRootFromParent_Done,
     /* 1601711 */   // Label 22122: @1601711
     /* 1601711 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1601797), // Rule ID 3256 //
     /* 1601716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1601727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1601730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1601736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601762 */     // MIs[0] policy
     /* 1601762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1601775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601796 */     // GIR_Coverage, 3256,
     /* 1601796 */     GIR_EraseRootFromParent_Done,
     /* 1601797 */   // Label 22123: @1601797
     /* 1601797 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1601883), // Rule ID 3257 //
     /* 1601802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1601813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1601816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1601822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601848 */     // MIs[0] policy
     /* 1601848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1601861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601882 */     // GIR_Coverage, 3257,
     /* 1601882 */     GIR_EraseRootFromParent_Done,
     /* 1601883 */   // Label 22124: @1601883
     /* 1601883 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1601969), // Rule ID 3260 //
     /* 1601888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601934 */     // MIs[0] policy
     /* 1601934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1601947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601968 */     // GIR_Coverage, 3260,
     /* 1601968 */     GIR_EraseRootFromParent_Done,
     /* 1601969 */   // Label 22125: @1601969
     /* 1601969 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1602055), // Rule ID 3261 //
     /* 1601974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602020 */     // MIs[0] policy
     /* 1602020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602054 */     // GIR_Coverage, 3261,
     /* 1602054 */     GIR_EraseRootFromParent_Done,
     /* 1602055 */   // Label 22126: @1602055
     /* 1602055 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1602141), // Rule ID 3264 //
     /* 1602060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1602080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602106 */     // MIs[0] policy
     /* 1602106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602140 */     // GIR_Coverage, 3264,
     /* 1602140 */     GIR_EraseRootFromParent_Done,
     /* 1602141 */   // Label 22127: @1602141
     /* 1602141 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1602227), // Rule ID 3265 //
     /* 1602146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1602149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1602166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602192 */     // MIs[0] policy
     /* 1602192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602226 */     // GIR_Coverage, 3265,
     /* 1602226 */     GIR_EraseRootFromParent_Done,
     /* 1602227 */   // Label 22128: @1602227
     /* 1602227 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1602313), // Rule ID 3268 //
     /* 1602232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1602252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602278 */     // MIs[0] policy
     /* 1602278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602312 */     // GIR_Coverage, 3268,
     /* 1602312 */     GIR_EraseRootFromParent_Done,
     /* 1602313 */   // Label 22129: @1602313
     /* 1602313 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1602399), // Rule ID 3269 //
     /* 1602318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1602338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602364 */     // MIs[0] policy
     /* 1602364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602398 */     // GIR_Coverage, 3269,
     /* 1602398 */     GIR_EraseRootFromParent_Done,
     /* 1602399 */   // Label 22130: @1602399
     /* 1602399 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1602485), // Rule ID 3272 //
     /* 1602404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1602424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602450 */     // MIs[0] policy
     /* 1602450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1602463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602484 */     // GIR_Coverage, 3272,
     /* 1602484 */     GIR_EraseRootFromParent_Done,
     /* 1602485 */   // Label 22131: @1602485
     /* 1602485 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1602571), // Rule ID 3273 //
     /* 1602490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1602510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602536 */     // MIs[0] policy
     /* 1602536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1602549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602570 */     // GIR_Coverage, 3273,
     /* 1602570 */     GIR_EraseRootFromParent_Done,
     /* 1602571 */   // Label 22132: @1602571
     /* 1602571 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1602657), // Rule ID 3276 //
     /* 1602576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1602587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1602590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1602593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1602596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1602599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602622 */     // MIs[0] policy
     /* 1602622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1602635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602656 */     // GIR_Coverage, 3276,
     /* 1602656 */     GIR_EraseRootFromParent_Done,
     /* 1602657 */   // Label 22133: @1602657
     /* 1602657 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1602743), // Rule ID 3277 //
     /* 1602662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1602673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1602676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1602679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1602682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1602685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602708 */     // MIs[0] policy
     /* 1602708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1602721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602742 */     // GIR_Coverage, 3277,
     /* 1602742 */     GIR_EraseRootFromParent_Done,
     /* 1602743 */   // Label 22134: @1602743
     /* 1602743 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1602829), // Rule ID 3280 //
     /* 1602748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1602768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602794 */     // MIs[0] policy
     /* 1602794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602828 */     // GIR_Coverage, 3280,
     /* 1602828 */     GIR_EraseRootFromParent_Done,
     /* 1602829 */   // Label 22135: @1602829
     /* 1602829 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1602915), // Rule ID 3281 //
     /* 1602834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1602854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602880 */     // MIs[0] policy
     /* 1602880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602914 */     // GIR_Coverage, 3281,
     /* 1602914 */     GIR_EraseRootFromParent_Done,
     /* 1602915 */   // Label 22136: @1602915
     /* 1602915 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1603001), // Rule ID 3284 //
     /* 1602920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1602931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1602934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1602940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602966 */     // MIs[0] policy
     /* 1602966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1602979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603000 */     // GIR_Coverage, 3284,
     /* 1603000 */     GIR_EraseRootFromParent_Done,
     /* 1603001 */   // Label 22137: @1603001
     /* 1603001 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1603087), // Rule ID 3285 //
     /* 1603006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1603026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603052 */     // MIs[0] policy
     /* 1603052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603086 */     // GIR_Coverage, 3285,
     /* 1603086 */     GIR_EraseRootFromParent_Done,
     /* 1603087 */   // Label 22138: @1603087
     /* 1603087 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1603173), // Rule ID 3288 //
     /* 1603092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1603112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603138 */     // MIs[0] policy
     /* 1603138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603172 */     // GIR_Coverage, 3288,
     /* 1603172 */     GIR_EraseRootFromParent_Done,
     /* 1603173 */   // Label 22139: @1603173
     /* 1603173 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1603259), // Rule ID 3289 //
     /* 1603178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1603198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603224 */     // MIs[0] policy
     /* 1603224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603258 */     // GIR_Coverage, 3289,
     /* 1603258 */     GIR_EraseRootFromParent_Done,
     /* 1603259 */   // Label 22140: @1603259
     /* 1603259 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1603345), // Rule ID 3292 //
     /* 1603264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1603284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603310 */     // MIs[0] policy
     /* 1603310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603344 */     // GIR_Coverage, 3292,
     /* 1603344 */     GIR_EraseRootFromParent_Done,
     /* 1603345 */   // Label 22141: @1603345
     /* 1603345 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1603431), // Rule ID 3293 //
     /* 1603350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1603370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603396 */     // MIs[0] policy
     /* 1603396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603430 */     // GIR_Coverage, 3293,
     /* 1603430 */     GIR_EraseRootFromParent_Done,
     /* 1603431 */   // Label 22142: @1603431
     /* 1603431 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1603517), // Rule ID 3296 //
     /* 1603436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1603456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603482 */     // MIs[0] policy
     /* 1603482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603516 */     // GIR_Coverage, 3296,
     /* 1603516 */     GIR_EraseRootFromParent_Done,
     /* 1603517 */   // Label 22143: @1603517
     /* 1603517 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1603603), // Rule ID 3297 //
     /* 1603522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1603542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603568 */     // MIs[0] policy
     /* 1603568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603602 */     // GIR_Coverage, 3297,
     /* 1603602 */     GIR_EraseRootFromParent_Done,
     /* 1603603 */   // Label 22144: @1603603
     /* 1603603 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1603689), // Rule ID 3300 //
     /* 1603608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1603628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603654 */     // MIs[0] policy
     /* 1603654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603688 */     // GIR_Coverage, 3300,
     /* 1603688 */     GIR_EraseRootFromParent_Done,
     /* 1603689 */   // Label 22145: @1603689
     /* 1603689 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1603775), // Rule ID 3301 //
     /* 1603694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1603714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603740 */     // MIs[0] policy
     /* 1603740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603774 */     // GIR_Coverage, 3301,
     /* 1603774 */     GIR_EraseRootFromParent_Done,
     /* 1603775 */   // Label 22146: @1603775
     /* 1603775 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1603861), // Rule ID 3304 //
     /* 1603780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1603800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603826 */     // MIs[0] policy
     /* 1603826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603860 */     // GIR_Coverage, 3304,
     /* 1603860 */     GIR_EraseRootFromParent_Done,
     /* 1603861 */   // Label 22147: @1603861
     /* 1603861 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1603947), // Rule ID 3305 //
     /* 1603866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1603886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603912 */     // MIs[0] policy
     /* 1603912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603946 */     // GIR_Coverage, 3305,
     /* 1603946 */     GIR_EraseRootFromParent_Done,
     /* 1603947 */   // Label 22148: @1603947
     /* 1603947 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1604033), // Rule ID 3308 //
     /* 1603952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1603963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1603966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1603969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1603972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603998 */     // MIs[0] policy
     /* 1603998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1604011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604032 */     // GIR_Coverage, 3308,
     /* 1604032 */     GIR_EraseRootFromParent_Done,
     /* 1604033 */   // Label 22149: @1604033
     /* 1604033 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1604119), // Rule ID 3309 //
     /* 1604038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1604058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604084 */     // MIs[0] policy
     /* 1604084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1604097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604118 */     // GIR_Coverage, 3309,
     /* 1604118 */     GIR_EraseRootFromParent_Done,
     /* 1604119 */   // Label 22150: @1604119
     /* 1604119 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1604205), // Rule ID 3312 //
     /* 1604124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1604144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604170 */     // MIs[0] policy
     /* 1604170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604204 */     // GIR_Coverage, 3312,
     /* 1604204 */     GIR_EraseRootFromParent_Done,
     /* 1604205 */   // Label 22151: @1604205
     /* 1604205 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1604291), // Rule ID 3313 //
     /* 1604210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1604230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604256 */     // MIs[0] policy
     /* 1604256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604290 */     // GIR_Coverage, 3313,
     /* 1604290 */     GIR_EraseRootFromParent_Done,
     /* 1604291 */   // Label 22152: @1604291
     /* 1604291 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1604377), // Rule ID 3316 //
     /* 1604296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604342 */     // MIs[0] policy
     /* 1604342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604352 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1604355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604376 */     // GIR_Coverage, 3316,
     /* 1604376 */     GIR_EraseRootFromParent_Done,
     /* 1604377 */   // Label 22153: @1604377
     /* 1604377 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1604463), // Rule ID 3317 //
     /* 1604382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604428 */     // MIs[0] policy
     /* 1604428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604438 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1604441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604462 */     // GIR_Coverage, 3317,
     /* 1604462 */     GIR_EraseRootFromParent_Done,
     /* 1604463 */   // Label 22154: @1604463
     /* 1604463 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1604549), // Rule ID 3320 //
     /* 1604468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1604479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1604482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604514 */     // MIs[0] policy
     /* 1604514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604524 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1604527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604548 */     // GIR_Coverage, 3320,
     /* 1604548 */     GIR_EraseRootFromParent_Done,
     /* 1604549 */   // Label 22155: @1604549
     /* 1604549 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1604635), // Rule ID 3321 //
     /* 1604554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1604565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1604568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604600 */     // MIs[0] policy
     /* 1604600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604610 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1604613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604634 */     // GIR_Coverage, 3321,
     /* 1604634 */     GIR_EraseRootFromParent_Done,
     /* 1604635 */   // Label 22156: @1604635
     /* 1604635 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1604721), // Rule ID 3324 //
     /* 1604640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1604651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1604654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604686 */     // MIs[0] policy
     /* 1604686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1604699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604720 */     // GIR_Coverage, 3324,
     /* 1604720 */     GIR_EraseRootFromParent_Done,
     /* 1604721 */   // Label 22157: @1604721
     /* 1604721 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1604807), // Rule ID 3325 //
     /* 1604726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1604737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1604740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604772 */     // MIs[0] policy
     /* 1604772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604782 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1604785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604806 */     // GIR_Coverage, 3325,
     /* 1604806 */     GIR_EraseRootFromParent_Done,
     /* 1604807 */   // Label 22158: @1604807
     /* 1604807 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1604893), // Rule ID 3328 //
     /* 1604812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604858 */     // MIs[0] policy
     /* 1604858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1604871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604892 */     // GIR_Coverage, 3328,
     /* 1604892 */     GIR_EraseRootFromParent_Done,
     /* 1604893 */   // Label 22159: @1604893
     /* 1604893 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1604979), // Rule ID 3329 //
     /* 1604898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604944 */     // MIs[0] policy
     /* 1604944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1604957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604978 */     // GIR_Coverage, 3329,
     /* 1604978 */     GIR_EraseRootFromParent_Done,
     /* 1604979 */   // Label 22160: @1604979
     /* 1604979 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1605065), // Rule ID 3332 //
     /* 1604984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605030 */     // MIs[0] policy
     /* 1605030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605064 */     // GIR_Coverage, 3332,
     /* 1605064 */     GIR_EraseRootFromParent_Done,
     /* 1605065 */   // Label 22161: @1605065
     /* 1605065 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1605151), // Rule ID 3333 //
     /* 1605070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605116 */     // MIs[0] policy
     /* 1605116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605150 */     // GIR_Coverage, 3333,
     /* 1605150 */     GIR_EraseRootFromParent_Done,
     /* 1605151 */   // Label 22162: @1605151
     /* 1605151 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1605237), // Rule ID 3336 //
     /* 1605156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605202 */     // MIs[0] policy
     /* 1605202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605236 */     // GIR_Coverage, 3336,
     /* 1605236 */     GIR_EraseRootFromParent_Done,
     /* 1605237 */   // Label 22163: @1605237
     /* 1605237 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1605323), // Rule ID 3337 //
     /* 1605242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605288 */     // MIs[0] policy
     /* 1605288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605322 */     // GIR_Coverage, 3337,
     /* 1605322 */     GIR_EraseRootFromParent_Done,
     /* 1605323 */   // Label 22164: @1605323
     /* 1605323 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1605409), // Rule ID 3340 //
     /* 1605328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605374 */     // MIs[0] policy
     /* 1605374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605408 */     // GIR_Coverage, 3340,
     /* 1605408 */     GIR_EraseRootFromParent_Done,
     /* 1605409 */   // Label 22165: @1605409
     /* 1605409 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1605495), // Rule ID 3341 //
     /* 1605414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605460 */     // MIs[0] policy
     /* 1605460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605470 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605494 */     // GIR_Coverage, 3341,
     /* 1605494 */     GIR_EraseRootFromParent_Done,
     /* 1605495 */   // Label 22166: @1605495
     /* 1605495 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1605581), // Rule ID 3344 //
     /* 1605500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605546 */     // MIs[0] policy
     /* 1605546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605580 */     // GIR_Coverage, 3344,
     /* 1605580 */     GIR_EraseRootFromParent_Done,
     /* 1605581 */   // Label 22167: @1605581
     /* 1605581 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1605667), // Rule ID 3345 //
     /* 1605586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605632 */     // MIs[0] policy
     /* 1605632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605666 */     // GIR_Coverage, 3345,
     /* 1605666 */     GIR_EraseRootFromParent_Done,
     /* 1605667 */   // Label 22168: @1605667
     /* 1605667 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1605753), // Rule ID 3348 //
     /* 1605672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605718 */     // MIs[0] policy
     /* 1605718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605752 */     // GIR_Coverage, 3348,
     /* 1605752 */     GIR_EraseRootFromParent_Done,
     /* 1605753 */   // Label 22169: @1605753
     /* 1605753 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1605839), // Rule ID 3349 //
     /* 1605758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605804 */     // MIs[0] policy
     /* 1605804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605838 */     // GIR_Coverage, 3349,
     /* 1605838 */     GIR_EraseRootFromParent_Done,
     /* 1605839 */   // Label 22170: @1605839
     /* 1605839 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1605925), // Rule ID 3352 //
     /* 1605844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1605861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605890 */     // MIs[0] policy
     /* 1605890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605924 */     // GIR_Coverage, 3352,
     /* 1605924 */     GIR_EraseRootFromParent_Done,
     /* 1605925 */   // Label 22171: @1605925
     /* 1605925 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1606011), // Rule ID 3353 //
     /* 1605930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1605947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605976 */     // MIs[0] policy
     /* 1605976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606010 */     // GIR_Coverage, 3353,
     /* 1606010 */     GIR_EraseRootFromParent_Done,
     /* 1606011 */   // Label 22172: @1606011
     /* 1606011 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1606097), // Rule ID 3356 //
     /* 1606016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606062 */     // MIs[0] policy
     /* 1606062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606096 */     // GIR_Coverage, 3356,
     /* 1606096 */     GIR_EraseRootFromParent_Done,
     /* 1606097 */   // Label 22173: @1606097
     /* 1606097 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1606183), // Rule ID 3357 //
     /* 1606102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606148 */     // MIs[0] policy
     /* 1606148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606182 */     // GIR_Coverage, 3357,
     /* 1606182 */     GIR_EraseRootFromParent_Done,
     /* 1606183 */   // Label 22174: @1606183
     /* 1606183 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1606269), // Rule ID 3360 //
     /* 1606188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606234 */     // MIs[0] policy
     /* 1606234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606268 */     // GIR_Coverage, 3360,
     /* 1606268 */     GIR_EraseRootFromParent_Done,
     /* 1606269 */   // Label 22175: @1606269
     /* 1606269 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1606355), // Rule ID 3361 //
     /* 1606274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606320 */     // MIs[0] policy
     /* 1606320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606330 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606354 */     // GIR_Coverage, 3361,
     /* 1606354 */     GIR_EraseRootFromParent_Done,
     /* 1606355 */   // Label 22176: @1606355
     /* 1606355 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1606441), // Rule ID 3364 //
     /* 1606360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606406 */     // MIs[0] policy
     /* 1606406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606416 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1606419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606440 */     // GIR_Coverage, 3364,
     /* 1606440 */     GIR_EraseRootFromParent_Done,
     /* 1606441 */   // Label 22177: @1606441
     /* 1606441 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1606527), // Rule ID 3365 //
     /* 1606446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606492 */     // MIs[0] policy
     /* 1606492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1606505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606526 */     // GIR_Coverage, 3365,
     /* 1606526 */     GIR_EraseRootFromParent_Done,
     /* 1606527 */   // Label 22178: @1606527
     /* 1606527 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1606613), // Rule ID 3368 //
     /* 1606532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606578 */     // MIs[0] policy
     /* 1606578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606612 */     // GIR_Coverage, 3368,
     /* 1606612 */     GIR_EraseRootFromParent_Done,
     /* 1606613 */   // Label 22179: @1606613
     /* 1606613 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1606699), // Rule ID 3369 //
     /* 1606618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606664 */     // MIs[0] policy
     /* 1606664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606698 */     // GIR_Coverage, 3369,
     /* 1606698 */     GIR_EraseRootFromParent_Done,
     /* 1606699 */   // Label 22180: @1606699
     /* 1606699 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1606785), // Rule ID 3372 //
     /* 1606704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606750 */     // MIs[0] policy
     /* 1606750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606784 */     // GIR_Coverage, 3372,
     /* 1606784 */     GIR_EraseRootFromParent_Done,
     /* 1606785 */   // Label 22181: @1606785
     /* 1606785 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1606871), // Rule ID 3373 //
     /* 1606790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606836 */     // MIs[0] policy
     /* 1606836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606870 */     // GIR_Coverage, 3373,
     /* 1606870 */     GIR_EraseRootFromParent_Done,
     /* 1606871 */   // Label 22182: @1606871
     /* 1606871 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1606957), // Rule ID 3376 //
     /* 1606876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1606893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606922 */     // MIs[0] policy
     /* 1606922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606932 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1606935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606956 */     // GIR_Coverage, 3376,
     /* 1606956 */     GIR_EraseRootFromParent_Done,
     /* 1606957 */   // Label 22183: @1606957
     /* 1606957 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1607043), // Rule ID 3377 //
     /* 1606962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1606979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607008 */     // MIs[0] policy
     /* 1607008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607042 */     // GIR_Coverage, 3377,
     /* 1607042 */     GIR_EraseRootFromParent_Done,
     /* 1607043 */   // Label 22184: @1607043
     /* 1607043 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1607129), // Rule ID 3380 //
     /* 1607048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607094 */     // MIs[0] policy
     /* 1607094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607128 */     // GIR_Coverage, 3380,
     /* 1607128 */     GIR_EraseRootFromParent_Done,
     /* 1607129 */   // Label 22185: @1607129
     /* 1607129 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1607215), // Rule ID 3381 //
     /* 1607134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607180 */     // MIs[0] policy
     /* 1607180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607190 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607214 */     // GIR_Coverage, 3381,
     /* 1607214 */     GIR_EraseRootFromParent_Done,
     /* 1607215 */   // Label 22186: @1607215
     /* 1607215 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1607301), // Rule ID 3384 //
     /* 1607220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607266 */     // MIs[0] policy
     /* 1607266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607300 */     // GIR_Coverage, 3384,
     /* 1607300 */     GIR_EraseRootFromParent_Done,
     /* 1607301 */   // Label 22187: @1607301
     /* 1607301 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1607387), // Rule ID 3385 //
     /* 1607306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607352 */     // MIs[0] policy
     /* 1607352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607386 */     // GIR_Coverage, 3385,
     /* 1607386 */     GIR_EraseRootFromParent_Done,
     /* 1607387 */   // Label 22188: @1607387
     /* 1607387 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1607473), // Rule ID 3388 //
     /* 1607392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607438 */     // MIs[0] policy
     /* 1607438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607472 */     // GIR_Coverage, 3388,
     /* 1607472 */     GIR_EraseRootFromParent_Done,
     /* 1607473 */   // Label 22189: @1607473
     /* 1607473 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1607559), // Rule ID 3389 //
     /* 1607478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607524 */     // MIs[0] policy
     /* 1607524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607558 */     // GIR_Coverage, 3389,
     /* 1607558 */     GIR_EraseRootFromParent_Done,
     /* 1607559 */   // Label 22190: @1607559
     /* 1607559 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1607645), // Rule ID 3392 //
     /* 1607564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1607581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607610 */     // MIs[0] policy
     /* 1607610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607644 */     // GIR_Coverage, 3392,
     /* 1607644 */     GIR_EraseRootFromParent_Done,
     /* 1607645 */   // Label 22191: @1607645
     /* 1607645 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1607731), // Rule ID 3393 //
     /* 1607650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1607667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607696 */     // MIs[0] policy
     /* 1607696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607730 */     // GIR_Coverage, 3393,
     /* 1607730 */     GIR_EraseRootFromParent_Done,
     /* 1607731 */   // Label 22192: @1607731
     /* 1607731 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1607817), // Rule ID 3396 //
     /* 1607736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1607753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607782 */     // MIs[0] policy
     /* 1607782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607816 */     // GIR_Coverage, 3396,
     /* 1607816 */     GIR_EraseRootFromParent_Done,
     /* 1607817 */   // Label 22193: @1607817
     /* 1607817 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1607903), // Rule ID 3397 //
     /* 1607822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1607839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607868 */     // MIs[0] policy
     /* 1607868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607902 */     // GIR_Coverage, 3397,
     /* 1607902 */     GIR_EraseRootFromParent_Done,
     /* 1607903 */   // Label 22194: @1607903
     /* 1607903 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1607989), // Rule ID 3400 //
     /* 1607908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1607925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607954 */     // MIs[0] policy
     /* 1607954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607964 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607988 */     // GIR_Coverage, 3400,
     /* 1607988 */     GIR_EraseRootFromParent_Done,
     /* 1607989 */   // Label 22195: @1607989
     /* 1607989 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1608075), // Rule ID 3401 //
     /* 1607994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608040 */     // MIs[0] policy
     /* 1608040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608050 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1608053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608074 */     // GIR_Coverage, 3401,
     /* 1608074 */     GIR_EraseRootFromParent_Done,
     /* 1608075 */   // Label 22196: @1608075
     /* 1608075 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1608161), // Rule ID 3404 //
     /* 1608080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608126 */     // MIs[0] policy
     /* 1608126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1608139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608160 */     // GIR_Coverage, 3404,
     /* 1608160 */     GIR_EraseRootFromParent_Done,
     /* 1608161 */   // Label 22197: @1608161
     /* 1608161 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1608247), // Rule ID 3405 //
     /* 1608166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608212 */     // MIs[0] policy
     /* 1608212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1608225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608246 */     // GIR_Coverage, 3405,
     /* 1608246 */     GIR_EraseRootFromParent_Done,
     /* 1608247 */   // Label 22198: @1608247
     /* 1608247 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1608333), // Rule ID 3408 //
     /* 1608252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608298 */     // MIs[0] policy
     /* 1608298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608332 */     // GIR_Coverage, 3408,
     /* 1608332 */     GIR_EraseRootFromParent_Done,
     /* 1608333 */   // Label 22199: @1608333
     /* 1608333 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1608419), // Rule ID 3409 //
     /* 1608338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608384 */     // MIs[0] policy
     /* 1608384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608394 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608418 */     // GIR_Coverage, 3409,
     /* 1608418 */     GIR_EraseRootFromParent_Done,
     /* 1608419 */   // Label 22200: @1608419
     /* 1608419 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1608505), // Rule ID 3412 //
     /* 1608424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608470 */     // MIs[0] policy
     /* 1608470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608504 */     // GIR_Coverage, 3412,
     /* 1608504 */     GIR_EraseRootFromParent_Done,
     /* 1608505 */   // Label 22201: @1608505
     /* 1608505 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1608591), // Rule ID 3413 //
     /* 1608510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608556 */     // MIs[0] policy
     /* 1608556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608590 */     // GIR_Coverage, 3413,
     /* 1608590 */     GIR_EraseRootFromParent_Done,
     /* 1608591 */   // Label 22202: @1608591
     /* 1608591 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1608677), // Rule ID 3416 //
     /* 1608596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608642 */     // MIs[0] policy
     /* 1608642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608676 */     // GIR_Coverage, 3416,
     /* 1608676 */     GIR_EraseRootFromParent_Done,
     /* 1608677 */   // Label 22203: @1608677
     /* 1608677 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1608763), // Rule ID 3417 //
     /* 1608682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608728 */     // MIs[0] policy
     /* 1608728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608738 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608762 */     // GIR_Coverage, 3417,
     /* 1608762 */     GIR_EraseRootFromParent_Done,
     /* 1608763 */   // Label 22204: @1608763
     /* 1608763 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1608849), // Rule ID 3420 //
     /* 1608768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608814 */     // MIs[0] policy
     /* 1608814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608848 */     // GIR_Coverage, 3420,
     /* 1608848 */     GIR_EraseRootFromParent_Done,
     /* 1608849 */   // Label 22205: @1608849
     /* 1608849 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1608935), // Rule ID 3421 //
     /* 1608854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608900 */     // MIs[0] policy
     /* 1608900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608934 */     // GIR_Coverage, 3421,
     /* 1608934 */     GIR_EraseRootFromParent_Done,
     /* 1608935 */   // Label 22206: @1608935
     /* 1608935 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1609021), // Rule ID 3424 //
     /* 1608940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608986 */     // MIs[0] policy
     /* 1608986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609020 */     // GIR_Coverage, 3424,
     /* 1609020 */     GIR_EraseRootFromParent_Done,
     /* 1609021 */   // Label 22207: @1609021
     /* 1609021 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1609107), // Rule ID 3425 //
     /* 1609026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609072 */     // MIs[0] policy
     /* 1609072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609106 */     // GIR_Coverage, 3425,
     /* 1609106 */     GIR_EraseRootFromParent_Done,
     /* 1609107 */   // Label 22208: @1609107
     /* 1609107 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1609193), // Rule ID 3428 //
     /* 1609112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609158 */     // MIs[0] policy
     /* 1609158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609192 */     // GIR_Coverage, 3428,
     /* 1609192 */     GIR_EraseRootFromParent_Done,
     /* 1609193 */   // Label 22209: @1609193
     /* 1609193 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1609279), // Rule ID 3429 //
     /* 1609198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609244 */     // MIs[0] policy
     /* 1609244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609278 */     // GIR_Coverage, 3429,
     /* 1609278 */     GIR_EraseRootFromParent_Done,
     /* 1609279 */   // Label 22210: @1609279
     /* 1609279 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1609365), // Rule ID 3432 //
     /* 1609284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609330 */     // MIs[0] policy
     /* 1609330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609364 */     // GIR_Coverage, 3432,
     /* 1609364 */     GIR_EraseRootFromParent_Done,
     /* 1609365 */   // Label 22211: @1609365
     /* 1609365 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1609451), // Rule ID 3433 //
     /* 1609370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609416 */     // MIs[0] policy
     /* 1609416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609450 */     // GIR_Coverage, 3433,
     /* 1609450 */     GIR_EraseRootFromParent_Done,
     /* 1609451 */   // Label 22212: @1609451
     /* 1609451 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1609537), // Rule ID 3436 //
     /* 1609456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609502 */     // MIs[0] policy
     /* 1609502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609536 */     // GIR_Coverage, 3436,
     /* 1609536 */     GIR_EraseRootFromParent_Done,
     /* 1609537 */   // Label 22213: @1609537
     /* 1609537 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1609623), // Rule ID 3437 //
     /* 1609542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609588 */     // MIs[0] policy
     /* 1609588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609622 */     // GIR_Coverage, 3437,
     /* 1609622 */     GIR_EraseRootFromParent_Done,
     /* 1609623 */   // Label 22214: @1609623
     /* 1609623 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1609709), // Rule ID 3440 //
     /* 1609628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1609631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1609645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609674 */     // MIs[0] policy
     /* 1609674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609708 */     // GIR_Coverage, 3440,
     /* 1609708 */     GIR_EraseRootFromParent_Done,
     /* 1609709 */   // Label 22215: @1609709
     /* 1609709 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1609795), // Rule ID 3441 //
     /* 1609714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1609717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1609731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609760 */     // MIs[0] policy
     /* 1609760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609794 */     // GIR_Coverage, 3441,
     /* 1609794 */     GIR_EraseRootFromParent_Done,
     /* 1609795 */   // Label 22216: @1609795
     /* 1609795 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1609881), // Rule ID 3444 //
     /* 1609800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1609811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1609814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609846 */     // MIs[0] policy
     /* 1609846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1609859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609880 */     // GIR_Coverage, 3444,
     /* 1609880 */     GIR_EraseRootFromParent_Done,
     /* 1609881 */   // Label 22217: @1609881
     /* 1609881 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1609967), // Rule ID 3445 //
     /* 1609886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1609897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1609900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609932 */     // MIs[0] policy
     /* 1609932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1609945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609966 */     // GIR_Coverage, 3445,
     /* 1609966 */     GIR_EraseRootFromParent_Done,
     /* 1609967 */   // Label 22218: @1609967
     /* 1609967 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1610053), // Rule ID 3448 //
     /* 1609972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1609983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1609986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610018 */     // MIs[0] policy
     /* 1610018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610052 */     // GIR_Coverage, 3448,
     /* 1610052 */     GIR_EraseRootFromParent_Done,
     /* 1610053 */   // Label 22219: @1610053
     /* 1610053 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1610139), // Rule ID 3449 //
     /* 1610058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610104 */     // MIs[0] policy
     /* 1610104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610138 */     // GIR_Coverage, 3449,
     /* 1610138 */     GIR_EraseRootFromParent_Done,
     /* 1610139 */   // Label 22220: @1610139
     /* 1610139 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1610225), // Rule ID 3452 //
     /* 1610144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610190 */     // MIs[0] policy
     /* 1610190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610200 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610224 */     // GIR_Coverage, 3452,
     /* 1610224 */     GIR_EraseRootFromParent_Done,
     /* 1610225 */   // Label 22221: @1610225
     /* 1610225 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1610311), // Rule ID 3453 //
     /* 1610230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610276 */     // MIs[0] policy
     /* 1610276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610310 */     // GIR_Coverage, 3453,
     /* 1610310 */     GIR_EraseRootFromParent_Done,
     /* 1610311 */   // Label 22222: @1610311
     /* 1610311 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1610397), // Rule ID 3456 //
     /* 1610316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610362 */     // MIs[0] policy
     /* 1610362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610396 */     // GIR_Coverage, 3456,
     /* 1610396 */     GIR_EraseRootFromParent_Done,
     /* 1610397 */   // Label 22223: @1610397
     /* 1610397 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1610483), // Rule ID 3457 //
     /* 1610402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610448 */     // MIs[0] policy
     /* 1610448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610482 */     // GIR_Coverage, 3457,
     /* 1610482 */     GIR_EraseRootFromParent_Done,
     /* 1610483 */   // Label 22224: @1610483
     /* 1610483 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1610569), // Rule ID 3460 //
     /* 1610488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610534 */     // MIs[0] policy
     /* 1610534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610568 */     // GIR_Coverage, 3460,
     /* 1610568 */     GIR_EraseRootFromParent_Done,
     /* 1610569 */   // Label 22225: @1610569
     /* 1610569 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1610655), // Rule ID 3461 //
     /* 1610574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610620 */     // MIs[0] policy
     /* 1610620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610654 */     // GIR_Coverage, 3461,
     /* 1610654 */     GIR_EraseRootFromParent_Done,
     /* 1610655 */   // Label 22226: @1610655
     /* 1610655 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1610741), // Rule ID 3464 //
     /* 1610660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1610677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610706 */     // MIs[0] policy
     /* 1610706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610740 */     // GIR_Coverage, 3464,
     /* 1610740 */     GIR_EraseRootFromParent_Done,
     /* 1610741 */   // Label 22227: @1610741
     /* 1610741 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1610827), // Rule ID 3465 //
     /* 1610746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1610763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610792 */     // MIs[0] policy
     /* 1610792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610826 */     // GIR_Coverage, 3465,
     /* 1610826 */     GIR_EraseRootFromParent_Done,
     /* 1610827 */   // Label 22228: @1610827
     /* 1610827 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1610913), // Rule ID 3468 //
     /* 1610832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610878 */     // MIs[0] policy
     /* 1610878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610912 */     // GIR_Coverage, 3468,
     /* 1610912 */     GIR_EraseRootFromParent_Done,
     /* 1610913 */   // Label 22229: @1610913
     /* 1610913 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1610999), // Rule ID 3469 //
     /* 1610918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610964 */     // MIs[0] policy
     /* 1610964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610998 */     // GIR_Coverage, 3469,
     /* 1610998 */     GIR_EraseRootFromParent_Done,
     /* 1610999 */   // Label 22230: @1610999
     /* 1610999 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1611085), // Rule ID 3472 //
     /* 1611004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611050 */     // MIs[0] policy
     /* 1611050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611084 */     // GIR_Coverage, 3472,
     /* 1611084 */     GIR_EraseRootFromParent_Done,
     /* 1611085 */   // Label 22231: @1611085
     /* 1611085 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1611171), // Rule ID 3473 //
     /* 1611090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611136 */     // MIs[0] policy
     /* 1611136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611170 */     // GIR_Coverage, 3473,
     /* 1611170 */     GIR_EraseRootFromParent_Done,
     /* 1611171 */   // Label 22232: @1611171
     /* 1611171 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1611257), // Rule ID 3476 //
     /* 1611176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611222 */     // MIs[0] policy
     /* 1611222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611256 */     // GIR_Coverage, 3476,
     /* 1611256 */     GIR_EraseRootFromParent_Done,
     /* 1611257 */   // Label 22233: @1611257
     /* 1611257 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1611343), // Rule ID 3477 //
     /* 1611262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611308 */     // MIs[0] policy
     /* 1611308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611342 */     // GIR_Coverage, 3477,
     /* 1611342 */     GIR_EraseRootFromParent_Done,
     /* 1611343 */   // Label 22234: @1611343
     /* 1611343 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1611429), // Rule ID 3480 //
     /* 1611348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611394 */     // MIs[0] policy
     /* 1611394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611428 */     // GIR_Coverage, 3480,
     /* 1611428 */     GIR_EraseRootFromParent_Done,
     /* 1611429 */   // Label 22235: @1611429
     /* 1611429 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1611515), // Rule ID 3481 //
     /* 1611434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611480 */     // MIs[0] policy
     /* 1611480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611514 */     // GIR_Coverage, 3481,
     /* 1611514 */     GIR_EraseRootFromParent_Done,
     /* 1611515 */   // Label 22236: @1611515
     /* 1611515 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1611601), // Rule ID 3484 //
     /* 1611520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1611537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611566 */     // MIs[0] policy
     /* 1611566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611600 */     // GIR_Coverage, 3484,
     /* 1611600 */     GIR_EraseRootFromParent_Done,
     /* 1611601 */   // Label 22237: @1611601
     /* 1611601 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1611687), // Rule ID 3485 //
     /* 1611606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1611623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611652 */     // MIs[0] policy
     /* 1611652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611686 */     // GIR_Coverage, 3485,
     /* 1611686 */     GIR_EraseRootFromParent_Done,
     /* 1611687 */   // Label 22238: @1611687
     /* 1611687 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1611773), // Rule ID 3488 //
     /* 1611692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1611709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611738 */     // MIs[0] policy
     /* 1611738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611772 */     // GIR_Coverage, 3488,
     /* 1611772 */     GIR_EraseRootFromParent_Done,
     /* 1611773 */   // Label 22239: @1611773
     /* 1611773 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1611859), // Rule ID 3489 //
     /* 1611778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1611795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611824 */     // MIs[0] policy
     /* 1611824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611858 */     // GIR_Coverage, 3489,
     /* 1611858 */     GIR_EraseRootFromParent_Done,
     /* 1611859 */   // Label 22240: @1611859
     /* 1611859 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1611945), // Rule ID 3580 //
     /* 1611864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1611875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1611878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1611884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611910 */     // MIs[0] policy
     /* 1611910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1611923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611944 */     // GIR_Coverage, 3580,
     /* 1611944 */     GIR_EraseRootFromParent_Done,
     /* 1611945 */   // Label 22241: @1611945
     /* 1611945 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1612031), // Rule ID 3581 //
     /* 1611950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1611961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1611964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1611970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611996 */     // MIs[0] policy
     /* 1611996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1612009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612030 */     // GIR_Coverage, 3581,
     /* 1612030 */     GIR_EraseRootFromParent_Done,
     /* 1612031 */   // Label 22242: @1612031
     /* 1612031 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1612117), // Rule ID 3584 //
     /* 1612036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612082 */     // MIs[0] policy
     /* 1612082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1612095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612116 */     // GIR_Coverage, 3584,
     /* 1612116 */     GIR_EraseRootFromParent_Done,
     /* 1612117 */   // Label 22243: @1612117
     /* 1612117 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1612203), // Rule ID 3585 //
     /* 1612122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612168 */     // MIs[0] policy
     /* 1612168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1612181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612202 */     // GIR_Coverage, 3585,
     /* 1612202 */     GIR_EraseRootFromParent_Done,
     /* 1612203 */   // Label 22244: @1612203
     /* 1612203 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1612289), // Rule ID 3588 //
     /* 1612208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612254 */     // MIs[0] policy
     /* 1612254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1612267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612288 */     // GIR_Coverage, 3588,
     /* 1612288 */     GIR_EraseRootFromParent_Done,
     /* 1612289 */   // Label 22245: @1612289
     /* 1612289 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1612375), // Rule ID 3589 //
     /* 1612294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612340 */     // MIs[0] policy
     /* 1612340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1612353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612374 */     // GIR_Coverage, 3589,
     /* 1612374 */     GIR_EraseRootFromParent_Done,
     /* 1612375 */   // Label 22246: @1612375
     /* 1612375 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1612461), // Rule ID 3592 //
     /* 1612380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1612400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612426 */     // MIs[0] policy
     /* 1612426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1612439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612460 */     // GIR_Coverage, 3592,
     /* 1612460 */     GIR_EraseRootFromParent_Done,
     /* 1612461 */   // Label 22247: @1612461
     /* 1612461 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1612547), // Rule ID 3593 //
     /* 1612466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1612486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612512 */     // MIs[0] policy
     /* 1612512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1612525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612546 */     // GIR_Coverage, 3593,
     /* 1612546 */     GIR_EraseRootFromParent_Done,
     /* 1612547 */   // Label 22248: @1612547
     /* 1612547 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1612633), // Rule ID 3596 //
     /* 1612552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1612572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612598 */     // MIs[0] policy
     /* 1612598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1612611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612632 */     // GIR_Coverage, 3596,
     /* 1612632 */     GIR_EraseRootFromParent_Done,
     /* 1612633 */   // Label 22249: @1612633
     /* 1612633 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1612719), // Rule ID 3597 //
     /* 1612638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1612658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612684 */     // MIs[0] policy
     /* 1612684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1612697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612718 */     // GIR_Coverage, 3597,
     /* 1612718 */     GIR_EraseRootFromParent_Done,
     /* 1612719 */   // Label 22250: @1612719
     /* 1612719 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1612805), // Rule ID 3600 //
     /* 1612724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1612735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1612738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1612741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1612744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1612747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612770 */     // MIs[0] policy
     /* 1612770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1612783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612804 */     // GIR_Coverage, 3600,
     /* 1612804 */     GIR_EraseRootFromParent_Done,
     /* 1612805 */   // Label 22251: @1612805
     /* 1612805 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1612891), // Rule ID 3601 //
     /* 1612810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1612821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1612824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1612827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1612830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1612833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612856 */     // MIs[0] policy
     /* 1612856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1612869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612890 */     // GIR_Coverage, 3601,
     /* 1612890 */     GIR_EraseRootFromParent_Done,
     /* 1612891 */   // Label 22252: @1612891
     /* 1612891 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1612977), // Rule ID 3604 //
     /* 1612896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1612916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612942 */     // MIs[0] policy
     /* 1612942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1612955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612976 */     // GIR_Coverage, 3604,
     /* 1612976 */     GIR_EraseRootFromParent_Done,
     /* 1612977 */   // Label 22253: @1612977
     /* 1612977 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1613063), // Rule ID 3605 //
     /* 1612982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1613002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613028 */     // MIs[0] policy
     /* 1613028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1613041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613062 */     // GIR_Coverage, 3605,
     /* 1613062 */     GIR_EraseRootFromParent_Done,
     /* 1613063 */   // Label 22254: @1613063
     /* 1613063 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1613149), // Rule ID 3608 //
     /* 1613068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613114 */     // MIs[0] policy
     /* 1613114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613148 */     // GIR_Coverage, 3608,
     /* 1613148 */     GIR_EraseRootFromParent_Done,
     /* 1613149 */   // Label 22255: @1613149
     /* 1613149 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1613235), // Rule ID 3609 //
     /* 1613154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613200 */     // MIs[0] policy
     /* 1613200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613234 */     // GIR_Coverage, 3609,
     /* 1613234 */     GIR_EraseRootFromParent_Done,
     /* 1613235 */   // Label 22256: @1613235
     /* 1613235 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1613321), // Rule ID 3612 //
     /* 1613240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613286 */     // MIs[0] policy
     /* 1613286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1613299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613320 */     // GIR_Coverage, 3612,
     /* 1613320 */     GIR_EraseRootFromParent_Done,
     /* 1613321 */   // Label 22257: @1613321
     /* 1613321 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1613407), // Rule ID 3613 //
     /* 1613326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613372 */     // MIs[0] policy
     /* 1613372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1613385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613406 */     // GIR_Coverage, 3613,
     /* 1613406 */     GIR_EraseRootFromParent_Done,
     /* 1613407 */   // Label 22258: @1613407
     /* 1613407 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1613493), // Rule ID 3616 //
     /* 1613412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1613432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613458 */     // MIs[0] policy
     /* 1613458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1613471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613492 */     // GIR_Coverage, 3616,
     /* 1613492 */     GIR_EraseRootFromParent_Done,
     /* 1613493 */   // Label 22259: @1613493
     /* 1613493 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1613579), // Rule ID 3617 //
     /* 1613498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1613518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613544 */     // MIs[0] policy
     /* 1613544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1613557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613578 */     // GIR_Coverage, 3617,
     /* 1613578 */     GIR_EraseRootFromParent_Done,
     /* 1613579 */   // Label 22260: @1613579
     /* 1613579 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1613665), // Rule ID 3620 //
     /* 1613584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1613604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613630 */     // MIs[0] policy
     /* 1613630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1613643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613664 */     // GIR_Coverage, 3620,
     /* 1613664 */     GIR_EraseRootFromParent_Done,
     /* 1613665 */   // Label 22261: @1613665
     /* 1613665 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1613751), // Rule ID 3621 //
     /* 1613670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1613690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613716 */     // MIs[0] policy
     /* 1613716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1613729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613750 */     // GIR_Coverage, 3621,
     /* 1613750 */     GIR_EraseRootFromParent_Done,
     /* 1613751 */   // Label 22262: @1613751
     /* 1613751 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1613837), // Rule ID 3624 //
     /* 1613756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1613776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613802 */     // MIs[0] policy
     /* 1613802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613836 */     // GIR_Coverage, 3624,
     /* 1613836 */     GIR_EraseRootFromParent_Done,
     /* 1613837 */   // Label 22263: @1613837
     /* 1613837 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1613923), // Rule ID 3625 //
     /* 1613842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1613862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613888 */     // MIs[0] policy
     /* 1613888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613922 */     // GIR_Coverage, 3625,
     /* 1613922 */     GIR_EraseRootFromParent_Done,
     /* 1613923 */   // Label 22264: @1613923
     /* 1613923 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1614009), // Rule ID 3628 //
     /* 1613928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1613939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1613942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1613945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1613948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613974 */     // MIs[0] policy
     /* 1613974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1613987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614008 */     // GIR_Coverage, 3628,
     /* 1614008 */     GIR_EraseRootFromParent_Done,
     /* 1614009 */   // Label 22265: @1614009
     /* 1614009 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1614095), // Rule ID 3629 //
     /* 1614014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1614034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614060 */     // MIs[0] policy
     /* 1614060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614070 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1614073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614094 */     // GIR_Coverage, 3629,
     /* 1614094 */     GIR_EraseRootFromParent_Done,
     /* 1614095 */   // Label 22266: @1614095
     /* 1614095 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1614181), // Rule ID 3632 //
     /* 1614100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614146 */     // MIs[0] policy
     /* 1614146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1614159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614180 */     // GIR_Coverage, 3632,
     /* 1614180 */     GIR_EraseRootFromParent_Done,
     /* 1614181 */   // Label 22267: @1614181
     /* 1614181 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1614267), // Rule ID 3633 //
     /* 1614186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614232 */     // MIs[0] policy
     /* 1614232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1614245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614266 */     // GIR_Coverage, 3633,
     /* 1614266 */     GIR_EraseRootFromParent_Done,
     /* 1614267 */   // Label 22268: @1614267
     /* 1614267 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1614353), // Rule ID 3636 //
     /* 1614272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614318 */     // MIs[0] policy
     /* 1614318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614352 */     // GIR_Coverage, 3636,
     /* 1614352 */     GIR_EraseRootFromParent_Done,
     /* 1614353 */   // Label 22269: @1614353
     /* 1614353 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1614439), // Rule ID 3637 //
     /* 1614358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614404 */     // MIs[0] policy
     /* 1614404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614438 */     // GIR_Coverage, 3637,
     /* 1614438 */     GIR_EraseRootFromParent_Done,
     /* 1614439 */   // Label 22270: @1614439
     /* 1614439 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1614525), // Rule ID 3640 //
     /* 1614444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614490 */     // MIs[0] policy
     /* 1614490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1614503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614524 */     // GIR_Coverage, 3640,
     /* 1614524 */     GIR_EraseRootFromParent_Done,
     /* 1614525 */   // Label 22271: @1614525
     /* 1614525 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1614611), // Rule ID 3641 //
     /* 1614530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614576 */     // MIs[0] policy
     /* 1614576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1614589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614610 */     // GIR_Coverage, 3641,
     /* 1614610 */     GIR_EraseRootFromParent_Done,
     /* 1614611 */   // Label 22272: @1614611
     /* 1614611 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1614697), // Rule ID 3644 //
     /* 1614616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614662 */     // MIs[0] policy
     /* 1614662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1614675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614696 */     // GIR_Coverage, 3644,
     /* 1614696 */     GIR_EraseRootFromParent_Done,
     /* 1614697 */   // Label 22273: @1614697
     /* 1614697 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1614783), // Rule ID 3645 //
     /* 1614702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614748 */     // MIs[0] policy
     /* 1614748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1614761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614782 */     // GIR_Coverage, 3645,
     /* 1614782 */     GIR_EraseRootFromParent_Done,
     /* 1614783 */   // Label 22274: @1614783
     /* 1614783 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1614869), // Rule ID 3648 //
     /* 1614788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1614799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1614802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1614805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614834 */     // MIs[0] policy
     /* 1614834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1614847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614868 */     // GIR_Coverage, 3648,
     /* 1614868 */     GIR_EraseRootFromParent_Done,
     /* 1614869 */   // Label 22275: @1614869
     /* 1614869 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1614955), // Rule ID 3649 //
     /* 1614874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1614885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1614888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1614891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614920 */     // MIs[0] policy
     /* 1614920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1614933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614954 */     // GIR_Coverage, 3649,
     /* 1614954 */     GIR_EraseRootFromParent_Done,
     /* 1614955 */   // Label 22276: @1614955
     /* 1614955 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1615041), // Rule ID 3652 //
     /* 1614960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1614977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615006 */     // MIs[0] policy
     /* 1615006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615040 */     // GIR_Coverage, 3652,
     /* 1615040 */     GIR_EraseRootFromParent_Done,
     /* 1615041 */   // Label 22277: @1615041
     /* 1615041 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1615127), // Rule ID 3653 //
     /* 1615046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615092 */     // MIs[0] policy
     /* 1615092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615126 */     // GIR_Coverage, 3653,
     /* 1615126 */     GIR_EraseRootFromParent_Done,
     /* 1615127 */   // Label 22278: @1615127
     /* 1615127 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1615213), // Rule ID 3656 //
     /* 1615132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615178 */     // MIs[0] policy
     /* 1615178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1615191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615212 */     // GIR_Coverage, 3656,
     /* 1615212 */     GIR_EraseRootFromParent_Done,
     /* 1615213 */   // Label 22279: @1615213
     /* 1615213 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1615299), // Rule ID 3657 //
     /* 1615218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615264 */     // MIs[0] policy
     /* 1615264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1615277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615298 */     // GIR_Coverage, 3657,
     /* 1615298 */     GIR_EraseRootFromParent_Done,
     /* 1615299 */   // Label 22280: @1615299
     /* 1615299 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1615385), // Rule ID 3660 //
     /* 1615304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615350 */     // MIs[0] policy
     /* 1615350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615360 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1615363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615384 */     // GIR_Coverage, 3660,
     /* 1615384 */     GIR_EraseRootFromParent_Done,
     /* 1615385 */   // Label 22281: @1615385
     /* 1615385 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1615471), // Rule ID 3661 //
     /* 1615390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615436 */     // MIs[0] policy
     /* 1615436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1615449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615470 */     // GIR_Coverage, 3661,
     /* 1615470 */     GIR_EraseRootFromParent_Done,
     /* 1615471 */   // Label 22282: @1615471
     /* 1615471 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1615557), // Rule ID 3664 //
     /* 1615476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615522 */     // MIs[0] policy
     /* 1615522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1615535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615556 */     // GIR_Coverage, 3664,
     /* 1615556 */     GIR_EraseRootFromParent_Done,
     /* 1615557 */   // Label 22283: @1615557
     /* 1615557 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1615643), // Rule ID 3665 //
     /* 1615562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615608 */     // MIs[0] policy
     /* 1615608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1615621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615642 */     // GIR_Coverage, 3665,
     /* 1615642 */     GIR_EraseRootFromParent_Done,
     /* 1615643 */   // Label 22284: @1615643
     /* 1615643 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1615729), // Rule ID 3668 //
     /* 1615648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1615659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1615662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1615665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615694 */     // MIs[0] policy
     /* 1615694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1615707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615728 */     // GIR_Coverage, 3668,
     /* 1615728 */     GIR_EraseRootFromParent_Done,
     /* 1615729 */   // Label 22285: @1615729
     /* 1615729 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1615815), // Rule ID 3669 //
     /* 1615734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1615745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1615748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1615751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615780 */     // MIs[0] policy
     /* 1615780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1615793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615814 */     // GIR_Coverage, 3669,
     /* 1615814 */     GIR_EraseRootFromParent_Done,
     /* 1615815 */   // Label 22286: @1615815
     /* 1615815 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1615901), // Rule ID 3672 //
     /* 1615820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1615837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615866 */     // MIs[0] policy
     /* 1615866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615900 */     // GIR_Coverage, 3672,
     /* 1615900 */     GIR_EraseRootFromParent_Done,
     /* 1615901 */   // Label 22287: @1615901
     /* 1615901 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1615987), // Rule ID 3673 //
     /* 1615906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1615923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615952 */     // MIs[0] policy
     /* 1615952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615986 */     // GIR_Coverage, 3673,
     /* 1615986 */     GIR_EraseRootFromParent_Done,
     /* 1615987 */   // Label 22288: @1615987
     /* 1615987 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1616073), // Rule ID 3676 //
     /* 1615992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616038 */     // MIs[0] policy
     /* 1616038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616072 */     // GIR_Coverage, 3676,
     /* 1616072 */     GIR_EraseRootFromParent_Done,
     /* 1616073 */   // Label 22289: @1616073
     /* 1616073 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1616159), // Rule ID 3677 //
     /* 1616078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616124 */     // MIs[0] policy
     /* 1616124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616158 */     // GIR_Coverage, 3677,
     /* 1616158 */     GIR_EraseRootFromParent_Done,
     /* 1616159 */   // Label 22290: @1616159
     /* 1616159 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1616245), // Rule ID 3680 //
     /* 1616164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616210 */     // MIs[0] policy
     /* 1616210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616244 */     // GIR_Coverage, 3680,
     /* 1616244 */     GIR_EraseRootFromParent_Done,
     /* 1616245 */   // Label 22291: @1616245
     /* 1616245 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1616331), // Rule ID 3681 //
     /* 1616250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616296 */     // MIs[0] policy
     /* 1616296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616330 */     // GIR_Coverage, 3681,
     /* 1616330 */     GIR_EraseRootFromParent_Done,
     /* 1616331 */   // Label 22292: @1616331
     /* 1616331 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1616417), // Rule ID 3684 //
     /* 1616336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616382 */     // MIs[0] policy
     /* 1616382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616416 */     // GIR_Coverage, 3684,
     /* 1616416 */     GIR_EraseRootFromParent_Done,
     /* 1616417 */   // Label 22293: @1616417
     /* 1616417 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1616503), // Rule ID 3685 //
     /* 1616422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616468 */     // MIs[0] policy
     /* 1616468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616502 */     // GIR_Coverage, 3685,
     /* 1616502 */     GIR_EraseRootFromParent_Done,
     /* 1616503 */   // Label 22294: @1616503
     /* 1616503 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1616589), // Rule ID 3688 //
     /* 1616508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616554 */     // MIs[0] policy
     /* 1616554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1616567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616588 */     // GIR_Coverage, 3688,
     /* 1616588 */     GIR_EraseRootFromParent_Done,
     /* 1616589 */   // Label 22295: @1616589
     /* 1616589 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1616675), // Rule ID 3689 //
     /* 1616594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616640 */     // MIs[0] policy
     /* 1616640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1616653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616674 */     // GIR_Coverage, 3689,
     /* 1616674 */     GIR_EraseRootFromParent_Done,
     /* 1616675 */   // Label 22296: @1616675
     /* 1616675 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1616761), // Rule ID 3692 //
     /* 1616680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1616697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616726 */     // MIs[0] policy
     /* 1616726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616760 */     // GIR_Coverage, 3692,
     /* 1616760 */     GIR_EraseRootFromParent_Done,
     /* 1616761 */   // Label 22297: @1616761
     /* 1616761 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1616847), // Rule ID 3693 //
     /* 1616766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1616783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616812 */     // MIs[0] policy
     /* 1616812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616822 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616846 */     // GIR_Coverage, 3693,
     /* 1616846 */     GIR_EraseRootFromParent_Done,
     /* 1616847 */   // Label 22298: @1616847
     /* 1616847 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1616933), // Rule ID 3696 //
     /* 1616852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1616869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616898 */     // MIs[0] policy
     /* 1616898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616932 */     // GIR_Coverage, 3696,
     /* 1616932 */     GIR_EraseRootFromParent_Done,
     /* 1616933 */   // Label 22299: @1616933
     /* 1616933 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1617019), // Rule ID 3697 //
     /* 1616938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1616955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616984 */     // MIs[0] policy
     /* 1616984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617018 */     // GIR_Coverage, 3697,
     /* 1617018 */     GIR_EraseRootFromParent_Done,
     /* 1617019 */   // Label 22300: @1617019
     /* 1617019 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1617105), // Rule ID 3700 //
     /* 1617024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1617044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617070 */     // MIs[0] policy
     /* 1617070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617080 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1617083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617104 */     // GIR_Coverage, 3700,
     /* 1617104 */     GIR_EraseRootFromParent_Done,
     /* 1617105 */   // Label 22301: @1617105
     /* 1617105 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1617191), // Rule ID 3701 //
     /* 1617110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1617130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617156 */     // MIs[0] policy
     /* 1617156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617166 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1617169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617190 */     // GIR_Coverage, 3701,
     /* 1617190 */     GIR_EraseRootFromParent_Done,
     /* 1617191 */   // Label 22302: @1617191
     /* 1617191 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1617277), // Rule ID 3704 //
     /* 1617196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1617216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617242 */     // MIs[0] policy
     /* 1617242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617252 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1617255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617276 */     // GIR_Coverage, 3704,
     /* 1617276 */     GIR_EraseRootFromParent_Done,
     /* 1617277 */   // Label 22303: @1617277
     /* 1617277 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1617363), // Rule ID 3705 //
     /* 1617282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1617302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617328 */     // MIs[0] policy
     /* 1617328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617338 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1617341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617362 */     // GIR_Coverage, 3705,
     /* 1617362 */     GIR_EraseRootFromParent_Done,
     /* 1617363 */   // Label 22304: @1617363
     /* 1617363 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1617449), // Rule ID 3708 //
     /* 1617368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1617388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617414 */     // MIs[0] policy
     /* 1617414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1617427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617448 */     // GIR_Coverage, 3708,
     /* 1617448 */     GIR_EraseRootFromParent_Done,
     /* 1617449 */   // Label 22305: @1617449
     /* 1617449 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1617535), // Rule ID 3709 //
     /* 1617454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1617474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617500 */     // MIs[0] policy
     /* 1617500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1617513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617534 */     // GIR_Coverage, 3709,
     /* 1617534 */     GIR_EraseRootFromParent_Done,
     /* 1617535 */   // Label 22306: @1617535
     /* 1617535 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1617621), // Rule ID 3712 //
     /* 1617540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1617560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617586 */     // MIs[0] policy
     /* 1617586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1617599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617620 */     // GIR_Coverage, 3712,
     /* 1617620 */     GIR_EraseRootFromParent_Done,
     /* 1617621 */   // Label 22307: @1617621
     /* 1617621 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1617707), // Rule ID 3713 //
     /* 1617626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1617646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617672 */     // MIs[0] policy
     /* 1617672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1617685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617706 */     // GIR_Coverage, 3713,
     /* 1617706 */     GIR_EraseRootFromParent_Done,
     /* 1617707 */   // Label 22308: @1617707
     /* 1617707 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1617793), // Rule ID 3716 //
     /* 1617712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1617732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617758 */     // MIs[0] policy
     /* 1617758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1617771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617792 */     // GIR_Coverage, 3716,
     /* 1617792 */     GIR_EraseRootFromParent_Done,
     /* 1617793 */   // Label 22309: @1617793
     /* 1617793 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1617879), // Rule ID 3717 //
     /* 1617798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1617818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617844 */     // MIs[0] policy
     /* 1617844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617854 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1617857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617878 */     // GIR_Coverage, 3717,
     /* 1617878 */     GIR_EraseRootFromParent_Done,
     /* 1617879 */   // Label 22310: @1617879
     /* 1617879 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1617965), // Rule ID 3720 //
     /* 1617884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1617904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617930 */     // MIs[0] policy
     /* 1617930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617940 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1617943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617964 */     // GIR_Coverage, 3720,
     /* 1617964 */     GIR_EraseRootFromParent_Done,
     /* 1617965 */   // Label 22311: @1617965
     /* 1617965 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1618051), // Rule ID 3721 //
     /* 1617970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1617990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618016 */     // MIs[0] policy
     /* 1618016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1618029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618050 */     // GIR_Coverage, 3721,
     /* 1618050 */     GIR_EraseRootFromParent_Done,
     /* 1618051 */   // Label 22312: @1618051
     /* 1618051 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1618137), // Rule ID 3724 //
     /* 1618056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1618076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618102 */     // MIs[0] policy
     /* 1618102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1618115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618136 */     // GIR_Coverage, 3724,
     /* 1618136 */     GIR_EraseRootFromParent_Done,
     /* 1618137 */   // Label 22313: @1618137
     /* 1618137 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1618223), // Rule ID 3725 //
     /* 1618142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1618162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618188 */     // MIs[0] policy
     /* 1618188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1618201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618222 */     // GIR_Coverage, 3725,
     /* 1618222 */     GIR_EraseRootFromParent_Done,
     /* 1618223 */   // Label 22314: @1618223
     /* 1618223 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1618309), // Rule ID 3728 //
     /* 1618228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1618248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618274 */     // MIs[0] policy
     /* 1618274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1618287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618308 */     // GIR_Coverage, 3728,
     /* 1618308 */     GIR_EraseRootFromParent_Done,
     /* 1618309 */   // Label 22315: @1618309
     /* 1618309 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1618395), // Rule ID 3729 //
     /* 1618314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1618334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618360 */     // MIs[0] policy
     /* 1618360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1618373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618394 */     // GIR_Coverage, 3729,
     /* 1618394 */     GIR_EraseRootFromParent_Done,
     /* 1618395 */   // Label 22316: @1618395
     /* 1618395 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1618481), // Rule ID 3732 //
     /* 1618400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1618420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618446 */     // MIs[0] policy
     /* 1618446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1618459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618480 */     // GIR_Coverage, 3732,
     /* 1618480 */     GIR_EraseRootFromParent_Done,
     /* 1618481 */   // Label 22317: @1618481
     /* 1618481 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1618567), // Rule ID 3733 //
     /* 1618486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1618506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618532 */     // MIs[0] policy
     /* 1618532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1618545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618566 */     // GIR_Coverage, 3733,
     /* 1618566 */     GIR_EraseRootFromParent_Done,
     /* 1618567 */   // Label 22318: @1618567
     /* 1618567 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1618653), // Rule ID 3736 //
     /* 1618572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1618592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618618 */     // MIs[0] policy
     /* 1618618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1618631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618652 */     // GIR_Coverage, 3736,
     /* 1618652 */     GIR_EraseRootFromParent_Done,
     /* 1618653 */   // Label 22319: @1618653
     /* 1618653 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1618739), // Rule ID 3737 //
     /* 1618658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1618678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618704 */     // MIs[0] policy
     /* 1618704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1618717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618738 */     // GIR_Coverage, 3737,
     /* 1618738 */     GIR_EraseRootFromParent_Done,
     /* 1618739 */   // Label 22320: @1618739
     /* 1618739 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1618825), // Rule ID 3740 //
     /* 1618744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1618764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618790 */     // MIs[0] policy
     /* 1618790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1618803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618824 */     // GIR_Coverage, 3740,
     /* 1618824 */     GIR_EraseRootFromParent_Done,
     /* 1618825 */   // Label 22321: @1618825
     /* 1618825 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1618911), // Rule ID 3741 //
     /* 1618830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1618850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618876 */     // MIs[0] policy
     /* 1618876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1618889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618910 */     // GIR_Coverage, 3741,
     /* 1618910 */     GIR_EraseRootFromParent_Done,
     /* 1618911 */   // Label 22322: @1618911
     /* 1618911 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1618997), // Rule ID 3744 //
     /* 1618916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1618927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1618930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1618933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1618936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618962 */     // MIs[0] policy
     /* 1618962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1618975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618996 */     // GIR_Coverage, 3744,
     /* 1618996 */     GIR_EraseRootFromParent_Done,
     /* 1618997 */   // Label 22323: @1618997
     /* 1618997 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1619083), // Rule ID 3745 //
     /* 1619002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1619022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619048 */     // MIs[0] policy
     /* 1619048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1619061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619082 */     // GIR_Coverage, 3745,
     /* 1619082 */     GIR_EraseRootFromParent_Done,
     /* 1619083 */   // Label 22324: @1619083
     /* 1619083 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1619169), // Rule ID 3748 //
     /* 1619088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1619108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619134 */     // MIs[0] policy
     /* 1619134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1619147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619168 */     // GIR_Coverage, 3748,
     /* 1619168 */     GIR_EraseRootFromParent_Done,
     /* 1619169 */   // Label 22325: @1619169
     /* 1619169 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1619255), // Rule ID 3749 //
     /* 1619174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1619194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619220 */     // MIs[0] policy
     /* 1619220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1619233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619254 */     // GIR_Coverage, 3749,
     /* 1619254 */     GIR_EraseRootFromParent_Done,
     /* 1619255 */   // Label 22326: @1619255
     /* 1619255 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1619341), // Rule ID 3752 //
     /* 1619260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1619280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619306 */     // MIs[0] policy
     /* 1619306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619340 */     // GIR_Coverage, 3752,
     /* 1619340 */     GIR_EraseRootFromParent_Done,
     /* 1619341 */   // Label 22327: @1619341
     /* 1619341 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1619427), // Rule ID 3753 //
     /* 1619346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1619366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619392 */     // MIs[0] policy
     /* 1619392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619426 */     // GIR_Coverage, 3753,
     /* 1619426 */     GIR_EraseRootFromParent_Done,
     /* 1619427 */   // Label 22328: @1619427
     /* 1619427 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1619513), // Rule ID 3756 //
     /* 1619432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1619452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619478 */     // MIs[0] policy
     /* 1619478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1619491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619512 */     // GIR_Coverage, 3756,
     /* 1619512 */     GIR_EraseRootFromParent_Done,
     /* 1619513 */   // Label 22329: @1619513
     /* 1619513 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1619599), // Rule ID 3757 //
     /* 1619518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1619538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619564 */     // MIs[0] policy
     /* 1619564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1619577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619598 */     // GIR_Coverage, 3757,
     /* 1619598 */     GIR_EraseRootFromParent_Done,
     /* 1619599 */   // Label 22330: @1619599
     /* 1619599 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1619685), // Rule ID 3760 //
     /* 1619604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619650 */     // MIs[0] policy
     /* 1619650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619660 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1619663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619684 */     // GIR_Coverage, 3760,
     /* 1619684 */     GIR_EraseRootFromParent_Done,
     /* 1619685 */   // Label 22331: @1619685
     /* 1619685 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1619771), // Rule ID 3761 //
     /* 1619690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619736 */     // MIs[0] policy
     /* 1619736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1619749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619770 */     // GIR_Coverage, 3761,
     /* 1619770 */     GIR_EraseRootFromParent_Done,
     /* 1619771 */   // Label 22332: @1619771
     /* 1619771 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1619857), // Rule ID 3764 //
     /* 1619776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619822 */     // MIs[0] policy
     /* 1619822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1619835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619856 */     // GIR_Coverage, 3764,
     /* 1619856 */     GIR_EraseRootFromParent_Done,
     /* 1619857 */   // Label 22333: @1619857
     /* 1619857 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1619943), // Rule ID 3765 //
     /* 1619862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619908 */     // MIs[0] policy
     /* 1619908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1619921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619942 */     // GIR_Coverage, 3765,
     /* 1619942 */     GIR_EraseRootFromParent_Done,
     /* 1619943 */   // Label 22334: @1619943
     /* 1619943 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1620029), // Rule ID 3768 //
     /* 1619948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619994 */     // MIs[0] policy
     /* 1619994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620028 */     // GIR_Coverage, 3768,
     /* 1620028 */     GIR_EraseRootFromParent_Done,
     /* 1620029 */   // Label 22335: @1620029
     /* 1620029 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1620115), // Rule ID 3769 //
     /* 1620034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620080 */     // MIs[0] policy
     /* 1620080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11624:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620114 */     // GIR_Coverage, 3769,
     /* 1620114 */     GIR_EraseRootFromParent_Done,
     /* 1620115 */   // Label 22336: @1620115
     /* 1620115 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1620201), // Rule ID 3772 //
     /* 1620120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620166 */     // MIs[0] policy
     /* 1620166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1620179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620200 */     // GIR_Coverage, 3772,
     /* 1620200 */     GIR_EraseRootFromParent_Done,
     /* 1620201 */   // Label 22337: @1620201
     /* 1620201 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1620287), // Rule ID 3773 //
     /* 1620206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620252 */     // MIs[0] policy
     /* 1620252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1620265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620286 */     // GIR_Coverage, 3773,
     /* 1620286 */     GIR_EraseRootFromParent_Done,
     /* 1620287 */   // Label 22338: @1620287
     /* 1620287 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1620373), // Rule ID 3776 //
     /* 1620292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620338 */     // MIs[0] policy
     /* 1620338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1620351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620372 */     // GIR_Coverage, 3776,
     /* 1620372 */     GIR_EraseRootFromParent_Done,
     /* 1620373 */   // Label 22339: @1620373
     /* 1620373 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1620459), // Rule ID 3777 //
     /* 1620378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620424 */     // MIs[0] policy
     /* 1620424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1620437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620458 */     // GIR_Coverage, 3777,
     /* 1620458 */     GIR_EraseRootFromParent_Done,
     /* 1620459 */   // Label 22340: @1620459
     /* 1620459 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1620545), // Rule ID 3780 //
     /* 1620464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620510 */     // MIs[0] policy
     /* 1620510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1620523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620544 */     // GIR_Coverage, 3780,
     /* 1620544 */     GIR_EraseRootFromParent_Done,
     /* 1620545 */   // Label 22341: @1620545
     /* 1620545 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1620631), // Rule ID 3781 //
     /* 1620550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620596 */     // MIs[0] policy
     /* 1620596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1620609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620630 */     // GIR_Coverage, 3781,
     /* 1620630 */     GIR_EraseRootFromParent_Done,
     /* 1620631 */   // Label 22342: @1620631
     /* 1620631 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1620717), // Rule ID 3784 //
     /* 1620636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620682 */     // MIs[0] policy
     /* 1620682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1620695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620716 */     // GIR_Coverage, 3784,
     /* 1620716 */     GIR_EraseRootFromParent_Done,
     /* 1620717 */   // Label 22343: @1620717
     /* 1620717 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1620803), // Rule ID 3785 //
     /* 1620722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620768 */     // MIs[0] policy
     /* 1620768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1620781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620802 */     // GIR_Coverage, 3785,
     /* 1620802 */     GIR_EraseRootFromParent_Done,
     /* 1620803 */   // Label 22344: @1620803
     /* 1620803 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1620889), // Rule ID 3788 //
     /* 1620808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620854 */     // MIs[0] policy
     /* 1620854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620888 */     // GIR_Coverage, 3788,
     /* 1620888 */     GIR_EraseRootFromParent_Done,
     /* 1620889 */   // Label 22345: @1620889
     /* 1620889 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1620975), // Rule ID 3789 //
     /* 1620894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620940 */     // MIs[0] policy
     /* 1620940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11624:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620974 */     // GIR_Coverage, 3789,
     /* 1620974 */     GIR_EraseRootFromParent_Done,
     /* 1620975 */   // Label 22346: @1620975
     /* 1620975 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1621061), // Rule ID 3792 //
     /* 1620980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621026 */     // MIs[0] policy
     /* 1621026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621060 */     // GIR_Coverage, 3792,
     /* 1621060 */     GIR_EraseRootFromParent_Done,
     /* 1621061 */   // Label 22347: @1621061
     /* 1621061 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1621147), // Rule ID 3793 //
     /* 1621066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1621083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621112 */     // MIs[0] policy
     /* 1621112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621146 */     // GIR_Coverage, 3793,
     /* 1621146 */     GIR_EraseRootFromParent_Done,
     /* 1621147 */   // Label 22348: @1621147
     /* 1621147 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1621233), // Rule ID 3796 //
     /* 1621152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621198 */     // MIs[0] policy
     /* 1621198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621232 */     // GIR_Coverage, 3796,
     /* 1621232 */     GIR_EraseRootFromParent_Done,
     /* 1621233 */   // Label 22349: @1621233
     /* 1621233 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1621319), // Rule ID 3797 //
     /* 1621238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621284 */     // MIs[0] policy
     /* 1621284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621318 */     // GIR_Coverage, 3797,
     /* 1621318 */     GIR_EraseRootFromParent_Done,
     /* 1621319 */   // Label 22350: @1621319
     /* 1621319 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1621405), // Rule ID 3800 //
     /* 1621324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621370 */     // MIs[0] policy
     /* 1621370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1621383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621404 */     // GIR_Coverage, 3800,
     /* 1621404 */     GIR_EraseRootFromParent_Done,
     /* 1621405 */   // Label 22351: @1621405
     /* 1621405 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1621491), // Rule ID 3801 //
     /* 1621410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621456 */     // MIs[0] policy
     /* 1621456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1621469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621490 */     // GIR_Coverage, 3801,
     /* 1621490 */     GIR_EraseRootFromParent_Done,
     /* 1621491 */   // Label 22352: @1621491
     /* 1621491 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1621577), // Rule ID 3804 //
     /* 1621496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621542 */     // MIs[0] policy
     /* 1621542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1621555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621576 */     // GIR_Coverage, 3804,
     /* 1621576 */     GIR_EraseRootFromParent_Done,
     /* 1621577 */   // Label 22353: @1621577
     /* 1621577 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1621663), // Rule ID 3805 //
     /* 1621582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621628 */     // MIs[0] policy
     /* 1621628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11624:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1621641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621662 */     // GIR_Coverage, 3805,
     /* 1621662 */     GIR_EraseRootFromParent_Done,
     /* 1621663 */   // Label 22354: @1621663
     /* 1621663 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1621749), // Rule ID 3808 //
     /* 1621668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621714 */     // MIs[0] policy
     /* 1621714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621748 */     // GIR_Coverage, 3808,
     /* 1621748 */     GIR_EraseRootFromParent_Done,
     /* 1621749 */   // Label 22355: @1621749
     /* 1621749 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1621835), // Rule ID 3809 //
     /* 1621754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621800 */     // MIs[0] policy
     /* 1621800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11624:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621834 */     // GIR_Coverage, 3809,
     /* 1621834 */     GIR_EraseRootFromParent_Done,
     /* 1621835 */   // Label 22356: @1621835
     /* 1621835 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1621921), // Rule ID 3812 //
     /* 1621840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621886 */     // MIs[0] policy
     /* 1621886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621920 */     // GIR_Coverage, 3812,
     /* 1621920 */     GIR_EraseRootFromParent_Done,
     /* 1621921 */   // Label 22357: @1621921
     /* 1621921 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1622007), // Rule ID 3813 //
     /* 1621926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621972 */     // MIs[0] policy
     /* 1621972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11624:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622006 */     // GIR_Coverage, 3813,
     /* 1622006 */     GIR_EraseRootFromParent_Done,
     /* 1622007 */   // Label 22358: @1622007
     /* 1622007 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1622093), // Rule ID 3816 //
     /* 1622012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622058 */     // MIs[0] policy
     /* 1622058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1622071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622092 */     // GIR_Coverage, 3816,
     /* 1622092 */     GIR_EraseRootFromParent_Done,
     /* 1622093 */   // Label 22359: @1622093
     /* 1622093 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1622179), // Rule ID 3817 //
     /* 1622098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622144 */     // MIs[0] policy
     /* 1622144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11624:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1622157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622178 */     // GIR_Coverage, 3817,
     /* 1622178 */     GIR_EraseRootFromParent_Done,
     /* 1622179 */   // Label 22360: @1622179
     /* 1622179 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1622265), // Rule ID 3820 //
     /* 1622184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1622204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622230 */     // MIs[0] policy
     /* 1622230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1622243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622264 */     // GIR_Coverage, 3820,
     /* 1622264 */     GIR_EraseRootFromParent_Done,
     /* 1622265 */   // Label 22361: @1622265
     /* 1622265 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1622351), // Rule ID 3821 //
     /* 1622270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1622290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622316 */     // MIs[0] policy
     /* 1622316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1622329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622350 */     // GIR_Coverage, 3821,
     /* 1622350 */     GIR_EraseRootFromParent_Done,
     /* 1622351 */   // Label 22362: @1622351
     /* 1622351 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1622437), // Rule ID 3824 //
     /* 1622356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1622376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622402 */     // MIs[0] policy
     /* 1622402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1622415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622436 */     // GIR_Coverage, 3824,
     /* 1622436 */     GIR_EraseRootFromParent_Done,
     /* 1622437 */   // Label 22363: @1622437
     /* 1622437 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1622523), // Rule ID 3825 //
     /* 1622442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1622462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622488 */     // MIs[0] policy
     /* 1622488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1622501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622522 */     // GIR_Coverage, 3825,
     /* 1622522 */     GIR_EraseRootFromParent_Done,
     /* 1622523 */   // Label 22364: @1622523
     /* 1622523 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1622609), // Rule ID 3828 //
     /* 1622528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1622548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622574 */     // MIs[0] policy
     /* 1622574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1622587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622608 */     // GIR_Coverage, 3828,
     /* 1622608 */     GIR_EraseRootFromParent_Done,
     /* 1622609 */   // Label 22365: @1622609
     /* 1622609 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1622695), // Rule ID 3829 //
     /* 1622614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1622634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622660 */     // MIs[0] policy
     /* 1622660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1622673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622694 */     // GIR_Coverage, 3829,
     /* 1622694 */     GIR_EraseRootFromParent_Done,
     /* 1622695 */   // Label 22366: @1622695
     /* 1622695 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1622781), // Rule ID 3832 //
     /* 1622700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1622720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622746 */     // MIs[0] policy
     /* 1622746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1622759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622780 */     // GIR_Coverage, 3832,
     /* 1622780 */     GIR_EraseRootFromParent_Done,
     /* 1622781 */   // Label 22367: @1622781
     /* 1622781 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1622867), // Rule ID 3833 //
     /* 1622786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1622806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622832 */     // MIs[0] policy
     /* 1622832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1622845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622866 */     // GIR_Coverage, 3833,
     /* 1622866 */     GIR_EraseRootFromParent_Done,
     /* 1622867 */   // Label 22368: @1622867
     /* 1622867 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1622953), // Rule ID 3836 //
     /* 1622872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1622892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622918 */     // MIs[0] policy
     /* 1622918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1622931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622952 */     // GIR_Coverage, 3836,
     /* 1622952 */     GIR_EraseRootFromParent_Done,
     /* 1622953 */   // Label 22369: @1622953
     /* 1622953 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1623039), // Rule ID 3837 //
     /* 1622958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1622978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623004 */     // MIs[0] policy
     /* 1623004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1623017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623038 */     // GIR_Coverage, 3837,
     /* 1623038 */     GIR_EraseRootFromParent_Done,
     /* 1623039 */   // Label 22370: @1623039
     /* 1623039 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1623125), // Rule ID 3840 //
     /* 1623044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1623064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623090 */     // MIs[0] policy
     /* 1623090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1623103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623124 */     // GIR_Coverage, 3840,
     /* 1623124 */     GIR_EraseRootFromParent_Done,
     /* 1623125 */   // Label 22371: @1623125
     /* 1623125 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1623211), // Rule ID 3841 //
     /* 1623130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1623150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623176 */     // MIs[0] policy
     /* 1623176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1623189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623210 */     // GIR_Coverage, 3841,
     /* 1623210 */     GIR_EraseRootFromParent_Done,
     /* 1623211 */   // Label 22372: @1623211
     /* 1623211 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1623297), // Rule ID 3844 //
     /* 1623216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1623236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623262 */     // MIs[0] policy
     /* 1623262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1623275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623296 */     // GIR_Coverage, 3844,
     /* 1623296 */     GIR_EraseRootFromParent_Done,
     /* 1623297 */   // Label 22373: @1623297
     /* 1623297 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1623383), // Rule ID 3845 //
     /* 1623302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1623322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623348 */     // MIs[0] policy
     /* 1623348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1623361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623382 */     // GIR_Coverage, 3845,
     /* 1623382 */     GIR_EraseRootFromParent_Done,
     /* 1623383 */   // Label 22374: @1623383
     /* 1623383 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1623469), // Rule ID 3848 //
     /* 1623388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1623408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623434 */     // MIs[0] policy
     /* 1623434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623468 */     // GIR_Coverage, 3848,
     /* 1623468 */     GIR_EraseRootFromParent_Done,
     /* 1623469 */   // Label 22375: @1623469
     /* 1623469 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1623555), // Rule ID 3849 //
     /* 1623474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1623494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623520 */     // MIs[0] policy
     /* 1623520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623554 */     // GIR_Coverage, 3849,
     /* 1623554 */     GIR_EraseRootFromParent_Done,
     /* 1623555 */   // Label 22376: @1623555
     /* 1623555 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1623641), // Rule ID 3852 //
     /* 1623560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1623580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623606 */     // MIs[0] policy
     /* 1623606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1623619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623640 */     // GIR_Coverage, 3852,
     /* 1623640 */     GIR_EraseRootFromParent_Done,
     /* 1623641 */   // Label 22377: @1623641
     /* 1623641 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1623727), // Rule ID 3853 //
     /* 1623646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1623666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623692 */     // MIs[0] policy
     /* 1623692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1623705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623726 */     // GIR_Coverage, 3853,
     /* 1623726 */     GIR_EraseRootFromParent_Done,
     /* 1623727 */   // Label 22378: @1623727
     /* 1623727 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1623813), // Rule ID 3856 //
     /* 1623732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1623752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623778 */     // MIs[0] policy
     /* 1623778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1623791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623812 */     // GIR_Coverage, 3856,
     /* 1623812 */     GIR_EraseRootFromParent_Done,
     /* 1623813 */   // Label 22379: @1623813
     /* 1623813 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1623899), // Rule ID 3857 //
     /* 1623818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1623838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623864 */     // MIs[0] policy
     /* 1623864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1623877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623898 */     // GIR_Coverage, 3857,
     /* 1623898 */     GIR_EraseRootFromParent_Done,
     /* 1623899 */   // Label 22380: @1623899
     /* 1623899 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1623985), // Rule ID 3860 //
     /* 1623904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1623924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623950 */     // MIs[0] policy
     /* 1623950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1623963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623984 */     // GIR_Coverage, 3860,
     /* 1623984 */     GIR_EraseRootFromParent_Done,
     /* 1623985 */   // Label 22381: @1623985
     /* 1623985 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1624071), // Rule ID 3861 //
     /* 1623990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1624010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624036 */     // MIs[0] policy
     /* 1624036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1624049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624070 */     // GIR_Coverage, 3861,
     /* 1624070 */     GIR_EraseRootFromParent_Done,
     /* 1624071 */   // Label 22382: @1624071
     /* 1624071 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1624157), // Rule ID 3864 //
     /* 1624076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1624096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624122 */     // MIs[0] policy
     /* 1624122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1624135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624156 */     // GIR_Coverage, 3864,
     /* 1624156 */     GIR_EraseRootFromParent_Done,
     /* 1624157 */   // Label 22383: @1624157
     /* 1624157 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1624243), // Rule ID 3865 //
     /* 1624162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1624182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624208 */     // MIs[0] policy
     /* 1624208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1624221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624242 */     // GIR_Coverage, 3865,
     /* 1624242 */     GIR_EraseRootFromParent_Done,
     /* 1624243 */   // Label 22384: @1624243
     /* 1624243 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1624329), // Rule ID 3868 //
     /* 1624248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1624268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624294 */     // MIs[0] policy
     /* 1624294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624328 */     // GIR_Coverage, 3868,
     /* 1624328 */     GIR_EraseRootFromParent_Done,
     /* 1624329 */   // Label 22385: @1624329
     /* 1624329 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1624415), // Rule ID 3869 //
     /* 1624334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1624354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624380 */     // MIs[0] policy
     /* 1624380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624414 */     // GIR_Coverage, 3869,
     /* 1624414 */     GIR_EraseRootFromParent_Done,
     /* 1624415 */   // Label 22386: @1624415
     /* 1624415 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1624501), // Rule ID 3872 //
     /* 1624420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1624440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624466 */     // MIs[0] policy
     /* 1624466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1624479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624500 */     // GIR_Coverage, 3872,
     /* 1624500 */     GIR_EraseRootFromParent_Done,
     /* 1624501 */   // Label 22387: @1624501
     /* 1624501 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1624587), // Rule ID 3873 //
     /* 1624506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1624526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624552 */     // MIs[0] policy
     /* 1624552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1624565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624586 */     // GIR_Coverage, 3873,
     /* 1624586 */     GIR_EraseRootFromParent_Done,
     /* 1624587 */   // Label 22388: @1624587
     /* 1624587 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1624673), // Rule ID 3876 //
     /* 1624592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1624612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624638 */     // MIs[0] policy
     /* 1624638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1624651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624672 */     // GIR_Coverage, 3876,
     /* 1624672 */     GIR_EraseRootFromParent_Done,
     /* 1624673 */   // Label 22389: @1624673
     /* 1624673 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1624759), // Rule ID 3877 //
     /* 1624678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1624698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624724 */     // MIs[0] policy
     /* 1624724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624734 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1624737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624758 */     // GIR_Coverage, 3877,
     /* 1624758 */     GIR_EraseRootFromParent_Done,
     /* 1624759 */   // Label 22390: @1624759
     /* 1624759 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1624845), // Rule ID 3880 //
     /* 1624764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1624781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624810 */     // MIs[0] policy
     /* 1624810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1624823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624844 */     // GIR_Coverage, 3880,
     /* 1624844 */     GIR_EraseRootFromParent_Done,
     /* 1624845 */   // Label 22391: @1624845
     /* 1624845 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1624931), // Rule ID 3881 //
     /* 1624850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1624867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624896 */     // MIs[0] policy
     /* 1624896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1624909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624930 */     // GIR_Coverage, 3881,
     /* 1624930 */     GIR_EraseRootFromParent_Done,
     /* 1624931 */   // Label 22392: @1624931
     /* 1624931 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1625017), // Rule ID 3884 //
     /* 1624936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1624953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624982 */     // MIs[0] policy
     /* 1624982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1624995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625016 */     // GIR_Coverage, 3884,
     /* 1625016 */     GIR_EraseRootFromParent_Done,
     /* 1625017 */   // Label 22393: @1625017
     /* 1625017 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1625103), // Rule ID 3885 //
     /* 1625022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1625039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625068 */     // MIs[0] policy
     /* 1625068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1625081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625102 */     // GIR_Coverage, 3885,
     /* 1625102 */     GIR_EraseRootFromParent_Done,
     /* 1625103 */   // Label 22394: @1625103
     /* 1625103 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1625189), // Rule ID 3888 //
     /* 1625108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625154 */     // MIs[0] policy
     /* 1625154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1625167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625188 */     // GIR_Coverage, 3888,
     /* 1625188 */     GIR_EraseRootFromParent_Done,
     /* 1625189 */   // Label 22395: @1625189
     /* 1625189 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1625275), // Rule ID 3889 //
     /* 1625194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625240 */     // MIs[0] policy
     /* 1625240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1625253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625274 */     // GIR_Coverage, 3889,
     /* 1625274 */     GIR_EraseRootFromParent_Done,
     /* 1625275 */   // Label 22396: @1625275
     /* 1625275 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1625361), // Rule ID 3892 //
     /* 1625280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625326 */     // MIs[0] policy
     /* 1625326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1625339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625360 */     // GIR_Coverage, 3892,
     /* 1625360 */     GIR_EraseRootFromParent_Done,
     /* 1625361 */   // Label 22397: @1625361
     /* 1625361 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1625447), // Rule ID 3893 //
     /* 1625366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625412 */     // MIs[0] policy
     /* 1625412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1625425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625446 */     // GIR_Coverage, 3893,
     /* 1625446 */     GIR_EraseRootFromParent_Done,
     /* 1625447 */   // Label 22398: @1625447
     /* 1625447 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1625533), // Rule ID 3896 //
     /* 1625452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625498 */     // MIs[0] policy
     /* 1625498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1625511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625532 */     // GIR_Coverage, 3896,
     /* 1625532 */     GIR_EraseRootFromParent_Done,
     /* 1625533 */   // Label 22399: @1625533
     /* 1625533 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1625619), // Rule ID 3897 //
     /* 1625538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625584 */     // MIs[0] policy
     /* 1625584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1625597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625618 */     // GIR_Coverage, 3897,
     /* 1625618 */     GIR_EraseRootFromParent_Done,
     /* 1625619 */   // Label 22400: @1625619
     /* 1625619 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1625705), // Rule ID 3900 //
     /* 1625624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625670 */     // MIs[0] policy
     /* 1625670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1625683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625704 */     // GIR_Coverage, 3900,
     /* 1625704 */     GIR_EraseRootFromParent_Done,
     /* 1625705 */   // Label 22401: @1625705
     /* 1625705 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1625791), // Rule ID 3901 //
     /* 1625710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625756 */     // MIs[0] policy
     /* 1625756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1625769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625790 */     // GIR_Coverage, 3901,
     /* 1625790 */     GIR_EraseRootFromParent_Done,
     /* 1625791 */   // Label 22402: @1625791
     /* 1625791 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1625877), // Rule ID 3904 //
     /* 1625796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1625813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625842 */     // MIs[0] policy
     /* 1625842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1625855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625876 */     // GIR_Coverage, 3904,
     /* 1625876 */     GIR_EraseRootFromParent_Done,
     /* 1625877 */   // Label 22403: @1625877
     /* 1625877 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1625963), // Rule ID 3905 //
     /* 1625882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1625899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625928 */     // MIs[0] policy
     /* 1625928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625938 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1625941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625962 */     // GIR_Coverage, 3905,
     /* 1625962 */     GIR_EraseRootFromParent_Done,
     /* 1625963 */   // Label 22404: @1625963
     /* 1625963 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1626049), // Rule ID 3908 //
     /* 1625968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1625979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1625982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626014 */     // MIs[0] policy
     /* 1626014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626048 */     // GIR_Coverage, 3908,
     /* 1626048 */     GIR_EraseRootFromParent_Done,
     /* 1626049 */   // Label 22405: @1626049
     /* 1626049 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1626135), // Rule ID 3909 //
     /* 1626054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626100 */     // MIs[0] policy
     /* 1626100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626110 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626134 */     // GIR_Coverage, 3909,
     /* 1626134 */     GIR_EraseRootFromParent_Done,
     /* 1626135 */   // Label 22406: @1626135
     /* 1626135 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1626221), // Rule ID 3912 //
     /* 1626140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626186 */     // MIs[0] policy
     /* 1626186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626220 */     // GIR_Coverage, 3912,
     /* 1626220 */     GIR_EraseRootFromParent_Done,
     /* 1626221 */   // Label 22407: @1626221
     /* 1626221 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1626307), // Rule ID 3913 //
     /* 1626226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626272 */     // MIs[0] policy
     /* 1626272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626306 */     // GIR_Coverage, 3913,
     /* 1626306 */     GIR_EraseRootFromParent_Done,
     /* 1626307 */   // Label 22408: @1626307
     /* 1626307 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1626393), // Rule ID 3916 //
     /* 1626312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626358 */     // MIs[0] policy
     /* 1626358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1626371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626392 */     // GIR_Coverage, 3916,
     /* 1626392 */     GIR_EraseRootFromParent_Done,
     /* 1626393 */   // Label 22409: @1626393
     /* 1626393 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1626479), // Rule ID 3917 //
     /* 1626398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626444 */     // MIs[0] policy
     /* 1626444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1626457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626478 */     // GIR_Coverage, 3917,
     /* 1626478 */     GIR_EraseRootFromParent_Done,
     /* 1626479 */   // Label 22410: @1626479
     /* 1626479 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1626565), // Rule ID 3920 //
     /* 1626484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626530 */     // MIs[0] policy
     /* 1626530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1626543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626564 */     // GIR_Coverage, 3920,
     /* 1626564 */     GIR_EraseRootFromParent_Done,
     /* 1626565 */   // Label 22411: @1626565
     /* 1626565 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1626651), // Rule ID 3921 //
     /* 1626570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626616 */     // MIs[0] policy
     /* 1626616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1626629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626650 */     // GIR_Coverage, 3921,
     /* 1626650 */     GIR_EraseRootFromParent_Done,
     /* 1626651 */   // Label 22412: @1626651
     /* 1626651 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1626737), // Rule ID 3924 //
     /* 1626656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626702 */     // MIs[0] policy
     /* 1626702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626736 */     // GIR_Coverage, 3924,
     /* 1626736 */     GIR_EraseRootFromParent_Done,
     /* 1626737 */   // Label 22413: @1626737
     /* 1626737 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1626823), // Rule ID 3925 //
     /* 1626742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626788 */     // MIs[0] policy
     /* 1626788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626822 */     // GIR_Coverage, 3925,
     /* 1626822 */     GIR_EraseRootFromParent_Done,
     /* 1626823 */   // Label 22414: @1626823
     /* 1626823 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1626909), // Rule ID 3928 //
     /* 1626828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626874 */     // MIs[0] policy
     /* 1626874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626908 */     // GIR_Coverage, 3928,
     /* 1626908 */     GIR_EraseRootFromParent_Done,
     /* 1626909 */   // Label 22415: @1626909
     /* 1626909 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1626995), // Rule ID 3929 //
     /* 1626914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626960 */     // MIs[0] policy
     /* 1626960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626994 */     // GIR_Coverage, 3929,
     /* 1626994 */     GIR_EraseRootFromParent_Done,
     /* 1626995 */   // Label 22416: @1626995
     /* 1626995 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1627081), // Rule ID 3932 //
     /* 1627000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627046 */     // MIs[0] policy
     /* 1627046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1627059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627080 */     // GIR_Coverage, 3932,
     /* 1627080 */     GIR_EraseRootFromParent_Done,
     /* 1627081 */   // Label 22417: @1627081
     /* 1627081 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1627167), // Rule ID 3933 //
     /* 1627086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627132 */     // MIs[0] policy
     /* 1627132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627142 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1627145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627166 */     // GIR_Coverage, 3933,
     /* 1627166 */     GIR_EraseRootFromParent_Done,
     /* 1627167 */   // Label 22418: @1627167
     /* 1627167 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1627253), // Rule ID 3936 //
     /* 1627172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627218 */     // MIs[0] policy
     /* 1627218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627252 */     // GIR_Coverage, 3936,
     /* 1627252 */     GIR_EraseRootFromParent_Done,
     /* 1627253 */   // Label 22419: @1627253
     /* 1627253 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1627339), // Rule ID 3937 //
     /* 1627258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627304 */     // MIs[0] policy
     /* 1627304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627338 */     // GIR_Coverage, 3937,
     /* 1627338 */     GIR_EraseRootFromParent_Done,
     /* 1627339 */   // Label 22420: @1627339
     /* 1627339 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1627425), // Rule ID 3940 //
     /* 1627344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627390 */     // MIs[0] policy
     /* 1627390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1627403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627424 */     // GIR_Coverage, 3940,
     /* 1627424 */     GIR_EraseRootFromParent_Done,
     /* 1627425 */   // Label 22421: @1627425
     /* 1627425 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1627511), // Rule ID 3941 //
     /* 1627430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627476 */     // MIs[0] policy
     /* 1627476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1627489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627510 */     // GIR_Coverage, 3941,
     /* 1627510 */     GIR_EraseRootFromParent_Done,
     /* 1627511 */   // Label 22422: @1627511
     /* 1627511 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1627597), // Rule ID 3944 //
     /* 1627516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627562 */     // MIs[0] policy
     /* 1627562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1627575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627596 */     // GIR_Coverage, 3944,
     /* 1627596 */     GIR_EraseRootFromParent_Done,
     /* 1627597 */   // Label 22423: @1627597
     /* 1627597 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1627683), // Rule ID 3945 //
     /* 1627602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627648 */     // MIs[0] policy
     /* 1627648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1627661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627682 */     // GIR_Coverage, 3945,
     /* 1627682 */     GIR_EraseRootFromParent_Done,
     /* 1627683 */   // Label 22424: @1627683
     /* 1627683 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1627769), // Rule ID 3948 //
     /* 1627688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627734 */     // MIs[0] policy
     /* 1627734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1627747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627768 */     // GIR_Coverage, 3948,
     /* 1627768 */     GIR_EraseRootFromParent_Done,
     /* 1627769 */   // Label 22425: @1627769
     /* 1627769 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1627855), // Rule ID 3949 //
     /* 1627774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627820 */     // MIs[0] policy
     /* 1627820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1627833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627854 */     // GIR_Coverage, 3949,
     /* 1627854 */     GIR_EraseRootFromParent_Done,
     /* 1627855 */   // Label 22426: @1627855
     /* 1627855 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1627941), // Rule ID 3952 //
     /* 1627860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1627877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1627880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627906 */     // MIs[0] policy
     /* 1627906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627916 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1627919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627940 */     // GIR_Coverage, 3952,
     /* 1627940 */     GIR_EraseRootFromParent_Done,
     /* 1627941 */   // Label 22427: @1627941
     /* 1627941 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1628027), // Rule ID 3953 //
     /* 1627946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1627963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1627966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627992 */     // MIs[0] policy
     /* 1627992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1628005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628026 */     // GIR_Coverage, 3953,
     /* 1628026 */     GIR_EraseRootFromParent_Done,
     /* 1628027 */   // Label 22428: @1628027
     /* 1628027 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1628113), // Rule ID 3956 //
     /* 1628032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628078 */     // MIs[0] policy
     /* 1628078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1628091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628112 */     // GIR_Coverage, 3956,
     /* 1628112 */     GIR_EraseRootFromParent_Done,
     /* 1628113 */   // Label 22429: @1628113
     /* 1628113 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1628199), // Rule ID 3957 //
     /* 1628118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628164 */     // MIs[0] policy
     /* 1628164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1628177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628198 */     // GIR_Coverage, 3957,
     /* 1628198 */     GIR_EraseRootFromParent_Done,
     /* 1628199 */   // Label 22430: @1628199
     /* 1628199 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1628285), // Rule ID 3960 //
     /* 1628204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628250 */     // MIs[0] policy
     /* 1628250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1628263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628284 */     // GIR_Coverage, 3960,
     /* 1628284 */     GIR_EraseRootFromParent_Done,
     /* 1628285 */   // Label 22431: @1628285
     /* 1628285 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1628371), // Rule ID 3961 //
     /* 1628290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628336 */     // MIs[0] policy
     /* 1628336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1628349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628370 */     // GIR_Coverage, 3961,
     /* 1628370 */     GIR_EraseRootFromParent_Done,
     /* 1628371 */   // Label 22432: @1628371
     /* 1628371 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1628457), // Rule ID 3964 //
     /* 1628376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1628396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628422 */     // MIs[0] policy
     /* 1628422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628456 */     // GIR_Coverage, 3964,
     /* 1628456 */     GIR_EraseRootFromParent_Done,
     /* 1628457 */   // Label 22433: @1628457
     /* 1628457 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1628543), // Rule ID 3965 //
     /* 1628462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1628482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628508 */     // MIs[0] policy
     /* 1628508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628542 */     // GIR_Coverage, 3965,
     /* 1628542 */     GIR_EraseRootFromParent_Done,
     /* 1628543 */   // Label 22434: @1628543
     /* 1628543 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1628629), // Rule ID 3968 //
     /* 1628548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1628568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628594 */     // MIs[0] policy
     /* 1628594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1628607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628628 */     // GIR_Coverage, 3968,
     /* 1628628 */     GIR_EraseRootFromParent_Done,
     /* 1628629 */   // Label 22435: @1628629
     /* 1628629 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1628715), // Rule ID 3969 //
     /* 1628634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1628654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628680 */     // MIs[0] policy
     /* 1628680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1628693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628714 */     // GIR_Coverage, 3969,
     /* 1628714 */     GIR_EraseRootFromParent_Done,
     /* 1628715 */   // Label 22436: @1628715
     /* 1628715 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1628801), // Rule ID 3972 //
     /* 1628720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628766 */     // MIs[0] policy
     /* 1628766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1628779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628800 */     // GIR_Coverage, 3972,
     /* 1628800 */     GIR_EraseRootFromParent_Done,
     /* 1628801 */   // Label 22437: @1628801
     /* 1628801 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1628887), // Rule ID 3973 //
     /* 1628806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628852 */     // MIs[0] policy
     /* 1628852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1628865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628886 */     // GIR_Coverage, 3973,
     /* 1628886 */     GIR_EraseRootFromParent_Done,
     /* 1628887 */   // Label 22438: @1628887
     /* 1628887 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1628973), // Rule ID 3976 //
     /* 1628892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1628912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628938 */     // MIs[0] policy
     /* 1628938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1628951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628972 */     // GIR_Coverage, 3976,
     /* 1628972 */     GIR_EraseRootFromParent_Done,
     /* 1628973 */   // Label 22439: @1628973
     /* 1628973 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1629059), // Rule ID 3977 //
     /* 1628978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1628998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629024 */     // MIs[0] policy
     /* 1629024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1629037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629058 */     // GIR_Coverage, 3977,
     /* 1629058 */     GIR_EraseRootFromParent_Done,
     /* 1629059 */   // Label 22440: @1629059
     /* 1629059 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1629145), // Rule ID 3980 //
     /* 1629064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629110 */     // MIs[0] policy
     /* 1629110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629144 */     // GIR_Coverage, 3980,
     /* 1629144 */     GIR_EraseRootFromParent_Done,
     /* 1629145 */   // Label 22441: @1629145
     /* 1629145 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1629231), // Rule ID 3981 //
     /* 1629150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629196 */     // MIs[0] policy
     /* 1629196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629230 */     // GIR_Coverage, 3981,
     /* 1629230 */     GIR_EraseRootFromParent_Done,
     /* 1629231 */   // Label 22442: @1629231
     /* 1629231 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1629317), // Rule ID 3984 //
     /* 1629236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1629256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629282 */     // MIs[0] policy
     /* 1629282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629316 */     // GIR_Coverage, 3984,
     /* 1629316 */     GIR_EraseRootFromParent_Done,
     /* 1629317 */   // Label 22443: @1629317
     /* 1629317 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1629403), // Rule ID 3985 //
     /* 1629322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1629342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629368 */     // MIs[0] policy
     /* 1629368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629402 */     // GIR_Coverage, 3985,
     /* 1629402 */     GIR_EraseRootFromParent_Done,
     /* 1629403 */   // Label 22444: @1629403
     /* 1629403 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1629489), // Rule ID 3988 //
     /* 1629408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1629428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629454 */     // MIs[0] policy
     /* 1629454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1629467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629488 */     // GIR_Coverage, 3988,
     /* 1629488 */     GIR_EraseRootFromParent_Done,
     /* 1629489 */   // Label 22445: @1629489
     /* 1629489 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1629575), // Rule ID 3989 //
     /* 1629494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1629514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629540 */     // MIs[0] policy
     /* 1629540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1629553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629574 */     // GIR_Coverage, 3989,
     /* 1629574 */     GIR_EraseRootFromParent_Done,
     /* 1629575 */   // Label 22446: @1629575
     /* 1629575 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1629661), // Rule ID 3992 //
     /* 1629580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629626 */     // MIs[0] policy
     /* 1629626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1629639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629660 */     // GIR_Coverage, 3992,
     /* 1629660 */     GIR_EraseRootFromParent_Done,
     /* 1629661 */   // Label 22447: @1629661
     /* 1629661 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1629747), // Rule ID 3993 //
     /* 1629666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629712 */     // MIs[0] policy
     /* 1629712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1629725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629746 */     // GIR_Coverage, 3993,
     /* 1629746 */     GIR_EraseRootFromParent_Done,
     /* 1629747 */   // Label 22448: @1629747
     /* 1629747 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1629833), // Rule ID 3996 //
     /* 1629752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1629772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629798 */     // MIs[0] policy
     /* 1629798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629832 */     // GIR_Coverage, 3996,
     /* 1629832 */     GIR_EraseRootFromParent_Done,
     /* 1629833 */   // Label 22449: @1629833
     /* 1629833 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1629919), // Rule ID 3997 //
     /* 1629838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1629858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629884 */     // MIs[0] policy
     /* 1629884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629918 */     // GIR_Coverage, 3997,
     /* 1629918 */     GIR_EraseRootFromParent_Done,
     /* 1629919 */   // Label 22450: @1629919
     /* 1629919 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1630005), // Rule ID 4000 //
     /* 1629924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1629935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1629938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1629941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629970 */     // MIs[0] policy
     /* 1629970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1629983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630004 */     // GIR_Coverage, 4000,
     /* 1630004 */     GIR_EraseRootFromParent_Done,
     /* 1630005 */   // Label 22451: @1630005
     /* 1630005 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1630091), // Rule ID 4001 //
     /* 1630010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1630027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630056 */     // MIs[0] policy
     /* 1630056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1630069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630090 */     // GIR_Coverage, 4001,
     /* 1630090 */     GIR_EraseRootFromParent_Done,
     /* 1630091 */   // Label 22452: @1630091
     /* 1630091 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1630177), // Rule ID 4004 //
     /* 1630096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1630113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630142 */     // MIs[0] policy
     /* 1630142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1630155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630176 */     // GIR_Coverage, 4004,
     /* 1630176 */     GIR_EraseRootFromParent_Done,
     /* 1630177 */   // Label 22453: @1630177
     /* 1630177 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1630263), // Rule ID 4005 //
     /* 1630182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1630199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630228 */     // MIs[0] policy
     /* 1630228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1630241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630262 */     // GIR_Coverage, 4005,
     /* 1630262 */     GIR_EraseRootFromParent_Done,
     /* 1630263 */   // Label 22454: @1630263
     /* 1630263 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1630349), // Rule ID 4008 //
     /* 1630268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1630285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630314 */     // MIs[0] policy
     /* 1630314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1630327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630348 */     // GIR_Coverage, 4008,
     /* 1630348 */     GIR_EraseRootFromParent_Done,
     /* 1630349 */   // Label 22455: @1630349
     /* 1630349 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1630435), // Rule ID 4009 //
     /* 1630354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1630371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630400 */     // MIs[0] policy
     /* 1630400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1630413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630434 */     // GIR_Coverage, 4009,
     /* 1630434 */     GIR_EraseRootFromParent_Done,
     /* 1630435 */   // Label 22456: @1630435
     /* 1630435 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1630521), // Rule ID 4012 //
     /* 1630440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1630457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630486 */     // MIs[0] policy
     /* 1630486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1630499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630520 */     // GIR_Coverage, 4012,
     /* 1630520 */     GIR_EraseRootFromParent_Done,
     /* 1630521 */   // Label 22457: @1630521
     /* 1630521 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1630607), // Rule ID 4013 //
     /* 1630526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1630543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630572 */     // MIs[0] policy
     /* 1630572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1630585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630606 */     // GIR_Coverage, 4013,
     /* 1630606 */     GIR_EraseRootFromParent_Done,
     /* 1630607 */   // Label 22458: @1630607
     /* 1630607 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1630693), // Rule ID 4016 //
     /* 1630612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1630629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630658 */     // MIs[0] policy
     /* 1630658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1630671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630692 */     // GIR_Coverage, 4016,
     /* 1630692 */     GIR_EraseRootFromParent_Done,
     /* 1630693 */   // Label 22459: @1630693
     /* 1630693 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1630779), // Rule ID 4017 //
     /* 1630698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1630715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630744 */     // MIs[0] policy
     /* 1630744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1630757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630778 */     // GIR_Coverage, 4017,
     /* 1630778 */     GIR_EraseRootFromParent_Done,
     /* 1630779 */   // Label 22460: @1630779
     /* 1630779 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1630865), // Rule ID 4020 //
     /* 1630784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1630801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630830 */     // MIs[0] policy
     /* 1630830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1630843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630864 */     // GIR_Coverage, 4020,
     /* 1630864 */     GIR_EraseRootFromParent_Done,
     /* 1630865 */   // Label 22461: @1630865
     /* 1630865 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1630951), // Rule ID 4021 //
     /* 1630870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1630887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630916 */     // MIs[0] policy
     /* 1630916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1630929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630950 */     // GIR_Coverage, 4021,
     /* 1630950 */     GIR_EraseRootFromParent_Done,
     /* 1630951 */   // Label 22462: @1630951
     /* 1630951 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1631037), // Rule ID 4024 //
     /* 1630956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1630967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1630970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631002 */     // MIs[0] policy
     /* 1631002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1631015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631036 */     // GIR_Coverage, 4024,
     /* 1631036 */     GIR_EraseRootFromParent_Done,
     /* 1631037 */   // Label 22463: @1631037
     /* 1631037 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1631123), // Rule ID 4025 //
     /* 1631042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631088 */     // MIs[0] policy
     /* 1631088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1631101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631122 */     // GIR_Coverage, 4025,
     /* 1631122 */     GIR_EraseRootFromParent_Done,
     /* 1631123 */   // Label 22464: @1631123
     /* 1631123 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1631209), // Rule ID 4028 //
     /* 1631128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631174 */     // MIs[0] policy
     /* 1631174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631208 */     // GIR_Coverage, 4028,
     /* 1631208 */     GIR_EraseRootFromParent_Done,
     /* 1631209 */   // Label 22465: @1631209
     /* 1631209 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1631295), // Rule ID 4029 //
     /* 1631214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631260 */     // MIs[0] policy
     /* 1631260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631294 */     // GIR_Coverage, 4029,
     /* 1631294 */     GIR_EraseRootFromParent_Done,
     /* 1631295 */   // Label 22466: @1631295
     /* 1631295 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1631381), // Rule ID 4032 //
     /* 1631300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631346 */     // MIs[0] policy
     /* 1631346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1631359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631380 */     // GIR_Coverage, 4032,
     /* 1631380 */     GIR_EraseRootFromParent_Done,
     /* 1631381 */   // Label 22467: @1631381
     /* 1631381 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1631467), // Rule ID 4033 //
     /* 1631386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631432 */     // MIs[0] policy
     /* 1631432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1631445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631466 */     // GIR_Coverage, 4033,
     /* 1631466 */     GIR_EraseRootFromParent_Done,
     /* 1631467 */   // Label 22468: @1631467
     /* 1631467 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1631553), // Rule ID 4036 //
     /* 1631472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631518 */     // MIs[0] policy
     /* 1631518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1631531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631552 */     // GIR_Coverage, 4036,
     /* 1631552 */     GIR_EraseRootFromParent_Done,
     /* 1631553 */   // Label 22469: @1631553
     /* 1631553 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1631639), // Rule ID 4037 //
     /* 1631558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631604 */     // MIs[0] policy
     /* 1631604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1631617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631638 */     // GIR_Coverage, 4037,
     /* 1631638 */     GIR_EraseRootFromParent_Done,
     /* 1631639 */   // Label 22470: @1631639
     /* 1631639 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1631725), // Rule ID 4040 //
     /* 1631644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631690 */     // MIs[0] policy
     /* 1631690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1631703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631724 */     // GIR_Coverage, 4040,
     /* 1631724 */     GIR_EraseRootFromParent_Done,
     /* 1631725 */   // Label 22471: @1631725
     /* 1631725 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1631811), // Rule ID 4041 //
     /* 1631730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631776 */     // MIs[0] policy
     /* 1631776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1631789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631810 */     // GIR_Coverage, 4041,
     /* 1631810 */     GIR_EraseRootFromParent_Done,
     /* 1631811 */   // Label 22472: @1631811
     /* 1631811 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1631897), // Rule ID 4044 //
     /* 1631816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631862 */     // MIs[0] policy
     /* 1631862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631896 */     // GIR_Coverage, 4044,
     /* 1631896 */     GIR_EraseRootFromParent_Done,
     /* 1631897 */   // Label 22473: @1631897
     /* 1631897 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1631983), // Rule ID 4045 //
     /* 1631902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631948 */     // MIs[0] policy
     /* 1631948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631982 */     // GIR_Coverage, 4045,
     /* 1631982 */     GIR_EraseRootFromParent_Done,
     /* 1631983 */   // Label 22474: @1631983
     /* 1631983 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1632069), // Rule ID 4048 //
     /* 1631988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1631999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632034 */     // MIs[0] policy
     /* 1632034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1632047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632068 */     // GIR_Coverage, 4048,
     /* 1632068 */     GIR_EraseRootFromParent_Done,
     /* 1632069 */   // Label 22475: @1632069
     /* 1632069 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1632155), // Rule ID 4049 //
     /* 1632074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632120 */     // MIs[0] policy
     /* 1632120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1632133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632154 */     // GIR_Coverage, 4049,
     /* 1632154 */     GIR_EraseRootFromParent_Done,
     /* 1632155 */   // Label 22476: @1632155
     /* 1632155 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1632241), // Rule ID 4052 //
     /* 1632160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632206 */     // MIs[0] policy
     /* 1632206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1632219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632240 */     // GIR_Coverage, 4052,
     /* 1632240 */     GIR_EraseRootFromParent_Done,
     /* 1632241 */   // Label 22477: @1632241
     /* 1632241 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1632327), // Rule ID 4053 //
     /* 1632246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632292 */     // MIs[0] policy
     /* 1632292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1632305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632326 */     // GIR_Coverage, 4053,
     /* 1632326 */     GIR_EraseRootFromParent_Done,
     /* 1632327 */   // Label 22478: @1632327
     /* 1632327 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1632413), // Rule ID 4056 //
     /* 1632332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632378 */     // MIs[0] policy
     /* 1632378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632388 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632412 */     // GIR_Coverage, 4056,
     /* 1632412 */     GIR_EraseRootFromParent_Done,
     /* 1632413 */   // Label 22479: @1632413
     /* 1632413 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1632499), // Rule ID 4057 //
     /* 1632418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632464 */     // MIs[0] policy
     /* 1632464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632498 */     // GIR_Coverage, 4057,
     /* 1632498 */     GIR_EraseRootFromParent_Done,
     /* 1632499 */   // Label 22480: @1632499
     /* 1632499 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1632585), // Rule ID 4066 //
     /* 1632504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1632524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632550 */     // MIs[0] policy
     /* 1632550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1632563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632584 */     // GIR_Coverage, 4066,
     /* 1632584 */     GIR_EraseRootFromParent_Done,
     /* 1632585 */   // Label 22481: @1632585
     /* 1632585 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1632671), // Rule ID 4067 //
     /* 1632590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1632610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632636 */     // MIs[0] policy
     /* 1632636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1632649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632670 */     // GIR_Coverage, 4067,
     /* 1632670 */     GIR_EraseRootFromParent_Done,
     /* 1632671 */   // Label 22482: @1632671
     /* 1632671 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1632757), // Rule ID 4076 //
     /* 1632676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1632696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632722 */     // MIs[0] policy
     /* 1632722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1632735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632756 */     // GIR_Coverage, 4076,
     /* 1632756 */     GIR_EraseRootFromParent_Done,
     /* 1632757 */   // Label 22483: @1632757
     /* 1632757 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1632843), // Rule ID 4077 //
     /* 1632762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1632782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632808 */     // MIs[0] policy
     /* 1632808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1632821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632842 */     // GIR_Coverage, 4077,
     /* 1632842 */     GIR_EraseRootFromParent_Done,
     /* 1632843 */   // Label 22484: @1632843
     /* 1632843 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1632929), // Rule ID 4086 //
     /* 1632848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1632865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1632868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632894 */     // MIs[0] policy
     /* 1632894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1632907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632928 */     // GIR_Coverage, 4086,
     /* 1632928 */     GIR_EraseRootFromParent_Done,
     /* 1632929 */   // Label 22485: @1632929
     /* 1632929 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1633015), // Rule ID 4087 //
     /* 1632934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1632951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1632954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632980 */     // MIs[0] policy
     /* 1632980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1632993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633014 */     // GIR_Coverage, 4087,
     /* 1633014 */     GIR_EraseRootFromParent_Done,
     /* 1633015 */   // Label 22486: @1633015
     /* 1633015 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1633101), // Rule ID 4096 //
     /* 1633020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1633040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633066 */     // MIs[0] policy
     /* 1633066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1633079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633100 */     // GIR_Coverage, 4096,
     /* 1633100 */     GIR_EraseRootFromParent_Done,
     /* 1633101 */   // Label 22487: @1633101
     /* 1633101 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1633187), // Rule ID 4097 //
     /* 1633106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1633126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633152 */     // MIs[0] policy
     /* 1633152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633162 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1633165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633186 */     // GIR_Coverage, 4097,
     /* 1633186 */     GIR_EraseRootFromParent_Done,
     /* 1633187 */   // Label 22488: @1633187
     /* 1633187 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1633273), // Rule ID 4106 //
     /* 1633192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1633212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633238 */     // MIs[0] policy
     /* 1633238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1633251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633272 */     // GIR_Coverage, 4106,
     /* 1633272 */     GIR_EraseRootFromParent_Done,
     /* 1633273 */   // Label 22489: @1633273
     /* 1633273 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1633359), // Rule ID 4107 //
     /* 1633278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1633298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633324 */     // MIs[0] policy
     /* 1633324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633334 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1633337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633358 */     // GIR_Coverage, 4107,
     /* 1633358 */     GIR_EraseRootFromParent_Done,
     /* 1633359 */   // Label 22490: @1633359
     /* 1633359 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1633445), // Rule ID 4116 //
     /* 1633364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633410 */     // MIs[0] policy
     /* 1633410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633444 */     // GIR_Coverage, 4116,
     /* 1633444 */     GIR_EraseRootFromParent_Done,
     /* 1633445 */   // Label 22491: @1633445
     /* 1633445 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1633531), // Rule ID 4117 //
     /* 1633450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633496 */     // MIs[0] policy
     /* 1633496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633530 */     // GIR_Coverage, 4117,
     /* 1633530 */     GIR_EraseRootFromParent_Done,
     /* 1633531 */   // Label 22492: @1633531
     /* 1633531 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1633617), // Rule ID 4126 //
     /* 1633536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1633556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633582 */     // MIs[0] policy
     /* 1633582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1633595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633616 */     // GIR_Coverage, 4126,
     /* 1633616 */     GIR_EraseRootFromParent_Done,
     /* 1633617 */   // Label 22493: @1633617
     /* 1633617 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1633703), // Rule ID 4127 //
     /* 1633622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1633642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633668 */     // MIs[0] policy
     /* 1633668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1633681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633702 */     // GIR_Coverage, 4127,
     /* 1633702 */     GIR_EraseRootFromParent_Done,
     /* 1633703 */   // Label 22494: @1633703
     /* 1633703 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1633789), // Rule ID 4136 //
     /* 1633708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1633728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633754 */     // MIs[0] policy
     /* 1633754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1633767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633788 */     // GIR_Coverage, 4136,
     /* 1633788 */     GIR_EraseRootFromParent_Done,
     /* 1633789 */   // Label 22495: @1633789
     /* 1633789 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1633875), // Rule ID 4137 //
     /* 1633794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1633814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633840 */     // MIs[0] policy
     /* 1633840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1633853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633874 */     // GIR_Coverage, 4137,
     /* 1633874 */     GIR_EraseRootFromParent_Done,
     /* 1633875 */   // Label 22496: @1633875
     /* 1633875 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1633961), // Rule ID 4146 //
     /* 1633880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1633900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633926 */     // MIs[0] policy
     /* 1633926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1633939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633960 */     // GIR_Coverage, 4146,
     /* 1633960 */     GIR_EraseRootFromParent_Done,
     /* 1633961 */   // Label 22497: @1633961
     /* 1633961 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1634047), // Rule ID 4147 //
     /* 1633966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1633986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634012 */     // MIs[0] policy
     /* 1634012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1634025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634046 */     // GIR_Coverage, 4147,
     /* 1634046 */     GIR_EraseRootFromParent_Done,
     /* 1634047 */   // Label 22498: @1634047
     /* 1634047 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1634133), // Rule ID 4156 //
     /* 1634052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1634072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634098 */     // MIs[0] policy
     /* 1634098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634132 */     // GIR_Coverage, 4156,
     /* 1634132 */     GIR_EraseRootFromParent_Done,
     /* 1634133 */   // Label 22499: @1634133
     /* 1634133 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1634219), // Rule ID 4157 //
     /* 1634138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1634158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634184 */     // MIs[0] policy
     /* 1634184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634218 */     // GIR_Coverage, 4157,
     /* 1634218 */     GIR_EraseRootFromParent_Done,
     /* 1634219 */   // Label 22500: @1634219
     /* 1634219 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1634305), // Rule ID 4166 //
     /* 1634224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1634244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634270 */     // MIs[0] policy
     /* 1634270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634304 */     // GIR_Coverage, 4166,
     /* 1634304 */     GIR_EraseRootFromParent_Done,
     /* 1634305 */   // Label 22501: @1634305
     /* 1634305 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1634391), // Rule ID 4167 //
     /* 1634310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1634330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634356 */     // MIs[0] policy
     /* 1634356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634390 */     // GIR_Coverage, 4167,
     /* 1634390 */     GIR_EraseRootFromParent_Done,
     /* 1634391 */   // Label 22502: @1634391
     /* 1634391 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1634477), // Rule ID 4176 //
     /* 1634396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634442 */     // MIs[0] policy
     /* 1634442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1634455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634476 */     // GIR_Coverage, 4176,
     /* 1634476 */     GIR_EraseRootFromParent_Done,
     /* 1634477 */   // Label 22503: @1634477
     /* 1634477 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1634563), // Rule ID 4177 //
     /* 1634482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634528 */     // MIs[0] policy
     /* 1634528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1634541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634562 */     // GIR_Coverage, 4177,
     /* 1634562 */     GIR_EraseRootFromParent_Done,
     /* 1634563 */   // Label 22504: @1634563
     /* 1634563 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1634649), // Rule ID 4186 //
     /* 1634568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1634588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634614 */     // MIs[0] policy
     /* 1634614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1634627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634648 */     // GIR_Coverage, 4186,
     /* 1634648 */     GIR_EraseRootFromParent_Done,
     /* 1634649 */   // Label 22505: @1634649
     /* 1634649 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1634735), // Rule ID 4187 //
     /* 1634654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1634674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634700 */     // MIs[0] policy
     /* 1634700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1634713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634734 */     // GIR_Coverage, 4187,
     /* 1634734 */     GIR_EraseRootFromParent_Done,
     /* 1634735 */   // Label 22506: @1634735
     /* 1634735 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1634821), // Rule ID 4196 //
     /* 1634740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1634760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634786 */     // MIs[0] policy
     /* 1634786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634820 */     // GIR_Coverage, 4196,
     /* 1634820 */     GIR_EraseRootFromParent_Done,
     /* 1634821 */   // Label 22507: @1634821
     /* 1634821 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1634907), // Rule ID 4197 //
     /* 1634826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1634846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634872 */     // MIs[0] policy
     /* 1634872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634906 */     // GIR_Coverage, 4197,
     /* 1634906 */     GIR_EraseRootFromParent_Done,
     /* 1634907 */   // Label 22508: @1634907
     /* 1634907 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1634993), // Rule ID 4200 //
     /* 1634912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1634929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634958 */     // MIs[0] policy
     /* 1634958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1634971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634992 */     // GIR_Coverage, 4200,
     /* 1634992 */     GIR_EraseRootFromParent_Done,
     /* 1634993 */   // Label 22509: @1634993
     /* 1634993 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1635079), // Rule ID 4201 //
     /* 1634998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635044 */     // MIs[0] policy
     /* 1635044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1635057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635078 */     // GIR_Coverage, 4201,
     /* 1635078 */     GIR_EraseRootFromParent_Done,
     /* 1635079 */   // Label 22510: @1635079
     /* 1635079 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1635165), // Rule ID 4204 //
     /* 1635084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635130 */     // MIs[0] policy
     /* 1635130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1635143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635164 */     // GIR_Coverage, 4204,
     /* 1635164 */     GIR_EraseRootFromParent_Done,
     /* 1635165 */   // Label 22511: @1635165
     /* 1635165 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1635251), // Rule ID 4205 //
     /* 1635170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635216 */     // MIs[0] policy
     /* 1635216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1635229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635250 */     // GIR_Coverage, 4205,
     /* 1635250 */     GIR_EraseRootFromParent_Done,
     /* 1635251 */   // Label 22512: @1635251
     /* 1635251 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1635337), // Rule ID 4208 //
     /* 1635256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635302 */     // MIs[0] policy
     /* 1635302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1635315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635336 */     // GIR_Coverage, 4208,
     /* 1635336 */     GIR_EraseRootFromParent_Done,
     /* 1635337 */   // Label 22513: @1635337
     /* 1635337 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1635423), // Rule ID 4209 //
     /* 1635342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635388 */     // MIs[0] policy
     /* 1635388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1635401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635422 */     // GIR_Coverage, 4209,
     /* 1635422 */     GIR_EraseRootFromParent_Done,
     /* 1635423 */   // Label 22514: @1635423
     /* 1635423 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1635509), // Rule ID 4212 //
     /* 1635428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635474 */     // MIs[0] policy
     /* 1635474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1635487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635508 */     // GIR_Coverage, 4212,
     /* 1635508 */     GIR_EraseRootFromParent_Done,
     /* 1635509 */   // Label 22515: @1635509
     /* 1635509 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1635595), // Rule ID 4213 //
     /* 1635514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635560 */     // MIs[0] policy
     /* 1635560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1635573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635594 */     // GIR_Coverage, 4213,
     /* 1635594 */     GIR_EraseRootFromParent_Done,
     /* 1635595 */   // Label 22516: @1635595
     /* 1635595 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1635681), // Rule ID 4216 //
     /* 1635600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635646 */     // MIs[0] policy
     /* 1635646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1635659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635680 */     // GIR_Coverage, 4216,
     /* 1635680 */     GIR_EraseRootFromParent_Done,
     /* 1635681 */   // Label 22517: @1635681
     /* 1635681 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1635767), // Rule ID 4217 //
     /* 1635686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635732 */     // MIs[0] policy
     /* 1635732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1635745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635766 */     // GIR_Coverage, 4217,
     /* 1635766 */     GIR_EraseRootFromParent_Done,
     /* 1635767 */   // Label 22518: @1635767
     /* 1635767 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1635853), // Rule ID 4220 //
     /* 1635772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635818 */     // MIs[0] policy
     /* 1635818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1635831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635852 */     // GIR_Coverage, 4220,
     /* 1635852 */     GIR_EraseRootFromParent_Done,
     /* 1635853 */   // Label 22519: @1635853
     /* 1635853 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1635939), // Rule ID 4221 //
     /* 1635858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635904 */     // MIs[0] policy
     /* 1635904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1635917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635938 */     // GIR_Coverage, 4221,
     /* 1635938 */     GIR_EraseRootFromParent_Done,
     /* 1635939 */   // Label 22520: @1635939
     /* 1635939 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1636025), // Rule ID 4224 //
     /* 1635944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635990 */     // MIs[0] policy
     /* 1635990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1636003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636024 */     // GIR_Coverage, 4224,
     /* 1636024 */     GIR_EraseRootFromParent_Done,
     /* 1636025 */   // Label 22521: @1636025
     /* 1636025 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1636111), // Rule ID 4225 //
     /* 1636030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636076 */     // MIs[0] policy
     /* 1636076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1636089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636110 */     // GIR_Coverage, 4225,
     /* 1636110 */     GIR_EraseRootFromParent_Done,
     /* 1636111 */   // Label 22522: @1636111
     /* 1636111 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1636197), // Rule ID 4228 //
     /* 1636116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636162 */     // MIs[0] policy
     /* 1636162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636196 */     // GIR_Coverage, 4228,
     /* 1636196 */     GIR_EraseRootFromParent_Done,
     /* 1636197 */   // Label 22523: @1636197
     /* 1636197 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1636283), // Rule ID 4229 //
     /* 1636202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636248 */     // MIs[0] policy
     /* 1636248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636282 */     // GIR_Coverage, 4229,
     /* 1636282 */     GIR_EraseRootFromParent_Done,
     /* 1636283 */   // Label 22524: @1636283
     /* 1636283 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1636369), // Rule ID 4232 //
     /* 1636288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636334 */     // MIs[0] policy
     /* 1636334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1636347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636368 */     // GIR_Coverage, 4232,
     /* 1636368 */     GIR_EraseRootFromParent_Done,
     /* 1636369 */   // Label 22525: @1636369
     /* 1636369 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1636455), // Rule ID 4233 //
     /* 1636374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636420 */     // MIs[0] policy
     /* 1636420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1636433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636454 */     // GIR_Coverage, 4233,
     /* 1636454 */     GIR_EraseRootFromParent_Done,
     /* 1636455 */   // Label 22526: @1636455
     /* 1636455 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1636541), // Rule ID 4236 //
     /* 1636460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636506 */     // MIs[0] policy
     /* 1636506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1636519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636540 */     // GIR_Coverage, 4236,
     /* 1636540 */     GIR_EraseRootFromParent_Done,
     /* 1636541 */   // Label 22527: @1636541
     /* 1636541 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1636627), // Rule ID 4237 //
     /* 1636546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636592 */     // MIs[0] policy
     /* 1636592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1636605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636626 */     // GIR_Coverage, 4237,
     /* 1636626 */     GIR_EraseRootFromParent_Done,
     /* 1636627 */   // Label 22528: @1636627
     /* 1636627 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1636713), // Rule ID 4240 //
     /* 1636632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636678 */     // MIs[0] policy
     /* 1636678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1636691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636712 */     // GIR_Coverage, 4240,
     /* 1636712 */     GIR_EraseRootFromParent_Done,
     /* 1636713 */   // Label 22529: @1636713
     /* 1636713 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1636799), // Rule ID 4241 //
     /* 1636718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636764 */     // MIs[0] policy
     /* 1636764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1636777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636798 */     // GIR_Coverage, 4241,
     /* 1636798 */     GIR_EraseRootFromParent_Done,
     /* 1636799 */   // Label 22530: @1636799
     /* 1636799 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1636885), // Rule ID 4244 //
     /* 1636804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636850 */     // MIs[0] policy
     /* 1636850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636884 */     // GIR_Coverage, 4244,
     /* 1636884 */     GIR_EraseRootFromParent_Done,
     /* 1636885 */   // Label 22531: @1636885
     /* 1636885 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1636971), // Rule ID 4245 //
     /* 1636890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636936 */     // MIs[0] policy
     /* 1636936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636970 */     // GIR_Coverage, 4245,
     /* 1636970 */     GIR_EraseRootFromParent_Done,
     /* 1636971 */   // Label 22532: @1636971
     /* 1636971 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1637057), // Rule ID 4248 //
     /* 1636976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1636993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637022 */     // MIs[0] policy
     /* 1637022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1637035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637056 */     // GIR_Coverage, 4248,
     /* 1637056 */     GIR_EraseRootFromParent_Done,
     /* 1637057 */   // Label 22533: @1637057
     /* 1637057 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1637143), // Rule ID 4249 //
     /* 1637062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637108 */     // MIs[0] policy
     /* 1637108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1637121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637142 */     // GIR_Coverage, 4249,
     /* 1637142 */     GIR_EraseRootFromParent_Done,
     /* 1637143 */   // Label 22534: @1637143
     /* 1637143 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1637229), // Rule ID 4252 //
     /* 1637148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637194 */     // MIs[0] policy
     /* 1637194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1637207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637228 */     // GIR_Coverage, 4252,
     /* 1637228 */     GIR_EraseRootFromParent_Done,
     /* 1637229 */   // Label 22535: @1637229
     /* 1637229 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1637315), // Rule ID 4253 //
     /* 1637234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637280 */     // MIs[0] policy
     /* 1637280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1637293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637314 */     // GIR_Coverage, 4253,
     /* 1637314 */     GIR_EraseRootFromParent_Done,
     /* 1637315 */   // Label 22536: @1637315
     /* 1637315 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1637401), // Rule ID 4256 //
     /* 1637320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637366 */     // MIs[0] policy
     /* 1637366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637400 */     // GIR_Coverage, 4256,
     /* 1637400 */     GIR_EraseRootFromParent_Done,
     /* 1637401 */   // Label 22537: @1637401
     /* 1637401 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1637487), // Rule ID 4257 //
     /* 1637406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637452 */     // MIs[0] policy
     /* 1637452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637486 */     // GIR_Coverage, 4257,
     /* 1637486 */     GIR_EraseRootFromParent_Done,
     /* 1637487 */   // Label 22538: @1637487
     /* 1637487 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1637573), // Rule ID 4266 //
     /* 1637492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1637512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637538 */     // MIs[0] policy
     /* 1637538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1637551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637572 */     // GIR_Coverage, 4266,
     /* 1637572 */     GIR_EraseRootFromParent_Done,
     /* 1637573 */   // Label 22539: @1637573
     /* 1637573 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1637659), // Rule ID 4267 //
     /* 1637578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1637598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637624 */     // MIs[0] policy
     /* 1637624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1637637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637658 */     // GIR_Coverage, 4267,
     /* 1637658 */     GIR_EraseRootFromParent_Done,
     /* 1637659 */   // Label 22540: @1637659
     /* 1637659 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1637745), // Rule ID 4276 //
     /* 1637664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637710 */     // MIs[0] policy
     /* 1637710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1637723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637744 */     // GIR_Coverage, 4276,
     /* 1637744 */     GIR_EraseRootFromParent_Done,
     /* 1637745 */   // Label 22541: @1637745
     /* 1637745 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1637831), // Rule ID 4277 //
     /* 1637750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637796 */     // MIs[0] policy
     /* 1637796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1637809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637830 */     // GIR_Coverage, 4277,
     /* 1637830 */     GIR_EraseRootFromParent_Done,
     /* 1637831 */   // Label 22542: @1637831
     /* 1637831 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1637917), // Rule ID 4286 //
     /* 1637836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637882 */     // MIs[0] policy
     /* 1637882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1637895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637916 */     // GIR_Coverage, 4286,
     /* 1637916 */     GIR_EraseRootFromParent_Done,
     /* 1637917 */   // Label 22543: @1637917
     /* 1637917 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1638003), // Rule ID 4287 //
     /* 1637922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637968 */     // MIs[0] policy
     /* 1637968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1637981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638002 */     // GIR_Coverage, 4287,
     /* 1638002 */     GIR_EraseRootFromParent_Done,
     /* 1638003 */   // Label 22544: @1638003
     /* 1638003 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1638089), // Rule ID 4296 //
     /* 1638008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1638028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638054 */     // MIs[0] policy
     /* 1638054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1638067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638088 */     // GIR_Coverage, 4296,
     /* 1638088 */     GIR_EraseRootFromParent_Done,
     /* 1638089 */   // Label 22545: @1638089
     /* 1638089 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1638175), // Rule ID 4297 //
     /* 1638094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1638114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638140 */     // MIs[0] policy
     /* 1638140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1638153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638174 */     // GIR_Coverage, 4297,
     /* 1638174 */     GIR_EraseRootFromParent_Done,
     /* 1638175 */   // Label 22546: @1638175
     /* 1638175 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1638261), // Rule ID 4306 //
     /* 1638180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1638200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638226 */     // MIs[0] policy
     /* 1638226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1638239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638260 */     // GIR_Coverage, 4306,
     /* 1638260 */     GIR_EraseRootFromParent_Done,
     /* 1638261 */   // Label 22547: @1638261
     /* 1638261 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1638347), // Rule ID 4307 //
     /* 1638266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1638286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638312 */     // MIs[0] policy
     /* 1638312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1638325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638346 */     // GIR_Coverage, 4307,
     /* 1638346 */     GIR_EraseRootFromParent_Done,
     /* 1638347 */   // Label 22548: @1638347
     /* 1638347 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1638433), // Rule ID 4316 //
     /* 1638352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638398 */     // MIs[0] policy
     /* 1638398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1638411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638432 */     // GIR_Coverage, 4316,
     /* 1638432 */     GIR_EraseRootFromParent_Done,
     /* 1638433 */   // Label 22549: @1638433
     /* 1638433 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1638519), // Rule ID 4317 //
     /* 1638438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638484 */     // MIs[0] policy
     /* 1638484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1638497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638518 */     // GIR_Coverage, 4317,
     /* 1638518 */     GIR_EraseRootFromParent_Done,
     /* 1638519 */   // Label 22550: @1638519
     /* 1638519 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1638605), // Rule ID 4326 //
     /* 1638524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638570 */     // MIs[0] policy
     /* 1638570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1638583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638604 */     // GIR_Coverage, 4326,
     /* 1638604 */     GIR_EraseRootFromParent_Done,
     /* 1638605 */   // Label 22551: @1638605
     /* 1638605 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1638691), // Rule ID 4327 //
     /* 1638610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638656 */     // MIs[0] policy
     /* 1638656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1638669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638690 */     // GIR_Coverage, 4327,
     /* 1638690 */     GIR_EraseRootFromParent_Done,
     /* 1638691 */   // Label 22552: @1638691
     /* 1638691 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1638777), // Rule ID 4336 //
     /* 1638696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638742 */     // MIs[0] policy
     /* 1638742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1638755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638776 */     // GIR_Coverage, 4336,
     /* 1638776 */     GIR_EraseRootFromParent_Done,
     /* 1638777 */   // Label 22553: @1638777
     /* 1638777 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1638863), // Rule ID 4337 //
     /* 1638782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638828 */     // MIs[0] policy
     /* 1638828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1638841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638862 */     // GIR_Coverage, 4337,
     /* 1638862 */     GIR_EraseRootFromParent_Done,
     /* 1638863 */   // Label 22554: @1638863
     /* 1638863 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1638949), // Rule ID 4346 //
     /* 1638868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638914 */     // MIs[0] policy
     /* 1638914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1638927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638948 */     // GIR_Coverage, 4346,
     /* 1638948 */     GIR_EraseRootFromParent_Done,
     /* 1638949 */   // Label 22555: @1638949
     /* 1638949 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1639035), // Rule ID 4347 //
     /* 1638954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639000 */     // MIs[0] policy
     /* 1639000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1639013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639034 */     // GIR_Coverage, 4347,
     /* 1639034 */     GIR_EraseRootFromParent_Done,
     /* 1639035 */   // Label 22556: @1639035
     /* 1639035 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1639121), // Rule ID 4356 //
     /* 1639040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639086 */     // MIs[0] policy
     /* 1639086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639120 */     // GIR_Coverage, 4356,
     /* 1639120 */     GIR_EraseRootFromParent_Done,
     /* 1639121 */   // Label 22557: @1639121
     /* 1639121 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1639207), // Rule ID 4357 //
     /* 1639126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639172 */     // MIs[0] policy
     /* 1639172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639206 */     // GIR_Coverage, 4357,
     /* 1639206 */     GIR_EraseRootFromParent_Done,
     /* 1639207 */   // Label 22558: @1639207
     /* 1639207 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1639293), // Rule ID 4366 //
     /* 1639212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639258 */     // MIs[0] policy
     /* 1639258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1639271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639292 */     // GIR_Coverage, 4366,
     /* 1639292 */     GIR_EraseRootFromParent_Done,
     /* 1639293 */   // Label 22559: @1639293
     /* 1639293 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1639379), // Rule ID 4367 //
     /* 1639298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639344 */     // MIs[0] policy
     /* 1639344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1639357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639378 */     // GIR_Coverage, 4367,
     /* 1639378 */     GIR_EraseRootFromParent_Done,
     /* 1639379 */   // Label 22560: @1639379
     /* 1639379 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1639465), // Rule ID 4376 //
     /* 1639384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639430 */     // MIs[0] policy
     /* 1639430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639464 */     // GIR_Coverage, 4376,
     /* 1639464 */     GIR_EraseRootFromParent_Done,
     /* 1639465 */   // Label 22561: @1639465
     /* 1639465 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1639551), // Rule ID 4377 //
     /* 1639470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639516 */     // MIs[0] policy
     /* 1639516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639550 */     // GIR_Coverage, 4377,
     /* 1639550 */     GIR_EraseRootFromParent_Done,
     /* 1639551 */   // Label 22562: @1639551
     /* 1639551 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1639637), // Rule ID 4386 //
     /* 1639556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639602 */     // MIs[0] policy
     /* 1639602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1639615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639636 */     // GIR_Coverage, 4386,
     /* 1639636 */     GIR_EraseRootFromParent_Done,
     /* 1639637 */   // Label 22563: @1639637
     /* 1639637 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1639723), // Rule ID 4387 //
     /* 1639642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639688 */     // MIs[0] policy
     /* 1639688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1639701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639722 */     // GIR_Coverage, 4387,
     /* 1639722 */     GIR_EraseRootFromParent_Done,
     /* 1639723 */   // Label 22564: @1639723
     /* 1639723 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1639809), // Rule ID 4396 //
     /* 1639728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639774 */     // MIs[0] policy
     /* 1639774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639808 */     // GIR_Coverage, 4396,
     /* 1639808 */     GIR_EraseRootFromParent_Done,
     /* 1639809 */   // Label 22565: @1639809
     /* 1639809 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1639895), // Rule ID 4397 //
     /* 1639814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639860 */     // MIs[0] policy
     /* 1639860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639894 */     // GIR_Coverage, 4397,
     /* 1639894 */     GIR_EraseRootFromParent_Done,
     /* 1639895 */   // Label 22566: @1639895
     /* 1639895 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1639981), // Rule ID 4406 //
     /* 1639900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1639914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1639917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1639920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639946 */     // MIs[0] policy
     /* 1639946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1639959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639980 */     // GIR_Coverage, 4406,
     /* 1639980 */     GIR_EraseRootFromParent_Done,
     /* 1639981 */   // Label 22567: @1639981
     /* 1639981 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1640067), // Rule ID 4407 //
     /* 1639986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1640006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640032 */     // MIs[0] policy
     /* 1640032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1640045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640066 */     // GIR_Coverage, 4407,
     /* 1640066 */     GIR_EraseRootFromParent_Done,
     /* 1640067 */   // Label 22568: @1640067
     /* 1640067 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1640153), // Rule ID 4410 //
     /* 1640072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640118 */     // MIs[0] policy
     /* 1640118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1640131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640152 */     // GIR_Coverage, 4410,
     /* 1640152 */     GIR_EraseRootFromParent_Done,
     /* 1640153 */   // Label 22569: @1640153
     /* 1640153 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1640239), // Rule ID 4411 //
     /* 1640158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640204 */     // MIs[0] policy
     /* 1640204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1640217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640238 */     // GIR_Coverage, 4411,
     /* 1640238 */     GIR_EraseRootFromParent_Done,
     /* 1640239 */   // Label 22570: @1640239
     /* 1640239 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1640325), // Rule ID 4414 //
     /* 1640244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640290 */     // MIs[0] policy
     /* 1640290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1640303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640324 */     // GIR_Coverage, 4414,
     /* 1640324 */     GIR_EraseRootFromParent_Done,
     /* 1640325 */   // Label 22571: @1640325
     /* 1640325 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1640411), // Rule ID 4415 //
     /* 1640330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640376 */     // MIs[0] policy
     /* 1640376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1640389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640410 */     // GIR_Coverage, 4415,
     /* 1640410 */     GIR_EraseRootFromParent_Done,
     /* 1640411 */   // Label 22572: @1640411
     /* 1640411 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1640497), // Rule ID 4418 //
     /* 1640416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640462 */     // MIs[0] policy
     /* 1640462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1640475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640496 */     // GIR_Coverage, 4418,
     /* 1640496 */     GIR_EraseRootFromParent_Done,
     /* 1640497 */   // Label 22573: @1640497
     /* 1640497 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1640583), // Rule ID 4419 //
     /* 1640502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640548 */     // MIs[0] policy
     /* 1640548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11626:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1640561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640582 */     // GIR_Coverage, 4419,
     /* 1640582 */     GIR_EraseRootFromParent_Done,
     /* 1640583 */   // Label 22574: @1640583
     /* 1640583 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1640669), // Rule ID 4422 //
     /* 1640588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640634 */     // MIs[0] policy
     /* 1640634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1640647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640668 */     // GIR_Coverage, 4422,
     /* 1640668 */     GIR_EraseRootFromParent_Done,
     /* 1640669 */   // Label 22575: @1640669
     /* 1640669 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1640755), // Rule ID 4423 //
     /* 1640674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640720 */     // MIs[0] policy
     /* 1640720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1640733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640754 */     // GIR_Coverage, 4423,
     /* 1640754 */     GIR_EraseRootFromParent_Done,
     /* 1640755 */   // Label 22576: @1640755
     /* 1640755 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1640841), // Rule ID 4426 //
     /* 1640760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640806 */     // MIs[0] policy
     /* 1640806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1640819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640840 */     // GIR_Coverage, 4426,
     /* 1640840 */     GIR_EraseRootFromParent_Done,
     /* 1640841 */   // Label 22577: @1640841
     /* 1640841 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1640927), // Rule ID 4427 //
     /* 1640846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640892 */     // MIs[0] policy
     /* 1640892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1640905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640926 */     // GIR_Coverage, 4427,
     /* 1640926 */     GIR_EraseRootFromParent_Done,
     /* 1640927 */   // Label 22578: @1640927
     /* 1640927 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1641013), // Rule ID 4430 //
     /* 1640932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640978 */     // MIs[0] policy
     /* 1640978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1640991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641012 */     // GIR_Coverage, 4430,
     /* 1641012 */     GIR_EraseRootFromParent_Done,
     /* 1641013 */   // Label 22579: @1641013
     /* 1641013 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1641099), // Rule ID 4431 //
     /* 1641018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641064 */     // MIs[0] policy
     /* 1641064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1641077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641098 */     // GIR_Coverage, 4431,
     /* 1641098 */     GIR_EraseRootFromParent_Done,
     /* 1641099 */   // Label 22580: @1641099
     /* 1641099 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1641185), // Rule ID 4434 //
     /* 1641104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641150 */     // MIs[0] policy
     /* 1641150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1641163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641184 */     // GIR_Coverage, 4434,
     /* 1641184 */     GIR_EraseRootFromParent_Done,
     /* 1641185 */   // Label 22581: @1641185
     /* 1641185 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1641271), // Rule ID 4435 //
     /* 1641190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641236 */     // MIs[0] policy
     /* 1641236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1641249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641270 */     // GIR_Coverage, 4435,
     /* 1641270 */     GIR_EraseRootFromParent_Done,
     /* 1641271 */   // Label 22582: @1641271
     /* 1641271 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1641357), // Rule ID 4438 //
     /* 1641276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641322 */     // MIs[0] policy
     /* 1641322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1641335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641356 */     // GIR_Coverage, 4438,
     /* 1641356 */     GIR_EraseRootFromParent_Done,
     /* 1641357 */   // Label 22583: @1641357
     /* 1641357 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1641443), // Rule ID 4439 //
     /* 1641362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641408 */     // MIs[0] policy
     /* 1641408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11626:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1641421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641442 */     // GIR_Coverage, 4439,
     /* 1641442 */     GIR_EraseRootFromParent_Done,
     /* 1641443 */   // Label 22584: @1641443
     /* 1641443 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1641529), // Rule ID 4442 //
     /* 1641448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641494 */     // MIs[0] policy
     /* 1641494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1641507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641528 */     // GIR_Coverage, 4442,
     /* 1641528 */     GIR_EraseRootFromParent_Done,
     /* 1641529 */   // Label 22585: @1641529
     /* 1641529 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1641615), // Rule ID 4443 //
     /* 1641534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641580 */     // MIs[0] policy
     /* 1641580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1641593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641614 */     // GIR_Coverage, 4443,
     /* 1641614 */     GIR_EraseRootFromParent_Done,
     /* 1641615 */   // Label 22586: @1641615
     /* 1641615 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1641701), // Rule ID 4446 //
     /* 1641620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641666 */     // MIs[0] policy
     /* 1641666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1641679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641700 */     // GIR_Coverage, 4446,
     /* 1641700 */     GIR_EraseRootFromParent_Done,
     /* 1641701 */   // Label 22587: @1641701
     /* 1641701 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1641787), // Rule ID 4447 //
     /* 1641706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641752 */     // MIs[0] policy
     /* 1641752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1641765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641786 */     // GIR_Coverage, 4447,
     /* 1641786 */     GIR_EraseRootFromParent_Done,
     /* 1641787 */   // Label 22588: @1641787
     /* 1641787 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1641873), // Rule ID 4450 //
     /* 1641792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641838 */     // MIs[0] policy
     /* 1641838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1641851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641872 */     // GIR_Coverage, 4450,
     /* 1641872 */     GIR_EraseRootFromParent_Done,
     /* 1641873 */   // Label 22589: @1641873
     /* 1641873 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1641959), // Rule ID 4451 //
     /* 1641878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641924 */     // MIs[0] policy
     /* 1641924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1641937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641958 */     // GIR_Coverage, 4451,
     /* 1641958 */     GIR_EraseRootFromParent_Done,
     /* 1641959 */   // Label 22590: @1641959
     /* 1641959 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1642045), // Rule ID 4454 //
     /* 1641964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642010 */     // MIs[0] policy
     /* 1642010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1642023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642044 */     // GIR_Coverage, 4454,
     /* 1642044 */     GIR_EraseRootFromParent_Done,
     /* 1642045 */   // Label 22591: @1642045
     /* 1642045 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1642131), // Rule ID 4455 //
     /* 1642050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642096 */     // MIs[0] policy
     /* 1642096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11626:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1642109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642130 */     // GIR_Coverage, 4455,
     /* 1642130 */     GIR_EraseRootFromParent_Done,
     /* 1642131 */   // Label 22592: @1642131
     /* 1642131 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1642217), // Rule ID 4458 //
     /* 1642136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642182 */     // MIs[0] policy
     /* 1642182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1642195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642216 */     // GIR_Coverage, 4458,
     /* 1642216 */     GIR_EraseRootFromParent_Done,
     /* 1642217 */   // Label 22593: @1642217
     /* 1642217 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1642303), // Rule ID 4459 //
     /* 1642222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642268 */     // MIs[0] policy
     /* 1642268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11626:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1642281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642302 */     // GIR_Coverage, 4459,
     /* 1642302 */     GIR_EraseRootFromParent_Done,
     /* 1642303 */   // Label 22594: @1642303
     /* 1642303 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1642389), // Rule ID 4462 //
     /* 1642308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642354 */     // MIs[0] policy
     /* 1642354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642388 */     // GIR_Coverage, 4462,
     /* 1642388 */     GIR_EraseRootFromParent_Done,
     /* 1642389 */   // Label 22595: @1642389
     /* 1642389 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1642475), // Rule ID 4463 //
     /* 1642394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642440 */     // MIs[0] policy
     /* 1642440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11626:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642474 */     // GIR_Coverage, 4463,
     /* 1642474 */     GIR_EraseRootFromParent_Done,
     /* 1642475 */   // Label 22596: @1642475
     /* 1642475 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1642561), // Rule ID 4466 //
     /* 1642480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642526 */     // MIs[0] policy
     /* 1642526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1642539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642560 */     // GIR_Coverage, 4466,
     /* 1642560 */     GIR_EraseRootFromParent_Done,
     /* 1642561 */   // Label 22597: @1642561
     /* 1642561 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1642647), // Rule ID 4467 //
     /* 1642566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642612 */     // MIs[0] policy
     /* 1642612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11626:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1642625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642646 */     // GIR_Coverage, 4467,
     /* 1642646 */     GIR_EraseRootFromParent_Done,
     /* 1642647 */   // Label 22598: @1642647
     /* 1642647 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1642733), // Rule ID 4476 //
     /* 1642652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642698 */     // MIs[0] policy
     /* 1642698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1642711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642732 */     // GIR_Coverage, 4476,
     /* 1642732 */     GIR_EraseRootFromParent_Done,
     /* 1642733 */   // Label 22599: @1642733
     /* 1642733 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1642819), // Rule ID 4477 //
     /* 1642738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642784 */     // MIs[0] policy
     /* 1642784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1642797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642818 */     // GIR_Coverage, 4477,
     /* 1642818 */     GIR_EraseRootFromParent_Done,
     /* 1642819 */   // Label 22600: @1642819
     /* 1642819 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1642905), // Rule ID 4486 //
     /* 1642824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642870 */     // MIs[0] policy
     /* 1642870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1642883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642904 */     // GIR_Coverage, 4486,
     /* 1642904 */     GIR_EraseRootFromParent_Done,
     /* 1642905 */   // Label 22601: @1642905
     /* 1642905 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1642991), // Rule ID 4487 //
     /* 1642910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642956 */     // MIs[0] policy
     /* 1642956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1642969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642990 */     // GIR_Coverage, 4487,
     /* 1642990 */     GIR_EraseRootFromParent_Done,
     /* 1642991 */   // Label 22602: @1642991
     /* 1642991 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1643077), // Rule ID 4496 //
     /* 1642996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643042 */     // MIs[0] policy
     /* 1643042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1643055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643076 */     // GIR_Coverage, 4496,
     /* 1643076 */     GIR_EraseRootFromParent_Done,
     /* 1643077 */   // Label 22603: @1643077
     /* 1643077 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1643163), // Rule ID 4497 //
     /* 1643082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643128 */     // MIs[0] policy
     /* 1643128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1643141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643162 */     // GIR_Coverage, 4497,
     /* 1643162 */     GIR_EraseRootFromParent_Done,
     /* 1643163 */   // Label 22604: @1643163
     /* 1643163 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1643249), // Rule ID 4506 //
     /* 1643168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643214 */     // MIs[0] policy
     /* 1643214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1643227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643248 */     // GIR_Coverage, 4506,
     /* 1643248 */     GIR_EraseRootFromParent_Done,
     /* 1643249 */   // Label 22605: @1643249
     /* 1643249 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1643335), // Rule ID 4507 //
     /* 1643254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643300 */     // MIs[0] policy
     /* 1643300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1643313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643334 */     // GIR_Coverage, 4507,
     /* 1643334 */     GIR_EraseRootFromParent_Done,
     /* 1643335 */   // Label 22606: @1643335
     /* 1643335 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1643421), // Rule ID 4516 //
     /* 1643340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643386 */     // MIs[0] policy
     /* 1643386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1643399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643420 */     // GIR_Coverage, 4516,
     /* 1643420 */     GIR_EraseRootFromParent_Done,
     /* 1643421 */   // Label 22607: @1643421
     /* 1643421 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1643507), // Rule ID 4517 //
     /* 1643426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643472 */     // MIs[0] policy
     /* 1643472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1643485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643506 */     // GIR_Coverage, 4517,
     /* 1643506 */     GIR_EraseRootFromParent_Done,
     /* 1643507 */   // Label 22608: @1643507
     /* 1643507 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1643593), // Rule ID 4526 //
     /* 1643512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643558 */     // MIs[0] policy
     /* 1643558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1643571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643592 */     // GIR_Coverage, 4526,
     /* 1643592 */     GIR_EraseRootFromParent_Done,
     /* 1643593 */   // Label 22609: @1643593
     /* 1643593 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1643679), // Rule ID 4527 //
     /* 1643598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643644 */     // MIs[0] policy
     /* 1643644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643654 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1643657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643678 */     // GIR_Coverage, 4527,
     /* 1643678 */     GIR_EraseRootFromParent_Done,
     /* 1643679 */   // Label 22610: @1643679
     /* 1643679 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1643765), // Rule ID 4536 //
     /* 1643684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1643704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643730 */     // MIs[0] policy
     /* 1643730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1643743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643764 */     // GIR_Coverage, 4536,
     /* 1643764 */     GIR_EraseRootFromParent_Done,
     /* 1643765 */   // Label 22611: @1643765
     /* 1643765 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1643851), // Rule ID 4537 //
     /* 1643770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1643790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643816 */     // MIs[0] policy
     /* 1643816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1643829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643850 */     // GIR_Coverage, 4537,
     /* 1643850 */     GIR_EraseRootFromParent_Done,
     /* 1643851 */   // Label 22612: @1643851
     /* 1643851 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1643937), // Rule ID 4546 //
     /* 1643856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1643876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643902 */     // MIs[0] policy
     /* 1643902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1643915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643936 */     // GIR_Coverage, 4546,
     /* 1643936 */     GIR_EraseRootFromParent_Done,
     /* 1643937 */   // Label 22613: @1643937
     /* 1643937 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1644023), // Rule ID 4547 //
     /* 1643942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1643962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643988 */     // MIs[0] policy
     /* 1643988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1644001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644022 */     // GIR_Coverage, 4547,
     /* 1644022 */     GIR_EraseRootFromParent_Done,
     /* 1644023 */   // Label 22614: @1644023
     /* 1644023 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1644109), // Rule ID 4556 //
     /* 1644028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1644048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644074 */     // MIs[0] policy
     /* 1644074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644108 */     // GIR_Coverage, 4556,
     /* 1644108 */     GIR_EraseRootFromParent_Done,
     /* 1644109 */   // Label 22615: @1644109
     /* 1644109 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1644195), // Rule ID 4557 //
     /* 1644114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1644134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644160 */     // MIs[0] policy
     /* 1644160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644194 */     // GIR_Coverage, 4557,
     /* 1644194 */     GIR_EraseRootFromParent_Done,
     /* 1644195 */   // Label 22616: @1644195
     /* 1644195 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1644281), // Rule ID 4566 //
     /* 1644200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644246 */     // MIs[0] policy
     /* 1644246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1644259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644280 */     // GIR_Coverage, 4566,
     /* 1644280 */     GIR_EraseRootFromParent_Done,
     /* 1644281 */   // Label 22617: @1644281
     /* 1644281 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1644367), // Rule ID 4567 //
     /* 1644286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644332 */     // MIs[0] policy
     /* 1644332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1644345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644366 */     // GIR_Coverage, 4567,
     /* 1644366 */     GIR_EraseRootFromParent_Done,
     /* 1644367 */   // Label 22618: @1644367
     /* 1644367 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1644453), // Rule ID 4576 //
     /* 1644372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644418 */     // MIs[0] policy
     /* 1644418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644452 */     // GIR_Coverage, 4576,
     /* 1644452 */     GIR_EraseRootFromParent_Done,
     /* 1644453 */   // Label 22619: @1644453
     /* 1644453 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1644539), // Rule ID 4577 //
     /* 1644458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644504 */     // MIs[0] policy
     /* 1644504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644538 */     // GIR_Coverage, 4577,
     /* 1644538 */     GIR_EraseRootFromParent_Done,
     /* 1644539 */   // Label 22620: @1644539
     /* 1644539 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1644625), // Rule ID 4586 //
     /* 1644544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1644564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644590 */     // MIs[0] policy
     /* 1644590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1644603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644624 */     // GIR_Coverage, 4586,
     /* 1644624 */     GIR_EraseRootFromParent_Done,
     /* 1644625 */   // Label 22621: @1644625
     /* 1644625 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1644711), // Rule ID 4587 //
     /* 1644630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1644650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644676 */     // MIs[0] policy
     /* 1644676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1644689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644710 */     // GIR_Coverage, 4587,
     /* 1644710 */     GIR_EraseRootFromParent_Done,
     /* 1644711 */   // Label 22622: @1644711
     /* 1644711 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1644797), // Rule ID 4596 //
     /* 1644716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1644736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644762 */     // MIs[0] policy
     /* 1644762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644796 */     // GIR_Coverage, 4596,
     /* 1644796 */     GIR_EraseRootFromParent_Done,
     /* 1644797 */   // Label 22623: @1644797
     /* 1644797 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1644883), // Rule ID 4597 //
     /* 1644802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1644822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644848 */     // MIs[0] policy
     /* 1644848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644882 */     // GIR_Coverage, 4597,
     /* 1644882 */     GIR_EraseRootFromParent_Done,
     /* 1644883 */   // Label 22624: @1644883
     /* 1644883 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1644969), // Rule ID 4606 //
     /* 1644888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644934 */     // MIs[0] policy
     /* 1644934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1644947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644968 */     // GIR_Coverage, 4606,
     /* 1644968 */     GIR_EraseRootFromParent_Done,
     /* 1644969 */   // Label 22625: @1644969
     /* 1644969 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1645055), // Rule ID 4607 //
     /* 1644974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645020 */     // MIs[0] policy
     /* 1645020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1645033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645054 */     // GIR_Coverage, 4607,
     /* 1645054 */     GIR_EraseRootFromParent_Done,
     /* 1645055 */   // Label 22626: @1645055
     /* 1645055 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1645141), // Rule ID 4616 //
     /* 1645060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1645080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645106 */     // MIs[0] policy
     /* 1645106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1645119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645140 */     // GIR_Coverage, 4616,
     /* 1645140 */     GIR_EraseRootFromParent_Done,
     /* 1645141 */   // Label 22627: @1645141
     /* 1645141 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1645227), // Rule ID 4617 //
     /* 1645146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1645166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645192 */     // MIs[0] policy
     /* 1645192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1645205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645226 */     // GIR_Coverage, 4617,
     /* 1645226 */     GIR_EraseRootFromParent_Done,
     /* 1645227 */   // Label 22628: @1645227
     /* 1645227 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1645313), // Rule ID 4620 //
     /* 1645232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645278 */     // MIs[0] policy
     /* 1645278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645288 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1645291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645312 */     // GIR_Coverage, 4620,
     /* 1645312 */     GIR_EraseRootFromParent_Done,
     /* 1645313 */   // Label 22629: @1645313
     /* 1645313 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1645399), // Rule ID 4621 //
     /* 1645318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645364 */     // MIs[0] policy
     /* 1645364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1645377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645398 */     // GIR_Coverage, 4621,
     /* 1645398 */     GIR_EraseRootFromParent_Done,
     /* 1645399 */   // Label 22630: @1645399
     /* 1645399 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1645485), // Rule ID 4624 //
     /* 1645404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645450 */     // MIs[0] policy
     /* 1645450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645460 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1645463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645484 */     // GIR_Coverage, 4624,
     /* 1645484 */     GIR_EraseRootFromParent_Done,
     /* 1645485 */   // Label 22631: @1645485
     /* 1645485 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1645571), // Rule ID 4625 //
     /* 1645490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645536 */     // MIs[0] policy
     /* 1645536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1645549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645570 */     // GIR_Coverage, 4625,
     /* 1645570 */     GIR_EraseRootFromParent_Done,
     /* 1645571 */   // Label 22632: @1645571
     /* 1645571 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1645657), // Rule ID 4628 //
     /* 1645576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645622 */     // MIs[0] policy
     /* 1645622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1645635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645656 */     // GIR_Coverage, 4628,
     /* 1645656 */     GIR_EraseRootFromParent_Done,
     /* 1645657 */   // Label 22633: @1645657
     /* 1645657 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1645743), // Rule ID 4629 //
     /* 1645662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645708 */     // MIs[0] policy
     /* 1645708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1645721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645742 */     // GIR_Coverage, 4629,
     /* 1645742 */     GIR_EraseRootFromParent_Done,
     /* 1645743 */   // Label 22634: @1645743
     /* 1645743 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1645829), // Rule ID 4632 //
     /* 1645748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1645759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1645762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1645765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645794 */     // MIs[0] policy
     /* 1645794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1645807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645828 */     // GIR_Coverage, 4632,
     /* 1645828 */     GIR_EraseRootFromParent_Done,
     /* 1645829 */   // Label 22635: @1645829
     /* 1645829 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1645915), // Rule ID 4633 //
     /* 1645834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1645845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1645848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1645851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645880 */     // MIs[0] policy
     /* 1645880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1645893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645914 */     // GIR_Coverage, 4633,
     /* 1645914 */     GIR_EraseRootFromParent_Done,
     /* 1645915 */   // Label 22636: @1645915
     /* 1645915 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1646001), // Rule ID 4636 //
     /* 1645920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1645931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1645934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1645937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645966 */     // MIs[0] policy
     /* 1645966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1645979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646000 */     // GIR_Coverage, 4636,
     /* 1646000 */     GIR_EraseRootFromParent_Done,
     /* 1646001 */   // Label 22637: @1646001
     /* 1646001 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1646087), // Rule ID 4637 //
     /* 1646006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646052 */     // MIs[0] policy
     /* 1646052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1646065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646086 */     // GIR_Coverage, 4637,
     /* 1646086 */     GIR_EraseRootFromParent_Done,
     /* 1646087 */   // Label 22638: @1646087
     /* 1646087 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1646173), // Rule ID 4640 //
     /* 1646092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646138 */     // MIs[0] policy
     /* 1646138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1646151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646172 */     // GIR_Coverage, 4640,
     /* 1646172 */     GIR_EraseRootFromParent_Done,
     /* 1646173 */   // Label 22639: @1646173
     /* 1646173 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1646259), // Rule ID 4641 //
     /* 1646178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646224 */     // MIs[0] policy
     /* 1646224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1646237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646258 */     // GIR_Coverage, 4641,
     /* 1646258 */     GIR_EraseRootFromParent_Done,
     /* 1646259 */   // Label 22640: @1646259
     /* 1646259 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1646345), // Rule ID 4644 //
     /* 1646264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646310 */     // MIs[0] policy
     /* 1646310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1646323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646344 */     // GIR_Coverage, 4644,
     /* 1646344 */     GIR_EraseRootFromParent_Done,
     /* 1646345 */   // Label 22641: @1646345
     /* 1646345 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1646431), // Rule ID 4645 //
     /* 1646350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646396 */     // MIs[0] policy
     /* 1646396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1646409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646430 */     // GIR_Coverage, 4645,
     /* 1646430 */     GIR_EraseRootFromParent_Done,
     /* 1646431 */   // Label 22642: @1646431
     /* 1646431 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1646517), // Rule ID 4648 //
     /* 1646436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646482 */     // MIs[0] policy
     /* 1646482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1646495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646516 */     // GIR_Coverage, 4648,
     /* 1646516 */     GIR_EraseRootFromParent_Done,
     /* 1646517 */   // Label 22643: @1646517
     /* 1646517 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1646603), // Rule ID 4649 //
     /* 1646522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646568 */     // MIs[0] policy
     /* 1646568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1646581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646602 */     // GIR_Coverage, 4649,
     /* 1646602 */     GIR_EraseRootFromParent_Done,
     /* 1646603 */   // Label 22644: @1646603
     /* 1646603 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1646689), // Rule ID 4652 //
     /* 1646608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646654 */     // MIs[0] policy
     /* 1646654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1646667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646688 */     // GIR_Coverage, 4652,
     /* 1646688 */     GIR_EraseRootFromParent_Done,
     /* 1646689 */   // Label 22645: @1646689
     /* 1646689 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1646775), // Rule ID 4653 //
     /* 1646694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646740 */     // MIs[0] policy
     /* 1646740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1646753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646774 */     // GIR_Coverage, 4653,
     /* 1646774 */     GIR_EraseRootFromParent_Done,
     /* 1646775 */   // Label 22646: @1646775
     /* 1646775 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1646861), // Rule ID 4656 //
     /* 1646780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1646791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1646794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1646797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646826 */     // MIs[0] policy
     /* 1646826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1646839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646860 */     // GIR_Coverage, 4656,
     /* 1646860 */     GIR_EraseRootFromParent_Done,
     /* 1646861 */   // Label 22647: @1646861
     /* 1646861 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1646947), // Rule ID 4657 //
     /* 1646866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1646877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1646880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1646883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646912 */     // MIs[0] policy
     /* 1646912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1646925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646946 */     // GIR_Coverage, 4657,
     /* 1646946 */     GIR_EraseRootFromParent_Done,
     /* 1646947 */   // Label 22648: @1646947
     /* 1646947 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1647033), // Rule ID 4660 //
     /* 1646952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1646963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1646966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1646969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646998 */     // MIs[0] policy
     /* 1646998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647032 */     // GIR_Coverage, 4660,
     /* 1647032 */     GIR_EraseRootFromParent_Done,
     /* 1647033 */   // Label 22649: @1647033
     /* 1647033 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1647119), // Rule ID 4661 //
     /* 1647038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647084 */     // MIs[0] policy
     /* 1647084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647118 */     // GIR_Coverage, 4661,
     /* 1647118 */     GIR_EraseRootFromParent_Done,
     /* 1647119 */   // Label 22650: @1647119
     /* 1647119 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1647205), // Rule ID 4664 //
     /* 1647124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647170 */     // MIs[0] policy
     /* 1647170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1647183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647204 */     // GIR_Coverage, 4664,
     /* 1647204 */     GIR_EraseRootFromParent_Done,
     /* 1647205 */   // Label 22651: @1647205
     /* 1647205 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1647291), // Rule ID 4665 //
     /* 1647210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647256 */     // MIs[0] policy
     /* 1647256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1647269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647290 */     // GIR_Coverage, 4665,
     /* 1647290 */     GIR_EraseRootFromParent_Done,
     /* 1647291 */   // Label 22652: @1647291
     /* 1647291 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1647377), // Rule ID 4668 //
     /* 1647296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647342 */     // MIs[0] policy
     /* 1647342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647376 */     // GIR_Coverage, 4668,
     /* 1647376 */     GIR_EraseRootFromParent_Done,
     /* 1647377 */   // Label 22653: @1647377
     /* 1647377 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1647463), // Rule ID 4669 //
     /* 1647382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647428 */     // MIs[0] policy
     /* 1647428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647462 */     // GIR_Coverage, 4669,
     /* 1647462 */     GIR_EraseRootFromParent_Done,
     /* 1647463 */   // Label 22654: @1647463
     /* 1647463 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1647549), // Rule ID 4672 //
     /* 1647468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647514 */     // MIs[0] policy
     /* 1647514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1647527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647548 */     // GIR_Coverage, 4672,
     /* 1647548 */     GIR_EraseRootFromParent_Done,
     /* 1647549 */   // Label 22655: @1647549
     /* 1647549 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1647635), // Rule ID 4673 //
     /* 1647554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647600 */     // MIs[0] policy
     /* 1647600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647610 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1647613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647634 */     // GIR_Coverage, 4673,
     /* 1647634 */     GIR_EraseRootFromParent_Done,
     /* 1647635 */   // Label 22656: @1647635
     /* 1647635 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1647721), // Rule ID 4676 //
     /* 1647640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647686 */     // MIs[0] policy
     /* 1647686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647720 */     // GIR_Coverage, 4676,
     /* 1647720 */     GIR_EraseRootFromParent_Done,
     /* 1647721 */   // Label 22657: @1647721
     /* 1647721 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1647807), // Rule ID 4677 //
     /* 1647726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647772 */     // MIs[0] policy
     /* 1647772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647806 */     // GIR_Coverage, 4677,
     /* 1647806 */     GIR_EraseRootFromParent_Done,
     /* 1647807 */   // Label 22658: @1647807
     /* 1647807 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1647893), // Rule ID 4686 //
     /* 1647812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1647832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647858 */     // MIs[0] policy
     /* 1647858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1647871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647892 */     // GIR_Coverage, 4686,
     /* 1647892 */     GIR_EraseRootFromParent_Done,
     /* 1647893 */   // Label 22659: @1647893
     /* 1647893 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1647979), // Rule ID 4687 //
     /* 1647898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1647918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647944 */     // MIs[0] policy
     /* 1647944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1647957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647978 */     // GIR_Coverage, 4687,
     /* 1647978 */     GIR_EraseRootFromParent_Done,
     /* 1647979 */   // Label 22660: @1647979
     /* 1647979 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1648065), // Rule ID 4696 //
     /* 1647984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648030 */     // MIs[0] policy
     /* 1648030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648064 */     // GIR_Coverage, 4696,
     /* 1648064 */     GIR_EraseRootFromParent_Done,
     /* 1648065 */   // Label 22661: @1648065
     /* 1648065 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1648151), // Rule ID 4697 //
     /* 1648070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648116 */     // MIs[0] policy
     /* 1648116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648150 */     // GIR_Coverage, 4697,
     /* 1648150 */     GIR_EraseRootFromParent_Done,
     /* 1648151 */   // Label 22662: @1648151
     /* 1648151 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1648237), // Rule ID 4706 //
     /* 1648156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648202 */     // MIs[0] policy
     /* 1648202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1648215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648236 */     // GIR_Coverage, 4706,
     /* 1648236 */     GIR_EraseRootFromParent_Done,
     /* 1648237 */   // Label 22663: @1648237
     /* 1648237 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1648323), // Rule ID 4707 //
     /* 1648242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648288 */     // MIs[0] policy
     /* 1648288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1648301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648322 */     // GIR_Coverage, 4707,
     /* 1648322 */     GIR_EraseRootFromParent_Done,
     /* 1648323 */   // Label 22664: @1648323
     /* 1648323 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1648409), // Rule ID 4716 //
     /* 1648328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1648348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648374 */     // MIs[0] policy
     /* 1648374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1648387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648408 */     // GIR_Coverage, 4716,
     /* 1648408 */     GIR_EraseRootFromParent_Done,
     /* 1648409 */   // Label 22665: @1648409
     /* 1648409 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1648495), // Rule ID 4717 //
     /* 1648414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1648434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648460 */     // MIs[0] policy
     /* 1648460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1648473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648494 */     // GIR_Coverage, 4717,
     /* 1648494 */     GIR_EraseRootFromParent_Done,
     /* 1648495 */   // Label 22666: @1648495
     /* 1648495 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1648581), // Rule ID 4726 //
     /* 1648500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648546 */     // MIs[0] policy
     /* 1648546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1648559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648580 */     // GIR_Coverage, 4726,
     /* 1648580 */     GIR_EraseRootFromParent_Done,
     /* 1648581 */   // Label 22667: @1648581
     /* 1648581 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1648667), // Rule ID 4727 //
     /* 1648586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648632 */     // MIs[0] policy
     /* 1648632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1648645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648666 */     // GIR_Coverage, 4727,
     /* 1648666 */     GIR_EraseRootFromParent_Done,
     /* 1648667 */   // Label 22668: @1648667
     /* 1648667 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1648753), // Rule ID 4736 //
     /* 1648672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648718 */     // MIs[0] policy
     /* 1648718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1648731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648752 */     // GIR_Coverage, 4736,
     /* 1648752 */     GIR_EraseRootFromParent_Done,
     /* 1648753 */   // Label 22669: @1648753
     /* 1648753 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1648839), // Rule ID 4737 //
     /* 1648758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648804 */     // MIs[0] policy
     /* 1648804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1648817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648838 */     // GIR_Coverage, 4737,
     /* 1648838 */     GIR_EraseRootFromParent_Done,
     /* 1648839 */   // Label 22670: @1648839
     /* 1648839 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1648925), // Rule ID 4746 //
     /* 1648844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648890 */     // MIs[0] policy
     /* 1648890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648924 */     // GIR_Coverage, 4746,
     /* 1648924 */     GIR_EraseRootFromParent_Done,
     /* 1648925 */   // Label 22671: @1648925
     /* 1648925 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1649011), // Rule ID 4747 //
     /* 1648930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648976 */     // MIs[0] policy
     /* 1648976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649010 */     // GIR_Coverage, 4747,
     /* 1649010 */     GIR_EraseRootFromParent_Done,
     /* 1649011 */   // Label 22672: @1649011
     /* 1649011 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1649097), // Rule ID 4756 //
     /* 1649016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649062 */     // MIs[0] policy
     /* 1649062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649096 */     // GIR_Coverage, 4756,
     /* 1649096 */     GIR_EraseRootFromParent_Done,
     /* 1649097 */   // Label 22673: @1649097
     /* 1649097 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1649183), // Rule ID 4757 //
     /* 1649102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649148 */     // MIs[0] policy
     /* 1649148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649182 */     // GIR_Coverage, 4757,
     /* 1649182 */     GIR_EraseRootFromParent_Done,
     /* 1649183 */   // Label 22674: @1649183
     /* 1649183 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1649269), // Rule ID 4766 //
     /* 1649188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649234 */     // MIs[0] policy
     /* 1649234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1649247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649268 */     // GIR_Coverage, 4766,
     /* 1649268 */     GIR_EraseRootFromParent_Done,
     /* 1649269 */   // Label 22675: @1649269
     /* 1649269 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1649355), // Rule ID 4767 //
     /* 1649274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649320 */     // MIs[0] policy
     /* 1649320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1649333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649354 */     // GIR_Coverage, 4767,
     /* 1649354 */     GIR_EraseRootFromParent_Done,
     /* 1649355 */   // Label 22676: @1649355
     /* 1649355 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1649441), // Rule ID 4776 //
     /* 1649360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649406 */     // MIs[0] policy
     /* 1649406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649440 */     // GIR_Coverage, 4776,
     /* 1649440 */     GIR_EraseRootFromParent_Done,
     /* 1649441 */   // Label 22677: @1649441
     /* 1649441 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1649527), // Rule ID 4777 //
     /* 1649446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649492 */     // MIs[0] policy
     /* 1649492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649526 */     // GIR_Coverage, 4777,
     /* 1649526 */     GIR_EraseRootFromParent_Done,
     /* 1649527 */   // Label 22678: @1649527
     /* 1649527 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1649613), // Rule ID 4786 //
     /* 1649532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649578 */     // MIs[0] policy
     /* 1649578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1649591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649612 */     // GIR_Coverage, 4786,
     /* 1649612 */     GIR_EraseRootFromParent_Done,
     /* 1649613 */   // Label 22679: @1649613
     /* 1649613 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1649699), // Rule ID 4787 //
     /* 1649618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649664 */     // MIs[0] policy
     /* 1649664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1649677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649698 */     // GIR_Coverage, 4787,
     /* 1649698 */     GIR_EraseRootFromParent_Done,
     /* 1649699 */   // Label 22680: @1649699
     /* 1649699 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1649785), // Rule ID 4796 //
     /* 1649704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649750 */     // MIs[0] policy
     /* 1649750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649784 */     // GIR_Coverage, 4796,
     /* 1649784 */     GIR_EraseRootFromParent_Done,
     /* 1649785 */   // Label 22681: @1649785
     /* 1649785 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1649871), // Rule ID 4797 //
     /* 1649790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649836 */     // MIs[0] policy
     /* 1649836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649870 */     // GIR_Coverage, 4797,
     /* 1649870 */     GIR_EraseRootFromParent_Done,
     /* 1649871 */   // Label 22682: @1649871
     /* 1649871 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1649957), // Rule ID 4806 //
     /* 1649876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649922 */     // MIs[0] policy
     /* 1649922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1649935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649956 */     // GIR_Coverage, 4806,
     /* 1649956 */     GIR_EraseRootFromParent_Done,
     /* 1649957 */   // Label 22683: @1649957
     /* 1649957 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1650043), // Rule ID 4807 //
     /* 1649962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650008 */     // MIs[0] policy
     /* 1650008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1650021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650042 */     // GIR_Coverage, 4807,
     /* 1650042 */     GIR_EraseRootFromParent_Done,
     /* 1650043 */   // Label 22684: @1650043
     /* 1650043 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1650129), // Rule ID 4816 //
     /* 1650048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650094 */     // MIs[0] policy
     /* 1650094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1650107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650128 */     // GIR_Coverage, 4816,
     /* 1650128 */     GIR_EraseRootFromParent_Done,
     /* 1650129 */   // Label 22685: @1650129
     /* 1650129 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1650215), // Rule ID 4817 //
     /* 1650134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650180 */     // MIs[0] policy
     /* 1650180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1650193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650214 */     // GIR_Coverage, 4817,
     /* 1650214 */     GIR_EraseRootFromParent_Done,
     /* 1650215 */   // Label 22686: @1650215
     /* 1650215 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1650301), // Rule ID 4826 //
     /* 1650220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650266 */     // MIs[0] policy
     /* 1650266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650300 */     // GIR_Coverage, 4826,
     /* 1650300 */     GIR_EraseRootFromParent_Done,
     /* 1650301 */   // Label 22687: @1650301
     /* 1650301 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1650387), // Rule ID 4827 //
     /* 1650306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650352 */     // MIs[0] policy
     /* 1650352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650386 */     // GIR_Coverage, 4827,
     /* 1650386 */     GIR_EraseRootFromParent_Done,
     /* 1650387 */   // Label 22688: @1650387
     /* 1650387 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1650473), // Rule ID 4830 //
     /* 1650392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650438 */     // MIs[0] policy
     /* 1650438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1650451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650472 */     // GIR_Coverage, 4830,
     /* 1650472 */     GIR_EraseRootFromParent_Done,
     /* 1650473 */   // Label 22689: @1650473
     /* 1650473 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1650559), // Rule ID 4831 //
     /* 1650478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650524 */     // MIs[0] policy
     /* 1650524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1650537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650558 */     // GIR_Coverage, 4831,
     /* 1650558 */     GIR_EraseRootFromParent_Done,
     /* 1650559 */   // Label 22690: @1650559
     /* 1650559 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1650645), // Rule ID 4834 //
     /* 1650564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650610 */     // MIs[0] policy
     /* 1650610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1650623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650644 */     // GIR_Coverage, 4834,
     /* 1650644 */     GIR_EraseRootFromParent_Done,
     /* 1650645 */   // Label 22691: @1650645
     /* 1650645 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1650731), // Rule ID 4835 //
     /* 1650650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650696 */     // MIs[0] policy
     /* 1650696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1650709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650730 */     // GIR_Coverage, 4835,
     /* 1650730 */     GIR_EraseRootFromParent_Done,
     /* 1650731 */   // Label 22692: @1650731
     /* 1650731 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1650817), // Rule ID 4838 //
     /* 1650736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650782 */     // MIs[0] policy
     /* 1650782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1650795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650816 */     // GIR_Coverage, 4838,
     /* 1650816 */     GIR_EraseRootFromParent_Done,
     /* 1650817 */   // Label 22693: @1650817
     /* 1650817 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1650903), // Rule ID 4839 //
     /* 1650822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650868 */     // MIs[0] policy
     /* 1650868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1650881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650902 */     // GIR_Coverage, 4839,
     /* 1650902 */     GIR_EraseRootFromParent_Done,
     /* 1650903 */   // Label 22694: @1650903
     /* 1650903 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1650989), // Rule ID 4842 //
     /* 1650908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650954 */     // MIs[0] policy
     /* 1650954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1650967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650988 */     // GIR_Coverage, 4842,
     /* 1650988 */     GIR_EraseRootFromParent_Done,
     /* 1650989 */   // Label 22695: @1650989
     /* 1650989 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1651075), // Rule ID 4843 //
     /* 1650994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1651005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1651008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1651011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651040 */     // MIs[0] policy
     /* 1651040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1651053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651074 */     // GIR_Coverage, 4843,
     /* 1651074 */     GIR_EraseRootFromParent_Done,
     /* 1651075 */   // Label 22696: @1651075
     /* 1651075 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1651161), // Rule ID 4846 //
     /* 1651080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651126 */     // MIs[0] policy
     /* 1651126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1651139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651160 */     // GIR_Coverage, 4846,
     /* 1651160 */     GIR_EraseRootFromParent_Done,
     /* 1651161 */   // Label 22697: @1651161
     /* 1651161 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1651247), // Rule ID 4847 //
     /* 1651166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651212 */     // MIs[0] policy
     /* 1651212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1651225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651246 */     // GIR_Coverage, 4847,
     /* 1651246 */     GIR_EraseRootFromParent_Done,
     /* 1651247 */   // Label 22698: @1651247
     /* 1651247 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1651333), // Rule ID 4850 //
     /* 1651252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651298 */     // MIs[0] policy
     /* 1651298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1651311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651332 */     // GIR_Coverage, 4850,
     /* 1651332 */     GIR_EraseRootFromParent_Done,
     /* 1651333 */   // Label 22699: @1651333
     /* 1651333 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1651419), // Rule ID 4851 //
     /* 1651338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651384 */     // MIs[0] policy
     /* 1651384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1651397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651418 */     // GIR_Coverage, 4851,
     /* 1651418 */     GIR_EraseRootFromParent_Done,
     /* 1651419 */   // Label 22700: @1651419
     /* 1651419 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1651505), // Rule ID 4854 //
     /* 1651424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651470 */     // MIs[0] policy
     /* 1651470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1651483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651504 */     // GIR_Coverage, 4854,
     /* 1651504 */     GIR_EraseRootFromParent_Done,
     /* 1651505 */   // Label 22701: @1651505
     /* 1651505 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1651591), // Rule ID 4855 //
     /* 1651510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651556 */     // MIs[0] policy
     /* 1651556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1651569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651590 */     // GIR_Coverage, 4855,
     /* 1651590 */     GIR_EraseRootFromParent_Done,
     /* 1651591 */   // Label 22702: @1651591
     /* 1651591 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1651677), // Rule ID 4858 //
     /* 1651596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651642 */     // MIs[0] policy
     /* 1651642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1651655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651676 */     // GIR_Coverage, 4858,
     /* 1651676 */     GIR_EraseRootFromParent_Done,
     /* 1651677 */   // Label 22703: @1651677
     /* 1651677 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1651763), // Rule ID 4859 //
     /* 1651682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651728 */     // MIs[0] policy
     /* 1651728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1651741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651762 */     // GIR_Coverage, 4859,
     /* 1651762 */     GIR_EraseRootFromParent_Done,
     /* 1651763 */   // Label 22704: @1651763
     /* 1651763 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1651849), // Rule ID 4862 //
     /* 1651768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651814 */     // MIs[0] policy
     /* 1651814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1651827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651848 */     // GIR_Coverage, 4862,
     /* 1651848 */     GIR_EraseRootFromParent_Done,
     /* 1651849 */   // Label 22705: @1651849
     /* 1651849 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1651935), // Rule ID 4863 //
     /* 1651854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651900 */     // MIs[0] policy
     /* 1651900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1651913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651934 */     // GIR_Coverage, 4863,
     /* 1651934 */     GIR_EraseRootFromParent_Done,
     /* 1651935 */   // Label 22706: @1651935
     /* 1651935 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1652021), // Rule ID 4866 //
     /* 1651940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651986 */     // MIs[0] policy
     /* 1651986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1651999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652020 */     // GIR_Coverage, 4866,
     /* 1652020 */     GIR_EraseRootFromParent_Done,
     /* 1652021 */   // Label 22707: @1652021
     /* 1652021 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1652107), // Rule ID 4867 //
     /* 1652026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1652037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1652040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1652043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652072 */     // MIs[0] policy
     /* 1652072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1652085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652106 */     // GIR_Coverage, 4867,
     /* 1652106 */     GIR_EraseRootFromParent_Done,
     /* 1652107 */   // Label 22708: @1652107
     /* 1652107 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1652193), // Rule ID 4870 //
     /* 1652112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1652123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1652126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1652129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652158 */     // MIs[0] policy
     /* 1652158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652192 */     // GIR_Coverage, 4870,
     /* 1652192 */     GIR_EraseRootFromParent_Done,
     /* 1652193 */   // Label 22709: @1652193
     /* 1652193 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1652279), // Rule ID 4871 //
     /* 1652198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1652209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1652212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1652215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652244 */     // MIs[0] policy
     /* 1652244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652278 */     // GIR_Coverage, 4871,
     /* 1652278 */     GIR_EraseRootFromParent_Done,
     /* 1652279 */   // Label 22710: @1652279
     /* 1652279 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1652365), // Rule ID 4874 //
     /* 1652284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652330 */     // MIs[0] policy
     /* 1652330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652364 */     // GIR_Coverage, 4874,
     /* 1652364 */     GIR_EraseRootFromParent_Done,
     /* 1652365 */   // Label 22711: @1652365
     /* 1652365 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1652451), // Rule ID 4875 //
     /* 1652370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652416 */     // MIs[0] policy
     /* 1652416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652450 */     // GIR_Coverage, 4875,
     /* 1652450 */     GIR_EraseRootFromParent_Done,
     /* 1652451 */   // Label 22712: @1652451
     /* 1652451 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1652537), // Rule ID 4878 //
     /* 1652456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652502 */     // MIs[0] policy
     /* 1652502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1652515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652536 */     // GIR_Coverage, 4878,
     /* 1652536 */     GIR_EraseRootFromParent_Done,
     /* 1652537 */   // Label 22713: @1652537
     /* 1652537 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1652623), // Rule ID 4879 //
     /* 1652542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652588 */     // MIs[0] policy
     /* 1652588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1652601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652622 */     // GIR_Coverage, 4879,
     /* 1652622 */     GIR_EraseRootFromParent_Done,
     /* 1652623 */   // Label 22714: @1652623
     /* 1652623 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1652709), // Rule ID 4882 //
     /* 1652628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652674 */     // MIs[0] policy
     /* 1652674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1652687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652708 */     // GIR_Coverage, 4882,
     /* 1652708 */     GIR_EraseRootFromParent_Done,
     /* 1652709 */   // Label 22715: @1652709
     /* 1652709 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1652795), // Rule ID 4883 //
     /* 1652714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652760 */     // MIs[0] policy
     /* 1652760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1652773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652794 */     // GIR_Coverage, 4883,
     /* 1652794 */     GIR_EraseRootFromParent_Done,
     /* 1652795 */   // Label 22716: @1652795
     /* 1652795 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1652881), // Rule ID 4886 //
     /* 1652800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652846 */     // MIs[0] policy
     /* 1652846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652880 */     // GIR_Coverage, 4886,
     /* 1652880 */     GIR_EraseRootFromParent_Done,
     /* 1652881 */   // Label 22717: @1652881
     /* 1652881 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1652967), // Rule ID 4887 //
     /* 1652886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652932 */     // MIs[0] policy
     /* 1652932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652966 */     // GIR_Coverage, 4887,
     /* 1652966 */     GIR_EraseRootFromParent_Done,
     /* 1652967 */   // Label 22718: @1652967
     /* 1652967 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1653053), // Rule ID 5764 //
     /* 1652972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1652983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1652986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1652989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1652992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653018 */     // MIs[0] policy
     /* 1653018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1653031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653052 */     // GIR_Coverage, 5764,
     /* 1653052 */     GIR_EraseRootFromParent_Done,
     /* 1653053 */   // Label 22719: @1653053
     /* 1653053 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1653139), // Rule ID 5765 //
     /* 1653058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653104 */     // MIs[0] policy
     /* 1653104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653114 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1653117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653138 */     // GIR_Coverage, 5765,
     /* 1653138 */     GIR_EraseRootFromParent_Done,
     /* 1653139 */   // Label 22720: @1653139
     /* 1653139 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1653225), // Rule ID 5768 //
     /* 1653144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1653155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1653158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1653161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1653164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653190 */     // MIs[0] policy
     /* 1653190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653200 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653224 */     // GIR_Coverage, 5768,
     /* 1653224 */     GIR_EraseRootFromParent_Done,
     /* 1653225 */   // Label 22721: @1653225
     /* 1653225 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1653311), // Rule ID 5769 //
     /* 1653230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1653241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1653244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1653247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1653250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653276 */     // MIs[0] policy
     /* 1653276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653310 */     // GIR_Coverage, 5769,
     /* 1653310 */     GIR_EraseRootFromParent_Done,
     /* 1653311 */   // Label 22722: @1653311
     /* 1653311 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1653397), // Rule ID 5772 //
     /* 1653316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1653327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1653330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1653333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1653336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653362 */     // MIs[0] policy
     /* 1653362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653396 */     // GIR_Coverage, 5772,
     /* 1653396 */     GIR_EraseRootFromParent_Done,
     /* 1653397 */   // Label 22723: @1653397
     /* 1653397 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1653483), // Rule ID 5773 //
     /* 1653402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1653413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1653416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1653419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1653422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653448 */     // MIs[0] policy
     /* 1653448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653458 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653482 */     // GIR_Coverage, 5773,
     /* 1653482 */     GIR_EraseRootFromParent_Done,
     /* 1653483 */   // Label 22724: @1653483
     /* 1653483 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1653569), // Rule ID 5776 //
     /* 1653488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1653499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1653502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1653505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653534 */     // MIs[0] policy
     /* 1653534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653568 */     // GIR_Coverage, 5776,
     /* 1653568 */     GIR_EraseRootFromParent_Done,
     /* 1653569 */   // Label 22725: @1653569
     /* 1653569 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1653655), // Rule ID 5777 //
     /* 1653574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1653585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1653588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1653591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653620 */     // MIs[0] policy
     /* 1653620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653654 */     // GIR_Coverage, 5777,
     /* 1653654 */     GIR_EraseRootFromParent_Done,
     /* 1653655 */   // Label 22726: @1653655
     /* 1653655 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1653741), // Rule ID 5780 //
     /* 1653660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1653671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1653674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1653677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653706 */     // MIs[0] policy
     /* 1653706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653740 */     // GIR_Coverage, 5780,
     /* 1653740 */     GIR_EraseRootFromParent_Done,
     /* 1653741 */   // Label 22727: @1653741
     /* 1653741 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1653827), // Rule ID 5781 //
     /* 1653746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1653757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1653760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1653763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653792 */     // MIs[0] policy
     /* 1653792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653826 */     // GIR_Coverage, 5781,
     /* 1653826 */     GIR_EraseRootFromParent_Done,
     /* 1653827 */   // Label 22728: @1653827
     /* 1653827 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1653913), // Rule ID 5784 //
     /* 1653832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1653852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653878 */     // MIs[0] policy
     /* 1653878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653912 */     // GIR_Coverage, 5784,
     /* 1653912 */     GIR_EraseRootFromParent_Done,
     /* 1653913 */   // Label 22729: @1653913
     /* 1653913 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1653999), // Rule ID 5785 //
     /* 1653918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1653938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653964 */     // MIs[0] policy
     /* 1653964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653998 */     // GIR_Coverage, 5785,
     /* 1653998 */     GIR_EraseRootFromParent_Done,
     /* 1653999 */   // Label 22730: @1653999
     /* 1653999 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1654085), // Rule ID 5788 //
     /* 1654004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654050 */     // MIs[0] policy
     /* 1654050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654084 */     // GIR_Coverage, 5788,
     /* 1654084 */     GIR_EraseRootFromParent_Done,
     /* 1654085 */   // Label 22731: @1654085
     /* 1654085 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1654171), // Rule ID 5789 //
     /* 1654090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654136 */     // MIs[0] policy
     /* 1654136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654170 */     // GIR_Coverage, 5789,
     /* 1654170 */     GIR_EraseRootFromParent_Done,
     /* 1654171 */   // Label 22732: @1654171
     /* 1654171 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1654257), // Rule ID 5792 //
     /* 1654176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1654187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1654190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1654193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1654196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654222 */     // MIs[0] policy
     /* 1654222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654256 */     // GIR_Coverage, 5792,
     /* 1654256 */     GIR_EraseRootFromParent_Done,
     /* 1654257 */   // Label 22733: @1654257
     /* 1654257 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1654343), // Rule ID 5793 //
     /* 1654262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1654273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1654276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1654279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1654282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654308 */     // MIs[0] policy
     /* 1654308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654342 */     // GIR_Coverage, 5793,
     /* 1654342 */     GIR_EraseRootFromParent_Done,
     /* 1654343 */   // Label 22734: @1654343
     /* 1654343 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1654429), // Rule ID 5796 //
     /* 1654348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654394 */     // MIs[0] policy
     /* 1654394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654428 */     // GIR_Coverage, 5796,
     /* 1654428 */     GIR_EraseRootFromParent_Done,
     /* 1654429 */   // Label 22735: @1654429
     /* 1654429 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1654515), // Rule ID 5797 //
     /* 1654434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654480 */     // MIs[0] policy
     /* 1654480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654514 */     // GIR_Coverage, 5797,
     /* 1654514 */     GIR_EraseRootFromParent_Done,
     /* 1654515 */   // Label 22736: @1654515
     /* 1654515 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1654601), // Rule ID 5800 //
     /* 1654520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1654540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654566 */     // MIs[0] policy
     /* 1654566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654600 */     // GIR_Coverage, 5800,
     /* 1654600 */     GIR_EraseRootFromParent_Done,
     /* 1654601 */   // Label 22737: @1654601
     /* 1654601 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1654687), // Rule ID 5801 //
     /* 1654606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1654626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654652 */     // MIs[0] policy
     /* 1654652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654686 */     // GIR_Coverage, 5801,
     /* 1654686 */     GIR_EraseRootFromParent_Done,
     /* 1654687 */   // Label 22738: @1654687
     /* 1654687 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1654773), // Rule ID 5804 //
     /* 1654692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1654703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1654706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1654709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1654712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654738 */     // MIs[0] policy
     /* 1654738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1654751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654772 */     // GIR_Coverage, 5804,
     /* 1654772 */     GIR_EraseRootFromParent_Done,
     /* 1654773 */   // Label 22739: @1654773
     /* 1654773 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1654859), // Rule ID 5805 //
     /* 1654778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1654789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1654792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1654795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1654798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654824 */     // MIs[0] policy
     /* 1654824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1654837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654858 */     // GIR_Coverage, 5805,
     /* 1654858 */     GIR_EraseRootFromParent_Done,
     /* 1654859 */   // Label 22740: @1654859
     /* 1654859 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1654945), // Rule ID 5808 //
     /* 1654864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1654875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1654878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1654881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1654884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654910 */     // MIs[0] policy
     /* 1654910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654920 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1654923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654944 */     // GIR_Coverage, 5808,
     /* 1654944 */     GIR_EraseRootFromParent_Done,
     /* 1654945 */   // Label 22741: @1654945
     /* 1654945 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1655031), // Rule ID 5809 //
     /* 1654950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1654961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1654964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1654967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1654970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654996 */     // MIs[0] policy
     /* 1654996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655006 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655030 */     // GIR_Coverage, 5809,
     /* 1655030 */     GIR_EraseRootFromParent_Done,
     /* 1655031 */   // Label 22742: @1655031
     /* 1655031 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1655117), // Rule ID 5812 //
     /* 1655036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655082 */     // MIs[0] policy
     /* 1655082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655116 */     // GIR_Coverage, 5812,
     /* 1655116 */     GIR_EraseRootFromParent_Done,
     /* 1655117 */   // Label 22743: @1655117
     /* 1655117 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1655203), // Rule ID 5813 //
     /* 1655122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655168 */     // MIs[0] policy
     /* 1655168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655178 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655202 */     // GIR_Coverage, 5813,
     /* 1655202 */     GIR_EraseRootFromParent_Done,
     /* 1655203 */   // Label 22744: @1655203
     /* 1655203 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1655289), // Rule ID 5816 //
     /* 1655208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1655228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655254 */     // MIs[0] policy
     /* 1655254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655288 */     // GIR_Coverage, 5816,
     /* 1655288 */     GIR_EraseRootFromParent_Done,
     /* 1655289 */   // Label 22745: @1655289
     /* 1655289 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1655375), // Rule ID 5817 //
     /* 1655294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1655314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655340 */     // MIs[0] policy
     /* 1655340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655374 */     // GIR_Coverage, 5817,
     /* 1655374 */     GIR_EraseRootFromParent_Done,
     /* 1655375 */   // Label 22746: @1655375
     /* 1655375 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1655461), // Rule ID 5820 //
     /* 1655380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655426 */     // MIs[0] policy
     /* 1655426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655460 */     // GIR_Coverage, 5820,
     /* 1655460 */     GIR_EraseRootFromParent_Done,
     /* 1655461 */   // Label 22747: @1655461
     /* 1655461 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1655547), // Rule ID 5821 //
     /* 1655466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655512 */     // MIs[0] policy
     /* 1655512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655546 */     // GIR_Coverage, 5821,
     /* 1655546 */     GIR_EraseRootFromParent_Done,
     /* 1655547 */   // Label 22748: @1655547
     /* 1655547 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1655633), // Rule ID 5824 //
     /* 1655552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1655572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655598 */     // MIs[0] policy
     /* 1655598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655632 */     // GIR_Coverage, 5824,
     /* 1655632 */     GIR_EraseRootFromParent_Done,
     /* 1655633 */   // Label 22749: @1655633
     /* 1655633 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1655719), // Rule ID 5825 //
     /* 1655638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1655658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655684 */     // MIs[0] policy
     /* 1655684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655718 */     // GIR_Coverage, 5825,
     /* 1655718 */     GIR_EraseRootFromParent_Done,
     /* 1655719 */   // Label 22750: @1655719
     /* 1655719 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1655805), // Rule ID 5828 //
     /* 1655724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1655735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1655738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1655741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1655744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655770 */     // MIs[0] policy
     /* 1655770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655804 */     // GIR_Coverage, 5828,
     /* 1655804 */     GIR_EraseRootFromParent_Done,
     /* 1655805 */   // Label 22751: @1655805
     /* 1655805 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1655891), // Rule ID 5829 //
     /* 1655810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1655821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1655824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1655827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1655830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655856 */     // MIs[0] policy
     /* 1655856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655890 */     // GIR_Coverage, 5829,
     /* 1655890 */     GIR_EraseRootFromParent_Done,
     /* 1655891 */   // Label 22752: @1655891
     /* 1655891 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1655977), // Rule ID 5832 //
     /* 1655896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1655907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1655910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1655913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1655916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655942 */     // MIs[0] policy
     /* 1655942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655976 */     // GIR_Coverage, 5832,
     /* 1655976 */     GIR_EraseRootFromParent_Done,
     /* 1655977 */   // Label 22753: @1655977
     /* 1655977 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1656063), // Rule ID 5833 //
     /* 1655982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1655993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1655996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1655999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656028 */     // MIs[0] policy
     /* 1656028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656062 */     // GIR_Coverage, 5833,
     /* 1656062 */     GIR_EraseRootFromParent_Done,
     /* 1656063 */   // Label 22754: @1656063
     /* 1656063 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1656149), // Rule ID 5836 //
     /* 1656068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656114 */     // MIs[0] policy
     /* 1656114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656148 */     // GIR_Coverage, 5836,
     /* 1656148 */     GIR_EraseRootFromParent_Done,
     /* 1656149 */   // Label 22755: @1656149
     /* 1656149 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1656235), // Rule ID 5837 //
     /* 1656154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656200 */     // MIs[0] policy
     /* 1656200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656234 */     // GIR_Coverage, 5837,
     /* 1656234 */     GIR_EraseRootFromParent_Done,
     /* 1656235 */   // Label 22756: @1656235
     /* 1656235 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1656321), // Rule ID 5840 //
     /* 1656240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1656251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1656254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1656257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1656260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656286 */     // MIs[0] policy
     /* 1656286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656320 */     // GIR_Coverage, 5840,
     /* 1656320 */     GIR_EraseRootFromParent_Done,
     /* 1656321 */   // Label 22757: @1656321
     /* 1656321 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1656407), // Rule ID 5841 //
     /* 1656326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1656337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1656340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1656343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1656346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656372 */     // MIs[0] policy
     /* 1656372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656406 */     // GIR_Coverage, 5841,
     /* 1656406 */     GIR_EraseRootFromParent_Done,
     /* 1656407 */   // Label 22758: @1656407
     /* 1656407 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1656493), // Rule ID 5844 //
     /* 1656412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656458 */     // MIs[0] policy
     /* 1656458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656492 */     // GIR_Coverage, 5844,
     /* 1656492 */     GIR_EraseRootFromParent_Done,
     /* 1656493 */   // Label 22759: @1656493
     /* 1656493 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1656579), // Rule ID 5845 //
     /* 1656498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656544 */     // MIs[0] policy
     /* 1656544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656578 */     // GIR_Coverage, 5845,
     /* 1656578 */     GIR_EraseRootFromParent_Done,
     /* 1656579 */   // Label 22760: @1656579
     /* 1656579 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1656665), // Rule ID 5848 //
     /* 1656584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1656595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1656598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1656601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1656604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656630 */     // MIs[0] policy
     /* 1656630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656664 */     // GIR_Coverage, 5848,
     /* 1656664 */     GIR_EraseRootFromParent_Done,
     /* 1656665 */   // Label 22761: @1656665
     /* 1656665 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1656751), // Rule ID 5849 //
     /* 1656670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1656681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1656684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1656687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1656690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656716 */     // MIs[0] policy
     /* 1656716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656726 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656750 */     // GIR_Coverage, 5849,
     /* 1656750 */     GIR_EraseRootFromParent_Done,
     /* 1656751 */   // Label 22762: @1656751
     /* 1656751 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1656837), // Rule ID 5852 //
     /* 1656756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1656767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1656770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1656773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656802 */     // MIs[0] policy
     /* 1656802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1656815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656836 */     // GIR_Coverage, 5852,
     /* 1656836 */     GIR_EraseRootFromParent_Done,
     /* 1656837 */   // Label 22763: @1656837
     /* 1656837 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1656923), // Rule ID 5853 //
     /* 1656842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1656853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1656856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1656859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656888 */     // MIs[0] policy
     /* 1656888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1656901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656922 */     // GIR_Coverage, 5853,
     /* 1656922 */     GIR_EraseRootFromParent_Done,
     /* 1656923 */   // Label 22764: @1656923
     /* 1656923 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1657009), // Rule ID 5856 //
     /* 1656928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1656939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1656942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1656945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656974 */     // MIs[0] policy
     /* 1656974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1656987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657008 */     // GIR_Coverage, 5856,
     /* 1657008 */     GIR_EraseRootFromParent_Done,
     /* 1657009 */   // Label 22765: @1657009
     /* 1657009 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1657095), // Rule ID 5857 //
     /* 1657014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657060 */     // MIs[0] policy
     /* 1657060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657094 */     // GIR_Coverage, 5857,
     /* 1657094 */     GIR_EraseRootFromParent_Done,
     /* 1657095 */   // Label 22766: @1657095
     /* 1657095 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1657181), // Rule ID 5860 //
     /* 1657100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657146 */     // MIs[0] policy
     /* 1657146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657180 */     // GIR_Coverage, 5860,
     /* 1657180 */     GIR_EraseRootFromParent_Done,
     /* 1657181 */   // Label 22767: @1657181
     /* 1657181 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1657267), // Rule ID 5861 //
     /* 1657186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657232 */     // MIs[0] policy
     /* 1657232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657266 */     // GIR_Coverage, 5861,
     /* 1657266 */     GIR_EraseRootFromParent_Done,
     /* 1657267 */   // Label 22768: @1657267
     /* 1657267 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1657353), // Rule ID 5864 //
     /* 1657272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1657283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1657286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1657289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657318 */     // MIs[0] policy
     /* 1657318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657352 */     // GIR_Coverage, 5864,
     /* 1657352 */     GIR_EraseRootFromParent_Done,
     /* 1657353 */   // Label 22769: @1657353
     /* 1657353 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1657439), // Rule ID 5865 //
     /* 1657358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1657369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1657372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1657375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657404 */     // MIs[0] policy
     /* 1657404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657438 */     // GIR_Coverage, 5865,
     /* 1657438 */     GIR_EraseRootFromParent_Done,
     /* 1657439 */   // Label 22770: @1657439
     /* 1657439 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1657525), // Rule ID 5868 //
     /* 1657444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1657455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1657458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1657461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657490 */     // MIs[0] policy
     /* 1657490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657524 */     // GIR_Coverage, 5868,
     /* 1657524 */     GIR_EraseRootFromParent_Done,
     /* 1657525 */   // Label 22771: @1657525
     /* 1657525 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1657611), // Rule ID 5869 //
     /* 1657530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1657541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1657544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1657547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657576 */     // MIs[0] policy
     /* 1657576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657610 */     // GIR_Coverage, 5869,
     /* 1657610 */     GIR_EraseRootFromParent_Done,
     /* 1657611 */   // Label 22772: @1657611
     /* 1657611 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1657697), // Rule ID 5872 //
     /* 1657616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1657627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1657630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1657633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657662 */     // MIs[0] policy
     /* 1657662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657696 */     // GIR_Coverage, 5872,
     /* 1657696 */     GIR_EraseRootFromParent_Done,
     /* 1657697 */   // Label 22773: @1657697
     /* 1657697 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1657783), // Rule ID 5873 //
     /* 1657702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1657713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1657716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1657719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657748 */     // MIs[0] policy
     /* 1657748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657782 */     // GIR_Coverage, 5873,
     /* 1657782 */     GIR_EraseRootFromParent_Done,
     /* 1657783 */   // Label 22774: @1657783
     /* 1657783 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1657869), // Rule ID 5876 //
     /* 1657788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1657799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1657802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1657805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657834 */     // MIs[0] policy
     /* 1657834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1657847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657868 */     // GIR_Coverage, 5876,
     /* 1657868 */     GIR_EraseRootFromParent_Done,
     /* 1657869 */   // Label 22775: @1657869
     /* 1657869 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1657955), // Rule ID 5877 //
     /* 1657874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1657885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1657888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1657891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657920 */     // MIs[0] policy
     /* 1657920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1657933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657954 */     // GIR_Coverage, 5877,
     /* 1657954 */     GIR_EraseRootFromParent_Done,
     /* 1657955 */   // Label 22776: @1657955
     /* 1657955 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1658041), // Rule ID 5880 //
     /* 1657960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1657971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1657974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1657977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658006 */     // MIs[0] policy
     /* 1658006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658040 */     // GIR_Coverage, 5880,
     /* 1658040 */     GIR_EraseRootFromParent_Done,
     /* 1658041 */   // Label 22777: @1658041
     /* 1658041 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1658127), // Rule ID 5881 //
     /* 1658046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658092 */     // MIs[0] policy
     /* 1658092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658126 */     // GIR_Coverage, 5881,
     /* 1658126 */     GIR_EraseRootFromParent_Done,
     /* 1658127 */   // Label 22778: @1658127
     /* 1658127 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1658213), // Rule ID 5884 //
     /* 1658132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658178 */     // MIs[0] policy
     /* 1658178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658212 */     // GIR_Coverage, 5884,
     /* 1658212 */     GIR_EraseRootFromParent_Done,
     /* 1658213 */   // Label 22779: @1658213
     /* 1658213 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1658299), // Rule ID 5885 //
     /* 1658218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658264 */     // MIs[0] policy
     /* 1658264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658298 */     // GIR_Coverage, 5885,
     /* 1658298 */     GIR_EraseRootFromParent_Done,
     /* 1658299 */   // Label 22780: @1658299
     /* 1658299 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1658385), // Rule ID 5888 //
     /* 1658304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1658315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1658318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1658321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658350 */     // MIs[0] policy
     /* 1658350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658384 */     // GIR_Coverage, 5888,
     /* 1658384 */     GIR_EraseRootFromParent_Done,
     /* 1658385 */   // Label 22781: @1658385
     /* 1658385 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1658471), // Rule ID 5889 //
     /* 1658390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1658401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1658404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1658407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658436 */     // MIs[0] policy
     /* 1658436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658470 */     // GIR_Coverage, 5889,
     /* 1658470 */     GIR_EraseRootFromParent_Done,
     /* 1658471 */   // Label 22782: @1658471
     /* 1658471 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1658557), // Rule ID 5892 //
     /* 1658476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1658487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1658490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1658493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658522 */     // MIs[0] policy
     /* 1658522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658556 */     // GIR_Coverage, 5892,
     /* 1658556 */     GIR_EraseRootFromParent_Done,
     /* 1658557 */   // Label 22783: @1658557
     /* 1658557 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1658643), // Rule ID 5893 //
     /* 1658562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1658573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1658576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1658579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658608 */     // MIs[0] policy
     /* 1658608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658642 */     // GIR_Coverage, 5893,
     /* 1658642 */     GIR_EraseRootFromParent_Done,
     /* 1658643 */   // Label 22784: @1658643
     /* 1658643 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1658729), // Rule ID 5896 //
     /* 1658648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1658659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1658662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1658665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658694 */     // MIs[0] policy
     /* 1658694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658728 */     // GIR_Coverage, 5896,
     /* 1658728 */     GIR_EraseRootFromParent_Done,
     /* 1658729 */   // Label 22785: @1658729
     /* 1658729 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1658815), // Rule ID 5897 //
     /* 1658734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1658745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1658748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1658751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658780 */     // MIs[0] policy
     /* 1658780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658814 */     // GIR_Coverage, 5897,
     /* 1658814 */     GIR_EraseRootFromParent_Done,
     /* 1658815 */   // Label 22786: @1658815
     /* 1658815 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1658901), // Rule ID 5900 //
     /* 1658820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1658831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1658834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1658837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1658843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658866 */     // MIs[0] policy
     /* 1658866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658900 */     // GIR_Coverage, 5900,
     /* 1658900 */     GIR_EraseRootFromParent_Done,
     /* 1658901 */   // Label 22787: @1658901
     /* 1658901 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1658987), // Rule ID 5901 //
     /* 1658906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1658917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1658920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1658923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1658929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658952 */     // MIs[0] policy
     /* 1658952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658962 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658986 */     // GIR_Coverage, 5901,
     /* 1658986 */     GIR_EraseRootFromParent_Done,
     /* 1658987 */   // Label 22788: @1658987
     /* 1658987 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1659073), // Rule ID 5904 //
     /* 1658992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659038 */     // MIs[0] policy
     /* 1659038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659072 */     // GIR_Coverage, 5904,
     /* 1659072 */     GIR_EraseRootFromParent_Done,
     /* 1659073 */   // Label 22789: @1659073
     /* 1659073 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1659159), // Rule ID 5905 //
     /* 1659078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659124 */     // MIs[0] policy
     /* 1659124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659158 */     // GIR_Coverage, 5905,
     /* 1659158 */     GIR_EraseRootFromParent_Done,
     /* 1659159 */   // Label 22790: @1659159
     /* 1659159 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1659245), // Rule ID 5908 //
     /* 1659164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659210 */     // MIs[0] policy
     /* 1659210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659244 */     // GIR_Coverage, 5908,
     /* 1659244 */     GIR_EraseRootFromParent_Done,
     /* 1659245 */   // Label 22791: @1659245
     /* 1659245 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1659331), // Rule ID 5909 //
     /* 1659250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659296 */     // MIs[0] policy
     /* 1659296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659330 */     // GIR_Coverage, 5909,
     /* 1659330 */     GIR_EraseRootFromParent_Done,
     /* 1659331 */   // Label 22792: @1659331
     /* 1659331 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1659417), // Rule ID 5912 //
     /* 1659336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659382 */     // MIs[0] policy
     /* 1659382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659416 */     // GIR_Coverage, 5912,
     /* 1659416 */     GIR_EraseRootFromParent_Done,
     /* 1659417 */   // Label 22793: @1659417
     /* 1659417 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1659503), // Rule ID 5913 //
     /* 1659422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659468 */     // MIs[0] policy
     /* 1659468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659502 */     // GIR_Coverage, 5913,
     /* 1659502 */     GIR_EraseRootFromParent_Done,
     /* 1659503 */   // Label 22794: @1659503
     /* 1659503 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1659589), // Rule ID 5916 //
     /* 1659508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1659519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1659522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1659525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659554 */     // MIs[0] policy
     /* 1659554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659588 */     // GIR_Coverage, 5916,
     /* 1659588 */     GIR_EraseRootFromParent_Done,
     /* 1659589 */   // Label 22795: @1659589
     /* 1659589 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1659675), // Rule ID 5917 //
     /* 1659594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1659605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1659608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1659611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659640 */     // MIs[0] policy
     /* 1659640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659674 */     // GIR_Coverage, 5917,
     /* 1659674 */     GIR_EraseRootFromParent_Done,
     /* 1659675 */   // Label 22796: @1659675
     /* 1659675 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1659761), // Rule ID 5920 //
     /* 1659680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1659691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1659694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1659697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659726 */     // MIs[0] policy
     /* 1659726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659760 */     // GIR_Coverage, 5920,
     /* 1659760 */     GIR_EraseRootFromParent_Done,
     /* 1659761 */   // Label 22797: @1659761
     /* 1659761 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1659847), // Rule ID 5921 //
     /* 1659766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1659777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1659780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1659783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659812 */     // MIs[0] policy
     /* 1659812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659846 */     // GIR_Coverage, 5921,
     /* 1659846 */     GIR_EraseRootFromParent_Done,
     /* 1659847 */   // Label 22798: @1659847
     /* 1659847 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1659933), // Rule ID 5924 //
     /* 1659852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1659863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1659866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1659869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659898 */     // MIs[0] policy
     /* 1659898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659932 */     // GIR_Coverage, 5924,
     /* 1659932 */     GIR_EraseRootFromParent_Done,
     /* 1659933 */   // Label 22799: @1659933
     /* 1659933 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1660019), // Rule ID 5925 //
     /* 1659938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1659949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1659952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1659955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659984 */     // MIs[0] policy
     /* 1659984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660018 */     // GIR_Coverage, 5925,
     /* 1660018 */     GIR_EraseRootFromParent_Done,
     /* 1660019 */   // Label 22800: @1660019
     /* 1660019 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1660105), // Rule ID 5928 //
     /* 1660024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660070 */     // MIs[0] policy
     /* 1660070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660104 */     // GIR_Coverage, 5928,
     /* 1660104 */     GIR_EraseRootFromParent_Done,
     /* 1660105 */   // Label 22801: @1660105
     /* 1660105 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1660191), // Rule ID 5929 //
     /* 1660110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660156 */     // MIs[0] policy
     /* 1660156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660190 */     // GIR_Coverage, 5929,
     /* 1660190 */     GIR_EraseRootFromParent_Done,
     /* 1660191 */   // Label 22802: @1660191
     /* 1660191 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1660277), // Rule ID 5932 //
     /* 1660196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1660207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1660210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1660213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660242 */     // MIs[0] policy
     /* 1660242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660276 */     // GIR_Coverage, 5932,
     /* 1660276 */     GIR_EraseRootFromParent_Done,
     /* 1660277 */   // Label 22803: @1660277
     /* 1660277 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1660363), // Rule ID 5933 //
     /* 1660282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1660293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1660296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1660299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660328 */     // MIs[0] policy
     /* 1660328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660362 */     // GIR_Coverage, 5933,
     /* 1660362 */     GIR_EraseRootFromParent_Done,
     /* 1660363 */   // Label 22804: @1660363
     /* 1660363 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1660449), // Rule ID 5936 //
     /* 1660368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660414 */     // MIs[0] policy
     /* 1660414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660448 */     // GIR_Coverage, 5936,
     /* 1660448 */     GIR_EraseRootFromParent_Done,
     /* 1660449 */   // Label 22805: @1660449
     /* 1660449 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1660535), // Rule ID 5937 //
     /* 1660454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660500 */     // MIs[0] policy
     /* 1660500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660510 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660534 */     // GIR_Coverage, 5937,
     /* 1660534 */     GIR_EraseRootFromParent_Done,
     /* 1660535 */   // Label 22806: @1660535
     /* 1660535 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1660621), // Rule ID 6028 //
     /* 1660540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1660551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1660554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1660557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1660560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660586 */     // MIs[0] policy
     /* 1660586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1660599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660620 */     // GIR_Coverage, 6028,
     /* 1660620 */     GIR_EraseRootFromParent_Done,
     /* 1660621 */   // Label 22807: @1660621
     /* 1660621 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1660707), // Rule ID 6029 //
     /* 1660626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1660637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1660640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1660643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1660646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660672 */     // MIs[0] policy
     /* 1660672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1660685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660706 */     // GIR_Coverage, 6029,
     /* 1660706 */     GIR_EraseRootFromParent_Done,
     /* 1660707 */   // Label 22808: @1660707
     /* 1660707 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1660793), // Rule ID 6032 //
     /* 1660712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1660723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1660726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1660729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1660732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660758 */     // MIs[0] policy
     /* 1660758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1660771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660792 */     // GIR_Coverage, 6032,
     /* 1660792 */     GIR_EraseRootFromParent_Done,
     /* 1660793 */   // Label 22809: @1660793
     /* 1660793 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1660879), // Rule ID 6033 //
     /* 1660798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1660809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1660812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1660815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1660818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660844 */     // MIs[0] policy
     /* 1660844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660854 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1660857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660878 */     // GIR_Coverage, 6033,
     /* 1660878 */     GIR_EraseRootFromParent_Done,
     /* 1660879 */   // Label 22810: @1660879
     /* 1660879 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1660965), // Rule ID 6036 //
     /* 1660884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1660895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1660898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1660901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1660904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660930 */     // MIs[0] policy
     /* 1660930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1660943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660964 */     // GIR_Coverage, 6036,
     /* 1660964 */     GIR_EraseRootFromParent_Done,
     /* 1660965 */   // Label 22811: @1660965
     /* 1660965 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1661051), // Rule ID 6037 //
     /* 1660970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1660981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1660984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1660987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1660990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661016 */     // MIs[0] policy
     /* 1661016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661050 */     // GIR_Coverage, 6037,
     /* 1661050 */     GIR_EraseRootFromParent_Done,
     /* 1661051 */   // Label 22812: @1661051
     /* 1661051 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1661137), // Rule ID 6040 //
     /* 1661056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661102 */     // MIs[0] policy
     /* 1661102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661136 */     // GIR_Coverage, 6040,
     /* 1661136 */     GIR_EraseRootFromParent_Done,
     /* 1661137 */   // Label 22813: @1661137
     /* 1661137 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1661223), // Rule ID 6041 //
     /* 1661142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661188 */     // MIs[0] policy
     /* 1661188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661222 */     // GIR_Coverage, 6041,
     /* 1661222 */     GIR_EraseRootFromParent_Done,
     /* 1661223 */   // Label 22814: @1661223
     /* 1661223 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1661309), // Rule ID 6044 //
     /* 1661228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1661239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1661242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1661245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1661248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661274 */     // MIs[0] policy
     /* 1661274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661308 */     // GIR_Coverage, 6044,
     /* 1661308 */     GIR_EraseRootFromParent_Done,
     /* 1661309 */   // Label 22815: @1661309
     /* 1661309 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1661395), // Rule ID 6045 //
     /* 1661314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1661325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1661328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1661331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1661334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661360 */     // MIs[0] policy
     /* 1661360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661394 */     // GIR_Coverage, 6045,
     /* 1661394 */     GIR_EraseRootFromParent_Done,
     /* 1661395 */   // Label 22816: @1661395
     /* 1661395 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1661481), // Rule ID 6048 //
     /* 1661400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661446 */     // MIs[0] policy
     /* 1661446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661480 */     // GIR_Coverage, 6048,
     /* 1661480 */     GIR_EraseRootFromParent_Done,
     /* 1661481 */   // Label 22817: @1661481
     /* 1661481 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1661567), // Rule ID 6049 //
     /* 1661486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661532 */     // MIs[0] policy
     /* 1661532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661566 */     // GIR_Coverage, 6049,
     /* 1661566 */     GIR_EraseRootFromParent_Done,
     /* 1661567 */   // Label 22818: @1661567
     /* 1661567 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1661653), // Rule ID 6052 //
     /* 1661572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1661583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1661586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1661589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1661592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661618 */     // MIs[0] policy
     /* 1661618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1661631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661652 */     // GIR_Coverage, 6052,
     /* 1661652 */     GIR_EraseRootFromParent_Done,
     /* 1661653 */   // Label 22819: @1661653
     /* 1661653 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1661739), // Rule ID 6053 //
     /* 1661658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1661669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1661672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1661675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1661678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661704 */     // MIs[0] policy
     /* 1661704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1661717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661738 */     // GIR_Coverage, 6053,
     /* 1661738 */     GIR_EraseRootFromParent_Done,
     /* 1661739 */   // Label 22820: @1661739
     /* 1661739 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1661825), // Rule ID 6056 //
     /* 1661744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1661755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1661758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1661761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1661764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661790 */     // MIs[0] policy
     /* 1661790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1661803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661824 */     // GIR_Coverage, 6056,
     /* 1661824 */     GIR_EraseRootFromParent_Done,
     /* 1661825 */   // Label 22821: @1661825
     /* 1661825 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1661911), // Rule ID 6057 //
     /* 1661830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1661841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1661844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1661847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1661850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661876 */     // MIs[0] policy
     /* 1661876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1661889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661910 */     // GIR_Coverage, 6057,
     /* 1661910 */     GIR_EraseRootFromParent_Done,
     /* 1661911 */   // Label 22822: @1661911
     /* 1661911 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1661997), // Rule ID 6060 //
     /* 1661916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1661927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1661930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1661933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1661936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661962 */     // MIs[0] policy
     /* 1661962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1661975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661996 */     // GIR_Coverage, 6060,
     /* 1661996 */     GIR_EraseRootFromParent_Done,
     /* 1661997 */   // Label 22823: @1661997
     /* 1661997 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1662083), // Rule ID 6061 //
     /* 1662002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662048 */     // MIs[0] policy
     /* 1662048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662082 */     // GIR_Coverage, 6061,
     /* 1662082 */     GIR_EraseRootFromParent_Done,
     /* 1662083 */   // Label 22824: @1662083
     /* 1662083 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1662169), // Rule ID 6064 //
     /* 1662088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662134 */     // MIs[0] policy
     /* 1662134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662168 */     // GIR_Coverage, 6064,
     /* 1662168 */     GIR_EraseRootFromParent_Done,
     /* 1662169 */   // Label 22825: @1662169
     /* 1662169 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1662255), // Rule ID 6065 //
     /* 1662174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662220 */     // MIs[0] policy
     /* 1662220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662254 */     // GIR_Coverage, 6065,
     /* 1662254 */     GIR_EraseRootFromParent_Done,
     /* 1662255 */   // Label 22826: @1662255
     /* 1662255 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1662341), // Rule ID 6068 //
     /* 1662260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1662271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1662274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1662277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1662280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662306 */     // MIs[0] policy
     /* 1662306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662340 */     // GIR_Coverage, 6068,
     /* 1662340 */     GIR_EraseRootFromParent_Done,
     /* 1662341 */   // Label 22827: @1662341
     /* 1662341 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1662427), // Rule ID 6069 //
     /* 1662346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1662357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1662360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1662363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1662366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662392 */     // MIs[0] policy
     /* 1662392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662426 */     // GIR_Coverage, 6069,
     /* 1662426 */     GIR_EraseRootFromParent_Done,
     /* 1662427 */   // Label 22828: @1662427
     /* 1662427 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1662513), // Rule ID 6072 //
     /* 1662432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1662452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662478 */     // MIs[0] policy
     /* 1662478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662488 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662512 */     // GIR_Coverage, 6072,
     /* 1662512 */     GIR_EraseRootFromParent_Done,
     /* 1662513 */   // Label 22829: @1662513
     /* 1662513 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1662599), // Rule ID 6073 //
     /* 1662518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1662538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662564 */     // MIs[0] policy
     /* 1662564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662598 */     // GIR_Coverage, 6073,
     /* 1662598 */     GIR_EraseRootFromParent_Done,
     /* 1662599 */   // Label 22830: @1662599
     /* 1662599 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1662685), // Rule ID 6076 //
     /* 1662604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1662615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1662618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1662621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1662624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1662627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662650 */     // MIs[0] policy
     /* 1662650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662660 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662684 */     // GIR_Coverage, 6076,
     /* 1662684 */     GIR_EraseRootFromParent_Done,
     /* 1662685 */   // Label 22831: @1662685
     /* 1662685 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1662771), // Rule ID 6077 //
     /* 1662690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1662701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1662704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1662707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1662710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1662713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662736 */     // MIs[0] policy
     /* 1662736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662746 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662770 */     // GIR_Coverage, 6077,
     /* 1662770 */     GIR_EraseRootFromParent_Done,
     /* 1662771 */   // Label 22832: @1662771
     /* 1662771 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1662857), // Rule ID 6080 //
     /* 1662776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1662787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1662790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1662793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1662796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662822 */     // MIs[0] policy
     /* 1662822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662832 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662856 */     // GIR_Coverage, 6080,
     /* 1662856 */     GIR_EraseRootFromParent_Done,
     /* 1662857 */   // Label 22833: @1662857
     /* 1662857 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1662943), // Rule ID 6081 //
     /* 1662862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1662873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1662876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1662879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1662882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662908 */     // MIs[0] policy
     /* 1662908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662918 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662942 */     // GIR_Coverage, 6081,
     /* 1662942 */     GIR_EraseRootFromParent_Done,
     /* 1662943 */   // Label 22834: @1662943
     /* 1662943 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1663029), // Rule ID 6084 //
     /* 1662948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1662959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1662962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1662965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1662968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662994 */     // MIs[0] policy
     /* 1662994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663004 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663028 */     // GIR_Coverage, 6084,
     /* 1663028 */     GIR_EraseRootFromParent_Done,
     /* 1663029 */   // Label 22835: @1663029
     /* 1663029 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1663115), // Rule ID 6085 //
     /* 1663034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663080 */     // MIs[0] policy
     /* 1663080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663114 */     // GIR_Coverage, 6085,
     /* 1663114 */     GIR_EraseRootFromParent_Done,
     /* 1663115 */   // Label 22836: @1663115
     /* 1663115 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1663201), // Rule ID 6088 //
     /* 1663120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1663140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663166 */     // MIs[0] policy
     /* 1663166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663200 */     // GIR_Coverage, 6088,
     /* 1663200 */     GIR_EraseRootFromParent_Done,
     /* 1663201 */   // Label 22837: @1663201
     /* 1663201 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1663287), // Rule ID 6089 //
     /* 1663206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1663226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663252 */     // MIs[0] policy
     /* 1663252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663286 */     // GIR_Coverage, 6089,
     /* 1663286 */     GIR_EraseRootFromParent_Done,
     /* 1663287 */   // Label 22838: @1663287
     /* 1663287 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1663373), // Rule ID 6092 //
     /* 1663292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1663303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1663306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1663309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1663312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663338 */     // MIs[0] policy
     /* 1663338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663372 */     // GIR_Coverage, 6092,
     /* 1663372 */     GIR_EraseRootFromParent_Done,
     /* 1663373 */   // Label 22839: @1663373
     /* 1663373 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1663459), // Rule ID 6093 //
     /* 1663378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1663389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1663392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1663395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1663398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663424 */     // MIs[0] policy
     /* 1663424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663458 */     // GIR_Coverage, 6093,
     /* 1663458 */     GIR_EraseRootFromParent_Done,
     /* 1663459 */   // Label 22840: @1663459
     /* 1663459 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1663545), // Rule ID 6096 //
     /* 1663464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1663475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1663478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1663481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1663484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663510 */     // MIs[0] policy
     /* 1663510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663544 */     // GIR_Coverage, 6096,
     /* 1663544 */     GIR_EraseRootFromParent_Done,
     /* 1663545 */   // Label 22841: @1663545
     /* 1663545 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1663631), // Rule ID 6097 //
     /* 1663550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1663561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1663564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1663567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1663570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663596 */     // MIs[0] policy
     /* 1663596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663630 */     // GIR_Coverage, 6097,
     /* 1663630 */     GIR_EraseRootFromParent_Done,
     /* 1663631 */   // Label 22842: @1663631
     /* 1663631 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1663717), // Rule ID 6100 //
     /* 1663636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1663647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1663650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1663653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1663656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663682 */     // MIs[0] policy
     /* 1663682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663716 */     // GIR_Coverage, 6100,
     /* 1663716 */     GIR_EraseRootFromParent_Done,
     /* 1663717 */   // Label 22843: @1663717
     /* 1663717 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1663803), // Rule ID 6101 //
     /* 1663722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1663733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1663736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1663739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1663742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663768 */     // MIs[0] policy
     /* 1663768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663802 */     // GIR_Coverage, 6101,
     /* 1663802 */     GIR_EraseRootFromParent_Done,
     /* 1663803 */   // Label 22844: @1663803
     /* 1663803 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1663889), // Rule ID 6104 //
     /* 1663808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663854 */     // MIs[0] policy
     /* 1663854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663888 */     // GIR_Coverage, 6104,
     /* 1663888 */     GIR_EraseRootFromParent_Done,
     /* 1663889 */   // Label 22845: @1663889
     /* 1663889 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1663975), // Rule ID 6105 //
     /* 1663894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663940 */     // MIs[0] policy
     /* 1663940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663974 */     // GIR_Coverage, 6105,
     /* 1663974 */     GIR_EraseRootFromParent_Done,
     /* 1663975 */   // Label 22846: @1663975
     /* 1663975 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1664061), // Rule ID 6108 //
     /* 1663980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664026 */     // MIs[0] policy
     /* 1664026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1664039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664060 */     // GIR_Coverage, 6108,
     /* 1664060 */     GIR_EraseRootFromParent_Done,
     /* 1664061 */   // Label 22847: @1664061
     /* 1664061 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1664147), // Rule ID 6109 //
     /* 1664066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664112 */     // MIs[0] policy
     /* 1664112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1664125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664146 */     // GIR_Coverage, 6109,
     /* 1664146 */     GIR_EraseRootFromParent_Done,
     /* 1664147 */   // Label 22848: @1664147
     /* 1664147 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1664233), // Rule ID 6112 //
     /* 1664152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1664172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664198 */     // MIs[0] policy
     /* 1664198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664232 */     // GIR_Coverage, 6112,
     /* 1664232 */     GIR_EraseRootFromParent_Done,
     /* 1664233 */   // Label 22849: @1664233
     /* 1664233 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1664319), // Rule ID 6113 //
     /* 1664238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1664258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664284 */     // MIs[0] policy
     /* 1664284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664318 */     // GIR_Coverage, 6113,
     /* 1664318 */     GIR_EraseRootFromParent_Done,
     /* 1664319 */   // Label 22850: @1664319
     /* 1664319 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1664405), // Rule ID 6116 //
     /* 1664324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664370 */     // MIs[0] policy
     /* 1664370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664380 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1664383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664404 */     // GIR_Coverage, 6116,
     /* 1664404 */     GIR_EraseRootFromParent_Done,
     /* 1664405 */   // Label 22851: @1664405
     /* 1664405 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1664491), // Rule ID 6117 //
     /* 1664410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664456 */     // MIs[0] policy
     /* 1664456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664466 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1664469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664490 */     // GIR_Coverage, 6117,
     /* 1664490 */     GIR_EraseRootFromParent_Done,
     /* 1664491 */   // Label 22852: @1664491
     /* 1664491 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1664577), // Rule ID 6120 //
     /* 1664496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1664507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1664510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1664513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664542 */     // MIs[0] policy
     /* 1664542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664576 */     // GIR_Coverage, 6120,
     /* 1664576 */     GIR_EraseRootFromParent_Done,
     /* 1664577 */   // Label 22853: @1664577
     /* 1664577 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1664663), // Rule ID 6121 //
     /* 1664582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1664593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1664596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1664599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664628 */     // MIs[0] policy
     /* 1664628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664638 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664662 */     // GIR_Coverage, 6121,
     /* 1664662 */     GIR_EraseRootFromParent_Done,
     /* 1664663 */   // Label 22854: @1664663
     /* 1664663 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1664749), // Rule ID 6124 //
     /* 1664668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1664679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1664682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1664685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664714 */     // MIs[0] policy
     /* 1664714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664748 */     // GIR_Coverage, 6124,
     /* 1664748 */     GIR_EraseRootFromParent_Done,
     /* 1664749 */   // Label 22855: @1664749
     /* 1664749 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1664835), // Rule ID 6125 //
     /* 1664754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1664765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1664768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1664771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664800 */     // MIs[0] policy
     /* 1664800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664834 */     // GIR_Coverage, 6125,
     /* 1664834 */     GIR_EraseRootFromParent_Done,
     /* 1664835 */   // Label 22856: @1664835
     /* 1664835 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1664921), // Rule ID 6128 //
     /* 1664840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1664851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1664854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1664857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664886 */     // MIs[0] policy
     /* 1664886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664920 */     // GIR_Coverage, 6128,
     /* 1664920 */     GIR_EraseRootFromParent_Done,
     /* 1664921 */   // Label 22857: @1664921
     /* 1664921 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1665007), // Rule ID 6129 //
     /* 1664926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1664937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1664940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1664943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664972 */     // MIs[0] policy
     /* 1664972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665006 */     // GIR_Coverage, 6129,
     /* 1665006 */     GIR_EraseRootFromParent_Done,
     /* 1665007 */   // Label 22858: @1665007
     /* 1665007 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1665093), // Rule ID 6132 //
     /* 1665012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665058 */     // MIs[0] policy
     /* 1665058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665092 */     // GIR_Coverage, 6132,
     /* 1665092 */     GIR_EraseRootFromParent_Done,
     /* 1665093 */   // Label 22859: @1665093
     /* 1665093 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1665179), // Rule ID 6133 //
     /* 1665098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665144 */     // MIs[0] policy
     /* 1665144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665178 */     // GIR_Coverage, 6133,
     /* 1665178 */     GIR_EraseRootFromParent_Done,
     /* 1665179 */   // Label 22860: @1665179
     /* 1665179 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1665265), // Rule ID 6136 //
     /* 1665184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665230 */     // MIs[0] policy
     /* 1665230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665264 */     // GIR_Coverage, 6136,
     /* 1665264 */     GIR_EraseRootFromParent_Done,
     /* 1665265 */   // Label 22861: @1665265
     /* 1665265 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1665351), // Rule ID 6137 //
     /* 1665270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665316 */     // MIs[0] policy
     /* 1665316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665350 */     // GIR_Coverage, 6137,
     /* 1665350 */     GIR_EraseRootFromParent_Done,
     /* 1665351 */   // Label 22862: @1665351
     /* 1665351 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1665437), // Rule ID 6140 //
     /* 1665356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665402 */     // MIs[0] policy
     /* 1665402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665436 */     // GIR_Coverage, 6140,
     /* 1665436 */     GIR_EraseRootFromParent_Done,
     /* 1665437 */   // Label 22863: @1665437
     /* 1665437 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1665523), // Rule ID 6141 //
     /* 1665442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665488 */     // MIs[0] policy
     /* 1665488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665522 */     // GIR_Coverage, 6141,
     /* 1665522 */     GIR_EraseRootFromParent_Done,
     /* 1665523 */   // Label 22864: @1665523
     /* 1665523 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1665609), // Rule ID 6144 //
     /* 1665528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1665539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1665542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1665545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665574 */     // MIs[0] policy
     /* 1665574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665608 */     // GIR_Coverage, 6144,
     /* 1665608 */     GIR_EraseRootFromParent_Done,
     /* 1665609 */   // Label 22865: @1665609
     /* 1665609 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1665695), // Rule ID 6145 //
     /* 1665614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1665625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1665628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1665631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665660 */     // MIs[0] policy
     /* 1665660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665694 */     // GIR_Coverage, 6145,
     /* 1665694 */     GIR_EraseRootFromParent_Done,
     /* 1665695 */   // Label 22866: @1665695
     /* 1665695 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1665781), // Rule ID 6148 //
     /* 1665700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665746 */     // MIs[0] policy
     /* 1665746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665780 */     // GIR_Coverage, 6148,
     /* 1665780 */     GIR_EraseRootFromParent_Done,
     /* 1665781 */   // Label 22867: @1665781
     /* 1665781 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1665867), // Rule ID 6149 //
     /* 1665786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665832 */     // MIs[0] policy
     /* 1665832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665866 */     // GIR_Coverage, 6149,
     /* 1665866 */     GIR_EraseRootFromParent_Done,
     /* 1665867 */   // Label 22868: @1665867
     /* 1665867 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1665953), // Rule ID 6152 //
     /* 1665872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665918 */     // MIs[0] policy
     /* 1665918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665952 */     // GIR_Coverage, 6152,
     /* 1665952 */     GIR_EraseRootFromParent_Done,
     /* 1665953 */   // Label 22869: @1665953
     /* 1665953 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1666039), // Rule ID 6153 //
     /* 1665958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666004 */     // MIs[0] policy
     /* 1666004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666038 */     // GIR_Coverage, 6153,
     /* 1666038 */     GIR_EraseRootFromParent_Done,
     /* 1666039 */   // Label 22870: @1666039
     /* 1666039 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1666125), // Rule ID 6156 //
     /* 1666044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666090 */     // MIs[0] policy
     /* 1666090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666100 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666124 */     // GIR_Coverage, 6156,
     /* 1666124 */     GIR_EraseRootFromParent_Done,
     /* 1666125 */   // Label 22871: @1666125
     /* 1666125 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1666211), // Rule ID 6157 //
     /* 1666130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666176 */     // MIs[0] policy
     /* 1666176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666210 */     // GIR_Coverage, 6157,
     /* 1666210 */     GIR_EraseRootFromParent_Done,
     /* 1666211 */   // Label 22872: @1666211
     /* 1666211 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1666297), // Rule ID 6160 //
     /* 1666216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666262 */     // MIs[0] policy
     /* 1666262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666296 */     // GIR_Coverage, 6160,
     /* 1666296 */     GIR_EraseRootFromParent_Done,
     /* 1666297 */   // Label 22873: @1666297
     /* 1666297 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1666383), // Rule ID 6161 //
     /* 1666302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666348 */     // MIs[0] policy
     /* 1666348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666382 */     // GIR_Coverage, 6161,
     /* 1666382 */     GIR_EraseRootFromParent_Done,
     /* 1666383 */   // Label 22874: @1666383
     /* 1666383 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1666469), // Rule ID 6164 //
     /* 1666388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666434 */     // MIs[0] policy
     /* 1666434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666444 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666468 */     // GIR_Coverage, 6164,
     /* 1666468 */     GIR_EraseRootFromParent_Done,
     /* 1666469 */   // Label 22875: @1666469
     /* 1666469 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1666555), // Rule ID 6165 //
     /* 1666474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666520 */     // MIs[0] policy
     /* 1666520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666530 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666554 */     // GIR_Coverage, 6165,
     /* 1666554 */     GIR_EraseRootFromParent_Done,
     /* 1666555 */   // Label 22876: @1666555
     /* 1666555 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1666641), // Rule ID 6168 //
     /* 1666560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666606 */     // MIs[0] policy
     /* 1666606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666640 */     // GIR_Coverage, 6168,
     /* 1666640 */     GIR_EraseRootFromParent_Done,
     /* 1666641 */   // Label 22877: @1666641
     /* 1666641 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1666727), // Rule ID 6169 //
     /* 1666646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666692 */     // MIs[0] policy
     /* 1666692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666726 */     // GIR_Coverage, 6169,
     /* 1666726 */     GIR_EraseRootFromParent_Done,
     /* 1666727 */   // Label 22878: @1666727
     /* 1666727 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1666813), // Rule ID 6172 //
     /* 1666732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666778 */     // MIs[0] policy
     /* 1666778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666812 */     // GIR_Coverage, 6172,
     /* 1666812 */     GIR_EraseRootFromParent_Done,
     /* 1666813 */   // Label 22879: @1666813
     /* 1666813 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1666899), // Rule ID 6173 //
     /* 1666818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666864 */     // MIs[0] policy
     /* 1666864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666898 */     // GIR_Coverage, 6173,
     /* 1666898 */     GIR_EraseRootFromParent_Done,
     /* 1666899 */   // Label 22880: @1666899
     /* 1666899 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1666985), // Rule ID 6176 //
     /* 1666904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1666915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1666918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1666921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666950 */     // MIs[0] policy
     /* 1666950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666984 */     // GIR_Coverage, 6176,
     /* 1666984 */     GIR_EraseRootFromParent_Done,
     /* 1666985 */   // Label 22881: @1666985
     /* 1666985 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1667071), // Rule ID 6177 //
     /* 1666990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667036 */     // MIs[0] policy
     /* 1667036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667070 */     // GIR_Coverage, 6177,
     /* 1667070 */     GIR_EraseRootFromParent_Done,
     /* 1667071 */   // Label 22882: @1667071
     /* 1667071 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1667157), // Rule ID 6180 //
     /* 1667076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667122 */     // MIs[0] policy
     /* 1667122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667156 */     // GIR_Coverage, 6180,
     /* 1667156 */     GIR_EraseRootFromParent_Done,
     /* 1667157 */   // Label 22883: @1667157
     /* 1667157 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1667243), // Rule ID 6181 //
     /* 1667162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667208 */     // MIs[0] policy
     /* 1667208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667242 */     // GIR_Coverage, 6181,
     /* 1667242 */     GIR_EraseRootFromParent_Done,
     /* 1667243 */   // Label 22884: @1667243
     /* 1667243 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1667329), // Rule ID 6184 //
     /* 1667248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667294 */     // MIs[0] policy
     /* 1667294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667328 */     // GIR_Coverage, 6184,
     /* 1667328 */     GIR_EraseRootFromParent_Done,
     /* 1667329 */   // Label 22885: @1667329
     /* 1667329 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1667415), // Rule ID 6185 //
     /* 1667334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667380 */     // MIs[0] policy
     /* 1667380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667414 */     // GIR_Coverage, 6185,
     /* 1667414 */     GIR_EraseRootFromParent_Done,
     /* 1667415 */   // Label 22886: @1667415
     /* 1667415 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1667501), // Rule ID 6188 //
     /* 1667420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667466 */     // MIs[0] policy
     /* 1667466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667500 */     // GIR_Coverage, 6188,
     /* 1667500 */     GIR_EraseRootFromParent_Done,
     /* 1667501 */   // Label 22887: @1667501
     /* 1667501 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1667587), // Rule ID 6189 //
     /* 1667506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667552 */     // MIs[0] policy
     /* 1667552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667586 */     // GIR_Coverage, 6189,
     /* 1667586 */     GIR_EraseRootFromParent_Done,
     /* 1667587 */   // Label 22888: @1667587
     /* 1667587 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1667673), // Rule ID 6192 //
     /* 1667592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667638 */     // MIs[0] policy
     /* 1667638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667648 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667672 */     // GIR_Coverage, 6192,
     /* 1667672 */     GIR_EraseRootFromParent_Done,
     /* 1667673 */   // Label 22889: @1667673
     /* 1667673 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1667759), // Rule ID 6193 //
     /* 1667678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667724 */     // MIs[0] policy
     /* 1667724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667758 */     // GIR_Coverage, 6193,
     /* 1667758 */     GIR_EraseRootFromParent_Done,
     /* 1667759 */   // Label 22890: @1667759
     /* 1667759 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1667845), // Rule ID 6196 //
     /* 1667764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667810 */     // MIs[0] policy
     /* 1667810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667844 */     // GIR_Coverage, 6196,
     /* 1667844 */     GIR_EraseRootFromParent_Done,
     /* 1667845 */   // Label 22891: @1667845
     /* 1667845 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1667931), // Rule ID 6197 //
     /* 1667850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667896 */     // MIs[0] policy
     /* 1667896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667930 */     // GIR_Coverage, 6197,
     /* 1667930 */     GIR_EraseRootFromParent_Done,
     /* 1667931 */   // Label 22892: @1667931
     /* 1667931 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1668017), // Rule ID 6200 //
     /* 1667936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1667947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1667950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1667953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667982 */     // MIs[0] policy
     /* 1667982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668016 */     // GIR_Coverage, 6200,
     /* 1668016 */     GIR_EraseRootFromParent_Done,
     /* 1668017 */   // Label 22893: @1668017
     /* 1668017 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1668103), // Rule ID 6201 //
     /* 1668022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668068 */     // MIs[0] policy
     /* 1668068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1668081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668102 */     // GIR_Coverage, 6201,
     /* 1668102 */     GIR_EraseRootFromParent_Done,
     /* 1668103 */   // Label 22894: @1668103
     /* 1668103 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1668189), // Rule ID 6292 //
     /* 1668108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668154 */     // MIs[0] policy
     /* 1668154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668164 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1668167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668188 */     // GIR_Coverage, 6292,
     /* 1668188 */     GIR_EraseRootFromParent_Done,
     /* 1668189 */   // Label 22895: @1668189
     /* 1668189 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1668275), // Rule ID 6293 //
     /* 1668194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668240 */     // MIs[0] policy
     /* 1668240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668250 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1668253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668274 */     // GIR_Coverage, 6293,
     /* 1668274 */     GIR_EraseRootFromParent_Done,
     /* 1668275 */   // Label 22896: @1668275
     /* 1668275 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1668361), // Rule ID 6296 //
     /* 1668280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668326 */     // MIs[0] policy
     /* 1668326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668360 */     // GIR_Coverage, 6296,
     /* 1668360 */     GIR_EraseRootFromParent_Done,
     /* 1668361 */   // Label 22897: @1668361
     /* 1668361 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1668447), // Rule ID 6297 //
     /* 1668366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668412 */     // MIs[0] policy
     /* 1668412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668446 */     // GIR_Coverage, 6297,
     /* 1668446 */     GIR_EraseRootFromParent_Done,
     /* 1668447 */   // Label 22898: @1668447
     /* 1668447 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1668533), // Rule ID 6300 //
     /* 1668452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668498 */     // MIs[0] policy
     /* 1668498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668532 */     // GIR_Coverage, 6300,
     /* 1668532 */     GIR_EraseRootFromParent_Done,
     /* 1668533 */   // Label 22899: @1668533
     /* 1668533 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1668619), // Rule ID 6301 //
     /* 1668538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668584 */     // MIs[0] policy
     /* 1668584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668594 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668618 */     // GIR_Coverage, 6301,
     /* 1668618 */     GIR_EraseRootFromParent_Done,
     /* 1668619 */   // Label 22900: @1668619
     /* 1668619 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1668705), // Rule ID 6304 //
     /* 1668624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668670 */     // MIs[0] policy
     /* 1668670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668704 */     // GIR_Coverage, 6304,
     /* 1668704 */     GIR_EraseRootFromParent_Done,
     /* 1668705 */   // Label 22901: @1668705
     /* 1668705 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1668791), // Rule ID 6305 //
     /* 1668710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668756 */     // MIs[0] policy
     /* 1668756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668790 */     // GIR_Coverage, 6305,
     /* 1668790 */     GIR_EraseRootFromParent_Done,
     /* 1668791 */   // Label 22902: @1668791
     /* 1668791 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1668877), // Rule ID 6308 //
     /* 1668796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668842 */     // MIs[0] policy
     /* 1668842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668876 */     // GIR_Coverage, 6308,
     /* 1668876 */     GIR_EraseRootFromParent_Done,
     /* 1668877 */   // Label 22903: @1668877
     /* 1668877 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1668963), // Rule ID 6309 //
     /* 1668882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668928 */     // MIs[0] policy
     /* 1668928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668962 */     // GIR_Coverage, 6309,
     /* 1668962 */     GIR_EraseRootFromParent_Done,
     /* 1668963 */   // Label 22904: @1668963
     /* 1668963 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1669049), // Rule ID 6312 //
     /* 1668968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1668979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1668982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1668985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1668988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669014 */     // MIs[0] policy
     /* 1669014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669048 */     // GIR_Coverage, 6312,
     /* 1669048 */     GIR_EraseRootFromParent_Done,
     /* 1669049 */   // Label 22905: @1669049
     /* 1669049 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1669135), // Rule ID 6313 //
     /* 1669054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669100 */     // MIs[0] policy
     /* 1669100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669134 */     // GIR_Coverage, 6313,
     /* 1669134 */     GIR_EraseRootFromParent_Done,
     /* 1669135 */   // Label 22906: @1669135
     /* 1669135 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1669221), // Rule ID 6316 //
     /* 1669140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669186 */     // MIs[0] policy
     /* 1669186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669220 */     // GIR_Coverage, 6316,
     /* 1669220 */     GIR_EraseRootFromParent_Done,
     /* 1669221 */   // Label 22907: @1669221
     /* 1669221 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1669307), // Rule ID 6317 //
     /* 1669226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669272 */     // MIs[0] policy
     /* 1669272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669306 */     // GIR_Coverage, 6317,
     /* 1669306 */     GIR_EraseRootFromParent_Done,
     /* 1669307 */   // Label 22908: @1669307
     /* 1669307 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1669393), // Rule ID 6320 //
     /* 1669312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669358 */     // MIs[0] policy
     /* 1669358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669392 */     // GIR_Coverage, 6320,
     /* 1669392 */     GIR_EraseRootFromParent_Done,
     /* 1669393 */   // Label 22909: @1669393
     /* 1669393 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1669479), // Rule ID 6321 //
     /* 1669398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669444 */     // MIs[0] policy
     /* 1669444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669478 */     // GIR_Coverage, 6321,
     /* 1669478 */     GIR_EraseRootFromParent_Done,
     /* 1669479 */   // Label 22910: @1669479
     /* 1669479 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1669565), // Rule ID 6324 //
     /* 1669484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669530 */     // MIs[0] policy
     /* 1669530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669564 */     // GIR_Coverage, 6324,
     /* 1669564 */     GIR_EraseRootFromParent_Done,
     /* 1669565 */   // Label 22911: @1669565
     /* 1669565 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1669651), // Rule ID 6325 //
     /* 1669570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669616 */     // MIs[0] policy
     /* 1669616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669650 */     // GIR_Coverage, 6325,
     /* 1669650 */     GIR_EraseRootFromParent_Done,
     /* 1669651 */   // Label 22912: @1669651
     /* 1669651 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1669737), // Rule ID 6328 //
     /* 1669656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669702 */     // MIs[0] policy
     /* 1669702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669736 */     // GIR_Coverage, 6328,
     /* 1669736 */     GIR_EraseRootFromParent_Done,
     /* 1669737 */   // Label 22913: @1669737
     /* 1669737 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1669823), // Rule ID 6329 //
     /* 1669742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669788 */     // MIs[0] policy
     /* 1669788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669822 */     // GIR_Coverage, 6329,
     /* 1669822 */     GIR_EraseRootFromParent_Done,
     /* 1669823 */   // Label 22914: @1669823
     /* 1669823 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1669909), // Rule ID 6332 //
     /* 1669828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1669839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1669842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1669845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1669848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669874 */     // MIs[0] policy
     /* 1669874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669884 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1669887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669908 */     // GIR_Coverage, 6332,
     /* 1669908 */     GIR_EraseRootFromParent_Done,
     /* 1669909 */   // Label 22915: @1669909
     /* 1669909 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1669995), // Rule ID 6333 //
     /* 1669914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1669925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1669928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1669931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1669934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669960 */     // MIs[0] policy
     /* 1669960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1669973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669994 */     // GIR_Coverage, 6333,
     /* 1669994 */     GIR_EraseRootFromParent_Done,
     /* 1669995 */   // Label 22916: @1669995
     /* 1669995 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1670081), // Rule ID 6336 //
     /* 1670000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670046 */     // MIs[0] policy
     /* 1670046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670056 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670080 */     // GIR_Coverage, 6336,
     /* 1670080 */     GIR_EraseRootFromParent_Done,
     /* 1670081 */   // Label 22917: @1670081
     /* 1670081 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1670167), // Rule ID 6337 //
     /* 1670086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670132 */     // MIs[0] policy
     /* 1670132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670166 */     // GIR_Coverage, 6337,
     /* 1670166 */     GIR_EraseRootFromParent_Done,
     /* 1670167 */   // Label 22918: @1670167
     /* 1670167 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1670253), // Rule ID 6340 //
     /* 1670172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670218 */     // MIs[0] policy
     /* 1670218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670252 */     // GIR_Coverage, 6340,
     /* 1670252 */     GIR_EraseRootFromParent_Done,
     /* 1670253 */   // Label 22919: @1670253
     /* 1670253 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1670339), // Rule ID 6341 //
     /* 1670258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670304 */     // MIs[0] policy
     /* 1670304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670314 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670338 */     // GIR_Coverage, 6341,
     /* 1670338 */     GIR_EraseRootFromParent_Done,
     /* 1670339 */   // Label 22920: @1670339
     /* 1670339 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1670425), // Rule ID 6344 //
     /* 1670344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670390 */     // MIs[0] policy
     /* 1670390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670424 */     // GIR_Coverage, 6344,
     /* 1670424 */     GIR_EraseRootFromParent_Done,
     /* 1670425 */   // Label 22921: @1670425
     /* 1670425 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1670511), // Rule ID 6345 //
     /* 1670430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670476 */     // MIs[0] policy
     /* 1670476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670510 */     // GIR_Coverage, 6345,
     /* 1670510 */     GIR_EraseRootFromParent_Done,
     /* 1670511 */   // Label 22922: @1670511
     /* 1670511 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1670597), // Rule ID 6348 //
     /* 1670516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670562 */     // MIs[0] policy
     /* 1670562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670596 */     // GIR_Coverage, 6348,
     /* 1670596 */     GIR_EraseRootFromParent_Done,
     /* 1670597 */   // Label 22923: @1670597
     /* 1670597 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1670683), // Rule ID 6349 //
     /* 1670602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670648 */     // MIs[0] policy
     /* 1670648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670682 */     // GIR_Coverage, 6349,
     /* 1670682 */     GIR_EraseRootFromParent_Done,
     /* 1670683 */   // Label 22924: @1670683
     /* 1670683 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1670769), // Rule ID 6352 //
     /* 1670688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1670699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1670702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1670705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1670708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670734 */     // MIs[0] policy
     /* 1670734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670768 */     // GIR_Coverage, 6352,
     /* 1670768 */     GIR_EraseRootFromParent_Done,
     /* 1670769 */   // Label 22925: @1670769
     /* 1670769 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1670855), // Rule ID 6353 //
     /* 1670774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1670785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1670788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1670791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1670794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670820 */     // MIs[0] policy
     /* 1670820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670854 */     // GIR_Coverage, 6353,
     /* 1670854 */     GIR_EraseRootFromParent_Done,
     /* 1670855 */   // Label 22926: @1670855
     /* 1670855 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1670941), // Rule ID 6356 //
     /* 1670860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1670871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1670874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1670877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1670880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670906 */     // MIs[0] policy
     /* 1670906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670940 */     // GIR_Coverage, 6356,
     /* 1670940 */     GIR_EraseRootFromParent_Done,
     /* 1670941 */   // Label 22927: @1670941
     /* 1670941 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1671027), // Rule ID 6357 //
     /* 1670946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1670957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1670960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1670963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1670966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670992 */     // MIs[0] policy
     /* 1670992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671026 */     // GIR_Coverage, 6357,
     /* 1671026 */     GIR_EraseRootFromParent_Done,
     /* 1671027 */   // Label 22928: @1671027
     /* 1671027 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1671113), // Rule ID 6360 //
     /* 1671032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671078 */     // MIs[0] policy
     /* 1671078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671112 */     // GIR_Coverage, 6360,
     /* 1671112 */     GIR_EraseRootFromParent_Done,
     /* 1671113 */   // Label 22929: @1671113
     /* 1671113 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1671199), // Rule ID 6361 //
     /* 1671118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671164 */     // MIs[0] policy
     /* 1671164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671198 */     // GIR_Coverage, 6361,
     /* 1671198 */     GIR_EraseRootFromParent_Done,
     /* 1671199 */   // Label 22930: @1671199
     /* 1671199 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1671285), // Rule ID 6364 //
     /* 1671204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671250 */     // MIs[0] policy
     /* 1671250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671284 */     // GIR_Coverage, 6364,
     /* 1671284 */     GIR_EraseRootFromParent_Done,
     /* 1671285 */   // Label 22931: @1671285
     /* 1671285 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1671371), // Rule ID 6365 //
     /* 1671290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671336 */     // MIs[0] policy
     /* 1671336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671370 */     // GIR_Coverage, 6365,
     /* 1671370 */     GIR_EraseRootFromParent_Done,
     /* 1671371 */   // Label 22932: @1671371
     /* 1671371 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1671457), // Rule ID 6368 //
     /* 1671376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671422 */     // MIs[0] policy
     /* 1671422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671456 */     // GIR_Coverage, 6368,
     /* 1671456 */     GIR_EraseRootFromParent_Done,
     /* 1671457 */   // Label 22933: @1671457
     /* 1671457 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1671543), // Rule ID 6369 //
     /* 1671462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671508 */     // MIs[0] policy
     /* 1671508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671542 */     // GIR_Coverage, 6369,
     /* 1671542 */     GIR_EraseRootFromParent_Done,
     /* 1671543 */   // Label 22934: @1671543
     /* 1671543 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1671629), // Rule ID 6372 //
     /* 1671548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1671559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1671562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1671565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1671568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671594 */     // MIs[0] policy
     /* 1671594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671628 */     // GIR_Coverage, 6372,
     /* 1671628 */     GIR_EraseRootFromParent_Done,
     /* 1671629 */   // Label 22935: @1671629
     /* 1671629 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1671715), // Rule ID 6373 //
     /* 1671634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1671645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1671648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1671651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1671654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671680 */     // MIs[0] policy
     /* 1671680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671714 */     // GIR_Coverage, 6373,
     /* 1671714 */     GIR_EraseRootFromParent_Done,
     /* 1671715 */   // Label 22936: @1671715
     /* 1671715 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1671801), // Rule ID 6376 //
     /* 1671720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1671731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1671734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1671737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1671740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671766 */     // MIs[0] policy
     /* 1671766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671800 */     // GIR_Coverage, 6376,
     /* 1671800 */     GIR_EraseRootFromParent_Done,
     /* 1671801 */   // Label 22937: @1671801
     /* 1671801 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1671887), // Rule ID 6377 //
     /* 1671806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1671817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1671820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1671823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1671826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671852 */     // MIs[0] policy
     /* 1671852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671886 */     // GIR_Coverage, 6377,
     /* 1671886 */     GIR_EraseRootFromParent_Done,
     /* 1671887 */   // Label 22938: @1671887
     /* 1671887 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1671973), // Rule ID 6380 //
     /* 1671892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1671903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1671906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1671909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671938 */     // MIs[0] policy
     /* 1671938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671948 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1671951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671972 */     // GIR_Coverage, 6380,
     /* 1671972 */     GIR_EraseRootFromParent_Done,
     /* 1671973 */   // Label 22939: @1671973
     /* 1671973 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1672059), // Rule ID 6381 //
     /* 1671978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1671989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1671992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1671995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672024 */     // MIs[0] policy
     /* 1672024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1672037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672058 */     // GIR_Coverage, 6381,
     /* 1672058 */     GIR_EraseRootFromParent_Done,
     /* 1672059 */   // Label 22940: @1672059
     /* 1672059 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1672145), // Rule ID 6384 //
     /* 1672064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672110 */     // MIs[0] policy
     /* 1672110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672144 */     // GIR_Coverage, 6384,
     /* 1672144 */     GIR_EraseRootFromParent_Done,
     /* 1672145 */   // Label 22941: @1672145
     /* 1672145 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1672231), // Rule ID 6385 //
     /* 1672150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672196 */     // MIs[0] policy
     /* 1672196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672230 */     // GIR_Coverage, 6385,
     /* 1672230 */     GIR_EraseRootFromParent_Done,
     /* 1672231 */   // Label 22942: @1672231
     /* 1672231 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1672317), // Rule ID 6388 //
     /* 1672236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672282 */     // MIs[0] policy
     /* 1672282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672316 */     // GIR_Coverage, 6388,
     /* 1672316 */     GIR_EraseRootFromParent_Done,
     /* 1672317 */   // Label 22943: @1672317
     /* 1672317 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1672403), // Rule ID 6389 //
     /* 1672322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672368 */     // MIs[0] policy
     /* 1672368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672378 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672402 */     // GIR_Coverage, 6389,
     /* 1672402 */     GIR_EraseRootFromParent_Done,
     /* 1672403 */   // Label 22944: @1672403
     /* 1672403 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1672489), // Rule ID 6392 //
     /* 1672408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672454 */     // MIs[0] policy
     /* 1672454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672488 */     // GIR_Coverage, 6392,
     /* 1672488 */     GIR_EraseRootFromParent_Done,
     /* 1672489 */   // Label 22945: @1672489
     /* 1672489 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1672575), // Rule ID 6393 //
     /* 1672494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672540 */     // MIs[0] policy
     /* 1672540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672550 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672574 */     // GIR_Coverage, 6393,
     /* 1672574 */     GIR_EraseRootFromParent_Done,
     /* 1672575 */   // Label 22946: @1672575
     /* 1672575 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1672661), // Rule ID 6396 //
     /* 1672580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1672591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1672594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1672597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672626 */     // MIs[0] policy
     /* 1672626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672660 */     // GIR_Coverage, 6396,
     /* 1672660 */     GIR_EraseRootFromParent_Done,
     /* 1672661 */   // Label 22947: @1672661
     /* 1672661 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1672747), // Rule ID 6397 //
     /* 1672666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1672677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1672680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1672683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672712 */     // MIs[0] policy
     /* 1672712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672722 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672746 */     // GIR_Coverage, 6397,
     /* 1672746 */     GIR_EraseRootFromParent_Done,
     /* 1672747 */   // Label 22948: @1672747
     /* 1672747 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1672833), // Rule ID 6400 //
     /* 1672752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1672763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1672766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1672769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672798 */     // MIs[0] policy
     /* 1672798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672832 */     // GIR_Coverage, 6400,
     /* 1672832 */     GIR_EraseRootFromParent_Done,
     /* 1672833 */   // Label 22949: @1672833
     /* 1672833 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1672919), // Rule ID 6401 //
     /* 1672838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1672849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1672852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1672855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672884 */     // MIs[0] policy
     /* 1672884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672918 */     // GIR_Coverage, 6401,
     /* 1672918 */     GIR_EraseRootFromParent_Done,
     /* 1672919 */   // Label 22950: @1672919
     /* 1672919 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1673005), // Rule ID 6404 //
     /* 1672924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1672935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1672938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1672941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672970 */     // MIs[0] policy
     /* 1672970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1672983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673004 */     // GIR_Coverage, 6404,
     /* 1673004 */     GIR_EraseRootFromParent_Done,
     /* 1673005 */   // Label 22951: @1673005
     /* 1673005 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1673091), // Rule ID 6405 //
     /* 1673010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673056 */     // MIs[0] policy
     /* 1673056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11628:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673090 */     // GIR_Coverage, 6405,
     /* 1673090 */     GIR_EraseRootFromParent_Done,
     /* 1673091 */   // Label 22952: @1673091
     /* 1673091 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1673177), // Rule ID 6408 //
     /* 1673096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673142 */     // MIs[0] policy
     /* 1673142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673176 */     // GIR_Coverage, 6408,
     /* 1673176 */     GIR_EraseRootFromParent_Done,
     /* 1673177 */   // Label 22953: @1673177
     /* 1673177 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1673263), // Rule ID 6409 //
     /* 1673182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673228 */     // MIs[0] policy
     /* 1673228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11628:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673262 */     // GIR_Coverage, 6409,
     /* 1673262 */     GIR_EraseRootFromParent_Done,
     /* 1673263 */   // Label 22954: @1673263
     /* 1673263 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1673349), // Rule ID 6412 //
     /* 1673268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673314 */     // MIs[0] policy
     /* 1673314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673348 */     // GIR_Coverage, 6412,
     /* 1673348 */     GIR_EraseRootFromParent_Done,
     /* 1673349 */   // Label 22955: @1673349
     /* 1673349 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1673435), // Rule ID 6413 //
     /* 1673354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673400 */     // MIs[0] policy
     /* 1673400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11628:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673434 */     // GIR_Coverage, 6413,
     /* 1673434 */     GIR_EraseRootFromParent_Done,
     /* 1673435 */   // Label 22956: @1673435
     /* 1673435 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1673521), // Rule ID 6416 //
     /* 1673440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673486 */     // MIs[0] policy
     /* 1673486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673520 */     // GIR_Coverage, 6416,
     /* 1673520 */     GIR_EraseRootFromParent_Done,
     /* 1673521 */   // Label 22957: @1673521
     /* 1673521 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1673607), // Rule ID 6417 //
     /* 1673526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673572 */     // MIs[0] policy
     /* 1673572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11628:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673606 */     // GIR_Coverage, 6417,
     /* 1673606 */     GIR_EraseRootFromParent_Done,
     /* 1673607 */   // Label 22958: @1673607
     /* 1673607 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1673693), // Rule ID 6420 //
     /* 1673612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1673623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1673626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1673629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673658 */     // MIs[0] policy
     /* 1673658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673668 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1673671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673692 */     // GIR_Coverage, 6420,
     /* 1673692 */     GIR_EraseRootFromParent_Done,
     /* 1673693 */   // Label 22959: @1673693
     /* 1673693 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1673779), // Rule ID 6421 //
     /* 1673698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1673709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1673712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1673715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673744 */     // MIs[0] policy
     /* 1673744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673754 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1673757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673778 */     // GIR_Coverage, 6421,
     /* 1673778 */     GIR_EraseRootFromParent_Done,
     /* 1673779 */   // Label 22960: @1673779
     /* 1673779 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1673865), // Rule ID 6424 //
     /* 1673784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1673795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1673798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1673801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673830 */     // MIs[0] policy
     /* 1673830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1673843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673864 */     // GIR_Coverage, 6424,
     /* 1673864 */     GIR_EraseRootFromParent_Done,
     /* 1673865 */   // Label 22961: @1673865
     /* 1673865 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1673951), // Rule ID 6425 //
     /* 1673870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1673881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1673884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1673887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673916 */     // MIs[0] policy
     /* 1673916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1673929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673950 */     // GIR_Coverage, 6425,
     /* 1673950 */     GIR_EraseRootFromParent_Done,
     /* 1673951 */   // Label 22962: @1673951
     /* 1673951 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1674037), // Rule ID 6428 //
     /* 1673956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1673967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1673970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1673973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1673979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674002 */     // MIs[0] policy
     /* 1674002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674036 */     // GIR_Coverage, 6428,
     /* 1674036 */     GIR_EraseRootFromParent_Done,
     /* 1674037 */   // Label 22963: @1674037
     /* 1674037 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1674123), // Rule ID 6429 //
     /* 1674042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674088 */     // MIs[0] policy
     /* 1674088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674098 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674122 */     // GIR_Coverage, 6429,
     /* 1674122 */     GIR_EraseRootFromParent_Done,
     /* 1674123 */   // Label 22964: @1674123
     /* 1674123 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1674209), // Rule ID 6432 //
     /* 1674128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674174 */     // MIs[0] policy
     /* 1674174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674208 */     // GIR_Coverage, 6432,
     /* 1674208 */     GIR_EraseRootFromParent_Done,
     /* 1674209 */   // Label 22965: @1674209
     /* 1674209 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1674295), // Rule ID 6433 //
     /* 1674214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674260 */     // MIs[0] policy
     /* 1674260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674294 */     // GIR_Coverage, 6433,
     /* 1674294 */     GIR_EraseRootFromParent_Done,
     /* 1674295 */   // Label 22966: @1674295
     /* 1674295 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1674381), // Rule ID 6436 //
     /* 1674300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674346 */     // MIs[0] policy
     /* 1674346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674380 */     // GIR_Coverage, 6436,
     /* 1674380 */     GIR_EraseRootFromParent_Done,
     /* 1674381 */   // Label 22967: @1674381
     /* 1674381 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1674467), // Rule ID 6437 //
     /* 1674386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674432 */     // MIs[0] policy
     /* 1674432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674466 */     // GIR_Coverage, 6437,
     /* 1674466 */     GIR_EraseRootFromParent_Done,
     /* 1674467 */   // Label 22968: @1674467
     /* 1674467 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1674553), // Rule ID 6440 //
     /* 1674472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1674486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1674489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674518 */     // MIs[0] policy
     /* 1674518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674528 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674552 */     // GIR_Coverage, 6440,
     /* 1674552 */     GIR_EraseRootFromParent_Done,
     /* 1674553 */   // Label 22969: @1674553
     /* 1674553 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1674639), // Rule ID 6441 //
     /* 1674558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1674572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1674575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674604 */     // MIs[0] policy
     /* 1674604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674638 */     // GIR_Coverage, 6441,
     /* 1674638 */     GIR_EraseRootFromParent_Done,
     /* 1674639 */   // Label 22970: @1674639
     /* 1674639 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1674725), // Rule ID 6444 //
     /* 1674644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1674655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1674658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1674661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674690 */     // MIs[0] policy
     /* 1674690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674724 */     // GIR_Coverage, 6444,
     /* 1674724 */     GIR_EraseRootFromParent_Done,
     /* 1674725 */   // Label 22971: @1674725
     /* 1674725 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1674811), // Rule ID 6445 //
     /* 1674730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1674741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1674744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1674747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674776 */     // MIs[0] policy
     /* 1674776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674810 */     // GIR_Coverage, 6445,
     /* 1674810 */     GIR_EraseRootFromParent_Done,
     /* 1674811 */   // Label 22972: @1674811
     /* 1674811 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1674897), // Rule ID 6448 //
     /* 1674816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1674827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1674830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1674833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674862 */     // MIs[0] policy
     /* 1674862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674896 */     // GIR_Coverage, 6448,
     /* 1674896 */     GIR_EraseRootFromParent_Done,
     /* 1674897 */   // Label 22973: @1674897
     /* 1674897 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1674983), // Rule ID 6449 //
     /* 1674902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1674913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1674916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1674919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674948 */     // MIs[0] policy
     /* 1674948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674982 */     // GIR_Coverage, 6449,
     /* 1674982 */     GIR_EraseRootFromParent_Done,
     /* 1674983 */   // Label 22974: @1674983
     /* 1674983 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1675069), // Rule ID 6452 //
     /* 1674988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1674999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675034 */     // MIs[0] policy
     /* 1675034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675068 */     // GIR_Coverage, 6452,
     /* 1675068 */     GIR_EraseRootFromParent_Done,
     /* 1675069 */   // Label 22975: @1675069
     /* 1675069 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1675155), // Rule ID 6453 //
     /* 1675074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675120 */     // MIs[0] policy
     /* 1675120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675154 */     // GIR_Coverage, 6453,
     /* 1675154 */     GIR_EraseRootFromParent_Done,
     /* 1675155 */   // Label 22976: @1675155
     /* 1675155 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1675241), // Rule ID 6456 //
     /* 1675160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675206 */     // MIs[0] policy
     /* 1675206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675240 */     // GIR_Coverage, 6456,
     /* 1675240 */     GIR_EraseRootFromParent_Done,
     /* 1675241 */   // Label 22977: @1675241
     /* 1675241 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1675327), // Rule ID 6457 //
     /* 1675246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675292 */     // MIs[0] policy
     /* 1675292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11628:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675326 */     // GIR_Coverage, 6457,
     /* 1675326 */     GIR_EraseRootFromParent_Done,
     /* 1675327 */   // Label 22978: @1675327
     /* 1675327 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1675413), // Rule ID 6460 //
     /* 1675332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675378 */     // MIs[0] policy
     /* 1675378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675412 */     // GIR_Coverage, 6460,
     /* 1675412 */     GIR_EraseRootFromParent_Done,
     /* 1675413 */   // Label 22979: @1675413
     /* 1675413 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1675499), // Rule ID 6461 //
     /* 1675418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675464 */     // MIs[0] policy
     /* 1675464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11628:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675498 */     // GIR_Coverage, 6461,
     /* 1675498 */     GIR_EraseRootFromParent_Done,
     /* 1675499 */   // Label 22980: @1675499
     /* 1675499 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1675585), // Rule ID 6464 //
     /* 1675504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1675515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1675518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1675521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675550 */     // MIs[0] policy
     /* 1675550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675584 */     // GIR_Coverage, 6464,
     /* 1675584 */     GIR_EraseRootFromParent_Done,
     /* 1675585 */   // Label 22981: @1675585
     /* 1675585 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1675671), // Rule ID 6465 //
     /* 1675590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1675601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1675604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1675607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675636 */     // MIs[0] policy
     /* 1675636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11628:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675670 */     // GIR_Coverage, 6465,
     /* 1675670 */     GIR_EraseRootFromParent_Done,
     /* 1675671 */   // Label 22982: @1675671
     /* 1675671 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1675757), // Rule ID 6556 //
     /* 1675676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1675687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1675690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1675693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1675696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675722 */     // MIs[0] policy
     /* 1675722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1675735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675756 */     // GIR_Coverage, 6556,
     /* 1675756 */     GIR_EraseRootFromParent_Done,
     /* 1675757 */   // Label 22983: @1675757
     /* 1675757 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1675843), // Rule ID 6557 //
     /* 1675762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1675773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1675776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1675779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1675782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675808 */     // MIs[0] policy
     /* 1675808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675818 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1675821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675842 */     // GIR_Coverage, 6557,
     /* 1675842 */     GIR_EraseRootFromParent_Done,
     /* 1675843 */   // Label 22984: @1675843
     /* 1675843 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1675929), // Rule ID 6560 //
     /* 1675848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1675859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1675862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1675865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1675868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675894 */     // MIs[0] policy
     /* 1675894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675904 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1675907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675928 */     // GIR_Coverage, 6560,
     /* 1675928 */     GIR_EraseRootFromParent_Done,
     /* 1675929 */   // Label 22985: @1675929
     /* 1675929 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1676015), // Rule ID 6561 //
     /* 1675934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1675945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1675948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1675951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1675954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675980 */     // MIs[0] policy
     /* 1675980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1675993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676014 */     // GIR_Coverage, 6561,
     /* 1676014 */     GIR_EraseRootFromParent_Done,
     /* 1676015 */   // Label 22986: @1676015
     /* 1676015 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1676101), // Rule ID 6564 //
     /* 1676020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676066 */     // MIs[0] policy
     /* 1676066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676100 */     // GIR_Coverage, 6564,
     /* 1676100 */     GIR_EraseRootFromParent_Done,
     /* 1676101 */   // Label 22987: @1676101
     /* 1676101 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1676187), // Rule ID 6565 //
     /* 1676106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676152 */     // MIs[0] policy
     /* 1676152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676162 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676186 */     // GIR_Coverage, 6565,
     /* 1676186 */     GIR_EraseRootFromParent_Done,
     /* 1676187 */   // Label 22988: @1676187
     /* 1676187 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1676273), // Rule ID 6568 //
     /* 1676192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1676212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676238 */     // MIs[0] policy
     /* 1676238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676272 */     // GIR_Coverage, 6568,
     /* 1676272 */     GIR_EraseRootFromParent_Done,
     /* 1676273 */   // Label 22989: @1676273
     /* 1676273 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1676359), // Rule ID 6569 //
     /* 1676278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1676298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676324 */     // MIs[0] policy
     /* 1676324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676358 */     // GIR_Coverage, 6569,
     /* 1676358 */     GIR_EraseRootFromParent_Done,
     /* 1676359 */   // Label 22990: @1676359
     /* 1676359 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1676445), // Rule ID 6572 //
     /* 1676364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676410 */     // MIs[0] policy
     /* 1676410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676444 */     // GIR_Coverage, 6572,
     /* 1676444 */     GIR_EraseRootFromParent_Done,
     /* 1676445 */   // Label 22991: @1676445
     /* 1676445 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1676531), // Rule ID 6573 //
     /* 1676450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676496 */     // MIs[0] policy
     /* 1676496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676530 */     // GIR_Coverage, 6573,
     /* 1676530 */     GIR_EraseRootFromParent_Done,
     /* 1676531 */   // Label 22992: @1676531
     /* 1676531 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1676617), // Rule ID 6576 //
     /* 1676536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1676547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1676550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1676553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1676556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676582 */     // MIs[0] policy
     /* 1676582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676616 */     // GIR_Coverage, 6576,
     /* 1676616 */     GIR_EraseRootFromParent_Done,
     /* 1676617 */   // Label 22993: @1676617
     /* 1676617 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1676703), // Rule ID 6577 //
     /* 1676622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1676633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1676636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1676639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1676642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676668 */     // MIs[0] policy
     /* 1676668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676702 */     // GIR_Coverage, 6577,
     /* 1676702 */     GIR_EraseRootFromParent_Done,
     /* 1676703 */   // Label 22994: @1676703
     /* 1676703 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1676789), // Rule ID 6580 //
     /* 1676708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1676719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1676722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1676725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1676728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676754 */     // MIs[0] policy
     /* 1676754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1676767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676788 */     // GIR_Coverage, 6580,
     /* 1676788 */     GIR_EraseRootFromParent_Done,
     /* 1676789 */   // Label 22995: @1676789
     /* 1676789 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1676875), // Rule ID 6581 //
     /* 1676794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1676805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1676808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1676811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1676814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676840 */     // MIs[0] policy
     /* 1676840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1676853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676874 */     // GIR_Coverage, 6581,
     /* 1676874 */     GIR_EraseRootFromParent_Done,
     /* 1676875 */   // Label 22996: @1676875
     /* 1676875 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1676961), // Rule ID 6584 //
     /* 1676880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1676891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1676894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1676897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1676900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676926 */     // MIs[0] policy
     /* 1676926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1676939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676960 */     // GIR_Coverage, 6584,
     /* 1676960 */     GIR_EraseRootFromParent_Done,
     /* 1676961 */   // Label 22997: @1676961
     /* 1676961 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1677047), // Rule ID 6585 //
     /* 1676966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1676977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1676980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1676983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1676986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677012 */     // MIs[0] policy
     /* 1677012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677046 */     // GIR_Coverage, 6585,
     /* 1677046 */     GIR_EraseRootFromParent_Done,
     /* 1677047 */   // Label 22998: @1677047
     /* 1677047 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1677133), // Rule ID 6588 //
     /* 1677052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677098 */     // MIs[0] policy
     /* 1677098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677132 */     // GIR_Coverage, 6588,
     /* 1677132 */     GIR_EraseRootFromParent_Done,
     /* 1677133 */   // Label 22999: @1677133
     /* 1677133 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1677219), // Rule ID 6589 //
     /* 1677138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677184 */     // MIs[0] policy
     /* 1677184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677218 */     // GIR_Coverage, 6589,
     /* 1677218 */     GIR_EraseRootFromParent_Done,
     /* 1677219 */   // Label 23000: @1677219
     /* 1677219 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1677305), // Rule ID 6592 //
     /* 1677224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1677244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677270 */     // MIs[0] policy
     /* 1677270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677304 */     // GIR_Coverage, 6592,
     /* 1677304 */     GIR_EraseRootFromParent_Done,
     /* 1677305 */   // Label 23001: @1677305
     /* 1677305 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1677391), // Rule ID 6593 //
     /* 1677310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1677330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677356 */     // MIs[0] policy
     /* 1677356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677390 */     // GIR_Coverage, 6593,
     /* 1677390 */     GIR_EraseRootFromParent_Done,
     /* 1677391 */   // Label 23002: @1677391
     /* 1677391 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1677477), // Rule ID 6596 //
     /* 1677396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677442 */     // MIs[0] policy
     /* 1677442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677452 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1677455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677476 */     // GIR_Coverage, 6596,
     /* 1677476 */     GIR_EraseRootFromParent_Done,
     /* 1677477 */   // Label 23003: @1677477
     /* 1677477 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1677563), // Rule ID 6597 //
     /* 1677482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677528 */     // MIs[0] policy
     /* 1677528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1677541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677562 */     // GIR_Coverage, 6597,
     /* 1677562 */     GIR_EraseRootFromParent_Done,
     /* 1677563 */   // Label 23004: @1677563
     /* 1677563 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1677649), // Rule ID 6600 //
     /* 1677568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1677579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1677582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1677585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1677588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677614 */     // MIs[0] policy
     /* 1677614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1677627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677648 */     // GIR_Coverage, 6600,
     /* 1677648 */     GIR_EraseRootFromParent_Done,
     /* 1677649 */   // Label 23005: @1677649
     /* 1677649 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1677735), // Rule ID 6601 //
     /* 1677654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1677665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1677668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1677671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1677674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677700 */     // MIs[0] policy
     /* 1677700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1677713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677734 */     // GIR_Coverage, 6601,
     /* 1677734 */     GIR_EraseRootFromParent_Done,
     /* 1677735 */   // Label 23006: @1677735
     /* 1677735 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1677821), // Rule ID 6604 //
     /* 1677740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1677751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1677754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1677757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1677760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1677763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677786 */     // MIs[0] policy
     /* 1677786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1677799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677820 */     // GIR_Coverage, 6604,
     /* 1677820 */     GIR_EraseRootFromParent_Done,
     /* 1677821 */   // Label 23007: @1677821
     /* 1677821 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1677907), // Rule ID 6605 //
     /* 1677826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1677837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1677840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1677843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1677846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1677849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677872 */     // MIs[0] policy
     /* 1677872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1677885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677906 */     // GIR_Coverage, 6605,
     /* 1677906 */     GIR_EraseRootFromParent_Done,
     /* 1677907 */   // Label 23008: @1677907
     /* 1677907 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1677993), // Rule ID 6608 //
     /* 1677912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1677923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1677926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1677929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1677932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677958 */     // MIs[0] policy
     /* 1677958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1677971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677992 */     // GIR_Coverage, 6608,
     /* 1677992 */     GIR_EraseRootFromParent_Done,
     /* 1677993 */   // Label 23009: @1677993
     /* 1677993 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1678079), // Rule ID 6609 //
     /* 1677998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678044 */     // MIs[0] policy
     /* 1678044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678078 */     // GIR_Coverage, 6609,
     /* 1678078 */     GIR_EraseRootFromParent_Done,
     /* 1678079 */   // Label 23010: @1678079
     /* 1678079 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1678165), // Rule ID 6612 //
     /* 1678084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1678104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678130 */     // MIs[0] policy
     /* 1678130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678164 */     // GIR_Coverage, 6612,
     /* 1678164 */     GIR_EraseRootFromParent_Done,
     /* 1678165 */   // Label 23011: @1678165
     /* 1678165 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1678251), // Rule ID 6613 //
     /* 1678170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1678190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678216 */     // MIs[0] policy
     /* 1678216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678250 */     // GIR_Coverage, 6613,
     /* 1678250 */     GIR_EraseRootFromParent_Done,
     /* 1678251 */   // Label 23012: @1678251
     /* 1678251 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1678337), // Rule ID 6616 //
     /* 1678256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1678276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678302 */     // MIs[0] policy
     /* 1678302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678336 */     // GIR_Coverage, 6616,
     /* 1678336 */     GIR_EraseRootFromParent_Done,
     /* 1678337 */   // Label 23013: @1678337
     /* 1678337 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1678423), // Rule ID 6617 //
     /* 1678342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1678362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678388 */     // MIs[0] policy
     /* 1678388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678422 */     // GIR_Coverage, 6617,
     /* 1678422 */     GIR_EraseRootFromParent_Done,
     /* 1678423 */   // Label 23014: @1678423
     /* 1678423 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1678509), // Rule ID 6620 //
     /* 1678428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678474 */     // MIs[0] policy
     /* 1678474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678508 */     // GIR_Coverage, 6620,
     /* 1678508 */     GIR_EraseRootFromParent_Done,
     /* 1678509 */   // Label 23015: @1678509
     /* 1678509 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1678595), // Rule ID 6621 //
     /* 1678514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678560 */     // MIs[0] policy
     /* 1678560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678594 */     // GIR_Coverage, 6621,
     /* 1678594 */     GIR_EraseRootFromParent_Done,
     /* 1678595 */   // Label 23016: @1678595
     /* 1678595 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1678681), // Rule ID 6624 //
     /* 1678600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1678611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1678614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1678617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1678620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678646 */     // MIs[0] policy
     /* 1678646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678680 */     // GIR_Coverage, 6624,
     /* 1678680 */     GIR_EraseRootFromParent_Done,
     /* 1678681 */   // Label 23017: @1678681
     /* 1678681 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1678767), // Rule ID 6625 //
     /* 1678686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1678697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1678700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1678703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1678706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678732 */     // MIs[0] policy
     /* 1678732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678766 */     // GIR_Coverage, 6625,
     /* 1678766 */     GIR_EraseRootFromParent_Done,
     /* 1678767 */   // Label 23018: @1678767
     /* 1678767 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1678853), // Rule ID 6628 //
     /* 1678772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1678783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1678786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1678789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1678792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678818 */     // MIs[0] policy
     /* 1678818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678852 */     // GIR_Coverage, 6628,
     /* 1678852 */     GIR_EraseRootFromParent_Done,
     /* 1678853 */   // Label 23019: @1678853
     /* 1678853 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1678939), // Rule ID 6629 //
     /* 1678858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1678869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1678872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1678875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1678878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678904 */     // MIs[0] policy
     /* 1678904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678938 */     // GIR_Coverage, 6629,
     /* 1678938 */     GIR_EraseRootFromParent_Done,
     /* 1678939 */   // Label 23020: @1678939
     /* 1678939 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1679025), // Rule ID 6632 //
     /* 1678944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1678955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1678958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1678961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1678964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678990 */     // MIs[0] policy
     /* 1678990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679024 */     // GIR_Coverage, 6632,
     /* 1679024 */     GIR_EraseRootFromParent_Done,
     /* 1679025 */   // Label 23021: @1679025
     /* 1679025 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1679111), // Rule ID 6633 //
     /* 1679030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679076 */     // MIs[0] policy
     /* 1679076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679110 */     // GIR_Coverage, 6633,
     /* 1679110 */     GIR_EraseRootFromParent_Done,
     /* 1679111 */   // Label 23022: @1679111
     /* 1679111 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1679197), // Rule ID 6636 //
     /* 1679116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1679136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679162 */     // MIs[0] policy
     /* 1679162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679196 */     // GIR_Coverage, 6636,
     /* 1679196 */     GIR_EraseRootFromParent_Done,
     /* 1679197 */   // Label 23023: @1679197
     /* 1679197 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1679283), // Rule ID 6637 //
     /* 1679202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1679222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679248 */     // MIs[0] policy
     /* 1679248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679282 */     // GIR_Coverage, 6637,
     /* 1679282 */     GIR_EraseRootFromParent_Done,
     /* 1679283 */   // Label 23024: @1679283
     /* 1679283 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1679369), // Rule ID 6640 //
     /* 1679288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1679308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679334 */     // MIs[0] policy
     /* 1679334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679368 */     // GIR_Coverage, 6640,
     /* 1679368 */     GIR_EraseRootFromParent_Done,
     /* 1679369 */   // Label 23025: @1679369
     /* 1679369 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1679455), // Rule ID 6641 //
     /* 1679374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1679394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679420 */     // MIs[0] policy
     /* 1679420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679454 */     // GIR_Coverage, 6641,
     /* 1679454 */     GIR_EraseRootFromParent_Done,
     /* 1679455 */   // Label 23026: @1679455
     /* 1679455 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1679541), // Rule ID 6644 //
     /* 1679460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679506 */     // MIs[0] policy
     /* 1679506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1679519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679540 */     // GIR_Coverage, 6644,
     /* 1679540 */     GIR_EraseRootFromParent_Done,
     /* 1679541 */   // Label 23027: @1679541
     /* 1679541 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1679627), // Rule ID 6645 //
     /* 1679546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679592 */     // MIs[0] policy
     /* 1679592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1679605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679626 */     // GIR_Coverage, 6645,
     /* 1679626 */     GIR_EraseRootFromParent_Done,
     /* 1679627 */   // Label 23028: @1679627
     /* 1679627 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1679713), // Rule ID 6648 //
     /* 1679632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1679643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1679646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1679649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679678 */     // MIs[0] policy
     /* 1679678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1679691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679712 */     // GIR_Coverage, 6648,
     /* 1679712 */     GIR_EraseRootFromParent_Done,
     /* 1679713 */   // Label 23029: @1679713
     /* 1679713 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1679799), // Rule ID 6649 //
     /* 1679718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1679729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1679732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1679735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679764 */     // MIs[0] policy
     /* 1679764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1679777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679798 */     // GIR_Coverage, 6649,
     /* 1679798 */     GIR_EraseRootFromParent_Done,
     /* 1679799 */   // Label 23030: @1679799
     /* 1679799 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1679885), // Rule ID 6652 //
     /* 1679804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1679815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1679818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1679821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679850 */     // MIs[0] policy
     /* 1679850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1679863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679884 */     // GIR_Coverage, 6652,
     /* 1679884 */     GIR_EraseRootFromParent_Done,
     /* 1679885 */   // Label 23031: @1679885
     /* 1679885 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1679971), // Rule ID 6653 //
     /* 1679890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1679901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1679904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1679907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679936 */     // MIs[0] policy
     /* 1679936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1679949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679970 */     // GIR_Coverage, 6653,
     /* 1679970 */     GIR_EraseRootFromParent_Done,
     /* 1679971 */   // Label 23032: @1679971
     /* 1679971 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1680057), // Rule ID 6656 //
     /* 1679976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1679987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1679990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1679993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680022 */     // MIs[0] policy
     /* 1680022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680056 */     // GIR_Coverage, 6656,
     /* 1680056 */     GIR_EraseRootFromParent_Done,
     /* 1680057 */   // Label 23033: @1680057
     /* 1680057 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1680143), // Rule ID 6657 //
     /* 1680062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680108 */     // MIs[0] policy
     /* 1680108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680142 */     // GIR_Coverage, 6657,
     /* 1680142 */     GIR_EraseRootFromParent_Done,
     /* 1680143 */   // Label 23034: @1680143
     /* 1680143 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1680229), // Rule ID 6660 //
     /* 1680148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680194 */     // MIs[0] policy
     /* 1680194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680228 */     // GIR_Coverage, 6660,
     /* 1680228 */     GIR_EraseRootFromParent_Done,
     /* 1680229 */   // Label 23035: @1680229
     /* 1680229 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1680315), // Rule ID 6661 //
     /* 1680234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680280 */     // MIs[0] policy
     /* 1680280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680314 */     // GIR_Coverage, 6661,
     /* 1680314 */     GIR_EraseRootFromParent_Done,
     /* 1680315 */   // Label 23036: @1680315
     /* 1680315 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1680401), // Rule ID 6664 //
     /* 1680320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680366 */     // MIs[0] policy
     /* 1680366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680400 */     // GIR_Coverage, 6664,
     /* 1680400 */     GIR_EraseRootFromParent_Done,
     /* 1680401 */   // Label 23037: @1680401
     /* 1680401 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1680487), // Rule ID 6665 //
     /* 1680406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680452 */     // MIs[0] policy
     /* 1680452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680486 */     // GIR_Coverage, 6665,
     /* 1680486 */     GIR_EraseRootFromParent_Done,
     /* 1680487 */   // Label 23038: @1680487
     /* 1680487 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1680573), // Rule ID 6668 //
     /* 1680492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1680503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1680506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1680509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680538 */     // MIs[0] policy
     /* 1680538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680572 */     // GIR_Coverage, 6668,
     /* 1680572 */     GIR_EraseRootFromParent_Done,
     /* 1680573 */   // Label 23039: @1680573
     /* 1680573 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1680659), // Rule ID 6669 //
     /* 1680578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1680589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1680592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1680595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680624 */     // MIs[0] policy
     /* 1680624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680658 */     // GIR_Coverage, 6669,
     /* 1680658 */     GIR_EraseRootFromParent_Done,
     /* 1680659 */   // Label 23040: @1680659
     /* 1680659 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1680745), // Rule ID 6672 //
     /* 1680664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1680675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1680678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1680681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680710 */     // MIs[0] policy
     /* 1680710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680744 */     // GIR_Coverage, 6672,
     /* 1680744 */     GIR_EraseRootFromParent_Done,
     /* 1680745 */   // Label 23041: @1680745
     /* 1680745 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1680831), // Rule ID 6673 //
     /* 1680750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1680761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1680764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1680767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680796 */     // MIs[0] policy
     /* 1680796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680830 */     // GIR_Coverage, 6673,
     /* 1680830 */     GIR_EraseRootFromParent_Done,
     /* 1680831 */   // Label 23042: @1680831
     /* 1680831 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1680917), // Rule ID 6676 //
     /* 1680836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1680847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1680850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1680853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680882 */     // MIs[0] policy
     /* 1680882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680916 */     // GIR_Coverage, 6676,
     /* 1680916 */     GIR_EraseRootFromParent_Done,
     /* 1680917 */   // Label 23043: @1680917
     /* 1680917 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1681003), // Rule ID 6677 //
     /* 1680922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1680933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1680936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1680939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680968 */     // MIs[0] policy
     /* 1680968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1680981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681002 */     // GIR_Coverage, 6677,
     /* 1681002 */     GIR_EraseRootFromParent_Done,
     /* 1681003 */   // Label 23044: @1681003
     /* 1681003 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1681089), // Rule ID 6680 //
     /* 1681008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681054 */     // MIs[0] policy
     /* 1681054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681088 */     // GIR_Coverage, 6680,
     /* 1681088 */     GIR_EraseRootFromParent_Done,
     /* 1681089 */   // Label 23045: @1681089
     /* 1681089 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1681175), // Rule ID 6681 //
     /* 1681094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681140 */     // MIs[0] policy
     /* 1681140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681174 */     // GIR_Coverage, 6681,
     /* 1681174 */     GIR_EraseRootFromParent_Done,
     /* 1681175 */   // Label 23046: @1681175
     /* 1681175 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1681261), // Rule ID 6684 //
     /* 1681180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681226 */     // MIs[0] policy
     /* 1681226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681260 */     // GIR_Coverage, 6684,
     /* 1681260 */     GIR_EraseRootFromParent_Done,
     /* 1681261 */   // Label 23047: @1681261
     /* 1681261 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1681347), // Rule ID 6685 //
     /* 1681266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681312 */     // MIs[0] policy
     /* 1681312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681346 */     // GIR_Coverage, 6685,
     /* 1681346 */     GIR_EraseRootFromParent_Done,
     /* 1681347 */   // Label 23048: @1681347
     /* 1681347 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1681433), // Rule ID 6688 //
     /* 1681352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681398 */     // MIs[0] policy
     /* 1681398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1681411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681432 */     // GIR_Coverage, 6688,
     /* 1681432 */     GIR_EraseRootFromParent_Done,
     /* 1681433 */   // Label 23049: @1681433
     /* 1681433 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1681519), // Rule ID 6689 //
     /* 1681438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681484 */     // MIs[0] policy
     /* 1681484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1681497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681518 */     // GIR_Coverage, 6689,
     /* 1681518 */     GIR_EraseRootFromParent_Done,
     /* 1681519 */   // Label 23050: @1681519
     /* 1681519 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1681605), // Rule ID 6692 //
     /* 1681524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1681535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1681538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1681541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1681547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681570 */     // MIs[0] policy
     /* 1681570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1681583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681604 */     // GIR_Coverage, 6692,
     /* 1681604 */     GIR_EraseRootFromParent_Done,
     /* 1681605 */   // Label 23051: @1681605
     /* 1681605 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1681691), // Rule ID 6693 //
     /* 1681610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1681621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1681624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1681627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1681633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681656 */     // MIs[0] policy
     /* 1681656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1681669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681690 */     // GIR_Coverage, 6693,
     /* 1681690 */     GIR_EraseRootFromParent_Done,
     /* 1681691 */   // Label 23052: @1681691
     /* 1681691 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1681777), // Rule ID 6696 //
     /* 1681696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1681707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1681710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1681713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681742 */     // MIs[0] policy
     /* 1681742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681776 */     // GIR_Coverage, 6696,
     /* 1681776 */     GIR_EraseRootFromParent_Done,
     /* 1681777 */   // Label 23053: @1681777
     /* 1681777 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1681863), // Rule ID 6697 //
     /* 1681782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1681793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1681796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1681799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681828 */     // MIs[0] policy
     /* 1681828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681862 */     // GIR_Coverage, 6697,
     /* 1681862 */     GIR_EraseRootFromParent_Done,
     /* 1681863 */   // Label 23054: @1681863
     /* 1681863 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1681949), // Rule ID 6700 //
     /* 1681868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1681879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1681882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1681885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681914 */     // MIs[0] policy
     /* 1681914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1681927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681948 */     // GIR_Coverage, 6700,
     /* 1681948 */     GIR_EraseRootFromParent_Done,
     /* 1681949 */   // Label 23055: @1681949
     /* 1681949 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1682035), // Rule ID 6701 //
     /* 1681954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1681965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1681968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1681971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682000 */     // MIs[0] policy
     /* 1682000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682034 */     // GIR_Coverage, 6701,
     /* 1682034 */     GIR_EraseRootFromParent_Done,
     /* 1682035 */   // Label 23056: @1682035
     /* 1682035 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1682121), // Rule ID 6704 //
     /* 1682040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682086 */     // MIs[0] policy
     /* 1682086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682120 */     // GIR_Coverage, 6704,
     /* 1682120 */     GIR_EraseRootFromParent_Done,
     /* 1682121 */   // Label 23057: @1682121
     /* 1682121 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1682207), // Rule ID 6705 //
     /* 1682126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682172 */     // MIs[0] policy
     /* 1682172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682206 */     // GIR_Coverage, 6705,
     /* 1682206 */     GIR_EraseRootFromParent_Done,
     /* 1682207 */   // Label 23058: @1682207
     /* 1682207 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1682293), // Rule ID 6708 //
     /* 1682212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682258 */     // MIs[0] policy
     /* 1682258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682292 */     // GIR_Coverage, 6708,
     /* 1682292 */     GIR_EraseRootFromParent_Done,
     /* 1682293 */   // Label 23059: @1682293
     /* 1682293 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1682379), // Rule ID 6709 //
     /* 1682298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682344 */     // MIs[0] policy
     /* 1682344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682378 */     // GIR_Coverage, 6709,
     /* 1682378 */     GIR_EraseRootFromParent_Done,
     /* 1682379 */   // Label 23060: @1682379
     /* 1682379 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1682465), // Rule ID 6712 //
     /* 1682384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682430 */     // MIs[0] policy
     /* 1682430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682464 */     // GIR_Coverage, 6712,
     /* 1682464 */     GIR_EraseRootFromParent_Done,
     /* 1682465 */   // Label 23061: @1682465
     /* 1682465 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1682551), // Rule ID 6713 //
     /* 1682470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682516 */     // MIs[0] policy
     /* 1682516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682550 */     // GIR_Coverage, 6713,
     /* 1682550 */     GIR_EraseRootFromParent_Done,
     /* 1682551 */   // Label 23062: @1682551
     /* 1682551 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1682637), // Rule ID 6716 //
     /* 1682556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1682567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1682570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1682573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682602 */     // MIs[0] policy
     /* 1682602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682636 */     // GIR_Coverage, 6716,
     /* 1682636 */     GIR_EraseRootFromParent_Done,
     /* 1682637 */   // Label 23063: @1682637
     /* 1682637 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1682723), // Rule ID 6717 //
     /* 1682642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1682653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1682656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1682659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682688 */     // MIs[0] policy
     /* 1682688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682722 */     // GIR_Coverage, 6717,
     /* 1682722 */     GIR_EraseRootFromParent_Done,
     /* 1682723 */   // Label 23064: @1682723
     /* 1682723 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1682809), // Rule ID 6720 //
     /* 1682728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1682739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1682742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1682745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682774 */     // MIs[0] policy
     /* 1682774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682808 */     // GIR_Coverage, 6720,
     /* 1682808 */     GIR_EraseRootFromParent_Done,
     /* 1682809 */   // Label 23065: @1682809
     /* 1682809 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1682895), // Rule ID 6721 //
     /* 1682814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1682825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1682828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1682831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682860 */     // MIs[0] policy
     /* 1682860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682894 */     // GIR_Coverage, 6721,
     /* 1682894 */     GIR_EraseRootFromParent_Done,
     /* 1682895 */   // Label 23066: @1682895
     /* 1682895 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1682981), // Rule ID 6724 //
     /* 1682900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1682911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1682914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1682917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682946 */     // MIs[0] policy
     /* 1682946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682980 */     // GIR_Coverage, 6724,
     /* 1682980 */     GIR_EraseRootFromParent_Done,
     /* 1682981 */   // Label 23067: @1682981
     /* 1682981 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1683067), // Rule ID 6725 //
     /* 1682986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1682997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683032 */     // MIs[0] policy
     /* 1683032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1683045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683066 */     // GIR_Coverage, 6725,
     /* 1683066 */     GIR_EraseRootFromParent_Done,
     /* 1683067 */   // Label 23068: @1683067
     /* 1683067 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1683153), // Rule ID 6728 //
     /* 1683072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683118 */     // MIs[0] policy
     /* 1683118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683152 */     // GIR_Coverage, 6728,
     /* 1683152 */     GIR_EraseRootFromParent_Done,
     /* 1683153 */   // Label 23069: @1683153
     /* 1683153 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1683239), // Rule ID 6729 //
     /* 1683158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683204 */     // MIs[0] policy
     /* 1683204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683238 */     // GIR_Coverage, 6729,
     /* 1683238 */     GIR_EraseRootFromParent_Done,
     /* 1683239 */   // Label 23070: @1683239
     /* 1683239 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1683325), // Rule ID 6820 //
     /* 1683244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1683264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683290 */     // MIs[0] policy
     /* 1683290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1683303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683324 */     // GIR_Coverage, 6820,
     /* 1683324 */     GIR_EraseRootFromParent_Done,
     /* 1683325 */   // Label 23071: @1683325
     /* 1683325 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1683411), // Rule ID 6821 //
     /* 1683330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1683350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683376 */     // MIs[0] policy
     /* 1683376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1683389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683410 */     // GIR_Coverage, 6821,
     /* 1683410 */     GIR_EraseRootFromParent_Done,
     /* 1683411 */   // Label 23072: @1683411
     /* 1683411 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1683497), // Rule ID 6824 //
     /* 1683416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683462 */     // MIs[0] policy
     /* 1683462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683472 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1683475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683496 */     // GIR_Coverage, 6824,
     /* 1683496 */     GIR_EraseRootFromParent_Done,
     /* 1683497 */   // Label 23073: @1683497
     /* 1683497 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1683583), // Rule ID 6825 //
     /* 1683502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683548 */     // MIs[0] policy
     /* 1683548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1683561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683582 */     // GIR_Coverage, 6825,
     /* 1683582 */     GIR_EraseRootFromParent_Done,
     /* 1683583 */   // Label 23074: @1683583
     /* 1683583 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1683669), // Rule ID 6828 //
     /* 1683588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1683599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1683602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1683605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1683608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683634 */     // MIs[0] policy
     /* 1683634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1683647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683668 */     // GIR_Coverage, 6828,
     /* 1683668 */     GIR_EraseRootFromParent_Done,
     /* 1683669 */   // Label 23075: @1683669
     /* 1683669 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1683755), // Rule ID 6829 //
     /* 1683674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1683685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1683688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1683691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1683694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683720 */     // MIs[0] policy
     /* 1683720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683730 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1683733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683754 */     // GIR_Coverage, 6829,
     /* 1683754 */     GIR_EraseRootFromParent_Done,
     /* 1683755 */   // Label 23076: @1683755
     /* 1683755 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1683841), // Rule ID 6832 //
     /* 1683760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1683771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1683774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1683777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1683780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683806 */     // MIs[0] policy
     /* 1683806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1683819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683840 */     // GIR_Coverage, 6832,
     /* 1683840 */     GIR_EraseRootFromParent_Done,
     /* 1683841 */   // Label 23077: @1683841
     /* 1683841 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1683927), // Rule ID 6833 //
     /* 1683846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1683857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1683860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1683863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1683866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683892 */     // MIs[0] policy
     /* 1683892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1683905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683926 */     // GIR_Coverage, 6833,
     /* 1683926 */     GIR_EraseRootFromParent_Done,
     /* 1683927 */   // Label 23078: @1683927
     /* 1683927 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1684013), // Rule ID 6836 //
     /* 1683932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1683943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1683946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1683949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1683952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683978 */     // MIs[0] policy
     /* 1683978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1683991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684012 */     // GIR_Coverage, 6836,
     /* 1684012 */     GIR_EraseRootFromParent_Done,
     /* 1684013 */   // Label 23079: @1684013
     /* 1684013 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1684099), // Rule ID 6837 //
     /* 1684018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684064 */     // MIs[0] policy
     /* 1684064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684098 */     // GIR_Coverage, 6837,
     /* 1684098 */     GIR_EraseRootFromParent_Done,
     /* 1684099 */   // Label 23080: @1684099
     /* 1684099 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1684185), // Rule ID 6840 //
     /* 1684104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1684124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684150 */     // MIs[0] policy
     /* 1684150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684184 */     // GIR_Coverage, 6840,
     /* 1684184 */     GIR_EraseRootFromParent_Done,
     /* 1684185 */   // Label 23081: @1684185
     /* 1684185 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1684271), // Rule ID 6841 //
     /* 1684190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1684210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684236 */     // MIs[0] policy
     /* 1684236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684270 */     // GIR_Coverage, 6841,
     /* 1684270 */     GIR_EraseRootFromParent_Done,
     /* 1684271 */   // Label 23082: @1684271
     /* 1684271 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1684357), // Rule ID 6844 //
     /* 1684276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1684296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684322 */     // MIs[0] policy
     /* 1684322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684356 */     // GIR_Coverage, 6844,
     /* 1684356 */     GIR_EraseRootFromParent_Done,
     /* 1684357 */   // Label 23083: @1684357
     /* 1684357 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1684443), // Rule ID 6845 //
     /* 1684362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1684382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684408 */     // MIs[0] policy
     /* 1684408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684442 */     // GIR_Coverage, 6845,
     /* 1684442 */     GIR_EraseRootFromParent_Done,
     /* 1684443 */   // Label 23084: @1684443
     /* 1684443 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1684529), // Rule ID 6848 //
     /* 1684448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1684468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684494 */     // MIs[0] policy
     /* 1684494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684528 */     // GIR_Coverage, 6848,
     /* 1684528 */     GIR_EraseRootFromParent_Done,
     /* 1684529 */   // Label 23085: @1684529
     /* 1684529 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1684615), // Rule ID 6849 //
     /* 1684534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1684554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684580 */     // MIs[0] policy
     /* 1684580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684614 */     // GIR_Coverage, 6849,
     /* 1684614 */     GIR_EraseRootFromParent_Done,
     /* 1684615 */   // Label 23086: @1684615
     /* 1684615 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1684701), // Rule ID 6852 //
     /* 1684620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1684631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1684634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1684637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1684640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684666 */     // MIs[0] policy
     /* 1684666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684700 */     // GIR_Coverage, 6852,
     /* 1684700 */     GIR_EraseRootFromParent_Done,
     /* 1684701 */   // Label 23087: @1684701
     /* 1684701 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1684787), // Rule ID 6853 //
     /* 1684706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1684717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1684720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1684723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1684726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684752 */     // MIs[0] policy
     /* 1684752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684786 */     // GIR_Coverage, 6853,
     /* 1684786 */     GIR_EraseRootFromParent_Done,
     /* 1684787 */   // Label 23088: @1684787
     /* 1684787 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1684873), // Rule ID 6856 //
     /* 1684792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1684803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1684806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1684809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1684812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684838 */     // MIs[0] policy
     /* 1684838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684872 */     // GIR_Coverage, 6856,
     /* 1684872 */     GIR_EraseRootFromParent_Done,
     /* 1684873 */   // Label 23089: @1684873
     /* 1684873 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1684959), // Rule ID 6857 //
     /* 1684878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1684889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1684892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1684895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1684898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684924 */     // MIs[0] policy
     /* 1684924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684958 */     // GIR_Coverage, 6857,
     /* 1684958 */     GIR_EraseRootFromParent_Done,
     /* 1684959 */   // Label 23090: @1684959
     /* 1684959 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1685045), // Rule ID 6860 //
     /* 1684964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1684975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1684978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1684981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1684984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685010 */     // MIs[0] policy
     /* 1685010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685044 */     // GIR_Coverage, 6860,
     /* 1685044 */     GIR_EraseRootFromParent_Done,
     /* 1685045 */   // Label 23091: @1685045
     /* 1685045 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1685131), // Rule ID 6861 //
     /* 1685050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685096 */     // MIs[0] policy
     /* 1685096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685130 */     // GIR_Coverage, 6861,
     /* 1685130 */     GIR_EraseRootFromParent_Done,
     /* 1685131 */   // Label 23092: @1685131
     /* 1685131 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1685217), // Rule ID 6864 //
     /* 1685136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1685156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685182 */     // MIs[0] policy
     /* 1685182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685216 */     // GIR_Coverage, 6864,
     /* 1685216 */     GIR_EraseRootFromParent_Done,
     /* 1685217 */   // Label 23093: @1685217
     /* 1685217 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1685303), // Rule ID 6865 //
     /* 1685222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1685242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685268 */     // MIs[0] policy
     /* 1685268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685302 */     // GIR_Coverage, 6865,
     /* 1685302 */     GIR_EraseRootFromParent_Done,
     /* 1685303 */   // Label 23094: @1685303
     /* 1685303 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1685389), // Rule ID 6868 //
     /* 1685308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1685328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685354 */     // MIs[0] policy
     /* 1685354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685388 */     // GIR_Coverage, 6868,
     /* 1685388 */     GIR_EraseRootFromParent_Done,
     /* 1685389 */   // Label 23095: @1685389
     /* 1685389 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1685475), // Rule ID 6869 //
     /* 1685394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1685414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685440 */     // MIs[0] policy
     /* 1685440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685474 */     // GIR_Coverage, 6869,
     /* 1685474 */     GIR_EraseRootFromParent_Done,
     /* 1685475 */   // Label 23096: @1685475
     /* 1685475 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1685561), // Rule ID 6872 //
     /* 1685480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1685491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1685494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1685497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1685500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685526 */     // MIs[0] policy
     /* 1685526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685560 */     // GIR_Coverage, 6872,
     /* 1685560 */     GIR_EraseRootFromParent_Done,
     /* 1685561 */   // Label 23097: @1685561
     /* 1685561 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1685647), // Rule ID 6873 //
     /* 1685566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1685577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1685580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1685583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1685586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685612 */     // MIs[0] policy
     /* 1685612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685646 */     // GIR_Coverage, 6873,
     /* 1685646 */     GIR_EraseRootFromParent_Done,
     /* 1685647 */   // Label 23098: @1685647
     /* 1685647 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1685733), // Rule ID 6876 //
     /* 1685652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1685663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1685666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1685669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1685672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685698 */     // MIs[0] policy
     /* 1685698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685732 */     // GIR_Coverage, 6876,
     /* 1685732 */     GIR_EraseRootFromParent_Done,
     /* 1685733 */   // Label 23099: @1685733
     /* 1685733 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1685819), // Rule ID 6877 //
     /* 1685738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1685749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1685752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1685755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1685758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685784 */     // MIs[0] policy
     /* 1685784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685818 */     // GIR_Coverage, 6877,
     /* 1685818 */     GIR_EraseRootFromParent_Done,
     /* 1685819 */   // Label 23100: @1685819
     /* 1685819 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1685905), // Rule ID 6880 //
     /* 1685824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1685835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1685838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1685841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1685844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685870 */     // MIs[0] policy
     /* 1685870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685904 */     // GIR_Coverage, 6880,
     /* 1685904 */     GIR_EraseRootFromParent_Done,
     /* 1685905 */   // Label 23101: @1685905
     /* 1685905 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1685991), // Rule ID 6881 //
     /* 1685910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1685921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1685924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1685927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1685930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685956 */     // MIs[0] policy
     /* 1685956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685990 */     // GIR_Coverage, 6881,
     /* 1685990 */     GIR_EraseRootFromParent_Done,
     /* 1685991 */   // Label 23102: @1685991
     /* 1685991 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1686077), // Rule ID 6884 //
     /* 1685996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686042 */     // MIs[0] policy
     /* 1686042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686076 */     // GIR_Coverage, 6884,
     /* 1686076 */     GIR_EraseRootFromParent_Done,
     /* 1686077 */   // Label 23103: @1686077
     /* 1686077 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1686163), // Rule ID 6885 //
     /* 1686082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686128 */     // MIs[0] policy
     /* 1686128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686162 */     // GIR_Coverage, 6885,
     /* 1686162 */     GIR_EraseRootFromParent_Done,
     /* 1686163 */   // Label 23104: @1686163
     /* 1686163 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1686249), // Rule ID 6888 //
     /* 1686168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1686188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686214 */     // MIs[0] policy
     /* 1686214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686248 */     // GIR_Coverage, 6888,
     /* 1686248 */     GIR_EraseRootFromParent_Done,
     /* 1686249 */   // Label 23105: @1686249
     /* 1686249 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1686335), // Rule ID 6889 //
     /* 1686254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1686274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686300 */     // MIs[0] policy
     /* 1686300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686334 */     // GIR_Coverage, 6889,
     /* 1686334 */     GIR_EraseRootFromParent_Done,
     /* 1686335 */   // Label 23106: @1686335
     /* 1686335 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1686421), // Rule ID 6892 //
     /* 1686340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686386 */     // MIs[0] policy
     /* 1686386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686420 */     // GIR_Coverage, 6892,
     /* 1686420 */     GIR_EraseRootFromParent_Done,
     /* 1686421 */   // Label 23107: @1686421
     /* 1686421 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1686507), // Rule ID 6893 //
     /* 1686426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686472 */     // MIs[0] policy
     /* 1686472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686506 */     // GIR_Coverage, 6893,
     /* 1686506 */     GIR_EraseRootFromParent_Done,
     /* 1686507 */   // Label 23108: @1686507
     /* 1686507 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1686593), // Rule ID 6896 //
     /* 1686512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1686523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1686526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1686529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1686532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686558 */     // MIs[0] policy
     /* 1686558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686592 */     // GIR_Coverage, 6896,
     /* 1686592 */     GIR_EraseRootFromParent_Done,
     /* 1686593 */   // Label 23109: @1686593
     /* 1686593 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1686679), // Rule ID 6897 //
     /* 1686598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1686609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1686612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1686615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1686618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686644 */     // MIs[0] policy
     /* 1686644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686678 */     // GIR_Coverage, 6897,
     /* 1686678 */     GIR_EraseRootFromParent_Done,
     /* 1686679 */   // Label 23110: @1686679
     /* 1686679 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1686765), // Rule ID 6900 //
     /* 1686684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1686695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1686698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1686701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1686704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686730 */     // MIs[0] policy
     /* 1686730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686764 */     // GIR_Coverage, 6900,
     /* 1686764 */     GIR_EraseRootFromParent_Done,
     /* 1686765 */   // Label 23111: @1686765
     /* 1686765 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1686851), // Rule ID 6901 //
     /* 1686770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1686781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1686784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1686787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1686790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686816 */     // MIs[0] policy
     /* 1686816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686850 */     // GIR_Coverage, 6901,
     /* 1686850 */     GIR_EraseRootFromParent_Done,
     /* 1686851 */   // Label 23112: @1686851
     /* 1686851 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1686937), // Rule ID 6904 //
     /* 1686856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1686876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686902 */     // MIs[0] policy
     /* 1686902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686936 */     // GIR_Coverage, 6904,
     /* 1686936 */     GIR_EraseRootFromParent_Done,
     /* 1686937 */   // Label 23113: @1686937
     /* 1686937 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1687023), // Rule ID 6905 //
     /* 1686942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1686962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686988 */     // MIs[0] policy
     /* 1686988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1687001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687022 */     // GIR_Coverage, 6905,
     /* 1687022 */     GIR_EraseRootFromParent_Done,
     /* 1687023 */   // Label 23114: @1687023
     /* 1687023 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1687109), // Rule ID 6908 //
     /* 1687028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687074 */     // MIs[0] policy
     /* 1687074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1687087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687108 */     // GIR_Coverage, 6908,
     /* 1687108 */     GIR_EraseRootFromParent_Done,
     /* 1687109 */   // Label 23115: @1687109
     /* 1687109 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1687195), // Rule ID 6909 //
     /* 1687114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687160 */     // MIs[0] policy
     /* 1687160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1687173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687194 */     // GIR_Coverage, 6909,
     /* 1687194 */     GIR_EraseRootFromParent_Done,
     /* 1687195 */   // Label 23116: @1687195
     /* 1687195 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1687281), // Rule ID 6912 //
     /* 1687200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687246 */     // MIs[0] policy
     /* 1687246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687280 */     // GIR_Coverage, 6912,
     /* 1687280 */     GIR_EraseRootFromParent_Done,
     /* 1687281 */   // Label 23117: @1687281
     /* 1687281 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1687367), // Rule ID 6913 //
     /* 1687286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687332 */     // MIs[0] policy
     /* 1687332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687366 */     // GIR_Coverage, 6913,
     /* 1687366 */     GIR_EraseRootFromParent_Done,
     /* 1687367 */   // Label 23118: @1687367
     /* 1687367 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1687453), // Rule ID 6916 //
     /* 1687372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687418 */     // MIs[0] policy
     /* 1687418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687452 */     // GIR_Coverage, 6916,
     /* 1687452 */     GIR_EraseRootFromParent_Done,
     /* 1687453 */   // Label 23119: @1687453
     /* 1687453 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1687539), // Rule ID 6917 //
     /* 1687458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687504 */     // MIs[0] policy
     /* 1687504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687538 */     // GIR_Coverage, 6917,
     /* 1687538 */     GIR_EraseRootFromParent_Done,
     /* 1687539 */   // Label 23120: @1687539
     /* 1687539 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1687625), // Rule ID 6920 //
     /* 1687544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1687555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1687558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1687561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687590 */     // MIs[0] policy
     /* 1687590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687624 */     // GIR_Coverage, 6920,
     /* 1687624 */     GIR_EraseRootFromParent_Done,
     /* 1687625 */   // Label 23121: @1687625
     /* 1687625 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1687711), // Rule ID 6921 //
     /* 1687630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1687641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1687644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1687647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687676 */     // MIs[0] policy
     /* 1687676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687710 */     // GIR_Coverage, 6921,
     /* 1687710 */     GIR_EraseRootFromParent_Done,
     /* 1687711 */   // Label 23122: @1687711
     /* 1687711 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1687797), // Rule ID 6924 //
     /* 1687716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687762 */     // MIs[0] policy
     /* 1687762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687796 */     // GIR_Coverage, 6924,
     /* 1687796 */     GIR_EraseRootFromParent_Done,
     /* 1687797 */   // Label 23123: @1687797
     /* 1687797 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1687883), // Rule ID 6925 //
     /* 1687802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687848 */     // MIs[0] policy
     /* 1687848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687882 */     // GIR_Coverage, 6925,
     /* 1687882 */     GIR_EraseRootFromParent_Done,
     /* 1687883 */   // Label 23124: @1687883
     /* 1687883 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1687969), // Rule ID 6928 //
     /* 1687888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687934 */     // MIs[0] policy
     /* 1687934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687968 */     // GIR_Coverage, 6928,
     /* 1687968 */     GIR_EraseRootFromParent_Done,
     /* 1687969 */   // Label 23125: @1687969
     /* 1687969 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1688055), // Rule ID 6929 //
     /* 1687974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688020 */     // MIs[0] policy
     /* 1688020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1688033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688054 */     // GIR_Coverage, 6929,
     /* 1688054 */     GIR_EraseRootFromParent_Done,
     /* 1688055 */   // Label 23126: @1688055
     /* 1688055 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1688141), // Rule ID 6932 //
     /* 1688060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688106 */     // MIs[0] policy
     /* 1688106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688140 */     // GIR_Coverage, 6932,
     /* 1688140 */     GIR_EraseRootFromParent_Done,
     /* 1688141 */   // Label 23127: @1688141
     /* 1688141 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1688227), // Rule ID 6933 //
     /* 1688146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688192 */     // MIs[0] policy
     /* 1688192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688226 */     // GIR_Coverage, 6933,
     /* 1688226 */     GIR_EraseRootFromParent_Done,
     /* 1688227 */   // Label 23128: @1688227
     /* 1688227 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1688313), // Rule ID 6936 //
     /* 1688232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688278 */     // MIs[0] policy
     /* 1688278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688312 */     // GIR_Coverage, 6936,
     /* 1688312 */     GIR_EraseRootFromParent_Done,
     /* 1688313 */   // Label 23129: @1688313
     /* 1688313 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1688399), // Rule ID 6937 //
     /* 1688318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688364 */     // MIs[0] policy
     /* 1688364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688398 */     // GIR_Coverage, 6937,
     /* 1688398 */     GIR_EraseRootFromParent_Done,
     /* 1688399 */   // Label 23130: @1688399
     /* 1688399 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1688485), // Rule ID 6940 //
     /* 1688404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688450 */     // MIs[0] policy
     /* 1688450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688484 */     // GIR_Coverage, 6940,
     /* 1688484 */     GIR_EraseRootFromParent_Done,
     /* 1688485 */   // Label 23131: @1688485
     /* 1688485 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1688571), // Rule ID 6941 //
     /* 1688490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688536 */     // MIs[0] policy
     /* 1688536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688570 */     // GIR_Coverage, 6941,
     /* 1688570 */     GIR_EraseRootFromParent_Done,
     /* 1688571 */   // Label 23132: @1688571
     /* 1688571 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1688657), // Rule ID 6944 //
     /* 1688576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688622 */     // MIs[0] policy
     /* 1688622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688656 */     // GIR_Coverage, 6944,
     /* 1688656 */     GIR_EraseRootFromParent_Done,
     /* 1688657 */   // Label 23133: @1688657
     /* 1688657 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1688743), // Rule ID 6945 //
     /* 1688662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688708 */     // MIs[0] policy
     /* 1688708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688742 */     // GIR_Coverage, 6945,
     /* 1688742 */     GIR_EraseRootFromParent_Done,
     /* 1688743 */   // Label 23134: @1688743
     /* 1688743 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1688829), // Rule ID 6948 //
     /* 1688748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688794 */     // MIs[0] policy
     /* 1688794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1688807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688828 */     // GIR_Coverage, 6948,
     /* 1688828 */     GIR_EraseRootFromParent_Done,
     /* 1688829 */   // Label 23135: @1688829
     /* 1688829 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1688915), // Rule ID 6949 //
     /* 1688834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688880 */     // MIs[0] policy
     /* 1688880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1688893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688914 */     // GIR_Coverage, 6949,
     /* 1688914 */     GIR_EraseRootFromParent_Done,
     /* 1688915 */   // Label 23136: @1688915
     /* 1688915 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1689001), // Rule ID 6952 //
     /* 1688920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1688931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1688934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1688937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1688943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688966 */     // MIs[0] policy
     /* 1688966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1688979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689000 */     // GIR_Coverage, 6952,
     /* 1689000 */     GIR_EraseRootFromParent_Done,
     /* 1689001 */   // Label 23137: @1689001
     /* 1689001 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1689087), // Rule ID 6953 //
     /* 1689006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689052 */     // MIs[0] policy
     /* 1689052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689086 */     // GIR_Coverage, 6953,
     /* 1689086 */     GIR_EraseRootFromParent_Done,
     /* 1689087 */   // Label 23138: @1689087
     /* 1689087 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1689173), // Rule ID 6956 //
     /* 1689092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689138 */     // MIs[0] policy
     /* 1689138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689172 */     // GIR_Coverage, 6956,
     /* 1689172 */     GIR_EraseRootFromParent_Done,
     /* 1689173 */   // Label 23139: @1689173
     /* 1689173 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1689259), // Rule ID 6957 //
     /* 1689178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689224 */     // MIs[0] policy
     /* 1689224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689258 */     // GIR_Coverage, 6957,
     /* 1689258 */     GIR_EraseRootFromParent_Done,
     /* 1689259 */   // Label 23140: @1689259
     /* 1689259 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1689345), // Rule ID 6960 //
     /* 1689264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689310 */     // MIs[0] policy
     /* 1689310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689344 */     // GIR_Coverage, 6960,
     /* 1689344 */     GIR_EraseRootFromParent_Done,
     /* 1689345 */   // Label 23141: @1689345
     /* 1689345 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1689431), // Rule ID 6961 //
     /* 1689350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689396 */     // MIs[0] policy
     /* 1689396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689430 */     // GIR_Coverage, 6961,
     /* 1689430 */     GIR_EraseRootFromParent_Done,
     /* 1689431 */   // Label 23142: @1689431
     /* 1689431 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1689517), // Rule ID 6964 //
     /* 1689436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689482 */     // MIs[0] policy
     /* 1689482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689516 */     // GIR_Coverage, 6964,
     /* 1689516 */     GIR_EraseRootFromParent_Done,
     /* 1689517 */   // Label 23143: @1689517
     /* 1689517 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1689603), // Rule ID 6965 //
     /* 1689522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689568 */     // MIs[0] policy
     /* 1689568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689602 */     // GIR_Coverage, 6965,
     /* 1689602 */     GIR_EraseRootFromParent_Done,
     /* 1689603 */   // Label 23144: @1689603
     /* 1689603 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1689689), // Rule ID 6968 //
     /* 1689608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689654 */     // MIs[0] policy
     /* 1689654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689688 */     // GIR_Coverage, 6968,
     /* 1689688 */     GIR_EraseRootFromParent_Done,
     /* 1689689 */   // Label 23145: @1689689
     /* 1689689 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1689775), // Rule ID 6969 //
     /* 1689694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689740 */     // MIs[0] policy
     /* 1689740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689774 */     // GIR_Coverage, 6969,
     /* 1689774 */     GIR_EraseRootFromParent_Done,
     /* 1689775 */   // Label 23146: @1689775
     /* 1689775 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1689861), // Rule ID 6972 //
     /* 1689780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689826 */     // MIs[0] policy
     /* 1689826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689860 */     // GIR_Coverage, 6972,
     /* 1689860 */     GIR_EraseRootFromParent_Done,
     /* 1689861 */   // Label 23147: @1689861
     /* 1689861 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1689947), // Rule ID 6973 //
     /* 1689866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689912 */     // MIs[0] policy
     /* 1689912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689946 */     // GIR_Coverage, 6973,
     /* 1689946 */     GIR_EraseRootFromParent_Done,
     /* 1689947 */   // Label 23148: @1689947
     /* 1689947 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1690033), // Rule ID 6976 //
     /* 1689952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1689963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1689966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689998 */     // MIs[0] policy
     /* 1689998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690032 */     // GIR_Coverage, 6976,
     /* 1690032 */     GIR_EraseRootFromParent_Done,
     /* 1690033 */   // Label 23149: @1690033
     /* 1690033 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1690119), // Rule ID 6977 //
     /* 1690038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690084 */     // MIs[0] policy
     /* 1690084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690118 */     // GIR_Coverage, 6977,
     /* 1690118 */     GIR_EraseRootFromParent_Done,
     /* 1690119 */   // Label 23150: @1690119
     /* 1690119 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1690205), // Rule ID 6980 //
     /* 1690124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690170 */     // MIs[0] policy
     /* 1690170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690204 */     // GIR_Coverage, 6980,
     /* 1690204 */     GIR_EraseRootFromParent_Done,
     /* 1690205 */   // Label 23151: @1690205
     /* 1690205 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1690291), // Rule ID 6981 //
     /* 1690210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690256 */     // MIs[0] policy
     /* 1690256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690290 */     // GIR_Coverage, 6981,
     /* 1690290 */     GIR_EraseRootFromParent_Done,
     /* 1690291 */   // Label 23152: @1690291
     /* 1690291 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1690377), // Rule ID 6984 //
     /* 1690296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690342 */     // MIs[0] policy
     /* 1690342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690376 */     // GIR_Coverage, 6984,
     /* 1690376 */     GIR_EraseRootFromParent_Done,
     /* 1690377 */   // Label 23153: @1690377
     /* 1690377 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1690463), // Rule ID 6985 //
     /* 1690382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690428 */     // MIs[0] policy
     /* 1690428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690462 */     // GIR_Coverage, 6985,
     /* 1690462 */     GIR_EraseRootFromParent_Done,
     /* 1690463 */   // Label 23154: @1690463
     /* 1690463 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1690549), // Rule ID 6988 //
     /* 1690468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690514 */     // MIs[0] policy
     /* 1690514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690548 */     // GIR_Coverage, 6988,
     /* 1690548 */     GIR_EraseRootFromParent_Done,
     /* 1690549 */   // Label 23155: @1690549
     /* 1690549 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1690635), // Rule ID 6989 //
     /* 1690554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690600 */     // MIs[0] policy
     /* 1690600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690610 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690634 */     // GIR_Coverage, 6989,
     /* 1690634 */     GIR_EraseRootFromParent_Done,
     /* 1690635 */   // Label 23156: @1690635
     /* 1690635 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1690721), // Rule ID 6992 //
     /* 1690640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690686 */     // MIs[0] policy
     /* 1690686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690720 */     // GIR_Coverage, 6992,
     /* 1690720 */     GIR_EraseRootFromParent_Done,
     /* 1690721 */   // Label 23157: @1690721
     /* 1690721 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1690807), // Rule ID 6993 //
     /* 1690726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690772 */     // MIs[0] policy
     /* 1690772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690806 */     // GIR_Coverage, 6993,
     /* 1690806 */     GIR_EraseRootFromParent_Done,
     /* 1690807 */   // Label 23158: @1690807
     /* 1690807 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1690893), // Rule ID 7084 //
     /* 1690812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1690829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1690832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690858 */     // MIs[0] policy
     /* 1690858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1690871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690892 */     // GIR_Coverage, 7084,
     /* 1690892 */     GIR_EraseRootFromParent_Done,
     /* 1690893 */   // Label 23159: @1690893
     /* 1690893 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1690979), // Rule ID 7085 //
     /* 1690898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1690915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1690918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690944 */     // MIs[0] policy
     /* 1690944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690954 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1690957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690978 */     // GIR_Coverage, 7085,
     /* 1690978 */     GIR_EraseRootFromParent_Done,
     /* 1690979 */   // Label 23160: @1690979
     /* 1690979 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1691065), // Rule ID 7088 //
     /* 1690984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1690995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1690998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691030 */     // MIs[0] policy
     /* 1691030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691064 */     // GIR_Coverage, 7088,
     /* 1691064 */     GIR_EraseRootFromParent_Done,
     /* 1691065 */   // Label 23161: @1691065
     /* 1691065 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1691151), // Rule ID 7089 //
     /* 1691070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691116 */     // MIs[0] policy
     /* 1691116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691150 */     // GIR_Coverage, 7089,
     /* 1691150 */     GIR_EraseRootFromParent_Done,
     /* 1691151 */   // Label 23162: @1691151
     /* 1691151 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1691237), // Rule ID 7092 //
     /* 1691156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691202 */     // MIs[0] policy
     /* 1691202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691236 */     // GIR_Coverage, 7092,
     /* 1691236 */     GIR_EraseRootFromParent_Done,
     /* 1691237 */   // Label 23163: @1691237
     /* 1691237 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1691323), // Rule ID 7093 //
     /* 1691242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691288 */     // MIs[0] policy
     /* 1691288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691322 */     // GIR_Coverage, 7093,
     /* 1691322 */     GIR_EraseRootFromParent_Done,
     /* 1691323 */   // Label 23164: @1691323
     /* 1691323 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1691409), // Rule ID 7096 //
     /* 1691328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691374 */     // MIs[0] policy
     /* 1691374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691408 */     // GIR_Coverage, 7096,
     /* 1691408 */     GIR_EraseRootFromParent_Done,
     /* 1691409 */   // Label 23165: @1691409
     /* 1691409 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1691495), // Rule ID 7097 //
     /* 1691414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691460 */     // MIs[0] policy
     /* 1691460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691494 */     // GIR_Coverage, 7097,
     /* 1691494 */     GIR_EraseRootFromParent_Done,
     /* 1691495 */   // Label 23166: @1691495
     /* 1691495 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1691581), // Rule ID 7100 //
     /* 1691500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1691520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691546 */     // MIs[0] policy
     /* 1691546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691580 */     // GIR_Coverage, 7100,
     /* 1691580 */     GIR_EraseRootFromParent_Done,
     /* 1691581 */   // Label 23167: @1691581
     /* 1691581 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1691667), // Rule ID 7101 //
     /* 1691586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1691606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691632 */     // MIs[0] policy
     /* 1691632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691666 */     // GIR_Coverage, 7101,
     /* 1691666 */     GIR_EraseRootFromParent_Done,
     /* 1691667 */   // Label 23168: @1691667
     /* 1691667 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1691753), // Rule ID 7104 //
     /* 1691672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1691683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1691686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1691692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691718 */     // MIs[0] policy
     /* 1691718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691752 */     // GIR_Coverage, 7104,
     /* 1691752 */     GIR_EraseRootFromParent_Done,
     /* 1691753 */   // Label 23169: @1691753
     /* 1691753 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1691839), // Rule ID 7105 //
     /* 1691758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1691769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1691772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1691778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691804 */     // MIs[0] policy
     /* 1691804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691838 */     // GIR_Coverage, 7105,
     /* 1691838 */     GIR_EraseRootFromParent_Done,
     /* 1691839 */   // Label 23170: @1691839
     /* 1691839 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1691925), // Rule ID 7108 //
     /* 1691844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1691855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1691861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691890 */     // MIs[0] policy
     /* 1691890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1691903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691924 */     // GIR_Coverage, 7108,
     /* 1691924 */     GIR_EraseRootFromParent_Done,
     /* 1691925 */   // Label 23171: @1691925
     /* 1691925 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1692011), // Rule ID 7109 //
     /* 1691930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1691941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1691947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691976 */     // MIs[0] policy
     /* 1691976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1691989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692010 */     // GIR_Coverage, 7109,
     /* 1692010 */     GIR_EraseRootFromParent_Done,
     /* 1692011 */   // Label 23172: @1692011
     /* 1692011 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1692097), // Rule ID 7112 //
     /* 1692016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692062 */     // MIs[0] policy
     /* 1692062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692096 */     // GIR_Coverage, 7112,
     /* 1692096 */     GIR_EraseRootFromParent_Done,
     /* 1692097 */   // Label 23173: @1692097
     /* 1692097 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1692183), // Rule ID 7113 //
     /* 1692102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692148 */     // MIs[0] policy
     /* 1692148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692182 */     // GIR_Coverage, 7113,
     /* 1692182 */     GIR_EraseRootFromParent_Done,
     /* 1692183 */   // Label 23174: @1692183
     /* 1692183 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1692269), // Rule ID 7116 //
     /* 1692188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692234 */     // MIs[0] policy
     /* 1692234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692268 */     // GIR_Coverage, 7116,
     /* 1692268 */     GIR_EraseRootFromParent_Done,
     /* 1692269 */   // Label 23175: @1692269
     /* 1692269 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1692355), // Rule ID 7117 //
     /* 1692274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692320 */     // MIs[0] policy
     /* 1692320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692354 */     // GIR_Coverage, 7117,
     /* 1692354 */     GIR_EraseRootFromParent_Done,
     /* 1692355 */   // Label 23176: @1692355
     /* 1692355 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1692441), // Rule ID 7120 //
     /* 1692360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1692380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692406 */     // MIs[0] policy
     /* 1692406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692440 */     // GIR_Coverage, 7120,
     /* 1692440 */     GIR_EraseRootFromParent_Done,
     /* 1692441 */   // Label 23177: @1692441
     /* 1692441 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1692527), // Rule ID 7121 //
     /* 1692446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1692466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692492 */     // MIs[0] policy
     /* 1692492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692526 */     // GIR_Coverage, 7121,
     /* 1692526 */     GIR_EraseRootFromParent_Done,
     /* 1692527 */   // Label 23178: @1692527
     /* 1692527 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1692613), // Rule ID 7124 //
     /* 1692532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1692549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692578 */     // MIs[0] policy
     /* 1692578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1692591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692612 */     // GIR_Coverage, 7124,
     /* 1692612 */     GIR_EraseRootFromParent_Done,
     /* 1692613 */   // Label 23179: @1692613
     /* 1692613 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1692699), // Rule ID 7125 //
     /* 1692618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1692635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692664 */     // MIs[0] policy
     /* 1692664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1692677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692698 */     // GIR_Coverage, 7125,
     /* 1692698 */     GIR_EraseRootFromParent_Done,
     /* 1692699 */   // Label 23180: @1692699
     /* 1692699 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1692785), // Rule ID 7128 //
     /* 1692704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1692721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692750 */     // MIs[0] policy
     /* 1692750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1692763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692784 */     // GIR_Coverage, 7128,
     /* 1692784 */     GIR_EraseRootFromParent_Done,
     /* 1692785 */   // Label 23181: @1692785
     /* 1692785 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1692871), // Rule ID 7129 //
     /* 1692790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1692807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692836 */     // MIs[0] policy
     /* 1692836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1692849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692870 */     // GIR_Coverage, 7129,
     /* 1692870 */     GIR_EraseRootFromParent_Done,
     /* 1692871 */   // Label 23182: @1692871
     /* 1692871 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1692957), // Rule ID 7132 //
     /* 1692876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1692887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1692890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1692893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1692896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1692899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692922 */     // MIs[0] policy
     /* 1692922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1692935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692956 */     // GIR_Coverage, 7132,
     /* 1692956 */     GIR_EraseRootFromParent_Done,
     /* 1692957 */   // Label 23183: @1692957
     /* 1692957 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1693043), // Rule ID 7133 //
     /* 1692962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1692973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1692976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1692979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1692982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1692985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693008 */     // MIs[0] policy
     /* 1693008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693042 */     // GIR_Coverage, 7133,
     /* 1693042 */     GIR_EraseRootFromParent_Done,
     /* 1693043 */   // Label 23184: @1693043
     /* 1693043 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1693129), // Rule ID 7136 //
     /* 1693048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693094 */     // MIs[0] policy
     /* 1693094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693128 */     // GIR_Coverage, 7136,
     /* 1693128 */     GIR_EraseRootFromParent_Done,
     /* 1693129 */   // Label 23185: @1693129
     /* 1693129 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1693215), // Rule ID 7137 //
     /* 1693134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693180 */     // MIs[0] policy
     /* 1693180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693214 */     // GIR_Coverage, 7137,
     /* 1693214 */     GIR_EraseRootFromParent_Done,
     /* 1693215 */   // Label 23186: @1693215
     /* 1693215 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1693301), // Rule ID 7140 //
     /* 1693220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693266 */     // MIs[0] policy
     /* 1693266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693300 */     // GIR_Coverage, 7140,
     /* 1693300 */     GIR_EraseRootFromParent_Done,
     /* 1693301 */   // Label 23187: @1693301
     /* 1693301 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1693387), // Rule ID 7141 //
     /* 1693306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693352 */     // MIs[0] policy
     /* 1693352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693386 */     // GIR_Coverage, 7141,
     /* 1693386 */     GIR_EraseRootFromParent_Done,
     /* 1693387 */   // Label 23188: @1693387
     /* 1693387 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1693473), // Rule ID 7144 //
     /* 1693392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1693412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693438 */     // MIs[0] policy
     /* 1693438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693472 */     // GIR_Coverage, 7144,
     /* 1693472 */     GIR_EraseRootFromParent_Done,
     /* 1693473 */   // Label 23189: @1693473
     /* 1693473 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1693559), // Rule ID 7145 //
     /* 1693478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1693498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693524 */     // MIs[0] policy
     /* 1693524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693558 */     // GIR_Coverage, 7145,
     /* 1693558 */     GIR_EraseRootFromParent_Done,
     /* 1693559 */   // Label 23190: @1693559
     /* 1693559 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1693645), // Rule ID 7148 //
     /* 1693564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693610 */     // MIs[0] policy
     /* 1693610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693644 */     // GIR_Coverage, 7148,
     /* 1693644 */     GIR_EraseRootFromParent_Done,
     /* 1693645 */   // Label 23191: @1693645
     /* 1693645 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1693731), // Rule ID 7149 //
     /* 1693650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693696 */     // MIs[0] policy
     /* 1693696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693730 */     // GIR_Coverage, 7149,
     /* 1693730 */     GIR_EraseRootFromParent_Done,
     /* 1693731 */   // Label 23192: @1693731
     /* 1693731 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1693817), // Rule ID 7152 //
     /* 1693736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1693747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1693750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1693756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693782 */     // MIs[0] policy
     /* 1693782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693816 */     // GIR_Coverage, 7152,
     /* 1693816 */     GIR_EraseRootFromParent_Done,
     /* 1693817 */   // Label 23193: @1693817
     /* 1693817 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1693903), // Rule ID 7153 //
     /* 1693822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1693833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1693836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1693842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693868 */     // MIs[0] policy
     /* 1693868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693902 */     // GIR_Coverage, 7153,
     /* 1693902 */     GIR_EraseRootFromParent_Done,
     /* 1693903 */   // Label 23194: @1693903
     /* 1693903 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1693989), // Rule ID 7156 //
     /* 1693908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1693919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1693922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1693928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693954 */     // MIs[0] policy
     /* 1693954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693988 */     // GIR_Coverage, 7156,
     /* 1693988 */     GIR_EraseRootFromParent_Done,
     /* 1693989 */   // Label 23195: @1693989
     /* 1693989 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1694075), // Rule ID 7157 //
     /* 1693994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1694014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694040 */     // MIs[0] policy
     /* 1694040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694074 */     // GIR_Coverage, 7157,
     /* 1694074 */     GIR_EraseRootFromParent_Done,
     /* 1694075 */   // Label 23196: @1694075
     /* 1694075 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1694161), // Rule ID 7160 //
     /* 1694080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1694100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694126 */     // MIs[0] policy
     /* 1694126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694160 */     // GIR_Coverage, 7160,
     /* 1694160 */     GIR_EraseRootFromParent_Done,
     /* 1694161 */   // Label 23197: @1694161
     /* 1694161 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1694247), // Rule ID 7161 //
     /* 1694166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1694186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694212 */     // MIs[0] policy
     /* 1694212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694246 */     // GIR_Coverage, 7161,
     /* 1694246 */     GIR_EraseRootFromParent_Done,
     /* 1694247 */   // Label 23198: @1694247
     /* 1694247 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1694333), // Rule ID 7164 //
     /* 1694252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1694272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694298 */     // MIs[0] policy
     /* 1694298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694332 */     // GIR_Coverage, 7164,
     /* 1694332 */     GIR_EraseRootFromParent_Done,
     /* 1694333 */   // Label 23199: @1694333
     /* 1694333 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1694419), // Rule ID 7165 //
     /* 1694338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1694358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694384 */     // MIs[0] policy
     /* 1694384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694418 */     // GIR_Coverage, 7165,
     /* 1694418 */     GIR_EraseRootFromParent_Done,
     /* 1694419 */   // Label 23200: @1694419
     /* 1694419 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1694505), // Rule ID 7168 //
     /* 1694424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1694435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1694438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1694444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694470 */     // MIs[0] policy
     /* 1694470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694504 */     // GIR_Coverage, 7168,
     /* 1694504 */     GIR_EraseRootFromParent_Done,
     /* 1694505 */   // Label 23201: @1694505
     /* 1694505 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1694591), // Rule ID 7169 //
     /* 1694510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1694521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1694524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1694530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694556 */     // MIs[0] policy
     /* 1694556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694590 */     // GIR_Coverage, 7169,
     /* 1694590 */     GIR_EraseRootFromParent_Done,
     /* 1694591 */   // Label 23202: @1694591
     /* 1694591 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1694677), // Rule ID 7172 //
     /* 1694596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1694613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694642 */     // MIs[0] policy
     /* 1694642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1694655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694676 */     // GIR_Coverage, 7172,
     /* 1694676 */     GIR_EraseRootFromParent_Done,
     /* 1694677 */   // Label 23203: @1694677
     /* 1694677 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1694763), // Rule ID 7173 //
     /* 1694682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1694699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694728 */     // MIs[0] policy
     /* 1694728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1694741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694762 */     // GIR_Coverage, 7173,
     /* 1694762 */     GIR_EraseRootFromParent_Done,
     /* 1694763 */   // Label 23204: @1694763
     /* 1694763 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1694849), // Rule ID 7176 //
     /* 1694768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1694785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694814 */     // MIs[0] policy
     /* 1694814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1694827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694848 */     // GIR_Coverage, 7176,
     /* 1694848 */     GIR_EraseRootFromParent_Done,
     /* 1694849 */   // Label 23205: @1694849
     /* 1694849 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1694935), // Rule ID 7177 //
     /* 1694854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1694871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694900 */     // MIs[0] policy
     /* 1694900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1694913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694934 */     // GIR_Coverage, 7177,
     /* 1694934 */     GIR_EraseRootFromParent_Done,
     /* 1694935 */   // Label 23206: @1694935
     /* 1694935 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1695021), // Rule ID 7180 //
     /* 1694940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1694951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1694954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1694957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694986 */     // MIs[0] policy
     /* 1694986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1694999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695020 */     // GIR_Coverage, 7180,
     /* 1695020 */     GIR_EraseRootFromParent_Done,
     /* 1695021 */   // Label 23207: @1695021
     /* 1695021 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1695107), // Rule ID 7181 //
     /* 1695026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695072 */     // MIs[0] policy
     /* 1695072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695106 */     // GIR_Coverage, 7181,
     /* 1695106 */     GIR_EraseRootFromParent_Done,
     /* 1695107 */   // Label 23208: @1695107
     /* 1695107 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1695193), // Rule ID 7184 //
     /* 1695112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695158 */     // MIs[0] policy
     /* 1695158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695192 */     // GIR_Coverage, 7184,
     /* 1695192 */     GIR_EraseRootFromParent_Done,
     /* 1695193 */   // Label 23209: @1695193
     /* 1695193 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1695279), // Rule ID 7185 //
     /* 1695198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695244 */     // MIs[0] policy
     /* 1695244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695278 */     // GIR_Coverage, 7185,
     /* 1695278 */     GIR_EraseRootFromParent_Done,
     /* 1695279 */   // Label 23210: @1695279
     /* 1695279 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1695365), // Rule ID 7188 //
     /* 1695284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695330 */     // MIs[0] policy
     /* 1695330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695364 */     // GIR_Coverage, 7188,
     /* 1695364 */     GIR_EraseRootFromParent_Done,
     /* 1695365 */   // Label 23211: @1695365
     /* 1695365 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1695451), // Rule ID 7189 //
     /* 1695370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695416 */     // MIs[0] policy
     /* 1695416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695450 */     // GIR_Coverage, 7189,
     /* 1695450 */     GIR_EraseRootFromParent_Done,
     /* 1695451 */   // Label 23212: @1695451
     /* 1695451 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1695537), // Rule ID 7192 //
     /* 1695456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695502 */     // MIs[0] policy
     /* 1695502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695536 */     // GIR_Coverage, 7192,
     /* 1695536 */     GIR_EraseRootFromParent_Done,
     /* 1695537 */   // Label 23213: @1695537
     /* 1695537 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1695623), // Rule ID 7193 //
     /* 1695542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695588 */     // MIs[0] policy
     /* 1695588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695622 */     // GIR_Coverage, 7193,
     /* 1695622 */     GIR_EraseRootFromParent_Done,
     /* 1695623 */   // Label 23214: @1695623
     /* 1695623 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1695709), // Rule ID 7196 //
     /* 1695628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1695645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695674 */     // MIs[0] policy
     /* 1695674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1695687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695708 */     // GIR_Coverage, 7196,
     /* 1695708 */     GIR_EraseRootFromParent_Done,
     /* 1695709 */   // Label 23215: @1695709
     /* 1695709 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1695795), // Rule ID 7197 //
     /* 1695714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1695731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695760 */     // MIs[0] policy
     /* 1695760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1695773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695794 */     // GIR_Coverage, 7197,
     /* 1695794 */     GIR_EraseRootFromParent_Done,
     /* 1695795 */   // Label 23216: @1695795
     /* 1695795 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1695881), // Rule ID 7200 //
     /* 1695800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695846 */     // MIs[0] policy
     /* 1695846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1695859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695880 */     // GIR_Coverage, 7200,
     /* 1695880 */     GIR_EraseRootFromParent_Done,
     /* 1695881 */   // Label 23217: @1695881
     /* 1695881 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1695967), // Rule ID 7201 //
     /* 1695886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695932 */     // MIs[0] policy
     /* 1695932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1695945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695966 */     // GIR_Coverage, 7201,
     /* 1695966 */     GIR_EraseRootFromParent_Done,
     /* 1695967 */   // Label 23218: @1695967
     /* 1695967 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1696053), // Rule ID 7204 //
     /* 1695972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1695983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1695986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696018 */     // MIs[0] policy
     /* 1696018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696052 */     // GIR_Coverage, 7204,
     /* 1696052 */     GIR_EraseRootFromParent_Done,
     /* 1696053 */   // Label 23219: @1696053
     /* 1696053 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1696139), // Rule ID 7205 //
     /* 1696058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696104 */     // MIs[0] policy
     /* 1696104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696138 */     // GIR_Coverage, 7205,
     /* 1696138 */     GIR_EraseRootFromParent_Done,
     /* 1696139 */   // Label 23220: @1696139
     /* 1696139 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1696225), // Rule ID 7208 //
     /* 1696144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1696147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1696155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1696158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696190 */     // MIs[0] policy
     /* 1696190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696224 */     // GIR_Coverage, 7208,
     /* 1696224 */     GIR_EraseRootFromParent_Done,
     /* 1696225 */   // Label 23221: @1696225
     /* 1696225 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1696311), // Rule ID 7209 //
     /* 1696230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1696233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1696241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1696244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696276 */     // MIs[0] policy
     /* 1696276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696310 */     // GIR_Coverage, 7209,
     /* 1696310 */     GIR_EraseRootFromParent_Done,
     /* 1696311 */   // Label 23222: @1696311
     /* 1696311 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1696397), // Rule ID 7212 //
     /* 1696316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1696333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696362 */     // MIs[0] policy
     /* 1696362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696396 */     // GIR_Coverage, 7212,
     /* 1696396 */     GIR_EraseRootFromParent_Done,
     /* 1696397 */   // Label 23223: @1696397
     /* 1696397 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1696483), // Rule ID 7213 //
     /* 1696402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1696419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696448 */     // MIs[0] policy
     /* 1696448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696482 */     // GIR_Coverage, 7213,
     /* 1696482 */     GIR_EraseRootFromParent_Done,
     /* 1696483 */   // Label 23224: @1696483
     /* 1696483 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1696569), // Rule ID 7216 //
     /* 1696488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1696499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1696502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1696505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696534 */     // MIs[0] policy
     /* 1696534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1696547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696568 */     // GIR_Coverage, 7216,
     /* 1696568 */     GIR_EraseRootFromParent_Done,
     /* 1696569 */   // Label 23225: @1696569
     /* 1696569 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1696655), // Rule ID 7217 //
     /* 1696574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1696585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1696588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1696591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696620 */     // MIs[0] policy
     /* 1696620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1696633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696654 */     // GIR_Coverage, 7217,
     /* 1696654 */     GIR_EraseRootFromParent_Done,
     /* 1696655 */   // Label 23226: @1696655
     /* 1696655 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1696741), // Rule ID 7220 //
     /* 1696660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1696671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1696674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1696677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1696683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696706 */     // MIs[0] policy
     /* 1696706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1696719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696740 */     // GIR_Coverage, 7220,
     /* 1696740 */     GIR_EraseRootFromParent_Done,
     /* 1696741 */   // Label 23227: @1696741
     /* 1696741 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1696827), // Rule ID 7221 //
     /* 1696746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1696757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1696760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1696763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1696769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696792 */     // MIs[0] policy
     /* 1696792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1696805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696826 */     // GIR_Coverage, 7221,
     /* 1696826 */     GIR_EraseRootFromParent_Done,
     /* 1696827 */   // Label 23228: @1696827
     /* 1696827 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1696913), // Rule ID 7224 //
     /* 1696832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696878 */     // MIs[0] policy
     /* 1696878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696912 */     // GIR_Coverage, 7224,
     /* 1696912 */     GIR_EraseRootFromParent_Done,
     /* 1696913 */   // Label 23229: @1696913
     /* 1696913 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1696999), // Rule ID 7225 //
     /* 1696918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696964 */     // MIs[0] policy
     /* 1696964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696998 */     // GIR_Coverage, 7225,
     /* 1696998 */     GIR_EraseRootFromParent_Done,
     /* 1696999 */   // Label 23230: @1696999
     /* 1696999 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1697085), // Rule ID 7228 //
     /* 1697004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697050 */     // MIs[0] policy
     /* 1697050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697084 */     // GIR_Coverage, 7228,
     /* 1697084 */     GIR_EraseRootFromParent_Done,
     /* 1697085 */   // Label 23231: @1697085
     /* 1697085 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1697171), // Rule ID 7229 //
     /* 1697090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697136 */     // MIs[0] policy
     /* 1697136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697170 */     // GIR_Coverage, 7229,
     /* 1697170 */     GIR_EraseRootFromParent_Done,
     /* 1697171 */   // Label 23232: @1697171
     /* 1697171 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1697257), // Rule ID 7232 //
     /* 1697176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1697187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1697190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697222 */     // MIs[0] policy
     /* 1697222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697256 */     // GIR_Coverage, 7232,
     /* 1697256 */     GIR_EraseRootFromParent_Done,
     /* 1697257 */   // Label 23233: @1697257
     /* 1697257 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1697343), // Rule ID 7233 //
     /* 1697262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1697273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1697276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697308 */     // MIs[0] policy
     /* 1697308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697342 */     // GIR_Coverage, 7233,
     /* 1697342 */     GIR_EraseRootFromParent_Done,
     /* 1697343 */   // Label 23234: @1697343
     /* 1697343 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1697429), // Rule ID 7236 //
     /* 1697348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697394 */     // MIs[0] policy
     /* 1697394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697428 */     // GIR_Coverage, 7236,
     /* 1697428 */     GIR_EraseRootFromParent_Done,
     /* 1697429 */   // Label 23235: @1697429
     /* 1697429 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1697515), // Rule ID 7237 //
     /* 1697434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697480 */     // MIs[0] policy
     /* 1697480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697514 */     // GIR_Coverage, 7237,
     /* 1697514 */     GIR_EraseRootFromParent_Done,
     /* 1697515 */   // Label 23236: @1697515
     /* 1697515 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1697601), // Rule ID 7240 //
     /* 1697520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697566 */     // MIs[0] policy
     /* 1697566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697600 */     // GIR_Coverage, 7240,
     /* 1697600 */     GIR_EraseRootFromParent_Done,
     /* 1697601 */   // Label 23237: @1697601
     /* 1697601 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1697687), // Rule ID 7241 //
     /* 1697606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697652 */     // MIs[0] policy
     /* 1697652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697686 */     // GIR_Coverage, 7241,
     /* 1697686 */     GIR_EraseRootFromParent_Done,
     /* 1697687 */   // Label 23238: @1697687
     /* 1697687 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1697773), // Rule ID 7244 //
     /* 1697692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1697703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1697706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1697709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697738 */     // MIs[0] policy
     /* 1697738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697772 */     // GIR_Coverage, 7244,
     /* 1697772 */     GIR_EraseRootFromParent_Done,
     /* 1697773 */   // Label 23239: @1697773
     /* 1697773 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1697859), // Rule ID 7245 //
     /* 1697778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1697789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1697792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1697795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697824 */     // MIs[0] policy
     /* 1697824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697858 */     // GIR_Coverage, 7245,
     /* 1697858 */     GIR_EraseRootFromParent_Done,
     /* 1697859 */   // Label 23240: @1697859
     /* 1697859 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1697945), // Rule ID 7248 //
     /* 1697864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1697867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1697875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1697878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1697881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697910 */     // MIs[0] policy
     /* 1697910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697944 */     // GIR_Coverage, 7248,
     /* 1697944 */     GIR_EraseRootFromParent_Done,
     /* 1697945 */   // Label 23241: @1697945
     /* 1697945 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1698031), // Rule ID 7249 //
     /* 1697950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1697953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1697961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1697964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1697967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697996 */     // MIs[0] policy
     /* 1697996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1698009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698030 */     // GIR_Coverage, 7249,
     /* 1698030 */     GIR_EraseRootFromParent_Done,
     /* 1698031 */   // Label 23242: @1698031
     /* 1698031 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1698117), // Rule ID 7252 //
     /* 1698036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698082 */     // MIs[0] policy
     /* 1698082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698116 */     // GIR_Coverage, 7252,
     /* 1698116 */     GIR_EraseRootFromParent_Done,
     /* 1698117 */   // Label 23243: @1698117
     /* 1698117 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1698203), // Rule ID 7253 //
     /* 1698122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698168 */     // MIs[0] policy
     /* 1698168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698202 */     // GIR_Coverage, 7253,
     /* 1698202 */     GIR_EraseRootFromParent_Done,
     /* 1698203 */   // Label 23244: @1698203
     /* 1698203 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1698289), // Rule ID 7256 //
     /* 1698208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1698219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1698222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698254 */     // MIs[0] policy
     /* 1698254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698288 */     // GIR_Coverage, 7256,
     /* 1698288 */     GIR_EraseRootFromParent_Done,
     /* 1698289 */   // Label 23245: @1698289
     /* 1698289 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1698375), // Rule ID 7257 //
     /* 1698294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1698305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1698308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698340 */     // MIs[0] policy
     /* 1698340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698374 */     // GIR_Coverage, 7257,
     /* 1698374 */     GIR_EraseRootFromParent_Done,
     /* 1698375 */   // Label 23246: @1698375
     /* 1698375 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1698461), // Rule ID 7436 //
     /* 1698380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1698400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698426 */     // MIs[0] policy
     /* 1698426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1698439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698460 */     // GIR_Coverage, 7436,
     /* 1698460 */     GIR_EraseRootFromParent_Done,
     /* 1698461 */   // Label 23247: @1698461
     /* 1698461 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1698547), // Rule ID 7437 //
     /* 1698466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1698486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698512 */     // MIs[0] policy
     /* 1698512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1698525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698546 */     // GIR_Coverage, 7437,
     /* 1698546 */     GIR_EraseRootFromParent_Done,
     /* 1698547 */   // Label 23248: @1698547
     /* 1698547 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1698633), // Rule ID 7440 //
     /* 1698552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1698563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1698566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1698572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698598 */     // MIs[0] policy
     /* 1698598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1698611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698632 */     // GIR_Coverage, 7440,
     /* 1698632 */     GIR_EraseRootFromParent_Done,
     /* 1698633 */   // Label 23249: @1698633
     /* 1698633 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1698719), // Rule ID 7441 //
     /* 1698638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1698649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1698652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1698658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698684 */     // MIs[0] policy
     /* 1698684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1698697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698718 */     // GIR_Coverage, 7441,
     /* 1698718 */     GIR_EraseRootFromParent_Done,
     /* 1698719 */   // Label 23250: @1698719
     /* 1698719 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1698805), // Rule ID 7444 //
     /* 1698724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1698735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1698738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1698741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1698744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698770 */     // MIs[0] policy
     /* 1698770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1698783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698804 */     // GIR_Coverage, 7444,
     /* 1698804 */     GIR_EraseRootFromParent_Done,
     /* 1698805 */   // Label 23251: @1698805
     /* 1698805 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1698891), // Rule ID 7445 //
     /* 1698810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1698821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1698824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1698827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1698830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698856 */     // MIs[0] policy
     /* 1698856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1698869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698890 */     // GIR_Coverage, 7445,
     /* 1698890 */     GIR_EraseRootFromParent_Done,
     /* 1698891 */   // Label 23252: @1698891
     /* 1698891 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1698977), // Rule ID 7448 //
     /* 1698896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1698907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1698910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1698916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698942 */     // MIs[0] policy
     /* 1698942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1698955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698976 */     // GIR_Coverage, 7448,
     /* 1698976 */     GIR_EraseRootFromParent_Done,
     /* 1698977 */   // Label 23253: @1698977
     /* 1698977 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1699063), // Rule ID 7449 //
     /* 1698982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1698993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1698996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1699002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699028 */     // MIs[0] policy
     /* 1699028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699038 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1699041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699062 */     // GIR_Coverage, 7449,
     /* 1699062 */     GIR_EraseRootFromParent_Done,
     /* 1699063 */   // Label 23254: @1699063
     /* 1699063 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1699149), // Rule ID 7452 //
     /* 1699068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1699088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699114 */     // MIs[0] policy
     /* 1699114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1699127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699148 */     // GIR_Coverage, 7452,
     /* 1699148 */     GIR_EraseRootFromParent_Done,
     /* 1699149 */   // Label 23255: @1699149
     /* 1699149 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1699235), // Rule ID 7453 //
     /* 1699154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1699174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699200 */     // MIs[0] policy
     /* 1699200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1699213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699234 */     // GIR_Coverage, 7453,
     /* 1699234 */     GIR_EraseRootFromParent_Done,
     /* 1699235 */   // Label 23256: @1699235
     /* 1699235 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1699321), // Rule ID 7456 //
     /* 1699240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1699260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699286 */     // MIs[0] policy
     /* 1699286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1699299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699320 */     // GIR_Coverage, 7456,
     /* 1699320 */     GIR_EraseRootFromParent_Done,
     /* 1699321 */   // Label 23257: @1699321
     /* 1699321 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1699407), // Rule ID 7457 //
     /* 1699326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1699346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699372 */     // MIs[0] policy
     /* 1699372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1699385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699406 */     // GIR_Coverage, 7457,
     /* 1699406 */     GIR_EraseRootFromParent_Done,
     /* 1699407 */   // Label 23258: @1699407
     /* 1699407 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1699493), // Rule ID 7460 //
     /* 1699412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1699432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699458 */     // MIs[0] policy
     /* 1699458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1699471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699492 */     // GIR_Coverage, 7460,
     /* 1699492 */     GIR_EraseRootFromParent_Done,
     /* 1699493 */   // Label 23259: @1699493
     /* 1699493 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1699579), // Rule ID 7461 //
     /* 1699498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1699518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699544 */     // MIs[0] policy
     /* 1699544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1699557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699578 */     // GIR_Coverage, 7461,
     /* 1699578 */     GIR_EraseRootFromParent_Done,
     /* 1699579 */   // Label 23260: @1699579
     /* 1699579 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1699665), // Rule ID 7464 //
     /* 1699584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1699595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1699598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1699604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699630 */     // MIs[0] policy
     /* 1699630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1699643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699664 */     // GIR_Coverage, 7464,
     /* 1699664 */     GIR_EraseRootFromParent_Done,
     /* 1699665 */   // Label 23261: @1699665
     /* 1699665 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1699751), // Rule ID 7465 //
     /* 1699670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1699681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1699684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1699690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699716 */     // MIs[0] policy
     /* 1699716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1699729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699750 */     // GIR_Coverage, 7465,
     /* 1699750 */     GIR_EraseRootFromParent_Done,
     /* 1699751 */   // Label 23262: @1699751
     /* 1699751 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1699837), // Rule ID 7468 //
     /* 1699756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1699767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1699770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1699773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1699776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699802 */     // MIs[0] policy
     /* 1699802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1699815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699836 */     // GIR_Coverage, 7468,
     /* 1699836 */     GIR_EraseRootFromParent_Done,
     /* 1699837 */   // Label 23263: @1699837
     /* 1699837 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1699923), // Rule ID 7469 //
     /* 1699842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1699853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1699856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1699859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1699862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699888 */     // MIs[0] policy
     /* 1699888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1699901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699922 */     // GIR_Coverage, 7469,
     /* 1699922 */     GIR_EraseRootFromParent_Done,
     /* 1699923 */   // Label 23264: @1699923
     /* 1699923 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1700009), // Rule ID 7472 //
     /* 1699928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1699939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1699942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1699948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699974 */     // MIs[0] policy
     /* 1699974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1699987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700008 */     // GIR_Coverage, 7472,
     /* 1700008 */     GIR_EraseRootFromParent_Done,
     /* 1700009 */   // Label 23265: @1700009
     /* 1700009 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1700095), // Rule ID 7473 //
     /* 1700014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1700034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700060 */     // MIs[0] policy
     /* 1700060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1700073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700094 */     // GIR_Coverage, 7473,
     /* 1700094 */     GIR_EraseRootFromParent_Done,
     /* 1700095 */   // Label 23266: @1700095
     /* 1700095 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1700181), // Rule ID 7476 //
     /* 1700100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1700120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700146 */     // MIs[0] policy
     /* 1700146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700180 */     // GIR_Coverage, 7476,
     /* 1700180 */     GIR_EraseRootFromParent_Done,
     /* 1700181 */   // Label 23267: @1700181
     /* 1700181 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1700267), // Rule ID 7477 //
     /* 1700186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1700206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700232 */     // MIs[0] policy
     /* 1700232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700266 */     // GIR_Coverage, 7477,
     /* 1700266 */     GIR_EraseRootFromParent_Done,
     /* 1700267 */   // Label 23268: @1700267
     /* 1700267 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1700353), // Rule ID 7480 //
     /* 1700272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1700292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700318 */     // MIs[0] policy
     /* 1700318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700352 */     // GIR_Coverage, 7480,
     /* 1700352 */     GIR_EraseRootFromParent_Done,
     /* 1700353 */   // Label 23269: @1700353
     /* 1700353 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1700439), // Rule ID 7481 //
     /* 1700358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1700378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700404 */     // MIs[0] policy
     /* 1700404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700438 */     // GIR_Coverage, 7481,
     /* 1700438 */     GIR_EraseRootFromParent_Done,
     /* 1700439 */   // Label 23270: @1700439
     /* 1700439 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1700525), // Rule ID 7484 //
     /* 1700444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1700464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700490 */     // MIs[0] policy
     /* 1700490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1700503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700524 */     // GIR_Coverage, 7484,
     /* 1700524 */     GIR_EraseRootFromParent_Done,
     /* 1700525 */   // Label 23271: @1700525
     /* 1700525 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1700611), // Rule ID 7485 //
     /* 1700530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1700550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700576 */     // MIs[0] policy
     /* 1700576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1700589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700610 */     // GIR_Coverage, 7485,
     /* 1700610 */     GIR_EraseRootFromParent_Done,
     /* 1700611 */   // Label 23272: @1700611
     /* 1700611 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1700697), // Rule ID 7488 //
     /* 1700616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1700627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1700630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1700633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1700636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700662 */     // MIs[0] policy
     /* 1700662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1700675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700696 */     // GIR_Coverage, 7488,
     /* 1700696 */     GIR_EraseRootFromParent_Done,
     /* 1700697 */   // Label 23273: @1700697
     /* 1700697 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1700783), // Rule ID 7489 //
     /* 1700702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1700713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1700716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1700719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1700722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700748 */     // MIs[0] policy
     /* 1700748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1700761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700782 */     // GIR_Coverage, 7489,
     /* 1700782 */     GIR_EraseRootFromParent_Done,
     /* 1700783 */   // Label 23274: @1700783
     /* 1700783 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1700869), // Rule ID 7492 //
     /* 1700788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1700799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1700802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1700805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1700808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700834 */     // MIs[0] policy
     /* 1700834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700868 */     // GIR_Coverage, 7492,
     /* 1700868 */     GIR_EraseRootFromParent_Done,
     /* 1700869 */   // Label 23275: @1700869
     /* 1700869 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1700955), // Rule ID 7493 //
     /* 1700874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1700885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1700888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1700891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1700894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700920 */     // MIs[0] policy
     /* 1700920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700954 */     // GIR_Coverage, 7493,
     /* 1700954 */     GIR_EraseRootFromParent_Done,
     /* 1700955 */   // Label 23276: @1700955
     /* 1700955 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1701041), // Rule ID 7496 //
     /* 1700960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1700971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1700974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1700977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701006 */     // MIs[0] policy
     /* 1701006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1701019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701040 */     // GIR_Coverage, 7496,
     /* 1701040 */     GIR_EraseRootFromParent_Done,
     /* 1701041 */   // Label 23277: @1701041
     /* 1701041 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1701127), // Rule ID 7497 //
     /* 1701046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701092 */     // MIs[0] policy
     /* 1701092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1701105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701126 */     // GIR_Coverage, 7497,
     /* 1701126 */     GIR_EraseRootFromParent_Done,
     /* 1701127 */   // Label 23278: @1701127
     /* 1701127 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1701213), // Rule ID 7500 //
     /* 1701132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701178 */     // MIs[0] policy
     /* 1701178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701188 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1701191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701212 */     // GIR_Coverage, 7500,
     /* 1701212 */     GIR_EraseRootFromParent_Done,
     /* 1701213 */   // Label 23279: @1701213
     /* 1701213 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1701299), // Rule ID 7501 //
     /* 1701218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701264 */     // MIs[0] policy
     /* 1701264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1701277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701298 */     // GIR_Coverage, 7501,
     /* 1701298 */     GIR_EraseRootFromParent_Done,
     /* 1701299 */   // Label 23280: @1701299
     /* 1701299 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1701385), // Rule ID 7504 //
     /* 1701304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701350 */     // MIs[0] policy
     /* 1701350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1701363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701384 */     // GIR_Coverage, 7504,
     /* 1701384 */     GIR_EraseRootFromParent_Done,
     /* 1701385 */   // Label 23281: @1701385
     /* 1701385 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1701471), // Rule ID 7505 //
     /* 1701390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701436 */     // MIs[0] policy
     /* 1701436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701446 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1701449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701470 */     // GIR_Coverage, 7505,
     /* 1701470 */     GIR_EraseRootFromParent_Done,
     /* 1701471 */   // Label 23282: @1701471
     /* 1701471 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1701557), // Rule ID 7508 //
     /* 1701476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701522 */     // MIs[0] policy
     /* 1701522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1701535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701556 */     // GIR_Coverage, 7508,
     /* 1701556 */     GIR_EraseRootFromParent_Done,
     /* 1701557 */   // Label 23283: @1701557
     /* 1701557 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1701643), // Rule ID 7509 //
     /* 1701562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701608 */     // MIs[0] policy
     /* 1701608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1701621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701642 */     // GIR_Coverage, 7509,
     /* 1701642 */     GIR_EraseRootFromParent_Done,
     /* 1701643 */   // Label 23284: @1701643
     /* 1701643 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1701729), // Rule ID 7512 //
     /* 1701648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1701659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1701662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1701665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701694 */     // MIs[0] policy
     /* 1701694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1701707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701728 */     // GIR_Coverage, 7512,
     /* 1701728 */     GIR_EraseRootFromParent_Done,
     /* 1701729 */   // Label 23285: @1701729
     /* 1701729 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1701815), // Rule ID 7513 //
     /* 1701734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1701745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1701748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1701751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701780 */     // MIs[0] policy
     /* 1701780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1701793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701814 */     // GIR_Coverage, 7513,
     /* 1701814 */     GIR_EraseRootFromParent_Done,
     /* 1701815 */   // Label 23286: @1701815
     /* 1701815 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1701901), // Rule ID 7516 //
     /* 1701820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1701837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701866 */     // MIs[0] policy
     /* 1701866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1701879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701900 */     // GIR_Coverage, 7516,
     /* 1701900 */     GIR_EraseRootFromParent_Done,
     /* 1701901 */   // Label 23287: @1701901
     /* 1701901 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1701987), // Rule ID 7517 //
     /* 1701906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1701923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701952 */     // MIs[0] policy
     /* 1701952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1701965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701986 */     // GIR_Coverage, 7517,
     /* 1701986 */     GIR_EraseRootFromParent_Done,
     /* 1701987 */   // Label 23288: @1701987
     /* 1701987 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1702073), // Rule ID 7520 //
     /* 1701992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702038 */     // MIs[0] policy
     /* 1702038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1702051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702072 */     // GIR_Coverage, 7520,
     /* 1702072 */     GIR_EraseRootFromParent_Done,
     /* 1702073 */   // Label 23289: @1702073
     /* 1702073 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1702159), // Rule ID 7521 //
     /* 1702078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702124 */     // MIs[0] policy
     /* 1702124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702134 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1702137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702158 */     // GIR_Coverage, 7521,
     /* 1702158 */     GIR_EraseRootFromParent_Done,
     /* 1702159 */   // Label 23290: @1702159
     /* 1702159 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1702245), // Rule ID 7524 //
     /* 1702164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702210 */     // MIs[0] policy
     /* 1702210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702244 */     // GIR_Coverage, 7524,
     /* 1702244 */     GIR_EraseRootFromParent_Done,
     /* 1702245 */   // Label 23291: @1702245
     /* 1702245 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1702331), // Rule ID 7525 //
     /* 1702250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702296 */     // MIs[0] policy
     /* 1702296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702330 */     // GIR_Coverage, 7525,
     /* 1702330 */     GIR_EraseRootFromParent_Done,
     /* 1702331 */   // Label 23292: @1702331
     /* 1702331 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1702417), // Rule ID 7528 //
     /* 1702336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702382 */     // MIs[0] policy
     /* 1702382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1702395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702416 */     // GIR_Coverage, 7528,
     /* 1702416 */     GIR_EraseRootFromParent_Done,
     /* 1702417 */   // Label 23293: @1702417
     /* 1702417 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1702503), // Rule ID 7529 //
     /* 1702422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702468 */     // MIs[0] policy
     /* 1702468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1702481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702502 */     // GIR_Coverage, 7529,
     /* 1702502 */     GIR_EraseRootFromParent_Done,
     /* 1702503 */   // Label 23294: @1702503
     /* 1702503 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1702589), // Rule ID 7532 //
     /* 1702508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702554 */     // MIs[0] policy
     /* 1702554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1702567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702588 */     // GIR_Coverage, 7532,
     /* 1702588 */     GIR_EraseRootFromParent_Done,
     /* 1702589 */   // Label 23295: @1702589
     /* 1702589 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1702675), // Rule ID 7533 //
     /* 1702594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702640 */     // MIs[0] policy
     /* 1702640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1702653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702674 */     // GIR_Coverage, 7533,
     /* 1702674 */     GIR_EraseRootFromParent_Done,
     /* 1702675 */   // Label 23296: @1702675
     /* 1702675 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1702761), // Rule ID 7536 //
     /* 1702680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1702697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702726 */     // MIs[0] policy
     /* 1702726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1702739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702760 */     // GIR_Coverage, 7536,
     /* 1702760 */     GIR_EraseRootFromParent_Done,
     /* 1702761 */   // Label 23297: @1702761
     /* 1702761 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1702847), // Rule ID 7537 //
     /* 1702766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1702783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702812 */     // MIs[0] policy
     /* 1702812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1702825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702846 */     // GIR_Coverage, 7537,
     /* 1702846 */     GIR_EraseRootFromParent_Done,
     /* 1702847 */   // Label 23298: @1702847
     /* 1702847 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1702933), // Rule ID 7540 //
     /* 1702852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1702869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702898 */     // MIs[0] policy
     /* 1702898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702932 */     // GIR_Coverage, 7540,
     /* 1702932 */     GIR_EraseRootFromParent_Done,
     /* 1702933 */   // Label 23299: @1702933
     /* 1702933 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1703019), // Rule ID 7541 //
     /* 1702938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1702955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702984 */     // MIs[0] policy
     /* 1702984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703018 */     // GIR_Coverage, 7541,
     /* 1703018 */     GIR_EraseRootFromParent_Done,
     /* 1703019 */   // Label 23300: @1703019
     /* 1703019 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1703105), // Rule ID 7544 //
     /* 1703024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703070 */     // MIs[0] policy
     /* 1703070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1703083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703104 */     // GIR_Coverage, 7544,
     /* 1703104 */     GIR_EraseRootFromParent_Done,
     /* 1703105 */   // Label 23301: @1703105
     /* 1703105 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1703191), // Rule ID 7545 //
     /* 1703110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703156 */     // MIs[0] policy
     /* 1703156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1703169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703190 */     // GIR_Coverage, 7545,
     /* 1703190 */     GIR_EraseRootFromParent_Done,
     /* 1703191 */   // Label 23302: @1703191
     /* 1703191 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1703277), // Rule ID 7548 //
     /* 1703196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703242 */     // MIs[0] policy
     /* 1703242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703276 */     // GIR_Coverage, 7548,
     /* 1703276 */     GIR_EraseRootFromParent_Done,
     /* 1703277 */   // Label 23303: @1703277
     /* 1703277 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1703363), // Rule ID 7549 //
     /* 1703282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703328 */     // MIs[0] policy
     /* 1703328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703362 */     // GIR_Coverage, 7549,
     /* 1703362 */     GIR_EraseRootFromParent_Done,
     /* 1703363 */   // Label 23304: @1703363
     /* 1703363 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1703449), // Rule ID 7552 //
     /* 1703368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703414 */     // MIs[0] policy
     /* 1703414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703448 */     // GIR_Coverage, 7552,
     /* 1703448 */     GIR_EraseRootFromParent_Done,
     /* 1703449 */   // Label 23305: @1703449
     /* 1703449 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1703535), // Rule ID 7553 //
     /* 1703454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703500 */     // MIs[0] policy
     /* 1703500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703534 */     // GIR_Coverage, 7553,
     /* 1703534 */     GIR_EraseRootFromParent_Done,
     /* 1703535 */   // Label 23306: @1703535
     /* 1703535 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1703621), // Rule ID 7616 //
     /* 1703540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703586 */     // MIs[0] policy
     /* 1703586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1703599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703620 */     // GIR_Coverage, 7616,
     /* 1703620 */     GIR_EraseRootFromParent_Done,
     /* 1703621 */   // Label 23307: @1703621
     /* 1703621 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1703707), // Rule ID 7617 //
     /* 1703626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703672 */     // MIs[0] policy
     /* 1703672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1703685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703706 */     // GIR_Coverage, 7617,
     /* 1703706 */     GIR_EraseRootFromParent_Done,
     /* 1703707 */   // Label 23308: @1703707
     /* 1703707 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1703793), // Rule ID 7620 //
     /* 1703712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703758 */     // MIs[0] policy
     /* 1703758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1703771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703792 */     // GIR_Coverage, 7620,
     /* 1703792 */     GIR_EraseRootFromParent_Done,
     /* 1703793 */   // Label 23309: @1703793
     /* 1703793 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1703879), // Rule ID 7621 //
     /* 1703798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703844 */     // MIs[0] policy
     /* 1703844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703854 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1703857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703878 */     // GIR_Coverage, 7621,
     /* 1703878 */     GIR_EraseRootFromParent_Done,
     /* 1703879 */   // Label 23310: @1703879
     /* 1703879 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1703965), // Rule ID 7624 //
     /* 1703884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1703895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1703898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1703904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703930 */     // MIs[0] policy
     /* 1703930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1703943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703964 */     // GIR_Coverage, 7624,
     /* 1703964 */     GIR_EraseRootFromParent_Done,
     /* 1703965 */   // Label 23311: @1703965
     /* 1703965 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1704051), // Rule ID 7625 //
     /* 1703970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1703981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1703984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1703990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704016 */     // MIs[0] policy
     /* 1704016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1704029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704050 */     // GIR_Coverage, 7625,
     /* 1704050 */     GIR_EraseRootFromParent_Done,
     /* 1704051 */   // Label 23312: @1704051
     /* 1704051 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1704137), // Rule ID 7628 //
     /* 1704056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704102 */     // MIs[0] policy
     /* 1704102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1704115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704136 */     // GIR_Coverage, 7628,
     /* 1704136 */     GIR_EraseRootFromParent_Done,
     /* 1704137 */   // Label 23313: @1704137
     /* 1704137 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1704223), // Rule ID 7629 //
     /* 1704142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704188 */     // MIs[0] policy
     /* 1704188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1704201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704222 */     // GIR_Coverage, 7629,
     /* 1704222 */     GIR_EraseRootFromParent_Done,
     /* 1704223 */   // Label 23314: @1704223
     /* 1704223 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1704309), // Rule ID 7632 //
     /* 1704228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704274 */     // MIs[0] policy
     /* 1704274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1704287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704308 */     // GIR_Coverage, 7632,
     /* 1704308 */     GIR_EraseRootFromParent_Done,
     /* 1704309 */   // Label 23315: @1704309
     /* 1704309 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1704395), // Rule ID 7633 //
     /* 1704314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704360 */     // MIs[0] policy
     /* 1704360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704370 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1704373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704394 */     // GIR_Coverage, 7633,
     /* 1704394 */     GIR_EraseRootFromParent_Done,
     /* 1704395 */   // Label 23316: @1704395
     /* 1704395 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1704481), // Rule ID 7636 //
     /* 1704400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704446 */     // MIs[0] policy
     /* 1704446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1704459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704480 */     // GIR_Coverage, 7636,
     /* 1704480 */     GIR_EraseRootFromParent_Done,
     /* 1704481 */   // Label 23317: @1704481
     /* 1704481 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1704567), // Rule ID 7637 //
     /* 1704486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704532 */     // MIs[0] policy
     /* 1704532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1704545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704566 */     // GIR_Coverage, 7637,
     /* 1704566 */     GIR_EraseRootFromParent_Done,
     /* 1704567 */   // Label 23318: @1704567
     /* 1704567 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1704653), // Rule ID 7640 //
     /* 1704572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704618 */     // MIs[0] policy
     /* 1704618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1704631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704652 */     // GIR_Coverage, 7640,
     /* 1704652 */     GIR_EraseRootFromParent_Done,
     /* 1704653 */   // Label 23319: @1704653
     /* 1704653 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1704739), // Rule ID 7641 //
     /* 1704658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704704 */     // MIs[0] policy
     /* 1704704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1704717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704738 */     // GIR_Coverage, 7641,
     /* 1704738 */     GIR_EraseRootFromParent_Done,
     /* 1704739 */   // Label 23320: @1704739
     /* 1704739 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1704825), // Rule ID 7644 //
     /* 1704744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1704761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704790 */     // MIs[0] policy
     /* 1704790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1704803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704824 */     // GIR_Coverage, 7644,
     /* 1704824 */     GIR_EraseRootFromParent_Done,
     /* 1704825 */   // Label 23321: @1704825
     /* 1704825 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1704911), // Rule ID 7645 //
     /* 1704830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1704847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704876 */     // MIs[0] policy
     /* 1704876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1704889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704910 */     // GIR_Coverage, 7645,
     /* 1704910 */     GIR_EraseRootFromParent_Done,
     /* 1704911 */   // Label 23322: @1704911
     /* 1704911 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1704997), // Rule ID 7648 //
     /* 1704916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1704927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1704930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1704936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704962 */     // MIs[0] policy
     /* 1704962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1704975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704996 */     // GIR_Coverage, 7648,
     /* 1704996 */     GIR_EraseRootFromParent_Done,
     /* 1704997 */   // Label 23323: @1704997
     /* 1704997 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1705083), // Rule ID 7649 //
     /* 1705002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1705022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705048 */     // MIs[0] policy
     /* 1705048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1705061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705082 */     // GIR_Coverage, 7649,
     /* 1705082 */     GIR_EraseRootFromParent_Done,
     /* 1705083 */   // Label 23324: @1705083
     /* 1705083 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1705169), // Rule ID 7652 //
     /* 1705088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705134 */     // MIs[0] policy
     /* 1705134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705168 */     // GIR_Coverage, 7652,
     /* 1705168 */     GIR_EraseRootFromParent_Done,
     /* 1705169 */   // Label 23325: @1705169
     /* 1705169 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1705255), // Rule ID 7653 //
     /* 1705174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705220 */     // MIs[0] policy
     /* 1705220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705254 */     // GIR_Coverage, 7653,
     /* 1705254 */     GIR_EraseRootFromParent_Done,
     /* 1705255 */   // Label 23326: @1705255
     /* 1705255 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1705341), // Rule ID 7656 //
     /* 1705260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1705280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705306 */     // MIs[0] policy
     /* 1705306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1705319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705340 */     // GIR_Coverage, 7656,
     /* 1705340 */     GIR_EraseRootFromParent_Done,
     /* 1705341 */   // Label 23327: @1705341
     /* 1705341 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1705427), // Rule ID 7657 //
     /* 1705346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1705366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705392 */     // MIs[0] policy
     /* 1705392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1705405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705426 */     // GIR_Coverage, 7657,
     /* 1705426 */     GIR_EraseRootFromParent_Done,
     /* 1705427 */   // Label 23328: @1705427
     /* 1705427 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1705513), // Rule ID 7660 //
     /* 1705432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1705452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705478 */     // MIs[0] policy
     /* 1705478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1705491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705512 */     // GIR_Coverage, 7660,
     /* 1705512 */     GIR_EraseRootFromParent_Done,
     /* 1705513 */   // Label 23329: @1705513
     /* 1705513 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1705599), // Rule ID 7661 //
     /* 1705518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1705538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705564 */     // MIs[0] policy
     /* 1705564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1705577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705598 */     // GIR_Coverage, 7661,
     /* 1705598 */     GIR_EraseRootFromParent_Done,
     /* 1705599 */   // Label 23330: @1705599
     /* 1705599 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1705685), // Rule ID 7664 //
     /* 1705604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705650 */     // MIs[0] policy
     /* 1705650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1705663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705684 */     // GIR_Coverage, 7664,
     /* 1705684 */     GIR_EraseRootFromParent_Done,
     /* 1705685 */   // Label 23331: @1705685
     /* 1705685 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1705771), // Rule ID 7665 //
     /* 1705690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705736 */     // MIs[0] policy
     /* 1705736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1705749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705770 */     // GIR_Coverage, 7665,
     /* 1705770 */     GIR_EraseRootFromParent_Done,
     /* 1705771 */   // Label 23332: @1705771
     /* 1705771 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1705857), // Rule ID 7668 //
     /* 1705776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705822 */     // MIs[0] policy
     /* 1705822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705856 */     // GIR_Coverage, 7668,
     /* 1705856 */     GIR_EraseRootFromParent_Done,
     /* 1705857 */   // Label 23333: @1705857
     /* 1705857 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1705943), // Rule ID 7669 //
     /* 1705862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705908 */     // MIs[0] policy
     /* 1705908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705942 */     // GIR_Coverage, 7669,
     /* 1705942 */     GIR_EraseRootFromParent_Done,
     /* 1705943 */   // Label 23334: @1705943
     /* 1705943 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1706029), // Rule ID 7672 //
     /* 1705948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705994 */     // MIs[0] policy
     /* 1705994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706004 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1706007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706028 */     // GIR_Coverage, 7672,
     /* 1706028 */     GIR_EraseRootFromParent_Done,
     /* 1706029 */   // Label 23335: @1706029
     /* 1706029 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1706115), // Rule ID 7673 //
     /* 1706034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1706054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706080 */     // MIs[0] policy
     /* 1706080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1706093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706114 */     // GIR_Coverage, 7673,
     /* 1706114 */     GIR_EraseRootFromParent_Done,
     /* 1706115 */   // Label 23336: @1706115
     /* 1706115 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1706201), // Rule ID 7676 //
     /* 1706120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706166 */     // MIs[0] policy
     /* 1706166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1706179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706200 */     // GIR_Coverage, 7676,
     /* 1706200 */     GIR_EraseRootFromParent_Done,
     /* 1706201 */   // Label 23337: @1706201
     /* 1706201 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1706287), // Rule ID 7677 //
     /* 1706206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706252 */     // MIs[0] policy
     /* 1706252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1706265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706286 */     // GIR_Coverage, 7677,
     /* 1706286 */     GIR_EraseRootFromParent_Done,
     /* 1706287 */   // Label 23338: @1706287
     /* 1706287 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1706373), // Rule ID 7680 //
     /* 1706292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706338 */     // MIs[0] policy
     /* 1706338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1706351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706372 */     // GIR_Coverage, 7680,
     /* 1706372 */     GIR_EraseRootFromParent_Done,
     /* 1706373 */   // Label 23339: @1706373
     /* 1706373 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1706459), // Rule ID 7681 //
     /* 1706378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706424 */     // MIs[0] policy
     /* 1706424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1706437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706458 */     // GIR_Coverage, 7681,
     /* 1706458 */     GIR_EraseRootFromParent_Done,
     /* 1706459 */   // Label 23340: @1706459
     /* 1706459 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1706545), // Rule ID 7684 //
     /* 1706464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706510 */     // MIs[0] policy
     /* 1706510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1706523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706544 */     // GIR_Coverage, 7684,
     /* 1706544 */     GIR_EraseRootFromParent_Done,
     /* 1706545 */   // Label 23341: @1706545
     /* 1706545 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1706631), // Rule ID 7685 //
     /* 1706550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706596 */     // MIs[0] policy
     /* 1706596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1706609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706630 */     // GIR_Coverage, 7685,
     /* 1706630 */     GIR_EraseRootFromParent_Done,
     /* 1706631 */   // Label 23342: @1706631
     /* 1706631 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1706717), // Rule ID 7688 //
     /* 1706636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706682 */     // MIs[0] policy
     /* 1706682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1706695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706716 */     // GIR_Coverage, 7688,
     /* 1706716 */     GIR_EraseRootFromParent_Done,
     /* 1706717 */   // Label 23343: @1706717
     /* 1706717 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1706803), // Rule ID 7689 //
     /* 1706722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706768 */     // MIs[0] policy
     /* 1706768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1706781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706802 */     // GIR_Coverage, 7689,
     /* 1706802 */     GIR_EraseRootFromParent_Done,
     /* 1706803 */   // Label 23344: @1706803
     /* 1706803 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1706889), // Rule ID 7692 //
     /* 1706808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706854 */     // MIs[0] policy
     /* 1706854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1706867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706888 */     // GIR_Coverage, 7692,
     /* 1706888 */     GIR_EraseRootFromParent_Done,
     /* 1706889 */   // Label 23345: @1706889
     /* 1706889 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1706975), // Rule ID 7693 //
     /* 1706894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706940 */     // MIs[0] policy
     /* 1706940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1706953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706974 */     // GIR_Coverage, 7693,
     /* 1706974 */     GIR_EraseRootFromParent_Done,
     /* 1706975 */   // Label 23346: @1706975
     /* 1706975 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1707061), // Rule ID 7696 //
     /* 1706980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1706991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1706994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1706997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707026 */     // MIs[0] policy
     /* 1707026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707060 */     // GIR_Coverage, 7696,
     /* 1707060 */     GIR_EraseRootFromParent_Done,
     /* 1707061 */   // Label 23347: @1707061
     /* 1707061 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1707147), // Rule ID 7697 //
     /* 1707066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1707083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707112 */     // MIs[0] policy
     /* 1707112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707146 */     // GIR_Coverage, 7697,
     /* 1707146 */     GIR_EraseRootFromParent_Done,
     /* 1707147 */   // Label 23348: @1707147
     /* 1707147 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1707233), // Rule ID 7700 //
     /* 1707152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707198 */     // MIs[0] policy
     /* 1707198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1707211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707232 */     // GIR_Coverage, 7700,
     /* 1707232 */     GIR_EraseRootFromParent_Done,
     /* 1707233 */   // Label 23349: @1707233
     /* 1707233 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1707319), // Rule ID 7701 //
     /* 1707238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707284 */     // MIs[0] policy
     /* 1707284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1707297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707318 */     // GIR_Coverage, 7701,
     /* 1707318 */     GIR_EraseRootFromParent_Done,
     /* 1707319 */   // Label 23350: @1707319
     /* 1707319 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1707405), // Rule ID 7704 //
     /* 1707324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707370 */     // MIs[0] policy
     /* 1707370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1707383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707404 */     // GIR_Coverage, 7704,
     /* 1707404 */     GIR_EraseRootFromParent_Done,
     /* 1707405 */   // Label 23351: @1707405
     /* 1707405 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1707491), // Rule ID 7705 //
     /* 1707410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707456 */     // MIs[0] policy
     /* 1707456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1707469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707490 */     // GIR_Coverage, 7705,
     /* 1707490 */     GIR_EraseRootFromParent_Done,
     /* 1707491 */   // Label 23352: @1707491
     /* 1707491 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1707577), // Rule ID 7708 //
     /* 1707496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707542 */     // MIs[0] policy
     /* 1707542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1707555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707576 */     // GIR_Coverage, 7708,
     /* 1707576 */     GIR_EraseRootFromParent_Done,
     /* 1707577 */   // Label 23353: @1707577
     /* 1707577 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1707663), // Rule ID 7709 //
     /* 1707582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707628 */     // MIs[0] policy
     /* 1707628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1707641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707662 */     // GIR_Coverage, 7709,
     /* 1707662 */     GIR_EraseRootFromParent_Done,
     /* 1707663 */   // Label 23354: @1707663
     /* 1707663 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1707749), // Rule ID 7712 //
     /* 1707668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1707679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1707682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707714 */     // MIs[0] policy
     /* 1707714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1707727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707748 */     // GIR_Coverage, 7712,
     /* 1707748 */     GIR_EraseRootFromParent_Done,
     /* 1707749 */   // Label 23355: @1707749
     /* 1707749 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1707835), // Rule ID 7713 //
     /* 1707754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1707765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1707768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707800 */     // MIs[0] policy
     /* 1707800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1707813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707834 */     // GIR_Coverage, 7713,
     /* 1707834 */     GIR_EraseRootFromParent_Done,
     /* 1707835 */   // Label 23356: @1707835
     /* 1707835 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1707921), // Rule ID 7716 //
     /* 1707840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1707851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1707854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707886 */     // MIs[0] policy
     /* 1707886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707920 */     // GIR_Coverage, 7716,
     /* 1707920 */     GIR_EraseRootFromParent_Done,
     /* 1707921 */   // Label 23357: @1707921
     /* 1707921 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1708007), // Rule ID 7717 //
     /* 1707926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1707937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1707940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707972 */     // MIs[0] policy
     /* 1707972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708006 */     // GIR_Coverage, 7717,
     /* 1708006 */     GIR_EraseRootFromParent_Done,
     /* 1708007 */   // Label 23358: @1708007
     /* 1708007 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1708093), // Rule ID 7720 //
     /* 1708012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708058 */     // MIs[0] policy
     /* 1708058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1708071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708092 */     // GIR_Coverage, 7720,
     /* 1708092 */     GIR_EraseRootFromParent_Done,
     /* 1708093 */   // Label 23359: @1708093
     /* 1708093 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1708179), // Rule ID 7721 //
     /* 1708098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708144 */     // MIs[0] policy
     /* 1708144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1708157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708178 */     // GIR_Coverage, 7721,
     /* 1708178 */     GIR_EraseRootFromParent_Done,
     /* 1708179 */   // Label 23360: @1708179
     /* 1708179 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1708265), // Rule ID 7724 //
     /* 1708184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1708201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708230 */     // MIs[0] policy
     /* 1708230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708264 */     // GIR_Coverage, 7724,
     /* 1708264 */     GIR_EraseRootFromParent_Done,
     /* 1708265 */   // Label 23361: @1708265
     /* 1708265 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1708351), // Rule ID 7725 //
     /* 1708270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1708287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708316 */     // MIs[0] policy
     /* 1708316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708350 */     // GIR_Coverage, 7725,
     /* 1708350 */     GIR_EraseRootFromParent_Done,
     /* 1708351 */   // Label 23362: @1708351
     /* 1708351 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1708437), // Rule ID 7728 //
     /* 1708356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708402 */     // MIs[0] policy
     /* 1708402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708436 */     // GIR_Coverage, 7728,
     /* 1708436 */     GIR_EraseRootFromParent_Done,
     /* 1708437 */   // Label 23363: @1708437
     /* 1708437 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1708523), // Rule ID 7729 //
     /* 1708442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708488 */     // MIs[0] policy
     /* 1708488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708522 */     // GIR_Coverage, 7729,
     /* 1708522 */     GIR_EraseRootFromParent_Done,
     /* 1708523 */   // Label 23364: @1708523
     /* 1708523 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1708609), // Rule ID 7732 //
     /* 1708528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708574 */     // MIs[0] policy
     /* 1708574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1708587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708608 */     // GIR_Coverage, 7732,
     /* 1708608 */     GIR_EraseRootFromParent_Done,
     /* 1708609 */   // Label 23365: @1708609
     /* 1708609 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1708695), // Rule ID 7733 //
     /* 1708614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708660 */     // MIs[0] policy
     /* 1708660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1708673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708694 */     // GIR_Coverage, 7733,
     /* 1708694 */     GIR_EraseRootFromParent_Done,
     /* 1708695 */   // Label 23366: @1708695
     /* 1708695 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1708781), // Rule ID 10248 //
     /* 1708700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708746 */     // MIs[0] policy
     /* 1708746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1708759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708780 */     // GIR_Coverage, 10248,
     /* 1708780 */     GIR_EraseRootFromParent_Done,
     /* 1708781 */   // Label 23367: @1708781
     /* 1708781 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1708867), // Rule ID 10249 //
     /* 1708786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708832 */     // MIs[0] policy
     /* 1708832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708842 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1708845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708866 */     // GIR_Coverage, 10249,
     /* 1708866 */     GIR_EraseRootFromParent_Done,
     /* 1708867 */   // Label 23368: @1708867
     /* 1708867 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1708953), // Rule ID 10252 //
     /* 1708872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708918 */     // MIs[0] policy
     /* 1708918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1708931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708952 */     // GIR_Coverage, 10252,
     /* 1708952 */     GIR_EraseRootFromParent_Done,
     /* 1708953 */   // Label 23369: @1708953
     /* 1708953 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1709039), // Rule ID 10253 //
     /* 1708958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709004 */     // MIs[0] policy
     /* 1709004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709038 */     // GIR_Coverage, 10253,
     /* 1709038 */     GIR_EraseRootFromParent_Done,
     /* 1709039 */   // Label 23370: @1709039
     /* 1709039 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1709125), // Rule ID 10256 //
     /* 1709044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709090 */     // MIs[0] policy
     /* 1709090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709124 */     // GIR_Coverage, 10256,
     /* 1709124 */     GIR_EraseRootFromParent_Done,
     /* 1709125 */   // Label 23371: @1709125
     /* 1709125 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1709211), // Rule ID 10257 //
     /* 1709130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709176 */     // MIs[0] policy
     /* 1709176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709210 */     // GIR_Coverage, 10257,
     /* 1709210 */     GIR_EraseRootFromParent_Done,
     /* 1709211 */   // Label 23372: @1709211
     /* 1709211 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1709297), // Rule ID 10260 //
     /* 1709216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709262 */     // MIs[0] policy
     /* 1709262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709296 */     // GIR_Coverage, 10260,
     /* 1709296 */     GIR_EraseRootFromParent_Done,
     /* 1709297 */   // Label 23373: @1709297
     /* 1709297 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1709383), // Rule ID 10261 //
     /* 1709302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709348 */     // MIs[0] policy
     /* 1709348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709382 */     // GIR_Coverage, 10261,
     /* 1709382 */     GIR_EraseRootFromParent_Done,
     /* 1709383 */   // Label 23374: @1709383
     /* 1709383 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1709469), // Rule ID 10264 //
     /* 1709388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709434 */     // MIs[0] policy
     /* 1709434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709468 */     // GIR_Coverage, 10264,
     /* 1709468 */     GIR_EraseRootFromParent_Done,
     /* 1709469 */   // Label 23375: @1709469
     /* 1709469 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1709555), // Rule ID 10265 //
     /* 1709474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709520 */     // MIs[0] policy
     /* 1709520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709554 */     // GIR_Coverage, 10265,
     /* 1709554 */     GIR_EraseRootFromParent_Done,
     /* 1709555 */   // Label 23376: @1709555
     /* 1709555 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1709641), // Rule ID 10268 //
     /* 1709560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1709580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709606 */     // MIs[0] policy
     /* 1709606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709640 */     // GIR_Coverage, 10268,
     /* 1709640 */     GIR_EraseRootFromParent_Done,
     /* 1709641 */   // Label 23377: @1709641
     /* 1709641 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1709727), // Rule ID 10269 //
     /* 1709646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1709666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709692 */     // MIs[0] policy
     /* 1709692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709726 */     // GIR_Coverage, 10269,
     /* 1709726 */     GIR_EraseRootFromParent_Done,
     /* 1709727 */   // Label 23378: @1709727
     /* 1709727 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1709813), // Rule ID 10272 //
     /* 1709732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1709743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1709746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1709749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1709752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709778 */     // MIs[0] policy
     /* 1709778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1709791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709812 */     // GIR_Coverage, 10272,
     /* 1709812 */     GIR_EraseRootFromParent_Done,
     /* 1709813 */   // Label 23379: @1709813
     /* 1709813 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1709899), // Rule ID 10273 //
     /* 1709818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1709829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1709832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1709835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1709838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709864 */     // MIs[0] policy
     /* 1709864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1709877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709898 */     // GIR_Coverage, 10273,
     /* 1709898 */     GIR_EraseRootFromParent_Done,
     /* 1709899 */   // Label 23380: @1709899
     /* 1709899 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1709985), // Rule ID 10276 //
     /* 1709904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1709921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1709924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709950 */     // MIs[0] policy
     /* 1709950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1709963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709984 */     // GIR_Coverage, 10276,
     /* 1709984 */     GIR_EraseRootFromParent_Done,
     /* 1709985 */   // Label 23381: @1709985
     /* 1709985 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1710071), // Rule ID 10277 //
     /* 1709990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710036 */     // MIs[0] policy
     /* 1710036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710070 */     // GIR_Coverage, 10277,
     /* 1710070 */     GIR_EraseRootFromParent_Done,
     /* 1710071 */   // Label 23382: @1710071
     /* 1710071 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1710157), // Rule ID 10280 //
     /* 1710076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710122 */     // MIs[0] policy
     /* 1710122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710156 */     // GIR_Coverage, 10280,
     /* 1710156 */     GIR_EraseRootFromParent_Done,
     /* 1710157 */   // Label 23383: @1710157
     /* 1710157 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1710243), // Rule ID 10281 //
     /* 1710162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710208 */     // MIs[0] policy
     /* 1710208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710242 */     // GIR_Coverage, 10281,
     /* 1710242 */     GIR_EraseRootFromParent_Done,
     /* 1710243 */   // Label 23384: @1710243
     /* 1710243 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1710329), // Rule ID 10284 //
     /* 1710248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1710268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710294 */     // MIs[0] policy
     /* 1710294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710328 */     // GIR_Coverage, 10284,
     /* 1710328 */     GIR_EraseRootFromParent_Done,
     /* 1710329 */   // Label 23385: @1710329
     /* 1710329 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1710415), // Rule ID 10285 //
     /* 1710334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1710354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710380 */     // MIs[0] policy
     /* 1710380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710414 */     // GIR_Coverage, 10285,
     /* 1710414 */     GIR_EraseRootFromParent_Done,
     /* 1710415 */   // Label 23386: @1710415
     /* 1710415 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1710501), // Rule ID 10288 //
     /* 1710420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710466 */     // MIs[0] policy
     /* 1710466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1710479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710500 */     // GIR_Coverage, 10288,
     /* 1710500 */     GIR_EraseRootFromParent_Done,
     /* 1710501 */   // Label 23387: @1710501
     /* 1710501 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1710587), // Rule ID 10289 //
     /* 1710506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710552 */     // MIs[0] policy
     /* 1710552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1710565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710586 */     // GIR_Coverage, 10289,
     /* 1710586 */     GIR_EraseRootFromParent_Done,
     /* 1710587 */   // Label 23388: @1710587
     /* 1710587 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1710673), // Rule ID 10292 //
     /* 1710592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1710603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1710606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1710609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1710612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710638 */     // MIs[0] policy
     /* 1710638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1710651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710672 */     // GIR_Coverage, 10292,
     /* 1710672 */     GIR_EraseRootFromParent_Done,
     /* 1710673 */   // Label 23389: @1710673
     /* 1710673 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1710759), // Rule ID 10293 //
     /* 1710678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1710689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1710692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1710695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1710698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710724 */     // MIs[0] policy
     /* 1710724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1710737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710758 */     // GIR_Coverage, 10293,
     /* 1710758 */     GIR_EraseRootFromParent_Done,
     /* 1710759 */   // Label 23390: @1710759
     /* 1710759 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1710845), // Rule ID 10296 //
     /* 1710764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1710775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1710778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1710781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1710784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1710787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710810 */     // MIs[0] policy
     /* 1710810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710820 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1710823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710844 */     // GIR_Coverage, 10296,
     /* 1710844 */     GIR_EraseRootFromParent_Done,
     /* 1710845 */   // Label 23391: @1710845
     /* 1710845 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1710931), // Rule ID 10297 //
     /* 1710850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1710861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1710864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1710867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1710870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1710873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710896 */     // MIs[0] policy
     /* 1710896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1710909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710930 */     // GIR_Coverage, 10297,
     /* 1710930 */     GIR_EraseRootFromParent_Done,
     /* 1710931 */   // Label 23392: @1710931
     /* 1710931 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1711017), // Rule ID 10300 //
     /* 1710936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1710947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1710950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1710953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1710956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710982 */     // MIs[0] policy
     /* 1710982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1710995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711016 */     // GIR_Coverage, 10300,
     /* 1711016 */     GIR_EraseRootFromParent_Done,
     /* 1711017 */   // Label 23393: @1711017
     /* 1711017 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1711103), // Rule ID 10301 //
     /* 1711022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711068 */     // MIs[0] policy
     /* 1711068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711102 */     // GIR_Coverage, 10301,
     /* 1711102 */     GIR_EraseRootFromParent_Done,
     /* 1711103 */   // Label 23394: @1711103
     /* 1711103 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1711189), // Rule ID 10304 //
     /* 1711108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1711119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1711122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1711128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711154 */     // MIs[0] policy
     /* 1711154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711188 */     // GIR_Coverage, 10304,
     /* 1711188 */     GIR_EraseRootFromParent_Done,
     /* 1711189 */   // Label 23395: @1711189
     /* 1711189 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1711275), // Rule ID 10305 //
     /* 1711194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1711205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1711208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1711214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711240 */     // MIs[0] policy
     /* 1711240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711274 */     // GIR_Coverage, 10305,
     /* 1711274 */     GIR_EraseRootFromParent_Done,
     /* 1711275 */   // Label 23396: @1711275
     /* 1711275 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1711361), // Rule ID 10308 //
     /* 1711280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1711291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1711294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1711300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711326 */     // MIs[0] policy
     /* 1711326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711360 */     // GIR_Coverage, 10308,
     /* 1711360 */     GIR_EraseRootFromParent_Done,
     /* 1711361 */   // Label 23397: @1711361
     /* 1711361 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1711447), // Rule ID 10309 //
     /* 1711366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1711377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1711380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1711386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711412 */     // MIs[0] policy
     /* 1711412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711446 */     // GIR_Coverage, 10309,
     /* 1711446 */     GIR_EraseRootFromParent_Done,
     /* 1711447 */   // Label 23398: @1711447
     /* 1711447 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1711533), // Rule ID 10312 //
     /* 1711452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1711463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1711466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1711469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1711472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711498 */     // MIs[0] policy
     /* 1711498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711532 */     // GIR_Coverage, 10312,
     /* 1711532 */     GIR_EraseRootFromParent_Done,
     /* 1711533 */   // Label 23399: @1711533
     /* 1711533 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1711619), // Rule ID 10313 //
     /* 1711538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1711549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1711552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1711555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1711558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711584 */     // MIs[0] policy
     /* 1711584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711618 */     // GIR_Coverage, 10313,
     /* 1711618 */     GIR_EraseRootFromParent_Done,
     /* 1711619 */   // Label 23400: @1711619
     /* 1711619 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1711705), // Rule ID 10316 //
     /* 1711624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1711635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1711638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1711641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1711644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711670 */     // MIs[0] policy
     /* 1711670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711704 */     // GIR_Coverage, 10316,
     /* 1711704 */     GIR_EraseRootFromParent_Done,
     /* 1711705 */   // Label 23401: @1711705
     /* 1711705 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1711791), // Rule ID 10317 //
     /* 1711710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1711721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1711724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1711727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1711730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711756 */     // MIs[0] policy
     /* 1711756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711790 */     // GIR_Coverage, 10317,
     /* 1711790 */     GIR_EraseRootFromParent_Done,
     /* 1711791 */   // Label 23402: @1711791
     /* 1711791 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1711877), // Rule ID 10320 //
     /* 1711796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1711807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1711810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1711813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1711816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711842 */     // MIs[0] policy
     /* 1711842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711876 */     // GIR_Coverage, 10320,
     /* 1711876 */     GIR_EraseRootFromParent_Done,
     /* 1711877 */   // Label 23403: @1711877
     /* 1711877 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1711963), // Rule ID 10321 //
     /* 1711882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1711893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1711896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1711899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1711902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711928 */     // MIs[0] policy
     /* 1711928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711962 */     // GIR_Coverage, 10321,
     /* 1711962 */     GIR_EraseRootFromParent_Done,
     /* 1711963 */   // Label 23404: @1711963
     /* 1711963 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1712049), // Rule ID 10324 //
     /* 1711968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1711979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1711982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1711985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1711988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712014 */     // MIs[0] policy
     /* 1712014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1712027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712048 */     // GIR_Coverage, 10324,
     /* 1712048 */     GIR_EraseRootFromParent_Done,
     /* 1712049 */   // Label 23405: @1712049
     /* 1712049 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1712135), // Rule ID 10325 //
     /* 1712054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712100 */     // MIs[0] policy
     /* 1712100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1712113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712134 */     // GIR_Coverage, 10325,
     /* 1712134 */     GIR_EraseRootFromParent_Done,
     /* 1712135 */   // Label 23406: @1712135
     /* 1712135 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1712221), // Rule ID 10328 //
     /* 1712140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1712151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1712154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1712157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1712160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712186 */     // MIs[0] policy
     /* 1712186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712220 */     // GIR_Coverage, 10328,
     /* 1712220 */     GIR_EraseRootFromParent_Done,
     /* 1712221 */   // Label 23407: @1712221
     /* 1712221 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1712307), // Rule ID 10329 //
     /* 1712226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1712237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1712240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1712243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1712246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712272 */     // MIs[0] policy
     /* 1712272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712306 */     // GIR_Coverage, 10329,
     /* 1712306 */     GIR_EraseRootFromParent_Done,
     /* 1712307 */   // Label 23408: @1712307
     /* 1712307 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1712393), // Rule ID 10332 //
     /* 1712312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1712323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1712326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1712329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1712332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712358 */     // MIs[0] policy
     /* 1712358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712392 */     // GIR_Coverage, 10332,
     /* 1712392 */     GIR_EraseRootFromParent_Done,
     /* 1712393 */   // Label 23409: @1712393
     /* 1712393 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1712479), // Rule ID 10333 //
     /* 1712398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1712409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1712412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1712415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1712418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712444 */     // MIs[0] policy
     /* 1712444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712478 */     // GIR_Coverage, 10333,
     /* 1712478 */     GIR_EraseRootFromParent_Done,
     /* 1712479 */   // Label 23410: @1712479
     /* 1712479 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1712565), // Rule ID 10336 //
     /* 1712484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1712495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1712498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1712501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712530 */     // MIs[0] policy
     /* 1712530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1712543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712564 */     // GIR_Coverage, 10336,
     /* 1712564 */     GIR_EraseRootFromParent_Done,
     /* 1712565 */   // Label 23411: @1712565
     /* 1712565 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1712651), // Rule ID 10337 //
     /* 1712570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1712581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1712584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1712587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712616 */     // MIs[0] policy
     /* 1712616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1712629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712650 */     // GIR_Coverage, 10337,
     /* 1712650 */     GIR_EraseRootFromParent_Done,
     /* 1712651 */   // Label 23412: @1712651
     /* 1712651 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1712737), // Rule ID 10340 //
     /* 1712656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1712667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1712670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1712673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712702 */     // MIs[0] policy
     /* 1712702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1712715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712736 */     // GIR_Coverage, 10340,
     /* 1712736 */     GIR_EraseRootFromParent_Done,
     /* 1712737 */   // Label 23413: @1712737
     /* 1712737 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1712823), // Rule ID 10341 //
     /* 1712742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1712753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1712756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1712759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712788 */     // MIs[0] policy
     /* 1712788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1712801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712822 */     // GIR_Coverage, 10341,
     /* 1712822 */     GIR_EraseRootFromParent_Done,
     /* 1712823 */   // Label 23414: @1712823
     /* 1712823 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1712909), // Rule ID 10344 //
     /* 1712828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1712839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1712842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1712845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712874 */     // MIs[0] policy
     /* 1712874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1712887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712908 */     // GIR_Coverage, 10344,
     /* 1712908 */     GIR_EraseRootFromParent_Done,
     /* 1712909 */   // Label 23415: @1712909
     /* 1712909 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1712995), // Rule ID 10345 //
     /* 1712914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1712925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1712928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1712931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712960 */     // MIs[0] policy
     /* 1712960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1712973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712994 */     // GIR_Coverage, 10345,
     /* 1712994 */     GIR_EraseRootFromParent_Done,
     /* 1712995 */   // Label 23416: @1712995
     /* 1712995 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1713081), // Rule ID 10348 //
     /* 1713000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713046 */     // MIs[0] policy
     /* 1713046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713080 */     // GIR_Coverage, 10348,
     /* 1713080 */     GIR_EraseRootFromParent_Done,
     /* 1713081 */   // Label 23417: @1713081
     /* 1713081 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1713167), // Rule ID 10349 //
     /* 1713086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713132 */     // MIs[0] policy
     /* 1713132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713166 */     // GIR_Coverage, 10349,
     /* 1713166 */     GIR_EraseRootFromParent_Done,
     /* 1713167 */   // Label 23418: @1713167
     /* 1713167 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1713253), // Rule ID 10352 //
     /* 1713172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1713183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1713186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1713189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713218 */     // MIs[0] policy
     /* 1713218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713252 */     // GIR_Coverage, 10352,
     /* 1713252 */     GIR_EraseRootFromParent_Done,
     /* 1713253 */   // Label 23419: @1713253
     /* 1713253 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1713339), // Rule ID 10353 //
     /* 1713258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1713269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1713272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1713275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713304 */     // MIs[0] policy
     /* 1713304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713338 */     // GIR_Coverage, 10353,
     /* 1713338 */     GIR_EraseRootFromParent_Done,
     /* 1713339 */   // Label 23420: @1713339
     /* 1713339 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1713425), // Rule ID 10356 //
     /* 1713344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713390 */     // MIs[0] policy
     /* 1713390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713424 */     // GIR_Coverage, 10356,
     /* 1713424 */     GIR_EraseRootFromParent_Done,
     /* 1713425 */   // Label 23421: @1713425
     /* 1713425 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1713511), // Rule ID 10357 //
     /* 1713430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713476 */     // MIs[0] policy
     /* 1713476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713510 */     // GIR_Coverage, 10357,
     /* 1713510 */     GIR_EraseRootFromParent_Done,
     /* 1713511 */   // Label 23422: @1713511
     /* 1713511 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1713597), // Rule ID 10360 //
     /* 1713516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1713527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1713530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1713533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713562 */     // MIs[0] policy
     /* 1713562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1713575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713596 */     // GIR_Coverage, 10360,
     /* 1713596 */     GIR_EraseRootFromParent_Done,
     /* 1713597 */   // Label 23423: @1713597
     /* 1713597 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1713683), // Rule ID 10361 //
     /* 1713602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1713613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1713616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1713619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713648 */     // MIs[0] policy
     /* 1713648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1713661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713682 */     // GIR_Coverage, 10361,
     /* 1713682 */     GIR_EraseRootFromParent_Done,
     /* 1713683 */   // Label 23424: @1713683
     /* 1713683 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1713769), // Rule ID 10364 //
     /* 1713688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1713699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1713702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1713705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713734 */     // MIs[0] policy
     /* 1713734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1713747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713768 */     // GIR_Coverage, 10364,
     /* 1713768 */     GIR_EraseRootFromParent_Done,
     /* 1713769 */   // Label 23425: @1713769
     /* 1713769 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1713855), // Rule ID 10365 //
     /* 1713774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1713785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1713788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1713791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713820 */     // MIs[0] policy
     /* 1713820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1713833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713854 */     // GIR_Coverage, 10365,
     /* 1713854 */     GIR_EraseRootFromParent_Done,
     /* 1713855 */   // Label 23426: @1713855
     /* 1713855 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1713941), // Rule ID 10368 //
     /* 1713860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1713877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713906 */     // MIs[0] policy
     /* 1713906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1713919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713940 */     // GIR_Coverage, 10368,
     /* 1713940 */     GIR_EraseRootFromParent_Done,
     /* 1713941 */   // Label 23427: @1713941
     /* 1713941 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1714027), // Rule ID 10369 //
     /* 1713946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1713963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713992 */     // MIs[0] policy
     /* 1713992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714026 */     // GIR_Coverage, 10369,
     /* 1714026 */     GIR_EraseRootFromParent_Done,
     /* 1714027 */   // Label 23428: @1714027
     /* 1714027 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1714113), // Rule ID 10372 //
     /* 1714032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714078 */     // MIs[0] policy
     /* 1714078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714112 */     // GIR_Coverage, 10372,
     /* 1714112 */     GIR_EraseRootFromParent_Done,
     /* 1714113 */   // Label 23429: @1714113
     /* 1714113 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1714199), // Rule ID 10373 //
     /* 1714118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714164 */     // MIs[0] policy
     /* 1714164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714198 */     // GIR_Coverage, 10373,
     /* 1714198 */     GIR_EraseRootFromParent_Done,
     /* 1714199 */   // Label 23430: @1714199
     /* 1714199 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1714285), // Rule ID 10376 //
     /* 1714204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1714221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714250 */     // MIs[0] policy
     /* 1714250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714284 */     // GIR_Coverage, 10376,
     /* 1714284 */     GIR_EraseRootFromParent_Done,
     /* 1714285 */   // Label 23431: @1714285
     /* 1714285 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1714371), // Rule ID 10377 //
     /* 1714290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1714307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714336 */     // MIs[0] policy
     /* 1714336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714370 */     // GIR_Coverage, 10377,
     /* 1714370 */     GIR_EraseRootFromParent_Done,
     /* 1714371 */   // Label 23432: @1714371
     /* 1714371 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1714457), // Rule ID 10380 //
     /* 1714376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714422 */     // MIs[0] policy
     /* 1714422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1714435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714456 */     // GIR_Coverage, 10380,
     /* 1714456 */     GIR_EraseRootFromParent_Done,
     /* 1714457 */   // Label 23433: @1714457
     /* 1714457 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1714543), // Rule ID 10381 //
     /* 1714462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714508 */     // MIs[0] policy
     /* 1714508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1714521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714542 */     // GIR_Coverage, 10381,
     /* 1714542 */     GIR_EraseRootFromParent_Done,
     /* 1714543 */   // Label 23434: @1714543
     /* 1714543 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1714629), // Rule ID 10384 //
     /* 1714548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1714559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1714562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1714565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1714571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714594 */     // MIs[0] policy
     /* 1714594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1714607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714628 */     // GIR_Coverage, 10384,
     /* 1714628 */     GIR_EraseRootFromParent_Done,
     /* 1714629 */   // Label 23435: @1714629
     /* 1714629 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1714715), // Rule ID 10385 //
     /* 1714634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1714645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1714648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1714651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1714657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714680 */     // MIs[0] policy
     /* 1714680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1714693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714714 */     // GIR_Coverage, 10385,
     /* 1714714 */     GIR_EraseRootFromParent_Done,
     /* 1714715 */   // Label 23436: @1714715
     /* 1714715 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1714801), // Rule ID 10388 //
     /* 1714720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1714731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1714734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714766 */     // MIs[0] policy
     /* 1714766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714800 */     // GIR_Coverage, 10388,
     /* 1714800 */     GIR_EraseRootFromParent_Done,
     /* 1714801 */   // Label 23437: @1714801
     /* 1714801 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1714887), // Rule ID 10389 //
     /* 1714806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1714817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1714820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714852 */     // MIs[0] policy
     /* 1714852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714886 */     // GIR_Coverage, 10389,
     /* 1714886 */     GIR_EraseRootFromParent_Done,
     /* 1714887 */   // Label 23438: @1714887
     /* 1714887 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1714973), // Rule ID 10392 //
     /* 1714892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1714903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1714906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714938 */     // MIs[0] policy
     /* 1714938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1714951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714972 */     // GIR_Coverage, 10392,
     /* 1714972 */     GIR_EraseRootFromParent_Done,
     /* 1714973 */   // Label 23439: @1714973
     /* 1714973 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1715059), // Rule ID 10393 //
     /* 1714978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1714989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1714992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715024 */     // MIs[0] policy
     /* 1715024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715058 */     // GIR_Coverage, 10393,
     /* 1715058 */     GIR_EraseRootFromParent_Done,
     /* 1715059 */   // Label 23440: @1715059
     /* 1715059 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1715145), // Rule ID 10396 //
     /* 1715064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715110 */     // MIs[0] policy
     /* 1715110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715144 */     // GIR_Coverage, 10396,
     /* 1715144 */     GIR_EraseRootFromParent_Done,
     /* 1715145 */   // Label 23441: @1715145
     /* 1715145 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1715231), // Rule ID 10397 //
     /* 1715150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715196 */     // MIs[0] policy
     /* 1715196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715230 */     // GIR_Coverage, 10397,
     /* 1715230 */     GIR_EraseRootFromParent_Done,
     /* 1715231 */   // Label 23442: @1715231
     /* 1715231 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1715317), // Rule ID 10400 //
     /* 1715236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1715247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1715250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715282 */     // MIs[0] policy
     /* 1715282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715316 */     // GIR_Coverage, 10400,
     /* 1715316 */     GIR_EraseRootFromParent_Done,
     /* 1715317 */   // Label 23443: @1715317
     /* 1715317 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1715403), // Rule ID 10401 //
     /* 1715322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1715333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1715336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715368 */     // MIs[0] policy
     /* 1715368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715402 */     // GIR_Coverage, 10401,
     /* 1715402 */     GIR_EraseRootFromParent_Done,
     /* 1715403 */   // Label 23444: @1715403
     /* 1715403 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1715489), // Rule ID 10404 //
     /* 1715408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715454 */     // MIs[0] policy
     /* 1715454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715488 */     // GIR_Coverage, 10404,
     /* 1715488 */     GIR_EraseRootFromParent_Done,
     /* 1715489 */   // Label 23445: @1715489
     /* 1715489 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1715575), // Rule ID 10405 //
     /* 1715494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715540 */     // MIs[0] policy
     /* 1715540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715574 */     // GIR_Coverage, 10405,
     /* 1715574 */     GIR_EraseRootFromParent_Done,
     /* 1715575 */   // Label 23446: @1715575
     /* 1715575 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1715661), // Rule ID 10408 //
     /* 1715580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1715591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1715594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1715597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715626 */     // MIs[0] policy
     /* 1715626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715660 */     // GIR_Coverage, 10408,
     /* 1715660 */     GIR_EraseRootFromParent_Done,
     /* 1715661 */   // Label 23447: @1715661
     /* 1715661 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1715747), // Rule ID 10409 //
     /* 1715666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1715677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1715680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1715683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715712 */     // MIs[0] policy
     /* 1715712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715746 */     // GIR_Coverage, 10409,
     /* 1715746 */     GIR_EraseRootFromParent_Done,
     /* 1715747 */   // Label 23448: @1715747
     /* 1715747 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1715833), // Rule ID 10412 //
     /* 1715752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1715763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1715766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1715769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715798 */     // MIs[0] policy
     /* 1715798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715832 */     // GIR_Coverage, 10412,
     /* 1715832 */     GIR_EraseRootFromParent_Done,
     /* 1715833 */   // Label 23449: @1715833
     /* 1715833 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1715919), // Rule ID 10413 //
     /* 1715838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1715849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1715852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1715855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715884 */     // MIs[0] policy
     /* 1715884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715918 */     // GIR_Coverage, 10413,
     /* 1715918 */     GIR_EraseRootFromParent_Done,
     /* 1715919 */   // Label 23450: @1715919
     /* 1715919 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1716005), // Rule ID 10416 //
     /* 1715924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1715935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1715938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1715941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715970 */     // MIs[0] policy
     /* 1715970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716004 */     // GIR_Coverage, 10416,
     /* 1716004 */     GIR_EraseRootFromParent_Done,
     /* 1716005 */   // Label 23451: @1716005
     /* 1716005 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1716091), // Rule ID 10417 //
     /* 1716010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716056 */     // MIs[0] policy
     /* 1716056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1716069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716090 */     // GIR_Coverage, 10417,
     /* 1716090 */     GIR_EraseRootFromParent_Done,
     /* 1716091 */   // Label 23452: @1716091
     /* 1716091 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1716177), // Rule ID 10420 //
     /* 1716096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716142 */     // MIs[0] policy
     /* 1716142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716176 */     // GIR_Coverage, 10420,
     /* 1716176 */     GIR_EraseRootFromParent_Done,
     /* 1716177 */   // Label 23453: @1716177
     /* 1716177 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1716263), // Rule ID 10421 //
     /* 1716182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716228 */     // MIs[0] policy
     /* 1716228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716262 */     // GIR_Coverage, 10421,
     /* 1716262 */     GIR_EraseRootFromParent_Done,
     /* 1716263 */   // Label 23454: @1716263
     /* 1716263 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1716349), // Rule ID 10424 //
     /* 1716268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1716279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1716282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1716285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1716288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716314 */     // MIs[0] policy
     /* 1716314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1716327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716348 */     // GIR_Coverage, 10424,
     /* 1716348 */     GIR_EraseRootFromParent_Done,
     /* 1716349 */   // Label 23455: @1716349
     /* 1716349 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1716435), // Rule ID 10425 //
     /* 1716354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1716365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1716368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1716371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1716374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716400 */     // MIs[0] policy
     /* 1716400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1716413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716434 */     // GIR_Coverage, 10425,
     /* 1716434 */     GIR_EraseRootFromParent_Done,
     /* 1716435 */   // Label 23456: @1716435
     /* 1716435 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1716521), // Rule ID 10428 //
     /* 1716440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1716451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1716454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1716457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1716460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716486 */     // MIs[0] policy
     /* 1716486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1716499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716520 */     // GIR_Coverage, 10428,
     /* 1716520 */     GIR_EraseRootFromParent_Done,
     /* 1716521 */   // Label 23457: @1716521
     /* 1716521 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1716607), // Rule ID 10429 //
     /* 1716526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1716537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1716540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1716543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1716546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716572 */     // MIs[0] policy
     /* 1716572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1716585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716606 */     // GIR_Coverage, 10429,
     /* 1716606 */     GIR_EraseRootFromParent_Done,
     /* 1716607 */   // Label 23458: @1716607
     /* 1716607 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1716693), // Rule ID 10432 //
     /* 1716612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1716623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1716626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1716629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1716632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716658 */     // MIs[0] policy
     /* 1716658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1716671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716692 */     // GIR_Coverage, 10432,
     /* 1716692 */     GIR_EraseRootFromParent_Done,
     /* 1716693 */   // Label 23459: @1716693
     /* 1716693 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1716779), // Rule ID 10433 //
     /* 1716698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1716709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1716712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1716715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1716718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716744 */     // MIs[0] policy
     /* 1716744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1716757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716778 */     // GIR_Coverage, 10433,
     /* 1716778 */     GIR_EraseRootFromParent_Done,
     /* 1716779 */   // Label 23460: @1716779
     /* 1716779 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1716865), // Rule ID 10436 //
     /* 1716784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1716795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1716798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1716801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1716804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716830 */     // MIs[0] policy
     /* 1716830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1716843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716864 */     // GIR_Coverage, 10436,
     /* 1716864 */     GIR_EraseRootFromParent_Done,
     /* 1716865 */   // Label 23461: @1716865
     /* 1716865 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1716951), // Rule ID 10437 //
     /* 1716870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1716881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1716884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1716887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1716890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716916 */     // MIs[0] policy
     /* 1716916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1716929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716950 */     // GIR_Coverage, 10437,
     /* 1716950 */     GIR_EraseRootFromParent_Done,
     /* 1716951 */   // Label 23462: @1716951
     /* 1716951 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1717037), // Rule ID 10440 //
     /* 1716956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1716967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1716970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1716973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1716976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717002 */     // MIs[0] policy
     /* 1717002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717036 */     // GIR_Coverage, 10440,
     /* 1717036 */     GIR_EraseRootFromParent_Done,
     /* 1717037 */   // Label 23463: @1717037
     /* 1717037 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1717123), // Rule ID 10441 //
     /* 1717042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717088 */     // MIs[0] policy
     /* 1717088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717122 */     // GIR_Coverage, 10441,
     /* 1717122 */     GIR_EraseRootFromParent_Done,
     /* 1717123 */   // Label 23464: @1717123
     /* 1717123 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1717209), // Rule ID 10444 //
     /* 1717128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1717148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717174 */     // MIs[0] policy
     /* 1717174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717208 */     // GIR_Coverage, 10444,
     /* 1717208 */     GIR_EraseRootFromParent_Done,
     /* 1717209 */   // Label 23465: @1717209
     /* 1717209 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1717295), // Rule ID 10445 //
     /* 1717214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1717234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717260 */     // MIs[0] policy
     /* 1717260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717294 */     // GIR_Coverage, 10445,
     /* 1717294 */     GIR_EraseRootFromParent_Done,
     /* 1717295 */   // Label 23466: @1717295
     /* 1717295 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1717381), // Rule ID 10448 //
     /* 1717300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1717311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1717314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1717317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1717320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717346 */     // MIs[0] policy
     /* 1717346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717380 */     // GIR_Coverage, 10448,
     /* 1717380 */     GIR_EraseRootFromParent_Done,
     /* 1717381 */   // Label 23467: @1717381
     /* 1717381 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1717467), // Rule ID 10449 //
     /* 1717386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1717397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1717400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1717403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1717406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717432 */     // MIs[0] policy
     /* 1717432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717466 */     // GIR_Coverage, 10449,
     /* 1717466 */     GIR_EraseRootFromParent_Done,
     /* 1717467 */   // Label 23468: @1717467
     /* 1717467 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1717553), // Rule ID 10452 //
     /* 1717472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1717483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1717486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1717489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1717492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717518 */     // MIs[0] policy
     /* 1717518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717552 */     // GIR_Coverage, 10452,
     /* 1717552 */     GIR_EraseRootFromParent_Done,
     /* 1717553 */   // Label 23469: @1717553
     /* 1717553 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1717639), // Rule ID 10453 //
     /* 1717558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1717569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1717572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1717575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1717578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717604 */     // MIs[0] policy
     /* 1717604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717638 */     // GIR_Coverage, 10453,
     /* 1717638 */     GIR_EraseRootFromParent_Done,
     /* 1717639 */   // Label 23470: @1717639
     /* 1717639 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1717725), // Rule ID 10456 //
     /* 1717644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1717655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1717658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1717661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1717664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717690 */     // MIs[0] policy
     /* 1717690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717724 */     // GIR_Coverage, 10456,
     /* 1717724 */     GIR_EraseRootFromParent_Done,
     /* 1717725 */   // Label 23471: @1717725
     /* 1717725 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1717811), // Rule ID 10457 //
     /* 1717730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1717741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1717744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1717747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1717750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717776 */     // MIs[0] policy
     /* 1717776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717810 */     // GIR_Coverage, 10457,
     /* 1717810 */     GIR_EraseRootFromParent_Done,
     /* 1717811 */   // Label 23472: @1717811
     /* 1717811 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1717897), // Rule ID 10460 //
     /* 1717816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1717827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1717830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1717833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1717836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717862 */     // MIs[0] policy
     /* 1717862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717896 */     // GIR_Coverage, 10460,
     /* 1717896 */     GIR_EraseRootFromParent_Done,
     /* 1717897 */   // Label 23473: @1717897
     /* 1717897 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1717983), // Rule ID 10461 //
     /* 1717902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1717913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1717916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1717919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1717922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717948 */     // MIs[0] policy
     /* 1717948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717982 */     // GIR_Coverage, 10461,
     /* 1717982 */     GIR_EraseRootFromParent_Done,
     /* 1717983 */   // Label 23474: @1717983
     /* 1717983 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1718069), // Rule ID 10464 //
     /* 1717988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1717999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718034 */     // MIs[0] policy
     /* 1718034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718068 */     // GIR_Coverage, 10464,
     /* 1718068 */     GIR_EraseRootFromParent_Done,
     /* 1718069 */   // Label 23475: @1718069
     /* 1718069 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1718155), // Rule ID 10465 //
     /* 1718074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718120 */     // MIs[0] policy
     /* 1718120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718154 */     // GIR_Coverage, 10465,
     /* 1718154 */     GIR_EraseRootFromParent_Done,
     /* 1718155 */   // Label 23476: @1718155
     /* 1718155 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1718241), // Rule ID 10468 //
     /* 1718160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1718171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1718174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1718177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1718180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718206 */     // MIs[0] policy
     /* 1718206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718240 */     // GIR_Coverage, 10468,
     /* 1718240 */     GIR_EraseRootFromParent_Done,
     /* 1718241 */   // Label 23477: @1718241
     /* 1718241 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1718327), // Rule ID 10469 //
     /* 1718246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1718257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1718260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1718263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1718266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718292 */     // MIs[0] policy
     /* 1718292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718326 */     // GIR_Coverage, 10469,
     /* 1718326 */     GIR_EraseRootFromParent_Done,
     /* 1718327 */   // Label 23478: @1718327
     /* 1718327 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1718413), // Rule ID 10472 //
     /* 1718332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718378 */     // MIs[0] policy
     /* 1718378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718412 */     // GIR_Coverage, 10472,
     /* 1718412 */     GIR_EraseRootFromParent_Done,
     /* 1718413 */   // Label 23479: @1718413
     /* 1718413 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1718499), // Rule ID 10473 //
     /* 1718418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718464 */     // MIs[0] policy
     /* 1718464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718498 */     // GIR_Coverage, 10473,
     /* 1718498 */     GIR_EraseRootFromParent_Done,
     /* 1718499 */   // Label 23480: @1718499
     /* 1718499 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1718585), // Rule ID 10476 //
     /* 1718504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1718515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1718518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1718521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1718524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718550 */     // MIs[0] policy
     /* 1718550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718584 */     // GIR_Coverage, 10476,
     /* 1718584 */     GIR_EraseRootFromParent_Done,
     /* 1718585 */   // Label 23481: @1718585
     /* 1718585 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1718671), // Rule ID 10477 //
     /* 1718590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1718601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1718604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1718607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1718610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718636 */     // MIs[0] policy
     /* 1718636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718670 */     // GIR_Coverage, 10477,
     /* 1718670 */     GIR_EraseRootFromParent_Done,
     /* 1718671 */   // Label 23482: @1718671
     /* 1718671 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1718757), // Rule ID 10480 //
     /* 1718676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1718687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1718690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1718693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1718696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718722 */     // MIs[0] policy
     /* 1718722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718756 */     // GIR_Coverage, 10480,
     /* 1718756 */     GIR_EraseRootFromParent_Done,
     /* 1718757 */   // Label 23483: @1718757
     /* 1718757 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1718843), // Rule ID 10481 //
     /* 1718762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1718773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1718776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1718779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1718782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718808 */     // MIs[0] policy
     /* 1718808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718842 */     // GIR_Coverage, 10481,
     /* 1718842 */     GIR_EraseRootFromParent_Done,
     /* 1718843 */   // Label 23484: @1718843
     /* 1718843 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1718929), // Rule ID 10484 //
     /* 1718848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1718859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1718862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1718865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1718868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718894 */     // MIs[0] policy
     /* 1718894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718928 */     // GIR_Coverage, 10484,
     /* 1718928 */     GIR_EraseRootFromParent_Done,
     /* 1718929 */   // Label 23485: @1718929
     /* 1718929 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1719015), // Rule ID 10485 //
     /* 1718934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1718945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1718948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1718951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1718954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718980 */     // MIs[0] policy
     /* 1718980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719014 */     // GIR_Coverage, 10485,
     /* 1719014 */     GIR_EraseRootFromParent_Done,
     /* 1719015 */   // Label 23486: @1719015
     /* 1719015 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1719101), // Rule ID 10488 //
     /* 1719020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719066 */     // MIs[0] policy
     /* 1719066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719100 */     // GIR_Coverage, 10488,
     /* 1719100 */     GIR_EraseRootFromParent_Done,
     /* 1719101 */   // Label 23487: @1719101
     /* 1719101 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1719187), // Rule ID 10489 //
     /* 1719106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719152 */     // MIs[0] policy
     /* 1719152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719186 */     // GIR_Coverage, 10489,
     /* 1719186 */     GIR_EraseRootFromParent_Done,
     /* 1719187 */   // Label 23488: @1719187
     /* 1719187 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1719273), // Rule ID 10492 //
     /* 1719192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1719203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1719206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1719209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1719212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719238 */     // MIs[0] policy
     /* 1719238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719272 */     // GIR_Coverage, 10492,
     /* 1719272 */     GIR_EraseRootFromParent_Done,
     /* 1719273 */   // Label 23489: @1719273
     /* 1719273 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1719359), // Rule ID 10493 //
     /* 1719278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1719289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1719292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1719295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1719298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719324 */     // MIs[0] policy
     /* 1719324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719358 */     // GIR_Coverage, 10493,
     /* 1719358 */     GIR_EraseRootFromParent_Done,
     /* 1719359 */   // Label 23490: @1719359
     /* 1719359 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1719445), // Rule ID 10496 //
     /* 1719364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719410 */     // MIs[0] policy
     /* 1719410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719444 */     // GIR_Coverage, 10496,
     /* 1719444 */     GIR_EraseRootFromParent_Done,
     /* 1719445 */   // Label 23491: @1719445
     /* 1719445 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1719531), // Rule ID 10497 //
     /* 1719450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719496 */     // MIs[0] policy
     /* 1719496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719530 */     // GIR_Coverage, 10497,
     /* 1719530 */     GIR_EraseRootFromParent_Done,
     /* 1719531 */   // Label 23492: @1719531
     /* 1719531 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1719617), // Rule ID 10500 //
     /* 1719536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1719547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1719550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1719553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1719556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719582 */     // MIs[0] policy
     /* 1719582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719616 */     // GIR_Coverage, 10500,
     /* 1719616 */     GIR_EraseRootFromParent_Done,
     /* 1719617 */   // Label 23493: @1719617
     /* 1719617 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1719703), // Rule ID 10501 //
     /* 1719622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1719633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1719636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1719639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1719642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719668 */     // MIs[0] policy
     /* 1719668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719702 */     // GIR_Coverage, 10501,
     /* 1719702 */     GIR_EraseRootFromParent_Done,
     /* 1719703 */   // Label 23494: @1719703
     /* 1719703 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1719789), // Rule ID 10504 //
     /* 1719708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1719719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1719722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1719725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1719728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719754 */     // MIs[0] policy
     /* 1719754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719788 */     // GIR_Coverage, 10504,
     /* 1719788 */     GIR_EraseRootFromParent_Done,
     /* 1719789 */   // Label 23495: @1719789
     /* 1719789 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1719875), // Rule ID 10505 //
     /* 1719794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1719805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1719808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1719811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1719814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719840 */     // MIs[0] policy
     /* 1719840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719874 */     // GIR_Coverage, 10505,
     /* 1719874 */     GIR_EraseRootFromParent_Done,
     /* 1719875 */   // Label 23496: @1719875
     /* 1719875 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1719961), // Rule ID 10508 //
     /* 1719880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1719891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1719894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1719897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1719900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719926 */     // MIs[0] policy
     /* 1719926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719960 */     // GIR_Coverage, 10508,
     /* 1719960 */     GIR_EraseRootFromParent_Done,
     /* 1719961 */   // Label 23497: @1719961
     /* 1719961 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1720047), // Rule ID 10509 //
     /* 1719966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1719977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1719980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1719983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1719986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720012 */     // MIs[0] policy
     /* 1720012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1720025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720046 */     // GIR_Coverage, 10509,
     /* 1720046 */     GIR_EraseRootFromParent_Done,
     /* 1720047 */   // Label 23498: @1720047
     /* 1720047 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1720133), // Rule ID 10512 //
     /* 1720052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720098 */     // MIs[0] policy
     /* 1720098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1720111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720132 */     // GIR_Coverage, 10512,
     /* 1720132 */     GIR_EraseRootFromParent_Done,
     /* 1720133 */   // Label 23499: @1720133
     /* 1720133 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1720219), // Rule ID 10513 //
     /* 1720138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720184 */     // MIs[0] policy
     /* 1720184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1720197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720218 */     // GIR_Coverage, 10513,
     /* 1720218 */     GIR_EraseRootFromParent_Done,
     /* 1720219 */   // Label 23500: @1720219
     /* 1720219 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1720305), // Rule ID 10516 //
     /* 1720224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1720235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1720238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1720241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720270 */     // MIs[0] policy
     /* 1720270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720304 */     // GIR_Coverage, 10516,
     /* 1720304 */     GIR_EraseRootFromParent_Done,
     /* 1720305 */   // Label 23501: @1720305
     /* 1720305 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1720391), // Rule ID 10517 //
     /* 1720310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1720321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1720324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1720327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720356 */     // MIs[0] policy
     /* 1720356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720390 */     // GIR_Coverage, 10517,
     /* 1720390 */     GIR_EraseRootFromParent_Done,
     /* 1720391 */   // Label 23502: @1720391
     /* 1720391 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1720477), // Rule ID 10520 //
     /* 1720396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720442 */     // MIs[0] policy
     /* 1720442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720476 */     // GIR_Coverage, 10520,
     /* 1720476 */     GIR_EraseRootFromParent_Done,
     /* 1720477 */   // Label 23503: @1720477
     /* 1720477 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1720563), // Rule ID 10521 //
     /* 1720482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720528 */     // MIs[0] policy
     /* 1720528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720562 */     // GIR_Coverage, 10521,
     /* 1720562 */     GIR_EraseRootFromParent_Done,
     /* 1720563 */   // Label 23504: @1720563
     /* 1720563 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1720649), // Rule ID 10524 //
     /* 1720568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1720579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1720582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1720585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720614 */     // MIs[0] policy
     /* 1720614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720648 */     // GIR_Coverage, 10524,
     /* 1720648 */     GIR_EraseRootFromParent_Done,
     /* 1720649 */   // Label 23505: @1720649
     /* 1720649 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1720735), // Rule ID 10525 //
     /* 1720654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1720665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1720668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1720671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720700 */     // MIs[0] policy
     /* 1720700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720734 */     // GIR_Coverage, 10525,
     /* 1720734 */     GIR_EraseRootFromParent_Done,
     /* 1720735 */   // Label 23506: @1720735
     /* 1720735 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1720821), // Rule ID 10528 //
     /* 1720740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1720751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1720754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1720757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720786 */     // MIs[0] policy
     /* 1720786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720820 */     // GIR_Coverage, 10528,
     /* 1720820 */     GIR_EraseRootFromParent_Done,
     /* 1720821 */   // Label 23507: @1720821
     /* 1720821 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1720907), // Rule ID 10529 //
     /* 1720826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1720837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1720840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1720843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720872 */     // MIs[0] policy
     /* 1720872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720906 */     // GIR_Coverage, 10529,
     /* 1720906 */     GIR_EraseRootFromParent_Done,
     /* 1720907 */   // Label 23508: @1720907
     /* 1720907 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1720993), // Rule ID 10532 //
     /* 1720912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1720923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1720926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1720929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720958 */     // MIs[0] policy
     /* 1720958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720992 */     // GIR_Coverage, 10532,
     /* 1720992 */     GIR_EraseRootFromParent_Done,
     /* 1720993 */   // Label 23509: @1720993
     /* 1720993 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1721079), // Rule ID 10533 //
     /* 1720998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721044 */     // MIs[0] policy
     /* 1721044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721078 */     // GIR_Coverage, 10533,
     /* 1721078 */     GIR_EraseRootFromParent_Done,
     /* 1721079 */   // Label 23510: @1721079
     /* 1721079 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1721165), // Rule ID 10536 //
     /* 1721084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721130 */     // MIs[0] policy
     /* 1721130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721164 */     // GIR_Coverage, 10536,
     /* 1721164 */     GIR_EraseRootFromParent_Done,
     /* 1721165 */   // Label 23511: @1721165
     /* 1721165 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1721251), // Rule ID 10537 //
     /* 1721170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721216 */     // MIs[0] policy
     /* 1721216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721250 */     // GIR_Coverage, 10537,
     /* 1721250 */     GIR_EraseRootFromParent_Done,
     /* 1721251 */   // Label 23512: @1721251
     /* 1721251 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1721337), // Rule ID 10540 //
     /* 1721256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1721267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1721270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1721273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721302 */     // MIs[0] policy
     /* 1721302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721336 */     // GIR_Coverage, 10540,
     /* 1721336 */     GIR_EraseRootFromParent_Done,
     /* 1721337 */   // Label 23513: @1721337
     /* 1721337 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1721423), // Rule ID 10541 //
     /* 1721342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1721353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1721356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1721359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721388 */     // MIs[0] policy
     /* 1721388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721422 */     // GIR_Coverage, 10541,
     /* 1721422 */     GIR_EraseRootFromParent_Done,
     /* 1721423 */   // Label 23514: @1721423
     /* 1721423 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1721509), // Rule ID 10544 //
     /* 1721428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721474 */     // MIs[0] policy
     /* 1721474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721508 */     // GIR_Coverage, 10544,
     /* 1721508 */     GIR_EraseRootFromParent_Done,
     /* 1721509 */   // Label 23515: @1721509
     /* 1721509 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1721595), // Rule ID 10545 //
     /* 1721514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721560 */     // MIs[0] policy
     /* 1721560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721594 */     // GIR_Coverage, 10545,
     /* 1721594 */     GIR_EraseRootFromParent_Done,
     /* 1721595 */   // Label 23516: @1721595
     /* 1721595 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1721681), // Rule ID 10548 //
     /* 1721600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1721611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1721614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1721617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721646 */     // MIs[0] policy
     /* 1721646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721680 */     // GIR_Coverage, 10548,
     /* 1721680 */     GIR_EraseRootFromParent_Done,
     /* 1721681 */   // Label 23517: @1721681
     /* 1721681 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1721767), // Rule ID 10549 //
     /* 1721686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1721697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1721700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1721703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721732 */     // MIs[0] policy
     /* 1721732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721766 */     // GIR_Coverage, 10549,
     /* 1721766 */     GIR_EraseRootFromParent_Done,
     /* 1721767 */   // Label 23518: @1721767
     /* 1721767 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1721853), // Rule ID 10552 //
     /* 1721772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1721783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1721786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1721789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721818 */     // MIs[0] policy
     /* 1721818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1721831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721852 */     // GIR_Coverage, 10552,
     /* 1721852 */     GIR_EraseRootFromParent_Done,
     /* 1721853 */   // Label 23519: @1721853
     /* 1721853 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1721939), // Rule ID 10553 //
     /* 1721858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1721869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1721872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1721875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721904 */     // MIs[0] policy
     /* 1721904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1721917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721938 */     // GIR_Coverage, 10553,
     /* 1721938 */     GIR_EraseRootFromParent_Done,
     /* 1721939 */   // Label 23520: @1721939
     /* 1721939 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1722025), // Rule ID 10556 //
     /* 1721944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1721955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1721958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1721961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1721967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721990 */     // MIs[0] policy
     /* 1721990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722024 */     // GIR_Coverage, 10556,
     /* 1722024 */     GIR_EraseRootFromParent_Done,
     /* 1722025 */   // Label 23521: @1722025
     /* 1722025 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1722111), // Rule ID 10557 //
     /* 1722030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722076 */     // MIs[0] policy
     /* 1722076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722110 */     // GIR_Coverage, 10557,
     /* 1722110 */     GIR_EraseRootFromParent_Done,
     /* 1722111 */   // Label 23522: @1722111
     /* 1722111 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1722197), // Rule ID 10560 //
     /* 1722116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722162 */     // MIs[0] policy
     /* 1722162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722196 */     // GIR_Coverage, 10560,
     /* 1722196 */     GIR_EraseRootFromParent_Done,
     /* 1722197 */   // Label 23523: @1722197
     /* 1722197 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1722283), // Rule ID 10561 //
     /* 1722202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722248 */     // MIs[0] policy
     /* 1722248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722282 */     // GIR_Coverage, 10561,
     /* 1722282 */     GIR_EraseRootFromParent_Done,
     /* 1722283 */   // Label 23524: @1722283
     /* 1722283 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1722369), // Rule ID 10564 //
     /* 1722288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1722299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1722302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1722305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722334 */     // MIs[0] policy
     /* 1722334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722368 */     // GIR_Coverage, 10564,
     /* 1722368 */     GIR_EraseRootFromParent_Done,
     /* 1722369 */   // Label 23525: @1722369
     /* 1722369 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1722455), // Rule ID 10565 //
     /* 1722374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1722385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1722388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1722391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722420 */     // MIs[0] policy
     /* 1722420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722454 */     // GIR_Coverage, 10565,
     /* 1722454 */     GIR_EraseRootFromParent_Done,
     /* 1722455 */   // Label 23526: @1722455
     /* 1722455 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1722541), // Rule ID 10568 //
     /* 1722460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1722471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1722474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1722477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722506 */     // MIs[0] policy
     /* 1722506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722540 */     // GIR_Coverage, 10568,
     /* 1722540 */     GIR_EraseRootFromParent_Done,
     /* 1722541 */   // Label 23527: @1722541
     /* 1722541 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1722627), // Rule ID 10569 //
     /* 1722546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1722557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1722560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1722563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722592 */     // MIs[0] policy
     /* 1722592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722626 */     // GIR_Coverage, 10569,
     /* 1722626 */     GIR_EraseRootFromParent_Done,
     /* 1722627 */   // Label 23528: @1722627
     /* 1722627 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1722713), // Rule ID 10572 //
     /* 1722632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1722643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1722646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1722649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722678 */     // MIs[0] policy
     /* 1722678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722712 */     // GIR_Coverage, 10572,
     /* 1722712 */     GIR_EraseRootFromParent_Done,
     /* 1722713 */   // Label 23529: @1722713
     /* 1722713 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1722799), // Rule ID 10573 //
     /* 1722718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1722729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1722732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1722735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722764 */     // MIs[0] policy
     /* 1722764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722798 */     // GIR_Coverage, 10573,
     /* 1722798 */     GIR_EraseRootFromParent_Done,
     /* 1722799 */   // Label 23530: @1722799
     /* 1722799 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1722885), // Rule ID 10576 //
     /* 1722804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1722815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1722818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1722821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722850 */     // MIs[0] policy
     /* 1722850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722884 */     // GIR_Coverage, 10576,
     /* 1722884 */     GIR_EraseRootFromParent_Done,
     /* 1722885 */   // Label 23531: @1722885
     /* 1722885 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1722971), // Rule ID 10577 //
     /* 1722890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1722901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1722904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1722907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722936 */     // MIs[0] policy
     /* 1722936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722970 */     // GIR_Coverage, 10577,
     /* 1722970 */     GIR_EraseRootFromParent_Done,
     /* 1722971 */   // Label 23532: @1722971
     /* 1722971 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1723057), // Rule ID 10580 //
     /* 1722976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1722987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1722990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1722993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723022 */     // MIs[0] policy
     /* 1723022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723056 */     // GIR_Coverage, 10580,
     /* 1723056 */     GIR_EraseRootFromParent_Done,
     /* 1723057 */   // Label 23533: @1723057
     /* 1723057 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1723143), // Rule ID 10581 //
     /* 1723062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723108 */     // MIs[0] policy
     /* 1723108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723142 */     // GIR_Coverage, 10581,
     /* 1723142 */     GIR_EraseRootFromParent_Done,
     /* 1723143 */   // Label 23534: @1723143
     /* 1723143 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1723229), // Rule ID 10584 //
     /* 1723148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1723159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1723162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1723165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723194 */     // MIs[0] policy
     /* 1723194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723228 */     // GIR_Coverage, 10584,
     /* 1723228 */     GIR_EraseRootFromParent_Done,
     /* 1723229 */   // Label 23535: @1723229
     /* 1723229 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1723315), // Rule ID 10585 //
     /* 1723234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1723245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1723248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1723251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723280 */     // MIs[0] policy
     /* 1723280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723314 */     // GIR_Coverage, 10585,
     /* 1723314 */     GIR_EraseRootFromParent_Done,
     /* 1723315 */   // Label 23536: @1723315
     /* 1723315 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1723401), // Rule ID 10588 //
     /* 1723320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1723331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1723334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1723337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723366 */     // MIs[0] policy
     /* 1723366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723400 */     // GIR_Coverage, 10588,
     /* 1723400 */     GIR_EraseRootFromParent_Done,
     /* 1723401 */   // Label 23537: @1723401
     /* 1723401 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1723487), // Rule ID 10589 //
     /* 1723406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1723417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1723420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1723423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723452 */     // MIs[0] policy
     /* 1723452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723486 */     // GIR_Coverage, 10589,
     /* 1723486 */     GIR_EraseRootFromParent_Done,
     /* 1723487 */   // Label 23538: @1723487
     /* 1723487 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1723573), // Rule ID 10592 //
     /* 1723492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1723503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1723506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1723509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723538 */     // MIs[0] policy
     /* 1723538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723572 */     // GIR_Coverage, 10592,
     /* 1723572 */     GIR_EraseRootFromParent_Done,
     /* 1723573 */   // Label 23539: @1723573
     /* 1723573 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1723659), // Rule ID 10593 //
     /* 1723578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1723589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1723592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1723595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723624 */     // MIs[0] policy
     /* 1723624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723658 */     // GIR_Coverage, 10593,
     /* 1723658 */     GIR_EraseRootFromParent_Done,
     /* 1723659 */   // Label 23540: @1723659
     /* 1723659 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1723745), // Rule ID 10596 //
     /* 1723664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1723675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1723678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1723681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723710 */     // MIs[0] policy
     /* 1723710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723744 */     // GIR_Coverage, 10596,
     /* 1723744 */     GIR_EraseRootFromParent_Done,
     /* 1723745 */   // Label 23541: @1723745
     /* 1723745 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1723831), // Rule ID 10597 //
     /* 1723750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1723761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1723764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1723767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723796 */     // MIs[0] policy
     /* 1723796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11385:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723830 */     // GIR_Coverage, 10597,
     /* 1723830 */     GIR_EraseRootFromParent_Done,
     /* 1723831 */   // Label 23542: @1723831
     /* 1723831 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1723917), // Rule ID 10600 //
     /* 1723836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1723847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1723850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1723853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1723856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723882 */     // MIs[0] policy
     /* 1723882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1723895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723916 */     // GIR_Coverage, 10600,
     /* 1723916 */     GIR_EraseRootFromParent_Done,
     /* 1723917 */   // Label 23543: @1723917
     /* 1723917 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1724003), // Rule ID 10601 //
     /* 1723922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1723933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1723936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1723939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1723942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723968 */     // MIs[0] policy
     /* 1723968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1723981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724002 */     // GIR_Coverage, 10601,
     /* 1724002 */     GIR_EraseRootFromParent_Done,
     /* 1724003 */   // Label 23544: @1724003
     /* 1724003 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1724089), // Rule ID 10604 //
     /* 1724008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724054 */     // MIs[0] policy
     /* 1724054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724064 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724088 */     // GIR_Coverage, 10604,
     /* 1724088 */     GIR_EraseRootFromParent_Done,
     /* 1724089 */   // Label 23545: @1724089
     /* 1724089 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1724175), // Rule ID 10605 //
     /* 1724094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724140 */     // MIs[0] policy
     /* 1724140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724174 */     // GIR_Coverage, 10605,
     /* 1724174 */     GIR_EraseRootFromParent_Done,
     /* 1724175 */   // Label 23546: @1724175
     /* 1724175 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1724261), // Rule ID 10608 //
     /* 1724180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1724191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1724194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1724197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1724200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724226 */     // MIs[0] policy
     /* 1724226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724260 */     // GIR_Coverage, 10608,
     /* 1724260 */     GIR_EraseRootFromParent_Done,
     /* 1724261 */   // Label 23547: @1724261
     /* 1724261 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1724347), // Rule ID 10609 //
     /* 1724266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1724277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1724280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1724283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1724286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724312 */     // MIs[0] policy
     /* 1724312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724346 */     // GIR_Coverage, 10609,
     /* 1724346 */     GIR_EraseRootFromParent_Done,
     /* 1724347 */   // Label 23548: @1724347
     /* 1724347 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1724433), // Rule ID 10612 //
     /* 1724352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724398 */     // MIs[0] policy
     /* 1724398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724432 */     // GIR_Coverage, 10612,
     /* 1724432 */     GIR_EraseRootFromParent_Done,
     /* 1724433 */   // Label 23549: @1724433
     /* 1724433 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1724519), // Rule ID 10613 //
     /* 1724438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724484 */     // MIs[0] policy
     /* 1724484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724518 */     // GIR_Coverage, 10613,
     /* 1724518 */     GIR_EraseRootFromParent_Done,
     /* 1724519 */   // Label 23550: @1724519
     /* 1724519 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1724605), // Rule ID 10616 //
     /* 1724524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1724535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1724538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1724541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1724544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724570 */     // MIs[0] policy
     /* 1724570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724604 */     // GIR_Coverage, 10616,
     /* 1724604 */     GIR_EraseRootFromParent_Done,
     /* 1724605 */   // Label 23551: @1724605
     /* 1724605 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1724691), // Rule ID 10617 //
     /* 1724610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1724621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1724624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1724627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1724630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724656 */     // MIs[0] policy
     /* 1724656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724690 */     // GIR_Coverage, 10617,
     /* 1724690 */     GIR_EraseRootFromParent_Done,
     /* 1724691 */   // Label 23552: @1724691
     /* 1724691 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1724777), // Rule ID 10620 //
     /* 1724696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1724707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1724710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1724713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1724716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724742 */     // MIs[0] policy
     /* 1724742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724776 */     // GIR_Coverage, 10620,
     /* 1724776 */     GIR_EraseRootFromParent_Done,
     /* 1724777 */   // Label 23553: @1724777
     /* 1724777 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1724863), // Rule ID 10621 //
     /* 1724782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1724793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1724796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1724799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1724802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724828 */     // MIs[0] policy
     /* 1724828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724862 */     // GIR_Coverage, 10621,
     /* 1724862 */     GIR_EraseRootFromParent_Done,
     /* 1724863 */   // Label 23554: @1724863
     /* 1724863 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1724949), // Rule ID 10624 //
     /* 1724868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1724879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1724882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1724885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1724888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724914 */     // MIs[0] policy
     /* 1724914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1724927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724948 */     // GIR_Coverage, 10624,
     /* 1724948 */     GIR_EraseRootFromParent_Done,
     /* 1724949 */   // Label 23555: @1724949
     /* 1724949 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1725035), // Rule ID 10625 //
     /* 1724954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1724965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1724968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1724971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1724974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725000 */     // MIs[0] policy
     /* 1725000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725034 */     // GIR_Coverage, 10625,
     /* 1725034 */     GIR_EraseRootFromParent_Done,
     /* 1725035 */   // Label 23556: @1725035
     /* 1725035 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1725121), // Rule ID 10628 //
     /* 1725040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725086 */     // MIs[0] policy
     /* 1725086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725120 */     // GIR_Coverage, 10628,
     /* 1725120 */     GIR_EraseRootFromParent_Done,
     /* 1725121 */   // Label 23557: @1725121
     /* 1725121 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1725207), // Rule ID 10629 //
     /* 1725126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725172 */     // MIs[0] policy
     /* 1725172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725206 */     // GIR_Coverage, 10629,
     /* 1725206 */     GIR_EraseRootFromParent_Done,
     /* 1725207 */   // Label 23558: @1725207
     /* 1725207 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1725293), // Rule ID 10632 //
     /* 1725212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1725223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1725226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1725229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1725232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725258 */     // MIs[0] policy
     /* 1725258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725292 */     // GIR_Coverage, 10632,
     /* 1725292 */     GIR_EraseRootFromParent_Done,
     /* 1725293 */   // Label 23559: @1725293
     /* 1725293 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1725379), // Rule ID 10633 //
     /* 1725298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1725309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1725312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1725315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1725318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725344 */     // MIs[0] policy
     /* 1725344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725378 */     // GIR_Coverage, 10633,
     /* 1725378 */     GIR_EraseRootFromParent_Done,
     /* 1725379 */   // Label 23560: @1725379
     /* 1725379 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1725465), // Rule ID 10636 //
     /* 1725384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725430 */     // MIs[0] policy
     /* 1725430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725464 */     // GIR_Coverage, 10636,
     /* 1725464 */     GIR_EraseRootFromParent_Done,
     /* 1725465 */   // Label 23561: @1725465
     /* 1725465 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1725551), // Rule ID 10637 //
     /* 1725470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725516 */     // MIs[0] policy
     /* 1725516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725550 */     // GIR_Coverage, 10637,
     /* 1725550 */     GIR_EraseRootFromParent_Done,
     /* 1725551 */   // Label 23562: @1725551
     /* 1725551 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1725637), // Rule ID 10640 //
     /* 1725556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1725567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1725570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1725573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1725576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725602 */     // MIs[0] policy
     /* 1725602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1725615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725636 */     // GIR_Coverage, 10640,
     /* 1725636 */     GIR_EraseRootFromParent_Done,
     /* 1725637 */   // Label 23563: @1725637
     /* 1725637 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1725723), // Rule ID 10641 //
     /* 1725642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1725653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1725656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1725659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1725662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725688 */     // MIs[0] policy
     /* 1725688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1725701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725722 */     // GIR_Coverage, 10641,
     /* 1725722 */     GIR_EraseRootFromParent_Done,
     /* 1725723 */   // Label 23564: @1725723
     /* 1725723 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1725809), // Rule ID 10644 //
     /* 1725728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1725739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1725742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1725745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1725748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725774 */     // MIs[0] policy
     /* 1725774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1725787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725808 */     // GIR_Coverage, 10644,
     /* 1725808 */     GIR_EraseRootFromParent_Done,
     /* 1725809 */   // Label 23565: @1725809
     /* 1725809 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1725895), // Rule ID 10645 //
     /* 1725814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1725825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1725828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1725831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1725834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725860 */     // MIs[0] policy
     /* 1725860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1725873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725894 */     // GIR_Coverage, 10645,
     /* 1725894 */     GIR_EraseRootFromParent_Done,
     /* 1725895 */   // Label 23566: @1725895
     /* 1725895 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1725981), // Rule ID 10648 //
     /* 1725900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1725911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1725914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1725917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1725920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1725923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725946 */     // MIs[0] policy
     /* 1725946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1725959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725980 */     // GIR_Coverage, 10648,
     /* 1725980 */     GIR_EraseRootFromParent_Done,
     /* 1725981 */   // Label 23567: @1725981
     /* 1725981 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1726067), // Rule ID 10649 //
     /* 1725986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1725997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726032 */     // MIs[0] policy
     /* 1726032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726066 */     // GIR_Coverage, 10649,
     /* 1726066 */     GIR_EraseRootFromParent_Done,
     /* 1726067 */   // Label 23568: @1726067
     /* 1726067 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1726153), // Rule ID 10652 //
     /* 1726072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726118 */     // MIs[0] policy
     /* 1726118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726152 */     // GIR_Coverage, 10652,
     /* 1726152 */     GIR_EraseRootFromParent_Done,
     /* 1726153 */   // Label 23569: @1726153
     /* 1726153 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1726239), // Rule ID 10653 //
     /* 1726158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726204 */     // MIs[0] policy
     /* 1726204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726238 */     // GIR_Coverage, 10653,
     /* 1726238 */     GIR_EraseRootFromParent_Done,
     /* 1726239 */   // Label 23570: @1726239
     /* 1726239 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1726325), // Rule ID 10656 //
     /* 1726244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1726255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1726258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1726261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1726264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726290 */     // MIs[0] policy
     /* 1726290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726324 */     // GIR_Coverage, 10656,
     /* 1726324 */     GIR_EraseRootFromParent_Done,
     /* 1726325 */   // Label 23571: @1726325
     /* 1726325 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1726411), // Rule ID 10657 //
     /* 1726330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1726341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1726344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1726347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1726350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726376 */     // MIs[0] policy
     /* 1726376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726410 */     // GIR_Coverage, 10657,
     /* 1726410 */     GIR_EraseRootFromParent_Done,
     /* 1726411 */   // Label 23572: @1726411
     /* 1726411 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1726497), // Rule ID 10660 //
     /* 1726416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726462 */     // MIs[0] policy
     /* 1726462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726496 */     // GIR_Coverage, 10660,
     /* 1726496 */     GIR_EraseRootFromParent_Done,
     /* 1726497 */   // Label 23573: @1726497
     /* 1726497 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1726583), // Rule ID 10661 //
     /* 1726502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726548 */     // MIs[0] policy
     /* 1726548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726582 */     // GIR_Coverage, 10661,
     /* 1726582 */     GIR_EraseRootFromParent_Done,
     /* 1726583 */   // Label 23574: @1726583
     /* 1726583 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1726669), // Rule ID 10664 //
     /* 1726588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1726599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1726602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1726605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1726608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726634 */     // MIs[0] policy
     /* 1726634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726668 */     // GIR_Coverage, 10664,
     /* 1726668 */     GIR_EraseRootFromParent_Done,
     /* 1726669 */   // Label 23575: @1726669
     /* 1726669 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1726755), // Rule ID 10665 //
     /* 1726674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1726685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1726688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1726691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1726694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726720 */     // MIs[0] policy
     /* 1726720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726754 */     // GIR_Coverage, 10665,
     /* 1726754 */     GIR_EraseRootFromParent_Done,
     /* 1726755 */   // Label 23576: @1726755
     /* 1726755 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1726841), // Rule ID 10668 //
     /* 1726760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1726771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1726774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1726777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1726780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726806 */     // MIs[0] policy
     /* 1726806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726840 */     // GIR_Coverage, 10668,
     /* 1726840 */     GIR_EraseRootFromParent_Done,
     /* 1726841 */   // Label 23577: @1726841
     /* 1726841 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1726927), // Rule ID 10669 //
     /* 1726846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1726857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1726860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1726863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1726866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726892 */     // MIs[0] policy
     /* 1726892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726926 */     // GIR_Coverage, 10669,
     /* 1726926 */     GIR_EraseRootFromParent_Done,
     /* 1726927 */   // Label 23578: @1726927
     /* 1726927 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1727013), // Rule ID 10672 //
     /* 1726932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1726943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1726946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1726949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1726952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726978 */     // MIs[0] policy
     /* 1726978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727012 */     // GIR_Coverage, 10672,
     /* 1727012 */     GIR_EraseRootFromParent_Done,
     /* 1727013 */   // Label 23579: @1727013
     /* 1727013 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1727099), // Rule ID 10673 //
     /* 1727018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727064 */     // MIs[0] policy
     /* 1727064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727098 */     // GIR_Coverage, 10673,
     /* 1727098 */     GIR_EraseRootFromParent_Done,
     /* 1727099 */   // Label 23580: @1727099
     /* 1727099 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1727185), // Rule ID 10676 //
     /* 1727104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1727124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727150 */     // MIs[0] policy
     /* 1727150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727184 */     // GIR_Coverage, 10676,
     /* 1727184 */     GIR_EraseRootFromParent_Done,
     /* 1727185 */   // Label 23581: @1727185
     /* 1727185 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1727271), // Rule ID 10677 //
     /* 1727190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1727210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727236 */     // MIs[0] policy
     /* 1727236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727270 */     // GIR_Coverage, 10677,
     /* 1727270 */     GIR_EraseRootFromParent_Done,
     /* 1727271 */   // Label 23582: @1727271
     /* 1727271 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1727357), // Rule ID 10680 //
     /* 1727276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1727287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1727290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1727293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1727296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727322 */     // MIs[0] policy
     /* 1727322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727356 */     // GIR_Coverage, 10680,
     /* 1727356 */     GIR_EraseRootFromParent_Done,
     /* 1727357 */   // Label 23583: @1727357
     /* 1727357 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1727443), // Rule ID 10681 //
     /* 1727362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1727373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1727376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1727379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1727382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727408 */     // MIs[0] policy
     /* 1727408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727442 */     // GIR_Coverage, 10681,
     /* 1727442 */     GIR_EraseRootFromParent_Done,
     /* 1727443 */   // Label 23584: @1727443
     /* 1727443 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1727529), // Rule ID 10684 //
     /* 1727448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1727459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1727462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1727465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1727468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727494 */     // MIs[0] policy
     /* 1727494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727528 */     // GIR_Coverage, 10684,
     /* 1727528 */     GIR_EraseRootFromParent_Done,
     /* 1727529 */   // Label 23585: @1727529
     /* 1727529 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1727615), // Rule ID 10685 //
     /* 1727534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1727545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1727548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1727551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1727554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727580 */     // MIs[0] policy
     /* 1727580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727614 */     // GIR_Coverage, 10685,
     /* 1727614 */     GIR_EraseRootFromParent_Done,
     /* 1727615 */   // Label 23586: @1727615
     /* 1727615 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1727701), // Rule ID 10688 //
     /* 1727620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1727631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1727634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1727637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727666 */     // MIs[0] policy
     /* 1727666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1727679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727700 */     // GIR_Coverage, 10688,
     /* 1727700 */     GIR_EraseRootFromParent_Done,
     /* 1727701 */   // Label 23587: @1727701
     /* 1727701 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1727787), // Rule ID 10689 //
     /* 1727706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1727717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1727720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1727723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727752 */     // MIs[0] policy
     /* 1727752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1727765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727786 */     // GIR_Coverage, 10689,
     /* 1727786 */     GIR_EraseRootFromParent_Done,
     /* 1727787 */   // Label 23588: @1727787
     /* 1727787 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1727873), // Rule ID 10692 //
     /* 1727792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1727803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1727806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1727809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727838 */     // MIs[0] policy
     /* 1727838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1727851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727872 */     // GIR_Coverage, 10692,
     /* 1727872 */     GIR_EraseRootFromParent_Done,
     /* 1727873 */   // Label 23589: @1727873
     /* 1727873 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1727959), // Rule ID 10693 //
     /* 1727878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1727889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1727892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1727895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727924 */     // MIs[0] policy
     /* 1727924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1727937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727958 */     // GIR_Coverage, 10693,
     /* 1727958 */     GIR_EraseRootFromParent_Done,
     /* 1727959 */   // Label 23590: @1727959
     /* 1727959 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1728045), // Rule ID 10696 //
     /* 1727964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1727975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1727978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1727981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728010 */     // MIs[0] policy
     /* 1728010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728044 */     // GIR_Coverage, 10696,
     /* 1728044 */     GIR_EraseRootFromParent_Done,
     /* 1728045 */   // Label 23591: @1728045
     /* 1728045 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1728131), // Rule ID 10697 //
     /* 1728050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728096 */     // MIs[0] policy
     /* 1728096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728130 */     // GIR_Coverage, 10697,
     /* 1728130 */     GIR_EraseRootFromParent_Done,
     /* 1728131 */   // Label 23592: @1728131
     /* 1728131 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1728217), // Rule ID 10700 //
     /* 1728136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1728150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1728153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728182 */     // MIs[0] policy
     /* 1728182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728216 */     // GIR_Coverage, 10700,
     /* 1728216 */     GIR_EraseRootFromParent_Done,
     /* 1728217 */   // Label 23593: @1728217
     /* 1728217 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1728303), // Rule ID 10701 //
     /* 1728222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1728236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1728239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728268 */     // MIs[0] policy
     /* 1728268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728302 */     // GIR_Coverage, 10701,
     /* 1728302 */     GIR_EraseRootFromParent_Done,
     /* 1728303 */   // Label 23594: @1728303
     /* 1728303 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1728389), // Rule ID 10704 //
     /* 1728308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1728319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1728322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1728325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728354 */     // MIs[0] policy
     /* 1728354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728388 */     // GIR_Coverage, 10704,
     /* 1728388 */     GIR_EraseRootFromParent_Done,
     /* 1728389 */   // Label 23595: @1728389
     /* 1728389 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1728475), // Rule ID 10705 //
     /* 1728394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1728405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1728408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1728411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728440 */     // MIs[0] policy
     /* 1728440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728474 */     // GIR_Coverage, 10705,
     /* 1728474 */     GIR_EraseRootFromParent_Done,
     /* 1728475 */   // Label 23596: @1728475
     /* 1728475 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1728561), // Rule ID 10708 //
     /* 1728480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1728491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1728494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1728497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728526 */     // MIs[0] policy
     /* 1728526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728560 */     // GIR_Coverage, 10708,
     /* 1728560 */     GIR_EraseRootFromParent_Done,
     /* 1728561 */   // Label 23597: @1728561
     /* 1728561 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1728647), // Rule ID 10709 //
     /* 1728566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1728577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1728580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1728583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728612 */     // MIs[0] policy
     /* 1728612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728646 */     // GIR_Coverage, 10709,
     /* 1728646 */     GIR_EraseRootFromParent_Done,
     /* 1728647 */   // Label 23598: @1728647
     /* 1728647 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1728733), // Rule ID 10712 //
     /* 1728652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1728663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1728666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1728669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728698 */     // MIs[0] policy
     /* 1728698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1728711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728732 */     // GIR_Coverage, 10712,
     /* 1728732 */     GIR_EraseRootFromParent_Done,
     /* 1728733 */   // Label 23599: @1728733
     /* 1728733 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1728819), // Rule ID 10713 //
     /* 1728738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1728749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1728752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1728755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728784 */     // MIs[0] policy
     /* 1728784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728794 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1728797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728818 */     // GIR_Coverage, 10713,
     /* 1728818 */     GIR_EraseRootFromParent_Done,
     /* 1728819 */   // Label 23600: @1728819
     /* 1728819 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1728905), // Rule ID 10716 //
     /* 1728824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1728835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1728838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1728841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728870 */     // MIs[0] policy
     /* 1728870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1728883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728904 */     // GIR_Coverage, 10716,
     /* 1728904 */     GIR_EraseRootFromParent_Done,
     /* 1728905 */   // Label 23601: @1728905
     /* 1728905 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1728991), // Rule ID 10717 //
     /* 1728910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1728921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1728924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1728927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728956 */     // MIs[0] policy
     /* 1728956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1728969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728990 */     // GIR_Coverage, 10717,
     /* 1728990 */     GIR_EraseRootFromParent_Done,
     /* 1728991 */   // Label 23602: @1728991
     /* 1728991 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1729077), // Rule ID 10720 //
     /* 1728996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729042 */     // MIs[0] policy
     /* 1729042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729076 */     // GIR_Coverage, 10720,
     /* 1729076 */     GIR_EraseRootFromParent_Done,
     /* 1729077 */   // Label 23603: @1729077
     /* 1729077 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1729163), // Rule ID 10721 //
     /* 1729082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729128 */     // MIs[0] policy
     /* 1729128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729162 */     // GIR_Coverage, 10721,
     /* 1729162 */     GIR_EraseRootFromParent_Done,
     /* 1729163 */   // Label 23604: @1729163
     /* 1729163 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1729249), // Rule ID 10724 //
     /* 1729168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1729179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1729182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1729185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729214 */     // MIs[0] policy
     /* 1729214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729248 */     // GIR_Coverage, 10724,
     /* 1729248 */     GIR_EraseRootFromParent_Done,
     /* 1729249 */   // Label 23605: @1729249
     /* 1729249 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1729335), // Rule ID 10725 //
     /* 1729254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1729265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1729268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1729271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729300 */     // MIs[0] policy
     /* 1729300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729334 */     // GIR_Coverage, 10725,
     /* 1729334 */     GIR_EraseRootFromParent_Done,
     /* 1729335 */   // Label 23606: @1729335
     /* 1729335 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1729421), // Rule ID 10728 //
     /* 1729340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729386 */     // MIs[0] policy
     /* 1729386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1729399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729420 */     // GIR_Coverage, 10728,
     /* 1729420 */     GIR_EraseRootFromParent_Done,
     /* 1729421 */   // Label 23607: @1729421
     /* 1729421 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1729507), // Rule ID 10729 //
     /* 1729426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729472 */     // MIs[0] policy
     /* 1729472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1729485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729506 */     // GIR_Coverage, 10729,
     /* 1729506 */     GIR_EraseRootFromParent_Done,
     /* 1729507 */   // Label 23608: @1729507
     /* 1729507 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1729593), // Rule ID 10732 //
     /* 1729512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1729523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1729526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1729529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729558 */     // MIs[0] policy
     /* 1729558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1729571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729592 */     // GIR_Coverage, 10732,
     /* 1729592 */     GIR_EraseRootFromParent_Done,
     /* 1729593 */   // Label 23609: @1729593
     /* 1729593 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1729679), // Rule ID 10733 //
     /* 1729598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1729609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1729612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1729615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729644 */     // MIs[0] policy
     /* 1729644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1729657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729678 */     // GIR_Coverage, 10733,
     /* 1729678 */     GIR_EraseRootFromParent_Done,
     /* 1729679 */   // Label 23610: @1729679
     /* 1729679 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1729765), // Rule ID 10736 //
     /* 1729684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1729695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1729698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1729701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1729707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729730 */     // MIs[0] policy
     /* 1729730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729740 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1729743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729764 */     // GIR_Coverage, 10736,
     /* 1729764 */     GIR_EraseRootFromParent_Done,
     /* 1729765 */   // Label 23611: @1729765
     /* 1729765 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1729851), // Rule ID 10737 //
     /* 1729770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1729781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1729784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1729787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1729793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729816 */     // MIs[0] policy
     /* 1729816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1729829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729850 */     // GIR_Coverage, 10737,
     /* 1729850 */     GIR_EraseRootFromParent_Done,
     /* 1729851 */   // Label 23612: @1729851
     /* 1729851 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1729937), // Rule ID 10740 //
     /* 1729856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1729867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1729870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1729873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729902 */     // MIs[0] policy
     /* 1729902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1729915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729936 */     // GIR_Coverage, 10740,
     /* 1729936 */     GIR_EraseRootFromParent_Done,
     /* 1729937 */   // Label 23613: @1729937
     /* 1729937 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1730023), // Rule ID 10741 //
     /* 1729942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1729953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1729956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1729959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729988 */     // MIs[0] policy
     /* 1729988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730022 */     // GIR_Coverage, 10741,
     /* 1730022 */     GIR_EraseRootFromParent_Done,
     /* 1730023 */   // Label 23614: @1730023
     /* 1730023 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1730109), // Rule ID 10744 //
     /* 1730028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730074 */     // MIs[0] policy
     /* 1730074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730108 */     // GIR_Coverage, 10744,
     /* 1730108 */     GIR_EraseRootFromParent_Done,
     /* 1730109 */   // Label 23615: @1730109
     /* 1730109 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1730195), // Rule ID 10745 //
     /* 1730114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730160 */     // MIs[0] policy
     /* 1730160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730170 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730194 */     // GIR_Coverage, 10745,
     /* 1730194 */     GIR_EraseRootFromParent_Done,
     /* 1730195 */   // Label 23616: @1730195
     /* 1730195 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1730281), // Rule ID 10748 //
     /* 1730200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1730211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1730214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1730217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730246 */     // MIs[0] policy
     /* 1730246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730280 */     // GIR_Coverage, 10748,
     /* 1730280 */     GIR_EraseRootFromParent_Done,
     /* 1730281 */   // Label 23617: @1730281
     /* 1730281 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1730367), // Rule ID 10749 //
     /* 1730286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1730297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1730300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1730303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730332 */     // MIs[0] policy
     /* 1730332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730366 */     // GIR_Coverage, 10749,
     /* 1730366 */     GIR_EraseRootFromParent_Done,
     /* 1730367 */   // Label 23618: @1730367
     /* 1730367 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1730453), // Rule ID 10752 //
     /* 1730372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730418 */     // MIs[0] policy
     /* 1730418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730452 */     // GIR_Coverage, 10752,
     /* 1730452 */     GIR_EraseRootFromParent_Done,
     /* 1730453 */   // Label 23619: @1730453
     /* 1730453 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1730539), // Rule ID 10753 //
     /* 1730458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730504 */     // MIs[0] policy
     /* 1730504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730538 */     // GIR_Coverage, 10753,
     /* 1730538 */     GIR_EraseRootFromParent_Done,
     /* 1730539 */   // Label 23620: @1730539
     /* 1730539 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1730625), // Rule ID 10756 //
     /* 1730544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1730555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1730558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1730561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730590 */     // MIs[0] policy
     /* 1730590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730624 */     // GIR_Coverage, 10756,
     /* 1730624 */     GIR_EraseRootFromParent_Done,
     /* 1730625 */   // Label 23621: @1730625
     /* 1730625 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1730711), // Rule ID 10757 //
     /* 1730630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1730641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1730644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1730647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730676 */     // MIs[0] policy
     /* 1730676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730710 */     // GIR_Coverage, 10757,
     /* 1730710 */     GIR_EraseRootFromParent_Done,
     /* 1730711 */   // Label 23622: @1730711
     /* 1730711 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1730797), // Rule ID 10760 //
     /* 1730716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1730727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1730730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1730733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730762 */     // MIs[0] policy
     /* 1730762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730796 */     // GIR_Coverage, 10760,
     /* 1730796 */     GIR_EraseRootFromParent_Done,
     /* 1730797 */   // Label 23623: @1730797
     /* 1730797 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1730883), // Rule ID 10761 //
     /* 1730802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1730813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1730816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1730819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730848 */     // MIs[0] policy
     /* 1730848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730882 */     // GIR_Coverage, 10761,
     /* 1730882 */     GIR_EraseRootFromParent_Done,
     /* 1730883 */   // Label 23624: @1730883
     /* 1730883 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1730969), // Rule ID 10764 //
     /* 1730888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730934 */     // MIs[0] policy
     /* 1730934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730968 */     // GIR_Coverage, 10764,
     /* 1730968 */     GIR_EraseRootFromParent_Done,
     /* 1730969 */   // Label 23625: @1730969
     /* 1730969 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1731055), // Rule ID 10765 //
     /* 1730974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731020 */     // MIs[0] policy
     /* 1731020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1731033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731054 */     // GIR_Coverage, 10765,
     /* 1731054 */     GIR_EraseRootFromParent_Done,
     /* 1731055 */   // Label 23626: @1731055
     /* 1731055 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1731141), // Rule ID 10768 //
     /* 1731060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731106 */     // MIs[0] policy
     /* 1731106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731140 */     // GIR_Coverage, 10768,
     /* 1731140 */     GIR_EraseRootFromParent_Done,
     /* 1731141 */   // Label 23627: @1731141
     /* 1731141 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1731227), // Rule ID 10769 //
     /* 1731146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731192 */     // MIs[0] policy
     /* 1731192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731226 */     // GIR_Coverage, 10769,
     /* 1731226 */     GIR_EraseRootFromParent_Done,
     /* 1731227 */   // Label 23628: @1731227
     /* 1731227 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1731313), // Rule ID 10772 //
     /* 1731232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1731243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1731246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1731249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731278 */     // MIs[0] policy
     /* 1731278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731312 */     // GIR_Coverage, 10772,
     /* 1731312 */     GIR_EraseRootFromParent_Done,
     /* 1731313 */   // Label 23629: @1731313
     /* 1731313 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1731399), // Rule ID 10773 //
     /* 1731318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1731329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1731332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1731335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731364 */     // MIs[0] policy
     /* 1731364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731398 */     // GIR_Coverage, 10773,
     /* 1731398 */     GIR_EraseRootFromParent_Done,
     /* 1731399 */   // Label 23630: @1731399
     /* 1731399 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1731485), // Rule ID 10776 //
     /* 1731404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731450 */     // MIs[0] policy
     /* 1731450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1731463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731484 */     // GIR_Coverage, 10776,
     /* 1731484 */     GIR_EraseRootFromParent_Done,
     /* 1731485 */   // Label 23631: @1731485
     /* 1731485 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1731571), // Rule ID 10777 //
     /* 1731490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731536 */     // MIs[0] policy
     /* 1731536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1731549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731570 */     // GIR_Coverage, 10777,
     /* 1731570 */     GIR_EraseRootFromParent_Done,
     /* 1731571 */   // Label 23632: @1731571
     /* 1731571 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1731657), // Rule ID 10780 //
     /* 1731576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1731587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1731590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1731593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1731596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731622 */     // MIs[0] policy
     /* 1731622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1731635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731656 */     // GIR_Coverage, 10780,
     /* 1731656 */     GIR_EraseRootFromParent_Done,
     /* 1731657 */   // Label 23633: @1731657
     /* 1731657 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1731743), // Rule ID 10781 //
     /* 1731662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1731673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1731676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1731679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1731682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731708 */     // MIs[0] policy
     /* 1731708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1731721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731742 */     // GIR_Coverage, 10781,
     /* 1731742 */     GIR_EraseRootFromParent_Done,
     /* 1731743 */   // Label 23634: @1731743
     /* 1731743 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1731829), // Rule ID 10784 //
     /* 1731748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1731768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731794 */     // MIs[0] policy
     /* 1731794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1731807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731828 */     // GIR_Coverage, 10784,
     /* 1731828 */     GIR_EraseRootFromParent_Done,
     /* 1731829 */   // Label 23635: @1731829
     /* 1731829 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1731915), // Rule ID 10785 //
     /* 1731834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1731854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731880 */     // MIs[0] policy
     /* 1731880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1731893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731914 */     // GIR_Coverage, 10785,
     /* 1731914 */     GIR_EraseRootFromParent_Done,
     /* 1731915 */   // Label 23636: @1731915
     /* 1731915 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1732001), // Rule ID 10788 //
     /* 1731920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1731931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1731934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1731937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1731940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731966 */     // MIs[0] policy
     /* 1731966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1731979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732000 */     // GIR_Coverage, 10788,
     /* 1732000 */     GIR_EraseRootFromParent_Done,
     /* 1732001 */   // Label 23637: @1732001
     /* 1732001 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1732087), // Rule ID 10789 //
     /* 1732006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732052 */     // MIs[0] policy
     /* 1732052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1732065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732086 */     // GIR_Coverage, 10789,
     /* 1732086 */     GIR_EraseRootFromParent_Done,
     /* 1732087 */   // Label 23638: @1732087
     /* 1732087 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1732173), // Rule ID 10792 //
     /* 1732092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1732112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732138 */     // MIs[0] policy
     /* 1732138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732172 */     // GIR_Coverage, 10792,
     /* 1732172 */     GIR_EraseRootFromParent_Done,
     /* 1732173 */   // Label 23639: @1732173
     /* 1732173 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1732259), // Rule ID 10793 //
     /* 1732178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1732198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732224 */     // MIs[0] policy
     /* 1732224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732258 */     // GIR_Coverage, 10793,
     /* 1732258 */     GIR_EraseRootFromParent_Done,
     /* 1732259 */   // Label 23640: @1732259
     /* 1732259 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1732345), // Rule ID 10796 //
     /* 1732264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1732275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1732278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1732281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1732284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732310 */     // MIs[0] policy
     /* 1732310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732344 */     // GIR_Coverage, 10796,
     /* 1732344 */     GIR_EraseRootFromParent_Done,
     /* 1732345 */   // Label 23641: @1732345
     /* 1732345 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1732431), // Rule ID 10797 //
     /* 1732350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1732361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1732364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1732367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1732370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732396 */     // MIs[0] policy
     /* 1732396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732430 */     // GIR_Coverage, 10797,
     /* 1732430 */     GIR_EraseRootFromParent_Done,
     /* 1732431 */   // Label 23642: @1732431
     /* 1732431 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1732517), // Rule ID 10800 //
     /* 1732436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1732456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732482 */     // MIs[0] policy
     /* 1732482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732516 */     // GIR_Coverage, 10800,
     /* 1732516 */     GIR_EraseRootFromParent_Done,
     /* 1732517 */   // Label 23643: @1732517
     /* 1732517 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1732603), // Rule ID 10801 //
     /* 1732522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1732542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732568 */     // MIs[0] policy
     /* 1732568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732602 */     // GIR_Coverage, 10801,
     /* 1732602 */     GIR_EraseRootFromParent_Done,
     /* 1732603 */   // Label 23644: @1732603
     /* 1732603 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1732689), // Rule ID 10804 //
     /* 1732608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1732628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732654 */     // MIs[0] policy
     /* 1732654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732688 */     // GIR_Coverage, 10804,
     /* 1732688 */     GIR_EraseRootFromParent_Done,
     /* 1732689 */   // Label 23645: @1732689
     /* 1732689 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1732775), // Rule ID 10805 //
     /* 1732694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1732714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732740 */     // MIs[0] policy
     /* 1732740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732774 */     // GIR_Coverage, 10805,
     /* 1732774 */     GIR_EraseRootFromParent_Done,
     /* 1732775 */   // Label 23646: @1732775
     /* 1732775 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1732861), // Rule ID 10808 //
     /* 1732780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1732800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732826 */     // MIs[0] policy
     /* 1732826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732860 */     // GIR_Coverage, 10808,
     /* 1732860 */     GIR_EraseRootFromParent_Done,
     /* 1732861 */   // Label 23647: @1732861
     /* 1732861 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1732947), // Rule ID 10809 //
     /* 1732866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1732886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732912 */     // MIs[0] policy
     /* 1732912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732946 */     // GIR_Coverage, 10809,
     /* 1732946 */     GIR_EraseRootFromParent_Done,
     /* 1732947 */   // Label 23648: @1732947
     /* 1732947 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1733033), // Rule ID 10812 //
     /* 1732952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1732963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1732966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1732969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1732972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732998 */     // MIs[0] policy
     /* 1732998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733032 */     // GIR_Coverage, 10812,
     /* 1733032 */     GIR_EraseRootFromParent_Done,
     /* 1733033 */   // Label 23649: @1733033
     /* 1733033 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1733119), // Rule ID 10813 //
     /* 1733038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733084 */     // MIs[0] policy
     /* 1733084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733118 */     // GIR_Coverage, 10813,
     /* 1733118 */     GIR_EraseRootFromParent_Done,
     /* 1733119 */   // Label 23650: @1733119
     /* 1733119 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1733205), // Rule ID 10816 //
     /* 1733124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1733144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733170 */     // MIs[0] policy
     /* 1733170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733204 */     // GIR_Coverage, 10816,
     /* 1733204 */     GIR_EraseRootFromParent_Done,
     /* 1733205 */   // Label 23651: @1733205
     /* 1733205 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1733291), // Rule ID 10817 //
     /* 1733210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1733230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733256 */     // MIs[0] policy
     /* 1733256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733290 */     // GIR_Coverage, 10817,
     /* 1733290 */     GIR_EraseRootFromParent_Done,
     /* 1733291 */   // Label 23652: @1733291
     /* 1733291 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1733377), // Rule ID 10820 //
     /* 1733296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1733316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733342 */     // MIs[0] policy
     /* 1733342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733376 */     // GIR_Coverage, 10820,
     /* 1733376 */     GIR_EraseRootFromParent_Done,
     /* 1733377 */   // Label 23653: @1733377
     /* 1733377 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1733463), // Rule ID 10821 //
     /* 1733382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1733402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733428 */     // MIs[0] policy
     /* 1733428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733462 */     // GIR_Coverage, 10821,
     /* 1733462 */     GIR_EraseRootFromParent_Done,
     /* 1733463 */   // Label 23654: @1733463
     /* 1733463 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1733549), // Rule ID 10824 //
     /* 1733468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1733488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733514 */     // MIs[0] policy
     /* 1733514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1733527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733548 */     // GIR_Coverage, 10824,
     /* 1733548 */     GIR_EraseRootFromParent_Done,
     /* 1733549 */   // Label 23655: @1733549
     /* 1733549 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1733635), // Rule ID 10825 //
     /* 1733554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1733574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733600 */     // MIs[0] policy
     /* 1733600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733610 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1733613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733634 */     // GIR_Coverage, 10825,
     /* 1733634 */     GIR_EraseRootFromParent_Done,
     /* 1733635 */   // Label 23656: @1733635
     /* 1733635 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1733721), // Rule ID 10828 //
     /* 1733640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1733660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733686 */     // MIs[0] policy
     /* 1733686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733720 */     // GIR_Coverage, 10828,
     /* 1733720 */     GIR_EraseRootFromParent_Done,
     /* 1733721 */   // Label 23657: @1733721
     /* 1733721 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1733807), // Rule ID 10829 //
     /* 1733726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1733746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733772 */     // MIs[0] policy
     /* 1733772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733806 */     // GIR_Coverage, 10829,
     /* 1733806 */     GIR_EraseRootFromParent_Done,
     /* 1733807 */   // Label 23658: @1733807
     /* 1733807 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1733893), // Rule ID 10832 //
     /* 1733812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1733832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733858 */     // MIs[0] policy
     /* 1733858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733892 */     // GIR_Coverage, 10832,
     /* 1733892 */     GIR_EraseRootFromParent_Done,
     /* 1733893 */   // Label 23659: @1733893
     /* 1733893 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1733979), // Rule ID 10833 //
     /* 1733898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1733918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733944 */     // MIs[0] policy
     /* 1733944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733978 */     // GIR_Coverage, 10833,
     /* 1733978 */     GIR_EraseRootFromParent_Done,
     /* 1733979 */   // Label 23660: @1733979
     /* 1733979 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1734065), // Rule ID 10836 //
     /* 1733984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1733995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1733998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734030 */     // MIs[0] policy
     /* 1734030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734064 */     // GIR_Coverage, 10836,
     /* 1734064 */     GIR_EraseRootFromParent_Done,
     /* 1734065 */   // Label 23661: @1734065
     /* 1734065 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1734151), // Rule ID 10837 //
     /* 1734070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734116 */     // MIs[0] policy
     /* 1734116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734150 */     // GIR_Coverage, 10837,
     /* 1734150 */     GIR_EraseRootFromParent_Done,
     /* 1734151 */   // Label 23662: @1734151
     /* 1734151 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1734237), // Rule ID 10840 //
     /* 1734156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1734176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734202 */     // MIs[0] policy
     /* 1734202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734236 */     // GIR_Coverage, 10840,
     /* 1734236 */     GIR_EraseRootFromParent_Done,
     /* 1734237 */   // Label 23663: @1734237
     /* 1734237 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1734323), // Rule ID 10841 //
     /* 1734242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1734262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734288 */     // MIs[0] policy
     /* 1734288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734322 */     // GIR_Coverage, 10841,
     /* 1734322 */     GIR_EraseRootFromParent_Done,
     /* 1734323 */   // Label 23664: @1734323
     /* 1734323 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1734409), // Rule ID 10844 //
     /* 1734328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734374 */     // MIs[0] policy
     /* 1734374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734408 */     // GIR_Coverage, 10844,
     /* 1734408 */     GIR_EraseRootFromParent_Done,
     /* 1734409 */   // Label 23665: @1734409
     /* 1734409 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1734495), // Rule ID 10845 //
     /* 1734414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734460 */     // MIs[0] policy
     /* 1734460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734494 */     // GIR_Coverage, 10845,
     /* 1734494 */     GIR_EraseRootFromParent_Done,
     /* 1734495 */   // Label 23666: @1734495
     /* 1734495 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1734581), // Rule ID 10848 //
     /* 1734500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1734520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734546 */     // MIs[0] policy
     /* 1734546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734580 */     // GIR_Coverage, 10848,
     /* 1734580 */     GIR_EraseRootFromParent_Done,
     /* 1734581 */   // Label 23667: @1734581
     /* 1734581 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1734667), // Rule ID 10849 //
     /* 1734586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1734606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734632 */     // MIs[0] policy
     /* 1734632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734666 */     // GIR_Coverage, 10849,
     /* 1734666 */     GIR_EraseRootFromParent_Done,
     /* 1734667 */   // Label 23668: @1734667
     /* 1734667 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1734753), // Rule ID 10852 //
     /* 1734672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1734692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734718 */     // MIs[0] policy
     /* 1734718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734752 */     // GIR_Coverage, 10852,
     /* 1734752 */     GIR_EraseRootFromParent_Done,
     /* 1734753 */   // Label 23669: @1734753
     /* 1734753 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1734839), // Rule ID 10853 //
     /* 1734758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1734778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734804 */     // MIs[0] policy
     /* 1734804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734838 */     // GIR_Coverage, 10853,
     /* 1734838 */     GIR_EraseRootFromParent_Done,
     /* 1734839 */   // Label 23670: @1734839
     /* 1734839 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1734925), // Rule ID 10856 //
     /* 1734844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1734855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1734858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1734861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1734864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734890 */     // MIs[0] policy
     /* 1734890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734924 */     // GIR_Coverage, 10856,
     /* 1734924 */     GIR_EraseRootFromParent_Done,
     /* 1734925 */   // Label 23671: @1734925
     /* 1734925 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1735011), // Rule ID 10857 //
     /* 1734930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1734941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1734944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1734947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1734950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734976 */     // MIs[0] policy
     /* 1734976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735010 */     // GIR_Coverage, 10857,
     /* 1735010 */     GIR_EraseRootFromParent_Done,
     /* 1735011 */   // Label 23672: @1735011
     /* 1735011 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1735097), // Rule ID 10860 //
     /* 1735016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735062 */     // MIs[0] policy
     /* 1735062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735096 */     // GIR_Coverage, 10860,
     /* 1735096 */     GIR_EraseRootFromParent_Done,
     /* 1735097 */   // Label 23673: @1735097
     /* 1735097 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1735183), // Rule ID 10861 //
     /* 1735102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735148 */     // MIs[0] policy
     /* 1735148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735182 */     // GIR_Coverage, 10861,
     /* 1735182 */     GIR_EraseRootFromParent_Done,
     /* 1735183 */   // Label 23674: @1735183
     /* 1735183 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1735269), // Rule ID 10864 //
     /* 1735188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735234 */     // MIs[0] policy
     /* 1735234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735244 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1735247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735268 */     // GIR_Coverage, 10864,
     /* 1735268 */     GIR_EraseRootFromParent_Done,
     /* 1735269 */   // Label 23675: @1735269
     /* 1735269 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1735355), // Rule ID 10865 //
     /* 1735274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735320 */     // MIs[0] policy
     /* 1735320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1735333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735354 */     // GIR_Coverage, 10865,
     /* 1735354 */     GIR_EraseRootFromParent_Done,
     /* 1735355 */   // Label 23676: @1735355
     /* 1735355 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1735441), // Rule ID 10868 //
     /* 1735360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735406 */     // MIs[0] policy
     /* 1735406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735440 */     // GIR_Coverage, 10868,
     /* 1735440 */     GIR_EraseRootFromParent_Done,
     /* 1735441 */   // Label 23677: @1735441
     /* 1735441 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1735527), // Rule ID 10869 //
     /* 1735446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735492 */     // MIs[0] policy
     /* 1735492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735502 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735526 */     // GIR_Coverage, 10869,
     /* 1735526 */     GIR_EraseRootFromParent_Done,
     /* 1735527 */   // Label 23678: @1735527
     /* 1735527 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1735613), // Rule ID 10872 //
     /* 1735532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735578 */     // MIs[0] policy
     /* 1735578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735588 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1735591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735612 */     // GIR_Coverage, 10872,
     /* 1735612 */     GIR_EraseRootFromParent_Done,
     /* 1735613 */   // Label 23679: @1735613
     /* 1735613 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1735699), // Rule ID 10873 //
     /* 1735618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735664 */     // MIs[0] policy
     /* 1735664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735674 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1735677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735698 */     // GIR_Coverage, 10873,
     /* 1735698 */     GIR_EraseRootFromParent_Done,
     /* 1735699 */   // Label 23680: @1735699
     /* 1735699 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1735785), // Rule ID 10876 //
     /* 1735704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1735715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1735718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1735721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735750 */     // MIs[0] policy
     /* 1735750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735784 */     // GIR_Coverage, 10876,
     /* 1735784 */     GIR_EraseRootFromParent_Done,
     /* 1735785 */   // Label 23681: @1735785
     /* 1735785 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1735871), // Rule ID 10877 //
     /* 1735790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1735801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1735804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1735807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735836 */     // MIs[0] policy
     /* 1735836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735870 */     // GIR_Coverage, 10877,
     /* 1735870 */     GIR_EraseRootFromParent_Done,
     /* 1735871 */   // Label 23682: @1735871
     /* 1735871 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1735957), // Rule ID 10880 //
     /* 1735876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1735887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1735890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1735893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735922 */     // MIs[0] policy
     /* 1735922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1735935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735956 */     // GIR_Coverage, 10880,
     /* 1735956 */     GIR_EraseRootFromParent_Done,
     /* 1735957 */   // Label 23683: @1735957
     /* 1735957 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1736043), // Rule ID 10881 //
     /* 1735962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1735973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1735976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1735979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736008 */     // MIs[0] policy
     /* 1736008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736042 */     // GIR_Coverage, 10881,
     /* 1736042 */     GIR_EraseRootFromParent_Done,
     /* 1736043 */   // Label 23684: @1736043
     /* 1736043 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1736129), // Rule ID 10884 //
     /* 1736048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736094 */     // MIs[0] policy
     /* 1736094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736104 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736128 */     // GIR_Coverage, 10884,
     /* 1736128 */     GIR_EraseRootFromParent_Done,
     /* 1736129 */   // Label 23685: @1736129
     /* 1736129 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1736215), // Rule ID 10885 //
     /* 1736134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736180 */     // MIs[0] policy
     /* 1736180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736214 */     // GIR_Coverage, 10885,
     /* 1736214 */     GIR_EraseRootFromParent_Done,
     /* 1736215 */   // Label 23686: @1736215
     /* 1736215 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1736301), // Rule ID 10888 //
     /* 1736220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736266 */     // MIs[0] policy
     /* 1736266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736300 */     // GIR_Coverage, 10888,
     /* 1736300 */     GIR_EraseRootFromParent_Done,
     /* 1736301 */   // Label 23687: @1736301
     /* 1736301 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1736387), // Rule ID 10889 //
     /* 1736306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736352 */     // MIs[0] policy
     /* 1736352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736386 */     // GIR_Coverage, 10889,
     /* 1736386 */     GIR_EraseRootFromParent_Done,
     /* 1736387 */   // Label 23688: @1736387
     /* 1736387 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1736473), // Rule ID 10892 //
     /* 1736392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736438 */     // MIs[0] policy
     /* 1736438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736472 */     // GIR_Coverage, 10892,
     /* 1736472 */     GIR_EraseRootFromParent_Done,
     /* 1736473 */   // Label 23689: @1736473
     /* 1736473 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1736559), // Rule ID 10893 //
     /* 1736478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736524 */     // MIs[0] policy
     /* 1736524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736558 */     // GIR_Coverage, 10893,
     /* 1736558 */     GIR_EraseRootFromParent_Done,
     /* 1736559 */   // Label 23690: @1736559
     /* 1736559 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1736645), // Rule ID 10896 //
     /* 1736564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1736575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1736578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1736581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736610 */     // MIs[0] policy
     /* 1736610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736644 */     // GIR_Coverage, 10896,
     /* 1736644 */     GIR_EraseRootFromParent_Done,
     /* 1736645 */   // Label 23691: @1736645
     /* 1736645 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1736731), // Rule ID 10897 //
     /* 1736650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1736661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1736664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1736667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736696 */     // MIs[0] policy
     /* 1736696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736730 */     // GIR_Coverage, 10897,
     /* 1736730 */     GIR_EraseRootFromParent_Done,
     /* 1736731 */   // Label 23692: @1736731
     /* 1736731 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1736817), // Rule ID 10900 //
     /* 1736736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1736747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1736750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1736753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736782 */     // MIs[0] policy
     /* 1736782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736816 */     // GIR_Coverage, 10900,
     /* 1736816 */     GIR_EraseRootFromParent_Done,
     /* 1736817 */   // Label 23693: @1736817
     /* 1736817 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1736903), // Rule ID 10901 //
     /* 1736822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1736833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1736836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1736839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736868 */     // MIs[0] policy
     /* 1736868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736902 */     // GIR_Coverage, 10901,
     /* 1736902 */     GIR_EraseRootFromParent_Done,
     /* 1736903 */   // Label 23694: @1736903
     /* 1736903 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1736989), // Rule ID 10904 //
     /* 1736908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1736919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1736922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1736925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736954 */     // MIs[0] policy
     /* 1736954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1736967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736988 */     // GIR_Coverage, 10904,
     /* 1736988 */     GIR_EraseRootFromParent_Done,
     /* 1736989 */   // Label 23695: @1736989
     /* 1736989 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1737075), // Rule ID 10905 //
     /* 1736994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737040 */     // MIs[0] policy
     /* 1737040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737074 */     // GIR_Coverage, 10905,
     /* 1737074 */     GIR_EraseRootFromParent_Done,
     /* 1737075 */   // Label 23696: @1737075
     /* 1737075 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1737161), // Rule ID 10908 //
     /* 1737080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737126 */     // MIs[0] policy
     /* 1737126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737160 */     // GIR_Coverage, 10908,
     /* 1737160 */     GIR_EraseRootFromParent_Done,
     /* 1737161 */   // Label 23697: @1737161
     /* 1737161 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1737247), // Rule ID 10909 //
     /* 1737166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737212 */     // MIs[0] policy
     /* 1737212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737246 */     // GIR_Coverage, 10909,
     /* 1737246 */     GIR_EraseRootFromParent_Done,
     /* 1737247 */   // Label 23698: @1737247
     /* 1737247 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1737333), // Rule ID 10912 //
     /* 1737252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737298 */     // MIs[0] policy
     /* 1737298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737332 */     // GIR_Coverage, 10912,
     /* 1737332 */     GIR_EraseRootFromParent_Done,
     /* 1737333 */   // Label 23699: @1737333
     /* 1737333 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1737419), // Rule ID 10913 //
     /* 1737338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737384 */     // MIs[0] policy
     /* 1737384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737394 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737418 */     // GIR_Coverage, 10913,
     /* 1737418 */     GIR_EraseRootFromParent_Done,
     /* 1737419 */   // Label 23700: @1737419
     /* 1737419 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1737505), // Rule ID 10916 //
     /* 1737424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737470 */     // MIs[0] policy
     /* 1737470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737504 */     // GIR_Coverage, 10916,
     /* 1737504 */     GIR_EraseRootFromParent_Done,
     /* 1737505 */   // Label 23701: @1737505
     /* 1737505 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1737591), // Rule ID 10917 //
     /* 1737510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737556 */     // MIs[0] policy
     /* 1737556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737590 */     // GIR_Coverage, 10917,
     /* 1737590 */     GIR_EraseRootFromParent_Done,
     /* 1737591 */   // Label 23702: @1737591
     /* 1737591 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1737677), // Rule ID 10920 //
     /* 1737596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1737607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1737610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1737613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737642 */     // MIs[0] policy
     /* 1737642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737676 */     // GIR_Coverage, 10920,
     /* 1737676 */     GIR_EraseRootFromParent_Done,
     /* 1737677 */   // Label 23703: @1737677
     /* 1737677 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1737763), // Rule ID 10921 //
     /* 1737682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1737693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1737696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1737699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737728 */     // MIs[0] policy
     /* 1737728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737762 */     // GIR_Coverage, 10921,
     /* 1737762 */     GIR_EraseRootFromParent_Done,
     /* 1737763 */   // Label 23704: @1737763
     /* 1737763 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1737849), // Rule ID 10924 //
     /* 1737768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1737779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1737782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1737785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737814 */     // MIs[0] policy
     /* 1737814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737848 */     // GIR_Coverage, 10924,
     /* 1737848 */     GIR_EraseRootFromParent_Done,
     /* 1737849 */   // Label 23705: @1737849
     /* 1737849 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1737935), // Rule ID 10925 //
     /* 1737854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1737865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1737868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1737871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737900 */     // MIs[0] policy
     /* 1737900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737910 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737934 */     // GIR_Coverage, 10925,
     /* 1737934 */     GIR_EraseRootFromParent_Done,
     /* 1737935 */   // Label 23706: @1737935
     /* 1737935 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1738021), // Rule ID 10928 //
     /* 1737940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1737951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1737954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1737957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737986 */     // MIs[0] policy
     /* 1737986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738020 */     // GIR_Coverage, 10928,
     /* 1738020 */     GIR_EraseRootFromParent_Done,
     /* 1738021 */   // Label 23707: @1738021
     /* 1738021 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1738107), // Rule ID 10929 //
     /* 1738026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738072 */     // MIs[0] policy
     /* 1738072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738106 */     // GIR_Coverage, 10929,
     /* 1738106 */     GIR_EraseRootFromParent_Done,
     /* 1738107 */   // Label 23708: @1738107
     /* 1738107 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1738193), // Rule ID 10932 //
     /* 1738112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738158 */     // MIs[0] policy
     /* 1738158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738192 */     // GIR_Coverage, 10932,
     /* 1738192 */     GIR_EraseRootFromParent_Done,
     /* 1738193 */   // Label 23709: @1738193
     /* 1738193 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1738279), // Rule ID 10933 //
     /* 1738198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738244 */     // MIs[0] policy
     /* 1738244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738278 */     // GIR_Coverage, 10933,
     /* 1738278 */     GIR_EraseRootFromParent_Done,
     /* 1738279 */   // Label 23710: @1738279
     /* 1738279 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1738365), // Rule ID 10936 //
     /* 1738284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1738295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1738298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1738301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738330 */     // MIs[0] policy
     /* 1738330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738364 */     // GIR_Coverage, 10936,
     /* 1738364 */     GIR_EraseRootFromParent_Done,
     /* 1738365 */   // Label 23711: @1738365
     /* 1738365 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1738451), // Rule ID 10937 //
     /* 1738370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1738381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1738384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1738387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738416 */     // MIs[0] policy
     /* 1738416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738450 */     // GIR_Coverage, 10937,
     /* 1738450 */     GIR_EraseRootFromParent_Done,
     /* 1738451 */   // Label 23712: @1738451
     /* 1738451 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1738537), // Rule ID 10940 //
     /* 1738456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1738467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1738470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1738473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738502 */     // MIs[0] policy
     /* 1738502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738536 */     // GIR_Coverage, 10940,
     /* 1738536 */     GIR_EraseRootFromParent_Done,
     /* 1738537 */   // Label 23713: @1738537
     /* 1738537 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1738623), // Rule ID 10941 //
     /* 1738542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1738553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1738556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1738559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738588 */     // MIs[0] policy
     /* 1738588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738622 */     // GIR_Coverage, 10941,
     /* 1738622 */     GIR_EraseRootFromParent_Done,
     /* 1738623 */   // Label 23714: @1738623
     /* 1738623 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1738709), // Rule ID 10944 //
     /* 1738628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1738639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1738642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1738645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738674 */     // MIs[0] policy
     /* 1738674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738708 */     // GIR_Coverage, 10944,
     /* 1738708 */     GIR_EraseRootFromParent_Done,
     /* 1738709 */   // Label 23715: @1738709
     /* 1738709 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1738795), // Rule ID 10945 //
     /* 1738714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1738725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1738728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1738731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738760 */     // MIs[0] policy
     /* 1738760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738794 */     // GIR_Coverage, 10945,
     /* 1738794 */     GIR_EraseRootFromParent_Done,
     /* 1738795 */   // Label 23716: @1738795
     /* 1738795 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1738881), // Rule ID 10948 //
     /* 1738800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1738811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1738814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1738817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738846 */     // MIs[0] policy
     /* 1738846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738880 */     // GIR_Coverage, 10948,
     /* 1738880 */     GIR_EraseRootFromParent_Done,
     /* 1738881 */   // Label 23717: @1738881
     /* 1738881 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1738967), // Rule ID 10949 //
     /* 1738886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1738897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1738900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1738903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738932 */     // MIs[0] policy
     /* 1738932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738966 */     // GIR_Coverage, 10949,
     /* 1738966 */     GIR_EraseRootFromParent_Done,
     /* 1738967 */   // Label 23718: @1738967
     /* 1738967 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1739053), // Rule ID 10952 //
     /* 1738972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1738983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1738986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1738989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1738992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739018 */     // MIs[0] policy
     /* 1739018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1739031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739052 */     // GIR_Coverage, 10952,
     /* 1739052 */     GIR_EraseRootFromParent_Done,
     /* 1739053 */   // Label 23719: @1739053
     /* 1739053 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1739139), // Rule ID 10953 //
     /* 1739058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739104 */     // MIs[0] policy
     /* 1739104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739114 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1739117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739138 */     // GIR_Coverage, 10953,
     /* 1739138 */     GIR_EraseRootFromParent_Done,
     /* 1739139 */   // Label 23720: @1739139
     /* 1739139 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1739225), // Rule ID 10956 //
     /* 1739144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1739155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1739158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1739161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1739164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739190 */     // MIs[0] policy
     /* 1739190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739200 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739224 */     // GIR_Coverage, 10956,
     /* 1739224 */     GIR_EraseRootFromParent_Done,
     /* 1739225 */   // Label 23721: @1739225
     /* 1739225 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1739311), // Rule ID 10957 //
     /* 1739230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1739241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1739244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1739247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1739250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739276 */     // MIs[0] policy
     /* 1739276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739310 */     // GIR_Coverage, 10957,
     /* 1739310 */     GIR_EraseRootFromParent_Done,
     /* 1739311 */   // Label 23722: @1739311
     /* 1739311 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1739397), // Rule ID 10960 //
     /* 1739316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1739327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1739330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1739333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1739336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739362 */     // MIs[0] policy
     /* 1739362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739396 */     // GIR_Coverage, 10960,
     /* 1739396 */     GIR_EraseRootFromParent_Done,
     /* 1739397 */   // Label 23723: @1739397
     /* 1739397 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1739483), // Rule ID 10961 //
     /* 1739402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1739413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1739416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1739419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1739422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739448 */     // MIs[0] policy
     /* 1739448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739458 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739482 */     // GIR_Coverage, 10961,
     /* 1739482 */     GIR_EraseRootFromParent_Done,
     /* 1739483 */   // Label 23724: @1739483
     /* 1739483 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1739569), // Rule ID 10964 //
     /* 1739488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1739499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1739502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1739505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1739508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739534 */     // MIs[0] policy
     /* 1739534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739568 */     // GIR_Coverage, 10964,
     /* 1739568 */     GIR_EraseRootFromParent_Done,
     /* 1739569 */   // Label 23725: @1739569
     /* 1739569 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1739655), // Rule ID 10965 //
     /* 1739574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1739585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1739588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1739591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1739594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739620 */     // MIs[0] policy
     /* 1739620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739654 */     // GIR_Coverage, 10965,
     /* 1739654 */     GIR_EraseRootFromParent_Done,
     /* 1739655 */   // Label 23726: @1739655
     /* 1739655 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1739741), // Rule ID 10968 //
     /* 1739660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1739671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1739674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1739677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1739680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739706 */     // MIs[0] policy
     /* 1739706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739740 */     // GIR_Coverage, 10968,
     /* 1739740 */     GIR_EraseRootFromParent_Done,
     /* 1739741 */   // Label 23727: @1739741
     /* 1739741 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1739827), // Rule ID 10969 //
     /* 1739746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1739757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1739760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1739763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1739766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739792 */     // MIs[0] policy
     /* 1739792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739826 */     // GIR_Coverage, 10969,
     /* 1739826 */     GIR_EraseRootFromParent_Done,
     /* 1739827 */   // Label 23728: @1739827
     /* 1739827 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1739913), // Rule ID 10972 //
     /* 1739832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1739843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1739846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1739849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1739852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739878 */     // MIs[0] policy
     /* 1739878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739912 */     // GIR_Coverage, 10972,
     /* 1739912 */     GIR_EraseRootFromParent_Done,
     /* 1739913 */   // Label 23729: @1739913
     /* 1739913 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1739999), // Rule ID 10973 //
     /* 1739918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1739929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1739932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1739935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1739938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739964 */     // MIs[0] policy
     /* 1739964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739998 */     // GIR_Coverage, 10973,
     /* 1739998 */     GIR_EraseRootFromParent_Done,
     /* 1739999 */   // Label 23730: @1739999
     /* 1739999 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1740085), // Rule ID 10976 //
     /* 1740004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740050 */     // MIs[0] policy
     /* 1740050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740084 */     // GIR_Coverage, 10976,
     /* 1740084 */     GIR_EraseRootFromParent_Done,
     /* 1740085 */   // Label 23731: @1740085
     /* 1740085 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1740171), // Rule ID 10977 //
     /* 1740090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740136 */     // MIs[0] policy
     /* 1740136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740170 */     // GIR_Coverage, 10977,
     /* 1740170 */     GIR_EraseRootFromParent_Done,
     /* 1740171 */   // Label 23732: @1740171
     /* 1740171 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1740257), // Rule ID 10980 //
     /* 1740176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1740187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1740190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1740193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1740196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740222 */     // MIs[0] policy
     /* 1740222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740256 */     // GIR_Coverage, 10980,
     /* 1740256 */     GIR_EraseRootFromParent_Done,
     /* 1740257 */   // Label 23733: @1740257
     /* 1740257 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1740343), // Rule ID 10981 //
     /* 1740262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1740273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1740276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1740279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1740282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740308 */     // MIs[0] policy
     /* 1740308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740342 */     // GIR_Coverage, 10981,
     /* 1740342 */     GIR_EraseRootFromParent_Done,
     /* 1740343 */   // Label 23734: @1740343
     /* 1740343 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1740429), // Rule ID 10984 //
     /* 1740348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740394 */     // MIs[0] policy
     /* 1740394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740428 */     // GIR_Coverage, 10984,
     /* 1740428 */     GIR_EraseRootFromParent_Done,
     /* 1740429 */   // Label 23735: @1740429
     /* 1740429 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1740515), // Rule ID 10985 //
     /* 1740434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740480 */     // MIs[0] policy
     /* 1740480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740514 */     // GIR_Coverage, 10985,
     /* 1740514 */     GIR_EraseRootFromParent_Done,
     /* 1740515 */   // Label 23736: @1740515
     /* 1740515 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1740601), // Rule ID 10988 //
     /* 1740520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1740531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1740534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1740537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1740540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740566 */     // MIs[0] policy
     /* 1740566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740600 */     // GIR_Coverage, 10988,
     /* 1740600 */     GIR_EraseRootFromParent_Done,
     /* 1740601 */   // Label 23737: @1740601
     /* 1740601 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1740687), // Rule ID 10989 //
     /* 1740606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1740617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1740620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1740623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1740626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740652 */     // MIs[0] policy
     /* 1740652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740686 */     // GIR_Coverage, 10989,
     /* 1740686 */     GIR_EraseRootFromParent_Done,
     /* 1740687 */   // Label 23738: @1740687
     /* 1740687 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1740773), // Rule ID 10992 //
     /* 1740692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1740703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1740706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1740709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1740712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740738 */     // MIs[0] policy
     /* 1740738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1740751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740772 */     // GIR_Coverage, 10992,
     /* 1740772 */     GIR_EraseRootFromParent_Done,
     /* 1740773 */   // Label 23739: @1740773
     /* 1740773 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1740859), // Rule ID 10993 //
     /* 1740778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1740789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1740792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1740795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1740798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740824 */     // MIs[0] policy
     /* 1740824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1740837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740858 */     // GIR_Coverage, 10993,
     /* 1740858 */     GIR_EraseRootFromParent_Done,
     /* 1740859 */   // Label 23740: @1740859
     /* 1740859 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1740945), // Rule ID 10996 //
     /* 1740864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1740875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1740878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1740881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1740884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1740887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740910 */     // MIs[0] policy
     /* 1740910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740920 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1740923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740944 */     // GIR_Coverage, 10996,
     /* 1740944 */     GIR_EraseRootFromParent_Done,
     /* 1740945 */   // Label 23741: @1740945
     /* 1740945 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1741031), // Rule ID 10997 //
     /* 1740950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1740961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1740964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1740967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1740970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1740973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740996 */     // MIs[0] policy
     /* 1740996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741006 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741030 */     // GIR_Coverage, 10997,
     /* 1741030 */     GIR_EraseRootFromParent_Done,
     /* 1741031 */   // Label 23742: @1741031
     /* 1741031 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1741117), // Rule ID 11000 //
     /* 1741036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741082 */     // MIs[0] policy
     /* 1741082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741116 */     // GIR_Coverage, 11000,
     /* 1741116 */     GIR_EraseRootFromParent_Done,
     /* 1741117 */   // Label 23743: @1741117
     /* 1741117 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1741203), // Rule ID 11001 //
     /* 1741122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741168 */     // MIs[0] policy
     /* 1741168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741178 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741202 */     // GIR_Coverage, 11001,
     /* 1741202 */     GIR_EraseRootFromParent_Done,
     /* 1741203 */   // Label 23744: @1741203
     /* 1741203 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1741289), // Rule ID 11004 //
     /* 1741208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741254 */     // MIs[0] policy
     /* 1741254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741288 */     // GIR_Coverage, 11004,
     /* 1741288 */     GIR_EraseRootFromParent_Done,
     /* 1741289 */   // Label 23745: @1741289
     /* 1741289 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1741375), // Rule ID 11005 //
     /* 1741294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741340 */     // MIs[0] policy
     /* 1741340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741374 */     // GIR_Coverage, 11005,
     /* 1741374 */     GIR_EraseRootFromParent_Done,
     /* 1741375 */   // Label 23746: @1741375
     /* 1741375 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1741461), // Rule ID 11008 //
     /* 1741380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1741397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1741400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741426 */     // MIs[0] policy
     /* 1741426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741460 */     // GIR_Coverage, 11008,
     /* 1741460 */     GIR_EraseRootFromParent_Done,
     /* 1741461 */   // Label 23747: @1741461
     /* 1741461 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1741547), // Rule ID 11009 //
     /* 1741466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1741483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1741486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741512 */     // MIs[0] policy
     /* 1741512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741546 */     // GIR_Coverage, 11009,
     /* 1741546 */     GIR_EraseRootFromParent_Done,
     /* 1741547 */   // Label 23748: @1741547
     /* 1741547 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1741633), // Rule ID 11012 //
     /* 1741552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1741569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1741572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741598 */     // MIs[0] policy
     /* 1741598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741632 */     // GIR_Coverage, 11012,
     /* 1741632 */     GIR_EraseRootFromParent_Done,
     /* 1741633 */   // Label 23749: @1741633
     /* 1741633 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1741719), // Rule ID 11013 //
     /* 1741638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1741655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1741658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741684 */     // MIs[0] policy
     /* 1741684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741718 */     // GIR_Coverage, 11013,
     /* 1741718 */     GIR_EraseRootFromParent_Done,
     /* 1741719 */   // Label 23750: @1741719
     /* 1741719 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1741805), // Rule ID 11016 //
     /* 1741724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1741735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1741738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1741741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1741744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741770 */     // MIs[0] policy
     /* 1741770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741804 */     // GIR_Coverage, 11016,
     /* 1741804 */     GIR_EraseRootFromParent_Done,
     /* 1741805 */   // Label 23751: @1741805
     /* 1741805 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1741891), // Rule ID 11017 //
     /* 1741810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1741821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1741824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1741827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1741830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741856 */     // MIs[0] policy
     /* 1741856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741890 */     // GIR_Coverage, 11017,
     /* 1741890 */     GIR_EraseRootFromParent_Done,
     /* 1741891 */   // Label 23752: @1741891
     /* 1741891 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1741977), // Rule ID 11020 //
     /* 1741896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1741907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1741910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1741913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1741916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741942 */     // MIs[0] policy
     /* 1741942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741976 */     // GIR_Coverage, 11020,
     /* 1741976 */     GIR_EraseRootFromParent_Done,
     /* 1741977 */   // Label 23753: @1741977
     /* 1741977 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1742063), // Rule ID 11021 //
     /* 1741982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1741993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1741996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1741999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742028 */     // MIs[0] policy
     /* 1742028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742062 */     // GIR_Coverage, 11021,
     /* 1742062 */     GIR_EraseRootFromParent_Done,
     /* 1742063 */   // Label 23754: @1742063
     /* 1742063 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1742149), // Rule ID 11024 //
     /* 1742068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742114 */     // MIs[0] policy
     /* 1742114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742148 */     // GIR_Coverage, 11024,
     /* 1742148 */     GIR_EraseRootFromParent_Done,
     /* 1742149 */   // Label 23755: @1742149
     /* 1742149 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1742235), // Rule ID 11025 //
     /* 1742154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742200 */     // MIs[0] policy
     /* 1742200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742234 */     // GIR_Coverage, 11025,
     /* 1742234 */     GIR_EraseRootFromParent_Done,
     /* 1742235 */   // Label 23756: @1742235
     /* 1742235 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1742321), // Rule ID 11028 //
     /* 1742240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1742257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1742260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742286 */     // MIs[0] policy
     /* 1742286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742320 */     // GIR_Coverage, 11028,
     /* 1742320 */     GIR_EraseRootFromParent_Done,
     /* 1742321 */   // Label 23757: @1742321
     /* 1742321 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1742407), // Rule ID 11029 //
     /* 1742326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1742343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1742346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742372 */     // MIs[0] policy
     /* 1742372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742406 */     // GIR_Coverage, 11029,
     /* 1742406 */     GIR_EraseRootFromParent_Done,
     /* 1742407 */   // Label 23758: @1742407
     /* 1742407 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1742493), // Rule ID 11032 //
     /* 1742412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1742423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1742426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1742429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1742432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742458 */     // MIs[0] policy
     /* 1742458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742492 */     // GIR_Coverage, 11032,
     /* 1742492 */     GIR_EraseRootFromParent_Done,
     /* 1742493 */   // Label 23759: @1742493
     /* 1742493 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1742579), // Rule ID 11033 //
     /* 1742498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1742509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1742512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1742515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1742518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742544 */     // MIs[0] policy
     /* 1742544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742578 */     // GIR_Coverage, 11033,
     /* 1742578 */     GIR_EraseRootFromParent_Done,
     /* 1742579 */   // Label 23760: @1742579
     /* 1742579 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1742665), // Rule ID 11036 //
     /* 1742584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1742595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1742598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1742601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1742604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742630 */     // MIs[0] policy
     /* 1742630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742664 */     // GIR_Coverage, 11036,
     /* 1742664 */     GIR_EraseRootFromParent_Done,
     /* 1742665 */   // Label 23761: @1742665
     /* 1742665 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1742751), // Rule ID 11037 //
     /* 1742670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1742681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1742684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1742687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1742690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742716 */     // MIs[0] policy
     /* 1742716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742726 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742750 */     // GIR_Coverage, 11037,
     /* 1742750 */     GIR_EraseRootFromParent_Done,
     /* 1742751 */   // Label 23762: @1742751
     /* 1742751 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1742837), // Rule ID 11040 //
     /* 1742756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1742767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1742770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1742773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742802 */     // MIs[0] policy
     /* 1742802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1742815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742836 */     // GIR_Coverage, 11040,
     /* 1742836 */     GIR_EraseRootFromParent_Done,
     /* 1742837 */   // Label 23763: @1742837
     /* 1742837 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1742923), // Rule ID 11041 //
     /* 1742842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1742853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1742856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1742859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742888 */     // MIs[0] policy
     /* 1742888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1742901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742922 */     // GIR_Coverage, 11041,
     /* 1742922 */     GIR_EraseRootFromParent_Done,
     /* 1742923 */   // Label 23764: @1742923
     /* 1742923 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1743009), // Rule ID 11044 //
     /* 1742928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1742939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1742942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1742945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742974 */     // MIs[0] policy
     /* 1742974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1742987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743008 */     // GIR_Coverage, 11044,
     /* 1743008 */     GIR_EraseRootFromParent_Done,
     /* 1743009 */   // Label 23765: @1743009
     /* 1743009 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1743095), // Rule ID 11045 //
     /* 1743014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743060 */     // MIs[0] policy
     /* 1743060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743094 */     // GIR_Coverage, 11045,
     /* 1743094 */     GIR_EraseRootFromParent_Done,
     /* 1743095 */   // Label 23766: @1743095
     /* 1743095 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1743181), // Rule ID 11048 //
     /* 1743100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743146 */     // MIs[0] policy
     /* 1743146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743180 */     // GIR_Coverage, 11048,
     /* 1743180 */     GIR_EraseRootFromParent_Done,
     /* 1743181 */   // Label 23767: @1743181
     /* 1743181 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1743267), // Rule ID 11049 //
     /* 1743186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743232 */     // MIs[0] policy
     /* 1743232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743266 */     // GIR_Coverage, 11049,
     /* 1743266 */     GIR_EraseRootFromParent_Done,
     /* 1743267 */   // Label 23768: @1743267
     /* 1743267 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1743353), // Rule ID 11052 //
     /* 1743272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743318 */     // MIs[0] policy
     /* 1743318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743352 */     // GIR_Coverage, 11052,
     /* 1743352 */     GIR_EraseRootFromParent_Done,
     /* 1743353 */   // Label 23769: @1743353
     /* 1743353 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1743439), // Rule ID 11053 //
     /* 1743358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743404 */     // MIs[0] policy
     /* 1743404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743438 */     // GIR_Coverage, 11053,
     /* 1743438 */     GIR_EraseRootFromParent_Done,
     /* 1743439 */   // Label 23770: @1743439
     /* 1743439 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1743525), // Rule ID 11056 //
     /* 1743444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743490 */     // MIs[0] policy
     /* 1743490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743524 */     // GIR_Coverage, 11056,
     /* 1743524 */     GIR_EraseRootFromParent_Done,
     /* 1743525 */   // Label 23771: @1743525
     /* 1743525 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1743611), // Rule ID 11057 //
     /* 1743530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743576 */     // MIs[0] policy
     /* 1743576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743610 */     // GIR_Coverage, 11057,
     /* 1743610 */     GIR_EraseRootFromParent_Done,
     /* 1743611 */   // Label 23772: @1743611
     /* 1743611 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1743697), // Rule ID 11060 //
     /* 1743616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743662 */     // MIs[0] policy
     /* 1743662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743696 */     // GIR_Coverage, 11060,
     /* 1743696 */     GIR_EraseRootFromParent_Done,
     /* 1743697 */   // Label 23773: @1743697
     /* 1743697 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1743783), // Rule ID 11061 //
     /* 1743702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743748 */     // MIs[0] policy
     /* 1743748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743782 */     // GIR_Coverage, 11061,
     /* 1743782 */     GIR_EraseRootFromParent_Done,
     /* 1743783 */   // Label 23774: @1743783
     /* 1743783 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1743869), // Rule ID 11064 //
     /* 1743788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1743799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1743802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1743805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743834 */     // MIs[0] policy
     /* 1743834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1743847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743868 */     // GIR_Coverage, 11064,
     /* 1743868 */     GIR_EraseRootFromParent_Done,
     /* 1743869 */   // Label 23775: @1743869
     /* 1743869 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1743955), // Rule ID 11065 //
     /* 1743874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1743885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1743888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1743891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743920 */     // MIs[0] policy
     /* 1743920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1743933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743954 */     // GIR_Coverage, 11065,
     /* 1743954 */     GIR_EraseRootFromParent_Done,
     /* 1743955 */   // Label 23776: @1743955
     /* 1743955 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1744041), // Rule ID 11068 //
     /* 1743960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1743971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1743974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1743977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744006 */     // MIs[0] policy
     /* 1744006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744040 */     // GIR_Coverage, 11068,
     /* 1744040 */     GIR_EraseRootFromParent_Done,
     /* 1744041 */   // Label 23777: @1744041
     /* 1744041 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1744127), // Rule ID 11069 //
     /* 1744046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744092 */     // MIs[0] policy
     /* 1744092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744126 */     // GIR_Coverage, 11069,
     /* 1744126 */     GIR_EraseRootFromParent_Done,
     /* 1744127 */   // Label 23778: @1744127
     /* 1744127 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1744213), // Rule ID 11072 //
     /* 1744132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744178 */     // MIs[0] policy
     /* 1744178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744212 */     // GIR_Coverage, 11072,
     /* 1744212 */     GIR_EraseRootFromParent_Done,
     /* 1744213 */   // Label 23779: @1744213
     /* 1744213 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1744299), // Rule ID 11073 //
     /* 1744218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744264 */     // MIs[0] policy
     /* 1744264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744298 */     // GIR_Coverage, 11073,
     /* 1744298 */     GIR_EraseRootFromParent_Done,
     /* 1744299 */   // Label 23780: @1744299
     /* 1744299 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1744385), // Rule ID 11076 //
     /* 1744304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1744315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1744318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1744321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744350 */     // MIs[0] policy
     /* 1744350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744384 */     // GIR_Coverage, 11076,
     /* 1744384 */     GIR_EraseRootFromParent_Done,
     /* 1744385 */   // Label 23781: @1744385
     /* 1744385 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1744471), // Rule ID 11077 //
     /* 1744390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1744401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1744404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1744407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744436 */     // MIs[0] policy
     /* 1744436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744470 */     // GIR_Coverage, 11077,
     /* 1744470 */     GIR_EraseRootFromParent_Done,
     /* 1744471 */   // Label 23782: @1744471
     /* 1744471 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1744557), // Rule ID 11080 //
     /* 1744476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744522 */     // MIs[0] policy
     /* 1744522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1744535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744556 */     // GIR_Coverage, 11080,
     /* 1744556 */     GIR_EraseRootFromParent_Done,
     /* 1744557 */   // Label 23783: @1744557
     /* 1744557 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1744643), // Rule ID 11081 //
     /* 1744562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744608 */     // MIs[0] policy
     /* 1744608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1744621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744642 */     // GIR_Coverage, 11081,
     /* 1744642 */     GIR_EraseRootFromParent_Done,
     /* 1744643 */   // Label 23784: @1744643
     /* 1744643 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1744729), // Rule ID 11084 //
     /* 1744648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744694 */     // MIs[0] policy
     /* 1744694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1744707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744728 */     // GIR_Coverage, 11084,
     /* 1744728 */     GIR_EraseRootFromParent_Done,
     /* 1744729 */   // Label 23785: @1744729
     /* 1744729 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1744815), // Rule ID 11085 //
     /* 1744734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744780 */     // MIs[0] policy
     /* 1744780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1744793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744814 */     // GIR_Coverage, 11085,
     /* 1744814 */     GIR_EraseRootFromParent_Done,
     /* 1744815 */   // Label 23786: @1744815
     /* 1744815 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1744901), // Rule ID 11088 //
     /* 1744820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744866 */     // MIs[0] policy
     /* 1744866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1744879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744900 */     // GIR_Coverage, 11088,
     /* 1744900 */     GIR_EraseRootFromParent_Done,
     /* 1744901 */   // Label 23787: @1744901
     /* 1744901 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1744987), // Rule ID 11089 //
     /* 1744906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744952 */     // MIs[0] policy
     /* 1744952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744962 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1744965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744986 */     // GIR_Coverage, 11089,
     /* 1744986 */     GIR_EraseRootFromParent_Done,
     /* 1744987 */   // Label 23788: @1744987
     /* 1744987 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1745073), // Rule ID 11092 //
     /* 1744992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745038 */     // MIs[0] policy
     /* 1745038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745072 */     // GIR_Coverage, 11092,
     /* 1745072 */     GIR_EraseRootFromParent_Done,
     /* 1745073 */   // Label 23789: @1745073
     /* 1745073 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1745159), // Rule ID 11093 //
     /* 1745078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745124 */     // MIs[0] policy
     /* 1745124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745158 */     // GIR_Coverage, 11093,
     /* 1745158 */     GIR_EraseRootFromParent_Done,
     /* 1745159 */   // Label 23790: @1745159
     /* 1745159 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1745245), // Rule ID 11096 //
     /* 1745164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745210 */     // MIs[0] policy
     /* 1745210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745244 */     // GIR_Coverage, 11096,
     /* 1745244 */     GIR_EraseRootFromParent_Done,
     /* 1745245 */   // Label 23791: @1745245
     /* 1745245 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1745331), // Rule ID 11097 //
     /* 1745250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745296 */     // MIs[0] policy
     /* 1745296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745330 */     // GIR_Coverage, 11097,
     /* 1745330 */     GIR_EraseRootFromParent_Done,
     /* 1745331 */   // Label 23792: @1745331
     /* 1745331 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1745417), // Rule ID 11100 //
     /* 1745336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745382 */     // MIs[0] policy
     /* 1745382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745416 */     // GIR_Coverage, 11100,
     /* 1745416 */     GIR_EraseRootFromParent_Done,
     /* 1745417 */   // Label 23793: @1745417
     /* 1745417 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1745503), // Rule ID 11101 //
     /* 1745422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745468 */     // MIs[0] policy
     /* 1745468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745502 */     // GIR_Coverage, 11101,
     /* 1745502 */     GIR_EraseRootFromParent_Done,
     /* 1745503 */   // Label 23794: @1745503
     /* 1745503 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1745589), // Rule ID 11104 //
     /* 1745508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745554 */     // MIs[0] policy
     /* 1745554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745588 */     // GIR_Coverage, 11104,
     /* 1745588 */     GIR_EraseRootFromParent_Done,
     /* 1745589 */   // Label 23795: @1745589
     /* 1745589 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1745675), // Rule ID 11105 //
     /* 1745594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745640 */     // MIs[0] policy
     /* 1745640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745674 */     // GIR_Coverage, 11105,
     /* 1745674 */     GIR_EraseRootFromParent_Done,
     /* 1745675 */   // Label 23796: @1745675
     /* 1745675 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1745761), // Rule ID 11108 //
     /* 1745680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745726 */     // MIs[0] policy
     /* 1745726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745760 */     // GIR_Coverage, 11108,
     /* 1745760 */     GIR_EraseRootFromParent_Done,
     /* 1745761 */   // Label 23797: @1745761
     /* 1745761 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1745847), // Rule ID 11109 //
     /* 1745766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745812 */     // MIs[0] policy
     /* 1745812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745846 */     // GIR_Coverage, 11109,
     /* 1745846 */     GIR_EraseRootFromParent_Done,
     /* 1745847 */   // Label 23798: @1745847
     /* 1745847 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1745933), // Rule ID 11112 //
     /* 1745852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745898 */     // MIs[0] policy
     /* 1745898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745932 */     // GIR_Coverage, 11112,
     /* 1745932 */     GIR_EraseRootFromParent_Done,
     /* 1745933 */   // Label 23799: @1745933
     /* 1745933 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1746019), // Rule ID 11113 //
     /* 1745938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745984 */     // MIs[0] policy
     /* 1745984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746018 */     // GIR_Coverage, 11113,
     /* 1746018 */     GIR_EraseRootFromParent_Done,
     /* 1746019 */   // Label 23800: @1746019
     /* 1746019 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1746105), // Rule ID 11116 //
     /* 1746024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746070 */     // MIs[0] policy
     /* 1746070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746104 */     // GIR_Coverage, 11116,
     /* 1746104 */     GIR_EraseRootFromParent_Done,
     /* 1746105 */   // Label 23801: @1746105
     /* 1746105 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1746191), // Rule ID 11117 //
     /* 1746110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746156 */     // MIs[0] policy
     /* 1746156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746190 */     // GIR_Coverage, 11117,
     /* 1746190 */     GIR_EraseRootFromParent_Done,
     /* 1746191 */   // Label 23802: @1746191
     /* 1746191 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1746277), // Rule ID 11120 //
     /* 1746196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1746207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1746210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1746213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746242 */     // MIs[0] policy
     /* 1746242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746276 */     // GIR_Coverage, 11120,
     /* 1746276 */     GIR_EraseRootFromParent_Done,
     /* 1746277 */   // Label 23803: @1746277
     /* 1746277 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1746363), // Rule ID 11121 //
     /* 1746282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1746293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1746296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1746299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746328 */     // MIs[0] policy
     /* 1746328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746362 */     // GIR_Coverage, 11121,
     /* 1746362 */     GIR_EraseRootFromParent_Done,
     /* 1746363 */   // Label 23804: @1746363
     /* 1746363 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1746449), // Rule ID 11124 //
     /* 1746368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1746379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1746382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1746385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746414 */     // MIs[0] policy
     /* 1746414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746448 */     // GIR_Coverage, 11124,
     /* 1746448 */     GIR_EraseRootFromParent_Done,
     /* 1746449 */   // Label 23805: @1746449
     /* 1746449 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1746535), // Rule ID 11125 //
     /* 1746454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1746465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1746468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1746471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746500 */     // MIs[0] policy
     /* 1746500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746510 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746534 */     // GIR_Coverage, 11125,
     /* 1746534 */     GIR_EraseRootFromParent_Done,
     /* 1746535 */   // Label 23806: @1746535
     /* 1746535 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1746621), // Rule ID 11128 //
     /* 1746540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746586 */     // MIs[0] policy
     /* 1746586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1746599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746620 */     // GIR_Coverage, 11128,
     /* 1746620 */     GIR_EraseRootFromParent_Done,
     /* 1746621 */   // Label 23807: @1746621
     /* 1746621 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1746707), // Rule ID 11129 //
     /* 1746626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746672 */     // MIs[0] policy
     /* 1746672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1746685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746706 */     // GIR_Coverage, 11129,
     /* 1746706 */     GIR_EraseRootFromParent_Done,
     /* 1746707 */   // Label 23808: @1746707
     /* 1746707 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1746793), // Rule ID 11132 //
     /* 1746712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746758 */     // MIs[0] policy
     /* 1746758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1746771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746792 */     // GIR_Coverage, 11132,
     /* 1746792 */     GIR_EraseRootFromParent_Done,
     /* 1746793 */   // Label 23809: @1746793
     /* 1746793 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1746879), // Rule ID 11133 //
     /* 1746798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746844 */     // MIs[0] policy
     /* 1746844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746854 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1746857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746878 */     // GIR_Coverage, 11133,
     /* 1746878 */     GIR_EraseRootFromParent_Done,
     /* 1746879 */   // Label 23810: @1746879
     /* 1746879 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1746965), // Rule ID 11136 //
     /* 1746884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746930 */     // MIs[0] policy
     /* 1746930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1746943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746964 */     // GIR_Coverage, 11136,
     /* 1746964 */     GIR_EraseRootFromParent_Done,
     /* 1746965 */   // Label 23811: @1746965
     /* 1746965 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1747051), // Rule ID 11137 //
     /* 1746970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747016 */     // MIs[0] policy
     /* 1747016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747050 */     // GIR_Coverage, 11137,
     /* 1747050 */     GIR_EraseRootFromParent_Done,
     /* 1747051 */   // Label 23812: @1747051
     /* 1747051 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1747137), // Rule ID 11140 //
     /* 1747056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747102 */     // MIs[0] policy
     /* 1747102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747136 */     // GIR_Coverage, 11140,
     /* 1747136 */     GIR_EraseRootFromParent_Done,
     /* 1747137 */   // Label 23813: @1747137
     /* 1747137 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1747223), // Rule ID 11141 //
     /* 1747142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747188 */     // MIs[0] policy
     /* 1747188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747222 */     // GIR_Coverage, 11141,
     /* 1747222 */     GIR_EraseRootFromParent_Done,
     /* 1747223 */   // Label 23814: @1747223
     /* 1747223 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1747309), // Rule ID 11144 //
     /* 1747228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747274 */     // MIs[0] policy
     /* 1747274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747308 */     // GIR_Coverage, 11144,
     /* 1747308 */     GIR_EraseRootFromParent_Done,
     /* 1747309 */   // Label 23815: @1747309
     /* 1747309 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1747395), // Rule ID 11145 //
     /* 1747314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747360 */     // MIs[0] policy
     /* 1747360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747394 */     // GIR_Coverage, 11145,
     /* 1747394 */     GIR_EraseRootFromParent_Done,
     /* 1747395 */   // Label 23816: @1747395
     /* 1747395 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1747481), // Rule ID 11148 //
     /* 1747400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747446 */     // MIs[0] policy
     /* 1747446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747480 */     // GIR_Coverage, 11148,
     /* 1747480 */     GIR_EraseRootFromParent_Done,
     /* 1747481 */   // Label 23817: @1747481
     /* 1747481 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1747567), // Rule ID 11149 //
     /* 1747486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747532 */     // MIs[0] policy
     /* 1747532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747566 */     // GIR_Coverage, 11149,
     /* 1747566 */     GIR_EraseRootFromParent_Done,
     /* 1747567 */   // Label 23818: @1747567
     /* 1747567 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1747653), // Rule ID 11152 //
     /* 1747572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747618 */     // MIs[0] policy
     /* 1747618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1747631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747652 */     // GIR_Coverage, 11152,
     /* 1747652 */     GIR_EraseRootFromParent_Done,
     /* 1747653 */   // Label 23819: @1747653
     /* 1747653 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1747739), // Rule ID 11153 //
     /* 1747658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747704 */     // MIs[0] policy
     /* 1747704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1747717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747738 */     // GIR_Coverage, 11153,
     /* 1747738 */     GIR_EraseRootFromParent_Done,
     /* 1747739 */   // Label 23820: @1747739
     /* 1747739 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1747825), // Rule ID 11156 //
     /* 1747744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747790 */     // MIs[0] policy
     /* 1747790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1747803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747824 */     // GIR_Coverage, 11156,
     /* 1747824 */     GIR_EraseRootFromParent_Done,
     /* 1747825 */   // Label 23821: @1747825
     /* 1747825 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1747911), // Rule ID 11157 //
     /* 1747830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747876 */     // MIs[0] policy
     /* 1747876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1747889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747910 */     // GIR_Coverage, 11157,
     /* 1747910 */     GIR_EraseRootFromParent_Done,
     /* 1747911 */   // Label 23822: @1747911
     /* 1747911 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1747997), // Rule ID 11160 //
     /* 1747916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747962 */     // MIs[0] policy
     /* 1747962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1747975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747996 */     // GIR_Coverage, 11160,
     /* 1747996 */     GIR_EraseRootFromParent_Done,
     /* 1747997 */   // Label 23823: @1747997
     /* 1747997 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1748083), // Rule ID 11161 //
     /* 1748002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1748022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748048 */     // MIs[0] policy
     /* 1748048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748082 */     // GIR_Coverage, 11161,
     /* 1748082 */     GIR_EraseRootFromParent_Done,
     /* 1748083 */   // Label 23824: @1748083
     /* 1748083 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1748169), // Rule ID 11164 //
     /* 1748088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748134 */     // MIs[0] policy
     /* 1748134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748168 */     // GIR_Coverage, 11164,
     /* 1748168 */     GIR_EraseRootFromParent_Done,
     /* 1748169 */   // Label 23825: @1748169
     /* 1748169 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1748255), // Rule ID 11165 //
     /* 1748174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748220 */     // MIs[0] policy
     /* 1748220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748254 */     // GIR_Coverage, 11165,
     /* 1748254 */     GIR_EraseRootFromParent_Done,
     /* 1748255 */   // Label 23826: @1748255
     /* 1748255 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1748341), // Rule ID 11168 //
     /* 1748260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748306 */     // MIs[0] policy
     /* 1748306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748316 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748340 */     // GIR_Coverage, 11168,
     /* 1748340 */     GIR_EraseRootFromParent_Done,
     /* 1748341 */   // Label 23827: @1748341
     /* 1748341 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1748427), // Rule ID 11169 //
     /* 1748346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748392 */     // MIs[0] policy
     /* 1748392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748426 */     // GIR_Coverage, 11169,
     /* 1748426 */     GIR_EraseRootFromParent_Done,
     /* 1748427 */   // Label 23828: @1748427
     /* 1748427 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1748513), // Rule ID 11172 //
     /* 1748432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748478 */     // MIs[0] policy
     /* 1748478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748488 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1748491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748512 */     // GIR_Coverage, 11172,
     /* 1748512 */     GIR_EraseRootFromParent_Done,
     /* 1748513 */   // Label 23829: @1748513
     /* 1748513 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1748599), // Rule ID 11173 //
     /* 1748518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748564 */     // MIs[0] policy
     /* 1748564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1748577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748598 */     // GIR_Coverage, 11173,
     /* 1748598 */     GIR_EraseRootFromParent_Done,
     /* 1748599 */   // Label 23830: @1748599
     /* 1748599 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1748685), // Rule ID 11176 //
     /* 1748604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748650 */     // MIs[0] policy
     /* 1748650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748684 */     // GIR_Coverage, 11176,
     /* 1748684 */     GIR_EraseRootFromParent_Done,
     /* 1748685 */   // Label 23831: @1748685
     /* 1748685 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1748771), // Rule ID 11177 //
     /* 1748690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748736 */     // MIs[0] policy
     /* 1748736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748770 */     // GIR_Coverage, 11177,
     /* 1748770 */     GIR_EraseRootFromParent_Done,
     /* 1748771 */   // Label 23832: @1748771
     /* 1748771 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1748857), // Rule ID 11180 //
     /* 1748776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748822 */     // MIs[0] policy
     /* 1748822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748856 */     // GIR_Coverage, 11180,
     /* 1748856 */     GIR_EraseRootFromParent_Done,
     /* 1748857 */   // Label 23833: @1748857
     /* 1748857 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1748943), // Rule ID 11181 //
     /* 1748862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748908 */     // MIs[0] policy
     /* 1748908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748942 */     // GIR_Coverage, 11181,
     /* 1748942 */     GIR_EraseRootFromParent_Done,
     /* 1748943 */   // Label 23834: @1748943
     /* 1748943 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1749029), // Rule ID 11184 //
     /* 1748948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748994 */     // MIs[0] policy
     /* 1748994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749028 */     // GIR_Coverage, 11184,
     /* 1749028 */     GIR_EraseRootFromParent_Done,
     /* 1749029 */   // Label 23835: @1749029
     /* 1749029 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1749115), // Rule ID 11185 //
     /* 1749034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1749051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1749054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749080 */     // MIs[0] policy
     /* 1749080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749114 */     // GIR_Coverage, 11185,
     /* 1749114 */     GIR_EraseRootFromParent_Done,
     /* 1749115 */   // Label 23836: @1749115
     /* 1749115 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1749201), // Rule ID 11188 //
     /* 1749120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749166 */     // MIs[0] policy
     /* 1749166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749200 */     // GIR_Coverage, 11188,
     /* 1749200 */     GIR_EraseRootFromParent_Done,
     /* 1749201 */   // Label 23837: @1749201
     /* 1749201 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1749287), // Rule ID 11189 //
     /* 1749206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749252 */     // MIs[0] policy
     /* 1749252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749286 */     // GIR_Coverage, 11189,
     /* 1749286 */     GIR_EraseRootFromParent_Done,
     /* 1749287 */   // Label 23838: @1749287
     /* 1749287 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1749373), // Rule ID 11192 //
     /* 1749292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749338 */     // MIs[0] policy
     /* 1749338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749372 */     // GIR_Coverage, 11192,
     /* 1749372 */     GIR_EraseRootFromParent_Done,
     /* 1749373 */   // Label 23839: @1749373
     /* 1749373 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1749459), // Rule ID 11193 //
     /* 1749378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749424 */     // MIs[0] policy
     /* 1749424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749458 */     // GIR_Coverage, 11193,
     /* 1749458 */     GIR_EraseRootFromParent_Done,
     /* 1749459 */   // Label 23840: @1749459
     /* 1749459 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1749545), // Rule ID 11196 //
     /* 1749464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749510 */     // MIs[0] policy
     /* 1749510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749544 */     // GIR_Coverage, 11196,
     /* 1749544 */     GIR_EraseRootFromParent_Done,
     /* 1749545 */   // Label 23841: @1749545
     /* 1749545 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1749631), // Rule ID 11197 //
     /* 1749550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749596 */     // MIs[0] policy
     /* 1749596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749630 */     // GIR_Coverage, 11197,
     /* 1749630 */     GIR_EraseRootFromParent_Done,
     /* 1749631 */   // Label 23842: @1749631
     /* 1749631 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1749717), // Rule ID 11200 //
     /* 1749636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749682 */     // MIs[0] policy
     /* 1749682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1749695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749716 */     // GIR_Coverage, 11200,
     /* 1749716 */     GIR_EraseRootFromParent_Done,
     /* 1749717 */   // Label 23843: @1749717
     /* 1749717 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1749803), // Rule ID 11201 //
     /* 1749722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749768 */     // MIs[0] policy
     /* 1749768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1749781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749802 */     // GIR_Coverage, 11201,
     /* 1749802 */     GIR_EraseRootFromParent_Done,
     /* 1749803 */   // Label 23844: @1749803
     /* 1749803 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1749889), // Rule ID 11204 //
     /* 1749808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749854 */     // MIs[0] policy
     /* 1749854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1749867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749888 */     // GIR_Coverage, 11204,
     /* 1749888 */     GIR_EraseRootFromParent_Done,
     /* 1749889 */   // Label 23845: @1749889
     /* 1749889 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1749975), // Rule ID 11205 //
     /* 1749894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749940 */     // MIs[0] policy
     /* 1749940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1749953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749974 */     // GIR_Coverage, 11205,
     /* 1749974 */     GIR_EraseRootFromParent_Done,
     /* 1749975 */   // Label 23846: @1749975
     /* 1749975 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1750061), // Rule ID 11208 //
     /* 1749980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750026 */     // MIs[0] policy
     /* 1750026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750060 */     // GIR_Coverage, 11208,
     /* 1750060 */     GIR_EraseRootFromParent_Done,
     /* 1750061 */   // Label 23847: @1750061
     /* 1750061 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1750147), // Rule ID 11209 //
     /* 1750066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1750077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1750080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1750083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750112 */     // MIs[0] policy
     /* 1750112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750122 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750146 */     // GIR_Coverage, 11209,
     /* 1750146 */     GIR_EraseRootFromParent_Done,
     /* 1750147 */   // Label 23848: @1750147
     /* 1750147 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1750233), // Rule ID 11212 //
     /* 1750152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750198 */     // MIs[0] policy
     /* 1750198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750232 */     // GIR_Coverage, 11212,
     /* 1750232 */     GIR_EraseRootFromParent_Done,
     /* 1750233 */   // Label 23849: @1750233
     /* 1750233 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1750319), // Rule ID 11213 //
     /* 1750238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750284 */     // MIs[0] policy
     /* 1750284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750318 */     // GIR_Coverage, 11213,
     /* 1750318 */     GIR_EraseRootFromParent_Done,
     /* 1750319 */   // Label 23850: @1750319
     /* 1750319 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1750405), // Rule ID 11216 //
     /* 1750324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750370 */     // MIs[0] policy
     /* 1750370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750404 */     // GIR_Coverage, 11216,
     /* 1750404 */     GIR_EraseRootFromParent_Done,
     /* 1750405 */   // Label 23851: @1750405
     /* 1750405 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1750491), // Rule ID 11217 //
     /* 1750410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750456 */     // MIs[0] policy
     /* 1750456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750490 */     // GIR_Coverage, 11217,
     /* 1750490 */     GIR_EraseRootFromParent_Done,
     /* 1750491 */   // Label 23852: @1750491
     /* 1750491 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1750577), // Rule ID 11220 //
     /* 1750496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750542 */     // MIs[0] policy
     /* 1750542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750576 */     // GIR_Coverage, 11220,
     /* 1750576 */     GIR_EraseRootFromParent_Done,
     /* 1750577 */   // Label 23853: @1750577
     /* 1750577 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1750663), // Rule ID 11221 //
     /* 1750582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750628 */     // MIs[0] policy
     /* 1750628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750662 */     // GIR_Coverage, 11221,
     /* 1750662 */     GIR_EraseRootFromParent_Done,
     /* 1750663 */   // Label 23854: @1750663
     /* 1750663 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1750749), // Rule ID 11224 //
     /* 1750668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750714 */     // MIs[0] policy
     /* 1750714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1750727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750748 */     // GIR_Coverage, 11224,
     /* 1750748 */     GIR_EraseRootFromParent_Done,
     /* 1750749 */   // Label 23855: @1750749
     /* 1750749 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1750835), // Rule ID 11225 //
     /* 1750754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750800 */     // MIs[0] policy
     /* 1750800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750810 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1750813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750834 */     // GIR_Coverage, 11225,
     /* 1750834 */     GIR_EraseRootFromParent_Done,
     /* 1750835 */   // Label 23856: @1750835
     /* 1750835 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1750921), // Rule ID 11228 //
     /* 1750840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750886 */     // MIs[0] policy
     /* 1750886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1750899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750920 */     // GIR_Coverage, 11228,
     /* 1750920 */     GIR_EraseRootFromParent_Done,
     /* 1750921 */   // Label 23857: @1750921
     /* 1750921 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1751007), // Rule ID 11229 //
     /* 1750926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750972 */     // MIs[0] policy
     /* 1750972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1750985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751006 */     // GIR_Coverage, 11229,
     /* 1751006 */     GIR_EraseRootFromParent_Done,
     /* 1751007 */   // Label 23858: @1751007
     /* 1751007 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1751093), // Rule ID 11232 //
     /* 1751012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751058 */     // MIs[0] policy
     /* 1751058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751092 */     // GIR_Coverage, 11232,
     /* 1751092 */     GIR_EraseRootFromParent_Done,
     /* 1751093 */   // Label 23859: @1751093
     /* 1751093 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1751179), // Rule ID 11233 //
     /* 1751098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751144 */     // MIs[0] policy
     /* 1751144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751178 */     // GIR_Coverage, 11233,
     /* 1751178 */     GIR_EraseRootFromParent_Done,
     /* 1751179 */   // Label 23860: @1751179
     /* 1751179 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1751265), // Rule ID 11236 //
     /* 1751184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751230 */     // MIs[0] policy
     /* 1751230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751264 */     // GIR_Coverage, 11236,
     /* 1751264 */     GIR_EraseRootFromParent_Done,
     /* 1751265 */   // Label 23861: @1751265
     /* 1751265 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1751351), // Rule ID 11237 //
     /* 1751270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751316 */     // MIs[0] policy
     /* 1751316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751350 */     // GIR_Coverage, 11237,
     /* 1751350 */     GIR_EraseRootFromParent_Done,
     /* 1751351 */   // Label 23862: @1751351
     /* 1751351 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1751437), // Rule ID 11240 //
     /* 1751356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751402 */     // MIs[0] policy
     /* 1751402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1751415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751436 */     // GIR_Coverage, 11240,
     /* 1751436 */     GIR_EraseRootFromParent_Done,
     /* 1751437 */   // Label 23863: @1751437
     /* 1751437 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1751523), // Rule ID 11241 //
     /* 1751442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751488 */     // MIs[0] policy
     /* 1751488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751498 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1751501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751522 */     // GIR_Coverage, 11241,
     /* 1751522 */     GIR_EraseRootFromParent_Done,
     /* 1751523 */   // Label 23864: @1751523
     /* 1751523 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1751609), // Rule ID 11244 //
     /* 1751528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751574 */     // MIs[0] policy
     /* 1751574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1751587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751608 */     // GIR_Coverage, 11244,
     /* 1751608 */     GIR_EraseRootFromParent_Done,
     /* 1751609 */   // Label 23865: @1751609
     /* 1751609 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1751695), // Rule ID 11245 //
     /* 1751614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751660 */     // MIs[0] policy
     /* 1751660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751670 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1751673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751694 */     // GIR_Coverage, 11245,
     /* 1751694 */     GIR_EraseRootFromParent_Done,
     /* 1751695 */   // Label 23866: @1751695
     /* 1751695 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1751781), // Rule ID 11248 //
     /* 1751700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751746 */     // MIs[0] policy
     /* 1751746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751780 */     // GIR_Coverage, 11248,
     /* 1751780 */     GIR_EraseRootFromParent_Done,
     /* 1751781 */   // Label 23867: @1751781
     /* 1751781 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1751867), // Rule ID 11249 //
     /* 1751786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751832 */     // MIs[0] policy
     /* 1751832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751866 */     // GIR_Coverage, 11249,
     /* 1751866 */     GIR_EraseRootFromParent_Done,
     /* 1751867 */   // Label 23868: @1751867
     /* 1751867 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1751953), // Rule ID 11252 //
     /* 1751872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751918 */     // MIs[0] policy
     /* 1751918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1751931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751952 */     // GIR_Coverage, 11252,
     /* 1751952 */     GIR_EraseRootFromParent_Done,
     /* 1751953 */   // Label 23869: @1751953
     /* 1751953 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1752039), // Rule ID 11253 //
     /* 1751958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752004 */     // MIs[0] policy
     /* 1752004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752038 */     // GIR_Coverage, 11253,
     /* 1752038 */     GIR_EraseRootFromParent_Done,
     /* 1752039 */   // Label 23870: @1752039
     /* 1752039 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1752125), // Rule ID 11256 //
     /* 1752044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752090 */     // MIs[0] policy
     /* 1752090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752124 */     // GIR_Coverage, 11256,
     /* 1752124 */     GIR_EraseRootFromParent_Done,
     /* 1752125 */   // Label 23871: @1752125
     /* 1752125 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1752211), // Rule ID 11257 //
     /* 1752130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752176 */     // MIs[0] policy
     /* 1752176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752210 */     // GIR_Coverage, 11257,
     /* 1752210 */     GIR_EraseRootFromParent_Done,
     /* 1752211 */   // Label 23872: @1752211
     /* 1752211 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1752297), // Rule ID 11260 //
     /* 1752216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752262 */     // MIs[0] policy
     /* 1752262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752296 */     // GIR_Coverage, 11260,
     /* 1752296 */     GIR_EraseRootFromParent_Done,
     /* 1752297 */   // Label 23873: @1752297
     /* 1752297 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1752383), // Rule ID 11261 //
     /* 1752302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752348 */     // MIs[0] policy
     /* 1752348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752382 */     // GIR_Coverage, 11261,
     /* 1752382 */     GIR_EraseRootFromParent_Done,
     /* 1752383 */   // Label 23874: @1752383
     /* 1752383 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1752469), // Rule ID 11264 //
     /* 1752388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752434 */     // MIs[0] policy
     /* 1752434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752468 */     // GIR_Coverage, 11264,
     /* 1752468 */     GIR_EraseRootFromParent_Done,
     /* 1752469 */   // Label 23875: @1752469
     /* 1752469 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1752555), // Rule ID 11265 //
     /* 1752474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752520 */     // MIs[0] policy
     /* 1752520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752554 */     // GIR_Coverage, 11265,
     /* 1752554 */     GIR_EraseRootFromParent_Done,
     /* 1752555 */   // Label 23876: @1752555
     /* 1752555 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1752641), // Rule ID 11268 //
     /* 1752560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752606 */     // MIs[0] policy
     /* 1752606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752640 */     // GIR_Coverage, 11268,
     /* 1752640 */     GIR_EraseRootFromParent_Done,
     /* 1752641 */   // Label 23877: @1752641
     /* 1752641 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1752727), // Rule ID 11269 //
     /* 1752646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752692 */     // MIs[0] policy
     /* 1752692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752726 */     // GIR_Coverage, 11269,
     /* 1752726 */     GIR_EraseRootFromParent_Done,
     /* 1752727 */   // Label 23878: @1752727
     /* 1752727 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1752813), // Rule ID 11272 //
     /* 1752732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752778 */     // MIs[0] policy
     /* 1752778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1752791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752812 */     // GIR_Coverage, 11272,
     /* 1752812 */     GIR_EraseRootFromParent_Done,
     /* 1752813 */   // Label 23879: @1752813
     /* 1752813 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1752899), // Rule ID 11273 //
     /* 1752818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752864 */     // MIs[0] policy
     /* 1752864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1752877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752898 */     // GIR_Coverage, 11273,
     /* 1752898 */     GIR_EraseRootFromParent_Done,
     /* 1752899 */   // Label 23880: @1752899
     /* 1752899 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1752985), // Rule ID 11276 //
     /* 1752904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752950 */     // MIs[0] policy
     /* 1752950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1752963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752984 */     // GIR_Coverage, 11276,
     /* 1752984 */     GIR_EraseRootFromParent_Done,
     /* 1752985 */   // Label 23881: @1752985
     /* 1752985 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1753071), // Rule ID 11277 //
     /* 1752990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753036 */     // MIs[0] policy
     /* 1753036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753070 */     // GIR_Coverage, 11277,
     /* 1753070 */     GIR_EraseRootFromParent_Done,
     /* 1753071 */   // Label 23882: @1753071
     /* 1753071 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1753157), // Rule ID 11280 //
     /* 1753076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753122 */     // MIs[0] policy
     /* 1753122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753156 */     // GIR_Coverage, 11280,
     /* 1753156 */     GIR_EraseRootFromParent_Done,
     /* 1753157 */   // Label 23883: @1753157
     /* 1753157 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1753243), // Rule ID 11281 //
     /* 1753162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753208 */     // MIs[0] policy
     /* 1753208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753242 */     // GIR_Coverage, 11281,
     /* 1753242 */     GIR_EraseRootFromParent_Done,
     /* 1753243 */   // Label 23884: @1753243
     /* 1753243 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1753329), // Rule ID 11284 //
     /* 1753248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753294 */     // MIs[0] policy
     /* 1753294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753328 */     // GIR_Coverage, 11284,
     /* 1753328 */     GIR_EraseRootFromParent_Done,
     /* 1753329 */   // Label 23885: @1753329
     /* 1753329 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1753415), // Rule ID 11285 //
     /* 1753334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753380 */     // MIs[0] policy
     /* 1753380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753414 */     // GIR_Coverage, 11285,
     /* 1753414 */     GIR_EraseRootFromParent_Done,
     /* 1753415 */   // Label 23886: @1753415
     /* 1753415 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1753501), // Rule ID 11288 //
     /* 1753420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753466 */     // MIs[0] policy
     /* 1753466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753500 */     // GIR_Coverage, 11288,
     /* 1753500 */     GIR_EraseRootFromParent_Done,
     /* 1753501 */   // Label 23887: @1753501
     /* 1753501 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1753587), // Rule ID 11289 //
     /* 1753506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753552 */     // MIs[0] policy
     /* 1753552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753586 */     // GIR_Coverage, 11289,
     /* 1753586 */     GIR_EraseRootFromParent_Done,
     /* 1753587 */   // Label 23888: @1753587
     /* 1753587 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1753673), // Rule ID 11292 //
     /* 1753592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753638 */     // MIs[0] policy
     /* 1753638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753672 */     // GIR_Coverage, 11292,
     /* 1753672 */     GIR_EraseRootFromParent_Done,
     /* 1753673 */   // Label 23889: @1753673
     /* 1753673 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1753759), // Rule ID 11293 //
     /* 1753678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753724 */     // MIs[0] policy
     /* 1753724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753758 */     // GIR_Coverage, 11293,
     /* 1753758 */     GIR_EraseRootFromParent_Done,
     /* 1753759 */   // Label 23890: @1753759
     /* 1753759 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1753845), // Rule ID 11296 //
     /* 1753764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753810 */     // MIs[0] policy
     /* 1753810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1753823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753844 */     // GIR_Coverage, 11296,
     /* 1753844 */     GIR_EraseRootFromParent_Done,
     /* 1753845 */   // Label 23891: @1753845
     /* 1753845 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1753931), // Rule ID 11297 //
     /* 1753850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753896 */     // MIs[0] policy
     /* 1753896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1753909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753930 */     // GIR_Coverage, 11297,
     /* 1753930 */     GIR_EraseRootFromParent_Done,
     /* 1753931 */   // Label 23892: @1753931
     /* 1753931 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1754017), // Rule ID 11300 //
     /* 1753936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753982 */     // MIs[0] policy
     /* 1753982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1753995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754016 */     // GIR_Coverage, 11300,
     /* 1754016 */     GIR_EraseRootFromParent_Done,
     /* 1754017 */   // Label 23893: @1754017
     /* 1754017 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1754103), // Rule ID 11301 //
     /* 1754022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1754033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1754036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1754039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1754042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754068 */     // MIs[0] policy
     /* 1754068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754102 */     // GIR_Coverage, 11301,
     /* 1754102 */     GIR_EraseRootFromParent_Done,
     /* 1754103 */   // Label 23894: @1754103
     /* 1754103 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1754189), // Rule ID 11304 //
     /* 1754108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754154 */     // MIs[0] policy
     /* 1754154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754188 */     // GIR_Coverage, 11304,
     /* 1754188 */     GIR_EraseRootFromParent_Done,
     /* 1754189 */   // Label 23895: @1754189
     /* 1754189 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1754275), // Rule ID 11305 //
     /* 1754194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754240 */     // MIs[0] policy
     /* 1754240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754274 */     // GIR_Coverage, 11305,
     /* 1754274 */     GIR_EraseRootFromParent_Done,
     /* 1754275 */   // Label 23896: @1754275
     /* 1754275 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1754361), // Rule ID 11308 //
     /* 1754280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754326 */     // MIs[0] policy
     /* 1754326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754360 */     // GIR_Coverage, 11308,
     /* 1754360 */     GIR_EraseRootFromParent_Done,
     /* 1754361 */   // Label 23897: @1754361
     /* 1754361 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1754447), // Rule ID 11309 //
     /* 1754366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754412 */     // MIs[0] policy
     /* 1754412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754446 */     // GIR_Coverage, 11309,
     /* 1754446 */     GIR_EraseRootFromParent_Done,
     /* 1754447 */   // Label 23898: @1754447
     /* 1754447 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1754533), // Rule ID 11312 //
     /* 1754452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754498 */     // MIs[0] policy
     /* 1754498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1754511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754532 */     // GIR_Coverage, 11312,
     /* 1754532 */     GIR_EraseRootFromParent_Done,
     /* 1754533 */   // Label 23899: @1754533
     /* 1754533 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1754619), // Rule ID 11313 //
     /* 1754538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754584 */     // MIs[0] policy
     /* 1754584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1754597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754618 */     // GIR_Coverage, 11313,
     /* 1754618 */     GIR_EraseRootFromParent_Done,
     /* 1754619 */   // Label 23900: @1754619
     /* 1754619 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1754705), // Rule ID 11316 //
     /* 1754624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754670 */     // MIs[0] policy
     /* 1754670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754680 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1754683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754704 */     // GIR_Coverage, 11316,
     /* 1754704 */     GIR_EraseRootFromParent_Done,
     /* 1754705 */   // Label 23901: @1754705
     /* 1754705 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1754791), // Rule ID 11317 //
     /* 1754710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754756 */     // MIs[0] policy
     /* 1754756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754766 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1754769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754790 */     // GIR_Coverage, 11317,
     /* 1754790 */     GIR_EraseRootFromParent_Done,
     /* 1754791 */   // Label 23902: @1754791
     /* 1754791 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1754877), // Rule ID 11320 //
     /* 1754796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754842 */     // MIs[0] policy
     /* 1754842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754876 */     // GIR_Coverage, 11320,
     /* 1754876 */     GIR_EraseRootFromParent_Done,
     /* 1754877 */   // Label 23903: @1754877
     /* 1754877 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1754963), // Rule ID 11321 //
     /* 1754882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754928 */     // MIs[0] policy
     /* 1754928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754962 */     // GIR_Coverage, 11321,
     /* 1754962 */     GIR_EraseRootFromParent_Done,
     /* 1754963 */   // Label 23904: @1754963
     /* 1754963 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1755049), // Rule ID 11324 //
     /* 1754968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755014 */     // MIs[0] policy
     /* 1755014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755048 */     // GIR_Coverage, 11324,
     /* 1755048 */     GIR_EraseRootFromParent_Done,
     /* 1755049 */   // Label 23905: @1755049
     /* 1755049 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1755135), // Rule ID 11325 //
     /* 1755054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1755065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1755068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1755071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1755074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755100 */     // MIs[0] policy
     /* 1755100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755110 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755134 */     // GIR_Coverage, 11325,
     /* 1755134 */     GIR_EraseRootFromParent_Done,
     /* 1755135 */   // Label 23906: @1755135
     /* 1755135 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1755221), // Rule ID 11328 //
     /* 1755140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755186 */     // MIs[0] policy
     /* 1755186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755220 */     // GIR_Coverage, 11328,
     /* 1755220 */     GIR_EraseRootFromParent_Done,
     /* 1755221 */   // Label 23907: @1755221
     /* 1755221 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1755307), // Rule ID 11329 //
     /* 1755226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755272 */     // MIs[0] policy
     /* 1755272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755306 */     // GIR_Coverage, 11329,
     /* 1755306 */     GIR_EraseRootFromParent_Done,
     /* 1755307 */   // Label 23908: @1755307
     /* 1755307 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1755393), // Rule ID 11332 //
     /* 1755312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755358 */     // MIs[0] policy
     /* 1755358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755392 */     // GIR_Coverage, 11332,
     /* 1755392 */     GIR_EraseRootFromParent_Done,
     /* 1755393 */   // Label 23909: @1755393
     /* 1755393 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1755479), // Rule ID 11333 //
     /* 1755398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755444 */     // MIs[0] policy
     /* 1755444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755454 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755478 */     // GIR_Coverage, 11333,
     /* 1755478 */     GIR_EraseRootFromParent_Done,
     /* 1755479 */   // Label 23910: @1755479
     /* 1755479 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1755565), // Rule ID 11336 //
     /* 1755484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755530 */     // MIs[0] policy
     /* 1755530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755564 */     // GIR_Coverage, 11336,
     /* 1755564 */     GIR_EraseRootFromParent_Done,
     /* 1755565 */   // Label 23911: @1755565
     /* 1755565 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1755651), // Rule ID 11337 //
     /* 1755570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755616 */     // MIs[0] policy
     /* 1755616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755650 */     // GIR_Coverage, 11337,
     /* 1755650 */     GIR_EraseRootFromParent_Done,
     /* 1755651 */   // Label 23912: @1755651
     /* 1755651 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1755737), // Rule ID 11340 //
     /* 1755656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755702 */     // MIs[0] policy
     /* 1755702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755736 */     // GIR_Coverage, 11340,
     /* 1755736 */     GIR_EraseRootFromParent_Done,
     /* 1755737 */   // Label 23913: @1755737
     /* 1755737 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1755823), // Rule ID 11341 //
     /* 1755742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755788 */     // MIs[0] policy
     /* 1755788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755822 */     // GIR_Coverage, 11341,
     /* 1755822 */     GIR_EraseRootFromParent_Done,
     /* 1755823 */   // Label 23914: @1755823
     /* 1755823 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1755909), // Rule ID 11344 //
     /* 1755828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755874 */     // MIs[0] policy
     /* 1755874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1755887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755908 */     // GIR_Coverage, 11344,
     /* 1755908 */     GIR_EraseRootFromParent_Done,
     /* 1755909 */   // Label 23915: @1755909
     /* 1755909 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1755995), // Rule ID 11345 //
     /* 1755914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755960 */     // MIs[0] policy
     /* 1755960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1755973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755994 */     // GIR_Coverage, 11345,
     /* 1755994 */     GIR_EraseRootFromParent_Done,
     /* 1755995 */   // Label 23916: @1755995
     /* 1755995 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1756081), // Rule ID 11348 //
     /* 1756000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756046 */     // MIs[0] policy
     /* 1756046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756080 */     // GIR_Coverage, 11348,
     /* 1756080 */     GIR_EraseRootFromParent_Done,
     /* 1756081 */   // Label 23917: @1756081
     /* 1756081 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1756167), // Rule ID 11349 //
     /* 1756086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756132 */     // MIs[0] policy
     /* 1756132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756166 */     // GIR_Coverage, 11349,
     /* 1756166 */     GIR_EraseRootFromParent_Done,
     /* 1756167 */   // Label 23918: @1756167
     /* 1756167 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1756253), // Rule ID 11352 //
     /* 1756172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756218 */     // MIs[0] policy
     /* 1756218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756252 */     // GIR_Coverage, 11352,
     /* 1756252 */     GIR_EraseRootFromParent_Done,
     /* 1756253 */   // Label 23919: @1756253
     /* 1756253 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1756339), // Rule ID 11353 //
     /* 1756258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756304 */     // MIs[0] policy
     /* 1756304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756338 */     // GIR_Coverage, 11353,
     /* 1756338 */     GIR_EraseRootFromParent_Done,
     /* 1756339 */   // Label 23920: @1756339
     /* 1756339 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1756425), // Rule ID 11356 //
     /* 1756344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756390 */     // MIs[0] policy
     /* 1756390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756424 */     // GIR_Coverage, 11356,
     /* 1756424 */     GIR_EraseRootFromParent_Done,
     /* 1756425 */   // Label 23921: @1756425
     /* 1756425 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1756511), // Rule ID 11357 //
     /* 1756430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756476 */     // MIs[0] policy
     /* 1756476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756510 */     // GIR_Coverage, 11357,
     /* 1756510 */     GIR_EraseRootFromParent_Done,
     /* 1756511 */   // Label 23922: @1756511
     /* 1756511 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1756597), // Rule ID 11360 //
     /* 1756516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756562 */     // MIs[0] policy
     /* 1756562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756596 */     // GIR_Coverage, 11360,
     /* 1756596 */     GIR_EraseRootFromParent_Done,
     /* 1756597 */   // Label 23923: @1756597
     /* 1756597 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1756683), // Rule ID 11361 //
     /* 1756602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756648 */     // MIs[0] policy
     /* 1756648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756682 */     // GIR_Coverage, 11361,
     /* 1756682 */     GIR_EraseRootFromParent_Done,
     /* 1756683 */   // Label 23924: @1756683
     /* 1756683 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1756769), // Rule ID 11364 //
     /* 1756688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756734 */     // MIs[0] policy
     /* 1756734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756768 */     // GIR_Coverage, 11364,
     /* 1756768 */     GIR_EraseRootFromParent_Done,
     /* 1756769 */   // Label 23925: @1756769
     /* 1756769 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1756855), // Rule ID 11365 //
     /* 1756774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756820 */     // MIs[0] policy
     /* 1756820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756854 */     // GIR_Coverage, 11365,
     /* 1756854 */     GIR_EraseRootFromParent_Done,
     /* 1756855 */   // Label 23926: @1756855
     /* 1756855 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1756941), // Rule ID 11368 //
     /* 1756860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756906 */     // MIs[0] policy
     /* 1756906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1756919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756940 */     // GIR_Coverage, 11368,
     /* 1756940 */     GIR_EraseRootFromParent_Done,
     /* 1756941 */   // Label 23927: @1756941
     /* 1756941 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1757027), // Rule ID 11369 //
     /* 1756946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756992 */     // MIs[0] policy
     /* 1756992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757026 */     // GIR_Coverage, 11369,
     /* 1757026 */     GIR_EraseRootFromParent_Done,
     /* 1757027 */   // Label 23928: @1757027
     /* 1757027 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1757113), // Rule ID 11372 //
     /* 1757032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757078 */     // MIs[0] policy
     /* 1757078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757112 */     // GIR_Coverage, 11372,
     /* 1757112 */     GIR_EraseRootFromParent_Done,
     /* 1757113 */   // Label 23929: @1757113
     /* 1757113 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1757199), // Rule ID 11373 //
     /* 1757118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757164 */     // MIs[0] policy
     /* 1757164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757198 */     // GIR_Coverage, 11373,
     /* 1757198 */     GIR_EraseRootFromParent_Done,
     /* 1757199 */   // Label 23930: @1757199
     /* 1757199 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1757285), // Rule ID 11376 //
     /* 1757204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757250 */     // MIs[0] policy
     /* 1757250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757284 */     // GIR_Coverage, 11376,
     /* 1757284 */     GIR_EraseRootFromParent_Done,
     /* 1757285 */   // Label 23931: @1757285
     /* 1757285 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1757371), // Rule ID 11377 //
     /* 1757290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757336 */     // MIs[0] policy
     /* 1757336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757370 */     // GIR_Coverage, 11377,
     /* 1757370 */     GIR_EraseRootFromParent_Done,
     /* 1757371 */   // Label 23932: @1757371
     /* 1757371 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1757457), // Rule ID 11380 //
     /* 1757376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757422 */     // MIs[0] policy
     /* 1757422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1757435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757456 */     // GIR_Coverage, 11380,
     /* 1757456 */     GIR_EraseRootFromParent_Done,
     /* 1757457 */   // Label 23933: @1757457
     /* 1757457 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1757543), // Rule ID 11381 //
     /* 1757462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757508 */     // MIs[0] policy
     /* 1757508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1757521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757542 */     // GIR_Coverage, 11381,
     /* 1757542 */     GIR_EraseRootFromParent_Done,
     /* 1757543 */   // Label 23934: @1757543
     /* 1757543 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1757629), // Rule ID 11384 //
     /* 1757548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757594 */     // MIs[0] policy
     /* 1757594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757604 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1757607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757628 */     // GIR_Coverage, 11384,
     /* 1757628 */     GIR_EraseRootFromParent_Done,
     /* 1757629 */   // Label 23935: @1757629
     /* 1757629 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1757715), // Rule ID 11385 //
     /* 1757634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757680 */     // MIs[0] policy
     /* 1757680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1757693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757714 */     // GIR_Coverage, 11385,
     /* 1757714 */     GIR_EraseRootFromParent_Done,
     /* 1757715 */   // Label 23936: @1757715
     /* 1757715 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1757801), // Rule ID 11388 //
     /* 1757720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757766 */     // MIs[0] policy
     /* 1757766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1757779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757800 */     // GIR_Coverage, 11388,
     /* 1757800 */     GIR_EraseRootFromParent_Done,
     /* 1757801 */   // Label 23937: @1757801
     /* 1757801 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1757887), // Rule ID 11389 //
     /* 1757806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757852 */     // MIs[0] policy
     /* 1757852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1757865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757886 */     // GIR_Coverage, 11389,
     /* 1757886 */     GIR_EraseRootFromParent_Done,
     /* 1757887 */   // Label 23938: @1757887
     /* 1757887 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1757973), // Rule ID 11392 //
     /* 1757892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757938 */     // MIs[0] policy
     /* 1757938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1757951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757972 */     // GIR_Coverage, 11392,
     /* 1757972 */     GIR_EraseRootFromParent_Done,
     /* 1757973 */   // Label 23939: @1757973
     /* 1757973 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1758059), // Rule ID 11393 //
     /* 1757978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758024 */     // MIs[0] policy
     /* 1758024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758058 */     // GIR_Coverage, 11393,
     /* 1758058 */     GIR_EraseRootFromParent_Done,
     /* 1758059 */   // Label 23940: @1758059
     /* 1758059 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1758145), // Rule ID 11396 //
     /* 1758064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758110 */     // MIs[0] policy
     /* 1758110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758144 */     // GIR_Coverage, 11396,
     /* 1758144 */     GIR_EraseRootFromParent_Done,
     /* 1758145 */   // Label 23941: @1758145
     /* 1758145 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1758231), // Rule ID 11397 //
     /* 1758150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758196 */     // MIs[0] policy
     /* 1758196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758230 */     // GIR_Coverage, 11397,
     /* 1758230 */     GIR_EraseRootFromParent_Done,
     /* 1758231 */   // Label 23942: @1758231
     /* 1758231 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1758317), // Rule ID 11400 //
     /* 1758236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758282 */     // MIs[0] policy
     /* 1758282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758316 */     // GIR_Coverage, 11400,
     /* 1758316 */     GIR_EraseRootFromParent_Done,
     /* 1758317 */   // Label 23943: @1758317
     /* 1758317 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1758403), // Rule ID 11401 //
     /* 1758322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758368 */     // MIs[0] policy
     /* 1758368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758402 */     // GIR_Coverage, 11401,
     /* 1758402 */     GIR_EraseRootFromParent_Done,
     /* 1758403 */   // Label 23944: @1758403
     /* 1758403 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1758489), // Rule ID 11404 //
     /* 1758408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758454 */     // MIs[0] policy
     /* 1758454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758488 */     // GIR_Coverage, 11404,
     /* 1758488 */     GIR_EraseRootFromParent_Done,
     /* 1758489 */   // Label 23945: @1758489
     /* 1758489 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1758575), // Rule ID 11405 //
     /* 1758494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758540 */     // MIs[0] policy
     /* 1758540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758574 */     // GIR_Coverage, 11405,
     /* 1758574 */     GIR_EraseRootFromParent_Done,
     /* 1758575 */   // Label 23946: @1758575
     /* 1758575 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1758661), // Rule ID 11408 //
     /* 1758580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758626 */     // MIs[0] policy
     /* 1758626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758660 */     // GIR_Coverage, 11408,
     /* 1758660 */     GIR_EraseRootFromParent_Done,
     /* 1758661 */   // Label 23947: @1758661
     /* 1758661 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1758747), // Rule ID 11409 //
     /* 1758666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758712 */     // MIs[0] policy
     /* 1758712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758746 */     // GIR_Coverage, 11409,
     /* 1758746 */     GIR_EraseRootFromParent_Done,
     /* 1758747 */   // Label 23948: @1758747
     /* 1758747 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1758833), // Rule ID 11412 //
     /* 1758752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758798 */     // MIs[0] policy
     /* 1758798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758832 */     // GIR_Coverage, 11412,
     /* 1758832 */     GIR_EraseRootFromParent_Done,
     /* 1758833 */   // Label 23949: @1758833
     /* 1758833 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1758919), // Rule ID 11413 //
     /* 1758838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758884 */     // MIs[0] policy
     /* 1758884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758918 */     // GIR_Coverage, 11413,
     /* 1758918 */     GIR_EraseRootFromParent_Done,
     /* 1758919 */   // Label 23950: @1758919
     /* 1758919 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1759005), // Rule ID 11416 //
     /* 1758924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1758935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1758938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1758941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1758944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758970 */     // MIs[0] policy
     /* 1758970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1758983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759004 */     // GIR_Coverage, 11416,
     /* 1759004 */     GIR_EraseRootFromParent_Done,
     /* 1759005 */   // Label 23951: @1759005
     /* 1759005 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1759091), // Rule ID 11417 //
     /* 1759010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1759021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1759024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1759027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1759030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759056 */     // MIs[0] policy
     /* 1759056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1759069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759090 */     // GIR_Coverage, 11417,
     /* 1759090 */     GIR_EraseRootFromParent_Done,
     /* 1759091 */   // Label 23952: @1759091
     /* 1759091 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1759177), // Rule ID 11420 //
     /* 1759096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1759107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1759110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1759113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1759116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759142 */     // MIs[0] policy
     /* 1759142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759176 */     // GIR_Coverage, 11420,
     /* 1759176 */     GIR_EraseRootFromParent_Done,
     /* 1759177 */   // Label 23953: @1759177
     /* 1759177 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1759263), // Rule ID 11421 //
     /* 1759182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1759193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1759196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1759199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1759202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759228 */     // MIs[0] policy
     /* 1759228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759262 */     // GIR_Coverage, 11421,
     /* 1759262 */     GIR_EraseRootFromParent_Done,
     /* 1759263 */   // Label 23954: @1759263
     /* 1759263 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1759349), // Rule ID 11424 //
     /* 1759268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759314 */     // MIs[0] policy
     /* 1759314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759348 */     // GIR_Coverage, 11424,
     /* 1759348 */     GIR_EraseRootFromParent_Done,
     /* 1759349 */   // Label 23955: @1759349
     /* 1759349 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1759435), // Rule ID 11425 //
     /* 1759354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759400 */     // MIs[0] policy
     /* 1759400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759434 */     // GIR_Coverage, 11425,
     /* 1759434 */     GIR_EraseRootFromParent_Done,
     /* 1759435 */   // Label 23956: @1759435
     /* 1759435 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1759521), // Rule ID 11428 //
     /* 1759440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1759451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1759454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1759457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1759460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759486 */     // MIs[0] policy
     /* 1759486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759520 */     // GIR_Coverage, 11428,
     /* 1759520 */     GIR_EraseRootFromParent_Done,
     /* 1759521 */   // Label 23957: @1759521
     /* 1759521 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1759607), // Rule ID 11429 //
     /* 1759526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1759537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1759540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1759543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1759546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759572 */     // MIs[0] policy
     /* 1759572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759606 */     // GIR_Coverage, 11429,
     /* 1759606 */     GIR_EraseRootFromParent_Done,
     /* 1759607 */   // Label 23958: @1759607
     /* 1759607 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1759693), // Rule ID 11432 //
     /* 1759612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1759632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759658 */     // MIs[0] policy
     /* 1759658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759692 */     // GIR_Coverage, 11432,
     /* 1759692 */     GIR_EraseRootFromParent_Done,
     /* 1759693 */   // Label 23959: @1759693
     /* 1759693 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1759779), // Rule ID 11433 //
     /* 1759698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1759718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759744 */     // MIs[0] policy
     /* 1759744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759778 */     // GIR_Coverage, 11433,
     /* 1759778 */     GIR_EraseRootFromParent_Done,
     /* 1759779 */   // Label 23960: @1759779
     /* 1759779 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1759865), // Rule ID 11436 //
     /* 1759784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1759804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759830 */     // MIs[0] policy
     /* 1759830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759864 */     // GIR_Coverage, 11436,
     /* 1759864 */     GIR_EraseRootFromParent_Done,
     /* 1759865 */   // Label 23961: @1759865
     /* 1759865 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1759951), // Rule ID 11437 //
     /* 1759870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1759890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759916 */     // MIs[0] policy
     /* 1759916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759950 */     // GIR_Coverage, 11437,
     /* 1759950 */     GIR_EraseRootFromParent_Done,
     /* 1759951 */   // Label 23962: @1759951
     /* 1759951 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1760037), // Rule ID 11440 //
     /* 1759956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1759967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1759970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1759973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1759976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760002 */     // MIs[0] policy
     /* 1760002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760036 */     // GIR_Coverage, 11440,
     /* 1760036 */     GIR_EraseRootFromParent_Done,
     /* 1760037 */   // Label 23963: @1760037
     /* 1760037 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1760123), // Rule ID 11441 //
     /* 1760042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1760053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1760056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1760059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1760062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760088 */     // MIs[0] policy
     /* 1760088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760122 */     // GIR_Coverage, 11441,
     /* 1760122 */     GIR_EraseRootFromParent_Done,
     /* 1760123 */   // Label 23964: @1760123
     /* 1760123 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1760209), // Rule ID 11444 //
     /* 1760128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760174 */     // MIs[0] policy
     /* 1760174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760208 */     // GIR_Coverage, 11444,
     /* 1760208 */     GIR_EraseRootFromParent_Done,
     /* 1760209 */   // Label 23965: @1760209
     /* 1760209 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1760295), // Rule ID 11445 //
     /* 1760214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760260 */     // MIs[0] policy
     /* 1760260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760294 */     // GIR_Coverage, 11445,
     /* 1760294 */     GIR_EraseRootFromParent_Done,
     /* 1760295 */   // Label 23966: @1760295
     /* 1760295 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1760381), // Rule ID 11448 //
     /* 1760300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760346 */     // MIs[0] policy
     /* 1760346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760380 */     // GIR_Coverage, 11448,
     /* 1760380 */     GIR_EraseRootFromParent_Done,
     /* 1760381 */   // Label 23967: @1760381
     /* 1760381 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1760467), // Rule ID 11449 //
     /* 1760386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760432 */     // MIs[0] policy
     /* 1760432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760466 */     // GIR_Coverage, 11449,
     /* 1760466 */     GIR_EraseRootFromParent_Done,
     /* 1760467 */   // Label 23968: @1760467
     /* 1760467 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1760553), // Rule ID 11452 //
     /* 1760472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1760492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760518 */     // MIs[0] policy
     /* 1760518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1760531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760552 */     // GIR_Coverage, 11452,
     /* 1760552 */     GIR_EraseRootFromParent_Done,
     /* 1760553 */   // Label 23969: @1760553
     /* 1760553 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1760639), // Rule ID 11453 //
     /* 1760558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1760578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760604 */     // MIs[0] policy
     /* 1760604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760614 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1760617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760638 */     // GIR_Coverage, 11453,
     /* 1760638 */     GIR_EraseRootFromParent_Done,
     /* 1760639 */   // Label 23970: @1760639
     /* 1760639 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1760725), // Rule ID 11456 //
     /* 1760644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1760664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760690 */     // MIs[0] policy
     /* 1760690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1760703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760724 */     // GIR_Coverage, 11456,
     /* 1760724 */     GIR_EraseRootFromParent_Done,
     /* 1760725 */   // Label 23971: @1760725
     /* 1760725 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1760811), // Rule ID 11457 //
     /* 1760730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1760750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760776 */     // MIs[0] policy
     /* 1760776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1760789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760810 */     // GIR_Coverage, 11457,
     /* 1760810 */     GIR_EraseRootFromParent_Done,
     /* 1760811 */   // Label 23972: @1760811
     /* 1760811 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1760897), // Rule ID 11460 //
     /* 1760816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1760836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760862 */     // MIs[0] policy
     /* 1760862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1760875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760896 */     // GIR_Coverage, 11460,
     /* 1760896 */     GIR_EraseRootFromParent_Done,
     /* 1760897 */   // Label 23973: @1760897
     /* 1760897 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1760983), // Rule ID 11461 //
     /* 1760902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1760922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760948 */     // MIs[0] policy
     /* 1760948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760958 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1760961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760982 */     // GIR_Coverage, 11461,
     /* 1760982 */     GIR_EraseRootFromParent_Done,
     /* 1760983 */   // Label 23974: @1760983
     /* 1760983 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1761069), // Rule ID 11464 //
     /* 1760988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1760999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761034 */     // MIs[0] policy
     /* 1761034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761068 */     // GIR_Coverage, 11464,
     /* 1761068 */     GIR_EraseRootFromParent_Done,
     /* 1761069 */   // Label 23975: @1761069
     /* 1761069 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1761155), // Rule ID 11465 //
     /* 1761074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761120 */     // MIs[0] policy
     /* 1761120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761154 */     // GIR_Coverage, 11465,
     /* 1761154 */     GIR_EraseRootFromParent_Done,
     /* 1761155 */   // Label 23976: @1761155
     /* 1761155 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1761241), // Rule ID 11468 //
     /* 1761160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761206 */     // MIs[0] policy
     /* 1761206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761240 */     // GIR_Coverage, 11468,
     /* 1761240 */     GIR_EraseRootFromParent_Done,
     /* 1761241 */   // Label 23977: @1761241
     /* 1761241 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1761327), // Rule ID 11469 //
     /* 1761246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761292 */     // MIs[0] policy
     /* 1761292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761326 */     // GIR_Coverage, 11469,
     /* 1761326 */     GIR_EraseRootFromParent_Done,
     /* 1761327 */   // Label 23978: @1761327
     /* 1761327 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1761413), // Rule ID 11472 //
     /* 1761332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761378 */     // MIs[0] policy
     /* 1761378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761388 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761412 */     // GIR_Coverage, 11472,
     /* 1761412 */     GIR_EraseRootFromParent_Done,
     /* 1761413 */   // Label 23979: @1761413
     /* 1761413 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1761499), // Rule ID 11473 //
     /* 1761418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761464 */     // MIs[0] policy
     /* 1761464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761498 */     // GIR_Coverage, 11473,
     /* 1761498 */     GIR_EraseRootFromParent_Done,
     /* 1761499 */   // Label 23980: @1761499
     /* 1761499 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1761585), // Rule ID 11476 //
     /* 1761504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1761524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761550 */     // MIs[0] policy
     /* 1761550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761584 */     // GIR_Coverage, 11476,
     /* 1761584 */     GIR_EraseRootFromParent_Done,
     /* 1761585 */   // Label 23981: @1761585
     /* 1761585 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1761671), // Rule ID 11477 //
     /* 1761590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1761610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761636 */     // MIs[0] policy
     /* 1761636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761670 */     // GIR_Coverage, 11477,
     /* 1761670 */     GIR_EraseRootFromParent_Done,
     /* 1761671 */   // Label 23982: @1761671
     /* 1761671 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1761757), // Rule ID 11480 //
     /* 1761676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1761696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761722 */     // MIs[0] policy
     /* 1761722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761756 */     // GIR_Coverage, 11480,
     /* 1761756 */     GIR_EraseRootFromParent_Done,
     /* 1761757 */   // Label 23983: @1761757
     /* 1761757 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1761843), // Rule ID 11481 //
     /* 1761762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1761782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761808 */     // MIs[0] policy
     /* 1761808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761842 */     // GIR_Coverage, 11481,
     /* 1761842 */     GIR_EraseRootFromParent_Done,
     /* 1761843 */   // Label 23984: @1761843
     /* 1761843 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1761929), // Rule ID 11484 //
     /* 1761848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1761859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1761862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1761865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1761868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761894 */     // MIs[0] policy
     /* 1761894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761928 */     // GIR_Coverage, 11484,
     /* 1761928 */     GIR_EraseRootFromParent_Done,
     /* 1761929 */   // Label 23985: @1761929
     /* 1761929 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1762015), // Rule ID 11485 //
     /* 1761934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1761945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1761948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1761951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1761954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761980 */     // MIs[0] policy
     /* 1761980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762014 */     // GIR_Coverage, 11485,
     /* 1762014 */     GIR_EraseRootFromParent_Done,
     /* 1762015 */   // Label 23986: @1762015
     /* 1762015 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1762101), // Rule ID 11488 //
     /* 1762020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762066 */     // MIs[0] policy
     /* 1762066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1762079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762100 */     // GIR_Coverage, 11488,
     /* 1762100 */     GIR_EraseRootFromParent_Done,
     /* 1762101 */   // Label 23987: @1762101
     /* 1762101 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1762187), // Rule ID 11489 //
     /* 1762106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762152 */     // MIs[0] policy
     /* 1762152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1762165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762186 */     // GIR_Coverage, 11489,
     /* 1762186 */     GIR_EraseRootFromParent_Done,
     /* 1762187 */   // Label 23988: @1762187
     /* 1762187 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1762273), // Rule ID 11492 //
     /* 1762192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762238 */     // MIs[0] policy
     /* 1762238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762272 */     // GIR_Coverage, 11492,
     /* 1762272 */     GIR_EraseRootFromParent_Done,
     /* 1762273 */   // Label 23989: @1762273
     /* 1762273 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1762359), // Rule ID 11493 //
     /* 1762278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762324 */     // MIs[0] policy
     /* 1762324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762358 */     // GIR_Coverage, 11493,
     /* 1762358 */     GIR_EraseRootFromParent_Done,
     /* 1762359 */   // Label 23990: @1762359
     /* 1762359 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1762445), // Rule ID 11496 //
     /* 1762364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762410 */     // MIs[0] policy
     /* 1762410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762444 */     // GIR_Coverage, 11496,
     /* 1762444 */     GIR_EraseRootFromParent_Done,
     /* 1762445 */   // Label 23991: @1762445
     /* 1762445 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1762531), // Rule ID 11497 //
     /* 1762450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762496 */     // MIs[0] policy
     /* 1762496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762530 */     // GIR_Coverage, 11497,
     /* 1762530 */     GIR_EraseRootFromParent_Done,
     /* 1762531 */   // Label 23992: @1762531
     /* 1762531 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1762617), // Rule ID 11500 //
     /* 1762536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1762547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1762550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1762553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762582 */     // MIs[0] policy
     /* 1762582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762616 */     // GIR_Coverage, 11500,
     /* 1762616 */     GIR_EraseRootFromParent_Done,
     /* 1762617 */   // Label 23993: @1762617
     /* 1762617 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1762703), // Rule ID 11501 //
     /* 1762622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1762633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1762636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1762639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762668 */     // MIs[0] policy
     /* 1762668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762702 */     // GIR_Coverage, 11501,
     /* 1762702 */     GIR_EraseRootFromParent_Done,
     /* 1762703 */   // Label 23994: @1762703
     /* 1762703 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1762789), // Rule ID 11504 //
     /* 1762708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1762719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1762722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1762725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762754 */     // MIs[0] policy
     /* 1762754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762788 */     // GIR_Coverage, 11504,
     /* 1762788 */     GIR_EraseRootFromParent_Done,
     /* 1762789 */   // Label 23995: @1762789
     /* 1762789 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1762875), // Rule ID 11505 //
     /* 1762794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1762805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1762808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1762811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762840 */     // MIs[0] policy
     /* 1762840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762874 */     // GIR_Coverage, 11505,
     /* 1762874 */     GIR_EraseRootFromParent_Done,
     /* 1762875 */   // Label 23996: @1762875
     /* 1762875 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1762961), // Rule ID 11508 //
     /* 1762880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1762891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1762894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1762897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762926 */     // MIs[0] policy
     /* 1762926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762960 */     // GIR_Coverage, 11508,
     /* 1762960 */     GIR_EraseRootFromParent_Done,
     /* 1762961 */   // Label 23997: @1762961
     /* 1762961 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1763047), // Rule ID 11509 //
     /* 1762966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1762977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1762980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1762983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763012 */     // MIs[0] policy
     /* 1763012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1763025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763046 */     // GIR_Coverage, 11509,
     /* 1763046 */     GIR_EraseRootFromParent_Done,
     /* 1763047 */   // Label 23998: @1763047
     /* 1763047 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1763133), // Rule ID 11512 //
     /* 1763052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763098 */     // MIs[0] policy
     /* 1763098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763132 */     // GIR_Coverage, 11512,
     /* 1763132 */     GIR_EraseRootFromParent_Done,
     /* 1763133 */   // Label 23999: @1763133
     /* 1763133 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1763219), // Rule ID 11513 //
     /* 1763138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763184 */     // MIs[0] policy
     /* 1763184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763218 */     // GIR_Coverage, 11513,
     /* 1763218 */     GIR_EraseRootFromParent_Done,
     /* 1763219 */   // Label 24000: @1763219
     /* 1763219 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1763305), // Rule ID 11516 //
     /* 1763224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763270 */     // MIs[0] policy
     /* 1763270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763304 */     // GIR_Coverage, 11516,
     /* 1763304 */     GIR_EraseRootFromParent_Done,
     /* 1763305 */   // Label 24001: @1763305
     /* 1763305 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1763391), // Rule ID 11517 //
     /* 1763310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763356 */     // MIs[0] policy
     /* 1763356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763390 */     // GIR_Coverage, 11517,
     /* 1763390 */     GIR_EraseRootFromParent_Done,
     /* 1763391 */   // Label 24002: @1763391
     /* 1763391 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1763477), // Rule ID 11520 //
     /* 1763396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763442 */     // MIs[0] policy
     /* 1763442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763476 */     // GIR_Coverage, 11520,
     /* 1763476 */     GIR_EraseRootFromParent_Done,
     /* 1763477 */   // Label 24003: @1763477
     /* 1763477 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1763563), // Rule ID 11521 //
     /* 1763482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763528 */     // MIs[0] policy
     /* 1763528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763562 */     // GIR_Coverage, 11521,
     /* 1763562 */     GIR_EraseRootFromParent_Done,
     /* 1763563 */   // Label 24004: @1763563
     /* 1763563 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1763649), // Rule ID 11524 //
     /* 1763568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1763579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1763582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1763585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763614 */     // MIs[0] policy
     /* 1763614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1763627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763648 */     // GIR_Coverage, 11524,
     /* 1763648 */     GIR_EraseRootFromParent_Done,
     /* 1763649 */   // Label 24005: @1763649
     /* 1763649 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1763735), // Rule ID 11525 //
     /* 1763654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1763665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1763668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1763671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763700 */     // MIs[0] policy
     /* 1763700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1763713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763734 */     // GIR_Coverage, 11525,
     /* 1763734 */     GIR_EraseRootFromParent_Done,
     /* 1763735 */   // Label 24006: @1763735
     /* 1763735 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1763821), // Rule ID 11528 //
     /* 1763740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1763751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1763754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1763757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763786 */     // MIs[0] policy
     /* 1763786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1763799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763820 */     // GIR_Coverage, 11528,
     /* 1763820 */     GIR_EraseRootFromParent_Done,
     /* 1763821 */   // Label 24007: @1763821
     /* 1763821 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1763907), // Rule ID 11529 //
     /* 1763826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1763837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1763840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1763843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763872 */     // MIs[0] policy
     /* 1763872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1763885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763906 */     // GIR_Coverage, 11529,
     /* 1763906 */     GIR_EraseRootFromParent_Done,
     /* 1763907 */   // Label 24008: @1763907
     /* 1763907 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1763993), // Rule ID 11532 //
     /* 1763912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1763923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1763926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1763929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1763935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763958 */     // MIs[0] policy
     /* 1763958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1763971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763992 */     // GIR_Coverage, 11532,
     /* 1763992 */     GIR_EraseRootFromParent_Done,
     /* 1763993 */   // Label 24009: @1763993
     /* 1763993 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1764079), // Rule ID 11533 //
     /* 1763998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764044 */     // MIs[0] policy
     /* 1764044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764078 */     // GIR_Coverage, 11533,
     /* 1764078 */     GIR_EraseRootFromParent_Done,
     /* 1764079 */   // Label 24010: @1764079
     /* 1764079 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1764165), // Rule ID 11536 //
     /* 1764084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764130 */     // MIs[0] policy
     /* 1764130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764164 */     // GIR_Coverage, 11536,
     /* 1764164 */     GIR_EraseRootFromParent_Done,
     /* 1764165 */   // Label 24011: @1764165
     /* 1764165 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1764251), // Rule ID 11537 //
     /* 1764170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764216 */     // MIs[0] policy
     /* 1764216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764250 */     // GIR_Coverage, 11537,
     /* 1764250 */     GIR_EraseRootFromParent_Done,
     /* 1764251 */   // Label 24012: @1764251
     /* 1764251 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1764337), // Rule ID 11540 //
     /* 1764256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1764273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764302 */     // MIs[0] policy
     /* 1764302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764336 */     // GIR_Coverage, 11540,
     /* 1764336 */     GIR_EraseRootFromParent_Done,
     /* 1764337 */   // Label 24013: @1764337
     /* 1764337 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1764423), // Rule ID 11541 //
     /* 1764342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1764359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764388 */     // MIs[0] policy
     /* 1764388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764422 */     // GIR_Coverage, 11541,
     /* 1764422 */     GIR_EraseRootFromParent_Done,
     /* 1764423 */   // Label 24014: @1764423
     /* 1764423 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1764509), // Rule ID 11544 //
     /* 1764428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1764439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1764442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1764445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764474 */     // MIs[0] policy
     /* 1764474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764508 */     // GIR_Coverage, 11544,
     /* 1764508 */     GIR_EraseRootFromParent_Done,
     /* 1764509 */   // Label 24015: @1764509
     /* 1764509 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1764595), // Rule ID 11545 //
     /* 1764514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1764525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1764528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1764531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764560 */     // MIs[0] policy
     /* 1764560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764594 */     // GIR_Coverage, 11545,
     /* 1764594 */     GIR_EraseRootFromParent_Done,
     /* 1764595 */   // Label 24016: @1764595
     /* 1764595 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1764681), // Rule ID 11548 //
     /* 1764600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1764611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1764614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1764617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764646 */     // MIs[0] policy
     /* 1764646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764680 */     // GIR_Coverage, 11548,
     /* 1764680 */     GIR_EraseRootFromParent_Done,
     /* 1764681 */   // Label 24017: @1764681
     /* 1764681 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1764767), // Rule ID 11549 //
     /* 1764686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1764697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1764700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1764703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764732 */     // MIs[0] policy
     /* 1764732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764766 */     // GIR_Coverage, 11549,
     /* 1764766 */     GIR_EraseRootFromParent_Done,
     /* 1764767 */   // Label 24018: @1764767
     /* 1764767 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1764853), // Rule ID 11552 //
     /* 1764772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1764783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1764786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1764789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764818 */     // MIs[0] policy
     /* 1764818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764852 */     // GIR_Coverage, 11552,
     /* 1764852 */     GIR_EraseRootFromParent_Done,
     /* 1764853 */   // Label 24019: @1764853
     /* 1764853 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1764939), // Rule ID 11553 //
     /* 1764858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1764869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1764872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1764875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764904 */     // MIs[0] policy
     /* 1764904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764938 */     // GIR_Coverage, 11553,
     /* 1764938 */     GIR_EraseRootFromParent_Done,
     /* 1764939 */   // Label 24020: @1764939
     /* 1764939 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1765025), // Rule ID 11556 //
     /* 1764944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1764955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1764958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1764961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764990 */     // MIs[0] policy
     /* 1764990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1765003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765024 */     // GIR_Coverage, 11556,
     /* 1765024 */     GIR_EraseRootFromParent_Done,
     /* 1765025 */   // Label 24021: @1765025
     /* 1765025 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1765111), // Rule ID 11557 //
     /* 1765030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765076 */     // MIs[0] policy
     /* 1765076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1765089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765110 */     // GIR_Coverage, 11557,
     /* 1765110 */     GIR_EraseRootFromParent_Done,
     /* 1765111 */   // Label 24022: @1765111
     /* 1765111 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1765197), // Rule ID 11560 //
     /* 1765116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765162 */     // MIs[0] policy
     /* 1765162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1765175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765196 */     // GIR_Coverage, 11560,
     /* 1765196 */     GIR_EraseRootFromParent_Done,
     /* 1765197 */   // Label 24023: @1765197
     /* 1765197 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1765283), // Rule ID 11561 //
     /* 1765202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765248 */     // MIs[0] policy
     /* 1765248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1765261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765282 */     // GIR_Coverage, 11561,
     /* 1765282 */     GIR_EraseRootFromParent_Done,
     /* 1765283 */   // Label 24024: @1765283
     /* 1765283 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1765369), // Rule ID 11564 //
     /* 1765288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765334 */     // MIs[0] policy
     /* 1765334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765368 */     // GIR_Coverage, 11564,
     /* 1765368 */     GIR_EraseRootFromParent_Done,
     /* 1765369 */   // Label 24025: @1765369
     /* 1765369 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1765455), // Rule ID 11565 //
     /* 1765374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765420 */     // MIs[0] policy
     /* 1765420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765454 */     // GIR_Coverage, 11565,
     /* 1765454 */     GIR_EraseRootFromParent_Done,
     /* 1765455 */   // Label 24026: @1765455
     /* 1765455 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1765541), // Rule ID 11568 //
     /* 1765460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1765480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765506 */     // MIs[0] policy
     /* 1765506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765540 */     // GIR_Coverage, 11568,
     /* 1765540 */     GIR_EraseRootFromParent_Done,
     /* 1765541 */   // Label 24027: @1765541
     /* 1765541 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1765627), // Rule ID 11569 //
     /* 1765546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1765566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765592 */     // MIs[0] policy
     /* 1765592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765626 */     // GIR_Coverage, 11569,
     /* 1765626 */     GIR_EraseRootFromParent_Done,
     /* 1765627 */   // Label 24028: @1765627
     /* 1765627 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1765713), // Rule ID 11572 //
     /* 1765632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1765643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1765646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1765649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1765652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765678 */     // MIs[0] policy
     /* 1765678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765688 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765712 */     // GIR_Coverage, 11572,
     /* 1765712 */     GIR_EraseRootFromParent_Done,
     /* 1765713 */   // Label 24029: @1765713
     /* 1765713 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1765799), // Rule ID 11573 //
     /* 1765718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1765729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1765732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1765735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1765738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765764 */     // MIs[0] policy
     /* 1765764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765798 */     // GIR_Coverage, 11573,
     /* 1765798 */     GIR_EraseRootFromParent_Done,
     /* 1765799 */   // Label 24030: @1765799
     /* 1765799 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1765885), // Rule ID 11576 //
     /* 1765804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765850 */     // MIs[0] policy
     /* 1765850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1765863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765884 */     // GIR_Coverage, 11576,
     /* 1765884 */     GIR_EraseRootFromParent_Done,
     /* 1765885 */   // Label 24031: @1765885
     /* 1765885 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1765971), // Rule ID 11577 //
     /* 1765890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765936 */     // MIs[0] policy
     /* 1765936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1765949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765970 */     // GIR_Coverage, 11577,
     /* 1765970 */     GIR_EraseRootFromParent_Done,
     /* 1765971 */   // Label 24032: @1765971
     /* 1765971 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1766057), // Rule ID 11580 //
     /* 1765976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766022 */     // MIs[0] policy
     /* 1766022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1766035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766056 */     // GIR_Coverage, 11580,
     /* 1766056 */     GIR_EraseRootFromParent_Done,
     /* 1766057 */   // Label 24033: @1766057
     /* 1766057 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1766143), // Rule ID 11581 //
     /* 1766062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766108 */     // MIs[0] policy
     /* 1766108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1766121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766142 */     // GIR_Coverage, 11581,
     /* 1766142 */     GIR_EraseRootFromParent_Done,
     /* 1766143 */   // Label 24034: @1766143
     /* 1766143 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1766229), // Rule ID 11584 //
     /* 1766148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766194 */     // MIs[0] policy
     /* 1766194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1766207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766228 */     // GIR_Coverage, 11584,
     /* 1766228 */     GIR_EraseRootFromParent_Done,
     /* 1766229 */   // Label 24035: @1766229
     /* 1766229 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1766315), // Rule ID 11585 //
     /* 1766234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766280 */     // MIs[0] policy
     /* 1766280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1766293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766314 */     // GIR_Coverage, 11585,
     /* 1766314 */     GIR_EraseRootFromParent_Done,
     /* 1766315 */   // Label 24036: @1766315
     /* 1766315 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1766401), // Rule ID 11588 //
     /* 1766320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766366 */     // MIs[0] policy
     /* 1766366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1766379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766400 */     // GIR_Coverage, 11588,
     /* 1766400 */     GIR_EraseRootFromParent_Done,
     /* 1766401 */   // Label 24037: @1766401
     /* 1766401 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1766487), // Rule ID 11589 //
     /* 1766406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766452 */     // MIs[0] policy
     /* 1766452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1766465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766486 */     // GIR_Coverage, 11589,
     /* 1766486 */     GIR_EraseRootFromParent_Done,
     /* 1766487 */   // Label 24038: @1766487
     /* 1766487 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1766573), // Rule ID 11592 //
     /* 1766492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1766512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766538 */     // MIs[0] policy
     /* 1766538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1766551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766572 */     // GIR_Coverage, 11592,
     /* 1766572 */     GIR_EraseRootFromParent_Done,
     /* 1766573 */   // Label 24039: @1766573
     /* 1766573 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1766659), // Rule ID 11593 //
     /* 1766578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1766598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766624 */     // MIs[0] policy
     /* 1766624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1766637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766658 */     // GIR_Coverage, 11593,
     /* 1766658 */     GIR_EraseRootFromParent_Done,
     /* 1766659 */   // Label 24040: @1766659
     /* 1766659 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1766745), // Rule ID 11596 //
     /* 1766664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766710 */     // MIs[0] policy
     /* 1766710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1766723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766744 */     // GIR_Coverage, 11596,
     /* 1766744 */     GIR_EraseRootFromParent_Done,
     /* 1766745 */   // Label 24041: @1766745
     /* 1766745 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1766831), // Rule ID 11597 //
     /* 1766750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766796 */     // MIs[0] policy
     /* 1766796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1766809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766830 */     // GIR_Coverage, 11597,
     /* 1766830 */     GIR_EraseRootFromParent_Done,
     /* 1766831 */   // Label 24042: @1766831
     /* 1766831 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1766917), // Rule ID 11600 //
     /* 1766836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766882 */     // MIs[0] policy
     /* 1766882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1766895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766916 */     // GIR_Coverage, 11600,
     /* 1766916 */     GIR_EraseRootFromParent_Done,
     /* 1766917 */   // Label 24043: @1766917
     /* 1766917 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1767003), // Rule ID 11601 //
     /* 1766922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766968 */     // MIs[0] policy
     /* 1766968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1766981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767002 */     // GIR_Coverage, 11601,
     /* 1767002 */     GIR_EraseRootFromParent_Done,
     /* 1767003 */   // Label 24044: @1767003
     /* 1767003 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1767089), // Rule ID 11604 //
     /* 1767008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767054 */     // MIs[0] policy
     /* 1767054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1767067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767088 */     // GIR_Coverage, 11604,
     /* 1767088 */     GIR_EraseRootFromParent_Done,
     /* 1767089 */   // Label 24045: @1767089
     /* 1767089 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1767175), // Rule ID 11605 //
     /* 1767094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767140 */     // MIs[0] policy
     /* 1767140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1767153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767174 */     // GIR_Coverage, 11605,
     /* 1767174 */     GIR_EraseRootFromParent_Done,
     /* 1767175 */   // Label 24046: @1767175
     /* 1767175 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1767261), // Rule ID 11608 //
     /* 1767180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767226 */     // MIs[0] policy
     /* 1767226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1767239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767260 */     // GIR_Coverage, 11608,
     /* 1767260 */     GIR_EraseRootFromParent_Done,
     /* 1767261 */   // Label 24047: @1767261
     /* 1767261 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1767347), // Rule ID 11609 //
     /* 1767266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767312 */     // MIs[0] policy
     /* 1767312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1767325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767346 */     // GIR_Coverage, 11609,
     /* 1767346 */     GIR_EraseRootFromParent_Done,
     /* 1767347 */   // Label 24048: @1767347
     /* 1767347 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1767433), // Rule ID 11612 //
     /* 1767352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767398 */     // MIs[0] policy
     /* 1767398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1767411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767432 */     // GIR_Coverage, 11612,
     /* 1767432 */     GIR_EraseRootFromParent_Done,
     /* 1767433 */   // Label 24049: @1767433
     /* 1767433 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1767519), // Rule ID 11613 //
     /* 1767438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767484 */     // MIs[0] policy
     /* 1767484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767494 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1767497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767518 */     // GIR_Coverage, 11613,
     /* 1767518 */     GIR_EraseRootFromParent_Done,
     /* 1767519 */   // Label 24050: @1767519
     /* 1767519 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1767605), // Rule ID 11616 //
     /* 1767524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767570 */     // MIs[0] policy
     /* 1767570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1767583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767604 */     // GIR_Coverage, 11616,
     /* 1767604 */     GIR_EraseRootFromParent_Done,
     /* 1767605 */   // Label 24051: @1767605
     /* 1767605 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1767691), // Rule ID 11617 //
     /* 1767610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767656 */     // MIs[0] policy
     /* 1767656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767666 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1767669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767690 */     // GIR_Coverage, 11617,
     /* 1767690 */     GIR_EraseRootFromParent_Done,
     /* 1767691 */   // Label 24052: @1767691
     /* 1767691 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1767777), // Rule ID 11620 //
     /* 1767696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767742 */     // MIs[0] policy
     /* 1767742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1767755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767776 */     // GIR_Coverage, 11620,
     /* 1767776 */     GIR_EraseRootFromParent_Done,
     /* 1767777 */   // Label 24053: @1767777
     /* 1767777 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1767863), // Rule ID 11621 //
     /* 1767782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767828 */     // MIs[0] policy
     /* 1767828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1767841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767862 */     // GIR_Coverage, 11621,
     /* 1767862 */     GIR_EraseRootFromParent_Done,
     /* 1767863 */   // Label 24054: @1767863
     /* 1767863 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1767949), // Rule ID 11624 //
     /* 1767868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1767888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767914 */     // MIs[0] policy
     /* 1767914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1767927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767948 */     // GIR_Coverage, 11624,
     /* 1767948 */     GIR_EraseRootFromParent_Done,
     /* 1767949 */   // Label 24055: @1767949
     /* 1767949 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1768035), // Rule ID 11625 //
     /* 1767954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1767974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768000 */     // MIs[0] policy
     /* 1768000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1768013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768034 */     // GIR_Coverage, 11625,
     /* 1768034 */     GIR_EraseRootFromParent_Done,
     /* 1768035 */   // Label 24056: @1768035
     /* 1768035 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1768121), // Rule ID 11628 //
     /* 1768040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1768060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768086 */     // MIs[0] policy
     /* 1768086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1768099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768120 */     // GIR_Coverage, 11628,
     /* 1768120 */     GIR_EraseRootFromParent_Done,
     /* 1768121 */   // Label 24057: @1768121
     /* 1768121 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1768207), // Rule ID 11629 //
     /* 1768126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1768146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768172 */     // MIs[0] policy
     /* 1768172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1768185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768206 */     // GIR_Coverage, 11629,
     /* 1768206 */     GIR_EraseRootFromParent_Done,
     /* 1768207 */   // Label 24058: @1768207
     /* 1768207 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1768293), // Rule ID 11632 //
     /* 1768212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1768232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768258 */     // MIs[0] policy
     /* 1768258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1768271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768292 */     // GIR_Coverage, 11632,
     /* 1768292 */     GIR_EraseRootFromParent_Done,
     /* 1768293 */   // Label 24059: @1768293
     /* 1768293 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1768379), // Rule ID 11633 //
     /* 1768298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1768318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768344 */     // MIs[0] policy
     /* 1768344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1768357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768378 */     // GIR_Coverage, 11633,
     /* 1768378 */     GIR_EraseRootFromParent_Done,
     /* 1768379 */   // Label 24060: @1768379
     /* 1768379 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1768465), // Rule ID 11636 //
     /* 1768384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1768404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768430 */     // MIs[0] policy
     /* 1768430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1768443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768464 */     // GIR_Coverage, 11636,
     /* 1768464 */     GIR_EraseRootFromParent_Done,
     /* 1768465 */   // Label 24061: @1768465
     /* 1768465 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1768551), // Rule ID 11637 //
     /* 1768470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1768490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768516 */     // MIs[0] policy
     /* 1768516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1768529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768550 */     // GIR_Coverage, 11637,
     /* 1768550 */     GIR_EraseRootFromParent_Done,
     /* 1768551 */   // Label 24062: @1768551
     /* 1768551 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1768637), // Rule ID 11640 //
     /* 1768556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768602 */     // MIs[0] policy
     /* 1768602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1768615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768636 */     // GIR_Coverage, 11640,
     /* 1768636 */     GIR_EraseRootFromParent_Done,
     /* 1768637 */   // Label 24063: @1768637
     /* 1768637 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1768723), // Rule ID 11641 //
     /* 1768642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768688 */     // MIs[0] policy
     /* 1768688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1768701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768722 */     // GIR_Coverage, 11641,
     /* 1768722 */     GIR_EraseRootFromParent_Done,
     /* 1768723 */   // Label 24064: @1768723
     /* 1768723 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1768809), // Rule ID 11644 //
     /* 1768728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768774 */     // MIs[0] policy
     /* 1768774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768808 */     // GIR_Coverage, 11644,
     /* 1768808 */     GIR_EraseRootFromParent_Done,
     /* 1768809 */   // Label 24065: @1768809
     /* 1768809 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1768895), // Rule ID 11645 //
     /* 1768814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768860 */     // MIs[0] policy
     /* 1768860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768894 */     // GIR_Coverage, 11645,
     /* 1768894 */     GIR_EraseRootFromParent_Done,
     /* 1768895 */   // Label 24066: @1768895
     /* 1768895 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1768981), // Rule ID 11648 //
     /* 1768900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768946 */     // MIs[0] policy
     /* 1768946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1768959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768980 */     // GIR_Coverage, 11648,
     /* 1768980 */     GIR_EraseRootFromParent_Done,
     /* 1768981 */   // Label 24067: @1768981
     /* 1768981 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1769067), // Rule ID 11649 //
     /* 1768986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769032 */     // MIs[0] policy
     /* 1769032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769066 */     // GIR_Coverage, 11649,
     /* 1769066 */     GIR_EraseRootFromParent_Done,
     /* 1769067 */   // Label 24068: @1769067
     /* 1769067 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1769153), // Rule ID 11652 //
     /* 1769072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769118 */     // MIs[0] policy
     /* 1769118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769152 */     // GIR_Coverage, 11652,
     /* 1769152 */     GIR_EraseRootFromParent_Done,
     /* 1769153 */   // Label 24069: @1769153
     /* 1769153 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1769239), // Rule ID 11653 //
     /* 1769158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769204 */     // MIs[0] policy
     /* 1769204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769238 */     // GIR_Coverage, 11653,
     /* 1769238 */     GIR_EraseRootFromParent_Done,
     /* 1769239 */   // Label 24070: @1769239
     /* 1769239 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1769325), // Rule ID 11656 //
     /* 1769244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1769255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1769258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1769261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1769264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769290 */     // MIs[0] policy
     /* 1769290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1769303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769324 */     // GIR_Coverage, 11656,
     /* 1769324 */     GIR_EraseRootFromParent_Done,
     /* 1769325 */   // Label 24071: @1769325
     /* 1769325 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1769411), // Rule ID 11657 //
     /* 1769330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1769341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1769344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1769347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1769350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769376 */     // MIs[0] policy
     /* 1769376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1769389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769410 */     // GIR_Coverage, 11657,
     /* 1769410 */     GIR_EraseRootFromParent_Done,
     /* 1769411 */   // Label 24072: @1769411
     /* 1769411 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1769497), // Rule ID 11660 //
     /* 1769416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769462 */     // MIs[0] policy
     /* 1769462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769472 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1769475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769496 */     // GIR_Coverage, 11660,
     /* 1769496 */     GIR_EraseRootFromParent_Done,
     /* 1769497 */   // Label 24073: @1769497
     /* 1769497 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1769583), // Rule ID 11661 //
     /* 1769502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769548 */     // MIs[0] policy
     /* 1769548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1769561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769582 */     // GIR_Coverage, 11661,
     /* 1769582 */     GIR_EraseRootFromParent_Done,
     /* 1769583 */   // Label 24074: @1769583
     /* 1769583 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1769669), // Rule ID 11664 //
     /* 1769588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1769599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1769602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1769605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1769608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769634 */     // MIs[0] policy
     /* 1769634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1769647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769668 */     // GIR_Coverage, 11664,
     /* 1769668 */     GIR_EraseRootFromParent_Done,
     /* 1769669 */   // Label 24075: @1769669
     /* 1769669 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1769755), // Rule ID 11665 //
     /* 1769674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1769685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1769688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1769691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1769694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769720 */     // MIs[0] policy
     /* 1769720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769730 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1769733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769754 */     // GIR_Coverage, 11665,
     /* 1769754 */     GIR_EraseRootFromParent_Done,
     /* 1769755 */   // Label 24076: @1769755
     /* 1769755 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1769841), // Rule ID 11668 //
     /* 1769760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1769771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1769774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1769777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1769780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769806 */     // MIs[0] policy
     /* 1769806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1769819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769840 */     // GIR_Coverage, 11668,
     /* 1769840 */     GIR_EraseRootFromParent_Done,
     /* 1769841 */   // Label 24077: @1769841
     /* 1769841 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1769927), // Rule ID 11669 //
     /* 1769846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1769857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1769860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1769863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1769866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769892 */     // MIs[0] policy
     /* 1769892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1769905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769926 */     // GIR_Coverage, 11669,
     /* 1769926 */     GIR_EraseRootFromParent_Done,
     /* 1769927 */   // Label 24078: @1769927
     /* 1769927 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1770013), // Rule ID 11672 //
     /* 1769932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1769943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1769946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1769949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1769952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769978 */     // MIs[0] policy
     /* 1769978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1769991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770012 */     // GIR_Coverage, 11672,
     /* 1770012 */     GIR_EraseRootFromParent_Done,
     /* 1770013 */   // Label 24079: @1770013
     /* 1770013 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1770099), // Rule ID 11673 //
     /* 1770018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770064 */     // MIs[0] policy
     /* 1770064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1770077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770098 */     // GIR_Coverage, 11673,
     /* 1770098 */     GIR_EraseRootFromParent_Done,
     /* 1770099 */   // Label 24080: @1770099
     /* 1770099 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1770185), // Rule ID 11676 //
     /* 1770104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1770115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1770118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1770121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1770124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770150 */     // MIs[0] policy
     /* 1770150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1770163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770184 */     // GIR_Coverage, 11676,
     /* 1770184 */     GIR_EraseRootFromParent_Done,
     /* 1770185 */   // Label 24081: @1770185
     /* 1770185 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1770271), // Rule ID 11677 //
     /* 1770190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1770201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1770204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1770207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1770210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770236 */     // MIs[0] policy
     /* 1770236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1770249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770270 */     // GIR_Coverage, 11677,
     /* 1770270 */     GIR_EraseRootFromParent_Done,
     /* 1770271 */   // Label 24082: @1770271
     /* 1770271 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1770357), // Rule ID 11680 //
     /* 1770276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1770287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1770290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1770293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1770296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770322 */     // MIs[0] policy
     /* 1770322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1770335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770356 */     // GIR_Coverage, 11680,
     /* 1770356 */     GIR_EraseRootFromParent_Done,
     /* 1770357 */   // Label 24083: @1770357
     /* 1770357 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1770443), // Rule ID 11681 //
     /* 1770362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1770373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1770376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1770379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1770382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770408 */     // MIs[0] policy
     /* 1770408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1770421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770442 */     // GIR_Coverage, 11681,
     /* 1770442 */     GIR_EraseRootFromParent_Done,
     /* 1770443 */   // Label 24084: @1770443
     /* 1770443 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1770529), // Rule ID 11684 //
     /* 1770448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1770459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1770462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1770465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1770468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770494 */     // MIs[0] policy
     /* 1770494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1770507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770528 */     // GIR_Coverage, 11684,
     /* 1770528 */     GIR_EraseRootFromParent_Done,
     /* 1770529 */   // Label 24085: @1770529
     /* 1770529 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1770615), // Rule ID 11685 //
     /* 1770534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1770545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1770548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1770551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1770554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770580 */     // MIs[0] policy
     /* 1770580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1770593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770614 */     // GIR_Coverage, 11685,
     /* 1770614 */     GIR_EraseRootFromParent_Done,
     /* 1770615 */   // Label 24086: @1770615
     /* 1770615 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1770701), // Rule ID 11688 //
     /* 1770620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1770631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1770634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1770637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1770640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770666 */     // MIs[0] policy
     /* 1770666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1770679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770700 */     // GIR_Coverage, 11688,
     /* 1770700 */     GIR_EraseRootFromParent_Done,
     /* 1770701 */   // Label 24087: @1770701
     /* 1770701 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1770787), // Rule ID 11689 //
     /* 1770706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1770717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1770720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1770723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1770726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770752 */     // MIs[0] policy
     /* 1770752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1770765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770786 */     // GIR_Coverage, 11689,
     /* 1770786 */     GIR_EraseRootFromParent_Done,
     /* 1770787 */   // Label 24088: @1770787
     /* 1770787 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1770873), // Rule ID 11692 //
     /* 1770792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1770812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770838 */     // MIs[0] policy
     /* 1770838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1770851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770872 */     // GIR_Coverage, 11692,
     /* 1770872 */     GIR_EraseRootFromParent_Done,
     /* 1770873 */   // Label 24089: @1770873
     /* 1770873 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1770959), // Rule ID 11693 //
     /* 1770878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1770898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770924 */     // MIs[0] policy
     /* 1770924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1770937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770958 */     // GIR_Coverage, 11693,
     /* 1770958 */     GIR_EraseRootFromParent_Done,
     /* 1770959 */   // Label 24090: @1770959
     /* 1770959 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1771045), // Rule ID 11696 //
     /* 1770964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1770975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1770978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1770981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1770984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771010 */     // MIs[0] policy
     /* 1771010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1771023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771044 */     // GIR_Coverage, 11696,
     /* 1771044 */     GIR_EraseRootFromParent_Done,
     /* 1771045 */   // Label 24091: @1771045
     /* 1771045 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1771131), // Rule ID 11697 //
     /* 1771050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771096 */     // MIs[0] policy
     /* 1771096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1771109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771130 */     // GIR_Coverage, 11697,
     /* 1771130 */     GIR_EraseRootFromParent_Done,
     /* 1771131 */   // Label 24092: @1771131
     /* 1771131 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1771217), // Rule ID 11700 //
     /* 1771136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1771147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1771150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1771153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1771156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771182 */     // MIs[0] policy
     /* 1771182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1771195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771216 */     // GIR_Coverage, 11700,
     /* 1771216 */     GIR_EraseRootFromParent_Done,
     /* 1771217 */   // Label 24093: @1771217
     /* 1771217 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1771303), // Rule ID 11701 //
     /* 1771222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1771233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1771236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1771239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1771242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771268 */     // MIs[0] policy
     /* 1771268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1771281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771302 */     // GIR_Coverage, 11701,
     /* 1771302 */     GIR_EraseRootFromParent_Done,
     /* 1771303 */   // Label 24094: @1771303
     /* 1771303 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1771389), // Rule ID 11704 //
     /* 1771308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1771319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1771322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1771325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1771328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1771331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771354 */     // MIs[0] policy
     /* 1771354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1771367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771388 */     // GIR_Coverage, 11704,
     /* 1771388 */     GIR_EraseRootFromParent_Done,
     /* 1771389 */   // Label 24095: @1771389
     /* 1771389 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1771475), // Rule ID 11705 //
     /* 1771394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1771405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1771408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1771411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1771414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1771417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771440 */     // MIs[0] policy
     /* 1771440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1771453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771474 */     // GIR_Coverage, 11705,
     /* 1771474 */     GIR_EraseRootFromParent_Done,
     /* 1771475 */   // Label 24096: @1771475
     /* 1771475 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1771561), // Rule ID 11708 //
     /* 1771480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1771491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1771494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1771497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1771500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771526 */     // MIs[0] policy
     /* 1771526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1771539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771560 */     // GIR_Coverage, 11708,
     /* 1771560 */     GIR_EraseRootFromParent_Done,
     /* 1771561 */   // Label 24097: @1771561
     /* 1771561 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1771647), // Rule ID 11709 //
     /* 1771566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1771577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1771580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1771583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1771586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771612 */     // MIs[0] policy
     /* 1771612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1771625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771646 */     // GIR_Coverage, 11709,
     /* 1771646 */     GIR_EraseRootFromParent_Done,
     /* 1771647 */   // Label 24098: @1771647
     /* 1771647 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1771733), // Rule ID 11712 //
     /* 1771652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1771663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1771666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1771669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1771672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771698 */     // MIs[0] policy
     /* 1771698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1771711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771732 */     // GIR_Coverage, 11712,
     /* 1771732 */     GIR_EraseRootFromParent_Done,
     /* 1771733 */   // Label 24099: @1771733
     /* 1771733 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1771819), // Rule ID 11713 //
     /* 1771738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1771749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1771752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1771755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1771758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771784 */     // MIs[0] policy
     /* 1771784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1771797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771818 */     // GIR_Coverage, 11713,
     /* 1771818 */     GIR_EraseRootFromParent_Done,
     /* 1771819 */   // Label 24100: @1771819
     /* 1771819 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1771905), // Rule ID 11716 //
     /* 1771824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1771835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1771838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1771841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1771844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771870 */     // MIs[0] policy
     /* 1771870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1771883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771904 */     // GIR_Coverage, 11716,
     /* 1771904 */     GIR_EraseRootFromParent_Done,
     /* 1771905 */   // Label 24101: @1771905
     /* 1771905 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1771991), // Rule ID 11717 //
     /* 1771910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1771921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1771924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1771927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1771930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771956 */     // MIs[0] policy
     /* 1771956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1771969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771990 */     // GIR_Coverage, 11717,
     /* 1771990 */     GIR_EraseRootFromParent_Done,
     /* 1771991 */   // Label 24102: @1771991
     /* 1771991 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1772077), // Rule ID 11720 //
     /* 1771996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772042 */     // MIs[0] policy
     /* 1772042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1772055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772076 */     // GIR_Coverage, 11720,
     /* 1772076 */     GIR_EraseRootFromParent_Done,
     /* 1772077 */   // Label 24103: @1772077
     /* 1772077 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1772163), // Rule ID 11721 //
     /* 1772082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772128 */     // MIs[0] policy
     /* 1772128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1772141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772162 */     // GIR_Coverage, 11721,
     /* 1772162 */     GIR_EraseRootFromParent_Done,
     /* 1772163 */   // Label 24104: @1772163
     /* 1772163 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1772249), // Rule ID 11724 //
     /* 1772168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1772179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1772182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1772185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1772188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772214 */     // MIs[0] policy
     /* 1772214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1772227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772248 */     // GIR_Coverage, 11724,
     /* 1772248 */     GIR_EraseRootFromParent_Done,
     /* 1772249 */   // Label 24105: @1772249
     /* 1772249 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1772335), // Rule ID 11725 //
     /* 1772254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1772265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1772268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1772271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1772274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772300 */     // MIs[0] policy
     /* 1772300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1772313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772334 */     // GIR_Coverage, 11725,
     /* 1772334 */     GIR_EraseRootFromParent_Done,
     /* 1772335 */   // Label 24106: @1772335
     /* 1772335 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1772421), // Rule ID 11728 //
     /* 1772340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772386 */     // MIs[0] policy
     /* 1772386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1772399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772420 */     // GIR_Coverage, 11728,
     /* 1772420 */     GIR_EraseRootFromParent_Done,
     /* 1772421 */   // Label 24107: @1772421
     /* 1772421 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1772507), // Rule ID 11729 //
     /* 1772426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772472 */     // MIs[0] policy
     /* 1772472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1772485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772506 */     // GIR_Coverage, 11729,
     /* 1772506 */     GIR_EraseRootFromParent_Done,
     /* 1772507 */   // Label 24108: @1772507
     /* 1772507 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1772593), // Rule ID 11732 //
     /* 1772512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772558 */     // MIs[0] policy
     /* 1772558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1772571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772592 */     // GIR_Coverage, 11732,
     /* 1772592 */     GIR_EraseRootFromParent_Done,
     /* 1772593 */   // Label 24109: @1772593
     /* 1772593 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1772679), // Rule ID 11733 //
     /* 1772598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772644 */     // MIs[0] policy
     /* 1772644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1772657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772678 */     // GIR_Coverage, 11733,
     /* 1772678 */     GIR_EraseRootFromParent_Done,
     /* 1772679 */   // Label 24110: @1772679
     /* 1772679 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1772765), // Rule ID 11736 //
     /* 1772684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772730 */     // MIs[0] policy
     /* 1772730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1772743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772764 */     // GIR_Coverage, 11736,
     /* 1772764 */     GIR_EraseRootFromParent_Done,
     /* 1772765 */   // Label 24111: @1772765
     /* 1772765 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1772851), // Rule ID 11737 //
     /* 1772770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772816 */     // MIs[0] policy
     /* 1772816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1772829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772850 */     // GIR_Coverage, 11737,
     /* 1772850 */     GIR_EraseRootFromParent_Done,
     /* 1772851 */   // Label 24112: @1772851
     /* 1772851 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1772937), // Rule ID 11740 //
     /* 1772856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1772876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772902 */     // MIs[0] policy
     /* 1772902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1772915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772936 */     // GIR_Coverage, 11740,
     /* 1772936 */     GIR_EraseRootFromParent_Done,
     /* 1772937 */   // Label 24113: @1772937
     /* 1772937 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1773023), // Rule ID 11741 //
     /* 1772942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1772962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772988 */     // MIs[0] policy
     /* 1772988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1773001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773022 */     // GIR_Coverage, 11741,
     /* 1773022 */     GIR_EraseRootFromParent_Done,
     /* 1773023 */   // Label 24114: @1773023
     /* 1773023 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1773109), // Rule ID 11744 //
     /* 1773028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773074 */     // MIs[0] policy
     /* 1773074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1773087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773108 */     // GIR_Coverage, 11744,
     /* 1773108 */     GIR_EraseRootFromParent_Done,
     /* 1773109 */   // Label 24115: @1773109
     /* 1773109 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1773195), // Rule ID 11745 //
     /* 1773114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773160 */     // MIs[0] policy
     /* 1773160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1773173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773194 */     // GIR_Coverage, 11745,
     /* 1773194 */     GIR_EraseRootFromParent_Done,
     /* 1773195 */   // Label 24116: @1773195
     /* 1773195 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1773281), // Rule ID 11748 //
     /* 1773200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1773211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1773214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1773217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773246 */     // MIs[0] policy
     /* 1773246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1773259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773280 */     // GIR_Coverage, 11748,
     /* 1773280 */     GIR_EraseRootFromParent_Done,
     /* 1773281 */   // Label 24117: @1773281
     /* 1773281 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1773367), // Rule ID 11749 //
     /* 1773286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1773297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1773300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1773303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773332 */     // MIs[0] policy
     /* 1773332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1773345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773366 */     // GIR_Coverage, 11749,
     /* 1773366 */     GIR_EraseRootFromParent_Done,
     /* 1773367 */   // Label 24118: @1773367
     /* 1773367 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1773453), // Rule ID 11752 //
     /* 1773372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773418 */     // MIs[0] policy
     /* 1773418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1773431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773452 */     // GIR_Coverage, 11752,
     /* 1773452 */     GIR_EraseRootFromParent_Done,
     /* 1773453 */   // Label 24119: @1773453
     /* 1773453 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1773539), // Rule ID 11753 //
     /* 1773458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773504 */     // MIs[0] policy
     /* 1773504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1773517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773538 */     // GIR_Coverage, 11753,
     /* 1773538 */     GIR_EraseRootFromParent_Done,
     /* 1773539 */   // Label 24120: @1773539
     /* 1773539 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1773625), // Rule ID 11756 //
     /* 1773544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1773555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1773558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1773561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773590 */     // MIs[0] policy
     /* 1773590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1773603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773624 */     // GIR_Coverage, 11756,
     /* 1773624 */     GIR_EraseRootFromParent_Done,
     /* 1773625 */   // Label 24121: @1773625
     /* 1773625 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1773711), // Rule ID 11757 //
     /* 1773630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1773641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1773644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1773647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773676 */     // MIs[0] policy
     /* 1773676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1773689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773710 */     // GIR_Coverage, 11757,
     /* 1773710 */     GIR_EraseRootFromParent_Done,
     /* 1773711 */   // Label 24122: @1773711
     /* 1773711 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1773797), // Rule ID 11760 //
     /* 1773716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1773727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1773730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1773733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773762 */     // MIs[0] policy
     /* 1773762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1773775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773796 */     // GIR_Coverage, 11760,
     /* 1773796 */     GIR_EraseRootFromParent_Done,
     /* 1773797 */   // Label 24123: @1773797
     /* 1773797 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1773883), // Rule ID 11761 //
     /* 1773802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1773813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1773816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1773819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773848 */     // MIs[0] policy
     /* 1773848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1773861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773882 */     // GIR_Coverage, 11761,
     /* 1773882 */     GIR_EraseRootFromParent_Done,
     /* 1773883 */   // Label 24124: @1773883
     /* 1773883 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1773969), // Rule ID 11764 //
     /* 1773888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1773899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1773902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1773905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773934 */     // MIs[0] policy
     /* 1773934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1773947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773968 */     // GIR_Coverage, 11764,
     /* 1773968 */     GIR_EraseRootFromParent_Done,
     /* 1773969 */   // Label 24125: @1773969
     /* 1773969 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1774055), // Rule ID 11765 //
     /* 1773974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1773985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1773988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1773991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774020 */     // MIs[0] policy
     /* 1774020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1774033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774054 */     // GIR_Coverage, 11765,
     /* 1774054 */     GIR_EraseRootFromParent_Done,
     /* 1774055 */   // Label 24126: @1774055
     /* 1774055 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1774141), // Rule ID 11768 //
     /* 1774060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774106 */     // MIs[0] policy
     /* 1774106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1774119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774140 */     // GIR_Coverage, 11768,
     /* 1774140 */     GIR_EraseRootFromParent_Done,
     /* 1774141 */   // Label 24127: @1774141
     /* 1774141 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1774227), // Rule ID 11769 //
     /* 1774146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774192 */     // MIs[0] policy
     /* 1774192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1774205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774226 */     // GIR_Coverage, 11769,
     /* 1774226 */     GIR_EraseRootFromParent_Done,
     /* 1774227 */   // Label 24128: @1774227
     /* 1774227 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1774313), // Rule ID 11772 //
     /* 1774232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1774243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1774246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1774249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774278 */     // MIs[0] policy
     /* 1774278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1774291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774312 */     // GIR_Coverage, 11772,
     /* 1774312 */     GIR_EraseRootFromParent_Done,
     /* 1774313 */   // Label 24129: @1774313
     /* 1774313 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1774399), // Rule ID 11773 //
     /* 1774318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1774329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1774332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1774335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774364 */     // MIs[0] policy
     /* 1774364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1774377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774398 */     // GIR_Coverage, 11773,
     /* 1774398 */     GIR_EraseRootFromParent_Done,
     /* 1774399 */   // Label 24130: @1774399
     /* 1774399 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1774485), // Rule ID 11776 //
     /* 1774404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774450 */     // MIs[0] policy
     /* 1774450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1774463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774484 */     // GIR_Coverage, 11776,
     /* 1774484 */     GIR_EraseRootFromParent_Done,
     /* 1774485 */   // Label 24131: @1774485
     /* 1774485 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1774571), // Rule ID 11777 //
     /* 1774490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774536 */     // MIs[0] policy
     /* 1774536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1774549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774570 */     // GIR_Coverage, 11777,
     /* 1774570 */     GIR_EraseRootFromParent_Done,
     /* 1774571 */   // Label 24132: @1774571
     /* 1774571 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1774657), // Rule ID 11780 //
     /* 1774576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1774587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1774590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1774593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774622 */     // MIs[0] policy
     /* 1774622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1774635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774656 */     // GIR_Coverage, 11780,
     /* 1774656 */     GIR_EraseRootFromParent_Done,
     /* 1774657 */   // Label 24133: @1774657
     /* 1774657 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1774743), // Rule ID 11781 //
     /* 1774662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1774673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1774676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1774679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774708 */     // MIs[0] policy
     /* 1774708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1774721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774742 */     // GIR_Coverage, 11781,
     /* 1774742 */     GIR_EraseRootFromParent_Done,
     /* 1774743 */   // Label 24134: @1774743
     /* 1774743 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1774829), // Rule ID 11784 //
     /* 1774748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1774759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1774762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1774765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774794 */     // MIs[0] policy
     /* 1774794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1774807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774828 */     // GIR_Coverage, 11784,
     /* 1774828 */     GIR_EraseRootFromParent_Done,
     /* 1774829 */   // Label 24135: @1774829
     /* 1774829 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1774915), // Rule ID 11785 //
     /* 1774834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1774845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1774848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1774851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774880 */     // MIs[0] policy
     /* 1774880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1774893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774914 */     // GIR_Coverage, 11785,
     /* 1774914 */     GIR_EraseRootFromParent_Done,
     /* 1774915 */   // Label 24136: @1774915
     /* 1774915 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1775001), // Rule ID 11788 //
     /* 1774920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1774931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1774934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1774937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1774943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774966 */     // MIs[0] policy
     /* 1774966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1774979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775000 */     // GIR_Coverage, 11788,
     /* 1775000 */     GIR_EraseRootFromParent_Done,
     /* 1775001 */   // Label 24137: @1775001
     /* 1775001 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1775087), // Rule ID 11789 //
     /* 1775006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775052 */     // MIs[0] policy
     /* 1775052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1775065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775086 */     // GIR_Coverage, 11789,
     /* 1775086 */     GIR_EraseRootFromParent_Done,
     /* 1775087 */   // Label 24138: @1775087
     /* 1775087 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1775173), // Rule ID 11792 //
     /* 1775092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775138 */     // MIs[0] policy
     /* 1775138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1775151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775172 */     // GIR_Coverage, 11792,
     /* 1775172 */     GIR_EraseRootFromParent_Done,
     /* 1775173 */   // Label 24139: @1775173
     /* 1775173 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1775259), // Rule ID 11793 //
     /* 1775178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775224 */     // MIs[0] policy
     /* 1775224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1775237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775258 */     // GIR_Coverage, 11793,
     /* 1775258 */     GIR_EraseRootFromParent_Done,
     /* 1775259 */   // Label 24140: @1775259
     /* 1775259 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1775345), // Rule ID 11796 //
     /* 1775264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1775275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1775278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1775281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775310 */     // MIs[0] policy
     /* 1775310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1775323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775344 */     // GIR_Coverage, 11796,
     /* 1775344 */     GIR_EraseRootFromParent_Done,
     /* 1775345 */   // Label 24141: @1775345
     /* 1775345 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1775431), // Rule ID 11797 //
     /* 1775350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1775361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1775364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1775367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775396 */     // MIs[0] policy
     /* 1775396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1775409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775430 */     // GIR_Coverage, 11797,
     /* 1775430 */     GIR_EraseRootFromParent_Done,
     /* 1775431 */   // Label 24142: @1775431
     /* 1775431 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1775517), // Rule ID 11800 //
     /* 1775436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1775450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1775453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775482 */     // MIs[0] policy
     /* 1775482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1775495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775516 */     // GIR_Coverage, 11800,
     /* 1775516 */     GIR_EraseRootFromParent_Done,
     /* 1775517 */   // Label 24143: @1775517
     /* 1775517 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1775603), // Rule ID 11801 //
     /* 1775522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1775536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1775539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775568 */     // MIs[0] policy
     /* 1775568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1775581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775602 */     // GIR_Coverage, 11801,
     /* 1775602 */     GIR_EraseRootFromParent_Done,
     /* 1775603 */   // Label 24144: @1775603
     /* 1775603 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1775689), // Rule ID 11804 //
     /* 1775608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1775619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1775622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1775625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775654 */     // MIs[0] policy
     /* 1775654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1775667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775688 */     // GIR_Coverage, 11804,
     /* 1775688 */     GIR_EraseRootFromParent_Done,
     /* 1775689 */   // Label 24145: @1775689
     /* 1775689 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1775775), // Rule ID 11805 //
     /* 1775694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1775705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1775708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1775711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775740 */     // MIs[0] policy
     /* 1775740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1775753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775774 */     // GIR_Coverage, 11805,
     /* 1775774 */     GIR_EraseRootFromParent_Done,
     /* 1775775 */   // Label 24146: @1775775
     /* 1775775 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1775861), // Rule ID 11808 //
     /* 1775780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1775791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1775794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1775797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775826 */     // MIs[0] policy
     /* 1775826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1775839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775860 */     // GIR_Coverage, 11808,
     /* 1775860 */     GIR_EraseRootFromParent_Done,
     /* 1775861 */   // Label 24147: @1775861
     /* 1775861 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1775947), // Rule ID 11809 //
     /* 1775866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1775877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1775880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1775883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775912 */     // MIs[0] policy
     /* 1775912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1775925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775946 */     // GIR_Coverage, 11809,
     /* 1775946 */     GIR_EraseRootFromParent_Done,
     /* 1775947 */   // Label 24148: @1775947
     /* 1775947 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1776033), // Rule ID 11812 //
     /* 1775952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1775963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1775966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1775969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775998 */     // MIs[0] policy
     /* 1775998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1776011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776032 */     // GIR_Coverage, 11812,
     /* 1776032 */     GIR_EraseRootFromParent_Done,
     /* 1776033 */   // Label 24149: @1776033
     /* 1776033 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1776119), // Rule ID 11813 //
     /* 1776038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776084 */     // MIs[0] policy
     /* 1776084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1776097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776118 */     // GIR_Coverage, 11813,
     /* 1776118 */     GIR_EraseRootFromParent_Done,
     /* 1776119 */   // Label 24150: @1776119
     /* 1776119 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1776205), // Rule ID 11816 //
     /* 1776124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776170 */     // MIs[0] policy
     /* 1776170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1776183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776204 */     // GIR_Coverage, 11816,
     /* 1776204 */     GIR_EraseRootFromParent_Done,
     /* 1776205 */   // Label 24151: @1776205
     /* 1776205 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1776291), // Rule ID 11817 //
     /* 1776210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776256 */     // MIs[0] policy
     /* 1776256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1776269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776290 */     // GIR_Coverage, 11817,
     /* 1776290 */     GIR_EraseRootFromParent_Done,
     /* 1776291 */   // Label 24152: @1776291
     /* 1776291 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1776377), // Rule ID 11820 //
     /* 1776296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1776307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1776310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1776313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776342 */     // MIs[0] policy
     /* 1776342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1776355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776376 */     // GIR_Coverage, 11820,
     /* 1776376 */     GIR_EraseRootFromParent_Done,
     /* 1776377 */   // Label 24153: @1776377
     /* 1776377 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1776463), // Rule ID 11821 //
     /* 1776382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1776393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1776396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1776399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776428 */     // MIs[0] policy
     /* 1776428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1776441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776462 */     // GIR_Coverage, 11821,
     /* 1776462 */     GIR_EraseRootFromParent_Done,
     /* 1776463 */   // Label 24154: @1776463
     /* 1776463 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1776549), // Rule ID 11824 //
     /* 1776468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1776479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1776482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1776485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776514 */     // MIs[0] policy
     /* 1776514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1776527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776548 */     // GIR_Coverage, 11824,
     /* 1776548 */     GIR_EraseRootFromParent_Done,
     /* 1776549 */   // Label 24155: @1776549
     /* 1776549 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1776635), // Rule ID 11825 //
     /* 1776554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1776565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1776568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1776571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776600 */     // MIs[0] policy
     /* 1776600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776610 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1776613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776634 */     // GIR_Coverage, 11825,
     /* 1776634 */     GIR_EraseRootFromParent_Done,
     /* 1776635 */   // Label 24156: @1776635
     /* 1776635 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1776721), // Rule ID 11828 //
     /* 1776640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1776651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1776654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1776657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776686 */     // MIs[0] policy
     /* 1776686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1776699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776720 */     // GIR_Coverage, 11828,
     /* 1776720 */     GIR_EraseRootFromParent_Done,
     /* 1776721 */   // Label 24157: @1776721
     /* 1776721 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1776807), // Rule ID 11829 //
     /* 1776726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1776737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1776740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1776743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776772 */     // MIs[0] policy
     /* 1776772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1776785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776806 */     // GIR_Coverage, 11829,
     /* 1776806 */     GIR_EraseRootFromParent_Done,
     /* 1776807 */   // Label 24158: @1776807
     /* 1776807 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1776893), // Rule ID 11832 //
     /* 1776812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1776823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1776826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1776829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1776832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776858 */     // MIs[0] policy
     /* 1776858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1776871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776892 */     // GIR_Coverage, 11832,
     /* 1776892 */     GIR_EraseRootFromParent_Done,
     /* 1776893 */   // Label 24159: @1776893
     /* 1776893 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1776979), // Rule ID 11833 //
     /* 1776898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1776909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1776912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1776915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1776918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776944 */     // MIs[0] policy
     /* 1776944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776954 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1776957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776978 */     // GIR_Coverage, 11833,
     /* 1776978 */     GIR_EraseRootFromParent_Done,
     /* 1776979 */   // Label 24160: @1776979
     /* 1776979 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1777065), // Rule ID 11836 //
     /* 1776984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1776995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1776998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777030 */     // MIs[0] policy
     /* 1777030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1777043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777064 */     // GIR_Coverage, 11836,
     /* 1777064 */     GIR_EraseRootFromParent_Done,
     /* 1777065 */   // Label 24161: @1777065
     /* 1777065 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1777151), // Rule ID 11837 //
     /* 1777070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777116 */     // MIs[0] policy
     /* 1777116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1777129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777150 */     // GIR_Coverage, 11837,
     /* 1777150 */     GIR_EraseRootFromParent_Done,
     /* 1777151 */   // Label 24162: @1777151
     /* 1777151 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1777237), // Rule ID 11840 //
     /* 1777156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1777167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1777170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1777173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1777176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777202 */     // MIs[0] policy
     /* 1777202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1777215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777236 */     // GIR_Coverage, 11840,
     /* 1777236 */     GIR_EraseRootFromParent_Done,
     /* 1777237 */   // Label 24163: @1777237
     /* 1777237 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1777323), // Rule ID 11841 //
     /* 1777242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1777253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1777256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1777259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1777262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777288 */     // MIs[0] policy
     /* 1777288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1777301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777322 */     // GIR_Coverage, 11841,
     /* 1777322 */     GIR_EraseRootFromParent_Done,
     /* 1777323 */   // Label 24164: @1777323
     /* 1777323 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1777409), // Rule ID 11844 //
     /* 1777328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1777339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777374 */     // MIs[0] policy
     /* 1777374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1777387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777408 */     // GIR_Coverage, 11844,
     /* 1777408 */     GIR_EraseRootFromParent_Done,
     /* 1777409 */   // Label 24165: @1777409
     /* 1777409 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1777495), // Rule ID 11845 //
     /* 1777414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1777425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777460 */     // MIs[0] policy
     /* 1777460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1777473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777494 */     // GIR_Coverage, 11845,
     /* 1777494 */     GIR_EraseRootFromParent_Done,
     /* 1777495 */   // Label 24166: @1777495
     /* 1777495 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1777581), // Rule ID 11848 //
     /* 1777500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1777511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1777514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1777517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1777520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777546 */     // MIs[0] policy
     /* 1777546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1777559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777580 */     // GIR_Coverage, 11848,
     /* 1777580 */     GIR_EraseRootFromParent_Done,
     /* 1777581 */   // Label 24167: @1777581
     /* 1777581 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1777667), // Rule ID 11849 //
     /* 1777586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1777597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1777600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1777603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1777606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777632 */     // MIs[0] policy
     /* 1777632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1777645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777666 */     // GIR_Coverage, 11849,
     /* 1777666 */     GIR_EraseRootFromParent_Done,
     /* 1777667 */   // Label 24168: @1777667
     /* 1777667 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1777753), // Rule ID 11852 //
     /* 1777672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1777683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1777686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1777689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1777692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777718 */     // MIs[0] policy
     /* 1777718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1777731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777752 */     // GIR_Coverage, 11852,
     /* 1777752 */     GIR_EraseRootFromParent_Done,
     /* 1777753 */   // Label 24169: @1777753
     /* 1777753 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1777839), // Rule ID 11853 //
     /* 1777758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1777769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1777772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1777775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1777778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777804 */     // MIs[0] policy
     /* 1777804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1777817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777838 */     // GIR_Coverage, 11853,
     /* 1777838 */     GIR_EraseRootFromParent_Done,
     /* 1777839 */   // Label 24170: @1777839
     /* 1777839 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1777925), // Rule ID 11856 //
     /* 1777844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1777855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1777858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1777861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1777864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777890 */     // MIs[0] policy
     /* 1777890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1777903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777924 */     // GIR_Coverage, 11856,
     /* 1777924 */     GIR_EraseRootFromParent_Done,
     /* 1777925 */   // Label 24171: @1777925
     /* 1777925 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1778011), // Rule ID 11857 //
     /* 1777930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1777941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1777944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1777947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1777950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777976 */     // MIs[0] policy
     /* 1777976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1777989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778010 */     // GIR_Coverage, 11857,
     /* 1778010 */     GIR_EraseRootFromParent_Done,
     /* 1778011 */   // Label 24172: @1778011
     /* 1778011 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1778097), // Rule ID 11860 //
     /* 1778016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778062 */     // MIs[0] policy
     /* 1778062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1778075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778096 */     // GIR_Coverage, 11860,
     /* 1778096 */     GIR_EraseRootFromParent_Done,
     /* 1778097 */   // Label 24173: @1778097
     /* 1778097 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1778183), // Rule ID 11861 //
     /* 1778102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778148 */     // MIs[0] policy
     /* 1778148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1778161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778182 */     // GIR_Coverage, 11861,
     /* 1778182 */     GIR_EraseRootFromParent_Done,
     /* 1778183 */   // Label 24174: @1778183
     /* 1778183 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1778269), // Rule ID 11864 //
     /* 1778188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1778199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1778202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1778205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1778208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778234 */     // MIs[0] policy
     /* 1778234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1778247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778268 */     // GIR_Coverage, 11864,
     /* 1778268 */     GIR_EraseRootFromParent_Done,
     /* 1778269 */   // Label 24175: @1778269
     /* 1778269 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1778355), // Rule ID 11865 //
     /* 1778274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1778285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1778288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1778291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1778294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778320 */     // MIs[0] policy
     /* 1778320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1778333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778354 */     // GIR_Coverage, 11865,
     /* 1778354 */     GIR_EraseRootFromParent_Done,
     /* 1778355 */   // Label 24176: @1778355
     /* 1778355 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1778441), // Rule ID 11868 //
     /* 1778360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778406 */     // MIs[0] policy
     /* 1778406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1778419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778440 */     // GIR_Coverage, 11868,
     /* 1778440 */     GIR_EraseRootFromParent_Done,
     /* 1778441 */   // Label 24177: @1778441
     /* 1778441 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1778527), // Rule ID 11869 //
     /* 1778446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778492 */     // MIs[0] policy
     /* 1778492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1778505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778526 */     // GIR_Coverage, 11869,
     /* 1778526 */     GIR_EraseRootFromParent_Done,
     /* 1778527 */   // Label 24178: @1778527
     /* 1778527 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1778613), // Rule ID 11872 //
     /* 1778532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1778543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1778546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1778549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1778552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778578 */     // MIs[0] policy
     /* 1778578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1778591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778612 */     // GIR_Coverage, 11872,
     /* 1778612 */     GIR_EraseRootFromParent_Done,
     /* 1778613 */   // Label 24179: @1778613
     /* 1778613 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1778699), // Rule ID 11873 //
     /* 1778618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1778629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1778632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1778635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1778638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778664 */     // MIs[0] policy
     /* 1778664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1778677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778698 */     // GIR_Coverage, 11873,
     /* 1778698 */     GIR_EraseRootFromParent_Done,
     /* 1778699 */   // Label 24180: @1778699
     /* 1778699 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1778785), // Rule ID 11876 //
     /* 1778704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1778715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1778718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1778721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1778724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778750 */     // MIs[0] policy
     /* 1778750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1778763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778784 */     // GIR_Coverage, 11876,
     /* 1778784 */     GIR_EraseRootFromParent_Done,
     /* 1778785 */   // Label 24181: @1778785
     /* 1778785 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1778871), // Rule ID 11877 //
     /* 1778790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1778801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1778804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1778807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1778810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778836 */     // MIs[0] policy
     /* 1778836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1778849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778870 */     // GIR_Coverage, 11877,
     /* 1778870 */     GIR_EraseRootFromParent_Done,
     /* 1778871 */   // Label 24182: @1778871
     /* 1778871 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1778957), // Rule ID 11880 //
     /* 1778876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1778887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1778890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1778893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1778896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1778899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778922 */     // MIs[0] policy
     /* 1778922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1778935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778956 */     // GIR_Coverage, 11880,
     /* 1778956 */     GIR_EraseRootFromParent_Done,
     /* 1778957 */   // Label 24183: @1778957
     /* 1778957 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1779043), // Rule ID 11881 //
     /* 1778962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1778973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1778976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1778979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1778982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1778985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779008 */     // MIs[0] policy
     /* 1779008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1779021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779042 */     // GIR_Coverage, 11881,
     /* 1779042 */     GIR_EraseRootFromParent_Done,
     /* 1779043 */   // Label 24184: @1779043
     /* 1779043 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1779129), // Rule ID 11884 //
     /* 1779048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779094 */     // MIs[0] policy
     /* 1779094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1779107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779128 */     // GIR_Coverage, 11884,
     /* 1779128 */     GIR_EraseRootFromParent_Done,
     /* 1779129 */   // Label 24185: @1779129
     /* 1779129 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1779215), // Rule ID 11885 //
     /* 1779134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779180 */     // MIs[0] policy
     /* 1779180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1779193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779214 */     // GIR_Coverage, 11885,
     /* 1779214 */     GIR_EraseRootFromParent_Done,
     /* 1779215 */   // Label 24186: @1779215
     /* 1779215 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1779301), // Rule ID 11888 //
     /* 1779220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1779231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1779234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1779237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1779240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779266 */     // MIs[0] policy
     /* 1779266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1779279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779300 */     // GIR_Coverage, 11888,
     /* 1779300 */     GIR_EraseRootFromParent_Done,
     /* 1779301 */   // Label 24187: @1779301
     /* 1779301 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1779387), // Rule ID 11889 //
     /* 1779306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1779317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1779320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1779323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1779326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779352 */     // MIs[0] policy
     /* 1779352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1779365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779386 */     // GIR_Coverage, 11889,
     /* 1779386 */     GIR_EraseRootFromParent_Done,
     /* 1779387 */   // Label 24188: @1779387
     /* 1779387 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1779473), // Rule ID 11892 //
     /* 1779392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779438 */     // MIs[0] policy
     /* 1779438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1779451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779472 */     // GIR_Coverage, 11892,
     /* 1779472 */     GIR_EraseRootFromParent_Done,
     /* 1779473 */   // Label 24189: @1779473
     /* 1779473 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1779559), // Rule ID 11893 //
     /* 1779478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779524 */     // MIs[0] policy
     /* 1779524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1779537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779558 */     // GIR_Coverage, 11893,
     /* 1779558 */     GIR_EraseRootFromParent_Done,
     /* 1779559 */   // Label 24190: @1779559
     /* 1779559 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1779645), // Rule ID 11896 //
     /* 1779564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1779575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1779578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1779581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1779584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779610 */     // MIs[0] policy
     /* 1779610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1779623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779644 */     // GIR_Coverage, 11896,
     /* 1779644 */     GIR_EraseRootFromParent_Done,
     /* 1779645 */   // Label 24191: @1779645
     /* 1779645 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1779731), // Rule ID 11897 //
     /* 1779650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1779661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1779664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1779667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1779670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779696 */     // MIs[0] policy
     /* 1779696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1779709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779730 */     // GIR_Coverage, 11897,
     /* 1779730 */     GIR_EraseRootFromParent_Done,
     /* 1779731 */   // Label 24192: @1779731
     /* 1779731 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1779817), // Rule ID 11900 //
     /* 1779736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1779747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1779750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1779753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1779756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779782 */     // MIs[0] policy
     /* 1779782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1779795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779816 */     // GIR_Coverage, 11900,
     /* 1779816 */     GIR_EraseRootFromParent_Done,
     /* 1779817 */   // Label 24193: @1779817
     /* 1779817 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1779903), // Rule ID 11901 //
     /* 1779822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1779833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1779836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1779839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1779842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779868 */     // MIs[0] policy
     /* 1779868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1779881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779902 */     // GIR_Coverage, 11901,
     /* 1779902 */     GIR_EraseRootFromParent_Done,
     /* 1779903 */   // Label 24194: @1779903
     /* 1779903 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1779989), // Rule ID 11904 //
     /* 1779908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1779919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1779922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1779925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1779928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779954 */     // MIs[0] policy
     /* 1779954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1779967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779988 */     // GIR_Coverage, 11904,
     /* 1779988 */     GIR_EraseRootFromParent_Done,
     /* 1779989 */   // Label 24195: @1779989
     /* 1779989 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1780075), // Rule ID 11905 //
     /* 1779994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780040 */     // MIs[0] policy
     /* 1780040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1780053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780074 */     // GIR_Coverage, 11905,
     /* 1780074 */     GIR_EraseRootFromParent_Done,
     /* 1780075 */   // Label 24196: @1780075
     /* 1780075 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1780161), // Rule ID 11908 //
     /* 1780080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1780100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780126 */     // MIs[0] policy
     /* 1780126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1780139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780160 */     // GIR_Coverage, 11908,
     /* 1780160 */     GIR_EraseRootFromParent_Done,
     /* 1780161 */   // Label 24197: @1780161
     /* 1780161 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1780247), // Rule ID 11909 //
     /* 1780166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1780186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780212 */     // MIs[0] policy
     /* 1780212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1780225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780246 */     // GIR_Coverage, 11909,
     /* 1780246 */     GIR_EraseRootFromParent_Done,
     /* 1780247 */   // Label 24198: @1780247
     /* 1780247 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1780333), // Rule ID 11912 //
     /* 1780252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1780263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1780266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1780269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1780272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780298 */     // MIs[0] policy
     /* 1780298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1780311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780332 */     // GIR_Coverage, 11912,
     /* 1780332 */     GIR_EraseRootFromParent_Done,
     /* 1780333 */   // Label 24199: @1780333
     /* 1780333 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1780419), // Rule ID 11913 //
     /* 1780338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1780349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1780352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1780355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1780358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780384 */     // MIs[0] policy
     /* 1780384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1780397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780418 */     // GIR_Coverage, 11913,
     /* 1780418 */     GIR_EraseRootFromParent_Done,
     /* 1780419 */   // Label 24200: @1780419
     /* 1780419 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1780505), // Rule ID 11916 //
     /* 1780424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780470 */     // MIs[0] policy
     /* 1780470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1780483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780504 */     // GIR_Coverage, 11916,
     /* 1780504 */     GIR_EraseRootFromParent_Done,
     /* 1780505 */   // Label 24201: @1780505
     /* 1780505 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1780591), // Rule ID 11917 //
     /* 1780510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780556 */     // MIs[0] policy
     /* 1780556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1780569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780590 */     // GIR_Coverage, 11917,
     /* 1780590 */     GIR_EraseRootFromParent_Done,
     /* 1780591 */   // Label 24202: @1780591
     /* 1780591 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1780677), // Rule ID 11920 //
     /* 1780596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1780607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1780610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1780613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780642 */     // MIs[0] policy
     /* 1780642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1780655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780676 */     // GIR_Coverage, 11920,
     /* 1780676 */     GIR_EraseRootFromParent_Done,
     /* 1780677 */   // Label 24203: @1780677
     /* 1780677 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1780763), // Rule ID 11921 //
     /* 1780682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1780693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1780696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1780699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780728 */     // MIs[0] policy
     /* 1780728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1780741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780762 */     // GIR_Coverage, 11921,
     /* 1780762 */     GIR_EraseRootFromParent_Done,
     /* 1780763 */   // Label 24204: @1780763
     /* 1780763 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1780849), // Rule ID 11924 //
     /* 1780768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1780779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1780782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1780785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780814 */     // MIs[0] policy
     /* 1780814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1780827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780848 */     // GIR_Coverage, 11924,
     /* 1780848 */     GIR_EraseRootFromParent_Done,
     /* 1780849 */   // Label 24205: @1780849
     /* 1780849 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1780935), // Rule ID 11925 //
     /* 1780854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1780865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1780868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1780871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780900 */     // MIs[0] policy
     /* 1780900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1780913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780934 */     // GIR_Coverage, 11925,
     /* 1780934 */     GIR_EraseRootFromParent_Done,
     /* 1780935 */   // Label 24206: @1780935
     /* 1780935 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1781021), // Rule ID 11928 //
     /* 1780940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1780951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1780954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1780957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780986 */     // MIs[0] policy
     /* 1780986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1780999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781020 */     // GIR_Coverage, 11928,
     /* 1781020 */     GIR_EraseRootFromParent_Done,
     /* 1781021 */   // Label 24207: @1781021
     /* 1781021 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1781107), // Rule ID 11929 //
     /* 1781026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781072 */     // MIs[0] policy
     /* 1781072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1781085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781106 */     // GIR_Coverage, 11929,
     /* 1781106 */     GIR_EraseRootFromParent_Done,
     /* 1781107 */   // Label 24208: @1781107
     /* 1781107 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1781193), // Rule ID 11932 //
     /* 1781112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781158 */     // MIs[0] policy
     /* 1781158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1781171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781192 */     // GIR_Coverage, 11932,
     /* 1781192 */     GIR_EraseRootFromParent_Done,
     /* 1781193 */   // Label 24209: @1781193
     /* 1781193 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1781279), // Rule ID 11933 //
     /* 1781198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781244 */     // MIs[0] policy
     /* 1781244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1781257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781278 */     // GIR_Coverage, 11933,
     /* 1781278 */     GIR_EraseRootFromParent_Done,
     /* 1781279 */   // Label 24210: @1781279
     /* 1781279 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1781365), // Rule ID 11936 //
     /* 1781284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1781295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1781298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1781301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781330 */     // MIs[0] policy
     /* 1781330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1781343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781364 */     // GIR_Coverage, 11936,
     /* 1781364 */     GIR_EraseRootFromParent_Done,
     /* 1781365 */   // Label 24211: @1781365
     /* 1781365 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1781451), // Rule ID 11937 //
     /* 1781370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1781381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1781384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1781387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781416 */     // MIs[0] policy
     /* 1781416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1781429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781450 */     // GIR_Coverage, 11937,
     /* 1781450 */     GIR_EraseRootFromParent_Done,
     /* 1781451 */   // Label 24212: @1781451
     /* 1781451 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1781537), // Rule ID 11940 //
     /* 1781456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1781467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1781470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1781473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781502 */     // MIs[0] policy
     /* 1781502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1781515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781536 */     // GIR_Coverage, 11940,
     /* 1781536 */     GIR_EraseRootFromParent_Done,
     /* 1781537 */   // Label 24213: @1781537
     /* 1781537 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1781623), // Rule ID 11941 //
     /* 1781542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1781553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1781556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1781559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781588 */     // MIs[0] policy
     /* 1781588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1781601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781622 */     // GIR_Coverage, 11941,
     /* 1781622 */     GIR_EraseRootFromParent_Done,
     /* 1781623 */   // Label 24214: @1781623
     /* 1781623 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1781709), // Rule ID 11944 //
     /* 1781628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1781639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1781642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1781645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781674 */     // MIs[0] policy
     /* 1781674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1781687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781708 */     // GIR_Coverage, 11944,
     /* 1781708 */     GIR_EraseRootFromParent_Done,
     /* 1781709 */   // Label 24215: @1781709
     /* 1781709 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1781795), // Rule ID 11945 //
     /* 1781714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1781725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1781728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1781731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781760 */     // MIs[0] policy
     /* 1781760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1781773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781794 */     // GIR_Coverage, 11945,
     /* 1781794 */     GIR_EraseRootFromParent_Done,
     /* 1781795 */   // Label 24216: @1781795
     /* 1781795 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1781881), // Rule ID 11948 //
     /* 1781800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1781811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1781814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1781817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781846 */     // MIs[0] policy
     /* 1781846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1781859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781880 */     // GIR_Coverage, 11948,
     /* 1781880 */     GIR_EraseRootFromParent_Done,
     /* 1781881 */   // Label 24217: @1781881
     /* 1781881 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1781967), // Rule ID 11949 //
     /* 1781886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1781897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1781900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1781903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781932 */     // MIs[0] policy
     /* 1781932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1781945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781966 */     // GIR_Coverage, 11949,
     /* 1781966 */     GIR_EraseRootFromParent_Done,
     /* 1781967 */   // Label 24218: @1781967
     /* 1781967 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1782053), // Rule ID 11952 //
     /* 1781972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1781983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1781986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1781989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782018 */     // MIs[0] policy
     /* 1782018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1782031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782052 */     // GIR_Coverage, 11952,
     /* 1782052 */     GIR_EraseRootFromParent_Done,
     /* 1782053 */   // Label 24219: @1782053
     /* 1782053 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1782139), // Rule ID 11953 //
     /* 1782058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782104 */     // MIs[0] policy
     /* 1782104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1782117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782138 */     // GIR_Coverage, 11953,
     /* 1782138 */     GIR_EraseRootFromParent_Done,
     /* 1782139 */   // Label 24220: @1782139
     /* 1782139 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1782225), // Rule ID 11956 //
     /* 1782144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1782155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1782158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1782161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782190 */     // MIs[0] policy
     /* 1782190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1782203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782224 */     // GIR_Coverage, 11956,
     /* 1782224 */     GIR_EraseRootFromParent_Done,
     /* 1782225 */   // Label 24221: @1782225
     /* 1782225 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1782311), // Rule ID 11957 //
     /* 1782230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1782241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1782244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1782247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782276 */     // MIs[0] policy
     /* 1782276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1782289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782310 */     // GIR_Coverage, 11957,
     /* 1782310 */     GIR_EraseRootFromParent_Done,
     /* 1782311 */   // Label 24222: @1782311
     /* 1782311 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1782397), // Rule ID 11960 //
     /* 1782316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1782327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1782330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1782333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782362 */     // MIs[0] policy
     /* 1782362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1782375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782396 */     // GIR_Coverage, 11960,
     /* 1782396 */     GIR_EraseRootFromParent_Done,
     /* 1782397 */   // Label 24223: @1782397
     /* 1782397 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1782483), // Rule ID 11961 //
     /* 1782402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1782413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1782416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1782419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782448 */     // MIs[0] policy
     /* 1782448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1782461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782482 */     // GIR_Coverage, 11961,
     /* 1782482 */     GIR_EraseRootFromParent_Done,
     /* 1782483 */   // Label 24224: @1782483
     /* 1782483 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1782569), // Rule ID 11964 //
     /* 1782488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1782499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1782502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1782505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782534 */     // MIs[0] policy
     /* 1782534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1782547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782568 */     // GIR_Coverage, 11964,
     /* 1782568 */     GIR_EraseRootFromParent_Done,
     /* 1782569 */   // Label 24225: @1782569
     /* 1782569 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1782655), // Rule ID 11965 //
     /* 1782574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1782585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1782588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1782591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782620 */     // MIs[0] policy
     /* 1782620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1782633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782654 */     // GIR_Coverage, 11965,
     /* 1782654 */     GIR_EraseRootFromParent_Done,
     /* 1782655 */   // Label 24226: @1782655
     /* 1782655 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1782741), // Rule ID 11968 //
     /* 1782660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1782671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1782674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1782677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1782683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782706 */     // MIs[0] policy
     /* 1782706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1782719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782740 */     // GIR_Coverage, 11968,
     /* 1782740 */     GIR_EraseRootFromParent_Done,
     /* 1782741 */   // Label 24227: @1782741
     /* 1782741 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1782827), // Rule ID 11969 //
     /* 1782746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1782757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1782760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1782763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1782769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782792 */     // MIs[0] policy
     /* 1782792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1782805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782826 */     // GIR_Coverage, 11969,
     /* 1782826 */     GIR_EraseRootFromParent_Done,
     /* 1782827 */   // Label 24228: @1782827
     /* 1782827 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1782913), // Rule ID 11972 //
     /* 1782832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1782843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1782846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1782849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782878 */     // MIs[0] policy
     /* 1782878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1782891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782912 */     // GIR_Coverage, 11972,
     /* 1782912 */     GIR_EraseRootFromParent_Done,
     /* 1782913 */   // Label 24229: @1782913
     /* 1782913 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1782999), // Rule ID 11973 //
     /* 1782918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1782929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1782932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1782935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782964 */     // MIs[0] policy
     /* 1782964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1782977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782998 */     // GIR_Coverage, 11973,
     /* 1782998 */     GIR_EraseRootFromParent_Done,
     /* 1782999 */   // Label 24230: @1782999
     /* 1782999 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1783085), // Rule ID 11976 //
     /* 1783004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783050 */     // MIs[0] policy
     /* 1783050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1783063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783084 */     // GIR_Coverage, 11976,
     /* 1783084 */     GIR_EraseRootFromParent_Done,
     /* 1783085 */   // Label 24231: @1783085
     /* 1783085 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1783171), // Rule ID 11977 //
     /* 1783090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783136 */     // MIs[0] policy
     /* 1783136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1783149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783170 */     // GIR_Coverage, 11977,
     /* 1783170 */     GIR_EraseRootFromParent_Done,
     /* 1783171 */   // Label 24232: @1783171
     /* 1783171 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1783257), // Rule ID 11980 //
     /* 1783176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1783187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1783190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1783193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783222 */     // MIs[0] policy
     /* 1783222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1783235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783256 */     // GIR_Coverage, 11980,
     /* 1783256 */     GIR_EraseRootFromParent_Done,
     /* 1783257 */   // Label 24233: @1783257
     /* 1783257 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1783343), // Rule ID 11981 //
     /* 1783262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1783273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1783276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1783279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783308 */     // MIs[0] policy
     /* 1783308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1783321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783342 */     // GIR_Coverage, 11981,
     /* 1783342 */     GIR_EraseRootFromParent_Done,
     /* 1783343 */   // Label 24234: @1783343
     /* 1783343 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1783429), // Rule ID 11984 //
     /* 1783348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783394 */     // MIs[0] policy
     /* 1783394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1783407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783428 */     // GIR_Coverage, 11984,
     /* 1783428 */     GIR_EraseRootFromParent_Done,
     /* 1783429 */   // Label 24235: @1783429
     /* 1783429 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1783515), // Rule ID 11985 //
     /* 1783434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783480 */     // MIs[0] policy
     /* 1783480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1783493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783514 */     // GIR_Coverage, 11985,
     /* 1783514 */     GIR_EraseRootFromParent_Done,
     /* 1783515 */   // Label 24236: @1783515
     /* 1783515 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1783601), // Rule ID 11988 //
     /* 1783520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1783531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1783534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1783537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783566 */     // MIs[0] policy
     /* 1783566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1783579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783600 */     // GIR_Coverage, 11988,
     /* 1783600 */     GIR_EraseRootFromParent_Done,
     /* 1783601 */   // Label 24237: @1783601
     /* 1783601 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1783687), // Rule ID 11989 //
     /* 1783606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1783617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1783620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1783623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783652 */     // MIs[0] policy
     /* 1783652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1783665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783686 */     // GIR_Coverage, 11989,
     /* 1783686 */     GIR_EraseRootFromParent_Done,
     /* 1783687 */   // Label 24238: @1783687
     /* 1783687 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1783773), // Rule ID 11992 //
     /* 1783692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1783703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1783706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1783709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783738 */     // MIs[0] policy
     /* 1783738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1783751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783772 */     // GIR_Coverage, 11992,
     /* 1783772 */     GIR_EraseRootFromParent_Done,
     /* 1783773 */   // Label 24239: @1783773
     /* 1783773 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1783859), // Rule ID 11993 //
     /* 1783778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1783789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1783792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1783795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783824 */     // MIs[0] policy
     /* 1783824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1783837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783858 */     // GIR_Coverage, 11993,
     /* 1783858 */     GIR_EraseRootFromParent_Done,
     /* 1783859 */   // Label 24240: @1783859
     /* 1783859 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1783945), // Rule ID 11996 //
     /* 1783864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1783875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1783878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1783881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783910 */     // MIs[0] policy
     /* 1783910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1783923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783944 */     // GIR_Coverage, 11996,
     /* 1783944 */     GIR_EraseRootFromParent_Done,
     /* 1783945 */   // Label 24241: @1783945
     /* 1783945 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1784031), // Rule ID 11997 //
     /* 1783950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1783961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1783964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1783967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783996 */     // MIs[0] policy
     /* 1783996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1784009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784030 */     // GIR_Coverage, 11997,
     /* 1784030 */     GIR_EraseRootFromParent_Done,
     /* 1784031 */   // Label 24242: @1784031
     /* 1784031 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1784117), // Rule ID 12000 //
     /* 1784036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784082 */     // MIs[0] policy
     /* 1784082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1784095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784116 */     // GIR_Coverage, 12000,
     /* 1784116 */     GIR_EraseRootFromParent_Done,
     /* 1784117 */   // Label 24243: @1784117
     /* 1784117 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1784203), // Rule ID 12001 //
     /* 1784122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784168 */     // MIs[0] policy
     /* 1784168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1784181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784202 */     // GIR_Coverage, 12001,
     /* 1784202 */     GIR_EraseRootFromParent_Done,
     /* 1784203 */   // Label 24244: @1784203
     /* 1784203 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1784289), // Rule ID 12004 //
     /* 1784208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1784219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1784222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1784225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784254 */     // MIs[0] policy
     /* 1784254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1784267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784288 */     // GIR_Coverage, 12004,
     /* 1784288 */     GIR_EraseRootFromParent_Done,
     /* 1784289 */   // Label 24245: @1784289
     /* 1784289 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1784375), // Rule ID 12005 //
     /* 1784294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1784305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1784308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1784311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784340 */     // MIs[0] policy
     /* 1784340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1784353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784374 */     // GIR_Coverage, 12005,
     /* 1784374 */     GIR_EraseRootFromParent_Done,
     /* 1784375 */   // Label 24246: @1784375
     /* 1784375 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1784461), // Rule ID 12008 //
     /* 1784380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784426 */     // MIs[0] policy
     /* 1784426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1784439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784460 */     // GIR_Coverage, 12008,
     /* 1784460 */     GIR_EraseRootFromParent_Done,
     /* 1784461 */   // Label 24247: @1784461
     /* 1784461 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1784547), // Rule ID 12009 //
     /* 1784466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784512 */     // MIs[0] policy
     /* 1784512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1784525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784546 */     // GIR_Coverage, 12009,
     /* 1784546 */     GIR_EraseRootFromParent_Done,
     /* 1784547 */   // Label 24248: @1784547
     /* 1784547 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1784633), // Rule ID 12012 //
     /* 1784552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1784563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1784566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1784569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1784572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784598 */     // MIs[0] policy
     /* 1784598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1784611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784632 */     // GIR_Coverage, 12012,
     /* 1784632 */     GIR_EraseRootFromParent_Done,
     /* 1784633 */   // Label 24249: @1784633
     /* 1784633 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1784719), // Rule ID 12013 //
     /* 1784638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1784649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1784652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1784655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1784658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784684 */     // MIs[0] policy
     /* 1784684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1784697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784718 */     // GIR_Coverage, 12013,
     /* 1784718 */     GIR_EraseRootFromParent_Done,
     /* 1784719 */   // Label 24250: @1784719
     /* 1784719 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1784805), // Rule ID 12016 //
     /* 1784724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1784735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1784738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1784741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1784744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784770 */     // MIs[0] policy
     /* 1784770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1784783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784804 */     // GIR_Coverage, 12016,
     /* 1784804 */     GIR_EraseRootFromParent_Done,
     /* 1784805 */   // Label 24251: @1784805
     /* 1784805 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1784891), // Rule ID 12017 //
     /* 1784810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1784821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1784824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1784827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1784830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784856 */     // MIs[0] policy
     /* 1784856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1784869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784890 */     // GIR_Coverage, 12017,
     /* 1784890 */     GIR_EraseRootFromParent_Done,
     /* 1784891 */   // Label 24252: @1784891
     /* 1784891 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1784977), // Rule ID 12020 //
     /* 1784896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1784907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1784910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1784913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1784916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784942 */     // MIs[0] policy
     /* 1784942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1784955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784976 */     // GIR_Coverage, 12020,
     /* 1784976 */     GIR_EraseRootFromParent_Done,
     /* 1784977 */   // Label 24253: @1784977
     /* 1784977 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1785063), // Rule ID 12021 //
     /* 1784982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1784993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1784996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1784999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785028 */     // MIs[0] policy
     /* 1785028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1785041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785062 */     // GIR_Coverage, 12021,
     /* 1785062 */     GIR_EraseRootFromParent_Done,
     /* 1785063 */   // Label 24254: @1785063
     /* 1785063 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1785149), // Rule ID 12024 //
     /* 1785068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785114 */     // MIs[0] policy
     /* 1785114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1785127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785148 */     // GIR_Coverage, 12024,
     /* 1785148 */     GIR_EraseRootFromParent_Done,
     /* 1785149 */   // Label 24255: @1785149
     /* 1785149 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1785235), // Rule ID 12025 //
     /* 1785154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785200 */     // MIs[0] policy
     /* 1785200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1785213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785234 */     // GIR_Coverage, 12025,
     /* 1785234 */     GIR_EraseRootFromParent_Done,
     /* 1785235 */   // Label 24256: @1785235
     /* 1785235 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1785321), // Rule ID 12028 //
     /* 1785240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1785251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1785254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1785257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1785260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785286 */     // MIs[0] policy
     /* 1785286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1785299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785320 */     // GIR_Coverage, 12028,
     /* 1785320 */     GIR_EraseRootFromParent_Done,
     /* 1785321 */   // Label 24257: @1785321
     /* 1785321 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1785407), // Rule ID 12029 //
     /* 1785326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1785337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1785340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1785343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1785346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785372 */     // MIs[0] policy
     /* 1785372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1785385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785406 */     // GIR_Coverage, 12029,
     /* 1785406 */     GIR_EraseRootFromParent_Done,
     /* 1785407 */   // Label 24258: @1785407
     /* 1785407 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1785493), // Rule ID 12032 //
     /* 1785412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785458 */     // MIs[0] policy
     /* 1785458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1785471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785492 */     // GIR_Coverage, 12032,
     /* 1785492 */     GIR_EraseRootFromParent_Done,
     /* 1785493 */   // Label 24259: @1785493
     /* 1785493 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1785579), // Rule ID 12033 //
     /* 1785498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785544 */     // MIs[0] policy
     /* 1785544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785554 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1785557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785578 */     // GIR_Coverage, 12033,
     /* 1785578 */     GIR_EraseRootFromParent_Done,
     /* 1785579 */   // Label 24260: @1785579
     /* 1785579 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1785665), // Rule ID 12036 //
     /* 1785584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1785595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1785598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1785601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1785604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785630 */     // MIs[0] policy
     /* 1785630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1785643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785664 */     // GIR_Coverage, 12036,
     /* 1785664 */     GIR_EraseRootFromParent_Done,
     /* 1785665 */   // Label 24261: @1785665
     /* 1785665 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1785751), // Rule ID 12037 //
     /* 1785670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1785681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1785684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1785687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1785690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785716 */     // MIs[0] policy
     /* 1785716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1785729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785750 */     // GIR_Coverage, 12037,
     /* 1785750 */     GIR_EraseRootFromParent_Done,
     /* 1785751 */   // Label 24262: @1785751
     /* 1785751 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1785837), // Rule ID 12040 //
     /* 1785756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1785767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1785770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1785773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1785776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785802 */     // MIs[0] policy
     /* 1785802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1785815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785836 */     // GIR_Coverage, 12040,
     /* 1785836 */     GIR_EraseRootFromParent_Done,
     /* 1785837 */   // Label 24263: @1785837
     /* 1785837 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1785923), // Rule ID 12041 //
     /* 1785842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1785853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1785856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1785859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1785862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785888 */     // MIs[0] policy
     /* 1785888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1785901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785922 */     // GIR_Coverage, 12041,
     /* 1785922 */     GIR_EraseRootFromParent_Done,
     /* 1785923 */   // Label 24264: @1785923
     /* 1785923 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1786009), // Rule ID 12044 //
     /* 1785928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1785939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1785942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1785945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1785948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785974 */     // MIs[0] policy
     /* 1785974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1785987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786008 */     // GIR_Coverage, 12044,
     /* 1786008 */     GIR_EraseRootFromParent_Done,
     /* 1786009 */   // Label 24265: @1786009
     /* 1786009 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1786095), // Rule ID 12045 //
     /* 1786014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786060 */     // MIs[0] policy
     /* 1786060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1786073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786094 */     // GIR_Coverage, 12045,
     /* 1786094 */     GIR_EraseRootFromParent_Done,
     /* 1786095 */   // Label 24266: @1786095
     /* 1786095 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1786181), // Rule ID 12048 //
     /* 1786100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1786120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786146 */     // MIs[0] policy
     /* 1786146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786156 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1786159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786180 */     // GIR_Coverage, 12048,
     /* 1786180 */     GIR_EraseRootFromParent_Done,
     /* 1786181 */   // Label 24267: @1786181
     /* 1786181 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1786267), // Rule ID 12049 //
     /* 1786186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1786206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786232 */     // MIs[0] policy
     /* 1786232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786242 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1786245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786266 */     // GIR_Coverage, 12049,
     /* 1786266 */     GIR_EraseRootFromParent_Done,
     /* 1786267 */   // Label 24268: @1786267
     /* 1786267 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1786353), // Rule ID 12052 //
     /* 1786272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1786283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1786286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1786289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1786292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786318 */     // MIs[0] policy
     /* 1786318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1786331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786352 */     // GIR_Coverage, 12052,
     /* 1786352 */     GIR_EraseRootFromParent_Done,
     /* 1786353 */   // Label 24269: @1786353
     /* 1786353 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1786439), // Rule ID 12053 //
     /* 1786358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1786369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1786372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1786375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1786378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786404 */     // MIs[0] policy
     /* 1786404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1786417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786438 */     // GIR_Coverage, 12053,
     /* 1786438 */     GIR_EraseRootFromParent_Done,
     /* 1786439 */   // Label 24270: @1786439
     /* 1786439 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1786525), // Rule ID 12056 //
     /* 1786444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1786455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1786458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1786461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1786464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1786467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786490 */     // MIs[0] policy
     /* 1786490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1786503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786524 */     // GIR_Coverage, 12056,
     /* 1786524 */     GIR_EraseRootFromParent_Done,
     /* 1786525 */   // Label 24271: @1786525
     /* 1786525 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1786611), // Rule ID 12057 //
     /* 1786530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1786541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1786544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1786547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1786550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1786553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786576 */     // MIs[0] policy
     /* 1786576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1786589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786610 */     // GIR_Coverage, 12057,
     /* 1786610 */     GIR_EraseRootFromParent_Done,
     /* 1786611 */   // Label 24272: @1786611
     /* 1786611 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1786697), // Rule ID 12060 //
     /* 1786616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1786627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1786630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1786633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1786636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786662 */     // MIs[0] policy
     /* 1786662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1786675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786696 */     // GIR_Coverage, 12060,
     /* 1786696 */     GIR_EraseRootFromParent_Done,
     /* 1786697 */   // Label 24273: @1786697
     /* 1786697 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1786783), // Rule ID 12061 //
     /* 1786702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1786713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1786716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1786719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1786722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786748 */     // MIs[0] policy
     /* 1786748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1786761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786782 */     // GIR_Coverage, 12061,
     /* 1786782 */     GIR_EraseRootFromParent_Done,
     /* 1786783 */   // Label 24274: @1786783
     /* 1786783 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1786869), // Rule ID 12064 //
     /* 1786788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1786799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1786802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1786805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1786808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786834 */     // MIs[0] policy
     /* 1786834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1786847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786868 */     // GIR_Coverage, 12064,
     /* 1786868 */     GIR_EraseRootFromParent_Done,
     /* 1786869 */   // Label 24275: @1786869
     /* 1786869 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1786955), // Rule ID 12065 //
     /* 1786874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1786885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1786888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1786891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1786894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786920 */     // MIs[0] policy
     /* 1786920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1786933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786954 */     // GIR_Coverage, 12065,
     /* 1786954 */     GIR_EraseRootFromParent_Done,
     /* 1786955 */   // Label 24276: @1786955
     /* 1786955 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1787041), // Rule ID 12068 //
     /* 1786960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1786971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1786974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1786977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1786980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787006 */     // MIs[0] policy
     /* 1787006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1787019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787040 */     // GIR_Coverage, 12068,
     /* 1787040 */     GIR_EraseRootFromParent_Done,
     /* 1787041 */   // Label 24277: @1787041
     /* 1787041 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1787127), // Rule ID 12069 //
     /* 1787046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787092 */     // MIs[0] policy
     /* 1787092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1787105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787126 */     // GIR_Coverage, 12069,
     /* 1787126 */     GIR_EraseRootFromParent_Done,
     /* 1787127 */   // Label 24278: @1787127
     /* 1787127 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1787213), // Rule ID 12072 //
     /* 1787132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1787152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787178 */     // MIs[0] policy
     /* 1787178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1787191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787212 */     // GIR_Coverage, 12072,
     /* 1787212 */     GIR_EraseRootFromParent_Done,
     /* 1787213 */   // Label 24279: @1787213
     /* 1787213 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1787299), // Rule ID 12073 //
     /* 1787218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1787238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787264 */     // MIs[0] policy
     /* 1787264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1787277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787298 */     // GIR_Coverage, 12073,
     /* 1787298 */     GIR_EraseRootFromParent_Done,
     /* 1787299 */   // Label 24280: @1787299
     /* 1787299 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1787385), // Rule ID 12076 //
     /* 1787304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1787315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1787318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1787321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1787324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787350 */     // MIs[0] policy
     /* 1787350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1787363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787384 */     // GIR_Coverage, 12076,
     /* 1787384 */     GIR_EraseRootFromParent_Done,
     /* 1787385 */   // Label 24281: @1787385
     /* 1787385 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1787471), // Rule ID 12077 //
     /* 1787390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1787401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1787404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1787407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1787410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787436 */     // MIs[0] policy
     /* 1787436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1787449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787470 */     // GIR_Coverage, 12077,
     /* 1787470 */     GIR_EraseRootFromParent_Done,
     /* 1787471 */   // Label 24282: @1787471
     /* 1787471 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1787557), // Rule ID 12080 //
     /* 1787476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1787487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1787490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1787493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1787496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787522 */     // MIs[0] policy
     /* 1787522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1787535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787556 */     // GIR_Coverage, 12080,
     /* 1787556 */     GIR_EraseRootFromParent_Done,
     /* 1787557 */   // Label 24283: @1787557
     /* 1787557 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1787643), // Rule ID 12081 //
     /* 1787562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1787573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1787576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1787579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1787582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787608 */     // MIs[0] policy
     /* 1787608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1787621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787642 */     // GIR_Coverage, 12081,
     /* 1787642 */     GIR_EraseRootFromParent_Done,
     /* 1787643 */   // Label 24284: @1787643
     /* 1787643 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1787729), // Rule ID 12084 //
     /* 1787648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787694 */     // MIs[0] policy
     /* 1787694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1787707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787728 */     // GIR_Coverage, 12084,
     /* 1787728 */     GIR_EraseRootFromParent_Done,
     /* 1787729 */   // Label 24285: @1787729
     /* 1787729 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1787815), // Rule ID 12085 //
     /* 1787734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787780 */     // MIs[0] policy
     /* 1787780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1787793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787814 */     // GIR_Coverage, 12085,
     /* 1787814 */     GIR_EraseRootFromParent_Done,
     /* 1787815 */   // Label 24286: @1787815
     /* 1787815 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1787901), // Rule ID 12088 //
     /* 1787820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787866 */     // MIs[0] policy
     /* 1787866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1787879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787900 */     // GIR_Coverage, 12088,
     /* 1787900 */     GIR_EraseRootFromParent_Done,
     /* 1787901 */   // Label 24287: @1787901
     /* 1787901 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1787987), // Rule ID 12089 //
     /* 1787906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787952 */     // MIs[0] policy
     /* 1787952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1787965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787986 */     // GIR_Coverage, 12089,
     /* 1787986 */     GIR_EraseRootFromParent_Done,
     /* 1787987 */   // Label 24288: @1787987
     /* 1787987 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1788073), // Rule ID 12092 //
     /* 1787992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788038 */     // MIs[0] policy
     /* 1788038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1788051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788072 */     // GIR_Coverage, 12092,
     /* 1788072 */     GIR_EraseRootFromParent_Done,
     /* 1788073 */   // Label 24289: @1788073
     /* 1788073 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1788159), // Rule ID 12093 //
     /* 1788078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788124 */     // MIs[0] policy
     /* 1788124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1788137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788158 */     // GIR_Coverage, 12093,
     /* 1788158 */     GIR_EraseRootFromParent_Done,
     /* 1788159 */   // Label 24290: @1788159
     /* 1788159 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1788245), // Rule ID 12096 //
     /* 1788164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1788175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1788178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1788181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788210 */     // MIs[0] policy
     /* 1788210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1788223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788244 */     // GIR_Coverage, 12096,
     /* 1788244 */     GIR_EraseRootFromParent_Done,
     /* 1788245 */   // Label 24291: @1788245
     /* 1788245 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1788331), // Rule ID 12097 //
     /* 1788250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1788261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1788264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1788267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788296 */     // MIs[0] policy
     /* 1788296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1788309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788330 */     // GIR_Coverage, 12097,
     /* 1788330 */     GIR_EraseRootFromParent_Done,
     /* 1788331 */   // Label 24292: @1788331
     /* 1788331 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1788417), // Rule ID 12100 //
     /* 1788336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788382 */     // MIs[0] policy
     /* 1788382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1788395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788416 */     // GIR_Coverage, 12100,
     /* 1788416 */     GIR_EraseRootFromParent_Done,
     /* 1788417 */   // Label 24293: @1788417
     /* 1788417 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1788503), // Rule ID 12101 //
     /* 1788422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788468 */     // MIs[0] policy
     /* 1788468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1788481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788502 */     // GIR_Coverage, 12101,
     /* 1788502 */     GIR_EraseRootFromParent_Done,
     /* 1788503 */   // Label 24294: @1788503
     /* 1788503 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1788589), // Rule ID 12104 //
     /* 1788508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1788519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1788522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1788525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788554 */     // MIs[0] policy
     /* 1788554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1788567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788588 */     // GIR_Coverage, 12104,
     /* 1788588 */     GIR_EraseRootFromParent_Done,
     /* 1788589 */   // Label 24295: @1788589
     /* 1788589 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1788675), // Rule ID 12105 //
     /* 1788594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1788605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1788608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1788611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788640 */     // MIs[0] policy
     /* 1788640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788650 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1788653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788674 */     // GIR_Coverage, 12105,
     /* 1788674 */     GIR_EraseRootFromParent_Done,
     /* 1788675 */   // Label 24296: @1788675
     /* 1788675 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1788761), // Rule ID 12108 //
     /* 1788680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1788691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1788694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1788697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788726 */     // MIs[0] policy
     /* 1788726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1788739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788760 */     // GIR_Coverage, 12108,
     /* 1788760 */     GIR_EraseRootFromParent_Done,
     /* 1788761 */   // Label 24297: @1788761
     /* 1788761 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1788847), // Rule ID 12109 //
     /* 1788766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1788777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1788780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1788783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788812 */     // MIs[0] policy
     /* 1788812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1788825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788846 */     // GIR_Coverage, 12109,
     /* 1788846 */     GIR_EraseRootFromParent_Done,
     /* 1788847 */   // Label 24298: @1788847
     /* 1788847 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1788933), // Rule ID 12112 //
     /* 1788852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1788863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1788866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788898 */     // MIs[0] policy
     /* 1788898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1788911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788932 */     // GIR_Coverage, 12112,
     /* 1788932 */     GIR_EraseRootFromParent_Done,
     /* 1788933 */   // Label 24299: @1788933
     /* 1788933 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1789019), // Rule ID 12113 //
     /* 1788938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1788949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1788952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788984 */     // MIs[0] policy
     /* 1788984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1788997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789018 */     // GIR_Coverage, 12113,
     /* 1789018 */     GIR_EraseRootFromParent_Done,
     /* 1789019 */   // Label 24300: @1789019
     /* 1789019 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1789105), // Rule ID 12116 //
     /* 1789024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789070 */     // MIs[0] policy
     /* 1789070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1789083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789104 */     // GIR_Coverage, 12116,
     /* 1789104 */     GIR_EraseRootFromParent_Done,
     /* 1789105 */   // Label 24301: @1789105
     /* 1789105 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1789191), // Rule ID 12117 //
     /* 1789110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789156 */     // MIs[0] policy
     /* 1789156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1789169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789190 */     // GIR_Coverage, 12117,
     /* 1789190 */     GIR_EraseRootFromParent_Done,
     /* 1789191 */   // Label 24302: @1789191
     /* 1789191 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1789277), // Rule ID 12120 //
     /* 1789196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1789207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1789210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1789213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789242 */     // MIs[0] policy
     /* 1789242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1789255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789276 */     // GIR_Coverage, 12120,
     /* 1789276 */     GIR_EraseRootFromParent_Done,
     /* 1789277 */   // Label 24303: @1789277
     /* 1789277 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1789363), // Rule ID 12121 //
     /* 1789282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1789293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1789296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1789299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789328 */     // MIs[0] policy
     /* 1789328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1789341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789362 */     // GIR_Coverage, 12121,
     /* 1789362 */     GIR_EraseRootFromParent_Done,
     /* 1789363 */   // Label 24304: @1789363
     /* 1789363 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1789449), // Rule ID 12124 //
     /* 1789368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789414 */     // MIs[0] policy
     /* 1789414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1789427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789448 */     // GIR_Coverage, 12124,
     /* 1789448 */     GIR_EraseRootFromParent_Done,
     /* 1789449 */   // Label 24305: @1789449
     /* 1789449 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1789535), // Rule ID 12125 //
     /* 1789454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789500 */     // MIs[0] policy
     /* 1789500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1789513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789534 */     // GIR_Coverage, 12125,
     /* 1789534 */     GIR_EraseRootFromParent_Done,
     /* 1789535 */   // Label 24306: @1789535
     /* 1789535 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1789621), // Rule ID 12128 //
     /* 1789540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1789551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1789554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1789557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789586 */     // MIs[0] policy
     /* 1789586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1789599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789620 */     // GIR_Coverage, 12128,
     /* 1789620 */     GIR_EraseRootFromParent_Done,
     /* 1789621 */   // Label 24307: @1789621
     /* 1789621 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1789707), // Rule ID 12129 //
     /* 1789626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1789637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1789640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1789643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789672 */     // MIs[0] policy
     /* 1789672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1789685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789706 */     // GIR_Coverage, 12129,
     /* 1789706 */     GIR_EraseRootFromParent_Done,
     /* 1789707 */   // Label 24308: @1789707
     /* 1789707 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1789793), // Rule ID 12132 //
     /* 1789712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789758 */     // MIs[0] policy
     /* 1789758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1789771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789792 */     // GIR_Coverage, 12132,
     /* 1789792 */     GIR_EraseRootFromParent_Done,
     /* 1789793 */   // Label 24309: @1789793
     /* 1789793 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1789879), // Rule ID 12133 //
     /* 1789798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789844 */     // MIs[0] policy
     /* 1789844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1789857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789878 */     // GIR_Coverage, 12133,
     /* 1789878 */     GIR_EraseRootFromParent_Done,
     /* 1789879 */   // Label 24310: @1789879
     /* 1789879 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1789965), // Rule ID 12136 //
     /* 1789884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1789895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1789898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1789901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789930 */     // MIs[0] policy
     /* 1789930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1789943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789964 */     // GIR_Coverage, 12136,
     /* 1789964 */     GIR_EraseRootFromParent_Done,
     /* 1789965 */   // Label 24311: @1789965
     /* 1789965 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1790051), // Rule ID 12137 //
     /* 1789970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1789981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1789984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1789987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790016 */     // MIs[0] policy
     /* 1790016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1790029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790050 */     // GIR_Coverage, 12137,
     /* 1790050 */     GIR_EraseRootFromParent_Done,
     /* 1790051 */   // Label 24312: @1790051
     /* 1790051 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1790137), // Rule ID 12140 //
     /* 1790056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790102 */     // MIs[0] policy
     /* 1790102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1790115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790136 */     // GIR_Coverage, 12140,
     /* 1790136 */     GIR_EraseRootFromParent_Done,
     /* 1790137 */   // Label 24313: @1790137
     /* 1790137 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1790223), // Rule ID 12141 //
     /* 1790142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790188 */     // MIs[0] policy
     /* 1790188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1790201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790222 */     // GIR_Coverage, 12141,
     /* 1790222 */     GIR_EraseRootFromParent_Done,
     /* 1790223 */   // Label 24314: @1790223
     /* 1790223 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1790309), // Rule ID 12144 //
     /* 1790228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1790239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1790242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1790245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1790251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790274 */     // MIs[0] policy
     /* 1790274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1790287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790308 */     // GIR_Coverage, 12144,
     /* 1790308 */     GIR_EraseRootFromParent_Done,
     /* 1790309 */   // Label 24315: @1790309
     /* 1790309 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1790395), // Rule ID 12145 //
     /* 1790314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1790325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1790328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1790331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1790337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790360 */     // MIs[0] policy
     /* 1790360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1790373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790394 */     // GIR_Coverage, 12145,
     /* 1790394 */     GIR_EraseRootFromParent_Done,
     /* 1790395 */   // Label 24316: @1790395
     /* 1790395 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1790481), // Rule ID 12148 //
     /* 1790400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790446 */     // MIs[0] policy
     /* 1790446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1790459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790480 */     // GIR_Coverage, 12148,
     /* 1790480 */     GIR_EraseRootFromParent_Done,
     /* 1790481 */   // Label 24317: @1790481
     /* 1790481 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1790567), // Rule ID 12149 //
     /* 1790486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790532 */     // MIs[0] policy
     /* 1790532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1790545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790566 */     // GIR_Coverage, 12149,
     /* 1790566 */     GIR_EraseRootFromParent_Done,
     /* 1790567 */   // Label 24318: @1790567
     /* 1790567 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1790653), // Rule ID 12152 //
     /* 1790572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1790589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790618 */     // MIs[0] policy
     /* 1790618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1790631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790652 */     // GIR_Coverage, 12152,
     /* 1790652 */     GIR_EraseRootFromParent_Done,
     /* 1790653 */   // Label 24319: @1790653
     /* 1790653 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1790739), // Rule ID 12153 //
     /* 1790658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1790675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790704 */     // MIs[0] policy
     /* 1790704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790714 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1790717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790738 */     // GIR_Coverage, 12153,
     /* 1790738 */     GIR_EraseRootFromParent_Done,
     /* 1790739 */   // Label 24320: @1790739
     /* 1790739 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1790825), // Rule ID 12156 //
     /* 1790744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1790761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790790 */     // MIs[0] policy
     /* 1790790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1790803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790824 */     // GIR_Coverage, 12156,
     /* 1790824 */     GIR_EraseRootFromParent_Done,
     /* 1790825 */   // Label 24321: @1790825
     /* 1790825 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1790911), // Rule ID 12157 //
     /* 1790830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1790847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790876 */     // MIs[0] policy
     /* 1790876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1790889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790910 */     // GIR_Coverage, 12157,
     /* 1790910 */     GIR_EraseRootFromParent_Done,
     /* 1790911 */   // Label 24322: @1790911
     /* 1790911 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1790997), // Rule ID 12160 //
     /* 1790916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1790927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1790930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1790933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790962 */     // MIs[0] policy
     /* 1790962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1790975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790996 */     // GIR_Coverage, 12160,
     /* 1790996 */     GIR_EraseRootFromParent_Done,
     /* 1790997 */   // Label 24323: @1790997
     /* 1790997 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1791083), // Rule ID 12161 //
     /* 1791002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791048 */     // MIs[0] policy
     /* 1791048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1791061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791082 */     // GIR_Coverage, 12161,
     /* 1791082 */     GIR_EraseRootFromParent_Done,
     /* 1791083 */   // Label 24324: @1791083
     /* 1791083 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1791169), // Rule ID 12164 //
     /* 1791088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791134 */     // MIs[0] policy
     /* 1791134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1791147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791168 */     // GIR_Coverage, 12164,
     /* 1791168 */     GIR_EraseRootFromParent_Done,
     /* 1791169 */   // Label 24325: @1791169
     /* 1791169 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1791255), // Rule ID 12165 //
     /* 1791174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791220 */     // MIs[0] policy
     /* 1791220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1791233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791254 */     // GIR_Coverage, 12165,
     /* 1791254 */     GIR_EraseRootFromParent_Done,
     /* 1791255 */   // Label 24326: @1791255
     /* 1791255 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1791341), // Rule ID 12168 //
     /* 1791260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791306 */     // MIs[0] policy
     /* 1791306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1791319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791340 */     // GIR_Coverage, 12168,
     /* 1791340 */     GIR_EraseRootFromParent_Done,
     /* 1791341 */   // Label 24327: @1791341
     /* 1791341 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1791427), // Rule ID 12169 //
     /* 1791346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791392 */     // MIs[0] policy
     /* 1791392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1791405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791426 */     // GIR_Coverage, 12169,
     /* 1791426 */     GIR_EraseRootFromParent_Done,
     /* 1791427 */   // Label 24328: @1791427
     /* 1791427 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1791513), // Rule ID 12172 //
     /* 1791432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791478 */     // MIs[0] policy
     /* 1791478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1791491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791512 */     // GIR_Coverage, 12172,
     /* 1791512 */     GIR_EraseRootFromParent_Done,
     /* 1791513 */   // Label 24329: @1791513
     /* 1791513 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1791599), // Rule ID 12173 //
     /* 1791518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791564 */     // MIs[0] policy
     /* 1791564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1791577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791598 */     // GIR_Coverage, 12173,
     /* 1791598 */     GIR_EraseRootFromParent_Done,
     /* 1791599 */   // Label 24330: @1791599
     /* 1791599 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1791685), // Rule ID 12176 //
     /* 1791604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1791621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791650 */     // MIs[0] policy
     /* 1791650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1791663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791684 */     // GIR_Coverage, 12176,
     /* 1791684 */     GIR_EraseRootFromParent_Done,
     /* 1791685 */   // Label 24331: @1791685
     /* 1791685 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1791771), // Rule ID 12177 //
     /* 1791690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1791707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791736 */     // MIs[0] policy
     /* 1791736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1791749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791770 */     // GIR_Coverage, 12177,
     /* 1791770 */     GIR_EraseRootFromParent_Done,
     /* 1791771 */   // Label 24332: @1791771
     /* 1791771 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1791857), // Rule ID 12180 //
     /* 1791776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1791793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791822 */     // MIs[0] policy
     /* 1791822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1791835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791856 */     // GIR_Coverage, 12180,
     /* 1791856 */     GIR_EraseRootFromParent_Done,
     /* 1791857 */   // Label 24333: @1791857
     /* 1791857 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1791943), // Rule ID 12181 //
     /* 1791862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1791879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791908 */     // MIs[0] policy
     /* 1791908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1791921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791942 */     // GIR_Coverage, 12181,
     /* 1791942 */     GIR_EraseRootFromParent_Done,
     /* 1791943 */   // Label 24334: @1791943
     /* 1791943 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1792029), // Rule ID 12184 //
     /* 1791948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1791959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1791962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1791965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1791968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791994 */     // MIs[0] policy
     /* 1791994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1792007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792028 */     // GIR_Coverage, 12184,
     /* 1792028 */     GIR_EraseRootFromParent_Done,
     /* 1792029 */   // Label 24335: @1792029
     /* 1792029 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1792115), // Rule ID 12185 //
     /* 1792034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1792045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1792048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792080 */     // MIs[0] policy
     /* 1792080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1792093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792114 */     // GIR_Coverage, 12185,
     /* 1792114 */     GIR_EraseRootFromParent_Done,
     /* 1792115 */   // Label 24336: @1792115
     /* 1792115 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1792201), // Rule ID 12188 //
     /* 1792120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1792131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1792134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792166 */     // MIs[0] policy
     /* 1792166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1792179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792200 */     // GIR_Coverage, 12188,
     /* 1792200 */     GIR_EraseRootFromParent_Done,
     /* 1792201 */   // Label 24337: @1792201
     /* 1792201 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1792287), // Rule ID 12189 //
     /* 1792206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1792217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1792220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792252 */     // MIs[0] policy
     /* 1792252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1792265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792286 */     // GIR_Coverage, 12189,
     /* 1792286 */     GIR_EraseRootFromParent_Done,
     /* 1792287 */   // Label 24338: @1792287
     /* 1792287 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1792373), // Rule ID 12192 //
     /* 1792292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1792303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1792306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792338 */     // MIs[0] policy
     /* 1792338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1792351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792372 */     // GIR_Coverage, 12192,
     /* 1792372 */     GIR_EraseRootFromParent_Done,
     /* 1792373 */   // Label 24339: @1792373
     /* 1792373 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1792459), // Rule ID 12193 //
     /* 1792378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1792389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1792392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792424 */     // MIs[0] policy
     /* 1792424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1792437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792458 */     // GIR_Coverage, 12193,
     /* 1792458 */     GIR_EraseRootFromParent_Done,
     /* 1792459 */   // Label 24340: @1792459
     /* 1792459 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1792545), // Rule ID 12196 //
     /* 1792464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1792484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792510 */     // MIs[0] policy
     /* 1792510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1792523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792544 */     // GIR_Coverage, 12196,
     /* 1792544 */     GIR_EraseRootFromParent_Done,
     /* 1792545 */   // Label 24341: @1792545
     /* 1792545 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1792631), // Rule ID 12197 //
     /* 1792550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1792570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792596 */     // MIs[0] policy
     /* 1792596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1792609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792630 */     // GIR_Coverage, 12197,
     /* 1792630 */     GIR_EraseRootFromParent_Done,
     /* 1792631 */   // Label 24342: @1792631
     /* 1792631 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1792717), // Rule ID 12200 //
     /* 1792636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1792656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792682 */     // MIs[0] policy
     /* 1792682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1792695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792716 */     // GIR_Coverage, 12200,
     /* 1792716 */     GIR_EraseRootFromParent_Done,
     /* 1792717 */   // Label 24343: @1792717
     /* 1792717 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1792803), // Rule ID 12201 //
     /* 1792722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1792742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792768 */     // MIs[0] policy
     /* 1792768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1792781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792802 */     // GIR_Coverage, 12201,
     /* 1792802 */     GIR_EraseRootFromParent_Done,
     /* 1792803 */   // Label 24344: @1792803
     /* 1792803 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1792889), // Rule ID 12204 //
     /* 1792808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1792819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1792822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1792825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1792828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792854 */     // MIs[0] policy
     /* 1792854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1792867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792888 */     // GIR_Coverage, 12204,
     /* 1792888 */     GIR_EraseRootFromParent_Done,
     /* 1792889 */   // Label 24345: @1792889
     /* 1792889 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1792975), // Rule ID 12205 //
     /* 1792894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1792905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1792908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1792911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1792914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792940 */     // MIs[0] policy
     /* 1792940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1792953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792974 */     // GIR_Coverage, 12205,
     /* 1792974 */     GIR_EraseRootFromParent_Done,
     /* 1792975 */   // Label 24346: @1792975
     /* 1792975 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1793061), // Rule ID 12208 //
     /* 1792980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1792991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1792994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1792997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793026 */     // MIs[0] policy
     /* 1793026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1793039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793060 */     // GIR_Coverage, 12208,
     /* 1793060 */     GIR_EraseRootFromParent_Done,
     /* 1793061 */   // Label 24347: @1793061
     /* 1793061 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1793147), // Rule ID 12209 //
     /* 1793066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1793077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1793080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793112 */     // MIs[0] policy
     /* 1793112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1793125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793146 */     // GIR_Coverage, 12209,
     /* 1793146 */     GIR_EraseRootFromParent_Done,
     /* 1793147 */   // Label 24348: @1793147
     /* 1793147 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1793233), // Rule ID 12212 //
     /* 1793152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793198 */     // MIs[0] policy
     /* 1793198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1793211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793232 */     // GIR_Coverage, 12212,
     /* 1793232 */     GIR_EraseRootFromParent_Done,
     /* 1793233 */   // Label 24349: @1793233
     /* 1793233 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1793319), // Rule ID 12213 //
     /* 1793238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793284 */     // MIs[0] policy
     /* 1793284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1793297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793318 */     // GIR_Coverage, 12213,
     /* 1793318 */     GIR_EraseRootFromParent_Done,
     /* 1793319 */   // Label 24350: @1793319
     /* 1793319 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1793405), // Rule ID 12216 //
     /* 1793324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793370 */     // MIs[0] policy
     /* 1793370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1793383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793404 */     // GIR_Coverage, 12216,
     /* 1793404 */     GIR_EraseRootFromParent_Done,
     /* 1793405 */   // Label 24351: @1793405
     /* 1793405 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1793491), // Rule ID 12217 //
     /* 1793410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793456 */     // MIs[0] policy
     /* 1793456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1793469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793490 */     // GIR_Coverage, 12217,
     /* 1793490 */     GIR_EraseRootFromParent_Done,
     /* 1793491 */   // Label 24352: @1793491
     /* 1793491 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1793577), // Rule ID 12220 //
     /* 1793496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1793513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1793516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793542 */     // MIs[0] policy
     /* 1793542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1793555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793576 */     // GIR_Coverage, 12220,
     /* 1793576 */     GIR_EraseRootFromParent_Done,
     /* 1793577 */   // Label 24353: @1793577
     /* 1793577 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1793663), // Rule ID 12221 //
     /* 1793582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1793599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1793602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793628 */     // MIs[0] policy
     /* 1793628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1793641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793662 */     // GIR_Coverage, 12221,
     /* 1793662 */     GIR_EraseRootFromParent_Done,
     /* 1793663 */   // Label 24354: @1793663
     /* 1793663 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1793749), // Rule ID 12224 //
     /* 1793668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1793679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1793682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793714 */     // MIs[0] policy
     /* 1793714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1793727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793748 */     // GIR_Coverage, 12224,
     /* 1793748 */     GIR_EraseRootFromParent_Done,
     /* 1793749 */   // Label 24355: @1793749
     /* 1793749 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1793835), // Rule ID 12225 //
     /* 1793754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1793765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1793768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793800 */     // MIs[0] policy
     /* 1793800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793810 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1793813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793834 */     // GIR_Coverage, 12225,
     /* 1793834 */     GIR_EraseRootFromParent_Done,
     /* 1793835 */   // Label 24356: @1793835
     /* 1793835 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1793921), // Rule ID 12228 //
     /* 1793840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1793851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1793854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793886 */     // MIs[0] policy
     /* 1793886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793896 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1793899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793920 */     // GIR_Coverage, 12228,
     /* 1793920 */     GIR_EraseRootFromParent_Done,
     /* 1793921 */   // Label 24357: @1793921
     /* 1793921 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1794007), // Rule ID 12229 //
     /* 1793926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1793937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1793940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793972 */     // MIs[0] policy
     /* 1793972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1793985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794006 */     // GIR_Coverage, 12229,
     /* 1794006 */     GIR_EraseRootFromParent_Done,
     /* 1794007 */   // Label 24358: @1794007
     /* 1794007 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1794093), // Rule ID 12232 //
     /* 1794012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1794032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794058 */     // MIs[0] policy
     /* 1794058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1794071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794092 */     // GIR_Coverage, 12232,
     /* 1794092 */     GIR_EraseRootFromParent_Done,
     /* 1794093 */   // Label 24359: @1794093
     /* 1794093 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1794179), // Rule ID 12233 //
     /* 1794098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1794118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794144 */     // MIs[0] policy
     /* 1794144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1794157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794178 */     // GIR_Coverage, 12233,
     /* 1794178 */     GIR_EraseRootFromParent_Done,
     /* 1794179 */   // Label 24360: @1794179
     /* 1794179 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1794265), // Rule ID 12236 //
     /* 1794184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794230 */     // MIs[0] policy
     /* 1794230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1794243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794264 */     // GIR_Coverage, 12236,
     /* 1794264 */     GIR_EraseRootFromParent_Done,
     /* 1794265 */   // Label 24361: @1794265
     /* 1794265 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1794351), // Rule ID 12237 //
     /* 1794270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794316 */     // MIs[0] policy
     /* 1794316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1794329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794350 */     // GIR_Coverage, 12237,
     /* 1794350 */     GIR_EraseRootFromParent_Done,
     /* 1794351 */   // Label 24362: @1794351
     /* 1794351 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1794437), // Rule ID 12240 //
     /* 1794356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794402 */     // MIs[0] policy
     /* 1794402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1794415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794436 */     // GIR_Coverage, 12240,
     /* 1794436 */     GIR_EraseRootFromParent_Done,
     /* 1794437 */   // Label 24363: @1794437
     /* 1794437 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1794523), // Rule ID 12241 //
     /* 1794442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794488 */     // MIs[0] policy
     /* 1794488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1794501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794522 */     // GIR_Coverage, 12241,
     /* 1794522 */     GIR_EraseRootFromParent_Done,
     /* 1794523 */   // Label 24364: @1794523
     /* 1794523 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1794609), // Rule ID 12244 //
     /* 1794528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1794545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1794548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794574 */     // MIs[0] policy
     /* 1794574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1794587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794608 */     // GIR_Coverage, 12244,
     /* 1794608 */     GIR_EraseRootFromParent_Done,
     /* 1794609 */   // Label 24365: @1794609
     /* 1794609 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1794695), // Rule ID 12245 //
     /* 1794614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1794631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1794634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794660 */     // MIs[0] policy
     /* 1794660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1794673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794694 */     // GIR_Coverage, 12245,
     /* 1794694 */     GIR_EraseRootFromParent_Done,
     /* 1794695 */   // Label 24366: @1794695
     /* 1794695 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1794781), // Rule ID 12248 //
     /* 1794700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1794720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794746 */     // MIs[0] policy
     /* 1794746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1794759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794780 */     // GIR_Coverage, 12248,
     /* 1794780 */     GIR_EraseRootFromParent_Done,
     /* 1794781 */   // Label 24367: @1794781
     /* 1794781 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1794867), // Rule ID 12249 //
     /* 1794786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1794806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794832 */     // MIs[0] policy
     /* 1794832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1794845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794866 */     // GIR_Coverage, 12249,
     /* 1794866 */     GIR_EraseRootFromParent_Done,
     /* 1794867 */   // Label 24368: @1794867
     /* 1794867 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1794953), // Rule ID 12252 //
     /* 1794872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794918 */     // MIs[0] policy
     /* 1794918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1794931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794952 */     // GIR_Coverage, 12252,
     /* 1794952 */     GIR_EraseRootFromParent_Done,
     /* 1794953 */   // Label 24369: @1794953
     /* 1794953 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1795039), // Rule ID 12253 //
     /* 1794958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795004 */     // MIs[0] policy
     /* 1795004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1795017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795038 */     // GIR_Coverage, 12253,
     /* 1795038 */     GIR_EraseRootFromParent_Done,
     /* 1795039 */   // Label 24370: @1795039
     /* 1795039 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1795125), // Rule ID 12256 //
     /* 1795044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1795064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795090 */     // MIs[0] policy
     /* 1795090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1795103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795124 */     // GIR_Coverage, 12256,
     /* 1795124 */     GIR_EraseRootFromParent_Done,
     /* 1795125 */   // Label 24371: @1795125
     /* 1795125 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1795211), // Rule ID 12257 //
     /* 1795130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1795150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795176 */     // MIs[0] policy
     /* 1795176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1795189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795210 */     // GIR_Coverage, 12257,
     /* 1795210 */     GIR_EraseRootFromParent_Done,
     /* 1795211 */   // Label 24372: @1795211
     /* 1795211 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1795297), // Rule ID 12260 //
     /* 1795216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1795233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1795236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795262 */     // MIs[0] policy
     /* 1795262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1795275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795296 */     // GIR_Coverage, 12260,
     /* 1795296 */     GIR_EraseRootFromParent_Done,
     /* 1795297 */   // Label 24373: @1795297
     /* 1795297 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1795383), // Rule ID 12261 //
     /* 1795302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1795319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1795322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795348 */     // MIs[0] policy
     /* 1795348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1795361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795382 */     // GIR_Coverage, 12261,
     /* 1795382 */     GIR_EraseRootFromParent_Done,
     /* 1795383 */   // Label 24374: @1795383
     /* 1795383 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1795469), // Rule ID 12264 //
     /* 1795388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1795405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1795408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795434 */     // MIs[0] policy
     /* 1795434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1795447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795468 */     // GIR_Coverage, 12264,
     /* 1795468 */     GIR_EraseRootFromParent_Done,
     /* 1795469 */   // Label 24375: @1795469
     /* 1795469 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1795555), // Rule ID 12265 //
     /* 1795474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1795491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1795494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795520 */     // MIs[0] policy
     /* 1795520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1795533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795554 */     // GIR_Coverage, 12265,
     /* 1795554 */     GIR_EraseRootFromParent_Done,
     /* 1795555 */   // Label 24376: @1795555
     /* 1795555 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1795641), // Rule ID 12268 //
     /* 1795560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1795577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1795580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795606 */     // MIs[0] policy
     /* 1795606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1795619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795640 */     // GIR_Coverage, 12268,
     /* 1795640 */     GIR_EraseRootFromParent_Done,
     /* 1795641 */   // Label 24377: @1795641
     /* 1795641 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1795727), // Rule ID 12269 //
     /* 1795646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1795663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1795666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795692 */     // MIs[0] policy
     /* 1795692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1795705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795726 */     // GIR_Coverage, 12269,
     /* 1795726 */     GIR_EraseRootFromParent_Done,
     /* 1795727 */   // Label 24378: @1795727
     /* 1795727 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1795813), // Rule ID 12272 //
     /* 1795732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1795743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1795746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795778 */     // MIs[0] policy
     /* 1795778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1795791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795812 */     // GIR_Coverage, 12272,
     /* 1795812 */     GIR_EraseRootFromParent_Done,
     /* 1795813 */   // Label 24379: @1795813
     /* 1795813 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1795899), // Rule ID 12273 //
     /* 1795818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1795829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1795832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795864 */     // MIs[0] policy
     /* 1795864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1795877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795898 */     // GIR_Coverage, 12273,
     /* 1795898 */     GIR_EraseRootFromParent_Done,
     /* 1795899 */   // Label 24380: @1795899
     /* 1795899 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1795985), // Rule ID 12276 //
     /* 1795904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1795915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1795918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795950 */     // MIs[0] policy
     /* 1795950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1795963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795984 */     // GIR_Coverage, 12276,
     /* 1795984 */     GIR_EraseRootFromParent_Done,
     /* 1795985 */   // Label 24381: @1795985
     /* 1795985 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1796071), // Rule ID 12277 //
     /* 1795990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1796001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1796004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796036 */     // MIs[0] policy
     /* 1796036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1796049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796070 */     // GIR_Coverage, 12277,
     /* 1796070 */     GIR_EraseRootFromParent_Done,
     /* 1796071 */   // Label 24382: @1796071
     /* 1796071 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1796157), // Rule ID 12280 //
     /* 1796076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1796087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1796090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796122 */     // MIs[0] policy
     /* 1796122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1796135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796156 */     // GIR_Coverage, 12280,
     /* 1796156 */     GIR_EraseRootFromParent_Done,
     /* 1796157 */   // Label 24383: @1796157
     /* 1796157 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1796243), // Rule ID 12281 //
     /* 1796162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1796173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1796176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796208 */     // MIs[0] policy
     /* 1796208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1796221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796242 */     // GIR_Coverage, 12281,
     /* 1796242 */     GIR_EraseRootFromParent_Done,
     /* 1796243 */   // Label 24384: @1796243
     /* 1796243 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1796329), // Rule ID 12284 //
     /* 1796248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796294 */     // MIs[0] policy
     /* 1796294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1796307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796328 */     // GIR_Coverage, 12284,
     /* 1796328 */     GIR_EraseRootFromParent_Done,
     /* 1796329 */   // Label 24385: @1796329
     /* 1796329 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1796415), // Rule ID 12285 //
     /* 1796334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796380 */     // MIs[0] policy
     /* 1796380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1796393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796414 */     // GIR_Coverage, 12285,
     /* 1796414 */     GIR_EraseRootFromParent_Done,
     /* 1796415 */   // Label 24386: @1796415
     /* 1796415 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1796501), // Rule ID 12288 //
     /* 1796420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796466 */     // MIs[0] policy
     /* 1796466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1796479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796500 */     // GIR_Coverage, 12288,
     /* 1796500 */     GIR_EraseRootFromParent_Done,
     /* 1796501 */   // Label 24387: @1796501
     /* 1796501 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1796587), // Rule ID 12289 //
     /* 1796506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796552 */     // MIs[0] policy
     /* 1796552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1796565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796586 */     // GIR_Coverage, 12289,
     /* 1796586 */     GIR_EraseRootFromParent_Done,
     /* 1796587 */   // Label 24388: @1796587
     /* 1796587 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1796673), // Rule ID 12292 //
     /* 1796592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796638 */     // MIs[0] policy
     /* 1796638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1796651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796672 */     // GIR_Coverage, 12292,
     /* 1796672 */     GIR_EraseRootFromParent_Done,
     /* 1796673 */   // Label 24389: @1796673
     /* 1796673 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1796759), // Rule ID 12293 //
     /* 1796678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796724 */     // MIs[0] policy
     /* 1796724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1796737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796758 */     // GIR_Coverage, 12293,
     /* 1796758 */     GIR_EraseRootFromParent_Done,
     /* 1796759 */   // Label 24390: @1796759
     /* 1796759 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1796845), // Rule ID 12296 //
     /* 1796764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1796775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1796778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796810 */     // MIs[0] policy
     /* 1796810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1796823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796844 */     // GIR_Coverage, 12296,
     /* 1796844 */     GIR_EraseRootFromParent_Done,
     /* 1796845 */   // Label 24391: @1796845
     /* 1796845 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1796931), // Rule ID 12297 //
     /* 1796850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1796861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1796864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796896 */     // MIs[0] policy
     /* 1796896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1796909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796930 */     // GIR_Coverage, 12297,
     /* 1796930 */     GIR_EraseRootFromParent_Done,
     /* 1796931 */   // Label 24392: @1796931
     /* 1796931 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1797017), // Rule ID 12300 //
     /* 1796936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796982 */     // MIs[0] policy
     /* 1796982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1796995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797016 */     // GIR_Coverage, 12300,
     /* 1797016 */     GIR_EraseRootFromParent_Done,
     /* 1797017 */   // Label 24393: @1797017
     /* 1797017 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1797103), // Rule ID 12301 //
     /* 1797022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797068 */     // MIs[0] policy
     /* 1797068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1797081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797102 */     // GIR_Coverage, 12301,
     /* 1797102 */     GIR_EraseRootFromParent_Done,
     /* 1797103 */   // Label 24394: @1797103
     /* 1797103 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1797189), // Rule ID 12304 //
     /* 1797108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797154 */     // MIs[0] policy
     /* 1797154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1797167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797188 */     // GIR_Coverage, 12304,
     /* 1797188 */     GIR_EraseRootFromParent_Done,
     /* 1797189 */   // Label 24395: @1797189
     /* 1797189 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1797275), // Rule ID 12305 //
     /* 1797194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797240 */     // MIs[0] policy
     /* 1797240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1797253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797274 */     // GIR_Coverage, 12305,
     /* 1797274 */     GIR_EraseRootFromParent_Done,
     /* 1797275 */   // Label 24396: @1797275
     /* 1797275 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1797361), // Rule ID 12308 //
     /* 1797280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1797283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1797297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797326 */     // MIs[0] policy
     /* 1797326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1797339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797360 */     // GIR_Coverage, 12308,
     /* 1797360 */     GIR_EraseRootFromParent_Done,
     /* 1797361 */   // Label 24397: @1797361
     /* 1797361 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1797447), // Rule ID 12309 //
     /* 1797366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1797369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1797383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797412 */     // MIs[0] policy
     /* 1797412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1797425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797446 */     // GIR_Coverage, 12309,
     /* 1797446 */     GIR_EraseRootFromParent_Done,
     /* 1797447 */   // Label 24398: @1797447
     /* 1797447 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1797533), // Rule ID 12312 //
     /* 1797452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1797463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1797466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797498 */     // MIs[0] policy
     /* 1797498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1797511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797532 */     // GIR_Coverage, 12312,
     /* 1797532 */     GIR_EraseRootFromParent_Done,
     /* 1797533 */   // Label 24399: @1797533
     /* 1797533 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1797619), // Rule ID 12313 //
     /* 1797538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1797549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1797552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797584 */     // MIs[0] policy
     /* 1797584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1797597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797618 */     // GIR_Coverage, 12313,
     /* 1797618 */     GIR_EraseRootFromParent_Done,
     /* 1797619 */   // Label 24400: @1797619
     /* 1797619 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1797705), // Rule ID 12316 //
     /* 1797624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1797635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1797638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797670 */     // MIs[0] policy
     /* 1797670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1797683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797704 */     // GIR_Coverage, 12316,
     /* 1797704 */     GIR_EraseRootFromParent_Done,
     /* 1797705 */   // Label 24401: @1797705
     /* 1797705 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1797791), // Rule ID 12317 //
     /* 1797710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1797721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1797724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797756 */     // MIs[0] policy
     /* 1797756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1797769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797790 */     // GIR_Coverage, 12317,
     /* 1797790 */     GIR_EraseRootFromParent_Done,
     /* 1797791 */   // Label 24402: @1797791
     /* 1797791 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1797877), // Rule ID 12320 //
     /* 1797796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1797807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1797810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1797813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1797819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797842 */     // MIs[0] policy
     /* 1797842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1797855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797876 */     // GIR_Coverage, 12320,
     /* 1797876 */     GIR_EraseRootFromParent_Done,
     /* 1797877 */   // Label 24403: @1797877
     /* 1797877 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1797963), // Rule ID 12321 //
     /* 1797882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1797893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1797896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1797899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1797905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797928 */     // MIs[0] policy
     /* 1797928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1797941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797962 */     // GIR_Coverage, 12321,
     /* 1797962 */     GIR_EraseRootFromParent_Done,
     /* 1797963 */   // Label 24404: @1797963
     /* 1797963 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1798049), // Rule ID 12324 //
     /* 1797968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798014 */     // MIs[0] policy
     /* 1798014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1798027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798048 */     // GIR_Coverage, 12324,
     /* 1798048 */     GIR_EraseRootFromParent_Done,
     /* 1798049 */   // Label 24405: @1798049
     /* 1798049 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1798135), // Rule ID 12325 //
     /* 1798054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798100 */     // MIs[0] policy
     /* 1798100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1798113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798134 */     // GIR_Coverage, 12325,
     /* 1798134 */     GIR_EraseRootFromParent_Done,
     /* 1798135 */   // Label 24406: @1798135
     /* 1798135 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1798221), // Rule ID 12328 //
     /* 1798140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798186 */     // MIs[0] policy
     /* 1798186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1798199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798220 */     // GIR_Coverage, 12328,
     /* 1798220 */     GIR_EraseRootFromParent_Done,
     /* 1798221 */   // Label 24407: @1798221
     /* 1798221 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1798307), // Rule ID 12329 //
     /* 1798226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798272 */     // MIs[0] policy
     /* 1798272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1798285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798306 */     // GIR_Coverage, 12329,
     /* 1798306 */     GIR_EraseRootFromParent_Done,
     /* 1798307 */   // Label 24408: @1798307
     /* 1798307 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1798393), // Rule ID 12332 //
     /* 1798312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1798329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798358 */     // MIs[0] policy
     /* 1798358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1798371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798392 */     // GIR_Coverage, 12332,
     /* 1798392 */     GIR_EraseRootFromParent_Done,
     /* 1798393 */   // Label 24409: @1798393
     /* 1798393 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1798479), // Rule ID 12333 //
     /* 1798398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1798415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798444 */     // MIs[0] policy
     /* 1798444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1798457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798478 */     // GIR_Coverage, 12333,
     /* 1798478 */     GIR_EraseRootFromParent_Done,
     /* 1798479 */   // Label 24410: @1798479
     /* 1798479 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1798565), // Rule ID 12336 //
     /* 1798484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798530 */     // MIs[0] policy
     /* 1798530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1798543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798564 */     // GIR_Coverage, 12336,
     /* 1798564 */     GIR_EraseRootFromParent_Done,
     /* 1798565 */   // Label 24411: @1798565
     /* 1798565 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1798651), // Rule ID 12337 //
     /* 1798570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798616 */     // MIs[0] policy
     /* 1798616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1798629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798650 */     // GIR_Coverage, 12337,
     /* 1798650 */     GIR_EraseRootFromParent_Done,
     /* 1798651 */   // Label 24412: @1798651
     /* 1798651 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1798737), // Rule ID 12340 //
     /* 1798656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798702 */     // MIs[0] policy
     /* 1798702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1798715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798736 */     // GIR_Coverage, 12340,
     /* 1798736 */     GIR_EraseRootFromParent_Done,
     /* 1798737 */   // Label 24413: @1798737
     /* 1798737 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1798823), // Rule ID 12341 //
     /* 1798742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798788 */     // MIs[0] policy
     /* 1798788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1798801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798822 */     // GIR_Coverage, 12341,
     /* 1798822 */     GIR_EraseRootFromParent_Done,
     /* 1798823 */   // Label 24414: @1798823
     /* 1798823 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1798909), // Rule ID 12344 //
     /* 1798828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1798845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798874 */     // MIs[0] policy
     /* 1798874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1798887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798908 */     // GIR_Coverage, 12344,
     /* 1798908 */     GIR_EraseRootFromParent_Done,
     /* 1798909 */   // Label 24415: @1798909
     /* 1798909 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1798995), // Rule ID 12345 //
     /* 1798914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1798931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798960 */     // MIs[0] policy
     /* 1798960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1798973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798994 */     // GIR_Coverage, 12345,
     /* 1798994 */     GIR_EraseRootFromParent_Done,
     /* 1798995 */   // Label 24416: @1798995
     /* 1798995 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1799081), // Rule ID 12348 //
     /* 1799000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799046 */     // MIs[0] policy
     /* 1799046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1799059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799080 */     // GIR_Coverage, 12348,
     /* 1799080 */     GIR_EraseRootFromParent_Done,
     /* 1799081 */   // Label 24417: @1799081
     /* 1799081 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1799167), // Rule ID 12349 //
     /* 1799086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799132 */     // MIs[0] policy
     /* 1799132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1799145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799166 */     // GIR_Coverage, 12349,
     /* 1799166 */     GIR_EraseRootFromParent_Done,
     /* 1799167 */   // Label 24418: @1799167
     /* 1799167 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1799253), // Rule ID 12352 //
     /* 1799172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1799189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799218 */     // MIs[0] policy
     /* 1799218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1799231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799252 */     // GIR_Coverage, 12352,
     /* 1799252 */     GIR_EraseRootFromParent_Done,
     /* 1799253 */   // Label 24419: @1799253
     /* 1799253 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1799339), // Rule ID 12353 //
     /* 1799258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1799275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799304 */     // MIs[0] policy
     /* 1799304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1799317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799338 */     // GIR_Coverage, 12353,
     /* 1799338 */     GIR_EraseRootFromParent_Done,
     /* 1799339 */   // Label 24420: @1799339
     /* 1799339 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1799425), // Rule ID 12356 //
     /* 1799344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799390 */     // MIs[0] policy
     /* 1799390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1799403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799424 */     // GIR_Coverage, 12356,
     /* 1799424 */     GIR_EraseRootFromParent_Done,
     /* 1799425 */   // Label 24421: @1799425
     /* 1799425 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1799511), // Rule ID 12357 //
     /* 1799430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799476 */     // MIs[0] policy
     /* 1799476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1799489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799510 */     // GIR_Coverage, 12357,
     /* 1799510 */     GIR_EraseRootFromParent_Done,
     /* 1799511 */   // Label 24422: @1799511
     /* 1799511 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1799597), // Rule ID 12360 //
     /* 1799516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1799536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799562 */     // MIs[0] policy
     /* 1799562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1799575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799596 */     // GIR_Coverage, 12360,
     /* 1799596 */     GIR_EraseRootFromParent_Done,
     /* 1799597 */   // Label 24423: @1799597
     /* 1799597 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1799683), // Rule ID 12361 //
     /* 1799602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1799622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799648 */     // MIs[0] policy
     /* 1799648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1799661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799682 */     // GIR_Coverage, 12361,
     /* 1799682 */     GIR_EraseRootFromParent_Done,
     /* 1799683 */   // Label 24424: @1799683
     /* 1799683 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1799769), // Rule ID 12364 //
     /* 1799688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1799699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1799702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1799708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799734 */     // MIs[0] policy
     /* 1799734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1799747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799768 */     // GIR_Coverage, 12364,
     /* 1799768 */     GIR_EraseRootFromParent_Done,
     /* 1799769 */   // Label 24425: @1799769
     /* 1799769 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1799855), // Rule ID 12365 //
     /* 1799774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1799785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1799788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1799794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799820 */     // MIs[0] policy
     /* 1799820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1799833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799854 */     // GIR_Coverage, 12365,
     /* 1799854 */     GIR_EraseRootFromParent_Done,
     /* 1799855 */   // Label 24426: @1799855
     /* 1799855 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1799941), // Rule ID 12368 //
     /* 1799860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1799871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1799874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1799880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799906 */     // MIs[0] policy
     /* 1799906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1799919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799940 */     // GIR_Coverage, 12368,
     /* 1799940 */     GIR_EraseRootFromParent_Done,
     /* 1799941 */   // Label 24427: @1799941
     /* 1799941 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1800027), // Rule ID 12369 //
     /* 1799946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1799957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1799960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1799966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799992 */     // MIs[0] policy
     /* 1799992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1800005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800026 */     // GIR_Coverage, 12369,
     /* 1800026 */     GIR_EraseRootFromParent_Done,
     /* 1800027 */   // Label 24428: @1800027
     /* 1800027 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1800113), // Rule ID 12372 //
     /* 1800032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800078 */     // MIs[0] policy
     /* 1800078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1800091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800112 */     // GIR_Coverage, 12372,
     /* 1800112 */     GIR_EraseRootFromParent_Done,
     /* 1800113 */   // Label 24429: @1800113
     /* 1800113 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1800199), // Rule ID 12373 //
     /* 1800118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800164 */     // MIs[0] policy
     /* 1800164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1800177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800198 */     // GIR_Coverage, 12373,
     /* 1800198 */     GIR_EraseRootFromParent_Done,
     /* 1800199 */   // Label 24430: @1800199
     /* 1800199 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1800285), // Rule ID 12376 //
     /* 1800204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1800224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800250 */     // MIs[0] policy
     /* 1800250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800260 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1800263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800284 */     // GIR_Coverage, 12376,
     /* 1800284 */     GIR_EraseRootFromParent_Done,
     /* 1800285 */   // Label 24431: @1800285
     /* 1800285 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1800371), // Rule ID 12377 //
     /* 1800290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1800310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800336 */     // MIs[0] policy
     /* 1800336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1800349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800370 */     // GIR_Coverage, 12377,
     /* 1800370 */     GIR_EraseRootFromParent_Done,
     /* 1800371 */   // Label 24432: @1800371
     /* 1800371 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1800457), // Rule ID 12380 //
     /* 1800376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1800396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800422 */     // MIs[0] policy
     /* 1800422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1800435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800456 */     // GIR_Coverage, 12380,
     /* 1800456 */     GIR_EraseRootFromParent_Done,
     /* 1800457 */   // Label 24433: @1800457
     /* 1800457 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1800543), // Rule ID 12381 //
     /* 1800462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1800482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800508 */     // MIs[0] policy
     /* 1800508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1800521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800542 */     // GIR_Coverage, 12381,
     /* 1800542 */     GIR_EraseRootFromParent_Done,
     /* 1800543 */   // Label 24434: @1800543
     /* 1800543 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1800629), // Rule ID 12384 //
     /* 1800548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800594 */     // MIs[0] policy
     /* 1800594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1800607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800628 */     // GIR_Coverage, 12384,
     /* 1800628 */     GIR_EraseRootFromParent_Done,
     /* 1800629 */   // Label 24435: @1800629
     /* 1800629 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1800715), // Rule ID 12385 //
     /* 1800634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800680 */     // MIs[0] policy
     /* 1800680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1800693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800714 */     // GIR_Coverage, 12385,
     /* 1800714 */     GIR_EraseRootFromParent_Done,
     /* 1800715 */   // Label 24436: @1800715
     /* 1800715 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1800801), // Rule ID 12388 //
     /* 1800720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1800731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1800734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800766 */     // MIs[0] policy
     /* 1800766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1800779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800800 */     // GIR_Coverage, 12388,
     /* 1800800 */     GIR_EraseRootFromParent_Done,
     /* 1800801 */   // Label 24437: @1800801
     /* 1800801 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1800887), // Rule ID 12389 //
     /* 1800806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1800817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1800820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800852 */     // MIs[0] policy
     /* 1800852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1800865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800886 */     // GIR_Coverage, 12389,
     /* 1800886 */     GIR_EraseRootFromParent_Done,
     /* 1800887 */   // Label 24438: @1800887
     /* 1800887 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1800973), // Rule ID 12392 //
     /* 1800892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1800903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1800906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1800912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800938 */     // MIs[0] policy
     /* 1800938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1800951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800972 */     // GIR_Coverage, 12392,
     /* 1800972 */     GIR_EraseRootFromParent_Done,
     /* 1800973 */   // Label 24439: @1800973
     /* 1800973 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1801059), // Rule ID 12393 //
     /* 1800978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1800989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1800992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1800998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801024 */     // MIs[0] policy
     /* 1801024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1801037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801058 */     // GIR_Coverage, 12393,
     /* 1801058 */     GIR_EraseRootFromParent_Done,
     /* 1801059 */   // Label 24440: @1801059
     /* 1801059 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1801145), // Rule ID 12396 //
     /* 1801064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801110 */     // MIs[0] policy
     /* 1801110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801144 */     // GIR_Coverage, 12396,
     /* 1801144 */     GIR_EraseRootFromParent_Done,
     /* 1801145 */   // Label 24441: @1801145
     /* 1801145 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1801231), // Rule ID 12397 //
     /* 1801150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801196 */     // MIs[0] policy
     /* 1801196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801230 */     // GIR_Coverage, 12397,
     /* 1801230 */     GIR_EraseRootFromParent_Done,
     /* 1801231 */   // Label 24442: @1801231
     /* 1801231 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1801317), // Rule ID 12400 //
     /* 1801236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801282 */     // MIs[0] policy
     /* 1801282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1801295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801316 */     // GIR_Coverage, 12400,
     /* 1801316 */     GIR_EraseRootFromParent_Done,
     /* 1801317 */   // Label 24443: @1801317
     /* 1801317 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1801403), // Rule ID 12401 //
     /* 1801322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801368 */     // MIs[0] policy
     /* 1801368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1801381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801402 */     // GIR_Coverage, 12401,
     /* 1801402 */     GIR_EraseRootFromParent_Done,
     /* 1801403 */   // Label 24444: @1801403
     /* 1801403 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1801489), // Rule ID 12404 //
     /* 1801408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1801428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801454 */     // MIs[0] policy
     /* 1801454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1801467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801488 */     // GIR_Coverage, 12404,
     /* 1801488 */     GIR_EraseRootFromParent_Done,
     /* 1801489 */   // Label 24445: @1801489
     /* 1801489 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1801575), // Rule ID 12405 //
     /* 1801494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1801514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801540 */     // MIs[0] policy
     /* 1801540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1801553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801574 */     // GIR_Coverage, 12405,
     /* 1801574 */     GIR_EraseRootFromParent_Done,
     /* 1801575 */   // Label 24446: @1801575
     /* 1801575 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1801661), // Rule ID 12408 //
     /* 1801580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801626 */     // MIs[0] policy
     /* 1801626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1801639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801660 */     // GIR_Coverage, 12408,
     /* 1801660 */     GIR_EraseRootFromParent_Done,
     /* 1801661 */   // Label 24447: @1801661
     /* 1801661 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1801747), // Rule ID 12409 //
     /* 1801666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801712 */     // MIs[0] policy
     /* 1801712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1801725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801746 */     // GIR_Coverage, 12409,
     /* 1801746 */     GIR_EraseRootFromParent_Done,
     /* 1801747 */   // Label 24448: @1801747
     /* 1801747 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1801833), // Rule ID 12412 //
     /* 1801752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1801763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1801766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1801769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1801772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801798 */     // MIs[0] policy
     /* 1801798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801832 */     // GIR_Coverage, 12412,
     /* 1801832 */     GIR_EraseRootFromParent_Done,
     /* 1801833 */   // Label 24449: @1801833
     /* 1801833 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1801919), // Rule ID 12413 //
     /* 1801838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1801849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1801852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1801855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1801858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801884 */     // MIs[0] policy
     /* 1801884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801918 */     // GIR_Coverage, 12413,
     /* 1801918 */     GIR_EraseRootFromParent_Done,
     /* 1801919 */   // Label 24450: @1801919
     /* 1801919 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1802005), // Rule ID 12416 //
     /* 1801924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1801935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1801938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1801941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1801944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801970 */     // MIs[0] policy
     /* 1801970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1801983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802004 */     // GIR_Coverage, 12416,
     /* 1802004 */     GIR_EraseRootFromParent_Done,
     /* 1802005 */   // Label 24451: @1802005
     /* 1802005 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1802091), // Rule ID 12417 //
     /* 1802010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802056 */     // MIs[0] policy
     /* 1802056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1802069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802090 */     // GIR_Coverage, 12417,
     /* 1802090 */     GIR_EraseRootFromParent_Done,
     /* 1802091 */   // Label 24452: @1802091
     /* 1802091 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1802177), // Rule ID 12420 //
     /* 1802096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802142 */     // MIs[0] policy
     /* 1802142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1802155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802176 */     // GIR_Coverage, 12420,
     /* 1802176 */     GIR_EraseRootFromParent_Done,
     /* 1802177 */   // Label 24453: @1802177
     /* 1802177 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1802263), // Rule ID 12421 //
     /* 1802182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802228 */     // MIs[0] policy
     /* 1802228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1802241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802262 */     // GIR_Coverage, 12421,
     /* 1802262 */     GIR_EraseRootFromParent_Done,
     /* 1802263 */   // Label 24454: @1802263
     /* 1802263 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1802349), // Rule ID 12424 //
     /* 1802268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802314 */     // MIs[0] policy
     /* 1802314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1802327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802348 */     // GIR_Coverage, 12424,
     /* 1802348 */     GIR_EraseRootFromParent_Done,
     /* 1802349 */   // Label 24455: @1802349
     /* 1802349 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1802435), // Rule ID 12425 //
     /* 1802354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802400 */     // MIs[0] policy
     /* 1802400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802410 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1802413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802434 */     // GIR_Coverage, 12425,
     /* 1802434 */     GIR_EraseRootFromParent_Done,
     /* 1802435 */   // Label 24456: @1802435
     /* 1802435 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1802521), // Rule ID 12428 //
     /* 1802440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802486 */     // MIs[0] policy
     /* 1802486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1802499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802520 */     // GIR_Coverage, 12428,
     /* 1802520 */     GIR_EraseRootFromParent_Done,
     /* 1802521 */   // Label 24457: @1802521
     /* 1802521 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1802607), // Rule ID 12429 //
     /* 1802526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802572 */     // MIs[0] policy
     /* 1802572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1802585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802606 */     // GIR_Coverage, 12429,
     /* 1802606 */     GIR_EraseRootFromParent_Done,
     /* 1802607 */   // Label 24458: @1802607
     /* 1802607 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1802693), // Rule ID 12432 //
     /* 1802612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1802629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802658 */     // MIs[0] policy
     /* 1802658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1802671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802692 */     // GIR_Coverage, 12432,
     /* 1802692 */     GIR_EraseRootFromParent_Done,
     /* 1802693 */   // Label 24459: @1802693
     /* 1802693 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1802779), // Rule ID 12433 //
     /* 1802698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1802715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802744 */     // MIs[0] policy
     /* 1802744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1802757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802778 */     // GIR_Coverage, 12433,
     /* 1802778 */     GIR_EraseRootFromParent_Done,
     /* 1802779 */   // Label 24460: @1802779
     /* 1802779 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1802865), // Rule ID 12436 //
     /* 1802784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802830 */     // MIs[0] policy
     /* 1802830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1802843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802864 */     // GIR_Coverage, 12436,
     /* 1802864 */     GIR_EraseRootFromParent_Done,
     /* 1802865 */   // Label 24461: @1802865
     /* 1802865 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1802951), // Rule ID 12437 //
     /* 1802870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802916 */     // MIs[0] policy
     /* 1802916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1802929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802950 */     // GIR_Coverage, 12437,
     /* 1802950 */     GIR_EraseRootFromParent_Done,
     /* 1802951 */   // Label 24462: @1802951
     /* 1802951 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1803037), // Rule ID 12440 //
     /* 1802956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1802973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803002 */     // MIs[0] policy
     /* 1803002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803036 */     // GIR_Coverage, 12440,
     /* 1803036 */     GIR_EraseRootFromParent_Done,
     /* 1803037 */   // Label 24463: @1803037
     /* 1803037 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1803123), // Rule ID 12441 //
     /* 1803042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803088 */     // MIs[0] policy
     /* 1803088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803122 */     // GIR_Coverage, 12441,
     /* 1803122 */     GIR_EraseRootFromParent_Done,
     /* 1803123 */   // Label 24464: @1803123
     /* 1803123 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1803209), // Rule ID 12444 //
     /* 1803128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803174 */     // MIs[0] policy
     /* 1803174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1803187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803208 */     // GIR_Coverage, 12444,
     /* 1803208 */     GIR_EraseRootFromParent_Done,
     /* 1803209 */   // Label 24465: @1803209
     /* 1803209 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1803295), // Rule ID 12445 //
     /* 1803214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803260 */     // MIs[0] policy
     /* 1803260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1803273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803294 */     // GIR_Coverage, 12445,
     /* 1803294 */     GIR_EraseRootFromParent_Done,
     /* 1803295 */   // Label 24466: @1803295
     /* 1803295 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1803381), // Rule ID 12448 //
     /* 1803300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803346 */     // MIs[0] policy
     /* 1803346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1803359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803380 */     // GIR_Coverage, 12448,
     /* 1803380 */     GIR_EraseRootFromParent_Done,
     /* 1803381 */   // Label 24467: @1803381
     /* 1803381 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1803467), // Rule ID 12449 //
     /* 1803386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803432 */     // MIs[0] policy
     /* 1803432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1803445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803466 */     // GIR_Coverage, 12449,
     /* 1803466 */     GIR_EraseRootFromParent_Done,
     /* 1803467 */   // Label 24468: @1803467
     /* 1803467 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1803553), // Rule ID 12452 //
     /* 1803472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803518 */     // MIs[0] policy
     /* 1803518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1803531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803552 */     // GIR_Coverage, 12452,
     /* 1803552 */     GIR_EraseRootFromParent_Done,
     /* 1803553 */   // Label 24469: @1803553
     /* 1803553 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1803639), // Rule ID 12453 //
     /* 1803558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803604 */     // MIs[0] policy
     /* 1803604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1803617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803638 */     // GIR_Coverage, 12453,
     /* 1803638 */     GIR_EraseRootFromParent_Done,
     /* 1803639 */   // Label 24470: @1803639
     /* 1803639 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1803725), // Rule ID 12456 //
     /* 1803644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1803661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803690 */     // MIs[0] policy
     /* 1803690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1803703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803724 */     // GIR_Coverage, 12456,
     /* 1803724 */     GIR_EraseRootFromParent_Done,
     /* 1803725 */   // Label 24471: @1803725
     /* 1803725 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1803811), // Rule ID 12457 //
     /* 1803730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1803747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803776 */     // MIs[0] policy
     /* 1803776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1803789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803810 */     // GIR_Coverage, 12457,
     /* 1803810 */     GIR_EraseRootFromParent_Done,
     /* 1803811 */   // Label 24472: @1803811
     /* 1803811 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1803897), // Rule ID 12460 //
     /* 1803816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1803833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803862 */     // MIs[0] policy
     /* 1803862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803896 */     // GIR_Coverage, 12460,
     /* 1803896 */     GIR_EraseRootFromParent_Done,
     /* 1803897 */   // Label 24473: @1803897
     /* 1803897 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1803983), // Rule ID 12461 //
     /* 1803902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1803919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803948 */     // MIs[0] policy
     /* 1803948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803982 */     // GIR_Coverage, 12461,
     /* 1803982 */     GIR_EraseRootFromParent_Done,
     /* 1803983 */   // Label 24474: @1803983
     /* 1803983 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1804069), // Rule ID 12464 //
     /* 1803988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804034 */     // MIs[0] policy
     /* 1804034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1804047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804068 */     // GIR_Coverage, 12464,
     /* 1804068 */     GIR_EraseRootFromParent_Done,
     /* 1804069 */   // Label 24475: @1804069
     /* 1804069 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1804155), // Rule ID 12465 //
     /* 1804074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1804085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804120 */     // MIs[0] policy
     /* 1804120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1804133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804154 */     // GIR_Coverage, 12465,
     /* 1804154 */     GIR_EraseRootFromParent_Done,
     /* 1804155 */   // Label 24476: @1804155
     /* 1804155 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1804241), // Rule ID 12468 //
     /* 1804160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804206 */     // MIs[0] policy
     /* 1804206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1804219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804240 */     // GIR_Coverage, 12468,
     /* 1804240 */     GIR_EraseRootFromParent_Done,
     /* 1804241 */   // Label 24477: @1804241
     /* 1804241 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1804327), // Rule ID 12469 //
     /* 1804246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804292 */     // MIs[0] policy
     /* 1804292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1804305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804326 */     // GIR_Coverage, 12469,
     /* 1804326 */     GIR_EraseRootFromParent_Done,
     /* 1804327 */   // Label 24478: @1804327
     /* 1804327 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1804413), // Rule ID 12472 //
     /* 1804332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804378 */     // MIs[0] policy
     /* 1804378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804412 */     // GIR_Coverage, 12472,
     /* 1804412 */     GIR_EraseRootFromParent_Done,
     /* 1804413 */   // Label 24479: @1804413
     /* 1804413 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1804499), // Rule ID 12473 //
     /* 1804418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804464 */     // MIs[0] policy
     /* 1804464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804498 */     // GIR_Coverage, 12473,
     /* 1804498 */     GIR_EraseRootFromParent_Done,
     /* 1804499 */   // Label 24480: @1804499
     /* 1804499 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1804585), // Rule ID 12476 //
     /* 1804504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804550 */     // MIs[0] policy
     /* 1804550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1804563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804584 */     // GIR_Coverage, 12476,
     /* 1804584 */     GIR_EraseRootFromParent_Done,
     /* 1804585 */   // Label 24481: @1804585
     /* 1804585 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1804671), // Rule ID 12477 //
     /* 1804590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804636 */     // MIs[0] policy
     /* 1804636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1804649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804670 */     // GIR_Coverage, 12477,
     /* 1804670 */     GIR_EraseRootFromParent_Done,
     /* 1804671 */   // Label 24482: @1804671
     /* 1804671 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1804757), // Rule ID 12480 //
     /* 1804676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1804696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804722 */     // MIs[0] policy
     /* 1804722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1804735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804756 */     // GIR_Coverage, 12480,
     /* 1804756 */     GIR_EraseRootFromParent_Done,
     /* 1804757 */   // Label 24483: @1804757
     /* 1804757 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1804843), // Rule ID 12481 //
     /* 1804762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1804782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804808 */     // MIs[0] policy
     /* 1804808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1804821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804842 */     // GIR_Coverage, 12481,
     /* 1804842 */     GIR_EraseRootFromParent_Done,
     /* 1804843 */   // Label 24484: @1804843
     /* 1804843 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1804929), // Rule ID 12484 //
     /* 1804848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1804868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804894 */     // MIs[0] policy
     /* 1804894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1804907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804928 */     // GIR_Coverage, 12484,
     /* 1804928 */     GIR_EraseRootFromParent_Done,
     /* 1804929 */   // Label 24485: @1804929
     /* 1804929 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1805015), // Rule ID 12485 //
     /* 1804934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1804954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804980 */     // MIs[0] policy
     /* 1804980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1804993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805014 */     // GIR_Coverage, 12485,
     /* 1805014 */     GIR_EraseRootFromParent_Done,
     /* 1805015 */   // Label 24486: @1805015
     /* 1805015 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1805101), // Rule ID 12488 //
     /* 1805020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1805040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805066 */     // MIs[0] policy
     /* 1805066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1805079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805100 */     // GIR_Coverage, 12488,
     /* 1805100 */     GIR_EraseRootFromParent_Done,
     /* 1805101 */   // Label 24487: @1805101
     /* 1805101 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1805187), // Rule ID 12489 //
     /* 1805106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1805126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805152 */     // MIs[0] policy
     /* 1805152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1805165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805186 */     // GIR_Coverage, 12489,
     /* 1805186 */     GIR_EraseRootFromParent_Done,
     /* 1805187 */   // Label 24488: @1805187
     /* 1805187 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1805273), // Rule ID 12492 //
     /* 1805192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1805212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805238 */     // MIs[0] policy
     /* 1805238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1805251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805272 */     // GIR_Coverage, 12492,
     /* 1805272 */     GIR_EraseRootFromParent_Done,
     /* 1805273 */   // Label 24489: @1805273
     /* 1805273 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1805359), // Rule ID 12493 //
     /* 1805278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1805298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805324 */     // MIs[0] policy
     /* 1805324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1805337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805358 */     // GIR_Coverage, 12493,
     /* 1805358 */     GIR_EraseRootFromParent_Done,
     /* 1805359 */   // Label 24490: @1805359
     /* 1805359 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1805445), // Rule ID 12496 //
     /* 1805364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1805384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805410 */     // MIs[0] policy
     /* 1805410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1805423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805444 */     // GIR_Coverage, 12496,
     /* 1805444 */     GIR_EraseRootFromParent_Done,
     /* 1805445 */   // Label 24491: @1805445
     /* 1805445 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1805531), // Rule ID 12497 //
     /* 1805450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1805470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805496 */     // MIs[0] policy
     /* 1805496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1805509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805530 */     // GIR_Coverage, 12497,
     /* 1805530 */     GIR_EraseRootFromParent_Done,
     /* 1805531 */   // Label 24492: @1805531
     /* 1805531 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1805617), // Rule ID 12500 //
     /* 1805536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1805556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805582 */     // MIs[0] policy
     /* 1805582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1805595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805616 */     // GIR_Coverage, 12500,
     /* 1805616 */     GIR_EraseRootFromParent_Done,
     /* 1805617 */   // Label 24493: @1805617
     /* 1805617 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1805703), // Rule ID 12501 //
     /* 1805622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1805642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805668 */     // MIs[0] policy
     /* 1805668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1805681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805702 */     // GIR_Coverage, 12501,
     /* 1805702 */     GIR_EraseRootFromParent_Done,
     /* 1805703 */   // Label 24494: @1805703
     /* 1805703 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1805789), // Rule ID 12504 //
     /* 1805708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805754 */     // MIs[0] policy
     /* 1805754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1805767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805788 */     // GIR_Coverage, 12504,
     /* 1805788 */     GIR_EraseRootFromParent_Done,
     /* 1805789 */   // Label 24495: @1805789
     /* 1805789 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1805875), // Rule ID 12505 //
     /* 1805794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805840 */     // MIs[0] policy
     /* 1805840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1805853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805874 */     // GIR_Coverage, 12505,
     /* 1805874 */     GIR_EraseRootFromParent_Done,
     /* 1805875 */   // Label 24496: @1805875
     /* 1805875 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1805961), // Rule ID 12508 //
     /* 1805880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805926 */     // MIs[0] policy
     /* 1805926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1805939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805960 */     // GIR_Coverage, 12508,
     /* 1805960 */     GIR_EraseRootFromParent_Done,
     /* 1805961 */   // Label 24497: @1805961
     /* 1805961 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1806047), // Rule ID 12509 //
     /* 1805966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806012 */     // MIs[0] policy
     /* 1806012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1806025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806046 */     // GIR_Coverage, 12509,
     /* 1806046 */     GIR_EraseRootFromParent_Done,
     /* 1806047 */   // Label 24498: @1806047
     /* 1806047 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1806133), // Rule ID 12512 //
     /* 1806052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806098 */     // MIs[0] policy
     /* 1806098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806132 */     // GIR_Coverage, 12512,
     /* 1806132 */     GIR_EraseRootFromParent_Done,
     /* 1806133 */   // Label 24499: @1806133
     /* 1806133 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1806219), // Rule ID 12513 //
     /* 1806138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806184 */     // MIs[0] policy
     /* 1806184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806218 */     // GIR_Coverage, 12513,
     /* 1806218 */     GIR_EraseRootFromParent_Done,
     /* 1806219 */   // Label 24500: @1806219
     /* 1806219 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1806305), // Rule ID 12516 //
     /* 1806224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806270 */     // MIs[0] policy
     /* 1806270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1806283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806304 */     // GIR_Coverage, 12516,
     /* 1806304 */     GIR_EraseRootFromParent_Done,
     /* 1806305 */   // Label 24501: @1806305
     /* 1806305 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1806391), // Rule ID 12517 //
     /* 1806310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806356 */     // MIs[0] policy
     /* 1806356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1806369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806390 */     // GIR_Coverage, 12517,
     /* 1806390 */     GIR_EraseRootFromParent_Done,
     /* 1806391 */   // Label 24502: @1806391
     /* 1806391 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1806477), // Rule ID 12520 //
     /* 1806396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806442 */     // MIs[0] policy
     /* 1806442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1806455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806476 */     // GIR_Coverage, 12520,
     /* 1806476 */     GIR_EraseRootFromParent_Done,
     /* 1806477 */   // Label 24503: @1806477
     /* 1806477 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1806563), // Rule ID 12521 //
     /* 1806482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806528 */     // MIs[0] policy
     /* 1806528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1806541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806562 */     // GIR_Coverage, 12521,
     /* 1806562 */     GIR_EraseRootFromParent_Done,
     /* 1806563 */   // Label 24504: @1806563
     /* 1806563 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1806649), // Rule ID 12524 //
     /* 1806568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806614 */     // MIs[0] policy
     /* 1806614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1806627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806648 */     // GIR_Coverage, 12524,
     /* 1806648 */     GIR_EraseRootFromParent_Done,
     /* 1806649 */   // Label 24505: @1806649
     /* 1806649 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1806735), // Rule ID 12525 //
     /* 1806654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806700 */     // MIs[0] policy
     /* 1806700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1806713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806734 */     // GIR_Coverage, 12525,
     /* 1806734 */     GIR_EraseRootFromParent_Done,
     /* 1806735 */   // Label 24506: @1806735
     /* 1806735 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1806821), // Rule ID 12528 //
     /* 1806740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806786 */     // MIs[0] policy
     /* 1806786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806820 */     // GIR_Coverage, 12528,
     /* 1806820 */     GIR_EraseRootFromParent_Done,
     /* 1806821 */   // Label 24507: @1806821
     /* 1806821 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1806907), // Rule ID 12529 //
     /* 1806826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806872 */     // MIs[0] policy
     /* 1806872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806906 */     // GIR_Coverage, 12529,
     /* 1806906 */     GIR_EraseRootFromParent_Done,
     /* 1806907 */   // Label 24508: @1806907
     /* 1806907 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1806993), // Rule ID 12532 //
     /* 1806912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1806923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1806926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1806929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1806932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806958 */     // MIs[0] policy
     /* 1806958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1806971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806992 */     // GIR_Coverage, 12532,
     /* 1806992 */     GIR_EraseRootFromParent_Done,
     /* 1806993 */   // Label 24509: @1806993
     /* 1806993 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1807079), // Rule ID 12533 //
     /* 1806998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1807018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807044 */     // MIs[0] policy
     /* 1807044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1807057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807078 */     // GIR_Coverage, 12533,
     /* 1807078 */     GIR_EraseRootFromParent_Done,
     /* 1807079 */   // Label 24510: @1807079
     /* 1807079 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1807165), // Rule ID 12536 //
     /* 1807084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807130 */     // MIs[0] policy
     /* 1807130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1807143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807164 */     // GIR_Coverage, 12536,
     /* 1807164 */     GIR_EraseRootFromParent_Done,
     /* 1807165 */   // Label 24511: @1807165
     /* 1807165 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1807251), // Rule ID 12537 //
     /* 1807170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807216 */     // MIs[0] policy
     /* 1807216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1807229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807250 */     // GIR_Coverage, 12537,
     /* 1807250 */     GIR_EraseRootFromParent_Done,
     /* 1807251 */   // Label 24512: @1807251
     /* 1807251 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1807337), // Rule ID 12540 //
     /* 1807256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807302 */     // MIs[0] policy
     /* 1807302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1807315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807336 */     // GIR_Coverage, 12540,
     /* 1807336 */     GIR_EraseRootFromParent_Done,
     /* 1807337 */   // Label 24513: @1807337
     /* 1807337 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1807423), // Rule ID 12541 //
     /* 1807342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807388 */     // MIs[0] policy
     /* 1807388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1807401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807422 */     // GIR_Coverage, 12541,
     /* 1807422 */     GIR_EraseRootFromParent_Done,
     /* 1807423 */   // Label 24514: @1807423
     /* 1807423 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1807509), // Rule ID 12544 //
     /* 1807428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807474 */     // MIs[0] policy
     /* 1807474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1807487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807508 */     // GIR_Coverage, 12544,
     /* 1807508 */     GIR_EraseRootFromParent_Done,
     /* 1807509 */   // Label 24515: @1807509
     /* 1807509 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1807595), // Rule ID 12545 //
     /* 1807514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807560 */     // MIs[0] policy
     /* 1807560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1807573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807594 */     // GIR_Coverage, 12545,
     /* 1807594 */     GIR_EraseRootFromParent_Done,
     /* 1807595 */   // Label 24516: @1807595
     /* 1807595 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1807681), // Rule ID 12548 //
     /* 1807600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807646 */     // MIs[0] policy
     /* 1807646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1807659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807680 */     // GIR_Coverage, 12548,
     /* 1807680 */     GIR_EraseRootFromParent_Done,
     /* 1807681 */   // Label 24517: @1807681
     /* 1807681 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1807767), // Rule ID 12549 //
     /* 1807686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807732 */     // MIs[0] policy
     /* 1807732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1807745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807766 */     // GIR_Coverage, 12549,
     /* 1807766 */     GIR_EraseRootFromParent_Done,
     /* 1807767 */   // Label 24518: @1807767
     /* 1807767 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1807853), // Rule ID 12552 //
     /* 1807772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1807783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1807786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1807789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807818 */     // MIs[0] policy
     /* 1807818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1807831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807852 */     // GIR_Coverage, 12552,
     /* 1807852 */     GIR_EraseRootFromParent_Done,
     /* 1807853 */   // Label 24519: @1807853
     /* 1807853 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1807939), // Rule ID 12553 //
     /* 1807858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1807869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1807872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1807875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807904 */     // MIs[0] policy
     /* 1807904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1807917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807938 */     // GIR_Coverage, 12553,
     /* 1807938 */     GIR_EraseRootFromParent_Done,
     /* 1807939 */   // Label 24520: @1807939
     /* 1807939 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1808025), // Rule ID 12556 //
     /* 1807944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1807955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1807958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1807961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807990 */     // MIs[0] policy
     /* 1807990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808024 */     // GIR_Coverage, 12556,
     /* 1808024 */     GIR_EraseRootFromParent_Done,
     /* 1808025 */   // Label 24521: @1808025
     /* 1808025 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1808111), // Rule ID 12557 //
     /* 1808030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808076 */     // MIs[0] policy
     /* 1808076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808110 */     // GIR_Coverage, 12557,
     /* 1808110 */     GIR_EraseRootFromParent_Done,
     /* 1808111 */   // Label 24522: @1808111
     /* 1808111 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1808197), // Rule ID 12560 //
     /* 1808116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808162 */     // MIs[0] policy
     /* 1808162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1808175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808196 */     // GIR_Coverage, 12560,
     /* 1808196 */     GIR_EraseRootFromParent_Done,
     /* 1808197 */   // Label 24523: @1808197
     /* 1808197 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1808283), // Rule ID 12561 //
     /* 1808202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808248 */     // MIs[0] policy
     /* 1808248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1808261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808282 */     // GIR_Coverage, 12561,
     /* 1808282 */     GIR_EraseRootFromParent_Done,
     /* 1808283 */   // Label 24524: @1808283
     /* 1808283 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1808369), // Rule ID 12564 //
     /* 1808288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808334 */     // MIs[0] policy
     /* 1808334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1808347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808368 */     // GIR_Coverage, 12564,
     /* 1808368 */     GIR_EraseRootFromParent_Done,
     /* 1808369 */   // Label 24525: @1808369
     /* 1808369 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1808455), // Rule ID 12565 //
     /* 1808374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808420 */     // MIs[0] policy
     /* 1808420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1808433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808454 */     // GIR_Coverage, 12565,
     /* 1808454 */     GIR_EraseRootFromParent_Done,
     /* 1808455 */   // Label 24526: @1808455
     /* 1808455 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1808541), // Rule ID 12568 //
     /* 1808460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808506 */     // MIs[0] policy
     /* 1808506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1808519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808540 */     // GIR_Coverage, 12568,
     /* 1808540 */     GIR_EraseRootFromParent_Done,
     /* 1808541 */   // Label 24527: @1808541
     /* 1808541 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1808627), // Rule ID 12569 //
     /* 1808546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808592 */     // MIs[0] policy
     /* 1808592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1808605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808626 */     // GIR_Coverage, 12569,
     /* 1808626 */     GIR_EraseRootFromParent_Done,
     /* 1808627 */   // Label 24528: @1808627
     /* 1808627 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1808713), // Rule ID 12572 //
     /* 1808632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808678 */     // MIs[0] policy
     /* 1808678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1808691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808712 */     // GIR_Coverage, 12572,
     /* 1808712 */     GIR_EraseRootFromParent_Done,
     /* 1808713 */   // Label 24529: @1808713
     /* 1808713 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1808799), // Rule ID 12573 //
     /* 1808718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808764 */     // MIs[0] policy
     /* 1808764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1808777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808798 */     // GIR_Coverage, 12573,
     /* 1808798 */     GIR_EraseRootFromParent_Done,
     /* 1808799 */   // Label 24530: @1808799
     /* 1808799 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1808885), // Rule ID 12576 //
     /* 1808804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1808815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1808818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1808821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808850 */     // MIs[0] policy
     /* 1808850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808884 */     // GIR_Coverage, 12576,
     /* 1808884 */     GIR_EraseRootFromParent_Done,
     /* 1808885 */   // Label 24531: @1808885
     /* 1808885 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1808971), // Rule ID 12577 //
     /* 1808890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1808901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1808904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1808907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808936 */     // MIs[0] policy
     /* 1808936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808970 */     // GIR_Coverage, 12577,
     /* 1808970 */     GIR_EraseRootFromParent_Done,
     /* 1808971 */   // Label 24532: @1808971
     /* 1808971 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1809057), // Rule ID 12580 //
     /* 1808976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1808987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1808990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1808993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809022 */     // MIs[0] policy
     /* 1809022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809056 */     // GIR_Coverage, 12580,
     /* 1809056 */     GIR_EraseRootFromParent_Done,
     /* 1809057 */   // Label 24533: @1809057
     /* 1809057 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1809143), // Rule ID 12581 //
     /* 1809062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809108 */     // MIs[0] policy
     /* 1809108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809142 */     // GIR_Coverage, 12581,
     /* 1809142 */     GIR_EraseRootFromParent_Done,
     /* 1809143 */   // Label 24534: @1809143
     /* 1809143 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1809229), // Rule ID 12584 //
     /* 1809148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809194 */     // MIs[0] policy
     /* 1809194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1809207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809228 */     // GIR_Coverage, 12584,
     /* 1809228 */     GIR_EraseRootFromParent_Done,
     /* 1809229 */   // Label 24535: @1809229
     /* 1809229 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1809315), // Rule ID 12585 //
     /* 1809234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809280 */     // MIs[0] policy
     /* 1809280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1809293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809314 */     // GIR_Coverage, 12585,
     /* 1809314 */     GIR_EraseRootFromParent_Done,
     /* 1809315 */   // Label 24536: @1809315
     /* 1809315 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1809401), // Rule ID 12588 //
     /* 1809320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809366 */     // MIs[0] policy
     /* 1809366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809400 */     // GIR_Coverage, 12588,
     /* 1809400 */     GIR_EraseRootFromParent_Done,
     /* 1809401 */   // Label 24537: @1809401
     /* 1809401 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1809487), // Rule ID 12589 //
     /* 1809406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809452 */     // MIs[0] policy
     /* 1809452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809486 */     // GIR_Coverage, 12589,
     /* 1809486 */     GIR_EraseRootFromParent_Done,
     /* 1809487 */   // Label 24538: @1809487
     /* 1809487 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1809573), // Rule ID 12592 //
     /* 1809492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809538 */     // MIs[0] policy
     /* 1809538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1809551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809572 */     // GIR_Coverage, 12592,
     /* 1809572 */     GIR_EraseRootFromParent_Done,
     /* 1809573 */   // Label 24539: @1809573
     /* 1809573 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1809659), // Rule ID 12593 //
     /* 1809578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809624 */     // MIs[0] policy
     /* 1809624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1809637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809658 */     // GIR_Coverage, 12593,
     /* 1809658 */     GIR_EraseRootFromParent_Done,
     /* 1809659 */   // Label 24540: @1809659
     /* 1809659 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1809745), // Rule ID 12596 //
     /* 1809664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809710 */     // MIs[0] policy
     /* 1809710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809744 */     // GIR_Coverage, 12596,
     /* 1809744 */     GIR_EraseRootFromParent_Done,
     /* 1809745 */   // Label 24541: @1809745
     /* 1809745 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1809831), // Rule ID 12597 //
     /* 1809750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809796 */     // MIs[0] policy
     /* 1809796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809830 */     // GIR_Coverage, 12597,
     /* 1809830 */     GIR_EraseRootFromParent_Done,
     /* 1809831 */   // Label 24542: @1809831
     /* 1809831 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1809917), // Rule ID 12600 //
     /* 1809836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809882 */     // MIs[0] policy
     /* 1809882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1809895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809916 */     // GIR_Coverage, 12600,
     /* 1809916 */     GIR_EraseRootFromParent_Done,
     /* 1809917 */   // Label 24543: @1809917
     /* 1809917 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1810003), // Rule ID 12601 //
     /* 1809922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809968 */     // MIs[0] policy
     /* 1809968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1809981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810002 */     // GIR_Coverage, 12601,
     /* 1810002 */     GIR_EraseRootFromParent_Done,
     /* 1810003 */   // Label 24544: @1810003
     /* 1810003 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1810089), // Rule ID 12604 //
     /* 1810008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810054 */     // MIs[0] policy
     /* 1810054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1810067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810088 */     // GIR_Coverage, 12604,
     /* 1810088 */     GIR_EraseRootFromParent_Done,
     /* 1810089 */   // Label 24545: @1810089
     /* 1810089 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1810175), // Rule ID 12605 //
     /* 1810094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810140 */     // MIs[0] policy
     /* 1810140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1810153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810174 */     // GIR_Coverage, 12605,
     /* 1810174 */     GIR_EraseRootFromParent_Done,
     /* 1810175 */   // Label 24546: @1810175
     /* 1810175 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1810261), // Rule ID 12608 //
     /* 1810180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810226 */     // MIs[0] policy
     /* 1810226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1810239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810260 */     // GIR_Coverage, 12608,
     /* 1810260 */     GIR_EraseRootFromParent_Done,
     /* 1810261 */   // Label 24547: @1810261
     /* 1810261 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1810347), // Rule ID 12609 //
     /* 1810266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810312 */     // MIs[0] policy
     /* 1810312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1810325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810346 */     // GIR_Coverage, 12609,
     /* 1810346 */     GIR_EraseRootFromParent_Done,
     /* 1810347 */   // Label 24548: @1810347
     /* 1810347 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1810433), // Rule ID 12612 //
     /* 1810352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810398 */     // MIs[0] policy
     /* 1810398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1810411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810432 */     // GIR_Coverage, 12612,
     /* 1810432 */     GIR_EraseRootFromParent_Done,
     /* 1810433 */   // Label 24549: @1810433
     /* 1810433 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1810519), // Rule ID 12613 //
     /* 1810438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810484 */     // MIs[0] policy
     /* 1810484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1810497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810518 */     // GIR_Coverage, 12613,
     /* 1810518 */     GIR_EraseRootFromParent_Done,
     /* 1810519 */   // Label 24550: @1810519
     /* 1810519 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1810605), // Rule ID 12616 //
     /* 1810524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810570 */     // MIs[0] policy
     /* 1810570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1810583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810604 */     // GIR_Coverage, 12616,
     /* 1810604 */     GIR_EraseRootFromParent_Done,
     /* 1810605 */   // Label 24551: @1810605
     /* 1810605 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1810691), // Rule ID 12617 //
     /* 1810610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810656 */     // MIs[0] policy
     /* 1810656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1810669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810690 */     // GIR_Coverage, 12617,
     /* 1810690 */     GIR_EraseRootFromParent_Done,
     /* 1810691 */   // Label 24552: @1810691
     /* 1810691 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1810777), // Rule ID 12620 //
     /* 1810696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810742 */     // MIs[0] policy
     /* 1810742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1810755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810776 */     // GIR_Coverage, 12620,
     /* 1810776 */     GIR_EraseRootFromParent_Done,
     /* 1810777 */   // Label 24553: @1810777
     /* 1810777 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1810863), // Rule ID 12621 //
     /* 1810782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810828 */     // MIs[0] policy
     /* 1810828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1810841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810862 */     // GIR_Coverage, 12621,
     /* 1810862 */     GIR_EraseRootFromParent_Done,
     /* 1810863 */   // Label 24554: @1810863
     /* 1810863 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1810949), // Rule ID 12624 //
     /* 1810868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810914 */     // MIs[0] policy
     /* 1810914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1810927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810948 */     // GIR_Coverage, 12624,
     /* 1810948 */     GIR_EraseRootFromParent_Done,
     /* 1810949 */   // Label 24555: @1810949
     /* 1810949 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1811035), // Rule ID 12625 //
     /* 1810954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811000 */     // MIs[0] policy
     /* 1811000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1811013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811034 */     // GIR_Coverage, 12625,
     /* 1811034 */     GIR_EraseRootFromParent_Done,
     /* 1811035 */   // Label 24556: @1811035
     /* 1811035 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1811121), // Rule ID 12628 //
     /* 1811040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811086 */     // MIs[0] policy
     /* 1811086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811120 */     // GIR_Coverage, 12628,
     /* 1811120 */     GIR_EraseRootFromParent_Done,
     /* 1811121 */   // Label 24557: @1811121
     /* 1811121 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1811207), // Rule ID 12629 //
     /* 1811126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811172 */     // MIs[0] policy
     /* 1811172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811206 */     // GIR_Coverage, 12629,
     /* 1811206 */     GIR_EraseRootFromParent_Done,
     /* 1811207 */   // Label 24558: @1811207
     /* 1811207 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1811293), // Rule ID 12632 //
     /* 1811212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811258 */     // MIs[0] policy
     /* 1811258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1811271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811292 */     // GIR_Coverage, 12632,
     /* 1811292 */     GIR_EraseRootFromParent_Done,
     /* 1811293 */   // Label 24559: @1811293
     /* 1811293 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1811379), // Rule ID 12633 //
     /* 1811298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811344 */     // MIs[0] policy
     /* 1811344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1811357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811378 */     // GIR_Coverage, 12633,
     /* 1811378 */     GIR_EraseRootFromParent_Done,
     /* 1811379 */   // Label 24560: @1811379
     /* 1811379 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1811465), // Rule ID 12636 //
     /* 1811384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811430 */     // MIs[0] policy
     /* 1811430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811464 */     // GIR_Coverage, 12636,
     /* 1811464 */     GIR_EraseRootFromParent_Done,
     /* 1811465 */   // Label 24561: @1811465
     /* 1811465 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1811551), // Rule ID 12637 //
     /* 1811470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811516 */     // MIs[0] policy
     /* 1811516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811550 */     // GIR_Coverage, 12637,
     /* 1811550 */     GIR_EraseRootFromParent_Done,
     /* 1811551 */   // Label 24562: @1811551
     /* 1811551 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1811637), // Rule ID 12640 //
     /* 1811556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811602 */     // MIs[0] policy
     /* 1811602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1811615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811636 */     // GIR_Coverage, 12640,
     /* 1811636 */     GIR_EraseRootFromParent_Done,
     /* 1811637 */   // Label 24563: @1811637
     /* 1811637 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1811723), // Rule ID 12641 //
     /* 1811642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811688 */     // MIs[0] policy
     /* 1811688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1811701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811722 */     // GIR_Coverage, 12641,
     /* 1811722 */     GIR_EraseRootFromParent_Done,
     /* 1811723 */   // Label 24564: @1811723
     /* 1811723 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1811809), // Rule ID 12644 //
     /* 1811728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811774 */     // MIs[0] policy
     /* 1811774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811808 */     // GIR_Coverage, 12644,
     /* 1811808 */     GIR_EraseRootFromParent_Done,
     /* 1811809 */   // Label 24565: @1811809
     /* 1811809 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1811895), // Rule ID 12645 //
     /* 1811814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811860 */     // MIs[0] policy
     /* 1811860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811894 */     // GIR_Coverage, 12645,
     /* 1811894 */     GIR_EraseRootFromParent_Done,
     /* 1811895 */   // Label 24566: @1811895
     /* 1811895 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1811981), // Rule ID 12648 //
     /* 1811900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811946 */     // MIs[0] policy
     /* 1811946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1811959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811980 */     // GIR_Coverage, 12648,
     /* 1811980 */     GIR_EraseRootFromParent_Done,
     /* 1811981 */   // Label 24567: @1811981
     /* 1811981 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1812067), // Rule ID 12649 //
     /* 1811986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1812003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1812006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812032 */     // MIs[0] policy
     /* 1812032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1812045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812066 */     // GIR_Coverage, 12649,
     /* 1812066 */     GIR_EraseRootFromParent_Done,
     /* 1812067 */   // Label 24568: @1812067
     /* 1812067 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1812153), // Rule ID 12652 //
     /* 1812072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812118 */     // MIs[0] policy
     /* 1812118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1812131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812152 */     // GIR_Coverage, 12652,
     /* 1812152 */     GIR_EraseRootFromParent_Done,
     /* 1812153 */   // Label 24569: @1812153
     /* 1812153 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1812239), // Rule ID 12653 //
     /* 1812158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812204 */     // MIs[0] policy
     /* 1812204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1812217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812238 */     // GIR_Coverage, 12653,
     /* 1812238 */     GIR_EraseRootFromParent_Done,
     /* 1812239 */   // Label 24570: @1812239
     /* 1812239 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1812325), // Rule ID 12656 //
     /* 1812244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812290 */     // MIs[0] policy
     /* 1812290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812300 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812324 */     // GIR_Coverage, 12656,
     /* 1812324 */     GIR_EraseRootFromParent_Done,
     /* 1812325 */   // Label 24571: @1812325
     /* 1812325 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1812411), // Rule ID 12657 //
     /* 1812330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812376 */     // MIs[0] policy
     /* 1812376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812410 */     // GIR_Coverage, 12657,
     /* 1812410 */     GIR_EraseRootFromParent_Done,
     /* 1812411 */   // Label 24572: @1812411
     /* 1812411 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1812497), // Rule ID 12660 //
     /* 1812416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1812433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812462 */     // MIs[0] policy
     /* 1812462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1812475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812496 */     // GIR_Coverage, 12660,
     /* 1812496 */     GIR_EraseRootFromParent_Done,
     /* 1812497 */   // Label 24573: @1812497
     /* 1812497 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1812583), // Rule ID 12661 //
     /* 1812502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1812519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812548 */     // MIs[0] policy
     /* 1812548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1812561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812582 */     // GIR_Coverage, 12661,
     /* 1812582 */     GIR_EraseRootFromParent_Done,
     /* 1812583 */   // Label 24574: @1812583
     /* 1812583 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1812669), // Rule ID 12664 //
     /* 1812588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812634 */     // MIs[0] policy
     /* 1812634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1812647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812668 */     // GIR_Coverage, 12664,
     /* 1812668 */     GIR_EraseRootFromParent_Done,
     /* 1812669 */   // Label 24575: @1812669
     /* 1812669 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1812755), // Rule ID 12665 //
     /* 1812674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812720 */     // MIs[0] policy
     /* 1812720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1812733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812754 */     // GIR_Coverage, 12665,
     /* 1812754 */     GIR_EraseRootFromParent_Done,
     /* 1812755 */   // Label 24576: @1812755
     /* 1812755 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1812841), // Rule ID 12668 //
     /* 1812760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1812771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1812774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1812777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812806 */     // MIs[0] policy
     /* 1812806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1812819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812840 */     // GIR_Coverage, 12668,
     /* 1812840 */     GIR_EraseRootFromParent_Done,
     /* 1812841 */   // Label 24577: @1812841
     /* 1812841 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1812927), // Rule ID 12669 //
     /* 1812846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1812857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1812860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1812863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812892 */     // MIs[0] policy
     /* 1812892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1812905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812926 */     // GIR_Coverage, 12669,
     /* 1812926 */     GIR_EraseRootFromParent_Done,
     /* 1812927 */   // Label 24578: @1812927
     /* 1812927 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1813013), // Rule ID 12672 //
     /* 1812932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1812949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812978 */     // MIs[0] policy
     /* 1812978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1812991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813012 */     // GIR_Coverage, 12672,
     /* 1813012 */     GIR_EraseRootFromParent_Done,
     /* 1813013 */   // Label 24579: @1813013
     /* 1813013 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1813099), // Rule ID 12673 //
     /* 1813018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1813029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1813032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1813035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813064 */     // MIs[0] policy
     /* 1813064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1813077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813098 */     // GIR_Coverage, 12673,
     /* 1813098 */     GIR_EraseRootFromParent_Done,
     /* 1813099 */   // Label 24580: @1813099
     /* 1813099 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1813185), // Rule ID 12676 //
     /* 1813104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1813121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813150 */     // MIs[0] policy
     /* 1813150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1813163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813184 */     // GIR_Coverage, 12676,
     /* 1813184 */     GIR_EraseRootFromParent_Done,
     /* 1813185 */   // Label 24581: @1813185
     /* 1813185 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1813271), // Rule ID 12677 //
     /* 1813190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1813207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813236 */     // MIs[0] policy
     /* 1813236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1813249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813270 */     // GIR_Coverage, 12677,
     /* 1813270 */     GIR_EraseRootFromParent_Done,
     /* 1813271 */   // Label 24582: @1813271
     /* 1813271 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1813357), // Rule ID 12680 //
     /* 1813276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1813293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813322 */     // MIs[0] policy
     /* 1813322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1813335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813356 */     // GIR_Coverage, 12680,
     /* 1813356 */     GIR_EraseRootFromParent_Done,
     /* 1813357 */   // Label 24583: @1813357
     /* 1813357 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1813443), // Rule ID 12681 //
     /* 1813362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1813379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813408 */     // MIs[0] policy
     /* 1813408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1813421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813442 */     // GIR_Coverage, 12681,
     /* 1813442 */     GIR_EraseRootFromParent_Done,
     /* 1813443 */   // Label 24584: @1813443
     /* 1813443 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1813529), // Rule ID 12684 //
     /* 1813448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813494 */     // MIs[0] policy
     /* 1813494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1813507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813528 */     // GIR_Coverage, 12684,
     /* 1813528 */     GIR_EraseRootFromParent_Done,
     /* 1813529 */   // Label 24585: @1813529
     /* 1813529 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1813615), // Rule ID 12685 //
     /* 1813534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813580 */     // MIs[0] policy
     /* 1813580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1813593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813614 */     // GIR_Coverage, 12685,
     /* 1813614 */     GIR_EraseRootFromParent_Done,
     /* 1813615 */   // Label 24586: @1813615
     /* 1813615 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1813701), // Rule ID 12688 //
     /* 1813620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813666 */     // MIs[0] policy
     /* 1813666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1813679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813700 */     // GIR_Coverage, 12688,
     /* 1813700 */     GIR_EraseRootFromParent_Done,
     /* 1813701 */   // Label 24587: @1813701
     /* 1813701 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1813787), // Rule ID 12689 //
     /* 1813706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813752 */     // MIs[0] policy
     /* 1813752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1813765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813786 */     // GIR_Coverage, 12689,
     /* 1813786 */     GIR_EraseRootFromParent_Done,
     /* 1813787 */   // Label 24588: @1813787
     /* 1813787 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1813873), // Rule ID 12692 //
     /* 1813792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813838 */     // MIs[0] policy
     /* 1813838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1813851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813872 */     // GIR_Coverage, 12692,
     /* 1813872 */     GIR_EraseRootFromParent_Done,
     /* 1813873 */   // Label 24589: @1813873
     /* 1813873 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1813959), // Rule ID 12693 //
     /* 1813878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813924 */     // MIs[0] policy
     /* 1813924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1813937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813958 */     // GIR_Coverage, 12693,
     /* 1813958 */     GIR_EraseRootFromParent_Done,
     /* 1813959 */   // Label 24590: @1813959
     /* 1813959 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1814045), // Rule ID 12696 //
     /* 1813964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1813975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1813978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1813981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814010 */     // MIs[0] policy
     /* 1814010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814044 */     // GIR_Coverage, 12696,
     /* 1814044 */     GIR_EraseRootFromParent_Done,
     /* 1814045 */   // Label 24591: @1814045
     /* 1814045 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1814131), // Rule ID 12697 //
     /* 1814050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814096 */     // MIs[0] policy
     /* 1814096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814130 */     // GIR_Coverage, 12697,
     /* 1814130 */     GIR_EraseRootFromParent_Done,
     /* 1814131 */   // Label 24592: @1814131
     /* 1814131 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1814217), // Rule ID 12700 //
     /* 1814136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1814147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1814150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814182 */     // MIs[0] policy
     /* 1814182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814216 */     // GIR_Coverage, 12700,
     /* 1814216 */     GIR_EraseRootFromParent_Done,
     /* 1814217 */   // Label 24593: @1814217
     /* 1814217 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1814303), // Rule ID 12701 //
     /* 1814222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1814233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1814236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814268 */     // MIs[0] policy
     /* 1814268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814302 */     // GIR_Coverage, 12701,
     /* 1814302 */     GIR_EraseRootFromParent_Done,
     /* 1814303 */   // Label 24594: @1814303
     /* 1814303 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1814389), // Rule ID 12704 //
     /* 1814308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814354 */     // MIs[0] policy
     /* 1814354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814388 */     // GIR_Coverage, 12704,
     /* 1814388 */     GIR_EraseRootFromParent_Done,
     /* 1814389 */   // Label 24595: @1814389
     /* 1814389 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1814475), // Rule ID 12705 //
     /* 1814394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814440 */     // MIs[0] policy
     /* 1814440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814474 */     // GIR_Coverage, 12705,
     /* 1814474 */     GIR_EraseRootFromParent_Done,
     /* 1814475 */   // Label 24596: @1814475
     /* 1814475 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1814561), // Rule ID 12708 //
     /* 1814480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1814491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1814494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814526 */     // MIs[0] policy
     /* 1814526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1814539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814560 */     // GIR_Coverage, 12708,
     /* 1814560 */     GIR_EraseRootFromParent_Done,
     /* 1814561 */   // Label 24597: @1814561
     /* 1814561 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1814647), // Rule ID 12709 //
     /* 1814566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1814577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1814580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814612 */     // MIs[0] policy
     /* 1814612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1814625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814646 */     // GIR_Coverage, 12709,
     /* 1814646 */     GIR_EraseRootFromParent_Done,
     /* 1814647 */   // Label 24598: @1814647
     /* 1814647 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1814733), // Rule ID 12712 //
     /* 1814652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814698 */     // MIs[0] policy
     /* 1814698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814732 */     // GIR_Coverage, 12712,
     /* 1814732 */     GIR_EraseRootFromParent_Done,
     /* 1814733 */   // Label 24599: @1814733
     /* 1814733 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1814819), // Rule ID 12713 //
     /* 1814738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814784 */     // MIs[0] policy
     /* 1814784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814818 */     // GIR_Coverage, 12713,
     /* 1814818 */     GIR_EraseRootFromParent_Done,
     /* 1814819 */   // Label 24600: @1814819
     /* 1814819 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1814905), // Rule ID 12716 //
     /* 1814824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1814841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814870 */     // MIs[0] policy
     /* 1814870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814904 */     // GIR_Coverage, 12716,
     /* 1814904 */     GIR_EraseRootFromParent_Done,
     /* 1814905 */   // Label 24601: @1814905
     /* 1814905 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1814991), // Rule ID 12717 //
     /* 1814910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1814927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814956 */     // MIs[0] policy
     /* 1814956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814990 */     // GIR_Coverage, 12717,
     /* 1814990 */     GIR_EraseRootFromParent_Done,
     /* 1814991 */   // Label 24602: @1814991
     /* 1814991 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1815077), // Rule ID 12720 //
     /* 1814996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815042 */     // MIs[0] policy
     /* 1815042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815076 */     // GIR_Coverage, 12720,
     /* 1815076 */     GIR_EraseRootFromParent_Done,
     /* 1815077 */   // Label 24603: @1815077
     /* 1815077 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1815163), // Rule ID 12721 //
     /* 1815082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815128 */     // MIs[0] policy
     /* 1815128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815162 */     // GIR_Coverage, 12721,
     /* 1815162 */     GIR_EraseRootFromParent_Done,
     /* 1815163 */   // Label 24604: @1815163
     /* 1815163 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1815249), // Rule ID 12724 //
     /* 1815168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1815179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1815182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1815185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1815188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815214 */     // MIs[0] policy
     /* 1815214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815248 */     // GIR_Coverage, 12724,
     /* 1815248 */     GIR_EraseRootFromParent_Done,
     /* 1815249 */   // Label 24605: @1815249
     /* 1815249 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1815335), // Rule ID 12725 //
     /* 1815254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1815265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1815268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1815271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1815274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815300 */     // MIs[0] policy
     /* 1815300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815334 */     // GIR_Coverage, 12725,
     /* 1815334 */     GIR_EraseRootFromParent_Done,
     /* 1815335 */   // Label 24606: @1815335
     /* 1815335 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1815421), // Rule ID 12728 //
     /* 1815340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815386 */     // MIs[0] policy
     /* 1815386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815420 */     // GIR_Coverage, 12728,
     /* 1815420 */     GIR_EraseRootFromParent_Done,
     /* 1815421 */   // Label 24607: @1815421
     /* 1815421 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1815507), // Rule ID 12729 //
     /* 1815426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815472 */     // MIs[0] policy
     /* 1815472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815506 */     // GIR_Coverage, 12729,
     /* 1815506 */     GIR_EraseRootFromParent_Done,
     /* 1815507 */   // Label 24608: @1815507
     /* 1815507 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1815593), // Rule ID 12732 //
     /* 1815512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1815523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1815526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815558 */     // MIs[0] policy
     /* 1815558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815592 */     // GIR_Coverage, 12732,
     /* 1815592 */     GIR_EraseRootFromParent_Done,
     /* 1815593 */   // Label 24609: @1815593
     /* 1815593 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1815679), // Rule ID 12733 //
     /* 1815598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1815609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1815612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815644 */     // MIs[0] policy
     /* 1815644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815678 */     // GIR_Coverage, 12733,
     /* 1815678 */     GIR_EraseRootFromParent_Done,
     /* 1815679 */   // Label 24610: @1815679
     /* 1815679 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1815765), // Rule ID 12736 //
     /* 1815684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1815701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1815704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815730 */     // MIs[0] policy
     /* 1815730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815764 */     // GIR_Coverage, 12736,
     /* 1815764 */     GIR_EraseRootFromParent_Done,
     /* 1815765 */   // Label 24611: @1815765
     /* 1815765 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1815851), // Rule ID 12737 //
     /* 1815770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1815787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1815790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815816 */     // MIs[0] policy
     /* 1815816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815850 */     // GIR_Coverage, 12737,
     /* 1815850 */     GIR_EraseRootFromParent_Done,
     /* 1815851 */   // Label 24612: @1815851
     /* 1815851 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1815937), // Rule ID 12740 //
     /* 1815856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1815867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1815870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815902 */     // MIs[0] policy
     /* 1815902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1815915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815936 */     // GIR_Coverage, 12740,
     /* 1815936 */     GIR_EraseRootFromParent_Done,
     /* 1815937 */   // Label 24613: @1815937
     /* 1815937 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1816023), // Rule ID 12741 //
     /* 1815942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1815953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1815956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815988 */     // MIs[0] policy
     /* 1815988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816022 */     // GIR_Coverage, 12741,
     /* 1816022 */     GIR_EraseRootFromParent_Done,
     /* 1816023 */   // Label 24614: @1816023
     /* 1816023 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1816109), // Rule ID 12744 //
     /* 1816028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816074 */     // MIs[0] policy
     /* 1816074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816108 */     // GIR_Coverage, 12744,
     /* 1816108 */     GIR_EraseRootFromParent_Done,
     /* 1816109 */   // Label 24615: @1816109
     /* 1816109 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1816195), // Rule ID 12745 //
     /* 1816114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816160 */     // MIs[0] policy
     /* 1816160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816194 */     // GIR_Coverage, 12745,
     /* 1816194 */     GIR_EraseRootFromParent_Done,
     /* 1816195 */   // Label 24616: @1816195
     /* 1816195 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1816281), // Rule ID 12748 //
     /* 1816200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1816211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1816214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816246 */     // MIs[0] policy
     /* 1816246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816280 */     // GIR_Coverage, 12748,
     /* 1816280 */     GIR_EraseRootFromParent_Done,
     /* 1816281 */   // Label 24617: @1816281
     /* 1816281 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1816367), // Rule ID 12749 //
     /* 1816286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1816297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1816300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816332 */     // MIs[0] policy
     /* 1816332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816366 */     // GIR_Coverage, 12749,
     /* 1816366 */     GIR_EraseRootFromParent_Done,
     /* 1816367 */   // Label 24618: @1816367
     /* 1816367 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1816453), // Rule ID 12752 //
     /* 1816372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816418 */     // MIs[0] policy
     /* 1816418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816452 */     // GIR_Coverage, 12752,
     /* 1816452 */     GIR_EraseRootFromParent_Done,
     /* 1816453 */   // Label 24619: @1816453
     /* 1816453 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1816539), // Rule ID 12753 //
     /* 1816458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816504 */     // MIs[0] policy
     /* 1816504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816538 */     // GIR_Coverage, 12753,
     /* 1816538 */     GIR_EraseRootFromParent_Done,
     /* 1816539 */   // Label 24620: @1816539
     /* 1816539 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1816625), // Rule ID 12756 //
     /* 1816544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1816555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1816558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1816561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1816564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816590 */     // MIs[0] policy
     /* 1816590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1816603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816624 */     // GIR_Coverage, 12756,
     /* 1816624 */     GIR_EraseRootFromParent_Done,
     /* 1816625 */   // Label 24621: @1816625
     /* 1816625 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1816711), // Rule ID 12757 //
     /* 1816630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1816641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1816644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1816647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1816650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816676 */     // MIs[0] policy
     /* 1816676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1816689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816710 */     // GIR_Coverage, 12757,
     /* 1816710 */     GIR_EraseRootFromParent_Done,
     /* 1816711 */   // Label 24622: @1816711
     /* 1816711 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1816797), // Rule ID 12760 //
     /* 1816716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1816727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1816730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1816733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1816736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816762 */     // MIs[0] policy
     /* 1816762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1816775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816796 */     // GIR_Coverage, 12760,
     /* 1816796 */     GIR_EraseRootFromParent_Done,
     /* 1816797 */   // Label 24623: @1816797
     /* 1816797 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1816883), // Rule ID 12761 //
     /* 1816802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1816813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1816816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1816819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1816822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816848 */     // MIs[0] policy
     /* 1816848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1816861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816882 */     // GIR_Coverage, 12761,
     /* 1816882 */     GIR_EraseRootFromParent_Done,
     /* 1816883 */   // Label 24624: @1816883
     /* 1816883 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1816969), // Rule ID 12764 //
     /* 1816888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1816899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1816902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1816905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1816908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1816911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816934 */     // MIs[0] policy
     /* 1816934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1816947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816968 */     // GIR_Coverage, 12764,
     /* 1816968 */     GIR_EraseRootFromParent_Done,
     /* 1816969 */   // Label 24625: @1816969
     /* 1816969 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1817055), // Rule ID 12765 //
     /* 1816974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1816985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1816988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1816991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1816994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1816997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817020 */     // MIs[0] policy
     /* 1817020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817030 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817054 */     // GIR_Coverage, 12765,
     /* 1817054 */     GIR_EraseRootFromParent_Done,
     /* 1817055 */   // Label 24626: @1817055
     /* 1817055 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1817141), // Rule ID 12768 //
     /* 1817060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817106 */     // MIs[0] policy
     /* 1817106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817140 */     // GIR_Coverage, 12768,
     /* 1817140 */     GIR_EraseRootFromParent_Done,
     /* 1817141 */   // Label 24627: @1817141
     /* 1817141 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1817227), // Rule ID 12769 //
     /* 1817146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817192 */     // MIs[0] policy
     /* 1817192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817226 */     // GIR_Coverage, 12769,
     /* 1817226 */     GIR_EraseRootFromParent_Done,
     /* 1817227 */   // Label 24628: @1817227
     /* 1817227 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1817313), // Rule ID 12772 //
     /* 1817232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1817249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1817252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817278 */     // MIs[0] policy
     /* 1817278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817312 */     // GIR_Coverage, 12772,
     /* 1817312 */     GIR_EraseRootFromParent_Done,
     /* 1817313 */   // Label 24629: @1817313
     /* 1817313 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1817399), // Rule ID 12773 //
     /* 1817318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1817335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1817338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817364 */     // MIs[0] policy
     /* 1817364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817398 */     // GIR_Coverage, 12773,
     /* 1817398 */     GIR_EraseRootFromParent_Done,
     /* 1817399 */   // Label 24630: @1817399
     /* 1817399 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1817485), // Rule ID 12776 //
     /* 1817404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817450 */     // MIs[0] policy
     /* 1817450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817484 */     // GIR_Coverage, 12776,
     /* 1817484 */     GIR_EraseRootFromParent_Done,
     /* 1817485 */   // Label 24631: @1817485
     /* 1817485 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1817571), // Rule ID 12777 //
     /* 1817490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817536 */     // MIs[0] policy
     /* 1817536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817570 */     // GIR_Coverage, 12777,
     /* 1817570 */     GIR_EraseRootFromParent_Done,
     /* 1817571 */   // Label 24632: @1817571
     /* 1817571 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1817657), // Rule ID 12780 //
     /* 1817576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1817587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1817590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1817593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1817596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817622 */     // MIs[0] policy
     /* 1817622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817656 */     // GIR_Coverage, 12780,
     /* 1817656 */     GIR_EraseRootFromParent_Done,
     /* 1817657 */   // Label 24633: @1817657
     /* 1817657 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1817743), // Rule ID 12781 //
     /* 1817662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1817673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1817676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1817679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1817682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817708 */     // MIs[0] policy
     /* 1817708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817742 */     // GIR_Coverage, 12781,
     /* 1817742 */     GIR_EraseRootFromParent_Done,
     /* 1817743 */   // Label 24634: @1817743
     /* 1817743 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1817829), // Rule ID 12784 //
     /* 1817748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1817759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1817762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1817765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1817768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817794 */     // MIs[0] policy
     /* 1817794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817828 */     // GIR_Coverage, 12784,
     /* 1817828 */     GIR_EraseRootFromParent_Done,
     /* 1817829 */   // Label 24635: @1817829
     /* 1817829 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1817915), // Rule ID 12785 //
     /* 1817834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1817845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1817848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1817851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1817854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817880 */     // MIs[0] policy
     /* 1817880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817914 */     // GIR_Coverage, 12785,
     /* 1817914 */     GIR_EraseRootFromParent_Done,
     /* 1817915 */   // Label 24636: @1817915
     /* 1817915 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1818001), // Rule ID 12788 //
     /* 1817920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1817931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1817934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1817937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1817940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817966 */     // MIs[0] policy
     /* 1817966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818000 */     // GIR_Coverage, 12788,
     /* 1818000 */     GIR_EraseRootFromParent_Done,
     /* 1818001 */   // Label 24637: @1818001
     /* 1818001 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1818087), // Rule ID 12789 //
     /* 1818006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818052 */     // MIs[0] policy
     /* 1818052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818086 */     // GIR_Coverage, 12789,
     /* 1818086 */     GIR_EraseRootFromParent_Done,
     /* 1818087 */   // Label 24638: @1818087
     /* 1818087 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1818173), // Rule ID 12792 //
     /* 1818092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1818103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1818106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1818109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1818112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818138 */     // MIs[0] policy
     /* 1818138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818172 */     // GIR_Coverage, 12792,
     /* 1818172 */     GIR_EraseRootFromParent_Done,
     /* 1818173 */   // Label 24639: @1818173
     /* 1818173 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1818259), // Rule ID 12793 //
     /* 1818178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1818189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1818192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1818195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1818198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818224 */     // MIs[0] policy
     /* 1818224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818258 */     // GIR_Coverage, 12793,
     /* 1818258 */     GIR_EraseRootFromParent_Done,
     /* 1818259 */   // Label 24640: @1818259
     /* 1818259 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1818345), // Rule ID 12796 //
     /* 1818264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1818275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1818278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1818281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1818284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818310 */     // MIs[0] policy
     /* 1818310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818344 */     // GIR_Coverage, 12796,
     /* 1818344 */     GIR_EraseRootFromParent_Done,
     /* 1818345 */   // Label 24641: @1818345
     /* 1818345 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1818431), // Rule ID 12797 //
     /* 1818350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1818361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1818364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1818367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1818370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818396 */     // MIs[0] policy
     /* 1818396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818430 */     // GIR_Coverage, 12797,
     /* 1818430 */     GIR_EraseRootFromParent_Done,
     /* 1818431 */   // Label 24642: @1818431
     /* 1818431 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1818517), // Rule ID 12800 //
     /* 1818436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1818450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1818453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1818456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818482 */     // MIs[0] policy
     /* 1818482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818516 */     // GIR_Coverage, 12800,
     /* 1818516 */     GIR_EraseRootFromParent_Done,
     /* 1818517 */   // Label 24643: @1818517
     /* 1818517 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1818603), // Rule ID 12801 //
     /* 1818522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1818536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1818539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1818542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818568 */     // MIs[0] policy
     /* 1818568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818602 */     // GIR_Coverage, 12801,
     /* 1818602 */     GIR_EraseRootFromParent_Done,
     /* 1818603 */   // Label 24644: @1818603
     /* 1818603 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1818689), // Rule ID 12804 //
     /* 1818608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1818619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1818622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1818628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818654 */     // MIs[0] policy
     /* 1818654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1818667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818688 */     // GIR_Coverage, 12804,
     /* 1818688 */     GIR_EraseRootFromParent_Done,
     /* 1818689 */   // Label 24645: @1818689
     /* 1818689 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1818775), // Rule ID 12805 //
     /* 1818694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1818705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1818708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1818714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818740 */     // MIs[0] policy
     /* 1818740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1818753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818774 */     // GIR_Coverage, 12805,
     /* 1818774 */     GIR_EraseRootFromParent_Done,
     /* 1818775 */   // Label 24646: @1818775
     /* 1818775 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1818861), // Rule ID 12808 //
     /* 1818780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1818791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1818794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1818800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818826 */     // MIs[0] policy
     /* 1818826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1818839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818860 */     // GIR_Coverage, 12808,
     /* 1818860 */     GIR_EraseRootFromParent_Done,
     /* 1818861 */   // Label 24647: @1818861
     /* 1818861 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1818947), // Rule ID 12809 //
     /* 1818866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1818877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1818880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1818886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818912 */     // MIs[0] policy
     /* 1818912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1818925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818946 */     // GIR_Coverage, 12809,
     /* 1818946 */     GIR_EraseRootFromParent_Done,
     /* 1818947 */   // Label 24648: @1818947
     /* 1818947 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1819033), // Rule ID 12812 //
     /* 1818952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1818963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1818966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1818972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818998 */     // MIs[0] policy
     /* 1818998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819032 */     // GIR_Coverage, 12812,
     /* 1819032 */     GIR_EraseRootFromParent_Done,
     /* 1819033 */   // Label 24649: @1819033
     /* 1819033 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1819119), // Rule ID 12813 //
     /* 1819038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819084 */     // MIs[0] policy
     /* 1819084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819118 */     // GIR_Coverage, 12813,
     /* 1819118 */     GIR_EraseRootFromParent_Done,
     /* 1819119 */   // Label 24650: @1819119
     /* 1819119 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1819205), // Rule ID 12816 //
     /* 1819124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819170 */     // MIs[0] policy
     /* 1819170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819204 */     // GIR_Coverage, 12816,
     /* 1819204 */     GIR_EraseRootFromParent_Done,
     /* 1819205 */   // Label 24651: @1819205
     /* 1819205 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1819291), // Rule ID 12817 //
     /* 1819210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819256 */     // MIs[0] policy
     /* 1819256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819290 */     // GIR_Coverage, 12817,
     /* 1819290 */     GIR_EraseRootFromParent_Done,
     /* 1819291 */   // Label 24652: @1819291
     /* 1819291 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1819377), // Rule ID 12820 //
     /* 1819296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1819307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1819310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1819316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819342 */     // MIs[0] policy
     /* 1819342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819376 */     // GIR_Coverage, 12820,
     /* 1819376 */     GIR_EraseRootFromParent_Done,
     /* 1819377 */   // Label 24653: @1819377
     /* 1819377 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1819463), // Rule ID 12821 //
     /* 1819382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1819393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1819396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1819402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819428 */     // MIs[0] policy
     /* 1819428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819462 */     // GIR_Coverage, 12821,
     /* 1819462 */     GIR_EraseRootFromParent_Done,
     /* 1819463 */   // Label 24654: @1819463
     /* 1819463 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1819549), // Rule ID 12824 //
     /* 1819468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1819479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1819482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1819488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819514 */     // MIs[0] policy
     /* 1819514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819548 */     // GIR_Coverage, 12824,
     /* 1819548 */     GIR_EraseRootFromParent_Done,
     /* 1819549 */   // Label 24655: @1819549
     /* 1819549 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1819635), // Rule ID 12825 //
     /* 1819554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1819565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1819568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1819574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819600 */     // MIs[0] policy
     /* 1819600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819634 */     // GIR_Coverage, 12825,
     /* 1819634 */     GIR_EraseRootFromParent_Done,
     /* 1819635 */   // Label 24656: @1819635
     /* 1819635 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1819721), // Rule ID 12828 //
     /* 1819640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1819651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1819654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1819660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819686 */     // MIs[0] policy
     /* 1819686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1819699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819720 */     // GIR_Coverage, 12828,
     /* 1819720 */     GIR_EraseRootFromParent_Done,
     /* 1819721 */   // Label 24657: @1819721
     /* 1819721 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1819807), // Rule ID 12829 //
     /* 1819726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1819737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1819740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1819746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819772 */     // MIs[0] policy
     /* 1819772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1819785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819806 */     // GIR_Coverage, 12829,
     /* 1819806 */     GIR_EraseRootFromParent_Done,
     /* 1819807 */   // Label 24658: @1819807
     /* 1819807 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1819893), // Rule ID 12832 //
     /* 1819812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819858 */     // MIs[0] policy
     /* 1819858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1819871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819892 */     // GIR_Coverage, 12832,
     /* 1819892 */     GIR_EraseRootFromParent_Done,
     /* 1819893 */   // Label 24659: @1819893
     /* 1819893 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1819979), // Rule ID 12833 //
     /* 1819898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819944 */     // MIs[0] policy
     /* 1819944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1819957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819978 */     // GIR_Coverage, 12833,
     /* 1819978 */     GIR_EraseRootFromParent_Done,
     /* 1819979 */   // Label 24660: @1819979
     /* 1819979 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1820065), // Rule ID 12836 //
     /* 1819984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1819995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1819998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820030 */     // MIs[0] policy
     /* 1820030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820064 */     // GIR_Coverage, 12836,
     /* 1820064 */     GIR_EraseRootFromParent_Done,
     /* 1820065 */   // Label 24661: @1820065
     /* 1820065 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1820151), // Rule ID 12837 //
     /* 1820070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820116 */     // MIs[0] policy
     /* 1820116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820150 */     // GIR_Coverage, 12837,
     /* 1820150 */     GIR_EraseRootFromParent_Done,
     /* 1820151 */   // Label 24662: @1820151
     /* 1820151 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1820237), // Rule ID 12840 //
     /* 1820156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1820167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1820170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1820176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820202 */     // MIs[0] policy
     /* 1820202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820236 */     // GIR_Coverage, 12840,
     /* 1820236 */     GIR_EraseRootFromParent_Done,
     /* 1820237 */   // Label 24663: @1820237
     /* 1820237 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1820323), // Rule ID 12841 //
     /* 1820242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1820253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1820256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1820262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820288 */     // MIs[0] policy
     /* 1820288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820322 */     // GIR_Coverage, 12841,
     /* 1820322 */     GIR_EraseRootFromParent_Done,
     /* 1820323 */   // Label 24664: @1820323
     /* 1820323 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1820409), // Rule ID 12844 //
     /* 1820328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1820339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820374 */     // MIs[0] policy
     /* 1820374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820408 */     // GIR_Coverage, 12844,
     /* 1820408 */     GIR_EraseRootFromParent_Done,
     /* 1820409 */   // Label 24665: @1820409
     /* 1820409 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1820495), // Rule ID 12845 //
     /* 1820414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1820425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820460 */     // MIs[0] policy
     /* 1820460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820494 */     // GIR_Coverage, 12845,
     /* 1820494 */     GIR_EraseRootFromParent_Done,
     /* 1820495 */   // Label 24666: @1820495
     /* 1820495 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1820581), // Rule ID 12848 //
     /* 1820500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820546 */     // MIs[0] policy
     /* 1820546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1820559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820580 */     // GIR_Coverage, 12848,
     /* 1820580 */     GIR_EraseRootFromParent_Done,
     /* 1820581 */   // Label 24667: @1820581
     /* 1820581 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1820667), // Rule ID 12849 //
     /* 1820586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820632 */     // MIs[0] policy
     /* 1820632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1820645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820666 */     // GIR_Coverage, 12849,
     /* 1820666 */     GIR_EraseRootFromParent_Done,
     /* 1820667 */   // Label 24668: @1820667
     /* 1820667 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1820753), // Rule ID 12852 //
     /* 1820672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820718 */     // MIs[0] policy
     /* 1820718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1820731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820752 */     // GIR_Coverage, 12852,
     /* 1820752 */     GIR_EraseRootFromParent_Done,
     /* 1820753 */   // Label 24669: @1820753
     /* 1820753 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1820839), // Rule ID 12853 //
     /* 1820758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820804 */     // MIs[0] policy
     /* 1820804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820814 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1820817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820838 */     // GIR_Coverage, 12853,
     /* 1820838 */     GIR_EraseRootFromParent_Done,
     /* 1820839 */   // Label 24670: @1820839
     /* 1820839 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1820925), // Rule ID 12856 //
     /* 1820844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820890 */     // MIs[0] policy
     /* 1820890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820924 */     // GIR_Coverage, 12856,
     /* 1820924 */     GIR_EraseRootFromParent_Done,
     /* 1820925 */   // Label 24671: @1820925
     /* 1820925 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1821011), // Rule ID 12857 //
     /* 1820930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820976 */     // MIs[0] policy
     /* 1820976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821010 */     // GIR_Coverage, 12857,
     /* 1821010 */     GIR_EraseRootFromParent_Done,
     /* 1821011 */   // Label 24672: @1821011
     /* 1821011 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1821097), // Rule ID 12860 //
     /* 1821016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821062 */     // MIs[0] policy
     /* 1821062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821096 */     // GIR_Coverage, 12860,
     /* 1821096 */     GIR_EraseRootFromParent_Done,
     /* 1821097 */   // Label 24673: @1821097
     /* 1821097 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1821183), // Rule ID 12861 //
     /* 1821102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821148 */     // MIs[0] policy
     /* 1821148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821182 */     // GIR_Coverage, 12861,
     /* 1821182 */     GIR_EraseRootFromParent_Done,
     /* 1821183 */   // Label 24674: @1821183
     /* 1821183 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1821269), // Rule ID 12864 //
     /* 1821188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1821199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1821202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1821208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821234 */     // MIs[0] policy
     /* 1821234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821268 */     // GIR_Coverage, 12864,
     /* 1821268 */     GIR_EraseRootFromParent_Done,
     /* 1821269 */   // Label 24675: @1821269
     /* 1821269 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1821355), // Rule ID 12865 //
     /* 1821274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1821285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1821288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1821294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821320 */     // MIs[0] policy
     /* 1821320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821354 */     // GIR_Coverage, 12865,
     /* 1821354 */     GIR_EraseRootFromParent_Done,
     /* 1821355 */   // Label 24676: @1821355
     /* 1821355 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1821441), // Rule ID 12868 //
     /* 1821360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821406 */     // MIs[0] policy
     /* 1821406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821440 */     // GIR_Coverage, 12868,
     /* 1821440 */     GIR_EraseRootFromParent_Done,
     /* 1821441 */   // Label 24677: @1821441
     /* 1821441 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1821527), // Rule ID 12869 //
     /* 1821446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821492 */     // MIs[0] policy
     /* 1821492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821526 */     // GIR_Coverage, 12869,
     /* 1821526 */     GIR_EraseRootFromParent_Done,
     /* 1821527 */   // Label 24678: @1821527
     /* 1821527 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1821613), // Rule ID 12872 //
     /* 1821532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821578 */     // MIs[0] policy
     /* 1821578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821612 */     // GIR_Coverage, 12872,
     /* 1821612 */     GIR_EraseRootFromParent_Done,
     /* 1821613 */   // Label 24679: @1821613
     /* 1821613 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1821699), // Rule ID 12873 //
     /* 1821618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821664 */     // MIs[0] policy
     /* 1821664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821698 */     // GIR_Coverage, 12873,
     /* 1821698 */     GIR_EraseRootFromParent_Done,
     /* 1821699 */   // Label 24680: @1821699
     /* 1821699 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1821785), // Rule ID 12876 //
     /* 1821704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821750 */     // MIs[0] policy
     /* 1821750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821784 */     // GIR_Coverage, 12876,
     /* 1821784 */     GIR_EraseRootFromParent_Done,
     /* 1821785 */   // Label 24681: @1821785
     /* 1821785 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1821871), // Rule ID 12877 //
     /* 1821790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821836 */     // MIs[0] policy
     /* 1821836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821870 */     // GIR_Coverage, 12877,
     /* 1821870 */     GIR_EraseRootFromParent_Done,
     /* 1821871 */   // Label 24682: @1821871
     /* 1821871 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1821957), // Rule ID 12880 //
     /* 1821876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821922 */     // MIs[0] policy
     /* 1821922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821956 */     // GIR_Coverage, 12880,
     /* 1821956 */     GIR_EraseRootFromParent_Done,
     /* 1821957 */   // Label 24683: @1821957
     /* 1821957 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1822043), // Rule ID 12881 //
     /* 1821962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822008 */     // MIs[0] policy
     /* 1822008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1822021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822042 */     // GIR_Coverage, 12881,
     /* 1822042 */     GIR_EraseRootFromParent_Done,
     /* 1822043 */   // Label 24684: @1822043
     /* 1822043 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1822129), // Rule ID 12884 //
     /* 1822048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822094 */     // MIs[0] policy
     /* 1822094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822128 */     // GIR_Coverage, 12884,
     /* 1822128 */     GIR_EraseRootFromParent_Done,
     /* 1822129 */   // Label 24685: @1822129
     /* 1822129 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1822215), // Rule ID 12885 //
     /* 1822134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822180 */     // MIs[0] policy
     /* 1822180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822214 */     // GIR_Coverage, 12885,
     /* 1822214 */     GIR_EraseRootFromParent_Done,
     /* 1822215 */   // Label 24686: @1822215
     /* 1822215 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1822301), // Rule ID 12888 //
     /* 1822220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822266 */     // MIs[0] policy
     /* 1822266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822300 */     // GIR_Coverage, 12888,
     /* 1822300 */     GIR_EraseRootFromParent_Done,
     /* 1822301 */   // Label 24687: @1822301
     /* 1822301 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1822387), // Rule ID 12889 //
     /* 1822306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822352 */     // MIs[0] policy
     /* 1822352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822386 */     // GIR_Coverage, 12889,
     /* 1822386 */     GIR_EraseRootFromParent_Done,
     /* 1822387 */   // Label 24688: @1822387
     /* 1822387 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1822473), // Rule ID 12892 //
     /* 1822392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822438 */     // MIs[0] policy
     /* 1822438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822448 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1822451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822472 */     // GIR_Coverage, 12892,
     /* 1822472 */     GIR_EraseRootFromParent_Done,
     /* 1822473 */   // Label 24689: @1822473
     /* 1822473 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1822559), // Rule ID 12893 //
     /* 1822478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822524 */     // MIs[0] policy
     /* 1822524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822534 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1822537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822558 */     // GIR_Coverage, 12893,
     /* 1822558 */     GIR_EraseRootFromParent_Done,
     /* 1822559 */   // Label 24690: @1822559
     /* 1822559 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1822645), // Rule ID 12896 //
     /* 1822564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1822584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822610 */     // MIs[0] policy
     /* 1822610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822620 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1822623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822644 */     // GIR_Coverage, 12896,
     /* 1822644 */     GIR_EraseRootFromParent_Done,
     /* 1822645 */   // Label 24691: @1822645
     /* 1822645 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1822731), // Rule ID 12897 //
     /* 1822650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1822670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822696 */     // MIs[0] policy
     /* 1822696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822706 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1822709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822730 */     // GIR_Coverage, 12897,
     /* 1822730 */     GIR_EraseRootFromParent_Done,
     /* 1822731 */   // Label 24692: @1822731
     /* 1822731 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1822817), // Rule ID 12900 //
     /* 1822736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1822756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822782 */     // MIs[0] policy
     /* 1822782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1822795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822816 */     // GIR_Coverage, 12900,
     /* 1822816 */     GIR_EraseRootFromParent_Done,
     /* 1822817 */   // Label 24693: @1822817
     /* 1822817 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1822903), // Rule ID 12901 //
     /* 1822822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1822842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822868 */     // MIs[0] policy
     /* 1822868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822878 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1822881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822902 */     // GIR_Coverage, 12901,
     /* 1822902 */     GIR_EraseRootFromParent_Done,
     /* 1822903 */   // Label 24694: @1822903
     /* 1822903 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1822989), // Rule ID 12904 //
     /* 1822908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1822919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1822922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1822925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1822928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822954 */     // MIs[0] policy
     /* 1822954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1822967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822988 */     // GIR_Coverage, 12904,
     /* 1822988 */     GIR_EraseRootFromParent_Done,
     /* 1822989 */   // Label 24695: @1822989
     /* 1822989 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1823075), // Rule ID 12905 //
     /* 1822994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823040 */     // MIs[0] policy
     /* 1823040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1823053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823074 */     // GIR_Coverage, 12905,
     /* 1823074 */     GIR_EraseRootFromParent_Done,
     /* 1823075 */   // Label 24696: @1823075
     /* 1823075 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1823161), // Rule ID 12908 //
     /* 1823080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823126 */     // MIs[0] policy
     /* 1823126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823160 */     // GIR_Coverage, 12908,
     /* 1823160 */     GIR_EraseRootFromParent_Done,
     /* 1823161 */   // Label 24697: @1823161
     /* 1823161 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1823247), // Rule ID 12909 //
     /* 1823166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823212 */     // MIs[0] policy
     /* 1823212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823246 */     // GIR_Coverage, 12909,
     /* 1823246 */     GIR_EraseRootFromParent_Done,
     /* 1823247 */   // Label 24698: @1823247
     /* 1823247 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1823333), // Rule ID 12912 //
     /* 1823252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1823272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823298 */     // MIs[0] policy
     /* 1823298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823332 */     // GIR_Coverage, 12912,
     /* 1823332 */     GIR_EraseRootFromParent_Done,
     /* 1823333 */   // Label 24699: @1823333
     /* 1823333 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1823419), // Rule ID 12913 //
     /* 1823338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1823358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823384 */     // MIs[0] policy
     /* 1823384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823418 */     // GIR_Coverage, 12913,
     /* 1823418 */     GIR_EraseRootFromParent_Done,
     /* 1823419 */   // Label 24700: @1823419
     /* 1823419 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1823505), // Rule ID 12916 //
     /* 1823424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823470 */     // MIs[0] policy
     /* 1823470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823504 */     // GIR_Coverage, 12916,
     /* 1823504 */     GIR_EraseRootFromParent_Done,
     /* 1823505 */   // Label 24701: @1823505
     /* 1823505 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1823591), // Rule ID 12917 //
     /* 1823510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823556 */     // MIs[0] policy
     /* 1823556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823566 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823590 */     // GIR_Coverage, 12917,
     /* 1823590 */     GIR_EraseRootFromParent_Done,
     /* 1823591 */   // Label 24702: @1823591
     /* 1823591 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1823677), // Rule ID 12920 //
     /* 1823596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1823616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823642 */     // MIs[0] policy
     /* 1823642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823676 */     // GIR_Coverage, 12920,
     /* 1823676 */     GIR_EraseRootFromParent_Done,
     /* 1823677 */   // Label 24703: @1823677
     /* 1823677 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1823763), // Rule ID 12921 //
     /* 1823682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1823702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823728 */     // MIs[0] policy
     /* 1823728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823762 */     // GIR_Coverage, 12921,
     /* 1823762 */     GIR_EraseRootFromParent_Done,
     /* 1823763 */   // Label 24704: @1823763
     /* 1823763 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1823849), // Rule ID 12924 //
     /* 1823768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1823779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1823782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1823785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1823788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823814 */     // MIs[0] policy
     /* 1823814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823848 */     // GIR_Coverage, 12924,
     /* 1823848 */     GIR_EraseRootFromParent_Done,
     /* 1823849 */   // Label 24705: @1823849
     /* 1823849 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1823935), // Rule ID 12925 //
     /* 1823854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1823865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1823868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1823871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1823874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823900 */     // MIs[0] policy
     /* 1823900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823934 */     // GIR_Coverage, 12925,
     /* 1823934 */     GIR_EraseRootFromParent_Done,
     /* 1823935 */   // Label 24706: @1823935
     /* 1823935 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1824021), // Rule ID 12928 //
     /* 1823940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1823951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1823954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1823957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1823960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823986 */     // MIs[0] policy
     /* 1823986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824020 */     // GIR_Coverage, 12928,
     /* 1824020 */     GIR_EraseRootFromParent_Done,
     /* 1824021 */   // Label 24707: @1824021
     /* 1824021 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1824107), // Rule ID 12929 //
     /* 1824026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824072 */     // MIs[0] policy
     /* 1824072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824106 */     // GIR_Coverage, 12929,
     /* 1824106 */     GIR_EraseRootFromParent_Done,
     /* 1824107 */   // Label 24708: @1824107
     /* 1824107 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1824193), // Rule ID 12932 //
     /* 1824112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824158 */     // MIs[0] policy
     /* 1824158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824168 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824192 */     // GIR_Coverage, 12932,
     /* 1824192 */     GIR_EraseRootFromParent_Done,
     /* 1824193 */   // Label 24709: @1824193
     /* 1824193 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1824279), // Rule ID 12933 //
     /* 1824198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824244 */     // MIs[0] policy
     /* 1824244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824278 */     // GIR_Coverage, 12933,
     /* 1824278 */     GIR_EraseRootFromParent_Done,
     /* 1824279 */   // Label 24710: @1824279
     /* 1824279 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1824365), // Rule ID 12936 //
     /* 1824284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1824304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824330 */     // MIs[0] policy
     /* 1824330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824364 */     // GIR_Coverage, 12936,
     /* 1824364 */     GIR_EraseRootFromParent_Done,
     /* 1824365 */   // Label 24711: @1824365
     /* 1824365 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1824451), // Rule ID 12937 //
     /* 1824370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1824390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824416 */     // MIs[0] policy
     /* 1824416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824450 */     // GIR_Coverage, 12937,
     /* 1824450 */     GIR_EraseRootFromParent_Done,
     /* 1824451 */   // Label 24712: @1824451
     /* 1824451 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1824537), // Rule ID 12940 //
     /* 1824456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1824476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824502 */     // MIs[0] policy
     /* 1824502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1824515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824536 */     // GIR_Coverage, 12940,
     /* 1824536 */     GIR_EraseRootFromParent_Done,
     /* 1824537 */   // Label 24713: @1824537
     /* 1824537 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1824623), // Rule ID 12941 //
     /* 1824542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1824562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824588 */     // MIs[0] policy
     /* 1824588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824598 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1824601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824622 */     // GIR_Coverage, 12941,
     /* 1824622 */     GIR_EraseRootFromParent_Done,
     /* 1824623 */   // Label 24714: @1824623
     /* 1824623 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1824709), // Rule ID 12944 //
     /* 1824628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1824639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1824642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1824645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1824648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824674 */     // MIs[0] policy
     /* 1824674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824708 */     // GIR_Coverage, 12944,
     /* 1824708 */     GIR_EraseRootFromParent_Done,
     /* 1824709 */   // Label 24715: @1824709
     /* 1824709 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1824795), // Rule ID 12945 //
     /* 1824714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1824725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1824728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1824731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1824734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824760 */     // MIs[0] policy
     /* 1824760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824794 */     // GIR_Coverage, 12945,
     /* 1824794 */     GIR_EraseRootFromParent_Done,
     /* 1824795 */   // Label 24716: @1824795
     /* 1824795 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1824881), // Rule ID 12948 //
     /* 1824800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1824811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1824814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1824817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1824820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824846 */     // MIs[0] policy
     /* 1824846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824880 */     // GIR_Coverage, 12948,
     /* 1824880 */     GIR_EraseRootFromParent_Done,
     /* 1824881 */   // Label 24717: @1824881
     /* 1824881 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1824967), // Rule ID 12949 //
     /* 1824886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1824897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1824900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1824903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1824906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824932 */     // MIs[0] policy
     /* 1824932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824966 */     // GIR_Coverage, 12949,
     /* 1824966 */     GIR_EraseRootFromParent_Done,
     /* 1824967 */   // Label 24718: @1824967
     /* 1824967 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1825053), // Rule ID 12952 //
     /* 1824972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1824983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1824986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1824989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1824992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825018 */     // MIs[0] policy
     /* 1825018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825052 */     // GIR_Coverage, 12952,
     /* 1825052 */     GIR_EraseRootFromParent_Done,
     /* 1825053 */   // Label 24719: @1825053
     /* 1825053 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1825139), // Rule ID 12953 //
     /* 1825058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825104 */     // MIs[0] policy
     /* 1825104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825138 */     // GIR_Coverage, 12953,
     /* 1825138 */     GIR_EraseRootFromParent_Done,
     /* 1825139 */   // Label 24720: @1825139
     /* 1825139 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1825225), // Rule ID 12956 //
     /* 1825144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1825164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825190 */     // MIs[0] policy
     /* 1825190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825224 */     // GIR_Coverage, 12956,
     /* 1825224 */     GIR_EraseRootFromParent_Done,
     /* 1825225 */   // Label 24721: @1825225
     /* 1825225 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1825311), // Rule ID 12957 //
     /* 1825230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1825250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825276 */     // MIs[0] policy
     /* 1825276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825310 */     // GIR_Coverage, 12957,
     /* 1825310 */     GIR_EraseRootFromParent_Done,
     /* 1825311 */   // Label 24722: @1825311
     /* 1825311 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1825397), // Rule ID 12960 //
     /* 1825316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1825336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825362 */     // MIs[0] policy
     /* 1825362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825396 */     // GIR_Coverage, 12960,
     /* 1825396 */     GIR_EraseRootFromParent_Done,
     /* 1825397 */   // Label 24723: @1825397
     /* 1825397 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1825483), // Rule ID 12961 //
     /* 1825402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1825422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825448 */     // MIs[0] policy
     /* 1825448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825482 */     // GIR_Coverage, 12961,
     /* 1825482 */     GIR_EraseRootFromParent_Done,
     /* 1825483 */   // Label 24724: @1825483
     /* 1825483 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1825569), // Rule ID 12964 //
     /* 1825488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1825499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1825502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1825505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1825508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825534 */     // MIs[0] policy
     /* 1825534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825568 */     // GIR_Coverage, 12964,
     /* 1825568 */     GIR_EraseRootFromParent_Done,
     /* 1825569 */   // Label 24725: @1825569
     /* 1825569 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1825655), // Rule ID 12965 //
     /* 1825574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1825585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1825588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1825591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1825594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825620 */     // MIs[0] policy
     /* 1825620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825654 */     // GIR_Coverage, 12965,
     /* 1825654 */     GIR_EraseRootFromParent_Done,
     /* 1825655 */   // Label 24726: @1825655
     /* 1825655 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1825741), // Rule ID 12968 //
     /* 1825660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1825671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1825674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1825677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1825680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825706 */     // MIs[0] policy
     /* 1825706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825740 */     // GIR_Coverage, 12968,
     /* 1825740 */     GIR_EraseRootFromParent_Done,
     /* 1825741 */   // Label 24727: @1825741
     /* 1825741 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1825827), // Rule ID 12969 //
     /* 1825746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1825757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1825760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1825763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1825766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825792 */     // MIs[0] policy
     /* 1825792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825826 */     // GIR_Coverage, 12969,
     /* 1825826 */     GIR_EraseRootFromParent_Done,
     /* 1825827 */   // Label 24728: @1825827
     /* 1825827 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1825913), // Rule ID 12972 //
     /* 1825832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1825843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1825846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1825849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1825852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825878 */     // MIs[0] policy
     /* 1825878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825888 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825912 */     // GIR_Coverage, 12972,
     /* 1825912 */     GIR_EraseRootFromParent_Done,
     /* 1825913 */   // Label 24729: @1825913
     /* 1825913 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1825999), // Rule ID 12973 //
     /* 1825918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1825929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1825932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1825935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1825938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825964 */     // MIs[0] policy
     /* 1825964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825998 */     // GIR_Coverage, 12973,
     /* 1825998 */     GIR_EraseRootFromParent_Done,
     /* 1825999 */   // Label 24730: @1825999
     /* 1825999 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1826085), // Rule ID 12976 //
     /* 1826004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826050 */     // MIs[0] policy
     /* 1826050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826060 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826084 */     // GIR_Coverage, 12976,
     /* 1826084 */     GIR_EraseRootFromParent_Done,
     /* 1826085 */   // Label 24731: @1826085
     /* 1826085 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1826171), // Rule ID 12977 //
     /* 1826090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826136 */     // MIs[0] policy
     /* 1826136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826170 */     // GIR_Coverage, 12977,
     /* 1826170 */     GIR_EraseRootFromParent_Done,
     /* 1826171 */   // Label 24732: @1826171
     /* 1826171 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1826257), // Rule ID 12980 //
     /* 1826176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1826187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1826190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826222 */     // MIs[0] policy
     /* 1826222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826232 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1826235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826256 */     // GIR_Coverage, 12980,
     /* 1826256 */     GIR_EraseRootFromParent_Done,
     /* 1826257 */   // Label 24733: @1826257
     /* 1826257 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1826343), // Rule ID 12981 //
     /* 1826262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1826273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1826276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826308 */     // MIs[0] policy
     /* 1826308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826318 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1826321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826342 */     // GIR_Coverage, 12981,
     /* 1826342 */     GIR_EraseRootFromParent_Done,
     /* 1826343 */   // Label 24734: @1826343
     /* 1826343 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1826429), // Rule ID 12984 //
     /* 1826348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826394 */     // MIs[0] policy
     /* 1826394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826404 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826428 */     // GIR_Coverage, 12984,
     /* 1826428 */     GIR_EraseRootFromParent_Done,
     /* 1826429 */   // Label 24735: @1826429
     /* 1826429 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1826515), // Rule ID 12985 //
     /* 1826434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826480 */     // MIs[0] policy
     /* 1826480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826490 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826514 */     // GIR_Coverage, 12985,
     /* 1826514 */     GIR_EraseRootFromParent_Done,
     /* 1826515 */   // Label 24736: @1826515
     /* 1826515 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1826601), // Rule ID 12988 //
     /* 1826520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1826531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1826534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1826540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826566 */     // MIs[0] policy
     /* 1826566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826576 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1826579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826600 */     // GIR_Coverage, 12988,
     /* 1826600 */     GIR_EraseRootFromParent_Done,
     /* 1826601 */   // Label 24737: @1826601
     /* 1826601 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1826687), // Rule ID 12989 //
     /* 1826606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1826617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1826620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1826626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826652 */     // MIs[0] policy
     /* 1826652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826662 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1826665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826686 */     // GIR_Coverage, 12989,
     /* 1826686 */     GIR_EraseRootFromParent_Done,
     /* 1826687 */   // Label 24738: @1826687
     /* 1826687 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1826773), // Rule ID 12992 //
     /* 1826692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1826712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826738 */     // MIs[0] policy
     /* 1826738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826772 */     // GIR_Coverage, 12992,
     /* 1826772 */     GIR_EraseRootFromParent_Done,
     /* 1826773 */   // Label 24739: @1826773
     /* 1826773 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1826859), // Rule ID 12993 //
     /* 1826778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1826798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826824 */     // MIs[0] policy
     /* 1826824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826858 */     // GIR_Coverage, 12993,
     /* 1826858 */     GIR_EraseRootFromParent_Done,
     /* 1826859 */   // Label 24740: @1826859
     /* 1826859 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1826945), // Rule ID 12996 //
     /* 1826864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1826875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1826878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1826884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826910 */     // MIs[0] policy
     /* 1826910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1826923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826944 */     // GIR_Coverage, 12996,
     /* 1826944 */     GIR_EraseRootFromParent_Done,
     /* 1826945 */   // Label 24741: @1826945
     /* 1826945 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1827031), // Rule ID 12997 //
     /* 1826950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1826961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1826964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1826970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826996 */     // MIs[0] policy
     /* 1826996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827030 */     // GIR_Coverage, 12997,
     /* 1827030 */     GIR_EraseRootFromParent_Done,
     /* 1827031 */   // Label 24742: @1827031
     /* 1827031 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1827117), // Rule ID 13000 //
     /* 1827036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827082 */     // MIs[0] policy
     /* 1827082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827116 */     // GIR_Coverage, 13000,
     /* 1827116 */     GIR_EraseRootFromParent_Done,
     /* 1827117 */   // Label 24743: @1827117
     /* 1827117 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1827203), // Rule ID 13001 //
     /* 1827122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827168 */     // MIs[0] policy
     /* 1827168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827202 */     // GIR_Coverage, 13001,
     /* 1827202 */     GIR_EraseRootFromParent_Done,
     /* 1827203 */   // Label 24744: @1827203
     /* 1827203 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1827289), // Rule ID 13004 //
     /* 1827208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1827219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1827222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827254 */     // MIs[0] policy
     /* 1827254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827288 */     // GIR_Coverage, 13004,
     /* 1827288 */     GIR_EraseRootFromParent_Done,
     /* 1827289 */   // Label 24745: @1827289
     /* 1827289 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1827375), // Rule ID 13005 //
     /* 1827294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1827305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1827308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827340 */     // MIs[0] policy
     /* 1827340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827350 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827374 */     // GIR_Coverage, 13005,
     /* 1827374 */     GIR_EraseRootFromParent_Done,
     /* 1827375 */   // Label 24746: @1827375
     /* 1827375 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1827461), // Rule ID 13008 //
     /* 1827380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827426 */     // MIs[0] policy
     /* 1827426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827460 */     // GIR_Coverage, 13008,
     /* 1827460 */     GIR_EraseRootFromParent_Done,
     /* 1827461 */   // Label 24747: @1827461
     /* 1827461 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1827547), // Rule ID 13009 //
     /* 1827466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827512 */     // MIs[0] policy
     /* 1827512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827546 */     // GIR_Coverage, 13009,
     /* 1827546 */     GIR_EraseRootFromParent_Done,
     /* 1827547 */   // Label 24748: @1827547
     /* 1827547 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1827633), // Rule ID 13012 //
     /* 1827552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1827563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1827566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1827572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827598 */     // MIs[0] policy
     /* 1827598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827632 */     // GIR_Coverage, 13012,
     /* 1827632 */     GIR_EraseRootFromParent_Done,
     /* 1827633 */   // Label 24749: @1827633
     /* 1827633 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1827719), // Rule ID 13013 //
     /* 1827638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1827649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1827652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1827658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827684 */     // MIs[0] policy
     /* 1827684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827718 */     // GIR_Coverage, 13013,
     /* 1827718 */     GIR_EraseRootFromParent_Done,
     /* 1827719 */   // Label 24750: @1827719
     /* 1827719 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1827805), // Rule ID 13016 //
     /* 1827724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1827735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1827738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1827744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827770 */     // MIs[0] policy
     /* 1827770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827804 */     // GIR_Coverage, 13016,
     /* 1827804 */     GIR_EraseRootFromParent_Done,
     /* 1827805 */   // Label 24751: @1827805
     /* 1827805 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1827891), // Rule ID 13017 //
     /* 1827810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1827821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1827824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1827830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827856 */     // MIs[0] policy
     /* 1827856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827890 */     // GIR_Coverage, 13017,
     /* 1827890 */     GIR_EraseRootFromParent_Done,
     /* 1827891 */   // Label 24752: @1827891
     /* 1827891 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1827977), // Rule ID 13020 //
     /* 1827896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1827907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1827910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1827916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827942 */     // MIs[0] policy
     /* 1827942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1827955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827976 */     // GIR_Coverage, 13020,
     /* 1827976 */     GIR_EraseRootFromParent_Done,
     /* 1827977 */   // Label 24753: @1827977
     /* 1827977 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1828063), // Rule ID 13021 //
     /* 1827982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1827993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1827996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828028 */     // MIs[0] policy
     /* 1828028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828038 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828062 */     // GIR_Coverage, 13021,
     /* 1828062 */     GIR_EraseRootFromParent_Done,
     /* 1828063 */   // Label 24754: @1828063
     /* 1828063 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1828149), // Rule ID 13024 //
     /* 1828068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828114 */     // MIs[0] policy
     /* 1828114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828148 */     // GIR_Coverage, 13024,
     /* 1828148 */     GIR_EraseRootFromParent_Done,
     /* 1828149 */   // Label 24755: @1828149
     /* 1828149 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1828235), // Rule ID 13025 //
     /* 1828154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828200 */     // MIs[0] policy
     /* 1828200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828234 */     // GIR_Coverage, 13025,
     /* 1828234 */     GIR_EraseRootFromParent_Done,
     /* 1828235 */   // Label 24756: @1828235
     /* 1828235 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1828321), // Rule ID 13028 //
     /* 1828240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1828251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1828254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1828260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1828263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828286 */     // MIs[0] policy
     /* 1828286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828320 */     // GIR_Coverage, 13028,
     /* 1828320 */     GIR_EraseRootFromParent_Done,
     /* 1828321 */   // Label 24757: @1828321
     /* 1828321 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1828407), // Rule ID 13029 //
     /* 1828326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1828337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1828340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1828346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1828349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828372 */     // MIs[0] policy
     /* 1828372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828382 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828406 */     // GIR_Coverage, 13029,
     /* 1828406 */     GIR_EraseRootFromParent_Done,
     /* 1828407 */   // Label 24758: @1828407
     /* 1828407 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1828493), // Rule ID 13032 //
     /* 1828412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828458 */     // MIs[0] policy
     /* 1828458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828492 */     // GIR_Coverage, 13032,
     /* 1828492 */     GIR_EraseRootFromParent_Done,
     /* 1828493 */   // Label 24759: @1828493
     /* 1828493 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1828579), // Rule ID 13033 //
     /* 1828498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828544 */     // MIs[0] policy
     /* 1828544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828578 */     // GIR_Coverage, 13033,
     /* 1828578 */     GIR_EraseRootFromParent_Done,
     /* 1828579 */   // Label 24760: @1828579
     /* 1828579 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1828665), // Rule ID 13036 //
     /* 1828584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1828595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1828598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1828604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828630 */     // MIs[0] policy
     /* 1828630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828664 */     // GIR_Coverage, 13036,
     /* 1828664 */     GIR_EraseRootFromParent_Done,
     /* 1828665 */   // Label 24761: @1828665
     /* 1828665 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1828751), // Rule ID 13037 //
     /* 1828670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1828681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1828684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1828690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828716 */     // MIs[0] policy
     /* 1828716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828750 */     // GIR_Coverage, 13037,
     /* 1828750 */     GIR_EraseRootFromParent_Done,
     /* 1828751 */   // Label 24762: @1828751
     /* 1828751 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1828837), // Rule ID 13040 //
     /* 1828756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1828767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1828770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1828776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828802 */     // MIs[0] policy
     /* 1828802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828836 */     // GIR_Coverage, 13040,
     /* 1828836 */     GIR_EraseRootFromParent_Done,
     /* 1828837 */   // Label 24763: @1828837
     /* 1828837 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1828923), // Rule ID 13041 //
     /* 1828842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1828853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1828856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1828862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828888 */     // MIs[0] policy
     /* 1828888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828922 */     // GIR_Coverage, 13041,
     /* 1828922 */     GIR_EraseRootFromParent_Done,
     /* 1828923 */   // Label 24764: @1828923
     /* 1828923 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1829009), // Rule ID 13044 //
     /* 1828928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1828939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1828942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1828948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828974 */     // MIs[0] policy
     /* 1828974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829008 */     // GIR_Coverage, 13044,
     /* 1829008 */     GIR_EraseRootFromParent_Done,
     /* 1829009 */   // Label 24765: @1829009
     /* 1829009 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1829095), // Rule ID 13045 //
     /* 1829014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829060 */     // MIs[0] policy
     /* 1829060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829094 */     // GIR_Coverage, 13045,
     /* 1829094 */     GIR_EraseRootFromParent_Done,
     /* 1829095 */   // Label 24766: @1829095
     /* 1829095 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1829181), // Rule ID 13048 //
     /* 1829100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829146 */     // MIs[0] policy
     /* 1829146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829180 */     // GIR_Coverage, 13048,
     /* 1829180 */     GIR_EraseRootFromParent_Done,
     /* 1829181 */   // Label 24767: @1829181
     /* 1829181 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1829267), // Rule ID 13049 //
     /* 1829186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829232 */     // MIs[0] policy
     /* 1829232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829266 */     // GIR_Coverage, 13049,
     /* 1829266 */     GIR_EraseRootFromParent_Done,
     /* 1829267 */   // Label 24768: @1829267
     /* 1829267 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1829353), // Rule ID 13052 //
     /* 1829272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1829292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829318 */     // MIs[0] policy
     /* 1829318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829352 */     // GIR_Coverage, 13052,
     /* 1829352 */     GIR_EraseRootFromParent_Done,
     /* 1829353 */   // Label 24769: @1829353
     /* 1829353 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1829439), // Rule ID 13053 //
     /* 1829358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1829378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829404 */     // MIs[0] policy
     /* 1829404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829438 */     // GIR_Coverage, 13053,
     /* 1829438 */     GIR_EraseRootFromParent_Done,
     /* 1829439 */   // Label 24770: @1829439
     /* 1829439 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1829525), // Rule ID 13056 //
     /* 1829444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1829464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829490 */     // MIs[0] policy
     /* 1829490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829524 */     // GIR_Coverage, 13056,
     /* 1829524 */     GIR_EraseRootFromParent_Done,
     /* 1829525 */   // Label 24771: @1829525
     /* 1829525 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1829611), // Rule ID 13057 //
     /* 1829530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1829550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829576 */     // MIs[0] policy
     /* 1829576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829610 */     // GIR_Coverage, 13057,
     /* 1829610 */     GIR_EraseRootFromParent_Done,
     /* 1829611 */   // Label 24772: @1829611
     /* 1829611 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1829697), // Rule ID 13060 //
     /* 1829616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1829636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829662 */     // MIs[0] policy
     /* 1829662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829696 */     // GIR_Coverage, 13060,
     /* 1829696 */     GIR_EraseRootFromParent_Done,
     /* 1829697 */   // Label 24773: @1829697
     /* 1829697 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1829783), // Rule ID 13061 //
     /* 1829702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1829722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829748 */     // MIs[0] policy
     /* 1829748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829782 */     // GIR_Coverage, 13061,
     /* 1829782 */     GIR_EraseRootFromParent_Done,
     /* 1829783 */   // Label 24774: @1829783
     /* 1829783 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1829869), // Rule ID 13064 //
     /* 1829788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1829808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829834 */     // MIs[0] policy
     /* 1829834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829868 */     // GIR_Coverage, 13064,
     /* 1829868 */     GIR_EraseRootFromParent_Done,
     /* 1829869 */   // Label 24775: @1829869
     /* 1829869 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1829955), // Rule ID 13065 //
     /* 1829874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1829894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829920 */     // MIs[0] policy
     /* 1829920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829954 */     // GIR_Coverage, 13065,
     /* 1829954 */     GIR_EraseRootFromParent_Done,
     /* 1829955 */   // Label 24776: @1829955
     /* 1829955 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1830041), // Rule ID 13068 //
     /* 1829960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1829971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1829974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1829977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1829980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830006 */     // MIs[0] policy
     /* 1830006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1830019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830040 */     // GIR_Coverage, 13068,
     /* 1830040 */     GIR_EraseRootFromParent_Done,
     /* 1830041 */   // Label 24777: @1830041
     /* 1830041 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1830127), // Rule ID 13069 //
     /* 1830046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830092 */     // MIs[0] policy
     /* 1830092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1830105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830126 */     // GIR_Coverage, 13069,
     /* 1830126 */     GIR_EraseRootFromParent_Done,
     /* 1830127 */   // Label 24778: @1830127
     /* 1830127 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1830213), // Rule ID 13072 //
     /* 1830132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1830152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830178 */     // MIs[0] policy
     /* 1830178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830188 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830212 */     // GIR_Coverage, 13072,
     /* 1830212 */     GIR_EraseRootFromParent_Done,
     /* 1830213 */   // Label 24779: @1830213
     /* 1830213 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1830299), // Rule ID 13073 //
     /* 1830218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1830238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830264 */     // MIs[0] policy
     /* 1830264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830298 */     // GIR_Coverage, 13073,
     /* 1830298 */     GIR_EraseRootFromParent_Done,
     /* 1830299 */   // Label 24780: @1830299
     /* 1830299 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1830385), // Rule ID 13076 //
     /* 1830304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1830315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1830318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1830324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830350 */     // MIs[0] policy
     /* 1830350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830384 */     // GIR_Coverage, 13076,
     /* 1830384 */     GIR_EraseRootFromParent_Done,
     /* 1830385 */   // Label 24781: @1830385
     /* 1830385 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1830471), // Rule ID 13077 //
     /* 1830390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1830401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1830404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1830410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830436 */     // MIs[0] policy
     /* 1830436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830446 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830470 */     // GIR_Coverage, 13077,
     /* 1830470 */     GIR_EraseRootFromParent_Done,
     /* 1830471 */   // Label 24782: @1830471
     /* 1830471 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1830557), // Rule ID 13080 //
     /* 1830476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1830493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1830496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830522 */     // MIs[0] policy
     /* 1830522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830556 */     // GIR_Coverage, 13080,
     /* 1830556 */     GIR_EraseRootFromParent_Done,
     /* 1830557 */   // Label 24783: @1830557
     /* 1830557 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1830643), // Rule ID 13081 //
     /* 1830562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1830579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1830582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830608 */     // MIs[0] policy
     /* 1830608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830642 */     // GIR_Coverage, 13081,
     /* 1830642 */     GIR_EraseRootFromParent_Done,
     /* 1830643 */   // Label 24784: @1830643
     /* 1830643 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1830729), // Rule ID 13084 //
     /* 1830648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1830665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1830668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830694 */     // MIs[0] policy
     /* 1830694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830728 */     // GIR_Coverage, 13084,
     /* 1830728 */     GIR_EraseRootFromParent_Done,
     /* 1830729 */   // Label 24785: @1830729
     /* 1830729 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1830815), // Rule ID 13085 //
     /* 1830734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1830751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1830754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830780 */     // MIs[0] policy
     /* 1830780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830814 */     // GIR_Coverage, 13085,
     /* 1830814 */     GIR_EraseRootFromParent_Done,
     /* 1830815 */   // Label 24786: @1830815
     /* 1830815 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1830901), // Rule ID 13088 //
     /* 1830820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1830831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1830834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1830837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1830840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830866 */     // MIs[0] policy
     /* 1830866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830900 */     // GIR_Coverage, 13088,
     /* 1830900 */     GIR_EraseRootFromParent_Done,
     /* 1830901 */   // Label 24787: @1830901
     /* 1830901 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1830987), // Rule ID 13089 //
     /* 1830906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1830917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1830920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1830923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1830926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830952 */     // MIs[0] policy
     /* 1830952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830986 */     // GIR_Coverage, 13089,
     /* 1830986 */     GIR_EraseRootFromParent_Done,
     /* 1830987 */   // Label 24788: @1830987
     /* 1830987 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1831073), // Rule ID 13092 //
     /* 1830992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831038 */     // MIs[0] policy
     /* 1831038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831072 */     // GIR_Coverage, 13092,
     /* 1831072 */     GIR_EraseRootFromParent_Done,
     /* 1831073 */   // Label 24789: @1831073
     /* 1831073 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1831159), // Rule ID 13093 //
     /* 1831078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831124 */     // MIs[0] policy
     /* 1831124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831158 */     // GIR_Coverage, 13093,
     /* 1831158 */     GIR_EraseRootFromParent_Done,
     /* 1831159 */   // Label 24790: @1831159
     /* 1831159 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1831245), // Rule ID 13096 //
     /* 1831164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1831184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831210 */     // MIs[0] policy
     /* 1831210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831244 */     // GIR_Coverage, 13096,
     /* 1831244 */     GIR_EraseRootFromParent_Done,
     /* 1831245 */   // Label 24791: @1831245
     /* 1831245 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1831331), // Rule ID 13097 //
     /* 1831250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1831270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831296 */     // MIs[0] policy
     /* 1831296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831330 */     // GIR_Coverage, 13097,
     /* 1831330 */     GIR_EraseRootFromParent_Done,
     /* 1831331 */   // Label 24792: @1831331
     /* 1831331 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1831417), // Rule ID 13100 //
     /* 1831336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831382 */     // MIs[0] policy
     /* 1831382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831416 */     // GIR_Coverage, 13100,
     /* 1831416 */     GIR_EraseRootFromParent_Done,
     /* 1831417 */   // Label 24793: @1831417
     /* 1831417 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1831503), // Rule ID 13101 //
     /* 1831422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831468 */     // MIs[0] policy
     /* 1831468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831502 */     // GIR_Coverage, 13101,
     /* 1831502 */     GIR_EraseRootFromParent_Done,
     /* 1831503 */   // Label 24794: @1831503
     /* 1831503 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1831589), // Rule ID 13104 //
     /* 1831508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1831528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831554 */     // MIs[0] policy
     /* 1831554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831588 */     // GIR_Coverage, 13104,
     /* 1831588 */     GIR_EraseRootFromParent_Done,
     /* 1831589 */   // Label 24795: @1831589
     /* 1831589 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1831675), // Rule ID 13105 //
     /* 1831594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1831614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831640 */     // MIs[0] policy
     /* 1831640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831674 */     // GIR_Coverage, 13105,
     /* 1831674 */     GIR_EraseRootFromParent_Done,
     /* 1831675 */   // Label 24796: @1831675
     /* 1831675 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1831761), // Rule ID 13108 //
     /* 1831680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1831691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1831694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1831697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1831700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831726 */     // MIs[0] policy
     /* 1831726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1831739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831760 */     // GIR_Coverage, 13108,
     /* 1831760 */     GIR_EraseRootFromParent_Done,
     /* 1831761 */   // Label 24797: @1831761
     /* 1831761 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1831847), // Rule ID 13109 //
     /* 1831766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1831777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1831780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1831783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1831786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831812 */     // MIs[0] policy
     /* 1831812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831822 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1831825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831846 */     // GIR_Coverage, 13109,
     /* 1831846 */     GIR_EraseRootFromParent_Done,
     /* 1831847 */   // Label 24798: @1831847
     /* 1831847 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1831933), // Rule ID 13112 //
     /* 1831852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1831863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1831866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1831872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831898 */     // MIs[0] policy
     /* 1831898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831908 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1831911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831932 */     // GIR_Coverage, 13112,
     /* 1831932 */     GIR_EraseRootFromParent_Done,
     /* 1831933 */   // Label 24799: @1831933
     /* 1831933 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1832019), // Rule ID 13113 //
     /* 1831938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1831949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1831952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1831958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831984 */     // MIs[0] policy
     /* 1831984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831994 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1831997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832018 */     // GIR_Coverage, 13113,
     /* 1832018 */     GIR_EraseRootFromParent_Done,
     /* 1832019 */   // Label 24800: @1832019
     /* 1832019 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1832105), // Rule ID 13116 //
     /* 1832024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832070 */     // MIs[0] policy
     /* 1832070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832080 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832104 */     // GIR_Coverage, 13116,
     /* 1832104 */     GIR_EraseRootFromParent_Done,
     /* 1832105 */   // Label 24801: @1832105
     /* 1832105 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1832191), // Rule ID 13117 //
     /* 1832110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832156 */     // MIs[0] policy
     /* 1832156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832166 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832190 */     // GIR_Coverage, 13117,
     /* 1832190 */     GIR_EraseRootFromParent_Done,
     /* 1832191 */   // Label 24802: @1832191
     /* 1832191 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1832277), // Rule ID 13120 //
     /* 1832196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1832216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832242 */     // MIs[0] policy
     /* 1832242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832276 */     // GIR_Coverage, 13120,
     /* 1832276 */     GIR_EraseRootFromParent_Done,
     /* 1832277 */   // Label 24803: @1832277
     /* 1832277 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1832363), // Rule ID 13121 //
     /* 1832282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1832302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832328 */     // MIs[0] policy
     /* 1832328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832362 */     // GIR_Coverage, 13121,
     /* 1832362 */     GIR_EraseRootFromParent_Done,
     /* 1832363 */   // Label 24804: @1832363
     /* 1832363 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1832449), // Rule ID 13124 //
     /* 1832368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832414 */     // MIs[0] policy
     /* 1832414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832448 */     // GIR_Coverage, 13124,
     /* 1832448 */     GIR_EraseRootFromParent_Done,
     /* 1832449 */   // Label 24805: @1832449
     /* 1832449 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1832535), // Rule ID 13125 //
     /* 1832454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832500 */     // MIs[0] policy
     /* 1832500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832510 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832534 */     // GIR_Coverage, 13125,
     /* 1832534 */     GIR_EraseRootFromParent_Done,
     /* 1832535 */   // Label 24806: @1832535
     /* 1832535 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1832621), // Rule ID 13128 //
     /* 1832540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1832560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832586 */     // MIs[0] policy
     /* 1832586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832620 */     // GIR_Coverage, 13128,
     /* 1832620 */     GIR_EraseRootFromParent_Done,
     /* 1832621 */   // Label 24807: @1832621
     /* 1832621 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1832707), // Rule ID 13129 //
     /* 1832626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1832646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832672 */     // MIs[0] policy
     /* 1832672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832682 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832706 */     // GIR_Coverage, 13129,
     /* 1832706 */     GIR_EraseRootFromParent_Done,
     /* 1832707 */   // Label 24808: @1832707
     /* 1832707 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1832793), // Rule ID 13132 //
     /* 1832712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1832732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832758 */     // MIs[0] policy
     /* 1832758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832792 */     // GIR_Coverage, 13132,
     /* 1832792 */     GIR_EraseRootFromParent_Done,
     /* 1832793 */   // Label 24809: @1832793
     /* 1832793 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1832879), // Rule ID 13133 //
     /* 1832798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1832818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832844 */     // MIs[0] policy
     /* 1832844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832878 */     // GIR_Coverage, 13133,
     /* 1832878 */     GIR_EraseRootFromParent_Done,
     /* 1832879 */   // Label 24810: @1832879
     /* 1832879 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1832965), // Rule ID 13136 //
     /* 1832884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1832904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832930 */     // MIs[0] policy
     /* 1832930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832940 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832964 */     // GIR_Coverage, 13136,
     /* 1832964 */     GIR_EraseRootFromParent_Done,
     /* 1832965 */   // Label 24811: @1832965
     /* 1832965 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1833051), // Rule ID 13137 //
     /* 1832970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1832990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833016 */     // MIs[0] policy
     /* 1833016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833050 */     // GIR_Coverage, 13137,
     /* 1833050 */     GIR_EraseRootFromParent_Done,
     /* 1833051 */   // Label 24812: @1833051
     /* 1833051 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1833137), // Rule ID 13140 //
     /* 1833056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833102 */     // MIs[0] policy
     /* 1833102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833136 */     // GIR_Coverage, 13140,
     /* 1833136 */     GIR_EraseRootFromParent_Done,
     /* 1833137 */   // Label 24813: @1833137
     /* 1833137 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1833223), // Rule ID 13141 //
     /* 1833142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833188 */     // MIs[0] policy
     /* 1833188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833222 */     // GIR_Coverage, 13141,
     /* 1833222 */     GIR_EraseRootFromParent_Done,
     /* 1833223 */   // Label 24814: @1833223
     /* 1833223 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1833309), // Rule ID 13144 //
     /* 1833228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1833248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833274 */     // MIs[0] policy
     /* 1833274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833308 */     // GIR_Coverage, 13144,
     /* 1833308 */     GIR_EraseRootFromParent_Done,
     /* 1833309 */   // Label 24815: @1833309
     /* 1833309 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1833395), // Rule ID 13145 //
     /* 1833314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1833334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833360 */     // MIs[0] policy
     /* 1833360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833394 */     // GIR_Coverage, 13145,
     /* 1833394 */     GIR_EraseRootFromParent_Done,
     /* 1833395 */   // Label 24816: @1833395
     /* 1833395 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1833481), // Rule ID 13148 //
     /* 1833400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833446 */     // MIs[0] policy
     /* 1833446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833480 */     // GIR_Coverage, 13148,
     /* 1833480 */     GIR_EraseRootFromParent_Done,
     /* 1833481 */   // Label 24817: @1833481
     /* 1833481 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1833567), // Rule ID 13149 //
     /* 1833486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833532 */     // MIs[0] policy
     /* 1833532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833566 */     // GIR_Coverage, 13149,
     /* 1833566 */     GIR_EraseRootFromParent_Done,
     /* 1833567 */   // Label 24818: @1833567
     /* 1833567 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1833653), // Rule ID 13152 //
     /* 1833572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1833592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833618 */     // MIs[0] policy
     /* 1833618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833652 */     // GIR_Coverage, 13152,
     /* 1833652 */     GIR_EraseRootFromParent_Done,
     /* 1833653 */   // Label 24819: @1833653
     /* 1833653 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1833739), // Rule ID 13153 //
     /* 1833658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1833678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833704 */     // MIs[0] policy
     /* 1833704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833738 */     // GIR_Coverage, 13153,
     /* 1833738 */     GIR_EraseRootFromParent_Done,
     /* 1833739 */   // Label 24820: @1833739
     /* 1833739 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1833825), // Rule ID 13156 //
     /* 1833744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1833755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1833758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833790 */     // MIs[0] policy
     /* 1833790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1833803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833824 */     // GIR_Coverage, 13156,
     /* 1833824 */     GIR_EraseRootFromParent_Done,
     /* 1833825 */   // Label 24821: @1833825
     /* 1833825 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1833911), // Rule ID 13157 //
     /* 1833830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1833841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1833844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833876 */     // MIs[0] policy
     /* 1833876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833886 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1833889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833910 */     // GIR_Coverage, 13157,
     /* 1833910 */     GIR_EraseRootFromParent_Done,
     /* 1833911 */   // Label 24822: @1833911
     /* 1833911 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1833997), // Rule ID 13160 //
     /* 1833916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1833927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1833930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1833936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833962 */     // MIs[0] policy
     /* 1833962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833972 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1833975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833996 */     // GIR_Coverage, 13160,
     /* 1833996 */     GIR_EraseRootFromParent_Done,
     /* 1833997 */   // Label 24823: @1833997
     /* 1833997 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1834083), // Rule ID 13161 //
     /* 1834002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834048 */     // MIs[0] policy
     /* 1834048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834082 */     // GIR_Coverage, 13161,
     /* 1834082 */     GIR_EraseRootFromParent_Done,
     /* 1834083 */   // Label 24824: @1834083
     /* 1834083 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1834169), // Rule ID 13164 //
     /* 1834088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834134 */     // MIs[0] policy
     /* 1834134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834168 */     // GIR_Coverage, 13164,
     /* 1834168 */     GIR_EraseRootFromParent_Done,
     /* 1834169 */   // Label 24825: @1834169
     /* 1834169 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1834255), // Rule ID 13165 //
     /* 1834174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834220 */     // MIs[0] policy
     /* 1834220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834230 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834254 */     // GIR_Coverage, 13165,
     /* 1834254 */     GIR_EraseRootFromParent_Done,
     /* 1834255 */   // Label 24826: @1834255
     /* 1834255 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1834341), // Rule ID 13168 //
     /* 1834260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1834271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1834274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834306 */     // MIs[0] policy
     /* 1834306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834316 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834340 */     // GIR_Coverage, 13168,
     /* 1834340 */     GIR_EraseRootFromParent_Done,
     /* 1834341 */   // Label 24827: @1834341
     /* 1834341 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1834427), // Rule ID 13169 //
     /* 1834346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1834357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1834360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834392 */     // MIs[0] policy
     /* 1834392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834426 */     // GIR_Coverage, 13169,
     /* 1834426 */     GIR_EraseRootFromParent_Done,
     /* 1834427 */   // Label 24828: @1834427
     /* 1834427 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1834513), // Rule ID 13172 //
     /* 1834432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834478 */     // MIs[0] policy
     /* 1834478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834488 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834512 */     // GIR_Coverage, 13172,
     /* 1834512 */     GIR_EraseRootFromParent_Done,
     /* 1834513 */   // Label 24829: @1834513
     /* 1834513 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1834599), // Rule ID 13173 //
     /* 1834518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834564 */     // MIs[0] policy
     /* 1834564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834598 */     // GIR_Coverage, 13173,
     /* 1834598 */     GIR_EraseRootFromParent_Done,
     /* 1834599 */   // Label 24830: @1834599
     /* 1834599 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1834685), // Rule ID 13176 //
     /* 1834604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834650 */     // MIs[0] policy
     /* 1834650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834660 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834684 */     // GIR_Coverage, 13176,
     /* 1834684 */     GIR_EraseRootFromParent_Done,
     /* 1834685 */   // Label 24831: @1834685
     /* 1834685 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1834771), // Rule ID 13177 //
     /* 1834690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834736 */     // MIs[0] policy
     /* 1834736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834770 */     // GIR_Coverage, 13177,
     /* 1834770 */     GIR_EraseRootFromParent_Done,
     /* 1834771 */   // Label 24832: @1834771
     /* 1834771 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1834857), // Rule ID 13180 //
     /* 1834776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1834787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1834790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1834796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834822 */     // MIs[0] policy
     /* 1834822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1834835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834856 */     // GIR_Coverage, 13180,
     /* 1834856 */     GIR_EraseRootFromParent_Done,
     /* 1834857 */   // Label 24833: @1834857
     /* 1834857 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1834943), // Rule ID 13181 //
     /* 1834862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1834873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1834876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1834882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834908 */     // MIs[0] policy
     /* 1834908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1834921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834942 */     // GIR_Coverage, 13181,
     /* 1834942 */     GIR_EraseRootFromParent_Done,
     /* 1834943 */   // Label 24834: @1834943
     /* 1834943 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1835029), // Rule ID 13184 //
     /* 1834948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1834959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1834962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1834968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834994 */     // MIs[0] policy
     /* 1834994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835028 */     // GIR_Coverage, 13184,
     /* 1835028 */     GIR_EraseRootFromParent_Done,
     /* 1835029 */   // Label 24835: @1835029
     /* 1835029 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1835115), // Rule ID 13185 //
     /* 1835034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835080 */     // MIs[0] policy
     /* 1835080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835114 */     // GIR_Coverage, 13185,
     /* 1835114 */     GIR_EraseRootFromParent_Done,
     /* 1835115 */   // Label 24836: @1835115
     /* 1835115 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1835201), // Rule ID 13188 //
     /* 1835120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835166 */     // MIs[0] policy
     /* 1835166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835200 */     // GIR_Coverage, 13188,
     /* 1835200 */     GIR_EraseRootFromParent_Done,
     /* 1835201 */   // Label 24837: @1835201
     /* 1835201 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1835287), // Rule ID 13189 //
     /* 1835206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835252 */     // MIs[0] policy
     /* 1835252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835286 */     // GIR_Coverage, 13189,
     /* 1835286 */     GIR_EraseRootFromParent_Done,
     /* 1835287 */   // Label 24838: @1835287
     /* 1835287 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1835373), // Rule ID 13192 //
     /* 1835292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1835295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1835312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835338 */     // MIs[0] policy
     /* 1835338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835372 */     // GIR_Coverage, 13192,
     /* 1835372 */     GIR_EraseRootFromParent_Done,
     /* 1835373 */   // Label 24839: @1835373
     /* 1835373 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1835459), // Rule ID 13193 //
     /* 1835378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1835381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1835398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835424 */     // MIs[0] policy
     /* 1835424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835458 */     // GIR_Coverage, 13193,
     /* 1835458 */     GIR_EraseRootFromParent_Done,
     /* 1835459 */   // Label 24840: @1835459
     /* 1835459 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1835545), // Rule ID 13196 //
     /* 1835464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1835475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1835478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835510 */     // MIs[0] policy
     /* 1835510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1835523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835544 */     // GIR_Coverage, 13196,
     /* 1835544 */     GIR_EraseRootFromParent_Done,
     /* 1835545 */   // Label 24841: @1835545
     /* 1835545 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1835631), // Rule ID 13197 //
     /* 1835550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1835561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1835564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835596 */     // MIs[0] policy
     /* 1835596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835606 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1835609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835630 */     // GIR_Coverage, 13197,
     /* 1835630 */     GIR_EraseRootFromParent_Done,
     /* 1835631 */   // Label 24842: @1835631
     /* 1835631 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1835717), // Rule ID 13200 //
     /* 1835636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1835647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1835650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1835656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835682 */     // MIs[0] policy
     /* 1835682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1835695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835716 */     // GIR_Coverage, 13200,
     /* 1835716 */     GIR_EraseRootFromParent_Done,
     /* 1835717 */   // Label 24843: @1835717
     /* 1835717 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1835803), // Rule ID 13201 //
     /* 1835722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1835733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1835736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1835742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835768 */     // MIs[0] policy
     /* 1835768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1835781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835802 */     // GIR_Coverage, 13201,
     /* 1835802 */     GIR_EraseRootFromParent_Done,
     /* 1835803 */   // Label 24844: @1835803
     /* 1835803 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1835889), // Rule ID 13204 //
     /* 1835808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1835819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1835822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1835828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1835831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835854 */     // MIs[0] policy
     /* 1835854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1835867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835888 */     // GIR_Coverage, 13204,
     /* 1835888 */     GIR_EraseRootFromParent_Done,
     /* 1835889 */   // Label 24845: @1835889
     /* 1835889 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1835975), // Rule ID 13205 //
     /* 1835894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1835905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1835908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1835914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1835917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835940 */     // MIs[0] policy
     /* 1835940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835950 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1835953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835974 */     // GIR_Coverage, 13205,
     /* 1835974 */     GIR_EraseRootFromParent_Done,
     /* 1835975 */   // Label 24846: @1835975
     /* 1835975 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1836061), // Rule ID 13208 //
     /* 1835980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1835991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1835994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836026 */     // MIs[0] policy
     /* 1836026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836060 */     // GIR_Coverage, 13208,
     /* 1836060 */     GIR_EraseRootFromParent_Done,
     /* 1836061 */   // Label 24847: @1836061
     /* 1836061 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1836147), // Rule ID 13209 //
     /* 1836066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836112 */     // MIs[0] policy
     /* 1836112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836146 */     // GIR_Coverage, 13209,
     /* 1836146 */     GIR_EraseRootFromParent_Done,
     /* 1836147 */   // Label 24848: @1836147
     /* 1836147 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1836233), // Rule ID 13212 //
     /* 1836152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1836163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1836166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836198 */     // MIs[0] policy
     /* 1836198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836232 */     // GIR_Coverage, 13212,
     /* 1836232 */     GIR_EraseRootFromParent_Done,
     /* 1836233 */   // Label 24849: @1836233
     /* 1836233 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1836319), // Rule ID 13213 //
     /* 1836238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1836249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1836252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836284 */     // MIs[0] policy
     /* 1836284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836318 */     // GIR_Coverage, 13213,
     /* 1836318 */     GIR_EraseRootFromParent_Done,
     /* 1836319 */   // Label 24850: @1836319
     /* 1836319 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1836405), // Rule ID 13216 //
     /* 1836324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836370 */     // MIs[0] policy
     /* 1836370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836404 */     // GIR_Coverage, 13216,
     /* 1836404 */     GIR_EraseRootFromParent_Done,
     /* 1836405 */   // Label 24851: @1836405
     /* 1836405 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1836491), // Rule ID 13217 //
     /* 1836410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836456 */     // MIs[0] policy
     /* 1836456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836490 */     // GIR_Coverage, 13217,
     /* 1836490 */     GIR_EraseRootFromParent_Done,
     /* 1836491 */   // Label 24852: @1836491
     /* 1836491 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1836577), // Rule ID 13220 //
     /* 1836496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1836516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836542 */     // MIs[0] policy
     /* 1836542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836576 */     // GIR_Coverage, 13220,
     /* 1836576 */     GIR_EraseRootFromParent_Done,
     /* 1836577 */   // Label 24853: @1836577
     /* 1836577 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1836663), // Rule ID 13221 //
     /* 1836582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1836602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836628 */     // MIs[0] policy
     /* 1836628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836662 */     // GIR_Coverage, 13221,
     /* 1836662 */     GIR_EraseRootFromParent_Done,
     /* 1836663 */   // Label 24854: @1836663
     /* 1836663 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1836749), // Rule ID 13224 //
     /* 1836668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836714 */     // MIs[0] policy
     /* 1836714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836748 */     // GIR_Coverage, 13224,
     /* 1836748 */     GIR_EraseRootFromParent_Done,
     /* 1836749 */   // Label 24855: @1836749
     /* 1836749 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1836835), // Rule ID 13225 //
     /* 1836754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836800 */     // MIs[0] policy
     /* 1836800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836834 */     // GIR_Coverage, 13225,
     /* 1836834 */     GIR_EraseRootFromParent_Done,
     /* 1836835 */   // Label 24856: @1836835
     /* 1836835 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1836921), // Rule ID 13228 //
     /* 1836840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1836860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836886 */     // MIs[0] policy
     /* 1836886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836920 */     // GIR_Coverage, 13228,
     /* 1836920 */     GIR_EraseRootFromParent_Done,
     /* 1836921 */   // Label 24857: @1836921
     /* 1836921 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1837007), // Rule ID 13229 //
     /* 1836926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1836946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836972 */     // MIs[0] policy
     /* 1836972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837006 */     // GIR_Coverage, 13229,
     /* 1837006 */     GIR_EraseRootFromParent_Done,
     /* 1837007 */   // Label 24858: @1837007
     /* 1837007 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1837093), // Rule ID 13232 //
     /* 1837012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837058 */     // MIs[0] policy
     /* 1837058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837092 */     // GIR_Coverage, 13232,
     /* 1837092 */     GIR_EraseRootFromParent_Done,
     /* 1837093 */   // Label 24859: @1837093
     /* 1837093 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1837179), // Rule ID 13233 //
     /* 1837098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837144 */     // MIs[0] policy
     /* 1837144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837178 */     // GIR_Coverage, 13233,
     /* 1837178 */     GIR_EraseRootFromParent_Done,
     /* 1837179 */   // Label 24860: @1837179
     /* 1837179 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1837265), // Rule ID 13236 //
     /* 1837184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1837204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837230 */     // MIs[0] policy
     /* 1837230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837264 */     // GIR_Coverage, 13236,
     /* 1837264 */     GIR_EraseRootFromParent_Done,
     /* 1837265 */   // Label 24861: @1837265
     /* 1837265 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1837351), // Rule ID 13237 //
     /* 1837270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1837290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837316 */     // MIs[0] policy
     /* 1837316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837350 */     // GIR_Coverage, 13237,
     /* 1837350 */     GIR_EraseRootFromParent_Done,
     /* 1837351 */   // Label 24862: @1837351
     /* 1837351 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1837437), // Rule ID 13240 //
     /* 1837356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837402 */     // MIs[0] policy
     /* 1837402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837412 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837436 */     // GIR_Coverage, 13240,
     /* 1837436 */     GIR_EraseRootFromParent_Done,
     /* 1837437 */   // Label 24863: @1837437
     /* 1837437 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1837523), // Rule ID 13241 //
     /* 1837442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837488 */     // MIs[0] policy
     /* 1837488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837522 */     // GIR_Coverage, 13241,
     /* 1837522 */     GIR_EraseRootFromParent_Done,
     /* 1837523 */   // Label 24864: @1837523
     /* 1837523 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1837609), // Rule ID 13244 //
     /* 1837528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1837539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1837542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837574 */     // MIs[0] policy
     /* 1837574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1837587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837608 */     // GIR_Coverage, 13244,
     /* 1837608 */     GIR_EraseRootFromParent_Done,
     /* 1837609 */   // Label 24865: @1837609
     /* 1837609 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1837695), // Rule ID 13245 //
     /* 1837614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1837625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1837628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837660 */     // MIs[0] policy
     /* 1837660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837670 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1837673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837694 */     // GIR_Coverage, 13245,
     /* 1837694 */     GIR_EraseRootFromParent_Done,
     /* 1837695 */   // Label 24866: @1837695
     /* 1837695 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1837781), // Rule ID 13248 //
     /* 1837700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1837711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1837714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837746 */     // MIs[0] policy
     /* 1837746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837756 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1837759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837780 */     // GIR_Coverage, 13248,
     /* 1837780 */     GIR_EraseRootFromParent_Done,
     /* 1837781 */   // Label 24867: @1837781
     /* 1837781 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1837867), // Rule ID 13249 //
     /* 1837786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1837797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1837800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837832 */     // MIs[0] policy
     /* 1837832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1837845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837866 */     // GIR_Coverage, 13249,
     /* 1837866 */     GIR_EraseRootFromParent_Done,
     /* 1837867 */   // Label 24868: @1837867
     /* 1837867 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1837953), // Rule ID 13252 //
     /* 1837872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1837883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1837886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1837889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1837892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837918 */     // MIs[0] policy
     /* 1837918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1837931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837952 */     // GIR_Coverage, 13252,
     /* 1837952 */     GIR_EraseRootFromParent_Done,
     /* 1837953 */   // Label 24869: @1837953
     /* 1837953 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1838039), // Rule ID 13253 //
     /* 1837958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1837969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1837972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1837975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1837978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838004 */     // MIs[0] policy
     /* 1838004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838014 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838038 */     // GIR_Coverage, 13253,
     /* 1838038 */     GIR_EraseRootFromParent_Done,
     /* 1838039 */   // Label 24870: @1838039
     /* 1838039 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1838125), // Rule ID 13256 //
     /* 1838044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838090 */     // MIs[0] policy
     /* 1838090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838100 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838124 */     // GIR_Coverage, 13256,
     /* 1838124 */     GIR_EraseRootFromParent_Done,
     /* 1838125 */   // Label 24871: @1838125
     /* 1838125 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1838211), // Rule ID 13257 //
     /* 1838130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838176 */     // MIs[0] policy
     /* 1838176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838210 */     // GIR_Coverage, 13257,
     /* 1838210 */     GIR_EraseRootFromParent_Done,
     /* 1838211 */   // Label 24872: @1838211
     /* 1838211 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1838297), // Rule ID 13260 //
     /* 1838216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838262 */     // MIs[0] policy
     /* 1838262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838296 */     // GIR_Coverage, 13260,
     /* 1838296 */     GIR_EraseRootFromParent_Done,
     /* 1838297 */   // Label 24873: @1838297
     /* 1838297 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1838383), // Rule ID 13261 //
     /* 1838302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838348 */     // MIs[0] policy
     /* 1838348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838382 */     // GIR_Coverage, 13261,
     /* 1838382 */     GIR_EraseRootFromParent_Done,
     /* 1838383 */   // Label 24874: @1838383
     /* 1838383 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1838469), // Rule ID 13264 //
     /* 1838388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1838408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838434 */     // MIs[0] policy
     /* 1838434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838468 */     // GIR_Coverage, 13264,
     /* 1838468 */     GIR_EraseRootFromParent_Done,
     /* 1838469 */   // Label 24875: @1838469
     /* 1838469 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1838555), // Rule ID 13265 //
     /* 1838474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1838494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838520 */     // MIs[0] policy
     /* 1838520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838554 */     // GIR_Coverage, 13265,
     /* 1838554 */     GIR_EraseRootFromParent_Done,
     /* 1838555 */   // Label 24876: @1838555
     /* 1838555 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1838641), // Rule ID 13268 //
     /* 1838560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1838571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1838574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838606 */     // MIs[0] policy
     /* 1838606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1838619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838640 */     // GIR_Coverage, 13268,
     /* 1838640 */     GIR_EraseRootFromParent_Done,
     /* 1838641 */   // Label 24877: @1838641
     /* 1838641 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1838727), // Rule ID 13269 //
     /* 1838646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1838657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1838660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838692 */     // MIs[0] policy
     /* 1838692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1838705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838726 */     // GIR_Coverage, 13269,
     /* 1838726 */     GIR_EraseRootFromParent_Done,
     /* 1838727 */   // Label 24878: @1838727
     /* 1838727 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1838813), // Rule ID 13272 //
     /* 1838732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1838749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1838752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838778 */     // MIs[0] policy
     /* 1838778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1838791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838812 */     // GIR_Coverage, 13272,
     /* 1838812 */     GIR_EraseRootFromParent_Done,
     /* 1838813 */   // Label 24879: @1838813
     /* 1838813 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1838899), // Rule ID 13273 //
     /* 1838818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1838835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1838838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838864 */     // MIs[0] policy
     /* 1838864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1838877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838898 */     // GIR_Coverage, 13273,
     /* 1838898 */     GIR_EraseRootFromParent_Done,
     /* 1838899 */   // Label 24880: @1838899
     /* 1838899 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1838985), // Rule ID 13276 //
     /* 1838904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1838915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1838918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1838921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1838924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838950 */     // MIs[0] policy
     /* 1838950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1838963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838984 */     // GIR_Coverage, 13276,
     /* 1838984 */     GIR_EraseRootFromParent_Done,
     /* 1838985 */   // Label 24881: @1838985
     /* 1838985 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1839071), // Rule ID 13277 //
     /* 1838990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839036 */     // MIs[0] policy
     /* 1839036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839070 */     // GIR_Coverage, 13277,
     /* 1839070 */     GIR_EraseRootFromParent_Done,
     /* 1839071 */   // Label 24882: @1839071
     /* 1839071 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1839157), // Rule ID 13280 //
     /* 1839076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1839079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1839096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839122 */     // MIs[0] policy
     /* 1839122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839156 */     // GIR_Coverage, 13280,
     /* 1839156 */     GIR_EraseRootFromParent_Done,
     /* 1839157 */   // Label 24883: @1839157
     /* 1839157 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1839243), // Rule ID 13281 //
     /* 1839162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1839165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1839182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839208 */     // MIs[0] policy
     /* 1839208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839242 */     // GIR_Coverage, 13281,
     /* 1839242 */     GIR_EraseRootFromParent_Done,
     /* 1839243 */   // Label 24884: @1839243
     /* 1839243 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1839329), // Rule ID 13284 //
     /* 1839248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1839259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1839262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839294 */     // MIs[0] policy
     /* 1839294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839328 */     // GIR_Coverage, 13284,
     /* 1839328 */     GIR_EraseRootFromParent_Done,
     /* 1839329 */   // Label 24885: @1839329
     /* 1839329 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1839415), // Rule ID 13285 //
     /* 1839334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1839345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1839348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839380 */     // MIs[0] policy
     /* 1839380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839390 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839414 */     // GIR_Coverage, 13285,
     /* 1839414 */     GIR_EraseRootFromParent_Done,
     /* 1839415 */   // Label 24886: @1839415
     /* 1839415 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1839501), // Rule ID 13288 //
     /* 1839420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1839431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1839434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839466 */     // MIs[0] policy
     /* 1839466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839476 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1839479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839500 */     // GIR_Coverage, 13288,
     /* 1839500 */     GIR_EraseRootFromParent_Done,
     /* 1839501 */   // Label 24887: @1839501
     /* 1839501 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1839587), // Rule ID 13289 //
     /* 1839506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1839517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1839520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839552 */     // MIs[0] policy
     /* 1839552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839562 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1839565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839586 */     // GIR_Coverage, 13289,
     /* 1839586 */     GIR_EraseRootFromParent_Done,
     /* 1839587 */   // Label 24888: @1839587
     /* 1839587 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1839673), // Rule ID 13292 //
     /* 1839592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1839603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1839606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1839609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1839612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1839615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839638 */     // MIs[0] policy
     /* 1839638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839648 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1839651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839672 */     // GIR_Coverage, 13292,
     /* 1839672 */     GIR_EraseRootFromParent_Done,
     /* 1839673 */   // Label 24889: @1839673
     /* 1839673 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1839759), // Rule ID 13293 //
     /* 1839678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1839689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1839692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1839695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1839698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1839701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839724 */     // MIs[0] policy
     /* 1839724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839734 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1839737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839758 */     // GIR_Coverage, 13293,
     /* 1839758 */     GIR_EraseRootFromParent_Done,
     /* 1839759 */   // Label 24890: @1839759
     /* 1839759 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1839845), // Rule ID 13296 //
     /* 1839764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839810 */     // MIs[0] policy
     /* 1839810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839844 */     // GIR_Coverage, 13296,
     /* 1839844 */     GIR_EraseRootFromParent_Done,
     /* 1839845 */   // Label 24891: @1839845
     /* 1839845 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1839931), // Rule ID 13297 //
     /* 1839850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839896 */     // MIs[0] policy
     /* 1839896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839930 */     // GIR_Coverage, 13297,
     /* 1839930 */     GIR_EraseRootFromParent_Done,
     /* 1839931 */   // Label 24892: @1839931
     /* 1839931 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1840017), // Rule ID 13300 //
     /* 1839936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1839953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1839956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839982 */     // MIs[0] policy
     /* 1839982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1839995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840016 */     // GIR_Coverage, 13300,
     /* 1840016 */     GIR_EraseRootFromParent_Done,
     /* 1840017 */   // Label 24893: @1840017
     /* 1840017 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1840103), // Rule ID 13301 //
     /* 1840022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840068 */     // MIs[0] policy
     /* 1840068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840102 */     // GIR_Coverage, 13301,
     /* 1840102 */     GIR_EraseRootFromParent_Done,
     /* 1840103 */   // Label 24894: @1840103
     /* 1840103 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1840189), // Rule ID 13304 //
     /* 1840108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1840128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840154 */     // MIs[0] policy
     /* 1840154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840188 */     // GIR_Coverage, 13304,
     /* 1840188 */     GIR_EraseRootFromParent_Done,
     /* 1840189 */   // Label 24895: @1840189
     /* 1840189 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1840275), // Rule ID 13305 //
     /* 1840194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1840214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840240 */     // MIs[0] policy
     /* 1840240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840250 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840274 */     // GIR_Coverage, 13305,
     /* 1840274 */     GIR_EraseRootFromParent_Done,
     /* 1840275 */   // Label 24896: @1840275
     /* 1840275 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1840361), // Rule ID 13308 //
     /* 1840280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840326 */     // MIs[0] policy
     /* 1840326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840360 */     // GIR_Coverage, 13308,
     /* 1840360 */     GIR_EraseRootFromParent_Done,
     /* 1840361 */   // Label 24897: @1840361
     /* 1840361 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1840447), // Rule ID 13309 //
     /* 1840366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840412 */     // MIs[0] policy
     /* 1840412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840446 */     // GIR_Coverage, 13309,
     /* 1840446 */     GIR_EraseRootFromParent_Done,
     /* 1840447 */   // Label 24898: @1840447
     /* 1840447 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1840533), // Rule ID 13312 //
     /* 1840452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840498 */     // MIs[0] policy
     /* 1840498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840532 */     // GIR_Coverage, 13312,
     /* 1840532 */     GIR_EraseRootFromParent_Done,
     /* 1840533 */   // Label 24899: @1840533
     /* 1840533 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1840619), // Rule ID 13313 //
     /* 1840538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840584 */     // MIs[0] policy
     /* 1840584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840618 */     // GIR_Coverage, 13313,
     /* 1840618 */     GIR_EraseRootFromParent_Done,
     /* 1840619 */   // Label 24900: @1840619
     /* 1840619 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1840705), // Rule ID 13316 //
     /* 1840624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1840641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1840644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840670 */     // MIs[0] policy
     /* 1840670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840704 */     // GIR_Coverage, 13316,
     /* 1840704 */     GIR_EraseRootFromParent_Done,
     /* 1840705 */   // Label 24901: @1840705
     /* 1840705 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1840791), // Rule ID 13317 //
     /* 1840710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1840727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1840730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840756 */     // MIs[0] policy
     /* 1840756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840790 */     // GIR_Coverage, 13317,
     /* 1840790 */     GIR_EraseRootFromParent_Done,
     /* 1840791 */   // Label 24902: @1840791
     /* 1840791 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1840877), // Rule ID 13320 //
     /* 1840796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1840799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1840813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1840816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840842 */     // MIs[0] policy
     /* 1840842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840876 */     // GIR_Coverage, 13320,
     /* 1840876 */     GIR_EraseRootFromParent_Done,
     /* 1840877 */   // Label 24903: @1840877
     /* 1840877 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1840963), // Rule ID 13321 //
     /* 1840882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1840885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1840899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1840902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840928 */     // MIs[0] policy
     /* 1840928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840962 */     // GIR_Coverage, 13321,
     /* 1840962 */     GIR_EraseRootFromParent_Done,
     /* 1840963 */   // Label 24904: @1840963
     /* 1840963 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1841049), // Rule ID 13324 //
     /* 1840968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1840971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1840979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1840982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1840985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1840988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841014 */     // MIs[0] policy
     /* 1841014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1841027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841048 */     // GIR_Coverage, 13324,
     /* 1841048 */     GIR_EraseRootFromParent_Done,
     /* 1841049 */   // Label 24905: @1841049
     /* 1841049 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1841135), // Rule ID 13325 //
     /* 1841054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1841071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1841074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841100 */     // MIs[0] policy
     /* 1841100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1841113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841134 */     // GIR_Coverage, 13325,
     /* 1841134 */     GIR_EraseRootFromParent_Done,
     /* 1841135 */   // Label 24906: @1841135
     /* 1841135 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1841221), // Rule ID 13328 //
     /* 1841140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1841160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841186 */     // MIs[0] policy
     /* 1841186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841220 */     // GIR_Coverage, 13328,
     /* 1841220 */     GIR_EraseRootFromParent_Done,
     /* 1841221 */   // Label 24907: @1841221
     /* 1841221 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1841307), // Rule ID 13329 //
     /* 1841226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1841246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841272 */     // MIs[0] policy
     /* 1841272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841306 */     // GIR_Coverage, 13329,
     /* 1841306 */     GIR_EraseRootFromParent_Done,
     /* 1841307 */   // Label 24908: @1841307
     /* 1841307 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1841393), // Rule ID 13332 //
     /* 1841312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841358 */     // MIs[0] policy
     /* 1841358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841368 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1841371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841392 */     // GIR_Coverage, 13332,
     /* 1841392 */     GIR_EraseRootFromParent_Done,
     /* 1841393 */   // Label 24909: @1841393
     /* 1841393 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1841479), // Rule ID 13333 //
     /* 1841398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841444 */     // MIs[0] policy
     /* 1841444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1841457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841478 */     // GIR_Coverage, 13333,
     /* 1841478 */     GIR_EraseRootFromParent_Done,
     /* 1841479 */   // Label 24910: @1841479
     /* 1841479 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1841565), // Rule ID 13336 //
     /* 1841484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1841495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1841498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841530 */     // MIs[0] policy
     /* 1841530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841540 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1841543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841564 */     // GIR_Coverage, 13336,
     /* 1841564 */     GIR_EraseRootFromParent_Done,
     /* 1841565 */   // Label 24911: @1841565
     /* 1841565 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1841651), // Rule ID 13337 //
     /* 1841570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1841581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1841584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841616 */     // MIs[0] policy
     /* 1841616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841626 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1841629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841650 */     // GIR_Coverage, 13337,
     /* 1841650 */     GIR_EraseRootFromParent_Done,
     /* 1841651 */   // Label 24912: @1841651
     /* 1841651 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1841737), // Rule ID 13340 //
     /* 1841656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1841667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1841670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841702 */     // MIs[0] policy
     /* 1841702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1841715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841736 */     // GIR_Coverage, 13340,
     /* 1841736 */     GIR_EraseRootFromParent_Done,
     /* 1841737 */   // Label 24913: @1841737
     /* 1841737 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1841823), // Rule ID 13341 //
     /* 1841742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1841753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1841756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841788 */     // MIs[0] policy
     /* 1841788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841798 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1841801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841822 */     // GIR_Coverage, 13341,
     /* 1841822 */     GIR_EraseRootFromParent_Done,
     /* 1841823 */   // Label 24914: @1841823
     /* 1841823 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1841909), // Rule ID 13344 //
     /* 1841828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841874 */     // MIs[0] policy
     /* 1841874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1841887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841908 */     // GIR_Coverage, 13344,
     /* 1841908 */     GIR_EraseRootFromParent_Done,
     /* 1841909 */   // Label 24915: @1841909
     /* 1841909 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1841995), // Rule ID 13345 //
     /* 1841914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841960 */     // MIs[0] policy
     /* 1841960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1841973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841994 */     // GIR_Coverage, 13345,
     /* 1841994 */     GIR_EraseRootFromParent_Done,
     /* 1841995 */   // Label 24916: @1841995
     /* 1841995 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1842081), // Rule ID 13348 //
     /* 1842000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842046 */     // MIs[0] policy
     /* 1842046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842080 */     // GIR_Coverage, 13348,
     /* 1842080 */     GIR_EraseRootFromParent_Done,
     /* 1842081 */   // Label 24917: @1842081
     /* 1842081 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1842167), // Rule ID 13349 //
     /* 1842086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842132 */     // MIs[0] policy
     /* 1842132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842142 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842166 */     // GIR_Coverage, 13349,
     /* 1842166 */     GIR_EraseRootFromParent_Done,
     /* 1842167 */   // Label 24918: @1842167
     /* 1842167 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1842253), // Rule ID 13352 //
     /* 1842172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842218 */     // MIs[0] policy
     /* 1842218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842252 */     // GIR_Coverage, 13352,
     /* 1842252 */     GIR_EraseRootFromParent_Done,
     /* 1842253 */   // Label 24919: @1842253
     /* 1842253 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1842339), // Rule ID 13353 //
     /* 1842258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842304 */     // MIs[0] policy
     /* 1842304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842338 */     // GIR_Coverage, 13353,
     /* 1842338 */     GIR_EraseRootFromParent_Done,
     /* 1842339 */   // Label 24920: @1842339
     /* 1842339 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1842425), // Rule ID 13356 //
     /* 1842344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842390 */     // MIs[0] policy
     /* 1842390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842400 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842424 */     // GIR_Coverage, 13356,
     /* 1842424 */     GIR_EraseRootFromParent_Done,
     /* 1842425 */   // Label 24921: @1842425
     /* 1842425 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1842511), // Rule ID 13357 //
     /* 1842430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842476 */     // MIs[0] policy
     /* 1842476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842486 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842510 */     // GIR_Coverage, 13357,
     /* 1842510 */     GIR_EraseRootFromParent_Done,
     /* 1842511 */   // Label 24922: @1842511
     /* 1842511 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1842597), // Rule ID 13360 //
     /* 1842516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842562 */     // MIs[0] policy
     /* 1842562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842596 */     // GIR_Coverage, 13360,
     /* 1842596 */     GIR_EraseRootFromParent_Done,
     /* 1842597 */   // Label 24923: @1842597
     /* 1842597 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1842683), // Rule ID 13361 //
     /* 1842602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842648 */     // MIs[0] policy
     /* 1842648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842682 */     // GIR_Coverage, 13361,
     /* 1842682 */     GIR_EraseRootFromParent_Done,
     /* 1842683 */   // Label 24924: @1842683
     /* 1842683 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1842769), // Rule ID 13364 //
     /* 1842688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842734 */     // MIs[0] policy
     /* 1842734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842768 */     // GIR_Coverage, 13364,
     /* 1842768 */     GIR_EraseRootFromParent_Done,
     /* 1842769 */   // Label 24925: @1842769
     /* 1842769 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1842855), // Rule ID 13365 //
     /* 1842774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842820 */     // MIs[0] policy
     /* 1842820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842854 */     // GIR_Coverage, 13365,
     /* 1842854 */     GIR_EraseRootFromParent_Done,
     /* 1842855 */   // Label 24926: @1842855
     /* 1842855 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1842941), // Rule ID 13368 //
     /* 1842860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1842863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1842880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842906 */     // MIs[0] policy
     /* 1842906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842940 */     // GIR_Coverage, 13368,
     /* 1842940 */     GIR_EraseRootFromParent_Done,
     /* 1842941 */   // Label 24927: @1842941
     /* 1842941 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1843027), // Rule ID 13369 //
     /* 1842946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1842966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842992 */     // MIs[0] policy
     /* 1842992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843026 */     // GIR_Coverage, 13369,
     /* 1843026 */     GIR_EraseRootFromParent_Done,
     /* 1843027 */   // Label 24928: @1843027
     /* 1843027 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1843113), // Rule ID 13372 //
     /* 1843032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843078 */     // MIs[0] policy
     /* 1843078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843112 */     // GIR_Coverage, 13372,
     /* 1843112 */     GIR_EraseRootFromParent_Done,
     /* 1843113 */   // Label 24929: @1843113
     /* 1843113 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1843199), // Rule ID 13373 //
     /* 1843118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843164 */     // MIs[0] policy
     /* 1843164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843198 */     // GIR_Coverage, 13373,
     /* 1843198 */     GIR_EraseRootFromParent_Done,
     /* 1843199 */   // Label 24930: @1843199
     /* 1843199 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1843285), // Rule ID 13376 //
     /* 1843204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843250 */     // MIs[0] policy
     /* 1843250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843260 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843284 */     // GIR_Coverage, 13376,
     /* 1843284 */     GIR_EraseRootFromParent_Done,
     /* 1843285 */   // Label 24931: @1843285
     /* 1843285 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1843371), // Rule ID 13377 //
     /* 1843290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843336 */     // MIs[0] policy
     /* 1843336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843370 */     // GIR_Coverage, 13377,
     /* 1843370 */     GIR_EraseRootFromParent_Done,
     /* 1843371 */   // Label 24932: @1843371
     /* 1843371 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1843457), // Rule ID 13380 //
     /* 1843376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843422 */     // MIs[0] policy
     /* 1843422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1843435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843456 */     // GIR_Coverage, 13380,
     /* 1843456 */     GIR_EraseRootFromParent_Done,
     /* 1843457 */   // Label 24933: @1843457
     /* 1843457 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1843543), // Rule ID 13381 //
     /* 1843462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843508 */     // MIs[0] policy
     /* 1843508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843518 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1843521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843542 */     // GIR_Coverage, 13381,
     /* 1843542 */     GIR_EraseRootFromParent_Done,
     /* 1843543 */   // Label 24934: @1843543
     /* 1843543 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1843629), // Rule ID 13384 //
     /* 1843548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843594 */     // MIs[0] policy
     /* 1843594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843628 */     // GIR_Coverage, 13384,
     /* 1843628 */     GIR_EraseRootFromParent_Done,
     /* 1843629 */   // Label 24935: @1843629
     /* 1843629 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1843715), // Rule ID 13385 //
     /* 1843634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843680 */     // MIs[0] policy
     /* 1843680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843714 */     // GIR_Coverage, 13385,
     /* 1843714 */     GIR_EraseRootFromParent_Done,
     /* 1843715 */   // Label 24936: @1843715
     /* 1843715 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1843801), // Rule ID 13388 //
     /* 1843720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843766 */     // MIs[0] policy
     /* 1843766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843800 */     // GIR_Coverage, 13388,
     /* 1843800 */     GIR_EraseRootFromParent_Done,
     /* 1843801 */   // Label 24937: @1843801
     /* 1843801 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1843887), // Rule ID 13389 //
     /* 1843806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843852 */     // MIs[0] policy
     /* 1843852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843886 */     // GIR_Coverage, 13389,
     /* 1843886 */     GIR_EraseRootFromParent_Done,
     /* 1843887 */   // Label 24938: @1843887
     /* 1843887 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1843973), // Rule ID 13392 //
     /* 1843892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1843912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843938 */     // MIs[0] policy
     /* 1843938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1843951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843972 */     // GIR_Coverage, 13392,
     /* 1843972 */     GIR_EraseRootFromParent_Done,
     /* 1843973 */   // Label 24939: @1843973
     /* 1843973 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1844059), // Rule ID 13393 //
     /* 1843978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1843998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844024 */     // MIs[0] policy
     /* 1844024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844058 */     // GIR_Coverage, 13393,
     /* 1844058 */     GIR_EraseRootFromParent_Done,
     /* 1844059 */   // Label 24940: @1844059
     /* 1844059 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1844145), // Rule ID 13396 //
     /* 1844064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844110 */     // MIs[0] policy
     /* 1844110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844144 */     // GIR_Coverage, 13396,
     /* 1844144 */     GIR_EraseRootFromParent_Done,
     /* 1844145 */   // Label 24941: @1844145
     /* 1844145 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1844231), // Rule ID 13397 //
     /* 1844150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844196 */     // MIs[0] policy
     /* 1844196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844230 */     // GIR_Coverage, 13397,
     /* 1844230 */     GIR_EraseRootFromParent_Done,
     /* 1844231 */   // Label 24942: @1844231
     /* 1844231 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1844317), // Rule ID 13400 //
     /* 1844236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844282 */     // MIs[0] policy
     /* 1844282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844316 */     // GIR_Coverage, 13400,
     /* 1844316 */     GIR_EraseRootFromParent_Done,
     /* 1844317 */   // Label 24943: @1844317
     /* 1844317 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1844403), // Rule ID 13401 //
     /* 1844322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844368 */     // MIs[0] policy
     /* 1844368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844402 */     // GIR_Coverage, 13401,
     /* 1844402 */     GIR_EraseRootFromParent_Done,
     /* 1844403 */   // Label 24944: @1844403
     /* 1844403 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1844489), // Rule ID 13404 //
     /* 1844408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844454 */     // MIs[0] policy
     /* 1844454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844488 */     // GIR_Coverage, 13404,
     /* 1844488 */     GIR_EraseRootFromParent_Done,
     /* 1844489 */   // Label 24945: @1844489
     /* 1844489 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1844575), // Rule ID 13405 //
     /* 1844494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844540 */     // MIs[0] policy
     /* 1844540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844574 */     // GIR_Coverage, 13405,
     /* 1844574 */     GIR_EraseRootFromParent_Done,
     /* 1844575 */   // Label 24946: @1844575
     /* 1844575 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1844661), // Rule ID 13408 //
     /* 1844580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1844600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844626 */     // MIs[0] policy
     /* 1844626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844660 */     // GIR_Coverage, 13408,
     /* 1844660 */     GIR_EraseRootFromParent_Done,
     /* 1844661 */   // Label 24947: @1844661
     /* 1844661 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1844747), // Rule ID 13409 //
     /* 1844666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1844669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1844686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844712 */     // MIs[0] policy
     /* 1844712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844746 */     // GIR_Coverage, 13409,
     /* 1844746 */     GIR_EraseRootFromParent_Done,
     /* 1844747 */   // Label 24948: @1844747
     /* 1844747 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1844833), // Rule ID 13412 //
     /* 1844752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1844772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844798 */     // MIs[0] policy
     /* 1844798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844832 */     // GIR_Coverage, 13412,
     /* 1844832 */     GIR_EraseRootFromParent_Done,
     /* 1844833 */   // Label 24949: @1844833
     /* 1844833 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1844919), // Rule ID 13413 //
     /* 1844838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1844841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1844858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844884 */     // MIs[0] policy
     /* 1844884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844918 */     // GIR_Coverage, 13413,
     /* 1844918 */     GIR_EraseRootFromParent_Done,
     /* 1844919 */   // Label 24950: @1844919
     /* 1844919 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1845005), // Rule ID 13416 //
     /* 1844924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1844935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1844938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1844944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844970 */     // MIs[0] policy
     /* 1844970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845004 */     // GIR_Coverage, 13416,
     /* 1845004 */     GIR_EraseRootFromParent_Done,
     /* 1845005 */   // Label 24951: @1845005
     /* 1845005 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1845091), // Rule ID 13417 //
     /* 1845010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845056 */     // MIs[0] policy
     /* 1845056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1845069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845090 */     // GIR_Coverage, 13417,
     /* 1845090 */     GIR_EraseRootFromParent_Done,
     /* 1845091 */   // Label 24952: @1845091
     /* 1845091 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1845177), // Rule ID 13420 //
     /* 1845096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845142 */     // MIs[0] policy
     /* 1845142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1845155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845176 */     // GIR_Coverage, 13420,
     /* 1845176 */     GIR_EraseRootFromParent_Done,
     /* 1845177 */   // Label 24953: @1845177
     /* 1845177 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1845263), // Rule ID 13421 //
     /* 1845182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845228 */     // MIs[0] policy
     /* 1845228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1845241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845262 */     // GIR_Coverage, 13421,
     /* 1845262 */     GIR_EraseRootFromParent_Done,
     /* 1845263 */   // Label 24954: @1845263
     /* 1845263 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1845349), // Rule ID 13424 //
     /* 1845268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845314 */     // MIs[0] policy
     /* 1845314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1845327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845348 */     // GIR_Coverage, 13424,
     /* 1845348 */     GIR_EraseRootFromParent_Done,
     /* 1845349 */   // Label 24955: @1845349
     /* 1845349 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1845435), // Rule ID 13425 //
     /* 1845354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845400 */     // MIs[0] policy
     /* 1845400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845410 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1845413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845434 */     // GIR_Coverage, 13425,
     /* 1845434 */     GIR_EraseRootFromParent_Done,
     /* 1845435 */   // Label 24956: @1845435
     /* 1845435 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1845521), // Rule ID 13428 //
     /* 1845440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845486 */     // MIs[0] policy
     /* 1845486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1845499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845520 */     // GIR_Coverage, 13428,
     /* 1845520 */     GIR_EraseRootFromParent_Done,
     /* 1845521 */   // Label 24957: @1845521
     /* 1845521 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1845607), // Rule ID 13429 //
     /* 1845526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845572 */     // MIs[0] policy
     /* 1845572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1845585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845606 */     // GIR_Coverage, 13429,
     /* 1845606 */     GIR_EraseRootFromParent_Done,
     /* 1845607 */   // Label 24958: @1845607
     /* 1845607 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1845693), // Rule ID 13432 //
     /* 1845612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1845629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845658 */     // MIs[0] policy
     /* 1845658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1845671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845692 */     // GIR_Coverage, 13432,
     /* 1845692 */     GIR_EraseRootFromParent_Done,
     /* 1845693 */   // Label 24959: @1845693
     /* 1845693 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1845779), // Rule ID 13433 //
     /* 1845698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1845715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845744 */     // MIs[0] policy
     /* 1845744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1845757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845778 */     // GIR_Coverage, 13433,
     /* 1845778 */     GIR_EraseRootFromParent_Done,
     /* 1845779 */   // Label 24960: @1845779
     /* 1845779 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1845865), // Rule ID 13436 //
     /* 1845784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1845795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1845798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1845801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1845804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845830 */     // MIs[0] policy
     /* 1845830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1845843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845864 */     // GIR_Coverage, 13436,
     /* 1845864 */     GIR_EraseRootFromParent_Done,
     /* 1845865 */   // Label 24961: @1845865
     /* 1845865 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1845951), // Rule ID 13437 //
     /* 1845870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1845881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1845884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1845887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1845890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845916 */     // MIs[0] policy
     /* 1845916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1845929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845950 */     // GIR_Coverage, 13437,
     /* 1845950 */     GIR_EraseRootFromParent_Done,
     /* 1845951 */   // Label 24962: @1845951
     /* 1845951 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1846037), // Rule ID 13440 //
     /* 1845956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1845967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1845970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1845973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1845976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1845979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846002 */     // MIs[0] policy
     /* 1846002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846036 */     // GIR_Coverage, 13440,
     /* 1846036 */     GIR_EraseRootFromParent_Done,
     /* 1846037 */   // Label 24963: @1846037
     /* 1846037 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1846123), // Rule ID 13441 //
     /* 1846042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1846059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846088 */     // MIs[0] policy
     /* 1846088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846122 */     // GIR_Coverage, 13441,
     /* 1846122 */     GIR_EraseRootFromParent_Done,
     /* 1846123 */   // Label 24964: @1846123
     /* 1846123 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1846209), // Rule ID 13444 //
     /* 1846128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1846145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846174 */     // MIs[0] policy
     /* 1846174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1846187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846208 */     // GIR_Coverage, 13444,
     /* 1846208 */     GIR_EraseRootFromParent_Done,
     /* 1846209 */   // Label 24965: @1846209
     /* 1846209 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1846295), // Rule ID 13445 //
     /* 1846214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1846231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846260 */     // MIs[0] policy
     /* 1846260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1846273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846294 */     // GIR_Coverage, 13445,
     /* 1846294 */     GIR_EraseRootFromParent_Done,
     /* 1846295 */   // Label 24966: @1846295
     /* 1846295 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1846381), // Rule ID 13448 //
     /* 1846300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846346 */     // MIs[0] policy
     /* 1846346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1846359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846380 */     // GIR_Coverage, 13448,
     /* 1846380 */     GIR_EraseRootFromParent_Done,
     /* 1846381 */   // Label 24967: @1846381
     /* 1846381 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1846467), // Rule ID 13449 //
     /* 1846386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846432 */     // MIs[0] policy
     /* 1846432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1846445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846466 */     // GIR_Coverage, 13449,
     /* 1846466 */     GIR_EraseRootFromParent_Done,
     /* 1846467 */   // Label 24968: @1846467
     /* 1846467 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1846553), // Rule ID 13452 //
     /* 1846472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846518 */     // MIs[0] policy
     /* 1846518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1846531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846552 */     // GIR_Coverage, 13452,
     /* 1846552 */     GIR_EraseRootFromParent_Done,
     /* 1846553 */   // Label 24969: @1846553
     /* 1846553 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1846639), // Rule ID 13453 //
     /* 1846558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846604 */     // MIs[0] policy
     /* 1846604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1846617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846638 */     // GIR_Coverage, 13453,
     /* 1846638 */     GIR_EraseRootFromParent_Done,
     /* 1846639 */   // Label 24970: @1846639
     /* 1846639 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1846725), // Rule ID 13456 //
     /* 1846644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1846655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1846658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1846661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1846664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846690 */     // MIs[0] policy
     /* 1846690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1846703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846724 */     // GIR_Coverage, 13456,
     /* 1846724 */     GIR_EraseRootFromParent_Done,
     /* 1846725 */   // Label 24971: @1846725
     /* 1846725 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1846811), // Rule ID 13457 //
     /* 1846730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1846741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1846744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1846747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1846750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846776 */     // MIs[0] policy
     /* 1846776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1846789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846810 */     // GIR_Coverage, 13457,
     /* 1846810 */     GIR_EraseRootFromParent_Done,
     /* 1846811 */   // Label 24972: @1846811
     /* 1846811 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1846897), // Rule ID 13460 //
     /* 1846816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1846827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1846830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1846833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1846836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846862 */     // MIs[0] policy
     /* 1846862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846896 */     // GIR_Coverage, 13460,
     /* 1846896 */     GIR_EraseRootFromParent_Done,
     /* 1846897 */   // Label 24973: @1846897
     /* 1846897 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1846983), // Rule ID 13461 //
     /* 1846902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1846913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1846916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1846919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1846922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846948 */     // MIs[0] policy
     /* 1846948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846982 */     // GIR_Coverage, 13461,
     /* 1846982 */     GIR_EraseRootFromParent_Done,
     /* 1846983 */   // Label 24974: @1846983
     /* 1846983 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1847069), // Rule ID 13464 //
     /* 1846988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1846999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1847005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847034 */     // MIs[0] policy
     /* 1847034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1847047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847068 */     // GIR_Coverage, 13464,
     /* 1847068 */     GIR_EraseRootFromParent_Done,
     /* 1847069 */   // Label 24975: @1847069
     /* 1847069 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1847155), // Rule ID 13465 //
     /* 1847074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1847091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847120 */     // MIs[0] policy
     /* 1847120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1847133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847154 */     // GIR_Coverage, 13465,
     /* 1847154 */     GIR_EraseRootFromParent_Done,
     /* 1847155 */   // Label 24976: @1847155
     /* 1847155 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1847241), // Rule ID 13468 //
     /* 1847160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847206 */     // MIs[0] policy
     /* 1847206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1847219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847240 */     // GIR_Coverage, 13468,
     /* 1847240 */     GIR_EraseRootFromParent_Done,
     /* 1847241 */   // Label 24977: @1847241
     /* 1847241 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1847327), // Rule ID 13469 //
     /* 1847246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847292 */     // MIs[0] policy
     /* 1847292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1847305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847326 */     // GIR_Coverage, 13469,
     /* 1847326 */     GIR_EraseRootFromParent_Done,
     /* 1847327 */   // Label 24978: @1847327
     /* 1847327 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1847413), // Rule ID 13472 //
     /* 1847332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847378 */     // MIs[0] policy
     /* 1847378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847412 */     // GIR_Coverage, 13472,
     /* 1847412 */     GIR_EraseRootFromParent_Done,
     /* 1847413 */   // Label 24979: @1847413
     /* 1847413 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1847499), // Rule ID 13473 //
     /* 1847418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847464 */     // MIs[0] policy
     /* 1847464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847498 */     // GIR_Coverage, 13473,
     /* 1847498 */     GIR_EraseRootFromParent_Done,
     /* 1847499 */   // Label 24980: @1847499
     /* 1847499 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1847585), // Rule ID 13476 //
     /* 1847504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1847521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847550 */     // MIs[0] policy
     /* 1847550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1847563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847584 */     // GIR_Coverage, 13476,
     /* 1847584 */     GIR_EraseRootFromParent_Done,
     /* 1847585 */   // Label 24981: @1847585
     /* 1847585 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1847671), // Rule ID 13477 //
     /* 1847590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1847607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847636 */     // MIs[0] policy
     /* 1847636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1847649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847670 */     // GIR_Coverage, 13477,
     /* 1847670 */     GIR_EraseRootFromParent_Done,
     /* 1847671 */   // Label 24982: @1847671
     /* 1847671 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1847757), // Rule ID 13480 //
     /* 1847676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1847687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1847690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1847696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847722 */     // MIs[0] policy
     /* 1847722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1847735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847756 */     // GIR_Coverage, 13480,
     /* 1847756 */     GIR_EraseRootFromParent_Done,
     /* 1847757 */   // Label 24983: @1847757
     /* 1847757 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1847843), // Rule ID 13481 //
     /* 1847762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1847773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1847776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1847782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847808 */     // MIs[0] policy
     /* 1847808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1847821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847842 */     // GIR_Coverage, 13481,
     /* 1847842 */     GIR_EraseRootFromParent_Done,
     /* 1847843 */   // Label 24984: @1847843
     /* 1847843 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1847929), // Rule ID 13484 //
     /* 1847848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1847859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1847862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1847868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847894 */     // MIs[0] policy
     /* 1847894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1847907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847928 */     // GIR_Coverage, 13484,
     /* 1847928 */     GIR_EraseRootFromParent_Done,
     /* 1847929 */   // Label 24985: @1847929
     /* 1847929 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1848015), // Rule ID 13485 //
     /* 1847934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1847945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1847948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1847954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847980 */     // MIs[0] policy
     /* 1847980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1847993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848014 */     // GIR_Coverage, 13485,
     /* 1848014 */     GIR_EraseRootFromParent_Done,
     /* 1848015 */   // Label 24986: @1848015
     /* 1848015 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1848101), // Rule ID 13488 //
     /* 1848020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848066 */     // MIs[0] policy
     /* 1848066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1848079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848100 */     // GIR_Coverage, 13488,
     /* 1848100 */     GIR_EraseRootFromParent_Done,
     /* 1848101 */   // Label 24987: @1848101
     /* 1848101 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1848187), // Rule ID 13489 //
     /* 1848106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848152 */     // MIs[0] policy
     /* 1848152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1848165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848186 */     // GIR_Coverage, 13489,
     /* 1848186 */     GIR_EraseRootFromParent_Done,
     /* 1848187 */   // Label 24988: @1848187
     /* 1848187 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1848273), // Rule ID 13492 //
     /* 1848192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848238 */     // MIs[0] policy
     /* 1848238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1848251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848272 */     // GIR_Coverage, 13492,
     /* 1848272 */     GIR_EraseRootFromParent_Done,
     /* 1848273 */   // Label 24989: @1848273
     /* 1848273 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1848359), // Rule ID 13493 //
     /* 1848278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848324 */     // MIs[0] policy
     /* 1848324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1848337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848358 */     // GIR_Coverage, 13493,
     /* 1848358 */     GIR_EraseRootFromParent_Done,
     /* 1848359 */   // Label 24990: @1848359
     /* 1848359 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1848445), // Rule ID 13496 //
     /* 1848364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848410 */     // MIs[0] policy
     /* 1848410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1848423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848444 */     // GIR_Coverage, 13496,
     /* 1848444 */     GIR_EraseRootFromParent_Done,
     /* 1848445 */   // Label 24991: @1848445
     /* 1848445 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1848531), // Rule ID 13497 //
     /* 1848450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848496 */     // MIs[0] policy
     /* 1848496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1848509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848530 */     // GIR_Coverage, 13497,
     /* 1848530 */     GIR_EraseRootFromParent_Done,
     /* 1848531 */   // Label 24992: @1848531
     /* 1848531 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1848617), // Rule ID 13500 //
     /* 1848536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848582 */     // MIs[0] policy
     /* 1848582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1848595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848616 */     // GIR_Coverage, 13500,
     /* 1848616 */     GIR_EraseRootFromParent_Done,
     /* 1848617 */   // Label 24993: @1848617
     /* 1848617 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1848703), // Rule ID 13501 //
     /* 1848622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848668 */     // MIs[0] policy
     /* 1848668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1848681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848702 */     // GIR_Coverage, 13501,
     /* 1848702 */     GIR_EraseRootFromParent_Done,
     /* 1848703 */   // Label 24994: @1848703
     /* 1848703 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1848789), // Rule ID 13504 //
     /* 1848708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1848719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1848722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1848728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848754 */     // MIs[0] policy
     /* 1848754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1848767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848788 */     // GIR_Coverage, 13504,
     /* 1848788 */     GIR_EraseRootFromParent_Done,
     /* 1848789 */   // Label 24995: @1848789
     /* 1848789 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1848875), // Rule ID 13505 //
     /* 1848794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1848805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1848808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1848814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848840 */     // MIs[0] policy
     /* 1848840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1848853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848874 */     // GIR_Coverage, 13505,
     /* 1848874 */     GIR_EraseRootFromParent_Done,
     /* 1848875 */   // Label 24996: @1848875
     /* 1848875 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1848961), // Rule ID 13508 //
     /* 1848880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1848891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1848894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1848900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848926 */     // MIs[0] policy
     /* 1848926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1848939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848960 */     // GIR_Coverage, 13508,
     /* 1848960 */     GIR_EraseRootFromParent_Done,
     /* 1848961 */   // Label 24997: @1848961
     /* 1848961 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1849047), // Rule ID 13509 //
     /* 1848966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1848977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1848980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1848986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849012 */     // MIs[0] policy
     /* 1849012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1849025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849046 */     // GIR_Coverage, 13509,
     /* 1849046 */     GIR_EraseRootFromParent_Done,
     /* 1849047 */   // Label 24998: @1849047
     /* 1849047 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1849133), // Rule ID 13512 //
     /* 1849052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849098 */     // MIs[0] policy
     /* 1849098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849132 */     // GIR_Coverage, 13512,
     /* 1849132 */     GIR_EraseRootFromParent_Done,
     /* 1849133 */   // Label 24999: @1849133
     /* 1849133 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1849219), // Rule ID 13513 //
     /* 1849138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849184 */     // MIs[0] policy
     /* 1849184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849218 */     // GIR_Coverage, 13513,
     /* 1849218 */     GIR_EraseRootFromParent_Done,
     /* 1849219 */   // Label 25000: @1849219
     /* 1849219 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1849305), // Rule ID 13516 //
     /* 1849224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849270 */     // MIs[0] policy
     /* 1849270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1849283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849304 */     // GIR_Coverage, 13516,
     /* 1849304 */     GIR_EraseRootFromParent_Done,
     /* 1849305 */   // Label 25001: @1849305
     /* 1849305 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1849391), // Rule ID 13517 //
     /* 1849310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849356 */     // MIs[0] policy
     /* 1849356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1849369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849390 */     // GIR_Coverage, 13517,
     /* 1849390 */     GIR_EraseRootFromParent_Done,
     /* 1849391 */   // Label 25002: @1849391
     /* 1849391 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1849477), // Rule ID 13520 //
     /* 1849396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849442 */     // MIs[0] policy
     /* 1849442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1849455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849476 */     // GIR_Coverage, 13520,
     /* 1849476 */     GIR_EraseRootFromParent_Done,
     /* 1849477 */   // Label 25003: @1849477
     /* 1849477 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1849563), // Rule ID 13521 //
     /* 1849482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849528 */     // MIs[0] policy
     /* 1849528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1849541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849562 */     // GIR_Coverage, 13521,
     /* 1849562 */     GIR_EraseRootFromParent_Done,
     /* 1849563 */   // Label 25004: @1849563
     /* 1849563 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1849649), // Rule ID 13524 //
     /* 1849568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849614 */     // MIs[0] policy
     /* 1849614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1849627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849648 */     // GIR_Coverage, 13524,
     /* 1849648 */     GIR_EraseRootFromParent_Done,
     /* 1849649 */   // Label 25005: @1849649
     /* 1849649 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1849735), // Rule ID 13525 //
     /* 1849654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849700 */     // MIs[0] policy
     /* 1849700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1849713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849734 */     // GIR_Coverage, 13525,
     /* 1849734 */     GIR_EraseRootFromParent_Done,
     /* 1849735 */   // Label 25006: @1849735
     /* 1849735 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1849821), // Rule ID 13528 //
     /* 1849740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1849760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849786 */     // MIs[0] policy
     /* 1849786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849820 */     // GIR_Coverage, 13528,
     /* 1849820 */     GIR_EraseRootFromParent_Done,
     /* 1849821 */   // Label 25007: @1849821
     /* 1849821 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1849907), // Rule ID 13529 //
     /* 1849826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1849846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849872 */     // MIs[0] policy
     /* 1849872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849906 */     // GIR_Coverage, 13529,
     /* 1849906 */     GIR_EraseRootFromParent_Done,
     /* 1849907 */   // Label 25008: @1849907
     /* 1849907 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1849993), // Rule ID 13532 //
     /* 1849912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1849932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849958 */     // MIs[0] policy
     /* 1849958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1849971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849992 */     // GIR_Coverage, 13532,
     /* 1849992 */     GIR_EraseRootFromParent_Done,
     /* 1849993 */   // Label 25009: @1849993
     /* 1849993 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1850079), // Rule ID 13533 //
     /* 1849998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850044 */     // MIs[0] policy
     /* 1850044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1850057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850078 */     // GIR_Coverage, 13533,
     /* 1850078 */     GIR_EraseRootFromParent_Done,
     /* 1850079 */   // Label 25010: @1850079
     /* 1850079 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1850165), // Rule ID 13536 //
     /* 1850084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850130 */     // MIs[0] policy
     /* 1850130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1850143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850164 */     // GIR_Coverage, 13536,
     /* 1850164 */     GIR_EraseRootFromParent_Done,
     /* 1850165 */   // Label 25011: @1850165
     /* 1850165 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1850251), // Rule ID 13537 //
     /* 1850170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850216 */     // MIs[0] policy
     /* 1850216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1850229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850250 */     // GIR_Coverage, 13537,
     /* 1850250 */     GIR_EraseRootFromParent_Done,
     /* 1850251 */   // Label 25012: @1850251
     /* 1850251 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1850337), // Rule ID 13540 //
     /* 1850256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850302 */     // MIs[0] policy
     /* 1850302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1850315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850336 */     // GIR_Coverage, 13540,
     /* 1850336 */     GIR_EraseRootFromParent_Done,
     /* 1850337 */   // Label 25013: @1850337
     /* 1850337 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1850423), // Rule ID 13541 //
     /* 1850342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850388 */     // MIs[0] policy
     /* 1850388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1850401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850422 */     // GIR_Coverage, 13541,
     /* 1850422 */     GIR_EraseRootFromParent_Done,
     /* 1850423 */   // Label 25014: @1850423
     /* 1850423 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1850509), // Rule ID 13544 //
     /* 1850428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850474 */     // MIs[0] policy
     /* 1850474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1850487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850508 */     // GIR_Coverage, 13544,
     /* 1850508 */     GIR_EraseRootFromParent_Done,
     /* 1850509 */   // Label 25015: @1850509
     /* 1850509 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1850595), // Rule ID 13545 //
     /* 1850514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850560 */     // MIs[0] policy
     /* 1850560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1850573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850594 */     // GIR_Coverage, 13545,
     /* 1850594 */     GIR_EraseRootFromParent_Done,
     /* 1850595 */   // Label 25016: @1850595
     /* 1850595 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1850681), // Rule ID 13548 //
     /* 1850600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850646 */     // MIs[0] policy
     /* 1850646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1850659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850680 */     // GIR_Coverage, 13548,
     /* 1850680 */     GIR_EraseRootFromParent_Done,
     /* 1850681 */   // Label 25017: @1850681
     /* 1850681 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1850767), // Rule ID 13549 //
     /* 1850686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850732 */     // MIs[0] policy
     /* 1850732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1850745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850766 */     // GIR_Coverage, 13549,
     /* 1850766 */     GIR_EraseRootFromParent_Done,
     /* 1850767 */   // Label 25018: @1850767
     /* 1850767 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1850853), // Rule ID 13552 //
     /* 1850772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1850789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850818 */     // MIs[0] policy
     /* 1850818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1850831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850852 */     // GIR_Coverage, 13552,
     /* 1850852 */     GIR_EraseRootFromParent_Done,
     /* 1850853 */   // Label 25019: @1850853
     /* 1850853 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1850939), // Rule ID 13553 //
     /* 1850858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1850875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850904 */     // MIs[0] policy
     /* 1850904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1850917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850938 */     // GIR_Coverage, 13553,
     /* 1850938 */     GIR_EraseRootFromParent_Done,
     /* 1850939 */   // Label 25020: @1850939
     /* 1850939 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1851025), // Rule ID 13556 //
     /* 1850944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1850955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1850958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1850961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1850964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850990 */     // MIs[0] policy
     /* 1850990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851024 */     // GIR_Coverage, 13556,
     /* 1851024 */     GIR_EraseRootFromParent_Done,
     /* 1851025 */   // Label 25021: @1851025
     /* 1851025 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1851111), // Rule ID 13557 //
     /* 1851030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1851047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851076 */     // MIs[0] policy
     /* 1851076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851110 */     // GIR_Coverage, 13557,
     /* 1851110 */     GIR_EraseRootFromParent_Done,
     /* 1851111 */   // Label 25022: @1851111
     /* 1851111 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1851197), // Rule ID 13560 //
     /* 1851116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1851133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851162 */     // MIs[0] policy
     /* 1851162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1851175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851196 */     // GIR_Coverage, 13560,
     /* 1851196 */     GIR_EraseRootFromParent_Done,
     /* 1851197 */   // Label 25023: @1851197
     /* 1851197 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1851283), // Rule ID 13561 //
     /* 1851202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1851219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851248 */     // MIs[0] policy
     /* 1851248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1851261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851282 */     // GIR_Coverage, 13561,
     /* 1851282 */     GIR_EraseRootFromParent_Done,
     /* 1851283 */   // Label 25024: @1851283
     /* 1851283 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1851369), // Rule ID 13564 //
     /* 1851288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851334 */     // MIs[0] policy
     /* 1851334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1851347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851368 */     // GIR_Coverage, 13564,
     /* 1851368 */     GIR_EraseRootFromParent_Done,
     /* 1851369 */   // Label 25025: @1851369
     /* 1851369 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1851455), // Rule ID 13565 //
     /* 1851374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851420 */     // MIs[0] policy
     /* 1851420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1851433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851454 */     // GIR_Coverage, 13565,
     /* 1851454 */     GIR_EraseRootFromParent_Done,
     /* 1851455 */   // Label 25026: @1851455
     /* 1851455 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1851541), // Rule ID 13568 //
     /* 1851460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851506 */     // MIs[0] policy
     /* 1851506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1851519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851540 */     // GIR_Coverage, 13568,
     /* 1851540 */     GIR_EraseRootFromParent_Done,
     /* 1851541 */   // Label 25027: @1851541
     /* 1851541 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1851627), // Rule ID 13569 //
     /* 1851546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851592 */     // MIs[0] policy
     /* 1851592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1851605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851626 */     // GIR_Coverage, 13569,
     /* 1851626 */     GIR_EraseRootFromParent_Done,
     /* 1851627 */   // Label 25028: @1851627
     /* 1851627 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1851713), // Rule ID 13572 //
     /* 1851632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851678 */     // MIs[0] policy
     /* 1851678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1851691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851712 */     // GIR_Coverage, 13572,
     /* 1851712 */     GIR_EraseRootFromParent_Done,
     /* 1851713 */   // Label 25029: @1851713
     /* 1851713 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1851799), // Rule ID 13573 //
     /* 1851718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851764 */     // MIs[0] policy
     /* 1851764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1851777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851798 */     // GIR_Coverage, 13573,
     /* 1851798 */     GIR_EraseRootFromParent_Done,
     /* 1851799 */   // Label 25030: @1851799
     /* 1851799 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1851885), // Rule ID 13576 //
     /* 1851804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1851821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851850 */     // MIs[0] policy
     /* 1851850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851884 */     // GIR_Coverage, 13576,
     /* 1851884 */     GIR_EraseRootFromParent_Done,
     /* 1851885 */   // Label 25031: @1851885
     /* 1851885 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1851971), // Rule ID 13577 //
     /* 1851890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1851907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851936 */     // MIs[0] policy
     /* 1851936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851970 */     // GIR_Coverage, 13577,
     /* 1851970 */     GIR_EraseRootFromParent_Done,
     /* 1851971 */   // Label 25032: @1851971
     /* 1851971 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1852057), // Rule ID 13580 //
     /* 1851976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1851993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852022 */     // MIs[0] policy
     /* 1852022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852056 */     // GIR_Coverage, 13580,
     /* 1852056 */     GIR_EraseRootFromParent_Done,
     /* 1852057 */   // Label 25033: @1852057
     /* 1852057 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1852143), // Rule ID 13581 //
     /* 1852062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1852073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1852076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1852079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852108 */     // MIs[0] policy
     /* 1852108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852142 */     // GIR_Coverage, 13581,
     /* 1852142 */     GIR_EraseRootFromParent_Done,
     /* 1852143 */   // Label 25034: @1852143
     /* 1852143 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1852229), // Rule ID 13584 //
     /* 1852148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852194 */     // MIs[0] policy
     /* 1852194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1852207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852228 */     // GIR_Coverage, 13584,
     /* 1852228 */     GIR_EraseRootFromParent_Done,
     /* 1852229 */   // Label 25035: @1852229
     /* 1852229 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1852315), // Rule ID 13585 //
     /* 1852234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852280 */     // MIs[0] policy
     /* 1852280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1852293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852314 */     // GIR_Coverage, 13585,
     /* 1852314 */     GIR_EraseRootFromParent_Done,
     /* 1852315 */   // Label 25036: @1852315
     /* 1852315 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1852401), // Rule ID 13588 //
     /* 1852320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852366 */     // MIs[0] policy
     /* 1852366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852400 */     // GIR_Coverage, 13588,
     /* 1852400 */     GIR_EraseRootFromParent_Done,
     /* 1852401 */   // Label 25037: @1852401
     /* 1852401 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1852487), // Rule ID 13589 //
     /* 1852406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852452 */     // MIs[0] policy
     /* 1852452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852486 */     // GIR_Coverage, 13589,
     /* 1852486 */     GIR_EraseRootFromParent_Done,
     /* 1852487 */   // Label 25038: @1852487
     /* 1852487 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1852573), // Rule ID 13592 //
     /* 1852492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1852509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852538 */     // MIs[0] policy
     /* 1852538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1852551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852572 */     // GIR_Coverage, 13592,
     /* 1852572 */     GIR_EraseRootFromParent_Done,
     /* 1852573 */   // Label 25039: @1852573
     /* 1852573 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1852659), // Rule ID 13593 //
     /* 1852578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1852595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852624 */     // MIs[0] policy
     /* 1852624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1852637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852658 */     // GIR_Coverage, 13593,
     /* 1852658 */     GIR_EraseRootFromParent_Done,
     /* 1852659 */   // Label 25040: @1852659
     /* 1852659 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1852745), // Rule ID 13596 //
     /* 1852664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1852681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852710 */     // MIs[0] policy
     /* 1852710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852744 */     // GIR_Coverage, 13596,
     /* 1852744 */     GIR_EraseRootFromParent_Done,
     /* 1852745 */   // Label 25041: @1852745
     /* 1852745 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1852831), // Rule ID 13597 //
     /* 1852750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1852767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852796 */     // MIs[0] policy
     /* 1852796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852830 */     // GIR_Coverage, 13597,
     /* 1852830 */     GIR_EraseRootFromParent_Done,
     /* 1852831 */   // Label 25042: @1852831
     /* 1852831 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1852917), // Rule ID 13600 //
     /* 1852836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852882 */     // MIs[0] policy
     /* 1852882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1852895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852916 */     // GIR_Coverage, 13600,
     /* 1852916 */     GIR_EraseRootFromParent_Done,
     /* 1852917 */   // Label 25043: @1852917
     /* 1852917 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1853003), // Rule ID 13601 //
     /* 1852922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852968 */     // MIs[0] policy
     /* 1852968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1852981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853002 */     // GIR_Coverage, 13601,
     /* 1853002 */     GIR_EraseRootFromParent_Done,
     /* 1853003 */   // Label 25044: @1853003
     /* 1853003 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1853089), // Rule ID 13604 //
     /* 1853008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853054 */     // MIs[0] policy
     /* 1853054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1853067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853088 */     // GIR_Coverage, 13604,
     /* 1853088 */     GIR_EraseRootFromParent_Done,
     /* 1853089 */   // Label 25045: @1853089
     /* 1853089 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1853175), // Rule ID 13605 //
     /* 1853094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853140 */     // MIs[0] policy
     /* 1853140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1853153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853174 */     // GIR_Coverage, 13605,
     /* 1853174 */     GIR_EraseRootFromParent_Done,
     /* 1853175 */   // Label 25046: @1853175
     /* 1853175 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1853261), // Rule ID 13608 //
     /* 1853180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853226 */     // MIs[0] policy
     /* 1853226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1853239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853260 */     // GIR_Coverage, 13608,
     /* 1853260 */     GIR_EraseRootFromParent_Done,
     /* 1853261 */   // Label 25047: @1853261
     /* 1853261 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1853347), // Rule ID 13609 //
     /* 1853266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853312 */     // MIs[0] policy
     /* 1853312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1853325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853346 */     // GIR_Coverage, 13609,
     /* 1853346 */     GIR_EraseRootFromParent_Done,
     /* 1853347 */   // Label 25048: @1853347
     /* 1853347 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1853433), // Rule ID 13612 //
     /* 1853352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853398 */     // MIs[0] policy
     /* 1853398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1853411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853432 */     // GIR_Coverage, 13612,
     /* 1853432 */     GIR_EraseRootFromParent_Done,
     /* 1853433 */   // Label 25049: @1853433
     /* 1853433 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1853519), // Rule ID 13613 //
     /* 1853438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853484 */     // MIs[0] policy
     /* 1853484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1853497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853518 */     // GIR_Coverage, 13613,
     /* 1853518 */     GIR_EraseRootFromParent_Done,
     /* 1853519 */   // Label 25050: @1853519
     /* 1853519 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1853605), // Rule ID 13616 //
     /* 1853524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853570 */     // MIs[0] policy
     /* 1853570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1853583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853604 */     // GIR_Coverage, 13616,
     /* 1853604 */     GIR_EraseRootFromParent_Done,
     /* 1853605 */   // Label 25051: @1853605
     /* 1853605 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1853691), // Rule ID 13617 //
     /* 1853610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853656 */     // MIs[0] policy
     /* 1853656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1853669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853690 */     // GIR_Coverage, 13617,
     /* 1853690 */     GIR_EraseRootFromParent_Done,
     /* 1853691 */   // Label 25052: @1853691
     /* 1853691 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1853777), // Rule ID 13620 //
     /* 1853696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853742 */     // MIs[0] policy
     /* 1853742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1853755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853776 */     // GIR_Coverage, 13620,
     /* 1853776 */     GIR_EraseRootFromParent_Done,
     /* 1853777 */   // Label 25053: @1853777
     /* 1853777 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1853863), // Rule ID 13621 //
     /* 1853782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853828 */     // MIs[0] policy
     /* 1853828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1853841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853862 */     // GIR_Coverage, 13621,
     /* 1853862 */     GIR_EraseRootFromParent_Done,
     /* 1853863 */   // Label 25054: @1853863
     /* 1853863 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1853949), // Rule ID 13624 //
     /* 1853868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853914 */     // MIs[0] policy
     /* 1853914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1853927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853948 */     // GIR_Coverage, 13624,
     /* 1853948 */     GIR_EraseRootFromParent_Done,
     /* 1853949 */   // Label 25055: @1853949
     /* 1853949 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1854035), // Rule ID 13625 //
     /* 1853954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854000 */     // MIs[0] policy
     /* 1854000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1854013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854034 */     // GIR_Coverage, 13625,
     /* 1854034 */     GIR_EraseRootFromParent_Done,
     /* 1854035 */   // Label 25056: @1854035
     /* 1854035 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1854121), // Rule ID 13628 //
     /* 1854040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854086 */     // MIs[0] policy
     /* 1854086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854120 */     // GIR_Coverage, 13628,
     /* 1854120 */     GIR_EraseRootFromParent_Done,
     /* 1854121 */   // Label 25057: @1854121
     /* 1854121 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1854207), // Rule ID 13629 //
     /* 1854126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854172 */     // MIs[0] policy
     /* 1854172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854206 */     // GIR_Coverage, 13629,
     /* 1854206 */     GIR_EraseRootFromParent_Done,
     /* 1854207 */   // Label 25058: @1854207
     /* 1854207 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1854293), // Rule ID 13632 //
     /* 1854212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854258 */     // MIs[0] policy
     /* 1854258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1854271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854292 */     // GIR_Coverage, 13632,
     /* 1854292 */     GIR_EraseRootFromParent_Done,
     /* 1854293 */   // Label 25059: @1854293
     /* 1854293 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1854379), // Rule ID 13633 //
     /* 1854298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854344 */     // MIs[0] policy
     /* 1854344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1854357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854378 */     // GIR_Coverage, 13633,
     /* 1854378 */     GIR_EraseRootFromParent_Done,
     /* 1854379 */   // Label 25060: @1854379
     /* 1854379 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1854465), // Rule ID 13636 //
     /* 1854384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854430 */     // MIs[0] policy
     /* 1854430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854464 */     // GIR_Coverage, 13636,
     /* 1854464 */     GIR_EraseRootFromParent_Done,
     /* 1854465 */   // Label 25061: @1854465
     /* 1854465 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1854551), // Rule ID 13637 //
     /* 1854470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854516 */     // MIs[0] policy
     /* 1854516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854550 */     // GIR_Coverage, 13637,
     /* 1854550 */     GIR_EraseRootFromParent_Done,
     /* 1854551 */   // Label 25062: @1854551
     /* 1854551 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1854637), // Rule ID 13640 //
     /* 1854556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854602 */     // MIs[0] policy
     /* 1854602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1854615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854636 */     // GIR_Coverage, 13640,
     /* 1854636 */     GIR_EraseRootFromParent_Done,
     /* 1854637 */   // Label 25063: @1854637
     /* 1854637 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1854723), // Rule ID 13641 //
     /* 1854642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854688 */     // MIs[0] policy
     /* 1854688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1854701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854722 */     // GIR_Coverage, 13641,
     /* 1854722 */     GIR_EraseRootFromParent_Done,
     /* 1854723 */   // Label 25064: @1854723
     /* 1854723 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1854809), // Rule ID 13644 //
     /* 1854728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854774 */     // MIs[0] policy
     /* 1854774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854808 */     // GIR_Coverage, 13644,
     /* 1854808 */     GIR_EraseRootFromParent_Done,
     /* 1854809 */   // Label 25065: @1854809
     /* 1854809 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1854895), // Rule ID 13645 //
     /* 1854814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854860 */     // MIs[0] policy
     /* 1854860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854894 */     // GIR_Coverage, 13645,
     /* 1854894 */     GIR_EraseRootFromParent_Done,
     /* 1854895 */   // Label 25066: @1854895
     /* 1854895 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1854981), // Rule ID 13648 //
     /* 1854900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1854920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854946 */     // MIs[0] policy
     /* 1854946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1854959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854980 */     // GIR_Coverage, 13648,
     /* 1854980 */     GIR_EraseRootFromParent_Done,
     /* 1854981 */   // Label 25067: @1854981
     /* 1854981 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1855067), // Rule ID 13649 //
     /* 1854986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855032 */     // MIs[0] policy
     /* 1855032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1855045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855066 */     // GIR_Coverage, 13649,
     /* 1855066 */     GIR_EraseRootFromParent_Done,
     /* 1855067 */   // Label 25068: @1855067
     /* 1855067 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1855153), // Rule ID 13652 //
     /* 1855072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855118 */     // MIs[0] policy
     /* 1855118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1855131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855152 */     // GIR_Coverage, 13652,
     /* 1855152 */     GIR_EraseRootFromParent_Done,
     /* 1855153 */   // Label 25069: @1855153
     /* 1855153 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1855239), // Rule ID 13653 //
     /* 1855158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855204 */     // MIs[0] policy
     /* 1855204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1855217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855238 */     // GIR_Coverage, 13653,
     /* 1855238 */     GIR_EraseRootFromParent_Done,
     /* 1855239 */   // Label 25070: @1855239
     /* 1855239 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1855325), // Rule ID 13656 //
     /* 1855244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855290 */     // MIs[0] policy
     /* 1855290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855300 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855324 */     // GIR_Coverage, 13656,
     /* 1855324 */     GIR_EraseRootFromParent_Done,
     /* 1855325 */   // Label 25071: @1855325
     /* 1855325 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1855411), // Rule ID 13657 //
     /* 1855330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855376 */     // MIs[0] policy
     /* 1855376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855410 */     // GIR_Coverage, 13657,
     /* 1855410 */     GIR_EraseRootFromParent_Done,
     /* 1855411 */   // Label 25072: @1855411
     /* 1855411 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1855497), // Rule ID 13660 //
     /* 1855416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855462 */     // MIs[0] policy
     /* 1855462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1855475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855496 */     // GIR_Coverage, 13660,
     /* 1855496 */     GIR_EraseRootFromParent_Done,
     /* 1855497 */   // Label 25073: @1855497
     /* 1855497 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1855583), // Rule ID 13661 //
     /* 1855502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855548 */     // MIs[0] policy
     /* 1855548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1855561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855582 */     // GIR_Coverage, 13661,
     /* 1855582 */     GIR_EraseRootFromParent_Done,
     /* 1855583 */   // Label 25074: @1855583
     /* 1855583 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1855669), // Rule ID 13664 //
     /* 1855588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855634 */     // MIs[0] policy
     /* 1855634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1855647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855668 */     // GIR_Coverage, 13664,
     /* 1855668 */     GIR_EraseRootFromParent_Done,
     /* 1855669 */   // Label 25075: @1855669
     /* 1855669 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1855755), // Rule ID 13665 //
     /* 1855674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855720 */     // MIs[0] policy
     /* 1855720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1855733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855754 */     // GIR_Coverage, 13665,
     /* 1855754 */     GIR_EraseRootFromParent_Done,
     /* 1855755 */   // Label 25076: @1855755
     /* 1855755 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1855841), // Rule ID 13668 //
     /* 1855760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855806 */     // MIs[0] policy
     /* 1855806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1855819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855840 */     // GIR_Coverage, 13668,
     /* 1855840 */     GIR_EraseRootFromParent_Done,
     /* 1855841 */   // Label 25077: @1855841
     /* 1855841 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1855927), // Rule ID 13669 //
     /* 1855846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855892 */     // MIs[0] policy
     /* 1855892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1855905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855926 */     // GIR_Coverage, 13669,
     /* 1855926 */     GIR_EraseRootFromParent_Done,
     /* 1855927 */   // Label 25078: @1855927
     /* 1855927 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1856013), // Rule ID 13672 //
     /* 1855932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1855943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1855946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1855952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855978 */     // MIs[0] policy
     /* 1855978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1855991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856012 */     // GIR_Coverage, 13672,
     /* 1856012 */     GIR_EraseRootFromParent_Done,
     /* 1856013 */   // Label 25079: @1856013
     /* 1856013 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1856099), // Rule ID 13673 //
     /* 1856018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1856035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856064 */     // MIs[0] policy
     /* 1856064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1856077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856098 */     // GIR_Coverage, 13673,
     /* 1856098 */     GIR_EraseRootFromParent_Done,
     /* 1856099 */   // Label 25080: @1856099
     /* 1856099 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1856185), // Rule ID 13676 //
     /* 1856104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856150 */     // MIs[0] policy
     /* 1856150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1856163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856184 */     // GIR_Coverage, 13676,
     /* 1856184 */     GIR_EraseRootFromParent_Done,
     /* 1856185 */   // Label 25081: @1856185
     /* 1856185 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1856271), // Rule ID 13677 //
     /* 1856190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856236 */     // MIs[0] policy
     /* 1856236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1856249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856270 */     // GIR_Coverage, 13677,
     /* 1856270 */     GIR_EraseRootFromParent_Done,
     /* 1856271 */   // Label 25082: @1856271
     /* 1856271 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1856357), // Rule ID 13680 //
     /* 1856276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856322 */     // MIs[0] policy
     /* 1856322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1856335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856356 */     // GIR_Coverage, 13680,
     /* 1856356 */     GIR_EraseRootFromParent_Done,
     /* 1856357 */   // Label 25083: @1856357
     /* 1856357 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1856443), // Rule ID 13681 //
     /* 1856362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856408 */     // MIs[0] policy
     /* 1856408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1856421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856442 */     // GIR_Coverage, 13681,
     /* 1856442 */     GIR_EraseRootFromParent_Done,
     /* 1856443 */   // Label 25084: @1856443
     /* 1856443 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1856529), // Rule ID 13684 //
     /* 1856448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856494 */     // MIs[0] policy
     /* 1856494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1856507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856528 */     // GIR_Coverage, 13684,
     /* 1856528 */     GIR_EraseRootFromParent_Done,
     /* 1856529 */   // Label 25085: @1856529
     /* 1856529 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1856615), // Rule ID 13685 //
     /* 1856534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856580 */     // MIs[0] policy
     /* 1856580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1856593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856614 */     // GIR_Coverage, 13685,
     /* 1856614 */     GIR_EraseRootFromParent_Done,
     /* 1856615 */   // Label 25086: @1856615
     /* 1856615 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1856701), // Rule ID 13688 //
     /* 1856620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1856640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856666 */     // MIs[0] policy
     /* 1856666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1856679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856700 */     // GIR_Coverage, 13688,
     /* 1856700 */     GIR_EraseRootFromParent_Done,
     /* 1856701 */   // Label 25087: @1856701
     /* 1856701 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1856787), // Rule ID 13689 //
     /* 1856706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1856726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856752 */     // MIs[0] policy
     /* 1856752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1856765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856786 */     // GIR_Coverage, 13689,
     /* 1856786 */     GIR_EraseRootFromParent_Done,
     /* 1856787 */   // Label 25088: @1856787
     /* 1856787 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1856873), // Rule ID 13692 //
     /* 1856792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1856803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1856806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856838 */     // MIs[0] policy
     /* 1856838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1856851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856872 */     // GIR_Coverage, 13692,
     /* 1856872 */     GIR_EraseRootFromParent_Done,
     /* 1856873 */   // Label 25089: @1856873
     /* 1856873 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1856959), // Rule ID 13693 //
     /* 1856878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1856889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1856892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856924 */     // MIs[0] policy
     /* 1856924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1856937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856958 */     // GIR_Coverage, 13693,
     /* 1856958 */     GIR_EraseRootFromParent_Done,
     /* 1856959 */   // Label 25090: @1856959
     /* 1856959 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1857045), // Rule ID 13696 //
     /* 1856964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1856975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1856978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1856984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857010 */     // MIs[0] policy
     /* 1857010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857044 */     // GIR_Coverage, 13696,
     /* 1857044 */     GIR_EraseRootFromParent_Done,
     /* 1857045 */   // Label 25091: @1857045
     /* 1857045 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1857131), // Rule ID 13697 //
     /* 1857050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857096 */     // MIs[0] policy
     /* 1857096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857130 */     // GIR_Coverage, 13697,
     /* 1857130 */     GIR_EraseRootFromParent_Done,
     /* 1857131 */   // Label 25092: @1857131
     /* 1857131 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1857217), // Rule ID 13700 //
     /* 1857136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857182 */     // MIs[0] policy
     /* 1857182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857216 */     // GIR_Coverage, 13700,
     /* 1857216 */     GIR_EraseRootFromParent_Done,
     /* 1857217 */   // Label 25093: @1857217
     /* 1857217 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1857303), // Rule ID 13701 //
     /* 1857222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857268 */     // MIs[0] policy
     /* 1857268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857302 */     // GIR_Coverage, 13701,
     /* 1857302 */     GIR_EraseRootFromParent_Done,
     /* 1857303 */   // Label 25094: @1857303
     /* 1857303 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1857389), // Rule ID 13704 //
     /* 1857308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857354 */     // MIs[0] policy
     /* 1857354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857388 */     // GIR_Coverage, 13704,
     /* 1857388 */     GIR_EraseRootFromParent_Done,
     /* 1857389 */   // Label 25095: @1857389
     /* 1857389 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1857475), // Rule ID 13705 //
     /* 1857394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857440 */     // MIs[0] policy
     /* 1857440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857474 */     // GIR_Coverage, 13705,
     /* 1857474 */     GIR_EraseRootFromParent_Done,
     /* 1857475 */   // Label 25096: @1857475
     /* 1857475 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1857561), // Rule ID 13708 //
     /* 1857480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857526 */     // MIs[0] policy
     /* 1857526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1857539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857560 */     // GIR_Coverage, 13708,
     /* 1857560 */     GIR_EraseRootFromParent_Done,
     /* 1857561 */   // Label 25097: @1857561
     /* 1857561 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1857647), // Rule ID 13709 //
     /* 1857566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857612 */     // MIs[0] policy
     /* 1857612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1857625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857646 */     // GIR_Coverage, 13709,
     /* 1857646 */     GIR_EraseRootFromParent_Done,
     /* 1857647 */   // Label 25098: @1857647
     /* 1857647 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1857733), // Rule ID 13712 //
     /* 1857652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1857663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1857666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857698 */     // MIs[0] policy
     /* 1857698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857732 */     // GIR_Coverage, 13712,
     /* 1857732 */     GIR_EraseRootFromParent_Done,
     /* 1857733 */   // Label 25099: @1857733
     /* 1857733 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1857819), // Rule ID 13713 //
     /* 1857738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1857749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1857752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857784 */     // MIs[0] policy
     /* 1857784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857818 */     // GIR_Coverage, 13713,
     /* 1857818 */     GIR_EraseRootFromParent_Done,
     /* 1857819 */   // Label 25100: @1857819
     /* 1857819 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1857905), // Rule ID 13716 //
     /* 1857824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1857835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1857838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1857844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857870 */     // MIs[0] policy
     /* 1857870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857904 */     // GIR_Coverage, 13716,
     /* 1857904 */     GIR_EraseRootFromParent_Done,
     /* 1857905 */   // Label 25101: @1857905
     /* 1857905 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1857991), // Rule ID 13717 //
     /* 1857910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1857921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1857924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1857930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857956 */     // MIs[0] policy
     /* 1857956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857990 */     // GIR_Coverage, 13717,
     /* 1857990 */     GIR_EraseRootFromParent_Done,
     /* 1857991 */   // Label 25102: @1857991
     /* 1857991 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1858077), // Rule ID 13720 //
     /* 1857996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858042 */     // MIs[0] policy
     /* 1858042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1858055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858076 */     // GIR_Coverage, 13720,
     /* 1858076 */     GIR_EraseRootFromParent_Done,
     /* 1858077 */   // Label 25103: @1858077
     /* 1858077 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1858163), // Rule ID 13721 //
     /* 1858082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858128 */     // MIs[0] policy
     /* 1858128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858138 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1858141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858162 */     // GIR_Coverage, 13721,
     /* 1858162 */     GIR_EraseRootFromParent_Done,
     /* 1858163 */   // Label 25104: @1858163
     /* 1858163 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1858249), // Rule ID 13724 //
     /* 1858168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858214 */     // MIs[0] policy
     /* 1858214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1858227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858248 */     // GIR_Coverage, 13724,
     /* 1858248 */     GIR_EraseRootFromParent_Done,
     /* 1858249 */   // Label 25105: @1858249
     /* 1858249 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1858335), // Rule ID 13725 //
     /* 1858254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858300 */     // MIs[0] policy
     /* 1858300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858310 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1858313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858334 */     // GIR_Coverage, 13725,
     /* 1858334 */     GIR_EraseRootFromParent_Done,
     /* 1858335 */   // Label 25106: @1858335
     /* 1858335 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1858421), // Rule ID 13728 //
     /* 1858340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858386 */     // MIs[0] policy
     /* 1858386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1858399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858420 */     // GIR_Coverage, 13728,
     /* 1858420 */     GIR_EraseRootFromParent_Done,
     /* 1858421 */   // Label 25107: @1858421
     /* 1858421 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1858507), // Rule ID 13729 //
     /* 1858426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858472 */     // MIs[0] policy
     /* 1858472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1858485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858506 */     // GIR_Coverage, 13729,
     /* 1858506 */     GIR_EraseRootFromParent_Done,
     /* 1858507 */   // Label 25108: @1858507
     /* 1858507 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1858593), // Rule ID 13732 //
     /* 1858512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858558 */     // MIs[0] policy
     /* 1858558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1858571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858592 */     // GIR_Coverage, 13732,
     /* 1858592 */     GIR_EraseRootFromParent_Done,
     /* 1858593 */   // Label 25109: @1858593
     /* 1858593 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1858679), // Rule ID 13733 //
     /* 1858598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858644 */     // MIs[0] policy
     /* 1858644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1858657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858678 */     // GIR_Coverage, 13733,
     /* 1858678 */     GIR_EraseRootFromParent_Done,
     /* 1858679 */   // Label 25110: @1858679
     /* 1858679 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1858765), // Rule ID 13736 //
     /* 1858684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858730 */     // MIs[0] policy
     /* 1858730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1858743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858764 */     // GIR_Coverage, 13736,
     /* 1858764 */     GIR_EraseRootFromParent_Done,
     /* 1858765 */   // Label 25111: @1858765
     /* 1858765 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1858851), // Rule ID 13737 //
     /* 1858770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858816 */     // MIs[0] policy
     /* 1858816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1858829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858850 */     // GIR_Coverage, 13737,
     /* 1858850 */     GIR_EraseRootFromParent_Done,
     /* 1858851 */   // Label 25112: @1858851
     /* 1858851 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1858937), // Rule ID 13740 //
     /* 1858856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1858867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1858870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858902 */     // MIs[0] policy
     /* 1858902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1858915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858936 */     // GIR_Coverage, 13740,
     /* 1858936 */     GIR_EraseRootFromParent_Done,
     /* 1858937 */   // Label 25113: @1858937
     /* 1858937 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1859023), // Rule ID 13741 //
     /* 1858942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1858953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1858956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858988 */     // MIs[0] policy
     /* 1858988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1859001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859022 */     // GIR_Coverage, 13741,
     /* 1859022 */     GIR_EraseRootFromParent_Done,
     /* 1859023 */   // Label 25114: @1859023
     /* 1859023 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1859109), // Rule ID 13744 //
     /* 1859028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859074 */     // MIs[0] policy
     /* 1859074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1859087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859108 */     // GIR_Coverage, 13744,
     /* 1859108 */     GIR_EraseRootFromParent_Done,
     /* 1859109 */   // Label 25115: @1859109
     /* 1859109 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1859195), // Rule ID 13745 //
     /* 1859114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859160 */     // MIs[0] policy
     /* 1859160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859170 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1859173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859194 */     // GIR_Coverage, 13745,
     /* 1859194 */     GIR_EraseRootFromParent_Done,
     /* 1859195 */   // Label 25116: @1859195
     /* 1859195 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1859281), // Rule ID 13748 //
     /* 1859200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859246 */     // MIs[0] policy
     /* 1859246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1859259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859280 */     // GIR_Coverage, 13748,
     /* 1859280 */     GIR_EraseRootFromParent_Done,
     /* 1859281 */   // Label 25117: @1859281
     /* 1859281 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1859367), // Rule ID 13749 //
     /* 1859286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859332 */     // MIs[0] policy
     /* 1859332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1859345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859366 */     // GIR_Coverage, 13749,
     /* 1859366 */     GIR_EraseRootFromParent_Done,
     /* 1859367 */   // Label 25118: @1859367
     /* 1859367 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1859453), // Rule ID 13752 //
     /* 1859372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859418 */     // MIs[0] policy
     /* 1859418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859452 */     // GIR_Coverage, 13752,
     /* 1859452 */     GIR_EraseRootFromParent_Done,
     /* 1859453 */   // Label 25119: @1859453
     /* 1859453 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1859539), // Rule ID 13753 //
     /* 1859458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859504 */     // MIs[0] policy
     /* 1859504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859538 */     // GIR_Coverage, 13753,
     /* 1859538 */     GIR_EraseRootFromParent_Done,
     /* 1859539 */   // Label 25120: @1859539
     /* 1859539 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1859625), // Rule ID 13756 //
     /* 1859544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859590 */     // MIs[0] policy
     /* 1859590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1859603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859624 */     // GIR_Coverage, 13756,
     /* 1859624 */     GIR_EraseRootFromParent_Done,
     /* 1859625 */   // Label 25121: @1859625
     /* 1859625 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1859711), // Rule ID 13757 //
     /* 1859630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859676 */     // MIs[0] policy
     /* 1859676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1859689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859710 */     // GIR_Coverage, 13757,
     /* 1859710 */     GIR_EraseRootFromParent_Done,
     /* 1859711 */   // Label 25122: @1859711
     /* 1859711 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1859797), // Rule ID 13760 //
     /* 1859716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859762 */     // MIs[0] policy
     /* 1859762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1859775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859796 */     // GIR_Coverage, 13760,
     /* 1859796 */     GIR_EraseRootFromParent_Done,
     /* 1859797 */   // Label 25123: @1859797
     /* 1859797 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1859883), // Rule ID 13761 //
     /* 1859802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859848 */     // MIs[0] policy
     /* 1859848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1859861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859882 */     // GIR_Coverage, 13761,
     /* 1859882 */     GIR_EraseRootFromParent_Done,
     /* 1859883 */   // Label 25124: @1859883
     /* 1859883 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1859969), // Rule ID 13764 //
     /* 1859888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1859891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1859899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1859902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859934 */     // MIs[0] policy
     /* 1859934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1859947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859968 */     // GIR_Coverage, 13764,
     /* 1859968 */     GIR_EraseRootFromParent_Done,
     /* 1859969 */   // Label 25125: @1859969
     /* 1859969 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1860055), // Rule ID 13765 //
     /* 1859974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1859977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1859985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1859988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860020 */     // MIs[0] policy
     /* 1860020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1860033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860054 */     // GIR_Coverage, 13765,
     /* 1860054 */     GIR_EraseRootFromParent_Done,
     /* 1860055 */   // Label 25126: @1860055
     /* 1860055 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1860141), // Rule ID 13768 //
     /* 1860060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860106 */     // MIs[0] policy
     /* 1860106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1860119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860140 */     // GIR_Coverage, 13768,
     /* 1860140 */     GIR_EraseRootFromParent_Done,
     /* 1860141 */   // Label 25127: @1860141
     /* 1860141 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1860227), // Rule ID 13769 //
     /* 1860146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860192 */     // MIs[0] policy
     /* 1860192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1860205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860226 */     // GIR_Coverage, 13769,
     /* 1860226 */     GIR_EraseRootFromParent_Done,
     /* 1860227 */   // Label 25128: @1860227
     /* 1860227 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1860313), // Rule ID 13772 //
     /* 1860232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860278 */     // MIs[0] policy
     /* 1860278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860312 */     // GIR_Coverage, 13772,
     /* 1860312 */     GIR_EraseRootFromParent_Done,
     /* 1860313 */   // Label 25129: @1860313
     /* 1860313 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1860399), // Rule ID 13773 //
     /* 1860318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860364 */     // MIs[0] policy
     /* 1860364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860398 */     // GIR_Coverage, 13773,
     /* 1860398 */     GIR_EraseRootFromParent_Done,
     /* 1860399 */   // Label 25130: @1860399
     /* 1860399 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1860485), // Rule ID 13776 //
     /* 1860404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860450 */     // MIs[0] policy
     /* 1860450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1860463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860484 */     // GIR_Coverage, 13776,
     /* 1860484 */     GIR_EraseRootFromParent_Done,
     /* 1860485 */   // Label 25131: @1860485
     /* 1860485 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1860571), // Rule ID 13777 //
     /* 1860490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860536 */     // MIs[0] policy
     /* 1860536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1860549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860570 */     // GIR_Coverage, 13777,
     /* 1860570 */     GIR_EraseRootFromParent_Done,
     /* 1860571 */   // Label 25132: @1860571
     /* 1860571 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1860657), // Rule ID 13780 //
     /* 1860576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860622 */     // MIs[0] policy
     /* 1860622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1860635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860656 */     // GIR_Coverage, 13780,
     /* 1860656 */     GIR_EraseRootFromParent_Done,
     /* 1860657 */   // Label 25133: @1860657
     /* 1860657 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1860743), // Rule ID 13781 //
     /* 1860662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860708 */     // MIs[0] policy
     /* 1860708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1860721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860742 */     // GIR_Coverage, 13781,
     /* 1860742 */     GIR_EraseRootFromParent_Done,
     /* 1860743 */   // Label 25134: @1860743
     /* 1860743 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1860829), // Rule ID 13784 //
     /* 1860748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860794 */     // MIs[0] policy
     /* 1860794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1860807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860828 */     // GIR_Coverage, 13784,
     /* 1860828 */     GIR_EraseRootFromParent_Done,
     /* 1860829 */   // Label 25135: @1860829
     /* 1860829 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1860915), // Rule ID 13785 //
     /* 1860834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860880 */     // MIs[0] policy
     /* 1860880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1860893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860914 */     // GIR_Coverage, 13785,
     /* 1860914 */     GIR_EraseRootFromParent_Done,
     /* 1860915 */   // Label 25136: @1860915
     /* 1860915 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1861001), // Rule ID 13788 //
     /* 1860920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1860940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860966 */     // MIs[0] policy
     /* 1860966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1860979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861000 */     // GIR_Coverage, 13788,
     /* 1861000 */     GIR_EraseRootFromParent_Done,
     /* 1861001 */   // Label 25137: @1861001
     /* 1861001 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1861087), // Rule ID 13789 //
     /* 1861006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1861026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861052 */     // MIs[0] policy
     /* 1861052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1861065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861086 */     // GIR_Coverage, 13789,
     /* 1861086 */     GIR_EraseRootFromParent_Done,
     /* 1861087 */   // Label 25138: @1861087
     /* 1861087 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1861173), // Rule ID 13792 //
     /* 1861092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1861112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861138 */     // MIs[0] policy
     /* 1861138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1861151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861172 */     // GIR_Coverage, 13792,
     /* 1861172 */     GIR_EraseRootFromParent_Done,
     /* 1861173 */   // Label 25139: @1861173
     /* 1861173 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1861259), // Rule ID 13793 //
     /* 1861178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1861198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861224 */     // MIs[0] policy
     /* 1861224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1861237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861258 */     // GIR_Coverage, 13793,
     /* 1861258 */     GIR_EraseRootFromParent_Done,
     /* 1861259 */   // Label 25140: @1861259
     /* 1861259 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1861345), // Rule ID 13796 //
     /* 1861264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861310 */     // MIs[0] policy
     /* 1861310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1861323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861344 */     // GIR_Coverage, 13796,
     /* 1861344 */     GIR_EraseRootFromParent_Done,
     /* 1861345 */   // Label 25141: @1861345
     /* 1861345 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1861431), // Rule ID 13797 //
     /* 1861350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861396 */     // MIs[0] policy
     /* 1861396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1861409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861430 */     // GIR_Coverage, 13797,
     /* 1861430 */     GIR_EraseRootFromParent_Done,
     /* 1861431 */   // Label 25142: @1861431
     /* 1861431 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1861517), // Rule ID 13800 //
     /* 1861436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861482 */     // MIs[0] policy
     /* 1861482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1861495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861516 */     // GIR_Coverage, 13800,
     /* 1861516 */     GIR_EraseRootFromParent_Done,
     /* 1861517 */   // Label 25143: @1861517
     /* 1861517 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1861603), // Rule ID 13801 //
     /* 1861522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861568 */     // MIs[0] policy
     /* 1861568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1861581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861602 */     // GIR_Coverage, 13801,
     /* 1861602 */     GIR_EraseRootFromParent_Done,
     /* 1861603 */   // Label 25144: @1861603
     /* 1861603 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1861689), // Rule ID 13804 //
     /* 1861608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861654 */     // MIs[0] policy
     /* 1861654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1861667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861688 */     // GIR_Coverage, 13804,
     /* 1861688 */     GIR_EraseRootFromParent_Done,
     /* 1861689 */   // Label 25145: @1861689
     /* 1861689 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1861775), // Rule ID 13805 //
     /* 1861694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861740 */     // MIs[0] policy
     /* 1861740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1861753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861774 */     // GIR_Coverage, 13805,
     /* 1861774 */     GIR_EraseRootFromParent_Done,
     /* 1861775 */   // Label 25146: @1861775
     /* 1861775 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1861861), // Rule ID 13808 //
     /* 1861780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861826 */     // MIs[0] policy
     /* 1861826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1861839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861860 */     // GIR_Coverage, 13808,
     /* 1861860 */     GIR_EraseRootFromParent_Done,
     /* 1861861 */   // Label 25147: @1861861
     /* 1861861 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1861947), // Rule ID 13809 //
     /* 1861866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861912 */     // MIs[0] policy
     /* 1861912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1861925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861946 */     // GIR_Coverage, 13809,
     /* 1861946 */     GIR_EraseRootFromParent_Done,
     /* 1861947 */   // Label 25148: @1861947
     /* 1861947 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1862033), // Rule ID 13812 //
     /* 1861952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1861972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861998 */     // MIs[0] policy
     /* 1861998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862032 */     // GIR_Coverage, 13812,
     /* 1862032 */     GIR_EraseRootFromParent_Done,
     /* 1862033 */   // Label 25149: @1862033
     /* 1862033 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1862119), // Rule ID 13813 //
     /* 1862038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1862058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862084 */     // MIs[0] policy
     /* 1862084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862118 */     // GIR_Coverage, 13813,
     /* 1862118 */     GIR_EraseRootFromParent_Done,
     /* 1862119 */   // Label 25150: @1862119
     /* 1862119 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1862205), // Rule ID 13816 //
     /* 1862124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1862144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862170 */     // MIs[0] policy
     /* 1862170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862204 */     // GIR_Coverage, 13816,
     /* 1862204 */     GIR_EraseRootFromParent_Done,
     /* 1862205 */   // Label 25151: @1862205
     /* 1862205 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1862291), // Rule ID 13817 //
     /* 1862210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1862230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862256 */     // MIs[0] policy
     /* 1862256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862290 */     // GIR_Coverage, 13817,
     /* 1862290 */     GIR_EraseRootFromParent_Done,
     /* 1862291 */   // Label 25152: @1862291
     /* 1862291 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1862377), // Rule ID 13820 //
     /* 1862296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862342 */     // MIs[0] policy
     /* 1862342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1862355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862376 */     // GIR_Coverage, 13820,
     /* 1862376 */     GIR_EraseRootFromParent_Done,
     /* 1862377 */   // Label 25153: @1862377
     /* 1862377 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1862463), // Rule ID 13821 //
     /* 1862382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862428 */     // MIs[0] policy
     /* 1862428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1862441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862462 */     // GIR_Coverage, 13821,
     /* 1862462 */     GIR_EraseRootFromParent_Done,
     /* 1862463 */   // Label 25154: @1862463
     /* 1862463 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1862549), // Rule ID 13824 //
     /* 1862468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862514 */     // MIs[0] policy
     /* 1862514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1862527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862548 */     // GIR_Coverage, 13824,
     /* 1862548 */     GIR_EraseRootFromParent_Done,
     /* 1862549 */   // Label 25155: @1862549
     /* 1862549 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1862635), // Rule ID 13825 //
     /* 1862554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862600 */     // MIs[0] policy
     /* 1862600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862610 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1862613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862634 */     // GIR_Coverage, 13825,
     /* 1862634 */     GIR_EraseRootFromParent_Done,
     /* 1862635 */   // Label 25156: @1862635
     /* 1862635 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1862721), // Rule ID 13828 //
     /* 1862640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862686 */     // MIs[0] policy
     /* 1862686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862720 */     // GIR_Coverage, 13828,
     /* 1862720 */     GIR_EraseRootFromParent_Done,
     /* 1862721 */   // Label 25157: @1862721
     /* 1862721 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1862807), // Rule ID 13829 //
     /* 1862726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862772 */     // MIs[0] policy
     /* 1862772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862806 */     // GIR_Coverage, 13829,
     /* 1862806 */     GIR_EraseRootFromParent_Done,
     /* 1862807 */   // Label 25158: @1862807
     /* 1862807 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1862893), // Rule ID 13832 //
     /* 1862812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862858 */     // MIs[0] policy
     /* 1862858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862892 */     // GIR_Coverage, 13832,
     /* 1862892 */     GIR_EraseRootFromParent_Done,
     /* 1862893 */   // Label 25159: @1862893
     /* 1862893 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1862979), // Rule ID 13833 //
     /* 1862898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862944 */     // MIs[0] policy
     /* 1862944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862978 */     // GIR_Coverage, 13833,
     /* 1862978 */     GIR_EraseRootFromParent_Done,
     /* 1862979 */   // Label 25160: @1862979
     /* 1862979 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1863065), // Rule ID 13836 //
     /* 1862984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1863004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863030 */     // MIs[0] policy
     /* 1863030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1863043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863064 */     // GIR_Coverage, 13836,
     /* 1863064 */     GIR_EraseRootFromParent_Done,
     /* 1863065 */   // Label 25161: @1863065
     /* 1863065 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1863151), // Rule ID 13837 //
     /* 1863070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1863073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1863090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863116 */     // MIs[0] policy
     /* 1863116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1863129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863150 */     // GIR_Coverage, 13837,
     /* 1863150 */     GIR_EraseRootFromParent_Done,
     /* 1863151 */   // Label 25162: @1863151
     /* 1863151 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1863240), // Rule ID 14046 //
     /* 1863156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863202 */     // MIs[0] policy
     /* 1863202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1863215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863239 */     // GIR_Coverage, 14046,
     /* 1863239 */     GIR_EraseRootFromParent_Done,
     /* 1863240 */   // Label 25163: @1863240
     /* 1863240 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1863329), // Rule ID 14047 //
     /* 1863245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863291 */     // MIs[0] policy
     /* 1863291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863301 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1863304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863328 */     // GIR_Coverage, 14047,
     /* 1863328 */     GIR_EraseRootFromParent_Done,
     /* 1863329 */   // Label 25164: @1863329
     /* 1863329 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1863418), // Rule ID 14050 //
     /* 1863334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863380 */     // MIs[0] policy
     /* 1863380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863417 */     // GIR_Coverage, 14050,
     /* 1863417 */     GIR_EraseRootFromParent_Done,
     /* 1863418 */   // Label 25165: @1863418
     /* 1863418 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1863507), // Rule ID 14051 //
     /* 1863423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863469 */     // MIs[0] policy
     /* 1863469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863479 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863506 */     // GIR_Coverage, 14051,
     /* 1863506 */     GIR_EraseRootFromParent_Done,
     /* 1863507 */   // Label 25166: @1863507
     /* 1863507 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1863596), // Rule ID 14054 //
     /* 1863512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1863523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1863526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863558 */     // MIs[0] policy
     /* 1863558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863568 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1863571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863595 */     // GIR_Coverage, 14054,
     /* 1863595 */     GIR_EraseRootFromParent_Done,
     /* 1863596 */   // Label 25167: @1863596
     /* 1863596 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1863685), // Rule ID 14055 //
     /* 1863601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1863612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1863615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863647 */     // MIs[0] policy
     /* 1863647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863657 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1863660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863684 */     // GIR_Coverage, 14055,
     /* 1863684 */     GIR_EraseRootFromParent_Done,
     /* 1863685 */   // Label 25168: @1863685
     /* 1863685 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1863774), // Rule ID 14058 //
     /* 1863690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1863701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1863704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863736 */     // MIs[0] policy
     /* 1863736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863773 */     // GIR_Coverage, 14058,
     /* 1863773 */     GIR_EraseRootFromParent_Done,
     /* 1863774 */   // Label 25169: @1863774
     /* 1863774 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1863863), // Rule ID 14059 //
     /* 1863779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1863790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1863793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863825 */     // MIs[0] policy
     /* 1863825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863862 */     // GIR_Coverage, 14059,
     /* 1863862 */     GIR_EraseRootFromParent_Done,
     /* 1863863 */   // Label 25170: @1863863
     /* 1863863 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1863952), // Rule ID 14062 //
     /* 1863868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863914 */     // MIs[0] policy
     /* 1863914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1863927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863951 */     // GIR_Coverage, 14062,
     /* 1863951 */     GIR_EraseRootFromParent_Done,
     /* 1863952 */   // Label 25171: @1863952
     /* 1863952 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1864041), // Rule ID 14063 //
     /* 1863957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864003 */     // MIs[0] policy
     /* 1864003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864013 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864040 */     // GIR_Coverage, 14063,
     /* 1864040 */     GIR_EraseRootFromParent_Done,
     /* 1864041 */   // Label 25172: @1864041
     /* 1864041 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1864130), // Rule ID 14066 //
     /* 1864046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864092 */     // MIs[0] policy
     /* 1864092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864129 */     // GIR_Coverage, 14066,
     /* 1864129 */     GIR_EraseRootFromParent_Done,
     /* 1864130 */   // Label 25173: @1864130
     /* 1864130 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1864219), // Rule ID 14067 //
     /* 1864135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864181 */     // MIs[0] policy
     /* 1864181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864218 */     // GIR_Coverage, 14067,
     /* 1864218 */     GIR_EraseRootFromParent_Done,
     /* 1864219 */   // Label 25174: @1864219
     /* 1864219 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1864308), // Rule ID 14070 //
     /* 1864224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864270 */     // MIs[0] policy
     /* 1864270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864307 */     // GIR_Coverage, 14070,
     /* 1864307 */     GIR_EraseRootFromParent_Done,
     /* 1864308 */   // Label 25175: @1864308
     /* 1864308 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1864397), // Rule ID 14071 //
     /* 1864313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864359 */     // MIs[0] policy
     /* 1864359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864396 */     // GIR_Coverage, 14071,
     /* 1864396 */     GIR_EraseRootFromParent_Done,
     /* 1864397 */   // Label 25176: @1864397
     /* 1864397 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1864486), // Rule ID 14074 //
     /* 1864402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864448 */     // MIs[0] policy
     /* 1864448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864485 */     // GIR_Coverage, 14074,
     /* 1864485 */     GIR_EraseRootFromParent_Done,
     /* 1864486 */   // Label 25177: @1864486
     /* 1864486 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1864575), // Rule ID 14075 //
     /* 1864491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864537 */     // MIs[0] policy
     /* 1864537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864574 */     // GIR_Coverage, 14075,
     /* 1864574 */     GIR_EraseRootFromParent_Done,
     /* 1864575 */   // Label 25178: @1864575
     /* 1864575 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1864664), // Rule ID 14078 //
     /* 1864580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1864597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864626 */     // MIs[0] policy
     /* 1864626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864663 */     // GIR_Coverage, 14078,
     /* 1864663 */     GIR_EraseRootFromParent_Done,
     /* 1864664 */   // Label 25179: @1864664
     /* 1864664 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1864753), // Rule ID 14079 //
     /* 1864669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1864686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864715 */     // MIs[0] policy
     /* 1864715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864725 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864752 */     // GIR_Coverage, 14079,
     /* 1864752 */     GIR_EraseRootFromParent_Done,
     /* 1864753 */   // Label 25180: @1864753
     /* 1864753 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1864842), // Rule ID 14082 //
     /* 1864758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1864775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1864778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864804 */     // MIs[0] policy
     /* 1864804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864841 */     // GIR_Coverage, 14082,
     /* 1864841 */     GIR_EraseRootFromParent_Done,
     /* 1864842 */   // Label 25181: @1864842
     /* 1864842 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1864931), // Rule ID 14083 //
     /* 1864847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1864864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1864867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864893 */     // MIs[0] policy
     /* 1864893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864930 */     // GIR_Coverage, 14083,
     /* 1864930 */     GIR_EraseRootFromParent_Done,
     /* 1864931 */   // Label 25182: @1864931
     /* 1864931 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1865020), // Rule ID 14086 //
     /* 1864936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1864947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1864950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1864953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1864956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864982 */     // MIs[0] policy
     /* 1864982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1864995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865019 */     // GIR_Coverage, 14086,
     /* 1865019 */     GIR_EraseRootFromParent_Done,
     /* 1865020 */   // Label 25183: @1865020
     /* 1865020 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1865109), // Rule ID 14087 //
     /* 1865025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1865036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1865039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1865042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865071 */     // MIs[0] policy
     /* 1865071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865108 */     // GIR_Coverage, 14087,
     /* 1865108 */     GIR_EraseRootFromParent_Done,
     /* 1865109 */   // Label 25184: @1865109
     /* 1865109 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1865198), // Rule ID 14090 //
     /* 1865114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865160 */     // MIs[0] policy
     /* 1865160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865197 */     // GIR_Coverage, 14090,
     /* 1865197 */     GIR_EraseRootFromParent_Done,
     /* 1865198 */   // Label 25185: @1865198
     /* 1865198 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1865287), // Rule ID 14091 //
     /* 1865203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865249 */     // MIs[0] policy
     /* 1865249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865286 */     // GIR_Coverage, 14091,
     /* 1865286 */     GIR_EraseRootFromParent_Done,
     /* 1865287 */   // Label 25186: @1865287
     /* 1865287 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1865376), // Rule ID 14094 //
     /* 1865292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865338 */     // MIs[0] policy
     /* 1865338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865348 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865375 */     // GIR_Coverage, 14094,
     /* 1865375 */     GIR_EraseRootFromParent_Done,
     /* 1865376 */   // Label 25187: @1865376
     /* 1865376 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1865465), // Rule ID 14095 //
     /* 1865381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865427 */     // MIs[0] policy
     /* 1865427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865437 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865464 */     // GIR_Coverage, 14095,
     /* 1865464 */     GIR_EraseRootFromParent_Done,
     /* 1865465 */   // Label 25188: @1865465
     /* 1865465 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1865554), // Rule ID 14098 //
     /* 1865470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1865487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1865490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865516 */     // MIs[0] policy
     /* 1865516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865553 */     // GIR_Coverage, 14098,
     /* 1865553 */     GIR_EraseRootFromParent_Done,
     /* 1865554 */   // Label 25189: @1865554
     /* 1865554 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1865643), // Rule ID 14099 //
     /* 1865559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1865576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1865579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865605 */     // MIs[0] policy
     /* 1865605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865642 */     // GIR_Coverage, 14099,
     /* 1865642 */     GIR_EraseRootFromParent_Done,
     /* 1865643 */   // Label 25190: @1865643
     /* 1865643 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1865732), // Rule ID 14102 //
     /* 1865648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1865665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1865668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865694 */     // MIs[0] policy
     /* 1865694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865731 */     // GIR_Coverage, 14102,
     /* 1865731 */     GIR_EraseRootFromParent_Done,
     /* 1865732 */   // Label 25191: @1865732
     /* 1865732 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1865821), // Rule ID 14103 //
     /* 1865737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1865754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1865757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865783 */     // MIs[0] policy
     /* 1865783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865820 */     // GIR_Coverage, 14103,
     /* 1865820 */     GIR_EraseRootFromParent_Done,
     /* 1865821 */   // Label 25192: @1865821
     /* 1865821 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1865910), // Rule ID 14106 //
     /* 1865826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1865837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1865840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1865843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1865846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865872 */     // MIs[0] policy
     /* 1865872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865909 */     // GIR_Coverage, 14106,
     /* 1865909 */     GIR_EraseRootFromParent_Done,
     /* 1865910 */   // Label 25193: @1865910
     /* 1865910 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1865999), // Rule ID 14107 //
     /* 1865915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1865926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1865929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1865932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1865935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865961 */     // MIs[0] policy
     /* 1865961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865998 */     // GIR_Coverage, 14107,
     /* 1865998 */     GIR_EraseRootFromParent_Done,
     /* 1865999 */   // Label 25194: @1865999
     /* 1865999 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1866088), // Rule ID 14110 //
     /* 1866004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866050 */     // MIs[0] policy
     /* 1866050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866087 */     // GIR_Coverage, 14110,
     /* 1866087 */     GIR_EraseRootFromParent_Done,
     /* 1866088 */   // Label 25195: @1866088
     /* 1866088 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1866177), // Rule ID 14111 //
     /* 1866093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866139 */     // MIs[0] policy
     /* 1866139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866176 */     // GIR_Coverage, 14111,
     /* 1866176 */     GIR_EraseRootFromParent_Done,
     /* 1866177 */   // Label 25196: @1866177
     /* 1866177 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1866266), // Rule ID 14114 //
     /* 1866182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866228 */     // MIs[0] policy
     /* 1866228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866265 */     // GIR_Coverage, 14114,
     /* 1866265 */     GIR_EraseRootFromParent_Done,
     /* 1866266 */   // Label 25197: @1866266
     /* 1866266 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1866355), // Rule ID 14115 //
     /* 1866271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866317 */     // MIs[0] policy
     /* 1866317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866354 */     // GIR_Coverage, 14115,
     /* 1866354 */     GIR_EraseRootFromParent_Done,
     /* 1866355 */   // Label 25198: @1866355
     /* 1866355 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1866444), // Rule ID 14118 //
     /* 1866360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866406 */     // MIs[0] policy
     /* 1866406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866443 */     // GIR_Coverage, 14118,
     /* 1866443 */     GIR_EraseRootFromParent_Done,
     /* 1866444 */   // Label 25199: @1866444
     /* 1866444 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1866533), // Rule ID 14119 //
     /* 1866449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866495 */     // MIs[0] policy
     /* 1866495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866532 */     // GIR_Coverage, 14119,
     /* 1866532 */     GIR_EraseRootFromParent_Done,
     /* 1866533 */   // Label 25200: @1866533
     /* 1866533 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1866622), // Rule ID 14122 //
     /* 1866538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1866558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866584 */     // MIs[0] policy
     /* 1866584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866621 */     // GIR_Coverage, 14122,
     /* 1866621 */     GIR_EraseRootFromParent_Done,
     /* 1866622 */   // Label 25201: @1866622
     /* 1866622 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1866711), // Rule ID 14123 //
     /* 1866627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1866647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866673 */     // MIs[0] policy
     /* 1866673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866683 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866710 */     // GIR_Coverage, 14123,
     /* 1866710 */     GIR_EraseRootFromParent_Done,
     /* 1866711 */   // Label 25202: @1866711
     /* 1866711 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1866800), // Rule ID 14126 //
     /* 1866716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1866736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866762 */     // MIs[0] policy
     /* 1866762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866799 */     // GIR_Coverage, 14126,
     /* 1866799 */     GIR_EraseRootFromParent_Done,
     /* 1866800 */   // Label 25203: @1866800
     /* 1866800 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1866889), // Rule ID 14127 //
     /* 1866805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1866825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866851 */     // MIs[0] policy
     /* 1866851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866861 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866888 */     // GIR_Coverage, 14127,
     /* 1866888 */     GIR_EraseRootFromParent_Done,
     /* 1866889 */   // Label 25204: @1866889
     /* 1866889 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1866978), // Rule ID 14130 //
     /* 1866894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1866914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866940 */     // MIs[0] policy
     /* 1866940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866977 */     // GIR_Coverage, 14130,
     /* 1866977 */     GIR_EraseRootFromParent_Done,
     /* 1866978 */   // Label 25205: @1866978
     /* 1866978 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1867067), // Rule ID 14131 //
     /* 1866983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1867000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1867003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867029 */     // MIs[0] policy
     /* 1867029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1867042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867066 */     // GIR_Coverage, 14131,
     /* 1867066 */     GIR_EraseRootFromParent_Done,
     /* 1867067 */   // Label 25206: @1867067
     /* 1867067 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1867156), // Rule ID 14134 //
     /* 1867072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867118 */     // MIs[0] policy
     /* 1867118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1867131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867155 */     // GIR_Coverage, 14134,
     /* 1867155 */     GIR_EraseRootFromParent_Done,
     /* 1867156 */   // Label 25207: @1867156
     /* 1867156 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1867245), // Rule ID 14135 //
     /* 1867161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867207 */     // MIs[0] policy
     /* 1867207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1867220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867244 */     // GIR_Coverage, 14135,
     /* 1867244 */     GIR_EraseRootFromParent_Done,
     /* 1867245 */   // Label 25208: @1867245
     /* 1867245 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1867334), // Rule ID 14138 //
     /* 1867250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867296 */     // MIs[0] policy
     /* 1867296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867333 */     // GIR_Coverage, 14138,
     /* 1867333 */     GIR_EraseRootFromParent_Done,
     /* 1867334 */   // Label 25209: @1867334
     /* 1867334 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1867423), // Rule ID 14139 //
     /* 1867339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867385 */     // MIs[0] policy
     /* 1867385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867422 */     // GIR_Coverage, 14139,
     /* 1867422 */     GIR_EraseRootFromParent_Done,
     /* 1867423 */   // Label 25210: @1867423
     /* 1867423 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1867512), // Rule ID 14142 //
     /* 1867428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867474 */     // MIs[0] policy
     /* 1867474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1867487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867511 */     // GIR_Coverage, 14142,
     /* 1867511 */     GIR_EraseRootFromParent_Done,
     /* 1867512 */   // Label 25211: @1867512
     /* 1867512 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1867601), // Rule ID 14143 //
     /* 1867517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867563 */     // MIs[0] policy
     /* 1867563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867573 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1867576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867600 */     // GIR_Coverage, 14143,
     /* 1867600 */     GIR_EraseRootFromParent_Done,
     /* 1867601 */   // Label 25212: @1867601
     /* 1867601 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1867690), // Rule ID 14146 //
     /* 1867606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1867617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1867620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1867623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867652 */     // MIs[0] policy
     /* 1867652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867689 */     // GIR_Coverage, 14146,
     /* 1867689 */     GIR_EraseRootFromParent_Done,
     /* 1867690 */   // Label 25213: @1867690
     /* 1867690 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1867779), // Rule ID 14147 //
     /* 1867695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1867706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1867709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1867712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867741 */     // MIs[0] policy
     /* 1867741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867778 */     // GIR_Coverage, 14147,
     /* 1867778 */     GIR_EraseRootFromParent_Done,
     /* 1867779 */   // Label 25214: @1867779
     /* 1867779 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1867868), // Rule ID 14150 //
     /* 1867784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1867795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1867798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1867801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867830 */     // MIs[0] policy
     /* 1867830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1867843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867867 */     // GIR_Coverage, 14150,
     /* 1867867 */     GIR_EraseRootFromParent_Done,
     /* 1867868 */   // Label 25215: @1867868
     /* 1867868 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1867957), // Rule ID 14151 //
     /* 1867873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1867884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1867887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1867890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867919 */     // MIs[0] policy
     /* 1867919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1867932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867956 */     // GIR_Coverage, 14151,
     /* 1867956 */     GIR_EraseRootFromParent_Done,
     /* 1867957 */   // Label 25216: @1867957
     /* 1867957 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1868046), // Rule ID 14154 //
     /* 1867962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1867973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1867976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1867979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868008 */     // MIs[0] policy
     /* 1868008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868045 */     // GIR_Coverage, 14154,
     /* 1868045 */     GIR_EraseRootFromParent_Done,
     /* 1868046 */   // Label 25217: @1868046
     /* 1868046 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1868135), // Rule ID 14155 //
     /* 1868051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1868062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1868065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1868068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868097 */     // MIs[0] policy
     /* 1868097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868134 */     // GIR_Coverage, 14155,
     /* 1868134 */     GIR_EraseRootFromParent_Done,
     /* 1868135 */   // Label 25218: @1868135
     /* 1868135 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1868224), // Rule ID 14158 //
     /* 1868140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868186 */     // MIs[0] policy
     /* 1868186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868223 */     // GIR_Coverage, 14158,
     /* 1868223 */     GIR_EraseRootFromParent_Done,
     /* 1868224 */   // Label 25219: @1868224
     /* 1868224 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1868313), // Rule ID 14159 //
     /* 1868229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868275 */     // MIs[0] policy
     /* 1868275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868312 */     // GIR_Coverage, 14159,
     /* 1868312 */     GIR_EraseRootFromParent_Done,
     /* 1868313 */   // Label 25220: @1868313
     /* 1868313 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1868402), // Rule ID 14162 //
     /* 1868318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868364 */     // MIs[0] policy
     /* 1868364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868401 */     // GIR_Coverage, 14162,
     /* 1868401 */     GIR_EraseRootFromParent_Done,
     /* 1868402 */   // Label 25221: @1868402
     /* 1868402 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1868491), // Rule ID 14163 //
     /* 1868407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868453 */     // MIs[0] policy
     /* 1868453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868463 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868490 */     // GIR_Coverage, 14163,
     /* 1868490 */     GIR_EraseRootFromParent_Done,
     /* 1868491 */   // Label 25222: @1868491
     /* 1868491 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1868580), // Rule ID 14166 //
     /* 1868496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1868507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1868510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1868513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868542 */     // MIs[0] policy
     /* 1868542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868579 */     // GIR_Coverage, 14166,
     /* 1868579 */     GIR_EraseRootFromParent_Done,
     /* 1868580 */   // Label 25223: @1868580
     /* 1868580 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1868669), // Rule ID 14167 //
     /* 1868585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1868596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1868599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1868602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868631 */     // MIs[0] policy
     /* 1868631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868668 */     // GIR_Coverage, 14167,
     /* 1868668 */     GIR_EraseRootFromParent_Done,
     /* 1868669 */   // Label 25224: @1868669
     /* 1868669 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1868758), // Rule ID 14170 //
     /* 1868674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1868685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1868688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1868691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868720 */     // MIs[0] policy
     /* 1868720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868757 */     // GIR_Coverage, 14170,
     /* 1868757 */     GIR_EraseRootFromParent_Done,
     /* 1868758 */   // Label 25225: @1868758
     /* 1868758 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1868847), // Rule ID 14171 //
     /* 1868763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1868774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1868777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1868780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868809 */     // MIs[0] policy
     /* 1868809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868846 */     // GIR_Coverage, 14171,
     /* 1868846 */     GIR_EraseRootFromParent_Done,
     /* 1868847 */   // Label 25226: @1868847
     /* 1868847 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1868936), // Rule ID 14174 //
     /* 1868852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1868863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1868866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1868869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868898 */     // MIs[0] policy
     /* 1868898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1868911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868935 */     // GIR_Coverage, 14174,
     /* 1868935 */     GIR_EraseRootFromParent_Done,
     /* 1868936 */   // Label 25227: @1868936
     /* 1868936 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1869025), // Rule ID 14175 //
     /* 1868941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1868952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1868955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1868958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868987 */     // MIs[0] policy
     /* 1868987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869024 */     // GIR_Coverage, 14175,
     /* 1869024 */     GIR_EraseRootFromParent_Done,
     /* 1869025 */   // Label 25228: @1869025
     /* 1869025 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1869114), // Rule ID 14178 //
     /* 1869030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869076 */     // MIs[0] policy
     /* 1869076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869113 */     // GIR_Coverage, 14178,
     /* 1869113 */     GIR_EraseRootFromParent_Done,
     /* 1869114 */   // Label 25229: @1869114
     /* 1869114 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1869203), // Rule ID 14179 //
     /* 1869119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869165 */     // MIs[0] policy
     /* 1869165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869175 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869202 */     // GIR_Coverage, 14179,
     /* 1869202 */     GIR_EraseRootFromParent_Done,
     /* 1869203 */   // Label 25230: @1869203
     /* 1869203 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1869292), // Rule ID 14182 //
     /* 1869208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869254 */     // MIs[0] policy
     /* 1869254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869291 */     // GIR_Coverage, 14182,
     /* 1869291 */     GIR_EraseRootFromParent_Done,
     /* 1869292 */   // Label 25231: @1869292
     /* 1869292 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1869381), // Rule ID 14183 //
     /* 1869297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869343 */     // MIs[0] policy
     /* 1869343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869353 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869380 */     // GIR_Coverage, 14183,
     /* 1869380 */     GIR_EraseRootFromParent_Done,
     /* 1869381 */   // Label 25232: @1869381
     /* 1869381 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1869470), // Rule ID 14186 //
     /* 1869386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869432 */     // MIs[0] policy
     /* 1869432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869469 */     // GIR_Coverage, 14186,
     /* 1869469 */     GIR_EraseRootFromParent_Done,
     /* 1869470 */   // Label 25233: @1869470
     /* 1869470 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1869559), // Rule ID 14187 //
     /* 1869475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869521 */     // MIs[0] policy
     /* 1869521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869558 */     // GIR_Coverage, 14187,
     /* 1869558 */     GIR_EraseRootFromParent_Done,
     /* 1869559 */   // Label 25234: @1869559
     /* 1869559 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1869648), // Rule ID 14190 //
     /* 1869564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1869575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1869578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1869581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869610 */     // MIs[0] policy
     /* 1869610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869620 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869647 */     // GIR_Coverage, 14190,
     /* 1869647 */     GIR_EraseRootFromParent_Done,
     /* 1869648 */   // Label 25235: @1869648
     /* 1869648 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1869737), // Rule ID 14191 //
     /* 1869653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1869664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1869667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1869670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869699 */     // MIs[0] policy
     /* 1869699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869709 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869736 */     // GIR_Coverage, 14191,
     /* 1869736 */     GIR_EraseRootFromParent_Done,
     /* 1869737 */   // Label 25236: @1869737
     /* 1869737 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1869826), // Rule ID 14194 //
     /* 1869742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1869753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1869756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1869759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869788 */     // MIs[0] policy
     /* 1869788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869825 */     // GIR_Coverage, 14194,
     /* 1869825 */     GIR_EraseRootFromParent_Done,
     /* 1869826 */   // Label 25237: @1869826
     /* 1869826 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1869915), // Rule ID 14195 //
     /* 1869831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1869842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1869845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1869848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869877 */     // MIs[0] policy
     /* 1869877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869914 */     // GIR_Coverage, 14195,
     /* 1869914 */     GIR_EraseRootFromParent_Done,
     /* 1869915 */   // Label 25238: @1869915
     /* 1869915 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1870004), // Rule ID 14198 //
     /* 1869920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1869931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1869934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1869937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869966 */     // MIs[0] policy
     /* 1869966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870003 */     // GIR_Coverage, 14198,
     /* 1870003 */     GIR_EraseRootFromParent_Done,
     /* 1870004 */   // Label 25239: @1870004
     /* 1870004 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1870093), // Rule ID 14199 //
     /* 1870009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870055 */     // MIs[0] policy
     /* 1870055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870092 */     // GIR_Coverage, 14199,
     /* 1870092 */     GIR_EraseRootFromParent_Done,
     /* 1870093 */   // Label 25240: @1870093
     /* 1870093 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1870182), // Rule ID 14202 //
     /* 1870098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870144 */     // MIs[0] policy
     /* 1870144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870181 */     // GIR_Coverage, 14202,
     /* 1870181 */     GIR_EraseRootFromParent_Done,
     /* 1870182 */   // Label 25241: @1870182
     /* 1870182 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1870271), // Rule ID 14203 //
     /* 1870187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870233 */     // MIs[0] policy
     /* 1870233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870270 */     // GIR_Coverage, 14203,
     /* 1870270 */     GIR_EraseRootFromParent_Done,
     /* 1870271 */   // Label 25242: @1870271
     /* 1870271 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1870360), // Rule ID 14206 //
     /* 1870276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870322 */     // MIs[0] policy
     /* 1870322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870359 */     // GIR_Coverage, 14206,
     /* 1870359 */     GIR_EraseRootFromParent_Done,
     /* 1870360 */   // Label 25243: @1870360
     /* 1870360 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1870449), // Rule ID 14207 //
     /* 1870365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870411 */     // MIs[0] policy
     /* 1870411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870448 */     // GIR_Coverage, 14207,
     /* 1870448 */     GIR_EraseRootFromParent_Done,
     /* 1870449 */   // Label 25244: @1870449
     /* 1870449 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1870538), // Rule ID 14210 //
     /* 1870454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1870465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1870468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1870471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870500 */     // MIs[0] policy
     /* 1870500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870537 */     // GIR_Coverage, 14210,
     /* 1870537 */     GIR_EraseRootFromParent_Done,
     /* 1870538 */   // Label 25245: @1870538
     /* 1870538 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1870627), // Rule ID 14211 //
     /* 1870543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1870554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1870557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1870560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870589 */     // MIs[0] policy
     /* 1870589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870626 */     // GIR_Coverage, 14211,
     /* 1870626 */     GIR_EraseRootFromParent_Done,
     /* 1870627 */   // Label 25246: @1870627
     /* 1870627 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1870716), // Rule ID 14214 //
     /* 1870632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1870643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1870646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1870649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870678 */     // MIs[0] policy
     /* 1870678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870715 */     // GIR_Coverage, 14214,
     /* 1870715 */     GIR_EraseRootFromParent_Done,
     /* 1870716 */   // Label 25247: @1870716
     /* 1870716 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1870805), // Rule ID 14215 //
     /* 1870721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1870732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1870735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1870738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870767 */     // MIs[0] policy
     /* 1870767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870804 */     // GIR_Coverage, 14215,
     /* 1870804 */     GIR_EraseRootFromParent_Done,
     /* 1870805 */   // Label 25248: @1870805
     /* 1870805 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1870894), // Rule ID 14218 //
     /* 1870810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1870821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1870824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1870827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870856 */     // MIs[0] policy
     /* 1870856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870893 */     // GIR_Coverage, 14218,
     /* 1870893 */     GIR_EraseRootFromParent_Done,
     /* 1870894 */   // Label 25249: @1870894
     /* 1870894 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1870983), // Rule ID 14219 //
     /* 1870899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1870910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1870913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1870916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870945 */     // MIs[0] policy
     /* 1870945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870982 */     // GIR_Coverage, 14219,
     /* 1870982 */     GIR_EraseRootFromParent_Done,
     /* 1870983 */   // Label 25250: @1870983
     /* 1870983 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1871072), // Rule ID 14310 //
     /* 1870988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1870999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1871008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871034 */     // MIs[0] policy
     /* 1871034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1871047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871071 */     // GIR_Coverage, 14310,
     /* 1871071 */     GIR_EraseRootFromParent_Done,
     /* 1871072 */   // Label 25251: @1871072
     /* 1871072 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1871161), // Rule ID 14311 //
     /* 1871077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1871097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871123 */     // MIs[0] policy
     /* 1871123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871133 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1871136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871160 */     // GIR_Coverage, 14311,
     /* 1871160 */     GIR_EraseRootFromParent_Done,
     /* 1871161 */   // Label 25252: @1871161
     /* 1871161 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1871250), // Rule ID 14314 //
     /* 1871166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871212 */     // MIs[0] policy
     /* 1871212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871249 */     // GIR_Coverage, 14314,
     /* 1871249 */     GIR_EraseRootFromParent_Done,
     /* 1871250 */   // Label 25253: @1871250
     /* 1871250 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1871339), // Rule ID 14315 //
     /* 1871255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871301 */     // MIs[0] policy
     /* 1871301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871311 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871338 */     // GIR_Coverage, 14315,
     /* 1871338 */     GIR_EraseRootFromParent_Done,
     /* 1871339 */   // Label 25254: @1871339
     /* 1871339 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1871428), // Rule ID 14318 //
     /* 1871344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871390 */     // MIs[0] policy
     /* 1871390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871427 */     // GIR_Coverage, 14318,
     /* 1871427 */     GIR_EraseRootFromParent_Done,
     /* 1871428 */   // Label 25255: @1871428
     /* 1871428 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1871517), // Rule ID 14319 //
     /* 1871433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871479 */     // MIs[0] policy
     /* 1871479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871516 */     // GIR_Coverage, 14319,
     /* 1871516 */     GIR_EraseRootFromParent_Done,
     /* 1871517 */   // Label 25256: @1871517
     /* 1871517 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1871606), // Rule ID 14322 //
     /* 1871522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1871533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1871536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1871539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1871542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871568 */     // MIs[0] policy
     /* 1871568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871605 */     // GIR_Coverage, 14322,
     /* 1871605 */     GIR_EraseRootFromParent_Done,
     /* 1871606 */   // Label 25257: @1871606
     /* 1871606 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1871695), // Rule ID 14323 //
     /* 1871611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1871622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1871625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1871628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1871631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871657 */     // MIs[0] policy
     /* 1871657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871694 */     // GIR_Coverage, 14323,
     /* 1871694 */     GIR_EraseRootFromParent_Done,
     /* 1871695 */   // Label 25258: @1871695
     /* 1871695 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1871784), // Rule ID 14326 //
     /* 1871700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1871711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1871714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1871717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1871720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871746 */     // MIs[0] policy
     /* 1871746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871783 */     // GIR_Coverage, 14326,
     /* 1871783 */     GIR_EraseRootFromParent_Done,
     /* 1871784 */   // Label 25259: @1871784
     /* 1871784 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1871873), // Rule ID 14327 //
     /* 1871789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1871800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1871803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1871806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1871809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871835 */     // MIs[0] policy
     /* 1871835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871872 */     // GIR_Coverage, 14327,
     /* 1871872 */     GIR_EraseRootFromParent_Done,
     /* 1871873 */   // Label 25260: @1871873
     /* 1871873 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1871962), // Rule ID 14330 //
     /* 1871878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1871898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871924 */     // MIs[0] policy
     /* 1871924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871961 */     // GIR_Coverage, 14330,
     /* 1871961 */     GIR_EraseRootFromParent_Done,
     /* 1871962 */   // Label 25261: @1871962
     /* 1871962 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1872051), // Rule ID 14331 //
     /* 1871967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1871987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872013 */     // MIs[0] policy
     /* 1872013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1872026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872050 */     // GIR_Coverage, 14331,
     /* 1872050 */     GIR_EraseRootFromParent_Done,
     /* 1872051 */   // Label 25262: @1872051
     /* 1872051 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1872140), // Rule ID 14334 //
     /* 1872056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872102 */     // MIs[0] policy
     /* 1872102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872139 */     // GIR_Coverage, 14334,
     /* 1872139 */     GIR_EraseRootFromParent_Done,
     /* 1872140 */   // Label 25263: @1872140
     /* 1872140 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1872229), // Rule ID 14335 //
     /* 1872145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872191 */     // MIs[0] policy
     /* 1872191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872201 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872228 */     // GIR_Coverage, 14335,
     /* 1872228 */     GIR_EraseRootFromParent_Done,
     /* 1872229 */   // Label 25264: @1872229
     /* 1872229 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1872318), // Rule ID 14338 //
     /* 1872234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872280 */     // MIs[0] policy
     /* 1872280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872317 */     // GIR_Coverage, 14338,
     /* 1872317 */     GIR_EraseRootFromParent_Done,
     /* 1872318 */   // Label 25265: @1872318
     /* 1872318 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1872407), // Rule ID 14339 //
     /* 1872323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872369 */     // MIs[0] policy
     /* 1872369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872406 */     // GIR_Coverage, 14339,
     /* 1872406 */     GIR_EraseRootFromParent_Done,
     /* 1872407 */   // Label 25266: @1872407
     /* 1872407 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1872496), // Rule ID 14342 //
     /* 1872412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872458 */     // MIs[0] policy
     /* 1872458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872495 */     // GIR_Coverage, 14342,
     /* 1872495 */     GIR_EraseRootFromParent_Done,
     /* 1872496 */   // Label 25267: @1872496
     /* 1872496 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1872585), // Rule ID 14343 //
     /* 1872501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872547 */     // MIs[0] policy
     /* 1872547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872584 */     // GIR_Coverage, 14343,
     /* 1872584 */     GIR_EraseRootFromParent_Done,
     /* 1872585 */   // Label 25268: @1872585
     /* 1872585 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1872674), // Rule ID 14346 //
     /* 1872590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1872601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1872604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1872607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1872610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872636 */     // MIs[0] policy
     /* 1872636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872673 */     // GIR_Coverage, 14346,
     /* 1872673 */     GIR_EraseRootFromParent_Done,
     /* 1872674 */   // Label 25269: @1872674
     /* 1872674 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1872763), // Rule ID 14347 //
     /* 1872679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1872690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1872693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1872696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1872699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872725 */     // MIs[0] policy
     /* 1872725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872735 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872762 */     // GIR_Coverage, 14347,
     /* 1872762 */     GIR_EraseRootFromParent_Done,
     /* 1872763 */   // Label 25270: @1872763
     /* 1872763 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1872852), // Rule ID 14350 //
     /* 1872768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1872779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1872782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1872785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1872788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872814 */     // MIs[0] policy
     /* 1872814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1872827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872851 */     // GIR_Coverage, 14350,
     /* 1872851 */     GIR_EraseRootFromParent_Done,
     /* 1872852 */   // Label 25271: @1872852
     /* 1872852 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1872941), // Rule ID 14351 //
     /* 1872857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1872868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1872871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1872874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1872877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872903 */     // MIs[0] policy
     /* 1872903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872913 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1872916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872940 */     // GIR_Coverage, 14351,
     /* 1872940 */     GIR_EraseRootFromParent_Done,
     /* 1872941 */   // Label 25272: @1872941
     /* 1872941 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1873030), // Rule ID 14354 //
     /* 1872946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1872957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1872960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1872963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1872966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872992 */     // MIs[0] policy
     /* 1872992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873029 */     // GIR_Coverage, 14354,
     /* 1873029 */     GIR_EraseRootFromParent_Done,
     /* 1873030 */   // Label 25273: @1873030
     /* 1873030 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1873119), // Rule ID 14355 //
     /* 1873035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1873055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873081 */     // MIs[0] policy
     /* 1873081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873091 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873118 */     // GIR_Coverage, 14355,
     /* 1873118 */     GIR_EraseRootFromParent_Done,
     /* 1873119 */   // Label 25274: @1873119
     /* 1873119 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1873208), // Rule ID 14358 //
     /* 1873124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873170 */     // MIs[0] policy
     /* 1873170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873207 */     // GIR_Coverage, 14358,
     /* 1873207 */     GIR_EraseRootFromParent_Done,
     /* 1873208 */   // Label 25275: @1873208
     /* 1873208 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1873297), // Rule ID 14359 //
     /* 1873213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873259 */     // MIs[0] policy
     /* 1873259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873269 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873296 */     // GIR_Coverage, 14359,
     /* 1873296 */     GIR_EraseRootFromParent_Done,
     /* 1873297 */   // Label 25276: @1873297
     /* 1873297 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1873386), // Rule ID 14362 //
     /* 1873302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873348 */     // MIs[0] policy
     /* 1873348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873385 */     // GIR_Coverage, 14362,
     /* 1873385 */     GIR_EraseRootFromParent_Done,
     /* 1873386 */   // Label 25277: @1873386
     /* 1873386 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1873475), // Rule ID 14363 //
     /* 1873391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873437 */     // MIs[0] policy
     /* 1873437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873474 */     // GIR_Coverage, 14363,
     /* 1873474 */     GIR_EraseRootFromParent_Done,
     /* 1873475 */   // Label 25278: @1873475
     /* 1873475 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1873564), // Rule ID 14366 //
     /* 1873480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1873491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1873494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1873497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1873500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873526 */     // MIs[0] policy
     /* 1873526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873563 */     // GIR_Coverage, 14366,
     /* 1873563 */     GIR_EraseRootFromParent_Done,
     /* 1873564 */   // Label 25279: @1873564
     /* 1873564 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1873653), // Rule ID 14367 //
     /* 1873569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1873580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1873583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1873586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1873589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873615 */     // MIs[0] policy
     /* 1873615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873652 */     // GIR_Coverage, 14367,
     /* 1873652 */     GIR_EraseRootFromParent_Done,
     /* 1873653 */   // Label 25280: @1873653
     /* 1873653 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1873742), // Rule ID 14370 //
     /* 1873658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1873669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1873672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1873675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1873678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873704 */     // MIs[0] policy
     /* 1873704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873741 */     // GIR_Coverage, 14370,
     /* 1873741 */     GIR_EraseRootFromParent_Done,
     /* 1873742 */   // Label 25281: @1873742
     /* 1873742 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1873831), // Rule ID 14371 //
     /* 1873747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1873758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1873761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1873764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1873767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873793 */     // MIs[0] policy
     /* 1873793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873830 */     // GIR_Coverage, 14371,
     /* 1873830 */     GIR_EraseRootFromParent_Done,
     /* 1873831 */   // Label 25282: @1873831
     /* 1873831 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1873920), // Rule ID 14374 //
     /* 1873836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1873847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1873850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1873853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1873856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873882 */     // MIs[0] policy
     /* 1873882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873919 */     // GIR_Coverage, 14374,
     /* 1873919 */     GIR_EraseRootFromParent_Done,
     /* 1873920 */   // Label 25283: @1873920
     /* 1873920 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1874009), // Rule ID 14375 //
     /* 1873925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1873936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1873939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1873942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1873945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873971 */     // MIs[0] policy
     /* 1873971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874008 */     // GIR_Coverage, 14375,
     /* 1874008 */     GIR_EraseRootFromParent_Done,
     /* 1874009 */   // Label 25284: @1874009
     /* 1874009 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1874098), // Rule ID 14378 //
     /* 1874014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1874034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874060 */     // MIs[0] policy
     /* 1874060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874097 */     // GIR_Coverage, 14378,
     /* 1874097 */     GIR_EraseRootFromParent_Done,
     /* 1874098 */   // Label 25285: @1874098
     /* 1874098 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1874187), // Rule ID 14379 //
     /* 1874103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1874123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874149 */     // MIs[0] policy
     /* 1874149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874186 */     // GIR_Coverage, 14379,
     /* 1874186 */     GIR_EraseRootFromParent_Done,
     /* 1874187 */   // Label 25286: @1874187
     /* 1874187 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1874276), // Rule ID 14382 //
     /* 1874192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874238 */     // MIs[0] policy
     /* 1874238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874248 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874275 */     // GIR_Coverage, 14382,
     /* 1874275 */     GIR_EraseRootFromParent_Done,
     /* 1874276 */   // Label 25287: @1874276
     /* 1874276 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1874365), // Rule ID 14383 //
     /* 1874281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874327 */     // MIs[0] policy
     /* 1874327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874364 */     // GIR_Coverage, 14383,
     /* 1874364 */     GIR_EraseRootFromParent_Done,
     /* 1874365 */   // Label 25288: @1874365
     /* 1874365 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1874454), // Rule ID 14386 //
     /* 1874370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874416 */     // MIs[0] policy
     /* 1874416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874453 */     // GIR_Coverage, 14386,
     /* 1874453 */     GIR_EraseRootFromParent_Done,
     /* 1874454 */   // Label 25289: @1874454
     /* 1874454 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1874543), // Rule ID 14387 //
     /* 1874459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874505 */     // MIs[0] policy
     /* 1874505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874542 */     // GIR_Coverage, 14387,
     /* 1874542 */     GIR_EraseRootFromParent_Done,
     /* 1874543 */   // Label 25290: @1874543
     /* 1874543 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1874632), // Rule ID 14390 //
     /* 1874548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1874559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1874562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1874565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1874568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874594 */     // MIs[0] policy
     /* 1874594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874631 */     // GIR_Coverage, 14390,
     /* 1874631 */     GIR_EraseRootFromParent_Done,
     /* 1874632 */   // Label 25291: @1874632
     /* 1874632 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1874721), // Rule ID 14391 //
     /* 1874637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1874648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1874651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1874654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1874657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874683 */     // MIs[0] policy
     /* 1874683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874720 */     // GIR_Coverage, 14391,
     /* 1874720 */     GIR_EraseRootFromParent_Done,
     /* 1874721 */   // Label 25292: @1874721
     /* 1874721 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1874810), // Rule ID 14394 //
     /* 1874726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1874737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1874740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1874743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1874746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874772 */     // MIs[0] policy
     /* 1874772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874809 */     // GIR_Coverage, 14394,
     /* 1874809 */     GIR_EraseRootFromParent_Done,
     /* 1874810 */   // Label 25293: @1874810
     /* 1874810 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1874899), // Rule ID 14395 //
     /* 1874815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1874826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1874829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1874832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1874835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874861 */     // MIs[0] policy
     /* 1874861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874898 */     // GIR_Coverage, 14395,
     /* 1874898 */     GIR_EraseRootFromParent_Done,
     /* 1874899 */   // Label 25294: @1874899
     /* 1874899 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1874988), // Rule ID 14398 //
     /* 1874904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1874915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1874918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1874921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874950 */     // MIs[0] policy
     /* 1874950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1874963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874987 */     // GIR_Coverage, 14398,
     /* 1874987 */     GIR_EraseRootFromParent_Done,
     /* 1874988 */   // Label 25295: @1874988
     /* 1874988 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1875077), // Rule ID 14399 //
     /* 1874993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875039 */     // MIs[0] policy
     /* 1875039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1875052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875076 */     // GIR_Coverage, 14399,
     /* 1875076 */     GIR_EraseRootFromParent_Done,
     /* 1875077 */   // Label 25296: @1875077
     /* 1875077 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1875166), // Rule ID 14402 //
     /* 1875082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875128 */     // MIs[0] policy
     /* 1875128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875165 */     // GIR_Coverage, 14402,
     /* 1875165 */     GIR_EraseRootFromParent_Done,
     /* 1875166 */   // Label 25297: @1875166
     /* 1875166 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1875255), // Rule ID 14403 //
     /* 1875171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875217 */     // MIs[0] policy
     /* 1875217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875254 */     // GIR_Coverage, 14403,
     /* 1875254 */     GIR_EraseRootFromParent_Done,
     /* 1875255 */   // Label 25298: @1875255
     /* 1875255 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1875344), // Rule ID 14406 //
     /* 1875260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875306 */     // MIs[0] policy
     /* 1875306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875316 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875343 */     // GIR_Coverage, 14406,
     /* 1875343 */     GIR_EraseRootFromParent_Done,
     /* 1875344 */   // Label 25299: @1875344
     /* 1875344 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1875433), // Rule ID 14407 //
     /* 1875349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875395 */     // MIs[0] policy
     /* 1875395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875405 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875432 */     // GIR_Coverage, 14407,
     /* 1875432 */     GIR_EraseRootFromParent_Done,
     /* 1875433 */   // Label 25300: @1875433
     /* 1875433 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1875522), // Rule ID 14410 //
     /* 1875438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1875449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1875452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1875455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875484 */     // MIs[0] policy
     /* 1875484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875521 */     // GIR_Coverage, 14410,
     /* 1875521 */     GIR_EraseRootFromParent_Done,
     /* 1875522 */   // Label 25301: @1875522
     /* 1875522 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1875611), // Rule ID 14411 //
     /* 1875527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1875538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1875541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1875544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875573 */     // MIs[0] policy
     /* 1875573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875610 */     // GIR_Coverage, 14411,
     /* 1875610 */     GIR_EraseRootFromParent_Done,
     /* 1875611 */   // Label 25302: @1875611
     /* 1875611 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1875700), // Rule ID 14414 //
     /* 1875616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1875627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1875630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1875633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875662 */     // MIs[0] policy
     /* 1875662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875699 */     // GIR_Coverage, 14414,
     /* 1875699 */     GIR_EraseRootFromParent_Done,
     /* 1875700 */   // Label 25303: @1875700
     /* 1875700 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1875789), // Rule ID 14415 //
     /* 1875705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1875716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1875719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1875722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875751 */     // MIs[0] policy
     /* 1875751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875761 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875788 */     // GIR_Coverage, 14415,
     /* 1875788 */     GIR_EraseRootFromParent_Done,
     /* 1875789 */   // Label 25304: @1875789
     /* 1875789 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1875878), // Rule ID 14418 //
     /* 1875794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1875805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1875808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1875811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875840 */     // MIs[0] policy
     /* 1875840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875877 */     // GIR_Coverage, 14418,
     /* 1875877 */     GIR_EraseRootFromParent_Done,
     /* 1875878 */   // Label 25305: @1875878
     /* 1875878 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1875967), // Rule ID 14419 //
     /* 1875883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1875894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1875897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1875900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875929 */     // MIs[0] policy
     /* 1875929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875966 */     // GIR_Coverage, 14419,
     /* 1875966 */     GIR_EraseRootFromParent_Done,
     /* 1875967 */   // Label 25306: @1875967
     /* 1875967 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1876056), // Rule ID 14422 //
     /* 1875972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1875983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1875986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1875989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876018 */     // MIs[0] policy
     /* 1876018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876055 */     // GIR_Coverage, 14422,
     /* 1876055 */     GIR_EraseRootFromParent_Done,
     /* 1876056 */   // Label 25307: @1876056
     /* 1876056 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1876145), // Rule ID 14423 //
     /* 1876061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876107 */     // MIs[0] policy
     /* 1876107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876144 */     // GIR_Coverage, 14423,
     /* 1876144 */     GIR_EraseRootFromParent_Done,
     /* 1876145 */   // Label 25308: @1876145
     /* 1876145 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1876234), // Rule ID 14426 //
     /* 1876150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876196 */     // MIs[0] policy
     /* 1876196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876233 */     // GIR_Coverage, 14426,
     /* 1876233 */     GIR_EraseRootFromParent_Done,
     /* 1876234 */   // Label 25309: @1876234
     /* 1876234 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1876323), // Rule ID 14427 //
     /* 1876239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876285 */     // MIs[0] policy
     /* 1876285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876295 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876322 */     // GIR_Coverage, 14427,
     /* 1876322 */     GIR_EraseRootFromParent_Done,
     /* 1876323 */   // Label 25310: @1876323
     /* 1876323 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1876412), // Rule ID 14430 //
     /* 1876328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876374 */     // MIs[0] policy
     /* 1876374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876411 */     // GIR_Coverage, 14430,
     /* 1876411 */     GIR_EraseRootFromParent_Done,
     /* 1876412 */   // Label 25311: @1876412
     /* 1876412 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1876501), // Rule ID 14431 //
     /* 1876417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876463 */     // MIs[0] policy
     /* 1876463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876500 */     // GIR_Coverage, 14431,
     /* 1876500 */     GIR_EraseRootFromParent_Done,
     /* 1876501 */   // Label 25312: @1876501
     /* 1876501 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1876590), // Rule ID 14434 //
     /* 1876506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1876517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1876520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1876523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876552 */     // MIs[0] policy
     /* 1876552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876589 */     // GIR_Coverage, 14434,
     /* 1876589 */     GIR_EraseRootFromParent_Done,
     /* 1876590 */   // Label 25313: @1876590
     /* 1876590 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1876679), // Rule ID 14435 //
     /* 1876595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1876606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1876609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1876612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876641 */     // MIs[0] policy
     /* 1876641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876678 */     // GIR_Coverage, 14435,
     /* 1876678 */     GIR_EraseRootFromParent_Done,
     /* 1876679 */   // Label 25314: @1876679
     /* 1876679 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1876768), // Rule ID 14438 //
     /* 1876684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1876695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1876698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1876701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876730 */     // MIs[0] policy
     /* 1876730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1876743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876767 */     // GIR_Coverage, 14438,
     /* 1876767 */     GIR_EraseRootFromParent_Done,
     /* 1876768 */   // Label 25315: @1876768
     /* 1876768 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1876857), // Rule ID 14439 //
     /* 1876773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1876784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1876787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1876790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876819 */     // MIs[0] policy
     /* 1876819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876829 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1876832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876856 */     // GIR_Coverage, 14439,
     /* 1876856 */     GIR_EraseRootFromParent_Done,
     /* 1876857 */   // Label 25316: @1876857
     /* 1876857 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1876946), // Rule ID 14442 //
     /* 1876862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876908 */     // MIs[0] policy
     /* 1876908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1876921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876945 */     // GIR_Coverage, 14442,
     /* 1876945 */     GIR_EraseRootFromParent_Done,
     /* 1876946 */   // Label 25317: @1876946
     /* 1876946 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1877035), // Rule ID 14443 //
     /* 1876951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876997 */     // MIs[0] policy
     /* 1876997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877007 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877034 */     // GIR_Coverage, 14443,
     /* 1877034 */     GIR_EraseRootFromParent_Done,
     /* 1877035 */   // Label 25318: @1877035
     /* 1877035 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1877124), // Rule ID 14446 //
     /* 1877040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877086 */     // MIs[0] policy
     /* 1877086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877123 */     // GIR_Coverage, 14446,
     /* 1877123 */     GIR_EraseRootFromParent_Done,
     /* 1877124 */   // Label 25319: @1877124
     /* 1877124 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1877213), // Rule ID 14447 //
     /* 1877129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877175 */     // MIs[0] policy
     /* 1877175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877185 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877212 */     // GIR_Coverage, 14447,
     /* 1877212 */     GIR_EraseRootFromParent_Done,
     /* 1877213 */   // Label 25320: @1877213
     /* 1877213 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1877302), // Rule ID 14450 //
     /* 1877218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877264 */     // MIs[0] policy
     /* 1877264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877301 */     // GIR_Coverage, 14450,
     /* 1877301 */     GIR_EraseRootFromParent_Done,
     /* 1877302 */   // Label 25321: @1877302
     /* 1877302 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1877391), // Rule ID 14451 //
     /* 1877307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877353 */     // MIs[0] policy
     /* 1877353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877390 */     // GIR_Coverage, 14451,
     /* 1877390 */     GIR_EraseRootFromParent_Done,
     /* 1877391 */   // Label 25322: @1877391
     /* 1877391 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1877480), // Rule ID 14454 //
     /* 1877396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877442 */     // MIs[0] policy
     /* 1877442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877479 */     // GIR_Coverage, 14454,
     /* 1877479 */     GIR_EraseRootFromParent_Done,
     /* 1877480 */   // Label 25323: @1877480
     /* 1877480 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1877569), // Rule ID 14455 //
     /* 1877485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877531 */     // MIs[0] policy
     /* 1877531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877568 */     // GIR_Coverage, 14455,
     /* 1877568 */     GIR_EraseRootFromParent_Done,
     /* 1877569 */   // Label 25324: @1877569
     /* 1877569 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1877658), // Rule ID 14458 //
     /* 1877574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1877585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1877588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1877591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877620 */     // MIs[0] policy
     /* 1877620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877657 */     // GIR_Coverage, 14458,
     /* 1877657 */     GIR_EraseRootFromParent_Done,
     /* 1877658 */   // Label 25325: @1877658
     /* 1877658 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1877747), // Rule ID 14459 //
     /* 1877663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1877674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1877677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1877680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877709 */     // MIs[0] policy
     /* 1877709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877746 */     // GIR_Coverage, 14459,
     /* 1877746 */     GIR_EraseRootFromParent_Done,
     /* 1877747 */   // Label 25326: @1877747
     /* 1877747 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1877836), // Rule ID 14462 //
     /* 1877752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1877763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1877766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1877769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877798 */     // MIs[0] policy
     /* 1877798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877835 */     // GIR_Coverage, 14462,
     /* 1877835 */     GIR_EraseRootFromParent_Done,
     /* 1877836 */   // Label 25327: @1877836
     /* 1877836 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1877925), // Rule ID 14463 //
     /* 1877841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1877852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1877855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1877858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877887 */     // MIs[0] policy
     /* 1877887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877924 */     // GIR_Coverage, 14463,
     /* 1877924 */     GIR_EraseRootFromParent_Done,
     /* 1877925 */   // Label 25328: @1877925
     /* 1877925 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1878014), // Rule ID 14466 //
     /* 1877930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1877941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1877944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1877947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877976 */     // MIs[0] policy
     /* 1877976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878013 */     // GIR_Coverage, 14466,
     /* 1878013 */     GIR_EraseRootFromParent_Done,
     /* 1878014 */   // Label 25329: @1878014
     /* 1878014 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1878103), // Rule ID 14467 //
     /* 1878019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878065 */     // MIs[0] policy
     /* 1878065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878102 */     // GIR_Coverage, 14467,
     /* 1878102 */     GIR_EraseRootFromParent_Done,
     /* 1878103 */   // Label 25330: @1878103
     /* 1878103 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1878192), // Rule ID 14470 //
     /* 1878108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878154 */     // MIs[0] policy
     /* 1878154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878191 */     // GIR_Coverage, 14470,
     /* 1878191 */     GIR_EraseRootFromParent_Done,
     /* 1878192 */   // Label 25331: @1878192
     /* 1878192 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1878281), // Rule ID 14471 //
     /* 1878197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878243 */     // MIs[0] policy
     /* 1878243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878280 */     // GIR_Coverage, 14471,
     /* 1878280 */     GIR_EraseRootFromParent_Done,
     /* 1878281 */   // Label 25332: @1878281
     /* 1878281 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1878370), // Rule ID 14474 //
     /* 1878286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878332 */     // MIs[0] policy
     /* 1878332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878369 */     // GIR_Coverage, 14474,
     /* 1878369 */     GIR_EraseRootFromParent_Done,
     /* 1878370 */   // Label 25333: @1878370
     /* 1878370 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1878459), // Rule ID 14475 //
     /* 1878375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878421 */     // MIs[0] policy
     /* 1878421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878458 */     // GIR_Coverage, 14475,
     /* 1878458 */     GIR_EraseRootFromParent_Done,
     /* 1878459 */   // Label 25334: @1878459
     /* 1878459 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1878548), // Rule ID 14478 //
     /* 1878464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1878475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1878478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1878481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878510 */     // MIs[0] policy
     /* 1878510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878547 */     // GIR_Coverage, 14478,
     /* 1878547 */     GIR_EraseRootFromParent_Done,
     /* 1878548 */   // Label 25335: @1878548
     /* 1878548 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1878637), // Rule ID 14479 //
     /* 1878553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1878564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1878567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1878570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878599 */     // MIs[0] policy
     /* 1878599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878609 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878636 */     // GIR_Coverage, 14479,
     /* 1878636 */     GIR_EraseRootFromParent_Done,
     /* 1878637 */   // Label 25336: @1878637
     /* 1878637 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1878726), // Rule ID 14482 //
     /* 1878642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1878653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1878656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1878659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878688 */     // MIs[0] policy
     /* 1878688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878725 */     // GIR_Coverage, 14482,
     /* 1878725 */     GIR_EraseRootFromParent_Done,
     /* 1878726 */   // Label 25337: @1878726
     /* 1878726 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1878815), // Rule ID 14483 //
     /* 1878731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1878742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1878745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1878748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878777 */     // MIs[0] policy
     /* 1878777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878814 */     // GIR_Coverage, 14483,
     /* 1878814 */     GIR_EraseRootFromParent_Done,
     /* 1878815 */   // Label 25338: @1878815
     /* 1878815 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1878904), // Rule ID 14574 //
     /* 1878820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1878831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1878834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1878837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1878840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878866 */     // MIs[0] policy
     /* 1878866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1878879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878903 */     // GIR_Coverage, 14574,
     /* 1878903 */     GIR_EraseRootFromParent_Done,
     /* 1878904 */   // Label 25339: @1878904
     /* 1878904 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1878993), // Rule ID 14575 //
     /* 1878909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1878920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1878923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1878926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1878929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878955 */     // MIs[0] policy
     /* 1878955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878965 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1878968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878992 */     // GIR_Coverage, 14575,
     /* 1878992 */     GIR_EraseRootFromParent_Done,
     /* 1878993 */   // Label 25340: @1878993
     /* 1878993 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1879082), // Rule ID 14578 //
     /* 1878998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1879018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879044 */     // MIs[0] policy
     /* 1879044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879081 */     // GIR_Coverage, 14578,
     /* 1879081 */     GIR_EraseRootFromParent_Done,
     /* 1879082 */   // Label 25341: @1879082
     /* 1879082 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1879171), // Rule ID 14579 //
     /* 1879087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1879107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879133 */     // MIs[0] policy
     /* 1879133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879170 */     // GIR_Coverage, 14579,
     /* 1879170 */     GIR_EraseRootFromParent_Done,
     /* 1879171 */   // Label 25342: @1879171
     /* 1879171 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1879260), // Rule ID 14582 //
     /* 1879176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879222 */     // MIs[0] policy
     /* 1879222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879259 */     // GIR_Coverage, 14582,
     /* 1879259 */     GIR_EraseRootFromParent_Done,
     /* 1879260 */   // Label 25343: @1879260
     /* 1879260 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1879349), // Rule ID 14583 //
     /* 1879265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879311 */     // MIs[0] policy
     /* 1879311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879321 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879348 */     // GIR_Coverage, 14583,
     /* 1879348 */     GIR_EraseRootFromParent_Done,
     /* 1879349 */   // Label 25344: @1879349
     /* 1879349 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1879438), // Rule ID 14586 //
     /* 1879354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879400 */     // MIs[0] policy
     /* 1879400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879437 */     // GIR_Coverage, 14586,
     /* 1879437 */     GIR_EraseRootFromParent_Done,
     /* 1879438 */   // Label 25345: @1879438
     /* 1879438 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1879527), // Rule ID 14587 //
     /* 1879443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879489 */     // MIs[0] policy
     /* 1879489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879526 */     // GIR_Coverage, 14587,
     /* 1879526 */     GIR_EraseRootFromParent_Done,
     /* 1879527 */   // Label 25346: @1879527
     /* 1879527 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1879616), // Rule ID 14590 //
     /* 1879532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1879543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1879546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1879549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1879552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879578 */     // MIs[0] policy
     /* 1879578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879615 */     // GIR_Coverage, 14590,
     /* 1879615 */     GIR_EraseRootFromParent_Done,
     /* 1879616 */   // Label 25347: @1879616
     /* 1879616 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1879705), // Rule ID 14591 //
     /* 1879621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1879632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1879635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1879638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1879641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879667 */     // MIs[0] policy
     /* 1879667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879704 */     // GIR_Coverage, 14591,
     /* 1879704 */     GIR_EraseRootFromParent_Done,
     /* 1879705 */   // Label 25348: @1879705
     /* 1879705 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1879794), // Rule ID 14594 //
     /* 1879710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1879721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1879724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1879727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1879730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879756 */     // MIs[0] policy
     /* 1879756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879793 */     // GIR_Coverage, 14594,
     /* 1879793 */     GIR_EraseRootFromParent_Done,
     /* 1879794 */   // Label 25349: @1879794
     /* 1879794 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1879883), // Rule ID 14595 //
     /* 1879799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1879810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1879813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1879816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1879819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879845 */     // MIs[0] policy
     /* 1879845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879882 */     // GIR_Coverage, 14595,
     /* 1879882 */     GIR_EraseRootFromParent_Done,
     /* 1879883 */   // Label 25350: @1879883
     /* 1879883 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1879972), // Rule ID 14598 //
     /* 1879888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1879908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879934 */     // MIs[0] policy
     /* 1879934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1879947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879971 */     // GIR_Coverage, 14598,
     /* 1879971 */     GIR_EraseRootFromParent_Done,
     /* 1879972 */   // Label 25351: @1879972
     /* 1879972 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1880061), // Rule ID 14599 //
     /* 1879977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1879997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880023 */     // MIs[0] policy
     /* 1880023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880060 */     // GIR_Coverage, 14599,
     /* 1880060 */     GIR_EraseRootFromParent_Done,
     /* 1880061 */   // Label 25352: @1880061
     /* 1880061 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1880150), // Rule ID 14602 //
     /* 1880066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880112 */     // MIs[0] policy
     /* 1880112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880149 */     // GIR_Coverage, 14602,
     /* 1880149 */     GIR_EraseRootFromParent_Done,
     /* 1880150 */   // Label 25353: @1880150
     /* 1880150 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1880239), // Rule ID 14603 //
     /* 1880155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880201 */     // MIs[0] policy
     /* 1880201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880238 */     // GIR_Coverage, 14603,
     /* 1880238 */     GIR_EraseRootFromParent_Done,
     /* 1880239 */   // Label 25354: @1880239
     /* 1880239 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1880328), // Rule ID 14606 //
     /* 1880244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880290 */     // MIs[0] policy
     /* 1880290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880327 */     // GIR_Coverage, 14606,
     /* 1880327 */     GIR_EraseRootFromParent_Done,
     /* 1880328 */   // Label 25355: @1880328
     /* 1880328 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1880417), // Rule ID 14607 //
     /* 1880333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880379 */     // MIs[0] policy
     /* 1880379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880416 */     // GIR_Coverage, 14607,
     /* 1880416 */     GIR_EraseRootFromParent_Done,
     /* 1880417 */   // Label 25356: @1880417
     /* 1880417 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1880506), // Rule ID 14610 //
     /* 1880422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880468 */     // MIs[0] policy
     /* 1880468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880505 */     // GIR_Coverage, 14610,
     /* 1880505 */     GIR_EraseRootFromParent_Done,
     /* 1880506 */   // Label 25357: @1880506
     /* 1880506 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1880595), // Rule ID 14611 //
     /* 1880511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880557 */     // MIs[0] policy
     /* 1880557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880594 */     // GIR_Coverage, 14611,
     /* 1880594 */     GIR_EraseRootFromParent_Done,
     /* 1880595 */   // Label 25358: @1880595
     /* 1880595 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1880684), // Rule ID 14614 //
     /* 1880600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1880611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1880614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1880617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1880620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880646 */     // MIs[0] policy
     /* 1880646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1880659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880683 */     // GIR_Coverage, 14614,
     /* 1880683 */     GIR_EraseRootFromParent_Done,
     /* 1880684 */   // Label 25359: @1880684
     /* 1880684 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1880773), // Rule ID 14615 //
     /* 1880689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1880700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1880703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1880706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1880709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880735 */     // MIs[0] policy
     /* 1880735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1880748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880772 */     // GIR_Coverage, 14615,
     /* 1880772 */     GIR_EraseRootFromParent_Done,
     /* 1880773 */   // Label 25360: @1880773
     /* 1880773 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1880862), // Rule ID 14618 //
     /* 1880778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1880789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1880792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1880795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1880798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880824 */     // MIs[0] policy
     /* 1880824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1880837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880861 */     // GIR_Coverage, 14618,
     /* 1880861 */     GIR_EraseRootFromParent_Done,
     /* 1880862 */   // Label 25361: @1880862
     /* 1880862 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1880951), // Rule ID 14619 //
     /* 1880867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1880878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1880881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1880884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1880887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880913 */     // MIs[0] policy
     /* 1880913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1880926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880950 */     // GIR_Coverage, 14619,
     /* 1880950 */     GIR_EraseRootFromParent_Done,
     /* 1880951 */   // Label 25362: @1880951
     /* 1880951 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1881040), // Rule ID 14622 //
     /* 1880956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1880967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1880970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1880973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1880976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881002 */     // MIs[0] policy
     /* 1881002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881039 */     // GIR_Coverage, 14622,
     /* 1881039 */     GIR_EraseRootFromParent_Done,
     /* 1881040 */   // Label 25363: @1881040
     /* 1881040 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1881129), // Rule ID 14623 //
     /* 1881045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1881065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881091 */     // MIs[0] policy
     /* 1881091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881101 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881128 */     // GIR_Coverage, 14623,
     /* 1881128 */     GIR_EraseRootFromParent_Done,
     /* 1881129 */   // Label 25364: @1881129
     /* 1881129 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1881218), // Rule ID 14626 //
     /* 1881134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881180 */     // MIs[0] policy
     /* 1881180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881217 */     // GIR_Coverage, 14626,
     /* 1881217 */     GIR_EraseRootFromParent_Done,
     /* 1881218 */   // Label 25365: @1881218
     /* 1881218 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1881307), // Rule ID 14627 //
     /* 1881223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881269 */     // MIs[0] policy
     /* 1881269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881279 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881306 */     // GIR_Coverage, 14627,
     /* 1881306 */     GIR_EraseRootFromParent_Done,
     /* 1881307 */   // Label 25366: @1881307
     /* 1881307 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1881396), // Rule ID 14630 //
     /* 1881312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881358 */     // MIs[0] policy
     /* 1881358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881395 */     // GIR_Coverage, 14630,
     /* 1881395 */     GIR_EraseRootFromParent_Done,
     /* 1881396 */   // Label 25367: @1881396
     /* 1881396 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1881485), // Rule ID 14631 //
     /* 1881401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881447 */     // MIs[0] policy
     /* 1881447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881457 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881484 */     // GIR_Coverage, 14631,
     /* 1881484 */     GIR_EraseRootFromParent_Done,
     /* 1881485 */   // Label 25368: @1881485
     /* 1881485 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1881574), // Rule ID 14634 //
     /* 1881490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1881501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1881504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1881507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1881510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881536 */     // MIs[0] policy
     /* 1881536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881573 */     // GIR_Coverage, 14634,
     /* 1881573 */     GIR_EraseRootFromParent_Done,
     /* 1881574 */   // Label 25369: @1881574
     /* 1881574 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1881663), // Rule ID 14635 //
     /* 1881579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1881590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1881593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1881596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1881599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881625 */     // MIs[0] policy
     /* 1881625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881662 */     // GIR_Coverage, 14635,
     /* 1881662 */     GIR_EraseRootFromParent_Done,
     /* 1881663 */   // Label 25370: @1881663
     /* 1881663 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1881752), // Rule ID 14638 //
     /* 1881668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1881679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1881682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1881685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1881688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881714 */     // MIs[0] policy
     /* 1881714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881751 */     // GIR_Coverage, 14638,
     /* 1881751 */     GIR_EraseRootFromParent_Done,
     /* 1881752 */   // Label 25371: @1881752
     /* 1881752 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1881841), // Rule ID 14639 //
     /* 1881757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1881768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1881771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1881774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1881777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881803 */     // MIs[0] policy
     /* 1881803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881840 */     // GIR_Coverage, 14639,
     /* 1881840 */     GIR_EraseRootFromParent_Done,
     /* 1881841 */   // Label 25372: @1881841
     /* 1881841 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1881930), // Rule ID 14642 //
     /* 1881846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1881863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1881866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881892 */     // MIs[0] policy
     /* 1881892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881929 */     // GIR_Coverage, 14642,
     /* 1881929 */     GIR_EraseRootFromParent_Done,
     /* 1881930 */   // Label 25373: @1881930
     /* 1881930 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1882019), // Rule ID 14643 //
     /* 1881935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1881952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1881955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881981 */     // MIs[0] policy
     /* 1881981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881991 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882018 */     // GIR_Coverage, 14643,
     /* 1882018 */     GIR_EraseRootFromParent_Done,
     /* 1882019 */   // Label 25374: @1882019
     /* 1882019 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1882108), // Rule ID 14646 //
     /* 1882024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1882044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882070 */     // MIs[0] policy
     /* 1882070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882107 */     // GIR_Coverage, 14646,
     /* 1882107 */     GIR_EraseRootFromParent_Done,
     /* 1882108 */   // Label 25375: @1882108
     /* 1882108 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1882197), // Rule ID 14647 //
     /* 1882113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1882133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882159 */     // MIs[0] policy
     /* 1882159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882196 */     // GIR_Coverage, 14647,
     /* 1882196 */     GIR_EraseRootFromParent_Done,
     /* 1882197 */   // Label 25376: @1882197
     /* 1882197 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1882286), // Rule ID 14650 //
     /* 1882202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882248 */     // MIs[0] policy
     /* 1882248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882285 */     // GIR_Coverage, 14650,
     /* 1882285 */     GIR_EraseRootFromParent_Done,
     /* 1882286 */   // Label 25377: @1882286
     /* 1882286 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1882375), // Rule ID 14651 //
     /* 1882291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882337 */     // MIs[0] policy
     /* 1882337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882374 */     // GIR_Coverage, 14651,
     /* 1882374 */     GIR_EraseRootFromParent_Done,
     /* 1882375 */   // Label 25378: @1882375
     /* 1882375 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1882464), // Rule ID 14654 //
     /* 1882380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882426 */     // MIs[0] policy
     /* 1882426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882463 */     // GIR_Coverage, 14654,
     /* 1882463 */     GIR_EraseRootFromParent_Done,
     /* 1882464 */   // Label 25379: @1882464
     /* 1882464 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1882553), // Rule ID 14655 //
     /* 1882469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882515 */     // MIs[0] policy
     /* 1882515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882552 */     // GIR_Coverage, 14655,
     /* 1882552 */     GIR_EraseRootFromParent_Done,
     /* 1882553 */   // Label 25380: @1882553
     /* 1882553 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1882642), // Rule ID 14658 //
     /* 1882558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1882569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1882572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1882575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1882578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882604 */     // MIs[0] policy
     /* 1882604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882641 */     // GIR_Coverage, 14658,
     /* 1882641 */     GIR_EraseRootFromParent_Done,
     /* 1882642 */   // Label 25381: @1882642
     /* 1882642 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1882731), // Rule ID 14659 //
     /* 1882647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1882658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1882661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1882664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1882667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882693 */     // MIs[0] policy
     /* 1882693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882730 */     // GIR_Coverage, 14659,
     /* 1882730 */     GIR_EraseRootFromParent_Done,
     /* 1882731 */   // Label 25382: @1882731
     /* 1882731 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1882820), // Rule ID 14662 //
     /* 1882736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1882747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1882750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1882753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882782 */     // MIs[0] policy
     /* 1882782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1882795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882819 */     // GIR_Coverage, 14662,
     /* 1882819 */     GIR_EraseRootFromParent_Done,
     /* 1882820 */   // Label 25383: @1882820
     /* 1882820 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1882909), // Rule ID 14663 //
     /* 1882825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1882836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1882839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1882842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882871 */     // MIs[0] policy
     /* 1882871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882881 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1882884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882908 */     // GIR_Coverage, 14663,
     /* 1882908 */     GIR_EraseRootFromParent_Done,
     /* 1882909 */   // Label 25384: @1882909
     /* 1882909 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1882998), // Rule ID 14666 //
     /* 1882914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1882925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1882928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1882931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882960 */     // MIs[0] policy
     /* 1882960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1882973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882997 */     // GIR_Coverage, 14666,
     /* 1882997 */     GIR_EraseRootFromParent_Done,
     /* 1882998 */   // Label 25385: @1882998
     /* 1882998 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1883087), // Rule ID 14667 //
     /* 1883003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883049 */     // MIs[0] policy
     /* 1883049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883059 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883086 */     // GIR_Coverage, 14667,
     /* 1883086 */     GIR_EraseRootFromParent_Done,
     /* 1883087 */   // Label 25386: @1883087
     /* 1883087 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1883176), // Rule ID 14670 //
     /* 1883092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883138 */     // MIs[0] policy
     /* 1883138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883175 */     // GIR_Coverage, 14670,
     /* 1883175 */     GIR_EraseRootFromParent_Done,
     /* 1883176 */   // Label 25387: @1883176
     /* 1883176 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1883265), // Rule ID 14671 //
     /* 1883181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883227 */     // MIs[0] policy
     /* 1883227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883237 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883264 */     // GIR_Coverage, 14671,
     /* 1883264 */     GIR_EraseRootFromParent_Done,
     /* 1883265 */   // Label 25388: @1883265
     /* 1883265 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1883354), // Rule ID 14674 //
     /* 1883270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883316 */     // MIs[0] policy
     /* 1883316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883353 */     // GIR_Coverage, 14674,
     /* 1883353 */     GIR_EraseRootFromParent_Done,
     /* 1883354 */   // Label 25389: @1883354
     /* 1883354 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1883443), // Rule ID 14675 //
     /* 1883359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883405 */     // MIs[0] policy
     /* 1883405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883442 */     // GIR_Coverage, 14675,
     /* 1883442 */     GIR_EraseRootFromParent_Done,
     /* 1883443 */   // Label 25390: @1883443
     /* 1883443 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1883532), // Rule ID 14678 //
     /* 1883448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1883459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1883462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883494 */     // MIs[0] policy
     /* 1883494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883531 */     // GIR_Coverage, 14678,
     /* 1883531 */     GIR_EraseRootFromParent_Done,
     /* 1883532 */   // Label 25391: @1883532
     /* 1883532 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1883621), // Rule ID 14679 //
     /* 1883537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1883548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1883551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883583 */     // MIs[0] policy
     /* 1883583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883620 */     // GIR_Coverage, 14679,
     /* 1883620 */     GIR_EraseRootFromParent_Done,
     /* 1883621 */   // Label 25392: @1883621
     /* 1883621 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1883710), // Rule ID 14682 //
     /* 1883626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1883643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883672 */     // MIs[0] policy
     /* 1883672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883709 */     // GIR_Coverage, 14682,
     /* 1883709 */     GIR_EraseRootFromParent_Done,
     /* 1883710 */   // Label 25393: @1883710
     /* 1883710 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1883799), // Rule ID 14683 //
     /* 1883715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1883732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883761 */     // MIs[0] policy
     /* 1883761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883798 */     // GIR_Coverage, 14683,
     /* 1883798 */     GIR_EraseRootFromParent_Done,
     /* 1883799 */   // Label 25394: @1883799
     /* 1883799 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1883888), // Rule ID 14686 //
     /* 1883804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1883815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1883818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1883821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883850 */     // MIs[0] policy
     /* 1883850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1883863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883887 */     // GIR_Coverage, 14686,
     /* 1883887 */     GIR_EraseRootFromParent_Done,
     /* 1883888 */   // Label 25395: @1883888
     /* 1883888 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1883977), // Rule ID 14687 //
     /* 1883893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1883904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1883907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1883910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883939 */     // MIs[0] policy
     /* 1883939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11572:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1883952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883976 */     // GIR_Coverage, 14687,
     /* 1883976 */     GIR_EraseRootFromParent_Done,
     /* 1883977 */   // Label 25396: @1883977
     /* 1883977 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1884066), // Rule ID 14690 //
     /* 1883982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1883993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1883996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1883999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884028 */     // MIs[0] policy
     /* 1884028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884065 */     // GIR_Coverage, 14690,
     /* 1884065 */     GIR_EraseRootFromParent_Done,
     /* 1884066 */   // Label 25397: @1884066
     /* 1884066 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1884155), // Rule ID 14691 //
     /* 1884071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884117 */     // MIs[0] policy
     /* 1884117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884154 */     // GIR_Coverage, 14691,
     /* 1884154 */     GIR_EraseRootFromParent_Done,
     /* 1884155 */   // Label 25398: @1884155
     /* 1884155 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1884244), // Rule ID 14694 //
     /* 1884160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884206 */     // MIs[0] policy
     /* 1884206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884243 */     // GIR_Coverage, 14694,
     /* 1884243 */     GIR_EraseRootFromParent_Done,
     /* 1884244 */   // Label 25399: @1884244
     /* 1884244 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1884333), // Rule ID 14695 //
     /* 1884249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884295 */     // MIs[0] policy
     /* 1884295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884332 */     // GIR_Coverage, 14695,
     /* 1884332 */     GIR_EraseRootFromParent_Done,
     /* 1884333 */   // Label 25400: @1884333
     /* 1884333 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1884422), // Rule ID 14698 //
     /* 1884338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884384 */     // MIs[0] policy
     /* 1884384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884421 */     // GIR_Coverage, 14698,
     /* 1884421 */     GIR_EraseRootFromParent_Done,
     /* 1884422 */   // Label 25401: @1884422
     /* 1884422 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1884511), // Rule ID 14699 //
     /* 1884427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884473 */     // MIs[0] policy
     /* 1884473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884510 */     // GIR_Coverage, 14699,
     /* 1884510 */     GIR_EraseRootFromParent_Done,
     /* 1884511 */   // Label 25402: @1884511
     /* 1884511 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1884600), // Rule ID 14702 //
     /* 1884516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1884527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1884530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1884533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884562 */     // MIs[0] policy
     /* 1884562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1884575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884599 */     // GIR_Coverage, 14702,
     /* 1884599 */     GIR_EraseRootFromParent_Done,
     /* 1884600 */   // Label 25403: @1884600
     /* 1884600 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1884689), // Rule ID 14703 //
     /* 1884605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1884616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1884619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1884622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884651 */     // MIs[0] policy
     /* 1884651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884661 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1884664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884688 */     // GIR_Coverage, 14703,
     /* 1884688 */     GIR_EraseRootFromParent_Done,
     /* 1884689 */   // Label 25404: @1884689
     /* 1884689 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1884778), // Rule ID 14706 //
     /* 1884694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1884705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1884708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1884711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1884717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884740 */     // MIs[0] policy
     /* 1884740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1884753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884777 */     // GIR_Coverage, 14706,
     /* 1884777 */     GIR_EraseRootFromParent_Done,
     /* 1884778 */   // Label 25405: @1884778
     /* 1884778 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1884867), // Rule ID 14707 //
     /* 1884783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1884794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1884797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1884800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1884806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884829 */     // MIs[0] policy
     /* 1884829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1884842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884866 */     // GIR_Coverage, 14707,
     /* 1884866 */     GIR_EraseRootFromParent_Done,
     /* 1884867 */   // Label 25406: @1884867
     /* 1884867 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1884956), // Rule ID 14710 //
     /* 1884872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1884883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1884886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1884889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1884895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884918 */     // MIs[0] policy
     /* 1884918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1884931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884955 */     // GIR_Coverage, 14710,
     /* 1884955 */     GIR_EraseRootFromParent_Done,
     /* 1884956 */   // Label 25407: @1884956
     /* 1884956 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1885045), // Rule ID 14711 //
     /* 1884961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1884972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1884975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1884978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1884984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885007 */     // MIs[0] policy
     /* 1885007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885044 */     // GIR_Coverage, 14711,
     /* 1885044 */     GIR_EraseRootFromParent_Done,
     /* 1885045 */   // Label 25408: @1885045
     /* 1885045 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1885134), // Rule ID 14714 //
     /* 1885050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885096 */     // MIs[0] policy
     /* 1885096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885133 */     // GIR_Coverage, 14714,
     /* 1885133 */     GIR_EraseRootFromParent_Done,
     /* 1885134 */   // Label 25409: @1885134
     /* 1885134 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1885223), // Rule ID 14715 //
     /* 1885139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885185 */     // MIs[0] policy
     /* 1885185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885222 */     // GIR_Coverage, 14715,
     /* 1885222 */     GIR_EraseRootFromParent_Done,
     /* 1885223 */   // Label 25410: @1885223
     /* 1885223 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1885312), // Rule ID 14718 //
     /* 1885228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885274 */     // MIs[0] policy
     /* 1885274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885311 */     // GIR_Coverage, 14718,
     /* 1885311 */     GIR_EraseRootFromParent_Done,
     /* 1885312 */   // Label 25411: @1885312
     /* 1885312 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1885401), // Rule ID 14719 //
     /* 1885317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885363 */     // MIs[0] policy
     /* 1885363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885400 */     // GIR_Coverage, 14719,
     /* 1885400 */     GIR_EraseRootFromParent_Done,
     /* 1885401 */   // Label 25412: @1885401
     /* 1885401 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1885490), // Rule ID 14722 //
     /* 1885406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885452 */     // MIs[0] policy
     /* 1885452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885489 */     // GIR_Coverage, 14722,
     /* 1885489 */     GIR_EraseRootFromParent_Done,
     /* 1885490 */   // Label 25413: @1885490
     /* 1885490 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1885579), // Rule ID 14723 //
     /* 1885495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885541 */     // MIs[0] policy
     /* 1885541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885551 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885578 */     // GIR_Coverage, 14723,
     /* 1885578 */     GIR_EraseRootFromParent_Done,
     /* 1885579 */   // Label 25414: @1885579
     /* 1885579 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1885668), // Rule ID 14726 //
     /* 1885584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1885595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1885598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1885601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885630 */     // MIs[0] policy
     /* 1885630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885667 */     // GIR_Coverage, 14726,
     /* 1885667 */     GIR_EraseRootFromParent_Done,
     /* 1885668 */   // Label 25415: @1885668
     /* 1885668 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1885757), // Rule ID 14727 //
     /* 1885673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1885684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1885687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1885690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885719 */     // MIs[0] policy
     /* 1885719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885756 */     // GIR_Coverage, 14727,
     /* 1885756 */     GIR_EraseRootFromParent_Done,
     /* 1885757 */   // Label 25416: @1885757
     /* 1885757 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1885846), // Rule ID 14730 //
     /* 1885762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1885773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1885776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1885779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885808 */     // MIs[0] policy
     /* 1885808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885845 */     // GIR_Coverage, 14730,
     /* 1885845 */     GIR_EraseRootFromParent_Done,
     /* 1885846 */   // Label 25417: @1885846
     /* 1885846 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1885935), // Rule ID 14731 //
     /* 1885851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1885862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1885865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1885868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885897 */     // MIs[0] policy
     /* 1885897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885934 */     // GIR_Coverage, 14731,
     /* 1885934 */     GIR_EraseRootFromParent_Done,
     /* 1885935 */   // Label 25418: @1885935
     /* 1885935 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1886024), // Rule ID 14734 //
     /* 1885940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1885951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1885954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1885957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885986 */     // MIs[0] policy
     /* 1885986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886023 */     // GIR_Coverage, 14734,
     /* 1886023 */     GIR_EraseRootFromParent_Done,
     /* 1886024 */   // Label 25419: @1886024
     /* 1886024 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1886113), // Rule ID 14735 //
     /* 1886029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886075 */     // MIs[0] policy
     /* 1886075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886112 */     // GIR_Coverage, 14735,
     /* 1886112 */     GIR_EraseRootFromParent_Done,
     /* 1886113 */   // Label 25420: @1886113
     /* 1886113 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1886202), // Rule ID 14738 //
     /* 1886118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886164 */     // MIs[0] policy
     /* 1886164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886201 */     // GIR_Coverage, 14738,
     /* 1886201 */     GIR_EraseRootFromParent_Done,
     /* 1886202 */   // Label 25421: @1886202
     /* 1886202 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1886291), // Rule ID 14739 //
     /* 1886207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886253 */     // MIs[0] policy
     /* 1886253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886290 */     // GIR_Coverage, 14739,
     /* 1886290 */     GIR_EraseRootFromParent_Done,
     /* 1886291 */   // Label 25422: @1886291
     /* 1886291 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1886380), // Rule ID 14742 //
     /* 1886296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886342 */     // MIs[0] policy
     /* 1886342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886379 */     // GIR_Coverage, 14742,
     /* 1886379 */     GIR_EraseRootFromParent_Done,
     /* 1886380 */   // Label 25423: @1886380
     /* 1886380 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1886469), // Rule ID 14743 //
     /* 1886385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886431 */     // MIs[0] policy
     /* 1886431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886441 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886468 */     // GIR_Coverage, 14743,
     /* 1886468 */     GIR_EraseRootFromParent_Done,
     /* 1886469 */   // Label 25424: @1886469
     /* 1886469 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1886558), // Rule ID 14746 //
     /* 1886474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886520 */     // MIs[0] policy
     /* 1886520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886530 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886557 */     // GIR_Coverage, 14746,
     /* 1886557 */     GIR_EraseRootFromParent_Done,
     /* 1886558 */   // Label 25425: @1886558
     /* 1886558 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1886647), // Rule ID 14747 //
     /* 1886563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886609 */     // MIs[0] policy
     /* 1886609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886646 */     // GIR_Coverage, 14747,
     /* 1886646 */     GIR_EraseRootFromParent_Done,
     /* 1886647 */   // Label 25426: @1886647
     /* 1886647 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1886736), // Rule ID 14750 //
     /* 1886652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1886663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1886666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1886669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1886672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886698 */     // MIs[0] policy
     /* 1886698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1886711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886735 */     // GIR_Coverage, 14750,
     /* 1886735 */     GIR_EraseRootFromParent_Done,
     /* 1886736 */   // Label 25427: @1886736
     /* 1886736 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1886825), // Rule ID 14751 //
     /* 1886741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1886752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1886755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1886758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1886761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886787 */     // MIs[0] policy
     /* 1886787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1886800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886824 */     // GIR_Coverage, 14751,
     /* 1886824 */     GIR_EraseRootFromParent_Done,
     /* 1886825 */   // Label 25428: @1886825
     /* 1886825 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1886914), // Rule ID 14754 //
     /* 1886830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1886841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1886844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1886847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1886850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886876 */     // MIs[0] policy
     /* 1886876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1886889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886913 */     // GIR_Coverage, 14754,
     /* 1886913 */     GIR_EraseRootFromParent_Done,
     /* 1886914 */   // Label 25429: @1886914
     /* 1886914 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1887003), // Rule ID 14755 //
     /* 1886919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1886930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1886933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1886936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1886939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886965 */     // MIs[0] policy
     /* 1886965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886975 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1886978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887002 */     // GIR_Coverage, 14755,
     /* 1887002 */     GIR_EraseRootFromParent_Done,
     /* 1887003 */   // Label 25430: @1887003
     /* 1887003 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1887092), // Rule ID 14758 //
     /* 1887008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1887028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887054 */     // MIs[0] policy
     /* 1887054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887091 */     // GIR_Coverage, 14758,
     /* 1887091 */     GIR_EraseRootFromParent_Done,
     /* 1887092 */   // Label 25431: @1887092
     /* 1887092 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1887181), // Rule ID 14759 //
     /* 1887097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1887117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887143 */     // MIs[0] policy
     /* 1887143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887180 */     // GIR_Coverage, 14759,
     /* 1887180 */     GIR_EraseRootFromParent_Done,
     /* 1887181 */   // Label 25432: @1887181
     /* 1887181 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1887270), // Rule ID 14762 //
     /* 1887186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887232 */     // MIs[0] policy
     /* 1887232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887269 */     // GIR_Coverage, 14762,
     /* 1887269 */     GIR_EraseRootFromParent_Done,
     /* 1887270 */   // Label 25433: @1887270
     /* 1887270 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1887359), // Rule ID 14763 //
     /* 1887275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887321 */     // MIs[0] policy
     /* 1887321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887358 */     // GIR_Coverage, 14763,
     /* 1887358 */     GIR_EraseRootFromParent_Done,
     /* 1887359 */   // Label 25434: @1887359
     /* 1887359 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1887448), // Rule ID 14766 //
     /* 1887364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887410 */     // MIs[0] policy
     /* 1887410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887447 */     // GIR_Coverage, 14766,
     /* 1887447 */     GIR_EraseRootFromParent_Done,
     /* 1887448 */   // Label 25435: @1887448
     /* 1887448 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1887537), // Rule ID 14767 //
     /* 1887453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887499 */     // MIs[0] policy
     /* 1887499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887536 */     // GIR_Coverage, 14767,
     /* 1887536 */     GIR_EraseRootFromParent_Done,
     /* 1887537 */   // Label 25436: @1887537
     /* 1887537 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1887626), // Rule ID 14770 //
     /* 1887542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887588 */     // MIs[0] policy
     /* 1887588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887625 */     // GIR_Coverage, 14770,
     /* 1887625 */     GIR_EraseRootFromParent_Done,
     /* 1887626 */   // Label 25437: @1887626
     /* 1887626 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1887715), // Rule ID 14771 //
     /* 1887631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887677 */     // MIs[0] policy
     /* 1887677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887714 */     // GIR_Coverage, 14771,
     /* 1887714 */     GIR_EraseRootFromParent_Done,
     /* 1887715 */   // Label 25438: @1887715
     /* 1887715 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1887804), // Rule ID 14774 //
     /* 1887720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1887731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1887734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1887737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1887740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887766 */     // MIs[0] policy
     /* 1887766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1887779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887803 */     // GIR_Coverage, 14774,
     /* 1887803 */     GIR_EraseRootFromParent_Done,
     /* 1887804 */   // Label 25439: @1887804
     /* 1887804 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1887893), // Rule ID 14775 //
     /* 1887809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1887820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1887823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1887826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1887829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887855 */     // MIs[0] policy
     /* 1887855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1887868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887892 */     // GIR_Coverage, 14775,
     /* 1887892 */     GIR_EraseRootFromParent_Done,
     /* 1887893 */   // Label 25440: @1887893
     /* 1887893 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1887982), // Rule ID 14778 //
     /* 1887898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1887912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1887915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1887918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887944 */     // MIs[0] policy
     /* 1887944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1887957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887981 */     // GIR_Coverage, 14778,
     /* 1887981 */     GIR_EraseRootFromParent_Done,
     /* 1887982 */   // Label 25441: @1887982
     /* 1887982 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1888071), // Rule ID 14779 //
     /* 1887987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888033 */     // MIs[0] policy
     /* 1888033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888070 */     // GIR_Coverage, 14779,
     /* 1888070 */     GIR_EraseRootFromParent_Done,
     /* 1888071 */   // Label 25442: @1888071
     /* 1888071 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1888160), // Rule ID 14782 //
     /* 1888076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888122 */     // MIs[0] policy
     /* 1888122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888159 */     // GIR_Coverage, 14782,
     /* 1888159 */     GIR_EraseRootFromParent_Done,
     /* 1888160 */   // Label 25443: @1888160
     /* 1888160 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1888249), // Rule ID 14783 //
     /* 1888165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888211 */     // MIs[0] policy
     /* 1888211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888248 */     // GIR_Coverage, 14783,
     /* 1888248 */     GIR_EraseRootFromParent_Done,
     /* 1888249 */   // Label 25444: @1888249
     /* 1888249 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1888338), // Rule ID 14786 //
     /* 1888254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888300 */     // MIs[0] policy
     /* 1888300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888337 */     // GIR_Coverage, 14786,
     /* 1888337 */     GIR_EraseRootFromParent_Done,
     /* 1888338 */   // Label 25445: @1888338
     /* 1888338 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1888427), // Rule ID 14787 //
     /* 1888343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888389 */     // MIs[0] policy
     /* 1888389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888426 */     // GIR_Coverage, 14787,
     /* 1888426 */     GIR_EraseRootFromParent_Done,
     /* 1888427 */   // Label 25446: @1888427
     /* 1888427 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1888516), // Rule ID 14790 //
     /* 1888432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1888449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1888452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888478 */     // MIs[0] policy
     /* 1888478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1888491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888515 */     // GIR_Coverage, 14790,
     /* 1888515 */     GIR_EraseRootFromParent_Done,
     /* 1888516 */   // Label 25447: @1888516
     /* 1888516 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1888605), // Rule ID 14791 //
     /* 1888521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1888538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1888541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888567 */     // MIs[0] policy
     /* 1888567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1888580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888604 */     // GIR_Coverage, 14791,
     /* 1888604 */     GIR_EraseRootFromParent_Done,
     /* 1888605 */   // Label 25448: @1888605
     /* 1888605 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1888694), // Rule ID 14794 //
     /* 1888610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1888621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1888624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1888627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1888630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1888633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888656 */     // MIs[0] policy
     /* 1888656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1888669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888693 */     // GIR_Coverage, 14794,
     /* 1888693 */     GIR_EraseRootFromParent_Done,
     /* 1888694 */   // Label 25449: @1888694
     /* 1888694 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1888783), // Rule ID 14795 //
     /* 1888699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1888710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1888713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1888716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1888719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1888722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888745 */     // MIs[0] policy
     /* 1888745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888755 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1888758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888782 */     // GIR_Coverage, 14795,
     /* 1888782 */     GIR_EraseRootFromParent_Done,
     /* 1888783 */   // Label 25450: @1888783
     /* 1888783 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1888872), // Rule ID 14798 //
     /* 1888788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1888799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1888802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1888805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1888808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1888811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888834 */     // MIs[0] policy
     /* 1888834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1888847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888871 */     // GIR_Coverage, 14798,
     /* 1888871 */     GIR_EraseRootFromParent_Done,
     /* 1888872 */   // Label 25451: @1888872
     /* 1888872 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1888961), // Rule ID 14799 //
     /* 1888877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1888888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1888891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1888894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1888897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1888900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888923 */     // MIs[0] policy
     /* 1888923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888933 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1888936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888960 */     // GIR_Coverage, 14799,
     /* 1888960 */     GIR_EraseRootFromParent_Done,
     /* 1888961 */   // Label 25452: @1888961
     /* 1888961 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1889050), // Rule ID 14802 //
     /* 1888966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889012 */     // MIs[0] policy
     /* 1889012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889049 */     // GIR_Coverage, 14802,
     /* 1889049 */     GIR_EraseRootFromParent_Done,
     /* 1889050 */   // Label 25453: @1889050
     /* 1889050 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1889139), // Rule ID 14803 //
     /* 1889055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889101 */     // MIs[0] policy
     /* 1889101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889138 */     // GIR_Coverage, 14803,
     /* 1889138 */     GIR_EraseRootFromParent_Done,
     /* 1889139 */   // Label 25454: @1889139
     /* 1889139 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1889228), // Rule ID 14806 //
     /* 1889144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889190 */     // MIs[0] policy
     /* 1889190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889227 */     // GIR_Coverage, 14806,
     /* 1889227 */     GIR_EraseRootFromParent_Done,
     /* 1889228 */   // Label 25455: @1889228
     /* 1889228 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1889317), // Rule ID 14807 //
     /* 1889233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889279 */     // MIs[0] policy
     /* 1889279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889316 */     // GIR_Coverage, 14807,
     /* 1889316 */     GIR_EraseRootFromParent_Done,
     /* 1889317 */   // Label 25456: @1889317
     /* 1889317 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1889406), // Rule ID 14810 //
     /* 1889322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889368 */     // MIs[0] policy
     /* 1889368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889405 */     // GIR_Coverage, 14810,
     /* 1889405 */     GIR_EraseRootFromParent_Done,
     /* 1889406 */   // Label 25457: @1889406
     /* 1889406 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1889495), // Rule ID 14811 //
     /* 1889411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889457 */     // MIs[0] policy
     /* 1889457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889494 */     // GIR_Coverage, 14811,
     /* 1889494 */     GIR_EraseRootFromParent_Done,
     /* 1889495 */   // Label 25458: @1889495
     /* 1889495 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1889584), // Rule ID 14814 //
     /* 1889500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889546 */     // MIs[0] policy
     /* 1889546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889583 */     // GIR_Coverage, 14814,
     /* 1889583 */     GIR_EraseRootFromParent_Done,
     /* 1889584 */   // Label 25459: @1889584
     /* 1889584 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1889673), // Rule ID 14815 //
     /* 1889589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889635 */     // MIs[0] policy
     /* 1889635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889672 */     // GIR_Coverage, 14815,
     /* 1889672 */     GIR_EraseRootFromParent_Done,
     /* 1889673 */   // Label 25460: @1889673
     /* 1889673 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1889762), // Rule ID 14818 //
     /* 1889678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889724 */     // MIs[0] policy
     /* 1889724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889761 */     // GIR_Coverage, 14818,
     /* 1889761 */     GIR_EraseRootFromParent_Done,
     /* 1889762 */   // Label 25461: @1889762
     /* 1889762 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1889851), // Rule ID 14819 //
     /* 1889767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889813 */     // MIs[0] policy
     /* 1889813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889850 */     // GIR_Coverage, 14819,
     /* 1889850 */     GIR_EraseRootFromParent_Done,
     /* 1889851 */   // Label 25462: @1889851
     /* 1889851 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1889940), // Rule ID 14822 //
     /* 1889856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889902 */     // MIs[0] policy
     /* 1889902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889939 */     // GIR_Coverage, 14822,
     /* 1889939 */     GIR_EraseRootFromParent_Done,
     /* 1889940 */   // Label 25463: @1889940
     /* 1889940 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1890029), // Rule ID 14823 //
     /* 1889945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889991 */     // MIs[0] policy
     /* 1889991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890028 */     // GIR_Coverage, 14823,
     /* 1890028 */     GIR_EraseRootFromParent_Done,
     /* 1890029 */   // Label 25464: @1890029
     /* 1890029 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1890118), // Rule ID 14826 //
     /* 1890034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890080 */     // MIs[0] policy
     /* 1890080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890117 */     // GIR_Coverage, 14826,
     /* 1890117 */     GIR_EraseRootFromParent_Done,
     /* 1890118 */   // Label 25465: @1890118
     /* 1890118 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1890207), // Rule ID 14827 //
     /* 1890123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890169 */     // MIs[0] policy
     /* 1890169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890179 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890206 */     // GIR_Coverage, 14827,
     /* 1890206 */     GIR_EraseRootFromParent_Done,
     /* 1890207 */   // Label 25466: @1890207
     /* 1890207 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1890296), // Rule ID 14830 //
     /* 1890212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890258 */     // MIs[0] policy
     /* 1890258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890295 */     // GIR_Coverage, 14830,
     /* 1890295 */     GIR_EraseRootFromParent_Done,
     /* 1890296 */   // Label 25467: @1890296
     /* 1890296 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1890385), // Rule ID 14831 //
     /* 1890301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890347 */     // MIs[0] policy
     /* 1890347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890357 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890384 */     // GIR_Coverage, 14831,
     /* 1890384 */     GIR_EraseRootFromParent_Done,
     /* 1890385 */   // Label 25468: @1890385
     /* 1890385 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1890474), // Rule ID 14834 //
     /* 1890390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890436 */     // MIs[0] policy
     /* 1890436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890473 */     // GIR_Coverage, 14834,
     /* 1890473 */     GIR_EraseRootFromParent_Done,
     /* 1890474 */   // Label 25469: @1890474
     /* 1890474 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1890563), // Rule ID 14835 //
     /* 1890479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890525 */     // MIs[0] policy
     /* 1890525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890535 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890562 */     // GIR_Coverage, 14835,
     /* 1890562 */     GIR_EraseRootFromParent_Done,
     /* 1890563 */   // Label 25470: @1890563
     /* 1890563 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1890652), // Rule ID 14838 //
     /* 1890568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1890579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1890582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1890585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890614 */     // MIs[0] policy
     /* 1890614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1890627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890651 */     // GIR_Coverage, 14838,
     /* 1890651 */     GIR_EraseRootFromParent_Done,
     /* 1890652 */   // Label 25471: @1890652
     /* 1890652 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1890741), // Rule ID 14839 //
     /* 1890657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1890668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1890671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1890674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890703 */     // MIs[0] policy
     /* 1890703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1890716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890740 */     // GIR_Coverage, 14839,
     /* 1890740 */     GIR_EraseRootFromParent_Done,
     /* 1890741 */   // Label 25472: @1890741
     /* 1890741 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1890830), // Rule ID 14842 //
     /* 1890746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1890757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1890760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1890763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890792 */     // MIs[0] policy
     /* 1890792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890802 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1890805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890829 */     // GIR_Coverage, 14842,
     /* 1890829 */     GIR_EraseRootFromParent_Done,
     /* 1890830 */   // Label 25473: @1890830
     /* 1890830 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1890919), // Rule ID 14843 //
     /* 1890835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1890846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1890849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1890852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890881 */     // MIs[0] policy
     /* 1890881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1890894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890918 */     // GIR_Coverage, 14843,
     /* 1890918 */     GIR_EraseRootFromParent_Done,
     /* 1890919 */   // Label 25474: @1890919
     /* 1890919 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1891008), // Rule ID 14846 //
     /* 1890924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1890935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1890938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1890941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890970 */     // MIs[0] policy
     /* 1890970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890980 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1890983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891007 */     // GIR_Coverage, 14846,
     /* 1891007 */     GIR_EraseRootFromParent_Done,
     /* 1891008 */   // Label 25475: @1891008
     /* 1891008 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1891097), // Rule ID 14847 //
     /* 1891013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1891024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1891027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1891030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891059 */     // MIs[0] policy
     /* 1891059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891096 */     // GIR_Coverage, 14847,
     /* 1891096 */     GIR_EraseRootFromParent_Done,
     /* 1891097 */   // Label 25476: @1891097
     /* 1891097 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1891186), // Rule ID 14850 //
     /* 1891102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891148 */     // MIs[0] policy
     /* 1891148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891185 */     // GIR_Coverage, 14850,
     /* 1891185 */     GIR_EraseRootFromParent_Done,
     /* 1891186 */   // Label 25477: @1891186
     /* 1891186 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1891275), // Rule ID 14851 //
     /* 1891191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891237 */     // MIs[0] policy
     /* 1891237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891274 */     // GIR_Coverage, 14851,
     /* 1891274 */     GIR_EraseRootFromParent_Done,
     /* 1891275 */   // Label 25478: @1891275
     /* 1891275 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1891364), // Rule ID 14854 //
     /* 1891280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891326 */     // MIs[0] policy
     /* 1891326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891363 */     // GIR_Coverage, 14854,
     /* 1891363 */     GIR_EraseRootFromParent_Done,
     /* 1891364 */   // Label 25479: @1891364
     /* 1891364 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1891453), // Rule ID 14855 //
     /* 1891369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891415 */     // MIs[0] policy
     /* 1891415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891452 */     // GIR_Coverage, 14855,
     /* 1891452 */     GIR_EraseRootFromParent_Done,
     /* 1891453 */   // Label 25480: @1891453
     /* 1891453 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1891542), // Rule ID 14858 //
     /* 1891458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891504 */     // MIs[0] policy
     /* 1891504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891541 */     // GIR_Coverage, 14858,
     /* 1891541 */     GIR_EraseRootFromParent_Done,
     /* 1891542 */   // Label 25481: @1891542
     /* 1891542 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1891631), // Rule ID 14859 //
     /* 1891547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891593 */     // MIs[0] policy
     /* 1891593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891630 */     // GIR_Coverage, 14859,
     /* 1891630 */     GIR_EraseRootFromParent_Done,
     /* 1891631 */   // Label 25482: @1891631
     /* 1891631 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1891720), // Rule ID 14862 //
     /* 1891636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1891647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1891650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1891653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891682 */     // MIs[0] policy
     /* 1891682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1891695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891719 */     // GIR_Coverage, 14862,
     /* 1891719 */     GIR_EraseRootFromParent_Done,
     /* 1891720 */   // Label 25483: @1891720
     /* 1891720 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1891809), // Rule ID 14863 //
     /* 1891725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1891736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1891739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1891742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891771 */     // MIs[0] policy
     /* 1891771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891781 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1891784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891808 */     // GIR_Coverage, 14863,
     /* 1891808 */     GIR_EraseRootFromParent_Done,
     /* 1891809 */   // Label 25484: @1891809
     /* 1891809 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1891898), // Rule ID 14866 //
     /* 1891814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891860 */     // MIs[0] policy
     /* 1891860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1891873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891897 */     // GIR_Coverage, 14866,
     /* 1891897 */     GIR_EraseRootFromParent_Done,
     /* 1891898 */   // Label 25485: @1891898
     /* 1891898 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1891987), // Rule ID 14867 //
     /* 1891903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891949 */     // MIs[0] policy
     /* 1891949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1891962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891986 */     // GIR_Coverage, 14867,
     /* 1891986 */     GIR_EraseRootFromParent_Done,
     /* 1891987 */   // Label 25486: @1891987
     /* 1891987 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1892076), // Rule ID 14870 //
     /* 1891992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892038 */     // MIs[0] policy
     /* 1892038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892075 */     // GIR_Coverage, 14870,
     /* 1892075 */     GIR_EraseRootFromParent_Done,
     /* 1892076 */   // Label 25487: @1892076
     /* 1892076 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1892165), // Rule ID 14871 //
     /* 1892081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892127 */     // MIs[0] policy
     /* 1892127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892164 */     // GIR_Coverage, 14871,
     /* 1892164 */     GIR_EraseRootFromParent_Done,
     /* 1892165 */   // Label 25488: @1892165
     /* 1892165 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1892254), // Rule ID 14874 //
     /* 1892170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1892173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892216 */     // MIs[0] policy
     /* 1892216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892253 */     // GIR_Coverage, 14874,
     /* 1892253 */     GIR_EraseRootFromParent_Done,
     /* 1892254 */   // Label 25489: @1892254
     /* 1892254 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1892343), // Rule ID 14875 //
     /* 1892259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1892262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892305 */     // MIs[0] policy
     /* 1892305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892315 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892342 */     // GIR_Coverage, 14875,
     /* 1892342 */     GIR_EraseRootFromParent_Done,
     /* 1892343 */   // Label 25490: @1892343
     /* 1892343 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1892432), // Rule ID 14878 //
     /* 1892348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1892359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1892362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1892365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892394 */     // MIs[0] policy
     /* 1892394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1892407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892431 */     // GIR_Coverage, 14878,
     /* 1892431 */     GIR_EraseRootFromParent_Done,
     /* 1892432 */   // Label 25491: @1892432
     /* 1892432 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1892521), // Rule ID 14879 //
     /* 1892437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1892448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1892451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1892454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892483 */     // MIs[0] policy
     /* 1892483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1892496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892520 */     // GIR_Coverage, 14879,
     /* 1892520 */     GIR_EraseRootFromParent_Done,
     /* 1892521 */   // Label 25492: @1892521
     /* 1892521 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1892610), // Rule ID 14882 //
     /* 1892526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1892537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1892540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1892543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892572 */     // MIs[0] policy
     /* 1892572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1892585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892609 */     // GIR_Coverage, 14882,
     /* 1892609 */     GIR_EraseRootFromParent_Done,
     /* 1892610 */   // Label 25493: @1892610
     /* 1892610 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1892699), // Rule ID 14883 //
     /* 1892615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1892626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1892629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1892632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892661 */     // MIs[0] policy
     /* 1892661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892671 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1892674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892698 */     // GIR_Coverage, 14883,
     /* 1892698 */     GIR_EraseRootFromParent_Done,
     /* 1892699 */   // Label 25494: @1892699
     /* 1892699 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1892788), // Rule ID 14886 //
     /* 1892704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1892715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1892718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1892721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1892727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892750 */     // MIs[0] policy
     /* 1892750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892760 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1892763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892787 */     // GIR_Coverage, 14886,
     /* 1892787 */     GIR_EraseRootFromParent_Done,
     /* 1892788 */   // Label 25495: @1892788
     /* 1892788 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1892877), // Rule ID 14887 //
     /* 1892793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1892804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1892807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1892810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1892816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892839 */     // MIs[0] policy
     /* 1892839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1892852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892876 */     // GIR_Coverage, 14887,
     /* 1892876 */     GIR_EraseRootFromParent_Done,
     /* 1892877 */   // Label 25496: @1892877
     /* 1892877 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1892966), // Rule ID 14890 //
     /* 1892882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1892893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1892896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1892899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892928 */     // MIs[0] policy
     /* 1892928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1892941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892965 */     // GIR_Coverage, 14890,
     /* 1892965 */     GIR_EraseRootFromParent_Done,
     /* 1892966 */   // Label 25497: @1892966
     /* 1892966 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1893055), // Rule ID 14891 //
     /* 1892971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1892982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1892985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1892988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893017 */     // MIs[0] policy
     /* 1893017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893054 */     // GIR_Coverage, 14891,
     /* 1893054 */     GIR_EraseRootFromParent_Done,
     /* 1893055 */   // Label 25498: @1893055
     /* 1893055 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1893144), // Rule ID 14894 //
     /* 1893060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893106 */     // MIs[0] policy
     /* 1893106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893143 */     // GIR_Coverage, 14894,
     /* 1893143 */     GIR_EraseRootFromParent_Done,
     /* 1893144 */   // Label 25499: @1893144
     /* 1893144 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1893233), // Rule ID 14895 //
     /* 1893149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893195 */     // MIs[0] policy
     /* 1893195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893232 */     // GIR_Coverage, 14895,
     /* 1893232 */     GIR_EraseRootFromParent_Done,
     /* 1893233 */   // Label 25500: @1893233
     /* 1893233 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1893322), // Rule ID 14898 //
     /* 1893238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893284 */     // MIs[0] policy
     /* 1893284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893321 */     // GIR_Coverage, 14898,
     /* 1893321 */     GIR_EraseRootFromParent_Done,
     /* 1893322 */   // Label 25501: @1893322
     /* 1893322 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1893411), // Rule ID 14899 //
     /* 1893327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893373 */     // MIs[0] policy
     /* 1893373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893410 */     // GIR_Coverage, 14899,
     /* 1893410 */     GIR_EraseRootFromParent_Done,
     /* 1893411 */   // Label 25502: @1893411
     /* 1893411 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1893500), // Rule ID 14902 //
     /* 1893416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893462 */     // MIs[0] policy
     /* 1893462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893499 */     // GIR_Coverage, 14902,
     /* 1893499 */     GIR_EraseRootFromParent_Done,
     /* 1893500 */   // Label 25503: @1893500
     /* 1893500 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1893589), // Rule ID 14903 //
     /* 1893505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893551 */     // MIs[0] policy
     /* 1893551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893588 */     // GIR_Coverage, 14903,
     /* 1893588 */     GIR_EraseRootFromParent_Done,
     /* 1893589 */   // Label 25504: @1893589
     /* 1893589 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1893678), // Rule ID 14906 //
     /* 1893594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1893611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893640 */     // MIs[0] policy
     /* 1893640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893677 */     // GIR_Coverage, 14906,
     /* 1893677 */     GIR_EraseRootFromParent_Done,
     /* 1893678 */   // Label 25505: @1893678
     /* 1893678 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1893767), // Rule ID 14907 //
     /* 1893683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1893700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893729 */     // MIs[0] policy
     /* 1893729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893766 */     // GIR_Coverage, 14907,
     /* 1893766 */     GIR_EraseRootFromParent_Done,
     /* 1893767 */   // Label 25506: @1893767
     /* 1893767 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1893856), // Rule ID 14910 //
     /* 1893772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1893789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893818 */     // MIs[0] policy
     /* 1893818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893855 */     // GIR_Coverage, 14910,
     /* 1893855 */     GIR_EraseRootFromParent_Done,
     /* 1893856 */   // Label 25507: @1893856
     /* 1893856 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1893945), // Rule ID 14911 //
     /* 1893861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1893878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893907 */     // MIs[0] policy
     /* 1893907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893917 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893944 */     // GIR_Coverage, 14911,
     /* 1893944 */     GIR_EraseRootFromParent_Done,
     /* 1893945 */   // Label 25508: @1893945
     /* 1893945 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1894034), // Rule ID 14914 //
     /* 1893950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1893953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1893961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1893964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1893967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893996 */     // MIs[0] policy
     /* 1893996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1894009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894033 */     // GIR_Coverage, 14914,
     /* 1894033 */     GIR_EraseRootFromParent_Done,
     /* 1894034 */   // Label 25509: @1894034
     /* 1894034 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1894123), // Rule ID 14915 //
     /* 1894039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894085 */     // MIs[0] policy
     /* 1894085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1894098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894122 */     // GIR_Coverage, 14915,
     /* 1894122 */     GIR_EraseRootFromParent_Done,
     /* 1894123 */   // Label 25510: @1894123
     /* 1894123 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1894212), // Rule ID 14918 //
     /* 1894128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894174 */     // MIs[0] policy
     /* 1894174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894211 */     // GIR_Coverage, 14918,
     /* 1894211 */     GIR_EraseRootFromParent_Done,
     /* 1894212 */   // Label 25511: @1894212
     /* 1894212 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1894301), // Rule ID 14919 //
     /* 1894217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894263 */     // MIs[0] policy
     /* 1894263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894300 */     // GIR_Coverage, 14919,
     /* 1894300 */     GIR_EraseRootFromParent_Done,
     /* 1894301 */   // Label 25512: @1894301
     /* 1894301 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1894390), // Rule ID 14922 //
     /* 1894306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894352 */     // MIs[0] policy
     /* 1894352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894389 */     // GIR_Coverage, 14922,
     /* 1894389 */     GIR_EraseRootFromParent_Done,
     /* 1894390 */   // Label 25513: @1894390
     /* 1894390 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1894479), // Rule ID 14923 //
     /* 1894395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894441 */     // MIs[0] policy
     /* 1894441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894478 */     // GIR_Coverage, 14923,
     /* 1894478 */     GIR_EraseRootFromParent_Done,
     /* 1894479 */   // Label 25514: @1894479
     /* 1894479 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1894565), // Rule ID 19164 //
     /* 1894484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1894504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894530 */     // MIs[0] policy
     /* 1894530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894540 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1894543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894564 */     // GIR_Coverage, 19164,
     /* 1894564 */     GIR_EraseRootFromParent_Done,
     /* 1894565 */   // Label 25515: @1894565
     /* 1894565 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1894651), // Rule ID 19165 //
     /* 1894570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1894590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894616 */     // MIs[0] policy
     /* 1894616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894626 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1894629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894650 */     // GIR_Coverage, 19165,
     /* 1894650 */     GIR_EraseRootFromParent_Done,
     /* 1894651 */   // Label 25516: @1894651
     /* 1894651 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1894737), // Rule ID 19168 //
     /* 1894656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1894673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1894676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894702 */     // MIs[0] policy
     /* 1894702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894712 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1894715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894736 */     // GIR_Coverage, 19168,
     /* 1894736 */     GIR_EraseRootFromParent_Done,
     /* 1894737 */   // Label 25517: @1894737
     /* 1894737 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1894823), // Rule ID 19169 //
     /* 1894742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1894759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1894762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894788 */     // MIs[0] policy
     /* 1894788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894798 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1894801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894822 */     // GIR_Coverage, 19169,
     /* 1894822 */     GIR_EraseRootFromParent_Done,
     /* 1894823 */   // Label 25518: @1894823
     /* 1894823 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1894909), // Rule ID 19172 //
     /* 1894828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1894845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1894848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894874 */     // MIs[0] policy
     /* 1894874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894884 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1894887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894908 */     // GIR_Coverage, 19172,
     /* 1894908 */     GIR_EraseRootFromParent_Done,
     /* 1894909 */   // Label 25519: @1894909
     /* 1894909 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1894995), // Rule ID 19173 //
     /* 1894914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1894931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1894934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894960 */     // MIs[0] policy
     /* 1894960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1894973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894994 */     // GIR_Coverage, 19173,
     /* 1894994 */     GIR_EraseRootFromParent_Done,
     /* 1894995 */   // Label 25520: @1894995
     /* 1894995 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1895081), // Rule ID 19176 //
     /* 1895000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1895020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895046 */     // MIs[0] policy
     /* 1895046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1895059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895080 */     // GIR_Coverage, 19176,
     /* 1895080 */     GIR_EraseRootFromParent_Done,
     /* 1895081 */   // Label 25521: @1895081
     /* 1895081 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1895167), // Rule ID 19177 //
     /* 1895086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1895106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895132 */     // MIs[0] policy
     /* 1895132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895142 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1895145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895166 */     // GIR_Coverage, 19177,
     /* 1895166 */     GIR_EraseRootFromParent_Done,
     /* 1895167 */   // Label 25522: @1895167
     /* 1895167 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1895253), // Rule ID 19180 //
     /* 1895172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1895192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895218 */     // MIs[0] policy
     /* 1895218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1895231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895252 */     // GIR_Coverage, 19180,
     /* 1895252 */     GIR_EraseRootFromParent_Done,
     /* 1895253 */   // Label 25523: @1895253
     /* 1895253 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1895339), // Rule ID 19181 //
     /* 1895258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1895278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895304 */     // MIs[0] policy
     /* 1895304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895314 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1895317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895338 */     // GIR_Coverage, 19181,
     /* 1895338 */     GIR_EraseRootFromParent_Done,
     /* 1895339 */   // Label 25524: @1895339
     /* 1895339 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1895425), // Rule ID 19184 //
     /* 1895344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1895364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895390 */     // MIs[0] policy
     /* 1895390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1895403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895424 */     // GIR_Coverage, 19184,
     /* 1895424 */     GIR_EraseRootFromParent_Done,
     /* 1895425 */   // Label 25525: @1895425
     /* 1895425 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1895511), // Rule ID 19185 //
     /* 1895430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1895450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895476 */     // MIs[0] policy
     /* 1895476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895486 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1895489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895510 */     // GIR_Coverage, 19185,
     /* 1895510 */     GIR_EraseRootFromParent_Done,
     /* 1895511 */   // Label 25526: @1895511
     /* 1895511 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1895597), // Rule ID 19188 //
     /* 1895516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1895536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895562 */     // MIs[0] policy
     /* 1895562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1895575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895596 */     // GIR_Coverage, 19188,
     /* 1895596 */     GIR_EraseRootFromParent_Done,
     /* 1895597 */   // Label 25527: @1895597
     /* 1895597 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1895683), // Rule ID 19189 //
     /* 1895602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1895622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895648 */     // MIs[0] policy
     /* 1895648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1895661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895682 */     // GIR_Coverage, 19189,
     /* 1895682 */     GIR_EraseRootFromParent_Done,
     /* 1895683 */   // Label 25528: @1895683
     /* 1895683 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1895769), // Rule ID 19192 //
     /* 1895688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1895705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1895708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895734 */     // MIs[0] policy
     /* 1895734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895744 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1895747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895768 */     // GIR_Coverage, 19192,
     /* 1895768 */     GIR_EraseRootFromParent_Done,
     /* 1895769 */   // Label 25529: @1895769
     /* 1895769 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1895855), // Rule ID 19193 //
     /* 1895774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1895791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1895794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895820 */     // MIs[0] policy
     /* 1895820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1895833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895854 */     // GIR_Coverage, 19193,
     /* 1895854 */     GIR_EraseRootFromParent_Done,
     /* 1895855 */   // Label 25530: @1895855
     /* 1895855 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1895941), // Rule ID 19196 //
     /* 1895860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1895877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1895880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895906 */     // MIs[0] policy
     /* 1895906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1895919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895940 */     // GIR_Coverage, 19196,
     /* 1895940 */     GIR_EraseRootFromParent_Done,
     /* 1895941 */   // Label 25531: @1895941
     /* 1895941 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1896027), // Rule ID 19197 //
     /* 1895946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1895963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1895966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895992 */     // MIs[0] policy
     /* 1895992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896002 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1896005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896026 */     // GIR_Coverage, 19197,
     /* 1896026 */     GIR_EraseRootFromParent_Done,
     /* 1896027 */   // Label 25532: @1896027
     /* 1896027 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1896113), // Rule ID 19200 //
     /* 1896032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1896052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896078 */     // MIs[0] policy
     /* 1896078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896088 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1896091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896112 */     // GIR_Coverage, 19200,
     /* 1896112 */     GIR_EraseRootFromParent_Done,
     /* 1896113 */   // Label 25533: @1896113
     /* 1896113 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1896199), // Rule ID 19201 //
     /* 1896118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1896138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896164 */     // MIs[0] policy
     /* 1896164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896174 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1896177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896198 */     // GIR_Coverage, 19201,
     /* 1896198 */     GIR_EraseRootFromParent_Done,
     /* 1896199 */   // Label 25534: @1896199
     /* 1896199 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1896285), // Rule ID 19204 //
     /* 1896204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1896224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896250 */     // MIs[0] policy
     /* 1896250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1896263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896284 */     // GIR_Coverage, 19204,
     /* 1896284 */     GIR_EraseRootFromParent_Done,
     /* 1896285 */   // Label 25535: @1896285
     /* 1896285 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1896371), // Rule ID 19205 //
     /* 1896290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1896310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896336 */     // MIs[0] policy
     /* 1896336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896346 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1896349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896370 */     // GIR_Coverage, 19205,
     /* 1896370 */     GIR_EraseRootFromParent_Done,
     /* 1896371 */   // Label 25536: @1896371
     /* 1896371 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1896457), // Rule ID 19208 //
     /* 1896376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1896396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896422 */     // MIs[0] policy
     /* 1896422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1896435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896456 */     // GIR_Coverage, 19208,
     /* 1896456 */     GIR_EraseRootFromParent_Done,
     /* 1896457 */   // Label 25537: @1896457
     /* 1896457 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1896543), // Rule ID 19209 //
     /* 1896462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1896482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896508 */     // MIs[0] policy
     /* 1896508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896518 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1896521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896542 */     // GIR_Coverage, 19209,
     /* 1896542 */     GIR_EraseRootFromParent_Done,
     /* 1896543 */   // Label 25538: @1896543
     /* 1896543 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1896629), // Rule ID 19212 //
     /* 1896548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1896568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896594 */     // MIs[0] policy
     /* 1896594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896604 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1896607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896628 */     // GIR_Coverage, 19212,
     /* 1896628 */     GIR_EraseRootFromParent_Done,
     /* 1896629 */   // Label 25539: @1896629
     /* 1896629 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1896715), // Rule ID 19213 //
     /* 1896634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1896654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896680 */     // MIs[0] policy
     /* 1896680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896690 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1896693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896714 */     // GIR_Coverage, 19213,
     /* 1896714 */     GIR_EraseRootFromParent_Done,
     /* 1896715 */   // Label 25540: @1896715
     /* 1896715 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1896801), // Rule ID 19216 //
     /* 1896720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1896731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1896734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1896737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1896740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896766 */     // MIs[0] policy
     /* 1896766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1896779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896800 */     // GIR_Coverage, 19216,
     /* 1896800 */     GIR_EraseRootFromParent_Done,
     /* 1896801 */   // Label 25541: @1896801
     /* 1896801 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1896887), // Rule ID 19217 //
     /* 1896806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1896817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1896820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1896823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1896826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896852 */     // MIs[0] policy
     /* 1896852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896862 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1896865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896886 */     // GIR_Coverage, 19217,
     /* 1896886 */     GIR_EraseRootFromParent_Done,
     /* 1896887 */   // Label 25542: @1896887
     /* 1896887 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1896973), // Rule ID 19220 //
     /* 1896892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1896903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1896906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1896909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1896912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896938 */     // MIs[0] policy
     /* 1896938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1896951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896972 */     // GIR_Coverage, 19220,
     /* 1896972 */     GIR_EraseRootFromParent_Done,
     /* 1896973 */   // Label 25543: @1896973
     /* 1896973 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1897059), // Rule ID 19221 //
     /* 1896978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1896989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1896992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1896995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1896998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897024 */     // MIs[0] policy
     /* 1897024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897034 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1897037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897058 */     // GIR_Coverage, 19221,
     /* 1897058 */     GIR_EraseRootFromParent_Done,
     /* 1897059 */   // Label 25544: @1897059
     /* 1897059 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1897145), // Rule ID 19224 //
     /* 1897064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897110 */     // MIs[0] policy
     /* 1897110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897120 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1897123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897144 */     // GIR_Coverage, 19224,
     /* 1897144 */     GIR_EraseRootFromParent_Done,
     /* 1897145 */   // Label 25545: @1897145
     /* 1897145 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1897231), // Rule ID 19225 //
     /* 1897150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897196 */     // MIs[0] policy
     /* 1897196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897206 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1897209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897230 */     // GIR_Coverage, 19225,
     /* 1897230 */     GIR_EraseRootFromParent_Done,
     /* 1897231 */   // Label 25546: @1897231
     /* 1897231 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1897317), // Rule ID 19228 //
     /* 1897236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897282 */     // MIs[0] policy
     /* 1897282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897292 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1897295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897316 */     // GIR_Coverage, 19228,
     /* 1897316 */     GIR_EraseRootFromParent_Done,
     /* 1897317 */   // Label 25547: @1897317
     /* 1897317 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1897403), // Rule ID 19229 //
     /* 1897322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897368 */     // MIs[0] policy
     /* 1897368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897378 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1897381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897402 */     // GIR_Coverage, 19229,
     /* 1897402 */     GIR_EraseRootFromParent_Done,
     /* 1897403 */   // Label 25548: @1897403
     /* 1897403 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1897489), // Rule ID 19232 //
     /* 1897408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897454 */     // MIs[0] policy
     /* 1897454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1897467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897488 */     // GIR_Coverage, 19232,
     /* 1897488 */     GIR_EraseRootFromParent_Done,
     /* 1897489 */   // Label 25549: @1897489
     /* 1897489 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1897575), // Rule ID 19233 //
     /* 1897494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897540 */     // MIs[0] policy
     /* 1897540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1897553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897574 */     // GIR_Coverage, 19233,
     /* 1897574 */     GIR_EraseRootFromParent_Done,
     /* 1897575 */   // Label 25550: @1897575
     /* 1897575 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1897661), // Rule ID 19236 //
     /* 1897580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897626 */     // MIs[0] policy
     /* 1897626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1897639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897660 */     // GIR_Coverage, 19236,
     /* 1897660 */     GIR_EraseRootFromParent_Done,
     /* 1897661 */   // Label 25551: @1897661
     /* 1897661 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1897747), // Rule ID 19237 //
     /* 1897666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897712 */     // MIs[0] policy
     /* 1897712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897722 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1897725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897746 */     // GIR_Coverage, 19237,
     /* 1897746 */     GIR_EraseRootFromParent_Done,
     /* 1897747 */   // Label 25552: @1897747
     /* 1897747 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1897833), // Rule ID 19240 //
     /* 1897752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897798 */     // MIs[0] policy
     /* 1897798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1897811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897832 */     // GIR_Coverage, 19240,
     /* 1897832 */     GIR_EraseRootFromParent_Done,
     /* 1897833 */   // Label 25553: @1897833
     /* 1897833 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1897919), // Rule ID 19241 //
     /* 1897838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897884 */     // MIs[0] policy
     /* 1897884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897894 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1897897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897918 */     // GIR_Coverage, 19241,
     /* 1897918 */     GIR_EraseRootFromParent_Done,
     /* 1897919 */   // Label 25554: @1897919
     /* 1897919 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1898005), // Rule ID 19244 //
     /* 1897924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1897935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1897938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1897941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897970 */     // MIs[0] policy
     /* 1897970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897980 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1897983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898004 */     // GIR_Coverage, 19244,
     /* 1898004 */     GIR_EraseRootFromParent_Done,
     /* 1898005 */   // Label 25555: @1898005
     /* 1898005 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1898091), // Rule ID 19245 //
     /* 1898010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898056 */     // MIs[0] policy
     /* 1898056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898066 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1898069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898090 */     // GIR_Coverage, 19245,
     /* 1898090 */     GIR_EraseRootFromParent_Done,
     /* 1898091 */   // Label 25556: @1898091
     /* 1898091 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1898177), // Rule ID 19248 //
     /* 1898096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898142 */     // MIs[0] policy
     /* 1898142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898152 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1898155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898176 */     // GIR_Coverage, 19248,
     /* 1898176 */     GIR_EraseRootFromParent_Done,
     /* 1898177 */   // Label 25557: @1898177
     /* 1898177 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1898263), // Rule ID 19249 //
     /* 1898182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898228 */     // MIs[0] policy
     /* 1898228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898238 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1898241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898262 */     // GIR_Coverage, 19249,
     /* 1898262 */     GIR_EraseRootFromParent_Done,
     /* 1898263 */   // Label 25558: @1898263
     /* 1898263 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1898349), // Rule ID 19252 //
     /* 1898268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898314 */     // MIs[0] policy
     /* 1898314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898324 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1898327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898348 */     // GIR_Coverage, 19252,
     /* 1898348 */     GIR_EraseRootFromParent_Done,
     /* 1898349 */   // Label 25559: @1898349
     /* 1898349 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1898435), // Rule ID 19253 //
     /* 1898354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898400 */     // MIs[0] policy
     /* 1898400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898410 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1898413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898434 */     // GIR_Coverage, 19253,
     /* 1898434 */     GIR_EraseRootFromParent_Done,
     /* 1898435 */   // Label 25560: @1898435
     /* 1898435 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1898521), // Rule ID 19256 //
     /* 1898440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898486 */     // MIs[0] policy
     /* 1898486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898496 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1898499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898520 */     // GIR_Coverage, 19256,
     /* 1898520 */     GIR_EraseRootFromParent_Done,
     /* 1898521 */   // Label 25561: @1898521
     /* 1898521 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1898607), // Rule ID 19257 //
     /* 1898526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898572 */     // MIs[0] policy
     /* 1898572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1898585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898606 */     // GIR_Coverage, 19257,
     /* 1898606 */     GIR_EraseRootFromParent_Done,
     /* 1898607 */   // Label 25562: @1898607
     /* 1898607 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1898693), // Rule ID 19260 //
     /* 1898612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898658 */     // MIs[0] policy
     /* 1898658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1898671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898692 */     // GIR_Coverage, 19260,
     /* 1898692 */     GIR_EraseRootFromParent_Done,
     /* 1898693 */   // Label 25563: @1898693
     /* 1898693 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1898779), // Rule ID 19261 //
     /* 1898698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898744 */     // MIs[0] policy
     /* 1898744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898754 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1898757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898778 */     // GIR_Coverage, 19261,
     /* 1898778 */     GIR_EraseRootFromParent_Done,
     /* 1898779 */   // Label 25564: @1898779
     /* 1898779 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1898865), // Rule ID 19264 //
     /* 1898784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898830 */     // MIs[0] policy
     /* 1898830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1898843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898864 */     // GIR_Coverage, 19264,
     /* 1898864 */     GIR_EraseRootFromParent_Done,
     /* 1898865 */   // Label 25565: @1898865
     /* 1898865 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1898951), // Rule ID 19265 //
     /* 1898870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898916 */     // MIs[0] policy
     /* 1898916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898926 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1898929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898950 */     // GIR_Coverage, 19265,
     /* 1898950 */     GIR_EraseRootFromParent_Done,
     /* 1898951 */   // Label 25566: @1898951
     /* 1898951 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1899037), // Rule ID 19268 //
     /* 1898956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1898967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1898970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899002 */     // MIs[0] policy
     /* 1899002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899012 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1899015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899036 */     // GIR_Coverage, 19268,
     /* 1899036 */     GIR_EraseRootFromParent_Done,
     /* 1899037 */   // Label 25567: @1899037
     /* 1899037 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1899123), // Rule ID 19269 //
     /* 1899042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899088 */     // MIs[0] policy
     /* 1899088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1899101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899122 */     // GIR_Coverage, 19269,
     /* 1899122 */     GIR_EraseRootFromParent_Done,
     /* 1899123 */   // Label 25568: @1899123
     /* 1899123 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1899209), // Rule ID 19272 //
     /* 1899128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899174 */     // MIs[0] policy
     /* 1899174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899184 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1899187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899208 */     // GIR_Coverage, 19272,
     /* 1899208 */     GIR_EraseRootFromParent_Done,
     /* 1899209 */   // Label 25569: @1899209
     /* 1899209 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1899295), // Rule ID 19273 //
     /* 1899214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899260 */     // MIs[0] policy
     /* 1899260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1899273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899294 */     // GIR_Coverage, 19273,
     /* 1899294 */     GIR_EraseRootFromParent_Done,
     /* 1899295 */   // Label 25570: @1899295
     /* 1899295 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1899381), // Rule ID 19276 //
     /* 1899300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899346 */     // MIs[0] policy
     /* 1899346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1899359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899380 */     // GIR_Coverage, 19276,
     /* 1899380 */     GIR_EraseRootFromParent_Done,
     /* 1899381 */   // Label 25571: @1899381
     /* 1899381 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1899467), // Rule ID 19277 //
     /* 1899386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899432 */     // MIs[0] policy
     /* 1899432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899442 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1899445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899466 */     // GIR_Coverage, 19277,
     /* 1899466 */     GIR_EraseRootFromParent_Done,
     /* 1899467 */   // Label 25572: @1899467
     /* 1899467 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1899553), // Rule ID 19280 //
     /* 1899472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899518 */     // MIs[0] policy
     /* 1899518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1899531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899552 */     // GIR_Coverage, 19280,
     /* 1899552 */     GIR_EraseRootFromParent_Done,
     /* 1899553 */   // Label 25573: @1899553
     /* 1899553 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1899639), // Rule ID 19281 //
     /* 1899558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899604 */     // MIs[0] policy
     /* 1899604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899614 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1899617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899638 */     // GIR_Coverage, 19281,
     /* 1899638 */     GIR_EraseRootFromParent_Done,
     /* 1899639 */   // Label 25574: @1899639
     /* 1899639 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1899725), // Rule ID 19284 //
     /* 1899644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1899664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899690 */     // MIs[0] policy
     /* 1899690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899700 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1899703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899724 */     // GIR_Coverage, 19284,
     /* 1899724 */     GIR_EraseRootFromParent_Done,
     /* 1899725 */   // Label 25575: @1899725
     /* 1899725 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1899811), // Rule ID 19285 //
     /* 1899730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1899750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899776 */     // MIs[0] policy
     /* 1899776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899786 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1899789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899810 */     // GIR_Coverage, 19285,
     /* 1899810 */     GIR_EraseRootFromParent_Done,
     /* 1899811 */   // Label 25576: @1899811
     /* 1899811 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1899897), // Rule ID 19288 //
     /* 1899816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899862 */     // MIs[0] policy
     /* 1899862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899872 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1899875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899896 */     // GIR_Coverage, 19288,
     /* 1899896 */     GIR_EraseRootFromParent_Done,
     /* 1899897 */   // Label 25577: @1899897
     /* 1899897 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1899983), // Rule ID 19289 //
     /* 1899902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899948 */     // MIs[0] policy
     /* 1899948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899958 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1899961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899982 */     // GIR_Coverage, 19289,
     /* 1899982 */     GIR_EraseRootFromParent_Done,
     /* 1899983 */   // Label 25578: @1899983
     /* 1899983 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1900069), // Rule ID 19292 //
     /* 1899988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1899999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1900008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900034 */     // MIs[0] policy
     /* 1900034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900044 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1900047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900068 */     // GIR_Coverage, 19292,
     /* 1900068 */     GIR_EraseRootFromParent_Done,
     /* 1900069 */   // Label 25579: @1900069
     /* 1900069 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1900155), // Rule ID 19293 //
     /* 1900074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1900094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900120 */     // MIs[0] policy
     /* 1900120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900130 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1900133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900154 */     // GIR_Coverage, 19293,
     /* 1900154 */     GIR_EraseRootFromParent_Done,
     /* 1900155 */   // Label 25580: @1900155
     /* 1900155 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1900241), // Rule ID 19296 //
     /* 1900160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900206 */     // MIs[0] policy
     /* 1900206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1900219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900240 */     // GIR_Coverage, 19296,
     /* 1900240 */     GIR_EraseRootFromParent_Done,
     /* 1900241 */   // Label 25581: @1900241
     /* 1900241 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1900327), // Rule ID 19297 //
     /* 1900246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900292 */     // MIs[0] policy
     /* 1900292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1900305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900326 */     // GIR_Coverage, 19297,
     /* 1900326 */     GIR_EraseRootFromParent_Done,
     /* 1900327 */   // Label 25582: @1900327
     /* 1900327 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1900413), // Rule ID 19300 //
     /* 1900332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900378 */     // MIs[0] policy
     /* 1900378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1900391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900412 */     // GIR_Coverage, 19300,
     /* 1900412 */     GIR_EraseRootFromParent_Done,
     /* 1900413 */   // Label 25583: @1900413
     /* 1900413 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1900499), // Rule ID 19301 //
     /* 1900418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900464 */     // MIs[0] policy
     /* 1900464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900474 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1900477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900498 */     // GIR_Coverage, 19301,
     /* 1900498 */     GIR_EraseRootFromParent_Done,
     /* 1900499 */   // Label 25584: @1900499
     /* 1900499 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1900585), // Rule ID 19304 //
     /* 1900504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900550 */     // MIs[0] policy
     /* 1900550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1900563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900584 */     // GIR_Coverage, 19304,
     /* 1900584 */     GIR_EraseRootFromParent_Done,
     /* 1900585 */   // Label 25585: @1900585
     /* 1900585 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1900671), // Rule ID 19305 //
     /* 1900590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900636 */     // MIs[0] policy
     /* 1900636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900646 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1900649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900670 */     // GIR_Coverage, 19305,
     /* 1900670 */     GIR_EraseRootFromParent_Done,
     /* 1900671 */   // Label 25586: @1900671
     /* 1900671 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1900757), // Rule ID 19308 //
     /* 1900676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1900696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900722 */     // MIs[0] policy
     /* 1900722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900732 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1900735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900756 */     // GIR_Coverage, 19308,
     /* 1900756 */     GIR_EraseRootFromParent_Done,
     /* 1900757 */   // Label 25587: @1900757
     /* 1900757 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1900843), // Rule ID 19309 //
     /* 1900762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1900782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900808 */     // MIs[0] policy
     /* 1900808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900818 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1900821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900842 */     // GIR_Coverage, 19309,
     /* 1900842 */     GIR_EraseRootFromParent_Done,
     /* 1900843 */   // Label 25588: @1900843
     /* 1900843 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1900929), // Rule ID 19312 //
     /* 1900848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1900868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900894 */     // MIs[0] policy
     /* 1900894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900904 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1900907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900928 */     // GIR_Coverage, 19312,
     /* 1900928 */     GIR_EraseRootFromParent_Done,
     /* 1900929 */   // Label 25589: @1900929
     /* 1900929 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1901015), // Rule ID 19313 //
     /* 1900934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1900954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900980 */     // MIs[0] policy
     /* 1900980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900990 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1900993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901014 */     // GIR_Coverage, 19313,
     /* 1901014 */     GIR_EraseRootFromParent_Done,
     /* 1901015 */   // Label 25590: @1901015
     /* 1901015 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1901101), // Rule ID 19316 //
     /* 1901020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1901040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901066 */     // MIs[0] policy
     /* 1901066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901076 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1901079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901100 */     // GIR_Coverage, 19316,
     /* 1901100 */     GIR_EraseRootFromParent_Done,
     /* 1901101 */   // Label 25591: @1901101
     /* 1901101 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1901187), // Rule ID 19317 //
     /* 1901106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1901126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901152 */     // MIs[0] policy
     /* 1901152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901162 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1901165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901186 */     // GIR_Coverage, 19317,
     /* 1901186 */     GIR_EraseRootFromParent_Done,
     /* 1901187 */   // Label 25592: @1901187
     /* 1901187 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1901273), // Rule ID 19320 //
     /* 1901192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1901212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901238 */     // MIs[0] policy
     /* 1901238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1901251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901272 */     // GIR_Coverage, 19320,
     /* 1901272 */     GIR_EraseRootFromParent_Done,
     /* 1901273 */   // Label 25593: @1901273
     /* 1901273 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1901359), // Rule ID 19321 //
     /* 1901278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1901298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901324 */     // MIs[0] policy
     /* 1901324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901334 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1901337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901358 */     // GIR_Coverage, 19321,
     /* 1901358 */     GIR_EraseRootFromParent_Done,
     /* 1901359 */   // Label 25594: @1901359
     /* 1901359 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1901445), // Rule ID 19324 //
     /* 1901364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1901384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901410 */     // MIs[0] policy
     /* 1901410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901420 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1901423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901444 */     // GIR_Coverage, 19324,
     /* 1901444 */     GIR_EraseRootFromParent_Done,
     /* 1901445 */   // Label 25595: @1901445
     /* 1901445 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1901531), // Rule ID 19325 //
     /* 1901450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1901470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901496 */     // MIs[0] policy
     /* 1901496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901506 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1901509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901530 */     // GIR_Coverage, 19325,
     /* 1901530 */     GIR_EraseRootFromParent_Done,
     /* 1901531 */   // Label 25596: @1901531
     /* 1901531 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1901617), // Rule ID 19328 //
     /* 1901536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1901556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901582 */     // MIs[0] policy
     /* 1901582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901592 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1901595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901616 */     // GIR_Coverage, 19328,
     /* 1901616 */     GIR_EraseRootFromParent_Done,
     /* 1901617 */   // Label 25597: @1901617
     /* 1901617 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1901703), // Rule ID 19329 //
     /* 1901622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1901642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901668 */     // MIs[0] policy
     /* 1901668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901678 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1901681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901702 */     // GIR_Coverage, 19329,
     /* 1901702 */     GIR_EraseRootFromParent_Done,
     /* 1901703 */   // Label 25598: @1901703
     /* 1901703 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1901789), // Rule ID 19332 //
     /* 1901708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1901728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901754 */     // MIs[0] policy
     /* 1901754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901764 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1901767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901788 */     // GIR_Coverage, 19332,
     /* 1901788 */     GIR_EraseRootFromParent_Done,
     /* 1901789 */   // Label 25599: @1901789
     /* 1901789 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1901875), // Rule ID 19333 //
     /* 1901794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1901814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901840 */     // MIs[0] policy
     /* 1901840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1901853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901874 */     // GIR_Coverage, 19333,
     /* 1901874 */     GIR_EraseRootFromParent_Done,
     /* 1901875 */   // Label 25600: @1901875
     /* 1901875 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1901961), // Rule ID 19336 //
     /* 1901880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1901900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901926 */     // MIs[0] policy
     /* 1901926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1901939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901960 */     // GIR_Coverage, 19336,
     /* 1901960 */     GIR_EraseRootFromParent_Done,
     /* 1901961 */   // Label 25601: @1901961
     /* 1901961 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1902047), // Rule ID 19337 //
     /* 1901966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1901986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902012 */     // MIs[0] policy
     /* 1902012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1902025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902046 */     // GIR_Coverage, 19337,
     /* 1902046 */     GIR_EraseRootFromParent_Done,
     /* 1902047 */   // Label 25602: @1902047
     /* 1902047 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1902133), // Rule ID 19340 //
     /* 1902052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1902072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902098 */     // MIs[0] policy
     /* 1902098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1902111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902132 */     // GIR_Coverage, 19340,
     /* 1902132 */     GIR_EraseRootFromParent_Done,
     /* 1902133 */   // Label 25603: @1902133
     /* 1902133 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1902219), // Rule ID 19341 //
     /* 1902138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1902158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902184 */     // MIs[0] policy
     /* 1902184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902194 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1902197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902218 */     // GIR_Coverage, 19341,
     /* 1902218 */     GIR_EraseRootFromParent_Done,
     /* 1902219 */   // Label 25604: @1902219
     /* 1902219 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1902305), // Rule ID 19344 //
     /* 1902224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902270 */     // MIs[0] policy
     /* 1902270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902280 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1902283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902304 */     // GIR_Coverage, 19344,
     /* 1902304 */     GIR_EraseRootFromParent_Done,
     /* 1902305 */   // Label 25605: @1902305
     /* 1902305 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1902391), // Rule ID 19345 //
     /* 1902310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902356 */     // MIs[0] policy
     /* 1902356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902366 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1902369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902390 */     // GIR_Coverage, 19345,
     /* 1902390 */     GIR_EraseRootFromParent_Done,
     /* 1902391 */   // Label 25606: @1902391
     /* 1902391 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1902477), // Rule ID 19348 //
     /* 1902396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902442 */     // MIs[0] policy
     /* 1902442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902452 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1902455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902476 */     // GIR_Coverage, 19348,
     /* 1902476 */     GIR_EraseRootFromParent_Done,
     /* 1902477 */   // Label 25607: @1902477
     /* 1902477 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1902563), // Rule ID 19349 //
     /* 1902482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902528 */     // MIs[0] policy
     /* 1902528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902538 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1902541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902562 */     // GIR_Coverage, 19349,
     /* 1902562 */     GIR_EraseRootFromParent_Done,
     /* 1902563 */   // Label 25608: @1902563
     /* 1902563 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1902649), // Rule ID 19352 //
     /* 1902568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902614 */     // MIs[0] policy
     /* 1902614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902624 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1902627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902648 */     // GIR_Coverage, 19352,
     /* 1902648 */     GIR_EraseRootFromParent_Done,
     /* 1902649 */   // Label 25609: @1902649
     /* 1902649 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1902735), // Rule ID 19353 //
     /* 1902654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902700 */     // MIs[0] policy
     /* 1902700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902710 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1902713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902734 */     // GIR_Coverage, 19353,
     /* 1902734 */     GIR_EraseRootFromParent_Done,
     /* 1902735 */   // Label 25610: @1902735
     /* 1902735 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1902821), // Rule ID 19356 //
     /* 1902740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902786 */     // MIs[0] policy
     /* 1902786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1902799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902820 */     // GIR_Coverage, 19356,
     /* 1902820 */     GIR_EraseRootFromParent_Done,
     /* 1902821 */   // Label 25611: @1902821
     /* 1902821 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1902907), // Rule ID 19357 //
     /* 1902826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902872 */     // MIs[0] policy
     /* 1902872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1902885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902906 */     // GIR_Coverage, 19357,
     /* 1902906 */     GIR_EraseRootFromParent_Done,
     /* 1902907 */   // Label 25612: @1902907
     /* 1902907 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1902993), // Rule ID 19360 //
     /* 1902912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902958 */     // MIs[0] policy
     /* 1902958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1902971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902992 */     // GIR_Coverage, 19360,
     /* 1902992 */     GIR_EraseRootFromParent_Done,
     /* 1902993 */   // Label 25613: @1902993
     /* 1902993 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1903079), // Rule ID 19361 //
     /* 1902998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903044 */     // MIs[0] policy
     /* 1903044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903054 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1903057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903078 */     // GIR_Coverage, 19361,
     /* 1903078 */     GIR_EraseRootFromParent_Done,
     /* 1903079 */   // Label 25614: @1903079
     /* 1903079 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1903165), // Rule ID 19364 //
     /* 1903084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903130 */     // MIs[0] policy
     /* 1903130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903140 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1903143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903164 */     // GIR_Coverage, 19364,
     /* 1903164 */     GIR_EraseRootFromParent_Done,
     /* 1903165 */   // Label 25615: @1903165
     /* 1903165 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1903251), // Rule ID 19365 //
     /* 1903170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903216 */     // MIs[0] policy
     /* 1903216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1903229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903250 */     // GIR_Coverage, 19365,
     /* 1903250 */     GIR_EraseRootFromParent_Done,
     /* 1903251 */   // Label 25616: @1903251
     /* 1903251 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1903337), // Rule ID 19368 //
     /* 1903256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903302 */     // MIs[0] policy
     /* 1903302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903312 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1903315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903336 */     // GIR_Coverage, 19368,
     /* 1903336 */     GIR_EraseRootFromParent_Done,
     /* 1903337 */   // Label 25617: @1903337
     /* 1903337 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1903423), // Rule ID 19369 //
     /* 1903342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903388 */     // MIs[0] policy
     /* 1903388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903398 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1903401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903422 */     // GIR_Coverage, 19369,
     /* 1903422 */     GIR_EraseRootFromParent_Done,
     /* 1903423 */   // Label 25618: @1903423
     /* 1903423 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1903509), // Rule ID 19372 //
     /* 1903428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903474 */     // MIs[0] policy
     /* 1903474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903484 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1903487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903508 */     // GIR_Coverage, 19372,
     /* 1903508 */     GIR_EraseRootFromParent_Done,
     /* 1903509 */   // Label 25619: @1903509
     /* 1903509 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1903595), // Rule ID 19373 //
     /* 1903514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903560 */     // MIs[0] policy
     /* 1903560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903570 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1903573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903594 */     // GIR_Coverage, 19373,
     /* 1903594 */     GIR_EraseRootFromParent_Done,
     /* 1903595 */   // Label 25620: @1903595
     /* 1903595 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1903681), // Rule ID 19376 //
     /* 1903600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903646 */     // MIs[0] policy
     /* 1903646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903656 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1903659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903680 */     // GIR_Coverage, 19376,
     /* 1903680 */     GIR_EraseRootFromParent_Done,
     /* 1903681 */   // Label 25621: @1903681
     /* 1903681 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1903767), // Rule ID 19377 //
     /* 1903686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903732 */     // MIs[0] policy
     /* 1903732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1903745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903766 */     // GIR_Coverage, 19377,
     /* 1903766 */     GIR_EraseRootFromParent_Done,
     /* 1903767 */   // Label 25622: @1903767
     /* 1903767 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1903853), // Rule ID 19380 //
     /* 1903772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903818 */     // MIs[0] policy
     /* 1903818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903828 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1903831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903852 */     // GIR_Coverage, 19380,
     /* 1903852 */     GIR_EraseRootFromParent_Done,
     /* 1903853 */   // Label 25623: @1903853
     /* 1903853 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1903939), // Rule ID 19381 //
     /* 1903858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903904 */     // MIs[0] policy
     /* 1903904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903914 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1903917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903938 */     // GIR_Coverage, 19381,
     /* 1903938 */     GIR_EraseRootFromParent_Done,
     /* 1903939 */   // Label 25624: @1903939
     /* 1903939 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1904025), // Rule ID 19384 //
     /* 1903944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1903955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1903958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903990 */     // MIs[0] policy
     /* 1903990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1904003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904024 */     // GIR_Coverage, 19384,
     /* 1904024 */     GIR_EraseRootFromParent_Done,
     /* 1904025 */   // Label 25625: @1904025
     /* 1904025 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1904111), // Rule ID 19385 //
     /* 1904030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904076 */     // MIs[0] policy
     /* 1904076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904086 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1904089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904110 */     // GIR_Coverage, 19385,
     /* 1904110 */     GIR_EraseRootFromParent_Done,
     /* 1904111 */   // Label 25626: @1904111
     /* 1904111 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1904197), // Rule ID 19388 //
     /* 1904116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904162 */     // MIs[0] policy
     /* 1904162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1904175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904196 */     // GIR_Coverage, 19388,
     /* 1904196 */     GIR_EraseRootFromParent_Done,
     /* 1904197 */   // Label 25627: @1904197
     /* 1904197 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1904283), // Rule ID 19389 //
     /* 1904202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904248 */     // MIs[0] policy
     /* 1904248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904258 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1904261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904282 */     // GIR_Coverage, 19389,
     /* 1904282 */     GIR_EraseRootFromParent_Done,
     /* 1904283 */   // Label 25628: @1904283
     /* 1904283 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1904369), // Rule ID 19392 //
     /* 1904288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904334 */     // MIs[0] policy
     /* 1904334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1904347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904368 */     // GIR_Coverage, 19392,
     /* 1904368 */     GIR_EraseRootFromParent_Done,
     /* 1904369 */   // Label 25629: @1904369
     /* 1904369 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1904455), // Rule ID 19393 //
     /* 1904374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904420 */     // MIs[0] policy
     /* 1904420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1904433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904454 */     // GIR_Coverage, 19393,
     /* 1904454 */     GIR_EraseRootFromParent_Done,
     /* 1904455 */   // Label 25630: @1904455
     /* 1904455 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1904541), // Rule ID 19396 //
     /* 1904460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904506 */     // MIs[0] policy
     /* 1904506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904516 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1904519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904540 */     // GIR_Coverage, 19396,
     /* 1904540 */     GIR_EraseRootFromParent_Done,
     /* 1904541 */   // Label 25631: @1904541
     /* 1904541 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1904627), // Rule ID 19397 //
     /* 1904546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904592 */     // MIs[0] policy
     /* 1904592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1904605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904626 */     // GIR_Coverage, 19397,
     /* 1904626 */     GIR_EraseRootFromParent_Done,
     /* 1904627 */   // Label 25632: @1904627
     /* 1904627 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1904713), // Rule ID 19400 //
     /* 1904632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904678 */     // MIs[0] policy
     /* 1904678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1904691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904712 */     // GIR_Coverage, 19400,
     /* 1904712 */     GIR_EraseRootFromParent_Done,
     /* 1904713 */   // Label 25633: @1904713
     /* 1904713 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1904799), // Rule ID 19401 //
     /* 1904718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904764 */     // MIs[0] policy
     /* 1904764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904774 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1904777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904798 */     // GIR_Coverage, 19401,
     /* 1904798 */     GIR_EraseRootFromParent_Done,
     /* 1904799 */   // Label 25634: @1904799
     /* 1904799 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1904885), // Rule ID 19404 //
     /* 1904804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904850 */     // MIs[0] policy
     /* 1904850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904860 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1904863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904884 */     // GIR_Coverage, 19404,
     /* 1904884 */     GIR_EraseRootFromParent_Done,
     /* 1904885 */   // Label 25635: @1904885
     /* 1904885 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1904971), // Rule ID 19405 //
     /* 1904890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904936 */     // MIs[0] policy
     /* 1904936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904946 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1904949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904970 */     // GIR_Coverage, 19405,
     /* 1904970 */     GIR_EraseRootFromParent_Done,
     /* 1904971 */   // Label 25636: @1904971
     /* 1904971 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1905057), // Rule ID 19408 //
     /* 1904976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1904996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905022 */     // MIs[0] policy
     /* 1905022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905032 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1905035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905056 */     // GIR_Coverage, 19408,
     /* 1905056 */     GIR_EraseRootFromParent_Done,
     /* 1905057 */   // Label 25637: @1905057
     /* 1905057 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1905143), // Rule ID 19409 //
     /* 1905062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1905082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905108 */     // MIs[0] policy
     /* 1905108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905118 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1905121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905142 */     // GIR_Coverage, 19409,
     /* 1905142 */     GIR_EraseRootFromParent_Done,
     /* 1905143 */   // Label 25638: @1905143
     /* 1905143 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1905229), // Rule ID 19412 //
     /* 1905148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1905168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905194 */     // MIs[0] policy
     /* 1905194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905204 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1905207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905228 */     // GIR_Coverage, 19412,
     /* 1905228 */     GIR_EraseRootFromParent_Done,
     /* 1905229 */   // Label 25639: @1905229
     /* 1905229 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1905315), // Rule ID 19413 //
     /* 1905234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1905254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905280 */     // MIs[0] policy
     /* 1905280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1905293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905314 */     // GIR_Coverage, 19413,
     /* 1905314 */     GIR_EraseRootFromParent_Done,
     /* 1905315 */   // Label 25640: @1905315
     /* 1905315 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1905401), // Rule ID 19416 //
     /* 1905320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905366 */     // MIs[0] policy
     /* 1905366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1905379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905400 */     // GIR_Coverage, 19416,
     /* 1905400 */     GIR_EraseRootFromParent_Done,
     /* 1905401 */   // Label 25641: @1905401
     /* 1905401 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1905487), // Rule ID 19417 //
     /* 1905406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905452 */     // MIs[0] policy
     /* 1905452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905462 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1905465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905486 */     // GIR_Coverage, 19417,
     /* 1905486 */     GIR_EraseRootFromParent_Done,
     /* 1905487 */   // Label 25642: @1905487
     /* 1905487 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1905573), // Rule ID 19420 //
     /* 1905492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905538 */     // MIs[0] policy
     /* 1905538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1905551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905572 */     // GIR_Coverage, 19420,
     /* 1905572 */     GIR_EraseRootFromParent_Done,
     /* 1905573 */   // Label 25643: @1905573
     /* 1905573 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1905659), // Rule ID 19421 //
     /* 1905578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905624 */     // MIs[0] policy
     /* 1905624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1905637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905658 */     // GIR_Coverage, 19421,
     /* 1905658 */     GIR_EraseRootFromParent_Done,
     /* 1905659 */   // Label 25644: @1905659
     /* 1905659 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1905745), // Rule ID 19424 //
     /* 1905664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905710 */     // MIs[0] policy
     /* 1905710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1905723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905744 */     // GIR_Coverage, 19424,
     /* 1905744 */     GIR_EraseRootFromParent_Done,
     /* 1905745 */   // Label 25645: @1905745
     /* 1905745 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1905831), // Rule ID 19425 //
     /* 1905750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905796 */     // MIs[0] policy
     /* 1905796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905806 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1905809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905830 */     // GIR_Coverage, 19425,
     /* 1905830 */     GIR_EraseRootFromParent_Done,
     /* 1905831 */   // Label 25646: @1905831
     /* 1905831 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1905917), // Rule ID 19428 //
     /* 1905836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1905856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905882 */     // MIs[0] policy
     /* 1905882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905892 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1905895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905916 */     // GIR_Coverage, 19428,
     /* 1905916 */     GIR_EraseRootFromParent_Done,
     /* 1905917 */   // Label 25647: @1905917
     /* 1905917 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1906003), // Rule ID 19429 //
     /* 1905922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1905942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905968 */     // MIs[0] policy
     /* 1905968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905978 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1905981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906002 */     // GIR_Coverage, 19429,
     /* 1906002 */     GIR_EraseRootFromParent_Done,
     /* 1906003 */   // Label 25648: @1906003
     /* 1906003 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1906089), // Rule ID 19432 //
     /* 1906008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906054 */     // MIs[0] policy
     /* 1906054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906064 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1906067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906088 */     // GIR_Coverage, 19432,
     /* 1906088 */     GIR_EraseRootFromParent_Done,
     /* 1906089 */   // Label 25649: @1906089
     /* 1906089 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1906175), // Rule ID 19433 //
     /* 1906094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906140 */     // MIs[0] policy
     /* 1906140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906150 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1906153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906174 */     // GIR_Coverage, 19433,
     /* 1906174 */     GIR_EraseRootFromParent_Done,
     /* 1906175 */   // Label 25650: @1906175
     /* 1906175 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1906261), // Rule ID 19436 //
     /* 1906180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1906200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906226 */     // MIs[0] policy
     /* 1906226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1906239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906260 */     // GIR_Coverage, 19436,
     /* 1906260 */     GIR_EraseRootFromParent_Done,
     /* 1906261 */   // Label 25651: @1906261
     /* 1906261 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1906347), // Rule ID 19437 //
     /* 1906266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1906286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906312 */     // MIs[0] policy
     /* 1906312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906322 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1906325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906346 */     // GIR_Coverage, 19437,
     /* 1906346 */     GIR_EraseRootFromParent_Done,
     /* 1906347 */   // Label 25652: @1906347
     /* 1906347 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1906433), // Rule ID 19440 //
     /* 1906352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1906372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906398 */     // MIs[0] policy
     /* 1906398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906408 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1906411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906432 */     // GIR_Coverage, 19440,
     /* 1906432 */     GIR_EraseRootFromParent_Done,
     /* 1906433 */   // Label 25653: @1906433
     /* 1906433 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1906519), // Rule ID 19441 //
     /* 1906438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1906458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906484 */     // MIs[0] policy
     /* 1906484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906494 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1906497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906518 */     // GIR_Coverage, 19441,
     /* 1906518 */     GIR_EraseRootFromParent_Done,
     /* 1906519 */   // Label 25654: @1906519
     /* 1906519 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1906605), // Rule ID 19444 //
     /* 1906524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1906544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906570 */     // MIs[0] policy
     /* 1906570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906580 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1906583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906604 */     // GIR_Coverage, 19444,
     /* 1906604 */     GIR_EraseRootFromParent_Done,
     /* 1906605 */   // Label 25655: @1906605
     /* 1906605 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1906691), // Rule ID 19445 //
     /* 1906610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1906630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906656 */     // MIs[0] policy
     /* 1906656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906666 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1906669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906690 */     // GIR_Coverage, 19445,
     /* 1906690 */     GIR_EraseRootFromParent_Done,
     /* 1906691 */   // Label 25656: @1906691
     /* 1906691 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1906777), // Rule ID 19448 //
     /* 1906696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1906716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906742 */     // MIs[0] policy
     /* 1906742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1906755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906776 */     // GIR_Coverage, 19448,
     /* 1906776 */     GIR_EraseRootFromParent_Done,
     /* 1906777 */   // Label 25657: @1906777
     /* 1906777 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1906863), // Rule ID 19449 //
     /* 1906782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1906802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906828 */     // MIs[0] policy
     /* 1906828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906838 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1906841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906862 */     // GIR_Coverage, 19449,
     /* 1906862 */     GIR_EraseRootFromParent_Done,
     /* 1906863 */   // Label 25658: @1906863
     /* 1906863 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1906949), // Rule ID 19452 //
     /* 1906868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1906888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906914 */     // MIs[0] policy
     /* 1906914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906924 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1906927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906948 */     // GIR_Coverage, 19452,
     /* 1906948 */     GIR_EraseRootFromParent_Done,
     /* 1906949 */   // Label 25659: @1906949
     /* 1906949 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1907035), // Rule ID 19453 //
     /* 1906954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1906974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907000 */     // MIs[0] policy
     /* 1907000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907010 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1907013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907034 */     // GIR_Coverage, 19453,
     /* 1907034 */     GIR_EraseRootFromParent_Done,
     /* 1907035 */   // Label 25660: @1907035
     /* 1907035 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1907121), // Rule ID 19456 //
     /* 1907040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1907060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907086 */     // MIs[0] policy
     /* 1907086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1907099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907120 */     // GIR_Coverage, 19456,
     /* 1907120 */     GIR_EraseRootFromParent_Done,
     /* 1907121 */   // Label 25661: @1907121
     /* 1907121 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1907207), // Rule ID 19457 //
     /* 1907126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1907146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907172 */     // MIs[0] policy
     /* 1907172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907182 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1907185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907206 */     // GIR_Coverage, 19457,
     /* 1907206 */     GIR_EraseRootFromParent_Done,
     /* 1907207 */   // Label 25662: @1907207
     /* 1907207 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1907293), // Rule ID 19460 //
     /* 1907212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1907232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907258 */     // MIs[0] policy
     /* 1907258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907268 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1907271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907292 */     // GIR_Coverage, 19460,
     /* 1907292 */     GIR_EraseRootFromParent_Done,
     /* 1907293 */   // Label 25663: @1907293
     /* 1907293 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1907379), // Rule ID 19461 //
     /* 1907298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1907318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907344 */     // MIs[0] policy
     /* 1907344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907354 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1907357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907378 */     // GIR_Coverage, 19461,
     /* 1907378 */     GIR_EraseRootFromParent_Done,
     /* 1907379 */   // Label 25664: @1907379
     /* 1907379 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1907465), // Rule ID 19464 //
     /* 1907384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907430 */     // MIs[0] policy
     /* 1907430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1907443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907464 */     // GIR_Coverage, 19464,
     /* 1907464 */     GIR_EraseRootFromParent_Done,
     /* 1907465 */   // Label 25665: @1907465
     /* 1907465 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1907551), // Rule ID 19465 //
     /* 1907470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907516 */     // MIs[0] policy
     /* 1907516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907526 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1907529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907550 */     // GIR_Coverage, 19465,
     /* 1907550 */     GIR_EraseRootFromParent_Done,
     /* 1907551 */   // Label 25666: @1907551
     /* 1907551 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1907637), // Rule ID 19468 //
     /* 1907556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907602 */     // MIs[0] policy
     /* 1907602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907612 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1907615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907636 */     // GIR_Coverage, 19468,
     /* 1907636 */     GIR_EraseRootFromParent_Done,
     /* 1907637 */   // Label 25667: @1907637
     /* 1907637 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1907723), // Rule ID 19469 //
     /* 1907642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907688 */     // MIs[0] policy
     /* 1907688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907698 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1907701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907722 */     // GIR_Coverage, 19469,
     /* 1907722 */     GIR_EraseRootFromParent_Done,
     /* 1907723 */   // Label 25668: @1907723
     /* 1907723 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1907809), // Rule ID 19472 //
     /* 1907728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907774 */     // MIs[0] policy
     /* 1907774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907784 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1907787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907808 */     // GIR_Coverage, 19472,
     /* 1907808 */     GIR_EraseRootFromParent_Done,
     /* 1907809 */   // Label 25669: @1907809
     /* 1907809 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1907895), // Rule ID 19473 //
     /* 1907814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907860 */     // MIs[0] policy
     /* 1907860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907870 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1907873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907894 */     // GIR_Coverage, 19473,
     /* 1907894 */     GIR_EraseRootFromParent_Done,
     /* 1907895 */   // Label 25670: @1907895
     /* 1907895 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1907981), // Rule ID 19476 //
     /* 1907900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907946 */     // MIs[0] policy
     /* 1907946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1907959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907980 */     // GIR_Coverage, 19476,
     /* 1907980 */     GIR_EraseRootFromParent_Done,
     /* 1907981 */   // Label 25671: @1907981
     /* 1907981 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1908067), // Rule ID 19477 //
     /* 1907986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908032 */     // MIs[0] policy
     /* 1908032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908042 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1908045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908066 */     // GIR_Coverage, 19477,
     /* 1908066 */     GIR_EraseRootFromParent_Done,
     /* 1908067 */   // Label 25672: @1908067
     /* 1908067 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1908153), // Rule ID 19480 //
     /* 1908072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908118 */     // MIs[0] policy
     /* 1908118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1908131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908152 */     // GIR_Coverage, 19480,
     /* 1908152 */     GIR_EraseRootFromParent_Done,
     /* 1908153 */   // Label 25673: @1908153
     /* 1908153 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1908239), // Rule ID 19481 //
     /* 1908158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908204 */     // MIs[0] policy
     /* 1908204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908214 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1908217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908238 */     // GIR_Coverage, 19481,
     /* 1908238 */     GIR_EraseRootFromParent_Done,
     /* 1908239 */   // Label 25674: @1908239
     /* 1908239 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1908325), // Rule ID 19484 //
     /* 1908244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908290 */     // MIs[0] policy
     /* 1908290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1908303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908324 */     // GIR_Coverage, 19484,
     /* 1908324 */     GIR_EraseRootFromParent_Done,
     /* 1908325 */   // Label 25675: @1908325
     /* 1908325 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1908411), // Rule ID 19485 //
     /* 1908330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908376 */     // MIs[0] policy
     /* 1908376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1908389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908410 */     // GIR_Coverage, 19485,
     /* 1908410 */     GIR_EraseRootFromParent_Done,
     /* 1908411 */   // Label 25676: @1908411
     /* 1908411 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1908497), // Rule ID 19488 //
     /* 1908416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908462 */     // MIs[0] policy
     /* 1908462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908472 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1908475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908496 */     // GIR_Coverage, 19488,
     /* 1908496 */     GIR_EraseRootFromParent_Done,
     /* 1908497 */   // Label 25677: @1908497
     /* 1908497 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1908583), // Rule ID 19489 //
     /* 1908502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908548 */     // MIs[0] policy
     /* 1908548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1908561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908582 */     // GIR_Coverage, 19489,
     /* 1908582 */     GIR_EraseRootFromParent_Done,
     /* 1908583 */   // Label 25678: @1908583
     /* 1908583 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1908669), // Rule ID 19492 //
     /* 1908588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908634 */     // MIs[0] policy
     /* 1908634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908644 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1908647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908668 */     // GIR_Coverage, 19492,
     /* 1908668 */     GIR_EraseRootFromParent_Done,
     /* 1908669 */   // Label 25679: @1908669
     /* 1908669 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1908755), // Rule ID 19493 //
     /* 1908674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908720 */     // MIs[0] policy
     /* 1908720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908730 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1908733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908754 */     // GIR_Coverage, 19493,
     /* 1908754 */     GIR_EraseRootFromParent_Done,
     /* 1908755 */   // Label 25680: @1908755
     /* 1908755 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1908841), // Rule ID 19496 //
     /* 1908760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908806 */     // MIs[0] policy
     /* 1908806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908816 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1908819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908840 */     // GIR_Coverage, 19496,
     /* 1908840 */     GIR_EraseRootFromParent_Done,
     /* 1908841 */   // Label 25681: @1908841
     /* 1908841 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1908927), // Rule ID 19497 //
     /* 1908846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908892 */     // MIs[0] policy
     /* 1908892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1908905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908926 */     // GIR_Coverage, 19497,
     /* 1908926 */     GIR_EraseRootFromParent_Done,
     /* 1908927 */   // Label 25682: @1908927
     /* 1908927 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1909013), // Rule ID 19500 //
     /* 1908932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1908943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1908946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1908949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908978 */     // MIs[0] policy
     /* 1908978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1908991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909012 */     // GIR_Coverage, 19500,
     /* 1909012 */     GIR_EraseRootFromParent_Done,
     /* 1909013 */   // Label 25683: @1909013
     /* 1909013 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1909099), // Rule ID 19501 //
     /* 1909018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909064 */     // MIs[0] policy
     /* 1909064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909074 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1909077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909098 */     // GIR_Coverage, 19501,
     /* 1909098 */     GIR_EraseRootFromParent_Done,
     /* 1909099 */   // Label 25684: @1909099
     /* 1909099 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1909185), // Rule ID 19504 //
     /* 1909104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909150 */     // MIs[0] policy
     /* 1909150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1909163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909184 */     // GIR_Coverage, 19504,
     /* 1909184 */     GIR_EraseRootFromParent_Done,
     /* 1909185 */   // Label 25685: @1909185
     /* 1909185 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1909271), // Rule ID 19505 //
     /* 1909190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909236 */     // MIs[0] policy
     /* 1909236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909246 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1909249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909270 */     // GIR_Coverage, 19505,
     /* 1909270 */     GIR_EraseRootFromParent_Done,
     /* 1909271 */   // Label 25686: @1909271
     /* 1909271 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1909357), // Rule ID 19508 //
     /* 1909276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909322 */     // MIs[0] policy
     /* 1909322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1909335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909356 */     // GIR_Coverage, 19508,
     /* 1909356 */     GIR_EraseRootFromParent_Done,
     /* 1909357 */   // Label 25687: @1909357
     /* 1909357 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1909443), // Rule ID 19509 //
     /* 1909362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909408 */     // MIs[0] policy
     /* 1909408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909418 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1909421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909442 */     // GIR_Coverage, 19509,
     /* 1909442 */     GIR_EraseRootFromParent_Done,
     /* 1909443 */   // Label 25688: @1909443
     /* 1909443 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1909529), // Rule ID 19512 //
     /* 1909448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909494 */     // MIs[0] policy
     /* 1909494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1909507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909528 */     // GIR_Coverage, 19512,
     /* 1909528 */     GIR_EraseRootFromParent_Done,
     /* 1909529 */   // Label 25689: @1909529
     /* 1909529 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1909615), // Rule ID 19513 //
     /* 1909534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909580 */     // MIs[0] policy
     /* 1909580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909590 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1909593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909614 */     // GIR_Coverage, 19513,
     /* 1909614 */     GIR_EraseRootFromParent_Done,
     /* 1909615 */   // Label 25690: @1909615
     /* 1909615 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1909701), // Rule ID 19516 //
     /* 1909620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909666 */     // MIs[0] policy
     /* 1909666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909676 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1909679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909700 */     // GIR_Coverage, 19516,
     /* 1909700 */     GIR_EraseRootFromParent_Done,
     /* 1909701 */   // Label 25691: @1909701
     /* 1909701 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1909787), // Rule ID 19517 //
     /* 1909706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909752 */     // MIs[0] policy
     /* 1909752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1909765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909786 */     // GIR_Coverage, 19517,
     /* 1909786 */     GIR_EraseRootFromParent_Done,
     /* 1909787 */   // Label 25692: @1909787
     /* 1909787 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1909873), // Rule ID 19520 //
     /* 1909792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909838 */     // MIs[0] policy
     /* 1909838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909848 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1909851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909872 */     // GIR_Coverage, 19520,
     /* 1909872 */     GIR_EraseRootFromParent_Done,
     /* 1909873 */   // Label 25693: @1909873
     /* 1909873 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1909959), // Rule ID 19521 //
     /* 1909878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909924 */     // MIs[0] policy
     /* 1909924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909934 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1909937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909958 */     // GIR_Coverage, 19521,
     /* 1909958 */     GIR_EraseRootFromParent_Done,
     /* 1909959 */   // Label 25694: @1909959
     /* 1909959 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1910045), // Rule ID 19524 //
     /* 1909964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1909984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910010 */     // MIs[0] policy
     /* 1910010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910020 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1910023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910044 */     // GIR_Coverage, 19524,
     /* 1910044 */     GIR_EraseRootFromParent_Done,
     /* 1910045 */   // Label 25695: @1910045
     /* 1910045 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1910131), // Rule ID 19525 //
     /* 1910050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1910067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1910070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910096 */     // MIs[0] policy
     /* 1910096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910106 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1910109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910130 */     // GIR_Coverage, 19525,
     /* 1910130 */     GIR_EraseRootFromParent_Done,
     /* 1910131 */   // Label 25696: @1910131
     /* 1910131 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1910217), // Rule ID 19528 //
     /* 1910136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1910156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910182 */     // MIs[0] policy
     /* 1910182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1910195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910216 */     // GIR_Coverage, 19528,
     /* 1910216 */     GIR_EraseRootFromParent_Done,
     /* 1910217 */   // Label 25697: @1910217
     /* 1910217 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1910303), // Rule ID 19529 //
     /* 1910222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1910242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910268 */     // MIs[0] policy
     /* 1910268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1910281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910302 */     // GIR_Coverage, 19529,
     /* 1910302 */     GIR_EraseRootFromParent_Done,
     /* 1910303 */   // Label 25698: @1910303
     /* 1910303 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1910389), // Rule ID 19532 //
     /* 1910308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1910328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910354 */     // MIs[0] policy
     /* 1910354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910364 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1910367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910388 */     // GIR_Coverage, 19532,
     /* 1910388 */     GIR_EraseRootFromParent_Done,
     /* 1910389 */   // Label 25699: @1910389
     /* 1910389 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1910475), // Rule ID 19533 //
     /* 1910394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1910414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910440 */     // MIs[0] policy
     /* 1910440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910450 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1910453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910474 */     // GIR_Coverage, 19533,
     /* 1910474 */     GIR_EraseRootFromParent_Done,
     /* 1910475 */   // Label 25700: @1910475
     /* 1910475 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1910561), // Rule ID 19536 //
     /* 1910480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1910500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910526 */     // MIs[0] policy
     /* 1910526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1910539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910560 */     // GIR_Coverage, 19536,
     /* 1910560 */     GIR_EraseRootFromParent_Done,
     /* 1910561 */   // Label 25701: @1910561
     /* 1910561 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1910647), // Rule ID 19537 //
     /* 1910566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1910586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910612 */     // MIs[0] policy
     /* 1910612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1910625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910646 */     // GIR_Coverage, 19537,
     /* 1910646 */     GIR_EraseRootFromParent_Done,
     /* 1910647 */   // Label 25702: @1910647
     /* 1910647 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1910733), // Rule ID 19540 //
     /* 1910652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1910672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910698 */     // MIs[0] policy
     /* 1910698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1910711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910732 */     // GIR_Coverage, 19540,
     /* 1910732 */     GIR_EraseRootFromParent_Done,
     /* 1910733 */   // Label 25703: @1910733
     /* 1910733 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1910819), // Rule ID 19541 //
     /* 1910738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1910758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910784 */     // MIs[0] policy
     /* 1910784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1910797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910818 */     // GIR_Coverage, 19541,
     /* 1910818 */     GIR_EraseRootFromParent_Done,
     /* 1910819 */   // Label 25704: @1910819
     /* 1910819 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1910905), // Rule ID 19544 //
     /* 1910824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1910844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910870 */     // MIs[0] policy
     /* 1910870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1910883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910904 */     // GIR_Coverage, 19544,
     /* 1910904 */     GIR_EraseRootFromParent_Done,
     /* 1910905 */   // Label 25705: @1910905
     /* 1910905 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1910991), // Rule ID 19545 //
     /* 1910910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1910930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910956 */     // MIs[0] policy
     /* 1910956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1910969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910990 */     // GIR_Coverage, 19545,
     /* 1910990 */     GIR_EraseRootFromParent_Done,
     /* 1910991 */   // Label 25706: @1910991
     /* 1910991 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1911077), // Rule ID 19548 //
     /* 1910996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1911016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911042 */     // MIs[0] policy
     /* 1911042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1911055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911076 */     // GIR_Coverage, 19548,
     /* 1911076 */     GIR_EraseRootFromParent_Done,
     /* 1911077 */   // Label 25707: @1911077
     /* 1911077 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1911163), // Rule ID 19549 //
     /* 1911082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1911102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911128 */     // MIs[0] policy
     /* 1911128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911138 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1911141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911162 */     // GIR_Coverage, 19549,
     /* 1911162 */     GIR_EraseRootFromParent_Done,
     /* 1911163 */   // Label 25708: @1911163
     /* 1911163 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1911249), // Rule ID 19552 //
     /* 1911168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1911188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911214 */     // MIs[0] policy
     /* 1911214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911224 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1911227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911248 */     // GIR_Coverage, 19552,
     /* 1911248 */     GIR_EraseRootFromParent_Done,
     /* 1911249 */   // Label 25709: @1911249
     /* 1911249 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1911335), // Rule ID 19553 //
     /* 1911254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1911274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911300 */     // MIs[0] policy
     /* 1911300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911310 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1911313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911334 */     // GIR_Coverage, 19553,
     /* 1911334 */     GIR_EraseRootFromParent_Done,
     /* 1911335 */   // Label 25710: @1911335
     /* 1911335 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1911421), // Rule ID 19556 //
     /* 1911340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1911360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911386 */     // MIs[0] policy
     /* 1911386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911396 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1911399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911420 */     // GIR_Coverage, 19556,
     /* 1911420 */     GIR_EraseRootFromParent_Done,
     /* 1911421 */   // Label 25711: @1911421
     /* 1911421 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1911507), // Rule ID 19557 //
     /* 1911426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1911446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911472 */     // MIs[0] policy
     /* 1911472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911482 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1911485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911506 */     // GIR_Coverage, 19557,
     /* 1911506 */     GIR_EraseRootFromParent_Done,
     /* 1911507 */   // Label 25712: @1911507
     /* 1911507 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1911593), // Rule ID 19560 //
     /* 1911512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1911532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911558 */     // MIs[0] policy
     /* 1911558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911568 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1911571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911592 */     // GIR_Coverage, 19560,
     /* 1911592 */     GIR_EraseRootFromParent_Done,
     /* 1911593 */   // Label 25713: @1911593
     /* 1911593 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1911679), // Rule ID 19561 //
     /* 1911598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1911618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911644 */     // MIs[0] policy
     /* 1911644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911654 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1911657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911678 */     // GIR_Coverage, 19561,
     /* 1911678 */     GIR_EraseRootFromParent_Done,
     /* 1911679 */   // Label 25714: @1911679
     /* 1911679 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1911765), // Rule ID 19564 //
     /* 1911684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1911704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911730 */     // MIs[0] policy
     /* 1911730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1911743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911764 */     // GIR_Coverage, 19564,
     /* 1911764 */     GIR_EraseRootFromParent_Done,
     /* 1911765 */   // Label 25715: @1911765
     /* 1911765 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1911851), // Rule ID 19565 //
     /* 1911770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1911790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911816 */     // MIs[0] policy
     /* 1911816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911826 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1911829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911850 */     // GIR_Coverage, 19565,
     /* 1911850 */     GIR_EraseRootFromParent_Done,
     /* 1911851 */   // Label 25716: @1911851
     /* 1911851 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1911937), // Rule ID 19568 //
     /* 1911856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1911876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911902 */     // MIs[0] policy
     /* 1911902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911912 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1911915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911936 */     // GIR_Coverage, 19568,
     /* 1911936 */     GIR_EraseRootFromParent_Done,
     /* 1911937 */   // Label 25717: @1911937
     /* 1911937 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1912023), // Rule ID 19569 //
     /* 1911942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1911962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911988 */     // MIs[0] policy
     /* 1911988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1912001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912022 */     // GIR_Coverage, 19569,
     /* 1912022 */     GIR_EraseRootFromParent_Done,
     /* 1912023 */   // Label 25718: @1912023
     /* 1912023 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1912109), // Rule ID 19572 //
     /* 1912028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1912048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912074 */     // MIs[0] policy
     /* 1912074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1912087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912108 */     // GIR_Coverage, 19572,
     /* 1912108 */     GIR_EraseRootFromParent_Done,
     /* 1912109 */   // Label 25719: @1912109
     /* 1912109 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1912195), // Rule ID 19573 //
     /* 1912114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1912134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912160 */     // MIs[0] policy
     /* 1912160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1912173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912194 */     // GIR_Coverage, 19573,
     /* 1912194 */     GIR_EraseRootFromParent_Done,
     /* 1912195 */   // Label 25720: @1912195
     /* 1912195 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1912281), // Rule ID 19576 //
     /* 1912200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1912220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912246 */     // MIs[0] policy
     /* 1912246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1912259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912280 */     // GIR_Coverage, 19576,
     /* 1912280 */     GIR_EraseRootFromParent_Done,
     /* 1912281 */   // Label 25721: @1912281
     /* 1912281 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1912367), // Rule ID 19577 //
     /* 1912286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1912306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912332 */     // MIs[0] policy
     /* 1912332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912342 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1912345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912366 */     // GIR_Coverage, 19577,
     /* 1912366 */     GIR_EraseRootFromParent_Done,
     /* 1912367 */   // Label 25722: @1912367
     /* 1912367 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1912453), // Rule ID 19580 //
     /* 1912372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1912392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912418 */     // MIs[0] policy
     /* 1912418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912428 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1912431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912452 */     // GIR_Coverage, 19580,
     /* 1912452 */     GIR_EraseRootFromParent_Done,
     /* 1912453 */   // Label 25723: @1912453
     /* 1912453 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1912539), // Rule ID 19581 //
     /* 1912458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1912478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912504 */     // MIs[0] policy
     /* 1912504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912514 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1912517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912538 */     // GIR_Coverage, 19581,
     /* 1912538 */     GIR_EraseRootFromParent_Done,
     /* 1912539 */   // Label 25724: @1912539
     /* 1912539 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1912625), // Rule ID 19584 //
     /* 1912544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912590 */     // MIs[0] policy
     /* 1912590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1912603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912624 */     // GIR_Coverage, 19584,
     /* 1912624 */     GIR_EraseRootFromParent_Done,
     /* 1912625 */   // Label 25725: @1912625
     /* 1912625 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1912711), // Rule ID 19585 //
     /* 1912630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912676 */     // MIs[0] policy
     /* 1912676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912686 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1912689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912710 */     // GIR_Coverage, 19585,
     /* 1912710 */     GIR_EraseRootFromParent_Done,
     /* 1912711 */   // Label 25726: @1912711
     /* 1912711 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1912797), // Rule ID 19588 //
     /* 1912716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912762 */     // MIs[0] policy
     /* 1912762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1912775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912796 */     // GIR_Coverage, 19588,
     /* 1912796 */     GIR_EraseRootFromParent_Done,
     /* 1912797 */   // Label 25727: @1912797
     /* 1912797 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1912883), // Rule ID 19589 //
     /* 1912802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912848 */     // MIs[0] policy
     /* 1912848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912858 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1912861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912882 */     // GIR_Coverage, 19589,
     /* 1912882 */     GIR_EraseRootFromParent_Done,
     /* 1912883 */   // Label 25728: @1912883
     /* 1912883 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1912969), // Rule ID 19592 //
     /* 1912888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912934 */     // MIs[0] policy
     /* 1912934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912944 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1912947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912968 */     // GIR_Coverage, 19592,
     /* 1912968 */     GIR_EraseRootFromParent_Done,
     /* 1912969 */   // Label 25729: @1912969
     /* 1912969 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1913055), // Rule ID 19593 //
     /* 1912974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913020 */     // MIs[0] policy
     /* 1913020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1913033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913054 */     // GIR_Coverage, 19593,
     /* 1913054 */     GIR_EraseRootFromParent_Done,
     /* 1913055 */   // Label 25730: @1913055
     /* 1913055 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1913141), // Rule ID 19596 //
     /* 1913060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913106 */     // MIs[0] policy
     /* 1913106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913116 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1913119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913140 */     // GIR_Coverage, 19596,
     /* 1913140 */     GIR_EraseRootFromParent_Done,
     /* 1913141 */   // Label 25731: @1913141
     /* 1913141 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1913227), // Rule ID 19597 //
     /* 1913146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913192 */     // MIs[0] policy
     /* 1913192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913202 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1913205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913226 */     // GIR_Coverage, 19597,
     /* 1913226 */     GIR_EraseRootFromParent_Done,
     /* 1913227 */   // Label 25732: @1913227
     /* 1913227 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1913313), // Rule ID 19600 //
     /* 1913232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913278 */     // MIs[0] policy
     /* 1913278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1913291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913312 */     // GIR_Coverage, 19600,
     /* 1913312 */     GIR_EraseRootFromParent_Done,
     /* 1913313 */   // Label 25733: @1913313
     /* 1913313 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1913399), // Rule ID 19601 //
     /* 1913318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913364 */     // MIs[0] policy
     /* 1913364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913374 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1913377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913398 */     // GIR_Coverage, 19601,
     /* 1913398 */     GIR_EraseRootFromParent_Done,
     /* 1913399 */   // Label 25734: @1913399
     /* 1913399 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1913485), // Rule ID 19604 //
     /* 1913404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913450 */     // MIs[0] policy
     /* 1913450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913460 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1913463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913484 */     // GIR_Coverage, 19604,
     /* 1913484 */     GIR_EraseRootFromParent_Done,
     /* 1913485 */   // Label 25735: @1913485
     /* 1913485 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1913571), // Rule ID 19605 //
     /* 1913490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913536 */     // MIs[0] policy
     /* 1913536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913546 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1913549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913570 */     // GIR_Coverage, 19605,
     /* 1913570 */     GIR_EraseRootFromParent_Done,
     /* 1913571 */   // Label 25736: @1913571
     /* 1913571 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1913657), // Rule ID 19608 //
     /* 1913576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913622 */     // MIs[0] policy
     /* 1913622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1913635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913656 */     // GIR_Coverage, 19608,
     /* 1913656 */     GIR_EraseRootFromParent_Done,
     /* 1913657 */   // Label 25737: @1913657
     /* 1913657 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1913743), // Rule ID 19609 //
     /* 1913662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913708 */     // MIs[0] policy
     /* 1913708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913718 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1913721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913742 */     // GIR_Coverage, 19609,
     /* 1913742 */     GIR_EraseRootFromParent_Done,
     /* 1913743 */   // Label 25738: @1913743
     /* 1913743 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1913829), // Rule ID 19612 //
     /* 1913748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913794 */     // MIs[0] policy
     /* 1913794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913804 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1913807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913828 */     // GIR_Coverage, 19612,
     /* 1913828 */     GIR_EraseRootFromParent_Done,
     /* 1913829 */   // Label 25739: @1913829
     /* 1913829 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1913915), // Rule ID 19613 //
     /* 1913834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913880 */     // MIs[0] policy
     /* 1913880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1913893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913914 */     // GIR_Coverage, 19613,
     /* 1913914 */     GIR_EraseRootFromParent_Done,
     /* 1913915 */   // Label 25740: @1913915
     /* 1913915 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1914001), // Rule ID 19616 //
     /* 1913920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1913931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1913934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1913937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913966 */     // MIs[0] policy
     /* 1913966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1913979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914000 */     // GIR_Coverage, 19616,
     /* 1914000 */     GIR_EraseRootFromParent_Done,
     /* 1914001 */   // Label 25741: @1914001
     /* 1914001 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1914087), // Rule ID 19617 //
     /* 1914006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914052 */     // MIs[0] policy
     /* 1914052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1914065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914086 */     // GIR_Coverage, 19617,
     /* 1914086 */     GIR_EraseRootFromParent_Done,
     /* 1914087 */   // Label 25742: @1914087
     /* 1914087 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1914173), // Rule ID 19620 //
     /* 1914092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914138 */     // MIs[0] policy
     /* 1914138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1914151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914172 */     // GIR_Coverage, 19620,
     /* 1914172 */     GIR_EraseRootFromParent_Done,
     /* 1914173 */   // Label 25743: @1914173
     /* 1914173 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1914259), // Rule ID 19621 //
     /* 1914178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914224 */     // MIs[0] policy
     /* 1914224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914234 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1914237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914258 */     // GIR_Coverage, 19621,
     /* 1914258 */     GIR_EraseRootFromParent_Done,
     /* 1914259 */   // Label 25744: @1914259
     /* 1914259 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1914345), // Rule ID 19624 //
     /* 1914264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914310 */     // MIs[0] policy
     /* 1914310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1914323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914344 */     // GIR_Coverage, 19624,
     /* 1914344 */     GIR_EraseRootFromParent_Done,
     /* 1914345 */   // Label 25745: @1914345
     /* 1914345 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1914431), // Rule ID 19625 //
     /* 1914350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914396 */     // MIs[0] policy
     /* 1914396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1914409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914430 */     // GIR_Coverage, 19625,
     /* 1914430 */     GIR_EraseRootFromParent_Done,
     /* 1914431 */   // Label 25746: @1914431
     /* 1914431 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1914517), // Rule ID 19628 //
     /* 1914436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914482 */     // MIs[0] policy
     /* 1914482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1914495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914516 */     // GIR_Coverage, 19628,
     /* 1914516 */     GIR_EraseRootFromParent_Done,
     /* 1914517 */   // Label 25747: @1914517
     /* 1914517 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1914603), // Rule ID 19629 //
     /* 1914522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914568 */     // MIs[0] policy
     /* 1914568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1914581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914602 */     // GIR_Coverage, 19629,
     /* 1914602 */     GIR_EraseRootFromParent_Done,
     /* 1914603 */   // Label 25748: @1914603
     /* 1914603 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1914689), // Rule ID 19632 //
     /* 1914608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914654 */     // MIs[0] policy
     /* 1914654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1914667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914688 */     // GIR_Coverage, 19632,
     /* 1914688 */     GIR_EraseRootFromParent_Done,
     /* 1914689 */   // Label 25749: @1914689
     /* 1914689 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1914775), // Rule ID 19633 //
     /* 1914694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1914697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914740 */     // MIs[0] policy
     /* 1914740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914750 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1914753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914774 */     // GIR_Coverage, 19633,
     /* 1914774 */     GIR_EraseRootFromParent_Done,
     /* 1914775 */   // Label 25750: @1914775
     /* 1914775 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1914861), // Rule ID 19636 //
     /* 1914780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914826 */     // MIs[0] policy
     /* 1914826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1914839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914860 */     // GIR_Coverage, 19636,
     /* 1914860 */     GIR_EraseRootFromParent_Done,
     /* 1914861 */   // Label 25751: @1914861
     /* 1914861 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1914947), // Rule ID 19637 //
     /* 1914866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1914869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914912 */     // MIs[0] policy
     /* 1914912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914922 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1914925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914946 */     // GIR_Coverage, 19637,
     /* 1914946 */     GIR_EraseRootFromParent_Done,
     /* 1914947 */   // Label 25752: @1914947
     /* 1914947 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1915033), // Rule ID 19640 //
     /* 1914952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1914963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1914966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1914969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914998 */     // MIs[0] policy
     /* 1914998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1915011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915032 */     // GIR_Coverage, 19640,
     /* 1915032 */     GIR_EraseRootFromParent_Done,
     /* 1915033 */   // Label 25753: @1915033
     /* 1915033 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1915119), // Rule ID 19641 //
     /* 1915038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915084 */     // MIs[0] policy
     /* 1915084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915094 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1915097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915118 */     // GIR_Coverage, 19641,
     /* 1915118 */     GIR_EraseRootFromParent_Done,
     /* 1915119 */   // Label 25754: @1915119
     /* 1915119 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1915205), // Rule ID 19644 //
     /* 1915124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1915144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915170 */     // MIs[0] policy
     /* 1915170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915180 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1915183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915204 */     // GIR_Coverage, 19644,
     /* 1915204 */     GIR_EraseRootFromParent_Done,
     /* 1915205 */   // Label 25755: @1915205
     /* 1915205 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1915291), // Rule ID 19645 //
     /* 1915210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1915230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915256 */     // MIs[0] policy
     /* 1915256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915266 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1915269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915290 */     // GIR_Coverage, 19645,
     /* 1915290 */     GIR_EraseRootFromParent_Done,
     /* 1915291 */   // Label 25756: @1915291
     /* 1915291 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1915377), // Rule ID 19648 //
     /* 1915296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1915316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915342 */     // MIs[0] policy
     /* 1915342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1915355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915376 */     // GIR_Coverage, 19648,
     /* 1915376 */     GIR_EraseRootFromParent_Done,
     /* 1915377 */   // Label 25757: @1915377
     /* 1915377 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1915463), // Rule ID 19649 //
     /* 1915382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1915402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915428 */     // MIs[0] policy
     /* 1915428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915438 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1915441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915462 */     // GIR_Coverage, 19649,
     /* 1915462 */     GIR_EraseRootFromParent_Done,
     /* 1915463 */   // Label 25758: @1915463
     /* 1915463 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1915549), // Rule ID 19652 //
     /* 1915468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1915471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1915479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1915482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1915485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1915488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915514 */     // MIs[0] policy
     /* 1915514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915524 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1915527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915548 */     // GIR_Coverage, 19652,
     /* 1915548 */     GIR_EraseRootFromParent_Done,
     /* 1915549 */   // Label 25759: @1915549
     /* 1915549 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1915635), // Rule ID 19653 //
     /* 1915554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1915557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1915565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1915568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1915571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1915574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915600 */     // MIs[0] policy
     /* 1915600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1915613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915634 */     // GIR_Coverage, 19653,
     /* 1915634 */     GIR_EraseRootFromParent_Done,
     /* 1915635 */   // Label 25760: @1915635
     /* 1915635 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1915721), // Rule ID 19656 //
     /* 1915640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1915660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915686 */     // MIs[0] policy
     /* 1915686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915696 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1915699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915720 */     // GIR_Coverage, 19656,
     /* 1915720 */     GIR_EraseRootFromParent_Done,
     /* 1915721 */   // Label 25761: @1915721
     /* 1915721 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1915807), // Rule ID 19657 //
     /* 1915726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1915746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915772 */     // MIs[0] policy
     /* 1915772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915782 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1915785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915806 */     // GIR_Coverage, 19657,
     /* 1915806 */     GIR_EraseRootFromParent_Done,
     /* 1915807 */   // Label 25762: @1915807
     /* 1915807 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1915893), // Rule ID 19660 //
     /* 1915812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1915815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1915832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915858 */     // MIs[0] policy
     /* 1915858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1915871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915892 */     // GIR_Coverage, 19660,
     /* 1915892 */     GIR_EraseRootFromParent_Done,
     /* 1915893 */   // Label 25763: @1915893
     /* 1915893 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1915979), // Rule ID 19661 //
     /* 1915898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1915901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1915918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915944 */     // MIs[0] policy
     /* 1915944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915954 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1915957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915978 */     // GIR_Coverage, 19661,
     /* 1915978 */     GIR_EraseRootFromParent_Done,
     /* 1915979 */   // Label 25764: @1915979
     /* 1915979 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1916065), // Rule ID 19664 //
     /* 1915984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1916004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916030 */     // MIs[0] policy
     /* 1916030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1916043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916064 */     // GIR_Coverage, 19664,
     /* 1916064 */     GIR_EraseRootFromParent_Done,
     /* 1916065 */   // Label 25765: @1916065
     /* 1916065 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1916151), // Rule ID 19665 //
     /* 1916070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1916073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1916090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916116 */     // MIs[0] policy
     /* 1916116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916126 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1916129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916150 */     // GIR_Coverage, 19665,
     /* 1916150 */     GIR_EraseRootFromParent_Done,
     /* 1916151 */   // Label 25766: @1916151
     /* 1916151 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1916237), // Rule ID 19668 //
     /* 1916156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916202 */     // MIs[0] policy
     /* 1916202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1916215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916236 */     // GIR_Coverage, 19668,
     /* 1916236 */     GIR_EraseRootFromParent_Done,
     /* 1916237 */   // Label 25767: @1916237
     /* 1916237 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1916323), // Rule ID 19669 //
     /* 1916242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916288 */     // MIs[0] policy
     /* 1916288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916298 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1916301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916322 */     // GIR_Coverage, 19669,
     /* 1916322 */     GIR_EraseRootFromParent_Done,
     /* 1916323 */   // Label 25768: @1916323
     /* 1916323 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1916409), // Rule ID 19672 //
     /* 1916328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916374 */     // MIs[0] policy
     /* 1916374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916384 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1916387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916408 */     // GIR_Coverage, 19672,
     /* 1916408 */     GIR_EraseRootFromParent_Done,
     /* 1916409 */   // Label 25769: @1916409
     /* 1916409 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1916495), // Rule ID 19673 //
     /* 1916414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916460 */     // MIs[0] policy
     /* 1916460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916470 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1916473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916494 */     // GIR_Coverage, 19673,
     /* 1916494 */     GIR_EraseRootFromParent_Done,
     /* 1916495 */   // Label 25770: @1916495
     /* 1916495 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1916581), // Rule ID 19676 //
     /* 1916500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916546 */     // MIs[0] policy
     /* 1916546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916556 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1916559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916580 */     // GIR_Coverage, 19676,
     /* 1916580 */     GIR_EraseRootFromParent_Done,
     /* 1916581 */   // Label 25771: @1916581
     /* 1916581 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1916667), // Rule ID 19677 //
     /* 1916586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916632 */     // MIs[0] policy
     /* 1916632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916642 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1916645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916666 */     // GIR_Coverage, 19677,
     /* 1916666 */     GIR_EraseRootFromParent_Done,
     /* 1916667 */   // Label 25772: @1916667
     /* 1916667 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1916753), // Rule ID 19680 //
     /* 1916672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916718 */     // MIs[0] policy
     /* 1916718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1916731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916752 */     // GIR_Coverage, 19680,
     /* 1916752 */     GIR_EraseRootFromParent_Done,
     /* 1916753 */   // Label 25773: @1916753
     /* 1916753 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1916839), // Rule ID 19681 //
     /* 1916758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916804 */     // MIs[0] policy
     /* 1916804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916814 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1916817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916838 */     // GIR_Coverage, 19681,
     /* 1916838 */     GIR_EraseRootFromParent_Done,
     /* 1916839 */   // Label 25774: @1916839
     /* 1916839 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1916925), // Rule ID 19684 //
     /* 1916844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916890 */     // MIs[0] policy
     /* 1916890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916900 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1916903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916924 */     // GIR_Coverage, 19684,
     /* 1916924 */     GIR_EraseRootFromParent_Done,
     /* 1916925 */   // Label 25775: @1916925
     /* 1916925 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1917011), // Rule ID 19685 //
     /* 1916930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916976 */     // MIs[0] policy
     /* 1916976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916986 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1916989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917010 */     // GIR_Coverage, 19685,
     /* 1917010 */     GIR_EraseRootFromParent_Done,
     /* 1917011 */   // Label 25776: @1917011
     /* 1917011 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1917097), // Rule ID 19688 //
     /* 1917016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917062 */     // MIs[0] policy
     /* 1917062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1917075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917096 */     // GIR_Coverage, 19688,
     /* 1917096 */     GIR_EraseRootFromParent_Done,
     /* 1917097 */   // Label 25777: @1917097
     /* 1917097 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1917183), // Rule ID 19689 //
     /* 1917102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917148 */     // MIs[0] policy
     /* 1917148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1917161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917182 */     // GIR_Coverage, 19689,
     /* 1917182 */     GIR_EraseRootFromParent_Done,
     /* 1917183 */   // Label 25778: @1917183
     /* 1917183 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1917269), // Rule ID 19692 //
     /* 1917188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917234 */     // MIs[0] policy
     /* 1917234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917244 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1917247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917268 */     // GIR_Coverage, 19692,
     /* 1917268 */     GIR_EraseRootFromParent_Done,
     /* 1917269 */   // Label 25779: @1917269
     /* 1917269 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1917355), // Rule ID 19693 //
     /* 1917274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917320 */     // MIs[0] policy
     /* 1917320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1917333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917354 */     // GIR_Coverage, 19693,
     /* 1917354 */     GIR_EraseRootFromParent_Done,
     /* 1917355 */   // Label 25780: @1917355
     /* 1917355 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1917441), // Rule ID 19696 //
     /* 1917360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917406 */     // MIs[0] policy
     /* 1917406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1917419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917440 */     // GIR_Coverage, 19696,
     /* 1917440 */     GIR_EraseRootFromParent_Done,
     /* 1917441 */   // Label 25781: @1917441
     /* 1917441 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1917527), // Rule ID 19697 //
     /* 1917446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917492 */     // MIs[0] policy
     /* 1917492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917502 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1917505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917526 */     // GIR_Coverage, 19697,
     /* 1917526 */     GIR_EraseRootFromParent_Done,
     /* 1917527 */   // Label 25782: @1917527
     /* 1917527 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1917613), // Rule ID 19700 //
     /* 1917532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917578 */     // MIs[0] policy
     /* 1917578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917588 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1917591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917612 */     // GIR_Coverage, 19700,
     /* 1917612 */     GIR_EraseRootFromParent_Done,
     /* 1917613 */   // Label 25783: @1917613
     /* 1917613 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1917699), // Rule ID 19701 //
     /* 1917618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917664 */     // MIs[0] policy
     /* 1917664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917674 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1917677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917698 */     // GIR_Coverage, 19701,
     /* 1917698 */     GIR_EraseRootFromParent_Done,
     /* 1917699 */   // Label 25784: @1917699
     /* 1917699 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1917785), // Rule ID 19704 //
     /* 1917704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1917707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917750 */     // MIs[0] policy
     /* 1917750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917760 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1917763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917784 */     // GIR_Coverage, 19704,
     /* 1917784 */     GIR_EraseRootFromParent_Done,
     /* 1917785 */   // Label 25785: @1917785
     /* 1917785 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1917871), // Rule ID 19705 //
     /* 1917790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917836 */     // MIs[0] policy
     /* 1917836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917846 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1917849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917870 */     // GIR_Coverage, 19705,
     /* 1917870 */     GIR_EraseRootFromParent_Done,
     /* 1917871 */   // Label 25786: @1917871
     /* 1917871 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1917957), // Rule ID 19708 //
     /* 1917876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1917879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1917887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1917890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1917893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917922 */     // MIs[0] policy
     /* 1917922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1917935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917956 */     // GIR_Coverage, 19708,
     /* 1917956 */     GIR_EraseRootFromParent_Done,
     /* 1917957 */   // Label 25787: @1917957
     /* 1917957 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1918043), // Rule ID 19709 //
     /* 1917962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1917973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1917976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1917979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918008 */     // MIs[0] policy
     /* 1918008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918018 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1918021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918042 */     // GIR_Coverage, 19709,
     /* 1918042 */     GIR_EraseRootFromParent_Done,
     /* 1918043 */   // Label 25788: @1918043
     /* 1918043 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1918129), // Rule ID 19712 //
     /* 1918048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918094 */     // MIs[0] policy
     /* 1918094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918104 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1918107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918128 */     // GIR_Coverage, 19712,
     /* 1918128 */     GIR_EraseRootFromParent_Done,
     /* 1918129 */   // Label 25789: @1918129
     /* 1918129 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1918215), // Rule ID 19713 //
     /* 1918134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918180 */     // MIs[0] policy
     /* 1918180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918190 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1918193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918214 */     // GIR_Coverage, 19713,
     /* 1918214 */     GIR_EraseRootFromParent_Done,
     /* 1918215 */   // Label 25790: @1918215
     /* 1918215 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1918301), // Rule ID 19716 //
     /* 1918220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918266 */     // MIs[0] policy
     /* 1918266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1918279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918300 */     // GIR_Coverage, 19716,
     /* 1918300 */     GIR_EraseRootFromParent_Done,
     /* 1918301 */   // Label 25791: @1918301
     /* 1918301 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1918387), // Rule ID 19717 //
     /* 1918306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918352 */     // MIs[0] policy
     /* 1918352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918362 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1918365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918386 */     // GIR_Coverage, 19717,
     /* 1918386 */     GIR_EraseRootFromParent_Done,
     /* 1918387 */   // Label 25792: @1918387
     /* 1918387 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1918473), // Rule ID 19720 //
     /* 1918392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918438 */     // MIs[0] policy
     /* 1918438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1918451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918472 */     // GIR_Coverage, 19720,
     /* 1918472 */     GIR_EraseRootFromParent_Done,
     /* 1918473 */   // Label 25793: @1918473
     /* 1918473 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1918559), // Rule ID 19721 //
     /* 1918478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918524 */     // MIs[0] policy
     /* 1918524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918534 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1918537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918558 */     // GIR_Coverage, 19721,
     /* 1918558 */     GIR_EraseRootFromParent_Done,
     /* 1918559 */   // Label 25794: @1918559
     /* 1918559 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1918645), // Rule ID 19724 //
     /* 1918564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1918567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918610 */     // MIs[0] policy
     /* 1918610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918620 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1918623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918644 */     // GIR_Coverage, 19724,
     /* 1918644 */     GIR_EraseRootFromParent_Done,
     /* 1918645 */   // Label 25795: @1918645
     /* 1918645 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1918731), // Rule ID 19725 //
     /* 1918650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1918653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918696 */     // MIs[0] policy
     /* 1918696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918706 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1918709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918730 */     // GIR_Coverage, 19725,
     /* 1918730 */     GIR_EraseRootFromParent_Done,
     /* 1918731 */   // Label 25796: @1918731
     /* 1918731 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1918817), // Rule ID 19728 //
     /* 1918736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918782 */     // MIs[0] policy
     /* 1918782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1918795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918816 */     // GIR_Coverage, 19728,
     /* 1918816 */     GIR_EraseRootFromParent_Done,
     /* 1918817 */   // Label 25797: @1918817
     /* 1918817 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1918903), // Rule ID 19729 //
     /* 1918822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918868 */     // MIs[0] policy
     /* 1918868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918878 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1918881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918902 */     // GIR_Coverage, 19729,
     /* 1918902 */     GIR_EraseRootFromParent_Done,
     /* 1918903 */   // Label 25798: @1918903
     /* 1918903 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1918989), // Rule ID 19732 //
     /* 1918908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1918919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1918922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1918925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918954 */     // MIs[0] policy
     /* 1918954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1918967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918988 */     // GIR_Coverage, 19732,
     /* 1918988 */     GIR_EraseRootFromParent_Done,
     /* 1918989 */   // Label 25799: @1918989
     /* 1918989 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1919075), // Rule ID 19733 //
     /* 1918994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919040 */     // MIs[0] policy
     /* 1919040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1919053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919074 */     // GIR_Coverage, 19733,
     /* 1919074 */     GIR_EraseRootFromParent_Done,
     /* 1919075 */   // Label 25800: @1919075
     /* 1919075 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1919161), // Rule ID 19736 //
     /* 1919080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919126 */     // MIs[0] policy
     /* 1919126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1919139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919160 */     // GIR_Coverage, 19736,
     /* 1919160 */     GIR_EraseRootFromParent_Done,
     /* 1919161 */   // Label 25801: @1919161
     /* 1919161 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1919247), // Rule ID 19737 //
     /* 1919166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1919169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919212 */     // MIs[0] policy
     /* 1919212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919222 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1919225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919246 */     // GIR_Coverage, 19737,
     /* 1919246 */     GIR_EraseRootFromParent_Done,
     /* 1919247 */   // Label 25802: @1919247
     /* 1919247 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1919333), // Rule ID 19740 //
     /* 1919252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1919263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1919266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919298 */     // MIs[0] policy
     /* 1919298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1919311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919332 */     // GIR_Coverage, 19740,
     /* 1919332 */     GIR_EraseRootFromParent_Done,
     /* 1919333 */   // Label 25803: @1919333
     /* 1919333 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1919419), // Rule ID 19741 //
     /* 1919338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1919349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1919352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919384 */     // MIs[0] policy
     /* 1919384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919394 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1919397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919418 */     // GIR_Coverage, 19741,
     /* 1919418 */     GIR_EraseRootFromParent_Done,
     /* 1919419 */   // Label 25804: @1919419
     /* 1919419 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1919505), // Rule ID 19744 //
     /* 1919424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919470 */     // MIs[0] policy
     /* 1919470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1919483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919504 */     // GIR_Coverage, 19744,
     /* 1919504 */     GIR_EraseRootFromParent_Done,
     /* 1919505 */   // Label 25805: @1919505
     /* 1919505 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1919591), // Rule ID 19745 //
     /* 1919510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919556 */     // MIs[0] policy
     /* 1919556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1919569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919590 */     // GIR_Coverage, 19745,
     /* 1919590 */     GIR_EraseRootFromParent_Done,
     /* 1919591 */   // Label 25806: @1919591
     /* 1919591 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1919677), // Rule ID 19748 //
     /* 1919596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919642 */     // MIs[0] policy
     /* 1919642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1919655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919676 */     // GIR_Coverage, 19748,
     /* 1919676 */     GIR_EraseRootFromParent_Done,
     /* 1919677 */   // Label 25807: @1919677
     /* 1919677 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1919763), // Rule ID 19749 //
     /* 1919682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919728 */     // MIs[0] policy
     /* 1919728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919738 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1919741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919762 */     // GIR_Coverage, 19749,
     /* 1919762 */     GIR_EraseRootFromParent_Done,
     /* 1919763 */   // Label 25808: @1919763
     /* 1919763 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1919849), // Rule ID 19752 //
     /* 1919768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919814 */     // MIs[0] policy
     /* 1919814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919824 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1919827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919848 */     // GIR_Coverage, 19752,
     /* 1919848 */     GIR_EraseRootFromParent_Done,
     /* 1919849 */   // Label 25809: @1919849
     /* 1919849 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1919935), // Rule ID 19753 //
     /* 1919854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1919857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919900 */     // MIs[0] policy
     /* 1919900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919910 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1919913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919934 */     // GIR_Coverage, 19753,
     /* 1919934 */     GIR_EraseRootFromParent_Done,
     /* 1919935 */   // Label 25810: @1919935
     /* 1919935 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1920021), // Rule ID 19756 //
     /* 1919940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1919951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1919954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1919957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919986 */     // MIs[0] policy
     /* 1919986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919996 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1919999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920020 */     // GIR_Coverage, 19756,
     /* 1920020 */     GIR_EraseRootFromParent_Done,
     /* 1920021 */   // Label 25811: @1920021
     /* 1920021 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1920107), // Rule ID 19757 //
     /* 1920026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920072 */     // MIs[0] policy
     /* 1920072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920082 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1920085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920106 */     // GIR_Coverage, 19757,
     /* 1920106 */     GIR_EraseRootFromParent_Done,
     /* 1920107 */   // Label 25812: @1920107
     /* 1920107 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1920193), // Rule ID 19760 //
     /* 1920112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1920115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1920123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1920126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1920129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920158 */     // MIs[0] policy
     /* 1920158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1920171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920192 */     // GIR_Coverage, 19760,
     /* 1920192 */     GIR_EraseRootFromParent_Done,
     /* 1920193 */   // Label 25813: @1920193
     /* 1920193 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1920279), // Rule ID 19761 //
     /* 1920198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1920209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1920212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1920215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920244 */     // MIs[0] policy
     /* 1920244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920254 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1920257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920278 */     // GIR_Coverage, 19761,
     /* 1920278 */     GIR_EraseRootFromParent_Done,
     /* 1920279 */   // Label 25814: @1920279
     /* 1920279 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1920365), // Rule ID 23602 //
     /* 1920284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1920295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1920298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1920301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920330 */     // MIs[0] policy
     /* 1920330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1920343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920364 */     // GIR_Coverage, 23602,
     /* 1920364 */     GIR_EraseRootFromParent_Done,
     /* 1920365 */   // Label 25815: @1920365
     /* 1920365 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1920451), // Rule ID 23603 //
     /* 1920370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1920381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1920384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1920387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920416 */     // MIs[0] policy
     /* 1920416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1920429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920450 */     // GIR_Coverage, 23603,
     /* 1920450 */     GIR_EraseRootFromParent_Done,
     /* 1920451 */   // Label 25816: @1920451
     /* 1920451 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1920537), // Rule ID 23606 //
     /* 1920456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1920467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1920470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1920473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920502 */     // MIs[0] policy
     /* 1920502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1920515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920536 */     // GIR_Coverage, 23606,
     /* 1920536 */     GIR_EraseRootFromParent_Done,
     /* 1920537 */   // Label 25817: @1920537
     /* 1920537 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1920623), // Rule ID 23607 //
     /* 1920542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1920553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1920556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1920559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920588 */     // MIs[0] policy
     /* 1920588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1920601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920622 */     // GIR_Coverage, 23607,
     /* 1920622 */     GIR_EraseRootFromParent_Done,
     /* 1920623 */   // Label 25818: @1920623
     /* 1920623 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1920709), // Rule ID 23610 //
     /* 1920628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1920639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1920642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1920645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920674 */     // MIs[0] policy
     /* 1920674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1920687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920708 */     // GIR_Coverage, 23610,
     /* 1920708 */     GIR_EraseRootFromParent_Done,
     /* 1920709 */   // Label 25819: @1920709
     /* 1920709 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1920795), // Rule ID 23611 //
     /* 1920714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1920725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1920728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1920731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920760 */     // MIs[0] policy
     /* 1920760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1920773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920794 */     // GIR_Coverage, 23611,
     /* 1920794 */     GIR_EraseRootFromParent_Done,
     /* 1920795 */   // Label 25820: @1920795
     /* 1920795 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1920881), // Rule ID 23614 //
     /* 1920800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1920811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1920814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1920817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920846 */     // MIs[0] policy
     /* 1920846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1920859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920880 */     // GIR_Coverage, 23614,
     /* 1920880 */     GIR_EraseRootFromParent_Done,
     /* 1920881 */   // Label 25821: @1920881
     /* 1920881 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1920967), // Rule ID 23615 //
     /* 1920886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1920897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1920900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1920903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920932 */     // MIs[0] policy
     /* 1920932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1920945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920966 */     // GIR_Coverage, 23615,
     /* 1920966 */     GIR_EraseRootFromParent_Done,
     /* 1920967 */   // Label 25822: @1920967
     /* 1920967 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1921053), // Rule ID 23618 //
     /* 1920972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1920983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1920986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1920989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921018 */     // MIs[0] policy
     /* 1921018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921052 */     // GIR_Coverage, 23618,
     /* 1921052 */     GIR_EraseRootFromParent_Done,
     /* 1921053 */   // Label 25823: @1921053
     /* 1921053 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1921139), // Rule ID 23619 //
     /* 1921058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921104 */     // MIs[0] policy
     /* 1921104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921138 */     // GIR_Coverage, 23619,
     /* 1921138 */     GIR_EraseRootFromParent_Done,
     /* 1921139 */   // Label 25824: @1921139
     /* 1921139 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1921225), // Rule ID 23622 //
     /* 1921144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1921161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921190 */     // MIs[0] policy
     /* 1921190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921224 */     // GIR_Coverage, 23622,
     /* 1921224 */     GIR_EraseRootFromParent_Done,
     /* 1921225 */   // Label 25825: @1921225
     /* 1921225 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1921311), // Rule ID 23623 //
     /* 1921230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1921247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921276 */     // MIs[0] policy
     /* 1921276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921310 */     // GIR_Coverage, 23623,
     /* 1921310 */     GIR_EraseRootFromParent_Done,
     /* 1921311 */   // Label 25826: @1921311
     /* 1921311 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1921397), // Rule ID 23626 //
     /* 1921316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1921327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1921330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1921333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921362 */     // MIs[0] policy
     /* 1921362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921396 */     // GIR_Coverage, 23626,
     /* 1921396 */     GIR_EraseRootFromParent_Done,
     /* 1921397 */   // Label 25827: @1921397
     /* 1921397 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1921483), // Rule ID 23627 //
     /* 1921402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1921413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1921416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1921419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921448 */     // MIs[0] policy
     /* 1921448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921482 */     // GIR_Coverage, 23627,
     /* 1921482 */     GIR_EraseRootFromParent_Done,
     /* 1921483 */   // Label 25828: @1921483
     /* 1921483 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1921569), // Rule ID 23630 //
     /* 1921488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1921499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1921502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1921505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921534 */     // MIs[0] policy
     /* 1921534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921568 */     // GIR_Coverage, 23630,
     /* 1921568 */     GIR_EraseRootFromParent_Done,
     /* 1921569 */   // Label 25829: @1921569
     /* 1921569 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1921655), // Rule ID 23631 //
     /* 1921574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1921585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1921588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1921591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921620 */     // MIs[0] policy
     /* 1921620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921654 */     // GIR_Coverage, 23631,
     /* 1921654 */     GIR_EraseRootFromParent_Done,
     /* 1921655 */   // Label 25830: @1921655
     /* 1921655 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1921741), // Rule ID 23634 //
     /* 1921660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1921677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921706 */     // MIs[0] policy
     /* 1921706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921740 */     // GIR_Coverage, 23634,
     /* 1921740 */     GIR_EraseRootFromParent_Done,
     /* 1921741 */   // Label 25831: @1921741
     /* 1921741 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1921827), // Rule ID 23635 //
     /* 1921746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1921763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921792 */     // MIs[0] policy
     /* 1921792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921826 */     // GIR_Coverage, 23635,
     /* 1921826 */     GIR_EraseRootFromParent_Done,
     /* 1921827 */   // Label 25832: @1921827
     /* 1921827 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1921913), // Rule ID 23638 //
     /* 1921832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1921843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1921846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1921849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921878 */     // MIs[0] policy
     /* 1921878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921912 */     // GIR_Coverage, 23638,
     /* 1921912 */     GIR_EraseRootFromParent_Done,
     /* 1921913 */   // Label 25833: @1921913
     /* 1921913 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1921999), // Rule ID 23639 //
     /* 1921918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1921929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1921932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1921935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921964 */     // MIs[0] policy
     /* 1921964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921998 */     // GIR_Coverage, 23639,
     /* 1921998 */     GIR_EraseRootFromParent_Done,
     /* 1921999 */   // Label 25834: @1921999
     /* 1921999 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1922085), // Rule ID 23642 //
     /* 1922004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922050 */     // MIs[0] policy
     /* 1922050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922084 */     // GIR_Coverage, 23642,
     /* 1922084 */     GIR_EraseRootFromParent_Done,
     /* 1922085 */   // Label 25835: @1922085
     /* 1922085 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1922171), // Rule ID 23643 //
     /* 1922090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922136 */     // MIs[0] policy
     /* 1922136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922170 */     // GIR_Coverage, 23643,
     /* 1922170 */     GIR_EraseRootFromParent_Done,
     /* 1922171 */   // Label 25836: @1922171
     /* 1922171 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1922257), // Rule ID 23646 //
     /* 1922176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1922187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1922190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1922193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922222 */     // MIs[0] policy
     /* 1922222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922256 */     // GIR_Coverage, 23646,
     /* 1922256 */     GIR_EraseRootFromParent_Done,
     /* 1922257 */   // Label 25837: @1922257
     /* 1922257 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1922343), // Rule ID 23647 //
     /* 1922262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1922273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1922276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1922279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922308 */     // MIs[0] policy
     /* 1922308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922318 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922342 */     // GIR_Coverage, 23647,
     /* 1922342 */     GIR_EraseRootFromParent_Done,
     /* 1922343 */   // Label 25838: @1922343
     /* 1922343 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1922429), // Rule ID 23650 //
     /* 1922348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922394 */     // MIs[0] policy
     /* 1922394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1922407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922428 */     // GIR_Coverage, 23650,
     /* 1922428 */     GIR_EraseRootFromParent_Done,
     /* 1922429 */   // Label 25839: @1922429
     /* 1922429 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1922515), // Rule ID 23651 //
     /* 1922434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922480 */     // MIs[0] policy
     /* 1922480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922490 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1922493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922514 */     // GIR_Coverage, 23651,
     /* 1922514 */     GIR_EraseRootFromParent_Done,
     /* 1922515 */   // Label 25840: @1922515
     /* 1922515 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1922601), // Rule ID 23654 //
     /* 1922520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1922531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1922534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1922537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922566 */     // MIs[0] policy
     /* 1922566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922600 */     // GIR_Coverage, 23654,
     /* 1922600 */     GIR_EraseRootFromParent_Done,
     /* 1922601 */   // Label 25841: @1922601
     /* 1922601 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1922687), // Rule ID 23655 //
     /* 1922606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1922617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1922620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1922623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922652 */     // MIs[0] policy
     /* 1922652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922686 */     // GIR_Coverage, 23655,
     /* 1922686 */     GIR_EraseRootFromParent_Done,
     /* 1922687 */   // Label 25842: @1922687
     /* 1922687 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1922773), // Rule ID 23658 //
     /* 1922692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1922703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1922706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1922709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922738 */     // MIs[0] policy
     /* 1922738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922772 */     // GIR_Coverage, 23658,
     /* 1922772 */     GIR_EraseRootFromParent_Done,
     /* 1922773 */   // Label 25843: @1922773
     /* 1922773 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1922859), // Rule ID 23659 //
     /* 1922778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1922789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1922792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1922795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922824 */     // MIs[0] policy
     /* 1922824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922858 */     // GIR_Coverage, 23659,
     /* 1922858 */     GIR_EraseRootFromParent_Done,
     /* 1922859 */   // Label 25844: @1922859
     /* 1922859 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1922945), // Rule ID 23662 //
     /* 1922864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1922875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1922878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1922881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922910 */     // MIs[0] policy
     /* 1922910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1922923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922944 */     // GIR_Coverage, 23662,
     /* 1922944 */     GIR_EraseRootFromParent_Done,
     /* 1922945 */   // Label 25845: @1922945
     /* 1922945 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1923031), // Rule ID 23663 //
     /* 1922950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1922961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1922964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1922967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922996 */     // MIs[0] policy
     /* 1922996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923030 */     // GIR_Coverage, 23663,
     /* 1923030 */     GIR_EraseRootFromParent_Done,
     /* 1923031 */   // Label 25846: @1923031
     /* 1923031 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1923117), // Rule ID 23666 //
     /* 1923036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923082 */     // MIs[0] policy
     /* 1923082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923116 */     // GIR_Coverage, 23666,
     /* 1923116 */     GIR_EraseRootFromParent_Done,
     /* 1923117 */   // Label 25847: @1923117
     /* 1923117 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1923203), // Rule ID 23667 //
     /* 1923122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923168 */     // MIs[0] policy
     /* 1923168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923202 */     // GIR_Coverage, 23667,
     /* 1923202 */     GIR_EraseRootFromParent_Done,
     /* 1923203 */   // Label 25848: @1923203
     /* 1923203 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1923289), // Rule ID 23670 //
     /* 1923208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1923225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923254 */     // MIs[0] policy
     /* 1923254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923288 */     // GIR_Coverage, 23670,
     /* 1923288 */     GIR_EraseRootFromParent_Done,
     /* 1923289 */   // Label 25849: @1923289
     /* 1923289 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1923375), // Rule ID 23671 //
     /* 1923294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1923311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923340 */     // MIs[0] policy
     /* 1923340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923374 */     // GIR_Coverage, 23671,
     /* 1923374 */     GIR_EraseRootFromParent_Done,
     /* 1923375 */   // Label 25850: @1923375
     /* 1923375 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1923461), // Rule ID 23674 //
     /* 1923380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923426 */     // MIs[0] policy
     /* 1923426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923460 */     // GIR_Coverage, 23674,
     /* 1923460 */     GIR_EraseRootFromParent_Done,
     /* 1923461 */   // Label 25851: @1923461
     /* 1923461 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1923547), // Rule ID 23675 //
     /* 1923466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923512 */     // MIs[0] policy
     /* 1923512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923546 */     // GIR_Coverage, 23675,
     /* 1923546 */     GIR_EraseRootFromParent_Done,
     /* 1923547 */   // Label 25852: @1923547
     /* 1923547 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1923633), // Rule ID 23678 //
     /* 1923552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1923563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1923566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1923569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923598 */     // MIs[0] policy
     /* 1923598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923632 */     // GIR_Coverage, 23678,
     /* 1923632 */     GIR_EraseRootFromParent_Done,
     /* 1923633 */   // Label 25853: @1923633
     /* 1923633 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1923719), // Rule ID 23679 //
     /* 1923638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1923649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1923652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1923655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923684 */     // MIs[0] policy
     /* 1923684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923718 */     // GIR_Coverage, 23679,
     /* 1923718 */     GIR_EraseRootFromParent_Done,
     /* 1923719 */   // Label 25854: @1923719
     /* 1923719 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1923805), // Rule ID 23682 //
     /* 1923724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1923735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1923738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1923741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923770 */     // MIs[0] policy
     /* 1923770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923804 */     // GIR_Coverage, 23682,
     /* 1923804 */     GIR_EraseRootFromParent_Done,
     /* 1923805 */   // Label 25855: @1923805
     /* 1923805 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1923891), // Rule ID 23683 //
     /* 1923810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1923821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1923824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1923827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923856 */     // MIs[0] policy
     /* 1923856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923890 */     // GIR_Coverage, 23683,
     /* 1923890 */     GIR_EraseRootFromParent_Done,
     /* 1923891 */   // Label 25856: @1923891
     /* 1923891 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1923977), // Rule ID 23686 //
     /* 1923896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1923907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1923910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1923913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923942 */     // MIs[0] policy
     /* 1923942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923976 */     // GIR_Coverage, 23686,
     /* 1923976 */     GIR_EraseRootFromParent_Done,
     /* 1923977 */   // Label 25857: @1923977
     /* 1923977 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1924063), // Rule ID 23687 //
     /* 1923982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1923993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1923996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1923999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924028 */     // MIs[0] policy
     /* 1924028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924062 */     // GIR_Coverage, 23687,
     /* 1924062 */     GIR_EraseRootFromParent_Done,
     /* 1924063 */   // Label 25858: @1924063
     /* 1924063 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1924149), // Rule ID 23778 //
     /* 1924068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924114 */     // MIs[0] policy
     /* 1924114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1924127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924148 */     // GIR_Coverage, 23778,
     /* 1924148 */     GIR_EraseRootFromParent_Done,
     /* 1924149 */   // Label 25859: @1924149
     /* 1924149 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1924235), // Rule ID 23779 //
     /* 1924154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924200 */     // MIs[0] policy
     /* 1924200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924210 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1924213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924234 */     // GIR_Coverage, 23779,
     /* 1924234 */     GIR_EraseRootFromParent_Done,
     /* 1924235 */   // Label 25860: @1924235
     /* 1924235 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1924321), // Rule ID 23782 //
     /* 1924240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1924251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1924254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1924257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924286 */     // MIs[0] policy
     /* 1924286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924320 */     // GIR_Coverage, 23782,
     /* 1924320 */     GIR_EraseRootFromParent_Done,
     /* 1924321 */   // Label 25861: @1924321
     /* 1924321 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1924407), // Rule ID 23783 //
     /* 1924326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1924337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1924340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1924343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924372 */     // MIs[0] policy
     /* 1924372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924406 */     // GIR_Coverage, 23783,
     /* 1924406 */     GIR_EraseRootFromParent_Done,
     /* 1924407 */   // Label 25862: @1924407
     /* 1924407 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1924493), // Rule ID 23786 //
     /* 1924412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924458 */     // MIs[0] policy
     /* 1924458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924492 */     // GIR_Coverage, 23786,
     /* 1924492 */     GIR_EraseRootFromParent_Done,
     /* 1924493 */   // Label 25863: @1924493
     /* 1924493 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1924579), // Rule ID 23787 //
     /* 1924498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924544 */     // MIs[0] policy
     /* 1924544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924554 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924578 */     // GIR_Coverage, 23787,
     /* 1924578 */     GIR_EraseRootFromParent_Done,
     /* 1924579 */   // Label 25864: @1924579
     /* 1924579 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1924665), // Rule ID 23790 //
     /* 1924584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1924595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1924598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1924601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924630 */     // MIs[0] policy
     /* 1924630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924664 */     // GIR_Coverage, 23790,
     /* 1924664 */     GIR_EraseRootFromParent_Done,
     /* 1924665 */   // Label 25865: @1924665
     /* 1924665 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1924751), // Rule ID 23791 //
     /* 1924670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1924681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1924684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1924687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924716 */     // MIs[0] policy
     /* 1924716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924750 */     // GIR_Coverage, 23791,
     /* 1924750 */     GIR_EraseRootFromParent_Done,
     /* 1924751 */   // Label 25866: @1924751
     /* 1924751 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1924837), // Rule ID 23794 //
     /* 1924756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1924767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1924770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1924773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924802 */     // MIs[0] policy
     /* 1924802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924836 */     // GIR_Coverage, 23794,
     /* 1924836 */     GIR_EraseRootFromParent_Done,
     /* 1924837 */   // Label 25867: @1924837
     /* 1924837 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1924923), // Rule ID 23795 //
     /* 1924842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1924853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1924856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1924859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924888 */     // MIs[0] policy
     /* 1924888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924922 */     // GIR_Coverage, 23795,
     /* 1924922 */     GIR_EraseRootFromParent_Done,
     /* 1924923 */   // Label 25868: @1924923
     /* 1924923 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1925009), // Rule ID 23798 //
     /* 1924928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1924939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1924942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1924945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924974 */     // MIs[0] policy
     /* 1924974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925008 */     // GIR_Coverage, 23798,
     /* 1925008 */     GIR_EraseRootFromParent_Done,
     /* 1925009 */   // Label 25869: @1925009
     /* 1925009 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1925095), // Rule ID 23799 //
     /* 1925014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925060 */     // MIs[0] policy
     /* 1925060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925094 */     // GIR_Coverage, 23799,
     /* 1925094 */     GIR_EraseRootFromParent_Done,
     /* 1925095 */   // Label 25870: @1925095
     /* 1925095 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1925181), // Rule ID 23802 //
     /* 1925100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925146 */     // MIs[0] policy
     /* 1925146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925180 */     // GIR_Coverage, 23802,
     /* 1925180 */     GIR_EraseRootFromParent_Done,
     /* 1925181 */   // Label 25871: @1925181
     /* 1925181 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1925267), // Rule ID 23803 //
     /* 1925186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925232 */     // MIs[0] policy
     /* 1925232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925266 */     // GIR_Coverage, 23803,
     /* 1925266 */     GIR_EraseRootFromParent_Done,
     /* 1925267 */   // Label 25872: @1925267
     /* 1925267 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1925353), // Rule ID 23806 //
     /* 1925272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925318 */     // MIs[0] policy
     /* 1925318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925352 */     // GIR_Coverage, 23806,
     /* 1925352 */     GIR_EraseRootFromParent_Done,
     /* 1925353 */   // Label 25873: @1925353
     /* 1925353 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1925439), // Rule ID 23807 //
     /* 1925358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925404 */     // MIs[0] policy
     /* 1925404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925438 */     // GIR_Coverage, 23807,
     /* 1925438 */     GIR_EraseRootFromParent_Done,
     /* 1925439 */   // Label 25874: @1925439
     /* 1925439 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1925525), // Rule ID 23810 //
     /* 1925444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1925455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1925458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1925461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925490 */     // MIs[0] policy
     /* 1925490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925524 */     // GIR_Coverage, 23810,
     /* 1925524 */     GIR_EraseRootFromParent_Done,
     /* 1925525 */   // Label 25875: @1925525
     /* 1925525 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1925611), // Rule ID 23811 //
     /* 1925530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1925541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1925544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1925547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925576 */     // MIs[0] policy
     /* 1925576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925610 */     // GIR_Coverage, 23811,
     /* 1925610 */     GIR_EraseRootFromParent_Done,
     /* 1925611 */   // Label 25876: @1925611
     /* 1925611 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1925697), // Rule ID 23814 //
     /* 1925616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1925627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1925630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1925633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925662 */     // MIs[0] policy
     /* 1925662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925696 */     // GIR_Coverage, 23814,
     /* 1925696 */     GIR_EraseRootFromParent_Done,
     /* 1925697 */   // Label 25877: @1925697
     /* 1925697 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1925783), // Rule ID 23815 //
     /* 1925702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1925713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1925716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1925719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925748 */     // MIs[0] policy
     /* 1925748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925782 */     // GIR_Coverage, 23815,
     /* 1925782 */     GIR_EraseRootFromParent_Done,
     /* 1925783 */   // Label 25878: @1925783
     /* 1925783 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1925869), // Rule ID 23818 //
     /* 1925788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1925799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1925802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1925805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925834 */     // MIs[0] policy
     /* 1925834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1925847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925868 */     // GIR_Coverage, 23818,
     /* 1925868 */     GIR_EraseRootFromParent_Done,
     /* 1925869 */   // Label 25879: @1925869
     /* 1925869 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1925955), // Rule ID 23819 //
     /* 1925874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1925885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1925888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1925891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925920 */     // MIs[0] policy
     /* 1925920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1925933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925954 */     // GIR_Coverage, 23819,
     /* 1925954 */     GIR_EraseRootFromParent_Done,
     /* 1925955 */   // Label 25880: @1925955
     /* 1925955 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1926041), // Rule ID 23822 //
     /* 1925960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1925971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1925974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1925977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926006 */     // MIs[0] policy
     /* 1926006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926040 */     // GIR_Coverage, 23822,
     /* 1926040 */     GIR_EraseRootFromParent_Done,
     /* 1926041 */   // Label 25881: @1926041
     /* 1926041 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1926127), // Rule ID 23823 //
     /* 1926046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926092 */     // MIs[0] policy
     /* 1926092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926126 */     // GIR_Coverage, 23823,
     /* 1926126 */     GIR_EraseRootFromParent_Done,
     /* 1926127 */   // Label 25882: @1926127
     /* 1926127 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1926213), // Rule ID 23826 //
     /* 1926132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1926155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926178 */     // MIs[0] policy
     /* 1926178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926212 */     // GIR_Coverage, 23826,
     /* 1926212 */     GIR_EraseRootFromParent_Done,
     /* 1926213 */   // Label 25883: @1926213
     /* 1926213 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1926299), // Rule ID 23827 //
     /* 1926218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1926241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926264 */     // MIs[0] policy
     /* 1926264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926298 */     // GIR_Coverage, 23827,
     /* 1926298 */     GIR_EraseRootFromParent_Done,
     /* 1926299 */   // Label 25884: @1926299
     /* 1926299 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1926385), // Rule ID 23830 //
     /* 1926304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926350 */     // MIs[0] policy
     /* 1926350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926384 */     // GIR_Coverage, 23830,
     /* 1926384 */     GIR_EraseRootFromParent_Done,
     /* 1926385 */   // Label 25885: @1926385
     /* 1926385 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1926471), // Rule ID 23831 //
     /* 1926390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926436 */     // MIs[0] policy
     /* 1926436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926470 */     // GIR_Coverage, 23831,
     /* 1926470 */     GIR_EraseRootFromParent_Done,
     /* 1926471 */   // Label 25886: @1926471
     /* 1926471 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1926557), // Rule ID 23834 //
     /* 1926476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926522 */     // MIs[0] policy
     /* 1926522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926556 */     // GIR_Coverage, 23834,
     /* 1926556 */     GIR_EraseRootFromParent_Done,
     /* 1926557 */   // Label 25887: @1926557
     /* 1926557 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1926643), // Rule ID 23835 //
     /* 1926562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926608 */     // MIs[0] policy
     /* 1926608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926642 */     // GIR_Coverage, 23835,
     /* 1926642 */     GIR_EraseRootFromParent_Done,
     /* 1926643 */   // Label 25888: @1926643
     /* 1926643 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1926729), // Rule ID 23838 //
     /* 1926648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926694 */     // MIs[0] policy
     /* 1926694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926728 */     // GIR_Coverage, 23838,
     /* 1926728 */     GIR_EraseRootFromParent_Done,
     /* 1926729 */   // Label 25889: @1926729
     /* 1926729 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1926815), // Rule ID 23839 //
     /* 1926734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926780 */     // MIs[0] policy
     /* 1926780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926814 */     // GIR_Coverage, 23839,
     /* 1926814 */     GIR_EraseRootFromParent_Done,
     /* 1926815 */   // Label 25890: @1926815
     /* 1926815 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1926901), // Rule ID 23842 //
     /* 1926820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926866 */     // MIs[0] policy
     /* 1926866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926900 */     // GIR_Coverage, 23842,
     /* 1926900 */     GIR_EraseRootFromParent_Done,
     /* 1926901 */   // Label 25891: @1926901
     /* 1926901 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1926987), // Rule ID 23843 //
     /* 1926906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926952 */     // MIs[0] policy
     /* 1926952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926986 */     // GIR_Coverage, 23843,
     /* 1926986 */     GIR_EraseRootFromParent_Done,
     /* 1926987 */   // Label 25892: @1926987
     /* 1926987 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1927073), // Rule ID 23846 //
     /* 1926992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927038 */     // MIs[0] policy
     /* 1927038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927072 */     // GIR_Coverage, 23846,
     /* 1927072 */     GIR_EraseRootFromParent_Done,
     /* 1927073 */   // Label 25893: @1927073
     /* 1927073 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1927159), // Rule ID 23847 //
     /* 1927078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927124 */     // MIs[0] policy
     /* 1927124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927158 */     // GIR_Coverage, 23847,
     /* 1927158 */     GIR_EraseRootFromParent_Done,
     /* 1927159 */   // Label 25894: @1927159
     /* 1927159 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1927245), // Rule ID 23850 //
     /* 1927164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927210 */     // MIs[0] policy
     /* 1927210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927244 */     // GIR_Coverage, 23850,
     /* 1927244 */     GIR_EraseRootFromParent_Done,
     /* 1927245 */   // Label 25895: @1927245
     /* 1927245 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1927331), // Rule ID 23851 //
     /* 1927250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927296 */     // MIs[0] policy
     /* 1927296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927330 */     // GIR_Coverage, 23851,
     /* 1927330 */     GIR_EraseRootFromParent_Done,
     /* 1927331 */   // Label 25896: @1927331
     /* 1927331 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1927417), // Rule ID 23854 //
     /* 1927336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927382 */     // MIs[0] policy
     /* 1927382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927416 */     // GIR_Coverage, 23854,
     /* 1927416 */     GIR_EraseRootFromParent_Done,
     /* 1927417 */   // Label 25897: @1927417
     /* 1927417 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1927503), // Rule ID 23855 //
     /* 1927422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927468 */     // MIs[0] policy
     /* 1927468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927502 */     // GIR_Coverage, 23855,
     /* 1927502 */     GIR_EraseRootFromParent_Done,
     /* 1927503 */   // Label 25898: @1927503
     /* 1927503 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1927589), // Rule ID 23858 //
     /* 1927508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927554 */     // MIs[0] policy
     /* 1927554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927588 */     // GIR_Coverage, 23858,
     /* 1927588 */     GIR_EraseRootFromParent_Done,
     /* 1927589 */   // Label 25899: @1927589
     /* 1927589 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1927675), // Rule ID 23859 //
     /* 1927594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927640 */     // MIs[0] policy
     /* 1927640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927674 */     // GIR_Coverage, 23859,
     /* 1927674 */     GIR_EraseRootFromParent_Done,
     /* 1927675 */   // Label 25900: @1927675
     /* 1927675 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1927761), // Rule ID 23862 //
     /* 1927680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927726 */     // MIs[0] policy
     /* 1927726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927760 */     // GIR_Coverage, 23862,
     /* 1927760 */     GIR_EraseRootFromParent_Done,
     /* 1927761 */   // Label 25901: @1927761
     /* 1927761 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1927847), // Rule ID 23863 //
     /* 1927766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927812 */     // MIs[0] policy
     /* 1927812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927846 */     // GIR_Coverage, 23863,
     /* 1927846 */     GIR_EraseRootFromParent_Done,
     /* 1927847 */   // Label 25902: @1927847
     /* 1927847 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1927933), // Rule ID 23954 //
     /* 1927852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1927863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1927866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1927869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927898 */     // MIs[0] policy
     /* 1927898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1927911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927932 */     // GIR_Coverage, 23954,
     /* 1927932 */     GIR_EraseRootFromParent_Done,
     /* 1927933 */   // Label 25903: @1927933
     /* 1927933 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1928019), // Rule ID 23955 //
     /* 1927938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1927949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1927952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1927955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927984 */     // MIs[0] policy
     /* 1927984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1927997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928018 */     // GIR_Coverage, 23955,
     /* 1928018 */     GIR_EraseRootFromParent_Done,
     /* 1928019 */   // Label 25904: @1928019
     /* 1928019 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1928105), // Rule ID 23958 //
     /* 1928024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928070 */     // MIs[0] policy
     /* 1928070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928104 */     // GIR_Coverage, 23958,
     /* 1928104 */     GIR_EraseRootFromParent_Done,
     /* 1928105 */   // Label 25905: @1928105
     /* 1928105 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1928191), // Rule ID 23959 //
     /* 1928110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928156 */     // MIs[0] policy
     /* 1928156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928190 */     // GIR_Coverage, 23959,
     /* 1928190 */     GIR_EraseRootFromParent_Done,
     /* 1928191 */   // Label 25906: @1928191
     /* 1928191 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1928277), // Rule ID 23962 //
     /* 1928196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1928207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1928210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1928213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928242 */     // MIs[0] policy
     /* 1928242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928276 */     // GIR_Coverage, 23962,
     /* 1928276 */     GIR_EraseRootFromParent_Done,
     /* 1928277 */   // Label 25907: @1928277
     /* 1928277 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1928363), // Rule ID 23963 //
     /* 1928282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1928293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1928296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1928299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928328 */     // MIs[0] policy
     /* 1928328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928362 */     // GIR_Coverage, 23963,
     /* 1928362 */     GIR_EraseRootFromParent_Done,
     /* 1928363 */   // Label 25908: @1928363
     /* 1928363 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1928449), // Rule ID 23966 //
     /* 1928368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928414 */     // MIs[0] policy
     /* 1928414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928448 */     // GIR_Coverage, 23966,
     /* 1928448 */     GIR_EraseRootFromParent_Done,
     /* 1928449 */   // Label 25909: @1928449
     /* 1928449 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1928535), // Rule ID 23967 //
     /* 1928454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928500 */     // MIs[0] policy
     /* 1928500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928534 */     // GIR_Coverage, 23967,
     /* 1928534 */     GIR_EraseRootFromParent_Done,
     /* 1928535 */   // Label 25910: @1928535
     /* 1928535 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1928621), // Rule ID 23970 //
     /* 1928540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928586 */     // MIs[0] policy
     /* 1928586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928620 */     // GIR_Coverage, 23970,
     /* 1928620 */     GIR_EraseRootFromParent_Done,
     /* 1928621 */   // Label 25911: @1928621
     /* 1928621 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1928707), // Rule ID 23971 //
     /* 1928626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928672 */     // MIs[0] policy
     /* 1928672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928682 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928706 */     // GIR_Coverage, 23971,
     /* 1928706 */     GIR_EraseRootFromParent_Done,
     /* 1928707 */   // Label 25912: @1928707
     /* 1928707 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1928793), // Rule ID 23974 //
     /* 1928712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928758 */     // MIs[0] policy
     /* 1928758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928792 */     // GIR_Coverage, 23974,
     /* 1928792 */     GIR_EraseRootFromParent_Done,
     /* 1928793 */   // Label 25913: @1928793
     /* 1928793 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1928879), // Rule ID 23975 //
     /* 1928798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928844 */     // MIs[0] policy
     /* 1928844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928878 */     // GIR_Coverage, 23975,
     /* 1928878 */     GIR_EraseRootFromParent_Done,
     /* 1928879 */   // Label 25914: @1928879
     /* 1928879 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1928965), // Rule ID 23978 //
     /* 1928884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1928895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1928898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1928901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928930 */     // MIs[0] policy
     /* 1928930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1928943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928964 */     // GIR_Coverage, 23978,
     /* 1928964 */     GIR_EraseRootFromParent_Done,
     /* 1928965 */   // Label 25915: @1928965
     /* 1928965 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1929051), // Rule ID 23979 //
     /* 1928970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1928981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1928984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1928987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929016 */     // MIs[0] policy
     /* 1929016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929050 */     // GIR_Coverage, 23979,
     /* 1929050 */     GIR_EraseRootFromParent_Done,
     /* 1929051 */   // Label 25916: @1929051
     /* 1929051 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1929137), // Rule ID 23982 //
     /* 1929056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929102 */     // MIs[0] policy
     /* 1929102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929136 */     // GIR_Coverage, 23982,
     /* 1929136 */     GIR_EraseRootFromParent_Done,
     /* 1929137 */   // Label 25917: @1929137
     /* 1929137 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1929223), // Rule ID 23983 //
     /* 1929142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929188 */     // MIs[0] policy
     /* 1929188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929222 */     // GIR_Coverage, 23983,
     /* 1929222 */     GIR_EraseRootFromParent_Done,
     /* 1929223 */   // Label 25918: @1929223
     /* 1929223 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1929309), // Rule ID 23986 //
     /* 1929228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929274 */     // MIs[0] policy
     /* 1929274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929308 */     // GIR_Coverage, 23986,
     /* 1929308 */     GIR_EraseRootFromParent_Done,
     /* 1929309 */   // Label 25919: @1929309
     /* 1929309 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1929395), // Rule ID 23987 //
     /* 1929314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929360 */     // MIs[0] policy
     /* 1929360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929394 */     // GIR_Coverage, 23987,
     /* 1929394 */     GIR_EraseRootFromParent_Done,
     /* 1929395 */   // Label 25920: @1929395
     /* 1929395 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1929481), // Rule ID 23990 //
     /* 1929400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1929403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929446 */     // MIs[0] policy
     /* 1929446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929480 */     // GIR_Coverage, 23990,
     /* 1929480 */     GIR_EraseRootFromParent_Done,
     /* 1929481 */   // Label 25921: @1929481
     /* 1929481 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1929567), // Rule ID 23991 //
     /* 1929486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929532 */     // MIs[0] policy
     /* 1929532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929566 */     // GIR_Coverage, 23991,
     /* 1929566 */     GIR_EraseRootFromParent_Done,
     /* 1929567 */   // Label 25922: @1929567
     /* 1929567 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1929653), // Rule ID 23994 //
     /* 1929572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1929583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1929586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1929589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929618 */     // MIs[0] policy
     /* 1929618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1929631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929652 */     // GIR_Coverage, 23994,
     /* 1929652 */     GIR_EraseRootFromParent_Done,
     /* 1929653 */   // Label 25923: @1929653
     /* 1929653 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1929739), // Rule ID 23995 //
     /* 1929658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1929669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1929672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1929675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929704 */     // MIs[0] policy
     /* 1929704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1929717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929738 */     // GIR_Coverage, 23995,
     /* 1929738 */     GIR_EraseRootFromParent_Done,
     /* 1929739 */   // Label 25924: @1929739
     /* 1929739 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1929825), // Rule ID 23998 //
     /* 1929744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1929755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1929758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1929761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929790 */     // MIs[0] policy
     /* 1929790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1929803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929824 */     // GIR_Coverage, 23998,
     /* 1929824 */     GIR_EraseRootFromParent_Done,
     /* 1929825 */   // Label 25925: @1929825
     /* 1929825 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1929911), // Rule ID 23999 //
     /* 1929830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1929841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1929844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1929847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929876 */     // MIs[0] policy
     /* 1929876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1929889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929910 */     // GIR_Coverage, 23999,
     /* 1929910 */     GIR_EraseRootFromParent_Done,
     /* 1929911 */   // Label 25926: @1929911
     /* 1929911 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1929997), // Rule ID 24002 //
     /* 1929916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1929927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1929930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1929933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1929939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929962 */     // MIs[0] policy
     /* 1929962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1929975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929996 */     // GIR_Coverage, 24002,
     /* 1929996 */     GIR_EraseRootFromParent_Done,
     /* 1929997 */   // Label 25927: @1929997
     /* 1929997 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1930083), // Rule ID 24003 //
     /* 1930002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930048 */     // MIs[0] policy
     /* 1930048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930058 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930082 */     // GIR_Coverage, 24003,
     /* 1930082 */     GIR_EraseRootFromParent_Done,
     /* 1930083 */   // Label 25928: @1930083
     /* 1930083 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1930169), // Rule ID 24006 //
     /* 1930088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930134 */     // MIs[0] policy
     /* 1930134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930168 */     // GIR_Coverage, 24006,
     /* 1930168 */     GIR_EraseRootFromParent_Done,
     /* 1930169 */   // Label 25929: @1930169
     /* 1930169 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1930255), // Rule ID 24007 //
     /* 1930174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930220 */     // MIs[0] policy
     /* 1930220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930254 */     // GIR_Coverage, 24007,
     /* 1930254 */     GIR_EraseRootFromParent_Done,
     /* 1930255 */   // Label 25930: @1930255
     /* 1930255 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1930341), // Rule ID 24010 //
     /* 1930260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930306 */     // MIs[0] policy
     /* 1930306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930340 */     // GIR_Coverage, 24010,
     /* 1930340 */     GIR_EraseRootFromParent_Done,
     /* 1930341 */   // Label 25931: @1930341
     /* 1930341 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1930427), // Rule ID 24011 //
     /* 1930346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930392 */     // MIs[0] policy
     /* 1930392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930426 */     // GIR_Coverage, 24011,
     /* 1930426 */     GIR_EraseRootFromParent_Done,
     /* 1930427 */   // Label 25932: @1930427
     /* 1930427 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1930513), // Rule ID 24014 //
     /* 1930432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930478 */     // MIs[0] policy
     /* 1930478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930488 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930512 */     // GIR_Coverage, 24014,
     /* 1930512 */     GIR_EraseRootFromParent_Done,
     /* 1930513 */   // Label 25933: @1930513
     /* 1930513 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1930599), // Rule ID 24015 //
     /* 1930518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930564 */     // MIs[0] policy
     /* 1930564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930598 */     // GIR_Coverage, 24015,
     /* 1930598 */     GIR_EraseRootFromParent_Done,
     /* 1930599 */   // Label 25934: @1930599
     /* 1930599 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1930685), // Rule ID 24018 //
     /* 1930604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930650 */     // MIs[0] policy
     /* 1930650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930684 */     // GIR_Coverage, 24018,
     /* 1930684 */     GIR_EraseRootFromParent_Done,
     /* 1930685 */   // Label 25935: @1930685
     /* 1930685 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1930771), // Rule ID 24019 //
     /* 1930690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930736 */     // MIs[0] policy
     /* 1930736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930770 */     // GIR_Coverage, 24019,
     /* 1930770 */     GIR_EraseRootFromParent_Done,
     /* 1930771 */   // Label 25936: @1930771
     /* 1930771 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1930857), // Rule ID 24022 //
     /* 1930776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930822 */     // MIs[0] policy
     /* 1930822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930856 */     // GIR_Coverage, 24022,
     /* 1930856 */     GIR_EraseRootFromParent_Done,
     /* 1930857 */   // Label 25937: @1930857
     /* 1930857 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1930943), // Rule ID 24023 //
     /* 1930862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930908 */     // MIs[0] policy
     /* 1930908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930942 */     // GIR_Coverage, 24023,
     /* 1930942 */     GIR_EraseRootFromParent_Done,
     /* 1930943 */   // Label 25938: @1930943
     /* 1930943 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1931029), // Rule ID 24026 //
     /* 1930948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1930959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1930962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1930965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930994 */     // MIs[0] policy
     /* 1930994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931028 */     // GIR_Coverage, 24026,
     /* 1931028 */     GIR_EraseRootFromParent_Done,
     /* 1931029 */   // Label 25939: @1931029
     /* 1931029 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1931115), // Rule ID 24027 //
     /* 1931034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931080 */     // MIs[0] policy
     /* 1931080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931114 */     // GIR_Coverage, 24027,
     /* 1931114 */     GIR_EraseRootFromParent_Done,
     /* 1931115 */   // Label 25940: @1931115
     /* 1931115 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1931201), // Rule ID 24030 //
     /* 1931120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931166 */     // MIs[0] policy
     /* 1931166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931200 */     // GIR_Coverage, 24030,
     /* 1931200 */     GIR_EraseRootFromParent_Done,
     /* 1931201 */   // Label 25941: @1931201
     /* 1931201 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1931287), // Rule ID 24031 //
     /* 1931206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931252 */     // MIs[0] policy
     /* 1931252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931286 */     // GIR_Coverage, 24031,
     /* 1931286 */     GIR_EraseRootFromParent_Done,
     /* 1931287 */   // Label 25942: @1931287
     /* 1931287 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1931373), // Rule ID 24034 //
     /* 1931292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931338 */     // MIs[0] policy
     /* 1931338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931372 */     // GIR_Coverage, 24034,
     /* 1931372 */     GIR_EraseRootFromParent_Done,
     /* 1931373 */   // Label 25943: @1931373
     /* 1931373 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1931459), // Rule ID 24035 //
     /* 1931378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931424 */     // MIs[0] policy
     /* 1931424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931458 */     // GIR_Coverage, 24035,
     /* 1931458 */     GIR_EraseRootFromParent_Done,
     /* 1931459 */   // Label 25944: @1931459
     /* 1931459 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1931545), // Rule ID 24038 //
     /* 1931464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931510 */     // MIs[0] policy
     /* 1931510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931544 */     // GIR_Coverage, 24038,
     /* 1931544 */     GIR_EraseRootFromParent_Done,
     /* 1931545 */   // Label 25945: @1931545
     /* 1931545 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1931631), // Rule ID 24039 //
     /* 1931550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931596 */     // MIs[0] policy
     /* 1931596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931630 */     // GIR_Coverage, 24039,
     /* 1931630 */     GIR_EraseRootFromParent_Done,
     /* 1931631 */   // Label 25946: @1931631
     /* 1931631 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1931717), // Rule ID 24042 //
     /* 1931636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1931647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1931650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1931653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931682 */     // MIs[0] policy
     /* 1931682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1931695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931716 */     // GIR_Coverage, 24042,
     /* 1931716 */     GIR_EraseRootFromParent_Done,
     /* 1931717 */   // Label 25947: @1931717
     /* 1931717 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1931803), // Rule ID 24043 //
     /* 1931722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1931733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1931736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1931739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931768 */     // MIs[0] policy
     /* 1931768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1931781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931802 */     // GIR_Coverage, 24043,
     /* 1931802 */     GIR_EraseRootFromParent_Done,
     /* 1931803 */   // Label 25948: @1931803
     /* 1931803 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1931889), // Rule ID 24046 //
     /* 1931808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1931819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1931822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1931825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931854 */     // MIs[0] policy
     /* 1931854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1931867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931888 */     // GIR_Coverage, 24046,
     /* 1931888 */     GIR_EraseRootFromParent_Done,
     /* 1931889 */   // Label 25949: @1931889
     /* 1931889 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1931975), // Rule ID 24047 //
     /* 1931894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1931905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1931908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1931911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931940 */     // MIs[0] policy
     /* 1931940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1931953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931974 */     // GIR_Coverage, 24047,
     /* 1931974 */     GIR_EraseRootFromParent_Done,
     /* 1931975 */   // Label 25950: @1931975
     /* 1931975 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1932061), // Rule ID 24050 //
     /* 1931980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1931991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1931994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1931997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932026 */     // MIs[0] policy
     /* 1932026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932060 */     // GIR_Coverage, 24050,
     /* 1932060 */     GIR_EraseRootFromParent_Done,
     /* 1932061 */   // Label 25951: @1932061
     /* 1932061 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1932147), // Rule ID 24051 //
     /* 1932066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932112 */     // MIs[0] policy
     /* 1932112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932122 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932146 */     // GIR_Coverage, 24051,
     /* 1932146 */     GIR_EraseRootFromParent_Done,
     /* 1932147 */   // Label 25952: @1932147
     /* 1932147 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1932233), // Rule ID 24054 //
     /* 1932152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932198 */     // MIs[0] policy
     /* 1932198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932232 */     // GIR_Coverage, 24054,
     /* 1932232 */     GIR_EraseRootFromParent_Done,
     /* 1932233 */   // Label 25953: @1932233
     /* 1932233 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1932319), // Rule ID 24055 //
     /* 1932238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932284 */     // MIs[0] policy
     /* 1932284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932318 */     // GIR_Coverage, 24055,
     /* 1932318 */     GIR_EraseRootFromParent_Done,
     /* 1932319 */   // Label 25954: @1932319
     /* 1932319 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1932405), // Rule ID 24058 //
     /* 1932324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932370 */     // MIs[0] policy
     /* 1932370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932404 */     // GIR_Coverage, 24058,
     /* 1932404 */     GIR_EraseRootFromParent_Done,
     /* 1932405 */   // Label 25955: @1932405
     /* 1932405 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1932491), // Rule ID 24059 //
     /* 1932410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932456 */     // MIs[0] policy
     /* 1932456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932490 */     // GIR_Coverage, 24059,
     /* 1932490 */     GIR_EraseRootFromParent_Done,
     /* 1932491 */   // Label 25956: @1932491
     /* 1932491 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1932577), // Rule ID 24062 //
     /* 1932496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932542 */     // MIs[0] policy
     /* 1932542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932576 */     // GIR_Coverage, 24062,
     /* 1932576 */     GIR_EraseRootFromParent_Done,
     /* 1932577 */   // Label 25957: @1932577
     /* 1932577 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1932663), // Rule ID 24063 //
     /* 1932582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932628 */     // MIs[0] policy
     /* 1932628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932662 */     // GIR_Coverage, 24063,
     /* 1932662 */     GIR_EraseRootFromParent_Done,
     /* 1932663 */   // Label 25958: @1932663
     /* 1932663 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1932749), // Rule ID 24066 //
     /* 1932668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1932679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1932682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1932685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932714 */     // MIs[0] policy
     /* 1932714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1932727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932748 */     // GIR_Coverage, 24066,
     /* 1932748 */     GIR_EraseRootFromParent_Done,
     /* 1932749 */   // Label 25959: @1932749
     /* 1932749 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1932835), // Rule ID 24067 //
     /* 1932754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1932765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1932768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1932771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932800 */     // MIs[0] policy
     /* 1932800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932810 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1932813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932834 */     // GIR_Coverage, 24067,
     /* 1932834 */     GIR_EraseRootFromParent_Done,
     /* 1932835 */   // Label 25960: @1932835
     /* 1932835 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1932921), // Rule ID 24070 //
     /* 1932840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932886 */     // MIs[0] policy
     /* 1932886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1932899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932920 */     // GIR_Coverage, 24070,
     /* 1932920 */     GIR_EraseRootFromParent_Done,
     /* 1932921 */   // Label 25961: @1932921
     /* 1932921 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1933007), // Rule ID 24071 //
     /* 1932926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932972 */     // MIs[0] policy
     /* 1932972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1932985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933006 */     // GIR_Coverage, 24071,
     /* 1933006 */     GIR_EraseRootFromParent_Done,
     /* 1933007 */   // Label 25962: @1933007
     /* 1933007 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1933093), // Rule ID 24074 //
     /* 1933012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933058 */     // MIs[0] policy
     /* 1933058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933092 */     // GIR_Coverage, 24074,
     /* 1933092 */     GIR_EraseRootFromParent_Done,
     /* 1933093 */   // Label 25963: @1933093
     /* 1933093 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1933179), // Rule ID 24075 //
     /* 1933098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933144 */     // MIs[0] policy
     /* 1933144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933178 */     // GIR_Coverage, 24075,
     /* 1933178 */     GIR_EraseRootFromParent_Done,
     /* 1933179 */   // Label 25964: @1933179
     /* 1933179 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1933265), // Rule ID 24078 //
     /* 1933184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1933187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933230 */     // MIs[0] policy
     /* 1933230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933264 */     // GIR_Coverage, 24078,
     /* 1933264 */     GIR_EraseRootFromParent_Done,
     /* 1933265 */   // Label 25965: @1933265
     /* 1933265 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1933351), // Rule ID 24079 //
     /* 1933270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1933273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933316 */     // MIs[0] policy
     /* 1933316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933350 */     // GIR_Coverage, 24079,
     /* 1933350 */     GIR_EraseRootFromParent_Done,
     /* 1933351 */   // Label 25966: @1933351
     /* 1933351 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1933437), // Rule ID 24082 //
     /* 1933356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1933367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1933370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1933373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933402 */     // MIs[0] policy
     /* 1933402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1933415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933436 */     // GIR_Coverage, 24082,
     /* 1933436 */     GIR_EraseRootFromParent_Done,
     /* 1933437 */   // Label 25967: @1933437
     /* 1933437 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1933523), // Rule ID 24083 //
     /* 1933442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1933453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1933456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1933459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933488 */     // MIs[0] policy
     /* 1933488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1933501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933522 */     // GIR_Coverage, 24083,
     /* 1933522 */     GIR_EraseRootFromParent_Done,
     /* 1933523 */   // Label 25968: @1933523
     /* 1933523 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1933609), // Rule ID 24086 //
     /* 1933528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1933539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1933542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1933545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933574 */     // MIs[0] policy
     /* 1933574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1933587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933608 */     // GIR_Coverage, 24086,
     /* 1933608 */     GIR_EraseRootFromParent_Done,
     /* 1933609 */   // Label 25969: @1933609
     /* 1933609 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1933695), // Rule ID 24087 //
     /* 1933614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1933625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1933628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1933631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933660 */     // MIs[0] policy
     /* 1933660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933670 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1933673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933694 */     // GIR_Coverage, 24087,
     /* 1933694 */     GIR_EraseRootFromParent_Done,
     /* 1933695 */   // Label 25970: @1933695
     /* 1933695 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1933781), // Rule ID 24090 //
     /* 1933700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1933711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1933714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1933717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1933723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933746 */     // MIs[0] policy
     /* 1933746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933756 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1933759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933780 */     // GIR_Coverage, 24090,
     /* 1933780 */     GIR_EraseRootFromParent_Done,
     /* 1933781 */   // Label 25971: @1933781
     /* 1933781 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1933867), // Rule ID 24091 //
     /* 1933786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1933797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1933800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1933803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1933809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933832 */     // MIs[0] policy
     /* 1933832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933842 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1933845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933866 */     // GIR_Coverage, 24091,
     /* 1933866 */     GIR_EraseRootFromParent_Done,
     /* 1933867 */   // Label 25972: @1933867
     /* 1933867 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1933953), // Rule ID 24094 //
     /* 1933872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1933883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1933886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1933889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933918 */     // MIs[0] policy
     /* 1933918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933928 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1933931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933952 */     // GIR_Coverage, 24094,
     /* 1933952 */     GIR_EraseRootFromParent_Done,
     /* 1933953 */   // Label 25973: @1933953
     /* 1933953 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1934039), // Rule ID 24095 //
     /* 1933958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1933969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1933972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1933975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934004 */     // MIs[0] policy
     /* 1934004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934038 */     // GIR_Coverage, 24095,
     /* 1934038 */     GIR_EraseRootFromParent_Done,
     /* 1934039 */   // Label 25974: @1934039
     /* 1934039 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1934125), // Rule ID 24098 //
     /* 1934044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934090 */     // MIs[0] policy
     /* 1934090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934124 */     // GIR_Coverage, 24098,
     /* 1934124 */     GIR_EraseRootFromParent_Done,
     /* 1934125 */   // Label 25975: @1934125
     /* 1934125 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1934211), // Rule ID 24099 //
     /* 1934130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934176 */     // MIs[0] policy
     /* 1934176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934210 */     // GIR_Coverage, 24099,
     /* 1934210 */     GIR_EraseRootFromParent_Done,
     /* 1934211 */   // Label 25976: @1934211
     /* 1934211 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1934297), // Rule ID 24102 //
     /* 1934216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934262 */     // MIs[0] policy
     /* 1934262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934296 */     // GIR_Coverage, 24102,
     /* 1934296 */     GIR_EraseRootFromParent_Done,
     /* 1934297 */   // Label 25977: @1934297
     /* 1934297 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1934383), // Rule ID 24103 //
     /* 1934302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934348 */     // MIs[0] policy
     /* 1934348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934382 */     // GIR_Coverage, 24103,
     /* 1934382 */     GIR_EraseRootFromParent_Done,
     /* 1934383 */   // Label 25978: @1934383
     /* 1934383 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1934469), // Rule ID 24106 //
     /* 1934388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934434 */     // MIs[0] policy
     /* 1934434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934468 */     // GIR_Coverage, 24106,
     /* 1934468 */     GIR_EraseRootFromParent_Done,
     /* 1934469 */   // Label 25979: @1934469
     /* 1934469 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1934555), // Rule ID 24107 //
     /* 1934474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934520 */     // MIs[0] policy
     /* 1934520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934554 */     // GIR_Coverage, 24107,
     /* 1934554 */     GIR_EraseRootFromParent_Done,
     /* 1934555 */   // Label 25980: @1934555
     /* 1934555 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1934641), // Rule ID 24110 //
     /* 1934560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1934571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1934574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1934577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934606 */     // MIs[0] policy
     /* 1934606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934640 */     // GIR_Coverage, 24110,
     /* 1934640 */     GIR_EraseRootFromParent_Done,
     /* 1934641 */   // Label 25981: @1934641
     /* 1934641 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1934727), // Rule ID 24111 //
     /* 1934646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1934657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1934660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1934663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934692 */     // MIs[0] policy
     /* 1934692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934726 */     // GIR_Coverage, 24111,
     /* 1934726 */     GIR_EraseRootFromParent_Done,
     /* 1934727 */   // Label 25982: @1934727
     /* 1934727 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1934813), // Rule ID 24114 //
     /* 1934732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1934743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1934746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1934749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934778 */     // MIs[0] policy
     /* 1934778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934812 */     // GIR_Coverage, 24114,
     /* 1934812 */     GIR_EraseRootFromParent_Done,
     /* 1934813 */   // Label 25983: @1934813
     /* 1934813 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1934899), // Rule ID 24115 //
     /* 1934818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1934829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1934832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1934835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934864 */     // MIs[0] policy
     /* 1934864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934898 */     // GIR_Coverage, 24115,
     /* 1934898 */     GIR_EraseRootFromParent_Done,
     /* 1934899 */   // Label 25984: @1934899
     /* 1934899 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1934985), // Rule ID 24118 //
     /* 1934904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1934907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1934915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1934918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1934921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934950 */     // MIs[0] policy
     /* 1934950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934984 */     // GIR_Coverage, 24118,
     /* 1934984 */     GIR_EraseRootFromParent_Done,
     /* 1934985 */   // Label 25985: @1934985
     /* 1934985 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1935071), // Rule ID 24119 //
     /* 1934990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1934993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935036 */     // MIs[0] policy
     /* 1935036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1935049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935070 */     // GIR_Coverage, 24119,
     /* 1935070 */     GIR_EraseRootFromParent_Done,
     /* 1935071 */   // Label 25986: @1935071
     /* 1935071 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1935157), // Rule ID 24122 //
     /* 1935076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935122 */     // MIs[0] policy
     /* 1935122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935156 */     // GIR_Coverage, 24122,
     /* 1935156 */     GIR_EraseRootFromParent_Done,
     /* 1935157 */   // Label 25987: @1935157
     /* 1935157 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1935243), // Rule ID 24123 //
     /* 1935162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935208 */     // MIs[0] policy
     /* 1935208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935242 */     // GIR_Coverage, 24123,
     /* 1935242 */     GIR_EraseRootFromParent_Done,
     /* 1935243 */   // Label 25988: @1935243
     /* 1935243 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1935329), // Rule ID 24126 //
     /* 1935248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935294 */     // MIs[0] policy
     /* 1935294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935304 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935328 */     // GIR_Coverage, 24126,
     /* 1935328 */     GIR_EraseRootFromParent_Done,
     /* 1935329 */   // Label 25989: @1935329
     /* 1935329 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1935415), // Rule ID 24127 //
     /* 1935334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935380 */     // MIs[0] policy
     /* 1935380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935414 */     // GIR_Coverage, 24127,
     /* 1935414 */     GIR_EraseRootFromParent_Done,
     /* 1935415 */   // Label 25990: @1935415
     /* 1935415 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1935501), // Rule ID 24130 //
     /* 1935420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935466 */     // MIs[0] policy
     /* 1935466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935476 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1935479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935500 */     // GIR_Coverage, 24130,
     /* 1935500 */     GIR_EraseRootFromParent_Done,
     /* 1935501 */   // Label 25991: @1935501
     /* 1935501 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1935587), // Rule ID 24131 //
     /* 1935506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935552 */     // MIs[0] policy
     /* 1935552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935562 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1935565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935586 */     // GIR_Coverage, 24131,
     /* 1935586 */     GIR_EraseRootFromParent_Done,
     /* 1935587 */   // Label 25992: @1935587
     /* 1935587 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1935673), // Rule ID 24134 //
     /* 1935592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1935603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1935606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1935609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935638 */     // MIs[0] policy
     /* 1935638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935648 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1935651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935672 */     // GIR_Coverage, 24134,
     /* 1935672 */     GIR_EraseRootFromParent_Done,
     /* 1935673 */   // Label 25993: @1935673
     /* 1935673 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1935759), // Rule ID 24135 //
     /* 1935678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1935689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1935692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1935695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935724 */     // MIs[0] policy
     /* 1935724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935734 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1935737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935758 */     // GIR_Coverage, 24135,
     /* 1935758 */     GIR_EraseRootFromParent_Done,
     /* 1935759 */   // Label 25994: @1935759
     /* 1935759 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1935845), // Rule ID 24138 //
     /* 1935764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1935775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1935778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1935781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935810 */     // MIs[0] policy
     /* 1935810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935820 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1935823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935844 */     // GIR_Coverage, 24138,
     /* 1935844 */     GIR_EraseRootFromParent_Done,
     /* 1935845 */   // Label 25995: @1935845
     /* 1935845 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1935931), // Rule ID 24139 //
     /* 1935850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1935861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1935864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1935867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935896 */     // MIs[0] policy
     /* 1935896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935906 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1935909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935930 */     // GIR_Coverage, 24139,
     /* 1935930 */     GIR_EraseRootFromParent_Done,
     /* 1935931 */   // Label 25996: @1935931
     /* 1935931 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1936017), // Rule ID 24142 //
     /* 1935936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1935947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1935950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1935953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935982 */     // MIs[0] policy
     /* 1935982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1935995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936016 */     // GIR_Coverage, 24142,
     /* 1936016 */     GIR_EraseRootFromParent_Done,
     /* 1936017 */   // Label 25997: @1936017
     /* 1936017 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1936103), // Rule ID 24143 //
     /* 1936022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936068 */     // MIs[0] policy
     /* 1936068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936102 */     // GIR_Coverage, 24143,
     /* 1936102 */     GIR_EraseRootFromParent_Done,
     /* 1936103 */   // Label 25998: @1936103
     /* 1936103 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1936189), // Rule ID 24146 //
     /* 1936108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936154 */     // MIs[0] policy
     /* 1936154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936188 */     // GIR_Coverage, 24146,
     /* 1936188 */     GIR_EraseRootFromParent_Done,
     /* 1936189 */   // Label 25999: @1936189
     /* 1936189 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1936275), // Rule ID 24147 //
     /* 1936194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936240 */     // MIs[0] policy
     /* 1936240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936274 */     // GIR_Coverage, 24147,
     /* 1936274 */     GIR_EraseRootFromParent_Done,
     /* 1936275 */   // Label 26000: @1936275
     /* 1936275 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1936361), // Rule ID 24150 //
     /* 1936280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936326 */     // MIs[0] policy
     /* 1936326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936360 */     // GIR_Coverage, 24150,
     /* 1936360 */     GIR_EraseRootFromParent_Done,
     /* 1936361 */   // Label 26001: @1936361
     /* 1936361 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1936447), // Rule ID 24151 //
     /* 1936366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936412 */     // MIs[0] policy
     /* 1936412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936446 */     // GIR_Coverage, 24151,
     /* 1936446 */     GIR_EraseRootFromParent_Done,
     /* 1936447 */   // Label 26002: @1936447
     /* 1936447 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1936533), // Rule ID 24154 //
     /* 1936452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936498 */     // MIs[0] policy
     /* 1936498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1936511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936532 */     // GIR_Coverage, 24154,
     /* 1936532 */     GIR_EraseRootFromParent_Done,
     /* 1936533 */   // Label 26003: @1936533
     /* 1936533 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1936619), // Rule ID 24155 //
     /* 1936538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936584 */     // MIs[0] policy
     /* 1936584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1936597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936618 */     // GIR_Coverage, 24155,
     /* 1936618 */     GIR_EraseRootFromParent_Done,
     /* 1936619 */   // Label 26004: @1936619
     /* 1936619 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1936705), // Rule ID 24158 //
     /* 1936624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1936635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1936638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1936641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936670 */     // MIs[0] policy
     /* 1936670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936680 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1936683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936704 */     // GIR_Coverage, 24158,
     /* 1936704 */     GIR_EraseRootFromParent_Done,
     /* 1936705 */   // Label 26005: @1936705
     /* 1936705 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1936791), // Rule ID 24159 //
     /* 1936710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1936721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1936724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1936727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936756 */     // MIs[0] policy
     /* 1936756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936766 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1936769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936790 */     // GIR_Coverage, 24159,
     /* 1936790 */     GIR_EraseRootFromParent_Done,
     /* 1936791 */   // Label 26006: @1936791
     /* 1936791 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1936877), // Rule ID 24162 //
     /* 1936796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1936807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1936810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1936813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1936819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936842 */     // MIs[0] policy
     /* 1936842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1936855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936876 */     // GIR_Coverage, 24162,
     /* 1936876 */     GIR_EraseRootFromParent_Done,
     /* 1936877 */   // Label 26007: @1936877
     /* 1936877 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1936963), // Rule ID 24163 //
     /* 1936882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1936893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1936896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1936899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1936905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936928 */     // MIs[0] policy
     /* 1936928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936938 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1936941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936962 */     // GIR_Coverage, 24163,
     /* 1936962 */     GIR_EraseRootFromParent_Done,
     /* 1936963 */   // Label 26008: @1936963
     /* 1936963 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1937049), // Rule ID 24166 //
     /* 1936968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1936979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1936982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1936985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937014 */     // MIs[0] policy
     /* 1937014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937048 */     // GIR_Coverage, 24166,
     /* 1937048 */     GIR_EraseRootFromParent_Done,
     /* 1937049 */   // Label 26009: @1937049
     /* 1937049 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1937135), // Rule ID 24167 //
     /* 1937054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1937065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1937068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1937071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937100 */     // MIs[0] policy
     /* 1937100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937110 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937134 */     // GIR_Coverage, 24167,
     /* 1937134 */     GIR_EraseRootFromParent_Done,
     /* 1937135 */   // Label 26010: @1937135
     /* 1937135 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1937221), // Rule ID 24170 //
     /* 1937140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937186 */     // MIs[0] policy
     /* 1937186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937220 */     // GIR_Coverage, 24170,
     /* 1937220 */     GIR_EraseRootFromParent_Done,
     /* 1937221 */   // Label 26011: @1937221
     /* 1937221 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1937307), // Rule ID 24171 //
     /* 1937226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937272 */     // MIs[0] policy
     /* 1937272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937306 */     // GIR_Coverage, 24171,
     /* 1937306 */     GIR_EraseRootFromParent_Done,
     /* 1937307 */   // Label 26012: @1937307
     /* 1937307 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1937393), // Rule ID 24174 //
     /* 1937312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937358 */     // MIs[0] policy
     /* 1937358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937368 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937392 */     // GIR_Coverage, 24174,
     /* 1937392 */     GIR_EraseRootFromParent_Done,
     /* 1937393 */   // Label 26013: @1937393
     /* 1937393 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1937479), // Rule ID 24175 //
     /* 1937398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937444 */     // MIs[0] policy
     /* 1937444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937454 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937478 */     // GIR_Coverage, 24175,
     /* 1937478 */     GIR_EraseRootFromParent_Done,
     /* 1937479 */   // Label 26014: @1937479
     /* 1937479 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1937565), // Rule ID 24178 //
     /* 1937484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937530 */     // MIs[0] policy
     /* 1937530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937564 */     // GIR_Coverage, 24178,
     /* 1937564 */     GIR_EraseRootFromParent_Done,
     /* 1937565 */   // Label 26015: @1937565
     /* 1937565 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1937651), // Rule ID 24179 //
     /* 1937570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937616 */     // MIs[0] policy
     /* 1937616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937626 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937650 */     // GIR_Coverage, 24179,
     /* 1937650 */     GIR_EraseRootFromParent_Done,
     /* 1937651 */   // Label 26016: @1937651
     /* 1937651 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1937737), // Rule ID 24182 //
     /* 1937656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1937667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1937670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1937673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937702 */     // MIs[0] policy
     /* 1937702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937712 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937736 */     // GIR_Coverage, 24182,
     /* 1937736 */     GIR_EraseRootFromParent_Done,
     /* 1937737 */   // Label 26017: @1937737
     /* 1937737 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1937823), // Rule ID 24183 //
     /* 1937742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1937753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1937756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1937759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937788 */     // MIs[0] policy
     /* 1937788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937798 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937822 */     // GIR_Coverage, 24183,
     /* 1937822 */     GIR_EraseRootFromParent_Done,
     /* 1937823 */   // Label 26018: @1937823
     /* 1937823 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1937909), // Rule ID 24186 //
     /* 1937828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1937839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1937842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1937845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937874 */     // MIs[0] policy
     /* 1937874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937908 */     // GIR_Coverage, 24186,
     /* 1937908 */     GIR_EraseRootFromParent_Done,
     /* 1937909 */   // Label 26019: @1937909
     /* 1937909 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1937995), // Rule ID 24187 //
     /* 1937914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1937925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1937928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1937931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937960 */     // MIs[0] policy
     /* 1937960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937994 */     // GIR_Coverage, 24187,
     /* 1937994 */     GIR_EraseRootFromParent_Done,
     /* 1937995 */   // Label 26020: @1937995
     /* 1937995 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1938081), // Rule ID 24250 //
     /* 1938000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938046 */     // MIs[0] policy
     /* 1938046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1938059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938080 */     // GIR_Coverage, 24250,
     /* 1938080 */     GIR_EraseRootFromParent_Done,
     /* 1938081 */   // Label 26021: @1938081
     /* 1938081 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1938167), // Rule ID 24251 //
     /* 1938086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938132 */     // MIs[0] policy
     /* 1938132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1938145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938166 */     // GIR_Coverage, 24251,
     /* 1938166 */     GIR_EraseRootFromParent_Done,
     /* 1938167 */   // Label 26022: @1938167
     /* 1938167 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1938253), // Rule ID 24254 //
     /* 1938172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938218 */     // MIs[0] policy
     /* 1938218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938252 */     // GIR_Coverage, 24254,
     /* 1938252 */     GIR_EraseRootFromParent_Done,
     /* 1938253 */   // Label 26023: @1938253
     /* 1938253 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1938339), // Rule ID 24255 //
     /* 1938258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938304 */     // MIs[0] policy
     /* 1938304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938338 */     // GIR_Coverage, 24255,
     /* 1938338 */     GIR_EraseRootFromParent_Done,
     /* 1938339 */   // Label 26024: @1938339
     /* 1938339 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1938425), // Rule ID 24258 //
     /* 1938344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938390 */     // MIs[0] policy
     /* 1938390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938424 */     // GIR_Coverage, 24258,
     /* 1938424 */     GIR_EraseRootFromParent_Done,
     /* 1938425 */   // Label 26025: @1938425
     /* 1938425 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1938511), // Rule ID 24259 //
     /* 1938430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938476 */     // MIs[0] policy
     /* 1938476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938486 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938510 */     // GIR_Coverage, 24259,
     /* 1938510 */     GIR_EraseRootFromParent_Done,
     /* 1938511 */   // Label 26026: @1938511
     /* 1938511 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1938597), // Rule ID 24262 //
     /* 1938516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938562 */     // MIs[0] policy
     /* 1938562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938572 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1938575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938596 */     // GIR_Coverage, 24262,
     /* 1938596 */     GIR_EraseRootFromParent_Done,
     /* 1938597 */   // Label 26027: @1938597
     /* 1938597 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1938683), // Rule ID 24263 //
     /* 1938602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938648 */     // MIs[0] policy
     /* 1938648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1938661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938682 */     // GIR_Coverage, 24263,
     /* 1938682 */     GIR_EraseRootFromParent_Done,
     /* 1938683 */   // Label 26028: @1938683
     /* 1938683 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1938769), // Rule ID 24266 //
     /* 1938688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938734 */     // MIs[0] policy
     /* 1938734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1938747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938768 */     // GIR_Coverage, 24266,
     /* 1938768 */     GIR_EraseRootFromParent_Done,
     /* 1938769 */   // Label 26029: @1938769
     /* 1938769 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1938855), // Rule ID 24267 //
     /* 1938774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938820 */     // MIs[0] policy
     /* 1938820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1938833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938854 */     // GIR_Coverage, 24267,
     /* 1938854 */     GIR_EraseRootFromParent_Done,
     /* 1938855 */   // Label 26030: @1938855
     /* 1938855 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1938941), // Rule ID 24270 //
     /* 1938860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938906 */     // MIs[0] policy
     /* 1938906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1938919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938940 */     // GIR_Coverage, 24270,
     /* 1938940 */     GIR_EraseRootFromParent_Done,
     /* 1938941 */   // Label 26031: @1938941
     /* 1938941 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1939027), // Rule ID 24271 //
     /* 1938946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938992 */     // MIs[0] policy
     /* 1938992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939002 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939026 */     // GIR_Coverage, 24271,
     /* 1939026 */     GIR_EraseRootFromParent_Done,
     /* 1939027 */   // Label 26032: @1939027
     /* 1939027 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1939113), // Rule ID 24274 //
     /* 1939032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939078 */     // MIs[0] policy
     /* 1939078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939088 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939112 */     // GIR_Coverage, 24274,
     /* 1939112 */     GIR_EraseRootFromParent_Done,
     /* 1939113 */   // Label 26033: @1939113
     /* 1939113 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1939199), // Rule ID 24275 //
     /* 1939118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939164 */     // MIs[0] policy
     /* 1939164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939174 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939198 */     // GIR_Coverage, 24275,
     /* 1939198 */     GIR_EraseRootFromParent_Done,
     /* 1939199 */   // Label 26034: @1939199
     /* 1939199 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1939285), // Rule ID 24278 //
     /* 1939204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939250 */     // MIs[0] policy
     /* 1939250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939260 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939284 */     // GIR_Coverage, 24278,
     /* 1939284 */     GIR_EraseRootFromParent_Done,
     /* 1939285 */   // Label 26035: @1939285
     /* 1939285 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1939371), // Rule ID 24279 //
     /* 1939290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939336 */     // MIs[0] policy
     /* 1939336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939346 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939370 */     // GIR_Coverage, 24279,
     /* 1939370 */     GIR_EraseRootFromParent_Done,
     /* 1939371 */   // Label 26036: @1939371
     /* 1939371 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1939457), // Rule ID 24282 //
     /* 1939376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939422 */     // MIs[0] policy
     /* 1939422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939432 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1939435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939456 */     // GIR_Coverage, 24282,
     /* 1939456 */     GIR_EraseRootFromParent_Done,
     /* 1939457 */   // Label 26037: @1939457
     /* 1939457 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1939543), // Rule ID 24283 //
     /* 1939462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939508 */     // MIs[0] policy
     /* 1939508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939518 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1939521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939542 */     // GIR_Coverage, 24283,
     /* 1939542 */     GIR_EraseRootFromParent_Done,
     /* 1939543 */   // Label 26038: @1939543
     /* 1939543 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1939629), // Rule ID 24286 //
     /* 1939548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1939551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939594 */     // MIs[0] policy
     /* 1939594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939628 */     // GIR_Coverage, 24286,
     /* 1939628 */     GIR_EraseRootFromParent_Done,
     /* 1939629 */   // Label 26039: @1939629
     /* 1939629 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1939715), // Rule ID 24287 //
     /* 1939634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1939637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939680 */     // MIs[0] policy
     /* 1939680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939714 */     // GIR_Coverage, 24287,
     /* 1939714 */     GIR_EraseRootFromParent_Done,
     /* 1939715 */   // Label 26040: @1939715
     /* 1939715 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1939801), // Rule ID 24290 //
     /* 1939720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1939723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939766 */     // MIs[0] policy
     /* 1939766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939800 */     // GIR_Coverage, 24290,
     /* 1939800 */     GIR_EraseRootFromParent_Done,
     /* 1939801 */   // Label 26041: @1939801
     /* 1939801 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1939887), // Rule ID 24291 //
     /* 1939806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1939809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939852 */     // MIs[0] policy
     /* 1939852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939886 */     // GIR_Coverage, 24291,
     /* 1939886 */     GIR_EraseRootFromParent_Done,
     /* 1939887 */   // Label 26042: @1939887
     /* 1939887 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1939973), // Rule ID 24294 //
     /* 1939892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1939895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1939903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1939906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1939909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939938 */     // MIs[0] policy
     /* 1939938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1939951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939972 */     // GIR_Coverage, 24294,
     /* 1939972 */     GIR_EraseRootFromParent_Done,
     /* 1939973 */   // Label 26043: @1939973
     /* 1939973 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1940059), // Rule ID 24295 //
     /* 1939978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1939981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1939989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1939992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1939995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940024 */     // MIs[0] policy
     /* 1940024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940058 */     // GIR_Coverage, 24295,
     /* 1940058 */     GIR_EraseRootFromParent_Done,
     /* 1940059 */   // Label 26044: @1940059
     /* 1940059 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1940145), // Rule ID 24298 //
     /* 1940064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940110 */     // MIs[0] policy
     /* 1940110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940120 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940144 */     // GIR_Coverage, 24298,
     /* 1940144 */     GIR_EraseRootFromParent_Done,
     /* 1940145 */   // Label 26045: @1940145
     /* 1940145 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1940231), // Rule ID 24299 //
     /* 1940150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940196 */     // MIs[0] policy
     /* 1940196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940206 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940230 */     // GIR_Coverage, 24299,
     /* 1940230 */     GIR_EraseRootFromParent_Done,
     /* 1940231 */   // Label 26046: @1940231
     /* 1940231 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1940317), // Rule ID 24302 //
     /* 1940236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940282 */     // MIs[0] policy
     /* 1940282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940292 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940316 */     // GIR_Coverage, 24302,
     /* 1940316 */     GIR_EraseRootFromParent_Done,
     /* 1940317 */   // Label 26047: @1940317
     /* 1940317 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1940403), // Rule ID 24303 //
     /* 1940322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940368 */     // MIs[0] policy
     /* 1940368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940402 */     // GIR_Coverage, 24303,
     /* 1940402 */     GIR_EraseRootFromParent_Done,
     /* 1940403 */   // Label 26048: @1940403
     /* 1940403 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1940489), // Rule ID 24306 //
     /* 1940408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940454 */     // MIs[0] policy
     /* 1940454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940464 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940488 */     // GIR_Coverage, 24306,
     /* 1940488 */     GIR_EraseRootFromParent_Done,
     /* 1940489 */   // Label 26049: @1940489
     /* 1940489 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1940575), // Rule ID 24307 //
     /* 1940494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940540 */     // MIs[0] policy
     /* 1940540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940550 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11502:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940574 */     // GIR_Coverage, 24307,
     /* 1940574 */     GIR_EraseRootFromParent_Done,
     /* 1940575 */   // Label 26050: @1940575
     /* 1940575 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1940661), // Rule ID 24370 //
     /* 1940580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1940583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1940600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1940622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940626 */     // MIs[0] policy
     /* 1940626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940636 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1940639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940660 */     // GIR_Coverage, 24370,
     /* 1940660 */     GIR_EraseRootFromParent_Done,
     /* 1940661 */   // Label 26051: @1940661
     /* 1940661 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1940747), // Rule ID 24371 //
     /* 1940666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1940669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1940686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1940708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940712 */     // MIs[0] policy
     /* 1940712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940722 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1940725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940746 */     // GIR_Coverage, 24371,
     /* 1940746 */     GIR_EraseRootFromParent_Done,
     /* 1940747 */   // Label 26052: @1940747
     /* 1940747 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1940833), // Rule ID 24374 //
     /* 1940752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1940755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1940772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1940794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940798 */     // MIs[0] policy
     /* 1940798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940808 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1940811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940832 */     // GIR_Coverage, 24374,
     /* 1940832 */     GIR_EraseRootFromParent_Done,
     /* 1940833 */   // Label 26053: @1940833
     /* 1940833 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1940919), // Rule ID 24375 //
     /* 1940838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1940841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1940858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1940880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940884 */     // MIs[0] policy
     /* 1940884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1940897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940918 */     // GIR_Coverage, 24375,
     /* 1940918 */     GIR_EraseRootFromParent_Done,
     /* 1940919 */   // Label 26054: @1940919
     /* 1940919 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1941005), // Rule ID 24378 //
     /* 1940924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940970 */     // MIs[0] policy
     /* 1940970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1940983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941004 */     // GIR_Coverage, 24378,
     /* 1941004 */     GIR_EraseRootFromParent_Done,
     /* 1941005 */   // Label 26055: @1941005
     /* 1941005 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1941091), // Rule ID 24379 //
     /* 1941010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941056 */     // MIs[0] policy
     /* 1941056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941066 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1941069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941090 */     // GIR_Coverage, 24379,
     /* 1941090 */     GIR_EraseRootFromParent_Done,
     /* 1941091 */   // Label 26056: @1941091
     /* 1941091 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1941177), // Rule ID 24382 //
     /* 1941096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941142 */     // MIs[0] policy
     /* 1941142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1941155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941176 */     // GIR_Coverage, 24382,
     /* 1941176 */     GIR_EraseRootFromParent_Done,
     /* 1941177 */   // Label 26057: @1941177
     /* 1941177 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1941263), // Rule ID 24383 //
     /* 1941182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941228 */     // MIs[0] policy
     /* 1941228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941238 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1941241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941262 */     // GIR_Coverage, 24383,
     /* 1941262 */     GIR_EraseRootFromParent_Done,
     /* 1941263 */   // Label 26058: @1941263
     /* 1941263 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1941349), // Rule ID 24386 //
     /* 1941268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941314 */     // MIs[0] policy
     /* 1941314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1941327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941348 */     // GIR_Coverage, 24386,
     /* 1941348 */     GIR_EraseRootFromParent_Done,
     /* 1941349 */   // Label 26059: @1941349
     /* 1941349 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1941435), // Rule ID 24387 //
     /* 1941354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941400 */     // MIs[0] policy
     /* 1941400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1941413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941434 */     // GIR_Coverage, 24387,
     /* 1941434 */     GIR_EraseRootFromParent_Done,
     /* 1941435 */   // Label 26060: @1941435
     /* 1941435 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1941521), // Rule ID 24390 //
     /* 1941440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1941443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1941482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941486 */     // MIs[0] policy
     /* 1941486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1941499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941520 */     // GIR_Coverage, 24390,
     /* 1941520 */     GIR_EraseRootFromParent_Done,
     /* 1941521 */   // Label 26061: @1941521
     /* 1941521 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1941607), // Rule ID 24391 //
     /* 1941526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1941529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1941568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941572 */     // MIs[0] policy
     /* 1941572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1941585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941606 */     // GIR_Coverage, 24391,
     /* 1941606 */     GIR_EraseRootFromParent_Done,
     /* 1941607 */   // Label 26062: @1941607
     /* 1941607 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1941693), // Rule ID 24394 //
     /* 1941612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941658 */     // MIs[0] policy
     /* 1941658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1941671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941692 */     // GIR_Coverage, 24394,
     /* 1941692 */     GIR_EraseRootFromParent_Done,
     /* 1941693 */   // Label 26063: @1941693
     /* 1941693 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1941779), // Rule ID 24395 //
     /* 1941698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941744 */     // MIs[0] policy
     /* 1941744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941754 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1941757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941778 */     // GIR_Coverage, 24395,
     /* 1941778 */     GIR_EraseRootFromParent_Done,
     /* 1941779 */   // Label 26064: @1941779
     /* 1941779 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1941865), // Rule ID 24398 //
     /* 1941784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941830 */     // MIs[0] policy
     /* 1941830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1941843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941864 */     // GIR_Coverage, 24398,
     /* 1941864 */     GIR_EraseRootFromParent_Done,
     /* 1941865 */   // Label 26065: @1941865
     /* 1941865 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1941951), // Rule ID 24399 //
     /* 1941870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941916 */     // MIs[0] policy
     /* 1941916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941926 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1941929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941950 */     // GIR_Coverage, 24399,
     /* 1941950 */     GIR_EraseRootFromParent_Done,
     /* 1941951 */   // Label 26066: @1941951
     /* 1941951 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1942037), // Rule ID 24402 //
     /* 1941956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942002 */     // MIs[0] policy
     /* 1942002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942012 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1942015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942036 */     // GIR_Coverage, 24402,
     /* 1942036 */     GIR_EraseRootFromParent_Done,
     /* 1942037 */   // Label 26067: @1942037
     /* 1942037 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1942123), // Rule ID 24403 //
     /* 1942042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942088 */     // MIs[0] policy
     /* 1942088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942098 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1942101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942122 */     // GIR_Coverage, 24403,
     /* 1942122 */     GIR_EraseRootFromParent_Done,
     /* 1942123 */   // Label 26068: @1942123
     /* 1942123 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1942209), // Rule ID 24406 //
     /* 1942128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942174 */     // MIs[0] policy
     /* 1942174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942184 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1942187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942208 */     // GIR_Coverage, 24406,
     /* 1942208 */     GIR_EraseRootFromParent_Done,
     /* 1942209 */   // Label 26069: @1942209
     /* 1942209 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1942295), // Rule ID 24407 //
     /* 1942214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942260 */     // MIs[0] policy
     /* 1942260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942270 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1942273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942294 */     // GIR_Coverage, 24407,
     /* 1942294 */     GIR_EraseRootFromParent_Done,
     /* 1942295 */   // Label 26070: @1942295
     /* 1942295 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1942381), // Rule ID 24410 //
     /* 1942300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942346 */     // MIs[0] policy
     /* 1942346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942356 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1942359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942380 */     // GIR_Coverage, 24410,
     /* 1942380 */     GIR_EraseRootFromParent_Done,
     /* 1942381 */   // Label 26071: @1942381
     /* 1942381 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1942467), // Rule ID 24411 //
     /* 1942386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942432 */     // MIs[0] policy
     /* 1942432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942442 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1942445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942466 */     // GIR_Coverage, 24411,
     /* 1942466 */     GIR_EraseRootFromParent_Done,
     /* 1942467 */   // Label 26072: @1942467
     /* 1942467 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1942553), // Rule ID 24414 //
     /* 1942472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942518 */     // MIs[0] policy
     /* 1942518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1942531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942552 */     // GIR_Coverage, 24414,
     /* 1942552 */     GIR_EraseRootFromParent_Done,
     /* 1942553 */   // Label 26073: @1942553
     /* 1942553 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1942639), // Rule ID 24415 //
     /* 1942558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942604 */     // MIs[0] policy
     /* 1942604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942614 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1942617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942638 */     // GIR_Coverage, 24415,
     /* 1942638 */     GIR_EraseRootFromParent_Done,
     /* 1942639 */   // Label 26074: @1942639
     /* 1942639 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1942725), // Rule ID 24418 //
     /* 1942644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942690 */     // MIs[0] policy
     /* 1942690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1942703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942724 */     // GIR_Coverage, 24418,
     /* 1942724 */     GIR_EraseRootFromParent_Done,
     /* 1942725 */   // Label 26075: @1942725
     /* 1942725 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1942811), // Rule ID 24419 //
     /* 1942730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942776 */     // MIs[0] policy
     /* 1942776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942786 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1942789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942810 */     // GIR_Coverage, 24419,
     /* 1942810 */     GIR_EraseRootFromParent_Done,
     /* 1942811 */   // Label 26076: @1942811
     /* 1942811 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1942897), // Rule ID 24422 //
     /* 1942816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942862 */     // MIs[0] policy
     /* 1942862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1942875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942896 */     // GIR_Coverage, 24422,
     /* 1942896 */     GIR_EraseRootFromParent_Done,
     /* 1942897 */   // Label 26077: @1942897
     /* 1942897 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1942983), // Rule ID 24423 //
     /* 1942902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942948 */     // MIs[0] policy
     /* 1942948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942958 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1942961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942982 */     // GIR_Coverage, 24423,
     /* 1942982 */     GIR_EraseRootFromParent_Done,
     /* 1942983 */   // Label 26078: @1942983
     /* 1942983 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1943069), // Rule ID 24426 //
     /* 1942988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943034 */     // MIs[0] policy
     /* 1943034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943044 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1943047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943068 */     // GIR_Coverage, 24426,
     /* 1943068 */     GIR_EraseRootFromParent_Done,
     /* 1943069 */   // Label 26079: @1943069
     /* 1943069 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1943155), // Rule ID 24427 //
     /* 1943074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943120 */     // MIs[0] policy
     /* 1943120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1943133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943154 */     // GIR_Coverage, 24427,
     /* 1943154 */     GIR_EraseRootFromParent_Done,
     /* 1943155 */   // Label 26080: @1943155
     /* 1943155 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1943241), // Rule ID 24430 //
     /* 1943160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943206 */     // MIs[0] policy
     /* 1943206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943216 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1943219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943240 */     // GIR_Coverage, 24430,
     /* 1943240 */     GIR_EraseRootFromParent_Done,
     /* 1943241 */   // Label 26081: @1943241
     /* 1943241 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1943327), // Rule ID 24431 //
     /* 1943246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943292 */     // MIs[0] policy
     /* 1943292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1943305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943326 */     // GIR_Coverage, 24431,
     /* 1943326 */     GIR_EraseRootFromParent_Done,
     /* 1943327 */   // Label 26082: @1943327
     /* 1943327 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1943413), // Rule ID 24434 //
     /* 1943332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943378 */     // MIs[0] policy
     /* 1943378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1943391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943412 */     // GIR_Coverage, 24434,
     /* 1943412 */     GIR_EraseRootFromParent_Done,
     /* 1943413 */   // Label 26083: @1943413
     /* 1943413 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1943499), // Rule ID 24435 //
     /* 1943418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943464 */     // MIs[0] policy
     /* 1943464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943474 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1943477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943498 */     // GIR_Coverage, 24435,
     /* 1943498 */     GIR_EraseRootFromParent_Done,
     /* 1943499 */   // Label 26084: @1943499
     /* 1943499 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1943585), // Rule ID 24438 //
     /* 1943504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943550 */     // MIs[0] policy
     /* 1943550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943560 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1943563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943584 */     // GIR_Coverage, 24438,
     /* 1943584 */     GIR_EraseRootFromParent_Done,
     /* 1943585 */   // Label 26085: @1943585
     /* 1943585 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1943671), // Rule ID 24439 //
     /* 1943590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943636 */     // MIs[0] policy
     /* 1943636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943646 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1943649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943670 */     // GIR_Coverage, 24439,
     /* 1943670 */     GIR_EraseRootFromParent_Done,
     /* 1943671 */   // Label 26086: @1943671
     /* 1943671 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1943757), // Rule ID 24442 //
     /* 1943676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1943687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1943690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1943693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943722 */     // MIs[0] policy
     /* 1943722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1943735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943756 */     // GIR_Coverage, 24442,
     /* 1943756 */     GIR_EraseRootFromParent_Done,
     /* 1943757 */   // Label 26087: @1943757
     /* 1943757 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1943843), // Rule ID 24443 //
     /* 1943762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1943773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1943776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1943779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943808 */     // MIs[0] policy
     /* 1943808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943818 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1943821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943842 */     // GIR_Coverage, 24443,
     /* 1943842 */     GIR_EraseRootFromParent_Done,
     /* 1943843 */   // Label 26088: @1943843
     /* 1943843 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1943929), // Rule ID 24446 //
     /* 1943848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943894 */     // MIs[0] policy
     /* 1943894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1943907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943928 */     // GIR_Coverage, 24446,
     /* 1943928 */     GIR_EraseRootFromParent_Done,
     /* 1943929 */   // Label 26089: @1943929
     /* 1943929 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1944015), // Rule ID 24447 //
     /* 1943934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943980 */     // MIs[0] policy
     /* 1943980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943990 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1943993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944014 */     // GIR_Coverage, 24447,
     /* 1944014 */     GIR_EraseRootFromParent_Done,
     /* 1944015 */   // Label 26090: @1944015
     /* 1944015 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1944101), // Rule ID 24450 //
     /* 1944020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1944062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944066 */     // MIs[0] policy
     /* 1944066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1944079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944100 */     // GIR_Coverage, 24450,
     /* 1944100 */     GIR_EraseRootFromParent_Done,
     /* 1944101 */   // Label 26091: @1944101
     /* 1944101 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1944187), // Rule ID 24451 //
     /* 1944106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1944148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944152 */     // MIs[0] policy
     /* 1944152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944162 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1944165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944186 */     // GIR_Coverage, 24451,
     /* 1944186 */     GIR_EraseRootFromParent_Done,
     /* 1944187 */   // Label 26092: @1944187
     /* 1944187 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1944273), // Rule ID 24454 //
     /* 1944192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1944203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1944206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1944209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944238 */     // MIs[0] policy
     /* 1944238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944248 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1944251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944272 */     // GIR_Coverage, 24454,
     /* 1944272 */     GIR_EraseRootFromParent_Done,
     /* 1944273 */   // Label 26093: @1944273
     /* 1944273 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1944359), // Rule ID 24455 //
     /* 1944278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1944289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1944292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1944295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944324 */     // MIs[0] policy
     /* 1944324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944334 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1944337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944358 */     // GIR_Coverage, 24455,
     /* 1944358 */     GIR_EraseRootFromParent_Done,
     /* 1944359 */   // Label 26094: @1944359
     /* 1944359 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1944445), // Rule ID 24458 //
     /* 1944364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944410 */     // MIs[0] policy
     /* 1944410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944420 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1944423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944444 */     // GIR_Coverage, 24458,
     /* 1944444 */     GIR_EraseRootFromParent_Done,
     /* 1944445 */   // Label 26095: @1944445
     /* 1944445 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1944531), // Rule ID 24459 //
     /* 1944450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944496 */     // MIs[0] policy
     /* 1944496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944506 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1944509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944530 */     // GIR_Coverage, 24459,
     /* 1944530 */     GIR_EraseRootFromParent_Done,
     /* 1944531 */   // Label 26096: @1944531
     /* 1944531 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1944617), // Rule ID 24462 //
     /* 1944536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944582 */     // MIs[0] policy
     /* 1944582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944592 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1944595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944616 */     // GIR_Coverage, 24462,
     /* 1944616 */     GIR_EraseRootFromParent_Done,
     /* 1944617 */   // Label 26097: @1944617
     /* 1944617 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1944703), // Rule ID 24463 //
     /* 1944622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944668 */     // MIs[0] policy
     /* 1944668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944678 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1944681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944702 */     // GIR_Coverage, 24463,
     /* 1944702 */     GIR_EraseRootFromParent_Done,
     /* 1944703 */   // Label 26098: @1944703
     /* 1944703 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1944789), // Rule ID 24466 //
     /* 1944708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944754 */     // MIs[0] policy
     /* 1944754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1944767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944788 */     // GIR_Coverage, 24466,
     /* 1944788 */     GIR_EraseRootFromParent_Done,
     /* 1944789 */   // Label 26099: @1944789
     /* 1944789 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1944875), // Rule ID 24467 //
     /* 1944794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944840 */     // MIs[0] policy
     /* 1944840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944850 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1944853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944874 */     // GIR_Coverage, 24467,
     /* 1944874 */     GIR_EraseRootFromParent_Done,
     /* 1944875 */   // Label 26100: @1944875
     /* 1944875 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1944961), // Rule ID 24470 //
     /* 1944880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944926 */     // MIs[0] policy
     /* 1944926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1944939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944960 */     // GIR_Coverage, 24470,
     /* 1944960 */     GIR_EraseRootFromParent_Done,
     /* 1944961 */   // Label 26101: @1944961
     /* 1944961 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1945047), // Rule ID 24471 //
     /* 1944966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945012 */     // MIs[0] policy
     /* 1945012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945022 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1945025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945046 */     // GIR_Coverage, 24471,
     /* 1945046 */     GIR_EraseRootFromParent_Done,
     /* 1945047 */   // Label 26102: @1945047
     /* 1945047 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1945133), // Rule ID 24474 //
     /* 1945052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945098 */     // MIs[0] policy
     /* 1945098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1945111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945132 */     // GIR_Coverage, 24474,
     /* 1945132 */     GIR_EraseRootFromParent_Done,
     /* 1945133 */   // Label 26103: @1945133
     /* 1945133 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1945219), // Rule ID 24475 //
     /* 1945138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945184 */     // MIs[0] policy
     /* 1945184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945194 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1945197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945218 */     // GIR_Coverage, 24475,
     /* 1945218 */     GIR_EraseRootFromParent_Done,
     /* 1945219 */   // Label 26104: @1945219
     /* 1945219 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1945305), // Rule ID 24478 //
     /* 1945224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945270 */     // MIs[0] policy
     /* 1945270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1945283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945304 */     // GIR_Coverage, 24478,
     /* 1945304 */     GIR_EraseRootFromParent_Done,
     /* 1945305 */   // Label 26105: @1945305
     /* 1945305 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1945391), // Rule ID 24479 //
     /* 1945310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945356 */     // MIs[0] policy
     /* 1945356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1945369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945390 */     // GIR_Coverage, 24479,
     /* 1945390 */     GIR_EraseRootFromParent_Done,
     /* 1945391 */   // Label 26106: @1945391
     /* 1945391 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1945477), // Rule ID 24482 //
     /* 1945396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945442 */     // MIs[0] policy
     /* 1945442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945452 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1945455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945476 */     // GIR_Coverage, 24482,
     /* 1945476 */     GIR_EraseRootFromParent_Done,
     /* 1945477 */   // Label 26107: @1945477
     /* 1945477 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1945563), // Rule ID 24483 //
     /* 1945482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945528 */     // MIs[0] policy
     /* 1945528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945538 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1945541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945562 */     // GIR_Coverage, 24483,
     /* 1945562 */     GIR_EraseRootFromParent_Done,
     /* 1945563 */   // Label 26108: @1945563
     /* 1945563 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1945649), // Rule ID 24486 //
     /* 1945568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945614 */     // MIs[0] policy
     /* 1945614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945624 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1945627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945648 */     // GIR_Coverage, 24486,
     /* 1945648 */     GIR_EraseRootFromParent_Done,
     /* 1945649 */   // Label 26109: @1945649
     /* 1945649 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1945735), // Rule ID 24487 //
     /* 1945654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945700 */     // MIs[0] policy
     /* 1945700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945710 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1945713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945734 */     // GIR_Coverage, 24487,
     /* 1945734 */     GIR_EraseRootFromParent_Done,
     /* 1945735 */   // Label 26110: @1945735
     /* 1945735 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1945821), // Rule ID 24490 //
     /* 1945740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1945751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1945754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1945757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1945760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945786 */     // MIs[0] policy
     /* 1945786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1945799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945820 */     // GIR_Coverage, 24490,
     /* 1945820 */     GIR_EraseRootFromParent_Done,
     /* 1945821 */   // Label 26111: @1945821
     /* 1945821 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1945907), // Rule ID 24491 //
     /* 1945826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1945837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1945840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1945843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1945846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945872 */     // MIs[0] policy
     /* 1945872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1945885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945906 */     // GIR_Coverage, 24491,
     /* 1945906 */     GIR_EraseRootFromParent_Done,
     /* 1945907 */   // Label 26112: @1945907
     /* 1945907 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1945993), // Rule ID 24494 //
     /* 1945912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1945923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1945926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1945929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1945932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945958 */     // MIs[0] policy
     /* 1945958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945968 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1945971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945992 */     // GIR_Coverage, 24494,
     /* 1945992 */     GIR_EraseRootFromParent_Done,
     /* 1945993 */   // Label 26113: @1945993
     /* 1945993 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1946079), // Rule ID 24495 //
     /* 1945998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1946018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946044 */     // MIs[0] policy
     /* 1946044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1946057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946078 */     // GIR_Coverage, 24495,
     /* 1946078 */     GIR_EraseRootFromParent_Done,
     /* 1946079 */   // Label 26114: @1946079
     /* 1946079 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1946165), // Rule ID 24498 //
     /* 1946084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1946101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1946104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946130 */     // MIs[0] policy
     /* 1946130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1946143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946164 */     // GIR_Coverage, 24498,
     /* 1946164 */     GIR_EraseRootFromParent_Done,
     /* 1946165 */   // Label 26115: @1946165
     /* 1946165 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1946251), // Rule ID 24499 //
     /* 1946170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1946187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1946190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946216 */     // MIs[0] policy
     /* 1946216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1946229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946250 */     // GIR_Coverage, 24499,
     /* 1946250 */     GIR_EraseRootFromParent_Done,
     /* 1946251 */   // Label 26116: @1946251
     /* 1946251 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1946337), // Rule ID 24502 //
     /* 1946256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1946267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1946270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1946273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946302 */     // MIs[0] policy
     /* 1946302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1946315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946336 */     // GIR_Coverage, 24502,
     /* 1946336 */     GIR_EraseRootFromParent_Done,
     /* 1946337 */   // Label 26117: @1946337
     /* 1946337 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1946423), // Rule ID 24503 //
     /* 1946342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1946353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1946356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1946359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946388 */     // MIs[0] policy
     /* 1946388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1946401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946422 */     // GIR_Coverage, 24503,
     /* 1946422 */     GIR_EraseRootFromParent_Done,
     /* 1946423 */   // Label 26118: @1946423
     /* 1946423 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1946509), // Rule ID 24506 //
     /* 1946428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946474 */     // MIs[0] policy
     /* 1946474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1946487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946508 */     // GIR_Coverage, 24506,
     /* 1946508 */     GIR_EraseRootFromParent_Done,
     /* 1946509 */   // Label 26119: @1946509
     /* 1946509 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1946595), // Rule ID 24507 //
     /* 1946514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946560 */     // MIs[0] policy
     /* 1946560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1946573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946594 */     // GIR_Coverage, 24507,
     /* 1946594 */     GIR_EraseRootFromParent_Done,
     /* 1946595 */   // Label 26120: @1946595
     /* 1946595 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1946681), // Rule ID 24510 //
     /* 1946600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1946611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1946614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1946617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1946620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946646 */     // MIs[0] policy
     /* 1946646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1946659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946680 */     // GIR_Coverage, 24510,
     /* 1946680 */     GIR_EraseRootFromParent_Done,
     /* 1946681 */   // Label 26121: @1946681
     /* 1946681 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1946767), // Rule ID 24511 //
     /* 1946686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1946697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1946700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1946703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1946706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946732 */     // MIs[0] policy
     /* 1946732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1946745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946766 */     // GIR_Coverage, 24511,
     /* 1946766 */     GIR_EraseRootFromParent_Done,
     /* 1946767 */   // Label 26122: @1946767
     /* 1946767 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1946853), // Rule ID 24514 //
     /* 1946772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1946792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946818 */     // MIs[0] policy
     /* 1946818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1946831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946852 */     // GIR_Coverage, 24514,
     /* 1946852 */     GIR_EraseRootFromParent_Done,
     /* 1946853 */   // Label 26123: @1946853
     /* 1946853 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1946939), // Rule ID 24515 //
     /* 1946858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1946878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946904 */     // MIs[0] policy
     /* 1946904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1946917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946938 */     // GIR_Coverage, 24515,
     /* 1946938 */     GIR_EraseRootFromParent_Done,
     /* 1946939 */   // Label 26124: @1946939
     /* 1946939 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1947025), // Rule ID 24518 //
     /* 1946944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1946955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1946958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1946961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1946964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946990 */     // MIs[0] policy
     /* 1946990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947024 */     // GIR_Coverage, 24518,
     /* 1947024 */     GIR_EraseRootFromParent_Done,
     /* 1947025 */   // Label 26125: @1947025
     /* 1947025 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1947111), // Rule ID 24519 //
     /* 1947030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947076 */     // MIs[0] policy
     /* 1947076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947110 */     // GIR_Coverage, 24519,
     /* 1947110 */     GIR_EraseRootFromParent_Done,
     /* 1947111 */   // Label 26126: @1947111
     /* 1947111 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1947197), // Rule ID 24522 //
     /* 1947116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1947127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1947130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1947133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1947136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947162 */     // MIs[0] policy
     /* 1947162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1947175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947196 */     // GIR_Coverage, 24522,
     /* 1947196 */     GIR_EraseRootFromParent_Done,
     /* 1947197 */   // Label 26127: @1947197
     /* 1947197 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1947283), // Rule ID 24523 //
     /* 1947202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1947213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1947216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1947219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1947222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947248 */     // MIs[0] policy
     /* 1947248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1947261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947282 */     // GIR_Coverage, 24523,
     /* 1947282 */     GIR_EraseRootFromParent_Done,
     /* 1947283 */   // Label 26128: @1947283
     /* 1947283 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1947369), // Rule ID 24526 //
     /* 1947288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1947291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1947299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1947302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1947305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1947308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947334 */     // MIs[0] policy
     /* 1947334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1947347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947368 */     // GIR_Coverage, 24526,
     /* 1947368 */     GIR_EraseRootFromParent_Done,
     /* 1947369 */   // Label 26129: @1947369
     /* 1947369 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1947455), // Rule ID 24527 //
     /* 1947374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1947377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1947385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1947388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1947391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1947394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947420 */     // MIs[0] policy
     /* 1947420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1947433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947454 */     // GIR_Coverage, 24527,
     /* 1947454 */     GIR_EraseRootFromParent_Done,
     /* 1947455 */   // Label 26130: @1947455
     /* 1947455 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1947541), // Rule ID 24530 //
     /* 1947460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1947471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1947474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1947477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1947480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947506 */     // MIs[0] policy
     /* 1947506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1947519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947540 */     // GIR_Coverage, 24530,
     /* 1947540 */     GIR_EraseRootFromParent_Done,
     /* 1947541 */   // Label 26131: @1947541
     /* 1947541 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1947627), // Rule ID 24531 //
     /* 1947546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1947557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1947560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1947563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1947566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947592 */     // MIs[0] policy
     /* 1947592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1947605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947626 */     // GIR_Coverage, 24531,
     /* 1947626 */     GIR_EraseRootFromParent_Done,
     /* 1947627 */   // Label 26132: @1947627
     /* 1947627 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1947713), // Rule ID 24534 //
     /* 1947632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1947643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1947646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1947649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1947652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947678 */     // MIs[0] policy
     /* 1947678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1947691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947712 */     // GIR_Coverage, 24534,
     /* 1947712 */     GIR_EraseRootFromParent_Done,
     /* 1947713 */   // Label 26133: @1947713
     /* 1947713 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1947799), // Rule ID 24535 //
     /* 1947718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1947729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1947732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1947735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1947738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947764 */     // MIs[0] policy
     /* 1947764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1947777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947798 */     // GIR_Coverage, 24535,
     /* 1947798 */     GIR_EraseRootFromParent_Done,
     /* 1947799 */   // Label 26134: @1947799
     /* 1947799 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1947885), // Rule ID 24538 //
     /* 1947804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1947815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1947818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1947821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1947824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1947827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947850 */     // MIs[0] policy
     /* 1947850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947860 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1947863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947884 */     // GIR_Coverage, 24538,
     /* 1947884 */     GIR_EraseRootFromParent_Done,
     /* 1947885 */   // Label 26135: @1947885
     /* 1947885 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1947971), // Rule ID 24539 //
     /* 1947890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1947901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1947904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1947907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1947910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1947913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947936 */     // MIs[0] policy
     /* 1947936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1947949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947970 */     // GIR_Coverage, 24539,
     /* 1947970 */     GIR_EraseRootFromParent_Done,
     /* 1947971 */   // Label 26136: @1947971
     /* 1947971 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1948057), // Rule ID 24542 //
     /* 1947976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948022 */     // MIs[0] policy
     /* 1948022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1948035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948056 */     // GIR_Coverage, 24542,
     /* 1948056 */     GIR_EraseRootFromParent_Done,
     /* 1948057 */   // Label 26137: @1948057
     /* 1948057 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1948143), // Rule ID 24543 //
     /* 1948062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948108 */     // MIs[0] policy
     /* 1948108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1948121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948142 */     // GIR_Coverage, 24543,
     /* 1948142 */     GIR_EraseRootFromParent_Done,
     /* 1948143 */   // Label 26138: @1948143
     /* 1948143 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1948229), // Rule ID 24546 //
     /* 1948148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948194 */     // MIs[0] policy
     /* 1948194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948228 */     // GIR_Coverage, 24546,
     /* 1948228 */     GIR_EraseRootFromParent_Done,
     /* 1948229 */   // Label 26139: @1948229
     /* 1948229 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1948315), // Rule ID 24547 //
     /* 1948234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948280 */     // MIs[0] policy
     /* 1948280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948314 */     // GIR_Coverage, 24547,
     /* 1948314 */     GIR_EraseRootFromParent_Done,
     /* 1948315 */   // Label 26140: @1948315
     /* 1948315 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1948401), // Rule ID 24550 //
     /* 1948320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948366 */     // MIs[0] policy
     /* 1948366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948400 */     // GIR_Coverage, 24550,
     /* 1948400 */     GIR_EraseRootFromParent_Done,
     /* 1948401 */   // Label 26141: @1948401
     /* 1948401 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1948487), // Rule ID 24551 //
     /* 1948406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948452 */     // MIs[0] policy
     /* 1948452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948486 */     // GIR_Coverage, 24551,
     /* 1948486 */     GIR_EraseRootFromParent_Done,
     /* 1948487 */   // Label 26142: @1948487
     /* 1948487 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1948573), // Rule ID 24554 //
     /* 1948492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1948503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1948506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1948509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1948512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948538 */     // MIs[0] policy
     /* 1948538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1948551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948572 */     // GIR_Coverage, 24554,
     /* 1948572 */     GIR_EraseRootFromParent_Done,
     /* 1948573 */   // Label 26143: @1948573
     /* 1948573 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1948659), // Rule ID 24555 //
     /* 1948578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1948589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1948592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1948595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1948598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948624 */     // MIs[0] policy
     /* 1948624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1948637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948658 */     // GIR_Coverage, 24555,
     /* 1948658 */     GIR_EraseRootFromParent_Done,
     /* 1948659 */   // Label 26144: @1948659
     /* 1948659 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1948745), // Rule ID 24558 //
     /* 1948664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1948684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948710 */     // MIs[0] policy
     /* 1948710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1948723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948744 */     // GIR_Coverage, 24558,
     /* 1948744 */     GIR_EraseRootFromParent_Done,
     /* 1948745 */   // Label 26145: @1948745
     /* 1948745 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1948831), // Rule ID 24559 //
     /* 1948750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1948770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948796 */     // MIs[0] policy
     /* 1948796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1948809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948830 */     // GIR_Coverage, 24559,
     /* 1948830 */     GIR_EraseRootFromParent_Done,
     /* 1948831 */   // Label 26146: @1948831
     /* 1948831 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1948917), // Rule ID 24562 //
     /* 1948836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1948856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948882 */     // MIs[0] policy
     /* 1948882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1948895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948916 */     // GIR_Coverage, 24562,
     /* 1948916 */     GIR_EraseRootFromParent_Done,
     /* 1948917 */   // Label 26147: @1948917
     /* 1948917 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1949003), // Rule ID 24563 //
     /* 1948922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1948942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948968 */     // MIs[0] policy
     /* 1948968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1948981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949002 */     // GIR_Coverage, 24563,
     /* 1949002 */     GIR_EraseRootFromParent_Done,
     /* 1949003 */   // Label 26148: @1949003
     /* 1949003 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1949089), // Rule ID 24566 //
     /* 1949008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1949028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949054 */     // MIs[0] policy
     /* 1949054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1949067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949088 */     // GIR_Coverage, 24566,
     /* 1949088 */     GIR_EraseRootFromParent_Done,
     /* 1949089 */   // Label 26149: @1949089
     /* 1949089 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1949175), // Rule ID 24567 //
     /* 1949094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1949114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949140 */     // MIs[0] policy
     /* 1949140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1949153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949174 */     // GIR_Coverage, 24567,
     /* 1949174 */     GIR_EraseRootFromParent_Done,
     /* 1949175 */   // Label 26150: @1949175
     /* 1949175 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1949261), // Rule ID 24570 //
     /* 1949180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1949200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949226 */     // MIs[0] policy
     /* 1949226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1949239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949260 */     // GIR_Coverage, 24570,
     /* 1949260 */     GIR_EraseRootFromParent_Done,
     /* 1949261 */   // Label 26151: @1949261
     /* 1949261 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1949347), // Rule ID 24571 //
     /* 1949266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1949286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949312 */     // MIs[0] policy
     /* 1949312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1949325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949346 */     // GIR_Coverage, 24571,
     /* 1949346 */     GIR_EraseRootFromParent_Done,
     /* 1949347 */   // Label 26152: @1949347
     /* 1949347 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1949433), // Rule ID 24574 //
     /* 1949352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1949363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1949366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1949369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1949372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949398 */     // MIs[0] policy
     /* 1949398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1949411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949432 */     // GIR_Coverage, 24574,
     /* 1949432 */     GIR_EraseRootFromParent_Done,
     /* 1949433 */   // Label 26153: @1949433
     /* 1949433 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1949519), // Rule ID 24575 //
     /* 1949438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1949449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1949452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1949455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1949458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949484 */     // MIs[0] policy
     /* 1949484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1949497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949518 */     // GIR_Coverage, 24575,
     /* 1949518 */     GIR_EraseRootFromParent_Done,
     /* 1949519 */   // Label 26154: @1949519
     /* 1949519 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1949605), // Rule ID 24578 //
     /* 1949524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1949535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1949538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1949541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949570 */     // MIs[0] policy
     /* 1949570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1949583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949604 */     // GIR_Coverage, 24578,
     /* 1949604 */     GIR_EraseRootFromParent_Done,
     /* 1949605 */   // Label 26155: @1949605
     /* 1949605 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1949691), // Rule ID 24579 //
     /* 1949610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1949621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1949624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1949627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949656 */     // MIs[0] policy
     /* 1949656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1949669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949690 */     // GIR_Coverage, 24579,
     /* 1949690 */     GIR_EraseRootFromParent_Done,
     /* 1949691 */   // Label 26156: @1949691
     /* 1949691 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1949777), // Rule ID 24582 //
     /* 1949696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1949707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1949710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1949713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949742 */     // MIs[0] policy
     /* 1949742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1949755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949776 */     // GIR_Coverage, 24582,
     /* 1949776 */     GIR_EraseRootFromParent_Done,
     /* 1949777 */   // Label 26157: @1949777
     /* 1949777 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1949863), // Rule ID 24583 //
     /* 1949782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1949793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1949796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1949799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949828 */     // MIs[0] policy
     /* 1949828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1949841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949862 */     // GIR_Coverage, 24583,
     /* 1949862 */     GIR_EraseRootFromParent_Done,
     /* 1949863 */   // Label 26158: @1949863
     /* 1949863 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1949949), // Rule ID 24586 //
     /* 1949868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1949879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1949882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1949885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949914 */     // MIs[0] policy
     /* 1949914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1949927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949948 */     // GIR_Coverage, 24586,
     /* 1949948 */     GIR_EraseRootFromParent_Done,
     /* 1949949 */   // Label 26159: @1949949
     /* 1949949 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1950035), // Rule ID 24587 //
     /* 1949954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1949965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1949968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1949971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950000 */     // MIs[0] policy
     /* 1950000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950034 */     // GIR_Coverage, 24587,
     /* 1950034 */     GIR_EraseRootFromParent_Done,
     /* 1950035 */   // Label 26160: @1950035
     /* 1950035 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1950121), // Rule ID 24590 //
     /* 1950040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950086 */     // MIs[0] policy
     /* 1950086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950120 */     // GIR_Coverage, 24590,
     /* 1950120 */     GIR_EraseRootFromParent_Done,
     /* 1950121 */   // Label 26161: @1950121
     /* 1950121 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1950207), // Rule ID 24591 //
     /* 1950126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950172 */     // MIs[0] policy
     /* 1950172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950206 */     // GIR_Coverage, 24591,
     /* 1950206 */     GIR_EraseRootFromParent_Done,
     /* 1950207 */   // Label 26162: @1950207
     /* 1950207 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1950293), // Rule ID 24594 //
     /* 1950212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1950223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1950226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1950229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950258 */     // MIs[0] policy
     /* 1950258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950292 */     // GIR_Coverage, 24594,
     /* 1950292 */     GIR_EraseRootFromParent_Done,
     /* 1950293 */   // Label 26163: @1950293
     /* 1950293 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1950379), // Rule ID 24595 //
     /* 1950298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1950309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1950312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1950315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950344 */     // MIs[0] policy
     /* 1950344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950378 */     // GIR_Coverage, 24595,
     /* 1950378 */     GIR_EraseRootFromParent_Done,
     /* 1950379 */   // Label 26164: @1950379
     /* 1950379 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1950465), // Rule ID 24598 //
     /* 1950384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950430 */     // MIs[0] policy
     /* 1950430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950464 */     // GIR_Coverage, 24598,
     /* 1950464 */     GIR_EraseRootFromParent_Done,
     /* 1950465 */   // Label 26165: @1950465
     /* 1950465 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1950551), // Rule ID 24599 //
     /* 1950470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950516 */     // MIs[0] policy
     /* 1950516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950550 */     // GIR_Coverage, 24599,
     /* 1950550 */     GIR_EraseRootFromParent_Done,
     /* 1950551 */   // Label 26166: @1950551
     /* 1950551 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1950637), // Rule ID 24602 //
     /* 1950556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1950567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1950570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1950573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950602 */     // MIs[0] policy
     /* 1950602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950636 */     // GIR_Coverage, 24602,
     /* 1950636 */     GIR_EraseRootFromParent_Done,
     /* 1950637 */   // Label 26167: @1950637
     /* 1950637 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1950723), // Rule ID 24603 //
     /* 1950642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1950653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1950656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1950659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950688 */     // MIs[0] policy
     /* 1950688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950722 */     // GIR_Coverage, 24603,
     /* 1950722 */     GIR_EraseRootFromParent_Done,
     /* 1950723 */   // Label 26168: @1950723
     /* 1950723 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1950809), // Rule ID 24606 //
     /* 1950728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1950739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1950742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1950745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950774 */     // MIs[0] policy
     /* 1950774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950808 */     // GIR_Coverage, 24606,
     /* 1950808 */     GIR_EraseRootFromParent_Done,
     /* 1950809 */   // Label 26169: @1950809
     /* 1950809 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1950895), // Rule ID 24607 //
     /* 1950814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1950825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1950828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1950831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950860 */     // MIs[0] policy
     /* 1950860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950894 */     // GIR_Coverage, 24607,
     /* 1950894 */     GIR_EraseRootFromParent_Done,
     /* 1950895 */   // Label 26170: @1950895
     /* 1950895 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1950981), // Rule ID 24610 //
     /* 1950900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950946 */     // MIs[0] policy
     /* 1950946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950980 */     // GIR_Coverage, 24610,
     /* 1950980 */     GIR_EraseRootFromParent_Done,
     /* 1950981 */   // Label 26171: @1950981
     /* 1950981 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1951067), // Rule ID 24611 //
     /* 1950986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951032 */     // MIs[0] policy
     /* 1951032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951066 */     // GIR_Coverage, 24611,
     /* 1951066 */     GIR_EraseRootFromParent_Done,
     /* 1951067 */   // Label 26172: @1951067
     /* 1951067 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1951153), // Rule ID 24614 //
     /* 1951072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1951075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951118 */     // MIs[0] policy
     /* 1951118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951152 */     // GIR_Coverage, 24614,
     /* 1951152 */     GIR_EraseRootFromParent_Done,
     /* 1951153 */   // Label 26173: @1951153
     /* 1951153 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1951239), // Rule ID 24615 //
     /* 1951158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1951161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951204 */     // MIs[0] policy
     /* 1951204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951238 */     // GIR_Coverage, 24615,
     /* 1951238 */     GIR_EraseRootFromParent_Done,
     /* 1951239 */   // Label 26174: @1951239
     /* 1951239 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1951325), // Rule ID 24618 //
     /* 1951244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1951255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1951258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1951261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951290 */     // MIs[0] policy
     /* 1951290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951324 */     // GIR_Coverage, 24618,
     /* 1951324 */     GIR_EraseRootFromParent_Done,
     /* 1951325 */   // Label 26175: @1951325
     /* 1951325 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1951411), // Rule ID 24619 //
     /* 1951330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1951341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1951344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1951347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951376 */     // MIs[0] policy
     /* 1951376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951410 */     // GIR_Coverage, 24619,
     /* 1951410 */     GIR_EraseRootFromParent_Done,
     /* 1951411 */   // Label 26176: @1951411
     /* 1951411 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1951497), // Rule ID 24622 //
     /* 1951416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1951427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1951430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1951433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951462 */     // MIs[0] policy
     /* 1951462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951496 */     // GIR_Coverage, 24622,
     /* 1951496 */     GIR_EraseRootFromParent_Done,
     /* 1951497 */   // Label 26177: @1951497
     /* 1951497 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1951583), // Rule ID 24623 //
     /* 1951502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1951513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1951516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1951519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951548 */     // MIs[0] policy
     /* 1951548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951582 */     // GIR_Coverage, 24623,
     /* 1951582 */     GIR_EraseRootFromParent_Done,
     /* 1951583 */   // Label 26178: @1951583
     /* 1951583 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1951669), // Rule ID 24626 //
     /* 1951588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1951599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1951602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1951605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1951611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951634 */     // MIs[0] policy
     /* 1951634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951668 */     // GIR_Coverage, 24626,
     /* 1951668 */     GIR_EraseRootFromParent_Done,
     /* 1951669 */   // Label 26179: @1951669
     /* 1951669 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1951755), // Rule ID 24627 //
     /* 1951674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1951685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1951688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1951691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1951697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951720 */     // MIs[0] policy
     /* 1951720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951754 */     // GIR_Coverage, 24627,
     /* 1951754 */     GIR_EraseRootFromParent_Done,
     /* 1951755 */   // Label 26180: @1951755
     /* 1951755 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1951841), // Rule ID 24630 //
     /* 1951760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1951771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1951774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1951777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951806 */     // MIs[0] policy
     /* 1951806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951840 */     // GIR_Coverage, 24630,
     /* 1951840 */     GIR_EraseRootFromParent_Done,
     /* 1951841 */   // Label 26181: @1951841
     /* 1951841 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1951927), // Rule ID 24631 //
     /* 1951846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1951857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1951860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1951863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951892 */     // MIs[0] policy
     /* 1951892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951926 */     // GIR_Coverage, 24631,
     /* 1951926 */     GIR_EraseRootFromParent_Done,
     /* 1951927 */   // Label 26182: @1951927
     /* 1951927 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1952013), // Rule ID 24634 //
     /* 1951932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1951943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1951946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1951949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951978 */     // MIs[0] policy
     /* 1951978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952012 */     // GIR_Coverage, 24634,
     /* 1952012 */     GIR_EraseRootFromParent_Done,
     /* 1952013 */   // Label 26183: @1952013
     /* 1952013 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1952099), // Rule ID 24635 //
     /* 1952018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952064 */     // MIs[0] policy
     /* 1952064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952098 */     // GIR_Coverage, 24635,
     /* 1952098 */     GIR_EraseRootFromParent_Done,
     /* 1952099 */   // Label 26184: @1952099
     /* 1952099 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1952185), // Rule ID 24638 //
     /* 1952104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952150 */     // MIs[0] policy
     /* 1952150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952184 */     // GIR_Coverage, 24638,
     /* 1952184 */     GIR_EraseRootFromParent_Done,
     /* 1952185 */   // Label 26185: @1952185
     /* 1952185 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1952271), // Rule ID 24639 //
     /* 1952190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952236 */     // MIs[0] policy
     /* 1952236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952270 */     // GIR_Coverage, 24639,
     /* 1952270 */     GIR_EraseRootFromParent_Done,
     /* 1952271 */   // Label 26186: @1952271
     /* 1952271 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1952357), // Rule ID 24642 //
     /* 1952276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952322 */     // MIs[0] policy
     /* 1952322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952356 */     // GIR_Coverage, 24642,
     /* 1952356 */     GIR_EraseRootFromParent_Done,
     /* 1952357 */   // Label 26187: @1952357
     /* 1952357 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1952443), // Rule ID 24643 //
     /* 1952362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952408 */     // MIs[0] policy
     /* 1952408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952442 */     // GIR_Coverage, 24643,
     /* 1952442 */     GIR_EraseRootFromParent_Done,
     /* 1952443 */   // Label 26188: @1952443
     /* 1952443 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1952529), // Rule ID 24646 //
     /* 1952448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952494 */     // MIs[0] policy
     /* 1952494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952528 */     // GIR_Coverage, 24646,
     /* 1952528 */     GIR_EraseRootFromParent_Done,
     /* 1952529 */   // Label 26189: @1952529
     /* 1952529 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1952615), // Rule ID 24647 //
     /* 1952534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952580 */     // MIs[0] policy
     /* 1952580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952614 */     // GIR_Coverage, 24647,
     /* 1952614 */     GIR_EraseRootFromParent_Done,
     /* 1952615 */   // Label 26190: @1952615
     /* 1952615 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1952701), // Rule ID 24650 //
     /* 1952620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952666 */     // MIs[0] policy
     /* 1952666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952700 */     // GIR_Coverage, 24650,
     /* 1952700 */     GIR_EraseRootFromParent_Done,
     /* 1952701 */   // Label 26191: @1952701
     /* 1952701 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1952787), // Rule ID 24651 //
     /* 1952706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952752 */     // MIs[0] policy
     /* 1952752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952786 */     // GIR_Coverage, 24651,
     /* 1952786 */     GIR_EraseRootFromParent_Done,
     /* 1952787 */   // Label 26192: @1952787
     /* 1952787 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1952873), // Rule ID 24654 //
     /* 1952792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1952795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952838 */     // MIs[0] policy
     /* 1952838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952872 */     // GIR_Coverage, 24654,
     /* 1952872 */     GIR_EraseRootFromParent_Done,
     /* 1952873 */   // Label 26193: @1952873
     /* 1952873 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1952959), // Rule ID 24655 //
     /* 1952878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1952881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952924 */     // MIs[0] policy
     /* 1952924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952958 */     // GIR_Coverage, 24655,
     /* 1952958 */     GIR_EraseRootFromParent_Done,
     /* 1952959 */   // Label 26194: @1952959
     /* 1952959 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1953045), // Rule ID 24658 //
     /* 1952964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1952967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1952975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1952978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1952981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953010 */     // MIs[0] policy
     /* 1953010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953044 */     // GIR_Coverage, 24658,
     /* 1953044 */     GIR_EraseRootFromParent_Done,
     /* 1953045 */   // Label 26195: @1953045
     /* 1953045 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1953131), // Rule ID 24659 //
     /* 1953050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953096 */     // MIs[0] policy
     /* 1953096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953130 */     // GIR_Coverage, 24659,
     /* 1953130 */     GIR_EraseRootFromParent_Done,
     /* 1953131 */   // Label 26196: @1953131
     /* 1953131 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1953217), // Rule ID 24662 //
     /* 1953136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953182 */     // MIs[0] policy
     /* 1953182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953216 */     // GIR_Coverage, 24662,
     /* 1953216 */     GIR_EraseRootFromParent_Done,
     /* 1953217 */   // Label 26197: @1953217
     /* 1953217 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1953303), // Rule ID 24663 //
     /* 1953222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953268 */     // MIs[0] policy
     /* 1953268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953302 */     // GIR_Coverage, 24663,
     /* 1953302 */     GIR_EraseRootFromParent_Done,
     /* 1953303 */   // Label 26198: @1953303
     /* 1953303 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1953389), // Rule ID 24754 //
     /* 1953308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1953319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1953322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1953325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953354 */     // MIs[0] policy
     /* 1953354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1953367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953388 */     // GIR_Coverage, 24754,
     /* 1953388 */     GIR_EraseRootFromParent_Done,
     /* 1953389 */   // Label 26199: @1953389
     /* 1953389 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1953475), // Rule ID 24755 //
     /* 1953394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1953405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1953408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1953411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953440 */     // MIs[0] policy
     /* 1953440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953450 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1953453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953474 */     // GIR_Coverage, 24755,
     /* 1953474 */     GIR_EraseRootFromParent_Done,
     /* 1953475 */   // Label 26200: @1953475
     /* 1953475 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1953561), // Rule ID 24758 //
     /* 1953480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1953491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1953494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1953497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953526 */     // MIs[0] policy
     /* 1953526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1953539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953560 */     // GIR_Coverage, 24758,
     /* 1953560 */     GIR_EraseRootFromParent_Done,
     /* 1953561 */   // Label 26201: @1953561
     /* 1953561 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1953647), // Rule ID 24759 //
     /* 1953566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1953577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1953580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1953583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953612 */     // MIs[0] policy
     /* 1953612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1953625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953646 */     // GIR_Coverage, 24759,
     /* 1953646 */     GIR_EraseRootFromParent_Done,
     /* 1953647 */   // Label 26202: @1953647
     /* 1953647 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1953733), // Rule ID 24762 //
     /* 1953652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1953663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1953666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1953669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953698 */     // MIs[0] policy
     /* 1953698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1953711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953732 */     // GIR_Coverage, 24762,
     /* 1953732 */     GIR_EraseRootFromParent_Done,
     /* 1953733 */   // Label 26203: @1953733
     /* 1953733 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1953819), // Rule ID 24763 //
     /* 1953738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1953749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1953752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1953755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953784 */     // MIs[0] policy
     /* 1953784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1953797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953818 */     // GIR_Coverage, 24763,
     /* 1953818 */     GIR_EraseRootFromParent_Done,
     /* 1953819 */   // Label 26204: @1953819
     /* 1953819 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1953905), // Rule ID 24766 //
     /* 1953824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953870 */     // MIs[0] policy
     /* 1953870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1953883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953904 */     // GIR_Coverage, 24766,
     /* 1953904 */     GIR_EraseRootFromParent_Done,
     /* 1953905 */   // Label 26205: @1953905
     /* 1953905 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1953991), // Rule ID 24767 //
     /* 1953910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953956 */     // MIs[0] policy
     /* 1953956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1953969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953990 */     // GIR_Coverage, 24767,
     /* 1953990 */     GIR_EraseRootFromParent_Done,
     /* 1953991 */   // Label 26206: @1953991
     /* 1953991 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1954077), // Rule ID 24770 //
     /* 1953996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954042 */     // MIs[0] policy
     /* 1954042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954076 */     // GIR_Coverage, 24770,
     /* 1954076 */     GIR_EraseRootFromParent_Done,
     /* 1954077 */   // Label 26207: @1954077
     /* 1954077 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1954163), // Rule ID 24771 //
     /* 1954082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954128 */     // MIs[0] policy
     /* 1954128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954162 */     // GIR_Coverage, 24771,
     /* 1954162 */     GIR_EraseRootFromParent_Done,
     /* 1954163 */   // Label 26208: @1954163
     /* 1954163 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1954249), // Rule ID 24774 //
     /* 1954168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954214 */     // MIs[0] policy
     /* 1954214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954248 */     // GIR_Coverage, 24774,
     /* 1954248 */     GIR_EraseRootFromParent_Done,
     /* 1954249 */   // Label 26209: @1954249
     /* 1954249 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1954335), // Rule ID 24775 //
     /* 1954254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954300 */     // MIs[0] policy
     /* 1954300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954334 */     // GIR_Coverage, 24775,
     /* 1954334 */     GIR_EraseRootFromParent_Done,
     /* 1954335 */   // Label 26210: @1954335
     /* 1954335 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1954421), // Rule ID 24778 //
     /* 1954340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954386 */     // MIs[0] policy
     /* 1954386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1954399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954420 */     // GIR_Coverage, 24778,
     /* 1954420 */     GIR_EraseRootFromParent_Done,
     /* 1954421 */   // Label 26211: @1954421
     /* 1954421 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1954507), // Rule ID 24779 //
     /* 1954426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954472 */     // MIs[0] policy
     /* 1954472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1954485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954506 */     // GIR_Coverage, 24779,
     /* 1954506 */     GIR_EraseRootFromParent_Done,
     /* 1954507 */   // Label 26212: @1954507
     /* 1954507 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1954593), // Rule ID 24782 //
     /* 1954512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954558 */     // MIs[0] policy
     /* 1954558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1954571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954592 */     // GIR_Coverage, 24782,
     /* 1954592 */     GIR_EraseRootFromParent_Done,
     /* 1954593 */   // Label 26213: @1954593
     /* 1954593 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1954679), // Rule ID 24783 //
     /* 1954598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954644 */     // MIs[0] policy
     /* 1954644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1954657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954678 */     // GIR_Coverage, 24783,
     /* 1954678 */     GIR_EraseRootFromParent_Done,
     /* 1954679 */   // Label 26214: @1954679
     /* 1954679 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1954765), // Rule ID 24786 //
     /* 1954684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954730 */     // MIs[0] policy
     /* 1954730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1954743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954764 */     // GIR_Coverage, 24786,
     /* 1954764 */     GIR_EraseRootFromParent_Done,
     /* 1954765 */   // Label 26215: @1954765
     /* 1954765 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1954851), // Rule ID 24787 //
     /* 1954770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954816 */     // MIs[0] policy
     /* 1954816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1954829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954850 */     // GIR_Coverage, 24787,
     /* 1954850 */     GIR_EraseRootFromParent_Done,
     /* 1954851 */   // Label 26216: @1954851
     /* 1954851 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1954937), // Rule ID 24790 //
     /* 1954856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1954859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1954873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954902 */     // MIs[0] policy
     /* 1954902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1954915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954936 */     // GIR_Coverage, 24790,
     /* 1954936 */     GIR_EraseRootFromParent_Done,
     /* 1954937 */   // Label 26217: @1954937
     /* 1954937 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1955023), // Rule ID 24791 //
     /* 1954942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1954945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1954959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954988 */     // MIs[0] policy
     /* 1954988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1955001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955022 */     // GIR_Coverage, 24791,
     /* 1955022 */     GIR_EraseRootFromParent_Done,
     /* 1955023 */   // Label 26218: @1955023
     /* 1955023 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1955109), // Rule ID 24794 //
     /* 1955028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955074 */     // MIs[0] policy
     /* 1955074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1955087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955108 */     // GIR_Coverage, 24794,
     /* 1955108 */     GIR_EraseRootFromParent_Done,
     /* 1955109 */   // Label 26219: @1955109
     /* 1955109 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1955195), // Rule ID 24795 //
     /* 1955114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955160 */     // MIs[0] policy
     /* 1955160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955170 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1955173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955194 */     // GIR_Coverage, 24795,
     /* 1955194 */     GIR_EraseRootFromParent_Done,
     /* 1955195 */   // Label 26220: @1955195
     /* 1955195 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1955281), // Rule ID 24798 //
     /* 1955200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1955211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1955214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955246 */     // MIs[0] policy
     /* 1955246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1955259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955280 */     // GIR_Coverage, 24798,
     /* 1955280 */     GIR_EraseRootFromParent_Done,
     /* 1955281 */   // Label 26221: @1955281
     /* 1955281 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1955367), // Rule ID 24799 //
     /* 1955286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1955297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1955300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955332 */     // MIs[0] policy
     /* 1955332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1955345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955366 */     // GIR_Coverage, 24799,
     /* 1955366 */     GIR_EraseRootFromParent_Done,
     /* 1955367 */   // Label 26222: @1955367
     /* 1955367 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1955453), // Rule ID 24802 //
     /* 1955372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955418 */     // MIs[0] policy
     /* 1955418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955452 */     // GIR_Coverage, 24802,
     /* 1955452 */     GIR_EraseRootFromParent_Done,
     /* 1955453 */   // Label 26223: @1955453
     /* 1955453 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1955539), // Rule ID 24803 //
     /* 1955458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955504 */     // MIs[0] policy
     /* 1955504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955538 */     // GIR_Coverage, 24803,
     /* 1955538 */     GIR_EraseRootFromParent_Done,
     /* 1955539 */   // Label 26224: @1955539
     /* 1955539 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1955625), // Rule ID 24806 //
     /* 1955544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955590 */     // MIs[0] policy
     /* 1955590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1955603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955624 */     // GIR_Coverage, 24806,
     /* 1955624 */     GIR_EraseRootFromParent_Done,
     /* 1955625 */   // Label 26225: @1955625
     /* 1955625 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1955711), // Rule ID 24807 //
     /* 1955630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955676 */     // MIs[0] policy
     /* 1955676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1955689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955710 */     // GIR_Coverage, 24807,
     /* 1955710 */     GIR_EraseRootFromParent_Done,
     /* 1955711 */   // Label 26226: @1955711
     /* 1955711 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1955797), // Rule ID 24810 //
     /* 1955716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955762 */     // MIs[0] policy
     /* 1955762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1955775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955796 */     // GIR_Coverage, 24810,
     /* 1955796 */     GIR_EraseRootFromParent_Done,
     /* 1955797 */   // Label 26227: @1955797
     /* 1955797 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1955883), // Rule ID 24811 //
     /* 1955802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955848 */     // MIs[0] policy
     /* 1955848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1955861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955882 */     // GIR_Coverage, 24811,
     /* 1955882 */     GIR_EraseRootFromParent_Done,
     /* 1955883 */   // Label 26228: @1955883
     /* 1955883 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1955969), // Rule ID 24814 //
     /* 1955888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955934 */     // MIs[0] policy
     /* 1955934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1955947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955968 */     // GIR_Coverage, 24814,
     /* 1955968 */     GIR_EraseRootFromParent_Done,
     /* 1955969 */   // Label 26229: @1955969
     /* 1955969 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1956055), // Rule ID 24815 //
     /* 1955974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956020 */     // MIs[0] policy
     /* 1956020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1956033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956054 */     // GIR_Coverage, 24815,
     /* 1956054 */     GIR_EraseRootFromParent_Done,
     /* 1956055 */   // Label 26230: @1956055
     /* 1956055 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1956141), // Rule ID 24818 //
     /* 1956060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956106 */     // MIs[0] policy
     /* 1956106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1956119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956140 */     // GIR_Coverage, 24818,
     /* 1956140 */     GIR_EraseRootFromParent_Done,
     /* 1956141 */   // Label 26231: @1956141
     /* 1956141 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1956227), // Rule ID 24819 //
     /* 1956146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956192 */     // MIs[0] policy
     /* 1956192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1956205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956226 */     // GIR_Coverage, 24819,
     /* 1956226 */     GIR_EraseRootFromParent_Done,
     /* 1956227 */   // Label 26232: @1956227
     /* 1956227 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1956313), // Rule ID 24822 //
     /* 1956232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956278 */     // MIs[0] policy
     /* 1956278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956312 */     // GIR_Coverage, 24822,
     /* 1956312 */     GIR_EraseRootFromParent_Done,
     /* 1956313 */   // Label 26233: @1956313
     /* 1956313 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1956399), // Rule ID 24823 //
     /* 1956318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956364 */     // MIs[0] policy
     /* 1956364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956398 */     // GIR_Coverage, 24823,
     /* 1956398 */     GIR_EraseRootFromParent_Done,
     /* 1956399 */   // Label 26234: @1956399
     /* 1956399 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1956485), // Rule ID 24826 //
     /* 1956404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1956407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956450 */     // MIs[0] policy
     /* 1956450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1956463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956484 */     // GIR_Coverage, 24826,
     /* 1956484 */     GIR_EraseRootFromParent_Done,
     /* 1956485 */   // Label 26235: @1956485
     /* 1956485 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1956571), // Rule ID 24827 //
     /* 1956490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1956493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956536 */     // MIs[0] policy
     /* 1956536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1956549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956570 */     // GIR_Coverage, 24827,
     /* 1956570 */     GIR_EraseRootFromParent_Done,
     /* 1956571 */   // Label 26236: @1956571
     /* 1956571 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1956657), // Rule ID 24830 //
     /* 1956576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1956579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956622 */     // MIs[0] policy
     /* 1956622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1956635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956656 */     // GIR_Coverage, 24830,
     /* 1956656 */     GIR_EraseRootFromParent_Done,
     /* 1956657 */   // Label 26237: @1956657
     /* 1956657 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1956743), // Rule ID 24831 //
     /* 1956662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1956665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956708 */     // MIs[0] policy
     /* 1956708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1956721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956742 */     // GIR_Coverage, 24831,
     /* 1956742 */     GIR_EraseRootFromParent_Done,
     /* 1956743 */   // Label 26238: @1956743
     /* 1956743 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1956829), // Rule ID 24834 //
     /* 1956748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1956751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956794 */     // MIs[0] policy
     /* 1956794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1956807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956828 */     // GIR_Coverage, 24834,
     /* 1956828 */     GIR_EraseRootFromParent_Done,
     /* 1956829 */   // Label 26239: @1956829
     /* 1956829 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1956915), // Rule ID 24835 //
     /* 1956834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1956837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956880 */     // MIs[0] policy
     /* 1956880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1956893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956914 */     // GIR_Coverage, 24835,
     /* 1956914 */     GIR_EraseRootFromParent_Done,
     /* 1956915 */   // Label 26240: @1956915
     /* 1956915 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1957001), // Rule ID 24838 //
     /* 1956920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1956928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1956940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956966 */     // MIs[0] policy
     /* 1956966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1956979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957000 */     // GIR_Coverage, 24838,
     /* 1957000 */     GIR_EraseRootFromParent_Done,
     /* 1957001 */   // Label 26241: @1957001
     /* 1957001 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1957087), // Rule ID 24839 //
     /* 1957006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1957026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957052 */     // MIs[0] policy
     /* 1957052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957062 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1957065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957086 */     // GIR_Coverage, 24839,
     /* 1957086 */     GIR_EraseRootFromParent_Done,
     /* 1957087 */   // Label 26242: @1957087
     /* 1957087 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1957173), // Rule ID 24842 //
     /* 1957092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1957103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1957106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1957109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1957112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957138 */     // MIs[0] policy
     /* 1957138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1957151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957172 */     // GIR_Coverage, 24842,
     /* 1957172 */     GIR_EraseRootFromParent_Done,
     /* 1957173 */   // Label 26243: @1957173
     /* 1957173 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1957259), // Rule ID 24843 //
     /* 1957178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1957189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1957192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1957195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1957198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957224 */     // MIs[0] policy
     /* 1957224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1957237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957258 */     // GIR_Coverage, 24843,
     /* 1957258 */     GIR_EraseRootFromParent_Done,
     /* 1957259 */   // Label 26244: @1957259
     /* 1957259 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1957345), // Rule ID 24846 //
     /* 1957264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1957267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1957284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957310 */     // MIs[0] policy
     /* 1957310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1957323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957344 */     // GIR_Coverage, 24846,
     /* 1957344 */     GIR_EraseRootFromParent_Done,
     /* 1957345 */   // Label 26245: @1957345
     /* 1957345 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1957431), // Rule ID 24847 //
     /* 1957350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1957353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1957370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957396 */     // MIs[0] policy
     /* 1957396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957406 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1957409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957430 */     // GIR_Coverage, 24847,
     /* 1957430 */     GIR_EraseRootFromParent_Done,
     /* 1957431 */   // Label 26246: @1957431
     /* 1957431 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1957517), // Rule ID 24850 //
     /* 1957436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1957456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957482 */     // MIs[0] policy
     /* 1957482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957492 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1957495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957516 */     // GIR_Coverage, 24850,
     /* 1957516 */     GIR_EraseRootFromParent_Done,
     /* 1957517 */   // Label 26247: @1957517
     /* 1957517 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1957603), // Rule ID 24851 //
     /* 1957522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1957542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957568 */     // MIs[0] policy
     /* 1957568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957578 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1957581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957602 */     // GIR_Coverage, 24851,
     /* 1957602 */     GIR_EraseRootFromParent_Done,
     /* 1957603 */   // Label 26248: @1957603
     /* 1957603 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1957689), // Rule ID 24854 //
     /* 1957608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1957628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957654 */     // MIs[0] policy
     /* 1957654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1957667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957688 */     // GIR_Coverage, 24854,
     /* 1957688 */     GIR_EraseRootFromParent_Done,
     /* 1957689 */   // Label 26249: @1957689
     /* 1957689 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1957775), // Rule ID 24855 //
     /* 1957694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1957714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957740 */     // MIs[0] policy
     /* 1957740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957750 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1957753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957774 */     // GIR_Coverage, 24855,
     /* 1957774 */     GIR_EraseRootFromParent_Done,
     /* 1957775 */   // Label 26250: @1957775
     /* 1957775 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1957861), // Rule ID 24858 //
     /* 1957780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1957800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957826 */     // MIs[0] policy
     /* 1957826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1957839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957860 */     // GIR_Coverage, 24858,
     /* 1957860 */     GIR_EraseRootFromParent_Done,
     /* 1957861 */   // Label 26251: @1957861
     /* 1957861 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1957947), // Rule ID 24859 //
     /* 1957866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1957886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957912 */     // MIs[0] policy
     /* 1957912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957922 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1957925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957946 */     // GIR_Coverage, 24859,
     /* 1957946 */     GIR_EraseRootFromParent_Done,
     /* 1957947 */   // Label 26252: @1957947
     /* 1957947 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1958033), // Rule ID 24862 //
     /* 1957952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1957955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1957972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957998 */     // MIs[0] policy
     /* 1957998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1958011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958032 */     // GIR_Coverage, 24862,
     /* 1958032 */     GIR_EraseRootFromParent_Done,
     /* 1958033 */   // Label 26253: @1958033
     /* 1958033 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1958119), // Rule ID 24863 //
     /* 1958038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1958041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1958055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1958058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958084 */     // MIs[0] policy
     /* 1958084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958094 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1958097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958118 */     // GIR_Coverage, 24863,
     /* 1958118 */     GIR_EraseRootFromParent_Done,
     /* 1958119 */   // Label 26254: @1958119
     /* 1958119 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1958205), // Rule ID 24866 //
     /* 1958124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1958127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1958144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958170 */     // MIs[0] policy
     /* 1958170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1958183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958204 */     // GIR_Coverage, 24866,
     /* 1958204 */     GIR_EraseRootFromParent_Done,
     /* 1958205 */   // Label 26255: @1958205
     /* 1958205 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1958291), // Rule ID 24867 //
     /* 1958210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1958213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1958230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958256 */     // MIs[0] policy
     /* 1958256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958266 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1958269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958290 */     // GIR_Coverage, 24867,
     /* 1958290 */     GIR_EraseRootFromParent_Done,
     /* 1958291 */   // Label 26256: @1958291
     /* 1958291 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1958377), // Rule ID 24870 //
     /* 1958296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1958299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1958316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958342 */     // MIs[0] policy
     /* 1958342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958352 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1958355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958376 */     // GIR_Coverage, 24870,
     /* 1958376 */     GIR_EraseRootFromParent_Done,
     /* 1958377 */   // Label 26257: @1958377
     /* 1958377 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1958463), // Rule ID 24871 //
     /* 1958382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1958385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1958402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958428 */     // MIs[0] policy
     /* 1958428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958438 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1958441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958462 */     // GIR_Coverage, 24871,
     /* 1958462 */     GIR_EraseRootFromParent_Done,
     /* 1958463 */   // Label 26258: @1958463
     /* 1958463 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1958549), // Rule ID 24874 //
     /* 1958468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1958471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958514 */     // MIs[0] policy
     /* 1958514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958524 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1958527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958548 */     // GIR_Coverage, 24874,
     /* 1958548 */     GIR_EraseRootFromParent_Done,
     /* 1958549 */   // Label 26259: @1958549
     /* 1958549 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1958635), // Rule ID 24875 //
     /* 1958554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1958557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958600 */     // MIs[0] policy
     /* 1958600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1958613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958634 */     // GIR_Coverage, 24875,
     /* 1958634 */     GIR_EraseRootFromParent_Done,
     /* 1958635 */   // Label 26260: @1958635
     /* 1958635 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1958721), // Rule ID 24878 //
     /* 1958640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1958643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958686 */     // MIs[0] policy
     /* 1958686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1958699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958720 */     // GIR_Coverage, 24878,
     /* 1958720 */     GIR_EraseRootFromParent_Done,
     /* 1958721 */   // Label 26261: @1958721
     /* 1958721 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1958807), // Rule ID 24879 //
     /* 1958726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1958729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958772 */     // MIs[0] policy
     /* 1958772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958782 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1958785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958806 */     // GIR_Coverage, 24879,
     /* 1958806 */     GIR_EraseRootFromParent_Done,
     /* 1958807 */   // Label 26262: @1958807
     /* 1958807 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1958893), // Rule ID 24882 //
     /* 1958812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1958815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958858 */     // MIs[0] policy
     /* 1958858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1958871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958892 */     // GIR_Coverage, 24882,
     /* 1958892 */     GIR_EraseRootFromParent_Done,
     /* 1958893 */   // Label 26263: @1958893
     /* 1958893 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1958979), // Rule ID 24883 //
     /* 1958898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1958901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958944 */     // MIs[0] policy
     /* 1958944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958954 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1958957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958978 */     // GIR_Coverage, 24883,
     /* 1958978 */     GIR_EraseRootFromParent_Done,
     /* 1958979 */   // Label 26264: @1958979
     /* 1958979 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1959065), // Rule ID 24886 //
     /* 1958984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1958987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1958995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1958998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959030 */     // MIs[0] policy
     /* 1959030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959040 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959064 */     // GIR_Coverage, 24886,
     /* 1959064 */     GIR_EraseRootFromParent_Done,
     /* 1959065 */   // Label 26265: @1959065
     /* 1959065 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1959151), // Rule ID 24887 //
     /* 1959070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959116 */     // MIs[0] policy
     /* 1959116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959126 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959150 */     // GIR_Coverage, 24887,
     /* 1959150 */     GIR_EraseRootFromParent_Done,
     /* 1959151 */   // Label 26266: @1959151
     /* 1959151 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1959237), // Rule ID 24890 //
     /* 1959156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1959159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959202 */     // MIs[0] policy
     /* 1959202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959212 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959236 */     // GIR_Coverage, 24890,
     /* 1959236 */     GIR_EraseRootFromParent_Done,
     /* 1959237 */   // Label 26267: @1959237
     /* 1959237 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1959323), // Rule ID 24891 //
     /* 1959242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959288 */     // MIs[0] policy
     /* 1959288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959298 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959322 */     // GIR_Coverage, 24891,
     /* 1959322 */     GIR_EraseRootFromParent_Done,
     /* 1959323 */   // Label 26268: @1959323
     /* 1959323 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1959409), // Rule ID 24894 //
     /* 1959328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1959331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959374 */     // MIs[0] policy
     /* 1959374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959384 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959408 */     // GIR_Coverage, 24894,
     /* 1959408 */     GIR_EraseRootFromParent_Done,
     /* 1959409 */   // Label 26269: @1959409
     /* 1959409 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1959495), // Rule ID 24895 //
     /* 1959414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959460 */     // MIs[0] policy
     /* 1959460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959470 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959494 */     // GIR_Coverage, 24895,
     /* 1959494 */     GIR_EraseRootFromParent_Done,
     /* 1959495 */   // Label 26270: @1959495
     /* 1959495 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1959581), // Rule ID 24898 //
     /* 1959500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959546 */     // MIs[0] policy
     /* 1959546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959580 */     // GIR_Coverage, 24898,
     /* 1959580 */     GIR_EraseRootFromParent_Done,
     /* 1959581 */   // Label 26271: @1959581
     /* 1959581 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1959667), // Rule ID 24899 //
     /* 1959586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1959589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959632 */     // MIs[0] policy
     /* 1959632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959666 */     // GIR_Coverage, 24899,
     /* 1959666 */     GIR_EraseRootFromParent_Done,
     /* 1959667 */   // Label 26272: @1959667
     /* 1959667 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1959753), // Rule ID 24902 //
     /* 1959672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959718 */     // MIs[0] policy
     /* 1959718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959752 */     // GIR_Coverage, 24902,
     /* 1959752 */     GIR_EraseRootFromParent_Done,
     /* 1959753 */   // Label 26273: @1959753
     /* 1959753 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1959839), // Rule ID 24903 //
     /* 1959758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1959761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959804 */     // MIs[0] policy
     /* 1959804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959838 */     // GIR_Coverage, 24903,
     /* 1959838 */     GIR_EraseRootFromParent_Done,
     /* 1959839 */   // Label 26274: @1959839
     /* 1959839 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1959925), // Rule ID 24906 //
     /* 1959844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959890 */     // MIs[0] policy
     /* 1959890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959900 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959924 */     // GIR_Coverage, 24906,
     /* 1959924 */     GIR_EraseRootFromParent_Done,
     /* 1959925 */   // Label 26275: @1959925
     /* 1959925 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1960011), // Rule ID 24907 //
     /* 1959930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1959933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959976 */     // MIs[0] policy
     /* 1959976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959986 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960010 */     // GIR_Coverage, 24907,
     /* 1960010 */     GIR_EraseRootFromParent_Done,
     /* 1960011 */   // Label 26276: @1960011
     /* 1960011 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1960097), // Rule ID 24946 //
     /* 1960016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960062 */     // MIs[0] policy
     /* 1960062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960072 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1960075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960096 */     // GIR_Coverage, 24946,
     /* 1960096 */     GIR_EraseRootFromParent_Done,
     /* 1960097 */   // Label 26277: @1960097
     /* 1960097 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1960183), // Rule ID 24947 //
     /* 1960102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960148 */     // MIs[0] policy
     /* 1960148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960158 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1960161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960182 */     // GIR_Coverage, 24947,
     /* 1960182 */     GIR_EraseRootFromParent_Done,
     /* 1960183 */   // Label 26278: @1960183
     /* 1960183 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1960269), // Rule ID 24950 //
     /* 1960188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960234 */     // MIs[0] policy
     /* 1960234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960244 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1960247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960268 */     // GIR_Coverage, 24950,
     /* 1960268 */     GIR_EraseRootFromParent_Done,
     /* 1960269 */   // Label 26279: @1960269
     /* 1960269 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1960355), // Rule ID 24951 //
     /* 1960274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960320 */     // MIs[0] policy
     /* 1960320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1960333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960354 */     // GIR_Coverage, 24951,
     /* 1960354 */     GIR_EraseRootFromParent_Done,
     /* 1960355 */   // Label 26280: @1960355
     /* 1960355 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1960441), // Rule ID 24954 //
     /* 1960360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960406 */     // MIs[0] policy
     /* 1960406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1960419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960440 */     // GIR_Coverage, 24954,
     /* 1960440 */     GIR_EraseRootFromParent_Done,
     /* 1960441 */   // Label 26281: @1960441
     /* 1960441 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1960527), // Rule ID 24955 //
     /* 1960446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960492 */     // MIs[0] policy
     /* 1960492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960502 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1960505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960526 */     // GIR_Coverage, 24955,
     /* 1960526 */     GIR_EraseRootFromParent_Done,
     /* 1960527 */   // Label 26282: @1960527
     /* 1960527 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1960613), // Rule ID 24958 //
     /* 1960532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1960543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1960546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960578 */     // MIs[0] policy
     /* 1960578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960588 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1960591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960612 */     // GIR_Coverage, 24958,
     /* 1960612 */     GIR_EraseRootFromParent_Done,
     /* 1960613 */   // Label 26283: @1960613
     /* 1960613 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1960699), // Rule ID 24959 //
     /* 1960618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1960629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1960632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960664 */     // MIs[0] policy
     /* 1960664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960674 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1960677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960698 */     // GIR_Coverage, 24959,
     /* 1960698 */     GIR_EraseRootFromParent_Done,
     /* 1960699 */   // Label 26284: @1960699
     /* 1960699 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1960785), // Rule ID 24962 //
     /* 1960704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960750 */     // MIs[0] policy
     /* 1960750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960760 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1960763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960784 */     // GIR_Coverage, 24962,
     /* 1960784 */     GIR_EraseRootFromParent_Done,
     /* 1960785 */   // Label 26285: @1960785
     /* 1960785 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1960871), // Rule ID 24963 //
     /* 1960790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960836 */     // MIs[0] policy
     /* 1960836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960846 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1960849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960870 */     // GIR_Coverage, 24963,
     /* 1960870 */     GIR_EraseRootFromParent_Done,
     /* 1960871 */   // Label 26286: @1960871
     /* 1960871 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1960957), // Rule ID 24966 //
     /* 1960876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1960879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1960893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1960896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960922 */     // MIs[0] policy
     /* 1960922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960932 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1960935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960956 */     // GIR_Coverage, 24966,
     /* 1960956 */     GIR_EraseRootFromParent_Done,
     /* 1960957 */   // Label 26287: @1960957
     /* 1960957 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1961043), // Rule ID 24967 //
     /* 1960962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1960965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1960970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1960979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1960982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961008 */     // MIs[0] policy
     /* 1961008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961018 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1961021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961042 */     // GIR_Coverage, 24967,
     /* 1961042 */     GIR_EraseRootFromParent_Done,
     /* 1961043 */   // Label 26288: @1961043
     /* 1961043 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1961129), // Rule ID 24970 //
     /* 1961048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961094 */     // MIs[0] policy
     /* 1961094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961104 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1961107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961128 */     // GIR_Coverage, 24970,
     /* 1961128 */     GIR_EraseRootFromParent_Done,
     /* 1961129 */   // Label 26289: @1961129
     /* 1961129 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1961215), // Rule ID 24971 //
     /* 1961134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961180 */     // MIs[0] policy
     /* 1961180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1961193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961214 */     // GIR_Coverage, 24971,
     /* 1961214 */     GIR_EraseRootFromParent_Done,
     /* 1961215 */   // Label 26290: @1961215
     /* 1961215 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1961301), // Rule ID 24974 //
     /* 1961220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961266 */     // MIs[0] policy
     /* 1961266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1961279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961300 */     // GIR_Coverage, 24974,
     /* 1961300 */     GIR_EraseRootFromParent_Done,
     /* 1961301 */   // Label 26291: @1961301
     /* 1961301 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1961387), // Rule ID 24975 //
     /* 1961306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961352 */     // MIs[0] policy
     /* 1961352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961362 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1961365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961386 */     // GIR_Coverage, 24975,
     /* 1961386 */     GIR_EraseRootFromParent_Done,
     /* 1961387 */   // Label 26292: @1961387
     /* 1961387 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1961473), // Rule ID 24978 //
     /* 1961392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961438 */     // MIs[0] policy
     /* 1961438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1961451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961472 */     // GIR_Coverage, 24978,
     /* 1961472 */     GIR_EraseRootFromParent_Done,
     /* 1961473 */   // Label 26293: @1961473
     /* 1961473 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1961559), // Rule ID 24979 //
     /* 1961478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961524 */     // MIs[0] policy
     /* 1961524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961534 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1961537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961558 */     // GIR_Coverage, 24979,
     /* 1961558 */     GIR_EraseRootFromParent_Done,
     /* 1961559 */   // Label 26294: @1961559
     /* 1961559 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1961645), // Rule ID 24982 //
     /* 1961564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961610 */     // MIs[0] policy
     /* 1961610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961620 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961644 */     // GIR_Coverage, 24982,
     /* 1961644 */     GIR_EraseRootFromParent_Done,
     /* 1961645 */   // Label 26295: @1961645
     /* 1961645 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1961731), // Rule ID 24983 //
     /* 1961650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961696 */     // MIs[0] policy
     /* 1961696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961706 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961730 */     // GIR_Coverage, 24983,
     /* 1961730 */     GIR_EraseRootFromParent_Done,
     /* 1961731 */   // Label 26296: @1961731
     /* 1961731 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1961817), // Rule ID 24986 //
     /* 1961736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961782 */     // MIs[0] policy
     /* 1961782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961792 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961816 */     // GIR_Coverage, 24986,
     /* 1961816 */     GIR_EraseRootFromParent_Done,
     /* 1961817 */   // Label 26297: @1961817
     /* 1961817 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1961903), // Rule ID 24987 //
     /* 1961822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961868 */     // MIs[0] policy
     /* 1961868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961878 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961902 */     // GIR_Coverage, 24987,
     /* 1961902 */     GIR_EraseRootFromParent_Done,
     /* 1961903 */   // Label 26298: @1961903
     /* 1961903 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1961989), // Rule ID 24990 //
     /* 1961908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961954 */     // MIs[0] policy
     /* 1961954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961964 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1961967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961988 */     // GIR_Coverage, 24990,
     /* 1961988 */     GIR_EraseRootFromParent_Done,
     /* 1961989 */   // Label 26299: @1961989
     /* 1961989 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1962075), // Rule ID 24991 //
     /* 1961994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1962005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1962008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1962011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962040 */     // MIs[0] policy
     /* 1962040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962050 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1962053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962074 */     // GIR_Coverage, 24991,
     /* 1962074 */     GIR_EraseRootFromParent_Done,
     /* 1962075 */   // Label 26300: @1962075
     /* 1962075 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1962161), // Rule ID 25018 //
     /* 1962080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1962083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962126 */     // MIs[0] policy
     /* 1962126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962136 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1962139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962160 */     // GIR_Coverage, 25018,
     /* 1962160 */     GIR_EraseRootFromParent_Done,
     /* 1962161 */   // Label 26301: @1962161
     /* 1962161 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1962247), // Rule ID 25019 //
     /* 1962166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1962169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962212 */     // MIs[0] policy
     /* 1962212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1962225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962246 */     // GIR_Coverage, 25019,
     /* 1962246 */     GIR_EraseRootFromParent_Done,
     /* 1962247 */   // Label 26302: @1962247
     /* 1962247 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1962333), // Rule ID 25022 //
     /* 1962252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1962255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962298 */     // MIs[0] policy
     /* 1962298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1962311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962332 */     // GIR_Coverage, 25022,
     /* 1962332 */     GIR_EraseRootFromParent_Done,
     /* 1962333 */   // Label 26303: @1962333
     /* 1962333 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1962419), // Rule ID 25023 //
     /* 1962338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1962341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962384 */     // MIs[0] policy
     /* 1962384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962394 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1962397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962418 */     // GIR_Coverage, 25023,
     /* 1962418 */     GIR_EraseRootFromParent_Done,
     /* 1962419 */   // Label 26304: @1962419
     /* 1962419 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1962505), // Rule ID 25026 //
     /* 1962424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1962427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962470 */     // MIs[0] policy
     /* 1962470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962480 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1962483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962504 */     // GIR_Coverage, 25026,
     /* 1962504 */     GIR_EraseRootFromParent_Done,
     /* 1962505 */   // Label 26305: @1962505
     /* 1962505 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1962591), // Rule ID 25027 //
     /* 1962510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1962513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962556 */     // MIs[0] policy
     /* 1962556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962566 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1962569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962590 */     // GIR_Coverage, 25027,
     /* 1962590 */     GIR_EraseRootFromParent_Done,
     /* 1962591 */   // Label 26306: @1962591
     /* 1962591 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1962677), // Rule ID 25030 //
     /* 1962596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1962599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962642 */     // MIs[0] policy
     /* 1962642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1962655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962676 */     // GIR_Coverage, 25030,
     /* 1962676 */     GIR_EraseRootFromParent_Done,
     /* 1962677 */   // Label 26307: @1962677
     /* 1962677 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1962763), // Rule ID 25031 //
     /* 1962682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1962685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962728 */     // MIs[0] policy
     /* 1962728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962738 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1962741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962762 */     // GIR_Coverage, 25031,
     /* 1962762 */     GIR_EraseRootFromParent_Done,
     /* 1962763 */   // Label 26308: @1962763
     /* 1962763 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1962849), // Rule ID 25034 //
     /* 1962768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1962771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962814 */     // MIs[0] policy
     /* 1962814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962824 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1962827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962848 */     // GIR_Coverage, 25034,
     /* 1962848 */     GIR_EraseRootFromParent_Done,
     /* 1962849 */   // Label 26309: @1962849
     /* 1962849 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1962935), // Rule ID 25035 //
     /* 1962854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1962857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962900 */     // MIs[0] policy
     /* 1962900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1962913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962934 */     // GIR_Coverage, 25035,
     /* 1962934 */     GIR_EraseRootFromParent_Done,
     /* 1962935 */   // Label 26310: @1962935
     /* 1962935 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1963021), // Rule ID 25038 //
     /* 1962940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1962943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962986 */     // MIs[0] policy
     /* 1962986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1962999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963020 */     // GIR_Coverage, 25038,
     /* 1963020 */     GIR_EraseRootFromParent_Done,
     /* 1963021 */   // Label 26311: @1963021
     /* 1963021 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1963107), // Rule ID 25039 //
     /* 1963026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1963029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1963046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963072 */     // MIs[0] policy
     /* 1963072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963082 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1963085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963106 */     // GIR_Coverage, 25039,
     /* 1963106 */     GIR_EraseRootFromParent_Done,
     /* 1963107 */   // Label 26312: @1963107
     /* 1963107 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1963193), // Rule ID 25042 //
     /* 1963112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1963115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1963129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963158 */     // MIs[0] policy
     /* 1963158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963168 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1963171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963192 */     // GIR_Coverage, 25042,
     /* 1963192 */     GIR_EraseRootFromParent_Done,
     /* 1963193 */   // Label 26313: @1963193
     /* 1963193 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1963279), // Rule ID 25043 //
     /* 1963198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1963201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1963215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963244 */     // MIs[0] policy
     /* 1963244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963254 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1963257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963278 */     // GIR_Coverage, 25043,
     /* 1963278 */     GIR_EraseRootFromParent_Done,
     /* 1963279 */   // Label 26314: @1963279
     /* 1963279 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1963365), // Rule ID 25046 //
     /* 1963284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1963287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1963301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1963304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963330 */     // MIs[0] policy
     /* 1963330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963340 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1963343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963364 */     // GIR_Coverage, 25046,
     /* 1963364 */     GIR_EraseRootFromParent_Done,
     /* 1963365 */   // Label 26315: @1963365
     /* 1963365 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1963451), // Rule ID 25047 //
     /* 1963370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1963373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1963387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1963390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963416 */     // MIs[0] policy
     /* 1963416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963426 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1963429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963450 */     // GIR_Coverage, 25047,
     /* 1963450 */     GIR_EraseRootFromParent_Done,
     /* 1963451 */   // Label 26316: @1963451
     /* 1963451 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1963537), // Rule ID 25050 //
     /* 1963456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1963459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1963473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1963476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963502 */     // MIs[0] policy
     /* 1963502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963512 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1963515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963536 */     // GIR_Coverage, 25050,
     /* 1963536 */     GIR_EraseRootFromParent_Done,
     /* 1963537 */   // Label 26317: @1963537
     /* 1963537 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1963623), // Rule ID 25051 //
     /* 1963542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1963545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1963559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1963562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963588 */     // MIs[0] policy
     /* 1963588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963598 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1963601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963622 */     // GIR_Coverage, 25051,
     /* 1963622 */     GIR_EraseRootFromParent_Done,
     /* 1963623 */   // Label 26318: @1963623
     /* 1963623 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1963709), // Rule ID 25054 //
     /* 1963628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1963631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1963648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963674 */     // MIs[0] policy
     /* 1963674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963684 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1963687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963708 */     // GIR_Coverage, 25054,
     /* 1963708 */     GIR_EraseRootFromParent_Done,
     /* 1963709 */   // Label 26319: @1963709
     /* 1963709 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1963795), // Rule ID 25055 //
     /* 1963714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1963717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1963734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963760 */     // MIs[0] policy
     /* 1963760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1963773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963794 */     // GIR_Coverage, 25055,
     /* 1963794 */     GIR_EraseRootFromParent_Done,
     /* 1963795 */   // Label 26320: @1963795
     /* 1963795 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1963881), // Rule ID 25058 //
     /* 1963800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1963803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963846 */     // MIs[0] policy
     /* 1963846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1963859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963880 */     // GIR_Coverage, 25058,
     /* 1963880 */     GIR_EraseRootFromParent_Done,
     /* 1963881 */   // Label 26321: @1963881
     /* 1963881 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1963967), // Rule ID 25059 //
     /* 1963886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1963889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963932 */     // MIs[0] policy
     /* 1963932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963942 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1963945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963966 */     // GIR_Coverage, 25059,
     /* 1963966 */     GIR_EraseRootFromParent_Done,
     /* 1963967 */   // Label 26322: @1963967
     /* 1963967 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1964053), // Rule ID 25062 //
     /* 1963972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1963975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1963992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964018 */     // MIs[0] policy
     /* 1964018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1964031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964052 */     // GIR_Coverage, 25062,
     /* 1964052 */     GIR_EraseRootFromParent_Done,
     /* 1964053 */   // Label 26323: @1964053
     /* 1964053 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1964139), // Rule ID 25063 //
     /* 1964058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1964061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1964069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1964072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1964075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1964078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964104 */     // MIs[0] policy
     /* 1964104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964114 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1964117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964138 */     // GIR_Coverage, 25063,
     /* 1964138 */     GIR_EraseRootFromParent_Done,
     /* 1964139 */   // Label 26324: @1964139
     /* 1964139 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1964225), // Rule ID 25066 //
     /* 1964144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1964147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1964164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964190 */     // MIs[0] policy
     /* 1964190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964200 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1964203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964224 */     // GIR_Coverage, 25066,
     /* 1964224 */     GIR_EraseRootFromParent_Done,
     /* 1964225 */   // Label 26325: @1964225
     /* 1964225 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1964311), // Rule ID 25067 //
     /* 1964230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1964233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1964250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964276 */     // MIs[0] policy
     /* 1964276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964286 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1964289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964310 */     // GIR_Coverage, 25067,
     /* 1964310 */     GIR_EraseRootFromParent_Done,
     /* 1964311 */   // Label 26326: @1964311
     /* 1964311 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1964397), // Rule ID 25070 //
     /* 1964316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1964319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964362 */     // MIs[0] policy
     /* 1964362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964372 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1964375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964396 */     // GIR_Coverage, 25070,
     /* 1964396 */     GIR_EraseRootFromParent_Done,
     /* 1964397 */   // Label 26327: @1964397
     /* 1964397 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1964483), // Rule ID 25071 //
     /* 1964402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1964405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964448 */     // MIs[0] policy
     /* 1964448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964458 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1964461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964482 */     // GIR_Coverage, 25071,
     /* 1964482 */     GIR_EraseRootFromParent_Done,
     /* 1964483 */   // Label 26328: @1964483
     /* 1964483 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1964569), // Rule ID 25074 //
     /* 1964488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1964491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964534 */     // MIs[0] policy
     /* 1964534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964544 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1964547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964568 */     // GIR_Coverage, 25074,
     /* 1964568 */     GIR_EraseRootFromParent_Done,
     /* 1964569 */   // Label 26329: @1964569
     /* 1964569 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1964655), // Rule ID 25075 //
     /* 1964574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1964577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964620 */     // MIs[0] policy
     /* 1964620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964630 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1964633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964654 */     // GIR_Coverage, 25075,
     /* 1964654 */     GIR_EraseRootFromParent_Done,
     /* 1964655 */   // Label 26330: @1964655
     /* 1964655 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1964741), // Rule ID 60962 //
     /* 1964660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1964677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1964680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964706 */     // MIs[0] policy
     /* 1964706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1964719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964740 */     // GIR_Coverage, 60962,
     /* 1964740 */     GIR_EraseRootFromParent_Done,
     /* 1964741 */   // Label 26331: @1964741
     /* 1964741 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1964827), // Rule ID 60963 //
     /* 1964746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1964763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1964766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964792 */     // MIs[0] policy
     /* 1964792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1964805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964826 */     // GIR_Coverage, 60963,
     /* 1964826 */     GIR_EraseRootFromParent_Done,
     /* 1964827 */   // Label 26332: @1964827
     /* 1964827 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1964913), // Rule ID 60966 //
     /* 1964832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1964849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1964852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964878 */     // MIs[0] policy
     /* 1964878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1964891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964912 */     // GIR_Coverage, 60966,
     /* 1964912 */     GIR_EraseRootFromParent_Done,
     /* 1964913 */   // Label 26333: @1964913
     /* 1964913 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1964999), // Rule ID 60967 //
     /* 1964918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1964935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1964938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964964 */     // MIs[0] policy
     /* 1964964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1964977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964998 */     // GIR_Coverage, 60967,
     /* 1964998 */     GIR_EraseRootFromParent_Done,
     /* 1964999 */   // Label 26334: @1964999
     /* 1964999 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1965085), // Rule ID 60970 //
     /* 1965004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965050 */     // MIs[0] policy
     /* 1965050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1965063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965084 */     // GIR_Coverage, 60970,
     /* 1965084 */     GIR_EraseRootFromParent_Done,
     /* 1965085 */   // Label 26335: @1965085
     /* 1965085 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1965171), // Rule ID 60971 //
     /* 1965090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965136 */     // MIs[0] policy
     /* 1965136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1965149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965170 */     // GIR_Coverage, 60971,
     /* 1965170 */     GIR_EraseRootFromParent_Done,
     /* 1965171 */   // Label 26336: @1965171
     /* 1965171 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1965257), // Rule ID 60974 //
     /* 1965176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965222 */     // MIs[0] policy
     /* 1965222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1965235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965256 */     // GIR_Coverage, 60974,
     /* 1965256 */     GIR_EraseRootFromParent_Done,
     /* 1965257 */   // Label 26337: @1965257
     /* 1965257 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1965343), // Rule ID 60975 //
     /* 1965262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965308 */     // MIs[0] policy
     /* 1965308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1965321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965342 */     // GIR_Coverage, 60975,
     /* 1965342 */     GIR_EraseRootFromParent_Done,
     /* 1965343 */   // Label 26338: @1965343
     /* 1965343 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1965429), // Rule ID 60978 //
     /* 1965348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1965368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965394 */     // MIs[0] policy
     /* 1965394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1965407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965428 */     // GIR_Coverage, 60978,
     /* 1965428 */     GIR_EraseRootFromParent_Done,
     /* 1965429 */   // Label 26339: @1965429
     /* 1965429 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1965515), // Rule ID 60979 //
     /* 1965434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1965454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965480 */     // MIs[0] policy
     /* 1965480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1965493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965514 */     // GIR_Coverage, 60979,
     /* 1965514 */     GIR_EraseRootFromParent_Done,
     /* 1965515 */   // Label 26340: @1965515
     /* 1965515 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1965601), // Rule ID 60982 //
     /* 1965520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1965537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1965540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965566 */     // MIs[0] policy
     /* 1965566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1965579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965600 */     // GIR_Coverage, 60982,
     /* 1965600 */     GIR_EraseRootFromParent_Done,
     /* 1965601 */   // Label 26341: @1965601
     /* 1965601 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1965687), // Rule ID 60983 //
     /* 1965606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1965623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1965626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965652 */     // MIs[0] policy
     /* 1965652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1965665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965686 */     // GIR_Coverage, 60983,
     /* 1965686 */     GIR_EraseRootFromParent_Done,
     /* 1965687 */   // Label 26342: @1965687
     /* 1965687 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1965773), // Rule ID 60986 //
     /* 1965692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1965703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1965706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965738 */     // MIs[0] policy
     /* 1965738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1965751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965772 */     // GIR_Coverage, 60986,
     /* 1965772 */     GIR_EraseRootFromParent_Done,
     /* 1965773 */   // Label 26343: @1965773
     /* 1965773 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1965859), // Rule ID 60987 //
     /* 1965778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1965789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1965792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965824 */     // MIs[0] policy
     /* 1965824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1965837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965858 */     // GIR_Coverage, 60987,
     /* 1965858 */     GIR_EraseRootFromParent_Done,
     /* 1965859 */   // Label 26344: @1965859
     /* 1965859 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1965945), // Rule ID 60990 //
     /* 1965864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1965875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1965878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1965881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1965884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965910 */     // MIs[0] policy
     /* 1965910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1965923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965944 */     // GIR_Coverage, 60990,
     /* 1965944 */     GIR_EraseRootFromParent_Done,
     /* 1965945 */   // Label 26345: @1965945
     /* 1965945 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1966031), // Rule ID 60991 //
     /* 1965950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1965961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1965964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1965967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1965970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965996 */     // MIs[0] policy
     /* 1965996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1966009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966030 */     // GIR_Coverage, 60991,
     /* 1966030 */     GIR_EraseRootFromParent_Done,
     /* 1966031 */   // Label 26346: @1966031
     /* 1966031 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1966117), // Rule ID 60994 //
     /* 1966036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966082 */     // MIs[0] policy
     /* 1966082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966116 */     // GIR_Coverage, 60994,
     /* 1966116 */     GIR_EraseRootFromParent_Done,
     /* 1966117 */   // Label 26347: @1966117
     /* 1966117 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1966203), // Rule ID 60995 //
     /* 1966122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966168 */     // MIs[0] policy
     /* 1966168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966202 */     // GIR_Coverage, 60995,
     /* 1966202 */     GIR_EraseRootFromParent_Done,
     /* 1966203 */   // Label 26348: @1966203
     /* 1966203 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1966289), // Rule ID 60998 //
     /* 1966208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1966228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966254 */     // MIs[0] policy
     /* 1966254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1966267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966288 */     // GIR_Coverage, 60998,
     /* 1966288 */     GIR_EraseRootFromParent_Done,
     /* 1966289 */   // Label 26349: @1966289
     /* 1966289 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1966375), // Rule ID 60999 //
     /* 1966294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1966314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966340 */     // MIs[0] policy
     /* 1966340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1966353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966374 */     // GIR_Coverage, 60999,
     /* 1966374 */     GIR_EraseRootFromParent_Done,
     /* 1966375 */   // Label 26350: @1966375
     /* 1966375 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1966461), // Rule ID 61002 //
     /* 1966380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1966400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966426 */     // MIs[0] policy
     /* 1966426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966460 */     // GIR_Coverage, 61002,
     /* 1966460 */     GIR_EraseRootFromParent_Done,
     /* 1966461 */   // Label 26351: @1966461
     /* 1966461 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1966547), // Rule ID 61003 //
     /* 1966466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1966486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966512 */     // MIs[0] policy
     /* 1966512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966546 */     // GIR_Coverage, 61003,
     /* 1966546 */     GIR_EraseRootFromParent_Done,
     /* 1966547 */   // Label 26352: @1966547
     /* 1966547 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1966633), // Rule ID 61006 //
     /* 1966552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966598 */     // MIs[0] policy
     /* 1966598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1966611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966632 */     // GIR_Coverage, 61006,
     /* 1966632 */     GIR_EraseRootFromParent_Done,
     /* 1966633 */   // Label 26353: @1966633
     /* 1966633 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1966719), // Rule ID 61007 //
     /* 1966638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966684 */     // MIs[0] policy
     /* 1966684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1966697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966718 */     // GIR_Coverage, 61007,
     /* 1966718 */     GIR_EraseRootFromParent_Done,
     /* 1966719 */   // Label 26354: @1966719
     /* 1966719 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1966805), // Rule ID 61010 //
     /* 1966724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1966735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1966738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966770 */     // MIs[0] policy
     /* 1966770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966804 */     // GIR_Coverage, 61010,
     /* 1966804 */     GIR_EraseRootFromParent_Done,
     /* 1966805 */   // Label 26355: @1966805
     /* 1966805 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1966891), // Rule ID 61011 //
     /* 1966810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1966821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1966824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966856 */     // MIs[0] policy
     /* 1966856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966890 */     // GIR_Coverage, 61011,
     /* 1966890 */     GIR_EraseRootFromParent_Done,
     /* 1966891 */   // Label 26356: @1966891
     /* 1966891 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1966977), // Rule ID 61014 //
     /* 1966896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1966913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1966916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966942 */     // MIs[0] policy
     /* 1966942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1966955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966976 */     // GIR_Coverage, 61014,
     /* 1966976 */     GIR_EraseRootFromParent_Done,
     /* 1966977 */   // Label 26357: @1966977
     /* 1966977 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1967063), // Rule ID 61015 //
     /* 1966982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1966999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1967002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967028 */     // MIs[0] policy
     /* 1967028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1967041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967062 */     // GIR_Coverage, 61015,
     /* 1967062 */     GIR_EraseRootFromParent_Done,
     /* 1967063 */   // Label 26358: @1967063
     /* 1967063 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1967149), // Rule ID 61018 //
     /* 1967068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967114 */     // MIs[0] policy
     /* 1967114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1967127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967148 */     // GIR_Coverage, 61018,
     /* 1967148 */     GIR_EraseRootFromParent_Done,
     /* 1967149 */   // Label 26359: @1967149
     /* 1967149 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1967235), // Rule ID 61019 //
     /* 1967154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967200 */     // MIs[0] policy
     /* 1967200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967210 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1967213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967234 */     // GIR_Coverage, 61019,
     /* 1967234 */     GIR_EraseRootFromParent_Done,
     /* 1967235 */   // Label 26360: @1967235
     /* 1967235 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1967321), // Rule ID 61022 //
     /* 1967240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1967251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1967254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967286 */     // MIs[0] policy
     /* 1967286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1967299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967320 */     // GIR_Coverage, 61022,
     /* 1967320 */     GIR_EraseRootFromParent_Done,
     /* 1967321 */   // Label 26361: @1967321
     /* 1967321 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1967407), // Rule ID 61023 //
     /* 1967326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1967337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1967340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967372 */     // MIs[0] policy
     /* 1967372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1967385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967406 */     // GIR_Coverage, 61023,
     /* 1967406 */     GIR_EraseRootFromParent_Done,
     /* 1967407 */   // Label 26362: @1967407
     /* 1967407 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1967493), // Rule ID 61030 //
     /* 1967412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967458 */     // MIs[0] policy
     /* 1967458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1967471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967492 */     // GIR_Coverage, 61030,
     /* 1967492 */     GIR_EraseRootFromParent_Done,
     /* 1967493 */   // Label 26363: @1967493
     /* 1967493 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1967579), // Rule ID 61031 //
     /* 1967498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967544 */     // MIs[0] policy
     /* 1967544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1967557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967578 */     // GIR_Coverage, 61031,
     /* 1967578 */     GIR_EraseRootFromParent_Done,
     /* 1967579 */   // Label 26364: @1967579
     /* 1967579 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1967665), // Rule ID 61038 //
     /* 1967584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1967601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967630 */     // MIs[0] policy
     /* 1967630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1967643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967664 */     // GIR_Coverage, 61038,
     /* 1967664 */     GIR_EraseRootFromParent_Done,
     /* 1967665 */   // Label 26365: @1967665
     /* 1967665 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1967751), // Rule ID 61039 //
     /* 1967670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1967687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967716 */     // MIs[0] policy
     /* 1967716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1967729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967750 */     // GIR_Coverage, 61039,
     /* 1967750 */     GIR_EraseRootFromParent_Done,
     /* 1967751 */   // Label 26366: @1967751
     /* 1967751 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1967837), // Rule ID 61046 //
     /* 1967756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967802 */     // MIs[0] policy
     /* 1967802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1967815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967836 */     // GIR_Coverage, 61046,
     /* 1967836 */     GIR_EraseRootFromParent_Done,
     /* 1967837 */   // Label 26367: @1967837
     /* 1967837 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1967923), // Rule ID 61047 //
     /* 1967842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967888 */     // MIs[0] policy
     /* 1967888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1967901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967922 */     // GIR_Coverage, 61047,
     /* 1967922 */     GIR_EraseRootFromParent_Done,
     /* 1967923 */   // Label 26368: @1967923
     /* 1967923 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1968009), // Rule ID 61054 //
     /* 1967928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967974 */     // MIs[0] policy
     /* 1967974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1967987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968008 */     // GIR_Coverage, 61054,
     /* 1968008 */     GIR_EraseRootFromParent_Done,
     /* 1968009 */   // Label 26369: @1968009
     /* 1968009 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1968095), // Rule ID 61055 //
     /* 1968014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968060 */     // MIs[0] policy
     /* 1968060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1968073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968094 */     // GIR_Coverage, 61055,
     /* 1968094 */     GIR_EraseRootFromParent_Done,
     /* 1968095 */   // Label 26370: @1968095
     /* 1968095 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1968181), // Rule ID 61062 //
     /* 1968100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968146 */     // MIs[0] policy
     /* 1968146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1968159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968180 */     // GIR_Coverage, 61062,
     /* 1968180 */     GIR_EraseRootFromParent_Done,
     /* 1968181 */   // Label 26371: @1968181
     /* 1968181 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1968267), // Rule ID 61063 //
     /* 1968186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968232 */     // MIs[0] policy
     /* 1968232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1968245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968266 */     // GIR_Coverage, 61063,
     /* 1968266 */     GIR_EraseRootFromParent_Done,
     /* 1968267 */   // Label 26372: @1968267
     /* 1968267 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1968353), // Rule ID 61070 //
     /* 1968272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968318 */     // MIs[0] policy
     /* 1968318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1968331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968352 */     // GIR_Coverage, 61070,
     /* 1968352 */     GIR_EraseRootFromParent_Done,
     /* 1968353 */   // Label 26373: @1968353
     /* 1968353 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1968439), // Rule ID 61071 //
     /* 1968358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968404 */     // MIs[0] policy
     /* 1968404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1968417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968438 */     // GIR_Coverage, 61071,
     /* 1968438 */     GIR_EraseRootFromParent_Done,
     /* 1968439 */   // Label 26374: @1968439
     /* 1968439 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1968525), // Rule ID 61078 //
     /* 1968444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1968455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1968458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1968461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968490 */     // MIs[0] policy
     /* 1968490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1968503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968524 */     // GIR_Coverage, 61078,
     /* 1968524 */     GIR_EraseRootFromParent_Done,
     /* 1968525 */   // Label 26375: @1968525
     /* 1968525 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1968611), // Rule ID 61079 //
     /* 1968530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1968541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1968544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1968547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968576 */     // MIs[0] policy
     /* 1968576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1968589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968610 */     // GIR_Coverage, 61079,
     /* 1968610 */     GIR_EraseRootFromParent_Done,
     /* 1968611 */   // Label 26376: @1968611
     /* 1968611 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1968697), // Rule ID 61086 //
     /* 1968616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1968633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968662 */     // MIs[0] policy
     /* 1968662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1968675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968696 */     // GIR_Coverage, 61086,
     /* 1968696 */     GIR_EraseRootFromParent_Done,
     /* 1968697 */   // Label 26377: @1968697
     /* 1968697 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1968783), // Rule ID 61087 //
     /* 1968702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1968719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968748 */     // MIs[0] policy
     /* 1968748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1968761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968782 */     // GIR_Coverage, 61087,
     /* 1968782 */     GIR_EraseRootFromParent_Done,
     /* 1968783 */   // Label 26378: @1968783
     /* 1968783 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1968869), // Rule ID 61094 //
     /* 1968788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968834 */     // MIs[0] policy
     /* 1968834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1968847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968868 */     // GIR_Coverage, 61094,
     /* 1968868 */     GIR_EraseRootFromParent_Done,
     /* 1968869 */   // Label 26379: @1968869
     /* 1968869 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1968955), // Rule ID 61095 //
     /* 1968874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968920 */     // MIs[0] policy
     /* 1968920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1968933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968954 */     // GIR_Coverage, 61095,
     /* 1968954 */     GIR_EraseRootFromParent_Done,
     /* 1968955 */   // Label 26380: @1968955
     /* 1968955 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1969041), // Rule ID 61102 //
     /* 1968960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969006 */     // MIs[0] policy
     /* 1969006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969040 */     // GIR_Coverage, 61102,
     /* 1969040 */     GIR_EraseRootFromParent_Done,
     /* 1969041 */   // Label 26381: @1969041
     /* 1969041 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1969127), // Rule ID 61103 //
     /* 1969046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1969063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969092 */     // MIs[0] policy
     /* 1969092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969126 */     // GIR_Coverage, 61103,
     /* 1969126 */     GIR_EraseRootFromParent_Done,
     /* 1969127 */   // Label 26382: @1969127
     /* 1969127 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1969213), // Rule ID 61110 //
     /* 1969132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969178 */     // MIs[0] policy
     /* 1969178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1969191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969212 */     // GIR_Coverage, 61110,
     /* 1969212 */     GIR_EraseRootFromParent_Done,
     /* 1969213 */   // Label 26383: @1969213
     /* 1969213 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1969299), // Rule ID 61111 //
     /* 1969218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969264 */     // MIs[0] policy
     /* 1969264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1969277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969298 */     // GIR_Coverage, 61111,
     /* 1969298 */     GIR_EraseRootFromParent_Done,
     /* 1969299 */   // Label 26384: @1969299
     /* 1969299 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1969385), // Rule ID 61118 //
     /* 1969304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969350 */     // MIs[0] policy
     /* 1969350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969384 */     // GIR_Coverage, 61118,
     /* 1969384 */     GIR_EraseRootFromParent_Done,
     /* 1969385 */   // Label 26385: @1969385
     /* 1969385 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1969471), // Rule ID 61119 //
     /* 1969390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969436 */     // MIs[0] policy
     /* 1969436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969470 */     // GIR_Coverage, 61119,
     /* 1969470 */     GIR_EraseRootFromParent_Done,
     /* 1969471 */   // Label 26386: @1969471
     /* 1969471 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1969557), // Rule ID 61126 //
     /* 1969476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969522 */     // MIs[0] policy
     /* 1969522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1969535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969556 */     // GIR_Coverage, 61126,
     /* 1969556 */     GIR_EraseRootFromParent_Done,
     /* 1969557 */   // Label 26387: @1969557
     /* 1969557 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1969643), // Rule ID 61127 //
     /* 1969562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969608 */     // MIs[0] policy
     /* 1969608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1969621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969642 */     // GIR_Coverage, 61127,
     /* 1969642 */     GIR_EraseRootFromParent_Done,
     /* 1969643 */   // Label 26388: @1969643
     /* 1969643 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1969729), // Rule ID 61134 //
     /* 1969648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969694 */     // MIs[0] policy
     /* 1969694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969728 */     // GIR_Coverage, 61134,
     /* 1969728 */     GIR_EraseRootFromParent_Done,
     /* 1969729 */   // Label 26389: @1969729
     /* 1969729 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1969815), // Rule ID 61135 //
     /* 1969734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969780 */     // MIs[0] policy
     /* 1969780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969814 */     // GIR_Coverage, 61135,
     /* 1969814 */     GIR_EraseRootFromParent_Done,
     /* 1969815 */   // Label 26390: @1969815
     /* 1969815 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1969901), // Rule ID 61142 //
     /* 1969820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1969828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969866 */     // MIs[0] policy
     /* 1969866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1969879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969900 */     // GIR_Coverage, 61142,
     /* 1969900 */     GIR_EraseRootFromParent_Done,
     /* 1969901 */   // Label 26391: @1969901
     /* 1969901 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1969987), // Rule ID 61143 //
     /* 1969906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1969914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969952 */     // MIs[0] policy
     /* 1969952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1969965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969986 */     // GIR_Coverage, 61143,
     /* 1969986 */     GIR_EraseRootFromParent_Done,
     /* 1969987 */   // Label 26392: @1969987
     /* 1969987 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1970073), // Rule ID 61146 //
     /* 1969992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970038 */     // MIs[0] policy
     /* 1970038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1970051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970072 */     // GIR_Coverage, 61146,
     /* 1970072 */     GIR_EraseRootFromParent_Done,
     /* 1970073 */   // Label 26393: @1970073
     /* 1970073 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1970159), // Rule ID 61147 //
     /* 1970078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970124 */     // MIs[0] policy
     /* 1970124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1970137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970158 */     // GIR_Coverage, 61147,
     /* 1970158 */     GIR_EraseRootFromParent_Done,
     /* 1970159 */   // Label 26394: @1970159
     /* 1970159 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1970245), // Rule ID 61150 //
     /* 1970164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1970184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970210 */     // MIs[0] policy
     /* 1970210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1970223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970244 */     // GIR_Coverage, 61150,
     /* 1970244 */     GIR_EraseRootFromParent_Done,
     /* 1970245 */   // Label 26395: @1970245
     /* 1970245 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1970331), // Rule ID 61151 //
     /* 1970250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1970270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970296 */     // MIs[0] policy
     /* 1970296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1970309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970330 */     // GIR_Coverage, 61151,
     /* 1970330 */     GIR_EraseRootFromParent_Done,
     /* 1970331 */   // Label 26396: @1970331
     /* 1970331 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1970417), // Rule ID 61154 //
     /* 1970336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970382 */     // MIs[0] policy
     /* 1970382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1970395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970416 */     // GIR_Coverage, 61154,
     /* 1970416 */     GIR_EraseRootFromParent_Done,
     /* 1970417 */   // Label 26397: @1970417
     /* 1970417 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1970503), // Rule ID 61155 //
     /* 1970422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970468 */     // MIs[0] policy
     /* 1970468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1970481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970502 */     // GIR_Coverage, 61155,
     /* 1970502 */     GIR_EraseRootFromParent_Done,
     /* 1970503 */   // Label 26398: @1970503
     /* 1970503 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1970589), // Rule ID 61158 //
     /* 1970508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970554 */     // MIs[0] policy
     /* 1970554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1970567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970588 */     // GIR_Coverage, 61158,
     /* 1970588 */     GIR_EraseRootFromParent_Done,
     /* 1970589 */   // Label 26399: @1970589
     /* 1970589 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1970675), // Rule ID 61159 //
     /* 1970594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970640 */     // MIs[0] policy
     /* 1970640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1970653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970674 */     // GIR_Coverage, 61159,
     /* 1970674 */     GIR_EraseRootFromParent_Done,
     /* 1970675 */   // Label 26400: @1970675
     /* 1970675 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1970761), // Rule ID 61162 //
     /* 1970680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970726 */     // MIs[0] policy
     /* 1970726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1970739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970760 */     // GIR_Coverage, 61162,
     /* 1970760 */     GIR_EraseRootFromParent_Done,
     /* 1970761 */   // Label 26401: @1970761
     /* 1970761 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1970847), // Rule ID 61163 //
     /* 1970766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970812 */     // MIs[0] policy
     /* 1970812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1970825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970846 */     // GIR_Coverage, 61163,
     /* 1970846 */     GIR_EraseRootFromParent_Done,
     /* 1970847 */   // Label 26402: @1970847
     /* 1970847 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1970933), // Rule ID 61166 //
     /* 1970852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970898 */     // MIs[0] policy
     /* 1970898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1970911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970932 */     // GIR_Coverage, 61166,
     /* 1970932 */     GIR_EraseRootFromParent_Done,
     /* 1970933 */   // Label 26403: @1970933
     /* 1970933 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1971019), // Rule ID 61167 //
     /* 1970938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970984 */     // MIs[0] policy
     /* 1970984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1970997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971018 */     // GIR_Coverage, 61167,
     /* 1971018 */     GIR_EraseRootFromParent_Done,
     /* 1971019 */   // Label 26404: @1971019
     /* 1971019 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1971105), // Rule ID 61170 //
     /* 1971024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971070 */     // MIs[0] policy
     /* 1971070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1971083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971104 */     // GIR_Coverage, 61170,
     /* 1971104 */     GIR_EraseRootFromParent_Done,
     /* 1971105 */   // Label 26405: @1971105
     /* 1971105 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1971191), // Rule ID 61171 //
     /* 1971110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971156 */     // MIs[0] policy
     /* 1971156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1971169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971190 */     // GIR_Coverage, 61171,
     /* 1971190 */     GIR_EraseRootFromParent_Done,
     /* 1971191 */   // Label 26406: @1971191
     /* 1971191 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1971277), // Rule ID 61174 //
     /* 1971196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1971216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971242 */     // MIs[0] policy
     /* 1971242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1971255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971276 */     // GIR_Coverage, 61174,
     /* 1971276 */     GIR_EraseRootFromParent_Done,
     /* 1971277 */   // Label 26407: @1971277
     /* 1971277 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1971363), // Rule ID 61175 //
     /* 1971282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1971302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971328 */     // MIs[0] policy
     /* 1971328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1971341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971362 */     // GIR_Coverage, 61175,
     /* 1971362 */     GIR_EraseRootFromParent_Done,
     /* 1971363 */   // Label 26408: @1971363
     /* 1971363 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1971449), // Rule ID 61178 //
     /* 1971368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1971388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971414 */     // MIs[0] policy
     /* 1971414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1971427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971448 */     // GIR_Coverage, 61178,
     /* 1971448 */     GIR_EraseRootFromParent_Done,
     /* 1971449 */   // Label 26409: @1971449
     /* 1971449 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1971535), // Rule ID 61179 //
     /* 1971454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1971474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971500 */     // MIs[0] policy
     /* 1971500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1971513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971534 */     // GIR_Coverage, 61179,
     /* 1971534 */     GIR_EraseRootFromParent_Done,
     /* 1971535 */   // Label 26410: @1971535
     /* 1971535 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1971621), // Rule ID 61182 //
     /* 1971540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1971560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971586 */     // MIs[0] policy
     /* 1971586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1971599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971620 */     // GIR_Coverage, 61182,
     /* 1971620 */     GIR_EraseRootFromParent_Done,
     /* 1971621 */   // Label 26411: @1971621
     /* 1971621 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1971707), // Rule ID 61183 //
     /* 1971626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1971646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971672 */     // MIs[0] policy
     /* 1971672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1971685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971706 */     // GIR_Coverage, 61183,
     /* 1971706 */     GIR_EraseRootFromParent_Done,
     /* 1971707 */   // Label 26412: @1971707
     /* 1971707 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1971793), // Rule ID 61186 //
     /* 1971712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1971732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971758 */     // MIs[0] policy
     /* 1971758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1971771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971792 */     // GIR_Coverage, 61186,
     /* 1971792 */     GIR_EraseRootFromParent_Done,
     /* 1971793 */   // Label 26413: @1971793
     /* 1971793 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1971879), // Rule ID 61187 //
     /* 1971798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1971818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971844 */     // MIs[0] policy
     /* 1971844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1971857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971878 */     // GIR_Coverage, 61187,
     /* 1971878 */     GIR_EraseRootFromParent_Done,
     /* 1971879 */   // Label 26414: @1971879
     /* 1971879 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1971965), // Rule ID 61190 //
     /* 1971884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971930 */     // MIs[0] policy
     /* 1971930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1971943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971964 */     // GIR_Coverage, 61190,
     /* 1971964 */     GIR_EraseRootFromParent_Done,
     /* 1971965 */   // Label 26415: @1971965
     /* 1971965 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1972051), // Rule ID 61191 //
     /* 1971970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972016 */     // MIs[0] policy
     /* 1972016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1972029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972050 */     // GIR_Coverage, 61191,
     /* 1972050 */     GIR_EraseRootFromParent_Done,
     /* 1972051 */   // Label 26416: @1972051
     /* 1972051 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1972137), // Rule ID 61194 //
     /* 1972056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972102 */     // MIs[0] policy
     /* 1972102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1972115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972136 */     // GIR_Coverage, 61194,
     /* 1972136 */     GIR_EraseRootFromParent_Done,
     /* 1972137 */   // Label 26417: @1972137
     /* 1972137 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1972223), // Rule ID 61195 //
     /* 1972142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972188 */     // MIs[0] policy
     /* 1972188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1972201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972222 */     // GIR_Coverage, 61195,
     /* 1972222 */     GIR_EraseRootFromParent_Done,
     /* 1972223 */   // Label 26418: @1972223
     /* 1972223 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1972309), // Rule ID 61198 //
     /* 1972228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972274 */     // MIs[0] policy
     /* 1972274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1972287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972308 */     // GIR_Coverage, 61198,
     /* 1972308 */     GIR_EraseRootFromParent_Done,
     /* 1972309 */   // Label 26419: @1972309
     /* 1972309 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1972395), // Rule ID 61199 //
     /* 1972314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972360 */     // MIs[0] policy
     /* 1972360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1972373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972394 */     // GIR_Coverage, 61199,
     /* 1972394 */     GIR_EraseRootFromParent_Done,
     /* 1972395 */   // Label 26420: @1972395
     /* 1972395 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1972481), // Rule ID 61202 //
     /* 1972400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972446 */     // MIs[0] policy
     /* 1972446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1972459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972480 */     // GIR_Coverage, 61202,
     /* 1972480 */     GIR_EraseRootFromParent_Done,
     /* 1972481 */   // Label 26421: @1972481
     /* 1972481 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1972567), // Rule ID 61203 //
     /* 1972486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972532 */     // MIs[0] policy
     /* 1972532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1972545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972566 */     // GIR_Coverage, 61203,
     /* 1972566 */     GIR_EraseRootFromParent_Done,
     /* 1972567 */   // Label 26422: @1972567
     /* 1972567 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1972653), // Rule ID 61206 //
     /* 1972572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1972592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972618 */     // MIs[0] policy
     /* 1972618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1972631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972652 */     // GIR_Coverage, 61206,
     /* 1972652 */     GIR_EraseRootFromParent_Done,
     /* 1972653 */   // Label 26423: @1972653
     /* 1972653 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1972739), // Rule ID 61207 //
     /* 1972658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1972678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972704 */     // MIs[0] policy
     /* 1972704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1972717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972738 */     // GIR_Coverage, 61207,
     /* 1972738 */     GIR_EraseRootFromParent_Done,
     /* 1972739 */   // Label 26424: @1972739
     /* 1972739 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1972825), // Rule ID 61210 //
     /* 1972744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1972764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972790 */     // MIs[0] policy
     /* 1972790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1972803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972824 */     // GIR_Coverage, 61210,
     /* 1972824 */     GIR_EraseRootFromParent_Done,
     /* 1972825 */   // Label 26425: @1972825
     /* 1972825 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1972911), // Rule ID 61211 //
     /* 1972830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1972850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972876 */     // MIs[0] policy
     /* 1972876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1972889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972910 */     // GIR_Coverage, 61211,
     /* 1972910 */     GIR_EraseRootFromParent_Done,
     /* 1972911 */   // Label 26426: @1972911
     /* 1972911 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1972997), // Rule ID 61214 //
     /* 1972916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1972927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1972930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1972933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1972936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972962 */     // MIs[0] policy
     /* 1972962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1972975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972996 */     // GIR_Coverage, 61214,
     /* 1972996 */     GIR_EraseRootFromParent_Done,
     /* 1972997 */   // Label 26427: @1972997
     /* 1972997 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1973083), // Rule ID 61215 //
     /* 1973002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973048 */     // MIs[0] policy
     /* 1973048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973082 */     // GIR_Coverage, 61215,
     /* 1973082 */     GIR_EraseRootFromParent_Done,
     /* 1973083 */   // Label 26428: @1973083
     /* 1973083 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1973169), // Rule ID 61218 //
     /* 1973088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973134 */     // MIs[0] policy
     /* 1973134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973168 */     // GIR_Coverage, 61218,
     /* 1973168 */     GIR_EraseRootFromParent_Done,
     /* 1973169 */   // Label 26429: @1973169
     /* 1973169 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1973255), // Rule ID 61219 //
     /* 1973174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973220 */     // MIs[0] policy
     /* 1973220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973254 */     // GIR_Coverage, 61219,
     /* 1973254 */     GIR_EraseRootFromParent_Done,
     /* 1973255 */   // Label 26430: @1973255
     /* 1973255 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1973341), // Rule ID 61222 //
     /* 1973260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973306 */     // MIs[0] policy
     /* 1973306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973340 */     // GIR_Coverage, 61222,
     /* 1973340 */     GIR_EraseRootFromParent_Done,
     /* 1973341 */   // Label 26431: @1973341
     /* 1973341 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1973427), // Rule ID 61223 //
     /* 1973346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973392 */     // MIs[0] policy
     /* 1973392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973426 */     // GIR_Coverage, 61223,
     /* 1973426 */     GIR_EraseRootFromParent_Done,
     /* 1973427 */   // Label 26432: @1973427
     /* 1973427 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1973513), // Rule ID 61226 //
     /* 1973432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1973452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973478 */     // MIs[0] policy
     /* 1973478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973512 */     // GIR_Coverage, 61226,
     /* 1973512 */     GIR_EraseRootFromParent_Done,
     /* 1973513 */   // Label 26433: @1973513
     /* 1973513 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1973599), // Rule ID 61227 //
     /* 1973518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1973538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973564 */     // MIs[0] policy
     /* 1973564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973598 */     // GIR_Coverage, 61227,
     /* 1973598 */     GIR_EraseRootFromParent_Done,
     /* 1973599 */   // Label 26434: @1973599
     /* 1973599 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1973685), // Rule ID 61230 //
     /* 1973604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1973615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1973618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1973621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1973624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973650 */     // MIs[0] policy
     /* 1973650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1973663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973684 */     // GIR_Coverage, 61230,
     /* 1973684 */     GIR_EraseRootFromParent_Done,
     /* 1973685 */   // Label 26435: @1973685
     /* 1973685 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1973771), // Rule ID 61231 //
     /* 1973690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1973701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1973704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1973707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1973710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973736 */     // MIs[0] policy
     /* 1973736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1973749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973770 */     // GIR_Coverage, 61231,
     /* 1973770 */     GIR_EraseRootFromParent_Done,
     /* 1973771 */   // Label 26436: @1973771
     /* 1973771 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1973857), // Rule ID 61234 //
     /* 1973776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1973787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1973790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1973796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973822 */     // MIs[0] policy
     /* 1973822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1973835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973856 */     // GIR_Coverage, 61234,
     /* 1973856 */     GIR_EraseRootFromParent_Done,
     /* 1973857 */   // Label 26437: @1973857
     /* 1973857 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1973943), // Rule ID 61235 //
     /* 1973862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1973873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1973876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1973882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973908 */     // MIs[0] policy
     /* 1973908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1973921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973942 */     // GIR_Coverage, 61235,
     /* 1973942 */     GIR_EraseRootFromParent_Done,
     /* 1973943 */   // Label 26438: @1973943
     /* 1973943 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1974029), // Rule ID 61238 //
     /* 1973948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1973959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1973962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1973965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1973968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973994 */     // MIs[0] policy
     /* 1973994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974028 */     // GIR_Coverage, 61238,
     /* 1974028 */     GIR_EraseRootFromParent_Done,
     /* 1974029 */   // Label 26439: @1974029
     /* 1974029 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1974115), // Rule ID 61239 //
     /* 1974034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974080 */     // MIs[0] policy
     /* 1974080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974114 */     // GIR_Coverage, 61239,
     /* 1974114 */     GIR_EraseRootFromParent_Done,
     /* 1974115 */   // Label 26440: @1974115
     /* 1974115 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1974201), // Rule ID 61242 //
     /* 1974120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974166 */     // MIs[0] policy
     /* 1974166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974200 */     // GIR_Coverage, 61242,
     /* 1974200 */     GIR_EraseRootFromParent_Done,
     /* 1974201 */   // Label 26441: @1974201
     /* 1974201 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1974287), // Rule ID 61243 //
     /* 1974206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974252 */     // MIs[0] policy
     /* 1974252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974286 */     // GIR_Coverage, 61243,
     /* 1974286 */     GIR_EraseRootFromParent_Done,
     /* 1974287 */   // Label 26442: @1974287
     /* 1974287 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1974373), // Rule ID 61246 //
     /* 1974292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1974312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974338 */     // MIs[0] policy
     /* 1974338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974372 */     // GIR_Coverage, 61246,
     /* 1974372 */     GIR_EraseRootFromParent_Done,
     /* 1974373 */   // Label 26443: @1974373
     /* 1974373 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1974459), // Rule ID 61247 //
     /* 1974378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1974398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974424 */     // MIs[0] policy
     /* 1974424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974458 */     // GIR_Coverage, 61247,
     /* 1974458 */     GIR_EraseRootFromParent_Done,
     /* 1974459 */   // Label 26444: @1974459
     /* 1974459 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1974545), // Rule ID 61250 //
     /* 1974464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1974484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974510 */     // MIs[0] policy
     /* 1974510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974520 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1974523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974544 */     // GIR_Coverage, 61250,
     /* 1974544 */     GIR_EraseRootFromParent_Done,
     /* 1974545 */   // Label 26445: @1974545
     /* 1974545 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1974631), // Rule ID 61251 //
     /* 1974550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1974570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974596 */     // MIs[0] policy
     /* 1974596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974606 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1974609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974630 */     // GIR_Coverage, 61251,
     /* 1974630 */     GIR_EraseRootFromParent_Done,
     /* 1974631 */   // Label 26446: @1974631
     /* 1974631 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1974717), // Rule ID 61254 //
     /* 1974636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1974647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1974650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1974653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1974656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1974659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974682 */     // MIs[0] policy
     /* 1974682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1974695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974716 */     // GIR_Coverage, 61254,
     /* 1974716 */     GIR_EraseRootFromParent_Done,
     /* 1974717 */   // Label 26447: @1974717
     /* 1974717 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1974803), // Rule ID 61255 //
     /* 1974722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1974733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1974736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1974739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1974742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1974745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974768 */     // MIs[0] policy
     /* 1974768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1974781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974802 */     // GIR_Coverage, 61255,
     /* 1974802 */     GIR_EraseRootFromParent_Done,
     /* 1974803 */   // Label 26448: @1974803
     /* 1974803 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1974889), // Rule ID 61258 //
     /* 1974808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1974819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1974822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1974825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1974828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974854 */     // MIs[0] policy
     /* 1974854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974888 */     // GIR_Coverage, 61258,
     /* 1974888 */     GIR_EraseRootFromParent_Done,
     /* 1974889 */   // Label 26449: @1974889
     /* 1974889 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1974975), // Rule ID 61259 //
     /* 1974894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1974905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1974908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1974911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1974914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974940 */     // MIs[0] policy
     /* 1974940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974974 */     // GIR_Coverage, 61259,
     /* 1974974 */     GIR_EraseRootFromParent_Done,
     /* 1974975 */   // Label 26450: @1974975
     /* 1974975 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1975061), // Rule ID 61262 //
     /* 1974980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1974991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1974994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1974997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975026 */     // MIs[0] policy
     /* 1975026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975060 */     // GIR_Coverage, 61262,
     /* 1975060 */     GIR_EraseRootFromParent_Done,
     /* 1975061 */   // Label 26451: @1975061
     /* 1975061 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1975147), // Rule ID 61263 //
     /* 1975066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975112 */     // MIs[0] policy
     /* 1975112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975146 */     // GIR_Coverage, 61263,
     /* 1975146 */     GIR_EraseRootFromParent_Done,
     /* 1975147 */   // Label 26452: @1975147
     /* 1975147 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1975233), // Rule ID 61266 //
     /* 1975152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1975172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975198 */     // MIs[0] policy
     /* 1975198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975232 */     // GIR_Coverage, 61266,
     /* 1975232 */     GIR_EraseRootFromParent_Done,
     /* 1975233 */   // Label 26453: @1975233
     /* 1975233 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1975319), // Rule ID 61267 //
     /* 1975238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1975258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975284 */     // MIs[0] policy
     /* 1975284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975318 */     // GIR_Coverage, 61267,
     /* 1975318 */     GIR_EraseRootFromParent_Done,
     /* 1975319 */   // Label 26454: @1975319
     /* 1975319 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1975405), // Rule ID 61270 //
     /* 1975324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1975338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975370 */     // MIs[0] policy
     /* 1975370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975404 */     // GIR_Coverage, 61270,
     /* 1975404 */     GIR_EraseRootFromParent_Done,
     /* 1975405 */   // Label 26455: @1975405
     /* 1975405 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1975491), // Rule ID 61271 //
     /* 1975410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1975424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975456 */     // MIs[0] policy
     /* 1975456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975490 */     // GIR_Coverage, 61271,
     /* 1975490 */     GIR_EraseRootFromParent_Done,
     /* 1975491 */   // Label 26456: @1975491
     /* 1975491 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1975577), // Rule ID 61274 //
     /* 1975496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1975507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1975510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1975513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1975516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975542 */     // MIs[0] policy
     /* 1975542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975576 */     // GIR_Coverage, 61274,
     /* 1975576 */     GIR_EraseRootFromParent_Done,
     /* 1975577 */   // Label 26457: @1975577
     /* 1975577 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1975663), // Rule ID 61275 //
     /* 1975582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1975593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1975596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1975599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1975602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975628 */     // MIs[0] policy
     /* 1975628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975662 */     // GIR_Coverage, 61275,
     /* 1975662 */     GIR_EraseRootFromParent_Done,
     /* 1975663 */   // Label 26458: @1975663
     /* 1975663 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1975749), // Rule ID 61278 //
     /* 1975668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1975679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1975682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1975685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1975688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975714 */     // MIs[0] policy
     /* 1975714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975748 */     // GIR_Coverage, 61278,
     /* 1975748 */     GIR_EraseRootFromParent_Done,
     /* 1975749 */   // Label 26459: @1975749
     /* 1975749 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1975835), // Rule ID 61279 //
     /* 1975754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1975765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1975768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1975771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1975774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975800 */     // MIs[0] policy
     /* 1975800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975834 */     // GIR_Coverage, 61279,
     /* 1975834 */     GIR_EraseRootFromParent_Done,
     /* 1975835 */   // Label 26460: @1975835
     /* 1975835 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1975921), // Rule ID 61282 //
     /* 1975840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1975860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975886 */     // MIs[0] policy
     /* 1975886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975920 */     // GIR_Coverage, 61282,
     /* 1975920 */     GIR_EraseRootFromParent_Done,
     /* 1975921 */   // Label 26461: @1975921
     /* 1975921 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1976007), // Rule ID 61283 //
     /* 1975926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1975946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975972 */     // MIs[0] policy
     /* 1975972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976006 */     // GIR_Coverage, 61283,
     /* 1976006 */     GIR_EraseRootFromParent_Done,
     /* 1976007 */   // Label 26462: @1976007
     /* 1976007 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1976093), // Rule ID 61286 //
     /* 1976012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976058 */     // MIs[0] policy
     /* 1976058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976092 */     // GIR_Coverage, 61286,
     /* 1976092 */     GIR_EraseRootFromParent_Done,
     /* 1976093 */   // Label 26463: @1976093
     /* 1976093 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1976179), // Rule ID 61287 //
     /* 1976098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976144 */     // MIs[0] policy
     /* 1976144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976178 */     // GIR_Coverage, 61287,
     /* 1976178 */     GIR_EraseRootFromParent_Done,
     /* 1976179 */   // Label 26464: @1976179
     /* 1976179 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1976265), // Rule ID 61290 //
     /* 1976184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976230 */     // MIs[0] policy
     /* 1976230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976264 */     // GIR_Coverage, 61290,
     /* 1976264 */     GIR_EraseRootFromParent_Done,
     /* 1976265 */   // Label 26465: @1976265
     /* 1976265 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1976351), // Rule ID 61291 //
     /* 1976270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976316 */     // MIs[0] policy
     /* 1976316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976350 */     // GIR_Coverage, 61291,
     /* 1976350 */     GIR_EraseRootFromParent_Done,
     /* 1976351 */   // Label 26466: @1976351
     /* 1976351 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1976437), // Rule ID 61294 //
     /* 1976356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976402 */     // MIs[0] policy
     /* 1976402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1976415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976436 */     // GIR_Coverage, 61294,
     /* 1976436 */     GIR_EraseRootFromParent_Done,
     /* 1976437 */   // Label 26467: @1976437
     /* 1976437 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1976523), // Rule ID 61295 //
     /* 1976442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976488 */     // MIs[0] policy
     /* 1976488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1976501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976522 */     // GIR_Coverage, 61295,
     /* 1976522 */     GIR_EraseRootFromParent_Done,
     /* 1976523 */   // Label 26468: @1976523
     /* 1976523 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1976609), // Rule ID 61298 //
     /* 1976528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1976539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1976542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1976545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976574 */     // MIs[0] policy
     /* 1976574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1976587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976608 */     // GIR_Coverage, 61298,
     /* 1976608 */     GIR_EraseRootFromParent_Done,
     /* 1976609 */   // Label 26469: @1976609
     /* 1976609 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1976695), // Rule ID 61299 //
     /* 1976614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1976625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1976628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1976631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976660 */     // MIs[0] policy
     /* 1976660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1976673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976694 */     // GIR_Coverage, 61299,
     /* 1976694 */     GIR_EraseRootFromParent_Done,
     /* 1976695 */   // Label 26470: @1976695
     /* 1976695 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1976781), // Rule ID 61302 //
     /* 1976700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1976711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1976714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1976717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976746 */     // MIs[0] policy
     /* 1976746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1976759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976780 */     // GIR_Coverage, 61302,
     /* 1976780 */     GIR_EraseRootFromParent_Done,
     /* 1976781 */   // Label 26471: @1976781
     /* 1976781 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1976867), // Rule ID 61303 //
     /* 1976786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1976797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1976800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1976803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976832 */     // MIs[0] policy
     /* 1976832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1976845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976866 */     // GIR_Coverage, 61303,
     /* 1976866 */     GIR_EraseRootFromParent_Done,
     /* 1976867 */   // Label 26472: @1976867
     /* 1976867 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1976953), // Rule ID 61306 //
     /* 1976872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1976883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1976886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1976889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976918 */     // MIs[0] policy
     /* 1976918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1976931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976952 */     // GIR_Coverage, 61306,
     /* 1976952 */     GIR_EraseRootFromParent_Done,
     /* 1976953 */   // Label 26473: @1976953
     /* 1976953 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1977039), // Rule ID 61307 //
     /* 1976958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1976969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1976972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1976975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977004 */     // MIs[0] policy
     /* 1977004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1977017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977038 */     // GIR_Coverage, 61307,
     /* 1977038 */     GIR_EraseRootFromParent_Done,
     /* 1977039 */   // Label 26474: @1977039
     /* 1977039 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1977125), // Rule ID 61310 //
     /* 1977044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977090 */     // MIs[0] policy
     /* 1977090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977124 */     // GIR_Coverage, 61310,
     /* 1977124 */     GIR_EraseRootFromParent_Done,
     /* 1977125 */   // Label 26475: @1977125
     /* 1977125 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1977211), // Rule ID 61311 //
     /* 1977130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977176 */     // MIs[0] policy
     /* 1977176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977210 */     // GIR_Coverage, 61311,
     /* 1977210 */     GIR_EraseRootFromParent_Done,
     /* 1977211 */   // Label 26476: @1977211
     /* 1977211 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1977297), // Rule ID 61314 //
     /* 1977216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1977227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1977230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1977233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977262 */     // MIs[0] policy
     /* 1977262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977296 */     // GIR_Coverage, 61314,
     /* 1977296 */     GIR_EraseRootFromParent_Done,
     /* 1977297 */   // Label 26477: @1977297
     /* 1977297 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1977383), // Rule ID 61315 //
     /* 1977302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1977313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1977316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1977319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977348 */     // MIs[0] policy
     /* 1977348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977382 */     // GIR_Coverage, 61315,
     /* 1977382 */     GIR_EraseRootFromParent_Done,
     /* 1977383 */   // Label 26478: @1977383
     /* 1977383 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1977469), // Rule ID 61318 //
     /* 1977388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977434 */     // MIs[0] policy
     /* 1977434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977468 */     // GIR_Coverage, 61318,
     /* 1977468 */     GIR_EraseRootFromParent_Done,
     /* 1977469 */   // Label 26479: @1977469
     /* 1977469 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1977555), // Rule ID 61319 //
     /* 1977474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977520 */     // MIs[0] policy
     /* 1977520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977554 */     // GIR_Coverage, 61319,
     /* 1977554 */     GIR_EraseRootFromParent_Done,
     /* 1977555 */   // Label 26480: @1977555
     /* 1977555 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1977641), // Rule ID 61322 //
     /* 1977560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1977571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1977574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1977577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977606 */     // MIs[0] policy
     /* 1977606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977640 */     // GIR_Coverage, 61322,
     /* 1977640 */     GIR_EraseRootFromParent_Done,
     /* 1977641 */   // Label 26481: @1977641
     /* 1977641 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1977727), // Rule ID 61323 //
     /* 1977646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1977657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1977660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1977663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977692 */     // MIs[0] policy
     /* 1977692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977726 */     // GIR_Coverage, 61323,
     /* 1977726 */     GIR_EraseRootFromParent_Done,
     /* 1977727 */   // Label 26482: @1977727
     /* 1977727 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1977813), // Rule ID 61326 //
     /* 1977732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1977743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1977746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1977749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977778 */     // MIs[0] policy
     /* 1977778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977812 */     // GIR_Coverage, 61326,
     /* 1977812 */     GIR_EraseRootFromParent_Done,
     /* 1977813 */   // Label 26483: @1977813
     /* 1977813 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1977899), // Rule ID 61327 //
     /* 1977818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1977829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1977832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1977835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977864 */     // MIs[0] policy
     /* 1977864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977898 */     // GIR_Coverage, 61327,
     /* 1977898 */     GIR_EraseRootFromParent_Done,
     /* 1977899 */   // Label 26484: @1977899
     /* 1977899 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1977985), // Rule ID 61330 //
     /* 1977904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1977915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1977918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1977921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977950 */     // MIs[0] policy
     /* 1977950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977984 */     // GIR_Coverage, 61330,
     /* 1977984 */     GIR_EraseRootFromParent_Done,
     /* 1977985 */   // Label 26485: @1977985
     /* 1977985 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1978071), // Rule ID 61331 //
     /* 1977990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978036 */     // MIs[0] policy
     /* 1978036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978070 */     // GIR_Coverage, 61331,
     /* 1978070 */     GIR_EraseRootFromParent_Done,
     /* 1978071 */   // Label 26486: @1978071
     /* 1978071 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1978157), // Rule ID 61334 //
     /* 1978076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978122 */     // MIs[0] policy
     /* 1978122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978156 */     // GIR_Coverage, 61334,
     /* 1978156 */     GIR_EraseRootFromParent_Done,
     /* 1978157 */   // Label 26487: @1978157
     /* 1978157 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1978243), // Rule ID 61335 //
     /* 1978162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978208 */     // MIs[0] policy
     /* 1978208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978218 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978242 */     // GIR_Coverage, 61335,
     /* 1978242 */     GIR_EraseRootFromParent_Done,
     /* 1978243 */   // Label 26488: @1978243
     /* 1978243 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1978329), // Rule ID 61338 //
     /* 1978248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1978259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1978262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1978265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978294 */     // MIs[0] policy
     /* 1978294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978328 */     // GIR_Coverage, 61338,
     /* 1978328 */     GIR_EraseRootFromParent_Done,
     /* 1978329 */   // Label 26489: @1978329
     /* 1978329 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1978415), // Rule ID 61339 //
     /* 1978334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1978345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1978348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1978351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978380 */     // MIs[0] policy
     /* 1978380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978414 */     // GIR_Coverage, 61339,
     /* 1978414 */     GIR_EraseRootFromParent_Done,
     /* 1978415 */   // Label 26490: @1978415
     /* 1978415 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1978501), // Rule ID 61342 //
     /* 1978420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978466 */     // MIs[0] policy
     /* 1978466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1978479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978500 */     // GIR_Coverage, 61342,
     /* 1978500 */     GIR_EraseRootFromParent_Done,
     /* 1978501 */   // Label 26491: @1978501
     /* 1978501 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1978587), // Rule ID 61343 //
     /* 1978506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978552 */     // MIs[0] policy
     /* 1978552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1978565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978586 */     // GIR_Coverage, 61343,
     /* 1978586 */     GIR_EraseRootFromParent_Done,
     /* 1978587 */   // Label 26492: @1978587
     /* 1978587 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1978673), // Rule ID 61346 //
     /* 1978592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1978603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1978606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1978609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978638 */     // MIs[0] policy
     /* 1978638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978672 */     // GIR_Coverage, 61346,
     /* 1978672 */     GIR_EraseRootFromParent_Done,
     /* 1978673 */   // Label 26493: @1978673
     /* 1978673 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1978759), // Rule ID 61347 //
     /* 1978678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1978689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1978692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1978695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978724 */     // MIs[0] policy
     /* 1978724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978758 */     // GIR_Coverage, 61347,
     /* 1978758 */     GIR_EraseRootFromParent_Done,
     /* 1978759 */   // Label 26494: @1978759
     /* 1978759 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1978845), // Rule ID 61350 //
     /* 1978764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1978775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1978778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1978781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978810 */     // MIs[0] policy
     /* 1978810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978844 */     // GIR_Coverage, 61350,
     /* 1978844 */     GIR_EraseRootFromParent_Done,
     /* 1978845 */   // Label 26495: @1978845
     /* 1978845 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1978931), // Rule ID 61351 //
     /* 1978850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1978861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1978864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1978867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978896 */     // MIs[0] policy
     /* 1978896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978930 */     // GIR_Coverage, 61351,
     /* 1978930 */     GIR_EraseRootFromParent_Done,
     /* 1978931 */   // Label 26496: @1978931
     /* 1978931 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1979017), // Rule ID 61354 //
     /* 1978936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1978947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1978950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1978953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978982 */     // MIs[0] policy
     /* 1978982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1978995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979016 */     // GIR_Coverage, 61354,
     /* 1979016 */     GIR_EraseRootFromParent_Done,
     /* 1979017 */   // Label 26497: @1979017
     /* 1979017 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1979103), // Rule ID 61355 //
     /* 1979022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979068 */     // MIs[0] policy
     /* 1979068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979102 */     // GIR_Coverage, 61355,
     /* 1979102 */     GIR_EraseRootFromParent_Done,
     /* 1979103 */   // Label 26498: @1979103
     /* 1979103 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1979189), // Rule ID 61358 //
     /* 1979108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979154 */     // MIs[0] policy
     /* 1979154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979188 */     // GIR_Coverage, 61358,
     /* 1979188 */     GIR_EraseRootFromParent_Done,
     /* 1979189 */   // Label 26499: @1979189
     /* 1979189 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1979275), // Rule ID 61359 //
     /* 1979194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979240 */     // MIs[0] policy
     /* 1979240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979274 */     // GIR_Coverage, 61359,
     /* 1979274 */     GIR_EraseRootFromParent_Done,
     /* 1979275 */   // Label 26500: @1979275
     /* 1979275 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1979361), // Rule ID 61362 //
     /* 1979280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1979291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1979294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1979297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979326 */     // MIs[0] policy
     /* 1979326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979360 */     // GIR_Coverage, 61362,
     /* 1979360 */     GIR_EraseRootFromParent_Done,
     /* 1979361 */   // Label 26501: @1979361
     /* 1979361 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1979447), // Rule ID 61363 //
     /* 1979366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1979377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1979380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1979383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979412 */     // MIs[0] policy
     /* 1979412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979446 */     // GIR_Coverage, 61363,
     /* 1979446 */     GIR_EraseRootFromParent_Done,
     /* 1979447 */   // Label 26502: @1979447
     /* 1979447 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1979533), // Rule ID 61366 //
     /* 1979452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1979463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1979466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1979469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979498 */     // MIs[0] policy
     /* 1979498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979532 */     // GIR_Coverage, 61366,
     /* 1979532 */     GIR_EraseRootFromParent_Done,
     /* 1979533 */   // Label 26503: @1979533
     /* 1979533 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1979619), // Rule ID 61367 //
     /* 1979538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1979549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1979552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1979555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979584 */     // MIs[0] policy
     /* 1979584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979618 */     // GIR_Coverage, 61367,
     /* 1979618 */     GIR_EraseRootFromParent_Done,
     /* 1979619 */   // Label 26504: @1979619
     /* 1979619 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1979705), // Rule ID 61370 //
     /* 1979624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1979635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1979638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1979641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979670 */     // MIs[0] policy
     /* 1979670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979704 */     // GIR_Coverage, 61370,
     /* 1979704 */     GIR_EraseRootFromParent_Done,
     /* 1979705 */   // Label 26505: @1979705
     /* 1979705 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1979791), // Rule ID 61371 //
     /* 1979710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1979721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1979724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1979727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979756 */     // MIs[0] policy
     /* 1979756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979790 */     // GIR_Coverage, 61371,
     /* 1979790 */     GIR_EraseRootFromParent_Done,
     /* 1979791 */   // Label 26506: @1979791
     /* 1979791 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1979877), // Rule ID 61374 //
     /* 1979796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1979807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1979810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1979813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979842 */     // MIs[0] policy
     /* 1979842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979876 */     // GIR_Coverage, 61374,
     /* 1979876 */     GIR_EraseRootFromParent_Done,
     /* 1979877 */   // Label 26507: @1979877
     /* 1979877 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1979963), // Rule ID 61375 //
     /* 1979882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1979893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1979896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1979899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979928 */     // MIs[0] policy
     /* 1979928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979962 */     // GIR_Coverage, 61375,
     /* 1979962 */     GIR_EraseRootFromParent_Done,
     /* 1979963 */   // Label 26508: @1979963
     /* 1979963 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1980049), // Rule ID 61378 //
     /* 1979968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1979979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1979982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1979985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980014 */     // MIs[0] policy
     /* 1980014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1980027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980048 */     // GIR_Coverage, 61378,
     /* 1980048 */     GIR_EraseRootFromParent_Done,
     /* 1980049 */   // Label 26509: @1980049
     /* 1980049 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1980135), // Rule ID 61379 //
     /* 1980054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980100 */     // MIs[0] policy
     /* 1980100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1980113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980134 */     // GIR_Coverage, 61379,
     /* 1980134 */     GIR_EraseRootFromParent_Done,
     /* 1980135 */   // Label 26510: @1980135
     /* 1980135 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1980221), // Rule ID 61558 //
     /* 1980140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1980151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1980154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1980157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1980160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980186 */     // MIs[0] policy
     /* 1980186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1980199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980220 */     // GIR_Coverage, 61558,
     /* 1980220 */     GIR_EraseRootFromParent_Done,
     /* 1980221 */   // Label 26511: @1980221
     /* 1980221 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1980307), // Rule ID 61559 //
     /* 1980226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1980237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1980240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1980243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1980246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980272 */     // MIs[0] policy
     /* 1980272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980282 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1980285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980306 */     // GIR_Coverage, 61559,
     /* 1980306 */     GIR_EraseRootFromParent_Done,
     /* 1980307 */   // Label 26512: @1980307
     /* 1980307 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1980393), // Rule ID 61562 //
     /* 1980312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1980323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1980326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1980329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1980332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980358 */     // MIs[0] policy
     /* 1980358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980392 */     // GIR_Coverage, 61562,
     /* 1980392 */     GIR_EraseRootFromParent_Done,
     /* 1980393 */   // Label 26513: @1980393
     /* 1980393 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1980479), // Rule ID 61563 //
     /* 1980398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1980409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1980412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1980415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1980418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980444 */     // MIs[0] policy
     /* 1980444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980478 */     // GIR_Coverage, 61563,
     /* 1980478 */     GIR_EraseRootFromParent_Done,
     /* 1980479 */   // Label 26514: @1980479
     /* 1980479 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1980565), // Rule ID 61566 //
     /* 1980484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1980495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1980498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1980501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1980504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980530 */     // MIs[0] policy
     /* 1980530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980540 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1980543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980564 */     // GIR_Coverage, 61566,
     /* 1980564 */     GIR_EraseRootFromParent_Done,
     /* 1980565 */   // Label 26515: @1980565
     /* 1980565 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1980651), // Rule ID 61567 //
     /* 1980570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1980581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1980584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1980587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1980590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980616 */     // MIs[0] policy
     /* 1980616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1980629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980650 */     // GIR_Coverage, 61567,
     /* 1980650 */     GIR_EraseRootFromParent_Done,
     /* 1980651 */   // Label 26516: @1980651
     /* 1980651 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1980737), // Rule ID 61570 //
     /* 1980656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1980667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1980670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1980673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1980676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980702 */     // MIs[0] policy
     /* 1980702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980736 */     // GIR_Coverage, 61570,
     /* 1980736 */     GIR_EraseRootFromParent_Done,
     /* 1980737 */   // Label 26517: @1980737
     /* 1980737 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1980823), // Rule ID 61571 //
     /* 1980742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1980753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1980756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1980759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1980762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980788 */     // MIs[0] policy
     /* 1980788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980822 */     // GIR_Coverage, 61571,
     /* 1980822 */     GIR_EraseRootFromParent_Done,
     /* 1980823 */   // Label 26518: @1980823
     /* 1980823 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1980909), // Rule ID 61574 //
     /* 1980828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1980839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1980842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1980845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1980848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980874 */     // MIs[0] policy
     /* 1980874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1980887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980908 */     // GIR_Coverage, 61574,
     /* 1980908 */     GIR_EraseRootFromParent_Done,
     /* 1980909 */   // Label 26519: @1980909
     /* 1980909 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1980995), // Rule ID 61575 //
     /* 1980914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1980925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1980928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1980931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1980934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980960 */     // MIs[0] policy
     /* 1980960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1980973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980994 */     // GIR_Coverage, 61575,
     /* 1980994 */     GIR_EraseRootFromParent_Done,
     /* 1980995 */   // Label 26520: @1980995
     /* 1980995 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1981081), // Rule ID 61578 //
     /* 1981000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981046 */     // MIs[0] policy
     /* 1981046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981080 */     // GIR_Coverage, 61578,
     /* 1981080 */     GIR_EraseRootFromParent_Done,
     /* 1981081 */   // Label 26521: @1981081
     /* 1981081 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1981167), // Rule ID 61579 //
     /* 1981086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981132 */     // MIs[0] policy
     /* 1981132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981166 */     // GIR_Coverage, 61579,
     /* 1981166 */     GIR_EraseRootFromParent_Done,
     /* 1981167 */   // Label 26522: @1981167
     /* 1981167 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1981253), // Rule ID 61582 //
     /* 1981172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1981189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981218 */     // MIs[0] policy
     /* 1981218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981252 */     // GIR_Coverage, 61582,
     /* 1981252 */     GIR_EraseRootFromParent_Done,
     /* 1981253 */   // Label 26523: @1981253
     /* 1981253 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1981339), // Rule ID 61583 //
     /* 1981258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1981275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981304 */     // MIs[0] policy
     /* 1981304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981338 */     // GIR_Coverage, 61583,
     /* 1981338 */     GIR_EraseRootFromParent_Done,
     /* 1981339 */   // Label 26524: @1981339
     /* 1981339 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1981425), // Rule ID 61586 //
     /* 1981344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981390 */     // MIs[0] policy
     /* 1981390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981424 */     // GIR_Coverage, 61586,
     /* 1981424 */     GIR_EraseRootFromParent_Done,
     /* 1981425 */   // Label 26525: @1981425
     /* 1981425 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1981511), // Rule ID 61587 //
     /* 1981430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981476 */     // MIs[0] policy
     /* 1981476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981510 */     // GIR_Coverage, 61587,
     /* 1981510 */     GIR_EraseRootFromParent_Done,
     /* 1981511 */   // Label 26526: @1981511
     /* 1981511 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1981597), // Rule ID 61590 //
     /* 1981516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1981527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1981530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1981533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1981536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981562 */     // MIs[0] policy
     /* 1981562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981596 */     // GIR_Coverage, 61590,
     /* 1981596 */     GIR_EraseRootFromParent_Done,
     /* 1981597 */   // Label 26527: @1981597
     /* 1981597 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1981683), // Rule ID 61591 //
     /* 1981602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1981613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1981616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1981619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1981622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981648 */     // MIs[0] policy
     /* 1981648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981682 */     // GIR_Coverage, 61591,
     /* 1981682 */     GIR_EraseRootFromParent_Done,
     /* 1981683 */   // Label 26528: @1981683
     /* 1981683 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1981769), // Rule ID 61594 //
     /* 1981688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1981699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1981702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1981705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1981708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981734 */     // MIs[0] policy
     /* 1981734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981768 */     // GIR_Coverage, 61594,
     /* 1981768 */     GIR_EraseRootFromParent_Done,
     /* 1981769 */   // Label 26529: @1981769
     /* 1981769 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1981855), // Rule ID 61595 //
     /* 1981774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1981785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1981788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1981791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1981794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981820 */     // MIs[0] policy
     /* 1981820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981854 */     // GIR_Coverage, 61595,
     /* 1981854 */     GIR_EraseRootFromParent_Done,
     /* 1981855 */   // Label 26530: @1981855
     /* 1981855 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1981941), // Rule ID 61598 //
     /* 1981860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1981871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1981874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1981877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1981880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981906 */     // MIs[0] policy
     /* 1981906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1981919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981940 */     // GIR_Coverage, 61598,
     /* 1981940 */     GIR_EraseRootFromParent_Done,
     /* 1981941 */   // Label 26531: @1981941
     /* 1981941 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1982027), // Rule ID 61599 //
     /* 1981946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1981957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1981960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1981963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1981966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981992 */     // MIs[0] policy
     /* 1981992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982026 */     // GIR_Coverage, 61599,
     /* 1982026 */     GIR_EraseRootFromParent_Done,
     /* 1982027 */   // Label 26532: @1982027
     /* 1982027 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1982113), // Rule ID 61602 //
     /* 1982032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982078 */     // MIs[0] policy
     /* 1982078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982088 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982112 */     // GIR_Coverage, 61602,
     /* 1982112 */     GIR_EraseRootFromParent_Done,
     /* 1982113 */   // Label 26533: @1982113
     /* 1982113 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1982199), // Rule ID 61603 //
     /* 1982118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982164 */     // MIs[0] policy
     /* 1982164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982198 */     // GIR_Coverage, 61603,
     /* 1982198 */     GIR_EraseRootFromParent_Done,
     /* 1982199 */   // Label 26534: @1982199
     /* 1982199 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1982285), // Rule ID 61606 //
     /* 1982204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1982215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1982218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1982221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1982224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1982227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982250 */     // MIs[0] policy
     /* 1982250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982284 */     // GIR_Coverage, 61606,
     /* 1982284 */     GIR_EraseRootFromParent_Done,
     /* 1982285 */   // Label 26535: @1982285
     /* 1982285 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1982371), // Rule ID 61607 //
     /* 1982290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1982301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1982304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1982307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1982310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1982313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982336 */     // MIs[0] policy
     /* 1982336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982346 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982370 */     // GIR_Coverage, 61607,
     /* 1982370 */     GIR_EraseRootFromParent_Done,
     /* 1982371 */   // Label 26536: @1982371
     /* 1982371 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1982457), // Rule ID 61610 //
     /* 1982376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982422 */     // MIs[0] policy
     /* 1982422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982456 */     // GIR_Coverage, 61610,
     /* 1982456 */     GIR_EraseRootFromParent_Done,
     /* 1982457 */   // Label 26537: @1982457
     /* 1982457 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1982543), // Rule ID 61611 //
     /* 1982462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982508 */     // MIs[0] policy
     /* 1982508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982542 */     // GIR_Coverage, 61611,
     /* 1982542 */     GIR_EraseRootFromParent_Done,
     /* 1982543 */   // Label 26538: @1982543
     /* 1982543 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1982629), // Rule ID 61614 //
     /* 1982548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1982559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1982562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1982568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982594 */     // MIs[0] policy
     /* 1982594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982628 */     // GIR_Coverage, 61614,
     /* 1982628 */     GIR_EraseRootFromParent_Done,
     /* 1982629 */   // Label 26539: @1982629
     /* 1982629 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1982715), // Rule ID 61615 //
     /* 1982634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1982645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1982648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1982654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982680 */     // MIs[0] policy
     /* 1982680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982714 */     // GIR_Coverage, 61615,
     /* 1982714 */     GIR_EraseRootFromParent_Done,
     /* 1982715 */   // Label 26540: @1982715
     /* 1982715 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1982801), // Rule ID 61618 //
     /* 1982720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1982731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1982734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1982740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982766 */     // MIs[0] policy
     /* 1982766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982800 */     // GIR_Coverage, 61618,
     /* 1982800 */     GIR_EraseRootFromParent_Done,
     /* 1982801 */   // Label 26541: @1982801
     /* 1982801 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1982887), // Rule ID 61619 //
     /* 1982806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1982817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1982820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1982826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982852 */     // MIs[0] policy
     /* 1982852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982886 */     // GIR_Coverage, 61619,
     /* 1982886 */     GIR_EraseRootFromParent_Done,
     /* 1982887 */   // Label 26542: @1982887
     /* 1982887 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1982973), // Rule ID 61622 //
     /* 1982892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1982903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1982906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1982912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982938 */     // MIs[0] policy
     /* 1982938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982972 */     // GIR_Coverage, 61622,
     /* 1982972 */     GIR_EraseRootFromParent_Done,
     /* 1982973 */   // Label 26543: @1982973
     /* 1982973 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1983059), // Rule ID 61623 //
     /* 1982978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1982989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1982992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1982998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983024 */     // MIs[0] policy
     /* 1983024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983058 */     // GIR_Coverage, 61623,
     /* 1983058 */     GIR_EraseRootFromParent_Done,
     /* 1983059 */   // Label 26544: @1983059
     /* 1983059 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1983145), // Rule ID 61626 //
     /* 1983064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983110 */     // MIs[0] policy
     /* 1983110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983144 */     // GIR_Coverage, 61626,
     /* 1983144 */     GIR_EraseRootFromParent_Done,
     /* 1983145 */   // Label 26545: @1983145
     /* 1983145 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1983231), // Rule ID 61627 //
     /* 1983150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983196 */     // MIs[0] policy
     /* 1983196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983230 */     // GIR_Coverage, 61627,
     /* 1983230 */     GIR_EraseRootFromParent_Done,
     /* 1983231 */   // Label 26546: @1983231
     /* 1983231 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1983317), // Rule ID 61630 //
     /* 1983236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1983256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983282 */     // MIs[0] policy
     /* 1983282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983316 */     // GIR_Coverage, 61630,
     /* 1983316 */     GIR_EraseRootFromParent_Done,
     /* 1983317 */   // Label 26547: @1983317
     /* 1983317 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1983403), // Rule ID 61631 //
     /* 1983322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1983342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983368 */     // MIs[0] policy
     /* 1983368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983402 */     // GIR_Coverage, 61631,
     /* 1983402 */     GIR_EraseRootFromParent_Done,
     /* 1983403 */   // Label 26548: @1983403
     /* 1983403 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1983489), // Rule ID 61634 //
     /* 1983408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983454 */     // MIs[0] policy
     /* 1983454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983488 */     // GIR_Coverage, 61634,
     /* 1983488 */     GIR_EraseRootFromParent_Done,
     /* 1983489 */   // Label 26549: @1983489
     /* 1983489 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1983575), // Rule ID 61635 //
     /* 1983494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983540 */     // MIs[0] policy
     /* 1983540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983574 */     // GIR_Coverage, 61635,
     /* 1983574 */     GIR_EraseRootFromParent_Done,
     /* 1983575 */   // Label 26550: @1983575
     /* 1983575 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1983661), // Rule ID 61638 //
     /* 1983580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1983591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1983594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1983600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983626 */     // MIs[0] policy
     /* 1983626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983660 */     // GIR_Coverage, 61638,
     /* 1983660 */     GIR_EraseRootFromParent_Done,
     /* 1983661 */   // Label 26551: @1983661
     /* 1983661 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1983747), // Rule ID 61639 //
     /* 1983666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1983677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1983680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1983686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983712 */     // MIs[0] policy
     /* 1983712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983746 */     // GIR_Coverage, 61639,
     /* 1983746 */     GIR_EraseRootFromParent_Done,
     /* 1983747 */   // Label 26552: @1983747
     /* 1983747 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1983833), // Rule ID 61642 //
     /* 1983752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1983763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1983766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1983772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983798 */     // MIs[0] policy
     /* 1983798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983832 */     // GIR_Coverage, 61642,
     /* 1983832 */     GIR_EraseRootFromParent_Done,
     /* 1983833 */   // Label 26553: @1983833
     /* 1983833 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1983919), // Rule ID 61643 //
     /* 1983838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1983849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1983852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1983858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983884 */     // MIs[0] policy
     /* 1983884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983918 */     // GIR_Coverage, 61643,
     /* 1983918 */     GIR_EraseRootFromParent_Done,
     /* 1983919 */   // Label 26554: @1983919
     /* 1983919 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1984005), // Rule ID 61646 //
     /* 1983924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1983935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1983938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1983941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983970 */     // MIs[0] policy
     /* 1983970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1983983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984004 */     // GIR_Coverage, 61646,
     /* 1984004 */     GIR_EraseRootFromParent_Done,
     /* 1984005 */   // Label 26555: @1984005
     /* 1984005 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1984091), // Rule ID 61647 //
     /* 1984010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984056 */     // MIs[0] policy
     /* 1984056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1984069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984090 */     // GIR_Coverage, 61647,
     /* 1984090 */     GIR_EraseRootFromParent_Done,
     /* 1984091 */   // Label 26556: @1984091
     /* 1984091 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1984177), // Rule ID 61650 //
     /* 1984096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984142 */     // MIs[0] policy
     /* 1984142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984176 */     // GIR_Coverage, 61650,
     /* 1984176 */     GIR_EraseRootFromParent_Done,
     /* 1984177 */   // Label 26557: @1984177
     /* 1984177 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1984263), // Rule ID 61651 //
     /* 1984182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984228 */     // MIs[0] policy
     /* 1984228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984262 */     // GIR_Coverage, 61651,
     /* 1984262 */     GIR_EraseRootFromParent_Done,
     /* 1984263 */   // Label 26558: @1984263
     /* 1984263 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1984349), // Rule ID 61654 //
     /* 1984268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984314 */     // MIs[0] policy
     /* 1984314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984348 */     // GIR_Coverage, 61654,
     /* 1984348 */     GIR_EraseRootFromParent_Done,
     /* 1984349 */   // Label 26559: @1984349
     /* 1984349 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1984435), // Rule ID 61655 //
     /* 1984354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984400 */     // MIs[0] policy
     /* 1984400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984434 */     // GIR_Coverage, 61655,
     /* 1984434 */     GIR_EraseRootFromParent_Done,
     /* 1984435 */   // Label 26560: @1984435
     /* 1984435 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1984521), // Rule ID 61658 //
     /* 1984440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1984451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1984454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984486 */     // MIs[0] policy
     /* 1984486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984520 */     // GIR_Coverage, 61658,
     /* 1984520 */     GIR_EraseRootFromParent_Done,
     /* 1984521 */   // Label 26561: @1984521
     /* 1984521 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1984607), // Rule ID 61659 //
     /* 1984526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1984537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1984540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984572 */     // MIs[0] policy
     /* 1984572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984606 */     // GIR_Coverage, 61659,
     /* 1984606 */     GIR_EraseRootFromParent_Done,
     /* 1984607 */   // Label 26562: @1984607
     /* 1984607 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1984693), // Rule ID 61662 //
     /* 1984612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1984623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1984626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984658 */     // MIs[0] policy
     /* 1984658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984692 */     // GIR_Coverage, 61662,
     /* 1984692 */     GIR_EraseRootFromParent_Done,
     /* 1984693 */   // Label 26563: @1984693
     /* 1984693 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1984779), // Rule ID 61663 //
     /* 1984698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1984709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1984712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984744 */     // MIs[0] policy
     /* 1984744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984778 */     // GIR_Coverage, 61663,
     /* 1984778 */     GIR_EraseRootFromParent_Done,
     /* 1984779 */   // Label 26564: @1984779
     /* 1984779 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1984865), // Rule ID 61666 //
     /* 1984784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1984801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984830 */     // MIs[0] policy
     /* 1984830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984864 */     // GIR_Coverage, 61666,
     /* 1984864 */     GIR_EraseRootFromParent_Done,
     /* 1984865 */   // Label 26565: @1984865
     /* 1984865 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1984951), // Rule ID 61667 //
     /* 1984870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1984887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984916 */     // MIs[0] policy
     /* 1984916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984950 */     // GIR_Coverage, 61667,
     /* 1984950 */     GIR_EraseRootFromParent_Done,
     /* 1984951 */   // Label 26566: @1984951
     /* 1984951 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1985037), // Rule ID 61670 //
     /* 1984956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1984967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1984970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1984973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985002 */     // MIs[0] policy
     /* 1985002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985036 */     // GIR_Coverage, 61670,
     /* 1985036 */     GIR_EraseRootFromParent_Done,
     /* 1985037 */   // Label 26567: @1985037
     /* 1985037 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1985123), // Rule ID 61671 //
     /* 1985042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985088 */     // MIs[0] policy
     /* 1985088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985122 */     // GIR_Coverage, 61671,
     /* 1985122 */     GIR_EraseRootFromParent_Done,
     /* 1985123 */   // Label 26568: @1985123
     /* 1985123 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1985209), // Rule ID 61674 //
     /* 1985128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985174 */     // MIs[0] policy
     /* 1985174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985208 */     // GIR_Coverage, 61674,
     /* 1985208 */     GIR_EraseRootFromParent_Done,
     /* 1985209 */   // Label 26569: @1985209
     /* 1985209 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1985295), // Rule ID 61675 //
     /* 1985214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985260 */     // MIs[0] policy
     /* 1985260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985294 */     // GIR_Coverage, 61675,
     /* 1985294 */     GIR_EraseRootFromParent_Done,
     /* 1985295 */   // Label 26570: @1985295
     /* 1985295 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1985381), // Rule ID 61678 //
     /* 1985300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985346 */     // MIs[0] policy
     /* 1985346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985380 */     // GIR_Coverage, 61678,
     /* 1985380 */     GIR_EraseRootFromParent_Done,
     /* 1985381 */   // Label 26571: @1985381
     /* 1985381 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1985467), // Rule ID 61679 //
     /* 1985386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985432 */     // MIs[0] policy
     /* 1985432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985466 */     // GIR_Coverage, 61679,
     /* 1985466 */     GIR_EraseRootFromParent_Done,
     /* 1985467 */   // Label 26572: @1985467
     /* 1985467 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1985553), // Rule ID 61682 //
     /* 1985472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1985483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1985486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1985489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985518 */     // MIs[0] policy
     /* 1985518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985552 */     // GIR_Coverage, 61682,
     /* 1985552 */     GIR_EraseRootFromParent_Done,
     /* 1985553 */   // Label 26573: @1985553
     /* 1985553 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1985639), // Rule ID 61683 //
     /* 1985558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1985569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1985572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1985575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985604 */     // MIs[0] policy
     /* 1985604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985638 */     // GIR_Coverage, 61683,
     /* 1985638 */     GIR_EraseRootFromParent_Done,
     /* 1985639 */   // Label 26574: @1985639
     /* 1985639 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1985725), // Rule ID 61686 //
     /* 1985644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1985655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1985658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1985661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985690 */     // MIs[0] policy
     /* 1985690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1985703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985724 */     // GIR_Coverage, 61686,
     /* 1985724 */     GIR_EraseRootFromParent_Done,
     /* 1985725 */   // Label 26575: @1985725
     /* 1985725 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1985811), // Rule ID 61687 //
     /* 1985730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1985741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1985744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1985747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985776 */     // MIs[0] policy
     /* 1985776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985786 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1985789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985810 */     // GIR_Coverage, 61687,
     /* 1985810 */     GIR_EraseRootFromParent_Done,
     /* 1985811 */   // Label 26576: @1985811
     /* 1985811 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1985897), // Rule ID 61690 //
     /* 1985816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1985833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985862 */     // MIs[0] policy
     /* 1985862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1985875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985896 */     // GIR_Coverage, 61690,
     /* 1985896 */     GIR_EraseRootFromParent_Done,
     /* 1985897 */   // Label 26577: @1985897
     /* 1985897 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1985983), // Rule ID 61691 //
     /* 1985902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1985919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985948 */     // MIs[0] policy
     /* 1985948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1985961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985982 */     // GIR_Coverage, 61691,
     /* 1985982 */     GIR_EraseRootFromParent_Done,
     /* 1985983 */   // Label 26578: @1985983
     /* 1985983 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1986069), // Rule ID 61694 //
     /* 1985988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1985999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986034 */     // MIs[0] policy
     /* 1986034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986044 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986068 */     // GIR_Coverage, 61694,
     /* 1986068 */     GIR_EraseRootFromParent_Done,
     /* 1986069 */   // Label 26579: @1986069
     /* 1986069 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1986155), // Rule ID 61695 //
     /* 1986074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986120 */     // MIs[0] policy
     /* 1986120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986154 */     // GIR_Coverage, 61695,
     /* 1986154 */     GIR_EraseRootFromParent_Done,
     /* 1986155 */   // Label 26580: @1986155
     /* 1986155 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1986241), // Rule ID 61698 //
     /* 1986160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1986171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1986174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1986177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986206 */     // MIs[0] policy
     /* 1986206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986240 */     // GIR_Coverage, 61698,
     /* 1986240 */     GIR_EraseRootFromParent_Done,
     /* 1986241 */   // Label 26581: @1986241
     /* 1986241 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1986327), // Rule ID 61699 //
     /* 1986246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1986257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1986260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1986263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986292 */     // MIs[0] policy
     /* 1986292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986326 */     // GIR_Coverage, 61699,
     /* 1986326 */     GIR_EraseRootFromParent_Done,
     /* 1986327 */   // Label 26582: @1986327
     /* 1986327 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1986413), // Rule ID 61702 //
     /* 1986332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986378 */     // MIs[0] policy
     /* 1986378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986412 */     // GIR_Coverage, 61702,
     /* 1986412 */     GIR_EraseRootFromParent_Done,
     /* 1986413 */   // Label 26583: @1986413
     /* 1986413 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1986499), // Rule ID 61703 //
     /* 1986418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986464 */     // MIs[0] policy
     /* 1986464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986498 */     // GIR_Coverage, 61703,
     /* 1986498 */     GIR_EraseRootFromParent_Done,
     /* 1986499 */   // Label 26584: @1986499
     /* 1986499 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1986585), // Rule ID 61706 //
     /* 1986504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1986515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1986518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1986521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986550 */     // MIs[0] policy
     /* 1986550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986584 */     // GIR_Coverage, 61706,
     /* 1986584 */     GIR_EraseRootFromParent_Done,
     /* 1986585 */   // Label 26585: @1986585
     /* 1986585 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1986671), // Rule ID 61707 //
     /* 1986590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1986601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1986604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1986607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986636 */     // MIs[0] policy
     /* 1986636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986670 */     // GIR_Coverage, 61707,
     /* 1986670 */     GIR_EraseRootFromParent_Done,
     /* 1986671 */   // Label 26586: @1986671
     /* 1986671 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1986757), // Rule ID 61710 //
     /* 1986676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1986693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986722 */     // MIs[0] policy
     /* 1986722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986756 */     // GIR_Coverage, 61710,
     /* 1986756 */     GIR_EraseRootFromParent_Done,
     /* 1986757 */   // Label 26587: @1986757
     /* 1986757 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1986843), // Rule ID 61711 //
     /* 1986762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1986779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986808 */     // MIs[0] policy
     /* 1986808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986842 */     // GIR_Coverage, 61711,
     /* 1986842 */     GIR_EraseRootFromParent_Done,
     /* 1986843 */   // Label 26588: @1986843
     /* 1986843 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1986929), // Rule ID 61714 //
     /* 1986848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1986865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986894 */     // MIs[0] policy
     /* 1986894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986928 */     // GIR_Coverage, 61714,
     /* 1986928 */     GIR_EraseRootFromParent_Done,
     /* 1986929 */   // Label 26589: @1986929
     /* 1986929 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1987015), // Rule ID 61715 //
     /* 1986934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1986951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986980 */     // MIs[0] policy
     /* 1986980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987014 */     // GIR_Coverage, 61715,
     /* 1987014 */     GIR_EraseRootFromParent_Done,
     /* 1987015 */   // Label 26590: @1987015
     /* 1987015 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1987101), // Rule ID 61718 //
     /* 1987020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987066 */     // MIs[0] policy
     /* 1987066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987100 */     // GIR_Coverage, 61718,
     /* 1987100 */     GIR_EraseRootFromParent_Done,
     /* 1987101 */   // Label 26591: @1987101
     /* 1987101 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1987187), // Rule ID 61719 //
     /* 1987106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987152 */     // MIs[0] policy
     /* 1987152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987186 */     // GIR_Coverage, 61719,
     /* 1987186 */     GIR_EraseRootFromParent_Done,
     /* 1987187 */   // Label 26592: @1987187
     /* 1987187 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1987273), // Rule ID 61722 //
     /* 1987192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1987203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1987206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1987209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987238 */     // MIs[0] policy
     /* 1987238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987272 */     // GIR_Coverage, 61722,
     /* 1987272 */     GIR_EraseRootFromParent_Done,
     /* 1987273 */   // Label 26593: @1987273
     /* 1987273 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1987359), // Rule ID 61723 //
     /* 1987278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1987289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1987292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1987295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987324 */     // MIs[0] policy
     /* 1987324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987358 */     // GIR_Coverage, 61723,
     /* 1987358 */     GIR_EraseRootFromParent_Done,
     /* 1987359 */   // Label 26594: @1987359
     /* 1987359 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1987445), // Rule ID 61726 //
     /* 1987364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987410 */     // MIs[0] policy
     /* 1987410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987444 */     // GIR_Coverage, 61726,
     /* 1987444 */     GIR_EraseRootFromParent_Done,
     /* 1987445 */   // Label 26595: @1987445
     /* 1987445 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1987531), // Rule ID 61727 //
     /* 1987450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987496 */     // MIs[0] policy
     /* 1987496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987530 */     // GIR_Coverage, 61727,
     /* 1987530 */     GIR_EraseRootFromParent_Done,
     /* 1987531 */   // Label 26596: @1987531
     /* 1987531 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1987617), // Rule ID 61730 //
     /* 1987536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1987547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1987550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1987553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987582 */     // MIs[0] policy
     /* 1987582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987616 */     // GIR_Coverage, 61730,
     /* 1987616 */     GIR_EraseRootFromParent_Done,
     /* 1987617 */   // Label 26597: @1987617
     /* 1987617 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1987703), // Rule ID 61731 //
     /* 1987622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1987633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1987636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1987639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987668 */     // MIs[0] policy
     /* 1987668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987702 */     // GIR_Coverage, 61731,
     /* 1987702 */     GIR_EraseRootFromParent_Done,
     /* 1987703 */   // Label 26598: @1987703
     /* 1987703 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1987789), // Rule ID 61818 //
     /* 1987708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1987719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1987722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1987725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1987728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987754 */     // MIs[0] policy
     /* 1987754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1987767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987788 */     // GIR_Coverage, 61818,
     /* 1987788 */     GIR_EraseRootFromParent_Done,
     /* 1987789 */   // Label 26599: @1987789
     /* 1987789 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1987875), // Rule ID 61819 //
     /* 1987794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1987805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1987808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1987811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1987814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987840 */     // MIs[0] policy
     /* 1987840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1987853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987874 */     // GIR_Coverage, 61819,
     /* 1987874 */     GIR_EraseRootFromParent_Done,
     /* 1987875 */   // Label 26600: @1987875
     /* 1987875 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1987961), // Rule ID 61822 //
     /* 1987880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1987891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1987894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1987897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1987900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987926 */     // MIs[0] policy
     /* 1987926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1987939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987960 */     // GIR_Coverage, 61822,
     /* 1987960 */     GIR_EraseRootFromParent_Done,
     /* 1987961 */   // Label 26601: @1987961
     /* 1987961 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1988047), // Rule ID 61823 //
     /* 1987966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1987977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1987980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1987983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1987986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988012 */     // MIs[0] policy
     /* 1988012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988046 */     // GIR_Coverage, 61823,
     /* 1988046 */     GIR_EraseRootFromParent_Done,
     /* 1988047 */   // Label 26602: @1988047
     /* 1988047 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1988133), // Rule ID 61826 //
     /* 1988052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1988066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988098 */     // MIs[0] policy
     /* 1988098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988132 */     // GIR_Coverage, 61826,
     /* 1988132 */     GIR_EraseRootFromParent_Done,
     /* 1988133 */   // Label 26603: @1988133
     /* 1988133 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1988219), // Rule ID 61827 //
     /* 1988138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1988152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988184 */     // MIs[0] policy
     /* 1988184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988218 */     // GIR_Coverage, 61827,
     /* 1988218 */     GIR_EraseRootFromParent_Done,
     /* 1988219 */   // Label 26604: @1988219
     /* 1988219 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1988305), // Rule ID 61830 //
     /* 1988224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988270 */     // MIs[0] policy
     /* 1988270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988304 */     // GIR_Coverage, 61830,
     /* 1988304 */     GIR_EraseRootFromParent_Done,
     /* 1988305 */   // Label 26605: @1988305
     /* 1988305 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1988391), // Rule ID 61831 //
     /* 1988310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988356 */     // MIs[0] policy
     /* 1988356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988390 */     // GIR_Coverage, 61831,
     /* 1988390 */     GIR_EraseRootFromParent_Done,
     /* 1988391 */   // Label 26606: @1988391
     /* 1988391 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1988477), // Rule ID 61834 //
     /* 1988396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988442 */     // MIs[0] policy
     /* 1988442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988476 */     // GIR_Coverage, 61834,
     /* 1988476 */     GIR_EraseRootFromParent_Done,
     /* 1988477 */   // Label 26607: @1988477
     /* 1988477 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1988563), // Rule ID 61835 //
     /* 1988482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988528 */     // MIs[0] policy
     /* 1988528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988562 */     // GIR_Coverage, 61835,
     /* 1988562 */     GIR_EraseRootFromParent_Done,
     /* 1988563 */   // Label 26608: @1988563
     /* 1988563 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1988649), // Rule ID 61838 //
     /* 1988568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1988585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1988588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988614 */     // MIs[0] policy
     /* 1988614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988648 */     // GIR_Coverage, 61838,
     /* 1988648 */     GIR_EraseRootFromParent_Done,
     /* 1988649 */   // Label 26609: @1988649
     /* 1988649 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1988735), // Rule ID 61839 //
     /* 1988654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1988671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1988674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988700 */     // MIs[0] policy
     /* 1988700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988734 */     // GIR_Coverage, 61839,
     /* 1988734 */     GIR_EraseRootFromParent_Done,
     /* 1988735 */   // Label 26610: @1988735
     /* 1988735 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1988821), // Rule ID 61842 //
     /* 1988740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1988751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1988754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988786 */     // MIs[0] policy
     /* 1988786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1988799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988820 */     // GIR_Coverage, 61842,
     /* 1988820 */     GIR_EraseRootFromParent_Done,
     /* 1988821 */   // Label 26611: @1988821
     /* 1988821 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1988907), // Rule ID 61843 //
     /* 1988826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1988837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1988840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988872 */     // MIs[0] policy
     /* 1988872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1988885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988906 */     // GIR_Coverage, 61843,
     /* 1988906 */     GIR_EraseRootFromParent_Done,
     /* 1988907 */   // Label 26612: @1988907
     /* 1988907 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1988993), // Rule ID 61846 //
     /* 1988912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1988929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988958 */     // MIs[0] policy
     /* 1988958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1988971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988992 */     // GIR_Coverage, 61846,
     /* 1988992 */     GIR_EraseRootFromParent_Done,
     /* 1988993 */   // Label 26613: @1988993
     /* 1988993 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1989079), // Rule ID 61847 //
     /* 1988998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989044 */     // MIs[0] policy
     /* 1989044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989078 */     // GIR_Coverage, 61847,
     /* 1989078 */     GIR_EraseRootFromParent_Done,
     /* 1989079 */   // Label 26614: @1989079
     /* 1989079 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1989165), // Rule ID 61850 //
     /* 1989084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989130 */     // MIs[0] policy
     /* 1989130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989164 */     // GIR_Coverage, 61850,
     /* 1989164 */     GIR_EraseRootFromParent_Done,
     /* 1989165 */   // Label 26615: @1989165
     /* 1989165 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1989251), // Rule ID 61851 //
     /* 1989170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989216 */     // MIs[0] policy
     /* 1989216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989250 */     // GIR_Coverage, 61851,
     /* 1989250 */     GIR_EraseRootFromParent_Done,
     /* 1989251 */   // Label 26616: @1989251
     /* 1989251 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1989337), // Rule ID 61854 //
     /* 1989256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989302 */     // MIs[0] policy
     /* 1989302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989336 */     // GIR_Coverage, 61854,
     /* 1989336 */     GIR_EraseRootFromParent_Done,
     /* 1989337 */   // Label 26617: @1989337
     /* 1989337 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1989423), // Rule ID 61855 //
     /* 1989342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989388 */     // MIs[0] policy
     /* 1989388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989422 */     // GIR_Coverage, 61855,
     /* 1989422 */     GIR_EraseRootFromParent_Done,
     /* 1989423 */   // Label 26618: @1989423
     /* 1989423 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1989509), // Rule ID 61858 //
     /* 1989428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1989439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1989442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989474 */     // MIs[0] policy
     /* 1989474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1989487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989508 */     // GIR_Coverage, 61858,
     /* 1989508 */     GIR_EraseRootFromParent_Done,
     /* 1989509 */   // Label 26619: @1989509
     /* 1989509 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1989595), // Rule ID 61859 //
     /* 1989514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1989525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1989528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989560 */     // MIs[0] policy
     /* 1989560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1989573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989594 */     // GIR_Coverage, 61859,
     /* 1989594 */     GIR_EraseRootFromParent_Done,
     /* 1989595 */   // Label 26620: @1989595
     /* 1989595 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1989681), // Rule ID 61862 //
     /* 1989600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1989611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1989614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989646 */     // MIs[0] policy
     /* 1989646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1989659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989680 */     // GIR_Coverage, 61862,
     /* 1989680 */     GIR_EraseRootFromParent_Done,
     /* 1989681 */   // Label 26621: @1989681
     /* 1989681 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1989767), // Rule ID 61863 //
     /* 1989686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1989697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1989700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989732 */     // MIs[0] policy
     /* 1989732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1989745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989766 */     // GIR_Coverage, 61863,
     /* 1989766 */     GIR_EraseRootFromParent_Done,
     /* 1989767 */   // Label 26622: @1989767
     /* 1989767 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1989853), // Rule ID 61866 //
     /* 1989772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1989783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1989786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989818 */     // MIs[0] policy
     /* 1989818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1989831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989852 */     // GIR_Coverage, 61866,
     /* 1989852 */     GIR_EraseRootFromParent_Done,
     /* 1989853 */   // Label 26623: @1989853
     /* 1989853 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1989939), // Rule ID 61867 //
     /* 1989858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1989869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1989872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989904 */     // MIs[0] policy
     /* 1989904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1989917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989938 */     // GIR_Coverage, 61867,
     /* 1989938 */     GIR_EraseRootFromParent_Done,
     /* 1989939 */   // Label 26624: @1989939
     /* 1989939 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1990025), // Rule ID 61870 //
     /* 1989944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1989955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1989958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1989961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1989964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989990 */     // MIs[0] policy
     /* 1989990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990024 */     // GIR_Coverage, 61870,
     /* 1990024 */     GIR_EraseRootFromParent_Done,
     /* 1990025 */   // Label 26625: @1990025
     /* 1990025 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1990111), // Rule ID 61871 //
     /* 1990030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1990041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1990044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1990050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990076 */     // MIs[0] policy
     /* 1990076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990110 */     // GIR_Coverage, 61871,
     /* 1990110 */     GIR_EraseRootFromParent_Done,
     /* 1990111 */   // Label 26626: @1990111
     /* 1990111 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1990197), // Rule ID 61874 //
     /* 1990116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1990127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1990130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1990136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990162 */     // MIs[0] policy
     /* 1990162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990196 */     // GIR_Coverage, 61874,
     /* 1990196 */     GIR_EraseRootFromParent_Done,
     /* 1990197 */   // Label 26627: @1990197
     /* 1990197 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1990283), // Rule ID 61875 //
     /* 1990202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1990213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1990216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1990222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990248 */     // MIs[0] policy
     /* 1990248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990282 */     // GIR_Coverage, 61875,
     /* 1990282 */     GIR_EraseRootFromParent_Done,
     /* 1990283 */   // Label 26628: @1990283
     /* 1990283 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1990369), // Rule ID 61878 //
     /* 1990288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1990299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1990302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1990308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990334 */     // MIs[0] policy
     /* 1990334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990368 */     // GIR_Coverage, 61878,
     /* 1990368 */     GIR_EraseRootFromParent_Done,
     /* 1990369 */   // Label 26629: @1990369
     /* 1990369 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1990455), // Rule ID 61879 //
     /* 1990374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1990385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1990388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1990394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990420 */     // MIs[0] policy
     /* 1990420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990454 */     // GIR_Coverage, 61879,
     /* 1990454 */     GIR_EraseRootFromParent_Done,
     /* 1990455 */   // Label 26630: @1990455
     /* 1990455 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1990541), // Rule ID 61882 //
     /* 1990460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1990477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1990480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990506 */     // MIs[0] policy
     /* 1990506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990540 */     // GIR_Coverage, 61882,
     /* 1990540 */     GIR_EraseRootFromParent_Done,
     /* 1990541 */   // Label 26631: @1990541
     /* 1990541 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1990627), // Rule ID 61883 //
     /* 1990546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1990563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1990566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990592 */     // MIs[0] policy
     /* 1990592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990626 */     // GIR_Coverage, 61883,
     /* 1990626 */     GIR_EraseRootFromParent_Done,
     /* 1990627 */   // Label 26632: @1990627
     /* 1990627 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1990713), // Rule ID 61886 //
     /* 1990632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1990649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1990652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990678 */     // MIs[0] policy
     /* 1990678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990712 */     // GIR_Coverage, 61886,
     /* 1990712 */     GIR_EraseRootFromParent_Done,
     /* 1990713 */   // Label 26633: @1990713
     /* 1990713 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1990799), // Rule ID 61887 //
     /* 1990718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1990735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1990738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990764 */     // MIs[0] policy
     /* 1990764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990798 */     // GIR_Coverage, 61887,
     /* 1990798 */     GIR_EraseRootFromParent_Done,
     /* 1990799 */   // Label 26634: @1990799
     /* 1990799 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1990885), // Rule ID 61890 //
     /* 1990804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1990824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990850 */     // MIs[0] policy
     /* 1990850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990884 */     // GIR_Coverage, 61890,
     /* 1990884 */     GIR_EraseRootFromParent_Done,
     /* 1990885 */   // Label 26635: @1990885
     /* 1990885 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1990971), // Rule ID 61891 //
     /* 1990890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1990910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990936 */     // MIs[0] policy
     /* 1990936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990970 */     // GIR_Coverage, 61891,
     /* 1990970 */     GIR_EraseRootFromParent_Done,
     /* 1990971 */   // Label 26636: @1990971
     /* 1990971 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1991057), // Rule ID 61894 //
     /* 1990976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1990987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1990990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1990993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1990996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991022 */     // MIs[0] policy
     /* 1991022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1991035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991056 */     // GIR_Coverage, 61894,
     /* 1991056 */     GIR_EraseRootFromParent_Done,
     /* 1991057 */   // Label 26637: @1991057
     /* 1991057 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1991143), // Rule ID 61895 //
     /* 1991062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1991073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1991076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1991082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991108 */     // MIs[0] policy
     /* 1991108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1991121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991142 */     // GIR_Coverage, 61895,
     /* 1991142 */     GIR_EraseRootFromParent_Done,
     /* 1991143 */   // Label 26638: @1991143
     /* 1991143 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1991229), // Rule ID 61898 //
     /* 1991148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1991159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1991162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1991168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991194 */     // MIs[0] policy
     /* 1991194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991228 */     // GIR_Coverage, 61898,
     /* 1991228 */     GIR_EraseRootFromParent_Done,
     /* 1991229 */   // Label 26639: @1991229
     /* 1991229 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1991315), // Rule ID 61899 //
     /* 1991234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1991245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1991248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1991254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991280 */     // MIs[0] policy
     /* 1991280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991314 */     // GIR_Coverage, 61899,
     /* 1991314 */     GIR_EraseRootFromParent_Done,
     /* 1991315 */   // Label 26640: @1991315
     /* 1991315 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1991401), // Rule ID 61902 //
     /* 1991320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1991331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1991334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1991340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991366 */     // MIs[0] policy
     /* 1991366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991400 */     // GIR_Coverage, 61902,
     /* 1991400 */     GIR_EraseRootFromParent_Done,
     /* 1991401 */   // Label 26641: @1991401
     /* 1991401 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1991487), // Rule ID 61903 //
     /* 1991406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1991417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1991420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1991426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991452 */     // MIs[0] policy
     /* 1991452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991486 */     // GIR_Coverage, 61903,
     /* 1991486 */     GIR_EraseRootFromParent_Done,
     /* 1991487 */   // Label 26642: @1991487
     /* 1991487 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1991573), // Rule ID 61906 //
     /* 1991492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1991503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1991506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1991509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991538 */     // MIs[0] policy
     /* 1991538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1991551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991572 */     // GIR_Coverage, 61906,
     /* 1991572 */     GIR_EraseRootFromParent_Done,
     /* 1991573 */   // Label 26643: @1991573
     /* 1991573 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1991659), // Rule ID 61907 //
     /* 1991578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1991589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1991592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1991595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991624 */     // MIs[0] policy
     /* 1991624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1991637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991658 */     // GIR_Coverage, 61907,
     /* 1991658 */     GIR_EraseRootFromParent_Done,
     /* 1991659 */   // Label 26644: @1991659
     /* 1991659 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1991745), // Rule ID 61910 //
     /* 1991664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1991675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1991678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1991681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991710 */     // MIs[0] policy
     /* 1991710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1991723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991744 */     // GIR_Coverage, 61910,
     /* 1991744 */     GIR_EraseRootFromParent_Done,
     /* 1991745 */   // Label 26645: @1991745
     /* 1991745 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1991831), // Rule ID 61911 //
     /* 1991750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1991761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1991764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1991767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991796 */     // MIs[0] policy
     /* 1991796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1991809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991830 */     // GIR_Coverage, 61911,
     /* 1991830 */     GIR_EraseRootFromParent_Done,
     /* 1991831 */   // Label 26646: @1991831
     /* 1991831 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1991917), // Rule ID 61914 //
     /* 1991836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1991847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1991850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1991853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991882 */     // MIs[0] policy
     /* 1991882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1991895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991916 */     // GIR_Coverage, 61914,
     /* 1991916 */     GIR_EraseRootFromParent_Done,
     /* 1991917 */   // Label 26647: @1991917
     /* 1991917 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1992003), // Rule ID 61915 //
     /* 1991922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1991933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1991936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1991939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991968 */     // MIs[0] policy
     /* 1991968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1991981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992002 */     // GIR_Coverage, 61915,
     /* 1992002 */     GIR_EraseRootFromParent_Done,
     /* 1992003 */   // Label 26648: @1992003
     /* 1992003 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1992089), // Rule ID 61918 //
     /* 1992008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992054 */     // MIs[0] policy
     /* 1992054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992088 */     // GIR_Coverage, 61918,
     /* 1992088 */     GIR_EraseRootFromParent_Done,
     /* 1992089 */   // Label 26649: @1992089
     /* 1992089 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1992175), // Rule ID 61919 //
     /* 1992094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992140 */     // MIs[0] policy
     /* 1992140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992174 */     // GIR_Coverage, 61919,
     /* 1992174 */     GIR_EraseRootFromParent_Done,
     /* 1992175 */   // Label 26650: @1992175
     /* 1992175 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1992261), // Rule ID 61922 //
     /* 1992180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992226 */     // MIs[0] policy
     /* 1992226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992260 */     // GIR_Coverage, 61922,
     /* 1992260 */     GIR_EraseRootFromParent_Done,
     /* 1992261 */   // Label 26651: @1992261
     /* 1992261 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1992347), // Rule ID 61923 //
     /* 1992266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992312 */     // MIs[0] policy
     /* 1992312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992346 */     // GIR_Coverage, 61923,
     /* 1992346 */     GIR_EraseRootFromParent_Done,
     /* 1992347 */   // Label 26652: @1992347
     /* 1992347 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1992433), // Rule ID 61926 //
     /* 1992352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1992369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992398 */     // MIs[0] policy
     /* 1992398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992432 */     // GIR_Coverage, 61926,
     /* 1992432 */     GIR_EraseRootFromParent_Done,
     /* 1992433 */   // Label 26653: @1992433
     /* 1992433 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1992519), // Rule ID 61927 //
     /* 1992438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1992455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992484 */     // MIs[0] policy
     /* 1992484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992518 */     // GIR_Coverage, 61927,
     /* 1992518 */     GIR_EraseRootFromParent_Done,
     /* 1992519 */   // Label 26654: @1992519
     /* 1992519 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1992605), // Rule ID 61930 //
     /* 1992524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1992535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1992538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992570 */     // MIs[0] policy
     /* 1992570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1992583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992604 */     // GIR_Coverage, 61930,
     /* 1992604 */     GIR_EraseRootFromParent_Done,
     /* 1992605 */   // Label 26655: @1992605
     /* 1992605 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1992691), // Rule ID 61931 //
     /* 1992610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1992621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1992624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992656 */     // MIs[0] policy
     /* 1992656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1992669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992690 */     // GIR_Coverage, 61931,
     /* 1992690 */     GIR_EraseRootFromParent_Done,
     /* 1992691 */   // Label 26656: @1992691
     /* 1992691 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1992777), // Rule ID 61934 //
     /* 1992696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1992713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992742 */     // MIs[0] policy
     /* 1992742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1992755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992776 */     // GIR_Coverage, 61934,
     /* 1992776 */     GIR_EraseRootFromParent_Done,
     /* 1992777 */   // Label 26657: @1992777
     /* 1992777 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1992863), // Rule ID 61935 //
     /* 1992782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1992799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992828 */     // MIs[0] policy
     /* 1992828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1992841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992862 */     // GIR_Coverage, 61935,
     /* 1992862 */     GIR_EraseRootFromParent_Done,
     /* 1992863 */   // Label 26658: @1992863
     /* 1992863 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1992949), // Rule ID 61938 //
     /* 1992868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1992885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992914 */     // MIs[0] policy
     /* 1992914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1992927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992948 */     // GIR_Coverage, 61938,
     /* 1992948 */     GIR_EraseRootFromParent_Done,
     /* 1992949 */   // Label 26659: @1992949
     /* 1992949 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1993035), // Rule ID 61939 //
     /* 1992954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1992971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993000 */     // MIs[0] policy
     /* 1993000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993034 */     // GIR_Coverage, 61939,
     /* 1993034 */     GIR_EraseRootFromParent_Done,
     /* 1993035 */   // Label 26660: @1993035
     /* 1993035 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1993121), // Rule ID 61942 //
     /* 1993040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993086 */     // MIs[0] policy
     /* 1993086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993120 */     // GIR_Coverage, 61942,
     /* 1993120 */     GIR_EraseRootFromParent_Done,
     /* 1993121 */   // Label 26661: @1993121
     /* 1993121 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1993207), // Rule ID 61943 //
     /* 1993126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993172 */     // MIs[0] policy
     /* 1993172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993206 */     // GIR_Coverage, 61943,
     /* 1993206 */     GIR_EraseRootFromParent_Done,
     /* 1993207 */   // Label 26662: @1993207
     /* 1993207 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1993293), // Rule ID 61946 //
     /* 1993212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1993223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1993226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993258 */     // MIs[0] policy
     /* 1993258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993292 */     // GIR_Coverage, 61946,
     /* 1993292 */     GIR_EraseRootFromParent_Done,
     /* 1993293 */   // Label 26663: @1993293
     /* 1993293 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1993379), // Rule ID 61947 //
     /* 1993298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1993309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1993312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993344 */     // MIs[0] policy
     /* 1993344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993378 */     // GIR_Coverage, 61947,
     /* 1993378 */     GIR_EraseRootFromParent_Done,
     /* 1993379 */   // Label 26664: @1993379
     /* 1993379 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1993465), // Rule ID 61950 //
     /* 1993384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1993395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1993398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993430 */     // MIs[0] policy
     /* 1993430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1993443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993464 */     // GIR_Coverage, 61950,
     /* 1993464 */     GIR_EraseRootFromParent_Done,
     /* 1993465 */   // Label 26665: @1993465
     /* 1993465 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1993551), // Rule ID 61951 //
     /* 1993470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1993481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1993484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993516 */     // MIs[0] policy
     /* 1993516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1993529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993550 */     // GIR_Coverage, 61951,
     /* 1993550 */     GIR_EraseRootFromParent_Done,
     /* 1993551 */   // Label 26666: @1993551
     /* 1993551 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1993637), // Rule ID 61954 //
     /* 1993556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1993567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1993570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993602 */     // MIs[0] policy
     /* 1993602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1993615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993636 */     // GIR_Coverage, 61954,
     /* 1993636 */     GIR_EraseRootFromParent_Done,
     /* 1993637 */   // Label 26667: @1993637
     /* 1993637 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1993723), // Rule ID 61955 //
     /* 1993642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1993653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1993656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993688 */     // MIs[0] policy
     /* 1993688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1993701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993722 */     // GIR_Coverage, 61955,
     /* 1993722 */     GIR_EraseRootFromParent_Done,
     /* 1993723 */   // Label 26668: @1993723
     /* 1993723 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1993809), // Rule ID 61958 //
     /* 1993728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1993739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1993742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1993745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993774 */     // MIs[0] policy
     /* 1993774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993808 */     // GIR_Coverage, 61958,
     /* 1993808 */     GIR_EraseRootFromParent_Done,
     /* 1993809 */   // Label 26669: @1993809
     /* 1993809 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1993895), // Rule ID 61959 //
     /* 1993814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1993825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1993828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1993831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993860 */     // MIs[0] policy
     /* 1993860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993894 */     // GIR_Coverage, 61959,
     /* 1993894 */     GIR_EraseRootFromParent_Done,
     /* 1993895 */   // Label 26670: @1993895
     /* 1993895 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1993981), // Rule ID 61962 //
     /* 1993900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1993911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1993914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1993917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993946 */     // MIs[0] policy
     /* 1993946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1993959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993980 */     // GIR_Coverage, 61962,
     /* 1993980 */     GIR_EraseRootFromParent_Done,
     /* 1993981 */   // Label 26671: @1993981
     /* 1993981 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1994067), // Rule ID 61963 //
     /* 1993986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1993997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1994000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994032 */     // MIs[0] policy
     /* 1994032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994066 */     // GIR_Coverage, 61963,
     /* 1994066 */     GIR_EraseRootFromParent_Done,
     /* 1994067 */   // Label 26672: @1994067
     /* 1994067 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1994153), // Rule ID 61966 //
     /* 1994072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994118 */     // MIs[0] policy
     /* 1994118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994152 */     // GIR_Coverage, 61966,
     /* 1994152 */     GIR_EraseRootFromParent_Done,
     /* 1994153 */   // Label 26673: @1994153
     /* 1994153 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1994239), // Rule ID 61967 //
     /* 1994158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994204 */     // MIs[0] policy
     /* 1994204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994238 */     // GIR_Coverage, 61967,
     /* 1994238 */     GIR_EraseRootFromParent_Done,
     /* 1994239 */   // Label 26674: @1994239
     /* 1994239 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1994325), // Rule ID 61970 //
     /* 1994244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994290 */     // MIs[0] policy
     /* 1994290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994324 */     // GIR_Coverage, 61970,
     /* 1994324 */     GIR_EraseRootFromParent_Done,
     /* 1994325 */   // Label 26675: @1994325
     /* 1994325 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1994411), // Rule ID 61971 //
     /* 1994330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994376 */     // MIs[0] policy
     /* 1994376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994410 */     // GIR_Coverage, 61971,
     /* 1994410 */     GIR_EraseRootFromParent_Done,
     /* 1994411 */   // Label 26676: @1994411
     /* 1994411 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1994497), // Rule ID 61974 //
     /* 1994416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994462 */     // MIs[0] policy
     /* 1994462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994496 */     // GIR_Coverage, 61974,
     /* 1994496 */     GIR_EraseRootFromParent_Done,
     /* 1994497 */   // Label 26677: @1994497
     /* 1994497 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1994583), // Rule ID 61975 //
     /* 1994502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994548 */     // MIs[0] policy
     /* 1994548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994582 */     // GIR_Coverage, 61975,
     /* 1994582 */     GIR_EraseRootFromParent_Done,
     /* 1994583 */   // Label 26678: @1994583
     /* 1994583 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1994669), // Rule ID 61978 //
     /* 1994588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1994605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994634 */     // MIs[0] policy
     /* 1994634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994668 */     // GIR_Coverage, 61978,
     /* 1994668 */     GIR_EraseRootFromParent_Done,
     /* 1994669 */   // Label 26679: @1994669
     /* 1994669 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1994755), // Rule ID 61979 //
     /* 1994674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1994691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994720 */     // MIs[0] policy
     /* 1994720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994754 */     // GIR_Coverage, 61979,
     /* 1994754 */     GIR_EraseRootFromParent_Done,
     /* 1994755 */   // Label 26680: @1994755
     /* 1994755 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1994841), // Rule ID 61982 //
     /* 1994760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1994771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1994774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1994777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994806 */     // MIs[0] policy
     /* 1994806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994840 */     // GIR_Coverage, 61982,
     /* 1994840 */     GIR_EraseRootFromParent_Done,
     /* 1994841 */   // Label 26681: @1994841
     /* 1994841 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1994927), // Rule ID 61983 //
     /* 1994846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1994857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1994860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1994863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994892 */     // MIs[0] policy
     /* 1994892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994926 */     // GIR_Coverage, 61983,
     /* 1994926 */     GIR_EraseRootFromParent_Done,
     /* 1994927 */   // Label 26682: @1994927
     /* 1994927 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1995013), // Rule ID 61986 //
     /* 1994932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1994943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1994946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1994949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994978 */     // MIs[0] policy
     /* 1994978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995012 */     // GIR_Coverage, 61986,
     /* 1995012 */     GIR_EraseRootFromParent_Done,
     /* 1995013 */   // Label 26683: @1995013
     /* 1995013 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1995099), // Rule ID 61987 //
     /* 1995018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1995029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1995032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995064 */     // MIs[0] policy
     /* 1995064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1995077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995098 */     // GIR_Coverage, 61987,
     /* 1995098 */     GIR_EraseRootFromParent_Done,
     /* 1995099 */   // Label 26684: @1995099
     /* 1995099 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1995185), // Rule ID 61990 //
     /* 1995104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995150 */     // MIs[0] policy
     /* 1995150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995184 */     // GIR_Coverage, 61990,
     /* 1995184 */     GIR_EraseRootFromParent_Done,
     /* 1995185 */   // Label 26685: @1995185
     /* 1995185 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1995271), // Rule ID 61991 //
     /* 1995190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995236 */     // MIs[0] policy
     /* 1995236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995270 */     // GIR_Coverage, 61991,
     /* 1995270 */     GIR_EraseRootFromParent_Done,
     /* 1995271 */   // Label 26686: @1995271
     /* 1995271 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1995357), // Rule ID 62596 //
     /* 1995276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1995293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995322 */     // MIs[0] policy
     /* 1995322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1995335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995356 */     // GIR_Coverage, 62596,
     /* 1995356 */     GIR_EraseRootFromParent_Done,
     /* 1995357 */   // Label 26687: @1995357
     /* 1995357 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1995443), // Rule ID 62597 //
     /* 1995362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1995379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995408 */     // MIs[0] policy
     /* 1995408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1995421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995442 */     // GIR_Coverage, 62597,
     /* 1995442 */     GIR_EraseRootFromParent_Done,
     /* 1995443 */   // Label 26688: @1995443
     /* 1995443 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1995529), // Rule ID 62600 //
     /* 1995448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1995465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995494 */     // MIs[0] policy
     /* 1995494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1995507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995528 */     // GIR_Coverage, 62600,
     /* 1995528 */     GIR_EraseRootFromParent_Done,
     /* 1995529 */   // Label 26689: @1995529
     /* 1995529 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1995615), // Rule ID 62601 //
     /* 1995534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1995551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995580 */     // MIs[0] policy
     /* 1995580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1995593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995614 */     // GIR_Coverage, 62601,
     /* 1995614 */     GIR_EraseRootFromParent_Done,
     /* 1995615 */   // Label 26690: @1995615
     /* 1995615 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1995701), // Rule ID 62604 //
     /* 1995620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1995637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1995640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995666 */     // MIs[0] policy
     /* 1995666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1995679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995700 */     // GIR_Coverage, 62604,
     /* 1995700 */     GIR_EraseRootFromParent_Done,
     /* 1995701 */   // Label 26691: @1995701
     /* 1995701 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1995787), // Rule ID 62605 //
     /* 1995706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1995723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1995726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995752 */     // MIs[0] policy
     /* 1995752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1995765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995786 */     // GIR_Coverage, 62605,
     /* 1995786 */     GIR_EraseRootFromParent_Done,
     /* 1995787 */   // Label 26692: @1995787
     /* 1995787 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1995873), // Rule ID 62608 //
     /* 1995792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1995809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1995812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995838 */     // MIs[0] policy
     /* 1995838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1995851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995872 */     // GIR_Coverage, 62608,
     /* 1995872 */     GIR_EraseRootFromParent_Done,
     /* 1995873 */   // Label 26693: @1995873
     /* 1995873 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1995959), // Rule ID 62609 //
     /* 1995878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1995895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1995898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995924 */     // MIs[0] policy
     /* 1995924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1995937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995958 */     // GIR_Coverage, 62609,
     /* 1995958 */     GIR_EraseRootFromParent_Done,
     /* 1995959 */   // Label 26694: @1995959
     /* 1995959 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1996045), // Rule ID 62612 //
     /* 1995964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1995981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1995984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1995987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996010 */     // MIs[0] policy
     /* 1996010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1996023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996044 */     // GIR_Coverage, 62612,
     /* 1996044 */     GIR_EraseRootFromParent_Done,
     /* 1996045 */   // Label 26695: @1996045
     /* 1996045 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1996131), // Rule ID 62613 //
     /* 1996050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1996067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996096 */     // MIs[0] policy
     /* 1996096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1996109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996130 */     // GIR_Coverage, 62613,
     /* 1996130 */     GIR_EraseRootFromParent_Done,
     /* 1996131 */   // Label 26696: @1996131
     /* 1996131 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1996217), // Rule ID 62616 //
     /* 1996136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996182 */     // MIs[0] policy
     /* 1996182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1996195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996216 */     // GIR_Coverage, 62616,
     /* 1996216 */     GIR_EraseRootFromParent_Done,
     /* 1996217 */   // Label 26697: @1996217
     /* 1996217 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1996303), // Rule ID 62617 //
     /* 1996222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996268 */     // MIs[0] policy
     /* 1996268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1996281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996302 */     // GIR_Coverage, 62617,
     /* 1996302 */     GIR_EraseRootFromParent_Done,
     /* 1996303 */   // Label 26698: @1996303
     /* 1996303 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1996389), // Rule ID 62620 //
     /* 1996308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996354 */     // MIs[0] policy
     /* 1996354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1996367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996388 */     // GIR_Coverage, 62620,
     /* 1996388 */     GIR_EraseRootFromParent_Done,
     /* 1996389 */   // Label 26699: @1996389
     /* 1996389 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1996475), // Rule ID 62621 //
     /* 1996394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996440 */     // MIs[0] policy
     /* 1996440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1996453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996474 */     // GIR_Coverage, 62621,
     /* 1996474 */     GIR_EraseRootFromParent_Done,
     /* 1996475 */   // Label 26700: @1996475
     /* 1996475 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1996561), // Rule ID 62624 //
     /* 1996480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996526 */     // MIs[0] policy
     /* 1996526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1996539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996560 */     // GIR_Coverage, 62624,
     /* 1996560 */     GIR_EraseRootFromParent_Done,
     /* 1996561 */   // Label 26701: @1996561
     /* 1996561 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1996647), // Rule ID 62625 //
     /* 1996566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996612 */     // MIs[0] policy
     /* 1996612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1996625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996646 */     // GIR_Coverage, 62625,
     /* 1996646 */     GIR_EraseRootFromParent_Done,
     /* 1996647 */   // Label 26702: @1996647
     /* 1996647 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1996733), // Rule ID 62628 //
     /* 1996652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996698 */     // MIs[0] policy
     /* 1996698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1996711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996732 */     // GIR_Coverage, 62628,
     /* 1996732 */     GIR_EraseRootFromParent_Done,
     /* 1996733 */   // Label 26703: @1996733
     /* 1996733 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1996819), // Rule ID 62629 //
     /* 1996738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996784 */     // MIs[0] policy
     /* 1996784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1996797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996818 */     // GIR_Coverage, 62629,
     /* 1996818 */     GIR_EraseRootFromParent_Done,
     /* 1996819 */   // Label 26704: @1996819
     /* 1996819 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1996905), // Rule ID 62632 //
     /* 1996824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996870 */     // MIs[0] policy
     /* 1996870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1996883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996904 */     // GIR_Coverage, 62632,
     /* 1996904 */     GIR_EraseRootFromParent_Done,
     /* 1996905 */   // Label 26705: @1996905
     /* 1996905 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1996991), // Rule ID 62633 //
     /* 1996910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996956 */     // MIs[0] policy
     /* 1996956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1996969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996990 */     // GIR_Coverage, 62633,
     /* 1996990 */     GIR_EraseRootFromParent_Done,
     /* 1996991 */   // Label 26706: @1996991
     /* 1996991 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1997077), // Rule ID 62636 //
     /* 1996996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1997013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997042 */     // MIs[0] policy
     /* 1997042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1997055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997076 */     // GIR_Coverage, 62636,
     /* 1997076 */     GIR_EraseRootFromParent_Done,
     /* 1997077 */   // Label 26707: @1997077
     /* 1997077 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1997163), // Rule ID 62637 //
     /* 1997082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1997099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997128 */     // MIs[0] policy
     /* 1997128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1997141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997162 */     // GIR_Coverage, 62637,
     /* 1997162 */     GIR_EraseRootFromParent_Done,
     /* 1997163 */   // Label 26708: @1997163
     /* 1997163 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1997249), // Rule ID 62640 //
     /* 1997168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997214 */     // MIs[0] policy
     /* 1997214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1997227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997248 */     // GIR_Coverage, 62640,
     /* 1997248 */     GIR_EraseRootFromParent_Done,
     /* 1997249 */   // Label 26709: @1997249
     /* 1997249 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1997335), // Rule ID 62641 //
     /* 1997254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997300 */     // MIs[0] policy
     /* 1997300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1997313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997334 */     // GIR_Coverage, 62641,
     /* 1997334 */     GIR_EraseRootFromParent_Done,
     /* 1997335 */   // Label 26710: @1997335
     /* 1997335 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1997421), // Rule ID 62644 //
     /* 1997340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997386 */     // MIs[0] policy
     /* 1997386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1997399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997420 */     // GIR_Coverage, 62644,
     /* 1997420 */     GIR_EraseRootFromParent_Done,
     /* 1997421 */   // Label 26711: @1997421
     /* 1997421 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1997507), // Rule ID 62645 //
     /* 1997426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997472 */     // MIs[0] policy
     /* 1997472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1997485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997506 */     // GIR_Coverage, 62645,
     /* 1997506 */     GIR_EraseRootFromParent_Done,
     /* 1997507 */   // Label 26712: @1997507
     /* 1997507 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1997593), // Rule ID 62648 //
     /* 1997512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1997529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997558 */     // MIs[0] policy
     /* 1997558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1997571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997592 */     // GIR_Coverage, 62648,
     /* 1997592 */     GIR_EraseRootFromParent_Done,
     /* 1997593 */   // Label 26713: @1997593
     /* 1997593 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1997679), // Rule ID 62649 //
     /* 1997598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1997615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997644 */     // MIs[0] policy
     /* 1997644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1997657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997678 */     // GIR_Coverage, 62649,
     /* 1997678 */     GIR_EraseRootFromParent_Done,
     /* 1997679 */   // Label 26714: @1997679
     /* 1997679 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1997765), // Rule ID 62652 //
     /* 1997684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1997701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997730 */     // MIs[0] policy
     /* 1997730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1997743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997764 */     // GIR_Coverage, 62652,
     /* 1997764 */     GIR_EraseRootFromParent_Done,
     /* 1997765 */   // Label 26715: @1997765
     /* 1997765 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1997851), // Rule ID 62653 //
     /* 1997770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1997787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997816 */     // MIs[0] policy
     /* 1997816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1997829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997850 */     // GIR_Coverage, 62653,
     /* 1997850 */     GIR_EraseRootFromParent_Done,
     /* 1997851 */   // Label 26716: @1997851
     /* 1997851 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1997937), // Rule ID 62656 //
     /* 1997856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997902 */     // MIs[0] policy
     /* 1997902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1997915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997936 */     // GIR_Coverage, 62656,
     /* 1997936 */     GIR_EraseRootFromParent_Done,
     /* 1997937 */   // Label 26717: @1997937
     /* 1997937 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1998023), // Rule ID 62657 //
     /* 1997942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997988 */     // MIs[0] policy
     /* 1997988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1998001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998022 */     // GIR_Coverage, 62657,
     /* 1998022 */     GIR_EraseRootFromParent_Done,
     /* 1998023 */   // Label 26718: @1998023
     /* 1998023 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1998109), // Rule ID 62660 //
     /* 1998028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998074 */     // MIs[0] policy
     /* 1998074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1998087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998108 */     // GIR_Coverage, 62660,
     /* 1998108 */     GIR_EraseRootFromParent_Done,
     /* 1998109 */   // Label 26719: @1998109
     /* 1998109 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1998195), // Rule ID 62661 //
     /* 1998114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998160 */     // MIs[0] policy
     /* 1998160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1998173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998194 */     // GIR_Coverage, 62661,
     /* 1998194 */     GIR_EraseRootFromParent_Done,
     /* 1998195 */   // Label 26720: @1998195
     /* 1998195 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1998281), // Rule ID 62664 //
     /* 1998200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998246 */     // MIs[0] policy
     /* 1998246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1998259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998280 */     // GIR_Coverage, 62664,
     /* 1998280 */     GIR_EraseRootFromParent_Done,
     /* 1998281 */   // Label 26721: @1998281
     /* 1998281 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1998367), // Rule ID 62665 //
     /* 1998286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998332 */     // MIs[0] policy
     /* 1998332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1998345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998366 */     // GIR_Coverage, 62665,
     /* 1998366 */     GIR_EraseRootFromParent_Done,
     /* 1998367 */   // Label 26722: @1998367
     /* 1998367 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1998453), // Rule ID 62668 //
     /* 1998372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998418 */     // MIs[0] policy
     /* 1998418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1998431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998452 */     // GIR_Coverage, 62668,
     /* 1998452 */     GIR_EraseRootFromParent_Done,
     /* 1998453 */   // Label 26723: @1998453
     /* 1998453 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1998539), // Rule ID 62669 //
     /* 1998458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998504 */     // MIs[0] policy
     /* 1998504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1998517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998538 */     // GIR_Coverage, 62669,
     /* 1998538 */     GIR_EraseRootFromParent_Done,
     /* 1998539 */   // Label 26724: @1998539
     /* 1998539 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1998625), // Rule ID 62672 //
     /* 1998544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998590 */     // MIs[0] policy
     /* 1998590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1998603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998624 */     // GIR_Coverage, 62672,
     /* 1998624 */     GIR_EraseRootFromParent_Done,
     /* 1998625 */   // Label 26725: @1998625
     /* 1998625 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(1998711), // Rule ID 62673 //
     /* 1998630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998676 */     // MIs[0] policy
     /* 1998676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1998689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998710 */     // GIR_Coverage, 62673,
     /* 1998710 */     GIR_EraseRootFromParent_Done,
     /* 1998711 */   // Label 26726: @1998711
     /* 1998711 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(1998797), // Rule ID 62676 //
     /* 1998716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1998733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998762 */     // MIs[0] policy
     /* 1998762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1998775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998796 */     // GIR_Coverage, 62676,
     /* 1998796 */     GIR_EraseRootFromParent_Done,
     /* 1998797 */   // Label 26727: @1998797
     /* 1998797 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(1998883), // Rule ID 62677 //
     /* 1998802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1998819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998848 */     // MIs[0] policy
     /* 1998848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1998861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998882 */     // GIR_Coverage, 62677,
     /* 1998882 */     GIR_EraseRootFromParent_Done,
     /* 1998883 */   // Label 26728: @1998883
     /* 1998883 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(1998969), // Rule ID 62680 //
     /* 1998888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1998905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998934 */     // MIs[0] policy
     /* 1998934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1998947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998968 */     // GIR_Coverage, 62680,
     /* 1998968 */     GIR_EraseRootFromParent_Done,
     /* 1998969 */   // Label 26729: @1998969
     /* 1998969 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(1999055), // Rule ID 62681 //
     /* 1998974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1998991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999020 */     // MIs[0] policy
     /* 1999020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1999033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999054 */     // GIR_Coverage, 62681,
     /* 1999054 */     GIR_EraseRootFromParent_Done,
     /* 1999055 */   // Label 26730: @1999055
     /* 1999055 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(1999141), // Rule ID 62684 //
     /* 1999060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1999077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1999080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999106 */     // MIs[0] policy
     /* 1999106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1999119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999140 */     // GIR_Coverage, 62684,
     /* 1999140 */     GIR_EraseRootFromParent_Done,
     /* 1999141 */   // Label 26731: @1999141
     /* 1999141 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(1999227), // Rule ID 62685 //
     /* 1999146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1999163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1999166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999192 */     // MIs[0] policy
     /* 1999192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1999205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999226 */     // GIR_Coverage, 62685,
     /* 1999226 */     GIR_EraseRootFromParent_Done,
     /* 1999227 */   // Label 26732: @1999227
     /* 1999227 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(1999313), // Rule ID 62688 //
     /* 1999232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1999249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1999252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999278 */     // MIs[0] policy
     /* 1999278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1999291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999312 */     // GIR_Coverage, 62688,
     /* 1999312 */     GIR_EraseRootFromParent_Done,
     /* 1999313 */   // Label 26733: @1999313
     /* 1999313 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(1999399), // Rule ID 62689 //
     /* 1999318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1999335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1999338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999364 */     // MIs[0] policy
     /* 1999364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1999377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999398 */     // GIR_Coverage, 62689,
     /* 1999398 */     GIR_EraseRootFromParent_Done,
     /* 1999399 */   // Label 26734: @1999399
     /* 1999399 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(1999485), // Rule ID 62692 //
     /* 1999404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1999421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999450 */     // MIs[0] policy
     /* 1999450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1999463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999484 */     // GIR_Coverage, 62692,
     /* 1999484 */     GIR_EraseRootFromParent_Done,
     /* 1999485 */   // Label 26735: @1999485
     /* 1999485 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(1999571), // Rule ID 62693 //
     /* 1999490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1999507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999536 */     // MIs[0] policy
     /* 1999536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1999549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999570 */     // GIR_Coverage, 62693,
     /* 1999570 */     GIR_EraseRootFromParent_Done,
     /* 1999571 */   // Label 26736: @1999571
     /* 1999571 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(1999657), // Rule ID 62696 //
     /* 1999576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1999593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1999596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999622 */     // MIs[0] policy
     /* 1999622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1999635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999656 */     // GIR_Coverage, 62696,
     /* 1999656 */     GIR_EraseRootFromParent_Done,
     /* 1999657 */   // Label 26737: @1999657
     /* 1999657 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(1999743), // Rule ID 62697 //
     /* 1999662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1999679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1999682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999708 */     // MIs[0] policy
     /* 1999708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1999721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999742 */     // GIR_Coverage, 62697,
     /* 1999742 */     GIR_EraseRootFromParent_Done,
     /* 1999743 */   // Label 26738: @1999743
     /* 1999743 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(1999829), // Rule ID 62700 //
     /* 1999748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1999765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1999768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999794 */     // MIs[0] policy
     /* 1999794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1999807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999828 */     // GIR_Coverage, 62700,
     /* 1999828 */     GIR_EraseRootFromParent_Done,
     /* 1999829 */   // Label 26739: @1999829
     /* 1999829 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(1999915), // Rule ID 62701 //
     /* 1999834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1999851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1999854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999880 */     // MIs[0] policy
     /* 1999880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1999893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999914 */     // GIR_Coverage, 62701,
     /* 1999914 */     GIR_EraseRootFromParent_Done,
     /* 1999915 */   // Label 26740: @1999915
     /* 1999915 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2000001), // Rule ID 62704 //
     /* 1999920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1999937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1999940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999966 */     // MIs[0] policy
     /* 1999966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1999979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000000 */     // GIR_Coverage, 62704,
     /* 2000000 */     GIR_EraseRootFromParent_Done,
     /* 2000001 */   // Label 26741: @2000001
     /* 2000001 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2000087), // Rule ID 62705 //
     /* 2000006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000052 */     // MIs[0] policy
     /* 2000052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 2000065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000086 */     // GIR_Coverage, 62705,
     /* 2000086 */     GIR_EraseRootFromParent_Done,
     /* 2000087 */   // Label 26742: @2000087
     /* 2000087 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2000173), // Rule ID 62708 //
     /* 2000092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000138 */     // MIs[0] policy
     /* 2000138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2000151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000172 */     // GIR_Coverage, 62708,
     /* 2000172 */     GIR_EraseRootFromParent_Done,
     /* 2000173 */   // Label 26743: @2000173
     /* 2000173 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2000259), // Rule ID 62709 //
     /* 2000178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000224 */     // MIs[0] policy
     /* 2000224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2000237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000258 */     // GIR_Coverage, 62709,
     /* 2000258 */     GIR_EraseRootFromParent_Done,
     /* 2000259 */   // Label 26744: @2000259
     /* 2000259 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2000345), // Rule ID 62712 //
     /* 2000264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000310 */     // MIs[0] policy
     /* 2000310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2000323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000344 */     // GIR_Coverage, 62712,
     /* 2000344 */     GIR_EraseRootFromParent_Done,
     /* 2000345 */   // Label 26745: @2000345
     /* 2000345 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2000431), // Rule ID 62713 //
     /* 2000350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000396 */     // MIs[0] policy
     /* 2000396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2000409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000430 */     // GIR_Coverage, 62713,
     /* 2000430 */     GIR_EraseRootFromParent_Done,
     /* 2000431 */   // Label 26746: @2000431
     /* 2000431 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2000517), // Rule ID 62716 //
     /* 2000436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000482 */     // MIs[0] policy
     /* 2000482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2000495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000516 */     // GIR_Coverage, 62716,
     /* 2000516 */     GIR_EraseRootFromParent_Done,
     /* 2000517 */   // Label 26747: @2000517
     /* 2000517 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2000603), // Rule ID 62717 //
     /* 2000522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000568 */     // MIs[0] policy
     /* 2000568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2000581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000602 */     // GIR_Coverage, 62717,
     /* 2000602 */     GIR_EraseRootFromParent_Done,
     /* 2000603 */   // Label 26748: @2000603
     /* 2000603 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2000689), // Rule ID 62720 //
     /* 2000608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000654 */     // MIs[0] policy
     /* 2000654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2000667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000688 */     // GIR_Coverage, 62720,
     /* 2000688 */     GIR_EraseRootFromParent_Done,
     /* 2000689 */   // Label 26749: @2000689
     /* 2000689 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2000775), // Rule ID 62721 //
     /* 2000694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000740 */     // MIs[0] policy
     /* 2000740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2000753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000774 */     // GIR_Coverage, 62721,
     /* 2000774 */     GIR_EraseRootFromParent_Done,
     /* 2000775 */   // Label 26750: @2000775
     /* 2000775 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2000861), // Rule ID 62724 //
     /* 2000780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000826 */     // MIs[0] policy
     /* 2000826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2000839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000860 */     // GIR_Coverage, 62724,
     /* 2000860 */     GIR_EraseRootFromParent_Done,
     /* 2000861 */   // Label 26751: @2000861
     /* 2000861 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2000947), // Rule ID 62725 //
     /* 2000866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000912 */     // MIs[0] policy
     /* 2000912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2000925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000946 */     // GIR_Coverage, 62725,
     /* 2000946 */     GIR_EraseRootFromParent_Done,
     /* 2000947 */   // Label 26752: @2000947
     /* 2000947 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2001033), // Rule ID 62728 //
     /* 2000952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000998 */     // MIs[0] policy
     /* 2000998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2001011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001032 */     // GIR_Coverage, 62728,
     /* 2001032 */     GIR_EraseRootFromParent_Done,
     /* 2001033 */   // Label 26753: @2001033
     /* 2001033 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2001119), // Rule ID 62729 //
     /* 2001038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2001058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001084 */     // MIs[0] policy
     /* 2001084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2001097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001118 */     // GIR_Coverage, 62729,
     /* 2001118 */     GIR_EraseRootFromParent_Done,
     /* 2001119 */   // Label 26754: @2001119
     /* 2001119 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2001205), // Rule ID 62732 //
     /* 2001124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001170 */     // MIs[0] policy
     /* 2001170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2001183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001204 */     // GIR_Coverage, 62732,
     /* 2001204 */     GIR_EraseRootFromParent_Done,
     /* 2001205 */   // Label 26755: @2001205
     /* 2001205 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2001291), // Rule ID 62733 //
     /* 2001210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001256 */     // MIs[0] policy
     /* 2001256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2001269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001290 */     // GIR_Coverage, 62733,
     /* 2001290 */     GIR_EraseRootFromParent_Done,
     /* 2001291 */   // Label 26756: @2001291
     /* 2001291 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2001380), // Rule ID 2776 //
     /* 2001296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001342 */     // MIs[0] round
     /* 2001342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2001355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001379 */     // GIR_Coverage, 2776,
     /* 2001379 */     GIR_EraseRootFromParent_Done,
     /* 2001380 */   // Label 26757: @2001380
     /* 2001380 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2001469), // Rule ID 2777 //
     /* 2001385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001431 */     // MIs[0] round
     /* 2001431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001441 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2001444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001468 */     // GIR_Coverage, 2777,
     /* 2001468 */     GIR_EraseRootFromParent_Done,
     /* 2001469 */   // Label 26758: @2001469
     /* 2001469 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2001558), // Rule ID 22822 //
     /* 2001474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2001491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001520 */     // MIs[0] round
     /* 2001520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2001533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001557 */     // GIR_Coverage, 22822,
     /* 2001557 */     GIR_EraseRootFromParent_Done,
     /* 2001558 */   // Label 26759: @2001558
     /* 2001558 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2001647), // Rule ID 22823 //
     /* 2001563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2001580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001609 */     // MIs[0] round
     /* 2001609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001619 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2001622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001646 */     // GIR_Coverage, 22823,
     /* 2001646 */     GIR_EraseRootFromParent_Done,
     /* 2001647 */   // Label 26760: @2001647
     /* 2001647 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2001736), // Rule ID 22826 //
     /* 2001652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001698 */     // MIs[0] round
     /* 2001698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2001711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001735 */     // GIR_Coverage, 22826,
     /* 2001735 */     GIR_EraseRootFromParent_Done,
     /* 2001736 */   // Label 26761: @2001736
     /* 2001736 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2001825), // Rule ID 22827 //
     /* 2001741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001787 */     // MIs[0] round
     /* 2001787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001797 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2001800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001824 */     // GIR_Coverage, 22827,
     /* 2001824 */     GIR_EraseRootFromParent_Done,
     /* 2001825 */   // Label 26762: @2001825
     /* 2001825 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2001914), // Rule ID 22830 //
     /* 2001830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001876 */     // MIs[0] round
     /* 2001876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001886 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2001889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001913 */     // GIR_Coverage, 22830,
     /* 2001913 */     GIR_EraseRootFromParent_Done,
     /* 2001914 */   // Label 26763: @2001914
     /* 2001914 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2002003), // Rule ID 22831 //
     /* 2001919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001965 */     // MIs[0] round
     /* 2001965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001975 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2001978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002002 */     // GIR_Coverage, 22831,
     /* 2002002 */     GIR_EraseRootFromParent_Done,
     /* 2002003 */   // Label 26764: @2002003
     /* 2002003 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2002092), // Rule ID 22834 //
     /* 2002008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002054 */     // MIs[0] round
     /* 2002054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2002067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002091 */     // GIR_Coverage, 22834,
     /* 2002091 */     GIR_EraseRootFromParent_Done,
     /* 2002092 */   // Label 26765: @2002092
     /* 2002092 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2002181), // Rule ID 22835 //
     /* 2002097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002143 */     // MIs[0] round
     /* 2002143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002153 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2002156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002180 */     // GIR_Coverage, 22835,
     /* 2002180 */     GIR_EraseRootFromParent_Done,
     /* 2002181 */   // Label 26766: @2002181
     /* 2002181 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2002270), // Rule ID 22838 //
     /* 2002186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2002189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2002203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002232 */     // MIs[0] round
     /* 2002232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002242 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2002245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002269 */     // GIR_Coverage, 22838,
     /* 2002269 */     GIR_EraseRootFromParent_Done,
     /* 2002270 */   // Label 26767: @2002270
     /* 2002270 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2002359), // Rule ID 22839 //
     /* 2002275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2002278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2002292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002321 */     // MIs[0] round
     /* 2002321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002331 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2002334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002358 */     // GIR_Coverage, 22839,
     /* 2002358 */     GIR_EraseRootFromParent_Done,
     /* 2002359 */   // Label 26768: @2002359
     /* 2002359 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2002448), // Rule ID 22842 //
     /* 2002364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002410 */     // MIs[0] round
     /* 2002410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002420 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2002423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002447 */     // GIR_Coverage, 22842,
     /* 2002447 */     GIR_EraseRootFromParent_Done,
     /* 2002448 */   // Label 26769: @2002448
     /* 2002448 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2002537), // Rule ID 22843 //
     /* 2002453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002499 */     // MIs[0] round
     /* 2002499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002509 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2002512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002536 */     // GIR_Coverage, 22843,
     /* 2002536 */     GIR_EraseRootFromParent_Done,
     /* 2002537 */   // Label 26770: @2002537
     /* 2002537 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2002626), // Rule ID 22846 //
     /* 2002542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002588 */     // MIs[0] round
     /* 2002588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002598 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2002601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002625 */     // GIR_Coverage, 22846,
     /* 2002625 */     GIR_EraseRootFromParent_Done,
     /* 2002626 */   // Label 26771: @2002626
     /* 2002626 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2002715), // Rule ID 22847 //
     /* 2002631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002677 */     // MIs[0] round
     /* 2002677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2002690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002714 */     // GIR_Coverage, 22847,
     /* 2002714 */     GIR_EraseRootFromParent_Done,
     /* 2002715 */   // Label 26772: @2002715
     /* 2002715 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2002804), // Rule ID 22850 //
     /* 2002720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002766 */     // MIs[0] round
     /* 2002766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2002779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002803 */     // GIR_Coverage, 22850,
     /* 2002803 */     GIR_EraseRootFromParent_Done,
     /* 2002804 */   // Label 26773: @2002804
     /* 2002804 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2002893), // Rule ID 22851 //
     /* 2002809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002855 */     // MIs[0] round
     /* 2002855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2002868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002892 */     // GIR_Coverage, 22851,
     /* 2002892 */     GIR_EraseRootFromParent_Done,
     /* 2002893 */   // Label 26774: @2002893
     /* 2002893 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2002982), // Rule ID 22854 //
     /* 2002898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002944 */     // MIs[0] round
     /* 2002944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002954 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2002957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002981 */     // GIR_Coverage, 22854,
     /* 2002981 */     GIR_EraseRootFromParent_Done,
     /* 2002982 */   // Label 26775: @2002982
     /* 2002982 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2003071), // Rule ID 22855 //
     /* 2002987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2002995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003033 */     // MIs[0] round
     /* 2003033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003043 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2003046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003070 */     // GIR_Coverage, 22855,
     /* 2003070 */     GIR_EraseRootFromParent_Done,
     /* 2003071 */   // Label 26776: @2003071
     /* 2003071 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2003160), // Rule ID 22858 //
     /* 2003076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003122 */     // MIs[0] round
     /* 2003122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2003135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003159 */     // GIR_Coverage, 22858,
     /* 2003159 */     GIR_EraseRootFromParent_Done,
     /* 2003160 */   // Label 26777: @2003160
     /* 2003160 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2003249), // Rule ID 22859 //
     /* 2003165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003211 */     // MIs[0] round
     /* 2003211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003221 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2003224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003248 */     // GIR_Coverage, 22859,
     /* 2003248 */     GIR_EraseRootFromParent_Done,
     /* 2003249 */   // Label 26778: @2003249
     /* 2003249 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2003338), // Rule ID 22862 //
     /* 2003254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003300 */     // MIs[0] round
     /* 2003300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003310 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2003313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003337 */     // GIR_Coverage, 22862,
     /* 2003337 */     GIR_EraseRootFromParent_Done,
     /* 2003338 */   // Label 26779: @2003338
     /* 2003338 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2003427), // Rule ID 22863 //
     /* 2003343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003389 */     // MIs[0] round
     /* 2003389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003399 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2003402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003426 */     // GIR_Coverage, 22863,
     /* 2003426 */     GIR_EraseRootFromParent_Done,
     /* 2003427 */   // Label 26780: @2003427
     /* 2003427 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2003516), // Rule ID 22866 //
     /* 2003432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2003449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003478 */     // MIs[0] round
     /* 2003478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003488 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2003491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003515 */     // GIR_Coverage, 22866,
     /* 2003515 */     GIR_EraseRootFromParent_Done,
     /* 2003516 */   // Label 26781: @2003516
     /* 2003516 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2003605), // Rule ID 22867 //
     /* 2003521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2003538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003567 */     // MIs[0] round
     /* 2003567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003577 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2003580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003604 */     // GIR_Coverage, 22867,
     /* 2003604 */     GIR_EraseRootFromParent_Done,
     /* 2003605 */   // Label 26782: @2003605
     /* 2003605 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2003694), // Rule ID 22870 //
     /* 2003610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003656 */     // MIs[0] round
     /* 2003656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003666 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2003669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003693 */     // GIR_Coverage, 22870,
     /* 2003693 */     GIR_EraseRootFromParent_Done,
     /* 2003694 */   // Label 26783: @2003694
     /* 2003694 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2003783), // Rule ID 22871 //
     /* 2003699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003745 */     // MIs[0] round
     /* 2003745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003755 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2003758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003782 */     // GIR_Coverage, 22871,
     /* 2003782 */     GIR_EraseRootFromParent_Done,
     /* 2003783 */   // Label 26784: @2003783
     /* 2003783 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2003872), // Rule ID 22874 //
     /* 2003788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003834 */     // MIs[0] round
     /* 2003834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003844 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2003847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003871 */     // GIR_Coverage, 22874,
     /* 2003871 */     GIR_EraseRootFromParent_Done,
     /* 2003872 */   // Label 26785: @2003872
     /* 2003872 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2003961), // Rule ID 22875 //
     /* 2003877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2003885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003923 */     // MIs[0] round
     /* 2003923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003933 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2003936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003960 */     // GIR_Coverage, 22875,
     /* 2003960 */     GIR_EraseRootFromParent_Done,
     /* 2003961 */   // Label 26786: @2003961
     /* 2003961 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2004050), // Rule ID 22878 //
     /* 2003966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004012 */     // MIs[0] round
     /* 2004012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004022 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2004025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004049 */     // GIR_Coverage, 22878,
     /* 2004049 */     GIR_EraseRootFromParent_Done,
     /* 2004050 */   // Label 26787: @2004050
     /* 2004050 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2004139), // Rule ID 22879 //
     /* 2004055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004101 */     // MIs[0] round
     /* 2004101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2004114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004138 */     // GIR_Coverage, 22879,
     /* 2004138 */     GIR_EraseRootFromParent_Done,
     /* 2004139 */   // Label 26788: @2004139
     /* 2004139 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2004228), // Rule ID 22882 //
     /* 2004144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004190 */     // MIs[0] round
     /* 2004190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004200 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2004203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004227 */     // GIR_Coverage, 22882,
     /* 2004227 */     GIR_EraseRootFromParent_Done,
     /* 2004228 */   // Label 26789: @2004228
     /* 2004228 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2004317), // Rule ID 22883 //
     /* 2004233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004279 */     // MIs[0] round
     /* 2004279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004289 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2004292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004316 */     // GIR_Coverage, 22883,
     /* 2004316 */     GIR_EraseRootFromParent_Done,
     /* 2004317 */   // Label 26790: @2004317
     /* 2004317 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2004406), // Rule ID 22886 //
     /* 2004322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004368 */     // MIs[0] round
     /* 2004368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2004381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004405 */     // GIR_Coverage, 22886,
     /* 2004405 */     GIR_EraseRootFromParent_Done,
     /* 2004406 */   // Label 26791: @2004406
     /* 2004406 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2004495), // Rule ID 22887 //
     /* 2004411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004457 */     // MIs[0] round
     /* 2004457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2004470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004494 */     // GIR_Coverage, 22887,
     /* 2004494 */     GIR_EraseRootFromParent_Done,
     /* 2004495 */   // Label 26792: @2004495
     /* 2004495 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2004584), // Rule ID 22890 //
     /* 2004500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004546 */     // MIs[0] round
     /* 2004546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004556 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2004559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004583 */     // GIR_Coverage, 22890,
     /* 2004583 */     GIR_EraseRootFromParent_Done,
     /* 2004584 */   // Label 26793: @2004584
     /* 2004584 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2004673), // Rule ID 22891 //
     /* 2004589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004635 */     // MIs[0] round
     /* 2004635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004645 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2004648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004672 */     // GIR_Coverage, 22891,
     /* 2004672 */     GIR_EraseRootFromParent_Done,
     /* 2004673 */   // Label 26794: @2004673
     /* 2004673 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2004762), // Rule ID 22894 //
     /* 2004678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004724 */     // MIs[0] round
     /* 2004724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004734 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2004737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004761 */     // GIR_Coverage, 22894,
     /* 2004761 */     GIR_EraseRootFromParent_Done,
     /* 2004762 */   // Label 26795: @2004762
     /* 2004762 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2004851), // Rule ID 22895 //
     /* 2004767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004813 */     // MIs[0] round
     /* 2004813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2004826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004850 */     // GIR_Coverage, 22895,
     /* 2004850 */     GIR_EraseRootFromParent_Done,
     /* 2004851 */   // Label 26796: @2004851
     /* 2004851 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2004940), // Rule ID 22898 //
     /* 2004856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2004859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004902 */     // MIs[0] round
     /* 2004902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004912 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2004915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004939 */     // GIR_Coverage, 22898,
     /* 2004939 */     GIR_EraseRootFromParent_Done,
     /* 2004940 */   // Label 26797: @2004940
     /* 2004940 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2005029), // Rule ID 22899 //
     /* 2004945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2004948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004991 */     // MIs[0] round
     /* 2004991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2005004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005028 */     // GIR_Coverage, 22899,
     /* 2005028 */     GIR_EraseRootFromParent_Done,
     /* 2005029 */   // Label 26798: @2005029
     /* 2005029 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2005118), // Rule ID 22902 //
     /* 2005034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005080 */     // MIs[0] round
     /* 2005080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005090 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2005093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005117 */     // GIR_Coverage, 22902,
     /* 2005117 */     GIR_EraseRootFromParent_Done,
     /* 2005118 */   // Label 26799: @2005118
     /* 2005118 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2005207), // Rule ID 22903 //
     /* 2005123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005169 */     // MIs[0] round
     /* 2005169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005179 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2005182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005206 */     // GIR_Coverage, 22903,
     /* 2005206 */     GIR_EraseRootFromParent_Done,
     /* 2005207 */   // Label 26800: @2005207
     /* 2005207 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2005296), // Rule ID 22906 //
     /* 2005212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005258 */     // MIs[0] round
     /* 2005258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005268 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2005271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005295 */     // GIR_Coverage, 22906,
     /* 2005295 */     GIR_EraseRootFromParent_Done,
     /* 2005296 */   // Label 26801: @2005296
     /* 2005296 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2005385), // Rule ID 22907 //
     /* 2005301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005347 */     // MIs[0] round
     /* 2005347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005357 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2005360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005384 */     // GIR_Coverage, 22907,
     /* 2005384 */     GIR_EraseRootFromParent_Done,
     /* 2005385 */   // Label 26802: @2005385
     /* 2005385 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2005474), // Rule ID 22910 //
     /* 2005390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005436 */     // MIs[0] round
     /* 2005436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005446 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2005449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005473 */     // GIR_Coverage, 22910,
     /* 2005473 */     GIR_EraseRootFromParent_Done,
     /* 2005474 */   // Label 26803: @2005474
     /* 2005474 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2005563), // Rule ID 22911 //
     /* 2005479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005525 */     // MIs[0] round
     /* 2005525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005535 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2005538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005562 */     // GIR_Coverage, 22911,
     /* 2005562 */     GIR_EraseRootFromParent_Done,
     /* 2005563 */   // Label 26804: @2005563
     /* 2005563 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2005652), // Rule ID 22914 //
     /* 2005568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005614 */     // MIs[0] round
     /* 2005614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2005627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005651 */     // GIR_Coverage, 22914,
     /* 2005651 */     GIR_EraseRootFromParent_Done,
     /* 2005652 */   // Label 26805: @2005652
     /* 2005652 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2005741), // Rule ID 22915 //
     /* 2005657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005703 */     // MIs[0] round
     /* 2005703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005713 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2005716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005740 */     // GIR_Coverage, 22915,
     /* 2005740 */     GIR_EraseRootFromParent_Done,
     /* 2005741 */   // Label 26806: @2005741
     /* 2005741 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2005830), // Rule ID 22918 //
     /* 2005746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2005763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005792 */     // MIs[0] round
     /* 2005792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2005805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005829 */     // GIR_Coverage, 22918,
     /* 2005829 */     GIR_EraseRootFromParent_Done,
     /* 2005830 */   // Label 26807: @2005830
     /* 2005830 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2005919), // Rule ID 22919 //
     /* 2005835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2005852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005881 */     // MIs[0] round
     /* 2005881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005891 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2005894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005918 */     // GIR_Coverage, 22919,
     /* 2005918 */     GIR_EraseRootFromParent_Done,
     /* 2005919 */   // Label 26808: @2005919
     /* 2005919 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2006008), // Rule ID 22922 //
     /* 2005924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2005932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2005941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005970 */     // MIs[0] round
     /* 2005970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005980 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2005983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006007 */     // GIR_Coverage, 22922,
     /* 2006007 */     GIR_EraseRootFromParent_Done,
     /* 2006008 */   // Label 26809: @2006008
     /* 2006008 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2006097), // Rule ID 22923 //
     /* 2006013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006059 */     // MIs[0] round
     /* 2006059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006069 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2006072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006096 */     // GIR_Coverage, 22923,
     /* 2006096 */     GIR_EraseRootFromParent_Done,
     /* 2006097 */   // Label 26810: @2006097
     /* 2006097 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2006186), // Rule ID 22926 //
     /* 2006102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2006105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006148 */     // MIs[0] round
     /* 2006148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006158 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2006161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006185 */     // GIR_Coverage, 22926,
     /* 2006185 */     GIR_EraseRootFromParent_Done,
     /* 2006186 */   // Label 26811: @2006186
     /* 2006186 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2006275), // Rule ID 22927 //
     /* 2006191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2006194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006237 */     // MIs[0] round
     /* 2006237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006247 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2006250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006274 */     // GIR_Coverage, 22927,
     /* 2006274 */     GIR_EraseRootFromParent_Done,
     /* 2006275 */   // Label 26812: @2006275
     /* 2006275 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2006364), // Rule ID 22930 //
     /* 2006280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2006283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006326 */     // MIs[0] round
     /* 2006326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2006339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006363 */     // GIR_Coverage, 22930,
     /* 2006363 */     GIR_EraseRootFromParent_Done,
     /* 2006364 */   // Label 26813: @2006364
     /* 2006364 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2006453), // Rule ID 22931 //
     /* 2006369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2006372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006415 */     // MIs[0] round
     /* 2006415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006425 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2006428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006452 */     // GIR_Coverage, 22931,
     /* 2006452 */     GIR_EraseRootFromParent_Done,
     /* 2006453 */   // Label 26814: @2006453
     /* 2006453 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2006542), // Rule ID 22934 //
     /* 2006458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2006461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006504 */     // MIs[0] round
     /* 2006504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2006517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006541 */     // GIR_Coverage, 22934,
     /* 2006541 */     GIR_EraseRootFromParent_Done,
     /* 2006542 */   // Label 26815: @2006542
     /* 2006542 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2006631), // Rule ID 22935 //
     /* 2006547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2006550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2006555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006593 */     // MIs[0] round
     /* 2006593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2006606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006630 */     // GIR_Coverage, 22935,
     /* 2006630 */     GIR_EraseRootFromParent_Done,
     /* 2006631 */   // Label 26816: @2006631
     /* 2006631 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2006720), // Rule ID 23058 //
     /* 2006636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006682 */     // MIs[0] round
     /* 2006682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2006695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006719 */     // GIR_Coverage, 23058,
     /* 2006719 */     GIR_EraseRootFromParent_Done,
     /* 2006720 */   // Label 26817: @2006720
     /* 2006720 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2006809), // Rule ID 23059 //
     /* 2006725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006771 */     // MIs[0] round
     /* 2006771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006781 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2006784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006808 */     // GIR_Coverage, 23059,
     /* 2006808 */     GIR_EraseRootFromParent_Done,
     /* 2006809 */   // Label 26818: @2006809
     /* 2006809 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2006898), // Rule ID 23062 //
     /* 2006814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006860 */     // MIs[0] round
     /* 2006860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006870 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2006873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006897 */     // GIR_Coverage, 23062,
     /* 2006897 */     GIR_EraseRootFromParent_Done,
     /* 2006898 */   // Label 26819: @2006898
     /* 2006898 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2006987), // Rule ID 23063 //
     /* 2006903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006949 */     // MIs[0] round
     /* 2006949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2006962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006986 */     // GIR_Coverage, 23063,
     /* 2006986 */     GIR_EraseRootFromParent_Done,
     /* 2006987 */   // Label 26820: @2006987
     /* 2006987 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2007076), // Rule ID 23066 //
     /* 2006992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2006995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2007009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007038 */     // MIs[0] round
     /* 2007038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2007051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007075 */     // GIR_Coverage, 23066,
     /* 2007075 */     GIR_EraseRootFromParent_Done,
     /* 2007076 */   // Label 26821: @2007076
     /* 2007076 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2007165), // Rule ID 23067 //
     /* 2007081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2007084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2007098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007127 */     // MIs[0] round
     /* 2007127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2007140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007164 */     // GIR_Coverage, 23067,
     /* 2007164 */     GIR_EraseRootFromParent_Done,
     /* 2007165 */   // Label 26822: @2007165
     /* 2007165 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2007254), // Rule ID 23070 //
     /* 2007170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007216 */     // MIs[0] round
     /* 2007216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007226 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2007229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007253 */     // GIR_Coverage, 23070,
     /* 2007253 */     GIR_EraseRootFromParent_Done,
     /* 2007254 */   // Label 26823: @2007254
     /* 2007254 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2007343), // Rule ID 23071 //
     /* 2007259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007305 */     // MIs[0] round
     /* 2007305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2007318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007342 */     // GIR_Coverage, 23071,
     /* 2007342 */     GIR_EraseRootFromParent_Done,
     /* 2007343 */   // Label 26824: @2007343
     /* 2007343 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2007432), // Rule ID 23074 //
     /* 2007348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2007351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007394 */     // MIs[0] round
     /* 2007394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007404 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2007407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007431 */     // GIR_Coverage, 23074,
     /* 2007431 */     GIR_EraseRootFromParent_Done,
     /* 2007432 */   // Label 26825: @2007432
     /* 2007432 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2007521), // Rule ID 23075 //
     /* 2007437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2007440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007483 */     // MIs[0] round
     /* 2007483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007493 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2007496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007520 */     // GIR_Coverage, 23075,
     /* 2007520 */     GIR_EraseRootFromParent_Done,
     /* 2007521 */   // Label 26826: @2007521
     /* 2007521 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2007610), // Rule ID 23078 //
     /* 2007526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007572 */     // MIs[0] round
     /* 2007572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2007585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007609 */     // GIR_Coverage, 23078,
     /* 2007609 */     GIR_EraseRootFromParent_Done,
     /* 2007610 */   // Label 26827: @2007610
     /* 2007610 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2007699), // Rule ID 23079 //
     /* 2007615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007661 */     // MIs[0] round
     /* 2007661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007671 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2007674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007698 */     // GIR_Coverage, 23079,
     /* 2007698 */     GIR_EraseRootFromParent_Done,
     /* 2007699 */   // Label 26828: @2007699
     /* 2007699 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2007788), // Rule ID 23082 //
     /* 2007704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007750 */     // MIs[0] round
     /* 2007750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2007763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007787 */     // GIR_Coverage, 23082,
     /* 2007787 */     GIR_EraseRootFromParent_Done,
     /* 2007788 */   // Label 26829: @2007788
     /* 2007788 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2007877), // Rule ID 23083 //
     /* 2007793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007839 */     // MIs[0] round
     /* 2007839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007849 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2007852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007876 */     // GIR_Coverage, 23083,
     /* 2007876 */     GIR_EraseRootFromParent_Done,
     /* 2007877 */   // Label 26830: @2007877
     /* 2007877 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2007966), // Rule ID 23086 //
     /* 2007882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007928 */     // MIs[0] round
     /* 2007928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2007941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007965 */     // GIR_Coverage, 23086,
     /* 2007965 */     GIR_EraseRootFromParent_Done,
     /* 2007966 */   // Label 26831: @2007966
     /* 2007966 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2008055), // Rule ID 23087 //
     /* 2007971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2007979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008017 */     // MIs[0] round
     /* 2008017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2008030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008054 */     // GIR_Coverage, 23087,
     /* 2008054 */     GIR_EraseRootFromParent_Done,
     /* 2008055 */   // Label 26832: @2008055
     /* 2008055 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2008144), // Rule ID 23090 //
     /* 2008060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008106 */     // MIs[0] round
     /* 2008106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2008119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008143 */     // GIR_Coverage, 23090,
     /* 2008143 */     GIR_EraseRootFromParent_Done,
     /* 2008144 */   // Label 26833: @2008144
     /* 2008144 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2008233), // Rule ID 23091 //
     /* 2008149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008195 */     // MIs[0] round
     /* 2008195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008205 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2008208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008232 */     // GIR_Coverage, 23091,
     /* 2008232 */     GIR_EraseRootFromParent_Done,
     /* 2008233 */   // Label 26834: @2008233
     /* 2008233 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2008322), // Rule ID 23094 //
     /* 2008238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008284 */     // MIs[0] round
     /* 2008284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008294 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2008297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008321 */     // GIR_Coverage, 23094,
     /* 2008321 */     GIR_EraseRootFromParent_Done,
     /* 2008322 */   // Label 26835: @2008322
     /* 2008322 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2008411), // Rule ID 23095 //
     /* 2008327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008373 */     // MIs[0] round
     /* 2008373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2008386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008410 */     // GIR_Coverage, 23095,
     /* 2008410 */     GIR_EraseRootFromParent_Done,
     /* 2008411 */   // Label 26836: @2008411
     /* 2008411 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2008500), // Rule ID 23098 //
     /* 2008416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008462 */     // MIs[0] round
     /* 2008462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2008475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008499 */     // GIR_Coverage, 23098,
     /* 2008499 */     GIR_EraseRootFromParent_Done,
     /* 2008500 */   // Label 26837: @2008500
     /* 2008500 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2008589), // Rule ID 23099 //
     /* 2008505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2008513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008551 */     // MIs[0] round
     /* 2008551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008561 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2008564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008588 */     // GIR_Coverage, 23099,
     /* 2008588 */     GIR_EraseRootFromParent_Done,
     /* 2008589 */   // Label 26838: @2008589
     /* 2008589 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2008678), // Rule ID 23102 //
     /* 2008594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2008597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2008611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008640 */     // MIs[0] round
     /* 2008640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2008653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008677 */     // GIR_Coverage, 23102,
     /* 2008677 */     GIR_EraseRootFromParent_Done,
     /* 2008678 */   // Label 26839: @2008678
     /* 2008678 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2008767), // Rule ID 23103 //
     /* 2008683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2008686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2008700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008729 */     // MIs[0] round
     /* 2008729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008739 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2008742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008766 */     // GIR_Coverage, 23103,
     /* 2008766 */     GIR_EraseRootFromParent_Done,
     /* 2008767 */   // Label 26840: @2008767
     /* 2008767 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2008856), // Rule ID 23106 //
     /* 2008772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2008775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008818 */     // MIs[0] round
     /* 2008818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2008831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008855 */     // GIR_Coverage, 23106,
     /* 2008855 */     GIR_EraseRootFromParent_Done,
     /* 2008856 */   // Label 26841: @2008856
     /* 2008856 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2008945), // Rule ID 23107 //
     /* 2008861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2008864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008907 */     // MIs[0] round
     /* 2008907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008917 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2008920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008944 */     // GIR_Coverage, 23107,
     /* 2008944 */     GIR_EraseRootFromParent_Done,
     /* 2008945 */   // Label 26842: @2008945
     /* 2008945 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2009034), // Rule ID 23110 //
     /* 2008950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008996 */     // MIs[0] round
     /* 2008996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009006 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2009009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009033 */     // GIR_Coverage, 23110,
     /* 2009033 */     GIR_EraseRootFromParent_Done,
     /* 2009034 */   // Label 26843: @2009034
     /* 2009034 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2009123), // Rule ID 23111 //
     /* 2009039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2009042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2009059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009085 */     // MIs[0] round
     /* 2009085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009095 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2009098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009122 */     // GIR_Coverage, 23111,
     /* 2009122 */     GIR_EraseRootFromParent_Done,
     /* 2009123 */   // Label 26844: @2009123
     /* 2009123 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2009212), // Rule ID 23114 //
     /* 2009128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009174 */     // MIs[0] round
     /* 2009174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009184 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2009187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009211 */     // GIR_Coverage, 23114,
     /* 2009211 */     GIR_EraseRootFromParent_Done,
     /* 2009212 */   // Label 26845: @2009212
     /* 2009212 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2009301), // Rule ID 23115 //
     /* 2009217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009263 */     // MIs[0] round
     /* 2009263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2009276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009300 */     // GIR_Coverage, 23115,
     /* 2009300 */     GIR_EraseRootFromParent_Done,
     /* 2009301 */   // Label 26846: @2009301
     /* 2009301 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2009390), // Rule ID 23118 //
     /* 2009306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2009309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2009326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009352 */     // MIs[0] round
     /* 2009352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009362 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2009365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009389 */     // GIR_Coverage, 23118,
     /* 2009389 */     GIR_EraseRootFromParent_Done,
     /* 2009390 */   // Label 26847: @2009390
     /* 2009390 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2009479), // Rule ID 23119 //
     /* 2009395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2009398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2009415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009441 */     // MIs[0] round
     /* 2009441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009451 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2009454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009478 */     // GIR_Coverage, 23119,
     /* 2009478 */     GIR_EraseRootFromParent_Done,
     /* 2009479 */   // Label 26848: @2009479
     /* 2009479 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2009568), // Rule ID 23122 //
     /* 2009484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2009501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009530 */     // MIs[0] round
     /* 2009530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009540 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2009543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009567 */     // GIR_Coverage, 23122,
     /* 2009567 */     GIR_EraseRootFromParent_Done,
     /* 2009568 */   // Label 26849: @2009568
     /* 2009568 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2009657), // Rule ID 23123 //
     /* 2009573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2009590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009619 */     // MIs[0] round
     /* 2009619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2009632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009656 */     // GIR_Coverage, 23123,
     /* 2009656 */     GIR_EraseRootFromParent_Done,
     /* 2009657 */   // Label 26850: @2009657
     /* 2009657 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2009746), // Rule ID 23126 //
     /* 2009662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2009679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009708 */     // MIs[0] round
     /* 2009708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2009721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009745 */     // GIR_Coverage, 23126,
     /* 2009745 */     GIR_EraseRootFromParent_Done,
     /* 2009746 */   // Label 26851: @2009746
     /* 2009746 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2009835), // Rule ID 23127 //
     /* 2009751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2009768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009797 */     // MIs[0] round
     /* 2009797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2009810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009834 */     // GIR_Coverage, 23127,
     /* 2009834 */     GIR_EraseRootFromParent_Done,
     /* 2009835 */   // Label 26852: @2009835
     /* 2009835 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2009924), // Rule ID 23130 //
     /* 2009840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2009857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2009863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009886 */     // MIs[0] round
     /* 2009886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2009899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009923 */     // GIR_Coverage, 23130,
     /* 2009923 */     GIR_EraseRootFromParent_Done,
     /* 2009924 */   // Label 26853: @2009924
     /* 2009924 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2010013), // Rule ID 23131 //
     /* 2009929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2009937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2009946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2009952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009975 */     // MIs[0] round
     /* 2009975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009985 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2009988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010012 */     // GIR_Coverage, 23131,
     /* 2010012 */     GIR_EraseRootFromParent_Done,
     /* 2010013 */   // Label 26854: @2010013
     /* 2010013 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2010102), // Rule ID 23134 //
     /* 2010018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010064 */     // MIs[0] round
     /* 2010064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010074 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2010077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010101 */     // GIR_Coverage, 23134,
     /* 2010101 */     GIR_EraseRootFromParent_Done,
     /* 2010102 */   // Label 26855: @2010102
     /* 2010102 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2010191), // Rule ID 23135 //
     /* 2010107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2010110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010153 */     // MIs[0] round
     /* 2010153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010163 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2010166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010190 */     // GIR_Coverage, 23135,
     /* 2010190 */     GIR_EraseRootFromParent_Done,
     /* 2010191 */   // Label 26856: @2010191
     /* 2010191 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2010280), // Rule ID 23138 //
     /* 2010196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010242 */     // MIs[0] round
     /* 2010242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2010255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010279 */     // GIR_Coverage, 23138,
     /* 2010279 */     GIR_EraseRootFromParent_Done,
     /* 2010280 */   // Label 26857: @2010280
     /* 2010280 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2010369), // Rule ID 23139 //
     /* 2010285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2010288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010331 */     // MIs[0] round
     /* 2010331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010341 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2010344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010368 */     // GIR_Coverage, 23139,
     /* 2010368 */     GIR_EraseRootFromParent_Done,
     /* 2010369 */   // Label 26858: @2010369
     /* 2010369 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2010458), // Rule ID 23142 //
     /* 2010374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2010391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010420 */     // MIs[0] round
     /* 2010420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2010433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010457 */     // GIR_Coverage, 23142,
     /* 2010457 */     GIR_EraseRootFromParent_Done,
     /* 2010458 */   // Label 26859: @2010458
     /* 2010458 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2010547), // Rule ID 23143 //
     /* 2010463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2010466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2010471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2010480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010509 */     // MIs[0] round
     /* 2010509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010519 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2010522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010546 */     // GIR_Coverage, 23143,
     /* 2010546 */     GIR_EraseRootFromParent_Done,
     /* 2010547 */   // Label 26860: @2010547
     /* 2010547 */   GIM_Reject,
     /* 2010548 */ // Label 19858: @2010548
     /* 2010548 */ GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2201033),
     /* 2010553 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2010556 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2010658), // Rule ID 15978 //
     /* 2010561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2010572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2010575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2010578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010611 */     // MIs[1] Operand 1
     /* 2010611 */     // No operand predicates
     /* 2010611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010615 */     // MIs[0] round
     /* 2010615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010618 */     // MIs[0] policy
     /* 2010618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2010633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010657 */     // GIR_Coverage, 15978,
     /* 2010657 */     GIR_EraseRootFromParent_Done,
     /* 2010658 */   // Label 26862: @2010658
     /* 2010658 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2010760), // Rule ID 15979 //
     /* 2010663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2010674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2010677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2010680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010713 */     // MIs[1] Operand 1
     /* 2010713 */     // No operand predicates
     /* 2010713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010717 */     // MIs[0] round
     /* 2010717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010720 */     // MIs[0] policy
     /* 2010720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2010735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010759 */     // GIR_Coverage, 15979,
     /* 2010759 */     GIR_EraseRootFromParent_Done,
     /* 2010760 */   // Label 26863: @2010760
     /* 2010760 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2010862), // Rule ID 15982 //
     /* 2010765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2010776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2010779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2010782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010815 */     // MIs[1] Operand 1
     /* 2010815 */     // No operand predicates
     /* 2010815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010819 */     // MIs[0] round
     /* 2010819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010822 */     // MIs[0] policy
     /* 2010822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2010837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010861 */     // GIR_Coverage, 15982,
     /* 2010861 */     GIR_EraseRootFromParent_Done,
     /* 2010862 */   // Label 26864: @2010862
     /* 2010862 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2010964), // Rule ID 15983 //
     /* 2010867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2010878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2010881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2010884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010917 */     // MIs[1] Operand 1
     /* 2010917 */     // No operand predicates
     /* 2010917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010921 */     // MIs[0] round
     /* 2010921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010924 */     // MIs[0] policy
     /* 2010924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2010939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010963 */     // GIR_Coverage, 15983,
     /* 2010963 */     GIR_EraseRootFromParent_Done,
     /* 2010964 */   // Label 26865: @2010964
     /* 2010964 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2011066), // Rule ID 15986 //
     /* 2010969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2010980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2010983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2010986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011019 */     // MIs[1] Operand 1
     /* 2011019 */     // No operand predicates
     /* 2011019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011023 */     // MIs[0] round
     /* 2011023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011026 */     // MIs[0] policy
     /* 2011026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011065 */     // GIR_Coverage, 15986,
     /* 2011065 */     GIR_EraseRootFromParent_Done,
     /* 2011066 */   // Label 26866: @2011066
     /* 2011066 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2011168), // Rule ID 15987 //
     /* 2011071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2011082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2011085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2011088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011121 */     // MIs[1] Operand 1
     /* 2011121 */     // No operand predicates
     /* 2011121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011125 */     // MIs[0] round
     /* 2011125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011128 */     // MIs[0] policy
     /* 2011128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011167 */     // GIR_Coverage, 15987,
     /* 2011167 */     GIR_EraseRootFromParent_Done,
     /* 2011168 */   // Label 26867: @2011168
     /* 2011168 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2011270), // Rule ID 15990 //
     /* 2011173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2011184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2011187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011223 */     // MIs[1] Operand 1
     /* 2011223 */     // No operand predicates
     /* 2011223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011227 */     // MIs[0] round
     /* 2011227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011230 */     // MIs[0] policy
     /* 2011230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2011245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011269 */     // GIR_Coverage, 15990,
     /* 2011269 */     GIR_EraseRootFromParent_Done,
     /* 2011270 */   // Label 26868: @2011270
     /* 2011270 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2011372), // Rule ID 15991 //
     /* 2011275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2011286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2011289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011325 */     // MIs[1] Operand 1
     /* 2011325 */     // No operand predicates
     /* 2011325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011329 */     // MIs[0] round
     /* 2011329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011332 */     // MIs[0] policy
     /* 2011332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2011347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011371 */     // GIR_Coverage, 15991,
     /* 2011371 */     GIR_EraseRootFromParent_Done,
     /* 2011372 */   // Label 26869: @2011372
     /* 2011372 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2011474), // Rule ID 15994 //
     /* 2011377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2011388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2011391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011427 */     // MIs[1] Operand 1
     /* 2011427 */     // No operand predicates
     /* 2011427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011431 */     // MIs[0] round
     /* 2011431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011434 */     // MIs[0] policy
     /* 2011434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011473 */     // GIR_Coverage, 15994,
     /* 2011473 */     GIR_EraseRootFromParent_Done,
     /* 2011474 */   // Label 26870: @2011474
     /* 2011474 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2011576), // Rule ID 15995 //
     /* 2011479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2011490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2011493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011529 */     // MIs[1] Operand 1
     /* 2011529 */     // No operand predicates
     /* 2011529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011533 */     // MIs[0] round
     /* 2011533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011536 */     // MIs[0] policy
     /* 2011536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011575 */     // GIR_Coverage, 15995,
     /* 2011575 */     GIR_EraseRootFromParent_Done,
     /* 2011576 */   // Label 26871: @2011576
     /* 2011576 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2011678), // Rule ID 15998 //
     /* 2011581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2011592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2011595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2011598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011631 */     // MIs[1] Operand 1
     /* 2011631 */     // No operand predicates
     /* 2011631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011635 */     // MIs[0] round
     /* 2011635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011638 */     // MIs[0] policy
     /* 2011638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011677 */     // GIR_Coverage, 15998,
     /* 2011677 */     GIR_EraseRootFromParent_Done,
     /* 2011678 */   // Label 26872: @2011678
     /* 2011678 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2011780), // Rule ID 15999 //
     /* 2011683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2011694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2011697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2011700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011733 */     // MIs[1] Operand 1
     /* 2011733 */     // No operand predicates
     /* 2011733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011737 */     // MIs[0] round
     /* 2011737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011740 */     // MIs[0] policy
     /* 2011740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2011755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011779 */     // GIR_Coverage, 15999,
     /* 2011779 */     GIR_EraseRootFromParent_Done,
     /* 2011780 */   // Label 26873: @2011780
     /* 2011780 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2011882), // Rule ID 16002 //
     /* 2011785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2011796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2011799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2011802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011835 */     // MIs[1] Operand 1
     /* 2011835 */     // No operand predicates
     /* 2011835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011839 */     // MIs[0] round
     /* 2011839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011842 */     // MIs[0] policy
     /* 2011842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011854 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2011857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011881 */     // GIR_Coverage, 16002,
     /* 2011881 */     GIR_EraseRootFromParent_Done,
     /* 2011882 */   // Label 26874: @2011882
     /* 2011882 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2011984), // Rule ID 16003 //
     /* 2011887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2011898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2011901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2011904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011937 */     // MIs[1] Operand 1
     /* 2011937 */     // No operand predicates
     /* 2011937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011941 */     // MIs[0] round
     /* 2011941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011944 */     // MIs[0] policy
     /* 2011944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2011959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011983 */     // GIR_Coverage, 16003,
     /* 2011983 */     GIR_EraseRootFromParent_Done,
     /* 2011984 */   // Label 26875: @2011984
     /* 2011984 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2012086), // Rule ID 16006 //
     /* 2011989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2012000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2012003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012039 */     // MIs[1] Operand 1
     /* 2012039 */     // No operand predicates
     /* 2012039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012043 */     // MIs[0] round
     /* 2012043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012046 */     // MIs[0] policy
     /* 2012046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012085 */     // GIR_Coverage, 16006,
     /* 2012085 */     GIR_EraseRootFromParent_Done,
     /* 2012086 */   // Label 26876: @2012086
     /* 2012086 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2012188), // Rule ID 16007 //
     /* 2012091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2012102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2012105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012141 */     // MIs[1] Operand 1
     /* 2012141 */     // No operand predicates
     /* 2012141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012145 */     // MIs[0] round
     /* 2012145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012148 */     // MIs[0] policy
     /* 2012148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012187 */     // GIR_Coverage, 16007,
     /* 2012187 */     GIR_EraseRootFromParent_Done,
     /* 2012188 */   // Label 26877: @2012188
     /* 2012188 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2012290), // Rule ID 16010 //
     /* 2012193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012243 */     // MIs[1] Operand 1
     /* 2012243 */     // No operand predicates
     /* 2012243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012247 */     // MIs[0] round
     /* 2012247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012250 */     // MIs[0] policy
     /* 2012250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012289 */     // GIR_Coverage, 16010,
     /* 2012289 */     GIR_EraseRootFromParent_Done,
     /* 2012290 */   // Label 26878: @2012290
     /* 2012290 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2012392), // Rule ID 16011 //
     /* 2012295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012345 */     // MIs[1] Operand 1
     /* 2012345 */     // No operand predicates
     /* 2012345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012349 */     // MIs[0] round
     /* 2012349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012352 */     // MIs[0] policy
     /* 2012352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012391 */     // GIR_Coverage, 16011,
     /* 2012391 */     GIR_EraseRootFromParent_Done,
     /* 2012392 */   // Label 26879: @2012392
     /* 2012392 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2012494), // Rule ID 16014 //
     /* 2012397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2012414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012447 */     // MIs[1] Operand 1
     /* 2012447 */     // No operand predicates
     /* 2012447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012451 */     // MIs[0] round
     /* 2012451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012454 */     // MIs[0] policy
     /* 2012454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012493 */     // GIR_Coverage, 16014,
     /* 2012493 */     GIR_EraseRootFromParent_Done,
     /* 2012494 */   // Label 26880: @2012494
     /* 2012494 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2012596), // Rule ID 16015 //
     /* 2012499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2012516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012549 */     // MIs[1] Operand 1
     /* 2012549 */     // No operand predicates
     /* 2012549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012553 */     // MIs[0] round
     /* 2012553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012556 */     // MIs[0] policy
     /* 2012556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2012571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012595 */     // GIR_Coverage, 16015,
     /* 2012595 */     GIR_EraseRootFromParent_Done,
     /* 2012596 */   // Label 26881: @2012596
     /* 2012596 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2012698), // Rule ID 16018 //
     /* 2012601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2012612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2012615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2012618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012651 */     // MIs[1] Operand 1
     /* 2012651 */     // No operand predicates
     /* 2012651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012655 */     // MIs[0] round
     /* 2012655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012658 */     // MIs[0] policy
     /* 2012658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012670 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2012673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012697 */     // GIR_Coverage, 16018,
     /* 2012697 */     GIR_EraseRootFromParent_Done,
     /* 2012698 */   // Label 26882: @2012698
     /* 2012698 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2012800), // Rule ID 16019 //
     /* 2012703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2012714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2012717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2012720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012753 */     // MIs[1] Operand 1
     /* 2012753 */     // No operand predicates
     /* 2012753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012757 */     // MIs[0] round
     /* 2012757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012760 */     // MIs[0] policy
     /* 2012760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2012775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012799 */     // GIR_Coverage, 16019,
     /* 2012799 */     GIR_EraseRootFromParent_Done,
     /* 2012800 */   // Label 26883: @2012800
     /* 2012800 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2012902), // Rule ID 16022 //
     /* 2012805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2012816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2012819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2012822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012855 */     // MIs[1] Operand 1
     /* 2012855 */     // No operand predicates
     /* 2012855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012859 */     // MIs[0] round
     /* 2012859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012862 */     // MIs[0] policy
     /* 2012862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2012877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012901 */     // GIR_Coverage, 16022,
     /* 2012901 */     GIR_EraseRootFromParent_Done,
     /* 2012902 */   // Label 26884: @2012902
     /* 2012902 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2013004), // Rule ID 16023 //
     /* 2012907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2012918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2012921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2012924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012957 */     // MIs[1] Operand 1
     /* 2012957 */     // No operand predicates
     /* 2012957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012961 */     // MIs[0] round
     /* 2012961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012964 */     // MIs[0] policy
     /* 2012964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2012979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013003 */     // GIR_Coverage, 16023,
     /* 2013003 */     GIR_EraseRootFromParent_Done,
     /* 2013004 */   // Label 26885: @2013004
     /* 2013004 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2013106), // Rule ID 16026 //
     /* 2013009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2013020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2013023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2013026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2013032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013059 */     // MIs[1] Operand 1
     /* 2013059 */     // No operand predicates
     /* 2013059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013063 */     // MIs[0] round
     /* 2013063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013066 */     // MIs[0] policy
     /* 2013066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2013081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013105 */     // GIR_Coverage, 16026,
     /* 2013105 */     GIR_EraseRootFromParent_Done,
     /* 2013106 */   // Label 26886: @2013106
     /* 2013106 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2013208), // Rule ID 16027 //
     /* 2013111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2013122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2013125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2013128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2013134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013161 */     // MIs[1] Operand 1
     /* 2013161 */     // No operand predicates
     /* 2013161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013165 */     // MIs[0] round
     /* 2013165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013168 */     // MIs[0] policy
     /* 2013168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2013183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013207 */     // GIR_Coverage, 16027,
     /* 2013207 */     GIR_EraseRootFromParent_Done,
     /* 2013208 */   // Label 26887: @2013208
     /* 2013208 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2013310), // Rule ID 16030 //
     /* 2013213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2013224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2013227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013263 */     // MIs[1] Operand 1
     /* 2013263 */     // No operand predicates
     /* 2013263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013267 */     // MIs[0] round
     /* 2013267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013270 */     // MIs[0] policy
     /* 2013270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2013285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013309 */     // GIR_Coverage, 16030,
     /* 2013309 */     GIR_EraseRootFromParent_Done,
     /* 2013310 */   // Label 26888: @2013310
     /* 2013310 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2013412), // Rule ID 16031 //
     /* 2013315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2013326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2013329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013365 */     // MIs[1] Operand 1
     /* 2013365 */     // No operand predicates
     /* 2013365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013369 */     // MIs[0] round
     /* 2013369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013372 */     // MIs[0] policy
     /* 2013372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2013387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013411 */     // GIR_Coverage, 16031,
     /* 2013411 */     GIR_EraseRootFromParent_Done,
     /* 2013412 */   // Label 26889: @2013412
     /* 2013412 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2013514), // Rule ID 16034 //
     /* 2013417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2013428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2013431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013467 */     // MIs[1] Operand 1
     /* 2013467 */     // No operand predicates
     /* 2013467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013471 */     // MIs[0] round
     /* 2013471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013474 */     // MIs[0] policy
     /* 2013474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2013489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013513 */     // GIR_Coverage, 16034,
     /* 2013513 */     GIR_EraseRootFromParent_Done,
     /* 2013514 */   // Label 26890: @2013514
     /* 2013514 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2013616), // Rule ID 16035 //
     /* 2013519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2013530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2013533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013569 */     // MIs[1] Operand 1
     /* 2013569 */     // No operand predicates
     /* 2013569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013573 */     // MIs[0] round
     /* 2013573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013576 */     // MIs[0] policy
     /* 2013576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2013591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013615 */     // GIR_Coverage, 16035,
     /* 2013615 */     GIR_EraseRootFromParent_Done,
     /* 2013616 */   // Label 26891: @2013616
     /* 2013616 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2013718), // Rule ID 16038 //
     /* 2013621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2013632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2013635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013671 */     // MIs[1] Operand 1
     /* 2013671 */     // No operand predicates
     /* 2013671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013675 */     // MIs[0] round
     /* 2013675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013678 */     // MIs[0] policy
     /* 2013678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2013693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013717 */     // GIR_Coverage, 16038,
     /* 2013717 */     GIR_EraseRootFromParent_Done,
     /* 2013718 */   // Label 26892: @2013718
     /* 2013718 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2013820), // Rule ID 16039 //
     /* 2013723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2013734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2013737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013773 */     // MIs[1] Operand 1
     /* 2013773 */     // No operand predicates
     /* 2013773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013777 */     // MIs[0] round
     /* 2013777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013780 */     // MIs[0] policy
     /* 2013780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013792 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2013795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013819 */     // GIR_Coverage, 16039,
     /* 2013819 */     GIR_EraseRootFromParent_Done,
     /* 2013820 */   // Label 26893: @2013820
     /* 2013820 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2013922), // Rule ID 16042 //
     /* 2013825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2013836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2013839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013875 */     // MIs[1] Operand 1
     /* 2013875 */     // No operand predicates
     /* 2013875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013879 */     // MIs[0] round
     /* 2013879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013882 */     // MIs[0] policy
     /* 2013882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2013897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013921 */     // GIR_Coverage, 16042,
     /* 2013921 */     GIR_EraseRootFromParent_Done,
     /* 2013922 */   // Label 26894: @2013922
     /* 2013922 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2014024), // Rule ID 16043 //
     /* 2013927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2013935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2013938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2013941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013977 */     // MIs[1] Operand 1
     /* 2013977 */     // No operand predicates
     /* 2013977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013981 */     // MIs[0] round
     /* 2013981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013984 */     // MIs[0] policy
     /* 2013984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2013999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014023 */     // GIR_Coverage, 16043,
     /* 2014023 */     GIR_EraseRootFromParent_Done,
     /* 2014024 */   // Label 26895: @2014024
     /* 2014024 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2014126), // Rule ID 16046 //
     /* 2014029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014079 */     // MIs[1] Operand 1
     /* 2014079 */     // No operand predicates
     /* 2014079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014083 */     // MIs[0] round
     /* 2014083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014086 */     // MIs[0] policy
     /* 2014086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2014101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014125 */     // GIR_Coverage, 16046,
     /* 2014125 */     GIR_EraseRootFromParent_Done,
     /* 2014126 */   // Label 26896: @2014126
     /* 2014126 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2014228), // Rule ID 16047 //
     /* 2014131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014181 */     // MIs[1] Operand 1
     /* 2014181 */     // No operand predicates
     /* 2014181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014185 */     // MIs[0] round
     /* 2014185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014188 */     // MIs[0] policy
     /* 2014188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2014203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014227 */     // GIR_Coverage, 16047,
     /* 2014227 */     GIR_EraseRootFromParent_Done,
     /* 2014228 */   // Label 26897: @2014228
     /* 2014228 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2014330), // Rule ID 16050 //
     /* 2014233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2014244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2014247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2014250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014283 */     // MIs[1] Operand 1
     /* 2014283 */     // No operand predicates
     /* 2014283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014287 */     // MIs[0] round
     /* 2014287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014290 */     // MIs[0] policy
     /* 2014290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2014305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014329 */     // GIR_Coverage, 16050,
     /* 2014329 */     GIR_EraseRootFromParent_Done,
     /* 2014330 */   // Label 26898: @2014330
     /* 2014330 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2014432), // Rule ID 16051 //
     /* 2014335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2014346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2014349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2014352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014385 */     // MIs[1] Operand 1
     /* 2014385 */     // No operand predicates
     /* 2014385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014389 */     // MIs[0] round
     /* 2014389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014392 */     // MIs[0] policy
     /* 2014392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2014407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014431 */     // GIR_Coverage, 16051,
     /* 2014431 */     GIR_EraseRootFromParent_Done,
     /* 2014432 */   // Label 26899: @2014432
     /* 2014432 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2014534), // Rule ID 16054 //
     /* 2014437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2014440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2014448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2014451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2014454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014487 */     // MIs[1] Operand 1
     /* 2014487 */     // No operand predicates
     /* 2014487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014491 */     // MIs[0] round
     /* 2014491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014494 */     // MIs[0] policy
     /* 2014494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2014509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014533 */     // GIR_Coverage, 16054,
     /* 2014533 */     GIR_EraseRootFromParent_Done,
     /* 2014534 */   // Label 26900: @2014534
     /* 2014534 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2014636), // Rule ID 16055 //
     /* 2014539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2014542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2014550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2014553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2014556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014589 */     // MIs[1] Operand 1
     /* 2014589 */     // No operand predicates
     /* 2014589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014593 */     // MIs[0] round
     /* 2014593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014596 */     // MIs[0] policy
     /* 2014596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2014611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014635 */     // GIR_Coverage, 16055,
     /* 2014635 */     GIR_EraseRootFromParent_Done,
     /* 2014636 */   // Label 26901: @2014636
     /* 2014636 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2014738), // Rule ID 16058 //
     /* 2014641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2014644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2014652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2014655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2014658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014691 */     // MIs[1] Operand 1
     /* 2014691 */     // No operand predicates
     /* 2014691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014695 */     // MIs[0] round
     /* 2014695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014698 */     // MIs[0] policy
     /* 2014698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2014713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014737 */     // GIR_Coverage, 16058,
     /* 2014737 */     GIR_EraseRootFromParent_Done,
     /* 2014738 */   // Label 26902: @2014738
     /* 2014738 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2014840), // Rule ID 16059 //
     /* 2014743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2014746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2014754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2014757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2014760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014793 */     // MIs[1] Operand 1
     /* 2014793 */     // No operand predicates
     /* 2014793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014797 */     // MIs[0] round
     /* 2014797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014800 */     // MIs[0] policy
     /* 2014800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2014815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014839 */     // GIR_Coverage, 16059,
     /* 2014839 */     GIR_EraseRootFromParent_Done,
     /* 2014840 */   // Label 26903: @2014840
     /* 2014840 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2014942), // Rule ID 16062 //
     /* 2014845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2014848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014895 */     // MIs[1] Operand 1
     /* 2014895 */     // No operand predicates
     /* 2014895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014899 */     // MIs[0] round
     /* 2014899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014902 */     // MIs[0] policy
     /* 2014902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2014917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014941 */     // GIR_Coverage, 16062,
     /* 2014941 */     GIR_EraseRootFromParent_Done,
     /* 2014942 */   // Label 26904: @2014942
     /* 2014942 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2015044), // Rule ID 16063 //
     /* 2014947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2014950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2014955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014997 */     // MIs[1] Operand 1
     /* 2014997 */     // No operand predicates
     /* 2014997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015001 */     // MIs[0] round
     /* 2015001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015004 */     // MIs[0] policy
     /* 2015004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2015019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015043 */     // GIR_Coverage, 16063,
     /* 2015043 */     GIR_EraseRootFromParent_Done,
     /* 2015044 */   // Label 26905: @2015044
     /* 2015044 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2015146), // Rule ID 16242 //
     /* 2015049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2015060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2015063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2015066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015099 */     // MIs[1] Operand 1
     /* 2015099 */     // No operand predicates
     /* 2015099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015103 */     // MIs[0] round
     /* 2015103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015106 */     // MIs[0] policy
     /* 2015106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2015121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015145 */     // GIR_Coverage, 16242,
     /* 2015145 */     GIR_EraseRootFromParent_Done,
     /* 2015146 */   // Label 26906: @2015146
     /* 2015146 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2015248), // Rule ID 16243 //
     /* 2015151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2015162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2015165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2015168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015201 */     // MIs[1] Operand 1
     /* 2015201 */     // No operand predicates
     /* 2015201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015205 */     // MIs[0] round
     /* 2015205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015208 */     // MIs[0] policy
     /* 2015208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2015223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015247 */     // GIR_Coverage, 16243,
     /* 2015247 */     GIR_EraseRootFromParent_Done,
     /* 2015248 */   // Label 26907: @2015248
     /* 2015248 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2015350), // Rule ID 16246 //
     /* 2015253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2015270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015303 */     // MIs[1] Operand 1
     /* 2015303 */     // No operand predicates
     /* 2015303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015307 */     // MIs[0] round
     /* 2015307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015310 */     // MIs[0] policy
     /* 2015310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2015325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015349 */     // GIR_Coverage, 16246,
     /* 2015349 */     GIR_EraseRootFromParent_Done,
     /* 2015350 */   // Label 26908: @2015350
     /* 2015350 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2015452), // Rule ID 16247 //
     /* 2015355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2015372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015405 */     // MIs[1] Operand 1
     /* 2015405 */     // No operand predicates
     /* 2015405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015409 */     // MIs[0] round
     /* 2015409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015412 */     // MIs[0] policy
     /* 2015412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2015427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015451 */     // GIR_Coverage, 16247,
     /* 2015451 */     GIR_EraseRootFromParent_Done,
     /* 2015452 */   // Label 26909: @2015452
     /* 2015452 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2015554), // Rule ID 16250 //
     /* 2015457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2015468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2015471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2015474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015507 */     // MIs[1] Operand 1
     /* 2015507 */     // No operand predicates
     /* 2015507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015511 */     // MIs[0] round
     /* 2015511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015514 */     // MIs[0] policy
     /* 2015514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2015529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015553 */     // GIR_Coverage, 16250,
     /* 2015553 */     GIR_EraseRootFromParent_Done,
     /* 2015554 */   // Label 26910: @2015554
     /* 2015554 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2015656), // Rule ID 16251 //
     /* 2015559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2015570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2015573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2015576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015609 */     // MIs[1] Operand 1
     /* 2015609 */     // No operand predicates
     /* 2015609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015613 */     // MIs[0] round
     /* 2015613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015616 */     // MIs[0] policy
     /* 2015616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2015631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015655 */     // GIR_Coverage, 16251,
     /* 2015655 */     GIR_EraseRootFromParent_Done,
     /* 2015656 */   // Label 26911: @2015656
     /* 2015656 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2015758), // Rule ID 16254 //
     /* 2015661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2015672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2015675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2015678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015711 */     // MIs[1] Operand 1
     /* 2015711 */     // No operand predicates
     /* 2015711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015715 */     // MIs[0] round
     /* 2015715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015718 */     // MIs[0] policy
     /* 2015718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2015733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015757 */     // GIR_Coverage, 16254,
     /* 2015757 */     GIR_EraseRootFromParent_Done,
     /* 2015758 */   // Label 26912: @2015758
     /* 2015758 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2015860), // Rule ID 16255 //
     /* 2015763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2015774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2015777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2015780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015813 */     // MIs[1] Operand 1
     /* 2015813 */     // No operand predicates
     /* 2015813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015817 */     // MIs[0] round
     /* 2015817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015820 */     // MIs[0] policy
     /* 2015820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2015835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015859 */     // GIR_Coverage, 16255,
     /* 2015859 */     GIR_EraseRootFromParent_Done,
     /* 2015860 */   // Label 26913: @2015860
     /* 2015860 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2015962), // Rule ID 16258 //
     /* 2015865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2015876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2015879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2015882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015915 */     // MIs[1] Operand 1
     /* 2015915 */     // No operand predicates
     /* 2015915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015919 */     // MIs[0] round
     /* 2015919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015922 */     // MIs[0] policy
     /* 2015922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2015937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015961 */     // GIR_Coverage, 16258,
     /* 2015961 */     GIR_EraseRootFromParent_Done,
     /* 2015962 */   // Label 26914: @2015962
     /* 2015962 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2016064), // Rule ID 16259 //
     /* 2015967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2015978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2015981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2015984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016017 */     // MIs[1] Operand 1
     /* 2016017 */     // No operand predicates
     /* 2016017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016021 */     // MIs[0] round
     /* 2016021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016024 */     // MIs[0] policy
     /* 2016024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2016039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016063 */     // GIR_Coverage, 16259,
     /* 2016063 */     GIR_EraseRootFromParent_Done,
     /* 2016064 */   // Label 26915: @2016064
     /* 2016064 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2016166), // Rule ID 16262 //
     /* 2016069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016119 */     // MIs[1] Operand 1
     /* 2016119 */     // No operand predicates
     /* 2016119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016123 */     // MIs[0] round
     /* 2016123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016126 */     // MIs[0] policy
     /* 2016126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2016141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016165 */     // GIR_Coverage, 16262,
     /* 2016165 */     GIR_EraseRootFromParent_Done,
     /* 2016166 */   // Label 26916: @2016166
     /* 2016166 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2016268), // Rule ID 16263 //
     /* 2016171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016221 */     // MIs[1] Operand 1
     /* 2016221 */     // No operand predicates
     /* 2016221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016225 */     // MIs[0] round
     /* 2016225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016228 */     // MIs[0] policy
     /* 2016228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2016243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016267 */     // GIR_Coverage, 16263,
     /* 2016267 */     GIR_EraseRootFromParent_Done,
     /* 2016268 */   // Label 26917: @2016268
     /* 2016268 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2016370), // Rule ID 16266 //
     /* 2016273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2016290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016323 */     // MIs[1] Operand 1
     /* 2016323 */     // No operand predicates
     /* 2016323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016327 */     // MIs[0] round
     /* 2016327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016330 */     // MIs[0] policy
     /* 2016330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016369 */     // GIR_Coverage, 16266,
     /* 2016369 */     GIR_EraseRootFromParent_Done,
     /* 2016370 */   // Label 26918: @2016370
     /* 2016370 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2016472), // Rule ID 16267 //
     /* 2016375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2016392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016425 */     // MIs[1] Operand 1
     /* 2016425 */     // No operand predicates
     /* 2016425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016429 */     // MIs[0] round
     /* 2016429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016432 */     // MIs[0] policy
     /* 2016432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016471 */     // GIR_Coverage, 16267,
     /* 2016471 */     GIR_EraseRootFromParent_Done,
     /* 2016472 */   // Label 26919: @2016472
     /* 2016472 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2016574), // Rule ID 16270 //
     /* 2016477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2016488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2016491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016527 */     // MIs[1] Operand 1
     /* 2016527 */     // No operand predicates
     /* 2016527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016531 */     // MIs[0] round
     /* 2016531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016534 */     // MIs[0] policy
     /* 2016534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016573 */     // GIR_Coverage, 16270,
     /* 2016573 */     GIR_EraseRootFromParent_Done,
     /* 2016574 */   // Label 26920: @2016574
     /* 2016574 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2016676), // Rule ID 16271 //
     /* 2016579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2016590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2016593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016629 */     // MIs[1] Operand 1
     /* 2016629 */     // No operand predicates
     /* 2016629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016633 */     // MIs[0] round
     /* 2016633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016636 */     // MIs[0] policy
     /* 2016636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016675 */     // GIR_Coverage, 16271,
     /* 2016675 */     GIR_EraseRootFromParent_Done,
     /* 2016676 */   // Label 26921: @2016676
     /* 2016676 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2016778), // Rule ID 16274 //
     /* 2016681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016731 */     // MIs[1] Operand 1
     /* 2016731 */     // No operand predicates
     /* 2016731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016735 */     // MIs[0] round
     /* 2016735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016738 */     // MIs[0] policy
     /* 2016738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016777 */     // GIR_Coverage, 16274,
     /* 2016777 */     GIR_EraseRootFromParent_Done,
     /* 2016778 */   // Label 26922: @2016778
     /* 2016778 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2016880), // Rule ID 16275 //
     /* 2016783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016833 */     // MIs[1] Operand 1
     /* 2016833 */     // No operand predicates
     /* 2016833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016837 */     // MIs[0] round
     /* 2016837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016840 */     // MIs[0] policy
     /* 2016840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016879 */     // GIR_Coverage, 16275,
     /* 2016879 */     GIR_EraseRootFromParent_Done,
     /* 2016880 */   // Label 26923: @2016880
     /* 2016880 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2016982), // Rule ID 16278 //
     /* 2016885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2016888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2016902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016935 */     // MIs[1] Operand 1
     /* 2016935 */     // No operand predicates
     /* 2016935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016939 */     // MIs[0] round
     /* 2016939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016942 */     // MIs[0] policy
     /* 2016942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016954 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2016957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016981 */     // GIR_Coverage, 16278,
     /* 2016981 */     GIR_EraseRootFromParent_Done,
     /* 2016982 */   // Label 26924: @2016982
     /* 2016982 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2017084), // Rule ID 16279 //
     /* 2016987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2016990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017037 */     // MIs[1] Operand 1
     /* 2017037 */     // No operand predicates
     /* 2017037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017041 */     // MIs[0] round
     /* 2017041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017044 */     // MIs[0] policy
     /* 2017044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2017059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017083 */     // GIR_Coverage, 16279,
     /* 2017083 */     GIR_EraseRootFromParent_Done,
     /* 2017084 */   // Label 26925: @2017084
     /* 2017084 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2017186), // Rule ID 16282 //
     /* 2017089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2017106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017139 */     // MIs[1] Operand 1
     /* 2017139 */     // No operand predicates
     /* 2017139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017143 */     // MIs[0] round
     /* 2017143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017146 */     // MIs[0] policy
     /* 2017146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2017161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017185 */     // GIR_Coverage, 16282,
     /* 2017185 */     GIR_EraseRootFromParent_Done,
     /* 2017186 */   // Label 26926: @2017186
     /* 2017186 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2017288), // Rule ID 16283 //
     /* 2017191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2017208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017241 */     // MIs[1] Operand 1
     /* 2017241 */     // No operand predicates
     /* 2017241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017245 */     // MIs[0] round
     /* 2017245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017248 */     // MIs[0] policy
     /* 2017248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2017263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017287 */     // GIR_Coverage, 16283,
     /* 2017287 */     GIR_EraseRootFromParent_Done,
     /* 2017288 */   // Label 26927: @2017288
     /* 2017288 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2017390), // Rule ID 16286 //
     /* 2017293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2017310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017343 */     // MIs[1] Operand 1
     /* 2017343 */     // No operand predicates
     /* 2017343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017347 */     // MIs[0] round
     /* 2017347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017350 */     // MIs[0] policy
     /* 2017350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2017365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017389 */     // GIR_Coverage, 16286,
     /* 2017389 */     GIR_EraseRootFromParent_Done,
     /* 2017390 */   // Label 26928: @2017390
     /* 2017390 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2017492), // Rule ID 16287 //
     /* 2017395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2017412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017445 */     // MIs[1] Operand 1
     /* 2017445 */     // No operand predicates
     /* 2017445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017449 */     // MIs[0] round
     /* 2017449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017452 */     // MIs[0] policy
     /* 2017452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2017467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017491 */     // GIR_Coverage, 16287,
     /* 2017491 */     GIR_EraseRootFromParent_Done,
     /* 2017492 */   // Label 26929: @2017492
     /* 2017492 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2017594), // Rule ID 16290 //
     /* 2017497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2017508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2017511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2017514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2017520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017547 */     // MIs[1] Operand 1
     /* 2017547 */     // No operand predicates
     /* 2017547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017551 */     // MIs[0] round
     /* 2017551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017554 */     // MIs[0] policy
     /* 2017554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2017569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017593 */     // GIR_Coverage, 16290,
     /* 2017593 */     GIR_EraseRootFromParent_Done,
     /* 2017594 */   // Label 26930: @2017594
     /* 2017594 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2017696), // Rule ID 16291 //
     /* 2017599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2017610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2017613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2017616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2017622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017649 */     // MIs[1] Operand 1
     /* 2017649 */     // No operand predicates
     /* 2017649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017653 */     // MIs[0] round
     /* 2017653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017656 */     // MIs[0] policy
     /* 2017656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2017671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017695 */     // GIR_Coverage, 16291,
     /* 2017695 */     GIR_EraseRootFromParent_Done,
     /* 2017696 */   // Label 26931: @2017696
     /* 2017696 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2017798), // Rule ID 16294 //
     /* 2017701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2017712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2017715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017751 */     // MIs[1] Operand 1
     /* 2017751 */     // No operand predicates
     /* 2017751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017755 */     // MIs[0] round
     /* 2017755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017758 */     // MIs[0] policy
     /* 2017758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2017773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017797 */     // GIR_Coverage, 16294,
     /* 2017797 */     GIR_EraseRootFromParent_Done,
     /* 2017798 */   // Label 26932: @2017798
     /* 2017798 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2017900), // Rule ID 16295 //
     /* 2017803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2017814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2017817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017853 */     // MIs[1] Operand 1
     /* 2017853 */     // No operand predicates
     /* 2017853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017857 */     // MIs[0] round
     /* 2017857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017860 */     // MIs[0] policy
     /* 2017860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2017875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017899 */     // GIR_Coverage, 16295,
     /* 2017899 */     GIR_EraseRootFromParent_Done,
     /* 2017900 */   // Label 26933: @2017900
     /* 2017900 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2018002), // Rule ID 16298 //
     /* 2017905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2017916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2017919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017955 */     // MIs[1] Operand 1
     /* 2017955 */     // No operand predicates
     /* 2017955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017959 */     // MIs[0] round
     /* 2017959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017962 */     // MIs[0] policy
     /* 2017962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2017977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018001 */     // GIR_Coverage, 16298,
     /* 2018001 */     GIR_EraseRootFromParent_Done,
     /* 2018002 */   // Label 26934: @2018002
     /* 2018002 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2018104), // Rule ID 16299 //
     /* 2018007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018057 */     // MIs[1] Operand 1
     /* 2018057 */     // No operand predicates
     /* 2018057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018061 */     // MIs[0] round
     /* 2018061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018064 */     // MIs[0] policy
     /* 2018064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2018079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018103 */     // GIR_Coverage, 16299,
     /* 2018103 */     GIR_EraseRootFromParent_Done,
     /* 2018104 */   // Label 26935: @2018104
     /* 2018104 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2018206), // Rule ID 16302 //
     /* 2018109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2018120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2018123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018159 */     // MIs[1] Operand 1
     /* 2018159 */     // No operand predicates
     /* 2018159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018163 */     // MIs[0] round
     /* 2018163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018166 */     // MIs[0] policy
     /* 2018166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2018181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018205 */     // GIR_Coverage, 16302,
     /* 2018205 */     GIR_EraseRootFromParent_Done,
     /* 2018206 */   // Label 26936: @2018206
     /* 2018206 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2018308), // Rule ID 16303 //
     /* 2018211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2018222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2018225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018261 */     // MIs[1] Operand 1
     /* 2018261 */     // No operand predicates
     /* 2018261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018265 */     // MIs[0] round
     /* 2018265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018268 */     // MIs[0] policy
     /* 2018268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2018283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018307 */     // GIR_Coverage, 16303,
     /* 2018307 */     GIR_EraseRootFromParent_Done,
     /* 2018308 */   // Label 26937: @2018308
     /* 2018308 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2018410), // Rule ID 16306 //
     /* 2018313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018363 */     // MIs[1] Operand 1
     /* 2018363 */     // No operand predicates
     /* 2018363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018367 */     // MIs[0] round
     /* 2018367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018370 */     // MIs[0] policy
     /* 2018370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2018385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018409 */     // GIR_Coverage, 16306,
     /* 2018409 */     GIR_EraseRootFromParent_Done,
     /* 2018410 */   // Label 26938: @2018410
     /* 2018410 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2018512), // Rule ID 16307 //
     /* 2018415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018465 */     // MIs[1] Operand 1
     /* 2018465 */     // No operand predicates
     /* 2018465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018469 */     // MIs[0] round
     /* 2018469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018472 */     // MIs[0] policy
     /* 2018472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2018487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018511 */     // GIR_Coverage, 16307,
     /* 2018511 */     GIR_EraseRootFromParent_Done,
     /* 2018512 */   // Label 26939: @2018512
     /* 2018512 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2018614), // Rule ID 16310 //
     /* 2018517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018567 */     // MIs[1] Operand 1
     /* 2018567 */     // No operand predicates
     /* 2018567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018571 */     // MIs[0] round
     /* 2018571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018574 */     // MIs[0] policy
     /* 2018574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2018589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018613 */     // GIR_Coverage, 16310,
     /* 2018613 */     GIR_EraseRootFromParent_Done,
     /* 2018614 */   // Label 26940: @2018614
     /* 2018614 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2018716), // Rule ID 16311 //
     /* 2018619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018669 */     // MIs[1] Operand 1
     /* 2018669 */     // No operand predicates
     /* 2018669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018673 */     // MIs[0] round
     /* 2018673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018676 */     // MIs[0] policy
     /* 2018676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2018691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018715 */     // GIR_Coverage, 16311,
     /* 2018715 */     GIR_EraseRootFromParent_Done,
     /* 2018716 */   // Label 26941: @2018716
     /* 2018716 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2018818), // Rule ID 16314 //
     /* 2018721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018771 */     // MIs[1] Operand 1
     /* 2018771 */     // No operand predicates
     /* 2018771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018775 */     // MIs[0] round
     /* 2018775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018778 */     // MIs[0] policy
     /* 2018778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2018793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018817 */     // GIR_Coverage, 16314,
     /* 2018817 */     GIR_EraseRootFromParent_Done,
     /* 2018818 */   // Label 26942: @2018818
     /* 2018818 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2018920), // Rule ID 16315 //
     /* 2018823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018873 */     // MIs[1] Operand 1
     /* 2018873 */     // No operand predicates
     /* 2018873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018877 */     // MIs[0] round
     /* 2018877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018880 */     // MIs[0] policy
     /* 2018880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2018895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018919 */     // GIR_Coverage, 16315,
     /* 2018919 */     GIR_EraseRootFromParent_Done,
     /* 2018920 */   // Label 26943: @2018920
     /* 2018920 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2019022), // Rule ID 16318 //
     /* 2018925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2018928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2018933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018975 */     // MIs[1] Operand 1
     /* 2018975 */     // No operand predicates
     /* 2018975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018979 */     // MIs[0] round
     /* 2018979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018982 */     // MIs[0] policy
     /* 2018982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2018997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019021 */     // GIR_Coverage, 16318,
     /* 2019021 */     GIR_EraseRootFromParent_Done,
     /* 2019022 */   // Label 26944: @2019022
     /* 2019022 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2019124), // Rule ID 16319 //
     /* 2019027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2019030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2019035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2019038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2019041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019077 */     // MIs[1] Operand 1
     /* 2019077 */     // No operand predicates
     /* 2019077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019081 */     // MIs[0] round
     /* 2019081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019084 */     // MIs[0] policy
     /* 2019084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2019099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019123 */     // GIR_Coverage, 16319,
     /* 2019123 */     GIR_EraseRootFromParent_Done,
     /* 2019124 */   // Label 26945: @2019124
     /* 2019124 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2019226), // Rule ID 16322 //
     /* 2019129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2019132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2019137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019179 */     // MIs[1] Operand 1
     /* 2019179 */     // No operand predicates
     /* 2019179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019183 */     // MIs[0] round
     /* 2019183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019186 */     // MIs[0] policy
     /* 2019186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2019201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019225 */     // GIR_Coverage, 16322,
     /* 2019225 */     GIR_EraseRootFromParent_Done,
     /* 2019226 */   // Label 26946: @2019226
     /* 2019226 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2019328), // Rule ID 16323 //
     /* 2019231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2019234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2019239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019281 */     // MIs[1] Operand 1
     /* 2019281 */     // No operand predicates
     /* 2019281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019285 */     // MIs[0] round
     /* 2019285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019288 */     // MIs[0] policy
     /* 2019288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2019303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019327 */     // GIR_Coverage, 16323,
     /* 2019327 */     GIR_EraseRootFromParent_Done,
     /* 2019328 */   // Label 26947: @2019328
     /* 2019328 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2019430), // Rule ID 16326 //
     /* 2019333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2019336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2019341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019383 */     // MIs[1] Operand 1
     /* 2019383 */     // No operand predicates
     /* 2019383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019387 */     // MIs[0] round
     /* 2019387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019390 */     // MIs[0] policy
     /* 2019390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2019405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019429 */     // GIR_Coverage, 16326,
     /* 2019429 */     GIR_EraseRootFromParent_Done,
     /* 2019430 */   // Label 26948: @2019430
     /* 2019430 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2019532), // Rule ID 16327 //
     /* 2019435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2019438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2019443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019485 */     // MIs[1] Operand 1
     /* 2019485 */     // No operand predicates
     /* 2019485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019489 */     // MIs[0] round
     /* 2019489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019492 */     // MIs[0] policy
     /* 2019492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2019507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019531 */     // GIR_Coverage, 16327,
     /* 2019531 */     GIR_EraseRootFromParent_Done,
     /* 2019532 */   // Label 26949: @2019532
     /* 2019532 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2019637), // Rule ID 16450 //
     /* 2019537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2019548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2019551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2019554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019587 */     // MIs[1] Operand 1
     /* 2019587 */     // No operand predicates
     /* 2019587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019591 */     // MIs[0] round
     /* 2019591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019594 */     // MIs[0] policy
     /* 2019594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2019609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019636 */     // GIR_Coverage, 16450,
     /* 2019636 */     GIR_EraseRootFromParent_Done,
     /* 2019637 */   // Label 26950: @2019637
     /* 2019637 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2019742), // Rule ID 16451 //
     /* 2019642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2019653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2019656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2019659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019692 */     // MIs[1] Operand 1
     /* 2019692 */     // No operand predicates
     /* 2019692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019696 */     // MIs[0] round
     /* 2019696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019699 */     // MIs[0] policy
     /* 2019699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2019714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019741 */     // GIR_Coverage, 16451,
     /* 2019741 */     GIR_EraseRootFromParent_Done,
     /* 2019742 */   // Label 26951: @2019742
     /* 2019742 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2019847), // Rule ID 16454 //
     /* 2019747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2019758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2019761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2019764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019797 */     // MIs[1] Operand 1
     /* 2019797 */     // No operand predicates
     /* 2019797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019801 */     // MIs[0] round
     /* 2019801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019804 */     // MIs[0] policy
     /* 2019804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019816 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2019819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019846 */     // GIR_Coverage, 16454,
     /* 2019846 */     GIR_EraseRootFromParent_Done,
     /* 2019847 */   // Label 26952: @2019847
     /* 2019847 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2019952), // Rule ID 16455 //
     /* 2019852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2019863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2019866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2019869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019902 */     // MIs[1] Operand 1
     /* 2019902 */     // No operand predicates
     /* 2019902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019906 */     // MIs[0] round
     /* 2019906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019909 */     // MIs[0] policy
     /* 2019909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2019924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019951 */     // GIR_Coverage, 16455,
     /* 2019951 */     GIR_EraseRootFromParent_Done,
     /* 2019952 */   // Label 26953: @2019952
     /* 2019952 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2020057), // Rule ID 16458 //
     /* 2019957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2019968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2019971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2019974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020007 */     // MIs[1] Operand 1
     /* 2020007 */     // No operand predicates
     /* 2020007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020011 */     // MIs[0] round
     /* 2020011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020014 */     // MIs[0] policy
     /* 2020014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2020029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020056 */     // GIR_Coverage, 16458,
     /* 2020056 */     GIR_EraseRootFromParent_Done,
     /* 2020057 */   // Label 26954: @2020057
     /* 2020057 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2020162), // Rule ID 16459 //
     /* 2020062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2020079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020112 */     // MIs[1] Operand 1
     /* 2020112 */     // No operand predicates
     /* 2020112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020116 */     // MIs[0] round
     /* 2020116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020119 */     // MIs[0] policy
     /* 2020119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2020134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020161 */     // GIR_Coverage, 16459,
     /* 2020161 */     GIR_EraseRootFromParent_Done,
     /* 2020162 */   // Label 26955: @2020162
     /* 2020162 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2020267), // Rule ID 16462 //
     /* 2020167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2020178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2020181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2020184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020217 */     // MIs[1] Operand 1
     /* 2020217 */     // No operand predicates
     /* 2020217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020221 */     // MIs[0] round
     /* 2020221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020224 */     // MIs[0] policy
     /* 2020224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2020239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020266 */     // GIR_Coverage, 16462,
     /* 2020266 */     GIR_EraseRootFromParent_Done,
     /* 2020267 */   // Label 26956: @2020267
     /* 2020267 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2020372), // Rule ID 16463 //
     /* 2020272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2020283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2020286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2020289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020322 */     // MIs[1] Operand 1
     /* 2020322 */     // No operand predicates
     /* 2020322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020326 */     // MIs[0] round
     /* 2020326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020329 */     // MIs[0] policy
     /* 2020329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2020344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020371 */     // GIR_Coverage, 16463,
     /* 2020371 */     GIR_EraseRootFromParent_Done,
     /* 2020372 */   // Label 26957: @2020372
     /* 2020372 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2020477), // Rule ID 16466 //
     /* 2020377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2020388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2020391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2020394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020427 */     // MIs[1] Operand 1
     /* 2020427 */     // No operand predicates
     /* 2020427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020431 */     // MIs[0] round
     /* 2020431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020434 */     // MIs[0] policy
     /* 2020434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2020449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020476 */     // GIR_Coverage, 16466,
     /* 2020476 */     GIR_EraseRootFromParent_Done,
     /* 2020477 */   // Label 26958: @2020477
     /* 2020477 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2020582), // Rule ID 16467 //
     /* 2020482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2020493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2020496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2020499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020532 */     // MIs[1] Operand 1
     /* 2020532 */     // No operand predicates
     /* 2020532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020536 */     // MIs[0] round
     /* 2020536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020539 */     // MIs[0] policy
     /* 2020539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2020554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020581 */     // GIR_Coverage, 16467,
     /* 2020581 */     GIR_EraseRootFromParent_Done,
     /* 2020582 */   // Label 26959: @2020582
     /* 2020582 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2020687), // Rule ID 16470 //
     /* 2020587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2020598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2020601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2020604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2020610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020637 */     // MIs[1] Operand 1
     /* 2020637 */     // No operand predicates
     /* 2020637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020641 */     // MIs[0] round
     /* 2020641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020644 */     // MIs[0] policy
     /* 2020644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2020659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020686 */     // GIR_Coverage, 16470,
     /* 2020686 */     GIR_EraseRootFromParent_Done,
     /* 2020687 */   // Label 26960: @2020687
     /* 2020687 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2020792), // Rule ID 16471 //
     /* 2020692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2020703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2020706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2020709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2020715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020742 */     // MIs[1] Operand 1
     /* 2020742 */     // No operand predicates
     /* 2020742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020746 */     // MIs[0] round
     /* 2020746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020749 */     // MIs[0] policy
     /* 2020749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2020764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020791 */     // GIR_Coverage, 16471,
     /* 2020791 */     GIR_EraseRootFromParent_Done,
     /* 2020792 */   // Label 26961: @2020792
     /* 2020792 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2020897), // Rule ID 16474 //
     /* 2020797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2020814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020847 */     // MIs[1] Operand 1
     /* 2020847 */     // No operand predicates
     /* 2020847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020851 */     // MIs[0] round
     /* 2020851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020854 */     // MIs[0] policy
     /* 2020854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2020869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020896 */     // GIR_Coverage, 16474,
     /* 2020896 */     GIR_EraseRootFromParent_Done,
     /* 2020897 */   // Label 26962: @2020897
     /* 2020897 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2021002), // Rule ID 16475 //
     /* 2020902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2020919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020952 */     // MIs[1] Operand 1
     /* 2020952 */     // No operand predicates
     /* 2020952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020956 */     // MIs[0] round
     /* 2020956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020959 */     // MIs[0] policy
     /* 2020959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020971 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2020974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021001 */     // GIR_Coverage, 16475,
     /* 2021001 */     GIR_EraseRootFromParent_Done,
     /* 2021002 */   // Label 26963: @2021002
     /* 2021002 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2021107), // Rule ID 16478 //
     /* 2021007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021057 */     // MIs[1] Operand 1
     /* 2021057 */     // No operand predicates
     /* 2021057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021061 */     // MIs[0] round
     /* 2021061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021064 */     // MIs[0] policy
     /* 2021064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2021079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021106 */     // GIR_Coverage, 16478,
     /* 2021106 */     GIR_EraseRootFromParent_Done,
     /* 2021107 */   // Label 26964: @2021107
     /* 2021107 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2021212), // Rule ID 16479 //
     /* 2021112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021162 */     // MIs[1] Operand 1
     /* 2021162 */     // No operand predicates
     /* 2021162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021166 */     // MIs[0] round
     /* 2021166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021169 */     // MIs[0] policy
     /* 2021169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2021184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021211 */     // GIR_Coverage, 16479,
     /* 2021211 */     GIR_EraseRootFromParent_Done,
     /* 2021212 */   // Label 26965: @2021212
     /* 2021212 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2021317), // Rule ID 16482 //
     /* 2021217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2021234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021267 */     // MIs[1] Operand 1
     /* 2021267 */     // No operand predicates
     /* 2021267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021271 */     // MIs[0] round
     /* 2021271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021274 */     // MIs[0] policy
     /* 2021274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2021289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021316 */     // GIR_Coverage, 16482,
     /* 2021316 */     GIR_EraseRootFromParent_Done,
     /* 2021317 */   // Label 26966: @2021317
     /* 2021317 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2021422), // Rule ID 16483 //
     /* 2021322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2021339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021372 */     // MIs[1] Operand 1
     /* 2021372 */     // No operand predicates
     /* 2021372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021376 */     // MIs[0] round
     /* 2021376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021379 */     // MIs[0] policy
     /* 2021379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2021394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021421 */     // GIR_Coverage, 16483,
     /* 2021421 */     GIR_EraseRootFromParent_Done,
     /* 2021422 */   // Label 26967: @2021422
     /* 2021422 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2021527), // Rule ID 16486 //
     /* 2021427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2021438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2021441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2021444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021477 */     // MIs[1] Operand 1
     /* 2021477 */     // No operand predicates
     /* 2021477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021481 */     // MIs[0] round
     /* 2021481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021484 */     // MIs[0] policy
     /* 2021484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2021499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021526 */     // GIR_Coverage, 16486,
     /* 2021526 */     GIR_EraseRootFromParent_Done,
     /* 2021527 */   // Label 26968: @2021527
     /* 2021527 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2021632), // Rule ID 16487 //
     /* 2021532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2021543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2021546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2021549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021582 */     // MIs[1] Operand 1
     /* 2021582 */     // No operand predicates
     /* 2021582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021586 */     // MIs[0] round
     /* 2021586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021589 */     // MIs[0] policy
     /* 2021589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2021604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021631 */     // GIR_Coverage, 16487,
     /* 2021631 */     GIR_EraseRootFromParent_Done,
     /* 2021632 */   // Label 26969: @2021632
     /* 2021632 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2021737), // Rule ID 16490 //
     /* 2021637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2021648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2021651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2021654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021687 */     // MIs[1] Operand 1
     /* 2021687 */     // No operand predicates
     /* 2021687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021691 */     // MIs[0] round
     /* 2021691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021694 */     // MIs[0] policy
     /* 2021694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2021709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021736 */     // GIR_Coverage, 16490,
     /* 2021736 */     GIR_EraseRootFromParent_Done,
     /* 2021737 */   // Label 26970: @2021737
     /* 2021737 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2021842), // Rule ID 16491 //
     /* 2021742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2021753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2021756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2021759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021792 */     // MIs[1] Operand 1
     /* 2021792 */     // No operand predicates
     /* 2021792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021796 */     // MIs[0] round
     /* 2021796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021799 */     // MIs[0] policy
     /* 2021799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2021814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021841 */     // GIR_Coverage, 16491,
     /* 2021841 */     GIR_EraseRootFromParent_Done,
     /* 2021842 */   // Label 26971: @2021842
     /* 2021842 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2021947), // Rule ID 16494 //
     /* 2021847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2021850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2021864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021897 */     // MIs[1] Operand 1
     /* 2021897 */     // No operand predicates
     /* 2021897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021901 */     // MIs[0] round
     /* 2021901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021904 */     // MIs[0] policy
     /* 2021904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2021919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021946 */     // GIR_Coverage, 16494,
     /* 2021946 */     GIR_EraseRootFromParent_Done,
     /* 2021947 */   // Label 26972: @2021947
     /* 2021947 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2022052), // Rule ID 16495 //
     /* 2021952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2021955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2021960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2021969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022002 */     // MIs[1] Operand 1
     /* 2022002 */     // No operand predicates
     /* 2022002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022006 */     // MIs[0] round
     /* 2022006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022009 */     // MIs[0] policy
     /* 2022009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2022024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022051 */     // GIR_Coverage, 16495,
     /* 2022051 */     GIR_EraseRootFromParent_Done,
     /* 2022052 */   // Label 26973: @2022052
     /* 2022052 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2022157), // Rule ID 16498 //
     /* 2022057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2022060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2022074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022107 */     // MIs[1] Operand 1
     /* 2022107 */     // No operand predicates
     /* 2022107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022111 */     // MIs[0] round
     /* 2022111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022114 */     // MIs[0] policy
     /* 2022114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2022129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022156 */     // GIR_Coverage, 16498,
     /* 2022156 */     GIR_EraseRootFromParent_Done,
     /* 2022157 */   // Label 26974: @2022157
     /* 2022157 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2022262), // Rule ID 16499 //
     /* 2022162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2022165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2022179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022212 */     // MIs[1] Operand 1
     /* 2022212 */     // No operand predicates
     /* 2022212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022216 */     // MIs[0] round
     /* 2022216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022219 */     // MIs[0] policy
     /* 2022219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2022234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022261 */     // GIR_Coverage, 16499,
     /* 2022261 */     GIR_EraseRootFromParent_Done,
     /* 2022262 */   // Label 26975: @2022262
     /* 2022262 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2022367), // Rule ID 16502 //
     /* 2022267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2022270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2022278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2022281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2022284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022317 */     // MIs[1] Operand 1
     /* 2022317 */     // No operand predicates
     /* 2022317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022321 */     // MIs[0] round
     /* 2022321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022324 */     // MIs[0] policy
     /* 2022324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2022339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022366 */     // GIR_Coverage, 16502,
     /* 2022366 */     GIR_EraseRootFromParent_Done,
     /* 2022367 */   // Label 26976: @2022367
     /* 2022367 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2022472), // Rule ID 16503 //
     /* 2022372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2022375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2022383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2022386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2022389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022422 */     // MIs[1] Operand 1
     /* 2022422 */     // No operand predicates
     /* 2022422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022426 */     // MIs[0] round
     /* 2022426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022429 */     // MIs[0] policy
     /* 2022429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2022444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022471 */     // GIR_Coverage, 16503,
     /* 2022471 */     GIR_EraseRootFromParent_Done,
     /* 2022472 */   // Label 26977: @2022472
     /* 2022472 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2022577), // Rule ID 16506 //
     /* 2022477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2022480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2022488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2022491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2022494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022527 */     // MIs[1] Operand 1
     /* 2022527 */     // No operand predicates
     /* 2022527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022531 */     // MIs[0] round
     /* 2022531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022534 */     // MIs[0] policy
     /* 2022534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2022549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022576 */     // GIR_Coverage, 16506,
     /* 2022576 */     GIR_EraseRootFromParent_Done,
     /* 2022577 */   // Label 26978: @2022577
     /* 2022577 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2022682), // Rule ID 16507 //
     /* 2022582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2022585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2022590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2022593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2022596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2022599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022632 */     // MIs[1] Operand 1
     /* 2022632 */     // No operand predicates
     /* 2022632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022636 */     // MIs[0] round
     /* 2022636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022639 */     // MIs[0] policy
     /* 2022639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2022654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022681 */     // GIR_Coverage, 16507,
     /* 2022681 */     GIR_EraseRootFromParent_Done,
     /* 2022682 */   // Label 26979: @2022682
     /* 2022682 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2022787), // Rule ID 16630 //
     /* 2022687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022737 */     // MIs[1] Operand 1
     /* 2022737 */     // No operand predicates
     /* 2022737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022741 */     // MIs[0] round
     /* 2022741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022744 */     // MIs[0] policy
     /* 2022744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2022759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022786 */     // GIR_Coverage, 16630,
     /* 2022786 */     GIR_EraseRootFromParent_Done,
     /* 2022787 */   // Label 26980: @2022787
     /* 2022787 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2022892), // Rule ID 16631 //
     /* 2022792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022842 */     // MIs[1] Operand 1
     /* 2022842 */     // No operand predicates
     /* 2022842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022846 */     // MIs[0] round
     /* 2022846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022849 */     // MIs[0] policy
     /* 2022849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022861 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2022864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022891 */     // GIR_Coverage, 16631,
     /* 2022891 */     GIR_EraseRootFromParent_Done,
     /* 2022892 */   // Label 26981: @2022892
     /* 2022892 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2022997), // Rule ID 16634 //
     /* 2022897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2022908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2022911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022947 */     // MIs[1] Operand 1
     /* 2022947 */     // No operand predicates
     /* 2022947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022951 */     // MIs[0] round
     /* 2022951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022954 */     // MIs[0] policy
     /* 2022954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2022969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022996 */     // GIR_Coverage, 16634,
     /* 2022996 */     GIR_EraseRootFromParent_Done,
     /* 2022997 */   // Label 26982: @2022997
     /* 2022997 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2023102), // Rule ID 16635 //
     /* 2023002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2023013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2023016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023052 */     // MIs[1] Operand 1
     /* 2023052 */     // No operand predicates
     /* 2023052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023056 */     // MIs[0] round
     /* 2023056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023059 */     // MIs[0] policy
     /* 2023059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2023074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023101 */     // GIR_Coverage, 16635,
     /* 2023101 */     GIR_EraseRootFromParent_Done,
     /* 2023102 */   // Label 26983: @2023102
     /* 2023102 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2023207), // Rule ID 16638 //
     /* 2023107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023157 */     // MIs[1] Operand 1
     /* 2023157 */     // No operand predicates
     /* 2023157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023161 */     // MIs[0] round
     /* 2023161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023164 */     // MIs[0] policy
     /* 2023164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2023179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023206 */     // GIR_Coverage, 16638,
     /* 2023206 */     GIR_EraseRootFromParent_Done,
     /* 2023207 */   // Label 26984: @2023207
     /* 2023207 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2023312), // Rule ID 16639 //
     /* 2023212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023262 */     // MIs[1] Operand 1
     /* 2023262 */     // No operand predicates
     /* 2023262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023266 */     // MIs[0] round
     /* 2023266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023269 */     // MIs[0] policy
     /* 2023269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023281 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2023284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023311 */     // GIR_Coverage, 16639,
     /* 2023311 */     GIR_EraseRootFromParent_Done,
     /* 2023312 */   // Label 26985: @2023312
     /* 2023312 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2023417), // Rule ID 16642 //
     /* 2023317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023367 */     // MIs[1] Operand 1
     /* 2023367 */     // No operand predicates
     /* 2023367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023371 */     // MIs[0] round
     /* 2023371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023374 */     // MIs[0] policy
     /* 2023374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023386 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2023389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023416 */     // GIR_Coverage, 16642,
     /* 2023416 */     GIR_EraseRootFromParent_Done,
     /* 2023417 */   // Label 26986: @2023417
     /* 2023417 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2023522), // Rule ID 16643 //
     /* 2023422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023472 */     // MIs[1] Operand 1
     /* 2023472 */     // No operand predicates
     /* 2023472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023476 */     // MIs[0] round
     /* 2023476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023479 */     // MIs[0] policy
     /* 2023479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023491 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2023494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023521 */     // GIR_Coverage, 16643,
     /* 2023521 */     GIR_EraseRootFromParent_Done,
     /* 2023522 */   // Label 26987: @2023522
     /* 2023522 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2023627), // Rule ID 16646 //
     /* 2023527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2023538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2023541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023577 */     // MIs[1] Operand 1
     /* 2023577 */     // No operand predicates
     /* 2023577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023581 */     // MIs[0] round
     /* 2023581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023584 */     // MIs[0] policy
     /* 2023584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2023599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023626 */     // GIR_Coverage, 16646,
     /* 2023626 */     GIR_EraseRootFromParent_Done,
     /* 2023627 */   // Label 26988: @2023627
     /* 2023627 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2023732), // Rule ID 16647 //
     /* 2023632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2023643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2023646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023682 */     // MIs[1] Operand 1
     /* 2023682 */     // No operand predicates
     /* 2023682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023686 */     // MIs[0] round
     /* 2023686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023689 */     // MIs[0] policy
     /* 2023689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2023704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023731 */     // GIR_Coverage, 16647,
     /* 2023731 */     GIR_EraseRootFromParent_Done,
     /* 2023732 */   // Label 26989: @2023732
     /* 2023732 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2023837), // Rule ID 16650 //
     /* 2023737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2023748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2023751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023787 */     // MIs[1] Operand 1
     /* 2023787 */     // No operand predicates
     /* 2023787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023791 */     // MIs[0] round
     /* 2023791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023794 */     // MIs[0] policy
     /* 2023794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2023809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023836 */     // GIR_Coverage, 16650,
     /* 2023836 */     GIR_EraseRootFromParent_Done,
     /* 2023837 */   // Label 26990: @2023837
     /* 2023837 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2023942), // Rule ID 16651 //
     /* 2023842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2023853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2023856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023892 */     // MIs[1] Operand 1
     /* 2023892 */     // No operand predicates
     /* 2023892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023896 */     // MIs[0] round
     /* 2023896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023899 */     // MIs[0] policy
     /* 2023899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2023914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023941 */     // GIR_Coverage, 16651,
     /* 2023941 */     GIR_EraseRootFromParent_Done,
     /* 2023942 */   // Label 26991: @2023942
     /* 2023942 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2024047), // Rule ID 16654 //
     /* 2023947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023997 */     // MIs[1] Operand 1
     /* 2023997 */     // No operand predicates
     /* 2023997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024001 */     // MIs[0] round
     /* 2024001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024004 */     // MIs[0] policy
     /* 2024004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2024019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024046 */     // GIR_Coverage, 16654,
     /* 2024046 */     GIR_EraseRootFromParent_Done,
     /* 2024047 */   // Label 26992: @2024047
     /* 2024047 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2024152), // Rule ID 16655 //
     /* 2024052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2024063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2024066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2024069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024102 */     // MIs[1] Operand 1
     /* 2024102 */     // No operand predicates
     /* 2024102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024106 */     // MIs[0] round
     /* 2024106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024109 */     // MIs[0] policy
     /* 2024109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2024124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024151 */     // GIR_Coverage, 16655,
     /* 2024151 */     GIR_EraseRootFromParent_Done,
     /* 2024152 */   // Label 26993: @2024152
     /* 2024152 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2024257), // Rule ID 16658 //
     /* 2024157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2024168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2024171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024207 */     // MIs[1] Operand 1
     /* 2024207 */     // No operand predicates
     /* 2024207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024211 */     // MIs[0] round
     /* 2024211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024214 */     // MIs[0] policy
     /* 2024214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2024229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024256 */     // GIR_Coverage, 16658,
     /* 2024256 */     GIR_EraseRootFromParent_Done,
     /* 2024257 */   // Label 26994: @2024257
     /* 2024257 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2024362), // Rule ID 16659 //
     /* 2024262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2024273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2024276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024312 */     // MIs[1] Operand 1
     /* 2024312 */     // No operand predicates
     /* 2024312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024316 */     // MIs[0] round
     /* 2024316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024319 */     // MIs[0] policy
     /* 2024319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2024334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024361 */     // GIR_Coverage, 16659,
     /* 2024361 */     GIR_EraseRootFromParent_Done,
     /* 2024362 */   // Label 26995: @2024362
     /* 2024362 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2024467), // Rule ID 16662 //
     /* 2024367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2024384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024417 */     // MIs[1] Operand 1
     /* 2024417 */     // No operand predicates
     /* 2024417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024421 */     // MIs[0] round
     /* 2024421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024424 */     // MIs[0] policy
     /* 2024424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2024439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024466 */     // GIR_Coverage, 16662,
     /* 2024466 */     GIR_EraseRootFromParent_Done,
     /* 2024467 */   // Label 26996: @2024467
     /* 2024467 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2024572), // Rule ID 16663 //
     /* 2024472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2024489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024522 */     // MIs[1] Operand 1
     /* 2024522 */     // No operand predicates
     /* 2024522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024526 */     // MIs[0] round
     /* 2024526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024529 */     // MIs[0] policy
     /* 2024529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2024544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024571 */     // GIR_Coverage, 16663,
     /* 2024571 */     GIR_EraseRootFromParent_Done,
     /* 2024572 */   // Label 26997: @2024572
     /* 2024572 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2024677), // Rule ID 16666 //
     /* 2024577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2024588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2024591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2024594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024627 */     // MIs[1] Operand 1
     /* 2024627 */     // No operand predicates
     /* 2024627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024631 */     // MIs[0] round
     /* 2024631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024634 */     // MIs[0] policy
     /* 2024634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2024649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024676 */     // GIR_Coverage, 16666,
     /* 2024676 */     GIR_EraseRootFromParent_Done,
     /* 2024677 */   // Label 26998: @2024677
     /* 2024677 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2024782), // Rule ID 16667 //
     /* 2024682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2024693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2024696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2024699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024732 */     // MIs[1] Operand 1
     /* 2024732 */     // No operand predicates
     /* 2024732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024736 */     // MIs[0] round
     /* 2024736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024739 */     // MIs[0] policy
     /* 2024739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2024754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024781 */     // GIR_Coverage, 16667,
     /* 2024781 */     GIR_EraseRootFromParent_Done,
     /* 2024782 */   // Label 26999: @2024782
     /* 2024782 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2024887), // Rule ID 16670 //
     /* 2024787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2024798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2024801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024837 */     // MIs[1] Operand 1
     /* 2024837 */     // No operand predicates
     /* 2024837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024841 */     // MIs[0] round
     /* 2024841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024844 */     // MIs[0] policy
     /* 2024844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2024859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024886 */     // GIR_Coverage, 16670,
     /* 2024886 */     GIR_EraseRootFromParent_Done,
     /* 2024887 */   // Label 27000: @2024887
     /* 2024887 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2024992), // Rule ID 16671 //
     /* 2024892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2024900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2024903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2024906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024942 */     // MIs[1] Operand 1
     /* 2024942 */     // No operand predicates
     /* 2024942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024946 */     // MIs[0] round
     /* 2024946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024949 */     // MIs[0] policy
     /* 2024949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2024964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024991 */     // GIR_Coverage, 16671,
     /* 2024991 */     GIR_EraseRootFromParent_Done,
     /* 2024992 */   // Label 27001: @2024992
     /* 2024992 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2025097), // Rule ID 16674 //
     /* 2024997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2025000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2025014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025047 */     // MIs[1] Operand 1
     /* 2025047 */     // No operand predicates
     /* 2025047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025051 */     // MIs[0] round
     /* 2025051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025054 */     // MIs[0] policy
     /* 2025054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2025069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025096 */     // GIR_Coverage, 16674,
     /* 2025096 */     GIR_EraseRootFromParent_Done,
     /* 2025097 */   // Label 27002: @2025097
     /* 2025097 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2025202), // Rule ID 16675 //
     /* 2025102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2025105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2025119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025152 */     // MIs[1] Operand 1
     /* 2025152 */     // No operand predicates
     /* 2025152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025156 */     // MIs[0] round
     /* 2025156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025159 */     // MIs[0] policy
     /* 2025159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2025174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025201 */     // GIR_Coverage, 16675,
     /* 2025201 */     GIR_EraseRootFromParent_Done,
     /* 2025202 */   // Label 27003: @2025202
     /* 2025202 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2025307), // Rule ID 16678 //
     /* 2025207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2025210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2025224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025257 */     // MIs[1] Operand 1
     /* 2025257 */     // No operand predicates
     /* 2025257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025261 */     // MIs[0] round
     /* 2025261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025264 */     // MIs[0] policy
     /* 2025264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2025279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025306 */     // GIR_Coverage, 16678,
     /* 2025306 */     GIR_EraseRootFromParent_Done,
     /* 2025307 */   // Label 27004: @2025307
     /* 2025307 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2025412), // Rule ID 16679 //
     /* 2025312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2025315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2025329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025362 */     // MIs[1] Operand 1
     /* 2025362 */     // No operand predicates
     /* 2025362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025366 */     // MIs[0] round
     /* 2025366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025369 */     // MIs[0] policy
     /* 2025369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2025384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025411 */     // GIR_Coverage, 16679,
     /* 2025411 */     GIR_EraseRootFromParent_Done,
     /* 2025412 */   // Label 27005: @2025412
     /* 2025412 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2025517), // Rule ID 16682 //
     /* 2025417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2025420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2025434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025467 */     // MIs[1] Operand 1
     /* 2025467 */     // No operand predicates
     /* 2025467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025471 */     // MIs[0] round
     /* 2025471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025474 */     // MIs[0] policy
     /* 2025474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2025489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025516 */     // GIR_Coverage, 16682,
     /* 2025516 */     GIR_EraseRootFromParent_Done,
     /* 2025517 */   // Label 27006: @2025517
     /* 2025517 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2025622), // Rule ID 16683 //
     /* 2025522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2025525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2025539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025572 */     // MIs[1] Operand 1
     /* 2025572 */     // No operand predicates
     /* 2025572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025576 */     // MIs[0] round
     /* 2025576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025579 */     // MIs[0] policy
     /* 2025579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2025594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025621 */     // GIR_Coverage, 16683,
     /* 2025621 */     GIR_EraseRootFromParent_Done,
     /* 2025622 */   // Label 27007: @2025622
     /* 2025622 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2025727), // Rule ID 16686 //
     /* 2025627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2025630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2025644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025677 */     // MIs[1] Operand 1
     /* 2025677 */     // No operand predicates
     /* 2025677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025681 */     // MIs[0] round
     /* 2025681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025684 */     // MIs[0] policy
     /* 2025684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2025699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025726 */     // GIR_Coverage, 16686,
     /* 2025726 */     GIR_EraseRootFromParent_Done,
     /* 2025727 */   // Label 27008: @2025727
     /* 2025727 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2025832), // Rule ID 16687 //
     /* 2025732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2025735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2025740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2025749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025782 */     // MIs[1] Operand 1
     /* 2025782 */     // No operand predicates
     /* 2025782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025786 */     // MIs[0] round
     /* 2025786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025789 */     // MIs[0] policy
     /* 2025789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2025804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025831 */     // GIR_Coverage, 16687,
     /* 2025831 */     GIR_EraseRootFromParent_Done,
     /* 2025832 */   // Label 27009: @2025832
     /* 2025832 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2025919), // Rule ID 2758 //
     /* 2025837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2025845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025868 */     // MIs[0] passthru
     /* 2025868 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025881 */     // MIs[0] round
     /* 2025881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025884 */     // MIs[0] policy
     /* 2025884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025894 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2025897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025918 */     // GIR_Coverage, 2758,
     /* 2025918 */     GIR_EraseRootFromParent_Done,
     /* 2025919 */   // Label 27010: @2025919
     /* 2025919 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2026006), // Rule ID 2759 //
     /* 2025924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2025927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2025932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025955 */     // MIs[0] passthru
     /* 2025955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025968 */     // MIs[0] round
     /* 2025968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025971 */     // MIs[0] policy
     /* 2025971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025981 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2025984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026005 */     // GIR_Coverage, 2759,
     /* 2026005 */     GIR_EraseRootFromParent_Done,
     /* 2026006 */   // Label 27011: @2026006
     /* 2026006 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2026093), // Rule ID 17138 //
     /* 2026011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2026014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2026028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026042 */     // MIs[0] passthru
     /* 2026042 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026055 */     // MIs[0] round
     /* 2026055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026058 */     // MIs[0] policy
     /* 2026058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2026071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026092 */     // GIR_Coverage, 17138,
     /* 2026092 */     GIR_EraseRootFromParent_Done,
     /* 2026093 */   // Label 27012: @2026093
     /* 2026093 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2026180), // Rule ID 17139 //
     /* 2026098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2026101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2026115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026129 */     // MIs[0] passthru
     /* 2026129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026142 */     // MIs[0] round
     /* 2026142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026145 */     // MIs[0] policy
     /* 2026145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026155 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2026158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026179 */     // GIR_Coverage, 17139,
     /* 2026179 */     GIR_EraseRootFromParent_Done,
     /* 2026180 */   // Label 27013: @2026180
     /* 2026180 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2026267), // Rule ID 17148 //
     /* 2026185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2026188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2026202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026216 */     // MIs[0] passthru
     /* 2026216 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026229 */     // MIs[0] round
     /* 2026229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026232 */     // MIs[0] policy
     /* 2026232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2026245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026266 */     // GIR_Coverage, 17148,
     /* 2026266 */     GIR_EraseRootFromParent_Done,
     /* 2026267 */   // Label 27014: @2026267
     /* 2026267 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2026354), // Rule ID 17149 //
     /* 2026272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2026275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2026289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026303 */     // MIs[0] passthru
     /* 2026303 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026316 */     // MIs[0] round
     /* 2026316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026319 */     // MIs[0] policy
     /* 2026319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026329 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2026332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026353 */     // GIR_Coverage, 17149,
     /* 2026353 */     GIR_EraseRootFromParent_Done,
     /* 2026354 */   // Label 27015: @2026354
     /* 2026354 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2026441), // Rule ID 17158 //
     /* 2026359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2026362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2026376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026390 */     // MIs[0] passthru
     /* 2026390 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026403 */     // MIs[0] round
     /* 2026403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026406 */     // MIs[0] policy
     /* 2026406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2026419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026440 */     // GIR_Coverage, 17158,
     /* 2026440 */     GIR_EraseRootFromParent_Done,
     /* 2026441 */   // Label 27016: @2026441
     /* 2026441 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2026528), // Rule ID 17159 //
     /* 2026446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2026449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2026463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026477 */     // MIs[0] passthru
     /* 2026477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026490 */     // MIs[0] round
     /* 2026490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026493 */     // MIs[0] policy
     /* 2026493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026503 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2026506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026527 */     // GIR_Coverage, 17159,
     /* 2026527 */     GIR_EraseRootFromParent_Done,
     /* 2026528 */   // Label 27017: @2026528
     /* 2026528 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2026615), // Rule ID 17168 //
     /* 2026533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2026536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2026550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026564 */     // MIs[0] passthru
     /* 2026564 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026577 */     // MIs[0] round
     /* 2026577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026580 */     // MIs[0] policy
     /* 2026580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026590 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2026593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026614 */     // GIR_Coverage, 17168,
     /* 2026614 */     GIR_EraseRootFromParent_Done,
     /* 2026615 */   // Label 27018: @2026615
     /* 2026615 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2026702), // Rule ID 17169 //
     /* 2026620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2026623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2026637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026651 */     // MIs[0] passthru
     /* 2026651 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026664 */     // MIs[0] round
     /* 2026664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026667 */     // MIs[0] policy
     /* 2026667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2026680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026701 */     // GIR_Coverage, 17169,
     /* 2026701 */     GIR_EraseRootFromParent_Done,
     /* 2026702 */   // Label 27019: @2026702
     /* 2026702 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2026789), // Rule ID 17178 //
     /* 2026707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2026724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026738 */     // MIs[0] passthru
     /* 2026738 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026751 */     // MIs[0] round
     /* 2026751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026754 */     // MIs[0] policy
     /* 2026754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2026767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026788 */     // GIR_Coverage, 17178,
     /* 2026788 */     GIR_EraseRootFromParent_Done,
     /* 2026789 */   // Label 27020: @2026789
     /* 2026789 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2026876), // Rule ID 17179 //
     /* 2026794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2026811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026825 */     // MIs[0] passthru
     /* 2026825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026838 */     // MIs[0] round
     /* 2026838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026841 */     // MIs[0] policy
     /* 2026841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026851 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2026854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026875 */     // GIR_Coverage, 17179,
     /* 2026875 */     GIR_EraseRootFromParent_Done,
     /* 2026876 */   // Label 27021: @2026876
     /* 2026876 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2026963), // Rule ID 17188 //
     /* 2026881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026912 */     // MIs[0] passthru
     /* 2026912 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026925 */     // MIs[0] round
     /* 2026925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026928 */     // MIs[0] policy
     /* 2026928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2026941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026962 */     // GIR_Coverage, 17188,
     /* 2026962 */     GIR_EraseRootFromParent_Done,
     /* 2026963 */   // Label 27022: @2026963
     /* 2026963 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2027050), // Rule ID 17189 //
     /* 2026968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2026976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026999 */     // MIs[0] passthru
     /* 2026999 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027012 */     // MIs[0] round
     /* 2027012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027015 */     // MIs[0] policy
     /* 2027015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027025 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2027028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027049 */     // GIR_Coverage, 17189,
     /* 2027049 */     GIR_EraseRootFromParent_Done,
     /* 2027050 */   // Label 27023: @2027050
     /* 2027050 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2027137), // Rule ID 17198 //
     /* 2027055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2027058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2027066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2027069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2027072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027086 */     // MIs[0] passthru
     /* 2027086 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027099 */     // MIs[0] round
     /* 2027099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027102 */     // MIs[0] policy
     /* 2027102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027112 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2027115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027136 */     // GIR_Coverage, 17198,
     /* 2027136 */     GIR_EraseRootFromParent_Done,
     /* 2027137 */   // Label 27024: @2027137
     /* 2027137 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2027224), // Rule ID 17199 //
     /* 2027142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2027145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2027153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2027156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2027159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027173 */     // MIs[0] passthru
     /* 2027173 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027186 */     // MIs[0] round
     /* 2027186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027189 */     // MIs[0] policy
     /* 2027189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027199 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2027202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027223 */     // GIR_Coverage, 17199,
     /* 2027223 */     GIR_EraseRootFromParent_Done,
     /* 2027224 */   // Label 27025: @2027224
     /* 2027224 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2027311), // Rule ID 17208 //
     /* 2027229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2027232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2027240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2027243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2027246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027260 */     // MIs[0] passthru
     /* 2027260 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027273 */     // MIs[0] round
     /* 2027273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027276 */     // MIs[0] policy
     /* 2027276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027286 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2027289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027310 */     // GIR_Coverage, 17208,
     /* 2027310 */     GIR_EraseRootFromParent_Done,
     /* 2027311 */   // Label 27026: @2027311
     /* 2027311 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2027398), // Rule ID 17209 //
     /* 2027316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2027319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2027327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2027330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2027333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027347 */     // MIs[0] passthru
     /* 2027347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027360 */     // MIs[0] round
     /* 2027360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027363 */     // MIs[0] policy
     /* 2027363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027373 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2027376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027397 */     // GIR_Coverage, 17209,
     /* 2027397 */     GIR_EraseRootFromParent_Done,
     /* 2027398 */   // Label 27027: @2027398
     /* 2027398 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2027485), // Rule ID 17254 //
     /* 2027403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2027406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027434 */     // MIs[0] passthru
     /* 2027434 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027447 */     // MIs[0] round
     /* 2027447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027450 */     // MIs[0] policy
     /* 2027450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027460 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2027463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027484 */     // GIR_Coverage, 17254,
     /* 2027484 */     GIR_EraseRootFromParent_Done,
     /* 2027485 */   // Label 27028: @2027485
     /* 2027485 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2027572), // Rule ID 17255 //
     /* 2027490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2027493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027521 */     // MIs[0] passthru
     /* 2027521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027534 */     // MIs[0] round
     /* 2027534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027537 */     // MIs[0] policy
     /* 2027537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027547 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2027550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027571 */     // GIR_Coverage, 17255,
     /* 2027571 */     GIR_EraseRootFromParent_Done,
     /* 2027572 */   // Label 27029: @2027572
     /* 2027572 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2027659), // Rule ID 17264 //
     /* 2027577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2027580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2027594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027608 */     // MIs[0] passthru
     /* 2027608 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027621 */     // MIs[0] round
     /* 2027621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027624 */     // MIs[0] policy
     /* 2027624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2027637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027658 */     // GIR_Coverage, 17264,
     /* 2027658 */     GIR_EraseRootFromParent_Done,
     /* 2027659 */   // Label 27030: @2027659
     /* 2027659 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2027746), // Rule ID 17265 //
     /* 2027664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2027667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2027681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027695 */     // MIs[0] passthru
     /* 2027695 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027708 */     // MIs[0] round
     /* 2027708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027711 */     // MIs[0] policy
     /* 2027711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2027724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027745 */     // GIR_Coverage, 17265,
     /* 2027745 */     GIR_EraseRootFromParent_Done,
     /* 2027746 */   // Label 27031: @2027746
     /* 2027746 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2027833), // Rule ID 17274 //
     /* 2027751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2027754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2027768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027782 */     // MIs[0] passthru
     /* 2027782 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027795 */     // MIs[0] round
     /* 2027795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027798 */     // MIs[0] policy
     /* 2027798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2027811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027832 */     // GIR_Coverage, 17274,
     /* 2027832 */     GIR_EraseRootFromParent_Done,
     /* 2027833 */   // Label 27032: @2027833
     /* 2027833 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2027920), // Rule ID 17275 //
     /* 2027838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2027841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2027855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027869 */     // MIs[0] passthru
     /* 2027869 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027882 */     // MIs[0] round
     /* 2027882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027885 */     // MIs[0] policy
     /* 2027885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027895 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2027898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027919 */     // GIR_Coverage, 17275,
     /* 2027919 */     GIR_EraseRootFromParent_Done,
     /* 2027920 */   // Label 27033: @2027920
     /* 2027920 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2028007), // Rule ID 17284 //
     /* 2027925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2027928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2027933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2027942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027956 */     // MIs[0] passthru
     /* 2027956 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2027961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027969 */     // MIs[0] round
     /* 2027969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027972 */     // MIs[0] policy
     /* 2027972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027982 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2027985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028006 */     // GIR_Coverage, 17284,
     /* 2028006 */     GIR_EraseRootFromParent_Done,
     /* 2028007 */   // Label 27034: @2028007
     /* 2028007 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2028094), // Rule ID 17285 //
     /* 2028012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2028015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2028023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2028026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2028029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028043 */     // MIs[0] passthru
     /* 2028043 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028056 */     // MIs[0] round
     /* 2028056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028059 */     // MIs[0] policy
     /* 2028059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028069 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2028072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028093 */     // GIR_Coverage, 17285,
     /* 2028093 */     GIR_EraseRootFromParent_Done,
     /* 2028094 */   // Label 27035: @2028094
     /* 2028094 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2028181), // Rule ID 17294 //
     /* 2028099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2028102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2028116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028130 */     // MIs[0] passthru
     /* 2028130 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028143 */     // MIs[0] round
     /* 2028143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028146 */     // MIs[0] policy
     /* 2028146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2028159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028180 */     // GIR_Coverage, 17294,
     /* 2028180 */     GIR_EraseRootFromParent_Done,
     /* 2028181 */   // Label 27036: @2028181
     /* 2028181 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2028268), // Rule ID 17295 //
     /* 2028186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2028189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2028203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028217 */     // MIs[0] passthru
     /* 2028217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028230 */     // MIs[0] round
     /* 2028230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028233 */     // MIs[0] policy
     /* 2028233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028243 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2028246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028267 */     // GIR_Coverage, 17295,
     /* 2028267 */     GIR_EraseRootFromParent_Done,
     /* 2028268 */   // Label 27037: @2028268
     /* 2028268 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2028355), // Rule ID 17304 //
     /* 2028273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2028276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028304 */     // MIs[0] passthru
     /* 2028304 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028317 */     // MIs[0] round
     /* 2028317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028320 */     // MIs[0] policy
     /* 2028320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2028333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028354 */     // GIR_Coverage, 17304,
     /* 2028354 */     GIR_EraseRootFromParent_Done,
     /* 2028355 */   // Label 27038: @2028355
     /* 2028355 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2028442), // Rule ID 17305 //
     /* 2028360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2028363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028391 */     // MIs[0] passthru
     /* 2028391 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028404 */     // MIs[0] round
     /* 2028404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028407 */     // MIs[0] policy
     /* 2028407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2028420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028441 */     // GIR_Coverage, 17305,
     /* 2028441 */     GIR_EraseRootFromParent_Done,
     /* 2028442 */   // Label 27039: @2028442
     /* 2028442 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2028529), // Rule ID 17314 //
     /* 2028447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2028450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028478 */     // MIs[0] passthru
     /* 2028478 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028491 */     // MIs[0] round
     /* 2028491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028494 */     // MIs[0] policy
     /* 2028494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2028507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028528 */     // GIR_Coverage, 17314,
     /* 2028528 */     GIR_EraseRootFromParent_Done,
     /* 2028529 */   // Label 27040: @2028529
     /* 2028529 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2028616), // Rule ID 17315 //
     /* 2028534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2028537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028565 */     // MIs[0] passthru
     /* 2028565 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028578 */     // MIs[0] round
     /* 2028578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028581 */     // MIs[0] policy
     /* 2028581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028591 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2028594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028615 */     // GIR_Coverage, 17315,
     /* 2028615 */     GIR_EraseRootFromParent_Done,
     /* 2028616 */   // Label 27041: @2028616
     /* 2028616 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2028703), // Rule ID 17324 //
     /* 2028621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2028624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2028638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028652 */     // MIs[0] passthru
     /* 2028652 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028665 */     // MIs[0] round
     /* 2028665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028668 */     // MIs[0] policy
     /* 2028668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028678 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2028681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028702 */     // GIR_Coverage, 17324,
     /* 2028702 */     GIR_EraseRootFromParent_Done,
     /* 2028703 */   // Label 27042: @2028703
     /* 2028703 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2028790), // Rule ID 17325 //
     /* 2028708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2028711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2028725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028739 */     // MIs[0] passthru
     /* 2028739 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028752 */     // MIs[0] round
     /* 2028752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028755 */     // MIs[0] policy
     /* 2028755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028765 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2028768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028789 */     // GIR_Coverage, 17325,
     /* 2028789 */     GIR_EraseRootFromParent_Done,
     /* 2028790 */   // Label 27043: @2028790
     /* 2028790 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2028877), // Rule ID 17334 //
     /* 2028795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2028798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2028812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028826 */     // MIs[0] passthru
     /* 2028826 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028839 */     // MIs[0] round
     /* 2028839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028842 */     // MIs[0] policy
     /* 2028842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2028855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028876 */     // GIR_Coverage, 17334,
     /* 2028876 */     GIR_EraseRootFromParent_Done,
     /* 2028877 */   // Label 27044: @2028877
     /* 2028877 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2028964), // Rule ID 17335 //
     /* 2028882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2028885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2028890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2028899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028913 */     // MIs[0] passthru
     /* 2028913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2028918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028926 */     // MIs[0] round
     /* 2028926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028929 */     // MIs[0] policy
     /* 2028929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028939 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2028942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028963 */     // GIR_Coverage, 17335,
     /* 2028963 */     GIR_EraseRootFromParent_Done,
     /* 2028964 */   // Label 27045: @2028964
     /* 2028964 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2029055), // Rule ID 2716 //
     /* 2028969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2028980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2028983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2028986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2028989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029015 */     // MIs[0] round
     /* 2029015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029018 */     // MIs[0] policy
     /* 2029018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2029031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029054 */     // GIR_Coverage, 2716,
     /* 2029054 */     GIR_EraseRootFromParent_Done,
     /* 2029055 */   // Label 27046: @2029055
     /* 2029055 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2029146), // Rule ID 2717 //
     /* 2029060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2029071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2029074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2029077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2029080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029106 */     // MIs[0] round
     /* 2029106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029109 */     // MIs[0] policy
     /* 2029109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029119 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2029122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029145 */     // GIR_Coverage, 2717,
     /* 2029145 */     GIR_EraseRootFromParent_Done,
     /* 2029146 */   // Label 27047: @2029146
     /* 2029146 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2029237), // Rule ID 2760 //
     /* 2029151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2029154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2029159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2029162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2029165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029197 */     // MIs[0] round
     /* 2029197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029200 */     // MIs[0] policy
     /* 2029200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029210 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2029213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029236 */     // GIR_Coverage, 2760,
     /* 2029236 */     GIR_EraseRootFromParent_Done,
     /* 2029237 */   // Label 27048: @2029237
     /* 2029237 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2029328), // Rule ID 2761 //
     /* 2029242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2029245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2029250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2029253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2029256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029288 */     // MIs[0] round
     /* 2029288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029291 */     // MIs[0] policy
     /* 2029291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029301 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2029304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029327 */     // GIR_Coverage, 2761,
     /* 2029327 */     GIR_EraseRootFromParent_Done,
     /* 2029328 */   // Label 27049: @2029328
     /* 2029328 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2029419), // Rule ID 2768 //
     /* 2029333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2029336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2029341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029379 */     // MIs[0] round
     /* 2029379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029382 */     // MIs[0] policy
     /* 2029382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029392 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2029395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2029399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029418 */     // GIR_Coverage, 2768,
     /* 2029418 */     GIR_EraseRootFromParent_Done,
     /* 2029419 */   // Label 27050: @2029419
     /* 2029419 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2029510), // Rule ID 2769 //
     /* 2029424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2029427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2029432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029470 */     // MIs[0] round
     /* 2029470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029473 */     // MIs[0] policy
     /* 2029473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029483 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2029486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2029490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029509 */     // GIR_Coverage, 2769,
     /* 2029509 */     GIR_EraseRootFromParent_Done,
     /* 2029510 */   // Label 27051: @2029510
     /* 2029510 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2029601), // Rule ID 14926 //
     /* 2029515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2029535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029561 */     // MIs[0] round
     /* 2029561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029564 */     // MIs[0] policy
     /* 2029564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2029577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029600 */     // GIR_Coverage, 14926,
     /* 2029600 */     GIR_EraseRootFromParent_Done,
     /* 2029601 */   // Label 27052: @2029601
     /* 2029601 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2029692), // Rule ID 14927 //
     /* 2029606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2029626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029652 */     // MIs[0] round
     /* 2029652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029655 */     // MIs[0] policy
     /* 2029655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2029668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029691 */     // GIR_Coverage, 14927,
     /* 2029691 */     GIR_EraseRootFromParent_Done,
     /* 2029692 */   // Label 27053: @2029692
     /* 2029692 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2029783), // Rule ID 14930 //
     /* 2029697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2029717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029743 */     // MIs[0] round
     /* 2029743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029746 */     // MIs[0] policy
     /* 2029746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2029759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029782 */     // GIR_Coverage, 14930,
     /* 2029782 */     GIR_EraseRootFromParent_Done,
     /* 2029783 */   // Label 27054: @2029783
     /* 2029783 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2029874), // Rule ID 14931 //
     /* 2029788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2029808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029834 */     // MIs[0] round
     /* 2029834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029837 */     // MIs[0] policy
     /* 2029837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2029850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029873 */     // GIR_Coverage, 14931,
     /* 2029873 */     GIR_EraseRootFromParent_Done,
     /* 2029874 */   // Label 27055: @2029874
     /* 2029874 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2029965), // Rule ID 14934 //
     /* 2029879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029925 */     // MIs[0] round
     /* 2029925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029928 */     // MIs[0] policy
     /* 2029928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2029941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029964 */     // GIR_Coverage, 14934,
     /* 2029964 */     GIR_EraseRootFromParent_Done,
     /* 2029965 */   // Label 27056: @2029965
     /* 2029965 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2030056), // Rule ID 14935 //
     /* 2029970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030016 */     // MIs[0] round
     /* 2030016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030019 */     // MIs[0] policy
     /* 2030019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030029 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2030032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030055 */     // GIR_Coverage, 14935,
     /* 2030055 */     GIR_EraseRootFromParent_Done,
     /* 2030056 */   // Label 27057: @2030056
     /* 2030056 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2030147), // Rule ID 14938 //
     /* 2030061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2030081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030107 */     // MIs[0] round
     /* 2030107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030110 */     // MIs[0] policy
     /* 2030110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2030123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030146 */     // GIR_Coverage, 14938,
     /* 2030146 */     GIR_EraseRootFromParent_Done,
     /* 2030147 */   // Label 27058: @2030147
     /* 2030147 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2030238), // Rule ID 14939 //
     /* 2030152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2030172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030198 */     // MIs[0] round
     /* 2030198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030201 */     // MIs[0] policy
     /* 2030201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2030214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030237 */     // GIR_Coverage, 14939,
     /* 2030237 */     GIR_EraseRootFromParent_Done,
     /* 2030238 */   // Label 27059: @2030238
     /* 2030238 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2030329), // Rule ID 14942 //
     /* 2030243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2030263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030289 */     // MIs[0] round
     /* 2030289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030292 */     // MIs[0] policy
     /* 2030292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2030305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030328 */     // GIR_Coverage, 14942,
     /* 2030328 */     GIR_EraseRootFromParent_Done,
     /* 2030329 */   // Label 27060: @2030329
     /* 2030329 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2030420), // Rule ID 14943 //
     /* 2030334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2030354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030380 */     // MIs[0] round
     /* 2030380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030383 */     // MIs[0] policy
     /* 2030383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2030396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030419 */     // GIR_Coverage, 14943,
     /* 2030419 */     GIR_EraseRootFromParent_Done,
     /* 2030420 */   // Label 27061: @2030420
     /* 2030420 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2030511), // Rule ID 14946 //
     /* 2030425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2030436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2030439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2030445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030471 */     // MIs[0] round
     /* 2030471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030474 */     // MIs[0] policy
     /* 2030474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030510 */     // GIR_Coverage, 14946,
     /* 2030510 */     GIR_EraseRootFromParent_Done,
     /* 2030511 */   // Label 27062: @2030511
     /* 2030511 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2030602), // Rule ID 14947 //
     /* 2030516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2030527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2030530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2030536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030562 */     // MIs[0] round
     /* 2030562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030565 */     // MIs[0] policy
     /* 2030565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030575 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030601 */     // GIR_Coverage, 14947,
     /* 2030601 */     GIR_EraseRootFromParent_Done,
     /* 2030602 */   // Label 27063: @2030602
     /* 2030602 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2030693), // Rule ID 14950 //
     /* 2030607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2030627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030653 */     // MIs[0] round
     /* 2030653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030656 */     // MIs[0] policy
     /* 2030656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030692 */     // GIR_Coverage, 14950,
     /* 2030692 */     GIR_EraseRootFromParent_Done,
     /* 2030693 */   // Label 27064: @2030693
     /* 2030693 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2030784), // Rule ID 14951 //
     /* 2030698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2030718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030744 */     // MIs[0] round
     /* 2030744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030747 */     // MIs[0] policy
     /* 2030747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030783 */     // GIR_Coverage, 14951,
     /* 2030783 */     GIR_EraseRootFromParent_Done,
     /* 2030784 */   // Label 27065: @2030784
     /* 2030784 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2030875), // Rule ID 14954 //
     /* 2030789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2030809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030835 */     // MIs[0] round
     /* 2030835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030838 */     // MIs[0] policy
     /* 2030838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030874 */     // GIR_Coverage, 14954,
     /* 2030874 */     GIR_EraseRootFromParent_Done,
     /* 2030875 */   // Label 27066: @2030875
     /* 2030875 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2030966), // Rule ID 14955 //
     /* 2030880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2030900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030926 */     // MIs[0] round
     /* 2030926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030929 */     // MIs[0] policy
     /* 2030929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2030942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030965 */     // GIR_Coverage, 14955,
     /* 2030965 */     GIR_EraseRootFromParent_Done,
     /* 2030966 */   // Label 27067: @2030966
     /* 2030966 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2031057), // Rule ID 14958 //
     /* 2030971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2030982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2030985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2030991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031017 */     // MIs[0] round
     /* 2031017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031020 */     // MIs[0] policy
     /* 2031020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2031033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031056 */     // GIR_Coverage, 14958,
     /* 2031056 */     GIR_EraseRootFromParent_Done,
     /* 2031057 */   // Label 27068: @2031057
     /* 2031057 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2031148), // Rule ID 14959 //
     /* 2031062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2031065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2031082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031108 */     // MIs[0] round
     /* 2031108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031111 */     // MIs[0] policy
     /* 2031111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2031124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031147 */     // GIR_Coverage, 14959,
     /* 2031147 */     GIR_EraseRootFromParent_Done,
     /* 2031148 */   // Label 27069: @2031148
     /* 2031148 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2031239), // Rule ID 14962 //
     /* 2031153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2031164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2031167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2031170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2031173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031199 */     // MIs[0] round
     /* 2031199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031202 */     // MIs[0] policy
     /* 2031202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2031215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031238 */     // GIR_Coverage, 14962,
     /* 2031238 */     GIR_EraseRootFromParent_Done,
     /* 2031239 */   // Label 27070: @2031239
     /* 2031239 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2031330), // Rule ID 14963 //
     /* 2031244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2031255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2031258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2031261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2031264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031290 */     // MIs[0] round
     /* 2031290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031293 */     // MIs[0] policy
     /* 2031293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2031306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031329 */     // GIR_Coverage, 14963,
     /* 2031329 */     GIR_EraseRootFromParent_Done,
     /* 2031330 */   // Label 27071: @2031330
     /* 2031330 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2031421), // Rule ID 14966 //
     /* 2031335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2031346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2031349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2031352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2031355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031381 */     // MIs[0] round
     /* 2031381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031384 */     // MIs[0] policy
     /* 2031384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2031397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031420 */     // GIR_Coverage, 14966,
     /* 2031420 */     GIR_EraseRootFromParent_Done,
     /* 2031421 */   // Label 27072: @2031421
     /* 2031421 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2031512), // Rule ID 14967 //
     /* 2031426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2031437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2031440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2031443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2031446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031472 */     // MIs[0] round
     /* 2031472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031475 */     // MIs[0] policy
     /* 2031475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031485 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2031488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031511 */     // GIR_Coverage, 14967,
     /* 2031511 */     GIR_EraseRootFromParent_Done,
     /* 2031512 */   // Label 27073: @2031512
     /* 2031512 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2031603), // Rule ID 14970 //
     /* 2031517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2031528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2031531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2031534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2031537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2031540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031563 */     // MIs[0] round
     /* 2031563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031566 */     // MIs[0] policy
     /* 2031566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031576 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2031579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031602 */     // GIR_Coverage, 14970,
     /* 2031602 */     GIR_EraseRootFromParent_Done,
     /* 2031603 */   // Label 27074: @2031603
     /* 2031603 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2031694), // Rule ID 14971 //
     /* 2031608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2031619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2031622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2031625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2031628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2031631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031654 */     // MIs[0] round
     /* 2031654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031657 */     // MIs[0] policy
     /* 2031657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031667 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2031670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031693 */     // GIR_Coverage, 14971,
     /* 2031693 */     GIR_EraseRootFromParent_Done,
     /* 2031694 */   // Label 27075: @2031694
     /* 2031694 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2031785), // Rule ID 14974 //
     /* 2031699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031745 */     // MIs[0] round
     /* 2031745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031748 */     // MIs[0] policy
     /* 2031748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2031761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031784 */     // GIR_Coverage, 14974,
     /* 2031784 */     GIR_EraseRootFromParent_Done,
     /* 2031785 */   // Label 27076: @2031785
     /* 2031785 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2031876), // Rule ID 14975 //
     /* 2031790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031836 */     // MIs[0] round
     /* 2031836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031839 */     // MIs[0] policy
     /* 2031839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2031852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031875 */     // GIR_Coverage, 14975,
     /* 2031875 */     GIR_EraseRootFromParent_Done,
     /* 2031876 */   // Label 27077: @2031876
     /* 2031876 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2031967), // Rule ID 14978 //
     /* 2031881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2031901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031927 */     // MIs[0] round
     /* 2031927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031930 */     // MIs[0] policy
     /* 2031930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2031943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031966 */     // GIR_Coverage, 14978,
     /* 2031966 */     GIR_EraseRootFromParent_Done,
     /* 2031967 */   // Label 27078: @2031967
     /* 2031967 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2032058), // Rule ID 14979 //
     /* 2031972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2031992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032018 */     // MIs[0] round
     /* 2032018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032021 */     // MIs[0] policy
     /* 2032021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2032034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032057 */     // GIR_Coverage, 14979,
     /* 2032057 */     GIR_EraseRootFromParent_Done,
     /* 2032058 */   // Label 27079: @2032058
     /* 2032058 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2032149), // Rule ID 14982 //
     /* 2032063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2032074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2032077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2032080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2032083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032109 */     // MIs[0] round
     /* 2032109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032112 */     // MIs[0] policy
     /* 2032112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2032125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032148 */     // GIR_Coverage, 14982,
     /* 2032148 */     GIR_EraseRootFromParent_Done,
     /* 2032149 */   // Label 27080: @2032149
     /* 2032149 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2032240), // Rule ID 14983 //
     /* 2032154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2032165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2032168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2032171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2032174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032200 */     // MIs[0] round
     /* 2032200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032203 */     // MIs[0] policy
     /* 2032203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2032216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032239 */     // GIR_Coverage, 14983,
     /* 2032239 */     GIR_EraseRootFromParent_Done,
     /* 2032240 */   // Label 27081: @2032240
     /* 2032240 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2032331), // Rule ID 14986 //
     /* 2032245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032291 */     // MIs[0] round
     /* 2032291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032294 */     // MIs[0] policy
     /* 2032294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2032307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032330 */     // GIR_Coverage, 14986,
     /* 2032330 */     GIR_EraseRootFromParent_Done,
     /* 2032331 */   // Label 27082: @2032331
     /* 2032331 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2032422), // Rule ID 14987 //
     /* 2032336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032382 */     // MIs[0] round
     /* 2032382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032385 */     // MIs[0] policy
     /* 2032385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2032398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032421 */     // GIR_Coverage, 14987,
     /* 2032421 */     GIR_EraseRootFromParent_Done,
     /* 2032422 */   // Label 27083: @2032422
     /* 2032422 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2032513), // Rule ID 14990 //
     /* 2032427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2032438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2032441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032473 */     // MIs[0] round
     /* 2032473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032476 */     // MIs[0] policy
     /* 2032476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2032489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032512 */     // GIR_Coverage, 14990,
     /* 2032512 */     GIR_EraseRootFromParent_Done,
     /* 2032513 */   // Label 27084: @2032513
     /* 2032513 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2032604), // Rule ID 14991 //
     /* 2032518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2032529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2032532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032564 */     // MIs[0] round
     /* 2032564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032567 */     // MIs[0] policy
     /* 2032567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032577 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2032580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032603 */     // GIR_Coverage, 14991,
     /* 2032603 */     GIR_EraseRootFromParent_Done,
     /* 2032604 */   // Label 27085: @2032604
     /* 2032604 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2032695), // Rule ID 14994 //
     /* 2032609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2032629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032655 */     // MIs[0] round
     /* 2032655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032658 */     // MIs[0] policy
     /* 2032658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2032671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032694 */     // GIR_Coverage, 14994,
     /* 2032694 */     GIR_EraseRootFromParent_Done,
     /* 2032695 */   // Label 27086: @2032695
     /* 2032695 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2032786), // Rule ID 14995 //
     /* 2032700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2032720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032746 */     // MIs[0] round
     /* 2032746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032749 */     // MIs[0] policy
     /* 2032749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2032762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032785 */     // GIR_Coverage, 14995,
     /* 2032785 */     GIR_EraseRootFromParent_Done,
     /* 2032786 */   // Label 27087: @2032786
     /* 2032786 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2032877), // Rule ID 14998 //
     /* 2032791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2032811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032837 */     // MIs[0] round
     /* 2032837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032840 */     // MIs[0] policy
     /* 2032840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2032853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032876 */     // GIR_Coverage, 14998,
     /* 2032876 */     GIR_EraseRootFromParent_Done,
     /* 2032877 */   // Label 27088: @2032877
     /* 2032877 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2032968), // Rule ID 14999 //
     /* 2032882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2032902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032928 */     // MIs[0] round
     /* 2032928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032931 */     // MIs[0] policy
     /* 2032931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032941 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2032944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032967 */     // GIR_Coverage, 14999,
     /* 2032967 */     GIR_EraseRootFromParent_Done,
     /* 2032968 */   // Label 27089: @2032968
     /* 2032968 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2033059), // Rule ID 15002 //
     /* 2032973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2032993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033019 */     // MIs[0] round
     /* 2033019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033022 */     // MIs[0] policy
     /* 2033022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2033035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033058 */     // GIR_Coverage, 15002,
     /* 2033058 */     GIR_EraseRootFromParent_Done,
     /* 2033059 */   // Label 27090: @2033059
     /* 2033059 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2033150), // Rule ID 15003 //
     /* 2033064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2033067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2033084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033110 */     // MIs[0] round
     /* 2033110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033113 */     // MIs[0] policy
     /* 2033113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2033126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033149 */     // GIR_Coverage, 15003,
     /* 2033149 */     GIR_EraseRootFromParent_Done,
     /* 2033150 */   // Label 27091: @2033150
     /* 2033150 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2033241), // Rule ID 15006 //
     /* 2033155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2033158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033201 */     // MIs[0] round
     /* 2033201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033204 */     // MIs[0] policy
     /* 2033204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2033217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033240 */     // GIR_Coverage, 15006,
     /* 2033240 */     GIR_EraseRootFromParent_Done,
     /* 2033241 */   // Label 27092: @2033241
     /* 2033241 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2033332), // Rule ID 15007 //
     /* 2033246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2033249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033292 */     // MIs[0] round
     /* 2033292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033295 */     // MIs[0] policy
     /* 2033295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2033308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033331 */     // GIR_Coverage, 15007,
     /* 2033331 */     GIR_EraseRootFromParent_Done,
     /* 2033332 */   // Label 27093: @2033332
     /* 2033332 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2033423), // Rule ID 15010 //
     /* 2033337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2033348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2033351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2033354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033383 */     // MIs[0] round
     /* 2033383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033386 */     // MIs[0] policy
     /* 2033386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2033399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033422 */     // GIR_Coverage, 15010,
     /* 2033422 */     GIR_EraseRootFromParent_Done,
     /* 2033423 */   // Label 27094: @2033423
     /* 2033423 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2033514), // Rule ID 15011 //
     /* 2033428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2033439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2033442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2033445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033474 */     // MIs[0] round
     /* 2033474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033477 */     // MIs[0] policy
     /* 2033477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033487 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2033490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033513 */     // GIR_Coverage, 15011,
     /* 2033513 */     GIR_EraseRootFromParent_Done,
     /* 2033514 */   // Label 27095: @2033514
     /* 2033514 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2033605), // Rule ID 15014 //
     /* 2033519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2033530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2033533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2033536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033565 */     // MIs[0] round
     /* 2033565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033568 */     // MIs[0] policy
     /* 2033568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033578 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2033581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033604 */     // GIR_Coverage, 15014,
     /* 2033604 */     GIR_EraseRootFromParent_Done,
     /* 2033605 */   // Label 27096: @2033605
     /* 2033605 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2033696), // Rule ID 15015 //
     /* 2033610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2033621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2033624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2033627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033656 */     // MIs[0] round
     /* 2033656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033659 */     // MIs[0] policy
     /* 2033659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2033672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033695 */     // GIR_Coverage, 15015,
     /* 2033695 */     GIR_EraseRootFromParent_Done,
     /* 2033696 */   // Label 27097: @2033696
     /* 2033696 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2033787), // Rule ID 15018 //
     /* 2033701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033747 */     // MIs[0] round
     /* 2033747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033750 */     // MIs[0] policy
     /* 2033750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033760 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2033763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033786 */     // GIR_Coverage, 15018,
     /* 2033786 */     GIR_EraseRootFromParent_Done,
     /* 2033787 */   // Label 27098: @2033787
     /* 2033787 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2033878), // Rule ID 15019 //
     /* 2033792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033838 */     // MIs[0] round
     /* 2033838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033841 */     // MIs[0] policy
     /* 2033841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2033854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033877 */     // GIR_Coverage, 15019,
     /* 2033877 */     GIR_EraseRootFromParent_Done,
     /* 2033878 */   // Label 27099: @2033878
     /* 2033878 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2033969), // Rule ID 15022 //
     /* 2033883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2033900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033929 */     // MIs[0] round
     /* 2033929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033932 */     // MIs[0] policy
     /* 2033932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2033945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033968 */     // GIR_Coverage, 15022,
     /* 2033968 */     GIR_EraseRootFromParent_Done,
     /* 2033969 */   // Label 27100: @2033969
     /* 2033969 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2034060), // Rule ID 15023 //
     /* 2033974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2033991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034020 */     // MIs[0] round
     /* 2034020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034023 */     // MIs[0] policy
     /* 2034023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2034036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034059 */     // GIR_Coverage, 15023,
     /* 2034059 */     GIR_EraseRootFromParent_Done,
     /* 2034060 */   // Label 27101: @2034060
     /* 2034060 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2034151), // Rule ID 15026 //
     /* 2034065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2034076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2034079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034111 */     // MIs[0] round
     /* 2034111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034114 */     // MIs[0] policy
     /* 2034114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2034127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034150 */     // GIR_Coverage, 15026,
     /* 2034150 */     GIR_EraseRootFromParent_Done,
     /* 2034151 */   // Label 27102: @2034151
     /* 2034151 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2034242), // Rule ID 15027 //
     /* 2034156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2034167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2034170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034202 */     // MIs[0] round
     /* 2034202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034205 */     // MIs[0] policy
     /* 2034205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034215 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2034218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034241 */     // GIR_Coverage, 15027,
     /* 2034241 */     GIR_EraseRootFromParent_Done,
     /* 2034242 */   // Label 27103: @2034242
     /* 2034242 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2034333), // Rule ID 15030 //
     /* 2034247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034293 */     // MIs[0] round
     /* 2034293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034296 */     // MIs[0] policy
     /* 2034296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2034309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034332 */     // GIR_Coverage, 15030,
     /* 2034332 */     GIR_EraseRootFromParent_Done,
     /* 2034333 */   // Label 27104: @2034333
     /* 2034333 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2034424), // Rule ID 15031 //
     /* 2034338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034384 */     // MIs[0] round
     /* 2034384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034387 */     // MIs[0] policy
     /* 2034387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2034400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034423 */     // GIR_Coverage, 15031,
     /* 2034423 */     GIR_EraseRootFromParent_Done,
     /* 2034424 */   // Label 27105: @2034424
     /* 2034424 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2034515), // Rule ID 15034 //
     /* 2034429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2034440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2034443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2034446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034475 */     // MIs[0] round
     /* 2034475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034478 */     // MIs[0] policy
     /* 2034478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034514 */     // GIR_Coverage, 15034,
     /* 2034514 */     GIR_EraseRootFromParent_Done,
     /* 2034515 */   // Label 27106: @2034515
     /* 2034515 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2034606), // Rule ID 15035 //
     /* 2034520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2034531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2034534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2034537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034566 */     // MIs[0] round
     /* 2034566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034569 */     // MIs[0] policy
     /* 2034569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034605 */     // GIR_Coverage, 15035,
     /* 2034605 */     GIR_EraseRootFromParent_Done,
     /* 2034606 */   // Label 27107: @2034606
     /* 2034606 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2034697), // Rule ID 15038 //
     /* 2034611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034657 */     // MIs[0] round
     /* 2034657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034660 */     // MIs[0] policy
     /* 2034660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034696 */     // GIR_Coverage, 15038,
     /* 2034696 */     GIR_EraseRootFromParent_Done,
     /* 2034697 */   // Label 27108: @2034697
     /* 2034697 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2034788), // Rule ID 15039 //
     /* 2034702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034748 */     // MIs[0] round
     /* 2034748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034751 */     // MIs[0] policy
     /* 2034751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034787 */     // GIR_Coverage, 15039,
     /* 2034787 */     GIR_EraseRootFromParent_Done,
     /* 2034788 */   // Label 27109: @2034788
     /* 2034788 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2034879), // Rule ID 15042 //
     /* 2034793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2034810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034839 */     // MIs[0] round
     /* 2034839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034842 */     // MIs[0] policy
     /* 2034842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034878 */     // GIR_Coverage, 15042,
     /* 2034878 */     GIR_EraseRootFromParent_Done,
     /* 2034879 */   // Label 27110: @2034879
     /* 2034879 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2034970), // Rule ID 15043 //
     /* 2034884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2034901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034930 */     // MIs[0] round
     /* 2034930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034933 */     // MIs[0] policy
     /* 2034933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2034946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034969 */     // GIR_Coverage, 15043,
     /* 2034969 */     GIR_EraseRootFromParent_Done,
     /* 2034970 */   // Label 27111: @2034970
     /* 2034970 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2035061), // Rule ID 15046 //
     /* 2034975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2034986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2034989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035021 */     // MIs[0] round
     /* 2035021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035024 */     // MIs[0] policy
     /* 2035024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035034 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2035037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035060 */     // GIR_Coverage, 15046,
     /* 2035060 */     GIR_EraseRootFromParent_Done,
     /* 2035061 */   // Label 27112: @2035061
     /* 2035061 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2035152), // Rule ID 15047 //
     /* 2035066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2035069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2035083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035112 */     // MIs[0] round
     /* 2035112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035115 */     // MIs[0] policy
     /* 2035115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2035128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035151 */     // GIR_Coverage, 15047,
     /* 2035151 */     GIR_EraseRootFromParent_Done,
     /* 2035152 */   // Label 27113: @2035152
     /* 2035152 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2035243), // Rule ID 15050 //
     /* 2035157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2035168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2035171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2035174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035203 */     // MIs[0] round
     /* 2035203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035206 */     // MIs[0] policy
     /* 2035206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2035219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035242 */     // GIR_Coverage, 15050,
     /* 2035242 */     GIR_EraseRootFromParent_Done,
     /* 2035243 */   // Label 27114: @2035243
     /* 2035243 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2035334), // Rule ID 15051 //
     /* 2035248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2035259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2035262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2035265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035294 */     // MIs[0] round
     /* 2035294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035297 */     // MIs[0] policy
     /* 2035297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2035310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035333 */     // GIR_Coverage, 15051,
     /* 2035333 */     GIR_EraseRootFromParent_Done,
     /* 2035334 */   // Label 27115: @2035334
     /* 2035334 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2035425), // Rule ID 15054 //
     /* 2035339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2035350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2035353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2035356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035385 */     // MIs[0] round
     /* 2035385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035388 */     // MIs[0] policy
     /* 2035388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2035401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035424 */     // GIR_Coverage, 15054,
     /* 2035424 */     GIR_EraseRootFromParent_Done,
     /* 2035425 */   // Label 27116: @2035425
     /* 2035425 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2035516), // Rule ID 15055 //
     /* 2035430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2035441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2035444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2035447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035476 */     // MIs[0] round
     /* 2035476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035479 */     // MIs[0] policy
     /* 2035479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2035492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035515 */     // GIR_Coverage, 15055,
     /* 2035515 */     GIR_EraseRootFromParent_Done,
     /* 2035516 */   // Label 27117: @2035516
     /* 2035516 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2035607), // Rule ID 15058 //
     /* 2035521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2035532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2035535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2035538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2035544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035567 */     // MIs[0] round
     /* 2035567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035570 */     // MIs[0] policy
     /* 2035570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2035583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035606 */     // GIR_Coverage, 15058,
     /* 2035606 */     GIR_EraseRootFromParent_Done,
     /* 2035607 */   // Label 27118: @2035607
     /* 2035607 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2035698), // Rule ID 15059 //
     /* 2035612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2035623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2035626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2035629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2035635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035658 */     // MIs[0] round
     /* 2035658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035661 */     // MIs[0] policy
     /* 2035661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2035674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035697 */     // GIR_Coverage, 15059,
     /* 2035697 */     GIR_EraseRootFromParent_Done,
     /* 2035698 */   // Label 27119: @2035698
     /* 2035698 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2035789), // Rule ID 15062 //
     /* 2035703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035749 */     // MIs[0] round
     /* 2035749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035752 */     // MIs[0] policy
     /* 2035752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2035765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035788 */     // GIR_Coverage, 15062,
     /* 2035788 */     GIR_EraseRootFromParent_Done,
     /* 2035789 */   // Label 27120: @2035789
     /* 2035789 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2035880), // Rule ID 15063 //
     /* 2035794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035840 */     // MIs[0] round
     /* 2035840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035843 */     // MIs[0] policy
     /* 2035843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2035856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035879 */     // GIR_Coverage, 15063,
     /* 2035879 */     GIR_EraseRootFromParent_Done,
     /* 2035880 */   // Label 27121: @2035880
     /* 2035880 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2035971), // Rule ID 15066 //
     /* 2035885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2035896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2035899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035931 */     // MIs[0] round
     /* 2035931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035934 */     // MIs[0] policy
     /* 2035934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2035947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035970 */     // GIR_Coverage, 15066,
     /* 2035970 */     GIR_EraseRootFromParent_Done,
     /* 2035971 */   // Label 27122: @2035971
     /* 2035971 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2036062), // Rule ID 15067 //
     /* 2035976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2035987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2035990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036022 */     // MIs[0] round
     /* 2036022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036025 */     // MIs[0] policy
     /* 2036025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036035 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2036038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036061 */     // GIR_Coverage, 15067,
     /* 2036061 */     GIR_EraseRootFromParent_Done,
     /* 2036062 */   // Label 27123: @2036062
     /* 2036062 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2036153), // Rule ID 15070 //
     /* 2036067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2036078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2036081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2036084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036113 */     // MIs[0] round
     /* 2036113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036116 */     // MIs[0] policy
     /* 2036116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2036129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036152 */     // GIR_Coverage, 15070,
     /* 2036152 */     GIR_EraseRootFromParent_Done,
     /* 2036153 */   // Label 27124: @2036153
     /* 2036153 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2036244), // Rule ID 15071 //
     /* 2036158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2036169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2036172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2036175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036204 */     // MIs[0] round
     /* 2036204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036207 */     // MIs[0] policy
     /* 2036207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036217 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2036220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036243 */     // GIR_Coverage, 15071,
     /* 2036243 */     GIR_EraseRootFromParent_Done,
     /* 2036244 */   // Label 27125: @2036244
     /* 2036244 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2036335), // Rule ID 15074 //
     /* 2036249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2036260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2036263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2036266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036295 */     // MIs[0] round
     /* 2036295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036298 */     // MIs[0] policy
     /* 2036298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2036311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036334 */     // GIR_Coverage, 15074,
     /* 2036334 */     GIR_EraseRootFromParent_Done,
     /* 2036335 */   // Label 27126: @2036335
     /* 2036335 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2036426), // Rule ID 15075 //
     /* 2036340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2036351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2036354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2036357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036386 */     // MIs[0] round
     /* 2036386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036389 */     // MIs[0] policy
     /* 2036389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2036402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036425 */     // GIR_Coverage, 15075,
     /* 2036425 */     GIR_EraseRootFromParent_Done,
     /* 2036426 */   // Label 27127: @2036426
     /* 2036426 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2036517), // Rule ID 15078 //
     /* 2036431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2036442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2036445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2036448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036477 */     // MIs[0] round
     /* 2036477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036480 */     // MIs[0] policy
     /* 2036480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2036493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036516 */     // GIR_Coverage, 15078,
     /* 2036516 */     GIR_EraseRootFromParent_Done,
     /* 2036517 */   // Label 27128: @2036517
     /* 2036517 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2036608), // Rule ID 15079 //
     /* 2036522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2036533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2036536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2036539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036568 */     // MIs[0] round
     /* 2036568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036571 */     // MIs[0] policy
     /* 2036571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2036584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036607 */     // GIR_Coverage, 15079,
     /* 2036607 */     GIR_EraseRootFromParent_Done,
     /* 2036608 */   // Label 27129: @2036608
     /* 2036608 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2036699), // Rule ID 15082 //
     /* 2036613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036659 */     // MIs[0] round
     /* 2036659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036662 */     // MIs[0] policy
     /* 2036662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2036675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036698 */     // GIR_Coverage, 15082,
     /* 2036698 */     GIR_EraseRootFromParent_Done,
     /* 2036699 */   // Label 27130: @2036699
     /* 2036699 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2036790), // Rule ID 15083 //
     /* 2036704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036750 */     // MIs[0] round
     /* 2036750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036753 */     // MIs[0] policy
     /* 2036753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2036766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036789 */     // GIR_Coverage, 15083,
     /* 2036789 */     GIR_EraseRootFromParent_Done,
     /* 2036790 */   // Label 27131: @2036790
     /* 2036790 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2036881), // Rule ID 15086 //
     /* 2036795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2036812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036841 */     // MIs[0] round
     /* 2036841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036844 */     // MIs[0] policy
     /* 2036844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2036857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036880 */     // GIR_Coverage, 15086,
     /* 2036880 */     GIR_EraseRootFromParent_Done,
     /* 2036881 */   // Label 27132: @2036881
     /* 2036881 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2036972), // Rule ID 15087 //
     /* 2036886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2036903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036932 */     // MIs[0] round
     /* 2036932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036935 */     // MIs[0] policy
     /* 2036935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2036948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036971 */     // GIR_Coverage, 15087,
     /* 2036971 */     GIR_EraseRootFromParent_Done,
     /* 2036972 */   // Label 27133: @2036972
     /* 2036972 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2037063), // Rule ID 15090 //
     /* 2036977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2036988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2036991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2036994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037023 */     // MIs[0] round
     /* 2037023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037026 */     // MIs[0] policy
     /* 2037026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2037039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037062 */     // GIR_Coverage, 15090,
     /* 2037062 */     GIR_EraseRootFromParent_Done,
     /* 2037063 */   // Label 27134: @2037063
     /* 2037063 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2037154), // Rule ID 15091 //
     /* 2037068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2037071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2037079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2037082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2037085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037114 */     // MIs[0] round
     /* 2037114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037117 */     // MIs[0] policy
     /* 2037117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2037130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037153 */     // GIR_Coverage, 15091,
     /* 2037153 */     GIR_EraseRootFromParent_Done,
     /* 2037154 */   // Label 27135: @2037154
     /* 2037154 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2037245), // Rule ID 15094 //
     /* 2037159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2037162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2037170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2037173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2037176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037205 */     // MIs[0] round
     /* 2037205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037208 */     // MIs[0] policy
     /* 2037208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2037221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037244 */     // GIR_Coverage, 15094,
     /* 2037244 */     GIR_EraseRootFromParent_Done,
     /* 2037245 */   // Label 27136: @2037245
     /* 2037245 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2037336), // Rule ID 15095 //
     /* 2037250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2037253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2037261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2037264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2037267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037296 */     // MIs[0] round
     /* 2037296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037299 */     // MIs[0] policy
     /* 2037299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2037312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037335 */     // GIR_Coverage, 15095,
     /* 2037335 */     GIR_EraseRootFromParent_Done,
     /* 2037336 */   // Label 27137: @2037336
     /* 2037336 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2037427), // Rule ID 15098 //
     /* 2037341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2037352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2037355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2037358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2037361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037387 */     // MIs[0] round
     /* 2037387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037390 */     // MIs[0] policy
     /* 2037390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2037403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037426 */     // GIR_Coverage, 15098,
     /* 2037426 */     GIR_EraseRootFromParent_Done,
     /* 2037427 */   // Label 27138: @2037427
     /* 2037427 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2037518), // Rule ID 15099 //
     /* 2037432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2037443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2037446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2037449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2037452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037478 */     // MIs[0] round
     /* 2037478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037481 */     // MIs[0] policy
     /* 2037481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037491 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2037494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037517 */     // GIR_Coverage, 15099,
     /* 2037517 */     GIR_EraseRootFromParent_Done,
     /* 2037518 */   // Label 27139: @2037518
     /* 2037518 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2037609), // Rule ID 15102 //
     /* 2037523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2037534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2037537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2037540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2037543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037569 */     // MIs[0] round
     /* 2037569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037572 */     // MIs[0] policy
     /* 2037572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2037585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037608 */     // GIR_Coverage, 15102,
     /* 2037608 */     GIR_EraseRootFromParent_Done,
     /* 2037609 */   // Label 27140: @2037609
     /* 2037609 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2037700), // Rule ID 15103 //
     /* 2037614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2037625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2037628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2037631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2037634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037660 */     // MIs[0] round
     /* 2037660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037663 */     // MIs[0] policy
     /* 2037663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037673 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2037676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037699 */     // GIR_Coverage, 15103,
     /* 2037699 */     GIR_EraseRootFromParent_Done,
     /* 2037700 */   // Label 27141: @2037700
     /* 2037700 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2037791), // Rule ID 15106 //
     /* 2037705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2037725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037751 */     // MIs[0] round
     /* 2037751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037754 */     // MIs[0] policy
     /* 2037754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2037767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037790 */     // GIR_Coverage, 15106,
     /* 2037790 */     GIR_EraseRootFromParent_Done,
     /* 2037791 */   // Label 27142: @2037791
     /* 2037791 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2037882), // Rule ID 15107 //
     /* 2037796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2037816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037842 */     // MIs[0] round
     /* 2037842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037845 */     // MIs[0] policy
     /* 2037845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037855 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2037858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037881 */     // GIR_Coverage, 15107,
     /* 2037881 */     GIR_EraseRootFromParent_Done,
     /* 2037882 */   // Label 27143: @2037882
     /* 2037882 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2037973), // Rule ID 15110 //
     /* 2037887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2037898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2037901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2037904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2037907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037933 */     // MIs[0] round
     /* 2037933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037936 */     // MIs[0] policy
     /* 2037936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2037949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037972 */     // GIR_Coverage, 15110,
     /* 2037972 */     GIR_EraseRootFromParent_Done,
     /* 2037973 */   // Label 27144: @2037973
     /* 2037973 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2038064), // Rule ID 15111 //
     /* 2037978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2037989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2037992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2037995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2037998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038024 */     // MIs[0] round
     /* 2038024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038027 */     // MIs[0] policy
     /* 2038027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038037 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2038040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038063 */     // GIR_Coverage, 15111,
     /* 2038063 */     GIR_EraseRootFromParent_Done,
     /* 2038064 */   // Label 27145: @2038064
     /* 2038064 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2038155), // Rule ID 15114 //
     /* 2038069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2038086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038115 */     // MIs[0] round
     /* 2038115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038118 */     // MIs[0] policy
     /* 2038118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2038131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038154 */     // GIR_Coverage, 15114,
     /* 2038154 */     GIR_EraseRootFromParent_Done,
     /* 2038155 */   // Label 27146: @2038155
     /* 2038155 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2038246), // Rule ID 15115 //
     /* 2038160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2038177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038206 */     // MIs[0] round
     /* 2038206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038209 */     // MIs[0] policy
     /* 2038209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2038222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038245 */     // GIR_Coverage, 15115,
     /* 2038245 */     GIR_EraseRootFromParent_Done,
     /* 2038246 */   // Label 27147: @2038246
     /* 2038246 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2038337), // Rule ID 15118 //
     /* 2038251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2038271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038297 */     // MIs[0] round
     /* 2038297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038300 */     // MIs[0] policy
     /* 2038300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2038313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038336 */     // GIR_Coverage, 15118,
     /* 2038336 */     GIR_EraseRootFromParent_Done,
     /* 2038337 */   // Label 27148: @2038337
     /* 2038337 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2038428), // Rule ID 15119 //
     /* 2038342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2038362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038388 */     // MIs[0] round
     /* 2038388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038391 */     // MIs[0] policy
     /* 2038391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2038404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038427 */     // GIR_Coverage, 15119,
     /* 2038427 */     GIR_EraseRootFromParent_Done,
     /* 2038428 */   // Label 27149: @2038428
     /* 2038428 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2038519), // Rule ID 15122 //
     /* 2038433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2038444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2038447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2038450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2038453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038479 */     // MIs[0] round
     /* 2038479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038482 */     // MIs[0] policy
     /* 2038482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038518 */     // GIR_Coverage, 15122,
     /* 2038518 */     GIR_EraseRootFromParent_Done,
     /* 2038519 */   // Label 27150: @2038519
     /* 2038519 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2038610), // Rule ID 15123 //
     /* 2038524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2038535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2038538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2038541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2038544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038570 */     // MIs[0] round
     /* 2038570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038573 */     // MIs[0] policy
     /* 2038573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038609 */     // GIR_Coverage, 15123,
     /* 2038609 */     GIR_EraseRootFromParent_Done,
     /* 2038610 */   // Label 27151: @2038610
     /* 2038610 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2038701), // Rule ID 15126 //
     /* 2038615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2038635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038661 */     // MIs[0] round
     /* 2038661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038664 */     // MIs[0] policy
     /* 2038664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038700 */     // GIR_Coverage, 15126,
     /* 2038700 */     GIR_EraseRootFromParent_Done,
     /* 2038701 */   // Label 27152: @2038701
     /* 2038701 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2038792), // Rule ID 15127 //
     /* 2038706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2038726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038752 */     // MIs[0] round
     /* 2038752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038755 */     // MIs[0] policy
     /* 2038755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038791 */     // GIR_Coverage, 15127,
     /* 2038791 */     GIR_EraseRootFromParent_Done,
     /* 2038792 */   // Label 27153: @2038792
     /* 2038792 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2038883), // Rule ID 15130 //
     /* 2038797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2038811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2038814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2038817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038843 */     // MIs[0] round
     /* 2038843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038846 */     // MIs[0] policy
     /* 2038846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038882 */     // GIR_Coverage, 15130,
     /* 2038882 */     GIR_EraseRootFromParent_Done,
     /* 2038883 */   // Label 27154: @2038883
     /* 2038883 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2038974), // Rule ID 15131 //
     /* 2038888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2038902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2038905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2038908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038934 */     // MIs[0] round
     /* 2038934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038937 */     // MIs[0] policy
     /* 2038937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2038950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038973 */     // GIR_Coverage, 15131,
     /* 2038973 */     GIR_EraseRootFromParent_Done,
     /* 2038974 */   // Label 27155: @2038974
     /* 2038974 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2039065), // Rule ID 15134 //
     /* 2038979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2038990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2038993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2038996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2038999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039025 */     // MIs[0] round
     /* 2039025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039028 */     // MIs[0] policy
     /* 2039028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2039041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039064 */     // GIR_Coverage, 15134,
     /* 2039064 */     GIR_EraseRootFromParent_Done,
     /* 2039065 */   // Label 27156: @2039065
     /* 2039065 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2039156), // Rule ID 15135 //
     /* 2039070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2039073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2039081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2039084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2039087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2039090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039116 */     // MIs[0] round
     /* 2039116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039119 */     // MIs[0] policy
     /* 2039119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2039132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039155 */     // GIR_Coverage, 15135,
     /* 2039155 */     GIR_EraseRootFromParent_Done,
     /* 2039156 */   // Label 27157: @2039156
     /* 2039156 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2039247), // Rule ID 15138 //
     /* 2039161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2039172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2039175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2039178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2039181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039207 */     // MIs[0] round
     /* 2039207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039210 */     // MIs[0] policy
     /* 2039210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039220 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2039223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039246 */     // GIR_Coverage, 15138,
     /* 2039246 */     GIR_EraseRootFromParent_Done,
     /* 2039247 */   // Label 27158: @2039247
     /* 2039247 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2039338), // Rule ID 15139 //
     /* 2039252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2039263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2039266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2039269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2039272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039298 */     // MIs[0] round
     /* 2039298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039301 */     // MIs[0] policy
     /* 2039301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2039314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039337 */     // GIR_Coverage, 15139,
     /* 2039337 */     GIR_EraseRootFromParent_Done,
     /* 2039338 */   // Label 27159: @2039338
     /* 2039338 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2039429), // Rule ID 15142 //
     /* 2039343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2039354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2039357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2039360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2039363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039389 */     // MIs[0] round
     /* 2039389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039392 */     // MIs[0] policy
     /* 2039392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2039405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039428 */     // GIR_Coverage, 15142,
     /* 2039428 */     GIR_EraseRootFromParent_Done,
     /* 2039429 */   // Label 27160: @2039429
     /* 2039429 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2039520), // Rule ID 15143 //
     /* 2039434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2039445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2039448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2039451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2039454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039480 */     // MIs[0] round
     /* 2039480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039483 */     // MIs[0] policy
     /* 2039483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039493 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2039496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039519 */     // GIR_Coverage, 15143,
     /* 2039519 */     GIR_EraseRootFromParent_Done,
     /* 2039520 */   // Label 27161: @2039520
     /* 2039520 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2039611), // Rule ID 15146 //
     /* 2039525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2039536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2039539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2039542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2039545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2039548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039571 */     // MIs[0] round
     /* 2039571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039574 */     // MIs[0] policy
     /* 2039574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2039587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039610 */     // GIR_Coverage, 15146,
     /* 2039610 */     GIR_EraseRootFromParent_Done,
     /* 2039611 */   // Label 27162: @2039611
     /* 2039611 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2039702), // Rule ID 15147 //
     /* 2039616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2039627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2039630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2039633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2039636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2039639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039662 */     // MIs[0] round
     /* 2039662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039665 */     // MIs[0] policy
     /* 2039665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039675 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2039678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039701 */     // GIR_Coverage, 15147,
     /* 2039701 */     GIR_EraseRootFromParent_Done,
     /* 2039702 */   // Label 27163: @2039702
     /* 2039702 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2039793), // Rule ID 15150 //
     /* 2039707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039753 */     // MIs[0] round
     /* 2039753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039756 */     // MIs[0] policy
     /* 2039756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2039769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039792 */     // GIR_Coverage, 15150,
     /* 2039792 */     GIR_EraseRootFromParent_Done,
     /* 2039793 */   // Label 27164: @2039793
     /* 2039793 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2039884), // Rule ID 15151 //
     /* 2039798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039844 */     // MIs[0] round
     /* 2039844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039847 */     // MIs[0] policy
     /* 2039847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2039860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039883 */     // GIR_Coverage, 15151,
     /* 2039883 */     GIR_EraseRootFromParent_Done,
     /* 2039884 */   // Label 27165: @2039884
     /* 2039884 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2039975), // Rule ID 15154 //
     /* 2039889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2039906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2039909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039935 */     // MIs[0] round
     /* 2039935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039938 */     // MIs[0] policy
     /* 2039938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2039951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039974 */     // GIR_Coverage, 15154,
     /* 2039974 */     GIR_EraseRootFromParent_Done,
     /* 2039975 */   // Label 27166: @2039975
     /* 2039975 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2040066), // Rule ID 15155 //
     /* 2039980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2039997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2040000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040026 */     // MIs[0] round
     /* 2040026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040029 */     // MIs[0] policy
     /* 2040029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040039 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2040042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040065 */     // GIR_Coverage, 15155,
     /* 2040065 */     GIR_EraseRootFromParent_Done,
     /* 2040066 */   // Label 27167: @2040066
     /* 2040066 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2040157), // Rule ID 15158 //
     /* 2040071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2040088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040117 */     // MIs[0] round
     /* 2040117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040120 */     // MIs[0] policy
     /* 2040120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2040133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040156 */     // GIR_Coverage, 15158,
     /* 2040156 */     GIR_EraseRootFromParent_Done,
     /* 2040157 */   // Label 27168: @2040157
     /* 2040157 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2040248), // Rule ID 15159 //
     /* 2040162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2040179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040208 */     // MIs[0] round
     /* 2040208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040211 */     // MIs[0] policy
     /* 2040211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2040224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040247 */     // GIR_Coverage, 15159,
     /* 2040247 */     GIR_EraseRootFromParent_Done,
     /* 2040248 */   // Label 27169: @2040248
     /* 2040248 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2040339), // Rule ID 15162 //
     /* 2040253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2040270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040299 */     // MIs[0] round
     /* 2040299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040302 */     // MIs[0] policy
     /* 2040302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2040315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040338 */     // GIR_Coverage, 15162,
     /* 2040338 */     GIR_EraseRootFromParent_Done,
     /* 2040339 */   // Label 27170: @2040339
     /* 2040339 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2040430), // Rule ID 15163 //
     /* 2040344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2040361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040390 */     // MIs[0] round
     /* 2040390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040393 */     // MIs[0] policy
     /* 2040393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2040406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040429 */     // GIR_Coverage, 15163,
     /* 2040429 */     GIR_EraseRootFromParent_Done,
     /* 2040430 */   // Label 27171: @2040430
     /* 2040430 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2040521), // Rule ID 15166 //
     /* 2040435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2040452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040481 */     // MIs[0] round
     /* 2040481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040484 */     // MIs[0] policy
     /* 2040484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2040497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040520 */     // GIR_Coverage, 15166,
     /* 2040520 */     GIR_EraseRootFromParent_Done,
     /* 2040521 */   // Label 27172: @2040521
     /* 2040521 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2040612), // Rule ID 15167 //
     /* 2040526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2040543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040572 */     // MIs[0] round
     /* 2040572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040575 */     // MIs[0] policy
     /* 2040575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2040588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040611 */     // GIR_Coverage, 15167,
     /* 2040611 */     GIR_EraseRootFromParent_Done,
     /* 2040612 */   // Label 27173: @2040612
     /* 2040612 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2040703), // Rule ID 15170 //
     /* 2040617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040663 */     // MIs[0] round
     /* 2040663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040666 */     // MIs[0] policy
     /* 2040666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2040679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040702 */     // GIR_Coverage, 15170,
     /* 2040702 */     GIR_EraseRootFromParent_Done,
     /* 2040703 */   // Label 27174: @2040703
     /* 2040703 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2040794), // Rule ID 15171 //
     /* 2040708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040754 */     // MIs[0] round
     /* 2040754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040757 */     // MIs[0] policy
     /* 2040757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2040770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040793 */     // GIR_Coverage, 15171,
     /* 2040793 */     GIR_EraseRootFromParent_Done,
     /* 2040794 */   // Label 27175: @2040794
     /* 2040794 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2040885), // Rule ID 15174 //
     /* 2040799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2040816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2040819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040845 */     // MIs[0] round
     /* 2040845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040848 */     // MIs[0] policy
     /* 2040848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2040861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040884 */     // GIR_Coverage, 15174,
     /* 2040884 */     GIR_EraseRootFromParent_Done,
     /* 2040885 */   // Label 27176: @2040885
     /* 2040885 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2040976), // Rule ID 15175 //
     /* 2040890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2040907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2040910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040936 */     // MIs[0] round
     /* 2040936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040939 */     // MIs[0] policy
     /* 2040939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2040952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040975 */     // GIR_Coverage, 15175,
     /* 2040975 */     GIR_EraseRootFromParent_Done,
     /* 2040976 */   // Label 27177: @2040976
     /* 2040976 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2041067), // Rule ID 15178 //
     /* 2040981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2040998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2041001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041027 */     // MIs[0] round
     /* 2041027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041030 */     // MIs[0] policy
     /* 2041030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2041043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041066 */     // GIR_Coverage, 15178,
     /* 2041066 */     GIR_EraseRootFromParent_Done,
     /* 2041067 */   // Label 27178: @2041067
     /* 2041067 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2041158), // Rule ID 15179 //
     /* 2041072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2041075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2041083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2041086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2041089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2041092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041118 */     // MIs[0] round
     /* 2041118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041121 */     // MIs[0] policy
     /* 2041121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2041134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041157 */     // GIR_Coverage, 15179,
     /* 2041157 */     GIR_EraseRootFromParent_Done,
     /* 2041158 */   // Label 27179: @2041158
     /* 2041158 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2041249), // Rule ID 15182 //
     /* 2041163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2041166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2041180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041209 */     // MIs[0] round
     /* 2041209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041212 */     // MIs[0] policy
     /* 2041212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2041225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041248 */     // GIR_Coverage, 15182,
     /* 2041248 */     GIR_EraseRootFromParent_Done,
     /* 2041249 */   // Label 27180: @2041249
     /* 2041249 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2041340), // Rule ID 15183 //
     /* 2041254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2041257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2041271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041300 */     // MIs[0] round
     /* 2041300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041303 */     // MIs[0] policy
     /* 2041303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2041316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041339 */     // GIR_Coverage, 15183,
     /* 2041339 */     GIR_EraseRootFromParent_Done,
     /* 2041340 */   // Label 27181: @2041340
     /* 2041340 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2041431), // Rule ID 15186 //
     /* 2041345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2041356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2041359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2041362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041391 */     // MIs[0] round
     /* 2041391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041394 */     // MIs[0] policy
     /* 2041394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2041407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041430 */     // GIR_Coverage, 15186,
     /* 2041430 */     GIR_EraseRootFromParent_Done,
     /* 2041431 */   // Label 27182: @2041431
     /* 2041431 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2041522), // Rule ID 15187 //
     /* 2041436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2041447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2041450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2041453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041482 */     // MIs[0] round
     /* 2041482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041485 */     // MIs[0] policy
     /* 2041485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2041498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041521 */     // GIR_Coverage, 15187,
     /* 2041521 */     GIR_EraseRootFromParent_Done,
     /* 2041522 */   // Label 27183: @2041522
     /* 2041522 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2041613), // Rule ID 15190 //
     /* 2041527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2041538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2041541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2041544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041573 */     // MIs[0] round
     /* 2041573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041576 */     // MIs[0] policy
     /* 2041576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2041589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041612 */     // GIR_Coverage, 15190,
     /* 2041612 */     GIR_EraseRootFromParent_Done,
     /* 2041613 */   // Label 27184: @2041613
     /* 2041613 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2041704), // Rule ID 15191 //
     /* 2041618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2041629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2041632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2041635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041664 */     // MIs[0] round
     /* 2041664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041667 */     // MIs[0] policy
     /* 2041667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041677 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2041680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041703 */     // GIR_Coverage, 15191,
     /* 2041703 */     GIR_EraseRootFromParent_Done,
     /* 2041704 */   // Label 27185: @2041704
     /* 2041704 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2041795), // Rule ID 15194 //
     /* 2041709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041755 */     // MIs[0] round
     /* 2041755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041758 */     // MIs[0] policy
     /* 2041758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2041771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041794 */     // GIR_Coverage, 15194,
     /* 2041794 */     GIR_EraseRootFromParent_Done,
     /* 2041795 */   // Label 27186: @2041795
     /* 2041795 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2041886), // Rule ID 15195 //
     /* 2041800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041846 */     // MIs[0] round
     /* 2041846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041849 */     // MIs[0] policy
     /* 2041849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2041862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041885 */     // GIR_Coverage, 15195,
     /* 2041885 */     GIR_EraseRootFromParent_Done,
     /* 2041886 */   // Label 27187: @2041886
     /* 2041886 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2041977), // Rule ID 15198 //
     /* 2041891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041937 */     // MIs[0] round
     /* 2041937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041940 */     // MIs[0] policy
     /* 2041940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2041953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041976 */     // GIR_Coverage, 15198,
     /* 2041976 */     GIR_EraseRootFromParent_Done,
     /* 2041977 */   // Label 27188: @2041977
     /* 2041977 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2042068), // Rule ID 15199 //
     /* 2041982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042028 */     // MIs[0] round
     /* 2042028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042031 */     // MIs[0] policy
     /* 2042031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042041 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2042044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042067 */     // GIR_Coverage, 15199,
     /* 2042067 */     GIR_EraseRootFromParent_Done,
     /* 2042068 */   // Label 27189: @2042068
     /* 2042068 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2042159), // Rule ID 15202 //
     /* 2042073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2042084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2042087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2042090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042119 */     // MIs[0] round
     /* 2042119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042122 */     // MIs[0] policy
     /* 2042122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2042135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042158 */     // GIR_Coverage, 15202,
     /* 2042158 */     GIR_EraseRootFromParent_Done,
     /* 2042159 */   // Label 27190: @2042159
     /* 2042159 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2042250), // Rule ID 15203 //
     /* 2042164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2042175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2042178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2042181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042210 */     // MIs[0] round
     /* 2042210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042213 */     // MIs[0] policy
     /* 2042213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042223 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2042226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042249 */     // GIR_Coverage, 15203,
     /* 2042249 */     GIR_EraseRootFromParent_Done,
     /* 2042250 */   // Label 27191: @2042250
     /* 2042250 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2042341), // Rule ID 15206 //
     /* 2042255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2042266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2042269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2042272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042301 */     // MIs[0] round
     /* 2042301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042304 */     // MIs[0] policy
     /* 2042304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2042317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042340 */     // GIR_Coverage, 15206,
     /* 2042340 */     GIR_EraseRootFromParent_Done,
     /* 2042341 */   // Label 27192: @2042341
     /* 2042341 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2042432), // Rule ID 15207 //
     /* 2042346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2042357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2042360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2042363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042392 */     // MIs[0] round
     /* 2042392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042395 */     // MIs[0] policy
     /* 2042395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2042408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042431 */     // GIR_Coverage, 15207,
     /* 2042431 */     GIR_EraseRootFromParent_Done,
     /* 2042432 */   // Label 27193: @2042432
     /* 2042432 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2042523), // Rule ID 15210 //
     /* 2042437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2042448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2042451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2042454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042483 */     // MIs[0] round
     /* 2042483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042486 */     // MIs[0] policy
     /* 2042486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042522 */     // GIR_Coverage, 15210,
     /* 2042522 */     GIR_EraseRootFromParent_Done,
     /* 2042523 */   // Label 27194: @2042523
     /* 2042523 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2042614), // Rule ID 15211 //
     /* 2042528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2042539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2042542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2042545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042574 */     // MIs[0] round
     /* 2042574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042577 */     // MIs[0] policy
     /* 2042577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042613 */     // GIR_Coverage, 15211,
     /* 2042613 */     GIR_EraseRootFromParent_Done,
     /* 2042614 */   // Label 27195: @2042614
     /* 2042614 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2042705), // Rule ID 15214 //
     /* 2042619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042665 */     // MIs[0] round
     /* 2042665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042668 */     // MIs[0] policy
     /* 2042668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042704 */     // GIR_Coverage, 15214,
     /* 2042704 */     GIR_EraseRootFromParent_Done,
     /* 2042705 */   // Label 27196: @2042705
     /* 2042705 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2042796), // Rule ID 15215 //
     /* 2042710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042756 */     // MIs[0] round
     /* 2042756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042759 */     // MIs[0] policy
     /* 2042759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042795 */     // GIR_Coverage, 15215,
     /* 2042795 */     GIR_EraseRootFromParent_Done,
     /* 2042796 */   // Label 27197: @2042796
     /* 2042796 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2042887), // Rule ID 15218 //
     /* 2042801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042847 */     // MIs[0] round
     /* 2042847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042850 */     // MIs[0] policy
     /* 2042850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042886 */     // GIR_Coverage, 15218,
     /* 2042886 */     GIR_EraseRootFromParent_Done,
     /* 2042887 */   // Label 27198: @2042887
     /* 2042887 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2042978), // Rule ID 15219 //
     /* 2042892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042938 */     // MIs[0] round
     /* 2042938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042941 */     // MIs[0] policy
     /* 2042941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2042954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042977 */     // GIR_Coverage, 15219,
     /* 2042977 */     GIR_EraseRootFromParent_Done,
     /* 2042978 */   // Label 27199: @2042978
     /* 2042978 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2043069), // Rule ID 15222 //
     /* 2042983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2043000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043029 */     // MIs[0] round
     /* 2043029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043032 */     // MIs[0] policy
     /* 2043032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2043045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043068 */     // GIR_Coverage, 15222,
     /* 2043068 */     GIR_EraseRootFromParent_Done,
     /* 2043069 */   // Label 27200: @2043069
     /* 2043069 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2043160), // Rule ID 15223 //
     /* 2043074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2043077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2043085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2043088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2043091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043120 */     // MIs[0] round
     /* 2043120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043123 */     // MIs[0] policy
     /* 2043123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2043136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043159 */     // GIR_Coverage, 15223,
     /* 2043159 */     GIR_EraseRootFromParent_Done,
     /* 2043160 */   // Label 27201: @2043160
     /* 2043160 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2043251), // Rule ID 15226 //
     /* 2043165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2043176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2043179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2043182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043211 */     // MIs[0] round
     /* 2043211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043214 */     // MIs[0] policy
     /* 2043214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2043227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043250 */     // GIR_Coverage, 15226,
     /* 2043250 */     GIR_EraseRootFromParent_Done,
     /* 2043251 */   // Label 27202: @2043251
     /* 2043251 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2043342), // Rule ID 15227 //
     /* 2043256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2043267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2043270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2043273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043302 */     // MIs[0] round
     /* 2043302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043305 */     // MIs[0] policy
     /* 2043305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2043318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043341 */     // GIR_Coverage, 15227,
     /* 2043341 */     GIR_EraseRootFromParent_Done,
     /* 2043342 */   // Label 27203: @2043342
     /* 2043342 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2043433), // Rule ID 15230 //
     /* 2043347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2043358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2043361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2043364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043393 */     // MIs[0] round
     /* 2043393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043396 */     // MIs[0] policy
     /* 2043396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2043409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043432 */     // GIR_Coverage, 15230,
     /* 2043432 */     GIR_EraseRootFromParent_Done,
     /* 2043433 */   // Label 27204: @2043433
     /* 2043433 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2043524), // Rule ID 15231 //
     /* 2043438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2043449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2043452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2043455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043484 */     // MIs[0] round
     /* 2043484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043487 */     // MIs[0] policy
     /* 2043487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2043500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043523 */     // GIR_Coverage, 15231,
     /* 2043523 */     GIR_EraseRootFromParent_Done,
     /* 2043524 */   // Label 27205: @2043524
     /* 2043524 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2043615), // Rule ID 15234 //
     /* 2043529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043575 */     // MIs[0] round
     /* 2043575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043578 */     // MIs[0] policy
     /* 2043578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2043591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043614 */     // GIR_Coverage, 15234,
     /* 2043614 */     GIR_EraseRootFromParent_Done,
     /* 2043615 */   // Label 27206: @2043615
     /* 2043615 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2043706), // Rule ID 15235 //
     /* 2043620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043666 */     // MIs[0] round
     /* 2043666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043669 */     // MIs[0] policy
     /* 2043669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043679 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2043682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043705 */     // GIR_Coverage, 15235,
     /* 2043705 */     GIR_EraseRootFromParent_Done,
     /* 2043706 */   // Label 27207: @2043706
     /* 2043706 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2043797), // Rule ID 15238 //
     /* 2043711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043757 */     // MIs[0] round
     /* 2043757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043760 */     // MIs[0] policy
     /* 2043760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2043773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043796 */     // GIR_Coverage, 15238,
     /* 2043796 */     GIR_EraseRootFromParent_Done,
     /* 2043797 */   // Label 27208: @2043797
     /* 2043797 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2043888), // Rule ID 15239 //
     /* 2043802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043848 */     // MIs[0] round
     /* 2043848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043851 */     // MIs[0] policy
     /* 2043851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2043864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043887 */     // GIR_Coverage, 15239,
     /* 2043887 */     GIR_EraseRootFromParent_Done,
     /* 2043888 */   // Label 27209: @2043888
     /* 2043888 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2043979), // Rule ID 15242 //
     /* 2043893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2043910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043939 */     // MIs[0] round
     /* 2043939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043942 */     // MIs[0] policy
     /* 2043942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2043955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043978 */     // GIR_Coverage, 15242,
     /* 2043978 */     GIR_EraseRootFromParent_Done,
     /* 2043979 */   // Label 27210: @2043979
     /* 2043979 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2044070), // Rule ID 15243 //
     /* 2043984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2044001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044030 */     // MIs[0] round
     /* 2044030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044033 */     // MIs[0] policy
     /* 2044033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2044046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044069 */     // GIR_Coverage, 15243,
     /* 2044069 */     GIR_EraseRootFromParent_Done,
     /* 2044070 */   // Label 27211: @2044070
     /* 2044070 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2044161), // Rule ID 15246 //
     /* 2044075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2044086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2044089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2044092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044121 */     // MIs[0] round
     /* 2044121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044124 */     // MIs[0] policy
     /* 2044124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2044137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044160 */     // GIR_Coverage, 15246,
     /* 2044160 */     GIR_EraseRootFromParent_Done,
     /* 2044161 */   // Label 27212: @2044161
     /* 2044161 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2044252), // Rule ID 15247 //
     /* 2044166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2044177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2044180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2044183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044212 */     // MIs[0] round
     /* 2044212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044215 */     // MIs[0] policy
     /* 2044215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044225 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2044228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044251 */     // GIR_Coverage, 15247,
     /* 2044251 */     GIR_EraseRootFromParent_Done,
     /* 2044252 */   // Label 27213: @2044252
     /* 2044252 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2044343), // Rule ID 15250 //
     /* 2044257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2044268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2044271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2044274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044303 */     // MIs[0] round
     /* 2044303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044306 */     // MIs[0] policy
     /* 2044306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2044319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044342 */     // GIR_Coverage, 15250,
     /* 2044342 */     GIR_EraseRootFromParent_Done,
     /* 2044343 */   // Label 27214: @2044343
     /* 2044343 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2044434), // Rule ID 15251 //
     /* 2044348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2044359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2044362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2044365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044394 */     // MIs[0] round
     /* 2044394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044397 */     // MIs[0] policy
     /* 2044397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2044410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044433 */     // GIR_Coverage, 15251,
     /* 2044433 */     GIR_EraseRootFromParent_Done,
     /* 2044434 */   // Label 27215: @2044434
     /* 2044434 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2044525), // Rule ID 15254 //
     /* 2044439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044485 */     // MIs[0] round
     /* 2044485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044488 */     // MIs[0] policy
     /* 2044488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2044501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044524 */     // GIR_Coverage, 15254,
     /* 2044524 */     GIR_EraseRootFromParent_Done,
     /* 2044525 */   // Label 27216: @2044525
     /* 2044525 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2044616), // Rule ID 15255 //
     /* 2044530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044576 */     // MIs[0] round
     /* 2044576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044579 */     // MIs[0] policy
     /* 2044579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2044592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044615 */     // GIR_Coverage, 15255,
     /* 2044615 */     GIR_EraseRootFromParent_Done,
     /* 2044616 */   // Label 27217: @2044616
     /* 2044616 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2044707), // Rule ID 15258 //
     /* 2044621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044667 */     // MIs[0] round
     /* 2044667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044670 */     // MIs[0] policy
     /* 2044670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2044683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044706 */     // GIR_Coverage, 15258,
     /* 2044706 */     GIR_EraseRootFromParent_Done,
     /* 2044707 */   // Label 27218: @2044707
     /* 2044707 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2044798), // Rule ID 15259 //
     /* 2044712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044758 */     // MIs[0] round
     /* 2044758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044761 */     // MIs[0] policy
     /* 2044761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2044774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044797 */     // GIR_Coverage, 15259,
     /* 2044797 */     GIR_EraseRootFromParent_Done,
     /* 2044798 */   // Label 27219: @2044798
     /* 2044798 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2044889), // Rule ID 15262 //
     /* 2044803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044849 */     // MIs[0] round
     /* 2044849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044852 */     // MIs[0] policy
     /* 2044852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2044865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044888 */     // GIR_Coverage, 15262,
     /* 2044888 */     GIR_EraseRootFromParent_Done,
     /* 2044889 */   // Label 27220: @2044889
     /* 2044889 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2044980), // Rule ID 15263 //
     /* 2044894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044940 */     // MIs[0] round
     /* 2044940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044943 */     // MIs[0] policy
     /* 2044943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2044956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044979 */     // GIR_Coverage, 15263,
     /* 2044979 */     GIR_EraseRootFromParent_Done,
     /* 2044980 */   // Label 27221: @2044980
     /* 2044980 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2045071), // Rule ID 15266 //
     /* 2044985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2044996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2044999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2045002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045031 */     // MIs[0] round
     /* 2045031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045034 */     // MIs[0] policy
     /* 2045034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2045047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045070 */     // GIR_Coverage, 15266,
     /* 2045070 */     GIR_EraseRootFromParent_Done,
     /* 2045071 */   // Label 27222: @2045071
     /* 2045071 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2045162), // Rule ID 15267 //
     /* 2045076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2045079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2045087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2045090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2045093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045122 */     // MIs[0] round
     /* 2045122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045125 */     // MIs[0] policy
     /* 2045125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2045138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045161 */     // GIR_Coverage, 15267,
     /* 2045161 */     GIR_EraseRootFromParent_Done,
     /* 2045162 */   // Label 27223: @2045162
     /* 2045162 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2045253), // Rule ID 15270 //
     /* 2045167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2045170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2045178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2045181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2045184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045213 */     // MIs[0] round
     /* 2045213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045216 */     // MIs[0] policy
     /* 2045216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2045229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045252 */     // GIR_Coverage, 15270,
     /* 2045252 */     GIR_EraseRootFromParent_Done,
     /* 2045253 */   // Label 27224: @2045253
     /* 2045253 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2045344), // Rule ID 15271 //
     /* 2045258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2045261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2045269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2045272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2045275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045304 */     // MIs[0] round
     /* 2045304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045307 */     // MIs[0] policy
     /* 2045307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2045320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045343 */     // GIR_Coverage, 15271,
     /* 2045343 */     GIR_EraseRootFromParent_Done,
     /* 2045344 */   // Label 27225: @2045344
     /* 2045344 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2045435), // Rule ID 15274 //
     /* 2045349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045395 */     // MIs[0] round
     /* 2045395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045398 */     // MIs[0] policy
     /* 2045398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2045411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045434 */     // GIR_Coverage, 15274,
     /* 2045434 */     GIR_EraseRootFromParent_Done,
     /* 2045435 */   // Label 27226: @2045435
     /* 2045435 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2045526), // Rule ID 15275 //
     /* 2045440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045486 */     // MIs[0] round
     /* 2045486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045489 */     // MIs[0] policy
     /* 2045489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2045502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045525 */     // GIR_Coverage, 15275,
     /* 2045525 */     GIR_EraseRootFromParent_Done,
     /* 2045526 */   // Label 27227: @2045526
     /* 2045526 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2045617), // Rule ID 15278 //
     /* 2045531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045577 */     // MIs[0] round
     /* 2045577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045580 */     // MIs[0] policy
     /* 2045580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2045593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045616 */     // GIR_Coverage, 15278,
     /* 2045616 */     GIR_EraseRootFromParent_Done,
     /* 2045617 */   // Label 27228: @2045617
     /* 2045617 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2045708), // Rule ID 15279 //
     /* 2045622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045668 */     // MIs[0] round
     /* 2045668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045671 */     // MIs[0] policy
     /* 2045671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045681 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2045684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045707 */     // GIR_Coverage, 15279,
     /* 2045707 */     GIR_EraseRootFromParent_Done,
     /* 2045708 */   // Label 27229: @2045708
     /* 2045708 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2045799), // Rule ID 15282 //
     /* 2045713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045759 */     // MIs[0] round
     /* 2045759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045762 */     // MIs[0] policy
     /* 2045762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2045775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045798 */     // GIR_Coverage, 15282,
     /* 2045798 */     GIR_EraseRootFromParent_Done,
     /* 2045799 */   // Label 27230: @2045799
     /* 2045799 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2045890), // Rule ID 15283 //
     /* 2045804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045850 */     // MIs[0] round
     /* 2045850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045853 */     // MIs[0] policy
     /* 2045853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2045866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045889 */     // GIR_Coverage, 15283,
     /* 2045889 */     GIR_EraseRootFromParent_Done,
     /* 2045890 */   // Label 27231: @2045890
     /* 2045890 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2045981), // Rule ID 15286 //
     /* 2045895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2045909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2045912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2045915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045941 */     // MIs[0] round
     /* 2045941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045944 */     // MIs[0] policy
     /* 2045944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2045957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045980 */     // GIR_Coverage, 15286,
     /* 2045980 */     GIR_EraseRootFromParent_Done,
     /* 2045981 */   // Label 27232: @2045981
     /* 2045981 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2046072), // Rule ID 15287 //
     /* 2045986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2046000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2046003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2046006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046032 */     // MIs[0] round
     /* 2046032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046035 */     // MIs[0] policy
     /* 2046035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2046048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046071 */     // GIR_Coverage, 15287,
     /* 2046071 */     GIR_EraseRootFromParent_Done,
     /* 2046072 */   // Label 27233: @2046072
     /* 2046072 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2046163), // Rule ID 15290 //
     /* 2046077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2046088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2046091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2046094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2046097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046123 */     // MIs[0] round
     /* 2046123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046126 */     // MIs[0] policy
     /* 2046126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2046139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046162 */     // GIR_Coverage, 15290,
     /* 2046162 */     GIR_EraseRootFromParent_Done,
     /* 2046163 */   // Label 27234: @2046163
     /* 2046163 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2046254), // Rule ID 15291 //
     /* 2046168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2046179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2046182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2046185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2046188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046214 */     // MIs[0] round
     /* 2046214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046217 */     // MIs[0] policy
     /* 2046217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2046230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046253 */     // GIR_Coverage, 15291,
     /* 2046253 */     GIR_EraseRootFromParent_Done,
     /* 2046254 */   // Label 27235: @2046254
     /* 2046254 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2046345), // Rule ID 15294 //
     /* 2046259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046305 */     // MIs[0] round
     /* 2046305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046308 */     // MIs[0] policy
     /* 2046308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2046321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046344 */     // GIR_Coverage, 15294,
     /* 2046344 */     GIR_EraseRootFromParent_Done,
     /* 2046345 */   // Label 27236: @2046345
     /* 2046345 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2046436), // Rule ID 15295 //
     /* 2046350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046396 */     // MIs[0] round
     /* 2046396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046399 */     // MIs[0] policy
     /* 2046399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2046412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046435 */     // GIR_Coverage, 15295,
     /* 2046435 */     GIR_EraseRootFromParent_Done,
     /* 2046436 */   // Label 27237: @2046436
     /* 2046436 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2046527), // Rule ID 15298 //
     /* 2046441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046487 */     // MIs[0] round
     /* 2046487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046490 */     // MIs[0] policy
     /* 2046490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046526 */     // GIR_Coverage, 15298,
     /* 2046526 */     GIR_EraseRootFromParent_Done,
     /* 2046527 */   // Label 27238: @2046527
     /* 2046527 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2046618), // Rule ID 15299 //
     /* 2046532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046578 */     // MIs[0] round
     /* 2046578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046581 */     // MIs[0] policy
     /* 2046581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046617 */     // GIR_Coverage, 15299,
     /* 2046617 */     GIR_EraseRootFromParent_Done,
     /* 2046618 */   // Label 27239: @2046618
     /* 2046618 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2046709), // Rule ID 15302 //
     /* 2046623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046669 */     // MIs[0] round
     /* 2046669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046672 */     // MIs[0] policy
     /* 2046672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046708 */     // GIR_Coverage, 15302,
     /* 2046708 */     GIR_EraseRootFromParent_Done,
     /* 2046709 */   // Label 27240: @2046709
     /* 2046709 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2046800), // Rule ID 15303 //
     /* 2046714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046760 */     // MIs[0] round
     /* 2046760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046763 */     // MIs[0] policy
     /* 2046763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046799 */     // GIR_Coverage, 15303,
     /* 2046799 */     GIR_EraseRootFromParent_Done,
     /* 2046800 */   // Label 27241: @2046800
     /* 2046800 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2046891), // Rule ID 15306 //
     /* 2046805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2046825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046851 */     // MIs[0] round
     /* 2046851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046854 */     // MIs[0] policy
     /* 2046854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046890 */     // GIR_Coverage, 15306,
     /* 2046890 */     GIR_EraseRootFromParent_Done,
     /* 2046891 */   // Label 27242: @2046891
     /* 2046891 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2046982), // Rule ID 15307 //
     /* 2046896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2046916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046942 */     // MIs[0] round
     /* 2046942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046945 */     // MIs[0] policy
     /* 2046945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2046958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046981 */     // GIR_Coverage, 15307,
     /* 2046981 */     GIR_EraseRootFromParent_Done,
     /* 2046982 */   // Label 27243: @2046982
     /* 2046982 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2047073), // Rule ID 15310 //
     /* 2046987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2046998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047033 */     // MIs[0] round
     /* 2047033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047036 */     // MIs[0] policy
     /* 2047036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2047049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047072 */     // GIR_Coverage, 15310,
     /* 2047072 */     GIR_EraseRootFromParent_Done,
     /* 2047073 */   // Label 27244: @2047073
     /* 2047073 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2047164), // Rule ID 15311 //
     /* 2047078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2047081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047124 */     // MIs[0] round
     /* 2047124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047127 */     // MIs[0] policy
     /* 2047127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2047140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047163 */     // GIR_Coverage, 15311,
     /* 2047163 */     GIR_EraseRootFromParent_Done,
     /* 2047164 */   // Label 27245: @2047164
     /* 2047164 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2047255), // Rule ID 15314 //
     /* 2047169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047215 */     // MIs[0] round
     /* 2047215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047218 */     // MIs[0] policy
     /* 2047218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2047231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047254 */     // GIR_Coverage, 15314,
     /* 2047254 */     GIR_EraseRootFromParent_Done,
     /* 2047255 */   // Label 27246: @2047255
     /* 2047255 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2047346), // Rule ID 15315 //
     /* 2047260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047306 */     // MIs[0] round
     /* 2047306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047309 */     // MIs[0] policy
     /* 2047309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2047322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047345 */     // GIR_Coverage, 15315,
     /* 2047345 */     GIR_EraseRootFromParent_Done,
     /* 2047346 */   // Label 27247: @2047346
     /* 2047346 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2047437), // Rule ID 15318 //
     /* 2047351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047397 */     // MIs[0] round
     /* 2047397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047400 */     // MIs[0] policy
     /* 2047400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047410 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2047413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047436 */     // GIR_Coverage, 15318,
     /* 2047436 */     GIR_EraseRootFromParent_Done,
     /* 2047437 */   // Label 27248: @2047437
     /* 2047437 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2047528), // Rule ID 15319 //
     /* 2047442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047488 */     // MIs[0] round
     /* 2047488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047491 */     // MIs[0] policy
     /* 2047491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2047504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047527 */     // GIR_Coverage, 15319,
     /* 2047527 */     GIR_EraseRootFromParent_Done,
     /* 2047528 */   // Label 27249: @2047528
     /* 2047528 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2047619), // Rule ID 15322 //
     /* 2047533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047579 */     // MIs[0] round
     /* 2047579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047582 */     // MIs[0] policy
     /* 2047582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2047595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047618 */     // GIR_Coverage, 15322,
     /* 2047618 */     GIR_EraseRootFromParent_Done,
     /* 2047619 */   // Label 27250: @2047619
     /* 2047619 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2047710), // Rule ID 15323 //
     /* 2047624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047670 */     // MIs[0] round
     /* 2047670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047673 */     // MIs[0] policy
     /* 2047673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2047686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047709 */     // GIR_Coverage, 15323,
     /* 2047709 */     GIR_EraseRootFromParent_Done,
     /* 2047710 */   // Label 27251: @2047710
     /* 2047710 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2047801), // Rule ID 15326 //
     /* 2047715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047761 */     // MIs[0] round
     /* 2047761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047764 */     // MIs[0] policy
     /* 2047764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2047777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047800 */     // GIR_Coverage, 15326,
     /* 2047800 */     GIR_EraseRootFromParent_Done,
     /* 2047801 */   // Label 27252: @2047801
     /* 2047801 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2047892), // Rule ID 15327 //
     /* 2047806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047852 */     // MIs[0] round
     /* 2047852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047855 */     // MIs[0] policy
     /* 2047855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2047868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047891 */     // GIR_Coverage, 15327,
     /* 2047891 */     GIR_EraseRootFromParent_Done,
     /* 2047892 */   // Label 27253: @2047892
     /* 2047892 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2047983), // Rule ID 15330 //
     /* 2047897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2047908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2047911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2047914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2047917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047943 */     // MIs[0] round
     /* 2047943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047946 */     // MIs[0] policy
     /* 2047946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2047959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047982 */     // GIR_Coverage, 15330,
     /* 2047982 */     GIR_EraseRootFromParent_Done,
     /* 2047983 */   // Label 27254: @2047983
     /* 2047983 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2048074), // Rule ID 15331 //
     /* 2047988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2047999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048034 */     // MIs[0] round
     /* 2048034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048037 */     // MIs[0] policy
     /* 2048037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2048050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048073 */     // GIR_Coverage, 15331,
     /* 2048073 */     GIR_EraseRootFromParent_Done,
     /* 2048074 */   // Label 27255: @2048074
     /* 2048074 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2048165), // Rule ID 15334 //
     /* 2048079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048125 */     // MIs[0] round
     /* 2048125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048128 */     // MIs[0] policy
     /* 2048128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2048141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048164 */     // GIR_Coverage, 15334,
     /* 2048164 */     GIR_EraseRootFromParent_Done,
     /* 2048165 */   // Label 27256: @2048165
     /* 2048165 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2048256), // Rule ID 15335 //
     /* 2048170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048216 */     // MIs[0] round
     /* 2048216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048219 */     // MIs[0] policy
     /* 2048219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2048232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048255 */     // GIR_Coverage, 15335,
     /* 2048255 */     GIR_EraseRootFromParent_Done,
     /* 2048256 */   // Label 27257: @2048256
     /* 2048256 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2048347), // Rule ID 15338 //
     /* 2048261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048307 */     // MIs[0] round
     /* 2048307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048310 */     // MIs[0] policy
     /* 2048310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2048323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048346 */     // GIR_Coverage, 15338,
     /* 2048346 */     GIR_EraseRootFromParent_Done,
     /* 2048347 */   // Label 27258: @2048347
     /* 2048347 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2048438), // Rule ID 15339 //
     /* 2048352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048398 */     // MIs[0] round
     /* 2048398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048401 */     // MIs[0] policy
     /* 2048401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2048414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048437 */     // GIR_Coverage, 15339,
     /* 2048437 */     GIR_EraseRootFromParent_Done,
     /* 2048438 */   // Label 27259: @2048438
     /* 2048438 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2048529), // Rule ID 15342 //
     /* 2048443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048489 */     // MIs[0] round
     /* 2048489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048492 */     // MIs[0] policy
     /* 2048492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2048505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048528 */     // GIR_Coverage, 15342,
     /* 2048528 */     GIR_EraseRootFromParent_Done,
     /* 2048529 */   // Label 27260: @2048529
     /* 2048529 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2048620), // Rule ID 15343 //
     /* 2048534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048580 */     // MIs[0] round
     /* 2048580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048583 */     // MIs[0] policy
     /* 2048583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2048596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048619 */     // GIR_Coverage, 15343,
     /* 2048619 */     GIR_EraseRootFromParent_Done,
     /* 2048620 */   // Label 27261: @2048620
     /* 2048620 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2048711), // Rule ID 15346 //
     /* 2048625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048671 */     // MIs[0] round
     /* 2048671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048674 */     // MIs[0] policy
     /* 2048674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2048687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048710 */     // GIR_Coverage, 15346,
     /* 2048710 */     GIR_EraseRootFromParent_Done,
     /* 2048711 */   // Label 27262: @2048711
     /* 2048711 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2048802), // Rule ID 15347 //
     /* 2048716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048762 */     // MIs[0] round
     /* 2048762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048765 */     // MIs[0] policy
     /* 2048765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048775 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2048778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048801 */     // GIR_Coverage, 15347,
     /* 2048801 */     GIR_EraseRootFromParent_Done,
     /* 2048802 */   // Label 27263: @2048802
     /* 2048802 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2048893), // Rule ID 15350 //
     /* 2048807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2048827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048853 */     // MIs[0] round
     /* 2048853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048856 */     // MIs[0] policy
     /* 2048856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2048869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048892 */     // GIR_Coverage, 15350,
     /* 2048892 */     GIR_EraseRootFromParent_Done,
     /* 2048893 */   // Label 27264: @2048893
     /* 2048893 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2048984), // Rule ID 15351 //
     /* 2048898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2048918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048944 */     // MIs[0] round
     /* 2048944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048947 */     // MIs[0] policy
     /* 2048947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048957 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2048960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048983 */     // GIR_Coverage, 15351,
     /* 2048983 */     GIR_EraseRootFromParent_Done,
     /* 2048984 */   // Label 27265: @2048984
     /* 2048984 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2049075), // Rule ID 15354 //
     /* 2048989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049035 */     // MIs[0] round
     /* 2049035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049038 */     // MIs[0] policy
     /* 2049038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2049051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049074 */     // GIR_Coverage, 15354,
     /* 2049074 */     GIR_EraseRootFromParent_Done,
     /* 2049075 */   // Label 27266: @2049075
     /* 2049075 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2049166), // Rule ID 15355 //
     /* 2049080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2049083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049126 */     // MIs[0] round
     /* 2049126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049129 */     // MIs[0] policy
     /* 2049129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2049142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049165 */     // GIR_Coverage, 15355,
     /* 2049165 */     GIR_EraseRootFromParent_Done,
     /* 2049166 */   // Label 27267: @2049166
     /* 2049166 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2049257), // Rule ID 15358 //
     /* 2049171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2049174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049217 */     // MIs[0] round
     /* 2049217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049220 */     // MIs[0] policy
     /* 2049220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2049233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049256 */     // GIR_Coverage, 15358,
     /* 2049256 */     GIR_EraseRootFromParent_Done,
     /* 2049257 */   // Label 27268: @2049257
     /* 2049257 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2049348), // Rule ID 15359 //
     /* 2049262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2049265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049308 */     // MIs[0] round
     /* 2049308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049311 */     // MIs[0] policy
     /* 2049311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2049324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049347 */     // GIR_Coverage, 15359,
     /* 2049347 */     GIR_EraseRootFromParent_Done,
     /* 2049348 */   // Label 27269: @2049348
     /* 2049348 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2049439), // Rule ID 15362 //
     /* 2049353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049399 */     // MIs[0] round
     /* 2049399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049402 */     // MIs[0] policy
     /* 2049402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2049415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049438 */     // GIR_Coverage, 15362,
     /* 2049438 */     GIR_EraseRootFromParent_Done,
     /* 2049439 */   // Label 27270: @2049439
     /* 2049439 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2049530), // Rule ID 15363 //
     /* 2049444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049490 */     // MIs[0] round
     /* 2049490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049493 */     // MIs[0] policy
     /* 2049493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2049506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049529 */     // GIR_Coverage, 15363,
     /* 2049529 */     GIR_EraseRootFromParent_Done,
     /* 2049530 */   // Label 27271: @2049530
     /* 2049530 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2049621), // Rule ID 15366 //
     /* 2049535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049581 */     // MIs[0] round
     /* 2049581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049584 */     // MIs[0] policy
     /* 2049584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2049597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049620 */     // GIR_Coverage, 15366,
     /* 2049620 */     GIR_EraseRootFromParent_Done,
     /* 2049621 */   // Label 27272: @2049621
     /* 2049621 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2049712), // Rule ID 15367 //
     /* 2049626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049672 */     // MIs[0] round
     /* 2049672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049675 */     // MIs[0] policy
     /* 2049675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049685 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2049688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049711 */     // GIR_Coverage, 15367,
     /* 2049711 */     GIR_EraseRootFromParent_Done,
     /* 2049712 */   // Label 27273: @2049712
     /* 2049712 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2049803), // Rule ID 15370 //
     /* 2049717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049763 */     // MIs[0] round
     /* 2049763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049766 */     // MIs[0] policy
     /* 2049766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2049779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049802 */     // GIR_Coverage, 15370,
     /* 2049802 */     GIR_EraseRootFromParent_Done,
     /* 2049803 */   // Label 27274: @2049803
     /* 2049803 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2049894), // Rule ID 15371 //
     /* 2049808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049854 */     // MIs[0] round
     /* 2049854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049857 */     // MIs[0] policy
     /* 2049857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049867 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2049870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049893 */     // GIR_Coverage, 15371,
     /* 2049893 */     GIR_EraseRootFromParent_Done,
     /* 2049894 */   // Label 27275: @2049894
     /* 2049894 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2049985), // Rule ID 15374 //
     /* 2049899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2049910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2049913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2049916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049945 */     // MIs[0] round
     /* 2049945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049948 */     // MIs[0] policy
     /* 2049948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2049961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049984 */     // GIR_Coverage, 15374,
     /* 2049984 */     GIR_EraseRootFromParent_Done,
     /* 2049985 */   // Label 27276: @2049985
     /* 2049985 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2050076), // Rule ID 15375 //
     /* 2049990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2050001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2050004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2050007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050036 */     // MIs[0] round
     /* 2050036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050039 */     // MIs[0] policy
     /* 2050039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2050052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050075 */     // GIR_Coverage, 15375,
     /* 2050075 */     GIR_EraseRootFromParent_Done,
     /* 2050076 */   // Label 27277: @2050076
     /* 2050076 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2050167), // Rule ID 15378 //
     /* 2050081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050127 */     // MIs[0] round
     /* 2050127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050130 */     // MIs[0] policy
     /* 2050130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2050143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050166 */     // GIR_Coverage, 15378,
     /* 2050166 */     GIR_EraseRootFromParent_Done,
     /* 2050167 */   // Label 27278: @2050167
     /* 2050167 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2050258), // Rule ID 15379 //
     /* 2050172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050218 */     // MIs[0] round
     /* 2050218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050221 */     // MIs[0] policy
     /* 2050221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2050234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050257 */     // GIR_Coverage, 15379,
     /* 2050257 */     GIR_EraseRootFromParent_Done,
     /* 2050258 */   // Label 27279: @2050258
     /* 2050258 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2050349), // Rule ID 15382 //
     /* 2050263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050309 */     // MIs[0] round
     /* 2050309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050312 */     // MIs[0] policy
     /* 2050312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2050325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050348 */     // GIR_Coverage, 15382,
     /* 2050348 */     GIR_EraseRootFromParent_Done,
     /* 2050349 */   // Label 27280: @2050349
     /* 2050349 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2050440), // Rule ID 15383 //
     /* 2050354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050400 */     // MIs[0] round
     /* 2050400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050403 */     // MIs[0] policy
     /* 2050403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2050416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050439 */     // GIR_Coverage, 15383,
     /* 2050439 */     GIR_EraseRootFromParent_Done,
     /* 2050440 */   // Label 27281: @2050440
     /* 2050440 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2050531), // Rule ID 15386 //
     /* 2050445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050491 */     // MIs[0] round
     /* 2050491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050494 */     // MIs[0] policy
     /* 2050494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050530 */     // GIR_Coverage, 15386,
     /* 2050530 */     GIR_EraseRootFromParent_Done,
     /* 2050531 */   // Label 27282: @2050531
     /* 2050531 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2050622), // Rule ID 15387 //
     /* 2050536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050582 */     // MIs[0] round
     /* 2050582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050585 */     // MIs[0] policy
     /* 2050585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050621 */     // GIR_Coverage, 15387,
     /* 2050621 */     GIR_EraseRootFromParent_Done,
     /* 2050622 */   // Label 27283: @2050622
     /* 2050622 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2050713), // Rule ID 15390 //
     /* 2050627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050673 */     // MIs[0] round
     /* 2050673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050676 */     // MIs[0] policy
     /* 2050676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050712 */     // GIR_Coverage, 15390,
     /* 2050712 */     GIR_EraseRootFromParent_Done,
     /* 2050713 */   // Label 27284: @2050713
     /* 2050713 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2050804), // Rule ID 15391 //
     /* 2050718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050764 */     // MIs[0] round
     /* 2050764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050767 */     // MIs[0] policy
     /* 2050767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050803 */     // GIR_Coverage, 15391,
     /* 2050803 */     GIR_EraseRootFromParent_Done,
     /* 2050804 */   // Label 27285: @2050804
     /* 2050804 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2050895), // Rule ID 15394 //
     /* 2050809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2050826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050855 */     // MIs[0] round
     /* 2050855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050858 */     // MIs[0] policy
     /* 2050858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050894 */     // GIR_Coverage, 15394,
     /* 2050894 */     GIR_EraseRootFromParent_Done,
     /* 2050895 */   // Label 27286: @2050895
     /* 2050895 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2050986), // Rule ID 15395 //
     /* 2050900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2050917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050946 */     // MIs[0] round
     /* 2050946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050949 */     // MIs[0] policy
     /* 2050949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2050962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050985 */     // GIR_Coverage, 15395,
     /* 2050985 */     GIR_EraseRootFromParent_Done,
     /* 2050986 */   // Label 27287: @2050986
     /* 2050986 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2051077), // Rule ID 15398 //
     /* 2050991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051037 */     // MIs[0] round
     /* 2051037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051040 */     // MIs[0] policy
     /* 2051040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2051053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051076 */     // GIR_Coverage, 15398,
     /* 2051076 */     GIR_EraseRootFromParent_Done,
     /* 2051077 */   // Label 27288: @2051077
     /* 2051077 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2051168), // Rule ID 15399 //
     /* 2051082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2051085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051128 */     // MIs[0] round
     /* 2051128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051131 */     // MIs[0] policy
     /* 2051131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2051144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051167 */     // GIR_Coverage, 15399,
     /* 2051167 */     GIR_EraseRootFromParent_Done,
     /* 2051168 */   // Label 27289: @2051168
     /* 2051168 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2051259), // Rule ID 15402 //
     /* 2051173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051219 */     // MIs[0] round
     /* 2051219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051222 */     // MIs[0] policy
     /* 2051222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2051235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051258 */     // GIR_Coverage, 15402,
     /* 2051258 */     GIR_EraseRootFromParent_Done,
     /* 2051259 */   // Label 27290: @2051259
     /* 2051259 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2051350), // Rule ID 15403 //
     /* 2051264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051310 */     // MIs[0] round
     /* 2051310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051313 */     // MIs[0] policy
     /* 2051313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2051326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051349 */     // GIR_Coverage, 15403,
     /* 2051349 */     GIR_EraseRootFromParent_Done,
     /* 2051350 */   // Label 27291: @2051350
     /* 2051350 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2051441), // Rule ID 15406 //
     /* 2051355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2051366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2051369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2051372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051401 */     // MIs[0] round
     /* 2051401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051404 */     // MIs[0] policy
     /* 2051404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2051417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051440 */     // GIR_Coverage, 15406,
     /* 2051440 */     GIR_EraseRootFromParent_Done,
     /* 2051441 */   // Label 27292: @2051441
     /* 2051441 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2051532), // Rule ID 15407 //
     /* 2051446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2051457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2051460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2051463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051492 */     // MIs[0] round
     /* 2051492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051495 */     // MIs[0] policy
     /* 2051495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051505 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2051508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051531 */     // GIR_Coverage, 15407,
     /* 2051531 */     GIR_EraseRootFromParent_Done,
     /* 2051532 */   // Label 27293: @2051532
     /* 2051532 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2051623), // Rule ID 15410 //
     /* 2051537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2051548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2051551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2051554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2051560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051583 */     // MIs[0] round
     /* 2051583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051586 */     // MIs[0] policy
     /* 2051586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2051599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051622 */     // GIR_Coverage, 15410,
     /* 2051622 */     GIR_EraseRootFromParent_Done,
     /* 2051623 */   // Label 27294: @2051623
     /* 2051623 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2051714), // Rule ID 15411 //
     /* 2051628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2051639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2051642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2051645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2051651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051674 */     // MIs[0] round
     /* 2051674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051677 */     // MIs[0] policy
     /* 2051677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2051690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051713 */     // GIR_Coverage, 15411,
     /* 2051713 */     GIR_EraseRootFromParent_Done,
     /* 2051714 */   // Label 27295: @2051714
     /* 2051714 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2051805), // Rule ID 15414 //
     /* 2051719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051765 */     // MIs[0] round
     /* 2051765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051768 */     // MIs[0] policy
     /* 2051768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2051781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051804 */     // GIR_Coverage, 15414,
     /* 2051804 */     GIR_EraseRootFromParent_Done,
     /* 2051805 */   // Label 27296: @2051805
     /* 2051805 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2051896), // Rule ID 15415 //
     /* 2051810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051856 */     // MIs[0] round
     /* 2051856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051859 */     // MIs[0] policy
     /* 2051859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2051872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051895 */     // GIR_Coverage, 15415,
     /* 2051895 */     GIR_EraseRootFromParent_Done,
     /* 2051896 */   // Label 27297: @2051896
     /* 2051896 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2051987), // Rule ID 15418 //
     /* 2051901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2051912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2051915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2051918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051947 */     // MIs[0] round
     /* 2051947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051950 */     // MIs[0] policy
     /* 2051950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2051963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051986 */     // GIR_Coverage, 15418,
     /* 2051986 */     GIR_EraseRootFromParent_Done,
     /* 2051987 */   // Label 27298: @2051987
     /* 2051987 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2052078), // Rule ID 15419 //
     /* 2051992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2052003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2052006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2052009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052038 */     // MIs[0] round
     /* 2052038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052041 */     // MIs[0] policy
     /* 2052041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2052054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052077 */     // GIR_Coverage, 15419,
     /* 2052077 */     GIR_EraseRootFromParent_Done,
     /* 2052078 */   // Label 27299: @2052078
     /* 2052078 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2052169), // Rule ID 15422 //
     /* 2052083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052129 */     // MIs[0] round
     /* 2052129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052132 */     // MIs[0] policy
     /* 2052132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2052145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052168 */     // GIR_Coverage, 15422,
     /* 2052168 */     GIR_EraseRootFromParent_Done,
     /* 2052169 */   // Label 27300: @2052169
     /* 2052169 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2052260), // Rule ID 15423 //
     /* 2052174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052220 */     // MIs[0] round
     /* 2052220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052223 */     // MIs[0] policy
     /* 2052223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2052236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052259 */     // GIR_Coverage, 15423,
     /* 2052259 */     GIR_EraseRootFromParent_Done,
     /* 2052260 */   // Label 27301: @2052260
     /* 2052260 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2052351), // Rule ID 15426 //
     /* 2052265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2052276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2052279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2052282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052311 */     // MIs[0] round
     /* 2052311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052314 */     // MIs[0] policy
     /* 2052314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2052327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052350 */     // GIR_Coverage, 15426,
     /* 2052350 */     GIR_EraseRootFromParent_Done,
     /* 2052351 */   // Label 27302: @2052351
     /* 2052351 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2052442), // Rule ID 15427 //
     /* 2052356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2052367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2052370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2052373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052402 */     // MIs[0] round
     /* 2052402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052405 */     // MIs[0] policy
     /* 2052405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2052418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052441 */     // GIR_Coverage, 15427,
     /* 2052441 */     GIR_EraseRootFromParent_Done,
     /* 2052442 */   // Label 27303: @2052442
     /* 2052442 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2052533), // Rule ID 15430 //
     /* 2052447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2052458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2052461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2052464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052493 */     // MIs[0] round
     /* 2052493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052496 */     // MIs[0] policy
     /* 2052496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2052509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052532 */     // GIR_Coverage, 15430,
     /* 2052532 */     GIR_EraseRootFromParent_Done,
     /* 2052533 */   // Label 27304: @2052533
     /* 2052533 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2052624), // Rule ID 15431 //
     /* 2052538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2052549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2052552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2052555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052584 */     // MIs[0] round
     /* 2052584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052587 */     // MIs[0] policy
     /* 2052587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2052600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052623 */     // GIR_Coverage, 15431,
     /* 2052623 */     GIR_EraseRootFromParent_Done,
     /* 2052624 */   // Label 27305: @2052624
     /* 2052624 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2052715), // Rule ID 15434 //
     /* 2052629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2052640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2052643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2052646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052675 */     // MIs[0] round
     /* 2052675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052678 */     // MIs[0] policy
     /* 2052678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2052691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052714 */     // GIR_Coverage, 15434,
     /* 2052714 */     GIR_EraseRootFromParent_Done,
     /* 2052715 */   // Label 27306: @2052715
     /* 2052715 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2052806), // Rule ID 15435 //
     /* 2052720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2052731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2052734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2052737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052766 */     // MIs[0] round
     /* 2052766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052769 */     // MIs[0] policy
     /* 2052769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2052782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052805 */     // GIR_Coverage, 15435,
     /* 2052805 */     GIR_EraseRootFromParent_Done,
     /* 2052806 */   // Label 27307: @2052806
     /* 2052806 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2052897), // Rule ID 15438 //
     /* 2052811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2052822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2052825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2052828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052857 */     // MIs[0] round
     /* 2052857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052860 */     // MIs[0] policy
     /* 2052860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2052873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052896 */     // GIR_Coverage, 15438,
     /* 2052896 */     GIR_EraseRootFromParent_Done,
     /* 2052897 */   // Label 27308: @2052897
     /* 2052897 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2052988), // Rule ID 15439 //
     /* 2052902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2052913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2052916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2052919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052948 */     // MIs[0] round
     /* 2052948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052951 */     // MIs[0] policy
     /* 2052951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2052964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052987 */     // GIR_Coverage, 15439,
     /* 2052987 */     GIR_EraseRootFromParent_Done,
     /* 2052988 */   // Label 27309: @2052988
     /* 2052988 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2053079), // Rule ID 15442 //
     /* 2052993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053039 */     // MIs[0] round
     /* 2053039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053042 */     // MIs[0] policy
     /* 2053042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2053055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053078 */     // GIR_Coverage, 15442,
     /* 2053078 */     GIR_EraseRootFromParent_Done,
     /* 2053079 */   // Label 27310: @2053079
     /* 2053079 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2053170), // Rule ID 15443 //
     /* 2053084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2053087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053130 */     // MIs[0] round
     /* 2053130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053133 */     // MIs[0] policy
     /* 2053133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2053146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053169 */     // GIR_Coverage, 15443,
     /* 2053169 */     GIR_EraseRootFromParent_Done,
     /* 2053170 */   // Label 27311: @2053170
     /* 2053170 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2053261), // Rule ID 15446 //
     /* 2053175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2053178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2053186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2053189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2053192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053221 */     // MIs[0] round
     /* 2053221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053224 */     // MIs[0] policy
     /* 2053224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053234 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2053237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053260 */     // GIR_Coverage, 15446,
     /* 2053260 */     GIR_EraseRootFromParent_Done,
     /* 2053261 */   // Label 27312: @2053261
     /* 2053261 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2053352), // Rule ID 15447 //
     /* 2053266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2053269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2053277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2053280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2053283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053312 */     // MIs[0] round
     /* 2053312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053315 */     // MIs[0] policy
     /* 2053315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2053328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053351 */     // GIR_Coverage, 15447,
     /* 2053351 */     GIR_EraseRootFromParent_Done,
     /* 2053352 */   // Label 27313: @2053352
     /* 2053352 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2053443), // Rule ID 15450 //
     /* 2053357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2053368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2053371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2053374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2053377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053403 */     // MIs[0] round
     /* 2053403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053406 */     // MIs[0] policy
     /* 2053406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2053419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053442 */     // GIR_Coverage, 15450,
     /* 2053442 */     GIR_EraseRootFromParent_Done,
     /* 2053443 */   // Label 27314: @2053443
     /* 2053443 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2053534), // Rule ID 15451 //
     /* 2053448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2053459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2053462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2053465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2053468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053494 */     // MIs[0] round
     /* 2053494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053497 */     // MIs[0] policy
     /* 2053497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2053510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053533 */     // GIR_Coverage, 15451,
     /* 2053533 */     GIR_EraseRootFromParent_Done,
     /* 2053534 */   // Label 27315: @2053534
     /* 2053534 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2053625), // Rule ID 15454 //
     /* 2053539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2053550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2053553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2053556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2053559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053585 */     // MIs[0] round
     /* 2053585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053588 */     // MIs[0] policy
     /* 2053588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2053601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053624 */     // GIR_Coverage, 15454,
     /* 2053624 */     GIR_EraseRootFromParent_Done,
     /* 2053625 */   // Label 27316: @2053625
     /* 2053625 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2053716), // Rule ID 15455 //
     /* 2053630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2053641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2053644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2053647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2053650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053676 */     // MIs[0] round
     /* 2053676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053679 */     // MIs[0] policy
     /* 2053679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053689 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2053692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053715 */     // GIR_Coverage, 15455,
     /* 2053715 */     GIR_EraseRootFromParent_Done,
     /* 2053716 */   // Label 27317: @2053716
     /* 2053716 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2053807), // Rule ID 15458 //
     /* 2053721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2053732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2053735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2053738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2053741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053767 */     // MIs[0] round
     /* 2053767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053770 */     // MIs[0] policy
     /* 2053770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2053783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053806 */     // GIR_Coverage, 15458,
     /* 2053806 */     GIR_EraseRootFromParent_Done,
     /* 2053807 */   // Label 27318: @2053807
     /* 2053807 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2053898), // Rule ID 15459 //
     /* 2053812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2053823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2053826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2053829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2053832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053858 */     // MIs[0] round
     /* 2053858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053861 */     // MIs[0] policy
     /* 2053861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2053874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053897 */     // GIR_Coverage, 15459,
     /* 2053897 */     GIR_EraseRootFromParent_Done,
     /* 2053898 */   // Label 27319: @2053898
     /* 2053898 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2053989), // Rule ID 15462 //
     /* 2053903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2053914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2053917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2053920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2053923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053949 */     // MIs[0] round
     /* 2053949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053952 */     // MIs[0] policy
     /* 2053952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2053965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053988 */     // GIR_Coverage, 15462,
     /* 2053988 */     GIR_EraseRootFromParent_Done,
     /* 2053989 */   // Label 27320: @2053989
     /* 2053989 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2054080), // Rule ID 15463 //
     /* 2053994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2054011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054040 */     // MIs[0] round
     /* 2054040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054043 */     // MIs[0] policy
     /* 2054043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2054056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054079 */     // GIR_Coverage, 15463,
     /* 2054079 */     GIR_EraseRootFromParent_Done,
     /* 2054080 */   // Label 27321: @2054080
     /* 2054080 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2054171), // Rule ID 15466 //
     /* 2054085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2054096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2054099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2054102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2054105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054131 */     // MIs[0] round
     /* 2054131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054134 */     // MIs[0] policy
     /* 2054134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2054147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054170 */     // GIR_Coverage, 15466,
     /* 2054170 */     GIR_EraseRootFromParent_Done,
     /* 2054171 */   // Label 27322: @2054171
     /* 2054171 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2054262), // Rule ID 15467 //
     /* 2054176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2054187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2054190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2054193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2054196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054222 */     // MIs[0] round
     /* 2054222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054225 */     // MIs[0] policy
     /* 2054225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2054238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054261 */     // GIR_Coverage, 15467,
     /* 2054261 */     GIR_EraseRootFromParent_Done,
     /* 2054262 */   // Label 27323: @2054262
     /* 2054262 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2054353), // Rule ID 15470 //
     /* 2054267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2054278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2054281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2054284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2054287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054313 */     // MIs[0] round
     /* 2054313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054316 */     // MIs[0] policy
     /* 2054316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2054329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054352 */     // GIR_Coverage, 15470,
     /* 2054352 */     GIR_EraseRootFromParent_Done,
     /* 2054353 */   // Label 27324: @2054353
     /* 2054353 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2054444), // Rule ID 15471 //
     /* 2054358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2054369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2054372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2054375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2054378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054404 */     // MIs[0] round
     /* 2054404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054407 */     // MIs[0] policy
     /* 2054407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2054420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054443 */     // GIR_Coverage, 15471,
     /* 2054443 */     GIR_EraseRootFromParent_Done,
     /* 2054444 */   // Label 27325: @2054444
     /* 2054444 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2054535), // Rule ID 15474 //
     /* 2054449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2054460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2054463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2054466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2054469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054495 */     // MIs[0] round
     /* 2054495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054498 */     // MIs[0] policy
     /* 2054498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054534 */     // GIR_Coverage, 15474,
     /* 2054534 */     GIR_EraseRootFromParent_Done,
     /* 2054535 */   // Label 27326: @2054535
     /* 2054535 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2054626), // Rule ID 15475 //
     /* 2054540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2054551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2054554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2054557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2054560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054586 */     // MIs[0] round
     /* 2054586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054589 */     // MIs[0] policy
     /* 2054589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054625 */     // GIR_Coverage, 15475,
     /* 2054625 */     GIR_EraseRootFromParent_Done,
     /* 2054626 */   // Label 27327: @2054626
     /* 2054626 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2054717), // Rule ID 15478 //
     /* 2054631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2054642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2054645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2054648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2054651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054677 */     // MIs[0] round
     /* 2054677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054680 */     // MIs[0] policy
     /* 2054680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054716 */     // GIR_Coverage, 15478,
     /* 2054716 */     GIR_EraseRootFromParent_Done,
     /* 2054717 */   // Label 27328: @2054717
     /* 2054717 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2054808), // Rule ID 15479 //
     /* 2054722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2054733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2054736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2054739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2054742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054768 */     // MIs[0] round
     /* 2054768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054771 */     // MIs[0] policy
     /* 2054771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054807 */     // GIR_Coverage, 15479,
     /* 2054807 */     GIR_EraseRootFromParent_Done,
     /* 2054808 */   // Label 27329: @2054808
     /* 2054808 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2054899), // Rule ID 15482 //
     /* 2054813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2054824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2054827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2054830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2054833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054859 */     // MIs[0] round
     /* 2054859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054862 */     // MIs[0] policy
     /* 2054862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054898 */     // GIR_Coverage, 15482,
     /* 2054898 */     GIR_EraseRootFromParent_Done,
     /* 2054899 */   // Label 27330: @2054899
     /* 2054899 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2054990), // Rule ID 15483 //
     /* 2054904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2054915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2054918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2054921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2054924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054950 */     // MIs[0] round
     /* 2054950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054953 */     // MIs[0] policy
     /* 2054953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2054966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054989 */     // GIR_Coverage, 15483,
     /* 2054989 */     GIR_EraseRootFromParent_Done,
     /* 2054990 */   // Label 27331: @2054990
     /* 2054990 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2055081), // Rule ID 15486 //
     /* 2054995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2055012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055041 */     // MIs[0] round
     /* 2055041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055044 */     // MIs[0] policy
     /* 2055044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2055057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055080 */     // GIR_Coverage, 15486,
     /* 2055080 */     GIR_EraseRootFromParent_Done,
     /* 2055081 */   // Label 27332: @2055081
     /* 2055081 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2055172), // Rule ID 15487 //
     /* 2055086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2055089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2055103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055132 */     // MIs[0] round
     /* 2055132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055135 */     // MIs[0] policy
     /* 2055135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2055148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055171 */     // GIR_Coverage, 15487,
     /* 2055171 */     GIR_EraseRootFromParent_Done,
     /* 2055172 */   // Label 27333: @2055172
     /* 2055172 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2055263), // Rule ID 15490 //
     /* 2055177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2055188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2055191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2055194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2055197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055223 */     // MIs[0] round
     /* 2055223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055226 */     // MIs[0] policy
     /* 2055226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2055239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055262 */     // GIR_Coverage, 15490,
     /* 2055262 */     GIR_EraseRootFromParent_Done,
     /* 2055263 */   // Label 27334: @2055263
     /* 2055263 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2055354), // Rule ID 15491 //
     /* 2055268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2055279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2055282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2055285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2055288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055314 */     // MIs[0] round
     /* 2055314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055317 */     // MIs[0] policy
     /* 2055317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055327 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2055330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055353 */     // GIR_Coverage, 15491,
     /* 2055353 */     GIR_EraseRootFromParent_Done,
     /* 2055354 */   // Label 27335: @2055354
     /* 2055354 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2055445), // Rule ID 15494 //
     /* 2055359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2055370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2055373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2055376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2055379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2055382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055405 */     // MIs[0] round
     /* 2055405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055408 */     // MIs[0] policy
     /* 2055408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2055421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055444 */     // GIR_Coverage, 15494,
     /* 2055444 */     GIR_EraseRootFromParent_Done,
     /* 2055445 */   // Label 27336: @2055445
     /* 2055445 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2055536), // Rule ID 15495 //
     /* 2055450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2055461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2055464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2055467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2055470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2055473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055496 */     // MIs[0] round
     /* 2055496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055499 */     // MIs[0] policy
     /* 2055499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2055512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055535 */     // GIR_Coverage, 15495,
     /* 2055535 */     GIR_EraseRootFromParent_Done,
     /* 2055536 */   // Label 27337: @2055536
     /* 2055536 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2055627), // Rule ID 15498 //
     /* 2055541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2055552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2055555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2055558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2055561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2055564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055587 */     // MIs[0] round
     /* 2055587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055590 */     // MIs[0] policy
     /* 2055590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2055603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055626 */     // GIR_Coverage, 15498,
     /* 2055626 */     GIR_EraseRootFromParent_Done,
     /* 2055627 */   // Label 27338: @2055627
     /* 2055627 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2055718), // Rule ID 15499 //
     /* 2055632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2055643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2055646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2055649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2055652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2055655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055678 */     // MIs[0] round
     /* 2055678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055681 */     // MIs[0] policy
     /* 2055681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2055694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055717 */     // GIR_Coverage, 15499,
     /* 2055717 */     GIR_EraseRootFromParent_Done,
     /* 2055718 */   // Label 27339: @2055718
     /* 2055718 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2055809), // Rule ID 15502 //
     /* 2055723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2055734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2055737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2055740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2055743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055769 */     // MIs[0] round
     /* 2055769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055772 */     // MIs[0] policy
     /* 2055772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2055785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055808 */     // GIR_Coverage, 15502,
     /* 2055808 */     GIR_EraseRootFromParent_Done,
     /* 2055809 */   // Label 27340: @2055809
     /* 2055809 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2055900), // Rule ID 15503 //
     /* 2055814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2055825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2055828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2055831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2055834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055860 */     // MIs[0] round
     /* 2055860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055863 */     // MIs[0] policy
     /* 2055863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2055876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055899 */     // GIR_Coverage, 15503,
     /* 2055899 */     GIR_EraseRootFromParent_Done,
     /* 2055900 */   // Label 27341: @2055900
     /* 2055900 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2055991), // Rule ID 15506 //
     /* 2055905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2055916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2055919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2055922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2055925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055951 */     // MIs[0] round
     /* 2055951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055954 */     // MIs[0] policy
     /* 2055954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2055967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055990 */     // GIR_Coverage, 15506,
     /* 2055990 */     GIR_EraseRootFromParent_Done,
     /* 2055991 */   // Label 27342: @2055991
     /* 2055991 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2056082), // Rule ID 15507 //
     /* 2055996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2056007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2056010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2056013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2056016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056042 */     // MIs[0] round
     /* 2056042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056045 */     // MIs[0] policy
     /* 2056045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2056058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056081 */     // GIR_Coverage, 15507,
     /* 2056081 */     GIR_EraseRootFromParent_Done,
     /* 2056082 */   // Label 27343: @2056082
     /* 2056082 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2056173), // Rule ID 15510 //
     /* 2056087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2056104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056133 */     // MIs[0] round
     /* 2056133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056136 */     // MIs[0] policy
     /* 2056136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2056149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056172 */     // GIR_Coverage, 15510,
     /* 2056172 */     GIR_EraseRootFromParent_Done,
     /* 2056173 */   // Label 27344: @2056173
     /* 2056173 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2056264), // Rule ID 15511 //
     /* 2056178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2056195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056224 */     // MIs[0] round
     /* 2056224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056227 */     // MIs[0] policy
     /* 2056227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2056240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056263 */     // GIR_Coverage, 15511,
     /* 2056263 */     GIR_EraseRootFromParent_Done,
     /* 2056264 */   // Label 27345: @2056264
     /* 2056264 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2056355), // Rule ID 15514 //
     /* 2056269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2056286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056315 */     // MIs[0] round
     /* 2056315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056318 */     // MIs[0] policy
     /* 2056318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2056331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056354 */     // GIR_Coverage, 15514,
     /* 2056354 */     GIR_EraseRootFromParent_Done,
     /* 2056355 */   // Label 27346: @2056355
     /* 2056355 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2056446), // Rule ID 15515 //
     /* 2056360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2056377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056406 */     // MIs[0] round
     /* 2056406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056409 */     // MIs[0] policy
     /* 2056409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2056422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056445 */     // GIR_Coverage, 15515,
     /* 2056445 */     GIR_EraseRootFromParent_Done,
     /* 2056446 */   // Label 27347: @2056446
     /* 2056446 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2056537), // Rule ID 15518 //
     /* 2056451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2056468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056497 */     // MIs[0] round
     /* 2056497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056500 */     // MIs[0] policy
     /* 2056500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2056513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056536 */     // GIR_Coverage, 15518,
     /* 2056536 */     GIR_EraseRootFromParent_Done,
     /* 2056537 */   // Label 27348: @2056537
     /* 2056537 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2056628), // Rule ID 15519 //
     /* 2056542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2056559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056588 */     // MIs[0] round
     /* 2056588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056591 */     // MIs[0] policy
     /* 2056591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2056604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056627 */     // GIR_Coverage, 15519,
     /* 2056627 */     GIR_EraseRootFromParent_Done,
     /* 2056628 */   // Label 27349: @2056628
     /* 2056628 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2056719), // Rule ID 15522 //
     /* 2056633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2056644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2056647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2056650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2056653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056679 */     // MIs[0] round
     /* 2056679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056682 */     // MIs[0] policy
     /* 2056682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2056695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056718 */     // GIR_Coverage, 15522,
     /* 2056718 */     GIR_EraseRootFromParent_Done,
     /* 2056719 */   // Label 27350: @2056719
     /* 2056719 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2056810), // Rule ID 15523 //
     /* 2056724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2056735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2056738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2056741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2056744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056770 */     // MIs[0] round
     /* 2056770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056773 */     // MIs[0] policy
     /* 2056773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2056786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056809 */     // GIR_Coverage, 15523,
     /* 2056809 */     GIR_EraseRootFromParent_Done,
     /* 2056810 */   // Label 27351: @2056810
     /* 2056810 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2056901), // Rule ID 15526 //
     /* 2056815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2056818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2056826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2056829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2056832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2056835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056861 */     // MIs[0] round
     /* 2056861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056864 */     // MIs[0] policy
     /* 2056864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2056877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056900 */     // GIR_Coverage, 15526,
     /* 2056900 */     GIR_EraseRootFromParent_Done,
     /* 2056901 */   // Label 27352: @2056901
     /* 2056901 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2056992), // Rule ID 15527 //
     /* 2056906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2056909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2056917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2056920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2056923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2056926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056952 */     // MIs[0] round
     /* 2056952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056955 */     // MIs[0] policy
     /* 2056955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2056968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056991 */     // GIR_Coverage, 15527,
     /* 2056991 */     GIR_EraseRootFromParent_Done,
     /* 2056992 */   // Label 27353: @2056992
     /* 2056992 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2057083), // Rule ID 15530 //
     /* 2056997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2057000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2057008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2057011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2057014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2057017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057043 */     // MIs[0] round
     /* 2057043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057046 */     // MIs[0] policy
     /* 2057046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2057059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057082 */     // GIR_Coverage, 15530,
     /* 2057082 */     GIR_EraseRootFromParent_Done,
     /* 2057083 */   // Label 27354: @2057083
     /* 2057083 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2057174), // Rule ID 15531 //
     /* 2057088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2057091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2057099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2057102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2057105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2057108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057134 */     // MIs[0] round
     /* 2057134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057137 */     // MIs[0] policy
     /* 2057137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2057150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057173 */     // GIR_Coverage, 15531,
     /* 2057173 */     GIR_EraseRootFromParent_Done,
     /* 2057174 */   // Label 27355: @2057174
     /* 2057174 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2057265), // Rule ID 15534 //
     /* 2057179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2057182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2057190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2057193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2057196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2057199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057225 */     // MIs[0] round
     /* 2057225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057228 */     // MIs[0] policy
     /* 2057228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2057241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057264 */     // GIR_Coverage, 15534,
     /* 2057264 */     GIR_EraseRootFromParent_Done,
     /* 2057265 */   // Label 27356: @2057265
     /* 2057265 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2057356), // Rule ID 15535 //
     /* 2057270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2057273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2057281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2057284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2057287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2057290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057316 */     // MIs[0] round
     /* 2057316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057319 */     // MIs[0] policy
     /* 2057319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2057332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057355 */     // GIR_Coverage, 15535,
     /* 2057355 */     GIR_EraseRootFromParent_Done,
     /* 2057356 */   // Label 27357: @2057356
     /* 2057356 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2057447), // Rule ID 15538 //
     /* 2057361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2057372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2057375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2057378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057407 */     // MIs[0] round
     /* 2057407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057410 */     // MIs[0] policy
     /* 2057410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2057423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057446 */     // GIR_Coverage, 15538,
     /* 2057446 */     GIR_EraseRootFromParent_Done,
     /* 2057447 */   // Label 27358: @2057447
     /* 2057447 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2057538), // Rule ID 15539 //
     /* 2057452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2057463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2057466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2057469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057498 */     // MIs[0] round
     /* 2057498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057501 */     // MIs[0] policy
     /* 2057501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2057514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057537 */     // GIR_Coverage, 15539,
     /* 2057537 */     GIR_EraseRootFromParent_Done,
     /* 2057538 */   // Label 27359: @2057538
     /* 2057538 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2057629), // Rule ID 15542 //
     /* 2057543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057589 */     // MIs[0] round
     /* 2057589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057592 */     // MIs[0] policy
     /* 2057592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2057605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057628 */     // GIR_Coverage, 15542,
     /* 2057628 */     GIR_EraseRootFromParent_Done,
     /* 2057629 */   // Label 27360: @2057629
     /* 2057629 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2057720), // Rule ID 15543 //
     /* 2057634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057680 */     // MIs[0] round
     /* 2057680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057683 */     // MIs[0] policy
     /* 2057683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2057696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057719 */     // GIR_Coverage, 15543,
     /* 2057719 */     GIR_EraseRootFromParent_Done,
     /* 2057720 */   // Label 27361: @2057720
     /* 2057720 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2057811), // Rule ID 15546 //
     /* 2057725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057771 */     // MIs[0] round
     /* 2057771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057774 */     // MIs[0] policy
     /* 2057774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2057787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057810 */     // GIR_Coverage, 15546,
     /* 2057810 */     GIR_EraseRootFromParent_Done,
     /* 2057811 */   // Label 27362: @2057811
     /* 2057811 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2057902), // Rule ID 15547 //
     /* 2057816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057862 */     // MIs[0] round
     /* 2057862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057865 */     // MIs[0] policy
     /* 2057865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2057878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057901 */     // GIR_Coverage, 15547,
     /* 2057901 */     GIR_EraseRootFromParent_Done,
     /* 2057902 */   // Label 27363: @2057902
     /* 2057902 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2057993), // Rule ID 15550 //
     /* 2057907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057953 */     // MIs[0] round
     /* 2057953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057956 */     // MIs[0] policy
     /* 2057956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2057969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057992 */     // GIR_Coverage, 15550,
     /* 2057992 */     GIR_EraseRootFromParent_Done,
     /* 2057993 */   // Label 27364: @2057993
     /* 2057993 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2058084), // Rule ID 15551 //
     /* 2057998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2058009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2058012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2058015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058044 */     // MIs[0] round
     /* 2058044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058047 */     // MIs[0] policy
     /* 2058047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2058060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058083 */     // GIR_Coverage, 15551,
     /* 2058083 */     GIR_EraseRootFromParent_Done,
     /* 2058084 */   // Label 27365: @2058084
     /* 2058084 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2058175), // Rule ID 15554 //
     /* 2058089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058135 */     // MIs[0] round
     /* 2058135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058138 */     // MIs[0] policy
     /* 2058138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2058151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058174 */     // GIR_Coverage, 15554,
     /* 2058174 */     GIR_EraseRootFromParent_Done,
     /* 2058175 */   // Label 27366: @2058175
     /* 2058175 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2058266), // Rule ID 15555 //
     /* 2058180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058226 */     // MIs[0] round
     /* 2058226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058229 */     // MIs[0] policy
     /* 2058229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2058242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058265 */     // GIR_Coverage, 15555,
     /* 2058265 */     GIR_EraseRootFromParent_Done,
     /* 2058266 */   // Label 27367: @2058266
     /* 2058266 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2058357), // Rule ID 15558 //
     /* 2058271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058317 */     // MIs[0] round
     /* 2058317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058320 */     // MIs[0] policy
     /* 2058320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2058333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058356 */     // GIR_Coverage, 15558,
     /* 2058356 */     GIR_EraseRootFromParent_Done,
     /* 2058357 */   // Label 27368: @2058357
     /* 2058357 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2058448), // Rule ID 15559 //
     /* 2058362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058408 */     // MIs[0] round
     /* 2058408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058411 */     // MIs[0] policy
     /* 2058411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2058424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058447 */     // GIR_Coverage, 15559,
     /* 2058447 */     GIR_EraseRootFromParent_Done,
     /* 2058448 */   // Label 27369: @2058448
     /* 2058448 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2058539), // Rule ID 15562 //
     /* 2058453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2058464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2058467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2058470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058499 */     // MIs[0] round
     /* 2058499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058502 */     // MIs[0] policy
     /* 2058502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058538 */     // GIR_Coverage, 15562,
     /* 2058538 */     GIR_EraseRootFromParent_Done,
     /* 2058539 */   // Label 27370: @2058539
     /* 2058539 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2058630), // Rule ID 15563 //
     /* 2058544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2058555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2058558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2058561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058590 */     // MIs[0] round
     /* 2058590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058593 */     // MIs[0] policy
     /* 2058593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058629 */     // GIR_Coverage, 15563,
     /* 2058629 */     GIR_EraseRootFromParent_Done,
     /* 2058630 */   // Label 27371: @2058630
     /* 2058630 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2058721), // Rule ID 15566 //
     /* 2058635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058681 */     // MIs[0] round
     /* 2058681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058684 */     // MIs[0] policy
     /* 2058684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058720 */     // GIR_Coverage, 15566,
     /* 2058720 */     GIR_EraseRootFromParent_Done,
     /* 2058721 */   // Label 27372: @2058721
     /* 2058721 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2058812), // Rule ID 15567 //
     /* 2058726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058772 */     // MIs[0] round
     /* 2058772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058775 */     // MIs[0] policy
     /* 2058775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058811 */     // GIR_Coverage, 15567,
     /* 2058811 */     GIR_EraseRootFromParent_Done,
     /* 2058812 */   // Label 27373: @2058812
     /* 2058812 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2058903), // Rule ID 15570 //
     /* 2058817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058863 */     // MIs[0] round
     /* 2058863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058866 */     // MIs[0] policy
     /* 2058866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058902 */     // GIR_Coverage, 15570,
     /* 2058902 */     GIR_EraseRootFromParent_Done,
     /* 2058903 */   // Label 27374: @2058903
     /* 2058903 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2058994), // Rule ID 15571 //
     /* 2058908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058954 */     // MIs[0] round
     /* 2058954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058957 */     // MIs[0] policy
     /* 2058957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2058970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058993 */     // GIR_Coverage, 15571,
     /* 2058993 */     GIR_EraseRootFromParent_Done,
     /* 2058994 */   // Label 27375: @2058994
     /* 2058994 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2059085), // Rule ID 15574 //
     /* 2058999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2059002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2059010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2059013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2059016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059045 */     // MIs[0] round
     /* 2059045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059048 */     // MIs[0] policy
     /* 2059048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2059061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059084 */     // GIR_Coverage, 15574,
     /* 2059084 */     GIR_EraseRootFromParent_Done,
     /* 2059085 */   // Label 27376: @2059085
     /* 2059085 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2059176), // Rule ID 15575 //
     /* 2059090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2059093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2059101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2059104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2059107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059136 */     // MIs[0] round
     /* 2059136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059139 */     // MIs[0] policy
     /* 2059139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2059152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059175 */     // GIR_Coverage, 15575,
     /* 2059175 */     GIR_EraseRootFromParent_Done,
     /* 2059176 */   // Label 27377: @2059176
     /* 2059176 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2059267), // Rule ID 15578 //
     /* 2059181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059227 */     // MIs[0] round
     /* 2059227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059230 */     // MIs[0] policy
     /* 2059230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2059243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059266 */     // GIR_Coverage, 15578,
     /* 2059266 */     GIR_EraseRootFromParent_Done,
     /* 2059267 */   // Label 27378: @2059267
     /* 2059267 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2059358), // Rule ID 15579 //
     /* 2059272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059318 */     // MIs[0] round
     /* 2059318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059321 */     // MIs[0] policy
     /* 2059321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2059334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059357 */     // GIR_Coverage, 15579,
     /* 2059357 */     GIR_EraseRootFromParent_Done,
     /* 2059358 */   // Label 27379: @2059358
     /* 2059358 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2059449), // Rule ID 15582 //
     /* 2059363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059409 */     // MIs[0] round
     /* 2059409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059412 */     // MIs[0] policy
     /* 2059412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2059425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059448 */     // GIR_Coverage, 15582,
     /* 2059448 */     GIR_EraseRootFromParent_Done,
     /* 2059449 */   // Label 27380: @2059449
     /* 2059449 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2059540), // Rule ID 15583 //
     /* 2059454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059500 */     // MIs[0] round
     /* 2059500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059503 */     // MIs[0] policy
     /* 2059503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2059516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059539 */     // GIR_Coverage, 15583,
     /* 2059539 */     GIR_EraseRootFromParent_Done,
     /* 2059540 */   // Label 27381: @2059540
     /* 2059540 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2059631), // Rule ID 15586 //
     /* 2059545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2059556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2059559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2059562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2059568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059591 */     // MIs[0] round
     /* 2059591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059594 */     // MIs[0] policy
     /* 2059594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2059607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059630 */     // GIR_Coverage, 15586,
     /* 2059630 */     GIR_EraseRootFromParent_Done,
     /* 2059631 */   // Label 27382: @2059631
     /* 2059631 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2059722), // Rule ID 15587 //
     /* 2059636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2059647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2059650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2059653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2059659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059682 */     // MIs[0] round
     /* 2059682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059685 */     // MIs[0] policy
     /* 2059685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059695 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2059698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059721 */     // GIR_Coverage, 15587,
     /* 2059721 */     GIR_EraseRootFromParent_Done,
     /* 2059722 */   // Label 27383: @2059722
     /* 2059722 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2059813), // Rule ID 15590 //
     /* 2059727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059773 */     // MIs[0] round
     /* 2059773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059776 */     // MIs[0] policy
     /* 2059776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2059789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059812 */     // GIR_Coverage, 15590,
     /* 2059812 */     GIR_EraseRootFromParent_Done,
     /* 2059813 */   // Label 27384: @2059813
     /* 2059813 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2059904), // Rule ID 15591 //
     /* 2059818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059864 */     // MIs[0] round
     /* 2059864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059867 */     // MIs[0] policy
     /* 2059867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2059880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059903 */     // GIR_Coverage, 15591,
     /* 2059903 */     GIR_EraseRootFromParent_Done,
     /* 2059904 */   // Label 27385: @2059904
     /* 2059904 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2059995), // Rule ID 15594 //
     /* 2059909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059955 */     // MIs[0] round
     /* 2059955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059958 */     // MIs[0] policy
     /* 2059958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2059971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059994 */     // GIR_Coverage, 15594,
     /* 2059994 */     GIR_EraseRootFromParent_Done,
     /* 2059995 */   // Label 27386: @2059995
     /* 2059995 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2060086), // Rule ID 15595 //
     /* 2060000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060046 */     // MIs[0] round
     /* 2060046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060049 */     // MIs[0] policy
     /* 2060049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2060062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060085 */     // GIR_Coverage, 15595,
     /* 2060085 */     GIR_EraseRootFromParent_Done,
     /* 2060086 */   // Label 27387: @2060086
     /* 2060086 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2060177), // Rule ID 15598 //
     /* 2060091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060137 */     // MIs[0] round
     /* 2060137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060140 */     // MIs[0] policy
     /* 2060140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2060153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060176 */     // GIR_Coverage, 15598,
     /* 2060176 */     GIR_EraseRootFromParent_Done,
     /* 2060177 */   // Label 27388: @2060177
     /* 2060177 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2060268), // Rule ID 15599 //
     /* 2060182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060228 */     // MIs[0] round
     /* 2060228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060231 */     // MIs[0] policy
     /* 2060231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2060244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060267 */     // GIR_Coverage, 15599,
     /* 2060267 */     GIR_EraseRootFromParent_Done,
     /* 2060268 */   // Label 27389: @2060268
     /* 2060268 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2060359), // Rule ID 15602 //
     /* 2060273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060319 */     // MIs[0] round
     /* 2060319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060322 */     // MIs[0] policy
     /* 2060322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2060335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060358 */     // GIR_Coverage, 15602,
     /* 2060358 */     GIR_EraseRootFromParent_Done,
     /* 2060359 */   // Label 27390: @2060359
     /* 2060359 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2060450), // Rule ID 15603 //
     /* 2060364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060410 */     // MIs[0] round
     /* 2060410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060413 */     // MIs[0] policy
     /* 2060413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2060426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060449 */     // GIR_Coverage, 15603,
     /* 2060449 */     GIR_EraseRootFromParent_Done,
     /* 2060450 */   // Label 27391: @2060450
     /* 2060450 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2060541), // Rule ID 15606 //
     /* 2060455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2060466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2060469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2060472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060501 */     // MIs[0] round
     /* 2060501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060504 */     // MIs[0] policy
     /* 2060504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2060517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060540 */     // GIR_Coverage, 15606,
     /* 2060540 */     GIR_EraseRootFromParent_Done,
     /* 2060541 */   // Label 27392: @2060541
     /* 2060541 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2060632), // Rule ID 15607 //
     /* 2060546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2060557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2060560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2060563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060592 */     // MIs[0] round
     /* 2060592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060595 */     // MIs[0] policy
     /* 2060595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2060608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060631 */     // GIR_Coverage, 15607,
     /* 2060631 */     GIR_EraseRootFromParent_Done,
     /* 2060632 */   // Label 27393: @2060632
     /* 2060632 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2060723), // Rule ID 15610 //
     /* 2060637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060683 */     // MIs[0] round
     /* 2060683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060686 */     // MIs[0] policy
     /* 2060686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2060699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060722 */     // GIR_Coverage, 15610,
     /* 2060722 */     GIR_EraseRootFromParent_Done,
     /* 2060723 */   // Label 27394: @2060723
     /* 2060723 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2060814), // Rule ID 15611 //
     /* 2060728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060774 */     // MIs[0] round
     /* 2060774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060777 */     // MIs[0] policy
     /* 2060777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2060790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060813 */     // GIR_Coverage, 15611,
     /* 2060813 */     GIR_EraseRootFromParent_Done,
     /* 2060814 */   // Label 27395: @2060814
     /* 2060814 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2060905), // Rule ID 15614 //
     /* 2060819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060865 */     // MIs[0] round
     /* 2060865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060868 */     // MIs[0] policy
     /* 2060868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2060881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060904 */     // GIR_Coverage, 15614,
     /* 2060904 */     GIR_EraseRootFromParent_Done,
     /* 2060905 */   // Label 27396: @2060905
     /* 2060905 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2060996), // Rule ID 15615 //
     /* 2060910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060956 */     // MIs[0] round
     /* 2060956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060959 */     // MIs[0] policy
     /* 2060959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2060972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060995 */     // GIR_Coverage, 15615,
     /* 2060995 */     GIR_EraseRootFromParent_Done,
     /* 2060996 */   // Label 27397: @2060996
     /* 2060996 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2061087), // Rule ID 15618 //
     /* 2061001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2061004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061047 */     // MIs[0] round
     /* 2061047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061050 */     // MIs[0] policy
     /* 2061050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2061063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061086 */     // GIR_Coverage, 15618,
     /* 2061086 */     GIR_EraseRootFromParent_Done,
     /* 2061087 */   // Label 27398: @2061087
     /* 2061087 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2061178), // Rule ID 15619 //
     /* 2061092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2061095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061138 */     // MIs[0] round
     /* 2061138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061141 */     // MIs[0] policy
     /* 2061141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2061154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061177 */     // GIR_Coverage, 15619,
     /* 2061177 */     GIR_EraseRootFromParent_Done,
     /* 2061178 */   // Label 27399: @2061178
     /* 2061178 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2061269), // Rule ID 15622 //
     /* 2061183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2061186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2061194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2061197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2061200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061229 */     // MIs[0] round
     /* 2061229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061232 */     // MIs[0] policy
     /* 2061232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2061245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061268 */     // GIR_Coverage, 15622,
     /* 2061268 */     GIR_EraseRootFromParent_Done,
     /* 2061269 */   // Label 27400: @2061269
     /* 2061269 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2061360), // Rule ID 15623 //
     /* 2061274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2061277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2061285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2061288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2061291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061320 */     // MIs[0] round
     /* 2061320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061323 */     // MIs[0] policy
     /* 2061323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2061336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061359 */     // GIR_Coverage, 15623,
     /* 2061359 */     GIR_EraseRootFromParent_Done,
     /* 2061360 */   // Label 27401: @2061360
     /* 2061360 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2061454), // Rule ID 15626 //
     /* 2061365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2061385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061411 */     // MIs[0] round
     /* 2061411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061414 */     // MIs[0] policy
     /* 2061414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2061427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061453 */     // GIR_Coverage, 15626,
     /* 2061453 */     GIR_EraseRootFromParent_Done,
     /* 2061454 */   // Label 27402: @2061454
     /* 2061454 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2061548), // Rule ID 15627 //
     /* 2061459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2061479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061505 */     // MIs[0] round
     /* 2061505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061508 */     // MIs[0] policy
     /* 2061508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061518 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2061521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061547 */     // GIR_Coverage, 15627,
     /* 2061547 */     GIR_EraseRootFromParent_Done,
     /* 2061548 */   // Label 27403: @2061548
     /* 2061548 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2061642), // Rule ID 15630 //
     /* 2061553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2061564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2061567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2061570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2061573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061599 */     // MIs[0] round
     /* 2061599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061602 */     // MIs[0] policy
     /* 2061602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061612 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2061615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061641 */     // GIR_Coverage, 15630,
     /* 2061641 */     GIR_EraseRootFromParent_Done,
     /* 2061642 */   // Label 27404: @2061642
     /* 2061642 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2061736), // Rule ID 15631 //
     /* 2061647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2061658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2061661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2061664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2061667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061693 */     // MIs[0] round
     /* 2061693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061696 */     // MIs[0] policy
     /* 2061696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061706 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2061709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061735 */     // GIR_Coverage, 15631,
     /* 2061735 */     GIR_EraseRootFromParent_Done,
     /* 2061736 */   // Label 27405: @2061736
     /* 2061736 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2061830), // Rule ID 15634 //
     /* 2061741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2061752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2061755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2061758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2061761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061787 */     // MIs[0] round
     /* 2061787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061790 */     // MIs[0] policy
     /* 2061790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2061803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061829 */     // GIR_Coverage, 15634,
     /* 2061829 */     GIR_EraseRootFromParent_Done,
     /* 2061830 */   // Label 27406: @2061830
     /* 2061830 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2061924), // Rule ID 15635 //
     /* 2061835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2061846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2061849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2061852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2061855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061881 */     // MIs[0] round
     /* 2061881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061884 */     // MIs[0] policy
     /* 2061884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2061897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061923 */     // GIR_Coverage, 15635,
     /* 2061923 */     GIR_EraseRootFromParent_Done,
     /* 2061924 */   // Label 27407: @2061924
     /* 2061924 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2062018), // Rule ID 15638 //
     /* 2061929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2061940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2061943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2061946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2061949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061975 */     // MIs[0] round
     /* 2061975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061978 */     // MIs[0] policy
     /* 2061978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2061991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062017 */     // GIR_Coverage, 15638,
     /* 2062017 */     GIR_EraseRootFromParent_Done,
     /* 2062018 */   // Label 27408: @2062018
     /* 2062018 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2062112), // Rule ID 15639 //
     /* 2062023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2062034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2062037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2062040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2062043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062069 */     // MIs[0] round
     /* 2062069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062072 */     // MIs[0] policy
     /* 2062072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2062085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062111 */     // GIR_Coverage, 15639,
     /* 2062111 */     GIR_EraseRootFromParent_Done,
     /* 2062112 */   // Label 27409: @2062112
     /* 2062112 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2062206), // Rule ID 15642 //
     /* 2062117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2062128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2062131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2062134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2062137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062163 */     // MIs[0] round
     /* 2062163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062166 */     // MIs[0] policy
     /* 2062166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2062179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062205 */     // GIR_Coverage, 15642,
     /* 2062205 */     GIR_EraseRootFromParent_Done,
     /* 2062206 */   // Label 27410: @2062206
     /* 2062206 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2062300), // Rule ID 15643 //
     /* 2062211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2062222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2062225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2062228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2062231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062257 */     // MIs[0] round
     /* 2062257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062260 */     // MIs[0] policy
     /* 2062260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2062273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062299 */     // GIR_Coverage, 15643,
     /* 2062299 */     GIR_EraseRootFromParent_Done,
     /* 2062300 */   // Label 27411: @2062300
     /* 2062300 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2062394), // Rule ID 15646 //
     /* 2062305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2062316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2062319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2062322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2062325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062351 */     // MIs[0] round
     /* 2062351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062354 */     // MIs[0] policy
     /* 2062354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2062367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062393 */     // GIR_Coverage, 15646,
     /* 2062393 */     GIR_EraseRootFromParent_Done,
     /* 2062394 */   // Label 27412: @2062394
     /* 2062394 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2062488), // Rule ID 15647 //
     /* 2062399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2062410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2062413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2062416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2062419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062445 */     // MIs[0] round
     /* 2062445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062448 */     // MIs[0] policy
     /* 2062448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2062461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062487 */     // GIR_Coverage, 15647,
     /* 2062487 */     GIR_EraseRootFromParent_Done,
     /* 2062488 */   // Label 27413: @2062488
     /* 2062488 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2062582), // Rule ID 15650 //
     /* 2062493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2062513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062539 */     // MIs[0] round
     /* 2062539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062542 */     // MIs[0] policy
     /* 2062542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062581 */     // GIR_Coverage, 15650,
     /* 2062581 */     GIR_EraseRootFromParent_Done,
     /* 2062582 */   // Label 27414: @2062582
     /* 2062582 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2062676), // Rule ID 15651 //
     /* 2062587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2062607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062633 */     // MIs[0] round
     /* 2062633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062636 */     // MIs[0] policy
     /* 2062636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062675 */     // GIR_Coverage, 15651,
     /* 2062675 */     GIR_EraseRootFromParent_Done,
     /* 2062676 */   // Label 27415: @2062676
     /* 2062676 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2062770), // Rule ID 15654 //
     /* 2062681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2062692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2062695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2062698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2062701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062727 */     // MIs[0] round
     /* 2062727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062730 */     // MIs[0] policy
     /* 2062730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062769 */     // GIR_Coverage, 15654,
     /* 2062769 */     GIR_EraseRootFromParent_Done,
     /* 2062770 */   // Label 27416: @2062770
     /* 2062770 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2062864), // Rule ID 15655 //
     /* 2062775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2062786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2062789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2062792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2062795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062821 */     // MIs[0] round
     /* 2062821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062824 */     // MIs[0] policy
     /* 2062824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062863 */     // GIR_Coverage, 15655,
     /* 2062863 */     GIR_EraseRootFromParent_Done,
     /* 2062864 */   // Label 27417: @2062864
     /* 2062864 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2062958), // Rule ID 15658 //
     /* 2062869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2062880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2062883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2062886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2062889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062915 */     // MIs[0] round
     /* 2062915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062918 */     // MIs[0] policy
     /* 2062918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062957 */     // GIR_Coverage, 15658,
     /* 2062957 */     GIR_EraseRootFromParent_Done,
     /* 2062958 */   // Label 27418: @2062958
     /* 2062958 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2063052), // Rule ID 15659 //
     /* 2062963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2062974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2062977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2062980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2062983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063009 */     // MIs[0] round
     /* 2063009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063012 */     // MIs[0] policy
     /* 2063012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2063025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063051 */     // GIR_Coverage, 15659,
     /* 2063051 */     GIR_EraseRootFromParent_Done,
     /* 2063052 */   // Label 27419: @2063052
     /* 2063052 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2063146), // Rule ID 15662 //
     /* 2063057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2063068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2063071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063103 */     // MIs[0] round
     /* 2063103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063106 */     // MIs[0] policy
     /* 2063106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2063119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063145 */     // GIR_Coverage, 15662,
     /* 2063145 */     GIR_EraseRootFromParent_Done,
     /* 2063146 */   // Label 27420: @2063146
     /* 2063146 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2063240), // Rule ID 15663 //
     /* 2063151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2063162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2063165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063197 */     // MIs[0] round
     /* 2063197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063200 */     // MIs[0] policy
     /* 2063200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2063213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063239 */     // GIR_Coverage, 15663,
     /* 2063239 */     GIR_EraseRootFromParent_Done,
     /* 2063240 */   // Label 27421: @2063240
     /* 2063240 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2063334), // Rule ID 15666 //
     /* 2063245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2063265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063291 */     // MIs[0] round
     /* 2063291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063294 */     // MIs[0] policy
     /* 2063294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2063307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063333 */     // GIR_Coverage, 15666,
     /* 2063333 */     GIR_EraseRootFromParent_Done,
     /* 2063334 */   // Label 27422: @2063334
     /* 2063334 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2063428), // Rule ID 15667 //
     /* 2063339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2063359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063385 */     // MIs[0] round
     /* 2063385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063388 */     // MIs[0] policy
     /* 2063388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2063401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063427 */     // GIR_Coverage, 15667,
     /* 2063427 */     GIR_EraseRootFromParent_Done,
     /* 2063428 */   // Label 27423: @2063428
     /* 2063428 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2063522), // Rule ID 15670 //
     /* 2063433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2063444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2063447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2063450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2063453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2063456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063479 */     // MIs[0] round
     /* 2063479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063482 */     // MIs[0] policy
     /* 2063482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2063495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063521 */     // GIR_Coverage, 15670,
     /* 2063521 */     GIR_EraseRootFromParent_Done,
     /* 2063522 */   // Label 27424: @2063522
     /* 2063522 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2063616), // Rule ID 15671 //
     /* 2063527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2063538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2063541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2063544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2063547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2063550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063573 */     // MIs[0] round
     /* 2063573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063576 */     // MIs[0] policy
     /* 2063576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2063589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063615 */     // GIR_Coverage, 15671,
     /* 2063615 */     GIR_EraseRootFromParent_Done,
     /* 2063616 */   // Label 27425: @2063616
     /* 2063616 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2063710), // Rule ID 15674 //
     /* 2063621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2063632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2063635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2063638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2063641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063667 */     // MIs[0] round
     /* 2063667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063670 */     // MIs[0] policy
     /* 2063670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2063683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063709 */     // GIR_Coverage, 15674,
     /* 2063709 */     GIR_EraseRootFromParent_Done,
     /* 2063710 */   // Label 27426: @2063710
     /* 2063710 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2063804), // Rule ID 15675 //
     /* 2063715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2063726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2063729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2063732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2063735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063761 */     // MIs[0] round
     /* 2063761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063764 */     // MIs[0] policy
     /* 2063764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2063777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063803 */     // GIR_Coverage, 15675,
     /* 2063803 */     GIR_EraseRootFromParent_Done,
     /* 2063804 */   // Label 27427: @2063804
     /* 2063804 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2063898), // Rule ID 15678 //
     /* 2063809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2063820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2063823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2063826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2063829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063855 */     // MIs[0] round
     /* 2063855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063858 */     // MIs[0] policy
     /* 2063858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2063871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063897 */     // GIR_Coverage, 15678,
     /* 2063897 */     GIR_EraseRootFromParent_Done,
     /* 2063898 */   // Label 27428: @2063898
     /* 2063898 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2063992), // Rule ID 15679 //
     /* 2063903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2063914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2063917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2063920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2063923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063949 */     // MIs[0] round
     /* 2063949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063952 */     // MIs[0] policy
     /* 2063952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2063965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063991 */     // GIR_Coverage, 15679,
     /* 2063991 */     GIR_EraseRootFromParent_Done,
     /* 2063992 */   // Label 27429: @2063992
     /* 2063992 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2064086), // Rule ID 15682 //
     /* 2063997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064043 */     // MIs[0] round
     /* 2064043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064046 */     // MIs[0] policy
     /* 2064046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2064059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064085 */     // GIR_Coverage, 15682,
     /* 2064085 */     GIR_EraseRootFromParent_Done,
     /* 2064086 */   // Label 27430: @2064086
     /* 2064086 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2064180), // Rule ID 15683 //
     /* 2064091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064137 */     // MIs[0] round
     /* 2064137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064140 */     // MIs[0] policy
     /* 2064140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2064153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064179 */     // GIR_Coverage, 15683,
     /* 2064179 */     GIR_EraseRootFromParent_Done,
     /* 2064180 */   // Label 27431: @2064180
     /* 2064180 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2064274), // Rule ID 15686 //
     /* 2064185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064231 */     // MIs[0] round
     /* 2064231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064234 */     // MIs[0] policy
     /* 2064234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2064247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064273 */     // GIR_Coverage, 15686,
     /* 2064273 */     GIR_EraseRootFromParent_Done,
     /* 2064274 */   // Label 27432: @2064274
     /* 2064274 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2064368), // Rule ID 15687 //
     /* 2064279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064325 */     // MIs[0] round
     /* 2064325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064328 */     // MIs[0] policy
     /* 2064328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2064341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064367 */     // GIR_Coverage, 15687,
     /* 2064367 */     GIR_EraseRootFromParent_Done,
     /* 2064368 */   // Label 27433: @2064368
     /* 2064368 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2064462), // Rule ID 15690 //
     /* 2064373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2064393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064419 */     // MIs[0] round
     /* 2064419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064422 */     // MIs[0] policy
     /* 2064422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2064435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064461 */     // GIR_Coverage, 15690,
     /* 2064461 */     GIR_EraseRootFromParent_Done,
     /* 2064462 */   // Label 27434: @2064462
     /* 2064462 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2064556), // Rule ID 15691 //
     /* 2064467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2064487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064513 */     // MIs[0] round
     /* 2064513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064516 */     // MIs[0] policy
     /* 2064516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2064529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064555 */     // GIR_Coverage, 15691,
     /* 2064555 */     GIR_EraseRootFromParent_Done,
     /* 2064556 */   // Label 27435: @2064556
     /* 2064556 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2064650), // Rule ID 15694 //
     /* 2064561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2064578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2064581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064607 */     // MIs[0] round
     /* 2064607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064610 */     // MIs[0] policy
     /* 2064610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064620 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2064623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064649 */     // GIR_Coverage, 15694,
     /* 2064649 */     GIR_EraseRootFromParent_Done,
     /* 2064650 */   // Label 27436: @2064650
     /* 2064650 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2064744), // Rule ID 15695 //
     /* 2064655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2064672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2064675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064701 */     // MIs[0] round
     /* 2064701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064704 */     // MIs[0] policy
     /* 2064704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2064717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064743 */     // GIR_Coverage, 15695,
     /* 2064743 */     GIR_EraseRootFromParent_Done,
     /* 2064744 */   // Label 27437: @2064744
     /* 2064744 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2064838), // Rule ID 15698 //
     /* 2064749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2064760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2064763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2064766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064795 */     // MIs[0] round
     /* 2064795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064798 */     // MIs[0] policy
     /* 2064798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2064811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064837 */     // GIR_Coverage, 15698,
     /* 2064837 */     GIR_EraseRootFromParent_Done,
     /* 2064838 */   // Label 27438: @2064838
     /* 2064838 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2064932), // Rule ID 15699 //
     /* 2064843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2064854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2064857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2064860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064889 */     // MIs[0] round
     /* 2064889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064892 */     // MIs[0] policy
     /* 2064892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2064905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064931 */     // GIR_Coverage, 15699,
     /* 2064931 */     GIR_EraseRootFromParent_Done,
     /* 2064932 */   // Label 27439: @2064932
     /* 2064932 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2065026), // Rule ID 15702 //
     /* 2064937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2064948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2064951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2064954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064983 */     // MIs[0] round
     /* 2064983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064986 */     // MIs[0] policy
     /* 2064986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2064999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065025 */     // GIR_Coverage, 15702,
     /* 2065025 */     GIR_EraseRootFromParent_Done,
     /* 2065026 */   // Label 27440: @2065026
     /* 2065026 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2065120), // Rule ID 15703 //
     /* 2065031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2065042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2065045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2065048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065077 */     // MIs[0] round
     /* 2065077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065080 */     // MIs[0] policy
     /* 2065080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2065093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065119 */     // GIR_Coverage, 15703,
     /* 2065119 */     GIR_EraseRootFromParent_Done,
     /* 2065120 */   // Label 27441: @2065120
     /* 2065120 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2065214), // Rule ID 15706 //
     /* 2065125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2065136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2065139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065171 */     // MIs[0] round
     /* 2065171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065174 */     // MIs[0] policy
     /* 2065174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065213 */     // GIR_Coverage, 15706,
     /* 2065213 */     GIR_EraseRootFromParent_Done,
     /* 2065214 */   // Label 27442: @2065214
     /* 2065214 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2065308), // Rule ID 15707 //
     /* 2065219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2065230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2065233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065265 */     // MIs[0] round
     /* 2065265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065268 */     // MIs[0] policy
     /* 2065268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065307 */     // GIR_Coverage, 15707,
     /* 2065307 */     GIR_EraseRootFromParent_Done,
     /* 2065308 */   // Label 27443: @2065308
     /* 2065308 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2065402), // Rule ID 15710 //
     /* 2065313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2065330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065359 */     // MIs[0] round
     /* 2065359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065362 */     // MIs[0] policy
     /* 2065362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2065375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065401 */     // GIR_Coverage, 15710,
     /* 2065401 */     GIR_EraseRootFromParent_Done,
     /* 2065402 */   // Label 27444: @2065402
     /* 2065402 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2065496), // Rule ID 15711 //
     /* 2065407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2065424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065453 */     // MIs[0] round
     /* 2065453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065456 */     // MIs[0] policy
     /* 2065456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2065469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065495 */     // GIR_Coverage, 15711,
     /* 2065495 */     GIR_EraseRootFromParent_Done,
     /* 2065496 */   // Label 27445: @2065496
     /* 2065496 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2065590), // Rule ID 15714 //
     /* 2065501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2065512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2065515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2065518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065547 */     // MIs[0] round
     /* 2065547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065550 */     // MIs[0] policy
     /* 2065550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065589 */     // GIR_Coverage, 15714,
     /* 2065589 */     GIR_EraseRootFromParent_Done,
     /* 2065590 */   // Label 27446: @2065590
     /* 2065590 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2065684), // Rule ID 15715 //
     /* 2065595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2065606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2065609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2065612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065641 */     // MIs[0] round
     /* 2065641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065644 */     // MIs[0] policy
     /* 2065644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065683 */     // GIR_Coverage, 15715,
     /* 2065683 */     GIR_EraseRootFromParent_Done,
     /* 2065684 */   // Label 27447: @2065684
     /* 2065684 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2065778), // Rule ID 15718 //
     /* 2065689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2065700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2065703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2065706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065735 */     // MIs[0] round
     /* 2065735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065738 */     // MIs[0] policy
     /* 2065738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065777 */     // GIR_Coverage, 15718,
     /* 2065777 */     GIR_EraseRootFromParent_Done,
     /* 2065778 */   // Label 27448: @2065778
     /* 2065778 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2065872), // Rule ID 15719 //
     /* 2065783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2065794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2065797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2065800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065829 */     // MIs[0] round
     /* 2065829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065832 */     // MIs[0] policy
     /* 2065832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2065845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065871 */     // GIR_Coverage, 15719,
     /* 2065871 */     GIR_EraseRootFromParent_Done,
     /* 2065872 */   // Label 27449: @2065872
     /* 2065872 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2065966), // Rule ID 15722 //
     /* 2065877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2065888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2065891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2065894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065923 */     // MIs[0] round
     /* 2065923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065926 */     // MIs[0] policy
     /* 2065926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2065939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065965 */     // GIR_Coverage, 15722,
     /* 2065965 */     GIR_EraseRootFromParent_Done,
     /* 2065966 */   // Label 27450: @2065966
     /* 2065966 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2066060), // Rule ID 15723 //
     /* 2065971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2065982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2065985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2065988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066017 */     // MIs[0] round
     /* 2066017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066020 */     // MIs[0] policy
     /* 2066020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066059 */     // GIR_Coverage, 15723,
     /* 2066059 */     GIR_EraseRootFromParent_Done,
     /* 2066060 */   // Label 27451: @2066060
     /* 2066060 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2066154), // Rule ID 15726 //
     /* 2066065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2066082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066111 */     // MIs[0] round
     /* 2066111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066114 */     // MIs[0] policy
     /* 2066114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066153 */     // GIR_Coverage, 15726,
     /* 2066153 */     GIR_EraseRootFromParent_Done,
     /* 2066154 */   // Label 27452: @2066154
     /* 2066154 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2066248), // Rule ID 15727 //
     /* 2066159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2066176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066205 */     // MIs[0] round
     /* 2066205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066208 */     // MIs[0] policy
     /* 2066208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066247 */     // GIR_Coverage, 15727,
     /* 2066247 */     GIR_EraseRootFromParent_Done,
     /* 2066248 */   // Label 27453: @2066248
     /* 2066248 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2066342), // Rule ID 15730 //
     /* 2066253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2066270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066299 */     // MIs[0] round
     /* 2066299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066302 */     // MIs[0] policy
     /* 2066302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066341 */     // GIR_Coverage, 15730,
     /* 2066341 */     GIR_EraseRootFromParent_Done,
     /* 2066342 */   // Label 27454: @2066342
     /* 2066342 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2066436), // Rule ID 15731 //
     /* 2066347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2066364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066393 */     // MIs[0] round
     /* 2066393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066396 */     // MIs[0] policy
     /* 2066396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066435 */     // GIR_Coverage, 15731,
     /* 2066435 */     GIR_EraseRootFromParent_Done,
     /* 2066436 */   // Label 27455: @2066436
     /* 2066436 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2066530), // Rule ID 15734 //
     /* 2066441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2066452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2066455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2066458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066487 */     // MIs[0] round
     /* 2066487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066490 */     // MIs[0] policy
     /* 2066490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066500 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2066503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066529 */     // GIR_Coverage, 15734,
     /* 2066529 */     GIR_EraseRootFromParent_Done,
     /* 2066530 */   // Label 27456: @2066530
     /* 2066530 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2066624), // Rule ID 15735 //
     /* 2066535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2066546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2066549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2066552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066581 */     // MIs[0] round
     /* 2066581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066584 */     // MIs[0] policy
     /* 2066584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2066597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066623 */     // GIR_Coverage, 15735,
     /* 2066623 */     GIR_EraseRootFromParent_Done,
     /* 2066624 */   // Label 27457: @2066624
     /* 2066624 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2066718), // Rule ID 15738 //
     /* 2066629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2066640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2066643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2066646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066675 */     // MIs[0] round
     /* 2066675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066678 */     // MIs[0] policy
     /* 2066678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2066691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066717 */     // GIR_Coverage, 15738,
     /* 2066717 */     GIR_EraseRootFromParent_Done,
     /* 2066718 */   // Label 27458: @2066718
     /* 2066718 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2066812), // Rule ID 15739 //
     /* 2066723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2066734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2066737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2066740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066769 */     // MIs[0] round
     /* 2066769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066772 */     // MIs[0] policy
     /* 2066772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2066785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066811 */     // GIR_Coverage, 15739,
     /* 2066811 */     GIR_EraseRootFromParent_Done,
     /* 2066812 */   // Label 27459: @2066812
     /* 2066812 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2066906), // Rule ID 15742 //
     /* 2066817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2066828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2066831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2066834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2066840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066863 */     // MIs[0] round
     /* 2066863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066866 */     // MIs[0] policy
     /* 2066866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2066879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066905 */     // GIR_Coverage, 15742,
     /* 2066905 */     GIR_EraseRootFromParent_Done,
     /* 2066906 */   // Label 27460: @2066906
     /* 2066906 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2067000), // Rule ID 15743 //
     /* 2066911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2066922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2066925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2066928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2066934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066957 */     // MIs[0] round
     /* 2066957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066960 */     // MIs[0] policy
     /* 2066960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066970 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2066973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066999 */     // GIR_Coverage, 15743,
     /* 2066999 */     GIR_EraseRootFromParent_Done,
     /* 2067000 */   // Label 27461: @2067000
     /* 2067000 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2067094), // Rule ID 15746 //
     /* 2067005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2067016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2067019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2067022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067051 */     // MIs[0] round
     /* 2067051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067054 */     // MIs[0] policy
     /* 2067054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067093 */     // GIR_Coverage, 15746,
     /* 2067093 */     GIR_EraseRootFromParent_Done,
     /* 2067094 */   // Label 27462: @2067094
     /* 2067094 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2067188), // Rule ID 15747 //
     /* 2067099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2067110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2067113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2067116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067145 */     // MIs[0] round
     /* 2067145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067148 */     // MIs[0] policy
     /* 2067148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067187 */     // GIR_Coverage, 15747,
     /* 2067187 */     GIR_EraseRootFromParent_Done,
     /* 2067188 */   // Label 27463: @2067188
     /* 2067188 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2067282), // Rule ID 15750 //
     /* 2067193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2067210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067239 */     // MIs[0] round
     /* 2067239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067242 */     // MIs[0] policy
     /* 2067242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067281 */     // GIR_Coverage, 15750,
     /* 2067281 */     GIR_EraseRootFromParent_Done,
     /* 2067282 */   // Label 27464: @2067282
     /* 2067282 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2067376), // Rule ID 15751 //
     /* 2067287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2067304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067333 */     // MIs[0] round
     /* 2067333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067336 */     // MIs[0] policy
     /* 2067336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067375 */     // GIR_Coverage, 15751,
     /* 2067375 */     GIR_EraseRootFromParent_Done,
     /* 2067376 */   // Label 27465: @2067376
     /* 2067376 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2067470), // Rule ID 15754 //
     /* 2067381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2067398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067427 */     // MIs[0] round
     /* 2067427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067430 */     // MIs[0] policy
     /* 2067430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2067443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067469 */     // GIR_Coverage, 15754,
     /* 2067469 */     GIR_EraseRootFromParent_Done,
     /* 2067470 */   // Label 27466: @2067470
     /* 2067470 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2067564), // Rule ID 15755 //
     /* 2067475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2067492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067521 */     // MIs[0] round
     /* 2067521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067524 */     // MIs[0] policy
     /* 2067524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2067537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067563 */     // GIR_Coverage, 15755,
     /* 2067563 */     GIR_EraseRootFromParent_Done,
     /* 2067564 */   // Label 27467: @2067564
     /* 2067564 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2067658), // Rule ID 15758 //
     /* 2067569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2067586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067615 */     // MIs[0] round
     /* 2067615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067618 */     // MIs[0] policy
     /* 2067618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067657 */     // GIR_Coverage, 15758,
     /* 2067657 */     GIR_EraseRootFromParent_Done,
     /* 2067658 */   // Label 27468: @2067658
     /* 2067658 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2067752), // Rule ID 15759 //
     /* 2067663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2067680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067709 */     // MIs[0] round
     /* 2067709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067712 */     // MIs[0] policy
     /* 2067712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067751 */     // GIR_Coverage, 15759,
     /* 2067751 */     GIR_EraseRootFromParent_Done,
     /* 2067752 */   // Label 27469: @2067752
     /* 2067752 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2067846), // Rule ID 15762 //
     /* 2067757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2067774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067803 */     // MIs[0] round
     /* 2067803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067806 */     // MIs[0] policy
     /* 2067806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067845 */     // GIR_Coverage, 15762,
     /* 2067845 */     GIR_EraseRootFromParent_Done,
     /* 2067846 */   // Label 27470: @2067846
     /* 2067846 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2067940), // Rule ID 15763 //
     /* 2067851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2067868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067897 */     // MIs[0] round
     /* 2067897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067900 */     // MIs[0] policy
     /* 2067900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067939 */     // GIR_Coverage, 15763,
     /* 2067939 */     GIR_EraseRootFromParent_Done,
     /* 2067940 */   // Label 27471: @2067940
     /* 2067940 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2068034), // Rule ID 15766 //
     /* 2067945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2067956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2067959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2067962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067991 */     // MIs[0] round
     /* 2067991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067994 */     // MIs[0] policy
     /* 2067994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2068007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068033 */     // GIR_Coverage, 15766,
     /* 2068033 */     GIR_EraseRootFromParent_Done,
     /* 2068034 */   // Label 27472: @2068034
     /* 2068034 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2068128), // Rule ID 15767 //
     /* 2068039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2068050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2068053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2068056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068085 */     // MIs[0] round
     /* 2068085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068088 */     // MIs[0] policy
     /* 2068088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2068101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068127 */     // GIR_Coverage, 15767,
     /* 2068127 */     GIR_EraseRootFromParent_Done,
     /* 2068128 */   // Label 27473: @2068128
     /* 2068128 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2068222), // Rule ID 15770 //
     /* 2068133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2068136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2068153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068179 */     // MIs[0] round
     /* 2068179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068182 */     // MIs[0] policy
     /* 2068182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2068195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068221 */     // GIR_Coverage, 15770,
     /* 2068221 */     GIR_EraseRootFromParent_Done,
     /* 2068222 */   // Label 27474: @2068222
     /* 2068222 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2068316), // Rule ID 15771 //
     /* 2068227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2068230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2068247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068273 */     // MIs[0] round
     /* 2068273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068276 */     // MIs[0] policy
     /* 2068276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2068289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068315 */     // GIR_Coverage, 15771,
     /* 2068315 */     GIR_EraseRootFromParent_Done,
     /* 2068316 */   // Label 27475: @2068316
     /* 2068316 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2068410), // Rule ID 15774 //
     /* 2068321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2068324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2068338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068367 */     // MIs[0] round
     /* 2068367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068370 */     // MIs[0] policy
     /* 2068370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068409 */     // GIR_Coverage, 15774,
     /* 2068409 */     GIR_EraseRootFromParent_Done,
     /* 2068410 */   // Label 27476: @2068410
     /* 2068410 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2068504), // Rule ID 15775 //
     /* 2068415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2068418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2068432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068461 */     // MIs[0] round
     /* 2068461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068464 */     // MIs[0] policy
     /* 2068464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068503 */     // GIR_Coverage, 15775,
     /* 2068503 */     GIR_EraseRootFromParent_Done,
     /* 2068504 */   // Label 27477: @2068504
     /* 2068504 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2068598), // Rule ID 15778 //
     /* 2068509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2068512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2068526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068555 */     // MIs[0] round
     /* 2068555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068558 */     // MIs[0] policy
     /* 2068558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2068571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068597 */     // GIR_Coverage, 15778,
     /* 2068597 */     GIR_EraseRootFromParent_Done,
     /* 2068598 */   // Label 27478: @2068598
     /* 2068598 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2068692), // Rule ID 15779 //
     /* 2068603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2068606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2068620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068649 */     // MIs[0] round
     /* 2068649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068652 */     // MIs[0] policy
     /* 2068652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2068665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068691 */     // GIR_Coverage, 15779,
     /* 2068691 */     GIR_EraseRootFromParent_Done,
     /* 2068692 */   // Label 27479: @2068692
     /* 2068692 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2068786), // Rule ID 15782 //
     /* 2068697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2068700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2068714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068743 */     // MIs[0] round
     /* 2068743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068746 */     // MIs[0] policy
     /* 2068746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2068759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068785 */     // GIR_Coverage, 15782,
     /* 2068785 */     GIR_EraseRootFromParent_Done,
     /* 2068786 */   // Label 27480: @2068786
     /* 2068786 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2068880), // Rule ID 15783 //
     /* 2068791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2068794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2068808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068837 */     // MIs[0] round
     /* 2068837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068840 */     // MIs[0] policy
     /* 2068840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2068853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068879 */     // GIR_Coverage, 15783,
     /* 2068879 */     GIR_EraseRootFromParent_Done,
     /* 2068880 */   // Label 27481: @2068880
     /* 2068880 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2068974), // Rule ID 15786 //
     /* 2068885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2068888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068931 */     // MIs[0] round
     /* 2068931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068934 */     // MIs[0] policy
     /* 2068934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2068947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068973 */     // GIR_Coverage, 15786,
     /* 2068973 */     GIR_EraseRootFromParent_Done,
     /* 2068974 */   // Label 27482: @2068974
     /* 2068974 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2069068), // Rule ID 15787 //
     /* 2068979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2068982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069025 */     // MIs[0] round
     /* 2069025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069028 */     // MIs[0] policy
     /* 2069028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2069041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069067 */     // GIR_Coverage, 15787,
     /* 2069067 */     GIR_EraseRootFromParent_Done,
     /* 2069068 */   // Label 27483: @2069068
     /* 2069068 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2069162), // Rule ID 15790 //
     /* 2069073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2069076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2069084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2069087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2069090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069119 */     // MIs[0] round
     /* 2069119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069122 */     // MIs[0] policy
     /* 2069122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2069135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069161 */     // GIR_Coverage, 15790,
     /* 2069161 */     GIR_EraseRootFromParent_Done,
     /* 2069162 */   // Label 27484: @2069162
     /* 2069162 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2069256), // Rule ID 15791 //
     /* 2069167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2069170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2069178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2069181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2069184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069213 */     // MIs[0] round
     /* 2069213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069216 */     // MIs[0] policy
     /* 2069216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2069229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069255 */     // GIR_Coverage, 15791,
     /* 2069255 */     GIR_EraseRootFromParent_Done,
     /* 2069256 */   // Label 27485: @2069256
     /* 2069256 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2069350), // Rule ID 15794 //
     /* 2069261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2069264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2069272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2069275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2069278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069307 */     // MIs[0] round
     /* 2069307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069310 */     // MIs[0] policy
     /* 2069310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2069323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069349 */     // GIR_Coverage, 15794,
     /* 2069349 */     GIR_EraseRootFromParent_Done,
     /* 2069350 */   // Label 27486: @2069350
     /* 2069350 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2069444), // Rule ID 15795 //
     /* 2069355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2069358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2069366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2069369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2069372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069401 */     // MIs[0] round
     /* 2069401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069404 */     // MIs[0] policy
     /* 2069404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2069417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069443 */     // GIR_Coverage, 15795,
     /* 2069443 */     GIR_EraseRootFromParent_Done,
     /* 2069444 */   // Label 27487: @2069444
     /* 2069444 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2069538), // Rule ID 15798 //
     /* 2069449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2069452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2069460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2069463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2069466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069495 */     // MIs[0] round
     /* 2069495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069498 */     // MIs[0] policy
     /* 2069498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2069511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069537 */     // GIR_Coverage, 15798,
     /* 2069537 */     GIR_EraseRootFromParent_Done,
     /* 2069538 */   // Label 27488: @2069538
     /* 2069538 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2069632), // Rule ID 15799 //
     /* 2069543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2069546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2069554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2069557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2069560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069589 */     // MIs[0] round
     /* 2069589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069592 */     // MIs[0] policy
     /* 2069592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2069605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069631 */     // GIR_Coverage, 15799,
     /* 2069631 */     GIR_EraseRootFromParent_Done,
     /* 2069632 */   // Label 27489: @2069632
     /* 2069632 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2069723), // Rule ID 15802 //
     /* 2069637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2069657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069683 */     // MIs[0] round
     /* 2069683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069686 */     // MIs[0] policy
     /* 2069686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2069699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069722 */     // GIR_Coverage, 15802,
     /* 2069722 */     GIR_EraseRootFromParent_Done,
     /* 2069723 */   // Label 27490: @2069723
     /* 2069723 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2069814), // Rule ID 15803 //
     /* 2069728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2069748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069774 */     // MIs[0] round
     /* 2069774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069777 */     // MIs[0] policy
     /* 2069777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2069790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069813 */     // GIR_Coverage, 15803,
     /* 2069813 */     GIR_EraseRootFromParent_Done,
     /* 2069814 */   // Label 27491: @2069814
     /* 2069814 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2069905), // Rule ID 15806 //
     /* 2069819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2069830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2069833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2069836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2069839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069865 */     // MIs[0] round
     /* 2069865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069868 */     // MIs[0] policy
     /* 2069868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2069881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069904 */     // GIR_Coverage, 15806,
     /* 2069904 */     GIR_EraseRootFromParent_Done,
     /* 2069905 */   // Label 27492: @2069905
     /* 2069905 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2069996), // Rule ID 15807 //
     /* 2069910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2069921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2069924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2069927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2069930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069956 */     // MIs[0] round
     /* 2069956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069959 */     // MIs[0] policy
     /* 2069959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2069972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069995 */     // GIR_Coverage, 15807,
     /* 2069995 */     GIR_EraseRootFromParent_Done,
     /* 2069996 */   // Label 27493: @2069996
     /* 2069996 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2070087), // Rule ID 15810 //
     /* 2070001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2070021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070047 */     // MIs[0] round
     /* 2070047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070050 */     // MIs[0] policy
     /* 2070050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070060 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070086 */     // GIR_Coverage, 15810,
     /* 2070086 */     GIR_EraseRootFromParent_Done,
     /* 2070087 */   // Label 27494: @2070087
     /* 2070087 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2070178), // Rule ID 15811 //
     /* 2070092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2070112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070138 */     // MIs[0] round
     /* 2070138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070141 */     // MIs[0] policy
     /* 2070141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070177 */     // GIR_Coverage, 15811,
     /* 2070177 */     GIR_EraseRootFromParent_Done,
     /* 2070178 */   // Label 27495: @2070178
     /* 2070178 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2070269), // Rule ID 15814 //
     /* 2070183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2070203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070229 */     // MIs[0] round
     /* 2070229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070232 */     // MIs[0] policy
     /* 2070232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2070245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070268 */     // GIR_Coverage, 15814,
     /* 2070268 */     GIR_EraseRootFromParent_Done,
     /* 2070269 */   // Label 27496: @2070269
     /* 2070269 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2070360), // Rule ID 15815 //
     /* 2070274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2070294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070320 */     // MIs[0] round
     /* 2070320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070323 */     // MIs[0] policy
     /* 2070323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2070336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070359 */     // GIR_Coverage, 15815,
     /* 2070359 */     GIR_EraseRootFromParent_Done,
     /* 2070360 */   // Label 27497: @2070360
     /* 2070360 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2070451), // Rule ID 15818 //
     /* 2070365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2070385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070411 */     // MIs[0] round
     /* 2070411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070414 */     // MIs[0] policy
     /* 2070414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070450 */     // GIR_Coverage, 15818,
     /* 2070450 */     GIR_EraseRootFromParent_Done,
     /* 2070451 */   // Label 27498: @2070451
     /* 2070451 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2070542), // Rule ID 15819 //
     /* 2070456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2070476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070502 */     // MIs[0] round
     /* 2070502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070505 */     // MIs[0] policy
     /* 2070505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070541 */     // GIR_Coverage, 15819,
     /* 2070541 */     GIR_EraseRootFromParent_Done,
     /* 2070542 */   // Label 27499: @2070542
     /* 2070542 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2070633), // Rule ID 15822 //
     /* 2070547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2070567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070593 */     // MIs[0] round
     /* 2070593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070596 */     // MIs[0] policy
     /* 2070596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070632 */     // GIR_Coverage, 15822,
     /* 2070632 */     GIR_EraseRootFromParent_Done,
     /* 2070633 */   // Label 27500: @2070633
     /* 2070633 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2070724), // Rule ID 15823 //
     /* 2070638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2070658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070684 */     // MIs[0] round
     /* 2070684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070687 */     // MIs[0] policy
     /* 2070687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2070700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070723 */     // GIR_Coverage, 15823,
     /* 2070723 */     GIR_EraseRootFromParent_Done,
     /* 2070724 */   // Label 27501: @2070724
     /* 2070724 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2070815), // Rule ID 15826 //
     /* 2070729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2070749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070775 */     // MIs[0] round
     /* 2070775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070778 */     // MIs[0] policy
     /* 2070778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2070791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070814 */     // GIR_Coverage, 15826,
     /* 2070814 */     GIR_EraseRootFromParent_Done,
     /* 2070815 */   // Label 27502: @2070815
     /* 2070815 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2070906), // Rule ID 15827 //
     /* 2070820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2070840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070866 */     // MIs[0] round
     /* 2070866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070869 */     // MIs[0] policy
     /* 2070869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2070882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070905 */     // GIR_Coverage, 15827,
     /* 2070905 */     GIR_EraseRootFromParent_Done,
     /* 2070906 */   // Label 27503: @2070906
     /* 2070906 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2070997), // Rule ID 15830 //
     /* 2070911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2070928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2070931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070957 */     // MIs[0] round
     /* 2070957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070960 */     // MIs[0] policy
     /* 2070960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2070973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070996 */     // GIR_Coverage, 15830,
     /* 2070996 */     GIR_EraseRootFromParent_Done,
     /* 2070997 */   // Label 27504: @2070997
     /* 2070997 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2071088), // Rule ID 15831 //
     /* 2071002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071048 */     // MIs[0] round
     /* 2071048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071051 */     // MIs[0] policy
     /* 2071051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2071064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071087 */     // GIR_Coverage, 15831,
     /* 2071087 */     GIR_EraseRootFromParent_Done,
     /* 2071088 */   // Label 27505: @2071088
     /* 2071088 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2071179), // Rule ID 15834 //
     /* 2071093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071139 */     // MIs[0] round
     /* 2071139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071142 */     // MIs[0] policy
     /* 2071142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2071155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071178 */     // GIR_Coverage, 15834,
     /* 2071178 */     GIR_EraseRootFromParent_Done,
     /* 2071179 */   // Label 27506: @2071179
     /* 2071179 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2071270), // Rule ID 15835 //
     /* 2071184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071230 */     // MIs[0] round
     /* 2071230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071233 */     // MIs[0] policy
     /* 2071233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2071246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071269 */     // GIR_Coverage, 15835,
     /* 2071269 */     GIR_EraseRootFromParent_Done,
     /* 2071270 */   // Label 27507: @2071270
     /* 2071270 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2071361), // Rule ID 15838 //
     /* 2071275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071321 */     // MIs[0] round
     /* 2071321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071324 */     // MIs[0] policy
     /* 2071324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2071337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071360 */     // GIR_Coverage, 15838,
     /* 2071360 */     GIR_EraseRootFromParent_Done,
     /* 2071361 */   // Label 27508: @2071361
     /* 2071361 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2071452), // Rule ID 15839 //
     /* 2071366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071412 */     // MIs[0] round
     /* 2071412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071415 */     // MIs[0] policy
     /* 2071415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071425 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2071428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071451 */     // GIR_Coverage, 15839,
     /* 2071451 */     GIR_EraseRootFromParent_Done,
     /* 2071452 */   // Label 27509: @2071452
     /* 2071452 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2071543), // Rule ID 15842 //
     /* 2071457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2071477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071503 */     // MIs[0] round
     /* 2071503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071506 */     // MIs[0] policy
     /* 2071506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2071519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071542 */     // GIR_Coverage, 15842,
     /* 2071542 */     GIR_EraseRootFromParent_Done,
     /* 2071543 */   // Label 27510: @2071543
     /* 2071543 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2071634), // Rule ID 15843 //
     /* 2071548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2071568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071594 */     // MIs[0] round
     /* 2071594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071597 */     // MIs[0] policy
     /* 2071597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2071610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071633 */     // GIR_Coverage, 15843,
     /* 2071633 */     GIR_EraseRootFromParent_Done,
     /* 2071634 */   // Label 27511: @2071634
     /* 2071634 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2071725), // Rule ID 15846 //
     /* 2071639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2071659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071685 */     // MIs[0] round
     /* 2071685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071688 */     // MIs[0] policy
     /* 2071688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2071701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071724 */     // GIR_Coverage, 15846,
     /* 2071724 */     GIR_EraseRootFromParent_Done,
     /* 2071725 */   // Label 27512: @2071725
     /* 2071725 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2071816), // Rule ID 15847 //
     /* 2071730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2071750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071776 */     // MIs[0] round
     /* 2071776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071779 */     // MIs[0] policy
     /* 2071779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071789 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2071792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071815 */     // GIR_Coverage, 15847,
     /* 2071815 */     GIR_EraseRootFromParent_Done,
     /* 2071816 */   // Label 27513: @2071816
     /* 2071816 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2071907), // Rule ID 15850 //
     /* 2071821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2071841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071867 */     // MIs[0] round
     /* 2071867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071870 */     // MIs[0] policy
     /* 2071870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071880 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2071883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071906 */     // GIR_Coverage, 15850,
     /* 2071906 */     GIR_EraseRootFromParent_Done,
     /* 2071907 */   // Label 27514: @2071907
     /* 2071907 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2071998), // Rule ID 15851 //
     /* 2071912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2071932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071958 */     // MIs[0] round
     /* 2071958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071961 */     // MIs[0] policy
     /* 2071961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2071974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071997 */     // GIR_Coverage, 15851,
     /* 2071997 */     GIR_EraseRootFromParent_Done,
     /* 2071998 */   // Label 27515: @2071998
     /* 2071998 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2072089), // Rule ID 15854 //
     /* 2072003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072049 */     // MIs[0] round
     /* 2072049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072052 */     // MIs[0] policy
     /* 2072052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2072065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072088 */     // GIR_Coverage, 15854,
     /* 2072088 */     GIR_EraseRootFromParent_Done,
     /* 2072089 */   // Label 27516: @2072089
     /* 2072089 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2072180), // Rule ID 15855 //
     /* 2072094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072140 */     // MIs[0] round
     /* 2072140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072143 */     // MIs[0] policy
     /* 2072143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2072156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072179 */     // GIR_Coverage, 15855,
     /* 2072179 */     GIR_EraseRootFromParent_Done,
     /* 2072180 */   // Label 27517: @2072180
     /* 2072180 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2072271), // Rule ID 15858 //
     /* 2072185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072231 */     // MIs[0] round
     /* 2072231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072234 */     // MIs[0] policy
     /* 2072234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2072247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072270 */     // GIR_Coverage, 15858,
     /* 2072270 */     GIR_EraseRootFromParent_Done,
     /* 2072271 */   // Label 27518: @2072271
     /* 2072271 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2072362), // Rule ID 15859 //
     /* 2072276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072322 */     // MIs[0] round
     /* 2072322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072325 */     // MIs[0] policy
     /* 2072325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072335 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2072338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072361 */     // GIR_Coverage, 15859,
     /* 2072361 */     GIR_EraseRootFromParent_Done,
     /* 2072362 */   // Label 27519: @2072362
     /* 2072362 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2072453), // Rule ID 15862 //
     /* 2072367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072413 */     // MIs[0] round
     /* 2072413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072416 */     // MIs[0] policy
     /* 2072416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2072429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072452 */     // GIR_Coverage, 15862,
     /* 2072452 */     GIR_EraseRootFromParent_Done,
     /* 2072453 */   // Label 27520: @2072453
     /* 2072453 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2072544), // Rule ID 15863 //
     /* 2072458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072504 */     // MIs[0] round
     /* 2072504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072507 */     // MIs[0] policy
     /* 2072507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2072520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072543 */     // GIR_Coverage, 15863,
     /* 2072543 */     GIR_EraseRootFromParent_Done,
     /* 2072544 */   // Label 27521: @2072544
     /* 2072544 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2072635), // Rule ID 15866 //
     /* 2072549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2072569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072595 */     // MIs[0] round
     /* 2072595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072598 */     // MIs[0] policy
     /* 2072598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2072611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072634 */     // GIR_Coverage, 15866,
     /* 2072634 */     GIR_EraseRootFromParent_Done,
     /* 2072635 */   // Label 27522: @2072635
     /* 2072635 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2072726), // Rule ID 15867 //
     /* 2072640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2072660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072686 */     // MIs[0] round
     /* 2072686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072689 */     // MIs[0] policy
     /* 2072689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2072702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072725 */     // GIR_Coverage, 15867,
     /* 2072725 */     GIR_EraseRootFromParent_Done,
     /* 2072726 */   // Label 27523: @2072726
     /* 2072726 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2072817), // Rule ID 15870 //
     /* 2072731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2072751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072777 */     // MIs[0] round
     /* 2072777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072780 */     // MIs[0] policy
     /* 2072780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2072793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072816 */     // GIR_Coverage, 15870,
     /* 2072816 */     GIR_EraseRootFromParent_Done,
     /* 2072817 */   // Label 27524: @2072817
     /* 2072817 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2072908), // Rule ID 15871 //
     /* 2072822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2072842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072868 */     // MIs[0] round
     /* 2072868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072871 */     // MIs[0] policy
     /* 2072871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2072884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072907 */     // GIR_Coverage, 15871,
     /* 2072907 */     GIR_EraseRootFromParent_Done,
     /* 2072908 */   // Label 27525: @2072908
     /* 2072908 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2072999), // Rule ID 15874 //
     /* 2072913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2072924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2072927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2072930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2072933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072959 */     // MIs[0] round
     /* 2072959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072962 */     // MIs[0] policy
     /* 2072962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2072975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072998 */     // GIR_Coverage, 15874,
     /* 2072998 */     GIR_EraseRootFromParent_Done,
     /* 2072999 */   // Label 27526: @2072999
     /* 2072999 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2073090), // Rule ID 15875 //
     /* 2073004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073050 */     // MIs[0] round
     /* 2073050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073053 */     // MIs[0] policy
     /* 2073053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2073066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073089 */     // GIR_Coverage, 15875,
     /* 2073089 */     GIR_EraseRootFromParent_Done,
     /* 2073090 */   // Label 27527: @2073090
     /* 2073090 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2073181), // Rule ID 15878 //
     /* 2073095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073141 */     // MIs[0] round
     /* 2073141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073144 */     // MIs[0] policy
     /* 2073144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2073157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073180 */     // GIR_Coverage, 15878,
     /* 2073180 */     GIR_EraseRootFromParent_Done,
     /* 2073181 */   // Label 27528: @2073181
     /* 2073181 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2073272), // Rule ID 15879 //
     /* 2073186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073232 */     // MIs[0] round
     /* 2073232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073235 */     // MIs[0] policy
     /* 2073235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2073248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073271 */     // GIR_Coverage, 15879,
     /* 2073271 */     GIR_EraseRootFromParent_Done,
     /* 2073272 */   // Label 27529: @2073272
     /* 2073272 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2073363), // Rule ID 15882 //
     /* 2073277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073323 */     // MIs[0] round
     /* 2073323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073326 */     // MIs[0] policy
     /* 2073326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2073339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073362 */     // GIR_Coverage, 15882,
     /* 2073362 */     GIR_EraseRootFromParent_Done,
     /* 2073363 */   // Label 27530: @2073363
     /* 2073363 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2073454), // Rule ID 15883 //
     /* 2073368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073414 */     // MIs[0] round
     /* 2073414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073417 */     // MIs[0] policy
     /* 2073417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073427 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2073430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073453 */     // GIR_Coverage, 15883,
     /* 2073453 */     GIR_EraseRootFromParent_Done,
     /* 2073454 */   // Label 27531: @2073454
     /* 2073454 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2073545), // Rule ID 15886 //
     /* 2073459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073505 */     // MIs[0] round
     /* 2073505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073508 */     // MIs[0] policy
     /* 2073508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2073521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073544 */     // GIR_Coverage, 15886,
     /* 2073544 */     GIR_EraseRootFromParent_Done,
     /* 2073545 */   // Label 27532: @2073545
     /* 2073545 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2073636), // Rule ID 15887 //
     /* 2073550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073596 */     // MIs[0] round
     /* 2073596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073599 */     // MIs[0] policy
     /* 2073599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2073612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073635 */     // GIR_Coverage, 15887,
     /* 2073635 */     GIR_EraseRootFromParent_Done,
     /* 2073636 */   // Label 27533: @2073636
     /* 2073636 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2073727), // Rule ID 15890 //
     /* 2073641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2073658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073687 */     // MIs[0] round
     /* 2073687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073690 */     // MIs[0] policy
     /* 2073690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2073703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073726 */     // GIR_Coverage, 15890,
     /* 2073726 */     GIR_EraseRootFromParent_Done,
     /* 2073727 */   // Label 27534: @2073727
     /* 2073727 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2073818), // Rule ID 15891 //
     /* 2073732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2073749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073778 */     // MIs[0] round
     /* 2073778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073781 */     // MIs[0] policy
     /* 2073781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073791 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2073794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073817 */     // GIR_Coverage, 15891,
     /* 2073817 */     GIR_EraseRootFromParent_Done,
     /* 2073818 */   // Label 27535: @2073818
     /* 2073818 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2073909), // Rule ID 15894 //
     /* 2073823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2073834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2073837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2073840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073869 */     // MIs[0] round
     /* 2073869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073872 */     // MIs[0] policy
     /* 2073872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2073885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073908 */     // GIR_Coverage, 15894,
     /* 2073908 */     GIR_EraseRootFromParent_Done,
     /* 2073909 */   // Label 27536: @2073909
     /* 2073909 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2074000), // Rule ID 15895 //
     /* 2073914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2073925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2073928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2073931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073960 */     // MIs[0] round
     /* 2073960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073963 */     // MIs[0] policy
     /* 2073963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073973 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2073976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073999 */     // GIR_Coverage, 15895,
     /* 2073999 */     GIR_EraseRootFromParent_Done,
     /* 2074000 */   // Label 27537: @2074000
     /* 2074000 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2074091), // Rule ID 15898 //
     /* 2074005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074051 */     // MIs[0] round
     /* 2074051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074054 */     // MIs[0] policy
     /* 2074054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074090 */     // GIR_Coverage, 15898,
     /* 2074090 */     GIR_EraseRootFromParent_Done,
     /* 2074091 */   // Label 27538: @2074091
     /* 2074091 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2074182), // Rule ID 15899 //
     /* 2074096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074142 */     // MIs[0] round
     /* 2074142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074145 */     // MIs[0] policy
     /* 2074145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074181 */     // GIR_Coverage, 15899,
     /* 2074181 */     GIR_EraseRootFromParent_Done,
     /* 2074182 */   // Label 27539: @2074182
     /* 2074182 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2074273), // Rule ID 15902 //
     /* 2074187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074233 */     // MIs[0] round
     /* 2074233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074236 */     // MIs[0] policy
     /* 2074236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2074249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074272 */     // GIR_Coverage, 15902,
     /* 2074272 */     GIR_EraseRootFromParent_Done,
     /* 2074273 */   // Label 27540: @2074273
     /* 2074273 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2074364), // Rule ID 15903 //
     /* 2074278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074324 */     // MIs[0] round
     /* 2074324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074327 */     // MIs[0] policy
     /* 2074327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074337 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2074340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074363 */     // GIR_Coverage, 15903,
     /* 2074363 */     GIR_EraseRootFromParent_Done,
     /* 2074364 */   // Label 27541: @2074364
     /* 2074364 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2074455), // Rule ID 15906 //
     /* 2074369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074415 */     // MIs[0] round
     /* 2074415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074418 */     // MIs[0] policy
     /* 2074418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074454 */     // GIR_Coverage, 15906,
     /* 2074454 */     GIR_EraseRootFromParent_Done,
     /* 2074455 */   // Label 27542: @2074455
     /* 2074455 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2074546), // Rule ID 15907 //
     /* 2074460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074506 */     // MIs[0] round
     /* 2074506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074509 */     // MIs[0] policy
     /* 2074509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074545 */     // GIR_Coverage, 15907,
     /* 2074545 */     GIR_EraseRootFromParent_Done,
     /* 2074546 */   // Label 27543: @2074546
     /* 2074546 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2074637), // Rule ID 15910 //
     /* 2074551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074597 */     // MIs[0] round
     /* 2074597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074600 */     // MIs[0] policy
     /* 2074600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074636 */     // GIR_Coverage, 15910,
     /* 2074636 */     GIR_EraseRootFromParent_Done,
     /* 2074637 */   // Label 27544: @2074637
     /* 2074637 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2074728), // Rule ID 15911 //
     /* 2074642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074688 */     // MIs[0] round
     /* 2074688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074691 */     // MIs[0] policy
     /* 2074691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2074704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074727 */     // GIR_Coverage, 15911,
     /* 2074727 */     GIR_EraseRootFromParent_Done,
     /* 2074728 */   // Label 27545: @2074728
     /* 2074728 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2074819), // Rule ID 15914 //
     /* 2074733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2074744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2074747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2074750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074779 */     // MIs[0] round
     /* 2074779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074782 */     // MIs[0] policy
     /* 2074782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2074795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074818 */     // GIR_Coverage, 15914,
     /* 2074818 */     GIR_EraseRootFromParent_Done,
     /* 2074819 */   // Label 27546: @2074819
     /* 2074819 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2074910), // Rule ID 15915 //
     /* 2074824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2074835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2074838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2074841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074870 */     // MIs[0] round
     /* 2074870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074873 */     // MIs[0] policy
     /* 2074873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2074886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074909 */     // GIR_Coverage, 15915,
     /* 2074909 */     GIR_EraseRootFromParent_Done,
     /* 2074910 */   // Label 27547: @2074910
     /* 2074910 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2075001), // Rule ID 15918 //
     /* 2074915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2074932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074961 */     // MIs[0] round
     /* 2074961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074964 */     // MIs[0] policy
     /* 2074964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2074977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075000 */     // GIR_Coverage, 15918,
     /* 2075000 */     GIR_EraseRootFromParent_Done,
     /* 2075001 */   // Label 27548: @2075001
     /* 2075001 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2075092), // Rule ID 15919 //
     /* 2075006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2075023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075052 */     // MIs[0] round
     /* 2075052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075055 */     // MIs[0] policy
     /* 2075055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075065 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2075068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075091 */     // GIR_Coverage, 15919,
     /* 2075091 */     GIR_EraseRootFromParent_Done,
     /* 2075092 */   // Label 27549: @2075092
     /* 2075092 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2075183), // Rule ID 15922 //
     /* 2075097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075143 */     // MIs[0] round
     /* 2075143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075146 */     // MIs[0] policy
     /* 2075146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2075159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075182 */     // GIR_Coverage, 15922,
     /* 2075182 */     GIR_EraseRootFromParent_Done,
     /* 2075183 */   // Label 27550: @2075183
     /* 2075183 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2075274), // Rule ID 15923 //
     /* 2075188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075234 */     // MIs[0] round
     /* 2075234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075237 */     // MIs[0] policy
     /* 2075237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2075250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075273 */     // GIR_Coverage, 15923,
     /* 2075273 */     GIR_EraseRootFromParent_Done,
     /* 2075274 */   // Label 27551: @2075274
     /* 2075274 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2075365), // Rule ID 15926 //
     /* 2075279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075325 */     // MIs[0] round
     /* 2075325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075328 */     // MIs[0] policy
     /* 2075328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2075341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075364 */     // GIR_Coverage, 15926,
     /* 2075364 */     GIR_EraseRootFromParent_Done,
     /* 2075365 */   // Label 27552: @2075365
     /* 2075365 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2075456), // Rule ID 15927 //
     /* 2075370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075416 */     // MIs[0] round
     /* 2075416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075419 */     // MIs[0] policy
     /* 2075419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2075432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075455 */     // GIR_Coverage, 15927,
     /* 2075455 */     GIR_EraseRootFromParent_Done,
     /* 2075456 */   // Label 27553: @2075456
     /* 2075456 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2075547), // Rule ID 15930 //
     /* 2075461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075507 */     // MIs[0] round
     /* 2075507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075510 */     // MIs[0] policy
     /* 2075510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2075523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075546 */     // GIR_Coverage, 15930,
     /* 2075546 */     GIR_EraseRootFromParent_Done,
     /* 2075547 */   // Label 27554: @2075547
     /* 2075547 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2075638), // Rule ID 15931 //
     /* 2075552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075598 */     // MIs[0] round
     /* 2075598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075601 */     // MIs[0] policy
     /* 2075601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2075614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075637 */     // GIR_Coverage, 15931,
     /* 2075637 */     GIR_EraseRootFromParent_Done,
     /* 2075638 */   // Label 27555: @2075638
     /* 2075638 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2075729), // Rule ID 15934 //
     /* 2075643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2075654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2075657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2075660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075689 */     // MIs[0] round
     /* 2075689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075692 */     // MIs[0] policy
     /* 2075692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2075705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075728 */     // GIR_Coverage, 15934,
     /* 2075728 */     GIR_EraseRootFromParent_Done,
     /* 2075729 */   // Label 27556: @2075729
     /* 2075729 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2075820), // Rule ID 15935 //
     /* 2075734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2075745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2075748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2075751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075780 */     // MIs[0] round
     /* 2075780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075783 */     // MIs[0] policy
     /* 2075783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2075796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075819 */     // GIR_Coverage, 15935,
     /* 2075819 */     GIR_EraseRootFromParent_Done,
     /* 2075820 */   // Label 27557: @2075820
     /* 2075820 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2075911), // Rule ID 15938 //
     /* 2075825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2075836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2075839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2075842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2075848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075871 */     // MIs[0] round
     /* 2075871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075874 */     // MIs[0] policy
     /* 2075874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2075887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075910 */     // GIR_Coverage, 15938,
     /* 2075910 */     GIR_EraseRootFromParent_Done,
     /* 2075911 */   // Label 27558: @2075911
     /* 2075911 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2076002), // Rule ID 15939 //
     /* 2075916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2075927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2075930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2075933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2075939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075962 */     // MIs[0] round
     /* 2075962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075965 */     // MIs[0] policy
     /* 2075965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075975 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2075978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076001 */     // GIR_Coverage, 15939,
     /* 2076001 */     GIR_EraseRootFromParent_Done,
     /* 2076002 */   // Label 27559: @2076002
     /* 2076002 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2076093), // Rule ID 15942 //
     /* 2076007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076053 */     // MIs[0] round
     /* 2076053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076056 */     // MIs[0] policy
     /* 2076056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2076069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076092 */     // GIR_Coverage, 15942,
     /* 2076092 */     GIR_EraseRootFromParent_Done,
     /* 2076093 */   // Label 27560: @2076093
     /* 2076093 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2076184), // Rule ID 15943 //
     /* 2076098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076144 */     // MIs[0] round
     /* 2076144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076147 */     // MIs[0] policy
     /* 2076147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2076160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076183 */     // GIR_Coverage, 15943,
     /* 2076183 */     GIR_EraseRootFromParent_Done,
     /* 2076184 */   // Label 27561: @2076184
     /* 2076184 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2076275), // Rule ID 15946 //
     /* 2076189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076235 */     // MIs[0] round
     /* 2076235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076238 */     // MIs[0] policy
     /* 2076238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2076251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076274 */     // GIR_Coverage, 15946,
     /* 2076274 */     GIR_EraseRootFromParent_Done,
     /* 2076275 */   // Label 27562: @2076275
     /* 2076275 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2076366), // Rule ID 15947 //
     /* 2076280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076326 */     // MIs[0] round
     /* 2076326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076329 */     // MIs[0] policy
     /* 2076329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076339 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2076342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076365 */     // GIR_Coverage, 15947,
     /* 2076365 */     GIR_EraseRootFromParent_Done,
     /* 2076366 */   // Label 27563: @2076366
     /* 2076366 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2076457), // Rule ID 15950 //
     /* 2076371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076417 */     // MIs[0] round
     /* 2076417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076420 */     // MIs[0] policy
     /* 2076420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2076433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076456 */     // GIR_Coverage, 15950,
     /* 2076456 */     GIR_EraseRootFromParent_Done,
     /* 2076457 */   // Label 27564: @2076457
     /* 2076457 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2076548), // Rule ID 15951 //
     /* 2076462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076508 */     // MIs[0] round
     /* 2076508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076511 */     // MIs[0] policy
     /* 2076511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2076524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076547 */     // GIR_Coverage, 15951,
     /* 2076547 */     GIR_EraseRootFromParent_Done,
     /* 2076548 */   // Label 27565: @2076548
     /* 2076548 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2076639), // Rule ID 15954 //
     /* 2076553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076599 */     // MIs[0] round
     /* 2076599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076602 */     // MIs[0] policy
     /* 2076602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2076615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076638 */     // GIR_Coverage, 15954,
     /* 2076638 */     GIR_EraseRootFromParent_Done,
     /* 2076639 */   // Label 27566: @2076639
     /* 2076639 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2076730), // Rule ID 15955 //
     /* 2076644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076690 */     // MIs[0] round
     /* 2076690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076693 */     // MIs[0] policy
     /* 2076693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2076706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076729 */     // GIR_Coverage, 15955,
     /* 2076729 */     GIR_EraseRootFromParent_Done,
     /* 2076730 */   // Label 27567: @2076730
     /* 2076730 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2076821), // Rule ID 15958 //
     /* 2076735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2076746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2076749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2076752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076781 */     // MIs[0] round
     /* 2076781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076784 */     // MIs[0] policy
     /* 2076784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2076797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076820 */     // GIR_Coverage, 15958,
     /* 2076820 */     GIR_EraseRootFromParent_Done,
     /* 2076821 */   // Label 27568: @2076821
     /* 2076821 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2076912), // Rule ID 15959 //
     /* 2076826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2076837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2076840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2076843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076872 */     // MIs[0] round
     /* 2076872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076875 */     // MIs[0] policy
     /* 2076875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2076888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076911 */     // GIR_Coverage, 15959,
     /* 2076911 */     GIR_EraseRootFromParent_Done,
     /* 2076912 */   // Label 27569: @2076912
     /* 2076912 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2077003), // Rule ID 15962 //
     /* 2076917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2076928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2076931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2076934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076963 */     // MIs[0] round
     /* 2076963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076966 */     // MIs[0] policy
     /* 2076966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2076979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077002 */     // GIR_Coverage, 15962,
     /* 2077002 */     GIR_EraseRootFromParent_Done,
     /* 2077003 */   // Label 27570: @2077003
     /* 2077003 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2077094), // Rule ID 15963 //
     /* 2077008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2077019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2077022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077054 */     // MIs[0] round
     /* 2077054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077057 */     // MIs[0] policy
     /* 2077057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2077070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077093 */     // GIR_Coverage, 15963,
     /* 2077093 */     GIR_EraseRootFromParent_Done,
     /* 2077094 */   // Label 27571: @2077094
     /* 2077094 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2077185), // Rule ID 15966 //
     /* 2077099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077145 */     // MIs[0] round
     /* 2077145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077148 */     // MIs[0] policy
     /* 2077148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2077161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077184 */     // GIR_Coverage, 15966,
     /* 2077184 */     GIR_EraseRootFromParent_Done,
     /* 2077185 */   // Label 27572: @2077185
     /* 2077185 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2077276), // Rule ID 15967 //
     /* 2077190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077236 */     // MIs[0] round
     /* 2077236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077239 */     // MIs[0] policy
     /* 2077239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2077252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077275 */     // GIR_Coverage, 15967,
     /* 2077275 */     GIR_EraseRootFromParent_Done,
     /* 2077276 */   // Label 27573: @2077276
     /* 2077276 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2077367), // Rule ID 15970 //
     /* 2077281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077327 */     // MIs[0] round
     /* 2077327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077330 */     // MIs[0] policy
     /* 2077330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2077343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077366 */     // GIR_Coverage, 15970,
     /* 2077366 */     GIR_EraseRootFromParent_Done,
     /* 2077367 */   // Label 27574: @2077367
     /* 2077367 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2077458), // Rule ID 15971 //
     /* 2077372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077418 */     // MIs[0] round
     /* 2077418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077421 */     // MIs[0] policy
     /* 2077421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077431 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2077434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077457 */     // GIR_Coverage, 15971,
     /* 2077457 */     GIR_EraseRootFromParent_Done,
     /* 2077458 */   // Label 27575: @2077458
     /* 2077458 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2077549), // Rule ID 15974 //
     /* 2077463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2077474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2077477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2077480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077509 */     // MIs[0] round
     /* 2077509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077512 */     // MIs[0] policy
     /* 2077512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2077525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077548 */     // GIR_Coverage, 15974,
     /* 2077548 */     GIR_EraseRootFromParent_Done,
     /* 2077549 */   // Label 27576: @2077549
     /* 2077549 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2077640), // Rule ID 15975 //
     /* 2077554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2077565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2077568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2077571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077600 */     // MIs[0] round
     /* 2077600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077603 */     // MIs[0] policy
     /* 2077603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077613 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2077616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077639 */     // GIR_Coverage, 15975,
     /* 2077639 */     GIR_EraseRootFromParent_Done,
     /* 2077640 */   // Label 27577: @2077640
     /* 2077640 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2077731), // Rule ID 16066 //
     /* 2077645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2077656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2077659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2077662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2077665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077691 */     // MIs[0] round
     /* 2077691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077694 */     // MIs[0] policy
     /* 2077694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077704 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2077707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077730 */     // GIR_Coverage, 16066,
     /* 2077730 */     GIR_EraseRootFromParent_Done,
     /* 2077731 */   // Label 27578: @2077731
     /* 2077731 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2077822), // Rule ID 16067 //
     /* 2077736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2077747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2077750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2077753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2077756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077782 */     // MIs[0] round
     /* 2077782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077785 */     // MIs[0] policy
     /* 2077785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2077798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077821 */     // GIR_Coverage, 16067,
     /* 2077821 */     GIR_EraseRootFromParent_Done,
     /* 2077822 */   // Label 27579: @2077822
     /* 2077822 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2077913), // Rule ID 16070 //
     /* 2077827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2077838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2077841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2077844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2077847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077873 */     // MIs[0] round
     /* 2077873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077876 */     // MIs[0] policy
     /* 2077876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2077889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077912 */     // GIR_Coverage, 16070,
     /* 2077912 */     GIR_EraseRootFromParent_Done,
     /* 2077913 */   // Label 27580: @2077913
     /* 2077913 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2078004), // Rule ID 16071 //
     /* 2077918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2077929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2077932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2077935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2077938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077964 */     // MIs[0] round
     /* 2077964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077967 */     // MIs[0] policy
     /* 2077967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077977 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2077980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078003 */     // GIR_Coverage, 16071,
     /* 2078003 */     GIR_EraseRootFromParent_Done,
     /* 2078004 */   // Label 27581: @2078004
     /* 2078004 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2078095), // Rule ID 16074 //
     /* 2078009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2078020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2078023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2078026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2078029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078055 */     // MIs[0] round
     /* 2078055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078058 */     // MIs[0] policy
     /* 2078058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078094 */     // GIR_Coverage, 16074,
     /* 2078094 */     GIR_EraseRootFromParent_Done,
     /* 2078095 */   // Label 27582: @2078095
     /* 2078095 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2078186), // Rule ID 16075 //
     /* 2078100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2078111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2078114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2078117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2078120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078146 */     // MIs[0] round
     /* 2078146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078149 */     // MIs[0] policy
     /* 2078149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078185 */     // GIR_Coverage, 16075,
     /* 2078185 */     GIR_EraseRootFromParent_Done,
     /* 2078186 */   // Label 27583: @2078186
     /* 2078186 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2078277), // Rule ID 16078 //
     /* 2078191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2078202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2078205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2078208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2078211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078237 */     // MIs[0] round
     /* 2078237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078240 */     // MIs[0] policy
     /* 2078240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2078253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078276 */     // GIR_Coverage, 16078,
     /* 2078276 */     GIR_EraseRootFromParent_Done,
     /* 2078277 */   // Label 27584: @2078277
     /* 2078277 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2078368), // Rule ID 16079 //
     /* 2078282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2078293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2078296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2078299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2078302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078328 */     // MIs[0] round
     /* 2078328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078331 */     // MIs[0] policy
     /* 2078331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2078344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078367 */     // GIR_Coverage, 16079,
     /* 2078367 */     GIR_EraseRootFromParent_Done,
     /* 2078368 */   // Label 27585: @2078368
     /* 2078368 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2078459), // Rule ID 16082 //
     /* 2078373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2078384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2078387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2078390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2078393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078419 */     // MIs[0] round
     /* 2078419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078422 */     // MIs[0] policy
     /* 2078422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078458 */     // GIR_Coverage, 16082,
     /* 2078458 */     GIR_EraseRootFromParent_Done,
     /* 2078459 */   // Label 27586: @2078459
     /* 2078459 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2078550), // Rule ID 16083 //
     /* 2078464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2078475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2078478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2078481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2078484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078510 */     // MIs[0] round
     /* 2078510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078513 */     // MIs[0] policy
     /* 2078513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078549 */     // GIR_Coverage, 16083,
     /* 2078549 */     GIR_EraseRootFromParent_Done,
     /* 2078550 */   // Label 27587: @2078550
     /* 2078550 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2078641), // Rule ID 16086 //
     /* 2078555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2078566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2078569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2078572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2078575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078601 */     // MIs[0] round
     /* 2078601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078604 */     // MIs[0] policy
     /* 2078604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078640 */     // GIR_Coverage, 16086,
     /* 2078640 */     GIR_EraseRootFromParent_Done,
     /* 2078641 */   // Label 27588: @2078641
     /* 2078641 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2078732), // Rule ID 16087 //
     /* 2078646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2078657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2078660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2078663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2078666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078692 */     // MIs[0] round
     /* 2078692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078695 */     // MIs[0] policy
     /* 2078695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2078708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078731 */     // GIR_Coverage, 16087,
     /* 2078731 */     GIR_EraseRootFromParent_Done,
     /* 2078732 */   // Label 27589: @2078732
     /* 2078732 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2078823), // Rule ID 16090 //
     /* 2078737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2078748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2078751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2078754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2078757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078783 */     // MIs[0] round
     /* 2078783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078786 */     // MIs[0] policy
     /* 2078786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2078799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078822 */     // GIR_Coverage, 16090,
     /* 2078822 */     GIR_EraseRootFromParent_Done,
     /* 2078823 */   // Label 27590: @2078823
     /* 2078823 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2078914), // Rule ID 16091 //
     /* 2078828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2078839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2078842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2078845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2078848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078874 */     // MIs[0] round
     /* 2078874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078877 */     // MIs[0] policy
     /* 2078877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2078890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078913 */     // GIR_Coverage, 16091,
     /* 2078913 */     GIR_EraseRootFromParent_Done,
     /* 2078914 */   // Label 27591: @2078914
     /* 2078914 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2079005), // Rule ID 16094 //
     /* 2078919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2078930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2078933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2078936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2078939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078965 */     // MIs[0] round
     /* 2078965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078968 */     // MIs[0] policy
     /* 2078968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2078981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079004 */     // GIR_Coverage, 16094,
     /* 2079004 */     GIR_EraseRootFromParent_Done,
     /* 2079005 */   // Label 27592: @2079005
     /* 2079005 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2079096), // Rule ID 16095 //
     /* 2079010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2079021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2079024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2079030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079056 */     // MIs[0] round
     /* 2079056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079059 */     // MIs[0] policy
     /* 2079059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079069 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2079072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079095 */     // GIR_Coverage, 16095,
     /* 2079095 */     GIR_EraseRootFromParent_Done,
     /* 2079096 */   // Label 27593: @2079096
     /* 2079096 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2079187), // Rule ID 16098 //
     /* 2079101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2079118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079147 */     // MIs[0] round
     /* 2079147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079150 */     // MIs[0] policy
     /* 2079150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2079163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079186 */     // GIR_Coverage, 16098,
     /* 2079186 */     GIR_EraseRootFromParent_Done,
     /* 2079187 */   // Label 27594: @2079187
     /* 2079187 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2079278), // Rule ID 16099 //
     /* 2079192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2079209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079238 */     // MIs[0] round
     /* 2079238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079241 */     // MIs[0] policy
     /* 2079241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2079254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079277 */     // GIR_Coverage, 16099,
     /* 2079277 */     GIR_EraseRootFromParent_Done,
     /* 2079278 */   // Label 27595: @2079278
     /* 2079278 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2079369), // Rule ID 16102 //
     /* 2079283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2079300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079329 */     // MIs[0] round
     /* 2079329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079332 */     // MIs[0] policy
     /* 2079332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2079345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079368 */     // GIR_Coverage, 16102,
     /* 2079368 */     GIR_EraseRootFromParent_Done,
     /* 2079369 */   // Label 27596: @2079369
     /* 2079369 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2079460), // Rule ID 16103 //
     /* 2079374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2079391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079420 */     // MIs[0] round
     /* 2079420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079423 */     // MIs[0] policy
     /* 2079423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2079436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079459 */     // GIR_Coverage, 16103,
     /* 2079459 */     GIR_EraseRootFromParent_Done,
     /* 2079460 */   // Label 27597: @2079460
     /* 2079460 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2079551), // Rule ID 16106 //
     /* 2079465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2079482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079511 */     // MIs[0] round
     /* 2079511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079514 */     // MIs[0] policy
     /* 2079514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2079527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079550 */     // GIR_Coverage, 16106,
     /* 2079550 */     GIR_EraseRootFromParent_Done,
     /* 2079551 */   // Label 27598: @2079551
     /* 2079551 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2079642), // Rule ID 16107 //
     /* 2079556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2079573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079602 */     // MIs[0] round
     /* 2079602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079605 */     // MIs[0] policy
     /* 2079605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079615 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2079618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079641 */     // GIR_Coverage, 16107,
     /* 2079641 */     GIR_EraseRootFromParent_Done,
     /* 2079642 */   // Label 27599: @2079642
     /* 2079642 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2079733), // Rule ID 16110 //
     /* 2079647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2079664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079693 */     // MIs[0] round
     /* 2079693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079696 */     // MIs[0] policy
     /* 2079696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079706 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2079709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079732 */     // GIR_Coverage, 16110,
     /* 2079732 */     GIR_EraseRootFromParent_Done,
     /* 2079733 */   // Label 27600: @2079733
     /* 2079733 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2079824), // Rule ID 16111 //
     /* 2079738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2079755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079784 */     // MIs[0] round
     /* 2079784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079787 */     // MIs[0] policy
     /* 2079787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2079800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079823 */     // GIR_Coverage, 16111,
     /* 2079823 */     GIR_EraseRootFromParent_Done,
     /* 2079824 */   // Label 27601: @2079824
     /* 2079824 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2079915), // Rule ID 16114 //
     /* 2079829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2079840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2079843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2079846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2079849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2079852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079875 */     // MIs[0] round
     /* 2079875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079878 */     // MIs[0] policy
     /* 2079878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2079891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079914 */     // GIR_Coverage, 16114,
     /* 2079914 */     GIR_EraseRootFromParent_Done,
     /* 2079915 */   // Label 27602: @2079915
     /* 2079915 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2080006), // Rule ID 16115 //
     /* 2079920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2079931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2079934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2079937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2079940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2079943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079966 */     // MIs[0] round
     /* 2079966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079969 */     // MIs[0] policy
     /* 2079969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2079982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080005 */     // GIR_Coverage, 16115,
     /* 2080005 */     GIR_EraseRootFromParent_Done,
     /* 2080006 */   // Label 27603: @2080006
     /* 2080006 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2080097), // Rule ID 16118 //
     /* 2080011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080057 */     // MIs[0] round
     /* 2080057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080060 */     // MIs[0] policy
     /* 2080060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2080073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080096 */     // GIR_Coverage, 16118,
     /* 2080096 */     GIR_EraseRootFromParent_Done,
     /* 2080097 */   // Label 27604: @2080097
     /* 2080097 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2080188), // Rule ID 16119 //
     /* 2080102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080148 */     // MIs[0] round
     /* 2080148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080151 */     // MIs[0] policy
     /* 2080151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2080164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080187 */     // GIR_Coverage, 16119,
     /* 2080187 */     GIR_EraseRootFromParent_Done,
     /* 2080188 */   // Label 27605: @2080188
     /* 2080188 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2080279), // Rule ID 16122 //
     /* 2080193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080239 */     // MIs[0] round
     /* 2080239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080242 */     // MIs[0] policy
     /* 2080242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2080255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080278 */     // GIR_Coverage, 16122,
     /* 2080278 */     GIR_EraseRootFromParent_Done,
     /* 2080279 */   // Label 27606: @2080279
     /* 2080279 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2080370), // Rule ID 16123 //
     /* 2080284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080330 */     // MIs[0] round
     /* 2080330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080333 */     // MIs[0] policy
     /* 2080333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2080346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080369 */     // GIR_Coverage, 16123,
     /* 2080369 */     GIR_EraseRootFromParent_Done,
     /* 2080370 */   // Label 27607: @2080370
     /* 2080370 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2080461), // Rule ID 16126 //
     /* 2080375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2080386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2080389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2080395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080421 */     // MIs[0] round
     /* 2080421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080424 */     // MIs[0] policy
     /* 2080424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2080437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080460 */     // GIR_Coverage, 16126,
     /* 2080460 */     GIR_EraseRootFromParent_Done,
     /* 2080461 */   // Label 27608: @2080461
     /* 2080461 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2080552), // Rule ID 16127 //
     /* 2080466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2080477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2080480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2080486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080512 */     // MIs[0] round
     /* 2080512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080515 */     // MIs[0] policy
     /* 2080515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080525 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2080528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080551 */     // GIR_Coverage, 16127,
     /* 2080551 */     GIR_EraseRootFromParent_Done,
     /* 2080552 */   // Label 27609: @2080552
     /* 2080552 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2080643), // Rule ID 16130 //
     /* 2080557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2080568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2080571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080603 */     // MIs[0] round
     /* 2080603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080606 */     // MIs[0] policy
     /* 2080606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2080619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080642 */     // GIR_Coverage, 16130,
     /* 2080642 */     GIR_EraseRootFromParent_Done,
     /* 2080643 */   // Label 27610: @2080643
     /* 2080643 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2080734), // Rule ID 16131 //
     /* 2080648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2080659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2080662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080694 */     // MIs[0] round
     /* 2080694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080697 */     // MIs[0] policy
     /* 2080697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2080710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080733 */     // GIR_Coverage, 16131,
     /* 2080733 */     GIR_EraseRootFromParent_Done,
     /* 2080734 */   // Label 27611: @2080734
     /* 2080734 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2080825), // Rule ID 16134 //
     /* 2080739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2080759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080785 */     // MIs[0] round
     /* 2080785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080788 */     // MIs[0] policy
     /* 2080788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2080801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080824 */     // GIR_Coverage, 16134,
     /* 2080824 */     GIR_EraseRootFromParent_Done,
     /* 2080825 */   // Label 27612: @2080825
     /* 2080825 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2080916), // Rule ID 16135 //
     /* 2080830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2080850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080876 */     // MIs[0] round
     /* 2080876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080879 */     // MIs[0] policy
     /* 2080879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2080892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080915 */     // GIR_Coverage, 16135,
     /* 2080915 */     GIR_EraseRootFromParent_Done,
     /* 2080916 */   // Label 27613: @2080916
     /* 2080916 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2081007), // Rule ID 16138 //
     /* 2080921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2080932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2080935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2080941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080967 */     // MIs[0] round
     /* 2080967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080970 */     // MIs[0] policy
     /* 2080970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2080983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081006 */     // GIR_Coverage, 16138,
     /* 2081006 */     GIR_EraseRootFromParent_Done,
     /* 2081007 */   // Label 27614: @2081007
     /* 2081007 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2081098), // Rule ID 16139 //
     /* 2081012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2081023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2081026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2081032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081058 */     // MIs[0] round
     /* 2081058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081061 */     // MIs[0] policy
     /* 2081061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2081074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081097 */     // GIR_Coverage, 16139,
     /* 2081097 */     GIR_EraseRootFromParent_Done,
     /* 2081098 */   // Label 27615: @2081098
     /* 2081098 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2081189), // Rule ID 16142 //
     /* 2081103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2081106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2081114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2081117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2081123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081149 */     // MIs[0] round
     /* 2081149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081152 */     // MIs[0] policy
     /* 2081152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2081165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081188 */     // GIR_Coverage, 16142,
     /* 2081188 */     GIR_EraseRootFromParent_Done,
     /* 2081189 */   // Label 27616: @2081189
     /* 2081189 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2081280), // Rule ID 16143 //
     /* 2081194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2081197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2081205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2081208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2081214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081240 */     // MIs[0] round
     /* 2081240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081243 */     // MIs[0] policy
     /* 2081243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2081256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081279 */     // GIR_Coverage, 16143,
     /* 2081279 */     GIR_EraseRootFromParent_Done,
     /* 2081280 */   // Label 27617: @2081280
     /* 2081280 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2081371), // Rule ID 16146 //
     /* 2081285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2081288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2081296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2081299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2081305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081331 */     // MIs[0] round
     /* 2081331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081334 */     // MIs[0] policy
     /* 2081334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2081347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081370 */     // GIR_Coverage, 16146,
     /* 2081370 */     GIR_EraseRootFromParent_Done,
     /* 2081371 */   // Label 27618: @2081371
     /* 2081371 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2081462), // Rule ID 16147 //
     /* 2081376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2081379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2081387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2081390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2081396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081422 */     // MIs[0] round
     /* 2081422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081425 */     // MIs[0] policy
     /* 2081425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2081438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081461 */     // GIR_Coverage, 16147,
     /* 2081461 */     GIR_EraseRootFromParent_Done,
     /* 2081462 */   // Label 27619: @2081462
     /* 2081462 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2081553), // Rule ID 16150 //
     /* 2081467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2081470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2081478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2081481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2081487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081513 */     // MIs[0] round
     /* 2081513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081516 */     // MIs[0] policy
     /* 2081516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2081529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081552 */     // GIR_Coverage, 16150,
     /* 2081552 */     GIR_EraseRootFromParent_Done,
     /* 2081553 */   // Label 27620: @2081553
     /* 2081553 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2081644), // Rule ID 16151 //
     /* 2081558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2081561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2081569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2081572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2081578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081604 */     // MIs[0] round
     /* 2081604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081607 */     // MIs[0] policy
     /* 2081607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2081620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081643 */     // GIR_Coverage, 16151,
     /* 2081643 */     GIR_EraseRootFromParent_Done,
     /* 2081644 */   // Label 27621: @2081644
     /* 2081644 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2081735), // Rule ID 16154 //
     /* 2081649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2081666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081695 */     // MIs[0] round
     /* 2081695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081698 */     // MIs[0] policy
     /* 2081698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2081711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081734 */     // GIR_Coverage, 16154,
     /* 2081734 */     GIR_EraseRootFromParent_Done,
     /* 2081735 */   // Label 27622: @2081735
     /* 2081735 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2081826), // Rule ID 16155 //
     /* 2081740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2081757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081786 */     // MIs[0] round
     /* 2081786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081789 */     // MIs[0] policy
     /* 2081789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2081802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081825 */     // GIR_Coverage, 16155,
     /* 2081825 */     GIR_EraseRootFromParent_Done,
     /* 2081826 */   // Label 27623: @2081826
     /* 2081826 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2081917), // Rule ID 16158 //
     /* 2081831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2081842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2081845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2081848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081877 */     // MIs[0] round
     /* 2081877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081880 */     // MIs[0] policy
     /* 2081880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2081893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081916 */     // GIR_Coverage, 16158,
     /* 2081916 */     GIR_EraseRootFromParent_Done,
     /* 2081917 */   // Label 27624: @2081917
     /* 2081917 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2082008), // Rule ID 16159 //
     /* 2081922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2081933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2081936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2081939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081968 */     // MIs[0] round
     /* 2081968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081971 */     // MIs[0] policy
     /* 2081971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081981 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2081984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082007 */     // GIR_Coverage, 16159,
     /* 2082007 */     GIR_EraseRootFromParent_Done,
     /* 2082008 */   // Label 27625: @2082008
     /* 2082008 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2082099), // Rule ID 16162 //
     /* 2082013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2082030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082059 */     // MIs[0] round
     /* 2082059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082062 */     // MIs[0] policy
     /* 2082062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082098 */     // GIR_Coverage, 16162,
     /* 2082098 */     GIR_EraseRootFromParent_Done,
     /* 2082099 */   // Label 27626: @2082099
     /* 2082099 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2082190), // Rule ID 16163 //
     /* 2082104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2082121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082150 */     // MIs[0] round
     /* 2082150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082153 */     // MIs[0] policy
     /* 2082153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082189 */     // GIR_Coverage, 16163,
     /* 2082189 */     GIR_EraseRootFromParent_Done,
     /* 2082190 */   // Label 27627: @2082190
     /* 2082190 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2082281), // Rule ID 16166 //
     /* 2082195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082241 */     // MIs[0] round
     /* 2082241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082244 */     // MIs[0] policy
     /* 2082244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2082257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082280 */     // GIR_Coverage, 16166,
     /* 2082280 */     GIR_EraseRootFromParent_Done,
     /* 2082281 */   // Label 27628: @2082281
     /* 2082281 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2082372), // Rule ID 16167 //
     /* 2082286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082332 */     // MIs[0] round
     /* 2082332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082335 */     // MIs[0] policy
     /* 2082335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082345 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2082348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082371 */     // GIR_Coverage, 16167,
     /* 2082371 */     GIR_EraseRootFromParent_Done,
     /* 2082372 */   // Label 27629: @2082372
     /* 2082372 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2082463), // Rule ID 16170 //
     /* 2082377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082423 */     // MIs[0] round
     /* 2082423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082426 */     // MIs[0] policy
     /* 2082426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082462 */     // GIR_Coverage, 16170,
     /* 2082462 */     GIR_EraseRootFromParent_Done,
     /* 2082463 */   // Label 27630: @2082463
     /* 2082463 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2082554), // Rule ID 16171 //
     /* 2082468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082514 */     // MIs[0] round
     /* 2082514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082517 */     // MIs[0] policy
     /* 2082517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082553 */     // GIR_Coverage, 16171,
     /* 2082553 */     GIR_EraseRootFromParent_Done,
     /* 2082554 */   // Label 27631: @2082554
     /* 2082554 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2082645), // Rule ID 16174 //
     /* 2082559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082605 */     // MIs[0] round
     /* 2082605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082608 */     // MIs[0] policy
     /* 2082608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082644 */     // GIR_Coverage, 16174,
     /* 2082644 */     GIR_EraseRootFromParent_Done,
     /* 2082645 */   // Label 27632: @2082645
     /* 2082645 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2082736), // Rule ID 16175 //
     /* 2082650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082696 */     // MIs[0] round
     /* 2082696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082699 */     // MIs[0] policy
     /* 2082699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2082712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082735 */     // GIR_Coverage, 16175,
     /* 2082735 */     GIR_EraseRootFromParent_Done,
     /* 2082736 */   // Label 27633: @2082736
     /* 2082736 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2082827), // Rule ID 16178 //
     /* 2082741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2082758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082787 */     // MIs[0] round
     /* 2082787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082790 */     // MIs[0] policy
     /* 2082790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2082803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082826 */     // GIR_Coverage, 16178,
     /* 2082826 */     GIR_EraseRootFromParent_Done,
     /* 2082827 */   // Label 27634: @2082827
     /* 2082827 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2082918), // Rule ID 16179 //
     /* 2082832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2082849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082878 */     // MIs[0] round
     /* 2082878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082881 */     // MIs[0] policy
     /* 2082881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082891 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2082894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082917 */     // GIR_Coverage, 16179,
     /* 2082917 */     GIR_EraseRootFromParent_Done,
     /* 2082918 */   // Label 27635: @2082918
     /* 2082918 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2083009), // Rule ID 16182 //
     /* 2082923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2082934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2082937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082969 */     // MIs[0] round
     /* 2082969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082972 */     // MIs[0] policy
     /* 2082972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2082985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083008 */     // GIR_Coverage, 16182,
     /* 2083008 */     GIR_EraseRootFromParent_Done,
     /* 2083009 */   // Label 27636: @2083009
     /* 2083009 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2083100), // Rule ID 16183 //
     /* 2083014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083060 */     // MIs[0] round
     /* 2083060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083063 */     // MIs[0] policy
     /* 2083063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2083076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083099 */     // GIR_Coverage, 16183,
     /* 2083099 */     GIR_EraseRootFromParent_Done,
     /* 2083100 */   // Label 27637: @2083100
     /* 2083100 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2083191), // Rule ID 16186 //
     /* 2083105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083151 */     // MIs[0] round
     /* 2083151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083154 */     // MIs[0] policy
     /* 2083154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2083167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083190 */     // GIR_Coverage, 16186,
     /* 2083190 */     GIR_EraseRootFromParent_Done,
     /* 2083191 */   // Label 27638: @2083191
     /* 2083191 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2083282), // Rule ID 16187 //
     /* 2083196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083242 */     // MIs[0] round
     /* 2083242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083245 */     // MIs[0] policy
     /* 2083245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2083258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083281 */     // GIR_Coverage, 16187,
     /* 2083281 */     GIR_EraseRootFromParent_Done,
     /* 2083282 */   // Label 27639: @2083282
     /* 2083282 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2083373), // Rule ID 16190 //
     /* 2083287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2083290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2083298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2083301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083333 */     // MIs[0] round
     /* 2083333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083336 */     // MIs[0] policy
     /* 2083336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2083349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083372 */     // GIR_Coverage, 16190,
     /* 2083372 */     GIR_EraseRootFromParent_Done,
     /* 2083373 */   // Label 27640: @2083373
     /* 2083373 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2083464), // Rule ID 16191 //
     /* 2083378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2083381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2083389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2083392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083424 */     // MIs[0] round
     /* 2083424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083427 */     // MIs[0] policy
     /* 2083427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2083440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083463 */     // GIR_Coverage, 16191,
     /* 2083463 */     GIR_EraseRootFromParent_Done,
     /* 2083464 */   // Label 27641: @2083464
     /* 2083464 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2083555), // Rule ID 16194 //
     /* 2083469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2083480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2083483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2083486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083515 */     // MIs[0] round
     /* 2083515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083518 */     // MIs[0] policy
     /* 2083518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2083531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083554 */     // GIR_Coverage, 16194,
     /* 2083554 */     GIR_EraseRootFromParent_Done,
     /* 2083555 */   // Label 27642: @2083555
     /* 2083555 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2083646), // Rule ID 16195 //
     /* 2083560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2083571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2083574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2083577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083606 */     // MIs[0] round
     /* 2083606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083609 */     // MIs[0] policy
     /* 2083609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2083622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083645 */     // GIR_Coverage, 16195,
     /* 2083645 */     GIR_EraseRootFromParent_Done,
     /* 2083646 */   // Label 27643: @2083646
     /* 2083646 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2083737), // Rule ID 16198 //
     /* 2083651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2083668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083697 */     // MIs[0] round
     /* 2083697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083700 */     // MIs[0] policy
     /* 2083700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2083713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083736 */     // GIR_Coverage, 16198,
     /* 2083736 */     GIR_EraseRootFromParent_Done,
     /* 2083737 */   // Label 27644: @2083737
     /* 2083737 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2083828), // Rule ID 16199 //
     /* 2083742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2083759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083788 */     // MIs[0] round
     /* 2083788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083791 */     // MIs[0] policy
     /* 2083791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2083804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083827 */     // GIR_Coverage, 16199,
     /* 2083827 */     GIR_EraseRootFromParent_Done,
     /* 2083828 */   // Label 27645: @2083828
     /* 2083828 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2083919), // Rule ID 16202 //
     /* 2083833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2083844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2083847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2083850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2083856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083879 */     // MIs[0] round
     /* 2083879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083882 */     // MIs[0] policy
     /* 2083882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2083895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083918 */     // GIR_Coverage, 16202,
     /* 2083918 */     GIR_EraseRootFromParent_Done,
     /* 2083919 */   // Label 27646: @2083919
     /* 2083919 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2084010), // Rule ID 16203 //
     /* 2083924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2083935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2083938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2083941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2083947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083970 */     // MIs[0] round
     /* 2083970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083973 */     // MIs[0] policy
     /* 2083973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2083986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084009 */     // GIR_Coverage, 16203,
     /* 2084009 */     GIR_EraseRootFromParent_Done,
     /* 2084010 */   // Label 27647: @2084010
     /* 2084010 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2084101), // Rule ID 16206 //
     /* 2084015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2084026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2084029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084061 */     // MIs[0] round
     /* 2084061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084064 */     // MIs[0] policy
     /* 2084064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2084077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084100 */     // GIR_Coverage, 16206,
     /* 2084100 */     GIR_EraseRootFromParent_Done,
     /* 2084101 */   // Label 27648: @2084101
     /* 2084101 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2084192), // Rule ID 16207 //
     /* 2084106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2084117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2084120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084152 */     // MIs[0] round
     /* 2084152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084155 */     // MIs[0] policy
     /* 2084155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2084168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084191 */     // GIR_Coverage, 16207,
     /* 2084191 */     GIR_EraseRootFromParent_Done,
     /* 2084192 */   // Label 27649: @2084192
     /* 2084192 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2084283), // Rule ID 16210 //
     /* 2084197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084243 */     // MIs[0] round
     /* 2084243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084246 */     // MIs[0] policy
     /* 2084246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2084259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084282 */     // GIR_Coverage, 16210,
     /* 2084282 */     GIR_EraseRootFromParent_Done,
     /* 2084283 */   // Label 27650: @2084283
     /* 2084283 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2084374), // Rule ID 16211 //
     /* 2084288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084334 */     // MIs[0] round
     /* 2084334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084337 */     // MIs[0] policy
     /* 2084337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2084350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084373 */     // GIR_Coverage, 16211,
     /* 2084373 */     GIR_EraseRootFromParent_Done,
     /* 2084374 */   // Label 27651: @2084374
     /* 2084374 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2084465), // Rule ID 16214 //
     /* 2084379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2084390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2084393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084425 */     // MIs[0] round
     /* 2084425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084428 */     // MIs[0] policy
     /* 2084428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2084441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084464 */     // GIR_Coverage, 16214,
     /* 2084464 */     GIR_EraseRootFromParent_Done,
     /* 2084465 */   // Label 27652: @2084465
     /* 2084465 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2084556), // Rule ID 16215 //
     /* 2084470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2084481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2084484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084516 */     // MIs[0] round
     /* 2084516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084519 */     // MIs[0] policy
     /* 2084519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2084532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084555 */     // GIR_Coverage, 16215,
     /* 2084555 */     GIR_EraseRootFromParent_Done,
     /* 2084556 */   // Label 27653: @2084556
     /* 2084556 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2084647), // Rule ID 16218 //
     /* 2084561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2084578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084607 */     // MIs[0] round
     /* 2084607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084610 */     // MIs[0] policy
     /* 2084610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2084623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084646 */     // GIR_Coverage, 16218,
     /* 2084646 */     GIR_EraseRootFromParent_Done,
     /* 2084647 */   // Label 27654: @2084647
     /* 2084647 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2084738), // Rule ID 16219 //
     /* 2084652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2084669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084698 */     // MIs[0] round
     /* 2084698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084701 */     // MIs[0] policy
     /* 2084701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2084714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084737 */     // GIR_Coverage, 16219,
     /* 2084737 */     GIR_EraseRootFromParent_Done,
     /* 2084738 */   // Label 27655: @2084738
     /* 2084738 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2084829), // Rule ID 16222 //
     /* 2084743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2084760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084789 */     // MIs[0] round
     /* 2084789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084792 */     // MIs[0] policy
     /* 2084792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2084805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084828 */     // GIR_Coverage, 16222,
     /* 2084828 */     GIR_EraseRootFromParent_Done,
     /* 2084829 */   // Label 27656: @2084829
     /* 2084829 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2084920), // Rule ID 16223 //
     /* 2084834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2084851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084880 */     // MIs[0] round
     /* 2084880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084883 */     // MIs[0] policy
     /* 2084883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084893 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2084896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084919 */     // GIR_Coverage, 16223,
     /* 2084919 */     GIR_EraseRootFromParent_Done,
     /* 2084920 */   // Label 27657: @2084920
     /* 2084920 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2085011), // Rule ID 16226 //
     /* 2084925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2084936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2084939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2084942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084971 */     // MIs[0] round
     /* 2084971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084974 */     // MIs[0] policy
     /* 2084974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2084987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085010 */     // GIR_Coverage, 16226,
     /* 2085010 */     GIR_EraseRootFromParent_Done,
     /* 2085011 */   // Label 27658: @2085011
     /* 2085011 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2085102), // Rule ID 16227 //
     /* 2085016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2085027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2085030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2085033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085062 */     // MIs[0] round
     /* 2085062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085065 */     // MIs[0] policy
     /* 2085065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2085078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085101 */     // GIR_Coverage, 16227,
     /* 2085101 */     GIR_EraseRootFromParent_Done,
     /* 2085102 */   // Label 27659: @2085102
     /* 2085102 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2085193), // Rule ID 16230 //
     /* 2085107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2085110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2085118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2085121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085153 */     // MIs[0] round
     /* 2085153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085156 */     // MIs[0] policy
     /* 2085156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2085169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085192 */     // GIR_Coverage, 16230,
     /* 2085192 */     GIR_EraseRootFromParent_Done,
     /* 2085193 */   // Label 27660: @2085193
     /* 2085193 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2085284), // Rule ID 16231 //
     /* 2085198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2085201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2085209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2085212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085244 */     // MIs[0] round
     /* 2085244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085247 */     // MIs[0] policy
     /* 2085247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085257 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2085260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085283 */     // GIR_Coverage, 16231,
     /* 2085283 */     GIR_EraseRootFromParent_Done,
     /* 2085284 */   // Label 27661: @2085284
     /* 2085284 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2085375), // Rule ID 16234 //
     /* 2085289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2085292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2085300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2085303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2085306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085335 */     // MIs[0] round
     /* 2085335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085338 */     // MIs[0] policy
     /* 2085338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2085351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085374 */     // GIR_Coverage, 16234,
     /* 2085374 */     GIR_EraseRootFromParent_Done,
     /* 2085375 */   // Label 27662: @2085375
     /* 2085375 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2085466), // Rule ID 16235 //
     /* 2085380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2085383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2085391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2085394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2085397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085426 */     // MIs[0] round
     /* 2085426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085429 */     // MIs[0] policy
     /* 2085429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2085442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085465 */     // GIR_Coverage, 16235,
     /* 2085465 */     GIR_EraseRootFromParent_Done,
     /* 2085466 */   // Label 27663: @2085466
     /* 2085466 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2085557), // Rule ID 16238 //
     /* 2085471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2085474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2085482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2085485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2085488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085517 */     // MIs[0] round
     /* 2085517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085520 */     // MIs[0] policy
     /* 2085520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085530 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2085533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085556 */     // GIR_Coverage, 16238,
     /* 2085556 */     GIR_EraseRootFromParent_Done,
     /* 2085557 */   // Label 27664: @2085557
     /* 2085557 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2085648), // Rule ID 16239 //
     /* 2085562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2085565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2085573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2085576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2085579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085608 */     // MIs[0] round
     /* 2085608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085611 */     // MIs[0] policy
     /* 2085611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2085624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085647 */     // GIR_Coverage, 16239,
     /* 2085647 */     GIR_EraseRootFromParent_Done,
     /* 2085648 */   // Label 27665: @2085648
     /* 2085648 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2085742), // Rule ID 16330 //
     /* 2085653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085699 */     // MIs[0] round
     /* 2085699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085702 */     // MIs[0] policy
     /* 2085702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2085715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085741 */     // GIR_Coverage, 16330,
     /* 2085741 */     GIR_EraseRootFromParent_Done,
     /* 2085742 */   // Label 27666: @2085742
     /* 2085742 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2085836), // Rule ID 16331 //
     /* 2085747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085793 */     // MIs[0] round
     /* 2085793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085796 */     // MIs[0] policy
     /* 2085796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085806 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2085809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085835 */     // GIR_Coverage, 16331,
     /* 2085835 */     GIR_EraseRootFromParent_Done,
     /* 2085836 */   // Label 27667: @2085836
     /* 2085836 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2085930), // Rule ID 16334 //
     /* 2085841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085887 */     // MIs[0] round
     /* 2085887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085890 */     // MIs[0] policy
     /* 2085890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2085903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085929 */     // GIR_Coverage, 16334,
     /* 2085929 */     GIR_EraseRootFromParent_Done,
     /* 2085930 */   // Label 27668: @2085930
     /* 2085930 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2086024), // Rule ID 16335 //
     /* 2085935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085981 */     // MIs[0] round
     /* 2085981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085984 */     // MIs[0] policy
     /* 2085984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2085997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086023 */     // GIR_Coverage, 16335,
     /* 2086023 */     GIR_EraseRootFromParent_Done,
     /* 2086024 */   // Label 27669: @2086024
     /* 2086024 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2086118), // Rule ID 16338 //
     /* 2086029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2086049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086075 */     // MIs[0] round
     /* 2086075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086078 */     // MIs[0] policy
     /* 2086078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2086091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086117 */     // GIR_Coverage, 16338,
     /* 2086117 */     GIR_EraseRootFromParent_Done,
     /* 2086118 */   // Label 27670: @2086118
     /* 2086118 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2086212), // Rule ID 16339 //
     /* 2086123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2086143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086169 */     // MIs[0] round
     /* 2086169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086172 */     // MIs[0] policy
     /* 2086172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2086185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086211 */     // GIR_Coverage, 16339,
     /* 2086211 */     GIR_EraseRootFromParent_Done,
     /* 2086212 */   // Label 27671: @2086212
     /* 2086212 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2086306), // Rule ID 16342 //
     /* 2086217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2086228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2086231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2086237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086263 */     // MIs[0] round
     /* 2086263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086266 */     // MIs[0] policy
     /* 2086266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2086279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086305 */     // GIR_Coverage, 16342,
     /* 2086305 */     GIR_EraseRootFromParent_Done,
     /* 2086306 */   // Label 27672: @2086306
     /* 2086306 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2086400), // Rule ID 16343 //
     /* 2086311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2086322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2086325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2086331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086357 */     // MIs[0] round
     /* 2086357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086360 */     // MIs[0] policy
     /* 2086360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2086373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086399 */     // GIR_Coverage, 16343,
     /* 2086399 */     GIR_EraseRootFromParent_Done,
     /* 2086400 */   // Label 27673: @2086400
     /* 2086400 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2086494), // Rule ID 16346 //
     /* 2086405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2086416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2086419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2086422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2086425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086451 */     // MIs[0] round
     /* 2086451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086454 */     // MIs[0] policy
     /* 2086454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2086467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086493 */     // GIR_Coverage, 16346,
     /* 2086493 */     GIR_EraseRootFromParent_Done,
     /* 2086494 */   // Label 27674: @2086494
     /* 2086494 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2086588), // Rule ID 16347 //
     /* 2086499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2086510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2086513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2086516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2086519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086545 */     // MIs[0] round
     /* 2086545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086548 */     // MIs[0] policy
     /* 2086548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086558 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2086561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086587 */     // GIR_Coverage, 16347,
     /* 2086587 */     GIR_EraseRootFromParent_Done,
     /* 2086588 */   // Label 27675: @2086588
     /* 2086588 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2086682), // Rule ID 16350 //
     /* 2086593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2086604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2086607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2086610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2086613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2086616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086639 */     // MIs[0] round
     /* 2086639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086642 */     // MIs[0] policy
     /* 2086642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2086655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086681 */     // GIR_Coverage, 16350,
     /* 2086681 */     GIR_EraseRootFromParent_Done,
     /* 2086682 */   // Label 27676: @2086682
     /* 2086682 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2086776), // Rule ID 16351 //
     /* 2086687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2086698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2086701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2086704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2086707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2086710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086733 */     // MIs[0] round
     /* 2086733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086736 */     // MIs[0] policy
     /* 2086736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2086749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086775 */     // GIR_Coverage, 16351,
     /* 2086775 */     GIR_EraseRootFromParent_Done,
     /* 2086776 */   // Label 27677: @2086776
     /* 2086776 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2086870), // Rule ID 16354 //
     /* 2086781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086827 */     // MIs[0] round
     /* 2086827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086830 */     // MIs[0] policy
     /* 2086830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2086843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086869 */     // GIR_Coverage, 16354,
     /* 2086869 */     GIR_EraseRootFromParent_Done,
     /* 2086870 */   // Label 27678: @2086870
     /* 2086870 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2086964), // Rule ID 16355 //
     /* 2086875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086921 */     // MIs[0] round
     /* 2086921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086924 */     // MIs[0] policy
     /* 2086924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2086937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086963 */     // GIR_Coverage, 16355,
     /* 2086963 */     GIR_EraseRootFromParent_Done,
     /* 2086964 */   // Label 27679: @2086964
     /* 2086964 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2087058), // Rule ID 16358 //
     /* 2086969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087015 */     // MIs[0] round
     /* 2087015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087018 */     // MIs[0] policy
     /* 2087018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2087031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087057 */     // GIR_Coverage, 16358,
     /* 2087057 */     GIR_EraseRootFromParent_Done,
     /* 2087058 */   // Label 27680: @2087058
     /* 2087058 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2087152), // Rule ID 16359 //
     /* 2087063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2087083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087109 */     // MIs[0] round
     /* 2087109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087112 */     // MIs[0] policy
     /* 2087112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2087125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087151 */     // GIR_Coverage, 16359,
     /* 2087151 */     GIR_EraseRootFromParent_Done,
     /* 2087152 */   // Label 27681: @2087152
     /* 2087152 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2087246), // Rule ID 16362 //
     /* 2087157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2087177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087203 */     // MIs[0] round
     /* 2087203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087206 */     // MIs[0] policy
     /* 2087206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2087219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087245 */     // GIR_Coverage, 16362,
     /* 2087245 */     GIR_EraseRootFromParent_Done,
     /* 2087246 */   // Label 27682: @2087246
     /* 2087246 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2087340), // Rule ID 16363 //
     /* 2087251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2087271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087297 */     // MIs[0] round
     /* 2087297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087300 */     // MIs[0] policy
     /* 2087300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2087313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087339 */     // GIR_Coverage, 16363,
     /* 2087339 */     GIR_EraseRootFromParent_Done,
     /* 2087340 */   // Label 27683: @2087340
     /* 2087340 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2087434), // Rule ID 16366 //
     /* 2087345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2087356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2087359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2087362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2087365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087391 */     // MIs[0] round
     /* 2087391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087394 */     // MIs[0] policy
     /* 2087394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2087407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087433 */     // GIR_Coverage, 16366,
     /* 2087433 */     GIR_EraseRootFromParent_Done,
     /* 2087434 */   // Label 27684: @2087434
     /* 2087434 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2087528), // Rule ID 16367 //
     /* 2087439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2087450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2087453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2087456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2087459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087485 */     // MIs[0] round
     /* 2087485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087488 */     // MIs[0] policy
     /* 2087488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2087501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087527 */     // GIR_Coverage, 16367,
     /* 2087527 */     GIR_EraseRootFromParent_Done,
     /* 2087528 */   // Label 27685: @2087528
     /* 2087528 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2087622), // Rule ID 16370 //
     /* 2087533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2087544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2087547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2087550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2087553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087579 */     // MIs[0] round
     /* 2087579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087582 */     // MIs[0] policy
     /* 2087582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2087595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087621 */     // GIR_Coverage, 16370,
     /* 2087621 */     GIR_EraseRootFromParent_Done,
     /* 2087622 */   // Label 27686: @2087622
     /* 2087622 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2087716), // Rule ID 16371 //
     /* 2087627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2087638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2087641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2087644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2087647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087673 */     // MIs[0] round
     /* 2087673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087676 */     // MIs[0] policy
     /* 2087676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2087689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087715 */     // GIR_Coverage, 16371,
     /* 2087715 */     GIR_EraseRootFromParent_Done,
     /* 2087716 */   // Label 27687: @2087716
     /* 2087716 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2087810), // Rule ID 16374 //
     /* 2087721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087767 */     // MIs[0] round
     /* 2087767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087770 */     // MIs[0] policy
     /* 2087770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2087783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087809 */     // GIR_Coverage, 16374,
     /* 2087809 */     GIR_EraseRootFromParent_Done,
     /* 2087810 */   // Label 27688: @2087810
     /* 2087810 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2087904), // Rule ID 16375 //
     /* 2087815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087861 */     // MIs[0] round
     /* 2087861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087864 */     // MIs[0] policy
     /* 2087864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2087877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087903 */     // GIR_Coverage, 16375,
     /* 2087903 */     GIR_EraseRootFromParent_Done,
     /* 2087904 */   // Label 27689: @2087904
     /* 2087904 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2087998), // Rule ID 16378 //
     /* 2087909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2087926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087955 */     // MIs[0] round
     /* 2087955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087958 */     // MIs[0] policy
     /* 2087958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2087971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087997 */     // GIR_Coverage, 16378,
     /* 2087997 */     GIR_EraseRootFromParent_Done,
     /* 2087998 */   // Label 27690: @2087998
     /* 2087998 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2088092), // Rule ID 16379 //
     /* 2088003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2088020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2088023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088049 */     // MIs[0] round
     /* 2088049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088052 */     // MIs[0] policy
     /* 2088052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2088065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088091 */     // GIR_Coverage, 16379,
     /* 2088091 */     GIR_EraseRootFromParent_Done,
     /* 2088092 */   // Label 27691: @2088092
     /* 2088092 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2088186), // Rule ID 16382 //
     /* 2088097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2088117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088143 */     // MIs[0] round
     /* 2088143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088146 */     // MIs[0] policy
     /* 2088146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2088159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088185 */     // GIR_Coverage, 16382,
     /* 2088185 */     GIR_EraseRootFromParent_Done,
     /* 2088186 */   // Label 27692: @2088186
     /* 2088186 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2088280), // Rule ID 16383 //
     /* 2088191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2088211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088237 */     // MIs[0] round
     /* 2088237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088240 */     // MIs[0] policy
     /* 2088240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2088253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088279 */     // GIR_Coverage, 16383,
     /* 2088279 */     GIR_EraseRootFromParent_Done,
     /* 2088280 */   // Label 27693: @2088280
     /* 2088280 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2088374), // Rule ID 16386 //
     /* 2088285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2088302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2088305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088331 */     // MIs[0] round
     /* 2088331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088334 */     // MIs[0] policy
     /* 2088334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2088347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088373 */     // GIR_Coverage, 16386,
     /* 2088373 */     GIR_EraseRootFromParent_Done,
     /* 2088374 */   // Label 27694: @2088374
     /* 2088374 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2088468), // Rule ID 16387 //
     /* 2088379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2088396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2088399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088425 */     // MIs[0] round
     /* 2088425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088428 */     // MIs[0] policy
     /* 2088428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2088441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088467 */     // GIR_Coverage, 16387,
     /* 2088467 */     GIR_EraseRootFromParent_Done,
     /* 2088468 */   // Label 27695: @2088468
     /* 2088468 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2088562), // Rule ID 16390 //
     /* 2088473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2088484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2088487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2088490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088519 */     // MIs[0] round
     /* 2088519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088522 */     // MIs[0] policy
     /* 2088522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2088535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088561 */     // GIR_Coverage, 16390,
     /* 2088561 */     GIR_EraseRootFromParent_Done,
     /* 2088562 */   // Label 27696: @2088562
     /* 2088562 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2088656), // Rule ID 16391 //
     /* 2088567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2088578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2088581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2088584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088613 */     // MIs[0] round
     /* 2088613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088616 */     // MIs[0] policy
     /* 2088616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2088629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088655 */     // GIR_Coverage, 16391,
     /* 2088655 */     GIR_EraseRootFromParent_Done,
     /* 2088656 */   // Label 27697: @2088656
     /* 2088656 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2088750), // Rule ID 16394 //
     /* 2088661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088707 */     // MIs[0] round
     /* 2088707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088710 */     // MIs[0] policy
     /* 2088710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2088723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088749 */     // GIR_Coverage, 16394,
     /* 2088749 */     GIR_EraseRootFromParent_Done,
     /* 2088750 */   // Label 27698: @2088750
     /* 2088750 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2088844), // Rule ID 16395 //
     /* 2088755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088801 */     // MIs[0] round
     /* 2088801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088804 */     // MIs[0] policy
     /* 2088804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2088817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088843 */     // GIR_Coverage, 16395,
     /* 2088843 */     GIR_EraseRootFromParent_Done,
     /* 2088844 */   // Label 27699: @2088844
     /* 2088844 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2088938), // Rule ID 16398 //
     /* 2088849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088895 */     // MIs[0] round
     /* 2088895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088898 */     // MIs[0] policy
     /* 2088898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2088911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088937 */     // GIR_Coverage, 16398,
     /* 2088937 */     GIR_EraseRootFromParent_Done,
     /* 2088938 */   // Label 27700: @2088938
     /* 2088938 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2089032), // Rule ID 16399 //
     /* 2088943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088989 */     // MIs[0] round
     /* 2088989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088992 */     // MIs[0] policy
     /* 2088992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2089005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089031 */     // GIR_Coverage, 16399,
     /* 2089031 */     GIR_EraseRootFromParent_Done,
     /* 2089032 */   // Label 27701: @2089032
     /* 2089032 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2089126), // Rule ID 16402 //
     /* 2089037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2089048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2089051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089083 */     // MIs[0] round
     /* 2089083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089086 */     // MIs[0] policy
     /* 2089086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2089099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089125 */     // GIR_Coverage, 16402,
     /* 2089125 */     GIR_EraseRootFromParent_Done,
     /* 2089126 */   // Label 27702: @2089126
     /* 2089126 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2089220), // Rule ID 16403 //
     /* 2089131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2089142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2089145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089177 */     // MIs[0] round
     /* 2089177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089180 */     // MIs[0] policy
     /* 2089180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2089193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089219 */     // GIR_Coverage, 16403,
     /* 2089219 */     GIR_EraseRootFromParent_Done,
     /* 2089220 */   // Label 27703: @2089220
     /* 2089220 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2089314), // Rule ID 16406 //
     /* 2089225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2089236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2089239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089271 */     // MIs[0] round
     /* 2089271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089274 */     // MIs[0] policy
     /* 2089274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2089287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089313 */     // GIR_Coverage, 16406,
     /* 2089313 */     GIR_EraseRootFromParent_Done,
     /* 2089314 */   // Label 27704: @2089314
     /* 2089314 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2089408), // Rule ID 16407 //
     /* 2089319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2089330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2089333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089365 */     // MIs[0] round
     /* 2089365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089368 */     // MIs[0] policy
     /* 2089368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2089381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089407 */     // GIR_Coverage, 16407,
     /* 2089407 */     GIR_EraseRootFromParent_Done,
     /* 2089408 */   // Label 27705: @2089408
     /* 2089408 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2089502), // Rule ID 16410 //
     /* 2089413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2089424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2089427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089459 */     // MIs[0] round
     /* 2089459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089462 */     // MIs[0] policy
     /* 2089462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2089475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089501 */     // GIR_Coverage, 16410,
     /* 2089501 */     GIR_EraseRootFromParent_Done,
     /* 2089502 */   // Label 27706: @2089502
     /* 2089502 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2089596), // Rule ID 16411 //
     /* 2089507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2089518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2089521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089553 */     // MIs[0] round
     /* 2089553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089556 */     // MIs[0] policy
     /* 2089556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2089569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089595 */     // GIR_Coverage, 16411,
     /* 2089595 */     GIR_EraseRootFromParent_Done,
     /* 2089596 */   // Label 27707: @2089596
     /* 2089596 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2089690), // Rule ID 16414 //
     /* 2089601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089647 */     // MIs[0] round
     /* 2089647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089650 */     // MIs[0] policy
     /* 2089650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089660 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2089663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089689 */     // GIR_Coverage, 16414,
     /* 2089689 */     GIR_EraseRootFromParent_Done,
     /* 2089690 */   // Label 27708: @2089690
     /* 2089690 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2089784), // Rule ID 16415 //
     /* 2089695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089741 */     // MIs[0] round
     /* 2089741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089744 */     // MIs[0] policy
     /* 2089744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2089757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089783 */     // GIR_Coverage, 16415,
     /* 2089783 */     GIR_EraseRootFromParent_Done,
     /* 2089784 */   // Label 27709: @2089784
     /* 2089784 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2089878), // Rule ID 16418 //
     /* 2089789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089835 */     // MIs[0] round
     /* 2089835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089838 */     // MIs[0] policy
     /* 2089838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2089851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089877 */     // GIR_Coverage, 16418,
     /* 2089877 */     GIR_EraseRootFromParent_Done,
     /* 2089878 */   // Label 27710: @2089878
     /* 2089878 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2089972), // Rule ID 16419 //
     /* 2089883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089929 */     // MIs[0] round
     /* 2089929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089932 */     // MIs[0] policy
     /* 2089932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2089945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089971 */     // GIR_Coverage, 16419,
     /* 2089971 */     GIR_EraseRootFromParent_Done,
     /* 2089972 */   // Label 27711: @2089972
     /* 2089972 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2090066), // Rule ID 16422 //
     /* 2089977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090023 */     // MIs[0] round
     /* 2090023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090026 */     // MIs[0] policy
     /* 2090026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2090039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090065 */     // GIR_Coverage, 16422,
     /* 2090065 */     GIR_EraseRootFromParent_Done,
     /* 2090066 */   // Label 27712: @2090066
     /* 2090066 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2090160), // Rule ID 16423 //
     /* 2090071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090117 */     // MIs[0] round
     /* 2090117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090120 */     // MIs[0] policy
     /* 2090120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2090133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090159 */     // GIR_Coverage, 16423,
     /* 2090159 */     GIR_EraseRootFromParent_Done,
     /* 2090160 */   // Label 27713: @2090160
     /* 2090160 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2090254), // Rule ID 16426 //
     /* 2090165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090211 */     // MIs[0] round
     /* 2090211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090214 */     // MIs[0] policy
     /* 2090214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2090227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090253 */     // GIR_Coverage, 16426,
     /* 2090253 */     GIR_EraseRootFromParent_Done,
     /* 2090254 */   // Label 27714: @2090254
     /* 2090254 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2090348), // Rule ID 16427 //
     /* 2090259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090305 */     // MIs[0] round
     /* 2090305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090308 */     // MIs[0] policy
     /* 2090308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2090321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090347 */     // GIR_Coverage, 16427,
     /* 2090347 */     GIR_EraseRootFromParent_Done,
     /* 2090348 */   // Label 27715: @2090348
     /* 2090348 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2090442), // Rule ID 16430 //
     /* 2090353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090399 */     // MIs[0] round
     /* 2090399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090402 */     // MIs[0] policy
     /* 2090402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2090415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090441 */     // GIR_Coverage, 16430,
     /* 2090441 */     GIR_EraseRootFromParent_Done,
     /* 2090442 */   // Label 27716: @2090442
     /* 2090442 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2090536), // Rule ID 16431 //
     /* 2090447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090493 */     // MIs[0] round
     /* 2090493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090496 */     // MIs[0] policy
     /* 2090496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2090509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090535 */     // GIR_Coverage, 16431,
     /* 2090535 */     GIR_EraseRootFromParent_Done,
     /* 2090536 */   // Label 27717: @2090536
     /* 2090536 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2090630), // Rule ID 16434 //
     /* 2090541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090587 */     // MIs[0] round
     /* 2090587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090590 */     // MIs[0] policy
     /* 2090590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2090603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090629 */     // GIR_Coverage, 16434,
     /* 2090629 */     GIR_EraseRootFromParent_Done,
     /* 2090630 */   // Label 27718: @2090630
     /* 2090630 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2090724), // Rule ID 16435 //
     /* 2090635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090681 */     // MIs[0] round
     /* 2090681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090684 */     // MIs[0] policy
     /* 2090684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2090697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090723 */     // GIR_Coverage, 16435,
     /* 2090723 */     GIR_EraseRootFromParent_Done,
     /* 2090724 */   // Label 27719: @2090724
     /* 2090724 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2090818), // Rule ID 16438 //
     /* 2090729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090775 */     // MIs[0] round
     /* 2090775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090778 */     // MIs[0] policy
     /* 2090778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2090791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090817 */     // GIR_Coverage, 16438,
     /* 2090817 */     GIR_EraseRootFromParent_Done,
     /* 2090818 */   // Label 27720: @2090818
     /* 2090818 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2090912), // Rule ID 16439 //
     /* 2090823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090869 */     // MIs[0] round
     /* 2090869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090872 */     // MIs[0] policy
     /* 2090872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2090885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090911 */     // GIR_Coverage, 16439,
     /* 2090911 */     GIR_EraseRootFromParent_Done,
     /* 2090912 */   // Label 27721: @2090912
     /* 2090912 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2091006), // Rule ID 16442 //
     /* 2090917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090963 */     // MIs[0] round
     /* 2090963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090966 */     // MIs[0] policy
     /* 2090966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2090979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091005 */     // GIR_Coverage, 16442,
     /* 2091005 */     GIR_EraseRootFromParent_Done,
     /* 2091006 */   // Label 27722: @2091006
     /* 2091006 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2091100), // Rule ID 16443 //
     /* 2091011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091057 */     // MIs[0] round
     /* 2091057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091060 */     // MIs[0] policy
     /* 2091060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2091073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091099 */     // GIR_Coverage, 16443,
     /* 2091099 */     GIR_EraseRootFromParent_Done,
     /* 2091100 */   // Label 27723: @2091100
     /* 2091100 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2091194), // Rule ID 16446 //
     /* 2091105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2091108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091151 */     // MIs[0] round
     /* 2091151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091154 */     // MIs[0] policy
     /* 2091154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2091167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091193 */     // GIR_Coverage, 16446,
     /* 2091193 */     GIR_EraseRootFromParent_Done,
     /* 2091194 */   // Label 27724: @2091194
     /* 2091194 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2091288), // Rule ID 16447 //
     /* 2091199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091245 */     // MIs[0] round
     /* 2091245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091248 */     // MIs[0] policy
     /* 2091248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2091261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091287 */     // GIR_Coverage, 16447,
     /* 2091287 */     GIR_EraseRootFromParent_Done,
     /* 2091288 */   // Label 27725: @2091288
     /* 2091288 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2091382), // Rule ID 16510 //
     /* 2091293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2091304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2091307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2091313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091339 */     // MIs[0] round
     /* 2091339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091342 */     // MIs[0] policy
     /* 2091342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091352 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2091355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091381 */     // GIR_Coverage, 16510,
     /* 2091381 */     GIR_EraseRootFromParent_Done,
     /* 2091382 */   // Label 27726: @2091382
     /* 2091382 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2091476), // Rule ID 16511 //
     /* 2091387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2091398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2091401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2091407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091433 */     // MIs[0] round
     /* 2091433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091436 */     // MIs[0] policy
     /* 2091436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2091449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091475 */     // GIR_Coverage, 16511,
     /* 2091475 */     GIR_EraseRootFromParent_Done,
     /* 2091476 */   // Label 27727: @2091476
     /* 2091476 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2091570), // Rule ID 16514 //
     /* 2091481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2091492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2091495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2091501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091527 */     // MIs[0] round
     /* 2091527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091530 */     // MIs[0] policy
     /* 2091530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091540 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2091543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091569 */     // GIR_Coverage, 16514,
     /* 2091569 */     GIR_EraseRootFromParent_Done,
     /* 2091570 */   // Label 27728: @2091570
     /* 2091570 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2091664), // Rule ID 16515 //
     /* 2091575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2091586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2091589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2091595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091621 */     // MIs[0] round
     /* 2091621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091624 */     // MIs[0] policy
     /* 2091624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2091637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091663 */     // GIR_Coverage, 16515,
     /* 2091663 */     GIR_EraseRootFromParent_Done,
     /* 2091664 */   // Label 27729: @2091664
     /* 2091664 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2091758), // Rule ID 16518 //
     /* 2091669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2091689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091715 */     // MIs[0] round
     /* 2091715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091718 */     // MIs[0] policy
     /* 2091718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2091731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091757 */     // GIR_Coverage, 16518,
     /* 2091757 */     GIR_EraseRootFromParent_Done,
     /* 2091758 */   // Label 27730: @2091758
     /* 2091758 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2091852), // Rule ID 16519 //
     /* 2091763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2091783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091809 */     // MIs[0] round
     /* 2091809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091812 */     // MIs[0] policy
     /* 2091812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2091825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091851 */     // GIR_Coverage, 16519,
     /* 2091851 */     GIR_EraseRootFromParent_Done,
     /* 2091852 */   // Label 27731: @2091852
     /* 2091852 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2091946), // Rule ID 16522 //
     /* 2091857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2091868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2091871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2091877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091903 */     // MIs[0] round
     /* 2091903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091906 */     // MIs[0] policy
     /* 2091906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2091919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091945 */     // GIR_Coverage, 16522,
     /* 2091945 */     GIR_EraseRootFromParent_Done,
     /* 2091946 */   // Label 27732: @2091946
     /* 2091946 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2092040), // Rule ID 16523 //
     /* 2091951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2091962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2091965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2091971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091997 */     // MIs[0] round
     /* 2091997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092000 */     // MIs[0] policy
     /* 2092000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2092013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092039 */     // GIR_Coverage, 16523,
     /* 2092039 */     GIR_EraseRootFromParent_Done,
     /* 2092040 */   // Label 27733: @2092040
     /* 2092040 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2092134), // Rule ID 16526 //
     /* 2092045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2092065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092091 */     // MIs[0] round
     /* 2092091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092094 */     // MIs[0] policy
     /* 2092094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2092107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092133 */     // GIR_Coverage, 16526,
     /* 2092133 */     GIR_EraseRootFromParent_Done,
     /* 2092134 */   // Label 27734: @2092134
     /* 2092134 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2092228), // Rule ID 16527 //
     /* 2092139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2092159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092185 */     // MIs[0] round
     /* 2092185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092188 */     // MIs[0] policy
     /* 2092188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2092201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092227 */     // GIR_Coverage, 16527,
     /* 2092227 */     GIR_EraseRootFromParent_Done,
     /* 2092228 */   // Label 27735: @2092228
     /* 2092228 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2092322), // Rule ID 16530 //
     /* 2092233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2092244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2092247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2092253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092279 */     // MIs[0] round
     /* 2092279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092282 */     // MIs[0] policy
     /* 2092282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2092295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092321 */     // GIR_Coverage, 16530,
     /* 2092321 */     GIR_EraseRootFromParent_Done,
     /* 2092322 */   // Label 27736: @2092322
     /* 2092322 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2092416), // Rule ID 16531 //
     /* 2092327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2092338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2092341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2092347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092373 */     // MIs[0] round
     /* 2092373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092376 */     // MIs[0] policy
     /* 2092376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2092389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092415 */     // GIR_Coverage, 16531,
     /* 2092415 */     GIR_EraseRootFromParent_Done,
     /* 2092416 */   // Label 27737: @2092416
     /* 2092416 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2092510), // Rule ID 16534 //
     /* 2092421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2092432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2092435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2092441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092467 */     // MIs[0] round
     /* 2092467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092470 */     // MIs[0] policy
     /* 2092470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2092483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092509 */     // GIR_Coverage, 16534,
     /* 2092509 */     GIR_EraseRootFromParent_Done,
     /* 2092510 */   // Label 27738: @2092510
     /* 2092510 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2092604), // Rule ID 16535 //
     /* 2092515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2092526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2092529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2092535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092561 */     // MIs[0] round
     /* 2092561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092564 */     // MIs[0] policy
     /* 2092564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2092577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092603 */     // GIR_Coverage, 16535,
     /* 2092603 */     GIR_EraseRootFromParent_Done,
     /* 2092604 */   // Label 27739: @2092604
     /* 2092604 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2092698), // Rule ID 16538 //
     /* 2092609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2092629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092655 */     // MIs[0] round
     /* 2092655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092658 */     // MIs[0] policy
     /* 2092658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2092671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092697 */     // GIR_Coverage, 16538,
     /* 2092697 */     GIR_EraseRootFromParent_Done,
     /* 2092698 */   // Label 27740: @2092698
     /* 2092698 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2092792), // Rule ID 16539 //
     /* 2092703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2092723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092749 */     // MIs[0] round
     /* 2092749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092752 */     // MIs[0] policy
     /* 2092752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092762 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2092765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092791 */     // GIR_Coverage, 16539,
     /* 2092791 */     GIR_EraseRootFromParent_Done,
     /* 2092792 */   // Label 27741: @2092792
     /* 2092792 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2092886), // Rule ID 16542 //
     /* 2092797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2092817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092843 */     // MIs[0] round
     /* 2092843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092846 */     // MIs[0] policy
     /* 2092846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2092859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092885 */     // GIR_Coverage, 16542,
     /* 2092885 */     GIR_EraseRootFromParent_Done,
     /* 2092886 */   // Label 27742: @2092886
     /* 2092886 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2092980), // Rule ID 16543 //
     /* 2092891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2092911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092937 */     // MIs[0] round
     /* 2092937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092940 */     // MIs[0] policy
     /* 2092940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2092953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092979 */     // GIR_Coverage, 16543,
     /* 2092979 */     GIR_EraseRootFromParent_Done,
     /* 2092980 */   // Label 27743: @2092980
     /* 2092980 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2093074), // Rule ID 16546 //
     /* 2092985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2092996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2092999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2093005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093031 */     // MIs[0] round
     /* 2093031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093034 */     // MIs[0] policy
     /* 2093034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2093047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093073 */     // GIR_Coverage, 16546,
     /* 2093073 */     GIR_EraseRootFromParent_Done,
     /* 2093074 */   // Label 27744: @2093074
     /* 2093074 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2093168), // Rule ID 16547 //
     /* 2093079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2093099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093125 */     // MIs[0] round
     /* 2093125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093128 */     // MIs[0] policy
     /* 2093128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2093141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093167 */     // GIR_Coverage, 16547,
     /* 2093167 */     GIR_EraseRootFromParent_Done,
     /* 2093168 */   // Label 27745: @2093168
     /* 2093168 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2093262), // Rule ID 16550 //
     /* 2093173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2093193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093219 */     // MIs[0] round
     /* 2093219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093222 */     // MIs[0] policy
     /* 2093222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2093235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093261 */     // GIR_Coverage, 16550,
     /* 2093261 */     GIR_EraseRootFromParent_Done,
     /* 2093262 */   // Label 27746: @2093262
     /* 2093262 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2093356), // Rule ID 16551 //
     /* 2093267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2093287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093313 */     // MIs[0] round
     /* 2093313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093316 */     // MIs[0] policy
     /* 2093316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2093329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093355 */     // GIR_Coverage, 16551,
     /* 2093355 */     GIR_EraseRootFromParent_Done,
     /* 2093356 */   // Label 27747: @2093356
     /* 2093356 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2093450), // Rule ID 16554 //
     /* 2093361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2093381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093407 */     // MIs[0] round
     /* 2093407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093410 */     // MIs[0] policy
     /* 2093410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2093423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093449 */     // GIR_Coverage, 16554,
     /* 2093449 */     GIR_EraseRootFromParent_Done,
     /* 2093450 */   // Label 27748: @2093450
     /* 2093450 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2093544), // Rule ID 16555 //
     /* 2093455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2093475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093501 */     // MIs[0] round
     /* 2093501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093504 */     // MIs[0] policy
     /* 2093504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2093517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093543 */     // GIR_Coverage, 16555,
     /* 2093543 */     GIR_EraseRootFromParent_Done,
     /* 2093544 */   // Label 27749: @2093544
     /* 2093544 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2093638), // Rule ID 16558 //
     /* 2093549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2093566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2093569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093595 */     // MIs[0] round
     /* 2093595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093598 */     // MIs[0] policy
     /* 2093598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2093611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093637 */     // GIR_Coverage, 16558,
     /* 2093637 */     GIR_EraseRootFromParent_Done,
     /* 2093638 */   // Label 27750: @2093638
     /* 2093638 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2093732), // Rule ID 16559 //
     /* 2093643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2093660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2093663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093689 */     // MIs[0] round
     /* 2093689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093692 */     // MIs[0] policy
     /* 2093692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2093705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093731 */     // GIR_Coverage, 16559,
     /* 2093731 */     GIR_EraseRootFromParent_Done,
     /* 2093732 */   // Label 27751: @2093732
     /* 2093732 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2093826), // Rule ID 16562 //
     /* 2093737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2093757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093783 */     // MIs[0] round
     /* 2093783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093786 */     // MIs[0] policy
     /* 2093786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2093799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093825 */     // GIR_Coverage, 16562,
     /* 2093825 */     GIR_EraseRootFromParent_Done,
     /* 2093826 */   // Label 27752: @2093826
     /* 2093826 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2093920), // Rule ID 16563 //
     /* 2093831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2093851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093877 */     // MIs[0] round
     /* 2093877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093880 */     // MIs[0] policy
     /* 2093880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2093893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093919 */     // GIR_Coverage, 16563,
     /* 2093919 */     GIR_EraseRootFromParent_Done,
     /* 2093920 */   // Label 27753: @2093920
     /* 2093920 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2094014), // Rule ID 16566 //
     /* 2093925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2093936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2093939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2093945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093971 */     // MIs[0] round
     /* 2093971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093974 */     // MIs[0] policy
     /* 2093974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2093987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094013 */     // GIR_Coverage, 16566,
     /* 2094013 */     GIR_EraseRootFromParent_Done,
     /* 2094014 */   // Label 27754: @2094014
     /* 2094014 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2094108), // Rule ID 16567 //
     /* 2094019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2094022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2094039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094065 */     // MIs[0] round
     /* 2094065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094068 */     // MIs[0] policy
     /* 2094068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2094081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094107 */     // GIR_Coverage, 16567,
     /* 2094107 */     GIR_EraseRootFromParent_Done,
     /* 2094108 */   // Label 27755: @2094108
     /* 2094108 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2094202), // Rule ID 16570 //
     /* 2094113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2094124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2094127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094159 */     // MIs[0] round
     /* 2094159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094162 */     // MIs[0] policy
     /* 2094162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2094175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094201 */     // GIR_Coverage, 16570,
     /* 2094201 */     GIR_EraseRootFromParent_Done,
     /* 2094202 */   // Label 27756: @2094202
     /* 2094202 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2094296), // Rule ID 16571 //
     /* 2094207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2094218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2094221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094253 */     // MIs[0] round
     /* 2094253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094256 */     // MIs[0] policy
     /* 2094256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2094269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094295 */     // GIR_Coverage, 16571,
     /* 2094295 */     GIR_EraseRootFromParent_Done,
     /* 2094296 */   // Label 27757: @2094296
     /* 2094296 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2094390), // Rule ID 16574 //
     /* 2094301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2094312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2094315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2094318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094347 */     // MIs[0] round
     /* 2094347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094350 */     // MIs[0] policy
     /* 2094350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094360 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2094363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094389 */     // GIR_Coverage, 16574,
     /* 2094389 */     GIR_EraseRootFromParent_Done,
     /* 2094390 */   // Label 27758: @2094390
     /* 2094390 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2094484), // Rule ID 16575 //
     /* 2094395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2094406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2094409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2094412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094441 */     // MIs[0] round
     /* 2094441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094444 */     // MIs[0] policy
     /* 2094444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2094457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094483 */     // GIR_Coverage, 16575,
     /* 2094483 */     GIR_EraseRootFromParent_Done,
     /* 2094484 */   // Label 27759: @2094484
     /* 2094484 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2094578), // Rule ID 16578 //
     /* 2094489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2094500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2094503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2094506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094535 */     // MIs[0] round
     /* 2094535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094538 */     // MIs[0] policy
     /* 2094538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094548 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2094551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094577 */     // GIR_Coverage, 16578,
     /* 2094577 */     GIR_EraseRootFromParent_Done,
     /* 2094578 */   // Label 27760: @2094578
     /* 2094578 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2094672), // Rule ID 16579 //
     /* 2094583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2094594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2094597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2094600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094629 */     // MIs[0] round
     /* 2094629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094632 */     // MIs[0] policy
     /* 2094632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2094645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094671 */     // GIR_Coverage, 16579,
     /* 2094671 */     GIR_EraseRootFromParent_Done,
     /* 2094672 */   // Label 27761: @2094672
     /* 2094672 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2094766), // Rule ID 16582 //
     /* 2094677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094723 */     // MIs[0] round
     /* 2094723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094726 */     // MIs[0] policy
     /* 2094726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2094739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094765 */     // GIR_Coverage, 16582,
     /* 2094765 */     GIR_EraseRootFromParent_Done,
     /* 2094766 */   // Label 27762: @2094766
     /* 2094766 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2094860), // Rule ID 16583 //
     /* 2094771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094817 */     // MIs[0] round
     /* 2094817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094820 */     // MIs[0] policy
     /* 2094820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2094833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094859 */     // GIR_Coverage, 16583,
     /* 2094859 */     GIR_EraseRootFromParent_Done,
     /* 2094860 */   // Label 27763: @2094860
     /* 2094860 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2094954), // Rule ID 16586 //
     /* 2094865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094911 */     // MIs[0] round
     /* 2094911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094914 */     // MIs[0] policy
     /* 2094914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2094927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094953 */     // GIR_Coverage, 16586,
     /* 2094953 */     GIR_EraseRootFromParent_Done,
     /* 2094954 */   // Label 27764: @2094954
     /* 2094954 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2095048), // Rule ID 16587 //
     /* 2094959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095005 */     // MIs[0] round
     /* 2095005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095008 */     // MIs[0] policy
     /* 2095008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2095021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095047 */     // GIR_Coverage, 16587,
     /* 2095047 */     GIR_EraseRootFromParent_Done,
     /* 2095048 */   // Label 27765: @2095048
     /* 2095048 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2095142), // Rule ID 16590 //
     /* 2095053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2095064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2095067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2095070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2095076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095099 */     // MIs[0] round
     /* 2095099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095102 */     // MIs[0] policy
     /* 2095102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2095115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095141 */     // GIR_Coverage, 16590,
     /* 2095141 */     GIR_EraseRootFromParent_Done,
     /* 2095142 */   // Label 27766: @2095142
     /* 2095142 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2095236), // Rule ID 16591 //
     /* 2095147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2095158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2095161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2095164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2095170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095193 */     // MIs[0] round
     /* 2095193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095196 */     // MIs[0] policy
     /* 2095196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2095209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095235 */     // GIR_Coverage, 16591,
     /* 2095235 */     GIR_EraseRootFromParent_Done,
     /* 2095236 */   // Label 27767: @2095236
     /* 2095236 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2095330), // Rule ID 16594 //
     /* 2095241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095287 */     // MIs[0] round
     /* 2095287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095290 */     // MIs[0] policy
     /* 2095290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2095303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095329 */     // GIR_Coverage, 16594,
     /* 2095329 */     GIR_EraseRootFromParent_Done,
     /* 2095330 */   // Label 27768: @2095330
     /* 2095330 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2095424), // Rule ID 16595 //
     /* 2095335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095381 */     // MIs[0] round
     /* 2095381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095384 */     // MIs[0] policy
     /* 2095384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2095397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095423 */     // GIR_Coverage, 16595,
     /* 2095423 */     GIR_EraseRootFromParent_Done,
     /* 2095424 */   // Label 27769: @2095424
     /* 2095424 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2095518), // Rule ID 16598 //
     /* 2095429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095475 */     // MIs[0] round
     /* 2095475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095478 */     // MIs[0] policy
     /* 2095478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095488 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2095491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095517 */     // GIR_Coverage, 16598,
     /* 2095517 */     GIR_EraseRootFromParent_Done,
     /* 2095518 */   // Label 27770: @2095518
     /* 2095518 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2095612), // Rule ID 16599 //
     /* 2095523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095569 */     // MIs[0] round
     /* 2095569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095572 */     // MIs[0] policy
     /* 2095572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095582 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2095585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095611 */     // GIR_Coverage, 16599,
     /* 2095611 */     GIR_EraseRootFromParent_Done,
     /* 2095612 */   // Label 27771: @2095612
     /* 2095612 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2095706), // Rule ID 16602 //
     /* 2095617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095663 */     // MIs[0] round
     /* 2095663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095666 */     // MIs[0] policy
     /* 2095666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2095679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095705 */     // GIR_Coverage, 16602,
     /* 2095705 */     GIR_EraseRootFromParent_Done,
     /* 2095706 */   // Label 27772: @2095706
     /* 2095706 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2095800), // Rule ID 16603 //
     /* 2095711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095757 */     // MIs[0] round
     /* 2095757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095760 */     // MIs[0] policy
     /* 2095760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2095773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095799 */     // GIR_Coverage, 16603,
     /* 2095799 */     GIR_EraseRootFromParent_Done,
     /* 2095800 */   // Label 27773: @2095800
     /* 2095800 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2095894), // Rule ID 16606 //
     /* 2095805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095851 */     // MIs[0] round
     /* 2095851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095854 */     // MIs[0] policy
     /* 2095854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2095867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095893 */     // GIR_Coverage, 16606,
     /* 2095893 */     GIR_EraseRootFromParent_Done,
     /* 2095894 */   // Label 27774: @2095894
     /* 2095894 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2095988), // Rule ID 16607 //
     /* 2095899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2095907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095945 */     // MIs[0] round
     /* 2095945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095948 */     // MIs[0] policy
     /* 2095948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2095961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095987 */     // GIR_Coverage, 16607,
     /* 2095987 */     GIR_EraseRootFromParent_Done,
     /* 2095988 */   // Label 27775: @2095988
     /* 2095988 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2096082), // Rule ID 16610 //
     /* 2095993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096039 */     // MIs[0] round
     /* 2096039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096042 */     // MIs[0] policy
     /* 2096042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2096055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096081 */     // GIR_Coverage, 16610,
     /* 2096081 */     GIR_EraseRootFromParent_Done,
     /* 2096082 */   // Label 27776: @2096082
     /* 2096082 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2096176), // Rule ID 16611 //
     /* 2096087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096133 */     // MIs[0] round
     /* 2096133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096136 */     // MIs[0] policy
     /* 2096136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2096149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096175 */     // GIR_Coverage, 16611,
     /* 2096175 */     GIR_EraseRootFromParent_Done,
     /* 2096176 */   // Label 27777: @2096176
     /* 2096176 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2096270), // Rule ID 16614 //
     /* 2096181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096227 */     // MIs[0] round
     /* 2096227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096230 */     // MIs[0] policy
     /* 2096230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2096243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096269 */     // GIR_Coverage, 16614,
     /* 2096269 */     GIR_EraseRootFromParent_Done,
     /* 2096270 */   // Label 27778: @2096270
     /* 2096270 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2096364), // Rule ID 16615 //
     /* 2096275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096321 */     // MIs[0] round
     /* 2096321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096324 */     // MIs[0] policy
     /* 2096324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2096337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096363 */     // GIR_Coverage, 16615,
     /* 2096363 */     GIR_EraseRootFromParent_Done,
     /* 2096364 */   // Label 27779: @2096364
     /* 2096364 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2096458), // Rule ID 16618 //
     /* 2096369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2096386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096415 */     // MIs[0] round
     /* 2096415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096418 */     // MIs[0] policy
     /* 2096418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2096431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096457 */     // GIR_Coverage, 16618,
     /* 2096457 */     GIR_EraseRootFromParent_Done,
     /* 2096458 */   // Label 27780: @2096458
     /* 2096458 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2096552), // Rule ID 16619 //
     /* 2096463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2096480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096509 */     // MIs[0] round
     /* 2096509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096512 */     // MIs[0] policy
     /* 2096512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2096525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096551 */     // GIR_Coverage, 16619,
     /* 2096551 */     GIR_EraseRootFromParent_Done,
     /* 2096552 */   // Label 27781: @2096552
     /* 2096552 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2096646), // Rule ID 16622 //
     /* 2096557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096603 */     // MIs[0] round
     /* 2096603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096606 */     // MIs[0] policy
     /* 2096606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2096619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096645 */     // GIR_Coverage, 16622,
     /* 2096645 */     GIR_EraseRootFromParent_Done,
     /* 2096646 */   // Label 27782: @2096646
     /* 2096646 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2096740), // Rule ID 16623 //
     /* 2096651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096697 */     // MIs[0] round
     /* 2096697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096700 */     // MIs[0] policy
     /* 2096700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2096713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096739 */     // GIR_Coverage, 16623,
     /* 2096739 */     GIR_EraseRootFromParent_Done,
     /* 2096740 */   // Label 27783: @2096740
     /* 2096740 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2096834), // Rule ID 16626 //
     /* 2096745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096791 */     // MIs[0] round
     /* 2096791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096794 */     // MIs[0] policy
     /* 2096794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2096807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096833 */     // GIR_Coverage, 16626,
     /* 2096833 */     GIR_EraseRootFromParent_Done,
     /* 2096834 */   // Label 27784: @2096834
     /* 2096834 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2096928), // Rule ID 16627 //
     /* 2096839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096885 */     // MIs[0] round
     /* 2096885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096888 */     // MIs[0] policy
     /* 2096888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2096901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096927 */     // GIR_Coverage, 16627,
     /* 2096927 */     GIR_EraseRootFromParent_Done,
     /* 2096928 */   // Label 27785: @2096928
     /* 2096928 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2097019), // Rule ID 16690 //
     /* 2096933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096979 */     // MIs[0] round
     /* 2096979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096982 */     // MIs[0] policy
     /* 2096982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096992 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2096995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097018 */     // GIR_Coverage, 16690,
     /* 2097018 */     GIR_EraseRootFromParent_Done,
     /* 2097019 */   // Label 27786: @2097019
     /* 2097019 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2097110), // Rule ID 16691 //
     /* 2097024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2097044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097070 */     // MIs[0] round
     /* 2097070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097073 */     // MIs[0] policy
     /* 2097073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097083 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2097086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097109 */     // GIR_Coverage, 16691,
     /* 2097109 */     GIR_EraseRootFromParent_Done,
     /* 2097110 */   // Label 27787: @2097110
     /* 2097110 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2097201), // Rule ID 16694 //
     /* 2097115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2097135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097161 */     // MIs[0] round
     /* 2097161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097164 */     // MIs[0] policy
     /* 2097164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097174 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2097177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097200 */     // GIR_Coverage, 16694,
     /* 2097200 */     GIR_EraseRootFromParent_Done,
     /* 2097201 */   // Label 27788: @2097201
     /* 2097201 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2097292), // Rule ID 16695 //
     /* 2097206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2097226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097252 */     // MIs[0] round
     /* 2097252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097255 */     // MIs[0] policy
     /* 2097255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097265 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2097268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097291 */     // GIR_Coverage, 16695,
     /* 2097291 */     GIR_EraseRootFromParent_Done,
     /* 2097292 */   // Label 27789: @2097292
     /* 2097292 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2097383), // Rule ID 16698 //
     /* 2097297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2097317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097343 */     // MIs[0] round
     /* 2097343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097346 */     // MIs[0] policy
     /* 2097346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2097359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097382 */     // GIR_Coverage, 16698,
     /* 2097382 */     GIR_EraseRootFromParent_Done,
     /* 2097383 */   // Label 27790: @2097383
     /* 2097383 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2097474), // Rule ID 16699 //
     /* 2097388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2097408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097434 */     // MIs[0] round
     /* 2097434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097437 */     // MIs[0] policy
     /* 2097437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097447 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2097450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097473 */     // GIR_Coverage, 16699,
     /* 2097473 */     GIR_EraseRootFromParent_Done,
     /* 2097474 */   // Label 27791: @2097474
     /* 2097474 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2097565), // Rule ID 16702 //
     /* 2097479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2097496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2097499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097525 */     // MIs[0] round
     /* 2097525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097528 */     // MIs[0] policy
     /* 2097528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097538 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2097541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097564 */     // GIR_Coverage, 16702,
     /* 2097564 */     GIR_EraseRootFromParent_Done,
     /* 2097565 */   // Label 27792: @2097565
     /* 2097565 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2097656), // Rule ID 16703 //
     /* 2097570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2097587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2097590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097616 */     // MIs[0] round
     /* 2097616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097619 */     // MIs[0] policy
     /* 2097619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097629 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2097632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097655 */     // GIR_Coverage, 16703,
     /* 2097655 */     GIR_EraseRootFromParent_Done,
     /* 2097656 */   // Label 27793: @2097656
     /* 2097656 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2097747), // Rule ID 16706 //
     /* 2097661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2097672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2097675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2097681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097707 */     // MIs[0] round
     /* 2097707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097710 */     // MIs[0] policy
     /* 2097710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2097723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097746 */     // GIR_Coverage, 16706,
     /* 2097746 */     GIR_EraseRootFromParent_Done,
     /* 2097747 */   // Label 27794: @2097747
     /* 2097747 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2097838), // Rule ID 16707 //
     /* 2097752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2097763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2097766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2097772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097798 */     // MIs[0] round
     /* 2097798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097801 */     // MIs[0] policy
     /* 2097801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097811 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2097814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097837 */     // GIR_Coverage, 16707,
     /* 2097837 */     GIR_EraseRootFromParent_Done,
     /* 2097838 */   // Label 27795: @2097838
     /* 2097838 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2097929), // Rule ID 16710 //
     /* 2097843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097889 */     // MIs[0] round
     /* 2097889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097892 */     // MIs[0] policy
     /* 2097892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2097905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097928 */     // GIR_Coverage, 16710,
     /* 2097928 */     GIR_EraseRootFromParent_Done,
     /* 2097929 */   // Label 27796: @2097929
     /* 2097929 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2098020), // Rule ID 16711 //
     /* 2097934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097980 */     // MIs[0] round
     /* 2097980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097983 */     // MIs[0] policy
     /* 2097983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097993 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2097996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098019 */     // GIR_Coverage, 16711,
     /* 2098019 */     GIR_EraseRootFromParent_Done,
     /* 2098020 */   // Label 27797: @2098020
     /* 2098020 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2098111), // Rule ID 16714 //
     /* 2098025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098071 */     // MIs[0] round
     /* 2098071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098074 */     // MIs[0] policy
     /* 2098074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098084 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2098087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098110 */     // GIR_Coverage, 16714,
     /* 2098110 */     GIR_EraseRootFromParent_Done,
     /* 2098111 */   // Label 27798: @2098111
     /* 2098111 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2098202), // Rule ID 16715 //
     /* 2098116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098162 */     // MIs[0] round
     /* 2098162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098165 */     // MIs[0] policy
     /* 2098165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098175 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2098178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098201 */     // GIR_Coverage, 16715,
     /* 2098201 */     GIR_EraseRootFromParent_Done,
     /* 2098202 */   // Label 27799: @2098202
     /* 2098202 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2098293), // Rule ID 16718 //
     /* 2098207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098253 */     // MIs[0] round
     /* 2098253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098256 */     // MIs[0] policy
     /* 2098256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098266 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2098269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098292 */     // GIR_Coverage, 16718,
     /* 2098292 */     GIR_EraseRootFromParent_Done,
     /* 2098293 */   // Label 27800: @2098293
     /* 2098293 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2098384), // Rule ID 16719 //
     /* 2098298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098344 */     // MIs[0] round
     /* 2098344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098347 */     // MIs[0] policy
     /* 2098347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098357 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2098360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098383 */     // GIR_Coverage, 16719,
     /* 2098383 */     GIR_EraseRootFromParent_Done,
     /* 2098384 */   // Label 27801: @2098384
     /* 2098384 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2098475), // Rule ID 16722 //
     /* 2098389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2098400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2098403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2098409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098435 */     // MIs[0] round
     /* 2098435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098438 */     // MIs[0] policy
     /* 2098438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098448 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2098451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098474 */     // GIR_Coverage, 16722,
     /* 2098474 */     GIR_EraseRootFromParent_Done,
     /* 2098475 */   // Label 27802: @2098475
     /* 2098475 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2098566), // Rule ID 16723 //
     /* 2098480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2098491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2098494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2098500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098526 */     // MIs[0] round
     /* 2098526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098529 */     // MIs[0] policy
     /* 2098529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098539 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2098542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098565 */     // GIR_Coverage, 16723,
     /* 2098565 */     GIR_EraseRootFromParent_Done,
     /* 2098566 */   // Label 27803: @2098566
     /* 2098566 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2098657), // Rule ID 16726 //
     /* 2098571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2098591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098617 */     // MIs[0] round
     /* 2098617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098620 */     // MIs[0] policy
     /* 2098620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098630 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2098633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098656 */     // GIR_Coverage, 16726,
     /* 2098656 */     GIR_EraseRootFromParent_Done,
     /* 2098657 */   // Label 27804: @2098657
     /* 2098657 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2098748), // Rule ID 16727 //
     /* 2098662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2098682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098708 */     // MIs[0] round
     /* 2098708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098711 */     // MIs[0] policy
     /* 2098711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2098724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098747 */     // GIR_Coverage, 16727,
     /* 2098747 */     GIR_EraseRootFromParent_Done,
     /* 2098748 */   // Label 27805: @2098748
     /* 2098748 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2098839), // Rule ID 16730 //
     /* 2098753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2098773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098799 */     // MIs[0] round
     /* 2098799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098802 */     // MIs[0] policy
     /* 2098802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098812 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2098815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098838 */     // GIR_Coverage, 16730,
     /* 2098838 */     GIR_EraseRootFromParent_Done,
     /* 2098839 */   // Label 27806: @2098839
     /* 2098839 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2098930), // Rule ID 16731 //
     /* 2098844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2098864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098890 */     // MIs[0] round
     /* 2098890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098893 */     // MIs[0] policy
     /* 2098893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098903 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2098906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098929 */     // GIR_Coverage, 16731,
     /* 2098929 */     GIR_EraseRootFromParent_Done,
     /* 2098930 */   // Label 27807: @2098930
     /* 2098930 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2099021), // Rule ID 16734 //
     /* 2098935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2098955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098981 */     // MIs[0] round
     /* 2098981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098984 */     // MIs[0] policy
     /* 2098984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098994 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2098997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099020 */     // GIR_Coverage, 16734,
     /* 2099020 */     GIR_EraseRootFromParent_Done,
     /* 2099021 */   // Label 27808: @2099021
     /* 2099021 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2099112), // Rule ID 16735 //
     /* 2099026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2099037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2099040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2099046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099072 */     // MIs[0] round
     /* 2099072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099075 */     // MIs[0] policy
     /* 2099075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099085 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2099088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099111 */     // GIR_Coverage, 16735,
     /* 2099111 */     GIR_EraseRootFromParent_Done,
     /* 2099112 */   // Label 27809: @2099112
     /* 2099112 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2099203), // Rule ID 16738 //
     /* 2099117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2099137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099163 */     // MIs[0] round
     /* 2099163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099166 */     // MIs[0] policy
     /* 2099166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2099179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099202 */     // GIR_Coverage, 16738,
     /* 2099202 */     GIR_EraseRootFromParent_Done,
     /* 2099203 */   // Label 27810: @2099203
     /* 2099203 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2099294), // Rule ID 16739 //
     /* 2099208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2099228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099254 */     // MIs[0] round
     /* 2099254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099257 */     // MIs[0] policy
     /* 2099257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099267 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2099270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099293 */     // GIR_Coverage, 16739,
     /* 2099293 */     GIR_EraseRootFromParent_Done,
     /* 2099294 */   // Label 27811: @2099294
     /* 2099294 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2099385), // Rule ID 16742 //
     /* 2099299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2099319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099345 */     // MIs[0] round
     /* 2099345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099348 */     // MIs[0] policy
     /* 2099348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099358 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2099361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099384 */     // GIR_Coverage, 16742,
     /* 2099384 */     GIR_EraseRootFromParent_Done,
     /* 2099385 */   // Label 27812: @2099385
     /* 2099385 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2099476), // Rule ID 16743 //
     /* 2099390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2099410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099436 */     // MIs[0] round
     /* 2099436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099439 */     // MIs[0] policy
     /* 2099439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099449 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2099452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099475 */     // GIR_Coverage, 16743,
     /* 2099475 */     GIR_EraseRootFromParent_Done,
     /* 2099476 */   // Label 27813: @2099476
     /* 2099476 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2099567), // Rule ID 16746 //
     /* 2099481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2099501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099527 */     // MIs[0] round
     /* 2099527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099530 */     // MIs[0] policy
     /* 2099530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099540 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2099543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099566 */     // GIR_Coverage, 16746,
     /* 2099566 */     GIR_EraseRootFromParent_Done,
     /* 2099567 */   // Label 27814: @2099567
     /* 2099567 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2099658), // Rule ID 16747 //
     /* 2099572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2099592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099618 */     // MIs[0] round
     /* 2099618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099621 */     // MIs[0] policy
     /* 2099621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099631 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2099634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099657 */     // GIR_Coverage, 16747,
     /* 2099657 */     GIR_EraseRootFromParent_Done,
     /* 2099658 */   // Label 27815: @2099658
     /* 2099658 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2099749), // Rule ID 16750 //
     /* 2099663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2099674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2099677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099709 */     // MIs[0] round
     /* 2099709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099712 */     // MIs[0] policy
     /* 2099712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099722 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2099725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099748 */     // GIR_Coverage, 16750,
     /* 2099748 */     GIR_EraseRootFromParent_Done,
     /* 2099749 */   // Label 27816: @2099749
     /* 2099749 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2099840), // Rule ID 16751 //
     /* 2099754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2099765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2099768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099800 */     // MIs[0] round
     /* 2099800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099803 */     // MIs[0] policy
     /* 2099803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099813 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2099816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099839 */     // GIR_Coverage, 16751,
     /* 2099839 */     GIR_EraseRootFromParent_Done,
     /* 2099840 */   // Label 27817: @2099840
     /* 2099840 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2099931), // Rule ID 16754 //
     /* 2099845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099891 */     // MIs[0] round
     /* 2099891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099894 */     // MIs[0] policy
     /* 2099894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099904 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2099907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099930 */     // GIR_Coverage, 16754,
     /* 2099930 */     GIR_EraseRootFromParent_Done,
     /* 2099931 */   // Label 27818: @2099931
     /* 2099931 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2100022), // Rule ID 16755 //
     /* 2099936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099982 */     // MIs[0] round
     /* 2099982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099985 */     // MIs[0] policy
     /* 2099985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099995 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2099998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100021 */     // GIR_Coverage, 16755,
     /* 2100021 */     GIR_EraseRootFromParent_Done,
     /* 2100022 */   // Label 27819: @2100022
     /* 2100022 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2100113), // Rule ID 16758 //
     /* 2100027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100073 */     // MIs[0] round
     /* 2100073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100076 */     // MIs[0] policy
     /* 2100076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100086 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2100089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100112 */     // GIR_Coverage, 16758,
     /* 2100112 */     GIR_EraseRootFromParent_Done,
     /* 2100113 */   // Label 27820: @2100113
     /* 2100113 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2100204), // Rule ID 16759 //
     /* 2100118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100164 */     // MIs[0] round
     /* 2100164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100167 */     // MIs[0] policy
     /* 2100167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2100180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100203 */     // GIR_Coverage, 16759,
     /* 2100203 */     GIR_EraseRootFromParent_Done,
     /* 2100204 */   // Label 27821: @2100204
     /* 2100204 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2100295), // Rule ID 16762 //
     /* 2100209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100255 */     // MIs[0] round
     /* 2100255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100258 */     // MIs[0] policy
     /* 2100258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100268 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2100271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100294 */     // GIR_Coverage, 16762,
     /* 2100294 */     GIR_EraseRootFromParent_Done,
     /* 2100295 */   // Label 27822: @2100295
     /* 2100295 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2100386), // Rule ID 16763 //
     /* 2100300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100346 */     // MIs[0] round
     /* 2100346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100349 */     // MIs[0] policy
     /* 2100349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100359 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2100362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100385 */     // GIR_Coverage, 16763,
     /* 2100385 */     GIR_EraseRootFromParent_Done,
     /* 2100386 */   // Label 27823: @2100386
     /* 2100386 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2100477), // Rule ID 16766 //
     /* 2100391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100437 */     // MIs[0] round
     /* 2100437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100440 */     // MIs[0] policy
     /* 2100440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100450 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2100453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100476 */     // GIR_Coverage, 16766,
     /* 2100476 */     GIR_EraseRootFromParent_Done,
     /* 2100477 */   // Label 27824: @2100477
     /* 2100477 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2100568), // Rule ID 16767 //
     /* 2100482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100528 */     // MIs[0] round
     /* 2100528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100531 */     // MIs[0] policy
     /* 2100531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100541 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2100544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100567 */     // GIR_Coverage, 16767,
     /* 2100567 */     GIR_EraseRootFromParent_Done,
     /* 2100568 */   // Label 27825: @2100568
     /* 2100568 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2100659), // Rule ID 16770 //
     /* 2100573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2100590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100619 */     // MIs[0] round
     /* 2100619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100622 */     // MIs[0] policy
     /* 2100622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100632 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2100635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100658 */     // GIR_Coverage, 16770,
     /* 2100658 */     GIR_EraseRootFromParent_Done,
     /* 2100659 */   // Label 27826: @2100659
     /* 2100659 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2100750), // Rule ID 16771 //
     /* 2100664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2100681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100710 */     // MIs[0] round
     /* 2100710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100713 */     // MIs[0] policy
     /* 2100713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100723 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2100726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100749 */     // GIR_Coverage, 16771,
     /* 2100749 */     GIR_EraseRootFromParent_Done,
     /* 2100750 */   // Label 27827: @2100750
     /* 2100750 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2100841), // Rule ID 16774 //
     /* 2100755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2100766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2100769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100801 */     // MIs[0] round
     /* 2100801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100804 */     // MIs[0] policy
     /* 2100804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2100817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100840 */     // GIR_Coverage, 16774,
     /* 2100840 */     GIR_EraseRootFromParent_Done,
     /* 2100841 */   // Label 27828: @2100841
     /* 2100841 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2100932), // Rule ID 16775 //
     /* 2100846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2100857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2100860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100892 */     // MIs[0] round
     /* 2100892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100895 */     // MIs[0] policy
     /* 2100895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100905 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2100908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100931 */     // GIR_Coverage, 16775,
     /* 2100931 */     GIR_EraseRootFromParent_Done,
     /* 2100932 */   // Label 27829: @2100932
     /* 2100932 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2101023), // Rule ID 16778 //
     /* 2100937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2100948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2100951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100983 */     // MIs[0] round
     /* 2100983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100986 */     // MIs[0] policy
     /* 2100986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2100999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101022 */     // GIR_Coverage, 16778,
     /* 2101022 */     GIR_EraseRootFromParent_Done,
     /* 2101023 */   // Label 27830: @2101023
     /* 2101023 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2101114), // Rule ID 16779 //
     /* 2101028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101074 */     // MIs[0] round
     /* 2101074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101077 */     // MIs[0] policy
     /* 2101077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101087 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2101090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101113 */     // GIR_Coverage, 16779,
     /* 2101113 */     GIR_EraseRootFromParent_Done,
     /* 2101114 */   // Label 27831: @2101114
     /* 2101114 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2101205), // Rule ID 16782 //
     /* 2101119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101165 */     // MIs[0] round
     /* 2101165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101168 */     // MIs[0] policy
     /* 2101168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101178 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2101181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101204 */     // GIR_Coverage, 16782,
     /* 2101204 */     GIR_EraseRootFromParent_Done,
     /* 2101205 */   // Label 27832: @2101205
     /* 2101205 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2101296), // Rule ID 16783 //
     /* 2101210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101256 */     // MIs[0] round
     /* 2101256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101259 */     // MIs[0] policy
     /* 2101259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101269 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2101272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101295 */     // GIR_Coverage, 16783,
     /* 2101295 */     GIR_EraseRootFromParent_Done,
     /* 2101296 */   // Label 27833: @2101296
     /* 2101296 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2101387), // Rule ID 16786 //
     /* 2101301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2101318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101347 */     // MIs[0] round
     /* 2101347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101350 */     // MIs[0] policy
     /* 2101350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101360 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2101363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101386 */     // GIR_Coverage, 16786,
     /* 2101386 */     GIR_EraseRootFromParent_Done,
     /* 2101387 */   // Label 27834: @2101387
     /* 2101387 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2101478), // Rule ID 16787 //
     /* 2101392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2101409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101438 */     // MIs[0] round
     /* 2101438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101441 */     // MIs[0] policy
     /* 2101441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101451 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2101454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101477 */     // GIR_Coverage, 16787,
     /* 2101477 */     GIR_EraseRootFromParent_Done,
     /* 2101478 */   // Label 27835: @2101478
     /* 2101478 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2101569), // Rule ID 16790 //
     /* 2101483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101529 */     // MIs[0] round
     /* 2101529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101532 */     // MIs[0] policy
     /* 2101532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2101545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101568 */     // GIR_Coverage, 16790,
     /* 2101568 */     GIR_EraseRootFromParent_Done,
     /* 2101569 */   // Label 27836: @2101569
     /* 2101569 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2101660), // Rule ID 16791 //
     /* 2101574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101620 */     // MIs[0] round
     /* 2101620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101623 */     // MIs[0] policy
     /* 2101623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101633 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2101636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101659 */     // GIR_Coverage, 16791,
     /* 2101659 */     GIR_EraseRootFromParent_Done,
     /* 2101660 */   // Label 27837: @2101660
     /* 2101660 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2101751), // Rule ID 16794 //
     /* 2101665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2101676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2101679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2101682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101711 */     // MIs[0] round
     /* 2101711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101714 */     // MIs[0] policy
     /* 2101714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101724 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2101727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101750 */     // GIR_Coverage, 16794,
     /* 2101750 */     GIR_EraseRootFromParent_Done,
     /* 2101751 */   // Label 27838: @2101751
     /* 2101751 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2101842), // Rule ID 16795 //
     /* 2101756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2101767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2101770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2101773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101802 */     // MIs[0] round
     /* 2101802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101805 */     // MIs[0] policy
     /* 2101805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101815 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2101818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101841 */     // GIR_Coverage, 16795,
     /* 2101841 */     GIR_EraseRootFromParent_Done,
     /* 2101842 */   // Label 27839: @2101842
     /* 2101842 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2101933), // Rule ID 16798 //
     /* 2101847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101893 */     // MIs[0] round
     /* 2101893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101896 */     // MIs[0] policy
     /* 2101896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101906 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2101909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101932 */     // GIR_Coverage, 16798,
     /* 2101932 */     GIR_EraseRootFromParent_Done,
     /* 2101933 */   // Label 27840: @2101933
     /* 2101933 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2102024), // Rule ID 16799 //
     /* 2101938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2101946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101984 */     // MIs[0] round
     /* 2101984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101987 */     // MIs[0] policy
     /* 2101987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101997 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2102000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102023 */     // GIR_Coverage, 16799,
     /* 2102023 */     GIR_EraseRootFromParent_Done,
     /* 2102024 */   // Label 27841: @2102024
     /* 2102024 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2102115), // Rule ID 16802 //
     /* 2102029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102075 */     // MIs[0] round
     /* 2102075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102078 */     // MIs[0] policy
     /* 2102078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102088 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2102091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102114 */     // GIR_Coverage, 16802,
     /* 2102114 */     GIR_EraseRootFromParent_Done,
     /* 2102115 */   // Label 27842: @2102115
     /* 2102115 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2102206), // Rule ID 16803 //
     /* 2102120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102166 */     // MIs[0] round
     /* 2102166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102169 */     // MIs[0] policy
     /* 2102169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102179 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2102182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102205 */     // GIR_Coverage, 16803,
     /* 2102205 */     GIR_EraseRootFromParent_Done,
     /* 2102206 */   // Label 27843: @2102206
     /* 2102206 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2102297), // Rule ID 16806 //
     /* 2102211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102257 */     // MIs[0] round
     /* 2102257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102260 */     // MIs[0] policy
     /* 2102260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102270 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2102273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102296 */     // GIR_Coverage, 16806,
     /* 2102296 */     GIR_EraseRootFromParent_Done,
     /* 2102297 */   // Label 27844: @2102297
     /* 2102297 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2102388), // Rule ID 16807 //
     /* 2102302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102348 */     // MIs[0] round
     /* 2102348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102351 */     // MIs[0] policy
     /* 2102351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102361 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2102364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102387 */     // GIR_Coverage, 16807,
     /* 2102387 */     GIR_EraseRootFromParent_Done,
     /* 2102388 */   // Label 27845: @2102388
     /* 2102388 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2102479), // Rule ID 16810 //
     /* 2102393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2102404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2102407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102439 */     // MIs[0] round
     /* 2102439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102442 */     // MIs[0] policy
     /* 2102442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2102455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102478 */     // GIR_Coverage, 16810,
     /* 2102478 */     GIR_EraseRootFromParent_Done,
     /* 2102479 */   // Label 27846: @2102479
     /* 2102479 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2102570), // Rule ID 16811 //
     /* 2102484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2102495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2102498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102530 */     // MIs[0] round
     /* 2102530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102533 */     // MIs[0] policy
     /* 2102533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102543 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2102546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102569 */     // GIR_Coverage, 16811,
     /* 2102569 */     GIR_EraseRootFromParent_Done,
     /* 2102570 */   // Label 27847: @2102570
     /* 2102570 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2102661), // Rule ID 16814 //
     /* 2102575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2102586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2102589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102621 */     // MIs[0] round
     /* 2102621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102624 */     // MIs[0] policy
     /* 2102624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102634 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2102637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102660 */     // GIR_Coverage, 16814,
     /* 2102660 */     GIR_EraseRootFromParent_Done,
     /* 2102661 */   // Label 27848: @2102661
     /* 2102661 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2102752), // Rule ID 16815 //
     /* 2102666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2102677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2102680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102712 */     // MIs[0] round
     /* 2102712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102715 */     // MIs[0] policy
     /* 2102715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102725 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2102728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102751 */     // GIR_Coverage, 16815,
     /* 2102751 */     GIR_EraseRootFromParent_Done,
     /* 2102752 */   // Label 27849: @2102752
     /* 2102752 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2102843), // Rule ID 16818 //
     /* 2102757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102803 */     // MIs[0] round
     /* 2102803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102806 */     // MIs[0] policy
     /* 2102806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2102819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102842 */     // GIR_Coverage, 16818,
     /* 2102842 */     GIR_EraseRootFromParent_Done,
     /* 2102843 */   // Label 27850: @2102843
     /* 2102843 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2102934), // Rule ID 16819 //
     /* 2102848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102894 */     // MIs[0] round
     /* 2102894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102897 */     // MIs[0] policy
     /* 2102897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102907 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2102910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102933 */     // GIR_Coverage, 16819,
     /* 2102933 */     GIR_EraseRootFromParent_Done,
     /* 2102934 */   // Label 27851: @2102934
     /* 2102934 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2103025), // Rule ID 16822 //
     /* 2102939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102985 */     // MIs[0] round
     /* 2102985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102988 */     // MIs[0] policy
     /* 2102988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102998 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2103001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103024 */     // GIR_Coverage, 16822,
     /* 2103024 */     GIR_EraseRootFromParent_Done,
     /* 2103025 */   // Label 27852: @2103025
     /* 2103025 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2103116), // Rule ID 16823 //
     /* 2103030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2103041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2103044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2103050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103076 */     // MIs[0] round
     /* 2103076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103079 */     // MIs[0] policy
     /* 2103079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103089 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2103092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103115 */     // GIR_Coverage, 16823,
     /* 2103115 */     GIR_EraseRootFromParent_Done,
     /* 2103116 */   // Label 27853: @2103116
     /* 2103116 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2103207), // Rule ID 16826 //
     /* 2103121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2103141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103167 */     // MIs[0] round
     /* 2103167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103170 */     // MIs[0] policy
     /* 2103170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2103183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103206 */     // GIR_Coverage, 16826,
     /* 2103206 */     GIR_EraseRootFromParent_Done,
     /* 2103207 */   // Label 27854: @2103207
     /* 2103207 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2103298), // Rule ID 16827 //
     /* 2103212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2103232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103258 */     // MIs[0] round
     /* 2103258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103261 */     // MIs[0] policy
     /* 2103261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2103274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103297 */     // GIR_Coverage, 16827,
     /* 2103297 */     GIR_EraseRootFromParent_Done,
     /* 2103298 */   // Label 27855: @2103298
     /* 2103298 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2103389), // Rule ID 16830 //
     /* 2103303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2103320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2103323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103349 */     // MIs[0] round
     /* 2103349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103352 */     // MIs[0] policy
     /* 2103352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103362 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2103365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103388 */     // GIR_Coverage, 16830,
     /* 2103388 */     GIR_EraseRootFromParent_Done,
     /* 2103389 */   // Label 27856: @2103389
     /* 2103389 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2103480), // Rule ID 16831 //
     /* 2103394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2103411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2103414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103440 */     // MIs[0] round
     /* 2103440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103443 */     // MIs[0] policy
     /* 2103443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2103456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103479 */     // GIR_Coverage, 16831,
     /* 2103479 */     GIR_EraseRootFromParent_Done,
     /* 2103480 */   // Label 27857: @2103480
     /* 2103480 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2103571), // Rule ID 16834 //
     /* 2103485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2103496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2103499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103531 */     // MIs[0] round
     /* 2103531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103534 */     // MIs[0] policy
     /* 2103534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103544 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2103547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103570 */     // GIR_Coverage, 16834,
     /* 2103570 */     GIR_EraseRootFromParent_Done,
     /* 2103571 */   // Label 27858: @2103571
     /* 2103571 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2103662), // Rule ID 16835 //
     /* 2103576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2103587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2103590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103622 */     // MIs[0] round
     /* 2103622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103625 */     // MIs[0] policy
     /* 2103625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103635 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2103638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103661 */     // GIR_Coverage, 16835,
     /* 2103661 */     GIR_EraseRootFromParent_Done,
     /* 2103662 */   // Label 27859: @2103662
     /* 2103662 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2103753), // Rule ID 16838 //
     /* 2103667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2103678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2103681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103713 */     // MIs[0] round
     /* 2103713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103716 */     // MIs[0] policy
     /* 2103716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103726 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2103729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103752 */     // GIR_Coverage, 16838,
     /* 2103752 */     GIR_EraseRootFromParent_Done,
     /* 2103753 */   // Label 27860: @2103753
     /* 2103753 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2103844), // Rule ID 16839 //
     /* 2103758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2103769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2103772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103804 */     // MIs[0] round
     /* 2103804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103807 */     // MIs[0] policy
     /* 2103807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103817 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2103820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103843 */     // GIR_Coverage, 16839,
     /* 2103843 */     GIR_EraseRootFromParent_Done,
     /* 2103844 */   // Label 27861: @2103844
     /* 2103844 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2103935), // Rule ID 16842 //
     /* 2103849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2103869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103895 */     // MIs[0] round
     /* 2103895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103898 */     // MIs[0] policy
     /* 2103898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2103911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103934 */     // GIR_Coverage, 16842,
     /* 2103934 */     GIR_EraseRootFromParent_Done,
     /* 2103935 */   // Label 27862: @2103935
     /* 2103935 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2104026), // Rule ID 16843 //
     /* 2103940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2103960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103986 */     // MIs[0] round
     /* 2103986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103989 */     // MIs[0] policy
     /* 2103989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103999 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2104002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104025 */     // GIR_Coverage, 16843,
     /* 2104025 */     GIR_EraseRootFromParent_Done,
     /* 2104026 */   // Label 27863: @2104026
     /* 2104026 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2104117), // Rule ID 16846 //
     /* 2104031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2104051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104077 */     // MIs[0] round
     /* 2104077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104080 */     // MIs[0] policy
     /* 2104080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2104093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104116 */     // GIR_Coverage, 16846,
     /* 2104116 */     GIR_EraseRootFromParent_Done,
     /* 2104117 */   // Label 27864: @2104117
     /* 2104117 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2104208), // Rule ID 16847 //
     /* 2104122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2104142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104168 */     // MIs[0] round
     /* 2104168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104171 */     // MIs[0] policy
     /* 2104171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104181 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2104184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104207 */     // GIR_Coverage, 16847,
     /* 2104207 */     GIR_EraseRootFromParent_Done,
     /* 2104208 */   // Label 27865: @2104208
     /* 2104208 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2104299), // Rule ID 16850 //
     /* 2104213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2104233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104259 */     // MIs[0] round
     /* 2104259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104262 */     // MIs[0] policy
     /* 2104262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104272 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2104275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104298 */     // GIR_Coverage, 16850,
     /* 2104298 */     GIR_EraseRootFromParent_Done,
     /* 2104299 */   // Label 27866: @2104299
     /* 2104299 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2104390), // Rule ID 16851 //
     /* 2104304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2104324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104350 */     // MIs[0] round
     /* 2104350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104353 */     // MIs[0] policy
     /* 2104353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104363 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2104366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104389 */     // GIR_Coverage, 16851,
     /* 2104389 */     GIR_EraseRootFromParent_Done,
     /* 2104390 */   // Label 27867: @2104390
     /* 2104390 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2104481), // Rule ID 16854 //
     /* 2104395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2104412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2104415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104441 */     // MIs[0] round
     /* 2104441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104444 */     // MIs[0] policy
     /* 2104444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104454 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2104457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104480 */     // GIR_Coverage, 16854,
     /* 2104480 */     GIR_EraseRootFromParent_Done,
     /* 2104481 */   // Label 27868: @2104481
     /* 2104481 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2104572), // Rule ID 16855 //
     /* 2104486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2104503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2104506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104532 */     // MIs[0] round
     /* 2104532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104535 */     // MIs[0] policy
     /* 2104535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104545 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2104548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104571 */     // GIR_Coverage, 16855,
     /* 2104571 */     GIR_EraseRootFromParent_Done,
     /* 2104572 */   // Label 27869: @2104572
     /* 2104572 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2104663), // Rule ID 16858 //
     /* 2104577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2104594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2104597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104623 */     // MIs[0] round
     /* 2104623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104626 */     // MIs[0] policy
     /* 2104626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104636 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2104639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104662 */     // GIR_Coverage, 16858,
     /* 2104662 */     GIR_EraseRootFromParent_Done,
     /* 2104663 */   // Label 27870: @2104663
     /* 2104663 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2104754), // Rule ID 16859 //
     /* 2104668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2104685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2104688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104714 */     // MIs[0] round
     /* 2104714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104717 */     // MIs[0] policy
     /* 2104717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104727 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2104730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104753 */     // GIR_Coverage, 16859,
     /* 2104753 */     GIR_EraseRootFromParent_Done,
     /* 2104754 */   // Label 27871: @2104754
     /* 2104754 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2104845), // Rule ID 16862 //
     /* 2104759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2104779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104805 */     // MIs[0] round
     /* 2104805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104808 */     // MIs[0] policy
     /* 2104808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104818 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2104821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104844 */     // GIR_Coverage, 16862,
     /* 2104844 */     GIR_EraseRootFromParent_Done,
     /* 2104845 */   // Label 27872: @2104845
     /* 2104845 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2104936), // Rule ID 16863 //
     /* 2104850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2104870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104896 */     // MIs[0] round
     /* 2104896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104899 */     // MIs[0] policy
     /* 2104899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104909 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2104912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104935 */     // GIR_Coverage, 16863,
     /* 2104935 */     GIR_EraseRootFromParent_Done,
     /* 2104936 */   // Label 27873: @2104936
     /* 2104936 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2105027), // Rule ID 16866 //
     /* 2104941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2104961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104987 */     // MIs[0] round
     /* 2104987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104990 */     // MIs[0] policy
     /* 2104990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105000 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2105003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105026 */     // GIR_Coverage, 16866,
     /* 2105026 */     GIR_EraseRootFromParent_Done,
     /* 2105027 */   // Label 27874: @2105027
     /* 2105027 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2105118), // Rule ID 16867 //
     /* 2105032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2105035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2105049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2105052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105078 */     // MIs[0] round
     /* 2105078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105081 */     // MIs[0] policy
     /* 2105081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105091 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2105094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105117 */     // GIR_Coverage, 16867,
     /* 2105117 */     GIR_EraseRootFromParent_Done,
     /* 2105118 */   // Label 27875: @2105118
     /* 2105118 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2105209), // Rule ID 16870 //
     /* 2105123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2105134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2105137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105169 */     // MIs[0] round
     /* 2105169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105172 */     // MIs[0] policy
     /* 2105172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105182 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2105185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105208 */     // GIR_Coverage, 16870,
     /* 2105208 */     GIR_EraseRootFromParent_Done,
     /* 2105209 */   // Label 27876: @2105209
     /* 2105209 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2105300), // Rule ID 16871 //
     /* 2105214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2105225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2105228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105260 */     // MIs[0] round
     /* 2105260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105263 */     // MIs[0] policy
     /* 2105263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105273 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2105276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105299 */     // GIR_Coverage, 16871,
     /* 2105299 */     GIR_EraseRootFromParent_Done,
     /* 2105300 */   // Label 27877: @2105300
     /* 2105300 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2105391), // Rule ID 16874 //
     /* 2105305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2105316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2105319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105351 */     // MIs[0] round
     /* 2105351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105354 */     // MIs[0] policy
     /* 2105354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105364 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2105367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105390 */     // GIR_Coverage, 16874,
     /* 2105390 */     GIR_EraseRootFromParent_Done,
     /* 2105391 */   // Label 27878: @2105391
     /* 2105391 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2105482), // Rule ID 16875 //
     /* 2105396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2105407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2105410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105442 */     // MIs[0] round
     /* 2105442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105445 */     // MIs[0] policy
     /* 2105445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105455 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2105458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105481 */     // GIR_Coverage, 16875,
     /* 2105481 */     GIR_EraseRootFromParent_Done,
     /* 2105482 */   // Label 27879: @2105482
     /* 2105482 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2105573), // Rule ID 16878 //
     /* 2105487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2105490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105533 */     // MIs[0] round
     /* 2105533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105536 */     // MIs[0] policy
     /* 2105536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105546 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2105549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105572 */     // GIR_Coverage, 16878,
     /* 2105572 */     GIR_EraseRootFromParent_Done,
     /* 2105573 */   // Label 27880: @2105573
     /* 2105573 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2105664), // Rule ID 16879 //
     /* 2105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2105581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105624 */     // MIs[0] round
     /* 2105624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105627 */     // MIs[0] policy
     /* 2105627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105637 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2105640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105663 */     // GIR_Coverage, 16879,
     /* 2105663 */     GIR_EraseRootFromParent_Done,
     /* 2105664 */   // Label 27881: @2105664
     /* 2105664 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2105755), // Rule ID 16882 //
     /* 2105669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105715 */     // MIs[0] round
     /* 2105715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105718 */     // MIs[0] policy
     /* 2105718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2105731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105754 */     // GIR_Coverage, 16882,
     /* 2105754 */     GIR_EraseRootFromParent_Done,
     /* 2105755 */   // Label 27882: @2105755
     /* 2105755 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2105846), // Rule ID 16883 //
     /* 2105760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105806 */     // MIs[0] round
     /* 2105806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105809 */     // MIs[0] policy
     /* 2105809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105819 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2105822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105845 */     // GIR_Coverage, 16883,
     /* 2105845 */     GIR_EraseRootFromParent_Done,
     /* 2105846 */   // Label 27883: @2105846
     /* 2105846 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2105937), // Rule ID 16886 //
     /* 2105851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2105854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105897 */     // MIs[0] round
     /* 2105897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105900 */     // MIs[0] policy
     /* 2105900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2105913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105936 */     // GIR_Coverage, 16886,
     /* 2105936 */     GIR_EraseRootFromParent_Done,
     /* 2105937 */   // Label 27884: @2105937
     /* 2105937 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2106028), // Rule ID 16887 //
     /* 2105942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2105945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105988 */     // MIs[0] round
     /* 2105988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105991 */     // MIs[0] policy
     /* 2105991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106001 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2106004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106027 */     // GIR_Coverage, 16887,
     /* 2106027 */     GIR_EraseRootFromParent_Done,
     /* 2106028 */   // Label 27885: @2106028
     /* 2106028 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2106119), // Rule ID 16890 //
     /* 2106033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2106036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2106075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106079 */     // MIs[0] round
     /* 2106079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106082 */     // MIs[0] policy
     /* 2106082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2106095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106118 */     // GIR_Coverage, 16890,
     /* 2106118 */     GIR_EraseRootFromParent_Done,
     /* 2106119 */   // Label 27886: @2106119
     /* 2106119 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2106210), // Rule ID 16891 //
     /* 2106124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2106127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2106166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106170 */     // MIs[0] round
     /* 2106170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106173 */     // MIs[0] policy
     /* 2106173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106183 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2106186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106209 */     // GIR_Coverage, 16891,
     /* 2106209 */     GIR_EraseRootFromParent_Done,
     /* 2106210 */   // Label 27887: @2106210
     /* 2106210 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2106301), // Rule ID 16894 //
     /* 2106215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106261 */     // MIs[0] round
     /* 2106261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106264 */     // MIs[0] policy
     /* 2106264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106274 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2106277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106300 */     // GIR_Coverage, 16894,
     /* 2106300 */     GIR_EraseRootFromParent_Done,
     /* 2106301 */   // Label 27888: @2106301
     /* 2106301 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2106392), // Rule ID 16895 //
     /* 2106306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106352 */     // MIs[0] round
     /* 2106352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106355 */     // MIs[0] policy
     /* 2106355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106365 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2106368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106391 */     // GIR_Coverage, 16895,
     /* 2106391 */     GIR_EraseRootFromParent_Done,
     /* 2106392 */   // Label 27889: @2106392
     /* 2106392 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2106483), // Rule ID 16898 //
     /* 2106397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2106408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2106411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106443 */     // MIs[0] round
     /* 2106443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106446 */     // MIs[0] policy
     /* 2106446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2106459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106482 */     // GIR_Coverage, 16898,
     /* 2106482 */     GIR_EraseRootFromParent_Done,
     /* 2106483 */   // Label 27890: @2106483
     /* 2106483 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2106574), // Rule ID 16899 //
     /* 2106488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2106499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2106502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106534 */     // MIs[0] round
     /* 2106534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106537 */     // MIs[0] policy
     /* 2106537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106547 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2106550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106573 */     // GIR_Coverage, 16899,
     /* 2106573 */     GIR_EraseRootFromParent_Done,
     /* 2106574 */   // Label 27891: @2106574
     /* 2106574 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2106665), // Rule ID 16902 //
     /* 2106579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2106590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2106593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2106596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106625 */     // MIs[0] round
     /* 2106625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106628 */     // MIs[0] policy
     /* 2106628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106638 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2106641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106664 */     // GIR_Coverage, 16902,
     /* 2106664 */     GIR_EraseRootFromParent_Done,
     /* 2106665 */   // Label 27892: @2106665
     /* 2106665 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2106756), // Rule ID 16903 //
     /* 2106670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2106681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2106684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2106687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106716 */     // MIs[0] round
     /* 2106716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106719 */     // MIs[0] policy
     /* 2106719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106729 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2106732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106755 */     // GIR_Coverage, 16903,
     /* 2106755 */     GIR_EraseRootFromParent_Done,
     /* 2106756 */   // Label 27893: @2106756
     /* 2106756 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2106847), // Rule ID 16906 //
     /* 2106761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106807 */     // MIs[0] round
     /* 2106807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106810 */     // MIs[0] policy
     /* 2106810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2106823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106846 */     // GIR_Coverage, 16906,
     /* 2106846 */     GIR_EraseRootFromParent_Done,
     /* 2106847 */   // Label 27894: @2106847
     /* 2106847 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2106938), // Rule ID 16907 //
     /* 2106852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106898 */     // MIs[0] round
     /* 2106898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106901 */     // MIs[0] policy
     /* 2106901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2106914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106937 */     // GIR_Coverage, 16907,
     /* 2106937 */     GIR_EraseRootFromParent_Done,
     /* 2106938 */   // Label 27895: @2106938
     /* 2106938 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2107029), // Rule ID 16910 //
     /* 2106943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2106951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106989 */     // MIs[0] round
     /* 2106989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106992 */     // MIs[0] policy
     /* 2106992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2107005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107028 */     // GIR_Coverage, 16910,
     /* 2107028 */     GIR_EraseRootFromParent_Done,
     /* 2107029 */   // Label 27896: @2107029
     /* 2107029 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2107120), // Rule ID 16911 //
     /* 2107034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107080 */     // MIs[0] round
     /* 2107080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107083 */     // MIs[0] policy
     /* 2107083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107093 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2107096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107119 */     // GIR_Coverage, 16911,
     /* 2107119 */     GIR_EraseRootFromParent_Done,
     /* 2107120 */   // Label 27897: @2107120
     /* 2107120 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2107211), // Rule ID 16914 //
     /* 2107125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107171 */     // MIs[0] round
     /* 2107171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107174 */     // MIs[0] policy
     /* 2107174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2107187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107210 */     // GIR_Coverage, 16914,
     /* 2107210 */     GIR_EraseRootFromParent_Done,
     /* 2107211 */   // Label 27898: @2107211
     /* 2107211 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2107302), // Rule ID 16915 //
     /* 2107216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107262 */     // MIs[0] round
     /* 2107262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107265 */     // MIs[0] policy
     /* 2107265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2107278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107301 */     // GIR_Coverage, 16915,
     /* 2107301 */     GIR_EraseRootFromParent_Done,
     /* 2107302 */   // Label 27899: @2107302
     /* 2107302 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2107393), // Rule ID 16918 //
     /* 2107307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107353 */     // MIs[0] round
     /* 2107353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107356 */     // MIs[0] policy
     /* 2107356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2107369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107392 */     // GIR_Coverage, 16918,
     /* 2107392 */     GIR_EraseRootFromParent_Done,
     /* 2107393 */   // Label 27900: @2107393
     /* 2107393 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2107484), // Rule ID 16919 //
     /* 2107398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107444 */     // MIs[0] round
     /* 2107444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107447 */     // MIs[0] policy
     /* 2107447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2107460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107483 */     // GIR_Coverage, 16919,
     /* 2107483 */     GIR_EraseRootFromParent_Done,
     /* 2107484 */   // Label 27901: @2107484
     /* 2107484 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2107575), // Rule ID 16922 //
     /* 2107489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107535 */     // MIs[0] round
     /* 2107535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107538 */     // MIs[0] policy
     /* 2107538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107548 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2107551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107574 */     // GIR_Coverage, 16922,
     /* 2107574 */     GIR_EraseRootFromParent_Done,
     /* 2107575 */   // Label 27902: @2107575
     /* 2107575 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2107666), // Rule ID 16923 //
     /* 2107580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107626 */     // MIs[0] round
     /* 2107626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107629 */     // MIs[0] policy
     /* 2107629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107639 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2107642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107665 */     // GIR_Coverage, 16923,
     /* 2107665 */     GIR_EraseRootFromParent_Done,
     /* 2107666 */   // Label 27903: @2107666
     /* 2107666 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2107757), // Rule ID 16926 //
     /* 2107671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107717 */     // MIs[0] round
     /* 2107717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107720 */     // MIs[0] policy
     /* 2107720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2107733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107756 */     // GIR_Coverage, 16926,
     /* 2107756 */     GIR_EraseRootFromParent_Done,
     /* 2107757 */   // Label 27904: @2107757
     /* 2107757 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2107848), // Rule ID 16927 //
     /* 2107762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107808 */     // MIs[0] round
     /* 2107808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107811 */     // MIs[0] policy
     /* 2107811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107821 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2107824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107847 */     // GIR_Coverage, 16927,
     /* 2107847 */     GIR_EraseRootFromParent_Done,
     /* 2107848 */   // Label 27905: @2107848
     /* 2107848 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2107939), // Rule ID 16930 //
     /* 2107853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2107864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2107867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107899 */     // MIs[0] round
     /* 2107899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107902 */     // MIs[0] policy
     /* 2107902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107912 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2107915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107938 */     // GIR_Coverage, 16930,
     /* 2107938 */     GIR_EraseRootFromParent_Done,
     /* 2107939 */   // Label 27906: @2107939
     /* 2107939 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2108030), // Rule ID 16931 //
     /* 2107944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2107955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2107958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107990 */     // MIs[0] round
     /* 2107990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107993 */     // MIs[0] policy
     /* 2107993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2108006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108029 */     // GIR_Coverage, 16931,
     /* 2108029 */     GIR_EraseRootFromParent_Done,
     /* 2108030 */   // Label 27907: @2108030
     /* 2108030 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2108121), // Rule ID 16934 //
     /* 2108035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2108046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2108049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2108052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108081 */     // MIs[0] round
     /* 2108081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108084 */     // MIs[0] policy
     /* 2108084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108094 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2108097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108120 */     // GIR_Coverage, 16934,
     /* 2108120 */     GIR_EraseRootFromParent_Done,
     /* 2108121 */   // Label 27908: @2108121
     /* 2108121 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2108212), // Rule ID 16935 //
     /* 2108126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2108129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2108137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2108140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2108143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108172 */     // MIs[0] round
     /* 2108172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108175 */     // MIs[0] policy
     /* 2108175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108185 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2108188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108211 */     // GIR_Coverage, 16935,
     /* 2108211 */     GIR_EraseRootFromParent_Done,
     /* 2108212 */   // Label 27909: @2108212
     /* 2108212 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2108303), // Rule ID 16938 //
     /* 2108217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2108220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108263 */     // MIs[0] round
     /* 2108263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108266 */     // MIs[0] policy
     /* 2108266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2108279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108302 */     // GIR_Coverage, 16938,
     /* 2108302 */     GIR_EraseRootFromParent_Done,
     /* 2108303 */   // Label 27910: @2108303
     /* 2108303 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2108394), // Rule ID 16939 //
     /* 2108308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2108311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108354 */     // MIs[0] round
     /* 2108354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108357 */     // MIs[0] policy
     /* 2108357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108367 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2108370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108393 */     // GIR_Coverage, 16939,
     /* 2108393 */     GIR_EraseRootFromParent_Done,
     /* 2108394 */   // Label 27911: @2108394
     /* 2108394 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2108485), // Rule ID 16942 //
     /* 2108399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2108410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2108413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108445 */     // MIs[0] round
     /* 2108445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108448 */     // MIs[0] policy
     /* 2108448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108458 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2108461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108484 */     // GIR_Coverage, 16942,
     /* 2108484 */     GIR_EraseRootFromParent_Done,
     /* 2108485 */   // Label 27912: @2108485
     /* 2108485 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2108576), // Rule ID 16943 //
     /* 2108490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2108493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2108501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2108504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108536 */     // MIs[0] round
     /* 2108536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108539 */     // MIs[0] policy
     /* 2108539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2108552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108575 */     // GIR_Coverage, 16943,
     /* 2108575 */     GIR_EraseRootFromParent_Done,
     /* 2108576 */   // Label 27913: @2108576
     /* 2108576 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2108667), // Rule ID 16946 //
     /* 2108581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2108584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108627 */     // MIs[0] round
     /* 2108627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108630 */     // MIs[0] policy
     /* 2108630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2108643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108666 */     // GIR_Coverage, 16946,
     /* 2108666 */     GIR_EraseRootFromParent_Done,
     /* 2108667 */   // Label 27914: @2108667
     /* 2108667 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2108758), // Rule ID 16947 //
     /* 2108672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2108675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108718 */     // MIs[0] round
     /* 2108718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108721 */     // MIs[0] policy
     /* 2108721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108731 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2108734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108757 */     // GIR_Coverage, 16947,
     /* 2108757 */     GIR_EraseRootFromParent_Done,
     /* 2108758 */   // Label 27915: @2108758
     /* 2108758 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2108849), // Rule ID 16950 //
     /* 2108763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108809 */     // MIs[0] round
     /* 2108809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108812 */     // MIs[0] policy
     /* 2108812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108822 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2108825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108848 */     // GIR_Coverage, 16950,
     /* 2108848 */     GIR_EraseRootFromParent_Done,
     /* 2108849 */   // Label 27916: @2108849
     /* 2108849 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2108940), // Rule ID 16951 //
     /* 2108854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108900 */     // MIs[0] round
     /* 2108900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108903 */     // MIs[0] policy
     /* 2108903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108913 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2108916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108939 */     // GIR_Coverage, 16951,
     /* 2108939 */     GIR_EraseRootFromParent_Done,
     /* 2108940 */   // Label 27917: @2108940
     /* 2108940 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2109031), // Rule ID 16954 //
     /* 2108945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2108956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2108959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108991 */     // MIs[0] round
     /* 2108991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108994 */     // MIs[0] policy
     /* 2108994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109004 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2109007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109030 */     // GIR_Coverage, 16954,
     /* 2109030 */     GIR_EraseRootFromParent_Done,
     /* 2109031 */   // Label 27918: @2109031
     /* 2109031 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2109122), // Rule ID 16955 //
     /* 2109036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2109047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2109050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109082 */     // MIs[0] round
     /* 2109082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109085 */     // MIs[0] policy
     /* 2109085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109095 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2109098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109121 */     // GIR_Coverage, 16955,
     /* 2109121 */     GIR_EraseRootFromParent_Done,
     /* 2109122 */   // Label 27919: @2109122
     /* 2109122 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2109213), // Rule ID 16958 //
     /* 2109127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2109130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2109138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2109141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109173 */     // MIs[0] round
     /* 2109173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109176 */     // MIs[0] policy
     /* 2109176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109186 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2109189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109212 */     // GIR_Coverage, 16958,
     /* 2109212 */     GIR_EraseRootFromParent_Done,
     /* 2109213 */   // Label 27920: @2109213
     /* 2109213 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2109304), // Rule ID 16959 //
     /* 2109218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2109229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2109232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109264 */     // MIs[0] round
     /* 2109264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109267 */     // MIs[0] policy
     /* 2109267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2109280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109303 */     // GIR_Coverage, 16959,
     /* 2109303 */     GIR_EraseRootFromParent_Done,
     /* 2109304 */   // Label 27921: @2109304
     /* 2109304 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2109395), // Rule ID 16962 //
     /* 2109309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2109312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2109320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2109323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2109326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2109332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109355 */     // MIs[0] round
     /* 2109355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109358 */     // MIs[0] policy
     /* 2109358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109368 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2109371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109394 */     // GIR_Coverage, 16962,
     /* 2109394 */     GIR_EraseRootFromParent_Done,
     /* 2109395 */   // Label 27922: @2109395
     /* 2109395 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2109486), // Rule ID 16963 //
     /* 2109400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2109411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2109414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2109417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2109423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109446 */     // MIs[0] round
     /* 2109446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109449 */     // MIs[0] policy
     /* 2109449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109459 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2109462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109485 */     // GIR_Coverage, 16963,
     /* 2109485 */     GIR_EraseRootFromParent_Done,
     /* 2109486 */   // Label 27923: @2109486
     /* 2109486 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2109577), // Rule ID 16966 //
     /* 2109491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109537 */     // MIs[0] round
     /* 2109537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109540 */     // MIs[0] policy
     /* 2109540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109550 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2109553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109576 */     // GIR_Coverage, 16966,
     /* 2109576 */     GIR_EraseRootFromParent_Done,
     /* 2109577 */   // Label 27924: @2109577
     /* 2109577 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2109668), // Rule ID 16967 //
     /* 2109582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109628 */     // MIs[0] round
     /* 2109628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109631 */     // MIs[0] policy
     /* 2109631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109641 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2109644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109667 */     // GIR_Coverage, 16967,
     /* 2109667 */     GIR_EraseRootFromParent_Done,
     /* 2109668 */   // Label 27925: @2109668
     /* 2109668 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2109759), // Rule ID 16970 //
     /* 2109673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109719 */     // MIs[0] round
     /* 2109719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109722 */     // MIs[0] policy
     /* 2109722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109732 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2109735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109758 */     // GIR_Coverage, 16970,
     /* 2109758 */     GIR_EraseRootFromParent_Done,
     /* 2109759 */   // Label 27926: @2109759
     /* 2109759 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2109850), // Rule ID 16971 //
     /* 2109764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109810 */     // MIs[0] round
     /* 2109810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109813 */     // MIs[0] policy
     /* 2109813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109823 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2109826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109849 */     // GIR_Coverage, 16971,
     /* 2109849 */     GIR_EraseRootFromParent_Done,
     /* 2109850 */   // Label 27927: @2109850
     /* 2109850 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2109941), // Rule ID 16974 //
     /* 2109855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109901 */     // MIs[0] round
     /* 2109901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109904 */     // MIs[0] policy
     /* 2109904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109914 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2109917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109940 */     // GIR_Coverage, 16974,
     /* 2109940 */     GIR_EraseRootFromParent_Done,
     /* 2109941 */   // Label 27928: @2109941
     /* 2109941 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2110032), // Rule ID 16975 //
     /* 2109946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2109954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109992 */     // MIs[0] round
     /* 2109992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109995 */     // MIs[0] policy
     /* 2109995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110005 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2110008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110031 */     // GIR_Coverage, 16975,
     /* 2110031 */     GIR_EraseRootFromParent_Done,
     /* 2110032 */   // Label 27929: @2110032
     /* 2110032 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2110123), // Rule ID 16978 //
     /* 2110037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2110040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110083 */     // MIs[0] round
     /* 2110083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110086 */     // MIs[0] policy
     /* 2110086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110096 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2110099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110122 */     // GIR_Coverage, 16978,
     /* 2110122 */     GIR_EraseRootFromParent_Done,
     /* 2110123 */   // Label 27930: @2110123
     /* 2110123 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2110214), // Rule ID 16979 //
     /* 2110128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2110131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110174 */     // MIs[0] round
     /* 2110174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110177 */     // MIs[0] policy
     /* 2110177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2110190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110213 */     // GIR_Coverage, 16979,
     /* 2110213 */     GIR_EraseRootFromParent_Done,
     /* 2110214 */   // Label 27931: @2110214
     /* 2110214 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2110305), // Rule ID 16982 //
     /* 2110219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2110222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110265 */     // MIs[0] round
     /* 2110265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110268 */     // MIs[0] policy
     /* 2110268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110278 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2110281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110304 */     // GIR_Coverage, 16982,
     /* 2110304 */     GIR_EraseRootFromParent_Done,
     /* 2110305 */   // Label 27932: @2110305
     /* 2110305 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2110396), // Rule ID 16983 //
     /* 2110310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2110313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110356 */     // MIs[0] round
     /* 2110356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110359 */     // MIs[0] policy
     /* 2110359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110369 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2110372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110395 */     // GIR_Coverage, 16983,
     /* 2110395 */     GIR_EraseRootFromParent_Done,
     /* 2110396 */   // Label 27933: @2110396
     /* 2110396 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2110487), // Rule ID 16986 //
     /* 2110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2110404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110447 */     // MIs[0] round
     /* 2110447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110450 */     // MIs[0] policy
     /* 2110450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110460 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2110463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110486 */     // GIR_Coverage, 16986,
     /* 2110486 */     GIR_EraseRootFromParent_Done,
     /* 2110487 */   // Label 27934: @2110487
     /* 2110487 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2110578), // Rule ID 16987 //
     /* 2110492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2110495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2110500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2110534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110538 */     // MIs[0] round
     /* 2110538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110541 */     // MIs[0] policy
     /* 2110541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110551 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2110554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110577 */     // GIR_Coverage, 16987,
     /* 2110577 */     GIR_EraseRootFromParent_Done,
     /* 2110578 */   // Label 27935: @2110578
     /* 2110578 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2110669), // Rule ID 16990 //
     /* 2110583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2110603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110629 */     // MIs[0] round
     /* 2110629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110632 */     // MIs[0] policy
     /* 2110632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110642 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2110645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110668 */     // GIR_Coverage, 16990,
     /* 2110668 */     GIR_EraseRootFromParent_Done,
     /* 2110669 */   // Label 27936: @2110669
     /* 2110669 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2110760), // Rule ID 16991 //
     /* 2110674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2110694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110720 */     // MIs[0] round
     /* 2110720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110723 */     // MIs[0] policy
     /* 2110723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110733 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2110736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110759 */     // GIR_Coverage, 16991,
     /* 2110759 */     GIR_EraseRootFromParent_Done,
     /* 2110760 */   // Label 27937: @2110760
     /* 2110760 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2110851), // Rule ID 16994 //
     /* 2110765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110811 */     // MIs[0] round
     /* 2110811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110814 */     // MIs[0] policy
     /* 2110814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110824 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2110827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110850 */     // GIR_Coverage, 16994,
     /* 2110850 */     GIR_EraseRootFromParent_Done,
     /* 2110851 */   // Label 27938: @2110851
     /* 2110851 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2110942), // Rule ID 16995 //
     /* 2110856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110902 */     // MIs[0] round
     /* 2110902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110905 */     // MIs[0] policy
     /* 2110905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2110918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110941 */     // GIR_Coverage, 16995,
     /* 2110941 */     GIR_EraseRootFromParent_Done,
     /* 2110942 */   // Label 27939: @2110942
     /* 2110942 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2111033), // Rule ID 16998 //
     /* 2110947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2110967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110993 */     // MIs[0] round
     /* 2110993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110996 */     // MIs[0] policy
     /* 2110996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111006 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2111009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111032 */     // GIR_Coverage, 16998,
     /* 2111032 */     GIR_EraseRootFromParent_Done,
     /* 2111033 */   // Label 27940: @2111033
     /* 2111033 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2111124), // Rule ID 16999 //
     /* 2111038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2111055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111084 */     // MIs[0] round
     /* 2111084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111087 */     // MIs[0] policy
     /* 2111087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2111100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111123 */     // GIR_Coverage, 16999,
     /* 2111123 */     GIR_EraseRootFromParent_Done,
     /* 2111124 */   // Label 27941: @2111124
     /* 2111124 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2111215), // Rule ID 17002 //
     /* 2111129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111175 */     // MIs[0] round
     /* 2111175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111178 */     // MIs[0] policy
     /* 2111178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111188 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2111191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111214 */     // GIR_Coverage, 17002,
     /* 2111214 */     GIR_EraseRootFromParent_Done,
     /* 2111215 */   // Label 27942: @2111215
     /* 2111215 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2111306), // Rule ID 17003 //
     /* 2111220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111266 */     // MIs[0] round
     /* 2111266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111269 */     // MIs[0] policy
     /* 2111269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111279 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2111282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111305 */     // GIR_Coverage, 17003,
     /* 2111305 */     GIR_EraseRootFromParent_Done,
     /* 2111306 */   // Label 27943: @2111306
     /* 2111306 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2111397), // Rule ID 17006 //
     /* 2111311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111357 */     // MIs[0] round
     /* 2111357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111360 */     // MIs[0] policy
     /* 2111360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111370 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2111373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111396 */     // GIR_Coverage, 17006,
     /* 2111396 */     GIR_EraseRootFromParent_Done,
     /* 2111397 */   // Label 27944: @2111397
     /* 2111397 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2111488), // Rule ID 17007 //
     /* 2111402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111448 */     // MIs[0] round
     /* 2111448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111451 */     // MIs[0] policy
     /* 2111451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111461 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2111464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111487 */     // GIR_Coverage, 17007,
     /* 2111487 */     GIR_EraseRootFromParent_Done,
     /* 2111488 */   // Label 27945: @2111488
     /* 2111488 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2111579), // Rule ID 17010 //
     /* 2111493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111539 */     // MIs[0] round
     /* 2111539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111542 */     // MIs[0] policy
     /* 2111542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2111555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111578 */     // GIR_Coverage, 17010,
     /* 2111578 */     GIR_EraseRootFromParent_Done,
     /* 2111579 */   // Label 27946: @2111579
     /* 2111579 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2111670), // Rule ID 17011 //
     /* 2111584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111630 */     // MIs[0] round
     /* 2111630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111633 */     // MIs[0] policy
     /* 2111633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111643 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2111646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111669 */     // GIR_Coverage, 17011,
     /* 2111669 */     GIR_EraseRootFromParent_Done,
     /* 2111670 */   // Label 27947: @2111670
     /* 2111670 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2111761), // Rule ID 17014 //
     /* 2111675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111721 */     // MIs[0] round
     /* 2111721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111724 */     // MIs[0] policy
     /* 2111724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2111737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111760 */     // GIR_Coverage, 17014,
     /* 2111760 */     GIR_EraseRootFromParent_Done,
     /* 2111761 */   // Label 27948: @2111761
     /* 2111761 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2111852), // Rule ID 17015 //
     /* 2111766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111812 */     // MIs[0] round
     /* 2111812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111815 */     // MIs[0] policy
     /* 2111815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111825 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2111828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111851 */     // GIR_Coverage, 17015,
     /* 2111851 */     GIR_EraseRootFromParent_Done,
     /* 2111852 */   // Label 27949: @2111852
     /* 2111852 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2111943), // Rule ID 17018 //
     /* 2111857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111903 */     // MIs[0] round
     /* 2111903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111906 */     // MIs[0] policy
     /* 2111906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111916 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2111919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111942 */     // GIR_Coverage, 17018,
     /* 2111942 */     GIR_EraseRootFromParent_Done,
     /* 2111943 */   // Label 27950: @2111943
     /* 2111943 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2112034), // Rule ID 17019 //
     /* 2111948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111994 */     // MIs[0] round
     /* 2111994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111997 */     // MIs[0] policy
     /* 2111997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112007 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2112010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112033 */     // GIR_Coverage, 17019,
     /* 2112033 */     GIR_EraseRootFromParent_Done,
     /* 2112034 */   // Label 27951: @2112034
     /* 2112034 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2112125), // Rule ID 17022 //
     /* 2112039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112085 */     // MIs[0] round
     /* 2112085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112088 */     // MIs[0] policy
     /* 2112088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112098 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2112101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112124 */     // GIR_Coverage, 17022,
     /* 2112124 */     GIR_EraseRootFromParent_Done,
     /* 2112125 */   // Label 27952: @2112125
     /* 2112125 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2112216), // Rule ID 17023 //
     /* 2112130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112176 */     // MIs[0] round
     /* 2112176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112179 */     // MIs[0] policy
     /* 2112179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112189 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2112192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112215 */     // GIR_Coverage, 17023,
     /* 2112215 */     GIR_EraseRootFromParent_Done,
     /* 2112216 */   // Label 27953: @2112216
     /* 2112216 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2112307), // Rule ID 17026 //
     /* 2112221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2112238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112267 */     // MIs[0] round
     /* 2112267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112270 */     // MIs[0] policy
     /* 2112270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2112283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112306 */     // GIR_Coverage, 17026,
     /* 2112306 */     GIR_EraseRootFromParent_Done,
     /* 2112307 */   // Label 27954: @2112307
     /* 2112307 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2112398), // Rule ID 17027 //
     /* 2112312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2112329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112358 */     // MIs[0] round
     /* 2112358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112361 */     // MIs[0] policy
     /* 2112361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112371 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2112374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112397 */     // GIR_Coverage, 17027,
     /* 2112397 */     GIR_EraseRootFromParent_Done,
     /* 2112398 */   // Label 27955: @2112398
     /* 2112398 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2112489), // Rule ID 17030 //
     /* 2112403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2112420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112449 */     // MIs[0] round
     /* 2112449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112452 */     // MIs[0] policy
     /* 2112452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112462 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2112465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112488 */     // GIR_Coverage, 17030,
     /* 2112488 */     GIR_EraseRootFromParent_Done,
     /* 2112489 */   // Label 27956: @2112489
     /* 2112489 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2112580), // Rule ID 17031 //
     /* 2112494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2112511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112540 */     // MIs[0] round
     /* 2112540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112543 */     // MIs[0] policy
     /* 2112543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2112556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112579 */     // GIR_Coverage, 17031,
     /* 2112579 */     GIR_EraseRootFromParent_Done,
     /* 2112580 */   // Label 27957: @2112580
     /* 2112580 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2112671), // Rule ID 17034 //
     /* 2112585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112631 */     // MIs[0] round
     /* 2112631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112634 */     // MIs[0] policy
     /* 2112634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112644 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2112647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112670 */     // GIR_Coverage, 17034,
     /* 2112670 */     GIR_EraseRootFromParent_Done,
     /* 2112671 */   // Label 27958: @2112671
     /* 2112671 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2112762), // Rule ID 17035 //
     /* 2112676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112722 */     // MIs[0] round
     /* 2112722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112725 */     // MIs[0] policy
     /* 2112725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112735 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2112738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112761 */     // GIR_Coverage, 17035,
     /* 2112761 */     GIR_EraseRootFromParent_Done,
     /* 2112762 */   // Label 27959: @2112762
     /* 2112762 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2112853), // Rule ID 17038 //
     /* 2112767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112813 */     // MIs[0] round
     /* 2112813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112816 */     // MIs[0] policy
     /* 2112816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112826 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2112829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112852 */     // GIR_Coverage, 17038,
     /* 2112852 */     GIR_EraseRootFromParent_Done,
     /* 2112853 */   // Label 27960: @2112853
     /* 2112853 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2112944), // Rule ID 17039 //
     /* 2112858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112904 */     // MIs[0] round
     /* 2112904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112907 */     // MIs[0] policy
     /* 2112907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112917 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2112920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112943 */     // GIR_Coverage, 17039,
     /* 2112943 */     GIR_EraseRootFromParent_Done,
     /* 2112944 */   // Label 27961: @2112944
     /* 2112944 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2113035), // Rule ID 17042 //
     /* 2112949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2112957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112995 */     // MIs[0] round
     /* 2112995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112998 */     // MIs[0] policy
     /* 2112998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2113011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113034 */     // GIR_Coverage, 17042,
     /* 2113034 */     GIR_EraseRootFromParent_Done,
     /* 2113035 */   // Label 27962: @2113035
     /* 2113035 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2113126), // Rule ID 17043 //
     /* 2113040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2113057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113086 */     // MIs[0] round
     /* 2113086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113089 */     // MIs[0] policy
     /* 2113089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113099 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2113102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113125 */     // GIR_Coverage, 17043,
     /* 2113125 */     GIR_EraseRootFromParent_Done,
     /* 2113126 */   // Label 27963: @2113126
     /* 2113126 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2113217), // Rule ID 17046 //
     /* 2113131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113177 */     // MIs[0] round
     /* 2113177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113180 */     // MIs[0] policy
     /* 2113180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113190 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2113193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113216 */     // GIR_Coverage, 17046,
     /* 2113216 */     GIR_EraseRootFromParent_Done,
     /* 2113217 */   // Label 27964: @2113217
     /* 2113217 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2113308), // Rule ID 17047 //
     /* 2113222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113268 */     // MIs[0] round
     /* 2113268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113271 */     // MIs[0] policy
     /* 2113271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113281 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2113284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113307 */     // GIR_Coverage, 17047,
     /* 2113307 */     GIR_EraseRootFromParent_Done,
     /* 2113308 */   // Label 27965: @2113308
     /* 2113308 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2113399), // Rule ID 17050 //
     /* 2113313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113359 */     // MIs[0] round
     /* 2113359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113362 */     // MIs[0] policy
     /* 2113362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113372 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2113375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113398 */     // GIR_Coverage, 17050,
     /* 2113398 */     GIR_EraseRootFromParent_Done,
     /* 2113399 */   // Label 27966: @2113399
     /* 2113399 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2113490), // Rule ID 17051 //
     /* 2113404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113450 */     // MIs[0] round
     /* 2113450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113453 */     // MIs[0] policy
     /* 2113453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113463 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2113466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113489 */     // GIR_Coverage, 17051,
     /* 2113489 */     GIR_EraseRootFromParent_Done,
     /* 2113490 */   // Label 27967: @2113490
     /* 2113490 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2113581), // Rule ID 17054 //
     /* 2113495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113541 */     // MIs[0] round
     /* 2113541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113544 */     // MIs[0] policy
     /* 2113544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113554 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2113557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113580 */     // GIR_Coverage, 17054,
     /* 2113580 */     GIR_EraseRootFromParent_Done,
     /* 2113581 */   // Label 27968: @2113581
     /* 2113581 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2113672), // Rule ID 17055 //
     /* 2113586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113632 */     // MIs[0] round
     /* 2113632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113635 */     // MIs[0] policy
     /* 2113635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113645 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2113648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113671 */     // GIR_Coverage, 17055,
     /* 2113671 */     GIR_EraseRootFromParent_Done,
     /* 2113672 */   // Label 27969: @2113672
     /* 2113672 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2113763), // Rule ID 17058 //
     /* 2113677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113723 */     // MIs[0] round
     /* 2113723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113726 */     // MIs[0] policy
     /* 2113726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2113739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113762 */     // GIR_Coverage, 17058,
     /* 2113762 */     GIR_EraseRootFromParent_Done,
     /* 2113763 */   // Label 27970: @2113763
     /* 2113763 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2113854), // Rule ID 17059 //
     /* 2113768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2113776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113814 */     // MIs[0] round
     /* 2113814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113817 */     // MIs[0] policy
     /* 2113817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2113830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113853 */     // GIR_Coverage, 17059,
     /* 2113853 */     GIR_EraseRootFromParent_Done,
     /* 2113854 */   // Label 27971: @2113854
     /* 2113854 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2113945), // Rule ID 17062 //
     /* 2113859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113905 */     // MIs[0] round
     /* 2113905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113908 */     // MIs[0] policy
     /* 2113908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113918 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2113921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113944 */     // GIR_Coverage, 17062,
     /* 2113944 */     GIR_EraseRootFromParent_Done,
     /* 2113945 */   // Label 27972: @2113945
     /* 2113945 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2114036), // Rule ID 17063 //
     /* 2113950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113996 */     // MIs[0] round
     /* 2113996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113999 */     // MIs[0] policy
     /* 2113999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114009 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2114012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114035 */     // GIR_Coverage, 17063,
     /* 2114035 */     GIR_EraseRootFromParent_Done,
     /* 2114036 */   // Label 27973: @2114036
     /* 2114036 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2114127), // Rule ID 17066 //
     /* 2114041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114087 */     // MIs[0] round
     /* 2114087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114090 */     // MIs[0] policy
     /* 2114090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114100 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2114103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114126 */     // GIR_Coverage, 17066,
     /* 2114126 */     GIR_EraseRootFromParent_Done,
     /* 2114127 */   // Label 27974: @2114127
     /* 2114127 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2114218), // Rule ID 17067 //
     /* 2114132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114178 */     // MIs[0] round
     /* 2114178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114181 */     // MIs[0] policy
     /* 2114181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2114194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114217 */     // GIR_Coverage, 17067,
     /* 2114217 */     GIR_EraseRootFromParent_Done,
     /* 2114218 */   // Label 27975: @2114218
     /* 2114218 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2114309), // Rule ID 17070 //
     /* 2114223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2114240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114269 */     // MIs[0] round
     /* 2114269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114272 */     // MIs[0] policy
     /* 2114272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114282 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2114285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114308 */     // GIR_Coverage, 17070,
     /* 2114308 */     GIR_EraseRootFromParent_Done,
     /* 2114309 */   // Label 27976: @2114309
     /* 2114309 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2114400), // Rule ID 17071 //
     /* 2114314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2114331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114360 */     // MIs[0] round
     /* 2114360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114363 */     // MIs[0] policy
     /* 2114363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2114376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114399 */     // GIR_Coverage, 17071,
     /* 2114399 */     GIR_EraseRootFromParent_Done,
     /* 2114400 */   // Label 27977: @2114400
     /* 2114400 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2114491), // Rule ID 17074 //
     /* 2114405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114451 */     // MIs[0] round
     /* 2114451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114454 */     // MIs[0] policy
     /* 2114454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2114467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114490 */     // GIR_Coverage, 17074,
     /* 2114490 */     GIR_EraseRootFromParent_Done,
     /* 2114491 */   // Label 27978: @2114491
     /* 2114491 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2114582), // Rule ID 17075 //
     /* 2114496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114542 */     // MIs[0] round
     /* 2114542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114545 */     // MIs[0] policy
     /* 2114545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114555 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2114558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114581 */     // GIR_Coverage, 17075,
     /* 2114581 */     GIR_EraseRootFromParent_Done,
     /* 2114582 */   // Label 27979: @2114582
     /* 2114582 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2114673), // Rule ID 17078 //
     /* 2114587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114633 */     // MIs[0] round
     /* 2114633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114636 */     // MIs[0] policy
     /* 2114636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2114649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114672 */     // GIR_Coverage, 17078,
     /* 2114672 */     GIR_EraseRootFromParent_Done,
     /* 2114673 */   // Label 27980: @2114673
     /* 2114673 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2114764), // Rule ID 17079 //
     /* 2114678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114724 */     // MIs[0] round
     /* 2114724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114727 */     // MIs[0] policy
     /* 2114727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114737 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2114740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114763 */     // GIR_Coverage, 17079,
     /* 2114763 */     GIR_EraseRootFromParent_Done,
     /* 2114764 */   // Label 27981: @2114764
     /* 2114764 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2114855), // Rule ID 17082 //
     /* 2114769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114815 */     // MIs[0] round
     /* 2114815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114818 */     // MIs[0] policy
     /* 2114818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2114831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114854 */     // GIR_Coverage, 17082,
     /* 2114854 */     GIR_EraseRootFromParent_Done,
     /* 2114855 */   // Label 27982: @2114855
     /* 2114855 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2114946), // Rule ID 17083 //
     /* 2114860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114906 */     // MIs[0] round
     /* 2114906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114909 */     // MIs[0] policy
     /* 2114909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114919 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2114922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114945 */     // GIR_Coverage, 17083,
     /* 2114945 */     GIR_EraseRootFromParent_Done,
     /* 2114946 */   // Label 27983: @2114946
     /* 2114946 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2115037), // Rule ID 17086 //
     /* 2114951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2114971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114997 */     // MIs[0] round
     /* 2114997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115000 */     // MIs[0] policy
     /* 2115000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115010 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2115013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115036 */     // GIR_Coverage, 17086,
     /* 2115036 */     GIR_EraseRootFromParent_Done,
     /* 2115037 */   // Label 27984: @2115037
     /* 2115037 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2115128), // Rule ID 17087 //
     /* 2115042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115088 */     // MIs[0] round
     /* 2115088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115091 */     // MIs[0] policy
     /* 2115091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115101 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2115104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115127 */     // GIR_Coverage, 17087,
     /* 2115127 */     GIR_EraseRootFromParent_Done,
     /* 2115128 */   // Label 27985: @2115128
     /* 2115128 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2115219), // Rule ID 17090 //
     /* 2115133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115179 */     // MIs[0] round
     /* 2115179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115182 */     // MIs[0] policy
     /* 2115182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2115195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115218 */     // GIR_Coverage, 17090,
     /* 2115218 */     GIR_EraseRootFromParent_Done,
     /* 2115219 */   // Label 27986: @2115219
     /* 2115219 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2115310), // Rule ID 17091 //
     /* 2115224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115270 */     // MIs[0] round
     /* 2115270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115273 */     // MIs[0] policy
     /* 2115273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115283 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2115286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115309 */     // GIR_Coverage, 17091,
     /* 2115309 */     GIR_EraseRootFromParent_Done,
     /* 2115310 */   // Label 27987: @2115310
     /* 2115310 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2115401), // Rule ID 17094 //
     /* 2115315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115361 */     // MIs[0] round
     /* 2115361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115364 */     // MIs[0] policy
     /* 2115364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115374 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2115377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115400 */     // GIR_Coverage, 17094,
     /* 2115400 */     GIR_EraseRootFromParent_Done,
     /* 2115401 */   // Label 27988: @2115401
     /* 2115401 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2115492), // Rule ID 17095 //
     /* 2115406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115452 */     // MIs[0] round
     /* 2115452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115455 */     // MIs[0] policy
     /* 2115455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115465 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2115468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115491 */     // GIR_Coverage, 17095,
     /* 2115491 */     GIR_EraseRootFromParent_Done,
     /* 2115492 */   // Label 27989: @2115492
     /* 2115492 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2115583), // Rule ID 17098 //
     /* 2115497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115543 */     // MIs[0] round
     /* 2115543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115546 */     // MIs[0] policy
     /* 2115546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2115559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115582 */     // GIR_Coverage, 17098,
     /* 2115582 */     GIR_EraseRootFromParent_Done,
     /* 2115583 */   // Label 27990: @2115583
     /* 2115583 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2115674), // Rule ID 17099 //
     /* 2115588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115634 */     // MIs[0] round
     /* 2115634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115637 */     // MIs[0] policy
     /* 2115637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115647 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2115650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115673 */     // GIR_Coverage, 17099,
     /* 2115673 */     GIR_EraseRootFromParent_Done,
     /* 2115674 */   // Label 27991: @2115674
     /* 2115674 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2115765), // Rule ID 17102 //
     /* 2115679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115725 */     // MIs[0] round
     /* 2115725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115728 */     // MIs[0] policy
     /* 2115728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115738 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2115741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115764 */     // GIR_Coverage, 17102,
     /* 2115764 */     GIR_EraseRootFromParent_Done,
     /* 2115765 */   // Label 27992: @2115765
     /* 2115765 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2115856), // Rule ID 17103 //
     /* 2115770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115816 */     // MIs[0] round
     /* 2115816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115819 */     // MIs[0] policy
     /* 2115819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2115832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115855 */     // GIR_Coverage, 17103,
     /* 2115855 */     GIR_EraseRootFromParent_Done,
     /* 2115856 */   // Label 27993: @2115856
     /* 2115856 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2115947), // Rule ID 17106 //
     /* 2115861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2115878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115907 */     // MIs[0] round
     /* 2115907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115910 */     // MIs[0] policy
     /* 2115910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2115923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115946 */     // GIR_Coverage, 17106,
     /* 2115946 */     GIR_EraseRootFromParent_Done,
     /* 2115947 */   // Label 27994: @2115947
     /* 2115947 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2116038), // Rule ID 17107 //
     /* 2115952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2115960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2115969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115998 */     // MIs[0] round
     /* 2115998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116001 */     // MIs[0] policy
     /* 2116001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116011 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2116014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116037 */     // GIR_Coverage, 17107,
     /* 2116037 */     GIR_EraseRootFromParent_Done,
     /* 2116038 */   // Label 27995: @2116038
     /* 2116038 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2116129), // Rule ID 17110 //
     /* 2116043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116089 */     // MIs[0] round
     /* 2116089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116092 */     // MIs[0] policy
     /* 2116092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116102 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2116105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116128 */     // GIR_Coverage, 17110,
     /* 2116128 */     GIR_EraseRootFromParent_Done,
     /* 2116129 */   // Label 27996: @2116129
     /* 2116129 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2116220), // Rule ID 17111 //
     /* 2116134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116180 */     // MIs[0] round
     /* 2116180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116183 */     // MIs[0] policy
     /* 2116183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116193 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2116196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116219 */     // GIR_Coverage, 17111,
     /* 2116219 */     GIR_EraseRootFromParent_Done,
     /* 2116220 */   // Label 27997: @2116220
     /* 2116220 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2116311), // Rule ID 17114 //
     /* 2116225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116271 */     // MIs[0] round
     /* 2116271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116274 */     // MIs[0] policy
     /* 2116274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116284 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2116287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116310 */     // GIR_Coverage, 17114,
     /* 2116310 */     GIR_EraseRootFromParent_Done,
     /* 2116311 */   // Label 27998: @2116311
     /* 2116311 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2116402), // Rule ID 17115 //
     /* 2116316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116362 */     // MIs[0] round
     /* 2116362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116365 */     // MIs[0] policy
     /* 2116365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116375 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2116378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116401 */     // GIR_Coverage, 17115,
     /* 2116401 */     GIR_EraseRootFromParent_Done,
     /* 2116402 */   // Label 27999: @2116402
     /* 2116402 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2116493), // Rule ID 17118 //
     /* 2116407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116453 */     // MIs[0] round
     /* 2116453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116456 */     // MIs[0] policy
     /* 2116456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116466 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2116469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116492 */     // GIR_Coverage, 17118,
     /* 2116492 */     GIR_EraseRootFromParent_Done,
     /* 2116493 */   // Label 28000: @2116493
     /* 2116493 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2116584), // Rule ID 17119 //
     /* 2116498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116544 */     // MIs[0] round
     /* 2116544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116547 */     // MIs[0] policy
     /* 2116547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116557 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2116560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116583 */     // GIR_Coverage, 17119,
     /* 2116583 */     GIR_EraseRootFromParent_Done,
     /* 2116584 */   // Label 28001: @2116584
     /* 2116584 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2116675), // Rule ID 17122 //
     /* 2116589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116635 */     // MIs[0] round
     /* 2116635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116638 */     // MIs[0] policy
     /* 2116638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2116651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116674 */     // GIR_Coverage, 17122,
     /* 2116674 */     GIR_EraseRootFromParent_Done,
     /* 2116675 */   // Label 28002: @2116675
     /* 2116675 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2116766), // Rule ID 17123 //
     /* 2116680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116726 */     // MIs[0] round
     /* 2116726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116729 */     // MIs[0] policy
     /* 2116729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116739 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2116742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116765 */     // GIR_Coverage, 17123,
     /* 2116765 */     GIR_EraseRootFromParent_Done,
     /* 2116766 */   // Label 28003: @2116766
     /* 2116766 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2116857), // Rule ID 17126 //
     /* 2116771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116817 */     // MIs[0] round
     /* 2116817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116820 */     // MIs[0] policy
     /* 2116820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116830 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2116833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116856 */     // GIR_Coverage, 17126,
     /* 2116856 */     GIR_EraseRootFromParent_Done,
     /* 2116857 */   // Label 28004: @2116857
     /* 2116857 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2116948), // Rule ID 17127 //
     /* 2116862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116908 */     // MIs[0] round
     /* 2116908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116911 */     // MIs[0] policy
     /* 2116911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116921 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2116924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116947 */     // GIR_Coverage, 17127,
     /* 2116947 */     GIR_EraseRootFromParent_Done,
     /* 2116948 */   // Label 28005: @2116948
     /* 2116948 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2117039), // Rule ID 17130 //
     /* 2116953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2116961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116999 */     // MIs[0] round
     /* 2116999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117002 */     // MIs[0] policy
     /* 2117002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117012 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2117015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117038 */     // GIR_Coverage, 17130,
     /* 2117038 */     GIR_EraseRootFromParent_Done,
     /* 2117039 */   // Label 28006: @2117039
     /* 2117039 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2117130), // Rule ID 17131 //
     /* 2117044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2117052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117090 */     // MIs[0] round
     /* 2117090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117093 */     // MIs[0] policy
     /* 2117093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117103 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2117106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117129 */     // GIR_Coverage, 17131,
     /* 2117129 */     GIR_EraseRootFromParent_Done,
     /* 2117130 */   // Label 28007: @2117130
     /* 2117130 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2117221), // Rule ID 17140 //
     /* 2117135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117181 */     // MIs[0] round
     /* 2117181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117184 */     // MIs[0] policy
     /* 2117184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117194 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2117197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117220 */     // GIR_Coverage, 17140,
     /* 2117220 */     GIR_EraseRootFromParent_Done,
     /* 2117221 */   // Label 28008: @2117221
     /* 2117221 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2117312), // Rule ID 17141 //
     /* 2117226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117272 */     // MIs[0] round
     /* 2117272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117275 */     // MIs[0] policy
     /* 2117275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117285 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2117288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117311 */     // GIR_Coverage, 17141,
     /* 2117311 */     GIR_EraseRootFromParent_Done,
     /* 2117312 */   // Label 28009: @2117312
     /* 2117312 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2117403), // Rule ID 17150 //
     /* 2117317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117363 */     // MIs[0] round
     /* 2117363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117366 */     // MIs[0] policy
     /* 2117366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2117379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117402 */     // GIR_Coverage, 17150,
     /* 2117402 */     GIR_EraseRootFromParent_Done,
     /* 2117403 */   // Label 28010: @2117403
     /* 2117403 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2117494), // Rule ID 17151 //
     /* 2117408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117454 */     // MIs[0] round
     /* 2117454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117457 */     // MIs[0] policy
     /* 2117457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2117470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117493 */     // GIR_Coverage, 17151,
     /* 2117493 */     GIR_EraseRootFromParent_Done,
     /* 2117494 */   // Label 28011: @2117494
     /* 2117494 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2117585), // Rule ID 17160 //
     /* 2117499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117545 */     // MIs[0] round
     /* 2117545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117548 */     // MIs[0] policy
     /* 2117548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117558 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2117561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117584 */     // GIR_Coverage, 17160,
     /* 2117584 */     GIR_EraseRootFromParent_Done,
     /* 2117585 */   // Label 28012: @2117585
     /* 2117585 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2117676), // Rule ID 17161 //
     /* 2117590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117636 */     // MIs[0] round
     /* 2117636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117639 */     // MIs[0] policy
     /* 2117639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117649 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2117652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117675 */     // GIR_Coverage, 17161,
     /* 2117675 */     GIR_EraseRootFromParent_Done,
     /* 2117676 */   // Label 28013: @2117676
     /* 2117676 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2117767), // Rule ID 17170 //
     /* 2117681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2117701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117727 */     // MIs[0] round
     /* 2117727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117730 */     // MIs[0] policy
     /* 2117730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117740 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2117743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117766 */     // GIR_Coverage, 17170,
     /* 2117766 */     GIR_EraseRootFromParent_Done,
     /* 2117767 */   // Label 28014: @2117767
     /* 2117767 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2117858), // Rule ID 17171 //
     /* 2117772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2117792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117818 */     // MIs[0] round
     /* 2117818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117821 */     // MIs[0] policy
     /* 2117821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117831 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2117834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117857 */     // GIR_Coverage, 17171,
     /* 2117857 */     GIR_EraseRootFromParent_Done,
     /* 2117858 */   // Label 28015: @2117858
     /* 2117858 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2117949), // Rule ID 17180 //
     /* 2117863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117909 */     // MIs[0] round
     /* 2117909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117912 */     // MIs[0] policy
     /* 2117912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117922 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2117925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117948 */     // GIR_Coverage, 17180,
     /* 2117948 */     GIR_EraseRootFromParent_Done,
     /* 2117949 */   // Label 28016: @2117949
     /* 2117949 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2118040), // Rule ID 17181 //
     /* 2117954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118000 */     // MIs[0] round
     /* 2118000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118003 */     // MIs[0] policy
     /* 2118003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118013 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2118016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118039 */     // GIR_Coverage, 17181,
     /* 2118039 */     GIR_EraseRootFromParent_Done,
     /* 2118040 */   // Label 28017: @2118040
     /* 2118040 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2118131), // Rule ID 17190 //
     /* 2118045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2118062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2118065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118091 */     // MIs[0] round
     /* 2118091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118094 */     // MIs[0] policy
     /* 2118094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118104 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2118107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118130 */     // GIR_Coverage, 17190,
     /* 2118130 */     GIR_EraseRootFromParent_Done,
     /* 2118131 */   // Label 28018: @2118131
     /* 2118131 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2118222), // Rule ID 17191 //
     /* 2118136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2118153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2118156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118182 */     // MIs[0] round
     /* 2118182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118185 */     // MIs[0] policy
     /* 2118185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118195 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2118198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118221 */     // GIR_Coverage, 17191,
     /* 2118221 */     GIR_EraseRootFromParent_Done,
     /* 2118222 */   // Label 28019: @2118222
     /* 2118222 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2118313), // Rule ID 17200 //
     /* 2118227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2118244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118273 */     // MIs[0] round
     /* 2118273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118276 */     // MIs[0] policy
     /* 2118276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118286 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2118289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118312 */     // GIR_Coverage, 17200,
     /* 2118312 */     GIR_EraseRootFromParent_Done,
     /* 2118313 */   // Label 28020: @2118313
     /* 2118313 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2118404), // Rule ID 17201 //
     /* 2118318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2118335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118364 */     // MIs[0] round
     /* 2118364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118367 */     // MIs[0] policy
     /* 2118367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118377 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2118380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118403 */     // GIR_Coverage, 17201,
     /* 2118403 */     GIR_EraseRootFromParent_Done,
     /* 2118404 */   // Label 28021: @2118404
     /* 2118404 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2118495), // Rule ID 17210 //
     /* 2118409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118455 */     // MIs[0] round
     /* 2118455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118458 */     // MIs[0] policy
     /* 2118458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118468 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2118471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118494 */     // GIR_Coverage, 17210,
     /* 2118494 */     GIR_EraseRootFromParent_Done,
     /* 2118495 */   // Label 28022: @2118495
     /* 2118495 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2118586), // Rule ID 17211 //
     /* 2118500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118546 */     // MIs[0] round
     /* 2118546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118549 */     // MIs[0] policy
     /* 2118549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118559 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2118562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118585 */     // GIR_Coverage, 17211,
     /* 2118585 */     GIR_EraseRootFromParent_Done,
     /* 2118586 */   // Label 28023: @2118586
     /* 2118586 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2118677), // Rule ID 17214 //
     /* 2118591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118637 */     // MIs[0] round
     /* 2118637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118640 */     // MIs[0] policy
     /* 2118640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118650 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2118653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118676 */     // GIR_Coverage, 17214,
     /* 2118676 */     GIR_EraseRootFromParent_Done,
     /* 2118677 */   // Label 28024: @2118677
     /* 2118677 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2118768), // Rule ID 17215 //
     /* 2118682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118728 */     // MIs[0] round
     /* 2118728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118731 */     // MIs[0] policy
     /* 2118731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118741 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2118744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118767 */     // GIR_Coverage, 17215,
     /* 2118767 */     GIR_EraseRootFromParent_Done,
     /* 2118768 */   // Label 28025: @2118768
     /* 2118768 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2118859), // Rule ID 17218 //
     /* 2118773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118819 */     // MIs[0] round
     /* 2118819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118822 */     // MIs[0] policy
     /* 2118822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118832 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2118835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118858 */     // GIR_Coverage, 17218,
     /* 2118858 */     GIR_EraseRootFromParent_Done,
     /* 2118859 */   // Label 28026: @2118859
     /* 2118859 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2118950), // Rule ID 17219 //
     /* 2118864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118910 */     // MIs[0] round
     /* 2118910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118913 */     // MIs[0] policy
     /* 2118913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118923 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2118926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118949 */     // GIR_Coverage, 17219,
     /* 2118949 */     GIR_EraseRootFromParent_Done,
     /* 2118950 */   // Label 28027: @2118950
     /* 2118950 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2119041), // Rule ID 17222 //
     /* 2118955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119001 */     // MIs[0] round
     /* 2119001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119004 */     // MIs[0] policy
     /* 2119004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2119017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119040 */     // GIR_Coverage, 17222,
     /* 2119040 */     GIR_EraseRootFromParent_Done,
     /* 2119041 */   // Label 28028: @2119041
     /* 2119041 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2119132), // Rule ID 17223 //
     /* 2119046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2119057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2119060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2119063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119092 */     // MIs[0] round
     /* 2119092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119095 */     // MIs[0] policy
     /* 2119095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119105 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2119108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119131 */     // GIR_Coverage, 17223,
     /* 2119131 */     GIR_EraseRootFromParent_Done,
     /* 2119132 */   // Label 28029: @2119132
     /* 2119132 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2119223), // Rule ID 17226 //
     /* 2119137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119183 */     // MIs[0] round
     /* 2119183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119186 */     // MIs[0] policy
     /* 2119186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2119199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119222 */     // GIR_Coverage, 17226,
     /* 2119222 */     GIR_EraseRootFromParent_Done,
     /* 2119223 */   // Label 28030: @2119223
     /* 2119223 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2119314), // Rule ID 17227 //
     /* 2119228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119274 */     // MIs[0] round
     /* 2119274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119277 */     // MIs[0] policy
     /* 2119277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119287 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2119290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119313 */     // GIR_Coverage, 17227,
     /* 2119313 */     GIR_EraseRootFromParent_Done,
     /* 2119314 */   // Label 28031: @2119314
     /* 2119314 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2119405), // Rule ID 17230 //
     /* 2119319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119365 */     // MIs[0] round
     /* 2119365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119368 */     // MIs[0] policy
     /* 2119368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119378 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2119381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119404 */     // GIR_Coverage, 17230,
     /* 2119404 */     GIR_EraseRootFromParent_Done,
     /* 2119405 */   // Label 28032: @2119405
     /* 2119405 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2119496), // Rule ID 17231 //
     /* 2119410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119456 */     // MIs[0] round
     /* 2119456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119459 */     // MIs[0] policy
     /* 2119459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119469 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2119472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119495 */     // GIR_Coverage, 17231,
     /* 2119495 */     GIR_EraseRootFromParent_Done,
     /* 2119496 */   // Label 28033: @2119496
     /* 2119496 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2119587), // Rule ID 17234 //
     /* 2119501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119547 */     // MIs[0] round
     /* 2119547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119550 */     // MIs[0] policy
     /* 2119550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2119563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119586 */     // GIR_Coverage, 17234,
     /* 2119586 */     GIR_EraseRootFromParent_Done,
     /* 2119587 */   // Label 28034: @2119587
     /* 2119587 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2119678), // Rule ID 17235 //
     /* 2119592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119638 */     // MIs[0] round
     /* 2119638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119641 */     // MIs[0] policy
     /* 2119641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119651 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2119654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119677 */     // GIR_Coverage, 17235,
     /* 2119677 */     GIR_EraseRootFromParent_Done,
     /* 2119678 */   // Label 28035: @2119678
     /* 2119678 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2119769), // Rule ID 17238 //
     /* 2119683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119729 */     // MIs[0] round
     /* 2119729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119732 */     // MIs[0] policy
     /* 2119732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119742 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2119745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119768 */     // GIR_Coverage, 17238,
     /* 2119768 */     GIR_EraseRootFromParent_Done,
     /* 2119769 */   // Label 28036: @2119769
     /* 2119769 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2119860), // Rule ID 17239 //
     /* 2119774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119820 */     // MIs[0] round
     /* 2119820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119823 */     // MIs[0] policy
     /* 2119823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2119836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119859 */     // GIR_Coverage, 17239,
     /* 2119859 */     GIR_EraseRootFromParent_Done,
     /* 2119860 */   // Label 28037: @2119860
     /* 2119860 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2119951), // Rule ID 17242 //
     /* 2119865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119911 */     // MIs[0] round
     /* 2119911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119914 */     // MIs[0] policy
     /* 2119914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119924 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2119927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119950 */     // GIR_Coverage, 17242,
     /* 2119950 */     GIR_EraseRootFromParent_Done,
     /* 2119951 */   // Label 28038: @2119951
     /* 2119951 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2120042), // Rule ID 17243 //
     /* 2119956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2119964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120002 */     // MIs[0] round
     /* 2120002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120005 */     // MIs[0] policy
     /* 2120005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120015 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2120018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120041 */     // GIR_Coverage, 17243,
     /* 2120041 */     GIR_EraseRootFromParent_Done,
     /* 2120042 */   // Label 28039: @2120042
     /* 2120042 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2120133), // Rule ID 17246 //
     /* 2120047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2120055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2120064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120093 */     // MIs[0] round
     /* 2120093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120096 */     // MIs[0] policy
     /* 2120096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120106 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2120109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120132 */     // GIR_Coverage, 17246,
     /* 2120132 */     GIR_EraseRootFromParent_Done,
     /* 2120133 */   // Label 28040: @2120133
     /* 2120133 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2120224), // Rule ID 17247 //
     /* 2120138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2120146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2120155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120184 */     // MIs[0] round
     /* 2120184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120187 */     // MIs[0] policy
     /* 2120187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120197 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2120200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120223 */     // GIR_Coverage, 17247,
     /* 2120223 */     GIR_EraseRootFromParent_Done,
     /* 2120224 */   // Label 28041: @2120224
     /* 2120224 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2120315), // Rule ID 17256 //
     /* 2120229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2120249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120275 */     // MIs[0] round
     /* 2120275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120278 */     // MIs[0] policy
     /* 2120278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120288 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2120291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120314 */     // GIR_Coverage, 17256,
     /* 2120314 */     GIR_EraseRootFromParent_Done,
     /* 2120315 */   // Label 28042: @2120315
     /* 2120315 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2120406), // Rule ID 17257 //
     /* 2120320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2120340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120366 */     // MIs[0] round
     /* 2120366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120369 */     // MIs[0] policy
     /* 2120369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120379 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2120382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120405 */     // GIR_Coverage, 17257,
     /* 2120405 */     GIR_EraseRootFromParent_Done,
     /* 2120406 */   // Label 28043: @2120406
     /* 2120406 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2120497), // Rule ID 17266 //
     /* 2120411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2120431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120457 */     // MIs[0] round
     /* 2120457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120460 */     // MIs[0] policy
     /* 2120460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120470 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2120473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120496 */     // GIR_Coverage, 17266,
     /* 2120496 */     GIR_EraseRootFromParent_Done,
     /* 2120497 */   // Label 28044: @2120497
     /* 2120497 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2120588), // Rule ID 17267 //
     /* 2120502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2120522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120548 */     // MIs[0] round
     /* 2120548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120551 */     // MIs[0] policy
     /* 2120551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120561 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2120564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120587 */     // GIR_Coverage, 17267,
     /* 2120587 */     GIR_EraseRootFromParent_Done,
     /* 2120588 */   // Label 28045: @2120588
     /* 2120588 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2120679), // Rule ID 17276 //
     /* 2120593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2120613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120639 */     // MIs[0] round
     /* 2120639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120642 */     // MIs[0] policy
     /* 2120642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120652 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2120655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120678 */     // GIR_Coverage, 17276,
     /* 2120678 */     GIR_EraseRootFromParent_Done,
     /* 2120679 */   // Label 28046: @2120679
     /* 2120679 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2120770), // Rule ID 17277 //
     /* 2120684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2120704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120730 */     // MIs[0] round
     /* 2120730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120733 */     // MIs[0] policy
     /* 2120733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120743 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2120746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120769 */     // GIR_Coverage, 17277,
     /* 2120769 */     GIR_EraseRootFromParent_Done,
     /* 2120770 */   // Label 28047: @2120770
     /* 2120770 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2120861), // Rule ID 17286 //
     /* 2120775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2120795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120821 */     // MIs[0] round
     /* 2120821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120824 */     // MIs[0] policy
     /* 2120824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120834 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2120837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120860 */     // GIR_Coverage, 17286,
     /* 2120860 */     GIR_EraseRootFromParent_Done,
     /* 2120861 */   // Label 28048: @2120861
     /* 2120861 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2120952), // Rule ID 17287 //
     /* 2120866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2120886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120912 */     // MIs[0] round
     /* 2120912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120915 */     // MIs[0] policy
     /* 2120915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120925 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2120928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120951 */     // GIR_Coverage, 17287,
     /* 2120951 */     GIR_EraseRootFromParent_Done,
     /* 2120952 */   // Label 28049: @2120952
     /* 2120952 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2121043), // Rule ID 17296 //
     /* 2120957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2120974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2120977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121003 */     // MIs[0] round
     /* 2121003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121006 */     // MIs[0] policy
     /* 2121006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2121019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121042 */     // GIR_Coverage, 17296,
     /* 2121042 */     GIR_EraseRootFromParent_Done,
     /* 2121043 */   // Label 28050: @2121043
     /* 2121043 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2121134), // Rule ID 17297 //
     /* 2121048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2121068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121094 */     // MIs[0] round
     /* 2121094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121097 */     // MIs[0] policy
     /* 2121097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2121110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121133 */     // GIR_Coverage, 17297,
     /* 2121133 */     GIR_EraseRootFromParent_Done,
     /* 2121134 */   // Label 28051: @2121134
     /* 2121134 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2121225), // Rule ID 17306 //
     /* 2121139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2121150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2121153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2121156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121185 */     // MIs[0] round
     /* 2121185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121188 */     // MIs[0] policy
     /* 2121188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2121201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121224 */     // GIR_Coverage, 17306,
     /* 2121224 */     GIR_EraseRootFromParent_Done,
     /* 2121225 */   // Label 28052: @2121225
     /* 2121225 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2121316), // Rule ID 17307 //
     /* 2121230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2121241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2121244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2121247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121276 */     // MIs[0] round
     /* 2121276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121279 */     // MIs[0] policy
     /* 2121279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121289 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2121292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121315 */     // GIR_Coverage, 17307,
     /* 2121315 */     GIR_EraseRootFromParent_Done,
     /* 2121316 */   // Label 28053: @2121316
     /* 2121316 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2121407), // Rule ID 17316 //
     /* 2121321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2121341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121367 */     // MIs[0] round
     /* 2121367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121370 */     // MIs[0] policy
     /* 2121370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2121383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121406 */     // GIR_Coverage, 17316,
     /* 2121406 */     GIR_EraseRootFromParent_Done,
     /* 2121407 */   // Label 28054: @2121407
     /* 2121407 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2121498), // Rule ID 17317 //
     /* 2121412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2121432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121458 */     // MIs[0] round
     /* 2121458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121461 */     // MIs[0] policy
     /* 2121461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121471 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2121474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121497 */     // GIR_Coverage, 17317,
     /* 2121497 */     GIR_EraseRootFromParent_Done,
     /* 2121498 */   // Label 28055: @2121498
     /* 2121498 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2121589), // Rule ID 17326 //
     /* 2121503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2121523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121549 */     // MIs[0] round
     /* 2121549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121552 */     // MIs[0] policy
     /* 2121552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2121565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121588 */     // GIR_Coverage, 17326,
     /* 2121588 */     GIR_EraseRootFromParent_Done,
     /* 2121589 */   // Label 28056: @2121589
     /* 2121589 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2121680), // Rule ID 17327 //
     /* 2121594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2121614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121640 */     // MIs[0] round
     /* 2121640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121643 */     // MIs[0] policy
     /* 2121643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2121656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121679 */     // GIR_Coverage, 17327,
     /* 2121679 */     GIR_EraseRootFromParent_Done,
     /* 2121680 */   // Label 28057: @2121680
     /* 2121680 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2121771), // Rule ID 17336 //
     /* 2121685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2121705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121731 */     // MIs[0] round
     /* 2121731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121734 */     // MIs[0] policy
     /* 2121734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121744 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2121747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121770 */     // GIR_Coverage, 17336,
     /* 2121770 */     GIR_EraseRootFromParent_Done,
     /* 2121771 */   // Label 28058: @2121771
     /* 2121771 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2121862), // Rule ID 17337 //
     /* 2121776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2121796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121822 */     // MIs[0] round
     /* 2121822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121825 */     // MIs[0] policy
     /* 2121825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121835 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2121838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121861 */     // GIR_Coverage, 17337,
     /* 2121861 */     GIR_EraseRootFromParent_Done,
     /* 2121862 */   // Label 28059: @2121862
     /* 2121862 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2121953), // Rule ID 17340 //
     /* 2121867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121913 */     // MIs[0] round
     /* 2121913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121916 */     // MIs[0] policy
     /* 2121916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121926 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2121929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121952 */     // GIR_Coverage, 17340,
     /* 2121952 */     GIR_EraseRootFromParent_Done,
     /* 2121953 */   // Label 28060: @2121953
     /* 2121953 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2122044), // Rule ID 17341 //
     /* 2121958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122004 */     // MIs[0] round
     /* 2122004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122007 */     // MIs[0] policy
     /* 2122007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122017 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2122020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122043 */     // GIR_Coverage, 17341,
     /* 2122043 */     GIR_EraseRootFromParent_Done,
     /* 2122044 */   // Label 28061: @2122044
     /* 2122044 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2122135), // Rule ID 17344 //
     /* 2122049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122095 */     // MIs[0] round
     /* 2122095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122098 */     // MIs[0] policy
     /* 2122098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2122111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122134 */     // GIR_Coverage, 17344,
     /* 2122134 */     GIR_EraseRootFromParent_Done,
     /* 2122135 */   // Label 28062: @2122135
     /* 2122135 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2122226), // Rule ID 17345 //
     /* 2122140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122186 */     // MIs[0] round
     /* 2122186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122189 */     // MIs[0] policy
     /* 2122189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122199 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2122202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122225 */     // GIR_Coverage, 17345,
     /* 2122225 */     GIR_EraseRootFromParent_Done,
     /* 2122226 */   // Label 28063: @2122226
     /* 2122226 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2122317), // Rule ID 17348 //
     /* 2122231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122277 */     // MIs[0] round
     /* 2122277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122280 */     // MIs[0] policy
     /* 2122280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2122293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122316 */     // GIR_Coverage, 17348,
     /* 2122316 */     GIR_EraseRootFromParent_Done,
     /* 2122317 */   // Label 28064: @2122317
     /* 2122317 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2122408), // Rule ID 17349 //
     /* 2122322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122368 */     // MIs[0] round
     /* 2122368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122371 */     // MIs[0] policy
     /* 2122371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2122384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122407 */     // GIR_Coverage, 17349,
     /* 2122407 */     GIR_EraseRootFromParent_Done,
     /* 2122408 */   // Label 28065: @2122408
     /* 2122408 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2122499), // Rule ID 17352 //
     /* 2122413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122459 */     // MIs[0] round
     /* 2122459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122462 */     // MIs[0] policy
     /* 2122462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122472 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2122475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122498 */     // GIR_Coverage, 17352,
     /* 2122498 */     GIR_EraseRootFromParent_Done,
     /* 2122499 */   // Label 28066: @2122499
     /* 2122499 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2122590), // Rule ID 17353 //
     /* 2122504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122550 */     // MIs[0] round
     /* 2122550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122553 */     // MIs[0] policy
     /* 2122553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2122566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122589 */     // GIR_Coverage, 17353,
     /* 2122589 */     GIR_EraseRootFromParent_Done,
     /* 2122590 */   // Label 28067: @2122590
     /* 2122590 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2122681), // Rule ID 17356 //
     /* 2122595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122641 */     // MIs[0] round
     /* 2122641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122644 */     // MIs[0] policy
     /* 2122644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122654 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2122657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122680 */     // GIR_Coverage, 17356,
     /* 2122680 */     GIR_EraseRootFromParent_Done,
     /* 2122681 */   // Label 28068: @2122681
     /* 2122681 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2122772), // Rule ID 17357 //
     /* 2122686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122732 */     // MIs[0] round
     /* 2122732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122735 */     // MIs[0] policy
     /* 2122735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122745 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2122748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122771 */     // GIR_Coverage, 17357,
     /* 2122771 */     GIR_EraseRootFromParent_Done,
     /* 2122772 */   // Label 28069: @2122772
     /* 2122772 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2122863), // Rule ID 17360 //
     /* 2122777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122823 */     // MIs[0] round
     /* 2122823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122826 */     // MIs[0] policy
     /* 2122826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2122839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122862 */     // GIR_Coverage, 17360,
     /* 2122862 */     GIR_EraseRootFromParent_Done,
     /* 2122863 */   // Label 28070: @2122863
     /* 2122863 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2122954), // Rule ID 17361 //
     /* 2122868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2122871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122914 */     // MIs[0] round
     /* 2122914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122917 */     // MIs[0] policy
     /* 2122917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2122930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122953 */     // GIR_Coverage, 17361,
     /* 2122953 */     GIR_EraseRootFromParent_Done,
     /* 2122954 */   // Label 28071: @2122954
     /* 2122954 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2123045), // Rule ID 17364 //
     /* 2122959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2122967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123005 */     // MIs[0] round
     /* 2123005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123008 */     // MIs[0] policy
     /* 2123008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2123021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123044 */     // GIR_Coverage, 17364,
     /* 2123044 */     GIR_EraseRootFromParent_Done,
     /* 2123045 */   // Label 28072: @2123045
     /* 2123045 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2123136), // Rule ID 17365 //
     /* 2123050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2123058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123096 */     // MIs[0] round
     /* 2123096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123099 */     // MIs[0] policy
     /* 2123099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2123112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123135 */     // GIR_Coverage, 17365,
     /* 2123135 */     GIR_EraseRootFromParent_Done,
     /* 2123136 */   // Label 28073: @2123136
     /* 2123136 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2123227), // Rule ID 17368 //
     /* 2123141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2123144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2123149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123187 */     // MIs[0] round
     /* 2123187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123190 */     // MIs[0] policy
     /* 2123190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2123203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123226 */     // GIR_Coverage, 17368,
     /* 2123226 */     GIR_EraseRootFromParent_Done,
     /* 2123227 */   // Label 28074: @2123227
     /* 2123227 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2123318), // Rule ID 17369 //
     /* 2123232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2123240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123278 */     // MIs[0] round
     /* 2123278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123281 */     // MIs[0] policy
     /* 2123281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2123294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123317 */     // GIR_Coverage, 17369,
     /* 2123317 */     GIR_EraseRootFromParent_Done,
     /* 2123318 */   // Label 28075: @2123318
     /* 2123318 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2123409), // Rule ID 17372 //
     /* 2123323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2123326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2123331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123369 */     // MIs[0] round
     /* 2123369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123372 */     // MIs[0] policy
     /* 2123372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2123385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123408 */     // GIR_Coverage, 17372,
     /* 2123408 */     GIR_EraseRootFromParent_Done,
     /* 2123409 */   // Label 28076: @2123409
     /* 2123409 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2123500), // Rule ID 17373 //
     /* 2123414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2123422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123460 */     // MIs[0] round
     /* 2123460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123463 */     // MIs[0] policy
     /* 2123463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123473 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2123476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123499 */     // GIR_Coverage, 17373,
     /* 2123499 */     GIR_EraseRootFromParent_Done,
     /* 2123500 */   // Label 28077: @2123500
     /* 2123500 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2123591), // Rule ID 17376 //
     /* 2123505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123551 */     // MIs[0] round
     /* 2123551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123554 */     // MIs[0] policy
     /* 2123554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123564 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2123567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123590 */     // GIR_Coverage, 17376,
     /* 2123590 */     GIR_EraseRootFromParent_Done,
     /* 2123591 */   // Label 28078: @2123591
     /* 2123591 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2123682), // Rule ID 17377 //
     /* 2123596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123642 */     // MIs[0] round
     /* 2123642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123645 */     // MIs[0] policy
     /* 2123645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123655 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2123658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123681 */     // GIR_Coverage, 17377,
     /* 2123681 */     GIR_EraseRootFromParent_Done,
     /* 2123682 */   // Label 28079: @2123682
     /* 2123682 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2123773), // Rule ID 17380 //
     /* 2123687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2123698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2123701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2123707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123733 */     // MIs[0] round
     /* 2123733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123736 */     // MIs[0] policy
     /* 2123736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123746 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2123749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123772 */     // GIR_Coverage, 17380,
     /* 2123772 */     GIR_EraseRootFromParent_Done,
     /* 2123773 */   // Label 28080: @2123773
     /* 2123773 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2123864), // Rule ID 17381 //
     /* 2123778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2123789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2123792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2123798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123824 */     // MIs[0] round
     /* 2123824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123827 */     // MIs[0] policy
     /* 2123827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123837 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2123840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123863 */     // GIR_Coverage, 17381,
     /* 2123863 */     GIR_EraseRootFromParent_Done,
     /* 2123864 */   // Label 28081: @2123864
     /* 2123864 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2123955), // Rule ID 17384 //
     /* 2123869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123915 */     // MIs[0] round
     /* 2123915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123918 */     // MIs[0] policy
     /* 2123918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2123931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123954 */     // GIR_Coverage, 17384,
     /* 2123954 */     GIR_EraseRootFromParent_Done,
     /* 2123955 */   // Label 28082: @2123955
     /* 2123955 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2124046), // Rule ID 17385 //
     /* 2123960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124006 */     // MIs[0] round
     /* 2124006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124009 */     // MIs[0] policy
     /* 2124009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2124022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124045 */     // GIR_Coverage, 17385,
     /* 2124045 */     GIR_EraseRootFromParent_Done,
     /* 2124046 */   // Label 28083: @2124046
     /* 2124046 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2124137), // Rule ID 17388 //
     /* 2124051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2124071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124097 */     // MIs[0] round
     /* 2124097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124100 */     // MIs[0] policy
     /* 2124100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2124113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124136 */     // GIR_Coverage, 17388,
     /* 2124136 */     GIR_EraseRootFromParent_Done,
     /* 2124137 */   // Label 28084: @2124137
     /* 2124137 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2124228), // Rule ID 17389 //
     /* 2124142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2124162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124188 */     // MIs[0] round
     /* 2124188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124191 */     // MIs[0] policy
     /* 2124191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124201 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2124204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124227 */     // GIR_Coverage, 17389,
     /* 2124227 */     GIR_EraseRootFromParent_Done,
     /* 2124228 */   // Label 28085: @2124228
     /* 2124228 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2124319), // Rule ID 17392 //
     /* 2124233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124279 */     // MIs[0] round
     /* 2124279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124282 */     // MIs[0] policy
     /* 2124282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2124295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124318 */     // GIR_Coverage, 17392,
     /* 2124318 */     GIR_EraseRootFromParent_Done,
     /* 2124319 */   // Label 28086: @2124319
     /* 2124319 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2124410), // Rule ID 17393 //
     /* 2124324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124370 */     // MIs[0] round
     /* 2124370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124373 */     // MIs[0] policy
     /* 2124373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2124386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124409 */     // GIR_Coverage, 17393,
     /* 2124409 */     GIR_EraseRootFromParent_Done,
     /* 2124410 */   // Label 28087: @2124410
     /* 2124410 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2124501), // Rule ID 17396 //
     /* 2124415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2124435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124461 */     // MIs[0] round
     /* 2124461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124464 */     // MIs[0] policy
     /* 2124464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124474 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2124477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124500 */     // GIR_Coverage, 17396,
     /* 2124500 */     GIR_EraseRootFromParent_Done,
     /* 2124501 */   // Label 28088: @2124501
     /* 2124501 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2124592), // Rule ID 17397 //
     /* 2124506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2124526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124552 */     // MIs[0] round
     /* 2124552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124555 */     // MIs[0] policy
     /* 2124555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2124568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124591 */     // GIR_Coverage, 17397,
     /* 2124591 */     GIR_EraseRootFromParent_Done,
     /* 2124592 */   // Label 28089: @2124592
     /* 2124592 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2124683), // Rule ID 17400 //
     /* 2124597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2124608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2124611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2124614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2124617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124643 */     // MIs[0] round
     /* 2124643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124646 */     // MIs[0] policy
     /* 2124646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124656 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2124659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124682 */     // GIR_Coverage, 17400,
     /* 2124682 */     GIR_EraseRootFromParent_Done,
     /* 2124683 */   // Label 28090: @2124683
     /* 2124683 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2124774), // Rule ID 17401 //
     /* 2124688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2124699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2124702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2124705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2124708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124734 */     // MIs[0] round
     /* 2124734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124737 */     // MIs[0] policy
     /* 2124737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124747 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2124750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124773 */     // GIR_Coverage, 17401,
     /* 2124773 */     GIR_EraseRootFromParent_Done,
     /* 2124774 */   // Label 28091: @2124774
     /* 2124774 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2124865), // Rule ID 17404 //
     /* 2124779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2124790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2124793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2124796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2124799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124825 */     // MIs[0] round
     /* 2124825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124828 */     // MIs[0] policy
     /* 2124828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124838 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2124841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124864 */     // GIR_Coverage, 17404,
     /* 2124864 */     GIR_EraseRootFromParent_Done,
     /* 2124865 */   // Label 28092: @2124865
     /* 2124865 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2124956), // Rule ID 17405 //
     /* 2124870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2124881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2124884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2124887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2124890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124916 */     // MIs[0] round
     /* 2124916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124919 */     // MIs[0] policy
     /* 2124919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124929 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2124932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124955 */     // GIR_Coverage, 17405,
     /* 2124955 */     GIR_EraseRootFromParent_Done,
     /* 2124956 */   // Label 28093: @2124956
     /* 2124956 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2125047), // Rule ID 17408 //
     /* 2124961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2124972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2124975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2124978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2124981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2124984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125007 */     // MIs[0] round
     /* 2125007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125010 */     // MIs[0] policy
     /* 2125010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125020 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2125023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125046 */     // GIR_Coverage, 17408,
     /* 2125046 */     GIR_EraseRootFromParent_Done,
     /* 2125047 */   // Label 28094: @2125047
     /* 2125047 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2125138), // Rule ID 17409 //
     /* 2125052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2125063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2125066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2125069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2125072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125098 */     // MIs[0] round
     /* 2125098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125101 */     // MIs[0] policy
     /* 2125101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125111 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2125114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125137 */     // GIR_Coverage, 17409,
     /* 2125137 */     GIR_EraseRootFromParent_Done,
     /* 2125138 */   // Label 28095: @2125138
     /* 2125138 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2125229), // Rule ID 17412 //
     /* 2125143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2125163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125189 */     // MIs[0] round
     /* 2125189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125192 */     // MIs[0] policy
     /* 2125192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2125205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125228 */     // GIR_Coverage, 17412,
     /* 2125228 */     GIR_EraseRootFromParent_Done,
     /* 2125229 */   // Label 28096: @2125229
     /* 2125229 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2125320), // Rule ID 17413 //
     /* 2125234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2125254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125280 */     // MIs[0] round
     /* 2125280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125283 */     // MIs[0] policy
     /* 2125283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125293 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2125296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125319 */     // GIR_Coverage, 17413,
     /* 2125319 */     GIR_EraseRootFromParent_Done,
     /* 2125320 */   // Label 28097: @2125320
     /* 2125320 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2125411), // Rule ID 17416 //
     /* 2125325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2125345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125371 */     // MIs[0] round
     /* 2125371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125374 */     // MIs[0] policy
     /* 2125374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2125387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125410 */     // GIR_Coverage, 17416,
     /* 2125410 */     GIR_EraseRootFromParent_Done,
     /* 2125411 */   // Label 28098: @2125411
     /* 2125411 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2125502), // Rule ID 17417 //
     /* 2125416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2125436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125462 */     // MIs[0] round
     /* 2125462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125465 */     // MIs[0] policy
     /* 2125465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125475 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2125478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125501 */     // GIR_Coverage, 17417,
     /* 2125501 */     GIR_EraseRootFromParent_Done,
     /* 2125502 */   // Label 28099: @2125502
     /* 2125502 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2125593), // Rule ID 17420 //
     /* 2125507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2125524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2125527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125553 */     // MIs[0] round
     /* 2125553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125556 */     // MIs[0] policy
     /* 2125556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2125569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125592 */     // GIR_Coverage, 17420,
     /* 2125592 */     GIR_EraseRootFromParent_Done,
     /* 2125593 */   // Label 28100: @2125593
     /* 2125593 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2125684), // Rule ID 17421 //
     /* 2125598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2125615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2125618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125644 */     // MIs[0] round
     /* 2125644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125647 */     // MIs[0] policy
     /* 2125647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125657 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2125660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125683 */     // GIR_Coverage, 17421,
     /* 2125683 */     GIR_EraseRootFromParent_Done,
     /* 2125684 */   // Label 28101: @2125684
     /* 2125684 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2125775), // Rule ID 17424 //
     /* 2125689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2125706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2125709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125735 */     // MIs[0] round
     /* 2125735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125738 */     // MIs[0] policy
     /* 2125738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2125751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125774 */     // GIR_Coverage, 17424,
     /* 2125774 */     GIR_EraseRootFromParent_Done,
     /* 2125775 */   // Label 28102: @2125775
     /* 2125775 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2125866), // Rule ID 17425 //
     /* 2125780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2125797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2125800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125826 */     // MIs[0] round
     /* 2125826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125829 */     // MIs[0] policy
     /* 2125829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125839 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2125842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125865 */     // GIR_Coverage, 17425,
     /* 2125865 */     GIR_EraseRootFromParent_Done,
     /* 2125866 */   // Label 28103: @2125866
     /* 2125866 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2125957), // Rule ID 17428 //
     /* 2125871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125917 */     // MIs[0] round
     /* 2125917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125920 */     // MIs[0] policy
     /* 2125920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2125933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125956 */     // GIR_Coverage, 17428,
     /* 2125956 */     GIR_EraseRootFromParent_Done,
     /* 2125957 */   // Label 28104: @2125957
     /* 2125957 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2126048), // Rule ID 17429 //
     /* 2125962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126008 */     // MIs[0] round
     /* 2126008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126011 */     // MIs[0] policy
     /* 2126011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126021 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2126024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126047 */     // GIR_Coverage, 17429,
     /* 2126047 */     GIR_EraseRootFromParent_Done,
     /* 2126048 */   // Label 28105: @2126048
     /* 2126048 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2126139), // Rule ID 17432 //
     /* 2126053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2126073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126099 */     // MIs[0] round
     /* 2126099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126102 */     // MIs[0] policy
     /* 2126102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126112 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2126115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126138 */     // GIR_Coverage, 17432,
     /* 2126138 */     GIR_EraseRootFromParent_Done,
     /* 2126139 */   // Label 28106: @2126139
     /* 2126139 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2126230), // Rule ID 17433 //
     /* 2126144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2126164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126190 */     // MIs[0] round
     /* 2126190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126193 */     // MIs[0] policy
     /* 2126193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2126206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126229 */     // GIR_Coverage, 17433,
     /* 2126229 */     GIR_EraseRootFromParent_Done,
     /* 2126230 */   // Label 28107: @2126230
     /* 2126230 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2126321), // Rule ID 17436 //
     /* 2126235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126281 */     // MIs[0] round
     /* 2126281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126284 */     // MIs[0] policy
     /* 2126284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126294 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2126297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126320 */     // GIR_Coverage, 17436,
     /* 2126320 */     GIR_EraseRootFromParent_Done,
     /* 2126321 */   // Label 28108: @2126321
     /* 2126321 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2126412), // Rule ID 17437 //
     /* 2126326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126372 */     // MIs[0] round
     /* 2126372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126375 */     // MIs[0] policy
     /* 2126375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126385 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2126388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126411 */     // GIR_Coverage, 17437,
     /* 2126411 */     GIR_EraseRootFromParent_Done,
     /* 2126412 */   // Label 28109: @2126412
     /* 2126412 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2126503), // Rule ID 17440 //
     /* 2126417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2126428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2126431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126463 */     // MIs[0] round
     /* 2126463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126466 */     // MIs[0] policy
     /* 2126466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2126479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126502 */     // GIR_Coverage, 17440,
     /* 2126502 */     GIR_EraseRootFromParent_Done,
     /* 2126503 */   // Label 28110: @2126503
     /* 2126503 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2126594), // Rule ID 17441 //
     /* 2126508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2126519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2126522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126554 */     // MIs[0] round
     /* 2126554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126557 */     // MIs[0] policy
     /* 2126557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126567 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2126570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126593 */     // GIR_Coverage, 17441,
     /* 2126593 */     GIR_EraseRootFromParent_Done,
     /* 2126594 */   // Label 28111: @2126594
     /* 2126594 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2126685), // Rule ID 17444 //
     /* 2126599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2126616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126645 */     // MIs[0] round
     /* 2126645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126648 */     // MIs[0] policy
     /* 2126648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126658 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2126661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126684 */     // GIR_Coverage, 17444,
     /* 2126684 */     GIR_EraseRootFromParent_Done,
     /* 2126685 */   // Label 28112: @2126685
     /* 2126685 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2126776), // Rule ID 17445 //
     /* 2126690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2126707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126736 */     // MIs[0] round
     /* 2126736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126739 */     // MIs[0] policy
     /* 2126739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126749 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2126752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126775 */     // GIR_Coverage, 17445,
     /* 2126775 */     GIR_EraseRootFromParent_Done,
     /* 2126776 */   // Label 28113: @2126776
     /* 2126776 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2126867), // Rule ID 17448 //
     /* 2126781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2126792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2126795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126827 */     // MIs[0] round
     /* 2126827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126830 */     // MIs[0] policy
     /* 2126830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2126843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126866 */     // GIR_Coverage, 17448,
     /* 2126866 */     GIR_EraseRootFromParent_Done,
     /* 2126867 */   // Label 28114: @2126867
     /* 2126867 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2126958), // Rule ID 17449 //
     /* 2126872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2126883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2126886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126918 */     // MIs[0] round
     /* 2126918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126921 */     // MIs[0] policy
     /* 2126921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126931 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2126934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126957 */     // GIR_Coverage, 17449,
     /* 2126957 */     GIR_EraseRootFromParent_Done,
     /* 2126958 */   // Label 28115: @2126958
     /* 2126958 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2127049), // Rule ID 17452 //
     /* 2126963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127009 */     // MIs[0] round
     /* 2127009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127012 */     // MIs[0] policy
     /* 2127012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2127025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127048 */     // GIR_Coverage, 17452,
     /* 2127048 */     GIR_EraseRootFromParent_Done,
     /* 2127049 */   // Label 28116: @2127049
     /* 2127049 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2127140), // Rule ID 17453 //
     /* 2127054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127100 */     // MIs[0] round
     /* 2127100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127103 */     // MIs[0] policy
     /* 2127103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127113 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2127116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127139 */     // GIR_Coverage, 17453,
     /* 2127139 */     GIR_EraseRootFromParent_Done,
     /* 2127140 */   // Label 28117: @2127140
     /* 2127140 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2127231), // Rule ID 17456 //
     /* 2127145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127191 */     // MIs[0] round
     /* 2127191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127194 */     // MIs[0] policy
     /* 2127194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2127207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127230 */     // GIR_Coverage, 17456,
     /* 2127230 */     GIR_EraseRootFromParent_Done,
     /* 2127231 */   // Label 28118: @2127231
     /* 2127231 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2127322), // Rule ID 17457 //
     /* 2127236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127282 */     // MIs[0] round
     /* 2127282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127285 */     // MIs[0] policy
     /* 2127285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127295 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2127298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127321 */     // GIR_Coverage, 17457,
     /* 2127321 */     GIR_EraseRootFromParent_Done,
     /* 2127322 */   // Label 28119: @2127322
     /* 2127322 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2127413), // Rule ID 17460 //
     /* 2127327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2127338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2127341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2127344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127373 */     // MIs[0] round
     /* 2127373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127376 */     // MIs[0] policy
     /* 2127376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127386 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2127389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127412 */     // GIR_Coverage, 17460,
     /* 2127412 */     GIR_EraseRootFromParent_Done,
     /* 2127413 */   // Label 28120: @2127413
     /* 2127413 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2127504), // Rule ID 17461 //
     /* 2127418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2127429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2127432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2127435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127464 */     // MIs[0] round
     /* 2127464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127467 */     // MIs[0] policy
     /* 2127467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127477 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2127480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127503 */     // GIR_Coverage, 17461,
     /* 2127503 */     GIR_EraseRootFromParent_Done,
     /* 2127504 */   // Label 28121: @2127504
     /* 2127504 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2127595), // Rule ID 17464 //
     /* 2127509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2127520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2127523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2127526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127555 */     // MIs[0] round
     /* 2127555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127558 */     // MIs[0] policy
     /* 2127558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127568 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2127571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127594 */     // GIR_Coverage, 17464,
     /* 2127594 */     GIR_EraseRootFromParent_Done,
     /* 2127595 */   // Label 28122: @2127595
     /* 2127595 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2127686), // Rule ID 17465 //
     /* 2127600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2127611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2127614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2127617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127646 */     // MIs[0] round
     /* 2127646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127649 */     // MIs[0] policy
     /* 2127649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2127662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127685 */     // GIR_Coverage, 17465,
     /* 2127685 */     GIR_EraseRootFromParent_Done,
     /* 2127686 */   // Label 28123: @2127686
     /* 2127686 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2127777), // Rule ID 17468 //
     /* 2127691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2127702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2127705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2127708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2127714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127737 */     // MIs[0] round
     /* 2127737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127740 */     // MIs[0] policy
     /* 2127740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127750 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2127753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127776 */     // GIR_Coverage, 17468,
     /* 2127776 */     GIR_EraseRootFromParent_Done,
     /* 2127777 */   // Label 28124: @2127777
     /* 2127777 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2127868), // Rule ID 17469 //
     /* 2127782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2127793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2127796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2127799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2127805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127828 */     // MIs[0] round
     /* 2127828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127831 */     // MIs[0] policy
     /* 2127831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127841 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2127844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127867 */     // GIR_Coverage, 17469,
     /* 2127867 */     GIR_EraseRootFromParent_Done,
     /* 2127868 */   // Label 28125: @2127868
     /* 2127868 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2127959), // Rule ID 17472 //
     /* 2127873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127919 */     // MIs[0] round
     /* 2127919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127922 */     // MIs[0] policy
     /* 2127922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2127935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127958 */     // GIR_Coverage, 17472,
     /* 2127958 */     GIR_EraseRootFromParent_Done,
     /* 2127959 */   // Label 28126: @2127959
     /* 2127959 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2128050), // Rule ID 17473 //
     /* 2127964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2127972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128010 */     // MIs[0] round
     /* 2128010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128013 */     // MIs[0] policy
     /* 2128013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128023 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2128026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128049 */     // GIR_Coverage, 17473,
     /* 2128049 */     GIR_EraseRootFromParent_Done,
     /* 2128050 */   // Label 28127: @2128050
     /* 2128050 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2128141), // Rule ID 17476 //
     /* 2128055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128101 */     // MIs[0] round
     /* 2128101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128104 */     // MIs[0] policy
     /* 2128104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2128117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128140 */     // GIR_Coverage, 17476,
     /* 2128140 */     GIR_EraseRootFromParent_Done,
     /* 2128141 */   // Label 28128: @2128141
     /* 2128141 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2128232), // Rule ID 17477 //
     /* 2128146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128192 */     // MIs[0] round
     /* 2128192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128195 */     // MIs[0] policy
     /* 2128195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2128208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128231 */     // GIR_Coverage, 17477,
     /* 2128231 */     GIR_EraseRootFromParent_Done,
     /* 2128232 */   // Label 28129: @2128232
     /* 2128232 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2128323), // Rule ID 17480 //
     /* 2128237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128283 */     // MIs[0] round
     /* 2128283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128286 */     // MIs[0] policy
     /* 2128286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2128299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128322 */     // GIR_Coverage, 17480,
     /* 2128322 */     GIR_EraseRootFromParent_Done,
     /* 2128323 */   // Label 28130: @2128323
     /* 2128323 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2128414), // Rule ID 17481 //
     /* 2128328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128374 */     // MIs[0] round
     /* 2128374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128377 */     // MIs[0] policy
     /* 2128377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2128390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128413 */     // GIR_Coverage, 17481,
     /* 2128413 */     GIR_EraseRootFromParent_Done,
     /* 2128414 */   // Label 28131: @2128414
     /* 2128414 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2128505), // Rule ID 17484 //
     /* 2128419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128465 */     // MIs[0] round
     /* 2128465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128468 */     // MIs[0] policy
     /* 2128468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2128481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128504 */     // GIR_Coverage, 17484,
     /* 2128504 */     GIR_EraseRootFromParent_Done,
     /* 2128505 */   // Label 28132: @2128505
     /* 2128505 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2128596), // Rule ID 17485 //
     /* 2128510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128556 */     // MIs[0] round
     /* 2128556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128559 */     // MIs[0] policy
     /* 2128559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128569 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2128572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128595 */     // GIR_Coverage, 17485,
     /* 2128595 */     GIR_EraseRootFromParent_Done,
     /* 2128596 */   // Label 28133: @2128596
     /* 2128596 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2128687), // Rule ID 17488 //
     /* 2128601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128647 */     // MIs[0] round
     /* 2128647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128650 */     // MIs[0] policy
     /* 2128650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2128663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128686 */     // GIR_Coverage, 17488,
     /* 2128686 */     GIR_EraseRootFromParent_Done,
     /* 2128687 */   // Label 28134: @2128687
     /* 2128687 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2128778), // Rule ID 17489 //
     /* 2128692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128738 */     // MIs[0] round
     /* 2128738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128741 */     // MIs[0] policy
     /* 2128741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128751 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2128754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128777 */     // GIR_Coverage, 17489,
     /* 2128777 */     GIR_EraseRootFromParent_Done,
     /* 2128778 */   // Label 28135: @2128778
     /* 2128778 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2128869), // Rule ID 17492 //
     /* 2128783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128829 */     // MIs[0] round
     /* 2128829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128832 */     // MIs[0] policy
     /* 2128832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2128845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128868 */     // GIR_Coverage, 17492,
     /* 2128868 */     GIR_EraseRootFromParent_Done,
     /* 2128869 */   // Label 28136: @2128869
     /* 2128869 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2128960), // Rule ID 17493 //
     /* 2128874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128920 */     // MIs[0] round
     /* 2128920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128923 */     // MIs[0] policy
     /* 2128923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128933 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2128936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128959 */     // GIR_Coverage, 17493,
     /* 2128959 */     GIR_EraseRootFromParent_Done,
     /* 2128960 */   // Label 28137: @2128960
     /* 2128960 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2129051), // Rule ID 17496 //
     /* 2128965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2128985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129011 */     // MIs[0] round
     /* 2129011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129014 */     // MIs[0] policy
     /* 2129014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129024 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2129027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129050 */     // GIR_Coverage, 17496,
     /* 2129050 */     GIR_EraseRootFromParent_Done,
     /* 2129051 */   // Label 28138: @2129051
     /* 2129051 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2129142), // Rule ID 17497 //
     /* 2129056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2129067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2129076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129102 */     // MIs[0] round
     /* 2129102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129105 */     // MIs[0] policy
     /* 2129105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129115 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2129118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129141 */     // GIR_Coverage, 17497,
     /* 2129141 */     GIR_EraseRootFromParent_Done,
     /* 2129142 */   // Label 28139: @2129142
     /* 2129142 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2129233), // Rule ID 17500 //
     /* 2129147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2129158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2129161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129193 */     // MIs[0] round
     /* 2129193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129196 */     // MIs[0] policy
     /* 2129196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129206 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2129209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129232 */     // GIR_Coverage, 17500,
     /* 2129232 */     GIR_EraseRootFromParent_Done,
     /* 2129233 */   // Label 28140: @2129233
     /* 2129233 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2129324), // Rule ID 17501 //
     /* 2129238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2129249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2129252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129284 */     // MIs[0] round
     /* 2129284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129287 */     // MIs[0] policy
     /* 2129287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129297 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2129300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129323 */     // GIR_Coverage, 17501,
     /* 2129323 */     GIR_EraseRootFromParent_Done,
     /* 2129324 */   // Label 28141: @2129324
     /* 2129324 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2129415), // Rule ID 17504 //
     /* 2129329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2129349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129375 */     // MIs[0] round
     /* 2129375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129378 */     // MIs[0] policy
     /* 2129378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2129391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129414 */     // GIR_Coverage, 17504,
     /* 2129414 */     GIR_EraseRootFromParent_Done,
     /* 2129415 */   // Label 28142: @2129415
     /* 2129415 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2129506), // Rule ID 17505 //
     /* 2129420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2129440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129466 */     // MIs[0] round
     /* 2129466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129469 */     // MIs[0] policy
     /* 2129469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129479 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2129482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129505 */     // GIR_Coverage, 17505,
     /* 2129505 */     GIR_EraseRootFromParent_Done,
     /* 2129506 */   // Label 28143: @2129506
     /* 2129506 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2129597), // Rule ID 17508 //
     /* 2129511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129557 */     // MIs[0] round
     /* 2129557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129560 */     // MIs[0] policy
     /* 2129560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2129573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129596 */     // GIR_Coverage, 17508,
     /* 2129596 */     GIR_EraseRootFromParent_Done,
     /* 2129597 */   // Label 28144: @2129597
     /* 2129597 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2129688), // Rule ID 17509 //
     /* 2129602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129648 */     // MIs[0] round
     /* 2129648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129651 */     // MIs[0] policy
     /* 2129651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129661 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2129664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129687 */     // GIR_Coverage, 17509,
     /* 2129687 */     GIR_EraseRootFromParent_Done,
     /* 2129688 */   // Label 28145: @2129688
     /* 2129688 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2129779), // Rule ID 17512 //
     /* 2129693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2129713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129739 */     // MIs[0] round
     /* 2129739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129742 */     // MIs[0] policy
     /* 2129742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2129755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129778 */     // GIR_Coverage, 17512,
     /* 2129778 */     GIR_EraseRootFromParent_Done,
     /* 2129779 */   // Label 28146: @2129779
     /* 2129779 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2129870), // Rule ID 17513 //
     /* 2129784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2129804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129830 */     // MIs[0] round
     /* 2129830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129833 */     // MIs[0] policy
     /* 2129833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129843 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2129846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129869 */     // GIR_Coverage, 17513,
     /* 2129869 */     GIR_EraseRootFromParent_Done,
     /* 2129870 */   // Label 28147: @2129870
     /* 2129870 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2129961), // Rule ID 17516 //
     /* 2129875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2129895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129921 */     // MIs[0] round
     /* 2129921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129924 */     // MIs[0] policy
     /* 2129924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2129937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129960 */     // GIR_Coverage, 17516,
     /* 2129960 */     GIR_EraseRootFromParent_Done,
     /* 2129961 */   // Label 28148: @2129961
     /* 2129961 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2130052), // Rule ID 17517 //
     /* 2129966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2129986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130012 */     // MIs[0] round
     /* 2130012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130015 */     // MIs[0] policy
     /* 2130015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130025 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2130028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130051 */     // GIR_Coverage, 17517,
     /* 2130051 */     GIR_EraseRootFromParent_Done,
     /* 2130052 */   // Label 28149: @2130052
     /* 2130052 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2130143), // Rule ID 17520 //
     /* 2130057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2130077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130103 */     // MIs[0] round
     /* 2130103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130106 */     // MIs[0] policy
     /* 2130106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130116 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2130119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130142 */     // GIR_Coverage, 17520,
     /* 2130142 */     GIR_EraseRootFromParent_Done,
     /* 2130143 */   // Label 28150: @2130143
     /* 2130143 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2130234), // Rule ID 17521 //
     /* 2130148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2130168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130194 */     // MIs[0] round
     /* 2130194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130197 */     // MIs[0] policy
     /* 2130197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130207 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2130210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130233 */     // GIR_Coverage, 17521,
     /* 2130233 */     GIR_EraseRootFromParent_Done,
     /* 2130234 */   // Label 28151: @2130234
     /* 2130234 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2130325), // Rule ID 17524 //
     /* 2130239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2130250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2130253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2130259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130285 */     // MIs[0] round
     /* 2130285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130288 */     // MIs[0] policy
     /* 2130288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130298 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2130301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130324 */     // GIR_Coverage, 17524,
     /* 2130324 */     GIR_EraseRootFromParent_Done,
     /* 2130325 */   // Label 28152: @2130325
     /* 2130325 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2130416), // Rule ID 17525 //
     /* 2130330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2130341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2130344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2130350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130376 */     // MIs[0] round
     /* 2130376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130379 */     // MIs[0] policy
     /* 2130379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130389 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2130392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130415 */     // GIR_Coverage, 17525,
     /* 2130415 */     GIR_EraseRootFromParent_Done,
     /* 2130416 */   // Label 28153: @2130416
     /* 2130416 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2130507), // Rule ID 17528 //
     /* 2130421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2130432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2130435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2130438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2130441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130467 */     // MIs[0] round
     /* 2130467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130470 */     // MIs[0] policy
     /* 2130470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130480 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2130483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130506 */     // GIR_Coverage, 17528,
     /* 2130506 */     GIR_EraseRootFromParent_Done,
     /* 2130507 */   // Label 28154: @2130507
     /* 2130507 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2130598), // Rule ID 17529 //
     /* 2130512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2130523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2130526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2130529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2130532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130558 */     // MIs[0] round
     /* 2130558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130561 */     // MIs[0] policy
     /* 2130561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130571 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2130574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130597 */     // GIR_Coverage, 17529,
     /* 2130597 */     GIR_EraseRootFromParent_Done,
     /* 2130598 */   // Label 28155: @2130598
     /* 2130598 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2130689), // Rule ID 17532 //
     /* 2130603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130649 */     // MIs[0] round
     /* 2130649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130652 */     // MIs[0] policy
     /* 2130652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2130665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130688 */     // GIR_Coverage, 17532,
     /* 2130688 */     GIR_EraseRootFromParent_Done,
     /* 2130689 */   // Label 28156: @2130689
     /* 2130689 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2130780), // Rule ID 17533 //
     /* 2130694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130740 */     // MIs[0] round
     /* 2130740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130743 */     // MIs[0] policy
     /* 2130743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130753 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2130756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130779 */     // GIR_Coverage, 17533,
     /* 2130779 */     GIR_EraseRootFromParent_Done,
     /* 2130780 */   // Label 28157: @2130780
     /* 2130780 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2130871), // Rule ID 17536 //
     /* 2130785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130831 */     // MIs[0] round
     /* 2130831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130834 */     // MIs[0] policy
     /* 2130834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130844 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2130847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130870 */     // GIR_Coverage, 17536,
     /* 2130870 */     GIR_EraseRootFromParent_Done,
     /* 2130871 */   // Label 28158: @2130871
     /* 2130871 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2130962), // Rule ID 17537 //
     /* 2130876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130922 */     // MIs[0] round
     /* 2130922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130925 */     // MIs[0] policy
     /* 2130925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130935 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2130938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130961 */     // GIR_Coverage, 17537,
     /* 2130961 */     GIR_EraseRootFromParent_Done,
     /* 2130962 */   // Label 28159: @2130962
     /* 2130962 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2131053), // Rule ID 17540 //
     /* 2130967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2130987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131013 */     // MIs[0] round
     /* 2131013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131016 */     // MIs[0] policy
     /* 2131016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2131029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131052 */     // GIR_Coverage, 17540,
     /* 2131052 */     GIR_EraseRootFromParent_Done,
     /* 2131053 */   // Label 28160: @2131053
     /* 2131053 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2131144), // Rule ID 17541 //
     /* 2131058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2131078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131104 */     // MIs[0] round
     /* 2131104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131107 */     // MIs[0] policy
     /* 2131107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131117 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2131120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131143 */     // GIR_Coverage, 17541,
     /* 2131143 */     GIR_EraseRootFromParent_Done,
     /* 2131144 */   // Label 28161: @2131144
     /* 2131144 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2131235), // Rule ID 17544 //
     /* 2131149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2131169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131195 */     // MIs[0] round
     /* 2131195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131198 */     // MIs[0] policy
     /* 2131198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131208 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2131211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131234 */     // GIR_Coverage, 17544,
     /* 2131234 */     GIR_EraseRootFromParent_Done,
     /* 2131235 */   // Label 28162: @2131235
     /* 2131235 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2131326), // Rule ID 17545 //
     /* 2131240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2131260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131286 */     // MIs[0] round
     /* 2131286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131289 */     // MIs[0] policy
     /* 2131289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2131302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131325 */     // GIR_Coverage, 17545,
     /* 2131325 */     GIR_EraseRootFromParent_Done,
     /* 2131326 */   // Label 28163: @2131326
     /* 2131326 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2131417), // Rule ID 17548 //
     /* 2131331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2131348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2131351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131377 */     // MIs[0] round
     /* 2131377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131380 */     // MIs[0] policy
     /* 2131380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2131393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131416 */     // GIR_Coverage, 17548,
     /* 2131416 */     GIR_EraseRootFromParent_Done,
     /* 2131417 */   // Label 28164: @2131417
     /* 2131417 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2131508), // Rule ID 17549 //
     /* 2131422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2131439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2131442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131468 */     // MIs[0] round
     /* 2131468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131471 */     // MIs[0] policy
     /* 2131471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131481 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2131484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131507 */     // GIR_Coverage, 17549,
     /* 2131507 */     GIR_EraseRootFromParent_Done,
     /* 2131508 */   // Label 28165: @2131508
     /* 2131508 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2131599), // Rule ID 17552 //
     /* 2131513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2131530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2131533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131559 */     // MIs[0] round
     /* 2131559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131562 */     // MIs[0] policy
     /* 2131562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2131575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131598 */     // GIR_Coverage, 17552,
     /* 2131598 */     GIR_EraseRootFromParent_Done,
     /* 2131599 */   // Label 28166: @2131599
     /* 2131599 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2131690), // Rule ID 17553 //
     /* 2131604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2131621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2131624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131650 */     // MIs[0] round
     /* 2131650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131653 */     // MIs[0] policy
     /* 2131653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131663 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2131666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131689 */     // GIR_Coverage, 17553,
     /* 2131689 */     GIR_EraseRootFromParent_Done,
     /* 2131690 */   // Label 28167: @2131690
     /* 2131690 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2131781), // Rule ID 17556 //
     /* 2131695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2131706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131741 */     // MIs[0] round
     /* 2131741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131744 */     // MIs[0] policy
     /* 2131744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131754 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2131757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131780 */     // GIR_Coverage, 17556,
     /* 2131780 */     GIR_EraseRootFromParent_Done,
     /* 2131781 */   // Label 28168: @2131781
     /* 2131781 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2131872), // Rule ID 17557 //
     /* 2131786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2131797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131832 */     // MIs[0] round
     /* 2131832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131835 */     // MIs[0] policy
     /* 2131835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131845 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2131848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131871 */     // GIR_Coverage, 17557,
     /* 2131871 */     GIR_EraseRootFromParent_Done,
     /* 2131872 */   // Label 28169: @2131872
     /* 2131872 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2131963), // Rule ID 17560 //
     /* 2131877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2131888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131923 */     // MIs[0] round
     /* 2131923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131926 */     // MIs[0] policy
     /* 2131926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131936 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2131939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131962 */     // GIR_Coverage, 17560,
     /* 2131962 */     GIR_EraseRootFromParent_Done,
     /* 2131963 */   // Label 28170: @2131963
     /* 2131963 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2132054), // Rule ID 17561 //
     /* 2131968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2131979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132014 */     // MIs[0] round
     /* 2132014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132017 */     // MIs[0] policy
     /* 2132017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2132030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132053 */     // GIR_Coverage, 17561,
     /* 2132053 */     GIR_EraseRootFromParent_Done,
     /* 2132054 */   // Label 28171: @2132054
     /* 2132054 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2132145), // Rule ID 17564 //
     /* 2132059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132105 */     // MIs[0] round
     /* 2132105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132108 */     // MIs[0] policy
     /* 2132108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132118 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2132121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132144 */     // GIR_Coverage, 17564,
     /* 2132144 */     GIR_EraseRootFromParent_Done,
     /* 2132145 */   // Label 28172: @2132145
     /* 2132145 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2132236), // Rule ID 17565 //
     /* 2132150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132196 */     // MIs[0] round
     /* 2132196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132199 */     // MIs[0] policy
     /* 2132199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2132212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132235 */     // GIR_Coverage, 17565,
     /* 2132235 */     GIR_EraseRootFromParent_Done,
     /* 2132236 */   // Label 28173: @2132236
     /* 2132236 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2132327), // Rule ID 17568 //
     /* 2132241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132287 */     // MIs[0] round
     /* 2132287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132290 */     // MIs[0] policy
     /* 2132290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2132303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132326 */     // GIR_Coverage, 17568,
     /* 2132326 */     GIR_EraseRootFromParent_Done,
     /* 2132327 */   // Label 28174: @2132327
     /* 2132327 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2132418), // Rule ID 17569 //
     /* 2132332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132378 */     // MIs[0] round
     /* 2132378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132381 */     // MIs[0] policy
     /* 2132381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2132394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132417 */     // GIR_Coverage, 17569,
     /* 2132417 */     GIR_EraseRootFromParent_Done,
     /* 2132418 */   // Label 28175: @2132418
     /* 2132418 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2132509), // Rule ID 17572 //
     /* 2132423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132469 */     // MIs[0] round
     /* 2132469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132472 */     // MIs[0] policy
     /* 2132472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132482 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2132485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132508 */     // GIR_Coverage, 17572,
     /* 2132508 */     GIR_EraseRootFromParent_Done,
     /* 2132509 */   // Label 28176: @2132509
     /* 2132509 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2132600), // Rule ID 17573 //
     /* 2132514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132560 */     // MIs[0] round
     /* 2132560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132563 */     // MIs[0] policy
     /* 2132563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132573 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2132576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132599 */     // GIR_Coverage, 17573,
     /* 2132599 */     GIR_EraseRootFromParent_Done,
     /* 2132600 */   // Label 28177: @2132600
     /* 2132600 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2132691), // Rule ID 17576 //
     /* 2132605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132651 */     // MIs[0] round
     /* 2132651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132654 */     // MIs[0] policy
     /* 2132654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2132667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132690 */     // GIR_Coverage, 17576,
     /* 2132690 */     GIR_EraseRootFromParent_Done,
     /* 2132691 */   // Label 28178: @2132691
     /* 2132691 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2132782), // Rule ID 17577 //
     /* 2132696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132742 */     // MIs[0] round
     /* 2132742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132745 */     // MIs[0] policy
     /* 2132745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132755 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2132758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132781 */     // GIR_Coverage, 17577,
     /* 2132781 */     GIR_EraseRootFromParent_Done,
     /* 2132782 */   // Label 28179: @2132782
     /* 2132782 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2132873), // Rule ID 17580 //
     /* 2132787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2132798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2132801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132833 */     // MIs[0] round
     /* 2132833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132836 */     // MIs[0] policy
     /* 2132836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2132849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132872 */     // GIR_Coverage, 17580,
     /* 2132872 */     GIR_EraseRootFromParent_Done,
     /* 2132873 */   // Label 28180: @2132873
     /* 2132873 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2132964), // Rule ID 17581 //
     /* 2132878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2132889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2132892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132924 */     // MIs[0] round
     /* 2132924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132927 */     // MIs[0] policy
     /* 2132927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132937 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2132940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132963 */     // GIR_Coverage, 17581,
     /* 2132963 */     GIR_EraseRootFromParent_Done,
     /* 2132964 */   // Label 28181: @2132964
     /* 2132964 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2133055), // Rule ID 17584 //
     /* 2132969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2132980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2132983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133015 */     // MIs[0] round
     /* 2133015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133018 */     // MIs[0] policy
     /* 2133018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133028 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2133031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133054 */     // GIR_Coverage, 17584,
     /* 2133054 */     GIR_EraseRootFromParent_Done,
     /* 2133055 */   // Label 28182: @2133055
     /* 2133055 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2133146), // Rule ID 17585 //
     /* 2133060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2133071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2133074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133106 */     // MIs[0] round
     /* 2133106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133109 */     // MIs[0] policy
     /* 2133109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133119 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2133122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133145 */     // GIR_Coverage, 17585,
     /* 2133145 */     GIR_EraseRootFromParent_Done,
     /* 2133146 */   // Label 28183: @2133146
     /* 2133146 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2133237), // Rule ID 17588 //
     /* 2133151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133197 */     // MIs[0] round
     /* 2133197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133200 */     // MIs[0] policy
     /* 2133200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133210 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2133213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133236 */     // GIR_Coverage, 17588,
     /* 2133236 */     GIR_EraseRootFromParent_Done,
     /* 2133237 */   // Label 28184: @2133237
     /* 2133237 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2133328), // Rule ID 17589 //
     /* 2133242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133288 */     // MIs[0] round
     /* 2133288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133291 */     // MIs[0] policy
     /* 2133291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133301 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2133304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133327 */     // GIR_Coverage, 17589,
     /* 2133327 */     GIR_EraseRootFromParent_Done,
     /* 2133328 */   // Label 28185: @2133328
     /* 2133328 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2133419), // Rule ID 17592 //
     /* 2133333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2133344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2133347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133379 */     // MIs[0] round
     /* 2133379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133382 */     // MIs[0] policy
     /* 2133382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2133395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133418 */     // GIR_Coverage, 17592,
     /* 2133418 */     GIR_EraseRootFromParent_Done,
     /* 2133419 */   // Label 28186: @2133419
     /* 2133419 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2133510), // Rule ID 17593 //
     /* 2133424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2133435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2133438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133470 */     // MIs[0] round
     /* 2133470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133473 */     // MIs[0] policy
     /* 2133473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2133486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133509 */     // GIR_Coverage, 17593,
     /* 2133509 */     GIR_EraseRootFromParent_Done,
     /* 2133510 */   // Label 28187: @2133510
     /* 2133510 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2133601), // Rule ID 17596 //
     /* 2133515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133561 */     // MIs[0] round
     /* 2133561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133564 */     // MIs[0] policy
     /* 2133564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2133577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133600 */     // GIR_Coverage, 17596,
     /* 2133600 */     GIR_EraseRootFromParent_Done,
     /* 2133601 */   // Label 28188: @2133601
     /* 2133601 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2133692), // Rule ID 17597 //
     /* 2133606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133652 */     // MIs[0] round
     /* 2133652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133655 */     // MIs[0] policy
     /* 2133655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2133668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133691 */     // GIR_Coverage, 17597,
     /* 2133691 */     GIR_EraseRootFromParent_Done,
     /* 2133692 */   // Label 28189: @2133692
     /* 2133692 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2133783), // Rule ID 17600 //
     /* 2133697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2133714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133743 */     // MIs[0] round
     /* 2133743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133746 */     // MIs[0] policy
     /* 2133746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2133759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133782 */     // GIR_Coverage, 17600,
     /* 2133782 */     GIR_EraseRootFromParent_Done,
     /* 2133783 */   // Label 28190: @2133783
     /* 2133783 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2133874), // Rule ID 17601 //
     /* 2133788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2133805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133834 */     // MIs[0] round
     /* 2133834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133837 */     // MIs[0] policy
     /* 2133837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133847 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2133850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133873 */     // GIR_Coverage, 17601,
     /* 2133873 */     GIR_EraseRootFromParent_Done,
     /* 2133874 */   // Label 28191: @2133874
     /* 2133874 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2133965), // Rule ID 17604 //
     /* 2133879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133925 */     // MIs[0] round
     /* 2133925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133928 */     // MIs[0] policy
     /* 2133928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2133941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133964 */     // GIR_Coverage, 17604,
     /* 2133964 */     GIR_EraseRootFromParent_Done,
     /* 2133965 */   // Label 28192: @2133965
     /* 2133965 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2134056), // Rule ID 17605 //
     /* 2133970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2133978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134016 */     // MIs[0] round
     /* 2134016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134019 */     // MIs[0] policy
     /* 2134019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2134032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134055 */     // GIR_Coverage, 17605,
     /* 2134055 */     GIR_EraseRootFromParent_Done,
     /* 2134056 */   // Label 28193: @2134056
     /* 2134056 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2134147), // Rule ID 17608 //
     /* 2134061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134107 */     // MIs[0] round
     /* 2134107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134110 */     // MIs[0] policy
     /* 2134110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2134123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134146 */     // GIR_Coverage, 17608,
     /* 2134146 */     GIR_EraseRootFromParent_Done,
     /* 2134147 */   // Label 28194: @2134147
     /* 2134147 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2134238), // Rule ID 17609 //
     /* 2134152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134198 */     // MIs[0] round
     /* 2134198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134201 */     // MIs[0] policy
     /* 2134201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134211 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2134214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134237 */     // GIR_Coverage, 17609,
     /* 2134237 */     GIR_EraseRootFromParent_Done,
     /* 2134238 */   // Label 28195: @2134238
     /* 2134238 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2134329), // Rule ID 17612 //
     /* 2134243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134289 */     // MIs[0] round
     /* 2134289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134292 */     // MIs[0] policy
     /* 2134292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2134305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134328 */     // GIR_Coverage, 17612,
     /* 2134328 */     GIR_EraseRootFromParent_Done,
     /* 2134329 */   // Label 28196: @2134329
     /* 2134329 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2134420), // Rule ID 17613 //
     /* 2134334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134380 */     // MIs[0] round
     /* 2134380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134383 */     // MIs[0] policy
     /* 2134383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134393 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2134396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134419 */     // GIR_Coverage, 17613,
     /* 2134419 */     GIR_EraseRootFromParent_Done,
     /* 2134420 */   // Label 28197: @2134420
     /* 2134420 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2134511), // Rule ID 17616 //
     /* 2134425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2134436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2134439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2134442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2134445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2134467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134471 */     // MIs[0] round
     /* 2134471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134474 */     // MIs[0] policy
     /* 2134474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2134487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134510 */     // GIR_Coverage, 17616,
     /* 2134510 */     GIR_EraseRootFromParent_Done,
     /* 2134511 */   // Label 28198: @2134511
     /* 2134511 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2134602), // Rule ID 17617 //
     /* 2134516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2134527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2134530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2134533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2134536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2134558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134562 */     // MIs[0] round
     /* 2134562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134565 */     // MIs[0] policy
     /* 2134565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134575 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2134578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134601 */     // GIR_Coverage, 17617,
     /* 2134601 */     GIR_EraseRootFromParent_Done,
     /* 2134602 */   // Label 28199: @2134602
     /* 2134602 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2134693), // Rule ID 17620 //
     /* 2134607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2134627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2134649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134653 */     // MIs[0] round
     /* 2134653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134656 */     // MIs[0] policy
     /* 2134656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2134669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134692 */     // GIR_Coverage, 17620,
     /* 2134692 */     GIR_EraseRootFromParent_Done,
     /* 2134693 */   // Label 28200: @2134693
     /* 2134693 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2134784), // Rule ID 17621 //
     /* 2134698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2134718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2134740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134744 */     // MIs[0] round
     /* 2134744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134747 */     // MIs[0] policy
     /* 2134747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134757 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2134760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134783 */     // GIR_Coverage, 17621,
     /* 2134783 */     GIR_EraseRootFromParent_Done,
     /* 2134784 */   // Label 28201: @2134784
     /* 2134784 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2134875), // Rule ID 17624 //
     /* 2134789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134835 */     // MIs[0] round
     /* 2134835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134838 */     // MIs[0] policy
     /* 2134838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2134851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134874 */     // GIR_Coverage, 17624,
     /* 2134874 */     GIR_EraseRootFromParent_Done,
     /* 2134875 */   // Label 28202: @2134875
     /* 2134875 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2134966), // Rule ID 17625 //
     /* 2134880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134926 */     // MIs[0] round
     /* 2134926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134929 */     // MIs[0] policy
     /* 2134929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134939 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2134942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134965 */     // GIR_Coverage, 17625,
     /* 2134965 */     GIR_EraseRootFromParent_Done,
     /* 2134966 */   // Label 28203: @2134966
     /* 2134966 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2135057), // Rule ID 17628 //
     /* 2134971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2134991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135017 */     // MIs[0] round
     /* 2135017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135020 */     // MIs[0] policy
     /* 2135020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2135033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135056 */     // GIR_Coverage, 17628,
     /* 2135056 */     GIR_EraseRootFromParent_Done,
     /* 2135057 */   // Label 28204: @2135057
     /* 2135057 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2135148), // Rule ID 17629 //
     /* 2135062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2135073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135108 */     // MIs[0] round
     /* 2135108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135111 */     // MIs[0] policy
     /* 2135111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135121 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2135124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135147 */     // GIR_Coverage, 17629,
     /* 2135147 */     GIR_EraseRootFromParent_Done,
     /* 2135148 */   // Label 28205: @2135148
     /* 2135148 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2135239), // Rule ID 17632 //
     /* 2135153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2135170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2135173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135199 */     // MIs[0] round
     /* 2135199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135202 */     // MIs[0] policy
     /* 2135202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2135215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135238 */     // GIR_Coverage, 17632,
     /* 2135238 */     GIR_EraseRootFromParent_Done,
     /* 2135239 */   // Label 28206: @2135239
     /* 2135239 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2135330), // Rule ID 17633 //
     /* 2135244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2135261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2135264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135290 */     // MIs[0] round
     /* 2135290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135293 */     // MIs[0] policy
     /* 2135293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2135306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135329 */     // GIR_Coverage, 17633,
     /* 2135329 */     GIR_EraseRootFromParent_Done,
     /* 2135330 */   // Label 28207: @2135330
     /* 2135330 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2135421), // Rule ID 17636 //
     /* 2135335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2135346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2135349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2135352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2135355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2135377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135381 */     // MIs[0] round
     /* 2135381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135384 */     // MIs[0] policy
     /* 2135384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2135397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135420 */     // GIR_Coverage, 17636,
     /* 2135420 */     GIR_EraseRootFromParent_Done,
     /* 2135421 */   // Label 28208: @2135421
     /* 2135421 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2135512), // Rule ID 17637 //
     /* 2135426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2135437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2135440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2135443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2135446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2135468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135472 */     // MIs[0] round
     /* 2135472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135475 */     // MIs[0] policy
     /* 2135475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135485 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2135488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135511 */     // GIR_Coverage, 17637,
     /* 2135511 */     GIR_EraseRootFromParent_Done,
     /* 2135512 */   // Label 28209: @2135512
     /* 2135512 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2135603), // Rule ID 17640 //
     /* 2135517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135563 */     // MIs[0] round
     /* 2135563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135566 */     // MIs[0] policy
     /* 2135566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2135579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135602 */     // GIR_Coverage, 17640,
     /* 2135602 */     GIR_EraseRootFromParent_Done,
     /* 2135603 */   // Label 28210: @2135603
     /* 2135603 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2135694), // Rule ID 17641 //
     /* 2135608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135654 */     // MIs[0] round
     /* 2135654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135657 */     // MIs[0] policy
     /* 2135657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2135670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135693 */     // GIR_Coverage, 17641,
     /* 2135693 */     GIR_EraseRootFromParent_Done,
     /* 2135694 */   // Label 28211: @2135694
     /* 2135694 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2135785), // Rule ID 17644 //
     /* 2135699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135745 */     // MIs[0] round
     /* 2135745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135748 */     // MIs[0] policy
     /* 2135748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2135761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135784 */     // GIR_Coverage, 17644,
     /* 2135784 */     GIR_EraseRootFromParent_Done,
     /* 2135785 */   // Label 28212: @2135785
     /* 2135785 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2135876), // Rule ID 17645 //
     /* 2135790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135836 */     // MIs[0] round
     /* 2135836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135839 */     // MIs[0] policy
     /* 2135839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135849 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2135852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135875 */     // GIR_Coverage, 17645,
     /* 2135875 */     GIR_EraseRootFromParent_Done,
     /* 2135876 */   // Label 28213: @2135876
     /* 2135876 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2135967), // Rule ID 17648 //
     /* 2135881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135927 */     // MIs[0] round
     /* 2135927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135930 */     // MIs[0] policy
     /* 2135930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2135943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135966 */     // GIR_Coverage, 17648,
     /* 2135966 */     GIR_EraseRootFromParent_Done,
     /* 2135967 */   // Label 28214: @2135967
     /* 2135967 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2136058), // Rule ID 17649 //
     /* 2135972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2135980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136018 */     // MIs[0] round
     /* 2136018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136021 */     // MIs[0] policy
     /* 2136021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136031 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2136034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136057 */     // GIR_Coverage, 17649,
     /* 2136057 */     GIR_EraseRootFromParent_Done,
     /* 2136058 */   // Label 28215: @2136058
     /* 2136058 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2136149), // Rule ID 17652 //
     /* 2136063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136109 */     // MIs[0] round
     /* 2136109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136112 */     // MIs[0] policy
     /* 2136112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136122 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2136125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136148 */     // GIR_Coverage, 17652,
     /* 2136148 */     GIR_EraseRootFromParent_Done,
     /* 2136149 */   // Label 28216: @2136149
     /* 2136149 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2136240), // Rule ID 17653 //
     /* 2136154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136200 */     // MIs[0] round
     /* 2136200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136203 */     // MIs[0] policy
     /* 2136203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2136216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136239 */     // GIR_Coverage, 17653,
     /* 2136239 */     GIR_EraseRootFromParent_Done,
     /* 2136240 */   // Label 28217: @2136240
     /* 2136240 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2136331), // Rule ID 17656 //
     /* 2136245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136291 */     // MIs[0] round
     /* 2136291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136294 */     // MIs[0] policy
     /* 2136294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2136307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136330 */     // GIR_Coverage, 17656,
     /* 2136330 */     GIR_EraseRootFromParent_Done,
     /* 2136331 */   // Label 28218: @2136331
     /* 2136331 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2136422), // Rule ID 17657 //
     /* 2136336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136382 */     // MIs[0] round
     /* 2136382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136385 */     // MIs[0] policy
     /* 2136385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2136398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136421 */     // GIR_Coverage, 17657,
     /* 2136421 */     GIR_EraseRootFromParent_Done,
     /* 2136422 */   // Label 28219: @2136422
     /* 2136422 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2136513), // Rule ID 17660 //
     /* 2136427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136473 */     // MIs[0] round
     /* 2136473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136476 */     // MIs[0] policy
     /* 2136476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2136489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136512 */     // GIR_Coverage, 17660,
     /* 2136512 */     GIR_EraseRootFromParent_Done,
     /* 2136513 */   // Label 28220: @2136513
     /* 2136513 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2136604), // Rule ID 17661 //
     /* 2136518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136564 */     // MIs[0] round
     /* 2136564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136567 */     // MIs[0] policy
     /* 2136567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2136580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136603 */     // GIR_Coverage, 17661,
     /* 2136603 */     GIR_EraseRootFromParent_Done,
     /* 2136604 */   // Label 28221: @2136604
     /* 2136604 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2136695), // Rule ID 17664 //
     /* 2136609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136655 */     // MIs[0] round
     /* 2136655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136658 */     // MIs[0] policy
     /* 2136658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136694 */     // GIR_Coverage, 17664,
     /* 2136694 */     GIR_EraseRootFromParent_Done,
     /* 2136695 */   // Label 28222: @2136695
     /* 2136695 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2136786), // Rule ID 17665 //
     /* 2136700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136746 */     // MIs[0] round
     /* 2136746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136749 */     // MIs[0] policy
     /* 2136749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2136762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136785 */     // GIR_Coverage, 17665,
     /* 2136785 */     GIR_EraseRootFromParent_Done,
     /* 2136786 */   // Label 28223: @2136786
     /* 2136786 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2136877), // Rule ID 17668 //
     /* 2136791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136837 */     // MIs[0] round
     /* 2136837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136840 */     // MIs[0] policy
     /* 2136840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136850 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2136853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136876 */     // GIR_Coverage, 17668,
     /* 2136876 */     GIR_EraseRootFromParent_Done,
     /* 2136877 */   // Label 28224: @2136877
     /* 2136877 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2136968), // Rule ID 17669 //
     /* 2136882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136928 */     // MIs[0] round
     /* 2136928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136931 */     // MIs[0] policy
     /* 2136931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136941 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2136944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136967 */     // GIR_Coverage, 17669,
     /* 2136967 */     GIR_EraseRootFromParent_Done,
     /* 2136968 */   // Label 28225: @2136968
     /* 2136968 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2137059), // Rule ID 17672 //
     /* 2136973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2136981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137019 */     // MIs[0] round
     /* 2137019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137022 */     // MIs[0] policy
     /* 2137022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137032 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137058 */     // GIR_Coverage, 17672,
     /* 2137058 */     GIR_EraseRootFromParent_Done,
     /* 2137059 */   // Label 28226: @2137059
     /* 2137059 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2137150), // Rule ID 17673 //
     /* 2137064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2137072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2137075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2137078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2137081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137110 */     // MIs[0] round
     /* 2137110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137113 */     // MIs[0] policy
     /* 2137113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2137126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137149 */     // GIR_Coverage, 17673,
     /* 2137149 */     GIR_EraseRootFromParent_Done,
     /* 2137150 */   // Label 28227: @2137150
     /* 2137150 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2137241), // Rule ID 17676 //
     /* 2137155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2137172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2137175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137201 */     // MIs[0] round
     /* 2137201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137204 */     // MIs[0] policy
     /* 2137204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2137217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137240 */     // GIR_Coverage, 17676,
     /* 2137240 */     GIR_EraseRootFromParent_Done,
     /* 2137241 */   // Label 28228: @2137241
     /* 2137241 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2137332), // Rule ID 17677 //
     /* 2137246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2137263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2137266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137292 */     // MIs[0] round
     /* 2137292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137295 */     // MIs[0] policy
     /* 2137295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137305 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2137308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137331 */     // GIR_Coverage, 17677,
     /* 2137331 */     GIR_EraseRootFromParent_Done,
     /* 2137332 */   // Label 28229: @2137332
     /* 2137332 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2137423), // Rule ID 17680 //
     /* 2137337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2137354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2137357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137383 */     // MIs[0] round
     /* 2137383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137386 */     // MIs[0] policy
     /* 2137386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2137399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137422 */     // GIR_Coverage, 17680,
     /* 2137422 */     GIR_EraseRootFromParent_Done,
     /* 2137423 */   // Label 28230: @2137423
     /* 2137423 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2137514), // Rule ID 17681 //
     /* 2137428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2137445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2137448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137474 */     // MIs[0] round
     /* 2137474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137477 */     // MIs[0] policy
     /* 2137477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137487 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2137490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137513 */     // GIR_Coverage, 17681,
     /* 2137513 */     GIR_EraseRootFromParent_Done,
     /* 2137514 */   // Label 28231: @2137514
     /* 2137514 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2137605), // Rule ID 17684 //
     /* 2137519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137565 */     // MIs[0] round
     /* 2137565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137568 */     // MIs[0] policy
     /* 2137568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137578 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2137581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137604 */     // GIR_Coverage, 17684,
     /* 2137604 */     GIR_EraseRootFromParent_Done,
     /* 2137605 */   // Label 28232: @2137605
     /* 2137605 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2137696), // Rule ID 17685 //
     /* 2137610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137656 */     // MIs[0] round
     /* 2137656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137659 */     // MIs[0] policy
     /* 2137659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137669 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2137672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137695 */     // GIR_Coverage, 17685,
     /* 2137695 */     GIR_EraseRootFromParent_Done,
     /* 2137696 */   // Label 28233: @2137696
     /* 2137696 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2137787), // Rule ID 17688 //
     /* 2137701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2137718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137747 */     // MIs[0] round
     /* 2137747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137750 */     // MIs[0] policy
     /* 2137750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2137763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137786 */     // GIR_Coverage, 17688,
     /* 2137786 */     GIR_EraseRootFromParent_Done,
     /* 2137787 */   // Label 28234: @2137787
     /* 2137787 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2137878), // Rule ID 17689 //
     /* 2137792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2137809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137838 */     // MIs[0] round
     /* 2137838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137841 */     // MIs[0] policy
     /* 2137841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137851 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2137854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137877 */     // GIR_Coverage, 17689,
     /* 2137877 */     GIR_EraseRootFromParent_Done,
     /* 2137878 */   // Label 28235: @2137878
     /* 2137878 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2137969), // Rule ID 17692 //
     /* 2137883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2137900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137929 */     // MIs[0] round
     /* 2137929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137932 */     // MIs[0] policy
     /* 2137932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2137945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137968 */     // GIR_Coverage, 17692,
     /* 2137968 */     GIR_EraseRootFromParent_Done,
     /* 2137969 */   // Label 28236: @2137969
     /* 2137969 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2138060), // Rule ID 17693 //
     /* 2137974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2137991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138020 */     // MIs[0] round
     /* 2138020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138023 */     // MIs[0] policy
     /* 2138023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138033 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2138036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138059 */     // GIR_Coverage, 17693,
     /* 2138059 */     GIR_EraseRootFromParent_Done,
     /* 2138060 */   // Label 28237: @2138060
     /* 2138060 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2138151), // Rule ID 17696 //
     /* 2138065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2138068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2138076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2138079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138111 */     // MIs[0] round
     /* 2138111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138114 */     // MIs[0] policy
     /* 2138114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2138127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138150 */     // GIR_Coverage, 17696,
     /* 2138150 */     GIR_EraseRootFromParent_Done,
     /* 2138151 */   // Label 28238: @2138151
     /* 2138151 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2138242), // Rule ID 17697 //
     /* 2138156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2138167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2138170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138202 */     // MIs[0] round
     /* 2138202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138205 */     // MIs[0] policy
     /* 2138205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2138218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138241 */     // GIR_Coverage, 17697,
     /* 2138241 */     GIR_EraseRootFromParent_Done,
     /* 2138242 */   // Label 28239: @2138242
     /* 2138242 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2138333), // Rule ID 17700 //
     /* 2138247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2138250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138293 */     // MIs[0] round
     /* 2138293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138296 */     // MIs[0] policy
     /* 2138296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138306 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2138309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138332 */     // GIR_Coverage, 17700,
     /* 2138332 */     GIR_EraseRootFromParent_Done,
     /* 2138333 */   // Label 28240: @2138333
     /* 2138333 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2138424), // Rule ID 17701 //
     /* 2138338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138384 */     // MIs[0] round
     /* 2138384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138387 */     // MIs[0] policy
     /* 2138387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138397 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2138400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138423 */     // GIR_Coverage, 17701,
     /* 2138423 */     GIR_EraseRootFromParent_Done,
     /* 2138424 */   // Label 28241: @2138424
     /* 2138424 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2138515), // Rule ID 17704 //
     /* 2138429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2138432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138475 */     // MIs[0] round
     /* 2138475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138478 */     // MIs[0] policy
     /* 2138478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138488 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2138491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138514 */     // GIR_Coverage, 17704,
     /* 2138514 */     GIR_EraseRootFromParent_Done,
     /* 2138515 */   // Label 28242: @2138515
     /* 2138515 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2138606), // Rule ID 17705 //
     /* 2138520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138566 */     // MIs[0] round
     /* 2138566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138569 */     // MIs[0] policy
     /* 2138569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138579 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2138582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138605 */     // GIR_Coverage, 17705,
     /* 2138605 */     GIR_EraseRootFromParent_Done,
     /* 2138606 */   // Label 28243: @2138606
     /* 2138606 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2138697), // Rule ID 17708 //
     /* 2138611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2138614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138657 */     // MIs[0] round
     /* 2138657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138660 */     // MIs[0] policy
     /* 2138660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138670 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2138673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138696 */     // GIR_Coverage, 17708,
     /* 2138696 */     GIR_EraseRootFromParent_Done,
     /* 2138697 */   // Label 28244: @2138697
     /* 2138697 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2138788), // Rule ID 17709 //
     /* 2138702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138748 */     // MIs[0] round
     /* 2138748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138751 */     // MIs[0] policy
     /* 2138751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138761 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2138764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138787 */     // GIR_Coverage, 17709,
     /* 2138787 */     GIR_EraseRootFromParent_Done,
     /* 2138788 */   // Label 28245: @2138788
     /* 2138788 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2138879), // Rule ID 17712 //
     /* 2138793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2138796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138839 */     // MIs[0] round
     /* 2138839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138842 */     // MIs[0] policy
     /* 2138842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2138855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138878 */     // GIR_Coverage, 17712,
     /* 2138878 */     GIR_EraseRootFromParent_Done,
     /* 2138879 */   // Label 28246: @2138879
     /* 2138879 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2138970), // Rule ID 17713 //
     /* 2138884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2138887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138930 */     // MIs[0] round
     /* 2138930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138933 */     // MIs[0] policy
     /* 2138933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138943 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2138946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138969 */     // GIR_Coverage, 17713,
     /* 2138969 */     GIR_EraseRootFromParent_Done,
     /* 2138970 */   // Label 28247: @2138970
     /* 2138970 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2139061), // Rule ID 17716 //
     /* 2138975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2138978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139021 */     // MIs[0] round
     /* 2139021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139024 */     // MIs[0] policy
     /* 2139024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139034 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2139037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139060 */     // GIR_Coverage, 17716,
     /* 2139060 */     GIR_EraseRootFromParent_Done,
     /* 2139061 */   // Label 28248: @2139061
     /* 2139061 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2139152), // Rule ID 17717 //
     /* 2139066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2139069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139112 */     // MIs[0] round
     /* 2139112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139115 */     // MIs[0] policy
     /* 2139115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139125 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2139128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139151 */     // GIR_Coverage, 17717,
     /* 2139151 */     GIR_EraseRootFromParent_Done,
     /* 2139152 */   // Label 28249: @2139152
     /* 2139152 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2139243), // Rule ID 17720 //
     /* 2139157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2139160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139203 */     // MIs[0] round
     /* 2139203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139206 */     // MIs[0] policy
     /* 2139206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2139219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139242 */     // GIR_Coverage, 17720,
     /* 2139242 */     GIR_EraseRootFromParent_Done,
     /* 2139243 */   // Label 28250: @2139243
     /* 2139243 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2139334), // Rule ID 17721 //
     /* 2139248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2139251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139294 */     // MIs[0] round
     /* 2139294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139297 */     // MIs[0] policy
     /* 2139297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2139310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139333 */     // GIR_Coverage, 17721,
     /* 2139333 */     GIR_EraseRootFromParent_Done,
     /* 2139334 */   // Label 28251: @2139334
     /* 2139334 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2139425), // Rule ID 17724 //
     /* 2139339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2139342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2139350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139385 */     // MIs[0] round
     /* 2139385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139388 */     // MIs[0] policy
     /* 2139388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139398 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2139401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139424 */     // GIR_Coverage, 17724,
     /* 2139424 */     GIR_EraseRootFromParent_Done,
     /* 2139425 */   // Label 28252: @2139425
     /* 2139425 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2139516), // Rule ID 17725 //
     /* 2139430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2139433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2139441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139476 */     // MIs[0] round
     /* 2139476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139479 */     // MIs[0] policy
     /* 2139479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2139492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139515 */     // GIR_Coverage, 17725,
     /* 2139515 */     GIR_EraseRootFromParent_Done,
     /* 2139516 */   // Label 28253: @2139516
     /* 2139516 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2139607), // Rule ID 17728 //
     /* 2139521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2139524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2139532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2139535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139567 */     // MIs[0] round
     /* 2139567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139570 */     // MIs[0] policy
     /* 2139570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139580 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2139583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139606 */     // GIR_Coverage, 17728,
     /* 2139606 */     GIR_EraseRootFromParent_Done,
     /* 2139607 */   // Label 28254: @2139607
     /* 2139607 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2139698), // Rule ID 17729 //
     /* 2139612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2139615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2139623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2139626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139658 */     // MIs[0] round
     /* 2139658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139661 */     // MIs[0] policy
     /* 2139661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139671 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2139674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139697 */     // GIR_Coverage, 17729,
     /* 2139697 */     GIR_EraseRootFromParent_Done,
     /* 2139698 */   // Label 28255: @2139698
     /* 2139698 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2139789), // Rule ID 17732 //
     /* 2139703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2139706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2139745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139749 */     // MIs[0] round
     /* 2139749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139752 */     // MIs[0] policy
     /* 2139752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139762 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2139765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139788 */     // GIR_Coverage, 17732,
     /* 2139788 */     GIR_EraseRootFromParent_Done,
     /* 2139789 */   // Label 28256: @2139789
     /* 2139789 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2139880), // Rule ID 17733 //
     /* 2139794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2139797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2139836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139840 */     // MIs[0] round
     /* 2139840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139843 */     // MIs[0] policy
     /* 2139843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2139856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139879 */     // GIR_Coverage, 17733,
     /* 2139879 */     GIR_EraseRootFromParent_Done,
     /* 2139880 */   // Label 28257: @2139880
     /* 2139880 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2139971), // Rule ID 17736 //
     /* 2139885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2139888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2139896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2139899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2139927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139931 */     // MIs[0] round
     /* 2139931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139934 */     // MIs[0] policy
     /* 2139934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139944 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2139947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139970 */     // GIR_Coverage, 17736,
     /* 2139970 */     GIR_EraseRootFromParent_Done,
     /* 2139971 */   // Label 28258: @2139971
     /* 2139971 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2140062), // Rule ID 17737 //
     /* 2139976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2139979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2139984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2139987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2139990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140022 */     // MIs[0] round
     /* 2140022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140025 */     // MIs[0] policy
     /* 2140025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140035 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2140038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140061 */     // GIR_Coverage, 17737,
     /* 2140061 */     GIR_EraseRootFromParent_Done,
     /* 2140062 */   // Label 28259: @2140062
     /* 2140062 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2140153), // Rule ID 17740 //
     /* 2140067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2140070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2140075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140113 */     // MIs[0] round
     /* 2140113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140116 */     // MIs[0] policy
     /* 2140116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140126 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2140129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140152 */     // GIR_Coverage, 17740,
     /* 2140152 */     GIR_EraseRootFromParent_Done,
     /* 2140153 */   // Label 28260: @2140153
     /* 2140153 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2140244), // Rule ID 17741 //
     /* 2140158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2140161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2140166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140204 */     // MIs[0] round
     /* 2140204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140207 */     // MIs[0] policy
     /* 2140207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2140220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140243 */     // GIR_Coverage, 17741,
     /* 2140243 */     GIR_EraseRootFromParent_Done,
     /* 2140244 */   // Label 28261: @2140244
     /* 2140244 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2140335), // Rule ID 17744 //
     /* 2140249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2140252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2140257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140295 */     // MIs[0] round
     /* 2140295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140298 */     // MIs[0] policy
     /* 2140298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2140311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140334 */     // GIR_Coverage, 17744,
     /* 2140334 */     GIR_EraseRootFromParent_Done,
     /* 2140335 */   // Label 28262: @2140335
     /* 2140335 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2140426), // Rule ID 17745 //
     /* 2140340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2140343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2140348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140386 */     // MIs[0] round
     /* 2140386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140389 */     // MIs[0] policy
     /* 2140389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140399 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2140402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140425 */     // GIR_Coverage, 17745,
     /* 2140425 */     GIR_EraseRootFromParent_Done,
     /* 2140426 */   // Label 28263: @2140426
     /* 2140426 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2140517), // Rule ID 17748 //
     /* 2140431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2140442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2140445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2140448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2140451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140477 */     // MIs[0] round
     /* 2140477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140480 */     // MIs[0] policy
     /* 2140480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140490 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2140493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140516 */     // GIR_Coverage, 17748,
     /* 2140516 */     GIR_EraseRootFromParent_Done,
     /* 2140517 */   // Label 28264: @2140517
     /* 2140517 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2140608), // Rule ID 17749 //
     /* 2140522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2140533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2140536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2140539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2140542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140568 */     // MIs[0] round
     /* 2140568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140571 */     // MIs[0] policy
     /* 2140571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140581 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2140584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140607 */     // GIR_Coverage, 17749,
     /* 2140607 */     GIR_EraseRootFromParent_Done,
     /* 2140608 */   // Label 28265: @2140608
     /* 2140608 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2140699), // Rule ID 17752 //
     /* 2140613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2140624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2140627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2140630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2140633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140659 */     // MIs[0] round
     /* 2140659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140662 */     // MIs[0] policy
     /* 2140662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140672 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2140675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140698 */     // GIR_Coverage, 17752,
     /* 2140698 */     GIR_EraseRootFromParent_Done,
     /* 2140699 */   // Label 28266: @2140699
     /* 2140699 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2140790), // Rule ID 17753 //
     /* 2140704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2140715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2140718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2140721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2140724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140750 */     // MIs[0] round
     /* 2140750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140753 */     // MIs[0] policy
     /* 2140753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140763 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2140766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140789 */     // GIR_Coverage, 17753,
     /* 2140789 */     GIR_EraseRootFromParent_Done,
     /* 2140790 */   // Label 28267: @2140790
     /* 2140790 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2140881), // Rule ID 17756 //
     /* 2140795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2140815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140841 */     // MIs[0] round
     /* 2140841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140844 */     // MIs[0] policy
     /* 2140844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2140857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140880 */     // GIR_Coverage, 17756,
     /* 2140880 */     GIR_EraseRootFromParent_Done,
     /* 2140881 */   // Label 28268: @2140881
     /* 2140881 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2140972), // Rule ID 17757 //
     /* 2140886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2140906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140932 */     // MIs[0] round
     /* 2140932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140935 */     // MIs[0] policy
     /* 2140935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140945 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2140948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140971 */     // GIR_Coverage, 17757,
     /* 2140971 */     GIR_EraseRootFromParent_Done,
     /* 2140972 */   // Label 28269: @2140972
     /* 2140972 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2141063), // Rule ID 17760 //
     /* 2140977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2140997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141023 */     // MIs[0] round
     /* 2141023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141026 */     // MIs[0] policy
     /* 2141026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2141039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141062 */     // GIR_Coverage, 17760,
     /* 2141062 */     GIR_EraseRootFromParent_Done,
     /* 2141063 */   // Label 28270: @2141063
     /* 2141063 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2141154), // Rule ID 17761 //
     /* 2141068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2141085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2141088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141114 */     // MIs[0] round
     /* 2141114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141117 */     // MIs[0] policy
     /* 2141117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2141130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141153 */     // GIR_Coverage, 17761,
     /* 2141153 */     GIR_EraseRootFromParent_Done,
     /* 2141154 */   // Label 28271: @2141154
     /* 2141154 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2141245), // Rule ID 17764 //
     /* 2141159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2141176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141205 */     // MIs[0] round
     /* 2141205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141208 */     // MIs[0] policy
     /* 2141208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141218 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2141221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141244 */     // GIR_Coverage, 17764,
     /* 2141244 */     GIR_EraseRootFromParent_Done,
     /* 2141245 */   // Label 28272: @2141245
     /* 2141245 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2141336), // Rule ID 17765 //
     /* 2141250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2141267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141296 */     // MIs[0] round
     /* 2141296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141299 */     // MIs[0] policy
     /* 2141299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2141312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141335 */     // GIR_Coverage, 17765,
     /* 2141335 */     GIR_EraseRootFromParent_Done,
     /* 2141336 */   // Label 28273: @2141336
     /* 2141336 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2141427), // Rule ID 17768 //
     /* 2141341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2141352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2141361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141387 */     // MIs[0] round
     /* 2141387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141390 */     // MIs[0] policy
     /* 2141390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141400 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2141403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141426 */     // GIR_Coverage, 17768,
     /* 2141426 */     GIR_EraseRootFromParent_Done,
     /* 2141427 */   // Label 28274: @2141427
     /* 2141427 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2141518), // Rule ID 17769 //
     /* 2141432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2141443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2141452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141478 */     // MIs[0] round
     /* 2141478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141481 */     // MIs[0] policy
     /* 2141481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141491 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2141494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141517 */     // GIR_Coverage, 17769,
     /* 2141517 */     GIR_EraseRootFromParent_Done,
     /* 2141518 */   // Label 28275: @2141518
     /* 2141518 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2141609), // Rule ID 17772 //
     /* 2141523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2141534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2141537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2141540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2141543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141569 */     // MIs[0] round
     /* 2141569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141572 */     // MIs[0] policy
     /* 2141572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141582 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141608 */     // GIR_Coverage, 17772,
     /* 2141608 */     GIR_EraseRootFromParent_Done,
     /* 2141609 */   // Label 28276: @2141609
     /* 2141609 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2141700), // Rule ID 17773 //
     /* 2141614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2141625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2141628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2141631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2141634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141660 */     // MIs[0] round
     /* 2141660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141663 */     // MIs[0] policy
     /* 2141663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141673 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2141676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141699 */     // GIR_Coverage, 17773,
     /* 2141699 */     GIR_EraseRootFromParent_Done,
     /* 2141700 */   // Label 28277: @2141700
     /* 2141700 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2141791), // Rule ID 17776 //
     /* 2141705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2141716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2141719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2141722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2141725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2141728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141751 */     // MIs[0] round
     /* 2141751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141754 */     // MIs[0] policy
     /* 2141754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141764 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2141767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141790 */     // GIR_Coverage, 17776,
     /* 2141790 */     GIR_EraseRootFromParent_Done,
     /* 2141791 */   // Label 28278: @2141791
     /* 2141791 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2141882), // Rule ID 17777 //
     /* 2141796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2141807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2141810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2141813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2141816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2141819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141842 */     // MIs[0] round
     /* 2141842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141845 */     // MIs[0] policy
     /* 2141845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141855 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2141858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141881 */     // GIR_Coverage, 17777,
     /* 2141881 */     GIR_EraseRootFromParent_Done,
     /* 2141882 */   // Label 28279: @2141882
     /* 2141882 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2141973), // Rule ID 17780 //
     /* 2141887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141933 */     // MIs[0] round
     /* 2141933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141936 */     // MIs[0] policy
     /* 2141936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141946 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2141949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141972 */     // GIR_Coverage, 17780,
     /* 2141972 */     GIR_EraseRootFromParent_Done,
     /* 2141973 */   // Label 28280: @2141973
     /* 2141973 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2142064), // Rule ID 17781 //
     /* 2141978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142024 */     // MIs[0] round
     /* 2142024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142027 */     // MIs[0] policy
     /* 2142027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142037 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2142040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142063 */     // GIR_Coverage, 17781,
     /* 2142063 */     GIR_EraseRootFromParent_Done,
     /* 2142064 */   // Label 28281: @2142064
     /* 2142064 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2142155), // Rule ID 17784 //
     /* 2142069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142115 */     // MIs[0] round
     /* 2142115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142118 */     // MIs[0] policy
     /* 2142118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2142131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142154 */     // GIR_Coverage, 17784,
     /* 2142154 */     GIR_EraseRootFromParent_Done,
     /* 2142155 */   // Label 28282: @2142155
     /* 2142155 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2142246), // Rule ID 17785 //
     /* 2142160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142206 */     // MIs[0] round
     /* 2142206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142209 */     // MIs[0] policy
     /* 2142209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142219 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2142222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142245 */     // GIR_Coverage, 17785,
     /* 2142245 */     GIR_EraseRootFromParent_Done,
     /* 2142246 */   // Label 28283: @2142246
     /* 2142246 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2142337), // Rule ID 17788 //
     /* 2142251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2142268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142297 */     // MIs[0] round
     /* 2142297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142300 */     // MIs[0] policy
     /* 2142300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142310 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2142313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142336 */     // GIR_Coverage, 17788,
     /* 2142336 */     GIR_EraseRootFromParent_Done,
     /* 2142337 */   // Label 28284: @2142337
     /* 2142337 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2142428), // Rule ID 17789 //
     /* 2142342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2142359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142388 */     // MIs[0] round
     /* 2142388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142391 */     // MIs[0] policy
     /* 2142391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142401 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2142404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142427 */     // GIR_Coverage, 17789,
     /* 2142427 */     GIR_EraseRootFromParent_Done,
     /* 2142428 */   // Label 28285: @2142428
     /* 2142428 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2142519), // Rule ID 17792 //
     /* 2142433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2142444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2142447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2142450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2142453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142479 */     // MIs[0] round
     /* 2142479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142482 */     // MIs[0] policy
     /* 2142482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2142495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142518 */     // GIR_Coverage, 17792,
     /* 2142518 */     GIR_EraseRootFromParent_Done,
     /* 2142519 */   // Label 28286: @2142519
     /* 2142519 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2142610), // Rule ID 17793 //
     /* 2142524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2142535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2142538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2142541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2142544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142570 */     // MIs[0] round
     /* 2142570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142573 */     // MIs[0] policy
     /* 2142573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2142586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142609 */     // GIR_Coverage, 17793,
     /* 2142609 */     GIR_EraseRootFromParent_Done,
     /* 2142610 */   // Label 28287: @2142610
     /* 2142610 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2142701), // Rule ID 17796 //
     /* 2142615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2142626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2142629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2142632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2142635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142661 */     // MIs[0] round
     /* 2142661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142664 */     // MIs[0] policy
     /* 2142664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142674 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2142677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142700 */     // GIR_Coverage, 17796,
     /* 2142700 */     GIR_EraseRootFromParent_Done,
     /* 2142701 */   // Label 28288: @2142701
     /* 2142701 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2142792), // Rule ID 17797 //
     /* 2142706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2142717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2142720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2142723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2142726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142752 */     // MIs[0] round
     /* 2142752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142755 */     // MIs[0] policy
     /* 2142755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142765 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2142768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142791 */     // GIR_Coverage, 17797,
     /* 2142791 */     GIR_EraseRootFromParent_Done,
     /* 2142792 */   // Label 28289: @2142792
     /* 2142792 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2142883), // Rule ID 17800 //
     /* 2142797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2142817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142843 */     // MIs[0] round
     /* 2142843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142846 */     // MIs[0] policy
     /* 2142846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142856 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2142859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142882 */     // GIR_Coverage, 17800,
     /* 2142882 */     GIR_EraseRootFromParent_Done,
     /* 2142883 */   // Label 28290: @2142883
     /* 2142883 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2142974), // Rule ID 17801 //
     /* 2142888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2142908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142934 */     // MIs[0] round
     /* 2142934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142937 */     // MIs[0] policy
     /* 2142937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142947 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2142950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142973 */     // GIR_Coverage, 17801,
     /* 2142973 */     GIR_EraseRootFromParent_Done,
     /* 2142974 */   // Label 28291: @2142974
     /* 2142974 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2143065), // Rule ID 17804 //
     /* 2142979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143025 */     // MIs[0] round
     /* 2143025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143028 */     // MIs[0] policy
     /* 2143028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143038 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2143041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143064 */     // GIR_Coverage, 17804,
     /* 2143064 */     GIR_EraseRootFromParent_Done,
     /* 2143065 */   // Label 28292: @2143065
     /* 2143065 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2143156), // Rule ID 17805 //
     /* 2143070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143116 */     // MIs[0] round
     /* 2143116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143119 */     // MIs[0] policy
     /* 2143119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143129 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2143132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143155 */     // GIR_Coverage, 17805,
     /* 2143155 */     GIR_EraseRootFromParent_Done,
     /* 2143156 */   // Label 28293: @2143156
     /* 2143156 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2143247), // Rule ID 17808 //
     /* 2143161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143207 */     // MIs[0] round
     /* 2143207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143210 */     // MIs[0] policy
     /* 2143210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143220 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143246 */     // GIR_Coverage, 17808,
     /* 2143246 */     GIR_EraseRootFromParent_Done,
     /* 2143247 */   // Label 28294: @2143247
     /* 2143247 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2143338), // Rule ID 17809 //
     /* 2143252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143298 */     // MIs[0] round
     /* 2143298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143301 */     // MIs[0] policy
     /* 2143301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143311 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2143314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143337 */     // GIR_Coverage, 17809,
     /* 2143337 */     GIR_EraseRootFromParent_Done,
     /* 2143338 */   // Label 28295: @2143338
     /* 2143338 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2143429), // Rule ID 17812 //
     /* 2143343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143389 */     // MIs[0] round
     /* 2143389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143392 */     // MIs[0] policy
     /* 2143392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143402 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2143405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143428 */     // GIR_Coverage, 17812,
     /* 2143428 */     GIR_EraseRootFromParent_Done,
     /* 2143429 */   // Label 28296: @2143429
     /* 2143429 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2143520), // Rule ID 17813 //
     /* 2143434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143480 */     // MIs[0] round
     /* 2143480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143483 */     // MIs[0] policy
     /* 2143483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143493 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2143496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143519 */     // GIR_Coverage, 17813,
     /* 2143519 */     GIR_EraseRootFromParent_Done,
     /* 2143520 */   // Label 28297: @2143520
     /* 2143520 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2143611), // Rule ID 17816 //
     /* 2143525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143571 */     // MIs[0] round
     /* 2143571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143574 */     // MIs[0] policy
     /* 2143574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143584 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2143587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143610 */     // GIR_Coverage, 17816,
     /* 2143610 */     GIR_EraseRootFromParent_Done,
     /* 2143611 */   // Label 28298: @2143611
     /* 2143611 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2143702), // Rule ID 17817 //
     /* 2143616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143662 */     // MIs[0] round
     /* 2143662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143665 */     // MIs[0] policy
     /* 2143665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143675 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2143678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143701 */     // GIR_Coverage, 17817,
     /* 2143701 */     GIR_EraseRootFromParent_Done,
     /* 2143702 */   // Label 28299: @2143702
     /* 2143702 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2143793), // Rule ID 17820 //
     /* 2143707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2143718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2143721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2143727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143753 */     // MIs[0] round
     /* 2143753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143756 */     // MIs[0] policy
     /* 2143756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143766 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2143769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143792 */     // GIR_Coverage, 17820,
     /* 2143792 */     GIR_EraseRootFromParent_Done,
     /* 2143793 */   // Label 28300: @2143793
     /* 2143793 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2143884), // Rule ID 17821 //
     /* 2143798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2143809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2143812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2143818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143844 */     // MIs[0] round
     /* 2143844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143847 */     // MIs[0] policy
     /* 2143847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2143860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143883 */     // GIR_Coverage, 17821,
     /* 2143883 */     GIR_EraseRootFromParent_Done,
     /* 2143884 */   // Label 28301: @2143884
     /* 2143884 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2143975), // Rule ID 17824 //
     /* 2143889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2143909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143935 */     // MIs[0] round
     /* 2143935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143938 */     // MIs[0] policy
     /* 2143938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2143951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143974 */     // GIR_Coverage, 17824,
     /* 2143974 */     GIR_EraseRootFromParent_Done,
     /* 2143975 */   // Label 28302: @2143975
     /* 2143975 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2144066), // Rule ID 17825 //
     /* 2143980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144026 */     // MIs[0] round
     /* 2144026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144029 */     // MIs[0] policy
     /* 2144029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144039 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2144042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144065 */     // GIR_Coverage, 17825,
     /* 2144065 */     GIR_EraseRootFromParent_Done,
     /* 2144066 */   // Label 28303: @2144066
     /* 2144066 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2144157), // Rule ID 17828 //
     /* 2144071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144117 */     // MIs[0] round
     /* 2144117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144120 */     // MIs[0] policy
     /* 2144120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2144133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144156 */     // GIR_Coverage, 17828,
     /* 2144156 */     GIR_EraseRootFromParent_Done,
     /* 2144157 */   // Label 28304: @2144157
     /* 2144157 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2144248), // Rule ID 17829 //
     /* 2144162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144208 */     // MIs[0] round
     /* 2144208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144211 */     // MIs[0] policy
     /* 2144211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144221 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2144224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144247 */     // GIR_Coverage, 17829,
     /* 2144247 */     GIR_EraseRootFromParent_Done,
     /* 2144248 */   // Label 28305: @2144248
     /* 2144248 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2144339), // Rule ID 17832 //
     /* 2144253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144299 */     // MIs[0] round
     /* 2144299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144302 */     // MIs[0] policy
     /* 2144302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144312 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2144315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144338 */     // GIR_Coverage, 17832,
     /* 2144338 */     GIR_EraseRootFromParent_Done,
     /* 2144339 */   // Label 28306: @2144339
     /* 2144339 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2144430), // Rule ID 17833 //
     /* 2144344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144390 */     // MIs[0] round
     /* 2144390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144393 */     // MIs[0] policy
     /* 2144393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144403 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2144406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144429 */     // GIR_Coverage, 17833,
     /* 2144429 */     GIR_EraseRootFromParent_Done,
     /* 2144430 */   // Label 28307: @2144430
     /* 2144430 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2144521), // Rule ID 17836 //
     /* 2144435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2144446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2144449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2144455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144481 */     // MIs[0] round
     /* 2144481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144484 */     // MIs[0] policy
     /* 2144484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144494 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2144497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144520 */     // GIR_Coverage, 17836,
     /* 2144520 */     GIR_EraseRootFromParent_Done,
     /* 2144521 */   // Label 28308: @2144521
     /* 2144521 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2144612), // Rule ID 17837 //
     /* 2144526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2144537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2144540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2144543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2144546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144572 */     // MIs[0] round
     /* 2144572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144575 */     // MIs[0] policy
     /* 2144575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144585 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2144588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144611 */     // GIR_Coverage, 17837,
     /* 2144611 */     GIR_EraseRootFromParent_Done,
     /* 2144612 */   // Label 28309: @2144612
     /* 2144612 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2144703), // Rule ID 17840 //
     /* 2144617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2144628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2144631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2144637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144663 */     // MIs[0] round
     /* 2144663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144666 */     // MIs[0] policy
     /* 2144666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144676 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144702 */     // GIR_Coverage, 17840,
     /* 2144702 */     GIR_EraseRootFromParent_Done,
     /* 2144703 */   // Label 28310: @2144703
     /* 2144703 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2144794), // Rule ID 17841 //
     /* 2144708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2144719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2144722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2144728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144754 */     // MIs[0] round
     /* 2144754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144757 */     // MIs[0] policy
     /* 2144757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144767 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2144770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144793 */     // GIR_Coverage, 17841,
     /* 2144793 */     GIR_EraseRootFromParent_Done,
     /* 2144794 */   // Label 28311: @2144794
     /* 2144794 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2144885), // Rule ID 17844 //
     /* 2144799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2144819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144845 */     // MIs[0] round
     /* 2144845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144848 */     // MIs[0] policy
     /* 2144848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144858 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2144861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144884 */     // GIR_Coverage, 17844,
     /* 2144884 */     GIR_EraseRootFromParent_Done,
     /* 2144885 */   // Label 28312: @2144885
     /* 2144885 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2144976), // Rule ID 17845 //
     /* 2144890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2144910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144936 */     // MIs[0] round
     /* 2144936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144939 */     // MIs[0] policy
     /* 2144939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144949 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2144952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144975 */     // GIR_Coverage, 17845,
     /* 2144975 */     GIR_EraseRootFromParent_Done,
     /* 2144976 */   // Label 28313: @2144976
     /* 2144976 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2145067), // Rule ID 17848 //
     /* 2144981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2144989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145027 */     // MIs[0] round
     /* 2145027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145030 */     // MIs[0] policy
     /* 2145030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145040 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2145043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145066 */     // GIR_Coverage, 17848,
     /* 2145066 */     GIR_EraseRootFromParent_Done,
     /* 2145067 */   // Label 28314: @2145067
     /* 2145067 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2145158), // Rule ID 17849 //
     /* 2145072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2145089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145118 */     // MIs[0] round
     /* 2145118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145121 */     // MIs[0] policy
     /* 2145121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145131 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2145134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145157 */     // GIR_Coverage, 17849,
     /* 2145157 */     GIR_EraseRootFromParent_Done,
     /* 2145158 */   // Label 28315: @2145158
     /* 2145158 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2145249), // Rule ID 17852 //
     /* 2145163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145209 */     // MIs[0] round
     /* 2145209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145212 */     // MIs[0] policy
     /* 2145212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145222 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2145225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145248 */     // GIR_Coverage, 17852,
     /* 2145248 */     GIR_EraseRootFromParent_Done,
     /* 2145249 */   // Label 28316: @2145249
     /* 2145249 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2145340), // Rule ID 17853 //
     /* 2145254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145300 */     // MIs[0] round
     /* 2145300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145303 */     // MIs[0] policy
     /* 2145303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145313 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2145316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145339 */     // GIR_Coverage, 17853,
     /* 2145339 */     GIR_EraseRootFromParent_Done,
     /* 2145340 */   // Label 28317: @2145340
     /* 2145340 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2145431), // Rule ID 17856 //
     /* 2145345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2145365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145391 */     // MIs[0] round
     /* 2145391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145394 */     // MIs[0] policy
     /* 2145394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2145407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145430 */     // GIR_Coverage, 17856,
     /* 2145430 */     GIR_EraseRootFromParent_Done,
     /* 2145431 */   // Label 28318: @2145431
     /* 2145431 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2145522), // Rule ID 17857 //
     /* 2145436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2145456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145482 */     // MIs[0] round
     /* 2145482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145485 */     // MIs[0] policy
     /* 2145485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145495 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2145498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145521 */     // GIR_Coverage, 17857,
     /* 2145521 */     GIR_EraseRootFromParent_Done,
     /* 2145522 */   // Label 28319: @2145522
     /* 2145522 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2145613), // Rule ID 17860 //
     /* 2145527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2145547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145573 */     // MIs[0] round
     /* 2145573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145576 */     // MIs[0] policy
     /* 2145576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145586 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2145589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145612 */     // GIR_Coverage, 17860,
     /* 2145612 */     GIR_EraseRootFromParent_Done,
     /* 2145613 */   // Label 28320: @2145613
     /* 2145613 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2145704), // Rule ID 17861 //
     /* 2145618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2145635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2145638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145664 */     // MIs[0] round
     /* 2145664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145667 */     // MIs[0] policy
     /* 2145667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2145680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145703 */     // GIR_Coverage, 17861,
     /* 2145703 */     GIR_EraseRootFromParent_Done,
     /* 2145704 */   // Label 28321: @2145704
     /* 2145704 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2145795), // Rule ID 17864 //
     /* 2145709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2145720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2145723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2145726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2145729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145755 */     // MIs[0] round
     /* 2145755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145758 */     // MIs[0] policy
     /* 2145758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145768 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2145771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145794 */     // GIR_Coverage, 17864,
     /* 2145794 */     GIR_EraseRootFromParent_Done,
     /* 2145795 */   // Label 28322: @2145795
     /* 2145795 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2145886), // Rule ID 17865 //
     /* 2145800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2145811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2145814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2145817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2145820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145846 */     // MIs[0] round
     /* 2145846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145849 */     // MIs[0] policy
     /* 2145849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2145862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145885 */     // GIR_Coverage, 17865,
     /* 2145885 */     GIR_EraseRootFromParent_Done,
     /* 2145886 */   // Label 28323: @2145886
     /* 2145886 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2145977), // Rule ID 17868 //
     /* 2145891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145937 */     // MIs[0] round
     /* 2145937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145940 */     // MIs[0] policy
     /* 2145940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145950 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2145953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145976 */     // GIR_Coverage, 17868,
     /* 2145976 */     GIR_EraseRootFromParent_Done,
     /* 2145977 */   // Label 28324: @2145977
     /* 2145977 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2146068), // Rule ID 17869 //
     /* 2145982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146028 */     // MIs[0] round
     /* 2146028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146031 */     // MIs[0] policy
     /* 2146031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146041 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2146044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146067 */     // GIR_Coverage, 17869,
     /* 2146067 */     GIR_EraseRootFromParent_Done,
     /* 2146068 */   // Label 28325: @2146068
     /* 2146068 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2146159), // Rule ID 17872 //
     /* 2146073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2146090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146119 */     // MIs[0] round
     /* 2146119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146122 */     // MIs[0] policy
     /* 2146122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146132 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2146135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146158 */     // GIR_Coverage, 17872,
     /* 2146158 */     GIR_EraseRootFromParent_Done,
     /* 2146159 */   // Label 28326: @2146159
     /* 2146159 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2146250), // Rule ID 17873 //
     /* 2146164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2146181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146210 */     // MIs[0] round
     /* 2146210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146213 */     // MIs[0] policy
     /* 2146213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146223 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2146226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146249 */     // GIR_Coverage, 17873,
     /* 2146249 */     GIR_EraseRootFromParent_Done,
     /* 2146250 */   // Label 28327: @2146250
     /* 2146250 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2146341), // Rule ID 17876 //
     /* 2146255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2146272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146301 */     // MIs[0] round
     /* 2146301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146304 */     // MIs[0] policy
     /* 2146304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146314 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2146317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146340 */     // GIR_Coverage, 17876,
     /* 2146340 */     GIR_EraseRootFromParent_Done,
     /* 2146341 */   // Label 28328: @2146341
     /* 2146341 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2146432), // Rule ID 17877 //
     /* 2146346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2146363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146392 */     // MIs[0] round
     /* 2146392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146395 */     // MIs[0] policy
     /* 2146395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146405 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2146408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146431 */     // GIR_Coverage, 17877,
     /* 2146431 */     GIR_EraseRootFromParent_Done,
     /* 2146432 */   // Label 28329: @2146432
     /* 2146432 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2146523), // Rule ID 17880 //
     /* 2146437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2146454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146483 */     // MIs[0] round
     /* 2146483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146486 */     // MIs[0] policy
     /* 2146486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2146499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146522 */     // GIR_Coverage, 17880,
     /* 2146522 */     GIR_EraseRootFromParent_Done,
     /* 2146523 */   // Label 28330: @2146523
     /* 2146523 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2146614), // Rule ID 17881 //
     /* 2146528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2146545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146574 */     // MIs[0] round
     /* 2146574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146577 */     // MIs[0] policy
     /* 2146577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2146590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146613 */     // GIR_Coverage, 17881,
     /* 2146613 */     GIR_EraseRootFromParent_Done,
     /* 2146614 */   // Label 28331: @2146614
     /* 2146614 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2146705), // Rule ID 17884 //
     /* 2146619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2146630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2146633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2146636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2146639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146665 */     // MIs[0] round
     /* 2146665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146668 */     // MIs[0] policy
     /* 2146668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2146681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146704 */     // GIR_Coverage, 17884,
     /* 2146704 */     GIR_EraseRootFromParent_Done,
     /* 2146705 */   // Label 28332: @2146705
     /* 2146705 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2146796), // Rule ID 17885 //
     /* 2146710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2146721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2146724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2146727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2146730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146756 */     // MIs[0] round
     /* 2146756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146759 */     // MIs[0] policy
     /* 2146759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146769 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2146772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146795 */     // GIR_Coverage, 17885,
     /* 2146795 */     GIR_EraseRootFromParent_Done,
     /* 2146796 */   // Label 28333: @2146796
     /* 2146796 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2146887), // Rule ID 17888 //
     /* 2146801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146847 */     // MIs[0] round
     /* 2146847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146850 */     // MIs[0] policy
     /* 2146850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146860 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2146863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146886 */     // GIR_Coverage, 17888,
     /* 2146886 */     GIR_EraseRootFromParent_Done,
     /* 2146887 */   // Label 28334: @2146887
     /* 2146887 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2146978), // Rule ID 17889 //
     /* 2146892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146938 */     // MIs[0] round
     /* 2146938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146941 */     // MIs[0] policy
     /* 2146941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146951 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2146954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146977 */     // GIR_Coverage, 17889,
     /* 2146977 */     GIR_EraseRootFromParent_Done,
     /* 2146978 */   // Label 28335: @2146978
     /* 2146978 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2147069), // Rule ID 17892 //
     /* 2146983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2147000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147029 */     // MIs[0] round
     /* 2147029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147032 */     // MIs[0] policy
     /* 2147032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147042 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2147045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147068 */     // GIR_Coverage, 17892,
     /* 2147068 */     GIR_EraseRootFromParent_Done,
     /* 2147069 */   // Label 28336: @2147069
     /* 2147069 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2147160), // Rule ID 17893 //
     /* 2147074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2147085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2147088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2147091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147120 */     // MIs[0] round
     /* 2147120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147123 */     // MIs[0] policy
     /* 2147123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147133 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2147136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147159 */     // GIR_Coverage, 17893,
     /* 2147159 */     GIR_EraseRootFromParent_Done,
     /* 2147160 */   // Label 28337: @2147160
     /* 2147160 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2147251), // Rule ID 17896 //
     /* 2147165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147211 */     // MIs[0] round
     /* 2147211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147214 */     // MIs[0] policy
     /* 2147214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147224 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2147227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147250 */     // GIR_Coverage, 17896,
     /* 2147250 */     GIR_EraseRootFromParent_Done,
     /* 2147251 */   // Label 28338: @2147251
     /* 2147251 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2147342), // Rule ID 17897 //
     /* 2147256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147302 */     // MIs[0] round
     /* 2147302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147305 */     // MIs[0] policy
     /* 2147305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147315 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2147318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147341 */     // GIR_Coverage, 17897,
     /* 2147341 */     GIR_EraseRootFromParent_Done,
     /* 2147342 */   // Label 28339: @2147342
     /* 2147342 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2147433), // Rule ID 17900 //
     /* 2147347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147393 */     // MIs[0] round
     /* 2147393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147396 */     // MIs[0] policy
     /* 2147396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147406 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2147409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147432 */     // GIR_Coverage, 17900,
     /* 2147432 */     GIR_EraseRootFromParent_Done,
     /* 2147433 */   // Label 28340: @2147433
     /* 2147433 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2147524), // Rule ID 17901 //
     /* 2147438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147484 */     // MIs[0] round
     /* 2147484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147487 */     // MIs[0] policy
     /* 2147487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2147500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147523 */     // GIR_Coverage, 17901,
     /* 2147523 */     GIR_EraseRootFromParent_Done,
     /* 2147524 */   // Label 28341: @2147524
     /* 2147524 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2147615), // Rule ID 17904 //
     /* 2147529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147575 */     // MIs[0] round
     /* 2147575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147578 */     // MIs[0] policy
     /* 2147578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147588 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2147591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147614 */     // GIR_Coverage, 17904,
     /* 2147614 */     GIR_EraseRootFromParent_Done,
     /* 2147615 */   // Label 28342: @2147615
     /* 2147615 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2147706), // Rule ID 17905 //
     /* 2147620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147666 */     // MIs[0] round
     /* 2147666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147669 */     // MIs[0] policy
     /* 2147669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147679 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2147682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147705 */     // GIR_Coverage, 17905,
     /* 2147705 */     GIR_EraseRootFromParent_Done,
     /* 2147706 */   // Label 28343: @2147706
     /* 2147706 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2147797), // Rule ID 17908 //
     /* 2147711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2147728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2147731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147757 */     // MIs[0] round
     /* 2147757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147760 */     // MIs[0] policy
     /* 2147760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147770 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2147773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147796 */     // GIR_Coverage, 17908,
     /* 2147796 */     GIR_EraseRootFromParent_Done,
     /* 2147797 */   // Label 28344: @2147797
     /* 2147797 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2147888), // Rule ID 17909 //
     /* 2147802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2147819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2147822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147848 */     // MIs[0] round
     /* 2147848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147851 */     // MIs[0] policy
     /* 2147851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147861 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2147864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147887 */     // GIR_Coverage, 17909,
     /* 2147887 */     GIR_EraseRootFromParent_Done,
     /* 2147888 */   // Label 28345: @2147888
     /* 2147888 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2147979), // Rule ID 17912 //
     /* 2147893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147939 */     // MIs[0] round
     /* 2147939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147942 */     // MIs[0] policy
     /* 2147942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2147955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147978 */     // GIR_Coverage, 17912,
     /* 2147978 */     GIR_EraseRootFromParent_Done,
     /* 2147979 */   // Label 28346: @2147979
     /* 2147979 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2148070), // Rule ID 17913 //
     /* 2147984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2148001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148030 */     // MIs[0] round
     /* 2148030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148033 */     // MIs[0] policy
     /* 2148033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148043 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2148046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148069 */     // GIR_Coverage, 17913,
     /* 2148069 */     GIR_EraseRootFromParent_Done,
     /* 2148070 */   // Label 28347: @2148070
     /* 2148070 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2148161), // Rule ID 17916 //
     /* 2148075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2148092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148121 */     // MIs[0] round
     /* 2148121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148124 */     // MIs[0] policy
     /* 2148124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148134 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2148137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148160 */     // GIR_Coverage, 17916,
     /* 2148160 */     GIR_EraseRootFromParent_Done,
     /* 2148161 */   // Label 28348: @2148161
     /* 2148161 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2148252), // Rule ID 17917 //
     /* 2148166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2148183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148212 */     // MIs[0] round
     /* 2148212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148215 */     // MIs[0] policy
     /* 2148215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148225 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2148228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148251 */     // GIR_Coverage, 17917,
     /* 2148251 */     GIR_EraseRootFromParent_Done,
     /* 2148252 */   // Label 28349: @2148252
     /* 2148252 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2148343), // Rule ID 17920 //
     /* 2148257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2148274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148303 */     // MIs[0] round
     /* 2148303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148306 */     // MIs[0] policy
     /* 2148306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2148319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148342 */     // GIR_Coverage, 17920,
     /* 2148342 */     GIR_EraseRootFromParent_Done,
     /* 2148343 */   // Label 28350: @2148343
     /* 2148343 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2148434), // Rule ID 17921 //
     /* 2148348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2148365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148394 */     // MIs[0] round
     /* 2148394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148397 */     // MIs[0] policy
     /* 2148397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148407 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2148410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148433 */     // GIR_Coverage, 17921,
     /* 2148433 */     GIR_EraseRootFromParent_Done,
     /* 2148434 */   // Label 28351: @2148434
     /* 2148434 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2148525), // Rule ID 17924 //
     /* 2148439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148485 */     // MIs[0] round
     /* 2148485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148488 */     // MIs[0] policy
     /* 2148488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148498 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2148501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148524 */     // GIR_Coverage, 17924,
     /* 2148524 */     GIR_EraseRootFromParent_Done,
     /* 2148525 */   // Label 28352: @2148525
     /* 2148525 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2148616), // Rule ID 17925 //
     /* 2148530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148576 */     // MIs[0] round
     /* 2148576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148579 */     // MIs[0] policy
     /* 2148579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148589 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2148592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148615 */     // GIR_Coverage, 17925,
     /* 2148615 */     GIR_EraseRootFromParent_Done,
     /* 2148616 */   // Label 28353: @2148616
     /* 2148616 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2148707), // Rule ID 17928 //
     /* 2148621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2148632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2148635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2148641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148667 */     // MIs[0] round
     /* 2148667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148670 */     // MIs[0] policy
     /* 2148670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148680 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2148683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148706 */     // GIR_Coverage, 17928,
     /* 2148706 */     GIR_EraseRootFromParent_Done,
     /* 2148707 */   // Label 28354: @2148707
     /* 2148707 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2148798), // Rule ID 17929 //
     /* 2148712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2148723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2148726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2148732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148758 */     // MIs[0] round
     /* 2148758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148761 */     // MIs[0] policy
     /* 2148761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148771 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148797 */     // GIR_Coverage, 17929,
     /* 2148797 */     GIR_EraseRootFromParent_Done,
     /* 2148798 */   // Label 28355: @2148798
     /* 2148798 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2148889), // Rule ID 17932 //
     /* 2148803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148849 */     // MIs[0] round
     /* 2148849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148852 */     // MIs[0] policy
     /* 2148852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148862 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2148865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148888 */     // GIR_Coverage, 17932,
     /* 2148888 */     GIR_EraseRootFromParent_Done,
     /* 2148889 */   // Label 28356: @2148889
     /* 2148889 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2148980), // Rule ID 17933 //
     /* 2148894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148940 */     // MIs[0] round
     /* 2148940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148943 */     // MIs[0] policy
     /* 2148943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148953 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2148956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148979 */     // GIR_Coverage, 17933,
     /* 2148979 */     GIR_EraseRootFromParent_Done,
     /* 2148980 */   // Label 28357: @2148980
     /* 2148980 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2149071), // Rule ID 17936 //
     /* 2148985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149031 */     // MIs[0] round
     /* 2149031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149034 */     // MIs[0] policy
     /* 2149034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149044 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2149047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149070 */     // GIR_Coverage, 17936,
     /* 2149070 */     GIR_EraseRootFromParent_Done,
     /* 2149071 */   // Label 28358: @2149071
     /* 2149071 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2149162), // Rule ID 17937 //
     /* 2149076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2149087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2149090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149122 */     // MIs[0] round
     /* 2149122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149125 */     // MIs[0] policy
     /* 2149125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149135 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2149138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149161 */     // GIR_Coverage, 17937,
     /* 2149161 */     GIR_EraseRootFromParent_Done,
     /* 2149162 */   // Label 28359: @2149162
     /* 2149162 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2149253), // Rule ID 17940 //
     /* 2149167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149213 */     // MIs[0] round
     /* 2149213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149216 */     // MIs[0] policy
     /* 2149216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149226 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2149229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149252 */     // GIR_Coverage, 17940,
     /* 2149252 */     GIR_EraseRootFromParent_Done,
     /* 2149253 */   // Label 28360: @2149253
     /* 2149253 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2149344), // Rule ID 17941 //
     /* 2149258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149304 */     // MIs[0] round
     /* 2149304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149307 */     // MIs[0] policy
     /* 2149307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149317 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2149320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149343 */     // GIR_Coverage, 17941,
     /* 2149343 */     GIR_EraseRootFromParent_Done,
     /* 2149344 */   // Label 28361: @2149344
     /* 2149344 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2149435), // Rule ID 17944 //
     /* 2149349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149395 */     // MIs[0] round
     /* 2149395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149398 */     // MIs[0] policy
     /* 2149398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2149411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149434 */     // GIR_Coverage, 17944,
     /* 2149434 */     GIR_EraseRootFromParent_Done,
     /* 2149435 */   // Label 28362: @2149435
     /* 2149435 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2149526), // Rule ID 17945 //
     /* 2149440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149486 */     // MIs[0] round
     /* 2149486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149489 */     // MIs[0] policy
     /* 2149489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149499 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2149502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149525 */     // GIR_Coverage, 17945,
     /* 2149525 */     GIR_EraseRootFromParent_Done,
     /* 2149526 */   // Label 28363: @2149526
     /* 2149526 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2149617), // Rule ID 17948 //
     /* 2149531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149577 */     // MIs[0] round
     /* 2149577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149580 */     // MIs[0] policy
     /* 2149580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149590 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2149593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149616 */     // GIR_Coverage, 17948,
     /* 2149616 */     GIR_EraseRootFromParent_Done,
     /* 2149617 */   // Label 28364: @2149617
     /* 2149617 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2149708), // Rule ID 17949 //
     /* 2149622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149668 */     // MIs[0] round
     /* 2149668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149671 */     // MIs[0] policy
     /* 2149671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149681 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2149684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149707 */     // GIR_Coverage, 17949,
     /* 2149707 */     GIR_EraseRootFromParent_Done,
     /* 2149708 */   // Label 28365: @2149708
     /* 2149708 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2149799), // Rule ID 17952 //
     /* 2149713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2149733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149759 */     // MIs[0] round
     /* 2149759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149762 */     // MIs[0] policy
     /* 2149762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149772 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2149775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149798 */     // GIR_Coverage, 17952,
     /* 2149798 */     GIR_EraseRootFromParent_Done,
     /* 2149799 */   // Label 28366: @2149799
     /* 2149799 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2149890), // Rule ID 17953 //
     /* 2149804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2149824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149850 */     // MIs[0] round
     /* 2149850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149853 */     // MIs[0] policy
     /* 2149853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149863 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2149866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149889 */     // GIR_Coverage, 17953,
     /* 2149889 */     GIR_EraseRootFromParent_Done,
     /* 2149890 */   // Label 28367: @2149890
     /* 2149890 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2149981), // Rule ID 17956 //
     /* 2149895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149941 */     // MIs[0] round
     /* 2149941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149944 */     // MIs[0] policy
     /* 2149944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149954 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2149957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149980 */     // GIR_Coverage, 17956,
     /* 2149980 */     GIR_EraseRootFromParent_Done,
     /* 2149981 */   // Label 28368: @2149981
     /* 2149981 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2150072), // Rule ID 17957 //
     /* 2149986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2149994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2150003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2150024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150032 */     // MIs[0] round
     /* 2150032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150035 */     // MIs[0] policy
     /* 2150035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150045 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2150048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150071 */     // GIR_Coverage, 17957,
     /* 2150071 */     GIR_EraseRootFromParent_Done,
     /* 2150072 */   // Label 28369: @2150072
     /* 2150072 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2150163), // Rule ID 17960 //
     /* 2150077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150123 */     // MIs[0] round
     /* 2150123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150126 */     // MIs[0] policy
     /* 2150126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2150139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150162 */     // GIR_Coverage, 17960,
     /* 2150162 */     GIR_EraseRootFromParent_Done,
     /* 2150163 */   // Label 28370: @2150163
     /* 2150163 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2150254), // Rule ID 17961 //
     /* 2150168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150214 */     // MIs[0] round
     /* 2150214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150217 */     // MIs[0] policy
     /* 2150217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2150230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150253 */     // GIR_Coverage, 17961,
     /* 2150253 */     GIR_EraseRootFromParent_Done,
     /* 2150254 */   // Label 28371: @2150254
     /* 2150254 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2150345), // Rule ID 17964 //
     /* 2150259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150305 */     // MIs[0] round
     /* 2150305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150308 */     // MIs[0] policy
     /* 2150308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150318 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2150321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150344 */     // GIR_Coverage, 17964,
     /* 2150344 */     GIR_EraseRootFromParent_Done,
     /* 2150345 */   // Label 28372: @2150345
     /* 2150345 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2150436), // Rule ID 17965 //
     /* 2150350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150396 */     // MIs[0] round
     /* 2150396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150399 */     // MIs[0] policy
     /* 2150399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150409 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2150412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150435 */     // GIR_Coverage, 17965,
     /* 2150435 */     GIR_EraseRootFromParent_Done,
     /* 2150436 */   // Label 28373: @2150436
     /* 2150436 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2150527), // Rule ID 17968 //
     /* 2150441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150487 */     // MIs[0] round
     /* 2150487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150490 */     // MIs[0] policy
     /* 2150490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150500 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2150503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150526 */     // GIR_Coverage, 17968,
     /* 2150526 */     GIR_EraseRootFromParent_Done,
     /* 2150527 */   // Label 28374: @2150527
     /* 2150527 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2150618), // Rule ID 17969 //
     /* 2150532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150578 */     // MIs[0] round
     /* 2150578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150581 */     // MIs[0] policy
     /* 2150581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2150594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150617 */     // GIR_Coverage, 17969,
     /* 2150617 */     GIR_EraseRootFromParent_Done,
     /* 2150618 */   // Label 28375: @2150618
     /* 2150618 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2150709), // Rule ID 17972 //
     /* 2150623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150669 */     // MIs[0] round
     /* 2150669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150672 */     // MIs[0] policy
     /* 2150672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150682 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2150685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150708 */     // GIR_Coverage, 17972,
     /* 2150708 */     GIR_EraseRootFromParent_Done,
     /* 2150709 */   // Label 28376: @2150709
     /* 2150709 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2150800), // Rule ID 17973 //
     /* 2150714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150760 */     // MIs[0] round
     /* 2150760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150763 */     // MIs[0] policy
     /* 2150763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150773 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2150776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150799 */     // GIR_Coverage, 17973,
     /* 2150799 */     GIR_EraseRootFromParent_Done,
     /* 2150800 */   // Label 28377: @2150800
     /* 2150800 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2150891), // Rule ID 17976 //
     /* 2150805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150851 */     // MIs[0] round
     /* 2150851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150854 */     // MIs[0] policy
     /* 2150854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2150867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150890 */     // GIR_Coverage, 17976,
     /* 2150890 */     GIR_EraseRootFromParent_Done,
     /* 2150891 */   // Label 28378: @2150891
     /* 2150891 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2150982), // Rule ID 17977 //
     /* 2150896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150942 */     // MIs[0] round
     /* 2150942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150945 */     // MIs[0] policy
     /* 2150945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150955 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2150958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150981 */     // GIR_Coverage, 17977,
     /* 2150981 */     GIR_EraseRootFromParent_Done,
     /* 2150982 */   // Label 28379: @2150982
     /* 2150982 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2151073), // Rule ID 17980 //
     /* 2150987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2151004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2151025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151033 */     // MIs[0] round
     /* 2151033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151036 */     // MIs[0] policy
     /* 2151036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151046 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2151049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151072 */     // GIR_Coverage, 17980,
     /* 2151072 */     GIR_EraseRootFromParent_Done,
     /* 2151073 */   // Label 28380: @2151073
     /* 2151073 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2151164), // Rule ID 17981 //
     /* 2151078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2151095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2151116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151124 */     // MIs[0] round
     /* 2151124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151127 */     // MIs[0] policy
     /* 2151127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2151140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151163 */     // GIR_Coverage, 17981,
     /* 2151163 */     GIR_EraseRootFromParent_Done,
     /* 2151164 */   // Label 28381: @2151164
     /* 2151164 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2151255), // Rule ID 17984 //
     /* 2151169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2151186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151215 */     // MIs[0] round
     /* 2151215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151218 */     // MIs[0] policy
     /* 2151218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151228 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2151231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151254 */     // GIR_Coverage, 17984,
     /* 2151254 */     GIR_EraseRootFromParent_Done,
     /* 2151255 */   // Label 28382: @2151255
     /* 2151255 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2151346), // Rule ID 17985 //
     /* 2151260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2151277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151306 */     // MIs[0] round
     /* 2151306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151309 */     // MIs[0] policy
     /* 2151309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151319 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2151322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151345 */     // GIR_Coverage, 17985,
     /* 2151345 */     GIR_EraseRootFromParent_Done,
     /* 2151346 */   // Label 28383: @2151346
     /* 2151346 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2151437), // Rule ID 17988 //
     /* 2151351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151397 */     // MIs[0] round
     /* 2151397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151400 */     // MIs[0] policy
     /* 2151400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151410 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2151413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151436 */     // GIR_Coverage, 17988,
     /* 2151436 */     GIR_EraseRootFromParent_Done,
     /* 2151437 */   // Label 28384: @2151437
     /* 2151437 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2151528), // Rule ID 17989 //
     /* 2151442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151488 */     // MIs[0] round
     /* 2151488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151491 */     // MIs[0] policy
     /* 2151491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151501 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2151504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151527 */     // GIR_Coverage, 17989,
     /* 2151527 */     GIR_EraseRootFromParent_Done,
     /* 2151528 */   // Label 28385: @2151528
     /* 2151528 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2151619), // Rule ID 17992 //
     /* 2151533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151579 */     // MIs[0] round
     /* 2151579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151582 */     // MIs[0] policy
     /* 2151582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2151595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151618 */     // GIR_Coverage, 17992,
     /* 2151618 */     GIR_EraseRootFromParent_Done,
     /* 2151619 */   // Label 28386: @2151619
     /* 2151619 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2151710), // Rule ID 17993 //
     /* 2151624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151670 */     // MIs[0] round
     /* 2151670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151673 */     // MIs[0] policy
     /* 2151673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151683 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2151686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151709 */     // GIR_Coverage, 17993,
     /* 2151709 */     GIR_EraseRootFromParent_Done,
     /* 2151710 */   // Label 28387: @2151710
     /* 2151710 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2151801), // Rule ID 17996 //
     /* 2151715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2151726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2151729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2151732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2151735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151761 */     // MIs[0] round
     /* 2151761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151764 */     // MIs[0] policy
     /* 2151764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151774 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2151777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151800 */     // GIR_Coverage, 17996,
     /* 2151800 */     GIR_EraseRootFromParent_Done,
     /* 2151801 */   // Label 28388: @2151801
     /* 2151801 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2151892), // Rule ID 17997 //
     /* 2151806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2151817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2151820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2151823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2151826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151852 */     // MIs[0] round
     /* 2151852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151855 */     // MIs[0] policy
     /* 2151855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2151868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151891 */     // GIR_Coverage, 17997,
     /* 2151891 */     GIR_EraseRootFromParent_Done,
     /* 2151892 */   // Label 28389: @2151892
     /* 2151892 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2151983), // Rule ID 18000 //
     /* 2151897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151943 */     // MIs[0] round
     /* 2151943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151946 */     // MIs[0] policy
     /* 2151946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2151959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151982 */     // GIR_Coverage, 18000,
     /* 2151982 */     GIR_EraseRootFromParent_Done,
     /* 2151983 */   // Label 28390: @2151983
     /* 2151983 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2152074), // Rule ID 18001 //
     /* 2151988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2152005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152034 */     // MIs[0] round
     /* 2152034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152037 */     // MIs[0] policy
     /* 2152037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152047 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2152050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152073 */     // GIR_Coverage, 18001,
     /* 2152073 */     GIR_EraseRootFromParent_Done,
     /* 2152074 */   // Label 28391: @2152074
     /* 2152074 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2152165), // Rule ID 18004 //
     /* 2152079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2152096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152125 */     // MIs[0] round
     /* 2152125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152128 */     // MIs[0] policy
     /* 2152128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152138 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2152141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152164 */     // GIR_Coverage, 18004,
     /* 2152164 */     GIR_EraseRootFromParent_Done,
     /* 2152165 */   // Label 28392: @2152165
     /* 2152165 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2152256), // Rule ID 18005 //
     /* 2152170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2152187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152216 */     // MIs[0] round
     /* 2152216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152219 */     // MIs[0] policy
     /* 2152219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2152232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152255 */     // GIR_Coverage, 18005,
     /* 2152255 */     GIR_EraseRootFromParent_Done,
     /* 2152256 */   // Label 28393: @2152256
     /* 2152256 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2152347), // Rule ID 18008 //
     /* 2152261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2152278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152307 */     // MIs[0] round
     /* 2152307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152310 */     // MIs[0] policy
     /* 2152310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152320 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2152323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152346 */     // GIR_Coverage, 18008,
     /* 2152346 */     GIR_EraseRootFromParent_Done,
     /* 2152347 */   // Label 28394: @2152347
     /* 2152347 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2152438), // Rule ID 18009 //
     /* 2152352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2152369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152398 */     // MIs[0] round
     /* 2152398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152401 */     // MIs[0] policy
     /* 2152401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152411 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2152414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152437 */     // GIR_Coverage, 18009,
     /* 2152437 */     GIR_EraseRootFromParent_Done,
     /* 2152438 */   // Label 28395: @2152438
     /* 2152438 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2152529), // Rule ID 18012 //
     /* 2152443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2152460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152489 */     // MIs[0] round
     /* 2152489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152492 */     // MIs[0] policy
     /* 2152492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2152505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152528 */     // GIR_Coverage, 18012,
     /* 2152528 */     GIR_EraseRootFromParent_Done,
     /* 2152529 */   // Label 28396: @2152529
     /* 2152529 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2152620), // Rule ID 18013 //
     /* 2152534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2152551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152580 */     // MIs[0] round
     /* 2152580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152583 */     // MIs[0] policy
     /* 2152583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152593 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2152596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152619 */     // GIR_Coverage, 18013,
     /* 2152619 */     GIR_EraseRootFromParent_Done,
     /* 2152620 */   // Label 28397: @2152620
     /* 2152620 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2152711), // Rule ID 18016 //
     /* 2152625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2152636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2152639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2152642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2152645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2152648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152671 */     // MIs[0] round
     /* 2152671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152674 */     // MIs[0] policy
     /* 2152674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152684 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2152687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152710 */     // GIR_Coverage, 18016,
     /* 2152710 */     GIR_EraseRootFromParent_Done,
     /* 2152711 */   // Label 28398: @2152711
     /* 2152711 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2152802), // Rule ID 18017 //
     /* 2152716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2152727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2152730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2152733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2152736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2152739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152762 */     // MIs[0] round
     /* 2152762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152765 */     // MIs[0] policy
     /* 2152765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152775 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2152778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152801 */     // GIR_Coverage, 18017,
     /* 2152801 */     GIR_EraseRootFromParent_Done,
     /* 2152802 */   // Label 28399: @2152802
     /* 2152802 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2152893), // Rule ID 18020 //
     /* 2152807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152853 */     // MIs[0] round
     /* 2152853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152856 */     // MIs[0] policy
     /* 2152856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152866 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2152869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152892 */     // GIR_Coverage, 18020,
     /* 2152892 */     GIR_EraseRootFromParent_Done,
     /* 2152893 */   // Label 28400: @2152893
     /* 2152893 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2152984), // Rule ID 18021 //
     /* 2152898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152944 */     // MIs[0] round
     /* 2152944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152947 */     // MIs[0] policy
     /* 2152947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152957 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2152960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152983 */     // GIR_Coverage, 18021,
     /* 2152983 */     GIR_EraseRootFromParent_Done,
     /* 2152984 */   // Label 28401: @2152984
     /* 2152984 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2153075), // Rule ID 18024 //
     /* 2152989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2153006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153035 */     // MIs[0] round
     /* 2153035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153038 */     // MIs[0] policy
     /* 2153038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2153051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153074 */     // GIR_Coverage, 18024,
     /* 2153074 */     GIR_EraseRootFromParent_Done,
     /* 2153075 */   // Label 28402: @2153075
     /* 2153075 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2153166), // Rule ID 18025 //
     /* 2153080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2153097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153126 */     // MIs[0] round
     /* 2153126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153129 */     // MIs[0] policy
     /* 2153129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153139 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2153142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153165 */     // GIR_Coverage, 18025,
     /* 2153165 */     GIR_EraseRootFromParent_Done,
     /* 2153166 */   // Label 28403: @2153166
     /* 2153166 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2153257), // Rule ID 18028 //
     /* 2153171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2153188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153217 */     // MIs[0] round
     /* 2153217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153220 */     // MIs[0] policy
     /* 2153220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153230 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2153233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153256 */     // GIR_Coverage, 18028,
     /* 2153256 */     GIR_EraseRootFromParent_Done,
     /* 2153257 */   // Label 28404: @2153257
     /* 2153257 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2153348), // Rule ID 18029 //
     /* 2153262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2153279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153308 */     // MIs[0] round
     /* 2153308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153311 */     // MIs[0] policy
     /* 2153311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153321 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2153324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153347 */     // GIR_Coverage, 18029,
     /* 2153347 */     GIR_EraseRootFromParent_Done,
     /* 2153348 */   // Label 28405: @2153348
     /* 2153348 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2153439), // Rule ID 18032 //
     /* 2153353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2153370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153399 */     // MIs[0] round
     /* 2153399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153402 */     // MIs[0] policy
     /* 2153402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2153415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153438 */     // GIR_Coverage, 18032,
     /* 2153438 */     GIR_EraseRootFromParent_Done,
     /* 2153439 */   // Label 28406: @2153439
     /* 2153439 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2153530), // Rule ID 18033 //
     /* 2153444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2153461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153490 */     // MIs[0] round
     /* 2153490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153493 */     // MIs[0] policy
     /* 2153493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2153506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153529 */     // GIR_Coverage, 18033,
     /* 2153529 */     GIR_EraseRootFromParent_Done,
     /* 2153530 */   // Label 28407: @2153530
     /* 2153530 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2153621), // Rule ID 18036 //
     /* 2153535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153581 */     // MIs[0] round
     /* 2153581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153584 */     // MIs[0] policy
     /* 2153584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153594 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2153597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153620 */     // GIR_Coverage, 18036,
     /* 2153620 */     GIR_EraseRootFromParent_Done,
     /* 2153621 */   // Label 28408: @2153621
     /* 2153621 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2153712), // Rule ID 18037 //
     /* 2153626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153672 */     // MIs[0] round
     /* 2153672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153675 */     // MIs[0] policy
     /* 2153675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153685 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2153688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153711 */     // GIR_Coverage, 18037,
     /* 2153711 */     GIR_EraseRootFromParent_Done,
     /* 2153712 */   // Label 28409: @2153712
     /* 2153712 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2153803), // Rule ID 18040 //
     /* 2153717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2153728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153763 */     // MIs[0] round
     /* 2153763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153766 */     // MIs[0] policy
     /* 2153766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2153779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153802 */     // GIR_Coverage, 18040,
     /* 2153802 */     GIR_EraseRootFromParent_Done,
     /* 2153803 */   // Label 28410: @2153803
     /* 2153803 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2153894), // Rule ID 18041 //
     /* 2153808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2153819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153854 */     // MIs[0] round
     /* 2153854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153857 */     // MIs[0] policy
     /* 2153857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2153870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153893 */     // GIR_Coverage, 18041,
     /* 2153893 */     GIR_EraseRootFromParent_Done,
     /* 2153894 */   // Label 28411: @2153894
     /* 2153894 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2153985), // Rule ID 18044 //
     /* 2153899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153945 */     // MIs[0] round
     /* 2153945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153948 */     // MIs[0] policy
     /* 2153948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153958 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2153961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153984 */     // GIR_Coverage, 18044,
     /* 2153984 */     GIR_EraseRootFromParent_Done,
     /* 2153985 */   // Label 28412: @2153985
     /* 2153985 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2154076), // Rule ID 18045 //
     /* 2153990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154036 */     // MIs[0] round
     /* 2154036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154039 */     // MIs[0] policy
     /* 2154039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154049 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2154052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154075 */     // GIR_Coverage, 18045,
     /* 2154075 */     GIR_EraseRootFromParent_Done,
     /* 2154076 */   // Label 28413: @2154076
     /* 2154076 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2154167), // Rule ID 18048 //
     /* 2154081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154127 */     // MIs[0] round
     /* 2154127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154130 */     // MIs[0] policy
     /* 2154130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154140 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2154143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154166 */     // GIR_Coverage, 18048,
     /* 2154166 */     GIR_EraseRootFromParent_Done,
     /* 2154167 */   // Label 28414: @2154167
     /* 2154167 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2154258), // Rule ID 18049 //
     /* 2154172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154218 */     // MIs[0] round
     /* 2154218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154221 */     // MIs[0] policy
     /* 2154221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154231 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2154234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154257 */     // GIR_Coverage, 18049,
     /* 2154257 */     GIR_EraseRootFromParent_Done,
     /* 2154258 */   // Label 28415: @2154258
     /* 2154258 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2154349), // Rule ID 18052 //
     /* 2154263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154309 */     // MIs[0] round
     /* 2154309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154312 */     // MIs[0] policy
     /* 2154312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154322 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2154325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154348 */     // GIR_Coverage, 18052,
     /* 2154348 */     GIR_EraseRootFromParent_Done,
     /* 2154349 */   // Label 28416: @2154349
     /* 2154349 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2154440), // Rule ID 18053 //
     /* 2154354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154400 */     // MIs[0] round
     /* 2154400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154403 */     // MIs[0] policy
     /* 2154403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154413 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2154416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154439 */     // GIR_Coverage, 18053,
     /* 2154439 */     GIR_EraseRootFromParent_Done,
     /* 2154440 */   // Label 28417: @2154440
     /* 2154440 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2154531), // Rule ID 18056 //
     /* 2154445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154491 */     // MIs[0] round
     /* 2154491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154494 */     // MIs[0] policy
     /* 2154494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154504 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2154507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154530 */     // GIR_Coverage, 18056,
     /* 2154530 */     GIR_EraseRootFromParent_Done,
     /* 2154531 */   // Label 28418: @2154531
     /* 2154531 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2154622), // Rule ID 18057 //
     /* 2154536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154582 */     // MIs[0] round
     /* 2154582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154585 */     // MIs[0] policy
     /* 2154585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154595 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2154598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154621 */     // GIR_Coverage, 18057,
     /* 2154621 */     GIR_EraseRootFromParent_Done,
     /* 2154622 */   // Label 28419: @2154622
     /* 2154622 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2154713), // Rule ID 18060 //
     /* 2154627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154673 */     // MIs[0] round
     /* 2154673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154676 */     // MIs[0] policy
     /* 2154676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154686 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2154689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154712 */     // GIR_Coverage, 18060,
     /* 2154712 */     GIR_EraseRootFromParent_Done,
     /* 2154713 */   // Label 28420: @2154713
     /* 2154713 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2154804), // Rule ID 18061 //
     /* 2154718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154764 */     // MIs[0] round
     /* 2154764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154767 */     // MIs[0] policy
     /* 2154767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2154780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154803 */     // GIR_Coverage, 18061,
     /* 2154803 */     GIR_EraseRootFromParent_Done,
     /* 2154804 */   // Label 28421: @2154804
     /* 2154804 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2154895), // Rule ID 18064 //
     /* 2154809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154855 */     // MIs[0] round
     /* 2154855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154858 */     // MIs[0] policy
     /* 2154858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2154871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154894 */     // GIR_Coverage, 18064,
     /* 2154894 */     GIR_EraseRootFromParent_Done,
     /* 2154895 */   // Label 28422: @2154895
     /* 2154895 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2154986), // Rule ID 18065 //
     /* 2154900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154946 */     // MIs[0] round
     /* 2154946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154949 */     // MIs[0] policy
     /* 2154949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2154962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154985 */     // GIR_Coverage, 18065,
     /* 2154985 */     GIR_EraseRootFromParent_Done,
     /* 2154986 */   // Label 28423: @2154986
     /* 2154986 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2155077), // Rule ID 18068 //
     /* 2154991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155037 */     // MIs[0] round
     /* 2155037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155040 */     // MIs[0] policy
     /* 2155040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2155053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155076 */     // GIR_Coverage, 18068,
     /* 2155076 */     GIR_EraseRootFromParent_Done,
     /* 2155077 */   // Label 28424: @2155077
     /* 2155077 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2155168), // Rule ID 18069 //
     /* 2155082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155128 */     // MIs[0] round
     /* 2155128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155131 */     // MIs[0] policy
     /* 2155131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155141 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2155144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155167 */     // GIR_Coverage, 18069,
     /* 2155167 */     GIR_EraseRootFromParent_Done,
     /* 2155168 */   // Label 28425: @2155168
     /* 2155168 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2155259), // Rule ID 18072 //
     /* 2155173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155219 */     // MIs[0] round
     /* 2155219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155222 */     // MIs[0] policy
     /* 2155222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155232 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2155235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155258 */     // GIR_Coverage, 18072,
     /* 2155258 */     GIR_EraseRootFromParent_Done,
     /* 2155259 */   // Label 28426: @2155259
     /* 2155259 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2155350), // Rule ID 18073 //
     /* 2155264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155310 */     // MIs[0] round
     /* 2155310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155313 */     // MIs[0] policy
     /* 2155313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2155326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155349 */     // GIR_Coverage, 18073,
     /* 2155349 */     GIR_EraseRootFromParent_Done,
     /* 2155350 */   // Label 28427: @2155350
     /* 2155350 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2155441), // Rule ID 18076 //
     /* 2155355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155401 */     // MIs[0] round
     /* 2155401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155404 */     // MIs[0] policy
     /* 2155404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155414 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2155417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155440 */     // GIR_Coverage, 18076,
     /* 2155440 */     GIR_EraseRootFromParent_Done,
     /* 2155441 */   // Label 28428: @2155441
     /* 2155441 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2155532), // Rule ID 18077 //
     /* 2155446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155492 */     // MIs[0] round
     /* 2155492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155495 */     // MIs[0] policy
     /* 2155495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155505 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2155508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155531 */     // GIR_Coverage, 18077,
     /* 2155531 */     GIR_EraseRootFromParent_Done,
     /* 2155532 */   // Label 28429: @2155532
     /* 2155532 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2155623), // Rule ID 18080 //
     /* 2155537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155583 */     // MIs[0] round
     /* 2155583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155586 */     // MIs[0] policy
     /* 2155586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2155599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155622 */     // GIR_Coverage, 18080,
     /* 2155622 */     GIR_EraseRootFromParent_Done,
     /* 2155623 */   // Label 28430: @2155623
     /* 2155623 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2155714), // Rule ID 18081 //
     /* 2155628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155674 */     // MIs[0] round
     /* 2155674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155677 */     // MIs[0] policy
     /* 2155677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2155690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155713 */     // GIR_Coverage, 18081,
     /* 2155713 */     GIR_EraseRootFromParent_Done,
     /* 2155714 */   // Label 28431: @2155714
     /* 2155714 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2155805), // Rule ID 18084 //
     /* 2155719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155765 */     // MIs[0] round
     /* 2155765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155768 */     // MIs[0] policy
     /* 2155768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155778 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2155781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155804 */     // GIR_Coverage, 18084,
     /* 2155804 */     GIR_EraseRootFromParent_Done,
     /* 2155805 */   // Label 28432: @2155805
     /* 2155805 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2155896), // Rule ID 18085 //
     /* 2155810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155856 */     // MIs[0] round
     /* 2155856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155859 */     // MIs[0] policy
     /* 2155859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155869 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2155872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155895 */     // GIR_Coverage, 18085,
     /* 2155895 */     GIR_EraseRootFromParent_Done,
     /* 2155896 */   // Label 28433: @2155896
     /* 2155896 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2155987), // Rule ID 18088 //
     /* 2155901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2155909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155947 */     // MIs[0] round
     /* 2155947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155950 */     // MIs[0] policy
     /* 2155950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155960 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2155963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155986 */     // GIR_Coverage, 18088,
     /* 2155986 */     GIR_EraseRootFromParent_Done,
     /* 2155987 */   // Label 28434: @2155987
     /* 2155987 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2156078), // Rule ID 18089 //
     /* 2155992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2156009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2156030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156038 */     // MIs[0] round
     /* 2156038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156041 */     // MIs[0] policy
     /* 2156041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156051 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2156054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156077 */     // GIR_Coverage, 18089,
     /* 2156077 */     GIR_EraseRootFromParent_Done,
     /* 2156078 */   // Label 28435: @2156078
     /* 2156078 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2156169), // Rule ID 18092 //
     /* 2156083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156129 */     // MIs[0] round
     /* 2156129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156132 */     // MIs[0] policy
     /* 2156132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156142 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2156145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156168 */     // GIR_Coverage, 18092,
     /* 2156168 */     GIR_EraseRootFromParent_Done,
     /* 2156169 */   // Label 28436: @2156169
     /* 2156169 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2156260), // Rule ID 18093 //
     /* 2156174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156220 */     // MIs[0] round
     /* 2156220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156223 */     // MIs[0] policy
     /* 2156223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156233 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2156236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156259 */     // GIR_Coverage, 18093,
     /* 2156259 */     GIR_EraseRootFromParent_Done,
     /* 2156260 */   // Label 28437: @2156260
     /* 2156260 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2156351), // Rule ID 18096 //
     /* 2156265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156311 */     // MIs[0] round
     /* 2156311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156314 */     // MIs[0] policy
     /* 2156314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156324 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2156327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156350 */     // GIR_Coverage, 18096,
     /* 2156350 */     GIR_EraseRootFromParent_Done,
     /* 2156351 */   // Label 28438: @2156351
     /* 2156351 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2156442), // Rule ID 18097 //
     /* 2156356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156402 */     // MIs[0] round
     /* 2156402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156405 */     // MIs[0] policy
     /* 2156405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156415 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2156418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156441 */     // GIR_Coverage, 18097,
     /* 2156441 */     GIR_EraseRootFromParent_Done,
     /* 2156442 */   // Label 28439: @2156442
     /* 2156442 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2156533), // Rule ID 18100 //
     /* 2156447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156493 */     // MIs[0] round
     /* 2156493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156496 */     // MIs[0] policy
     /* 2156496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156506 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2156509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156532 */     // GIR_Coverage, 18100,
     /* 2156532 */     GIR_EraseRootFromParent_Done,
     /* 2156533 */   // Label 28440: @2156533
     /* 2156533 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2156624), // Rule ID 18101 //
     /* 2156538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156584 */     // MIs[0] round
     /* 2156584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156587 */     // MIs[0] policy
     /* 2156587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156597 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2156600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156623 */     // GIR_Coverage, 18101,
     /* 2156623 */     GIR_EraseRootFromParent_Done,
     /* 2156624 */   // Label 28441: @2156624
     /* 2156624 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2156715), // Rule ID 18104 //
     /* 2156629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2156640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2156646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2156649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156675 */     // MIs[0] round
     /* 2156675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156678 */     // MIs[0] policy
     /* 2156678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156688 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2156691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156714 */     // GIR_Coverage, 18104,
     /* 2156714 */     GIR_EraseRootFromParent_Done,
     /* 2156715 */   // Label 28442: @2156715
     /* 2156715 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2156806), // Rule ID 18105 //
     /* 2156720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2156731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2156737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2156740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156766 */     // MIs[0] round
     /* 2156766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156769 */     // MIs[0] policy
     /* 2156769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156779 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2156782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156805 */     // GIR_Coverage, 18105,
     /* 2156805 */     GIR_EraseRootFromParent_Done,
     /* 2156806 */   // Label 28443: @2156806
     /* 2156806 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2156897), // Rule ID 18108 //
     /* 2156811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156857 */     // MIs[0] round
     /* 2156857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156860 */     // MIs[0] policy
     /* 2156860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156870 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2156873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156896 */     // GIR_Coverage, 18108,
     /* 2156896 */     GIR_EraseRootFromParent_Done,
     /* 2156897 */   // Label 28444: @2156897
     /* 2156897 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2156988), // Rule ID 18109 //
     /* 2156902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156948 */     // MIs[0] round
     /* 2156948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156951 */     // MIs[0] policy
     /* 2156951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156961 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2156964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156987 */     // GIR_Coverage, 18109,
     /* 2156987 */     GIR_EraseRootFromParent_Done,
     /* 2156988 */   // Label 28445: @2156988
     /* 2156988 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2157079), // Rule ID 18112 //
     /* 2156993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2157010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157039 */     // MIs[0] round
     /* 2157039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157042 */     // MIs[0] policy
     /* 2157042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2157055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157078 */     // GIR_Coverage, 18112,
     /* 2157078 */     GIR_EraseRootFromParent_Done,
     /* 2157079 */   // Label 28446: @2157079
     /* 2157079 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2157170), // Rule ID 18113 //
     /* 2157084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2157101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157130 */     // MIs[0] round
     /* 2157130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157133 */     // MIs[0] policy
     /* 2157133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157143 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2157146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157169 */     // GIR_Coverage, 18113,
     /* 2157169 */     GIR_EraseRootFromParent_Done,
     /* 2157170 */   // Label 28447: @2157170
     /* 2157170 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2157261), // Rule ID 18116 //
     /* 2157175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2157192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157221 */     // MIs[0] round
     /* 2157221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157224 */     // MIs[0] policy
     /* 2157224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2157237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157260 */     // GIR_Coverage, 18116,
     /* 2157260 */     GIR_EraseRootFromParent_Done,
     /* 2157261 */   // Label 28448: @2157261
     /* 2157261 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2157352), // Rule ID 18117 //
     /* 2157266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2157283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157312 */     // MIs[0] round
     /* 2157312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157315 */     // MIs[0] policy
     /* 2157315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2157328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157351 */     // GIR_Coverage, 18117,
     /* 2157351 */     GIR_EraseRootFromParent_Done,
     /* 2157352 */   // Label 28449: @2157352
     /* 2157352 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2157443), // Rule ID 18120 //
     /* 2157357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2157374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157403 */     // MIs[0] round
     /* 2157403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157406 */     // MIs[0] policy
     /* 2157406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2157419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157442 */     // GIR_Coverage, 18120,
     /* 2157442 */     GIR_EraseRootFromParent_Done,
     /* 2157443 */   // Label 28450: @2157443
     /* 2157443 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2157534), // Rule ID 18121 //
     /* 2157448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2157465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157494 */     // MIs[0] round
     /* 2157494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157497 */     // MIs[0] policy
     /* 2157497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2157510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157533 */     // GIR_Coverage, 18121,
     /* 2157533 */     GIR_EraseRootFromParent_Done,
     /* 2157534 */   // Label 28451: @2157534
     /* 2157534 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2157625), // Rule ID 18124 //
     /* 2157539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2157556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157585 */     // MIs[0] round
     /* 2157585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157588 */     // MIs[0] policy
     /* 2157588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2157601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157624 */     // GIR_Coverage, 18124,
     /* 2157624 */     GIR_EraseRootFromParent_Done,
     /* 2157625 */   // Label 28452: @2157625
     /* 2157625 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2157716), // Rule ID 18125 //
     /* 2157630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2157647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157676 */     // MIs[0] round
     /* 2157676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157679 */     // MIs[0] policy
     /* 2157679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157689 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2157692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157715 */     // GIR_Coverage, 18125,
     /* 2157715 */     GIR_EraseRootFromParent_Done,
     /* 2157716 */   // Label 28453: @2157716
     /* 2157716 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2157807), // Rule ID 18128 //
     /* 2157721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2157732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2157735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157767 */     // MIs[0] round
     /* 2157767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157770 */     // MIs[0] policy
     /* 2157770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157780 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2157783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157806 */     // GIR_Coverage, 18128,
     /* 2157806 */     GIR_EraseRootFromParent_Done,
     /* 2157807 */   // Label 28454: @2157807
     /* 2157807 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2157898), // Rule ID 18129 //
     /* 2157812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2157823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2157826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157858 */     // MIs[0] round
     /* 2157858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157861 */     // MIs[0] policy
     /* 2157861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2157874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157897 */     // GIR_Coverage, 18129,
     /* 2157897 */     GIR_EraseRootFromParent_Done,
     /* 2157898 */   // Label 28455: @2157898
     /* 2157898 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2157989), // Rule ID 18132 //
     /* 2157903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157949 */     // MIs[0] round
     /* 2157949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157952 */     // MIs[0] policy
     /* 2157952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157962 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2157965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157988 */     // GIR_Coverage, 18132,
     /* 2157988 */     GIR_EraseRootFromParent_Done,
     /* 2157989 */   // Label 28456: @2157989
     /* 2157989 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2158080), // Rule ID 18133 //
     /* 2157994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2158011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158040 */     // MIs[0] round
     /* 2158040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158043 */     // MIs[0] policy
     /* 2158043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158053 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2158056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158079 */     // GIR_Coverage, 18133,
     /* 2158079 */     GIR_EraseRootFromParent_Done,
     /* 2158080 */   // Label 28457: @2158080
     /* 2158080 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2158171), // Rule ID 18136 //
     /* 2158085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2158102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158131 */     // MIs[0] round
     /* 2158131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158134 */     // MIs[0] policy
     /* 2158134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158144 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2158147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158170 */     // GIR_Coverage, 18136,
     /* 2158170 */     GIR_EraseRootFromParent_Done,
     /* 2158171 */   // Label 28458: @2158171
     /* 2158171 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2158262), // Rule ID 18137 //
     /* 2158176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2158193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158222 */     // MIs[0] round
     /* 2158222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158225 */     // MIs[0] policy
     /* 2158225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2158238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158261 */     // GIR_Coverage, 18137,
     /* 2158261 */     GIR_EraseRootFromParent_Done,
     /* 2158262 */   // Label 28459: @2158262
     /* 2158262 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2158353), // Rule ID 18140 //
     /* 2158267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2158284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158313 */     // MIs[0] round
     /* 2158313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158316 */     // MIs[0] policy
     /* 2158316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2158329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158352 */     // GIR_Coverage, 18140,
     /* 2158352 */     GIR_EraseRootFromParent_Done,
     /* 2158353 */   // Label 28460: @2158353
     /* 2158353 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2158444), // Rule ID 18141 //
     /* 2158358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2158375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158404 */     // MIs[0] round
     /* 2158404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158407 */     // MIs[0] policy
     /* 2158407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158417 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2158420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158443 */     // GIR_Coverage, 18141,
     /* 2158443 */     GIR_EraseRootFromParent_Done,
     /* 2158444 */   // Label 28461: @2158444
     /* 2158444 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2158535), // Rule ID 18144 //
     /* 2158449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2158466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158495 */     // MIs[0] round
     /* 2158495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158498 */     // MIs[0] policy
     /* 2158498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158508 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2158511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158534 */     // GIR_Coverage, 18144,
     /* 2158534 */     GIR_EraseRootFromParent_Done,
     /* 2158535 */   // Label 28462: @2158535
     /* 2158535 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2158626), // Rule ID 18145 //
     /* 2158540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2158557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158586 */     // MIs[0] round
     /* 2158586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158589 */     // MIs[0] policy
     /* 2158589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158599 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2158602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158625 */     // GIR_Coverage, 18145,
     /* 2158625 */     GIR_EraseRootFromParent_Done,
     /* 2158626 */   // Label 28463: @2158626
     /* 2158626 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2158717), // Rule ID 18148 //
     /* 2158631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2158642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2158645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2158648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2158651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158677 */     // MIs[0] round
     /* 2158677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158680 */     // MIs[0] policy
     /* 2158680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2158693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158716 */     // GIR_Coverage, 18148,
     /* 2158716 */     GIR_EraseRootFromParent_Done,
     /* 2158717 */   // Label 28464: @2158717
     /* 2158717 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2158808), // Rule ID 18149 //
     /* 2158722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2158733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2158736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2158739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2158742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158768 */     // MIs[0] round
     /* 2158768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158771 */     // MIs[0] policy
     /* 2158771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158781 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2158784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158807 */     // GIR_Coverage, 18149,
     /* 2158807 */     GIR_EraseRootFromParent_Done,
     /* 2158808 */   // Label 28465: @2158808
     /* 2158808 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2158899), // Rule ID 18152 //
     /* 2158813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158859 */     // MIs[0] round
     /* 2158859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158862 */     // MIs[0] policy
     /* 2158862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2158875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158898 */     // GIR_Coverage, 18152,
     /* 2158898 */     GIR_EraseRootFromParent_Done,
     /* 2158899 */   // Label 28466: @2158899
     /* 2158899 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2158990), // Rule ID 18153 //
     /* 2158904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158950 */     // MIs[0] round
     /* 2158950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158953 */     // MIs[0] policy
     /* 2158953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158963 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2158966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158989 */     // GIR_Coverage, 18153,
     /* 2158989 */     GIR_EraseRootFromParent_Done,
     /* 2158990 */   // Label 28467: @2158990
     /* 2158990 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2159081), // Rule ID 18156 //
     /* 2158995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2159012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159041 */     // MIs[0] round
     /* 2159041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159044 */     // MIs[0] policy
     /* 2159044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159054 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2159057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159080 */     // GIR_Coverage, 18156,
     /* 2159080 */     GIR_EraseRootFromParent_Done,
     /* 2159081 */   // Label 28468: @2159081
     /* 2159081 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2159172), // Rule ID 18157 //
     /* 2159086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2159103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159132 */     // MIs[0] round
     /* 2159132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159135 */     // MIs[0] policy
     /* 2159135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159145 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2159148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159171 */     // GIR_Coverage, 18157,
     /* 2159171 */     GIR_EraseRootFromParent_Done,
     /* 2159172 */   // Label 28469: @2159172
     /* 2159172 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2159263), // Rule ID 18160 //
     /* 2159177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2159194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159223 */     // MIs[0] round
     /* 2159223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159226 */     // MIs[0] policy
     /* 2159226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159236 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2159239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159262 */     // GIR_Coverage, 18160,
     /* 2159262 */     GIR_EraseRootFromParent_Done,
     /* 2159263 */   // Label 28470: @2159263
     /* 2159263 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2159354), // Rule ID 18161 //
     /* 2159268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2159285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159314 */     // MIs[0] round
     /* 2159314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159317 */     // MIs[0] policy
     /* 2159317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2159330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159353 */     // GIR_Coverage, 18161,
     /* 2159353 */     GIR_EraseRootFromParent_Done,
     /* 2159354 */   // Label 28471: @2159354
     /* 2159354 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2159445), // Rule ID 18164 //
     /* 2159359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159405 */     // MIs[0] round
     /* 2159405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159408 */     // MIs[0] policy
     /* 2159408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159418 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2159421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159444 */     // GIR_Coverage, 18164,
     /* 2159444 */     GIR_EraseRootFromParent_Done,
     /* 2159445 */   // Label 28472: @2159445
     /* 2159445 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2159536), // Rule ID 18165 //
     /* 2159450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159496 */     // MIs[0] round
     /* 2159496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159499 */     // MIs[0] policy
     /* 2159499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2159512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159535 */     // GIR_Coverage, 18165,
     /* 2159535 */     GIR_EraseRootFromParent_Done,
     /* 2159536 */   // Label 28473: @2159536
     /* 2159536 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2159627), // Rule ID 18168 //
     /* 2159541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159587 */     // MIs[0] round
     /* 2159587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159590 */     // MIs[0] policy
     /* 2159590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159600 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2159603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159626 */     // GIR_Coverage, 18168,
     /* 2159626 */     GIR_EraseRootFromParent_Done,
     /* 2159627 */   // Label 28474: @2159627
     /* 2159627 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2159718), // Rule ID 18169 //
     /* 2159632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159678 */     // MIs[0] round
     /* 2159678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159681 */     // MIs[0] policy
     /* 2159681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159691 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2159694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159717 */     // GIR_Coverage, 18169,
     /* 2159717 */     GIR_EraseRootFromParent_Done,
     /* 2159718 */   // Label 28475: @2159718
     /* 2159718 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2159809), // Rule ID 18172 //
     /* 2159723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2159734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159769 */     // MIs[0] round
     /* 2159769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159772 */     // MIs[0] policy
     /* 2159772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159782 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2159785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159808 */     // GIR_Coverage, 18172,
     /* 2159808 */     GIR_EraseRootFromParent_Done,
     /* 2159809 */   // Label 28476: @2159809
     /* 2159809 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2159900), // Rule ID 18173 //
     /* 2159814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2159825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159860 */     // MIs[0] round
     /* 2159860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159863 */     // MIs[0] policy
     /* 2159863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159873 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2159876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159899 */     // GIR_Coverage, 18173,
     /* 2159899 */     GIR_EraseRootFromParent_Done,
     /* 2159900 */   // Label 28477: @2159900
     /* 2159900 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2159991), // Rule ID 18176 //
     /* 2159905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159951 */     // MIs[0] round
     /* 2159951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159954 */     // MIs[0] policy
     /* 2159954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2159967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159990 */     // GIR_Coverage, 18176,
     /* 2159990 */     GIR_EraseRootFromParent_Done,
     /* 2159991 */   // Label 28478: @2159991
     /* 2159991 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2160082), // Rule ID 18177 //
     /* 2159996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160042 */     // MIs[0] round
     /* 2160042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160045 */     // MIs[0] policy
     /* 2160045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2160058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160081 */     // GIR_Coverage, 18177,
     /* 2160081 */     GIR_EraseRootFromParent_Done,
     /* 2160082 */   // Label 28479: @2160082
     /* 2160082 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2160173), // Rule ID 18180 //
     /* 2160087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160133 */     // MIs[0] round
     /* 2160133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160136 */     // MIs[0] policy
     /* 2160136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160146 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2160149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160172 */     // GIR_Coverage, 18180,
     /* 2160172 */     GIR_EraseRootFromParent_Done,
     /* 2160173 */   // Label 28480: @2160173
     /* 2160173 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2160264), // Rule ID 18181 //
     /* 2160178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160224 */     // MIs[0] round
     /* 2160224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160227 */     // MIs[0] policy
     /* 2160227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2160240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160263 */     // GIR_Coverage, 18181,
     /* 2160263 */     GIR_EraseRootFromParent_Done,
     /* 2160264 */   // Label 28481: @2160264
     /* 2160264 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2160355), // Rule ID 18184 //
     /* 2160269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160315 */     // MIs[0] round
     /* 2160315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160318 */     // MIs[0] policy
     /* 2160318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2160331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160354 */     // GIR_Coverage, 18184,
     /* 2160354 */     GIR_EraseRootFromParent_Done,
     /* 2160355 */   // Label 28482: @2160355
     /* 2160355 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2160446), // Rule ID 18185 //
     /* 2160360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160406 */     // MIs[0] round
     /* 2160406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160409 */     // MIs[0] policy
     /* 2160409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160419 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2160422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160445 */     // GIR_Coverage, 18185,
     /* 2160445 */     GIR_EraseRootFromParent_Done,
     /* 2160446 */   // Label 28483: @2160446
     /* 2160446 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2160537), // Rule ID 18188 //
     /* 2160451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160497 */     // MIs[0] round
     /* 2160497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160500 */     // MIs[0] policy
     /* 2160500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160510 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2160513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160536 */     // GIR_Coverage, 18188,
     /* 2160536 */     GIR_EraseRootFromParent_Done,
     /* 2160537 */   // Label 28484: @2160537
     /* 2160537 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2160628), // Rule ID 18189 //
     /* 2160542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160588 */     // MIs[0] round
     /* 2160588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160591 */     // MIs[0] policy
     /* 2160591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160601 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2160604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160627 */     // GIR_Coverage, 18189,
     /* 2160627 */     GIR_EraseRootFromParent_Done,
     /* 2160628 */   // Label 28485: @2160628
     /* 2160628 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2160719), // Rule ID 18192 //
     /* 2160633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2160653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160679 */     // MIs[0] round
     /* 2160679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160682 */     // MIs[0] policy
     /* 2160682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160692 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2160695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160718 */     // GIR_Coverage, 18192,
     /* 2160718 */     GIR_EraseRootFromParent_Done,
     /* 2160719 */   // Label 28486: @2160719
     /* 2160719 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2160810), // Rule ID 18193 //
     /* 2160724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2160744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160770 */     // MIs[0] round
     /* 2160770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160773 */     // MIs[0] policy
     /* 2160773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160783 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2160786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160809 */     // GIR_Coverage, 18193,
     /* 2160809 */     GIR_EraseRootFromParent_Done,
     /* 2160810 */   // Label 28487: @2160810
     /* 2160810 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2160901), // Rule ID 18196 //
     /* 2160815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160861 */     // MIs[0] round
     /* 2160861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160864 */     // MIs[0] policy
     /* 2160864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160874 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2160877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160900 */     // GIR_Coverage, 18196,
     /* 2160900 */     GIR_EraseRootFromParent_Done,
     /* 2160901 */   // Label 28488: @2160901
     /* 2160901 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2160992), // Rule ID 18197 //
     /* 2160906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2160914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160952 */     // MIs[0] round
     /* 2160952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160955 */     // MIs[0] policy
     /* 2160955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160965 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2160968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160991 */     // GIR_Coverage, 18197,
     /* 2160991 */     GIR_EraseRootFromParent_Done,
     /* 2160992 */   // Label 28489: @2160992
     /* 2160992 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2161083), // Rule ID 18200 //
     /* 2160997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161043 */     // MIs[0] round
     /* 2161043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161046 */     // MIs[0] policy
     /* 2161046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2161059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161082 */     // GIR_Coverage, 18200,
     /* 2161082 */     GIR_EraseRootFromParent_Done,
     /* 2161083 */   // Label 28490: @2161083
     /* 2161083 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2161174), // Rule ID 18201 //
     /* 2161088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161134 */     // MIs[0] round
     /* 2161134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161137 */     // MIs[0] policy
     /* 2161137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2161150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161173 */     // GIR_Coverage, 18201,
     /* 2161173 */     GIR_EraseRootFromParent_Done,
     /* 2161174 */   // Label 28491: @2161174
     /* 2161174 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2161265), // Rule ID 18204 //
     /* 2161179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161225 */     // MIs[0] round
     /* 2161225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161228 */     // MIs[0] policy
     /* 2161228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161238 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2161241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161264 */     // GIR_Coverage, 18204,
     /* 2161264 */     GIR_EraseRootFromParent_Done,
     /* 2161265 */   // Label 28492: @2161265
     /* 2161265 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2161356), // Rule ID 18205 //
     /* 2161270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161316 */     // MIs[0] round
     /* 2161316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161319 */     // MIs[0] policy
     /* 2161319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161329 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2161332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161355 */     // GIR_Coverage, 18205,
     /* 2161355 */     GIR_EraseRootFromParent_Done,
     /* 2161356 */   // Label 28493: @2161356
     /* 2161356 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2161447), // Rule ID 18208 //
     /* 2161361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161407 */     // MIs[0] round
     /* 2161407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161410 */     // MIs[0] policy
     /* 2161410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161420 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2161423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161446 */     // GIR_Coverage, 18208,
     /* 2161446 */     GIR_EraseRootFromParent_Done,
     /* 2161447 */   // Label 28494: @2161447
     /* 2161447 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2161538), // Rule ID 18209 //
     /* 2161452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161498 */     // MIs[0] round
     /* 2161498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161501 */     // MIs[0] policy
     /* 2161501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2161514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161537 */     // GIR_Coverage, 18209,
     /* 2161537 */     GIR_EraseRootFromParent_Done,
     /* 2161538 */   // Label 28495: @2161538
     /* 2161538 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2161629), // Rule ID 18212 //
     /* 2161543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161589 */     // MIs[0] round
     /* 2161589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161592 */     // MIs[0] policy
     /* 2161592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161602 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2161605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161628 */     // GIR_Coverage, 18212,
     /* 2161628 */     GIR_EraseRootFromParent_Done,
     /* 2161629 */   // Label 28496: @2161629
     /* 2161629 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2161720), // Rule ID 18213 //
     /* 2161634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161680 */     // MIs[0] round
     /* 2161680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161683 */     // MIs[0] policy
     /* 2161683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2161696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161719 */     // GIR_Coverage, 18213,
     /* 2161719 */     GIR_EraseRootFromParent_Done,
     /* 2161720 */   // Label 28497: @2161720
     /* 2161720 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2161811), // Rule ID 18216 //
     /* 2161725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161771 */     // MIs[0] round
     /* 2161771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161774 */     // MIs[0] policy
     /* 2161774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161784 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2161787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161810 */     // GIR_Coverage, 18216,
     /* 2161810 */     GIR_EraseRootFromParent_Done,
     /* 2161811 */   // Label 28498: @2161811
     /* 2161811 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2161902), // Rule ID 18217 //
     /* 2161816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161862 */     // MIs[0] round
     /* 2161862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161865 */     // MIs[0] policy
     /* 2161865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161875 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2161878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161901 */     // GIR_Coverage, 18217,
     /* 2161901 */     GIR_EraseRootFromParent_Done,
     /* 2161902 */   // Label 28499: @2161902
     /* 2161902 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2161993), // Rule ID 18220 //
     /* 2161907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161953 */     // MIs[0] round
     /* 2161953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161956 */     // MIs[0] policy
     /* 2161956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161966 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2161969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161992 */     // GIR_Coverage, 18220,
     /* 2161992 */     GIR_EraseRootFromParent_Done,
     /* 2161993 */   // Label 28500: @2161993
     /* 2161993 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2162084), // Rule ID 18221 //
     /* 2161998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2162015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2162036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162044 */     // MIs[0] round
     /* 2162044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162047 */     // MIs[0] policy
     /* 2162047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2162060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162083 */     // GIR_Coverage, 18221,
     /* 2162083 */     GIR_EraseRootFromParent_Done,
     /* 2162084 */   // Label 28501: @2162084
     /* 2162084 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2162175), // Rule ID 18224 //
     /* 2162089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2162106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162135 */     // MIs[0] round
     /* 2162135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162138 */     // MIs[0] policy
     /* 2162138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2162151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162174 */     // GIR_Coverage, 18224,
     /* 2162174 */     GIR_EraseRootFromParent_Done,
     /* 2162175 */   // Label 28502: @2162175
     /* 2162175 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2162266), // Rule ID 18225 //
     /* 2162180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2162197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162226 */     // MIs[0] round
     /* 2162226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162229 */     // MIs[0] policy
     /* 2162229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2162242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162265 */     // GIR_Coverage, 18225,
     /* 2162265 */     GIR_EraseRootFromParent_Done,
     /* 2162266 */   // Label 28503: @2162266
     /* 2162266 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2162357), // Rule ID 18228 //
     /* 2162271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2162288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162317 */     // MIs[0] round
     /* 2162317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162320 */     // MIs[0] policy
     /* 2162320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2162333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162356 */     // GIR_Coverage, 18228,
     /* 2162356 */     GIR_EraseRootFromParent_Done,
     /* 2162357 */   // Label 28504: @2162357
     /* 2162357 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2162448), // Rule ID 18229 //
     /* 2162362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2162379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162408 */     // MIs[0] round
     /* 2162408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162411 */     // MIs[0] policy
     /* 2162411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162421 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2162424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162447 */     // GIR_Coverage, 18229,
     /* 2162447 */     GIR_EraseRootFromParent_Done,
     /* 2162448 */   // Label 28505: @2162448
     /* 2162448 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2162539), // Rule ID 18232 //
     /* 2162453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162499 */     // MIs[0] round
     /* 2162499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162502 */     // MIs[0] policy
     /* 2162502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162512 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2162515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162538 */     // GIR_Coverage, 18232,
     /* 2162538 */     GIR_EraseRootFromParent_Done,
     /* 2162539 */   // Label 28506: @2162539
     /* 2162539 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2162630), // Rule ID 18233 //
     /* 2162544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162590 */     // MIs[0] round
     /* 2162590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162593 */     // MIs[0] policy
     /* 2162593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162603 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2162606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162629 */     // GIR_Coverage, 18233,
     /* 2162629 */     GIR_EraseRootFromParent_Done,
     /* 2162630 */   // Label 28507: @2162630
     /* 2162630 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2162721), // Rule ID 18236 //
     /* 2162635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2162646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2162649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2162652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2162655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162681 */     // MIs[0] round
     /* 2162681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162684 */     // MIs[0] policy
     /* 2162684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2162697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162720 */     // GIR_Coverage, 18236,
     /* 2162720 */     GIR_EraseRootFromParent_Done,
     /* 2162721 */   // Label 28508: @2162721
     /* 2162721 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2162812), // Rule ID 18237 //
     /* 2162726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2162737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2162740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2162743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2162746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162772 */     // MIs[0] round
     /* 2162772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162775 */     // MIs[0] policy
     /* 2162775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162785 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2162788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162811 */     // GIR_Coverage, 18237,
     /* 2162811 */     GIR_EraseRootFromParent_Done,
     /* 2162812 */   // Label 28509: @2162812
     /* 2162812 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2162903), // Rule ID 18240 //
     /* 2162817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162863 */     // MIs[0] round
     /* 2162863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162866 */     // MIs[0] policy
     /* 2162866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2162879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162902 */     // GIR_Coverage, 18240,
     /* 2162902 */     GIR_EraseRootFromParent_Done,
     /* 2162903 */   // Label 28510: @2162903
     /* 2162903 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2162994), // Rule ID 18241 //
     /* 2162908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162954 */     // MIs[0] round
     /* 2162954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162957 */     // MIs[0] policy
     /* 2162957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2162970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162993 */     // GIR_Coverage, 18241,
     /* 2162993 */     GIR_EraseRootFromParent_Done,
     /* 2162994 */   // Label 28511: @2162994
     /* 2162994 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2163085), // Rule ID 18244 //
     /* 2162999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2163016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163045 */     // MIs[0] round
     /* 2163045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163048 */     // MIs[0] policy
     /* 2163048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2163061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163084 */     // GIR_Coverage, 18244,
     /* 2163084 */     GIR_EraseRootFromParent_Done,
     /* 2163085 */   // Label 28512: @2163085
     /* 2163085 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2163176), // Rule ID 18245 //
     /* 2163090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2163107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163136 */     // MIs[0] round
     /* 2163136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163139 */     // MIs[0] policy
     /* 2163139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2163152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163175 */     // GIR_Coverage, 18245,
     /* 2163175 */     GIR_EraseRootFromParent_Done,
     /* 2163176 */   // Label 28513: @2163176
     /* 2163176 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2163267), // Rule ID 18248 //
     /* 2163181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2163198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163227 */     // MIs[0] round
     /* 2163227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163230 */     // MIs[0] policy
     /* 2163230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163240 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2163243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163266 */     // GIR_Coverage, 18248,
     /* 2163266 */     GIR_EraseRootFromParent_Done,
     /* 2163267 */   // Label 28514: @2163267
     /* 2163267 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2163358), // Rule ID 18249 //
     /* 2163272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2163289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163318 */     // MIs[0] round
     /* 2163318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163321 */     // MIs[0] policy
     /* 2163321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163331 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2163334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163357 */     // GIR_Coverage, 18249,
     /* 2163357 */     GIR_EraseRootFromParent_Done,
     /* 2163358 */   // Label 28515: @2163358
     /* 2163358 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2163449), // Rule ID 18252 //
     /* 2163363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2163380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163409 */     // MIs[0] round
     /* 2163409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163412 */     // MIs[0] policy
     /* 2163412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163422 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2163425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163448 */     // GIR_Coverage, 18252,
     /* 2163448 */     GIR_EraseRootFromParent_Done,
     /* 2163449 */   // Label 28516: @2163449
     /* 2163449 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2163540), // Rule ID 18253 //
     /* 2163454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2163471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163500 */     // MIs[0] round
     /* 2163500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163503 */     // MIs[0] policy
     /* 2163503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163513 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2163516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163539 */     // GIR_Coverage, 18253,
     /* 2163539 */     GIR_EraseRootFromParent_Done,
     /* 2163540 */   // Label 28517: @2163540
     /* 2163540 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2163631), // Rule ID 18256 //
     /* 2163545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2163562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163591 */     // MIs[0] round
     /* 2163591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163594 */     // MIs[0] policy
     /* 2163594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163604 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2163607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163630 */     // GIR_Coverage, 18256,
     /* 2163630 */     GIR_EraseRootFromParent_Done,
     /* 2163631 */   // Label 28518: @2163631
     /* 2163631 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2163722), // Rule ID 18257 //
     /* 2163636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2163653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163682 */     // MIs[0] round
     /* 2163682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163685 */     // MIs[0] policy
     /* 2163685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2163698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163721 */     // GIR_Coverage, 18257,
     /* 2163721 */     GIR_EraseRootFromParent_Done,
     /* 2163722 */   // Label 28519: @2163722
     /* 2163722 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2163813), // Rule ID 18260 //
     /* 2163727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163773 */     // MIs[0] round
     /* 2163773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163776 */     // MIs[0] policy
     /* 2163776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2163789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163812 */     // GIR_Coverage, 18260,
     /* 2163812 */     GIR_EraseRootFromParent_Done,
     /* 2163813 */   // Label 28520: @2163813
     /* 2163813 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2163904), // Rule ID 18261 //
     /* 2163818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163864 */     // MIs[0] round
     /* 2163864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163867 */     // MIs[0] policy
     /* 2163867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2163880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163903 */     // GIR_Coverage, 18261,
     /* 2163903 */     GIR_EraseRootFromParent_Done,
     /* 2163904 */   // Label 28521: @2163904
     /* 2163904 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2163995), // Rule ID 18264 //
     /* 2163909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163955 */     // MIs[0] round
     /* 2163955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163958 */     // MIs[0] policy
     /* 2163958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163968 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2163971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163994 */     // GIR_Coverage, 18264,
     /* 2163994 */     GIR_EraseRootFromParent_Done,
     /* 2163995 */   // Label 28522: @2163995
     /* 2163995 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2164086), // Rule ID 18265 //
     /* 2164000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2164017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164046 */     // MIs[0] round
     /* 2164046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164049 */     // MIs[0] policy
     /* 2164049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164059 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2164062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164085 */     // GIR_Coverage, 18265,
     /* 2164085 */     GIR_EraseRootFromParent_Done,
     /* 2164086 */   // Label 28523: @2164086
     /* 2164086 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2164177), // Rule ID 18268 //
     /* 2164091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2164108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164137 */     // MIs[0] round
     /* 2164137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164140 */     // MIs[0] policy
     /* 2164140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164150 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2164153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164176 */     // GIR_Coverage, 18268,
     /* 2164176 */     GIR_EraseRootFromParent_Done,
     /* 2164177 */   // Label 28524: @2164177
     /* 2164177 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2164268), // Rule ID 18269 //
     /* 2164182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2164199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164228 */     // MIs[0] round
     /* 2164228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164231 */     // MIs[0] policy
     /* 2164231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164241 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2164244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164267 */     // GIR_Coverage, 18269,
     /* 2164267 */     GIR_EraseRootFromParent_Done,
     /* 2164268 */   // Label 28525: @2164268
     /* 2164268 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2164359), // Rule ID 18272 //
     /* 2164273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2164290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164319 */     // MIs[0] round
     /* 2164319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164322 */     // MIs[0] policy
     /* 2164322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2164335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164358 */     // GIR_Coverage, 18272,
     /* 2164358 */     GIR_EraseRootFromParent_Done,
     /* 2164359 */   // Label 28526: @2164359
     /* 2164359 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2164450), // Rule ID 18273 //
     /* 2164364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2164381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164410 */     // MIs[0] round
     /* 2164410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164413 */     // MIs[0] policy
     /* 2164413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164423 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2164426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164449 */     // GIR_Coverage, 18273,
     /* 2164449 */     GIR_EraseRootFromParent_Done,
     /* 2164450 */   // Label 28527: @2164450
     /* 2164450 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2164541), // Rule ID 18276 //
     /* 2164455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2164472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164501 */     // MIs[0] round
     /* 2164501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164504 */     // MIs[0] policy
     /* 2164504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2164517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164540 */     // GIR_Coverage, 18276,
     /* 2164540 */     GIR_EraseRootFromParent_Done,
     /* 2164541 */   // Label 28528: @2164541
     /* 2164541 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2164632), // Rule ID 18277 //
     /* 2164546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2164563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164592 */     // MIs[0] round
     /* 2164592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164595 */     // MIs[0] policy
     /* 2164595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2164608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164631 */     // GIR_Coverage, 18277,
     /* 2164631 */     GIR_EraseRootFromParent_Done,
     /* 2164632 */   // Label 28529: @2164632
     /* 2164632 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2164723), // Rule ID 18280 //
     /* 2164637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2164648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2164654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2164657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164683 */     // MIs[0] round
     /* 2164683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164686 */     // MIs[0] policy
     /* 2164686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2164699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164722 */     // GIR_Coverage, 18280,
     /* 2164722 */     GIR_EraseRootFromParent_Done,
     /* 2164723 */   // Label 28530: @2164723
     /* 2164723 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2164814), // Rule ID 18281 //
     /* 2164728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2164739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2164745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2164748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164774 */     // MIs[0] round
     /* 2164774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164777 */     // MIs[0] policy
     /* 2164777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2164790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164813 */     // GIR_Coverage, 18281,
     /* 2164813 */     GIR_EraseRootFromParent_Done,
     /* 2164814 */   // Label 28531: @2164814
     /* 2164814 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2164905), // Rule ID 18284 //
     /* 2164819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164865 */     // MIs[0] round
     /* 2164865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164868 */     // MIs[0] policy
     /* 2164868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2164881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164904 */     // GIR_Coverage, 18284,
     /* 2164904 */     GIR_EraseRootFromParent_Done,
     /* 2164905 */   // Label 28532: @2164905
     /* 2164905 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2164996), // Rule ID 18285 //
     /* 2164910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164956 */     // MIs[0] round
     /* 2164956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164959 */     // MIs[0] policy
     /* 2164959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164969 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2164972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164995 */     // GIR_Coverage, 18285,
     /* 2164995 */     GIR_EraseRootFromParent_Done,
     /* 2164996 */   // Label 28533: @2164996
     /* 2164996 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2165087), // Rule ID 18288 //
     /* 2165001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165047 */     // MIs[0] round
     /* 2165047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165050 */     // MIs[0] policy
     /* 2165050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165060 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2165063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165086 */     // GIR_Coverage, 18288,
     /* 2165086 */     GIR_EraseRootFromParent_Done,
     /* 2165087 */   // Label 28534: @2165087
     /* 2165087 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2165178), // Rule ID 18289 //
     /* 2165092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165138 */     // MIs[0] round
     /* 2165138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165141 */     // MIs[0] policy
     /* 2165141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165151 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2165154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165177 */     // GIR_Coverage, 18289,
     /* 2165177 */     GIR_EraseRootFromParent_Done,
     /* 2165178 */   // Label 28535: @2165178
     /* 2165178 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2165269), // Rule ID 18292 //
     /* 2165183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165229 */     // MIs[0] round
     /* 2165229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165232 */     // MIs[0] policy
     /* 2165232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165242 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2165245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165268 */     // GIR_Coverage, 18292,
     /* 2165268 */     GIR_EraseRootFromParent_Done,
     /* 2165269 */   // Label 28536: @2165269
     /* 2165269 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2165360), // Rule ID 18293 //
     /* 2165274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165320 */     // MIs[0] round
     /* 2165320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165323 */     // MIs[0] policy
     /* 2165323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2165336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165359 */     // GIR_Coverage, 18293,
     /* 2165359 */     GIR_EraseRootFromParent_Done,
     /* 2165360 */   // Label 28537: @2165360
     /* 2165360 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2165451), // Rule ID 18296 //
     /* 2165365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165411 */     // MIs[0] round
     /* 2165411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165414 */     // MIs[0] policy
     /* 2165414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165424 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2165427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165450 */     // GIR_Coverage, 18296,
     /* 2165450 */     GIR_EraseRootFromParent_Done,
     /* 2165451 */   // Label 28538: @2165451
     /* 2165451 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2165542), // Rule ID 18297 //
     /* 2165456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165502 */     // MIs[0] round
     /* 2165502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165505 */     // MIs[0] policy
     /* 2165505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165515 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2165518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165541 */     // GIR_Coverage, 18297,
     /* 2165541 */     GIR_EraseRootFromParent_Done,
     /* 2165542 */   // Label 28539: @2165542
     /* 2165542 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2165633), // Rule ID 18300 //
     /* 2165547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165593 */     // MIs[0] round
     /* 2165593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165596 */     // MIs[0] policy
     /* 2165596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2165609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165632 */     // GIR_Coverage, 18300,
     /* 2165632 */     GIR_EraseRootFromParent_Done,
     /* 2165633 */   // Label 28540: @2165633
     /* 2165633 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2165724), // Rule ID 18301 //
     /* 2165638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165684 */     // MIs[0] round
     /* 2165684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165687 */     // MIs[0] policy
     /* 2165687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2165700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165723 */     // GIR_Coverage, 18301,
     /* 2165723 */     GIR_EraseRootFromParent_Done,
     /* 2165724 */   // Label 28541: @2165724
     /* 2165724 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2165815), // Rule ID 18304 //
     /* 2165729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165775 */     // MIs[0] round
     /* 2165775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165778 */     // MIs[0] policy
     /* 2165778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2165791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165814 */     // GIR_Coverage, 18304,
     /* 2165814 */     GIR_EraseRootFromParent_Done,
     /* 2165815 */   // Label 28542: @2165815
     /* 2165815 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2165906), // Rule ID 18305 //
     /* 2165820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165866 */     // MIs[0] round
     /* 2165866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165869 */     // MIs[0] policy
     /* 2165869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2165882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165905 */     // GIR_Coverage, 18305,
     /* 2165905 */     GIR_EraseRootFromParent_Done,
     /* 2165906 */   // Label 28543: @2165906
     /* 2165906 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2165997), // Rule ID 18308 //
     /* 2165911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165957 */     // MIs[0] round
     /* 2165957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165960 */     // MIs[0] policy
     /* 2165960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2165973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165996 */     // GIR_Coverage, 18308,
     /* 2165996 */     GIR_EraseRootFromParent_Done,
     /* 2165997 */   // Label 28544: @2165997
     /* 2165997 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2166088), // Rule ID 18309 //
     /* 2166002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166048 */     // MIs[0] round
     /* 2166048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166051 */     // MIs[0] policy
     /* 2166051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166061 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2166064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166087 */     // GIR_Coverage, 18309,
     /* 2166087 */     GIR_EraseRootFromParent_Done,
     /* 2166088 */   // Label 28545: @2166088
     /* 2166088 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2166179), // Rule ID 18312 //
     /* 2166093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166139 */     // MIs[0] round
     /* 2166139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166142 */     // MIs[0] policy
     /* 2166142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166152 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2166155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166178 */     // GIR_Coverage, 18312,
     /* 2166178 */     GIR_EraseRootFromParent_Done,
     /* 2166179 */   // Label 28546: @2166179
     /* 2166179 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2166270), // Rule ID 18313 //
     /* 2166184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166230 */     // MIs[0] round
     /* 2166230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166233 */     // MIs[0] policy
     /* 2166233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166243 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2166246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166269 */     // GIR_Coverage, 18313,
     /* 2166269 */     GIR_EraseRootFromParent_Done,
     /* 2166270 */   // Label 28547: @2166270
     /* 2166270 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2166361), // Rule ID 18316 //
     /* 2166275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166321 */     // MIs[0] round
     /* 2166321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166324 */     // MIs[0] policy
     /* 2166324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166334 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2166337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166360 */     // GIR_Coverage, 18316,
     /* 2166360 */     GIR_EraseRootFromParent_Done,
     /* 2166361 */   // Label 28548: @2166361
     /* 2166361 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2166452), // Rule ID 18317 //
     /* 2166366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166412 */     // MIs[0] round
     /* 2166412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166415 */     // MIs[0] policy
     /* 2166415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166425 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2166428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166451 */     // GIR_Coverage, 18317,
     /* 2166451 */     GIR_EraseRootFromParent_Done,
     /* 2166452 */   // Label 28549: @2166452
     /* 2166452 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2166543), // Rule ID 18320 //
     /* 2166457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166503 */     // MIs[0] round
     /* 2166503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166506 */     // MIs[0] policy
     /* 2166506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166516 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2166519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166542 */     // GIR_Coverage, 18320,
     /* 2166542 */     GIR_EraseRootFromParent_Done,
     /* 2166543 */   // Label 28550: @2166543
     /* 2166543 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2166634), // Rule ID 18321 //
     /* 2166548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166594 */     // MIs[0] round
     /* 2166594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166597 */     // MIs[0] policy
     /* 2166597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2166610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166633 */     // GIR_Coverage, 18321,
     /* 2166633 */     GIR_EraseRootFromParent_Done,
     /* 2166634 */   // Label 28551: @2166634
     /* 2166634 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2166725), // Rule ID 18324 //
     /* 2166639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2166650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2166653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2166659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166685 */     // MIs[0] round
     /* 2166685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166688 */     // MIs[0] policy
     /* 2166688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2166701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166724 */     // GIR_Coverage, 18324,
     /* 2166724 */     GIR_EraseRootFromParent_Done,
     /* 2166725 */   // Label 28552: @2166725
     /* 2166725 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2166816), // Rule ID 18325 //
     /* 2166730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2166741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2166744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2166750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166776 */     // MIs[0] round
     /* 2166776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166779 */     // MIs[0] policy
     /* 2166779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2166792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166815 */     // GIR_Coverage, 18325,
     /* 2166815 */     GIR_EraseRootFromParent_Done,
     /* 2166816 */   // Label 28553: @2166816
     /* 2166816 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2166907), // Rule ID 18328 //
     /* 2166821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166867 */     // MIs[0] round
     /* 2166867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166870 */     // MIs[0] policy
     /* 2166870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2166883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166906 */     // GIR_Coverage, 18328,
     /* 2166906 */     GIR_EraseRootFromParent_Done,
     /* 2166907 */   // Label 28554: @2166907
     /* 2166907 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2166998), // Rule ID 18329 //
     /* 2166912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2166920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166958 */     // MIs[0] round
     /* 2166958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166961 */     // MIs[0] policy
     /* 2166961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166971 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2166974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166997 */     // GIR_Coverage, 18329,
     /* 2166997 */     GIR_EraseRootFromParent_Done,
     /* 2166998 */   // Label 28555: @2166998
     /* 2166998 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2167089), // Rule ID 18332 //
     /* 2167003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167049 */     // MIs[0] round
     /* 2167049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167052 */     // MIs[0] policy
     /* 2167052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167062 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2167065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167088 */     // GIR_Coverage, 18332,
     /* 2167088 */     GIR_EraseRootFromParent_Done,
     /* 2167089 */   // Label 28556: @2167089
     /* 2167089 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2167180), // Rule ID 18333 //
     /* 2167094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167140 */     // MIs[0] round
     /* 2167140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167143 */     // MIs[0] policy
     /* 2167143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2167156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167179 */     // GIR_Coverage, 18333,
     /* 2167179 */     GIR_EraseRootFromParent_Done,
     /* 2167180 */   // Label 28557: @2167180
     /* 2167180 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2167271), // Rule ID 18336 //
     /* 2167185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167231 */     // MIs[0] round
     /* 2167231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167234 */     // MIs[0] policy
     /* 2167234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167244 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2167247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167270 */     // GIR_Coverage, 18336,
     /* 2167270 */     GIR_EraseRootFromParent_Done,
     /* 2167271 */   // Label 28558: @2167271
     /* 2167271 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2167362), // Rule ID 18337 //
     /* 2167276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167322 */     // MIs[0] round
     /* 2167322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167325 */     // MIs[0] policy
     /* 2167325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167335 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2167338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167361 */     // GIR_Coverage, 18337,
     /* 2167361 */     GIR_EraseRootFromParent_Done,
     /* 2167362 */   // Label 28559: @2167362
     /* 2167362 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2167453), // Rule ID 18340 //
     /* 2167367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167413 */     // MIs[0] round
     /* 2167413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167416 */     // MIs[0] policy
     /* 2167416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167426 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2167429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167452 */     // GIR_Coverage, 18340,
     /* 2167452 */     GIR_EraseRootFromParent_Done,
     /* 2167453 */   // Label 28560: @2167453
     /* 2167453 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2167544), // Rule ID 18341 //
     /* 2167458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167504 */     // MIs[0] round
     /* 2167504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167507 */     // MIs[0] policy
     /* 2167507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167517 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2167520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167543 */     // GIR_Coverage, 18341,
     /* 2167543 */     GIR_EraseRootFromParent_Done,
     /* 2167544 */   // Label 28561: @2167544
     /* 2167544 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2167635), // Rule ID 18344 //
     /* 2167549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167595 */     // MIs[0] round
     /* 2167595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167598 */     // MIs[0] policy
     /* 2167598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167608 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2167611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167634 */     // GIR_Coverage, 18344,
     /* 2167634 */     GIR_EraseRootFromParent_Done,
     /* 2167635 */   // Label 28562: @2167635
     /* 2167635 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2167726), // Rule ID 18345 //
     /* 2167640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167686 */     // MIs[0] round
     /* 2167686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167689 */     // MIs[0] policy
     /* 2167689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2167702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167725 */     // GIR_Coverage, 18345,
     /* 2167725 */     GIR_EraseRootFromParent_Done,
     /* 2167726 */   // Label 28563: @2167726
     /* 2167726 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2167817), // Rule ID 18348 //
     /* 2167731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167777 */     // MIs[0] round
     /* 2167777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167780 */     // MIs[0] policy
     /* 2167780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167790 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2167793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167816 */     // GIR_Coverage, 18348,
     /* 2167816 */     GIR_EraseRootFromParent_Done,
     /* 2167817 */   // Label 28564: @2167817
     /* 2167817 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2167908), // Rule ID 18349 //
     /* 2167822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167868 */     // MIs[0] round
     /* 2167868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167871 */     // MIs[0] policy
     /* 2167871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167881 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2167884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167907 */     // GIR_Coverage, 18349,
     /* 2167907 */     GIR_EraseRootFromParent_Done,
     /* 2167908 */   // Label 28565: @2167908
     /* 2167908 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2167999), // Rule ID 18352 //
     /* 2167913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167959 */     // MIs[0] round
     /* 2167959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167962 */     // MIs[0] policy
     /* 2167962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2167975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167998 */     // GIR_Coverage, 18352,
     /* 2167998 */     GIR_EraseRootFromParent_Done,
     /* 2167999 */   // Label 28566: @2167999
     /* 2167999 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2168090), // Rule ID 18353 //
     /* 2168004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2168021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168050 */     // MIs[0] round
     /* 2168050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168053 */     // MIs[0] policy
     /* 2168053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168063 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2168066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168089 */     // GIR_Coverage, 18353,
     /* 2168089 */     GIR_EraseRootFromParent_Done,
     /* 2168090 */   // Label 28567: @2168090
     /* 2168090 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2168181), // Rule ID 18356 //
     /* 2168095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2168112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168141 */     // MIs[0] round
     /* 2168141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168144 */     // MIs[0] policy
     /* 2168144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168154 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2168157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168180 */     // GIR_Coverage, 18356,
     /* 2168180 */     GIR_EraseRootFromParent_Done,
     /* 2168181 */   // Label 28568: @2168181
     /* 2168181 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2168272), // Rule ID 18357 //
     /* 2168186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2168203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168232 */     // MIs[0] round
     /* 2168232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168235 */     // MIs[0] policy
     /* 2168235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2168248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168271 */     // GIR_Coverage, 18357,
     /* 2168271 */     GIR_EraseRootFromParent_Done,
     /* 2168272 */   // Label 28569: @2168272
     /* 2168272 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2168363), // Rule ID 18360 //
     /* 2168277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2168294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168323 */     // MIs[0] round
     /* 2168323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168326 */     // MIs[0] policy
     /* 2168326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2168339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168362 */     // GIR_Coverage, 18360,
     /* 2168362 */     GIR_EraseRootFromParent_Done,
     /* 2168363 */   // Label 28570: @2168363
     /* 2168363 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2168454), // Rule ID 18361 //
     /* 2168368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2168385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168414 */     // MIs[0] round
     /* 2168414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168417 */     // MIs[0] policy
     /* 2168417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2168430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168453 */     // GIR_Coverage, 18361,
     /* 2168453 */     GIR_EraseRootFromParent_Done,
     /* 2168454 */   // Label 28571: @2168454
     /* 2168454 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2168545), // Rule ID 18364 //
     /* 2168459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168505 */     // MIs[0] round
     /* 2168505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168508 */     // MIs[0] policy
     /* 2168508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168518 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2168521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168544 */     // GIR_Coverage, 18364,
     /* 2168544 */     GIR_EraseRootFromParent_Done,
     /* 2168545 */   // Label 28572: @2168545
     /* 2168545 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2168636), // Rule ID 18365 //
     /* 2168550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168596 */     // MIs[0] round
     /* 2168596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168599 */     // MIs[0] policy
     /* 2168599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2168612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168635 */     // GIR_Coverage, 18365,
     /* 2168635 */     GIR_EraseRootFromParent_Done,
     /* 2168636 */   // Label 28573: @2168636
     /* 2168636 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2168727), // Rule ID 18368 //
     /* 2168641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2168652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2168655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2168658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2168661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168687 */     // MIs[0] round
     /* 2168687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168690 */     // MIs[0] policy
     /* 2168690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168700 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2168703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168726 */     // GIR_Coverage, 18368,
     /* 2168726 */     GIR_EraseRootFromParent_Done,
     /* 2168727 */   // Label 28574: @2168727
     /* 2168727 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2168818), // Rule ID 18369 //
     /* 2168732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2168743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2168746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2168749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2168752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168778 */     // MIs[0] round
     /* 2168778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168781 */     // MIs[0] policy
     /* 2168781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168791 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2168794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168817 */     // GIR_Coverage, 18369,
     /* 2168817 */     GIR_EraseRootFromParent_Done,
     /* 2168818 */   // Label 28575: @2168818
     /* 2168818 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2168909), // Rule ID 18372 //
     /* 2168823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168869 */     // MIs[0] round
     /* 2168869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168872 */     // MIs[0] policy
     /* 2168872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168882 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2168885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168908 */     // GIR_Coverage, 18372,
     /* 2168908 */     GIR_EraseRootFromParent_Done,
     /* 2168909 */   // Label 28576: @2168909
     /* 2168909 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2169000), // Rule ID 18373 //
     /* 2168914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168960 */     // MIs[0] round
     /* 2168960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168963 */     // MIs[0] policy
     /* 2168963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168973 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2168976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168999 */     // GIR_Coverage, 18373,
     /* 2168999 */     GIR_EraseRootFromParent_Done,
     /* 2169000 */   // Label 28577: @2169000
     /* 2169000 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2169091), // Rule ID 18376 //
     /* 2169005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2169022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169051 */     // MIs[0] round
     /* 2169051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169054 */     // MIs[0] policy
     /* 2169054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169064 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2169067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169090 */     // GIR_Coverage, 18376,
     /* 2169090 */     GIR_EraseRootFromParent_Done,
     /* 2169091 */   // Label 28578: @2169091
     /* 2169091 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2169182), // Rule ID 18377 //
     /* 2169096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2169113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169142 */     // MIs[0] round
     /* 2169142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169145 */     // MIs[0] policy
     /* 2169145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2169158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169181 */     // GIR_Coverage, 18377,
     /* 2169181 */     GIR_EraseRootFromParent_Done,
     /* 2169182 */   // Label 28579: @2169182
     /* 2169182 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2169273), // Rule ID 18380 //
     /* 2169187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2169204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169233 */     // MIs[0] round
     /* 2169233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169236 */     // MIs[0] policy
     /* 2169236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2169249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169272 */     // GIR_Coverage, 18380,
     /* 2169272 */     GIR_EraseRootFromParent_Done,
     /* 2169273 */   // Label 28580: @2169273
     /* 2169273 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2169364), // Rule ID 18381 //
     /* 2169278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2169295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169324 */     // MIs[0] round
     /* 2169324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169327 */     // MIs[0] policy
     /* 2169327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2169340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169363 */     // GIR_Coverage, 18381,
     /* 2169363 */     GIR_EraseRootFromParent_Done,
     /* 2169364 */   // Label 28581: @2169364
     /* 2169364 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2169455), // Rule ID 18384 //
     /* 2169369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2169386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169415 */     // MIs[0] round
     /* 2169415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169418 */     // MIs[0] policy
     /* 2169418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2169431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169454 */     // GIR_Coverage, 18384,
     /* 2169454 */     GIR_EraseRootFromParent_Done,
     /* 2169455 */   // Label 28582: @2169455
     /* 2169455 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2169546), // Rule ID 18385 //
     /* 2169460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2169477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169506 */     // MIs[0] round
     /* 2169506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169509 */     // MIs[0] policy
     /* 2169509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169519 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2169522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169545 */     // GIR_Coverage, 18385,
     /* 2169545 */     GIR_EraseRootFromParent_Done,
     /* 2169546 */   // Label 28583: @2169546
     /* 2169546 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2169637), // Rule ID 18388 //
     /* 2169551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2169568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169597 */     // MIs[0] round
     /* 2169597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169600 */     // MIs[0] policy
     /* 2169600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169610 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2169613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169636 */     // GIR_Coverage, 18388,
     /* 2169636 */     GIR_EraseRootFromParent_Done,
     /* 2169637 */   // Label 28584: @2169637
     /* 2169637 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2169728), // Rule ID 18389 //
     /* 2169642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2169659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169688 */     // MIs[0] round
     /* 2169688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169691 */     // MIs[0] policy
     /* 2169691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169701 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2169704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169727 */     // GIR_Coverage, 18389,
     /* 2169727 */     GIR_EraseRootFromParent_Done,
     /* 2169728 */   // Label 28585: @2169728
     /* 2169728 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2169819), // Rule ID 18392 //
     /* 2169733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169779 */     // MIs[0] round
     /* 2169779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169782 */     // MIs[0] policy
     /* 2169782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2169795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169818 */     // GIR_Coverage, 18392,
     /* 2169818 */     GIR_EraseRootFromParent_Done,
     /* 2169819 */   // Label 28586: @2169819
     /* 2169819 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2169910), // Rule ID 18393 //
     /* 2169824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169870 */     // MIs[0] round
     /* 2169870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169873 */     // MIs[0] policy
     /* 2169873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169883 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2169886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169909 */     // GIR_Coverage, 18393,
     /* 2169909 */     GIR_EraseRootFromParent_Done,
     /* 2169910 */   // Label 28587: @2169910
     /* 2169910 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2170001), // Rule ID 18396 //
     /* 2169915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169961 */     // MIs[0] round
     /* 2169961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169964 */     // MIs[0] policy
     /* 2169964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169974 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2169977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170000 */     // GIR_Coverage, 18396,
     /* 2170000 */     GIR_EraseRootFromParent_Done,
     /* 2170001 */   // Label 28588: @2170001
     /* 2170001 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2170092), // Rule ID 18397 //
     /* 2170006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2170023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170052 */     // MIs[0] round
     /* 2170052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170055 */     // MIs[0] policy
     /* 2170055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170065 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2170068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170091 */     // GIR_Coverage, 18397,
     /* 2170091 */     GIR_EraseRootFromParent_Done,
     /* 2170092 */   // Label 28589: @2170092
     /* 2170092 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2170183), // Rule ID 18400 //
     /* 2170097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2170114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170143 */     // MIs[0] round
     /* 2170143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170146 */     // MIs[0] policy
     /* 2170146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170156 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2170159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170182 */     // GIR_Coverage, 18400,
     /* 2170182 */     GIR_EraseRootFromParent_Done,
     /* 2170183 */   // Label 28590: @2170183
     /* 2170183 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2170274), // Rule ID 18401 //
     /* 2170188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2170205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170234 */     // MIs[0] round
     /* 2170234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170237 */     // MIs[0] policy
     /* 2170237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2170250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170273 */     // GIR_Coverage, 18401,
     /* 2170273 */     GIR_EraseRootFromParent_Done,
     /* 2170274 */   // Label 28591: @2170274
     /* 2170274 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2170365), // Rule ID 18404 //
     /* 2170279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170325 */     // MIs[0] round
     /* 2170325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170328 */     // MIs[0] policy
     /* 2170328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170338 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2170341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170364 */     // GIR_Coverage, 18404,
     /* 2170364 */     GIR_EraseRootFromParent_Done,
     /* 2170365 */   // Label 28592: @2170365
     /* 2170365 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2170456), // Rule ID 18405 //
     /* 2170370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170416 */     // MIs[0] round
     /* 2170416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170419 */     // MIs[0] policy
     /* 2170419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170429 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2170432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170455 */     // GIR_Coverage, 18405,
     /* 2170455 */     GIR_EraseRootFromParent_Done,
     /* 2170456 */   // Label 28593: @2170456
     /* 2170456 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2170547), // Rule ID 18408 //
     /* 2170461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170507 */     // MIs[0] round
     /* 2170507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170510 */     // MIs[0] policy
     /* 2170510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2170523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170546 */     // GIR_Coverage, 18408,
     /* 2170546 */     GIR_EraseRootFromParent_Done,
     /* 2170547 */   // Label 28594: @2170547
     /* 2170547 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2170638), // Rule ID 18409 //
     /* 2170552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170598 */     // MIs[0] round
     /* 2170598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170601 */     // MIs[0] policy
     /* 2170601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170611 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2170614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170637 */     // GIR_Coverage, 18409,
     /* 2170637 */     GIR_EraseRootFromParent_Done,
     /* 2170638 */   // Label 28595: @2170638
     /* 2170638 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2170729), // Rule ID 18412 //
     /* 2170643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2170654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2170657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2170663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170689 */     // MIs[0] round
     /* 2170689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170692 */     // MIs[0] policy
     /* 2170692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2170705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170728 */     // GIR_Coverage, 18412,
     /* 2170728 */     GIR_EraseRootFromParent_Done,
     /* 2170729 */   // Label 28596: @2170729
     /* 2170729 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2170820), // Rule ID 18413 //
     /* 2170734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2170745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2170748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2170754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170780 */     // MIs[0] round
     /* 2170780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170783 */     // MIs[0] policy
     /* 2170783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170793 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2170796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170819 */     // GIR_Coverage, 18413,
     /* 2170819 */     GIR_EraseRootFromParent_Done,
     /* 2170820 */   // Label 28597: @2170820
     /* 2170820 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2170911), // Rule ID 18416 //
     /* 2170825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170871 */     // MIs[0] round
     /* 2170871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170874 */     // MIs[0] policy
     /* 2170874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2170887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170910 */     // GIR_Coverage, 18416,
     /* 2170910 */     GIR_EraseRootFromParent_Done,
     /* 2170911 */   // Label 28598: @2170911
     /* 2170911 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2171002), // Rule ID 18417 //
     /* 2170916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170962 */     // MIs[0] round
     /* 2170962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170965 */     // MIs[0] policy
     /* 2170965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170975 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2170978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171001 */     // GIR_Coverage, 18417,
     /* 2171001 */     GIR_EraseRootFromParent_Done,
     /* 2171002 */   // Label 28599: @2171002
     /* 2171002 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2171093), // Rule ID 18420 //
     /* 2171007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171053 */     // MIs[0] round
     /* 2171053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171056 */     // MIs[0] policy
     /* 2171056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171066 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2171069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171092 */     // GIR_Coverage, 18420,
     /* 2171092 */     GIR_EraseRootFromParent_Done,
     /* 2171093 */   // Label 28600: @2171093
     /* 2171093 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2171184), // Rule ID 18421 //
     /* 2171098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171144 */     // MIs[0] round
     /* 2171144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171147 */     // MIs[0] policy
     /* 2171147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2171160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171183 */     // GIR_Coverage, 18421,
     /* 2171183 */     GIR_EraseRootFromParent_Done,
     /* 2171184 */   // Label 28601: @2171184
     /* 2171184 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2171275), // Rule ID 18424 //
     /* 2171189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171235 */     // MIs[0] round
     /* 2171235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171238 */     // MIs[0] policy
     /* 2171238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2171251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171274 */     // GIR_Coverage, 18424,
     /* 2171274 */     GIR_EraseRootFromParent_Done,
     /* 2171275 */   // Label 28602: @2171275
     /* 2171275 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2171366), // Rule ID 18425 //
     /* 2171280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171326 */     // MIs[0] round
     /* 2171326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171329 */     // MIs[0] policy
     /* 2171329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2171342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171365 */     // GIR_Coverage, 18425,
     /* 2171365 */     GIR_EraseRootFromParent_Done,
     /* 2171366 */   // Label 28603: @2171366
     /* 2171366 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2171457), // Rule ID 18428 //
     /* 2171371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171417 */     // MIs[0] round
     /* 2171417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171420 */     // MIs[0] policy
     /* 2171420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171430 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2171433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171456 */     // GIR_Coverage, 18428,
     /* 2171456 */     GIR_EraseRootFromParent_Done,
     /* 2171457 */   // Label 28604: @2171457
     /* 2171457 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2171548), // Rule ID 18429 //
     /* 2171462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171508 */     // MIs[0] round
     /* 2171508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171511 */     // MIs[0] policy
     /* 2171511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2171524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171547 */     // GIR_Coverage, 18429,
     /* 2171547 */     GIR_EraseRootFromParent_Done,
     /* 2171548 */   // Label 28605: @2171548
     /* 2171548 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2171639), // Rule ID 18432 //
     /* 2171553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171599 */     // MIs[0] round
     /* 2171599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171602 */     // MIs[0] policy
     /* 2171602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171612 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2171615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171638 */     // GIR_Coverage, 18432,
     /* 2171638 */     GIR_EraseRootFromParent_Done,
     /* 2171639 */   // Label 28606: @2171639
     /* 2171639 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2171730), // Rule ID 18433 //
     /* 2171644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171690 */     // MIs[0] round
     /* 2171690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171693 */     // MIs[0] policy
     /* 2171693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171703 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2171706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171729 */     // GIR_Coverage, 18433,
     /* 2171729 */     GIR_EraseRootFromParent_Done,
     /* 2171730 */   // Label 28607: @2171730
     /* 2171730 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2171821), // Rule ID 18436 //
     /* 2171735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171781 */     // MIs[0] round
     /* 2171781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171784 */     // MIs[0] policy
     /* 2171784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171794 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2171797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171820 */     // GIR_Coverage, 18436,
     /* 2171820 */     GIR_EraseRootFromParent_Done,
     /* 2171821 */   // Label 28608: @2171821
     /* 2171821 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2171912), // Rule ID 18437 //
     /* 2171826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171872 */     // MIs[0] round
     /* 2171872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171875 */     // MIs[0] policy
     /* 2171875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171885 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171911 */     // GIR_Coverage, 18437,
     /* 2171911 */     GIR_EraseRootFromParent_Done,
     /* 2171912 */   // Label 28609: @2171912
     /* 2171912 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2172003), // Rule ID 18440 //
     /* 2171917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2171925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171963 */     // MIs[0] round
     /* 2171963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171966 */     // MIs[0] policy
     /* 2171966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2171979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172002 */     // GIR_Coverage, 18440,
     /* 2172002 */     GIR_EraseRootFromParent_Done,
     /* 2172003 */   // Label 28610: @2172003
     /* 2172003 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2172094), // Rule ID 18441 //
     /* 2172008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2172019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172054 */     // MIs[0] round
     /* 2172054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172057 */     // MIs[0] policy
     /* 2172057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172067 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2172070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172093 */     // GIR_Coverage, 18441,
     /* 2172093 */     GIR_EraseRootFromParent_Done,
     /* 2172094 */   // Label 28611: @2172094
     /* 2172094 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2172185), // Rule ID 18444 //
     /* 2172099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172145 */     // MIs[0] round
     /* 2172145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172148 */     // MIs[0] policy
     /* 2172148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172158 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2172161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172184 */     // GIR_Coverage, 18444,
     /* 2172184 */     GIR_EraseRootFromParent_Done,
     /* 2172185 */   // Label 28612: @2172185
     /* 2172185 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2172276), // Rule ID 18445 //
     /* 2172190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172236 */     // MIs[0] round
     /* 2172236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172239 */     // MIs[0] policy
     /* 2172239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172249 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2172252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172275 */     // GIR_Coverage, 18445,
     /* 2172275 */     GIR_EraseRootFromParent_Done,
     /* 2172276 */   // Label 28613: @2172276
     /* 2172276 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2172367), // Rule ID 18448 //
     /* 2172281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172327 */     // MIs[0] round
     /* 2172327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172330 */     // MIs[0] policy
     /* 2172330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2172343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172366 */     // GIR_Coverage, 18448,
     /* 2172366 */     GIR_EraseRootFromParent_Done,
     /* 2172367 */   // Label 28614: @2172367
     /* 2172367 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2172458), // Rule ID 18449 //
     /* 2172372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172418 */     // MIs[0] round
     /* 2172418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172421 */     // MIs[0] policy
     /* 2172421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2172434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172457 */     // GIR_Coverage, 18449,
     /* 2172457 */     GIR_EraseRootFromParent_Done,
     /* 2172458 */   // Label 28615: @2172458
     /* 2172458 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2172549), // Rule ID 18452 //
     /* 2172463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172509 */     // MIs[0] round
     /* 2172509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172512 */     // MIs[0] policy
     /* 2172512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172522 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2172525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172548 */     // GIR_Coverage, 18452,
     /* 2172548 */     GIR_EraseRootFromParent_Done,
     /* 2172549 */   // Label 28616: @2172549
     /* 2172549 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2172640), // Rule ID 18453 //
     /* 2172554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172600 */     // MIs[0] round
     /* 2172600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172603 */     // MIs[0] policy
     /* 2172603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2172616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172639 */     // GIR_Coverage, 18453,
     /* 2172639 */     GIR_EraseRootFromParent_Done,
     /* 2172640 */   // Label 28617: @2172640
     /* 2172640 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2172731), // Rule ID 18456 //
     /* 2172645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2172665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172691 */     // MIs[0] round
     /* 2172691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172694 */     // MIs[0] policy
     /* 2172694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172704 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2172707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172730 */     // GIR_Coverage, 18456,
     /* 2172730 */     GIR_EraseRootFromParent_Done,
     /* 2172731 */   // Label 28618: @2172731
     /* 2172731 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2172822), // Rule ID 18457 //
     /* 2172736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2172756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172782 */     // MIs[0] round
     /* 2172782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172785 */     // MIs[0] policy
     /* 2172785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172795 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2172798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172821 */     // GIR_Coverage, 18457,
     /* 2172821 */     GIR_EraseRootFromParent_Done,
     /* 2172822 */   // Label 28619: @2172822
     /* 2172822 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2172913), // Rule ID 18460 //
     /* 2172827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172873 */     // MIs[0] round
     /* 2172873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172876 */     // MIs[0] policy
     /* 2172876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172886 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2172889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172912 */     // GIR_Coverage, 18460,
     /* 2172912 */     GIR_EraseRootFromParent_Done,
     /* 2172913 */   // Label 28620: @2172913
     /* 2172913 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2173004), // Rule ID 18461 //
     /* 2172918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172964 */     // MIs[0] round
     /* 2172964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172967 */     // MIs[0] policy
     /* 2172967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2172980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173003 */     // GIR_Coverage, 18461,
     /* 2173003 */     GIR_EraseRootFromParent_Done,
     /* 2173004 */   // Label 28621: @2173004
     /* 2173004 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2173095), // Rule ID 18464 //
     /* 2173009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2173026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173055 */     // MIs[0] round
     /* 2173055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173058 */     // MIs[0] policy
     /* 2173058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173068 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2173071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173094 */     // GIR_Coverage, 18464,
     /* 2173094 */     GIR_EraseRootFromParent_Done,
     /* 2173095 */   // Label 28622: @2173095
     /* 2173095 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2173186), // Rule ID 18465 //
     /* 2173100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2173117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173146 */     // MIs[0] round
     /* 2173146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173149 */     // MIs[0] policy
     /* 2173149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173159 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2173162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173185 */     // GIR_Coverage, 18465,
     /* 2173185 */     GIR_EraseRootFromParent_Done,
     /* 2173186 */   // Label 28623: @2173186
     /* 2173186 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2173277), // Rule ID 18468 //
     /* 2173191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2173208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173237 */     // MIs[0] round
     /* 2173237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173240 */     // MIs[0] policy
     /* 2173240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173250 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2173253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173276 */     // GIR_Coverage, 18468,
     /* 2173276 */     GIR_EraseRootFromParent_Done,
     /* 2173277 */   // Label 28624: @2173277
     /* 2173277 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2173368), // Rule ID 18469 //
     /* 2173282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2173299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173328 */     // MIs[0] round
     /* 2173328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173331 */     // MIs[0] policy
     /* 2173331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173341 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2173344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173367 */     // GIR_Coverage, 18469,
     /* 2173367 */     GIR_EraseRootFromParent_Done,
     /* 2173368 */   // Label 28625: @2173368
     /* 2173368 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2173459), // Rule ID 18472 //
     /* 2173373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2173390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173419 */     // MIs[0] round
     /* 2173419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173422 */     // MIs[0] policy
     /* 2173422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2173435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173458 */     // GIR_Coverage, 18472,
     /* 2173458 */     GIR_EraseRootFromParent_Done,
     /* 2173459 */   // Label 28626: @2173459
     /* 2173459 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2173550), // Rule ID 18473 //
     /* 2173464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2173481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173510 */     // MIs[0] round
     /* 2173510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173513 */     // MIs[0] policy
     /* 2173513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2173526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173549 */     // GIR_Coverage, 18473,
     /* 2173549 */     GIR_EraseRootFromParent_Done,
     /* 2173550 */   // Label 28627: @2173550
     /* 2173550 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2173641), // Rule ID 18476 //
     /* 2173555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2173572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173601 */     // MIs[0] round
     /* 2173601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173604 */     // MIs[0] policy
     /* 2173604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2173617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173640 */     // GIR_Coverage, 18476,
     /* 2173640 */     GIR_EraseRootFromParent_Done,
     /* 2173641 */   // Label 28628: @2173641
     /* 2173641 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2173732), // Rule ID 18477 //
     /* 2173646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2173663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173692 */     // MIs[0] round
     /* 2173692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173695 */     // MIs[0] policy
     /* 2173695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173705 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2173708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173731 */     // GIR_Coverage, 18477,
     /* 2173731 */     GIR_EraseRootFromParent_Done,
     /* 2173732 */   // Label 28629: @2173732
     /* 2173732 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2173823), // Rule ID 18480 //
     /* 2173737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173783 */     // MIs[0] round
     /* 2173783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173786 */     // MIs[0] policy
     /* 2173786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2173799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173822 */     // GIR_Coverage, 18480,
     /* 2173822 */     GIR_EraseRootFromParent_Done,
     /* 2173823 */   // Label 28630: @2173823
     /* 2173823 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2173914), // Rule ID 18481 //
     /* 2173828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173874 */     // MIs[0] round
     /* 2173874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173877 */     // MIs[0] policy
     /* 2173877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2173890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173913 */     // GIR_Coverage, 18481,
     /* 2173913 */     GIR_EraseRootFromParent_Done,
     /* 2173914 */   // Label 28631: @2173914
     /* 2173914 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2174005), // Rule ID 18484 //
     /* 2173919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173965 */     // MIs[0] round
     /* 2173965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173968 */     // MIs[0] policy
     /* 2173968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173978 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2173981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174004 */     // GIR_Coverage, 18484,
     /* 2174004 */     GIR_EraseRootFromParent_Done,
     /* 2174005 */   // Label 28632: @2174005
     /* 2174005 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2174096), // Rule ID 18485 //
     /* 2174010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2174021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2174027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2174030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174056 */     // MIs[0] round
     /* 2174056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174059 */     // MIs[0] policy
     /* 2174059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2174072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174095 */     // GIR_Coverage, 18485,
     /* 2174095 */     GIR_EraseRootFromParent_Done,
     /* 2174096 */   // Label 28633: @2174096
     /* 2174096 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2174187), // Rule ID 18488 //
     /* 2174101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2174118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174147 */     // MIs[0] round
     /* 2174147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174150 */     // MIs[0] policy
     /* 2174150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2174163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174186 */     // GIR_Coverage, 18488,
     /* 2174186 */     GIR_EraseRootFromParent_Done,
     /* 2174187 */   // Label 28634: @2174187
     /* 2174187 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2174278), // Rule ID 18489 //
     /* 2174192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2174209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174238 */     // MIs[0] round
     /* 2174238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174241 */     // MIs[0] policy
     /* 2174241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174251 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2174254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174277 */     // GIR_Coverage, 18489,
     /* 2174277 */     GIR_EraseRootFromParent_Done,
     /* 2174278 */   // Label 28635: @2174278
     /* 2174278 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2174369), // Rule ID 18492 //
     /* 2174283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2174300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174329 */     // MIs[0] round
     /* 2174329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174332 */     // MIs[0] policy
     /* 2174332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2174345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174368 */     // GIR_Coverage, 18492,
     /* 2174368 */     GIR_EraseRootFromParent_Done,
     /* 2174369 */   // Label 28636: @2174369
     /* 2174369 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2174460), // Rule ID 18493 //
     /* 2174374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2174391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174420 */     // MIs[0] round
     /* 2174420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174423 */     // MIs[0] policy
     /* 2174423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2174436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174459 */     // GIR_Coverage, 18493,
     /* 2174459 */     GIR_EraseRootFromParent_Done,
     /* 2174460 */   // Label 28637: @2174460
     /* 2174460 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2174551), // Rule ID 18496 //
     /* 2174465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2174482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174511 */     // MIs[0] round
     /* 2174511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174514 */     // MIs[0] policy
     /* 2174514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174524 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2174527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174550 */     // GIR_Coverage, 18496,
     /* 2174550 */     GIR_EraseRootFromParent_Done,
     /* 2174551 */   // Label 28638: @2174551
     /* 2174551 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2174642), // Rule ID 18497 //
     /* 2174556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2174573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174602 */     // MIs[0] round
     /* 2174602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174605 */     // MIs[0] policy
     /* 2174605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2174618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174641 */     // GIR_Coverage, 18497,
     /* 2174641 */     GIR_EraseRootFromParent_Done,
     /* 2174642 */   // Label 28639: @2174642
     /* 2174642 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2174733), // Rule ID 18500 //
     /* 2174647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2174664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174693 */     // MIs[0] round
     /* 2174693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174696 */     // MIs[0] policy
     /* 2174696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2174709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174732 */     // GIR_Coverage, 18500,
     /* 2174732 */     GIR_EraseRootFromParent_Done,
     /* 2174733 */   // Label 28640: @2174733
     /* 2174733 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2174824), // Rule ID 18501 //
     /* 2174738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2174755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174784 */     // MIs[0] round
     /* 2174784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174787 */     // MIs[0] policy
     /* 2174787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174797 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2174800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174823 */     // GIR_Coverage, 18501,
     /* 2174823 */     GIR_EraseRootFromParent_Done,
     /* 2174824 */   // Label 28641: @2174824
     /* 2174824 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2174915), // Rule ID 18504 //
     /* 2174829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174875 */     // MIs[0] round
     /* 2174875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174878 */     // MIs[0] policy
     /* 2174878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2174891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174914 */     // GIR_Coverage, 18504,
     /* 2174914 */     GIR_EraseRootFromParent_Done,
     /* 2174915 */   // Label 28642: @2174915
     /* 2174915 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2175006), // Rule ID 18505 //
     /* 2174920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174966 */     // MIs[0] round
     /* 2174966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174969 */     // MIs[0] policy
     /* 2174969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174979 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2174982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175005 */     // GIR_Coverage, 18505,
     /* 2175005 */     GIR_EraseRootFromParent_Done,
     /* 2175006 */   // Label 28643: @2175006
     /* 2175006 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2175097), // Rule ID 18508 //
     /* 2175011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2175028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175057 */     // MIs[0] round
     /* 2175057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175060 */     // MIs[0] policy
     /* 2175060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175070 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2175073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175096 */     // GIR_Coverage, 18508,
     /* 2175096 */     GIR_EraseRootFromParent_Done,
     /* 2175097 */   // Label 28644: @2175097
     /* 2175097 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2175188), // Rule ID 18509 //
     /* 2175102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2175119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175148 */     // MIs[0] round
     /* 2175148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175151 */     // MIs[0] policy
     /* 2175151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175161 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2175164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175187 */     // GIR_Coverage, 18509,
     /* 2175187 */     GIR_EraseRootFromParent_Done,
     /* 2175188 */   // Label 28645: @2175188
     /* 2175188 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2175279), // Rule ID 18512 //
     /* 2175193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2175210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175239 */     // MIs[0] round
     /* 2175239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175242 */     // MIs[0] policy
     /* 2175242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2175255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175278 */     // GIR_Coverage, 18512,
     /* 2175278 */     GIR_EraseRootFromParent_Done,
     /* 2175279 */   // Label 28646: @2175279
     /* 2175279 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2175370), // Rule ID 18513 //
     /* 2175284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2175301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175330 */     // MIs[0] round
     /* 2175330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175333 */     // MIs[0] policy
     /* 2175333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2175346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175369 */     // GIR_Coverage, 18513,
     /* 2175369 */     GIR_EraseRootFromParent_Done,
     /* 2175370 */   // Label 28647: @2175370
     /* 2175370 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2175461), // Rule ID 18516 //
     /* 2175375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2175392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175421 */     // MIs[0] round
     /* 2175421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175424 */     // MIs[0] policy
     /* 2175424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2175437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175460 */     // GIR_Coverage, 18516,
     /* 2175460 */     GIR_EraseRootFromParent_Done,
     /* 2175461 */   // Label 28648: @2175461
     /* 2175461 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2175552), // Rule ID 18517 //
     /* 2175466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2175483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175512 */     // MIs[0] round
     /* 2175512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175515 */     // MIs[0] policy
     /* 2175515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2175528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175551 */     // GIR_Coverage, 18517,
     /* 2175551 */     GIR_EraseRootFromParent_Done,
     /* 2175552 */   // Label 28649: @2175552
     /* 2175552 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2175643), // Rule ID 18520 //
     /* 2175557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2175574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175603 */     // MIs[0] round
     /* 2175603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175606 */     // MIs[0] policy
     /* 2175606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175616 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2175619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175642 */     // GIR_Coverage, 18520,
     /* 2175642 */     GIR_EraseRootFromParent_Done,
     /* 2175643 */   // Label 28650: @2175643
     /* 2175643 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2175734), // Rule ID 18521 //
     /* 2175648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2175665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175694 */     // MIs[0] round
     /* 2175694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175697 */     // MIs[0] policy
     /* 2175697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2175710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175733 */     // GIR_Coverage, 18521,
     /* 2175733 */     GIR_EraseRootFromParent_Done,
     /* 2175734 */   // Label 28651: @2175734
     /* 2175734 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2175825), // Rule ID 18524 //
     /* 2175739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175785 */     // MIs[0] round
     /* 2175785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175788 */     // MIs[0] policy
     /* 2175788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175798 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2175801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175824 */     // GIR_Coverage, 18524,
     /* 2175824 */     GIR_EraseRootFromParent_Done,
     /* 2175825 */   // Label 28652: @2175825
     /* 2175825 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2175916), // Rule ID 18525 //
     /* 2175830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175876 */     // MIs[0] round
     /* 2175876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175879 */     // MIs[0] policy
     /* 2175879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175889 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2175892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175915 */     // GIR_Coverage, 18525,
     /* 2175915 */     GIR_EraseRootFromParent_Done,
     /* 2175916 */   // Label 28653: @2175916
     /* 2175916 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2176007), // Rule ID 18528 //
     /* 2175921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175967 */     // MIs[0] round
     /* 2175967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175970 */     // MIs[0] policy
     /* 2175970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175980 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2175983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176006 */     // GIR_Coverage, 18528,
     /* 2176006 */     GIR_EraseRootFromParent_Done,
     /* 2176007 */   // Label 28654: @2176007
     /* 2176007 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2176098), // Rule ID 18529 //
     /* 2176012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2176023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2176026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176058 */     // MIs[0] round
     /* 2176058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176061 */     // MIs[0] policy
     /* 2176061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2176074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176097 */     // GIR_Coverage, 18529,
     /* 2176097 */     GIR_EraseRootFromParent_Done,
     /* 2176098 */   // Label 28655: @2176098
     /* 2176098 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2176189), // Rule ID 18532 //
     /* 2176103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2176123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176149 */     // MIs[0] round
     /* 2176149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176152 */     // MIs[0] policy
     /* 2176152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176162 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2176165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176188 */     // GIR_Coverage, 18532,
     /* 2176188 */     GIR_EraseRootFromParent_Done,
     /* 2176189 */   // Label 28656: @2176189
     /* 2176189 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2176280), // Rule ID 18533 //
     /* 2176194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2176214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176240 */     // MIs[0] round
     /* 2176240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176243 */     // MIs[0] policy
     /* 2176243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2176256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176279 */     // GIR_Coverage, 18533,
     /* 2176279 */     GIR_EraseRootFromParent_Done,
     /* 2176280 */   // Label 28657: @2176280
     /* 2176280 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2176371), // Rule ID 18536 //
     /* 2176285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176331 */     // MIs[0] round
     /* 2176331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176334 */     // MIs[0] policy
     /* 2176334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176344 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2176347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176370 */     // GIR_Coverage, 18536,
     /* 2176370 */     GIR_EraseRootFromParent_Done,
     /* 2176371 */   // Label 28658: @2176371
     /* 2176371 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2176462), // Rule ID 18537 //
     /* 2176376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176422 */     // MIs[0] round
     /* 2176422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176425 */     // MIs[0] policy
     /* 2176425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2176438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176461 */     // GIR_Coverage, 18537,
     /* 2176461 */     GIR_EraseRootFromParent_Done,
     /* 2176462 */   // Label 28659: @2176462
     /* 2176462 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2176553), // Rule ID 18540 //
     /* 2176467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2176487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176513 */     // MIs[0] round
     /* 2176513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176516 */     // MIs[0] policy
     /* 2176516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176526 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2176529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176552 */     // GIR_Coverage, 18540,
     /* 2176552 */     GIR_EraseRootFromParent_Done,
     /* 2176553 */   // Label 28660: @2176553
     /* 2176553 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2176644), // Rule ID 18541 //
     /* 2176558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2176578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176604 */     // MIs[0] round
     /* 2176604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176607 */     // MIs[0] policy
     /* 2176607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176617 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2176620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176643 */     // GIR_Coverage, 18541,
     /* 2176643 */     GIR_EraseRootFromParent_Done,
     /* 2176644 */   // Label 28661: @2176644
     /* 2176644 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2176735), // Rule ID 18544 //
     /* 2176649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2176660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2176663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2176669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176695 */     // MIs[0] round
     /* 2176695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176698 */     // MIs[0] policy
     /* 2176698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2176711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176734 */     // GIR_Coverage, 18544,
     /* 2176734 */     GIR_EraseRootFromParent_Done,
     /* 2176735 */   // Label 28662: @2176735
     /* 2176735 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2176826), // Rule ID 18545 //
     /* 2176740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2176751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2176754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2176760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176786 */     // MIs[0] round
     /* 2176786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176789 */     // MIs[0] policy
     /* 2176789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2176802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176825 */     // GIR_Coverage, 18545,
     /* 2176825 */     GIR_EraseRootFromParent_Done,
     /* 2176826 */   // Label 28663: @2176826
     /* 2176826 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2176917), // Rule ID 18548 //
     /* 2176831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176877 */     // MIs[0] round
     /* 2176877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176880 */     // MIs[0] policy
     /* 2176880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2176893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176916 */     // GIR_Coverage, 18548,
     /* 2176916 */     GIR_EraseRootFromParent_Done,
     /* 2176917 */   // Label 28664: @2176917
     /* 2176917 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2177008), // Rule ID 18549 //
     /* 2176922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176968 */     // MIs[0] round
     /* 2176968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176971 */     // MIs[0] policy
     /* 2176971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2176984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177007 */     // GIR_Coverage, 18549,
     /* 2177007 */     GIR_EraseRootFromParent_Done,
     /* 2177008 */   // Label 28665: @2177008
     /* 2177008 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2177099), // Rule ID 18552 //
     /* 2177013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2177024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2177027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177059 */     // MIs[0] round
     /* 2177059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177062 */     // MIs[0] policy
     /* 2177062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177072 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2177075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177098 */     // GIR_Coverage, 18552,
     /* 2177098 */     GIR_EraseRootFromParent_Done,
     /* 2177099 */   // Label 28666: @2177099
     /* 2177099 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2177190), // Rule ID 18553 //
     /* 2177104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2177115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2177118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177150 */     // MIs[0] round
     /* 2177150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177153 */     // MIs[0] policy
     /* 2177153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2177166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177189 */     // GIR_Coverage, 18553,
     /* 2177189 */     GIR_EraseRootFromParent_Done,
     /* 2177190 */   // Label 28667: @2177190
     /* 2177190 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2177281), // Rule ID 18556 //
     /* 2177195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2177206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2177209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2177215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2177218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177241 */     // MIs[0] round
     /* 2177241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177244 */     // MIs[0] policy
     /* 2177244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177254 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2177257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177280 */     // GIR_Coverage, 18556,
     /* 2177280 */     GIR_EraseRootFromParent_Done,
     /* 2177281 */   // Label 28668: @2177281
     /* 2177281 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2177372), // Rule ID 18557 //
     /* 2177286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2177297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2177300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2177306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2177309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177332 */     // MIs[0] round
     /* 2177332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177335 */     // MIs[0] policy
     /* 2177335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2177348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177371 */     // GIR_Coverage, 18557,
     /* 2177371 */     GIR_EraseRootFromParent_Done,
     /* 2177372 */   // Label 28669: @2177372
     /* 2177372 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2177463), // Rule ID 18560 //
     /* 2177377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177423 */     // MIs[0] round
     /* 2177423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177426 */     // MIs[0] policy
     /* 2177426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2177439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177462 */     // GIR_Coverage, 18560,
     /* 2177462 */     GIR_EraseRootFromParent_Done,
     /* 2177463 */   // Label 28670: @2177463
     /* 2177463 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2177554), // Rule ID 18561 //
     /* 2177468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177514 */     // MIs[0] round
     /* 2177514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177517 */     // MIs[0] policy
     /* 2177517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2177530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177553 */     // GIR_Coverage, 18561,
     /* 2177553 */     GIR_EraseRootFromParent_Done,
     /* 2177554 */   // Label 28671: @2177554
     /* 2177554 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2177645), // Rule ID 18564 //
     /* 2177559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177605 */     // MIs[0] round
     /* 2177605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177608 */     // MIs[0] policy
     /* 2177608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177618 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2177621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177644 */     // GIR_Coverage, 18564,
     /* 2177644 */     GIR_EraseRootFromParent_Done,
     /* 2177645 */   // Label 28672: @2177645
     /* 2177645 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2177736), // Rule ID 18565 //
     /* 2177650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177696 */     // MIs[0] round
     /* 2177696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177699 */     // MIs[0] policy
     /* 2177699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2177712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177735 */     // GIR_Coverage, 18565,
     /* 2177735 */     GIR_EraseRootFromParent_Done,
     /* 2177736 */   // Label 28673: @2177736
     /* 2177736 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2177827), // Rule ID 18568 //
     /* 2177741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177787 */     // MIs[0] round
     /* 2177787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177790 */     // MIs[0] policy
     /* 2177790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177800 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2177803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177826 */     // GIR_Coverage, 18568,
     /* 2177826 */     GIR_EraseRootFromParent_Done,
     /* 2177827 */   // Label 28674: @2177827
     /* 2177827 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2177918), // Rule ID 18569 //
     /* 2177832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177878 */     // MIs[0] round
     /* 2177878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177881 */     // MIs[0] policy
     /* 2177881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177891 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2177894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177917 */     // GIR_Coverage, 18569,
     /* 2177917 */     GIR_EraseRootFromParent_Done,
     /* 2177918 */   // Label 28675: @2177918
     /* 2177918 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2178009), // Rule ID 18572 //
     /* 2177923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2177931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177969 */     // MIs[0] round
     /* 2177969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177972 */     // MIs[0] policy
     /* 2177972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2177985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178008 */     // GIR_Coverage, 18572,
     /* 2178008 */     GIR_EraseRootFromParent_Done,
     /* 2178009 */   // Label 28676: @2178009
     /* 2178009 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2178100), // Rule ID 18573 //
     /* 2178014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2178034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178060 */     // MIs[0] round
     /* 2178060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178063 */     // MIs[0] policy
     /* 2178063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2178076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178099 */     // GIR_Coverage, 18573,
     /* 2178099 */     GIR_EraseRootFromParent_Done,
     /* 2178100 */   // Label 28677: @2178100
     /* 2178100 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2178191), // Rule ID 18576 //
     /* 2178105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2178125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178151 */     // MIs[0] round
     /* 2178151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178154 */     // MIs[0] policy
     /* 2178154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2178167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178190 */     // GIR_Coverage, 18576,
     /* 2178190 */     GIR_EraseRootFromParent_Done,
     /* 2178191 */   // Label 28678: @2178191
     /* 2178191 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2178282), // Rule ID 18577 //
     /* 2178196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2178216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178242 */     // MIs[0] round
     /* 2178242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178245 */     // MIs[0] policy
     /* 2178245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2178258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178281 */     // GIR_Coverage, 18577,
     /* 2178281 */     GIR_EraseRootFromParent_Done,
     /* 2178282 */   // Label 28679: @2178282
     /* 2178282 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2178373), // Rule ID 18580 //
     /* 2178287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2178307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178333 */     // MIs[0] round
     /* 2178333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178336 */     // MIs[0] policy
     /* 2178336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2178349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178372 */     // GIR_Coverage, 18580,
     /* 2178372 */     GIR_EraseRootFromParent_Done,
     /* 2178373 */   // Label 28680: @2178373
     /* 2178373 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2178464), // Rule ID 18581 //
     /* 2178378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2178398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178424 */     // MIs[0] round
     /* 2178424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178427 */     // MIs[0] policy
     /* 2178427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2178440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178463 */     // GIR_Coverage, 18581,
     /* 2178463 */     GIR_EraseRootFromParent_Done,
     /* 2178464 */   // Label 28681: @2178464
     /* 2178464 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2178555), // Rule ID 18584 //
     /* 2178469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2178480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2178483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178515 */     // MIs[0] round
     /* 2178515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178518 */     // MIs[0] policy
     /* 2178518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2178531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178554 */     // GIR_Coverage, 18584,
     /* 2178554 */     GIR_EraseRootFromParent_Done,
     /* 2178555 */   // Label 28682: @2178555
     /* 2178555 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2178646), // Rule ID 18585 //
     /* 2178560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2178571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2178574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178606 */     // MIs[0] round
     /* 2178606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178609 */     // MIs[0] policy
     /* 2178609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2178622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178645 */     // GIR_Coverage, 18585,
     /* 2178645 */     GIR_EraseRootFromParent_Done,
     /* 2178646 */   // Label 28683: @2178646
     /* 2178646 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2178737), // Rule ID 18588 //
     /* 2178651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2178662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2178665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178697 */     // MIs[0] round
     /* 2178697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178700 */     // MIs[0] policy
     /* 2178700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178710 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2178713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178736 */     // GIR_Coverage, 18588,
     /* 2178736 */     GIR_EraseRootFromParent_Done,
     /* 2178737 */   // Label 28684: @2178737
     /* 2178737 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2178828), // Rule ID 18589 //
     /* 2178742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2178753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2178756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178788 */     // MIs[0] round
     /* 2178788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178791 */     // MIs[0] policy
     /* 2178791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178801 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2178804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178827 */     // GIR_Coverage, 18589,
     /* 2178827 */     GIR_EraseRootFromParent_Done,
     /* 2178828 */   // Label 28685: @2178828
     /* 2178828 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2178919), // Rule ID 18592 //
     /* 2178833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178879 */     // MIs[0] round
     /* 2178879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178882 */     // MIs[0] policy
     /* 2178882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178892 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2178895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178918 */     // GIR_Coverage, 18592,
     /* 2178918 */     GIR_EraseRootFromParent_Done,
     /* 2178919 */   // Label 28686: @2178919
     /* 2178919 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2179010), // Rule ID 18593 //
     /* 2178924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178970 */     // MIs[0] round
     /* 2178970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178973 */     // MIs[0] policy
     /* 2178973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2178986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179009 */     // GIR_Coverage, 18593,
     /* 2179009 */     GIR_EraseRootFromParent_Done,
     /* 2179010 */   // Label 28687: @2179010
     /* 2179010 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2179101), // Rule ID 18596 //
     /* 2179015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2179032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179061 */     // MIs[0] round
     /* 2179061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179064 */     // MIs[0] policy
     /* 2179064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179074 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2179077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179100 */     // GIR_Coverage, 18596,
     /* 2179100 */     GIR_EraseRootFromParent_Done,
     /* 2179101 */   // Label 28688: @2179101
     /* 2179101 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2179192), // Rule ID 18597 //
     /* 2179106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2179123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179152 */     // MIs[0] round
     /* 2179152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179155 */     // MIs[0] policy
     /* 2179155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179165 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2179168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179191 */     // GIR_Coverage, 18597,
     /* 2179191 */     GIR_EraseRootFromParent_Done,
     /* 2179192 */   // Label 28689: @2179192
     /* 2179192 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2179283), // Rule ID 18600 //
     /* 2179197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2179214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179243 */     // MIs[0] round
     /* 2179243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179246 */     // MIs[0] policy
     /* 2179246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2179259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179282 */     // GIR_Coverage, 18600,
     /* 2179282 */     GIR_EraseRootFromParent_Done,
     /* 2179283 */   // Label 28690: @2179283
     /* 2179283 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2179374), // Rule ID 18601 //
     /* 2179288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2179291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2179305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179334 */     // MIs[0] round
     /* 2179334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179337 */     // MIs[0] policy
     /* 2179337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2179350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179373 */     // GIR_Coverage, 18601,
     /* 2179373 */     GIR_EraseRootFromParent_Done,
     /* 2179374 */   // Label 28691: @2179374
     /* 2179374 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2179465), // Rule ID 18604 //
     /* 2179379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2179396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2179399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179425 */     // MIs[0] round
     /* 2179425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179428 */     // MIs[0] policy
     /* 2179428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179438 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2179441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179464 */     // GIR_Coverage, 18604,
     /* 2179464 */     GIR_EraseRootFromParent_Done,
     /* 2179465 */   // Label 28692: @2179465
     /* 2179465 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2179556), // Rule ID 18605 //
     /* 2179470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2179473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2179487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2179490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179516 */     // MIs[0] round
     /* 2179516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179519 */     // MIs[0] policy
     /* 2179519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2179532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179555 */     // GIR_Coverage, 18605,
     /* 2179555 */     GIR_EraseRootFromParent_Done,
     /* 2179556 */   // Label 28693: @2179556
     /* 2179556 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2179647), // Rule ID 18608 //
     /* 2179561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2179572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2179575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179607 */     // MIs[0] round
     /* 2179607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179610 */     // MIs[0] policy
     /* 2179610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179620 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2179623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179646 */     // GIR_Coverage, 18608,
     /* 2179646 */     GIR_EraseRootFromParent_Done,
     /* 2179647 */   // Label 28694: @2179647
     /* 2179647 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2179738), // Rule ID 18609 //
     /* 2179652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2179663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2179666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179698 */     // MIs[0] round
     /* 2179698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179701 */     // MIs[0] policy
     /* 2179701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2179714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179737 */     // GIR_Coverage, 18609,
     /* 2179737 */     GIR_EraseRootFromParent_Done,
     /* 2179738 */   // Label 28695: @2179738
     /* 2179738 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2179829), // Rule ID 18612 //
     /* 2179743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2179754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2179757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2179760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179789 */     // MIs[0] round
     /* 2179789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179792 */     // MIs[0] policy
     /* 2179792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2179805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179828 */     // GIR_Coverage, 18612,
     /* 2179828 */     GIR_EraseRootFromParent_Done,
     /* 2179829 */   // Label 28696: @2179829
     /* 2179829 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2179920), // Rule ID 18613 //
     /* 2179834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2179845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2179848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2179851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179880 */     // MIs[0] round
     /* 2179880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179883 */     // MIs[0] policy
     /* 2179883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2179896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179919 */     // GIR_Coverage, 18613,
     /* 2179919 */     GIR_EraseRootFromParent_Done,
     /* 2179920 */   // Label 28697: @2179920
     /* 2179920 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2180011), // Rule ID 18616 //
     /* 2179925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2179936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2179939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2179942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2179945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2179948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179971 */     // MIs[0] round
     /* 2179971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179974 */     // MIs[0] policy
     /* 2179974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179984 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2179987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180010 */     // GIR_Coverage, 18616,
     /* 2180010 */     GIR_EraseRootFromParent_Done,
     /* 2180011 */   // Label 28698: @2180011
     /* 2180011 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2180102), // Rule ID 18617 //
     /* 2180016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2180027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2180030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2180033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2180036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2180039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180062 */     // MIs[0] round
     /* 2180062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180065 */     // MIs[0] policy
     /* 2180065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2180078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180101 */     // GIR_Coverage, 18617,
     /* 2180101 */     GIR_EraseRootFromParent_Done,
     /* 2180102 */   // Label 28699: @2180102
     /* 2180102 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2180193), // Rule ID 18620 //
     /* 2180107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2180124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180153 */     // MIs[0] round
     /* 2180153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180156 */     // MIs[0] policy
     /* 2180156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2180169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180192 */     // GIR_Coverage, 18620,
     /* 2180192 */     GIR_EraseRootFromParent_Done,
     /* 2180193 */   // Label 28700: @2180193
     /* 2180193 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2180284), // Rule ID 18621 //
     /* 2180198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2180215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180244 */     // MIs[0] round
     /* 2180244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180247 */     // MIs[0] policy
     /* 2180247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2180260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180283 */     // GIR_Coverage, 18621,
     /* 2180283 */     GIR_EraseRootFromParent_Done,
     /* 2180284 */   // Label 28701: @2180284
     /* 2180284 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2180375), // Rule ID 18624 //
     /* 2180289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180335 */     // MIs[0] round
     /* 2180335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180338 */     // MIs[0] policy
     /* 2180338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2180351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180374 */     // GIR_Coverage, 18624,
     /* 2180374 */     GIR_EraseRootFromParent_Done,
     /* 2180375 */   // Label 28702: @2180375
     /* 2180375 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2180466), // Rule ID 18625 //
     /* 2180380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180426 */     // MIs[0] round
     /* 2180426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180429 */     // MIs[0] policy
     /* 2180429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2180442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180465 */     // GIR_Coverage, 18625,
     /* 2180465 */     GIR_EraseRootFromParent_Done,
     /* 2180466 */   // Label 28703: @2180466
     /* 2180466 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2180557), // Rule ID 18628 //
     /* 2180471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2180491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180517 */     // MIs[0] round
     /* 2180517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180520 */     // MIs[0] policy
     /* 2180520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2180533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180556 */     // GIR_Coverage, 18628,
     /* 2180556 */     GIR_EraseRootFromParent_Done,
     /* 2180557 */   // Label 28704: @2180557
     /* 2180557 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2180648), // Rule ID 18629 //
     /* 2180562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2180582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180608 */     // MIs[0] round
     /* 2180608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180611 */     // MIs[0] policy
     /* 2180611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2180624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180647 */     // GIR_Coverage, 18629,
     /* 2180647 */     GIR_EraseRootFromParent_Done,
     /* 2180648 */   // Label 28705: @2180648
     /* 2180648 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2180739), // Rule ID 18632 //
     /* 2180653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2180673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180699 */     // MIs[0] round
     /* 2180699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180702 */     // MIs[0] policy
     /* 2180702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180712 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2180715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180738 */     // GIR_Coverage, 18632,
     /* 2180738 */     GIR_EraseRootFromParent_Done,
     /* 2180739 */   // Label 28706: @2180739
     /* 2180739 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2180830), // Rule ID 18633 //
     /* 2180744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2180764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180790 */     // MIs[0] round
     /* 2180790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180793 */     // MIs[0] policy
     /* 2180793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180803 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2180806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180829 */     // GIR_Coverage, 18633,
     /* 2180829 */     GIR_EraseRootFromParent_Done,
     /* 2180830 */   // Label 28707: @2180830
     /* 2180830 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2180921), // Rule ID 18636 //
     /* 2180835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2180852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2180855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180881 */     // MIs[0] round
     /* 2180881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180884 */     // MIs[0] policy
     /* 2180884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2180897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180920 */     // GIR_Coverage, 18636,
     /* 2180920 */     GIR_EraseRootFromParent_Done,
     /* 2180921 */   // Label 28708: @2180921
     /* 2180921 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2181012), // Rule ID 18637 //
     /* 2180926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2180943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2180946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180972 */     // MIs[0] round
     /* 2180972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180975 */     // MIs[0] policy
     /* 2180975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180985 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2180988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181011 */     // GIR_Coverage, 18637,
     /* 2181011 */     GIR_EraseRootFromParent_Done,
     /* 2181012 */   // Label 28709: @2181012
     /* 2181012 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2181103), // Rule ID 18640 //
     /* 2181017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2181034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2181037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181063 */     // MIs[0] round
     /* 2181063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181066 */     // MIs[0] policy
     /* 2181066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181076 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2181079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181102 */     // GIR_Coverage, 18640,
     /* 2181102 */     GIR_EraseRootFromParent_Done,
     /* 2181103 */   // Label 28710: @2181103
     /* 2181103 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2181194), // Rule ID 18641 //
     /* 2181108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2181125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2181128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181154 */     // MIs[0] round
     /* 2181154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181157 */     // MIs[0] policy
     /* 2181157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2181170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181193 */     // GIR_Coverage, 18641,
     /* 2181193 */     GIR_EraseRootFromParent_Done,
     /* 2181194 */   // Label 28711: @2181194
     /* 2181194 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2181285), // Rule ID 18644 //
     /* 2181199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2181210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2181213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181245 */     // MIs[0] round
     /* 2181245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181248 */     // MIs[0] policy
     /* 2181248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181258 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2181261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181284 */     // GIR_Coverage, 18644,
     /* 2181284 */     GIR_EraseRootFromParent_Done,
     /* 2181285 */   // Label 28712: @2181285
     /* 2181285 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2181376), // Rule ID 18645 //
     /* 2181290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2181301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2181304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181336 */     // MIs[0] round
     /* 2181336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181339 */     // MIs[0] policy
     /* 2181339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181349 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2181352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181375 */     // GIR_Coverage, 18645,
     /* 2181375 */     GIR_EraseRootFromParent_Done,
     /* 2181376 */   // Label 28713: @2181376
     /* 2181376 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2181467), // Rule ID 18648 //
     /* 2181381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2181392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2181395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181427 */     // MIs[0] round
     /* 2181427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181430 */     // MIs[0] policy
     /* 2181430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181440 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2181443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181466 */     // GIR_Coverage, 18648,
     /* 2181466 */     GIR_EraseRootFromParent_Done,
     /* 2181467 */   // Label 28714: @2181467
     /* 2181467 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2181558), // Rule ID 18649 //
     /* 2181472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2181483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2181486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181518 */     // MIs[0] round
     /* 2181518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181521 */     // MIs[0] policy
     /* 2181521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181531 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2181534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181557 */     // GIR_Coverage, 18649,
     /* 2181557 */     GIR_EraseRootFromParent_Done,
     /* 2181558 */   // Label 28715: @2181558
     /* 2181558 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2181649), // Rule ID 18652 //
     /* 2181563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181609 */     // MIs[0] round
     /* 2181609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181612 */     // MIs[0] policy
     /* 2181612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2181625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181648 */     // GIR_Coverage, 18652,
     /* 2181648 */     GIR_EraseRootFromParent_Done,
     /* 2181649 */   // Label 28716: @2181649
     /* 2181649 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2181740), // Rule ID 18653 //
     /* 2181654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181700 */     // MIs[0] round
     /* 2181700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181703 */     // MIs[0] policy
     /* 2181703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2181716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181739 */     // GIR_Coverage, 18653,
     /* 2181739 */     GIR_EraseRootFromParent_Done,
     /* 2181740 */   // Label 28717: @2181740
     /* 2181740 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2181831), // Rule ID 18656 //
     /* 2181745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2181756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2181759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181791 */     // MIs[0] round
     /* 2181791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181794 */     // MIs[0] policy
     /* 2181794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181804 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2181807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181830 */     // GIR_Coverage, 18656,
     /* 2181830 */     GIR_EraseRootFromParent_Done,
     /* 2181831 */   // Label 28718: @2181831
     /* 2181831 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2181922), // Rule ID 18657 //
     /* 2181836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2181847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2181850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181882 */     // MIs[0] round
     /* 2181882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181885 */     // MIs[0] policy
     /* 2181885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2181898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181921 */     // GIR_Coverage, 18657,
     /* 2181921 */     GIR_EraseRootFromParent_Done,
     /* 2181922 */   // Label 28719: @2181922
     /* 2181922 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2182013), // Rule ID 18660 //
     /* 2181927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181973 */     // MIs[0] round
     /* 2181973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181976 */     // MIs[0] policy
     /* 2181976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181986 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2181989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182012 */     // GIR_Coverage, 18660,
     /* 2182012 */     GIR_EraseRootFromParent_Done,
     /* 2182013 */   // Label 28720: @2182013
     /* 2182013 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2182104), // Rule ID 18661 //
     /* 2182018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182064 */     // MIs[0] round
     /* 2182064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182067 */     // MIs[0] policy
     /* 2182067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2182080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182103 */     // GIR_Coverage, 18661,
     /* 2182103 */     GIR_EraseRootFromParent_Done,
     /* 2182104 */   // Label 28721: @2182104
     /* 2182104 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2182195), // Rule ID 18664 //
     /* 2182109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2182112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2182126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2182129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182155 */     // MIs[0] round
     /* 2182155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182158 */     // MIs[0] policy
     /* 2182158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2182171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182194 */     // GIR_Coverage, 18664,
     /* 2182194 */     GIR_EraseRootFromParent_Done,
     /* 2182195 */   // Label 28722: @2182195
     /* 2182195 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2182286), // Rule ID 18665 //
     /* 2182200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2182203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2182217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2182220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182246 */     // MIs[0] round
     /* 2182246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182249 */     // MIs[0] policy
     /* 2182249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2182262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182285 */     // GIR_Coverage, 18665,
     /* 2182285 */     GIR_EraseRootFromParent_Done,
     /* 2182286 */   // Label 28723: @2182286
     /* 2182286 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2182377), // Rule ID 18668 //
     /* 2182291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2182302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2182305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182337 */     // MIs[0] round
     /* 2182337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182340 */     // MIs[0] policy
     /* 2182340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182350 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2182353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182376 */     // GIR_Coverage, 18668,
     /* 2182376 */     GIR_EraseRootFromParent_Done,
     /* 2182377 */   // Label 28724: @2182377
     /* 2182377 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2182468), // Rule ID 18669 //
     /* 2182382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2182393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2182396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182428 */     // MIs[0] round
     /* 2182428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182431 */     // MIs[0] policy
     /* 2182431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182441 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2182444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182467 */     // GIR_Coverage, 18669,
     /* 2182467 */     GIR_EraseRootFromParent_Done,
     /* 2182468 */   // Label 28725: @2182468
     /* 2182468 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2182559), // Rule ID 18672 //
     /* 2182473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2182484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2182487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182519 */     // MIs[0] round
     /* 2182519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182522 */     // MIs[0] policy
     /* 2182522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182532 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2182535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182558 */     // GIR_Coverage, 18672,
     /* 2182558 */     GIR_EraseRootFromParent_Done,
     /* 2182559 */   // Label 28726: @2182559
     /* 2182559 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2182650), // Rule ID 18673 //
     /* 2182564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2182575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2182578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182610 */     // MIs[0] round
     /* 2182610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182613 */     // MIs[0] policy
     /* 2182613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2182626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182649 */     // GIR_Coverage, 18673,
     /* 2182649 */     GIR_EraseRootFromParent_Done,
     /* 2182650 */   // Label 28727: @2182650
     /* 2182650 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2182741), // Rule ID 18676 //
     /* 2182655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2182666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2182669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2182675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182701 */     // MIs[0] round
     /* 2182701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182704 */     // MIs[0] policy
     /* 2182704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182714 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2182717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182740 */     // GIR_Coverage, 18676,
     /* 2182740 */     GIR_EraseRootFromParent_Done,
     /* 2182741 */   // Label 28728: @2182741
     /* 2182741 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2182832), // Rule ID 18677 //
     /* 2182746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2182757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2182760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2182766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182792 */     // MIs[0] round
     /* 2182792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182795 */     // MIs[0] policy
     /* 2182795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2182808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182831 */     // GIR_Coverage, 18677,
     /* 2182831 */     GIR_EraseRootFromParent_Done,
     /* 2182832 */   // Label 28729: @2182832
     /* 2182832 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2182923), // Rule ID 18680 //
     /* 2182837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182883 */     // MIs[0] round
     /* 2182883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182886 */     // MIs[0] policy
     /* 2182886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2182899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182922 */     // GIR_Coverage, 18680,
     /* 2182922 */     GIR_EraseRootFromParent_Done,
     /* 2182923 */   // Label 28730: @2182923
     /* 2182923 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2183014), // Rule ID 18681 //
     /* 2182928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2182936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182974 */     // MIs[0] round
     /* 2182974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182977 */     // MIs[0] policy
     /* 2182977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2182990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183013 */     // GIR_Coverage, 18681,
     /* 2183013 */     GIR_EraseRootFromParent_Done,
     /* 2183014 */   // Label 28731: @2183014
     /* 2183014 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2183105), // Rule ID 18684 //
     /* 2183019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183065 */     // MIs[0] round
     /* 2183065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183068 */     // MIs[0] policy
     /* 2183068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183078 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2183081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183104 */     // GIR_Coverage, 18684,
     /* 2183104 */     GIR_EraseRootFromParent_Done,
     /* 2183105 */   // Label 28732: @2183105
     /* 2183105 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2183196), // Rule ID 18685 //
     /* 2183110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183156 */     // MIs[0] round
     /* 2183156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183159 */     // MIs[0] policy
     /* 2183159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2183172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183195 */     // GIR_Coverage, 18685,
     /* 2183195 */     GIR_EraseRootFromParent_Done,
     /* 2183196 */   // Label 28733: @2183196
     /* 2183196 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2183287), // Rule ID 18688 //
     /* 2183201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2183221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183247 */     // MIs[0] round
     /* 2183247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183250 */     // MIs[0] policy
     /* 2183250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183260 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2183263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183286 */     // GIR_Coverage, 18688,
     /* 2183286 */     GIR_EraseRootFromParent_Done,
     /* 2183287 */   // Label 28734: @2183287
     /* 2183287 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2183378), // Rule ID 18689 //
     /* 2183292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2183312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183338 */     // MIs[0] round
     /* 2183338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183341 */     // MIs[0] policy
     /* 2183341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2183354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183377 */     // GIR_Coverage, 18689,
     /* 2183377 */     GIR_EraseRootFromParent_Done,
     /* 2183378 */   // Label 28735: @2183378
     /* 2183378 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2183469), // Rule ID 18692 //
     /* 2183383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2183403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183429 */     // MIs[0] round
     /* 2183429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183432 */     // MIs[0] policy
     /* 2183432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183442 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2183445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183468 */     // GIR_Coverage, 18692,
     /* 2183468 */     GIR_EraseRootFromParent_Done,
     /* 2183469 */   // Label 28736: @2183469
     /* 2183469 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2183560), // Rule ID 18693 //
     /* 2183474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2183494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183520 */     // MIs[0] round
     /* 2183520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183523 */     // MIs[0] policy
     /* 2183523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2183536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183559 */     // GIR_Coverage, 18693,
     /* 2183559 */     GIR_EraseRootFromParent_Done,
     /* 2183560 */   // Label 28737: @2183560
     /* 2183560 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2183651), // Rule ID 18696 //
     /* 2183565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2183585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183611 */     // MIs[0] round
     /* 2183611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183614 */     // MIs[0] policy
     /* 2183614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2183627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183650 */     // GIR_Coverage, 18696,
     /* 2183650 */     GIR_EraseRootFromParent_Done,
     /* 2183651 */   // Label 28738: @2183651
     /* 2183651 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2183742), // Rule ID 18697 //
     /* 2183656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2183676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183702 */     // MIs[0] round
     /* 2183702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183705 */     // MIs[0] policy
     /* 2183705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183715 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2183718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183741 */     // GIR_Coverage, 18697,
     /* 2183741 */     GIR_EraseRootFromParent_Done,
     /* 2183742 */   // Label 28739: @2183742
     /* 2183742 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2183833), // Rule ID 18700 //
     /* 2183747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2183767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183793 */     // MIs[0] round
     /* 2183793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183796 */     // MIs[0] policy
     /* 2183796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2183809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183832 */     // GIR_Coverage, 18700,
     /* 2183832 */     GIR_EraseRootFromParent_Done,
     /* 2183833 */   // Label 28740: @2183833
     /* 2183833 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2183924), // Rule ID 18701 //
     /* 2183838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2183858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183884 */     // MIs[0] round
     /* 2183884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183887 */     // MIs[0] policy
     /* 2183887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2183900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183923 */     // GIR_Coverage, 18701,
     /* 2183923 */     GIR_EraseRootFromParent_Done,
     /* 2183924 */   // Label 28741: @2183924
     /* 2183924 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2184015), // Rule ID 18704 //
     /* 2183929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183975 */     // MIs[0] round
     /* 2183975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183978 */     // MIs[0] policy
     /* 2183978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2183991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184014 */     // GIR_Coverage, 18704,
     /* 2184014 */     GIR_EraseRootFromParent_Done,
     /* 2184015 */   // Label 28742: @2184015
     /* 2184015 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2184106), // Rule ID 18705 //
     /* 2184020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184066 */     // MIs[0] round
     /* 2184066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184069 */     // MIs[0] policy
     /* 2184069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184079 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2184082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184105 */     // GIR_Coverage, 18705,
     /* 2184105 */     GIR_EraseRootFromParent_Done,
     /* 2184106 */   // Label 28743: @2184106
     /* 2184106 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2184197), // Rule ID 18708 //
     /* 2184111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184157 */     // MIs[0] round
     /* 2184157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184160 */     // MIs[0] policy
     /* 2184160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2184173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184196 */     // GIR_Coverage, 18708,
     /* 2184196 */     GIR_EraseRootFromParent_Done,
     /* 2184197 */   // Label 28744: @2184197
     /* 2184197 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2184288), // Rule ID 18709 //
     /* 2184202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184248 */     // MIs[0] round
     /* 2184248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184251 */     // MIs[0] policy
     /* 2184251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184261 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2184264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184287 */     // GIR_Coverage, 18709,
     /* 2184287 */     GIR_EraseRootFromParent_Done,
     /* 2184288 */   // Label 28745: @2184288
     /* 2184288 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2184379), // Rule ID 18712 //
     /* 2184293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184339 */     // MIs[0] round
     /* 2184339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184342 */     // MIs[0] policy
     /* 2184342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184352 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2184355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184378 */     // GIR_Coverage, 18712,
     /* 2184378 */     GIR_EraseRootFromParent_Done,
     /* 2184379 */   // Label 28746: @2184379
     /* 2184379 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2184470), // Rule ID 18713 //
     /* 2184384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184430 */     // MIs[0] round
     /* 2184430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184433 */     // MIs[0] policy
     /* 2184433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184443 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2184446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184469 */     // GIR_Coverage, 18713,
     /* 2184469 */     GIR_EraseRootFromParent_Done,
     /* 2184470 */   // Label 28747: @2184470
     /* 2184470 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2184561), // Rule ID 18716 //
     /* 2184475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184521 */     // MIs[0] round
     /* 2184521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184524 */     // MIs[0] policy
     /* 2184524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2184537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184560 */     // GIR_Coverage, 18716,
     /* 2184560 */     GIR_EraseRootFromParent_Done,
     /* 2184561 */   // Label 28748: @2184561
     /* 2184561 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2184652), // Rule ID 18717 //
     /* 2184566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184612 */     // MIs[0] round
     /* 2184612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184615 */     // MIs[0] policy
     /* 2184615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184625 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2184628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184651 */     // GIR_Coverage, 18717,
     /* 2184651 */     GIR_EraseRootFromParent_Done,
     /* 2184652 */   // Label 28749: @2184652
     /* 2184652 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2184743), // Rule ID 18720 //
     /* 2184657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184703 */     // MIs[0] round
     /* 2184703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184706 */     // MIs[0] policy
     /* 2184706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184716 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2184719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184742 */     // GIR_Coverage, 18720,
     /* 2184742 */     GIR_EraseRootFromParent_Done,
     /* 2184743 */   // Label 28750: @2184743
     /* 2184743 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2184834), // Rule ID 18721 //
     /* 2184748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184794 */     // MIs[0] round
     /* 2184794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184797 */     // MIs[0] policy
     /* 2184797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184807 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2184810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184833 */     // GIR_Coverage, 18721,
     /* 2184833 */     GIR_EraseRootFromParent_Done,
     /* 2184834 */   // Label 28751: @2184834
     /* 2184834 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2184925), // Rule ID 18724 //
     /* 2184839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184885 */     // MIs[0] round
     /* 2184885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184888 */     // MIs[0] policy
     /* 2184888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184898 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2184901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184924 */     // GIR_Coverage, 18724,
     /* 2184924 */     GIR_EraseRootFromParent_Done,
     /* 2184925 */   // Label 28752: @2184925
     /* 2184925 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2185016), // Rule ID 18725 //
     /* 2184930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184976 */     // MIs[0] round
     /* 2184976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184979 */     // MIs[0] policy
     /* 2184979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2184992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185015 */     // GIR_Coverage, 18725,
     /* 2185015 */     GIR_EraseRootFromParent_Done,
     /* 2185016 */   // Label 28753: @2185016
     /* 2185016 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2185107), // Rule ID 18728 //
     /* 2185021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185067 */     // MIs[0] round
     /* 2185067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185070 */     // MIs[0] policy
     /* 2185070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2185083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185106 */     // GIR_Coverage, 18728,
     /* 2185106 */     GIR_EraseRootFromParent_Done,
     /* 2185107 */   // Label 28754: @2185107
     /* 2185107 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2185198), // Rule ID 18729 //
     /* 2185112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185158 */     // MIs[0] round
     /* 2185158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185161 */     // MIs[0] policy
     /* 2185161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185171 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2185174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185197 */     // GIR_Coverage, 18729,
     /* 2185197 */     GIR_EraseRootFromParent_Done,
     /* 2185198 */   // Label 28755: @2185198
     /* 2185198 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2185289), // Rule ID 18732 //
     /* 2185203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185249 */     // MIs[0] round
     /* 2185249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185252 */     // MIs[0] policy
     /* 2185252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185262 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2185265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185288 */     // GIR_Coverage, 18732,
     /* 2185288 */     GIR_EraseRootFromParent_Done,
     /* 2185289 */   // Label 28756: @2185289
     /* 2185289 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2185380), // Rule ID 18733 //
     /* 2185294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185340 */     // MIs[0] round
     /* 2185340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185343 */     // MIs[0] policy
     /* 2185343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185353 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2185356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185379 */     // GIR_Coverage, 18733,
     /* 2185379 */     GIR_EraseRootFromParent_Done,
     /* 2185380 */   // Label 28757: @2185380
     /* 2185380 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2185471), // Rule ID 18736 //
     /* 2185385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185431 */     // MIs[0] round
     /* 2185431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185434 */     // MIs[0] policy
     /* 2185434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185444 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2185447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185470 */     // GIR_Coverage, 18736,
     /* 2185470 */     GIR_EraseRootFromParent_Done,
     /* 2185471 */   // Label 28758: @2185471
     /* 2185471 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2185562), // Rule ID 18737 //
     /* 2185476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185522 */     // MIs[0] round
     /* 2185522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185525 */     // MIs[0] policy
     /* 2185525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185535 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2185538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185561 */     // GIR_Coverage, 18737,
     /* 2185561 */     GIR_EraseRootFromParent_Done,
     /* 2185562 */   // Label 28759: @2185562
     /* 2185562 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2185653), // Rule ID 18740 //
     /* 2185567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185613 */     // MIs[0] round
     /* 2185613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185616 */     // MIs[0] policy
     /* 2185616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185626 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2185629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185652 */     // GIR_Coverage, 18740,
     /* 2185652 */     GIR_EraseRootFromParent_Done,
     /* 2185653 */   // Label 28760: @2185653
     /* 2185653 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2185744), // Rule ID 18741 //
     /* 2185658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185704 */     // MIs[0] round
     /* 2185704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185707 */     // MIs[0] policy
     /* 2185707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185717 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2185720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185743 */     // GIR_Coverage, 18741,
     /* 2185743 */     GIR_EraseRootFromParent_Done,
     /* 2185744 */   // Label 28761: @2185744
     /* 2185744 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2185835), // Rule ID 18744 //
     /* 2185749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185795 */     // MIs[0] round
     /* 2185795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185798 */     // MIs[0] policy
     /* 2185798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2185811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185834 */     // GIR_Coverage, 18744,
     /* 2185834 */     GIR_EraseRootFromParent_Done,
     /* 2185835 */   // Label 28762: @2185835
     /* 2185835 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2185926), // Rule ID 18745 //
     /* 2185840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185886 */     // MIs[0] round
     /* 2185886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185889 */     // MIs[0] policy
     /* 2185889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185899 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2185902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185925 */     // GIR_Coverage, 18745,
     /* 2185925 */     GIR_EraseRootFromParent_Done,
     /* 2185926 */   // Label 28763: @2185926
     /* 2185926 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2186017), // Rule ID 18748 //
     /* 2185931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2185939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185977 */     // MIs[0] round
     /* 2185977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185980 */     // MIs[0] policy
     /* 2185980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2185993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186016 */     // GIR_Coverage, 18748,
     /* 2186016 */     GIR_EraseRootFromParent_Done,
     /* 2186017 */   // Label 28764: @2186017
     /* 2186017 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2186108), // Rule ID 18749 //
     /* 2186022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186068 */     // MIs[0] round
     /* 2186068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186071 */     // MIs[0] policy
     /* 2186071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186081 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2186084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186107 */     // GIR_Coverage, 18749,
     /* 2186107 */     GIR_EraseRootFromParent_Done,
     /* 2186108 */   // Label 28765: @2186108
     /* 2186108 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2186199), // Rule ID 18752 //
     /* 2186113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186159 */     // MIs[0] round
     /* 2186159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186162 */     // MIs[0] policy
     /* 2186162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186172 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2186175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186198 */     // GIR_Coverage, 18752,
     /* 2186198 */     GIR_EraseRootFromParent_Done,
     /* 2186199 */   // Label 28766: @2186199
     /* 2186199 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2186290), // Rule ID 18753 //
     /* 2186204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186250 */     // MIs[0] round
     /* 2186250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186253 */     // MIs[0] policy
     /* 2186253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186263 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2186266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186289 */     // GIR_Coverage, 18753,
     /* 2186289 */     GIR_EraseRootFromParent_Done,
     /* 2186290 */   // Label 28767: @2186290
     /* 2186290 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2186381), // Rule ID 18756 //
     /* 2186295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186341 */     // MIs[0] round
     /* 2186341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186344 */     // MIs[0] policy
     /* 2186344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186354 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2186357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186380 */     // GIR_Coverage, 18756,
     /* 2186380 */     GIR_EraseRootFromParent_Done,
     /* 2186381 */   // Label 28768: @2186381
     /* 2186381 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2186472), // Rule ID 18757 //
     /* 2186386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186432 */     // MIs[0] round
     /* 2186432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186435 */     // MIs[0] policy
     /* 2186435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186445 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2186448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186471 */     // GIR_Coverage, 18757,
     /* 2186471 */     GIR_EraseRootFromParent_Done,
     /* 2186472 */   // Label 28769: @2186472
     /* 2186472 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2186563), // Rule ID 18760 //
     /* 2186477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186523 */     // MIs[0] round
     /* 2186523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186526 */     // MIs[0] policy
     /* 2186526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186536 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2186539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186562 */     // GIR_Coverage, 18760,
     /* 2186562 */     GIR_EraseRootFromParent_Done,
     /* 2186563 */   // Label 28770: @2186563
     /* 2186563 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2186654), // Rule ID 18761 //
     /* 2186568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186614 */     // MIs[0] round
     /* 2186614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186617 */     // MIs[0] policy
     /* 2186617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2186630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186653 */     // GIR_Coverage, 18761,
     /* 2186653 */     GIR_EraseRootFromParent_Done,
     /* 2186654 */   // Label 28771: @2186654
     /* 2186654 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2186745), // Rule ID 18764 //
     /* 2186659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186705 */     // MIs[0] round
     /* 2186705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186708 */     // MIs[0] policy
     /* 2186708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186718 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2186721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186744 */     // GIR_Coverage, 18764,
     /* 2186744 */     GIR_EraseRootFromParent_Done,
     /* 2186745 */   // Label 28772: @2186745
     /* 2186745 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2186836), // Rule ID 18765 //
     /* 2186750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186796 */     // MIs[0] round
     /* 2186796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186799 */     // MIs[0] policy
     /* 2186799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186809 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2186812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186835 */     // GIR_Coverage, 18765,
     /* 2186835 */     GIR_EraseRootFromParent_Done,
     /* 2186836 */   // Label 28773: @2186836
     /* 2186836 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2186927), // Rule ID 18768 //
     /* 2186841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186887 */     // MIs[0] round
     /* 2186887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186890 */     // MIs[0] policy
     /* 2186890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186900 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2186903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186926 */     // GIR_Coverage, 18768,
     /* 2186926 */     GIR_EraseRootFromParent_Done,
     /* 2186927 */   // Label 28774: @2186927
     /* 2186927 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2187018), // Rule ID 18769 //
     /* 2186932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2186940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186978 */     // MIs[0] round
     /* 2186978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186981 */     // MIs[0] policy
     /* 2186981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186991 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2186994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187017 */     // GIR_Coverage, 18769,
     /* 2187017 */     GIR_EraseRootFromParent_Done,
     /* 2187018 */   // Label 28775: @2187018
     /* 2187018 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2187109), // Rule ID 18772 //
     /* 2187023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2187031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187069 */     // MIs[0] round
     /* 2187069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187072 */     // MIs[0] policy
     /* 2187072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187082 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2187085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187108 */     // GIR_Coverage, 18772,
     /* 2187108 */     GIR_EraseRootFromParent_Done,
     /* 2187109 */   // Label 28776: @2187109
     /* 2187109 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2187200), // Rule ID 18773 //
     /* 2187114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2187122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187160 */     // MIs[0] round
     /* 2187160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187163 */     // MIs[0] policy
     /* 2187163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187173 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2187176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187199 */     // GIR_Coverage, 18773,
     /* 2187199 */     GIR_EraseRootFromParent_Done,
     /* 2187200 */   // Label 28777: @2187200
     /* 2187200 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2187291), // Rule ID 18776 //
     /* 2187205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187251 */     // MIs[0] round
     /* 2187251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187254 */     // MIs[0] policy
     /* 2187254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187264 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2187267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187290 */     // GIR_Coverage, 18776,
     /* 2187290 */     GIR_EraseRootFromParent_Done,
     /* 2187291 */   // Label 28778: @2187291
     /* 2187291 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2187382), // Rule ID 18777 //
     /* 2187296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187342 */     // MIs[0] round
     /* 2187342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187345 */     // MIs[0] policy
     /* 2187345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187355 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2187358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187381 */     // GIR_Coverage, 18777,
     /* 2187381 */     GIR_EraseRootFromParent_Done,
     /* 2187382 */   // Label 28779: @2187382
     /* 2187382 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2187473), // Rule ID 18780 //
     /* 2187387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187433 */     // MIs[0] round
     /* 2187433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187436 */     // MIs[0] policy
     /* 2187436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2187449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187472 */     // GIR_Coverage, 18780,
     /* 2187472 */     GIR_EraseRootFromParent_Done,
     /* 2187473 */   // Label 28780: @2187473
     /* 2187473 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2187564), // Rule ID 18781 //
     /* 2187478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187524 */     // MIs[0] round
     /* 2187524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187527 */     // MIs[0] policy
     /* 2187527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2187540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187563 */     // GIR_Coverage, 18781,
     /* 2187563 */     GIR_EraseRootFromParent_Done,
     /* 2187564 */   // Label 28781: @2187564
     /* 2187564 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2187655), // Rule ID 18784 //
     /* 2187569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187615 */     // MIs[0] round
     /* 2187615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187618 */     // MIs[0] policy
     /* 2187618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187628 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2187631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187654 */     // GIR_Coverage, 18784,
     /* 2187654 */     GIR_EraseRootFromParent_Done,
     /* 2187655 */   // Label 28782: @2187655
     /* 2187655 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2187746), // Rule ID 18785 //
     /* 2187660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187706 */     // MIs[0] round
     /* 2187706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187709 */     // MIs[0] policy
     /* 2187709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187719 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2187722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187745 */     // GIR_Coverage, 18785,
     /* 2187745 */     GIR_EraseRootFromParent_Done,
     /* 2187746 */   // Label 28783: @2187746
     /* 2187746 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2187837), // Rule ID 18788 //
     /* 2187751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187797 */     // MIs[0] round
     /* 2187797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187800 */     // MIs[0] policy
     /* 2187800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187810 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2187813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187836 */     // GIR_Coverage, 18788,
     /* 2187836 */     GIR_EraseRootFromParent_Done,
     /* 2187837 */   // Label 28784: @2187837
     /* 2187837 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2187928), // Rule ID 18789 //
     /* 2187842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187888 */     // MIs[0] round
     /* 2187888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187891 */     // MIs[0] policy
     /* 2187891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187901 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2187904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187927 */     // GIR_Coverage, 18789,
     /* 2187927 */     GIR_EraseRootFromParent_Done,
     /* 2187928 */   // Label 28785: @2187928
     /* 2187928 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2188019), // Rule ID 18792 //
     /* 2187933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2187950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187979 */     // MIs[0] round
     /* 2187979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187982 */     // MIs[0] policy
     /* 2187982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2187995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188018 */     // GIR_Coverage, 18792,
     /* 2188018 */     GIR_EraseRootFromParent_Done,
     /* 2188019 */   // Label 28786: @2188019
     /* 2188019 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2188110), // Rule ID 18793 //
     /* 2188024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2188041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188070 */     // MIs[0] round
     /* 2188070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188073 */     // MIs[0] policy
     /* 2188073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188083 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2188086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188109 */     // GIR_Coverage, 18793,
     /* 2188109 */     GIR_EraseRootFromParent_Done,
     /* 2188110 */   // Label 28787: @2188110
     /* 2188110 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2188201), // Rule ID 18796 //
     /* 2188115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188161 */     // MIs[0] round
     /* 2188161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188164 */     // MIs[0] policy
     /* 2188164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188174 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2188177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188200 */     // GIR_Coverage, 18796,
     /* 2188200 */     GIR_EraseRootFromParent_Done,
     /* 2188201 */   // Label 28788: @2188201
     /* 2188201 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2188292), // Rule ID 18797 //
     /* 2188206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188252 */     // MIs[0] round
     /* 2188252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188255 */     // MIs[0] policy
     /* 2188255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188265 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2188268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188291 */     // GIR_Coverage, 18797,
     /* 2188291 */     GIR_EraseRootFromParent_Done,
     /* 2188292 */   // Label 28789: @2188292
     /* 2188292 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2188383), // Rule ID 18800 //
     /* 2188297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188343 */     // MIs[0] round
     /* 2188343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188346 */     // MIs[0] policy
     /* 2188346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2188359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188382 */     // GIR_Coverage, 18800,
     /* 2188382 */     GIR_EraseRootFromParent_Done,
     /* 2188383 */   // Label 28790: @2188383
     /* 2188383 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2188474), // Rule ID 18801 //
     /* 2188388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188434 */     // MIs[0] round
     /* 2188434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188437 */     // MIs[0] policy
     /* 2188437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188447 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2188450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188473 */     // GIR_Coverage, 18801,
     /* 2188473 */     GIR_EraseRootFromParent_Done,
     /* 2188474 */   // Label 28791: @2188474
     /* 2188474 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2188565), // Rule ID 18804 //
     /* 2188479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188525 */     // MIs[0] round
     /* 2188525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188528 */     // MIs[0] policy
     /* 2188528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188538 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2188541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188564 */     // GIR_Coverage, 18804,
     /* 2188564 */     GIR_EraseRootFromParent_Done,
     /* 2188565 */   // Label 28792: @2188565
     /* 2188565 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2188656), // Rule ID 18805 //
     /* 2188570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188616 */     // MIs[0] round
     /* 2188616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188619 */     // MIs[0] policy
     /* 2188619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188629 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2188632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188655 */     // GIR_Coverage, 18805,
     /* 2188655 */     GIR_EraseRootFromParent_Done,
     /* 2188656 */   // Label 28793: @2188656
     /* 2188656 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2188747), // Rule ID 18808 //
     /* 2188661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188707 */     // MIs[0] round
     /* 2188707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188710 */     // MIs[0] policy
     /* 2188710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2188723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188746 */     // GIR_Coverage, 18808,
     /* 2188746 */     GIR_EraseRootFromParent_Done,
     /* 2188747 */   // Label 28794: @2188747
     /* 2188747 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2188838), // Rule ID 18809 //
     /* 2188752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188798 */     // MIs[0] round
     /* 2188798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188801 */     // MIs[0] policy
     /* 2188801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188811 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2188814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188837 */     // GIR_Coverage, 18809,
     /* 2188837 */     GIR_EraseRootFromParent_Done,
     /* 2188838 */   // Label 28795: @2188838
     /* 2188838 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2188929), // Rule ID 18812 //
     /* 2188843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188889 */     // MIs[0] round
     /* 2188889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188892 */     // MIs[0] policy
     /* 2188892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2188905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188928 */     // GIR_Coverage, 18812,
     /* 2188928 */     GIR_EraseRootFromParent_Done,
     /* 2188929 */   // Label 28796: @2188929
     /* 2188929 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2189020), // Rule ID 18813 //
     /* 2188934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188980 */     // MIs[0] round
     /* 2188980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188983 */     // MIs[0] policy
     /* 2188983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188993 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2188996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189019 */     // GIR_Coverage, 18813,
     /* 2189019 */     GIR_EraseRootFromParent_Done,
     /* 2189020 */   // Label 28797: @2189020
     /* 2189020 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2189111), // Rule ID 18816 //
     /* 2189025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189071 */     // MIs[0] round
     /* 2189071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189074 */     // MIs[0] policy
     /* 2189074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189084 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2189087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189110 */     // GIR_Coverage, 18816,
     /* 2189110 */     GIR_EraseRootFromParent_Done,
     /* 2189111 */   // Label 28798: @2189111
     /* 2189111 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2189202), // Rule ID 18817 //
     /* 2189116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189162 */     // MIs[0] round
     /* 2189162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189165 */     // MIs[0] policy
     /* 2189165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189175 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2189178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189201 */     // GIR_Coverage, 18817,
     /* 2189201 */     GIR_EraseRootFromParent_Done,
     /* 2189202 */   // Label 28799: @2189202
     /* 2189202 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2189293), // Rule ID 18820 //
     /* 2189207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189253 */     // MIs[0] round
     /* 2189253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189256 */     // MIs[0] policy
     /* 2189256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189266 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2189269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189292 */     // GIR_Coverage, 18820,
     /* 2189292 */     GIR_EraseRootFromParent_Done,
     /* 2189293 */   // Label 28800: @2189293
     /* 2189293 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2189384), // Rule ID 18821 //
     /* 2189298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189344 */     // MIs[0] round
     /* 2189344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189347 */     // MIs[0] policy
     /* 2189347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189357 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2189360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189383 */     // GIR_Coverage, 18821,
     /* 2189383 */     GIR_EraseRootFromParent_Done,
     /* 2189384 */   // Label 28801: @2189384
     /* 2189384 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2189475), // Rule ID 18824 //
     /* 2189389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189435 */     // MIs[0] round
     /* 2189435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189438 */     // MIs[0] policy
     /* 2189438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2189451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189474 */     // GIR_Coverage, 18824,
     /* 2189474 */     GIR_EraseRootFromParent_Done,
     /* 2189475 */   // Label 28802: @2189475
     /* 2189475 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2189566), // Rule ID 18825 //
     /* 2189480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189526 */     // MIs[0] round
     /* 2189526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189529 */     // MIs[0] policy
     /* 2189529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189539 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2189542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189565 */     // GIR_Coverage, 18825,
     /* 2189565 */     GIR_EraseRootFromParent_Done,
     /* 2189566 */   // Label 28803: @2189566
     /* 2189566 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2189657), // Rule ID 18828 //
     /* 2189571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189617 */     // MIs[0] round
     /* 2189617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189620 */     // MIs[0] policy
     /* 2189620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2189633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189656 */     // GIR_Coverage, 18828,
     /* 2189656 */     GIR_EraseRootFromParent_Done,
     /* 2189657 */   // Label 28804: @2189657
     /* 2189657 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2189748), // Rule ID 18829 //
     /* 2189662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189708 */     // MIs[0] round
     /* 2189708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189711 */     // MIs[0] policy
     /* 2189711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189721 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2189724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189747 */     // GIR_Coverage, 18829,
     /* 2189747 */     GIR_EraseRootFromParent_Done,
     /* 2189748 */   // Label 28805: @2189748
     /* 2189748 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2189839), // Rule ID 18832 //
     /* 2189753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189799 */     // MIs[0] round
     /* 2189799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189802 */     // MIs[0] policy
     /* 2189802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2189815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189838 */     // GIR_Coverage, 18832,
     /* 2189838 */     GIR_EraseRootFromParent_Done,
     /* 2189839 */   // Label 28806: @2189839
     /* 2189839 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2189930), // Rule ID 18833 //
     /* 2189844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189890 */     // MIs[0] round
     /* 2189890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189893 */     // MIs[0] policy
     /* 2189893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189903 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2189906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189929 */     // GIR_Coverage, 18833,
     /* 2189929 */     GIR_EraseRootFromParent_Done,
     /* 2189930 */   // Label 28807: @2189930
     /* 2189930 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2190021), // Rule ID 18836 //
     /* 2189935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2189943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189981 */     // MIs[0] round
     /* 2189981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189984 */     // MIs[0] policy
     /* 2189984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189994 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2189997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190020 */     // GIR_Coverage, 18836,
     /* 2190020 */     GIR_EraseRootFromParent_Done,
     /* 2190021 */   // Label 28808: @2190021
     /* 2190021 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2190112), // Rule ID 18837 //
     /* 2190026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2190034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190072 */     // MIs[0] round
     /* 2190072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190075 */     // MIs[0] policy
     /* 2190075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190085 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2190088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190111 */     // GIR_Coverage, 18837,
     /* 2190111 */     GIR_EraseRootFromParent_Done,
     /* 2190112 */   // Label 28809: @2190112
     /* 2190112 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2190203), // Rule ID 18840 //
     /* 2190117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2190125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190163 */     // MIs[0] round
     /* 2190163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190166 */     // MIs[0] policy
     /* 2190166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2190179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190202 */     // GIR_Coverage, 18840,
     /* 2190202 */     GIR_EraseRootFromParent_Done,
     /* 2190203 */   // Label 28810: @2190203
     /* 2190203 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2190294), // Rule ID 18841 //
     /* 2190208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2190216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190254 */     // MIs[0] round
     /* 2190254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190257 */     // MIs[0] policy
     /* 2190257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2190270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190293 */     // GIR_Coverage, 18841,
     /* 2190293 */     GIR_EraseRootFromParent_Done,
     /* 2190294 */   // Label 28811: @2190294
     /* 2190294 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2190385), // Rule ID 18844 //
     /* 2190299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2190307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190345 */     // MIs[0] round
     /* 2190345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190348 */     // MIs[0] policy
     /* 2190348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2190361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190384 */     // GIR_Coverage, 18844,
     /* 2190384 */     GIR_EraseRootFromParent_Done,
     /* 2190385 */   // Label 28812: @2190385
     /* 2190385 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2190476), // Rule ID 18845 //
     /* 2190390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2190398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190436 */     // MIs[0] round
     /* 2190436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190439 */     // MIs[0] policy
     /* 2190439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190449 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2190452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190475 */     // GIR_Coverage, 18845,
     /* 2190475 */     GIR_EraseRootFromParent_Done,
     /* 2190476 */   // Label 28813: @2190476
     /* 2190476 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2190567), // Rule ID 18848 //
     /* 2190481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2190498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190527 */     // MIs[0] round
     /* 2190527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190530 */     // MIs[0] policy
     /* 2190530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2190543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190566 */     // GIR_Coverage, 18848,
     /* 2190566 */     GIR_EraseRootFromParent_Done,
     /* 2190567 */   // Label 28814: @2190567
     /* 2190567 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2190658), // Rule ID 18849 //
     /* 2190572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2190589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190618 */     // MIs[0] round
     /* 2190618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190621 */     // MIs[0] policy
     /* 2190621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2190634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190657 */     // GIR_Coverage, 18849,
     /* 2190657 */     GIR_EraseRootFromParent_Done,
     /* 2190658 */   // Label 28815: @2190658
     /* 2190658 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2190749), // Rule ID 18852 //
     /* 2190663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2190680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190709 */     // MIs[0] round
     /* 2190709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190712 */     // MIs[0] policy
     /* 2190712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190722 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2190725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190748 */     // GIR_Coverage, 18852,
     /* 2190748 */     GIR_EraseRootFromParent_Done,
     /* 2190749 */   // Label 28816: @2190749
     /* 2190749 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2190840), // Rule ID 18853 //
     /* 2190754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2190771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190800 */     // MIs[0] round
     /* 2190800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190803 */     // MIs[0] policy
     /* 2190803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190813 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2190816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190839 */     // GIR_Coverage, 18853,
     /* 2190839 */     GIR_EraseRootFromParent_Done,
     /* 2190840 */   // Label 28817: @2190840
     /* 2190840 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2190931), // Rule ID 18856 //
     /* 2190845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2190862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2190865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190891 */     // MIs[0] round
     /* 2190891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190894 */     // MIs[0] policy
     /* 2190894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2190907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190930 */     // GIR_Coverage, 18856,
     /* 2190930 */     GIR_EraseRootFromParent_Done,
     /* 2190931 */   // Label 28818: @2190931
     /* 2190931 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2191022), // Rule ID 18857 //
     /* 2190936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2190953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2190956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190982 */     // MIs[0] round
     /* 2190982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190985 */     // MIs[0] policy
     /* 2190985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190995 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2190998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191021 */     // GIR_Coverage, 18857,
     /* 2191021 */     GIR_EraseRootFromParent_Done,
     /* 2191022 */   // Label 28819: @2191022
     /* 2191022 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2191113), // Rule ID 18860 //
     /* 2191027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2191038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2191041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2191044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191073 */     // MIs[0] round
     /* 2191073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191076 */     // MIs[0] policy
     /* 2191076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191086 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2191089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191112 */     // GIR_Coverage, 18860,
     /* 2191112 */     GIR_EraseRootFromParent_Done,
     /* 2191113 */   // Label 28820: @2191113
     /* 2191113 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2191204), // Rule ID 18861 //
     /* 2191118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2191129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2191132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2191135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191164 */     // MIs[0] round
     /* 2191164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191167 */     // MIs[0] policy
     /* 2191167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2191180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191203 */     // GIR_Coverage, 18861,
     /* 2191203 */     GIR_EraseRootFromParent_Done,
     /* 2191204 */   // Label 28821: @2191204
     /* 2191204 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2191295), // Rule ID 18864 //
     /* 2191209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2191220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2191223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2191226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191255 */     // MIs[0] round
     /* 2191255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191258 */     // MIs[0] policy
     /* 2191258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191268 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2191271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191294 */     // GIR_Coverage, 18864,
     /* 2191294 */     GIR_EraseRootFromParent_Done,
     /* 2191295 */   // Label 28822: @2191295
     /* 2191295 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2191386), // Rule ID 18865 //
     /* 2191300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2191311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2191314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2191317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191346 */     // MIs[0] round
     /* 2191346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191349 */     // MIs[0] policy
     /* 2191349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191359 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2191362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191385 */     // GIR_Coverage, 18865,
     /* 2191385 */     GIR_EraseRootFromParent_Done,
     /* 2191386 */   // Label 28823: @2191386
     /* 2191386 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2191477), // Rule ID 18868 //
     /* 2191391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191437 */     // MIs[0] round
     /* 2191437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191440 */     // MIs[0] policy
     /* 2191440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191450 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2191453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191476 */     // GIR_Coverage, 18868,
     /* 2191476 */     GIR_EraseRootFromParent_Done,
     /* 2191477 */   // Label 28824: @2191477
     /* 2191477 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2191568), // Rule ID 18869 //
     /* 2191482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191528 */     // MIs[0] round
     /* 2191528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191531 */     // MIs[0] policy
     /* 2191531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191541 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2191544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191567 */     // GIR_Coverage, 18869,
     /* 2191567 */     GIR_EraseRootFromParent_Done,
     /* 2191568 */   // Label 28825: @2191568
     /* 2191568 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2191659), // Rule ID 18872 //
     /* 2191573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191619 */     // MIs[0] round
     /* 2191619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191622 */     // MIs[0] policy
     /* 2191622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2191635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191658 */     // GIR_Coverage, 18872,
     /* 2191658 */     GIR_EraseRootFromParent_Done,
     /* 2191659 */   // Label 28826: @2191659
     /* 2191659 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2191750), // Rule ID 18873 //
     /* 2191664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191710 */     // MIs[0] round
     /* 2191710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191713 */     // MIs[0] policy
     /* 2191713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191723 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2191726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191749 */     // GIR_Coverage, 18873,
     /* 2191749 */     GIR_EraseRootFromParent_Done,
     /* 2191750 */   // Label 28827: @2191750
     /* 2191750 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2191841), // Rule ID 18876 //
     /* 2191755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2191766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2191769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2191775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191801 */     // MIs[0] round
     /* 2191801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191804 */     // MIs[0] policy
     /* 2191804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2191817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191840 */     // GIR_Coverage, 18876,
     /* 2191840 */     GIR_EraseRootFromParent_Done,
     /* 2191841 */   // Label 28828: @2191841
     /* 2191841 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2191932), // Rule ID 18877 //
     /* 2191846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2191857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2191860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2191866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191892 */     // MIs[0] round
     /* 2191892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191895 */     // MIs[0] policy
     /* 2191895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191905 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2191908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191931 */     // GIR_Coverage, 18877,
     /* 2191931 */     GIR_EraseRootFromParent_Done,
     /* 2191932 */   // Label 28829: @2191932
     /* 2191932 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2192023), // Rule ID 18880 //
     /* 2191937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2191948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2191951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2191957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191983 */     // MIs[0] round
     /* 2191983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191986 */     // MIs[0] policy
     /* 2191986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2191999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192022 */     // GIR_Coverage, 18880,
     /* 2192022 */     GIR_EraseRootFromParent_Done,
     /* 2192023 */   // Label 28830: @2192023
     /* 2192023 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2192114), // Rule ID 18881 //
     /* 2192028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2192031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2192039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2192042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2192045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2192048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192074 */     // MIs[0] round
     /* 2192074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192077 */     // MIs[0] policy
     /* 2192077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2192090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192113 */     // GIR_Coverage, 18881,
     /* 2192113 */     GIR_EraseRootFromParent_Done,
     /* 2192114 */   // Label 28831: @2192114
     /* 2192114 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2192205), // Rule ID 18884 //
     /* 2192119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2192130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2192133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2192139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192165 */     // MIs[0] round
     /* 2192165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192168 */     // MIs[0] policy
     /* 2192168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2192181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192204 */     // GIR_Coverage, 18884,
     /* 2192204 */     GIR_EraseRootFromParent_Done,
     /* 2192205 */   // Label 28832: @2192205
     /* 2192205 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2192296), // Rule ID 18885 //
     /* 2192210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2192221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2192224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2192230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192256 */     // MIs[0] round
     /* 2192256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192259 */     // MIs[0] policy
     /* 2192259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192269 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2192272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192295 */     // GIR_Coverage, 18885,
     /* 2192295 */     GIR_EraseRootFromParent_Done,
     /* 2192296 */   // Label 28833: @2192296
     /* 2192296 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2192387), // Rule ID 18888 //
     /* 2192301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2192321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192347 */     // MIs[0] round
     /* 2192347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192350 */     // MIs[0] policy
     /* 2192350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2192363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192386 */     // GIR_Coverage, 18888,
     /* 2192386 */     GIR_EraseRootFromParent_Done,
     /* 2192387 */   // Label 28834: @2192387
     /* 2192387 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2192478), // Rule ID 18889 //
     /* 2192392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2192412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192438 */     // MIs[0] round
     /* 2192438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192441 */     // MIs[0] policy
     /* 2192441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192451 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2192454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192477 */     // GIR_Coverage, 18889,
     /* 2192477 */     GIR_EraseRootFromParent_Done,
     /* 2192478 */   // Label 28835: @2192478
     /* 2192478 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2192569), // Rule ID 18892 //
     /* 2192483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192529 */     // MIs[0] round
     /* 2192529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192532 */     // MIs[0] policy
     /* 2192532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192542 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2192545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192568 */     // GIR_Coverage, 18892,
     /* 2192568 */     GIR_EraseRootFromParent_Done,
     /* 2192569 */   // Label 28836: @2192569
     /* 2192569 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2192660), // Rule ID 18893 //
     /* 2192574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192620 */     // MIs[0] round
     /* 2192620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192623 */     // MIs[0] policy
     /* 2192623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2192636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192659 */     // GIR_Coverage, 18893,
     /* 2192659 */     GIR_EraseRootFromParent_Done,
     /* 2192660 */   // Label 28837: @2192660
     /* 2192660 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2192751), // Rule ID 18896 //
     /* 2192665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192711 */     // MIs[0] round
     /* 2192711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192714 */     // MIs[0] policy
     /* 2192714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192724 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2192727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192750 */     // GIR_Coverage, 18896,
     /* 2192750 */     GIR_EraseRootFromParent_Done,
     /* 2192751 */   // Label 28838: @2192751
     /* 2192751 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2192842), // Rule ID 18897 //
     /* 2192756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192802 */     // MIs[0] round
     /* 2192802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192805 */     // MIs[0] policy
     /* 2192805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192815 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2192818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192841 */     // GIR_Coverage, 18897,
     /* 2192841 */     GIR_EraseRootFromParent_Done,
     /* 2192842 */   // Label 28839: @2192842
     /* 2192842 */   GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2192933), // Rule ID 18900 //
     /* 2192847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192893 */     // MIs[0] round
     /* 2192893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192896 */     // MIs[0] policy
     /* 2192896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192906 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2192909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192932 */     // GIR_Coverage, 18900,
     /* 2192932 */     GIR_EraseRootFromParent_Done,
     /* 2192933 */   // Label 28840: @2192933
     /* 2192933 */   GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2193024), // Rule ID 18901 //
     /* 2192938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2192946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192984 */     // MIs[0] round
     /* 2192984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192987 */     // MIs[0] policy
     /* 2192987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192997 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2193000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193023 */     // GIR_Coverage, 18901,
     /* 2193023 */     GIR_EraseRootFromParent_Done,
     /* 2193024 */   // Label 28841: @2193024
     /* 2193024 */   GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2193115), // Rule ID 18904 //
     /* 2193029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2193040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2193043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2193049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193075 */     // MIs[0] round
     /* 2193075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193078 */     // MIs[0] policy
     /* 2193078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2193091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193114 */     // GIR_Coverage, 18904,
     /* 2193114 */     GIR_EraseRootFromParent_Done,
     /* 2193115 */   // Label 28842: @2193115
     /* 2193115 */   GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2193206), // Rule ID 18905 //
     /* 2193120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2193131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2193134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2193140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193166 */     // MIs[0] round
     /* 2193166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193169 */     // MIs[0] policy
     /* 2193169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193179 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2193182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193205 */     // GIR_Coverage, 18905,
     /* 2193205 */     GIR_EraseRootFromParent_Done,
     /* 2193206 */   // Label 28843: @2193206
     /* 2193206 */   GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2193297), // Rule ID 18908 //
     /* 2193211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2193222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2193225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2193231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193257 */     // MIs[0] round
     /* 2193257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193260 */     // MIs[0] policy
     /* 2193260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2193273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193296 */     // GIR_Coverage, 18908,
     /* 2193296 */     GIR_EraseRootFromParent_Done,
     /* 2193297 */   // Label 28844: @2193297
     /* 2193297 */   GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2193388), // Rule ID 18909 //
     /* 2193302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2193313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2193316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2193322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193348 */     // MIs[0] round
     /* 2193348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193351 */     // MIs[0] policy
     /* 2193351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193361 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2193364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193387 */     // GIR_Coverage, 18909,
     /* 2193387 */     GIR_EraseRootFromParent_Done,
     /* 2193388 */   // Label 28845: @2193388
     /* 2193388 */   GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2193479), // Rule ID 18912 //
     /* 2193393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2193404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2193407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193439 */     // MIs[0] round
     /* 2193439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193442 */     // MIs[0] policy
     /* 2193442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193452 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2193455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193478 */     // GIR_Coverage, 18912,
     /* 2193478 */     GIR_EraseRootFromParent_Done,
     /* 2193479 */   // Label 28846: @2193479
     /* 2193479 */   GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2193570), // Rule ID 18913 //
     /* 2193484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2193495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2193498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193530 */     // MIs[0] round
     /* 2193530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193533 */     // MIs[0] policy
     /* 2193533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193543 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2193546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193569 */     // GIR_Coverage, 18913,
     /* 2193569 */     GIR_EraseRootFromParent_Done,
     /* 2193570 */   // Label 28847: @2193570
     /* 2193570 */   GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2193661), // Rule ID 18916 //
     /* 2193575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193621 */     // MIs[0] round
     /* 2193621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193624 */     // MIs[0] policy
     /* 2193624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2193637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193660 */     // GIR_Coverage, 18916,
     /* 2193660 */     GIR_EraseRootFromParent_Done,
     /* 2193661 */   // Label 28848: @2193661
     /* 2193661 */   GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2193752), // Rule ID 18917 //
     /* 2193666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2193674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2193704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193712 */     // MIs[0] round
     /* 2193712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193715 */     // MIs[0] policy
     /* 2193715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193725 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2193728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193751 */     // GIR_Coverage, 18917,
     /* 2193751 */     GIR_EraseRootFromParent_Done,
     /* 2193752 */   // Label 28849: @2193752
     /* 2193752 */   GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2193843), // Rule ID 18920 //
     /* 2193757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2193774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193803 */     // MIs[0] round
     /* 2193803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193806 */     // MIs[0] policy
     /* 2193806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2193819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193842 */     // GIR_Coverage, 18920,
     /* 2193842 */     GIR_EraseRootFromParent_Done,
     /* 2193843 */   // Label 28850: @2193843
     /* 2193843 */   GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2193934), // Rule ID 18921 //
     /* 2193848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2193865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193894 */     // MIs[0] round
     /* 2193894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193897 */     // MIs[0] policy
     /* 2193897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193907 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2193910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193933 */     // GIR_Coverage, 18921,
     /* 2193933 */     GIR_EraseRootFromParent_Done,
     /* 2193934 */   // Label 28851: @2193934
     /* 2193934 */   GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2194025), // Rule ID 18924 //
     /* 2193939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2193950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2193953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2193956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2193959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193985 */     // MIs[0] round
     /* 2193985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193988 */     // MIs[0] policy
     /* 2193988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193998 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2194001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194024 */     // GIR_Coverage, 18924,
     /* 2194024 */     GIR_EraseRootFromParent_Done,
     /* 2194025 */   // Label 28852: @2194025
     /* 2194025 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2194116), // Rule ID 18925 //
     /* 2194030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2194041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2194044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2194047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2194050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194076 */     // MIs[0] round
     /* 2194076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194079 */     // MIs[0] policy
     /* 2194079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2194092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194115 */     // GIR_Coverage, 18925,
     /* 2194115 */     GIR_EraseRootFromParent_Done,
     /* 2194116 */   // Label 28853: @2194116
     /* 2194116 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2194207), // Rule ID 18928 //
     /* 2194121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2194132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2194135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2194138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2194141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194167 */     // MIs[0] round
     /* 2194167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194170 */     // MIs[0] policy
     /* 2194170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194180 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2194183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194206 */     // GIR_Coverage, 18928,
     /* 2194206 */     GIR_EraseRootFromParent_Done,
     /* 2194207 */   // Label 28854: @2194207
     /* 2194207 */   GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2194298), // Rule ID 18929 //
     /* 2194212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2194223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2194226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2194229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2194232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194258 */     // MIs[0] round
     /* 2194258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194261 */     // MIs[0] policy
     /* 2194261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2194274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194297 */     // GIR_Coverage, 18929,
     /* 2194297 */     GIR_EraseRootFromParent_Done,
     /* 2194298 */   // Label 28855: @2194298
     /* 2194298 */   GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2194389), // Rule ID 18932 //
     /* 2194303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2194314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2194317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2194320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2194323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194349 */     // MIs[0] round
     /* 2194349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194352 */     // MIs[0] policy
     /* 2194352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194362 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2194365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194388 */     // GIR_Coverage, 18932,
     /* 2194388 */     GIR_EraseRootFromParent_Done,
     /* 2194389 */   // Label 28856: @2194389
     /* 2194389 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194480), // Rule ID 18933 //
     /* 2194394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2194405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2194408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2194411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2194414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194440 */     // MIs[0] round
     /* 2194440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194443 */     // MIs[0] policy
     /* 2194443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2194456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194479 */     // GIR_Coverage, 18933,
     /* 2194479 */     GIR_EraseRootFromParent_Done,
     /* 2194480 */   // Label 28857: @2194480
     /* 2194480 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194571), // Rule ID 18936 //
     /* 2194485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2194502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194531 */     // MIs[0] round
     /* 2194531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194534 */     // MIs[0] policy
     /* 2194534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194544 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2194547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194570 */     // GIR_Coverage, 18936,
     /* 2194570 */     GIR_EraseRootFromParent_Done,
     /* 2194571 */   // Label 28858: @2194571
     /* 2194571 */   GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194662), // Rule ID 18937 //
     /* 2194576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2194593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194622 */     // MIs[0] round
     /* 2194622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194625 */     // MIs[0] policy
     /* 2194625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194635 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2194638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194661 */     // GIR_Coverage, 18937,
     /* 2194661 */     GIR_EraseRootFromParent_Done,
     /* 2194662 */   // Label 28859: @2194662
     /* 2194662 */   GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194753), // Rule ID 18940 //
     /* 2194667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2194684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194713 */     // MIs[0] round
     /* 2194713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194716 */     // MIs[0] policy
     /* 2194716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194726 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2194729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194752 */     // GIR_Coverage, 18940,
     /* 2194752 */     GIR_EraseRootFromParent_Done,
     /* 2194753 */   // Label 28860: @2194753
     /* 2194753 */   GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194844), // Rule ID 18941 //
     /* 2194758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2194775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194804 */     // MIs[0] round
     /* 2194804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194807 */     // MIs[0] policy
     /* 2194807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194817 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2194820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194843 */     // GIR_Coverage, 18941,
     /* 2194843 */     GIR_EraseRootFromParent_Done,
     /* 2194844 */   // Label 28861: @2194844
     /* 2194844 */   GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194935), // Rule ID 18944 //
     /* 2194849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2194866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194895 */     // MIs[0] round
     /* 2194895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194898 */     // MIs[0] policy
     /* 2194898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194908 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2194911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194934 */     // GIR_Coverage, 18944,
     /* 2194934 */     GIR_EraseRootFromParent_Done,
     /* 2194935 */   // Label 28862: @2194935
     /* 2194935 */   GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2195026), // Rule ID 18945 //
     /* 2194940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2194957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194986 */     // MIs[0] round
     /* 2194986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194989 */     // MIs[0] policy
     /* 2194989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194999 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2195002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195025 */     // GIR_Coverage, 18945,
     /* 2195025 */     GIR_EraseRootFromParent_Done,
     /* 2195026 */   // Label 28863: @2195026
     /* 2195026 */   GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2195117), // Rule ID 18948 //
     /* 2195031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2195042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2195045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2195048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2195051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195077 */     // MIs[0] round
     /* 2195077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195080 */     // MIs[0] policy
     /* 2195080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195090 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2195093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195116 */     // GIR_Coverage, 18948,
     /* 2195116 */     GIR_EraseRootFromParent_Done,
     /* 2195117 */   // Label 28864: @2195117
     /* 2195117 */   GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2195208), // Rule ID 18949 //
     /* 2195122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2195133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2195136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2195139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2195142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195168 */     // MIs[0] round
     /* 2195168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195171 */     // MIs[0] policy
     /* 2195171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195181 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2195184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195207 */     // GIR_Coverage, 18949,
     /* 2195207 */     GIR_EraseRootFromParent_Done,
     /* 2195208 */   // Label 28865: @2195208
     /* 2195208 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2195299), // Rule ID 18952 //
     /* 2195213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2195224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2195227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2195230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2195233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195259 */     // MIs[0] round
     /* 2195259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195262 */     // MIs[0] policy
     /* 2195262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2195275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195298 */     // GIR_Coverage, 18952,
     /* 2195298 */     GIR_EraseRootFromParent_Done,
     /* 2195299 */   // Label 28866: @2195299
     /* 2195299 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2195390), // Rule ID 18953 //
     /* 2195304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2195315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2195318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2195321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2195324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195350 */     // MIs[0] round
     /* 2195350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195353 */     // MIs[0] policy
     /* 2195353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195363 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2195366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195389 */     // GIR_Coverage, 18953,
     /* 2195389 */     GIR_EraseRootFromParent_Done,
     /* 2195390 */   // Label 28867: @2195390
     /* 2195390 */   GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2195481), // Rule ID 18956 //
     /* 2195395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2195415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195441 */     // MIs[0] round
     /* 2195441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195444 */     // MIs[0] policy
     /* 2195444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195454 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2195457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195480 */     // GIR_Coverage, 18956,
     /* 2195480 */     GIR_EraseRootFromParent_Done,
     /* 2195481 */   // Label 28868: @2195481
     /* 2195481 */   GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2195572), // Rule ID 18957 //
     /* 2195486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2195506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195532 */     // MIs[0] round
     /* 2195532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195535 */     // MIs[0] policy
     /* 2195535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195545 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2195548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195571 */     // GIR_Coverage, 18957,
     /* 2195571 */     GIR_EraseRootFromParent_Done,
     /* 2195572 */   // Label 28869: @2195572
     /* 2195572 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2195663), // Rule ID 18960 //
     /* 2195577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195623 */     // MIs[0] round
     /* 2195623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195626 */     // MIs[0] policy
     /* 2195626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2195639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195662 */     // GIR_Coverage, 18960,
     /* 2195662 */     GIR_EraseRootFromParent_Done,
     /* 2195663 */   // Label 28870: @2195663
     /* 2195663 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2195754), // Rule ID 18961 //
     /* 2195668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195714 */     // MIs[0] round
     /* 2195714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195717 */     // MIs[0] policy
     /* 2195717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2195730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195753 */     // GIR_Coverage, 18961,
     /* 2195753 */     GIR_EraseRootFromParent_Done,
     /* 2195754 */   // Label 28871: @2195754
     /* 2195754 */   GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2195845), // Rule ID 18964 //
     /* 2195759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2195770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2195773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2195779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195805 */     // MIs[0] round
     /* 2195805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195808 */     // MIs[0] policy
     /* 2195808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195818 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2195821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195844 */     // GIR_Coverage, 18964,
     /* 2195844 */     GIR_EraseRootFromParent_Done,
     /* 2195845 */   // Label 28872: @2195845
     /* 2195845 */   GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2195936), // Rule ID 18965 //
     /* 2195850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2195861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2195864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2195870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195896 */     // MIs[0] round
     /* 2195896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195899 */     // MIs[0] policy
     /* 2195899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195909 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2195912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195935 */     // GIR_Coverage, 18965,
     /* 2195935 */     GIR_EraseRootFromParent_Done,
     /* 2195936 */   // Label 28873: @2195936
     /* 2195936 */   GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2196027), // Rule ID 18968 //
     /* 2195941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2195949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2195952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2195955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2195961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195987 */     // MIs[0] round
     /* 2195987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195990 */     // MIs[0] policy
     /* 2195990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2196003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196026 */     // GIR_Coverage, 18968,
     /* 2196026 */     GIR_EraseRootFromParent_Done,
     /* 2196027 */   // Label 28874: @2196027
     /* 2196027 */   GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2196118), // Rule ID 18969 //
     /* 2196032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2196043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2196049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2196052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196078 */     // MIs[0] round
     /* 2196078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196081 */     // MIs[0] policy
     /* 2196081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196091 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2196094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196117 */     // GIR_Coverage, 18969,
     /* 2196117 */     GIR_EraseRootFromParent_Done,
     /* 2196118 */   // Label 28875: @2196118
     /* 2196118 */   GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2196209), // Rule ID 18972 //
     /* 2196123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2196134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2196137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2196140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2196143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196169 */     // MIs[0] round
     /* 2196169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196172 */     // MIs[0] policy
     /* 2196172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196182 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2196185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196208 */     // GIR_Coverage, 18972,
     /* 2196208 */     GIR_EraseRootFromParent_Done,
     /* 2196209 */   // Label 28876: @2196209
     /* 2196209 */   GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2196300), // Rule ID 18973 //
     /* 2196214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2196225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2196228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2196231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2196234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196260 */     // MIs[0] round
     /* 2196260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196263 */     // MIs[0] policy
     /* 2196263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2196276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196299 */     // GIR_Coverage, 18973,
     /* 2196299 */     GIR_EraseRootFromParent_Done,
     /* 2196300 */   // Label 28877: @2196300
     /* 2196300 */   GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2196391), // Rule ID 18976 //
     /* 2196305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2196316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2196319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2196325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196351 */     // MIs[0] round
     /* 2196351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196354 */     // MIs[0] policy
     /* 2196354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196364 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2196367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196390 */     // GIR_Coverage, 18976,
     /* 2196390 */     GIR_EraseRootFromParent_Done,
     /* 2196391 */   // Label 28878: @2196391
     /* 2196391 */   GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2196482), // Rule ID 18977 //
     /* 2196396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2196407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2196410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2196416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196442 */     // MIs[0] round
     /* 2196442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196445 */     // MIs[0] policy
     /* 2196445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196455 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2196458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196481 */     // GIR_Coverage, 18977,
     /* 2196481 */     GIR_EraseRootFromParent_Done,
     /* 2196482 */   // Label 28879: @2196482
     /* 2196482 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2196573), // Rule ID 18980 //
     /* 2196487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2196498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2196501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2196507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196533 */     // MIs[0] round
     /* 2196533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196536 */     // MIs[0] policy
     /* 2196536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196546 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2196549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196572 */     // GIR_Coverage, 18980,
     /* 2196572 */     GIR_EraseRootFromParent_Done,
     /* 2196573 */   // Label 28880: @2196573
     /* 2196573 */   GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2196664), // Rule ID 18981 //
     /* 2196578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2196589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2196592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2196598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196624 */     // MIs[0] round
     /* 2196624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196627 */     // MIs[0] policy
     /* 2196627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196637 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2196640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196663 */     // GIR_Coverage, 18981,
     /* 2196663 */     GIR_EraseRootFromParent_Done,
     /* 2196664 */   // Label 28881: @2196664
     /* 2196664 */   GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2196755), // Rule ID 18984 //
     /* 2196669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196715 */     // MIs[0] round
     /* 2196715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196718 */     // MIs[0] policy
     /* 2196718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2196731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196754 */     // GIR_Coverage, 18984,
     /* 2196754 */     GIR_EraseRootFromParent_Done,
     /* 2196755 */   // Label 28882: @2196755
     /* 2196755 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2196846), // Rule ID 18985 //
     /* 2196760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196806 */     // MIs[0] round
     /* 2196806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196809 */     // MIs[0] policy
     /* 2196809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196819 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2196822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196845 */     // GIR_Coverage, 18985,
     /* 2196845 */     GIR_EraseRootFromParent_Done,
     /* 2196846 */   // Label 28883: @2196846
     /* 2196846 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2196937), // Rule ID 18988 //
     /* 2196851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2196862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2196865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2196871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196897 */     // MIs[0] round
     /* 2196897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196900 */     // MIs[0] policy
     /* 2196900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196910 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2196913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196936 */     // GIR_Coverage, 18988,
     /* 2196936 */     GIR_EraseRootFromParent_Done,
     /* 2196937 */   // Label 28884: @2196937
     /* 2196937 */   GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2197028), // Rule ID 18989 //
     /* 2196942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2196950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2196953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2196956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2196962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196988 */     // MIs[0] round
     /* 2196988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196991 */     // MIs[0] policy
     /* 2196991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197001 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2197004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197027 */     // GIR_Coverage, 18989,
     /* 2197027 */     GIR_EraseRootFromParent_Done,
     /* 2197028 */   // Label 28885: @2197028
     /* 2197028 */   GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2197119), // Rule ID 64347 //
     /* 2197033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2197044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2197047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2197050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197079 */     // MIs[0] round
     /* 2197079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197082 */     // MIs[0] policy
     /* 2197082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2197095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197118 */     // GIR_Coverage, 64347,
     /* 2197118 */     GIR_EraseRootFromParent_Done,
     /* 2197119 */   // Label 28886: @2197119
     /* 2197119 */   GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2197210), // Rule ID 64348 //
     /* 2197124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2197127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2197135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2197138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2197141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197170 */     // MIs[0] round
     /* 2197170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197173 */     // MIs[0] policy
     /* 2197173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2197186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197209 */     // GIR_Coverage, 64348,
     /* 2197209 */     GIR_EraseRootFromParent_Done,
     /* 2197210 */   // Label 28887: @2197210
     /* 2197210 */   GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2197301), // Rule ID 64351 //
     /* 2197215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2197226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2197229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2197232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197261 */     // MIs[0] round
     /* 2197261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197264 */     // MIs[0] policy
     /* 2197264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2197277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197300 */     // GIR_Coverage, 64351,
     /* 2197300 */     GIR_EraseRootFromParent_Done,
     /* 2197301 */   // Label 28888: @2197301
     /* 2197301 */   GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2197392), // Rule ID 64352 //
     /* 2197306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2197309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2197317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2197320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2197323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197352 */     // MIs[0] round
     /* 2197352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197355 */     // MIs[0] policy
     /* 2197355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197365 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2197368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197391 */     // GIR_Coverage, 64352,
     /* 2197391 */     GIR_EraseRootFromParent_Done,
     /* 2197392 */   // Label 28889: @2197392
     /* 2197392 */   GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2197483), // Rule ID 64355 //
     /* 2197397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2197408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2197411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2197414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197443 */     // MIs[0] round
     /* 2197443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197446 */     // MIs[0] policy
     /* 2197446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2197459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197482 */     // GIR_Coverage, 64355,
     /* 2197482 */     GIR_EraseRootFromParent_Done,
     /* 2197483 */   // Label 28890: @2197483
     /* 2197483 */   GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2197574), // Rule ID 64356 //
     /* 2197488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2197491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2197499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2197502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2197505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197534 */     // MIs[0] round
     /* 2197534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197537 */     // MIs[0] policy
     /* 2197537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2197550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197573 */     // GIR_Coverage, 64356,
     /* 2197573 */     GIR_EraseRootFromParent_Done,
     /* 2197574 */   // Label 28891: @2197574
     /* 2197574 */   GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2197665), // Rule ID 64359 //
     /* 2197579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2197590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2197593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2197596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197625 */     // MIs[0] round
     /* 2197625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197628 */     // MIs[0] policy
     /* 2197628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197638 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2197641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197664 */     // GIR_Coverage, 64359,
     /* 2197664 */     GIR_EraseRootFromParent_Done,
     /* 2197665 */   // Label 28892: @2197665
     /* 2197665 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2197756), // Rule ID 64360 //
     /* 2197670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2197673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2197681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2197684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2197687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197716 */     // MIs[0] round
     /* 2197716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197719 */     // MIs[0] policy
     /* 2197719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197729 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2197732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197755 */     // GIR_Coverage, 64360,
     /* 2197755 */     GIR_EraseRootFromParent_Done,
     /* 2197756 */   // Label 28893: @2197756
     /* 2197756 */   GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2197847), // Rule ID 64363 //
     /* 2197761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2197772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2197775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2197778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197807 */     // MIs[0] round
     /* 2197807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197810 */     // MIs[0] policy
     /* 2197810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197820 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2197823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197846 */     // GIR_Coverage, 64363,
     /* 2197846 */     GIR_EraseRootFromParent_Done,
     /* 2197847 */   // Label 28894: @2197847
     /* 2197847 */   GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2197938), // Rule ID 64364 //
     /* 2197852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2197855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2197860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2197863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2197866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2197869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197898 */     // MIs[0] round
     /* 2197898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197901 */     // MIs[0] policy
     /* 2197901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2197914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197937 */     // GIR_Coverage, 64364,
     /* 2197937 */     GIR_EraseRootFromParent_Done,
     /* 2197938 */   // Label 28895: @2197938
     /* 2197938 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2198029), // Rule ID 64367 //
     /* 2197943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2197946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2197951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2197954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2197957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2197960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197989 */     // MIs[0] round
     /* 2197989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197992 */     // MIs[0] policy
     /* 2197992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2198005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198028 */     // GIR_Coverage, 64367,
     /* 2198028 */     GIR_EraseRootFromParent_Done,
     /* 2198029 */   // Label 28896: @2198029
     /* 2198029 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2198120), // Rule ID 64368 //
     /* 2198034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2198037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2198045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2198048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2198051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198080 */     // MIs[0] round
     /* 2198080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198083 */     // MIs[0] policy
     /* 2198083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2198096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198119 */     // GIR_Coverage, 64368,
     /* 2198119 */     GIR_EraseRootFromParent_Done,
     /* 2198120 */   // Label 28897: @2198120
     /* 2198120 */   GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2198211), // Rule ID 64371 //
     /* 2198125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2198128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2198136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2198139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2198142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198171 */     // MIs[0] round
     /* 2198171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198174 */     // MIs[0] policy
     /* 2198174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2198187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198210 */     // GIR_Coverage, 64371,
     /* 2198210 */     GIR_EraseRootFromParent_Done,
     /* 2198211 */   // Label 28898: @2198211
     /* 2198211 */   GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2198302), // Rule ID 64372 //
     /* 2198216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2198219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2198227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2198230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2198233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198262 */     // MIs[0] round
     /* 2198262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198265 */     // MIs[0] policy
     /* 2198265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2198278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198301 */     // GIR_Coverage, 64372,
     /* 2198301 */     GIR_EraseRootFromParent_Done,
     /* 2198302 */   // Label 28899: @2198302
     /* 2198302 */   GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2198393), // Rule ID 64375 //
     /* 2198307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2198310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2198318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2198321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2198324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198353 */     // MIs[0] round
     /* 2198353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198356 */     // MIs[0] policy
     /* 2198356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2198369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198392 */     // GIR_Coverage, 64375,
     /* 2198392 */     GIR_EraseRootFromParent_Done,
     /* 2198393 */   // Label 28900: @2198393
     /* 2198393 */   GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2198484), // Rule ID 64376 //
     /* 2198398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2198401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2198409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2198412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2198415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198444 */     // MIs[0] round
     /* 2198444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198447 */     // MIs[0] policy
     /* 2198447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198457 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2198460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198483 */     // GIR_Coverage, 64376,
     /* 2198483 */     GIR_EraseRootFromParent_Done,
     /* 2198484 */   // Label 28901: @2198484
     /* 2198484 */   GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2198575), // Rule ID 64379 //
     /* 2198489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2198492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2198500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2198503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2198506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198535 */     // MIs[0] round
     /* 2198535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198538 */     // MIs[0] policy
     /* 2198538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2198551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198574 */     // GIR_Coverage, 64379,
     /* 2198574 */     GIR_EraseRootFromParent_Done,
     /* 2198575 */   // Label 28902: @2198575
     /* 2198575 */   GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2198666), // Rule ID 64380 //
     /* 2198580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2198583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2198591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2198594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2198597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198626 */     // MIs[0] round
     /* 2198626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198629 */     // MIs[0] policy
     /* 2198629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2198642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198665 */     // GIR_Coverage, 64380,
     /* 2198665 */     GIR_EraseRootFromParent_Done,
     /* 2198666 */   // Label 28903: @2198666
     /* 2198666 */   GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2198757), // Rule ID 64383 //
     /* 2198671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2198674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2198682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2198685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2198688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2198694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198717 */     // MIs[0] round
     /* 2198717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198720 */     // MIs[0] policy
     /* 2198720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2198733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198756 */     // GIR_Coverage, 64383,
     /* 2198756 */     GIR_EraseRootFromParent_Done,
     /* 2198757 */   // Label 28904: @2198757
     /* 2198757 */   GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2198848), // Rule ID 64384 //
     /* 2198762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2198765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2198770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2198773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2198776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2198779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2198785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198808 */     // MIs[0] round
     /* 2198808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198811 */     // MIs[0] policy
     /* 2198811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2198824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198847 */     // GIR_Coverage, 64384,
     /* 2198847 */     GIR_EraseRootFromParent_Done,
     /* 2198848 */   // Label 28905: @2198848
     /* 2198848 */   GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2198939), // Rule ID 65059 //
     /* 2198853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2198856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2198861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2198864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2198867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2198870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198899 */     // MIs[0] round
     /* 2198899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198902 */     // MIs[0] policy
     /* 2198902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198912 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2198915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198938 */     // GIR_Coverage, 65059,
     /* 2198938 */     GIR_EraseRootFromParent_Done,
     /* 2198939 */   // Label 28906: @2198939
     /* 2198939 */   GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2199030), // Rule ID 65060 //
     /* 2198944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2198947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2198952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2198955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2198958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2198961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198990 */     // MIs[0] round
     /* 2198990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198993 */     // MIs[0] policy
     /* 2198993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2199006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199029 */     // GIR_Coverage, 65060,
     /* 2199029 */     GIR_EraseRootFromParent_Done,
     /* 2199030 */   // Label 28907: @2199030
     /* 2199030 */   GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2199121), // Rule ID 65063 //
     /* 2199035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2199046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2199049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2199052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199081 */     // MIs[0] round
     /* 2199081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199084 */     // MIs[0] policy
     /* 2199084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199094 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2199097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199120 */     // GIR_Coverage, 65063,
     /* 2199120 */     GIR_EraseRootFromParent_Done,
     /* 2199121 */   // Label 28908: @2199121
     /* 2199121 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2199212), // Rule ID 65064 //
     /* 2199126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2199129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2199137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2199140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2199143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199172 */     // MIs[0] round
     /* 2199172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199175 */     // MIs[0] policy
     /* 2199175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199185 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2199188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199211 */     // GIR_Coverage, 65064,
     /* 2199211 */     GIR_EraseRootFromParent_Done,
     /* 2199212 */   // Label 28909: @2199212
     /* 2199212 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2199303), // Rule ID 65067 //
     /* 2199217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2199228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2199231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2199234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199263 */     // MIs[0] round
     /* 2199263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199266 */     // MIs[0] policy
     /* 2199266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2199279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199302 */     // GIR_Coverage, 65067,
     /* 2199302 */     GIR_EraseRootFromParent_Done,
     /* 2199303 */   // Label 28910: @2199303
     /* 2199303 */   GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2199394), // Rule ID 65068 //
     /* 2199308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2199311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2199319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2199322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2199325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199354 */     // MIs[0] round
     /* 2199354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199357 */     // MIs[0] policy
     /* 2199357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199367 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10989:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2199370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199393 */     // GIR_Coverage, 65068,
     /* 2199393 */     GIR_EraseRootFromParent_Done,
     /* 2199394 */   // Label 28911: @2199394
     /* 2199394 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2199485), // Rule ID 65071 //
     /* 2199399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2199410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2199413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199445 */     // MIs[0] round
     /* 2199445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199448 */     // MIs[0] policy
     /* 2199448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199458 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10989:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2199461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199484 */     // GIR_Coverage, 65071,
     /* 2199484 */     GIR_EraseRootFromParent_Done,
     /* 2199485 */   // Label 28912: @2199485
     /* 2199485 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2199576), // Rule ID 65072 //
     /* 2199490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2199493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2199501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2199504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199536 */     // MIs[0] round
     /* 2199536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199539 */     // MIs[0] policy
     /* 2199539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199549 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10989:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2199552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199575 */     // GIR_Coverage, 65072,
     /* 2199575 */     GIR_EraseRootFromParent_Done,
     /* 2199576 */   // Label 28913: @2199576
     /* 2199576 */   GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2199667), // Rule ID 65075 //
     /* 2199581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2199592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2199595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199627 */     // MIs[0] round
     /* 2199627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199630 */     // MIs[0] policy
     /* 2199630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199640 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10989:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2199643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199666 */     // GIR_Coverage, 65075,
     /* 2199666 */     GIR_EraseRootFromParent_Done,
     /* 2199667 */   // Label 28914: @2199667
     /* 2199667 */   GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2199758), // Rule ID 65076 //
     /* 2199672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2199675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2199683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2199686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199718 */     // MIs[0] round
     /* 2199718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199721 */     // MIs[0] policy
     /* 2199721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199731 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10989:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2199734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199757 */     // GIR_Coverage, 65076,
     /* 2199757 */     GIR_EraseRootFromParent_Done,
     /* 2199758 */   // Label 28915: @2199758
     /* 2199758 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2199849), // Rule ID 65079 //
     /* 2199763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2199774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2199777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2199780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2199786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199809 */     // MIs[0] round
     /* 2199809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199812 */     // MIs[0] policy
     /* 2199812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199822 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10989:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2199825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199848 */     // GIR_Coverage, 65079,
     /* 2199848 */     GIR_EraseRootFromParent_Done,
     /* 2199849 */   // Label 28916: @2199849
     /* 2199849 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2199940), // Rule ID 65080 //
     /* 2199854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2199857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2199862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2199865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2199868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2199871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2199877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199900 */     // MIs[0] round
     /* 2199900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199903 */     // MIs[0] policy
     /* 2199903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199913 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10989:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2199916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199939 */     // GIR_Coverage, 65080,
     /* 2199939 */     GIR_EraseRootFromParent_Done,
     /* 2199940 */   // Label 28917: @2199940
     /* 2199940 */   GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2200031), // Rule ID 65083 //
     /* 2199945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2199953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2199956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2199959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2199962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199991 */     // MIs[0] round
     /* 2199991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199994 */     // MIs[0] policy
     /* 2199994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200004 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2200007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200030 */     // GIR_Coverage, 65083,
     /* 2200030 */     GIR_EraseRootFromParent_Done,
     /* 2200031 */   // Label 28918: @2200031
     /* 2200031 */   GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2200122), // Rule ID 65084 //
     /* 2200036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2200047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2200050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2200053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2200059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200082 */     // MIs[0] round
     /* 2200082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200085 */     // MIs[0] policy
     /* 2200085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200095 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2200098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200121 */     // GIR_Coverage, 65084,
     /* 2200121 */     GIR_EraseRootFromParent_Done,
     /* 2200122 */   // Label 28919: @2200122
     /* 2200122 */   GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2200213), // Rule ID 65087 //
     /* 2200127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2200130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2200138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2200141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2200144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200173 */     // MIs[0] round
     /* 2200173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200176 */     // MIs[0] policy
     /* 2200176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200186 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2200189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200212 */     // GIR_Coverage, 65087,
     /* 2200212 */     GIR_EraseRootFromParent_Done,
     /* 2200213 */   // Label 28920: @2200213
     /* 2200213 */   GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2200304), // Rule ID 65088 //
     /* 2200218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2200229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2200232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2200235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200264 */     // MIs[0] round
     /* 2200264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200267 */     // MIs[0] policy
     /* 2200267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200277 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2200280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200303 */     // GIR_Coverage, 65088,
     /* 2200303 */     GIR_EraseRootFromParent_Done,
     /* 2200304 */   // Label 28921: @2200304
     /* 2200304 */   GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2200395), // Rule ID 65091 //
     /* 2200309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2200312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2200320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2200323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2200326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200355 */     // MIs[0] round
     /* 2200355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200358 */     // MIs[0] policy
     /* 2200358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200368 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2200371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200394 */     // GIR_Coverage, 65091,
     /* 2200394 */     GIR_EraseRootFromParent_Done,
     /* 2200395 */   // Label 28922: @2200395
     /* 2200395 */   GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2200486), // Rule ID 65092 //
     /* 2200400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2200411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2200414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2200417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200446 */     // MIs[0] round
     /* 2200446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200449 */     // MIs[0] policy
     /* 2200449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200459 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10987:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2200462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200485 */     // GIR_Coverage, 65092,
     /* 2200485 */     GIR_EraseRootFromParent_Done,
     /* 2200486 */   // Label 28923: @2200486
     /* 2200486 */   GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2200577), // Rule ID 65095 //
     /* 2200491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2200494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2200502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2200505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2200508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200537 */     // MIs[0] round
     /* 2200537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200540 */     // MIs[0] policy
     /* 2200540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200550 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10987:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2200553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200576 */     // GIR_Coverage, 65095,
     /* 2200576 */     GIR_EraseRootFromParent_Done,
     /* 2200577 */   // Label 28924: @2200577
     /* 2200577 */   GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2200668), // Rule ID 65096 //
     /* 2200582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2200593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2200596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2200599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200628 */     // MIs[0] round
     /* 2200628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200631 */     // MIs[0] policy
     /* 2200631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200641 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10987:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2200644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200667 */     // GIR_Coverage, 65096,
     /* 2200667 */     GIR_EraseRootFromParent_Done,
     /* 2200668 */   // Label 28925: @2200668
     /* 2200668 */   GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2200759), // Rule ID 65099 //
     /* 2200673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2200676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2200684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2200687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2200690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200719 */     // MIs[0] round
     /* 2200719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200722 */     // MIs[0] policy
     /* 2200722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200732 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10987:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2200735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200758 */     // GIR_Coverage, 65099,
     /* 2200758 */     GIR_EraseRootFromParent_Done,
     /* 2200759 */   // Label 28926: @2200759
     /* 2200759 */   GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2200850), // Rule ID 65100 //
     /* 2200764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2200775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2200778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2200781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200810 */     // MIs[0] round
     /* 2200810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200813 */     // MIs[0] policy
     /* 2200813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200823 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10987:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2200826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200849 */     // GIR_Coverage, 65100,
     /* 2200849 */     GIR_EraseRootFromParent_Done,
     /* 2200850 */   // Label 28927: @2200850
     /* 2200850 */   GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2200941), // Rule ID 65103 //
     /* 2200855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2200858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2200866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2200869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2200872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2200878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200901 */     // MIs[0] round
     /* 2200901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200904 */     // MIs[0] policy
     /* 2200904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10987:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2200917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200940 */     // GIR_Coverage, 65103,
     /* 2200940 */     GIR_EraseRootFromParent_Done,
     /* 2200941 */   // Label 28928: @2200941
     /* 2200941 */   GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2201032), // Rule ID 65104 //
     /* 2200946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2200949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2200954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2200957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2200960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2200963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2200969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200992 */     // MIs[0] round
     /* 2200992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200995 */     // MIs[0] policy
     /* 2200995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201005 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10987:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2201008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201031 */     // GIR_Coverage, 65104,
     /* 2201031 */     GIR_EraseRootFromParent_Done,
     /* 2201032 */   // Label 28929: @2201032
     /* 2201032 */   GIM_Reject,
     /* 2201033 */ // Label 26861: @2201033
     /* 2201033 */ GIM_Reject,
     /* 2201034 */ // Label 38: @2201034
     /* 2201034 */ GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2201086),
     /* 2201039 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 2201042 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::riscv_pause),
     /* 2201047 */   GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2201066), // Rule ID 289 //
     /* 2201052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode0),
     /* 2201055 */     // (intrinsic_void 10991:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2201058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2201061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201065 */     // GIR_Coverage, 289,
     /* 2201065 */     GIR_EraseRootFromParent_Done,
     /* 2201066 */   // Label 28931: @2201066
     /* 2201066 */   GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2201085), // Rule ID 290 //
     /* 2201071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode1),
     /* 2201074 */     // (intrinsic_void 10991:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2201074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2201077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2201080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201084 */     // GIR_Coverage, 290,
     /* 2201084 */     GIR_EraseRootFromParent_Done,
     /* 2201085 */   // Label 28932: @2201085
     /* 2201085 */   GIM_Reject,
     /* 2201086 */ // Label 28930: @2201086
     /* 2201086 */ GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2201169), // Rule ID 35 //
     /* 2201091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2201094 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2201097 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2201102 */   // MIs[0] Operand 1
     /* 2201102 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2201106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2201110 */   // MIs[0] ptr
     /* 2201110 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2201118 */   // MIs[0] accessinfo
     /* 2201118 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2201121 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2201121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201125 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201131 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2201135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2201138 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2201140 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2201142 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2201145 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2201148 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2201151 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2201154 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2201157 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2201160 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2201163 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201168 */   // GIR_Coverage, 35,
     /* 2201168 */   GIR_EraseRootFromParent_Done,
     /* 2201169 */ // Label 28933: @2201169
     /* 2201169 */ GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2202074),
     /* 2201174 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2201177 */   GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2201249), // Rule ID 623 //
     /* 2201182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2201190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201203 */     // MIs[0] addr
     /* 2201203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201219 */     // MIs[0] ordering
     /* 2201219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201222 */     // (intrinsic_w_chain:{ *:[i32] } 10980:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2201228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201230 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201235 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201237 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201239 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201241 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201248 */     // GIR_Coverage, 623,
     /* 2201248 */     GIR_EraseRootFromParent_Done,
     /* 2201249 */   // Label 28935: @2201249
     /* 2201249 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2201321), // Rule ID 624 //
     /* 2201254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2201262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201275 */     // MIs[0] addr
     /* 2201275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201291 */     // MIs[0] ordering
     /* 2201291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201294 */     // (intrinsic_w_chain:{ *:[i32] } 10966:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2201300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201302 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201307 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201309 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201311 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201313 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201320 */     // GIR_Coverage, 624,
     /* 2201320 */     GIR_EraseRootFromParent_Done,
     /* 2201321 */   // Label 28936: @2201321
     /* 2201321 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2201393), // Rule ID 625 //
     /* 2201326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2201334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201347 */     // MIs[0] addr
     /* 2201347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201363 */     // MIs[0] ordering
     /* 2201363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201366 */     // (intrinsic_w_chain:{ *:[i32] } 10974:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2201372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201374 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201379 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201381 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201383 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201385 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201392 */     // GIR_Coverage, 625,
     /* 2201392 */     GIR_EraseRootFromParent_Done,
     /* 2201393 */   // Label 28937: @2201393
     /* 2201393 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2201465), // Rule ID 626 //
     /* 2201398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2201406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201419 */     // MIs[0] addr
     /* 2201419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201435 */     // MIs[0] ordering
     /* 2201435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201438 */     // (intrinsic_w_chain:{ *:[i32] } 10972:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2201444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201446 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201451 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201453 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201455 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201457 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201464 */     // GIR_Coverage, 626,
     /* 2201464 */     GIR_EraseRootFromParent_Done,
     /* 2201465 */   // Label 28938: @2201465
     /* 2201465 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2201545), // Rule ID 629 //
     /* 2201470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2201478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201491 */     // MIs[0] addr
     /* 2201491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201507 */     // MIs[0] ordering
     /* 2201507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201510 */     // (intrinsic_w_chain:{ *:[i32] } 10976:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201510 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2201513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2201519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201521 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201526 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201531 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201533 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201535 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201537 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201544 */     // GIR_Coverage, 629,
     /* 2201544 */     GIR_EraseRootFromParent_Done,
     /* 2201545 */   // Label 28939: @2201545
     /* 2201545 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2201625), // Rule ID 630 //
     /* 2201550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2201553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2201558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2201561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2201567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201571 */     // MIs[0] addr
     /* 2201571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201587 */     // MIs[0] ordering
     /* 2201587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201590 */     // (intrinsic_w_chain:{ *:[i32] } 10978:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2201590 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2201593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2201599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201601 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201606 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201611 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201613 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201615 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201617 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201624 */     // GIR_Coverage, 630,
     /* 2201624 */     GIR_EraseRootFromParent_Done,
     /* 2201625 */   // Label 28940: @2201625
     /* 2201625 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2201697), // Rule ID 636 //
     /* 2201630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2201633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2201638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2201641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2201644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201651 */     // MIs[0] addr
     /* 2201651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201667 */     // MIs[0] ordering
     /* 2201667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201670 */     // (intrinsic_w_chain:{ *:[i64] } 10981:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2201670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2201676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201678 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201683 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201685 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201687 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201689 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201696 */     // GIR_Coverage, 636,
     /* 2201696 */     GIR_EraseRootFromParent_Done,
     /* 2201697 */   // Label 28941: @2201697
     /* 2201697 */   GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2201769), // Rule ID 637 //
     /* 2201702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2201705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2201710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2201713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2201716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201723 */     // MIs[0] addr
     /* 2201723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201739 */     // MIs[0] ordering
     /* 2201739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201742 */     // (intrinsic_w_chain:{ *:[i64] } 10967:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2201742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2201748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201750 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201755 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201757 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201759 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201761 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201768 */     // GIR_Coverage, 637,
     /* 2201768 */     GIR_EraseRootFromParent_Done,
     /* 2201769 */   // Label 28942: @2201769
     /* 2201769 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2201841), // Rule ID 638 //
     /* 2201774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2201777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2201782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2201785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2201788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201795 */     // MIs[0] addr
     /* 2201795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201811 */     // MIs[0] ordering
     /* 2201811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201814 */     // (intrinsic_w_chain:{ *:[i64] } 10975:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2201814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2201820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201822 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201827 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201829 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201831 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201833 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201840 */     // GIR_Coverage, 638,
     /* 2201840 */     GIR_EraseRootFromParent_Done,
     /* 2201841 */   // Label 28943: @2201841
     /* 2201841 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2201913), // Rule ID 639 //
     /* 2201846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2201849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2201854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2201857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2201860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201867 */     // MIs[0] addr
     /* 2201867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201883 */     // MIs[0] ordering
     /* 2201883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201886 */     // (intrinsic_w_chain:{ *:[i64] } 10973:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2201886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2201892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201894 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201899 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201901 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201903 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201905 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201912 */     // GIR_Coverage, 639,
     /* 2201912 */     GIR_EraseRootFromParent_Done,
     /* 2201913 */   // Label 28944: @2201913
     /* 2201913 */   GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2201993), // Rule ID 642 //
     /* 2201918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2201921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2201926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2201929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2201932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201939 */     // MIs[0] addr
     /* 2201939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2201943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201955 */     // MIs[0] ordering
     /* 2201955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2201958 */     // (intrinsic_w_chain:{ *:[i64] } 10977:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2201958 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2201961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2201964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2201967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2201969 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201974 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2201979 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2201981 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2201983 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2201985 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2201987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2201991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201992 */     // GIR_Coverage, 642,
     /* 2201992 */     GIR_EraseRootFromParent_Done,
     /* 2201993 */   // Label 28945: @2201993
     /* 2201993 */   GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2202073), // Rule ID 643 //
     /* 2201998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2202001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2202006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2202009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2202012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2202015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202019 */     // MIs[0] addr
     /* 2202019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202035 */     // MIs[0] ordering
     /* 2202035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2202038 */     // (intrinsic_w_chain:{ *:[i64] } 10979:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2202038 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2202041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2202047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202049 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202054 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202059 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202061 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2202063 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2202065 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2202067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202072 */     // GIR_Coverage, 643,
     /* 2202072 */     GIR_EraseRootFromParent_Done,
     /* 2202073 */   // Label 28946: @2202073
     /* 2202073 */   GIM_Reject,
     /* 2202074 */ // Label 28934: @2202074
     /* 2202074 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2202601),
     /* 2202079 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2202082 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2202171), // Rule ID 627 //
     /* 2202087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2202090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2202095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2202098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2202107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202111 */     // MIs[0] addr
     /* 2202111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202131 */     // MIs[0] ordering
     /* 2202131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202134 */     // (intrinsic_w_chain:{ *:[i32] } 10968:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2202134 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2202137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2202143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202145 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202150 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202155 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202157 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2202159 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2202161 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2202163 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202170 */     // GIR_Coverage, 627,
     /* 2202170 */     GIR_EraseRootFromParent_Done,
     /* 2202171 */   // Label 28948: @2202171
     /* 2202171 */   GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2202260), // Rule ID 628 //
     /* 2202176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2202179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2202184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2202187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2202196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202200 */     // MIs[0] addr
     /* 2202200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202220 */     // MIs[0] ordering
     /* 2202220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202223 */     // (intrinsic_w_chain:{ *:[i32] } 10970:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2202223 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2202226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2202232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202234 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202239 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202244 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202246 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2202248 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2202250 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2202252 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202259 */     // GIR_Coverage, 628,
     /* 2202259 */     GIR_EraseRootFromParent_Done,
     /* 2202260 */   // Label 28949: @2202260
     /* 2202260 */   GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2202349), // Rule ID 640 //
     /* 2202265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2202268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2202273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2202276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2202279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2202282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2202285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202289 */     // MIs[0] addr
     /* 2202289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202309 */     // MIs[0] ordering
     /* 2202309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202312 */     // (intrinsic_w_chain:{ *:[i64] } 10969:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2202312 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2202315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2202321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202323 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202328 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202333 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202335 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2202337 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2202339 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2202341 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202348 */     // GIR_Coverage, 640,
     /* 2202348 */     GIR_EraseRootFromParent_Done,
     /* 2202349 */   // Label 28950: @2202349
     /* 2202349 */   GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2202438), // Rule ID 641 //
     /* 2202354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2202357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2202362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2202365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2202368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2202371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2202374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202378 */     // MIs[0] addr
     /* 2202378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202398 */     // MIs[0] ordering
     /* 2202398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202401 */     // (intrinsic_w_chain:{ *:[i64] } 10971:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2202401 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2202404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2202410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202412 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202417 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202422 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202424 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2202426 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2202428 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2202430 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202437 */     // GIR_Coverage, 641,
     /* 2202437 */     GIR_EraseRootFromParent_Done,
     /* 2202438 */   // Label 28951: @2202438
     /* 2202438 */   GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2202519), // Rule ID 659 //
     /* 2202443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2202446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2202451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2202454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2202463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202467 */     // MIs[0] addr
     /* 2202467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202487 */     // MIs[0] ordering
     /* 2202487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202490 */     // (intrinsic_w_chain:{ *:[i32] } 10982:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2202490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2202496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202498 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202503 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202505 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2202507 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2202509 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2202511 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202518 */     // GIR_Coverage, 659,
     /* 2202518 */     GIR_EraseRootFromParent_Done,
     /* 2202519 */   // Label 28952: @2202519
     /* 2202519 */   GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2202600), // Rule ID 660 //
     /* 2202524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2202527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2202532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2202535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2202538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2202541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2202544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202548 */     // MIs[0] addr
     /* 2202548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2202552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2202568 */     // MIs[0] ordering
     /* 2202568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202571 */     // (intrinsic_w_chain:{ *:[i64] } 10983:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2202571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2202574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2202577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2202579 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2202584 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2202586 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2202588 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2202590 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2202592 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2202594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2202598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202599 */     // GIR_Coverage, 660,
     /* 2202599 */     GIR_EraseRootFromParent_Done,
     /* 2202600 */   // Label 28953: @2202600
     /* 2202600 */   GIM_Reject,
     /* 2202601 */ // Label 28947: @2202601
     /* 2202601 */ GIM_Reject,
     /* 2202602 */ // Label 39: @2202602
     /* 2202602 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28969*/ GIMT_Encode4(2205722),
     /* 2202613 */ /*GILLT_nxv1s16*//*Label 28954*/ GIMT_Encode4(2202713),
     /* 2202617 */ /*GILLT_nxv1s32*//*Label 28955*/ GIMT_Encode4(2202817),
     /* 2202621 */ /*GILLT_nxv1s64*//*Label 28956*/ GIMT_Encode4(2203034), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2202633 */ /*GILLT_nxv2s16*//*Label 28957*/ GIMT_Encode4(2203359),
     /* 2202637 */ /*GILLT_nxv2s32*//*Label 28958*/ GIMT_Encode4(2203463),
     /* 2202641 */ /*GILLT_nxv2s64*//*Label 28959*/ GIMT_Encode4(2203680), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2202653 */ /*GILLT_nxv4s16*//*Label 28960*/ GIMT_Encode4(2204005),
     /* 2202657 */ /*GILLT_nxv4s32*//*Label 28961*/ GIMT_Encode4(2204109),
     /* 2202661 */ /*GILLT_nxv4s64*//*Label 28962*/ GIMT_Encode4(2204326), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2202673 */ /*GILLT_nxv8s16*//*Label 28963*/ GIMT_Encode4(2204651),
     /* 2202677 */ /*GILLT_nxv8s32*//*Label 28964*/ GIMT_Encode4(2204755),
     /* 2202681 */ /*GILLT_nxv8s64*//*Label 28965*/ GIMT_Encode4(2204972), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2202693 */ /*GILLT_nxv16s16*//*Label 28966*/ GIMT_Encode4(2205297),
     /* 2202697 */ /*GILLT_nxv16s32*//*Label 28967*/ GIMT_Encode4(2205401), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2202709 */ /*GILLT_nxv32s16*//*Label 28968*/ GIMT_Encode4(2205618),
     /* 2202713 */ // Label 28954: @2202713
     /* 2202713 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2202816),
     /* 2202718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202729 */   GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2202772), // Rule ID 47476 //
     /* 2202734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202737 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2202740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2202754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202771 */     // GIR_Coverage, 47476,
     /* 2202771 */     GIR_EraseRootFromParent_Done,
     /* 2202772 */   // Label 28971: @2202772
     /* 2202772 */   GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2202815), // Rule ID 47477 //
     /* 2202777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202780 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2202783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2202797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202814 */     // GIR_Coverage, 47477,
     /* 2202814 */     GIR_EraseRootFromParent_Done,
     /* 2202815 */   // Label 28972: @2202815
     /* 2202815 */   GIM_Reject,
     /* 2202816 */ // Label 28970: @2202816
     /* 2202816 */ GIM_Reject,
     /* 2202817 */ // Label 28955: @2202817
     /* 2202817 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2202871), // Rule ID 47500 //
     /* 2202822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202836 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202870 */   // GIR_Coverage, 47500,
     /* 2202870 */   GIR_EraseRootFromParent_Done,
     /* 2202871 */ // Label 28973: @2202871
     /* 2202871 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2202925), // Rule ID 47501 //
     /* 2202876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202890 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202924 */   // GIR_Coverage, 47501,
     /* 2202924 */   GIR_EraseRootFromParent_Done,
     /* 2202925 */ // Label 28974: @2202925
     /* 2202925 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2202979), // Rule ID 47566 //
     /* 2202930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202944 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2202961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202978 */   // GIR_Coverage, 47566,
     /* 2202978 */   GIR_EraseRootFromParent_Done,
     /* 2202979 */ // Label 28975: @2202979
     /* 2202979 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2203033), // Rule ID 47567 //
     /* 2202984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202998 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2203001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2203015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203020 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203032 */   // GIR_Coverage, 47567,
     /* 2203032 */   GIR_EraseRootFromParent_Done,
     /* 2203033 */ // Label 28976: @2203033
     /* 2203033 */ GIM_Reject,
     /* 2203034 */ // Label 28956: @2203034
     /* 2203034 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2203088), // Rule ID 47520 //
     /* 2203039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2203045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203053 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203087 */   // GIR_Coverage, 47520,
     /* 2203087 */   GIR_EraseRootFromParent_Done,
     /* 2203088 */ // Label 28977: @2203088
     /* 2203088 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2203142), // Rule ID 47521 //
     /* 2203093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2203099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203107 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203107 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203110 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203114 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203119 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203126 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203129 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203141 */   // GIR_Coverage, 47521,
     /* 2203141 */   GIR_EraseRootFromParent_Done,
     /* 2203142 */ // Label 28978: @2203142
     /* 2203142 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2203196), // Rule ID 47586 //
     /* 2203147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2203153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203161 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203173 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2203178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203183 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203195 */   // GIR_Coverage, 47586,
     /* 2203195 */   GIR_EraseRootFromParent_Done,
     /* 2203196 */ // Label 28979: @2203196
     /* 2203196 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2203250), // Rule ID 47587 //
     /* 2203201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2203207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203215 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2203232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203234 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203237 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203249 */   // GIR_Coverage, 47587,
     /* 2203249 */   GIR_EraseRootFromParent_Done,
     /* 2203250 */ // Label 28980: @2203250
     /* 2203250 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2203304), // Rule ID 47620 //
     /* 2203255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2203261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203269 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203269 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203272 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203276 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2203286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203303 */   // GIR_Coverage, 47620,
     /* 2203303 */   GIR_EraseRootFromParent_Done,
     /* 2203304 */ // Label 28981: @2203304
     /* 2203304 */ GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2203358), // Rule ID 47621 //
     /* 2203309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2203315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203323 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2203340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203357 */   // GIR_Coverage, 47621,
     /* 2203357 */   GIR_EraseRootFromParent_Done,
     /* 2203358 */ // Label 28982: @2203358
     /* 2203358 */ GIM_Reject,
     /* 2203359 */ // Label 28957: @2203359
     /* 2203359 */ GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2203462),
     /* 2203364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203375 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2203418), // Rule ID 47480 //
     /* 2203380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203383 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2203386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2203400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203417 */     // GIR_Coverage, 47480,
     /* 2203417 */     GIR_EraseRootFromParent_Done,
     /* 2203418 */   // Label 28984: @2203418
     /* 2203418 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2203461), // Rule ID 47481 //
     /* 2203423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203426 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2203429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2203443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203460 */     // GIR_Coverage, 47481,
     /* 2203460 */     GIR_EraseRootFromParent_Done,
     /* 2203461 */   // Label 28985: @2203461
     /* 2203461 */   GIM_Reject,
     /* 2203462 */ // Label 28983: @2203462
     /* 2203462 */ GIM_Reject,
     /* 2203463 */ // Label 28958: @2203463
     /* 2203463 */ GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2203517), // Rule ID 47504 //
     /* 2203468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203482 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2203485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203516 */   // GIR_Coverage, 47504,
     /* 2203516 */   GIR_EraseRootFromParent_Done,
     /* 2203517 */ // Label 28986: @2203517
     /* 2203517 */ GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2203571), // Rule ID 47505 //
     /* 2203522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203536 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203536 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2203539 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203543 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203558 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203570 */   // GIR_Coverage, 47505,
     /* 2203570 */   GIR_EraseRootFromParent_Done,
     /* 2203571 */ // Label 28987: @2203571
     /* 2203571 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2203625), // Rule ID 47570 //
     /* 2203576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203590 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203590 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2203593 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203597 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2203607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203612 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203624 */   // GIR_Coverage, 47570,
     /* 2203624 */   GIR_EraseRootFromParent_Done,
     /* 2203625 */ // Label 28988: @2203625
     /* 2203625 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2203679), // Rule ID 47571 //
     /* 2203630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203644 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2203647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2203661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203678 */   // GIR_Coverage, 47571,
     /* 2203678 */   GIR_EraseRootFromParent_Done,
     /* 2203679 */ // Label 28989: @2203679
     /* 2203679 */ GIM_Reject,
     /* 2203680 */ // Label 28959: @2203680
     /* 2203680 */ GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2203734), // Rule ID 47524 //
     /* 2203685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2203691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203699 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203733 */   // GIR_Coverage, 47524,
     /* 2203733 */   GIR_EraseRootFromParent_Done,
     /* 2203734 */ // Label 28990: @2203734
     /* 2203734 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2203788), // Rule ID 47525 //
     /* 2203739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2203745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203753 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203765 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203772 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203775 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203787 */   // GIR_Coverage, 47525,
     /* 2203787 */   GIR_EraseRootFromParent_Done,
     /* 2203788 */ // Label 28991: @2203788
     /* 2203788 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2203842), // Rule ID 47590 //
     /* 2203793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203807 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203807 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203810 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203814 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203841 */   // GIR_Coverage, 47590,
     /* 2203841 */   GIR_EraseRootFromParent_Done,
     /* 2203842 */ // Label 28992: @2203842
     /* 2203842 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2203896), // Rule ID 47591 //
     /* 2203847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203861 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203895 */   // GIR_Coverage, 47591,
     /* 2203895 */   GIR_EraseRootFromParent_Done,
     /* 2203896 */ // Label 28993: @2203896
     /* 2203896 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2203950), // Rule ID 47624 //
     /* 2203901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203915 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203915 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203918 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203922 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203927 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203934 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203937 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203949 */   // GIR_Coverage, 47624,
     /* 2203949 */   GIR_EraseRootFromParent_Done,
     /* 2203950 */ // Label 28994: @2203950
     /* 2203950 */ GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2204004), // Rule ID 47625 //
     /* 2203955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203969 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203991 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204003 */   // GIR_Coverage, 47625,
     /* 2204003 */   GIR_EraseRootFromParent_Done,
     /* 2204004 */ // Label 28995: @2204004
     /* 2204004 */ GIM_Reject,
     /* 2204005 */ // Label 28960: @2204005
     /* 2204005 */ GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2204108),
     /* 2204010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2204013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204021 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2204064), // Rule ID 47484 //
     /* 2204026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204029 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2204032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2204046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204063 */     // GIR_Coverage, 47484,
     /* 2204063 */     GIR_EraseRootFromParent_Done,
     /* 2204064 */   // Label 28997: @2204064
     /* 2204064 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2204107), // Rule ID 47485 //
     /* 2204069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204072 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2204075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2204089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204106 */     // GIR_Coverage, 47485,
     /* 2204106 */     GIR_EraseRootFromParent_Done,
     /* 2204107 */   // Label 28998: @2204107
     /* 2204107 */   GIM_Reject,
     /* 2204108 */ // Label 28996: @2204108
     /* 2204108 */ GIM_Reject,
     /* 2204109 */ // Label 28961: @2204109
     /* 2204109 */ GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2204163), // Rule ID 47508 //
     /* 2204114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2204120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204128 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2204145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204162 */   // GIR_Coverage, 47508,
     /* 2204162 */   GIR_EraseRootFromParent_Done,
     /* 2204163 */ // Label 28999: @2204163
     /* 2204163 */ GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2204217), // Rule ID 47509 //
     /* 2204168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2204174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204182 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2204199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204216 */   // GIR_Coverage, 47509,
     /* 2204216 */   GIR_EraseRootFromParent_Done,
     /* 2204217 */ // Label 29000: @2204217
     /* 2204217 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2204271), // Rule ID 47574 //
     /* 2204222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2204228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204236 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2204253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204270 */   // GIR_Coverage, 47574,
     /* 2204270 */   GIR_EraseRootFromParent_Done,
     /* 2204271 */ // Label 29001: @2204271
     /* 2204271 */ GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2204325), // Rule ID 47575 //
     /* 2204276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2204282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204290 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2204307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204324 */   // GIR_Coverage, 47575,
     /* 2204324 */   GIR_EraseRootFromParent_Done,
     /* 2204325 */ // Label 29002: @2204325
     /* 2204325 */ GIM_Reject,
     /* 2204326 */ // Label 28962: @2204326
     /* 2204326 */ GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2204380), // Rule ID 47528 //
     /* 2204331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2204337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204345 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204345 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204348 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204352 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204364 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204379 */   // GIR_Coverage, 47528,
     /* 2204379 */   GIR_EraseRootFromParent_Done,
     /* 2204380 */ // Label 29003: @2204380
     /* 2204380 */ GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2204434), // Rule ID 47529 //
     /* 2204385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2204391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204399 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204433 */   // GIR_Coverage, 47529,
     /* 2204433 */   GIR_EraseRootFromParent_Done,
     /* 2204434 */ // Label 29004: @2204434
     /* 2204434 */ GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2204488), // Rule ID 47594 //
     /* 2204439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2204445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204453 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204487 */   // GIR_Coverage, 47594,
     /* 2204487 */   GIR_EraseRootFromParent_Done,
     /* 2204488 */ // Label 29005: @2204488
     /* 2204488 */ GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2204542), // Rule ID 47595 //
     /* 2204493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2204499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204507 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204507 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204510 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204514 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204541 */   // GIR_Coverage, 47595,
     /* 2204541 */   GIR_EraseRootFromParent_Done,
     /* 2204542 */ // Label 29006: @2204542
     /* 2204542 */ GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2204596), // Rule ID 47628 //
     /* 2204547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2204553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204561 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204561 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204564 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204568 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2204578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204583 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204595 */   // GIR_Coverage, 47628,
     /* 2204595 */   GIR_EraseRootFromParent_Done,
     /* 2204596 */ // Label 29007: @2204596
     /* 2204596 */ GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2204650), // Rule ID 47629 //
     /* 2204601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2204607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204615 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2204632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204649 */   // GIR_Coverage, 47629,
     /* 2204649 */   GIR_EraseRootFromParent_Done,
     /* 2204650 */ // Label 29008: @2204650
     /* 2204650 */ GIM_Reject,
     /* 2204651 */ // Label 28963: @2204651
     /* 2204651 */ GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2204754),
     /* 2204656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204667 */   GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2204710), // Rule ID 47488 //
     /* 2204672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204675 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2204692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204709 */     // GIR_Coverage, 47488,
     /* 2204709 */     GIR_EraseRootFromParent_Done,
     /* 2204710 */   // Label 29010: @2204710
     /* 2204710 */   GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2204753), // Rule ID 47489 //
     /* 2204715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204718 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2204735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204752 */     // GIR_Coverage, 47489,
     /* 2204752 */     GIR_EraseRootFromParent_Done,
     /* 2204753 */   // Label 29011: @2204753
     /* 2204753 */   GIM_Reject,
     /* 2204754 */ // Label 29009: @2204754
     /* 2204754 */ GIM_Reject,
     /* 2204755 */ // Label 28964: @2204755
     /* 2204755 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2204809), // Rule ID 47512 //
     /* 2204760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204774 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204808 */   // GIR_Coverage, 47512,
     /* 2204808 */   GIR_EraseRootFromParent_Done,
     /* 2204809 */ // Label 29012: @2204809
     /* 2204809 */ GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2204863), // Rule ID 47513 //
     /* 2204814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204828 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204862 */   // GIR_Coverage, 47513,
     /* 2204862 */   GIR_EraseRootFromParent_Done,
     /* 2204863 */ // Label 29013: @2204863
     /* 2204863 */ GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2204917), // Rule ID 47578 //
     /* 2204868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204882 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204916 */   // GIR_Coverage, 47578,
     /* 2204916 */   GIR_EraseRootFromParent_Done,
     /* 2204917 */ // Label 29014: @2204917
     /* 2204917 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2204971), // Rule ID 47579 //
     /* 2204922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204936 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204970 */   // GIR_Coverage, 47579,
     /* 2204970 */   GIR_EraseRootFromParent_Done,
     /* 2204971 */ // Label 29015: @2204971
     /* 2204971 */ GIM_Reject,
     /* 2204972 */ // Label 28965: @2204972
     /* 2204972 */ GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2205026), // Rule ID 47532 //
     /* 2204977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204991 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205025 */   // GIR_Coverage, 47532,
     /* 2205025 */   GIR_EraseRootFromParent_Done,
     /* 2205026 */ // Label 29016: @2205026
     /* 2205026 */ GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2205080), // Rule ID 47533 //
     /* 2205031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205045 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205079 */   // GIR_Coverage, 47533,
     /* 2205079 */   GIR_EraseRootFromParent_Done,
     /* 2205080 */ // Label 29017: @2205080
     /* 2205080 */ GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2205134), // Rule ID 47598 //
     /* 2205085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2205088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2205091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205099 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2205116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205133 */   // GIR_Coverage, 47598,
     /* 2205133 */   GIR_EraseRootFromParent_Done,
     /* 2205134 */ // Label 29018: @2205134
     /* 2205134 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2205188), // Rule ID 47599 //
     /* 2205139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2205145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205153 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2205170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205187 */   // GIR_Coverage, 47599,
     /* 2205187 */   GIR_EraseRootFromParent_Done,
     /* 2205188 */ // Label 29019: @2205188
     /* 2205188 */ GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2205242), // Rule ID 47632 //
     /* 2205193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2205196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2205199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205207 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2205224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205241 */   // GIR_Coverage, 47632,
     /* 2205241 */   GIR_EraseRootFromParent_Done,
     /* 2205242 */ // Label 29020: @2205242
     /* 2205242 */ GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2205296), // Rule ID 47633 //
     /* 2205247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2205253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205261 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2205278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205295 */   // GIR_Coverage, 47633,
     /* 2205295 */   GIR_EraseRootFromParent_Done,
     /* 2205296 */ // Label 29021: @2205296
     /* 2205296 */ GIM_Reject,
     /* 2205297 */ // Label 28966: @2205297
     /* 2205297 */ GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2205400),
     /* 2205302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205313 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2205356), // Rule ID 47492 //
     /* 2205318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205321 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2205338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205355 */     // GIR_Coverage, 47492,
     /* 2205355 */     GIR_EraseRootFromParent_Done,
     /* 2205356 */   // Label 29023: @2205356
     /* 2205356 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2205399), // Rule ID 47493 //
     /* 2205361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205364 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2205381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205398 */     // GIR_Coverage, 47493,
     /* 2205398 */     GIR_EraseRootFromParent_Done,
     /* 2205399 */   // Label 29024: @2205399
     /* 2205399 */   GIM_Reject,
     /* 2205400 */ // Label 29022: @2205400
     /* 2205400 */ GIM_Reject,
     /* 2205401 */ // Label 28967: @2205401
     /* 2205401 */ GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2205455), // Rule ID 47516 //
     /* 2205406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2205412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205420 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205454 */   // GIR_Coverage, 47516,
     /* 2205454 */   GIR_EraseRootFromParent_Done,
     /* 2205455 */ // Label 29025: @2205455
     /* 2205455 */ GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2205509), // Rule ID 47517 //
     /* 2205460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2205466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205474 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205508 */   // GIR_Coverage, 47517,
     /* 2205508 */   GIR_EraseRootFromParent_Done,
     /* 2205509 */ // Label 29026: @2205509
     /* 2205509 */ GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2205563), // Rule ID 47582 //
     /* 2205514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205528 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2205545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205562 */   // GIR_Coverage, 47582,
     /* 2205562 */   GIR_EraseRootFromParent_Done,
     /* 2205563 */ // Label 29027: @2205563
     /* 2205563 */ GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2205617), // Rule ID 47583 //
     /* 2205568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205582 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2205599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205616 */   // GIR_Coverage, 47583,
     /* 2205616 */   GIR_EraseRootFromParent_Done,
     /* 2205617 */ // Label 29028: @2205617
     /* 2205617 */ GIM_Reject,
     /* 2205618 */ // Label 28968: @2205618
     /* 2205618 */ GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2205721),
     /* 2205623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2205626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205634 */   GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2205677), // Rule ID 47496 //
     /* 2205639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205642 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2205645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205676 */     // GIR_Coverage, 47496,
     /* 2205676 */     GIR_EraseRootFromParent_Done,
     /* 2205677 */   // Label 29030: @2205677
     /* 2205677 */   GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2205720), // Rule ID 47497 //
     /* 2205682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205685 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2205688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2205702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2205709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205719 */     // GIR_Coverage, 47497,
     /* 2205719 */     GIR_EraseRootFromParent_Done,
     /* 2205720 */   // Label 29031: @2205720
     /* 2205720 */   GIM_Reject,
     /* 2205721 */ // Label 29029: @2205721
     /* 2205721 */ GIM_Reject,
     /* 2205722 */ // Label 28969: @2205722
     /* 2205722 */ GIM_Reject,
     /* 2205723 */ // Label 40: @2205723
     /* 2205723 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29049*/ GIMT_Encode4(2209197),
     /* 2205734 */ /*GILLT_s32*//*Label 29032*/ GIMT_Encode4(2205850),
     /* 2205738 */ /*GILLT_s64*//*Label 29033*/ GIMT_Encode4(2206024), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205750 */ /*GILLT_nxv1s16*//*Label 29034*/ GIMT_Encode4(2206188),
     /* 2205754 */ /*GILLT_nxv1s32*//*Label 29035*/ GIMT_Encode4(2206292),
     /* 2205758 */ /*GILLT_nxv1s64*//*Label 29036*/ GIMT_Encode4(2206509), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205770 */ /*GILLT_nxv2s16*//*Label 29037*/ GIMT_Encode4(2206834),
     /* 2205774 */ /*GILLT_nxv2s32*//*Label 29038*/ GIMT_Encode4(2206938),
     /* 2205778 */ /*GILLT_nxv2s64*//*Label 29039*/ GIMT_Encode4(2207155), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205790 */ /*GILLT_nxv4s16*//*Label 29040*/ GIMT_Encode4(2207480),
     /* 2205794 */ /*GILLT_nxv4s32*//*Label 29041*/ GIMT_Encode4(2207584),
     /* 2205798 */ /*GILLT_nxv4s64*//*Label 29042*/ GIMT_Encode4(2207801), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205810 */ /*GILLT_nxv8s16*//*Label 29043*/ GIMT_Encode4(2208126),
     /* 2205814 */ /*GILLT_nxv8s32*//*Label 29044*/ GIMT_Encode4(2208230),
     /* 2205818 */ /*GILLT_nxv8s64*//*Label 29045*/ GIMT_Encode4(2208447), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205830 */ /*GILLT_nxv16s16*//*Label 29046*/ GIMT_Encode4(2208772),
     /* 2205834 */ /*GILLT_nxv16s32*//*Label 29047*/ GIMT_Encode4(2208876), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205846 */ /*GILLT_nxv32s16*//*Label 29048*/ GIMT_Encode4(2209093),
     /* 2205850 */ // Label 29032: @2205850
     /* 2205850 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2206023),
     /* 2205855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205866 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2205908), // Rule ID 65233 //
     /* 2205871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2205874 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2205874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2205877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205890 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2205893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2205898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2205906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205907 */     // GIR_Coverage, 65233,
     /* 2205907 */     GIR_EraseRootFromParent_Done,
     /* 2205908 */   // Label 29051: @2205908
     /* 2205908 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2205950), // Rule ID 65235 //
     /* 2205913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2205916 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2205916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205932 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2205935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2205940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2205948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205949 */     // GIR_Coverage, 65235,
     /* 2205949 */     GIR_EraseRootFromParent_Done,
     /* 2205950 */   // Label 29052: @2205950
     /* 2205950 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2205992), // Rule ID 65236 //
     /* 2205955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2205958 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2205958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2205961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205974 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2205977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2205982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2205990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205991 */     // GIR_Coverage, 65236,
     /* 2205991 */     GIR_EraseRootFromParent_Done,
     /* 2205992 */   // Label 29053: @2205992
     /* 2205992 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2206007), // Rule ID 65238 //
     /* 2205997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2206000 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2206000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2206005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206006 */     // GIR_Coverage, 65238,
     /* 2206006 */     GIR_Done,
     /* 2206007 */   // Label 29054: @2206007
     /* 2206007 */   GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2206022), // Rule ID 65239 //
     /* 2206012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2206015 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2206015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2206020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206021 */     // GIR_Coverage, 65239,
     /* 2206021 */     GIR_Done,
     /* 2206022 */   // Label 29055: @2206022
     /* 2206022 */   GIM_Reject,
     /* 2206023 */ // Label 29050: @2206023
     /* 2206023 */ GIM_Reject,
     /* 2206024 */ // Label 29033: @2206024
     /* 2206024 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2206055), // Rule ID 65223 //
     /* 2206029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2206032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2206035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206043 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2206043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2206046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206048 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2206050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2206053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206054 */   // GIR_Coverage, 65223,
     /* 2206054 */   GIR_EraseRootFromParent_Done,
     /* 2206055 */ // Label 29056: @2206055
     /* 2206055 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2206108), // Rule ID 65232 //
     /* 2206060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2206063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2206066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206074 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2206074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2206077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2206081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206086 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2206090 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2206093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2206098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2206106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206107 */   // GIR_Coverage, 65232,
     /* 2206107 */   GIR_EraseRootFromParent_Done,
     /* 2206108 */ // Label 29057: @2206108
     /* 2206108 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2206161), // Rule ID 65234 //
     /* 2206113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2206116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2206119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206127 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2206127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2206130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2206134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206139 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2206143 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2206146 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2206151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206153 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2206159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206160 */   // GIR_Coverage, 65234,
     /* 2206160 */   GIR_EraseRootFromParent_Done,
     /* 2206161 */ // Label 29058: @2206161
     /* 2206161 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2206187), // Rule ID 65240 //
     /* 2206166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2206169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2206172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206180 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2206180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2206185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206186 */   // GIR_Coverage, 65240,
     /* 2206186 */   GIR_Done,
     /* 2206187 */ // Label 29059: @2206187
     /* 2206187 */ GIM_Reject,
     /* 2206188 */ // Label 29034: @2206188
     /* 2206188 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2206291),
     /* 2206193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206204 */   GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2206247), // Rule ID 47534 //
     /* 2206209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206212 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2206229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206246 */     // GIR_Coverage, 47534,
     /* 2206246 */     GIR_EraseRootFromParent_Done,
     /* 2206247 */   // Label 29061: @2206247
     /* 2206247 */   GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2206290), // Rule ID 47535 //
     /* 2206252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206255 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2206272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206289 */     // GIR_Coverage, 47535,
     /* 2206289 */     GIR_EraseRootFromParent_Done,
     /* 2206290 */   // Label 29062: @2206290
     /* 2206290 */   GIM_Reject,
     /* 2206291 */ // Label 29060: @2206291
     /* 2206291 */ GIM_Reject,
     /* 2206292 */ // Label 29035: @2206292
     /* 2206292 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2206346), // Rule ID 47546 //
     /* 2206297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206311 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2206328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206345 */   // GIR_Coverage, 47546,
     /* 2206345 */   GIR_EraseRootFromParent_Done,
     /* 2206346 */ // Label 29063: @2206346
     /* 2206346 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2206400), // Rule ID 47547 //
     /* 2206351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206365 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2206382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206399 */   // GIR_Coverage, 47547,
     /* 2206399 */   GIR_EraseRootFromParent_Done,
     /* 2206400 */ // Label 29064: @2206400
     /* 2206400 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2206454), // Rule ID 47600 //
     /* 2206405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206419 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2206436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206453 */   // GIR_Coverage, 47600,
     /* 2206453 */   GIR_EraseRootFromParent_Done,
     /* 2206454 */ // Label 29065: @2206454
     /* 2206454 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2206508), // Rule ID 47601 //
     /* 2206459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206473 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2206490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206507 */   // GIR_Coverage, 47601,
     /* 2206507 */   GIR_EraseRootFromParent_Done,
     /* 2206508 */ // Label 29066: @2206508
     /* 2206508 */ GIM_Reject,
     /* 2206509 */ // Label 29036: @2206509
     /* 2206509 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2206563), // Rule ID 47556 //
     /* 2206514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206528 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2206545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206562 */   // GIR_Coverage, 47556,
     /* 2206562 */   GIR_EraseRootFromParent_Done,
     /* 2206563 */ // Label 29067: @2206563
     /* 2206563 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2206617), // Rule ID 47557 //
     /* 2206568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206582 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2206599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206616 */   // GIR_Coverage, 47557,
     /* 2206616 */   GIR_EraseRootFromParent_Done,
     /* 2206617 */ // Label 29068: @2206617
     /* 2206617 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2206671), // Rule ID 47610 //
     /* 2206622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206636 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2206653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206670 */   // GIR_Coverage, 47610,
     /* 2206670 */   GIR_EraseRootFromParent_Done,
     /* 2206671 */ // Label 29069: @2206671
     /* 2206671 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2206725), // Rule ID 47611 //
     /* 2206676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206690 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2206707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206724 */   // GIR_Coverage, 47611,
     /* 2206724 */   GIR_EraseRootFromParent_Done,
     /* 2206725 */ // Label 29070: @2206725
     /* 2206725 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2206779), // Rule ID 47634 //
     /* 2206730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206744 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2206761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206778 */   // GIR_Coverage, 47634,
     /* 2206778 */   GIR_EraseRootFromParent_Done,
     /* 2206779 */ // Label 29071: @2206779
     /* 2206779 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2206833), // Rule ID 47635 //
     /* 2206784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206798 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2206815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206832 */   // GIR_Coverage, 47635,
     /* 2206832 */   GIR_EraseRootFromParent_Done,
     /* 2206833 */ // Label 29072: @2206833
     /* 2206833 */ GIM_Reject,
     /* 2206834 */ // Label 29037: @2206834
     /* 2206834 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2206937),
     /* 2206839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206850 */   GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2206893), // Rule ID 47536 //
     /* 2206855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206858 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2206875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206892 */     // GIR_Coverage, 47536,
     /* 2206892 */     GIR_EraseRootFromParent_Done,
     /* 2206893 */   // Label 29074: @2206893
     /* 2206893 */   GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2206936), // Rule ID 47537 //
     /* 2206898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206901 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2206918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206935 */     // GIR_Coverage, 47537,
     /* 2206935 */     GIR_EraseRootFromParent_Done,
     /* 2206936 */   // Label 29075: @2206936
     /* 2206936 */   GIM_Reject,
     /* 2206937 */ // Label 29073: @2206937
     /* 2206937 */ GIM_Reject,
     /* 2206938 */ // Label 29038: @2206938
     /* 2206938 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2206992), // Rule ID 47548 //
     /* 2206943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206957 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2206974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206991 */   // GIR_Coverage, 47548,
     /* 2206991 */   GIR_EraseRootFromParent_Done,
     /* 2206992 */ // Label 29076: @2206992
     /* 2206992 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2207046), // Rule ID 47549 //
     /* 2206997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207011 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2207028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207045 */   // GIR_Coverage, 47549,
     /* 2207045 */   GIR_EraseRootFromParent_Done,
     /* 2207046 */ // Label 29077: @2207046
     /* 2207046 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2207100), // Rule ID 47602 //
     /* 2207051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207065 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2207082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207099 */   // GIR_Coverage, 47602,
     /* 2207099 */   GIR_EraseRootFromParent_Done,
     /* 2207100 */ // Label 29078: @2207100
     /* 2207100 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2207154), // Rule ID 47603 //
     /* 2207105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207119 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2207136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207153 */   // GIR_Coverage, 47603,
     /* 2207153 */   GIR_EraseRootFromParent_Done,
     /* 2207154 */ // Label 29079: @2207154
     /* 2207154 */ GIM_Reject,
     /* 2207155 */ // Label 29039: @2207155
     /* 2207155 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2207209), // Rule ID 47558 //
     /* 2207160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207174 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2207191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207208 */   // GIR_Coverage, 47558,
     /* 2207208 */   GIR_EraseRootFromParent_Done,
     /* 2207209 */ // Label 29080: @2207209
     /* 2207209 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2207263), // Rule ID 47559 //
     /* 2207214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207228 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2207245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207262 */   // GIR_Coverage, 47559,
     /* 2207262 */   GIR_EraseRootFromParent_Done,
     /* 2207263 */ // Label 29081: @2207263
     /* 2207263 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2207317), // Rule ID 47612 //
     /* 2207268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207282 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2207299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207316 */   // GIR_Coverage, 47612,
     /* 2207316 */   GIR_EraseRootFromParent_Done,
     /* 2207317 */ // Label 29082: @2207317
     /* 2207317 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2207371), // Rule ID 47613 //
     /* 2207322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207336 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2207353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207370 */   // GIR_Coverage, 47613,
     /* 2207370 */   GIR_EraseRootFromParent_Done,
     /* 2207371 */ // Label 29083: @2207371
     /* 2207371 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2207425), // Rule ID 47636 //
     /* 2207376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207390 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2207407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207424 */   // GIR_Coverage, 47636,
     /* 2207424 */   GIR_EraseRootFromParent_Done,
     /* 2207425 */ // Label 29084: @2207425
     /* 2207425 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2207479), // Rule ID 47637 //
     /* 2207430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207444 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2207461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207478 */   // GIR_Coverage, 47637,
     /* 2207478 */   GIR_EraseRootFromParent_Done,
     /* 2207479 */ // Label 29085: @2207479
     /* 2207479 */ GIM_Reject,
     /* 2207480 */ // Label 29040: @2207480
     /* 2207480 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2207583),
     /* 2207485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207496 */   GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2207539), // Rule ID 47538 //
     /* 2207501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207504 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2207521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207538 */     // GIR_Coverage, 47538,
     /* 2207538 */     GIR_EraseRootFromParent_Done,
     /* 2207539 */   // Label 29087: @2207539
     /* 2207539 */   GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2207582), // Rule ID 47539 //
     /* 2207544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207547 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2207564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207581 */     // GIR_Coverage, 47539,
     /* 2207581 */     GIR_EraseRootFromParent_Done,
     /* 2207582 */   // Label 29088: @2207582
     /* 2207582 */   GIM_Reject,
     /* 2207583 */ // Label 29086: @2207583
     /* 2207583 */ GIM_Reject,
     /* 2207584 */ // Label 29041: @2207584
     /* 2207584 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2207638), // Rule ID 47550 //
     /* 2207589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207603 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2207620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207637 */   // GIR_Coverage, 47550,
     /* 2207637 */   GIR_EraseRootFromParent_Done,
     /* 2207638 */ // Label 29089: @2207638
     /* 2207638 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2207692), // Rule ID 47551 //
     /* 2207643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207657 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2207674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207691 */   // GIR_Coverage, 47551,
     /* 2207691 */   GIR_EraseRootFromParent_Done,
     /* 2207692 */ // Label 29090: @2207692
     /* 2207692 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2207746), // Rule ID 47604 //
     /* 2207697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207711 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2207728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207745 */   // GIR_Coverage, 47604,
     /* 2207745 */   GIR_EraseRootFromParent_Done,
     /* 2207746 */ // Label 29091: @2207746
     /* 2207746 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2207800), // Rule ID 47605 //
     /* 2207751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207765 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2207782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207799 */   // GIR_Coverage, 47605,
     /* 2207799 */   GIR_EraseRootFromParent_Done,
     /* 2207800 */ // Label 29092: @2207800
     /* 2207800 */ GIM_Reject,
     /* 2207801 */ // Label 29042: @2207801
     /* 2207801 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2207855), // Rule ID 47560 //
     /* 2207806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2207812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207820 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2207837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207854 */   // GIR_Coverage, 47560,
     /* 2207854 */   GIR_EraseRootFromParent_Done,
     /* 2207855 */ // Label 29093: @2207855
     /* 2207855 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2207909), // Rule ID 47561 //
     /* 2207860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2207866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207874 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2207891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207908 */   // GIR_Coverage, 47561,
     /* 2207908 */   GIR_EraseRootFromParent_Done,
     /* 2207909 */ // Label 29094: @2207909
     /* 2207909 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2207963), // Rule ID 47614 //
     /* 2207914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207928 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2207945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207962 */   // GIR_Coverage, 47614,
     /* 2207962 */   GIR_EraseRootFromParent_Done,
     /* 2207963 */ // Label 29095: @2207963
     /* 2207963 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2208017), // Rule ID 47615 //
     /* 2207968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207982 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2207999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208016 */   // GIR_Coverage, 47615,
     /* 2208016 */   GIR_EraseRootFromParent_Done,
     /* 2208017 */ // Label 29096: @2208017
     /* 2208017 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2208071), // Rule ID 47638 //
     /* 2208022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208036 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2208053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208070 */   // GIR_Coverage, 47638,
     /* 2208070 */   GIR_EraseRootFromParent_Done,
     /* 2208071 */ // Label 29097: @2208071
     /* 2208071 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2208125), // Rule ID 47639 //
     /* 2208076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208090 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2208107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208124 */   // GIR_Coverage, 47639,
     /* 2208124 */   GIR_EraseRootFromParent_Done,
     /* 2208125 */ // Label 29098: @2208125
     /* 2208125 */ GIM_Reject,
     /* 2208126 */ // Label 29043: @2208126
     /* 2208126 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2208229),
     /* 2208131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208142 */   GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2208185), // Rule ID 47540 //
     /* 2208147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208150 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2208167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208184 */     // GIR_Coverage, 47540,
     /* 2208184 */     GIR_EraseRootFromParent_Done,
     /* 2208185 */   // Label 29100: @2208185
     /* 2208185 */   GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2208228), // Rule ID 47541 //
     /* 2208190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208193 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2208210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208227 */     // GIR_Coverage, 47541,
     /* 2208227 */     GIR_EraseRootFromParent_Done,
     /* 2208228 */   // Label 29101: @2208228
     /* 2208228 */   GIM_Reject,
     /* 2208229 */ // Label 29099: @2208229
     /* 2208229 */ GIM_Reject,
     /* 2208230 */ // Label 29044: @2208230
     /* 2208230 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2208284), // Rule ID 47552 //
     /* 2208235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208249 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2208266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208283 */   // GIR_Coverage, 47552,
     /* 2208283 */   GIR_EraseRootFromParent_Done,
     /* 2208284 */ // Label 29102: @2208284
     /* 2208284 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2208338), // Rule ID 47553 //
     /* 2208289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208303 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2208320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208337 */   // GIR_Coverage, 47553,
     /* 2208337 */   GIR_EraseRootFromParent_Done,
     /* 2208338 */ // Label 29103: @2208338
     /* 2208338 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2208392), // Rule ID 47606 //
     /* 2208343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208357 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2208374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208391 */   // GIR_Coverage, 47606,
     /* 2208391 */   GIR_EraseRootFromParent_Done,
     /* 2208392 */ // Label 29104: @2208392
     /* 2208392 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2208446), // Rule ID 47607 //
     /* 2208397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208411 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208411 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208414 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208418 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2208428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208430 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208433 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208445 */   // GIR_Coverage, 47607,
     /* 2208445 */   GIR_EraseRootFromParent_Done,
     /* 2208446 */ // Label 29105: @2208446
     /* 2208446 */ GIM_Reject,
     /* 2208447 */ // Label 29045: @2208447
     /* 2208447 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2208501), // Rule ID 47562 //
     /* 2208452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2208458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208466 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2208483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208500 */   // GIR_Coverage, 47562,
     /* 2208500 */   GIR_EraseRootFromParent_Done,
     /* 2208501 */ // Label 29106: @2208501
     /* 2208501 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2208555), // Rule ID 47563 //
     /* 2208506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2208512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208520 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2208537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208554 */   // GIR_Coverage, 47563,
     /* 2208554 */   GIR_EraseRootFromParent_Done,
     /* 2208555 */ // Label 29107: @2208555
     /* 2208555 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2208609), // Rule ID 47616 //
     /* 2208560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208574 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2208591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208608 */   // GIR_Coverage, 47616,
     /* 2208608 */   GIR_EraseRootFromParent_Done,
     /* 2208609 */ // Label 29108: @2208609
     /* 2208609 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2208663), // Rule ID 47617 //
     /* 2208614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208628 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208628 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208631 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208635 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2208645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208647 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208662 */   // GIR_Coverage, 47617,
     /* 2208662 */   GIR_EraseRootFromParent_Done,
     /* 2208663 */ // Label 29109: @2208663
     /* 2208663 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2208717), // Rule ID 47640 //
     /* 2208668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208682 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2208699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208716 */   // GIR_Coverage, 47640,
     /* 2208716 */   GIR_EraseRootFromParent_Done,
     /* 2208717 */ // Label 29110: @2208717
     /* 2208717 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2208771), // Rule ID 47641 //
     /* 2208722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208736 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2208753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208770 */   // GIR_Coverage, 47641,
     /* 2208770 */   GIR_EraseRootFromParent_Done,
     /* 2208771 */ // Label 29111: @2208771
     /* 2208771 */ GIM_Reject,
     /* 2208772 */ // Label 29046: @2208772
     /* 2208772 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2208875),
     /* 2208777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2208780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208788 */   GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2208831), // Rule ID 47542 //
     /* 2208793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208796 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2208799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2208813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208830 */     // GIR_Coverage, 47542,
     /* 2208830 */     GIR_EraseRootFromParent_Done,
     /* 2208831 */   // Label 29113: @2208831
     /* 2208831 */   GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2208874), // Rule ID 47543 //
     /* 2208836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208839 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2208842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2208856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208873 */     // GIR_Coverage, 47543,
     /* 2208873 */     GIR_EraseRootFromParent_Done,
     /* 2208874 */   // Label 29114: @2208874
     /* 2208874 */   GIM_Reject,
     /* 2208875 */ // Label 29112: @2208875
     /* 2208875 */ GIM_Reject,
     /* 2208876 */ // Label 29047: @2208876
     /* 2208876 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2208930), // Rule ID 47554 //
     /* 2208881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2208887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208895 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2208912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208929 */   // GIR_Coverage, 47554,
     /* 2208929 */   GIR_EraseRootFromParent_Done,
     /* 2208930 */ // Label 29115: @2208930
     /* 2208930 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2208984), // Rule ID 47555 //
     /* 2208935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2208941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208949 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208961 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2208966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208983 */   // GIR_Coverage, 47555,
     /* 2208983 */   GIR_EraseRootFromParent_Done,
     /* 2208984 */ // Label 29116: @2208984
     /* 2208984 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2209038), // Rule ID 47608 //
     /* 2208989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2208995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209003 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2209006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2209020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209037 */   // GIR_Coverage, 47608,
     /* 2209037 */   GIR_EraseRootFromParent_Done,
     /* 2209038 */ // Label 29117: @2209038
     /* 2209038 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2209092), // Rule ID 47609 //
     /* 2209043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2209049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209057 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2209060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2209074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209076 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209079 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209091 */   // GIR_Coverage, 47609,
     /* 2209091 */   GIR_EraseRootFromParent_Done,
     /* 2209092 */ // Label 29118: @2209092
     /* 2209092 */ GIM_Reject,
     /* 2209093 */ // Label 29048: @2209093
     /* 2209093 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2209196),
     /* 2209098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2209101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209109 */   GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2209152), // Rule ID 47544 //
     /* 2209114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209117 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2209120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2209134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209151 */     // GIR_Coverage, 47544,
     /* 2209151 */     GIR_EraseRootFromParent_Done,
     /* 2209152 */   // Label 29120: @2209152
     /* 2209152 */   GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2209195), // Rule ID 47545 //
     /* 2209157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209160 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2209163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2209177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209194 */     // GIR_Coverage, 47545,
     /* 2209194 */     GIR_EraseRootFromParent_Done,
     /* 2209195 */   // Label 29121: @2209195
     /* 2209195 */   GIM_Reject,
     /* 2209196 */ // Label 29119: @2209196
     /* 2209196 */ GIM_Reject,
     /* 2209197 */ // Label 29049: @2209197
     /* 2209197 */ GIM_Reject,
     /* 2209198 */ // Label 41: @2209198
     /* 2209198 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29124*/ GIMT_Encode4(2210240),
     /* 2209209 */ /*GILLT_s32*//*Label 29122*/ GIMT_Encode4(2209217),
     /* 2209213 */ /*GILLT_s64*//*Label 29123*/ GIMT_Encode4(2209875),
     /* 2209217 */ // Label 29122: @2209217
     /* 2209217 */ GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2209874),
     /* 2209222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2209225 */   GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2209261), // Rule ID 64460 //
     /* 2209230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2209233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209241 */     // MIs[0] Operand 2
     /* 2209241 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209252 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2209252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2209255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209260 */     // GIR_Coverage, 64460,
     /* 2209260 */     GIR_EraseRootFromParent_Done,
     /* 2209261 */   // Label 29126: @2209261
     /* 2209261 */   GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2209297), // Rule ID 64462 //
     /* 2209266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2209269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209277 */     // MIs[0] Operand 2
     /* 2209277 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209288 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2209288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2209291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209296 */     // GIR_Coverage, 64462,
     /* 2209296 */     GIR_EraseRootFromParent_Done,
     /* 2209297 */   // Label 29127: @2209297
     /* 2209297 */   GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2209333), // Rule ID 2515 //
     /* 2209302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2209305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209313 */     // MIs[0] Operand 2
     /* 2209313 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209324 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2209324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2209327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209332 */     // GIR_Coverage, 2515,
     /* 2209332 */     GIR_EraseRootFromParent_Done,
     /* 2209333 */   // Label 29128: @2209333
     /* 2209333 */   GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2209369), // Rule ID 2517 //
     /* 2209338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2209341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209349 */     // MIs[0] Operand 2
     /* 2209349 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209360 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2209360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2209363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209368 */     // GIR_Coverage, 2517,
     /* 2209368 */     GIR_EraseRootFromParent_Done,
     /* 2209369 */   // Label 29129: @2209369
     /* 2209369 */   GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2209411), // Rule ID 62546 //
     /* 2209374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2209377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209385 */     // MIs[0] Operand 2
     /* 2209385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209396 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2209399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2209406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209410 */     // GIR_Coverage, 62546,
     /* 2209410 */     GIR_EraseRootFromParent_Done,
     /* 2209411 */   // Label 29130: @2209411
     /* 2209411 */   GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2209453), // Rule ID 62548 //
     /* 2209416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2209419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209427 */     // MIs[0] Operand 2
     /* 2209427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209438 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2209441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2209448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209452 */     // GIR_Coverage, 62548,
     /* 2209452 */     GIR_EraseRootFromParent_Done,
     /* 2209453 */   // Label 29131: @2209453
     /* 2209453 */   GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2209495), // Rule ID 62550 //
     /* 2209458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2209461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209469 */     // MIs[0] Operand 2
     /* 2209469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2209480 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2209483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209494 */     // GIR_Coverage, 62550,
     /* 2209494 */     GIR_EraseRootFromParent_Done,
     /* 2209495 */   // Label 29132: @2209495
     /* 2209495 */   GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2209537), // Rule ID 64612 //
     /* 2209500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2209503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209511 */     // MIs[0] Operand 2
     /* 2209511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209522 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i64] }, 0:{ *:[i64] })
     /* 2209522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2209532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209536 */     // GIR_Coverage, 64612,
     /* 2209536 */     GIR_EraseRootFromParent_Done,
     /* 2209537 */   // Label 29133: @2209537
     /* 2209537 */   GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2209579), // Rule ID 64613 //
     /* 2209542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2209545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209553 */     // MIs[0] Operand 2
     /* 2209553 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209564 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2209574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209578 */     // GIR_Coverage, 64613,
     /* 2209578 */     GIR_EraseRootFromParent_Done,
     /* 2209579 */   // Label 29134: @2209579
     /* 2209579 */   GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2209621), // Rule ID 64614 //
     /* 2209584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2209587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209595 */     // MIs[0] Operand 2
     /* 2209595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209606 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i64] }, 0:{ *:[i64] })
     /* 2209606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2209616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209620 */     // GIR_Coverage, 64614,
     /* 2209620 */     GIR_EraseRootFromParent_Done,
     /* 2209621 */   // Label 29135: @2209621
     /* 2209621 */   GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2209663), // Rule ID 64615 //
     /* 2209626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2209629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209637 */     // MIs[0] Operand 2
     /* 2209637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209648 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2209658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209662 */     // GIR_Coverage, 64615,
     /* 2209662 */     GIR_EraseRootFromParent_Done,
     /* 2209663 */   // Label 29136: @2209663
     /* 2209663 */   GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2209705), // Rule ID 64616 //
     /* 2209668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2209671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209679 */     // MIs[0] Operand 2
     /* 2209679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2209690 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2209690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2209700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209704 */     // GIR_Coverage, 64616,
     /* 2209704 */     GIR_EraseRootFromParent_Done,
     /* 2209705 */   // Label 29137: @2209705
     /* 2209705 */   GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2209747), // Rule ID 64617 //
     /* 2209710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2209713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2209717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209721 */     // MIs[0] Operand 2
     /* 2209721 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2209732 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2209735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2209742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209746 */     // GIR_Coverage, 64617,
     /* 2209746 */     GIR_EraseRootFromParent_Done,
     /* 2209747 */   // Label 29138: @2209747
     /* 2209747 */   GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2209789), // Rule ID 64978 //
     /* 2209752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2209755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209763 */     // MIs[0] Operand 2
     /* 2209763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209774 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2209777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2209784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209788 */     // GIR_Coverage, 64978,
     /* 2209788 */     GIR_EraseRootFromParent_Done,
     /* 2209789 */   // Label 29139: @2209789
     /* 2209789 */   GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2209831), // Rule ID 64980 //
     /* 2209794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2209797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209805 */     // MIs[0] Operand 2
     /* 2209805 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209816 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2209819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2209826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209830 */     // GIR_Coverage, 64980,
     /* 2209830 */     GIR_EraseRootFromParent_Done,
     /* 2209831 */   // Label 29140: @2209831
     /* 2209831 */   GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2209873), // Rule ID 64982 //
     /* 2209836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2209839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209847 */     // MIs[0] Operand 2
     /* 2209847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2209858 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2209858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2209861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209872 */     // GIR_Coverage, 64982,
     /* 2209872 */     GIR_EraseRootFromParent_Done,
     /* 2209873 */   // Label 29141: @2209873
     /* 2209873 */   GIM_Reject,
     /* 2209874 */ // Label 29125: @2209874
     /* 2209874 */ GIM_Reject,
     /* 2209875 */ // Label 29123: @2209875
     /* 2209875 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2210239),
     /* 2209880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2209883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209891 */   GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2209919), // Rule ID 64459 //
     /* 2209896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2209899 */     // MIs[0] Operand 2
     /* 2209899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2209910 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2209910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2209913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209918 */     // GIR_Coverage, 64459,
     /* 2209918 */     GIR_EraseRootFromParent_Done,
     /* 2209919 */   // Label 29143: @2209919
     /* 2209919 */   GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2209947), // Rule ID 64461 //
     /* 2209924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2209927 */     // MIs[0] Operand 2
     /* 2209927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209938 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2209938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2209941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209946 */     // GIR_Coverage, 64461,
     /* 2209946 */     GIR_EraseRootFromParent_Done,
     /* 2209947 */   // Label 29144: @2209947
     /* 2209947 */   GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2209978), // Rule ID 256 //
     /* 2209952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2209955 */     // MIs[0] Operand 2
     /* 2209955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2209966 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2209966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2209969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2209976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209977 */     // GIR_Coverage, 256,
     /* 2209977 */     GIR_EraseRootFromParent_Done,
     /* 2209978 */   // Label 29145: @2209978
     /* 2209978 */   GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2210006), // Rule ID 2514 //
     /* 2209983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2209986 */     // MIs[0] Operand 2
     /* 2209986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2209997 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2209997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2210000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210005 */     // GIR_Coverage, 2514,
     /* 2210005 */     GIR_EraseRootFromParent_Done,
     /* 2210006 */   // Label 29146: @2210006
     /* 2210006 */   GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2210034), // Rule ID 2516 //
     /* 2210011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2210014 */     // MIs[0] Operand 2
     /* 2210014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2210025 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2210025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2210028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210033 */     // GIR_Coverage, 2516,
     /* 2210033 */     GIR_EraseRootFromParent_Done,
     /* 2210034 */   // Label 29147: @2210034
     /* 2210034 */   GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2210068), // Rule ID 62545 //
     /* 2210039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2210042 */     // MIs[0] Operand 2
     /* 2210042 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2210053 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2210056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2210063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210067 */     // GIR_Coverage, 62545,
     /* 2210067 */     GIR_EraseRootFromParent_Done,
     /* 2210068 */   // Label 29148: @2210068
     /* 2210068 */   GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2210102), // Rule ID 62547 //
     /* 2210073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2210076 */     // MIs[0] Operand 2
     /* 2210076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2210087 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2210090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2210097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210101 */     // GIR_Coverage, 62547,
     /* 2210101 */     GIR_EraseRootFromParent_Done,
     /* 2210102 */   // Label 29149: @2210102
     /* 2210102 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2210136), // Rule ID 62549 //
     /* 2210107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2210110 */     // MIs[0] Operand 2
     /* 2210110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2210121 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2210124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210135 */     // GIR_Coverage, 62549,
     /* 2210135 */     GIR_EraseRootFromParent_Done,
     /* 2210136 */   // Label 29150: @2210136
     /* 2210136 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2210170), // Rule ID 64977 //
     /* 2210141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2210144 */     // MIs[0] Operand 2
     /* 2210144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2210155 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2210158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2210165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210169 */     // GIR_Coverage, 64977,
     /* 2210169 */     GIR_EraseRootFromParent_Done,
     /* 2210170 */   // Label 29151: @2210170
     /* 2210170 */   GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2210204), // Rule ID 64979 //
     /* 2210175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2210178 */     // MIs[0] Operand 2
     /* 2210178 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2210189 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2210192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2210199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210203 */     // GIR_Coverage, 64979,
     /* 2210203 */     GIR_EraseRootFromParent_Done,
     /* 2210204 */   // Label 29152: @2210204
     /* 2210204 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2210238), // Rule ID 64981 //
     /* 2210209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2210212 */     // MIs[0] Operand 2
     /* 2210212 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2210223 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2210226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210237 */     // GIR_Coverage, 64981,
     /* 2210237 */     GIR_EraseRootFromParent_Done,
     /* 2210238 */   // Label 29153: @2210238
     /* 2210238 */   GIM_Reject,
     /* 2210239 */ // Label 29142: @2210239
     /* 2210239 */ GIM_Reject,
     /* 2210240 */ // Label 29124: @2210240
     /* 2210240 */ GIM_Reject,
     /* 2210241 */ // Label 42: @2210241
     /* 2210241 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29171*/ GIMT_Encode4(2213927),
     /* 2210252 */ /*GILLT_s32*//*Label 29154*/ GIMT_Encode4(2210368),
     /* 2210256 */ /*GILLT_s64*//*Label 29155*/ GIMT_Encode4(2210664), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210268 */ /*GILLT_nxv1s16*//*Label 29156*/ GIMT_Encode4(2210918),
     /* 2210272 */ /*GILLT_nxv1s32*//*Label 29157*/ GIMT_Encode4(2211022),
     /* 2210276 */ /*GILLT_nxv1s64*//*Label 29158*/ GIMT_Encode4(2211239), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210288 */ /*GILLT_nxv2s16*//*Label 29159*/ GIMT_Encode4(2211564),
     /* 2210292 */ /*GILLT_nxv2s32*//*Label 29160*/ GIMT_Encode4(2211668),
     /* 2210296 */ /*GILLT_nxv2s64*//*Label 29161*/ GIMT_Encode4(2211885), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210308 */ /*GILLT_nxv4s16*//*Label 29162*/ GIMT_Encode4(2212210),
     /* 2210312 */ /*GILLT_nxv4s32*//*Label 29163*/ GIMT_Encode4(2212314),
     /* 2210316 */ /*GILLT_nxv4s64*//*Label 29164*/ GIMT_Encode4(2212531), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210328 */ /*GILLT_nxv8s16*//*Label 29165*/ GIMT_Encode4(2212856),
     /* 2210332 */ /*GILLT_nxv8s32*//*Label 29166*/ GIMT_Encode4(2212960),
     /* 2210336 */ /*GILLT_nxv8s64*//*Label 29167*/ GIMT_Encode4(2213177), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210348 */ /*GILLT_nxv16s16*//*Label 29168*/ GIMT_Encode4(2213502),
     /* 2210352 */ /*GILLT_nxv16s32*//*Label 29169*/ GIMT_Encode4(2213606), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210364 */ /*GILLT_nxv32s16*//*Label 29170*/ GIMT_Encode4(2213823),
     /* 2210368 */ // Label 29154: @2210368
     /* 2210368 */ GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2210663),
     /* 2210373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210384 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2210426), // Rule ID 65228 //
     /* 2210389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2210392 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2210392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2210395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210408 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2210411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2210424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210425 */     // GIR_Coverage, 65228,
     /* 2210425 */     GIR_EraseRootFromParent_Done,
     /* 2210426 */   // Label 29173: @2210426
     /* 2210426 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2210468), // Rule ID 65230 //
     /* 2210431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2210434 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2210434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2210437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210450 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2210453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2210466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210467 */     // GIR_Coverage, 65230,
     /* 2210467 */     GIR_EraseRootFromParent_Done,
     /* 2210468 */   // Label 29174: @2210468
     /* 2210468 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2210510), // Rule ID 65231 //
     /* 2210473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2210476 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2210476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2210479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210492 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2210495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2210508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210509 */     // GIR_Coverage, 65231,
     /* 2210509 */     GIR_EraseRootFromParent_Done,
     /* 2210510 */   // Label 29175: @2210510
     /* 2210510 */   GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2210525), // Rule ID 65241 //
     /* 2210515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2210518 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2210518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2210523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210524 */     // GIR_Coverage, 65241,
     /* 2210524 */     GIR_Done,
     /* 2210525 */   // Label 29176: @2210525
     /* 2210525 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2210540), // Rule ID 65242 //
     /* 2210530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2210533 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2210533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2210538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210539 */     // GIR_Coverage, 65242,
     /* 2210539 */     GIR_Done,
     /* 2210540 */   // Label 29177: @2210540
     /* 2210540 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2210555), // Rule ID 65244 //
     /* 2210545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2210548 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2210548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2210553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210554 */     // GIR_Coverage, 65244,
     /* 2210554 */     GIR_Done,
     /* 2210555 */   // Label 29178: @2210555
     /* 2210555 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2210570), // Rule ID 65245 //
     /* 2210560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2210563 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2210563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2210568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210569 */     // GIR_Coverage, 65245,
     /* 2210569 */     GIR_Done,
     /* 2210570 */   // Label 29179: @2210570
     /* 2210570 */   GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2210593), // Rule ID 65246 //
     /* 2210575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2210578 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2210578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2210581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2210585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210592 */     // GIR_Coverage, 65246,
     /* 2210592 */     GIR_EraseRootFromParent_Done,
     /* 2210593 */   // Label 29180: @2210593
     /* 2210593 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2210616), // Rule ID 65247 //
     /* 2210598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2210601 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2210601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2210604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2210608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210615 */     // GIR_Coverage, 65247,
     /* 2210615 */     GIR_EraseRootFromParent_Done,
     /* 2210616 */   // Label 29181: @2210616
     /* 2210616 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2210639), // Rule ID 65249 //
     /* 2210621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2210624 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2210624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2210627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2210631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210638 */     // GIR_Coverage, 65249,
     /* 2210638 */     GIR_EraseRootFromParent_Done,
     /* 2210639 */   // Label 29182: @2210639
     /* 2210639 */   GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2210662), // Rule ID 65250 //
     /* 2210644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2210647 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2210647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2210650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2210654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210661 */     // GIR_Coverage, 65250,
     /* 2210661 */     GIR_EraseRootFromParent_Done,
     /* 2210662 */   // Label 29183: @2210662
     /* 2210662 */   GIM_Reject,
     /* 2210663 */ // Label 29172: @2210663
     /* 2210663 */ GIM_Reject,
     /* 2210664 */ // Label 29155: @2210664
     /* 2210664 */ GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2210717), // Rule ID 65226 //
     /* 2210669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2210672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2210675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210683 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2210683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2210686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210695 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210699 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2210702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2210715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210716 */   // GIR_Coverage, 65226,
     /* 2210716 */   GIR_EraseRootFromParent_Done,
     /* 2210717 */ // Label 29184: @2210717
     /* 2210717 */ GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2210770), // Rule ID 65227 //
     /* 2210722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2210725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210736 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2210736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2210739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210748 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210752 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2210755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2210768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210769 */   // GIR_Coverage, 65227,
     /* 2210769 */   GIR_EraseRootFromParent_Done,
     /* 2210770 */ // Label 29185: @2210770
     /* 2210770 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2210823), // Rule ID 65229 //
     /* 2210775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2210778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210789 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2210789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2210792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210801 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210805 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2210808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2210813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2210821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210822 */   // GIR_Coverage, 65229,
     /* 2210822 */   GIR_EraseRootFromParent_Done,
     /* 2210823 */ // Label 29186: @2210823
     /* 2210823 */ GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2210857), // Rule ID 65237 //
     /* 2210828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2210831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2210834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210842 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2210842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2210845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210847 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2210849 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210856 */   // GIR_Coverage, 65237,
     /* 2210856 */   GIR_EraseRootFromParent_Done,
     /* 2210857 */ // Label 29187: @2210857
     /* 2210857 */ GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2210883), // Rule ID 65243 //
     /* 2210862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2210865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210876 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2210876 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2210881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210882 */   // GIR_Coverage, 65243,
     /* 2210882 */   GIR_Done,
     /* 2210883 */ // Label 29188: @2210883
     /* 2210883 */ GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2210917), // Rule ID 65248 //
     /* 2210888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2210891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210902 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2210902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2210905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2210909 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210916 */   // GIR_Coverage, 65248,
     /* 2210916 */   GIR_EraseRootFromParent_Done,
     /* 2210917 */ // Label 29189: @2210917
     /* 2210917 */ GIM_Reject,
     /* 2210918 */ // Label 29156: @2210918
     /* 2210918 */ GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2211021),
     /* 2210923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2210926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210934 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2210977), // Rule ID 45786 //
     /* 2210939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210942 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2210959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210976 */     // GIR_Coverage, 45786,
     /* 2210976 */     GIR_EraseRootFromParent_Done,
     /* 2210977 */   // Label 29191: @2210977
     /* 2210977 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2211020), // Rule ID 45787 //
     /* 2210982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210985 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2211002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211019 */     // GIR_Coverage, 45787,
     /* 2211019 */     GIR_EraseRootFromParent_Done,
     /* 2211020 */   // Label 29192: @2211020
     /* 2211020 */   GIM_Reject,
     /* 2211021 */ // Label 29190: @2211021
     /* 2211021 */ GIM_Reject,
     /* 2211022 */ // Label 29157: @2211022
     /* 2211022 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2211076), // Rule ID 47498 //
     /* 2211027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211041 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2211058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211075 */   // GIR_Coverage, 47498,
     /* 2211075 */   GIR_EraseRootFromParent_Done,
     /* 2211076 */ // Label 29193: @2211076
     /* 2211076 */ GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2211130), // Rule ID 47499 //
     /* 2211081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211095 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2211112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211129 */   // GIR_Coverage, 47499,
     /* 2211129 */   GIR_EraseRootFromParent_Done,
     /* 2211130 */ // Label 29194: @2211130
     /* 2211130 */ GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2211184), // Rule ID 47564 //
     /* 2211135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211149 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2211166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211183 */   // GIR_Coverage, 47564,
     /* 2211183 */   GIR_EraseRootFromParent_Done,
     /* 2211184 */ // Label 29195: @2211184
     /* 2211184 */ GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2211238), // Rule ID 47565 //
     /* 2211189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211203 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211203 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211206 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211210 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2211220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211225 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211237 */   // GIR_Coverage, 47565,
     /* 2211237 */   GIR_EraseRootFromParent_Done,
     /* 2211238 */ // Label 29196: @2211238
     /* 2211238 */ GIM_Reject,
     /* 2211239 */ // Label 29158: @2211239
     /* 2211239 */ GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2211293), // Rule ID 47518 //
     /* 2211244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211258 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2211275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211292 */   // GIR_Coverage, 47518,
     /* 2211292 */   GIR_EraseRootFromParent_Done,
     /* 2211293 */ // Label 29197: @2211293
     /* 2211293 */ GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2211347), // Rule ID 47519 //
     /* 2211298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211312 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2211329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211346 */   // GIR_Coverage, 47519,
     /* 2211346 */   GIR_EraseRootFromParent_Done,
     /* 2211347 */ // Label 29198: @2211347
     /* 2211347 */ GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2211401), // Rule ID 47584 //
     /* 2211352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211366 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2211383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211400 */   // GIR_Coverage, 47584,
     /* 2211400 */   GIR_EraseRootFromParent_Done,
     /* 2211401 */ // Label 29199: @2211401
     /* 2211401 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2211455), // Rule ID 47585 //
     /* 2211406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211420 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2211437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211454 */   // GIR_Coverage, 47585,
     /* 2211454 */   GIR_EraseRootFromParent_Done,
     /* 2211455 */ // Label 29200: @2211455
     /* 2211455 */ GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2211509), // Rule ID 47618 //
     /* 2211460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211474 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2211491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211508 */   // GIR_Coverage, 47618,
     /* 2211508 */   GIR_EraseRootFromParent_Done,
     /* 2211509 */ // Label 29201: @2211509
     /* 2211509 */ GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2211563), // Rule ID 47619 //
     /* 2211514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211528 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2211545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211562 */   // GIR_Coverage, 47619,
     /* 2211562 */   GIR_EraseRootFromParent_Done,
     /* 2211563 */ // Label 29202: @2211563
     /* 2211563 */ GIM_Reject,
     /* 2211564 */ // Label 29159: @2211564
     /* 2211564 */ GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2211667),
     /* 2211569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211580 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2211623), // Rule ID 47478 //
     /* 2211585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211588 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2211605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211622 */     // GIR_Coverage, 47478,
     /* 2211622 */     GIR_EraseRootFromParent_Done,
     /* 2211623 */   // Label 29204: @2211623
     /* 2211623 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2211666), // Rule ID 47479 //
     /* 2211628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211631 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2211648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211665 */     // GIR_Coverage, 47479,
     /* 2211665 */     GIR_EraseRootFromParent_Done,
     /* 2211666 */   // Label 29205: @2211666
     /* 2211666 */   GIM_Reject,
     /* 2211667 */ // Label 29203: @2211667
     /* 2211667 */ GIM_Reject,
     /* 2211668 */ // Label 29160: @2211668
     /* 2211668 */ GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2211722), // Rule ID 47502 //
     /* 2211673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211687 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2211704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211721 */   // GIR_Coverage, 47502,
     /* 2211721 */   GIR_EraseRootFromParent_Done,
     /* 2211722 */ // Label 29206: @2211722
     /* 2211722 */ GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2211776), // Rule ID 47503 //
     /* 2211727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211741 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2211758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211760 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211763 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211775 */   // GIR_Coverage, 47503,
     /* 2211775 */   GIR_EraseRootFromParent_Done,
     /* 2211776 */ // Label 29207: @2211776
     /* 2211776 */ GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2211830), // Rule ID 47568 //
     /* 2211781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211795 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2211812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211829 */   // GIR_Coverage, 47568,
     /* 2211829 */   GIR_EraseRootFromParent_Done,
     /* 2211830 */ // Label 29208: @2211830
     /* 2211830 */ GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2211884), // Rule ID 47569 //
     /* 2211835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211849 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2211866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211883 */   // GIR_Coverage, 47569,
     /* 2211883 */   GIR_EraseRootFromParent_Done,
     /* 2211884 */ // Label 29209: @2211884
     /* 2211884 */ GIM_Reject,
     /* 2211885 */ // Label 29161: @2211885
     /* 2211885 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2211939), // Rule ID 47522 //
     /* 2211890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2211896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211904 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2211907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2211921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211938 */   // GIR_Coverage, 47522,
     /* 2211938 */   GIR_EraseRootFromParent_Done,
     /* 2211939 */ // Label 29210: @2211939
     /* 2211939 */ GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2211993), // Rule ID 47523 //
     /* 2211944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2211950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211958 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211958 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2211961 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211965 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2211975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211980 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211992 */   // GIR_Coverage, 47523,
     /* 2211992 */   GIR_EraseRootFromParent_Done,
     /* 2211993 */ // Label 29211: @2211993
     /* 2211993 */ GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2212047), // Rule ID 47588 //
     /* 2211998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212012 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2212029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212046 */   // GIR_Coverage, 47588,
     /* 2212046 */   GIR_EraseRootFromParent_Done,
     /* 2212047 */ // Label 29212: @2212047
     /* 2212047 */ GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2212101), // Rule ID 47589 //
     /* 2212052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212066 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2212083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212100 */   // GIR_Coverage, 47589,
     /* 2212100 */   GIR_EraseRootFromParent_Done,
     /* 2212101 */ // Label 29213: @2212101
     /* 2212101 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2212155), // Rule ID 47622 //
     /* 2212106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212120 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2212137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212154 */   // GIR_Coverage, 47622,
     /* 2212154 */   GIR_EraseRootFromParent_Done,
     /* 2212155 */ // Label 29214: @2212155
     /* 2212155 */ GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2212209), // Rule ID 47623 //
     /* 2212160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212174 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2212191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212208 */   // GIR_Coverage, 47623,
     /* 2212208 */   GIR_EraseRootFromParent_Done,
     /* 2212209 */ // Label 29215: @2212209
     /* 2212209 */ GIM_Reject,
     /* 2212210 */ // Label 29162: @2212210
     /* 2212210 */ GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2212313),
     /* 2212215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212226 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2212269), // Rule ID 47482 //
     /* 2212231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212234 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2212237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212268 */     // GIR_Coverage, 47482,
     /* 2212268 */     GIR_EraseRootFromParent_Done,
     /* 2212269 */   // Label 29217: @2212269
     /* 2212269 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2212312), // Rule ID 47483 //
     /* 2212274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212277 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2212280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212311 */     // GIR_Coverage, 47483,
     /* 2212311 */     GIR_EraseRootFromParent_Done,
     /* 2212312 */   // Label 29218: @2212312
     /* 2212312 */   GIM_Reject,
     /* 2212313 */ // Label 29216: @2212313
     /* 2212313 */ GIM_Reject,
     /* 2212314 */ // Label 29163: @2212314
     /* 2212314 */ GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2212368), // Rule ID 47506 //
     /* 2212319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212333 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2212350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212367 */   // GIR_Coverage, 47506,
     /* 2212367 */   GIR_EraseRootFromParent_Done,
     /* 2212368 */ // Label 29219: @2212368
     /* 2212368 */ GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2212422), // Rule ID 47507 //
     /* 2212373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212387 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2212404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212421 */   // GIR_Coverage, 47507,
     /* 2212421 */   GIR_EraseRootFromParent_Done,
     /* 2212422 */ // Label 29220: @2212422
     /* 2212422 */ GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2212476), // Rule ID 47572 //
     /* 2212427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212441 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2212458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212475 */   // GIR_Coverage, 47572,
     /* 2212475 */   GIR_EraseRootFromParent_Done,
     /* 2212476 */ // Label 29221: @2212476
     /* 2212476 */ GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2212530), // Rule ID 47573 //
     /* 2212481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212495 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2212512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212529 */   // GIR_Coverage, 47573,
     /* 2212529 */   GIR_EraseRootFromParent_Done,
     /* 2212530 */ // Label 29222: @2212530
     /* 2212530 */ GIM_Reject,
     /* 2212531 */ // Label 29164: @2212531
     /* 2212531 */ GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2212585), // Rule ID 47526 //
     /* 2212536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2212542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212550 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2212567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212572 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212584 */   // GIR_Coverage, 47526,
     /* 2212584 */   GIR_EraseRootFromParent_Done,
     /* 2212585 */ // Label 29223: @2212585
     /* 2212585 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2212639), // Rule ID 47527 //
     /* 2212590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2212596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212604 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2212621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212626 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212638 */   // GIR_Coverage, 47527,
     /* 2212638 */   GIR_EraseRootFromParent_Done,
     /* 2212639 */ // Label 29224: @2212639
     /* 2212639 */ GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2212693), // Rule ID 47592 //
     /* 2212644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212658 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2212675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212692 */   // GIR_Coverage, 47592,
     /* 2212692 */   GIR_EraseRootFromParent_Done,
     /* 2212693 */ // Label 29225: @2212693
     /* 2212693 */ GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2212747), // Rule ID 47593 //
     /* 2212698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212712 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2212729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212746 */   // GIR_Coverage, 47593,
     /* 2212746 */   GIR_EraseRootFromParent_Done,
     /* 2212747 */ // Label 29226: @2212747
     /* 2212747 */ GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2212801), // Rule ID 47626 //
     /* 2212752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212766 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2212783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212800 */   // GIR_Coverage, 47626,
     /* 2212800 */   GIR_EraseRootFromParent_Done,
     /* 2212801 */ // Label 29227: @2212801
     /* 2212801 */ GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2212855), // Rule ID 47627 //
     /* 2212806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212820 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2212837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212854 */   // GIR_Coverage, 47627,
     /* 2212854 */   GIR_EraseRootFromParent_Done,
     /* 2212855 */ // Label 29228: @2212855
     /* 2212855 */ GIM_Reject,
     /* 2212856 */ // Label 29165: @2212856
     /* 2212856 */ GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2212959),
     /* 2212861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2212864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212872 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2212915), // Rule ID 47486 //
     /* 2212877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212880 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2212883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2212897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212914 */     // GIR_Coverage, 47486,
     /* 2212914 */     GIR_EraseRootFromParent_Done,
     /* 2212915 */   // Label 29230: @2212915
     /* 2212915 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2212958), // Rule ID 47487 //
     /* 2212920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212923 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2212926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2212940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212957 */     // GIR_Coverage, 47487,
     /* 2212957 */     GIR_EraseRootFromParent_Done,
     /* 2212958 */   // Label 29231: @2212958
     /* 2212958 */   GIM_Reject,
     /* 2212959 */ // Label 29229: @2212959
     /* 2212959 */ GIM_Reject,
     /* 2212960 */ // Label 29166: @2212960
     /* 2212960 */ GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2213014), // Rule ID 47510 //
     /* 2212965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2212971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212979 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2212982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2212996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213013 */   // GIR_Coverage, 47510,
     /* 2213013 */   GIR_EraseRootFromParent_Done,
     /* 2213014 */ // Label 29232: @2213014
     /* 2213014 */ GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2213068), // Rule ID 47511 //
     /* 2213019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213033 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2213050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213067 */   // GIR_Coverage, 47511,
     /* 2213067 */   GIR_EraseRootFromParent_Done,
     /* 2213068 */ // Label 29233: @2213068
     /* 2213068 */ GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2213122), // Rule ID 47576 //
     /* 2213073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213087 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2213104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213121 */   // GIR_Coverage, 47576,
     /* 2213121 */   GIR_EraseRootFromParent_Done,
     /* 2213122 */ // Label 29234: @2213122
     /* 2213122 */ GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2213176), // Rule ID 47577 //
     /* 2213127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213141 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2213158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213175 */   // GIR_Coverage, 47577,
     /* 2213175 */   GIR_EraseRootFromParent_Done,
     /* 2213176 */ // Label 29235: @2213176
     /* 2213176 */ GIM_Reject,
     /* 2213177 */ // Label 29167: @2213177
     /* 2213177 */ GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2213231), // Rule ID 47530 //
     /* 2213182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2213188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213196 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213230 */   // GIR_Coverage, 47530,
     /* 2213230 */   GIR_EraseRootFromParent_Done,
     /* 2213231 */ // Label 29236: @2213231
     /* 2213231 */ GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2213285), // Rule ID 47531 //
     /* 2213236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2213242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213250 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213284 */   // GIR_Coverage, 47531,
     /* 2213284 */   GIR_EraseRootFromParent_Done,
     /* 2213285 */ // Label 29237: @2213285
     /* 2213285 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2213339), // Rule ID 47596 //
     /* 2213290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213304 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2213321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213338 */   // GIR_Coverage, 47596,
     /* 2213338 */   GIR_EraseRootFromParent_Done,
     /* 2213339 */ // Label 29238: @2213339
     /* 2213339 */ GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2213393), // Rule ID 47597 //
     /* 2213344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213358 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2213375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213392 */   // GIR_Coverage, 47597,
     /* 2213392 */   GIR_EraseRootFromParent_Done,
     /* 2213393 */ // Label 29239: @2213393
     /* 2213393 */ GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2213447), // Rule ID 47630 //
     /* 2213398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213412 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2213429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213446 */   // GIR_Coverage, 47630,
     /* 2213446 */   GIR_EraseRootFromParent_Done,
     /* 2213447 */ // Label 29240: @2213447
     /* 2213447 */ GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2213501), // Rule ID 47631 //
     /* 2213452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213466 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2213483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213500 */   // GIR_Coverage, 47631,
     /* 2213500 */   GIR_EraseRootFromParent_Done,
     /* 2213501 */ // Label 29241: @2213501
     /* 2213501 */ GIM_Reject,
     /* 2213502 */ // Label 29168: @2213502
     /* 2213502 */ GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2213605),
     /* 2213507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2213510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213518 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2213561), // Rule ID 47490 //
     /* 2213523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213526 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2213529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2213543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213560 */     // GIR_Coverage, 47490,
     /* 2213560 */     GIR_EraseRootFromParent_Done,
     /* 2213561 */   // Label 29243: @2213561
     /* 2213561 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2213604), // Rule ID 47491 //
     /* 2213566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213569 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2213572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2213586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213603 */     // GIR_Coverage, 47491,
     /* 2213603 */     GIR_EraseRootFromParent_Done,
     /* 2213604 */   // Label 29244: @2213604
     /* 2213604 */   GIM_Reject,
     /* 2213605 */ // Label 29242: @2213605
     /* 2213605 */ GIM_Reject,
     /* 2213606 */ // Label 29169: @2213606
     /* 2213606 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2213660), // Rule ID 47514 //
     /* 2213611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2213617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213625 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2213628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213659 */   // GIR_Coverage, 47514,
     /* 2213659 */   GIR_EraseRootFromParent_Done,
     /* 2213660 */ // Label 29245: @2213660
     /* 2213660 */ GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2213714), // Rule ID 47515 //
     /* 2213665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2213671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213679 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2213682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213713 */   // GIR_Coverage, 47515,
     /* 2213713 */   GIR_EraseRootFromParent_Done,
     /* 2213714 */ // Label 29246: @2213714
     /* 2213714 */ GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2213768), // Rule ID 47580 //
     /* 2213719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2213725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213733 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2213736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2213750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213767 */   // GIR_Coverage, 47580,
     /* 2213767 */   GIR_EraseRootFromParent_Done,
     /* 2213768 */ // Label 29247: @2213768
     /* 2213768 */ GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2213822), // Rule ID 47581 //
     /* 2213773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2213779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213787 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2213790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2213804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213821 */   // GIR_Coverage, 47581,
     /* 2213821 */   GIR_EraseRootFromParent_Done,
     /* 2213822 */ // Label 29248: @2213822
     /* 2213822 */ GIM_Reject,
     /* 2213823 */ // Label 29170: @2213823
     /* 2213823 */ GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2213926),
     /* 2213828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213839 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2213882), // Rule ID 47494 //
     /* 2213844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213847 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213881 */     // GIR_Coverage, 47494,
     /* 2213881 */     GIR_EraseRootFromParent_Done,
     /* 2213882 */   // Label 29250: @2213882
     /* 2213882 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2213925), // Rule ID 47495 //
     /* 2213887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213890 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2213907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213924 */     // GIR_Coverage, 47495,
     /* 2213924 */     GIR_EraseRootFromParent_Done,
     /* 2213925 */   // Label 29251: @2213925
     /* 2213925 */   GIM_Reject,
     /* 2213926 */ // Label 29249: @2213926
     /* 2213926 */ GIM_Reject,
     /* 2213927 */ // Label 29171: @2213927
     /* 2213927 */ GIM_Reject,
     /* 2213928 */ // Label 43: @2213928
     /* 2213928 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29276*/ GIMT_Encode4(2222523),
     /* 2213939 */ /*GILLT_s32*//*Label 29252*/ GIMT_Encode4(2214063),
     /* 2213943 */ /*GILLT_s64*//*Label 29253*/ GIMT_Encode4(2214188), GIMT_Encode4(0),
     /* 2213951 */ /*GILLT_nxv1s8*//*Label 29254*/ GIMT_Encode4(2214533),
     /* 2213955 */ /*GILLT_nxv1s16*//*Label 29255*/ GIMT_Encode4(2214648),
     /* 2213959 */ /*GILLT_nxv1s32*//*Label 29256*/ GIMT_Encode4(2215127),
     /* 2213963 */ /*GILLT_nxv1s64*//*Label 29257*/ GIMT_Encode4(2215606), GIMT_Encode4(0),
     /* 2213971 */ /*GILLT_nxv2s8*//*Label 29258*/ GIMT_Encode4(2216085),
     /* 2213975 */ /*GILLT_nxv2s16*//*Label 29259*/ GIMT_Encode4(2216200),
     /* 2213979 */ /*GILLT_nxv2s32*//*Label 29260*/ GIMT_Encode4(2216679),
     /* 2213983 */ /*GILLT_nxv2s64*//*Label 29261*/ GIMT_Encode4(2217158), GIMT_Encode4(0),
     /* 2213991 */ /*GILLT_nxv4s8*//*Label 29262*/ GIMT_Encode4(2217637),
     /* 2213995 */ /*GILLT_nxv4s16*//*Label 29263*/ GIMT_Encode4(2217752),
     /* 2213999 */ /*GILLT_nxv4s32*//*Label 29264*/ GIMT_Encode4(2218231),
     /* 2214003 */ /*GILLT_nxv4s64*//*Label 29265*/ GIMT_Encode4(2218710), GIMT_Encode4(0),
     /* 2214011 */ /*GILLT_nxv8s8*//*Label 29266*/ GIMT_Encode4(2219189),
     /* 2214015 */ /*GILLT_nxv8s16*//*Label 29267*/ GIMT_Encode4(2219304),
     /* 2214019 */ /*GILLT_nxv8s32*//*Label 29268*/ GIMT_Encode4(2219783),
     /* 2214023 */ /*GILLT_nxv8s64*//*Label 29269*/ GIMT_Encode4(2220262), GIMT_Encode4(0),
     /* 2214031 */ /*GILLT_nxv16s8*//*Label 29270*/ GIMT_Encode4(2220741),
     /* 2214035 */ /*GILLT_nxv16s16*//*Label 29271*/ GIMT_Encode4(2220856),
     /* 2214039 */ /*GILLT_nxv16s32*//*Label 29272*/ GIMT_Encode4(2221335), GIMT_Encode4(0),
     /* 2214047 */ /*GILLT_nxv32s8*//*Label 29273*/ GIMT_Encode4(2221814),
     /* 2214051 */ /*GILLT_nxv32s16*//*Label 29274*/ GIMT_Encode4(2221929), GIMT_Encode4(0),
     /* 2214059 */ /*GILLT_nxv64s8*//*Label 29275*/ GIMT_Encode4(2222408),
     /* 2214063 */ // Label 29252: @2214063
     /* 2214063 */ GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2214187),
     /* 2214068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2214071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2214074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214078 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2214115), // Rule ID 2471 //
     /* 2214083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2214086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2214090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2214097 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2214097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2214100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214114 */     // GIR_Coverage, 2471,
     /* 2214114 */     GIR_EraseRootFromParent_Done,
     /* 2214115 */   // Label 29278: @2214115
     /* 2214115 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2214153), // Rule ID 91 //
     /* 2214120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2214123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2214131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2214135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2214139 */     // MIs[1] Operand 1
     /* 2214139 */     // No operand predicates
     /* 2214139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2214141 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2214141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2214144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2214151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214152 */     // GIR_Coverage, 91,
     /* 2214152 */     GIR_EraseRootFromParent_Done,
     /* 2214153 */   // Label 29279: @2214153
     /* 2214153 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2214186), // Rule ID 105 //
     /* 2214158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2214161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2214172 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2214172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2214175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214185 */     // GIR_Coverage, 105,
     /* 2214185 */     GIR_EraseRootFromParent_Done,
     /* 2214186 */   // Label 29280: @2214186
     /* 2214186 */   GIM_Reject,
     /* 2214187 */ // Label 29277: @2214187
     /* 2214187 */ GIM_Reject,
     /* 2214188 */ // Label 29253: @2214188
     /* 2214188 */ GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2214532),
     /* 2214193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2214196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2214199 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2214293), // Rule ID 253 //
     /* 2214204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2214207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2214219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2214223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2214227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214232 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2214243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2214251 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2214255 */     // MIs[2] Operand 1
     /* 2214255 */     // No operand predicates
     /* 2214255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214257 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2214257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2214260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2214264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2214273 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2214276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2214281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214286 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2214291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214292 */     // GIR_Coverage, 253,
     /* 2214292 */     GIR_EraseRootFromParent_Done,
     /* 2214293 */   // Label 29282: @2214293
     /* 2214293 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2214365), // Rule ID 2609 //
     /* 2214298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2214301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2214313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2214317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2214321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214326 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2214337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2214345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2214349 */     // MIs[2] Operand 1
     /* 2214349 */     // No operand predicates
     /* 2214349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214351 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2214351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2214354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2214360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2214363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214364 */     // GIR_Coverage, 2609,
     /* 2214364 */     GIR_EraseRootFromParent_Done,
     /* 2214365 */   // Label 29283: @2214365
     /* 2214365 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2214406), // Rule ID 2470 //
     /* 2214370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2214373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2214381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2214388 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2214388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2214391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214405 */     // GIR_Coverage, 2470,
     /* 2214405 */     GIR_EraseRootFromParent_Done,
     /* 2214406 */   // Label 29284: @2214406
     /* 2214406 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2214452), // Rule ID 268 //
     /* 2214411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2214414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2214426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2214430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2214434 */     // MIs[1] Operand 1
     /* 2214434 */     // No operand predicates
     /* 2214434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9941),
     /* 2214438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2214440 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_9941>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2214440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2214443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2214450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214451 */     // GIR_Coverage, 268,
     /* 2214451 */     GIR_EraseRootFromParent_Done,
     /* 2214452 */   // Label 29285: @2214452
     /* 2214452 */   GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2214494), // Rule ID 90 //
     /* 2214457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2214460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2214472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2214476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2214480 */     // MIs[1] Operand 1
     /* 2214480 */     // No operand predicates
     /* 2214480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2214482 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2214482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2214485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2214492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214493 */     // GIR_Coverage, 90,
     /* 2214493 */     GIR_EraseRootFromParent_Done,
     /* 2214494 */   // Label 29286: @2214494
     /* 2214494 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2214531), // Rule ID 104 //
     /* 2214499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2214502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2214517 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2214517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2214520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214530 */     // GIR_Coverage, 104,
     /* 2214530 */     GIR_EraseRootFromParent_Done,
     /* 2214531 */   // Label 29287: @2214531
     /* 2214531 */   GIM_Reject,
     /* 2214532 */ // Label 29281: @2214532
     /* 2214532 */ GIM_Reject,
     /* 2214533 */ // Label 29254: @2214533
     /* 2214533 */ GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2214647),
     /* 2214538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2214544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214556 */   GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2214601), // Rule ID 48038 //
     /* 2214561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214564 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2214581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214600 */     // GIR_Coverage, 48038,
     /* 2214600 */     GIR_EraseRootFromParent_Done,
     /* 2214601 */   // Label 29289: @2214601
     /* 2214601 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2214646), // Rule ID 48039 //
     /* 2214606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214609 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2214626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214645 */     // GIR_Coverage, 48039,
     /* 2214645 */     GIR_EraseRootFromParent_Done,
     /* 2214646 */   // Label 29290: @2214646
     /* 2214646 */   GIM_Reject,
     /* 2214647 */ // Label 29288: @2214647
     /* 2214647 */ GIM_Reject,
     /* 2214648 */ // Label 29255: @2214648
     /* 2214648 */ GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2215126),
     /* 2214653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2214656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2214659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214663 */   GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2214752), // Rule ID 59526 //
     /* 2214668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2214671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214683 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2214698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214702 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214711 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2214728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214751 */     // GIR_Coverage, 59526,
     /* 2214751 */     GIR_EraseRootFromParent_Done,
     /* 2214752 */   // Label 29292: @2214752
     /* 2214752 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2214841), // Rule ID 59527 //
     /* 2214757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2214760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214772 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2214787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214791 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214800 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2214817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214840 */     // GIR_Coverage, 59527,
     /* 2214840 */     GIR_EraseRootFromParent_Done,
     /* 2214841 */   // Label 29293: @2214841
     /* 2214841 */   GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2214930), // Rule ID 59528 //
     /* 2214846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2214849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214861 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214880 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214889 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2214906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214929 */     // GIR_Coverage, 59528,
     /* 2214929 */     GIR_EraseRootFromParent_Done,
     /* 2214930 */   // Label 29294: @2214930
     /* 2214930 */   GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2215019), // Rule ID 59529 //
     /* 2214935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2214938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214950 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214969 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214978 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2214995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215018 */     // GIR_Coverage, 59529,
     /* 2215018 */     GIR_EraseRootFromParent_Done,
     /* 2215019 */   // Label 29295: @2215019
     /* 2215019 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2215072), // Rule ID 48050 //
     /* 2215024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215035 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2215052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215071 */     // GIR_Coverage, 48050,
     /* 2215071 */     GIR_EraseRootFromParent_Done,
     /* 2215072 */   // Label 29296: @2215072
     /* 2215072 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2215125), // Rule ID 48051 //
     /* 2215077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215088 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2215105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215124 */     // GIR_Coverage, 48051,
     /* 2215124 */     GIR_EraseRootFromParent_Done,
     /* 2215125 */   // Label 29297: @2215125
     /* 2215125 */   GIM_Reject,
     /* 2215126 */ // Label 29291: @2215126
     /* 2215126 */ GIM_Reject,
     /* 2215127 */ // Label 29256: @2215127
     /* 2215127 */ GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2215605),
     /* 2215132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2215138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215142 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2215231), // Rule ID 59574 //
     /* 2215147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2215150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215162 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215181 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215190 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2215207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215230 */     // GIR_Coverage, 59574,
     /* 2215230 */     GIR_EraseRootFromParent_Done,
     /* 2215231 */   // Label 29299: @2215231
     /* 2215231 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2215320), // Rule ID 59575 //
     /* 2215236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2215239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215251 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215270 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215279 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2215296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215319 */     // GIR_Coverage, 59575,
     /* 2215319 */     GIR_EraseRootFromParent_Done,
     /* 2215320 */   // Label 29300: @2215320
     /* 2215320 */   GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2215409), // Rule ID 59576 //
     /* 2215325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2215328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215340 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215359 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215368 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2215385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215408 */     // GIR_Coverage, 59576,
     /* 2215408 */     GIR_EraseRootFromParent_Done,
     /* 2215409 */   // Label 29301: @2215409
     /* 2215409 */   GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2215498), // Rule ID 59577 //
     /* 2215414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2215417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215429 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215448 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215457 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2215474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215497 */     // GIR_Coverage, 59577,
     /* 2215497 */     GIR_EraseRootFromParent_Done,
     /* 2215498 */   // Label 29302: @2215498
     /* 2215498 */   GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2215551), // Rule ID 48058 //
     /* 2215503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215514 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2215531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215550 */     // GIR_Coverage, 48058,
     /* 2215550 */     GIR_EraseRootFromParent_Done,
     /* 2215551 */   // Label 29303: @2215551
     /* 2215551 */   GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2215604), // Rule ID 48059 //
     /* 2215556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215567 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2215584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215603 */     // GIR_Coverage, 48059,
     /* 2215603 */     GIR_EraseRootFromParent_Done,
     /* 2215604 */   // Label 29304: @2215604
     /* 2215604 */   GIM_Reject,
     /* 2215605 */ // Label 29298: @2215605
     /* 2215605 */ GIM_Reject,
     /* 2215606 */ // Label 29257: @2215606
     /* 2215606 */ GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2216084),
     /* 2215611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2215614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2215617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215621 */   GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2215710), // Rule ID 59614 //
     /* 2215626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215641 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215660 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215669 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2215686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215709 */     // GIR_Coverage, 59614,
     /* 2215709 */     GIR_EraseRootFromParent_Done,
     /* 2215710 */   // Label 29306: @2215710
     /* 2215710 */   GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2215799), // Rule ID 59615 //
     /* 2215715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215730 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215749 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215758 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2215775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215798 */     // GIR_Coverage, 59615,
     /* 2215798 */     GIR_EraseRootFromParent_Done,
     /* 2215799 */   // Label 29307: @2215799
     /* 2215799 */   GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2215888), // Rule ID 59616 //
     /* 2215804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215819 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215838 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215847 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2215864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215887 */     // GIR_Coverage, 59616,
     /* 2215887 */     GIR_EraseRootFromParent_Done,
     /* 2215888 */   // Label 29308: @2215888
     /* 2215888 */   GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2215977), // Rule ID 59617 //
     /* 2215893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215908 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215927 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215936 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2215953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215976 */     // GIR_Coverage, 59617,
     /* 2215976 */     GIR_EraseRootFromParent_Done,
     /* 2215977 */   // Label 29309: @2215977
     /* 2215977 */   GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2216030), // Rule ID 48074 //
     /* 2215982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215993 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2216010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216029 */     // GIR_Coverage, 48074,
     /* 2216029 */     GIR_EraseRootFromParent_Done,
     /* 2216030 */   // Label 29310: @2216030
     /* 2216030 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2216083), // Rule ID 48075 //
     /* 2216035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216046 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2216063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216082 */     // GIR_Coverage, 48075,
     /* 2216082 */     GIR_EraseRootFromParent_Done,
     /* 2216083 */   // Label 29311: @2216083
     /* 2216083 */   GIM_Reject,
     /* 2216084 */ // Label 29305: @2216084
     /* 2216084 */ GIM_Reject,
     /* 2216085 */ // Label 29258: @2216085
     /* 2216085 */ GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2216199),
     /* 2216090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2216096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216108 */   GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2216153), // Rule ID 48042 //
     /* 2216113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216116 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2216119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2216133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216152 */     // GIR_Coverage, 48042,
     /* 2216152 */     GIR_EraseRootFromParent_Done,
     /* 2216153 */   // Label 29313: @2216153
     /* 2216153 */   GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2216198), // Rule ID 48043 //
     /* 2216158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216161 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2216164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2216178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216197 */     // GIR_Coverage, 48043,
     /* 2216197 */     GIR_EraseRootFromParent_Done,
     /* 2216198 */   // Label 29314: @2216198
     /* 2216198 */   GIM_Reject,
     /* 2216199 */ // Label 29312: @2216199
     /* 2216199 */ GIM_Reject,
     /* 2216200 */ // Label 29259: @2216200
     /* 2216200 */ GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2216678),
     /* 2216205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2216211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216215 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2216304), // Rule ID 59534 //
     /* 2216220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216235 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216254 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216263 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2216280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216303 */     // GIR_Coverage, 59534,
     /* 2216303 */     GIR_EraseRootFromParent_Done,
     /* 2216304 */   // Label 29316: @2216304
     /* 2216304 */   GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2216393), // Rule ID 59535 //
     /* 2216309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216324 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216343 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216352 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2216369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216392 */     // GIR_Coverage, 59535,
     /* 2216392 */     GIR_EraseRootFromParent_Done,
     /* 2216393 */   // Label 29317: @2216393
     /* 2216393 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2216482), // Rule ID 59536 //
     /* 2216398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216413 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216432 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216441 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2216458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216481 */     // GIR_Coverage, 59536,
     /* 2216481 */     GIR_EraseRootFromParent_Done,
     /* 2216482 */   // Label 29318: @2216482
     /* 2216482 */   GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2216571), // Rule ID 59537 //
     /* 2216487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216502 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216521 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216530 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2216547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216570 */     // GIR_Coverage, 59537,
     /* 2216570 */     GIR_EraseRootFromParent_Done,
     /* 2216571 */   // Label 29319: @2216571
     /* 2216571 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2216624), // Rule ID 48054 //
     /* 2216576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216587 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2216604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216623 */     // GIR_Coverage, 48054,
     /* 2216623 */     GIR_EraseRootFromParent_Done,
     /* 2216624 */   // Label 29320: @2216624
     /* 2216624 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2216677), // Rule ID 48055 //
     /* 2216629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216640 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2216657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216676 */     // GIR_Coverage, 48055,
     /* 2216676 */     GIR_EraseRootFromParent_Done,
     /* 2216677 */   // Label 29321: @2216677
     /* 2216677 */   GIM_Reject,
     /* 2216678 */ // Label 29315: @2216678
     /* 2216678 */ GIM_Reject,
     /* 2216679 */ // Label 29260: @2216679
     /* 2216679 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2217157),
     /* 2216684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2216687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2216690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216694 */   GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2216783), // Rule ID 59582 //
     /* 2216699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216714 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216733 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216742 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2216759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216782 */     // GIR_Coverage, 59582,
     /* 2216782 */     GIR_EraseRootFromParent_Done,
     /* 2216783 */   // Label 29323: @2216783
     /* 2216783 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2216872), // Rule ID 59583 //
     /* 2216788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216803 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216822 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216831 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2216848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216871 */     // GIR_Coverage, 59583,
     /* 2216871 */     GIR_EraseRootFromParent_Done,
     /* 2216872 */   // Label 29324: @2216872
     /* 2216872 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2216961), // Rule ID 59584 //
     /* 2216877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216892 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216911 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216920 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2216937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216960 */     // GIR_Coverage, 59584,
     /* 2216960 */     GIR_EraseRootFromParent_Done,
     /* 2216961 */   // Label 29325: @2216961
     /* 2216961 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2217050), // Rule ID 59585 //
     /* 2216966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216981 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217000 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217009 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2217026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217049 */     // GIR_Coverage, 59585,
     /* 2217049 */     GIR_EraseRootFromParent_Done,
     /* 2217050 */   // Label 29326: @2217050
     /* 2217050 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2217103), // Rule ID 48070 //
     /* 2217055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217066 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2217083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217102 */     // GIR_Coverage, 48070,
     /* 2217102 */     GIR_EraseRootFromParent_Done,
     /* 2217103 */   // Label 29327: @2217103
     /* 2217103 */   GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2217156), // Rule ID 48071 //
     /* 2217108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217119 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2217136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217155 */     // GIR_Coverage, 48071,
     /* 2217155 */     GIR_EraseRootFromParent_Done,
     /* 2217156 */   // Label 29328: @2217156
     /* 2217156 */   GIM_Reject,
     /* 2217157 */ // Label 29322: @2217157
     /* 2217157 */ GIM_Reject,
     /* 2217158 */ // Label 29261: @2217158
     /* 2217158 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2217636),
     /* 2217163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217173 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2217262), // Rule ID 59622 //
     /* 2217178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217193 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217212 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217221 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2217238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217261 */     // GIR_Coverage, 59622,
     /* 2217261 */     GIR_EraseRootFromParent_Done,
     /* 2217262 */   // Label 29330: @2217262
     /* 2217262 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2217351), // Rule ID 59623 //
     /* 2217267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217282 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217301 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217310 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2217327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217350 */     // GIR_Coverage, 59623,
     /* 2217350 */     GIR_EraseRootFromParent_Done,
     /* 2217351 */   // Label 29331: @2217351
     /* 2217351 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2217440), // Rule ID 59624 //
     /* 2217356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217371 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217390 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217399 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2217416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217439 */     // GIR_Coverage, 59624,
     /* 2217439 */     GIR_EraseRootFromParent_Done,
     /* 2217440 */   // Label 29332: @2217440
     /* 2217440 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2217529), // Rule ID 59625 //
     /* 2217445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217460 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217479 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217488 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2217505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217528 */     // GIR_Coverage, 59625,
     /* 2217528 */     GIR_EraseRootFromParent_Done,
     /* 2217529 */   // Label 29333: @2217529
     /* 2217529 */   GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2217582), // Rule ID 48114 //
     /* 2217534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217545 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2217562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217581 */     // GIR_Coverage, 48114,
     /* 2217581 */     GIR_EraseRootFromParent_Done,
     /* 2217582 */   // Label 29334: @2217582
     /* 2217582 */   GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2217635), // Rule ID 48115 //
     /* 2217587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217598 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2217615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217634 */     // GIR_Coverage, 48115,
     /* 2217634 */     GIR_EraseRootFromParent_Done,
     /* 2217635 */   // Label 29335: @2217635
     /* 2217635 */   GIM_Reject,
     /* 2217636 */ // Label 29329: @2217636
     /* 2217636 */ GIM_Reject,
     /* 2217637 */ // Label 29262: @2217637
     /* 2217637 */ GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2217751),
     /* 2217642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217660 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2217705), // Rule ID 48046 //
     /* 2217665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217668 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2217685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217704 */     // GIR_Coverage, 48046,
     /* 2217704 */     GIR_EraseRootFromParent_Done,
     /* 2217705 */   // Label 29337: @2217705
     /* 2217705 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2217750), // Rule ID 48047 //
     /* 2217710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217713 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2217730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217749 */     // GIR_Coverage, 48047,
     /* 2217749 */     GIR_EraseRootFromParent_Done,
     /* 2217750 */   // Label 29338: @2217750
     /* 2217750 */   GIM_Reject,
     /* 2217751 */ // Label 29336: @2217751
     /* 2217751 */ GIM_Reject,
     /* 2217752 */ // Label 29263: @2217752
     /* 2217752 */ GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2218230),
     /* 2217757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217767 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2217856), // Rule ID 59542 //
     /* 2217772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2217775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217787 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217806 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217815 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2217832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217855 */     // GIR_Coverage, 59542,
     /* 2217855 */     GIR_EraseRootFromParent_Done,
     /* 2217856 */   // Label 29340: @2217856
     /* 2217856 */   GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2217945), // Rule ID 59543 //
     /* 2217861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2217864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217876 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217895 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217904 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2217921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217944 */     // GIR_Coverage, 59543,
     /* 2217944 */     GIR_EraseRootFromParent_Done,
     /* 2217945 */   // Label 29341: @2217945
     /* 2217945 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2218034), // Rule ID 59544 //
     /* 2217950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2217953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217965 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217984 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217993 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2218010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218033 */     // GIR_Coverage, 59544,
     /* 2218033 */     GIR_EraseRootFromParent_Done,
     /* 2218034 */   // Label 29342: @2218034
     /* 2218034 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2218123), // Rule ID 59545 //
     /* 2218039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2218042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2218054 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2218073 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218082 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2218099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218122 */     // GIR_Coverage, 59545,
     /* 2218122 */     GIR_EraseRootFromParent_Done,
     /* 2218123 */   // Label 29343: @2218123
     /* 2218123 */   GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2218176), // Rule ID 48066 //
     /* 2218128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218139 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2218156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218175 */     // GIR_Coverage, 48066,
     /* 2218175 */     GIR_EraseRootFromParent_Done,
     /* 2218176 */   // Label 29344: @2218176
     /* 2218176 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2218229), // Rule ID 48067 //
     /* 2218181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218192 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2218209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218228 */     // GIR_Coverage, 48067,
     /* 2218228 */     GIR_EraseRootFromParent_Done,
     /* 2218229 */   // Label 29345: @2218229
     /* 2218229 */   GIM_Reject,
     /* 2218230 */ // Label 29339: @2218230
     /* 2218230 */ GIM_Reject,
     /* 2218231 */ // Label 29264: @2218231
     /* 2218231 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2218709),
     /* 2218236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2218242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218246 */   GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2218335), // Rule ID 59590 //
     /* 2218251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2218254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218266 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2218281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218285 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218294 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2218311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218334 */     // GIR_Coverage, 59590,
     /* 2218334 */     GIR_EraseRootFromParent_Done,
     /* 2218335 */   // Label 29347: @2218335
     /* 2218335 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2218424), // Rule ID 59591 //
     /* 2218340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2218343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218355 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2218370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218374 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218383 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2218400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218423 */     // GIR_Coverage, 59591,
     /* 2218423 */     GIR_EraseRootFromParent_Done,
     /* 2218424 */   // Label 29348: @2218424
     /* 2218424 */   GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2218513), // Rule ID 59592 //
     /* 2218429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2218432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218444 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218463 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218472 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2218489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218512 */     // GIR_Coverage, 59592,
     /* 2218512 */     GIR_EraseRootFromParent_Done,
     /* 2218513 */   // Label 29349: @2218513
     /* 2218513 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2218602), // Rule ID 59593 //
     /* 2218518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2218521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218533 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2218552 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218561 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2218578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218601 */     // GIR_Coverage, 59593,
     /* 2218601 */     GIR_EraseRootFromParent_Done,
     /* 2218602 */   // Label 29350: @2218602
     /* 2218602 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2218655), // Rule ID 48102 //
     /* 2218607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218618 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2218635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218654 */     // GIR_Coverage, 48102,
     /* 2218654 */     GIR_EraseRootFromParent_Done,
     /* 2218655 */   // Label 29351: @2218655
     /* 2218655 */   GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2218708), // Rule ID 48103 //
     /* 2218660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218671 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2218688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218707 */     // GIR_Coverage, 48103,
     /* 2218707 */     GIR_EraseRootFromParent_Done,
     /* 2218708 */   // Label 29352: @2218708
     /* 2218708 */   GIM_Reject,
     /* 2218709 */ // Label 29346: @2218709
     /* 2218709 */ GIM_Reject,
     /* 2218710 */ // Label 29265: @2218710
     /* 2218710 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2219188),
     /* 2218715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2218718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2218721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218725 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2218814), // Rule ID 59630 //
     /* 2218730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2218733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218745 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2218760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218764 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218773 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2218790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218813 */     // GIR_Coverage, 59630,
     /* 2218813 */     GIR_EraseRootFromParent_Done,
     /* 2218814 */   // Label 29354: @2218814
     /* 2218814 */   GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2218903), // Rule ID 59631 //
     /* 2218819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2218822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218834 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2218849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218853 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218862 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2218879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218902 */     // GIR_Coverage, 59631,
     /* 2218902 */     GIR_EraseRootFromParent_Done,
     /* 2218903 */   // Label 29355: @2218903
     /* 2218903 */   GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2218992), // Rule ID 59632 //
     /* 2218908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2218911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2218915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218923 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2218925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2218938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218942 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2218944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218951 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2218968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2218977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2218981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218991 */     // GIR_Coverage, 59632,
     /* 2218991 */     GIR_EraseRootFromParent_Done,
     /* 2218992 */   // Label 29356: @2218992
     /* 2218992 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2219081), // Rule ID 59633 //
     /* 2218997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2219000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219012 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219031 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219040 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2219057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219080 */     // GIR_Coverage, 59633,
     /* 2219080 */     GIR_EraseRootFromParent_Done,
     /* 2219081 */   // Label 29357: @2219081
     /* 2219081 */   GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2219134), // Rule ID 48118 //
     /* 2219086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219097 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2219114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219133 */     // GIR_Coverage, 48118,
     /* 2219133 */     GIR_EraseRootFromParent_Done,
     /* 2219134 */   // Label 29358: @2219134
     /* 2219134 */   GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2219187), // Rule ID 48119 //
     /* 2219139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219150 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2219167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219186 */     // GIR_Coverage, 48119,
     /* 2219186 */     GIR_EraseRootFromParent_Done,
     /* 2219187 */   // Label 29359: @2219187
     /* 2219187 */   GIM_Reject,
     /* 2219188 */ // Label 29353: @2219188
     /* 2219188 */ GIM_Reject,
     /* 2219189 */ // Label 29266: @2219189
     /* 2219189 */ GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2219303),
     /* 2219194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2219200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219212 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2219257), // Rule ID 48062 //
     /* 2219217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219220 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2219237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219256 */     // GIR_Coverage, 48062,
     /* 2219256 */     GIR_EraseRootFromParent_Done,
     /* 2219257 */   // Label 29361: @2219257
     /* 2219257 */   GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2219302), // Rule ID 48063 //
     /* 2219262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219265 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2219282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219301 */     // GIR_Coverage, 48063,
     /* 2219301 */     GIR_EraseRootFromParent_Done,
     /* 2219302 */   // Label 29362: @2219302
     /* 2219302 */   GIM_Reject,
     /* 2219303 */ // Label 29360: @2219303
     /* 2219303 */ GIM_Reject,
     /* 2219304 */ // Label 29267: @2219304
     /* 2219304 */ GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2219782),
     /* 2219309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2219315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219319 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2219408), // Rule ID 59550 //
     /* 2219324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219339 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219358 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219367 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2219384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219407 */     // GIR_Coverage, 59550,
     /* 2219407 */     GIR_EraseRootFromParent_Done,
     /* 2219408 */   // Label 29364: @2219408
     /* 2219408 */   GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2219497), // Rule ID 59551 //
     /* 2219413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2219416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219428 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219447 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219456 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2219473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219496 */     // GIR_Coverage, 59551,
     /* 2219496 */     GIR_EraseRootFromParent_Done,
     /* 2219497 */   // Label 29365: @2219497
     /* 2219497 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2219586), // Rule ID 59552 //
     /* 2219502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219517 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219536 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219545 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2219562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219585 */     // GIR_Coverage, 59552,
     /* 2219585 */     GIR_EraseRootFromParent_Done,
     /* 2219586 */   // Label 29366: @2219586
     /* 2219586 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2219675), // Rule ID 59553 //
     /* 2219591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2219594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219606 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219625 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219634 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2219651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219674 */     // GIR_Coverage, 59553,
     /* 2219674 */     GIR_EraseRootFromParent_Done,
     /* 2219675 */   // Label 29367: @2219675
     /* 2219675 */   GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2219728), // Rule ID 48090 //
     /* 2219680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219691 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2219708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219727 */     // GIR_Coverage, 48090,
     /* 2219727 */     GIR_EraseRootFromParent_Done,
     /* 2219728 */   // Label 29368: @2219728
     /* 2219728 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2219781), // Rule ID 48091 //
     /* 2219733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219744 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2219761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219780 */     // GIR_Coverage, 48091,
     /* 2219780 */     GIR_EraseRootFromParent_Done,
     /* 2219781 */   // Label 29369: @2219781
     /* 2219781 */   GIM_Reject,
     /* 2219782 */ // Label 29363: @2219782
     /* 2219782 */ GIM_Reject,
     /* 2219783 */ // Label 29268: @2219783
     /* 2219783 */ GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2220261),
     /* 2219788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2219791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2219794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219798 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2219887), // Rule ID 59598 //
     /* 2219803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219818 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219837 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219846 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2219863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219886 */     // GIR_Coverage, 59598,
     /* 2219886 */     GIR_EraseRootFromParent_Done,
     /* 2219887 */   // Label 29371: @2219887
     /* 2219887 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2219976), // Rule ID 59599 //
     /* 2219892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2219895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219907 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219926 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219935 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2219952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219975 */     // GIR_Coverage, 59599,
     /* 2219975 */     GIR_EraseRootFromParent_Done,
     /* 2219976 */   // Label 29372: @2219976
     /* 2219976 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2220065), // Rule ID 59600 //
     /* 2219981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219996 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220015 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220024 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2220041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220064 */     // GIR_Coverage, 59600,
     /* 2220064 */     GIR_EraseRootFromParent_Done,
     /* 2220065 */   // Label 29373: @2220065
     /* 2220065 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2220154), // Rule ID 59601 //
     /* 2220070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2220073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220085 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220104 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220113 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2220130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220153 */     // GIR_Coverage, 59601,
     /* 2220153 */     GIR_EraseRootFromParent_Done,
     /* 2220154 */   // Label 29374: @2220154
     /* 2220154 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2220207), // Rule ID 48106 //
     /* 2220159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220170 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2220187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220206 */     // GIR_Coverage, 48106,
     /* 2220206 */     GIR_EraseRootFromParent_Done,
     /* 2220207 */   // Label 29375: @2220207
     /* 2220207 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2220260), // Rule ID 48107 //
     /* 2220212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220223 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2220240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220259 */     // GIR_Coverage, 48107,
     /* 2220259 */     GIR_EraseRootFromParent_Done,
     /* 2220260 */   // Label 29376: @2220260
     /* 2220260 */   GIM_Reject,
     /* 2220261 */ // Label 29370: @2220261
     /* 2220261 */ GIM_Reject,
     /* 2220262 */ // Label 29269: @2220262
     /* 2220262 */ GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2220740),
     /* 2220267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2220270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2220273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220277 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2220366), // Rule ID 59638 //
     /* 2220282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220297 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220316 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220325 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2220342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220365 */     // GIR_Coverage, 59638,
     /* 2220365 */     GIR_EraseRootFromParent_Done,
     /* 2220366 */   // Label 29378: @2220366
     /* 2220366 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2220455), // Rule ID 59639 //
     /* 2220371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220386 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220405 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220414 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2220431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220454 */     // GIR_Coverage, 59639,
     /* 2220454 */     GIR_EraseRootFromParent_Done,
     /* 2220455 */   // Label 29379: @2220455
     /* 2220455 */   GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2220544), // Rule ID 59640 //
     /* 2220460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220475 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220494 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220503 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2220520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220543 */     // GIR_Coverage, 59640,
     /* 2220543 */     GIR_EraseRootFromParent_Done,
     /* 2220544 */   // Label 29380: @2220544
     /* 2220544 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2220633), // Rule ID 59641 //
     /* 2220549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220564 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220583 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220592 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2220609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220632 */     // GIR_Coverage, 59641,
     /* 2220632 */     GIR_EraseRootFromParent_Done,
     /* 2220633 */   // Label 29381: @2220633
     /* 2220633 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2220686), // Rule ID 48122 //
     /* 2220638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220649 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2220666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220685 */     // GIR_Coverage, 48122,
     /* 2220685 */     GIR_EraseRootFromParent_Done,
     /* 2220686 */   // Label 29382: @2220686
     /* 2220686 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2220739), // Rule ID 48123 //
     /* 2220691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220702 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2220719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220738 */     // GIR_Coverage, 48123,
     /* 2220738 */     GIR_EraseRootFromParent_Done,
     /* 2220739 */   // Label 29383: @2220739
     /* 2220739 */   GIM_Reject,
     /* 2220740 */ // Label 29377: @2220740
     /* 2220740 */ GIM_Reject,
     /* 2220741 */ // Label 29270: @2220741
     /* 2220741 */ GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2220855),
     /* 2220746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2220752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220764 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2220809), // Rule ID 48078 //
     /* 2220769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220772 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2220789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220808 */     // GIR_Coverage, 48078,
     /* 2220808 */     GIR_EraseRootFromParent_Done,
     /* 2220809 */   // Label 29385: @2220809
     /* 2220809 */   GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2220854), // Rule ID 48079 //
     /* 2220814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220817 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2220834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220853 */     // GIR_Coverage, 48079,
     /* 2220853 */     GIR_EraseRootFromParent_Done,
     /* 2220854 */   // Label 29386: @2220854
     /* 2220854 */   GIM_Reject,
     /* 2220855 */ // Label 29384: @2220855
     /* 2220855 */ GIM_Reject,
     /* 2220856 */ // Label 29271: @2220856
     /* 2220856 */ GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2221334),
     /* 2220861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2220864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2220867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220871 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2220960), // Rule ID 59558 //
     /* 2220876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2220879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220891 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220910 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220919 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2220922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2220936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220959 */     // GIR_Coverage, 59558,
     /* 2220959 */     GIR_EraseRootFromParent_Done,
     /* 2220960 */   // Label 29388: @2220960
     /* 2220960 */   GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2221049), // Rule ID 59559 //
     /* 2220965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2220968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220980 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220999 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221008 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2221025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221048 */     // GIR_Coverage, 59559,
     /* 2221048 */     GIR_EraseRootFromParent_Done,
     /* 2221049 */   // Label 29389: @2221049
     /* 2221049 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2221138), // Rule ID 59560 //
     /* 2221054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221069 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221088 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221097 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2221114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221137 */     // GIR_Coverage, 59560,
     /* 2221137 */     GIR_EraseRootFromParent_Done,
     /* 2221138 */   // Label 29390: @2221138
     /* 2221138 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2221227), // Rule ID 59561 //
     /* 2221143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221158 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221177 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221186 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2221203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221226 */     // GIR_Coverage, 59561,
     /* 2221226 */     GIR_EraseRootFromParent_Done,
     /* 2221227 */   // Label 29391: @2221227
     /* 2221227 */   GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2221280), // Rule ID 48094 //
     /* 2221232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221243 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2221260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221279 */     // GIR_Coverage, 48094,
     /* 2221279 */     GIR_EraseRootFromParent_Done,
     /* 2221280 */   // Label 29392: @2221280
     /* 2221280 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2221333), // Rule ID 48095 //
     /* 2221285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221296 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2221313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221332 */     // GIR_Coverage, 48095,
     /* 2221332 */     GIR_EraseRootFromParent_Done,
     /* 2221333 */   // Label 29393: @2221333
     /* 2221333 */   GIM_Reject,
     /* 2221334 */ // Label 29387: @2221334
     /* 2221334 */ GIM_Reject,
     /* 2221335 */ // Label 29272: @2221335
     /* 2221335 */ GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2221813),
     /* 2221340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2221346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221350 */   GIM_Try, /*On fail goto*//*Label 29395*/ GIMT_Encode4(2221439), // Rule ID 59606 //
     /* 2221355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221370 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221389 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221398 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2221415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221438 */     // GIR_Coverage, 59606,
     /* 2221438 */     GIR_EraseRootFromParent_Done,
     /* 2221439 */   // Label 29395: @2221439
     /* 2221439 */   GIM_Try, /*On fail goto*//*Label 29396*/ GIMT_Encode4(2221528), // Rule ID 59607 //
     /* 2221444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221459 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221478 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221487 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2221504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221527 */     // GIR_Coverage, 59607,
     /* 2221527 */     GIR_EraseRootFromParent_Done,
     /* 2221528 */   // Label 29396: @2221528
     /* 2221528 */   GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2221617), // Rule ID 59608 //
     /* 2221533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221548 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221567 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221576 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2221593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221616 */     // GIR_Coverage, 59608,
     /* 2221616 */     GIR_EraseRootFromParent_Done,
     /* 2221617 */   // Label 29397: @2221617
     /* 2221617 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2221706), // Rule ID 59609 //
     /* 2221622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221637 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221656 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221665 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2221682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221705 */     // GIR_Coverage, 59609,
     /* 2221705 */     GIR_EraseRootFromParent_Done,
     /* 2221706 */   // Label 29398: @2221706
     /* 2221706 */   GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2221759), // Rule ID 48110 //
     /* 2221711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221722 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2221739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221758 */     // GIR_Coverage, 48110,
     /* 2221758 */     GIR_EraseRootFromParent_Done,
     /* 2221759 */   // Label 29399: @2221759
     /* 2221759 */   GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2221812), // Rule ID 48111 //
     /* 2221764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221775 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2221792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221811 */     // GIR_Coverage, 48111,
     /* 2221811 */     GIR_EraseRootFromParent_Done,
     /* 2221812 */   // Label 29400: @2221812
     /* 2221812 */   GIM_Reject,
     /* 2221813 */ // Label 29394: @2221813
     /* 2221813 */ GIM_Reject,
     /* 2221814 */ // Label 29273: @2221814
     /* 2221814 */ GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2221928),
     /* 2221819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2221822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2221825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221837 */   GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2221882), // Rule ID 48082 //
     /* 2221842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221845 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2221862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221881 */     // GIR_Coverage, 48082,
     /* 2221881 */     GIR_EraseRootFromParent_Done,
     /* 2221882 */   // Label 29402: @2221882
     /* 2221882 */   GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2221927), // Rule ID 48083 //
     /* 2221887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221890 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2221907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221926 */     // GIR_Coverage, 48083,
     /* 2221926 */     GIR_EraseRootFromParent_Done,
     /* 2221927 */   // Label 29403: @2221927
     /* 2221927 */   GIM_Reject,
     /* 2221928 */ // Label 29401: @2221928
     /* 2221928 */ GIM_Reject,
     /* 2221929 */ // Label 29274: @2221929
     /* 2221929 */ GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2222407),
     /* 2221934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2221937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2221940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221944 */   GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2222033), // Rule ID 59566 //
     /* 2221949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2221964 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2221983 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221992 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2221995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2222009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222032 */     // GIR_Coverage, 59566,
     /* 2222032 */     GIR_EraseRootFromParent_Done,
     /* 2222033 */   // Label 29405: @2222033
     /* 2222033 */   GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2222122), // Rule ID 59567 //
     /* 2222038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2222041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222053 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2222068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222072 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222081 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2222098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222121 */     // GIR_Coverage, 59567,
     /* 2222121 */     GIR_EraseRootFromParent_Done,
     /* 2222122 */   // Label 29406: @2222122
     /* 2222122 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2222211), // Rule ID 59568 //
     /* 2222127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2222130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222142 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222161 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222170 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2222187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222210 */     // GIR_Coverage, 59568,
     /* 2222210 */     GIR_EraseRootFromParent_Done,
     /* 2222211 */   // Label 29407: @2222211
     /* 2222211 */   GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2222300), // Rule ID 59569 //
     /* 2222216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2222219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222231 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222250 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222259 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2222276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222299 */     // GIR_Coverage, 59569,
     /* 2222299 */     GIR_EraseRootFromParent_Done,
     /* 2222300 */   // Label 29408: @2222300
     /* 2222300 */   GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2222353), // Rule ID 48098 //
     /* 2222305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222316 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2222333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222352 */     // GIR_Coverage, 48098,
     /* 2222352 */     GIR_EraseRootFromParent_Done,
     /* 2222353 */   // Label 29409: @2222353
     /* 2222353 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2222406), // Rule ID 48099 //
     /* 2222358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222369 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2222386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222405 */     // GIR_Coverage, 48099,
     /* 2222405 */     GIR_EraseRootFromParent_Done,
     /* 2222406 */   // Label 29410: @2222406
     /* 2222406 */   GIM_Reject,
     /* 2222407 */ // Label 29404: @2222407
     /* 2222407 */ GIM_Reject,
     /* 2222408 */ // Label 29275: @2222408
     /* 2222408 */ GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2222522),
     /* 2222413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2222416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2222419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222431 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2222476), // Rule ID 48086 //
     /* 2222436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222439 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2222456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222475 */     // GIR_Coverage, 48086,
     /* 2222475 */     GIR_EraseRootFromParent_Done,
     /* 2222476 */   // Label 29412: @2222476
     /* 2222476 */   GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2222521), // Rule ID 48087 //
     /* 2222481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222484 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2222501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222520 */     // GIR_Coverage, 48087,
     /* 2222520 */     GIR_EraseRootFromParent_Done,
     /* 2222521 */   // Label 29413: @2222521
     /* 2222521 */   GIM_Reject,
     /* 2222522 */ // Label 29411: @2222522
     /* 2222522 */ GIM_Reject,
     /* 2222523 */ // Label 29276: @2222523
     /* 2222523 */ GIM_Reject,
     /* 2222524 */ // Label 44: @2222524
     /* 2222524 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29438*/ GIMT_Encode4(2225554),
     /* 2222535 */ /*GILLT_s32*//*Label 29414*/ GIMT_Encode4(2222659),
     /* 2222539 */ /*GILLT_s64*//*Label 29415*/ GIMT_Encode4(2222743), GIMT_Encode4(0),
     /* 2222547 */ /*GILLT_nxv1s8*//*Label 29416*/ GIMT_Encode4(2223024),
     /* 2222551 */ /*GILLT_nxv1s16*//*Label 29417*/ GIMT_Encode4(2223139),
     /* 2222555 */ /*GILLT_nxv1s32*//*Label 29418*/ GIMT_Encode4(2223254),
     /* 2222559 */ /*GILLT_nxv1s64*//*Label 29419*/ GIMT_Encode4(2223369), GIMT_Encode4(0),
     /* 2222567 */ /*GILLT_nxv2s8*//*Label 29420*/ GIMT_Encode4(2223484),
     /* 2222571 */ /*GILLT_nxv2s16*//*Label 29421*/ GIMT_Encode4(2223599),
     /* 2222575 */ /*GILLT_nxv2s32*//*Label 29422*/ GIMT_Encode4(2223714),
     /* 2222579 */ /*GILLT_nxv2s64*//*Label 29423*/ GIMT_Encode4(2223829), GIMT_Encode4(0),
     /* 2222587 */ /*GILLT_nxv4s8*//*Label 29424*/ GIMT_Encode4(2223944),
     /* 2222591 */ /*GILLT_nxv4s16*//*Label 29425*/ GIMT_Encode4(2224059),
     /* 2222595 */ /*GILLT_nxv4s32*//*Label 29426*/ GIMT_Encode4(2224174),
     /* 2222599 */ /*GILLT_nxv4s64*//*Label 29427*/ GIMT_Encode4(2224289), GIMT_Encode4(0),
     /* 2222607 */ /*GILLT_nxv8s8*//*Label 29428*/ GIMT_Encode4(2224404),
     /* 2222611 */ /*GILLT_nxv8s16*//*Label 29429*/ GIMT_Encode4(2224519),
     /* 2222615 */ /*GILLT_nxv8s32*//*Label 29430*/ GIMT_Encode4(2224634),
     /* 2222619 */ /*GILLT_nxv8s64*//*Label 29431*/ GIMT_Encode4(2224749), GIMT_Encode4(0),
     /* 2222627 */ /*GILLT_nxv16s8*//*Label 29432*/ GIMT_Encode4(2224864),
     /* 2222631 */ /*GILLT_nxv16s16*//*Label 29433*/ GIMT_Encode4(2224979),
     /* 2222635 */ /*GILLT_nxv16s32*//*Label 29434*/ GIMT_Encode4(2225094), GIMT_Encode4(0),
     /* 2222643 */ /*GILLT_nxv32s8*//*Label 29435*/ GIMT_Encode4(2225209),
     /* 2222647 */ /*GILLT_nxv32s16*//*Label 29436*/ GIMT_Encode4(2225324), GIMT_Encode4(0),
     /* 2222655 */ /*GILLT_nxv64s8*//*Label 29437*/ GIMT_Encode4(2225439),
     /* 2222659 */ // Label 29414: @2222659
     /* 2222659 */ GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2222742),
     /* 2222664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2222670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222678 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2222712), // Rule ID 93 //
     /* 2222683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2222686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222698 */     // MIs[1] Operand 1
     /* 2222698 */     // No operand predicates
     /* 2222698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222700 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2222700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2222703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2222710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222711 */     // GIR_Coverage, 93,
     /* 2222711 */     GIR_EraseRootFromParent_Done,
     /* 2222712 */   // Label 29440: @2222712
     /* 2222712 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2222741), // Rule ID 107 //
     /* 2222717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2222720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222727 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2222727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2222730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222740 */     // GIR_Coverage, 107,
     /* 2222740 */     GIR_EraseRootFromParent_Done,
     /* 2222741 */   // Label 29441: @2222741
     /* 2222741 */   GIM_Reject,
     /* 2222742 */ // Label 29439: @2222742
     /* 2222742 */ GIM_Reject,
     /* 2222743 */ // Label 29415: @2222743
     /* 2222743 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2223023),
     /* 2222748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222754 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2222826), // Rule ID 257 //
     /* 2222759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2222762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2222774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222787 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2222798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222806 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2222810 */     // MIs[2] Operand 1
     /* 2222810 */     // No operand predicates
     /* 2222810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222812 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2222812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2222815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2222821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2222824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222825 */     // GIR_Coverage, 257,
     /* 2222825 */     GIR_EraseRootFromParent_Done,
     /* 2222826 */   // Label 29443: @2222826
     /* 2222826 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2222871), // Rule ID 62560 //
     /* 2222831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2222834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2222846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2222854 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9943),
     /* 2222858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222860 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_9943>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2222860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2222863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2222869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222870 */     // GIR_Coverage, 62560,
     /* 2222870 */     GIR_EraseRootFromParent_Done,
     /* 2222871 */   // Label 29444: @2222871
     /* 2222871 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2222943), // Rule ID 269 //
     /* 2222876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2222879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2222891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222900 */     // MIs[1] Operand 2
     /* 2222900 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2222911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222919 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2222923 */     // MIs[2] Operand 1
     /* 2222923 */     // No operand predicates
     /* 2222923 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9943),
     /* 2222927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222929 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_9943>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2222929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2222932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2222938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2222941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222942 */     // GIR_Coverage, 269,
     /* 2222942 */     GIR_EraseRootFromParent_Done,
     /* 2222943 */   // Label 29445: @2222943
     /* 2222943 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2222985), // Rule ID 92 //
     /* 2222948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222971 */     // MIs[1] Operand 1
     /* 2222971 */     // No operand predicates
     /* 2222971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222973 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2222973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2222976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2222983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222984 */     // GIR_Coverage, 92,
     /* 2222984 */     GIR_EraseRootFromParent_Done,
     /* 2222985 */   // Label 29446: @2222985
     /* 2222985 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2223022), // Rule ID 106 //
     /* 2222990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223008 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2223011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223021 */     // GIR_Coverage, 106,
     /* 2223021 */     GIR_EraseRootFromParent_Done,
     /* 2223022 */   // Label 29447: @2223022
     /* 2223022 */   GIM_Reject,
     /* 2223023 */ // Label 29442: @2223023
     /* 2223023 */ GIM_Reject,
     /* 2223024 */ // Label 29416: @2223024
     /* 2223024 */ GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2223138),
     /* 2223029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2223035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223047 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2223092), // Rule ID 48170 //
     /* 2223052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223055 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2223058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2223072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223091 */     // GIR_Coverage, 48170,
     /* 2223091 */     GIR_EraseRootFromParent_Done,
     /* 2223092 */   // Label 29449: @2223092
     /* 2223092 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2223137), // Rule ID 48171 //
     /* 2223097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223100 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2223103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2223117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223136 */     // GIR_Coverage, 48171,
     /* 2223136 */     GIR_EraseRootFromParent_Done,
     /* 2223137 */   // Label 29450: @2223137
     /* 2223137 */   GIM_Reject,
     /* 2223138 */ // Label 29448: @2223138
     /* 2223138 */ GIM_Reject,
     /* 2223139 */ // Label 29417: @2223139
     /* 2223139 */ GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2223253),
     /* 2223144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2223150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223162 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2223207), // Rule ID 48182 //
     /* 2223167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223170 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2223187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223206 */     // GIR_Coverage, 48182,
     /* 2223206 */     GIR_EraseRootFromParent_Done,
     /* 2223207 */   // Label 29452: @2223207
     /* 2223207 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2223252), // Rule ID 48183 //
     /* 2223212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223215 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2223232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223251 */     // GIR_Coverage, 48183,
     /* 2223251 */     GIR_EraseRootFromParent_Done,
     /* 2223252 */   // Label 29453: @2223252
     /* 2223252 */   GIM_Reject,
     /* 2223253 */ // Label 29451: @2223253
     /* 2223253 */ GIM_Reject,
     /* 2223254 */ // Label 29418: @2223254
     /* 2223254 */ GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2223368),
     /* 2223259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2223265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223277 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2223322), // Rule ID 48190 //
     /* 2223282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223285 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2223302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223321 */     // GIR_Coverage, 48190,
     /* 2223321 */     GIR_EraseRootFromParent_Done,
     /* 2223322 */   // Label 29455: @2223322
     /* 2223322 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2223367), // Rule ID 48191 //
     /* 2223327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223330 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2223347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223366 */     // GIR_Coverage, 48191,
     /* 2223366 */     GIR_EraseRootFromParent_Done,
     /* 2223367 */   // Label 29456: @2223367
     /* 2223367 */   GIM_Reject,
     /* 2223368 */ // Label 29454: @2223368
     /* 2223368 */ GIM_Reject,
     /* 2223369 */ // Label 29419: @2223369
     /* 2223369 */ GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2223483),
     /* 2223374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2223380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223392 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2223437), // Rule ID 48206 //
     /* 2223397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223400 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2223417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223436 */     // GIR_Coverage, 48206,
     /* 2223436 */     GIR_EraseRootFromParent_Done,
     /* 2223437 */   // Label 29458: @2223437
     /* 2223437 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2223482), // Rule ID 48207 //
     /* 2223442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223445 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2223462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223481 */     // GIR_Coverage, 48207,
     /* 2223481 */     GIR_EraseRootFromParent_Done,
     /* 2223482 */   // Label 29459: @2223482
     /* 2223482 */   GIM_Reject,
     /* 2223483 */ // Label 29457: @2223483
     /* 2223483 */ GIM_Reject,
     /* 2223484 */ // Label 29420: @2223484
     /* 2223484 */ GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2223598),
     /* 2223489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2223492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2223495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223507 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2223552), // Rule ID 48174 //
     /* 2223512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223515 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2223532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223551 */     // GIR_Coverage, 48174,
     /* 2223551 */     GIR_EraseRootFromParent_Done,
     /* 2223552 */   // Label 29461: @2223552
     /* 2223552 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2223597), // Rule ID 48175 //
     /* 2223557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223560 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2223577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223596 */     // GIR_Coverage, 48175,
     /* 2223596 */     GIR_EraseRootFromParent_Done,
     /* 2223597 */   // Label 29462: @2223597
     /* 2223597 */   GIM_Reject,
     /* 2223598 */ // Label 29460: @2223598
     /* 2223598 */ GIM_Reject,
     /* 2223599 */ // Label 29421: @2223599
     /* 2223599 */ GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2223713),
     /* 2223604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2223607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223622 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2223667), // Rule ID 48186 //
     /* 2223627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223630 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2223647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223666 */     // GIR_Coverage, 48186,
     /* 2223666 */     GIR_EraseRootFromParent_Done,
     /* 2223667 */   // Label 29464: @2223667
     /* 2223667 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2223712), // Rule ID 48187 //
     /* 2223672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223675 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2223692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223711 */     // GIR_Coverage, 48187,
     /* 2223711 */     GIR_EraseRootFromParent_Done,
     /* 2223712 */   // Label 29465: @2223712
     /* 2223712 */   GIM_Reject,
     /* 2223713 */ // Label 29463: @2223713
     /* 2223713 */ GIM_Reject,
     /* 2223714 */ // Label 29422: @2223714
     /* 2223714 */ GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2223828),
     /* 2223719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2223722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2223725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223737 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2223782), // Rule ID 48202 //
     /* 2223742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223745 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2223762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223781 */     // GIR_Coverage, 48202,
     /* 2223781 */     GIR_EraseRootFromParent_Done,
     /* 2223782 */   // Label 29467: @2223782
     /* 2223782 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2223827), // Rule ID 48203 //
     /* 2223787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223790 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2223807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223826 */     // GIR_Coverage, 48203,
     /* 2223826 */     GIR_EraseRootFromParent_Done,
     /* 2223827 */   // Label 29468: @2223827
     /* 2223827 */   GIM_Reject,
     /* 2223828 */ // Label 29466: @2223828
     /* 2223828 */ GIM_Reject,
     /* 2223829 */ // Label 29423: @2223829
     /* 2223829 */ GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2223943),
     /* 2223834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2223837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2223840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223852 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2223897), // Rule ID 48246 //
     /* 2223857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223860 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2223877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223896 */     // GIR_Coverage, 48246,
     /* 2223896 */     GIR_EraseRootFromParent_Done,
     /* 2223897 */   // Label 29470: @2223897
     /* 2223897 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2223942), // Rule ID 48247 //
     /* 2223902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223905 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2223922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223941 */     // GIR_Coverage, 48247,
     /* 2223941 */     GIR_EraseRootFromParent_Done,
     /* 2223942 */   // Label 29471: @2223942
     /* 2223942 */   GIM_Reject,
     /* 2223943 */ // Label 29469: @2223943
     /* 2223943 */ GIM_Reject,
     /* 2223944 */ // Label 29424: @2223944
     /* 2223944 */ GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2224058),
     /* 2223949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2223955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223967 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2224012), // Rule ID 48178 //
     /* 2223972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223975 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2223992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224011 */     // GIR_Coverage, 48178,
     /* 2224011 */     GIR_EraseRootFromParent_Done,
     /* 2224012 */   // Label 29473: @2224012
     /* 2224012 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2224057), // Rule ID 48179 //
     /* 2224017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224020 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2224023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2224037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224056 */     // GIR_Coverage, 48179,
     /* 2224056 */     GIR_EraseRootFromParent_Done,
     /* 2224057 */   // Label 29474: @2224057
     /* 2224057 */   GIM_Reject,
     /* 2224058 */ // Label 29472: @2224058
     /* 2224058 */ GIM_Reject,
     /* 2224059 */ // Label 29425: @2224059
     /* 2224059 */ GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2224173),
     /* 2224064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2224067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2224070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224082 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2224127), // Rule ID 48198 //
     /* 2224087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224090 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2224093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2224107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224126 */     // GIR_Coverage, 48198,
     /* 2224126 */     GIR_EraseRootFromParent_Done,
     /* 2224127 */   // Label 29476: @2224127
     /* 2224127 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2224172), // Rule ID 48199 //
     /* 2224132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224135 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2224138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2224152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224171 */     // GIR_Coverage, 48199,
     /* 2224171 */     GIR_EraseRootFromParent_Done,
     /* 2224172 */   // Label 29477: @2224172
     /* 2224172 */   GIM_Reject,
     /* 2224173 */ // Label 29475: @2224173
     /* 2224173 */ GIM_Reject,
     /* 2224174 */ // Label 29426: @2224174
     /* 2224174 */ GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2224288),
     /* 2224179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2224182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2224185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224197 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2224242), // Rule ID 48234 //
     /* 2224202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224205 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2224208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224241 */     // GIR_Coverage, 48234,
     /* 2224241 */     GIR_EraseRootFromParent_Done,
     /* 2224242 */   // Label 29479: @2224242
     /* 2224242 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2224287), // Rule ID 48235 //
     /* 2224247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224250 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2224253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224286 */     // GIR_Coverage, 48235,
     /* 2224286 */     GIR_EraseRootFromParent_Done,
     /* 2224287 */   // Label 29480: @2224287
     /* 2224287 */   GIM_Reject,
     /* 2224288 */ // Label 29478: @2224288
     /* 2224288 */ GIM_Reject,
     /* 2224289 */ // Label 29427: @2224289
     /* 2224289 */ GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2224403),
     /* 2224294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2224297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2224300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224312 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2224357), // Rule ID 48250 //
     /* 2224317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224320 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2224337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224356 */     // GIR_Coverage, 48250,
     /* 2224356 */     GIR_EraseRootFromParent_Done,
     /* 2224357 */   // Label 29482: @2224357
     /* 2224357 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2224402), // Rule ID 48251 //
     /* 2224362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224365 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2224382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224401 */     // GIR_Coverage, 48251,
     /* 2224401 */     GIR_EraseRootFromParent_Done,
     /* 2224402 */   // Label 29483: @2224402
     /* 2224402 */   GIM_Reject,
     /* 2224403 */ // Label 29481: @2224403
     /* 2224403 */ GIM_Reject,
     /* 2224404 */ // Label 29428: @2224404
     /* 2224404 */ GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2224518),
     /* 2224409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2224415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224427 */   GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2224472), // Rule ID 48194 //
     /* 2224432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224435 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2224452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224471 */     // GIR_Coverage, 48194,
     /* 2224471 */     GIR_EraseRootFromParent_Done,
     /* 2224472 */   // Label 29485: @2224472
     /* 2224472 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2224517), // Rule ID 48195 //
     /* 2224477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224480 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2224497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224516 */     // GIR_Coverage, 48195,
     /* 2224516 */     GIR_EraseRootFromParent_Done,
     /* 2224517 */   // Label 29486: @2224517
     /* 2224517 */   GIM_Reject,
     /* 2224518 */ // Label 29484: @2224518
     /* 2224518 */ GIM_Reject,
     /* 2224519 */ // Label 29429: @2224519
     /* 2224519 */ GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2224633),
     /* 2224524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224542 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2224587), // Rule ID 48222 //
     /* 2224547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224550 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224586 */     // GIR_Coverage, 48222,
     /* 2224586 */     GIR_EraseRootFromParent_Done,
     /* 2224587 */   // Label 29488: @2224587
     /* 2224587 */   GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2224632), // Rule ID 48223 //
     /* 2224592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224595 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224631 */     // GIR_Coverage, 48223,
     /* 2224631 */     GIR_EraseRootFromParent_Done,
     /* 2224632 */   // Label 29489: @2224632
     /* 2224632 */   GIM_Reject,
     /* 2224633 */ // Label 29487: @2224633
     /* 2224633 */ GIM_Reject,
     /* 2224634 */ // Label 29430: @2224634
     /* 2224634 */ GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2224748),
     /* 2224639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2224642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2224645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224657 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2224702), // Rule ID 48238 //
     /* 2224662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224665 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2224682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224701 */     // GIR_Coverage, 48238,
     /* 2224701 */     GIR_EraseRootFromParent_Done,
     /* 2224702 */   // Label 29491: @2224702
     /* 2224702 */   GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2224747), // Rule ID 48239 //
     /* 2224707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224710 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2224727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224746 */     // GIR_Coverage, 48239,
     /* 2224746 */     GIR_EraseRootFromParent_Done,
     /* 2224747 */   // Label 29492: @2224747
     /* 2224747 */   GIM_Reject,
     /* 2224748 */ // Label 29490: @2224748
     /* 2224748 */ GIM_Reject,
     /* 2224749 */ // Label 29431: @2224749
     /* 2224749 */ GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2224863),
     /* 2224754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2224757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2224760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224772 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2224817), // Rule ID 48254 //
     /* 2224777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224780 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2224797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224816 */     // GIR_Coverage, 48254,
     /* 2224816 */     GIR_EraseRootFromParent_Done,
     /* 2224817 */   // Label 29494: @2224817
     /* 2224817 */   GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2224862), // Rule ID 48255 //
     /* 2224822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224825 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2224842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224861 */     // GIR_Coverage, 48255,
     /* 2224861 */     GIR_EraseRootFromParent_Done,
     /* 2224862 */   // Label 29495: @2224862
     /* 2224862 */   GIM_Reject,
     /* 2224863 */ // Label 29493: @2224863
     /* 2224863 */ GIM_Reject,
     /* 2224864 */ // Label 29432: @2224864
     /* 2224864 */ GIM_Try, /*On fail goto*//*Label 29496*/ GIMT_Encode4(2224978),
     /* 2224869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2224872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2224875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224887 */   GIM_Try, /*On fail goto*//*Label 29497*/ GIMT_Encode4(2224932), // Rule ID 48210 //
     /* 2224892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224895 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224931 */     // GIR_Coverage, 48210,
     /* 2224931 */     GIR_EraseRootFromParent_Done,
     /* 2224932 */   // Label 29497: @2224932
     /* 2224932 */   GIM_Try, /*On fail goto*//*Label 29498*/ GIMT_Encode4(2224977), // Rule ID 48211 //
     /* 2224937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224940 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2224957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224976 */     // GIR_Coverage, 48211,
     /* 2224976 */     GIR_EraseRootFromParent_Done,
     /* 2224977 */   // Label 29498: @2224977
     /* 2224977 */   GIM_Reject,
     /* 2224978 */ // Label 29496: @2224978
     /* 2224978 */ GIM_Reject,
     /* 2224979 */ // Label 29433: @2224979
     /* 2224979 */ GIM_Try, /*On fail goto*//*Label 29499*/ GIMT_Encode4(2225093),
     /* 2224984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2224987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225002 */   GIM_Try, /*On fail goto*//*Label 29500*/ GIMT_Encode4(2225047), // Rule ID 48226 //
     /* 2225007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225010 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2225013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2225027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225046 */     // GIR_Coverage, 48226,
     /* 2225046 */     GIR_EraseRootFromParent_Done,
     /* 2225047 */   // Label 29500: @2225047
     /* 2225047 */   GIM_Try, /*On fail goto*//*Label 29501*/ GIMT_Encode4(2225092), // Rule ID 48227 //
     /* 2225052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225055 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2225058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2225072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225091 */     // GIR_Coverage, 48227,
     /* 2225091 */     GIR_EraseRootFromParent_Done,
     /* 2225092 */   // Label 29501: @2225092
     /* 2225092 */   GIM_Reject,
     /* 2225093 */ // Label 29499: @2225093
     /* 2225093 */ GIM_Reject,
     /* 2225094 */ // Label 29434: @2225094
     /* 2225094 */ GIM_Try, /*On fail goto*//*Label 29502*/ GIMT_Encode4(2225208),
     /* 2225099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2225102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2225105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225117 */   GIM_Try, /*On fail goto*//*Label 29503*/ GIMT_Encode4(2225162), // Rule ID 48242 //
     /* 2225122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225125 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2225128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225161 */     // GIR_Coverage, 48242,
     /* 2225161 */     GIR_EraseRootFromParent_Done,
     /* 2225162 */   // Label 29503: @2225162
     /* 2225162 */   GIM_Try, /*On fail goto*//*Label 29504*/ GIMT_Encode4(2225207), // Rule ID 48243 //
     /* 2225167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225170 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2225173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225206 */     // GIR_Coverage, 48243,
     /* 2225206 */     GIR_EraseRootFromParent_Done,
     /* 2225207 */   // Label 29504: @2225207
     /* 2225207 */   GIM_Reject,
     /* 2225208 */ // Label 29502: @2225208
     /* 2225208 */ GIM_Reject,
     /* 2225209 */ // Label 29435: @2225209
     /* 2225209 */ GIM_Try, /*On fail goto*//*Label 29505*/ GIMT_Encode4(2225323),
     /* 2225214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2225217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2225220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225232 */   GIM_Try, /*On fail goto*//*Label 29506*/ GIMT_Encode4(2225277), // Rule ID 48214 //
     /* 2225237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225240 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2225257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225276 */     // GIR_Coverage, 48214,
     /* 2225276 */     GIR_EraseRootFromParent_Done,
     /* 2225277 */   // Label 29506: @2225277
     /* 2225277 */   GIM_Try, /*On fail goto*//*Label 29507*/ GIMT_Encode4(2225322), // Rule ID 48215 //
     /* 2225282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225285 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2225302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225321 */     // GIR_Coverage, 48215,
     /* 2225321 */     GIR_EraseRootFromParent_Done,
     /* 2225322 */   // Label 29507: @2225322
     /* 2225322 */   GIM_Reject,
     /* 2225323 */ // Label 29505: @2225323
     /* 2225323 */ GIM_Reject,
     /* 2225324 */ // Label 29436: @2225324
     /* 2225324 */ GIM_Try, /*On fail goto*//*Label 29508*/ GIMT_Encode4(2225438),
     /* 2225329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2225332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2225335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225347 */   GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2225392), // Rule ID 48230 //
     /* 2225352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225355 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225391 */     // GIR_Coverage, 48230,
     /* 2225391 */     GIR_EraseRootFromParent_Done,
     /* 2225392 */   // Label 29509: @2225392
     /* 2225392 */   GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2225437), // Rule ID 48231 //
     /* 2225397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225400 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225436 */     // GIR_Coverage, 48231,
     /* 2225436 */     GIR_EraseRootFromParent_Done,
     /* 2225437 */   // Label 29510: @2225437
     /* 2225437 */   GIM_Reject,
     /* 2225438 */ // Label 29508: @2225438
     /* 2225438 */ GIM_Reject,
     /* 2225439 */ // Label 29437: @2225439
     /* 2225439 */ GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2225553),
     /* 2225444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2225447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2225450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225462 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2225507), // Rule ID 48218 //
     /* 2225467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225470 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225506 */     // GIR_Coverage, 48218,
     /* 2225506 */     GIR_EraseRootFromParent_Done,
     /* 2225507 */   // Label 29512: @2225507
     /* 2225507 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2225552), // Rule ID 48219 //
     /* 2225512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225515 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2225532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225551 */     // GIR_Coverage, 48219,
     /* 2225551 */     GIR_EraseRootFromParent_Done,
     /* 2225552 */   // Label 29513: @2225552
     /* 2225552 */   GIM_Reject,
     /* 2225553 */ // Label 29511: @2225553
     /* 2225553 */ GIM_Reject,
     /* 2225554 */ // Label 29438: @2225554
     /* 2225554 */ GIM_Reject,
     /* 2225555 */ // Label 45: @2225555
     /* 2225555 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29538*/ GIMT_Encode4(2228493),
     /* 2225566 */ /*GILLT_s32*//*Label 29514*/ GIMT_Encode4(2225690),
     /* 2225570 */ /*GILLT_s64*//*Label 29515*/ GIMT_Encode4(2225774), GIMT_Encode4(0),
     /* 2225578 */ /*GILLT_nxv1s8*//*Label 29516*/ GIMT_Encode4(2225963),
     /* 2225582 */ /*GILLT_nxv1s16*//*Label 29517*/ GIMT_Encode4(2226078),
     /* 2225586 */ /*GILLT_nxv1s32*//*Label 29518*/ GIMT_Encode4(2226193),
     /* 2225590 */ /*GILLT_nxv1s64*//*Label 29519*/ GIMT_Encode4(2226308), GIMT_Encode4(0),
     /* 2225598 */ /*GILLT_nxv2s8*//*Label 29520*/ GIMT_Encode4(2226423),
     /* 2225602 */ /*GILLT_nxv2s16*//*Label 29521*/ GIMT_Encode4(2226538),
     /* 2225606 */ /*GILLT_nxv2s32*//*Label 29522*/ GIMT_Encode4(2226653),
     /* 2225610 */ /*GILLT_nxv2s64*//*Label 29523*/ GIMT_Encode4(2226768), GIMT_Encode4(0),
     /* 2225618 */ /*GILLT_nxv4s8*//*Label 29524*/ GIMT_Encode4(2226883),
     /* 2225622 */ /*GILLT_nxv4s16*//*Label 29525*/ GIMT_Encode4(2226998),
     /* 2225626 */ /*GILLT_nxv4s32*//*Label 29526*/ GIMT_Encode4(2227113),
     /* 2225630 */ /*GILLT_nxv4s64*//*Label 29527*/ GIMT_Encode4(2227228), GIMT_Encode4(0),
     /* 2225638 */ /*GILLT_nxv8s8*//*Label 29528*/ GIMT_Encode4(2227343),
     /* 2225642 */ /*GILLT_nxv8s16*//*Label 29529*/ GIMT_Encode4(2227458),
     /* 2225646 */ /*GILLT_nxv8s32*//*Label 29530*/ GIMT_Encode4(2227573),
     /* 2225650 */ /*GILLT_nxv8s64*//*Label 29531*/ GIMT_Encode4(2227688), GIMT_Encode4(0),
     /* 2225658 */ /*GILLT_nxv16s8*//*Label 29532*/ GIMT_Encode4(2227803),
     /* 2225662 */ /*GILLT_nxv16s16*//*Label 29533*/ GIMT_Encode4(2227918),
     /* 2225666 */ /*GILLT_nxv16s32*//*Label 29534*/ GIMT_Encode4(2228033), GIMT_Encode4(0),
     /* 2225674 */ /*GILLT_nxv32s8*//*Label 29535*/ GIMT_Encode4(2228148),
     /* 2225678 */ /*GILLT_nxv32s16*//*Label 29536*/ GIMT_Encode4(2228263), GIMT_Encode4(0),
     /* 2225686 */ /*GILLT_nxv64s8*//*Label 29537*/ GIMT_Encode4(2228378),
     /* 2225690 */ // Label 29514: @2225690
     /* 2225690 */ GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2225773),
     /* 2225695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2225698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225709 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2225743), // Rule ID 95 //
     /* 2225714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2225721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2225729 */     // MIs[1] Operand 1
     /* 2225729 */     // No operand predicates
     /* 2225729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225731 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2225731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2225734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225742 */     // GIR_Coverage, 95,
     /* 2225742 */     GIR_EraseRootFromParent_Done,
     /* 2225743 */   // Label 29540: @2225743
     /* 2225743 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2225772), // Rule ID 109 //
     /* 2225748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2225758 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2225761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2225770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225771 */     // GIR_Coverage, 109,
     /* 2225771 */     GIR_EraseRootFromParent_Done,
     /* 2225772 */   // Label 29541: @2225772
     /* 2225772 */   GIM_Reject,
     /* 2225773 */ // Label 29539: @2225773
     /* 2225773 */ GIM_Reject,
     /* 2225774 */ // Label 29515: @2225774
     /* 2225774 */ GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2225962),
     /* 2225779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2225782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2225785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225789 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2225826), // Rule ID 62559 //
     /* 2225794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2225797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2225805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2225809 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2225813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225815 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2225815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2225818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2225824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225825 */     // GIR_Coverage, 62559,
     /* 2225825 */     GIR_EraseRootFromParent_Done,
     /* 2225826 */   // Label 29543: @2225826
     /* 2225826 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2225890), // Rule ID 259 //
     /* 2225831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2225834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2225842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2225846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225851 */     // MIs[1] Operand 2
     /* 2225851 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2225862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225870 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2225874 */     // MIs[2] Operand 1
     /* 2225874 */     // No operand predicates
     /* 2225874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225876 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2225876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2225879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2225885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2225888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225889 */     // GIR_Coverage, 259,
     /* 2225889 */     GIR_EraseRootFromParent_Done,
     /* 2225890 */   // Label 29544: @2225890
     /* 2225890 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2225928), // Rule ID 94 //
     /* 2225895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2225898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2225906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2225914 */     // MIs[1] Operand 1
     /* 2225914 */     // No operand predicates
     /* 2225914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225916 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2225916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2225919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225927 */     // GIR_Coverage, 94,
     /* 2225927 */     GIR_EraseRootFromParent_Done,
     /* 2225928 */   // Label 29545: @2225928
     /* 2225928 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2225961), // Rule ID 108 //
     /* 2225933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2225936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2225947 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2225947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2225950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2225959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225960 */     // GIR_Coverage, 108,
     /* 2225960 */     GIR_EraseRootFromParent_Done,
     /* 2225961 */   // Label 29546: @2225961
     /* 2225961 */   GIM_Reject,
     /* 2225962 */ // Label 29542: @2225962
     /* 2225962 */ GIM_Reject,
     /* 2225963 */ // Label 29516: @2225963
     /* 2225963 */ GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2226077),
     /* 2225968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2225971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2225974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225986 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2226031), // Rule ID 48302 //
     /* 2225991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225994 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2225997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2226011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226030 */     // GIR_Coverage, 48302,
     /* 2226030 */     GIR_EraseRootFromParent_Done,
     /* 2226031 */   // Label 29548: @2226031
     /* 2226031 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2226076), // Rule ID 48303 //
     /* 2226036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226039 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2226042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2226056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226075 */     // GIR_Coverage, 48303,
     /* 2226075 */     GIR_EraseRootFromParent_Done,
     /* 2226076 */   // Label 29549: @2226076
     /* 2226076 */   GIM_Reject,
     /* 2226077 */ // Label 29547: @2226077
     /* 2226077 */ GIM_Reject,
     /* 2226078 */ // Label 29517: @2226078
     /* 2226078 */ GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2226192),
     /* 2226083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2226086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226101 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2226146), // Rule ID 48314 //
     /* 2226106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226109 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2226112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2226126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226145 */     // GIR_Coverage, 48314,
     /* 2226145 */     GIR_EraseRootFromParent_Done,
     /* 2226146 */   // Label 29551: @2226146
     /* 2226146 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2226191), // Rule ID 48315 //
     /* 2226151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226154 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2226157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2226171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226190 */     // GIR_Coverage, 48315,
     /* 2226190 */     GIR_EraseRootFromParent_Done,
     /* 2226191 */   // Label 29552: @2226191
     /* 2226191 */   GIM_Reject,
     /* 2226192 */ // Label 29550: @2226192
     /* 2226192 */ GIM_Reject,
     /* 2226193 */ // Label 29518: @2226193
     /* 2226193 */ GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2226307),
     /* 2226198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2226201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226216 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2226261), // Rule ID 48322 //
     /* 2226221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226224 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2226227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226260 */     // GIR_Coverage, 48322,
     /* 2226260 */     GIR_EraseRootFromParent_Done,
     /* 2226261 */   // Label 29554: @2226261
     /* 2226261 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2226306), // Rule ID 48323 //
     /* 2226266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226269 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2226272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226305 */     // GIR_Coverage, 48323,
     /* 2226305 */     GIR_EraseRootFromParent_Done,
     /* 2226306 */   // Label 29555: @2226306
     /* 2226306 */   GIM_Reject,
     /* 2226307 */ // Label 29553: @2226307
     /* 2226307 */ GIM_Reject,
     /* 2226308 */ // Label 29519: @2226308
     /* 2226308 */ GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2226422),
     /* 2226313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2226316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226331 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2226376), // Rule ID 48338 //
     /* 2226336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226339 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2226342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2226356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226375 */     // GIR_Coverage, 48338,
     /* 2226375 */     GIR_EraseRootFromParent_Done,
     /* 2226376 */   // Label 29557: @2226376
     /* 2226376 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2226421), // Rule ID 48339 //
     /* 2226381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226384 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2226387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2226401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226420 */     // GIR_Coverage, 48339,
     /* 2226420 */     GIR_EraseRootFromParent_Done,
     /* 2226421 */   // Label 29558: @2226421
     /* 2226421 */   GIM_Reject,
     /* 2226422 */ // Label 29556: @2226422
     /* 2226422 */ GIM_Reject,
     /* 2226423 */ // Label 29520: @2226423
     /* 2226423 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2226537),
     /* 2226428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2226431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2226434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226446 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2226491), // Rule ID 48306 //
     /* 2226451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226454 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2226457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2226471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226490 */     // GIR_Coverage, 48306,
     /* 2226490 */     GIR_EraseRootFromParent_Done,
     /* 2226491 */   // Label 29560: @2226491
     /* 2226491 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2226536), // Rule ID 48307 //
     /* 2226496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226499 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2226502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2226516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226535 */     // GIR_Coverage, 48307,
     /* 2226535 */     GIR_EraseRootFromParent_Done,
     /* 2226536 */   // Label 29561: @2226536
     /* 2226536 */   GIM_Reject,
     /* 2226537 */ // Label 29559: @2226537
     /* 2226537 */ GIM_Reject,
     /* 2226538 */ // Label 29521: @2226538
     /* 2226538 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2226652),
     /* 2226543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2226549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226561 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2226606), // Rule ID 48318 //
     /* 2226566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226569 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2226572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226605 */     // GIR_Coverage, 48318,
     /* 2226605 */     GIR_EraseRootFromParent_Done,
     /* 2226606 */   // Label 29563: @2226606
     /* 2226606 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2226651), // Rule ID 48319 //
     /* 2226611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226614 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2226617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226650 */     // GIR_Coverage, 48319,
     /* 2226650 */     GIR_EraseRootFromParent_Done,
     /* 2226651 */   // Label 29564: @2226651
     /* 2226651 */   GIM_Reject,
     /* 2226652 */ // Label 29562: @2226652
     /* 2226652 */ GIM_Reject,
     /* 2226653 */ // Label 29522: @2226653
     /* 2226653 */ GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2226767),
     /* 2226658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2226664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226676 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2226721), // Rule ID 48334 //
     /* 2226681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226684 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2226701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226720 */     // GIR_Coverage, 48334,
     /* 2226720 */     GIR_EraseRootFromParent_Done,
     /* 2226721 */   // Label 29566: @2226721
     /* 2226721 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2226766), // Rule ID 48335 //
     /* 2226726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226729 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2226746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226765 */     // GIR_Coverage, 48335,
     /* 2226765 */     GIR_EraseRootFromParent_Done,
     /* 2226766 */   // Label 29567: @2226766
     /* 2226766 */   GIM_Reject,
     /* 2226767 */ // Label 29565: @2226767
     /* 2226767 */ GIM_Reject,
     /* 2226768 */ // Label 29523: @2226768
     /* 2226768 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2226882),
     /* 2226773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2226776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2226779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226791 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2226836), // Rule ID 48378 //
     /* 2226796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226799 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2226816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226835 */     // GIR_Coverage, 48378,
     /* 2226835 */     GIR_EraseRootFromParent_Done,
     /* 2226836 */   // Label 29569: @2226836
     /* 2226836 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2226881), // Rule ID 48379 //
     /* 2226841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226844 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2226861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226880 */     // GIR_Coverage, 48379,
     /* 2226880 */     GIR_EraseRootFromParent_Done,
     /* 2226881 */   // Label 29570: @2226881
     /* 2226881 */   GIM_Reject,
     /* 2226882 */ // Label 29568: @2226882
     /* 2226882 */ GIM_Reject,
     /* 2226883 */ // Label 29524: @2226883
     /* 2226883 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2226997),
     /* 2226888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2226891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2226894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226906 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2226951), // Rule ID 48310 //
     /* 2226911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226914 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2226917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226950 */     // GIR_Coverage, 48310,
     /* 2226950 */     GIR_EraseRootFromParent_Done,
     /* 2226951 */   // Label 29572: @2226951
     /* 2226951 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2226996), // Rule ID 48311 //
     /* 2226956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226959 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2226962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2226976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226995 */     // GIR_Coverage, 48311,
     /* 2226995 */     GIR_EraseRootFromParent_Done,
     /* 2226996 */   // Label 29573: @2226996
     /* 2226996 */   GIM_Reject,
     /* 2226997 */ // Label 29571: @2226997
     /* 2226997 */ GIM_Reject,
     /* 2226998 */ // Label 29525: @2226998
     /* 2226998 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2227112),
     /* 2227003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2227009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227021 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2227066), // Rule ID 48330 //
     /* 2227026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227029 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2227046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227065 */     // GIR_Coverage, 48330,
     /* 2227065 */     GIR_EraseRootFromParent_Done,
     /* 2227066 */   // Label 29575: @2227066
     /* 2227066 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2227111), // Rule ID 48331 //
     /* 2227071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227074 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2227091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227110 */     // GIR_Coverage, 48331,
     /* 2227110 */     GIR_EraseRootFromParent_Done,
     /* 2227111 */   // Label 29576: @2227111
     /* 2227111 */   GIM_Reject,
     /* 2227112 */ // Label 29574: @2227112
     /* 2227112 */ GIM_Reject,
     /* 2227113 */ // Label 29526: @2227113
     /* 2227113 */ GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2227227),
     /* 2227118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2227121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2227124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227136 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2227181), // Rule ID 48366 //
     /* 2227141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227144 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227180 */     // GIR_Coverage, 48366,
     /* 2227180 */     GIR_EraseRootFromParent_Done,
     /* 2227181 */   // Label 29578: @2227181
     /* 2227181 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2227226), // Rule ID 48367 //
     /* 2227186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227189 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227225 */     // GIR_Coverage, 48367,
     /* 2227225 */     GIR_EraseRootFromParent_Done,
     /* 2227226 */   // Label 29579: @2227226
     /* 2227226 */   GIM_Reject,
     /* 2227227 */ // Label 29577: @2227227
     /* 2227227 */ GIM_Reject,
     /* 2227228 */ // Label 29527: @2227228
     /* 2227228 */ GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2227342),
     /* 2227233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2227236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2227239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227251 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2227296), // Rule ID 48382 //
     /* 2227256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227259 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2227262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2227276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227295 */     // GIR_Coverage, 48382,
     /* 2227295 */     GIR_EraseRootFromParent_Done,
     /* 2227296 */   // Label 29581: @2227296
     /* 2227296 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2227341), // Rule ID 48383 //
     /* 2227301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227304 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2227307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2227321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227340 */     // GIR_Coverage, 48383,
     /* 2227340 */     GIR_EraseRootFromParent_Done,
     /* 2227341 */   // Label 29582: @2227341
     /* 2227341 */   GIM_Reject,
     /* 2227342 */ // Label 29580: @2227342
     /* 2227342 */ GIM_Reject,
     /* 2227343 */ // Label 29528: @2227343
     /* 2227343 */ GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2227457),
     /* 2227348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2227351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2227354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227366 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2227411), // Rule ID 48326 //
     /* 2227371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227374 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2227377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2227391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227410 */     // GIR_Coverage, 48326,
     /* 2227410 */     GIR_EraseRootFromParent_Done,
     /* 2227411 */   // Label 29584: @2227411
     /* 2227411 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2227456), // Rule ID 48327 //
     /* 2227416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227419 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2227422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2227436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227455 */     // GIR_Coverage, 48327,
     /* 2227455 */     GIR_EraseRootFromParent_Done,
     /* 2227456 */   // Label 29585: @2227456
     /* 2227456 */   GIM_Reject,
     /* 2227457 */ // Label 29583: @2227457
     /* 2227457 */ GIM_Reject,
     /* 2227458 */ // Label 29529: @2227458
     /* 2227458 */ GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2227572),
     /* 2227463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2227466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2227469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227481 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2227526), // Rule ID 48354 //
     /* 2227486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227489 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2227492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227525 */     // GIR_Coverage, 48354,
     /* 2227525 */     GIR_EraseRootFromParent_Done,
     /* 2227526 */   // Label 29587: @2227526
     /* 2227526 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2227571), // Rule ID 48355 //
     /* 2227531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227534 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2227537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227570 */     // GIR_Coverage, 48355,
     /* 2227570 */     GIR_EraseRootFromParent_Done,
     /* 2227571 */   // Label 29588: @2227571
     /* 2227571 */   GIM_Reject,
     /* 2227572 */ // Label 29586: @2227572
     /* 2227572 */ GIM_Reject,
     /* 2227573 */ // Label 29530: @2227573
     /* 2227573 */ GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2227687),
     /* 2227578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2227581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2227584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227596 */   GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2227641), // Rule ID 48370 //
     /* 2227601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227604 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2227607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2227621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227640 */     // GIR_Coverage, 48370,
     /* 2227640 */     GIR_EraseRootFromParent_Done,
     /* 2227641 */   // Label 29590: @2227641
     /* 2227641 */   GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2227686), // Rule ID 48371 //
     /* 2227646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227649 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2227652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2227666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227685 */     // GIR_Coverage, 48371,
     /* 2227685 */     GIR_EraseRootFromParent_Done,
     /* 2227686 */   // Label 29591: @2227686
     /* 2227686 */   GIM_Reject,
     /* 2227687 */ // Label 29589: @2227687
     /* 2227687 */ GIM_Reject,
     /* 2227688 */ // Label 29531: @2227688
     /* 2227688 */ GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2227802),
     /* 2227693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2227696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2227699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227711 */   GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2227756), // Rule ID 48386 //
     /* 2227716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227719 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2227722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2227736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227755 */     // GIR_Coverage, 48386,
     /* 2227755 */     GIR_EraseRootFromParent_Done,
     /* 2227756 */   // Label 29593: @2227756
     /* 2227756 */   GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2227801), // Rule ID 48387 //
     /* 2227761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227764 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2227767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2227781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227800 */     // GIR_Coverage, 48387,
     /* 2227800 */     GIR_EraseRootFromParent_Done,
     /* 2227801 */   // Label 29594: @2227801
     /* 2227801 */   GIM_Reject,
     /* 2227802 */ // Label 29592: @2227802
     /* 2227802 */ GIM_Reject,
     /* 2227803 */ // Label 29532: @2227803
     /* 2227803 */ GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2227917),
     /* 2227808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2227811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2227814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227826 */   GIM_Try, /*On fail goto*//*Label 29596*/ GIMT_Encode4(2227871), // Rule ID 48342 //
     /* 2227831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227834 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2227837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227870 */     // GIR_Coverage, 48342,
     /* 2227870 */     GIR_EraseRootFromParent_Done,
     /* 2227871 */   // Label 29596: @2227871
     /* 2227871 */   GIM_Try, /*On fail goto*//*Label 29597*/ GIMT_Encode4(2227916), // Rule ID 48343 //
     /* 2227876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227879 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2227882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2227896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227915 */     // GIR_Coverage, 48343,
     /* 2227915 */     GIR_EraseRootFromParent_Done,
     /* 2227916 */   // Label 29597: @2227916
     /* 2227916 */   GIM_Reject,
     /* 2227917 */ // Label 29595: @2227917
     /* 2227917 */ GIM_Reject,
     /* 2227918 */ // Label 29533: @2227918
     /* 2227918 */ GIM_Try, /*On fail goto*//*Label 29598*/ GIMT_Encode4(2228032),
     /* 2227923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2227926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2227929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227941 */   GIM_Try, /*On fail goto*//*Label 29599*/ GIMT_Encode4(2227986), // Rule ID 48358 //
     /* 2227946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227949 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2227952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2227966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227985 */     // GIR_Coverage, 48358,
     /* 2227985 */     GIR_EraseRootFromParent_Done,
     /* 2227986 */   // Label 29599: @2227986
     /* 2227986 */   GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2228031), // Rule ID 48359 //
     /* 2227991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227994 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2227997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2228011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228030 */     // GIR_Coverage, 48359,
     /* 2228030 */     GIR_EraseRootFromParent_Done,
     /* 2228031 */   // Label 29600: @2228031
     /* 2228031 */   GIM_Reject,
     /* 2228032 */ // Label 29598: @2228032
     /* 2228032 */ GIM_Reject,
     /* 2228033 */ // Label 29534: @2228033
     /* 2228033 */ GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2228147),
     /* 2228038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2228041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2228044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228056 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2228101), // Rule ID 48374 //
     /* 2228061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228064 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2228067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228100 */     // GIR_Coverage, 48374,
     /* 2228100 */     GIR_EraseRootFromParent_Done,
     /* 2228101 */   // Label 29602: @2228101
     /* 2228101 */   GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2228146), // Rule ID 48375 //
     /* 2228106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228109 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2228112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228145 */     // GIR_Coverage, 48375,
     /* 2228145 */     GIR_EraseRootFromParent_Done,
     /* 2228146 */   // Label 29603: @2228146
     /* 2228146 */   GIM_Reject,
     /* 2228147 */ // Label 29601: @2228147
     /* 2228147 */ GIM_Reject,
     /* 2228148 */ // Label 29535: @2228148
     /* 2228148 */ GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2228262),
     /* 2228153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2228156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2228159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228171 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2228216), // Rule ID 48346 //
     /* 2228176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228179 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2228182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2228196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228215 */     // GIR_Coverage, 48346,
     /* 2228215 */     GIR_EraseRootFromParent_Done,
     /* 2228216 */   // Label 29605: @2228216
     /* 2228216 */   GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2228261), // Rule ID 48347 //
     /* 2228221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228224 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2228227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2228241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228260 */     // GIR_Coverage, 48347,
     /* 2228260 */     GIR_EraseRootFromParent_Done,
     /* 2228261 */   // Label 29606: @2228261
     /* 2228261 */   GIM_Reject,
     /* 2228262 */ // Label 29604: @2228262
     /* 2228262 */ GIM_Reject,
     /* 2228263 */ // Label 29536: @2228263
     /* 2228263 */ GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2228377),
     /* 2228268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2228271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2228274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228286 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2228331), // Rule ID 48362 //
     /* 2228291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228294 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2228297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228330 */     // GIR_Coverage, 48362,
     /* 2228330 */     GIR_EraseRootFromParent_Done,
     /* 2228331 */   // Label 29608: @2228331
     /* 2228331 */   GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2228376), // Rule ID 48363 //
     /* 2228336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228339 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2228342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228375 */     // GIR_Coverage, 48363,
     /* 2228375 */     GIR_EraseRootFromParent_Done,
     /* 2228376 */   // Label 29609: @2228376
     /* 2228376 */   GIM_Reject,
     /* 2228377 */ // Label 29607: @2228377
     /* 2228377 */ GIM_Reject,
     /* 2228378 */ // Label 29537: @2228378
     /* 2228378 */ GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2228492),
     /* 2228383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2228386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2228389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228401 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2228446), // Rule ID 48350 //
     /* 2228406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228409 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2228412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228445 */     // GIR_Coverage, 48350,
     /* 2228445 */     GIR_EraseRootFromParent_Done,
     /* 2228446 */   // Label 29611: @2228446
     /* 2228446 */   GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2228491), // Rule ID 48351 //
     /* 2228451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228454 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2228457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2228471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228490 */     // GIR_Coverage, 48351,
     /* 2228490 */     GIR_EraseRootFromParent_Done,
     /* 2228491 */   // Label 29612: @2228491
     /* 2228491 */   GIM_Reject,
     /* 2228492 */ // Label 29610: @2228492
     /* 2228492 */ GIM_Reject,
     /* 2228493 */ // Label 29538: @2228493
     /* 2228493 */ GIM_Reject,
     /* 2228494 */ // Label 46: @2228494
     /* 2228494 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29637*/ GIMT_Encode4(2231433),
     /* 2228505 */ /*GILLT_s32*//*Label 29613*/ GIMT_Encode4(2228629),
     /* 2228509 */ /*GILLT_s64*//*Label 29614*/ GIMT_Encode4(2228766), GIMT_Encode4(0),
     /* 2228517 */ /*GILLT_nxv1s8*//*Label 29615*/ GIMT_Encode4(2228903),
     /* 2228521 */ /*GILLT_nxv1s16*//*Label 29616*/ GIMT_Encode4(2229018),
     /* 2228525 */ /*GILLT_nxv1s32*//*Label 29617*/ GIMT_Encode4(2229133),
     /* 2228529 */ /*GILLT_nxv1s64*//*Label 29618*/ GIMT_Encode4(2229248), GIMT_Encode4(0),
     /* 2228537 */ /*GILLT_nxv2s8*//*Label 29619*/ GIMT_Encode4(2229363),
     /* 2228541 */ /*GILLT_nxv2s16*//*Label 29620*/ GIMT_Encode4(2229478),
     /* 2228545 */ /*GILLT_nxv2s32*//*Label 29621*/ GIMT_Encode4(2229593),
     /* 2228549 */ /*GILLT_nxv2s64*//*Label 29622*/ GIMT_Encode4(2229708), GIMT_Encode4(0),
     /* 2228557 */ /*GILLT_nxv4s8*//*Label 29623*/ GIMT_Encode4(2229823),
     /* 2228561 */ /*GILLT_nxv4s16*//*Label 29624*/ GIMT_Encode4(2229938),
     /* 2228565 */ /*GILLT_nxv4s32*//*Label 29625*/ GIMT_Encode4(2230053),
     /* 2228569 */ /*GILLT_nxv4s64*//*Label 29626*/ GIMT_Encode4(2230168), GIMT_Encode4(0),
     /* 2228577 */ /*GILLT_nxv8s8*//*Label 29627*/ GIMT_Encode4(2230283),
     /* 2228581 */ /*GILLT_nxv8s16*//*Label 29628*/ GIMT_Encode4(2230398),
     /* 2228585 */ /*GILLT_nxv8s32*//*Label 29629*/ GIMT_Encode4(2230513),
     /* 2228589 */ /*GILLT_nxv8s64*//*Label 29630*/ GIMT_Encode4(2230628), GIMT_Encode4(0),
     /* 2228597 */ /*GILLT_nxv16s8*//*Label 29631*/ GIMT_Encode4(2230743),
     /* 2228601 */ /*GILLT_nxv16s16*//*Label 29632*/ GIMT_Encode4(2230858),
     /* 2228605 */ /*GILLT_nxv16s32*//*Label 29633*/ GIMT_Encode4(2230973), GIMT_Encode4(0),
     /* 2228613 */ /*GILLT_nxv32s8*//*Label 29634*/ GIMT_Encode4(2231088),
     /* 2228617 */ /*GILLT_nxv32s16*//*Label 29635*/ GIMT_Encode4(2231203), GIMT_Encode4(0),
     /* 2228625 */ /*GILLT_nxv64s8*//*Label 29636*/ GIMT_Encode4(2231318),
     /* 2228629 */ // Label 29613: @2228629
     /* 2228629 */ GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2228765),
     /* 2228634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2228637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228648 */   GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2228682), // Rule ID 2453 //
     /* 2228653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2228656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2228660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2228668 */     // MIs[1] Operand 1
     /* 2228668 */     // No operand predicates
     /* 2228668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228670 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2228670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2228673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228681 */     // GIR_Coverage, 2453,
     /* 2228681 */     GIR_EraseRootFromParent_Done,
     /* 2228682 */   // Label 29639: @2228682
     /* 2228682 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2228716), // Rule ID 62542 //
     /* 2228687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2228690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2228694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2228702 */     // MIs[1] Operand 1
     /* 2228702 */     // No operand predicates
     /* 2228702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228704 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2228704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2228707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228715 */     // GIR_Coverage, 62542,
     /* 2228715 */     GIR_EraseRootFromParent_Done,
     /* 2228716 */   // Label 29640: @2228716
     /* 2228716 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2228745), // Rule ID 2451 //
     /* 2228721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2228724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2228731 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2228731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2228734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2228743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228744 */     // GIR_Coverage, 2451,
     /* 2228744 */     GIR_EraseRootFromParent_Done,
     /* 2228745 */   // Label 29641: @2228745
     /* 2228745 */   GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2228764), // Rule ID 64436 //
     /* 2228750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2228753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228757 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2228757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2228762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228763 */     // GIR_Coverage, 64436,
     /* 2228763 */     GIR_Done,
     /* 2228764 */   // Label 29642: @2228764
     /* 2228764 */   GIM_Reject,
     /* 2228765 */ // Label 29638: @2228765
     /* 2228765 */ GIM_Reject,
     /* 2228766 */ // Label 29614: @2228766
     /* 2228766 */ GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2228902),
     /* 2228771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2228774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228785 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2228819), // Rule ID 2452 //
     /* 2228790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2228793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2228797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2228805 */     // MIs[1] Operand 1
     /* 2228805 */     // No operand predicates
     /* 2228805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228807 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2228807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2228810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228818 */     // GIR_Coverage, 2452,
     /* 2228818 */     GIR_EraseRootFromParent_Done,
     /* 2228819 */   // Label 29644: @2228819
     /* 2228819 */   GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2228853), // Rule ID 62541 //
     /* 2228824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2228827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2228831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2228839 */     // MIs[1] Operand 1
     /* 2228839 */     // No operand predicates
     /* 2228839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228841 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2228841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2228844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228852 */     // GIR_Coverage, 62541,
     /* 2228852 */     GIR_EraseRootFromParent_Done,
     /* 2228853 */   // Label 29645: @2228853
     /* 2228853 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2228882), // Rule ID 2450 //
     /* 2228858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2228861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2228868 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2228871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2228880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228881 */     // GIR_Coverage, 2450,
     /* 2228881 */     GIR_EraseRootFromParent_Done,
     /* 2228882 */   // Label 29646: @2228882
     /* 2228882 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2228901), // Rule ID 64435 //
     /* 2228887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2228890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228894 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2228899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228900 */     // GIR_Coverage, 64435,
     /* 2228900 */     GIR_Done,
     /* 2228901 */   // Label 29647: @2228901
     /* 2228901 */   GIM_Reject,
     /* 2228902 */ // Label 29643: @2228902
     /* 2228902 */ GIM_Reject,
     /* 2228903 */ // Label 29615: @2228903
     /* 2228903 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2229017),
     /* 2228908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2228911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2228914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228926 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2228971), // Rule ID 59394 //
     /* 2228931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228934 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2228937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2228951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228970 */     // GIR_Coverage, 59394,
     /* 2228970 */     GIR_EraseRootFromParent_Done,
     /* 2228971 */   // Label 29649: @2228971
     /* 2228971 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2229016), // Rule ID 59395 //
     /* 2228976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228979 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2228982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2228996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229015 */     // GIR_Coverage, 59395,
     /* 2229015 */     GIR_EraseRootFromParent_Done,
     /* 2229016 */   // Label 29650: @2229016
     /* 2229016 */   GIM_Reject,
     /* 2229017 */ // Label 29648: @2229017
     /* 2229017 */ GIM_Reject,
     /* 2229018 */ // Label 29616: @2229018
     /* 2229018 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2229132),
     /* 2229023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2229026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2229029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229041 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2229086), // Rule ID 59406 //
     /* 2229046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229049 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2229052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2229066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229085 */     // GIR_Coverage, 59406,
     /* 2229085 */     GIR_EraseRootFromParent_Done,
     /* 2229086 */   // Label 29652: @2229086
     /* 2229086 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2229131), // Rule ID 59407 //
     /* 2229091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229094 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2229097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2229111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229130 */     // GIR_Coverage, 59407,
     /* 2229130 */     GIR_EraseRootFromParent_Done,
     /* 2229131 */   // Label 29653: @2229131
     /* 2229131 */   GIM_Reject,
     /* 2229132 */ // Label 29651: @2229132
     /* 2229132 */ GIM_Reject,
     /* 2229133 */ // Label 29617: @2229133
     /* 2229133 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2229247),
     /* 2229138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2229141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2229144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229156 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2229201), // Rule ID 59414 //
     /* 2229161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229164 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2229167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229200 */     // GIR_Coverage, 59414,
     /* 2229200 */     GIR_EraseRootFromParent_Done,
     /* 2229201 */   // Label 29655: @2229201
     /* 2229201 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2229246), // Rule ID 59415 //
     /* 2229206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229209 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2229212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229245 */     // GIR_Coverage, 59415,
     /* 2229245 */     GIR_EraseRootFromParent_Done,
     /* 2229246 */   // Label 29656: @2229246
     /* 2229246 */   GIM_Reject,
     /* 2229247 */ // Label 29654: @2229247
     /* 2229247 */ GIM_Reject,
     /* 2229248 */ // Label 29618: @2229248
     /* 2229248 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2229362),
     /* 2229253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2229256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2229259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229271 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2229316), // Rule ID 59430 //
     /* 2229276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229279 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2229282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2229296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229315 */     // GIR_Coverage, 59430,
     /* 2229315 */     GIR_EraseRootFromParent_Done,
     /* 2229316 */   // Label 29658: @2229316
     /* 2229316 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2229361), // Rule ID 59431 //
     /* 2229321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229324 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2229327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2229341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229360 */     // GIR_Coverage, 59431,
     /* 2229360 */     GIR_EraseRootFromParent_Done,
     /* 2229361 */   // Label 29659: @2229361
     /* 2229361 */   GIM_Reject,
     /* 2229362 */ // Label 29657: @2229362
     /* 2229362 */ GIM_Reject,
     /* 2229363 */ // Label 29619: @2229363
     /* 2229363 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2229477),
     /* 2229368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2229371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2229374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229386 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2229431), // Rule ID 59398 //
     /* 2229391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229394 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2229397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2229411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229430 */     // GIR_Coverage, 59398,
     /* 2229430 */     GIR_EraseRootFromParent_Done,
     /* 2229431 */   // Label 29661: @2229431
     /* 2229431 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2229476), // Rule ID 59399 //
     /* 2229436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229439 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2229442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2229456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229475 */     // GIR_Coverage, 59399,
     /* 2229475 */     GIR_EraseRootFromParent_Done,
     /* 2229476 */   // Label 29662: @2229476
     /* 2229476 */   GIM_Reject,
     /* 2229477 */ // Label 29660: @2229477
     /* 2229477 */ GIM_Reject,
     /* 2229478 */ // Label 29620: @2229478
     /* 2229478 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2229592),
     /* 2229483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2229486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229501 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2229546), // Rule ID 59410 //
     /* 2229506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229509 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2229512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229545 */     // GIR_Coverage, 59410,
     /* 2229545 */     GIR_EraseRootFromParent_Done,
     /* 2229546 */   // Label 29664: @2229546
     /* 2229546 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2229591), // Rule ID 59411 //
     /* 2229551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229554 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2229557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229590 */     // GIR_Coverage, 59411,
     /* 2229590 */     GIR_EraseRootFromParent_Done,
     /* 2229591 */   // Label 29665: @2229591
     /* 2229591 */   GIM_Reject,
     /* 2229592 */ // Label 29663: @2229592
     /* 2229592 */ GIM_Reject,
     /* 2229593 */ // Label 29621: @2229593
     /* 2229593 */ GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2229707),
     /* 2229598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2229601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229616 */   GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2229661), // Rule ID 59426 //
     /* 2229621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229624 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2229627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2229641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229660 */     // GIR_Coverage, 59426,
     /* 2229660 */     GIR_EraseRootFromParent_Done,
     /* 2229661 */   // Label 29667: @2229661
     /* 2229661 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2229706), // Rule ID 59427 //
     /* 2229666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229669 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2229672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2229686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229705 */     // GIR_Coverage, 59427,
     /* 2229705 */     GIR_EraseRootFromParent_Done,
     /* 2229706 */   // Label 29668: @2229706
     /* 2229706 */   GIM_Reject,
     /* 2229707 */ // Label 29666: @2229707
     /* 2229707 */ GIM_Reject,
     /* 2229708 */ // Label 29622: @2229708
     /* 2229708 */ GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2229822),
     /* 2229713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2229716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229731 */   GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2229776), // Rule ID 59470 //
     /* 2229736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229739 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2229742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2229756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229775 */     // GIR_Coverage, 59470,
     /* 2229775 */     GIR_EraseRootFromParent_Done,
     /* 2229776 */   // Label 29670: @2229776
     /* 2229776 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2229821), // Rule ID 59471 //
     /* 2229781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229784 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2229787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2229801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229820 */     // GIR_Coverage, 59471,
     /* 2229820 */     GIR_EraseRootFromParent_Done,
     /* 2229821 */   // Label 29671: @2229821
     /* 2229821 */   GIM_Reject,
     /* 2229822 */ // Label 29669: @2229822
     /* 2229822 */ GIM_Reject,
     /* 2229823 */ // Label 29623: @2229823
     /* 2229823 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2229937),
     /* 2229828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2229831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2229834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229846 */   GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2229891), // Rule ID 59402 //
     /* 2229851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229854 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2229857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229890 */     // GIR_Coverage, 59402,
     /* 2229890 */     GIR_EraseRootFromParent_Done,
     /* 2229891 */   // Label 29673: @2229891
     /* 2229891 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2229936), // Rule ID 59403 //
     /* 2229896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229899 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2229902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2229916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229935 */     // GIR_Coverage, 59403,
     /* 2229935 */     GIR_EraseRootFromParent_Done,
     /* 2229936 */   // Label 29674: @2229936
     /* 2229936 */   GIM_Reject,
     /* 2229937 */ // Label 29672: @2229937
     /* 2229937 */ GIM_Reject,
     /* 2229938 */ // Label 29624: @2229938
     /* 2229938 */ GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2230052),
     /* 2229943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2229946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2229949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229961 */   GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2230006), // Rule ID 59422 //
     /* 2229966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229969 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2229972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2229986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230005 */     // GIR_Coverage, 59422,
     /* 2230005 */     GIR_EraseRootFromParent_Done,
     /* 2230006 */   // Label 29676: @2230006
     /* 2230006 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2230051), // Rule ID 59423 //
     /* 2230011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230014 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2230017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2230031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230050 */     // GIR_Coverage, 59423,
     /* 2230050 */     GIR_EraseRootFromParent_Done,
     /* 2230051 */   // Label 29677: @2230051
     /* 2230051 */   GIM_Reject,
     /* 2230052 */ // Label 29675: @2230052
     /* 2230052 */ GIM_Reject,
     /* 2230053 */ // Label 29625: @2230053
     /* 2230053 */ GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2230167),
     /* 2230058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2230061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2230064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230076 */   GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2230121), // Rule ID 59458 //
     /* 2230081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230084 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2230087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230120 */     // GIR_Coverage, 59458,
     /* 2230120 */     GIR_EraseRootFromParent_Done,
     /* 2230121 */   // Label 29679: @2230121
     /* 2230121 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2230166), // Rule ID 59459 //
     /* 2230126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230129 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2230132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230165 */     // GIR_Coverage, 59459,
     /* 2230165 */     GIR_EraseRootFromParent_Done,
     /* 2230166 */   // Label 29680: @2230166
     /* 2230166 */   GIM_Reject,
     /* 2230167 */ // Label 29678: @2230167
     /* 2230167 */ GIM_Reject,
     /* 2230168 */ // Label 29626: @2230168
     /* 2230168 */ GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2230282),
     /* 2230173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2230176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2230179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230191 */   GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2230236), // Rule ID 59474 //
     /* 2230196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230199 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2230202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230235 */     // GIR_Coverage, 59474,
     /* 2230235 */     GIR_EraseRootFromParent_Done,
     /* 2230236 */   // Label 29682: @2230236
     /* 2230236 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2230281), // Rule ID 59475 //
     /* 2230241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230244 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2230247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230280 */     // GIR_Coverage, 59475,
     /* 2230280 */     GIR_EraseRootFromParent_Done,
     /* 2230281 */   // Label 29683: @2230281
     /* 2230281 */   GIM_Reject,
     /* 2230282 */ // Label 29681: @2230282
     /* 2230282 */ GIM_Reject,
     /* 2230283 */ // Label 29627: @2230283
     /* 2230283 */ GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2230397),
     /* 2230288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2230291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2230294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230306 */   GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2230351), // Rule ID 59418 //
     /* 2230311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230314 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2230317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2230331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230350 */     // GIR_Coverage, 59418,
     /* 2230350 */     GIR_EraseRootFromParent_Done,
     /* 2230351 */   // Label 29685: @2230351
     /* 2230351 */   GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2230396), // Rule ID 59419 //
     /* 2230356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230359 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2230362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2230376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230395 */     // GIR_Coverage, 59419,
     /* 2230395 */     GIR_EraseRootFromParent_Done,
     /* 2230396 */   // Label 29686: @2230396
     /* 2230396 */   GIM_Reject,
     /* 2230397 */ // Label 29684: @2230397
     /* 2230397 */ GIM_Reject,
     /* 2230398 */ // Label 29628: @2230398
     /* 2230398 */ GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2230512),
     /* 2230403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2230406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2230409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230421 */   GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2230466), // Rule ID 59446 //
     /* 2230426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230429 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2230432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230465 */     // GIR_Coverage, 59446,
     /* 2230465 */     GIR_EraseRootFromParent_Done,
     /* 2230466 */   // Label 29688: @2230466
     /* 2230466 */   GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2230511), // Rule ID 59447 //
     /* 2230471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230474 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2230477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230510 */     // GIR_Coverage, 59447,
     /* 2230510 */     GIR_EraseRootFromParent_Done,
     /* 2230511 */   // Label 29689: @2230511
     /* 2230511 */   GIM_Reject,
     /* 2230512 */ // Label 29687: @2230512
     /* 2230512 */ GIM_Reject,
     /* 2230513 */ // Label 29629: @2230513
     /* 2230513 */ GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2230627),
     /* 2230518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2230521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2230524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230536 */   GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2230581), // Rule ID 59462 //
     /* 2230541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230544 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2230547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230580 */     // GIR_Coverage, 59462,
     /* 2230580 */     GIR_EraseRootFromParent_Done,
     /* 2230581 */   // Label 29691: @2230581
     /* 2230581 */   GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2230626), // Rule ID 59463 //
     /* 2230586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230589 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2230592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230625 */     // GIR_Coverage, 59463,
     /* 2230625 */     GIR_EraseRootFromParent_Done,
     /* 2230626 */   // Label 29692: @2230626
     /* 2230626 */   GIM_Reject,
     /* 2230627 */ // Label 29690: @2230627
     /* 2230627 */ GIM_Reject,
     /* 2230628 */ // Label 29630: @2230628
     /* 2230628 */ GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2230742),
     /* 2230633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2230636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2230639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230651 */   GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2230696), // Rule ID 59478 //
     /* 2230656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230659 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2230662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2230676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230695 */     // GIR_Coverage, 59478,
     /* 2230695 */     GIR_EraseRootFromParent_Done,
     /* 2230696 */   // Label 29694: @2230696
     /* 2230696 */   GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2230741), // Rule ID 59479 //
     /* 2230701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230704 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2230707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2230721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230740 */     // GIR_Coverage, 59479,
     /* 2230740 */     GIR_EraseRootFromParent_Done,
     /* 2230741 */   // Label 29695: @2230741
     /* 2230741 */   GIM_Reject,
     /* 2230742 */ // Label 29693: @2230742
     /* 2230742 */ GIM_Reject,
     /* 2230743 */ // Label 29631: @2230743
     /* 2230743 */ GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2230857),
     /* 2230748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2230754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230766 */   GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2230811), // Rule ID 59434 //
     /* 2230771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230774 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230810 */     // GIR_Coverage, 59434,
     /* 2230810 */     GIR_EraseRootFromParent_Done,
     /* 2230811 */   // Label 29697: @2230811
     /* 2230811 */   GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2230856), // Rule ID 59435 //
     /* 2230816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230819 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2230836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230855 */     // GIR_Coverage, 59435,
     /* 2230855 */     GIR_EraseRootFromParent_Done,
     /* 2230856 */   // Label 29698: @2230856
     /* 2230856 */   GIM_Reject,
     /* 2230857 */ // Label 29696: @2230857
     /* 2230857 */ GIM_Reject,
     /* 2230858 */ // Label 29632: @2230858
     /* 2230858 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2230972),
     /* 2230863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2230869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230881 */   GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2230926), // Rule ID 59450 //
     /* 2230886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230889 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230925 */     // GIR_Coverage, 59450,
     /* 2230925 */     GIR_EraseRootFromParent_Done,
     /* 2230926 */   // Label 29700: @2230926
     /* 2230926 */   GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2230971), // Rule ID 59451 //
     /* 2230931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230934 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2230951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230970 */     // GIR_Coverage, 59451,
     /* 2230970 */     GIR_EraseRootFromParent_Done,
     /* 2230971 */   // Label 29701: @2230971
     /* 2230971 */   GIM_Reject,
     /* 2230972 */ // Label 29699: @2230972
     /* 2230972 */ GIM_Reject,
     /* 2230973 */ // Label 29633: @2230973
     /* 2230973 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2231087),
     /* 2230978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2230981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2230984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230996 */   GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2231041), // Rule ID 59466 //
     /* 2231001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231004 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2231007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231040 */     // GIR_Coverage, 59466,
     /* 2231040 */     GIR_EraseRootFromParent_Done,
     /* 2231041 */   // Label 29703: @2231041
     /* 2231041 */   GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2231086), // Rule ID 59467 //
     /* 2231046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231049 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2231052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231085 */     // GIR_Coverage, 59467,
     /* 2231085 */     GIR_EraseRootFromParent_Done,
     /* 2231086 */   // Label 29704: @2231086
     /* 2231086 */   GIM_Reject,
     /* 2231087 */ // Label 29702: @2231087
     /* 2231087 */ GIM_Reject,
     /* 2231088 */ // Label 29634: @2231088
     /* 2231088 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2231202),
     /* 2231093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2231099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231111 */   GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2231156), // Rule ID 59438 //
     /* 2231116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231119 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2231122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2231136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231155 */     // GIR_Coverage, 59438,
     /* 2231155 */     GIR_EraseRootFromParent_Done,
     /* 2231156 */   // Label 29706: @2231156
     /* 2231156 */   GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2231201), // Rule ID 59439 //
     /* 2231161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231164 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2231167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2231181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231200 */     // GIR_Coverage, 59439,
     /* 2231200 */     GIR_EraseRootFromParent_Done,
     /* 2231201 */   // Label 29707: @2231201
     /* 2231201 */   GIM_Reject,
     /* 2231202 */ // Label 29705: @2231202
     /* 2231202 */ GIM_Reject,
     /* 2231203 */ // Label 29635: @2231203
     /* 2231203 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2231317),
     /* 2231208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2231211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2231214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231226 */   GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2231271), // Rule ID 59454 //
     /* 2231231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231234 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231270 */     // GIR_Coverage, 59454,
     /* 2231270 */     GIR_EraseRootFromParent_Done,
     /* 2231271 */   // Label 29709: @2231271
     /* 2231271 */   GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2231316), // Rule ID 59455 //
     /* 2231276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231279 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231315 */     // GIR_Coverage, 59455,
     /* 2231315 */     GIR_EraseRootFromParent_Done,
     /* 2231316 */   // Label 29710: @2231316
     /* 2231316 */   GIM_Reject,
     /* 2231317 */ // Label 29708: @2231317
     /* 2231317 */ GIM_Reject,
     /* 2231318 */ // Label 29636: @2231318
     /* 2231318 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2231432),
     /* 2231323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2231326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2231329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231341 */   GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2231386), // Rule ID 59442 //
     /* 2231346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231349 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2231352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231385 */     // GIR_Coverage, 59442,
     /* 2231385 */     GIR_EraseRootFromParent_Done,
     /* 2231386 */   // Label 29712: @2231386
     /* 2231386 */   GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2231431), // Rule ID 59443 //
     /* 2231391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231394 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2231397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2231411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231430 */     // GIR_Coverage, 59443,
     /* 2231430 */     GIR_EraseRootFromParent_Done,
     /* 2231431 */   // Label 29713: @2231431
     /* 2231431 */   GIM_Reject,
     /* 2231432 */ // Label 29711: @2231432
     /* 2231432 */ GIM_Reject,
     /* 2231433 */ // Label 29637: @2231433
     /* 2231433 */ GIM_Reject,
     /* 2231434 */ // Label 47: @2231434
     /* 2231434 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29738*/ GIMT_Encode4(2234343),
     /* 2231445 */ /*GILLT_s32*//*Label 29714*/ GIMT_Encode4(2231569),
     /* 2231449 */ /*GILLT_s64*//*Label 29715*/ GIMT_Encode4(2231691), GIMT_Encode4(0),
     /* 2231457 */ /*GILLT_nxv1s8*//*Label 29716*/ GIMT_Encode4(2231813),
     /* 2231461 */ /*GILLT_nxv1s16*//*Label 29717*/ GIMT_Encode4(2231928),
     /* 2231465 */ /*GILLT_nxv1s32*//*Label 29718*/ GIMT_Encode4(2232043),
     /* 2231469 */ /*GILLT_nxv1s64*//*Label 29719*/ GIMT_Encode4(2232158), GIMT_Encode4(0),
     /* 2231477 */ /*GILLT_nxv2s8*//*Label 29720*/ GIMT_Encode4(2232273),
     /* 2231481 */ /*GILLT_nxv2s16*//*Label 29721*/ GIMT_Encode4(2232388),
     /* 2231485 */ /*GILLT_nxv2s32*//*Label 29722*/ GIMT_Encode4(2232503),
     /* 2231489 */ /*GILLT_nxv2s64*//*Label 29723*/ GIMT_Encode4(2232618), GIMT_Encode4(0),
     /* 2231497 */ /*GILLT_nxv4s8*//*Label 29724*/ GIMT_Encode4(2232733),
     /* 2231501 */ /*GILLT_nxv4s16*//*Label 29725*/ GIMT_Encode4(2232848),
     /* 2231505 */ /*GILLT_nxv4s32*//*Label 29726*/ GIMT_Encode4(2232963),
     /* 2231509 */ /*GILLT_nxv4s64*//*Label 29727*/ GIMT_Encode4(2233078), GIMT_Encode4(0),
     /* 2231517 */ /*GILLT_nxv8s8*//*Label 29728*/ GIMT_Encode4(2233193),
     /* 2231521 */ /*GILLT_nxv8s16*//*Label 29729*/ GIMT_Encode4(2233308),
     /* 2231525 */ /*GILLT_nxv8s32*//*Label 29730*/ GIMT_Encode4(2233423),
     /* 2231529 */ /*GILLT_nxv8s64*//*Label 29731*/ GIMT_Encode4(2233538), GIMT_Encode4(0),
     /* 2231537 */ /*GILLT_nxv16s8*//*Label 29732*/ GIMT_Encode4(2233653),
     /* 2231541 */ /*GILLT_nxv16s16*//*Label 29733*/ GIMT_Encode4(2233768),
     /* 2231545 */ /*GILLT_nxv16s32*//*Label 29734*/ GIMT_Encode4(2233883), GIMT_Encode4(0),
     /* 2231553 */ /*GILLT_nxv32s8*//*Label 29735*/ GIMT_Encode4(2233998),
     /* 2231557 */ /*GILLT_nxv32s16*//*Label 29736*/ GIMT_Encode4(2234113), GIMT_Encode4(0),
     /* 2231565 */ /*GILLT_nxv64s8*//*Label 29737*/ GIMT_Encode4(2234228),
     /* 2231569 */ // Label 29714: @2231569
     /* 2231569 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2231690),
     /* 2231574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2231577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231588 */   GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2231624), // Rule ID 2455 //
     /* 2231593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2231596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231608 */     // MIs[1] Operand 1
     /* 2231608 */     // No operand predicates
     /* 2231608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231610 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2231610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2231613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2231622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231623 */     // GIR_Coverage, 2455,
     /* 2231623 */     GIR_EraseRootFromParent_Done,
     /* 2231624 */   // Label 29740: @2231624
     /* 2231624 */   GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2231660), // Rule ID 62544 //
     /* 2231629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2231632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231644 */     // MIs[1] Operand 1
     /* 2231644 */     // No operand predicates
     /* 2231644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231646 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2231646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2231649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231653 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2231658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231659 */     // GIR_Coverage, 62544,
     /* 2231659 */     GIR_EraseRootFromParent_Done,
     /* 2231660 */   // Label 29741: @2231660
     /* 2231660 */   GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2231689), // Rule ID 2449 //
     /* 2231665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2231668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2231675 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2231678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2231687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231688 */     // GIR_Coverage, 2449,
     /* 2231688 */     GIR_EraseRootFromParent_Done,
     /* 2231689 */   // Label 29742: @2231689
     /* 2231689 */   GIM_Reject,
     /* 2231690 */ // Label 29739: @2231690
     /* 2231690 */ GIM_Reject,
     /* 2231691 */ // Label 29715: @2231691
     /* 2231691 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2231812),
     /* 2231696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2231699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231710 */   GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2231746), // Rule ID 2454 //
     /* 2231715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2231718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231730 */     // MIs[1] Operand 1
     /* 2231730 */     // No operand predicates
     /* 2231730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231732 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2231732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2231735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231739 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2231744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231745 */     // GIR_Coverage, 2454,
     /* 2231745 */     GIR_EraseRootFromParent_Done,
     /* 2231746 */   // Label 29744: @2231746
     /* 2231746 */   GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2231782), // Rule ID 62543 //
     /* 2231751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2231754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231766 */     // MIs[1] Operand 1
     /* 2231766 */     // No operand predicates
     /* 2231766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231768 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2231768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2231771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231775 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2231780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231781 */     // GIR_Coverage, 62543,
     /* 2231781 */     GIR_EraseRootFromParent_Done,
     /* 2231782 */   // Label 29745: @2231782
     /* 2231782 */   GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2231811), // Rule ID 2448 //
     /* 2231787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2231790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2231797 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2231797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2231800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2231809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231810 */     // GIR_Coverage, 2448,
     /* 2231810 */     GIR_EraseRootFromParent_Done,
     /* 2231811 */   // Label 29746: @2231811
     /* 2231811 */   GIM_Reject,
     /* 2231812 */ // Label 29743: @2231812
     /* 2231812 */ GIM_Reject,
     /* 2231813 */ // Label 29716: @2231813
     /* 2231813 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2231927),
     /* 2231818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2231821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231836 */   GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2231881), // Rule ID 59262 //
     /* 2231841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231844 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2231847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2231861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231880 */     // GIR_Coverage, 59262,
     /* 2231880 */     GIR_EraseRootFromParent_Done,
     /* 2231881 */   // Label 29748: @2231881
     /* 2231881 */   GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2231926), // Rule ID 59263 //
     /* 2231886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231889 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2231892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2231906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231925 */     // GIR_Coverage, 59263,
     /* 2231925 */     GIR_EraseRootFromParent_Done,
     /* 2231926 */   // Label 29749: @2231926
     /* 2231926 */   GIM_Reject,
     /* 2231927 */ // Label 29747: @2231927
     /* 2231927 */ GIM_Reject,
     /* 2231928 */ // Label 29717: @2231928
     /* 2231928 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2232042),
     /* 2231933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2231936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231951 */   GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2231996), // Rule ID 59274 //
     /* 2231956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231959 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2231976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231995 */     // GIR_Coverage, 59274,
     /* 2231995 */     GIR_EraseRootFromParent_Done,
     /* 2231996 */   // Label 29751: @2231996
     /* 2231996 */   GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2232041), // Rule ID 59275 //
     /* 2232001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232004 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2232007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2232021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232040 */     // GIR_Coverage, 59275,
     /* 2232040 */     GIR_EraseRootFromParent_Done,
     /* 2232041 */   // Label 29752: @2232041
     /* 2232041 */   GIM_Reject,
     /* 2232042 */ // Label 29750: @2232042
     /* 2232042 */ GIM_Reject,
     /* 2232043 */ // Label 29718: @2232043
     /* 2232043 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2232157),
     /* 2232048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2232051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232066 */   GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2232111), // Rule ID 59282 //
     /* 2232071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232074 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232110 */     // GIR_Coverage, 59282,
     /* 2232110 */     GIR_EraseRootFromParent_Done,
     /* 2232111 */   // Label 29754: @2232111
     /* 2232111 */   GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2232156), // Rule ID 59283 //
     /* 2232116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232119 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232155 */     // GIR_Coverage, 59283,
     /* 2232155 */     GIR_EraseRootFromParent_Done,
     /* 2232156 */   // Label 29755: @2232156
     /* 2232156 */   GIM_Reject,
     /* 2232157 */ // Label 29753: @2232157
     /* 2232157 */ GIM_Reject,
     /* 2232158 */ // Label 29719: @2232158
     /* 2232158 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2232272),
     /* 2232163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2232166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232181 */   GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2232226), // Rule ID 59298 //
     /* 2232186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232189 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232225 */     // GIR_Coverage, 59298,
     /* 2232225 */     GIR_EraseRootFromParent_Done,
     /* 2232226 */   // Label 29757: @2232226
     /* 2232226 */   GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2232271), // Rule ID 59299 //
     /* 2232231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232234 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232270 */     // GIR_Coverage, 59299,
     /* 2232270 */     GIR_EraseRootFromParent_Done,
     /* 2232271 */   // Label 29758: @2232271
     /* 2232271 */   GIM_Reject,
     /* 2232272 */ // Label 29756: @2232272
     /* 2232272 */ GIM_Reject,
     /* 2232273 */ // Label 29720: @2232273
     /* 2232273 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2232387),
     /* 2232278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2232281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2232284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232296 */   GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2232341), // Rule ID 59266 //
     /* 2232301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232304 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2232307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2232321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232340 */     // GIR_Coverage, 59266,
     /* 2232340 */     GIR_EraseRootFromParent_Done,
     /* 2232341 */   // Label 29760: @2232341
     /* 2232341 */   GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2232386), // Rule ID 59267 //
     /* 2232346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232349 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2232352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2232366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232385 */     // GIR_Coverage, 59267,
     /* 2232385 */     GIR_EraseRootFromParent_Done,
     /* 2232386 */   // Label 29761: @2232386
     /* 2232386 */   GIM_Reject,
     /* 2232387 */ // Label 29759: @2232387
     /* 2232387 */ GIM_Reject,
     /* 2232388 */ // Label 29721: @2232388
     /* 2232388 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2232502),
     /* 2232393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2232396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2232399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232411 */   GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2232456), // Rule ID 59278 //
     /* 2232416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232419 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232455 */     // GIR_Coverage, 59278,
     /* 2232455 */     GIR_EraseRootFromParent_Done,
     /* 2232456 */   // Label 29763: @2232456
     /* 2232456 */   GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2232501), // Rule ID 59279 //
     /* 2232461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232464 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232500 */     // GIR_Coverage, 59279,
     /* 2232500 */     GIR_EraseRootFromParent_Done,
     /* 2232501 */   // Label 29764: @2232501
     /* 2232501 */   GIM_Reject,
     /* 2232502 */ // Label 29762: @2232502
     /* 2232502 */ GIM_Reject,
     /* 2232503 */ // Label 29722: @2232503
     /* 2232503 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2232617),
     /* 2232508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2232511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2232514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232526 */   GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2232571), // Rule ID 59294 //
     /* 2232531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232534 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2232537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232570 */     // GIR_Coverage, 59294,
     /* 2232570 */     GIR_EraseRootFromParent_Done,
     /* 2232571 */   // Label 29766: @2232571
     /* 2232571 */   GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2232616), // Rule ID 59295 //
     /* 2232576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232579 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2232582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232615 */     // GIR_Coverage, 59295,
     /* 2232615 */     GIR_EraseRootFromParent_Done,
     /* 2232616 */   // Label 29767: @2232616
     /* 2232616 */   GIM_Reject,
     /* 2232617 */ // Label 29765: @2232617
     /* 2232617 */ GIM_Reject,
     /* 2232618 */ // Label 29723: @2232618
     /* 2232618 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2232732),
     /* 2232623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2232626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2232629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232641 */   GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2232686), // Rule ID 59338 //
     /* 2232646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232649 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2232652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2232666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232685 */     // GIR_Coverage, 59338,
     /* 2232685 */     GIR_EraseRootFromParent_Done,
     /* 2232686 */   // Label 29769: @2232686
     /* 2232686 */   GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2232731), // Rule ID 59339 //
     /* 2232691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232694 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2232697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2232711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232730 */     // GIR_Coverage, 59339,
     /* 2232730 */     GIR_EraseRootFromParent_Done,
     /* 2232731 */   // Label 29770: @2232731
     /* 2232731 */   GIM_Reject,
     /* 2232732 */ // Label 29768: @2232732
     /* 2232732 */ GIM_Reject,
     /* 2232733 */ // Label 29724: @2232733
     /* 2232733 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2232847),
     /* 2232738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2232741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232756 */   GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2232801), // Rule ID 59270 //
     /* 2232761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232764 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2232767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232800 */     // GIR_Coverage, 59270,
     /* 2232800 */     GIR_EraseRootFromParent_Done,
     /* 2232801 */   // Label 29772: @2232801
     /* 2232801 */   GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2232846), // Rule ID 59271 //
     /* 2232806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232809 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2232812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2232826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232845 */     // GIR_Coverage, 59271,
     /* 2232845 */     GIR_EraseRootFromParent_Done,
     /* 2232846 */   // Label 29773: @2232846
     /* 2232846 */   GIM_Reject,
     /* 2232847 */ // Label 29771: @2232847
     /* 2232847 */ GIM_Reject,
     /* 2232848 */ // Label 29725: @2232848
     /* 2232848 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2232962),
     /* 2232853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2232856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232871 */   GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2232916), // Rule ID 59290 //
     /* 2232876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232879 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2232882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232915 */     // GIR_Coverage, 59290,
     /* 2232915 */     GIR_EraseRootFromParent_Done,
     /* 2232916 */   // Label 29775: @2232916
     /* 2232916 */   GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2232961), // Rule ID 59291 //
     /* 2232921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232924 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2232927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2232941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232960 */     // GIR_Coverage, 59291,
     /* 2232960 */     GIR_EraseRootFromParent_Done,
     /* 2232961 */   // Label 29776: @2232961
     /* 2232961 */   GIM_Reject,
     /* 2232962 */ // Label 29774: @2232962
     /* 2232962 */ GIM_Reject,
     /* 2232963 */ // Label 29726: @2232963
     /* 2232963 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2233077),
     /* 2232968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2232971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2232974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232986 */   GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2233031), // Rule ID 59326 //
     /* 2232991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232994 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2232997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233030 */     // GIR_Coverage, 59326,
     /* 2233030 */     GIR_EraseRootFromParent_Done,
     /* 2233031 */   // Label 29778: @2233031
     /* 2233031 */   GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2233076), // Rule ID 59327 //
     /* 2233036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233039 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233075 */     // GIR_Coverage, 59327,
     /* 2233075 */     GIR_EraseRootFromParent_Done,
     /* 2233076 */   // Label 29779: @2233076
     /* 2233076 */   GIM_Reject,
     /* 2233077 */ // Label 29777: @2233077
     /* 2233077 */ GIM_Reject,
     /* 2233078 */ // Label 29727: @2233078
     /* 2233078 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2233192),
     /* 2233083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2233086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233101 */   GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2233146), // Rule ID 59342 //
     /* 2233106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233109 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233145 */     // GIR_Coverage, 59342,
     /* 2233145 */     GIR_EraseRootFromParent_Done,
     /* 2233146 */   // Label 29781: @2233146
     /* 2233146 */   GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2233191), // Rule ID 59343 //
     /* 2233151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233154 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233190 */     // GIR_Coverage, 59343,
     /* 2233190 */     GIR_EraseRootFromParent_Done,
     /* 2233191 */   // Label 29782: @2233191
     /* 2233191 */   GIM_Reject,
     /* 2233192 */ // Label 29780: @2233192
     /* 2233192 */ GIM_Reject,
     /* 2233193 */ // Label 29728: @2233193
     /* 2233193 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2233307),
     /* 2233198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2233201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2233204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233216 */   GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2233261), // Rule ID 59286 //
     /* 2233221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233224 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2233227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2233241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233260 */     // GIR_Coverage, 59286,
     /* 2233260 */     GIR_EraseRootFromParent_Done,
     /* 2233261 */   // Label 29784: @2233261
     /* 2233261 */   GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2233306), // Rule ID 59287 //
     /* 2233266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233269 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2233272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2233286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233305 */     // GIR_Coverage, 59287,
     /* 2233305 */     GIR_EraseRootFromParent_Done,
     /* 2233306 */   // Label 29785: @2233306
     /* 2233306 */   GIM_Reject,
     /* 2233307 */ // Label 29783: @2233307
     /* 2233307 */ GIM_Reject,
     /* 2233308 */ // Label 29729: @2233308
     /* 2233308 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2233422),
     /* 2233313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2233316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2233319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233331 */   GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2233376), // Rule ID 59314 //
     /* 2233336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233339 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2233342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233375 */     // GIR_Coverage, 59314,
     /* 2233375 */     GIR_EraseRootFromParent_Done,
     /* 2233376 */   // Label 29787: @2233376
     /* 2233376 */   GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2233421), // Rule ID 59315 //
     /* 2233381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233384 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2233387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233420 */     // GIR_Coverage, 59315,
     /* 2233420 */     GIR_EraseRootFromParent_Done,
     /* 2233421 */   // Label 29788: @2233421
     /* 2233421 */   GIM_Reject,
     /* 2233422 */ // Label 29786: @2233422
     /* 2233422 */ GIM_Reject,
     /* 2233423 */ // Label 29730: @2233423
     /* 2233423 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2233537),
     /* 2233428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2233431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2233434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233446 */   GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2233491), // Rule ID 59330 //
     /* 2233451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233454 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2233457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233490 */     // GIR_Coverage, 59330,
     /* 2233490 */     GIR_EraseRootFromParent_Done,
     /* 2233491 */   // Label 29790: @2233491
     /* 2233491 */   GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2233536), // Rule ID 59331 //
     /* 2233496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233499 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2233502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233535 */     // GIR_Coverage, 59331,
     /* 2233535 */     GIR_EraseRootFromParent_Done,
     /* 2233536 */   // Label 29791: @2233536
     /* 2233536 */   GIM_Reject,
     /* 2233537 */ // Label 29789: @2233537
     /* 2233537 */ GIM_Reject,
     /* 2233538 */ // Label 29731: @2233538
     /* 2233538 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2233652),
     /* 2233543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2233546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2233549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233561 */   GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2233606), // Rule ID 59346 //
     /* 2233566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233569 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2233572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2233586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233605 */     // GIR_Coverage, 59346,
     /* 2233605 */     GIR_EraseRootFromParent_Done,
     /* 2233606 */   // Label 29793: @2233606
     /* 2233606 */   GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2233651), // Rule ID 59347 //
     /* 2233611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233614 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2233617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2233631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233650 */     // GIR_Coverage, 59347,
     /* 2233650 */     GIR_EraseRootFromParent_Done,
     /* 2233651 */   // Label 29794: @2233651
     /* 2233651 */   GIM_Reject,
     /* 2233652 */ // Label 29792: @2233652
     /* 2233652 */ GIM_Reject,
     /* 2233653 */ // Label 29732: @2233653
     /* 2233653 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2233767),
     /* 2233658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2233661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2233664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233676 */   GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2233721), // Rule ID 59302 //
     /* 2233681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233684 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2233687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233720 */     // GIR_Coverage, 59302,
     /* 2233720 */     GIR_EraseRootFromParent_Done,
     /* 2233721 */   // Label 29796: @2233721
     /* 2233721 */   GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2233766), // Rule ID 59303 //
     /* 2233726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233729 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2233732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2233746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233765 */     // GIR_Coverage, 59303,
     /* 2233765 */     GIR_EraseRootFromParent_Done,
     /* 2233766 */   // Label 29797: @2233766
     /* 2233766 */   GIM_Reject,
     /* 2233767 */ // Label 29795: @2233767
     /* 2233767 */ GIM_Reject,
     /* 2233768 */ // Label 29733: @2233768
     /* 2233768 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2233882),
     /* 2233773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2233776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2233779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233791 */   GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2233836), // Rule ID 59318 //
     /* 2233796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233799 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2233802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233835 */     // GIR_Coverage, 59318,
     /* 2233835 */     GIR_EraseRootFromParent_Done,
     /* 2233836 */   // Label 29799: @2233836
     /* 2233836 */   GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2233881), // Rule ID 59319 //
     /* 2233841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233844 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2233847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2233861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233880 */     // GIR_Coverage, 59319,
     /* 2233880 */     GIR_EraseRootFromParent_Done,
     /* 2233881 */   // Label 29800: @2233881
     /* 2233881 */   GIM_Reject,
     /* 2233882 */ // Label 29798: @2233882
     /* 2233882 */ GIM_Reject,
     /* 2233883 */ // Label 29734: @2233883
     /* 2233883 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2233997),
     /* 2233888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2233891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2233894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233906 */   GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2233951), // Rule ID 59334 //
     /* 2233911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233914 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2233917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2233931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233950 */     // GIR_Coverage, 59334,
     /* 2233950 */     GIR_EraseRootFromParent_Done,
     /* 2233951 */   // Label 29802: @2233951
     /* 2233951 */   GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2233996), // Rule ID 59335 //
     /* 2233956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233959 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2233962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2233976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233995 */     // GIR_Coverage, 59335,
     /* 2233995 */     GIR_EraseRootFromParent_Done,
     /* 2233996 */   // Label 29803: @2233996
     /* 2233996 */   GIM_Reject,
     /* 2233997 */ // Label 29801: @2233997
     /* 2233997 */ GIM_Reject,
     /* 2233998 */ // Label 29735: @2233998
     /* 2233998 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2234112),
     /* 2234003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2234006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2234009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234021 */   GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2234066), // Rule ID 59306 //
     /* 2234026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234029 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2234032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2234046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234065 */     // GIR_Coverage, 59306,
     /* 2234065 */     GIR_EraseRootFromParent_Done,
     /* 2234066 */   // Label 29805: @2234066
     /* 2234066 */   GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2234111), // Rule ID 59307 //
     /* 2234071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234074 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2234077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2234091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234110 */     // GIR_Coverage, 59307,
     /* 2234110 */     GIR_EraseRootFromParent_Done,
     /* 2234111 */   // Label 29806: @2234111
     /* 2234111 */   GIM_Reject,
     /* 2234112 */ // Label 29804: @2234112
     /* 2234112 */ GIM_Reject,
     /* 2234113 */ // Label 29736: @2234113
     /* 2234113 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2234227),
     /* 2234118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2234121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2234124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234136 */   GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2234181), // Rule ID 59322 //
     /* 2234141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234144 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2234147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2234161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234180 */     // GIR_Coverage, 59322,
     /* 2234180 */     GIR_EraseRootFromParent_Done,
     /* 2234181 */   // Label 29808: @2234181
     /* 2234181 */   GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2234226), // Rule ID 59323 //
     /* 2234186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234189 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2234192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2234206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234225 */     // GIR_Coverage, 59323,
     /* 2234225 */     GIR_EraseRootFromParent_Done,
     /* 2234226 */   // Label 29809: @2234226
     /* 2234226 */   GIM_Reject,
     /* 2234227 */ // Label 29807: @2234227
     /* 2234227 */ GIM_Reject,
     /* 2234228 */ // Label 29737: @2234228
     /* 2234228 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2234342),
     /* 2234233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2234236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2234239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234251 */   GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2234296), // Rule ID 59310 //
     /* 2234256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234259 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2234262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2234276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234295 */     // GIR_Coverage, 59310,
     /* 2234295 */     GIR_EraseRootFromParent_Done,
     /* 2234296 */   // Label 29811: @2234296
     /* 2234296 */   GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2234341), // Rule ID 59311 //
     /* 2234301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234304 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2234307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2234321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234340 */     // GIR_Coverage, 59311,
     /* 2234340 */     GIR_EraseRootFromParent_Done,
     /* 2234341 */   // Label 29812: @2234341
     /* 2234341 */   GIM_Reject,
     /* 2234342 */ // Label 29810: @2234342
     /* 2234342 */ GIM_Reject,
     /* 2234343 */ // Label 29738: @2234343
     /* 2234343 */ GIM_Reject,
     /* 2234344 */ // Label 48: @2234344
     /* 2234344 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29822*/ GIMT_Encode4(2261006),
     /* 2234355 */ /*GILLT_s32*//*Label 29813*/ GIMT_Encode4(2234475),
     /* 2234359 */ /*GILLT_s64*//*Label 29814*/ GIMT_Encode4(2237269),
     /* 2234363 */ /*GILLT_nxv1s1*//*Label 29815*/ GIMT_Encode4(2240063), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234383 */ /*GILLT_nxv2s1*//*Label 29816*/ GIMT_Encode4(2243904), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234403 */ /*GILLT_nxv4s1*//*Label 29817*/ GIMT_Encode4(2247745), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234423 */ /*GILLT_nxv8s1*//*Label 29818*/ GIMT_Encode4(2251586), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234443 */ /*GILLT_nxv16s1*//*Label 29819*/ GIMT_Encode4(2255427), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234459 */ /*GILLT_nxv32s1*//*Label 29820*/ GIMT_Encode4(2258308), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2234471 */ /*GILLT_nxv64s1*//*Label 29821*/ GIMT_Encode4(2260229),
     /* 2234475 */ // Label 29813: @2234475
     /* 2234475 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2234518), // Rule ID 159 //
     /* 2234480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234493 */   // MIs[0] Operand 1
     /* 2234493 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234502 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2234506 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2234506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234511 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234517 */   // GIR_Coverage, 159,
     /* 2234517 */   GIR_EraseRootFromParent_Done,
     /* 2234518 */ // Label 29823: @2234518
     /* 2234518 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2234561), // Rule ID 65114 //
     /* 2234523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2234532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234536 */   // MIs[0] Operand 1
     /* 2234536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234545 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2234549 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2234549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234560 */   // GIR_Coverage, 65114,
     /* 2234560 */   GIR_EraseRootFromParent_Done,
     /* 2234561 */ // Label 29824: @2234561
     /* 2234561 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2234607), // Rule ID 65120 //
     /* 2234566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2234575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234579 */   // MIs[0] Operand 1
     /* 2234579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234588 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2234592 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2234592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234597 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234606 */   // GIR_Coverage, 65120,
     /* 2234606 */   GIR_EraseRootFromParent_Done,
     /* 2234607 */ // Label 29825: @2234607
     /* 2234607 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2234650), // Rule ID 65150 //
     /* 2234612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234625 */   // MIs[0] Operand 1
     /* 2234625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234634 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2234638 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2234638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234649 */   // GIR_Coverage, 65150,
     /* 2234649 */   GIR_EraseRootFromParent_Done,
     /* 2234650 */ // Label 29826: @2234650
     /* 2234650 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2234696), // Rule ID 65156 //
     /* 2234655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234668 */   // MIs[0] Operand 1
     /* 2234668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234677 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2234681 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2234681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234686 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234695 */   // GIR_Coverage, 65156,
     /* 2234695 */   GIR_EraseRootFromParent_Done,
     /* 2234696 */ // Label 29827: @2234696
     /* 2234696 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2234749), // Rule ID 149 //
     /* 2234701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234714 */   // MIs[0] Operand 1
     /* 2234714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234723 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2234727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2234731 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2234735 */   // MIs[1] Operand 1
     /* 2234735 */   // No operand predicates
     /* 2234735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234737 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2234737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2234740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234744 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2234747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234748 */   // GIR_Coverage, 149,
     /* 2234748 */   GIR_EraseRootFromParent_Done,
     /* 2234749 */ // Label 29828: @2234749
     /* 2234749 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2234802), // Rule ID 153 //
     /* 2234754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234767 */   // MIs[0] Operand 1
     /* 2234767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234776 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2234780 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2234784 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2234788 */   // MIs[1] Operand 1
     /* 2234788 */   // No operand predicates
     /* 2234788 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234790 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2234790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234797 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2234800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234801 */   // GIR_Coverage, 153,
     /* 2234801 */   GIR_EraseRootFromParent_Done,
     /* 2234802 */ // Label 29829: @2234802
     /* 2234802 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2234855), // Rule ID 65106 //
     /* 2234807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234820 */   // MIs[0] Operand 1
     /* 2234820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234829 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2234833 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2234837 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2234841 */   // MIs[1] Operand 1
     /* 2234841 */   // No operand predicates
     /* 2234841 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234843 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2234843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234850 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2234853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234854 */   // GIR_Coverage, 65106,
     /* 2234854 */   GIR_EraseRootFromParent_Done,
     /* 2234855 */ // Label 29830: @2234855
     /* 2234855 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2234908), // Rule ID 65110 //
     /* 2234860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234873 */   // MIs[0] Operand 1
     /* 2234873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234882 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2234886 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2234890 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2234894 */   // MIs[1] Operand 1
     /* 2234894 */   // No operand predicates
     /* 2234894 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234896 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2234896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2234899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234903 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2234906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234907 */   // GIR_Coverage, 65110,
     /* 2234907 */   GIR_EraseRootFromParent_Done,
     /* 2234908 */ // Label 29831: @2234908
     /* 2234908 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2234985), // Rule ID 65116 //
     /* 2234913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234926 */   // MIs[0] Operand 1
     /* 2234926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234935 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2234939 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2234943 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2234947 */   // MIs[1] Operand 1
     /* 2234947 */   // No operand predicates
     /* 2234947 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234949 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2234949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2234956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234961 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234965 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2234970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234984 */   // GIR_Coverage, 65116,
     /* 2234984 */   GIR_EraseRootFromParent_Done,
     /* 2234985 */ // Label 29832: @2234985
     /* 2234985 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2235065), // Rule ID 65122 //
     /* 2234990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2234996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2234999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235003 */   // MIs[0] Operand 1
     /* 2235003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235012 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235016 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235020 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2235024 */   // MIs[1] Operand 1
     /* 2235024 */   // No operand predicates
     /* 2235024 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235026 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2235026 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235029 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2235033 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235038 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235042 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2235047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2235052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235054 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235064 */   // GIR_Coverage, 65122,
     /* 2235064 */   GIR_EraseRootFromParent_Done,
     /* 2235065 */ // Label 29833: @2235065
     /* 2235065 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2235142), // Rule ID 65126 //
     /* 2235070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2235076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235083 */   // MIs[0] Operand 1
     /* 2235083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235100 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2235104 */   // MIs[1] Operand 1
     /* 2235104 */   // No operand predicates
     /* 2235104 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235106 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2235106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235118 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235122 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235141 */   // GIR_Coverage, 65126,
     /* 2235141 */   GIR_EraseRootFromParent_Done,
     /* 2235142 */ // Label 29834: @2235142
     /* 2235142 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2235219), // Rule ID 65130 //
     /* 2235147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2235153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235160 */   // MIs[0] Operand 1
     /* 2235160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235169 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235173 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235177 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2235181 */   // MIs[1] Operand 1
     /* 2235181 */   // No operand predicates
     /* 2235181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235183 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2235183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2235190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235195 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235199 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235218 */   // GIR_Coverage, 65130,
     /* 2235218 */   GIR_EraseRootFromParent_Done,
     /* 2235219 */ // Label 29835: @2235219
     /* 2235219 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2235294), // Rule ID 65134 //
     /* 2235224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235237 */   // MIs[0] Operand 1
     /* 2235237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2235242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235246 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235250 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235254 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2235258 */   // MIs[1] Operand 1
     /* 2235258 */   // No operand predicates
     /* 2235258 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235260 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2235260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235272 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235276 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2235279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235293 */   // GIR_Coverage, 65134,
     /* 2235293 */   GIR_EraseRootFromParent_Done,
     /* 2235294 */ // Label 29836: @2235294
     /* 2235294 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2235369), // Rule ID 65138 //
     /* 2235299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2235305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235312 */   // MIs[0] Operand 1
     /* 2235312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235321 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235325 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235329 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2235333 */   // MIs[1] Operand 1
     /* 2235333 */   // No operand predicates
     /* 2235333 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235335 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2235335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2235342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235347 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235351 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2235354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235361 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235368 */   // GIR_Coverage, 65138,
     /* 2235368 */   GIR_EraseRootFromParent_Done,
     /* 2235369 */ // Label 29837: @2235369
     /* 2235369 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2235424), // Rule ID 65142 //
     /* 2235374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2235380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235387 */   // MIs[0] Operand 1
     /* 2235387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235396 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235400 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235404 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2235408 */   // MIs[1] Operand 1
     /* 2235408 */   // No operand predicates
     /* 2235408 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235410 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2235410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235415 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235417 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235423 */   // GIR_Coverage, 65142,
     /* 2235423 */   GIR_EraseRootFromParent_Done,
     /* 2235424 */ // Label 29838: @2235424
     /* 2235424 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2235479), // Rule ID 65146 //
     /* 2235429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2235435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235442 */   // MIs[0] Operand 1
     /* 2235442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235451 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235455 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235459 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2235463 */   // MIs[1] Operand 1
     /* 2235463 */   // No operand predicates
     /* 2235463 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235465 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2235465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2235468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235472 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235478 */   // GIR_Coverage, 65146,
     /* 2235478 */   GIR_EraseRootFromParent_Done,
     /* 2235479 */ // Label 29839: @2235479
     /* 2235479 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2235556), // Rule ID 65152 //
     /* 2235484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235497 */   // MIs[0] Operand 1
     /* 2235497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235506 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235514 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2235518 */   // MIs[1] Operand 1
     /* 2235518 */   // No operand predicates
     /* 2235518 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235520 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2235520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2235527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235532 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235536 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2235541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235555 */   // GIR_Coverage, 65152,
     /* 2235555 */   GIR_EraseRootFromParent_Done,
     /* 2235556 */ // Label 29840: @2235556
     /* 2235556 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2235636), // Rule ID 65158 //
     /* 2235561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235574 */   // MIs[0] Operand 1
     /* 2235574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235583 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235587 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235591 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2235595 */   // MIs[1] Operand 1
     /* 2235595 */   // No operand predicates
     /* 2235595 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235597 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2235597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2235604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235609 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235613 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2235618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2235623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235625 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235635 */   // GIR_Coverage, 65158,
     /* 2235635 */   GIR_EraseRootFromParent_Done,
     /* 2235636 */ // Label 29841: @2235636
     /* 2235636 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2235713), // Rule ID 65162 //
     /* 2235641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235654 */   // MIs[0] Operand 1
     /* 2235654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235663 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235667 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235671 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2235675 */   // MIs[1] Operand 1
     /* 2235675 */   // No operand predicates
     /* 2235675 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235677 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2235677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235689 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235693 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235712 */   // GIR_Coverage, 65162,
     /* 2235712 */   GIR_EraseRootFromParent_Done,
     /* 2235713 */ // Label 29842: @2235713
     /* 2235713 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2235790), // Rule ID 65166 //
     /* 2235718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235731 */   // MIs[0] Operand 1
     /* 2235731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235740 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235744 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235748 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2235752 */   // MIs[1] Operand 1
     /* 2235752 */   // No operand predicates
     /* 2235752 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235754 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2235754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2235761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235766 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235770 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235789 */   // GIR_Coverage, 65166,
     /* 2235789 */   GIR_EraseRootFromParent_Done,
     /* 2235790 */ // Label 29843: @2235790
     /* 2235790 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2235865), // Rule ID 65170 //
     /* 2235795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235808 */   // MIs[0] Operand 1
     /* 2235808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2235813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235817 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235821 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235825 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2235829 */   // MIs[1] Operand 1
     /* 2235829 */   // No operand predicates
     /* 2235829 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235831 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2235831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235843 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235847 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2235850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235864 */   // GIR_Coverage, 65170,
     /* 2235864 */   GIR_EraseRootFromParent_Done,
     /* 2235865 */ // Label 29844: @2235865
     /* 2235865 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2235940), // Rule ID 65174 //
     /* 2235870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235883 */   // MIs[0] Operand 1
     /* 2235883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235892 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235896 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235900 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2235904 */   // MIs[1] Operand 1
     /* 2235904 */   // No operand predicates
     /* 2235904 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235906 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2235906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2235913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235918 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235922 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2235925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235939 */   // GIR_Coverage, 65174,
     /* 2235939 */   GIR_EraseRootFromParent_Done,
     /* 2235940 */ // Label 29845: @2235940
     /* 2235940 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2235995), // Rule ID 65178 //
     /* 2235945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2235954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235958 */   // MIs[0] Operand 1
     /* 2235958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235967 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2235971 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235975 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2235979 */   // MIs[1] Operand 1
     /* 2235979 */   // No operand predicates
     /* 2235979 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235981 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2235981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2235984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235988 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2235993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235994 */   // GIR_Coverage, 65178,
     /* 2235994 */   GIR_EraseRootFromParent_Done,
     /* 2235995 */ // Label 29846: @2235995
     /* 2235995 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2236050), // Rule ID 65182 //
     /* 2236000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236013 */   // MIs[0] Operand 1
     /* 2236013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236022 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2236026 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2236030 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2236034 */   // MIs[1] Operand 1
     /* 2236034 */   // No operand predicates
     /* 2236034 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2236036 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2236036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2236039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236043 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2236048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236049 */   // GIR_Coverage, 65182,
     /* 2236049 */   GIR_EraseRootFromParent_Done,
     /* 2236050 */ // Label 29847: @2236050
     /* 2236050 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2236092), // Rule ID 64448 //
     /* 2236055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2236058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236068 */   // MIs[0] Operand 1
     /* 2236068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236081 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2236084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236091 */   // GIR_Coverage, 64448,
     /* 2236091 */   GIR_EraseRootFromParent_Done,
     /* 2236092 */ // Label 29848: @2236092
     /* 2236092 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2236134), // Rule ID 64450 //
     /* 2236097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2236100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236110 */   // MIs[0] Operand 1
     /* 2236110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236123 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2236126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236133 */   // GIR_Coverage, 64450,
     /* 2236133 */   GIR_EraseRootFromParent_Done,
     /* 2236134 */ // Label 29849: @2236134
     /* 2236134 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2236176), // Rule ID 147 //
     /* 2236139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236152 */   // MIs[0] Operand 1
     /* 2236152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236165 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236172 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236175 */   // GIR_Coverage, 147,
     /* 2236175 */   GIR_EraseRootFromParent_Done,
     /* 2236176 */ // Label 29850: @2236176
     /* 2236176 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2236218), // Rule ID 151 //
     /* 2236181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236194 */   // MIs[0] Operand 1
     /* 2236194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236207 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236214 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236217 */   // GIR_Coverage, 151,
     /* 2236217 */   GIR_EraseRootFromParent_Done,
     /* 2236218 */ // Label 29851: @2236218
     /* 2236218 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2236260), // Rule ID 65108 //
     /* 2236223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236236 */   // MIs[0] Operand 1
     /* 2236236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236249 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236259 */   // GIR_Coverage, 65108,
     /* 2236259 */   GIR_EraseRootFromParent_Done,
     /* 2236260 */ // Label 29852: @2236260
     /* 2236260 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2236302), // Rule ID 65112 //
     /* 2236265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236278 */   // MIs[0] Operand 1
     /* 2236278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236291 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236301 */   // GIR_Coverage, 65112,
     /* 2236301 */   GIR_EraseRootFromParent_Done,
     /* 2236302 */ // Label 29853: @2236302
     /* 2236302 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2236368), // Rule ID 65118 //
     /* 2236307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236320 */   // MIs[0] Operand 1
     /* 2236320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236333 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2236333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2236340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236345 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236349 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2236358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236367 */   // GIR_Coverage, 65118,
     /* 2236367 */   GIR_EraseRootFromParent_Done,
     /* 2236368 */ // Label 29854: @2236368
     /* 2236368 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2236437), // Rule ID 65124 //
     /* 2236373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236386 */   // MIs[0] Operand 1
     /* 2236386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236399 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2236399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2236406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236411 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236415 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236426 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236436 */   // GIR_Coverage, 65124,
     /* 2236436 */   GIR_EraseRootFromParent_Done,
     /* 2236437 */ // Label 29855: @2236437
     /* 2236437 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2236479), // Rule ID 65128 //
     /* 2236442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236455 */   // MIs[0] Operand 1
     /* 2236455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236468 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2236468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236478 */   // GIR_Coverage, 65128,
     /* 2236478 */   GIR_EraseRootFromParent_Done,
     /* 2236479 */ // Label 29856: @2236479
     /* 2236479 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2236521), // Rule ID 65132 //
     /* 2236484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236497 */   // MIs[0] Operand 1
     /* 2236497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236510 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2236510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236520 */   // GIR_Coverage, 65132,
     /* 2236520 */   GIR_EraseRootFromParent_Done,
     /* 2236521 */ // Label 29857: @2236521
     /* 2236521 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2236587), // Rule ID 65136 //
     /* 2236526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236539 */   // MIs[0] Operand 1
     /* 2236539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236552 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2236552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236564 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236568 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2236577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236586 */   // GIR_Coverage, 65136,
     /* 2236586 */   GIR_EraseRootFromParent_Done,
     /* 2236587 */ // Label 29858: @2236587
     /* 2236587 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2236653), // Rule ID 65140 //
     /* 2236592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236605 */   // MIs[0] Operand 1
     /* 2236605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236618 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2236618 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236621 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236625 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236630 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236634 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2236643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236652 */   // GIR_Coverage, 65140,
     /* 2236652 */   GIR_EraseRootFromParent_Done,
     /* 2236653 */ // Label 29859: @2236653
     /* 2236653 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2236719), // Rule ID 65144 //
     /* 2236658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236671 */   // MIs[0] Operand 1
     /* 2236671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236684 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2236684 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236687 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236691 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236696 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236700 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2236709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236718 */   // GIR_Coverage, 65144,
     /* 2236718 */   GIR_EraseRootFromParent_Done,
     /* 2236719 */ // Label 29860: @2236719
     /* 2236719 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2236785), // Rule ID 65148 //
     /* 2236724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2236730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2236733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236737 */   // MIs[0] Operand 1
     /* 2236737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236750 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2236750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236762 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236766 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2236775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236784 */   // GIR_Coverage, 65148,
     /* 2236784 */   GIR_EraseRootFromParent_Done,
     /* 2236785 */ // Label 29861: @2236785
     /* 2236785 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2236851), // Rule ID 65154 //
     /* 2236790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236803 */   // MIs[0] Operand 1
     /* 2236803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236816 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2236816 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236819 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2236823 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236828 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236832 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2236841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2236849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236850 */   // GIR_Coverage, 65154,
     /* 2236850 */   GIR_EraseRootFromParent_Done,
     /* 2236851 */ // Label 29862: @2236851
     /* 2236851 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2236920), // Rule ID 65160 //
     /* 2236856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236869 */   // MIs[0] Operand 1
     /* 2236869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236882 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2236882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2236885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2236889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236894 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2236898 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2236902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236909 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236919 */   // GIR_Coverage, 65160,
     /* 2236919 */   GIR_EraseRootFromParent_Done,
     /* 2236920 */ // Label 29863: @2236920
     /* 2236920 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2236962), // Rule ID 65164 //
     /* 2236925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236938 */   // MIs[0] Operand 1
     /* 2236938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236951 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2236951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2236954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236961 */   // GIR_Coverage, 65164,
     /* 2236961 */   GIR_EraseRootFromParent_Done,
     /* 2236962 */ // Label 29864: @2236962
     /* 2236962 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2237004), // Rule ID 65168 //
     /* 2236967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2236970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2236976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236980 */   // MIs[0] Operand 1
     /* 2236980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236993 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2236993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2236996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237003 */   // GIR_Coverage, 65168,
     /* 2237003 */   GIR_EraseRootFromParent_Done,
     /* 2237004 */ // Label 29865: @2237004
     /* 2237004 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2237070), // Rule ID 65172 //
     /* 2237009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2237012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2237015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2237018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237022 */   // MIs[0] Operand 1
     /* 2237022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237035 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2237035 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237038 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2237042 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237047 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237051 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2237055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2237060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237069 */   // GIR_Coverage, 65172,
     /* 2237069 */   GIR_EraseRootFromParent_Done,
     /* 2237070 */ // Label 29866: @2237070
     /* 2237070 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2237136), // Rule ID 65176 //
     /* 2237075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2237078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2237081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2237084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237088 */   // MIs[0] Operand 1
     /* 2237088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237101 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2237101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2237108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237113 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237117 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2237121 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2237126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237128 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237135 */   // GIR_Coverage, 65176,
     /* 2237135 */   GIR_EraseRootFromParent_Done,
     /* 2237136 */ // Label 29867: @2237136
     /* 2237136 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2237202), // Rule ID 65180 //
     /* 2237141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2237144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2237147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2237150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237154 */   // MIs[0] Operand 1
     /* 2237154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237167 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2237167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2237174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237179 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2237183 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2237192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237201 */   // GIR_Coverage, 65180,
     /* 2237201 */   GIR_EraseRootFromParent_Done,
     /* 2237202 */ // Label 29868: @2237202
     /* 2237202 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2237268), // Rule ID 65184 //
     /* 2237207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2237210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2237213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2237216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237220 */   // MIs[0] Operand 1
     /* 2237220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237233 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2237233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2237240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237245 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2237249 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2237258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237267 */   // GIR_Coverage, 65184,
     /* 2237267 */   GIR_EraseRootFromParent_Done,
     /* 2237268 */ // Label 29869: @2237268
     /* 2237268 */ GIM_Reject,
     /* 2237269 */ // Label 29814: @2237269
     /* 2237269 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2237312), // Rule ID 158 //
     /* 2237274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2237280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237287 */   // MIs[0] Operand 1
     /* 2237287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237296 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2237300 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2237300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237311 */   // GIR_Coverage, 158,
     /* 2237311 */   GIR_EraseRootFromParent_Done,
     /* 2237312 */ // Label 29870: @2237312
     /* 2237312 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2237355), // Rule ID 65113 //
     /* 2237317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2237326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237330 */   // MIs[0] Operand 1
     /* 2237330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237339 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2237343 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2237343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237354 */   // GIR_Coverage, 65113,
     /* 2237354 */   GIR_EraseRootFromParent_Done,
     /* 2237355 */ // Label 29871: @2237355
     /* 2237355 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2237401), // Rule ID 65119 //
     /* 2237360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2237369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237373 */   // MIs[0] Operand 1
     /* 2237373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237382 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2237386 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2237386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2237389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237391 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237400 */   // GIR_Coverage, 65119,
     /* 2237400 */   GIR_EraseRootFromParent_Done,
     /* 2237401 */ // Label 29872: @2237401
     /* 2237401 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2237444), // Rule ID 65149 //
     /* 2237406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2237412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237419 */   // MIs[0] Operand 1
     /* 2237419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237428 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2237432 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2237432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237443 */   // GIR_Coverage, 65149,
     /* 2237443 */   GIR_EraseRootFromParent_Done,
     /* 2237444 */ // Label 29873: @2237444
     /* 2237444 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2237490), // Rule ID 65155 //
     /* 2237449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2237455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237462 */   // MIs[0] Operand 1
     /* 2237462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237471 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2237475 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2237475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2237478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237480 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237489 */   // GIR_Coverage, 65155,
     /* 2237489 */   GIR_EraseRootFromParent_Done,
     /* 2237490 */ // Label 29874: @2237490
     /* 2237490 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2237543), // Rule ID 148 //
     /* 2237495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2237501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237508 */   // MIs[0] Operand 1
     /* 2237508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237517 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237521 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237525 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2237529 */   // MIs[1] Operand 1
     /* 2237529 */   // No operand predicates
     /* 2237529 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237531 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2237531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2237534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237538 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2237541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237542 */   // GIR_Coverage, 148,
     /* 2237542 */   GIR_EraseRootFromParent_Done,
     /* 2237543 */ // Label 29875: @2237543
     /* 2237543 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2237596), // Rule ID 152 //
     /* 2237548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2237554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237561 */   // MIs[0] Operand 1
     /* 2237561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237570 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237574 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237578 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2237582 */   // MIs[1] Operand 1
     /* 2237582 */   // No operand predicates
     /* 2237582 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237584 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2237584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237591 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2237594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237595 */   // GIR_Coverage, 152,
     /* 2237595 */   GIR_EraseRootFromParent_Done,
     /* 2237596 */ // Label 29876: @2237596
     /* 2237596 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2237649), // Rule ID 65105 //
     /* 2237601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237614 */   // MIs[0] Operand 1
     /* 2237614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237623 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237627 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237631 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2237635 */   // MIs[1] Operand 1
     /* 2237635 */   // No operand predicates
     /* 2237635 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237637 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2237637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237644 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2237647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237648 */   // GIR_Coverage, 65105,
     /* 2237648 */   GIR_EraseRootFromParent_Done,
     /* 2237649 */ // Label 29877: @2237649
     /* 2237649 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2237702), // Rule ID 65109 //
     /* 2237654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237667 */   // MIs[0] Operand 1
     /* 2237667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237684 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2237688 */   // MIs[1] Operand 1
     /* 2237688 */   // No operand predicates
     /* 2237688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237690 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2237690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2237693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237695 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237697 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2237700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237701 */   // GIR_Coverage, 65109,
     /* 2237701 */   GIR_EraseRootFromParent_Done,
     /* 2237702 */ // Label 29878: @2237702
     /* 2237702 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2237779), // Rule ID 65115 //
     /* 2237707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237720 */   // MIs[0] Operand 1
     /* 2237720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237729 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237733 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237737 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2237741 */   // MIs[1] Operand 1
     /* 2237741 */   // No operand predicates
     /* 2237741 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237743 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2237743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2237750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237755 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237759 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2237764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237778 */   // GIR_Coverage, 65115,
     /* 2237778 */   GIR_EraseRootFromParent_Done,
     /* 2237779 */ // Label 29879: @2237779
     /* 2237779 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2237859), // Rule ID 65121 //
     /* 2237784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237797 */   // MIs[0] Operand 1
     /* 2237797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237814 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2237818 */   // MIs[1] Operand 1
     /* 2237818 */   // No operand predicates
     /* 2237818 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237820 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2237820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2237827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237832 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237836 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2237841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2237846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237848 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237858 */   // GIR_Coverage, 65121,
     /* 2237858 */   GIR_EraseRootFromParent_Done,
     /* 2237859 */ // Label 29880: @2237859
     /* 2237859 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2237936), // Rule ID 65125 //
     /* 2237864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237877 */   // MIs[0] Operand 1
     /* 2237877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237886 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237890 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237894 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2237898 */   // MIs[1] Operand 1
     /* 2237898 */   // No operand predicates
     /* 2237898 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237900 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2237900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2237907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237912 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237916 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2237921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2237926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2237934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237935 */   // GIR_Coverage, 65125,
     /* 2237935 */   GIR_EraseRootFromParent_Done,
     /* 2237936 */ // Label 29881: @2237936
     /* 2237936 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2238013), // Rule ID 65129 //
     /* 2237941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2237944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2237947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2237950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237954 */   // MIs[0] Operand 1
     /* 2237954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237963 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2237967 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237971 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2237975 */   // MIs[1] Operand 1
     /* 2237975 */   // No operand predicates
     /* 2237975 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237977 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2237977 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2237980 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2237984 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237989 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2237993 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2237998 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238012 */   // GIR_Coverage, 65129,
     /* 2238012 */   GIR_EraseRootFromParent_Done,
     /* 2238013 */ // Label 29882: @2238013
     /* 2238013 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2238088), // Rule ID 65133 //
     /* 2238018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238031 */   // MIs[0] Operand 1
     /* 2238031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238040 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238044 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238048 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2238052 */   // MIs[1] Operand 1
     /* 2238052 */   // No operand predicates
     /* 2238052 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238054 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2238054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238066 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238070 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2238073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238080 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238087 */   // GIR_Coverage, 65133,
     /* 2238087 */   GIR_EraseRootFromParent_Done,
     /* 2238088 */ // Label 29883: @2238088
     /* 2238088 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2238163), // Rule ID 65137 //
     /* 2238093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2238099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238106 */   // MIs[0] Operand 1
     /* 2238106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238115 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238119 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238123 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2238127 */   // MIs[1] Operand 1
     /* 2238127 */   // No operand predicates
     /* 2238127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238129 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2238129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2238136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238141 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238145 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2238148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238162 */   // GIR_Coverage, 65137,
     /* 2238162 */   GIR_EraseRootFromParent_Done,
     /* 2238163 */ // Label 29884: @2238163
     /* 2238163 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2238218), // Rule ID 65141 //
     /* 2238168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2238174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238181 */   // MIs[0] Operand 1
     /* 2238181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238190 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238194 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238198 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2238202 */   // MIs[1] Operand 1
     /* 2238202 */   // No operand predicates
     /* 2238202 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238204 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2238204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238211 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238217 */   // GIR_Coverage, 65141,
     /* 2238217 */   GIR_EraseRootFromParent_Done,
     /* 2238218 */ // Label 29885: @2238218
     /* 2238218 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2238273), // Rule ID 65145 //
     /* 2238223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2238229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238236 */   // MIs[0] Operand 1
     /* 2238236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238245 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238253 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2238257 */   // MIs[1] Operand 1
     /* 2238257 */   // No operand predicates
     /* 2238257 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238259 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2238259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2238262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238264 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238266 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238272 */   // GIR_Coverage, 65145,
     /* 2238272 */   GIR_EraseRootFromParent_Done,
     /* 2238273 */ // Label 29886: @2238273
     /* 2238273 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2238350), // Rule ID 65151 //
     /* 2238278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238291 */   // MIs[0] Operand 1
     /* 2238291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238300 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238304 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238308 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2238312 */   // MIs[1] Operand 1
     /* 2238312 */   // No operand predicates
     /* 2238312 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238314 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2238314 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238317 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2238321 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238326 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238330 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2238335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238349 */   // GIR_Coverage, 65151,
     /* 2238349 */   GIR_EraseRootFromParent_Done,
     /* 2238350 */ // Label 29887: @2238350
     /* 2238350 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2238430), // Rule ID 65157 //
     /* 2238355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238368 */   // MIs[0] Operand 1
     /* 2238368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238377 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238381 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238385 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2238389 */   // MIs[1] Operand 1
     /* 2238389 */   // No operand predicates
     /* 2238389 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238391 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2238391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2238398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238403 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238407 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2238412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2238417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238419 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238429 */   // GIR_Coverage, 65157,
     /* 2238429 */   GIR_EraseRootFromParent_Done,
     /* 2238430 */ // Label 29888: @2238430
     /* 2238430 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2238507), // Rule ID 65161 //
     /* 2238435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238448 */   // MIs[0] Operand 1
     /* 2238448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238457 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238461 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238465 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2238469 */   // MIs[1] Operand 1
     /* 2238469 */   // No operand predicates
     /* 2238469 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238471 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2238471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238483 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238487 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238506 */   // GIR_Coverage, 65161,
     /* 2238506 */   GIR_EraseRootFromParent_Done,
     /* 2238507 */ // Label 29889: @2238507
     /* 2238507 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2238584), // Rule ID 65165 //
     /* 2238512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238525 */   // MIs[0] Operand 1
     /* 2238525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238534 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238538 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238542 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2238546 */   // MIs[1] Operand 1
     /* 2238546 */   // No operand predicates
     /* 2238546 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238548 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2238548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2238555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238564 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238583 */   // GIR_Coverage, 65165,
     /* 2238583 */   GIR_EraseRootFromParent_Done,
     /* 2238584 */ // Label 29890: @2238584
     /* 2238584 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2238659), // Rule ID 65169 //
     /* 2238589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238602 */   // MIs[0] Operand 1
     /* 2238602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238611 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238615 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238619 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2238623 */   // MIs[1] Operand 1
     /* 2238623 */   // No operand predicates
     /* 2238623 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238625 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2238625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238637 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238641 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2238644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238658 */   // GIR_Coverage, 65169,
     /* 2238658 */   GIR_EraseRootFromParent_Done,
     /* 2238659 */ // Label 29891: @2238659
     /* 2238659 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2238734), // Rule ID 65173 //
     /* 2238664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238677 */   // MIs[0] Operand 1
     /* 2238677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238686 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238690 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238694 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2238698 */   // MIs[1] Operand 1
     /* 2238698 */   // No operand predicates
     /* 2238698 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238700 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2238700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2238703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2238707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238712 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2238716 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2238719 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2238724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238726 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2238732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238733 */   // GIR_Coverage, 65173,
     /* 2238733 */   GIR_EraseRootFromParent_Done,
     /* 2238734 */ // Label 29892: @2238734
     /* 2238734 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2238789), // Rule ID 65177 //
     /* 2238739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238752 */   // MIs[0] Operand 1
     /* 2238752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238761 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238765 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238769 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2238773 */   // MIs[1] Operand 1
     /* 2238773 */   // No operand predicates
     /* 2238773 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238775 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2238775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2238778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238782 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238788 */   // GIR_Coverage, 65177,
     /* 2238788 */   GIR_EraseRootFromParent_Done,
     /* 2238789 */ // Label 29893: @2238789
     /* 2238789 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2238844), // Rule ID 65181 //
     /* 2238794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238807 */   // MIs[0] Operand 1
     /* 2238807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238816 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2238820 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238824 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2238828 */   // MIs[1] Operand 1
     /* 2238828 */   // No operand predicates
     /* 2238828 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238830 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2238830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2238833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238837 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2238842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238843 */   // GIR_Coverage, 65181,
     /* 2238843 */   GIR_EraseRootFromParent_Done,
     /* 2238844 */ // Label 29894: @2238844
     /* 2238844 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2238886), // Rule ID 64447 //
     /* 2238849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2238852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238862 */   // MIs[0] Operand 1
     /* 2238862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238875 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2238875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2238878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238885 */   // GIR_Coverage, 64447,
     /* 2238885 */   GIR_EraseRootFromParent_Done,
     /* 2238886 */ // Label 29895: @2238886
     /* 2238886 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2238928), // Rule ID 64449 //
     /* 2238891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2238894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238904 */   // MIs[0] Operand 1
     /* 2238904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238917 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2238917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2238920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238927 */   // GIR_Coverage, 64449,
     /* 2238927 */   GIR_EraseRootFromParent_Done,
     /* 2238928 */ // Label 29896: @2238928
     /* 2238928 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2238970), // Rule ID 146 //
     /* 2238933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238946 */   // MIs[0] Operand 1
     /* 2238946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238959 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2238959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2238962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238969 */   // GIR_Coverage, 146,
     /* 2238969 */   GIR_EraseRootFromParent_Done,
     /* 2238970 */ // Label 29897: @2238970
     /* 2238970 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2239012), // Rule ID 150 //
     /* 2238975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2238978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2238984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238988 */   // MIs[0] Operand 1
     /* 2238988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239001 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2239001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239011 */   // GIR_Coverage, 150,
     /* 2239011 */   GIR_EraseRootFromParent_Done,
     /* 2239012 */ // Label 29898: @2239012
     /* 2239012 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2239054), // Rule ID 65107 //
     /* 2239017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239030 */   // MIs[0] Operand 1
     /* 2239030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239043 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2239043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239053 */   // GIR_Coverage, 65107,
     /* 2239053 */   GIR_EraseRootFromParent_Done,
     /* 2239054 */ // Label 29899: @2239054
     /* 2239054 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2239096), // Rule ID 65111 //
     /* 2239059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239072 */   // MIs[0] Operand 1
     /* 2239072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239085 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2239085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239095 */   // GIR_Coverage, 65111,
     /* 2239095 */   GIR_EraseRootFromParent_Done,
     /* 2239096 */ // Label 29900: @2239096
     /* 2239096 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2239162), // Rule ID 65117 //
     /* 2239101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239114 */   // MIs[0] Operand 1
     /* 2239114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239127 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2239134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239139 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239143 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239147 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239154 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239161 */   // GIR_Coverage, 65117,
     /* 2239161 */   GIR_EraseRootFromParent_Done,
     /* 2239162 */ // Label 29901: @2239162
     /* 2239162 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2239231), // Rule ID 65123 //
     /* 2239167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239180 */   // MIs[0] Operand 1
     /* 2239180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239193 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2239193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2239200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239205 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239209 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239220 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239230 */   // GIR_Coverage, 65123,
     /* 2239230 */   GIR_EraseRootFromParent_Done,
     /* 2239231 */ // Label 29902: @2239231
     /* 2239231 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2239273), // Rule ID 65127 //
     /* 2239236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239249 */   // MIs[0] Operand 1
     /* 2239249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239262 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2239262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239267 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239272 */   // GIR_Coverage, 65127,
     /* 2239272 */   GIR_EraseRootFromParent_Done,
     /* 2239273 */ // Label 29903: @2239273
     /* 2239273 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2239315), // Rule ID 65131 //
     /* 2239278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239291 */   // MIs[0] Operand 1
     /* 2239291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239304 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2239304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239314 */   // GIR_Coverage, 65131,
     /* 2239314 */   GIR_EraseRootFromParent_Done,
     /* 2239315 */ // Label 29904: @2239315
     /* 2239315 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2239381), // Rule ID 65135 //
     /* 2239320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239333 */   // MIs[0] Operand 1
     /* 2239333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239346 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239346 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239349 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239353 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239358 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239362 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239366 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239380 */   // GIR_Coverage, 65135,
     /* 2239380 */   GIR_EraseRootFromParent_Done,
     /* 2239381 */ // Label 29905: @2239381
     /* 2239381 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2239447), // Rule ID 65139 //
     /* 2239386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239399 */   // MIs[0] Operand 1
     /* 2239399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239412 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239424 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239428 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239446 */   // GIR_Coverage, 65139,
     /* 2239446 */   GIR_EraseRootFromParent_Done,
     /* 2239447 */ // Label 29906: @2239447
     /* 2239447 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2239513), // Rule ID 65143 //
     /* 2239452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239465 */   // MIs[0] Operand 1
     /* 2239465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239478 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2239478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239490 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239494 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239498 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239512 */   // GIR_Coverage, 65143,
     /* 2239512 */   GIR_EraseRootFromParent_Done,
     /* 2239513 */ // Label 29907: @2239513
     /* 2239513 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2239579), // Rule ID 65147 //
     /* 2239518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2239524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2239527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239531 */   // MIs[0] Operand 1
     /* 2239531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239544 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2239544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239556 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239578 */   // GIR_Coverage, 65147,
     /* 2239578 */   GIR_EraseRootFromParent_Done,
     /* 2239579 */ // Label 29908: @2239579
     /* 2239579 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2239645), // Rule ID 65153 //
     /* 2239584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239597 */   // MIs[0] Operand 1
     /* 2239597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239610 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2239617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239622 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239626 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239644 */   // GIR_Coverage, 65153,
     /* 2239644 */   GIR_EraseRootFromParent_Done,
     /* 2239645 */ // Label 29909: @2239645
     /* 2239645 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2239714), // Rule ID 65159 //
     /* 2239650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239663 */   // MIs[0] Operand 1
     /* 2239663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239676 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2239676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2239683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239688 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239692 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239696 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239703 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239713 */   // GIR_Coverage, 65159,
     /* 2239713 */   GIR_EraseRootFromParent_Done,
     /* 2239714 */ // Label 29910: @2239714
     /* 2239714 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2239756), // Rule ID 65163 //
     /* 2239719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239732 */   // MIs[0] Operand 1
     /* 2239732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239745 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2239745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239755 */   // GIR_Coverage, 65163,
     /* 2239755 */   GIR_EraseRootFromParent_Done,
     /* 2239756 */ // Label 29911: @2239756
     /* 2239756 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2239798), // Rule ID 65167 //
     /* 2239761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239774 */   // MIs[0] Operand 1
     /* 2239774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239787 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2239787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239792 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239797 */   // GIR_Coverage, 65167,
     /* 2239797 */   GIR_EraseRootFromParent_Done,
     /* 2239798 */ // Label 29912: @2239798
     /* 2239798 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2239864), // Rule ID 65171 //
     /* 2239803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239816 */   // MIs[0] Operand 1
     /* 2239816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239829 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239841 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239845 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239863 */   // GIR_Coverage, 65171,
     /* 2239863 */   GIR_EraseRootFromParent_Done,
     /* 2239864 */ // Label 29913: @2239864
     /* 2239864 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2239930), // Rule ID 65175 //
     /* 2239869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239882 */   // MIs[0] Operand 1
     /* 2239882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239895 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2239895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2239902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239907 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239911 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239929 */   // GIR_Coverage, 65175,
     /* 2239929 */   GIR_EraseRootFromParent_Done,
     /* 2239930 */ // Label 29914: @2239930
     /* 2239930 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2239996), // Rule ID 65179 //
     /* 2239935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2239938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2239941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2239944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239948 */   // MIs[0] Operand 1
     /* 2239948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239961 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2239961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2239964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239973 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2239977 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2239981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2239986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239995 */   // GIR_Coverage, 65179,
     /* 2239995 */   GIR_EraseRootFromParent_Done,
     /* 2239996 */ // Label 29915: @2239996
     /* 2239996 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2240062), // Rule ID 65183 //
     /* 2240001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2240004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2240007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2240010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240014 */   // MIs[0] Operand 1
     /* 2240014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240027 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2240027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2240034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240039 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2240043 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2240052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240061 */   // GIR_Coverage, 65183,
     /* 2240061 */   GIR_EraseRootFromParent_Done,
     /* 2240062 */ // Label 29916: @2240062
     /* 2240062 */ GIM_Reject,
     /* 2240063 */ // Label 29815: @2240063
     /* 2240063 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2240111), // Rule ID 45768 //
     /* 2240068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240081 */   // MIs[0] Operand 1
     /* 2240081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240094 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2240097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240110 */   // GIR_Coverage, 45768,
     /* 2240110 */   GIR_EraseRootFromParent_Done,
     /* 2240111 */ // Label 29917: @2240111
     /* 2240111 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2240159), // Rule ID 45769 //
     /* 2240116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240129 */   // MIs[0] Operand 1
     /* 2240129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240142 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2240145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240158 */   // GIR_Coverage, 45769,
     /* 2240158 */   GIR_EraseRootFromParent_Done,
     /* 2240159 */ // Label 29918: @2240159
     /* 2240159 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2240207), // Rule ID 45770 //
     /* 2240164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240177 */   // MIs[0] Operand 1
     /* 2240177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240190 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2240193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240195 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240206 */   // GIR_Coverage, 45770,
     /* 2240206 */   GIR_EraseRootFromParent_Done,
     /* 2240207 */ // Label 29919: @2240207
     /* 2240207 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2240255), // Rule ID 45771 //
     /* 2240212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240225 */   // MIs[0] Operand 1
     /* 2240225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240238 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2240241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240254 */   // GIR_Coverage, 45771,
     /* 2240254 */   GIR_EraseRootFromParent_Done,
     /* 2240255 */ // Label 29920: @2240255
     /* 2240255 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2240303), // Rule ID 48482 //
     /* 2240260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2240269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240273 */   // MIs[0] Operand 1
     /* 2240273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240286 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2240289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240302 */   // GIR_Coverage, 48482,
     /* 2240302 */   GIR_EraseRootFromParent_Done,
     /* 2240303 */ // Label 29921: @2240303
     /* 2240303 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2240351), // Rule ID 48483 //
     /* 2240308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2240317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240321 */   // MIs[0] Operand 1
     /* 2240321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240334 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2240337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240350 */   // GIR_Coverage, 48483,
     /* 2240350 */   GIR_EraseRootFromParent_Done,
     /* 2240351 */ // Label 29922: @2240351
     /* 2240351 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2240399), // Rule ID 48486 //
     /* 2240356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2240365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240369 */   // MIs[0] Operand 1
     /* 2240369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240382 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2240385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240398 */   // GIR_Coverage, 48486,
     /* 2240398 */   GIR_EraseRootFromParent_Done,
     /* 2240399 */ // Label 29923: @2240399
     /* 2240399 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2240447), // Rule ID 48487 //
     /* 2240404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2240413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240417 */   // MIs[0] Operand 1
     /* 2240417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240430 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2240433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240446 */   // GIR_Coverage, 48487,
     /* 2240446 */   GIR_EraseRootFromParent_Done,
     /* 2240447 */ // Label 29924: @2240447
     /* 2240447 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2240495), // Rule ID 48494 //
     /* 2240452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2240458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2240461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240465 */   // MIs[0] Operand 1
     /* 2240465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240478 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2240481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240494 */   // GIR_Coverage, 48494,
     /* 2240494 */   GIR_EraseRootFromParent_Done,
     /* 2240495 */ // Label 29925: @2240495
     /* 2240495 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2240543), // Rule ID 48495 //
     /* 2240500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2240506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2240509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240513 */   // MIs[0] Operand 1
     /* 2240513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240526 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2240529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240542 */   // GIR_Coverage, 48495,
     /* 2240542 */   GIR_EraseRootFromParent_Done,
     /* 2240543 */ // Label 29926: @2240543
     /* 2240543 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2240591), // Rule ID 48520 //
     /* 2240548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240561 */   // MIs[0] Operand 1
     /* 2240561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240574 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2240577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240590 */   // GIR_Coverage, 48520,
     /* 2240590 */   GIR_EraseRootFromParent_Done,
     /* 2240591 */ // Label 29927: @2240591
     /* 2240591 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2240639), // Rule ID 48521 //
     /* 2240596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240609 */   // MIs[0] Operand 1
     /* 2240609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240622 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2240625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240638 */   // GIR_Coverage, 48521,
     /* 2240638 */   GIR_EraseRootFromParent_Done,
     /* 2240639 */ // Label 29928: @2240639
     /* 2240639 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2240687), // Rule ID 48526 //
     /* 2240644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2240653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240657 */   // MIs[0] Operand 1
     /* 2240657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240670 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2240673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240686 */   // GIR_Coverage, 48526,
     /* 2240686 */   GIR_EraseRootFromParent_Done,
     /* 2240687 */ // Label 29929: @2240687
     /* 2240687 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2240735), // Rule ID 48527 //
     /* 2240692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2240701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240705 */   // MIs[0] Operand 1
     /* 2240705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240718 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2240721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240734 */   // GIR_Coverage, 48527,
     /* 2240734 */   GIR_EraseRootFromParent_Done,
     /* 2240735 */ // Label 29930: @2240735
     /* 2240735 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2240783), // Rule ID 48530 //
     /* 2240740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2240749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240753 */   // MIs[0] Operand 1
     /* 2240753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240766 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2240769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240782 */   // GIR_Coverage, 48530,
     /* 2240782 */   GIR_EraseRootFromParent_Done,
     /* 2240783 */ // Label 29931: @2240783
     /* 2240783 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2240831), // Rule ID 48531 //
     /* 2240788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2240797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240801 */   // MIs[0] Operand 1
     /* 2240801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240814 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2240817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240830 */   // GIR_Coverage, 48531,
     /* 2240830 */   GIR_EraseRootFromParent_Done,
     /* 2240831 */ // Label 29932: @2240831
     /* 2240831 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2240879), // Rule ID 48538 //
     /* 2240836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2240842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2240845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240849 */   // MIs[0] Operand 1
     /* 2240849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240862 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2240865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240878 */   // GIR_Coverage, 48538,
     /* 2240878 */   GIR_EraseRootFromParent_Done,
     /* 2240879 */ // Label 29933: @2240879
     /* 2240879 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2240927), // Rule ID 48539 //
     /* 2240884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2240890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2240893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240897 */   // MIs[0] Operand 1
     /* 2240897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240910 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2240913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240926 */   // GIR_Coverage, 48539,
     /* 2240926 */   GIR_EraseRootFromParent_Done,
     /* 2240927 */ // Label 29934: @2240927
     /* 2240927 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2240975), // Rule ID 48564 //
     /* 2240932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240945 */   // MIs[0] Operand 1
     /* 2240945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240958 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2240961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240974 */   // GIR_Coverage, 48564,
     /* 2240974 */   GIR_EraseRootFromParent_Done,
     /* 2240975 */ // Label 29935: @2240975
     /* 2240975 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2241023), // Rule ID 48565 //
     /* 2240980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2240989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240993 */   // MIs[0] Operand 1
     /* 2240993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241006 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2241009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241022 */   // GIR_Coverage, 48565,
     /* 2241022 */   GIR_EraseRootFromParent_Done,
     /* 2241023 */ // Label 29936: @2241023
     /* 2241023 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2241071), // Rule ID 48570 //
     /* 2241028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241041 */   // MIs[0] Operand 1
     /* 2241041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241054 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2241057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241070 */   // GIR_Coverage, 48570,
     /* 2241070 */   GIR_EraseRootFromParent_Done,
     /* 2241071 */ // Label 29937: @2241071
     /* 2241071 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2241119), // Rule ID 48571 //
     /* 2241076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241089 */   // MIs[0] Operand 1
     /* 2241089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241102 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2241105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241118 */   // GIR_Coverage, 48571,
     /* 2241118 */   GIR_EraseRootFromParent_Done,
     /* 2241119 */ // Label 29938: @2241119
     /* 2241119 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2241167), // Rule ID 48574 //
     /* 2241124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241137 */   // MIs[0] Operand 1
     /* 2241137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241150 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2241153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241166 */   // GIR_Coverage, 48574,
     /* 2241166 */   GIR_EraseRootFromParent_Done,
     /* 2241167 */ // Label 29939: @2241167
     /* 2241167 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2241215), // Rule ID 48575 //
     /* 2241172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241185 */   // MIs[0] Operand 1
     /* 2241185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241198 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2241201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241214 */   // GIR_Coverage, 48575,
     /* 2241214 */   GIR_EraseRootFromParent_Done,
     /* 2241215 */ // Label 29940: @2241215
     /* 2241215 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2241263), // Rule ID 48582 //
     /* 2241220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241233 */   // MIs[0] Operand 1
     /* 2241233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241246 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241262 */   // GIR_Coverage, 48582,
     /* 2241262 */   GIR_EraseRootFromParent_Done,
     /* 2241263 */ // Label 29941: @2241263
     /* 2241263 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2241311), // Rule ID 48583 //
     /* 2241268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241281 */   // MIs[0] Operand 1
     /* 2241281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241294 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241310 */   // GIR_Coverage, 48583,
     /* 2241310 */   GIR_EraseRootFromParent_Done,
     /* 2241311 */ // Label 29942: @2241311
     /* 2241311 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2241359), // Rule ID 48612 //
     /* 2241316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241329 */   // MIs[0] Operand 1
     /* 2241329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241342 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2241345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241349 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241358 */   // GIR_Coverage, 48612,
     /* 2241358 */   GIR_EraseRootFromParent_Done,
     /* 2241359 */ // Label 29943: @2241359
     /* 2241359 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2241407), // Rule ID 48613 //
     /* 2241364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241377 */   // MIs[0] Operand 1
     /* 2241377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241390 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2241393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241406 */   // GIR_Coverage, 48613,
     /* 2241406 */   GIR_EraseRootFromParent_Done,
     /* 2241407 */ // Label 29944: @2241407
     /* 2241407 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2241455), // Rule ID 48616 //
     /* 2241412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241425 */   // MIs[0] Operand 1
     /* 2241425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241438 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2241441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241454 */   // GIR_Coverage, 48616,
     /* 2241454 */   GIR_EraseRootFromParent_Done,
     /* 2241455 */ // Label 29945: @2241455
     /* 2241455 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2241503), // Rule ID 48617 //
     /* 2241460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241473 */   // MIs[0] Operand 1
     /* 2241473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241486 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2241489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241502 */   // GIR_Coverage, 48617,
     /* 2241502 */   GIR_EraseRootFromParent_Done,
     /* 2241503 */ // Label 29946: @2241503
     /* 2241503 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2241551), // Rule ID 48624 //
     /* 2241508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241521 */   // MIs[0] Operand 1
     /* 2241521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241534 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241541 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241550 */   // GIR_Coverage, 48624,
     /* 2241550 */   GIR_EraseRootFromParent_Done,
     /* 2241551 */ // Label 29947: @2241551
     /* 2241551 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2241599), // Rule ID 48625 //
     /* 2241556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241569 */   // MIs[0] Operand 1
     /* 2241569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241582 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241598 */   // GIR_Coverage, 48625,
     /* 2241598 */   GIR_EraseRootFromParent_Done,
     /* 2241599 */ // Label 29948: @2241599
     /* 2241599 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2241647), // Rule ID 48650 //
     /* 2241604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2241610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2241613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241617 */   // MIs[0] Operand 1
     /* 2241617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241630 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2241633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241646 */   // GIR_Coverage, 48650,
     /* 2241646 */   GIR_EraseRootFromParent_Done,
     /* 2241647 */ // Label 29949: @2241647
     /* 2241647 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2241695), // Rule ID 48651 //
     /* 2241652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2241658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2241661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241665 */   // MIs[0] Operand 1
     /* 2241665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241678 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2241681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241694 */   // GIR_Coverage, 48651,
     /* 2241694 */   GIR_EraseRootFromParent_Done,
     /* 2241695 */ // Label 29950: @2241695
     /* 2241695 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2241743), // Rule ID 48656 //
     /* 2241700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241713 */   // MIs[0] Operand 1
     /* 2241713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241726 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2241729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241742 */   // GIR_Coverage, 48656,
     /* 2241742 */   GIR_EraseRootFromParent_Done,
     /* 2241743 */ // Label 29951: @2241743
     /* 2241743 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2241791), // Rule ID 48657 //
     /* 2241748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2241757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241761 */   // MIs[0] Operand 1
     /* 2241761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241774 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2241777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241790 */   // GIR_Coverage, 48657,
     /* 2241790 */   GIR_EraseRootFromParent_Done,
     /* 2241791 */ // Label 29952: @2241791
     /* 2241791 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2241839), // Rule ID 48660 //
     /* 2241796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241809 */   // MIs[0] Operand 1
     /* 2241809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241822 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2241825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241838 */   // GIR_Coverage, 48660,
     /* 2241838 */   GIR_EraseRootFromParent_Done,
     /* 2241839 */ // Label 29953: @2241839
     /* 2241839 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2241887), // Rule ID 48661 //
     /* 2241844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2241853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241857 */   // MIs[0] Operand 1
     /* 2241857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241870 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2241873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241886 */   // GIR_Coverage, 48661,
     /* 2241886 */   GIR_EraseRootFromParent_Done,
     /* 2241887 */ // Label 29954: @2241887
     /* 2241887 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2241935), // Rule ID 48668 //
     /* 2241892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241905 */   // MIs[0] Operand 1
     /* 2241905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241918 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2241921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241934 */   // GIR_Coverage, 48668,
     /* 2241934 */   GIR_EraseRootFromParent_Done,
     /* 2241935 */ // Label 29955: @2241935
     /* 2241935 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2241983), // Rule ID 48669 //
     /* 2241940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2241949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241953 */   // MIs[0] Operand 1
     /* 2241953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241966 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2241969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241982 */   // GIR_Coverage, 48669,
     /* 2241982 */   GIR_EraseRootFromParent_Done,
     /* 2241983 */ // Label 29956: @2241983
     /* 2241983 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2242031), // Rule ID 48694 //
     /* 2241988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2241994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2241997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242001 */   // MIs[0] Operand 1
     /* 2242001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242014 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2242017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242030 */   // GIR_Coverage, 48694,
     /* 2242030 */   GIR_EraseRootFromParent_Done,
     /* 2242031 */ // Label 29957: @2242031
     /* 2242031 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2242079), // Rule ID 48695 //
     /* 2242036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2242042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2242045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242049 */   // MIs[0] Operand 1
     /* 2242049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242062 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2242065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242067 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242078 */   // GIR_Coverage, 48695,
     /* 2242078 */   GIR_EraseRootFromParent_Done,
     /* 2242079 */ // Label 29958: @2242079
     /* 2242079 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2242127), // Rule ID 48700 //
     /* 2242084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242097 */   // MIs[0] Operand 1
     /* 2242097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242110 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2242113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242126 */   // GIR_Coverage, 48700,
     /* 2242126 */   GIR_EraseRootFromParent_Done,
     /* 2242127 */ // Label 29959: @2242127
     /* 2242127 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2242175), // Rule ID 48701 //
     /* 2242132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242145 */   // MIs[0] Operand 1
     /* 2242145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242158 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2242161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242174 */   // GIR_Coverage, 48701,
     /* 2242174 */   GIR_EraseRootFromParent_Done,
     /* 2242175 */ // Label 29960: @2242175
     /* 2242175 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2242223), // Rule ID 48704 //
     /* 2242180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2242186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2242189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242193 */   // MIs[0] Operand 1
     /* 2242193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242206 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2242209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242222 */   // GIR_Coverage, 48704,
     /* 2242222 */   GIR_EraseRootFromParent_Done,
     /* 2242223 */ // Label 29961: @2242223
     /* 2242223 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2242271), // Rule ID 48705 //
     /* 2242228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2242234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2242237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242241 */   // MIs[0] Operand 1
     /* 2242241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242254 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2242257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242270 */   // GIR_Coverage, 48705,
     /* 2242270 */   GIR_EraseRootFromParent_Done,
     /* 2242271 */ // Label 29962: @2242271
     /* 2242271 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2242319), // Rule ID 48712 //
     /* 2242276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2242282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2242285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242289 */   // MIs[0] Operand 1
     /* 2242289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242302 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242318 */   // GIR_Coverage, 48712,
     /* 2242318 */   GIR_EraseRootFromParent_Done,
     /* 2242319 */ // Label 29963: @2242319
     /* 2242319 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2242367), // Rule ID 48713 //
     /* 2242324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2242330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2242333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242337 */   // MIs[0] Operand 1
     /* 2242337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242350 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242366 */   // GIR_Coverage, 48713,
     /* 2242366 */   GIR_EraseRootFromParent_Done,
     /* 2242367 */ // Label 29964: @2242367
     /* 2242367 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2242415), // Rule ID 48738 //
     /* 2242372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2242378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2242381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242385 */   // MIs[0] Operand 1
     /* 2242385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242398 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2242401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242414 */   // GIR_Coverage, 48738,
     /* 2242414 */   GIR_EraseRootFromParent_Done,
     /* 2242415 */ // Label 29965: @2242415
     /* 2242415 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2242463), // Rule ID 48739 //
     /* 2242420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2242426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2242429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242433 */   // MIs[0] Operand 1
     /* 2242433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242446 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2242449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242462 */   // GIR_Coverage, 48739,
     /* 2242462 */   GIR_EraseRootFromParent_Done,
     /* 2242463 */ // Label 29966: @2242463
     /* 2242463 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2242511), // Rule ID 48744 //
     /* 2242468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242481 */   // MIs[0] Operand 1
     /* 2242481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242494 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2242497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242510 */   // GIR_Coverage, 48744,
     /* 2242510 */   GIR_EraseRootFromParent_Done,
     /* 2242511 */ // Label 29967: @2242511
     /* 2242511 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2242559), // Rule ID 48745 //
     /* 2242516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242529 */   // MIs[0] Operand 1
     /* 2242529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242542 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2242545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242558 */   // GIR_Coverage, 48745,
     /* 2242558 */   GIR_EraseRootFromParent_Done,
     /* 2242559 */ // Label 29968: @2242559
     /* 2242559 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2242607), // Rule ID 48748 //
     /* 2242564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2242570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2242573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242577 */   // MIs[0] Operand 1
     /* 2242577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242590 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2242593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242606 */   // GIR_Coverage, 48748,
     /* 2242606 */   GIR_EraseRootFromParent_Done,
     /* 2242607 */ // Label 29969: @2242607
     /* 2242607 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2242655), // Rule ID 48749 //
     /* 2242612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2242618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2242621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242625 */   // MIs[0] Operand 1
     /* 2242625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242638 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2242641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242654 */   // GIR_Coverage, 48749,
     /* 2242654 */   GIR_EraseRootFromParent_Done,
     /* 2242655 */ // Label 29970: @2242655
     /* 2242655 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2242703), // Rule ID 48756 //
     /* 2242660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2242666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2242669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242673 */   // MIs[0] Operand 1
     /* 2242673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242686 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2242689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242693 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242702 */   // GIR_Coverage, 48756,
     /* 2242702 */   GIR_EraseRootFromParent_Done,
     /* 2242703 */ // Label 29971: @2242703
     /* 2242703 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2242751), // Rule ID 48757 //
     /* 2242708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2242714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2242717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242721 */   // MIs[0] Operand 1
     /* 2242721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242734 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2242737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242741 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242750 */   // GIR_Coverage, 48757,
     /* 2242750 */   GIR_EraseRootFromParent_Done,
     /* 2242751 */ // Label 29972: @2242751
     /* 2242751 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2242799), // Rule ID 48782 //
     /* 2242756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2242762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2242765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242769 */   // MIs[0] Operand 1
     /* 2242769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242782 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2242785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242798 */   // GIR_Coverage, 48782,
     /* 2242798 */   GIR_EraseRootFromParent_Done,
     /* 2242799 */ // Label 29973: @2242799
     /* 2242799 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2242847), // Rule ID 48783 //
     /* 2242804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2242810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2242813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242817 */   // MIs[0] Operand 1
     /* 2242817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242830 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2242833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242846 */   // GIR_Coverage, 48783,
     /* 2242846 */   GIR_EraseRootFromParent_Done,
     /* 2242847 */ // Label 29974: @2242847
     /* 2242847 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2242895), // Rule ID 48788 //
     /* 2242852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242865 */   // MIs[0] Operand 1
     /* 2242865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242878 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2242881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242894 */   // GIR_Coverage, 48788,
     /* 2242894 */   GIR_EraseRootFromParent_Done,
     /* 2242895 */ // Label 29975: @2242895
     /* 2242895 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2242943), // Rule ID 48789 //
     /* 2242900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2242906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2242909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242913 */   // MIs[0] Operand 1
     /* 2242913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242926 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2242929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242942 */   // GIR_Coverage, 48789,
     /* 2242942 */   GIR_EraseRootFromParent_Done,
     /* 2242943 */ // Label 29976: @2242943
     /* 2242943 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2242991), // Rule ID 48792 //
     /* 2242948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2242954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2242957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242961 */   // MIs[0] Operand 1
     /* 2242961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242974 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2242977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242990 */   // GIR_Coverage, 48792,
     /* 2242990 */   GIR_EraseRootFromParent_Done,
     /* 2242991 */ // Label 29977: @2242991
     /* 2242991 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2243039), // Rule ID 48793 //
     /* 2242996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243009 */   // MIs[0] Operand 1
     /* 2243009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243022 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2243025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243038 */   // GIR_Coverage, 48793,
     /* 2243038 */   GIR_EraseRootFromParent_Done,
     /* 2243039 */ // Label 29978: @2243039
     /* 2243039 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2243087), // Rule ID 48800 //
     /* 2243044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243057 */   // MIs[0] Operand 1
     /* 2243057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243070 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243086 */   // GIR_Coverage, 48800,
     /* 2243086 */   GIR_EraseRootFromParent_Done,
     /* 2243087 */ // Label 29979: @2243087
     /* 2243087 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2243135), // Rule ID 48801 //
     /* 2243092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243105 */   // MIs[0] Operand 1
     /* 2243105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243118 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243134 */   // GIR_Coverage, 48801,
     /* 2243134 */   GIR_EraseRootFromParent_Done,
     /* 2243135 */ // Label 29980: @2243135
     /* 2243135 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2243183), // Rule ID 48826 //
     /* 2243140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2243146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2243149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243153 */   // MIs[0] Operand 1
     /* 2243153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243166 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2243169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243182 */   // GIR_Coverage, 48826,
     /* 2243182 */   GIR_EraseRootFromParent_Done,
     /* 2243183 */ // Label 29981: @2243183
     /* 2243183 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2243231), // Rule ID 48827 //
     /* 2243188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2243194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2243197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243201 */   // MIs[0] Operand 1
     /* 2243201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243214 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2243217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243230 */   // GIR_Coverage, 48827,
     /* 2243230 */   GIR_EraseRootFromParent_Done,
     /* 2243231 */ // Label 29982: @2243231
     /* 2243231 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2243279), // Rule ID 48832 //
     /* 2243236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243249 */   // MIs[0] Operand 1
     /* 2243249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243262 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2243265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243278 */   // GIR_Coverage, 48832,
     /* 2243278 */   GIR_EraseRootFromParent_Done,
     /* 2243279 */ // Label 29983: @2243279
     /* 2243279 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2243327), // Rule ID 48833 //
     /* 2243284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243297 */   // MIs[0] Operand 1
     /* 2243297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243310 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2243313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243326 */   // GIR_Coverage, 48833,
     /* 2243326 */   GIR_EraseRootFromParent_Done,
     /* 2243327 */ // Label 29984: @2243327
     /* 2243327 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2243375), // Rule ID 48836 //
     /* 2243332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243345 */   // MIs[0] Operand 1
     /* 2243345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243358 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2243361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243374 */   // GIR_Coverage, 48836,
     /* 2243374 */   GIR_EraseRootFromParent_Done,
     /* 2243375 */ // Label 29985: @2243375
     /* 2243375 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2243423), // Rule ID 48837 //
     /* 2243380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243393 */   // MIs[0] Operand 1
     /* 2243393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243406 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2243409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243422 */   // GIR_Coverage, 48837,
     /* 2243422 */   GIR_EraseRootFromParent_Done,
     /* 2243423 */ // Label 29986: @2243423
     /* 2243423 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2243471), // Rule ID 48844 //
     /* 2243428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243441 */   // MIs[0] Operand 1
     /* 2243441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243454 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2243457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243470 */   // GIR_Coverage, 48844,
     /* 2243470 */   GIR_EraseRootFromParent_Done,
     /* 2243471 */ // Label 29987: @2243471
     /* 2243471 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2243519), // Rule ID 48845 //
     /* 2243476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243489 */   // MIs[0] Operand 1
     /* 2243489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243502 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2243505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243518 */   // GIR_Coverage, 48845,
     /* 2243518 */   GIR_EraseRootFromParent_Done,
     /* 2243519 */ // Label 29988: @2243519
     /* 2243519 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2243567), // Rule ID 48870 //
     /* 2243524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2243530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2243533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243537 */   // MIs[0] Operand 1
     /* 2243537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243550 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2243553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243566 */   // GIR_Coverage, 48870,
     /* 2243566 */   GIR_EraseRootFromParent_Done,
     /* 2243567 */ // Label 29989: @2243567
     /* 2243567 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2243615), // Rule ID 48871 //
     /* 2243572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2243578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2243581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243585 */   // MIs[0] Operand 1
     /* 2243585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243598 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2243601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243603 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243614 */   // GIR_Coverage, 48871,
     /* 2243614 */   GIR_EraseRootFromParent_Done,
     /* 2243615 */ // Label 29990: @2243615
     /* 2243615 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2243663), // Rule ID 48876 //
     /* 2243620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243633 */   // MIs[0] Operand 1
     /* 2243633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243646 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2243649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243662 */   // GIR_Coverage, 48876,
     /* 2243662 */   GIR_EraseRootFromParent_Done,
     /* 2243663 */ // Label 29991: @2243663
     /* 2243663 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2243711), // Rule ID 48877 //
     /* 2243668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243681 */   // MIs[0] Operand 1
     /* 2243681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243694 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2243697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243710 */   // GIR_Coverage, 48877,
     /* 2243710 */   GIR_EraseRootFromParent_Done,
     /* 2243711 */ // Label 29992: @2243711
     /* 2243711 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2243759), // Rule ID 48880 //
     /* 2243716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243729 */   // MIs[0] Operand 1
     /* 2243729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243742 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2243745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243758 */   // GIR_Coverage, 48880,
     /* 2243758 */   GIR_EraseRootFromParent_Done,
     /* 2243759 */ // Label 29993: @2243759
     /* 2243759 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2243807), // Rule ID 48881 //
     /* 2243764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243777 */   // MIs[0] Operand 1
     /* 2243777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243790 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2243793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243806 */   // GIR_Coverage, 48881,
     /* 2243806 */   GIR_EraseRootFromParent_Done,
     /* 2243807 */ // Label 29994: @2243807
     /* 2243807 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2243855), // Rule ID 48888 //
     /* 2243812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243825 */   // MIs[0] Operand 1
     /* 2243825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243838 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2243841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243843 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243854 */   // GIR_Coverage, 48888,
     /* 2243854 */   GIR_EraseRootFromParent_Done,
     /* 2243855 */ // Label 29995: @2243855
     /* 2243855 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2243903), // Rule ID 48889 //
     /* 2243860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2243869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243873 */   // MIs[0] Operand 1
     /* 2243873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243886 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2243889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243891 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243902 */   // GIR_Coverage, 48889,
     /* 2243902 */   GIR_EraseRootFromParent_Done,
     /* 2243903 */ // Label 29996: @2243903
     /* 2243903 */ GIM_Reject,
     /* 2243904 */ // Label 29816: @2243904
     /* 2243904 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2243952), // Rule ID 48478 //
     /* 2243909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2243915 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2243918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243922 */   // MIs[0] Operand 1
     /* 2243922 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243931 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243935 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2243938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243942 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243951 */   // GIR_Coverage, 48478,
     /* 2243951 */   GIR_EraseRootFromParent_Done,
     /* 2243952 */ // Label 29997: @2243952
     /* 2243952 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2244000), // Rule ID 48479 //
     /* 2243957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2243963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2243966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243970 */   // MIs[0] Operand 1
     /* 2243970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243983 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2243986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243999 */   // GIR_Coverage, 48479,
     /* 2243999 */   GIR_EraseRootFromParent_Done,
     /* 2244000 */ // Label 29998: @2244000
     /* 2244000 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2244048), // Rule ID 48484 //
     /* 2244005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244018 */   // MIs[0] Operand 1
     /* 2244018 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244027 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244031 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2244034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244036 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244038 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244047 */   // GIR_Coverage, 48484,
     /* 2244047 */   GIR_EraseRootFromParent_Done,
     /* 2244048 */ // Label 29999: @2244048
     /* 2244048 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2244096), // Rule ID 48485 //
     /* 2244053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244059 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244066 */   // MIs[0] Operand 1
     /* 2244066 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244075 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244079 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2244082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244086 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244095 */   // GIR_Coverage, 48485,
     /* 2244095 */   GIR_EraseRootFromParent_Done,
     /* 2244096 */ // Label 30000: @2244096
     /* 2244096 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2244144), // Rule ID 48492 //
     /* 2244101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244114 */   // MIs[0] Operand 1
     /* 2244114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244127 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2244130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244134 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244143 */   // GIR_Coverage, 48492,
     /* 2244143 */   GIR_EraseRootFromParent_Done,
     /* 2244144 */ // Label 30001: @2244144
     /* 2244144 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2244192), // Rule ID 48493 //
     /* 2244149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244162 */   // MIs[0] Operand 1
     /* 2244162 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244175 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2244178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244182 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244191 */   // GIR_Coverage, 48493,
     /* 2244191 */   GIR_EraseRootFromParent_Done,
     /* 2244192 */ // Label 30002: @2244192
     /* 2244192 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2244240), // Rule ID 48514 //
     /* 2244197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2244206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244210 */   // MIs[0] Operand 1
     /* 2244210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244223 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2244226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244239 */   // GIR_Coverage, 48514,
     /* 2244239 */   GIR_EraseRootFromParent_Done,
     /* 2244240 */ // Label 30003: @2244240
     /* 2244240 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2244288), // Rule ID 48515 //
     /* 2244245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244251 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2244254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244258 */   // MIs[0] Operand 1
     /* 2244258 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244267 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244271 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2244274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244287 */   // GIR_Coverage, 48515,
     /* 2244287 */   GIR_EraseRootFromParent_Done,
     /* 2244288 */ // Label 30004: @2244288
     /* 2244288 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2244336), // Rule ID 48522 //
     /* 2244293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2244299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2244302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244306 */   // MIs[0] Operand 1
     /* 2244306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244319 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2244322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244335 */   // GIR_Coverage, 48522,
     /* 2244335 */   GIR_EraseRootFromParent_Done,
     /* 2244336 */ // Label 30005: @2244336
     /* 2244336 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2244384), // Rule ID 48523 //
     /* 2244341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2244347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2244350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244354 */   // MIs[0] Operand 1
     /* 2244354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244367 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2244370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244374 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244383 */   // GIR_Coverage, 48523,
     /* 2244383 */   GIR_EraseRootFromParent_Done,
     /* 2244384 */ // Label 30006: @2244384
     /* 2244384 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2244432), // Rule ID 48528 //
     /* 2244389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244402 */   // MIs[0] Operand 1
     /* 2244402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244411 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244415 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2244418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244431 */   // GIR_Coverage, 48528,
     /* 2244431 */   GIR_EraseRootFromParent_Done,
     /* 2244432 */ // Label 30007: @2244432
     /* 2244432 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2244480), // Rule ID 48529 //
     /* 2244437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244443 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244450 */   // MIs[0] Operand 1
     /* 2244450 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244459 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244463 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2244466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244479 */   // GIR_Coverage, 48529,
     /* 2244479 */   GIR_EraseRootFromParent_Done,
     /* 2244480 */ // Label 30008: @2244480
     /* 2244480 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2244528), // Rule ID 48536 //
     /* 2244485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244498 */   // MIs[0] Operand 1
     /* 2244498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244511 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2244514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244527 */   // GIR_Coverage, 48536,
     /* 2244527 */   GIR_EraseRootFromParent_Done,
     /* 2244528 */ // Label 30009: @2244528
     /* 2244528 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2244576), // Rule ID 48537 //
     /* 2244533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244546 */   // MIs[0] Operand 1
     /* 2244546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244559 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2244562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244575 */   // GIR_Coverage, 48537,
     /* 2244575 */   GIR_EraseRootFromParent_Done,
     /* 2244576 */ // Label 30010: @2244576
     /* 2244576 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2244624), // Rule ID 48558 //
     /* 2244581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2244590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244594 */   // MIs[0] Operand 1
     /* 2244594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244607 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2244610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244623 */   // GIR_Coverage, 48558,
     /* 2244623 */   GIR_EraseRootFromParent_Done,
     /* 2244624 */ // Label 30011: @2244624
     /* 2244624 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2244672), // Rule ID 48559 //
     /* 2244629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2244638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244642 */   // MIs[0] Operand 1
     /* 2244642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244655 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2244658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244671 */   // GIR_Coverage, 48559,
     /* 2244671 */   GIR_EraseRootFromParent_Done,
     /* 2244672 */ // Label 30012: @2244672
     /* 2244672 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2244720), // Rule ID 48566 //
     /* 2244677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2244683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2244686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244690 */   // MIs[0] Operand 1
     /* 2244690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244703 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2244706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244719 */   // GIR_Coverage, 48566,
     /* 2244719 */   GIR_EraseRootFromParent_Done,
     /* 2244720 */ // Label 30013: @2244720
     /* 2244720 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2244768), // Rule ID 48567 //
     /* 2244725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2244731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2244734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244738 */   // MIs[0] Operand 1
     /* 2244738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244751 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2244754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244756 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244767 */   // GIR_Coverage, 48567,
     /* 2244767 */   GIR_EraseRootFromParent_Done,
     /* 2244768 */ // Label 30014: @2244768
     /* 2244768 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2244816), // Rule ID 48572 //
     /* 2244773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244786 */   // MIs[0] Operand 1
     /* 2244786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244795 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244799 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2244802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244806 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244815 */   // GIR_Coverage, 48572,
     /* 2244815 */   GIR_EraseRootFromParent_Done,
     /* 2244816 */ // Label 30015: @2244816
     /* 2244816 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2244864), // Rule ID 48573 //
     /* 2244821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2244827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2244830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244834 */   // MIs[0] Operand 1
     /* 2244834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244847 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2244850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244863 */   // GIR_Coverage, 48573,
     /* 2244863 */   GIR_EraseRootFromParent_Done,
     /* 2244864 */ // Label 30016: @2244864
     /* 2244864 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2244912), // Rule ID 48580 //
     /* 2244869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244882 */   // MIs[0] Operand 1
     /* 2244882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244895 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2244898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244911 */   // GIR_Coverage, 48580,
     /* 2244911 */   GIR_EraseRootFromParent_Done,
     /* 2244912 */ // Label 30017: @2244912
     /* 2244912 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2244960), // Rule ID 48581 //
     /* 2244917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244930 */   // MIs[0] Operand 1
     /* 2244930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244943 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2244946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244959 */   // GIR_Coverage, 48581,
     /* 2244959 */   GIR_EraseRootFromParent_Done,
     /* 2244960 */ // Label 30018: @2244960
     /* 2244960 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2245008), // Rule ID 48602 //
     /* 2244965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2244974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244978 */   // MIs[0] Operand 1
     /* 2244978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244991 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2244994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245007 */   // GIR_Coverage, 48602,
     /* 2245007 */   GIR_EraseRootFromParent_Done,
     /* 2245008 */ // Label 30019: @2245008
     /* 2245008 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2245056), // Rule ID 48603 //
     /* 2245013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245026 */   // MIs[0] Operand 1
     /* 2245026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245039 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245055 */   // GIR_Coverage, 48603,
     /* 2245055 */   GIR_EraseRootFromParent_Done,
     /* 2245056 */ // Label 30020: @2245056
     /* 2245056 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2245104), // Rule ID 48608 //
     /* 2245061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245074 */   // MIs[0] Operand 1
     /* 2245074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245087 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2245090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245103 */   // GIR_Coverage, 48608,
     /* 2245103 */   GIR_EraseRootFromParent_Done,
     /* 2245104 */ // Label 30021: @2245104
     /* 2245104 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2245152), // Rule ID 48609 //
     /* 2245109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245122 */   // MIs[0] Operand 1
     /* 2245122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245135 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2245138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245151 */   // GIR_Coverage, 48609,
     /* 2245151 */   GIR_EraseRootFromParent_Done,
     /* 2245152 */ // Label 30022: @2245152
     /* 2245152 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2245200), // Rule ID 48614 //
     /* 2245157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245170 */   // MIs[0] Operand 1
     /* 2245170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245183 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2245186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245199 */   // GIR_Coverage, 48614,
     /* 2245199 */   GIR_EraseRootFromParent_Done,
     /* 2245200 */ // Label 30023: @2245200
     /* 2245200 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2245248), // Rule ID 48615 //
     /* 2245205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245218 */   // MIs[0] Operand 1
     /* 2245218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245231 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2245234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245247 */   // GIR_Coverage, 48615,
     /* 2245247 */   GIR_EraseRootFromParent_Done,
     /* 2245248 */ // Label 30024: @2245248
     /* 2245248 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2245296), // Rule ID 48622 //
     /* 2245253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2245259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2245262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245266 */   // MIs[0] Operand 1
     /* 2245266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245279 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2245282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245295 */   // GIR_Coverage, 48622,
     /* 2245295 */   GIR_EraseRootFromParent_Done,
     /* 2245296 */ // Label 30025: @2245296
     /* 2245296 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2245344), // Rule ID 48623 //
     /* 2245301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2245307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2245310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245314 */   // MIs[0] Operand 1
     /* 2245314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245327 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2245330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245343 */   // GIR_Coverage, 48623,
     /* 2245343 */   GIR_EraseRootFromParent_Done,
     /* 2245344 */ // Label 30026: @2245344
     /* 2245344 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2245392), // Rule ID 48644 //
     /* 2245349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245362 */   // MIs[0] Operand 1
     /* 2245362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245375 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245391 */   // GIR_Coverage, 48644,
     /* 2245391 */   GIR_EraseRootFromParent_Done,
     /* 2245392 */ // Label 30027: @2245392
     /* 2245392 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2245440), // Rule ID 48645 //
     /* 2245397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245410 */   // MIs[0] Operand 1
     /* 2245410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245423 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245439 */   // GIR_Coverage, 48645,
     /* 2245439 */   GIR_EraseRootFromParent_Done,
     /* 2245440 */ // Label 30028: @2245440
     /* 2245440 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2245488), // Rule ID 48652 //
     /* 2245445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245458 */   // MIs[0] Operand 1
     /* 2245458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245471 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2245474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245487 */   // GIR_Coverage, 48652,
     /* 2245487 */   GIR_EraseRootFromParent_Done,
     /* 2245488 */ // Label 30029: @2245488
     /* 2245488 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2245536), // Rule ID 48653 //
     /* 2245493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245506 */   // MIs[0] Operand 1
     /* 2245506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245519 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2245522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245535 */   // GIR_Coverage, 48653,
     /* 2245535 */   GIR_EraseRootFromParent_Done,
     /* 2245536 */ // Label 30030: @2245536
     /* 2245536 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2245584), // Rule ID 48658 //
     /* 2245541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245554 */   // MIs[0] Operand 1
     /* 2245554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245567 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2245570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245583 */   // GIR_Coverage, 48658,
     /* 2245583 */   GIR_EraseRootFromParent_Done,
     /* 2245584 */ // Label 30031: @2245584
     /* 2245584 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2245632), // Rule ID 48659 //
     /* 2245589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245602 */   // MIs[0] Operand 1
     /* 2245602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245615 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2245618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245631 */   // GIR_Coverage, 48659,
     /* 2245631 */   GIR_EraseRootFromParent_Done,
     /* 2245632 */ // Label 30032: @2245632
     /* 2245632 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2245680), // Rule ID 48666 //
     /* 2245637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2245643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2245646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245650 */   // MIs[0] Operand 1
     /* 2245650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245663 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2245666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245679 */   // GIR_Coverage, 48666,
     /* 2245679 */   GIR_EraseRootFromParent_Done,
     /* 2245680 */ // Label 30033: @2245680
     /* 2245680 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2245728), // Rule ID 48667 //
     /* 2245685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2245691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2245694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245698 */   // MIs[0] Operand 1
     /* 2245698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245711 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2245714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245727 */   // GIR_Coverage, 48667,
     /* 2245727 */   GIR_EraseRootFromParent_Done,
     /* 2245728 */ // Label 30034: @2245728
     /* 2245728 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2245776), // Rule ID 48688 //
     /* 2245733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245746 */   // MIs[0] Operand 1
     /* 2245746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245759 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2245762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245775 */   // GIR_Coverage, 48688,
     /* 2245775 */   GIR_EraseRootFromParent_Done,
     /* 2245776 */ // Label 30035: @2245776
     /* 2245776 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2245824), // Rule ID 48689 //
     /* 2245781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245794 */   // MIs[0] Operand 1
     /* 2245794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245807 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2245810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245823 */   // GIR_Coverage, 48689,
     /* 2245823 */   GIR_EraseRootFromParent_Done,
     /* 2245824 */ // Label 30036: @2245824
     /* 2245824 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2245872), // Rule ID 48696 //
     /* 2245829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245842 */   // MIs[0] Operand 1
     /* 2245842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245855 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2245858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245871 */   // GIR_Coverage, 48696,
     /* 2245871 */   GIR_EraseRootFromParent_Done,
     /* 2245872 */ // Label 30037: @2245872
     /* 2245872 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2245920), // Rule ID 48697 //
     /* 2245877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2245883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2245886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245890 */   // MIs[0] Operand 1
     /* 2245890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245903 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2245906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245919 */   // GIR_Coverage, 48697,
     /* 2245919 */   GIR_EraseRootFromParent_Done,
     /* 2245920 */ // Label 30038: @2245920
     /* 2245920 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2245968), // Rule ID 48702 //
     /* 2245925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245938 */   // MIs[0] Operand 1
     /* 2245938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245951 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2245954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245967 */   // GIR_Coverage, 48702,
     /* 2245967 */   GIR_EraseRootFromParent_Done,
     /* 2245968 */ // Label 30039: @2245968
     /* 2245968 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2246016), // Rule ID 48703 //
     /* 2245973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2245979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2245982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245986 */   // MIs[0] Operand 1
     /* 2245986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245999 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2246002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246015 */   // GIR_Coverage, 48703,
     /* 2246015 */   GIR_EraseRootFromParent_Done,
     /* 2246016 */ // Label 30040: @2246016
     /* 2246016 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2246064), // Rule ID 48710 //
     /* 2246021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246034 */   // MIs[0] Operand 1
     /* 2246034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246047 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2246050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246063 */   // GIR_Coverage, 48710,
     /* 2246063 */   GIR_EraseRootFromParent_Done,
     /* 2246064 */ // Label 30041: @2246064
     /* 2246064 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2246112), // Rule ID 48711 //
     /* 2246069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246082 */   // MIs[0] Operand 1
     /* 2246082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246095 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2246098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246111 */   // GIR_Coverage, 48711,
     /* 2246111 */   GIR_EraseRootFromParent_Done,
     /* 2246112 */ // Label 30042: @2246112
     /* 2246112 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2246160), // Rule ID 48732 //
     /* 2246117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246130 */   // MIs[0] Operand 1
     /* 2246130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246143 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2246146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246159 */   // GIR_Coverage, 48732,
     /* 2246159 */   GIR_EraseRootFromParent_Done,
     /* 2246160 */ // Label 30043: @2246160
     /* 2246160 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2246208), // Rule ID 48733 //
     /* 2246165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246178 */   // MIs[0] Operand 1
     /* 2246178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246191 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2246194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246207 */   // GIR_Coverage, 48733,
     /* 2246207 */   GIR_EraseRootFromParent_Done,
     /* 2246208 */ // Label 30044: @2246208
     /* 2246208 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2246256), // Rule ID 48740 //
     /* 2246213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2246222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246226 */   // MIs[0] Operand 1
     /* 2246226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246239 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2246242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246255 */   // GIR_Coverage, 48740,
     /* 2246255 */   GIR_EraseRootFromParent_Done,
     /* 2246256 */ // Label 30045: @2246256
     /* 2246256 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2246304), // Rule ID 48741 //
     /* 2246261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2246270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246274 */   // MIs[0] Operand 1
     /* 2246274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246287 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2246290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246303 */   // GIR_Coverage, 48741,
     /* 2246303 */   GIR_EraseRootFromParent_Done,
     /* 2246304 */ // Label 30046: @2246304
     /* 2246304 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2246352), // Rule ID 48746 //
     /* 2246309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2246318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246322 */   // MIs[0] Operand 1
     /* 2246322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246335 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2246338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246351 */   // GIR_Coverage, 48746,
     /* 2246351 */   GIR_EraseRootFromParent_Done,
     /* 2246352 */ // Label 30047: @2246352
     /* 2246352 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2246400), // Rule ID 48747 //
     /* 2246357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2246366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246370 */   // MIs[0] Operand 1
     /* 2246370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246383 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2246386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246399 */   // GIR_Coverage, 48747,
     /* 2246399 */   GIR_EraseRootFromParent_Done,
     /* 2246400 */ // Label 30048: @2246400
     /* 2246400 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2246448), // Rule ID 48754 //
     /* 2246405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246418 */   // MIs[0] Operand 1
     /* 2246418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246431 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2246434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246447 */   // GIR_Coverage, 48754,
     /* 2246447 */   GIR_EraseRootFromParent_Done,
     /* 2246448 */ // Label 30049: @2246448
     /* 2246448 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2246496), // Rule ID 48755 //
     /* 2246453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246466 */   // MIs[0] Operand 1
     /* 2246466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246479 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2246482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246495 */   // GIR_Coverage, 48755,
     /* 2246495 */   GIR_EraseRootFromParent_Done,
     /* 2246496 */ // Label 30050: @2246496
     /* 2246496 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2246544), // Rule ID 48776 //
     /* 2246501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246514 */   // MIs[0] Operand 1
     /* 2246514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246527 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246543 */   // GIR_Coverage, 48776,
     /* 2246543 */   GIR_EraseRootFromParent_Done,
     /* 2246544 */ // Label 30051: @2246544
     /* 2246544 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2246592), // Rule ID 48777 //
     /* 2246549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246562 */   // MIs[0] Operand 1
     /* 2246562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246575 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246591 */   // GIR_Coverage, 48777,
     /* 2246591 */   GIR_EraseRootFromParent_Done,
     /* 2246592 */ // Label 30052: @2246592
     /* 2246592 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2246640), // Rule ID 48784 //
     /* 2246597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2246606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246610 */   // MIs[0] Operand 1
     /* 2246610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246623 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2246626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246639 */   // GIR_Coverage, 48784,
     /* 2246639 */   GIR_EraseRootFromParent_Done,
     /* 2246640 */ // Label 30053: @2246640
     /* 2246640 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2246688), // Rule ID 48785 //
     /* 2246645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2246654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246658 */   // MIs[0] Operand 1
     /* 2246658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246671 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2246674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246687 */   // GIR_Coverage, 48785,
     /* 2246687 */   GIR_EraseRootFromParent_Done,
     /* 2246688 */ // Label 30054: @2246688
     /* 2246688 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2246736), // Rule ID 48790 //
     /* 2246693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2246702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246706 */   // MIs[0] Operand 1
     /* 2246706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246719 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2246722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246735 */   // GIR_Coverage, 48790,
     /* 2246735 */   GIR_EraseRootFromParent_Done,
     /* 2246736 */ // Label 30055: @2246736
     /* 2246736 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2246784), // Rule ID 48791 //
     /* 2246741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2246750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246754 */   // MIs[0] Operand 1
     /* 2246754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246767 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2246770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246783 */   // GIR_Coverage, 48791,
     /* 2246783 */   GIR_EraseRootFromParent_Done,
     /* 2246784 */ // Label 30056: @2246784
     /* 2246784 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2246832), // Rule ID 48798 //
     /* 2246789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246802 */   // MIs[0] Operand 1
     /* 2246802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246815 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2246818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246831 */   // GIR_Coverage, 48798,
     /* 2246831 */   GIR_EraseRootFromParent_Done,
     /* 2246832 */ // Label 30057: @2246832
     /* 2246832 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2246880), // Rule ID 48799 //
     /* 2246837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2246846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246850 */   // MIs[0] Operand 1
     /* 2246850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246863 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2246866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246879 */   // GIR_Coverage, 48799,
     /* 2246879 */   GIR_EraseRootFromParent_Done,
     /* 2246880 */ // Label 30058: @2246880
     /* 2246880 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2246928), // Rule ID 48820 //
     /* 2246885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246898 */   // MIs[0] Operand 1
     /* 2246898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246911 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246927 */   // GIR_Coverage, 48820,
     /* 2246927 */   GIR_EraseRootFromParent_Done,
     /* 2246928 */ // Label 30059: @2246928
     /* 2246928 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2246976), // Rule ID 48821 //
     /* 2246933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2246942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246946 */   // MIs[0] Operand 1
     /* 2246946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246959 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246975 */   // GIR_Coverage, 48821,
     /* 2246975 */   GIR_EraseRootFromParent_Done,
     /* 2246976 */ // Label 30060: @2246976
     /* 2246976 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2247024), // Rule ID 48828 //
     /* 2246981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2246990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246994 */   // MIs[0] Operand 1
     /* 2246994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247007 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2247010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247023 */   // GIR_Coverage, 48828,
     /* 2247023 */   GIR_EraseRootFromParent_Done,
     /* 2247024 */ // Label 30061: @2247024
     /* 2247024 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2247072), // Rule ID 48829 //
     /* 2247029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2247035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2247038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247042 */   // MIs[0] Operand 1
     /* 2247042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247055 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2247058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247071 */   // GIR_Coverage, 48829,
     /* 2247071 */   GIR_EraseRootFromParent_Done,
     /* 2247072 */ // Label 30062: @2247072
     /* 2247072 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2247120), // Rule ID 48834 //
     /* 2247077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2247083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2247086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247090 */   // MIs[0] Operand 1
     /* 2247090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247103 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2247106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247119 */   // GIR_Coverage, 48834,
     /* 2247119 */   GIR_EraseRootFromParent_Done,
     /* 2247120 */ // Label 30063: @2247120
     /* 2247120 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2247168), // Rule ID 48835 //
     /* 2247125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2247131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2247134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247138 */   // MIs[0] Operand 1
     /* 2247138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247151 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2247154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247167 */   // GIR_Coverage, 48835,
     /* 2247167 */   GIR_EraseRootFromParent_Done,
     /* 2247168 */ // Label 30064: @2247168
     /* 2247168 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2247216), // Rule ID 48842 //
     /* 2247173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2247182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247186 */   // MIs[0] Operand 1
     /* 2247186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247199 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2247202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247215 */   // GIR_Coverage, 48842,
     /* 2247215 */   GIR_EraseRootFromParent_Done,
     /* 2247216 */ // Label 30065: @2247216
     /* 2247216 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2247264), // Rule ID 48843 //
     /* 2247221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2247230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247234 */   // MIs[0] Operand 1
     /* 2247234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247247 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2247250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247263 */   // GIR_Coverage, 48843,
     /* 2247263 */   GIR_EraseRootFromParent_Done,
     /* 2247264 */ // Label 30066: @2247264
     /* 2247264 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2247312), // Rule ID 48864 //
     /* 2247269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2247275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2247278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247282 */   // MIs[0] Operand 1
     /* 2247282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247295 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247302 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247311 */   // GIR_Coverage, 48864,
     /* 2247311 */   GIR_EraseRootFromParent_Done,
     /* 2247312 */ // Label 30067: @2247312
     /* 2247312 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2247360), // Rule ID 48865 //
     /* 2247317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2247323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2247326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247330 */   // MIs[0] Operand 1
     /* 2247330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247343 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247359 */   // GIR_Coverage, 48865,
     /* 2247359 */   GIR_EraseRootFromParent_Done,
     /* 2247360 */ // Label 30068: @2247360
     /* 2247360 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2247408), // Rule ID 48872 //
     /* 2247365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2247371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2247374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247378 */   // MIs[0] Operand 1
     /* 2247378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247391 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2247394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247407 */   // GIR_Coverage, 48872,
     /* 2247407 */   GIR_EraseRootFromParent_Done,
     /* 2247408 */ // Label 30069: @2247408
     /* 2247408 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2247456), // Rule ID 48873 //
     /* 2247413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2247419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2247422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247426 */   // MIs[0] Operand 1
     /* 2247426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247439 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2247442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247455 */   // GIR_Coverage, 48873,
     /* 2247455 */   GIR_EraseRootFromParent_Done,
     /* 2247456 */ // Label 30070: @2247456
     /* 2247456 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2247504), // Rule ID 48878 //
     /* 2247461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2247467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2247470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247474 */   // MIs[0] Operand 1
     /* 2247474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247487 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2247490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247503 */   // GIR_Coverage, 48878,
     /* 2247503 */   GIR_EraseRootFromParent_Done,
     /* 2247504 */ // Label 30071: @2247504
     /* 2247504 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2247552), // Rule ID 48879 //
     /* 2247509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2247515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2247518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247522 */   // MIs[0] Operand 1
     /* 2247522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247535 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2247538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247551 */   // GIR_Coverage, 48879,
     /* 2247551 */   GIR_EraseRootFromParent_Done,
     /* 2247552 */ // Label 30072: @2247552
     /* 2247552 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2247600), // Rule ID 48886 //
     /* 2247557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2247566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247570 */   // MIs[0] Operand 1
     /* 2247570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247583 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2247586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247599 */   // GIR_Coverage, 48886,
     /* 2247599 */   GIR_EraseRootFromParent_Done,
     /* 2247600 */ // Label 30073: @2247600
     /* 2247600 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2247648), // Rule ID 48887 //
     /* 2247605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2247614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247618 */   // MIs[0] Operand 1
     /* 2247618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247631 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2247634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247647 */   // GIR_Coverage, 48887,
     /* 2247647 */   GIR_EraseRootFromParent_Done,
     /* 2247648 */ // Label 30074: @2247648
     /* 2247648 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2247696), // Rule ID 48908 //
     /* 2247653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2247659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2247662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247666 */   // MIs[0] Operand 1
     /* 2247666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247679 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247695 */   // GIR_Coverage, 48908,
     /* 2247695 */   GIR_EraseRootFromParent_Done,
     /* 2247696 */ // Label 30075: @2247696
     /* 2247696 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2247744), // Rule ID 48909 //
     /* 2247701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2247707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2247710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247714 */   // MIs[0] Operand 1
     /* 2247714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247727 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247743 */   // GIR_Coverage, 48909,
     /* 2247743 */   GIR_EraseRootFromParent_Done,
     /* 2247744 */ // Label 30076: @2247744
     /* 2247744 */ GIM_Reject,
     /* 2247745 */ // Label 29817: @2247745
     /* 2247745 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2247793), // Rule ID 48480 //
     /* 2247750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2247756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2247759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247763 */   // MIs[0] Operand 1
     /* 2247763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247772 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247776 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2247779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247781 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247783 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247792 */   // GIR_Coverage, 48480,
     /* 2247792 */   GIR_EraseRootFromParent_Done,
     /* 2247793 */ // Label 30077: @2247793
     /* 2247793 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2247841), // Rule ID 48481 //
     /* 2247798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2247804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2247807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247811 */   // MIs[0] Operand 1
     /* 2247811 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247820 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247824 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2247827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247829 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247840 */   // GIR_Coverage, 48481,
     /* 2247840 */   GIR_EraseRootFromParent_Done,
     /* 2247841 */ // Label 30078: @2247841
     /* 2247841 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2247889), // Rule ID 48490 //
     /* 2247846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2247852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2247855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247859 */   // MIs[0] Operand 1
     /* 2247859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247872 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2247875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247877 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247879 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247888 */   // GIR_Coverage, 48490,
     /* 2247888 */   GIR_EraseRootFromParent_Done,
     /* 2247889 */ // Label 30079: @2247889
     /* 2247889 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2247937), // Rule ID 48491 //
     /* 2247894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2247900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2247903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247907 */   // MIs[0] Operand 1
     /* 2247907 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247920 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2247923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247925 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247927 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247936 */   // GIR_Coverage, 48491,
     /* 2247936 */   GIR_EraseRootFromParent_Done,
     /* 2247937 */ // Label 30080: @2247937
     /* 2247937 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2247985), // Rule ID 48508 //
     /* 2247942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2247948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2247951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247955 */   // MIs[0] Operand 1
     /* 2247955 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247964 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247968 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2247971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247975 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247984 */   // GIR_Coverage, 48508,
     /* 2247984 */   GIR_EraseRootFromParent_Done,
     /* 2247985 */ // Label 30081: @2247985
     /* 2247985 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2248033), // Rule ID 48509 //
     /* 2247990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2247996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2247999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248003 */   // MIs[0] Operand 1
     /* 2248003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248012 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248016 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2248019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248023 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248032 */   // GIR_Coverage, 48509,
     /* 2248032 */   GIR_EraseRootFromParent_Done,
     /* 2248033 */ // Label 30082: @2248033
     /* 2248033 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2248081), // Rule ID 48516 //
     /* 2248038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248051 */   // MIs[0] Operand 1
     /* 2248051 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248060 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248064 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248071 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248080 */   // GIR_Coverage, 48516,
     /* 2248080 */   GIR_EraseRootFromParent_Done,
     /* 2248081 */ // Label 30083: @2248081
     /* 2248081 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2248129), // Rule ID 48517 //
     /* 2248086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248092 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248099 */   // MIs[0] Operand 1
     /* 2248099 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248108 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248112 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248119 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248128 */   // GIR_Coverage, 48517,
     /* 2248128 */   GIR_EraseRootFromParent_Done,
     /* 2248129 */ // Label 30084: @2248129
     /* 2248129 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2248177), // Rule ID 48524 //
     /* 2248134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248147 */   // MIs[0] Operand 1
     /* 2248147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248156 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248160 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2248163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248176 */   // GIR_Coverage, 48524,
     /* 2248176 */   GIR_EraseRootFromParent_Done,
     /* 2248177 */ // Label 30085: @2248177
     /* 2248177 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2248225), // Rule ID 48525 //
     /* 2248182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248188 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248195 */   // MIs[0] Operand 1
     /* 2248195 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248204 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248208 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2248211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248224 */   // GIR_Coverage, 48525,
     /* 2248224 */   GIR_EraseRootFromParent_Done,
     /* 2248225 */ // Label 30086: @2248225
     /* 2248225 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2248273), // Rule ID 48534 //
     /* 2248230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2248236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2248239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248243 */   // MIs[0] Operand 1
     /* 2248243 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248252 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248256 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2248259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248272 */   // GIR_Coverage, 48534,
     /* 2248272 */   GIR_EraseRootFromParent_Done,
     /* 2248273 */ // Label 30087: @2248273
     /* 2248273 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2248321), // Rule ID 48535 //
     /* 2248278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2248284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2248287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248291 */   // MIs[0] Operand 1
     /* 2248291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248304 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2248307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248311 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248320 */   // GIR_Coverage, 48535,
     /* 2248320 */   GIR_EraseRootFromParent_Done,
     /* 2248321 */ // Label 30088: @2248321
     /* 2248321 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2248369), // Rule ID 48552 //
     /* 2248326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248332 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2248335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248339 */   // MIs[0] Operand 1
     /* 2248339 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248348 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248352 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2248355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248359 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248368 */   // GIR_Coverage, 48552,
     /* 2248368 */   GIR_EraseRootFromParent_Done,
     /* 2248369 */ // Label 30089: @2248369
     /* 2248369 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2248417), // Rule ID 48553 //
     /* 2248374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2248383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248387 */   // MIs[0] Operand 1
     /* 2248387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248400 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2248403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248416 */   // GIR_Coverage, 48553,
     /* 2248416 */   GIR_EraseRootFromParent_Done,
     /* 2248417 */ // Label 30090: @2248417
     /* 2248417 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2248465), // Rule ID 48560 //
     /* 2248422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248435 */   // MIs[0] Operand 1
     /* 2248435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248448 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2248451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248464 */   // GIR_Coverage, 48560,
     /* 2248464 */   GIR_EraseRootFromParent_Done,
     /* 2248465 */ // Label 30091: @2248465
     /* 2248465 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2248513), // Rule ID 48561 //
     /* 2248470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248483 */   // MIs[0] Operand 1
     /* 2248483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248496 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2248499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248503 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248512 */   // GIR_Coverage, 48561,
     /* 2248512 */   GIR_EraseRootFromParent_Done,
     /* 2248513 */ // Label 30092: @2248513
     /* 2248513 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2248561), // Rule ID 48568 //
     /* 2248518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248531 */   // MIs[0] Operand 1
     /* 2248531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248544 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2248547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248560 */   // GIR_Coverage, 48568,
     /* 2248560 */   GIR_EraseRootFromParent_Done,
     /* 2248561 */ // Label 30093: @2248561
     /* 2248561 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2248609), // Rule ID 48569 //
     /* 2248566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248579 */   // MIs[0] Operand 1
     /* 2248579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248592 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2248595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248608 */   // GIR_Coverage, 48569,
     /* 2248608 */   GIR_EraseRootFromParent_Done,
     /* 2248609 */ // Label 30094: @2248609
     /* 2248609 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2248657), // Rule ID 48578 //
     /* 2248614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2248620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2248623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248627 */   // MIs[0] Operand 1
     /* 2248627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248640 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2248643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248656 */   // GIR_Coverage, 48578,
     /* 2248656 */   GIR_EraseRootFromParent_Done,
     /* 2248657 */ // Label 30095: @2248657
     /* 2248657 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2248705), // Rule ID 48579 //
     /* 2248662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2248668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2248671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248675 */   // MIs[0] Operand 1
     /* 2248675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248688 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2248691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248704 */   // GIR_Coverage, 48579,
     /* 2248704 */   GIR_EraseRootFromParent_Done,
     /* 2248705 */ // Label 30096: @2248705
     /* 2248705 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2248753), // Rule ID 48596 //
     /* 2248710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2248719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248723 */   // MIs[0] Operand 1
     /* 2248723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248736 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2248739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248752 */   // GIR_Coverage, 48596,
     /* 2248752 */   GIR_EraseRootFromParent_Done,
     /* 2248753 */ // Label 30097: @2248753
     /* 2248753 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2248801), // Rule ID 48597 //
     /* 2248758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2248767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248771 */   // MIs[0] Operand 1
     /* 2248771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248784 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2248787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248800 */   // GIR_Coverage, 48597,
     /* 2248800 */   GIR_EraseRootFromParent_Done,
     /* 2248801 */ // Label 30098: @2248801
     /* 2248801 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2248849), // Rule ID 48604 //
     /* 2248806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248819 */   // MIs[0] Operand 1
     /* 2248819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248832 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248848 */   // GIR_Coverage, 48604,
     /* 2248848 */   GIR_EraseRootFromParent_Done,
     /* 2248849 */ // Label 30099: @2248849
     /* 2248849 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2248897), // Rule ID 48605 //
     /* 2248854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2248860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2248863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248867 */   // MIs[0] Operand 1
     /* 2248867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248880 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248896 */   // GIR_Coverage, 48605,
     /* 2248896 */   GIR_EraseRootFromParent_Done,
     /* 2248897 */ // Label 30100: @2248897
     /* 2248897 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2248945), // Rule ID 48610 //
     /* 2248902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248915 */   // MIs[0] Operand 1
     /* 2248915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248928 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2248931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248935 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248944 */   // GIR_Coverage, 48610,
     /* 2248944 */   GIR_EraseRootFromParent_Done,
     /* 2248945 */ // Label 30101: @2248945
     /* 2248945 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2248993), // Rule ID 48611 //
     /* 2248950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2248956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2248959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248963 */   // MIs[0] Operand 1
     /* 2248963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248976 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2248979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248981 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248983 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248992 */   // GIR_Coverage, 48611,
     /* 2248992 */   GIR_EraseRootFromParent_Done,
     /* 2248993 */ // Label 30102: @2248993
     /* 2248993 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2249041), // Rule ID 48620 //
     /* 2248998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249011 */   // MIs[0] Operand 1
     /* 2249011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249024 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2249027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249040 */   // GIR_Coverage, 48620,
     /* 2249040 */   GIR_EraseRootFromParent_Done,
     /* 2249041 */ // Label 30103: @2249041
     /* 2249041 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2249089), // Rule ID 48621 //
     /* 2249046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249059 */   // MIs[0] Operand 1
     /* 2249059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249072 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2249075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249088 */   // GIR_Coverage, 48621,
     /* 2249088 */   GIR_EraseRootFromParent_Done,
     /* 2249089 */ // Label 30104: @2249089
     /* 2249089 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2249137), // Rule ID 48638 //
     /* 2249094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249107 */   // MIs[0] Operand 1
     /* 2249107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249120 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2249123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249127 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249136 */   // GIR_Coverage, 48638,
     /* 2249136 */   GIR_EraseRootFromParent_Done,
     /* 2249137 */ // Label 30105: @2249137
     /* 2249137 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2249185), // Rule ID 48639 //
     /* 2249142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249155 */   // MIs[0] Operand 1
     /* 2249155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249168 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2249171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249175 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249184 */   // GIR_Coverage, 48639,
     /* 2249184 */   GIR_EraseRootFromParent_Done,
     /* 2249185 */ // Label 30106: @2249185
     /* 2249185 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2249233), // Rule ID 48646 //
     /* 2249190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249203 */   // MIs[0] Operand 1
     /* 2249203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249216 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249223 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249232 */   // GIR_Coverage, 48646,
     /* 2249232 */   GIR_EraseRootFromParent_Done,
     /* 2249233 */ // Label 30107: @2249233
     /* 2249233 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2249281), // Rule ID 48647 //
     /* 2249238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249251 */   // MIs[0] Operand 1
     /* 2249251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249264 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249271 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249280 */   // GIR_Coverage, 48647,
     /* 2249280 */   GIR_EraseRootFromParent_Done,
     /* 2249281 */ // Label 30108: @2249281
     /* 2249281 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2249329), // Rule ID 48654 //
     /* 2249286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2249292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2249295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249299 */   // MIs[0] Operand 1
     /* 2249299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249312 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2249315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249328 */   // GIR_Coverage, 48654,
     /* 2249328 */   GIR_EraseRootFromParent_Done,
     /* 2249329 */ // Label 30109: @2249329
     /* 2249329 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2249377), // Rule ID 48655 //
     /* 2249334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2249340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2249343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249347 */   // MIs[0] Operand 1
     /* 2249347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249360 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2249363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249376 */   // GIR_Coverage, 48655,
     /* 2249376 */   GIR_EraseRootFromParent_Done,
     /* 2249377 */ // Label 30110: @2249377
     /* 2249377 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2249425), // Rule ID 48664 //
     /* 2249382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249395 */   // MIs[0] Operand 1
     /* 2249395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249408 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2249411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249424 */   // GIR_Coverage, 48664,
     /* 2249424 */   GIR_EraseRootFromParent_Done,
     /* 2249425 */ // Label 30111: @2249425
     /* 2249425 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2249473), // Rule ID 48665 //
     /* 2249430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249443 */   // MIs[0] Operand 1
     /* 2249443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249456 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2249459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249472 */   // GIR_Coverage, 48665,
     /* 2249472 */   GIR_EraseRootFromParent_Done,
     /* 2249473 */ // Label 30112: @2249473
     /* 2249473 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2249521), // Rule ID 48682 //
     /* 2249478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249491 */   // MIs[0] Operand 1
     /* 2249491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249504 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2249507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249520 */   // GIR_Coverage, 48682,
     /* 2249520 */   GIR_EraseRootFromParent_Done,
     /* 2249521 */ // Label 30113: @2249521
     /* 2249521 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2249569), // Rule ID 48683 //
     /* 2249526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249539 */   // MIs[0] Operand 1
     /* 2249539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249552 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2249555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249568 */   // GIR_Coverage, 48683,
     /* 2249568 */   GIR_EraseRootFromParent_Done,
     /* 2249569 */ // Label 30114: @2249569
     /* 2249569 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2249617), // Rule ID 48690 //
     /* 2249574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249587 */   // MIs[0] Operand 1
     /* 2249587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249600 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249616 */   // GIR_Coverage, 48690,
     /* 2249616 */   GIR_EraseRootFromParent_Done,
     /* 2249617 */ // Label 30115: @2249617
     /* 2249617 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2249665), // Rule ID 48691 //
     /* 2249622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249635 */   // MIs[0] Operand 1
     /* 2249635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249648 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249664 */   // GIR_Coverage, 48691,
     /* 2249664 */   GIR_EraseRootFromParent_Done,
     /* 2249665 */ // Label 30116: @2249665
     /* 2249665 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2249713), // Rule ID 48698 //
     /* 2249670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2249676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2249679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249683 */   // MIs[0] Operand 1
     /* 2249683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249696 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2249699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249712 */   // GIR_Coverage, 48698,
     /* 2249712 */   GIR_EraseRootFromParent_Done,
     /* 2249713 */ // Label 30117: @2249713
     /* 2249713 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2249761), // Rule ID 48699 //
     /* 2249718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2249724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2249727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249731 */   // MIs[0] Operand 1
     /* 2249731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249744 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2249747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249749 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249751 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249760 */   // GIR_Coverage, 48699,
     /* 2249760 */   GIR_EraseRootFromParent_Done,
     /* 2249761 */ // Label 30118: @2249761
     /* 2249761 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2249809), // Rule ID 48708 //
     /* 2249766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249779 */   // MIs[0] Operand 1
     /* 2249779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249792 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2249795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249808 */   // GIR_Coverage, 48708,
     /* 2249808 */   GIR_EraseRootFromParent_Done,
     /* 2249809 */ // Label 30119: @2249809
     /* 2249809 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2249857), // Rule ID 48709 //
     /* 2249814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249827 */   // MIs[0] Operand 1
     /* 2249827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249840 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2249843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249856 */   // GIR_Coverage, 48709,
     /* 2249856 */   GIR_EraseRootFromParent_Done,
     /* 2249857 */ // Label 30120: @2249857
     /* 2249857 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2249905), // Rule ID 48726 //
     /* 2249862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249875 */   // MIs[0] Operand 1
     /* 2249875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249888 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2249891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249904 */   // GIR_Coverage, 48726,
     /* 2249904 */   GIR_EraseRootFromParent_Done,
     /* 2249905 */ // Label 30121: @2249905
     /* 2249905 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2249953), // Rule ID 48727 //
     /* 2249910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249923 */   // MIs[0] Operand 1
     /* 2249923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249936 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2249939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249952 */   // GIR_Coverage, 48727,
     /* 2249952 */   GIR_EraseRootFromParent_Done,
     /* 2249953 */ // Label 30122: @2249953
     /* 2249953 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2250001), // Rule ID 48734 //
     /* 2249958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249971 */   // MIs[0] Operand 1
     /* 2249971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249984 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250000 */   // GIR_Coverage, 48734,
     /* 2250000 */   GIR_EraseRootFromParent_Done,
     /* 2250001 */ // Label 30123: @2250001
     /* 2250001 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2250049), // Rule ID 48735 //
     /* 2250006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250019 */   // MIs[0] Operand 1
     /* 2250019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250032 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250048 */   // GIR_Coverage, 48735,
     /* 2250048 */   GIR_EraseRootFromParent_Done,
     /* 2250049 */ // Label 30124: @2250049
     /* 2250049 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2250097), // Rule ID 48742 //
     /* 2250054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250067 */   // MIs[0] Operand 1
     /* 2250067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250080 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2250083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250096 */   // GIR_Coverage, 48742,
     /* 2250096 */   GIR_EraseRootFromParent_Done,
     /* 2250097 */ // Label 30125: @2250097
     /* 2250097 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2250145), // Rule ID 48743 //
     /* 2250102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250115 */   // MIs[0] Operand 1
     /* 2250115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250128 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2250131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250144 */   // GIR_Coverage, 48743,
     /* 2250144 */   GIR_EraseRootFromParent_Done,
     /* 2250145 */ // Label 30126: @2250145
     /* 2250145 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2250193), // Rule ID 48752 //
     /* 2250150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250163 */   // MIs[0] Operand 1
     /* 2250163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250176 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2250179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250192 */   // GIR_Coverage, 48752,
     /* 2250192 */   GIR_EraseRootFromParent_Done,
     /* 2250193 */ // Label 30127: @2250193
     /* 2250193 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2250241), // Rule ID 48753 //
     /* 2250198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250211 */   // MIs[0] Operand 1
     /* 2250211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250224 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2250227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250240 */   // GIR_Coverage, 48753,
     /* 2250240 */   GIR_EraseRootFromParent_Done,
     /* 2250241 */ // Label 30128: @2250241
     /* 2250241 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2250289), // Rule ID 48770 //
     /* 2250246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250259 */   // MIs[0] Operand 1
     /* 2250259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250272 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2250275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250288 */   // GIR_Coverage, 48770,
     /* 2250288 */   GIR_EraseRootFromParent_Done,
     /* 2250289 */ // Label 30129: @2250289
     /* 2250289 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2250337), // Rule ID 48771 //
     /* 2250294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250307 */   // MIs[0] Operand 1
     /* 2250307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250320 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2250323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250336 */   // GIR_Coverage, 48771,
     /* 2250336 */   GIR_EraseRootFromParent_Done,
     /* 2250337 */ // Label 30130: @2250337
     /* 2250337 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2250385), // Rule ID 48778 //
     /* 2250342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250355 */   // MIs[0] Operand 1
     /* 2250355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250368 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250384 */   // GIR_Coverage, 48778,
     /* 2250384 */   GIR_EraseRootFromParent_Done,
     /* 2250385 */ // Label 30131: @2250385
     /* 2250385 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2250433), // Rule ID 48779 //
     /* 2250390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250403 */   // MIs[0] Operand 1
     /* 2250403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250416 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250432 */   // GIR_Coverage, 48779,
     /* 2250432 */   GIR_EraseRootFromParent_Done,
     /* 2250433 */ // Label 30132: @2250433
     /* 2250433 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2250481), // Rule ID 48786 //
     /* 2250438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250451 */   // MIs[0] Operand 1
     /* 2250451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250464 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2250467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250469 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250480 */   // GIR_Coverage, 48786,
     /* 2250480 */   GIR_EraseRootFromParent_Done,
     /* 2250481 */ // Label 30133: @2250481
     /* 2250481 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2250529), // Rule ID 48787 //
     /* 2250486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250499 */   // MIs[0] Operand 1
     /* 2250499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250512 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2250515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250517 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250519 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250528 */   // GIR_Coverage, 48787,
     /* 2250528 */   GIR_EraseRootFromParent_Done,
     /* 2250529 */ // Label 30134: @2250529
     /* 2250529 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2250577), // Rule ID 48796 //
     /* 2250534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250547 */   // MIs[0] Operand 1
     /* 2250547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250560 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2250563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250576 */   // GIR_Coverage, 48796,
     /* 2250576 */   GIR_EraseRootFromParent_Done,
     /* 2250577 */ // Label 30135: @2250577
     /* 2250577 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2250625), // Rule ID 48797 //
     /* 2250582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250595 */   // MIs[0] Operand 1
     /* 2250595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250608 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2250611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250624 */   // GIR_Coverage, 48797,
     /* 2250624 */   GIR_EraseRootFromParent_Done,
     /* 2250625 */ // Label 30136: @2250625
     /* 2250625 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2250673), // Rule ID 48814 //
     /* 2250630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250643 */   // MIs[0] Operand 1
     /* 2250643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250656 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2250659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250672 */   // GIR_Coverage, 48814,
     /* 2250672 */   GIR_EraseRootFromParent_Done,
     /* 2250673 */ // Label 30137: @2250673
     /* 2250673 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2250721), // Rule ID 48815 //
     /* 2250678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250691 */   // MIs[0] Operand 1
     /* 2250691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250704 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2250707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250720 */   // GIR_Coverage, 48815,
     /* 2250720 */   GIR_EraseRootFromParent_Done,
     /* 2250721 */ // Label 30138: @2250721
     /* 2250721 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2250769), // Rule ID 48822 //
     /* 2250726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250739 */   // MIs[0] Operand 1
     /* 2250739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250752 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250768 */   // GIR_Coverage, 48822,
     /* 2250768 */   GIR_EraseRootFromParent_Done,
     /* 2250769 */ // Label 30139: @2250769
     /* 2250769 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2250817), // Rule ID 48823 //
     /* 2250774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250787 */   // MIs[0] Operand 1
     /* 2250787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250800 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250816 */   // GIR_Coverage, 48823,
     /* 2250816 */   GIR_EraseRootFromParent_Done,
     /* 2250817 */ // Label 30140: @2250817
     /* 2250817 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2250865), // Rule ID 48830 //
     /* 2250822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250835 */   // MIs[0] Operand 1
     /* 2250835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250848 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2250851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250864 */   // GIR_Coverage, 48830,
     /* 2250864 */   GIR_EraseRootFromParent_Done,
     /* 2250865 */ // Label 30141: @2250865
     /* 2250865 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2250913), // Rule ID 48831 //
     /* 2250870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2250876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2250879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250883 */   // MIs[0] Operand 1
     /* 2250883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250896 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2250899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250912 */   // GIR_Coverage, 48831,
     /* 2250912 */   GIR_EraseRootFromParent_Done,
     /* 2250913 */ // Label 30142: @2250913
     /* 2250913 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2250961), // Rule ID 48840 //
     /* 2250918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250931 */   // MIs[0] Operand 1
     /* 2250931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250944 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2250947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250960 */   // GIR_Coverage, 48840,
     /* 2250960 */   GIR_EraseRootFromParent_Done,
     /* 2250961 */ // Label 30143: @2250961
     /* 2250961 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2251009), // Rule ID 48841 //
     /* 2250966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250979 */   // MIs[0] Operand 1
     /* 2250979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250992 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2250995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251008 */   // GIR_Coverage, 48841,
     /* 2251008 */   GIR_EraseRootFromParent_Done,
     /* 2251009 */ // Label 30144: @2251009
     /* 2251009 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2251057), // Rule ID 48858 //
     /* 2251014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251027 */   // MIs[0] Operand 1
     /* 2251027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251040 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2251043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251056 */   // GIR_Coverage, 48858,
     /* 2251056 */   GIR_EraseRootFromParent_Done,
     /* 2251057 */ // Label 30145: @2251057
     /* 2251057 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2251105), // Rule ID 48859 //
     /* 2251062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251075 */   // MIs[0] Operand 1
     /* 2251075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251088 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2251091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251104 */   // GIR_Coverage, 48859,
     /* 2251104 */   GIR_EraseRootFromParent_Done,
     /* 2251105 */ // Label 30146: @2251105
     /* 2251105 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2251153), // Rule ID 48866 //
     /* 2251110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2251116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2251119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251123 */   // MIs[0] Operand 1
     /* 2251123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251136 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251152 */   // GIR_Coverage, 48866,
     /* 2251152 */   GIR_EraseRootFromParent_Done,
     /* 2251153 */ // Label 30147: @2251153
     /* 2251153 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2251201), // Rule ID 48867 //
     /* 2251158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2251164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2251167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251171 */   // MIs[0] Operand 1
     /* 2251171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251184 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251191 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251200 */   // GIR_Coverage, 48867,
     /* 2251200 */   GIR_EraseRootFromParent_Done,
     /* 2251201 */ // Label 30148: @2251201
     /* 2251201 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2251249), // Rule ID 48874 //
     /* 2251206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2251212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2251215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251219 */   // MIs[0] Operand 1
     /* 2251219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251232 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2251235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251248 */   // GIR_Coverage, 48874,
     /* 2251248 */   GIR_EraseRootFromParent_Done,
     /* 2251249 */ // Label 30149: @2251249
     /* 2251249 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2251297), // Rule ID 48875 //
     /* 2251254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2251260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2251263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251267 */   // MIs[0] Operand 1
     /* 2251267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251280 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2251283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251296 */   // GIR_Coverage, 48875,
     /* 2251296 */   GIR_EraseRootFromParent_Done,
     /* 2251297 */ // Label 30150: @2251297
     /* 2251297 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2251345), // Rule ID 48884 //
     /* 2251302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2251308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2251311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251315 */   // MIs[0] Operand 1
     /* 2251315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251328 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2251331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251344 */   // GIR_Coverage, 48884,
     /* 2251344 */   GIR_EraseRootFromParent_Done,
     /* 2251345 */ // Label 30151: @2251345
     /* 2251345 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2251393), // Rule ID 48885 //
     /* 2251350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2251356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2251359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251363 */   // MIs[0] Operand 1
     /* 2251363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251376 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2251379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251392 */   // GIR_Coverage, 48885,
     /* 2251392 */   GIR_EraseRootFromParent_Done,
     /* 2251393 */ // Label 30152: @2251393
     /* 2251393 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2251441), // Rule ID 48902 //
     /* 2251398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251411 */   // MIs[0] Operand 1
     /* 2251411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251424 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2251427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251440 */   // GIR_Coverage, 48902,
     /* 2251440 */   GIR_EraseRootFromParent_Done,
     /* 2251441 */ // Label 30153: @2251441
     /* 2251441 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2251489), // Rule ID 48903 //
     /* 2251446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251459 */   // MIs[0] Operand 1
     /* 2251459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251472 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2251475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251488 */   // GIR_Coverage, 48903,
     /* 2251488 */   GIR_EraseRootFromParent_Done,
     /* 2251489 */ // Label 30154: @2251489
     /* 2251489 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2251537), // Rule ID 48910 //
     /* 2251494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2251500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2251503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251507 */   // MIs[0] Operand 1
     /* 2251507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251520 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251536 */   // GIR_Coverage, 48910,
     /* 2251536 */   GIR_EraseRootFromParent_Done,
     /* 2251537 */ // Label 30155: @2251537
     /* 2251537 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2251585), // Rule ID 48911 //
     /* 2251542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2251548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2251551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251555 */   // MIs[0] Operand 1
     /* 2251555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251568 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251584 */   // GIR_Coverage, 48911,
     /* 2251584 */   GIR_EraseRootFromParent_Done,
     /* 2251585 */ // Label 30156: @2251585
     /* 2251585 */ GIM_Reject,
     /* 2251586 */ // Label 29818: @2251586
     /* 2251586 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2251634), // Rule ID 48488 //
     /* 2251591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2251597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2251600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251604 */   // MIs[0] Operand 1
     /* 2251604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251617 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2251620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251633 */   // GIR_Coverage, 48488,
     /* 2251633 */   GIR_EraseRootFromParent_Done,
     /* 2251634 */ // Label 30157: @2251634
     /* 2251634 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2251682), // Rule ID 48489 //
     /* 2251639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2251645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2251648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251652 */   // MIs[0] Operand 1
     /* 2251652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251665 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2251668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251681 */   // GIR_Coverage, 48489,
     /* 2251681 */   GIR_EraseRootFromParent_Done,
     /* 2251682 */ // Label 30158: @2251682
     /* 2251682 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2251730), // Rule ID 48502 //
     /* 2251687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251700 */   // MIs[0] Operand 1
     /* 2251700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251713 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2251716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251729 */   // GIR_Coverage, 48502,
     /* 2251729 */   GIR_EraseRootFromParent_Done,
     /* 2251730 */ // Label 30159: @2251730
     /* 2251730 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2251778), // Rule ID 48503 //
     /* 2251735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251748 */   // MIs[0] Operand 1
     /* 2251748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251761 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2251764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251777 */   // GIR_Coverage, 48503,
     /* 2251777 */   GIR_EraseRootFromParent_Done,
     /* 2251778 */ // Label 30160: @2251778
     /* 2251778 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2251826), // Rule ID 48510 //
     /* 2251783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251796 */   // MIs[0] Operand 1
     /* 2251796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251809 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2251812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251825 */   // GIR_Coverage, 48510,
     /* 2251825 */   GIR_EraseRootFromParent_Done,
     /* 2251826 */ // Label 30161: @2251826
     /* 2251826 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2251874), // Rule ID 48511 //
     /* 2251831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251844 */   // MIs[0] Operand 1
     /* 2251844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251857 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2251860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251873 */   // GIR_Coverage, 48511,
     /* 2251873 */   GIR_EraseRootFromParent_Done,
     /* 2251874 */ // Label 30162: @2251874
     /* 2251874 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2251922), // Rule ID 48518 //
     /* 2251879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251892 */   // MIs[0] Operand 1
     /* 2251892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251905 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251921 */   // GIR_Coverage, 48518,
     /* 2251921 */   GIR_EraseRootFromParent_Done,
     /* 2251922 */ // Label 30163: @2251922
     /* 2251922 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2251970), // Rule ID 48519 //
     /* 2251927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251940 */   // MIs[0] Operand 1
     /* 2251940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251953 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251969 */   // GIR_Coverage, 48519,
     /* 2251969 */   GIR_EraseRootFromParent_Done,
     /* 2251970 */ // Label 30164: @2251970
     /* 2251970 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2252018), // Rule ID 48532 //
     /* 2251975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2251981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2251984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251988 */   // MIs[0] Operand 1
     /* 2251988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252001 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2252004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252017 */   // GIR_Coverage, 48532,
     /* 2252017 */   GIR_EraseRootFromParent_Done,
     /* 2252018 */ // Label 30165: @2252018
     /* 2252018 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2252066), // Rule ID 48533 //
     /* 2252023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2252029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2252032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252036 */   // MIs[0] Operand 1
     /* 2252036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252049 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2252052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252065 */   // GIR_Coverage, 48533,
     /* 2252065 */   GIR_EraseRootFromParent_Done,
     /* 2252066 */ // Label 30166: @2252066
     /* 2252066 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2252114), // Rule ID 48546 //
     /* 2252071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252084 */   // MIs[0] Operand 1
     /* 2252084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252097 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2252100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252113 */   // GIR_Coverage, 48546,
     /* 2252113 */   GIR_EraseRootFromParent_Done,
     /* 2252114 */ // Label 30167: @2252114
     /* 2252114 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2252162), // Rule ID 48547 //
     /* 2252119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252132 */   // MIs[0] Operand 1
     /* 2252132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252145 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2252148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252161 */   // GIR_Coverage, 48547,
     /* 2252161 */   GIR_EraseRootFromParent_Done,
     /* 2252162 */ // Label 30168: @2252162
     /* 2252162 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2252210), // Rule ID 48554 //
     /* 2252167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252180 */   // MIs[0] Operand 1
     /* 2252180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252193 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2252196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252209 */   // GIR_Coverage, 48554,
     /* 2252209 */   GIR_EraseRootFromParent_Done,
     /* 2252210 */ // Label 30169: @2252210
     /* 2252210 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2252258), // Rule ID 48555 //
     /* 2252215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252228 */   // MIs[0] Operand 1
     /* 2252228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252241 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2252244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252257 */   // GIR_Coverage, 48555,
     /* 2252257 */   GIR_EraseRootFromParent_Done,
     /* 2252258 */ // Label 30170: @2252258
     /* 2252258 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2252306), // Rule ID 48562 //
     /* 2252263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252269 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252276 */   // MIs[0] Operand 1
     /* 2252276 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252285 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252289 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2252292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252294 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252305 */   // GIR_Coverage, 48562,
     /* 2252305 */   GIR_EraseRootFromParent_Done,
     /* 2252306 */ // Label 30171: @2252306
     /* 2252306 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2252354), // Rule ID 48563 //
     /* 2252311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252324 */   // MIs[0] Operand 1
     /* 2252324 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2252329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252337 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2252340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252342 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252344 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252353 */   // GIR_Coverage, 48563,
     /* 2252353 */   GIR_EraseRootFromParent_Done,
     /* 2252354 */ // Label 30172: @2252354
     /* 2252354 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2252402), // Rule ID 48576 //
     /* 2252359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2252365 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2252368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252372 */   // MIs[0] Operand 1
     /* 2252372 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252381 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252385 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2252388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252390 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252392 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252401 */   // GIR_Coverage, 48576,
     /* 2252401 */   GIR_EraseRootFromParent_Done,
     /* 2252402 */ // Label 30173: @2252402
     /* 2252402 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2252450), // Rule ID 48577 //
     /* 2252407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2252413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2252416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252420 */   // MIs[0] Operand 1
     /* 2252420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252433 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2252436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252449 */   // GIR_Coverage, 48577,
     /* 2252449 */   GIR_EraseRootFromParent_Done,
     /* 2252450 */ // Label 30174: @2252450
     /* 2252450 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2252498), // Rule ID 48590 //
     /* 2252455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252468 */   // MIs[0] Operand 1
     /* 2252468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252481 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2252484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252497 */   // GIR_Coverage, 48590,
     /* 2252497 */   GIR_EraseRootFromParent_Done,
     /* 2252498 */ // Label 30175: @2252498
     /* 2252498 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2252546), // Rule ID 48591 //
     /* 2252503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252516 */   // MIs[0] Operand 1
     /* 2252516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252529 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2252532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252545 */   // GIR_Coverage, 48591,
     /* 2252545 */   GIR_EraseRootFromParent_Done,
     /* 2252546 */ // Label 30176: @2252546
     /* 2252546 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2252594), // Rule ID 48598 //
     /* 2252551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252564 */   // MIs[0] Operand 1
     /* 2252564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252577 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2252580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252593 */   // GIR_Coverage, 48598,
     /* 2252593 */   GIR_EraseRootFromParent_Done,
     /* 2252594 */ // Label 30177: @2252594
     /* 2252594 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2252642), // Rule ID 48599 //
     /* 2252599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252612 */   // MIs[0] Operand 1
     /* 2252612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252625 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2252628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252641 */   // GIR_Coverage, 48599,
     /* 2252641 */   GIR_EraseRootFromParent_Done,
     /* 2252642 */ // Label 30178: @2252642
     /* 2252642 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2252690), // Rule ID 48606 //
     /* 2252647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252660 */   // MIs[0] Operand 1
     /* 2252660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252673 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2252676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252680 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252689 */   // GIR_Coverage, 48606,
     /* 2252689 */   GIR_EraseRootFromParent_Done,
     /* 2252690 */ // Label 30179: @2252690
     /* 2252690 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2252738), // Rule ID 48607 //
     /* 2252695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252708 */   // MIs[0] Operand 1
     /* 2252708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2252713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252721 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2252724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252737 */   // GIR_Coverage, 48607,
     /* 2252737 */   GIR_EraseRootFromParent_Done,
     /* 2252738 */ // Label 30180: @2252738
     /* 2252738 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2252786), // Rule ID 48618 //
     /* 2252743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2252749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2252752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252756 */   // MIs[0] Operand 1
     /* 2252756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2252761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252769 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2252772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252785 */   // GIR_Coverage, 48618,
     /* 2252785 */   GIR_EraseRootFromParent_Done,
     /* 2252786 */ // Label 30181: @2252786
     /* 2252786 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2252834), // Rule ID 48619 //
     /* 2252791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2252797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2252800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252804 */   // MIs[0] Operand 1
     /* 2252804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2252809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252817 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2252820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252833 */   // GIR_Coverage, 48619,
     /* 2252833 */   GIR_EraseRootFromParent_Done,
     /* 2252834 */ // Label 30182: @2252834
     /* 2252834 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2252882), // Rule ID 48632 //
     /* 2252839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252852 */   // MIs[0] Operand 1
     /* 2252852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2252857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252865 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2252868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252881 */   // GIR_Coverage, 48632,
     /* 2252881 */   GIR_EraseRootFromParent_Done,
     /* 2252882 */ // Label 30183: @2252882
     /* 2252882 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2252930), // Rule ID 48633 //
     /* 2252887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2252893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2252896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252900 */   // MIs[0] Operand 1
     /* 2252900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2252905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252913 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2252916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252929 */   // GIR_Coverage, 48633,
     /* 2252929 */   GIR_EraseRootFromParent_Done,
     /* 2252930 */ // Label 30184: @2252930
     /* 2252930 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2252978), // Rule ID 48640 //
     /* 2252935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252948 */   // MIs[0] Operand 1
     /* 2252948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2252953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252961 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2252964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252977 */   // GIR_Coverage, 48640,
     /* 2252977 */   GIR_EraseRootFromParent_Done,
     /* 2252978 */ // Label 30185: @2252978
     /* 2252978 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2253026), // Rule ID 48641 //
     /* 2252983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252996 */   // MIs[0] Operand 1
     /* 2252996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2253001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253009 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2253012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253025 */   // GIR_Coverage, 48641,
     /* 2253025 */   GIR_EraseRootFromParent_Done,
     /* 2253026 */ // Label 30186: @2253026
     /* 2253026 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2253074), // Rule ID 48648 //
     /* 2253031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253044 */   // MIs[0] Operand 1
     /* 2253044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2253049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253057 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2253060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253073 */   // GIR_Coverage, 48648,
     /* 2253073 */   GIR_EraseRootFromParent_Done,
     /* 2253074 */ // Label 30187: @2253074
     /* 2253074 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2253122), // Rule ID 48649 //
     /* 2253079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253092 */   // MIs[0] Operand 1
     /* 2253092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2253097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253105 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2253108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253121 */   // GIR_Coverage, 48649,
     /* 2253121 */   GIR_EraseRootFromParent_Done,
     /* 2253122 */ // Label 30188: @2253122
     /* 2253122 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2253170), // Rule ID 48662 //
     /* 2253127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253140 */   // MIs[0] Operand 1
     /* 2253140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253153 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2253156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253169 */   // GIR_Coverage, 48662,
     /* 2253169 */   GIR_EraseRootFromParent_Done,
     /* 2253170 */ // Label 30189: @2253170
     /* 2253170 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2253218), // Rule ID 48663 //
     /* 2253175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253188 */   // MIs[0] Operand 1
     /* 2253188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253201 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2253204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253208 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253217 */   // GIR_Coverage, 48663,
     /* 2253217 */   GIR_EraseRootFromParent_Done,
     /* 2253218 */ // Label 30190: @2253218
     /* 2253218 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2253266), // Rule ID 48676 //
     /* 2253223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2253229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2253232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253236 */   // MIs[0] Operand 1
     /* 2253236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253249 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2253252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253265 */   // GIR_Coverage, 48676,
     /* 2253265 */   GIR_EraseRootFromParent_Done,
     /* 2253266 */ // Label 30191: @2253266
     /* 2253266 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2253314), // Rule ID 48677 //
     /* 2253271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2253277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2253280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253284 */   // MIs[0] Operand 1
     /* 2253284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253297 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2253300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253313 */   // GIR_Coverage, 48677,
     /* 2253313 */   GIR_EraseRootFromParent_Done,
     /* 2253314 */ // Label 30192: @2253314
     /* 2253314 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2253362), // Rule ID 48684 //
     /* 2253319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2253325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2253328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253332 */   // MIs[0] Operand 1
     /* 2253332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253345 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2253348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253361 */   // GIR_Coverage, 48684,
     /* 2253361 */   GIR_EraseRootFromParent_Done,
     /* 2253362 */ // Label 30193: @2253362
     /* 2253362 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2253410), // Rule ID 48685 //
     /* 2253367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2253373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2253376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253380 */   // MIs[0] Operand 1
     /* 2253380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253393 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2253396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253409 */   // GIR_Coverage, 48685,
     /* 2253409 */   GIR_EraseRootFromParent_Done,
     /* 2253410 */ // Label 30194: @2253410
     /* 2253410 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2253458), // Rule ID 48692 //
     /* 2253415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253428 */   // MIs[0] Operand 1
     /* 2253428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253441 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2253444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253457 */   // GIR_Coverage, 48692,
     /* 2253457 */   GIR_EraseRootFromParent_Done,
     /* 2253458 */ // Label 30195: @2253458
     /* 2253458 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2253506), // Rule ID 48693 //
     /* 2253463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253476 */   // MIs[0] Operand 1
     /* 2253476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2253481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253489 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2253492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253496 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253505 */   // GIR_Coverage, 48693,
     /* 2253505 */   GIR_EraseRootFromParent_Done,
     /* 2253506 */ // Label 30196: @2253506
     /* 2253506 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2253554), // Rule ID 48706 //
     /* 2253511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253524 */   // MIs[0] Operand 1
     /* 2253524 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253533 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253537 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2253540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253553 */   // GIR_Coverage, 48706,
     /* 2253553 */   GIR_EraseRootFromParent_Done,
     /* 2253554 */ // Label 30197: @2253554
     /* 2253554 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2253602), // Rule ID 48707 //
     /* 2253559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253572 */   // MIs[0] Operand 1
     /* 2253572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253585 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2253588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253590 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253592 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253601 */   // GIR_Coverage, 48707,
     /* 2253601 */   GIR_EraseRootFromParent_Done,
     /* 2253602 */ // Label 30198: @2253602
     /* 2253602 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2253650), // Rule ID 48720 //
     /* 2253607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2253613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2253616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253620 */   // MIs[0] Operand 1
     /* 2253620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253633 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2253636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253640 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253649 */   // GIR_Coverage, 48720,
     /* 2253649 */   GIR_EraseRootFromParent_Done,
     /* 2253650 */ // Label 30199: @2253650
     /* 2253650 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2253698), // Rule ID 48721 //
     /* 2253655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2253661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2253664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253668 */   // MIs[0] Operand 1
     /* 2253668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253677 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253681 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2253684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253688 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253697 */   // GIR_Coverage, 48721,
     /* 2253697 */   GIR_EraseRootFromParent_Done,
     /* 2253698 */ // Label 30200: @2253698
     /* 2253698 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2253746), // Rule ID 48728 //
     /* 2253703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2253709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2253712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253716 */   // MIs[0] Operand 1
     /* 2253716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253729 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2253732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253745 */   // GIR_Coverage, 48728,
     /* 2253745 */   GIR_EraseRootFromParent_Done,
     /* 2253746 */ // Label 30201: @2253746
     /* 2253746 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2253794), // Rule ID 48729 //
     /* 2253751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2253757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2253760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253764 */   // MIs[0] Operand 1
     /* 2253764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253777 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2253780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253793 */   // GIR_Coverage, 48729,
     /* 2253793 */   GIR_EraseRootFromParent_Done,
     /* 2253794 */ // Label 30202: @2253794
     /* 2253794 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2253842), // Rule ID 48736 //
     /* 2253799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253812 */   // MIs[0] Operand 1
     /* 2253812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253825 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2253828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253841 */   // GIR_Coverage, 48736,
     /* 2253841 */   GIR_EraseRootFromParent_Done,
     /* 2253842 */ // Label 30203: @2253842
     /* 2253842 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2253890), // Rule ID 48737 //
     /* 2253847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2253853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2253856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253860 */   // MIs[0] Operand 1
     /* 2253860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2253865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253873 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2253876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253889 */   // GIR_Coverage, 48737,
     /* 2253889 */   GIR_EraseRootFromParent_Done,
     /* 2253890 */ // Label 30204: @2253890
     /* 2253890 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2253938), // Rule ID 48750 //
     /* 2253895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253908 */   // MIs[0] Operand 1
     /* 2253908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2253913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253917 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253921 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2253924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253937 */   // GIR_Coverage, 48750,
     /* 2253937 */   GIR_EraseRootFromParent_Done,
     /* 2253938 */ // Label 30205: @2253938
     /* 2253938 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2253986), // Rule ID 48751 //
     /* 2253943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2253949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2253952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253956 */   // MIs[0] Operand 1
     /* 2253956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2253961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253969 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2253972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253985 */   // GIR_Coverage, 48751,
     /* 2253985 */   GIR_EraseRootFromParent_Done,
     /* 2253986 */ // Label 30206: @2253986
     /* 2253986 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2254034), // Rule ID 48764 //
     /* 2253991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2253997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254004 */   // MIs[0] Operand 1
     /* 2254004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254017 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2254020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254033 */   // GIR_Coverage, 48764,
     /* 2254033 */   GIR_EraseRootFromParent_Done,
     /* 2254034 */ // Label 30207: @2254034
     /* 2254034 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2254082), // Rule ID 48765 //
     /* 2254039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254052 */   // MIs[0] Operand 1
     /* 2254052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254065 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2254068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254081 */   // GIR_Coverage, 48765,
     /* 2254081 */   GIR_EraseRootFromParent_Done,
     /* 2254082 */ // Label 30208: @2254082
     /* 2254082 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2254130), // Rule ID 48772 //
     /* 2254087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254100 */   // MIs[0] Operand 1
     /* 2254100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254113 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254129 */   // GIR_Coverage, 48772,
     /* 2254129 */   GIR_EraseRootFromParent_Done,
     /* 2254130 */ // Label 30209: @2254130
     /* 2254130 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2254178), // Rule ID 48773 //
     /* 2254135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254148 */   // MIs[0] Operand 1
     /* 2254148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254161 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254177 */   // GIR_Coverage, 48773,
     /* 2254177 */   GIR_EraseRootFromParent_Done,
     /* 2254178 */ // Label 30210: @2254178
     /* 2254178 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2254226), // Rule ID 48780 //
     /* 2254183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2254189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2254192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254196 */   // MIs[0] Operand 1
     /* 2254196 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254205 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254209 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254225 */   // GIR_Coverage, 48780,
     /* 2254225 */   GIR_EraseRootFromParent_Done,
     /* 2254226 */ // Label 30211: @2254226
     /* 2254226 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2254274), // Rule ID 48781 //
     /* 2254231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2254237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2254240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254244 */   // MIs[0] Operand 1
     /* 2254244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254257 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254273 */   // GIR_Coverage, 48781,
     /* 2254273 */   GIR_EraseRootFromParent_Done,
     /* 2254274 */ // Label 30212: @2254274
     /* 2254274 */ GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2254322), // Rule ID 48794 //
     /* 2254279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2254285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2254288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254292 */   // MIs[0] Operand 1
     /* 2254292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254305 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2254308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254310 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254321 */   // GIR_Coverage, 48794,
     /* 2254321 */   GIR_EraseRootFromParent_Done,
     /* 2254322 */ // Label 30213: @2254322
     /* 2254322 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2254370), // Rule ID 48795 //
     /* 2254327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2254333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2254336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254340 */   // MIs[0] Operand 1
     /* 2254340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254353 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2254356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254358 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254360 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254369 */   // GIR_Coverage, 48795,
     /* 2254369 */   GIR_EraseRootFromParent_Done,
     /* 2254370 */ // Label 30214: @2254370
     /* 2254370 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2254418), // Rule ID 48808 //
     /* 2254375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254388 */   // MIs[0] Operand 1
     /* 2254388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254401 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2254404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254417 */   // GIR_Coverage, 48808,
     /* 2254417 */   GIR_EraseRootFromParent_Done,
     /* 2254418 */ // Label 30215: @2254418
     /* 2254418 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2254466), // Rule ID 48809 //
     /* 2254423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254436 */   // MIs[0] Operand 1
     /* 2254436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254445 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254449 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2254452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254465 */   // GIR_Coverage, 48809,
     /* 2254465 */   GIR_EraseRootFromParent_Done,
     /* 2254466 */ // Label 30216: @2254466
     /* 2254466 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2254514), // Rule ID 48816 //
     /* 2254471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254477 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254484 */   // MIs[0] Operand 1
     /* 2254484 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254493 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254497 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254513 */   // GIR_Coverage, 48816,
     /* 2254513 */   GIR_EraseRootFromParent_Done,
     /* 2254514 */ // Label 30217: @2254514
     /* 2254514 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2254562), // Rule ID 48817 //
     /* 2254519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254532 */   // MIs[0] Operand 1
     /* 2254532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254545 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254561 */   // GIR_Coverage, 48817,
     /* 2254561 */   GIR_EraseRootFromParent_Done,
     /* 2254562 */ // Label 30218: @2254562
     /* 2254562 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2254610), // Rule ID 48824 //
     /* 2254567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2254573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2254576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254580 */   // MIs[0] Operand 1
     /* 2254580 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254593 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254609 */   // GIR_Coverage, 48824,
     /* 2254609 */   GIR_EraseRootFromParent_Done,
     /* 2254610 */ // Label 30219: @2254610
     /* 2254610 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2254658), // Rule ID 48825 //
     /* 2254615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2254621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2254624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254628 */   // MIs[0] Operand 1
     /* 2254628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254637 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254641 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254657 */   // GIR_Coverage, 48825,
     /* 2254657 */   GIR_EraseRootFromParent_Done,
     /* 2254658 */ // Label 30220: @2254658
     /* 2254658 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2254706), // Rule ID 48838 //
     /* 2254663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2254669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2254672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254676 */   // MIs[0] Operand 1
     /* 2254676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254689 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2254692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254694 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254705 */   // GIR_Coverage, 48838,
     /* 2254705 */   GIR_EraseRootFromParent_Done,
     /* 2254706 */ // Label 30221: @2254706
     /* 2254706 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2254754), // Rule ID 48839 //
     /* 2254711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2254717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2254720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254724 */   // MIs[0] Operand 1
     /* 2254724 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254737 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2254740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254744 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254753 */   // GIR_Coverage, 48839,
     /* 2254753 */   GIR_EraseRootFromParent_Done,
     /* 2254754 */ // Label 30222: @2254754
     /* 2254754 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2254802), // Rule ID 48852 //
     /* 2254759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254772 */   // MIs[0] Operand 1
     /* 2254772 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254785 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2254788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254792 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254801 */   // GIR_Coverage, 48852,
     /* 2254801 */   GIR_EraseRootFromParent_Done,
     /* 2254802 */ // Label 30223: @2254802
     /* 2254802 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2254850), // Rule ID 48853 //
     /* 2254807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2254816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254820 */   // MIs[0] Operand 1
     /* 2254820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254833 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2254836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254849 */   // GIR_Coverage, 48853,
     /* 2254849 */   GIR_EraseRootFromParent_Done,
     /* 2254850 */ // Label 30224: @2254850
     /* 2254850 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2254898), // Rule ID 48860 //
     /* 2254855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254868 */   // MIs[0] Operand 1
     /* 2254868 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254881 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2254884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254888 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254897 */   // GIR_Coverage, 48860,
     /* 2254897 */   GIR_EraseRootFromParent_Done,
     /* 2254898 */ // Label 30225: @2254898
     /* 2254898 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2254946), // Rule ID 48861 //
     /* 2254903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2254909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2254912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254916 */   // MIs[0] Operand 1
     /* 2254916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254929 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2254932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254945 */   // GIR_Coverage, 48861,
     /* 2254945 */   GIR_EraseRootFromParent_Done,
     /* 2254946 */ // Label 30226: @2254946
     /* 2254946 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2254994), // Rule ID 48868 //
     /* 2254951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2254957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2254960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254964 */   // MIs[0] Operand 1
     /* 2254964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254977 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2254980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254984 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254993 */   // GIR_Coverage, 48868,
     /* 2254993 */   GIR_EraseRootFromParent_Done,
     /* 2254994 */ // Label 30227: @2254994
     /* 2254994 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2255042), // Rule ID 48869 //
     /* 2254999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2255005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2255008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255012 */   // MIs[0] Operand 1
     /* 2255012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2255017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255025 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255032 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255041 */   // GIR_Coverage, 48869,
     /* 2255041 */   GIR_EraseRootFromParent_Done,
     /* 2255042 */ // Label 30228: @2255042
     /* 2255042 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2255090), // Rule ID 48882 //
     /* 2255047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2255053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2255056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255060 */   // MIs[0] Operand 1
     /* 2255060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255073 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2255076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255089 */   // GIR_Coverage, 48882,
     /* 2255089 */   GIR_EraseRootFromParent_Done,
     /* 2255090 */ // Label 30229: @2255090
     /* 2255090 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2255138), // Rule ID 48883 //
     /* 2255095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2255101 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2255104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255108 */   // MIs[0] Operand 1
     /* 2255108 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255117 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255121 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2255124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255137 */   // GIR_Coverage, 48883,
     /* 2255137 */   GIR_EraseRootFromParent_Done,
     /* 2255138 */ // Label 30230: @2255138
     /* 2255138 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2255186), // Rule ID 48896 //
     /* 2255143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255156 */   // MIs[0] Operand 1
     /* 2255156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255169 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2255172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255185 */   // GIR_Coverage, 48896,
     /* 2255185 */   GIR_EraseRootFromParent_Done,
     /* 2255186 */ // Label 30231: @2255186
     /* 2255186 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2255234), // Rule ID 48897 //
     /* 2255191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255204 */   // MIs[0] Operand 1
     /* 2255204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255217 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2255220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255233 */   // GIR_Coverage, 48897,
     /* 2255233 */   GIR_EraseRootFromParent_Done,
     /* 2255234 */ // Label 30232: @2255234
     /* 2255234 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2255282), // Rule ID 48904 //
     /* 2255239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2255248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255252 */   // MIs[0] Operand 1
     /* 2255252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255265 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2255268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255281 */   // GIR_Coverage, 48904,
     /* 2255281 */   GIR_EraseRootFromParent_Done,
     /* 2255282 */ // Label 30233: @2255282
     /* 2255282 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2255330), // Rule ID 48905 //
     /* 2255287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2255296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255300 */   // MIs[0] Operand 1
     /* 2255300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255313 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2255316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255329 */   // GIR_Coverage, 48905,
     /* 2255329 */   GIR_EraseRootFromParent_Done,
     /* 2255330 */ // Label 30234: @2255330
     /* 2255330 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2255378), // Rule ID 48912 //
     /* 2255335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2255341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2255344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255348 */   // MIs[0] Operand 1
     /* 2255348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255361 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255377 */   // GIR_Coverage, 48912,
     /* 2255377 */   GIR_EraseRootFromParent_Done,
     /* 2255378 */ // Label 30235: @2255378
     /* 2255378 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2255426), // Rule ID 48913 //
     /* 2255383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2255389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2255392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255396 */   // MIs[0] Operand 1
     /* 2255396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255409 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255425 */   // GIR_Coverage, 48913,
     /* 2255425 */   GIR_EraseRootFromParent_Done,
     /* 2255426 */ // Label 30236: @2255426
     /* 2255426 */ GIM_Reject,
     /* 2255427 */ // Label 29819: @2255427
     /* 2255427 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2255475), // Rule ID 48496 //
     /* 2255432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2255438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2255441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255445 */   // MIs[0] Operand 1
     /* 2255445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255454 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255458 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2255461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255463 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255465 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255474 */   // GIR_Coverage, 48496,
     /* 2255474 */   GIR_EraseRootFromParent_Done,
     /* 2255475 */ // Label 30237: @2255475
     /* 2255475 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2255523), // Rule ID 48497 //
     /* 2255480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2255486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2255489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255493 */   // MIs[0] Operand 1
     /* 2255493 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255502 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255506 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2255509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255511 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255513 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255522 */   // GIR_Coverage, 48497,
     /* 2255522 */   GIR_EraseRootFromParent_Done,
     /* 2255523 */ // Label 30238: @2255523
     /* 2255523 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2255571), // Rule ID 48504 //
     /* 2255528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2255534 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2255537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255541 */   // MIs[0] Operand 1
     /* 2255541 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255550 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255554 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2255557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255559 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255561 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255570 */   // GIR_Coverage, 48504,
     /* 2255570 */   GIR_EraseRootFromParent_Done,
     /* 2255571 */ // Label 30239: @2255571
     /* 2255571 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2255619), // Rule ID 48505 //
     /* 2255576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2255582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2255585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255589 */   // MIs[0] Operand 1
     /* 2255589 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255598 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255602 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2255605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255609 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255618 */   // GIR_Coverage, 48505,
     /* 2255618 */   GIR_EraseRootFromParent_Done,
     /* 2255619 */ // Label 30240: @2255619
     /* 2255619 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2255667), // Rule ID 48512 //
     /* 2255624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2255633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255637 */   // MIs[0] Operand 1
     /* 2255637 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255650 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2255653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255655 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255657 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255666 */   // GIR_Coverage, 48512,
     /* 2255666 */   GIR_EraseRootFromParent_Done,
     /* 2255667 */ // Label 30241: @2255667
     /* 2255667 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2255715), // Rule ID 48513 //
     /* 2255672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255678 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2255681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255685 */   // MIs[0] Operand 1
     /* 2255685 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255698 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2255701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255705 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255714 */   // GIR_Coverage, 48513,
     /* 2255714 */   GIR_EraseRootFromParent_Done,
     /* 2255715 */ // Label 30242: @2255715
     /* 2255715 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2255763), // Rule ID 48540 //
     /* 2255720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2255726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2255729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255733 */   // MIs[0] Operand 1
     /* 2255733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255746 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2255749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255751 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255753 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255762 */   // GIR_Coverage, 48540,
     /* 2255762 */   GIR_EraseRootFromParent_Done,
     /* 2255763 */ // Label 30243: @2255763
     /* 2255763 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2255811), // Rule ID 48541 //
     /* 2255768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2255774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2255777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255781 */   // MIs[0] Operand 1
     /* 2255781 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255794 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2255797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255801 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255810 */   // GIR_Coverage, 48541,
     /* 2255810 */   GIR_EraseRootFromParent_Done,
     /* 2255811 */ // Label 30244: @2255811
     /* 2255811 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2255859), // Rule ID 48548 //
     /* 2255816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2255822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2255825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255829 */   // MIs[0] Operand 1
     /* 2255829 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255838 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255842 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2255845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255858 */   // GIR_Coverage, 48548,
     /* 2255858 */   GIR_EraseRootFromParent_Done,
     /* 2255859 */ // Label 30245: @2255859
     /* 2255859 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2255907), // Rule ID 48549 //
     /* 2255864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2255870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2255873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255877 */   // MIs[0] Operand 1
     /* 2255877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255890 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2255893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255906 */   // GIR_Coverage, 48549,
     /* 2255906 */   GIR_EraseRootFromParent_Done,
     /* 2255907 */ // Label 30246: @2255907
     /* 2255907 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2255955), // Rule ID 48556 //
     /* 2255912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2255921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255925 */   // MIs[0] Operand 1
     /* 2255925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255938 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2255941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255954 */   // GIR_Coverage, 48556,
     /* 2255954 */   GIR_EraseRootFromParent_Done,
     /* 2255955 */ // Label 30247: @2255955
     /* 2255955 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2256003), // Rule ID 48557 //
     /* 2255960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2255969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255973 */   // MIs[0] Operand 1
     /* 2255973 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255982 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255986 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2255989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256002 */   // GIR_Coverage, 48557,
     /* 2256002 */   GIR_EraseRootFromParent_Done,
     /* 2256003 */ // Label 30248: @2256003
     /* 2256003 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2256051), // Rule ID 48584 //
     /* 2256008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256021 */   // MIs[0] Operand 1
     /* 2256021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256030 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256034 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2256037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256050 */   // GIR_Coverage, 48584,
     /* 2256050 */   GIR_EraseRootFromParent_Done,
     /* 2256051 */ // Label 30249: @2256051
     /* 2256051 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2256099), // Rule ID 48585 //
     /* 2256056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256069 */   // MIs[0] Operand 1
     /* 2256069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256082 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2256085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256098 */   // GIR_Coverage, 48585,
     /* 2256098 */   GIR_EraseRootFromParent_Done,
     /* 2256099 */ // Label 30250: @2256099
     /* 2256099 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2256147), // Rule ID 48592 //
     /* 2256104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256117 */   // MIs[0] Operand 1
     /* 2256117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256130 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2256133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256146 */   // GIR_Coverage, 48592,
     /* 2256146 */   GIR_EraseRootFromParent_Done,
     /* 2256147 */ // Label 30251: @2256147
     /* 2256147 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2256195), // Rule ID 48593 //
     /* 2256152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256165 */   // MIs[0] Operand 1
     /* 2256165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256178 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2256181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256194 */   // GIR_Coverage, 48593,
     /* 2256194 */   GIR_EraseRootFromParent_Done,
     /* 2256195 */ // Label 30252: @2256195
     /* 2256195 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2256243), // Rule ID 48600 //
     /* 2256200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256213 */   // MIs[0] Operand 1
     /* 2256213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256226 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2256229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256231 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256233 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256242 */   // GIR_Coverage, 48600,
     /* 2256242 */   GIR_EraseRootFromParent_Done,
     /* 2256243 */ // Label 30253: @2256243
     /* 2256243 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2256291), // Rule ID 48601 //
     /* 2256248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256261 */   // MIs[0] Operand 1
     /* 2256261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2256266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256274 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2256277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256281 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256290 */   // GIR_Coverage, 48601,
     /* 2256290 */   GIR_EraseRootFromParent_Done,
     /* 2256291 */ // Label 30254: @2256291
     /* 2256291 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2256339), // Rule ID 48626 //
     /* 2256296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256309 */   // MIs[0] Operand 1
     /* 2256309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256322 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2256325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256338 */   // GIR_Coverage, 48626,
     /* 2256338 */   GIR_EraseRootFromParent_Done,
     /* 2256339 */ // Label 30255: @2256339
     /* 2256339 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2256387), // Rule ID 48627 //
     /* 2256344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256350 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256357 */   // MIs[0] Operand 1
     /* 2256357 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256370 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2256373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256386 */   // GIR_Coverage, 48627,
     /* 2256386 */   GIR_EraseRootFromParent_Done,
     /* 2256387 */ // Label 30256: @2256387
     /* 2256387 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2256435), // Rule ID 48634 //
     /* 2256392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256405 */   // MIs[0] Operand 1
     /* 2256405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256418 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2256421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256434 */   // GIR_Coverage, 48634,
     /* 2256434 */   GIR_EraseRootFromParent_Done,
     /* 2256435 */ // Label 30257: @2256435
     /* 2256435 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2256483), // Rule ID 48635 //
     /* 2256440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256453 */   // MIs[0] Operand 1
     /* 2256453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256466 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2256469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256482 */   // GIR_Coverage, 48635,
     /* 2256482 */   GIR_EraseRootFromParent_Done,
     /* 2256483 */ // Label 30258: @2256483
     /* 2256483 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2256531), // Rule ID 48642 //
     /* 2256488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256501 */   // MIs[0] Operand 1
     /* 2256501 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256510 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256514 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2256517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256530 */   // GIR_Coverage, 48642,
     /* 2256530 */   GIR_EraseRootFromParent_Done,
     /* 2256531 */ // Label 30259: @2256531
     /* 2256531 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2256579), // Rule ID 48643 //
     /* 2256536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256549 */   // MIs[0] Operand 1
     /* 2256549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2256554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256562 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2256565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256578 */   // GIR_Coverage, 48643,
     /* 2256578 */   GIR_EraseRootFromParent_Done,
     /* 2256579 */ // Label 30260: @2256579
     /* 2256579 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2256627), // Rule ID 48670 //
     /* 2256584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256597 */   // MIs[0] Operand 1
     /* 2256597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256610 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2256613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256626 */   // GIR_Coverage, 48670,
     /* 2256626 */   GIR_EraseRootFromParent_Done,
     /* 2256627 */ // Label 30261: @2256627
     /* 2256627 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2256675), // Rule ID 48671 //
     /* 2256632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256645 */   // MIs[0] Operand 1
     /* 2256645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256658 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2256661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256674 */   // GIR_Coverage, 48671,
     /* 2256674 */   GIR_EraseRootFromParent_Done,
     /* 2256675 */ // Label 30262: @2256675
     /* 2256675 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2256723), // Rule ID 48678 //
     /* 2256680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256693 */   // MIs[0] Operand 1
     /* 2256693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256706 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2256709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256722 */   // GIR_Coverage, 48678,
     /* 2256722 */   GIR_EraseRootFromParent_Done,
     /* 2256723 */ // Label 30263: @2256723
     /* 2256723 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2256771), // Rule ID 48679 //
     /* 2256728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256741 */   // MIs[0] Operand 1
     /* 2256741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256754 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2256757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256770 */   // GIR_Coverage, 48679,
     /* 2256770 */   GIR_EraseRootFromParent_Done,
     /* 2256771 */ // Label 30264: @2256771
     /* 2256771 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2256819), // Rule ID 48686 //
     /* 2256776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256789 */   // MIs[0] Operand 1
     /* 2256789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256802 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2256805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256818 */   // GIR_Coverage, 48686,
     /* 2256818 */   GIR_EraseRootFromParent_Done,
     /* 2256819 */ // Label 30265: @2256819
     /* 2256819 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2256867), // Rule ID 48687 //
     /* 2256824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256830 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256837 */   // MIs[0] Operand 1
     /* 2256837 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2256842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256846 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256850 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2256853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256857 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256866 */   // GIR_Coverage, 48687,
     /* 2256866 */   GIR_EraseRootFromParent_Done,
     /* 2256867 */ // Label 30266: @2256867
     /* 2256867 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2256915), // Rule ID 48714 //
     /* 2256872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256885 */   // MIs[0] Operand 1
     /* 2256885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2256890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256898 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2256901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256914 */   // GIR_Coverage, 48714,
     /* 2256914 */   GIR_EraseRootFromParent_Done,
     /* 2256915 */ // Label 30267: @2256915
     /* 2256915 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2256963), // Rule ID 48715 //
     /* 2256920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256933 */   // MIs[0] Operand 1
     /* 2256933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2256938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256946 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2256949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256962 */   // GIR_Coverage, 48715,
     /* 2256962 */   GIR_EraseRootFromParent_Done,
     /* 2256963 */ // Label 30268: @2256963
     /* 2256963 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2257011), // Rule ID 48722 //
     /* 2256968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256981 */   // MIs[0] Operand 1
     /* 2256981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2256986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256994 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2256997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257010 */   // GIR_Coverage, 48722,
     /* 2257010 */   GIR_EraseRootFromParent_Done,
     /* 2257011 */ // Label 30269: @2257011
     /* 2257011 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2257059), // Rule ID 48723 //
     /* 2257016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257029 */   // MIs[0] Operand 1
     /* 2257029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2257034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257042 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2257045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257058 */   // GIR_Coverage, 48723,
     /* 2257058 */   GIR_EraseRootFromParent_Done,
     /* 2257059 */ // Label 30270: @2257059
     /* 2257059 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2257107), // Rule ID 48730 //
     /* 2257064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257077 */   // MIs[0] Operand 1
     /* 2257077 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2257082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257090 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2257093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257106 */   // GIR_Coverage, 48730,
     /* 2257106 */   GIR_EraseRootFromParent_Done,
     /* 2257107 */ // Label 30271: @2257107
     /* 2257107 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2257155), // Rule ID 48731 //
     /* 2257112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257125 */   // MIs[0] Operand 1
     /* 2257125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2257130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257138 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2257141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257154 */   // GIR_Coverage, 48731,
     /* 2257154 */   GIR_EraseRootFromParent_Done,
     /* 2257155 */ // Label 30272: @2257155
     /* 2257155 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2257203), // Rule ID 48758 //
     /* 2257160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257173 */   // MIs[0] Operand 1
     /* 2257173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257186 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2257189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257202 */   // GIR_Coverage, 48758,
     /* 2257202 */   GIR_EraseRootFromParent_Done,
     /* 2257203 */ // Label 30273: @2257203
     /* 2257203 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2257251), // Rule ID 48759 //
     /* 2257208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257221 */   // MIs[0] Operand 1
     /* 2257221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257234 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2257237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257250 */   // GIR_Coverage, 48759,
     /* 2257250 */   GIR_EraseRootFromParent_Done,
     /* 2257251 */ // Label 30274: @2257251
     /* 2257251 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2257299), // Rule ID 48766 //
     /* 2257256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257269 */   // MIs[0] Operand 1
     /* 2257269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257282 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2257285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257298 */   // GIR_Coverage, 48766,
     /* 2257298 */   GIR_EraseRootFromParent_Done,
     /* 2257299 */ // Label 30275: @2257299
     /* 2257299 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2257347), // Rule ID 48767 //
     /* 2257304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257317 */   // MIs[0] Operand 1
     /* 2257317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257326 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257330 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2257333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257346 */   // GIR_Coverage, 48767,
     /* 2257346 */   GIR_EraseRootFromParent_Done,
     /* 2257347 */ // Label 30276: @2257347
     /* 2257347 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2257395), // Rule ID 48774 //
     /* 2257352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257358 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257365 */   // MIs[0] Operand 1
     /* 2257365 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257374 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257378 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2257381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257385 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257394 */   // GIR_Coverage, 48774,
     /* 2257394 */   GIR_EraseRootFromParent_Done,
     /* 2257395 */ // Label 30277: @2257395
     /* 2257395 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2257443), // Rule ID 48775 //
     /* 2257400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257413 */   // MIs[0] Operand 1
     /* 2257413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2257418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257426 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2257429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257442 */   // GIR_Coverage, 48775,
     /* 2257442 */   GIR_EraseRootFromParent_Done,
     /* 2257443 */ // Label 30278: @2257443
     /* 2257443 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2257491), // Rule ID 48802 //
     /* 2257448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257461 */   // MIs[0] Operand 1
     /* 2257461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257474 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2257477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257481 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257490 */   // GIR_Coverage, 48802,
     /* 2257490 */   GIR_EraseRootFromParent_Done,
     /* 2257491 */ // Label 30279: @2257491
     /* 2257491 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2257539), // Rule ID 48803 //
     /* 2257496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257509 */   // MIs[0] Operand 1
     /* 2257509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257522 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2257525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257529 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257538 */   // GIR_Coverage, 48803,
     /* 2257538 */   GIR_EraseRootFromParent_Done,
     /* 2257539 */ // Label 30280: @2257539
     /* 2257539 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2257587), // Rule ID 48810 //
     /* 2257544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257557 */   // MIs[0] Operand 1
     /* 2257557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257570 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2257573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257577 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257586 */   // GIR_Coverage, 48810,
     /* 2257586 */   GIR_EraseRootFromParent_Done,
     /* 2257587 */ // Label 30281: @2257587
     /* 2257587 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2257635), // Rule ID 48811 //
     /* 2257592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257605 */   // MIs[0] Operand 1
     /* 2257605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257618 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2257621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257634 */   // GIR_Coverage, 48811,
     /* 2257634 */   GIR_EraseRootFromParent_Done,
     /* 2257635 */ // Label 30282: @2257635
     /* 2257635 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2257683), // Rule ID 48818 //
     /* 2257640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257653 */   // MIs[0] Operand 1
     /* 2257653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257666 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2257669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257682 */   // GIR_Coverage, 48818,
     /* 2257682 */   GIR_EraseRootFromParent_Done,
     /* 2257683 */ // Label 30283: @2257683
     /* 2257683 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2257731), // Rule ID 48819 //
     /* 2257688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257701 */   // MIs[0] Operand 1
     /* 2257701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2257706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257714 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2257717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257730 */   // GIR_Coverage, 48819,
     /* 2257730 */   GIR_EraseRootFromParent_Done,
     /* 2257731 */ // Label 30284: @2257731
     /* 2257731 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2257779), // Rule ID 48846 //
     /* 2257736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257749 */   // MIs[0] Operand 1
     /* 2257749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257762 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2257765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257778 */   // GIR_Coverage, 48846,
     /* 2257778 */   GIR_EraseRootFromParent_Done,
     /* 2257779 */ // Label 30285: @2257779
     /* 2257779 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2257827), // Rule ID 48847 //
     /* 2257784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2257790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2257793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257797 */   // MIs[0] Operand 1
     /* 2257797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257810 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2257813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257826 */   // GIR_Coverage, 48847,
     /* 2257826 */   GIR_EraseRootFromParent_Done,
     /* 2257827 */ // Label 30286: @2257827
     /* 2257827 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2257875), // Rule ID 48854 //
     /* 2257832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257845 */   // MIs[0] Operand 1
     /* 2257845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257858 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2257861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257874 */   // GIR_Coverage, 48854,
     /* 2257874 */   GIR_EraseRootFromParent_Done,
     /* 2257875 */ // Label 30287: @2257875
     /* 2257875 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2257923), // Rule ID 48855 //
     /* 2257880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257893 */   // MIs[0] Operand 1
     /* 2257893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257906 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2257909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257922 */   // GIR_Coverage, 48855,
     /* 2257922 */   GIR_EraseRootFromParent_Done,
     /* 2257923 */ // Label 30288: @2257923
     /* 2257923 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2257971), // Rule ID 48862 //
     /* 2257928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257941 */   // MIs[0] Operand 1
     /* 2257941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257954 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2257957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257970 */   // GIR_Coverage, 48862,
     /* 2257970 */   GIR_EraseRootFromParent_Done,
     /* 2257971 */ // Label 30289: @2257971
     /* 2257971 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2258019), // Rule ID 48863 //
     /* 2257976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257989 */   // MIs[0] Operand 1
     /* 2257989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2257994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258002 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2258005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258018 */   // GIR_Coverage, 48863,
     /* 2258018 */   GIR_EraseRootFromParent_Done,
     /* 2258019 */ // Label 30290: @2258019
     /* 2258019 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2258067), // Rule ID 48890 //
     /* 2258024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2258030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2258033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258037 */   // MIs[0] Operand 1
     /* 2258037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258050 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2258053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258055 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258066 */   // GIR_Coverage, 48890,
     /* 2258066 */   GIR_EraseRootFromParent_Done,
     /* 2258067 */ // Label 30291: @2258067
     /* 2258067 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2258115), // Rule ID 48891 //
     /* 2258072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2258078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2258081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258085 */   // MIs[0] Operand 1
     /* 2258085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258098 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2258101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258105 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258114 */   // GIR_Coverage, 48891,
     /* 2258114 */   GIR_EraseRootFromParent_Done,
     /* 2258115 */ // Label 30292: @2258115
     /* 2258115 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2258163), // Rule ID 48898 //
     /* 2258120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258133 */   // MIs[0] Operand 1
     /* 2258133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258146 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2258149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258151 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258162 */   // GIR_Coverage, 48898,
     /* 2258162 */   GIR_EraseRootFromParent_Done,
     /* 2258163 */ // Label 30293: @2258163
     /* 2258163 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2258211), // Rule ID 48899 //
     /* 2258168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258181 */   // MIs[0] Operand 1
     /* 2258181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258194 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2258197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258201 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258210 */   // GIR_Coverage, 48899,
     /* 2258210 */   GIR_EraseRootFromParent_Done,
     /* 2258211 */ // Label 30294: @2258211
     /* 2258211 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2258259), // Rule ID 48906 //
     /* 2258216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258229 */   // MIs[0] Operand 1
     /* 2258229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258242 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2258245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258249 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258258 */   // GIR_Coverage, 48906,
     /* 2258258 */   GIR_EraseRootFromParent_Done,
     /* 2258259 */ // Label 30295: @2258259
     /* 2258259 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2258307), // Rule ID 48907 //
     /* 2258264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258277 */   // MIs[0] Operand 1
     /* 2258277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2258282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258290 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2258293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258306 */   // GIR_Coverage, 48907,
     /* 2258306 */   GIR_EraseRootFromParent_Done,
     /* 2258307 */ // Label 30296: @2258307
     /* 2258307 */ GIM_Reject,
     /* 2258308 */ // Label 29820: @2258308
     /* 2258308 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2258356), // Rule ID 48498 //
     /* 2258313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258326 */   // MIs[0] Operand 1
     /* 2258326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2258331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258339 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2258342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258355 */   // GIR_Coverage, 48498,
     /* 2258355 */   GIR_EraseRootFromParent_Done,
     /* 2258356 */ // Label 30297: @2258356
     /* 2258356 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2258404), // Rule ID 48499 //
     /* 2258361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258374 */   // MIs[0] Operand 1
     /* 2258374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2258379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258387 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2258390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258403 */   // GIR_Coverage, 48499,
     /* 2258403 */   GIR_EraseRootFromParent_Done,
     /* 2258404 */ // Label 30298: @2258404
     /* 2258404 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2258452), // Rule ID 48506 //
     /* 2258409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258422 */   // MIs[0] Operand 1
     /* 2258422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2258427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258435 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2258438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258451 */   // GIR_Coverage, 48506,
     /* 2258451 */   GIR_EraseRootFromParent_Done,
     /* 2258452 */ // Label 30299: @2258452
     /* 2258452 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2258500), // Rule ID 48507 //
     /* 2258457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258470 */   // MIs[0] Operand 1
     /* 2258470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2258475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258483 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2258486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258499 */   // GIR_Coverage, 48507,
     /* 2258499 */   GIR_EraseRootFromParent_Done,
     /* 2258500 */ // Label 30300: @2258500
     /* 2258500 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2258548), // Rule ID 48542 //
     /* 2258505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258518 */   // MIs[0] Operand 1
     /* 2258518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2258523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258531 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2258534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258538 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258547 */   // GIR_Coverage, 48542,
     /* 2258547 */   GIR_EraseRootFromParent_Done,
     /* 2258548 */ // Label 30301: @2258548
     /* 2258548 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2258596), // Rule ID 48543 //
     /* 2258553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258566 */   // MIs[0] Operand 1
     /* 2258566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2258571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258579 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2258582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258586 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258595 */   // GIR_Coverage, 48543,
     /* 2258595 */   GIR_EraseRootFromParent_Done,
     /* 2258596 */ // Label 30302: @2258596
     /* 2258596 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2258644), // Rule ID 48550 //
     /* 2258601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258614 */   // MIs[0] Operand 1
     /* 2258614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2258619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258627 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2258630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258634 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258643 */   // GIR_Coverage, 48550,
     /* 2258643 */   GIR_EraseRootFromParent_Done,
     /* 2258644 */ // Label 30303: @2258644
     /* 2258644 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2258692), // Rule ID 48551 //
     /* 2258649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258662 */   // MIs[0] Operand 1
     /* 2258662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2258667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258675 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2258678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258691 */   // GIR_Coverage, 48551,
     /* 2258691 */   GIR_EraseRootFromParent_Done,
     /* 2258692 */ // Label 30304: @2258692
     /* 2258692 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2258740), // Rule ID 48586 //
     /* 2258697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258710 */   // MIs[0] Operand 1
     /* 2258710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258723 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258730 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258739 */   // GIR_Coverage, 48586,
     /* 2258739 */   GIR_EraseRootFromParent_Done,
     /* 2258740 */ // Label 30305: @2258740
     /* 2258740 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2258788), // Rule ID 48587 //
     /* 2258745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258758 */   // MIs[0] Operand 1
     /* 2258758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258771 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258787 */   // GIR_Coverage, 48587,
     /* 2258787 */   GIR_EraseRootFromParent_Done,
     /* 2258788 */ // Label 30306: @2258788
     /* 2258788 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2258836), // Rule ID 48594 //
     /* 2258793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258806 */   // MIs[0] Operand 1
     /* 2258806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258819 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258835 */   // GIR_Coverage, 48594,
     /* 2258835 */   GIR_EraseRootFromParent_Done,
     /* 2258836 */ // Label 30307: @2258836
     /* 2258836 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2258884), // Rule ID 48595 //
     /* 2258841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258854 */   // MIs[0] Operand 1
     /* 2258854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258867 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258883 */   // GIR_Coverage, 48595,
     /* 2258883 */   GIR_EraseRootFromParent_Done,
     /* 2258884 */ // Label 30308: @2258884
     /* 2258884 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2258932), // Rule ID 48628 //
     /* 2258889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258902 */   // MIs[0] Operand 1
     /* 2258902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258915 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258931 */   // GIR_Coverage, 48628,
     /* 2258931 */   GIR_EraseRootFromParent_Done,
     /* 2258932 */ // Label 30309: @2258932
     /* 2258932 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2258980), // Rule ID 48629 //
     /* 2258937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2258943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2258946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258950 */   // MIs[0] Operand 1
     /* 2258950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258963 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258979 */   // GIR_Coverage, 48629,
     /* 2258979 */   GIR_EraseRootFromParent_Done,
     /* 2258980 */ // Label 30310: @2258980
     /* 2258980 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2259028), // Rule ID 48636 //
     /* 2258985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258998 */   // MIs[0] Operand 1
     /* 2258998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2259003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259011 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2259014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259027 */   // GIR_Coverage, 48636,
     /* 2259027 */   GIR_EraseRootFromParent_Done,
     /* 2259028 */ // Label 30311: @2259028
     /* 2259028 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2259076), // Rule ID 48637 //
     /* 2259033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259046 */   // MIs[0] Operand 1
     /* 2259046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2259051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259059 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2259062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259075 */   // GIR_Coverage, 48637,
     /* 2259075 */   GIR_EraseRootFromParent_Done,
     /* 2259076 */ // Label 30312: @2259076
     /* 2259076 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2259124), // Rule ID 48672 //
     /* 2259081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259094 */   // MIs[0] Operand 1
     /* 2259094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2259099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259107 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259123 */   // GIR_Coverage, 48672,
     /* 2259123 */   GIR_EraseRootFromParent_Done,
     /* 2259124 */ // Label 30313: @2259124
     /* 2259124 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2259172), // Rule ID 48673 //
     /* 2259129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259142 */   // MIs[0] Operand 1
     /* 2259142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2259147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259155 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259171 */   // GIR_Coverage, 48673,
     /* 2259171 */   GIR_EraseRootFromParent_Done,
     /* 2259172 */ // Label 30314: @2259172
     /* 2259172 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2259220), // Rule ID 48680 //
     /* 2259177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259190 */   // MIs[0] Operand 1
     /* 2259190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2259195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259203 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259219 */   // GIR_Coverage, 48680,
     /* 2259219 */   GIR_EraseRootFromParent_Done,
     /* 2259220 */ // Label 30315: @2259220
     /* 2259220 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2259268), // Rule ID 48681 //
     /* 2259225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259238 */   // MIs[0] Operand 1
     /* 2259238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2259243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259251 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259267 */   // GIR_Coverage, 48681,
     /* 2259267 */   GIR_EraseRootFromParent_Done,
     /* 2259268 */ // Label 30316: @2259268
     /* 2259268 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2259316), // Rule ID 48716 //
     /* 2259273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259286 */   // MIs[0] Operand 1
     /* 2259286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259299 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259315 */   // GIR_Coverage, 48716,
     /* 2259315 */   GIR_EraseRootFromParent_Done,
     /* 2259316 */ // Label 30317: @2259316
     /* 2259316 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2259364), // Rule ID 48717 //
     /* 2259321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259334 */   // MIs[0] Operand 1
     /* 2259334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259347 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259363 */   // GIR_Coverage, 48717,
     /* 2259363 */   GIR_EraseRootFromParent_Done,
     /* 2259364 */ // Label 30318: @2259364
     /* 2259364 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2259412), // Rule ID 48724 //
     /* 2259369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259382 */   // MIs[0] Operand 1
     /* 2259382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259395 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259411 */   // GIR_Coverage, 48724,
     /* 2259411 */   GIR_EraseRootFromParent_Done,
     /* 2259412 */ // Label 30319: @2259412
     /* 2259412 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2259460), // Rule ID 48725 //
     /* 2259417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259430 */   // MIs[0] Operand 1
     /* 2259430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259443 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259459 */   // GIR_Coverage, 48725,
     /* 2259459 */   GIR_EraseRootFromParent_Done,
     /* 2259460 */ // Label 30320: @2259460
     /* 2259460 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2259508), // Rule ID 48760 //
     /* 2259465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259478 */   // MIs[0] Operand 1
     /* 2259478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259491 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259498 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259507 */   // GIR_Coverage, 48760,
     /* 2259507 */   GIR_EraseRootFromParent_Done,
     /* 2259508 */ // Label 30321: @2259508
     /* 2259508 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2259556), // Rule ID 48761 //
     /* 2259513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259526 */   // MIs[0] Operand 1
     /* 2259526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259535 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259539 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259546 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259555 */   // GIR_Coverage, 48761,
     /* 2259555 */   GIR_EraseRootFromParent_Done,
     /* 2259556 */ // Label 30322: @2259556
     /* 2259556 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2259604), // Rule ID 48768 //
     /* 2259561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259574 */   // MIs[0] Operand 1
     /* 2259574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259583 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259587 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259592 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259594 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259603 */   // GIR_Coverage, 48768,
     /* 2259603 */   GIR_EraseRootFromParent_Done,
     /* 2259604 */ // Label 30323: @2259604
     /* 2259604 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2259652), // Rule ID 48769 //
     /* 2259609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259622 */   // MIs[0] Operand 1
     /* 2259622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259631 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259635 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259640 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259642 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259651 */   // GIR_Coverage, 48769,
     /* 2259651 */   GIR_EraseRootFromParent_Done,
     /* 2259652 */ // Label 30324: @2259652
     /* 2259652 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2259700), // Rule ID 48804 //
     /* 2259657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259670 */   // MIs[0] Operand 1
     /* 2259670 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259679 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259683 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259699 */   // GIR_Coverage, 48804,
     /* 2259699 */   GIR_EraseRootFromParent_Done,
     /* 2259700 */ // Label 30325: @2259700
     /* 2259700 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2259748), // Rule ID 48805 //
     /* 2259705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259718 */   // MIs[0] Operand 1
     /* 2259718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259731 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259738 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259747 */   // GIR_Coverage, 48805,
     /* 2259747 */   GIR_EraseRootFromParent_Done,
     /* 2259748 */ // Label 30326: @2259748
     /* 2259748 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2259796), // Rule ID 48812 //
     /* 2259753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259766 */   // MIs[0] Operand 1
     /* 2259766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259779 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259795 */   // GIR_Coverage, 48812,
     /* 2259795 */   GIR_EraseRootFromParent_Done,
     /* 2259796 */ // Label 30327: @2259796
     /* 2259796 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2259844), // Rule ID 48813 //
     /* 2259801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259814 */   // MIs[0] Operand 1
     /* 2259814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259827 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259843 */   // GIR_Coverage, 48813,
     /* 2259843 */   GIR_EraseRootFromParent_Done,
     /* 2259844 */ // Label 30328: @2259844
     /* 2259844 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2259892), // Rule ID 48848 //
     /* 2259849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259862 */   // MIs[0] Operand 1
     /* 2259862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2259867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259875 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2259878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259891 */   // GIR_Coverage, 48848,
     /* 2259891 */   GIR_EraseRootFromParent_Done,
     /* 2259892 */ // Label 30329: @2259892
     /* 2259892 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2259940), // Rule ID 48849 //
     /* 2259897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259903 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2259906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259910 */   // MIs[0] Operand 1
     /* 2259910 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2259915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259919 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259923 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2259926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259928 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259939 */   // GIR_Coverage, 48849,
     /* 2259939 */   GIR_EraseRootFromParent_Done,
     /* 2259940 */ // Label 30330: @2259940
     /* 2259940 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2259988), // Rule ID 48856 //
     /* 2259945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259958 */   // MIs[0] Operand 1
     /* 2259958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2259963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259971 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2259974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259987 */   // GIR_Coverage, 48856,
     /* 2259987 */   GIR_EraseRootFromParent_Done,
     /* 2259988 */ // Label 30331: @2259988
     /* 2259988 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2260036), // Rule ID 48857 //
     /* 2259993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2260002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260006 */   // MIs[0] Operand 1
     /* 2260006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260019 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260024 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260035 */   // GIR_Coverage, 48857,
     /* 2260035 */   GIR_EraseRootFromParent_Done,
     /* 2260036 */ // Label 30332: @2260036
     /* 2260036 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2260084), // Rule ID 48892 //
     /* 2260041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2260047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2260050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260054 */   // MIs[0] Operand 1
     /* 2260054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260067 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260083 */   // GIR_Coverage, 48892,
     /* 2260083 */   GIR_EraseRootFromParent_Done,
     /* 2260084 */ // Label 30333: @2260084
     /* 2260084 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2260132), // Rule ID 48893 //
     /* 2260089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2260095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2260098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260102 */   // MIs[0] Operand 1
     /* 2260102 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260111 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260115 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260131 */   // GIR_Coverage, 48893,
     /* 2260131 */   GIR_EraseRootFromParent_Done,
     /* 2260132 */ // Label 30334: @2260132
     /* 2260132 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2260180), // Rule ID 48900 //
     /* 2260137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2260143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2260146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260150 */   // MIs[0] Operand 1
     /* 2260150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260163 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260179 */   // GIR_Coverage, 48900,
     /* 2260179 */   GIR_EraseRootFromParent_Done,
     /* 2260180 */ // Label 30335: @2260180
     /* 2260180 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2260228), // Rule ID 48901 //
     /* 2260185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2260191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2260194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260198 */   // MIs[0] Operand 1
     /* 2260198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260207 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260211 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260227 */   // GIR_Coverage, 48901,
     /* 2260227 */   GIR_EraseRootFromParent_Done,
     /* 2260228 */ // Label 30336: @2260228
     /* 2260228 */ GIM_Reject,
     /* 2260229 */ // Label 29821: @2260229
     /* 2260229 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2261005),
     /* 2260234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2260237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2260240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260244 */   GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2260282), // Rule ID 48500 //
     /* 2260249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260252 */     // MIs[0] Operand 1
     /* 2260252 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260265 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2260268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260281 */     // GIR_Coverage, 48500,
     /* 2260281 */     GIR_EraseRootFromParent_Done,
     /* 2260282 */   // Label 30338: @2260282
     /* 2260282 */   GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2260320), // Rule ID 48501 //
     /* 2260287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260290 */     // MIs[0] Operand 1
     /* 2260290 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260303 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2260306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260319 */     // GIR_Coverage, 48501,
     /* 2260319 */     GIR_EraseRootFromParent_Done,
     /* 2260320 */   // Label 30339: @2260320
     /* 2260320 */   GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2260358), // Rule ID 48544 //
     /* 2260325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260328 */     // MIs[0] Operand 1
     /* 2260328 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2260333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260341 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2260344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260357 */     // GIR_Coverage, 48544,
     /* 2260357 */     GIR_EraseRootFromParent_Done,
     /* 2260358 */   // Label 30340: @2260358
     /* 2260358 */   GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2260396), // Rule ID 48545 //
     /* 2260363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260366 */     // MIs[0] Operand 1
     /* 2260366 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2260371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260379 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2260382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260395 */     // GIR_Coverage, 48545,
     /* 2260395 */     GIR_EraseRootFromParent_Done,
     /* 2260396 */   // Label 30341: @2260396
     /* 2260396 */   GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2260434), // Rule ID 48588 //
     /* 2260401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260404 */     // MIs[0] Operand 1
     /* 2260404 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2260409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260417 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2260420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260433 */     // GIR_Coverage, 48588,
     /* 2260433 */     GIR_EraseRootFromParent_Done,
     /* 2260434 */   // Label 30342: @2260434
     /* 2260434 */   GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2260472), // Rule ID 48589 //
     /* 2260439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260442 */     // MIs[0] Operand 1
     /* 2260442 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2260447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260455 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2260458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260471 */     // GIR_Coverage, 48589,
     /* 2260471 */     GIR_EraseRootFromParent_Done,
     /* 2260472 */   // Label 30343: @2260472
     /* 2260472 */   GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2260510), // Rule ID 48630 //
     /* 2260477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260480 */     // MIs[0] Operand 1
     /* 2260480 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2260485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260493 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2260496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260509 */     // GIR_Coverage, 48630,
     /* 2260509 */     GIR_EraseRootFromParent_Done,
     /* 2260510 */   // Label 30344: @2260510
     /* 2260510 */   GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2260548), // Rule ID 48631 //
     /* 2260515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260518 */     // MIs[0] Operand 1
     /* 2260518 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2260523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260531 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2260534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260547 */     // GIR_Coverage, 48631,
     /* 2260547 */     GIR_EraseRootFromParent_Done,
     /* 2260548 */   // Label 30345: @2260548
     /* 2260548 */   GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2260586), // Rule ID 48674 //
     /* 2260553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260556 */     // MIs[0] Operand 1
     /* 2260556 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2260561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260569 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2260572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260585 */     // GIR_Coverage, 48674,
     /* 2260585 */     GIR_EraseRootFromParent_Done,
     /* 2260586 */   // Label 30346: @2260586
     /* 2260586 */   GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2260624), // Rule ID 48675 //
     /* 2260591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260594 */     // MIs[0] Operand 1
     /* 2260594 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2260599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260607 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2260610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260623 */     // GIR_Coverage, 48675,
     /* 2260623 */     GIR_EraseRootFromParent_Done,
     /* 2260624 */   // Label 30347: @2260624
     /* 2260624 */   GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2260662), // Rule ID 48718 //
     /* 2260629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260632 */     // MIs[0] Operand 1
     /* 2260632 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2260637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260645 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2260648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260661 */     // GIR_Coverage, 48718,
     /* 2260661 */     GIR_EraseRootFromParent_Done,
     /* 2260662 */   // Label 30348: @2260662
     /* 2260662 */   GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2260700), // Rule ID 48719 //
     /* 2260667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260670 */     // MIs[0] Operand 1
     /* 2260670 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2260675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260683 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2260686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260699 */     // GIR_Coverage, 48719,
     /* 2260699 */     GIR_EraseRootFromParent_Done,
     /* 2260700 */   // Label 30349: @2260700
     /* 2260700 */   GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2260738), // Rule ID 48762 //
     /* 2260705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260708 */     // MIs[0] Operand 1
     /* 2260708 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2260713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260721 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260737 */     // GIR_Coverage, 48762,
     /* 2260737 */     GIR_EraseRootFromParent_Done,
     /* 2260738 */   // Label 30350: @2260738
     /* 2260738 */   GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2260776), // Rule ID 48763 //
     /* 2260743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260746 */     // MIs[0] Operand 1
     /* 2260746 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2260751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260759 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260775 */     // GIR_Coverage, 48763,
     /* 2260775 */     GIR_EraseRootFromParent_Done,
     /* 2260776 */   // Label 30351: @2260776
     /* 2260776 */   GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2260814), // Rule ID 48806 //
     /* 2260781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260784 */     // MIs[0] Operand 1
     /* 2260784 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260797 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260813 */     // GIR_Coverage, 48806,
     /* 2260813 */     GIR_EraseRootFromParent_Done,
     /* 2260814 */   // Label 30352: @2260814
     /* 2260814 */   GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2260852), // Rule ID 48807 //
     /* 2260819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260822 */     // MIs[0] Operand 1
     /* 2260822 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260835 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260851 */     // GIR_Coverage, 48807,
     /* 2260851 */     GIR_EraseRootFromParent_Done,
     /* 2260852 */   // Label 30353: @2260852
     /* 2260852 */   GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2260890), // Rule ID 48850 //
     /* 2260857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260860 */     // MIs[0] Operand 1
     /* 2260860 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260873 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260889 */     // GIR_Coverage, 48850,
     /* 2260889 */     GIR_EraseRootFromParent_Done,
     /* 2260890 */   // Label 30354: @2260890
     /* 2260890 */   GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2260928), // Rule ID 48851 //
     /* 2260895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260898 */     // MIs[0] Operand 1
     /* 2260898 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260911 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260927 */     // GIR_Coverage, 48851,
     /* 2260927 */     GIR_EraseRootFromParent_Done,
     /* 2260928 */   // Label 30355: @2260928
     /* 2260928 */   GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2260966), // Rule ID 48894 //
     /* 2260933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260936 */     // MIs[0] Operand 1
     /* 2260936 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260949 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260965 */     // GIR_Coverage, 48894,
     /* 2260965 */     GIR_EraseRootFromParent_Done,
     /* 2260966 */   // Label 30356: @2260966
     /* 2260966 */   GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2261004), // Rule ID 48895 //
     /* 2260971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260974 */     // MIs[0] Operand 1
     /* 2260974 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260987 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261003 */     // GIR_Coverage, 48895,
     /* 2261003 */     GIR_EraseRootFromParent_Done,
     /* 2261004 */   // Label 30357: @2261004
     /* 2261004 */   GIM_Reject,
     /* 2261005 */ // Label 30337: @2261005
     /* 2261005 */ GIM_Reject,
     /* 2261006 */ // Label 29822: @2261006
     /* 2261006 */ GIM_Reject,
     /* 2261007 */ // Label 49: @2261007
     /* 2261007 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30366*/ GIMT_Encode4(2268468),
     /* 2261018 */ /*GILLT_s32*//*Label 30358*/ GIMT_Encode4(2261126),
     /* 2261022 */ /*GILLT_s64*//*Label 30359*/ GIMT_Encode4(2261883),
     /* 2261026 */ /*GILLT_nxv1s1*//*Label 30360*/ GIMT_Encode4(2262766), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2261046 */ /*GILLT_nxv2s1*//*Label 30361*/ GIMT_Encode4(2263919), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2261066 */ /*GILLT_nxv4s1*//*Label 30362*/ GIMT_Encode4(2265072), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2261086 */ /*GILLT_nxv8s1*//*Label 30363*/ GIMT_Encode4(2266225), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2261106 */ /*GILLT_nxv16s1*//*Label 30364*/ GIMT_Encode4(2267378), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2261122 */ /*GILLT_nxv32s1*//*Label 30365*/ GIMT_Encode4(2268147),
     /* 2261126 */ // Label 30358: @2261126
     /* 2261126 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2261168), // Rule ID 1356 //
     /* 2261131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2261134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261144 */   // MIs[0] Operand 1
     /* 2261144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261157 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2261160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261167 */   // GIR_Coverage, 1356,
     /* 2261167 */   GIR_EraseRootFromParent_Done,
     /* 2261168 */ // Label 30367: @2261168
     /* 2261168 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2261210), // Rule ID 1360 //
     /* 2261173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2261176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261186 */   // MIs[0] Operand 1
     /* 2261186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261199 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2261202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261209 */   // GIR_Coverage, 1360,
     /* 2261209 */   GIR_EraseRootFromParent_Done,
     /* 2261210 */ // Label 30368: @2261210
     /* 2261210 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2261252), // Rule ID 1404 //
     /* 2261215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2261218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261228 */   // MIs[0] Operand 1
     /* 2261228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261241 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2261244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261251 */   // GIR_Coverage, 1404,
     /* 2261251 */   GIR_EraseRootFromParent_Done,
     /* 2261252 */ // Label 30369: @2261252
     /* 2261252 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2261294), // Rule ID 1408 //
     /* 2261257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2261260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261270 */   // MIs[0] Operand 1
     /* 2261270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261283 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2261286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261290 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261293 */   // GIR_Coverage, 1408,
     /* 2261293 */   GIR_EraseRootFromParent_Done,
     /* 2261294 */ // Label 30370: @2261294
     /* 2261294 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2261336), // Rule ID 1420 //
     /* 2261299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2261302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261312 */   // MIs[0] Operand 1
     /* 2261312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261325 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2261328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261335 */   // GIR_Coverage, 1420,
     /* 2261335 */   GIR_EraseRootFromParent_Done,
     /* 2261336 */ // Label 30371: @2261336
     /* 2261336 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2261378), // Rule ID 1424 //
     /* 2261341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2261344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261354 */   // MIs[0] Operand 1
     /* 2261354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261367 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2261370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261374 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261377 */   // GIR_Coverage, 1424,
     /* 2261377 */   GIR_EraseRootFromParent_Done,
     /* 2261378 */ // Label 30372: @2261378
     /* 2261378 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2261420), // Rule ID 1736 //
     /* 2261383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2261386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261396 */   // MIs[0] Operand 1
     /* 2261396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261409 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2261412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261414 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261419 */   // GIR_Coverage, 1736,
     /* 2261419 */   GIR_EraseRootFromParent_Done,
     /* 2261420 */ // Label 30373: @2261420
     /* 2261420 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2261462), // Rule ID 1740 //
     /* 2261425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2261428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261438 */   // MIs[0] Operand 1
     /* 2261438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261451 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2261454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261461 */   // GIR_Coverage, 1740,
     /* 2261461 */   GIR_EraseRootFromParent_Done,
     /* 2261462 */ // Label 30374: @2261462
     /* 2261462 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2261504), // Rule ID 1778 //
     /* 2261467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2261470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261480 */   // MIs[0] Operand 1
     /* 2261480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261493 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2261496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261503 */   // GIR_Coverage, 1778,
     /* 2261503 */   GIR_EraseRootFromParent_Done,
     /* 2261504 */ // Label 30375: @2261504
     /* 2261504 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2261546), // Rule ID 1786 //
     /* 2261509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2261512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261522 */   // MIs[0] Operand 1
     /* 2261522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2261535 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2261538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261545 */   // GIR_Coverage, 1786,
     /* 2261545 */   GIR_EraseRootFromParent_Done,
     /* 2261546 */ // Label 30376: @2261546
     /* 2261546 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2261588), // Rule ID 1814 //
     /* 2261551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2261554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261564 */   // MIs[0] Operand 1
     /* 2261564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261577 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2261580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261587 */   // GIR_Coverage, 1814,
     /* 2261587 */   GIR_EraseRootFromParent_Done,
     /* 2261588 */ // Label 30377: @2261588
     /* 2261588 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2261630), // Rule ID 1822 //
     /* 2261593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2261596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2261599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2261602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261606 */   // MIs[0] Operand 1
     /* 2261606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2261619 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2261619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2261622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261629 */   // GIR_Coverage, 1822,
     /* 2261629 */   GIR_EraseRootFromParent_Done,
     /* 2261630 */ // Label 30378: @2261630
     /* 2261630 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2261672), // Rule ID 2069 //
     /* 2261635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2261638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261648 */   // MIs[0] Operand 1
     /* 2261648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261661 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2261664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261671 */   // GIR_Coverage, 2069,
     /* 2261671 */   GIR_EraseRootFromParent_Done,
     /* 2261672 */ // Label 30379: @2261672
     /* 2261672 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2261714), // Rule ID 2073 //
     /* 2261677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2261680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261690 */   // MIs[0] Operand 1
     /* 2261690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261703 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2261706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261713 */   // GIR_Coverage, 2073,
     /* 2261713 */   GIR_EraseRootFromParent_Done,
     /* 2261714 */ // Label 30380: @2261714
     /* 2261714 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2261756), // Rule ID 2117 //
     /* 2261719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2261722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261732 */   // MIs[0] Operand 1
     /* 2261732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261745 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2261748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261755 */   // GIR_Coverage, 2117,
     /* 2261755 */   GIR_EraseRootFromParent_Done,
     /* 2261756 */ // Label 30381: @2261756
     /* 2261756 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2261798), // Rule ID 2121 //
     /* 2261761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2261764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261774 */   // MIs[0] Operand 1
     /* 2261774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261787 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2261790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261797 */   // GIR_Coverage, 2121,
     /* 2261797 */   GIR_EraseRootFromParent_Done,
     /* 2261798 */ // Label 30382: @2261798
     /* 2261798 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2261840), // Rule ID 2133 //
     /* 2261803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2261806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261816 */   // MIs[0] Operand 1
     /* 2261816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261829 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2261832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261839 */   // GIR_Coverage, 2133,
     /* 2261839 */   GIR_EraseRootFromParent_Done,
     /* 2261840 */ // Label 30383: @2261840
     /* 2261840 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2261882), // Rule ID 2137 //
     /* 2261845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2261848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2261851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261858 */   // MIs[0] Operand 1
     /* 2261858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2261871 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2261871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2261874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261881 */   // GIR_Coverage, 2137,
     /* 2261881 */   GIR_EraseRootFromParent_Done,
     /* 2261882 */ // Label 30384: @2261882
     /* 2261882 */ GIM_Reject,
     /* 2261883 */ // Label 30359: @2261883
     /* 2261883 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2261925), // Rule ID 1355 //
     /* 2261888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2261891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261901 */   // MIs[0] Operand 1
     /* 2261901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261914 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2261917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261924 */   // GIR_Coverage, 1355,
     /* 2261924 */   GIR_EraseRootFromParent_Done,
     /* 2261925 */ // Label 30385: @2261925
     /* 2261925 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2261967), // Rule ID 1359 //
     /* 2261930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2261933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261943 */   // MIs[0] Operand 1
     /* 2261943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2261956 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2261959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261966 */   // GIR_Coverage, 1359,
     /* 2261966 */   GIR_EraseRootFromParent_Done,
     /* 2261967 */ // Label 30386: @2261967
     /* 2261967 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2262009), // Rule ID 1403 //
     /* 2261972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2261975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2261978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2261985 */   // MIs[0] Operand 1
     /* 2261985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261998 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2261998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2262001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262008 */   // GIR_Coverage, 1403,
     /* 2262008 */   GIR_EraseRootFromParent_Done,
     /* 2262009 */ // Label 30387: @2262009
     /* 2262009 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2262051), // Rule ID 1407 //
     /* 2262014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2262017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2262020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2262023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262027 */   // MIs[0] Operand 1
     /* 2262027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2262036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2262040 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2262040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2262043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262050 */   // GIR_Coverage, 1407,
     /* 2262050 */   GIR_EraseRootFromParent_Done,
     /* 2262051 */ // Label 30388: @2262051
     /* 2262051 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2262093), // Rule ID 1419 //
     /* 2262056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2262059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2262062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2262065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262069 */   // MIs[0] Operand 1
     /* 2262069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2262078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2262082 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2262082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2262085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262092 */   // GIR_Coverage, 1419,
     /* 2262092 */   GIR_EraseRootFromParent_Done,
     /* 2262093 */ // Label 30389: @2262093
     /* 2262093 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2262135), // Rule ID 1423 //
     /* 2262098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2262101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2262104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2262107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262111 */   // MIs[0] Operand 1
     /* 2262111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2262120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2262124 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2262124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2262127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262134 */   // GIR_Coverage, 1423,
     /* 2262134 */   GIR_EraseRootFromParent_Done,
     /* 2262135 */ // Label 30390: @2262135
     /* 2262135 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2262177), // Rule ID 1735 //
     /* 2262140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2262143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262153 */   // MIs[0] Operand 1
     /* 2262153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262166 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2262169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262176 */   // GIR_Coverage, 1735,
     /* 2262176 */   GIR_EraseRootFromParent_Done,
     /* 2262177 */ // Label 30391: @2262177
     /* 2262177 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2262219), // Rule ID 1739 //
     /* 2262182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2262185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262188 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262195 */   // MIs[0] Operand 1
     /* 2262195 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262204 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262208 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2262211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262218 */   // GIR_Coverage, 1739,
     /* 2262218 */   GIR_EraseRootFromParent_Done,
     /* 2262219 */ // Label 30392: @2262219
     /* 2262219 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2262261), // Rule ID 1742 //
     /* 2262224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2262227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262237 */   // MIs[0] Operand 1
     /* 2262237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262246 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262250 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2262253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262257 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262260 */   // GIR_Coverage, 1742,
     /* 2262260 */   GIR_EraseRootFromParent_Done,
     /* 2262261 */ // Label 30393: @2262261
     /* 2262261 */ GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2262303), // Rule ID 1777 //
     /* 2262266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2262269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262279 */   // MIs[0] Operand 1
     /* 2262279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262292 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2262295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262299 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262302 */   // GIR_Coverage, 1777,
     /* 2262302 */   GIR_EraseRootFromParent_Done,
     /* 2262303 */ // Label 30394: @2262303
     /* 2262303 */ GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2262345), // Rule ID 1785 //
     /* 2262308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2262311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262321 */   // MIs[0] Operand 1
     /* 2262321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262334 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2262337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262344 */   // GIR_Coverage, 1785,
     /* 2262344 */   GIR_EraseRootFromParent_Done,
     /* 2262345 */ // Label 30395: @2262345
     /* 2262345 */ GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2262387), // Rule ID 1794 //
     /* 2262350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2262353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262363 */   // MIs[0] Operand 1
     /* 2262363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262376 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2262379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262381 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262383 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262386 */   // GIR_Coverage, 1794,
     /* 2262386 */   GIR_EraseRootFromParent_Done,
     /* 2262387 */ // Label 30396: @2262387
     /* 2262387 */ GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2262429), // Rule ID 1798 //
     /* 2262392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2262395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262405 */   // MIs[0] Operand 1
     /* 2262405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262418 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2262421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262428 */   // GIR_Coverage, 1798,
     /* 2262428 */   GIR_EraseRootFromParent_Done,
     /* 2262429 */ // Label 30397: @2262429
     /* 2262429 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2262471), // Rule ID 1813 //
     /* 2262434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2262437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262447 */   // MIs[0] Operand 1
     /* 2262447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262460 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2262463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262470 */   // GIR_Coverage, 1813,
     /* 2262470 */   GIR_EraseRootFromParent_Done,
     /* 2262471 */ // Label 30398: @2262471
     /* 2262471 */ GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2262513), // Rule ID 1821 //
     /* 2262476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2262479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262489 */   // MIs[0] Operand 1
     /* 2262489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2262502 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2262502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2262505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262512 */   // GIR_Coverage, 1821,
     /* 2262512 */   GIR_EraseRootFromParent_Done,
     /* 2262513 */ // Label 30399: @2262513
     /* 2262513 */ GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2262555), // Rule ID 2068 //
     /* 2262518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2262521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262531 */   // MIs[0] Operand 1
     /* 2262531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262544 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2262547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262554 */   // GIR_Coverage, 2068,
     /* 2262554 */   GIR_EraseRootFromParent_Done,
     /* 2262555 */ // Label 30400: @2262555
     /* 2262555 */ GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2262597), // Rule ID 2072 //
     /* 2262560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2262563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262573 */   // MIs[0] Operand 1
     /* 2262573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262586 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2262589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262596 */   // GIR_Coverage, 2072,
     /* 2262596 */   GIR_EraseRootFromParent_Done,
     /* 2262597 */ // Label 30401: @2262597
     /* 2262597 */ GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2262639), // Rule ID 2116 //
     /* 2262602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2262605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262615 */   // MIs[0] Operand 1
     /* 2262615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262628 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2262631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262638 */   // GIR_Coverage, 2116,
     /* 2262638 */   GIR_EraseRootFromParent_Done,
     /* 2262639 */ // Label 30402: @2262639
     /* 2262639 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2262681), // Rule ID 2120 //
     /* 2262644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2262647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262657 */   // MIs[0] Operand 1
     /* 2262657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262670 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2262673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262680 */   // GIR_Coverage, 2120,
     /* 2262680 */   GIR_EraseRootFromParent_Done,
     /* 2262681 */ // Label 30403: @2262681
     /* 2262681 */ GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2262723), // Rule ID 2132 //
     /* 2262686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2262689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262699 */   // MIs[0] Operand 1
     /* 2262699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2262712 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2262715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262722 */   // GIR_Coverage, 2132,
     /* 2262722 */   GIR_EraseRootFromParent_Done,
     /* 2262723 */ // Label 30404: @2262723
     /* 2262723 */ GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2262765), // Rule ID 2136 //
     /* 2262728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2262731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2262734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2262737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262741 */   // MIs[0] Operand 1
     /* 2262741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2262754 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2262754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2262757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262764 */   // GIR_Coverage, 2136,
     /* 2262764 */   GIR_EraseRootFromParent_Done,
     /* 2262765 */ // Label 30405: @2262765
     /* 2262765 */ GIM_Reject,
     /* 2262766 */ // Label 30360: @2262766
     /* 2262766 */ GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2262814), // Rule ID 57020 //
     /* 2262771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2262777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2262780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262784 */   // MIs[0] Operand 1
     /* 2262784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262797 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2262800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262813 */   // GIR_Coverage, 57020,
     /* 2262813 */   GIR_EraseRootFromParent_Done,
     /* 2262814 */ // Label 30406: @2262814
     /* 2262814 */ GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2262862), // Rule ID 57021 //
     /* 2262819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2262825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2262828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262832 */   // MIs[0] Operand 1
     /* 2262832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262845 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2262848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262861 */   // GIR_Coverage, 57021,
     /* 2262861 */   GIR_EraseRootFromParent_Done,
     /* 2262862 */ // Label 30407: @2262862
     /* 2262862 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2262910), // Rule ID 57040 //
     /* 2262867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2262873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2262876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262880 */   // MIs[0] Operand 1
     /* 2262880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262893 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2262896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262909 */   // GIR_Coverage, 57040,
     /* 2262909 */   GIR_EraseRootFromParent_Done,
     /* 2262910 */ // Label 30408: @2262910
     /* 2262910 */ GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2262958), // Rule ID 57041 //
     /* 2262915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2262921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2262924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262928 */   // MIs[0] Operand 1
     /* 2262928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262941 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2262944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262957 */   // GIR_Coverage, 57041,
     /* 2262957 */   GIR_EraseRootFromParent_Done,
     /* 2262958 */ // Label 30409: @2262958
     /* 2262958 */ GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2263006), // Rule ID 57070 //
     /* 2262963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2262969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2262972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262976 */   // MIs[0] Operand 1
     /* 2262976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262989 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2262992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263005 */   // GIR_Coverage, 57070,
     /* 2263005 */   GIR_EraseRootFromParent_Done,
     /* 2263006 */ // Label 30410: @2263006
     /* 2263006 */ GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2263054), // Rule ID 57071 //
     /* 2263011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2263014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263024 */   // MIs[0] Operand 1
     /* 2263024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2263029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263037 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2263040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263042 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263053 */   // GIR_Coverage, 57071,
     /* 2263053 */   GIR_EraseRootFromParent_Done,
     /* 2263054 */ // Label 30411: @2263054
     /* 2263054 */ GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2263102), // Rule ID 57320 //
     /* 2263059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263072 */   // MIs[0] Operand 1
     /* 2263072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263085 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2263088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263101 */   // GIR_Coverage, 57320,
     /* 2263101 */   GIR_EraseRootFromParent_Done,
     /* 2263102 */ // Label 30412: @2263102
     /* 2263102 */ GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2263150), // Rule ID 57321 //
     /* 2263107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263120 */   // MIs[0] Operand 1
     /* 2263120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263133 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2263136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263149 */   // GIR_Coverage, 57321,
     /* 2263149 */   GIR_EraseRootFromParent_Done,
     /* 2263150 */ // Label 30413: @2263150
     /* 2263150 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2263198), // Rule ID 57340 //
     /* 2263155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263168 */   // MIs[0] Operand 1
     /* 2263168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263181 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2263184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263197 */   // GIR_Coverage, 57340,
     /* 2263197 */   GIR_EraseRootFromParent_Done,
     /* 2263198 */ // Label 30414: @2263198
     /* 2263198 */ GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2263246), // Rule ID 57341 //
     /* 2263203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263216 */   // MIs[0] Operand 1
     /* 2263216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263229 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2263232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263245 */   // GIR_Coverage, 57341,
     /* 2263245 */   GIR_EraseRootFromParent_Done,
     /* 2263246 */ // Label 30415: @2263246
     /* 2263246 */ GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2263294), // Rule ID 57370 //
     /* 2263251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2263254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263264 */   // MIs[0] Operand 1
     /* 2263264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263277 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2263280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263293 */   // GIR_Coverage, 57370,
     /* 2263293 */   GIR_EraseRootFromParent_Done,
     /* 2263294 */ // Label 30416: @2263294
     /* 2263294 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2263342), // Rule ID 57371 //
     /* 2263299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2263302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263312 */   // MIs[0] Operand 1
     /* 2263312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263325 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2263328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263341 */   // GIR_Coverage, 57371,
     /* 2263341 */   GIR_EraseRootFromParent_Done,
     /* 2263342 */ // Label 30417: @2263342
     /* 2263342 */ GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2263390), // Rule ID 57620 //
     /* 2263347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263360 */   // MIs[0] Operand 1
     /* 2263360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263373 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2263376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263389 */   // GIR_Coverage, 57620,
     /* 2263389 */   GIR_EraseRootFromParent_Done,
     /* 2263390 */ // Label 30418: @2263390
     /* 2263390 */ GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2263438), // Rule ID 57621 //
     /* 2263395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263408 */   // MIs[0] Operand 1
     /* 2263408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263421 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2263424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263437 */   // GIR_Coverage, 57621,
     /* 2263437 */   GIR_EraseRootFromParent_Done,
     /* 2263438 */ // Label 30419: @2263438
     /* 2263438 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2263486), // Rule ID 57640 //
     /* 2263443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263456 */   // MIs[0] Operand 1
     /* 2263456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263469 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2263472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263485 */   // GIR_Coverage, 57640,
     /* 2263485 */   GIR_EraseRootFromParent_Done,
     /* 2263486 */ // Label 30420: @2263486
     /* 2263486 */ GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2263534), // Rule ID 57641 //
     /* 2263491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263504 */   // MIs[0] Operand 1
     /* 2263504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263517 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2263520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263533 */   // GIR_Coverage, 57641,
     /* 2263533 */   GIR_EraseRootFromParent_Done,
     /* 2263534 */ // Label 30421: @2263534
     /* 2263534 */ GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2263582), // Rule ID 57670 //
     /* 2263539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2263542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263552 */   // MIs[0] Operand 1
     /* 2263552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263565 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2263568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263581 */   // GIR_Coverage, 57670,
     /* 2263581 */   GIR_EraseRootFromParent_Done,
     /* 2263582 */ // Label 30422: @2263582
     /* 2263582 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2263630), // Rule ID 57671 //
     /* 2263587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2263590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263600 */   // MIs[0] Operand 1
     /* 2263600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263613 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2263616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263629 */   // GIR_Coverage, 57671,
     /* 2263629 */   GIR_EraseRootFromParent_Done,
     /* 2263630 */ // Label 30423: @2263630
     /* 2263630 */ GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2263678), // Rule ID 57920 //
     /* 2263635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263648 */   // MIs[0] Operand 1
     /* 2263648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263661 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2263664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263677 */   // GIR_Coverage, 57920,
     /* 2263677 */   GIR_EraseRootFromParent_Done,
     /* 2263678 */ // Label 30424: @2263678
     /* 2263678 */ GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2263726), // Rule ID 57921 //
     /* 2263683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2263692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263696 */   // MIs[0] Operand 1
     /* 2263696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263709 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2263712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263725 */   // GIR_Coverage, 57921,
     /* 2263725 */   GIR_EraseRootFromParent_Done,
     /* 2263726 */ // Label 30425: @2263726
     /* 2263726 */ GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2263774), // Rule ID 57940 //
     /* 2263731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263744 */   // MIs[0] Operand 1
     /* 2263744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263757 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2263760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263773 */   // GIR_Coverage, 57940,
     /* 2263773 */   GIR_EraseRootFromParent_Done,
     /* 2263774 */ // Label 30426: @2263774
     /* 2263774 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2263822), // Rule ID 57941 //
     /* 2263779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263792 */   // MIs[0] Operand 1
     /* 2263792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263805 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2263808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263821 */   // GIR_Coverage, 57941,
     /* 2263821 */   GIR_EraseRootFromParent_Done,
     /* 2263822 */ // Label 30427: @2263822
     /* 2263822 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2263870), // Rule ID 57970 //
     /* 2263827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2263830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263840 */   // MIs[0] Operand 1
     /* 2263840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263853 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2263856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263869 */   // GIR_Coverage, 57970,
     /* 2263869 */   GIR_EraseRootFromParent_Done,
     /* 2263870 */ // Label 30428: @2263870
     /* 2263870 */ GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2263918), // Rule ID 57971 //
     /* 2263875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2263878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263888 */   // MIs[0] Operand 1
     /* 2263888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263901 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2263904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263917 */   // GIR_Coverage, 57971,
     /* 2263917 */   GIR_EraseRootFromParent_Done,
     /* 2263918 */ // Label 30429: @2263918
     /* 2263918 */ GIM_Reject,
     /* 2263919 */ // Label 30361: @2263919
     /* 2263919 */ GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2263967), // Rule ID 57030 //
     /* 2263924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2263933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263937 */   // MIs[0] Operand 1
     /* 2263937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2263942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263950 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2263953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263955 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263966 */   // GIR_Coverage, 57030,
     /* 2263966 */   GIR_EraseRootFromParent_Done,
     /* 2263967 */ // Label 30430: @2263967
     /* 2263967 */ GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2264015), // Rule ID 57031 //
     /* 2263972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2263981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263985 */   // MIs[0] Operand 1
     /* 2263985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2263990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263998 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2264001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264014 */   // GIR_Coverage, 57031,
     /* 2264014 */   GIR_EraseRootFromParent_Done,
     /* 2264015 */ // Label 30431: @2264015
     /* 2264015 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2264063), // Rule ID 57060 //
     /* 2264020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264033 */   // MIs[0] Operand 1
     /* 2264033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2264038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264046 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2264049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264062 */   // GIR_Coverage, 57060,
     /* 2264062 */   GIR_EraseRootFromParent_Done,
     /* 2264063 */ // Label 30432: @2264063
     /* 2264063 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2264111), // Rule ID 57061 //
     /* 2264068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2264071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264081 */   // MIs[0] Operand 1
     /* 2264081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2264086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264094 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2264097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264110 */   // GIR_Coverage, 57061,
     /* 2264110 */   GIR_EraseRootFromParent_Done,
     /* 2264111 */ // Label 30433: @2264111
     /* 2264111 */ GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2264159), // Rule ID 57140 //
     /* 2264116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2264119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264129 */   // MIs[0] Operand 1
     /* 2264129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2264134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264142 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2264145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264158 */   // GIR_Coverage, 57140,
     /* 2264158 */   GIR_EraseRootFromParent_Done,
     /* 2264159 */ // Label 30434: @2264159
     /* 2264159 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2264207), // Rule ID 57141 //
     /* 2264164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2264167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264177 */   // MIs[0] Operand 1
     /* 2264177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2264182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264190 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2264193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264206 */   // GIR_Coverage, 57141,
     /* 2264206 */   GIR_EraseRootFromParent_Done,
     /* 2264207 */ // Label 30435: @2264207
     /* 2264207 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2264255), // Rule ID 57330 //
     /* 2264212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264225 */   // MIs[0] Operand 1
     /* 2264225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264238 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2264241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264254 */   // GIR_Coverage, 57330,
     /* 2264254 */   GIR_EraseRootFromParent_Done,
     /* 2264255 */ // Label 30436: @2264255
     /* 2264255 */ GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2264303), // Rule ID 57331 //
     /* 2264260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264273 */   // MIs[0] Operand 1
     /* 2264273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264286 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2264289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264302 */   // GIR_Coverage, 57331,
     /* 2264302 */   GIR_EraseRootFromParent_Done,
     /* 2264303 */ // Label 30437: @2264303
     /* 2264303 */ GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2264351), // Rule ID 57360 //
     /* 2264308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264321 */   // MIs[0] Operand 1
     /* 2264321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264334 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2264337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264350 */   // GIR_Coverage, 57360,
     /* 2264350 */   GIR_EraseRootFromParent_Done,
     /* 2264351 */ // Label 30438: @2264351
     /* 2264351 */ GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2264399), // Rule ID 57361 //
     /* 2264356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2264359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264369 */   // MIs[0] Operand 1
     /* 2264369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264382 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2264385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264398 */   // GIR_Coverage, 57361,
     /* 2264398 */   GIR_EraseRootFromParent_Done,
     /* 2264399 */ // Label 30439: @2264399
     /* 2264399 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2264447), // Rule ID 57440 //
     /* 2264404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2264407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264417 */   // MIs[0] Operand 1
     /* 2264417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264430 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2264433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264446 */   // GIR_Coverage, 57440,
     /* 2264446 */   GIR_EraseRootFromParent_Done,
     /* 2264447 */ // Label 30440: @2264447
     /* 2264447 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2264495), // Rule ID 57441 //
     /* 2264452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2264455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264465 */   // MIs[0] Operand 1
     /* 2264465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2264470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264478 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2264481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264494 */   // GIR_Coverage, 57441,
     /* 2264494 */   GIR_EraseRootFromParent_Done,
     /* 2264495 */ // Label 30441: @2264495
     /* 2264495 */ GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2264543), // Rule ID 57630 //
     /* 2264500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264513 */   // MIs[0] Operand 1
     /* 2264513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264526 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2264529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264542 */   // GIR_Coverage, 57630,
     /* 2264542 */   GIR_EraseRootFromParent_Done,
     /* 2264543 */ // Label 30442: @2264543
     /* 2264543 */ GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2264591), // Rule ID 57631 //
     /* 2264548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264561 */   // MIs[0] Operand 1
     /* 2264561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264574 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2264577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264590 */   // GIR_Coverage, 57631,
     /* 2264590 */   GIR_EraseRootFromParent_Done,
     /* 2264591 */ // Label 30443: @2264591
     /* 2264591 */ GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2264639), // Rule ID 57660 //
     /* 2264596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264609 */   // MIs[0] Operand 1
     /* 2264609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264622 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2264625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264638 */   // GIR_Coverage, 57660,
     /* 2264638 */   GIR_EraseRootFromParent_Done,
     /* 2264639 */ // Label 30444: @2264639
     /* 2264639 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2264687), // Rule ID 57661 //
     /* 2264644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2264647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264657 */   // MIs[0] Operand 1
     /* 2264657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264670 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2264673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264686 */   // GIR_Coverage, 57661,
     /* 2264686 */   GIR_EraseRootFromParent_Done,
     /* 2264687 */ // Label 30445: @2264687
     /* 2264687 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2264735), // Rule ID 57740 //
     /* 2264692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2264695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264705 */   // MIs[0] Operand 1
     /* 2264705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264718 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2264721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264734 */   // GIR_Coverage, 57740,
     /* 2264734 */   GIR_EraseRootFromParent_Done,
     /* 2264735 */ // Label 30446: @2264735
     /* 2264735 */ GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2264783), // Rule ID 57741 //
     /* 2264740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2264743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264753 */   // MIs[0] Operand 1
     /* 2264753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2264758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264766 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2264769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264782 */   // GIR_Coverage, 57741,
     /* 2264782 */   GIR_EraseRootFromParent_Done,
     /* 2264783 */ // Label 30447: @2264783
     /* 2264783 */ GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2264831), // Rule ID 57930 //
     /* 2264788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264801 */   // MIs[0] Operand 1
     /* 2264801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2264806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264814 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2264817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264830 */   // GIR_Coverage, 57930,
     /* 2264830 */   GIR_EraseRootFromParent_Done,
     /* 2264831 */ // Label 30448: @2264831
     /* 2264831 */ GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2264879), // Rule ID 57931 //
     /* 2264836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264849 */   // MIs[0] Operand 1
     /* 2264849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2264854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264862 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2264865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264878 */   // GIR_Coverage, 57931,
     /* 2264878 */   GIR_EraseRootFromParent_Done,
     /* 2264879 */ // Label 30449: @2264879
     /* 2264879 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2264927), // Rule ID 57960 //
     /* 2264884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264897 */   // MIs[0] Operand 1
     /* 2264897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2264902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264910 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2264913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264926 */   // GIR_Coverage, 57960,
     /* 2264926 */   GIR_EraseRootFromParent_Done,
     /* 2264927 */ // Label 30450: @2264927
     /* 2264927 */ GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2264975), // Rule ID 57961 //
     /* 2264932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2264935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2264941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264945 */   // MIs[0] Operand 1
     /* 2264945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2264950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264958 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2264961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264974 */   // GIR_Coverage, 57961,
     /* 2264974 */   GIR_EraseRootFromParent_Done,
     /* 2264975 */ // Label 30451: @2264975
     /* 2264975 */ GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2265023), // Rule ID 58040 //
     /* 2264980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2264983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2264989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264993 */   // MIs[0] Operand 1
     /* 2264993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2264998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265006 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2265009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265022 */   // GIR_Coverage, 58040,
     /* 2265022 */   GIR_EraseRootFromParent_Done,
     /* 2265023 */ // Label 30452: @2265023
     /* 2265023 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2265071), // Rule ID 58041 //
     /* 2265028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2265034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2265037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265041 */   // MIs[0] Operand 1
     /* 2265041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2265046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265054 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2265057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265070 */   // GIR_Coverage, 58041,
     /* 2265070 */   GIR_EraseRootFromParent_Done,
     /* 2265071 */ // Label 30453: @2265071
     /* 2265071 */ GIM_Reject,
     /* 2265072 */ // Label 30362: @2265072
     /* 2265072 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2265120), // Rule ID 57050 //
     /* 2265077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2265080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265090 */   // MIs[0] Operand 1
     /* 2265090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265103 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2265106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265119 */   // GIR_Coverage, 57050,
     /* 2265119 */   GIR_EraseRootFromParent_Done,
     /* 2265120 */ // Label 30454: @2265120
     /* 2265120 */ GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2265168), // Rule ID 57051 //
     /* 2265125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2265128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265138 */   // MIs[0] Operand 1
     /* 2265138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265151 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2265154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265167 */   // GIR_Coverage, 57051,
     /* 2265167 */   GIR_EraseRootFromParent_Done,
     /* 2265168 */ // Label 30455: @2265168
     /* 2265168 */ GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2265216), // Rule ID 57110 //
     /* 2265173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2265176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265186 */   // MIs[0] Operand 1
     /* 2265186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265199 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2265202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265215 */   // GIR_Coverage, 57110,
     /* 2265215 */   GIR_EraseRootFromParent_Done,
     /* 2265216 */ // Label 30456: @2265216
     /* 2265216 */ GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2265264), // Rule ID 57111 //
     /* 2265221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265234 */   // MIs[0] Operand 1
     /* 2265234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265247 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2265250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265263 */   // GIR_Coverage, 57111,
     /* 2265263 */   GIR_EraseRootFromParent_Done,
     /* 2265264 */ // Label 30457: @2265264
     /* 2265264 */ GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2265312), // Rule ID 57150 //
     /* 2265269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265282 */   // MIs[0] Operand 1
     /* 2265282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265295 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2265298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265302 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265311 */   // GIR_Coverage, 57150,
     /* 2265311 */   GIR_EraseRootFromParent_Done,
     /* 2265312 */ // Label 30458: @2265312
     /* 2265312 */ GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2265360), // Rule ID 57151 //
     /* 2265317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265330 */   // MIs[0] Operand 1
     /* 2265330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2265335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265343 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2265346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265359 */   // GIR_Coverage, 57151,
     /* 2265359 */   GIR_EraseRootFromParent_Done,
     /* 2265360 */ // Label 30459: @2265360
     /* 2265360 */ GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2265408), // Rule ID 57350 //
     /* 2265365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2265368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265378 */   // MIs[0] Operand 1
     /* 2265378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265391 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2265394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265407 */   // GIR_Coverage, 57350,
     /* 2265407 */   GIR_EraseRootFromParent_Done,
     /* 2265408 */ // Label 30460: @2265408
     /* 2265408 */ GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2265456), // Rule ID 57351 //
     /* 2265413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2265416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265426 */   // MIs[0] Operand 1
     /* 2265426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265439 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2265442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265455 */   // GIR_Coverage, 57351,
     /* 2265455 */   GIR_EraseRootFromParent_Done,
     /* 2265456 */ // Label 30461: @2265456
     /* 2265456 */ GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2265504), // Rule ID 57410 //
     /* 2265461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2265464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265474 */   // MIs[0] Operand 1
     /* 2265474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265487 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2265490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265503 */   // GIR_Coverage, 57410,
     /* 2265503 */   GIR_EraseRootFromParent_Done,
     /* 2265504 */ // Label 30462: @2265504
     /* 2265504 */ GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2265552), // Rule ID 57411 //
     /* 2265509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265522 */   // MIs[0] Operand 1
     /* 2265522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265535 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2265538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265551 */   // GIR_Coverage, 57411,
     /* 2265551 */   GIR_EraseRootFromParent_Done,
     /* 2265552 */ // Label 30463: @2265552
     /* 2265552 */ GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2265600), // Rule ID 57450 //
     /* 2265557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265570 */   // MIs[0] Operand 1
     /* 2265570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265583 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2265586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265588 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265590 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265599 */   // GIR_Coverage, 57450,
     /* 2265599 */   GIR_EraseRootFromParent_Done,
     /* 2265600 */ // Label 30464: @2265600
     /* 2265600 */ GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2265648), // Rule ID 57451 //
     /* 2265605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265618 */   // MIs[0] Operand 1
     /* 2265618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2265623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265631 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2265634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265647 */   // GIR_Coverage, 57451,
     /* 2265647 */   GIR_EraseRootFromParent_Done,
     /* 2265648 */ // Label 30465: @2265648
     /* 2265648 */ GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2265696), // Rule ID 57650 //
     /* 2265653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2265656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265666 */   // MIs[0] Operand 1
     /* 2265666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265679 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2265682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265695 */   // GIR_Coverage, 57650,
     /* 2265695 */   GIR_EraseRootFromParent_Done,
     /* 2265696 */ // Label 30466: @2265696
     /* 2265696 */ GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2265744), // Rule ID 57651 //
     /* 2265701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2265704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265714 */   // MIs[0] Operand 1
     /* 2265714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265727 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2265730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265743 */   // GIR_Coverage, 57651,
     /* 2265743 */   GIR_EraseRootFromParent_Done,
     /* 2265744 */ // Label 30467: @2265744
     /* 2265744 */ GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2265792), // Rule ID 57710 //
     /* 2265749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2265752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265762 */   // MIs[0] Operand 1
     /* 2265762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265775 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2265778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265791 */   // GIR_Coverage, 57710,
     /* 2265791 */   GIR_EraseRootFromParent_Done,
     /* 2265792 */ // Label 30468: @2265792
     /* 2265792 */ GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2265840), // Rule ID 57711 //
     /* 2265797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265810 */   // MIs[0] Operand 1
     /* 2265810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265823 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2265826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265839 */   // GIR_Coverage, 57711,
     /* 2265839 */   GIR_EraseRootFromParent_Done,
     /* 2265840 */ // Label 30469: @2265840
     /* 2265840 */ GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2265888), // Rule ID 57750 //
     /* 2265845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265858 */   // MIs[0] Operand 1
     /* 2265858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265871 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2265874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265887 */   // GIR_Coverage, 57750,
     /* 2265887 */   GIR_EraseRootFromParent_Done,
     /* 2265888 */ // Label 30470: @2265888
     /* 2265888 */ GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2265936), // Rule ID 57751 //
     /* 2265893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265906 */   // MIs[0] Operand 1
     /* 2265906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2265911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265919 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2265922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265935 */   // GIR_Coverage, 57751,
     /* 2265935 */   GIR_EraseRootFromParent_Done,
     /* 2265936 */ // Label 30471: @2265936
     /* 2265936 */ GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2265984), // Rule ID 57950 //
     /* 2265941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2265944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265954 */   // MIs[0] Operand 1
     /* 2265954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2265959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265967 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2265970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265983 */   // GIR_Coverage, 57950,
     /* 2265983 */   GIR_EraseRootFromParent_Done,
     /* 2265984 */ // Label 30472: @2265984
     /* 2265984 */ GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2266032), // Rule ID 57951 //
     /* 2265989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2265992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266002 */   // MIs[0] Operand 1
     /* 2266002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266015 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2266018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266031 */   // GIR_Coverage, 57951,
     /* 2266031 */   GIR_EraseRootFromParent_Done,
     /* 2266032 */ // Label 30473: @2266032
     /* 2266032 */ GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2266080), // Rule ID 58010 //
     /* 2266037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2266043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2266046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266050 */   // MIs[0] Operand 1
     /* 2266050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266063 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2266066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266079 */   // GIR_Coverage, 58010,
     /* 2266079 */   GIR_EraseRootFromParent_Done,
     /* 2266080 */ // Label 30474: @2266080
     /* 2266080 */ GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2266128), // Rule ID 58011 //
     /* 2266085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2266091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2266094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266098 */   // MIs[0] Operand 1
     /* 2266098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266111 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2266114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266127 */   // GIR_Coverage, 58011,
     /* 2266127 */   GIR_EraseRootFromParent_Done,
     /* 2266128 */ // Label 30475: @2266128
     /* 2266128 */ GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2266176), // Rule ID 58050 //
     /* 2266133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2266139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2266142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266146 */   // MIs[0] Operand 1
     /* 2266146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266159 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2266162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266166 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266175 */   // GIR_Coverage, 58050,
     /* 2266175 */   GIR_EraseRootFromParent_Done,
     /* 2266176 */ // Label 30476: @2266176
     /* 2266176 */ GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2266224), // Rule ID 58051 //
     /* 2266181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2266187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2266190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266194 */   // MIs[0] Operand 1
     /* 2266194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266207 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2266210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266214 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266223 */   // GIR_Coverage, 58051,
     /* 2266223 */   GIR_EraseRootFromParent_Done,
     /* 2266224 */ // Label 30477: @2266224
     /* 2266224 */ GIM_Reject,
     /* 2266225 */ // Label 30363: @2266225
     /* 2266225 */ GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2266273), // Rule ID 57080 //
     /* 2266230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266243 */   // MIs[0] Operand 1
     /* 2266243 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266252 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266256 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2266259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266272 */   // GIR_Coverage, 57080,
     /* 2266272 */   GIR_EraseRootFromParent_Done,
     /* 2266273 */ // Label 30478: @2266273
     /* 2266273 */ GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2266321), // Rule ID 57081 //
     /* 2266278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266291 */   // MIs[0] Operand 1
     /* 2266291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266304 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2266307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266311 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266320 */   // GIR_Coverage, 57081,
     /* 2266320 */   GIR_EraseRootFromParent_Done,
     /* 2266321 */ // Label 30479: @2266321
     /* 2266321 */ GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2266369), // Rule ID 57120 //
     /* 2266326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266332 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266339 */   // MIs[0] Operand 1
     /* 2266339 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266348 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266352 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2266355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266359 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266368 */   // GIR_Coverage, 57120,
     /* 2266368 */   GIR_EraseRootFromParent_Done,
     /* 2266369 */ // Label 30480: @2266369
     /* 2266369 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2266417), // Rule ID 57121 //
     /* 2266374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266387 */   // MIs[0] Operand 1
     /* 2266387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266400 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2266403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266416 */   // GIR_Coverage, 57121,
     /* 2266416 */   GIR_EraseRootFromParent_Done,
     /* 2266417 */ // Label 30481: @2266417
     /* 2266417 */ GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2266465), // Rule ID 57160 //
     /* 2266422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2266431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266435 */   // MIs[0] Operand 1
     /* 2266435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266448 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2266451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266464 */   // GIR_Coverage, 57160,
     /* 2266464 */   GIR_EraseRootFromParent_Done,
     /* 2266465 */ // Label 30482: @2266465
     /* 2266465 */ GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2266513), // Rule ID 57161 //
     /* 2266470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2266479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266483 */   // MIs[0] Operand 1
     /* 2266483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266496 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2266499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266503 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266512 */   // GIR_Coverage, 57161,
     /* 2266512 */   GIR_EraseRootFromParent_Done,
     /* 2266513 */ // Label 30483: @2266513
     /* 2266513 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2266561), // Rule ID 57380 //
     /* 2266518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266531 */   // MIs[0] Operand 1
     /* 2266531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266544 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2266547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266560 */   // GIR_Coverage, 57380,
     /* 2266560 */   GIR_EraseRootFromParent_Done,
     /* 2266561 */ // Label 30484: @2266561
     /* 2266561 */ GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2266609), // Rule ID 57381 //
     /* 2266566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266579 */   // MIs[0] Operand 1
     /* 2266579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266592 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2266595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266608 */   // GIR_Coverage, 57381,
     /* 2266608 */   GIR_EraseRootFromParent_Done,
     /* 2266609 */ // Label 30485: @2266609
     /* 2266609 */ GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2266657), // Rule ID 57420 //
     /* 2266614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266627 */   // MIs[0] Operand 1
     /* 2266627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266640 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2266643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266656 */   // GIR_Coverage, 57420,
     /* 2266656 */   GIR_EraseRootFromParent_Done,
     /* 2266657 */ // Label 30486: @2266657
     /* 2266657 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2266705), // Rule ID 57421 //
     /* 2266662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266675 */   // MIs[0] Operand 1
     /* 2266675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266688 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2266691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266704 */   // GIR_Coverage, 57421,
     /* 2266704 */   GIR_EraseRootFromParent_Done,
     /* 2266705 */ // Label 30487: @2266705
     /* 2266705 */ GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2266753), // Rule ID 57460 //
     /* 2266710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2266719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266723 */   // MIs[0] Operand 1
     /* 2266723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266736 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2266739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266752 */   // GIR_Coverage, 57460,
     /* 2266752 */   GIR_EraseRootFromParent_Done,
     /* 2266753 */ // Label 30488: @2266753
     /* 2266753 */ GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2266801), // Rule ID 57461 //
     /* 2266758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2266767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266771 */   // MIs[0] Operand 1
     /* 2266771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2266776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266784 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2266787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266800 */   // GIR_Coverage, 57461,
     /* 2266800 */   GIR_EraseRootFromParent_Done,
     /* 2266801 */ // Label 30489: @2266801
     /* 2266801 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2266849), // Rule ID 57680 //
     /* 2266806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266819 */   // MIs[0] Operand 1
     /* 2266819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266832 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2266835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266848 */   // GIR_Coverage, 57680,
     /* 2266848 */   GIR_EraseRootFromParent_Done,
     /* 2266849 */ // Label 30490: @2266849
     /* 2266849 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2266897), // Rule ID 57681 //
     /* 2266854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266867 */   // MIs[0] Operand 1
     /* 2266867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266880 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2266883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266896 */   // GIR_Coverage, 57681,
     /* 2266896 */   GIR_EraseRootFromParent_Done,
     /* 2266897 */ // Label 30491: @2266897
     /* 2266897 */ GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2266945), // Rule ID 57720 //
     /* 2266902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266915 */   // MIs[0] Operand 1
     /* 2266915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266928 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2266931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266944 */   // GIR_Coverage, 57720,
     /* 2266944 */   GIR_EraseRootFromParent_Done,
     /* 2266945 */ // Label 30492: @2266945
     /* 2266945 */ GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2266993), // Rule ID 57721 //
     /* 2266950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266963 */   // MIs[0] Operand 1
     /* 2266963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266976 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2266979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266992 */   // GIR_Coverage, 57721,
     /* 2266992 */   GIR_EraseRootFromParent_Done,
     /* 2266993 */ // Label 30493: @2266993
     /* 2266993 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2267041), // Rule ID 57760 //
     /* 2266998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2267001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2267004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2267007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267011 */   // MIs[0] Operand 1
     /* 2267011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267024 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2267024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2267027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267040 */   // GIR_Coverage, 57760,
     /* 2267040 */   GIR_EraseRootFromParent_Done,
     /* 2267041 */ // Label 30494: @2267041
     /* 2267041 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2267089), // Rule ID 57761 //
     /* 2267046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2267049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2267052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2267055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267059 */   // MIs[0] Operand 1
     /* 2267059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267072 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2267072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2267075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267088 */   // GIR_Coverage, 57761,
     /* 2267088 */   GIR_EraseRootFromParent_Done,
     /* 2267089 */ // Label 30495: @2267089
     /* 2267089 */ GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2267137), // Rule ID 57980 //
     /* 2267094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2267103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267107 */   // MIs[0] Operand 1
     /* 2267107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267120 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2267123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267127 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267136 */   // GIR_Coverage, 57980,
     /* 2267136 */   GIR_EraseRootFromParent_Done,
     /* 2267137 */ // Label 30496: @2267137
     /* 2267137 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2267185), // Rule ID 57981 //
     /* 2267142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2267151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267155 */   // MIs[0] Operand 1
     /* 2267155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267168 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2267171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267184 */   // GIR_Coverage, 57981,
     /* 2267184 */   GIR_EraseRootFromParent_Done,
     /* 2267185 */ // Label 30497: @2267185
     /* 2267185 */ GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2267233), // Rule ID 58020 //
     /* 2267190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2267193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2267196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2267199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267203 */   // MIs[0] Operand 1
     /* 2267203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267216 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2267219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267232 */   // GIR_Coverage, 58020,
     /* 2267232 */   GIR_EraseRootFromParent_Done,
     /* 2267233 */ // Label 30498: @2267233
     /* 2267233 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2267281), // Rule ID 58021 //
     /* 2267238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2267244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2267247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267251 */   // MIs[0] Operand 1
     /* 2267251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267264 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2267267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267280 */   // GIR_Coverage, 58021,
     /* 2267280 */   GIR_EraseRootFromParent_Done,
     /* 2267281 */ // Label 30499: @2267281
     /* 2267281 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2267329), // Rule ID 58060 //
     /* 2267286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2267289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2267292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2267295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267299 */   // MIs[0] Operand 1
     /* 2267299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267312 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2267312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2267315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267328 */   // GIR_Coverage, 58060,
     /* 2267328 */   GIR_EraseRootFromParent_Done,
     /* 2267329 */ // Label 30500: @2267329
     /* 2267329 */ GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2267377), // Rule ID 58061 //
     /* 2267334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2267337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2267340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2267343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267347 */   // MIs[0] Operand 1
     /* 2267347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267360 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2267360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2267363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267376 */   // GIR_Coverage, 58061,
     /* 2267376 */   GIR_EraseRootFromParent_Done,
     /* 2267377 */ // Label 30501: @2267377
     /* 2267377 */ GIM_Reject,
     /* 2267378 */ // Label 30364: @2267378
     /* 2267378 */ GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2267426), // Rule ID 57090 //
     /* 2267383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267396 */   // MIs[0] Operand 1
     /* 2267396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267409 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2267412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267414 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267425 */   // GIR_Coverage, 57090,
     /* 2267425 */   GIR_EraseRootFromParent_Done,
     /* 2267426 */ // Label 30502: @2267426
     /* 2267426 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2267474), // Rule ID 57091 //
     /* 2267431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267444 */   // MIs[0] Operand 1
     /* 2267444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267457 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2267460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267473 */   // GIR_Coverage, 57091,
     /* 2267473 */   GIR_EraseRootFromParent_Done,
     /* 2267474 */ // Label 30503: @2267474
     /* 2267474 */ GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2267522), // Rule ID 57130 //
     /* 2267479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2267482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267492 */   // MIs[0] Operand 1
     /* 2267492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267505 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2267508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267512 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267521 */   // GIR_Coverage, 57130,
     /* 2267521 */   GIR_EraseRootFromParent_Done,
     /* 2267522 */ // Label 30504: @2267522
     /* 2267522 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2267570), // Rule ID 57131 //
     /* 2267527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267540 */   // MIs[0] Operand 1
     /* 2267540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267553 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2267556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267569 */   // GIR_Coverage, 57131,
     /* 2267569 */   GIR_EraseRootFromParent_Done,
     /* 2267570 */ // Label 30505: @2267570
     /* 2267570 */ GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2267618), // Rule ID 57390 //
     /* 2267575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267588 */   // MIs[0] Operand 1
     /* 2267588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2267593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267601 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2267604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267617 */   // GIR_Coverage, 57390,
     /* 2267617 */   GIR_EraseRootFromParent_Done,
     /* 2267618 */ // Label 30506: @2267618
     /* 2267618 */ GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2267666), // Rule ID 57391 //
     /* 2267623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267636 */   // MIs[0] Operand 1
     /* 2267636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2267641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267649 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2267652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267656 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267665 */   // GIR_Coverage, 57391,
     /* 2267665 */   GIR_EraseRootFromParent_Done,
     /* 2267666 */ // Label 30507: @2267666
     /* 2267666 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2267714), // Rule ID 57430 //
     /* 2267671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2267674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267684 */   // MIs[0] Operand 1
     /* 2267684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2267689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267697 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2267700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267713 */   // GIR_Coverage, 57430,
     /* 2267713 */   GIR_EraseRootFromParent_Done,
     /* 2267714 */ // Label 30508: @2267714
     /* 2267714 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2267762), // Rule ID 57431 //
     /* 2267719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267732 */   // MIs[0] Operand 1
     /* 2267732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2267737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267745 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2267748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267761 */   // GIR_Coverage, 57431,
     /* 2267761 */   GIR_EraseRootFromParent_Done,
     /* 2267762 */ // Label 30509: @2267762
     /* 2267762 */ GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2267810), // Rule ID 57690 //
     /* 2267767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267780 */   // MIs[0] Operand 1
     /* 2267780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267793 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2267796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267798 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267809 */   // GIR_Coverage, 57690,
     /* 2267809 */   GIR_EraseRootFromParent_Done,
     /* 2267810 */ // Label 30510: @2267810
     /* 2267810 */ GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2267858), // Rule ID 57691 //
     /* 2267815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267828 */   // MIs[0] Operand 1
     /* 2267828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267841 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2267844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267857 */   // GIR_Coverage, 57691,
     /* 2267857 */   GIR_EraseRootFromParent_Done,
     /* 2267858 */ // Label 30511: @2267858
     /* 2267858 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2267906), // Rule ID 57730 //
     /* 2267863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2267866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267876 */   // MIs[0] Operand 1
     /* 2267876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267889 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2267892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267905 */   // GIR_Coverage, 57730,
     /* 2267905 */   GIR_EraseRootFromParent_Done,
     /* 2267906 */ // Label 30512: @2267906
     /* 2267906 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2267954), // Rule ID 57731 //
     /* 2267911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267924 */   // MIs[0] Operand 1
     /* 2267924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267937 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2267940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267953 */   // GIR_Coverage, 57731,
     /* 2267953 */   GIR_EraseRootFromParent_Done,
     /* 2267954 */ // Label 30513: @2267954
     /* 2267954 */ GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2268002), // Rule ID 57990 //
     /* 2267959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267972 */   // MIs[0] Operand 1
     /* 2267972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267985 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2267988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268001 */   // GIR_Coverage, 57990,
     /* 2268001 */   GIR_EraseRootFromParent_Done,
     /* 2268002 */ // Label 30514: @2268002
     /* 2268002 */ GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2268050), // Rule ID 57991 //
     /* 2268007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2268013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2268016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268020 */   // MIs[0] Operand 1
     /* 2268020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268033 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2268036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268049 */   // GIR_Coverage, 57991,
     /* 2268049 */   GIR_EraseRootFromParent_Done,
     /* 2268050 */ // Label 30515: @2268050
     /* 2268050 */ GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2268098), // Rule ID 58030 //
     /* 2268055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2268064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268068 */   // MIs[0] Operand 1
     /* 2268068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268081 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2268081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2268084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268097 */   // GIR_Coverage, 58030,
     /* 2268097 */   GIR_EraseRootFromParent_Done,
     /* 2268098 */ // Label 30516: @2268098
     /* 2268098 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2268146), // Rule ID 58031 //
     /* 2268103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2268112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268116 */   // MIs[0] Operand 1
     /* 2268116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268129 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2268129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2268132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268145 */   // GIR_Coverage, 58031,
     /* 2268145 */   GIR_EraseRootFromParent_Done,
     /* 2268146 */ // Label 30517: @2268146
     /* 2268146 */ GIM_Reject,
     /* 2268147 */ // Label 30365: @2268147
     /* 2268147 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2268467),
     /* 2268152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268162 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2268200), // Rule ID 57100 //
     /* 2268167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268170 */     // MIs[0] Operand 1
     /* 2268170 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268183 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2268186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268199 */     // GIR_Coverage, 57100,
     /* 2268199 */     GIR_EraseRootFromParent_Done,
     /* 2268200 */   // Label 30519: @2268200
     /* 2268200 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2268238), // Rule ID 57101 //
     /* 2268205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268208 */     // MIs[0] Operand 1
     /* 2268208 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268221 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2268224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268237 */     // GIR_Coverage, 57101,
     /* 2268237 */     GIR_EraseRootFromParent_Done,
     /* 2268238 */   // Label 30520: @2268238
     /* 2268238 */   GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2268276), // Rule ID 57400 //
     /* 2268243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268246 */     // MIs[0] Operand 1
     /* 2268246 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268259 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2268262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268275 */     // GIR_Coverage, 57400,
     /* 2268275 */     GIR_EraseRootFromParent_Done,
     /* 2268276 */   // Label 30521: @2268276
     /* 2268276 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2268314), // Rule ID 57401 //
     /* 2268281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268284 */     // MIs[0] Operand 1
     /* 2268284 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268297 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2268300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268313 */     // GIR_Coverage, 57401,
     /* 2268313 */     GIR_EraseRootFromParent_Done,
     /* 2268314 */   // Label 30522: @2268314
     /* 2268314 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2268352), // Rule ID 57700 //
     /* 2268319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268322 */     // MIs[0] Operand 1
     /* 2268322 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268335 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2268338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268351 */     // GIR_Coverage, 57700,
     /* 2268351 */     GIR_EraseRootFromParent_Done,
     /* 2268352 */   // Label 30523: @2268352
     /* 2268352 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2268390), // Rule ID 57701 //
     /* 2268357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268360 */     // MIs[0] Operand 1
     /* 2268360 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268373 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2268376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268389 */     // GIR_Coverage, 57701,
     /* 2268389 */     GIR_EraseRootFromParent_Done,
     /* 2268390 */   // Label 30524: @2268390
     /* 2268390 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2268428), // Rule ID 58000 //
     /* 2268395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268398 */     // MIs[0] Operand 1
     /* 2268398 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268411 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2268414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268427 */     // GIR_Coverage, 58000,
     /* 2268427 */     GIR_EraseRootFromParent_Done,
     /* 2268428 */   // Label 30525: @2268428
     /* 2268428 */   GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2268466), // Rule ID 58001 //
     /* 2268433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268436 */     // MIs[0] Operand 1
     /* 2268436 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268449 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2268452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268465 */     // GIR_Coverage, 58001,
     /* 2268465 */     GIR_EraseRootFromParent_Done,
     /* 2268466 */   // Label 30526: @2268466
     /* 2268466 */   GIM_Reject,
     /* 2268467 */ // Label 30518: @2268467
     /* 2268467 */ GIM_Reject,
     /* 2268468 */ // Label 30366: @2268468
     /* 2268468 */ GIM_Reject,
     /* 2268469 */ // Label 50: @2268469
     /* 2268469 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30551*/ GIMT_Encode4(2272860),
     /* 2268480 */ /*GILLT_s32*//*Label 30527*/ GIMT_Encode4(2268604),
     /* 2268484 */ /*GILLT_s64*//*Label 30528*/ GIMT_Encode4(2268752), GIMT_Encode4(0),
     /* 2268492 */ /*GILLT_nxv1s8*//*Label 30529*/ GIMT_Encode4(2268900),
     /* 2268496 */ /*GILLT_nxv1s16*//*Label 30530*/ GIMT_Encode4(2269020),
     /* 2268500 */ /*GILLT_nxv1s32*//*Label 30531*/ GIMT_Encode4(2269228),
     /* 2268504 */ /*GILLT_nxv1s64*//*Label 30532*/ GIMT_Encode4(2269436), GIMT_Encode4(0),
     /* 2268512 */ /*GILLT_nxv2s8*//*Label 30533*/ GIMT_Encode4(2269644),
     /* 2268516 */ /*GILLT_nxv2s16*//*Label 30534*/ GIMT_Encode4(2269764),
     /* 2268520 */ /*GILLT_nxv2s32*//*Label 30535*/ GIMT_Encode4(2269972),
     /* 2268524 */ /*GILLT_nxv2s64*//*Label 30536*/ GIMT_Encode4(2270180), GIMT_Encode4(0),
     /* 2268532 */ /*GILLT_nxv4s8*//*Label 30537*/ GIMT_Encode4(2270388),
     /* 2268536 */ /*GILLT_nxv4s16*//*Label 30538*/ GIMT_Encode4(2270508),
     /* 2268540 */ /*GILLT_nxv4s32*//*Label 30539*/ GIMT_Encode4(2270716),
     /* 2268544 */ /*GILLT_nxv4s64*//*Label 30540*/ GIMT_Encode4(2270924), GIMT_Encode4(0),
     /* 2268552 */ /*GILLT_nxv8s8*//*Label 30541*/ GIMT_Encode4(2271132),
     /* 2268556 */ /*GILLT_nxv8s16*//*Label 30542*/ GIMT_Encode4(2271252),
     /* 2268560 */ /*GILLT_nxv8s32*//*Label 30543*/ GIMT_Encode4(2271460),
     /* 2268564 */ /*GILLT_nxv8s64*//*Label 30544*/ GIMT_Encode4(2271668), GIMT_Encode4(0),
     /* 2268572 */ /*GILLT_nxv16s8*//*Label 30545*/ GIMT_Encode4(2271876),
     /* 2268576 */ /*GILLT_nxv16s16*//*Label 30546*/ GIMT_Encode4(2271996),
     /* 2268580 */ /*GILLT_nxv16s32*//*Label 30547*/ GIMT_Encode4(2272204), GIMT_Encode4(0),
     /* 2268588 */ /*GILLT_nxv32s8*//*Label 30548*/ GIMT_Encode4(2272412),
     /* 2268592 */ /*GILLT_nxv32s16*//*Label 30549*/ GIMT_Encode4(2272532), GIMT_Encode4(0),
     /* 2268600 */ /*GILLT_nxv64s8*//*Label 30550*/ GIMT_Encode4(2272740),
     /* 2268604 */ // Label 30527: @2268604
     /* 2268604 */ GIM_Try, /*On fail goto*//*Label 30552*/ GIMT_Encode4(2268751),
     /* 2268609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2268612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2268615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268626 */   GIM_Try, /*On fail goto*//*Label 30553*/ GIMT_Encode4(2268659), // Rule ID 62571 //
     /* 2268631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2268634 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2268638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268642 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2268642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2268645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268647 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2268649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268655 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268658 */     // GIR_Coverage, 62571,
     /* 2268658 */     GIR_EraseRootFromParent_Done,
     /* 2268659 */   // Label 30553: @2268659
     /* 2268659 */   GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2268692), // Rule ID 62569 //
     /* 2268664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2268667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2268675 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2268675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2268678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268680 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2268682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268688 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268691 */     // GIR_Coverage, 62569,
     /* 2268691 */     GIR_EraseRootFromParent_Done,
     /* 2268692 */   // Label 30554: @2268692
     /* 2268692 */   GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2268721), // Rule ID 62567 //
     /* 2268697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2268700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268708 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2268708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2268711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268713 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2268715 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2268717 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268720 */     // GIR_Coverage, 62567,
     /* 2268720 */     GIR_EraseRootFromParent_Done,
     /* 2268721 */   // Label 30555: @2268721
     /* 2268721 */   GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2268750), // Rule ID 64624 //
     /* 2268726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2268729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268737 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2268737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2268740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2268746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2268748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268749 */     // GIR_Coverage, 64624,
     /* 2268749 */     GIR_EraseRootFromParent_Done,
     /* 2268750 */   // Label 30556: @2268750
     /* 2268750 */   GIM_Reject,
     /* 2268751 */ // Label 30552: @2268751
     /* 2268751 */ GIM_Reject,
     /* 2268752 */ // Label 30528: @2268752
     /* 2268752 */ GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2268899),
     /* 2268757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2268760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2268763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2268766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268774 */   GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2268807), // Rule ID 62570 //
     /* 2268779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2268782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2268786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268790 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2268790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2268793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268795 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2268797 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268803 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268806 */     // GIR_Coverage, 62570,
     /* 2268806 */     GIR_EraseRootFromParent_Done,
     /* 2268807 */   // Label 30558: @2268807
     /* 2268807 */   GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2268840), // Rule ID 62568 //
     /* 2268812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2268815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268819 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2268823 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2268823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2268826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268828 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2268830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268836 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268839 */     // GIR_Coverage, 62568,
     /* 2268839 */     GIR_EraseRootFromParent_Done,
     /* 2268840 */   // Label 30559: @2268840
     /* 2268840 */   GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2268869), // Rule ID 62566 //
     /* 2268845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2268848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268856 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2268856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2268859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2268861 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2268863 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2268865 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2268867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268868 */     // GIR_Coverage, 62566,
     /* 2268868 */     GIR_EraseRootFromParent_Done,
     /* 2268869 */   // Label 30560: @2268869
     /* 2268869 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2268898), // Rule ID 64623 //
     /* 2268874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2268877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268885 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2268885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2268888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2268894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2268896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268897 */     // GIR_Coverage, 64623,
     /* 2268897 */     GIR_EraseRootFromParent_Done,
     /* 2268898 */   // Label 30561: @2268898
     /* 2268898 */   GIM_Reject,
     /* 2268899 */ // Label 30557: @2268899
     /* 2268899 */ GIM_Reject,
     /* 2268900 */ // Label 30529: @2268900
     /* 2268900 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2269019),
     /* 2268905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2268908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2268911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2268914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2268918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268926 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268930 */   GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2268974), // Rule ID 52230 //
     /* 2268935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268938 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2268955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268964 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2268966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268973 */     // GIR_Coverage, 52230,
     /* 2268973 */     GIR_EraseRootFromParent_Done,
     /* 2268974 */   // Label 30563: @2268974
     /* 2268974 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2269018), // Rule ID 52231 //
     /* 2268979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268982 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2268999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269008 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269017 */     // GIR_Coverage, 52231,
     /* 2269017 */     GIR_EraseRootFromParent_Done,
     /* 2269018 */   // Label 30564: @2269018
     /* 2269018 */   GIM_Reject,
     /* 2269019 */ // Label 30562: @2269019
     /* 2269019 */ GIM_Reject,
     /* 2269020 */ // Label 30530: @2269020
     /* 2269020 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2269227),
     /* 2269025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2269028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2269034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269050 */   GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2269094), // Rule ID 52248 //
     /* 2269055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269058 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269084 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269093 */     // GIR_Coverage, 52248,
     /* 2269093 */     GIR_EraseRootFromParent_Done,
     /* 2269094 */   // Label 30566: @2269094
     /* 2269094 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2269138), // Rule ID 52249 //
     /* 2269099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269102 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269128 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269137 */     // GIR_Coverage, 52249,
     /* 2269137 */     GIR_EraseRootFromParent_Done,
     /* 2269138 */   // Label 30567: @2269138
     /* 2269138 */   GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2269182), // Rule ID 58070 //
     /* 2269143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269146 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269172 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269181 */     // GIR_Coverage, 58070,
     /* 2269181 */     GIR_EraseRootFromParent_Done,
     /* 2269182 */   // Label 30568: @2269182
     /* 2269182 */   GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2269226), // Rule ID 58071 //
     /* 2269187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269190 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269216 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269225 */     // GIR_Coverage, 58071,
     /* 2269225 */     GIR_EraseRootFromParent_Done,
     /* 2269226 */   // Label 30569: @2269226
     /* 2269226 */   GIM_Reject,
     /* 2269227 */ // Label 30565: @2269227
     /* 2269227 */ GIM_Reject,
     /* 2269228 */ // Label 30531: @2269228
     /* 2269228 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2269435),
     /* 2269233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2269236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269258 */   GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2269302), // Rule ID 52260 //
     /* 2269263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269266 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2269266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269292 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269301 */     // GIR_Coverage, 52260,
     /* 2269301 */     GIR_EraseRootFromParent_Done,
     /* 2269302 */   // Label 30571: @2269302
     /* 2269302 */   GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2269346), // Rule ID 52261 //
     /* 2269307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269310 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269336 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269345 */     // GIR_Coverage, 52261,
     /* 2269345 */     GIR_EraseRootFromParent_Done,
     /* 2269346 */   // Label 30572: @2269346
     /* 2269346 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2269390), // Rule ID 58090 //
     /* 2269351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269354 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2269354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269380 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269389 */     // GIR_Coverage, 58090,
     /* 2269389 */     GIR_EraseRootFromParent_Done,
     /* 2269390 */   // Label 30573: @2269390
     /* 2269390 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2269434), // Rule ID 58091 //
     /* 2269395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269398 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269424 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269433 */     // GIR_Coverage, 58091,
     /* 2269433 */     GIR_EraseRootFromParent_Done,
     /* 2269434 */   // Label 30574: @2269434
     /* 2269434 */   GIM_Reject,
     /* 2269435 */ // Label 30570: @2269435
     /* 2269435 */ GIM_Reject,
     /* 2269436 */ // Label 30532: @2269436
     /* 2269436 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2269643),
     /* 2269441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2269444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2269450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269466 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2269510), // Rule ID 52284 //
     /* 2269471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269474 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2269491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269500 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269509 */     // GIR_Coverage, 52284,
     /* 2269509 */     GIR_EraseRootFromParent_Done,
     /* 2269510 */   // Label 30576: @2269510
     /* 2269510 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2269554), // Rule ID 52285 //
     /* 2269515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269518 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2269518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2269535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269544 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269553 */     // GIR_Coverage, 52285,
     /* 2269553 */     GIR_EraseRootFromParent_Done,
     /* 2269554 */   // Label 30577: @2269554
     /* 2269554 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2269598), // Rule ID 58120 //
     /* 2269559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269562 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2269579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269588 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269597 */     // GIR_Coverage, 58120,
     /* 2269597 */     GIR_EraseRootFromParent_Done,
     /* 2269598 */   // Label 30578: @2269598
     /* 2269598 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2269642), // Rule ID 58121 //
     /* 2269603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269606 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2269606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2269623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269632 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269641 */     // GIR_Coverage, 58121,
     /* 2269641 */     GIR_EraseRootFromParent_Done,
     /* 2269642 */   // Label 30579: @2269642
     /* 2269642 */   GIM_Reject,
     /* 2269643 */ // Label 30575: @2269643
     /* 2269643 */ GIM_Reject,
     /* 2269644 */ // Label 30533: @2269644
     /* 2269644 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2269763),
     /* 2269649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2269652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2269655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2269658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269674 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2269718), // Rule ID 52236 //
     /* 2269679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269682 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269708 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269717 */     // GIR_Coverage, 52236,
     /* 2269717 */     GIR_EraseRootFromParent_Done,
     /* 2269718 */   // Label 30581: @2269718
     /* 2269718 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2269762), // Rule ID 52237 //
     /* 2269723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269726 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2269743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269752 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269761 */     // GIR_Coverage, 52237,
     /* 2269761 */     GIR_EraseRootFromParent_Done,
     /* 2269762 */   // Label 30582: @2269762
     /* 2269762 */   GIM_Reject,
     /* 2269763 */ // Label 30580: @2269763
     /* 2269763 */ GIM_Reject,
     /* 2269764 */ // Label 30534: @2269764
     /* 2269764 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2269971),
     /* 2269769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2269772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269794 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2269838), // Rule ID 52254 //
     /* 2269799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269802 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269828 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269837 */     // GIR_Coverage, 52254,
     /* 2269837 */     GIR_EraseRootFromParent_Done,
     /* 2269838 */   // Label 30584: @2269838
     /* 2269838 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2269882), // Rule ID 52255 //
     /* 2269843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269846 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269872 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269881 */     // GIR_Coverage, 52255,
     /* 2269881 */     GIR_EraseRootFromParent_Done,
     /* 2269882 */   // Label 30585: @2269882
     /* 2269882 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2269926), // Rule ID 58080 //
     /* 2269887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269890 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269916 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269925 */     // GIR_Coverage, 58080,
     /* 2269925 */     GIR_EraseRootFromParent_Done,
     /* 2269926 */   // Label 30586: @2269926
     /* 2269926 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2269970), // Rule ID 58081 //
     /* 2269931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269934 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2269951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269960 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2269962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269969 */     // GIR_Coverage, 58081,
     /* 2269969 */     GIR_EraseRootFromParent_Done,
     /* 2269970 */   // Label 30587: @2269970
     /* 2269970 */   GIM_Reject,
     /* 2269971 */ // Label 30583: @2269971
     /* 2269971 */ GIM_Reject,
     /* 2269972 */ // Label 30535: @2269972
     /* 2269972 */ GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2270179),
     /* 2269977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2269980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2269986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270002 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2270046), // Rule ID 52278 //
     /* 2270007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270010 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270036 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270045 */     // GIR_Coverage, 52278,
     /* 2270045 */     GIR_EraseRootFromParent_Done,
     /* 2270046 */   // Label 30589: @2270046
     /* 2270046 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2270090), // Rule ID 52279 //
     /* 2270051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270054 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270080 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270089 */     // GIR_Coverage, 52279,
     /* 2270089 */     GIR_EraseRootFromParent_Done,
     /* 2270090 */   // Label 30590: @2270090
     /* 2270090 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2270134), // Rule ID 58110 //
     /* 2270095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270098 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270124 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270133 */     // GIR_Coverage, 58110,
     /* 2270133 */     GIR_EraseRootFromParent_Done,
     /* 2270134 */   // Label 30591: @2270134
     /* 2270134 */   GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2270178), // Rule ID 58111 //
     /* 2270139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270142 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270168 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270177 */     // GIR_Coverage, 58111,
     /* 2270177 */     GIR_EraseRootFromParent_Done,
     /* 2270178 */   // Label 30592: @2270178
     /* 2270178 */   GIM_Reject,
     /* 2270179 */ // Label 30588: @2270179
     /* 2270179 */ GIM_Reject,
     /* 2270180 */ // Label 30536: @2270180
     /* 2270180 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2270387),
     /* 2270185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2270188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2270194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2270198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270210 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2270254), // Rule ID 52344 //
     /* 2270215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270218 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270244 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270253 */     // GIR_Coverage, 52344,
     /* 2270253 */     GIR_EraseRootFromParent_Done,
     /* 2270254 */   // Label 30594: @2270254
     /* 2270254 */   GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2270298), // Rule ID 52345 //
     /* 2270259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270262 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270288 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270297 */     // GIR_Coverage, 52345,
     /* 2270297 */     GIR_EraseRootFromParent_Done,
     /* 2270298 */   // Label 30595: @2270298
     /* 2270298 */   GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2270342), // Rule ID 58190 //
     /* 2270303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270306 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270332 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270341 */     // GIR_Coverage, 58190,
     /* 2270341 */     GIR_EraseRootFromParent_Done,
     /* 2270342 */   // Label 30596: @2270342
     /* 2270342 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2270386), // Rule ID 58191 //
     /* 2270347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270350 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270376 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270385 */     // GIR_Coverage, 58191,
     /* 2270385 */     GIR_EraseRootFromParent_Done,
     /* 2270386 */   // Label 30597: @2270386
     /* 2270386 */   GIM_Reject,
     /* 2270387 */ // Label 30593: @2270387
     /* 2270387 */ GIM_Reject,
     /* 2270388 */ // Label 30537: @2270388
     /* 2270388 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2270507),
     /* 2270393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2270396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2270399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2270402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270418 */   GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2270462), // Rule ID 52242 //
     /* 2270423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270426 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2270443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270452 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270461 */     // GIR_Coverage, 52242,
     /* 2270461 */     GIR_EraseRootFromParent_Done,
     /* 2270462 */   // Label 30599: @2270462
     /* 2270462 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2270506), // Rule ID 52243 //
     /* 2270467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270470 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2270487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270496 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270505 */     // GIR_Coverage, 52243,
     /* 2270505 */     GIR_EraseRootFromParent_Done,
     /* 2270506 */   // Label 30600: @2270506
     /* 2270506 */   GIM_Reject,
     /* 2270507 */ // Label 30598: @2270507
     /* 2270507 */ GIM_Reject,
     /* 2270508 */ // Label 30538: @2270508
     /* 2270508 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2270715),
     /* 2270513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2270516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270538 */   GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2270582), // Rule ID 52272 //
     /* 2270543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270546 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270572 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270581 */     // GIR_Coverage, 52272,
     /* 2270581 */     GIR_EraseRootFromParent_Done,
     /* 2270582 */   // Label 30602: @2270582
     /* 2270582 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2270626), // Rule ID 52273 //
     /* 2270587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270590 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270616 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270625 */     // GIR_Coverage, 52273,
     /* 2270625 */     GIR_EraseRootFromParent_Done,
     /* 2270626 */   // Label 30603: @2270626
     /* 2270626 */   GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2270670), // Rule ID 58100 //
     /* 2270631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270634 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270660 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270669 */     // GIR_Coverage, 58100,
     /* 2270669 */     GIR_EraseRootFromParent_Done,
     /* 2270670 */   // Label 30604: @2270670
     /* 2270670 */   GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2270714), // Rule ID 58101 //
     /* 2270675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270678 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2270695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270704 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270713 */     // GIR_Coverage, 58101,
     /* 2270713 */     GIR_EraseRootFromParent_Done,
     /* 2270714 */   // Label 30605: @2270714
     /* 2270714 */   GIM_Reject,
     /* 2270715 */ // Label 30601: @2270715
     /* 2270715 */ GIM_Reject,
     /* 2270716 */ // Label 30539: @2270716
     /* 2270716 */ GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2270923),
     /* 2270721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2270724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2270730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2270734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270746 */   GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2270790), // Rule ID 52326 //
     /* 2270751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270754 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270780 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270789 */     // GIR_Coverage, 52326,
     /* 2270789 */     GIR_EraseRootFromParent_Done,
     /* 2270790 */   // Label 30607: @2270790
     /* 2270790 */   GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2270834), // Rule ID 52327 //
     /* 2270795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270798 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270824 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270833 */     // GIR_Coverage, 52327,
     /* 2270833 */     GIR_EraseRootFromParent_Done,
     /* 2270834 */   // Label 30608: @2270834
     /* 2270834 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2270878), // Rule ID 58160 //
     /* 2270839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270842 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270868 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270877 */     // GIR_Coverage, 58160,
     /* 2270877 */     GIR_EraseRootFromParent_Done,
     /* 2270878 */   // Label 30609: @2270878
     /* 2270878 */   GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2270922), // Rule ID 58161 //
     /* 2270883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270886 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2270903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270912 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270921 */     // GIR_Coverage, 58161,
     /* 2270921 */     GIR_EraseRootFromParent_Done,
     /* 2270922 */   // Label 30610: @2270922
     /* 2270922 */   GIM_Reject,
     /* 2270923 */ // Label 30606: @2270923
     /* 2270923 */ GIM_Reject,
     /* 2270924 */ // Label 30540: @2270924
     /* 2270924 */ GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2271131),
     /* 2270929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2270932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2270938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2270942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270954 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2270998), // Rule ID 52350 //
     /* 2270959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270962 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2270979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270988 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2270990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270997 */     // GIR_Coverage, 52350,
     /* 2270997 */     GIR_EraseRootFromParent_Done,
     /* 2270998 */   // Label 30612: @2270998
     /* 2270998 */   GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2271042), // Rule ID 52351 //
     /* 2271003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271006 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2271009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271032 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271041 */     // GIR_Coverage, 52351,
     /* 2271041 */     GIR_EraseRootFromParent_Done,
     /* 2271042 */   // Label 30613: @2271042
     /* 2271042 */   GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2271086), // Rule ID 58200 //
     /* 2271047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271050 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2271053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271076 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271085 */     // GIR_Coverage, 58200,
     /* 2271085 */     GIR_EraseRootFromParent_Done,
     /* 2271086 */   // Label 30614: @2271086
     /* 2271086 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2271130), // Rule ID 58201 //
     /* 2271091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271094 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2271097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271120 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271129 */     // GIR_Coverage, 58201,
     /* 2271129 */     GIR_EraseRootFromParent_Done,
     /* 2271130 */   // Label 30615: @2271130
     /* 2271130 */   GIM_Reject,
     /* 2271131 */ // Label 30611: @2271131
     /* 2271131 */ GIM_Reject,
     /* 2271132 */ // Label 30541: @2271132
     /* 2271132 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2271251),
     /* 2271137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2271140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2271143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2271146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2271150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271162 */   GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2271206), // Rule ID 52266 //
     /* 2271167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271170 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2271173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2271187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271196 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271205 */     // GIR_Coverage, 52266,
     /* 2271205 */     GIR_EraseRootFromParent_Done,
     /* 2271206 */   // Label 30617: @2271206
     /* 2271206 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2271250), // Rule ID 52267 //
     /* 2271211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271214 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2271217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2271231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271240 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271249 */     // GIR_Coverage, 52267,
     /* 2271249 */     GIR_EraseRootFromParent_Done,
     /* 2271250 */   // Label 30618: @2271250
     /* 2271250 */   GIM_Reject,
     /* 2271251 */ // Label 30616: @2271251
     /* 2271251 */ GIM_Reject,
     /* 2271252 */ // Label 30542: @2271252
     /* 2271252 */ GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2271459),
     /* 2271257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2271260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2271263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2271266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2271270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271282 */   GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2271326), // Rule ID 52308 //
     /* 2271287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271290 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2271290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271316 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271325 */     // GIR_Coverage, 52308,
     /* 2271325 */     GIR_EraseRootFromParent_Done,
     /* 2271326 */   // Label 30620: @2271326
     /* 2271326 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2271370), // Rule ID 52309 //
     /* 2271331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271334 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2271334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271360 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271369 */     // GIR_Coverage, 52309,
     /* 2271369 */     GIR_EraseRootFromParent_Done,
     /* 2271370 */   // Label 30621: @2271370
     /* 2271370 */   GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2271414), // Rule ID 58130 //
     /* 2271375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271378 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2271378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271404 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271413 */     // GIR_Coverage, 58130,
     /* 2271413 */     GIR_EraseRootFromParent_Done,
     /* 2271414 */   // Label 30622: @2271414
     /* 2271414 */   GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2271458), // Rule ID 58131 //
     /* 2271419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271422 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2271422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271448 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271457 */     // GIR_Coverage, 58131,
     /* 2271457 */     GIR_EraseRootFromParent_Done,
     /* 2271458 */   // Label 30623: @2271458
     /* 2271458 */   GIM_Reject,
     /* 2271459 */ // Label 30619: @2271459
     /* 2271459 */ GIM_Reject,
     /* 2271460 */ // Label 30543: @2271460
     /* 2271460 */ GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2271667),
     /* 2271465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2271468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2271474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2271478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271490 */   GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2271534), // Rule ID 52332 //
     /* 2271495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271498 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271524 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271533 */     // GIR_Coverage, 52332,
     /* 2271533 */     GIR_EraseRootFromParent_Done,
     /* 2271534 */   // Label 30625: @2271534
     /* 2271534 */   GIM_Try, /*On fail goto*//*Label 30626*/ GIMT_Encode4(2271578), // Rule ID 52333 //
     /* 2271539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271542 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271568 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271577 */     // GIR_Coverage, 52333,
     /* 2271577 */     GIR_EraseRootFromParent_Done,
     /* 2271578 */   // Label 30626: @2271578
     /* 2271578 */   GIM_Try, /*On fail goto*//*Label 30627*/ GIMT_Encode4(2271622), // Rule ID 58170 //
     /* 2271583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271586 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271612 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271621 */     // GIR_Coverage, 58170,
     /* 2271621 */     GIR_EraseRootFromParent_Done,
     /* 2271622 */   // Label 30627: @2271622
     /* 2271622 */   GIM_Try, /*On fail goto*//*Label 30628*/ GIMT_Encode4(2271666), // Rule ID 58171 //
     /* 2271627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271630 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2271647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271656 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271665 */     // GIR_Coverage, 58171,
     /* 2271665 */     GIR_EraseRootFromParent_Done,
     /* 2271666 */   // Label 30628: @2271666
     /* 2271666 */   GIM_Reject,
     /* 2271667 */ // Label 30624: @2271667
     /* 2271667 */ GIM_Reject,
     /* 2271668 */ // Label 30544: @2271668
     /* 2271668 */ GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2271875),
     /* 2271673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2271676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2271679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2271682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2271686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271698 */   GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2271742), // Rule ID 52356 //
     /* 2271703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271706 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2271723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271732 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271741 */     // GIR_Coverage, 52356,
     /* 2271741 */     GIR_EraseRootFromParent_Done,
     /* 2271742 */   // Label 30630: @2271742
     /* 2271742 */   GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2271786), // Rule ID 52357 //
     /* 2271747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271750 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2271767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271776 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271785 */     // GIR_Coverage, 52357,
     /* 2271785 */     GIR_EraseRootFromParent_Done,
     /* 2271786 */   // Label 30631: @2271786
     /* 2271786 */   GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2271830), // Rule ID 58210 //
     /* 2271791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271794 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2271811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271820 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271829 */     // GIR_Coverage, 58210,
     /* 2271829 */     GIR_EraseRootFromParent_Done,
     /* 2271830 */   // Label 30632: @2271830
     /* 2271830 */   GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2271874), // Rule ID 58211 //
     /* 2271835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271838 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2271855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271864 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271873 */     // GIR_Coverage, 58211,
     /* 2271873 */     GIR_EraseRootFromParent_Done,
     /* 2271874 */   // Label 30633: @2271874
     /* 2271874 */   GIM_Reject,
     /* 2271875 */ // Label 30629: @2271875
     /* 2271875 */ GIM_Reject,
     /* 2271876 */ // Label 30545: @2271876
     /* 2271876 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2271995),
     /* 2271881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2271884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2271887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2271890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2271894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271906 */   GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2271950), // Rule ID 52290 //
     /* 2271911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271914 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271940 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271949 */     // GIR_Coverage, 52290,
     /* 2271949 */     GIR_EraseRootFromParent_Done,
     /* 2271950 */   // Label 30635: @2271950
     /* 2271950 */   GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2271994), // Rule ID 52291 //
     /* 2271955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271958 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2271975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271984 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2271986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271993 */     // GIR_Coverage, 52291,
     /* 2271993 */     GIR_EraseRootFromParent_Done,
     /* 2271994 */   // Label 30636: @2271994
     /* 2271994 */   GIM_Reject,
     /* 2271995 */ // Label 30634: @2271995
     /* 2271995 */ GIM_Reject,
     /* 2271996 */ // Label 30546: @2271996
     /* 2271996 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2272203),
     /* 2272001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2272004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2272010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2272014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272026 */   GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2272070), // Rule ID 52314 //
     /* 2272031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272034 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272060 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272069 */     // GIR_Coverage, 52314,
     /* 2272069 */     GIR_EraseRootFromParent_Done,
     /* 2272070 */   // Label 30638: @2272070
     /* 2272070 */   GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2272114), // Rule ID 52315 //
     /* 2272075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272078 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272104 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272113 */     // GIR_Coverage, 52315,
     /* 2272113 */     GIR_EraseRootFromParent_Done,
     /* 2272114 */   // Label 30639: @2272114
     /* 2272114 */   GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2272158), // Rule ID 58140 //
     /* 2272119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272122 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272148 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272157 */     // GIR_Coverage, 58140,
     /* 2272157 */     GIR_EraseRootFromParent_Done,
     /* 2272158 */   // Label 30640: @2272158
     /* 2272158 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2272202), // Rule ID 58141 //
     /* 2272163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272166 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272192 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272201 */     // GIR_Coverage, 58141,
     /* 2272201 */     GIR_EraseRootFromParent_Done,
     /* 2272202 */   // Label 30641: @2272202
     /* 2272202 */   GIM_Reject,
     /* 2272203 */ // Label 30637: @2272203
     /* 2272203 */ GIM_Reject,
     /* 2272204 */ // Label 30547: @2272204
     /* 2272204 */ GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2272411),
     /* 2272209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2272212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2272215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2272218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2272222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272234 */   GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2272278), // Rule ID 52338 //
     /* 2272239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272242 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272268 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272277 */     // GIR_Coverage, 52338,
     /* 2272277 */     GIR_EraseRootFromParent_Done,
     /* 2272278 */   // Label 30643: @2272278
     /* 2272278 */   GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2272322), // Rule ID 52339 //
     /* 2272283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272286 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272312 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272321 */     // GIR_Coverage, 52339,
     /* 2272321 */     GIR_EraseRootFromParent_Done,
     /* 2272322 */   // Label 30644: @2272322
     /* 2272322 */   GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2272366), // Rule ID 58180 //
     /* 2272327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272330 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272356 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272365 */     // GIR_Coverage, 58180,
     /* 2272365 */     GIR_EraseRootFromParent_Done,
     /* 2272366 */   // Label 30645: @2272366
     /* 2272366 */   GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2272410), // Rule ID 58181 //
     /* 2272371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272374 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272400 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272409 */     // GIR_Coverage, 58181,
     /* 2272409 */     GIR_EraseRootFromParent_Done,
     /* 2272410 */   // Label 30646: @2272410
     /* 2272410 */   GIM_Reject,
     /* 2272411 */ // Label 30642: @2272411
     /* 2272411 */ GIM_Reject,
     /* 2272412 */ // Label 30548: @2272412
     /* 2272412 */ GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2272531),
     /* 2272417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2272420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2272423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2272426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2272430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272442 */   GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2272486), // Rule ID 52296 //
     /* 2272447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272450 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2272453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272476 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272485 */     // GIR_Coverage, 52296,
     /* 2272485 */     GIR_EraseRootFromParent_Done,
     /* 2272486 */   // Label 30648: @2272486
     /* 2272486 */   GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2272530), // Rule ID 52297 //
     /* 2272491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272494 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2272497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2272511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272520 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272529 */     // GIR_Coverage, 52297,
     /* 2272529 */     GIR_EraseRootFromParent_Done,
     /* 2272530 */   // Label 30649: @2272530
     /* 2272530 */   GIM_Reject,
     /* 2272531 */ // Label 30647: @2272531
     /* 2272531 */ GIM_Reject,
     /* 2272532 */ // Label 30549: @2272532
     /* 2272532 */ GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2272739),
     /* 2272537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2272540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2272543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2272546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2272550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272562 */   GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2272606), // Rule ID 52320 //
     /* 2272567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272570 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272596 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272605 */     // GIR_Coverage, 52320,
     /* 2272605 */     GIR_EraseRootFromParent_Done,
     /* 2272606 */   // Label 30651: @2272606
     /* 2272606 */   GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2272650), // Rule ID 52321 //
     /* 2272611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272614 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272640 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272649 */     // GIR_Coverage, 52321,
     /* 2272649 */     GIR_EraseRootFromParent_Done,
     /* 2272650 */   // Label 30652: @2272650
     /* 2272650 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2272694), // Rule ID 58150 //
     /* 2272655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272658 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272684 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272693 */     // GIR_Coverage, 58150,
     /* 2272693 */     GIR_EraseRootFromParent_Done,
     /* 2272694 */   // Label 30653: @2272694
     /* 2272694 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2272738), // Rule ID 58151 //
     /* 2272699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272702 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272728 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272737 */     // GIR_Coverage, 58151,
     /* 2272737 */     GIR_EraseRootFromParent_Done,
     /* 2272738 */   // Label 30654: @2272738
     /* 2272738 */   GIM_Reject,
     /* 2272739 */ // Label 30650: @2272739
     /* 2272739 */ GIM_Reject,
     /* 2272740 */ // Label 30550: @2272740
     /* 2272740 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2272859),
     /* 2272745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2272748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2272751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2272754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2272758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272770 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2272814), // Rule ID 52302 //
     /* 2272775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272778 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272804 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272813 */     // GIR_Coverage, 52302,
     /* 2272813 */     GIR_EraseRootFromParent_Done,
     /* 2272814 */   // Label 30656: @2272814
     /* 2272814 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2272858), // Rule ID 52303 //
     /* 2272819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272822 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2272839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272848 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2272850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272857 */     // GIR_Coverage, 52303,
     /* 2272857 */     GIR_EraseRootFromParent_Done,
     /* 2272858 */   // Label 30657: @2272858
     /* 2272858 */   GIM_Reject,
     /* 2272859 */ // Label 30655: @2272859
     /* 2272859 */ GIM_Reject,
     /* 2272860 */ // Label 30551: @2272860
     /* 2272860 */ GIM_Reject,
     /* 2272861 */ // Label 51: @2272861
     /* 2272861 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30682*/ GIMT_Encode4(2275594),
     /* 2272872 */ /*GILLT_s32*//*Label 30658*/ GIMT_Encode4(2272996),
     /* 2272876 */ /*GILLT_s64*//*Label 30659*/ GIMT_Encode4(2273030), GIMT_Encode4(0),
     /* 2272884 */ /*GILLT_nxv1s8*//*Label 30660*/ GIMT_Encode4(2273064),
     /* 2272888 */ /*GILLT_nxv1s16*//*Label 30661*/ GIMT_Encode4(2273179),
     /* 2272892 */ /*GILLT_nxv1s32*//*Label 30662*/ GIMT_Encode4(2273294),
     /* 2272896 */ /*GILLT_nxv1s64*//*Label 30663*/ GIMT_Encode4(2273409), GIMT_Encode4(0),
     /* 2272904 */ /*GILLT_nxv2s8*//*Label 30664*/ GIMT_Encode4(2273524),
     /* 2272908 */ /*GILLT_nxv2s16*//*Label 30665*/ GIMT_Encode4(2273639),
     /* 2272912 */ /*GILLT_nxv2s32*//*Label 30666*/ GIMT_Encode4(2273754),
     /* 2272916 */ /*GILLT_nxv2s64*//*Label 30667*/ GIMT_Encode4(2273869), GIMT_Encode4(0),
     /* 2272924 */ /*GILLT_nxv4s8*//*Label 30668*/ GIMT_Encode4(2273984),
     /* 2272928 */ /*GILLT_nxv4s16*//*Label 30669*/ GIMT_Encode4(2274099),
     /* 2272932 */ /*GILLT_nxv4s32*//*Label 30670*/ GIMT_Encode4(2274214),
     /* 2272936 */ /*GILLT_nxv4s64*//*Label 30671*/ GIMT_Encode4(2274329), GIMT_Encode4(0),
     /* 2272944 */ /*GILLT_nxv8s8*//*Label 30672*/ GIMT_Encode4(2274444),
     /* 2272948 */ /*GILLT_nxv8s16*//*Label 30673*/ GIMT_Encode4(2274559),
     /* 2272952 */ /*GILLT_nxv8s32*//*Label 30674*/ GIMT_Encode4(2274674),
     /* 2272956 */ /*GILLT_nxv8s64*//*Label 30675*/ GIMT_Encode4(2274789), GIMT_Encode4(0),
     /* 2272964 */ /*GILLT_nxv16s8*//*Label 30676*/ GIMT_Encode4(2274904),
     /* 2272968 */ /*GILLT_nxv16s16*//*Label 30677*/ GIMT_Encode4(2275019),
     /* 2272972 */ /*GILLT_nxv16s32*//*Label 30678*/ GIMT_Encode4(2275134), GIMT_Encode4(0),
     /* 2272980 */ /*GILLT_nxv32s8*//*Label 30679*/ GIMT_Encode4(2275249),
     /* 2272984 */ /*GILLT_nxv32s16*//*Label 30680*/ GIMT_Encode4(2275364), GIMT_Encode4(0),
     /* 2272992 */ /*GILLT_nxv64s8*//*Label 30681*/ GIMT_Encode4(2275479),
     /* 2272996 */ // Label 30658: @2272996
     /* 2272996 */ GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2273029), // Rule ID 296 //
     /* 2273001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2273004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2273007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2273010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273022 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2273022 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2273027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273028 */   // GIR_Coverage, 296,
     /* 2273028 */   GIR_Done,
     /* 2273029 */ // Label 30683: @2273029
     /* 2273029 */ GIM_Reject,
     /* 2273030 */ // Label 30659: @2273030
     /* 2273030 */ GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2273063), // Rule ID 295 //
     /* 2273035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2273038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2273041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2273044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273056 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2273056 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2273061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273062 */   // GIR_Coverage, 295,
     /* 2273062 */   GIR_Done,
     /* 2273063 */ // Label 30684: @2273063
     /* 2273063 */ GIM_Reject,
     /* 2273064 */ // Label 30660: @2273064
     /* 2273064 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2273178),
     /* 2273069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2273072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2273075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273087 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2273132), // Rule ID 51006 //
     /* 2273092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273095 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2273112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273131 */     // GIR_Coverage, 51006,
     /* 2273131 */     GIR_EraseRootFromParent_Done,
     /* 2273132 */   // Label 30686: @2273132
     /* 2273132 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2273177), // Rule ID 51007 //
     /* 2273137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273140 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2273157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273176 */     // GIR_Coverage, 51007,
     /* 2273176 */     GIR_EraseRootFromParent_Done,
     /* 2273177 */   // Label 30687: @2273177
     /* 2273177 */   GIM_Reject,
     /* 2273178 */ // Label 30685: @2273178
     /* 2273178 */ GIM_Reject,
     /* 2273179 */ // Label 30661: @2273179
     /* 2273179 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2273293),
     /* 2273184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2273187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2273190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273202 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2273247), // Rule ID 51018 //
     /* 2273207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273210 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2273227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273246 */     // GIR_Coverage, 51018,
     /* 2273246 */     GIR_EraseRootFromParent_Done,
     /* 2273247 */   // Label 30689: @2273247
     /* 2273247 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2273292), // Rule ID 51019 //
     /* 2273252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273255 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2273272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273291 */     // GIR_Coverage, 51019,
     /* 2273291 */     GIR_EraseRootFromParent_Done,
     /* 2273292 */   // Label 30690: @2273292
     /* 2273292 */   GIM_Reject,
     /* 2273293 */ // Label 30688: @2273293
     /* 2273293 */ GIM_Reject,
     /* 2273294 */ // Label 30662: @2273294
     /* 2273294 */ GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2273408),
     /* 2273299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2273302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273317 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2273362), // Rule ID 51026 //
     /* 2273322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273325 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2273342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273361 */     // GIR_Coverage, 51026,
     /* 2273361 */     GIR_EraseRootFromParent_Done,
     /* 2273362 */   // Label 30692: @2273362
     /* 2273362 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2273407), // Rule ID 51027 //
     /* 2273367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273370 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2273387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273406 */     // GIR_Coverage, 51027,
     /* 2273406 */     GIR_EraseRootFromParent_Done,
     /* 2273407 */   // Label 30693: @2273407
     /* 2273407 */   GIM_Reject,
     /* 2273408 */ // Label 30691: @2273408
     /* 2273408 */ GIM_Reject,
     /* 2273409 */ // Label 30663: @2273409
     /* 2273409 */ GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2273523),
     /* 2273414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2273417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273432 */   GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2273477), // Rule ID 51094 //
     /* 2273437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2273440 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2273457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273476 */     // GIR_Coverage, 51094,
     /* 2273476 */     GIR_EraseRootFromParent_Done,
     /* 2273477 */   // Label 30695: @2273477
     /* 2273477 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2273522), // Rule ID 51095 //
     /* 2273482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2273485 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2273502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273521 */     // GIR_Coverage, 51095,
     /* 2273521 */     GIR_EraseRootFromParent_Done,
     /* 2273522 */   // Label 30696: @2273522
     /* 2273522 */   GIM_Reject,
     /* 2273523 */ // Label 30694: @2273523
     /* 2273523 */ GIM_Reject,
     /* 2273524 */ // Label 30664: @2273524
     /* 2273524 */ GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2273638),
     /* 2273529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2273532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2273535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273547 */   GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2273592), // Rule ID 51010 //
     /* 2273552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273555 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2273558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2273572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273591 */     // GIR_Coverage, 51010,
     /* 2273591 */     GIR_EraseRootFromParent_Done,
     /* 2273592 */   // Label 30698: @2273592
     /* 2273592 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2273637), // Rule ID 51011 //
     /* 2273597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273600 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2273603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2273617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273636 */     // GIR_Coverage, 51011,
     /* 2273636 */     GIR_EraseRootFromParent_Done,
     /* 2273637 */   // Label 30699: @2273637
     /* 2273637 */   GIM_Reject,
     /* 2273638 */ // Label 30697: @2273638
     /* 2273638 */ GIM_Reject,
     /* 2273639 */ // Label 30665: @2273639
     /* 2273639 */ GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2273753),
     /* 2273644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2273647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273662 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2273707), // Rule ID 51022 //
     /* 2273667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273670 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2273687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273706 */     // GIR_Coverage, 51022,
     /* 2273706 */     GIR_EraseRootFromParent_Done,
     /* 2273707 */   // Label 30701: @2273707
     /* 2273707 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2273752), // Rule ID 51023 //
     /* 2273712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273715 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2273732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273751 */     // GIR_Coverage, 51023,
     /* 2273751 */     GIR_EraseRootFromParent_Done,
     /* 2273752 */   // Label 30702: @2273752
     /* 2273752 */   GIM_Reject,
     /* 2273753 */ // Label 30700: @2273753
     /* 2273753 */ GIM_Reject,
     /* 2273754 */ // Label 30666: @2273754
     /* 2273754 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2273868),
     /* 2273759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2273762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273777 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2273822), // Rule ID 51038 //
     /* 2273782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273785 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2273802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273821 */     // GIR_Coverage, 51038,
     /* 2273821 */     GIR_EraseRootFromParent_Done,
     /* 2273822 */   // Label 30704: @2273822
     /* 2273822 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2273867), // Rule ID 51039 //
     /* 2273827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273830 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2273847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273866 */     // GIR_Coverage, 51039,
     /* 2273866 */     GIR_EraseRootFromParent_Done,
     /* 2273867 */   // Label 30705: @2273867
     /* 2273867 */   GIM_Reject,
     /* 2273868 */ // Label 30703: @2273868
     /* 2273868 */ GIM_Reject,
     /* 2273869 */ // Label 30667: @2273869
     /* 2273869 */ GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2273983),
     /* 2273874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2273877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273892 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2273937), // Rule ID 51098 //
     /* 2273897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2273900 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2273917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273936 */     // GIR_Coverage, 51098,
     /* 2273936 */     GIR_EraseRootFromParent_Done,
     /* 2273937 */   // Label 30707: @2273937
     /* 2273937 */   GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2273982), // Rule ID 51099 //
     /* 2273942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2273945 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2273962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273981 */     // GIR_Coverage, 51099,
     /* 2273981 */     GIR_EraseRootFromParent_Done,
     /* 2273982 */   // Label 30708: @2273982
     /* 2273982 */   GIM_Reject,
     /* 2273983 */ // Label 30706: @2273983
     /* 2273983 */ GIM_Reject,
     /* 2273984 */ // Label 30668: @2273984
     /* 2273984 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2274098),
     /* 2273989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2273992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2273995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274007 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2274052), // Rule ID 51014 //
     /* 2274012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274015 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2274032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274051 */     // GIR_Coverage, 51014,
     /* 2274051 */     GIR_EraseRootFromParent_Done,
     /* 2274052 */   // Label 30710: @2274052
     /* 2274052 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2274097), // Rule ID 51015 //
     /* 2274057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274060 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2274077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274096 */     // GIR_Coverage, 51015,
     /* 2274096 */     GIR_EraseRootFromParent_Done,
     /* 2274097 */   // Label 30711: @2274097
     /* 2274097 */   GIM_Reject,
     /* 2274098 */ // Label 30709: @2274098
     /* 2274098 */ GIM_Reject,
     /* 2274099 */ // Label 30669: @2274099
     /* 2274099 */ GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2274213),
     /* 2274104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2274107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274122 */   GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2274167), // Rule ID 51034 //
     /* 2274127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274130 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2274147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274166 */     // GIR_Coverage, 51034,
     /* 2274166 */     GIR_EraseRootFromParent_Done,
     /* 2274167 */   // Label 30713: @2274167
     /* 2274167 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2274212), // Rule ID 51035 //
     /* 2274172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274175 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2274192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274211 */     // GIR_Coverage, 51035,
     /* 2274211 */     GIR_EraseRootFromParent_Done,
     /* 2274212 */   // Label 30714: @2274212
     /* 2274212 */   GIM_Reject,
     /* 2274213 */ // Label 30712: @2274213
     /* 2274213 */ GIM_Reject,
     /* 2274214 */ // Label 30670: @2274214
     /* 2274214 */ GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2274328),
     /* 2274219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2274222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274237 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2274282), // Rule ID 51066 //
     /* 2274242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274245 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274281 */     // GIR_Coverage, 51066,
     /* 2274281 */     GIR_EraseRootFromParent_Done,
     /* 2274282 */   // Label 30716: @2274282
     /* 2274282 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2274327), // Rule ID 51067 //
     /* 2274287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274290 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274326 */     // GIR_Coverage, 51067,
     /* 2274326 */     GIR_EraseRootFromParent_Done,
     /* 2274327 */   // Label 30717: @2274327
     /* 2274327 */   GIM_Reject,
     /* 2274328 */ // Label 30715: @2274328
     /* 2274328 */ GIM_Reject,
     /* 2274329 */ // Label 30671: @2274329
     /* 2274329 */ GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2274443),
     /* 2274334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2274337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274352 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2274397), // Rule ID 51102 //
     /* 2274357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2274360 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2274377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274396 */     // GIR_Coverage, 51102,
     /* 2274396 */     GIR_EraseRootFromParent_Done,
     /* 2274397 */   // Label 30719: @2274397
     /* 2274397 */   GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2274442), // Rule ID 51103 //
     /* 2274402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2274405 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2274422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274441 */     // GIR_Coverage, 51103,
     /* 2274441 */     GIR_EraseRootFromParent_Done,
     /* 2274442 */   // Label 30720: @2274442
     /* 2274442 */   GIM_Reject,
     /* 2274443 */ // Label 30718: @2274443
     /* 2274443 */ GIM_Reject,
     /* 2274444 */ // Label 30672: @2274444
     /* 2274444 */ GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2274558),
     /* 2274449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2274452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2274455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274467 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2274512), // Rule ID 51030 //
     /* 2274472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274475 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2274478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2274492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274511 */     // GIR_Coverage, 51030,
     /* 2274511 */     GIR_EraseRootFromParent_Done,
     /* 2274512 */   // Label 30722: @2274512
     /* 2274512 */   GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2274557), // Rule ID 51031 //
     /* 2274517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274520 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2274523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2274537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274556 */     // GIR_Coverage, 51031,
     /* 2274556 */     GIR_EraseRootFromParent_Done,
     /* 2274557 */   // Label 30723: @2274557
     /* 2274557 */   GIM_Reject,
     /* 2274558 */ // Label 30721: @2274558
     /* 2274558 */ GIM_Reject,
     /* 2274559 */ // Label 30673: @2274559
     /* 2274559 */ GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2274673),
     /* 2274564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2274567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2274570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274582 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2274627), // Rule ID 51054 //
     /* 2274587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274590 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274626 */     // GIR_Coverage, 51054,
     /* 2274626 */     GIR_EraseRootFromParent_Done,
     /* 2274627 */   // Label 30725: @2274627
     /* 2274627 */   GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2274672), // Rule ID 51055 //
     /* 2274632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274635 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274671 */     // GIR_Coverage, 51055,
     /* 2274671 */     GIR_EraseRootFromParent_Done,
     /* 2274672 */   // Label 30726: @2274672
     /* 2274672 */   GIM_Reject,
     /* 2274673 */ // Label 30724: @2274673
     /* 2274673 */ GIM_Reject,
     /* 2274674 */ // Label 30674: @2274674
     /* 2274674 */ GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2274788),
     /* 2274679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2274682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274697 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2274742), // Rule ID 51070 //
     /* 2274702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274705 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2274722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274741 */     // GIR_Coverage, 51070,
     /* 2274741 */     GIR_EraseRootFromParent_Done,
     /* 2274742 */   // Label 30728: @2274742
     /* 2274742 */   GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2274787), // Rule ID 51071 //
     /* 2274747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274750 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2274767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274786 */     // GIR_Coverage, 51071,
     /* 2274786 */     GIR_EraseRootFromParent_Done,
     /* 2274787 */   // Label 30729: @2274787
     /* 2274787 */   GIM_Reject,
     /* 2274788 */ // Label 30727: @2274788
     /* 2274788 */ GIM_Reject,
     /* 2274789 */ // Label 30675: @2274789
     /* 2274789 */ GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2274903),
     /* 2274794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2274797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2274800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274812 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2274857), // Rule ID 51106 //
     /* 2274817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2274820 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2274837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274856 */     // GIR_Coverage, 51106,
     /* 2274856 */     GIR_EraseRootFromParent_Done,
     /* 2274857 */   // Label 30731: @2274857
     /* 2274857 */   GIM_Try, /*On fail goto*//*Label 30732*/ GIMT_Encode4(2274902), // Rule ID 51107 //
     /* 2274862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2274865 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2274882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274901 */     // GIR_Coverage, 51107,
     /* 2274901 */     GIR_EraseRootFromParent_Done,
     /* 2274902 */   // Label 30732: @2274902
     /* 2274902 */   GIM_Reject,
     /* 2274903 */ // Label 30730: @2274903
     /* 2274903 */ GIM_Reject,
     /* 2274904 */ // Label 30676: @2274904
     /* 2274904 */ GIM_Try, /*On fail goto*//*Label 30733*/ GIMT_Encode4(2275018),
     /* 2274909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2274912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2274915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274927 */   GIM_Try, /*On fail goto*//*Label 30734*/ GIMT_Encode4(2274972), // Rule ID 51042 //
     /* 2274932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274935 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274971 */     // GIR_Coverage, 51042,
     /* 2274971 */     GIR_EraseRootFromParent_Done,
     /* 2274972 */   // Label 30734: @2274972
     /* 2274972 */   GIM_Try, /*On fail goto*//*Label 30735*/ GIMT_Encode4(2275017), // Rule ID 51043 //
     /* 2274977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274980 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2274997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275016 */     // GIR_Coverage, 51043,
     /* 2275016 */     GIR_EraseRootFromParent_Done,
     /* 2275017 */   // Label 30735: @2275017
     /* 2275017 */   GIM_Reject,
     /* 2275018 */ // Label 30733: @2275018
     /* 2275018 */ GIM_Reject,
     /* 2275019 */ // Label 30677: @2275019
     /* 2275019 */ GIM_Try, /*On fail goto*//*Label 30736*/ GIMT_Encode4(2275133),
     /* 2275024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2275027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2275030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275042 */   GIM_Try, /*On fail goto*//*Label 30737*/ GIMT_Encode4(2275087), // Rule ID 51058 //
     /* 2275047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275050 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2275067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275086 */     // GIR_Coverage, 51058,
     /* 2275086 */     GIR_EraseRootFromParent_Done,
     /* 2275087 */   // Label 30737: @2275087
     /* 2275087 */   GIM_Try, /*On fail goto*//*Label 30738*/ GIMT_Encode4(2275132), // Rule ID 51059 //
     /* 2275092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275095 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2275112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275131 */     // GIR_Coverage, 51059,
     /* 2275131 */     GIR_EraseRootFromParent_Done,
     /* 2275132 */   // Label 30738: @2275132
     /* 2275132 */   GIM_Reject,
     /* 2275133 */ // Label 30736: @2275133
     /* 2275133 */ GIM_Reject,
     /* 2275134 */ // Label 30678: @2275134
     /* 2275134 */ GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2275248),
     /* 2275139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2275142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275157 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2275202), // Rule ID 51074 //
     /* 2275162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275165 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275201 */     // GIR_Coverage, 51074,
     /* 2275201 */     GIR_EraseRootFromParent_Done,
     /* 2275202 */   // Label 30740: @2275202
     /* 2275202 */   GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2275247), // Rule ID 51075 //
     /* 2275207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275210 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275246 */     // GIR_Coverage, 51075,
     /* 2275246 */     GIR_EraseRootFromParent_Done,
     /* 2275247 */   // Label 30741: @2275247
     /* 2275247 */   GIM_Reject,
     /* 2275248 */ // Label 30739: @2275248
     /* 2275248 */ GIM_Reject,
     /* 2275249 */ // Label 30679: @2275249
     /* 2275249 */ GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2275363),
     /* 2275254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2275257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2275260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275272 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2275317), // Rule ID 51046 //
     /* 2275277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275280 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2275283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2275297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275316 */     // GIR_Coverage, 51046,
     /* 2275316 */     GIR_EraseRootFromParent_Done,
     /* 2275317 */   // Label 30743: @2275317
     /* 2275317 */   GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2275362), // Rule ID 51047 //
     /* 2275322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275325 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2275328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2275342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275361 */     // GIR_Coverage, 51047,
     /* 2275361 */     GIR_EraseRootFromParent_Done,
     /* 2275362 */   // Label 30744: @2275362
     /* 2275362 */   GIM_Reject,
     /* 2275363 */ // Label 30742: @2275363
     /* 2275363 */ GIM_Reject,
     /* 2275364 */ // Label 30680: @2275364
     /* 2275364 */ GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2275478),
     /* 2275369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2275372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2275375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275387 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2275432), // Rule ID 51062 //
     /* 2275392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275395 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275431 */     // GIR_Coverage, 51062,
     /* 2275431 */     GIR_EraseRootFromParent_Done,
     /* 2275432 */   // Label 30746: @2275432
     /* 2275432 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2275477), // Rule ID 51063 //
     /* 2275437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275440 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275476 */     // GIR_Coverage, 51063,
     /* 2275476 */     GIR_EraseRootFromParent_Done,
     /* 2275477 */   // Label 30747: @2275477
     /* 2275477 */   GIM_Reject,
     /* 2275478 */ // Label 30745: @2275478
     /* 2275478 */ GIM_Reject,
     /* 2275479 */ // Label 30681: @2275479
     /* 2275479 */ GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2275593),
     /* 2275484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2275487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2275490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275502 */   GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2275547), // Rule ID 51050 //
     /* 2275507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275510 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2275513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275546 */     // GIR_Coverage, 51050,
     /* 2275546 */     GIR_EraseRootFromParent_Done,
     /* 2275547 */   // Label 30749: @2275547
     /* 2275547 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2275592), // Rule ID 51051 //
     /* 2275552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275555 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2275558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2275572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275591 */     // GIR_Coverage, 51051,
     /* 2275591 */     GIR_EraseRootFromParent_Done,
     /* 2275592 */   // Label 30750: @2275592
     /* 2275592 */   GIM_Reject,
     /* 2275593 */ // Label 30748: @2275593
     /* 2275593 */ GIM_Reject,
     /* 2275594 */ // Label 30682: @2275594
     /* 2275594 */ GIM_Reject,
     /* 2275595 */ // Label 52: @2275595
     /* 2275595 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30775*/ GIMT_Encode4(2278328),
     /* 2275606 */ /*GILLT_s32*//*Label 30751*/ GIMT_Encode4(2275730),
     /* 2275610 */ /*GILLT_s64*//*Label 30752*/ GIMT_Encode4(2275764), GIMT_Encode4(0),
     /* 2275618 */ /*GILLT_nxv1s8*//*Label 30753*/ GIMT_Encode4(2275798),
     /* 2275622 */ /*GILLT_nxv1s16*//*Label 30754*/ GIMT_Encode4(2275913),
     /* 2275626 */ /*GILLT_nxv1s32*//*Label 30755*/ GIMT_Encode4(2276028),
     /* 2275630 */ /*GILLT_nxv1s64*//*Label 30756*/ GIMT_Encode4(2276143), GIMT_Encode4(0),
     /* 2275638 */ /*GILLT_nxv2s8*//*Label 30757*/ GIMT_Encode4(2276258),
     /* 2275642 */ /*GILLT_nxv2s16*//*Label 30758*/ GIMT_Encode4(2276373),
     /* 2275646 */ /*GILLT_nxv2s32*//*Label 30759*/ GIMT_Encode4(2276488),
     /* 2275650 */ /*GILLT_nxv2s64*//*Label 30760*/ GIMT_Encode4(2276603), GIMT_Encode4(0),
     /* 2275658 */ /*GILLT_nxv4s8*//*Label 30761*/ GIMT_Encode4(2276718),
     /* 2275662 */ /*GILLT_nxv4s16*//*Label 30762*/ GIMT_Encode4(2276833),
     /* 2275666 */ /*GILLT_nxv4s32*//*Label 30763*/ GIMT_Encode4(2276948),
     /* 2275670 */ /*GILLT_nxv4s64*//*Label 30764*/ GIMT_Encode4(2277063), GIMT_Encode4(0),
     /* 2275678 */ /*GILLT_nxv8s8*//*Label 30765*/ GIMT_Encode4(2277178),
     /* 2275682 */ /*GILLT_nxv8s16*//*Label 30766*/ GIMT_Encode4(2277293),
     /* 2275686 */ /*GILLT_nxv8s32*//*Label 30767*/ GIMT_Encode4(2277408),
     /* 2275690 */ /*GILLT_nxv8s64*//*Label 30768*/ GIMT_Encode4(2277523), GIMT_Encode4(0),
     /* 2275698 */ /*GILLT_nxv16s8*//*Label 30769*/ GIMT_Encode4(2277638),
     /* 2275702 */ /*GILLT_nxv16s16*//*Label 30770*/ GIMT_Encode4(2277753),
     /* 2275706 */ /*GILLT_nxv16s32*//*Label 30771*/ GIMT_Encode4(2277868), GIMT_Encode4(0),
     /* 2275714 */ /*GILLT_nxv32s8*//*Label 30772*/ GIMT_Encode4(2277983),
     /* 2275718 */ /*GILLT_nxv32s16*//*Label 30773*/ GIMT_Encode4(2278098), GIMT_Encode4(0),
     /* 2275726 */ /*GILLT_nxv64s8*//*Label 30774*/ GIMT_Encode4(2278213),
     /* 2275730 */ // Label 30751: @2275730
     /* 2275730 */ GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2275763), // Rule ID 294 //
     /* 2275735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2275738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2275741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275756 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2275756 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2275761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275762 */   // GIR_Coverage, 294,
     /* 2275762 */   GIR_Done,
     /* 2275763 */ // Label 30776: @2275763
     /* 2275763 */ GIM_Reject,
     /* 2275764 */ // Label 30752: @2275764
     /* 2275764 */ GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2275797), // Rule ID 293 //
     /* 2275769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2275772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2275775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2275778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275790 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2275790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2275795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275796 */   // GIR_Coverage, 293,
     /* 2275796 */   GIR_Done,
     /* 2275797 */ // Label 30777: @2275797
     /* 2275797 */ GIM_Reject,
     /* 2275798 */ // Label 30753: @2275798
     /* 2275798 */ GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2275912),
     /* 2275803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2275806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2275809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275821 */   GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2275866), // Rule ID 50934 //
     /* 2275826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275829 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2275846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275865 */     // GIR_Coverage, 50934,
     /* 2275865 */     GIR_EraseRootFromParent_Done,
     /* 2275866 */   // Label 30779: @2275866
     /* 2275866 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2275911), // Rule ID 50935 //
     /* 2275871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275874 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2275891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275910 */     // GIR_Coverage, 50935,
     /* 2275910 */     GIR_EraseRootFromParent_Done,
     /* 2275911 */   // Label 30780: @2275911
     /* 2275911 */   GIM_Reject,
     /* 2275912 */ // Label 30778: @2275912
     /* 2275912 */ GIM_Reject,
     /* 2275913 */ // Label 30754: @2275913
     /* 2275913 */ GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2276027),
     /* 2275918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2275921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2275924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275936 */   GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2275981), // Rule ID 50946 //
     /* 2275941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275944 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2275961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275980 */     // GIR_Coverage, 50946,
     /* 2275980 */     GIR_EraseRootFromParent_Done,
     /* 2275981 */   // Label 30782: @2275981
     /* 2275981 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2276026), // Rule ID 50947 //
     /* 2275986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275989 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2276006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276025 */     // GIR_Coverage, 50947,
     /* 2276025 */     GIR_EraseRootFromParent_Done,
     /* 2276026 */   // Label 30783: @2276026
     /* 2276026 */   GIM_Reject,
     /* 2276027 */ // Label 30781: @2276027
     /* 2276027 */ GIM_Reject,
     /* 2276028 */ // Label 30755: @2276028
     /* 2276028 */ GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2276142),
     /* 2276033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2276036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276051 */   GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2276096), // Rule ID 50954 //
     /* 2276056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276059 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276095 */     // GIR_Coverage, 50954,
     /* 2276095 */     GIR_EraseRootFromParent_Done,
     /* 2276096 */   // Label 30785: @2276096
     /* 2276096 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2276141), // Rule ID 50955 //
     /* 2276101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276104 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276140 */     // GIR_Coverage, 50955,
     /* 2276140 */     GIR_EraseRootFromParent_Done,
     /* 2276141 */   // Label 30786: @2276141
     /* 2276141 */   GIM_Reject,
     /* 2276142 */ // Label 30784: @2276142
     /* 2276142 */ GIM_Reject,
     /* 2276143 */ // Label 30756: @2276143
     /* 2276143 */ GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2276257),
     /* 2276148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2276151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2276154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276166 */   GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2276211), // Rule ID 51078 //
     /* 2276171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2276174 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276210 */     // GIR_Coverage, 51078,
     /* 2276210 */     GIR_EraseRootFromParent_Done,
     /* 2276211 */   // Label 30788: @2276211
     /* 2276211 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2276256), // Rule ID 51079 //
     /* 2276216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2276219 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276255 */     // GIR_Coverage, 51079,
     /* 2276255 */     GIR_EraseRootFromParent_Done,
     /* 2276256 */   // Label 30789: @2276256
     /* 2276256 */   GIM_Reject,
     /* 2276257 */ // Label 30787: @2276257
     /* 2276257 */ GIM_Reject,
     /* 2276258 */ // Label 30757: @2276258
     /* 2276258 */ GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2276372),
     /* 2276263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2276266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2276269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276281 */   GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2276326), // Rule ID 50938 //
     /* 2276286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276289 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2276292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2276306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276325 */     // GIR_Coverage, 50938,
     /* 2276325 */     GIR_EraseRootFromParent_Done,
     /* 2276326 */   // Label 30791: @2276326
     /* 2276326 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2276371), // Rule ID 50939 //
     /* 2276331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276334 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2276337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2276351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276370 */     // GIR_Coverage, 50939,
     /* 2276370 */     GIR_EraseRootFromParent_Done,
     /* 2276371 */   // Label 30792: @2276371
     /* 2276371 */   GIM_Reject,
     /* 2276372 */ // Label 30790: @2276372
     /* 2276372 */ GIM_Reject,
     /* 2276373 */ // Label 30758: @2276373
     /* 2276373 */ GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2276487),
     /* 2276378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2276381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2276384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276396 */   GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2276441), // Rule ID 50950 //
     /* 2276401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276404 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276440 */     // GIR_Coverage, 50950,
     /* 2276440 */     GIR_EraseRootFromParent_Done,
     /* 2276441 */   // Label 30794: @2276441
     /* 2276441 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2276486), // Rule ID 50951 //
     /* 2276446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276449 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276485 */     // GIR_Coverage, 50951,
     /* 2276485 */     GIR_EraseRootFromParent_Done,
     /* 2276486 */   // Label 30795: @2276486
     /* 2276486 */   GIM_Reject,
     /* 2276487 */ // Label 30793: @2276487
     /* 2276487 */ GIM_Reject,
     /* 2276488 */ // Label 30759: @2276488
     /* 2276488 */ GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2276602),
     /* 2276493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2276496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2276499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276511 */   GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2276556), // Rule ID 50966 //
     /* 2276516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276519 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276555 */     // GIR_Coverage, 50966,
     /* 2276555 */     GIR_EraseRootFromParent_Done,
     /* 2276556 */   // Label 30797: @2276556
     /* 2276556 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2276601), // Rule ID 50967 //
     /* 2276561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276564 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276600 */     // GIR_Coverage, 50967,
     /* 2276600 */     GIR_EraseRootFromParent_Done,
     /* 2276601 */   // Label 30798: @2276601
     /* 2276601 */   GIM_Reject,
     /* 2276602 */ // Label 30796: @2276602
     /* 2276602 */ GIM_Reject,
     /* 2276603 */ // Label 30760: @2276603
     /* 2276603 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2276717),
     /* 2276608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2276611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2276614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276626 */   GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2276671), // Rule ID 51082 //
     /* 2276631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2276634 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2276651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276670 */     // GIR_Coverage, 51082,
     /* 2276670 */     GIR_EraseRootFromParent_Done,
     /* 2276671 */   // Label 30800: @2276671
     /* 2276671 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2276716), // Rule ID 51083 //
     /* 2276676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2276679 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2276696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276715 */     // GIR_Coverage, 51083,
     /* 2276715 */     GIR_EraseRootFromParent_Done,
     /* 2276716 */   // Label 30801: @2276716
     /* 2276716 */   GIM_Reject,
     /* 2276717 */ // Label 30799: @2276717
     /* 2276717 */ GIM_Reject,
     /* 2276718 */ // Label 30761: @2276718
     /* 2276718 */ GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2276832),
     /* 2276723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2276726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2276729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276741 */   GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2276786), // Rule ID 50942 //
     /* 2276746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276749 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276785 */     // GIR_Coverage, 50942,
     /* 2276785 */     GIR_EraseRootFromParent_Done,
     /* 2276786 */   // Label 30803: @2276786
     /* 2276786 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2276831), // Rule ID 50943 //
     /* 2276791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276794 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2276811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276830 */     // GIR_Coverage, 50943,
     /* 2276830 */     GIR_EraseRootFromParent_Done,
     /* 2276831 */   // Label 30804: @2276831
     /* 2276831 */   GIM_Reject,
     /* 2276832 */ // Label 30802: @2276832
     /* 2276832 */ GIM_Reject,
     /* 2276833 */ // Label 30762: @2276833
     /* 2276833 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2276947),
     /* 2276838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2276841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276856 */   GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2276901), // Rule ID 50962 //
     /* 2276861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276864 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276900 */     // GIR_Coverage, 50962,
     /* 2276900 */     GIR_EraseRootFromParent_Done,
     /* 2276901 */   // Label 30806: @2276901
     /* 2276901 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2276946), // Rule ID 50963 //
     /* 2276906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276909 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2276926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276945 */     // GIR_Coverage, 50963,
     /* 2276945 */     GIR_EraseRootFromParent_Done,
     /* 2276946 */   // Label 30807: @2276946
     /* 2276946 */   GIM_Reject,
     /* 2276947 */ // Label 30805: @2276947
     /* 2276947 */ GIM_Reject,
     /* 2276948 */ // Label 30763: @2276948
     /* 2276948 */ GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2277062),
     /* 2276953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2276956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2276959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276971 */   GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2277016), // Rule ID 50994 //
     /* 2276976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276979 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2276996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277015 */     // GIR_Coverage, 50994,
     /* 2277015 */     GIR_EraseRootFromParent_Done,
     /* 2277016 */   // Label 30809: @2277016
     /* 2277016 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2277061), // Rule ID 50995 //
     /* 2277021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277024 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2277027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2277041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277060 */     // GIR_Coverage, 50995,
     /* 2277060 */     GIR_EraseRootFromParent_Done,
     /* 2277061 */   // Label 30810: @2277061
     /* 2277061 */   GIM_Reject,
     /* 2277062 */ // Label 30808: @2277062
     /* 2277062 */ GIM_Reject,
     /* 2277063 */ // Label 30764: @2277063
     /* 2277063 */ GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2277177),
     /* 2277068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2277071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2277074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277086 */   GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2277131), // Rule ID 51086 //
     /* 2277091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2277094 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277130 */     // GIR_Coverage, 51086,
     /* 2277130 */     GIR_EraseRootFromParent_Done,
     /* 2277131 */   // Label 30812: @2277131
     /* 2277131 */   GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2277176), // Rule ID 51087 //
     /* 2277136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2277139 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277175 */     // GIR_Coverage, 51087,
     /* 2277175 */     GIR_EraseRootFromParent_Done,
     /* 2277176 */   // Label 30813: @2277176
     /* 2277176 */   GIM_Reject,
     /* 2277177 */ // Label 30811: @2277177
     /* 2277177 */ GIM_Reject,
     /* 2277178 */ // Label 30765: @2277178
     /* 2277178 */ GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2277292),
     /* 2277183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2277186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2277189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277201 */   GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2277246), // Rule ID 50958 //
     /* 2277206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277209 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2277212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2277226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277245 */     // GIR_Coverage, 50958,
     /* 2277245 */     GIR_EraseRootFromParent_Done,
     /* 2277246 */   // Label 30815: @2277246
     /* 2277246 */   GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2277291), // Rule ID 50959 //
     /* 2277251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277254 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2277257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2277271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277290 */     // GIR_Coverage, 50959,
     /* 2277290 */     GIR_EraseRootFromParent_Done,
     /* 2277291 */   // Label 30816: @2277291
     /* 2277291 */   GIM_Reject,
     /* 2277292 */ // Label 30814: @2277292
     /* 2277292 */ GIM_Reject,
     /* 2277293 */ // Label 30766: @2277293
     /* 2277293 */ GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2277407),
     /* 2277298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2277301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2277304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277316 */   GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2277361), // Rule ID 50982 //
     /* 2277321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277324 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2277327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2277341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277360 */     // GIR_Coverage, 50982,
     /* 2277360 */     GIR_EraseRootFromParent_Done,
     /* 2277361 */   // Label 30818: @2277361
     /* 2277361 */   GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2277406), // Rule ID 50983 //
     /* 2277366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277369 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2277372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2277386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277405 */     // GIR_Coverage, 50983,
     /* 2277405 */     GIR_EraseRootFromParent_Done,
     /* 2277406 */   // Label 30819: @2277406
     /* 2277406 */   GIM_Reject,
     /* 2277407 */ // Label 30817: @2277407
     /* 2277407 */ GIM_Reject,
     /* 2277408 */ // Label 30767: @2277408
     /* 2277408 */ GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2277522),
     /* 2277413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2277416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2277419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277431 */   GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2277476), // Rule ID 50998 //
     /* 2277436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277439 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277475 */     // GIR_Coverage, 50998,
     /* 2277475 */     GIR_EraseRootFromParent_Done,
     /* 2277476 */   // Label 30821: @2277476
     /* 2277476 */   GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2277521), // Rule ID 50999 //
     /* 2277481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277484 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277520 */     // GIR_Coverage, 50999,
     /* 2277520 */     GIR_EraseRootFromParent_Done,
     /* 2277521 */   // Label 30822: @2277521
     /* 2277521 */   GIM_Reject,
     /* 2277522 */ // Label 30820: @2277522
     /* 2277522 */ GIM_Reject,
     /* 2277523 */ // Label 30768: @2277523
     /* 2277523 */ GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2277637),
     /* 2277528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2277531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2277534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277546 */   GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2277591), // Rule ID 51090 //
     /* 2277551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2277554 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2277571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277590 */     // GIR_Coverage, 51090,
     /* 2277590 */     GIR_EraseRootFromParent_Done,
     /* 2277591 */   // Label 30824: @2277591
     /* 2277591 */   GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2277636), // Rule ID 51091 //
     /* 2277596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2277599 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2277616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277635 */     // GIR_Coverage, 51091,
     /* 2277635 */     GIR_EraseRootFromParent_Done,
     /* 2277636 */   // Label 30825: @2277636
     /* 2277636 */   GIM_Reject,
     /* 2277637 */ // Label 30823: @2277637
     /* 2277637 */ GIM_Reject,
     /* 2277638 */ // Label 30769: @2277638
     /* 2277638 */ GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2277752),
     /* 2277643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2277646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2277649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277661 */   GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2277706), // Rule ID 50970 //
     /* 2277666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277669 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2277686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277705 */     // GIR_Coverage, 50970,
     /* 2277705 */     GIR_EraseRootFromParent_Done,
     /* 2277706 */   // Label 30827: @2277706
     /* 2277706 */   GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2277751), // Rule ID 50971 //
     /* 2277711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277714 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2277731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277750 */     // GIR_Coverage, 50971,
     /* 2277750 */     GIR_EraseRootFromParent_Done,
     /* 2277751 */   // Label 30828: @2277751
     /* 2277751 */   GIM_Reject,
     /* 2277752 */ // Label 30826: @2277752
     /* 2277752 */ GIM_Reject,
     /* 2277753 */ // Label 30770: @2277753
     /* 2277753 */ GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2277867),
     /* 2277758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2277761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277776 */   GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2277821), // Rule ID 50986 //
     /* 2277781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277784 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277820 */     // GIR_Coverage, 50986,
     /* 2277820 */     GIR_EraseRootFromParent_Done,
     /* 2277821 */   // Label 30830: @2277821
     /* 2277821 */   GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2277866), // Rule ID 50987 //
     /* 2277826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277829 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2277846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277865 */     // GIR_Coverage, 50987,
     /* 2277865 */     GIR_EraseRootFromParent_Done,
     /* 2277866 */   // Label 30831: @2277866
     /* 2277866 */   GIM_Reject,
     /* 2277867 */ // Label 30829: @2277867
     /* 2277867 */ GIM_Reject,
     /* 2277868 */ // Label 30771: @2277868
     /* 2277868 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2277982),
     /* 2277873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2277876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277891 */   GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2277936), // Rule ID 51002 //
     /* 2277896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277899 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2277916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277935 */     // GIR_Coverage, 51002,
     /* 2277935 */     GIR_EraseRootFromParent_Done,
     /* 2277936 */   // Label 30833: @2277936
     /* 2277936 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2277981), // Rule ID 51003 //
     /* 2277941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277944 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2277961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277980 */     // GIR_Coverage, 51003,
     /* 2277980 */     GIR_EraseRootFromParent_Done,
     /* 2277981 */   // Label 30834: @2277981
     /* 2277981 */   GIM_Reject,
     /* 2277982 */ // Label 30832: @2277982
     /* 2277982 */ GIM_Reject,
     /* 2277983 */ // Label 30772: @2277983
     /* 2277983 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2278097),
     /* 2277988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2277991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2277994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278006 */   GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2278051), // Rule ID 50974 //
     /* 2278011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278014 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2278031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278050 */     // GIR_Coverage, 50974,
     /* 2278050 */     GIR_EraseRootFromParent_Done,
     /* 2278051 */   // Label 30836: @2278051
     /* 2278051 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2278096), // Rule ID 50975 //
     /* 2278056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278059 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2278076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278095 */     // GIR_Coverage, 50975,
     /* 2278095 */     GIR_EraseRootFromParent_Done,
     /* 2278096 */   // Label 30837: @2278096
     /* 2278096 */   GIM_Reject,
     /* 2278097 */ // Label 30835: @2278097
     /* 2278097 */ GIM_Reject,
     /* 2278098 */ // Label 30773: @2278098
     /* 2278098 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2278212),
     /* 2278103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2278106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2278109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278121 */   GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2278166), // Rule ID 50990 //
     /* 2278126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278129 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2278146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278165 */     // GIR_Coverage, 50990,
     /* 2278165 */     GIR_EraseRootFromParent_Done,
     /* 2278166 */   // Label 30839: @2278166
     /* 2278166 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2278211), // Rule ID 50991 //
     /* 2278171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278174 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2278191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278210 */     // GIR_Coverage, 50991,
     /* 2278210 */     GIR_EraseRootFromParent_Done,
     /* 2278211 */   // Label 30840: @2278211
     /* 2278211 */   GIM_Reject,
     /* 2278212 */ // Label 30838: @2278212
     /* 2278212 */ GIM_Reject,
     /* 2278213 */ // Label 30774: @2278213
     /* 2278213 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2278327),
     /* 2278218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2278221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2278224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278236 */   GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2278281), // Rule ID 50978 //
     /* 2278241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278244 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2278247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2278261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278280 */     // GIR_Coverage, 50978,
     /* 2278280 */     GIR_EraseRootFromParent_Done,
     /* 2278281 */   // Label 30842: @2278281
     /* 2278281 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2278326), // Rule ID 50979 //
     /* 2278286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278289 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2278292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2278306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278325 */     // GIR_Coverage, 50979,
     /* 2278325 */     GIR_EraseRootFromParent_Done,
     /* 2278326 */   // Label 30843: @2278326
     /* 2278326 */   GIM_Reject,
     /* 2278327 */ // Label 30841: @2278327
     /* 2278327 */ GIM_Reject,
     /* 2278328 */ // Label 30775: @2278328
     /* 2278328 */ GIM_Reject,
     /* 2278329 */ // Label 53: @2278329
     /* 2278329 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30867*/ GIMT_Encode4(2281181),
     /* 2278340 */ /*GILLT_s32*//*Label 30844*/ GIMT_Encode4(2278464), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278352 */ /*GILLT_nxv1s8*//*Label 30845*/ GIMT_Encode4(2278519),
     /* 2278356 */ /*GILLT_nxv1s16*//*Label 30846*/ GIMT_Encode4(2278640),
     /* 2278360 */ /*GILLT_nxv1s32*//*Label 30847*/ GIMT_Encode4(2278761),
     /* 2278364 */ /*GILLT_nxv1s64*//*Label 30848*/ GIMT_Encode4(2278882), GIMT_Encode4(0),
     /* 2278372 */ /*GILLT_nxv2s8*//*Label 30849*/ GIMT_Encode4(2279003),
     /* 2278376 */ /*GILLT_nxv2s16*//*Label 30850*/ GIMT_Encode4(2279124),
     /* 2278380 */ /*GILLT_nxv2s32*//*Label 30851*/ GIMT_Encode4(2279245),
     /* 2278384 */ /*GILLT_nxv2s64*//*Label 30852*/ GIMT_Encode4(2279366), GIMT_Encode4(0),
     /* 2278392 */ /*GILLT_nxv4s8*//*Label 30853*/ GIMT_Encode4(2279487),
     /* 2278396 */ /*GILLT_nxv4s16*//*Label 30854*/ GIMT_Encode4(2279608),
     /* 2278400 */ /*GILLT_nxv4s32*//*Label 30855*/ GIMT_Encode4(2279729),
     /* 2278404 */ /*GILLT_nxv4s64*//*Label 30856*/ GIMT_Encode4(2279850), GIMT_Encode4(0),
     /* 2278412 */ /*GILLT_nxv8s8*//*Label 30857*/ GIMT_Encode4(2279971),
     /* 2278416 */ /*GILLT_nxv8s16*//*Label 30858*/ GIMT_Encode4(2280092),
     /* 2278420 */ /*GILLT_nxv8s32*//*Label 30859*/ GIMT_Encode4(2280213),
     /* 2278424 */ /*GILLT_nxv8s64*//*Label 30860*/ GIMT_Encode4(2280334), GIMT_Encode4(0),
     /* 2278432 */ /*GILLT_nxv16s8*//*Label 30861*/ GIMT_Encode4(2280455),
     /* 2278436 */ /*GILLT_nxv16s16*//*Label 30862*/ GIMT_Encode4(2280576),
     /* 2278440 */ /*GILLT_nxv16s32*//*Label 30863*/ GIMT_Encode4(2280697), GIMT_Encode4(0),
     /* 2278448 */ /*GILLT_nxv32s8*//*Label 30864*/ GIMT_Encode4(2280818),
     /* 2278452 */ /*GILLT_nxv32s16*//*Label 30865*/ GIMT_Encode4(2280939), GIMT_Encode4(0),
     /* 2278460 */ /*GILLT_nxv64s8*//*Label 30866*/ GIMT_Encode4(2281060),
     /* 2278464 */ // Label 30844: @2278464
     /* 2278464 */ GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2278518),
     /* 2278469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2278472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2278475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278487 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2278502), // Rule ID 64566 //
     /* 2278492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2278495 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2278500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278501 */     // GIR_Coverage, 64566,
     /* 2278501 */     GIR_Done,
     /* 2278502 */   // Label 30869: @2278502
     /* 2278502 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2278517), // Rule ID 64567 //
     /* 2278507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2278510 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2278515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278516 */     // GIR_Coverage, 64567,
     /* 2278516 */     GIR_Done,
     /* 2278517 */   // Label 30870: @2278517
     /* 2278517 */   GIM_Reject,
     /* 2278518 */ // Label 30868: @2278518
     /* 2278518 */ GIM_Reject,
     /* 2278519 */ // Label 30845: @2278519
     /* 2278519 */ GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2278639),
     /* 2278524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2278527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2278530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278542 */   GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2278590), // Rule ID 52494 //
     /* 2278547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278550 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2278567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278589 */     // GIR_Coverage, 52494,
     /* 2278589 */     GIR_EraseRootFromParent_Done,
     /* 2278590 */   // Label 30872: @2278590
     /* 2278590 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2278638), // Rule ID 52495 //
     /* 2278595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278598 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2278615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278637 */     // GIR_Coverage, 52495,
     /* 2278637 */     GIR_EraseRootFromParent_Done,
     /* 2278638 */   // Label 30873: @2278638
     /* 2278638 */   GIM_Reject,
     /* 2278639 */ // Label 30871: @2278639
     /* 2278639 */ GIM_Reject,
     /* 2278640 */ // Label 30846: @2278640
     /* 2278640 */ GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2278760),
     /* 2278645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2278648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2278651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278663 */   GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2278711), // Rule ID 52506 //
     /* 2278668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278671 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2278688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278710 */     // GIR_Coverage, 52506,
     /* 2278710 */     GIR_EraseRootFromParent_Done,
     /* 2278711 */   // Label 30875: @2278711
     /* 2278711 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2278759), // Rule ID 52507 //
     /* 2278716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278719 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2278736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278758 */     // GIR_Coverage, 52507,
     /* 2278758 */     GIR_EraseRootFromParent_Done,
     /* 2278759 */   // Label 30876: @2278759
     /* 2278759 */   GIM_Reject,
     /* 2278760 */ // Label 30874: @2278760
     /* 2278760 */ GIM_Reject,
     /* 2278761 */ // Label 30847: @2278761
     /* 2278761 */ GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2278881),
     /* 2278766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2278769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2278772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278784 */   GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2278832), // Rule ID 52514 //
     /* 2278789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278792 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2278809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278831 */     // GIR_Coverage, 52514,
     /* 2278831 */     GIR_EraseRootFromParent_Done,
     /* 2278832 */   // Label 30878: @2278832
     /* 2278832 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2278880), // Rule ID 52515 //
     /* 2278837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278840 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2278857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278879 */     // GIR_Coverage, 52515,
     /* 2278879 */     GIR_EraseRootFromParent_Done,
     /* 2278880 */   // Label 30879: @2278880
     /* 2278880 */   GIM_Reject,
     /* 2278881 */ // Label 30877: @2278881
     /* 2278881 */ GIM_Reject,
     /* 2278882 */ // Label 30848: @2278882
     /* 2278882 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2279002),
     /* 2278887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2278890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278905 */   GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2278953), // Rule ID 52530 //
     /* 2278910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278913 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2278930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278952 */     // GIR_Coverage, 52530,
     /* 2278952 */     GIR_EraseRootFromParent_Done,
     /* 2278953 */   // Label 30881: @2278953
     /* 2278953 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2279001), // Rule ID 52531 //
     /* 2278958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278961 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2278978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279000 */     // GIR_Coverage, 52531,
     /* 2279000 */     GIR_EraseRootFromParent_Done,
     /* 2279001 */   // Label 30882: @2279001
     /* 2279001 */   GIM_Reject,
     /* 2279002 */ // Label 30880: @2279002
     /* 2279002 */ GIM_Reject,
     /* 2279003 */ // Label 30849: @2279003
     /* 2279003 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2279123),
     /* 2279008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2279011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2279014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279026 */   GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2279074), // Rule ID 52498 //
     /* 2279031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279034 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2279037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2279051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279073 */     // GIR_Coverage, 52498,
     /* 2279073 */     GIR_EraseRootFromParent_Done,
     /* 2279074 */   // Label 30884: @2279074
     /* 2279074 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2279122), // Rule ID 52499 //
     /* 2279079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279082 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2279085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2279099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279121 */     // GIR_Coverage, 52499,
     /* 2279121 */     GIR_EraseRootFromParent_Done,
     /* 2279122 */   // Label 30885: @2279122
     /* 2279122 */   GIM_Reject,
     /* 2279123 */ // Label 30883: @2279123
     /* 2279123 */ GIM_Reject,
     /* 2279124 */ // Label 30850: @2279124
     /* 2279124 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2279244),
     /* 2279129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2279132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279147 */   GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2279195), // Rule ID 52510 //
     /* 2279152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279155 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2279172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279194 */     // GIR_Coverage, 52510,
     /* 2279194 */     GIR_EraseRootFromParent_Done,
     /* 2279195 */   // Label 30887: @2279195
     /* 2279195 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2279243), // Rule ID 52511 //
     /* 2279200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279203 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2279220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279242 */     // GIR_Coverage, 52511,
     /* 2279242 */     GIR_EraseRootFromParent_Done,
     /* 2279243 */   // Label 30888: @2279243
     /* 2279243 */   GIM_Reject,
     /* 2279244 */ // Label 30886: @2279244
     /* 2279244 */ GIM_Reject,
     /* 2279245 */ // Label 30851: @2279245
     /* 2279245 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2279365),
     /* 2279250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2279253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2279256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279268 */   GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2279316), // Rule ID 52526 //
     /* 2279273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279276 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2279293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279315 */     // GIR_Coverage, 52526,
     /* 2279315 */     GIR_EraseRootFromParent_Done,
     /* 2279316 */   // Label 30890: @2279316
     /* 2279316 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2279364), // Rule ID 52527 //
     /* 2279321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279324 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2279341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279363 */     // GIR_Coverage, 52527,
     /* 2279363 */     GIR_EraseRootFromParent_Done,
     /* 2279364 */   // Label 30891: @2279364
     /* 2279364 */   GIM_Reject,
     /* 2279365 */ // Label 30889: @2279365
     /* 2279365 */ GIM_Reject,
     /* 2279366 */ // Label 30852: @2279366
     /* 2279366 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2279486),
     /* 2279371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2279374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2279377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279389 */   GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2279437), // Rule ID 52570 //
     /* 2279394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279397 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2279414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279436 */     // GIR_Coverage, 52570,
     /* 2279436 */     GIR_EraseRootFromParent_Done,
     /* 2279437 */   // Label 30893: @2279437
     /* 2279437 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2279485), // Rule ID 52571 //
     /* 2279442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279445 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2279462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279484 */     // GIR_Coverage, 52571,
     /* 2279484 */     GIR_EraseRootFromParent_Done,
     /* 2279485 */   // Label 30894: @2279485
     /* 2279485 */   GIM_Reject,
     /* 2279486 */ // Label 30892: @2279486
     /* 2279486 */ GIM_Reject,
     /* 2279487 */ // Label 30853: @2279487
     /* 2279487 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2279607),
     /* 2279492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2279495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2279498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279510 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2279558), // Rule ID 52502 //
     /* 2279515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279518 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2279535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279557 */     // GIR_Coverage, 52502,
     /* 2279557 */     GIR_EraseRootFromParent_Done,
     /* 2279558 */   // Label 30896: @2279558
     /* 2279558 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2279606), // Rule ID 52503 //
     /* 2279563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279566 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2279583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279605 */     // GIR_Coverage, 52503,
     /* 2279605 */     GIR_EraseRootFromParent_Done,
     /* 2279606 */   // Label 30897: @2279606
     /* 2279606 */   GIM_Reject,
     /* 2279607 */ // Label 30895: @2279607
     /* 2279607 */ GIM_Reject,
     /* 2279608 */ // Label 30854: @2279608
     /* 2279608 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2279728),
     /* 2279613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2279616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279631 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2279679), // Rule ID 52522 //
     /* 2279636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279639 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2279656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279678 */     // GIR_Coverage, 52522,
     /* 2279678 */     GIR_EraseRootFromParent_Done,
     /* 2279679 */   // Label 30899: @2279679
     /* 2279679 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2279727), // Rule ID 52523 //
     /* 2279684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279687 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2279704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279726 */     // GIR_Coverage, 52523,
     /* 2279726 */     GIR_EraseRootFromParent_Done,
     /* 2279727 */   // Label 30900: @2279727
     /* 2279727 */   GIM_Reject,
     /* 2279728 */ // Label 30898: @2279728
     /* 2279728 */ GIM_Reject,
     /* 2279729 */ // Label 30855: @2279729
     /* 2279729 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2279849),
     /* 2279734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2279737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2279740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279752 */   GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2279800), // Rule ID 52558 //
     /* 2279757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279760 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2279777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279799 */     // GIR_Coverage, 52558,
     /* 2279799 */     GIR_EraseRootFromParent_Done,
     /* 2279800 */   // Label 30902: @2279800
     /* 2279800 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2279848), // Rule ID 52559 //
     /* 2279805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279808 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2279825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279847 */     // GIR_Coverage, 52559,
     /* 2279847 */     GIR_EraseRootFromParent_Done,
     /* 2279848 */   // Label 30903: @2279848
     /* 2279848 */   GIM_Reject,
     /* 2279849 */ // Label 30901: @2279849
     /* 2279849 */ GIM_Reject,
     /* 2279850 */ // Label 30856: @2279850
     /* 2279850 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2279970),
     /* 2279855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2279858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2279861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279873 */   GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2279921), // Rule ID 52574 //
     /* 2279878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279881 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2279898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279920 */     // GIR_Coverage, 52574,
     /* 2279920 */     GIR_EraseRootFromParent_Done,
     /* 2279921 */   // Label 30905: @2279921
     /* 2279921 */   GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2279969), // Rule ID 52575 //
     /* 2279926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279929 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2279946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279968 */     // GIR_Coverage, 52575,
     /* 2279968 */     GIR_EraseRootFromParent_Done,
     /* 2279969 */   // Label 30906: @2279969
     /* 2279969 */   GIM_Reject,
     /* 2279970 */ // Label 30904: @2279970
     /* 2279970 */ GIM_Reject,
     /* 2279971 */ // Label 30857: @2279971
     /* 2279971 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2280091),
     /* 2279976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2279979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279994 */   GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2280042), // Rule ID 52518 //
     /* 2279999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280002 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2280019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280041 */     // GIR_Coverage, 52518,
     /* 2280041 */     GIR_EraseRootFromParent_Done,
     /* 2280042 */   // Label 30908: @2280042
     /* 2280042 */   GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2280090), // Rule ID 52519 //
     /* 2280047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280050 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2280067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280089 */     // GIR_Coverage, 52519,
     /* 2280089 */     GIR_EraseRootFromParent_Done,
     /* 2280090 */   // Label 30909: @2280090
     /* 2280090 */   GIM_Reject,
     /* 2280091 */ // Label 30907: @2280091
     /* 2280091 */ GIM_Reject,
     /* 2280092 */ // Label 30858: @2280092
     /* 2280092 */ GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2280212),
     /* 2280097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2280100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280115 */   GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2280163), // Rule ID 52546 //
     /* 2280120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280123 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2280140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280162 */     // GIR_Coverage, 52546,
     /* 2280162 */     GIR_EraseRootFromParent_Done,
     /* 2280163 */   // Label 30911: @2280163
     /* 2280163 */   GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2280211), // Rule ID 52547 //
     /* 2280168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280171 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2280188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280210 */     // GIR_Coverage, 52547,
     /* 2280210 */     GIR_EraseRootFromParent_Done,
     /* 2280211 */   // Label 30912: @2280211
     /* 2280211 */   GIM_Reject,
     /* 2280212 */ // Label 30910: @2280212
     /* 2280212 */ GIM_Reject,
     /* 2280213 */ // Label 30859: @2280213
     /* 2280213 */ GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2280333),
     /* 2280218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2280221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2280224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280236 */   GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2280284), // Rule ID 52562 //
     /* 2280241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280244 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280283 */     // GIR_Coverage, 52562,
     /* 2280283 */     GIR_EraseRootFromParent_Done,
     /* 2280284 */   // Label 30914: @2280284
     /* 2280284 */   GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2280332), // Rule ID 52563 //
     /* 2280289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280292 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280331 */     // GIR_Coverage, 52563,
     /* 2280331 */     GIR_EraseRootFromParent_Done,
     /* 2280332 */   // Label 30915: @2280332
     /* 2280332 */   GIM_Reject,
     /* 2280333 */ // Label 30913: @2280333
     /* 2280333 */ GIM_Reject,
     /* 2280334 */ // Label 30860: @2280334
     /* 2280334 */ GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2280454),
     /* 2280339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2280342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2280345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280357 */   GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2280405), // Rule ID 52578 //
     /* 2280362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280365 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2280382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280404 */     // GIR_Coverage, 52578,
     /* 2280404 */     GIR_EraseRootFromParent_Done,
     /* 2280405 */   // Label 30917: @2280405
     /* 2280405 */   GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2280453), // Rule ID 52579 //
     /* 2280410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2280413 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2280430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280452 */     // GIR_Coverage, 52579,
     /* 2280452 */     GIR_EraseRootFromParent_Done,
     /* 2280453 */   // Label 30918: @2280453
     /* 2280453 */   GIM_Reject,
     /* 2280454 */ // Label 30916: @2280454
     /* 2280454 */ GIM_Reject,
     /* 2280455 */ // Label 30861: @2280455
     /* 2280455 */ GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2280575),
     /* 2280460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2280463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2280466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280478 */   GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2280526), // Rule ID 52534 //
     /* 2280483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280486 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2280503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280525 */     // GIR_Coverage, 52534,
     /* 2280525 */     GIR_EraseRootFromParent_Done,
     /* 2280526 */   // Label 30920: @2280526
     /* 2280526 */   GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2280574), // Rule ID 52535 //
     /* 2280531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280534 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2280551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280573 */     // GIR_Coverage, 52535,
     /* 2280573 */     GIR_EraseRootFromParent_Done,
     /* 2280574 */   // Label 30921: @2280574
     /* 2280574 */   GIM_Reject,
     /* 2280575 */ // Label 30919: @2280575
     /* 2280575 */ GIM_Reject,
     /* 2280576 */ // Label 30862: @2280576
     /* 2280576 */ GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2280696),
     /* 2280581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2280584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280599 */   GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2280647), // Rule ID 52550 //
     /* 2280604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280607 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280646 */     // GIR_Coverage, 52550,
     /* 2280646 */     GIR_EraseRootFromParent_Done,
     /* 2280647 */   // Label 30923: @2280647
     /* 2280647 */   GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2280695), // Rule ID 52551 //
     /* 2280652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280655 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280694 */     // GIR_Coverage, 52551,
     /* 2280694 */     GIR_EraseRootFromParent_Done,
     /* 2280695 */   // Label 30924: @2280695
     /* 2280695 */   GIM_Reject,
     /* 2280696 */ // Label 30922: @2280696
     /* 2280696 */ GIM_Reject,
     /* 2280697 */ // Label 30863: @2280697
     /* 2280697 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2280817),
     /* 2280702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2280705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2280708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280720 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2280768), // Rule ID 52566 //
     /* 2280725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280728 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2280745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280767 */     // GIR_Coverage, 52566,
     /* 2280767 */     GIR_EraseRootFromParent_Done,
     /* 2280768 */   // Label 30926: @2280768
     /* 2280768 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2280816), // Rule ID 52567 //
     /* 2280773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280776 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2280793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280815 */     // GIR_Coverage, 52567,
     /* 2280815 */     GIR_EraseRootFromParent_Done,
     /* 2280816 */   // Label 30927: @2280816
     /* 2280816 */   GIM_Reject,
     /* 2280817 */ // Label 30925: @2280817
     /* 2280817 */ GIM_Reject,
     /* 2280818 */ // Label 30864: @2280818
     /* 2280818 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2280938),
     /* 2280823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2280826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2280829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280841 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2280889), // Rule ID 52538 //
     /* 2280846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280849 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280888 */     // GIR_Coverage, 52538,
     /* 2280888 */     GIR_EraseRootFromParent_Done,
     /* 2280889 */   // Label 30929: @2280889
     /* 2280889 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2280937), // Rule ID 52539 //
     /* 2280894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280897 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2280914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280936 */     // GIR_Coverage, 52539,
     /* 2280936 */     GIR_EraseRootFromParent_Done,
     /* 2280937 */   // Label 30930: @2280937
     /* 2280937 */   GIM_Reject,
     /* 2280938 */ // Label 30928: @2280938
     /* 2280938 */ GIM_Reject,
     /* 2280939 */ // Label 30865: @2280939
     /* 2280939 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2281059),
     /* 2280944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2280947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280962 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2281010), // Rule ID 52554 //
     /* 2280967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280970 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2280987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281009 */     // GIR_Coverage, 52554,
     /* 2281009 */     GIR_EraseRootFromParent_Done,
     /* 2281010 */   // Label 30932: @2281010
     /* 2281010 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2281058), // Rule ID 52555 //
     /* 2281015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281018 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2281035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281057 */     // GIR_Coverage, 52555,
     /* 2281057 */     GIR_EraseRootFromParent_Done,
     /* 2281058 */   // Label 30933: @2281058
     /* 2281058 */   GIM_Reject,
     /* 2281059 */ // Label 30931: @2281059
     /* 2281059 */ GIM_Reject,
     /* 2281060 */ // Label 30866: @2281060
     /* 2281060 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2281180),
     /* 2281065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2281068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2281071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281083 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2281131), // Rule ID 52542 //
     /* 2281088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281091 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2281094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2281108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281130 */     // GIR_Coverage, 52542,
     /* 2281130 */     GIR_EraseRootFromParent_Done,
     /* 2281131 */   // Label 30935: @2281131
     /* 2281131 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2281179), // Rule ID 52543 //
     /* 2281136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281139 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2281142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2281156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281178 */     // GIR_Coverage, 52543,
     /* 2281178 */     GIR_EraseRootFromParent_Done,
     /* 2281179 */   // Label 30936: @2281179
     /* 2281179 */   GIM_Reject,
     /* 2281180 */ // Label 30934: @2281180
     /* 2281180 */ GIM_Reject,
     /* 2281181 */ // Label 30867: @2281181
     /* 2281181 */ GIM_Reject,
     /* 2281182 */ // Label 54: @2281182
     /* 2281182 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30960*/ GIMT_Encode4(2284034),
     /* 2281193 */ /*GILLT_s32*//*Label 30937*/ GIMT_Encode4(2281317), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281205 */ /*GILLT_nxv1s8*//*Label 30938*/ GIMT_Encode4(2281372),
     /* 2281209 */ /*GILLT_nxv1s16*//*Label 30939*/ GIMT_Encode4(2281493),
     /* 2281213 */ /*GILLT_nxv1s32*//*Label 30940*/ GIMT_Encode4(2281614),
     /* 2281217 */ /*GILLT_nxv1s64*//*Label 30941*/ GIMT_Encode4(2281735), GIMT_Encode4(0),
     /* 2281225 */ /*GILLT_nxv2s8*//*Label 30942*/ GIMT_Encode4(2281856),
     /* 2281229 */ /*GILLT_nxv2s16*//*Label 30943*/ GIMT_Encode4(2281977),
     /* 2281233 */ /*GILLT_nxv2s32*//*Label 30944*/ GIMT_Encode4(2282098),
     /* 2281237 */ /*GILLT_nxv2s64*//*Label 30945*/ GIMT_Encode4(2282219), GIMT_Encode4(0),
     /* 2281245 */ /*GILLT_nxv4s8*//*Label 30946*/ GIMT_Encode4(2282340),
     /* 2281249 */ /*GILLT_nxv4s16*//*Label 30947*/ GIMT_Encode4(2282461),
     /* 2281253 */ /*GILLT_nxv4s32*//*Label 30948*/ GIMT_Encode4(2282582),
     /* 2281257 */ /*GILLT_nxv4s64*//*Label 30949*/ GIMT_Encode4(2282703), GIMT_Encode4(0),
     /* 2281265 */ /*GILLT_nxv8s8*//*Label 30950*/ GIMT_Encode4(2282824),
     /* 2281269 */ /*GILLT_nxv8s16*//*Label 30951*/ GIMT_Encode4(2282945),
     /* 2281273 */ /*GILLT_nxv8s32*//*Label 30952*/ GIMT_Encode4(2283066),
     /* 2281277 */ /*GILLT_nxv8s64*//*Label 30953*/ GIMT_Encode4(2283187), GIMT_Encode4(0),
     /* 2281285 */ /*GILLT_nxv16s8*//*Label 30954*/ GIMT_Encode4(2283308),
     /* 2281289 */ /*GILLT_nxv16s16*//*Label 30955*/ GIMT_Encode4(2283429),
     /* 2281293 */ /*GILLT_nxv16s32*//*Label 30956*/ GIMT_Encode4(2283550), GIMT_Encode4(0),
     /* 2281301 */ /*GILLT_nxv32s8*//*Label 30957*/ GIMT_Encode4(2283671),
     /* 2281305 */ /*GILLT_nxv32s16*//*Label 30958*/ GIMT_Encode4(2283792), GIMT_Encode4(0),
     /* 2281313 */ /*GILLT_nxv64s8*//*Label 30959*/ GIMT_Encode4(2283913),
     /* 2281317 */ // Label 30937: @2281317
     /* 2281317 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2281371),
     /* 2281322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2281325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2281328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2281332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2281336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2281340 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2281355), // Rule ID 64564 //
     /* 2281345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2281348 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2281348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2281353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281354 */     // GIR_Coverage, 64564,
     /* 2281354 */     GIR_Done,
     /* 2281355 */   // Label 30962: @2281355
     /* 2281355 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2281370), // Rule ID 64565 //
     /* 2281360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2281363 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2281363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2281368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281369 */     // GIR_Coverage, 64565,
     /* 2281369 */     GIR_Done,
     /* 2281370 */   // Label 30963: @2281370
     /* 2281370 */   GIM_Reject,
     /* 2281371 */ // Label 30961: @2281371
     /* 2281371 */ GIM_Reject,
     /* 2281372 */ // Label 30938: @2281372
     /* 2281372 */ GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2281492),
     /* 2281377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2281380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2281383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281395 */   GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2281443), // Rule ID 52362 //
     /* 2281400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281403 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2281406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2281420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281442 */     // GIR_Coverage, 52362,
     /* 2281442 */     GIR_EraseRootFromParent_Done,
     /* 2281443 */   // Label 30965: @2281443
     /* 2281443 */   GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2281491), // Rule ID 52363 //
     /* 2281448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281451 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2281454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2281468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281490 */     // GIR_Coverage, 52363,
     /* 2281490 */     GIR_EraseRootFromParent_Done,
     /* 2281491 */   // Label 30966: @2281491
     /* 2281491 */   GIM_Reject,
     /* 2281492 */ // Label 30964: @2281492
     /* 2281492 */ GIM_Reject,
     /* 2281493 */ // Label 30939: @2281493
     /* 2281493 */ GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2281613),
     /* 2281498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281516 */   GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2281564), // Rule ID 52374 //
     /* 2281521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281524 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2281541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281563 */     // GIR_Coverage, 52374,
     /* 2281563 */     GIR_EraseRootFromParent_Done,
     /* 2281564 */   // Label 30968: @2281564
     /* 2281564 */   GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2281612), // Rule ID 52375 //
     /* 2281569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281572 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2281589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281611 */     // GIR_Coverage, 52375,
     /* 2281611 */     GIR_EraseRootFromParent_Done,
     /* 2281612 */   // Label 30969: @2281612
     /* 2281612 */   GIM_Reject,
     /* 2281613 */ // Label 30967: @2281613
     /* 2281613 */ GIM_Reject,
     /* 2281614 */ // Label 30940: @2281614
     /* 2281614 */ GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2281734),
     /* 2281619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281637 */   GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2281685), // Rule ID 52382 //
     /* 2281642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281645 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2281662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281684 */     // GIR_Coverage, 52382,
     /* 2281684 */     GIR_EraseRootFromParent_Done,
     /* 2281685 */   // Label 30971: @2281685
     /* 2281685 */   GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2281733), // Rule ID 52383 //
     /* 2281690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281693 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2281710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281732 */     // GIR_Coverage, 52383,
     /* 2281732 */     GIR_EraseRootFromParent_Done,
     /* 2281733 */   // Label 30972: @2281733
     /* 2281733 */   GIM_Reject,
     /* 2281734 */ // Label 30970: @2281734
     /* 2281734 */ GIM_Reject,
     /* 2281735 */ // Label 30941: @2281735
     /* 2281735 */ GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2281855),
     /* 2281740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281758 */   GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2281806), // Rule ID 52398 //
     /* 2281763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2281766 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2281783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281805 */     // GIR_Coverage, 52398,
     /* 2281805 */     GIR_EraseRootFromParent_Done,
     /* 2281806 */   // Label 30974: @2281806
     /* 2281806 */   GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2281854), // Rule ID 52399 //
     /* 2281811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2281814 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2281831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281853 */     // GIR_Coverage, 52399,
     /* 2281853 */     GIR_EraseRootFromParent_Done,
     /* 2281854 */   // Label 30975: @2281854
     /* 2281854 */   GIM_Reject,
     /* 2281855 */ // Label 30973: @2281855
     /* 2281855 */ GIM_Reject,
     /* 2281856 */ // Label 30942: @2281856
     /* 2281856 */ GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2281976),
     /* 2281861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2281864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2281867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281879 */   GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2281927), // Rule ID 52366 //
     /* 2281884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281887 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2281890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2281904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281926 */     // GIR_Coverage, 52366,
     /* 2281926 */     GIR_EraseRootFromParent_Done,
     /* 2281927 */   // Label 30977: @2281927
     /* 2281927 */   GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2281975), // Rule ID 52367 //
     /* 2281932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281935 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2281938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2281952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281974 */     // GIR_Coverage, 52367,
     /* 2281974 */     GIR_EraseRootFromParent_Done,
     /* 2281975 */   // Label 30978: @2281975
     /* 2281975 */   GIM_Reject,
     /* 2281976 */ // Label 30976: @2281976
     /* 2281976 */ GIM_Reject,
     /* 2281977 */ // Label 30943: @2281977
     /* 2281977 */ GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2282097),
     /* 2281982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282000 */   GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2282048), // Rule ID 52378 //
     /* 2282005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282008 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2282025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282047 */     // GIR_Coverage, 52378,
     /* 2282047 */     GIR_EraseRootFromParent_Done,
     /* 2282048 */   // Label 30980: @2282048
     /* 2282048 */   GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2282096), // Rule ID 52379 //
     /* 2282053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282056 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2282073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282095 */     // GIR_Coverage, 52379,
     /* 2282095 */     GIR_EraseRootFromParent_Done,
     /* 2282096 */   // Label 30981: @2282096
     /* 2282096 */   GIM_Reject,
     /* 2282097 */ // Label 30979: @2282097
     /* 2282097 */ GIM_Reject,
     /* 2282098 */ // Label 30944: @2282098
     /* 2282098 */ GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2282218),
     /* 2282103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2282106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2282109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282121 */   GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2282169), // Rule ID 52394 //
     /* 2282126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282129 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282168 */     // GIR_Coverage, 52394,
     /* 2282168 */     GIR_EraseRootFromParent_Done,
     /* 2282169 */   // Label 30983: @2282169
     /* 2282169 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2282217), // Rule ID 52395 //
     /* 2282174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282177 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282216 */     // GIR_Coverage, 52395,
     /* 2282216 */     GIR_EraseRootFromParent_Done,
     /* 2282217 */   // Label 30984: @2282217
     /* 2282217 */   GIM_Reject,
     /* 2282218 */ // Label 30982: @2282218
     /* 2282218 */ GIM_Reject,
     /* 2282219 */ // Label 30945: @2282219
     /* 2282219 */ GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2282339),
     /* 2282224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2282227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2282230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282242 */   GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2282290), // Rule ID 52438 //
     /* 2282247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2282250 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2282267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282289 */     // GIR_Coverage, 52438,
     /* 2282289 */     GIR_EraseRootFromParent_Done,
     /* 2282290 */   // Label 30986: @2282290
     /* 2282290 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2282338), // Rule ID 52439 //
     /* 2282295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2282298 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2282315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282337 */     // GIR_Coverage, 52439,
     /* 2282337 */     GIR_EraseRootFromParent_Done,
     /* 2282338 */   // Label 30987: @2282338
     /* 2282338 */   GIM_Reject,
     /* 2282339 */ // Label 30985: @2282339
     /* 2282339 */ GIM_Reject,
     /* 2282340 */ // Label 30946: @2282340
     /* 2282340 */ GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2282460),
     /* 2282345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2282348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2282351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282363 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2282411), // Rule ID 52370 //
     /* 2282368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282371 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2282374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2282388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282410 */     // GIR_Coverage, 52370,
     /* 2282410 */     GIR_EraseRootFromParent_Done,
     /* 2282411 */   // Label 30989: @2282411
     /* 2282411 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2282459), // Rule ID 52371 //
     /* 2282416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282419 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2282422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2282436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282458 */     // GIR_Coverage, 52371,
     /* 2282458 */     GIR_EraseRootFromParent_Done,
     /* 2282459 */   // Label 30990: @2282459
     /* 2282459 */   GIM_Reject,
     /* 2282460 */ // Label 30988: @2282460
     /* 2282460 */ GIM_Reject,
     /* 2282461 */ // Label 30947: @2282461
     /* 2282461 */ GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2282581),
     /* 2282466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2282469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2282472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282484 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2282532), // Rule ID 52390 //
     /* 2282489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282492 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282531 */     // GIR_Coverage, 52390,
     /* 2282531 */     GIR_EraseRootFromParent_Done,
     /* 2282532 */   // Label 30992: @2282532
     /* 2282532 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2282580), // Rule ID 52391 //
     /* 2282537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282540 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282579 */     // GIR_Coverage, 52391,
     /* 2282579 */     GIR_EraseRootFromParent_Done,
     /* 2282580 */   // Label 30993: @2282580
     /* 2282580 */   GIM_Reject,
     /* 2282581 */ // Label 30991: @2282581
     /* 2282581 */ GIM_Reject,
     /* 2282582 */ // Label 30948: @2282582
     /* 2282582 */ GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2282702),
     /* 2282587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2282590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2282593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282605 */   GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2282653), // Rule ID 52426 //
     /* 2282610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282613 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2282630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282652 */     // GIR_Coverage, 52426,
     /* 2282652 */     GIR_EraseRootFromParent_Done,
     /* 2282653 */   // Label 30995: @2282653
     /* 2282653 */   GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2282701), // Rule ID 52427 //
     /* 2282658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282661 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2282678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282700 */     // GIR_Coverage, 52427,
     /* 2282700 */     GIR_EraseRootFromParent_Done,
     /* 2282701 */   // Label 30996: @2282701
     /* 2282701 */   GIM_Reject,
     /* 2282702 */ // Label 30994: @2282702
     /* 2282702 */ GIM_Reject,
     /* 2282703 */ // Label 30949: @2282703
     /* 2282703 */ GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2282823),
     /* 2282708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282726 */   GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2282774), // Rule ID 52442 //
     /* 2282731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2282734 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2282751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282773 */     // GIR_Coverage, 52442,
     /* 2282773 */     GIR_EraseRootFromParent_Done,
     /* 2282774 */   // Label 30998: @2282774
     /* 2282774 */   GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2282822), // Rule ID 52443 //
     /* 2282779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2282782 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2282799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282821 */     // GIR_Coverage, 52443,
     /* 2282821 */     GIR_EraseRootFromParent_Done,
     /* 2282822 */   // Label 30999: @2282822
     /* 2282822 */   GIM_Reject,
     /* 2282823 */ // Label 30997: @2282823
     /* 2282823 */ GIM_Reject,
     /* 2282824 */ // Label 30950: @2282824
     /* 2282824 */ GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2282944),
     /* 2282829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2282832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2282835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282847 */   GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2282895), // Rule ID 52386 //
     /* 2282852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282855 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2282858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282894 */     // GIR_Coverage, 52386,
     /* 2282894 */     GIR_EraseRootFromParent_Done,
     /* 2282895 */   // Label 31001: @2282895
     /* 2282895 */   GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2282943), // Rule ID 52387 //
     /* 2282900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282903 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2282906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2282920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282942 */     // GIR_Coverage, 52387,
     /* 2282942 */     GIR_EraseRootFromParent_Done,
     /* 2282943 */   // Label 31002: @2282943
     /* 2282943 */   GIM_Reject,
     /* 2282944 */ // Label 31000: @2282944
     /* 2282944 */ GIM_Reject,
     /* 2282945 */ // Label 30951: @2282945
     /* 2282945 */ GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2283065),
     /* 2282950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282968 */   GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2283016), // Rule ID 52414 //
     /* 2282973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282976 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2282993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283015 */     // GIR_Coverage, 52414,
     /* 2283015 */     GIR_EraseRootFromParent_Done,
     /* 2283016 */   // Label 31004: @2283016
     /* 2283016 */   GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2283064), // Rule ID 52415 //
     /* 2283021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283024 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2283041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283063 */     // GIR_Coverage, 52415,
     /* 2283063 */     GIR_EraseRootFromParent_Done,
     /* 2283064 */   // Label 31005: @2283064
     /* 2283064 */   GIM_Reject,
     /* 2283065 */ // Label 31003: @2283065
     /* 2283065 */ GIM_Reject,
     /* 2283066 */ // Label 30952: @2283066
     /* 2283066 */ GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2283186),
     /* 2283071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2283074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2283077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283089 */   GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2283137), // Rule ID 52430 //
     /* 2283094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283097 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283136 */     // GIR_Coverage, 52430,
     /* 2283136 */     GIR_EraseRootFromParent_Done,
     /* 2283137 */   // Label 31007: @2283137
     /* 2283137 */   GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2283185), // Rule ID 52431 //
     /* 2283142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283145 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283184 */     // GIR_Coverage, 52431,
     /* 2283184 */     GIR_EraseRootFromParent_Done,
     /* 2283185 */   // Label 31008: @2283185
     /* 2283185 */   GIM_Reject,
     /* 2283186 */ // Label 31006: @2283186
     /* 2283186 */ GIM_Reject,
     /* 2283187 */ // Label 30953: @2283187
     /* 2283187 */ GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2283307),
     /* 2283192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2283195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2283198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283210 */   GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2283258), // Rule ID 52446 //
     /* 2283215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2283218 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2283221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283257 */     // GIR_Coverage, 52446,
     /* 2283257 */     GIR_EraseRootFromParent_Done,
     /* 2283258 */   // Label 31010: @2283258
     /* 2283258 */   GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2283306), // Rule ID 52447 //
     /* 2283263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2283266 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2283269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283305 */     // GIR_Coverage, 52447,
     /* 2283305 */     GIR_EraseRootFromParent_Done,
     /* 2283306 */   // Label 31011: @2283306
     /* 2283306 */   GIM_Reject,
     /* 2283307 */ // Label 31009: @2283307
     /* 2283307 */ GIM_Reject,
     /* 2283308 */ // Label 30954: @2283308
     /* 2283308 */ GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2283428),
     /* 2283313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2283316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2283319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283331 */   GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2283379), // Rule ID 52402 //
     /* 2283336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283339 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2283342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2283356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283378 */     // GIR_Coverage, 52402,
     /* 2283378 */     GIR_EraseRootFromParent_Done,
     /* 2283379 */   // Label 31013: @2283379
     /* 2283379 */   GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2283427), // Rule ID 52403 //
     /* 2283384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283387 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2283390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2283404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283426 */     // GIR_Coverage, 52403,
     /* 2283426 */     GIR_EraseRootFromParent_Done,
     /* 2283427 */   // Label 31014: @2283427
     /* 2283427 */   GIM_Reject,
     /* 2283428 */ // Label 31012: @2283428
     /* 2283428 */ GIM_Reject,
     /* 2283429 */ // Label 30955: @2283429
     /* 2283429 */ GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2283549),
     /* 2283434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2283437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2283440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283452 */   GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2283500), // Rule ID 52418 //
     /* 2283457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283460 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2283463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283499 */     // GIR_Coverage, 52418,
     /* 2283499 */     GIR_EraseRootFromParent_Done,
     /* 2283500 */   // Label 31016: @2283500
     /* 2283500 */   GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2283548), // Rule ID 52419 //
     /* 2283505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283508 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2283511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283547 */     // GIR_Coverage, 52419,
     /* 2283547 */     GIR_EraseRootFromParent_Done,
     /* 2283548 */   // Label 31017: @2283548
     /* 2283548 */   GIM_Reject,
     /* 2283549 */ // Label 31015: @2283549
     /* 2283549 */ GIM_Reject,
     /* 2283550 */ // Label 30956: @2283550
     /* 2283550 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2283670),
     /* 2283555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2283558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2283561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283573 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2283621), // Rule ID 52434 //
     /* 2283578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283581 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283620 */     // GIR_Coverage, 52434,
     /* 2283620 */     GIR_EraseRootFromParent_Done,
     /* 2283621 */   // Label 31019: @2283621
     /* 2283621 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2283669), // Rule ID 52435 //
     /* 2283626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283629 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283668 */     // GIR_Coverage, 52435,
     /* 2283668 */     GIR_EraseRootFromParent_Done,
     /* 2283669 */   // Label 31020: @2283669
     /* 2283669 */   GIM_Reject,
     /* 2283670 */ // Label 31018: @2283670
     /* 2283670 */ GIM_Reject,
     /* 2283671 */ // Label 30957: @2283671
     /* 2283671 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2283791),
     /* 2283676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2283679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2283682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283694 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2283742), // Rule ID 52406 //
     /* 2283699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283702 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2283705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283741 */     // GIR_Coverage, 52406,
     /* 2283741 */     GIR_EraseRootFromParent_Done,
     /* 2283742 */   // Label 31022: @2283742
     /* 2283742 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2283790), // Rule ID 52407 //
     /* 2283747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283750 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2283753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2283767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283789 */     // GIR_Coverage, 52407,
     /* 2283789 */     GIR_EraseRootFromParent_Done,
     /* 2283790 */   // Label 31023: @2283790
     /* 2283790 */   GIM_Reject,
     /* 2283791 */ // Label 31021: @2283791
     /* 2283791 */ GIM_Reject,
     /* 2283792 */ // Label 30958: @2283792
     /* 2283792 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2283912),
     /* 2283797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2283800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2283803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283815 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2283863), // Rule ID 52422 //
     /* 2283820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283823 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283862 */     // GIR_Coverage, 52422,
     /* 2283862 */     GIR_EraseRootFromParent_Done,
     /* 2283863 */   // Label 31025: @2283863
     /* 2283863 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2283911), // Rule ID 52423 //
     /* 2283868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283871 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283910 */     // GIR_Coverage, 52423,
     /* 2283910 */     GIR_EraseRootFromParent_Done,
     /* 2283911 */   // Label 31026: @2283911
     /* 2283911 */   GIM_Reject,
     /* 2283912 */ // Label 31024: @2283912
     /* 2283912 */ GIM_Reject,
     /* 2283913 */ // Label 30959: @2283913
     /* 2283913 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2284033),
     /* 2283918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2283921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2283924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283936 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2283984), // Rule ID 52410 //
     /* 2283941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283944 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2283947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2283961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283983 */     // GIR_Coverage, 52410,
     /* 2283983 */     GIR_EraseRootFromParent_Done,
     /* 2283984 */   // Label 31028: @2283984
     /* 2283984 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2284032), // Rule ID 52411 //
     /* 2283989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283992 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2283995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2284009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284031 */     // GIR_Coverage, 52411,
     /* 2284031 */     GIR_EraseRootFromParent_Done,
     /* 2284032 */   // Label 31029: @2284032
     /* 2284032 */   GIM_Reject,
     /* 2284033 */ // Label 31027: @2284033
     /* 2284033 */ GIM_Reject,
     /* 2284034 */ // Label 30960: @2284034
     /* 2284034 */ GIM_Reject,
     /* 2284035 */ // Label 55: @2284035
     /* 2284035 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31053*/ GIMT_Encode4(2286887),
     /* 2284046 */ /*GILLT_s32*//*Label 31030*/ GIMT_Encode4(2284170), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2284058 */ /*GILLT_nxv1s8*//*Label 31031*/ GIMT_Encode4(2284225),
     /* 2284062 */ /*GILLT_nxv1s16*//*Label 31032*/ GIMT_Encode4(2284346),
     /* 2284066 */ /*GILLT_nxv1s32*//*Label 31033*/ GIMT_Encode4(2284467),
     /* 2284070 */ /*GILLT_nxv1s64*//*Label 31034*/ GIMT_Encode4(2284588), GIMT_Encode4(0),
     /* 2284078 */ /*GILLT_nxv2s8*//*Label 31035*/ GIMT_Encode4(2284709),
     /* 2284082 */ /*GILLT_nxv2s16*//*Label 31036*/ GIMT_Encode4(2284830),
     /* 2284086 */ /*GILLT_nxv2s32*//*Label 31037*/ GIMT_Encode4(2284951),
     /* 2284090 */ /*GILLT_nxv2s64*//*Label 31038*/ GIMT_Encode4(2285072), GIMT_Encode4(0),
     /* 2284098 */ /*GILLT_nxv4s8*//*Label 31039*/ GIMT_Encode4(2285193),
     /* 2284102 */ /*GILLT_nxv4s16*//*Label 31040*/ GIMT_Encode4(2285314),
     /* 2284106 */ /*GILLT_nxv4s32*//*Label 31041*/ GIMT_Encode4(2285435),
     /* 2284110 */ /*GILLT_nxv4s64*//*Label 31042*/ GIMT_Encode4(2285556), GIMT_Encode4(0),
     /* 2284118 */ /*GILLT_nxv8s8*//*Label 31043*/ GIMT_Encode4(2285677),
     /* 2284122 */ /*GILLT_nxv8s16*//*Label 31044*/ GIMT_Encode4(2285798),
     /* 2284126 */ /*GILLT_nxv8s32*//*Label 31045*/ GIMT_Encode4(2285919),
     /* 2284130 */ /*GILLT_nxv8s64*//*Label 31046*/ GIMT_Encode4(2286040), GIMT_Encode4(0),
     /* 2284138 */ /*GILLT_nxv16s8*//*Label 31047*/ GIMT_Encode4(2286161),
     /* 2284142 */ /*GILLT_nxv16s16*//*Label 31048*/ GIMT_Encode4(2286282),
     /* 2284146 */ /*GILLT_nxv16s32*//*Label 31049*/ GIMT_Encode4(2286403), GIMT_Encode4(0),
     /* 2284154 */ /*GILLT_nxv32s8*//*Label 31050*/ GIMT_Encode4(2286524),
     /* 2284158 */ /*GILLT_nxv32s16*//*Label 31051*/ GIMT_Encode4(2286645), GIMT_Encode4(0),
     /* 2284166 */ /*GILLT_nxv64s8*//*Label 31052*/ GIMT_Encode4(2286766),
     /* 2284170 */ // Label 31030: @2284170
     /* 2284170 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2284224),
     /* 2284175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2284181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284193 */   GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2284208), // Rule ID 64570 //
     /* 2284198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2284201 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2284206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284207 */     // GIR_Coverage, 64570,
     /* 2284207 */     GIR_Done,
     /* 2284208 */   // Label 31055: @2284208
     /* 2284208 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2284223), // Rule ID 64571 //
     /* 2284213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2284216 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2284221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284222 */     // GIR_Coverage, 64571,
     /* 2284222 */     GIR_Done,
     /* 2284223 */   // Label 31056: @2284223
     /* 2284223 */   GIM_Reject,
     /* 2284224 */ // Label 31054: @2284224
     /* 2284224 */ GIM_Reject,
     /* 2284225 */ // Label 31031: @2284225
     /* 2284225 */ GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2284345),
     /* 2284230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2284233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2284236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284248 */   GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2284296), // Rule ID 52714 //
     /* 2284253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284256 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2284259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2284273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284295 */     // GIR_Coverage, 52714,
     /* 2284295 */     GIR_EraseRootFromParent_Done,
     /* 2284296 */   // Label 31058: @2284296
     /* 2284296 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2284344), // Rule ID 52715 //
     /* 2284301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284304 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2284307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2284321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284343 */     // GIR_Coverage, 52715,
     /* 2284343 */     GIR_EraseRootFromParent_Done,
     /* 2284344 */   // Label 31059: @2284344
     /* 2284344 */   GIM_Reject,
     /* 2284345 */ // Label 31057: @2284345
     /* 2284345 */ GIM_Reject,
     /* 2284346 */ // Label 31032: @2284346
     /* 2284346 */ GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2284466),
     /* 2284351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2284354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2284357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284369 */   GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2284417), // Rule ID 52726 //
     /* 2284374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284377 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2284380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2284394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284416 */     // GIR_Coverage, 52726,
     /* 2284416 */     GIR_EraseRootFromParent_Done,
     /* 2284417 */   // Label 31061: @2284417
     /* 2284417 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2284465), // Rule ID 52727 //
     /* 2284422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284425 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2284428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2284442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284464 */     // GIR_Coverage, 52727,
     /* 2284464 */     GIR_EraseRootFromParent_Done,
     /* 2284465 */   // Label 31062: @2284465
     /* 2284465 */   GIM_Reject,
     /* 2284466 */ // Label 31060: @2284466
     /* 2284466 */ GIM_Reject,
     /* 2284467 */ // Label 31033: @2284467
     /* 2284467 */ GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2284587),
     /* 2284472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2284475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2284478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284490 */   GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2284538), // Rule ID 52734 //
     /* 2284495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284498 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2284515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284537 */     // GIR_Coverage, 52734,
     /* 2284537 */     GIR_EraseRootFromParent_Done,
     /* 2284538 */   // Label 31064: @2284538
     /* 2284538 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2284586), // Rule ID 52735 //
     /* 2284543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284546 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2284563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284585 */     // GIR_Coverage, 52735,
     /* 2284585 */     GIR_EraseRootFromParent_Done,
     /* 2284586 */   // Label 31065: @2284586
     /* 2284586 */   GIM_Reject,
     /* 2284587 */ // Label 31063: @2284587
     /* 2284587 */ GIM_Reject,
     /* 2284588 */ // Label 31034: @2284588
     /* 2284588 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2284708),
     /* 2284593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284611 */   GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2284659), // Rule ID 52750 //
     /* 2284616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2284619 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2284636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284658 */     // GIR_Coverage, 52750,
     /* 2284658 */     GIR_EraseRootFromParent_Done,
     /* 2284659 */   // Label 31067: @2284659
     /* 2284659 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2284707), // Rule ID 52751 //
     /* 2284664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2284667 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2284684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284706 */     // GIR_Coverage, 52751,
     /* 2284706 */     GIR_EraseRootFromParent_Done,
     /* 2284707 */   // Label 31068: @2284707
     /* 2284707 */   GIM_Reject,
     /* 2284708 */ // Label 31066: @2284708
     /* 2284708 */ GIM_Reject,
     /* 2284709 */ // Label 31035: @2284709
     /* 2284709 */ GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2284829),
     /* 2284714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2284717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2284720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284732 */   GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2284780), // Rule ID 52718 //
     /* 2284737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284740 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2284743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2284757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284779 */     // GIR_Coverage, 52718,
     /* 2284779 */     GIR_EraseRootFromParent_Done,
     /* 2284780 */   // Label 31070: @2284780
     /* 2284780 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2284828), // Rule ID 52719 //
     /* 2284785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284788 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2284791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2284805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284827 */     // GIR_Coverage, 52719,
     /* 2284827 */     GIR_EraseRootFromParent_Done,
     /* 2284828 */   // Label 31071: @2284828
     /* 2284828 */   GIM_Reject,
     /* 2284829 */ // Label 31069: @2284829
     /* 2284829 */ GIM_Reject,
     /* 2284830 */ // Label 31036: @2284830
     /* 2284830 */ GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2284950),
     /* 2284835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284853 */   GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2284901), // Rule ID 52730 //
     /* 2284858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284861 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2284878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284900 */     // GIR_Coverage, 52730,
     /* 2284900 */     GIR_EraseRootFromParent_Done,
     /* 2284901 */   // Label 31073: @2284901
     /* 2284901 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2284949), // Rule ID 52731 //
     /* 2284906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284909 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2284926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284948 */     // GIR_Coverage, 52731,
     /* 2284948 */     GIR_EraseRootFromParent_Done,
     /* 2284949 */   // Label 31074: @2284949
     /* 2284949 */   GIM_Reject,
     /* 2284950 */ // Label 31072: @2284950
     /* 2284950 */ GIM_Reject,
     /* 2284951 */ // Label 31037: @2284951
     /* 2284951 */ GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2285071),
     /* 2284956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2284959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2284962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284974 */   GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2285022), // Rule ID 52746 //
     /* 2284979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284982 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2284999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285021 */     // GIR_Coverage, 52746,
     /* 2285021 */     GIR_EraseRootFromParent_Done,
     /* 2285022 */   // Label 31076: @2285022
     /* 2285022 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2285070), // Rule ID 52747 //
     /* 2285027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285030 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2285033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2285047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285069 */     // GIR_Coverage, 52747,
     /* 2285069 */     GIR_EraseRootFromParent_Done,
     /* 2285070 */   // Label 31077: @2285070
     /* 2285070 */   GIM_Reject,
     /* 2285071 */ // Label 31075: @2285071
     /* 2285071 */ GIM_Reject,
     /* 2285072 */ // Label 31038: @2285072
     /* 2285072 */ GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2285192),
     /* 2285077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2285080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2285083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285095 */   GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2285143), // Rule ID 52790 //
     /* 2285100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2285103 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2285106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285142 */     // GIR_Coverage, 52790,
     /* 2285142 */     GIR_EraseRootFromParent_Done,
     /* 2285143 */   // Label 31079: @2285143
     /* 2285143 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2285191), // Rule ID 52791 //
     /* 2285148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2285151 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2285154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285190 */     // GIR_Coverage, 52791,
     /* 2285190 */     GIR_EraseRootFromParent_Done,
     /* 2285191 */   // Label 31080: @2285191
     /* 2285191 */   GIM_Reject,
     /* 2285192 */ // Label 31078: @2285192
     /* 2285192 */ GIM_Reject,
     /* 2285193 */ // Label 31039: @2285193
     /* 2285193 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2285313),
     /* 2285198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2285201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2285204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285216 */   GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2285264), // Rule ID 52722 //
     /* 2285221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285224 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2285227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2285241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285263 */     // GIR_Coverage, 52722,
     /* 2285263 */     GIR_EraseRootFromParent_Done,
     /* 2285264 */   // Label 31082: @2285264
     /* 2285264 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2285312), // Rule ID 52723 //
     /* 2285269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285272 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2285275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2285289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285311 */     // GIR_Coverage, 52723,
     /* 2285311 */     GIR_EraseRootFromParent_Done,
     /* 2285312 */   // Label 31083: @2285312
     /* 2285312 */   GIM_Reject,
     /* 2285313 */ // Label 31081: @2285313
     /* 2285313 */ GIM_Reject,
     /* 2285314 */ // Label 31040: @2285314
     /* 2285314 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2285434),
     /* 2285319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2285322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2285325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285337 */   GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2285385), // Rule ID 52742 //
     /* 2285342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285345 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2285348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2285362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285384 */     // GIR_Coverage, 52742,
     /* 2285384 */     GIR_EraseRootFromParent_Done,
     /* 2285385 */   // Label 31085: @2285385
     /* 2285385 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2285433), // Rule ID 52743 //
     /* 2285390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285393 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2285396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2285410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285432 */     // GIR_Coverage, 52743,
     /* 2285432 */     GIR_EraseRootFromParent_Done,
     /* 2285433 */   // Label 31086: @2285433
     /* 2285433 */   GIM_Reject,
     /* 2285434 */ // Label 31084: @2285434
     /* 2285434 */ GIM_Reject,
     /* 2285435 */ // Label 31041: @2285435
     /* 2285435 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2285555),
     /* 2285440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2285443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2285446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285458 */   GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2285506), // Rule ID 52778 //
     /* 2285463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285466 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2285469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285505 */     // GIR_Coverage, 52778,
     /* 2285505 */     GIR_EraseRootFromParent_Done,
     /* 2285506 */   // Label 31088: @2285506
     /* 2285506 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2285554), // Rule ID 52779 //
     /* 2285511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285514 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2285517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285553 */     // GIR_Coverage, 52779,
     /* 2285553 */     GIR_EraseRootFromParent_Done,
     /* 2285554 */   // Label 31089: @2285554
     /* 2285554 */   GIM_Reject,
     /* 2285555 */ // Label 31087: @2285555
     /* 2285555 */ GIM_Reject,
     /* 2285556 */ // Label 31042: @2285556
     /* 2285556 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2285676),
     /* 2285561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2285564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2285567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285579 */   GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2285627), // Rule ID 52794 //
     /* 2285584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2285587 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2285590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2285604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285626 */     // GIR_Coverage, 52794,
     /* 2285626 */     GIR_EraseRootFromParent_Done,
     /* 2285627 */   // Label 31091: @2285627
     /* 2285627 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2285675), // Rule ID 52795 //
     /* 2285632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2285635 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2285638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2285652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285674 */     // GIR_Coverage, 52795,
     /* 2285674 */     GIR_EraseRootFromParent_Done,
     /* 2285675 */   // Label 31092: @2285675
     /* 2285675 */   GIM_Reject,
     /* 2285676 */ // Label 31090: @2285676
     /* 2285676 */ GIM_Reject,
     /* 2285677 */ // Label 31043: @2285677
     /* 2285677 */ GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2285797),
     /* 2285682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2285685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2285688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285700 */   GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2285748), // Rule ID 52738 //
     /* 2285705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285708 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2285711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2285725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285747 */     // GIR_Coverage, 52738,
     /* 2285747 */     GIR_EraseRootFromParent_Done,
     /* 2285748 */   // Label 31094: @2285748
     /* 2285748 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2285796), // Rule ID 52739 //
     /* 2285753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285756 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2285759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2285773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285795 */     // GIR_Coverage, 52739,
     /* 2285795 */     GIR_EraseRootFromParent_Done,
     /* 2285796 */   // Label 31095: @2285796
     /* 2285796 */   GIM_Reject,
     /* 2285797 */ // Label 31093: @2285797
     /* 2285797 */ GIM_Reject,
     /* 2285798 */ // Label 31044: @2285798
     /* 2285798 */ GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2285918),
     /* 2285803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2285806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2285809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285821 */   GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2285869), // Rule ID 52766 //
     /* 2285826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285829 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285868 */     // GIR_Coverage, 52766,
     /* 2285868 */     GIR_EraseRootFromParent_Done,
     /* 2285869 */   // Label 31097: @2285869
     /* 2285869 */   GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2285917), // Rule ID 52767 //
     /* 2285874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285877 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2285894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285916 */     // GIR_Coverage, 52767,
     /* 2285916 */     GIR_EraseRootFromParent_Done,
     /* 2285917 */   // Label 31098: @2285917
     /* 2285917 */   GIM_Reject,
     /* 2285918 */ // Label 31096: @2285918
     /* 2285918 */ GIM_Reject,
     /* 2285919 */ // Label 31045: @2285919
     /* 2285919 */ GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2286039),
     /* 2285924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2285927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2285930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285942 */   GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2285990), // Rule ID 52782 //
     /* 2285947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285950 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2285967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2285988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285989 */     // GIR_Coverage, 52782,
     /* 2285989 */     GIR_EraseRootFromParent_Done,
     /* 2285990 */   // Label 31100: @2285990
     /* 2285990 */   GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2286038), // Rule ID 52783 //
     /* 2285995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285998 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2286001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2286015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286037 */     // GIR_Coverage, 52783,
     /* 2286037 */     GIR_EraseRootFromParent_Done,
     /* 2286038 */   // Label 31101: @2286038
     /* 2286038 */   GIM_Reject,
     /* 2286039 */ // Label 31099: @2286039
     /* 2286039 */ GIM_Reject,
     /* 2286040 */ // Label 31046: @2286040
     /* 2286040 */ GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2286160),
     /* 2286045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2286048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2286051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286063 */   GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2286111), // Rule ID 52798 //
     /* 2286068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2286071 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286110 */     // GIR_Coverage, 52798,
     /* 2286110 */     GIR_EraseRootFromParent_Done,
     /* 2286111 */   // Label 31103: @2286111
     /* 2286111 */   GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2286159), // Rule ID 52799 //
     /* 2286116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2286119 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286158 */     // GIR_Coverage, 52799,
     /* 2286158 */     GIR_EraseRootFromParent_Done,
     /* 2286159 */   // Label 31104: @2286159
     /* 2286159 */   GIM_Reject,
     /* 2286160 */ // Label 31102: @2286160
     /* 2286160 */ GIM_Reject,
     /* 2286161 */ // Label 31047: @2286161
     /* 2286161 */ GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2286281),
     /* 2286166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2286169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2286172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286184 */   GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2286232), // Rule ID 52754 //
     /* 2286189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286192 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2286195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2286209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286231 */     // GIR_Coverage, 52754,
     /* 2286231 */     GIR_EraseRootFromParent_Done,
     /* 2286232 */   // Label 31106: @2286232
     /* 2286232 */   GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2286280), // Rule ID 52755 //
     /* 2286237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286240 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2286243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2286257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286279 */     // GIR_Coverage, 52755,
     /* 2286279 */     GIR_EraseRootFromParent_Done,
     /* 2286280 */   // Label 31107: @2286280
     /* 2286280 */   GIM_Reject,
     /* 2286281 */ // Label 31105: @2286281
     /* 2286281 */ GIM_Reject,
     /* 2286282 */ // Label 31048: @2286282
     /* 2286282 */ GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2286402),
     /* 2286287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2286290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2286293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286305 */   GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2286353), // Rule ID 52770 //
     /* 2286310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286313 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2286316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2286330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286352 */     // GIR_Coverage, 52770,
     /* 2286352 */     GIR_EraseRootFromParent_Done,
     /* 2286353 */   // Label 31109: @2286353
     /* 2286353 */   GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2286401), // Rule ID 52771 //
     /* 2286358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286361 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2286364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2286378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286400 */     // GIR_Coverage, 52771,
     /* 2286400 */     GIR_EraseRootFromParent_Done,
     /* 2286401 */   // Label 31110: @2286401
     /* 2286401 */   GIM_Reject,
     /* 2286402 */ // Label 31108: @2286402
     /* 2286402 */ GIM_Reject,
     /* 2286403 */ // Label 31049: @2286403
     /* 2286403 */ GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2286523),
     /* 2286408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2286411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2286414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286426 */   GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2286474), // Rule ID 52786 //
     /* 2286431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286434 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2286437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286473 */     // GIR_Coverage, 52786,
     /* 2286473 */     GIR_EraseRootFromParent_Done,
     /* 2286474 */   // Label 31112: @2286474
     /* 2286474 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2286522), // Rule ID 52787 //
     /* 2286479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286482 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2286485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286521 */     // GIR_Coverage, 52787,
     /* 2286521 */     GIR_EraseRootFromParent_Done,
     /* 2286522 */   // Label 31113: @2286522
     /* 2286522 */   GIM_Reject,
     /* 2286523 */ // Label 31111: @2286523
     /* 2286523 */ GIM_Reject,
     /* 2286524 */ // Label 31050: @2286524
     /* 2286524 */ GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2286644),
     /* 2286529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2286532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2286535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286547 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2286595), // Rule ID 52758 //
     /* 2286552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286555 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2286558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2286572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286594 */     // GIR_Coverage, 52758,
     /* 2286594 */     GIR_EraseRootFromParent_Done,
     /* 2286595 */   // Label 31115: @2286595
     /* 2286595 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2286643), // Rule ID 52759 //
     /* 2286600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286603 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2286606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2286620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286642 */     // GIR_Coverage, 52759,
     /* 2286642 */     GIR_EraseRootFromParent_Done,
     /* 2286643 */   // Label 31116: @2286643
     /* 2286643 */   GIM_Reject,
     /* 2286644 */ // Label 31114: @2286644
     /* 2286644 */ GIM_Reject,
     /* 2286645 */ // Label 31051: @2286645
     /* 2286645 */ GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2286765),
     /* 2286650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2286653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2286656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286668 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2286716), // Rule ID 52774 //
     /* 2286673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286676 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2286679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286715 */     // GIR_Coverage, 52774,
     /* 2286715 */     GIR_EraseRootFromParent_Done,
     /* 2286716 */   // Label 31118: @2286716
     /* 2286716 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2286764), // Rule ID 52775 //
     /* 2286721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286724 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2286727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286763 */     // GIR_Coverage, 52775,
     /* 2286763 */     GIR_EraseRootFromParent_Done,
     /* 2286764 */   // Label 31119: @2286764
     /* 2286764 */   GIM_Reject,
     /* 2286765 */ // Label 31117: @2286765
     /* 2286765 */ GIM_Reject,
     /* 2286766 */ // Label 31052: @2286766
     /* 2286766 */ GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2286886),
     /* 2286771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2286774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2286777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286789 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2286837), // Rule ID 52762 //
     /* 2286794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286797 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2286800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286836 */     // GIR_Coverage, 52762,
     /* 2286836 */     GIR_EraseRootFromParent_Done,
     /* 2286837 */   // Label 31121: @2286837
     /* 2286837 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2286885), // Rule ID 52763 //
     /* 2286842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286845 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2286848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2286862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286884 */     // GIR_Coverage, 52763,
     /* 2286884 */     GIR_EraseRootFromParent_Done,
     /* 2286885 */   // Label 31122: @2286885
     /* 2286885 */   GIM_Reject,
     /* 2286886 */ // Label 31120: @2286886
     /* 2286886 */ GIM_Reject,
     /* 2286887 */ // Label 31053: @2286887
     /* 2286887 */ GIM_Reject,
     /* 2286888 */ // Label 56: @2286888
     /* 2286888 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31146*/ GIMT_Encode4(2289740),
     /* 2286899 */ /*GILLT_s32*//*Label 31123*/ GIMT_Encode4(2287023), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286911 */ /*GILLT_nxv1s8*//*Label 31124*/ GIMT_Encode4(2287078),
     /* 2286915 */ /*GILLT_nxv1s16*//*Label 31125*/ GIMT_Encode4(2287199),
     /* 2286919 */ /*GILLT_nxv1s32*//*Label 31126*/ GIMT_Encode4(2287320),
     /* 2286923 */ /*GILLT_nxv1s64*//*Label 31127*/ GIMT_Encode4(2287441), GIMT_Encode4(0),
     /* 2286931 */ /*GILLT_nxv2s8*//*Label 31128*/ GIMT_Encode4(2287562),
     /* 2286935 */ /*GILLT_nxv2s16*//*Label 31129*/ GIMT_Encode4(2287683),
     /* 2286939 */ /*GILLT_nxv2s32*//*Label 31130*/ GIMT_Encode4(2287804),
     /* 2286943 */ /*GILLT_nxv2s64*//*Label 31131*/ GIMT_Encode4(2287925), GIMT_Encode4(0),
     /* 2286951 */ /*GILLT_nxv4s8*//*Label 31132*/ GIMT_Encode4(2288046),
     /* 2286955 */ /*GILLT_nxv4s16*//*Label 31133*/ GIMT_Encode4(2288167),
     /* 2286959 */ /*GILLT_nxv4s32*//*Label 31134*/ GIMT_Encode4(2288288),
     /* 2286963 */ /*GILLT_nxv4s64*//*Label 31135*/ GIMT_Encode4(2288409), GIMT_Encode4(0),
     /* 2286971 */ /*GILLT_nxv8s8*//*Label 31136*/ GIMT_Encode4(2288530),
     /* 2286975 */ /*GILLT_nxv8s16*//*Label 31137*/ GIMT_Encode4(2288651),
     /* 2286979 */ /*GILLT_nxv8s32*//*Label 31138*/ GIMT_Encode4(2288772),
     /* 2286983 */ /*GILLT_nxv8s64*//*Label 31139*/ GIMT_Encode4(2288893), GIMT_Encode4(0),
     /* 2286991 */ /*GILLT_nxv16s8*//*Label 31140*/ GIMT_Encode4(2289014),
     /* 2286995 */ /*GILLT_nxv16s16*//*Label 31141*/ GIMT_Encode4(2289135),
     /* 2286999 */ /*GILLT_nxv16s32*//*Label 31142*/ GIMT_Encode4(2289256), GIMT_Encode4(0),
     /* 2287007 */ /*GILLT_nxv32s8*//*Label 31143*/ GIMT_Encode4(2289377),
     /* 2287011 */ /*GILLT_nxv32s16*//*Label 31144*/ GIMT_Encode4(2289498), GIMT_Encode4(0),
     /* 2287019 */ /*GILLT_nxv64s8*//*Label 31145*/ GIMT_Encode4(2289619),
     /* 2287023 */ // Label 31123: @2287023
     /* 2287023 */ GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2287077),
     /* 2287028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2287034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287046 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2287061), // Rule ID 64568 //
     /* 2287051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2287054 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2287054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2287059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287060 */     // GIR_Coverage, 64568,
     /* 2287060 */     GIR_Done,
     /* 2287061 */   // Label 31148: @2287061
     /* 2287061 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2287076), // Rule ID 64569 //
     /* 2287066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2287069 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2287069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2287074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287075 */     // GIR_Coverage, 64569,
     /* 2287075 */     GIR_Done,
     /* 2287076 */   // Label 31149: @2287076
     /* 2287076 */   GIM_Reject,
     /* 2287077 */ // Label 31147: @2287077
     /* 2287077 */ GIM_Reject,
     /* 2287078 */ // Label 31124: @2287078
     /* 2287078 */ GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2287198),
     /* 2287083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2287086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2287089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287101 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2287149), // Rule ID 52626 //
     /* 2287106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287109 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2287112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2287126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287148 */     // GIR_Coverage, 52626,
     /* 2287148 */     GIR_EraseRootFromParent_Done,
     /* 2287149 */   // Label 31151: @2287149
     /* 2287149 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2287197), // Rule ID 52627 //
     /* 2287154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287157 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2287160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2287174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287196 */     // GIR_Coverage, 52627,
     /* 2287196 */     GIR_EraseRootFromParent_Done,
     /* 2287197 */   // Label 31152: @2287197
     /* 2287197 */   GIM_Reject,
     /* 2287198 */ // Label 31150: @2287198
     /* 2287198 */ GIM_Reject,
     /* 2287199 */ // Label 31125: @2287199
     /* 2287199 */ GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2287319),
     /* 2287204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2287207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2287210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287222 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2287270), // Rule ID 52638 //
     /* 2287227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287230 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2287233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2287247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287269 */     // GIR_Coverage, 52638,
     /* 2287269 */     GIR_EraseRootFromParent_Done,
     /* 2287270 */   // Label 31154: @2287270
     /* 2287270 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2287318), // Rule ID 52639 //
     /* 2287275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287278 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2287281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2287295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287317 */     // GIR_Coverage, 52639,
     /* 2287317 */     GIR_EraseRootFromParent_Done,
     /* 2287318 */   // Label 31155: @2287318
     /* 2287318 */   GIM_Reject,
     /* 2287319 */ // Label 31153: @2287319
     /* 2287319 */ GIM_Reject,
     /* 2287320 */ // Label 31126: @2287320
     /* 2287320 */ GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2287440),
     /* 2287325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2287331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287343 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2287391), // Rule ID 52646 //
     /* 2287348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287351 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2287354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2287368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287390 */     // GIR_Coverage, 52646,
     /* 2287390 */     GIR_EraseRootFromParent_Done,
     /* 2287391 */   // Label 31157: @2287391
     /* 2287391 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2287439), // Rule ID 52647 //
     /* 2287396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287399 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2287402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2287416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287438 */     // GIR_Coverage, 52647,
     /* 2287438 */     GIR_EraseRootFromParent_Done,
     /* 2287439 */   // Label 31158: @2287439
     /* 2287439 */   GIM_Reject,
     /* 2287440 */ // Label 31156: @2287440
     /* 2287440 */ GIM_Reject,
     /* 2287441 */ // Label 31127: @2287441
     /* 2287441 */ GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2287561),
     /* 2287446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2287452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287464 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2287512), // Rule ID 52662 //
     /* 2287469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2287472 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2287475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2287489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287511 */     // GIR_Coverage, 52662,
     /* 2287511 */     GIR_EraseRootFromParent_Done,
     /* 2287512 */   // Label 31160: @2287512
     /* 2287512 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2287560), // Rule ID 52663 //
     /* 2287517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2287520 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2287523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2287537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287559 */     // GIR_Coverage, 52663,
     /* 2287559 */     GIR_EraseRootFromParent_Done,
     /* 2287560 */   // Label 31161: @2287560
     /* 2287560 */   GIM_Reject,
     /* 2287561 */ // Label 31159: @2287561
     /* 2287561 */ GIM_Reject,
     /* 2287562 */ // Label 31128: @2287562
     /* 2287562 */ GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2287682),
     /* 2287567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2287570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2287573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287585 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2287633), // Rule ID 52630 //
     /* 2287590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287593 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2287596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2287610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287632 */     // GIR_Coverage, 52630,
     /* 2287632 */     GIR_EraseRootFromParent_Done,
     /* 2287633 */   // Label 31163: @2287633
     /* 2287633 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2287681), // Rule ID 52631 //
     /* 2287638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287641 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2287644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2287658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287680 */     // GIR_Coverage, 52631,
     /* 2287680 */     GIR_EraseRootFromParent_Done,
     /* 2287681 */   // Label 31164: @2287681
     /* 2287681 */   GIM_Reject,
     /* 2287682 */ // Label 31162: @2287682
     /* 2287682 */ GIM_Reject,
     /* 2287683 */ // Label 31129: @2287683
     /* 2287683 */ GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2287803),
     /* 2287688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2287691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2287694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287706 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2287754), // Rule ID 52642 //
     /* 2287711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287714 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2287717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2287731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287753 */     // GIR_Coverage, 52642,
     /* 2287753 */     GIR_EraseRootFromParent_Done,
     /* 2287754 */   // Label 31166: @2287754
     /* 2287754 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2287802), // Rule ID 52643 //
     /* 2287759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287762 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2287765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2287779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287801 */     // GIR_Coverage, 52643,
     /* 2287801 */     GIR_EraseRootFromParent_Done,
     /* 2287802 */   // Label 31167: @2287802
     /* 2287802 */   GIM_Reject,
     /* 2287803 */ // Label 31165: @2287803
     /* 2287803 */ GIM_Reject,
     /* 2287804 */ // Label 31130: @2287804
     /* 2287804 */ GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2287924),
     /* 2287809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2287812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2287815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287827 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2287875), // Rule ID 52658 //
     /* 2287832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287835 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2287838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2287852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287874 */     // GIR_Coverage, 52658,
     /* 2287874 */     GIR_EraseRootFromParent_Done,
     /* 2287875 */   // Label 31169: @2287875
     /* 2287875 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2287923), // Rule ID 52659 //
     /* 2287880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287883 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2287886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2287900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287922 */     // GIR_Coverage, 52659,
     /* 2287922 */     GIR_EraseRootFromParent_Done,
     /* 2287923 */   // Label 31170: @2287923
     /* 2287923 */   GIM_Reject,
     /* 2287924 */ // Label 31168: @2287924
     /* 2287924 */ GIM_Reject,
     /* 2287925 */ // Label 31131: @2287925
     /* 2287925 */ GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2288045),
     /* 2287930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2287933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2287936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287948 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2287996), // Rule ID 52702 //
     /* 2287953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2287956 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2287959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2287973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287995 */     // GIR_Coverage, 52702,
     /* 2287995 */     GIR_EraseRootFromParent_Done,
     /* 2287996 */   // Label 31172: @2287996
     /* 2287996 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2288044), // Rule ID 52703 //
     /* 2288001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288004 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2288007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2288021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288043 */     // GIR_Coverage, 52703,
     /* 2288043 */     GIR_EraseRootFromParent_Done,
     /* 2288044 */   // Label 31173: @2288044
     /* 2288044 */   GIM_Reject,
     /* 2288045 */ // Label 31171: @2288045
     /* 2288045 */ GIM_Reject,
     /* 2288046 */ // Label 31132: @2288046
     /* 2288046 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2288166),
     /* 2288051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2288054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2288057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288069 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2288117), // Rule ID 52634 //
     /* 2288074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288077 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2288080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2288094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288116 */     // GIR_Coverage, 52634,
     /* 2288116 */     GIR_EraseRootFromParent_Done,
     /* 2288117 */   // Label 31175: @2288117
     /* 2288117 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2288165), // Rule ID 52635 //
     /* 2288122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288125 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2288128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2288142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288164 */     // GIR_Coverage, 52635,
     /* 2288164 */     GIR_EraseRootFromParent_Done,
     /* 2288165 */   // Label 31176: @2288165
     /* 2288165 */   GIM_Reject,
     /* 2288166 */ // Label 31174: @2288166
     /* 2288166 */ GIM_Reject,
     /* 2288167 */ // Label 31133: @2288167
     /* 2288167 */ GIM_Try, /*On fail goto*//*Label 31177*/ GIMT_Encode4(2288287),
     /* 2288172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2288175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2288178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288190 */   GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2288238), // Rule ID 52654 //
     /* 2288195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288198 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2288215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288237 */     // GIR_Coverage, 52654,
     /* 2288237 */     GIR_EraseRootFromParent_Done,
     /* 2288238 */   // Label 31178: @2288238
     /* 2288238 */   GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2288286), // Rule ID 52655 //
     /* 2288243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288246 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2288263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288285 */     // GIR_Coverage, 52655,
     /* 2288285 */     GIR_EraseRootFromParent_Done,
     /* 2288286 */   // Label 31179: @2288286
     /* 2288286 */   GIM_Reject,
     /* 2288287 */ // Label 31177: @2288287
     /* 2288287 */ GIM_Reject,
     /* 2288288 */ // Label 31134: @2288288
     /* 2288288 */ GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2288408),
     /* 2288293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2288299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288311 */   GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2288359), // Rule ID 52690 //
     /* 2288316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288319 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2288322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2288336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288358 */     // GIR_Coverage, 52690,
     /* 2288358 */     GIR_EraseRootFromParent_Done,
     /* 2288359 */   // Label 31181: @2288359
     /* 2288359 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2288407), // Rule ID 52691 //
     /* 2288364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288367 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2288370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2288384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288406 */     // GIR_Coverage, 52691,
     /* 2288406 */     GIR_EraseRootFromParent_Done,
     /* 2288407 */   // Label 31182: @2288407
     /* 2288407 */   GIM_Reject,
     /* 2288408 */ // Label 31180: @2288408
     /* 2288408 */ GIM_Reject,
     /* 2288409 */ // Label 31135: @2288409
     /* 2288409 */ GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2288529),
     /* 2288414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2288420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288432 */   GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2288480), // Rule ID 52706 //
     /* 2288437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2288440 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2288443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2288457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288479 */     // GIR_Coverage, 52706,
     /* 2288479 */     GIR_EraseRootFromParent_Done,
     /* 2288480 */   // Label 31184: @2288480
     /* 2288480 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2288528), // Rule ID 52707 //
     /* 2288485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288488 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2288491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2288505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288527 */     // GIR_Coverage, 52707,
     /* 2288527 */     GIR_EraseRootFromParent_Done,
     /* 2288528 */   // Label 31185: @2288528
     /* 2288528 */   GIM_Reject,
     /* 2288529 */ // Label 31183: @2288529
     /* 2288529 */ GIM_Reject,
     /* 2288530 */ // Label 31136: @2288530
     /* 2288530 */ GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2288650),
     /* 2288535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2288538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2288541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288553 */   GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2288601), // Rule ID 52650 //
     /* 2288558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288561 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2288564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2288578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288600 */     // GIR_Coverage, 52650,
     /* 2288600 */     GIR_EraseRootFromParent_Done,
     /* 2288601 */   // Label 31187: @2288601
     /* 2288601 */   GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2288649), // Rule ID 52651 //
     /* 2288606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288609 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2288612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2288626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288648 */     // GIR_Coverage, 52651,
     /* 2288648 */     GIR_EraseRootFromParent_Done,
     /* 2288649 */   // Label 31188: @2288649
     /* 2288649 */   GIM_Reject,
     /* 2288650 */ // Label 31186: @2288650
     /* 2288650 */ GIM_Reject,
     /* 2288651 */ // Label 31137: @2288651
     /* 2288651 */ GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2288771),
     /* 2288656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2288659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2288662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288674 */   GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2288722), // Rule ID 52678 //
     /* 2288679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288682 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2288685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2288699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288721 */     // GIR_Coverage, 52678,
     /* 2288721 */     GIR_EraseRootFromParent_Done,
     /* 2288722 */   // Label 31190: @2288722
     /* 2288722 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2288770), // Rule ID 52679 //
     /* 2288727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288730 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2288733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2288747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288769 */     // GIR_Coverage, 52679,
     /* 2288769 */     GIR_EraseRootFromParent_Done,
     /* 2288770 */   // Label 31191: @2288770
     /* 2288770 */   GIM_Reject,
     /* 2288771 */ // Label 31189: @2288771
     /* 2288771 */ GIM_Reject,
     /* 2288772 */ // Label 31138: @2288772
     /* 2288772 */ GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2288892),
     /* 2288777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2288780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2288783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288795 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2288843), // Rule ID 52694 //
     /* 2288800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288803 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2288806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2288820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288842 */     // GIR_Coverage, 52694,
     /* 2288842 */     GIR_EraseRootFromParent_Done,
     /* 2288843 */   // Label 31193: @2288843
     /* 2288843 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2288891), // Rule ID 52695 //
     /* 2288848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288851 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2288854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2288868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288890 */     // GIR_Coverage, 52695,
     /* 2288890 */     GIR_EraseRootFromParent_Done,
     /* 2288891 */   // Label 31194: @2288891
     /* 2288891 */   GIM_Reject,
     /* 2288892 */ // Label 31192: @2288892
     /* 2288892 */ GIM_Reject,
     /* 2288893 */ // Label 31139: @2288893
     /* 2288893 */ GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2289013),
     /* 2288898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2288901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2288904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288916 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2288964), // Rule ID 52710 //
     /* 2288921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2288924 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2288927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2288941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288963 */     // GIR_Coverage, 52710,
     /* 2288963 */     GIR_EraseRootFromParent_Done,
     /* 2288964 */   // Label 31196: @2288964
     /* 2288964 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2289012), // Rule ID 52711 //
     /* 2288969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288972 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2288975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2288989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289011 */     // GIR_Coverage, 52711,
     /* 2289011 */     GIR_EraseRootFromParent_Done,
     /* 2289012 */   // Label 31197: @2289012
     /* 2289012 */   GIM_Reject,
     /* 2289013 */ // Label 31195: @2289013
     /* 2289013 */ GIM_Reject,
     /* 2289014 */ // Label 31140: @2289014
     /* 2289014 */ GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2289134),
     /* 2289019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2289022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2289025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289037 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2289085), // Rule ID 52666 //
     /* 2289042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289045 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2289048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2289062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289084 */     // GIR_Coverage, 52666,
     /* 2289084 */     GIR_EraseRootFromParent_Done,
     /* 2289085 */   // Label 31199: @2289085
     /* 2289085 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2289133), // Rule ID 52667 //
     /* 2289090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289093 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2289096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2289110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289132 */     // GIR_Coverage, 52667,
     /* 2289132 */     GIR_EraseRootFromParent_Done,
     /* 2289133 */   // Label 31200: @2289133
     /* 2289133 */   GIM_Reject,
     /* 2289134 */ // Label 31198: @2289134
     /* 2289134 */ GIM_Reject,
     /* 2289135 */ // Label 31141: @2289135
     /* 2289135 */ GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2289255),
     /* 2289140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2289143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2289146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289158 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2289206), // Rule ID 52682 //
     /* 2289163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289166 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2289183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289205 */     // GIR_Coverage, 52682,
     /* 2289205 */     GIR_EraseRootFromParent_Done,
     /* 2289206 */   // Label 31202: @2289206
     /* 2289206 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2289254), // Rule ID 52683 //
     /* 2289211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289214 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2289231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289253 */     // GIR_Coverage, 52683,
     /* 2289253 */     GIR_EraseRootFromParent_Done,
     /* 2289254 */   // Label 31203: @2289254
     /* 2289254 */   GIM_Reject,
     /* 2289255 */ // Label 31201: @2289255
     /* 2289255 */ GIM_Reject,
     /* 2289256 */ // Label 31142: @2289256
     /* 2289256 */ GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2289376),
     /* 2289261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2289264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2289267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289279 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2289327), // Rule ID 52698 //
     /* 2289284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289287 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2289290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289326 */     // GIR_Coverage, 52698,
     /* 2289326 */     GIR_EraseRootFromParent_Done,
     /* 2289327 */   // Label 31205: @2289327
     /* 2289327 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2289375), // Rule ID 52699 //
     /* 2289332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289335 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2289338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289374 */     // GIR_Coverage, 52699,
     /* 2289374 */     GIR_EraseRootFromParent_Done,
     /* 2289375 */   // Label 31206: @2289375
     /* 2289375 */   GIM_Reject,
     /* 2289376 */ // Label 31204: @2289376
     /* 2289376 */ GIM_Reject,
     /* 2289377 */ // Label 31143: @2289377
     /* 2289377 */ GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2289497),
     /* 2289382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2289385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2289388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289400 */   GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2289448), // Rule ID 52670 //
     /* 2289405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289408 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2289411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2289425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289447 */     // GIR_Coverage, 52670,
     /* 2289447 */     GIR_EraseRootFromParent_Done,
     /* 2289448 */   // Label 31208: @2289448
     /* 2289448 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2289496), // Rule ID 52671 //
     /* 2289453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289456 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2289459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2289473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289495 */     // GIR_Coverage, 52671,
     /* 2289495 */     GIR_EraseRootFromParent_Done,
     /* 2289496 */   // Label 31209: @2289496
     /* 2289496 */   GIM_Reject,
     /* 2289497 */ // Label 31207: @2289497
     /* 2289497 */ GIM_Reject,
     /* 2289498 */ // Label 31144: @2289498
     /* 2289498 */ GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2289618),
     /* 2289503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2289506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2289509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289521 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2289569), // Rule ID 52686 //
     /* 2289526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289529 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2289532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289568 */     // GIR_Coverage, 52686,
     /* 2289568 */     GIR_EraseRootFromParent_Done,
     /* 2289569 */   // Label 31211: @2289569
     /* 2289569 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2289617), // Rule ID 52687 //
     /* 2289574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289577 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2289580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289616 */     // GIR_Coverage, 52687,
     /* 2289616 */     GIR_EraseRootFromParent_Done,
     /* 2289617 */   // Label 31212: @2289617
     /* 2289617 */   GIM_Reject,
     /* 2289618 */ // Label 31210: @2289618
     /* 2289618 */ GIM_Reject,
     /* 2289619 */ // Label 31145: @2289619
     /* 2289619 */ GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2289739),
     /* 2289624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2289627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2289630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289642 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2289690), // Rule ID 52674 //
     /* 2289647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289650 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2289653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289689 */     // GIR_Coverage, 52674,
     /* 2289689 */     GIR_EraseRootFromParent_Done,
     /* 2289690 */   // Label 31214: @2289690
     /* 2289690 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2289738), // Rule ID 52675 //
     /* 2289695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289698 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2289701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2289715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289737 */     // GIR_Coverage, 52675,
     /* 2289737 */     GIR_EraseRootFromParent_Done,
     /* 2289738 */   // Label 31215: @2289738
     /* 2289738 */   GIM_Reject,
     /* 2289739 */ // Label 31213: @2289739
     /* 2289739 */ GIM_Reject,
     /* 2289740 */ // Label 31146: @2289740
     /* 2289740 */ GIM_Reject,
     /* 2289741 */ // Label 57: @2289741
     /* 2289741 */ GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2289798),
     /* 2289746 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2289749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289767 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2289782), // Rule ID 64572 //
     /* 2289772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2289775 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2289780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289781 */     // GIR_Coverage, 64572,
     /* 2289781 */     GIR_Done,
     /* 2289782 */   // Label 31217: @2289782
     /* 2289782 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2289797), // Rule ID 64573 //
     /* 2289787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2289790 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2289795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289796 */     // GIR_Coverage, 64573,
     /* 2289796 */     GIR_Done,
     /* 2289797 */   // Label 31218: @2289797
     /* 2289797 */   GIM_Reject,
     /* 2289798 */ // Label 31216: @2289798
     /* 2289798 */ GIM_Reject,
     /* 2289799 */ // Label 58: @2289799
     /* 2289799 */ GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2289856),
     /* 2289804 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2289807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289825 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2289840), // Rule ID 64574 //
     /* 2289830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2289833 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2289838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289839 */     // GIR_Coverage, 64574,
     /* 2289839 */     GIR_Done,
     /* 2289840 */   // Label 31220: @2289840
     /* 2289840 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2289855), // Rule ID 64575 //
     /* 2289845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2289848 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2289853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289854 */     // GIR_Coverage, 64575,
     /* 2289854 */     GIR_Done,
     /* 2289855 */   // Label 31221: @2289855
     /* 2289855 */   GIM_Reject,
     /* 2289856 */ // Label 31219: @2289856
     /* 2289856 */ GIM_Reject,
     /* 2289857 */ // Label 59: @2289857
     /* 2289857 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31240*/ GIMT_Encode4(2292284),
     /* 2289868 */ /*GILLT_s16*//*Label 31222*/ GIMT_Encode4(2289988),
     /* 2289872 */ /*GILLT_s32*//*Label 31223*/ GIMT_Encode4(2290137),
     /* 2289876 */ /*GILLT_s64*//*Label 31224*/ GIMT_Encode4(2290286), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289888 */ /*GILLT_nxv1s16*//*Label 31225*/ GIMT_Encode4(2290469),
     /* 2289892 */ /*GILLT_nxv1s32*//*Label 31226*/ GIMT_Encode4(2290590),
     /* 2289896 */ /*GILLT_nxv1s64*//*Label 31227*/ GIMT_Encode4(2290711), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289908 */ /*GILLT_nxv2s16*//*Label 31228*/ GIMT_Encode4(2290832),
     /* 2289912 */ /*GILLT_nxv2s32*//*Label 31229*/ GIMT_Encode4(2290953),
     /* 2289916 */ /*GILLT_nxv2s64*//*Label 31230*/ GIMT_Encode4(2291074), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289928 */ /*GILLT_nxv4s16*//*Label 31231*/ GIMT_Encode4(2291195),
     /* 2289932 */ /*GILLT_nxv4s32*//*Label 31232*/ GIMT_Encode4(2291316),
     /* 2289936 */ /*GILLT_nxv4s64*//*Label 31233*/ GIMT_Encode4(2291437), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289948 */ /*GILLT_nxv8s16*//*Label 31234*/ GIMT_Encode4(2291558),
     /* 2289952 */ /*GILLT_nxv8s32*//*Label 31235*/ GIMT_Encode4(2291679),
     /* 2289956 */ /*GILLT_nxv8s64*//*Label 31236*/ GIMT_Encode4(2291800), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289968 */ /*GILLT_nxv16s16*//*Label 31237*/ GIMT_Encode4(2291921),
     /* 2289972 */ /*GILLT_nxv16s32*//*Label 31238*/ GIMT_Encode4(2292042), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289984 */ /*GILLT_nxv32s16*//*Label 31239*/ GIMT_Encode4(2292163),
     /* 2289988 */ // Label 31222: @2289988
     /* 2289988 */ GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2290136),
     /* 2289993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2289999 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2290033), // Rule ID 1948 //
     /* 2290004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2290007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290019 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2290019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2290022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290032 */     // GIR_Coverage, 1948,
     /* 2290032 */     GIR_EraseRootFromParent_Done,
     /* 2290033 */   // Label 31242: @2290033
     /* 2290033 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2290067), // Rule ID 1949 //
     /* 2290038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2290041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290053 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2290053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2290056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290066 */     // GIR_Coverage, 1949,
     /* 2290066 */     GIR_EraseRootFromParent_Done,
     /* 2290067 */   // Label 31243: @2290067
     /* 2290067 */   GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2290101), // Rule ID 1952 //
     /* 2290072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2290075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290087 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2290087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2290090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290100 */     // GIR_Coverage, 1952,
     /* 2290100 */     GIR_EraseRootFromParent_Done,
     /* 2290101 */   // Label 31244: @2290101
     /* 2290101 */   GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2290135), // Rule ID 1953 //
     /* 2290106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2290109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290121 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2290121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2290124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290134 */     // GIR_Coverage, 1953,
     /* 2290134 */     GIR_EraseRootFromParent_Done,
     /* 2290135 */   // Label 31245: @2290135
     /* 2290135 */   GIM_Reject,
     /* 2290136 */ // Label 31241: @2290136
     /* 2290136 */ GIM_Reject,
     /* 2290137 */ // Label 31223: @2290137
     /* 2290137 */ GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2290285),
     /* 2290142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2290148 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2290182), // Rule ID 1239 //
     /* 2290153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290168 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2290168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2290171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290181 */     // GIR_Coverage, 1239,
     /* 2290181 */     GIR_EraseRootFromParent_Done,
     /* 2290182 */   // Label 31247: @2290182
     /* 2290182 */   GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2290216), // Rule ID 1240 //
     /* 2290187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290202 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2290202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2290205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290215 */     // GIR_Coverage, 1240,
     /* 2290215 */     GIR_EraseRootFromParent_Done,
     /* 2290216 */   // Label 31248: @2290216
     /* 2290216 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2290250), // Rule ID 1243 //
     /* 2290221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290236 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2290236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2290239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290249 */     // GIR_Coverage, 1243,
     /* 2290249 */     GIR_EraseRootFromParent_Done,
     /* 2290250 */   // Label 31249: @2290250
     /* 2290250 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2290284), // Rule ID 1244 //
     /* 2290255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290270 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2290270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2290273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290283 */     // GIR_Coverage, 1244,
     /* 2290283 */     GIR_EraseRootFromParent_Done,
     /* 2290284 */   // Label 31250: @2290284
     /* 2290284 */   GIM_Reject,
     /* 2290285 */ // Label 31246: @2290285
     /* 2290285 */ GIM_Reject,
     /* 2290286 */ // Label 31224: @2290286
     /* 2290286 */ GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2290468),
     /* 2290291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2290297 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2290331), // Rule ID 1574 //
     /* 2290302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290317 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2290320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290330 */     // GIR_Coverage, 1574,
     /* 2290330 */     GIR_EraseRootFromParent_Done,
     /* 2290331 */   // Label 31252: @2290331
     /* 2290331 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2290365), // Rule ID 1575 //
     /* 2290336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290351 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2290351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2290354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290364 */     // GIR_Coverage, 1575,
     /* 2290364 */     GIR_EraseRootFromParent_Done,
     /* 2290365 */   // Label 31253: @2290365
     /* 2290365 */   GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2290399), // Rule ID 1578 //
     /* 2290370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290385 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2290388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290398 */     // GIR_Coverage, 1578,
     /* 2290398 */     GIR_EraseRootFromParent_Done,
     /* 2290399 */   // Label 31254: @2290399
     /* 2290399 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2290433), // Rule ID 1579 //
     /* 2290404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290419 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2290419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2290422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290432 */     // GIR_Coverage, 1579,
     /* 2290432 */     GIR_EraseRootFromParent_Done,
     /* 2290433 */   // Label 31255: @2290433
     /* 2290433 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2290467), // Rule ID 1581 //
     /* 2290438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290453 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2290456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290466 */     // GIR_Coverage, 1581,
     /* 2290466 */     GIR_EraseRootFromParent_Done,
     /* 2290467 */   // Label 31256: @2290467
     /* 2290467 */   GIM_Reject,
     /* 2290468 */ // Label 31251: @2290468
     /* 2290468 */ GIM_Reject,
     /* 2290469 */ // Label 31225: @2290469
     /* 2290469 */ GIM_Try, /*On fail goto*//*Label 31257*/ GIMT_Encode4(2290589),
     /* 2290474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2290480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290492 */   GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2290540), // Rule ID 45750 //
     /* 2290497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290500 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2290517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290539 */     // GIR_Coverage, 45750,
     /* 2290539 */     GIR_EraseRootFromParent_Done,
     /* 2290540 */   // Label 31258: @2290540
     /* 2290540 */   GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2290588), // Rule ID 45751 //
     /* 2290545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290548 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2290565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290587 */     // GIR_Coverage, 45751,
     /* 2290587 */     GIR_EraseRootFromParent_Done,
     /* 2290588 */   // Label 31259: @2290588
     /* 2290588 */   GIM_Reject,
     /* 2290589 */ // Label 31257: @2290589
     /* 2290589 */ GIM_Reject,
     /* 2290590 */ // Label 31226: @2290590
     /* 2290590 */ GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2290710),
     /* 2290595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2290598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2290601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290613 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2290661), // Rule ID 53290 //
     /* 2290618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290621 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2290638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290660 */     // GIR_Coverage, 53290,
     /* 2290660 */     GIR_EraseRootFromParent_Done,
     /* 2290661 */   // Label 31261: @2290661
     /* 2290661 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2290709), // Rule ID 53291 //
     /* 2290666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290669 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2290686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290708 */     // GIR_Coverage, 53291,
     /* 2290708 */     GIR_EraseRootFromParent_Done,
     /* 2290709 */   // Label 31262: @2290709
     /* 2290709 */   GIM_Reject,
     /* 2290710 */ // Label 31260: @2290710
     /* 2290710 */ GIM_Reject,
     /* 2290711 */ // Label 31227: @2290711
     /* 2290711 */ GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2290831),
     /* 2290716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2290719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2290722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290734 */   GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2290782), // Rule ID 53326 //
     /* 2290739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290742 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2290745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2290759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290781 */     // GIR_Coverage, 53326,
     /* 2290781 */     GIR_EraseRootFromParent_Done,
     /* 2290782 */   // Label 31264: @2290782
     /* 2290782 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2290830), // Rule ID 53327 //
     /* 2290787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290790 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2290793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2290807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290829 */     // GIR_Coverage, 53327,
     /* 2290829 */     GIR_EraseRootFromParent_Done,
     /* 2290830 */   // Label 31265: @2290830
     /* 2290830 */   GIM_Reject,
     /* 2290831 */ // Label 31263: @2290831
     /* 2290831 */ GIM_Reject,
     /* 2290832 */ // Label 31228: @2290832
     /* 2290832 */ GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2290952),
     /* 2290837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2290840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2290843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290855 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2290903), // Rule ID 53278 //
     /* 2290860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290863 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2290866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2290880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290902 */     // GIR_Coverage, 53278,
     /* 2290902 */     GIR_EraseRootFromParent_Done,
     /* 2290903 */   // Label 31267: @2290903
     /* 2290903 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2290951), // Rule ID 53279 //
     /* 2290908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290911 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2290914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2290928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290950 */     // GIR_Coverage, 53279,
     /* 2290950 */     GIR_EraseRootFromParent_Done,
     /* 2290951 */   // Label 31268: @2290951
     /* 2290951 */   GIM_Reject,
     /* 2290952 */ // Label 31266: @2290952
     /* 2290952 */ GIM_Reject,
     /* 2290953 */ // Label 31229: @2290953
     /* 2290953 */ GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2291073),
     /* 2290958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2290961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2290964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290976 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2291024), // Rule ID 53314 //
     /* 2290981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290984 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2290987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2291001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291023 */     // GIR_Coverage, 53314,
     /* 2291023 */     GIR_EraseRootFromParent_Done,
     /* 2291024 */   // Label 31270: @2291024
     /* 2291024 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2291072), // Rule ID 53315 //
     /* 2291029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291032 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2291035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2291049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291071 */     // GIR_Coverage, 53315,
     /* 2291071 */     GIR_EraseRootFromParent_Done,
     /* 2291072 */   // Label 31271: @2291072
     /* 2291072 */   GIM_Reject,
     /* 2291073 */ // Label 31269: @2291073
     /* 2291073 */ GIM_Reject,
     /* 2291074 */ // Label 31230: @2291074
     /* 2291074 */ GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2291194),
     /* 2291079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2291082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2291085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291097 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2291145), // Rule ID 53410 //
     /* 2291102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291105 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2291122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291144 */     // GIR_Coverage, 53410,
     /* 2291144 */     GIR_EraseRootFromParent_Done,
     /* 2291145 */   // Label 31273: @2291145
     /* 2291145 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2291193), // Rule ID 53411 //
     /* 2291150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291153 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2291170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291192 */     // GIR_Coverage, 53411,
     /* 2291192 */     GIR_EraseRootFromParent_Done,
     /* 2291193 */   // Label 31274: @2291193
     /* 2291193 */   GIM_Reject,
     /* 2291194 */ // Label 31272: @2291194
     /* 2291194 */ GIM_Reject,
     /* 2291195 */ // Label 31231: @2291195
     /* 2291195 */ GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2291315),
     /* 2291200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2291206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291218 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2291266), // Rule ID 53302 //
     /* 2291223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291226 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2291243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291265 */     // GIR_Coverage, 53302,
     /* 2291265 */     GIR_EraseRootFromParent_Done,
     /* 2291266 */   // Label 31276: @2291266
     /* 2291266 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2291314), // Rule ID 53303 //
     /* 2291271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291274 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2291291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291313 */     // GIR_Coverage, 53303,
     /* 2291313 */     GIR_EraseRootFromParent_Done,
     /* 2291314 */   // Label 31277: @2291314
     /* 2291314 */   GIM_Reject,
     /* 2291315 */ // Label 31275: @2291315
     /* 2291315 */ GIM_Reject,
     /* 2291316 */ // Label 31232: @2291316
     /* 2291316 */ GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2291436),
     /* 2291321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291339 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2291387), // Rule ID 53374 //
     /* 2291344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291347 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2291364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291386 */     // GIR_Coverage, 53374,
     /* 2291386 */     GIR_EraseRootFromParent_Done,
     /* 2291387 */   // Label 31279: @2291387
     /* 2291387 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2291435), // Rule ID 53375 //
     /* 2291392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291395 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2291412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291434 */     // GIR_Coverage, 53375,
     /* 2291434 */     GIR_EraseRootFromParent_Done,
     /* 2291435 */   // Label 31280: @2291435
     /* 2291435 */   GIM_Reject,
     /* 2291436 */ // Label 31278: @2291436
     /* 2291436 */ GIM_Reject,
     /* 2291437 */ // Label 31233: @2291437
     /* 2291437 */ GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2291557),
     /* 2291442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2291445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2291448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291460 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2291508), // Rule ID 53422 //
     /* 2291465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291468 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2291471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2291485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291507 */     // GIR_Coverage, 53422,
     /* 2291507 */     GIR_EraseRootFromParent_Done,
     /* 2291508 */   // Label 31282: @2291508
     /* 2291508 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2291556), // Rule ID 53423 //
     /* 2291513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291516 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2291519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2291533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291555 */     // GIR_Coverage, 53423,
     /* 2291555 */     GIR_EraseRootFromParent_Done,
     /* 2291556 */   // Label 31283: @2291556
     /* 2291556 */   GIM_Reject,
     /* 2291557 */ // Label 31281: @2291557
     /* 2291557 */ GIM_Reject,
     /* 2291558 */ // Label 31234: @2291558
     /* 2291558 */ GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2291678),
     /* 2291563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2291566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2291569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291581 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2291629), // Rule ID 53338 //
     /* 2291586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291589 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2291592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2291606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291628 */     // GIR_Coverage, 53338,
     /* 2291628 */     GIR_EraseRootFromParent_Done,
     /* 2291629 */   // Label 31285: @2291629
     /* 2291629 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2291677), // Rule ID 53339 //
     /* 2291634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291637 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2291640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2291654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291676 */     // GIR_Coverage, 53339,
     /* 2291676 */     GIR_EraseRootFromParent_Done,
     /* 2291677 */   // Label 31286: @2291677
     /* 2291677 */   GIM_Reject,
     /* 2291678 */ // Label 31284: @2291678
     /* 2291678 */ GIM_Reject,
     /* 2291679 */ // Label 31235: @2291679
     /* 2291679 */ GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2291799),
     /* 2291684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2291687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2291690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291702 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2291750), // Rule ID 53386 //
     /* 2291707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291710 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2291713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2291727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291749 */     // GIR_Coverage, 53386,
     /* 2291749 */     GIR_EraseRootFromParent_Done,
     /* 2291750 */   // Label 31288: @2291750
     /* 2291750 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2291798), // Rule ID 53387 //
     /* 2291755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291758 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2291761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2291775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291797 */     // GIR_Coverage, 53387,
     /* 2291797 */     GIR_EraseRootFromParent_Done,
     /* 2291798 */   // Label 31289: @2291798
     /* 2291798 */   GIM_Reject,
     /* 2291799 */ // Label 31287: @2291799
     /* 2291799 */ GIM_Reject,
     /* 2291800 */ // Label 31236: @2291800
     /* 2291800 */ GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2291920),
     /* 2291805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2291811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291823 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2291871), // Rule ID 53434 //
     /* 2291828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291831 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2291848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291870 */     // GIR_Coverage, 53434,
     /* 2291870 */     GIR_EraseRootFromParent_Done,
     /* 2291871 */   // Label 31291: @2291871
     /* 2291871 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2291919), // Rule ID 53435 //
     /* 2291876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291879 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2291896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291918 */     // GIR_Coverage, 53435,
     /* 2291918 */     GIR_EraseRootFromParent_Done,
     /* 2291919 */   // Label 31292: @2291919
     /* 2291919 */   GIM_Reject,
     /* 2291920 */ // Label 31290: @2291920
     /* 2291920 */ GIM_Reject,
     /* 2291921 */ // Label 31237: @2291921
     /* 2291921 */ GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2292041),
     /* 2291926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2291929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2291932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291944 */   GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2291992), // Rule ID 53350 //
     /* 2291949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291952 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2291955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2291969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291991 */     // GIR_Coverage, 53350,
     /* 2291991 */     GIR_EraseRootFromParent_Done,
     /* 2291992 */   // Label 31294: @2291992
     /* 2291992 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2292040), // Rule ID 53351 //
     /* 2291997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292000 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2292003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2292017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292039 */     // GIR_Coverage, 53351,
     /* 2292039 */     GIR_EraseRootFromParent_Done,
     /* 2292040 */   // Label 31295: @2292040
     /* 2292040 */   GIM_Reject,
     /* 2292041 */ // Label 31293: @2292041
     /* 2292041 */ GIM_Reject,
     /* 2292042 */ // Label 31238: @2292042
     /* 2292042 */ GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2292162),
     /* 2292047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2292053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292065 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2292113), // Rule ID 53398 //
     /* 2292070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292073 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2292090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292112 */     // GIR_Coverage, 53398,
     /* 2292112 */     GIR_EraseRootFromParent_Done,
     /* 2292113 */   // Label 31297: @2292113
     /* 2292113 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2292161), // Rule ID 53399 //
     /* 2292118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292121 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2292138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292160 */     // GIR_Coverage, 53399,
     /* 2292160 */     GIR_EraseRootFromParent_Done,
     /* 2292161 */   // Label 31298: @2292161
     /* 2292161 */   GIM_Reject,
     /* 2292162 */ // Label 31296: @2292162
     /* 2292162 */ GIM_Reject,
     /* 2292163 */ // Label 31239: @2292163
     /* 2292163 */ GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2292283),
     /* 2292168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2292171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2292174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292186 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2292234), // Rule ID 53362 //
     /* 2292191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292194 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2292197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2292211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292233 */     // GIR_Coverage, 53362,
     /* 2292233 */     GIR_EraseRootFromParent_Done,
     /* 2292234 */   // Label 31300: @2292234
     /* 2292234 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2292282), // Rule ID 53363 //
     /* 2292239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292242 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2292245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2292259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292281 */     // GIR_Coverage, 53363,
     /* 2292281 */     GIR_EraseRootFromParent_Done,
     /* 2292282 */   // Label 31301: @2292282
     /* 2292282 */   GIM_Reject,
     /* 2292283 */ // Label 31299: @2292283
     /* 2292283 */ GIM_Reject,
     /* 2292284 */ // Label 31240: @2292284
     /* 2292284 */ GIM_Reject,
     /* 2292285 */ // Label 60: @2292285
     /* 2292285 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31320*/ GIMT_Encode4(2294712),
     /* 2292296 */ /*GILLT_s16*//*Label 31302*/ GIMT_Encode4(2292416),
     /* 2292300 */ /*GILLT_s32*//*Label 31303*/ GIMT_Encode4(2292565),
     /* 2292304 */ /*GILLT_s64*//*Label 31304*/ GIMT_Encode4(2292714), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292316 */ /*GILLT_nxv1s16*//*Label 31305*/ GIMT_Encode4(2292897),
     /* 2292320 */ /*GILLT_nxv1s32*//*Label 31306*/ GIMT_Encode4(2293018),
     /* 2292324 */ /*GILLT_nxv1s64*//*Label 31307*/ GIMT_Encode4(2293139), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292336 */ /*GILLT_nxv2s16*//*Label 31308*/ GIMT_Encode4(2293260),
     /* 2292340 */ /*GILLT_nxv2s32*//*Label 31309*/ GIMT_Encode4(2293381),
     /* 2292344 */ /*GILLT_nxv2s64*//*Label 31310*/ GIMT_Encode4(2293502), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292356 */ /*GILLT_nxv4s16*//*Label 31311*/ GIMT_Encode4(2293623),
     /* 2292360 */ /*GILLT_nxv4s32*//*Label 31312*/ GIMT_Encode4(2293744),
     /* 2292364 */ /*GILLT_nxv4s64*//*Label 31313*/ GIMT_Encode4(2293865), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292376 */ /*GILLT_nxv8s16*//*Label 31314*/ GIMT_Encode4(2293986),
     /* 2292380 */ /*GILLT_nxv8s32*//*Label 31315*/ GIMT_Encode4(2294107),
     /* 2292384 */ /*GILLT_nxv8s64*//*Label 31316*/ GIMT_Encode4(2294228), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292396 */ /*GILLT_nxv16s16*//*Label 31317*/ GIMT_Encode4(2294349),
     /* 2292400 */ /*GILLT_nxv16s32*//*Label 31318*/ GIMT_Encode4(2294470), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292412 */ /*GILLT_nxv32s16*//*Label 31319*/ GIMT_Encode4(2294591),
     /* 2292416 */ // Label 31302: @2292416
     /* 2292416 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2292564),
     /* 2292421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2292427 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2292461), // Rule ID 1956 //
     /* 2292432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2292435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292447 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2292447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2292450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292460 */     // GIR_Coverage, 1956,
     /* 2292460 */     GIR_EraseRootFromParent_Done,
     /* 2292461 */   // Label 31322: @2292461
     /* 2292461 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2292495), // Rule ID 1957 //
     /* 2292466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2292469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292481 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2292481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2292484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292494 */     // GIR_Coverage, 1957,
     /* 2292494 */     GIR_EraseRootFromParent_Done,
     /* 2292495 */   // Label 31323: @2292495
     /* 2292495 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2292529), // Rule ID 1960 //
     /* 2292500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2292503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292515 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2292515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2292518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292528 */     // GIR_Coverage, 1960,
     /* 2292528 */     GIR_EraseRootFromParent_Done,
     /* 2292529 */   // Label 31324: @2292529
     /* 2292529 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2292563), // Rule ID 1961 //
     /* 2292534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2292537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292549 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2292549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2292552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292562 */     // GIR_Coverage, 1961,
     /* 2292562 */     GIR_EraseRootFromParent_Done,
     /* 2292563 */   // Label 31325: @2292563
     /* 2292563 */   GIM_Reject,
     /* 2292564 */ // Label 31321: @2292564
     /* 2292564 */ GIM_Reject,
     /* 2292565 */ // Label 31303: @2292565
     /* 2292565 */ GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2292713),
     /* 2292570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2292573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2292576 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2292610), // Rule ID 1247 //
     /* 2292581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2292584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292596 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2292596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2292599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292609 */     // GIR_Coverage, 1247,
     /* 2292609 */     GIR_EraseRootFromParent_Done,
     /* 2292610 */   // Label 31327: @2292610
     /* 2292610 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2292644), // Rule ID 1248 //
     /* 2292615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2292618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292630 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2292630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2292633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292643 */     // GIR_Coverage, 1248,
     /* 2292643 */     GIR_EraseRootFromParent_Done,
     /* 2292644 */   // Label 31328: @2292644
     /* 2292644 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2292678), // Rule ID 1251 //
     /* 2292649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2292652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292664 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2292664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2292667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292677 */     // GIR_Coverage, 1251,
     /* 2292677 */     GIR_EraseRootFromParent_Done,
     /* 2292678 */   // Label 31329: @2292678
     /* 2292678 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2292712), // Rule ID 1252 //
     /* 2292683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2292686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2292698 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2292698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2292701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292711 */     // GIR_Coverage, 1252,
     /* 2292711 */     GIR_EraseRootFromParent_Done,
     /* 2292712 */   // Label 31330: @2292712
     /* 2292712 */   GIM_Reject,
     /* 2292713 */ // Label 31326: @2292713
     /* 2292713 */ GIM_Reject,
     /* 2292714 */ // Label 31304: @2292714
     /* 2292714 */ GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2292896),
     /* 2292719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2292725 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2292759), // Rule ID 1584 //
     /* 2292730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292745 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2292745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2292748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292758 */     // GIR_Coverage, 1584,
     /* 2292758 */     GIR_EraseRootFromParent_Done,
     /* 2292759 */   // Label 31332: @2292759
     /* 2292759 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2292793), // Rule ID 1585 //
     /* 2292764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292779 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2292779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2292782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292792 */     // GIR_Coverage, 1585,
     /* 2292792 */     GIR_EraseRootFromParent_Done,
     /* 2292793 */   // Label 31333: @2292793
     /* 2292793 */   GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2292827), // Rule ID 1588 //
     /* 2292798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292813 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2292813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2292816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292826 */     // GIR_Coverage, 1588,
     /* 2292826 */     GIR_EraseRootFromParent_Done,
     /* 2292827 */   // Label 31334: @2292827
     /* 2292827 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2292861), // Rule ID 1589 //
     /* 2292832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292847 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2292847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2292850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292860 */     // GIR_Coverage, 1589,
     /* 2292860 */     GIR_EraseRootFromParent_Done,
     /* 2292861 */   // Label 31335: @2292861
     /* 2292861 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2292895), // Rule ID 1591 //
     /* 2292866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292881 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2292881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2292884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292894 */     // GIR_Coverage, 1591,
     /* 2292894 */     GIR_EraseRootFromParent_Done,
     /* 2292895 */   // Label 31336: @2292895
     /* 2292895 */   GIM_Reject,
     /* 2292896 */ // Label 31331: @2292896
     /* 2292896 */ GIM_Reject,
     /* 2292897 */ // Label 31305: @2292897
     /* 2292897 */ GIM_Try, /*On fail goto*//*Label 31337*/ GIMT_Encode4(2293017),
     /* 2292902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292920 */   GIM_Try, /*On fail goto*//*Label 31338*/ GIMT_Encode4(2292968), // Rule ID 53446 //
     /* 2292925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292928 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2292931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2292945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292967 */     // GIR_Coverage, 53446,
     /* 2292967 */     GIR_EraseRootFromParent_Done,
     /* 2292968 */   // Label 31338: @2292968
     /* 2292968 */   GIM_Try, /*On fail goto*//*Label 31339*/ GIMT_Encode4(2293016), // Rule ID 53447 //
     /* 2292973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292976 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2292979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2292993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293015 */     // GIR_Coverage, 53447,
     /* 2293015 */     GIR_EraseRootFromParent_Done,
     /* 2293016 */   // Label 31339: @2293016
     /* 2293016 */   GIM_Reject,
     /* 2293017 */ // Label 31337: @2293017
     /* 2293017 */ GIM_Reject,
     /* 2293018 */ // Label 31306: @2293018
     /* 2293018 */ GIM_Try, /*On fail goto*//*Label 31340*/ GIMT_Encode4(2293138),
     /* 2293023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293041 */   GIM_Try, /*On fail goto*//*Label 31341*/ GIMT_Encode4(2293089), // Rule ID 53470 //
     /* 2293046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293049 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2293052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2293066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293088 */     // GIR_Coverage, 53470,
     /* 2293088 */     GIR_EraseRootFromParent_Done,
     /* 2293089 */   // Label 31341: @2293089
     /* 2293089 */   GIM_Try, /*On fail goto*//*Label 31342*/ GIMT_Encode4(2293137), // Rule ID 53471 //
     /* 2293094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293097 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2293100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2293114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293136 */     // GIR_Coverage, 53471,
     /* 2293136 */     GIR_EraseRootFromParent_Done,
     /* 2293137 */   // Label 31342: @2293137
     /* 2293137 */   GIM_Reject,
     /* 2293138 */ // Label 31340: @2293138
     /* 2293138 */ GIM_Reject,
     /* 2293139 */ // Label 31307: @2293139
     /* 2293139 */ GIM_Try, /*On fail goto*//*Label 31343*/ GIMT_Encode4(2293259),
     /* 2293144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2293147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2293150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293162 */   GIM_Try, /*On fail goto*//*Label 31344*/ GIMT_Encode4(2293210), // Rule ID 53506 //
     /* 2293167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293170 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2293173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2293187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293209 */     // GIR_Coverage, 53506,
     /* 2293209 */     GIR_EraseRootFromParent_Done,
     /* 2293210 */   // Label 31344: @2293210
     /* 2293210 */   GIM_Try, /*On fail goto*//*Label 31345*/ GIMT_Encode4(2293258), // Rule ID 53507 //
     /* 2293215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293218 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2293221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2293235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293257 */     // GIR_Coverage, 53507,
     /* 2293257 */     GIR_EraseRootFromParent_Done,
     /* 2293258 */   // Label 31345: @2293258
     /* 2293258 */   GIM_Reject,
     /* 2293259 */ // Label 31343: @2293259
     /* 2293259 */ GIM_Reject,
     /* 2293260 */ // Label 31308: @2293260
     /* 2293260 */ GIM_Try, /*On fail goto*//*Label 31346*/ GIMT_Encode4(2293380),
     /* 2293265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2293271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293283 */   GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2293331), // Rule ID 53458 //
     /* 2293288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293291 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2293294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2293308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293330 */     // GIR_Coverage, 53458,
     /* 2293330 */     GIR_EraseRootFromParent_Done,
     /* 2293331 */   // Label 31347: @2293331
     /* 2293331 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2293379), // Rule ID 53459 //
     /* 2293336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293339 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2293342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2293356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293378 */     // GIR_Coverage, 53459,
     /* 2293378 */     GIR_EraseRootFromParent_Done,
     /* 2293379 */   // Label 31348: @2293379
     /* 2293379 */   GIM_Reject,
     /* 2293380 */ // Label 31346: @2293380
     /* 2293380 */ GIM_Reject,
     /* 2293381 */ // Label 31309: @2293381
     /* 2293381 */ GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2293501),
     /* 2293386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2293389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2293392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293404 */   GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2293452), // Rule ID 53494 //
     /* 2293409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293412 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2293415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2293429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293451 */     // GIR_Coverage, 53494,
     /* 2293451 */     GIR_EraseRootFromParent_Done,
     /* 2293452 */   // Label 31350: @2293452
     /* 2293452 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2293500), // Rule ID 53495 //
     /* 2293457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293460 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2293463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2293477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293499 */     // GIR_Coverage, 53495,
     /* 2293499 */     GIR_EraseRootFromParent_Done,
     /* 2293500 */   // Label 31351: @2293500
     /* 2293500 */   GIM_Reject,
     /* 2293501 */ // Label 31349: @2293501
     /* 2293501 */ GIM_Reject,
     /* 2293502 */ // Label 31310: @2293502
     /* 2293502 */ GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2293622),
     /* 2293507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2293510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2293513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293525 */   GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2293573), // Rule ID 53590 //
     /* 2293530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293533 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2293536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2293550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293572 */     // GIR_Coverage, 53590,
     /* 2293572 */     GIR_EraseRootFromParent_Done,
     /* 2293573 */   // Label 31353: @2293573
     /* 2293573 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2293621), // Rule ID 53591 //
     /* 2293578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293581 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2293584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2293598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293620 */     // GIR_Coverage, 53591,
     /* 2293620 */     GIR_EraseRootFromParent_Done,
     /* 2293621 */   // Label 31354: @2293621
     /* 2293621 */   GIM_Reject,
     /* 2293622 */ // Label 31352: @2293622
     /* 2293622 */ GIM_Reject,
     /* 2293623 */ // Label 31311: @2293623
     /* 2293623 */ GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2293743),
     /* 2293628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2293631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2293634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293646 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2293694), // Rule ID 53482 //
     /* 2293651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293654 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2293657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2293671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293693 */     // GIR_Coverage, 53482,
     /* 2293693 */     GIR_EraseRootFromParent_Done,
     /* 2293694 */   // Label 31356: @2293694
     /* 2293694 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2293742), // Rule ID 53483 //
     /* 2293699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293702 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2293705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2293719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293741 */     // GIR_Coverage, 53483,
     /* 2293741 */     GIR_EraseRootFromParent_Done,
     /* 2293742 */   // Label 31357: @2293742
     /* 2293742 */   GIM_Reject,
     /* 2293743 */ // Label 31355: @2293743
     /* 2293743 */ GIM_Reject,
     /* 2293744 */ // Label 31312: @2293744
     /* 2293744 */ GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2293864),
     /* 2293749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2293752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2293755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293767 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2293815), // Rule ID 53554 //
     /* 2293772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293775 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2293778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2293792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293814 */     // GIR_Coverage, 53554,
     /* 2293814 */     GIR_EraseRootFromParent_Done,
     /* 2293815 */   // Label 31359: @2293815
     /* 2293815 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2293863), // Rule ID 53555 //
     /* 2293820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293823 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2293826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2293840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293862 */     // GIR_Coverage, 53555,
     /* 2293862 */     GIR_EraseRootFromParent_Done,
     /* 2293863 */   // Label 31360: @2293863
     /* 2293863 */   GIM_Reject,
     /* 2293864 */ // Label 31358: @2293864
     /* 2293864 */ GIM_Reject,
     /* 2293865 */ // Label 31313: @2293865
     /* 2293865 */ GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2293985),
     /* 2293870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2293873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2293876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293888 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2293936), // Rule ID 53602 //
     /* 2293893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293896 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2293899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2293913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293935 */     // GIR_Coverage, 53602,
     /* 2293935 */     GIR_EraseRootFromParent_Done,
     /* 2293936 */   // Label 31362: @2293936
     /* 2293936 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2293984), // Rule ID 53603 //
     /* 2293941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293944 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2293947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2293961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293983 */     // GIR_Coverage, 53603,
     /* 2293983 */     GIR_EraseRootFromParent_Done,
     /* 2293984 */   // Label 31363: @2293984
     /* 2293984 */   GIM_Reject,
     /* 2293985 */ // Label 31361: @2293985
     /* 2293985 */ GIM_Reject,
     /* 2293986 */ // Label 31314: @2293986
     /* 2293986 */ GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2294106),
     /* 2293991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2293997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294009 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2294057), // Rule ID 53518 //
     /* 2294014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294017 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2294020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2294034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294056 */     // GIR_Coverage, 53518,
     /* 2294056 */     GIR_EraseRootFromParent_Done,
     /* 2294057 */   // Label 31365: @2294057
     /* 2294057 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2294105), // Rule ID 53519 //
     /* 2294062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294065 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2294068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2294082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294104 */     // GIR_Coverage, 53519,
     /* 2294104 */     GIR_EraseRootFromParent_Done,
     /* 2294105 */   // Label 31366: @2294105
     /* 2294105 */   GIM_Reject,
     /* 2294106 */ // Label 31364: @2294106
     /* 2294106 */ GIM_Reject,
     /* 2294107 */ // Label 31315: @2294107
     /* 2294107 */ GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2294227),
     /* 2294112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2294118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294130 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2294178), // Rule ID 53566 //
     /* 2294135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294138 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2294141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2294155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294177 */     // GIR_Coverage, 53566,
     /* 2294177 */     GIR_EraseRootFromParent_Done,
     /* 2294178 */   // Label 31368: @2294178
     /* 2294178 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2294226), // Rule ID 53567 //
     /* 2294183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294186 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2294189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2294203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294225 */     // GIR_Coverage, 53567,
     /* 2294225 */     GIR_EraseRootFromParent_Done,
     /* 2294226 */   // Label 31369: @2294226
     /* 2294226 */   GIM_Reject,
     /* 2294227 */ // Label 31367: @2294227
     /* 2294227 */ GIM_Reject,
     /* 2294228 */ // Label 31316: @2294228
     /* 2294228 */ GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2294348),
     /* 2294233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2294236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2294239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294251 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2294299), // Rule ID 53614 //
     /* 2294256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294259 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2294262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2294276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294298 */     // GIR_Coverage, 53614,
     /* 2294298 */     GIR_EraseRootFromParent_Done,
     /* 2294299 */   // Label 31371: @2294299
     /* 2294299 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2294347), // Rule ID 53615 //
     /* 2294304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294307 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2294310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2294324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294346 */     // GIR_Coverage, 53615,
     /* 2294346 */     GIR_EraseRootFromParent_Done,
     /* 2294347 */   // Label 31372: @2294347
     /* 2294347 */   GIM_Reject,
     /* 2294348 */ // Label 31370: @2294348
     /* 2294348 */ GIM_Reject,
     /* 2294349 */ // Label 31317: @2294349
     /* 2294349 */ GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2294469),
     /* 2294354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2294357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2294360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294372 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2294420), // Rule ID 53530 //
     /* 2294377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294380 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2294383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2294397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294419 */     // GIR_Coverage, 53530,
     /* 2294419 */     GIR_EraseRootFromParent_Done,
     /* 2294420 */   // Label 31374: @2294420
     /* 2294420 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2294468), // Rule ID 53531 //
     /* 2294425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294428 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2294431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2294445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294467 */     // GIR_Coverage, 53531,
     /* 2294467 */     GIR_EraseRootFromParent_Done,
     /* 2294468 */   // Label 31375: @2294468
     /* 2294468 */   GIM_Reject,
     /* 2294469 */ // Label 31373: @2294469
     /* 2294469 */ GIM_Reject,
     /* 2294470 */ // Label 31318: @2294470
     /* 2294470 */ GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2294590),
     /* 2294475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2294478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2294481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294493 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2294541), // Rule ID 53578 //
     /* 2294498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294501 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2294504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2294518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294540 */     // GIR_Coverage, 53578,
     /* 2294540 */     GIR_EraseRootFromParent_Done,
     /* 2294541 */   // Label 31377: @2294541
     /* 2294541 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2294589), // Rule ID 53579 //
     /* 2294546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294549 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2294552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2294566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294588 */     // GIR_Coverage, 53579,
     /* 2294588 */     GIR_EraseRootFromParent_Done,
     /* 2294589 */   // Label 31378: @2294589
     /* 2294589 */   GIM_Reject,
     /* 2294590 */ // Label 31376: @2294590
     /* 2294590 */ GIM_Reject,
     /* 2294591 */ // Label 31319: @2294591
     /* 2294591 */ GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2294711),
     /* 2294596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2294602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294614 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2294662), // Rule ID 53542 //
     /* 2294619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294622 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2294625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2294639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294661 */     // GIR_Coverage, 53542,
     /* 2294661 */     GIR_EraseRootFromParent_Done,
     /* 2294662 */   // Label 31380: @2294662
     /* 2294662 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2294710), // Rule ID 53543 //
     /* 2294667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294670 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2294673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2294687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294709 */     // GIR_Coverage, 53543,
     /* 2294709 */     GIR_EraseRootFromParent_Done,
     /* 2294710 */   // Label 31381: @2294710
     /* 2294710 */   GIM_Reject,
     /* 2294711 */ // Label 31379: @2294711
     /* 2294711 */ GIM_Reject,
     /* 2294712 */ // Label 31320: @2294712
     /* 2294712 */ GIM_Reject,
     /* 2294713 */ // Label 61: @2294713
     /* 2294713 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31400*/ GIMT_Encode4(2297140),
     /* 2294724 */ /*GILLT_s16*//*Label 31382*/ GIMT_Encode4(2294844),
     /* 2294728 */ /*GILLT_s32*//*Label 31383*/ GIMT_Encode4(2294993),
     /* 2294732 */ /*GILLT_s64*//*Label 31384*/ GIMT_Encode4(2295142), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294744 */ /*GILLT_nxv1s16*//*Label 31385*/ GIMT_Encode4(2295325),
     /* 2294748 */ /*GILLT_nxv1s32*//*Label 31386*/ GIMT_Encode4(2295446),
     /* 2294752 */ /*GILLT_nxv1s64*//*Label 31387*/ GIMT_Encode4(2295567), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294764 */ /*GILLT_nxv2s16*//*Label 31388*/ GIMT_Encode4(2295688),
     /* 2294768 */ /*GILLT_nxv2s32*//*Label 31389*/ GIMT_Encode4(2295809),
     /* 2294772 */ /*GILLT_nxv2s64*//*Label 31390*/ GIMT_Encode4(2295930), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294784 */ /*GILLT_nxv4s16*//*Label 31391*/ GIMT_Encode4(2296051),
     /* 2294788 */ /*GILLT_nxv4s32*//*Label 31392*/ GIMT_Encode4(2296172),
     /* 2294792 */ /*GILLT_nxv4s64*//*Label 31393*/ GIMT_Encode4(2296293), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294804 */ /*GILLT_nxv8s16*//*Label 31394*/ GIMT_Encode4(2296414),
     /* 2294808 */ /*GILLT_nxv8s32*//*Label 31395*/ GIMT_Encode4(2296535),
     /* 2294812 */ /*GILLT_nxv8s64*//*Label 31396*/ GIMT_Encode4(2296656), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294824 */ /*GILLT_nxv16s16*//*Label 31397*/ GIMT_Encode4(2296777),
     /* 2294828 */ /*GILLT_nxv16s32*//*Label 31398*/ GIMT_Encode4(2296898), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294840 */ /*GILLT_nxv32s16*//*Label 31399*/ GIMT_Encode4(2297019),
     /* 2294844 */ // Label 31382: @2294844
     /* 2294844 */ GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2294992),
     /* 2294849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2294852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2294855 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2294889), // Rule ID 1964 //
     /* 2294860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2294863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294875 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2294875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2294878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294888 */     // GIR_Coverage, 1964,
     /* 2294888 */     GIR_EraseRootFromParent_Done,
     /* 2294889 */   // Label 31402: @2294889
     /* 2294889 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2294923), // Rule ID 1965 //
     /* 2294894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2294897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294909 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2294909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2294912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294922 */     // GIR_Coverage, 1965,
     /* 2294922 */     GIR_EraseRootFromParent_Done,
     /* 2294923 */   // Label 31403: @2294923
     /* 2294923 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2294957), // Rule ID 1968 //
     /* 2294928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2294931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294943 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2294943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2294946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294956 */     // GIR_Coverage, 1968,
     /* 2294956 */     GIR_EraseRootFromParent_Done,
     /* 2294957 */   // Label 31404: @2294957
     /* 2294957 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2294991), // Rule ID 1969 //
     /* 2294962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2294965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294977 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2294977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2294980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294990 */     // GIR_Coverage, 1969,
     /* 2294990 */     GIR_EraseRootFromParent_Done,
     /* 2294991 */   // Label 31405: @2294991
     /* 2294991 */   GIM_Reject,
     /* 2294992 */ // Label 31401: @2294992
     /* 2294992 */ GIM_Reject,
     /* 2294993 */ // Label 31383: @2294993
     /* 2294993 */ GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2295141),
     /* 2294998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2295001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2295004 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2295038), // Rule ID 1255 //
     /* 2295009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2295012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295024 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2295024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2295027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295037 */     // GIR_Coverage, 1255,
     /* 2295037 */     GIR_EraseRootFromParent_Done,
     /* 2295038 */   // Label 31407: @2295038
     /* 2295038 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2295072), // Rule ID 1256 //
     /* 2295043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2295046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295058 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2295058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2295061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295071 */     // GIR_Coverage, 1256,
     /* 2295071 */     GIR_EraseRootFromParent_Done,
     /* 2295072 */   // Label 31408: @2295072
     /* 2295072 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2295106), // Rule ID 1259 //
     /* 2295077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2295080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295092 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2295092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2295095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295105 */     // GIR_Coverage, 1259,
     /* 2295105 */     GIR_EraseRootFromParent_Done,
     /* 2295106 */   // Label 31409: @2295106
     /* 2295106 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2295140), // Rule ID 1260 //
     /* 2295111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2295114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295126 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2295126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2295129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295139 */     // GIR_Coverage, 1260,
     /* 2295139 */     GIR_EraseRootFromParent_Done,
     /* 2295140 */   // Label 31410: @2295140
     /* 2295140 */   GIM_Reject,
     /* 2295141 */ // Label 31406: @2295141
     /* 2295141 */ GIM_Reject,
     /* 2295142 */ // Label 31384: @2295142
     /* 2295142 */ GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2295324),
     /* 2295147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2295153 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2295187), // Rule ID 1594 //
     /* 2295158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2295161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295173 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2295173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2295176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295186 */     // GIR_Coverage, 1594,
     /* 2295186 */     GIR_EraseRootFromParent_Done,
     /* 2295187 */   // Label 31412: @2295187
     /* 2295187 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2295221), // Rule ID 1595 //
     /* 2295192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2295195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295207 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2295207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2295210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295220 */     // GIR_Coverage, 1595,
     /* 2295220 */     GIR_EraseRootFromParent_Done,
     /* 2295221 */   // Label 31413: @2295221
     /* 2295221 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2295255), // Rule ID 1598 //
     /* 2295226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2295229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295241 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2295241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2295244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295254 */     // GIR_Coverage, 1598,
     /* 2295254 */     GIR_EraseRootFromParent_Done,
     /* 2295255 */   // Label 31414: @2295255
     /* 2295255 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2295289), // Rule ID 1599 //
     /* 2295260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2295263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295275 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2295275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2295278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295288 */     // GIR_Coverage, 1599,
     /* 2295288 */     GIR_EraseRootFromParent_Done,
     /* 2295289 */   // Label 31415: @2295289
     /* 2295289 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2295323), // Rule ID 1601 //
     /* 2295294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2295297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295309 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2295309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2295312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295322 */     // GIR_Coverage, 1601,
     /* 2295322 */     GIR_EraseRootFromParent_Done,
     /* 2295323 */   // Label 31416: @2295323
     /* 2295323 */   GIM_Reject,
     /* 2295324 */ // Label 31411: @2295324
     /* 2295324 */ GIM_Reject,
     /* 2295325 */ // Label 31385: @2295325
     /* 2295325 */ GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2295445),
     /* 2295330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2295333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2295336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295348 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2295396), // Rule ID 54214 //
     /* 2295353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295356 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2295359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2295373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295395 */     // GIR_Coverage, 54214,
     /* 2295395 */     GIR_EraseRootFromParent_Done,
     /* 2295396 */   // Label 31418: @2295396
     /* 2295396 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2295444), // Rule ID 54215 //
     /* 2295401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295404 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2295407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2295421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295443 */     // GIR_Coverage, 54215,
     /* 2295443 */     GIR_EraseRootFromParent_Done,
     /* 2295444 */   // Label 31419: @2295444
     /* 2295444 */   GIM_Reject,
     /* 2295445 */ // Label 31417: @2295445
     /* 2295445 */ GIM_Reject,
     /* 2295446 */ // Label 31386: @2295446
     /* 2295446 */ GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2295566),
     /* 2295451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2295454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2295457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295469 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2295517), // Rule ID 54238 //
     /* 2295474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295477 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2295480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2295494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295516 */     // GIR_Coverage, 54238,
     /* 2295516 */     GIR_EraseRootFromParent_Done,
     /* 2295517 */   // Label 31421: @2295517
     /* 2295517 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2295565), // Rule ID 54239 //
     /* 2295522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295525 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2295528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2295542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295564 */     // GIR_Coverage, 54239,
     /* 2295564 */     GIR_EraseRootFromParent_Done,
     /* 2295565 */   // Label 31422: @2295565
     /* 2295565 */   GIM_Reject,
     /* 2295566 */ // Label 31420: @2295566
     /* 2295566 */ GIM_Reject,
     /* 2295567 */ // Label 31387: @2295567
     /* 2295567 */ GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2295687),
     /* 2295572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2295578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295590 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2295638), // Rule ID 54274 //
     /* 2295595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295598 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2295615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295637 */     // GIR_Coverage, 54274,
     /* 2295637 */     GIR_EraseRootFromParent_Done,
     /* 2295638 */   // Label 31424: @2295638
     /* 2295638 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2295686), // Rule ID 54275 //
     /* 2295643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295646 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2295663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295685 */     // GIR_Coverage, 54275,
     /* 2295685 */     GIR_EraseRootFromParent_Done,
     /* 2295686 */   // Label 31425: @2295686
     /* 2295686 */   GIM_Reject,
     /* 2295687 */ // Label 31423: @2295687
     /* 2295687 */ GIM_Reject,
     /* 2295688 */ // Label 31388: @2295688
     /* 2295688 */ GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2295808),
     /* 2295693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2295699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295711 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2295759), // Rule ID 54226 //
     /* 2295716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295719 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2295736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295758 */     // GIR_Coverage, 54226,
     /* 2295758 */     GIR_EraseRootFromParent_Done,
     /* 2295759 */   // Label 31427: @2295759
     /* 2295759 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2295807), // Rule ID 54227 //
     /* 2295764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295767 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2295784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295806 */     // GIR_Coverage, 54227,
     /* 2295806 */     GIR_EraseRootFromParent_Done,
     /* 2295807 */   // Label 31428: @2295807
     /* 2295807 */   GIM_Reject,
     /* 2295808 */ // Label 31426: @2295808
     /* 2295808 */ GIM_Reject,
     /* 2295809 */ // Label 31389: @2295809
     /* 2295809 */ GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2295929),
     /* 2295814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295832 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2295880), // Rule ID 54262 //
     /* 2295837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295840 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2295857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295879 */     // GIR_Coverage, 54262,
     /* 2295879 */     GIR_EraseRootFromParent_Done,
     /* 2295880 */   // Label 31430: @2295880
     /* 2295880 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2295928), // Rule ID 54263 //
     /* 2295885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295888 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2295905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295927 */     // GIR_Coverage, 54263,
     /* 2295927 */     GIR_EraseRootFromParent_Done,
     /* 2295928 */   // Label 31431: @2295928
     /* 2295928 */   GIM_Reject,
     /* 2295929 */ // Label 31429: @2295929
     /* 2295929 */ GIM_Reject,
     /* 2295930 */ // Label 31390: @2295930
     /* 2295930 */ GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2296050),
     /* 2295935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2295941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295953 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2296001), // Rule ID 54358 //
     /* 2295958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295961 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2295964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2295978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296000 */     // GIR_Coverage, 54358,
     /* 2296000 */     GIR_EraseRootFromParent_Done,
     /* 2296001 */   // Label 31433: @2296001
     /* 2296001 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2296049), // Rule ID 54359 //
     /* 2296006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296009 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2296012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2296026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296048 */     // GIR_Coverage, 54359,
     /* 2296048 */     GIR_EraseRootFromParent_Done,
     /* 2296049 */   // Label 31434: @2296049
     /* 2296049 */   GIM_Reject,
     /* 2296050 */ // Label 31432: @2296050
     /* 2296050 */ GIM_Reject,
     /* 2296051 */ // Label 31391: @2296051
     /* 2296051 */ GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2296171),
     /* 2296056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2296062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296074 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2296122), // Rule ID 54250 //
     /* 2296079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296082 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2296085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2296099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296121 */     // GIR_Coverage, 54250,
     /* 2296121 */     GIR_EraseRootFromParent_Done,
     /* 2296122 */   // Label 31436: @2296122
     /* 2296122 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2296170), // Rule ID 54251 //
     /* 2296127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296130 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2296133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2296147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296169 */     // GIR_Coverage, 54251,
     /* 2296169 */     GIR_EraseRootFromParent_Done,
     /* 2296170 */   // Label 31437: @2296170
     /* 2296170 */   GIM_Reject,
     /* 2296171 */ // Label 31435: @2296171
     /* 2296171 */ GIM_Reject,
     /* 2296172 */ // Label 31392: @2296172
     /* 2296172 */ GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2296292),
     /* 2296177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2296183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296195 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2296243), // Rule ID 54322 //
     /* 2296200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296203 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2296206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2296220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296242 */     // GIR_Coverage, 54322,
     /* 2296242 */     GIR_EraseRootFromParent_Done,
     /* 2296243 */   // Label 31439: @2296243
     /* 2296243 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2296291), // Rule ID 54323 //
     /* 2296248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296251 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2296254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2296268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296290 */     // GIR_Coverage, 54323,
     /* 2296290 */     GIR_EraseRootFromParent_Done,
     /* 2296291 */   // Label 31440: @2296291
     /* 2296291 */   GIM_Reject,
     /* 2296292 */ // Label 31438: @2296292
     /* 2296292 */ GIM_Reject,
     /* 2296293 */ // Label 31393: @2296293
     /* 2296293 */ GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2296413),
     /* 2296298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2296301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2296304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296316 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2296364), // Rule ID 54370 //
     /* 2296321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296324 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2296327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2296341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296363 */     // GIR_Coverage, 54370,
     /* 2296363 */     GIR_EraseRootFromParent_Done,
     /* 2296364 */   // Label 31442: @2296364
     /* 2296364 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2296412), // Rule ID 54371 //
     /* 2296369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296372 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2296375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2296389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296411 */     // GIR_Coverage, 54371,
     /* 2296411 */     GIR_EraseRootFromParent_Done,
     /* 2296412 */   // Label 31443: @2296412
     /* 2296412 */   GIM_Reject,
     /* 2296413 */ // Label 31441: @2296413
     /* 2296413 */ GIM_Reject,
     /* 2296414 */ // Label 31394: @2296414
     /* 2296414 */ GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2296534),
     /* 2296419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2296422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2296425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296437 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2296485), // Rule ID 54286 //
     /* 2296442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296445 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2296448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2296462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296484 */     // GIR_Coverage, 54286,
     /* 2296484 */     GIR_EraseRootFromParent_Done,
     /* 2296485 */   // Label 31445: @2296485
     /* 2296485 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2296533), // Rule ID 54287 //
     /* 2296490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296493 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2296496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2296510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296532 */     // GIR_Coverage, 54287,
     /* 2296532 */     GIR_EraseRootFromParent_Done,
     /* 2296533 */   // Label 31446: @2296533
     /* 2296533 */   GIM_Reject,
     /* 2296534 */ // Label 31444: @2296534
     /* 2296534 */ GIM_Reject,
     /* 2296535 */ // Label 31395: @2296535
     /* 2296535 */ GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2296655),
     /* 2296540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2296543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2296546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296558 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2296606), // Rule ID 54334 //
     /* 2296563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296566 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2296569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2296583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296605 */     // GIR_Coverage, 54334,
     /* 2296605 */     GIR_EraseRootFromParent_Done,
     /* 2296606 */   // Label 31448: @2296606
     /* 2296606 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2296654), // Rule ID 54335 //
     /* 2296611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296614 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2296617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2296631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296653 */     // GIR_Coverage, 54335,
     /* 2296653 */     GIR_EraseRootFromParent_Done,
     /* 2296654 */   // Label 31449: @2296654
     /* 2296654 */   GIM_Reject,
     /* 2296655 */ // Label 31447: @2296655
     /* 2296655 */ GIM_Reject,
     /* 2296656 */ // Label 31396: @2296656
     /* 2296656 */ GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2296776),
     /* 2296661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2296664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2296667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296679 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2296727), // Rule ID 54382 //
     /* 2296684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296687 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2296704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296726 */     // GIR_Coverage, 54382,
     /* 2296726 */     GIR_EraseRootFromParent_Done,
     /* 2296727 */   // Label 31451: @2296727
     /* 2296727 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2296775), // Rule ID 54383 //
     /* 2296732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296735 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2296752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296774 */     // GIR_Coverage, 54383,
     /* 2296774 */     GIR_EraseRootFromParent_Done,
     /* 2296775 */   // Label 31452: @2296775
     /* 2296775 */   GIM_Reject,
     /* 2296776 */ // Label 31450: @2296776
     /* 2296776 */ GIM_Reject,
     /* 2296777 */ // Label 31397: @2296777
     /* 2296777 */ GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2296897),
     /* 2296782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2296788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296800 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2296848), // Rule ID 54298 //
     /* 2296805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296808 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2296811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2296825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296847 */     // GIR_Coverage, 54298,
     /* 2296847 */     GIR_EraseRootFromParent_Done,
     /* 2296848 */   // Label 31454: @2296848
     /* 2296848 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2296896), // Rule ID 54299 //
     /* 2296853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296856 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2296859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2296873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296895 */     // GIR_Coverage, 54299,
     /* 2296895 */     GIR_EraseRootFromParent_Done,
     /* 2296896 */   // Label 31455: @2296896
     /* 2296896 */   GIM_Reject,
     /* 2296897 */ // Label 31453: @2296897
     /* 2296897 */ GIM_Reject,
     /* 2296898 */ // Label 31398: @2296898
     /* 2296898 */ GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2297018),
     /* 2296903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2296909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296921 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2296969), // Rule ID 54346 //
     /* 2296926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296929 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2296932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2296946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296968 */     // GIR_Coverage, 54346,
     /* 2296968 */     GIR_EraseRootFromParent_Done,
     /* 2296969 */   // Label 31457: @2296969
     /* 2296969 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2297017), // Rule ID 54347 //
     /* 2296974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296977 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2296980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2296994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297016 */     // GIR_Coverage, 54347,
     /* 2297016 */     GIR_EraseRootFromParent_Done,
     /* 2297017 */   // Label 31458: @2297017
     /* 2297017 */   GIM_Reject,
     /* 2297018 */ // Label 31456: @2297018
     /* 2297018 */ GIM_Reject,
     /* 2297019 */ // Label 31399: @2297019
     /* 2297019 */ GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2297139),
     /* 2297024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2297030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297042 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2297090), // Rule ID 54310 //
     /* 2297047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297050 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2297053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2297067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297089 */     // GIR_Coverage, 54310,
     /* 2297089 */     GIR_EraseRootFromParent_Done,
     /* 2297090 */   // Label 31460: @2297090
     /* 2297090 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2297138), // Rule ID 54311 //
     /* 2297095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297098 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2297101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2297115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297137 */     // GIR_Coverage, 54311,
     /* 2297137 */     GIR_EraseRootFromParent_Done,
     /* 2297138 */   // Label 31461: @2297138
     /* 2297138 */   GIM_Reject,
     /* 2297139 */ // Label 31459: @2297139
     /* 2297139 */ GIM_Reject,
     /* 2297140 */ // Label 31400: @2297140
     /* 2297140 */ GIM_Reject,
     /* 2297141 */ // Label 62: @2297141
     /* 2297141 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31480*/ GIMT_Encode4(2313785),
     /* 2297152 */ /*GILLT_s16*//*Label 31462*/ GIMT_Encode4(2297272),
     /* 2297156 */ /*GILLT_s32*//*Label 31463*/ GIMT_Encode4(2298708),
     /* 2297160 */ /*GILLT_s64*//*Label 31464*/ GIMT_Encode4(2300144), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297172 */ /*GILLT_nxv1s16*//*Label 31465*/ GIMT_Encode4(2301935),
     /* 2297176 */ /*GILLT_nxv1s32*//*Label 31466*/ GIMT_Encode4(2302725),
     /* 2297180 */ /*GILLT_nxv1s64*//*Label 31467*/ GIMT_Encode4(2303515), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297192 */ /*GILLT_nxv2s16*//*Label 31468*/ GIMT_Encode4(2304305),
     /* 2297196 */ /*GILLT_nxv2s32*//*Label 31469*/ GIMT_Encode4(2305095),
     /* 2297200 */ /*GILLT_nxv2s64*//*Label 31470*/ GIMT_Encode4(2305885), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297212 */ /*GILLT_nxv4s16*//*Label 31471*/ GIMT_Encode4(2306675),
     /* 2297216 */ /*GILLT_nxv4s32*//*Label 31472*/ GIMT_Encode4(2307465),
     /* 2297220 */ /*GILLT_nxv4s64*//*Label 31473*/ GIMT_Encode4(2308255), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297232 */ /*GILLT_nxv8s16*//*Label 31474*/ GIMT_Encode4(2309045),
     /* 2297236 */ /*GILLT_nxv8s32*//*Label 31475*/ GIMT_Encode4(2309835),
     /* 2297240 */ /*GILLT_nxv8s64*//*Label 31476*/ GIMT_Encode4(2310625), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297252 */ /*GILLT_nxv16s16*//*Label 31477*/ GIMT_Encode4(2311415),
     /* 2297256 */ /*GILLT_nxv16s32*//*Label 31478*/ GIMT_Encode4(2312205), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297268 */ /*GILLT_nxv32s16*//*Label 31479*/ GIMT_Encode4(2312995),
     /* 2297272 */ // Label 31462: @2297272
     /* 2297272 */ GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2298707),
     /* 2297277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2297283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2297286 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2297358), // Rule ID 2005 //
     /* 2297291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2297294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297338 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2297338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2297341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297357 */     // GIR_Coverage, 2005,
     /* 2297357 */     GIR_EraseRootFromParent_Done,
     /* 2297358 */   // Label 31482: @2297358
     /* 2297358 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2297430), // Rule ID 2006 //
     /* 2297363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2297366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297410 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2297410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2297413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297429 */     // GIR_Coverage, 2006,
     /* 2297429 */     GIR_EraseRootFromParent_Done,
     /* 2297430 */   // Label 31483: @2297430
     /* 2297430 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2297502), // Rule ID 2038 //
     /* 2297435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2297438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297482 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2297482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2297485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297501 */     // GIR_Coverage, 2038,
     /* 2297501 */     GIR_EraseRootFromParent_Done,
     /* 2297502 */   // Label 31484: @2297502
     /* 2297502 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2297574), // Rule ID 2039 //
     /* 2297507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2297510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297554 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2297554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2297557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297573 */     // GIR_Coverage, 2039,
     /* 2297573 */     GIR_EraseRootFromParent_Done,
     /* 2297574 */   // Label 31485: @2297574
     /* 2297574 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2297646), // Rule ID 65294 //
     /* 2297579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2297582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297626 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2297626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2297629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2297637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297645 */     // GIR_Coverage, 65294,
     /* 2297645 */     GIR_EraseRootFromParent_Done,
     /* 2297646 */   // Label 31486: @2297646
     /* 2297646 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2297718), // Rule ID 65295 //
     /* 2297651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2297654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297698 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2297698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2297701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2297709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297717 */     // GIR_Coverage, 65295,
     /* 2297717 */     GIR_EraseRootFromParent_Done,
     /* 2297718 */   // Label 31487: @2297718
     /* 2297718 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2297790), // Rule ID 65302 //
     /* 2297723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2297726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297770 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2297770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2297773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2297781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297789 */     // GIR_Coverage, 65302,
     /* 2297789 */     GIR_EraseRootFromParent_Done,
     /* 2297790 */   // Label 31488: @2297790
     /* 2297790 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2297862), // Rule ID 65303 //
     /* 2297795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2297798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297842 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2297842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2297845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2297853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2297857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297861 */     // GIR_Coverage, 65303,
     /* 2297861 */     GIR_EraseRootFromParent_Done,
     /* 2297862 */   // Label 31489: @2297862
     /* 2297862 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2297919), // Rule ID 2001 //
     /* 2297867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2297870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297901 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2297901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2297904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2297914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297918 */     // GIR_Coverage, 2001,
     /* 2297918 */     GIR_EraseRootFromParent_Done,
     /* 2297919 */   // Label 31490: @2297919
     /* 2297919 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2297976), // Rule ID 2002 //
     /* 2297924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2297927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297958 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2297958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2297961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2297971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297975 */     // GIR_Coverage, 2002,
     /* 2297975 */     GIR_EraseRootFromParent_Done,
     /* 2297976 */   // Label 31491: @2297976
     /* 2297976 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2298033), // Rule ID 2034 //
     /* 2297981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2297984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298015 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2298018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298032 */     // GIR_Coverage, 2034,
     /* 2298032 */     GIR_EraseRootFromParent_Done,
     /* 2298033 */   // Label 31492: @2298033
     /* 2298033 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2298090), // Rule ID 2035 //
     /* 2298038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2298041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298072 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2298075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298089 */     // GIR_Coverage, 2035,
     /* 2298089 */     GIR_EraseRootFromParent_Done,
     /* 2298090 */   // Label 31493: @2298090
     /* 2298090 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2298147), // Rule ID 65290 //
     /* 2298095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2298098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298129 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2298132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2298140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298146 */     // GIR_Coverage, 65290,
     /* 2298146 */     GIR_EraseRootFromParent_Done,
     /* 2298147 */   // Label 31494: @2298147
     /* 2298147 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2298204), // Rule ID 65291 //
     /* 2298152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2298155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298186 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2298189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2298197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298203 */     // GIR_Coverage, 65291,
     /* 2298203 */     GIR_EraseRootFromParent_Done,
     /* 2298204 */   // Label 31495: @2298204
     /* 2298204 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2298261), // Rule ID 65298 //
     /* 2298209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2298212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298243 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2298246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2298254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298260 */     // GIR_Coverage, 65298,
     /* 2298260 */     GIR_EraseRootFromParent_Done,
     /* 2298261 */   // Label 31496: @2298261
     /* 2298261 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2298318), // Rule ID 65299 //
     /* 2298266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2298269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298300 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2298303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2298311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298317 */     // GIR_Coverage, 65299,
     /* 2298317 */     GIR_EraseRootFromParent_Done,
     /* 2298318 */   // Label 31497: @2298318
     /* 2298318 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2298375), // Rule ID 1997 //
     /* 2298323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2298326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298357 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2298360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2298370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298374 */     // GIR_Coverage, 1997,
     /* 2298374 */     GIR_EraseRootFromParent_Done,
     /* 2298375 */   // Label 31498: @2298375
     /* 2298375 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2298432), // Rule ID 1998 //
     /* 2298380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2298383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298414 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2298417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2298427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298431 */     // GIR_Coverage, 1998,
     /* 2298431 */     GIR_EraseRootFromParent_Done,
     /* 2298432 */   // Label 31499: @2298432
     /* 2298432 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2298489), // Rule ID 2030 //
     /* 2298437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2298440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298471 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2298474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2298484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298488 */     // GIR_Coverage, 2030,
     /* 2298488 */     GIR_EraseRootFromParent_Done,
     /* 2298489 */   // Label 31500: @2298489
     /* 2298489 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2298546), // Rule ID 2031 //
     /* 2298494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2298497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298528 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2298531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2298541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298545 */     // GIR_Coverage, 2031,
     /* 2298545 */     GIR_EraseRootFromParent_Done,
     /* 2298546 */   // Label 31501: @2298546
     /* 2298546 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2298586), // Rule ID 1993 //
     /* 2298551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2298554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298570 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2298573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298585 */     // GIR_Coverage, 1993,
     /* 2298585 */     GIR_EraseRootFromParent_Done,
     /* 2298586 */   // Label 31502: @2298586
     /* 2298586 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2298626), // Rule ID 1994 //
     /* 2298591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2298594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298610 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2298613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298625 */     // GIR_Coverage, 1994,
     /* 2298625 */     GIR_EraseRootFromParent_Done,
     /* 2298626 */   // Label 31503: @2298626
     /* 2298626 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2298666), // Rule ID 2026 //
     /* 2298631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2298634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298650 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2298650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2298653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298665 */     // GIR_Coverage, 2026,
     /* 2298665 */     GIR_EraseRootFromParent_Done,
     /* 2298666 */   // Label 31504: @2298666
     /* 2298666 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2298706), // Rule ID 2027 //
     /* 2298671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2298674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298690 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2298690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2298693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2298701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298705 */     // GIR_Coverage, 2027,
     /* 2298705 */     GIR_EraseRootFromParent_Done,
     /* 2298706 */   // Label 31505: @2298706
     /* 2298706 */   GIM_Reject,
     /* 2298707 */ // Label 31481: @2298707
     /* 2298707 */ GIM_Reject,
     /* 2298708 */ // Label 31463: @2298708
     /* 2298708 */ GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2300143),
     /* 2298713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2298719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2298722 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2298794), // Rule ID 1304 //
     /* 2298727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2298730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298774 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2298774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2298777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2298789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298793 */     // GIR_Coverage, 1304,
     /* 2298793 */     GIR_EraseRootFromParent_Done,
     /* 2298794 */   // Label 31507: @2298794
     /* 2298794 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2298866), // Rule ID 1305 //
     /* 2298799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2298802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298846 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2298846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2298849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2298861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298865 */     // GIR_Coverage, 1305,
     /* 2298865 */     GIR_EraseRootFromParent_Done,
     /* 2298866 */   // Label 31508: @2298866
     /* 2298866 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2298938), // Rule ID 1325 //
     /* 2298871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2298874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298918 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2298918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2298921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2298933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298937 */     // GIR_Coverage, 1325,
     /* 2298937 */     GIR_EraseRootFromParent_Done,
     /* 2298938 */   // Label 31509: @2298938
     /* 2298938 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2299010), // Rule ID 1326 //
     /* 2298943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2298946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298990 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2298990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2298993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2299005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299009 */     // GIR_Coverage, 1326,
     /* 2299009 */     GIR_EraseRootFromParent_Done,
     /* 2299010 */   // Label 31510: @2299010
     /* 2299010 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2299082), // Rule ID 65258 //
     /* 2299015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299062 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2299065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2299077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299081 */     // GIR_Coverage, 65258,
     /* 2299081 */     GIR_EraseRootFromParent_Done,
     /* 2299082 */   // Label 31511: @2299082
     /* 2299082 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2299154), // Rule ID 65259 //
     /* 2299087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2299090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299134 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2299137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2299149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299153 */     // GIR_Coverage, 65259,
     /* 2299153 */     GIR_EraseRootFromParent_Done,
     /* 2299154 */   // Label 31512: @2299154
     /* 2299154 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2299226), // Rule ID 65266 //
     /* 2299159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2299162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299206 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2299209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2299221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299225 */     // GIR_Coverage, 65266,
     /* 2299225 */     GIR_EraseRootFromParent_Done,
     /* 2299226 */   // Label 31513: @2299226
     /* 2299226 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2299298), // Rule ID 65267 //
     /* 2299231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2299234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299278 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2299281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2299293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299297 */     // GIR_Coverage, 65267,
     /* 2299297 */     GIR_EraseRootFromParent_Done,
     /* 2299298 */   // Label 31514: @2299298
     /* 2299298 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2299355), // Rule ID 1300 //
     /* 2299303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299337 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2299340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299354 */     // GIR_Coverage, 1300,
     /* 2299354 */     GIR_EraseRootFromParent_Done,
     /* 2299355 */   // Label 31515: @2299355
     /* 2299355 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2299412), // Rule ID 1301 //
     /* 2299360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2299363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299394 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2299397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299411 */     // GIR_Coverage, 1301,
     /* 2299411 */     GIR_EraseRootFromParent_Done,
     /* 2299412 */   // Label 31516: @2299412
     /* 2299412 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2299469), // Rule ID 1321 //
     /* 2299417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2299420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299451 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2299454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299468 */     // GIR_Coverage, 1321,
     /* 2299468 */     GIR_EraseRootFromParent_Done,
     /* 2299469 */   // Label 31517: @2299469
     /* 2299469 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2299526), // Rule ID 1322 //
     /* 2299474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2299477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299508 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2299511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299525 */     // GIR_Coverage, 1322,
     /* 2299525 */     GIR_EraseRootFromParent_Done,
     /* 2299526 */   // Label 31518: @2299526
     /* 2299526 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2299583), // Rule ID 65254 //
     /* 2299531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299565 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2299568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299582 */     // GIR_Coverage, 65254,
     /* 2299582 */     GIR_EraseRootFromParent_Done,
     /* 2299583 */   // Label 31519: @2299583
     /* 2299583 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2299640), // Rule ID 65255 //
     /* 2299588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2299591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299622 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2299625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299639 */     // GIR_Coverage, 65255,
     /* 2299639 */     GIR_EraseRootFromParent_Done,
     /* 2299640 */   // Label 31520: @2299640
     /* 2299640 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2299697), // Rule ID 65262 //
     /* 2299645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2299648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299679 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2299682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299696 */     // GIR_Coverage, 65262,
     /* 2299696 */     GIR_EraseRootFromParent_Done,
     /* 2299697 */   // Label 31521: @2299697
     /* 2299697 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2299754), // Rule ID 65263 //
     /* 2299702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2299705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299736 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2299739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2299747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2299749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299753 */     // GIR_Coverage, 65263,
     /* 2299753 */     GIR_EraseRootFromParent_Done,
     /* 2299754 */   // Label 31522: @2299754
     /* 2299754 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2299811), // Rule ID 1296 //
     /* 2299759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299793 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2299796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2299806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299810 */     // GIR_Coverage, 1296,
     /* 2299810 */     GIR_EraseRootFromParent_Done,
     /* 2299811 */   // Label 31523: @2299811
     /* 2299811 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2299868), // Rule ID 1297 //
     /* 2299816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2299819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299850 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2299853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2299863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299867 */     // GIR_Coverage, 1297,
     /* 2299867 */     GIR_EraseRootFromParent_Done,
     /* 2299868 */   // Label 31524: @2299868
     /* 2299868 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2299925), // Rule ID 1317 //
     /* 2299873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2299876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299907 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2299907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2299910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2299920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299924 */     // GIR_Coverage, 1317,
     /* 2299924 */     GIR_EraseRootFromParent_Done,
     /* 2299925 */   // Label 31525: @2299925
     /* 2299925 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2299982), // Rule ID 1318 //
     /* 2299930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2299933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299964 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2299964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2299967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2299977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299981 */     // GIR_Coverage, 1318,
     /* 2299981 */     GIR_EraseRootFromParent_Done,
     /* 2299982 */   // Label 31526: @2299982
     /* 2299982 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2300022), // Rule ID 1292 //
     /* 2299987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300006 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2300006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2300009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300021 */     // GIR_Coverage, 1292,
     /* 2300021 */     GIR_EraseRootFromParent_Done,
     /* 2300022 */   // Label 31527: @2300022
     /* 2300022 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2300062), // Rule ID 1293 //
     /* 2300027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2300030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300046 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2300046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2300049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300061 */     // GIR_Coverage, 1293,
     /* 2300061 */     GIR_EraseRootFromParent_Done,
     /* 2300062 */   // Label 31528: @2300062
     /* 2300062 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2300102), // Rule ID 1313 //
     /* 2300067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2300070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300086 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2300086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2300089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300101 */     // GIR_Coverage, 1313,
     /* 2300101 */     GIR_EraseRootFromParent_Done,
     /* 2300102 */   // Label 31529: @2300102
     /* 2300102 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2300142), // Rule ID 1314 //
     /* 2300107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2300110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300126 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2300126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2300129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300141 */     // GIR_Coverage, 1314,
     /* 2300141 */     GIR_EraseRootFromParent_Done,
     /* 2300142 */   // Label 31530: @2300142
     /* 2300142 */   GIM_Reject,
     /* 2300143 */ // Label 31506: @2300143
     /* 2300143 */ GIM_Reject,
     /* 2300144 */ // Label 31464: @2300144
     /* 2300144 */ GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2301934),
     /* 2300149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2300155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300158 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2300230), // Rule ID 1641 //
     /* 2300163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2300166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300210 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2300213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300229 */     // GIR_Coverage, 1641,
     /* 2300229 */     GIR_EraseRootFromParent_Done,
     /* 2300230 */   // Label 31532: @2300230
     /* 2300230 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2300302), // Rule ID 1642 //
     /* 2300235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2300238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300282 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2300282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2300285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300301 */     // GIR_Coverage, 1642,
     /* 2300301 */     GIR_EraseRootFromParent_Done,
     /* 2300302 */   // Label 31533: @2300302
     /* 2300302 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2300374), // Rule ID 1664 //
     /* 2300307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2300310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300354 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2300357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300373 */     // GIR_Coverage, 1664,
     /* 2300373 */     GIR_EraseRootFromParent_Done,
     /* 2300374 */   // Label 31534: @2300374
     /* 2300374 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2300446), // Rule ID 1696 //
     /* 2300379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2300382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300426 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2300429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300445 */     // GIR_Coverage, 1696,
     /* 2300445 */     GIR_EraseRootFromParent_Done,
     /* 2300446 */   // Label 31535: @2300446
     /* 2300446 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2300518), // Rule ID 1697 //
     /* 2300451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2300454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300498 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2300498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2300501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300517 */     // GIR_Coverage, 1697,
     /* 2300517 */     GIR_EraseRootFromParent_Done,
     /* 2300518 */   // Label 31536: @2300518
     /* 2300518 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2300590), // Rule ID 65274 //
     /* 2300523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2300526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300570 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2300573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2300581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300589 */     // GIR_Coverage, 65274,
     /* 2300589 */     GIR_EraseRootFromParent_Done,
     /* 2300590 */   // Label 31537: @2300590
     /* 2300590 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2300662), // Rule ID 65275 //
     /* 2300595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2300598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300642 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2300642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2300645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2300653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300661 */     // GIR_Coverage, 65275,
     /* 2300661 */     GIR_EraseRootFromParent_Done,
     /* 2300662 */   // Label 31538: @2300662
     /* 2300662 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2300734), // Rule ID 65279 //
     /* 2300667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2300670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300714 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2300717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2300725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300733 */     // GIR_Coverage, 65279,
     /* 2300733 */     GIR_EraseRootFromParent_Done,
     /* 2300734 */   // Label 31539: @2300734
     /* 2300734 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2300806), // Rule ID 65286 //
     /* 2300739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2300742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300786 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2300789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2300797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300805 */     // GIR_Coverage, 65286,
     /* 2300805 */     GIR_EraseRootFromParent_Done,
     /* 2300806 */   // Label 31540: @2300806
     /* 2300806 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2300878), // Rule ID 65287 //
     /* 2300811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2300814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300858 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2300858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2300861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2300869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2300873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300877 */     // GIR_Coverage, 65287,
     /* 2300877 */     GIR_EraseRootFromParent_Done,
     /* 2300878 */   // Label 31541: @2300878
     /* 2300878 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2300935), // Rule ID 1637 //
     /* 2300883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2300886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300917 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2300917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2300920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300934 */     // GIR_Coverage, 1637,
     /* 2300934 */     GIR_EraseRootFromParent_Done,
     /* 2300935 */   // Label 31542: @2300935
     /* 2300935 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2300992), // Rule ID 1638 //
     /* 2300940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2300943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300974 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2300974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2300977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2300987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300991 */     // GIR_Coverage, 1638,
     /* 2300991 */     GIR_EraseRootFromParent_Done,
     /* 2300992 */   // Label 31543: @2300992
     /* 2300992 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2301049), // Rule ID 1662 //
     /* 2300997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2301000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301031 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2301034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301048 */     // GIR_Coverage, 1662,
     /* 2301048 */     GIR_EraseRootFromParent_Done,
     /* 2301049 */   // Label 31544: @2301049
     /* 2301049 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2301106), // Rule ID 1692 //
     /* 2301054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2301057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301088 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2301091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301105 */     // GIR_Coverage, 1692,
     /* 2301105 */     GIR_EraseRootFromParent_Done,
     /* 2301106 */   // Label 31545: @2301106
     /* 2301106 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2301163), // Rule ID 1693 //
     /* 2301111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2301114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301145 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2301148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301162 */     // GIR_Coverage, 1693,
     /* 2301162 */     GIR_EraseRootFromParent_Done,
     /* 2301163 */   // Label 31546: @2301163
     /* 2301163 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2301220), // Rule ID 65270 //
     /* 2301168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2301171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301202 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2301205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2301213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301219 */     // GIR_Coverage, 65270,
     /* 2301219 */     GIR_EraseRootFromParent_Done,
     /* 2301220 */   // Label 31547: @2301220
     /* 2301220 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2301277), // Rule ID 65271 //
     /* 2301225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2301228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301259 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2301262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2301270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301276 */     // GIR_Coverage, 65271,
     /* 2301276 */     GIR_EraseRootFromParent_Done,
     /* 2301277 */   // Label 31548: @2301277
     /* 2301277 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2301334), // Rule ID 65277 //
     /* 2301282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2301285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301316 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2301319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2301327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301333 */     // GIR_Coverage, 65277,
     /* 2301333 */     GIR_EraseRootFromParent_Done,
     /* 2301334 */   // Label 31549: @2301334
     /* 2301334 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2301391), // Rule ID 65282 //
     /* 2301339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2301342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301373 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2301376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2301384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301390 */     // GIR_Coverage, 65282,
     /* 2301390 */     GIR_EraseRootFromParent_Done,
     /* 2301391 */   // Label 31550: @2301391
     /* 2301391 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2301448), // Rule ID 65283 //
     /* 2301396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2301399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301430 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2301433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2301441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301447 */     // GIR_Coverage, 65283,
     /* 2301447 */     GIR_EraseRootFromParent_Done,
     /* 2301448 */   // Label 31551: @2301448
     /* 2301448 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2301505), // Rule ID 1633 //
     /* 2301453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2301456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301487 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2301490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2301500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301504 */     // GIR_Coverage, 1633,
     /* 2301504 */     GIR_EraseRootFromParent_Done,
     /* 2301505 */   // Label 31552: @2301505
     /* 2301505 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2301562), // Rule ID 1634 //
     /* 2301510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2301513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301544 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2301547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2301557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301561 */     // GIR_Coverage, 1634,
     /* 2301561 */     GIR_EraseRootFromParent_Done,
     /* 2301562 */   // Label 31553: @2301562
     /* 2301562 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2301619), // Rule ID 1660 //
     /* 2301567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2301570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301601 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2301604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2301614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301618 */     // GIR_Coverage, 1660,
     /* 2301618 */     GIR_EraseRootFromParent_Done,
     /* 2301619 */   // Label 31554: @2301619
     /* 2301619 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2301676), // Rule ID 1688 //
     /* 2301624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2301627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301658 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2301661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2301671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301675 */     // GIR_Coverage, 1688,
     /* 2301675 */     GIR_EraseRootFromParent_Done,
     /* 2301676 */   // Label 31555: @2301676
     /* 2301676 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2301733), // Rule ID 1689 //
     /* 2301681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2301684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2301708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301715 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2301718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2301728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301732 */     // GIR_Coverage, 1689,
     /* 2301732 */     GIR_EraseRootFromParent_Done,
     /* 2301733 */   // Label 31556: @2301733
     /* 2301733 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2301773), // Rule ID 1629 //
     /* 2301738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2301741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301757 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2301760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301772 */     // GIR_Coverage, 1629,
     /* 2301772 */     GIR_EraseRootFromParent_Done,
     /* 2301773 */   // Label 31557: @2301773
     /* 2301773 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2301813), // Rule ID 1630 //
     /* 2301778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2301781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2301797 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2301800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301812 */     // GIR_Coverage, 1630,
     /* 2301812 */     GIR_EraseRootFromParent_Done,
     /* 2301813 */   // Label 31558: @2301813
     /* 2301813 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2301853), // Rule ID 1658 //
     /* 2301818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2301821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2301837 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2301840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301852 */     // GIR_Coverage, 1658,
     /* 2301852 */     GIR_EraseRootFromParent_Done,
     /* 2301853 */   // Label 31559: @2301853
     /* 2301853 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2301893), // Rule ID 1684 //
     /* 2301858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2301861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301877 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2301877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2301880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301892 */     // GIR_Coverage, 1684,
     /* 2301892 */     GIR_EraseRootFromParent_Done,
     /* 2301893 */   // Label 31560: @2301893
     /* 2301893 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2301933), // Rule ID 1685 //
     /* 2301898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2301901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2301917 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2301917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2301920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2301928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301932 */     // GIR_Coverage, 1685,
     /* 2301932 */     GIR_EraseRootFromParent_Done,
     /* 2301933 */   // Label 31561: @2301933
     /* 2301933 */   GIM_Reject,
     /* 2301934 */ // Label 31531: @2301934
     /* 2301934 */ GIM_Reject,
     /* 2301935 */ // Label 31465: @2301935
     /* 2301935 */ GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2302724),
     /* 2301940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2301943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2301946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2301949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301953 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2302030), // Rule ID 54828 //
     /* 2301958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2301973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2301994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302001 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2302004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302029 */     // GIR_Coverage, 54828,
     /* 2302029 */     GIR_EraseRootFromParent_Done,
     /* 2302030 */   // Label 31563: @2302030
     /* 2302030 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2302107), // Rule ID 54829 //
     /* 2302035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302078 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2302081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302106 */     // GIR_Coverage, 54829,
     /* 2302106 */     GIR_EraseRootFromParent_Done,
     /* 2302107 */   // Label 31564: @2302107
     /* 2302107 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2302184), // Rule ID 72256 //
     /* 2302112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302148 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302155 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2302158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302183 */     // GIR_Coverage, 72256,
     /* 2302183 */     GIR_EraseRootFromParent_Done,
     /* 2302184 */   // Label 31565: @2302184
     /* 2302184 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2302261), // Rule ID 72257 //
     /* 2302189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302232 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2302235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302260 */     // GIR_Coverage, 72257,
     /* 2302260 */     GIR_EraseRootFromParent_Done,
     /* 2302261 */   // Label 31566: @2302261
     /* 2302261 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2302323), // Rule ID 54832 //
     /* 2302266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302296 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2302299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302322 */     // GIR_Coverage, 54832,
     /* 2302322 */     GIR_EraseRootFromParent_Done,
     /* 2302323 */   // Label 31567: @2302323
     /* 2302323 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2302385), // Rule ID 54833 //
     /* 2302328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302358 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2302361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302384 */     // GIR_Coverage, 54833,
     /* 2302384 */     GIR_EraseRootFromParent_Done,
     /* 2302385 */   // Label 31568: @2302385
     /* 2302385 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2302447), // Rule ID 72260 //
     /* 2302390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302420 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2302423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302446 */     // GIR_Coverage, 72260,
     /* 2302446 */     GIR_EraseRootFromParent_Done,
     /* 2302447 */   // Label 31569: @2302447
     /* 2302447 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2302509), // Rule ID 72261 //
     /* 2302452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302482 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2302485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302508 */     // GIR_Coverage, 72261,
     /* 2302508 */     GIR_EraseRootFromParent_Done,
     /* 2302509 */   // Label 31570: @2302509
     /* 2302509 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2302571), // Rule ID 54824 //
     /* 2302514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302544 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2302547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302570 */     // GIR_Coverage, 54824,
     /* 2302570 */     GIR_EraseRootFromParent_Done,
     /* 2302571 */   // Label 31571: @2302571
     /* 2302571 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2302633), // Rule ID 54825 //
     /* 2302576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302606 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2302609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302632 */     // GIR_Coverage, 54825,
     /* 2302632 */     GIR_EraseRootFromParent_Done,
     /* 2302633 */   // Label 31572: @2302633
     /* 2302633 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2302678), // Rule ID 54820 //
     /* 2302638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302653 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2302656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302677 */     // GIR_Coverage, 54820,
     /* 2302677 */     GIR_EraseRootFromParent_Done,
     /* 2302678 */   // Label 31573: @2302678
     /* 2302678 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2302723), // Rule ID 54821 //
     /* 2302683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302698 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2302701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302722 */     // GIR_Coverage, 54821,
     /* 2302722 */     GIR_EraseRootFromParent_Done,
     /* 2302723 */   // Label 31574: @2302723
     /* 2302723 */   GIM_Reject,
     /* 2302724 */ // Label 31562: @2302724
     /* 2302724 */ GIM_Reject,
     /* 2302725 */ // Label 31466: @2302725
     /* 2302725 */ GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2303514),
     /* 2302730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2302736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2302739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302743 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2302820), // Rule ID 54956 //
     /* 2302748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302791 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2302794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302819 */     // GIR_Coverage, 54956,
     /* 2302819 */     GIR_EraseRootFromParent_Done,
     /* 2302820 */   // Label 31576: @2302820
     /* 2302820 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2302897), // Rule ID 54957 //
     /* 2302825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302868 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2302871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302896 */     // GIR_Coverage, 54957,
     /* 2302896 */     GIR_EraseRootFromParent_Done,
     /* 2302897 */   // Label 31577: @2302897
     /* 2302897 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2302974), // Rule ID 72368 //
     /* 2302902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302945 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2302948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302973 */     // GIR_Coverage, 72368,
     /* 2302973 */     GIR_EraseRootFromParent_Done,
     /* 2302974 */   // Label 31578: @2302974
     /* 2302974 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2303051), // Rule ID 72369 //
     /* 2302979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303022 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2303025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303050 */     // GIR_Coverage, 72369,
     /* 2303050 */     GIR_EraseRootFromParent_Done,
     /* 2303051 */   // Label 31579: @2303051
     /* 2303051 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2303113), // Rule ID 54960 //
     /* 2303056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303086 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2303089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303112 */     // GIR_Coverage, 54960,
     /* 2303112 */     GIR_EraseRootFromParent_Done,
     /* 2303113 */   // Label 31580: @2303113
     /* 2303113 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2303175), // Rule ID 54961 //
     /* 2303118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303148 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2303151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303174 */     // GIR_Coverage, 54961,
     /* 2303174 */     GIR_EraseRootFromParent_Done,
     /* 2303175 */   // Label 31581: @2303175
     /* 2303175 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2303237), // Rule ID 72372 //
     /* 2303180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303210 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2303213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303236 */     // GIR_Coverage, 72372,
     /* 2303236 */     GIR_EraseRootFromParent_Done,
     /* 2303237 */   // Label 31582: @2303237
     /* 2303237 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2303299), // Rule ID 72373 //
     /* 2303242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303272 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2303275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303298 */     // GIR_Coverage, 72373,
     /* 2303298 */     GIR_EraseRootFromParent_Done,
     /* 2303299 */   // Label 31583: @2303299
     /* 2303299 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2303361), // Rule ID 54952 //
     /* 2303304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303334 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2303337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303360 */     // GIR_Coverage, 54952,
     /* 2303360 */     GIR_EraseRootFromParent_Done,
     /* 2303361 */   // Label 31584: @2303361
     /* 2303361 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2303423), // Rule ID 54953 //
     /* 2303366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303396 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2303399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303422 */     // GIR_Coverage, 54953,
     /* 2303422 */     GIR_EraseRootFromParent_Done,
     /* 2303423 */   // Label 31585: @2303423
     /* 2303423 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2303468), // Rule ID 54948 //
     /* 2303428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303443 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2303446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303467 */     // GIR_Coverage, 54948,
     /* 2303467 */     GIR_EraseRootFromParent_Done,
     /* 2303468 */   // Label 31586: @2303468
     /* 2303468 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2303513), // Rule ID 54949 //
     /* 2303473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303488 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2303491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303512 */     // GIR_Coverage, 54949,
     /* 2303512 */     GIR_EraseRootFromParent_Done,
     /* 2303513 */   // Label 31587: @2303513
     /* 2303513 */   GIM_Reject,
     /* 2303514 */ // Label 31575: @2303514
     /* 2303514 */ GIM_Reject,
     /* 2303515 */ // Label 31467: @2303515
     /* 2303515 */ GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2304304),
     /* 2303520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2303526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2303529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303533 */   GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2303610), // Rule ID 55148 //
     /* 2303538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303581 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2303584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303609 */     // GIR_Coverage, 55148,
     /* 2303609 */     GIR_EraseRootFromParent_Done,
     /* 2303610 */   // Label 31589: @2303610
     /* 2303610 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2303687), // Rule ID 55149 //
     /* 2303615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303658 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2303661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303686 */     // GIR_Coverage, 55149,
     /* 2303686 */     GIR_EraseRootFromParent_Done,
     /* 2303687 */   // Label 31590: @2303687
     /* 2303687 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2303764), // Rule ID 72536 //
     /* 2303692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303735 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2303738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303763 */     // GIR_Coverage, 72536,
     /* 2303763 */     GIR_EraseRootFromParent_Done,
     /* 2303764 */   // Label 31591: @2303764
     /* 2303764 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2303841), // Rule ID 72537 //
     /* 2303769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303812 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2303815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303840 */     // GIR_Coverage, 72537,
     /* 2303840 */     GIR_EraseRootFromParent_Done,
     /* 2303841 */   // Label 31592: @2303841
     /* 2303841 */   GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2303903), // Rule ID 55152 //
     /* 2303846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303876 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2303879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303902 */     // GIR_Coverage, 55152,
     /* 2303902 */     GIR_EraseRootFromParent_Done,
     /* 2303903 */   // Label 31593: @2303903
     /* 2303903 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2303965), // Rule ID 55153 //
     /* 2303908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303938 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2303941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303964 */     // GIR_Coverage, 55153,
     /* 2303964 */     GIR_EraseRootFromParent_Done,
     /* 2303965 */   // Label 31594: @2303965
     /* 2303965 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2304027), // Rule ID 72540 //
     /* 2303970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304000 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2304003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304026 */     // GIR_Coverage, 72540,
     /* 2304026 */     GIR_EraseRootFromParent_Done,
     /* 2304027 */   // Label 31595: @2304027
     /* 2304027 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2304089), // Rule ID 72541 //
     /* 2304032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2304051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304062 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2304065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304088 */     // GIR_Coverage, 72541,
     /* 2304088 */     GIR_EraseRootFromParent_Done,
     /* 2304089 */   // Label 31596: @2304089
     /* 2304089 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2304151), // Rule ID 55144 //
     /* 2304094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2304117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304124 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2304127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304150 */     // GIR_Coverage, 55144,
     /* 2304150 */     GIR_EraseRootFromParent_Done,
     /* 2304151 */   // Label 31597: @2304151
     /* 2304151 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2304213), // Rule ID 55145 //
     /* 2304156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2304179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304186 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2304189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304212 */     // GIR_Coverage, 55145,
     /* 2304212 */     GIR_EraseRootFromParent_Done,
     /* 2304213 */   // Label 31598: @2304213
     /* 2304213 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2304258), // Rule ID 55140 //
     /* 2304218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304233 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2304236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304257 */     // GIR_Coverage, 55140,
     /* 2304257 */     GIR_EraseRootFromParent_Done,
     /* 2304258 */   // Label 31599: @2304258
     /* 2304258 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2304303), // Rule ID 55141 //
     /* 2304263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304278 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2304281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304302 */     // GIR_Coverage, 55141,
     /* 2304302 */     GIR_EraseRootFromParent_Done,
     /* 2304303 */   // Label 31600: @2304303
     /* 2304303 */   GIM_Reject,
     /* 2304304 */ // Label 31588: @2304304
     /* 2304304 */ GIM_Reject,
     /* 2304305 */ // Label 31468: @2304305
     /* 2304305 */ GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2305094),
     /* 2304310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2304316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2304319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304323 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2304400), // Rule ID 54892 //
     /* 2304328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304371 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2304374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304399 */     // GIR_Coverage, 54892,
     /* 2304399 */     GIR_EraseRootFromParent_Done,
     /* 2304400 */   // Label 31602: @2304400
     /* 2304400 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2304477), // Rule ID 54893 //
     /* 2304405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304448 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2304451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304476 */     // GIR_Coverage, 54893,
     /* 2304476 */     GIR_EraseRootFromParent_Done,
     /* 2304477 */   // Label 31603: @2304477
     /* 2304477 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2304554), // Rule ID 72312 //
     /* 2304482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304525 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2304528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304553 */     // GIR_Coverage, 72312,
     /* 2304553 */     GIR_EraseRootFromParent_Done,
     /* 2304554 */   // Label 31604: @2304554
     /* 2304554 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2304631), // Rule ID 72313 //
     /* 2304559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304602 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2304605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304630 */     // GIR_Coverage, 72313,
     /* 2304630 */     GIR_EraseRootFromParent_Done,
     /* 2304631 */   // Label 31605: @2304631
     /* 2304631 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2304693), // Rule ID 54896 //
     /* 2304636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304666 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2304669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304692 */     // GIR_Coverage, 54896,
     /* 2304692 */     GIR_EraseRootFromParent_Done,
     /* 2304693 */   // Label 31606: @2304693
     /* 2304693 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2304755), // Rule ID 54897 //
     /* 2304698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304728 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2304731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304754 */     // GIR_Coverage, 54897,
     /* 2304754 */     GIR_EraseRootFromParent_Done,
     /* 2304755 */   // Label 31607: @2304755
     /* 2304755 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2304817), // Rule ID 72316 //
     /* 2304760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304790 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2304793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304816 */     // GIR_Coverage, 72316,
     /* 2304816 */     GIR_EraseRootFromParent_Done,
     /* 2304817 */   // Label 31608: @2304817
     /* 2304817 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2304879), // Rule ID 72317 //
     /* 2304822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304852 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2304855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304878 */     // GIR_Coverage, 72317,
     /* 2304878 */     GIR_EraseRootFromParent_Done,
     /* 2304879 */   // Label 31609: @2304879
     /* 2304879 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2304941), // Rule ID 54888 //
     /* 2304884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304914 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2304917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304940 */     // GIR_Coverage, 54888,
     /* 2304940 */     GIR_EraseRootFromParent_Done,
     /* 2304941 */   // Label 31610: @2304941
     /* 2304941 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2305003), // Rule ID 54889 //
     /* 2304946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304976 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2304979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305002 */     // GIR_Coverage, 54889,
     /* 2305002 */     GIR_EraseRootFromParent_Done,
     /* 2305003 */   // Label 31611: @2305003
     /* 2305003 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2305048), // Rule ID 54884 //
     /* 2305008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305023 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2305026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305047 */     // GIR_Coverage, 54884,
     /* 2305047 */     GIR_EraseRootFromParent_Done,
     /* 2305048 */   // Label 31612: @2305048
     /* 2305048 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2305093), // Rule ID 54885 //
     /* 2305053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305068 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2305071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305092 */     // GIR_Coverage, 54885,
     /* 2305092 */     GIR_EraseRootFromParent_Done,
     /* 2305093 */   // Label 31613: @2305093
     /* 2305093 */   GIM_Reject,
     /* 2305094 */ // Label 31601: @2305094
     /* 2305094 */ GIM_Reject,
     /* 2305095 */ // Label 31469: @2305095
     /* 2305095 */ GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2305884),
     /* 2305100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2305109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305113 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2305190), // Rule ID 55084 //
     /* 2305118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305161 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2305164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305189 */     // GIR_Coverage, 55084,
     /* 2305189 */     GIR_EraseRootFromParent_Done,
     /* 2305190 */   // Label 31615: @2305190
     /* 2305190 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2305267), // Rule ID 55085 //
     /* 2305195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305238 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2305241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305266 */     // GIR_Coverage, 55085,
     /* 2305266 */     GIR_EraseRootFromParent_Done,
     /* 2305267 */   // Label 31616: @2305267
     /* 2305267 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2305344), // Rule ID 72480 //
     /* 2305272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305315 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2305318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305343 */     // GIR_Coverage, 72480,
     /* 2305343 */     GIR_EraseRootFromParent_Done,
     /* 2305344 */   // Label 31617: @2305344
     /* 2305344 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2305421), // Rule ID 72481 //
     /* 2305349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305392 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2305395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305420 */     // GIR_Coverage, 72481,
     /* 2305420 */     GIR_EraseRootFromParent_Done,
     /* 2305421 */   // Label 31618: @2305421
     /* 2305421 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2305483), // Rule ID 55088 //
     /* 2305426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305456 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2305459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305482 */     // GIR_Coverage, 55088,
     /* 2305482 */     GIR_EraseRootFromParent_Done,
     /* 2305483 */   // Label 31619: @2305483
     /* 2305483 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2305545), // Rule ID 55089 //
     /* 2305488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305518 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2305521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305544 */     // GIR_Coverage, 55089,
     /* 2305544 */     GIR_EraseRootFromParent_Done,
     /* 2305545 */   // Label 31620: @2305545
     /* 2305545 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2305607), // Rule ID 72484 //
     /* 2305550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305580 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2305583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305606 */     // GIR_Coverage, 72484,
     /* 2305606 */     GIR_EraseRootFromParent_Done,
     /* 2305607 */   // Label 31621: @2305607
     /* 2305607 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2305669), // Rule ID 72485 //
     /* 2305612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305642 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2305645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305668 */     // GIR_Coverage, 72485,
     /* 2305668 */     GIR_EraseRootFromParent_Done,
     /* 2305669 */   // Label 31622: @2305669
     /* 2305669 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2305731), // Rule ID 55080 //
     /* 2305674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305704 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2305707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2305717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305730 */     // GIR_Coverage, 55080,
     /* 2305730 */     GIR_EraseRootFromParent_Done,
     /* 2305731 */   // Label 31623: @2305731
     /* 2305731 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2305793), // Rule ID 55081 //
     /* 2305736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305766 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2305769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2305779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305792 */     // GIR_Coverage, 55081,
     /* 2305792 */     GIR_EraseRootFromParent_Done,
     /* 2305793 */   // Label 31624: @2305793
     /* 2305793 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2305838), // Rule ID 55076 //
     /* 2305798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305813 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2305816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305837 */     // GIR_Coverage, 55076,
     /* 2305837 */     GIR_EraseRootFromParent_Done,
     /* 2305838 */   // Label 31625: @2305838
     /* 2305838 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2305883), // Rule ID 55077 //
     /* 2305843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305858 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2305861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305882 */     // GIR_Coverage, 55077,
     /* 2305882 */     GIR_EraseRootFromParent_Done,
     /* 2305883 */   // Label 31626: @2305883
     /* 2305883 */   GIM_Reject,
     /* 2305884 */ // Label 31614: @2305884
     /* 2305884 */ GIM_Reject,
     /* 2305885 */ // Label 31470: @2305885
     /* 2305885 */ GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2306674),
     /* 2305890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2305896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2305899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305903 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2305980), // Rule ID 55596 //
     /* 2305908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305951 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2305954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305979 */     // GIR_Coverage, 55596,
     /* 2305979 */     GIR_EraseRootFromParent_Done,
     /* 2305980 */   // Label 31628: @2305980
     /* 2305980 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2306057), // Rule ID 55597 //
     /* 2305985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306028 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2306031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306056 */     // GIR_Coverage, 55597,
     /* 2306056 */     GIR_EraseRootFromParent_Done,
     /* 2306057 */   // Label 31629: @2306057
     /* 2306057 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2306134), // Rule ID 72928 //
     /* 2306062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306105 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2306108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306133 */     // GIR_Coverage, 72928,
     /* 2306133 */     GIR_EraseRootFromParent_Done,
     /* 2306134 */   // Label 31630: @2306134
     /* 2306134 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2306211), // Rule ID 72929 //
     /* 2306139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306182 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2306185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306210 */     // GIR_Coverage, 72929,
     /* 2306210 */     GIR_EraseRootFromParent_Done,
     /* 2306211 */   // Label 31631: @2306211
     /* 2306211 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2306273), // Rule ID 55600 //
     /* 2306216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306246 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2306249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306272 */     // GIR_Coverage, 55600,
     /* 2306272 */     GIR_EraseRootFromParent_Done,
     /* 2306273 */   // Label 31632: @2306273
     /* 2306273 */   GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2306335), // Rule ID 55601 //
     /* 2306278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306308 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2306311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306334 */     // GIR_Coverage, 55601,
     /* 2306334 */     GIR_EraseRootFromParent_Done,
     /* 2306335 */   // Label 31633: @2306335
     /* 2306335 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2306397), // Rule ID 72932 //
     /* 2306340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306370 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2306373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306396 */     // GIR_Coverage, 72932,
     /* 2306396 */     GIR_EraseRootFromParent_Done,
     /* 2306397 */   // Label 31634: @2306397
     /* 2306397 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2306459), // Rule ID 72933 //
     /* 2306402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306432 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2306435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306458 */     // GIR_Coverage, 72933,
     /* 2306458 */     GIR_EraseRootFromParent_Done,
     /* 2306459 */   // Label 31635: @2306459
     /* 2306459 */   GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2306521), // Rule ID 55592 //
     /* 2306464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306494 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2306497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2306507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306520 */     // GIR_Coverage, 55592,
     /* 2306520 */     GIR_EraseRootFromParent_Done,
     /* 2306521 */   // Label 31636: @2306521
     /* 2306521 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2306583), // Rule ID 55593 //
     /* 2306526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306556 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2306559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2306569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306582 */     // GIR_Coverage, 55593,
     /* 2306582 */     GIR_EraseRootFromParent_Done,
     /* 2306583 */   // Label 31637: @2306583
     /* 2306583 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2306628), // Rule ID 55588 //
     /* 2306588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306603 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2306606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306627 */     // GIR_Coverage, 55588,
     /* 2306627 */     GIR_EraseRootFromParent_Done,
     /* 2306628 */   // Label 31638: @2306628
     /* 2306628 */   GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2306673), // Rule ID 55589 //
     /* 2306633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306648 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2306651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306672 */     // GIR_Coverage, 55589,
     /* 2306672 */     GIR_EraseRootFromParent_Done,
     /* 2306673 */   // Label 31639: @2306673
     /* 2306673 */   GIM_Reject,
     /* 2306674 */ // Label 31627: @2306674
     /* 2306674 */ GIM_Reject,
     /* 2306675 */ // Label 31471: @2306675
     /* 2306675 */ GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2307464),
     /* 2306680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2306686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2306689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306693 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2306770), // Rule ID 55020 //
     /* 2306698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306741 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2306744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306769 */     // GIR_Coverage, 55020,
     /* 2306769 */     GIR_EraseRootFromParent_Done,
     /* 2306770 */   // Label 31641: @2306770
     /* 2306770 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2306847), // Rule ID 55021 //
     /* 2306775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306818 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2306821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306846 */     // GIR_Coverage, 55021,
     /* 2306846 */     GIR_EraseRootFromParent_Done,
     /* 2306847 */   // Label 31642: @2306847
     /* 2306847 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2306924), // Rule ID 72424 //
     /* 2306852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306895 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2306898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306923 */     // GIR_Coverage, 72424,
     /* 2306923 */     GIR_EraseRootFromParent_Done,
     /* 2306924 */   // Label 31643: @2306924
     /* 2306924 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2307001), // Rule ID 72425 //
     /* 2306929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306972 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2306975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307000 */     // GIR_Coverage, 72425,
     /* 2307000 */     GIR_EraseRootFromParent_Done,
     /* 2307001 */   // Label 31644: @2307001
     /* 2307001 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2307063), // Rule ID 55024 //
     /* 2307006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307036 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2307039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307062 */     // GIR_Coverage, 55024,
     /* 2307062 */     GIR_EraseRootFromParent_Done,
     /* 2307063 */   // Label 31645: @2307063
     /* 2307063 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2307125), // Rule ID 55025 //
     /* 2307068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307098 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2307101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307124 */     // GIR_Coverage, 55025,
     /* 2307124 */     GIR_EraseRootFromParent_Done,
     /* 2307125 */   // Label 31646: @2307125
     /* 2307125 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2307187), // Rule ID 72428 //
     /* 2307130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307160 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2307163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307186 */     // GIR_Coverage, 72428,
     /* 2307186 */     GIR_EraseRootFromParent_Done,
     /* 2307187 */   // Label 31647: @2307187
     /* 2307187 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2307249), // Rule ID 72429 //
     /* 2307192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307222 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2307225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307248 */     // GIR_Coverage, 72429,
     /* 2307248 */     GIR_EraseRootFromParent_Done,
     /* 2307249 */   // Label 31648: @2307249
     /* 2307249 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2307311), // Rule ID 55016 //
     /* 2307254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307284 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2307287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2307297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307310 */     // GIR_Coverage, 55016,
     /* 2307310 */     GIR_EraseRootFromParent_Done,
     /* 2307311 */   // Label 31649: @2307311
     /* 2307311 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2307373), // Rule ID 55017 //
     /* 2307316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307346 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2307349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2307359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307372 */     // GIR_Coverage, 55017,
     /* 2307372 */     GIR_EraseRootFromParent_Done,
     /* 2307373 */   // Label 31650: @2307373
     /* 2307373 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2307418), // Rule ID 55012 //
     /* 2307378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307393 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2307396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307417 */     // GIR_Coverage, 55012,
     /* 2307417 */     GIR_EraseRootFromParent_Done,
     /* 2307418 */   // Label 31651: @2307418
     /* 2307418 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2307463), // Rule ID 55013 //
     /* 2307423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307438 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2307441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307462 */     // GIR_Coverage, 55013,
     /* 2307462 */     GIR_EraseRootFromParent_Done,
     /* 2307463 */   // Label 31652: @2307463
     /* 2307463 */   GIM_Reject,
     /* 2307464 */ // Label 31640: @2307464
     /* 2307464 */ GIM_Reject,
     /* 2307465 */ // Label 31472: @2307465
     /* 2307465 */ GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2308254),
     /* 2307470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2307476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2307479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307483 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2307560), // Rule ID 55404 //
     /* 2307488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307531 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2307534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307559 */     // GIR_Coverage, 55404,
     /* 2307559 */     GIR_EraseRootFromParent_Done,
     /* 2307560 */   // Label 31654: @2307560
     /* 2307560 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2307637), // Rule ID 55405 //
     /* 2307565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307608 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2307611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307636 */     // GIR_Coverage, 55405,
     /* 2307636 */     GIR_EraseRootFromParent_Done,
     /* 2307637 */   // Label 31655: @2307637
     /* 2307637 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2307714), // Rule ID 72760 //
     /* 2307642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307685 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2307688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307713 */     // GIR_Coverage, 72760,
     /* 2307713 */     GIR_EraseRootFromParent_Done,
     /* 2307714 */   // Label 31656: @2307714
     /* 2307714 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2307791), // Rule ID 72761 //
     /* 2307719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307762 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2307765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307790 */     // GIR_Coverage, 72761,
     /* 2307790 */     GIR_EraseRootFromParent_Done,
     /* 2307791 */   // Label 31657: @2307791
     /* 2307791 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2307853), // Rule ID 55408 //
     /* 2307796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307826 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2307829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307852 */     // GIR_Coverage, 55408,
     /* 2307852 */     GIR_EraseRootFromParent_Done,
     /* 2307853 */   // Label 31658: @2307853
     /* 2307853 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2307915), // Rule ID 55409 //
     /* 2307858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307888 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2307891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307914 */     // GIR_Coverage, 55409,
     /* 2307914 */     GIR_EraseRootFromParent_Done,
     /* 2307915 */   // Label 31659: @2307915
     /* 2307915 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2307977), // Rule ID 72764 //
     /* 2307920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307950 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2307953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307976 */     // GIR_Coverage, 72764,
     /* 2307976 */     GIR_EraseRootFromParent_Done,
     /* 2307977 */   // Label 31660: @2307977
     /* 2307977 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2308039), // Rule ID 72765 //
     /* 2307982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308012 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2308015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308038 */     // GIR_Coverage, 72765,
     /* 2308038 */     GIR_EraseRootFromParent_Done,
     /* 2308039 */   // Label 31661: @2308039
     /* 2308039 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2308101), // Rule ID 55400 //
     /* 2308044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308074 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2308077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308100 */     // GIR_Coverage, 55400,
     /* 2308100 */     GIR_EraseRootFromParent_Done,
     /* 2308101 */   // Label 31662: @2308101
     /* 2308101 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2308163), // Rule ID 55401 //
     /* 2308106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308136 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2308139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308162 */     // GIR_Coverage, 55401,
     /* 2308162 */     GIR_EraseRootFromParent_Done,
     /* 2308163 */   // Label 31663: @2308163
     /* 2308163 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2308208), // Rule ID 55396 //
     /* 2308168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308183 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2308186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308207 */     // GIR_Coverage, 55396,
     /* 2308207 */     GIR_EraseRootFromParent_Done,
     /* 2308208 */   // Label 31664: @2308208
     /* 2308208 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2308253), // Rule ID 55397 //
     /* 2308213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308228 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2308231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308252 */     // GIR_Coverage, 55397,
     /* 2308252 */     GIR_EraseRootFromParent_Done,
     /* 2308253 */   // Label 31665: @2308253
     /* 2308253 */   GIM_Reject,
     /* 2308254 */ // Label 31653: @2308254
     /* 2308254 */ GIM_Reject,
     /* 2308255 */ // Label 31473: @2308255
     /* 2308255 */ GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2309044),
     /* 2308260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2308266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2308269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308273 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2308350), // Rule ID 55660 //
     /* 2308278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308321 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2308324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308349 */     // GIR_Coverage, 55660,
     /* 2308349 */     GIR_EraseRootFromParent_Done,
     /* 2308350 */   // Label 31667: @2308350
     /* 2308350 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2308427), // Rule ID 55661 //
     /* 2308355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308398 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2308401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308426 */     // GIR_Coverage, 55661,
     /* 2308426 */     GIR_EraseRootFromParent_Done,
     /* 2308427 */   // Label 31668: @2308427
     /* 2308427 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2308504), // Rule ID 72984 //
     /* 2308432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308475 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2308478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308503 */     // GIR_Coverage, 72984,
     /* 2308503 */     GIR_EraseRootFromParent_Done,
     /* 2308504 */   // Label 31669: @2308504
     /* 2308504 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2308581), // Rule ID 72985 //
     /* 2308509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308552 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2308555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308580 */     // GIR_Coverage, 72985,
     /* 2308580 */     GIR_EraseRootFromParent_Done,
     /* 2308581 */   // Label 31670: @2308581
     /* 2308581 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2308643), // Rule ID 55664 //
     /* 2308586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308616 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2308619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308642 */     // GIR_Coverage, 55664,
     /* 2308642 */     GIR_EraseRootFromParent_Done,
     /* 2308643 */   // Label 31671: @2308643
     /* 2308643 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2308705), // Rule ID 55665 //
     /* 2308648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308678 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2308681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308704 */     // GIR_Coverage, 55665,
     /* 2308704 */     GIR_EraseRootFromParent_Done,
     /* 2308705 */   // Label 31672: @2308705
     /* 2308705 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2308767), // Rule ID 72988 //
     /* 2308710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308740 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2308743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308766 */     // GIR_Coverage, 72988,
     /* 2308766 */     GIR_EraseRootFromParent_Done,
     /* 2308767 */   // Label 31673: @2308767
     /* 2308767 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2308829), // Rule ID 72989 //
     /* 2308772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308802 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2308805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308828 */     // GIR_Coverage, 72989,
     /* 2308828 */     GIR_EraseRootFromParent_Done,
     /* 2308829 */   // Label 31674: @2308829
     /* 2308829 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2308891), // Rule ID 55656 //
     /* 2308834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308864 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2308867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308890 */     // GIR_Coverage, 55656,
     /* 2308890 */     GIR_EraseRootFromParent_Done,
     /* 2308891 */   // Label 31675: @2308891
     /* 2308891 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2308953), // Rule ID 55657 //
     /* 2308896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308926 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2308929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308952 */     // GIR_Coverage, 55657,
     /* 2308952 */     GIR_EraseRootFromParent_Done,
     /* 2308953 */   // Label 31676: @2308953
     /* 2308953 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2308998), // Rule ID 55652 //
     /* 2308958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308973 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2308976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308997 */     // GIR_Coverage, 55652,
     /* 2308997 */     GIR_EraseRootFromParent_Done,
     /* 2308998 */   // Label 31677: @2308998
     /* 2308998 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2309043), // Rule ID 55653 //
     /* 2309003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2309006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309018 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2309021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309042 */     // GIR_Coverage, 55653,
     /* 2309042 */     GIR_EraseRootFromParent_Done,
     /* 2309043 */   // Label 31678: @2309043
     /* 2309043 */   GIM_Reject,
     /* 2309044 */ // Label 31666: @2309044
     /* 2309044 */ GIM_Reject,
     /* 2309045 */ // Label 31474: @2309045
     /* 2309045 */ GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2309834),
     /* 2309050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2309056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2309059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309063 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2309140), // Rule ID 55212 //
     /* 2309068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309111 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2309114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309139 */     // GIR_Coverage, 55212,
     /* 2309139 */     GIR_EraseRootFromParent_Done,
     /* 2309140 */   // Label 31680: @2309140
     /* 2309140 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2309217), // Rule ID 55213 //
     /* 2309145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309188 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2309191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309216 */     // GIR_Coverage, 55213,
     /* 2309216 */     GIR_EraseRootFromParent_Done,
     /* 2309217 */   // Label 31681: @2309217
     /* 2309217 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2309294), // Rule ID 72592 //
     /* 2309222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309265 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2309268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309293 */     // GIR_Coverage, 72592,
     /* 2309293 */     GIR_EraseRootFromParent_Done,
     /* 2309294 */   // Label 31682: @2309294
     /* 2309294 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2309371), // Rule ID 72593 //
     /* 2309299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309342 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2309345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309370 */     // GIR_Coverage, 72593,
     /* 2309370 */     GIR_EraseRootFromParent_Done,
     /* 2309371 */   // Label 31683: @2309371
     /* 2309371 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2309433), // Rule ID 55216 //
     /* 2309376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309406 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2309409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309432 */     // GIR_Coverage, 55216,
     /* 2309432 */     GIR_EraseRootFromParent_Done,
     /* 2309433 */   // Label 31684: @2309433
     /* 2309433 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2309495), // Rule ID 55217 //
     /* 2309438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309468 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2309471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309494 */     // GIR_Coverage, 55217,
     /* 2309494 */     GIR_EraseRootFromParent_Done,
     /* 2309495 */   // Label 31685: @2309495
     /* 2309495 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2309557), // Rule ID 72596 //
     /* 2309500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309530 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2309533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309556 */     // GIR_Coverage, 72596,
     /* 2309556 */     GIR_EraseRootFromParent_Done,
     /* 2309557 */   // Label 31686: @2309557
     /* 2309557 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2309619), // Rule ID 72597 //
     /* 2309562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309592 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2309595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309618 */     // GIR_Coverage, 72597,
     /* 2309618 */     GIR_EraseRootFromParent_Done,
     /* 2309619 */   // Label 31687: @2309619
     /* 2309619 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2309681), // Rule ID 55208 //
     /* 2309624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309654 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2309657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2309667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309680 */     // GIR_Coverage, 55208,
     /* 2309680 */     GIR_EraseRootFromParent_Done,
     /* 2309681 */   // Label 31688: @2309681
     /* 2309681 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2309743), // Rule ID 55209 //
     /* 2309686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2309709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309716 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2309719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2309729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309742 */     // GIR_Coverage, 55209,
     /* 2309742 */     GIR_EraseRootFromParent_Done,
     /* 2309743 */   // Label 31689: @2309743
     /* 2309743 */   GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2309788), // Rule ID 55204 //
     /* 2309748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309763 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2309766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309787 */     // GIR_Coverage, 55204,
     /* 2309787 */     GIR_EraseRootFromParent_Done,
     /* 2309788 */   // Label 31690: @2309788
     /* 2309788 */   GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2309833), // Rule ID 55205 //
     /* 2309793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309808 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2309811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309832 */     // GIR_Coverage, 55205,
     /* 2309832 */     GIR_EraseRootFromParent_Done,
     /* 2309833 */   // Label 31691: @2309833
     /* 2309833 */   GIM_Reject,
     /* 2309834 */ // Label 31679: @2309834
     /* 2309834 */ GIM_Reject,
     /* 2309835 */ // Label 31475: @2309835
     /* 2309835 */ GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2310624),
     /* 2309840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2309843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2309846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2309849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309853 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2309930), // Rule ID 55468 //
     /* 2309858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2309861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2309873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2309894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309901 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2309904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309929 */     // GIR_Coverage, 55468,
     /* 2309929 */     GIR_EraseRootFromParent_Done,
     /* 2309930 */   // Label 31693: @2309930
     /* 2309930 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2310007), // Rule ID 55469 //
     /* 2309935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2309938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2309950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2309971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309978 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2309981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310006 */     // GIR_Coverage, 55469,
     /* 2310006 */     GIR_EraseRootFromParent_Done,
     /* 2310007 */   // Label 31694: @2310007
     /* 2310007 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2310084), // Rule ID 72816 //
     /* 2310012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310055 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2310058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310083 */     // GIR_Coverage, 72816,
     /* 2310083 */     GIR_EraseRootFromParent_Done,
     /* 2310084 */   // Label 31695: @2310084
     /* 2310084 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2310161), // Rule ID 72817 //
     /* 2310089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310132 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2310135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310160 */     // GIR_Coverage, 72817,
     /* 2310160 */     GIR_EraseRootFromParent_Done,
     /* 2310161 */   // Label 31696: @2310161
     /* 2310161 */   GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2310223), // Rule ID 55472 //
     /* 2310166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310196 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2310199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310222 */     // GIR_Coverage, 55472,
     /* 2310222 */     GIR_EraseRootFromParent_Done,
     /* 2310223 */   // Label 31697: @2310223
     /* 2310223 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2310285), // Rule ID 55473 //
     /* 2310228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310258 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2310261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310284 */     // GIR_Coverage, 55473,
     /* 2310284 */     GIR_EraseRootFromParent_Done,
     /* 2310285 */   // Label 31698: @2310285
     /* 2310285 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2310347), // Rule ID 72820 //
     /* 2310290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310320 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2310323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310346 */     // GIR_Coverage, 72820,
     /* 2310346 */     GIR_EraseRootFromParent_Done,
     /* 2310347 */   // Label 31699: @2310347
     /* 2310347 */   GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2310409), // Rule ID 72821 //
     /* 2310352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310382 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2310385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310408 */     // GIR_Coverage, 72821,
     /* 2310408 */     GIR_EraseRootFromParent_Done,
     /* 2310409 */   // Label 31700: @2310409
     /* 2310409 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2310471), // Rule ID 55464 //
     /* 2310414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310444 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2310447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2310457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310470 */     // GIR_Coverage, 55464,
     /* 2310470 */     GIR_EraseRootFromParent_Done,
     /* 2310471 */   // Label 31701: @2310471
     /* 2310471 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2310533), // Rule ID 55465 //
     /* 2310476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310506 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2310509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2310519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310532 */     // GIR_Coverage, 55465,
     /* 2310532 */     GIR_EraseRootFromParent_Done,
     /* 2310533 */   // Label 31702: @2310533
     /* 2310533 */   GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2310578), // Rule ID 55460 //
     /* 2310538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310553 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2310556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310577 */     // GIR_Coverage, 55460,
     /* 2310577 */     GIR_EraseRootFromParent_Done,
     /* 2310578 */   // Label 31703: @2310578
     /* 2310578 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2310623), // Rule ID 55461 //
     /* 2310583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310598 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2310601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310622 */     // GIR_Coverage, 55461,
     /* 2310622 */     GIR_EraseRootFromParent_Done,
     /* 2310623 */   // Label 31704: @2310623
     /* 2310623 */   GIM_Reject,
     /* 2310624 */ // Label 31692: @2310624
     /* 2310624 */ GIM_Reject,
     /* 2310625 */ // Label 31476: @2310625
     /* 2310625 */ GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2311414),
     /* 2310630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2310636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2310639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310643 */   GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2310720), // Rule ID 55724 //
     /* 2310648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310691 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2310694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310719 */     // GIR_Coverage, 55724,
     /* 2310719 */     GIR_EraseRootFromParent_Done,
     /* 2310720 */   // Label 31706: @2310720
     /* 2310720 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2310797), // Rule ID 55725 //
     /* 2310725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2310728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310768 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2310771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310796 */     // GIR_Coverage, 55725,
     /* 2310796 */     GIR_EraseRootFromParent_Done,
     /* 2310797 */   // Label 31707: @2310797
     /* 2310797 */   GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2310874), // Rule ID 73040 //
     /* 2310802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310845 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2310848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310873 */     // GIR_Coverage, 73040,
     /* 2310873 */     GIR_EraseRootFromParent_Done,
     /* 2310874 */   // Label 31708: @2310874
     /* 2310874 */   GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2310951), // Rule ID 73041 //
     /* 2310879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2310882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310922 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2310925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310950 */     // GIR_Coverage, 73041,
     /* 2310950 */     GIR_EraseRootFromParent_Done,
     /* 2310951 */   // Label 31709: @2310951
     /* 2310951 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2311013), // Rule ID 55728 //
     /* 2310956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310986 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2310989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311012 */     // GIR_Coverage, 55728,
     /* 2311012 */     GIR_EraseRootFromParent_Done,
     /* 2311013 */   // Label 31710: @2311013
     /* 2311013 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2311075), // Rule ID 55729 //
     /* 2311018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311048 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2311051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311074 */     // GIR_Coverage, 55729,
     /* 2311074 */     GIR_EraseRootFromParent_Done,
     /* 2311075 */   // Label 31711: @2311075
     /* 2311075 */   GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2311137), // Rule ID 73044 //
     /* 2311080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311110 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2311113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311136 */     // GIR_Coverage, 73044,
     /* 2311136 */     GIR_EraseRootFromParent_Done,
     /* 2311137 */   // Label 31712: @2311137
     /* 2311137 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2311199), // Rule ID 73045 //
     /* 2311142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311172 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2311175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311198 */     // GIR_Coverage, 73045,
     /* 2311198 */     GIR_EraseRootFromParent_Done,
     /* 2311199 */   // Label 31713: @2311199
     /* 2311199 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2311261), // Rule ID 55720 //
     /* 2311204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311234 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2311237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311260 */     // GIR_Coverage, 55720,
     /* 2311260 */     GIR_EraseRootFromParent_Done,
     /* 2311261 */   // Label 31714: @2311261
     /* 2311261 */   GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2311323), // Rule ID 55721 //
     /* 2311266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311296 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2311299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311322 */     // GIR_Coverage, 55721,
     /* 2311322 */     GIR_EraseRootFromParent_Done,
     /* 2311323 */   // Label 31715: @2311323
     /* 2311323 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2311368), // Rule ID 55716 //
     /* 2311328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311343 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2311346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311367 */     // GIR_Coverage, 55716,
     /* 2311367 */     GIR_EraseRootFromParent_Done,
     /* 2311368 */   // Label 31716: @2311368
     /* 2311368 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2311413), // Rule ID 55717 //
     /* 2311373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311388 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2311391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311412 */     // GIR_Coverage, 55717,
     /* 2311412 */     GIR_EraseRootFromParent_Done,
     /* 2311413 */   // Label 31717: @2311413
     /* 2311413 */   GIM_Reject,
     /* 2311414 */ // Label 31705: @2311414
     /* 2311414 */ GIM_Reject,
     /* 2311415 */ // Label 31477: @2311415
     /* 2311415 */ GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2312204),
     /* 2311420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2311426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2311429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311433 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2311510), // Rule ID 55276 //
     /* 2311438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311481 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2311484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311509 */     // GIR_Coverage, 55276,
     /* 2311509 */     GIR_EraseRootFromParent_Done,
     /* 2311510 */   // Label 31719: @2311510
     /* 2311510 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2311587), // Rule ID 55277 //
     /* 2311515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311558 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2311561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311586 */     // GIR_Coverage, 55277,
     /* 2311586 */     GIR_EraseRootFromParent_Done,
     /* 2311587 */   // Label 31720: @2311587
     /* 2311587 */   GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2311664), // Rule ID 72648 //
     /* 2311592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311635 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2311638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311663 */     // GIR_Coverage, 72648,
     /* 2311663 */     GIR_EraseRootFromParent_Done,
     /* 2311664 */   // Label 31721: @2311664
     /* 2311664 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2311741), // Rule ID 72649 //
     /* 2311669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311712 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2311715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311740 */     // GIR_Coverage, 72649,
     /* 2311740 */     GIR_EraseRootFromParent_Done,
     /* 2311741 */   // Label 31722: @2311741
     /* 2311741 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2311803), // Rule ID 55280 //
     /* 2311746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311776 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2311779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311802 */     // GIR_Coverage, 55280,
     /* 2311802 */     GIR_EraseRootFromParent_Done,
     /* 2311803 */   // Label 31723: @2311803
     /* 2311803 */   GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2311865), // Rule ID 55281 //
     /* 2311808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311838 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2311841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311864 */     // GIR_Coverage, 55281,
     /* 2311864 */     GIR_EraseRootFromParent_Done,
     /* 2311865 */   // Label 31724: @2311865
     /* 2311865 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2311927), // Rule ID 72652 //
     /* 2311870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311900 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2311903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311926 */     // GIR_Coverage, 72652,
     /* 2311926 */     GIR_EraseRootFromParent_Done,
     /* 2311927 */   // Label 31725: @2311927
     /* 2311927 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2311989), // Rule ID 72653 //
     /* 2311932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311962 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2311965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311988 */     // GIR_Coverage, 72653,
     /* 2311988 */     GIR_EraseRootFromParent_Done,
     /* 2311989 */   // Label 31726: @2311989
     /* 2311989 */   GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2312051), // Rule ID 55272 //
     /* 2311994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2312017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312024 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2312027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312050 */     // GIR_Coverage, 55272,
     /* 2312050 */     GIR_EraseRootFromParent_Done,
     /* 2312051 */   // Label 31727: @2312051
     /* 2312051 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2312113), // Rule ID 55273 //
     /* 2312056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2312079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312086 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2312089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312112 */     // GIR_Coverage, 55273,
     /* 2312112 */     GIR_EraseRootFromParent_Done,
     /* 2312113 */   // Label 31728: @2312113
     /* 2312113 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2312158), // Rule ID 55268 //
     /* 2312118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312133 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2312136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312157 */     // GIR_Coverage, 55268,
     /* 2312157 */     GIR_EraseRootFromParent_Done,
     /* 2312158 */   // Label 31729: @2312158
     /* 2312158 */   GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2312203), // Rule ID 55269 //
     /* 2312163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312178 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2312181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312202 */     // GIR_Coverage, 55269,
     /* 2312202 */     GIR_EraseRootFromParent_Done,
     /* 2312203 */   // Label 31730: @2312203
     /* 2312203 */   GIM_Reject,
     /* 2312204 */ // Label 31718: @2312204
     /* 2312204 */ GIM_Reject,
     /* 2312205 */ // Label 31478: @2312205
     /* 2312205 */ GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2312994),
     /* 2312210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2312216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2312219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312223 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2312300), // Rule ID 55532 //
     /* 2312228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312271 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2312274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312299 */     // GIR_Coverage, 55532,
     /* 2312299 */     GIR_EraseRootFromParent_Done,
     /* 2312300 */   // Label 31732: @2312300
     /* 2312300 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2312377), // Rule ID 55533 //
     /* 2312305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312348 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2312351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312376 */     // GIR_Coverage, 55533,
     /* 2312376 */     GIR_EraseRootFromParent_Done,
     /* 2312377 */   // Label 31733: @2312377
     /* 2312377 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2312454), // Rule ID 72872 //
     /* 2312382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312425 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2312428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312453 */     // GIR_Coverage, 72872,
     /* 2312453 */     GIR_EraseRootFromParent_Done,
     /* 2312454 */   // Label 31734: @2312454
     /* 2312454 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2312531), // Rule ID 72873 //
     /* 2312459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312502 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2312505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312530 */     // GIR_Coverage, 72873,
     /* 2312530 */     GIR_EraseRootFromParent_Done,
     /* 2312531 */   // Label 31735: @2312531
     /* 2312531 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2312593), // Rule ID 55536 //
     /* 2312536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312566 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2312569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312592 */     // GIR_Coverage, 55536,
     /* 2312592 */     GIR_EraseRootFromParent_Done,
     /* 2312593 */   // Label 31736: @2312593
     /* 2312593 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2312655), // Rule ID 55537 //
     /* 2312598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312628 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2312631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312654 */     // GIR_Coverage, 55537,
     /* 2312654 */     GIR_EraseRootFromParent_Done,
     /* 2312655 */   // Label 31737: @2312655
     /* 2312655 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2312717), // Rule ID 72876 //
     /* 2312660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312690 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2312693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312716 */     // GIR_Coverage, 72876,
     /* 2312716 */     GIR_EraseRootFromParent_Done,
     /* 2312717 */   // Label 31738: @2312717
     /* 2312717 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2312779), // Rule ID 72877 //
     /* 2312722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312752 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2312755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312778 */     // GIR_Coverage, 72877,
     /* 2312778 */     GIR_EraseRootFromParent_Done,
     /* 2312779 */   // Label 31739: @2312779
     /* 2312779 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2312841), // Rule ID 55528 //
     /* 2312784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312814 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2312817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312840 */     // GIR_Coverage, 55528,
     /* 2312840 */     GIR_EraseRootFromParent_Done,
     /* 2312841 */   // Label 31740: @2312841
     /* 2312841 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2312903), // Rule ID 55529 //
     /* 2312846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2312869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312876 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2312879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312902 */     // GIR_Coverage, 55529,
     /* 2312902 */     GIR_EraseRootFromParent_Done,
     /* 2312903 */   // Label 31741: @2312903
     /* 2312903 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2312948), // Rule ID 55524 //
     /* 2312908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312923 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2312926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312947 */     // GIR_Coverage, 55524,
     /* 2312947 */     GIR_EraseRootFromParent_Done,
     /* 2312948 */   // Label 31742: @2312948
     /* 2312948 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2312993), // Rule ID 55525 //
     /* 2312953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312968 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2312971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312992 */     // GIR_Coverage, 55525,
     /* 2312992 */     GIR_EraseRootFromParent_Done,
     /* 2312993 */   // Label 31743: @2312993
     /* 2312993 */   GIM_Reject,
     /* 2312994 */ // Label 31731: @2312994
     /* 2312994 */ GIM_Reject,
     /* 2312995 */ // Label 31479: @2312995
     /* 2312995 */ GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2313784),
     /* 2313000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2313006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2313009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313013 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2313090), // Rule ID 55340 //
     /* 2313018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313061 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2313064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313089 */     // GIR_Coverage, 55340,
     /* 2313089 */     GIR_EraseRootFromParent_Done,
     /* 2313090 */   // Label 31745: @2313090
     /* 2313090 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2313167), // Rule ID 55341 //
     /* 2313095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313138 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2313141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313166 */     // GIR_Coverage, 55341,
     /* 2313166 */     GIR_EraseRootFromParent_Done,
     /* 2313167 */   // Label 31746: @2313167
     /* 2313167 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2313244), // Rule ID 72704 //
     /* 2313172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313215 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2313218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313243 */     // GIR_Coverage, 72704,
     /* 2313243 */     GIR_EraseRootFromParent_Done,
     /* 2313244 */   // Label 31747: @2313244
     /* 2313244 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2313321), // Rule ID 72705 //
     /* 2313249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313292 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2313295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313320 */     // GIR_Coverage, 72705,
     /* 2313320 */     GIR_EraseRootFromParent_Done,
     /* 2313321 */   // Label 31748: @2313321
     /* 2313321 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2313383), // Rule ID 55344 //
     /* 2313326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313356 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2313359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313382 */     // GIR_Coverage, 55344,
     /* 2313382 */     GIR_EraseRootFromParent_Done,
     /* 2313383 */   // Label 31749: @2313383
     /* 2313383 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2313445), // Rule ID 55345 //
     /* 2313388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313418 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2313421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313444 */     // GIR_Coverage, 55345,
     /* 2313444 */     GIR_EraseRootFromParent_Done,
     /* 2313445 */   // Label 31750: @2313445
     /* 2313445 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2313507), // Rule ID 72708 //
     /* 2313450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313480 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2313483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313506 */     // GIR_Coverage, 72708,
     /* 2313506 */     GIR_EraseRootFromParent_Done,
     /* 2313507 */   // Label 31751: @2313507
     /* 2313507 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2313569), // Rule ID 72709 //
     /* 2313512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313542 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2313545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313568 */     // GIR_Coverage, 72709,
     /* 2313568 */     GIR_EraseRootFromParent_Done,
     /* 2313569 */   // Label 31752: @2313569
     /* 2313569 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2313631), // Rule ID 55336 //
     /* 2313574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313604 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2313607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313630 */     // GIR_Coverage, 55336,
     /* 2313630 */     GIR_EraseRootFromParent_Done,
     /* 2313631 */   // Label 31753: @2313631
     /* 2313631 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2313693), // Rule ID 55337 //
     /* 2313636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313666 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2313669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313692 */     // GIR_Coverage, 55337,
     /* 2313692 */     GIR_EraseRootFromParent_Done,
     /* 2313693 */   // Label 31754: @2313693
     /* 2313693 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2313738), // Rule ID 55332 //
     /* 2313698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313713 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2313716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313737 */     // GIR_Coverage, 55332,
     /* 2313737 */     GIR_EraseRootFromParent_Done,
     /* 2313738 */   // Label 31755: @2313738
     /* 2313738 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2313783), // Rule ID 55333 //
     /* 2313743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313758 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2313761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313782 */     // GIR_Coverage, 55333,
     /* 2313782 */     GIR_EraseRootFromParent_Done,
     /* 2313783 */   // Label 31756: @2313783
     /* 2313783 */   GIM_Reject,
     /* 2313784 */ // Label 31744: @2313784
     /* 2313784 */ GIM_Reject,
     /* 2313785 */ // Label 31480: @2313785
     /* 2313785 */ GIM_Reject,
     /* 2313786 */ // Label 63: @2313786
     /* 2313786 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31775*/ GIMT_Encode4(2316213),
     /* 2313797 */ /*GILLT_s16*//*Label 31757*/ GIMT_Encode4(2313917),
     /* 2313801 */ /*GILLT_s32*//*Label 31758*/ GIMT_Encode4(2314066),
     /* 2313805 */ /*GILLT_s64*//*Label 31759*/ GIMT_Encode4(2314215), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313817 */ /*GILLT_nxv1s16*//*Label 31760*/ GIMT_Encode4(2314398),
     /* 2313821 */ /*GILLT_nxv1s32*//*Label 31761*/ GIMT_Encode4(2314519),
     /* 2313825 */ /*GILLT_nxv1s64*//*Label 31762*/ GIMT_Encode4(2314640), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313837 */ /*GILLT_nxv2s16*//*Label 31763*/ GIMT_Encode4(2314761),
     /* 2313841 */ /*GILLT_nxv2s32*//*Label 31764*/ GIMT_Encode4(2314882),
     /* 2313845 */ /*GILLT_nxv2s64*//*Label 31765*/ GIMT_Encode4(2315003), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313857 */ /*GILLT_nxv4s16*//*Label 31766*/ GIMT_Encode4(2315124),
     /* 2313861 */ /*GILLT_nxv4s32*//*Label 31767*/ GIMT_Encode4(2315245),
     /* 2313865 */ /*GILLT_nxv4s64*//*Label 31768*/ GIMT_Encode4(2315366), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313877 */ /*GILLT_nxv8s16*//*Label 31769*/ GIMT_Encode4(2315487),
     /* 2313881 */ /*GILLT_nxv8s32*//*Label 31770*/ GIMT_Encode4(2315608),
     /* 2313885 */ /*GILLT_nxv8s64*//*Label 31771*/ GIMT_Encode4(2315729), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313897 */ /*GILLT_nxv16s16*//*Label 31772*/ GIMT_Encode4(2315850),
     /* 2313901 */ /*GILLT_nxv16s32*//*Label 31773*/ GIMT_Encode4(2315971), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313913 */ /*GILLT_nxv32s16*//*Label 31774*/ GIMT_Encode4(2316092),
     /* 2313917 */ // Label 31757: @2313917
     /* 2313917 */ GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2314065),
     /* 2313922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2313928 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2313962), // Rule ID 1972 //
     /* 2313933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2313936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313948 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2313948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2313951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2313957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313961 */     // GIR_Coverage, 1972,
     /* 2313961 */     GIR_EraseRootFromParent_Done,
     /* 2313962 */   // Label 31777: @2313962
     /* 2313962 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2313996), // Rule ID 1973 //
     /* 2313967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2313970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313982 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2313982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2313985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2313991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313995 */     // GIR_Coverage, 1973,
     /* 2313995 */     GIR_EraseRootFromParent_Done,
     /* 2313996 */   // Label 31778: @2313996
     /* 2313996 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2314030), // Rule ID 1976 //
     /* 2314001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2314004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314016 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2314016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2314019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314029 */     // GIR_Coverage, 1976,
     /* 2314029 */     GIR_EraseRootFromParent_Done,
     /* 2314030 */   // Label 31779: @2314030
     /* 2314030 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2314064), // Rule ID 1977 //
     /* 2314035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2314038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314050 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2314050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2314053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314063 */     // GIR_Coverage, 1977,
     /* 2314063 */     GIR_EraseRootFromParent_Done,
     /* 2314064 */   // Label 31780: @2314064
     /* 2314064 */   GIM_Reject,
     /* 2314065 */ // Label 31776: @2314065
     /* 2314065 */ GIM_Reject,
     /* 2314066 */ // Label 31758: @2314066
     /* 2314066 */ GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2314214),
     /* 2314071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2314077 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2314111), // Rule ID 1263 //
     /* 2314082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2314085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314097 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2314097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2314100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314110 */     // GIR_Coverage, 1263,
     /* 2314110 */     GIR_EraseRootFromParent_Done,
     /* 2314111 */   // Label 31782: @2314111
     /* 2314111 */   GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2314145), // Rule ID 1264 //
     /* 2314116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2314119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314131 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2314131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2314134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314144 */     // GIR_Coverage, 1264,
     /* 2314144 */     GIR_EraseRootFromParent_Done,
     /* 2314145 */   // Label 31783: @2314145
     /* 2314145 */   GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2314179), // Rule ID 1267 //
     /* 2314150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2314153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314165 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2314165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2314168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314178 */     // GIR_Coverage, 1267,
     /* 2314178 */     GIR_EraseRootFromParent_Done,
     /* 2314179 */   // Label 31784: @2314179
     /* 2314179 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2314213), // Rule ID 1268 //
     /* 2314184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2314187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314199 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2314199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2314202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314212 */     // GIR_Coverage, 1268,
     /* 2314212 */     GIR_EraseRootFromParent_Done,
     /* 2314213 */   // Label 31785: @2314213
     /* 2314213 */   GIM_Reject,
     /* 2314214 */ // Label 31781: @2314214
     /* 2314214 */ GIM_Reject,
     /* 2314215 */ // Label 31759: @2314215
     /* 2314215 */ GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2314397),
     /* 2314220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2314226 */   GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2314260), // Rule ID 1604 //
     /* 2314231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2314234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314246 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2314246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2314249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314259 */     // GIR_Coverage, 1604,
     /* 2314259 */     GIR_EraseRootFromParent_Done,
     /* 2314260 */   // Label 31787: @2314260
     /* 2314260 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2314294), // Rule ID 1605 //
     /* 2314265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2314268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314280 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2314280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2314283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314293 */     // GIR_Coverage, 1605,
     /* 2314293 */     GIR_EraseRootFromParent_Done,
     /* 2314294 */   // Label 31788: @2314294
     /* 2314294 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2314328), // Rule ID 1608 //
     /* 2314299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2314302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314314 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2314314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2314317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314327 */     // GIR_Coverage, 1608,
     /* 2314327 */     GIR_EraseRootFromParent_Done,
     /* 2314328 */   // Label 31789: @2314328
     /* 2314328 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2314362), // Rule ID 1609 //
     /* 2314333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2314336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314348 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2314348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2314351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314361 */     // GIR_Coverage, 1609,
     /* 2314361 */     GIR_EraseRootFromParent_Done,
     /* 2314362 */   // Label 31790: @2314362
     /* 2314362 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2314396), // Rule ID 1611 //
     /* 2314367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2314370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314382 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2314382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2314385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314395 */     // GIR_Coverage, 1611,
     /* 2314395 */     GIR_EraseRootFromParent_Done,
     /* 2314396 */   // Label 31791: @2314396
     /* 2314396 */   GIM_Reject,
     /* 2314397 */ // Label 31786: @2314397
     /* 2314397 */ GIM_Reject,
     /* 2314398 */ // Label 31760: @2314398
     /* 2314398 */ GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2314518),
     /* 2314403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2314406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2314409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314421 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2314469), // Rule ID 54394 //
     /* 2314426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314429 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2314446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314468 */     // GIR_Coverage, 54394,
     /* 2314468 */     GIR_EraseRootFromParent_Done,
     /* 2314469 */   // Label 31793: @2314469
     /* 2314469 */   GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2314517), // Rule ID 54395 //
     /* 2314474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314477 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2314494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314516 */     // GIR_Coverage, 54395,
     /* 2314516 */     GIR_EraseRootFromParent_Done,
     /* 2314517 */   // Label 31794: @2314517
     /* 2314517 */   GIM_Reject,
     /* 2314518 */ // Label 31792: @2314518
     /* 2314518 */ GIM_Reject,
     /* 2314519 */ // Label 31761: @2314519
     /* 2314519 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2314639),
     /* 2314524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2314527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2314530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314542 */   GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2314590), // Rule ID 54418 //
     /* 2314547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314550 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2314553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2314567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314589 */     // GIR_Coverage, 54418,
     /* 2314589 */     GIR_EraseRootFromParent_Done,
     /* 2314590 */   // Label 31796: @2314590
     /* 2314590 */   GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2314638), // Rule ID 54419 //
     /* 2314595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314598 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2314601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2314615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314637 */     // GIR_Coverage, 54419,
     /* 2314637 */     GIR_EraseRootFromParent_Done,
     /* 2314638 */   // Label 31797: @2314638
     /* 2314638 */   GIM_Reject,
     /* 2314639 */ // Label 31795: @2314639
     /* 2314639 */ GIM_Reject,
     /* 2314640 */ // Label 31762: @2314640
     /* 2314640 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2314760),
     /* 2314645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2314648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2314651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314663 */   GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2314711), // Rule ID 54454 //
     /* 2314668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2314671 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2314674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2314688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314710 */     // GIR_Coverage, 54454,
     /* 2314710 */     GIR_EraseRootFromParent_Done,
     /* 2314711 */   // Label 31799: @2314711
     /* 2314711 */   GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2314759), // Rule ID 54455 //
     /* 2314716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314719 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2314722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2314736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314758 */     // GIR_Coverage, 54455,
     /* 2314758 */     GIR_EraseRootFromParent_Done,
     /* 2314759 */   // Label 31800: @2314759
     /* 2314759 */   GIM_Reject,
     /* 2314760 */ // Label 31798: @2314760
     /* 2314760 */ GIM_Reject,
     /* 2314761 */ // Label 31763: @2314761
     /* 2314761 */ GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2314881),
     /* 2314766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2314769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2314772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314784 */   GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2314832), // Rule ID 54406 //
     /* 2314789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314792 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2314795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2314809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314831 */     // GIR_Coverage, 54406,
     /* 2314831 */     GIR_EraseRootFromParent_Done,
     /* 2314832 */   // Label 31802: @2314832
     /* 2314832 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2314880), // Rule ID 54407 //
     /* 2314837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314840 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2314843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2314857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314879 */     // GIR_Coverage, 54407,
     /* 2314879 */     GIR_EraseRootFromParent_Done,
     /* 2314880 */   // Label 31803: @2314880
     /* 2314880 */   GIM_Reject,
     /* 2314881 */ // Label 31801: @2314881
     /* 2314881 */ GIM_Reject,
     /* 2314882 */ // Label 31764: @2314882
     /* 2314882 */ GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2315002),
     /* 2314887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2314893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314905 */   GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2314953), // Rule ID 54442 //
     /* 2314910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314913 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2314916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2314930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314952 */     // GIR_Coverage, 54442,
     /* 2314952 */     GIR_EraseRootFromParent_Done,
     /* 2314953 */   // Label 31805: @2314953
     /* 2314953 */   GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2315001), // Rule ID 54443 //
     /* 2314958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314961 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2314964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2314978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2314987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315000 */     // GIR_Coverage, 54443,
     /* 2315000 */     GIR_EraseRootFromParent_Done,
     /* 2315001 */   // Label 31806: @2315001
     /* 2315001 */   GIM_Reject,
     /* 2315002 */ // Label 31804: @2315002
     /* 2315002 */ GIM_Reject,
     /* 2315003 */ // Label 31765: @2315003
     /* 2315003 */ GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2315123),
     /* 2315008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2315014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315026 */   GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2315074), // Rule ID 54538 //
     /* 2315031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315034 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2315037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2315051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315073 */     // GIR_Coverage, 54538,
     /* 2315073 */     GIR_EraseRootFromParent_Done,
     /* 2315074 */   // Label 31808: @2315074
     /* 2315074 */   GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2315122), // Rule ID 54539 //
     /* 2315079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315082 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2315085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2315099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315121 */     // GIR_Coverage, 54539,
     /* 2315121 */     GIR_EraseRootFromParent_Done,
     /* 2315122 */   // Label 31809: @2315122
     /* 2315122 */   GIM_Reject,
     /* 2315123 */ // Label 31807: @2315123
     /* 2315123 */ GIM_Reject,
     /* 2315124 */ // Label 31766: @2315124
     /* 2315124 */ GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2315244),
     /* 2315129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2315135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315147 */   GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2315195), // Rule ID 54430 //
     /* 2315152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315155 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2315158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2315172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315194 */     // GIR_Coverage, 54430,
     /* 2315194 */     GIR_EraseRootFromParent_Done,
     /* 2315195 */   // Label 31811: @2315195
     /* 2315195 */   GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2315243), // Rule ID 54431 //
     /* 2315200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315203 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2315206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2315220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315242 */     // GIR_Coverage, 54431,
     /* 2315242 */     GIR_EraseRootFromParent_Done,
     /* 2315243 */   // Label 31812: @2315243
     /* 2315243 */   GIM_Reject,
     /* 2315244 */ // Label 31810: @2315244
     /* 2315244 */ GIM_Reject,
     /* 2315245 */ // Label 31767: @2315245
     /* 2315245 */ GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2315365),
     /* 2315250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2315256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315268 */   GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2315316), // Rule ID 54502 //
     /* 2315273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315276 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2315279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2315293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315315 */     // GIR_Coverage, 54502,
     /* 2315315 */     GIR_EraseRootFromParent_Done,
     /* 2315316 */   // Label 31814: @2315316
     /* 2315316 */   GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2315364), // Rule ID 54503 //
     /* 2315321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315324 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2315327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2315341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315363 */     // GIR_Coverage, 54503,
     /* 2315363 */     GIR_EraseRootFromParent_Done,
     /* 2315364 */   // Label 31815: @2315364
     /* 2315364 */   GIM_Reject,
     /* 2315365 */ // Label 31813: @2315365
     /* 2315365 */ GIM_Reject,
     /* 2315366 */ // Label 31768: @2315366
     /* 2315366 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2315486),
     /* 2315371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2315374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2315377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315389 */   GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2315437), // Rule ID 54550 //
     /* 2315394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315397 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2315400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2315414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315436 */     // GIR_Coverage, 54550,
     /* 2315436 */     GIR_EraseRootFromParent_Done,
     /* 2315437 */   // Label 31817: @2315437
     /* 2315437 */   GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2315485), // Rule ID 54551 //
     /* 2315442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315445 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2315448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2315462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315484 */     // GIR_Coverage, 54551,
     /* 2315484 */     GIR_EraseRootFromParent_Done,
     /* 2315485 */   // Label 31818: @2315485
     /* 2315485 */   GIM_Reject,
     /* 2315486 */ // Label 31816: @2315486
     /* 2315486 */ GIM_Reject,
     /* 2315487 */ // Label 31769: @2315487
     /* 2315487 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2315607),
     /* 2315492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2315495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2315498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315510 */   GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2315558), // Rule ID 54466 //
     /* 2315515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315518 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2315521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2315535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315557 */     // GIR_Coverage, 54466,
     /* 2315557 */     GIR_EraseRootFromParent_Done,
     /* 2315558 */   // Label 31820: @2315558
     /* 2315558 */   GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2315606), // Rule ID 54467 //
     /* 2315563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315566 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2315569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2315583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315605 */     // GIR_Coverage, 54467,
     /* 2315605 */     GIR_EraseRootFromParent_Done,
     /* 2315606 */   // Label 31821: @2315606
     /* 2315606 */   GIM_Reject,
     /* 2315607 */ // Label 31819: @2315607
     /* 2315607 */ GIM_Reject,
     /* 2315608 */ // Label 31770: @2315608
     /* 2315608 */ GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2315728),
     /* 2315613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2315616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2315619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315631 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2315679), // Rule ID 54514 //
     /* 2315636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315639 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2315656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315678 */     // GIR_Coverage, 54514,
     /* 2315678 */     GIR_EraseRootFromParent_Done,
     /* 2315679 */   // Label 31823: @2315679
     /* 2315679 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2315727), // Rule ID 54515 //
     /* 2315684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315687 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2315704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315726 */     // GIR_Coverage, 54515,
     /* 2315726 */     GIR_EraseRootFromParent_Done,
     /* 2315727 */   // Label 31824: @2315727
     /* 2315727 */   GIM_Reject,
     /* 2315728 */ // Label 31822: @2315728
     /* 2315728 */ GIM_Reject,
     /* 2315729 */ // Label 31771: @2315729
     /* 2315729 */ GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2315849),
     /* 2315734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2315740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315752 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2315800), // Rule ID 54562 //
     /* 2315757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315760 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2315777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315799 */     // GIR_Coverage, 54562,
     /* 2315799 */     GIR_EraseRootFromParent_Done,
     /* 2315800 */   // Label 31826: @2315800
     /* 2315800 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2315848), // Rule ID 54563 //
     /* 2315805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315808 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2315825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315847 */     // GIR_Coverage, 54563,
     /* 2315847 */     GIR_EraseRootFromParent_Done,
     /* 2315848 */   // Label 31827: @2315848
     /* 2315848 */   GIM_Reject,
     /* 2315849 */ // Label 31825: @2315849
     /* 2315849 */ GIM_Reject,
     /* 2315850 */ // Label 31772: @2315850
     /* 2315850 */ GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2315970),
     /* 2315855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2315861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315873 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2315921), // Rule ID 54478 //
     /* 2315878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315881 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2315898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315920 */     // GIR_Coverage, 54478,
     /* 2315920 */     GIR_EraseRootFromParent_Done,
     /* 2315921 */   // Label 31829: @2315921
     /* 2315921 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2315969), // Rule ID 54479 //
     /* 2315926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315929 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2315946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2315955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315968 */     // GIR_Coverage, 54479,
     /* 2315968 */     GIR_EraseRootFromParent_Done,
     /* 2315969 */   // Label 31830: @2315969
     /* 2315969 */   GIM_Reject,
     /* 2315970 */ // Label 31828: @2315970
     /* 2315970 */ GIM_Reject,
     /* 2315971 */ // Label 31773: @2315971
     /* 2315971 */ GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2316091),
     /* 2315976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2315982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315994 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2316042), // Rule ID 54526 //
     /* 2315999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2316002 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2316005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2316019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2316028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316041 */     // GIR_Coverage, 54526,
     /* 2316041 */     GIR_EraseRootFromParent_Done,
     /* 2316042 */   // Label 31832: @2316042
     /* 2316042 */   GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2316090), // Rule ID 54527 //
     /* 2316047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2316050 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2316053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2316067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2316076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316089 */     // GIR_Coverage, 54527,
     /* 2316089 */     GIR_EraseRootFromParent_Done,
     /* 2316090 */   // Label 31833: @2316090
     /* 2316090 */   GIM_Reject,
     /* 2316091 */ // Label 31831: @2316091
     /* 2316091 */ GIM_Reject,
     /* 2316092 */ // Label 31774: @2316092
     /* 2316092 */ GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2316212),
     /* 2316097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2316100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2316103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2316107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2316111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2316115 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2316163), // Rule ID 54490 //
     /* 2316120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316123 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2316126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2316140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2316149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316162 */     // GIR_Coverage, 54490,
     /* 2316162 */     GIR_EraseRootFromParent_Done,
     /* 2316163 */   // Label 31835: @2316163
     /* 2316163 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2316211), // Rule ID 54491 //
     /* 2316168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316171 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2316174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2316188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2316197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316210 */     // GIR_Coverage, 54491,
     /* 2316210 */     GIR_EraseRootFromParent_Done,
     /* 2316211 */   // Label 31836: @2316211
     /* 2316211 */   GIM_Reject,
     /* 2316212 */ // Label 31834: @2316212
     /* 2316212 */ GIM_Reject,
     /* 2316213 */ // Label 31775: @2316213
     /* 2316213 */ GIM_Reject,
     /* 2316214 */ // Label 64: @2316214
     /* 2316214 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31855*/ GIMT_Encode4(2318184),
     /* 2316225 */ /*GILLT_s16*//*Label 31837*/ GIMT_Encode4(2316345),
     /* 2316229 */ /*GILLT_s32*//*Label 31838*/ GIMT_Encode4(2316409),
     /* 2316233 */ /*GILLT_s64*//*Label 31839*/ GIMT_Encode4(2316473), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316245 */ /*GILLT_nxv1s16*//*Label 31840*/ GIMT_Encode4(2316564),
     /* 2316249 */ /*GILLT_nxv1s32*//*Label 31841*/ GIMT_Encode4(2316672),
     /* 2316253 */ /*GILLT_nxv1s64*//*Label 31842*/ GIMT_Encode4(2316780), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316265 */ /*GILLT_nxv2s16*//*Label 31843*/ GIMT_Encode4(2316888),
     /* 2316269 */ /*GILLT_nxv2s32*//*Label 31844*/ GIMT_Encode4(2316996),
     /* 2316273 */ /*GILLT_nxv2s64*//*Label 31845*/ GIMT_Encode4(2317104), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316285 */ /*GILLT_nxv4s16*//*Label 31846*/ GIMT_Encode4(2317212),
     /* 2316289 */ /*GILLT_nxv4s32*//*Label 31847*/ GIMT_Encode4(2317320),
     /* 2316293 */ /*GILLT_nxv4s64*//*Label 31848*/ GIMT_Encode4(2317428), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316305 */ /*GILLT_nxv8s16*//*Label 31849*/ GIMT_Encode4(2317536),
     /* 2316309 */ /*GILLT_nxv8s32*//*Label 31850*/ GIMT_Encode4(2317644),
     /* 2316313 */ /*GILLT_nxv8s64*//*Label 31851*/ GIMT_Encode4(2317752), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316325 */ /*GILLT_nxv16s16*//*Label 31852*/ GIMT_Encode4(2317860),
     /* 2316329 */ /*GILLT_nxv16s32*//*Label 31853*/ GIMT_Encode4(2317968), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2316341 */ /*GILLT_nxv32s16*//*Label 31854*/ GIMT_Encode4(2318076),
     /* 2316345 */ // Label 31837: @2316345
     /* 2316345 */ GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2316408),
     /* 2316350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316353 */   GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2316380), // Rule ID 1982 //
     /* 2316358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2316361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316369 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2316369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2316372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316379 */     // GIR_Coverage, 1982,
     /* 2316379 */     GIR_EraseRootFromParent_Done,
     /* 2316380 */   // Label 31857: @2316380
     /* 2316380 */   GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2316407), // Rule ID 2015 //
     /* 2316385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2316388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316396 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2316396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2316399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316406 */     // GIR_Coverage, 2015,
     /* 2316406 */     GIR_EraseRootFromParent_Done,
     /* 2316407 */   // Label 31858: @2316407
     /* 2316407 */   GIM_Reject,
     /* 2316408 */ // Label 31856: @2316408
     /* 2316408 */ GIM_Reject,
     /* 2316409 */ // Label 31838: @2316409
     /* 2316409 */ GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2316472),
     /* 2316414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316417 */   GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2316444), // Rule ID 1273 //
     /* 2316422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2316425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316433 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2316433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2316436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316443 */     // GIR_Coverage, 1273,
     /* 2316443 */     GIR_EraseRootFromParent_Done,
     /* 2316444 */   // Label 31860: @2316444
     /* 2316444 */   GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2316471), // Rule ID 1281 //
     /* 2316449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2316452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316460 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2316460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2316463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316470 */     // GIR_Coverage, 1281,
     /* 2316470 */     GIR_EraseRootFromParent_Done,
     /* 2316471 */   // Label 31861: @2316471
     /* 2316471 */   GIM_Reject,
     /* 2316472 */ // Label 31859: @2316472
     /* 2316472 */ GIM_Reject,
     /* 2316473 */ // Label 31839: @2316473
     /* 2316473 */ GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2316563),
     /* 2316478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316481 */   GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2316508), // Rule ID 1616 //
     /* 2316486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2316489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316497 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2316497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2316500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316507 */     // GIR_Coverage, 1616,
     /* 2316507 */     GIR_EraseRootFromParent_Done,
     /* 2316508 */   // Label 31863: @2316508
     /* 2316508 */   GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2316535), // Rule ID 1649 //
     /* 2316513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2316516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316524 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2316524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2316527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316534 */     // GIR_Coverage, 1649,
     /* 2316534 */     GIR_EraseRootFromParent_Done,
     /* 2316535 */   // Label 31864: @2316535
     /* 2316535 */   GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2316562), // Rule ID 1671 //
     /* 2316540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2316543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316551 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2316551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2316554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316561 */     // GIR_Coverage, 1671,
     /* 2316561 */     GIR_EraseRootFromParent_Done,
     /* 2316562 */   // Label 31865: @2316562
     /* 2316562 */   GIM_Reject,
     /* 2316563 */ // Label 31862: @2316563
     /* 2316563 */ GIM_Reject,
     /* 2316564 */ // Label 31840: @2316564
     /* 2316564 */ GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2316671),
     /* 2316569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316580 */   GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2316625), // Rule ID 56232 //
     /* 2316585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316588 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2316605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316624 */     // GIR_Coverage, 56232,
     /* 2316624 */     GIR_EraseRootFromParent_Done,
     /* 2316625 */   // Label 31867: @2316625
     /* 2316625 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2316670), // Rule ID 56233 //
     /* 2316630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316633 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2316650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316669 */     // GIR_Coverage, 56233,
     /* 2316669 */     GIR_EraseRootFromParent_Done,
     /* 2316670 */   // Label 31868: @2316670
     /* 2316670 */   GIM_Reject,
     /* 2316671 */ // Label 31866: @2316671
     /* 2316671 */ GIM_Reject,
     /* 2316672 */ // Label 31841: @2316672
     /* 2316672 */ GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2316779),
     /* 2316677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316688 */   GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2316733), // Rule ID 56272 //
     /* 2316693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2316696 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2316713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316732 */     // GIR_Coverage, 56272,
     /* 2316732 */     GIR_EraseRootFromParent_Done,
     /* 2316733 */   // Label 31870: @2316733
     /* 2316733 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2316778), // Rule ID 56273 //
     /* 2316738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2316741 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2316758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316777 */     // GIR_Coverage, 56273,
     /* 2316777 */     GIR_EraseRootFromParent_Done,
     /* 2316778 */   // Label 31871: @2316778
     /* 2316778 */   GIM_Reject,
     /* 2316779 */ // Label 31869: @2316779
     /* 2316779 */ GIM_Reject,
     /* 2316780 */ // Label 31842: @2316780
     /* 2316780 */ GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2316887),
     /* 2316785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316796 */   GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2316841), // Rule ID 56332 //
     /* 2316801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316804 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2316821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316840 */     // GIR_Coverage, 56332,
     /* 2316840 */     GIR_EraseRootFromParent_Done,
     /* 2316841 */   // Label 31873: @2316841
     /* 2316841 */   GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2316886), // Rule ID 56333 //
     /* 2316846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316849 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2316866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316885 */     // GIR_Coverage, 56333,
     /* 2316885 */     GIR_EraseRootFromParent_Done,
     /* 2316886 */   // Label 31874: @2316886
     /* 2316886 */   GIM_Reject,
     /* 2316887 */ // Label 31872: @2316887
     /* 2316887 */ GIM_Reject,
     /* 2316888 */ // Label 31843: @2316888
     /* 2316888 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2316995),
     /* 2316893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316904 */   GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2316949), // Rule ID 56252 //
     /* 2316909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316912 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2316929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316948 */     // GIR_Coverage, 56252,
     /* 2316948 */     GIR_EraseRootFromParent_Done,
     /* 2316949 */   // Label 31876: @2316949
     /* 2316949 */   GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2316994), // Rule ID 56253 //
     /* 2316954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316957 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2316974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316993 */     // GIR_Coverage, 56253,
     /* 2316993 */     GIR_EraseRootFromParent_Done,
     /* 2316994 */   // Label 31877: @2316994
     /* 2316994 */   GIM_Reject,
     /* 2316995 */ // Label 31875: @2316995
     /* 2316995 */ GIM_Reject,
     /* 2316996 */ // Label 31844: @2316996
     /* 2316996 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2317103),
     /* 2317001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317012 */   GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2317057), // Rule ID 56312 //
     /* 2317017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317020 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2317037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317056 */     // GIR_Coverage, 56312,
     /* 2317056 */     GIR_EraseRootFromParent_Done,
     /* 2317057 */   // Label 31879: @2317057
     /* 2317057 */   GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2317102), // Rule ID 56313 //
     /* 2317062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317065 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2317082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317101 */     // GIR_Coverage, 56313,
     /* 2317101 */     GIR_EraseRootFromParent_Done,
     /* 2317102 */   // Label 31880: @2317102
     /* 2317102 */   GIM_Reject,
     /* 2317103 */ // Label 31878: @2317103
     /* 2317103 */ GIM_Reject,
     /* 2317104 */ // Label 31845: @2317104
     /* 2317104 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2317211),
     /* 2317109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317120 */   GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2317165), // Rule ID 56472 //
     /* 2317125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317128 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2317145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317164 */     // GIR_Coverage, 56472,
     /* 2317164 */     GIR_EraseRootFromParent_Done,
     /* 2317165 */   // Label 31882: @2317165
     /* 2317165 */   GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2317210), // Rule ID 56473 //
     /* 2317170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317173 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2317190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317209 */     // GIR_Coverage, 56473,
     /* 2317209 */     GIR_EraseRootFromParent_Done,
     /* 2317210 */   // Label 31883: @2317210
     /* 2317210 */   GIM_Reject,
     /* 2317211 */ // Label 31881: @2317211
     /* 2317211 */ GIM_Reject,
     /* 2317212 */ // Label 31846: @2317212
     /* 2317212 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2317319),
     /* 2317217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317228 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2317273), // Rule ID 56292 //
     /* 2317233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317236 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2317253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317272 */     // GIR_Coverage, 56292,
     /* 2317272 */     GIR_EraseRootFromParent_Done,
     /* 2317273 */   // Label 31885: @2317273
     /* 2317273 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2317318), // Rule ID 56293 //
     /* 2317278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317281 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2317298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317317 */     // GIR_Coverage, 56293,
     /* 2317317 */     GIR_EraseRootFromParent_Done,
     /* 2317318 */   // Label 31886: @2317318
     /* 2317318 */   GIM_Reject,
     /* 2317319 */ // Label 31884: @2317319
     /* 2317319 */ GIM_Reject,
     /* 2317320 */ // Label 31847: @2317320
     /* 2317320 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2317427),
     /* 2317325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317336 */   GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2317381), // Rule ID 56412 //
     /* 2317341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317344 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2317361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317380 */     // GIR_Coverage, 56412,
     /* 2317380 */     GIR_EraseRootFromParent_Done,
     /* 2317381 */   // Label 31888: @2317381
     /* 2317381 */   GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2317426), // Rule ID 56413 //
     /* 2317386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317389 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2317406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317425 */     // GIR_Coverage, 56413,
     /* 2317425 */     GIR_EraseRootFromParent_Done,
     /* 2317426 */   // Label 31889: @2317426
     /* 2317426 */   GIM_Reject,
     /* 2317427 */ // Label 31887: @2317427
     /* 2317427 */ GIM_Reject,
     /* 2317428 */ // Label 31848: @2317428
     /* 2317428 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2317535),
     /* 2317433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317444 */   GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2317489), // Rule ID 56492 //
     /* 2317449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317452 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2317469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317488 */     // GIR_Coverage, 56492,
     /* 2317488 */     GIR_EraseRootFromParent_Done,
     /* 2317489 */   // Label 31891: @2317489
     /* 2317489 */   GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2317534), // Rule ID 56493 //
     /* 2317494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317497 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2317514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317533 */     // GIR_Coverage, 56493,
     /* 2317533 */     GIR_EraseRootFromParent_Done,
     /* 2317534 */   // Label 31892: @2317534
     /* 2317534 */   GIM_Reject,
     /* 2317535 */ // Label 31890: @2317535
     /* 2317535 */ GIM_Reject,
     /* 2317536 */ // Label 31849: @2317536
     /* 2317536 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2317643),
     /* 2317541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317552 */   GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2317597), // Rule ID 56352 //
     /* 2317557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317560 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2317577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317596 */     // GIR_Coverage, 56352,
     /* 2317596 */     GIR_EraseRootFromParent_Done,
     /* 2317597 */   // Label 31894: @2317597
     /* 2317597 */   GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2317642), // Rule ID 56353 //
     /* 2317602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317605 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2317622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317641 */     // GIR_Coverage, 56353,
     /* 2317641 */     GIR_EraseRootFromParent_Done,
     /* 2317642 */   // Label 31895: @2317642
     /* 2317642 */   GIM_Reject,
     /* 2317643 */ // Label 31893: @2317643
     /* 2317643 */ GIM_Reject,
     /* 2317644 */ // Label 31850: @2317644
     /* 2317644 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2317751),
     /* 2317649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317660 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2317705), // Rule ID 56432 //
     /* 2317665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317668 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2317685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317704 */     // GIR_Coverage, 56432,
     /* 2317704 */     GIR_EraseRootFromParent_Done,
     /* 2317705 */   // Label 31897: @2317705
     /* 2317705 */   GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2317750), // Rule ID 56433 //
     /* 2317710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317713 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2317730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317749 */     // GIR_Coverage, 56433,
     /* 2317749 */     GIR_EraseRootFromParent_Done,
     /* 2317750 */   // Label 31898: @2317750
     /* 2317750 */   GIM_Reject,
     /* 2317751 */ // Label 31896: @2317751
     /* 2317751 */ GIM_Reject,
     /* 2317752 */ // Label 31851: @2317752
     /* 2317752 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2317859),
     /* 2317757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2317760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317768 */   GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2317813), // Rule ID 56512 //
     /* 2317773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317776 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2317779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2317793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317812 */     // GIR_Coverage, 56512,
     /* 2317812 */     GIR_EraseRootFromParent_Done,
     /* 2317813 */   // Label 31900: @2317813
     /* 2317813 */   GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2317858), // Rule ID 56513 //
     /* 2317818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317821 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2317824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2317838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317857 */     // GIR_Coverage, 56513,
     /* 2317857 */     GIR_EraseRootFromParent_Done,
     /* 2317858 */   // Label 31901: @2317858
     /* 2317858 */   GIM_Reject,
     /* 2317859 */ // Label 31899: @2317859
     /* 2317859 */ GIM_Reject,
     /* 2317860 */ // Label 31852: @2317860
     /* 2317860 */ GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2317967),
     /* 2317865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2317868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317876 */   GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2317921), // Rule ID 56372 //
     /* 2317881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317884 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2317887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2317901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317920 */     // GIR_Coverage, 56372,
     /* 2317920 */     GIR_EraseRootFromParent_Done,
     /* 2317921 */   // Label 31903: @2317921
     /* 2317921 */   GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2317966), // Rule ID 56373 //
     /* 2317926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317929 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2317932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2317946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2317955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317965 */     // GIR_Coverage, 56373,
     /* 2317965 */     GIR_EraseRootFromParent_Done,
     /* 2317966 */   // Label 31904: @2317966
     /* 2317966 */   GIM_Reject,
     /* 2317967 */ // Label 31902: @2317967
     /* 2317967 */ GIM_Reject,
     /* 2317968 */ // Label 31853: @2317968
     /* 2317968 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2318075),
     /* 2317973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2317976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317984 */   GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2318029), // Rule ID 56452 //
     /* 2317989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317992 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2317995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2318009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318028 */     // GIR_Coverage, 56452,
     /* 2318028 */     GIR_EraseRootFromParent_Done,
     /* 2318029 */   // Label 31906: @2318029
     /* 2318029 */   GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2318074), // Rule ID 56453 //
     /* 2318034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2318037 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2318054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318073 */     // GIR_Coverage, 56453,
     /* 2318073 */     GIR_EraseRootFromParent_Done,
     /* 2318074 */   // Label 31907: @2318074
     /* 2318074 */   GIM_Reject,
     /* 2318075 */ // Label 31905: @2318075
     /* 2318075 */ GIM_Reject,
     /* 2318076 */ // Label 31854: @2318076
     /* 2318076 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2318183),
     /* 2318081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2318084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318092 */   GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2318137), // Rule ID 56392 //
     /* 2318097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318100 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2318103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2318117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318136 */     // GIR_Coverage, 56392,
     /* 2318136 */     GIR_EraseRootFromParent_Done,
     /* 2318137 */   // Label 31909: @2318137
     /* 2318137 */   GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2318182), // Rule ID 56393 //
     /* 2318142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318145 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2318148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2318162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2318171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318181 */     // GIR_Coverage, 56393,
     /* 2318181 */     GIR_EraseRootFromParent_Done,
     /* 2318182 */   // Label 31910: @2318182
     /* 2318182 */   GIM_Reject,
     /* 2318183 */ // Label 31908: @2318183
     /* 2318183 */ GIM_Reject,
     /* 2318184 */ // Label 31855: @2318184
     /* 2318184 */ GIM_Reject,
     /* 2318185 */ // Label 65: @2318185
     /* 2318185 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31913*/ GIMT_Encode4(2318637),
     /* 2318196 */ /*GILLT_s32*//*Label 31911*/ GIMT_Encode4(2318204),
     /* 2318200 */ /*GILLT_s64*//*Label 31912*/ GIMT_Encode4(2318326),
     /* 2318204 */ // Label 31911: @2318204
     /* 2318204 */ GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2318325),
     /* 2318209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318212 */   GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2318240), // Rule ID 2156 //
     /* 2318217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2318220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318228 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2318228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2318231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318239 */     // GIR_Coverage, 2156,
     /* 2318239 */     GIR_EraseRootFromParent_Done,
     /* 2318240 */   // Label 31915: @2318240
     /* 2318240 */   GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2318268), // Rule ID 2157 //
     /* 2318245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2318248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318256 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2318256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2318259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318267 */     // GIR_Coverage, 2157,
     /* 2318267 */     GIR_EraseRootFromParent_Done,
     /* 2318268 */   // Label 31916: @2318268
     /* 2318268 */   GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2318296), // Rule ID 2172 //
     /* 2318273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2318276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318284 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2318284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2318287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318295 */     // GIR_Coverage, 2172,
     /* 2318295 */     GIR_EraseRootFromParent_Done,
     /* 2318296 */   // Label 31917: @2318296
     /* 2318296 */   GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2318324), // Rule ID 2173 //
     /* 2318301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2318304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318312 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2318312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2318315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318323 */     // GIR_Coverage, 2173,
     /* 2318323 */     GIR_EraseRootFromParent_Done,
     /* 2318324 */   // Label 31918: @2318324
     /* 2318324 */   GIM_Reject,
     /* 2318325 */ // Label 31914: @2318325
     /* 2318325 */ GIM_Reject,
     /* 2318326 */ // Label 31912: @2318326
     /* 2318326 */ GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2318357), // Rule ID 1558 //
     /* 2318331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2318334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318345 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2318345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2318348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318356 */   // GIR_Coverage, 1558,
     /* 2318356 */   GIR_EraseRootFromParent_Done,
     /* 2318357 */ // Label 31919: @2318357
     /* 2318357 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2318388), // Rule ID 1559 //
     /* 2318362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2318365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318376 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2318376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2318379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318381 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318387 */   // GIR_Coverage, 1559,
     /* 2318387 */   GIR_EraseRootFromParent_Done,
     /* 2318388 */ // Label 31920: @2318388
     /* 2318388 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2318419), // Rule ID 1563 //
     /* 2318393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2318396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318407 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2318407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2318410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318418 */   // GIR_Coverage, 1563,
     /* 2318418 */   GIR_EraseRootFromParent_Done,
     /* 2318419 */ // Label 31921: @2318419
     /* 2318419 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2318450), // Rule ID 1570 //
     /* 2318424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2318427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318438 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2318438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2318441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318449 */   // GIR_Coverage, 1570,
     /* 2318449 */   GIR_EraseRootFromParent_Done,
     /* 2318450 */ // Label 31922: @2318450
     /* 2318450 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2318481), // Rule ID 1571 //
     /* 2318455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2318458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318469 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2318469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2318472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318480 */   // GIR_Coverage, 1571,
     /* 2318480 */   GIR_EraseRootFromParent_Done,
     /* 2318481 */ // Label 31923: @2318481
     /* 2318481 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2318512), // Rule ID 2290 //
     /* 2318486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2318489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318500 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2318500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2318503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318511 */   // GIR_Coverage, 2290,
     /* 2318511 */   GIR_EraseRootFromParent_Done,
     /* 2318512 */ // Label 31924: @2318512
     /* 2318512 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2318543), // Rule ID 2291 //
     /* 2318517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2318520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318531 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2318531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2318534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318542 */   // GIR_Coverage, 2291,
     /* 2318542 */   GIR_EraseRootFromParent_Done,
     /* 2318543 */ // Label 31925: @2318543
     /* 2318543 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2318574), // Rule ID 2302 //
     /* 2318548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2318551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318562 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2318562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2318565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318573 */   // GIR_Coverage, 2302,
     /* 2318573 */   GIR_EraseRootFromParent_Done,
     /* 2318574 */ // Label 31926: @2318574
     /* 2318574 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2318605), // Rule ID 2303 //
     /* 2318579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2318582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318593 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2318593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2318596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318604 */   // GIR_Coverage, 2303,
     /* 2318604 */   GIR_EraseRootFromParent_Done,
     /* 2318605 */ // Label 31927: @2318605
     /* 2318605 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2318636), // Rule ID 2311 //
     /* 2318610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2318613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2318616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318624 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2318624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2318627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2318634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318635 */   // GIR_Coverage, 2311,
     /* 2318635 */   GIR_EraseRootFromParent_Done,
     /* 2318636 */ // Label 31928: @2318636
     /* 2318636 */ GIM_Reject,
     /* 2318637 */ // Label 31913: @2318637
     /* 2318637 */ GIM_Reject,
     /* 2318638 */ // Label 66: @2318638
     /* 2318638 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31940*/ GIMT_Encode4(2320173),
     /* 2318649 */ /*GILLT_s16*//*Label 31929*/ GIMT_Encode4(2318753),
     /* 2318653 */ /*GILLT_s32*//*Label 31930*/ GIMT_Encode4(2319033), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318669 */ /*GILLT_nxv1s16*//*Label 31931*/ GIMT_Encode4(2319183),
     /* 2318673 */ /*GILLT_nxv1s32*//*Label 31932*/ GIMT_Encode4(2319293), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318689 */ /*GILLT_nxv2s16*//*Label 31933*/ GIMT_Encode4(2319403),
     /* 2318693 */ /*GILLT_nxv2s32*//*Label 31934*/ GIMT_Encode4(2319513), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318709 */ /*GILLT_nxv4s16*//*Label 31935*/ GIMT_Encode4(2319623),
     /* 2318713 */ /*GILLT_nxv4s32*//*Label 31936*/ GIMT_Encode4(2319733), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318729 */ /*GILLT_nxv8s16*//*Label 31937*/ GIMT_Encode4(2319843),
     /* 2318733 */ /*GILLT_nxv8s32*//*Label 31938*/ GIMT_Encode4(2319953), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318749 */ /*GILLT_nxv16s16*//*Label 31939*/ GIMT_Encode4(2320063),
     /* 2318753 */ // Label 31929: @2318753
     /* 2318753 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2318784), // Rule ID 2152 //
     /* 2318758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2318761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318772 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2318772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2318775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318777 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318783 */   // GIR_Coverage, 2152,
     /* 2318783 */   GIR_EraseRootFromParent_Done,
     /* 2318784 */ // Label 31941: @2318784
     /* 2318784 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2318815), // Rule ID 2153 //
     /* 2318789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2318792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2318803 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2318803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2318806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318808 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318814 */   // GIR_Coverage, 2153,
     /* 2318814 */   GIR_EraseRootFromParent_Done,
     /* 2318815 */ // Label 31942: @2318815
     /* 2318815 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2318846), // Rule ID 2168 //
     /* 2318820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2318823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318834 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2318834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2318837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318845 */   // GIR_Coverage, 2168,
     /* 2318845 */   GIR_EraseRootFromParent_Done,
     /* 2318846 */ // Label 31943: @2318846
     /* 2318846 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2318877), // Rule ID 2169 //
     /* 2318851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2318854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2318857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2318865 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2318865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2318868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318876 */   // GIR_Coverage, 2169,
     /* 2318876 */   GIR_EraseRootFromParent_Done,
     /* 2318877 */ // Label 31944: @2318877
     /* 2318877 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2318908), // Rule ID 2286 //
     /* 2318882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2318885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2318888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318896 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2318896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2318899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318907 */   // GIR_Coverage, 2286,
     /* 2318907 */   GIR_EraseRootFromParent_Done,
     /* 2318908 */ // Label 31945: @2318908
     /* 2318908 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2318939), // Rule ID 2287 //
     /* 2318913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2318916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2318919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2318923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2318927 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2318927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2318930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318932 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318938 */   // GIR_Coverage, 2287,
     /* 2318938 */   GIR_EraseRootFromParent_Done,
     /* 2318939 */ // Label 31946: @2318939
     /* 2318939 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2318970), // Rule ID 2298 //
     /* 2318944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2318947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2318950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318958 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2318958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2318961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318969 */   // GIR_Coverage, 2298,
     /* 2318969 */   GIR_EraseRootFromParent_Done,
     /* 2318970 */ // Label 31947: @2318970
     /* 2318970 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2319001), // Rule ID 2299 //
     /* 2318975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2318978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2318981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2318985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2318989 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2318989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2318992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319000 */   // GIR_Coverage, 2299,
     /* 2319000 */   GIR_EraseRootFromParent_Done,
     /* 2319001 */ // Label 31948: @2319001
     /* 2319001 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2319032), // Rule ID 2309 //
     /* 2319006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2319009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319020 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2319020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2319023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319031 */   // GIR_Coverage, 2309,
     /* 2319031 */   GIR_EraseRootFromParent_Done,
     /* 2319032 */ // Label 31949: @2319032
     /* 2319032 */ GIM_Reject,
     /* 2319033 */ // Label 31930: @2319033
     /* 2319033 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2319182),
     /* 2319038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319041 */   GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2319069), // Rule ID 1554 //
     /* 2319046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2319049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319057 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2319057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2319060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319068 */     // GIR_Coverage, 1554,
     /* 2319068 */     GIR_EraseRootFromParent_Done,
     /* 2319069 */   // Label 31951: @2319069
     /* 2319069 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2319097), // Rule ID 1555 //
     /* 2319074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2319077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319085 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2319085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2319088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319096 */     // GIR_Coverage, 1555,
     /* 2319096 */     GIR_EraseRootFromParent_Done,
     /* 2319097 */   // Label 31952: @2319097
     /* 2319097 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2319125), // Rule ID 1561 //
     /* 2319102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2319105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319113 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2319113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2319116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319124 */     // GIR_Coverage, 1561,
     /* 2319124 */     GIR_EraseRootFromParent_Done,
     /* 2319125 */   // Label 31953: @2319125
     /* 2319125 */   GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2319153), // Rule ID 1566 //
     /* 2319130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2319133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2319141 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2319141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2319144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319152 */     // GIR_Coverage, 1566,
     /* 2319152 */     GIR_EraseRootFromParent_Done,
     /* 2319153 */   // Label 31954: @2319153
     /* 2319153 */   GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2319181), // Rule ID 1567 //
     /* 2319158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2319161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2319169 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2319169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2319172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319180 */     // GIR_Coverage, 1567,
     /* 2319180 */     GIR_EraseRootFromParent_Done,
     /* 2319181 */   // Label 31955: @2319181
     /* 2319181 */   GIM_Reject,
     /* 2319182 */ // Label 31950: @2319182
     /* 2319182 */ GIM_Reject,
     /* 2319183 */ // Label 31931: @2319183
     /* 2319183 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2319292),
     /* 2319188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2319191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319199 */   GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2319245), // Rule ID 58880 //
     /* 2319204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2319207 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2319224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319244 */     // GIR_Coverage, 58880,
     /* 2319244 */     GIR_EraseRootFromParent_Done,
     /* 2319245 */   // Label 31957: @2319245
     /* 2319245 */   GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2319291), // Rule ID 58881 //
     /* 2319250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2319253 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2319270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319290 */     // GIR_Coverage, 58881,
     /* 2319290 */     GIR_EraseRootFromParent_Done,
     /* 2319291 */   // Label 31958: @2319291
     /* 2319291 */   GIM_Reject,
     /* 2319292 */ // Label 31956: @2319292
     /* 2319292 */ GIM_Reject,
     /* 2319293 */ // Label 31932: @2319293
     /* 2319293 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2319402),
     /* 2319298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2319301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319309 */   GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2319355), // Rule ID 58890 //
     /* 2319314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2319317 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2319320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2319334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319354 */     // GIR_Coverage, 58890,
     /* 2319354 */     GIR_EraseRootFromParent_Done,
     /* 2319355 */   // Label 31960: @2319355
     /* 2319355 */   GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2319401), // Rule ID 58891 //
     /* 2319360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2319363 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2319366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2319380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319400 */     // GIR_Coverage, 58891,
     /* 2319400 */     GIR_EraseRootFromParent_Done,
     /* 2319401 */   // Label 31961: @2319401
     /* 2319401 */   GIM_Reject,
     /* 2319402 */ // Label 31959: @2319402
     /* 2319402 */ GIM_Reject,
     /* 2319403 */ // Label 31933: @2319403
     /* 2319403 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2319512),
     /* 2319408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2319411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319419 */   GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2319465), // Rule ID 58882 //
     /* 2319424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2319427 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2319430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2319444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319464 */     // GIR_Coverage, 58882,
     /* 2319464 */     GIR_EraseRootFromParent_Done,
     /* 2319465 */   // Label 31963: @2319465
     /* 2319465 */   GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2319511), // Rule ID 58883 //
     /* 2319470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2319473 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2319476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2319490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319510 */     // GIR_Coverage, 58883,
     /* 2319510 */     GIR_EraseRootFromParent_Done,
     /* 2319511 */   // Label 31964: @2319511
     /* 2319511 */   GIM_Reject,
     /* 2319512 */ // Label 31962: @2319512
     /* 2319512 */ GIM_Reject,
     /* 2319513 */ // Label 31934: @2319513
     /* 2319513 */ GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2319622),
     /* 2319518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2319521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319529 */   GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2319575), // Rule ID 58892 //
     /* 2319534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2319537 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2319540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2319554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319574 */     // GIR_Coverage, 58892,
     /* 2319574 */     GIR_EraseRootFromParent_Done,
     /* 2319575 */   // Label 31966: @2319575
     /* 2319575 */   GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2319621), // Rule ID 58893 //
     /* 2319580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2319583 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2319586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2319600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319620 */     // GIR_Coverage, 58893,
     /* 2319620 */     GIR_EraseRootFromParent_Done,
     /* 2319621 */   // Label 31967: @2319621
     /* 2319621 */   GIM_Reject,
     /* 2319622 */ // Label 31965: @2319622
     /* 2319622 */ GIM_Reject,
     /* 2319623 */ // Label 31935: @2319623
     /* 2319623 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2319732),
     /* 2319628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2319631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319639 */   GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2319685), // Rule ID 58884 //
     /* 2319644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2319647 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2319650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2319664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319684 */     // GIR_Coverage, 58884,
     /* 2319684 */     GIR_EraseRootFromParent_Done,
     /* 2319685 */   // Label 31969: @2319685
     /* 2319685 */   GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2319731), // Rule ID 58885 //
     /* 2319690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2319693 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2319696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2319710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319730 */     // GIR_Coverage, 58885,
     /* 2319730 */     GIR_EraseRootFromParent_Done,
     /* 2319731 */   // Label 31970: @2319731
     /* 2319731 */   GIM_Reject,
     /* 2319732 */ // Label 31968: @2319732
     /* 2319732 */ GIM_Reject,
     /* 2319733 */ // Label 31936: @2319733
     /* 2319733 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2319842),
     /* 2319738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319749 */   GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2319795), // Rule ID 58894 //
     /* 2319754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2319757 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2319774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319794 */     // GIR_Coverage, 58894,
     /* 2319794 */     GIR_EraseRootFromParent_Done,
     /* 2319795 */   // Label 31972: @2319795
     /* 2319795 */   GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2319841), // Rule ID 58895 //
     /* 2319800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2319803 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2319820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319840 */     // GIR_Coverage, 58895,
     /* 2319840 */     GIR_EraseRootFromParent_Done,
     /* 2319841 */   // Label 31973: @2319841
     /* 2319841 */   GIM_Reject,
     /* 2319842 */ // Label 31971: @2319842
     /* 2319842 */ GIM_Reject,
     /* 2319843 */ // Label 31937: @2319843
     /* 2319843 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2319952),
     /* 2319848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319859 */   GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2319905), // Rule ID 58886 //
     /* 2319864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2319867 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2319884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319904 */     // GIR_Coverage, 58886,
     /* 2319904 */     GIR_EraseRootFromParent_Done,
     /* 2319905 */   // Label 31975: @2319905
     /* 2319905 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2319951), // Rule ID 58887 //
     /* 2319910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2319913 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2319930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319950 */     // GIR_Coverage, 58887,
     /* 2319950 */     GIR_EraseRootFromParent_Done,
     /* 2319951 */   // Label 31976: @2319951
     /* 2319951 */   GIM_Reject,
     /* 2319952 */ // Label 31974: @2319952
     /* 2319952 */ GIM_Reject,
     /* 2319953 */ // Label 31938: @2319953
     /* 2319953 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2320062),
     /* 2319958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319969 */   GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2320015), // Rule ID 58896 //
     /* 2319974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2319977 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2319994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320014 */     // GIR_Coverage, 58896,
     /* 2320014 */     GIR_EraseRootFromParent_Done,
     /* 2320015 */   // Label 31978: @2320015
     /* 2320015 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2320061), // Rule ID 58897 //
     /* 2320020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2320023 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2320026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2320040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320060 */     // GIR_Coverage, 58897,
     /* 2320060 */     GIR_EraseRootFromParent_Done,
     /* 2320061 */   // Label 31979: @2320061
     /* 2320061 */   GIM_Reject,
     /* 2320062 */ // Label 31977: @2320062
     /* 2320062 */ GIM_Reject,
     /* 2320063 */ // Label 31939: @2320063
     /* 2320063 */ GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2320172),
     /* 2320068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320079 */   GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2320125), // Rule ID 58888 //
     /* 2320084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2320087 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2320104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320124 */     // GIR_Coverage, 58888,
     /* 2320124 */     GIR_EraseRootFromParent_Done,
     /* 2320125 */   // Label 31981: @2320125
     /* 2320125 */   GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2320171), // Rule ID 58889 //
     /* 2320130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2320133 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2320150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320170 */     // GIR_Coverage, 58889,
     /* 2320170 */     GIR_EraseRootFromParent_Done,
     /* 2320171 */   // Label 31982: @2320171
     /* 2320171 */   GIM_Reject,
     /* 2320172 */ // Label 31980: @2320172
     /* 2320172 */ GIM_Reject,
     /* 2320173 */ // Label 31940: @2320173
     /* 2320173 */ GIM_Reject,
     /* 2320174 */ // Label 67: @2320174
     /* 2320174 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32006*/ GIMT_Encode4(2325059),
     /* 2320185 */ /*GILLT_s32*//*Label 31983*/ GIMT_Encode4(2320301),
     /* 2320189 */ /*GILLT_s64*//*Label 31984*/ GIMT_Encode4(2320674), GIMT_Encode4(0),
     /* 2320197 */ /*GILLT_nxv1s8*//*Label 31985*/ GIMT_Encode4(2320861),
     /* 2320201 */ /*GILLT_nxv1s16*//*Label 31986*/ GIMT_Encode4(2320965),
     /* 2320205 */ /*GILLT_nxv1s32*//*Label 31987*/ GIMT_Encode4(2321182),
     /* 2320209 */ /*GILLT_nxv1s64*//*Label 31988*/ GIMT_Encode4(2321507), GIMT_Encode4(0),
     /* 2320217 */ /*GILLT_nxv2s8*//*Label 31989*/ GIMT_Encode4(2321724),
     /* 2320221 */ /*GILLT_nxv2s16*//*Label 31990*/ GIMT_Encode4(2321828),
     /* 2320225 */ /*GILLT_nxv2s32*//*Label 31991*/ GIMT_Encode4(2322045),
     /* 2320229 */ /*GILLT_nxv2s64*//*Label 31992*/ GIMT_Encode4(2322370), GIMT_Encode4(0),
     /* 2320237 */ /*GILLT_nxv4s8*//*Label 31993*/ GIMT_Encode4(2322587),
     /* 2320241 */ /*GILLT_nxv4s16*//*Label 31994*/ GIMT_Encode4(2322691),
     /* 2320245 */ /*GILLT_nxv4s32*//*Label 31995*/ GIMT_Encode4(2322908),
     /* 2320249 */ /*GILLT_nxv4s64*//*Label 31996*/ GIMT_Encode4(2323233), GIMT_Encode4(0),
     /* 2320257 */ /*GILLT_nxv8s8*//*Label 31997*/ GIMT_Encode4(2323450),
     /* 2320261 */ /*GILLT_nxv8s16*//*Label 31998*/ GIMT_Encode4(2323554),
     /* 2320265 */ /*GILLT_nxv8s32*//*Label 31999*/ GIMT_Encode4(2323771),
     /* 2320269 */ /*GILLT_nxv8s64*//*Label 32000*/ GIMT_Encode4(2324096), GIMT_Encode4(0),
     /* 2320277 */ /*GILLT_nxv16s8*//*Label 32001*/ GIMT_Encode4(2324313),
     /* 2320281 */ /*GILLT_nxv16s16*//*Label 32002*/ GIMT_Encode4(2324417),
     /* 2320285 */ /*GILLT_nxv16s32*//*Label 32003*/ GIMT_Encode4(2324634), GIMT_Encode4(0),
     /* 2320293 */ /*GILLT_nxv32s8*//*Label 32004*/ GIMT_Encode4(2324851),
     /* 2320297 */ /*GILLT_nxv32s16*//*Label 32005*/ GIMT_Encode4(2324955),
     /* 2320301 */ // Label 31983: @2320301
     /* 2320301 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2320332), // Rule ID 1446 //
     /* 2320306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2320309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320320 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2320323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320331 */   // GIR_Coverage, 1446,
     /* 2320331 */   GIR_EraseRootFromParent_Done,
     /* 2320332 */ // Label 32007: @2320332
     /* 2320332 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2320363), // Rule ID 1447 //
     /* 2320337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2320340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320351 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2320351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2320354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320362 */   // GIR_Coverage, 1447,
     /* 2320362 */   GIR_EraseRootFromParent_Done,
     /* 2320363 */ // Label 32008: @2320363
     /* 2320363 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2320394), // Rule ID 1472 //
     /* 2320368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2320371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320382 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2320385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320393 */   // GIR_Coverage, 1472,
     /* 2320393 */   GIR_EraseRootFromParent_Done,
     /* 2320394 */ // Label 32009: @2320394
     /* 2320394 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2320425), // Rule ID 1473 //
     /* 2320399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2320402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320413 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2320413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2320416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320424 */   // GIR_Coverage, 1473,
     /* 2320424 */   GIR_EraseRootFromParent_Done,
     /* 2320425 */ // Label 32010: @2320425
     /* 2320425 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2320456), // Rule ID 1840 //
     /* 2320430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2320433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320444 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2320447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320455 */   // GIR_Coverage, 1840,
     /* 2320455 */   GIR_EraseRootFromParent_Done,
     /* 2320456 */ // Label 32011: @2320456
     /* 2320456 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2320487), // Rule ID 1841 //
     /* 2320461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2320464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320475 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2320475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2320478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320486 */   // GIR_Coverage, 1841,
     /* 2320486 */   GIR_EraseRootFromParent_Done,
     /* 2320487 */ // Label 32012: @2320487
     /* 2320487 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2320518), // Rule ID 1866 //
     /* 2320492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2320495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320506 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2320509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320517 */   // GIR_Coverage, 1866,
     /* 2320517 */   GIR_EraseRootFromParent_Done,
     /* 2320518 */ // Label 32013: @2320518
     /* 2320518 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2320549), // Rule ID 1867 //
     /* 2320523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2320526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320537 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2320537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2320540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320548 */   // GIR_Coverage, 1867,
     /* 2320548 */   GIR_EraseRootFromParent_Done,
     /* 2320549 */ // Label 32014: @2320549
     /* 2320549 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2320580), // Rule ID 2182 //
     /* 2320554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2320557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320568 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2320571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320579 */   // GIR_Coverage, 2182,
     /* 2320579 */   GIR_EraseRootFromParent_Done,
     /* 2320580 */ // Label 32015: @2320580
     /* 2320580 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2320611), // Rule ID 2183 //
     /* 2320585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2320588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320599 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2320599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2320602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320610 */   // GIR_Coverage, 2183,
     /* 2320610 */   GIR_EraseRootFromParent_Done,
     /* 2320611 */ // Label 32016: @2320611
     /* 2320611 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2320642), // Rule ID 2208 //
     /* 2320616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2320619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320630 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2320633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320641 */   // GIR_Coverage, 2208,
     /* 2320641 */   GIR_EraseRootFromParent_Done,
     /* 2320642 */ // Label 32017: @2320642
     /* 2320642 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2320673), // Rule ID 2209 //
     /* 2320647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2320650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320661 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2320661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2320664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320672 */   // GIR_Coverage, 2209,
     /* 2320672 */   GIR_EraseRootFromParent_Done,
     /* 2320673 */ // Label 32018: @2320673
     /* 2320673 */ GIM_Reject,
     /* 2320674 */ // Label 31984: @2320674
     /* 2320674 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2320705), // Rule ID 1503 //
     /* 2320679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2320682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320693 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2320696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320704 */   // GIR_Coverage, 1503,
     /* 2320704 */   GIR_EraseRootFromParent_Done,
     /* 2320705 */ // Label 32019: @2320705
     /* 2320705 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2320736), // Rule ID 1531 //
     /* 2320710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2320713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320724 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2320727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320735 */   // GIR_Coverage, 1531,
     /* 2320735 */   GIR_EraseRootFromParent_Done,
     /* 2320736 */ // Label 32020: @2320736
     /* 2320736 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2320767), // Rule ID 1903 //
     /* 2320741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2320744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320755 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2320758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320766 */   // GIR_Coverage, 1903,
     /* 2320766 */   GIR_EraseRootFromParent_Done,
     /* 2320767 */ // Label 32021: @2320767
     /* 2320767 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2320798), // Rule ID 1931 //
     /* 2320772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2320775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320786 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2320789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320797 */   // GIR_Coverage, 1931,
     /* 2320797 */   GIR_EraseRootFromParent_Done,
     /* 2320798 */ // Label 32022: @2320798
     /* 2320798 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2320829), // Rule ID 2237 //
     /* 2320803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320817 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2320820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320828 */   // GIR_Coverage, 2237,
     /* 2320828 */   GIR_EraseRootFromParent_Done,
     /* 2320829 */ // Label 32023: @2320829
     /* 2320829 */ GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2320860), // Rule ID 2263 //
     /* 2320834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320848 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2320851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320859 */   // GIR_Coverage, 2263,
     /* 2320859 */   GIR_EraseRootFromParent_Done,
     /* 2320860 */ // Label 32024: @2320860
     /* 2320860 */ GIM_Reject,
     /* 2320861 */ // Label 31985: @2320861
     /* 2320861 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2320964),
     /* 2320866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320877 */   GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2320920), // Rule ID 45810 //
     /* 2320882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320885 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2320888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2320902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320919 */     // GIR_Coverage, 45810,
     /* 2320919 */     GIR_EraseRootFromParent_Done,
     /* 2320920 */   // Label 32026: @2320920
     /* 2320920 */   GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2320963), // Rule ID 45811 //
     /* 2320925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320928 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2320931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2320945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320962 */     // GIR_Coverage, 45811,
     /* 2320962 */     GIR_EraseRootFromParent_Done,
     /* 2320963 */   // Label 32027: @2320963
     /* 2320963 */   GIM_Reject,
     /* 2320964 */ // Label 32025: @2320964
     /* 2320964 */ GIM_Reject,
     /* 2320965 */ // Label 31986: @2320965
     /* 2320965 */ GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2321019), // Rule ID 45794 //
     /* 2320970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320984 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320996 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2321001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321003 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321006 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321018 */   // GIR_Coverage, 45794,
     /* 2321018 */   GIR_EraseRootFromParent_Done,
     /* 2321019 */ // Label 32028: @2321019
     /* 2321019 */ GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2321073), // Rule ID 45795 //
     /* 2321024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321038 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321050 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2321055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321057 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321060 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321072 */   // GIR_Coverage, 45795,
     /* 2321072 */   GIR_EraseRootFromParent_Done,
     /* 2321073 */ // Label 32029: @2321073
     /* 2321073 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2321127), // Rule ID 58718 //
     /* 2321078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321092 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321092 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321095 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321099 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321104 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2321109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321114 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321126 */   // GIR_Coverage, 58718,
     /* 2321126 */   GIR_EraseRootFromParent_Done,
     /* 2321127 */ // Label 32030: @2321127
     /* 2321127 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2321181), // Rule ID 58719 //
     /* 2321132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321146 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2321163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321168 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321180 */   // GIR_Coverage, 58719,
     /* 2321180 */   GIR_EraseRootFromParent_Done,
     /* 2321181 */ // Label 32031: @2321181
     /* 2321181 */ GIM_Reject,
     /* 2321182 */ // Label 31987: @2321182
     /* 2321182 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2321236), // Rule ID 45802 //
     /* 2321187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321201 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2321218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321235 */   // GIR_Coverage, 45802,
     /* 2321235 */   GIR_EraseRootFromParent_Done,
     /* 2321236 */ // Label 32032: @2321236
     /* 2321236 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2321290), // Rule ID 45803 //
     /* 2321241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321255 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2321272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321289 */   // GIR_Coverage, 45803,
     /* 2321289 */   GIR_EraseRootFromParent_Done,
     /* 2321290 */ // Label 32033: @2321290
     /* 2321290 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2321344), // Rule ID 58286 //
     /* 2321295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321309 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2321326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321331 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321343 */   // GIR_Coverage, 58286,
     /* 2321343 */   GIR_EraseRootFromParent_Done,
     /* 2321344 */ // Label 32034: @2321344
     /* 2321344 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2321398), // Rule ID 58287 //
     /* 2321349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321363 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2321380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321382 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321385 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321397 */   // GIR_Coverage, 58287,
     /* 2321397 */   GIR_EraseRootFromParent_Done,
     /* 2321398 */ // Label 32035: @2321398
     /* 2321398 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2321452), // Rule ID 58738 //
     /* 2321403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2321406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321417 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321429 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2321434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321451 */   // GIR_Coverage, 58738,
     /* 2321451 */   GIR_EraseRootFromParent_Done,
     /* 2321452 */ // Label 32036: @2321452
     /* 2321452 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2321506), // Rule ID 58739 //
     /* 2321457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2321460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321471 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2321488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321505 */   // GIR_Coverage, 58739,
     /* 2321505 */   GIR_EraseRootFromParent_Done,
     /* 2321506 */ // Label 32037: @2321506
     /* 2321506 */ GIM_Reject,
     /* 2321507 */ // Label 31988: @2321507
     /* 2321507 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2321561), // Rule ID 58298 //
     /* 2321512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2321515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321526 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2321543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321560 */   // GIR_Coverage, 58298,
     /* 2321560 */   GIR_EraseRootFromParent_Done,
     /* 2321561 */ // Label 32038: @2321561
     /* 2321561 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2321615), // Rule ID 58299 //
     /* 2321566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2321569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321580 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2321597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321602 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321614 */   // GIR_Coverage, 58299,
     /* 2321614 */   GIR_EraseRootFromParent_Done,
     /* 2321615 */ // Label 32039: @2321615
     /* 2321615 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2321669), // Rule ID 58530 //
     /* 2321620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2321623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321634 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321634 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321637 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321641 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321646 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2321651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321653 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321668 */   // GIR_Coverage, 58530,
     /* 2321668 */   GIR_EraseRootFromParent_Done,
     /* 2321669 */ // Label 32040: @2321669
     /* 2321669 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2321723), // Rule ID 58531 //
     /* 2321674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2321677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321688 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2321705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321722 */   // GIR_Coverage, 58531,
     /* 2321722 */   GIR_EraseRootFromParent_Done,
     /* 2321723 */ // Label 32041: @2321723
     /* 2321723 */ GIM_Reject,
     /* 2321724 */ // Label 31989: @2321724
     /* 2321724 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2321827),
     /* 2321729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321740 */   GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2321783), // Rule ID 58698 //
     /* 2321745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321748 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2321751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2321765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321782 */     // GIR_Coverage, 58698,
     /* 2321782 */     GIR_EraseRootFromParent_Done,
     /* 2321783 */   // Label 32043: @2321783
     /* 2321783 */   GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2321826), // Rule ID 58699 //
     /* 2321788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321791 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2321794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2321808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321825 */     // GIR_Coverage, 58699,
     /* 2321825 */     GIR_EraseRootFromParent_Done,
     /* 2321826 */   // Label 32044: @2321826
     /* 2321826 */   GIM_Reject,
     /* 2321827 */ // Label 32042: @2321827
     /* 2321827 */ GIM_Reject,
     /* 2321828 */ // Label 31990: @2321828
     /* 2321828 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2321882), // Rule ID 58282 //
     /* 2321833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321847 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2321864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321881 */   // GIR_Coverage, 58282,
     /* 2321881 */   GIR_EraseRootFromParent_Done,
     /* 2321882 */ // Label 32045: @2321882
     /* 2321882 */ GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2321936), // Rule ID 58283 //
     /* 2321887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321901 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2321918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321923 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321935 */   // GIR_Coverage, 58283,
     /* 2321935 */   GIR_EraseRootFromParent_Done,
     /* 2321936 */ // Label 32046: @2321936
     /* 2321936 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2321990), // Rule ID 58722 //
     /* 2321941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321955 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2321972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321977 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321989 */   // GIR_Coverage, 58722,
     /* 2321989 */   GIR_EraseRootFromParent_Done,
     /* 2321990 */ // Label 32047: @2321990
     /* 2321990 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2322044), // Rule ID 58723 //
     /* 2321995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322009 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2322026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322043 */   // GIR_Coverage, 58723,
     /* 2322043 */   GIR_EraseRootFromParent_Done,
     /* 2322044 */ // Label 32048: @2322044
     /* 2322044 */ GIM_Reject,
     /* 2322045 */ // Label 31991: @2322045
     /* 2322045 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2322099), // Rule ID 58294 //
     /* 2322050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322064 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2322081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322098 */   // GIR_Coverage, 58294,
     /* 2322098 */   GIR_EraseRootFromParent_Done,
     /* 2322099 */ // Label 32049: @2322099
     /* 2322099 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2322153), // Rule ID 58295 //
     /* 2322104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322118 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2322135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322152 */   // GIR_Coverage, 58295,
     /* 2322152 */   GIR_EraseRootFromParent_Done,
     /* 2322153 */ // Label 32050: @2322153
     /* 2322153 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2322207), // Rule ID 58514 //
     /* 2322158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322172 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322184 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2322189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322194 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322206 */   // GIR_Coverage, 58514,
     /* 2322206 */   GIR_EraseRootFromParent_Done,
     /* 2322207 */ // Label 32051: @2322207
     /* 2322207 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2322261), // Rule ID 58515 //
     /* 2322212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322226 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322226 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322233 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322238 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2322243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322245 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322248 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322260 */   // GIR_Coverage, 58515,
     /* 2322260 */   GIR_EraseRootFromParent_Done,
     /* 2322261 */ // Label 32052: @2322261
     /* 2322261 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2322315), // Rule ID 58742 //
     /* 2322266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322280 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322280 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322283 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322287 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322292 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2322297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322299 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322302 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322314 */   // GIR_Coverage, 58742,
     /* 2322314 */   GIR_EraseRootFromParent_Done,
     /* 2322315 */ // Label 32053: @2322315
     /* 2322315 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2322369), // Rule ID 58743 //
     /* 2322320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322334 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2322351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322368 */   // GIR_Coverage, 58743,
     /* 2322368 */   GIR_EraseRootFromParent_Done,
     /* 2322369 */ // Label 32054: @2322369
     /* 2322369 */ GIM_Reject,
     /* 2322370 */ // Label 31992: @2322370
     /* 2322370 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2322424), // Rule ID 58326 //
     /* 2322375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322389 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2322406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322423 */   // GIR_Coverage, 58326,
     /* 2322423 */   GIR_EraseRootFromParent_Done,
     /* 2322424 */ // Label 32055: @2322424
     /* 2322424 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2322478), // Rule ID 58327 //
     /* 2322429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322443 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322455 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2322460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322477 */   // GIR_Coverage, 58327,
     /* 2322477 */   GIR_EraseRootFromParent_Done,
     /* 2322478 */ // Label 32056: @2322478
     /* 2322478 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2322532), // Rule ID 58534 //
     /* 2322483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322497 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2322514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322531 */   // GIR_Coverage, 58534,
     /* 2322531 */   GIR_EraseRootFromParent_Done,
     /* 2322532 */ // Label 32057: @2322532
     /* 2322532 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2322586), // Rule ID 58535 //
     /* 2322537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322551 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2322568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322585 */   // GIR_Coverage, 58535,
     /* 2322585 */   GIR_EraseRootFromParent_Done,
     /* 2322586 */ // Label 32058: @2322586
     /* 2322586 */ GIM_Reject,
     /* 2322587 */ // Label 31993: @2322587
     /* 2322587 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2322690),
     /* 2322592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322603 */   GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2322646), // Rule ID 58702 //
     /* 2322608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322611 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2322614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2322628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322645 */     // GIR_Coverage, 58702,
     /* 2322645 */     GIR_EraseRootFromParent_Done,
     /* 2322646 */   // Label 32060: @2322646
     /* 2322646 */   GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2322689), // Rule ID 58703 //
     /* 2322651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322654 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2322657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2322671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322688 */     // GIR_Coverage, 58703,
     /* 2322688 */     GIR_EraseRootFromParent_Done,
     /* 2322689 */   // Label 32061: @2322689
     /* 2322689 */   GIM_Reject,
     /* 2322690 */ // Label 32059: @2322690
     /* 2322690 */ GIM_Reject,
     /* 2322691 */ // Label 31994: @2322691
     /* 2322691 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2322745), // Rule ID 58290 //
     /* 2322696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322710 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322722 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2322727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322744 */   // GIR_Coverage, 58290,
     /* 2322744 */   GIR_EraseRootFromParent_Done,
     /* 2322745 */ // Label 32062: @2322745
     /* 2322745 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2322799), // Rule ID 58291 //
     /* 2322750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322764 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322764 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322767 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322771 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322776 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2322781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322783 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322786 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322798 */   // GIR_Coverage, 58291,
     /* 2322798 */   GIR_EraseRootFromParent_Done,
     /* 2322799 */ // Label 32063: @2322799
     /* 2322799 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2322853), // Rule ID 58726 //
     /* 2322804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322818 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322818 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322821 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322825 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2322835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322840 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322852 */   // GIR_Coverage, 58726,
     /* 2322852 */   GIR_EraseRootFromParent_Done,
     /* 2322853 */ // Label 32064: @2322853
     /* 2322853 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2322907), // Rule ID 58727 //
     /* 2322858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322872 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2322889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322894 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322906 */   // GIR_Coverage, 58727,
     /* 2322906 */   GIR_EraseRootFromParent_Done,
     /* 2322907 */ // Label 32065: @2322907
     /* 2322907 */ GIM_Reject,
     /* 2322908 */ // Label 31995: @2322908
     /* 2322908 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2322962), // Rule ID 58314 //
     /* 2322913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322927 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322939 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2322944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322949 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322961 */   // GIR_Coverage, 58314,
     /* 2322961 */   GIR_EraseRootFromParent_Done,
     /* 2322962 */ // Label 32066: @2322962
     /* 2322962 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2323016), // Rule ID 58315 //
     /* 2322967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322981 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322981 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322984 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322988 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322993 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2322998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323000 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323003 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323015 */   // GIR_Coverage, 58315,
     /* 2323015 */   GIR_EraseRootFromParent_Done,
     /* 2323016 */ // Label 32067: @2323016
     /* 2323016 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2323070), // Rule ID 58518 //
     /* 2323021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323035 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323035 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323038 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323042 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2323052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323057 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323069 */   // GIR_Coverage, 58518,
     /* 2323069 */   GIR_EraseRootFromParent_Done,
     /* 2323070 */ // Label 32068: @2323070
     /* 2323070 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2323124), // Rule ID 58519 //
     /* 2323075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323089 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2323106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323108 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323111 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323123 */   // GIR_Coverage, 58519,
     /* 2323123 */   GIR_EraseRootFromParent_Done,
     /* 2323124 */ // Label 32069: @2323124
     /* 2323124 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2323178), // Rule ID 58746 //
     /* 2323129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323143 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323143 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323146 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323150 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323155 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2323160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323162 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323165 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323177 */   // GIR_Coverage, 58746,
     /* 2323177 */   GIR_EraseRootFromParent_Done,
     /* 2323178 */ // Label 32070: @2323178
     /* 2323178 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2323232), // Rule ID 58747 //
     /* 2323183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323197 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323209 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2323214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323231 */   // GIR_Coverage, 58747,
     /* 2323231 */   GIR_EraseRootFromParent_Done,
     /* 2323232 */ // Label 32071: @2323232
     /* 2323232 */ GIM_Reject,
     /* 2323233 */ // Label 31996: @2323233
     /* 2323233 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2323287), // Rule ID 58330 //
     /* 2323238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323252 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323264 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2323269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323271 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323286 */   // GIR_Coverage, 58330,
     /* 2323286 */   GIR_EraseRootFromParent_Done,
     /* 2323287 */ // Label 32072: @2323287
     /* 2323287 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2323341), // Rule ID 58331 //
     /* 2323292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323306 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323318 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2323323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323325 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323340 */   // GIR_Coverage, 58331,
     /* 2323340 */   GIR_EraseRootFromParent_Done,
     /* 2323341 */ // Label 32073: @2323341
     /* 2323341 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2323395), // Rule ID 58538 //
     /* 2323346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323360 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2323377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323394 */   // GIR_Coverage, 58538,
     /* 2323394 */   GIR_EraseRootFromParent_Done,
     /* 2323395 */ // Label 32074: @2323395
     /* 2323395 */ GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2323449), // Rule ID 58539 //
     /* 2323400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323414 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323414 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323417 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323421 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2323431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323448 */   // GIR_Coverage, 58539,
     /* 2323448 */   GIR_EraseRootFromParent_Done,
     /* 2323449 */ // Label 32075: @2323449
     /* 2323449 */ GIM_Reject,
     /* 2323450 */ // Label 31997: @2323450
     /* 2323450 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2323553),
     /* 2323455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323466 */   GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2323509), // Rule ID 58706 //
     /* 2323471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323474 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2323477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2323491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323508 */     // GIR_Coverage, 58706,
     /* 2323508 */     GIR_EraseRootFromParent_Done,
     /* 2323509 */   // Label 32077: @2323509
     /* 2323509 */   GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2323552), // Rule ID 58707 //
     /* 2323514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323517 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2323520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2323534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323551 */     // GIR_Coverage, 58707,
     /* 2323551 */     GIR_EraseRootFromParent_Done,
     /* 2323552 */   // Label 32078: @2323552
     /* 2323552 */   GIM_Reject,
     /* 2323553 */ // Label 32076: @2323553
     /* 2323553 */ GIM_Reject,
     /* 2323554 */ // Label 31998: @2323554
     /* 2323554 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2323608), // Rule ID 58302 //
     /* 2323559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323573 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2323590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323607 */   // GIR_Coverage, 58302,
     /* 2323607 */   GIR_EraseRootFromParent_Done,
     /* 2323608 */ // Label 32079: @2323608
     /* 2323608 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2323662), // Rule ID 58303 //
     /* 2323613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323627 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2323644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323661 */   // GIR_Coverage, 58303,
     /* 2323661 */   GIR_EraseRootFromParent_Done,
     /* 2323662 */ // Label 32080: @2323662
     /* 2323662 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2323716), // Rule ID 58730 //
     /* 2323667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323681 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323681 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323684 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323688 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323693 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2323698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323700 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323703 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323715 */   // GIR_Coverage, 58730,
     /* 2323715 */   GIR_EraseRootFromParent_Done,
     /* 2323716 */ // Label 32081: @2323716
     /* 2323716 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2323770), // Rule ID 58731 //
     /* 2323721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323735 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323735 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323738 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323742 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323747 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2323752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323754 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323757 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323769 */   // GIR_Coverage, 58731,
     /* 2323769 */   GIR_EraseRootFromParent_Done,
     /* 2323770 */ // Label 32082: @2323770
     /* 2323770 */ GIM_Reject,
     /* 2323771 */ // Label 31999: @2323771
     /* 2323771 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2323825), // Rule ID 58318 //
     /* 2323776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323790 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323790 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323797 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323802 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2323807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323809 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323824 */   // GIR_Coverage, 58318,
     /* 2323824 */   GIR_EraseRootFromParent_Done,
     /* 2323825 */ // Label 32083: @2323825
     /* 2323825 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2323879), // Rule ID 58319 //
     /* 2323830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323844 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2323861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323866 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323878 */   // GIR_Coverage, 58319,
     /* 2323878 */   GIR_EraseRootFromParent_Done,
     /* 2323879 */ // Label 32084: @2323879
     /* 2323879 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2323933), // Rule ID 58522 //
     /* 2323884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323898 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323898 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323901 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323905 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2323915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323917 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323932 */   // GIR_Coverage, 58522,
     /* 2323932 */   GIR_EraseRootFromParent_Done,
     /* 2323933 */ // Label 32085: @2323933
     /* 2323933 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2323987), // Rule ID 58523 //
     /* 2323938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323952 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2323969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323986 */   // GIR_Coverage, 58523,
     /* 2323986 */   GIR_EraseRootFromParent_Done,
     /* 2323987 */ // Label 32086: @2323987
     /* 2323987 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2324041), // Rule ID 58750 //
     /* 2323992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324006 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324025 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324028 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324040 */   // GIR_Coverage, 58750,
     /* 2324040 */   GIR_EraseRootFromParent_Done,
     /* 2324041 */ // Label 32087: @2324041
     /* 2324041 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2324095), // Rule ID 58751 //
     /* 2324046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324060 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324094 */   // GIR_Coverage, 58751,
     /* 2324094 */   GIR_EraseRootFromParent_Done,
     /* 2324095 */ // Label 32088: @2324095
     /* 2324095 */ GIM_Reject,
     /* 2324096 */ // Label 32000: @2324096
     /* 2324096 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2324150), // Rule ID 58334 //
     /* 2324101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324115 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324115 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324118 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324122 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2324132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324149 */   // GIR_Coverage, 58334,
     /* 2324149 */   GIR_EraseRootFromParent_Done,
     /* 2324150 */ // Label 32089: @2324150
     /* 2324150 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2324204), // Rule ID 58335 //
     /* 2324155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324169 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324169 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324172 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324176 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2324186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324191 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324203 */   // GIR_Coverage, 58335,
     /* 2324203 */   GIR_EraseRootFromParent_Done,
     /* 2324204 */ // Label 32090: @2324204
     /* 2324204 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2324258), // Rule ID 58542 //
     /* 2324209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324223 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324223 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324226 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324230 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2324240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324242 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324257 */   // GIR_Coverage, 58542,
     /* 2324257 */   GIR_EraseRootFromParent_Done,
     /* 2324258 */ // Label 32091: @2324258
     /* 2324258 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2324312), // Rule ID 58543 //
     /* 2324263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324277 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2324294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324311 */   // GIR_Coverage, 58543,
     /* 2324311 */   GIR_EraseRootFromParent_Done,
     /* 2324312 */ // Label 32092: @2324312
     /* 2324312 */ GIM_Reject,
     /* 2324313 */ // Label 32001: @2324313
     /* 2324313 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2324416),
     /* 2324318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324329 */   GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2324372), // Rule ID 58710 //
     /* 2324334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324337 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2324354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324371 */     // GIR_Coverage, 58710,
     /* 2324371 */     GIR_EraseRootFromParent_Done,
     /* 2324372 */   // Label 32094: @2324372
     /* 2324372 */   GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2324415), // Rule ID 58711 //
     /* 2324377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324380 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2324397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324414 */     // GIR_Coverage, 58711,
     /* 2324414 */     GIR_EraseRootFromParent_Done,
     /* 2324415 */   // Label 32095: @2324415
     /* 2324415 */   GIM_Reject,
     /* 2324416 */ // Label 32093: @2324416
     /* 2324416 */ GIM_Reject,
     /* 2324417 */ // Label 32002: @2324417
     /* 2324417 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2324471), // Rule ID 58306 //
     /* 2324422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324436 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324436 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324439 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324443 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2324453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324470 */   // GIR_Coverage, 58306,
     /* 2324470 */   GIR_EraseRootFromParent_Done,
     /* 2324471 */ // Label 32096: @2324471
     /* 2324471 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2324525), // Rule ID 58307 //
     /* 2324476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324490 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324490 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324493 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324497 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2324507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324509 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324512 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324524 */   // GIR_Coverage, 58307,
     /* 2324524 */   GIR_EraseRootFromParent_Done,
     /* 2324525 */ // Label 32097: @2324525
     /* 2324525 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2324579), // Rule ID 58734 //
     /* 2324530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324544 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324563 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324566 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324578 */   // GIR_Coverage, 58734,
     /* 2324578 */   GIR_EraseRootFromParent_Done,
     /* 2324579 */ // Label 32098: @2324579
     /* 2324579 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2324633), // Rule ID 58735 //
     /* 2324584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324598 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324632 */   // GIR_Coverage, 58735,
     /* 2324632 */   GIR_EraseRootFromParent_Done,
     /* 2324633 */ // Label 32099: @2324633
     /* 2324633 */ GIM_Reject,
     /* 2324634 */ // Label 32003: @2324634
     /* 2324634 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2324688), // Rule ID 58322 //
     /* 2324639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324653 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324653 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324656 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324660 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324665 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2324670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324672 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324687 */   // GIR_Coverage, 58322,
     /* 2324687 */   GIR_EraseRootFromParent_Done,
     /* 2324688 */ // Label 32100: @2324688
     /* 2324688 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2324742), // Rule ID 58323 //
     /* 2324693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324707 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324707 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324710 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324714 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324719 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2324724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324726 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324741 */   // GIR_Coverage, 58323,
     /* 2324741 */   GIR_EraseRootFromParent_Done,
     /* 2324742 */ // Label 32101: @2324742
     /* 2324742 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2324796), // Rule ID 58526 //
     /* 2324747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324761 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324773 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2324778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324780 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324783 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324795 */   // GIR_Coverage, 58526,
     /* 2324795 */   GIR_EraseRootFromParent_Done,
     /* 2324796 */ // Label 32102: @2324796
     /* 2324796 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2324850), // Rule ID 58527 //
     /* 2324801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324815 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2324832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324837 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324849 */   // GIR_Coverage, 58527,
     /* 2324849 */   GIR_EraseRootFromParent_Done,
     /* 2324850 */ // Label 32103: @2324850
     /* 2324850 */ GIM_Reject,
     /* 2324851 */ // Label 32004: @2324851
     /* 2324851 */ GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2324954),
     /* 2324856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324867 */   GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2324910), // Rule ID 58714 //
     /* 2324872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324875 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2324878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324909 */     // GIR_Coverage, 58714,
     /* 2324909 */     GIR_EraseRootFromParent_Done,
     /* 2324910 */   // Label 32105: @2324910
     /* 2324910 */   GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2324953), // Rule ID 58715 //
     /* 2324915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324918 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2324921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2324935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324952 */     // GIR_Coverage, 58715,
     /* 2324952 */     GIR_EraseRootFromParent_Done,
     /* 2324953 */   // Label 32106: @2324953
     /* 2324953 */   GIM_Reject,
     /* 2324954 */ // Label 32104: @2324954
     /* 2324954 */ GIM_Reject,
     /* 2324955 */ // Label 32005: @2324955
     /* 2324955 */ GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2325058),
     /* 2324960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324971 */   GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2325014), // Rule ID 58310 //
     /* 2324976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324979 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2324996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325013 */     // GIR_Coverage, 58310,
     /* 2325013 */     GIR_EraseRootFromParent_Done,
     /* 2325014 */   // Label 32108: @2325014
     /* 2325014 */   GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2325057), // Rule ID 58311 //
     /* 2325019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325022 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2325039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325056 */     // GIR_Coverage, 58311,
     /* 2325056 */     GIR_EraseRootFromParent_Done,
     /* 2325057 */   // Label 32109: @2325057
     /* 2325057 */   GIM_Reject,
     /* 2325058 */ // Label 32107: @2325058
     /* 2325058 */ GIM_Reject,
     /* 2325059 */ // Label 32006: @2325059
     /* 2325059 */ GIM_Reject,
     /* 2325060 */ // Label 68: @2325060
     /* 2325060 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32133*/ GIMT_Encode4(2329945),
     /* 2325071 */ /*GILLT_s32*//*Label 32110*/ GIMT_Encode4(2325187),
     /* 2325075 */ /*GILLT_s64*//*Label 32111*/ GIMT_Encode4(2325560), GIMT_Encode4(0),
     /* 2325083 */ /*GILLT_nxv1s8*//*Label 32112*/ GIMT_Encode4(2325747),
     /* 2325087 */ /*GILLT_nxv1s16*//*Label 32113*/ GIMT_Encode4(2325851),
     /* 2325091 */ /*GILLT_nxv1s32*//*Label 32114*/ GIMT_Encode4(2326068),
     /* 2325095 */ /*GILLT_nxv1s64*//*Label 32115*/ GIMT_Encode4(2326393), GIMT_Encode4(0),
     /* 2325103 */ /*GILLT_nxv2s8*//*Label 32116*/ GIMT_Encode4(2326610),
     /* 2325107 */ /*GILLT_nxv2s16*//*Label 32117*/ GIMT_Encode4(2326714),
     /* 2325111 */ /*GILLT_nxv2s32*//*Label 32118*/ GIMT_Encode4(2326931),
     /* 2325115 */ /*GILLT_nxv2s64*//*Label 32119*/ GIMT_Encode4(2327256), GIMT_Encode4(0),
     /* 2325123 */ /*GILLT_nxv4s8*//*Label 32120*/ GIMT_Encode4(2327473),
     /* 2325127 */ /*GILLT_nxv4s16*//*Label 32121*/ GIMT_Encode4(2327577),
     /* 2325131 */ /*GILLT_nxv4s32*//*Label 32122*/ GIMT_Encode4(2327794),
     /* 2325135 */ /*GILLT_nxv4s64*//*Label 32123*/ GIMT_Encode4(2328119), GIMT_Encode4(0),
     /* 2325143 */ /*GILLT_nxv8s8*//*Label 32124*/ GIMT_Encode4(2328336),
     /* 2325147 */ /*GILLT_nxv8s16*//*Label 32125*/ GIMT_Encode4(2328440),
     /* 2325151 */ /*GILLT_nxv8s32*//*Label 32126*/ GIMT_Encode4(2328657),
     /* 2325155 */ /*GILLT_nxv8s64*//*Label 32127*/ GIMT_Encode4(2328982), GIMT_Encode4(0),
     /* 2325163 */ /*GILLT_nxv16s8*//*Label 32128*/ GIMT_Encode4(2329199),
     /* 2325167 */ /*GILLT_nxv16s16*//*Label 32129*/ GIMT_Encode4(2329303),
     /* 2325171 */ /*GILLT_nxv16s32*//*Label 32130*/ GIMT_Encode4(2329520), GIMT_Encode4(0),
     /* 2325179 */ /*GILLT_nxv32s8*//*Label 32131*/ GIMT_Encode4(2329737),
     /* 2325183 */ /*GILLT_nxv32s16*//*Label 32132*/ GIMT_Encode4(2329841),
     /* 2325187 */ // Label 32110: @2325187
     /* 2325187 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2325218), // Rule ID 1450 //
     /* 2325192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2325195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325206 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2325206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2325209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325217 */   // GIR_Coverage, 1450,
     /* 2325217 */   GIR_EraseRootFromParent_Done,
     /* 2325218 */ // Label 32134: @2325218
     /* 2325218 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2325249), // Rule ID 1451 //
     /* 2325223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2325226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325237 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2325237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2325240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325248 */   // GIR_Coverage, 1451,
     /* 2325248 */   GIR_EraseRootFromParent_Done,
     /* 2325249 */ // Label 32135: @2325249
     /* 2325249 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2325280), // Rule ID 1476 //
     /* 2325254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2325257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325268 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2325268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2325271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325279 */   // GIR_Coverage, 1476,
     /* 2325279 */   GIR_EraseRootFromParent_Done,
     /* 2325280 */ // Label 32136: @2325280
     /* 2325280 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2325311), // Rule ID 1477 //
     /* 2325285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2325288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325299 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2325299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2325302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325310 */   // GIR_Coverage, 1477,
     /* 2325310 */   GIR_EraseRootFromParent_Done,
     /* 2325311 */ // Label 32137: @2325311
     /* 2325311 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2325342), // Rule ID 1844 //
     /* 2325316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2325319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325330 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2325330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2325333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325341 */   // GIR_Coverage, 1844,
     /* 2325341 */   GIR_EraseRootFromParent_Done,
     /* 2325342 */ // Label 32138: @2325342
     /* 2325342 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2325373), // Rule ID 1845 //
     /* 2325347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2325350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325361 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2325361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2325364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325372 */   // GIR_Coverage, 1845,
     /* 2325372 */   GIR_EraseRootFromParent_Done,
     /* 2325373 */ // Label 32139: @2325373
     /* 2325373 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2325404), // Rule ID 1870 //
     /* 2325378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2325381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325392 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2325392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2325395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325397 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325403 */   // GIR_Coverage, 1870,
     /* 2325403 */   GIR_EraseRootFromParent_Done,
     /* 2325404 */ // Label 32140: @2325404
     /* 2325404 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2325435), // Rule ID 1871 //
     /* 2325409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2325412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325423 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2325423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2325426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325434 */   // GIR_Coverage, 1871,
     /* 2325434 */   GIR_EraseRootFromParent_Done,
     /* 2325435 */ // Label 32141: @2325435
     /* 2325435 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2325466), // Rule ID 2186 //
     /* 2325440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2325443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325454 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2325454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2325457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325465 */   // GIR_Coverage, 2186,
     /* 2325465 */   GIR_EraseRootFromParent_Done,
     /* 2325466 */ // Label 32142: @2325466
     /* 2325466 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2325497), // Rule ID 2187 //
     /* 2325471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2325474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325485 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2325485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2325488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325490 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325496 */   // GIR_Coverage, 2187,
     /* 2325496 */   GIR_EraseRootFromParent_Done,
     /* 2325497 */ // Label 32143: @2325497
     /* 2325497 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2325528), // Rule ID 2212 //
     /* 2325502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2325505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325516 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2325516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2325519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325527 */   // GIR_Coverage, 2212,
     /* 2325527 */   GIR_EraseRootFromParent_Done,
     /* 2325528 */ // Label 32144: @2325528
     /* 2325528 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2325559), // Rule ID 2213 //
     /* 2325533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2325536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325547 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2325547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2325550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325558 */   // GIR_Coverage, 2213,
     /* 2325558 */   GIR_EraseRootFromParent_Done,
     /* 2325559 */ // Label 32145: @2325559
     /* 2325559 */ GIM_Reject,
     /* 2325560 */ // Label 32111: @2325560
     /* 2325560 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2325591), // Rule ID 1505 //
     /* 2325565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2325568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325579 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2325579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2325582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325590 */   // GIR_Coverage, 1505,
     /* 2325590 */   GIR_EraseRootFromParent_Done,
     /* 2325591 */ // Label 32146: @2325591
     /* 2325591 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2325622), // Rule ID 1533 //
     /* 2325596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2325599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325610 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2325610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2325613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325615 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325621 */   // GIR_Coverage, 1533,
     /* 2325621 */   GIR_EraseRootFromParent_Done,
     /* 2325622 */ // Label 32147: @2325622
     /* 2325622 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2325653), // Rule ID 1905 //
     /* 2325627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2325630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325641 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2325641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2325644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325646 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325652 */   // GIR_Coverage, 1905,
     /* 2325652 */   GIR_EraseRootFromParent_Done,
     /* 2325653 */ // Label 32148: @2325653
     /* 2325653 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2325684), // Rule ID 1933 //
     /* 2325658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325672 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2325672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2325675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325677 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325683 */   // GIR_Coverage, 1933,
     /* 2325683 */   GIR_EraseRootFromParent_Done,
     /* 2325684 */ // Label 32149: @2325684
     /* 2325684 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2325715), // Rule ID 2239 //
     /* 2325689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2325692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325703 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2325703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2325706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325708 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325714 */   // GIR_Coverage, 2239,
     /* 2325714 */   GIR_EraseRootFromParent_Done,
     /* 2325715 */ // Label 32150: @2325715
     /* 2325715 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2325746), // Rule ID 2265 //
     /* 2325720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2325723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325734 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2325734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2325737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2325744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325745 */   // GIR_Coverage, 2265,
     /* 2325745 */   GIR_EraseRootFromParent_Done,
     /* 2325746 */ // Label 32151: @2325746
     /* 2325746 */ GIM_Reject,
     /* 2325747 */ // Label 32112: @2325747
     /* 2325747 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2325850),
     /* 2325752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325763 */   GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2325806), // Rule ID 58754 //
     /* 2325768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325771 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2325774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2325788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325805 */     // GIR_Coverage, 58754,
     /* 2325805 */     GIR_EraseRootFromParent_Done,
     /* 2325806 */   // Label 32153: @2325806
     /* 2325806 */   GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2325849), // Rule ID 58755 //
     /* 2325811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325814 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2325817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2325831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325848 */     // GIR_Coverage, 58755,
     /* 2325848 */     GIR_EraseRootFromParent_Done,
     /* 2325849 */   // Label 32154: @2325849
     /* 2325849 */   GIM_Reject,
     /* 2325850 */ // Label 32152: @2325850
     /* 2325850 */ GIM_Reject,
     /* 2325851 */ // Label 32113: @2325851
     /* 2325851 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2325905), // Rule ID 58338 //
     /* 2325856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325870 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2325887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325892 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325904 */   // GIR_Coverage, 58338,
     /* 2325904 */   GIR_EraseRootFromParent_Done,
     /* 2325905 */ // Label 32155: @2325905
     /* 2325905 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2325959), // Rule ID 58339 //
     /* 2325910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325924 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325924 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325927 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325931 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325936 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2325941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325943 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325946 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325958 */   // GIR_Coverage, 58339,
     /* 2325958 */   GIR_EraseRootFromParent_Done,
     /* 2325959 */ // Label 32156: @2325959
     /* 2325959 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2326013), // Rule ID 58778 //
     /* 2325964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325978 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325990 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2325995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325997 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326000 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326012 */   // GIR_Coverage, 58778,
     /* 2326012 */   GIR_EraseRootFromParent_Done,
     /* 2326013 */ // Label 32157: @2326013
     /* 2326013 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2326067), // Rule ID 58779 //
     /* 2326018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326032 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2326049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326066 */   // GIR_Coverage, 58779,
     /* 2326066 */   GIR_EraseRootFromParent_Done,
     /* 2326067 */ // Label 32158: @2326067
     /* 2326067 */ GIM_Reject,
     /* 2326068 */ // Label 32114: @2326068
     /* 2326068 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2326122), // Rule ID 58346 //
     /* 2326073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326087 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2326104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326121 */   // GIR_Coverage, 58346,
     /* 2326121 */   GIR_EraseRootFromParent_Done,
     /* 2326122 */ // Label 32159: @2326122
     /* 2326122 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2326176), // Rule ID 58347 //
     /* 2326127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326141 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2326158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326175 */   // GIR_Coverage, 58347,
     /* 2326175 */   GIR_EraseRootFromParent_Done,
     /* 2326176 */ // Label 32160: @2326176
     /* 2326176 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2326230), // Rule ID 58546 //
     /* 2326181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326195 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2326212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326229 */   // GIR_Coverage, 58546,
     /* 2326229 */   GIR_EraseRootFromParent_Done,
     /* 2326230 */ // Label 32161: @2326230
     /* 2326230 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2326284), // Rule ID 58547 //
     /* 2326235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326249 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2326266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326283 */   // GIR_Coverage, 58547,
     /* 2326283 */   GIR_EraseRootFromParent_Done,
     /* 2326284 */ // Label 32162: @2326284
     /* 2326284 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2326338), // Rule ID 58798 //
     /* 2326289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2326292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326303 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2326320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326337 */   // GIR_Coverage, 58798,
     /* 2326337 */   GIR_EraseRootFromParent_Done,
     /* 2326338 */ // Label 32163: @2326338
     /* 2326338 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2326392), // Rule ID 58799 //
     /* 2326343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2326346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326357 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2326374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326391 */   // GIR_Coverage, 58799,
     /* 2326391 */   GIR_EraseRootFromParent_Done,
     /* 2326392 */ // Label 32164: @2326392
     /* 2326392 */ GIM_Reject,
     /* 2326393 */ // Label 32115: @2326393
     /* 2326393 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2326447), // Rule ID 58358 //
     /* 2326398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2326401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326412 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2326429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326446 */   // GIR_Coverage, 58358,
     /* 2326446 */   GIR_EraseRootFromParent_Done,
     /* 2326447 */ // Label 32165: @2326447
     /* 2326447 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2326501), // Rule ID 58359 //
     /* 2326452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2326455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326466 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2326483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326500 */   // GIR_Coverage, 58359,
     /* 2326500 */   GIR_EraseRootFromParent_Done,
     /* 2326501 */ // Label 32166: @2326501
     /* 2326501 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2326555), // Rule ID 58566 //
     /* 2326506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2326509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326520 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2326537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326554 */   // GIR_Coverage, 58566,
     /* 2326554 */   GIR_EraseRootFromParent_Done,
     /* 2326555 */ // Label 32167: @2326555
     /* 2326555 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2326609), // Rule ID 58567 //
     /* 2326560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2326563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326574 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2326591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326608 */   // GIR_Coverage, 58567,
     /* 2326608 */   GIR_EraseRootFromParent_Done,
     /* 2326609 */ // Label 32168: @2326609
     /* 2326609 */ GIM_Reject,
     /* 2326610 */ // Label 32116: @2326610
     /* 2326610 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2326713),
     /* 2326615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326626 */   GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2326669), // Rule ID 58758 //
     /* 2326631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326634 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2326637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2326651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326668 */     // GIR_Coverage, 58758,
     /* 2326668 */     GIR_EraseRootFromParent_Done,
     /* 2326669 */   // Label 32170: @2326669
     /* 2326669 */   GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2326712), // Rule ID 58759 //
     /* 2326674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326677 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2326680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2326694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326711 */     // GIR_Coverage, 58759,
     /* 2326711 */     GIR_EraseRootFromParent_Done,
     /* 2326712 */   // Label 32171: @2326712
     /* 2326712 */   GIM_Reject,
     /* 2326713 */ // Label 32169: @2326713
     /* 2326713 */ GIM_Reject,
     /* 2326714 */ // Label 32117: @2326714
     /* 2326714 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2326768), // Rule ID 58342 //
     /* 2326719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326733 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2326750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326767 */   // GIR_Coverage, 58342,
     /* 2326767 */   GIR_EraseRootFromParent_Done,
     /* 2326768 */ // Label 32172: @2326768
     /* 2326768 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2326822), // Rule ID 58343 //
     /* 2326773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326787 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2326804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326821 */   // GIR_Coverage, 58343,
     /* 2326821 */   GIR_EraseRootFromParent_Done,
     /* 2326822 */ // Label 32173: @2326822
     /* 2326822 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2326876), // Rule ID 58782 //
     /* 2326827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326841 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2326858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326875 */   // GIR_Coverage, 58782,
     /* 2326875 */   GIR_EraseRootFromParent_Done,
     /* 2326876 */ // Label 32174: @2326876
     /* 2326876 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2326930), // Rule ID 58783 //
     /* 2326881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326895 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2326912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326929 */   // GIR_Coverage, 58783,
     /* 2326929 */   GIR_EraseRootFromParent_Done,
     /* 2326930 */ // Label 32175: @2326930
     /* 2326930 */ GIM_Reject,
     /* 2326931 */ // Label 32118: @2326931
     /* 2326931 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2326985), // Rule ID 58354 //
     /* 2326936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326950 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2326967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326984 */   // GIR_Coverage, 58354,
     /* 2326984 */   GIR_EraseRootFromParent_Done,
     /* 2326985 */ // Label 32176: @2326985
     /* 2326985 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2327039), // Rule ID 58355 //
     /* 2326990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327004 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2327021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327038 */   // GIR_Coverage, 58355,
     /* 2327038 */   GIR_EraseRootFromParent_Done,
     /* 2327039 */ // Label 32177: @2327039
     /* 2327039 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2327093), // Rule ID 58550 //
     /* 2327044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327058 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2327075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327092 */   // GIR_Coverage, 58550,
     /* 2327092 */   GIR_EraseRootFromParent_Done,
     /* 2327093 */ // Label 32178: @2327093
     /* 2327093 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2327147), // Rule ID 58551 //
     /* 2327098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327112 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327112 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327115 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327119 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2327129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327134 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327146 */   // GIR_Coverage, 58551,
     /* 2327146 */   GIR_EraseRootFromParent_Done,
     /* 2327147 */ // Label 32179: @2327147
     /* 2327147 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2327201), // Rule ID 58802 //
     /* 2327152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327166 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2327183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327200 */   // GIR_Coverage, 58802,
     /* 2327200 */   GIR_EraseRootFromParent_Done,
     /* 2327201 */ // Label 32180: @2327201
     /* 2327201 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2327255), // Rule ID 58803 //
     /* 2327206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327220 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2327237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327254 */   // GIR_Coverage, 58803,
     /* 2327254 */   GIR_EraseRootFromParent_Done,
     /* 2327255 */ // Label 32181: @2327255
     /* 2327255 */ GIM_Reject,
     /* 2327256 */ // Label 32119: @2327256
     /* 2327256 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2327310), // Rule ID 58386 //
     /* 2327261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327275 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2327292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327309 */   // GIR_Coverage, 58386,
     /* 2327309 */   GIR_EraseRootFromParent_Done,
     /* 2327310 */ // Label 32182: @2327310
     /* 2327310 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2327364), // Rule ID 58387 //
     /* 2327315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327329 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327341 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2327346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327348 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327363 */   // GIR_Coverage, 58387,
     /* 2327363 */   GIR_EraseRootFromParent_Done,
     /* 2327364 */ // Label 32183: @2327364
     /* 2327364 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2327418), // Rule ID 58570 //
     /* 2327369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327383 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327383 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327386 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327390 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327395 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2327400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327402 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327405 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327417 */   // GIR_Coverage, 58570,
     /* 2327417 */   GIR_EraseRootFromParent_Done,
     /* 2327418 */ // Label 32184: @2327418
     /* 2327418 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2327472), // Rule ID 58571 //
     /* 2327423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327437 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2327454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327471 */   // GIR_Coverage, 58571,
     /* 2327471 */   GIR_EraseRootFromParent_Done,
     /* 2327472 */ // Label 32185: @2327472
     /* 2327472 */ GIM_Reject,
     /* 2327473 */ // Label 32120: @2327473
     /* 2327473 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2327576),
     /* 2327478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327489 */   GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2327532), // Rule ID 58762 //
     /* 2327494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327497 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2327500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2327514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327531 */     // GIR_Coverage, 58762,
     /* 2327531 */     GIR_EraseRootFromParent_Done,
     /* 2327532 */   // Label 32187: @2327532
     /* 2327532 */   GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2327575), // Rule ID 58763 //
     /* 2327537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327540 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2327543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2327557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327574 */     // GIR_Coverage, 58763,
     /* 2327574 */     GIR_EraseRootFromParent_Done,
     /* 2327575 */   // Label 32188: @2327575
     /* 2327575 */   GIM_Reject,
     /* 2327576 */ // Label 32186: @2327576
     /* 2327576 */ GIM_Reject,
     /* 2327577 */ // Label 32121: @2327577
     /* 2327577 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2327631), // Rule ID 58350 //
     /* 2327582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327596 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2327613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327630 */   // GIR_Coverage, 58350,
     /* 2327630 */   GIR_EraseRootFromParent_Done,
     /* 2327631 */ // Label 32189: @2327631
     /* 2327631 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2327685), // Rule ID 58351 //
     /* 2327636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327650 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327662 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2327667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327669 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327672 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327684 */   // GIR_Coverage, 58351,
     /* 2327684 */   GIR_EraseRootFromParent_Done,
     /* 2327685 */ // Label 32190: @2327685
     /* 2327685 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2327739), // Rule ID 58786 //
     /* 2327690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327704 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2327721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327738 */   // GIR_Coverage, 58786,
     /* 2327738 */   GIR_EraseRootFromParent_Done,
     /* 2327739 */ // Label 32191: @2327739
     /* 2327739 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2327793), // Rule ID 58787 //
     /* 2327744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327758 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327758 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327765 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2327775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327792 */   // GIR_Coverage, 58787,
     /* 2327792 */   GIR_EraseRootFromParent_Done,
     /* 2327793 */ // Label 32192: @2327793
     /* 2327793 */ GIM_Reject,
     /* 2327794 */ // Label 32122: @2327794
     /* 2327794 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2327848), // Rule ID 58374 //
     /* 2327799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327813 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2327830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327847 */   // GIR_Coverage, 58374,
     /* 2327847 */   GIR_EraseRootFromParent_Done,
     /* 2327848 */ // Label 32193: @2327848
     /* 2327848 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2327902), // Rule ID 58375 //
     /* 2327853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327867 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327867 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327870 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327874 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2327884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327901 */   // GIR_Coverage, 58375,
     /* 2327901 */   GIR_EraseRootFromParent_Done,
     /* 2327902 */ // Label 32194: @2327902
     /* 2327902 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2327956), // Rule ID 58554 //
     /* 2327907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327921 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2327938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327940 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327955 */   // GIR_Coverage, 58554,
     /* 2327955 */   GIR_EraseRootFromParent_Done,
     /* 2327956 */ // Label 32195: @2327956
     /* 2327956 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2328010), // Rule ID 58555 //
     /* 2327961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327975 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2327992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327997 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328009 */   // GIR_Coverage, 58555,
     /* 2328009 */   GIR_EraseRootFromParent_Done,
     /* 2328010 */ // Label 32196: @2328010
     /* 2328010 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2328064), // Rule ID 58806 //
     /* 2328015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328029 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328029 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328032 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328036 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328041 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2328046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328048 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328051 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328063 */   // GIR_Coverage, 58806,
     /* 2328063 */   GIR_EraseRootFromParent_Done,
     /* 2328064 */ // Label 32197: @2328064
     /* 2328064 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2328118), // Rule ID 58807 //
     /* 2328069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328083 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2328100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328117 */   // GIR_Coverage, 58807,
     /* 2328117 */   GIR_EraseRootFromParent_Done,
     /* 2328118 */ // Label 32198: @2328118
     /* 2328118 */ GIM_Reject,
     /* 2328119 */ // Label 32123: @2328119
     /* 2328119 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2328173), // Rule ID 58390 //
     /* 2328124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328138 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328150 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2328155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328172 */   // GIR_Coverage, 58390,
     /* 2328172 */   GIR_EraseRootFromParent_Done,
     /* 2328173 */ // Label 32199: @2328173
     /* 2328173 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2328227), // Rule ID 58391 //
     /* 2328178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328192 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328192 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328195 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328199 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2328209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328214 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328226 */   // GIR_Coverage, 58391,
     /* 2328226 */   GIR_EraseRootFromParent_Done,
     /* 2328227 */ // Label 32200: @2328227
     /* 2328227 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2328281), // Rule ID 58574 //
     /* 2328232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328246 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328246 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328249 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328253 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328258 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2328263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328265 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328268 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328280 */   // GIR_Coverage, 58574,
     /* 2328280 */   GIR_EraseRootFromParent_Done,
     /* 2328281 */ // Label 32201: @2328281
     /* 2328281 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2328335), // Rule ID 58575 //
     /* 2328286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328300 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328312 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2328317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328319 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328322 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328334 */   // GIR_Coverage, 58575,
     /* 2328334 */   GIR_EraseRootFromParent_Done,
     /* 2328335 */ // Label 32202: @2328335
     /* 2328335 */ GIM_Reject,
     /* 2328336 */ // Label 32124: @2328336
     /* 2328336 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2328439),
     /* 2328341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328352 */   GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2328395), // Rule ID 58766 //
     /* 2328357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328360 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2328363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2328377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328394 */     // GIR_Coverage, 58766,
     /* 2328394 */     GIR_EraseRootFromParent_Done,
     /* 2328395 */   // Label 32204: @2328395
     /* 2328395 */   GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2328438), // Rule ID 58767 //
     /* 2328400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328403 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2328406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2328420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328437 */     // GIR_Coverage, 58767,
     /* 2328437 */     GIR_EraseRootFromParent_Done,
     /* 2328438 */   // Label 32205: @2328438
     /* 2328438 */   GIM_Reject,
     /* 2328439 */ // Label 32203: @2328439
     /* 2328439 */ GIM_Reject,
     /* 2328440 */ // Label 32125: @2328440
     /* 2328440 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2328494), // Rule ID 58362 //
     /* 2328445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328459 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2328476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328493 */   // GIR_Coverage, 58362,
     /* 2328493 */   GIR_EraseRootFromParent_Done,
     /* 2328494 */ // Label 32206: @2328494
     /* 2328494 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2328548), // Rule ID 58363 //
     /* 2328499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328513 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328513 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328516 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328520 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328525 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2328530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328532 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328535 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328547 */   // GIR_Coverage, 58363,
     /* 2328547 */   GIR_EraseRootFromParent_Done,
     /* 2328548 */ // Label 32207: @2328548
     /* 2328548 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2328602), // Rule ID 58790 //
     /* 2328553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328567 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2328584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328601 */   // GIR_Coverage, 58790,
     /* 2328601 */   GIR_EraseRootFromParent_Done,
     /* 2328602 */ // Label 32208: @2328602
     /* 2328602 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2328656), // Rule ID 58791 //
     /* 2328607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328621 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2328638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328643 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328655 */   // GIR_Coverage, 58791,
     /* 2328655 */   GIR_EraseRootFromParent_Done,
     /* 2328656 */ // Label 32209: @2328656
     /* 2328656 */ GIM_Reject,
     /* 2328657 */ // Label 32126: @2328657
     /* 2328657 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2328711), // Rule ID 58378 //
     /* 2328662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328676 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2328693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328710 */   // GIR_Coverage, 58378,
     /* 2328710 */   GIR_EraseRootFromParent_Done,
     /* 2328711 */ // Label 32210: @2328711
     /* 2328711 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2328765), // Rule ID 58379 //
     /* 2328716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328730 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2328747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328764 */   // GIR_Coverage, 58379,
     /* 2328764 */   GIR_EraseRootFromParent_Done,
     /* 2328765 */ // Label 32211: @2328765
     /* 2328765 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2328819), // Rule ID 58558 //
     /* 2328770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328784 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328784 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328787 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328791 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2328801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328803 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328806 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328818 */   // GIR_Coverage, 58558,
     /* 2328818 */   GIR_EraseRootFromParent_Done,
     /* 2328819 */ // Label 32212: @2328819
     /* 2328819 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2328873), // Rule ID 58559 //
     /* 2328824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328838 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328838 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328841 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328845 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2328855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328872 */   // GIR_Coverage, 58559,
     /* 2328872 */   GIR_EraseRootFromParent_Done,
     /* 2328873 */ // Label 32213: @2328873
     /* 2328873 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2328927), // Rule ID 58810 //
     /* 2328878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328892 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328892 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328895 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328899 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2328909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328914 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328926 */   // GIR_Coverage, 58810,
     /* 2328926 */   GIR_EraseRootFromParent_Done,
     /* 2328927 */ // Label 32214: @2328927
     /* 2328927 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2328981), // Rule ID 58811 //
     /* 2328932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328946 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328946 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328949 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328953 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2328963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328968 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328980 */   // GIR_Coverage, 58811,
     /* 2328980 */   GIR_EraseRootFromParent_Done,
     /* 2328981 */ // Label 32215: @2328981
     /* 2328981 */ GIM_Reject,
     /* 2328982 */ // Label 32127: @2328982
     /* 2328982 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2329036), // Rule ID 58394 //
     /* 2328987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329001 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329013 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329020 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329023 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329035 */   // GIR_Coverage, 58394,
     /* 2329035 */   GIR_EraseRootFromParent_Done,
     /* 2329036 */ // Label 32216: @2329036
     /* 2329036 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2329090), // Rule ID 58395 //
     /* 2329041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329055 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329055 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329058 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329062 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329074 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329077 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329089 */   // GIR_Coverage, 58395,
     /* 2329089 */   GIR_EraseRootFromParent_Done,
     /* 2329090 */ // Label 32217: @2329090
     /* 2329090 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2329144), // Rule ID 58578 //
     /* 2329095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329109 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329121 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2329126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329128 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329131 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329143 */   // GIR_Coverage, 58578,
     /* 2329143 */   GIR_EraseRootFromParent_Done,
     /* 2329144 */ // Label 32218: @2329144
     /* 2329144 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2329198), // Rule ID 58579 //
     /* 2329149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329163 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329163 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329170 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2329180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329197 */   // GIR_Coverage, 58579,
     /* 2329197 */   GIR_EraseRootFromParent_Done,
     /* 2329198 */ // Label 32219: @2329198
     /* 2329198 */ GIM_Reject,
     /* 2329199 */ // Label 32128: @2329199
     /* 2329199 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2329302),
     /* 2329204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329215 */   GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2329258), // Rule ID 58770 //
     /* 2329220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329223 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2329226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2329240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329257 */     // GIR_Coverage, 58770,
     /* 2329257 */     GIR_EraseRootFromParent_Done,
     /* 2329258 */   // Label 32221: @2329258
     /* 2329258 */   GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2329301), // Rule ID 58771 //
     /* 2329263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329266 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2329269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2329283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329300 */     // GIR_Coverage, 58771,
     /* 2329300 */     GIR_EraseRootFromParent_Done,
     /* 2329301 */   // Label 32222: @2329301
     /* 2329301 */   GIM_Reject,
     /* 2329302 */ // Label 32220: @2329302
     /* 2329302 */ GIM_Reject,
     /* 2329303 */ // Label 32129: @2329303
     /* 2329303 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2329357), // Rule ID 58366 //
     /* 2329308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329322 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329322 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329325 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329329 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329334 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2329339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329356 */   // GIR_Coverage, 58366,
     /* 2329356 */   GIR_EraseRootFromParent_Done,
     /* 2329357 */ // Label 32223: @2329357
     /* 2329357 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2329411), // Rule ID 58367 //
     /* 2329362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329376 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329376 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329379 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329383 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329388 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2329393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329395 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329410 */   // GIR_Coverage, 58367,
     /* 2329410 */   GIR_EraseRootFromParent_Done,
     /* 2329411 */ // Label 32224: @2329411
     /* 2329411 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2329465), // Rule ID 58794 //
     /* 2329416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329430 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329430 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329433 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329437 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329442 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2329447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329449 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329464 */   // GIR_Coverage, 58794,
     /* 2329464 */   GIR_EraseRootFromParent_Done,
     /* 2329465 */ // Label 32225: @2329465
     /* 2329465 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2329519), // Rule ID 58795 //
     /* 2329470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329484 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329484 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329487 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329491 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329496 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2329501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329503 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329518 */   // GIR_Coverage, 58795,
     /* 2329518 */   GIR_EraseRootFromParent_Done,
     /* 2329519 */ // Label 32226: @2329519
     /* 2329519 */ GIM_Reject,
     /* 2329520 */ // Label 32130: @2329520
     /* 2329520 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2329574), // Rule ID 58382 //
     /* 2329525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329539 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329573 */   // GIR_Coverage, 58382,
     /* 2329573 */   GIR_EraseRootFromParent_Done,
     /* 2329574 */ // Label 32227: @2329574
     /* 2329574 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2329628), // Rule ID 58383 //
     /* 2329579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329593 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329593 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329596 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329600 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329615 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329627 */   // GIR_Coverage, 58383,
     /* 2329627 */   GIR_EraseRootFromParent_Done,
     /* 2329628 */ // Label 32228: @2329628
     /* 2329628 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2329682), // Rule ID 58562 //
     /* 2329633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329647 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329647 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329650 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329654 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329659 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2329664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329666 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329669 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329681 */   // GIR_Coverage, 58562,
     /* 2329681 */   GIR_EraseRootFromParent_Done,
     /* 2329682 */ // Label 32229: @2329682
     /* 2329682 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2329736), // Rule ID 58563 //
     /* 2329687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329701 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329701 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329704 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329708 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329713 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2329718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329720 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329723 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329735 */   // GIR_Coverage, 58563,
     /* 2329735 */   GIR_EraseRootFromParent_Done,
     /* 2329736 */ // Label 32230: @2329736
     /* 2329736 */ GIM_Reject,
     /* 2329737 */ // Label 32131: @2329737
     /* 2329737 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2329840),
     /* 2329742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2329745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329753 */   GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2329796), // Rule ID 58774 //
     /* 2329758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329761 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2329764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2329778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329795 */     // GIR_Coverage, 58774,
     /* 2329795 */     GIR_EraseRootFromParent_Done,
     /* 2329796 */   // Label 32232: @2329796
     /* 2329796 */   GIM_Try, /*On fail goto*//*Label 32233*/ GIMT_Encode4(2329839), // Rule ID 58775 //
     /* 2329801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329804 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2329807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2329821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329838 */     // GIR_Coverage, 58775,
     /* 2329838 */     GIR_EraseRootFromParent_Done,
     /* 2329839 */   // Label 32233: @2329839
     /* 2329839 */   GIM_Reject,
     /* 2329840 */ // Label 32231: @2329840
     /* 2329840 */ GIM_Reject,
     /* 2329841 */ // Label 32132: @2329841
     /* 2329841 */ GIM_Try, /*On fail goto*//*Label 32234*/ GIMT_Encode4(2329944),
     /* 2329846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2329849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329857 */   GIM_Try, /*On fail goto*//*Label 32235*/ GIMT_Encode4(2329900), // Rule ID 58370 //
     /* 2329862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329865 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329899 */     // GIR_Coverage, 58370,
     /* 2329899 */     GIR_EraseRootFromParent_Done,
     /* 2329900 */   // Label 32235: @2329900
     /* 2329900 */   GIM_Try, /*On fail goto*//*Label 32236*/ GIMT_Encode4(2329943), // Rule ID 58371 //
     /* 2329905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329908 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2329925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329942 */     // GIR_Coverage, 58371,
     /* 2329942 */     GIR_EraseRootFromParent_Done,
     /* 2329943 */   // Label 32236: @2329943
     /* 2329943 */   GIM_Reject,
     /* 2329944 */ // Label 32234: @2329944
     /* 2329944 */ GIM_Reject,
     /* 2329945 */ // Label 32133: @2329945
     /* 2329945 */ GIM_Reject,
     /* 2329946 */ // Label 69: @2329946
     /* 2329946 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32255*/ GIMT_Encode4(2335231),
     /* 2329957 */ /*GILLT_s16*//*Label 32237*/ GIMT_Encode4(2330077),
     /* 2329961 */ /*GILLT_s32*//*Label 32238*/ GIMT_Encode4(2330338),
     /* 2329965 */ /*GILLT_s64*//*Label 32239*/ GIMT_Encode4(2330599), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329977 */ /*GILLT_nxv1s16*//*Label 32240*/ GIMT_Encode4(2330860),
     /* 2329981 */ /*GILLT_nxv1s32*//*Label 32241*/ GIMT_Encode4(2331197),
     /* 2329985 */ /*GILLT_nxv1s64*//*Label 32242*/ GIMT_Encode4(2331534), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329997 */ /*GILLT_nxv2s16*//*Label 32243*/ GIMT_Encode4(2331757),
     /* 2330001 */ /*GILLT_nxv2s32*//*Label 32244*/ GIMT_Encode4(2332094),
     /* 2330005 */ /*GILLT_nxv2s64*//*Label 32245*/ GIMT_Encode4(2332431), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330017 */ /*GILLT_nxv4s16*//*Label 32246*/ GIMT_Encode4(2332654),
     /* 2330021 */ /*GILLT_nxv4s32*//*Label 32247*/ GIMT_Encode4(2332991),
     /* 2330025 */ /*GILLT_nxv4s64*//*Label 32248*/ GIMT_Encode4(2333328), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330037 */ /*GILLT_nxv8s16*//*Label 32249*/ GIMT_Encode4(2333551),
     /* 2330041 */ /*GILLT_nxv8s32*//*Label 32250*/ GIMT_Encode4(2333888),
     /* 2330045 */ /*GILLT_nxv8s64*//*Label 32251*/ GIMT_Encode4(2334225), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330057 */ /*GILLT_nxv16s16*//*Label 32252*/ GIMT_Encode4(2334448),
     /* 2330061 */ /*GILLT_nxv16s32*//*Label 32253*/ GIMT_Encode4(2334785), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330073 */ /*GILLT_nxv32s16*//*Label 32254*/ GIMT_Encode4(2335008),
     /* 2330077 */ // Label 32237: @2330077
     /* 2330077 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2330114), // Rule ID 2251 //
     /* 2330082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2330085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330092 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330099 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2330102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330113 */   // GIR_Coverage, 2251,
     /* 2330113 */   GIR_EraseRootFromParent_Done,
     /* 2330114 */ // Label 32256: @2330114
     /* 2330114 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2330151), // Rule ID 2277 //
     /* 2330119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2330122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330129 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330136 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2330139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330150 */   // GIR_Coverage, 2277,
     /* 2330150 */   GIR_EraseRootFromParent_Done,
     /* 2330151 */ // Label 32257: @2330151
     /* 2330151 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2330182), // Rule ID 2200 //
     /* 2330156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2330159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330170 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2330173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330181 */   // GIR_Coverage, 2200,
     /* 2330181 */   GIR_EraseRootFromParent_Done,
     /* 2330182 */ // Label 32258: @2330182
     /* 2330182 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2330213), // Rule ID 2201 //
     /* 2330187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2330190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330201 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2330204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330212 */   // GIR_Coverage, 2201,
     /* 2330212 */   GIR_EraseRootFromParent_Done,
     /* 2330213 */ // Label 32259: @2330213
     /* 2330213 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2330244), // Rule ID 2226 //
     /* 2330218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2330221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330232 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2330235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330237 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330243 */   // GIR_Coverage, 2226,
     /* 2330243 */   GIR_EraseRootFromParent_Done,
     /* 2330244 */ // Label 32260: @2330244
     /* 2330244 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2330275), // Rule ID 2227 //
     /* 2330249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2330252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330263 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2330266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330268 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330274 */   // GIR_Coverage, 2227,
     /* 2330274 */   GIR_EraseRootFromParent_Done,
     /* 2330275 */ // Label 32261: @2330275
     /* 2330275 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2330306), // Rule ID 2255 //
     /* 2330280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2330283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330294 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2330297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330305 */   // GIR_Coverage, 2255,
     /* 2330305 */   GIR_EraseRootFromParent_Done,
     /* 2330306 */ // Label 32262: @2330306
     /* 2330306 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2330337), // Rule ID 2281 //
     /* 2330311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2330314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330325 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2330328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330330 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330336 */   // GIR_Coverage, 2281,
     /* 2330336 */   GIR_EraseRootFromParent_Done,
     /* 2330337 */ // Label 32263: @2330337
     /* 2330337 */ GIM_Reject,
     /* 2330338 */ // Label 32238: @2330338
     /* 2330338 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2330375), // Rule ID 1517 //
     /* 2330343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2330346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330360 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2330363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330374 */   // GIR_Coverage, 1517,
     /* 2330374 */   GIR_EraseRootFromParent_Done,
     /* 2330375 */ // Label 32264: @2330375
     /* 2330375 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2330412), // Rule ID 1545 //
     /* 2330380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2330383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330397 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2330400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330411 */   // GIR_Coverage, 1545,
     /* 2330411 */   GIR_EraseRootFromParent_Done,
     /* 2330412 */ // Label 32265: @2330412
     /* 2330412 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2330443), // Rule ID 1464 //
     /* 2330417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2330420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330431 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2330434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330442 */   // GIR_Coverage, 1464,
     /* 2330442 */   GIR_EraseRootFromParent_Done,
     /* 2330443 */ // Label 32266: @2330443
     /* 2330443 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2330474), // Rule ID 1465 //
     /* 2330448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2330451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330462 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2330465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330473 */   // GIR_Coverage, 1465,
     /* 2330473 */   GIR_EraseRootFromParent_Done,
     /* 2330474 */ // Label 32267: @2330474
     /* 2330474 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2330505), // Rule ID 1490 //
     /* 2330479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2330482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330493 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2330496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330498 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330504 */   // GIR_Coverage, 1490,
     /* 2330504 */   GIR_EraseRootFromParent_Done,
     /* 2330505 */ // Label 32268: @2330505
     /* 2330505 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2330536), // Rule ID 1491 //
     /* 2330510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2330513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330524 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2330527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330535 */   // GIR_Coverage, 1491,
     /* 2330535 */   GIR_EraseRootFromParent_Done,
     /* 2330536 */ // Label 32269: @2330536
     /* 2330536 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2330567), // Rule ID 1521 //
     /* 2330541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2330544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330555 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2330558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330560 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330566 */   // GIR_Coverage, 1521,
     /* 2330566 */   GIR_EraseRootFromParent_Done,
     /* 2330567 */ // Label 32270: @2330567
     /* 2330567 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2330598), // Rule ID 1549 //
     /* 2330572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2330575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330586 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2330589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330591 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330597 */   // GIR_Coverage, 1549,
     /* 2330597 */   GIR_EraseRootFromParent_Done,
     /* 2330598 */ // Label 32271: @2330598
     /* 2330598 */ GIM_Reject,
     /* 2330599 */ // Label 32239: @2330599
     /* 2330599 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2330636), // Rule ID 1897 //
     /* 2330604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2330607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2330614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330621 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2330621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2330624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330635 */   // GIR_Coverage, 1897,
     /* 2330635 */   GIR_EraseRootFromParent_Done,
     /* 2330636 */ // Label 32272: @2330636
     /* 2330636 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2330673), // Rule ID 1925 //
     /* 2330641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2330644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330651 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2330658 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2330658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2330661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330672 */   // GIR_Coverage, 1925,
     /* 2330672 */   GIR_EraseRootFromParent_Done,
     /* 2330673 */ // Label 32273: @2330673
     /* 2330673 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2330704), // Rule ID 1858 //
     /* 2330678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2330681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2330688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330692 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2330692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2330695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330697 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330703 */   // GIR_Coverage, 1858,
     /* 2330703 */   GIR_EraseRootFromParent_Done,
     /* 2330704 */ // Label 32274: @2330704
     /* 2330704 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2330735), // Rule ID 1859 //
     /* 2330709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2330712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2330719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330723 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2330723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2330726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330734 */   // GIR_Coverage, 1859,
     /* 2330734 */   GIR_EraseRootFromParent_Done,
     /* 2330735 */ // Label 32275: @2330735
     /* 2330735 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2330766), // Rule ID 1884 //
     /* 2330740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2330743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2330750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330754 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2330754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2330757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330765 */   // GIR_Coverage, 1884,
     /* 2330765 */   GIR_EraseRootFromParent_Done,
     /* 2330766 */ // Label 32276: @2330766
     /* 2330766 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2330797), // Rule ID 1885 //
     /* 2330771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2330774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2330781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330785 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2330785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2330788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2330795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330796 */   // GIR_Coverage, 1885,
     /* 2330796 */   GIR_EraseRootFromParent_Done,
     /* 2330797 */ // Label 32277: @2330797
     /* 2330797 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2330828), // Rule ID 1915 //
     /* 2330802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2330805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2330812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330816 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2330819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330827 */   // GIR_Coverage, 1915,
     /* 2330827 */   GIR_EraseRootFromParent_Done,
     /* 2330828 */ // Label 32278: @2330828
     /* 2330828 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2330859), // Rule ID 1943 //
     /* 2330833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2330836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330847 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2330850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330852 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330858 */   // GIR_Coverage, 1943,
     /* 2330858 */   GIR_EraseRootFromParent_Done,
     /* 2330859 */ // Label 32279: @2330859
     /* 2330859 */ GIM_Reject,
     /* 2330860 */ // Label 32240: @2330860
     /* 2330860 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2330917), // Rule ID 45790 //
     /* 2330865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330879 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330879 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330882 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330886 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330891 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2330896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330898 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330916 */   // GIR_Coverage, 45790,
     /* 2330916 */   GIR_EraseRootFromParent_Done,
     /* 2330917 */ // Label 32280: @2330917
     /* 2330917 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2330974), // Rule ID 45791 //
     /* 2330922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330936 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2330953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330973 */   // GIR_Coverage, 45791,
     /* 2330973 */   GIR_EraseRootFromParent_Done,
     /* 2330974 */ // Label 32281: @2330974
     /* 2330974 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2331028), // Rule ID 45798 //
     /* 2330979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2330985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330993 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330993 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330996 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331000 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331005 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2331010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331012 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331027 */   // GIR_Coverage, 45798,
     /* 2331027 */   GIR_EraseRootFromParent_Done,
     /* 2331028 */ // Label 32282: @2331028
     /* 2331028 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2331082), // Rule ID 45799 //
     /* 2331033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2331039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331047 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331059 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2331064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331066 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331069 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331081 */   // GIR_Coverage, 45799,
     /* 2331081 */   GIR_EraseRootFromParent_Done,
     /* 2331082 */ // Label 32283: @2331082
     /* 2331082 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2331139), // Rule ID 45806 //
     /* 2331087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331101 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331113 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2331118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331120 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331138 */   // GIR_Coverage, 45806,
     /* 2331138 */   GIR_EraseRootFromParent_Done,
     /* 2331139 */ // Label 32284: @2331139
     /* 2331139 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2331196), // Rule ID 45807 //
     /* 2331144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331158 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2331175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331195 */   // GIR_Coverage, 45807,
     /* 2331195 */   GIR_EraseRootFromParent_Done,
     /* 2331196 */ // Label 32285: @2331196
     /* 2331196 */ GIM_Reject,
     /* 2331197 */ // Label 32241: @2331197
     /* 2331197 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2331254), // Rule ID 58402 //
     /* 2331202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331216 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2331233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331253 */   // GIR_Coverage, 58402,
     /* 2331253 */   GIR_EraseRootFromParent_Done,
     /* 2331254 */ // Label 32286: @2331254
     /* 2331254 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2331311), // Rule ID 58403 //
     /* 2331259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331273 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2331290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331310 */   // GIR_Coverage, 58403,
     /* 2331310 */   GIR_EraseRootFromParent_Done,
     /* 2331311 */ // Label 32287: @2331311
     /* 2331311 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2331365), // Rule ID 58602 //
     /* 2331316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331330 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331330 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331333 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331337 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331342 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2331347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331349 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331364 */   // GIR_Coverage, 58602,
     /* 2331364 */   GIR_EraseRootFromParent_Done,
     /* 2331365 */ // Label 32288: @2331365
     /* 2331365 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2331419), // Rule ID 58603 //
     /* 2331370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331384 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2331401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331418 */   // GIR_Coverage, 58603,
     /* 2331418 */   GIR_EraseRootFromParent_Done,
     /* 2331419 */ // Label 32289: @2331419
     /* 2331419 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2331476), // Rule ID 58830 //
     /* 2331424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2331427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331438 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2331455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331475 */   // GIR_Coverage, 58830,
     /* 2331475 */   GIR_EraseRootFromParent_Done,
     /* 2331476 */ // Label 32290: @2331476
     /* 2331476 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2331533), // Rule ID 58831 //
     /* 2331481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2331484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331495 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2331512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331532 */   // GIR_Coverage, 58831,
     /* 2331532 */   GIR_EraseRootFromParent_Done,
     /* 2331533 */ // Label 32291: @2331533
     /* 2331533 */ GIM_Reject,
     /* 2331534 */ // Label 32242: @2331534
     /* 2331534 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2331591), // Rule ID 58414 //
     /* 2331539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2331542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331553 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2331570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331590 */   // GIR_Coverage, 58414,
     /* 2331590 */   GIR_EraseRootFromParent_Done,
     /* 2331591 */ // Label 32292: @2331591
     /* 2331591 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2331648), // Rule ID 58415 //
     /* 2331596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2331599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331610 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2331627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331629 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331647 */   // GIR_Coverage, 58415,
     /* 2331647 */   GIR_EraseRootFromParent_Done,
     /* 2331648 */ // Label 32293: @2331648
     /* 2331648 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2331702), // Rule ID 58622 //
     /* 2331653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2331656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331667 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331679 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2331684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331701 */   // GIR_Coverage, 58622,
     /* 2331701 */   GIR_EraseRootFromParent_Done,
     /* 2331702 */ // Label 32294: @2331702
     /* 2331702 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2331756), // Rule ID 58623 //
     /* 2331707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2331710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331721 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331721 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331724 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331728 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2331738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331755 */   // GIR_Coverage, 58623,
     /* 2331755 */   GIR_EraseRootFromParent_Done,
     /* 2331756 */ // Label 32295: @2331756
     /* 2331756 */ GIM_Reject,
     /* 2331757 */ // Label 32243: @2331757
     /* 2331757 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2331814), // Rule ID 58398 //
     /* 2331762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331776 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331776 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331779 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331783 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331788 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2331793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331795 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331798 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331813 */   // GIR_Coverage, 58398,
     /* 2331813 */   GIR_EraseRootFromParent_Done,
     /* 2331814 */ // Label 32296: @2331814
     /* 2331814 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2331871), // Rule ID 58399 //
     /* 2331819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331833 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2331850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331870 */   // GIR_Coverage, 58399,
     /* 2331870 */   GIR_EraseRootFromParent_Done,
     /* 2331871 */ // Label 32297: @2331871
     /* 2331871 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2331925), // Rule ID 58582 //
     /* 2331876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2331882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331890 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2331907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331924 */   // GIR_Coverage, 58582,
     /* 2331924 */   GIR_EraseRootFromParent_Done,
     /* 2331925 */ // Label 32298: @2331925
     /* 2331925 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2331979), // Rule ID 58583 //
     /* 2331930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2331936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331944 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2331961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331978 */   // GIR_Coverage, 58583,
     /* 2331978 */   GIR_EraseRootFromParent_Done,
     /* 2331979 */ // Label 32299: @2331979
     /* 2331979 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2332036), // Rule ID 58814 //
     /* 2331984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331998 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2332015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332020 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332035 */   // GIR_Coverage, 58814,
     /* 2332035 */   GIR_EraseRootFromParent_Done,
     /* 2332036 */ // Label 32300: @2332036
     /* 2332036 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2332093), // Rule ID 58815 //
     /* 2332041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332055 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332055 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332058 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332062 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2332072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332074 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332077 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332092 */   // GIR_Coverage, 58815,
     /* 2332092 */   GIR_EraseRootFromParent_Done,
     /* 2332093 */ // Label 32301: @2332093
     /* 2332093 */ GIM_Reject,
     /* 2332094 */ // Label 32244: @2332094
     /* 2332094 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2332151), // Rule ID 58410 //
     /* 2332099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332113 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2332130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332150 */   // GIR_Coverage, 58410,
     /* 2332150 */   GIR_EraseRootFromParent_Done,
     /* 2332151 */ // Label 32302: @2332151
     /* 2332151 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2332208), // Rule ID 58411 //
     /* 2332156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332170 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2332187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332207 */   // GIR_Coverage, 58411,
     /* 2332207 */   GIR_EraseRootFromParent_Done,
     /* 2332208 */ // Label 32303: @2332208
     /* 2332208 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2332262), // Rule ID 58606 //
     /* 2332213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332227 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2332244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332261 */   // GIR_Coverage, 58606,
     /* 2332261 */   GIR_EraseRootFromParent_Done,
     /* 2332262 */ // Label 32304: @2332262
     /* 2332262 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2332316), // Rule ID 58607 //
     /* 2332267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332281 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2332298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332315 */   // GIR_Coverage, 58607,
     /* 2332315 */   GIR_EraseRootFromParent_Done,
     /* 2332316 */ // Label 32305: @2332316
     /* 2332316 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2332373), // Rule ID 58834 //
     /* 2332321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2332324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332335 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2332352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332372 */   // GIR_Coverage, 58834,
     /* 2332372 */   GIR_EraseRootFromParent_Done,
     /* 2332373 */ // Label 32306: @2332373
     /* 2332373 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2332430), // Rule ID 58835 //
     /* 2332378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2332381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332392 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2332409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332429 */   // GIR_Coverage, 58835,
     /* 2332429 */   GIR_EraseRootFromParent_Done,
     /* 2332430 */ // Label 32307: @2332430
     /* 2332430 */ GIM_Reject,
     /* 2332431 */ // Label 32245: @2332431
     /* 2332431 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2332488), // Rule ID 58442 //
     /* 2332436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2332439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332450 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2332467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332487 */   // GIR_Coverage, 58442,
     /* 2332487 */   GIR_EraseRootFromParent_Done,
     /* 2332488 */ // Label 32308: @2332488
     /* 2332488 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2332545), // Rule ID 58443 //
     /* 2332493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2332496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332507 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332507 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332510 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332514 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2332524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332544 */   // GIR_Coverage, 58443,
     /* 2332544 */   GIR_EraseRootFromParent_Done,
     /* 2332545 */ // Label 32309: @2332545
     /* 2332545 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2332599), // Rule ID 58626 //
     /* 2332550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2332553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332564 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332564 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332567 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332571 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2332581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332598 */   // GIR_Coverage, 58626,
     /* 2332598 */   GIR_EraseRootFromParent_Done,
     /* 2332599 */ // Label 32310: @2332599
     /* 2332599 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2332653), // Rule ID 58627 //
     /* 2332604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2332607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332618 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332618 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332621 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332625 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2332635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332640 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332652 */   // GIR_Coverage, 58627,
     /* 2332652 */   GIR_EraseRootFromParent_Done,
     /* 2332653 */ // Label 32311: @2332653
     /* 2332653 */ GIM_Reject,
     /* 2332654 */ // Label 32246: @2332654
     /* 2332654 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2332711), // Rule ID 58406 //
     /* 2332659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332673 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332673 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332676 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332680 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332685 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2332690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332692 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332695 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332710 */   // GIR_Coverage, 58406,
     /* 2332710 */   GIR_EraseRootFromParent_Done,
     /* 2332711 */ // Label 32312: @2332711
     /* 2332711 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2332768), // Rule ID 58407 //
     /* 2332716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332730 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2332747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332767 */   // GIR_Coverage, 58407,
     /* 2332767 */   GIR_EraseRootFromParent_Done,
     /* 2332768 */ // Label 32313: @2332768
     /* 2332768 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2332822), // Rule ID 58586 //
     /* 2332773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2332779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332787 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2332804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332821 */   // GIR_Coverage, 58586,
     /* 2332821 */   GIR_EraseRootFromParent_Done,
     /* 2332822 */ // Label 32314: @2332822
     /* 2332822 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2332876), // Rule ID 58587 //
     /* 2332827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2332833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332841 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2332858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332875 */   // GIR_Coverage, 58587,
     /* 2332875 */   GIR_EraseRootFromParent_Done,
     /* 2332876 */ // Label 32315: @2332876
     /* 2332876 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2332933), // Rule ID 58818 //
     /* 2332881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332895 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2332912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332932 */   // GIR_Coverage, 58818,
     /* 2332932 */   GIR_EraseRootFromParent_Done,
     /* 2332933 */ // Label 32316: @2332933
     /* 2332933 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2332990), // Rule ID 58819 //
     /* 2332938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332952 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2332969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332989 */   // GIR_Coverage, 58819,
     /* 2332989 */   GIR_EraseRootFromParent_Done,
     /* 2332990 */ // Label 32317: @2332990
     /* 2332990 */ GIM_Reject,
     /* 2332991 */ // Label 32247: @2332991
     /* 2332991 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2333048), // Rule ID 58430 //
     /* 2332996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333010 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2333027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333047 */   // GIR_Coverage, 58430,
     /* 2333047 */   GIR_EraseRootFromParent_Done,
     /* 2333048 */ // Label 32318: @2333048
     /* 2333048 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2333105), // Rule ID 58431 //
     /* 2333053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333067 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2333084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333104 */   // GIR_Coverage, 58431,
     /* 2333104 */   GIR_EraseRootFromParent_Done,
     /* 2333105 */ // Label 32319: @2333105
     /* 2333105 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2333159), // Rule ID 58610 //
     /* 2333110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333124 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2333141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333158 */   // GIR_Coverage, 58610,
     /* 2333158 */   GIR_EraseRootFromParent_Done,
     /* 2333159 */ // Label 32320: @2333159
     /* 2333159 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2333213), // Rule ID 58611 //
     /* 2333164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333178 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2333195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333212 */   // GIR_Coverage, 58611,
     /* 2333212 */   GIR_EraseRootFromParent_Done,
     /* 2333213 */ // Label 32321: @2333213
     /* 2333213 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2333270), // Rule ID 58838 //
     /* 2333218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2333221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333232 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2333249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333269 */   // GIR_Coverage, 58838,
     /* 2333269 */   GIR_EraseRootFromParent_Done,
     /* 2333270 */ // Label 32322: @2333270
     /* 2333270 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2333327), // Rule ID 58839 //
     /* 2333275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2333278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333289 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333289 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333292 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333296 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2333306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333326 */   // GIR_Coverage, 58839,
     /* 2333326 */   GIR_EraseRootFromParent_Done,
     /* 2333327 */ // Label 32323: @2333327
     /* 2333327 */ GIM_Reject,
     /* 2333328 */ // Label 32248: @2333328
     /* 2333328 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2333385), // Rule ID 58446 //
     /* 2333333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2333336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333347 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333347 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333350 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333354 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333359 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2333364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333369 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333384 */   // GIR_Coverage, 58446,
     /* 2333384 */   GIR_EraseRootFromParent_Done,
     /* 2333385 */ // Label 32324: @2333385
     /* 2333385 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2333442), // Rule ID 58447 //
     /* 2333390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2333393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333404 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2333421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333441 */   // GIR_Coverage, 58447,
     /* 2333441 */   GIR_EraseRootFromParent_Done,
     /* 2333442 */ // Label 32325: @2333442
     /* 2333442 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2333496), // Rule ID 58630 //
     /* 2333447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2333450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333461 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2333478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333480 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333495 */   // GIR_Coverage, 58630,
     /* 2333495 */   GIR_EraseRootFromParent_Done,
     /* 2333496 */ // Label 32326: @2333496
     /* 2333496 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2333550), // Rule ID 58631 //
     /* 2333501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2333504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333515 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333515 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333518 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333522 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2333532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333549 */   // GIR_Coverage, 58631,
     /* 2333549 */   GIR_EraseRootFromParent_Done,
     /* 2333550 */ // Label 32327: @2333550
     /* 2333550 */ GIM_Reject,
     /* 2333551 */ // Label 32249: @2333551
     /* 2333551 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2333608), // Rule ID 58418 //
     /* 2333556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333570 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333570 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333573 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333577 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333582 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2333587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333592 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333607 */   // GIR_Coverage, 58418,
     /* 2333607 */   GIR_EraseRootFromParent_Done,
     /* 2333608 */ // Label 32328: @2333608
     /* 2333608 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2333665), // Rule ID 58419 //
     /* 2333613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333627 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2333644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333664 */   // GIR_Coverage, 58419,
     /* 2333664 */   GIR_EraseRootFromParent_Done,
     /* 2333665 */ // Label 32329: @2333665
     /* 2333665 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2333719), // Rule ID 58590 //
     /* 2333670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2333676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333684 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333684 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333687 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333691 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333696 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2333701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333703 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333718 */   // GIR_Coverage, 58590,
     /* 2333718 */   GIR_EraseRootFromParent_Done,
     /* 2333719 */ // Label 32330: @2333719
     /* 2333719 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2333773), // Rule ID 58591 //
     /* 2333724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2333730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333738 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2333755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333772 */   // GIR_Coverage, 58591,
     /* 2333772 */   GIR_EraseRootFromParent_Done,
     /* 2333773 */ // Label 32331: @2333773
     /* 2333773 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2333830), // Rule ID 58822 //
     /* 2333778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333792 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2333809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333829 */   // GIR_Coverage, 58822,
     /* 2333829 */   GIR_EraseRootFromParent_Done,
     /* 2333830 */ // Label 32332: @2333830
     /* 2333830 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2333887), // Rule ID 58823 //
     /* 2333835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333849 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2333866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333886 */   // GIR_Coverage, 58823,
     /* 2333886 */   GIR_EraseRootFromParent_Done,
     /* 2333887 */ // Label 32333: @2333887
     /* 2333887 */ GIM_Reject,
     /* 2333888 */ // Label 32250: @2333888
     /* 2333888 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2333945), // Rule ID 58434 //
     /* 2333893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333907 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333907 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333910 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333914 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333919 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2333924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333926 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333929 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333944 */   // GIR_Coverage, 58434,
     /* 2333944 */   GIR_EraseRootFromParent_Done,
     /* 2333945 */ // Label 32334: @2333945
     /* 2333945 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2334002), // Rule ID 58435 //
     /* 2333950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333964 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2333981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334001 */   // GIR_Coverage, 58435,
     /* 2334001 */   GIR_EraseRootFromParent_Done,
     /* 2334002 */ // Label 32335: @2334002
     /* 2334002 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2334056), // Rule ID 58614 //
     /* 2334007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334021 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2334038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334043 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334055 */   // GIR_Coverage, 58614,
     /* 2334055 */   GIR_EraseRootFromParent_Done,
     /* 2334056 */ // Label 32336: @2334056
     /* 2334056 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2334110), // Rule ID 58615 //
     /* 2334061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334075 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334075 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334078 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334082 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2334092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334109 */   // GIR_Coverage, 58615,
     /* 2334109 */   GIR_EraseRootFromParent_Done,
     /* 2334110 */ // Label 32337: @2334110
     /* 2334110 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2334167), // Rule ID 58842 //
     /* 2334115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2334118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334129 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334141 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2334146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334148 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334151 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334166 */   // GIR_Coverage, 58842,
     /* 2334166 */   GIR_EraseRootFromParent_Done,
     /* 2334167 */ // Label 32338: @2334167
     /* 2334167 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2334224), // Rule ID 58843 //
     /* 2334172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2334175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334186 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2334203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334208 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334223 */   // GIR_Coverage, 58843,
     /* 2334223 */   GIR_EraseRootFromParent_Done,
     /* 2334224 */ // Label 32339: @2334224
     /* 2334224 */ GIM_Reject,
     /* 2334225 */ // Label 32251: @2334225
     /* 2334225 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2334282), // Rule ID 58450 //
     /* 2334230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2334233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334244 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334244 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334247 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334251 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334256 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2334261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334263 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334281 */   // GIR_Coverage, 58450,
     /* 2334281 */   GIR_EraseRootFromParent_Done,
     /* 2334282 */ // Label 32340: @2334282
     /* 2334282 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2334339), // Rule ID 58451 //
     /* 2334287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2334290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334301 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334313 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2334318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334338 */   // GIR_Coverage, 58451,
     /* 2334338 */   GIR_EraseRootFromParent_Done,
     /* 2334339 */ // Label 32341: @2334339
     /* 2334339 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2334393), // Rule ID 58634 //
     /* 2334344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2334347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334358 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2334375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334392 */   // GIR_Coverage, 58634,
     /* 2334392 */   GIR_EraseRootFromParent_Done,
     /* 2334393 */ // Label 32342: @2334393
     /* 2334393 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2334447), // Rule ID 58635 //
     /* 2334398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2334401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334412 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2334429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334446 */   // GIR_Coverage, 58635,
     /* 2334446 */   GIR_EraseRootFromParent_Done,
     /* 2334447 */ // Label 32343: @2334447
     /* 2334447 */ GIM_Reject,
     /* 2334448 */ // Label 32252: @2334448
     /* 2334448 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2334505), // Rule ID 58422 //
     /* 2334453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334467 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334467 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334470 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334474 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334479 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2334484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334486 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334504 */   // GIR_Coverage, 58422,
     /* 2334504 */   GIR_EraseRootFromParent_Done,
     /* 2334505 */ // Label 32344: @2334505
     /* 2334505 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2334562), // Rule ID 58423 //
     /* 2334510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334524 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2334541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334561 */   // GIR_Coverage, 58423,
     /* 2334561 */   GIR_EraseRootFromParent_Done,
     /* 2334562 */ // Label 32345: @2334562
     /* 2334562 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2334616), // Rule ID 58594 //
     /* 2334567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2334573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334581 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2334598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334615 */   // GIR_Coverage, 58594,
     /* 2334615 */   GIR_EraseRootFromParent_Done,
     /* 2334616 */ // Label 32346: @2334616
     /* 2334616 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2334670), // Rule ID 58595 //
     /* 2334621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2334627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334635 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2334652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334669 */   // GIR_Coverage, 58595,
     /* 2334669 */   GIR_EraseRootFromParent_Done,
     /* 2334670 */ // Label 32347: @2334670
     /* 2334670 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2334727), // Rule ID 58826 //
     /* 2334675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2334681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334689 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2334706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334726 */   // GIR_Coverage, 58826,
     /* 2334726 */   GIR_EraseRootFromParent_Done,
     /* 2334727 */ // Label 32348: @2334727
     /* 2334727 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2334784), // Rule ID 58827 //
     /* 2334732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2334738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334746 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2334763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334783 */   // GIR_Coverage, 58827,
     /* 2334783 */   GIR_EraseRootFromParent_Done,
     /* 2334784 */ // Label 32349: @2334784
     /* 2334784 */ GIM_Reject,
     /* 2334785 */ // Label 32253: @2334785
     /* 2334785 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2334842), // Rule ID 58438 //
     /* 2334790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2334796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334804 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2334821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334841 */   // GIR_Coverage, 58438,
     /* 2334841 */   GIR_EraseRootFromParent_Done,
     /* 2334842 */ // Label 32350: @2334842
     /* 2334842 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2334899), // Rule ID 58439 //
     /* 2334847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2334853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334861 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2334878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334898 */   // GIR_Coverage, 58439,
     /* 2334898 */   GIR_EraseRootFromParent_Done,
     /* 2334899 */ // Label 32351: @2334899
     /* 2334899 */ GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2334953), // Rule ID 58618 //
     /* 2334904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334918 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334930 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2334935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334937 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334952 */   // GIR_Coverage, 58618,
     /* 2334952 */   GIR_EraseRootFromParent_Done,
     /* 2334953 */ // Label 32352: @2334953
     /* 2334953 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2335007), // Rule ID 58619 //
     /* 2334958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334972 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334972 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334975 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334979 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334984 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2334989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334991 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335006 */   // GIR_Coverage, 58619,
     /* 2335006 */   GIR_EraseRootFromParent_Done,
     /* 2335007 */ // Label 32353: @2335007
     /* 2335007 */ GIM_Reject,
     /* 2335008 */ // Label 32254: @2335008
     /* 2335008 */ GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2335065), // Rule ID 58426 //
     /* 2335013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2335019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335027 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2335044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335049 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335064 */   // GIR_Coverage, 58426,
     /* 2335064 */   GIR_EraseRootFromParent_Done,
     /* 2335065 */ // Label 32354: @2335065
     /* 2335065 */ GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2335122), // Rule ID 58427 //
     /* 2335070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2335076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335084 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2335101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335121 */   // GIR_Coverage, 58427,
     /* 2335121 */   GIR_EraseRootFromParent_Done,
     /* 2335122 */ // Label 32355: @2335122
     /* 2335122 */ GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2335176), // Rule ID 58598 //
     /* 2335127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2335133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335141 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2335158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335175 */   // GIR_Coverage, 58598,
     /* 2335175 */   GIR_EraseRootFromParent_Done,
     /* 2335176 */ // Label 32356: @2335176
     /* 2335176 */ GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2335230), // Rule ID 58599 //
     /* 2335181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2335187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335195 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2335212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335229 */   // GIR_Coverage, 58599,
     /* 2335229 */   GIR_EraseRootFromParent_Done,
     /* 2335230 */ // Label 32357: @2335230
     /* 2335230 */ GIM_Reject,
     /* 2335231 */ // Label 32255: @2335231
     /* 2335231 */ GIM_Reject,
     /* 2335232 */ // Label 70: @2335232
     /* 2335232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32376*/ GIMT_Encode4(2340517),
     /* 2335243 */ /*GILLT_s16*//*Label 32358*/ GIMT_Encode4(2335363),
     /* 2335247 */ /*GILLT_s32*//*Label 32359*/ GIMT_Encode4(2335624),
     /* 2335251 */ /*GILLT_s64*//*Label 32360*/ GIMT_Encode4(2335885), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335263 */ /*GILLT_nxv1s16*//*Label 32361*/ GIMT_Encode4(2336146),
     /* 2335267 */ /*GILLT_nxv1s32*//*Label 32362*/ GIMT_Encode4(2336483),
     /* 2335271 */ /*GILLT_nxv1s64*//*Label 32363*/ GIMT_Encode4(2336820), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335283 */ /*GILLT_nxv2s16*//*Label 32364*/ GIMT_Encode4(2337043),
     /* 2335287 */ /*GILLT_nxv2s32*//*Label 32365*/ GIMT_Encode4(2337380),
     /* 2335291 */ /*GILLT_nxv2s64*//*Label 32366*/ GIMT_Encode4(2337717), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335303 */ /*GILLT_nxv4s16*//*Label 32367*/ GIMT_Encode4(2337940),
     /* 2335307 */ /*GILLT_nxv4s32*//*Label 32368*/ GIMT_Encode4(2338277),
     /* 2335311 */ /*GILLT_nxv4s64*//*Label 32369*/ GIMT_Encode4(2338614), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335323 */ /*GILLT_nxv8s16*//*Label 32370*/ GIMT_Encode4(2338837),
     /* 2335327 */ /*GILLT_nxv8s32*//*Label 32371*/ GIMT_Encode4(2339174),
     /* 2335331 */ /*GILLT_nxv8s64*//*Label 32372*/ GIMT_Encode4(2339511), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335343 */ /*GILLT_nxv16s16*//*Label 32373*/ GIMT_Encode4(2339734),
     /* 2335347 */ /*GILLT_nxv16s32*//*Label 32374*/ GIMT_Encode4(2340071), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335359 */ /*GILLT_nxv32s16*//*Label 32375*/ GIMT_Encode4(2340294),
     /* 2335363 */ // Label 32358: @2335363
     /* 2335363 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2335400), // Rule ID 2253 //
     /* 2335368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2335371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335378 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335385 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2335388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335399 */   // GIR_Coverage, 2253,
     /* 2335399 */   GIR_EraseRootFromParent_Done,
     /* 2335400 */ // Label 32377: @2335400
     /* 2335400 */ GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2335437), // Rule ID 2279 //
     /* 2335405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2335408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335415 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335422 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2335425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335436 */   // GIR_Coverage, 2279,
     /* 2335436 */   GIR_EraseRootFromParent_Done,
     /* 2335437 */ // Label 32378: @2335437
     /* 2335437 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2335468), // Rule ID 2204 //
     /* 2335442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2335445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335456 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2335456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2335459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335467 */   // GIR_Coverage, 2204,
     /* 2335467 */   GIR_EraseRootFromParent_Done,
     /* 2335468 */ // Label 32379: @2335468
     /* 2335468 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2335499), // Rule ID 2205 //
     /* 2335473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2335476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335487 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2335487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2335490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335498 */   // GIR_Coverage, 2205,
     /* 2335498 */   GIR_EraseRootFromParent_Done,
     /* 2335499 */ // Label 32380: @2335499
     /* 2335499 */ GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2335530), // Rule ID 2230 //
     /* 2335504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2335507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335518 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2335518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2335521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335529 */   // GIR_Coverage, 2230,
     /* 2335529 */   GIR_EraseRootFromParent_Done,
     /* 2335530 */ // Label 32381: @2335530
     /* 2335530 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2335561), // Rule ID 2231 //
     /* 2335535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2335538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335549 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2335549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2335552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335560 */   // GIR_Coverage, 2231,
     /* 2335560 */   GIR_EraseRootFromParent_Done,
     /* 2335561 */ // Label 32382: @2335561
     /* 2335561 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2335592), // Rule ID 2257 //
     /* 2335566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2335569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335580 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2335583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335591 */   // GIR_Coverage, 2257,
     /* 2335591 */   GIR_EraseRootFromParent_Done,
     /* 2335592 */ // Label 32383: @2335592
     /* 2335592 */ GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2335623), // Rule ID 2283 //
     /* 2335597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2335600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335611 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2335614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335622 */   // GIR_Coverage, 2283,
     /* 2335622 */   GIR_EraseRootFromParent_Done,
     /* 2335623 */ // Label 32384: @2335623
     /* 2335623 */ GIM_Reject,
     /* 2335624 */ // Label 32359: @2335624
     /* 2335624 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2335661), // Rule ID 1519 //
     /* 2335629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2335632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335639 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335646 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2335649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335660 */   // GIR_Coverage, 1519,
     /* 2335660 */   GIR_EraseRootFromParent_Done,
     /* 2335661 */ // Label 32385: @2335661
     /* 2335661 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2335698), // Rule ID 1547 //
     /* 2335666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2335669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335676 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335683 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2335686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335697 */   // GIR_Coverage, 1547,
     /* 2335697 */   GIR_EraseRootFromParent_Done,
     /* 2335698 */ // Label 32386: @2335698
     /* 2335698 */ GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2335729), // Rule ID 1468 //
     /* 2335703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2335706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335717 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2335717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2335720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335728 */   // GIR_Coverage, 1468,
     /* 2335728 */   GIR_EraseRootFromParent_Done,
     /* 2335729 */ // Label 32387: @2335729
     /* 2335729 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2335760), // Rule ID 1469 //
     /* 2335734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2335737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335748 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2335748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2335751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335759 */   // GIR_Coverage, 1469,
     /* 2335759 */   GIR_EraseRootFromParent_Done,
     /* 2335760 */ // Label 32388: @2335760
     /* 2335760 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2335791), // Rule ID 1494 //
     /* 2335765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2335768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335779 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2335779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2335782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335790 */   // GIR_Coverage, 1494,
     /* 2335790 */   GIR_EraseRootFromParent_Done,
     /* 2335791 */ // Label 32389: @2335791
     /* 2335791 */ GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2335822), // Rule ID 1495 //
     /* 2335796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2335799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335810 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2335810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2335813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335821 */   // GIR_Coverage, 1495,
     /* 2335821 */   GIR_EraseRootFromParent_Done,
     /* 2335822 */ // Label 32390: @2335822
     /* 2335822 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2335853), // Rule ID 1523 //
     /* 2335827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2335830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335841 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2335844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335852 */   // GIR_Coverage, 1523,
     /* 2335852 */   GIR_EraseRootFromParent_Done,
     /* 2335853 */ // Label 32391: @2335853
     /* 2335853 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2335884), // Rule ID 1551 //
     /* 2335858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2335861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335872 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2335872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2335875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335877 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335883 */   // GIR_Coverage, 1551,
     /* 2335883 */   GIR_EraseRootFromParent_Done,
     /* 2335884 */ // Label 32392: @2335884
     /* 2335884 */ GIM_Reject,
     /* 2335885 */ // Label 32360: @2335885
     /* 2335885 */ GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2335922), // Rule ID 1899 //
     /* 2335890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2335893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335900 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335907 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2335907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2335910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2335920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335921 */   // GIR_Coverage, 1899,
     /* 2335921 */   GIR_EraseRootFromParent_Done,
     /* 2335922 */ // Label 32393: @2335922
     /* 2335922 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2335959), // Rule ID 1927 //
     /* 2335927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335937 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2335944 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2335944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2335947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2335954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2335957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335958 */   // GIR_Coverage, 1927,
     /* 2335958 */   GIR_EraseRootFromParent_Done,
     /* 2335959 */ // Label 32394: @2335959
     /* 2335959 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2335990), // Rule ID 1862 //
     /* 2335964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2335967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335978 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2335978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2335981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2335988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335989 */   // GIR_Coverage, 1862,
     /* 2335989 */   GIR_EraseRootFromParent_Done,
     /* 2335990 */ // Label 32395: @2335990
     /* 2335990 */ GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2336021), // Rule ID 1863 //
     /* 2335995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2335998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2336001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2336005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336009 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2336009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2336012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336014 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2336019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336020 */   // GIR_Coverage, 1863,
     /* 2336020 */   GIR_EraseRootFromParent_Done,
     /* 2336021 */ // Label 32396: @2336021
     /* 2336021 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2336052), // Rule ID 1888 //
     /* 2336026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2336029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2336032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2336036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336040 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2336040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2336043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2336050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336051 */   // GIR_Coverage, 1888,
     /* 2336051 */   GIR_EraseRootFromParent_Done,
     /* 2336052 */ // Label 32397: @2336052
     /* 2336052 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2336083), // Rule ID 1889 //
     /* 2336057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2336060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2336063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2336067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336071 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2336071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2336074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336076 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2336081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336082 */   // GIR_Coverage, 1889,
     /* 2336082 */   GIR_EraseRootFromParent_Done,
     /* 2336083 */ // Label 32398: @2336083
     /* 2336083 */ GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2336114), // Rule ID 1917 //
     /* 2336088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2336091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2336094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2336098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336102 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2336102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2336105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336113 */   // GIR_Coverage, 1917,
     /* 2336113 */   GIR_EraseRootFromParent_Done,
     /* 2336114 */ // Label 32399: @2336114
     /* 2336114 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2336145), // Rule ID 1945 //
     /* 2336119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2336122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2336125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336133 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2336133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2336136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336144 */   // GIR_Coverage, 1945,
     /* 2336144 */   GIR_EraseRootFromParent_Done,
     /* 2336145 */ // Label 32400: @2336145
     /* 2336145 */ GIM_Reject,
     /* 2336146 */ // Label 32361: @2336146
     /* 2336146 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2336203), // Rule ID 58454 //
     /* 2336151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2336157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336165 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2336182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336187 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336202 */   // GIR_Coverage, 58454,
     /* 2336202 */   GIR_EraseRootFromParent_Done,
     /* 2336203 */ // Label 32401: @2336203
     /* 2336203 */ GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2336260), // Rule ID 58455 //
     /* 2336208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2336214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336222 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2336239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336259 */   // GIR_Coverage, 58455,
     /* 2336259 */   GIR_EraseRootFromParent_Done,
     /* 2336260 */ // Label 32402: @2336260
     /* 2336260 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2336314), // Rule ID 58638 //
     /* 2336265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2336271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336279 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2336296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336313 */   // GIR_Coverage, 58638,
     /* 2336313 */   GIR_EraseRootFromParent_Done,
     /* 2336314 */ // Label 32403: @2336314
     /* 2336314 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2336368), // Rule ID 58639 //
     /* 2336319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2336325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336333 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2336350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336367 */   // GIR_Coverage, 58639,
     /* 2336367 */   GIR_EraseRootFromParent_Done,
     /* 2336368 */ // Label 32404: @2336368
     /* 2336368 */ GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2336425), // Rule ID 58846 //
     /* 2336373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336387 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2336404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336424 */   // GIR_Coverage, 58846,
     /* 2336424 */   GIR_EraseRootFromParent_Done,
     /* 2336425 */ // Label 32405: @2336425
     /* 2336425 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2336482), // Rule ID 58847 //
     /* 2336430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336444 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2336461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336481 */   // GIR_Coverage, 58847,
     /* 2336481 */   GIR_EraseRootFromParent_Done,
     /* 2336482 */ // Label 32406: @2336482
     /* 2336482 */ GIM_Reject,
     /* 2336483 */ // Label 32362: @2336483
     /* 2336483 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2336540), // Rule ID 58462 //
     /* 2336488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336502 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2336519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336521 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336539 */   // GIR_Coverage, 58462,
     /* 2336539 */   GIR_EraseRootFromParent_Done,
     /* 2336540 */ // Label 32407: @2336540
     /* 2336540 */ GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2336597), // Rule ID 58463 //
     /* 2336545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336559 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336559 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336562 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336566 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2336576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336581 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336596 */   // GIR_Coverage, 58463,
     /* 2336596 */   GIR_EraseRootFromParent_Done,
     /* 2336597 */ // Label 32408: @2336597
     /* 2336597 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2336651), // Rule ID 58662 //
     /* 2336602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2336608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336616 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336616 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336619 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336623 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336628 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2336633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336635 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336638 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336650 */   // GIR_Coverage, 58662,
     /* 2336650 */   GIR_EraseRootFromParent_Done,
     /* 2336651 */ // Label 32409: @2336651
     /* 2336651 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2336705), // Rule ID 58663 //
     /* 2336656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2336662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336670 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2336687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336704 */   // GIR_Coverage, 58663,
     /* 2336704 */   GIR_EraseRootFromParent_Done,
     /* 2336705 */ // Label 32410: @2336705
     /* 2336705 */ GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2336762), // Rule ID 58866 //
     /* 2336710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2336713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336724 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336724 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336727 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336731 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2336741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336746 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336761 */   // GIR_Coverage, 58866,
     /* 2336761 */   GIR_EraseRootFromParent_Done,
     /* 2336762 */ // Label 32411: @2336762
     /* 2336762 */ GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2336819), // Rule ID 58867 //
     /* 2336767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2336770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336781 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2336798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336818 */   // GIR_Coverage, 58867,
     /* 2336818 */   GIR_EraseRootFromParent_Done,
     /* 2336819 */ // Label 32412: @2336819
     /* 2336819 */ GIM_Reject,
     /* 2336820 */ // Label 32363: @2336820
     /* 2336820 */ GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2336877), // Rule ID 58474 //
     /* 2336825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2336828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336839 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2336856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336876 */   // GIR_Coverage, 58474,
     /* 2336876 */   GIR_EraseRootFromParent_Done,
     /* 2336877 */ // Label 32413: @2336877
     /* 2336877 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2336934), // Rule ID 58475 //
     /* 2336882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2336885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336896 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2336913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2336923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336933 */   // GIR_Coverage, 58475,
     /* 2336933 */   GIR_EraseRootFromParent_Done,
     /* 2336934 */ // Label 32414: @2336934
     /* 2336934 */ GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2336988), // Rule ID 58682 //
     /* 2336939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2336942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336953 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2336970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336972 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336987 */   // GIR_Coverage, 58682,
     /* 2336987 */   GIR_EraseRootFromParent_Done,
     /* 2336988 */ // Label 32415: @2336988
     /* 2336988 */ GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2337042), // Rule ID 58683 //
     /* 2336993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2336996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337007 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2337010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2337024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337041 */   // GIR_Coverage, 58683,
     /* 2337041 */   GIR_EraseRootFromParent_Done,
     /* 2337042 */ // Label 32416: @2337042
     /* 2337042 */ GIM_Reject,
     /* 2337043 */ // Label 32364: @2337043
     /* 2337043 */ GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2337100), // Rule ID 58458 //
     /* 2337048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2337054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337062 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2337079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337099 */   // GIR_Coverage, 58458,
     /* 2337099 */   GIR_EraseRootFromParent_Done,
     /* 2337100 */ // Label 32417: @2337100
     /* 2337100 */ GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2337157), // Rule ID 58459 //
     /* 2337105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2337111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337119 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2337136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337156 */   // GIR_Coverage, 58459,
     /* 2337156 */   GIR_EraseRootFromParent_Done,
     /* 2337157 */ // Label 32418: @2337157
     /* 2337157 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2337211), // Rule ID 58642 //
     /* 2337162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2337168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337176 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2337193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337210 */   // GIR_Coverage, 58642,
     /* 2337210 */   GIR_EraseRootFromParent_Done,
     /* 2337211 */ // Label 32419: @2337211
     /* 2337211 */ GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2337265), // Rule ID 58643 //
     /* 2337216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2337222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337230 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2337247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337264 */   // GIR_Coverage, 58643,
     /* 2337264 */   GIR_EraseRootFromParent_Done,
     /* 2337265 */ // Label 32420: @2337265
     /* 2337265 */ GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2337322), // Rule ID 58850 //
     /* 2337270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337284 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2337301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337321 */   // GIR_Coverage, 58850,
     /* 2337321 */   GIR_EraseRootFromParent_Done,
     /* 2337322 */ // Label 32421: @2337322
     /* 2337322 */ GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2337379), // Rule ID 58851 //
     /* 2337327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337341 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2337344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2337358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337378 */   // GIR_Coverage, 58851,
     /* 2337378 */   GIR_EraseRootFromParent_Done,
     /* 2337379 */ // Label 32422: @2337379
     /* 2337379 */ GIM_Reject,
     /* 2337380 */ // Label 32365: @2337380
     /* 2337380 */ GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2337437), // Rule ID 58470 //
     /* 2337385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337399 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2337416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337436 */   // GIR_Coverage, 58470,
     /* 2337436 */   GIR_EraseRootFromParent_Done,
     /* 2337437 */ // Label 32423: @2337437
     /* 2337437 */ GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2337494), // Rule ID 58471 //
     /* 2337442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337456 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2337473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337493 */   // GIR_Coverage, 58471,
     /* 2337493 */   GIR_EraseRootFromParent_Done,
     /* 2337494 */ // Label 32424: @2337494
     /* 2337494 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2337548), // Rule ID 58666 //
     /* 2337499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2337505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337513 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337513 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337516 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337520 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337525 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2337530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337532 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337535 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337547 */   // GIR_Coverage, 58666,
     /* 2337547 */   GIR_EraseRootFromParent_Done,
     /* 2337548 */ // Label 32425: @2337548
     /* 2337548 */ GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2337602), // Rule ID 58667 //
     /* 2337553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2337559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337567 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2337584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337601 */   // GIR_Coverage, 58667,
     /* 2337601 */   GIR_EraseRootFromParent_Done,
     /* 2337602 */ // Label 32426: @2337602
     /* 2337602 */ GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2337659), // Rule ID 58870 //
     /* 2337607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2337610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337621 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2337638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337643 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337658 */   // GIR_Coverage, 58870,
     /* 2337658 */   GIR_EraseRootFromParent_Done,
     /* 2337659 */ // Label 32427: @2337659
     /* 2337659 */ GIM_Try, /*On fail goto*//*Label 32428*/ GIMT_Encode4(2337716), // Rule ID 58871 //
     /* 2337664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2337667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337678 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2337681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2337695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337715 */   // GIR_Coverage, 58871,
     /* 2337715 */   GIR_EraseRootFromParent_Done,
     /* 2337716 */ // Label 32428: @2337716
     /* 2337716 */ GIM_Reject,
     /* 2337717 */ // Label 32366: @2337717
     /* 2337717 */ GIM_Try, /*On fail goto*//*Label 32429*/ GIMT_Encode4(2337774), // Rule ID 58502 //
     /* 2337722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2337725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337736 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2337753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337773 */   // GIR_Coverage, 58502,
     /* 2337773 */   GIR_EraseRootFromParent_Done,
     /* 2337774 */ // Label 32429: @2337774
     /* 2337774 */ GIM_Try, /*On fail goto*//*Label 32430*/ GIMT_Encode4(2337831), // Rule ID 58503 //
     /* 2337779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2337782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337793 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2337810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337830 */   // GIR_Coverage, 58503,
     /* 2337830 */   GIR_EraseRootFromParent_Done,
     /* 2337831 */ // Label 32430: @2337831
     /* 2337831 */ GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2337885), // Rule ID 58686 //
     /* 2337836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2337839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337850 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2337867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337869 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337884 */   // GIR_Coverage, 58686,
     /* 2337884 */   GIR_EraseRootFromParent_Done,
     /* 2337885 */ // Label 32431: @2337885
     /* 2337885 */ GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2337939), // Rule ID 58687 //
     /* 2337890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2337893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2337896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337904 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2337921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337938 */   // GIR_Coverage, 58687,
     /* 2337938 */   GIR_EraseRootFromParent_Done,
     /* 2337939 */ // Label 32432: @2337939
     /* 2337939 */ GIM_Reject,
     /* 2337940 */ // Label 32367: @2337940
     /* 2337940 */ GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2337997), // Rule ID 58466 //
     /* 2337945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337959 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2337976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337996 */   // GIR_Coverage, 58466,
     /* 2337996 */   GIR_EraseRootFromParent_Done,
     /* 2337997 */ // Label 32433: @2337997
     /* 2337997 */ GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2338054), // Rule ID 58467 //
     /* 2338002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2338008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338016 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2338033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338053 */   // GIR_Coverage, 58467,
     /* 2338053 */   GIR_EraseRootFromParent_Done,
     /* 2338054 */ // Label 32434: @2338054
     /* 2338054 */ GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2338108), // Rule ID 58646 //
     /* 2338059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2338065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338073 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338073 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338076 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338080 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338085 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2338090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338092 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338095 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338107 */   // GIR_Coverage, 58646,
     /* 2338107 */   GIR_EraseRootFromParent_Done,
     /* 2338108 */ // Label 32435: @2338108
     /* 2338108 */ GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2338162), // Rule ID 58647 //
     /* 2338113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2338119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338127 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2338144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338146 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338161 */   // GIR_Coverage, 58647,
     /* 2338161 */   GIR_EraseRootFromParent_Done,
     /* 2338162 */ // Label 32436: @2338162
     /* 2338162 */ GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2338219), // Rule ID 58854 //
     /* 2338167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338181 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338181 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338184 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338188 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338193 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2338198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338200 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338203 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338218 */   // GIR_Coverage, 58854,
     /* 2338218 */   GIR_EraseRootFromParent_Done,
     /* 2338219 */ // Label 32437: @2338219
     /* 2338219 */ GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2338276), // Rule ID 58855 //
     /* 2338224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338238 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338238 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338245 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338250 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2338255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338275 */   // GIR_Coverage, 58855,
     /* 2338275 */   GIR_EraseRootFromParent_Done,
     /* 2338276 */ // Label 32438: @2338276
     /* 2338276 */ GIM_Reject,
     /* 2338277 */ // Label 32368: @2338277
     /* 2338277 */ GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2338334), // Rule ID 58490 //
     /* 2338282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2338285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338296 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338296 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338299 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338303 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2338313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338318 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338333 */   // GIR_Coverage, 58490,
     /* 2338333 */   GIR_EraseRootFromParent_Done,
     /* 2338334 */ // Label 32439: @2338334
     /* 2338334 */ GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2338391), // Rule ID 58491 //
     /* 2338339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2338342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338353 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2338370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338372 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338375 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338390 */   // GIR_Coverage, 58491,
     /* 2338390 */   GIR_EraseRootFromParent_Done,
     /* 2338391 */ // Label 32440: @2338391
     /* 2338391 */ GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2338445), // Rule ID 58670 //
     /* 2338396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2338399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2338402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338410 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338410 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338413 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338417 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2338427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338429 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338432 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338444 */   // GIR_Coverage, 58670,
     /* 2338444 */   GIR_EraseRootFromParent_Done,
     /* 2338445 */ // Label 32441: @2338445
     /* 2338445 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2338499), // Rule ID 58671 //
     /* 2338450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2338453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2338456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338464 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2338481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338498 */   // GIR_Coverage, 58671,
     /* 2338498 */   GIR_EraseRootFromParent_Done,
     /* 2338499 */ // Label 32442: @2338499
     /* 2338499 */ GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2338556), // Rule ID 58874 //
     /* 2338504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2338507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2338510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338518 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2338535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338555 */   // GIR_Coverage, 58874,
     /* 2338555 */   GIR_EraseRootFromParent_Done,
     /* 2338556 */ // Label 32443: @2338556
     /* 2338556 */ GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2338613), // Rule ID 58875 //
     /* 2338561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2338564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2338567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338575 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2338592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338612 */   // GIR_Coverage, 58875,
     /* 2338612 */   GIR_EraseRootFromParent_Done,
     /* 2338613 */ // Label 32444: @2338613
     /* 2338613 */ GIM_Reject,
     /* 2338614 */ // Label 32369: @2338614
     /* 2338614 */ GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2338671), // Rule ID 58506 //
     /* 2338619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2338622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2338625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338633 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338633 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2338636 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338640 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2338650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338652 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338655 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338670 */   // GIR_Coverage, 58506,
     /* 2338670 */   GIR_EraseRootFromParent_Done,
     /* 2338671 */ // Label 32445: @2338671
     /* 2338671 */ GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2338728), // Rule ID 58507 //
     /* 2338676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2338679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2338682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338690 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2338693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2338707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338727 */   // GIR_Coverage, 58507,
     /* 2338727 */   GIR_EraseRootFromParent_Done,
     /* 2338728 */ // Label 32446: @2338728
     /* 2338728 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2338782), // Rule ID 58690 //
     /* 2338733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2338736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338747 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2338750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2338764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338781 */   // GIR_Coverage, 58690,
     /* 2338781 */   GIR_EraseRootFromParent_Done,
     /* 2338782 */ // Label 32447: @2338782
     /* 2338782 */ GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2338836), // Rule ID 58691 //
     /* 2338787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2338790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338801 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2338804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2338818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338835 */   // GIR_Coverage, 58691,
     /* 2338835 */   GIR_EraseRootFromParent_Done,
     /* 2338836 */ // Label 32448: @2338836
     /* 2338836 */ GIM_Reject,
     /* 2338837 */ // Label 32370: @2338837
     /* 2338837 */ GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2338894), // Rule ID 58478 //
     /* 2338842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338856 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338856 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338859 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338863 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338868 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2338873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338875 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338878 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338893 */   // GIR_Coverage, 58478,
     /* 2338893 */   GIR_EraseRootFromParent_Done,
     /* 2338894 */ // Label 32449: @2338894
     /* 2338894 */ GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2338951), // Rule ID 58479 //
     /* 2338899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338913 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2338930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338950 */   // GIR_Coverage, 58479,
     /* 2338950 */   GIR_EraseRootFromParent_Done,
     /* 2338951 */ // Label 32450: @2338951
     /* 2338951 */ GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2339005), // Rule ID 58650 //
     /* 2338956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2338962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338970 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338970 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338973 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338977 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2338987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338992 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339004 */   // GIR_Coverage, 58650,
     /* 2339004 */   GIR_EraseRootFromParent_Done,
     /* 2339005 */ // Label 32451: @2339005
     /* 2339005 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2339059), // Rule ID 58651 //
     /* 2339010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2339016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339024 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339036 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2339041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339046 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339058 */   // GIR_Coverage, 58651,
     /* 2339058 */   GIR_EraseRootFromParent_Done,
     /* 2339059 */ // Label 32452: @2339059
     /* 2339059 */ GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2339116), // Rule ID 58858 //
     /* 2339064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339078 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339078 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339081 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339085 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339090 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2339095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339097 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339100 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339115 */   // GIR_Coverage, 58858,
     /* 2339115 */   GIR_EraseRootFromParent_Done,
     /* 2339116 */ // Label 32453: @2339116
     /* 2339116 */ GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2339173), // Rule ID 58859 //
     /* 2339121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339135 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339135 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339138 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339142 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339147 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2339152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339154 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339172 */   // GIR_Coverage, 58859,
     /* 2339172 */   GIR_EraseRootFromParent_Done,
     /* 2339173 */ // Label 32454: @2339173
     /* 2339173 */ GIM_Reject,
     /* 2339174 */ // Label 32371: @2339174
     /* 2339174 */ GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2339231), // Rule ID 58494 //
     /* 2339179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2339182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339193 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2339210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339230 */   // GIR_Coverage, 58494,
     /* 2339230 */   GIR_EraseRootFromParent_Done,
     /* 2339231 */ // Label 32455: @2339231
     /* 2339231 */ GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2339288), // Rule ID 58495 //
     /* 2339236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2339239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339250 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2339267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339287 */   // GIR_Coverage, 58495,
     /* 2339287 */   GIR_EraseRootFromParent_Done,
     /* 2339288 */ // Label 32456: @2339288
     /* 2339288 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2339342), // Rule ID 58674 //
     /* 2339293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2339296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2339299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339307 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2339324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339341 */   // GIR_Coverage, 58674,
     /* 2339341 */   GIR_EraseRootFromParent_Done,
     /* 2339342 */ // Label 32457: @2339342
     /* 2339342 */ GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2339396), // Rule ID 58675 //
     /* 2339347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2339350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2339353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339361 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2339378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339395 */   // GIR_Coverage, 58675,
     /* 2339395 */   GIR_EraseRootFromParent_Done,
     /* 2339396 */ // Label 32458: @2339396
     /* 2339396 */ GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2339453), // Rule ID 58878 //
     /* 2339401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2339404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339415 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339415 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339422 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2339432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339452 */   // GIR_Coverage, 58878,
     /* 2339452 */   GIR_EraseRootFromParent_Done,
     /* 2339453 */ // Label 32459: @2339453
     /* 2339453 */ GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2339510), // Rule ID 58879 //
     /* 2339458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2339461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339472 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339484 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2339489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339509 */   // GIR_Coverage, 58879,
     /* 2339509 */   GIR_EraseRootFromParent_Done,
     /* 2339510 */ // Label 32460: @2339510
     /* 2339510 */ GIM_Reject,
     /* 2339511 */ // Label 32372: @2339511
     /* 2339511 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2339568), // Rule ID 58510 //
     /* 2339516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2339519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339530 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2339547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339567 */   // GIR_Coverage, 58510,
     /* 2339567 */   GIR_EraseRootFromParent_Done,
     /* 2339568 */ // Label 32461: @2339568
     /* 2339568 */ GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2339625), // Rule ID 58511 //
     /* 2339573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2339576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339587 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2339604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339609 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339624 */   // GIR_Coverage, 58511,
     /* 2339624 */   GIR_EraseRootFromParent_Done,
     /* 2339625 */ // Label 32462: @2339625
     /* 2339625 */ GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2339679), // Rule ID 58694 //
     /* 2339630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2339633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339644 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2339661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339678 */   // GIR_Coverage, 58694,
     /* 2339678 */   GIR_EraseRootFromParent_Done,
     /* 2339679 */ // Label 32463: @2339679
     /* 2339679 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2339733), // Rule ID 58695 //
     /* 2339684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2339687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339698 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2339715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339732 */   // GIR_Coverage, 58695,
     /* 2339732 */   GIR_EraseRootFromParent_Done,
     /* 2339733 */ // Label 32464: @2339733
     /* 2339733 */ GIM_Reject,
     /* 2339734 */ // Label 32373: @2339734
     /* 2339734 */ GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2339791), // Rule ID 58482 //
     /* 2339739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2339745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339753 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339765 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2339770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339772 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339775 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339790 */   // GIR_Coverage, 58482,
     /* 2339790 */   GIR_EraseRootFromParent_Done,
     /* 2339791 */ // Label 32465: @2339791
     /* 2339791 */ GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2339848), // Rule ID 58483 //
     /* 2339796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2339802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339810 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2339827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339847 */   // GIR_Coverage, 58483,
     /* 2339847 */   GIR_EraseRootFromParent_Done,
     /* 2339848 */ // Label 32466: @2339848
     /* 2339848 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2339902), // Rule ID 58654 //
     /* 2339853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2339859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339867 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339867 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339870 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339874 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2339884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339901 */   // GIR_Coverage, 58654,
     /* 2339901 */   GIR_EraseRootFromParent_Done,
     /* 2339902 */ // Label 32467: @2339902
     /* 2339902 */ GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2339956), // Rule ID 58655 //
     /* 2339907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2339913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339921 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2339938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339940 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339955 */   // GIR_Coverage, 58655,
     /* 2339955 */   GIR_EraseRootFromParent_Done,
     /* 2339956 */ // Label 32468: @2339956
     /* 2339956 */ GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2340013), // Rule ID 58862 //
     /* 2339961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339975 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2339992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339997 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340012 */   // GIR_Coverage, 58862,
     /* 2340012 */   GIR_EraseRootFromParent_Done,
     /* 2340013 */ // Label 32469: @2340013
     /* 2340013 */ GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2340070), // Rule ID 58863 //
     /* 2340018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2340024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340032 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2340035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2340049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340069 */   // GIR_Coverage, 58863,
     /* 2340069 */   GIR_EraseRootFromParent_Done,
     /* 2340070 */ // Label 32470: @2340070
     /* 2340070 */ GIM_Reject,
     /* 2340071 */ // Label 32374: @2340071
     /* 2340071 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2340128), // Rule ID 58498 //
     /* 2340076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2340082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340090 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2340093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2340107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340127 */   // GIR_Coverage, 58498,
     /* 2340127 */   GIR_EraseRootFromParent_Done,
     /* 2340128 */ // Label 32471: @2340128
     /* 2340128 */ GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2340185), // Rule ID 58499 //
     /* 2340133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2340139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340147 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2340150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2340164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340184 */   // GIR_Coverage, 58499,
     /* 2340184 */   GIR_EraseRootFromParent_Done,
     /* 2340185 */ // Label 32472: @2340185
     /* 2340185 */ GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2340239), // Rule ID 58678 //
     /* 2340190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2340196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340204 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2340207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2340221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340238 */   // GIR_Coverage, 58678,
     /* 2340238 */   GIR_EraseRootFromParent_Done,
     /* 2340239 */ // Label 32473: @2340239
     /* 2340239 */ GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2340293), // Rule ID 58679 //
     /* 2340244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2340250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340258 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2340261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2340275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340292 */   // GIR_Coverage, 58679,
     /* 2340292 */   GIR_EraseRootFromParent_Done,
     /* 2340293 */ // Label 32474: @2340293
     /* 2340293 */ GIM_Reject,
     /* 2340294 */ // Label 32375: @2340294
     /* 2340294 */ GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2340351), // Rule ID 58486 //
     /* 2340299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2340305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340313 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2340330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340350 */   // GIR_Coverage, 58486,
     /* 2340350 */   GIR_EraseRootFromParent_Done,
     /* 2340351 */ // Label 32475: @2340351
     /* 2340351 */ GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2340408), // Rule ID 58487 //
     /* 2340356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2340362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340370 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2340387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340407 */   // GIR_Coverage, 58487,
     /* 2340407 */   GIR_EraseRootFromParent_Done,
     /* 2340408 */ // Label 32476: @2340408
     /* 2340408 */ GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2340462), // Rule ID 58658 //
     /* 2340413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2340419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340427 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340427 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340430 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340434 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2340444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340446 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340461 */   // GIR_Coverage, 58658,
     /* 2340461 */   GIR_EraseRootFromParent_Done,
     /* 2340462 */ // Label 32477: @2340462
     /* 2340462 */ GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2340516), // Rule ID 58659 //
     /* 2340467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2340473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340481 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340493 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2340498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340500 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340503 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340515 */   // GIR_Coverage, 58659,
     /* 2340515 */   GIR_EraseRootFromParent_Done,
     /* 2340516 */ // Label 32478: @2340516
     /* 2340516 */ GIM_Reject,
     /* 2340517 */ // Label 32376: @2340517
     /* 2340517 */ GIM_Reject,
     /* 2340518 */ // Label 71: @2340518
     /* 2340518 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32497*/ GIMT_Encode4(2342488),
     /* 2340529 */ /*GILLT_s16*//*Label 32479*/ GIMT_Encode4(2340649),
     /* 2340533 */ /*GILLT_s32*//*Label 32480*/ GIMT_Encode4(2340713),
     /* 2340537 */ /*GILLT_s64*//*Label 32481*/ GIMT_Encode4(2340777), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340549 */ /*GILLT_nxv1s16*//*Label 32482*/ GIMT_Encode4(2340868),
     /* 2340553 */ /*GILLT_nxv1s32*//*Label 32483*/ GIMT_Encode4(2340976),
     /* 2340557 */ /*GILLT_nxv1s64*//*Label 32484*/ GIMT_Encode4(2341084), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340569 */ /*GILLT_nxv2s16*//*Label 32485*/ GIMT_Encode4(2341192),
     /* 2340573 */ /*GILLT_nxv2s32*//*Label 32486*/ GIMT_Encode4(2341300),
     /* 2340577 */ /*GILLT_nxv2s64*//*Label 32487*/ GIMT_Encode4(2341408), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340589 */ /*GILLT_nxv4s16*//*Label 32488*/ GIMT_Encode4(2341516),
     /* 2340593 */ /*GILLT_nxv4s32*//*Label 32489*/ GIMT_Encode4(2341624),
     /* 2340597 */ /*GILLT_nxv4s64*//*Label 32490*/ GIMT_Encode4(2341732), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340609 */ /*GILLT_nxv8s16*//*Label 32491*/ GIMT_Encode4(2341840),
     /* 2340613 */ /*GILLT_nxv8s32*//*Label 32492*/ GIMT_Encode4(2341948),
     /* 2340617 */ /*GILLT_nxv8s64*//*Label 32493*/ GIMT_Encode4(2342056), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340629 */ /*GILLT_nxv16s16*//*Label 32494*/ GIMT_Encode4(2342164),
     /* 2340633 */ /*GILLT_nxv16s32*//*Label 32495*/ GIMT_Encode4(2342272), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2340645 */ /*GILLT_nxv32s16*//*Label 32496*/ GIMT_Encode4(2342380),
     /* 2340649 */ // Label 32479: @2340649
     /* 2340649 */ GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2340712),
     /* 2340654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2340657 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2340684), // Rule ID 1983 //
     /* 2340662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2340665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2340669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2340673 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2340673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2340676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340683 */     // GIR_Coverage, 1983,
     /* 2340683 */     GIR_EraseRootFromParent_Done,
     /* 2340684 */   // Label 32499: @2340684
     /* 2340684 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2340711), // Rule ID 2016 //
     /* 2340689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2340692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2340696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2340700 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2340700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2340703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340710 */     // GIR_Coverage, 2016,
     /* 2340710 */     GIR_EraseRootFromParent_Done,
     /* 2340711 */   // Label 32500: @2340711
     /* 2340711 */   GIM_Reject,
     /* 2340712 */ // Label 32498: @2340712
     /* 2340712 */ GIM_Reject,
     /* 2340713 */ // Label 32480: @2340713
     /* 2340713 */ GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2340776),
     /* 2340718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2340721 */   GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2340748), // Rule ID 1274 //
     /* 2340726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2340729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2340733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2340737 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2340737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2340740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340747 */     // GIR_Coverage, 1274,
     /* 2340747 */     GIR_EraseRootFromParent_Done,
     /* 2340748 */   // Label 32502: @2340748
     /* 2340748 */   GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2340775), // Rule ID 1282 //
     /* 2340753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2340756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2340760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2340764 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2340764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2340767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340774 */     // GIR_Coverage, 1282,
     /* 2340774 */     GIR_EraseRootFromParent_Done,
     /* 2340775 */   // Label 32503: @2340775
     /* 2340775 */   GIM_Reject,
     /* 2340776 */ // Label 32501: @2340776
     /* 2340776 */ GIM_Reject,
     /* 2340777 */ // Label 32481: @2340777
     /* 2340777 */ GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2340867),
     /* 2340782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340785 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2340812), // Rule ID 1617 //
     /* 2340790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2340793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340801 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2340801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2340804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340811 */     // GIR_Coverage, 1617,
     /* 2340811 */     GIR_EraseRootFromParent_Done,
     /* 2340812 */   // Label 32505: @2340812
     /* 2340812 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2340839), // Rule ID 1650 //
     /* 2340817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2340820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340828 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2340828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2340831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340838 */     // GIR_Coverage, 1650,
     /* 2340838 */     GIR_EraseRootFromParent_Done,
     /* 2340839 */   // Label 32506: @2340839
     /* 2340839 */   GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2340866), // Rule ID 1672 //
     /* 2340844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2340847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340855 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2340855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2340858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340865 */     // GIR_Coverage, 1672,
     /* 2340865 */     GIR_EraseRootFromParent_Done,
     /* 2340866 */   // Label 32507: @2340866
     /* 2340866 */   GIM_Reject,
     /* 2340867 */ // Label 32504: @2340867
     /* 2340867 */ GIM_Reject,
     /* 2340868 */ // Label 32482: @2340868
     /* 2340868 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2340975),
     /* 2340873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340884 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2340929), // Rule ID 56230 //
     /* 2340889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340892 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2340909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2340916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2340918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340928 */     // GIR_Coverage, 56230,
     /* 2340928 */     GIR_EraseRootFromParent_Done,
     /* 2340929 */   // Label 32509: @2340929
     /* 2340929 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2340974), // Rule ID 56231 //
     /* 2340934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340937 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2340954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2340961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2340963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340973 */     // GIR_Coverage, 56231,
     /* 2340973 */     GIR_EraseRootFromParent_Done,
     /* 2340974 */   // Label 32510: @2340974
     /* 2340974 */   GIM_Reject,
     /* 2340975 */ // Label 32508: @2340975
     /* 2340975 */ GIM_Reject,
     /* 2340976 */ // Label 32483: @2340976
     /* 2340976 */ GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2341083),
     /* 2340981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340992 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2341037), // Rule ID 56270 //
     /* 2340997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341000 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2341017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341036 */     // GIR_Coverage, 56270,
     /* 2341036 */     GIR_EraseRootFromParent_Done,
     /* 2341037 */   // Label 32512: @2341037
     /* 2341037 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2341082), // Rule ID 56271 //
     /* 2341042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341045 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2341062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341081 */     // GIR_Coverage, 56271,
     /* 2341081 */     GIR_EraseRootFromParent_Done,
     /* 2341082 */   // Label 32513: @2341082
     /* 2341082 */   GIM_Reject,
     /* 2341083 */ // Label 32511: @2341083
     /* 2341083 */ GIM_Reject,
     /* 2341084 */ // Label 32484: @2341084
     /* 2341084 */ GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2341191),
     /* 2341089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2341092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341100 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2341145), // Rule ID 56330 //
     /* 2341105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341108 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2341111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2341125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341144 */     // GIR_Coverage, 56330,
     /* 2341144 */     GIR_EraseRootFromParent_Done,
     /* 2341145 */   // Label 32515: @2341145
     /* 2341145 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2341190), // Rule ID 56331 //
     /* 2341150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341153 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2341156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2341170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341189 */     // GIR_Coverage, 56331,
     /* 2341189 */     GIR_EraseRootFromParent_Done,
     /* 2341190 */   // Label 32516: @2341190
     /* 2341190 */   GIM_Reject,
     /* 2341191 */ // Label 32514: @2341191
     /* 2341191 */ GIM_Reject,
     /* 2341192 */ // Label 32485: @2341192
     /* 2341192 */ GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2341299),
     /* 2341197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341208 */   GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2341253), // Rule ID 56250 //
     /* 2341213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341216 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2341233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341252 */     // GIR_Coverage, 56250,
     /* 2341252 */     GIR_EraseRootFromParent_Done,
     /* 2341253 */   // Label 32518: @2341253
     /* 2341253 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2341298), // Rule ID 56251 //
     /* 2341258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341261 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2341278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341297 */     // GIR_Coverage, 56251,
     /* 2341297 */     GIR_EraseRootFromParent_Done,
     /* 2341298 */   // Label 32519: @2341298
     /* 2341298 */   GIM_Reject,
     /* 2341299 */ // Label 32517: @2341299
     /* 2341299 */ GIM_Reject,
     /* 2341300 */ // Label 32486: @2341300
     /* 2341300 */ GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2341407),
     /* 2341305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341316 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2341361), // Rule ID 56310 //
     /* 2341321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341324 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2341341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341360 */     // GIR_Coverage, 56310,
     /* 2341360 */     GIR_EraseRootFromParent_Done,
     /* 2341361 */   // Label 32521: @2341361
     /* 2341361 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2341406), // Rule ID 56311 //
     /* 2341366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341369 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2341386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341405 */     // GIR_Coverage, 56311,
     /* 2341405 */     GIR_EraseRootFromParent_Done,
     /* 2341406 */   // Label 32522: @2341406
     /* 2341406 */   GIM_Reject,
     /* 2341407 */ // Label 32520: @2341407
     /* 2341407 */ GIM_Reject,
     /* 2341408 */ // Label 32487: @2341408
     /* 2341408 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2341515),
     /* 2341413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341424 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2341469), // Rule ID 56470 //
     /* 2341429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341432 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2341449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341468 */     // GIR_Coverage, 56470,
     /* 2341468 */     GIR_EraseRootFromParent_Done,
     /* 2341469 */   // Label 32524: @2341469
     /* 2341469 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2341514), // Rule ID 56471 //
     /* 2341474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341477 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2341494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341513 */     // GIR_Coverage, 56471,
     /* 2341513 */     GIR_EraseRootFromParent_Done,
     /* 2341514 */   // Label 32525: @2341514
     /* 2341514 */   GIM_Reject,
     /* 2341515 */ // Label 32523: @2341515
     /* 2341515 */ GIM_Reject,
     /* 2341516 */ // Label 32488: @2341516
     /* 2341516 */ GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2341623),
     /* 2341521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341532 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2341577), // Rule ID 56290 //
     /* 2341537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341540 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2341557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341576 */     // GIR_Coverage, 56290,
     /* 2341576 */     GIR_EraseRootFromParent_Done,
     /* 2341577 */   // Label 32527: @2341577
     /* 2341577 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2341622), // Rule ID 56291 //
     /* 2341582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341585 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2341602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341621 */     // GIR_Coverage, 56291,
     /* 2341621 */     GIR_EraseRootFromParent_Done,
     /* 2341622 */   // Label 32528: @2341622
     /* 2341622 */   GIM_Reject,
     /* 2341623 */ // Label 32526: @2341623
     /* 2341623 */ GIM_Reject,
     /* 2341624 */ // Label 32489: @2341624
     /* 2341624 */ GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2341731),
     /* 2341629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341640 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2341685), // Rule ID 56410 //
     /* 2341645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341648 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2341665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341684 */     // GIR_Coverage, 56410,
     /* 2341684 */     GIR_EraseRootFromParent_Done,
     /* 2341685 */   // Label 32530: @2341685
     /* 2341685 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2341730), // Rule ID 56411 //
     /* 2341690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341693 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2341710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341729 */     // GIR_Coverage, 56411,
     /* 2341729 */     GIR_EraseRootFromParent_Done,
     /* 2341730 */   // Label 32531: @2341730
     /* 2341730 */   GIM_Reject,
     /* 2341731 */ // Label 32529: @2341731
     /* 2341731 */ GIM_Reject,
     /* 2341732 */ // Label 32490: @2341732
     /* 2341732 */ GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2341839),
     /* 2341737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341748 */   GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2341793), // Rule ID 56490 //
     /* 2341753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341756 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2341773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341792 */     // GIR_Coverage, 56490,
     /* 2341792 */     GIR_EraseRootFromParent_Done,
     /* 2341793 */   // Label 32533: @2341793
     /* 2341793 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2341838), // Rule ID 56491 //
     /* 2341798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341801 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2341818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341837 */     // GIR_Coverage, 56491,
     /* 2341837 */     GIR_EraseRootFromParent_Done,
     /* 2341838 */   // Label 32534: @2341838
     /* 2341838 */   GIM_Reject,
     /* 2341839 */ // Label 32532: @2341839
     /* 2341839 */ GIM_Reject,
     /* 2341840 */ // Label 32491: @2341840
     /* 2341840 */ GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2341947),
     /* 2341845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341856 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2341901), // Rule ID 56350 //
     /* 2341861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341864 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2341881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341900 */     // GIR_Coverage, 56350,
     /* 2341900 */     GIR_EraseRootFromParent_Done,
     /* 2341901 */   // Label 32536: @2341901
     /* 2341901 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2341946), // Rule ID 56351 //
     /* 2341906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341909 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2341926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341945 */     // GIR_Coverage, 56351,
     /* 2341945 */     GIR_EraseRootFromParent_Done,
     /* 2341946 */   // Label 32537: @2341946
     /* 2341946 */   GIM_Reject,
     /* 2341947 */ // Label 32535: @2341947
     /* 2341947 */ GIM_Reject,
     /* 2341948 */ // Label 32492: @2341948
     /* 2341948 */ GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2342055),
     /* 2341953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341964 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2342009), // Rule ID 56430 //
     /* 2341969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341972 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2341989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2341998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342008 */     // GIR_Coverage, 56430,
     /* 2342008 */     GIR_EraseRootFromParent_Done,
     /* 2342009 */   // Label 32539: @2342009
     /* 2342009 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2342054), // Rule ID 56431 //
     /* 2342014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342017 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2342034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342053 */     // GIR_Coverage, 56431,
     /* 2342053 */     GIR_EraseRootFromParent_Done,
     /* 2342054 */   // Label 32540: @2342054
     /* 2342054 */   GIM_Reject,
     /* 2342055 */ // Label 32538: @2342055
     /* 2342055 */ GIM_Reject,
     /* 2342056 */ // Label 32493: @2342056
     /* 2342056 */ GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2342163),
     /* 2342061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342072 */   GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2342117), // Rule ID 56510 //
     /* 2342077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342080 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2342097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342116 */     // GIR_Coverage, 56510,
     /* 2342116 */     GIR_EraseRootFromParent_Done,
     /* 2342117 */   // Label 32542: @2342117
     /* 2342117 */   GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2342162), // Rule ID 56511 //
     /* 2342122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342125 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2342142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342161 */     // GIR_Coverage, 56511,
     /* 2342161 */     GIR_EraseRootFromParent_Done,
     /* 2342162 */   // Label 32543: @2342162
     /* 2342162 */   GIM_Reject,
     /* 2342163 */ // Label 32541: @2342163
     /* 2342163 */ GIM_Reject,
     /* 2342164 */ // Label 32494: @2342164
     /* 2342164 */ GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2342271),
     /* 2342169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342180 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2342225), // Rule ID 56370 //
     /* 2342185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342188 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2342205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342224 */     // GIR_Coverage, 56370,
     /* 2342224 */     GIR_EraseRootFromParent_Done,
     /* 2342225 */   // Label 32545: @2342225
     /* 2342225 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2342270), // Rule ID 56371 //
     /* 2342230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342233 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2342250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342269 */     // GIR_Coverage, 56371,
     /* 2342269 */     GIR_EraseRootFromParent_Done,
     /* 2342270 */   // Label 32546: @2342270
     /* 2342270 */   GIM_Reject,
     /* 2342271 */ // Label 32544: @2342271
     /* 2342271 */ GIM_Reject,
     /* 2342272 */ // Label 32495: @2342272
     /* 2342272 */ GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2342379),
     /* 2342277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342288 */   GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2342333), // Rule ID 56450 //
     /* 2342293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342296 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2342313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342332 */     // GIR_Coverage, 56450,
     /* 2342332 */     GIR_EraseRootFromParent_Done,
     /* 2342333 */   // Label 32548: @2342333
     /* 2342333 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2342378), // Rule ID 56451 //
     /* 2342338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342341 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2342358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342377 */     // GIR_Coverage, 56451,
     /* 2342377 */     GIR_EraseRootFromParent_Done,
     /* 2342378 */   // Label 32549: @2342378
     /* 2342378 */   GIM_Reject,
     /* 2342379 */ // Label 32547: @2342379
     /* 2342379 */ GIM_Reject,
     /* 2342380 */ // Label 32496: @2342380
     /* 2342380 */ GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2342487),
     /* 2342385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2342388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342396 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2342441), // Rule ID 56390 //
     /* 2342401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342404 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2342421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342440 */     // GIR_Coverage, 56390,
     /* 2342440 */     GIR_EraseRootFromParent_Done,
     /* 2342441 */   // Label 32551: @2342441
     /* 2342441 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2342486), // Rule ID 56391 //
     /* 2342446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342449 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2342466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2342475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342485 */     // GIR_Coverage, 56391,
     /* 2342485 */     GIR_EraseRootFromParent_Done,
     /* 2342486 */   // Label 32552: @2342486
     /* 2342486 */   GIM_Reject,
     /* 2342487 */ // Label 32550: @2342487
     /* 2342487 */ GIM_Reject,
     /* 2342488 */ // Label 32497: @2342488
     /* 2342488 */ GIM_Reject,
     /* 2342489 */ // Label 72: @2342489
     /* 2342489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32571*/ GIMT_Encode4(2348550),
     /* 2342500 */ /*GILLT_s16*//*Label 32553*/ GIMT_Encode4(2342620),
     /* 2342504 */ /*GILLT_s32*//*Label 32554*/ GIMT_Encode4(2343296),
     /* 2342508 */ /*GILLT_s64*//*Label 32555*/ GIMT_Encode4(2343972), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342520 */ /*GILLT_nxv1s16*//*Label 32556*/ GIMT_Encode4(2344785),
     /* 2342524 */ /*GILLT_nxv1s32*//*Label 32557*/ GIMT_Encode4(2345036),
     /* 2342528 */ /*GILLT_nxv1s64*//*Label 32558*/ GIMT_Encode4(2345287), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342540 */ /*GILLT_nxv2s16*//*Label 32559*/ GIMT_Encode4(2345538),
     /* 2342544 */ /*GILLT_nxv2s32*//*Label 32560*/ GIMT_Encode4(2345789),
     /* 2342548 */ /*GILLT_nxv2s64*//*Label 32561*/ GIMT_Encode4(2346040), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342560 */ /*GILLT_nxv4s16*//*Label 32562*/ GIMT_Encode4(2346291),
     /* 2342564 */ /*GILLT_nxv4s32*//*Label 32563*/ GIMT_Encode4(2346542),
     /* 2342568 */ /*GILLT_nxv4s64*//*Label 32564*/ GIMT_Encode4(2346793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342580 */ /*GILLT_nxv8s16*//*Label 32565*/ GIMT_Encode4(2347044),
     /* 2342584 */ /*GILLT_nxv8s32*//*Label 32566*/ GIMT_Encode4(2347295),
     /* 2342588 */ /*GILLT_nxv8s64*//*Label 32567*/ GIMT_Encode4(2347546), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342600 */ /*GILLT_nxv16s16*//*Label 32568*/ GIMT_Encode4(2347797),
     /* 2342604 */ /*GILLT_nxv16s32*//*Label 32569*/ GIMT_Encode4(2348048), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2342616 */ /*GILLT_nxv32s16*//*Label 32570*/ GIMT_Encode4(2348299),
     /* 2342620 */ // Label 32553: @2342620
     /* 2342620 */ GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2343295),
     /* 2342625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2342628 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2342679), // Rule ID 1988 //
     /* 2342633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2342636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2342639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2342659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342666 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2342666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2342669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342678 */     // GIR_Coverage, 1988,
     /* 2342678 */     GIR_EraseRootFromParent_Done,
     /* 2342679 */   // Label 32573: @2342679
     /* 2342679 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2342730), // Rule ID 2021 //
     /* 2342684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2342687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2342690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2342710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342717 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2342717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2342720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342729 */     // GIR_Coverage, 2021,
     /* 2342729 */     GIR_EraseRootFromParent_Done,
     /* 2342730 */   // Label 32574: @2342730
     /* 2342730 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2342760), // Rule ID 1986 //
     /* 2342735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2342738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2342741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342753 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2342753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2342758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342759 */     // GIR_Coverage, 1986,
     /* 2342759 */     GIR_Done,
     /* 2342760 */   // Label 32575: @2342760
     /* 2342760 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2342816), // Rule ID 1989 //
     /* 2342765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2342768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342783 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2342783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2342786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2342790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2342799 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2342802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2342807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342815 */     // GIR_Coverage, 1989,
     /* 2342815 */     GIR_EraseRootFromParent_Done,
     /* 2342816 */   // Label 32576: @2342816
     /* 2342816 */   GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2342872), // Rule ID 1990 //
     /* 2342821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2342824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342839 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2342839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2342842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2342846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2342855 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2342858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2342863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342871 */     // GIR_Coverage, 1990,
     /* 2342871 */     GIR_EraseRootFromParent_Done,
     /* 2342872 */   // Label 32577: @2342872
     /* 2342872 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2342902), // Rule ID 2019 //
     /* 2342877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2342880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2342883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342895 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2342895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2342900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342901 */     // GIR_Coverage, 2019,
     /* 2342901 */     GIR_Done,
     /* 2342902 */   // Label 32578: @2342902
     /* 2342902 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2342958), // Rule ID 2022 //
     /* 2342907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2342910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342925 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2342925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2342928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2342932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2342941 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2342944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2342949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342957 */     // GIR_Coverage, 2022,
     /* 2342957 */     GIR_EraseRootFromParent_Done,
     /* 2342958 */   // Label 32579: @2342958
     /* 2342958 */   GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2343014), // Rule ID 2023 //
     /* 2342963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2342966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2342977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342981 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2342981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2342984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2342988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2342997 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2343005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343013 */     // GIR_Coverage, 2023,
     /* 2343013 */     GIR_EraseRootFromParent_Done,
     /* 2343014 */   // Label 32580: @2343014
     /* 2343014 */   GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2343070), // Rule ID 2292 //
     /* 2343019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2343022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343037 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2343040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2343044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343053 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2343061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343069 */     // GIR_Coverage, 2292,
     /* 2343069 */     GIR_EraseRootFromParent_Done,
     /* 2343070 */   // Label 32581: @2343070
     /* 2343070 */   GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2343126), // Rule ID 2293 //
     /* 2343075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2343078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343093 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2343093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2343096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2343100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343109 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2343117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343125 */     // GIR_Coverage, 2293,
     /* 2343125 */     GIR_EraseRootFromParent_Done,
     /* 2343126 */   // Label 32582: @2343126
     /* 2343126 */   GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2343182), // Rule ID 2304 //
     /* 2343131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2343134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343149 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2343152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2343156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2343173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343181 */     // GIR_Coverage, 2304,
     /* 2343181 */     GIR_EraseRootFromParent_Done,
     /* 2343182 */   // Label 32583: @2343182
     /* 2343182 */   GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2343238), // Rule ID 2305 //
     /* 2343187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2343190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343205 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2343205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2343208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2343212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343221 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2343229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343237 */     // GIR_Coverage, 2305,
     /* 2343237 */     GIR_EraseRootFromParent_Done,
     /* 2343238 */   // Label 32584: @2343238
     /* 2343238 */   GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2343294), // Rule ID 2312 //
     /* 2343243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2343246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343261 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2343264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2343268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343277 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2343285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343293 */     // GIR_Coverage, 2312,
     /* 2343293 */     GIR_EraseRootFromParent_Done,
     /* 2343294 */   // Label 32585: @2343294
     /* 2343294 */   GIM_Reject,
     /* 2343295 */ // Label 32572: @2343295
     /* 2343295 */ GIM_Reject,
     /* 2343296 */ // Label 32554: @2343296
     /* 2343296 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2343971),
     /* 2343301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343304 */   GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2343355), // Rule ID 1289 //
     /* 2343309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2343312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343342 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2343342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2343345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343354 */     // GIR_Coverage, 1289,
     /* 2343354 */     GIR_EraseRootFromParent_Done,
     /* 2343355 */   // Label 32587: @2343355
     /* 2343355 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2343406), // Rule ID 1310 //
     /* 2343360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2343363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343393 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2343393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2343396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343405 */     // GIR_Coverage, 1310,
     /* 2343405 */     GIR_EraseRootFromParent_Done,
     /* 2343406 */   // Label 32588: @2343406
     /* 2343406 */   GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2343436), // Rule ID 1285 //
     /* 2343411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2343414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343429 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2343434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343435 */     // GIR_Coverage, 1285,
     /* 2343435 */     GIR_Done,
     /* 2343436 */   // Label 32589: @2343436
     /* 2343436 */   GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2343466), // Rule ID 1286 //
     /* 2343441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2343444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343459 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343465 */     // GIR_Coverage, 1286,
     /* 2343465 */     GIR_Done,
     /* 2343466 */   // Label 32590: @2343466
     /* 2343466 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2343522), // Rule ID 1625 //
     /* 2343471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2343474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343489 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2343496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343505 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2343513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343521 */     // GIR_Coverage, 1625,
     /* 2343521 */     GIR_EraseRootFromParent_Done,
     /* 2343522 */   // Label 32591: @2343522
     /* 2343522 */   GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2343578), // Rule ID 1626 //
     /* 2343527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2343530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343545 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2343545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2343552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343561 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2343569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343577 */     // GIR_Coverage, 1626,
     /* 2343577 */     GIR_EraseRootFromParent_Done,
     /* 2343578 */   // Label 32592: @2343578
     /* 2343578 */   GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2343634), // Rule ID 1656 //
     /* 2343583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2343586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343601 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2343608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343617 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343633 */     // GIR_Coverage, 1656,
     /* 2343633 */     GIR_EraseRootFromParent_Done,
     /* 2343634 */   // Label 32593: @2343634
     /* 2343634 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2343690), // Rule ID 1680 //
     /* 2343639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2343642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343657 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2343657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2343664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343689 */     // GIR_Coverage, 1680,
     /* 2343689 */     GIR_EraseRootFromParent_Done,
     /* 2343690 */   // Label 32594: @2343690
     /* 2343690 */   GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2343746), // Rule ID 1681 //
     /* 2343695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2343698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343713 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2343713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2343720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343729 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2343732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343745 */     // GIR_Coverage, 1681,
     /* 2343745 */     GIR_EraseRootFromParent_Done,
     /* 2343746 */   // Label 32595: @2343746
     /* 2343746 */   GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2343802), // Rule ID 2164 //
     /* 2343751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2343754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343769 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2343769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2343776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343785 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2343788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2343793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343801 */     // GIR_Coverage, 2164,
     /* 2343801 */     GIR_EraseRootFromParent_Done,
     /* 2343802 */   // Label 32596: @2343802
     /* 2343802 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2343858), // Rule ID 2165 //
     /* 2343807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2343810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343825 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2343825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2343832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343841 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2343844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2343849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343857 */     // GIR_Coverage, 2165,
     /* 2343857 */     GIR_EraseRootFromParent_Done,
     /* 2343858 */   // Label 32597: @2343858
     /* 2343858 */   GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2343914), // Rule ID 2178 //
     /* 2343863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2343866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343881 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2343881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2343888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343897 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2343900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343913 */     // GIR_Coverage, 2178,
     /* 2343913 */     GIR_EraseRootFromParent_Done,
     /* 2343914 */   // Label 32598: @2343914
     /* 2343914 */   GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2343970), // Rule ID 2179 //
     /* 2343919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2343922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343937 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2343937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2343940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2343944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2343953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2343956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2343961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343969 */     // GIR_Coverage, 2179,
     /* 2343969 */     GIR_EraseRootFromParent_Done,
     /* 2343970 */   // Label 32599: @2343970
     /* 2343970 */   GIM_Reject,
     /* 2343971 */ // Label 32586: @2343971
     /* 2343971 */ GIM_Reject,
     /* 2343972 */ // Label 32555: @2343972
     /* 2343972 */ GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2344784),
     /* 2343977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343980 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2344031), // Rule ID 1622 //
     /* 2343985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2343988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2344003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2344007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344018 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2344018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2344021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2344029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344030 */     // GIR_Coverage, 1622,
     /* 2344030 */     GIR_EraseRootFromParent_Done,
     /* 2344031 */   // Label 32601: @2344031
     /* 2344031 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2344082), // Rule ID 1654 //
     /* 2344036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2344039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2344054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2344058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344069 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2344069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2344072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2344080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344081 */     // GIR_Coverage, 1654,
     /* 2344081 */     GIR_EraseRootFromParent_Done,
     /* 2344082 */   // Label 32602: @2344082
     /* 2344082 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2344133), // Rule ID 1677 //
     /* 2344087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2344090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2344105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2344109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344120 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2344120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2344123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2344131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344132 */     // GIR_Coverage, 1677,
     /* 2344132 */     GIR_EraseRootFromParent_Done,
     /* 2344133 */   // Label 32603: @2344133
     /* 2344133 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2344163), // Rule ID 1620 //
     /* 2344138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2344141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344156 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2344161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344162 */     // GIR_Coverage, 1620,
     /* 2344162 */     GIR_Done,
     /* 2344163 */   // Label 32604: @2344163
     /* 2344163 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2344219), // Rule ID 1623 //
     /* 2344168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2344171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344186 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2344186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2344193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344202 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2344210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344218 */     // GIR_Coverage, 1623,
     /* 2344218 */     GIR_EraseRootFromParent_Done,
     /* 2344219 */   // Label 32605: @2344219
     /* 2344219 */   GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2344275), // Rule ID 1624 //
     /* 2344224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2344227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344242 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2344242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2344249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344258 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2344266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344274 */     // GIR_Coverage, 1624,
     /* 2344274 */     GIR_EraseRootFromParent_Done,
     /* 2344275 */   // Label 32606: @2344275
     /* 2344275 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2344305), // Rule ID 1652 //
     /* 2344280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2344283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344298 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2344303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344304 */     // GIR_Coverage, 1652,
     /* 2344304 */     GIR_Done,
     /* 2344305 */   // Label 32607: @2344305
     /* 2344305 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2344361), // Rule ID 1655 //
     /* 2344310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2344313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344328 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2344328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2344335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344344 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2344352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344360 */     // GIR_Coverage, 1655,
     /* 2344360 */     GIR_EraseRootFromParent_Done,
     /* 2344361 */   // Label 32608: @2344361
     /* 2344361 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2344391), // Rule ID 1675 //
     /* 2344366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2344369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344384 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2344389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344390 */     // GIR_Coverage, 1675,
     /* 2344390 */     GIR_Done,
     /* 2344391 */   // Label 32609: @2344391
     /* 2344391 */   GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2344447), // Rule ID 1678 //
     /* 2344396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2344399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344414 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2344414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2344421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344430 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2344438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344446 */     // GIR_Coverage, 1678,
     /* 2344446 */     GIR_EraseRootFromParent_Done,
     /* 2344447 */   // Label 32610: @2344447
     /* 2344447 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2344503), // Rule ID 1679 //
     /* 2344452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2344455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344470 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2344470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2344477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344482 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344486 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2344494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344502 */     // GIR_Coverage, 1679,
     /* 2344502 */     GIR_EraseRootFromParent_Done,
     /* 2344503 */   // Label 32611: @2344503
     /* 2344503 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2344559), // Rule ID 2294 //
     /* 2344508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2344511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344526 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2344526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2344533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344542 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2344550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344558 */     // GIR_Coverage, 2294,
     /* 2344558 */     GIR_EraseRootFromParent_Done,
     /* 2344559 */   // Label 32612: @2344559
     /* 2344559 */   GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2344615), // Rule ID 2295 //
     /* 2344564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2344567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344582 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2344582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2344589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344598 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2344606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344614 */     // GIR_Coverage, 2295,
     /* 2344614 */     GIR_EraseRootFromParent_Done,
     /* 2344615 */   // Label 32613: @2344615
     /* 2344615 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2344671), // Rule ID 2306 //
     /* 2344620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2344623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344638 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2344638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2344645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344654 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2344662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344670 */     // GIR_Coverage, 2306,
     /* 2344670 */     GIR_EraseRootFromParent_Done,
     /* 2344671 */   // Label 32614: @2344671
     /* 2344671 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2344727), // Rule ID 2307 //
     /* 2344676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2344679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344694 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2344694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2344701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344710 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2344718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344726 */     // GIR_Coverage, 2307,
     /* 2344726 */     GIR_EraseRootFromParent_Done,
     /* 2344727 */   // Label 32615: @2344727
     /* 2344727 */   GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2344783), // Rule ID 2313 //
     /* 2344732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2344735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344750 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2344750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2344753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2344757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2344766 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2344769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2344774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344782 */     // GIR_Coverage, 2313,
     /* 2344782 */     GIR_EraseRootFromParent_Done,
     /* 2344783 */   // Label 32616: @2344783
     /* 2344783 */   GIM_Reject,
     /* 2344784 */ // Label 32600: @2344784
     /* 2344784 */ GIM_Reject,
     /* 2344785 */ // Label 32556: @2344785
     /* 2344785 */ GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2345035),
     /* 2344790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344804 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2344870), // Rule ID 56240 //
     /* 2344809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2344812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2344816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2344820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344831 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2344848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2344859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344869 */     // GIR_Coverage, 56240,
     /* 2344869 */     GIR_EraseRootFromParent_Done,
     /* 2344870 */   // Label 32618: @2344870
     /* 2344870 */   GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2344936), // Rule ID 56241 //
     /* 2344875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2344878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2344882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2344886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2344897 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2344914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2344925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344935 */     // GIR_Coverage, 56241,
     /* 2344935 */     GIR_EraseRootFromParent_Done,
     /* 2344936 */   // Label 32619: @2344936
     /* 2344936 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2344985), // Rule ID 56234 //
     /* 2344941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2344944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344948 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2344965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344984 */     // GIR_Coverage, 56234,
     /* 2344984 */     GIR_EraseRootFromParent_Done,
     /* 2344985 */   // Label 32620: @2344985
     /* 2344985 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2345034), // Rule ID 56235 //
     /* 2344990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2344993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344997 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2345014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345033 */     // GIR_Coverage, 56235,
     /* 2345033 */     GIR_EraseRootFromParent_Done,
     /* 2345034 */   // Label 32621: @2345034
     /* 2345034 */   GIM_Reject,
     /* 2345035 */ // Label 32617: @2345035
     /* 2345035 */ GIM_Reject,
     /* 2345036 */ // Label 32557: @2345036
     /* 2345036 */ GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2345286),
     /* 2345041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2345047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345055 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2345121), // Rule ID 56280 //
     /* 2345060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345082 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2345099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345120 */     // GIR_Coverage, 56280,
     /* 2345120 */     GIR_EraseRootFromParent_Done,
     /* 2345121 */   // Label 32623: @2345121
     /* 2345121 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2345187), // Rule ID 56281 //
     /* 2345126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345148 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2345165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345186 */     // GIR_Coverage, 56281,
     /* 2345186 */     GIR_EraseRootFromParent_Done,
     /* 2345187 */   // Label 32624: @2345187
     /* 2345187 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2345236), // Rule ID 56274 //
     /* 2345192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345199 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2345216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345235 */     // GIR_Coverage, 56274,
     /* 2345235 */     GIR_EraseRootFromParent_Done,
     /* 2345236 */   // Label 32625: @2345236
     /* 2345236 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2345285), // Rule ID 56275 //
     /* 2345241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345248 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2345265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345284 */     // GIR_Coverage, 56275,
     /* 2345284 */     GIR_EraseRootFromParent_Done,
     /* 2345285 */   // Label 32626: @2345285
     /* 2345285 */   GIM_Reject,
     /* 2345286 */ // Label 32622: @2345286
     /* 2345286 */ GIM_Reject,
     /* 2345287 */ // Label 32558: @2345287
     /* 2345287 */ GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2345537),
     /* 2345292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2345295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2345298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345306 */   GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2345372), // Rule ID 56340 //
     /* 2345311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2345314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2345326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345333 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2345350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345371 */     // GIR_Coverage, 56340,
     /* 2345371 */     GIR_EraseRootFromParent_Done,
     /* 2345372 */   // Label 32628: @2345372
     /* 2345372 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2345438), // Rule ID 56341 //
     /* 2345377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2345380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2345392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345399 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2345416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345437 */     // GIR_Coverage, 56341,
     /* 2345437 */     GIR_EraseRootFromParent_Done,
     /* 2345438 */   // Label 32629: @2345438
     /* 2345438 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2345487), // Rule ID 56334 //
     /* 2345443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2345446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345450 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2345467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345486 */     // GIR_Coverage, 56334,
     /* 2345486 */     GIR_EraseRootFromParent_Done,
     /* 2345487 */   // Label 32630: @2345487
     /* 2345487 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2345536), // Rule ID 56335 //
     /* 2345492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2345495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345499 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2345516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345535 */     // GIR_Coverage, 56335,
     /* 2345535 */     GIR_EraseRootFromParent_Done,
     /* 2345536 */   // Label 32631: @2345536
     /* 2345536 */   GIM_Reject,
     /* 2345537 */ // Label 32627: @2345537
     /* 2345537 */ GIM_Reject,
     /* 2345538 */ // Label 32559: @2345538
     /* 2345538 */ GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2345788),
     /* 2345543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345557 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2345623), // Rule ID 56260 //
     /* 2345562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2345565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345584 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2345601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345622 */     // GIR_Coverage, 56260,
     /* 2345622 */     GIR_EraseRootFromParent_Done,
     /* 2345623 */   // Label 32633: @2345623
     /* 2345623 */   GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2345689), // Rule ID 56261 //
     /* 2345628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2345631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345650 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2345667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345688 */     // GIR_Coverage, 56261,
     /* 2345688 */     GIR_EraseRootFromParent_Done,
     /* 2345689 */   // Label 32634: @2345689
     /* 2345689 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2345738), // Rule ID 56254 //
     /* 2345694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2345697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345701 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2345718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345737 */     // GIR_Coverage, 56254,
     /* 2345737 */     GIR_EraseRootFromParent_Done,
     /* 2345738 */   // Label 32635: @2345738
     /* 2345738 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2345787), // Rule ID 56255 //
     /* 2345743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2345746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345750 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2345767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345786 */     // GIR_Coverage, 56255,
     /* 2345786 */     GIR_EraseRootFromParent_Done,
     /* 2345787 */   // Label 32636: @2345787
     /* 2345787 */   GIM_Reject,
     /* 2345788 */ // Label 32632: @2345788
     /* 2345788 */ GIM_Reject,
     /* 2345789 */ // Label 32560: @2345789
     /* 2345789 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2346039),
     /* 2345794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345808 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2345874), // Rule ID 56320 //
     /* 2345813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345835 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2345852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345873 */     // GIR_Coverage, 56320,
     /* 2345873 */     GIR_EraseRootFromParent_Done,
     /* 2345874 */   // Label 32638: @2345874
     /* 2345874 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2345940), // Rule ID 56321 //
     /* 2345879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2345886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2345890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2345901 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2345918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2345929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345939 */     // GIR_Coverage, 56321,
     /* 2345939 */     GIR_EraseRootFromParent_Done,
     /* 2345940 */   // Label 32639: @2345940
     /* 2345940 */   GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2345989), // Rule ID 56314 //
     /* 2345945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345952 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2345969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345988 */     // GIR_Coverage, 56314,
     /* 2345988 */     GIR_EraseRootFromParent_Done,
     /* 2345989 */   // Label 32640: @2345989
     /* 2345989 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2346038), // Rule ID 56315 //
     /* 2345994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346001 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2346018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346037 */     // GIR_Coverage, 56315,
     /* 2346037 */     GIR_EraseRootFromParent_Done,
     /* 2346038 */   // Label 32641: @2346038
     /* 2346038 */   GIM_Reject,
     /* 2346039 */ // Label 32637: @2346039
     /* 2346039 */ GIM_Reject,
     /* 2346040 */ // Label 32561: @2346040
     /* 2346040 */ GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2346290),
     /* 2346045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346059 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2346125), // Rule ID 56480 //
     /* 2346064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346086 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2346103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346124 */     // GIR_Coverage, 56480,
     /* 2346124 */     GIR_EraseRootFromParent_Done,
     /* 2346125 */   // Label 32643: @2346125
     /* 2346125 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2346191), // Rule ID 56481 //
     /* 2346130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2346133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346152 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2346169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346190 */     // GIR_Coverage, 56481,
     /* 2346190 */     GIR_EraseRootFromParent_Done,
     /* 2346191 */   // Label 32644: @2346191
     /* 2346191 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2346240), // Rule ID 56474 //
     /* 2346196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346203 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2346220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346239 */     // GIR_Coverage, 56474,
     /* 2346239 */     GIR_EraseRootFromParent_Done,
     /* 2346240 */   // Label 32645: @2346240
     /* 2346240 */   GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2346289), // Rule ID 56475 //
     /* 2346245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2346248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346252 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2346269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346288 */     // GIR_Coverage, 56475,
     /* 2346288 */     GIR_EraseRootFromParent_Done,
     /* 2346289 */   // Label 32646: @2346289
     /* 2346289 */   GIM_Reject,
     /* 2346290 */ // Label 32642: @2346290
     /* 2346290 */ GIM_Reject,
     /* 2346291 */ // Label 32562: @2346291
     /* 2346291 */ GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2346541),
     /* 2346296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2346302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346310 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2346376), // Rule ID 56300 //
     /* 2346315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2346318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346337 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2346354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346375 */     // GIR_Coverage, 56300,
     /* 2346375 */     GIR_EraseRootFromParent_Done,
     /* 2346376 */   // Label 32648: @2346376
     /* 2346376 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2346442), // Rule ID 56301 //
     /* 2346381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2346384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346403 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2346420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346441 */     // GIR_Coverage, 56301,
     /* 2346441 */     GIR_EraseRootFromParent_Done,
     /* 2346442 */   // Label 32649: @2346442
     /* 2346442 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2346491), // Rule ID 56294 //
     /* 2346447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2346450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346454 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2346471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346490 */     // GIR_Coverage, 56294,
     /* 2346490 */     GIR_EraseRootFromParent_Done,
     /* 2346491 */   // Label 32650: @2346491
     /* 2346491 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2346540), // Rule ID 56295 //
     /* 2346496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2346499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346503 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2346520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346539 */     // GIR_Coverage, 56295,
     /* 2346539 */     GIR_EraseRootFromParent_Done,
     /* 2346540 */   // Label 32651: @2346540
     /* 2346540 */   GIM_Reject,
     /* 2346541 */ // Label 32647: @2346541
     /* 2346541 */ GIM_Reject,
     /* 2346542 */ // Label 32563: @2346542
     /* 2346542 */ GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2346792),
     /* 2346547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2346553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346561 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2346627), // Rule ID 56420 //
     /* 2346566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2346569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346588 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2346605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346626 */     // GIR_Coverage, 56420,
     /* 2346626 */     GIR_EraseRootFromParent_Done,
     /* 2346627 */   // Label 32653: @2346627
     /* 2346627 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2346693), // Rule ID 56421 //
     /* 2346632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2346635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346654 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2346671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346692 */     // GIR_Coverage, 56421,
     /* 2346692 */     GIR_EraseRootFromParent_Done,
     /* 2346693 */   // Label 32654: @2346693
     /* 2346693 */   GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2346742), // Rule ID 56414 //
     /* 2346698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2346701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346705 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2346722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346741 */     // GIR_Coverage, 56414,
     /* 2346741 */     GIR_EraseRootFromParent_Done,
     /* 2346742 */   // Label 32655: @2346742
     /* 2346742 */   GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2346791), // Rule ID 56415 //
     /* 2346747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2346750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346754 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2346771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346790 */     // GIR_Coverage, 56415,
     /* 2346790 */     GIR_EraseRootFromParent_Done,
     /* 2346791 */   // Label 32656: @2346791
     /* 2346791 */   GIM_Reject,
     /* 2346792 */ // Label 32652: @2346792
     /* 2346792 */ GIM_Reject,
     /* 2346793 */ // Label 32564: @2346793
     /* 2346793 */ GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2347043),
     /* 2346798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2346804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346812 */   GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2346878), // Rule ID 56500 //
     /* 2346817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346839 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2346856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346877 */     // GIR_Coverage, 56500,
     /* 2346877 */     GIR_EraseRootFromParent_Done,
     /* 2346878 */   // Label 32658: @2346878
     /* 2346878 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2346944), // Rule ID 56501 //
     /* 2346883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2346886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2346890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2346894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2346905 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2346922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2346933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346943 */     // GIR_Coverage, 56501,
     /* 2346943 */     GIR_EraseRootFromParent_Done,
     /* 2346944 */   // Label 32659: @2346944
     /* 2346944 */   GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2346993), // Rule ID 56494 //
     /* 2346949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346956 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2346973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346992 */     // GIR_Coverage, 56494,
     /* 2346992 */     GIR_EraseRootFromParent_Done,
     /* 2346993 */   // Label 32660: @2346993
     /* 2346993 */   GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2347042), // Rule ID 56495 //
     /* 2346998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2347001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347005 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2347022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347041 */     // GIR_Coverage, 56495,
     /* 2347041 */     GIR_EraseRootFromParent_Done,
     /* 2347042 */   // Label 32661: @2347042
     /* 2347042 */   GIM_Reject,
     /* 2347043 */ // Label 32657: @2347043
     /* 2347043 */ GIM_Reject,
     /* 2347044 */ // Label 32565: @2347044
     /* 2347044 */ GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2347294),
     /* 2347049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2347055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347063 */   GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2347129), // Rule ID 56360 //
     /* 2347068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347090 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2347107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347128 */     // GIR_Coverage, 56360,
     /* 2347128 */     GIR_EraseRootFromParent_Done,
     /* 2347129 */   // Label 32663: @2347129
     /* 2347129 */   GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2347195), // Rule ID 56361 //
     /* 2347134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347156 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2347173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347194 */     // GIR_Coverage, 56361,
     /* 2347194 */     GIR_EraseRootFromParent_Done,
     /* 2347195 */   // Label 32664: @2347195
     /* 2347195 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2347244), // Rule ID 56354 //
     /* 2347200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347207 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2347224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347243 */     // GIR_Coverage, 56354,
     /* 2347243 */     GIR_EraseRootFromParent_Done,
     /* 2347244 */   // Label 32665: @2347244
     /* 2347244 */   GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2347293), // Rule ID 56355 //
     /* 2347249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347256 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2347273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347292 */     // GIR_Coverage, 56355,
     /* 2347292 */     GIR_EraseRootFromParent_Done,
     /* 2347293 */   // Label 32666: @2347293
     /* 2347293 */   GIM_Reject,
     /* 2347294 */ // Label 32662: @2347294
     /* 2347294 */ GIM_Reject,
     /* 2347295 */ // Label 32566: @2347295
     /* 2347295 */ GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2347545),
     /* 2347300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2347306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347314 */   GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2347380), // Rule ID 56440 //
     /* 2347319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2347322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347341 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2347358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347379 */     // GIR_Coverage, 56440,
     /* 2347379 */     GIR_EraseRootFromParent_Done,
     /* 2347380 */   // Label 32668: @2347380
     /* 2347380 */   GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2347446), // Rule ID 56441 //
     /* 2347385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2347388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347407 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2347424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347445 */     // GIR_Coverage, 56441,
     /* 2347445 */     GIR_EraseRootFromParent_Done,
     /* 2347446 */   // Label 32669: @2347446
     /* 2347446 */   GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2347495), // Rule ID 56434 //
     /* 2347451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2347454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347458 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2347475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347494 */     // GIR_Coverage, 56434,
     /* 2347494 */     GIR_EraseRootFromParent_Done,
     /* 2347495 */   // Label 32670: @2347495
     /* 2347495 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2347544), // Rule ID 56435 //
     /* 2347500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2347503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347507 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2347524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347543 */     // GIR_Coverage, 56435,
     /* 2347543 */     GIR_EraseRootFromParent_Done,
     /* 2347544 */   // Label 32671: @2347544
     /* 2347544 */   GIM_Reject,
     /* 2347545 */ // Label 32667: @2347545
     /* 2347545 */ GIM_Reject,
     /* 2347546 */ // Label 32567: @2347546
     /* 2347546 */ GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2347796),
     /* 2347551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2347557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347565 */   GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2347631), // Rule ID 56520 //
     /* 2347570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2347573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347592 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2347609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347630 */     // GIR_Coverage, 56520,
     /* 2347630 */     GIR_EraseRootFromParent_Done,
     /* 2347631 */   // Label 32673: @2347631
     /* 2347631 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2347697), // Rule ID 56521 //
     /* 2347636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2347639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347658 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2347675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347696 */     // GIR_Coverage, 56521,
     /* 2347696 */     GIR_EraseRootFromParent_Done,
     /* 2347697 */   // Label 32674: @2347697
     /* 2347697 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2347746), // Rule ID 56514 //
     /* 2347702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2347705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347709 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2347726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347745 */     // GIR_Coverage, 56514,
     /* 2347745 */     GIR_EraseRootFromParent_Done,
     /* 2347746 */   // Label 32675: @2347746
     /* 2347746 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2347795), // Rule ID 56515 //
     /* 2347751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2347754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347758 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2347775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347794 */     // GIR_Coverage, 56515,
     /* 2347794 */     GIR_EraseRootFromParent_Done,
     /* 2347795 */   // Label 32676: @2347795
     /* 2347795 */   GIM_Reject,
     /* 2347796 */ // Label 32672: @2347796
     /* 2347796 */ GIM_Reject,
     /* 2347797 */ // Label 32568: @2347797
     /* 2347797 */ GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2348047),
     /* 2347802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2347808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347816 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2347882), // Rule ID 56380 //
     /* 2347821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347843 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2347860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347881 */     // GIR_Coverage, 56380,
     /* 2347881 */     GIR_EraseRootFromParent_Done,
     /* 2347882 */   // Label 32678: @2347882
     /* 2347882 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2347948), // Rule ID 56381 //
     /* 2347887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2347894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2347898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2347909 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2347926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2347937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347947 */     // GIR_Coverage, 56381,
     /* 2347947 */     GIR_EraseRootFromParent_Done,
     /* 2347948 */   // Label 32679: @2347948
     /* 2347948 */   GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2347997), // Rule ID 56374 //
     /* 2347953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347960 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2347977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347996 */     // GIR_Coverage, 56374,
     /* 2347996 */     GIR_EraseRootFromParent_Done,
     /* 2347997 */   // Label 32680: @2347997
     /* 2347997 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2348046), // Rule ID 56375 //
     /* 2348002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2348005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348009 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2348026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348045 */     // GIR_Coverage, 56375,
     /* 2348045 */     GIR_EraseRootFromParent_Done,
     /* 2348046 */   // Label 32681: @2348046
     /* 2348046 */   GIM_Reject,
     /* 2348047 */ // Label 32677: @2348047
     /* 2348047 */ GIM_Reject,
     /* 2348048 */ // Label 32569: @2348048
     /* 2348048 */ GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2348298),
     /* 2348053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2348059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348067 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2348133), // Rule ID 56460 //
     /* 2348072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2348075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2348079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2348083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2348094 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2348111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2348122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348132 */     // GIR_Coverage, 56460,
     /* 2348132 */     GIR_EraseRootFromParent_Done,
     /* 2348133 */   // Label 32683: @2348133
     /* 2348133 */   GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2348199), // Rule ID 56461 //
     /* 2348138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2348141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2348145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2348149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2348160 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2348177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2348188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348198 */     // GIR_Coverage, 56461,
     /* 2348198 */     GIR_EraseRootFromParent_Done,
     /* 2348199 */   // Label 32684: @2348199
     /* 2348199 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2348248), // Rule ID 56454 //
     /* 2348204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2348207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348211 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2348228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348247 */     // GIR_Coverage, 56454,
     /* 2348247 */     GIR_EraseRootFromParent_Done,
     /* 2348248 */   // Label 32685: @2348248
     /* 2348248 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2348297), // Rule ID 56455 //
     /* 2348253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2348256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348260 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2348277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348296 */     // GIR_Coverage, 56455,
     /* 2348296 */     GIR_EraseRootFromParent_Done,
     /* 2348297 */   // Label 32686: @2348297
     /* 2348297 */   GIM_Reject,
     /* 2348298 */ // Label 32682: @2348298
     /* 2348298 */ GIM_Reject,
     /* 2348299 */ // Label 32570: @2348299
     /* 2348299 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2348549),
     /* 2348304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2348310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348318 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2348384), // Rule ID 56400 //
     /* 2348323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2348326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2348330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2348334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2348345 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2348362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2348373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348383 */     // GIR_Coverage, 56400,
     /* 2348383 */     GIR_EraseRootFromParent_Done,
     /* 2348384 */   // Label 32688: @2348384
     /* 2348384 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2348450), // Rule ID 56401 //
     /* 2348389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2348392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2348396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2348400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2348411 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2348428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2348439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348449 */     // GIR_Coverage, 56401,
     /* 2348449 */     GIR_EraseRootFromParent_Done,
     /* 2348450 */   // Label 32689: @2348450
     /* 2348450 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2348499), // Rule ID 56394 //
     /* 2348455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2348458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348462 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2348479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348498 */     // GIR_Coverage, 56394,
     /* 2348498 */     GIR_EraseRootFromParent_Done,
     /* 2348499 */   // Label 32690: @2348499
     /* 2348499 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2348548), // Rule ID 56395 //
     /* 2348504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2348507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348511 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2348528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348547 */     // GIR_Coverage, 56395,
     /* 2348547 */     GIR_EraseRootFromParent_Done,
     /* 2348548 */   // Label 32691: @2348548
     /* 2348548 */   GIM_Reject,
     /* 2348549 */ // Label 32687: @2348549
     /* 2348549 */ GIM_Reject,
     /* 2348550 */ // Label 32571: @2348550
     /* 2348550 */ GIM_Reject,
     /* 2348551 */ // Label 73: @2348551
     /* 2348551 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32695*/ GIMT_Encode4(2348740),
     /* 2348562 */ /*GILLT_s16*//*Label 32692*/ GIMT_Encode4(2348574),
     /* 2348566 */ /*GILLT_s32*//*Label 32693*/ GIMT_Encode4(2348624),
     /* 2348570 */ /*GILLT_s64*//*Label 32694*/ GIMT_Encode4(2348674),
     /* 2348574 */ // Label 32692: @2348574
     /* 2348574 */ GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2348623),
     /* 2348579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348590 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2348606), // Rule ID 2056 //
     /* 2348595 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2348595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2348598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348605 */     // GIR_Coverage, 2056,
     /* 2348605 */     GIR_EraseRootFromParent_Done,
     /* 2348606 */   // Label 32697: @2348606
     /* 2348606 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2348622), // Rule ID 2057 //
     /* 2348611 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2348611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2348614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348621 */     // GIR_Coverage, 2057,
     /* 2348621 */     GIR_EraseRootFromParent_Done,
     /* 2348622 */   // Label 32698: @2348622
     /* 2348622 */   GIM_Reject,
     /* 2348623 */ // Label 32696: @2348623
     /* 2348623 */ GIM_Reject,
     /* 2348624 */ // Label 32693: @2348624
     /* 2348624 */ GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2348673),
     /* 2348629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348640 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2348656), // Rule ID 1343 //
     /* 2348645 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2348645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2348648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348655 */     // GIR_Coverage, 1343,
     /* 2348655 */     GIR_EraseRootFromParent_Done,
     /* 2348656 */   // Label 32700: @2348656
     /* 2348656 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2348672), // Rule ID 1344 //
     /* 2348661 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2348661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2348664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348671 */     // GIR_Coverage, 1344,
     /* 2348671 */     GIR_EraseRootFromParent_Done,
     /* 2348672 */   // Label 32701: @2348672
     /* 2348672 */   GIM_Reject,
     /* 2348673 */ // Label 32699: @2348673
     /* 2348673 */ GIM_Reject,
     /* 2348674 */ // Label 32694: @2348674
     /* 2348674 */ GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2348739),
     /* 2348679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348690 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2348706), // Rule ID 1720 //
     /* 2348695 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2348698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348705 */     // GIR_Coverage, 1720,
     /* 2348705 */     GIR_EraseRootFromParent_Done,
     /* 2348706 */   // Label 32703: @2348706
     /* 2348706 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2348722), // Rule ID 1721 //
     /* 2348711 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2348714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348721 */     // GIR_Coverage, 1721,
     /* 2348721 */     GIR_EraseRootFromParent_Done,
     /* 2348722 */   // Label 32704: @2348722
     /* 2348722 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2348738), // Rule ID 1722 //
     /* 2348727 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2348730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348737 */     // GIR_Coverage, 1722,
     /* 2348737 */     GIR_EraseRootFromParent_Done,
     /* 2348738 */   // Label 32705: @2348738
     /* 2348738 */   GIM_Reject,
     /* 2348739 */ // Label 32702: @2348739
     /* 2348739 */ GIM_Reject,
     /* 2348740 */ // Label 32695: @2348740
     /* 2348740 */ GIM_Reject,
     /* 2348741 */ // Label 74: @2348741
     /* 2348741 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32724*/ GIMT_Encode4(2350825),
     /* 2348752 */ /*GILLT_s16*//*Label 32706*/ GIMT_Encode4(2348872),
     /* 2348756 */ /*GILLT_s32*//*Label 32707*/ GIMT_Encode4(2348939),
     /* 2348760 */ /*GILLT_s64*//*Label 32708*/ GIMT_Encode4(2349006), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348772 */ /*GILLT_nxv1s16*//*Label 32709*/ GIMT_Encode4(2349100),
     /* 2348776 */ /*GILLT_nxv1s32*//*Label 32710*/ GIMT_Encode4(2349215),
     /* 2348780 */ /*GILLT_nxv1s64*//*Label 32711*/ GIMT_Encode4(2349330), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348792 */ /*GILLT_nxv2s16*//*Label 32712*/ GIMT_Encode4(2349445),
     /* 2348796 */ /*GILLT_nxv2s32*//*Label 32713*/ GIMT_Encode4(2349560),
     /* 2348800 */ /*GILLT_nxv2s64*//*Label 32714*/ GIMT_Encode4(2349675), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348812 */ /*GILLT_nxv4s16*//*Label 32715*/ GIMT_Encode4(2349790),
     /* 2348816 */ /*GILLT_nxv4s32*//*Label 32716*/ GIMT_Encode4(2349905),
     /* 2348820 */ /*GILLT_nxv4s64*//*Label 32717*/ GIMT_Encode4(2350020), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348832 */ /*GILLT_nxv8s16*//*Label 32718*/ GIMT_Encode4(2350135),
     /* 2348836 */ /*GILLT_nxv8s32*//*Label 32719*/ GIMT_Encode4(2350250),
     /* 2348840 */ /*GILLT_nxv8s64*//*Label 32720*/ GIMT_Encode4(2350365), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348852 */ /*GILLT_nxv16s16*//*Label 32721*/ GIMT_Encode4(2350480),
     /* 2348856 */ /*GILLT_nxv16s32*//*Label 32722*/ GIMT_Encode4(2350595), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348868 */ /*GILLT_nxv32s16*//*Label 32723*/ GIMT_Encode4(2350710),
     /* 2348872 */ // Label 32706: @2348872
     /* 2348872 */ GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2348938),
     /* 2348877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2348883 */   GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2348910), // Rule ID 2044 //
     /* 2348888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2348891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348903 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2348908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348909 */     // GIR_Coverage, 2044,
     /* 2348909 */     GIR_Done,
     /* 2348910 */   // Label 32726: @2348910
     /* 2348910 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2348937), // Rule ID 2045 //
     /* 2348915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2348918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348930 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2348935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348936 */     // GIR_Coverage, 2045,
     /* 2348936 */     GIR_Done,
     /* 2348937 */   // Label 32727: @2348937
     /* 2348937 */   GIM_Reject,
     /* 2348938 */ // Label 32725: @2348938
     /* 2348938 */ GIM_Reject,
     /* 2348939 */ // Label 32707: @2348939
     /* 2348939 */ GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2349005),
     /* 2348944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2348950 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2348977), // Rule ID 1331 //
     /* 2348955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2348958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348970 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2348975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348976 */     // GIR_Coverage, 1331,
     /* 2348976 */     GIR_Done,
     /* 2348977 */   // Label 32729: @2348977
     /* 2348977 */   GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2349004), // Rule ID 1332 //
     /* 2348982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2348985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348997 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2349002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349003 */     // GIR_Coverage, 1332,
     /* 2349003 */     GIR_Done,
     /* 2349004 */   // Label 32730: @2349004
     /* 2349004 */   GIM_Reject,
     /* 2349005 */ // Label 32728: @2349005
     /* 2349005 */ GIM_Reject,
     /* 2349006 */ // Label 32708: @2349006
     /* 2349006 */ GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2349099),
     /* 2349011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2349017 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2349044), // Rule ID 1702 //
     /* 2349022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2349025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2349029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2349033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2349037 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2349037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2349042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349043 */     // GIR_Coverage, 1702,
     /* 2349043 */     GIR_Done,
     /* 2349044 */   // Label 32732: @2349044
     /* 2349044 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2349071), // Rule ID 1703 //
     /* 2349049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2349052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2349056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2349060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2349064 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2349064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2349069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349070 */     // GIR_Coverage, 1703,
     /* 2349070 */     GIR_Done,
     /* 2349071 */   // Label 32733: @2349071
     /* 2349071 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2349098), // Rule ID 1704 //
     /* 2349076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2349079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349091 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2349091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2349096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349097 */     // GIR_Coverage, 1704,
     /* 2349097 */     GIR_Done,
     /* 2349098 */   // Label 32734: @2349098
     /* 2349098 */   GIM_Reject,
     /* 2349099 */ // Label 32731: @2349099
     /* 2349099 */ GIM_Reject,
     /* 2349100 */ // Label 32709: @2349100
     /* 2349100 */ GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2349214),
     /* 2349105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2349108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2349111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349123 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2349168), // Rule ID 45742 //
     /* 2349128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349131 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2349148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349167 */     // GIR_Coverage, 45742,
     /* 2349167 */     GIR_EraseRootFromParent_Done,
     /* 2349168 */   // Label 32736: @2349168
     /* 2349168 */   GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2349213), // Rule ID 45743 //
     /* 2349173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349176 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2349193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349212 */     // GIR_Coverage, 45743,
     /* 2349212 */     GIR_EraseRootFromParent_Done,
     /* 2349213 */   // Label 32737: @2349213
     /* 2349213 */   GIM_Reject,
     /* 2349214 */ // Label 32735: @2349214
     /* 2349214 */ GIM_Reject,
     /* 2349215 */ // Label 32710: @2349215
     /* 2349215 */ GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2349329),
     /* 2349220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2349223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2349226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349238 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2349283), // Rule ID 56532 //
     /* 2349243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349246 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2349263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349282 */     // GIR_Coverage, 56532,
     /* 2349282 */     GIR_EraseRootFromParent_Done,
     /* 2349283 */   // Label 32739: @2349283
     /* 2349283 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2349328), // Rule ID 56533 //
     /* 2349288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349291 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2349308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349327 */     // GIR_Coverage, 56533,
     /* 2349327 */     GIR_EraseRootFromParent_Done,
     /* 2349328 */   // Label 32740: @2349328
     /* 2349328 */   GIM_Reject,
     /* 2349329 */ // Label 32738: @2349329
     /* 2349329 */ GIM_Reject,
     /* 2349330 */ // Label 32711: @2349330
     /* 2349330 */ GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2349444),
     /* 2349335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2349338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2349341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349353 */   GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2349398), // Rule ID 56550 //
     /* 2349358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349361 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2349378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349397 */     // GIR_Coverage, 56550,
     /* 2349397 */     GIR_EraseRootFromParent_Done,
     /* 2349398 */   // Label 32742: @2349398
     /* 2349398 */   GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2349443), // Rule ID 56551 //
     /* 2349403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349406 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2349423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349442 */     // GIR_Coverage, 56551,
     /* 2349442 */     GIR_EraseRootFromParent_Done,
     /* 2349443 */   // Label 32743: @2349443
     /* 2349443 */   GIM_Reject,
     /* 2349444 */ // Label 32741: @2349444
     /* 2349444 */ GIM_Reject,
     /* 2349445 */ // Label 32712: @2349445
     /* 2349445 */ GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2349559),
     /* 2349450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2349453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2349456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349468 */   GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2349513), // Rule ID 56526 //
     /* 2349473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349476 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2349493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349512 */     // GIR_Coverage, 56526,
     /* 2349512 */     GIR_EraseRootFromParent_Done,
     /* 2349513 */   // Label 32745: @2349513
     /* 2349513 */   GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2349558), // Rule ID 56527 //
     /* 2349518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349521 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2349538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349557 */     // GIR_Coverage, 56527,
     /* 2349557 */     GIR_EraseRootFromParent_Done,
     /* 2349558 */   // Label 32746: @2349558
     /* 2349558 */   GIM_Reject,
     /* 2349559 */ // Label 32744: @2349559
     /* 2349559 */ GIM_Reject,
     /* 2349560 */ // Label 32713: @2349560
     /* 2349560 */ GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2349674),
     /* 2349565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2349568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2349571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349583 */   GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2349628), // Rule ID 56544 //
     /* 2349588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349591 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2349608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349627 */     // GIR_Coverage, 56544,
     /* 2349627 */     GIR_EraseRootFromParent_Done,
     /* 2349628 */   // Label 32748: @2349628
     /* 2349628 */   GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2349673), // Rule ID 56545 //
     /* 2349633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349636 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2349653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349672 */     // GIR_Coverage, 56545,
     /* 2349672 */     GIR_EraseRootFromParent_Done,
     /* 2349673 */   // Label 32749: @2349673
     /* 2349673 */   GIM_Reject,
     /* 2349674 */ // Label 32747: @2349674
     /* 2349674 */ GIM_Reject,
     /* 2349675 */ // Label 32714: @2349675
     /* 2349675 */ GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2349789),
     /* 2349680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2349683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2349686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349698 */   GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2349743), // Rule ID 56592 //
     /* 2349703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349706 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2349723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349742 */     // GIR_Coverage, 56592,
     /* 2349742 */     GIR_EraseRootFromParent_Done,
     /* 2349743 */   // Label 32751: @2349743
     /* 2349743 */   GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2349788), // Rule ID 56593 //
     /* 2349748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349751 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2349768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349787 */     // GIR_Coverage, 56593,
     /* 2349787 */     GIR_EraseRootFromParent_Done,
     /* 2349788 */   // Label 32752: @2349788
     /* 2349788 */   GIM_Reject,
     /* 2349789 */ // Label 32750: @2349789
     /* 2349789 */ GIM_Reject,
     /* 2349790 */ // Label 32715: @2349790
     /* 2349790 */ GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2349904),
     /* 2349795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2349798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349813 */   GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2349858), // Rule ID 56538 //
     /* 2349818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349821 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2349838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349857 */     // GIR_Coverage, 56538,
     /* 2349857 */     GIR_EraseRootFromParent_Done,
     /* 2349858 */   // Label 32754: @2349858
     /* 2349858 */   GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2349903), // Rule ID 56539 //
     /* 2349863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349866 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2349883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349902 */     // GIR_Coverage, 56539,
     /* 2349902 */     GIR_EraseRootFromParent_Done,
     /* 2349903 */   // Label 32755: @2349903
     /* 2349903 */   GIM_Reject,
     /* 2349904 */ // Label 32753: @2349904
     /* 2349904 */ GIM_Reject,
     /* 2349905 */ // Label 32716: @2349905
     /* 2349905 */ GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2350019),
     /* 2349910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2349913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349928 */   GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2349973), // Rule ID 56574 //
     /* 2349933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349936 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2349953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349972 */     // GIR_Coverage, 56574,
     /* 2349972 */     GIR_EraseRootFromParent_Done,
     /* 2349973 */   // Label 32757: @2349973
     /* 2349973 */   GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2350018), // Rule ID 56575 //
     /* 2349978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349981 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2349998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350017 */     // GIR_Coverage, 56575,
     /* 2350017 */     GIR_EraseRootFromParent_Done,
     /* 2350018 */   // Label 32758: @2350018
     /* 2350018 */   GIM_Reject,
     /* 2350019 */ // Label 32756: @2350019
     /* 2350019 */ GIM_Reject,
     /* 2350020 */ // Label 32717: @2350020
     /* 2350020 */ GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2350134),
     /* 2350025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2350028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350043 */   GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2350088), // Rule ID 56598 //
     /* 2350048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2350051 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2350068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350087 */     // GIR_Coverage, 56598,
     /* 2350087 */     GIR_EraseRootFromParent_Done,
     /* 2350088 */   // Label 32760: @2350088
     /* 2350088 */   GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2350133), // Rule ID 56599 //
     /* 2350093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2350096 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2350113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350132 */     // GIR_Coverage, 56599,
     /* 2350132 */     GIR_EraseRootFromParent_Done,
     /* 2350133 */   // Label 32761: @2350133
     /* 2350133 */   GIM_Reject,
     /* 2350134 */ // Label 32759: @2350134
     /* 2350134 */ GIM_Reject,
     /* 2350135 */ // Label 32718: @2350135
     /* 2350135 */ GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2350249),
     /* 2350140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2350143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2350146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350158 */   GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2350203), // Rule ID 56556 //
     /* 2350163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350166 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2350169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2350183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350202 */     // GIR_Coverage, 56556,
     /* 2350202 */     GIR_EraseRootFromParent_Done,
     /* 2350203 */   // Label 32763: @2350203
     /* 2350203 */   GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2350248), // Rule ID 56557 //
     /* 2350208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350211 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2350214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2350228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350247 */     // GIR_Coverage, 56557,
     /* 2350247 */     GIR_EraseRootFromParent_Done,
     /* 2350248 */   // Label 32764: @2350248
     /* 2350248 */   GIM_Reject,
     /* 2350249 */ // Label 32762: @2350249
     /* 2350249 */ GIM_Reject,
     /* 2350250 */ // Label 32719: @2350250
     /* 2350250 */ GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2350364),
     /* 2350255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2350258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2350261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350273 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2350318), // Rule ID 56580 //
     /* 2350278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350281 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2350284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2350298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350317 */     // GIR_Coverage, 56580,
     /* 2350317 */     GIR_EraseRootFromParent_Done,
     /* 2350318 */   // Label 32766: @2350318
     /* 2350318 */   GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2350363), // Rule ID 56581 //
     /* 2350323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350326 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2350329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2350343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350362 */     // GIR_Coverage, 56581,
     /* 2350362 */     GIR_EraseRootFromParent_Done,
     /* 2350363 */   // Label 32767: @2350363
     /* 2350363 */   GIM_Reject,
     /* 2350364 */ // Label 32765: @2350364
     /* 2350364 */ GIM_Reject,
     /* 2350365 */ // Label 32720: @2350365
     /* 2350365 */ GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2350479),
     /* 2350370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2350373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2350376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350388 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2350433), // Rule ID 56604 //
     /* 2350393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2350396 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2350399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2350413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350432 */     // GIR_Coverage, 56604,
     /* 2350432 */     GIR_EraseRootFromParent_Done,
     /* 2350433 */   // Label 32769: @2350433
     /* 2350433 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2350478), // Rule ID 56605 //
     /* 2350438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2350441 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2350444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2350458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350477 */     // GIR_Coverage, 56605,
     /* 2350477 */     GIR_EraseRootFromParent_Done,
     /* 2350478 */   // Label 32770: @2350478
     /* 2350478 */   GIM_Reject,
     /* 2350479 */ // Label 32768: @2350479
     /* 2350479 */ GIM_Reject,
     /* 2350480 */ // Label 32721: @2350480
     /* 2350480 */ GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2350594),
     /* 2350485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2350488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2350491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350503 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2350548), // Rule ID 56562 //
     /* 2350508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350511 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2350528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350547 */     // GIR_Coverage, 56562,
     /* 2350547 */     GIR_EraseRootFromParent_Done,
     /* 2350548 */   // Label 32772: @2350548
     /* 2350548 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2350593), // Rule ID 56563 //
     /* 2350553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350556 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2350573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350592 */     // GIR_Coverage, 56563,
     /* 2350592 */     GIR_EraseRootFromParent_Done,
     /* 2350593 */   // Label 32773: @2350593
     /* 2350593 */   GIM_Reject,
     /* 2350594 */ // Label 32771: @2350594
     /* 2350594 */ GIM_Reject,
     /* 2350595 */ // Label 32722: @2350595
     /* 2350595 */ GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2350709),
     /* 2350600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2350603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2350606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350618 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2350663), // Rule ID 56586 //
     /* 2350623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350626 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2350643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350662 */     // GIR_Coverage, 56586,
     /* 2350662 */     GIR_EraseRootFromParent_Done,
     /* 2350663 */   // Label 32775: @2350663
     /* 2350663 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2350708), // Rule ID 56587 //
     /* 2350668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350671 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2350688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350707 */     // GIR_Coverage, 56587,
     /* 2350707 */     GIR_EraseRootFromParent_Done,
     /* 2350708 */   // Label 32776: @2350708
     /* 2350708 */   GIM_Reject,
     /* 2350709 */ // Label 32774: @2350709
     /* 2350709 */ GIM_Reject,
     /* 2350710 */ // Label 32723: @2350710
     /* 2350710 */ GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2350824),
     /* 2350715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2350718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2350721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350733 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2350778), // Rule ID 56568 //
     /* 2350738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350741 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2350758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350777 */     // GIR_Coverage, 56568,
     /* 2350777 */     GIR_EraseRootFromParent_Done,
     /* 2350778 */   // Label 32778: @2350778
     /* 2350778 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2350823), // Rule ID 56569 //
     /* 2350783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350786 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2350803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350822 */     // GIR_Coverage, 56569,
     /* 2350822 */     GIR_EraseRootFromParent_Done,
     /* 2350823 */   // Label 32779: @2350823
     /* 2350823 */   GIM_Reject,
     /* 2350824 */ // Label 32777: @2350824
     /* 2350824 */ GIM_Reject,
     /* 2350825 */ // Label 32724: @2350825
     /* 2350825 */ GIM_Reject,
     /* 2350826 */ // Label 75: @2350826
     /* 2350826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32798*/ GIMT_Encode4(2352910),
     /* 2350837 */ /*GILLT_s16*//*Label 32780*/ GIMT_Encode4(2350957),
     /* 2350841 */ /*GILLT_s32*//*Label 32781*/ GIMT_Encode4(2351024),
     /* 2350845 */ /*GILLT_s64*//*Label 32782*/ GIMT_Encode4(2351091), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350857 */ /*GILLT_nxv1s16*//*Label 32783*/ GIMT_Encode4(2351185),
     /* 2350861 */ /*GILLT_nxv1s32*//*Label 32784*/ GIMT_Encode4(2351300),
     /* 2350865 */ /*GILLT_nxv1s64*//*Label 32785*/ GIMT_Encode4(2351415), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350877 */ /*GILLT_nxv2s16*//*Label 32786*/ GIMT_Encode4(2351530),
     /* 2350881 */ /*GILLT_nxv2s32*//*Label 32787*/ GIMT_Encode4(2351645),
     /* 2350885 */ /*GILLT_nxv2s64*//*Label 32788*/ GIMT_Encode4(2351760), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350897 */ /*GILLT_nxv4s16*//*Label 32789*/ GIMT_Encode4(2351875),
     /* 2350901 */ /*GILLT_nxv4s32*//*Label 32790*/ GIMT_Encode4(2351990),
     /* 2350905 */ /*GILLT_nxv4s64*//*Label 32791*/ GIMT_Encode4(2352105), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350917 */ /*GILLT_nxv8s16*//*Label 32792*/ GIMT_Encode4(2352220),
     /* 2350921 */ /*GILLT_nxv8s32*//*Label 32793*/ GIMT_Encode4(2352335),
     /* 2350925 */ /*GILLT_nxv8s64*//*Label 32794*/ GIMT_Encode4(2352450), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350937 */ /*GILLT_nxv16s16*//*Label 32795*/ GIMT_Encode4(2352565),
     /* 2350941 */ /*GILLT_nxv16s32*//*Label 32796*/ GIMT_Encode4(2352680), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350953 */ /*GILLT_nxv32s16*//*Label 32797*/ GIMT_Encode4(2352795),
     /* 2350957 */ // Label 32780: @2350957
     /* 2350957 */ GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2351023),
     /* 2350962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2350965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350968 */   GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2350995), // Rule ID 2046 //
     /* 2350973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2350976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350988 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2350988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2350993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350994 */     // GIR_Coverage, 2046,
     /* 2350994 */     GIR_Done,
     /* 2350995 */   // Label 32800: @2350995
     /* 2350995 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2351022), // Rule ID 2047 //
     /* 2351000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2351003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351015 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2351015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2351020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351021 */     // GIR_Coverage, 2047,
     /* 2351021 */     GIR_Done,
     /* 2351022 */   // Label 32801: @2351022
     /* 2351022 */   GIM_Reject,
     /* 2351023 */ // Label 32799: @2351023
     /* 2351023 */ GIM_Reject,
     /* 2351024 */ // Label 32781: @2351024
     /* 2351024 */ GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2351090),
     /* 2351029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2351032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2351035 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2351062), // Rule ID 1333 //
     /* 2351040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2351043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351055 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2351055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2351060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351061 */     // GIR_Coverage, 1333,
     /* 2351061 */     GIR_Done,
     /* 2351062 */   // Label 32803: @2351062
     /* 2351062 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2351089), // Rule ID 1334 //
     /* 2351067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2351070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351082 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2351082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2351087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351088 */     // GIR_Coverage, 1334,
     /* 2351088 */     GIR_Done,
     /* 2351089 */   // Label 32804: @2351089
     /* 2351089 */   GIM_Reject,
     /* 2351090 */ // Label 32802: @2351090
     /* 2351090 */ GIM_Reject,
     /* 2351091 */ // Label 32782: @2351091
     /* 2351091 */ GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2351184),
     /* 2351096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2351099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351102 */   GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2351129), // Rule ID 1705 //
     /* 2351107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2351110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351122 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2351122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2351127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351128 */     // GIR_Coverage, 1705,
     /* 2351128 */     GIR_Done,
     /* 2351129 */   // Label 32806: @2351129
     /* 2351129 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2351156), // Rule ID 1706 //
     /* 2351134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2351137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351149 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2351149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2351154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351155 */     // GIR_Coverage, 1706,
     /* 2351155 */     GIR_Done,
     /* 2351156 */   // Label 32807: @2351156
     /* 2351156 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2351183), // Rule ID 1707 //
     /* 2351161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2351164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351176 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2351176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2351181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351182 */     // GIR_Coverage, 1707,
     /* 2351182 */     GIR_Done,
     /* 2351183 */   // Label 32808: @2351183
     /* 2351183 */   GIM_Reject,
     /* 2351184 */ // Label 32805: @2351184
     /* 2351184 */ GIM_Reject,
     /* 2351185 */ // Label 32783: @2351185
     /* 2351185 */ GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2351299),
     /* 2351190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2351193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2351196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351208 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2351253), // Rule ID 56610 //
     /* 2351213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351216 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2351219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2351233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351252 */     // GIR_Coverage, 56610,
     /* 2351252 */     GIR_EraseRootFromParent_Done,
     /* 2351253 */   // Label 32810: @2351253
     /* 2351253 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2351298), // Rule ID 56611 //
     /* 2351258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351261 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2351264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2351278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351297 */     // GIR_Coverage, 56611,
     /* 2351297 */     GIR_EraseRootFromParent_Done,
     /* 2351298 */   // Label 32811: @2351298
     /* 2351298 */   GIM_Reject,
     /* 2351299 */ // Label 32809: @2351299
     /* 2351299 */ GIM_Reject,
     /* 2351300 */ // Label 32784: @2351300
     /* 2351300 */ GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2351414),
     /* 2351305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2351308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2351311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351323 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2351368), // Rule ID 56622 //
     /* 2351328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351331 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2351334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2351348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351367 */     // GIR_Coverage, 56622,
     /* 2351367 */     GIR_EraseRootFromParent_Done,
     /* 2351368 */   // Label 32813: @2351368
     /* 2351368 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2351413), // Rule ID 56623 //
     /* 2351373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351376 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2351379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2351393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351412 */     // GIR_Coverage, 56623,
     /* 2351412 */     GIR_EraseRootFromParent_Done,
     /* 2351413 */   // Label 32814: @2351413
     /* 2351413 */   GIM_Reject,
     /* 2351414 */ // Label 32812: @2351414
     /* 2351414 */ GIM_Reject,
     /* 2351415 */ // Label 32785: @2351415
     /* 2351415 */ GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2351529),
     /* 2351420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2351423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2351426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351438 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2351483), // Rule ID 56640 //
     /* 2351443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351446 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2351449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2351463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351482 */     // GIR_Coverage, 56640,
     /* 2351482 */     GIR_EraseRootFromParent_Done,
     /* 2351483 */   // Label 32816: @2351483
     /* 2351483 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2351528), // Rule ID 56641 //
     /* 2351488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351491 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2351494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2351508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351527 */     // GIR_Coverage, 56641,
     /* 2351527 */     GIR_EraseRootFromParent_Done,
     /* 2351528 */   // Label 32817: @2351528
     /* 2351528 */   GIM_Reject,
     /* 2351529 */ // Label 32815: @2351529
     /* 2351529 */ GIM_Reject,
     /* 2351530 */ // Label 32786: @2351530
     /* 2351530 */ GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2351644),
     /* 2351535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2351538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2351541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351553 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2351598), // Rule ID 56616 //
     /* 2351558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351561 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2351578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351597 */     // GIR_Coverage, 56616,
     /* 2351597 */     GIR_EraseRootFromParent_Done,
     /* 2351598 */   // Label 32819: @2351598
     /* 2351598 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2351643), // Rule ID 56617 //
     /* 2351603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351606 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2351623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351642 */     // GIR_Coverage, 56617,
     /* 2351642 */     GIR_EraseRootFromParent_Done,
     /* 2351643 */   // Label 32820: @2351643
     /* 2351643 */   GIM_Reject,
     /* 2351644 */ // Label 32818: @2351644
     /* 2351644 */ GIM_Reject,
     /* 2351645 */ // Label 32787: @2351645
     /* 2351645 */ GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2351759),
     /* 2351650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2351653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2351656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351668 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2351713), // Rule ID 56634 //
     /* 2351673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351676 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2351693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351712 */     // GIR_Coverage, 56634,
     /* 2351712 */     GIR_EraseRootFromParent_Done,
     /* 2351713 */   // Label 32822: @2351713
     /* 2351713 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2351758), // Rule ID 56635 //
     /* 2351718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351721 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2351738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351757 */     // GIR_Coverage, 56635,
     /* 2351757 */     GIR_EraseRootFromParent_Done,
     /* 2351758 */   // Label 32823: @2351758
     /* 2351758 */   GIM_Reject,
     /* 2351759 */ // Label 32821: @2351759
     /* 2351759 */ GIM_Reject,
     /* 2351760 */ // Label 32788: @2351760
     /* 2351760 */ GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2351874),
     /* 2351765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2351768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2351771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351783 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2351828), // Rule ID 56682 //
     /* 2351788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351791 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2351808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351827 */     // GIR_Coverage, 56682,
     /* 2351827 */     GIR_EraseRootFromParent_Done,
     /* 2351828 */   // Label 32825: @2351828
     /* 2351828 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2351873), // Rule ID 56683 //
     /* 2351833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351836 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2351853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351872 */     // GIR_Coverage, 56683,
     /* 2351872 */     GIR_EraseRootFromParent_Done,
     /* 2351873 */   // Label 32826: @2351873
     /* 2351873 */   GIM_Reject,
     /* 2351874 */ // Label 32824: @2351874
     /* 2351874 */ GIM_Reject,
     /* 2351875 */ // Label 32789: @2351875
     /* 2351875 */ GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2351989),
     /* 2351880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2351883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2351886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351898 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2351943), // Rule ID 56628 //
     /* 2351903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351906 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2351923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351942 */     // GIR_Coverage, 56628,
     /* 2351942 */     GIR_EraseRootFromParent_Done,
     /* 2351943 */   // Label 32828: @2351943
     /* 2351943 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2351988), // Rule ID 56629 //
     /* 2351948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351951 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2351968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351987 */     // GIR_Coverage, 56629,
     /* 2351987 */     GIR_EraseRootFromParent_Done,
     /* 2351988 */   // Label 32829: @2351988
     /* 2351988 */   GIM_Reject,
     /* 2351989 */ // Label 32827: @2351989
     /* 2351989 */ GIM_Reject,
     /* 2351990 */ // Label 32790: @2351990
     /* 2351990 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2352104),
     /* 2351995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2351998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2352001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352013 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2352058), // Rule ID 56664 //
     /* 2352018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2352021 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2352024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2352038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352057 */     // GIR_Coverage, 56664,
     /* 2352057 */     GIR_EraseRootFromParent_Done,
     /* 2352058 */   // Label 32831: @2352058
     /* 2352058 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2352103), // Rule ID 56665 //
     /* 2352063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2352066 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2352069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2352083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352102 */     // GIR_Coverage, 56665,
     /* 2352102 */     GIR_EraseRootFromParent_Done,
     /* 2352103 */   // Label 32832: @2352103
     /* 2352103 */   GIM_Reject,
     /* 2352104 */ // Label 32830: @2352104
     /* 2352104 */ GIM_Reject,
     /* 2352105 */ // Label 32791: @2352105
     /* 2352105 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2352219),
     /* 2352110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2352113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2352116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352128 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2352173), // Rule ID 56688 //
     /* 2352133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2352136 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2352139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2352153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352172 */     // GIR_Coverage, 56688,
     /* 2352172 */     GIR_EraseRootFromParent_Done,
     /* 2352173 */   // Label 32834: @2352173
     /* 2352173 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2352218), // Rule ID 56689 //
     /* 2352178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2352181 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2352184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2352198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352217 */     // GIR_Coverage, 56689,
     /* 2352217 */     GIR_EraseRootFromParent_Done,
     /* 2352218 */   // Label 32835: @2352218
     /* 2352218 */   GIM_Reject,
     /* 2352219 */ // Label 32833: @2352219
     /* 2352219 */ GIM_Reject,
     /* 2352220 */ // Label 32792: @2352220
     /* 2352220 */ GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2352334),
     /* 2352225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2352228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352243 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2352288), // Rule ID 56646 //
     /* 2352248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352251 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2352254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2352268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352287 */     // GIR_Coverage, 56646,
     /* 2352287 */     GIR_EraseRootFromParent_Done,
     /* 2352288 */   // Label 32837: @2352288
     /* 2352288 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2352333), // Rule ID 56647 //
     /* 2352293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352296 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2352299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2352313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352332 */     // GIR_Coverage, 56647,
     /* 2352332 */     GIR_EraseRootFromParent_Done,
     /* 2352333 */   // Label 32838: @2352333
     /* 2352333 */   GIM_Reject,
     /* 2352334 */ // Label 32836: @2352334
     /* 2352334 */ GIM_Reject,
     /* 2352335 */ // Label 32793: @2352335
     /* 2352335 */ GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2352449),
     /* 2352340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2352343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352358 */   GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2352403), // Rule ID 56670 //
     /* 2352363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2352366 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2352369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2352383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352402 */     // GIR_Coverage, 56670,
     /* 2352402 */     GIR_EraseRootFromParent_Done,
     /* 2352403 */   // Label 32840: @2352403
     /* 2352403 */   GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2352448), // Rule ID 56671 //
     /* 2352408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2352411 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2352414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2352428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352447 */     // GIR_Coverage, 56671,
     /* 2352447 */     GIR_EraseRootFromParent_Done,
     /* 2352448 */   // Label 32841: @2352448
     /* 2352448 */   GIM_Reject,
     /* 2352449 */ // Label 32839: @2352449
     /* 2352449 */ GIM_Reject,
     /* 2352450 */ // Label 32794: @2352450
     /* 2352450 */ GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2352564),
     /* 2352455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2352458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352473 */   GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2352518), // Rule ID 56694 //
     /* 2352478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2352481 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2352498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352517 */     // GIR_Coverage, 56694,
     /* 2352517 */     GIR_EraseRootFromParent_Done,
     /* 2352518 */   // Label 32843: @2352518
     /* 2352518 */   GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2352563), // Rule ID 56695 //
     /* 2352523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2352526 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2352543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352562 */     // GIR_Coverage, 56695,
     /* 2352562 */     GIR_EraseRootFromParent_Done,
     /* 2352563 */   // Label 32844: @2352563
     /* 2352563 */   GIM_Reject,
     /* 2352564 */ // Label 32842: @2352564
     /* 2352564 */ GIM_Reject,
     /* 2352565 */ // Label 32795: @2352565
     /* 2352565 */ GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2352679),
     /* 2352570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2352573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2352576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352588 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2352633), // Rule ID 56652 //
     /* 2352593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352596 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2352613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352632 */     // GIR_Coverage, 56652,
     /* 2352632 */     GIR_EraseRootFromParent_Done,
     /* 2352633 */   // Label 32846: @2352633
     /* 2352633 */   GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2352678), // Rule ID 56653 //
     /* 2352638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352641 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2352658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352677 */     // GIR_Coverage, 56653,
     /* 2352677 */     GIR_EraseRootFromParent_Done,
     /* 2352678 */   // Label 32847: @2352678
     /* 2352678 */   GIM_Reject,
     /* 2352679 */ // Label 32845: @2352679
     /* 2352679 */ GIM_Reject,
     /* 2352680 */ // Label 32796: @2352680
     /* 2352680 */ GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2352794),
     /* 2352685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2352688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2352691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352703 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2352748), // Rule ID 56676 //
     /* 2352708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2352711 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2352728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352747 */     // GIR_Coverage, 56676,
     /* 2352747 */     GIR_EraseRootFromParent_Done,
     /* 2352748 */   // Label 32849: @2352748
     /* 2352748 */   GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2352793), // Rule ID 56677 //
     /* 2352753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2352756 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2352773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352792 */     // GIR_Coverage, 56677,
     /* 2352792 */     GIR_EraseRootFromParent_Done,
     /* 2352793 */   // Label 32850: @2352793
     /* 2352793 */   GIM_Reject,
     /* 2352794 */ // Label 32848: @2352794
     /* 2352794 */ GIM_Reject,
     /* 2352795 */ // Label 32797: @2352795
     /* 2352795 */ GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2352909),
     /* 2352800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2352803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2352806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352818 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2352863), // Rule ID 56658 //
     /* 2352823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352826 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2352843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352862 */     // GIR_Coverage, 56658,
     /* 2352862 */     GIR_EraseRootFromParent_Done,
     /* 2352863 */   // Label 32852: @2352863
     /* 2352863 */   GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2352908), // Rule ID 56659 //
     /* 2352868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352871 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2352888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352907 */     // GIR_Coverage, 56659,
     /* 2352907 */     GIR_EraseRootFromParent_Done,
     /* 2352908 */   // Label 32853: @2352908
     /* 2352908 */   GIM_Reject,
     /* 2352909 */ // Label 32851: @2352909
     /* 2352909 */ GIM_Reject,
     /* 2352910 */ // Label 32798: @2352910
     /* 2352910 */ GIM_Reject,
     /* 2352911 */ // Label 76: @2352911
     /* 2352911 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32857*/ GIMT_Encode4(2353036),
     /* 2352922 */ /*GILLT_s16*//*Label 32854*/ GIMT_Encode4(2352934),
     /* 2352926 */ /*GILLT_s32*//*Label 32855*/ GIMT_Encode4(2352968),
     /* 2352930 */ /*GILLT_s64*//*Label 32856*/ GIMT_Encode4(2353002),
     /* 2352934 */ // Label 32854: @2352934
     /* 2352934 */ GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2352967), // Rule ID 2398 //
     /* 2352939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2352942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2352945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352960 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2352960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2352965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352966 */   // GIR_Coverage, 2398,
     /* 2352966 */   GIR_Done,
     /* 2352967 */ // Label 32858: @2352967
     /* 2352967 */ GIM_Reject,
     /* 2352968 */ // Label 32855: @2352968
     /* 2352968 */ GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2353001), // Rule ID 2316 //
     /* 2352973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2352976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352994 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2352994 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2352999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353000 */   // GIR_Coverage, 2316,
     /* 2353000 */   GIR_Done,
     /* 2353001 */ // Label 32859: @2353001
     /* 2353001 */ GIM_Reject,
     /* 2353002 */ // Label 32856: @2353002
     /* 2353002 */ GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2353035), // Rule ID 2356 //
     /* 2353007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2353010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353028 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2353033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353034 */   // GIR_Coverage, 2356,
     /* 2353034 */   GIR_Done,
     /* 2353035 */ // Label 32860: @2353035
     /* 2353035 */ GIM_Reject,
     /* 2353036 */ // Label 32857: @2353036
     /* 2353036 */ GIM_Reject,
     /* 2353037 */ // Label 77: @2353037
     /* 2353037 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32864*/ GIMT_Encode4(2353162),
     /* 2353048 */ /*GILLT_s16*//*Label 32861*/ GIMT_Encode4(2353060),
     /* 2353052 */ /*GILLT_s32*//*Label 32862*/ GIMT_Encode4(2353094),
     /* 2353056 */ /*GILLT_s64*//*Label 32863*/ GIMT_Encode4(2353128),
     /* 2353060 */ // Label 32861: @2353060
     /* 2353060 */ GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2353093), // Rule ID 2399 //
     /* 2353065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2353068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353086 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2353086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2353091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353092 */   // GIR_Coverage, 2399,
     /* 2353092 */   GIR_Done,
     /* 2353093 */ // Label 32865: @2353093
     /* 2353093 */ GIM_Reject,
     /* 2353094 */ // Label 32862: @2353094
     /* 2353094 */ GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2353127), // Rule ID 2317 //
     /* 2353099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2353102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353120 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2353120 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2353125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353126 */   // GIR_Coverage, 2317,
     /* 2353126 */   GIR_Done,
     /* 2353127 */ // Label 32866: @2353127
     /* 2353127 */ GIM_Reject,
     /* 2353128 */ // Label 32863: @2353128
     /* 2353128 */ GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2353161), // Rule ID 2357 //
     /* 2353133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2353136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353154 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353154 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2353159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353160 */   // GIR_Coverage, 2357,
     /* 2353160 */   GIR_Done,
     /* 2353161 */ // Label 32867: @2353161
     /* 2353161 */ GIM_Reject,
     /* 2353162 */ // Label 32864: @2353162
     /* 2353162 */ GIM_Reject,
     /* 2353163 */ // Label 78: @2353163
     /* 2353163 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32886*/ GIMT_Encode4(2355247),
     /* 2353174 */ /*GILLT_s16*//*Label 32868*/ GIMT_Encode4(2353294),
     /* 2353178 */ /*GILLT_s32*//*Label 32869*/ GIMT_Encode4(2353361),
     /* 2353182 */ /*GILLT_s64*//*Label 32870*/ GIMT_Encode4(2353428), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353194 */ /*GILLT_nxv1s16*//*Label 32871*/ GIMT_Encode4(2353522),
     /* 2353198 */ /*GILLT_nxv1s32*//*Label 32872*/ GIMT_Encode4(2353637),
     /* 2353202 */ /*GILLT_nxv1s64*//*Label 32873*/ GIMT_Encode4(2353752), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353214 */ /*GILLT_nxv2s16*//*Label 32874*/ GIMT_Encode4(2353867),
     /* 2353218 */ /*GILLT_nxv2s32*//*Label 32875*/ GIMT_Encode4(2353982),
     /* 2353222 */ /*GILLT_nxv2s64*//*Label 32876*/ GIMT_Encode4(2354097), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353234 */ /*GILLT_nxv4s16*//*Label 32877*/ GIMT_Encode4(2354212),
     /* 2353238 */ /*GILLT_nxv4s32*//*Label 32878*/ GIMT_Encode4(2354327),
     /* 2353242 */ /*GILLT_nxv4s64*//*Label 32879*/ GIMT_Encode4(2354442), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353254 */ /*GILLT_nxv8s16*//*Label 32880*/ GIMT_Encode4(2354557),
     /* 2353258 */ /*GILLT_nxv8s32*//*Label 32881*/ GIMT_Encode4(2354672),
     /* 2353262 */ /*GILLT_nxv8s64*//*Label 32882*/ GIMT_Encode4(2354787), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353274 */ /*GILLT_nxv16s16*//*Label 32883*/ GIMT_Encode4(2354902),
     /* 2353278 */ /*GILLT_nxv16s32*//*Label 32884*/ GIMT_Encode4(2355017), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2353290 */ /*GILLT_nxv32s16*//*Label 32885*/ GIMT_Encode4(2355132),
     /* 2353294 */ // Label 32868: @2353294
     /* 2353294 */ GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2353360),
     /* 2353299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353305 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2353332), // Rule ID 2048 //
     /* 2353310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2353313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353325 */     // (fminimumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2353325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2353330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353331 */     // GIR_Coverage, 2048,
     /* 2353331 */     GIR_Done,
     /* 2353332 */   // Label 32888: @2353332
     /* 2353332 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2353359), // Rule ID 2049 //
     /* 2353337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2353340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353352 */     // (fminimumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2353352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2353357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353358 */     // GIR_Coverage, 2049,
     /* 2353358 */     GIR_Done,
     /* 2353359 */   // Label 32889: @2353359
     /* 2353359 */   GIM_Reject,
     /* 2353360 */ // Label 32887: @2353360
     /* 2353360 */ GIM_Reject,
     /* 2353361 */ // Label 32869: @2353361
     /* 2353361 */ GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2353427),
     /* 2353366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353372 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2353399), // Rule ID 1335 //
     /* 2353377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2353380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353392 */     // (fminimumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2353392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2353397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353398 */     // GIR_Coverage, 1335,
     /* 2353398 */     GIR_Done,
     /* 2353399 */   // Label 32891: @2353399
     /* 2353399 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2353426), // Rule ID 1336 //
     /* 2353404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2353407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353419 */     // (fminimumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2353419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2353424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353425 */     // GIR_Coverage, 1336,
     /* 2353425 */     GIR_Done,
     /* 2353426 */   // Label 32892: @2353426
     /* 2353426 */   GIM_Reject,
     /* 2353427 */ // Label 32890: @2353427
     /* 2353427 */ GIM_Reject,
     /* 2353428 */ // Label 32870: @2353428
     /* 2353428 */ GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2353521),
     /* 2353433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353439 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2353466), // Rule ID 1708 //
     /* 2353444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2353447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353459 */     // (fminimumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2353464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353465 */     // GIR_Coverage, 1708,
     /* 2353465 */     GIR_Done,
     /* 2353466 */   // Label 32894: @2353466
     /* 2353466 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2353493), // Rule ID 1709 //
     /* 2353471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2353474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353486 */     // (fminimumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2353491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353492 */     // GIR_Coverage, 1709,
     /* 2353492 */     GIR_Done,
     /* 2353493 */   // Label 32895: @2353493
     /* 2353493 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2353520), // Rule ID 1710 //
     /* 2353498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2353501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353513 */     // (fminimumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2353518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353519 */     // GIR_Coverage, 1710,
     /* 2353519 */     GIR_Done,
     /* 2353520 */   // Label 32896: @2353520
     /* 2353520 */   GIM_Reject,
     /* 2353521 */ // Label 32893: @2353521
     /* 2353521 */ GIM_Reject,
     /* 2353522 */ // Label 32871: @2353522
     /* 2353522 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2353636),
     /* 2353527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2353530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2353533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353545 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2353590), // Rule ID 56700 //
     /* 2353550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2353553 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2353556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2353570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353589 */     // GIR_Coverage, 56700,
     /* 2353589 */     GIR_EraseRootFromParent_Done,
     /* 2353590 */   // Label 32898: @2353590
     /* 2353590 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2353635), // Rule ID 56701 //
     /* 2353595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2353598 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2353601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2353615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353634 */     // GIR_Coverage, 56701,
     /* 2353634 */     GIR_EraseRootFromParent_Done,
     /* 2353635 */   // Label 32899: @2353635
     /* 2353635 */   GIM_Reject,
     /* 2353636 */ // Label 32897: @2353636
     /* 2353636 */ GIM_Reject,
     /* 2353637 */ // Label 32872: @2353637
     /* 2353637 */ GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2353751),
     /* 2353642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2353645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2353648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353660 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2353705), // Rule ID 56712 //
     /* 2353665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2353668 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2353685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353704 */     // GIR_Coverage, 56712,
     /* 2353704 */     GIR_EraseRootFromParent_Done,
     /* 2353705 */   // Label 32901: @2353705
     /* 2353705 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2353750), // Rule ID 56713 //
     /* 2353710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2353713 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2353730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353749 */     // GIR_Coverage, 56713,
     /* 2353749 */     GIR_EraseRootFromParent_Done,
     /* 2353750 */   // Label 32902: @2353750
     /* 2353750 */   GIM_Reject,
     /* 2353751 */ // Label 32900: @2353751
     /* 2353751 */ GIM_Reject,
     /* 2353752 */ // Label 32873: @2353752
     /* 2353752 */ GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2353866),
     /* 2353757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2353763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353775 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2353820), // Rule ID 56730 //
     /* 2353780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2353783 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2353800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353819 */     // GIR_Coverage, 56730,
     /* 2353819 */     GIR_EraseRootFromParent_Done,
     /* 2353820 */   // Label 32904: @2353820
     /* 2353820 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2353865), // Rule ID 56731 //
     /* 2353825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2353828 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2353845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353864 */     // GIR_Coverage, 56731,
     /* 2353864 */     GIR_EraseRootFromParent_Done,
     /* 2353865 */   // Label 32905: @2353865
     /* 2353865 */   GIM_Reject,
     /* 2353866 */ // Label 32903: @2353866
     /* 2353866 */ GIM_Reject,
     /* 2353867 */ // Label 32874: @2353867
     /* 2353867 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2353981),
     /* 2353872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2353878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353890 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2353935), // Rule ID 56706 //
     /* 2353895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2353898 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2353915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353934 */     // GIR_Coverage, 56706,
     /* 2353934 */     GIR_EraseRootFromParent_Done,
     /* 2353935 */   // Label 32907: @2353935
     /* 2353935 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2353980), // Rule ID 56707 //
     /* 2353940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2353943 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2353960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353979 */     // GIR_Coverage, 56707,
     /* 2353979 */     GIR_EraseRootFromParent_Done,
     /* 2353980 */   // Label 32908: @2353980
     /* 2353980 */   GIM_Reject,
     /* 2353981 */ // Label 32906: @2353981
     /* 2353981 */ GIM_Reject,
     /* 2353982 */ // Label 32875: @2353982
     /* 2353982 */ GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2354096),
     /* 2353987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354005 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2354050), // Rule ID 56724 //
     /* 2354010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354013 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2354016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2354030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354049 */     // GIR_Coverage, 56724,
     /* 2354049 */     GIR_EraseRootFromParent_Done,
     /* 2354050 */   // Label 32910: @2354050
     /* 2354050 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2354095), // Rule ID 56725 //
     /* 2354055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354058 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2354061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2354075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354094 */     // GIR_Coverage, 56725,
     /* 2354094 */     GIR_EraseRootFromParent_Done,
     /* 2354095 */   // Label 32911: @2354095
     /* 2354095 */   GIM_Reject,
     /* 2354096 */ // Label 32909: @2354096
     /* 2354096 */ GIM_Reject,
     /* 2354097 */ // Label 32876: @2354097
     /* 2354097 */ GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2354211),
     /* 2354102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2354105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2354108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354120 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2354165), // Rule ID 56772 //
     /* 2354125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354128 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2354131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2354145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354164 */     // GIR_Coverage, 56772,
     /* 2354164 */     GIR_EraseRootFromParent_Done,
     /* 2354165 */   // Label 32913: @2354165
     /* 2354165 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2354210), // Rule ID 56773 //
     /* 2354170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354173 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2354176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2354190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354209 */     // GIR_Coverage, 56773,
     /* 2354209 */     GIR_EraseRootFromParent_Done,
     /* 2354210 */   // Label 32914: @2354210
     /* 2354210 */   GIM_Reject,
     /* 2354211 */ // Label 32912: @2354211
     /* 2354211 */ GIM_Reject,
     /* 2354212 */ // Label 32877: @2354212
     /* 2354212 */ GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2354326),
     /* 2354217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2354220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2354223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354235 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2354280), // Rule ID 56718 //
     /* 2354240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354243 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2354260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354279 */     // GIR_Coverage, 56718,
     /* 2354279 */     GIR_EraseRootFromParent_Done,
     /* 2354280 */   // Label 32916: @2354280
     /* 2354280 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2354325), // Rule ID 56719 //
     /* 2354285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354288 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2354305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354324 */     // GIR_Coverage, 56719,
     /* 2354324 */     GIR_EraseRootFromParent_Done,
     /* 2354325 */   // Label 32917: @2354325
     /* 2354325 */   GIM_Reject,
     /* 2354326 */ // Label 32915: @2354326
     /* 2354326 */ GIM_Reject,
     /* 2354327 */ // Label 32878: @2354327
     /* 2354327 */ GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2354441),
     /* 2354332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2354335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2354338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354350 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2354395), // Rule ID 56754 //
     /* 2354355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354358 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2354375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354394 */     // GIR_Coverage, 56754,
     /* 2354394 */     GIR_EraseRootFromParent_Done,
     /* 2354395 */   // Label 32919: @2354395
     /* 2354395 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2354440), // Rule ID 56755 //
     /* 2354400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354403 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2354420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354439 */     // GIR_Coverage, 56755,
     /* 2354439 */     GIR_EraseRootFromParent_Done,
     /* 2354440 */   // Label 32920: @2354440
     /* 2354440 */   GIM_Reject,
     /* 2354441 */ // Label 32918: @2354441
     /* 2354441 */ GIM_Reject,
     /* 2354442 */ // Label 32879: @2354442
     /* 2354442 */ GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2354556),
     /* 2354447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2354450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2354453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354465 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2354510), // Rule ID 56778 //
     /* 2354470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354473 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2354490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354509 */     // GIR_Coverage, 56778,
     /* 2354509 */     GIR_EraseRootFromParent_Done,
     /* 2354510 */   // Label 32922: @2354510
     /* 2354510 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2354555), // Rule ID 56779 //
     /* 2354515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354518 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2354535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354554 */     // GIR_Coverage, 56779,
     /* 2354554 */     GIR_EraseRootFromParent_Done,
     /* 2354555 */   // Label 32923: @2354555
     /* 2354555 */   GIM_Reject,
     /* 2354556 */ // Label 32921: @2354556
     /* 2354556 */ GIM_Reject,
     /* 2354557 */ // Label 32880: @2354557
     /* 2354557 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2354671),
     /* 2354562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354580 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2354625), // Rule ID 56736 //
     /* 2354585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354588 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2354605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354624 */     // GIR_Coverage, 56736,
     /* 2354624 */     GIR_EraseRootFromParent_Done,
     /* 2354625 */   // Label 32925: @2354625
     /* 2354625 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2354670), // Rule ID 56737 //
     /* 2354630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354633 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2354650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354669 */     // GIR_Coverage, 56737,
     /* 2354669 */     GIR_EraseRootFromParent_Done,
     /* 2354670 */   // Label 32926: @2354670
     /* 2354670 */   GIM_Reject,
     /* 2354671 */ // Label 32924: @2354671
     /* 2354671 */ GIM_Reject,
     /* 2354672 */ // Label 32881: @2354672
     /* 2354672 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2354786),
     /* 2354677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2354680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354695 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2354740), // Rule ID 56760 //
     /* 2354700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354703 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2354720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354739 */     // GIR_Coverage, 56760,
     /* 2354739 */     GIR_EraseRootFromParent_Done,
     /* 2354740 */   // Label 32928: @2354740
     /* 2354740 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2354785), // Rule ID 56761 //
     /* 2354745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354748 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2354765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354784 */     // GIR_Coverage, 56761,
     /* 2354784 */     GIR_EraseRootFromParent_Done,
     /* 2354785 */   // Label 32929: @2354785
     /* 2354785 */   GIM_Reject,
     /* 2354786 */ // Label 32927: @2354786
     /* 2354786 */ GIM_Reject,
     /* 2354787 */ // Label 32882: @2354787
     /* 2354787 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2354901),
     /* 2354792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354810 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2354855), // Rule ID 56784 //
     /* 2354815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354818 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2354835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354854 */     // GIR_Coverage, 56784,
     /* 2354854 */     GIR_EraseRootFromParent_Done,
     /* 2354855 */   // Label 32931: @2354855
     /* 2354855 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2354900), // Rule ID 56785 //
     /* 2354860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354863 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2354880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354899 */     // GIR_Coverage, 56785,
     /* 2354899 */     GIR_EraseRootFromParent_Done,
     /* 2354900 */   // Label 32932: @2354900
     /* 2354900 */   GIM_Reject,
     /* 2354901 */ // Label 32930: @2354901
     /* 2354901 */ GIM_Reject,
     /* 2354902 */ // Label 32883: @2354902
     /* 2354902 */ GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2355016),
     /* 2354907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354925 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2354970), // Rule ID 56742 //
     /* 2354930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354933 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2354950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354969 */     // GIR_Coverage, 56742,
     /* 2354969 */     GIR_EraseRootFromParent_Done,
     /* 2354970 */   // Label 32934: @2354970
     /* 2354970 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2355015), // Rule ID 56743 //
     /* 2354975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354978 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2354995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355014 */     // GIR_Coverage, 56743,
     /* 2355014 */     GIR_EraseRootFromParent_Done,
     /* 2355015 */   // Label 32935: @2355015
     /* 2355015 */   GIM_Reject,
     /* 2355016 */ // Label 32933: @2355016
     /* 2355016 */ GIM_Reject,
     /* 2355017 */ // Label 32884: @2355017
     /* 2355017 */ GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2355131),
     /* 2355022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2355025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355040 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2355085), // Rule ID 56766 //
     /* 2355045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355048 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2355051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2355065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355084 */     // GIR_Coverage, 56766,
     /* 2355084 */     GIR_EraseRootFromParent_Done,
     /* 2355085 */   // Label 32937: @2355085
     /* 2355085 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2355130), // Rule ID 56767 //
     /* 2355090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355093 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2355096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2355110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355129 */     // GIR_Coverage, 56767,
     /* 2355129 */     GIR_EraseRootFromParent_Done,
     /* 2355130 */   // Label 32938: @2355130
     /* 2355130 */   GIM_Reject,
     /* 2355131 */ // Label 32936: @2355131
     /* 2355131 */ GIM_Reject,
     /* 2355132 */ // Label 32885: @2355132
     /* 2355132 */ GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2355246),
     /* 2355137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2355140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2355143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355155 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2355200), // Rule ID 56748 //
     /* 2355160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355163 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2355180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355199 */     // GIR_Coverage, 56748,
     /* 2355199 */     GIR_EraseRootFromParent_Done,
     /* 2355200 */   // Label 32940: @2355200
     /* 2355200 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2355245), // Rule ID 56749 //
     /* 2355205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355208 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2355225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355244 */     // GIR_Coverage, 56749,
     /* 2355244 */     GIR_EraseRootFromParent_Done,
     /* 2355245 */   // Label 32941: @2355245
     /* 2355245 */   GIM_Reject,
     /* 2355246 */ // Label 32939: @2355246
     /* 2355246 */ GIM_Reject,
     /* 2355247 */ // Label 32886: @2355247
     /* 2355247 */ GIM_Reject,
     /* 2355248 */ // Label 79: @2355248
     /* 2355248 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32960*/ GIMT_Encode4(2357332),
     /* 2355259 */ /*GILLT_s16*//*Label 32942*/ GIMT_Encode4(2355379),
     /* 2355263 */ /*GILLT_s32*//*Label 32943*/ GIMT_Encode4(2355446),
     /* 2355267 */ /*GILLT_s64*//*Label 32944*/ GIMT_Encode4(2355513), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355279 */ /*GILLT_nxv1s16*//*Label 32945*/ GIMT_Encode4(2355607),
     /* 2355283 */ /*GILLT_nxv1s32*//*Label 32946*/ GIMT_Encode4(2355722),
     /* 2355287 */ /*GILLT_nxv1s64*//*Label 32947*/ GIMT_Encode4(2355837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355299 */ /*GILLT_nxv2s16*//*Label 32948*/ GIMT_Encode4(2355952),
     /* 2355303 */ /*GILLT_nxv2s32*//*Label 32949*/ GIMT_Encode4(2356067),
     /* 2355307 */ /*GILLT_nxv2s64*//*Label 32950*/ GIMT_Encode4(2356182), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355319 */ /*GILLT_nxv4s16*//*Label 32951*/ GIMT_Encode4(2356297),
     /* 2355323 */ /*GILLT_nxv4s32*//*Label 32952*/ GIMT_Encode4(2356412),
     /* 2355327 */ /*GILLT_nxv4s64*//*Label 32953*/ GIMT_Encode4(2356527), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355339 */ /*GILLT_nxv8s16*//*Label 32954*/ GIMT_Encode4(2356642),
     /* 2355343 */ /*GILLT_nxv8s32*//*Label 32955*/ GIMT_Encode4(2356757),
     /* 2355347 */ /*GILLT_nxv8s64*//*Label 32956*/ GIMT_Encode4(2356872), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355359 */ /*GILLT_nxv16s16*//*Label 32957*/ GIMT_Encode4(2356987),
     /* 2355363 */ /*GILLT_nxv16s32*//*Label 32958*/ GIMT_Encode4(2357102), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2355375 */ /*GILLT_nxv32s16*//*Label 32959*/ GIMT_Encode4(2357217),
     /* 2355379 */ // Label 32942: @2355379
     /* 2355379 */ GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2355445),
     /* 2355384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2355390 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2355417), // Rule ID 2050 //
     /* 2355395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2355398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355410 */     // (fmaximumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2355410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2355415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355416 */     // GIR_Coverage, 2050,
     /* 2355416 */     GIR_Done,
     /* 2355417 */   // Label 32962: @2355417
     /* 2355417 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2355444), // Rule ID 2051 //
     /* 2355422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2355425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355437 */     // (fmaximumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2355437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2355442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355443 */     // GIR_Coverage, 2051,
     /* 2355443 */     GIR_Done,
     /* 2355444 */   // Label 32963: @2355444
     /* 2355444 */   GIM_Reject,
     /* 2355445 */ // Label 32961: @2355445
     /* 2355445 */ GIM_Reject,
     /* 2355446 */ // Label 32943: @2355446
     /* 2355446 */ GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2355512),
     /* 2355451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2355457 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2355484), // Rule ID 1337 //
     /* 2355462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2355465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355477 */     // (fmaximumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2355477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2355482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355483 */     // GIR_Coverage, 1337,
     /* 2355483 */     GIR_Done,
     /* 2355484 */   // Label 32965: @2355484
     /* 2355484 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2355511), // Rule ID 1338 //
     /* 2355489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2355492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355504 */     // (fmaximumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2355504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2355509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355510 */     // GIR_Coverage, 1338,
     /* 2355510 */     GIR_Done,
     /* 2355511 */   // Label 32966: @2355511
     /* 2355511 */   GIM_Reject,
     /* 2355512 */ // Label 32964: @2355512
     /* 2355512 */ GIM_Reject,
     /* 2355513 */ // Label 32944: @2355513
     /* 2355513 */ GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2355606),
     /* 2355518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2355524 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2355551), // Rule ID 1711 //
     /* 2355529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2355532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355544 */     // (fmaximumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2355544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2355549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355550 */     // GIR_Coverage, 1711,
     /* 2355550 */     GIR_Done,
     /* 2355551 */   // Label 32968: @2355551
     /* 2355551 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2355578), // Rule ID 1712 //
     /* 2355556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2355559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355571 */     // (fmaximumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2355571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2355576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355577 */     // GIR_Coverage, 1712,
     /* 2355577 */     GIR_Done,
     /* 2355578 */   // Label 32969: @2355578
     /* 2355578 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2355605), // Rule ID 1713 //
     /* 2355583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355598 */     // (fmaximumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2355598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2355603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355604 */     // GIR_Coverage, 1713,
     /* 2355604 */     GIR_Done,
     /* 2355605 */   // Label 32970: @2355605
     /* 2355605 */   GIM_Reject,
     /* 2355606 */ // Label 32967: @2355606
     /* 2355606 */ GIM_Reject,
     /* 2355607 */ // Label 32945: @2355607
     /* 2355607 */ GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2355721),
     /* 2355612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2355615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2355618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355630 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2355675), // Rule ID 56790 //
     /* 2355635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355638 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2355655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355674 */     // GIR_Coverage, 56790,
     /* 2355674 */     GIR_EraseRootFromParent_Done,
     /* 2355675 */   // Label 32972: @2355675
     /* 2355675 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2355720), // Rule ID 56791 //
     /* 2355680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355683 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2355700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355719 */     // GIR_Coverage, 56791,
     /* 2355719 */     GIR_EraseRootFromParent_Done,
     /* 2355720 */   // Label 32973: @2355720
     /* 2355720 */   GIM_Reject,
     /* 2355721 */ // Label 32971: @2355721
     /* 2355721 */ GIM_Reject,
     /* 2355722 */ // Label 32946: @2355722
     /* 2355722 */ GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2355836),
     /* 2355727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2355730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2355733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355745 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2355790), // Rule ID 56802 //
     /* 2355750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355753 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2355770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355789 */     // GIR_Coverage, 56802,
     /* 2355789 */     GIR_EraseRootFromParent_Done,
     /* 2355790 */   // Label 32975: @2355790
     /* 2355790 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2355835), // Rule ID 56803 //
     /* 2355795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355798 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2355815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355834 */     // GIR_Coverage, 56803,
     /* 2355834 */     GIR_EraseRootFromParent_Done,
     /* 2355835 */   // Label 32976: @2355835
     /* 2355835 */   GIM_Reject,
     /* 2355836 */ // Label 32974: @2355836
     /* 2355836 */ GIM_Reject,
     /* 2355837 */ // Label 32947: @2355837
     /* 2355837 */ GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2355951),
     /* 2355842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2355845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2355848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355860 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2355905), // Rule ID 56820 //
     /* 2355865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2355868 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2355885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355904 */     // GIR_Coverage, 56820,
     /* 2355904 */     GIR_EraseRootFromParent_Done,
     /* 2355905 */   // Label 32978: @2355905
     /* 2355905 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2355950), // Rule ID 56821 //
     /* 2355910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2355913 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2355930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355949 */     // GIR_Coverage, 56821,
     /* 2355949 */     GIR_EraseRootFromParent_Done,
     /* 2355950 */   // Label 32979: @2355950
     /* 2355950 */   GIM_Reject,
     /* 2355951 */ // Label 32977: @2355951
     /* 2355951 */ GIM_Reject,
     /* 2355952 */ // Label 32948: @2355952
     /* 2355952 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2356066),
     /* 2355957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2355960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2355963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355975 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2356020), // Rule ID 56796 //
     /* 2355980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355983 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2355986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2356000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356019 */     // GIR_Coverage, 56796,
     /* 2356019 */     GIR_EraseRootFromParent_Done,
     /* 2356020 */   // Label 32981: @2356020
     /* 2356020 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2356065), // Rule ID 56797 //
     /* 2356025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356028 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2356045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356064 */     // GIR_Coverage, 56797,
     /* 2356064 */     GIR_EraseRootFromParent_Done,
     /* 2356065 */   // Label 32982: @2356065
     /* 2356065 */   GIM_Reject,
     /* 2356066 */ // Label 32980: @2356066
     /* 2356066 */ GIM_Reject,
     /* 2356067 */ // Label 32949: @2356067
     /* 2356067 */ GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2356181),
     /* 2356072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2356075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2356078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356090 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2356135), // Rule ID 56814 //
     /* 2356095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356098 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2356115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356134 */     // GIR_Coverage, 56814,
     /* 2356134 */     GIR_EraseRootFromParent_Done,
     /* 2356135 */   // Label 32984: @2356135
     /* 2356135 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2356180), // Rule ID 56815 //
     /* 2356140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356143 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2356160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356179 */     // GIR_Coverage, 56815,
     /* 2356179 */     GIR_EraseRootFromParent_Done,
     /* 2356180 */   // Label 32985: @2356180
     /* 2356180 */   GIM_Reject,
     /* 2356181 */ // Label 32983: @2356181
     /* 2356181 */ GIM_Reject,
     /* 2356182 */ // Label 32950: @2356182
     /* 2356182 */ GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2356296),
     /* 2356187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2356190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2356193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356205 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2356250), // Rule ID 56862 //
     /* 2356210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356213 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2356230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356249 */     // GIR_Coverage, 56862,
     /* 2356249 */     GIR_EraseRootFromParent_Done,
     /* 2356250 */   // Label 32987: @2356250
     /* 2356250 */   GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2356295), // Rule ID 56863 //
     /* 2356255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356258 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2356275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356294 */     // GIR_Coverage, 56863,
     /* 2356294 */     GIR_EraseRootFromParent_Done,
     /* 2356295 */   // Label 32988: @2356295
     /* 2356295 */   GIM_Reject,
     /* 2356296 */ // Label 32986: @2356296
     /* 2356296 */ GIM_Reject,
     /* 2356297 */ // Label 32951: @2356297
     /* 2356297 */ GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2356411),
     /* 2356302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2356305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2356308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356320 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2356365), // Rule ID 56808 //
     /* 2356325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356328 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2356331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2356345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356364 */     // GIR_Coverage, 56808,
     /* 2356364 */     GIR_EraseRootFromParent_Done,
     /* 2356365 */   // Label 32990: @2356365
     /* 2356365 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2356410), // Rule ID 56809 //
     /* 2356370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356373 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2356376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2356390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356409 */     // GIR_Coverage, 56809,
     /* 2356409 */     GIR_EraseRootFromParent_Done,
     /* 2356410 */   // Label 32991: @2356410
     /* 2356410 */   GIM_Reject,
     /* 2356411 */ // Label 32989: @2356411
     /* 2356411 */ GIM_Reject,
     /* 2356412 */ // Label 32952: @2356412
     /* 2356412 */ GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2356526),
     /* 2356417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2356420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2356423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356435 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2356480), // Rule ID 56844 //
     /* 2356440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356443 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2356460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356479 */     // GIR_Coverage, 56844,
     /* 2356479 */     GIR_EraseRootFromParent_Done,
     /* 2356480 */   // Label 32993: @2356480
     /* 2356480 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2356525), // Rule ID 56845 //
     /* 2356485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356488 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2356505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356524 */     // GIR_Coverage, 56845,
     /* 2356524 */     GIR_EraseRootFromParent_Done,
     /* 2356525 */   // Label 32994: @2356525
     /* 2356525 */   GIM_Reject,
     /* 2356526 */ // Label 32992: @2356526
     /* 2356526 */ GIM_Reject,
     /* 2356527 */ // Label 32953: @2356527
     /* 2356527 */ GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2356641),
     /* 2356532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2356538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356550 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2356595), // Rule ID 56868 //
     /* 2356555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356558 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2356575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356594 */     // GIR_Coverage, 56868,
     /* 2356594 */     GIR_EraseRootFromParent_Done,
     /* 2356595 */   // Label 32996: @2356595
     /* 2356595 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2356640), // Rule ID 56869 //
     /* 2356600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356603 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2356620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356639 */     // GIR_Coverage, 56869,
     /* 2356639 */     GIR_EraseRootFromParent_Done,
     /* 2356640 */   // Label 32997: @2356640
     /* 2356640 */   GIM_Reject,
     /* 2356641 */ // Label 32995: @2356641
     /* 2356641 */ GIM_Reject,
     /* 2356642 */ // Label 32954: @2356642
     /* 2356642 */ GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2356756),
     /* 2356647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2356653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356665 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2356710), // Rule ID 56826 //
     /* 2356670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356673 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2356690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356709 */     // GIR_Coverage, 56826,
     /* 2356709 */     GIR_EraseRootFromParent_Done,
     /* 2356710 */   // Label 32999: @2356710
     /* 2356710 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2356755), // Rule ID 56827 //
     /* 2356715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356718 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2356735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356754 */     // GIR_Coverage, 56827,
     /* 2356754 */     GIR_EraseRootFromParent_Done,
     /* 2356755 */   // Label 33000: @2356755
     /* 2356755 */   GIM_Reject,
     /* 2356756 */ // Label 32998: @2356756
     /* 2356756 */ GIM_Reject,
     /* 2356757 */ // Label 32955: @2356757
     /* 2356757 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2356871),
     /* 2356762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2356765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2356768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356780 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2356825), // Rule ID 56850 //
     /* 2356785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356788 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2356805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356824 */     // GIR_Coverage, 56850,
     /* 2356824 */     GIR_EraseRootFromParent_Done,
     /* 2356825 */   // Label 33002: @2356825
     /* 2356825 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2356870), // Rule ID 56851 //
     /* 2356830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356833 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2356850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356869 */     // GIR_Coverage, 56851,
     /* 2356869 */     GIR_EraseRootFromParent_Done,
     /* 2356870 */   // Label 33003: @2356870
     /* 2356870 */   GIM_Reject,
     /* 2356871 */ // Label 33001: @2356871
     /* 2356871 */ GIM_Reject,
     /* 2356872 */ // Label 32956: @2356872
     /* 2356872 */ GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2356986),
     /* 2356877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2356883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356895 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2356940), // Rule ID 56874 //
     /* 2356900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356903 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2356920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356939 */     // GIR_Coverage, 56874,
     /* 2356939 */     GIR_EraseRootFromParent_Done,
     /* 2356940 */   // Label 33005: @2356940
     /* 2356940 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2356985), // Rule ID 56875 //
     /* 2356945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356948 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2356965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356984 */     // GIR_Coverage, 56875,
     /* 2356984 */     GIR_EraseRootFromParent_Done,
     /* 2356985 */   // Label 33006: @2356985
     /* 2356985 */   GIM_Reject,
     /* 2356986 */ // Label 33004: @2356986
     /* 2356986 */ GIM_Reject,
     /* 2356987 */ // Label 32957: @2356987
     /* 2356987 */ GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2357101),
     /* 2356992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2356995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357010 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2357055), // Rule ID 56832 //
     /* 2357015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357018 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2357035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357054 */     // GIR_Coverage, 56832,
     /* 2357054 */     GIR_EraseRootFromParent_Done,
     /* 2357055 */   // Label 33008: @2357055
     /* 2357055 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2357100), // Rule ID 56833 //
     /* 2357060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357063 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2357080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357099 */     // GIR_Coverage, 56833,
     /* 2357099 */     GIR_EraseRootFromParent_Done,
     /* 2357100 */   // Label 33009: @2357100
     /* 2357100 */   GIM_Reject,
     /* 2357101 */ // Label 33007: @2357101
     /* 2357101 */ GIM_Reject,
     /* 2357102 */ // Label 32958: @2357102
     /* 2357102 */ GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2357216),
     /* 2357107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357125 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2357170), // Rule ID 56856 //
     /* 2357130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357133 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2357150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357169 */     // GIR_Coverage, 56856,
     /* 2357169 */     GIR_EraseRootFromParent_Done,
     /* 2357170 */   // Label 33011: @2357170
     /* 2357170 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2357215), // Rule ID 56857 //
     /* 2357175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357178 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2357195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357214 */     // GIR_Coverage, 56857,
     /* 2357214 */     GIR_EraseRootFromParent_Done,
     /* 2357215 */   // Label 33012: @2357215
     /* 2357215 */   GIM_Reject,
     /* 2357216 */ // Label 33010: @2357216
     /* 2357216 */ GIM_Reject,
     /* 2357217 */ // Label 32959: @2357217
     /* 2357217 */ GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2357331),
     /* 2357222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2357228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357240 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2357285), // Rule ID 56838 //
     /* 2357245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357248 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2357265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357284 */     // GIR_Coverage, 56838,
     /* 2357284 */     GIR_EraseRootFromParent_Done,
     /* 2357285 */   // Label 33014: @2357285
     /* 2357285 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2357330), // Rule ID 56839 //
     /* 2357290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357293 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2357310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357329 */     // GIR_Coverage, 56839,
     /* 2357329 */     GIR_EraseRootFromParent_Done,
     /* 2357330 */   // Label 33015: @2357330
     /* 2357330 */   GIM_Reject,
     /* 2357331 */ // Label 33013: @2357331
     /* 2357331 */ GIM_Reject,
     /* 2357332 */ // Label 32960: @2357332
     /* 2357332 */ GIM_Reject,
     /* 2357333 */ // Label 80: @2357333
     /* 2357333 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33040*/ GIMT_Encode4(2360108),
     /* 2357344 */ /*GILLT_s32*//*Label 33016*/ GIMT_Encode4(2357468),
     /* 2357348 */ /*GILLT_s64*//*Label 33017*/ GIMT_Encode4(2357523), GIMT_Encode4(0),
     /* 2357356 */ /*GILLT_nxv1s8*//*Label 33018*/ GIMT_Encode4(2357578),
     /* 2357360 */ /*GILLT_nxv1s16*//*Label 33019*/ GIMT_Encode4(2357693),
     /* 2357364 */ /*GILLT_nxv1s32*//*Label 33020*/ GIMT_Encode4(2357808),
     /* 2357368 */ /*GILLT_nxv1s64*//*Label 33021*/ GIMT_Encode4(2357923), GIMT_Encode4(0),
     /* 2357376 */ /*GILLT_nxv2s8*//*Label 33022*/ GIMT_Encode4(2358038),
     /* 2357380 */ /*GILLT_nxv2s16*//*Label 33023*/ GIMT_Encode4(2358153),
     /* 2357384 */ /*GILLT_nxv2s32*//*Label 33024*/ GIMT_Encode4(2358268),
     /* 2357388 */ /*GILLT_nxv2s64*//*Label 33025*/ GIMT_Encode4(2358383), GIMT_Encode4(0),
     /* 2357396 */ /*GILLT_nxv4s8*//*Label 33026*/ GIMT_Encode4(2358498),
     /* 2357400 */ /*GILLT_nxv4s16*//*Label 33027*/ GIMT_Encode4(2358613),
     /* 2357404 */ /*GILLT_nxv4s32*//*Label 33028*/ GIMT_Encode4(2358728),
     /* 2357408 */ /*GILLT_nxv4s64*//*Label 33029*/ GIMT_Encode4(2358843), GIMT_Encode4(0),
     /* 2357416 */ /*GILLT_nxv8s8*//*Label 33030*/ GIMT_Encode4(2358958),
     /* 2357420 */ /*GILLT_nxv8s16*//*Label 33031*/ GIMT_Encode4(2359073),
     /* 2357424 */ /*GILLT_nxv8s32*//*Label 33032*/ GIMT_Encode4(2359188),
     /* 2357428 */ /*GILLT_nxv8s64*//*Label 33033*/ GIMT_Encode4(2359303), GIMT_Encode4(0),
     /* 2357436 */ /*GILLT_nxv16s8*//*Label 33034*/ GIMT_Encode4(2359418),
     /* 2357440 */ /*GILLT_nxv16s16*//*Label 33035*/ GIMT_Encode4(2359533),
     /* 2357444 */ /*GILLT_nxv16s32*//*Label 33036*/ GIMT_Encode4(2359648), GIMT_Encode4(0),
     /* 2357452 */ /*GILLT_nxv32s8*//*Label 33037*/ GIMT_Encode4(2359763),
     /* 2357456 */ /*GILLT_nxv32s16*//*Label 33038*/ GIMT_Encode4(2359878), GIMT_Encode4(0),
     /* 2357464 */ /*GILLT_nxv64s8*//*Label 33039*/ GIMT_Encode4(2359993),
     /* 2357468 */ // Label 33016: @2357468
     /* 2357468 */ GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2357522),
     /* 2357473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2357476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2357479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357491 */   GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2357506), // Rule ID 64452 //
     /* 2357496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2357499 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2357499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2357504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357505 */     // GIR_Coverage, 64452,
     /* 2357505 */     GIR_Done,
     /* 2357506 */   // Label 33042: @2357506
     /* 2357506 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2357521), // Rule ID 2519 //
     /* 2357511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2357514 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2357514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2357519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357520 */     // GIR_Coverage, 2519,
     /* 2357520 */     GIR_Done,
     /* 2357521 */   // Label 33043: @2357521
     /* 2357521 */   GIM_Reject,
     /* 2357522 */ // Label 33041: @2357522
     /* 2357522 */ GIM_Reject,
     /* 2357523 */ // Label 33017: @2357523
     /* 2357523 */ GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2357577),
     /* 2357528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2357531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2357534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357546 */   GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2357561), // Rule ID 64451 //
     /* 2357551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2357554 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2357554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2357559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357560 */     // GIR_Coverage, 64451,
     /* 2357560 */     GIR_Done,
     /* 2357561 */   // Label 33045: @2357561
     /* 2357561 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2357576), // Rule ID 2518 //
     /* 2357566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2357569 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2357569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2357574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357575 */     // GIR_Coverage, 2518,
     /* 2357575 */     GIR_Done,
     /* 2357576 */   // Label 33046: @2357576
     /* 2357576 */   GIM_Reject,
     /* 2357577 */ // Label 33044: @2357577
     /* 2357577 */ GIM_Reject,
     /* 2357578 */ // Label 33018: @2357578
     /* 2357578 */ GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2357692),
     /* 2357583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2357586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2357589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357601 */   GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2357646), // Rule ID 50582 //
     /* 2357606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357609 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2357626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357645 */     // GIR_Coverage, 50582,
     /* 2357645 */     GIR_EraseRootFromParent_Done,
     /* 2357646 */   // Label 33048: @2357646
     /* 2357646 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2357691), // Rule ID 50583 //
     /* 2357651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357654 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2357671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357690 */     // GIR_Coverage, 50583,
     /* 2357690 */     GIR_EraseRootFromParent_Done,
     /* 2357691 */   // Label 33049: @2357691
     /* 2357691 */   GIM_Reject,
     /* 2357692 */ // Label 33047: @2357692
     /* 2357692 */ GIM_Reject,
     /* 2357693 */ // Label 33019: @2357693
     /* 2357693 */ GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2357807),
     /* 2357698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2357701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2357704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357716 */   GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2357761), // Rule ID 50594 //
     /* 2357721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357724 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2357741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357760 */     // GIR_Coverage, 50594,
     /* 2357760 */     GIR_EraseRootFromParent_Done,
     /* 2357761 */   // Label 33051: @2357761
     /* 2357761 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2357806), // Rule ID 50595 //
     /* 2357766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357769 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2357786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357805 */     // GIR_Coverage, 50595,
     /* 2357805 */     GIR_EraseRootFromParent_Done,
     /* 2357806 */   // Label 33052: @2357806
     /* 2357806 */   GIM_Reject,
     /* 2357807 */ // Label 33050: @2357807
     /* 2357807 */ GIM_Reject,
     /* 2357808 */ // Label 33020: @2357808
     /* 2357808 */ GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2357922),
     /* 2357813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2357816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2357819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357831 */   GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2357876), // Rule ID 50602 //
     /* 2357836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357839 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2357856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357875 */     // GIR_Coverage, 50602,
     /* 2357875 */     GIR_EraseRootFromParent_Done,
     /* 2357876 */   // Label 33054: @2357876
     /* 2357876 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2357921), // Rule ID 50603 //
     /* 2357881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357884 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2357901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357920 */     // GIR_Coverage, 50603,
     /* 2357920 */     GIR_EraseRootFromParent_Done,
     /* 2357921 */   // Label 33055: @2357921
     /* 2357921 */   GIM_Reject,
     /* 2357922 */ // Label 33053: @2357922
     /* 2357922 */ GIM_Reject,
     /* 2357923 */ // Label 33021: @2357923
     /* 2357923 */ GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2358037),
     /* 2357928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2357931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2357934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357946 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2357991), // Rule ID 50618 //
     /* 2357951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2357954 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2357971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357990 */     // GIR_Coverage, 50618,
     /* 2357990 */     GIR_EraseRootFromParent_Done,
     /* 2357991 */   // Label 33057: @2357991
     /* 2357991 */   GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2358036), // Rule ID 50619 //
     /* 2357996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2357999 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2358002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2358016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358035 */     // GIR_Coverage, 50619,
     /* 2358035 */     GIR_EraseRootFromParent_Done,
     /* 2358036 */   // Label 33058: @2358036
     /* 2358036 */   GIM_Reject,
     /* 2358037 */ // Label 33056: @2358037
     /* 2358037 */ GIM_Reject,
     /* 2358038 */ // Label 33022: @2358038
     /* 2358038 */ GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2358152),
     /* 2358043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2358046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2358049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358061 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2358106), // Rule ID 50586 //
     /* 2358066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358069 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2358072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2358086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358105 */     // GIR_Coverage, 50586,
     /* 2358105 */     GIR_EraseRootFromParent_Done,
     /* 2358106 */   // Label 33060: @2358106
     /* 2358106 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2358151), // Rule ID 50587 //
     /* 2358111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358114 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2358117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2358131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358150 */     // GIR_Coverage, 50587,
     /* 2358150 */     GIR_EraseRootFromParent_Done,
     /* 2358151 */   // Label 33061: @2358151
     /* 2358151 */   GIM_Reject,
     /* 2358152 */ // Label 33059: @2358152
     /* 2358152 */ GIM_Reject,
     /* 2358153 */ // Label 33023: @2358153
     /* 2358153 */ GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2358267),
     /* 2358158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2358161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2358164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358176 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2358221), // Rule ID 50598 //
     /* 2358181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358184 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2358201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358220 */     // GIR_Coverage, 50598,
     /* 2358220 */     GIR_EraseRootFromParent_Done,
     /* 2358221 */   // Label 33063: @2358221
     /* 2358221 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2358266), // Rule ID 50599 //
     /* 2358226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358229 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2358246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358265 */     // GIR_Coverage, 50599,
     /* 2358265 */     GIR_EraseRootFromParent_Done,
     /* 2358266 */   // Label 33064: @2358266
     /* 2358266 */   GIM_Reject,
     /* 2358267 */ // Label 33062: @2358267
     /* 2358267 */ GIM_Reject,
     /* 2358268 */ // Label 33024: @2358268
     /* 2358268 */ GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2358382),
     /* 2358273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2358276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2358279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358291 */   GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2358336), // Rule ID 50614 //
     /* 2358296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358299 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2358316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358335 */     // GIR_Coverage, 50614,
     /* 2358335 */     GIR_EraseRootFromParent_Done,
     /* 2358336 */   // Label 33066: @2358336
     /* 2358336 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2358381), // Rule ID 50615 //
     /* 2358341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358344 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2358361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358380 */     // GIR_Coverage, 50615,
     /* 2358380 */     GIR_EraseRootFromParent_Done,
     /* 2358381 */   // Label 33067: @2358381
     /* 2358381 */   GIM_Reject,
     /* 2358382 */ // Label 33065: @2358382
     /* 2358382 */ GIM_Reject,
     /* 2358383 */ // Label 33025: @2358383
     /* 2358383 */ GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2358497),
     /* 2358388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2358391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2358394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358406 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2358451), // Rule ID 50658 //
     /* 2358411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2358414 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2358417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2358431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358450 */     // GIR_Coverage, 50658,
     /* 2358450 */     GIR_EraseRootFromParent_Done,
     /* 2358451 */   // Label 33069: @2358451
     /* 2358451 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2358496), // Rule ID 50659 //
     /* 2358456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2358459 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2358462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2358476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358495 */     // GIR_Coverage, 50659,
     /* 2358495 */     GIR_EraseRootFromParent_Done,
     /* 2358496 */   // Label 33070: @2358496
     /* 2358496 */   GIM_Reject,
     /* 2358497 */ // Label 33068: @2358497
     /* 2358497 */ GIM_Reject,
     /* 2358498 */ // Label 33026: @2358498
     /* 2358498 */ GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2358612),
     /* 2358503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2358506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2358509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358521 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2358566), // Rule ID 50590 //
     /* 2358526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358529 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2358532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2358546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358565 */     // GIR_Coverage, 50590,
     /* 2358565 */     GIR_EraseRootFromParent_Done,
     /* 2358566 */   // Label 33072: @2358566
     /* 2358566 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2358611), // Rule ID 50591 //
     /* 2358571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358574 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2358577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2358591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358610 */     // GIR_Coverage, 50591,
     /* 2358610 */     GIR_EraseRootFromParent_Done,
     /* 2358611 */   // Label 33073: @2358611
     /* 2358611 */   GIM_Reject,
     /* 2358612 */ // Label 33071: @2358612
     /* 2358612 */ GIM_Reject,
     /* 2358613 */ // Label 33027: @2358613
     /* 2358613 */ GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2358727),
     /* 2358618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2358621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2358624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358636 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2358681), // Rule ID 50610 //
     /* 2358641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358644 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2358661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358680 */     // GIR_Coverage, 50610,
     /* 2358680 */     GIR_EraseRootFromParent_Done,
     /* 2358681 */   // Label 33075: @2358681
     /* 2358681 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2358726), // Rule ID 50611 //
     /* 2358686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358689 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2358706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358725 */     // GIR_Coverage, 50611,
     /* 2358725 */     GIR_EraseRootFromParent_Done,
     /* 2358726 */   // Label 33076: @2358726
     /* 2358726 */   GIM_Reject,
     /* 2358727 */ // Label 33074: @2358727
     /* 2358727 */ GIM_Reject,
     /* 2358728 */ // Label 33028: @2358728
     /* 2358728 */ GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2358842),
     /* 2358733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2358736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2358739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358751 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2358796), // Rule ID 50646 //
     /* 2358756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358759 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2358776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358795 */     // GIR_Coverage, 50646,
     /* 2358795 */     GIR_EraseRootFromParent_Done,
     /* 2358796 */   // Label 33078: @2358796
     /* 2358796 */   GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2358841), // Rule ID 50647 //
     /* 2358801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358804 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2358821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358840 */     // GIR_Coverage, 50647,
     /* 2358840 */     GIR_EraseRootFromParent_Done,
     /* 2358841 */   // Label 33079: @2358841
     /* 2358841 */   GIM_Reject,
     /* 2358842 */ // Label 33077: @2358842
     /* 2358842 */ GIM_Reject,
     /* 2358843 */ // Label 33029: @2358843
     /* 2358843 */ GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2358957),
     /* 2358848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2358851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2358854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358866 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2358911), // Rule ID 50662 //
     /* 2358871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2358874 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2358891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358910 */     // GIR_Coverage, 50662,
     /* 2358910 */     GIR_EraseRootFromParent_Done,
     /* 2358911 */   // Label 33081: @2358911
     /* 2358911 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2358956), // Rule ID 50663 //
     /* 2358916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2358919 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2358936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358955 */     // GIR_Coverage, 50663,
     /* 2358955 */     GIR_EraseRootFromParent_Done,
     /* 2358956 */   // Label 33082: @2358956
     /* 2358956 */   GIM_Reject,
     /* 2358957 */ // Label 33080: @2358957
     /* 2358957 */ GIM_Reject,
     /* 2358958 */ // Label 33030: @2358958
     /* 2358958 */ GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2359072),
     /* 2358963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2358966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2358969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358981 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2359026), // Rule ID 50606 //
     /* 2358986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358989 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2358992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2359006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359025 */     // GIR_Coverage, 50606,
     /* 2359025 */     GIR_EraseRootFromParent_Done,
     /* 2359026 */   // Label 33084: @2359026
     /* 2359026 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2359071), // Rule ID 50607 //
     /* 2359031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359034 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2359051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359070 */     // GIR_Coverage, 50607,
     /* 2359070 */     GIR_EraseRootFromParent_Done,
     /* 2359071 */   // Label 33085: @2359071
     /* 2359071 */   GIM_Reject,
     /* 2359072 */ // Label 33083: @2359072
     /* 2359072 */ GIM_Reject,
     /* 2359073 */ // Label 33031: @2359073
     /* 2359073 */ GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2359187),
     /* 2359078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2359081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2359084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359096 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2359141), // Rule ID 50634 //
     /* 2359101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359104 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2359121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359140 */     // GIR_Coverage, 50634,
     /* 2359140 */     GIR_EraseRootFromParent_Done,
     /* 2359141 */   // Label 33087: @2359141
     /* 2359141 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2359186), // Rule ID 50635 //
     /* 2359146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359149 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2359166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359185 */     // GIR_Coverage, 50635,
     /* 2359185 */     GIR_EraseRootFromParent_Done,
     /* 2359186 */   // Label 33088: @2359186
     /* 2359186 */   GIM_Reject,
     /* 2359187 */ // Label 33086: @2359187
     /* 2359187 */ GIM_Reject,
     /* 2359188 */ // Label 33032: @2359188
     /* 2359188 */ GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2359302),
     /* 2359193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2359196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2359199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359211 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2359256), // Rule ID 50650 //
     /* 2359216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359219 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359255 */     // GIR_Coverage, 50650,
     /* 2359255 */     GIR_EraseRootFromParent_Done,
     /* 2359256 */   // Label 33090: @2359256
     /* 2359256 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2359301), // Rule ID 50651 //
     /* 2359261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359264 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359300 */     // GIR_Coverage, 50651,
     /* 2359300 */     GIR_EraseRootFromParent_Done,
     /* 2359301 */   // Label 33091: @2359301
     /* 2359301 */   GIM_Reject,
     /* 2359302 */ // Label 33089: @2359302
     /* 2359302 */ GIM_Reject,
     /* 2359303 */ // Label 33033: @2359303
     /* 2359303 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2359417),
     /* 2359308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2359311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2359314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359326 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2359371), // Rule ID 50666 //
     /* 2359331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2359334 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359370 */     // GIR_Coverage, 50666,
     /* 2359370 */     GIR_EraseRootFromParent_Done,
     /* 2359371 */   // Label 33093: @2359371
     /* 2359371 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2359416), // Rule ID 50667 //
     /* 2359376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2359379 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359415 */     // GIR_Coverage, 50667,
     /* 2359415 */     GIR_EraseRootFromParent_Done,
     /* 2359416 */   // Label 33094: @2359416
     /* 2359416 */   GIM_Reject,
     /* 2359417 */ // Label 33092: @2359417
     /* 2359417 */ GIM_Reject,
     /* 2359418 */ // Label 33034: @2359418
     /* 2359418 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2359532),
     /* 2359423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2359426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2359429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359441 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2359486), // Rule ID 50622 //
     /* 2359446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359449 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2359452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2359466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359485 */     // GIR_Coverage, 50622,
     /* 2359485 */     GIR_EraseRootFromParent_Done,
     /* 2359486 */   // Label 33096: @2359486
     /* 2359486 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2359531), // Rule ID 50623 //
     /* 2359491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359494 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2359497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2359511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359530 */     // GIR_Coverage, 50623,
     /* 2359530 */     GIR_EraseRootFromParent_Done,
     /* 2359531 */   // Label 33097: @2359531
     /* 2359531 */   GIM_Reject,
     /* 2359532 */ // Label 33095: @2359532
     /* 2359532 */ GIM_Reject,
     /* 2359533 */ // Label 33035: @2359533
     /* 2359533 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2359647),
     /* 2359538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2359541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2359544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359556 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2359601), // Rule ID 50638 //
     /* 2359561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359564 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359600 */     // GIR_Coverage, 50638,
     /* 2359600 */     GIR_EraseRootFromParent_Done,
     /* 2359601 */   // Label 33099: @2359601
     /* 2359601 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2359646), // Rule ID 50639 //
     /* 2359606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359609 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359645 */     // GIR_Coverage, 50639,
     /* 2359645 */     GIR_EraseRootFromParent_Done,
     /* 2359646 */   // Label 33100: @2359646
     /* 2359646 */   GIM_Reject,
     /* 2359647 */ // Label 33098: @2359647
     /* 2359647 */ GIM_Reject,
     /* 2359648 */ // Label 33036: @2359648
     /* 2359648 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2359762),
     /* 2359653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2359656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2359659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359671 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2359716), // Rule ID 50654 //
     /* 2359676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359679 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359715 */     // GIR_Coverage, 50654,
     /* 2359715 */     GIR_EraseRootFromParent_Done,
     /* 2359716 */   // Label 33102: @2359716
     /* 2359716 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2359761), // Rule ID 50655 //
     /* 2359721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359724 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359760 */     // GIR_Coverage, 50655,
     /* 2359760 */     GIR_EraseRootFromParent_Done,
     /* 2359761 */   // Label 33103: @2359761
     /* 2359761 */   GIM_Reject,
     /* 2359762 */ // Label 33101: @2359762
     /* 2359762 */ GIM_Reject,
     /* 2359763 */ // Label 33037: @2359763
     /* 2359763 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2359877),
     /* 2359768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2359771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359786 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2359831), // Rule ID 50626 //
     /* 2359791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359794 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359830 */     // GIR_Coverage, 50626,
     /* 2359830 */     GIR_EraseRootFromParent_Done,
     /* 2359831 */   // Label 33105: @2359831
     /* 2359831 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2359876), // Rule ID 50627 //
     /* 2359836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359839 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2359856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359875 */     // GIR_Coverage, 50627,
     /* 2359875 */     GIR_EraseRootFromParent_Done,
     /* 2359876 */   // Label 33106: @2359876
     /* 2359876 */   GIM_Reject,
     /* 2359877 */ // Label 33104: @2359877
     /* 2359877 */ GIM_Reject,
     /* 2359878 */ // Label 33038: @2359878
     /* 2359878 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2359992),
     /* 2359883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2359886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359901 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2359946), // Rule ID 50642 //
     /* 2359906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359909 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359945 */     // GIR_Coverage, 50642,
     /* 2359945 */     GIR_EraseRootFromParent_Done,
     /* 2359946 */   // Label 33108: @2359946
     /* 2359946 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2359991), // Rule ID 50643 //
     /* 2359951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359954 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2359971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359990 */     // GIR_Coverage, 50643,
     /* 2359990 */     GIR_EraseRootFromParent_Done,
     /* 2359991 */   // Label 33109: @2359991
     /* 2359991 */   GIM_Reject,
     /* 2359992 */ // Label 33107: @2359992
     /* 2359992 */ GIM_Reject,
     /* 2359993 */ // Label 33039: @2359993
     /* 2359993 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2360107),
     /* 2359998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2360001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2360004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360016 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2360061), // Rule ID 50630 //
     /* 2360021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360024 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2360041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360060 */     // GIR_Coverage, 50630,
     /* 2360060 */     GIR_EraseRootFromParent_Done,
     /* 2360061 */   // Label 33111: @2360061
     /* 2360061 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2360106), // Rule ID 50631 //
     /* 2360066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360069 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2360086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360105 */     // GIR_Coverage, 50631,
     /* 2360105 */     GIR_EraseRootFromParent_Done,
     /* 2360106 */   // Label 33112: @2360106
     /* 2360106 */   GIM_Reject,
     /* 2360107 */ // Label 33110: @2360107
     /* 2360107 */ GIM_Reject,
     /* 2360108 */ // Label 33040: @2360108
     /* 2360108 */ GIM_Reject,
     /* 2360109 */ // Label 81: @2360109
     /* 2360109 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33137*/ GIMT_Encode4(2362884),
     /* 2360120 */ /*GILLT_s32*//*Label 33113*/ GIMT_Encode4(2360244),
     /* 2360124 */ /*GILLT_s64*//*Label 33114*/ GIMT_Encode4(2360299), GIMT_Encode4(0),
     /* 2360132 */ /*GILLT_nxv1s8*//*Label 33115*/ GIMT_Encode4(2360354),
     /* 2360136 */ /*GILLT_nxv1s16*//*Label 33116*/ GIMT_Encode4(2360469),
     /* 2360140 */ /*GILLT_nxv1s32*//*Label 33117*/ GIMT_Encode4(2360584),
     /* 2360144 */ /*GILLT_nxv1s64*//*Label 33118*/ GIMT_Encode4(2360699), GIMT_Encode4(0),
     /* 2360152 */ /*GILLT_nxv2s8*//*Label 33119*/ GIMT_Encode4(2360814),
     /* 2360156 */ /*GILLT_nxv2s16*//*Label 33120*/ GIMT_Encode4(2360929),
     /* 2360160 */ /*GILLT_nxv2s32*//*Label 33121*/ GIMT_Encode4(2361044),
     /* 2360164 */ /*GILLT_nxv2s64*//*Label 33122*/ GIMT_Encode4(2361159), GIMT_Encode4(0),
     /* 2360172 */ /*GILLT_nxv4s8*//*Label 33123*/ GIMT_Encode4(2361274),
     /* 2360176 */ /*GILLT_nxv4s16*//*Label 33124*/ GIMT_Encode4(2361389),
     /* 2360180 */ /*GILLT_nxv4s32*//*Label 33125*/ GIMT_Encode4(2361504),
     /* 2360184 */ /*GILLT_nxv4s64*//*Label 33126*/ GIMT_Encode4(2361619), GIMT_Encode4(0),
     /* 2360192 */ /*GILLT_nxv8s8*//*Label 33127*/ GIMT_Encode4(2361734),
     /* 2360196 */ /*GILLT_nxv8s16*//*Label 33128*/ GIMT_Encode4(2361849),
     /* 2360200 */ /*GILLT_nxv8s32*//*Label 33129*/ GIMT_Encode4(2361964),
     /* 2360204 */ /*GILLT_nxv8s64*//*Label 33130*/ GIMT_Encode4(2362079), GIMT_Encode4(0),
     /* 2360212 */ /*GILLT_nxv16s8*//*Label 33131*/ GIMT_Encode4(2362194),
     /* 2360216 */ /*GILLT_nxv16s16*//*Label 33132*/ GIMT_Encode4(2362309),
     /* 2360220 */ /*GILLT_nxv16s32*//*Label 33133*/ GIMT_Encode4(2362424), GIMT_Encode4(0),
     /* 2360228 */ /*GILLT_nxv32s8*//*Label 33134*/ GIMT_Encode4(2362539),
     /* 2360232 */ /*GILLT_nxv32s16*//*Label 33135*/ GIMT_Encode4(2362654), GIMT_Encode4(0),
     /* 2360240 */ /*GILLT_nxv64s8*//*Label 33136*/ GIMT_Encode4(2362769),
     /* 2360244 */ // Label 33113: @2360244
     /* 2360244 */ GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2360298),
     /* 2360249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2360252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360267 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2360282), // Rule ID 64456 //
     /* 2360272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2360275 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2360275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2360280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360281 */     // GIR_Coverage, 64456,
     /* 2360281 */     GIR_Done,
     /* 2360282 */   // Label 33139: @2360282
     /* 2360282 */   GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2360297), // Rule ID 2521 //
     /* 2360287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2360290 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2360290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2360295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360296 */     // GIR_Coverage, 2521,
     /* 2360296 */     GIR_Done,
     /* 2360297 */   // Label 33140: @2360297
     /* 2360297 */   GIM_Reject,
     /* 2360298 */ // Label 33138: @2360298
     /* 2360298 */ GIM_Reject,
     /* 2360299 */ // Label 33114: @2360299
     /* 2360299 */ GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2360353),
     /* 2360304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2360307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2360310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360322 */   GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2360337), // Rule ID 64455 //
     /* 2360327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2360330 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2360330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2360335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360336 */     // GIR_Coverage, 64455,
     /* 2360336 */     GIR_Done,
     /* 2360337 */   // Label 33142: @2360337
     /* 2360337 */   GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2360352), // Rule ID 2520 //
     /* 2360342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2360345 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2360345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2360350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360351 */     // GIR_Coverage, 2520,
     /* 2360351 */     GIR_Done,
     /* 2360352 */   // Label 33143: @2360352
     /* 2360352 */   GIM_Reject,
     /* 2360353 */ // Label 33141: @2360353
     /* 2360353 */ GIM_Reject,
     /* 2360354 */ // Label 33115: @2360354
     /* 2360354 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2360468),
     /* 2360359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2360362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2360365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360377 */   GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2360422), // Rule ID 50758 //
     /* 2360382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360385 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2360388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2360402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360421 */     // GIR_Coverage, 50758,
     /* 2360421 */     GIR_EraseRootFromParent_Done,
     /* 2360422 */   // Label 33145: @2360422
     /* 2360422 */   GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2360467), // Rule ID 50759 //
     /* 2360427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360430 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2360433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2360447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360466 */     // GIR_Coverage, 50759,
     /* 2360466 */     GIR_EraseRootFromParent_Done,
     /* 2360467 */   // Label 33146: @2360467
     /* 2360467 */   GIM_Reject,
     /* 2360468 */ // Label 33144: @2360468
     /* 2360468 */ GIM_Reject,
     /* 2360469 */ // Label 33116: @2360469
     /* 2360469 */ GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2360583),
     /* 2360474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2360477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2360480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360492 */   GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2360537), // Rule ID 50770 //
     /* 2360497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360500 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2360517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360536 */     // GIR_Coverage, 50770,
     /* 2360536 */     GIR_EraseRootFromParent_Done,
     /* 2360537 */   // Label 33148: @2360537
     /* 2360537 */   GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2360582), // Rule ID 50771 //
     /* 2360542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360545 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2360562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360581 */     // GIR_Coverage, 50771,
     /* 2360581 */     GIR_EraseRootFromParent_Done,
     /* 2360582 */   // Label 33149: @2360582
     /* 2360582 */   GIM_Reject,
     /* 2360583 */ // Label 33147: @2360583
     /* 2360583 */ GIM_Reject,
     /* 2360584 */ // Label 33117: @2360584
     /* 2360584 */ GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2360698),
     /* 2360589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2360592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2360595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360607 */   GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2360652), // Rule ID 50778 //
     /* 2360612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360615 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2360632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360651 */     // GIR_Coverage, 50778,
     /* 2360651 */     GIR_EraseRootFromParent_Done,
     /* 2360652 */   // Label 33151: @2360652
     /* 2360652 */   GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2360697), // Rule ID 50779 //
     /* 2360657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360660 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2360677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360696 */     // GIR_Coverage, 50779,
     /* 2360696 */     GIR_EraseRootFromParent_Done,
     /* 2360697 */   // Label 33152: @2360697
     /* 2360697 */   GIM_Reject,
     /* 2360698 */ // Label 33150: @2360698
     /* 2360698 */ GIM_Reject,
     /* 2360699 */ // Label 33118: @2360699
     /* 2360699 */ GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2360813),
     /* 2360704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2360707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2360710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360722 */   GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2360767), // Rule ID 50794 //
     /* 2360727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2360730 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2360747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360766 */     // GIR_Coverage, 50794,
     /* 2360766 */     GIR_EraseRootFromParent_Done,
     /* 2360767 */   // Label 33154: @2360767
     /* 2360767 */   GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2360812), // Rule ID 50795 //
     /* 2360772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2360775 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2360792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360811 */     // GIR_Coverage, 50795,
     /* 2360811 */     GIR_EraseRootFromParent_Done,
     /* 2360812 */   // Label 33155: @2360812
     /* 2360812 */   GIM_Reject,
     /* 2360813 */ // Label 33153: @2360813
     /* 2360813 */ GIM_Reject,
     /* 2360814 */ // Label 33119: @2360814
     /* 2360814 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2360928),
     /* 2360819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2360822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2360825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360837 */   GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2360882), // Rule ID 50762 //
     /* 2360842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360845 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2360862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360881 */     // GIR_Coverage, 50762,
     /* 2360881 */     GIR_EraseRootFromParent_Done,
     /* 2360882 */   // Label 33157: @2360882
     /* 2360882 */   GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2360927), // Rule ID 50763 //
     /* 2360887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360890 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2360907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360926 */     // GIR_Coverage, 50763,
     /* 2360926 */     GIR_EraseRootFromParent_Done,
     /* 2360927 */   // Label 33158: @2360927
     /* 2360927 */   GIM_Reject,
     /* 2360928 */ // Label 33156: @2360928
     /* 2360928 */ GIM_Reject,
     /* 2360929 */ // Label 33120: @2360929
     /* 2360929 */ GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2361043),
     /* 2360934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2360937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2360940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360952 */   GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2360997), // Rule ID 50774 //
     /* 2360957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360960 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2360977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360996 */     // GIR_Coverage, 50774,
     /* 2360996 */     GIR_EraseRootFromParent_Done,
     /* 2360997 */   // Label 33160: @2360997
     /* 2360997 */   GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2361042), // Rule ID 50775 //
     /* 2361002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361005 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2361022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361041 */     // GIR_Coverage, 50775,
     /* 2361041 */     GIR_EraseRootFromParent_Done,
     /* 2361042 */   // Label 33161: @2361042
     /* 2361042 */   GIM_Reject,
     /* 2361043 */ // Label 33159: @2361043
     /* 2361043 */ GIM_Reject,
     /* 2361044 */ // Label 33121: @2361044
     /* 2361044 */ GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2361158),
     /* 2361049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2361052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2361055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361067 */   GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2361112), // Rule ID 50790 //
     /* 2361072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361075 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361111 */     // GIR_Coverage, 50790,
     /* 2361111 */     GIR_EraseRootFromParent_Done,
     /* 2361112 */   // Label 33163: @2361112
     /* 2361112 */   GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2361157), // Rule ID 50791 //
     /* 2361117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361120 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361156 */     // GIR_Coverage, 50791,
     /* 2361156 */     GIR_EraseRootFromParent_Done,
     /* 2361157 */   // Label 33164: @2361157
     /* 2361157 */   GIM_Reject,
     /* 2361158 */ // Label 33162: @2361158
     /* 2361158 */ GIM_Reject,
     /* 2361159 */ // Label 33122: @2361159
     /* 2361159 */ GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2361273),
     /* 2361164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2361167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2361170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361182 */   GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2361227), // Rule ID 50834 //
     /* 2361187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2361190 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361226 */     // GIR_Coverage, 50834,
     /* 2361226 */     GIR_EraseRootFromParent_Done,
     /* 2361227 */   // Label 33166: @2361227
     /* 2361227 */   GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2361272), // Rule ID 50835 //
     /* 2361232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2361235 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361271 */     // GIR_Coverage, 50835,
     /* 2361271 */     GIR_EraseRootFromParent_Done,
     /* 2361272 */   // Label 33167: @2361272
     /* 2361272 */   GIM_Reject,
     /* 2361273 */ // Label 33165: @2361273
     /* 2361273 */ GIM_Reject,
     /* 2361274 */ // Label 33123: @2361274
     /* 2361274 */ GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2361388),
     /* 2361279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2361282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2361285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361297 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2361342), // Rule ID 50766 //
     /* 2361302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361305 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2361308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2361322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361341 */     // GIR_Coverage, 50766,
     /* 2361341 */     GIR_EraseRootFromParent_Done,
     /* 2361342 */   // Label 33169: @2361342
     /* 2361342 */   GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2361387), // Rule ID 50767 //
     /* 2361347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361350 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2361353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2361367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361386 */     // GIR_Coverage, 50767,
     /* 2361386 */     GIR_EraseRootFromParent_Done,
     /* 2361387 */   // Label 33170: @2361387
     /* 2361387 */   GIM_Reject,
     /* 2361388 */ // Label 33168: @2361388
     /* 2361388 */ GIM_Reject,
     /* 2361389 */ // Label 33124: @2361389
     /* 2361389 */ GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2361503),
     /* 2361394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2361397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2361400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361412 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2361457), // Rule ID 50786 //
     /* 2361417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361420 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2361423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361456 */     // GIR_Coverage, 50786,
     /* 2361456 */     GIR_EraseRootFromParent_Done,
     /* 2361457 */   // Label 33172: @2361457
     /* 2361457 */   GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2361502), // Rule ID 50787 //
     /* 2361462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361465 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2361468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361501 */     // GIR_Coverage, 50787,
     /* 2361501 */     GIR_EraseRootFromParent_Done,
     /* 2361502 */   // Label 33173: @2361502
     /* 2361502 */   GIM_Reject,
     /* 2361503 */ // Label 33171: @2361503
     /* 2361503 */ GIM_Reject,
     /* 2361504 */ // Label 33125: @2361504
     /* 2361504 */ GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2361618),
     /* 2361509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2361512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2361515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361527 */   GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2361572), // Rule ID 50822 //
     /* 2361532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361535 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361571 */     // GIR_Coverage, 50822,
     /* 2361571 */     GIR_EraseRootFromParent_Done,
     /* 2361572 */   // Label 33175: @2361572
     /* 2361572 */   GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2361617), // Rule ID 50823 //
     /* 2361577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361580 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361616 */     // GIR_Coverage, 50823,
     /* 2361616 */     GIR_EraseRootFromParent_Done,
     /* 2361617 */   // Label 33176: @2361617
     /* 2361617 */   GIM_Reject,
     /* 2361618 */ // Label 33174: @2361618
     /* 2361618 */ GIM_Reject,
     /* 2361619 */ // Label 33126: @2361619
     /* 2361619 */ GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2361733),
     /* 2361624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2361627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2361630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361642 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2361687), // Rule ID 50838 //
     /* 2361647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2361650 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2361667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361686 */     // GIR_Coverage, 50838,
     /* 2361686 */     GIR_EraseRootFromParent_Done,
     /* 2361687 */   // Label 33178: @2361687
     /* 2361687 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2361732), // Rule ID 50839 //
     /* 2361692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2361695 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2361712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361731 */     // GIR_Coverage, 50839,
     /* 2361731 */     GIR_EraseRootFromParent_Done,
     /* 2361732 */   // Label 33179: @2361732
     /* 2361732 */   GIM_Reject,
     /* 2361733 */ // Label 33177: @2361733
     /* 2361733 */ GIM_Reject,
     /* 2361734 */ // Label 33127: @2361734
     /* 2361734 */ GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2361848),
     /* 2361739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2361742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2361745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361757 */   GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2361802), // Rule ID 50782 //
     /* 2361762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361765 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2361768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361801 */     // GIR_Coverage, 50782,
     /* 2361801 */     GIR_EraseRootFromParent_Done,
     /* 2361802 */   // Label 33181: @2361802
     /* 2361802 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2361847), // Rule ID 50783 //
     /* 2361807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361810 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2361813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2361827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361846 */     // GIR_Coverage, 50783,
     /* 2361846 */     GIR_EraseRootFromParent_Done,
     /* 2361847 */   // Label 33182: @2361847
     /* 2361847 */   GIM_Reject,
     /* 2361848 */ // Label 33180: @2361848
     /* 2361848 */ GIM_Reject,
     /* 2361849 */ // Label 33128: @2361849
     /* 2361849 */ GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2361963),
     /* 2361854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2361857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2361860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361872 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2361917), // Rule ID 50810 //
     /* 2361877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361880 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361916 */     // GIR_Coverage, 50810,
     /* 2361916 */     GIR_EraseRootFromParent_Done,
     /* 2361917 */   // Label 33184: @2361917
     /* 2361917 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2361962), // Rule ID 50811 //
     /* 2361922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361925 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2361942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361961 */     // GIR_Coverage, 50811,
     /* 2361961 */     GIR_EraseRootFromParent_Done,
     /* 2361962 */   // Label 33185: @2361962
     /* 2361962 */   GIM_Reject,
     /* 2361963 */ // Label 33183: @2361963
     /* 2361963 */ GIM_Reject,
     /* 2361964 */ // Label 33129: @2361964
     /* 2361964 */ GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2362078),
     /* 2361969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2361972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2361975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361987 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2362032), // Rule ID 50826 //
     /* 2361992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361995 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362031 */     // GIR_Coverage, 50826,
     /* 2362031 */     GIR_EraseRootFromParent_Done,
     /* 2362032 */   // Label 33187: @2362032
     /* 2362032 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2362077), // Rule ID 50827 //
     /* 2362037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362040 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362076 */     // GIR_Coverage, 50827,
     /* 2362076 */     GIR_EraseRootFromParent_Done,
     /* 2362077 */   // Label 33188: @2362077
     /* 2362077 */   GIM_Reject,
     /* 2362078 */ // Label 33186: @2362078
     /* 2362078 */ GIM_Reject,
     /* 2362079 */ // Label 33130: @2362079
     /* 2362079 */ GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2362193),
     /* 2362084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2362087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2362090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362102 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2362147), // Rule ID 50842 //
     /* 2362107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2362110 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362146 */     // GIR_Coverage, 50842,
     /* 2362146 */     GIR_EraseRootFromParent_Done,
     /* 2362147 */   // Label 33190: @2362147
     /* 2362147 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2362192), // Rule ID 50843 //
     /* 2362152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2362155 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362191 */     // GIR_Coverage, 50843,
     /* 2362191 */     GIR_EraseRootFromParent_Done,
     /* 2362192 */   // Label 33191: @2362192
     /* 2362192 */   GIM_Reject,
     /* 2362193 */ // Label 33189: @2362193
     /* 2362193 */ GIM_Reject,
     /* 2362194 */ // Label 33131: @2362194
     /* 2362194 */ GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2362308),
     /* 2362199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2362202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2362205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362217 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2362262), // Rule ID 50798 //
     /* 2362222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362225 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2362242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362261 */     // GIR_Coverage, 50798,
     /* 2362261 */     GIR_EraseRootFromParent_Done,
     /* 2362262 */   // Label 33193: @2362262
     /* 2362262 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2362307), // Rule ID 50799 //
     /* 2362267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362270 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2362287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362306 */     // GIR_Coverage, 50799,
     /* 2362306 */     GIR_EraseRootFromParent_Done,
     /* 2362307 */   // Label 33194: @2362307
     /* 2362307 */   GIM_Reject,
     /* 2362308 */ // Label 33192: @2362308
     /* 2362308 */ GIM_Reject,
     /* 2362309 */ // Label 33132: @2362309
     /* 2362309 */ GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2362423),
     /* 2362314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2362317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2362320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362332 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2362377), // Rule ID 50814 //
     /* 2362337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362340 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2362343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362376 */     // GIR_Coverage, 50814,
     /* 2362376 */     GIR_EraseRootFromParent_Done,
     /* 2362377 */   // Label 33196: @2362377
     /* 2362377 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2362422), // Rule ID 50815 //
     /* 2362382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362385 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2362388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362421 */     // GIR_Coverage, 50815,
     /* 2362421 */     GIR_EraseRootFromParent_Done,
     /* 2362422 */   // Label 33197: @2362422
     /* 2362422 */   GIM_Reject,
     /* 2362423 */ // Label 33195: @2362423
     /* 2362423 */ GIM_Reject,
     /* 2362424 */ // Label 33133: @2362424
     /* 2362424 */ GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2362538),
     /* 2362429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2362432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2362435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362447 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2362492), // Rule ID 50830 //
     /* 2362452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362455 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2362458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362491 */     // GIR_Coverage, 50830,
     /* 2362491 */     GIR_EraseRootFromParent_Done,
     /* 2362492 */   // Label 33199: @2362492
     /* 2362492 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2362537), // Rule ID 50831 //
     /* 2362497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362500 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2362503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362536 */     // GIR_Coverage, 50831,
     /* 2362536 */     GIR_EraseRootFromParent_Done,
     /* 2362537 */   // Label 33200: @2362537
     /* 2362537 */   GIM_Reject,
     /* 2362538 */ // Label 33198: @2362538
     /* 2362538 */ GIM_Reject,
     /* 2362539 */ // Label 33134: @2362539
     /* 2362539 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2362653),
     /* 2362544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2362547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2362550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362562 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2362607), // Rule ID 50802 //
     /* 2362567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362570 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2362573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362606 */     // GIR_Coverage, 50802,
     /* 2362606 */     GIR_EraseRootFromParent_Done,
     /* 2362607 */   // Label 33202: @2362607
     /* 2362607 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2362652), // Rule ID 50803 //
     /* 2362612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362615 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2362618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2362632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362651 */     // GIR_Coverage, 50803,
     /* 2362651 */     GIR_EraseRootFromParent_Done,
     /* 2362652 */   // Label 33203: @2362652
     /* 2362652 */   GIM_Reject,
     /* 2362653 */ // Label 33201: @2362653
     /* 2362653 */ GIM_Reject,
     /* 2362654 */ // Label 33135: @2362654
     /* 2362654 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2362768),
     /* 2362659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2362662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2362665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362677 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2362722), // Rule ID 50818 //
     /* 2362682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362685 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362721 */     // GIR_Coverage, 50818,
     /* 2362721 */     GIR_EraseRootFromParent_Done,
     /* 2362722 */   // Label 33205: @2362722
     /* 2362722 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2362767), // Rule ID 50819 //
     /* 2362727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362730 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362766 */     // GIR_Coverage, 50819,
     /* 2362766 */     GIR_EraseRootFromParent_Done,
     /* 2362767 */   // Label 33206: @2362767
     /* 2362767 */   GIM_Reject,
     /* 2362768 */ // Label 33204: @2362768
     /* 2362768 */ GIM_Reject,
     /* 2362769 */ // Label 33136: @2362769
     /* 2362769 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2362883),
     /* 2362774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2362777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2362780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362792 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2362837), // Rule ID 50806 //
     /* 2362797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362800 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2362803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362836 */     // GIR_Coverage, 50806,
     /* 2362836 */     GIR_EraseRootFromParent_Done,
     /* 2362837 */   // Label 33208: @2362837
     /* 2362837 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2362882), // Rule ID 50807 //
     /* 2362842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362845 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2362848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2362862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362881 */     // GIR_Coverage, 50807,
     /* 2362881 */     GIR_EraseRootFromParent_Done,
     /* 2362882 */   // Label 33209: @2362882
     /* 2362882 */   GIM_Reject,
     /* 2362883 */ // Label 33207: @2362883
     /* 2362883 */ GIM_Reject,
     /* 2362884 */ // Label 33137: @2362884
     /* 2362884 */ GIM_Reject,
     /* 2362885 */ // Label 82: @2362885
     /* 2362885 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33234*/ GIMT_Encode4(2365660),
     /* 2362896 */ /*GILLT_s32*//*Label 33210*/ GIMT_Encode4(2363020),
     /* 2362900 */ /*GILLT_s64*//*Label 33211*/ GIMT_Encode4(2363075), GIMT_Encode4(0),
     /* 2362908 */ /*GILLT_nxv1s8*//*Label 33212*/ GIMT_Encode4(2363130),
     /* 2362912 */ /*GILLT_nxv1s16*//*Label 33213*/ GIMT_Encode4(2363245),
     /* 2362916 */ /*GILLT_nxv1s32*//*Label 33214*/ GIMT_Encode4(2363360),
     /* 2362920 */ /*GILLT_nxv1s64*//*Label 33215*/ GIMT_Encode4(2363475), GIMT_Encode4(0),
     /* 2362928 */ /*GILLT_nxv2s8*//*Label 33216*/ GIMT_Encode4(2363590),
     /* 2362932 */ /*GILLT_nxv2s16*//*Label 33217*/ GIMT_Encode4(2363705),
     /* 2362936 */ /*GILLT_nxv2s32*//*Label 33218*/ GIMT_Encode4(2363820),
     /* 2362940 */ /*GILLT_nxv2s64*//*Label 33219*/ GIMT_Encode4(2363935), GIMT_Encode4(0),
     /* 2362948 */ /*GILLT_nxv4s8*//*Label 33220*/ GIMT_Encode4(2364050),
     /* 2362952 */ /*GILLT_nxv4s16*//*Label 33221*/ GIMT_Encode4(2364165),
     /* 2362956 */ /*GILLT_nxv4s32*//*Label 33222*/ GIMT_Encode4(2364280),
     /* 2362960 */ /*GILLT_nxv4s64*//*Label 33223*/ GIMT_Encode4(2364395), GIMT_Encode4(0),
     /* 2362968 */ /*GILLT_nxv8s8*//*Label 33224*/ GIMT_Encode4(2364510),
     /* 2362972 */ /*GILLT_nxv8s16*//*Label 33225*/ GIMT_Encode4(2364625),
     /* 2362976 */ /*GILLT_nxv8s32*//*Label 33226*/ GIMT_Encode4(2364740),
     /* 2362980 */ /*GILLT_nxv8s64*//*Label 33227*/ GIMT_Encode4(2364855), GIMT_Encode4(0),
     /* 2362988 */ /*GILLT_nxv16s8*//*Label 33228*/ GIMT_Encode4(2364970),
     /* 2362992 */ /*GILLT_nxv16s16*//*Label 33229*/ GIMT_Encode4(2365085),
     /* 2362996 */ /*GILLT_nxv16s32*//*Label 33230*/ GIMT_Encode4(2365200), GIMT_Encode4(0),
     /* 2363004 */ /*GILLT_nxv32s8*//*Label 33231*/ GIMT_Encode4(2365315),
     /* 2363008 */ /*GILLT_nxv32s16*//*Label 33232*/ GIMT_Encode4(2365430), GIMT_Encode4(0),
     /* 2363016 */ /*GILLT_nxv64s8*//*Label 33233*/ GIMT_Encode4(2365545),
     /* 2363020 */ // Label 33210: @2363020
     /* 2363020 */ GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2363074),
     /* 2363025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2363031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363043 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2363058), // Rule ID 64454 //
     /* 2363048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2363051 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2363051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2363056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363057 */     // GIR_Coverage, 64454,
     /* 2363057 */     GIR_Done,
     /* 2363058 */   // Label 33236: @2363058
     /* 2363058 */   GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2363073), // Rule ID 2523 //
     /* 2363063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2363066 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2363066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2363071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363072 */     // GIR_Coverage, 2523,
     /* 2363072 */     GIR_Done,
     /* 2363073 */   // Label 33237: @2363073
     /* 2363073 */   GIM_Reject,
     /* 2363074 */ // Label 33235: @2363074
     /* 2363074 */ GIM_Reject,
     /* 2363075 */ // Label 33211: @2363075
     /* 2363075 */ GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2363129),
     /* 2363080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2363086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363098 */   GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2363113), // Rule ID 64453 //
     /* 2363103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2363106 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2363106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2363111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363112 */     // GIR_Coverage, 64453,
     /* 2363112 */     GIR_Done,
     /* 2363113 */   // Label 33239: @2363113
     /* 2363113 */   GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2363128), // Rule ID 2522 //
     /* 2363118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2363121 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2363121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2363126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363127 */     // GIR_Coverage, 2522,
     /* 2363127 */     GIR_Done,
     /* 2363128 */   // Label 33240: @2363128
     /* 2363128 */   GIM_Reject,
     /* 2363129 */ // Label 33238: @2363129
     /* 2363129 */ GIM_Reject,
     /* 2363130 */ // Label 33212: @2363130
     /* 2363130 */ GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2363244),
     /* 2363135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2363138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2363141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363153 */   GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2363198), // Rule ID 50494 //
     /* 2363158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363161 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2363178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363197 */     // GIR_Coverage, 50494,
     /* 2363197 */     GIR_EraseRootFromParent_Done,
     /* 2363198 */   // Label 33242: @2363198
     /* 2363198 */   GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2363243), // Rule ID 50495 //
     /* 2363203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363206 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2363223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363242 */     // GIR_Coverage, 50495,
     /* 2363242 */     GIR_EraseRootFromParent_Done,
     /* 2363243 */   // Label 33243: @2363243
     /* 2363243 */   GIM_Reject,
     /* 2363244 */ // Label 33241: @2363244
     /* 2363244 */ GIM_Reject,
     /* 2363245 */ // Label 33213: @2363245
     /* 2363245 */ GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2363359),
     /* 2363250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2363253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363268 */   GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2363313), // Rule ID 50506 //
     /* 2363273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363276 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2363293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363312 */     // GIR_Coverage, 50506,
     /* 2363312 */     GIR_EraseRootFromParent_Done,
     /* 2363313 */   // Label 33245: @2363313
     /* 2363313 */   GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2363358), // Rule ID 50507 //
     /* 2363318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363321 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2363338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363357 */     // GIR_Coverage, 50507,
     /* 2363357 */     GIR_EraseRootFromParent_Done,
     /* 2363358 */   // Label 33246: @2363358
     /* 2363358 */   GIM_Reject,
     /* 2363359 */ // Label 33244: @2363359
     /* 2363359 */ GIM_Reject,
     /* 2363360 */ // Label 33214: @2363360
     /* 2363360 */ GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2363474),
     /* 2363365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2363368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363383 */   GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2363428), // Rule ID 50514 //
     /* 2363388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363391 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2363408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363427 */     // GIR_Coverage, 50514,
     /* 2363427 */     GIR_EraseRootFromParent_Done,
     /* 2363428 */   // Label 33248: @2363428
     /* 2363428 */   GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2363473), // Rule ID 50515 //
     /* 2363433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363436 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2363453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363472 */     // GIR_Coverage, 50515,
     /* 2363472 */     GIR_EraseRootFromParent_Done,
     /* 2363473 */   // Label 33249: @2363473
     /* 2363473 */   GIM_Reject,
     /* 2363474 */ // Label 33247: @2363474
     /* 2363474 */ GIM_Reject,
     /* 2363475 */ // Label 33215: @2363475
     /* 2363475 */ GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2363589),
     /* 2363480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2363483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363498 */   GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2363543), // Rule ID 50530 //
     /* 2363503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2363506 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2363523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363542 */     // GIR_Coverage, 50530,
     /* 2363542 */     GIR_EraseRootFromParent_Done,
     /* 2363543 */   // Label 33251: @2363543
     /* 2363543 */   GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2363588), // Rule ID 50531 //
     /* 2363548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2363551 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2363568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363587 */     // GIR_Coverage, 50531,
     /* 2363587 */     GIR_EraseRootFromParent_Done,
     /* 2363588 */   // Label 33252: @2363588
     /* 2363588 */   GIM_Reject,
     /* 2363589 */ // Label 33250: @2363589
     /* 2363589 */ GIM_Reject,
     /* 2363590 */ // Label 33216: @2363590
     /* 2363590 */ GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2363704),
     /* 2363595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2363598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2363601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363613 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2363658), // Rule ID 50498 //
     /* 2363618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363621 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2363624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2363638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363657 */     // GIR_Coverage, 50498,
     /* 2363657 */     GIR_EraseRootFromParent_Done,
     /* 2363658 */   // Label 33254: @2363658
     /* 2363658 */   GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2363703), // Rule ID 50499 //
     /* 2363663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363666 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2363669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2363683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363702 */     // GIR_Coverage, 50499,
     /* 2363702 */     GIR_EraseRootFromParent_Done,
     /* 2363703 */   // Label 33255: @2363703
     /* 2363703 */   GIM_Reject,
     /* 2363704 */ // Label 33253: @2363704
     /* 2363704 */ GIM_Reject,
     /* 2363705 */ // Label 33217: @2363705
     /* 2363705 */ GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2363819),
     /* 2363710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2363713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2363716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363728 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2363773), // Rule ID 50510 //
     /* 2363733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363736 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2363753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363772 */     // GIR_Coverage, 50510,
     /* 2363772 */     GIR_EraseRootFromParent_Done,
     /* 2363773 */   // Label 33257: @2363773
     /* 2363773 */   GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2363818), // Rule ID 50511 //
     /* 2363778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363781 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2363798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363817 */     // GIR_Coverage, 50511,
     /* 2363817 */     GIR_EraseRootFromParent_Done,
     /* 2363818 */   // Label 33258: @2363818
     /* 2363818 */   GIM_Reject,
     /* 2363819 */ // Label 33256: @2363819
     /* 2363819 */ GIM_Reject,
     /* 2363820 */ // Label 33218: @2363820
     /* 2363820 */ GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2363934),
     /* 2363825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2363828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2363831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363843 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2363888), // Rule ID 50526 //
     /* 2363848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363851 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2363868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363887 */     // GIR_Coverage, 50526,
     /* 2363887 */     GIR_EraseRootFromParent_Done,
     /* 2363888 */   // Label 33260: @2363888
     /* 2363888 */   GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2363933), // Rule ID 50527 //
     /* 2363893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363896 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2363913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363932 */     // GIR_Coverage, 50527,
     /* 2363932 */     GIR_EraseRootFromParent_Done,
     /* 2363933 */   // Label 33261: @2363933
     /* 2363933 */   GIM_Reject,
     /* 2363934 */ // Label 33259: @2363934
     /* 2363934 */ GIM_Reject,
     /* 2363935 */ // Label 33219: @2363935
     /* 2363935 */ GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2364049),
     /* 2363940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2363943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2363946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363958 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2364003), // Rule ID 50570 //
     /* 2363963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2363966 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2363969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2363983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364002 */     // GIR_Coverage, 50570,
     /* 2364002 */     GIR_EraseRootFromParent_Done,
     /* 2364003 */   // Label 33263: @2364003
     /* 2364003 */   GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2364048), // Rule ID 50571 //
     /* 2364008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2364011 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2364028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364047 */     // GIR_Coverage, 50571,
     /* 2364047 */     GIR_EraseRootFromParent_Done,
     /* 2364048 */   // Label 33264: @2364048
     /* 2364048 */   GIM_Reject,
     /* 2364049 */ // Label 33262: @2364049
     /* 2364049 */ GIM_Reject,
     /* 2364050 */ // Label 33220: @2364050
     /* 2364050 */ GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2364164),
     /* 2364055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2364058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2364061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364073 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2364118), // Rule ID 50502 //
     /* 2364078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364081 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2364098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364117 */     // GIR_Coverage, 50502,
     /* 2364117 */     GIR_EraseRootFromParent_Done,
     /* 2364118 */   // Label 33266: @2364118
     /* 2364118 */   GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2364163), // Rule ID 50503 //
     /* 2364123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364126 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2364143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364162 */     // GIR_Coverage, 50503,
     /* 2364162 */     GIR_EraseRootFromParent_Done,
     /* 2364163 */   // Label 33267: @2364163
     /* 2364163 */   GIM_Reject,
     /* 2364164 */ // Label 33265: @2364164
     /* 2364164 */ GIM_Reject,
     /* 2364165 */ // Label 33221: @2364165
     /* 2364165 */ GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2364279),
     /* 2364170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2364173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2364176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364188 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2364233), // Rule ID 50522 //
     /* 2364193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364196 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2364213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364232 */     // GIR_Coverage, 50522,
     /* 2364232 */     GIR_EraseRootFromParent_Done,
     /* 2364233 */   // Label 33269: @2364233
     /* 2364233 */   GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2364278), // Rule ID 50523 //
     /* 2364238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364241 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2364258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364277 */     // GIR_Coverage, 50523,
     /* 2364277 */     GIR_EraseRootFromParent_Done,
     /* 2364278 */   // Label 33270: @2364278
     /* 2364278 */   GIM_Reject,
     /* 2364279 */ // Label 33268: @2364279
     /* 2364279 */ GIM_Reject,
     /* 2364280 */ // Label 33222: @2364280
     /* 2364280 */ GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2364394),
     /* 2364285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2364288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2364291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364303 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2364348), // Rule ID 50558 //
     /* 2364308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364311 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2364328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364347 */     // GIR_Coverage, 50558,
     /* 2364347 */     GIR_EraseRootFromParent_Done,
     /* 2364348 */   // Label 33272: @2364348
     /* 2364348 */   GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2364393), // Rule ID 50559 //
     /* 2364353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364356 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2364373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364392 */     // GIR_Coverage, 50559,
     /* 2364392 */     GIR_EraseRootFromParent_Done,
     /* 2364393 */   // Label 33273: @2364393
     /* 2364393 */   GIM_Reject,
     /* 2364394 */ // Label 33271: @2364394
     /* 2364394 */ GIM_Reject,
     /* 2364395 */ // Label 33223: @2364395
     /* 2364395 */ GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2364509),
     /* 2364400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2364403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2364406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364418 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2364463), // Rule ID 50574 //
     /* 2364423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2364426 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2364443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364462 */     // GIR_Coverage, 50574,
     /* 2364462 */     GIR_EraseRootFromParent_Done,
     /* 2364463 */   // Label 33275: @2364463
     /* 2364463 */   GIM_Try, /*On fail goto*//*Label 33276*/ GIMT_Encode4(2364508), // Rule ID 50575 //
     /* 2364468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2364471 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2364488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364507 */     // GIR_Coverage, 50575,
     /* 2364507 */     GIR_EraseRootFromParent_Done,
     /* 2364508 */   // Label 33276: @2364508
     /* 2364508 */   GIM_Reject,
     /* 2364509 */ // Label 33274: @2364509
     /* 2364509 */ GIM_Reject,
     /* 2364510 */ // Label 33224: @2364510
     /* 2364510 */ GIM_Try, /*On fail goto*//*Label 33277*/ GIMT_Encode4(2364624),
     /* 2364515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2364518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2364521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364533 */   GIM_Try, /*On fail goto*//*Label 33278*/ GIMT_Encode4(2364578), // Rule ID 50518 //
     /* 2364538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364541 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2364544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2364558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364577 */     // GIR_Coverage, 50518,
     /* 2364577 */     GIR_EraseRootFromParent_Done,
     /* 2364578 */   // Label 33278: @2364578
     /* 2364578 */   GIM_Try, /*On fail goto*//*Label 33279*/ GIMT_Encode4(2364623), // Rule ID 50519 //
     /* 2364583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364586 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2364589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2364603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364622 */     // GIR_Coverage, 50519,
     /* 2364622 */     GIR_EraseRootFromParent_Done,
     /* 2364623 */   // Label 33279: @2364623
     /* 2364623 */   GIM_Reject,
     /* 2364624 */ // Label 33277: @2364624
     /* 2364624 */ GIM_Reject,
     /* 2364625 */ // Label 33225: @2364625
     /* 2364625 */ GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2364739),
     /* 2364630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2364633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2364636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364648 */   GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2364693), // Rule ID 50546 //
     /* 2364653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364656 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2364659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2364673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364692 */     // GIR_Coverage, 50546,
     /* 2364692 */     GIR_EraseRootFromParent_Done,
     /* 2364693 */   // Label 33281: @2364693
     /* 2364693 */   GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2364738), // Rule ID 50547 //
     /* 2364698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364701 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2364704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2364718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364737 */     // GIR_Coverage, 50547,
     /* 2364737 */     GIR_EraseRootFromParent_Done,
     /* 2364738 */   // Label 33282: @2364738
     /* 2364738 */   GIM_Reject,
     /* 2364739 */ // Label 33280: @2364739
     /* 2364739 */ GIM_Reject,
     /* 2364740 */ // Label 33226: @2364740
     /* 2364740 */ GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2364854),
     /* 2364745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2364748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2364751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364763 */   GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2364808), // Rule ID 50562 //
     /* 2364768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2364771 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2364788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364807 */     // GIR_Coverage, 50562,
     /* 2364807 */     GIR_EraseRootFromParent_Done,
     /* 2364808 */   // Label 33284: @2364808
     /* 2364808 */   GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2364853), // Rule ID 50563 //
     /* 2364813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2364816 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2364833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364852 */     // GIR_Coverage, 50563,
     /* 2364852 */     GIR_EraseRootFromParent_Done,
     /* 2364853 */   // Label 33285: @2364853
     /* 2364853 */   GIM_Reject,
     /* 2364854 */ // Label 33283: @2364854
     /* 2364854 */ GIM_Reject,
     /* 2364855 */ // Label 33227: @2364855
     /* 2364855 */ GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2364969),
     /* 2364860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2364863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2364866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364878 */   GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2364923), // Rule ID 50578 //
     /* 2364883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2364886 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2364903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364922 */     // GIR_Coverage, 50578,
     /* 2364922 */     GIR_EraseRootFromParent_Done,
     /* 2364923 */   // Label 33287: @2364923
     /* 2364923 */   GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2364968), // Rule ID 50579 //
     /* 2364928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2364931 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2364948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364967 */     // GIR_Coverage, 50579,
     /* 2364967 */     GIR_EraseRootFromParent_Done,
     /* 2364968 */   // Label 33288: @2364968
     /* 2364968 */   GIM_Reject,
     /* 2364969 */ // Label 33286: @2364969
     /* 2364969 */ GIM_Reject,
     /* 2364970 */ // Label 33228: @2364970
     /* 2364970 */ GIM_Try, /*On fail goto*//*Label 33289*/ GIMT_Encode4(2365084),
     /* 2364975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2364978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2364981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364993 */   GIM_Try, /*On fail goto*//*Label 33290*/ GIMT_Encode4(2365038), // Rule ID 50534 //
     /* 2364998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365001 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2365018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365037 */     // GIR_Coverage, 50534,
     /* 2365037 */     GIR_EraseRootFromParent_Done,
     /* 2365038 */   // Label 33290: @2365038
     /* 2365038 */   GIM_Try, /*On fail goto*//*Label 33291*/ GIMT_Encode4(2365083), // Rule ID 50535 //
     /* 2365043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365046 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2365063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365082 */     // GIR_Coverage, 50535,
     /* 2365082 */     GIR_EraseRootFromParent_Done,
     /* 2365083 */   // Label 33291: @2365083
     /* 2365083 */   GIM_Reject,
     /* 2365084 */ // Label 33289: @2365084
     /* 2365084 */ GIM_Reject,
     /* 2365085 */ // Label 33229: @2365085
     /* 2365085 */ GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2365199),
     /* 2365090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2365093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2365096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365108 */   GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2365153), // Rule ID 50550 //
     /* 2365113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365116 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2365133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365152 */     // GIR_Coverage, 50550,
     /* 2365152 */     GIR_EraseRootFromParent_Done,
     /* 2365153 */   // Label 33293: @2365153
     /* 2365153 */   GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2365198), // Rule ID 50551 //
     /* 2365158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365161 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2365178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365197 */     // GIR_Coverage, 50551,
     /* 2365197 */     GIR_EraseRootFromParent_Done,
     /* 2365198 */   // Label 33294: @2365198
     /* 2365198 */   GIM_Reject,
     /* 2365199 */ // Label 33292: @2365199
     /* 2365199 */ GIM_Reject,
     /* 2365200 */ // Label 33230: @2365200
     /* 2365200 */ GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2365314),
     /* 2365205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2365208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2365211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365223 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2365268), // Rule ID 50566 //
     /* 2365228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365231 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365267 */     // GIR_Coverage, 50566,
     /* 2365267 */     GIR_EraseRootFromParent_Done,
     /* 2365268 */   // Label 33296: @2365268
     /* 2365268 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2365313), // Rule ID 50567 //
     /* 2365273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365276 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365312 */     // GIR_Coverage, 50567,
     /* 2365312 */     GIR_EraseRootFromParent_Done,
     /* 2365313 */   // Label 33297: @2365313
     /* 2365313 */   GIM_Reject,
     /* 2365314 */ // Label 33295: @2365314
     /* 2365314 */ GIM_Reject,
     /* 2365315 */ // Label 33231: @2365315
     /* 2365315 */ GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2365429),
     /* 2365320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2365323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2365326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365338 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2365383), // Rule ID 50538 //
     /* 2365343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365346 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2365363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365382 */     // GIR_Coverage, 50538,
     /* 2365382 */     GIR_EraseRootFromParent_Done,
     /* 2365383 */   // Label 33299: @2365383
     /* 2365383 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2365428), // Rule ID 50539 //
     /* 2365388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365391 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2365408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365427 */     // GIR_Coverage, 50539,
     /* 2365427 */     GIR_EraseRootFromParent_Done,
     /* 2365428 */   // Label 33300: @2365428
     /* 2365428 */   GIM_Reject,
     /* 2365429 */ // Label 33298: @2365429
     /* 2365429 */ GIM_Reject,
     /* 2365430 */ // Label 33232: @2365430
     /* 2365430 */ GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2365544),
     /* 2365435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2365438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2365441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365453 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2365498), // Rule ID 50554 //
     /* 2365458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365461 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365497 */     // GIR_Coverage, 50554,
     /* 2365497 */     GIR_EraseRootFromParent_Done,
     /* 2365498 */   // Label 33302: @2365498
     /* 2365498 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2365543), // Rule ID 50555 //
     /* 2365503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365506 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365542 */     // GIR_Coverage, 50555,
     /* 2365542 */     GIR_EraseRootFromParent_Done,
     /* 2365543 */   // Label 33303: @2365543
     /* 2365543 */   GIM_Reject,
     /* 2365544 */ // Label 33301: @2365544
     /* 2365544 */ GIM_Reject,
     /* 2365545 */ // Label 33233: @2365545
     /* 2365545 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2365659),
     /* 2365550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2365553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2365556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365568 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2365613), // Rule ID 50542 //
     /* 2365573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365576 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2365579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365612 */     // GIR_Coverage, 50542,
     /* 2365612 */     GIR_EraseRootFromParent_Done,
     /* 2365613 */   // Label 33305: @2365613
     /* 2365613 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2365658), // Rule ID 50543 //
     /* 2365618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365621 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2365624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2365638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365657 */     // GIR_Coverage, 50543,
     /* 2365657 */     GIR_EraseRootFromParent_Done,
     /* 2365658 */   // Label 33306: @2365658
     /* 2365658 */   GIM_Reject,
     /* 2365659 */ // Label 33304: @2365659
     /* 2365659 */ GIM_Reject,
     /* 2365660 */ // Label 33234: @2365660
     /* 2365660 */ GIM_Reject,
     /* 2365661 */ // Label 83: @2365661
     /* 2365661 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33331*/ GIMT_Encode4(2368436),
     /* 2365672 */ /*GILLT_s32*//*Label 33307*/ GIMT_Encode4(2365796),
     /* 2365676 */ /*GILLT_s64*//*Label 33308*/ GIMT_Encode4(2365851), GIMT_Encode4(0),
     /* 2365684 */ /*GILLT_nxv1s8*//*Label 33309*/ GIMT_Encode4(2365906),
     /* 2365688 */ /*GILLT_nxv1s16*//*Label 33310*/ GIMT_Encode4(2366021),
     /* 2365692 */ /*GILLT_nxv1s32*//*Label 33311*/ GIMT_Encode4(2366136),
     /* 2365696 */ /*GILLT_nxv1s64*//*Label 33312*/ GIMT_Encode4(2366251), GIMT_Encode4(0),
     /* 2365704 */ /*GILLT_nxv2s8*//*Label 33313*/ GIMT_Encode4(2366366),
     /* 2365708 */ /*GILLT_nxv2s16*//*Label 33314*/ GIMT_Encode4(2366481),
     /* 2365712 */ /*GILLT_nxv2s32*//*Label 33315*/ GIMT_Encode4(2366596),
     /* 2365716 */ /*GILLT_nxv2s64*//*Label 33316*/ GIMT_Encode4(2366711), GIMT_Encode4(0),
     /* 2365724 */ /*GILLT_nxv4s8*//*Label 33317*/ GIMT_Encode4(2366826),
     /* 2365728 */ /*GILLT_nxv4s16*//*Label 33318*/ GIMT_Encode4(2366941),
     /* 2365732 */ /*GILLT_nxv4s32*//*Label 33319*/ GIMT_Encode4(2367056),
     /* 2365736 */ /*GILLT_nxv4s64*//*Label 33320*/ GIMT_Encode4(2367171), GIMT_Encode4(0),
     /* 2365744 */ /*GILLT_nxv8s8*//*Label 33321*/ GIMT_Encode4(2367286),
     /* 2365748 */ /*GILLT_nxv8s16*//*Label 33322*/ GIMT_Encode4(2367401),
     /* 2365752 */ /*GILLT_nxv8s32*//*Label 33323*/ GIMT_Encode4(2367516),
     /* 2365756 */ /*GILLT_nxv8s64*//*Label 33324*/ GIMT_Encode4(2367631), GIMT_Encode4(0),
     /* 2365764 */ /*GILLT_nxv16s8*//*Label 33325*/ GIMT_Encode4(2367746),
     /* 2365768 */ /*GILLT_nxv16s16*//*Label 33326*/ GIMT_Encode4(2367861),
     /* 2365772 */ /*GILLT_nxv16s32*//*Label 33327*/ GIMT_Encode4(2367976), GIMT_Encode4(0),
     /* 2365780 */ /*GILLT_nxv32s8*//*Label 33328*/ GIMT_Encode4(2368091),
     /* 2365784 */ /*GILLT_nxv32s16*//*Label 33329*/ GIMT_Encode4(2368206), GIMT_Encode4(0),
     /* 2365792 */ /*GILLT_nxv64s8*//*Label 33330*/ GIMT_Encode4(2368321),
     /* 2365796 */ // Label 33307: @2365796
     /* 2365796 */ GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2365850),
     /* 2365801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2365804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2365807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365819 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2365834), // Rule ID 64458 //
     /* 2365824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2365827 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2365827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2365832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365833 */     // GIR_Coverage, 64458,
     /* 2365833 */     GIR_Done,
     /* 2365834 */   // Label 33333: @2365834
     /* 2365834 */   GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2365849), // Rule ID 2525 //
     /* 2365839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2365842 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2365842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2365847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365848 */     // GIR_Coverage, 2525,
     /* 2365848 */     GIR_Done,
     /* 2365849 */   // Label 33334: @2365849
     /* 2365849 */   GIM_Reject,
     /* 2365850 */ // Label 33332: @2365850
     /* 2365850 */ GIM_Reject,
     /* 2365851 */ // Label 33308: @2365851
     /* 2365851 */ GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2365905),
     /* 2365856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2365859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2365862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365874 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2365889), // Rule ID 64457 //
     /* 2365879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2365882 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2365882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2365887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365888 */     // GIR_Coverage, 64457,
     /* 2365888 */     GIR_Done,
     /* 2365889 */   // Label 33336: @2365889
     /* 2365889 */   GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2365904), // Rule ID 2524 //
     /* 2365894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2365897 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2365897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2365902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365903 */     // GIR_Coverage, 2524,
     /* 2365903 */     GIR_Done,
     /* 2365904 */   // Label 33337: @2365904
     /* 2365904 */   GIM_Reject,
     /* 2365905 */ // Label 33335: @2365905
     /* 2365905 */ GIM_Reject,
     /* 2365906 */ // Label 33309: @2365906
     /* 2365906 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2366020),
     /* 2365911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2365914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2365917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365929 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2365974), // Rule ID 50670 //
     /* 2365934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365937 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2365940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2365954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365973 */     // GIR_Coverage, 50670,
     /* 2365973 */     GIR_EraseRootFromParent_Done,
     /* 2365974 */   // Label 33339: @2365974
     /* 2365974 */   GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2366019), // Rule ID 50671 //
     /* 2365979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365982 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2365985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2365999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366018 */     // GIR_Coverage, 50671,
     /* 2366018 */     GIR_EraseRootFromParent_Done,
     /* 2366019 */   // Label 33340: @2366019
     /* 2366019 */   GIM_Reject,
     /* 2366020 */ // Label 33338: @2366020
     /* 2366020 */ GIM_Reject,
     /* 2366021 */ // Label 33310: @2366021
     /* 2366021 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2366135),
     /* 2366026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2366032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366044 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2366089), // Rule ID 50682 //
     /* 2366049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366052 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2366069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366088 */     // GIR_Coverage, 50682,
     /* 2366088 */     GIR_EraseRootFromParent_Done,
     /* 2366089 */   // Label 33342: @2366089
     /* 2366089 */   GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2366134), // Rule ID 50683 //
     /* 2366094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366097 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2366114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366133 */     // GIR_Coverage, 50683,
     /* 2366133 */     GIR_EraseRootFromParent_Done,
     /* 2366134 */   // Label 33343: @2366134
     /* 2366134 */   GIM_Reject,
     /* 2366135 */ // Label 33341: @2366135
     /* 2366135 */ GIM_Reject,
     /* 2366136 */ // Label 33311: @2366136
     /* 2366136 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2366250),
     /* 2366141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2366144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2366147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366159 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2366204), // Rule ID 50690 //
     /* 2366164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366167 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366203 */     // GIR_Coverage, 50690,
     /* 2366203 */     GIR_EraseRootFromParent_Done,
     /* 2366204 */   // Label 33345: @2366204
     /* 2366204 */   GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2366249), // Rule ID 50691 //
     /* 2366209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366212 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366248 */     // GIR_Coverage, 50691,
     /* 2366248 */     GIR_EraseRootFromParent_Done,
     /* 2366249 */   // Label 33346: @2366249
     /* 2366249 */   GIM_Reject,
     /* 2366250 */ // Label 33344: @2366250
     /* 2366250 */ GIM_Reject,
     /* 2366251 */ // Label 33312: @2366251
     /* 2366251 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2366365),
     /* 2366256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2366259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2366262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366274 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2366319), // Rule ID 50706 //
     /* 2366279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2366282 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2366299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366318 */     // GIR_Coverage, 50706,
     /* 2366318 */     GIR_EraseRootFromParent_Done,
     /* 2366319 */   // Label 33348: @2366319
     /* 2366319 */   GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2366364), // Rule ID 50707 //
     /* 2366324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2366327 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2366344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366363 */     // GIR_Coverage, 50707,
     /* 2366363 */     GIR_EraseRootFromParent_Done,
     /* 2366364 */   // Label 33349: @2366364
     /* 2366364 */   GIM_Reject,
     /* 2366365 */ // Label 33347: @2366365
     /* 2366365 */ GIM_Reject,
     /* 2366366 */ // Label 33313: @2366366
     /* 2366366 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2366480),
     /* 2366371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2366374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2366377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366389 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2366434), // Rule ID 50674 //
     /* 2366394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366397 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2366414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366433 */     // GIR_Coverage, 50674,
     /* 2366433 */     GIR_EraseRootFromParent_Done,
     /* 2366434 */   // Label 33351: @2366434
     /* 2366434 */   GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2366479), // Rule ID 50675 //
     /* 2366439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366442 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2366459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366478 */     // GIR_Coverage, 50675,
     /* 2366478 */     GIR_EraseRootFromParent_Done,
     /* 2366479 */   // Label 33352: @2366479
     /* 2366479 */   GIM_Reject,
     /* 2366480 */ // Label 33350: @2366480
     /* 2366480 */ GIM_Reject,
     /* 2366481 */ // Label 33314: @2366481
     /* 2366481 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2366595),
     /* 2366486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2366489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2366492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366504 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2366549), // Rule ID 50686 //
     /* 2366509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366512 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366548 */     // GIR_Coverage, 50686,
     /* 2366548 */     GIR_EraseRootFromParent_Done,
     /* 2366549 */   // Label 33354: @2366549
     /* 2366549 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2366594), // Rule ID 50687 //
     /* 2366554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366557 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366593 */     // GIR_Coverage, 50687,
     /* 2366593 */     GIR_EraseRootFromParent_Done,
     /* 2366594 */   // Label 33355: @2366594
     /* 2366594 */   GIM_Reject,
     /* 2366595 */ // Label 33353: @2366595
     /* 2366595 */ GIM_Reject,
     /* 2366596 */ // Label 33315: @2366596
     /* 2366596 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2366710),
     /* 2366601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2366604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2366607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366619 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2366664), // Rule ID 50702 //
     /* 2366624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366627 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2366644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366663 */     // GIR_Coverage, 50702,
     /* 2366663 */     GIR_EraseRootFromParent_Done,
     /* 2366664 */   // Label 33357: @2366664
     /* 2366664 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2366709), // Rule ID 50703 //
     /* 2366669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366672 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2366689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366708 */     // GIR_Coverage, 50703,
     /* 2366708 */     GIR_EraseRootFromParent_Done,
     /* 2366709 */   // Label 33358: @2366709
     /* 2366709 */   GIM_Reject,
     /* 2366710 */ // Label 33356: @2366710
     /* 2366710 */ GIM_Reject,
     /* 2366711 */ // Label 33316: @2366711
     /* 2366711 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2366825),
     /* 2366716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2366719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2366722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366734 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2366779), // Rule ID 50746 //
     /* 2366739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2366742 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2366759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366778 */     // GIR_Coverage, 50746,
     /* 2366778 */     GIR_EraseRootFromParent_Done,
     /* 2366779 */   // Label 33360: @2366779
     /* 2366779 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2366824), // Rule ID 50747 //
     /* 2366784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2366787 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2366804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366823 */     // GIR_Coverage, 50747,
     /* 2366823 */     GIR_EraseRootFromParent_Done,
     /* 2366824 */   // Label 33361: @2366824
     /* 2366824 */   GIM_Reject,
     /* 2366825 */ // Label 33359: @2366825
     /* 2366825 */ GIM_Reject,
     /* 2366826 */ // Label 33317: @2366826
     /* 2366826 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2366940),
     /* 2366831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2366834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2366837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366849 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2366894), // Rule ID 50678 //
     /* 2366854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366857 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2366860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366893 */     // GIR_Coverage, 50678,
     /* 2366893 */     GIR_EraseRootFromParent_Done,
     /* 2366894 */   // Label 33363: @2366894
     /* 2366894 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2366939), // Rule ID 50679 //
     /* 2366899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366902 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2366905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2366919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366938 */     // GIR_Coverage, 50679,
     /* 2366938 */     GIR_EraseRootFromParent_Done,
     /* 2366939 */   // Label 33364: @2366939
     /* 2366939 */   GIM_Reject,
     /* 2366940 */ // Label 33362: @2366940
     /* 2366940 */ GIM_Reject,
     /* 2366941 */ // Label 33318: @2366941
     /* 2366941 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2367055),
     /* 2366946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2366949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2366952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366964 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2367009), // Rule ID 50698 //
     /* 2366969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366972 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2366975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2366989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367008 */     // GIR_Coverage, 50698,
     /* 2367008 */     GIR_EraseRootFromParent_Done,
     /* 2367009 */   // Label 33366: @2367009
     /* 2367009 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2367054), // Rule ID 50699 //
     /* 2367014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367017 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2367034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367053 */     // GIR_Coverage, 50699,
     /* 2367053 */     GIR_EraseRootFromParent_Done,
     /* 2367054 */   // Label 33367: @2367054
     /* 2367054 */   GIM_Reject,
     /* 2367055 */ // Label 33365: @2367055
     /* 2367055 */ GIM_Reject,
     /* 2367056 */ // Label 33319: @2367056
     /* 2367056 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2367170),
     /* 2367061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2367064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2367067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367079 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2367124), // Rule ID 50734 //
     /* 2367084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367087 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367123 */     // GIR_Coverage, 50734,
     /* 2367123 */     GIR_EraseRootFromParent_Done,
     /* 2367124 */   // Label 33369: @2367124
     /* 2367124 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2367169), // Rule ID 50735 //
     /* 2367129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367132 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367168 */     // GIR_Coverage, 50735,
     /* 2367168 */     GIR_EraseRootFromParent_Done,
     /* 2367169 */   // Label 33370: @2367169
     /* 2367169 */   GIM_Reject,
     /* 2367170 */ // Label 33368: @2367170
     /* 2367170 */ GIM_Reject,
     /* 2367171 */ // Label 33320: @2367171
     /* 2367171 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2367285),
     /* 2367176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2367179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2367182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367194 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2367239), // Rule ID 50750 //
     /* 2367199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2367202 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367238 */     // GIR_Coverage, 50750,
     /* 2367238 */     GIR_EraseRootFromParent_Done,
     /* 2367239 */   // Label 33372: @2367239
     /* 2367239 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2367284), // Rule ID 50751 //
     /* 2367244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2367247 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367283 */     // GIR_Coverage, 50751,
     /* 2367283 */     GIR_EraseRootFromParent_Done,
     /* 2367284 */   // Label 33373: @2367284
     /* 2367284 */   GIM_Reject,
     /* 2367285 */ // Label 33371: @2367285
     /* 2367285 */ GIM_Reject,
     /* 2367286 */ // Label 33321: @2367286
     /* 2367286 */ GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2367400),
     /* 2367291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2367294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2367297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367309 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2367354), // Rule ID 50694 //
     /* 2367314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367317 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2367334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367353 */     // GIR_Coverage, 50694,
     /* 2367353 */     GIR_EraseRootFromParent_Done,
     /* 2367354 */   // Label 33375: @2367354
     /* 2367354 */   GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2367399), // Rule ID 50695 //
     /* 2367359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367362 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2367379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367398 */     // GIR_Coverage, 50695,
     /* 2367398 */     GIR_EraseRootFromParent_Done,
     /* 2367399 */   // Label 33376: @2367399
     /* 2367399 */   GIM_Reject,
     /* 2367400 */ // Label 33374: @2367400
     /* 2367400 */ GIM_Reject,
     /* 2367401 */ // Label 33322: @2367401
     /* 2367401 */ GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2367515),
     /* 2367406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2367409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2367412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367424 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2367469), // Rule ID 50722 //
     /* 2367429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367432 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367468 */     // GIR_Coverage, 50722,
     /* 2367468 */     GIR_EraseRootFromParent_Done,
     /* 2367469 */   // Label 33378: @2367469
     /* 2367469 */   GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2367514), // Rule ID 50723 //
     /* 2367474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367477 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367513 */     // GIR_Coverage, 50723,
     /* 2367513 */     GIR_EraseRootFromParent_Done,
     /* 2367514 */   // Label 33379: @2367514
     /* 2367514 */   GIM_Reject,
     /* 2367515 */ // Label 33377: @2367515
     /* 2367515 */ GIM_Reject,
     /* 2367516 */ // Label 33323: @2367516
     /* 2367516 */ GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2367630),
     /* 2367521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2367524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2367527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367539 */   GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2367584), // Rule ID 50738 //
     /* 2367544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367547 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367583 */     // GIR_Coverage, 50738,
     /* 2367583 */     GIR_EraseRootFromParent_Done,
     /* 2367584 */   // Label 33381: @2367584
     /* 2367584 */   GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2367629), // Rule ID 50739 //
     /* 2367589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367592 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367628 */     // GIR_Coverage, 50739,
     /* 2367628 */     GIR_EraseRootFromParent_Done,
     /* 2367629 */   // Label 33382: @2367629
     /* 2367629 */   GIM_Reject,
     /* 2367630 */ // Label 33380: @2367630
     /* 2367630 */ GIM_Reject,
     /* 2367631 */ // Label 33324: @2367631
     /* 2367631 */ GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2367745),
     /* 2367636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2367639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2367642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367654 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2367699), // Rule ID 50754 //
     /* 2367659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2367662 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2367679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367698 */     // GIR_Coverage, 50754,
     /* 2367698 */     GIR_EraseRootFromParent_Done,
     /* 2367699 */   // Label 33384: @2367699
     /* 2367699 */   GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2367744), // Rule ID 50755 //
     /* 2367704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2367707 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2367724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367743 */     // GIR_Coverage, 50755,
     /* 2367743 */     GIR_EraseRootFromParent_Done,
     /* 2367744 */   // Label 33385: @2367744
     /* 2367744 */   GIM_Reject,
     /* 2367745 */ // Label 33383: @2367745
     /* 2367745 */ GIM_Reject,
     /* 2367746 */ // Label 33325: @2367746
     /* 2367746 */ GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2367860),
     /* 2367751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2367754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2367757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367769 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2367814), // Rule ID 50710 //
     /* 2367774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367777 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367813 */     // GIR_Coverage, 50710,
     /* 2367813 */     GIR_EraseRootFromParent_Done,
     /* 2367814 */   // Label 33387: @2367814
     /* 2367814 */   GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2367859), // Rule ID 50711 //
     /* 2367819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367822 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2367839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367858 */     // GIR_Coverage, 50711,
     /* 2367858 */     GIR_EraseRootFromParent_Done,
     /* 2367859 */   // Label 33388: @2367859
     /* 2367859 */   GIM_Reject,
     /* 2367860 */ // Label 33386: @2367860
     /* 2367860 */ GIM_Reject,
     /* 2367861 */ // Label 33326: @2367861
     /* 2367861 */ GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2367975),
     /* 2367866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2367869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367884 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2367929), // Rule ID 50726 //
     /* 2367889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367892 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367928 */     // GIR_Coverage, 50726,
     /* 2367928 */     GIR_EraseRootFromParent_Done,
     /* 2367929 */   // Label 33390: @2367929
     /* 2367929 */   GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2367974), // Rule ID 50727 //
     /* 2367934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367937 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2367954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367973 */     // GIR_Coverage, 50727,
     /* 2367973 */     GIR_EraseRootFromParent_Done,
     /* 2367974 */   // Label 33391: @2367974
     /* 2367974 */   GIM_Reject,
     /* 2367975 */ // Label 33389: @2367975
     /* 2367975 */ GIM_Reject,
     /* 2367976 */ // Label 33327: @2367976
     /* 2367976 */ GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2368090),
     /* 2367981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2367984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367999 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2368044), // Rule ID 50742 //
     /* 2368004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368007 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368043 */     // GIR_Coverage, 50742,
     /* 2368043 */     GIR_EraseRootFromParent_Done,
     /* 2368044 */   // Label 33393: @2368044
     /* 2368044 */   GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2368089), // Rule ID 50743 //
     /* 2368049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368052 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368088 */     // GIR_Coverage, 50743,
     /* 2368088 */     GIR_EraseRootFromParent_Done,
     /* 2368089 */   // Label 33394: @2368089
     /* 2368089 */   GIM_Reject,
     /* 2368090 */ // Label 33392: @2368090
     /* 2368090 */ GIM_Reject,
     /* 2368091 */ // Label 33328: @2368091
     /* 2368091 */ GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2368205),
     /* 2368096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2368099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2368102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368114 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2368159), // Rule ID 50714 //
     /* 2368119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368122 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2368139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368158 */     // GIR_Coverage, 50714,
     /* 2368158 */     GIR_EraseRootFromParent_Done,
     /* 2368159 */   // Label 33396: @2368159
     /* 2368159 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2368204), // Rule ID 50715 //
     /* 2368164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368167 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2368184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368203 */     // GIR_Coverage, 50715,
     /* 2368203 */     GIR_EraseRootFromParent_Done,
     /* 2368204 */   // Label 33397: @2368204
     /* 2368204 */   GIM_Reject,
     /* 2368205 */ // Label 33395: @2368205
     /* 2368205 */ GIM_Reject,
     /* 2368206 */ // Label 33329: @2368206
     /* 2368206 */ GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2368320),
     /* 2368211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2368214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2368217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368229 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2368274), // Rule ID 50730 //
     /* 2368234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368237 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368273 */     // GIR_Coverage, 50730,
     /* 2368273 */     GIR_EraseRootFromParent_Done,
     /* 2368274 */   // Label 33399: @2368274
     /* 2368274 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2368319), // Rule ID 50731 //
     /* 2368279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368282 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368318 */     // GIR_Coverage, 50731,
     /* 2368318 */     GIR_EraseRootFromParent_Done,
     /* 2368319 */   // Label 33400: @2368319
     /* 2368319 */   GIM_Reject,
     /* 2368320 */ // Label 33398: @2368320
     /* 2368320 */ GIM_Reject,
     /* 2368321 */ // Label 33330: @2368321
     /* 2368321 */ GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2368435),
     /* 2368326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2368329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2368332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368344 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2368389), // Rule ID 50718 //
     /* 2368349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368352 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368388 */     // GIR_Coverage, 50718,
     /* 2368388 */     GIR_EraseRootFromParent_Done,
     /* 2368389 */   // Label 33402: @2368389
     /* 2368389 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2368434), // Rule ID 50719 //
     /* 2368394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368397 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2368414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368433 */     // GIR_Coverage, 50719,
     /* 2368433 */     GIR_EraseRootFromParent_Done,
     /* 2368434 */   // Label 33403: @2368434
     /* 2368434 */   GIM_Reject,
     /* 2368435 */ // Label 33401: @2368435
     /* 2368435 */ GIM_Reject,
     /* 2368436 */ // Label 33331: @2368436
     /* 2368436 */ GIM_Reject,
     /* 2368437 */ // Label 84: @2368437
     /* 2368437 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33406*/ GIMT_Encode4(2368594),
     /* 2368448 */ /*GILLT_s32*//*Label 33404*/ GIMT_Encode4(2368456),
     /* 2368452 */ /*GILLT_s64*//*Label 33405*/ GIMT_Encode4(2368525),
     /* 2368456 */ // Label 33404: @2368456
     /* 2368456 */ GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2368524),
     /* 2368461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368472 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2368487), // Rule ID 64446 //
     /* 2368477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2368480 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2368480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2368485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368486 */     // GIR_Coverage, 64446,
     /* 2368486 */     GIR_Done,
     /* 2368487 */   // Label 33408: @2368487
     /* 2368487 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2368523), // Rule ID 62501 //
     /* 2368492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2368495 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2368495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2368498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2368500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2368511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368522 */     // GIR_Coverage, 62501,
     /* 2368522 */     GIR_EraseRootFromParent_Done,
     /* 2368523 */   // Label 33409: @2368523
     /* 2368523 */   GIM_Reject,
     /* 2368524 */ // Label 33407: @2368524
     /* 2368524 */ GIM_Reject,
     /* 2368525 */ // Label 33405: @2368525
     /* 2368525 */ GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2368593),
     /* 2368530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368541 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2368556), // Rule ID 64445 //
     /* 2368546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2368549 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2368549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2368554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368555 */     // GIR_Coverage, 64445,
     /* 2368555 */     GIR_Done,
     /* 2368556 */   // Label 33411: @2368556
     /* 2368556 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2368592), // Rule ID 62500 //
     /* 2368561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2368564 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2368564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2368567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2368569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368571 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2368580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368591 */     // GIR_Coverage, 62500,
     /* 2368591 */     GIR_EraseRootFromParent_Done,
     /* 2368592 */   // Label 33412: @2368592
     /* 2368592 */   GIM_Reject,
     /* 2368593 */ // Label 33410: @2368593
     /* 2368593 */ GIM_Reject,
     /* 2368594 */ // Label 33406: @2368594
     /* 2368594 */ GIM_Reject,
     /* 2368595 */ // Label 85: @2368595
     /* 2368595 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33415*/ GIMT_Encode4(2369174),
     /* 2368606 */ /*GILLT_s32*//*Label 33413*/ GIMT_Encode4(2368614),
     /* 2368610 */ /*GILLT_s64*//*Label 33414*/ GIMT_Encode4(2368987),
     /* 2368614 */ // Label 33413: @2368614
     /* 2368614 */ GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2368645), // Rule ID 1460 //
     /* 2368619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2368622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368633 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2368633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2368636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368638 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368644 */   // GIR_Coverage, 1460,
     /* 2368644 */   GIR_EraseRootFromParent_Done,
     /* 2368645 */ // Label 33416: @2368645
     /* 2368645 */ GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2368676), // Rule ID 1461 //
     /* 2368650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2368653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368664 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2368664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2368667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368669 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368675 */   // GIR_Coverage, 1461,
     /* 2368675 */   GIR_EraseRootFromParent_Done,
     /* 2368676 */ // Label 33417: @2368676
     /* 2368676 */ GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2368707), // Rule ID 1486 //
     /* 2368681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2368684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368695 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2368695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2368698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368706 */   // GIR_Coverage, 1486,
     /* 2368706 */   GIR_EraseRootFromParent_Done,
     /* 2368707 */ // Label 33418: @2368707
     /* 2368707 */ GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2368738), // Rule ID 1487 //
     /* 2368712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2368715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368726 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2368726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2368729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368731 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368737 */   // GIR_Coverage, 1487,
     /* 2368737 */   GIR_EraseRootFromParent_Done,
     /* 2368738 */ // Label 33419: @2368738
     /* 2368738 */ GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2368769), // Rule ID 1854 //
     /* 2368743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2368746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368757 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2368757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2368760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368762 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368768 */   // GIR_Coverage, 1854,
     /* 2368768 */   GIR_EraseRootFromParent_Done,
     /* 2368769 */ // Label 33420: @2368769
     /* 2368769 */ GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2368800), // Rule ID 1855 //
     /* 2368774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2368777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368788 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2368788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2368791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368799 */   // GIR_Coverage, 1855,
     /* 2368799 */   GIR_EraseRootFromParent_Done,
     /* 2368800 */ // Label 33421: @2368800
     /* 2368800 */ GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2368831), // Rule ID 1880 //
     /* 2368805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2368808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368819 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2368819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2368822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368830 */   // GIR_Coverage, 1880,
     /* 2368830 */   GIR_EraseRootFromParent_Done,
     /* 2368831 */ // Label 33422: @2368831
     /* 2368831 */ GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2368862), // Rule ID 1881 //
     /* 2368836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2368839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368850 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2368850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2368853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368861 */   // GIR_Coverage, 1881,
     /* 2368861 */   GIR_EraseRootFromParent_Done,
     /* 2368862 */ // Label 33423: @2368862
     /* 2368862 */ GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2368893), // Rule ID 2196 //
     /* 2368867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2368870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368881 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2368881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2368884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368886 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368892 */   // GIR_Coverage, 2196,
     /* 2368892 */   GIR_EraseRootFromParent_Done,
     /* 2368893 */ // Label 33424: @2368893
     /* 2368893 */ GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2368924), // Rule ID 2197 //
     /* 2368898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2368901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368912 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2368912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2368915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368923 */   // GIR_Coverage, 2197,
     /* 2368923 */   GIR_EraseRootFromParent_Done,
     /* 2368924 */ // Label 33425: @2368924
     /* 2368924 */ GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2368955), // Rule ID 2222 //
     /* 2368929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2368932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368943 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2368943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2368946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368948 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368954 */   // GIR_Coverage, 2222,
     /* 2368954 */   GIR_EraseRootFromParent_Done,
     /* 2368955 */ // Label 33426: @2368955
     /* 2368955 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2368986), // Rule ID 2223 //
     /* 2368960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2368963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368974 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2368974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2368977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2368985 */   // GIR_Coverage, 2223,
     /* 2368985 */   GIR_EraseRootFromParent_Done,
     /* 2368986 */ // Label 33427: @2368986
     /* 2368986 */ GIM_Reject,
     /* 2368987 */ // Label 33414: @2368987
     /* 2368987 */ GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2369018), // Rule ID 1513 //
     /* 2368992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2368995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369006 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2369006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2369009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369017 */   // GIR_Coverage, 1513,
     /* 2369017 */   GIR_EraseRootFromParent_Done,
     /* 2369018 */ // Label 33428: @2369018
     /* 2369018 */ GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2369049), // Rule ID 1541 //
     /* 2369023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2369026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369037 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2369037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2369040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369048 */   // GIR_Coverage, 1541,
     /* 2369048 */   GIR_EraseRootFromParent_Done,
     /* 2369049 */ // Label 33429: @2369049
     /* 2369049 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2369080), // Rule ID 1911 //
     /* 2369054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2369057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369068 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2369068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2369071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369073 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369079 */   // GIR_Coverage, 1911,
     /* 2369079 */   GIR_EraseRootFromParent_Done,
     /* 2369080 */ // Label 33430: @2369080
     /* 2369080 */ GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2369111), // Rule ID 1939 //
     /* 2369085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369099 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2369099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2369102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369110 */   // GIR_Coverage, 1939,
     /* 2369110 */   GIR_EraseRootFromParent_Done,
     /* 2369111 */ // Label 33431: @2369111
     /* 2369111 */ GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2369142), // Rule ID 2247 //
     /* 2369116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2369119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369130 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2369130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2369133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369141 */   // GIR_Coverage, 2247,
     /* 2369141 */   GIR_EraseRootFromParent_Done,
     /* 2369142 */ // Label 33432: @2369142
     /* 2369142 */ GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2369173), // Rule ID 2273 //
     /* 2369147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2369150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369161 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2369161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2369164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369172 */   // GIR_Coverage, 2273,
     /* 2369172 */   GIR_EraseRootFromParent_Done,
     /* 2369173 */ // Label 33433: @2369173
     /* 2369173 */ GIM_Reject,
     /* 2369174 */ // Label 33415: @2369174
     /* 2369174 */ GIM_Reject,
     /* 2369175 */ // Label 86: @2369175
     /* 2369175 */ GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2369384),
     /* 2369180 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2369183 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33438*/ GIMT_Encode4(2369383),
     /* 2369194 */   /*GILLT_s16*//*Label 33435*/ GIMT_Encode4(2369206),
     /* 2369198 */   /*GILLT_s32*//*Label 33436*/ GIMT_Encode4(2369265),
     /* 2369202 */   /*GILLT_s64*//*Label 33437*/ GIMT_Encode4(2369324),
     /* 2369206 */   // Label 33435: @2369206
     /* 2369206 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2369264),
     /* 2369211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369215 */     GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2369239), // Rule ID 2249 //
     /* 2369220 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2369223 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369227 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2369227 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2369230 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369232 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369234 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369237 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369238 */       // GIR_Coverage, 2249,
     /* 2369238 */       GIR_EraseRootFromParent_Done,
     /* 2369239 */     // Label 33440: @2369239
     /* 2369239 */     GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2369263), // Rule ID 2275 //
     /* 2369244 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2369247 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369251 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2369251 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2369254 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369256 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369258 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369261 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369262 */       // GIR_Coverage, 2275,
     /* 2369262 */       GIR_EraseRootFromParent_Done,
     /* 2369263 */     // Label 33441: @2369263
     /* 2369263 */     GIM_Reject,
     /* 2369264 */   // Label 33439: @2369264
     /* 2369264 */   GIM_Reject,
     /* 2369265 */   // Label 33436: @2369265
     /* 2369265 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2369323),
     /* 2369270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369274 */     GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2369298), // Rule ID 1515 //
     /* 2369279 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2369282 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369286 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2369286 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2369289 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369291 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369293 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369296 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369297 */       // GIR_Coverage, 1515,
     /* 2369297 */       GIR_EraseRootFromParent_Done,
     /* 2369298 */     // Label 33443: @2369298
     /* 2369298 */     GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2369322), // Rule ID 1543 //
     /* 2369303 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2369306 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369310 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2369310 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2369313 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369315 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369317 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369320 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369321 */       // GIR_Coverage, 1543,
     /* 2369321 */       GIR_EraseRootFromParent_Done,
     /* 2369322 */     // Label 33444: @2369322
     /* 2369322 */     GIM_Reject,
     /* 2369323 */   // Label 33442: @2369323
     /* 2369323 */   GIM_Reject,
     /* 2369324 */   // Label 33437: @2369324
     /* 2369324 */   GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2369382),
     /* 2369329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369333 */     GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2369357), // Rule ID 1913 //
     /* 2369338 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2369341 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369345 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2369345 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2369348 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369350 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369352 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369355 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369356 */       // GIR_Coverage, 1913,
     /* 2369356 */       GIR_EraseRootFromParent_Done,
     /* 2369357 */     // Label 33446: @2369357
     /* 2369357 */     GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2369381), // Rule ID 1941 //
     /* 2369362 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369365 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369369 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2369369 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2369372 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369374 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369376 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369379 */       GIR_RootConstrainSelectedInstOperands,
     /* 2369380 */       // GIR_Coverage, 1941,
     /* 2369380 */       GIR_EraseRootFromParent_Done,
     /* 2369381 */     // Label 33447: @2369381
     /* 2369381 */     GIM_Reject,
     /* 2369382 */   // Label 33445: @2369382
     /* 2369382 */   GIM_Reject,
     /* 2369383 */   // Label 33438: @2369383
     /* 2369383 */   GIM_Reject,
     /* 2369384 */ // Label 33434: @2369384
     /* 2369384 */ GIM_Reject,
     /* 2369385 */ // Label 87: @2369385
     /* 2369385 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2369400), // Rule ID 4 //
     /* 2369390 */   // MIs[0] imm20
     /* 2369390 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2369393 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2369393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2369398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2369399 */   // GIR_Coverage, 4,
     /* 2369399 */   GIR_Done,
     /* 2369400 */ // Label 33448: @2369400
     /* 2369400 */ GIM_Reject,
     /* 2369401 */ // Label 88: @2369401
     /* 2369401 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33473*/ GIMT_Encode4(2371920),
     /* 2369412 */ /*GILLT_s32*//*Label 33449*/ GIMT_Encode4(2369536),
     /* 2369416 */ /*GILLT_s64*//*Label 33450*/ GIMT_Encode4(2369584), GIMT_Encode4(0),
     /* 2369424 */ /*GILLT_nxv1s8*//*Label 33451*/ GIMT_Encode4(2369632),
     /* 2369428 */ /*GILLT_nxv1s16*//*Label 33452*/ GIMT_Encode4(2369736),
     /* 2369432 */ /*GILLT_nxv1s32*//*Label 33453*/ GIMT_Encode4(2369840),
     /* 2369436 */ /*GILLT_nxv1s64*//*Label 33454*/ GIMT_Encode4(2369944), GIMT_Encode4(0),
     /* 2369444 */ /*GILLT_nxv2s8*//*Label 33455*/ GIMT_Encode4(2370048),
     /* 2369448 */ /*GILLT_nxv2s16*//*Label 33456*/ GIMT_Encode4(2370152),
     /* 2369452 */ /*GILLT_nxv2s32*//*Label 33457*/ GIMT_Encode4(2370256),
     /* 2369456 */ /*GILLT_nxv2s64*//*Label 33458*/ GIMT_Encode4(2370360), GIMT_Encode4(0),
     /* 2369464 */ /*GILLT_nxv4s8*//*Label 33459*/ GIMT_Encode4(2370464),
     /* 2369468 */ /*GILLT_nxv4s16*//*Label 33460*/ GIMT_Encode4(2370568),
     /* 2369472 */ /*GILLT_nxv4s32*//*Label 33461*/ GIMT_Encode4(2370672),
     /* 2369476 */ /*GILLT_nxv4s64*//*Label 33462*/ GIMT_Encode4(2370776), GIMT_Encode4(0),
     /* 2369484 */ /*GILLT_nxv8s8*//*Label 33463*/ GIMT_Encode4(2370880),
     /* 2369488 */ /*GILLT_nxv8s16*//*Label 33464*/ GIMT_Encode4(2370984),
     /* 2369492 */ /*GILLT_nxv8s32*//*Label 33465*/ GIMT_Encode4(2371088),
     /* 2369496 */ /*GILLT_nxv8s64*//*Label 33466*/ GIMT_Encode4(2371192), GIMT_Encode4(0),
     /* 2369504 */ /*GILLT_nxv16s8*//*Label 33467*/ GIMT_Encode4(2371296),
     /* 2369508 */ /*GILLT_nxv16s16*//*Label 33468*/ GIMT_Encode4(2371400),
     /* 2369512 */ /*GILLT_nxv16s32*//*Label 33469*/ GIMT_Encode4(2371504), GIMT_Encode4(0),
     /* 2369520 */ /*GILLT_nxv32s8*//*Label 33470*/ GIMT_Encode4(2371608),
     /* 2369524 */ /*GILLT_nxv32s16*//*Label 33471*/ GIMT_Encode4(2371712), GIMT_Encode4(0),
     /* 2369532 */ /*GILLT_nxv64s8*//*Label 33472*/ GIMT_Encode4(2371816),
     /* 2369536 */ // Label 33449: @2369536
     /* 2369536 */ GIM_Try, /*On fail goto*//*Label 33474*/ GIMT_Encode4(2369583),
     /* 2369541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369552 */   GIM_Try, /*On fail goto*//*Label 33475*/ GIMT_Encode4(2369567), // Rule ID 2507 //
     /* 2369557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2369560 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2369560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2369565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369566 */     // GIR_Coverage, 2507,
     /* 2369566 */     GIR_Done,
     /* 2369567 */   // Label 33475: @2369567
     /* 2369567 */   GIM_Try, /*On fail goto*//*Label 33476*/ GIMT_Encode4(2369582), // Rule ID 64429 //
     /* 2369572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2369575 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2369575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2369580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369581 */     // GIR_Coverage, 64429,
     /* 2369581 */     GIR_Done,
     /* 2369582 */   // Label 33476: @2369582
     /* 2369582 */   GIM_Reject,
     /* 2369583 */ // Label 33474: @2369583
     /* 2369583 */ GIM_Reject,
     /* 2369584 */ // Label 33450: @2369584
     /* 2369584 */ GIM_Try, /*On fail goto*//*Label 33477*/ GIMT_Encode4(2369631),
     /* 2369589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369600 */   GIM_Try, /*On fail goto*//*Label 33478*/ GIMT_Encode4(2369615), // Rule ID 2506 //
     /* 2369605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2369608 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2369608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2369613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369614 */     // GIR_Coverage, 2506,
     /* 2369614 */     GIR_Done,
     /* 2369615 */   // Label 33478: @2369615
     /* 2369615 */   GIM_Try, /*On fail goto*//*Label 33479*/ GIMT_Encode4(2369630), // Rule ID 64428 //
     /* 2369620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2369623 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2369623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2369628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369629 */     // GIR_Coverage, 64428,
     /* 2369629 */     GIR_Done,
     /* 2369630 */   // Label 33479: @2369630
     /* 2369630 */   GIM_Reject,
     /* 2369631 */ // Label 33477: @2369631
     /* 2369631 */ GIM_Reject,
     /* 2369632 */ // Label 33451: @2369632
     /* 2369632 */ GIM_Try, /*On fail goto*//*Label 33480*/ GIMT_Encode4(2369735),
     /* 2369637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2369640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369648 */   GIM_Try, /*On fail goto*//*Label 33481*/ GIMT_Encode4(2369691), // Rule ID 59174 //
     /* 2369653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369656 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2369659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2369673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369690 */     // GIR_Coverage, 59174,
     /* 2369690 */     GIR_EraseRootFromParent_Done,
     /* 2369691 */   // Label 33481: @2369691
     /* 2369691 */   GIM_Try, /*On fail goto*//*Label 33482*/ GIMT_Encode4(2369734), // Rule ID 59175 //
     /* 2369696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369699 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2369702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2369716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369733 */     // GIR_Coverage, 59175,
     /* 2369733 */     GIR_EraseRootFromParent_Done,
     /* 2369734 */   // Label 33482: @2369734
     /* 2369734 */   GIM_Reject,
     /* 2369735 */ // Label 33480: @2369735
     /* 2369735 */ GIM_Reject,
     /* 2369736 */ // Label 33452: @2369736
     /* 2369736 */ GIM_Try, /*On fail goto*//*Label 33483*/ GIMT_Encode4(2369839),
     /* 2369741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369752 */   GIM_Try, /*On fail goto*//*Label 33484*/ GIMT_Encode4(2369795), // Rule ID 59180 //
     /* 2369757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369760 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2369777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369794 */     // GIR_Coverage, 59180,
     /* 2369794 */     GIR_EraseRootFromParent_Done,
     /* 2369795 */   // Label 33484: @2369795
     /* 2369795 */   GIM_Try, /*On fail goto*//*Label 33485*/ GIMT_Encode4(2369838), // Rule ID 59181 //
     /* 2369800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369803 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2369820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369837 */     // GIR_Coverage, 59181,
     /* 2369837 */     GIR_EraseRootFromParent_Done,
     /* 2369838 */   // Label 33485: @2369838
     /* 2369838 */   GIM_Reject,
     /* 2369839 */ // Label 33483: @2369839
     /* 2369839 */ GIM_Reject,
     /* 2369840 */ // Label 33453: @2369840
     /* 2369840 */ GIM_Try, /*On fail goto*//*Label 33486*/ GIMT_Encode4(2369943),
     /* 2369845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369856 */   GIM_Try, /*On fail goto*//*Label 33487*/ GIMT_Encode4(2369899), // Rule ID 59184 //
     /* 2369861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369864 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2369881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369898 */     // GIR_Coverage, 59184,
     /* 2369898 */     GIR_EraseRootFromParent_Done,
     /* 2369899 */   // Label 33487: @2369899
     /* 2369899 */   GIM_Try, /*On fail goto*//*Label 33488*/ GIMT_Encode4(2369942), // Rule ID 59185 //
     /* 2369904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369907 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2369924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369941 */     // GIR_Coverage, 59185,
     /* 2369941 */     GIR_EraseRootFromParent_Done,
     /* 2369942 */   // Label 33488: @2369942
     /* 2369942 */   GIM_Reject,
     /* 2369943 */ // Label 33486: @2369943
     /* 2369943 */ GIM_Reject,
     /* 2369944 */ // Label 33454: @2369944
     /* 2369944 */ GIM_Try, /*On fail goto*//*Label 33489*/ GIMT_Encode4(2370047),
     /* 2369949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369960 */   GIM_Try, /*On fail goto*//*Label 33490*/ GIMT_Encode4(2370003), // Rule ID 59192 //
     /* 2369965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2369968 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2369985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370002 */     // GIR_Coverage, 59192,
     /* 2370002 */     GIR_EraseRootFromParent_Done,
     /* 2370003 */   // Label 33490: @2370003
     /* 2370003 */   GIM_Try, /*On fail goto*//*Label 33491*/ GIMT_Encode4(2370046), // Rule ID 59193 //
     /* 2370008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2370011 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370045 */     // GIR_Coverage, 59193,
     /* 2370045 */     GIR_EraseRootFromParent_Done,
     /* 2370046 */   // Label 33491: @2370046
     /* 2370046 */   GIM_Reject,
     /* 2370047 */ // Label 33489: @2370047
     /* 2370047 */ GIM_Reject,
     /* 2370048 */ // Label 33455: @2370048
     /* 2370048 */ GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2370151),
     /* 2370053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2370056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370064 */   GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2370107), // Rule ID 59176 //
     /* 2370069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370072 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2370089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370106 */     // GIR_Coverage, 59176,
     /* 2370106 */     GIR_EraseRootFromParent_Done,
     /* 2370107 */   // Label 33493: @2370107
     /* 2370107 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2370150), // Rule ID 59177 //
     /* 2370112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370115 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2370132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370149 */     // GIR_Coverage, 59177,
     /* 2370149 */     GIR_EraseRootFromParent_Done,
     /* 2370150 */   // Label 33494: @2370150
     /* 2370150 */   GIM_Reject,
     /* 2370151 */ // Label 33492: @2370151
     /* 2370151 */ GIM_Reject,
     /* 2370152 */ // Label 33456: @2370152
     /* 2370152 */ GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2370255),
     /* 2370157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370168 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2370211), // Rule ID 59182 //
     /* 2370173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370176 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2370193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370210 */     // GIR_Coverage, 59182,
     /* 2370210 */     GIR_EraseRootFromParent_Done,
     /* 2370211 */   // Label 33496: @2370211
     /* 2370211 */   GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2370254), // Rule ID 59183 //
     /* 2370216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370219 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2370236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370253 */     // GIR_Coverage, 59183,
     /* 2370253 */     GIR_EraseRootFromParent_Done,
     /* 2370254 */   // Label 33497: @2370254
     /* 2370254 */   GIM_Reject,
     /* 2370255 */ // Label 33495: @2370255
     /* 2370255 */ GIM_Reject,
     /* 2370256 */ // Label 33457: @2370256
     /* 2370256 */ GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2370359),
     /* 2370261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2370264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370272 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2370315), // Rule ID 59190 //
     /* 2370277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370280 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370314 */     // GIR_Coverage, 59190,
     /* 2370314 */     GIR_EraseRootFromParent_Done,
     /* 2370315 */   // Label 33499: @2370315
     /* 2370315 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2370358), // Rule ID 59191 //
     /* 2370320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370323 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370357 */     // GIR_Coverage, 59191,
     /* 2370357 */     GIR_EraseRootFromParent_Done,
     /* 2370358 */   // Label 33500: @2370358
     /* 2370358 */   GIM_Reject,
     /* 2370359 */ // Label 33498: @2370359
     /* 2370359 */ GIM_Reject,
     /* 2370360 */ // Label 33458: @2370360
     /* 2370360 */ GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2370463),
     /* 2370365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2370368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370376 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2370419), // Rule ID 59212 //
     /* 2370381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2370384 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2370401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370418 */     // GIR_Coverage, 59212,
     /* 2370418 */     GIR_EraseRootFromParent_Done,
     /* 2370419 */   // Label 33502: @2370419
     /* 2370419 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2370462), // Rule ID 59213 //
     /* 2370424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2370427 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2370444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370461 */     // GIR_Coverage, 59213,
     /* 2370461 */     GIR_EraseRootFromParent_Done,
     /* 2370462 */   // Label 33503: @2370462
     /* 2370462 */   GIM_Reject,
     /* 2370463 */ // Label 33501: @2370463
     /* 2370463 */ GIM_Reject,
     /* 2370464 */ // Label 33459: @2370464
     /* 2370464 */ GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2370567),
     /* 2370469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2370472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370480 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2370523), // Rule ID 59178 //
     /* 2370485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370488 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2370505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370522 */     // GIR_Coverage, 59178,
     /* 2370522 */     GIR_EraseRootFromParent_Done,
     /* 2370523 */   // Label 33505: @2370523
     /* 2370523 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2370566), // Rule ID 59179 //
     /* 2370528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370531 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2370548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370565 */     // GIR_Coverage, 59179,
     /* 2370565 */     GIR_EraseRootFromParent_Done,
     /* 2370566 */   // Label 33506: @2370566
     /* 2370566 */   GIM_Reject,
     /* 2370567 */ // Label 33504: @2370567
     /* 2370567 */ GIM_Reject,
     /* 2370568 */ // Label 33460: @2370568
     /* 2370568 */ GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2370671),
     /* 2370573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2370576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370584 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2370627), // Rule ID 59188 //
     /* 2370589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370592 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370626 */     // GIR_Coverage, 59188,
     /* 2370626 */     GIR_EraseRootFromParent_Done,
     /* 2370627 */   // Label 33508: @2370627
     /* 2370627 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2370670), // Rule ID 59189 //
     /* 2370632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370635 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370669 */     // GIR_Coverage, 59189,
     /* 2370669 */     GIR_EraseRootFromParent_Done,
     /* 2370670 */   // Label 33509: @2370670
     /* 2370670 */   GIM_Reject,
     /* 2370671 */ // Label 33507: @2370671
     /* 2370671 */ GIM_Reject,
     /* 2370672 */ // Label 33461: @2370672
     /* 2370672 */ GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2370775),
     /* 2370677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370688 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2370731), // Rule ID 59206 //
     /* 2370693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370696 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2370713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370730 */     // GIR_Coverage, 59206,
     /* 2370730 */     GIR_EraseRootFromParent_Done,
     /* 2370731 */   // Label 33511: @2370731
     /* 2370731 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2370774), // Rule ID 59207 //
     /* 2370736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370739 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2370756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370773 */     // GIR_Coverage, 59207,
     /* 2370773 */     GIR_EraseRootFromParent_Done,
     /* 2370774 */   // Label 33512: @2370774
     /* 2370774 */   GIM_Reject,
     /* 2370775 */ // Label 33510: @2370775
     /* 2370775 */ GIM_Reject,
     /* 2370776 */ // Label 33462: @2370776
     /* 2370776 */ GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2370879),
     /* 2370781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370792 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2370835), // Rule ID 59214 //
     /* 2370797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2370800 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2370817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370834 */     // GIR_Coverage, 59214,
     /* 2370834 */     GIR_EraseRootFromParent_Done,
     /* 2370835 */   // Label 33514: @2370835
     /* 2370835 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2370878), // Rule ID 59215 //
     /* 2370840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2370843 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2370860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370877 */     // GIR_Coverage, 59215,
     /* 2370877 */     GIR_EraseRootFromParent_Done,
     /* 2370878 */   // Label 33515: @2370878
     /* 2370878 */   GIM_Reject,
     /* 2370879 */ // Label 33513: @2370879
     /* 2370879 */ GIM_Reject,
     /* 2370880 */ // Label 33463: @2370880
     /* 2370880 */ GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2370983),
     /* 2370885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2370888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370896 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2370939), // Rule ID 59186 //
     /* 2370901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370904 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2370907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370938 */     // GIR_Coverage, 59186,
     /* 2370938 */     GIR_EraseRootFromParent_Done,
     /* 2370939 */   // Label 33517: @2370939
     /* 2370939 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2370982), // Rule ID 59187 //
     /* 2370944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370947 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2370950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2370964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370981 */     // GIR_Coverage, 59187,
     /* 2370981 */     GIR_EraseRootFromParent_Done,
     /* 2370982 */   // Label 33518: @2370982
     /* 2370982 */   GIM_Reject,
     /* 2370983 */ // Label 33516: @2370983
     /* 2370983 */ GIM_Reject,
     /* 2370984 */ // Label 33464: @2370984
     /* 2370984 */ GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2371087),
     /* 2370989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2370992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371000 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2371043), // Rule ID 59200 //
     /* 2371005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371008 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2371025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371042 */     // GIR_Coverage, 59200,
     /* 2371042 */     GIR_EraseRootFromParent_Done,
     /* 2371043 */   // Label 33520: @2371043
     /* 2371043 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2371086), // Rule ID 59201 //
     /* 2371048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371051 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2371068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371085 */     // GIR_Coverage, 59201,
     /* 2371085 */     GIR_EraseRootFromParent_Done,
     /* 2371086 */   // Label 33521: @2371086
     /* 2371086 */   GIM_Reject,
     /* 2371087 */ // Label 33519: @2371087
     /* 2371087 */ GIM_Reject,
     /* 2371088 */ // Label 33465: @2371088
     /* 2371088 */ GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2371191),
     /* 2371093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2371096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371104 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2371147), // Rule ID 59208 //
     /* 2371109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371112 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371146 */     // GIR_Coverage, 59208,
     /* 2371146 */     GIR_EraseRootFromParent_Done,
     /* 2371147 */   // Label 33523: @2371147
     /* 2371147 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2371190), // Rule ID 59209 //
     /* 2371152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371155 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371189 */     // GIR_Coverage, 59209,
     /* 2371189 */     GIR_EraseRootFromParent_Done,
     /* 2371190 */   // Label 33524: @2371190
     /* 2371190 */   GIM_Reject,
     /* 2371191 */ // Label 33522: @2371191
     /* 2371191 */ GIM_Reject,
     /* 2371192 */ // Label 33466: @2371192
     /* 2371192 */ GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2371295),
     /* 2371197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2371200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371208 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2371251), // Rule ID 59216 //
     /* 2371213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2371216 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371250 */     // GIR_Coverage, 59216,
     /* 2371250 */     GIR_EraseRootFromParent_Done,
     /* 2371251 */   // Label 33526: @2371251
     /* 2371251 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2371294), // Rule ID 59217 //
     /* 2371256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2371259 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371293 */     // GIR_Coverage, 59217,
     /* 2371293 */     GIR_EraseRootFromParent_Done,
     /* 2371294 */   // Label 33527: @2371294
     /* 2371294 */   GIM_Reject,
     /* 2371295 */ // Label 33525: @2371295
     /* 2371295 */ GIM_Reject,
     /* 2371296 */ // Label 33467: @2371296
     /* 2371296 */ GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2371399),
     /* 2371301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2371304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371312 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2371355), // Rule ID 59194 //
     /* 2371317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371320 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2371337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371354 */     // GIR_Coverage, 59194,
     /* 2371354 */     GIR_EraseRootFromParent_Done,
     /* 2371355 */   // Label 33529: @2371355
     /* 2371355 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2371398), // Rule ID 59195 //
     /* 2371360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371363 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2371380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371397 */     // GIR_Coverage, 59195,
     /* 2371397 */     GIR_EraseRootFromParent_Done,
     /* 2371398 */   // Label 33530: @2371398
     /* 2371398 */   GIM_Reject,
     /* 2371399 */ // Label 33528: @2371399
     /* 2371399 */ GIM_Reject,
     /* 2371400 */ // Label 33468: @2371400
     /* 2371400 */ GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2371503),
     /* 2371405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2371408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371416 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2371459), // Rule ID 59202 //
     /* 2371421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371424 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371458 */     // GIR_Coverage, 59202,
     /* 2371458 */     GIR_EraseRootFromParent_Done,
     /* 2371459 */   // Label 33532: @2371459
     /* 2371459 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2371502), // Rule ID 59203 //
     /* 2371464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371467 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371501 */     // GIR_Coverage, 59203,
     /* 2371501 */     GIR_EraseRootFromParent_Done,
     /* 2371502 */   // Label 33533: @2371502
     /* 2371502 */   GIM_Reject,
     /* 2371503 */ // Label 33531: @2371503
     /* 2371503 */ GIM_Reject,
     /* 2371504 */ // Label 33469: @2371504
     /* 2371504 */ GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2371607),
     /* 2371509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2371512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371520 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2371563), // Rule ID 59210 //
     /* 2371525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371528 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371562 */     // GIR_Coverage, 59210,
     /* 2371562 */     GIR_EraseRootFromParent_Done,
     /* 2371563 */   // Label 33535: @2371563
     /* 2371563 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2371606), // Rule ID 59211 //
     /* 2371568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371571 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371605 */     // GIR_Coverage, 59211,
     /* 2371605 */     GIR_EraseRootFromParent_Done,
     /* 2371606 */   // Label 33536: @2371606
     /* 2371606 */   GIM_Reject,
     /* 2371607 */ // Label 33534: @2371607
     /* 2371607 */ GIM_Reject,
     /* 2371608 */ // Label 33470: @2371608
     /* 2371608 */ GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2371711),
     /* 2371613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2371616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371624 */   GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2371667), // Rule ID 59196 //
     /* 2371629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371632 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371666 */     // GIR_Coverage, 59196,
     /* 2371666 */     GIR_EraseRootFromParent_Done,
     /* 2371667 */   // Label 33538: @2371667
     /* 2371667 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2371710), // Rule ID 59197 //
     /* 2371672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371675 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2371692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371709 */     // GIR_Coverage, 59197,
     /* 2371709 */     GIR_EraseRootFromParent_Done,
     /* 2371710 */   // Label 33539: @2371710
     /* 2371710 */   GIM_Reject,
     /* 2371711 */ // Label 33537: @2371711
     /* 2371711 */ GIM_Reject,
     /* 2371712 */ // Label 33471: @2371712
     /* 2371712 */ GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2371815),
     /* 2371717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2371720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371728 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2371771), // Rule ID 59204 //
     /* 2371733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371736 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371770 */     // GIR_Coverage, 59204,
     /* 2371770 */     GIR_EraseRootFromParent_Done,
     /* 2371771 */   // Label 33541: @2371771
     /* 2371771 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2371814), // Rule ID 59205 //
     /* 2371776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371779 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371813 */     // GIR_Coverage, 59205,
     /* 2371813 */     GIR_EraseRootFromParent_Done,
     /* 2371814 */   // Label 33542: @2371814
     /* 2371814 */   GIM_Reject,
     /* 2371815 */ // Label 33540: @2371815
     /* 2371815 */ GIM_Reject,
     /* 2371816 */ // Label 33472: @2371816
     /* 2371816 */ GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2371919),
     /* 2371821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2371824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371832 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2371875), // Rule ID 59198 //
     /* 2371837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371840 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2371843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371874 */     // GIR_Coverage, 59198,
     /* 2371874 */     GIR_EraseRootFromParent_Done,
     /* 2371875 */   // Label 33544: @2371875
     /* 2371875 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2371918), // Rule ID 59199 //
     /* 2371880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371883 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2371886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2371900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371917 */     // GIR_Coverage, 59199,
     /* 2371917 */     GIR_EraseRootFromParent_Done,
     /* 2371918 */   // Label 33545: @2371918
     /* 2371918 */   GIM_Reject,
     /* 2371919 */ // Label 33543: @2371919
     /* 2371919 */ GIM_Reject,
     /* 2371920 */ // Label 33473: @2371920
     /* 2371920 */ GIM_Reject,
     /* 2371921 */ // Label 89: @2371921
     /* 2371921 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33570*/ GIMT_Encode4(2374578),
     /* 2371932 */ /*GILLT_s32*//*Label 33546*/ GIMT_Encode4(2372056),
     /* 2371936 */ /*GILLT_s64*//*Label 33547*/ GIMT_Encode4(2372173), GIMT_Encode4(0),
     /* 2371944 */ /*GILLT_nxv1s8*//*Label 33548*/ GIMT_Encode4(2372290),
     /* 2371948 */ /*GILLT_nxv1s16*//*Label 33549*/ GIMT_Encode4(2372394),
     /* 2371952 */ /*GILLT_nxv1s32*//*Label 33550*/ GIMT_Encode4(2372498),
     /* 2371956 */ /*GILLT_nxv1s64*//*Label 33551*/ GIMT_Encode4(2372602), GIMT_Encode4(0),
     /* 2371964 */ /*GILLT_nxv2s8*//*Label 33552*/ GIMT_Encode4(2372706),
     /* 2371968 */ /*GILLT_nxv2s16*//*Label 33553*/ GIMT_Encode4(2372810),
     /* 2371972 */ /*GILLT_nxv2s32*//*Label 33554*/ GIMT_Encode4(2372914),
     /* 2371976 */ /*GILLT_nxv2s64*//*Label 33555*/ GIMT_Encode4(2373018), GIMT_Encode4(0),
     /* 2371984 */ /*GILLT_nxv4s8*//*Label 33556*/ GIMT_Encode4(2373122),
     /* 2371988 */ /*GILLT_nxv4s16*//*Label 33557*/ GIMT_Encode4(2373226),
     /* 2371992 */ /*GILLT_nxv4s32*//*Label 33558*/ GIMT_Encode4(2373330),
     /* 2371996 */ /*GILLT_nxv4s64*//*Label 33559*/ GIMT_Encode4(2373434), GIMT_Encode4(0),
     /* 2372004 */ /*GILLT_nxv8s8*//*Label 33560*/ GIMT_Encode4(2373538),
     /* 2372008 */ /*GILLT_nxv8s16*//*Label 33561*/ GIMT_Encode4(2373642),
     /* 2372012 */ /*GILLT_nxv8s32*//*Label 33562*/ GIMT_Encode4(2373746),
     /* 2372016 */ /*GILLT_nxv8s64*//*Label 33563*/ GIMT_Encode4(2373850), GIMT_Encode4(0),
     /* 2372024 */ /*GILLT_nxv16s8*//*Label 33564*/ GIMT_Encode4(2373954),
     /* 2372028 */ /*GILLT_nxv16s16*//*Label 33565*/ GIMT_Encode4(2374058),
     /* 2372032 */ /*GILLT_nxv16s32*//*Label 33566*/ GIMT_Encode4(2374162), GIMT_Encode4(0),
     /* 2372040 */ /*GILLT_nxv32s8*//*Label 33567*/ GIMT_Encode4(2374266),
     /* 2372044 */ /*GILLT_nxv32s16*//*Label 33568*/ GIMT_Encode4(2374370), GIMT_Encode4(0),
     /* 2372052 */ /*GILLT_nxv64s8*//*Label 33569*/ GIMT_Encode4(2374474),
     /* 2372056 */ // Label 33546: @2372056
     /* 2372056 */ GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2372172),
     /* 2372061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372068 */   GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2372114), // Rule ID 62554 //
     /* 2372073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2372076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2372080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2372084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372097 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2372101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2372103 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2372106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2372112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372113 */     // GIR_Coverage, 62554,
     /* 2372113 */     GIR_EraseRootFromParent_Done,
     /* 2372114 */   // Label 33572: @2372114
     /* 2372114 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2372133), // Rule ID 2505 //
     /* 2372119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2372122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372126 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2372131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372132 */     // GIR_Coverage, 2505,
     /* 2372132 */     GIR_Done,
     /* 2372133 */   // Label 33573: @2372133
     /* 2372133 */   GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2372152), // Rule ID 62552 //
     /* 2372138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2372141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372145 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2372150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372151 */     // GIR_Coverage, 62552,
     /* 2372151 */     GIR_Done,
     /* 2372152 */   // Label 33574: @2372152
     /* 2372152 */   GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2372171), // Rule ID 64431 //
     /* 2372157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2372160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372164 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2372169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372170 */     // GIR_Coverage, 64431,
     /* 2372170 */     GIR_Done,
     /* 2372171 */   // Label 33575: @2372171
     /* 2372171 */   GIM_Reject,
     /* 2372172 */ // Label 33571: @2372172
     /* 2372172 */ GIM_Reject,
     /* 2372173 */ // Label 33547: @2372173
     /* 2372173 */ GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2372289),
     /* 2372178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372185 */   GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2372231), // Rule ID 62553 //
     /* 2372190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2372193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2372197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2372201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372214 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2372218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2372220 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2372223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2372229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372230 */     // GIR_Coverage, 62553,
     /* 2372230 */     GIR_EraseRootFromParent_Done,
     /* 2372231 */   // Label 33577: @2372231
     /* 2372231 */   GIM_Try, /*On fail goto*//*Label 33578*/ GIMT_Encode4(2372250), // Rule ID 2504 //
     /* 2372236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2372239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372243 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2372248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372249 */     // GIR_Coverage, 2504,
     /* 2372249 */     GIR_Done,
     /* 2372250 */   // Label 33578: @2372250
     /* 2372250 */   GIM_Try, /*On fail goto*//*Label 33579*/ GIMT_Encode4(2372269), // Rule ID 62551 //
     /* 2372255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2372258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372262 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2372267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372268 */     // GIR_Coverage, 62551,
     /* 2372268 */     GIR_Done,
     /* 2372269 */   // Label 33579: @2372269
     /* 2372269 */   GIM_Try, /*On fail goto*//*Label 33580*/ GIMT_Encode4(2372288), // Rule ID 64430 //
     /* 2372274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2372277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372281 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2372286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372287 */     // GIR_Coverage, 64430,
     /* 2372287 */     GIR_Done,
     /* 2372288 */   // Label 33580: @2372288
     /* 2372288 */   GIM_Reject,
     /* 2372289 */ // Label 33576: @2372289
     /* 2372289 */ GIM_Reject,
     /* 2372290 */ // Label 33548: @2372290
     /* 2372290 */ GIM_Try, /*On fail goto*//*Label 33581*/ GIMT_Encode4(2372393),
     /* 2372295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2372298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372306 */   GIM_Try, /*On fail goto*//*Label 33582*/ GIMT_Encode4(2372349), // Rule ID 59130 //
     /* 2372311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372314 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2372331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372348 */     // GIR_Coverage, 59130,
     /* 2372348 */     GIR_EraseRootFromParent_Done,
     /* 2372349 */   // Label 33582: @2372349
     /* 2372349 */   GIM_Try, /*On fail goto*//*Label 33583*/ GIMT_Encode4(2372392), // Rule ID 59131 //
     /* 2372354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372357 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2372374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372391 */     // GIR_Coverage, 59131,
     /* 2372391 */     GIR_EraseRootFromParent_Done,
     /* 2372392 */   // Label 33583: @2372392
     /* 2372392 */   GIM_Reject,
     /* 2372393 */ // Label 33581: @2372393
     /* 2372393 */ GIM_Reject,
     /* 2372394 */ // Label 33549: @2372394
     /* 2372394 */ GIM_Try, /*On fail goto*//*Label 33584*/ GIMT_Encode4(2372497),
     /* 2372399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372410 */   GIM_Try, /*On fail goto*//*Label 33585*/ GIMT_Encode4(2372453), // Rule ID 59136 //
     /* 2372415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372418 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2372435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372452 */     // GIR_Coverage, 59136,
     /* 2372452 */     GIR_EraseRootFromParent_Done,
     /* 2372453 */   // Label 33585: @2372453
     /* 2372453 */   GIM_Try, /*On fail goto*//*Label 33586*/ GIMT_Encode4(2372496), // Rule ID 59137 //
     /* 2372458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372461 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2372478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372495 */     // GIR_Coverage, 59137,
     /* 2372495 */     GIR_EraseRootFromParent_Done,
     /* 2372496 */   // Label 33586: @2372496
     /* 2372496 */   GIM_Reject,
     /* 2372497 */ // Label 33584: @2372497
     /* 2372497 */ GIM_Reject,
     /* 2372498 */ // Label 33550: @2372498
     /* 2372498 */ GIM_Try, /*On fail goto*//*Label 33587*/ GIMT_Encode4(2372601),
     /* 2372503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372514 */   GIM_Try, /*On fail goto*//*Label 33588*/ GIMT_Encode4(2372557), // Rule ID 59140 //
     /* 2372519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372522 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2372539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372556 */     // GIR_Coverage, 59140,
     /* 2372556 */     GIR_EraseRootFromParent_Done,
     /* 2372557 */   // Label 33588: @2372557
     /* 2372557 */   GIM_Try, /*On fail goto*//*Label 33589*/ GIMT_Encode4(2372600), // Rule ID 59141 //
     /* 2372562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372565 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2372582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372599 */     // GIR_Coverage, 59141,
     /* 2372599 */     GIR_EraseRootFromParent_Done,
     /* 2372600 */   // Label 33589: @2372600
     /* 2372600 */   GIM_Reject,
     /* 2372601 */ // Label 33587: @2372601
     /* 2372601 */ GIM_Reject,
     /* 2372602 */ // Label 33551: @2372602
     /* 2372602 */ GIM_Try, /*On fail goto*//*Label 33590*/ GIMT_Encode4(2372705),
     /* 2372607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372618 */   GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2372661), // Rule ID 59148 //
     /* 2372623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2372626 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2372643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372660 */     // GIR_Coverage, 59148,
     /* 2372660 */     GIR_EraseRootFromParent_Done,
     /* 2372661 */   // Label 33591: @2372661
     /* 2372661 */   GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2372704), // Rule ID 59149 //
     /* 2372666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2372669 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2372686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372703 */     // GIR_Coverage, 59149,
     /* 2372703 */     GIR_EraseRootFromParent_Done,
     /* 2372704 */   // Label 33592: @2372704
     /* 2372704 */   GIM_Reject,
     /* 2372705 */ // Label 33590: @2372705
     /* 2372705 */ GIM_Reject,
     /* 2372706 */ // Label 33552: @2372706
     /* 2372706 */ GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2372809),
     /* 2372711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2372714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372722 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2372765), // Rule ID 59132 //
     /* 2372727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372730 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2372747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372764 */     // GIR_Coverage, 59132,
     /* 2372764 */     GIR_EraseRootFromParent_Done,
     /* 2372765 */   // Label 33594: @2372765
     /* 2372765 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2372808), // Rule ID 59133 //
     /* 2372770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372773 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2372790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372807 */     // GIR_Coverage, 59133,
     /* 2372807 */     GIR_EraseRootFromParent_Done,
     /* 2372808 */   // Label 33595: @2372808
     /* 2372808 */   GIM_Reject,
     /* 2372809 */ // Label 33593: @2372809
     /* 2372809 */ GIM_Reject,
     /* 2372810 */ // Label 33553: @2372810
     /* 2372810 */ GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2372913),
     /* 2372815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372826 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2372869), // Rule ID 59138 //
     /* 2372831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372834 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2372851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372868 */     // GIR_Coverage, 59138,
     /* 2372868 */     GIR_EraseRootFromParent_Done,
     /* 2372869 */   // Label 33597: @2372869
     /* 2372869 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2372912), // Rule ID 59139 //
     /* 2372874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372877 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2372894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372911 */     // GIR_Coverage, 59139,
     /* 2372911 */     GIR_EraseRootFromParent_Done,
     /* 2372912 */   // Label 33598: @2372912
     /* 2372912 */   GIM_Reject,
     /* 2372913 */ // Label 33596: @2372913
     /* 2372913 */ GIM_Reject,
     /* 2372914 */ // Label 33554: @2372914
     /* 2372914 */ GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2373017),
     /* 2372919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2372922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372930 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2372973), // Rule ID 59146 //
     /* 2372935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372938 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2372955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372972 */     // GIR_Coverage, 59146,
     /* 2372972 */     GIR_EraseRootFromParent_Done,
     /* 2372973 */   // Label 33600: @2372973
     /* 2372973 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2373016), // Rule ID 59147 //
     /* 2372978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372981 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2372998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373015 */     // GIR_Coverage, 59147,
     /* 2373015 */     GIR_EraseRootFromParent_Done,
     /* 2373016 */   // Label 33601: @2373016
     /* 2373016 */   GIM_Reject,
     /* 2373017 */ // Label 33599: @2373017
     /* 2373017 */ GIM_Reject,
     /* 2373018 */ // Label 33555: @2373018
     /* 2373018 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2373121),
     /* 2373023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373034 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2373077), // Rule ID 59168 //
     /* 2373039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2373042 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373076 */     // GIR_Coverage, 59168,
     /* 2373076 */     GIR_EraseRootFromParent_Done,
     /* 2373077 */   // Label 33603: @2373077
     /* 2373077 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2373120), // Rule ID 59169 //
     /* 2373082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2373085 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373119 */     // GIR_Coverage, 59169,
     /* 2373119 */     GIR_EraseRootFromParent_Done,
     /* 2373120 */   // Label 33604: @2373120
     /* 2373120 */   GIM_Reject,
     /* 2373121 */ // Label 33602: @2373121
     /* 2373121 */ GIM_Reject,
     /* 2373122 */ // Label 33556: @2373122
     /* 2373122 */ GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2373225),
     /* 2373127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2373130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373138 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2373181), // Rule ID 59134 //
     /* 2373143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373146 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2373163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373180 */     // GIR_Coverage, 59134,
     /* 2373180 */     GIR_EraseRootFromParent_Done,
     /* 2373181 */   // Label 33606: @2373181
     /* 2373181 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2373224), // Rule ID 59135 //
     /* 2373186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373189 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2373206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373223 */     // GIR_Coverage, 59135,
     /* 2373223 */     GIR_EraseRootFromParent_Done,
     /* 2373224 */   // Label 33607: @2373224
     /* 2373224 */   GIM_Reject,
     /* 2373225 */ // Label 33605: @2373225
     /* 2373225 */ GIM_Reject,
     /* 2373226 */ // Label 33557: @2373226
     /* 2373226 */ GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2373329),
     /* 2373231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373242 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2373285), // Rule ID 59144 //
     /* 2373247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373250 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2373267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373284 */     // GIR_Coverage, 59144,
     /* 2373284 */     GIR_EraseRootFromParent_Done,
     /* 2373285 */   // Label 33609: @2373285
     /* 2373285 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2373328), // Rule ID 59145 //
     /* 2373290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373293 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2373310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373327 */     // GIR_Coverage, 59145,
     /* 2373327 */     GIR_EraseRootFromParent_Done,
     /* 2373328 */   // Label 33610: @2373328
     /* 2373328 */   GIM_Reject,
     /* 2373329 */ // Label 33608: @2373329
     /* 2373329 */ GIM_Reject,
     /* 2373330 */ // Label 33558: @2373330
     /* 2373330 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2373433),
     /* 2373335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373346 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2373389), // Rule ID 59162 //
     /* 2373351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373354 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373388 */     // GIR_Coverage, 59162,
     /* 2373388 */     GIR_EraseRootFromParent_Done,
     /* 2373389 */   // Label 33612: @2373389
     /* 2373389 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2373432), // Rule ID 59163 //
     /* 2373394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373397 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373431 */     // GIR_Coverage, 59163,
     /* 2373431 */     GIR_EraseRootFromParent_Done,
     /* 2373432 */   // Label 33613: @2373432
     /* 2373432 */   GIM_Reject,
     /* 2373433 */ // Label 33611: @2373433
     /* 2373433 */ GIM_Reject,
     /* 2373434 */ // Label 33559: @2373434
     /* 2373434 */ GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2373537),
     /* 2373439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373450 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2373493), // Rule ID 59170 //
     /* 2373455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2373458 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2373475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373492 */     // GIR_Coverage, 59170,
     /* 2373492 */     GIR_EraseRootFromParent_Done,
     /* 2373493 */   // Label 33615: @2373493
     /* 2373493 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2373536), // Rule ID 59171 //
     /* 2373498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2373501 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2373518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373535 */     // GIR_Coverage, 59171,
     /* 2373535 */     GIR_EraseRootFromParent_Done,
     /* 2373536 */   // Label 33616: @2373536
     /* 2373536 */   GIM_Reject,
     /* 2373537 */ // Label 33614: @2373537
     /* 2373537 */ GIM_Reject,
     /* 2373538 */ // Label 33560: @2373538
     /* 2373538 */ GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2373641),
     /* 2373543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2373546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373554 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2373597), // Rule ID 59142 //
     /* 2373559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373562 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2373579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373596 */     // GIR_Coverage, 59142,
     /* 2373596 */     GIR_EraseRootFromParent_Done,
     /* 2373597 */   // Label 33618: @2373597
     /* 2373597 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2373640), // Rule ID 59143 //
     /* 2373602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373605 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2373622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373639 */     // GIR_Coverage, 59143,
     /* 2373639 */     GIR_EraseRootFromParent_Done,
     /* 2373640 */   // Label 33619: @2373640
     /* 2373640 */   GIM_Reject,
     /* 2373641 */ // Label 33617: @2373641
     /* 2373641 */ GIM_Reject,
     /* 2373642 */ // Label 33561: @2373642
     /* 2373642 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2373745),
     /* 2373647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373658 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2373701), // Rule ID 59156 //
     /* 2373663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373666 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373700 */     // GIR_Coverage, 59156,
     /* 2373700 */     GIR_EraseRootFromParent_Done,
     /* 2373701 */   // Label 33621: @2373701
     /* 2373701 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2373744), // Rule ID 59157 //
     /* 2373706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373709 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373743 */     // GIR_Coverage, 59157,
     /* 2373743 */     GIR_EraseRootFromParent_Done,
     /* 2373744 */   // Label 33622: @2373744
     /* 2373744 */   GIM_Reject,
     /* 2373745 */ // Label 33620: @2373745
     /* 2373745 */ GIM_Reject,
     /* 2373746 */ // Label 33562: @2373746
     /* 2373746 */ GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2373849),
     /* 2373751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373762 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2373805), // Rule ID 59164 //
     /* 2373767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373770 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2373787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373804 */     // GIR_Coverage, 59164,
     /* 2373804 */     GIR_EraseRootFromParent_Done,
     /* 2373805 */   // Label 33624: @2373805
     /* 2373805 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2373848), // Rule ID 59165 //
     /* 2373810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2373813 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2373830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373847 */     // GIR_Coverage, 59165,
     /* 2373847 */     GIR_EraseRootFromParent_Done,
     /* 2373848 */   // Label 33625: @2373848
     /* 2373848 */   GIM_Reject,
     /* 2373849 */ // Label 33623: @2373849
     /* 2373849 */ GIM_Reject,
     /* 2373850 */ // Label 33563: @2373850
     /* 2373850 */ GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2373953),
     /* 2373855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2373858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373866 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2373909), // Rule ID 59172 //
     /* 2373871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2373874 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2373891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373908 */     // GIR_Coverage, 59172,
     /* 2373908 */     GIR_EraseRootFromParent_Done,
     /* 2373909 */   // Label 33627: @2373909
     /* 2373909 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2373952), // Rule ID 59173 //
     /* 2373914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2373917 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2373934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373951 */     // GIR_Coverage, 59173,
     /* 2373951 */     GIR_EraseRootFromParent_Done,
     /* 2373952 */   // Label 33628: @2373952
     /* 2373952 */   GIM_Reject,
     /* 2373953 */ // Label 33626: @2373953
     /* 2373953 */ GIM_Reject,
     /* 2373954 */ // Label 33564: @2373954
     /* 2373954 */ GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2374057),
     /* 2373959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2373962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373970 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2374013), // Rule ID 59150 //
     /* 2373975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2373978 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2373981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2373995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374012 */     // GIR_Coverage, 59150,
     /* 2374012 */     GIR_EraseRootFromParent_Done,
     /* 2374013 */   // Label 33630: @2374013
     /* 2374013 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2374056), // Rule ID 59151 //
     /* 2374018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374021 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2374024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2374038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374055 */     // GIR_Coverage, 59151,
     /* 2374055 */     GIR_EraseRootFromParent_Done,
     /* 2374056 */   // Label 33631: @2374056
     /* 2374056 */   GIM_Reject,
     /* 2374057 */ // Label 33629: @2374057
     /* 2374057 */ GIM_Reject,
     /* 2374058 */ // Label 33565: @2374058
     /* 2374058 */ GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2374161),
     /* 2374063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374074 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2374117), // Rule ID 59158 //
     /* 2374079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374082 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2374099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374116 */     // GIR_Coverage, 59158,
     /* 2374116 */     GIR_EraseRootFromParent_Done,
     /* 2374117 */   // Label 33633: @2374117
     /* 2374117 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2374160), // Rule ID 59159 //
     /* 2374122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374125 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2374142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374159 */     // GIR_Coverage, 59159,
     /* 2374159 */     GIR_EraseRootFromParent_Done,
     /* 2374160 */   // Label 33634: @2374160
     /* 2374160 */   GIM_Reject,
     /* 2374161 */ // Label 33632: @2374161
     /* 2374161 */ GIM_Reject,
     /* 2374162 */ // Label 33566: @2374162
     /* 2374162 */ GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2374265),
     /* 2374167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374178 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2374221), // Rule ID 59166 //
     /* 2374183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374186 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374220 */     // GIR_Coverage, 59166,
     /* 2374220 */     GIR_EraseRootFromParent_Done,
     /* 2374221 */   // Label 33636: @2374221
     /* 2374221 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2374264), // Rule ID 59167 //
     /* 2374226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374229 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374263 */     // GIR_Coverage, 59167,
     /* 2374263 */     GIR_EraseRootFromParent_Done,
     /* 2374264 */   // Label 33637: @2374264
     /* 2374264 */   GIM_Reject,
     /* 2374265 */ // Label 33635: @2374265
     /* 2374265 */ GIM_Reject,
     /* 2374266 */ // Label 33567: @2374266
     /* 2374266 */ GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2374369),
     /* 2374271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2374274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374282 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2374325), // Rule ID 59152 //
     /* 2374287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374290 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2374307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374324 */     // GIR_Coverage, 59152,
     /* 2374324 */     GIR_EraseRootFromParent_Done,
     /* 2374325 */   // Label 33639: @2374325
     /* 2374325 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2374368), // Rule ID 59153 //
     /* 2374330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374333 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2374350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374367 */     // GIR_Coverage, 59153,
     /* 2374367 */     GIR_EraseRootFromParent_Done,
     /* 2374368 */   // Label 33640: @2374368
     /* 2374368 */   GIM_Reject,
     /* 2374369 */ // Label 33638: @2374369
     /* 2374369 */ GIM_Reject,
     /* 2374370 */ // Label 33568: @2374370
     /* 2374370 */ GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2374473),
     /* 2374375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374386 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2374429), // Rule ID 59160 //
     /* 2374391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374394 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374428 */     // GIR_Coverage, 59160,
     /* 2374428 */     GIR_EraseRootFromParent_Done,
     /* 2374429 */   // Label 33642: @2374429
     /* 2374429 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2374472), // Rule ID 59161 //
     /* 2374434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374437 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374471 */     // GIR_Coverage, 59161,
     /* 2374471 */     GIR_EraseRootFromParent_Done,
     /* 2374472 */   // Label 33643: @2374472
     /* 2374472 */   GIM_Reject,
     /* 2374473 */ // Label 33641: @2374473
     /* 2374473 */ GIM_Reject,
     /* 2374474 */ // Label 33569: @2374474
     /* 2374474 */ GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2374577),
     /* 2374479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2374482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374490 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2374533), // Rule ID 59154 //
     /* 2374495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374498 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374532 */     // GIR_Coverage, 59154,
     /* 2374532 */     GIR_EraseRootFromParent_Done,
     /* 2374533 */   // Label 33645: @2374533
     /* 2374533 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2374576), // Rule ID 59155 //
     /* 2374538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374541 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2374558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374575 */     // GIR_Coverage, 59155,
     /* 2374575 */     GIR_EraseRootFromParent_Done,
     /* 2374576 */   // Label 33646: @2374576
     /* 2374576 */   GIM_Reject,
     /* 2374577 */ // Label 33644: @2374577
     /* 2374577 */ GIM_Reject,
     /* 2374578 */ // Label 33570: @2374578
     /* 2374578 */ GIM_Reject,
     /* 2374579 */ // Label 90: @2374579
     /* 2374579 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33671*/ GIMT_Encode4(2377129),
     /* 2374590 */ /*GILLT_s32*//*Label 33647*/ GIMT_Encode4(2374714),
     /* 2374594 */ /*GILLT_s64*//*Label 33648*/ GIMT_Encode4(2374762), GIMT_Encode4(0),
     /* 2374602 */ /*GILLT_nxv1s8*//*Label 33649*/ GIMT_Encode4(2374841),
     /* 2374606 */ /*GILLT_nxv1s16*//*Label 33650*/ GIMT_Encode4(2374945),
     /* 2374610 */ /*GILLT_nxv1s32*//*Label 33651*/ GIMT_Encode4(2375049),
     /* 2374614 */ /*GILLT_nxv1s64*//*Label 33652*/ GIMT_Encode4(2375153), GIMT_Encode4(0),
     /* 2374622 */ /*GILLT_nxv2s8*//*Label 33653*/ GIMT_Encode4(2375257),
     /* 2374626 */ /*GILLT_nxv2s16*//*Label 33654*/ GIMT_Encode4(2375361),
     /* 2374630 */ /*GILLT_nxv2s32*//*Label 33655*/ GIMT_Encode4(2375465),
     /* 2374634 */ /*GILLT_nxv2s64*//*Label 33656*/ GIMT_Encode4(2375569), GIMT_Encode4(0),
     /* 2374642 */ /*GILLT_nxv4s8*//*Label 33657*/ GIMT_Encode4(2375673),
     /* 2374646 */ /*GILLT_nxv4s16*//*Label 33658*/ GIMT_Encode4(2375777),
     /* 2374650 */ /*GILLT_nxv4s32*//*Label 33659*/ GIMT_Encode4(2375881),
     /* 2374654 */ /*GILLT_nxv4s64*//*Label 33660*/ GIMT_Encode4(2375985), GIMT_Encode4(0),
     /* 2374662 */ /*GILLT_nxv8s8*//*Label 33661*/ GIMT_Encode4(2376089),
     /* 2374666 */ /*GILLT_nxv8s16*//*Label 33662*/ GIMT_Encode4(2376193),
     /* 2374670 */ /*GILLT_nxv8s32*//*Label 33663*/ GIMT_Encode4(2376297),
     /* 2374674 */ /*GILLT_nxv8s64*//*Label 33664*/ GIMT_Encode4(2376401), GIMT_Encode4(0),
     /* 2374682 */ /*GILLT_nxv16s8*//*Label 33665*/ GIMT_Encode4(2376505),
     /* 2374686 */ /*GILLT_nxv16s16*//*Label 33666*/ GIMT_Encode4(2376609),
     /* 2374690 */ /*GILLT_nxv16s32*//*Label 33667*/ GIMT_Encode4(2376713), GIMT_Encode4(0),
     /* 2374698 */ /*GILLT_nxv32s8*//*Label 33668*/ GIMT_Encode4(2376817),
     /* 2374702 */ /*GILLT_nxv32s16*//*Label 33669*/ GIMT_Encode4(2376921), GIMT_Encode4(0),
     /* 2374710 */ /*GILLT_nxv64s8*//*Label 33670*/ GIMT_Encode4(2377025),
     /* 2374714 */ // Label 33647: @2374714
     /* 2374714 */ GIM_Try, /*On fail goto*//*Label 33672*/ GIMT_Encode4(2374761),
     /* 2374719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374730 */   GIM_Try, /*On fail goto*//*Label 33673*/ GIMT_Encode4(2374745), // Rule ID 2509 //
     /* 2374735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2374738 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2374738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2374743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374744 */     // GIR_Coverage, 2509,
     /* 2374744 */     GIR_Done,
     /* 2374745 */   // Label 33673: @2374745
     /* 2374745 */   GIM_Try, /*On fail goto*//*Label 33674*/ GIMT_Encode4(2374760), // Rule ID 64434 //
     /* 2374750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2374753 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2374753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2374758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374759 */     // GIR_Coverage, 64434,
     /* 2374759 */     GIR_Done,
     /* 2374760 */   // Label 33674: @2374760
     /* 2374760 */   GIM_Reject,
     /* 2374761 */ // Label 33672: @2374761
     /* 2374761 */ GIM_Reject,
     /* 2374762 */ // Label 33648: @2374762
     /* 2374762 */ GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2374840),
     /* 2374767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374774 */   GIM_Try, /*On fail goto*//*Label 33676*/ GIMT_Encode4(2374801), // Rule ID 2512 //
     /* 2374779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2374782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2374789 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2374789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2374792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2374799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374800 */     // GIR_Coverage, 2512,
     /* 2374800 */     GIR_EraseRootFromParent_Done,
     /* 2374801 */   // Label 33676: @2374801
     /* 2374801 */   GIM_Try, /*On fail goto*//*Label 33677*/ GIMT_Encode4(2374820), // Rule ID 2508 //
     /* 2374806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2374809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374813 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2374813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2374818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374819 */     // GIR_Coverage, 2508,
     /* 2374819 */     GIR_Done,
     /* 2374820 */   // Label 33677: @2374820
     /* 2374820 */   GIM_Try, /*On fail goto*//*Label 33678*/ GIMT_Encode4(2374839), // Rule ID 64433 //
     /* 2374825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2374828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374832 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2374832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2374837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374838 */     // GIR_Coverage, 64433,
     /* 2374838 */     GIR_Done,
     /* 2374839 */   // Label 33678: @2374839
     /* 2374839 */   GIM_Reject,
     /* 2374840 */ // Label 33675: @2374840
     /* 2374840 */ GIM_Reject,
     /* 2374841 */ // Label 33649: @2374841
     /* 2374841 */ GIM_Try, /*On fail goto*//*Label 33679*/ GIMT_Encode4(2374944),
     /* 2374846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2374849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374857 */   GIM_Try, /*On fail goto*//*Label 33680*/ GIMT_Encode4(2374900), // Rule ID 59218 //
     /* 2374862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374865 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2374868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2374882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374899 */     // GIR_Coverage, 59218,
     /* 2374899 */     GIR_EraseRootFromParent_Done,
     /* 2374900 */   // Label 33680: @2374900
     /* 2374900 */   GIM_Try, /*On fail goto*//*Label 33681*/ GIMT_Encode4(2374943), // Rule ID 59219 //
     /* 2374905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2374908 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2374911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2374925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374942 */     // GIR_Coverage, 59219,
     /* 2374942 */     GIR_EraseRootFromParent_Done,
     /* 2374943 */   // Label 33681: @2374943
     /* 2374943 */   GIM_Reject,
     /* 2374944 */ // Label 33679: @2374944
     /* 2374944 */ GIM_Reject,
     /* 2374945 */ // Label 33650: @2374945
     /* 2374945 */ GIM_Try, /*On fail goto*//*Label 33682*/ GIMT_Encode4(2375048),
     /* 2374950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374961 */   GIM_Try, /*On fail goto*//*Label 33683*/ GIMT_Encode4(2375004), // Rule ID 59224 //
     /* 2374966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2374969 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2374986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375003 */     // GIR_Coverage, 59224,
     /* 2375003 */     GIR_EraseRootFromParent_Done,
     /* 2375004 */   // Label 33683: @2375004
     /* 2375004 */   GIM_Try, /*On fail goto*//*Label 33684*/ GIMT_Encode4(2375047), // Rule ID 59225 //
     /* 2375009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375012 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2375029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375046 */     // GIR_Coverage, 59225,
     /* 2375046 */     GIR_EraseRootFromParent_Done,
     /* 2375047 */   // Label 33684: @2375047
     /* 2375047 */   GIM_Reject,
     /* 2375048 */ // Label 33682: @2375048
     /* 2375048 */ GIM_Reject,
     /* 2375049 */ // Label 33651: @2375049
     /* 2375049 */ GIM_Try, /*On fail goto*//*Label 33685*/ GIMT_Encode4(2375152),
     /* 2375054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375065 */   GIM_Try, /*On fail goto*//*Label 33686*/ GIMT_Encode4(2375108), // Rule ID 59228 //
     /* 2375070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375073 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375107 */     // GIR_Coverage, 59228,
     /* 2375107 */     GIR_EraseRootFromParent_Done,
     /* 2375108 */   // Label 33686: @2375108
     /* 2375108 */   GIM_Try, /*On fail goto*//*Label 33687*/ GIMT_Encode4(2375151), // Rule ID 59229 //
     /* 2375113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375116 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375150 */     // GIR_Coverage, 59229,
     /* 2375150 */     GIR_EraseRootFromParent_Done,
     /* 2375151 */   // Label 33687: @2375151
     /* 2375151 */   GIM_Reject,
     /* 2375152 */ // Label 33685: @2375152
     /* 2375152 */ GIM_Reject,
     /* 2375153 */ // Label 33652: @2375153
     /* 2375153 */ GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2375256),
     /* 2375158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375169 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2375212), // Rule ID 59236 //
     /* 2375174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2375177 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375211 */     // GIR_Coverage, 59236,
     /* 2375211 */     GIR_EraseRootFromParent_Done,
     /* 2375212 */   // Label 33689: @2375212
     /* 2375212 */   GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2375255), // Rule ID 59237 //
     /* 2375217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2375220 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375254 */     // GIR_Coverage, 59237,
     /* 2375254 */     GIR_EraseRootFromParent_Done,
     /* 2375255 */   // Label 33690: @2375255
     /* 2375255 */   GIM_Reject,
     /* 2375256 */ // Label 33688: @2375256
     /* 2375256 */ GIM_Reject,
     /* 2375257 */ // Label 33653: @2375257
     /* 2375257 */ GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2375360),
     /* 2375262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2375265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375273 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2375316), // Rule ID 59220 //
     /* 2375278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375281 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2375298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375315 */     // GIR_Coverage, 59220,
     /* 2375315 */     GIR_EraseRootFromParent_Done,
     /* 2375316 */   // Label 33692: @2375316
     /* 2375316 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2375359), // Rule ID 59221 //
     /* 2375321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375324 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2375341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375358 */     // GIR_Coverage, 59221,
     /* 2375358 */     GIR_EraseRootFromParent_Done,
     /* 2375359 */   // Label 33693: @2375359
     /* 2375359 */   GIM_Reject,
     /* 2375360 */ // Label 33691: @2375360
     /* 2375360 */ GIM_Reject,
     /* 2375361 */ // Label 33654: @2375361
     /* 2375361 */ GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2375464),
     /* 2375366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375377 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2375420), // Rule ID 59226 //
     /* 2375382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375385 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375419 */     // GIR_Coverage, 59226,
     /* 2375419 */     GIR_EraseRootFromParent_Done,
     /* 2375420 */   // Label 33695: @2375420
     /* 2375420 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2375463), // Rule ID 59227 //
     /* 2375425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375428 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375462 */     // GIR_Coverage, 59227,
     /* 2375462 */     GIR_EraseRootFromParent_Done,
     /* 2375463 */   // Label 33696: @2375463
     /* 2375463 */   GIM_Reject,
     /* 2375464 */ // Label 33694: @2375464
     /* 2375464 */ GIM_Reject,
     /* 2375465 */ // Label 33655: @2375465
     /* 2375465 */ GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2375568),
     /* 2375470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375481 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2375524), // Rule ID 59234 //
     /* 2375486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375489 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375523 */     // GIR_Coverage, 59234,
     /* 2375523 */     GIR_EraseRootFromParent_Done,
     /* 2375524 */   // Label 33698: @2375524
     /* 2375524 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2375567), // Rule ID 59235 //
     /* 2375529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375532 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375566 */     // GIR_Coverage, 59235,
     /* 2375566 */     GIR_EraseRootFromParent_Done,
     /* 2375567 */   // Label 33699: @2375567
     /* 2375567 */   GIM_Reject,
     /* 2375568 */ // Label 33697: @2375568
     /* 2375568 */ GIM_Reject,
     /* 2375569 */ // Label 33656: @2375569
     /* 2375569 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2375672),
     /* 2375574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375585 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2375628), // Rule ID 59256 //
     /* 2375590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2375593 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2375610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375627 */     // GIR_Coverage, 59256,
     /* 2375627 */     GIR_EraseRootFromParent_Done,
     /* 2375628 */   // Label 33701: @2375628
     /* 2375628 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2375671), // Rule ID 59257 //
     /* 2375633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2375636 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2375653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375670 */     // GIR_Coverage, 59257,
     /* 2375670 */     GIR_EraseRootFromParent_Done,
     /* 2375671 */   // Label 33702: @2375671
     /* 2375671 */   GIM_Reject,
     /* 2375672 */ // Label 33700: @2375672
     /* 2375672 */ GIM_Reject,
     /* 2375673 */ // Label 33657: @2375673
     /* 2375673 */ GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2375776),
     /* 2375678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2375681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375689 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2375732), // Rule ID 59222 //
     /* 2375694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375697 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375731 */     // GIR_Coverage, 59222,
     /* 2375731 */     GIR_EraseRootFromParent_Done,
     /* 2375732 */   // Label 33704: @2375732
     /* 2375732 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2375775), // Rule ID 59223 //
     /* 2375737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375740 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2375757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375774 */     // GIR_Coverage, 59223,
     /* 2375774 */     GIR_EraseRootFromParent_Done,
     /* 2375775 */   // Label 33705: @2375775
     /* 2375775 */   GIM_Reject,
     /* 2375776 */ // Label 33703: @2375776
     /* 2375776 */ GIM_Reject,
     /* 2375777 */ // Label 33658: @2375777
     /* 2375777 */ GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2375880),
     /* 2375782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375793 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2375836), // Rule ID 59232 //
     /* 2375798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375801 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375835 */     // GIR_Coverage, 59232,
     /* 2375835 */     GIR_EraseRootFromParent_Done,
     /* 2375836 */   // Label 33707: @2375836
     /* 2375836 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2375879), // Rule ID 59233 //
     /* 2375841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375844 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2375861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375878 */     // GIR_Coverage, 59233,
     /* 2375878 */     GIR_EraseRootFromParent_Done,
     /* 2375879 */   // Label 33708: @2375879
     /* 2375879 */   GIM_Reject,
     /* 2375880 */ // Label 33706: @2375880
     /* 2375880 */ GIM_Reject,
     /* 2375881 */ // Label 33659: @2375881
     /* 2375881 */ GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2375984),
     /* 2375886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375897 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2375940), // Rule ID 59250 //
     /* 2375902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375905 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2375922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375939 */     // GIR_Coverage, 59250,
     /* 2375939 */     GIR_EraseRootFromParent_Done,
     /* 2375940 */   // Label 33710: @2375940
     /* 2375940 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2375983), // Rule ID 59251 //
     /* 2375945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375948 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2375965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375982 */     // GIR_Coverage, 59251,
     /* 2375982 */     GIR_EraseRootFromParent_Done,
     /* 2375983 */   // Label 33711: @2375983
     /* 2375983 */   GIM_Reject,
     /* 2375984 */ // Label 33709: @2375984
     /* 2375984 */ GIM_Reject,
     /* 2375985 */ // Label 33660: @2375985
     /* 2375985 */ GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2376088),
     /* 2375990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376001 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2376044), // Rule ID 59258 //
     /* 2376006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2376009 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376043 */     // GIR_Coverage, 59258,
     /* 2376043 */     GIR_EraseRootFromParent_Done,
     /* 2376044 */   // Label 33713: @2376044
     /* 2376044 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2376087), // Rule ID 59259 //
     /* 2376049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2376052 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376086 */     // GIR_Coverage, 59259,
     /* 2376086 */     GIR_EraseRootFromParent_Done,
     /* 2376087 */   // Label 33714: @2376087
     /* 2376087 */   GIM_Reject,
     /* 2376088 */ // Label 33712: @2376088
     /* 2376088 */ GIM_Reject,
     /* 2376089 */ // Label 33661: @2376089
     /* 2376089 */ GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2376192),
     /* 2376094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2376097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376105 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2376148), // Rule ID 59230 //
     /* 2376110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376113 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2376130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376147 */     // GIR_Coverage, 59230,
     /* 2376147 */     GIR_EraseRootFromParent_Done,
     /* 2376148 */   // Label 33716: @2376148
     /* 2376148 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2376191), // Rule ID 59231 //
     /* 2376153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376156 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2376173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376190 */     // GIR_Coverage, 59231,
     /* 2376190 */     GIR_EraseRootFromParent_Done,
     /* 2376191 */   // Label 33717: @2376191
     /* 2376191 */   GIM_Reject,
     /* 2376192 */ // Label 33715: @2376192
     /* 2376192 */ GIM_Reject,
     /* 2376193 */ // Label 33662: @2376193
     /* 2376193 */ GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2376296),
     /* 2376198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376209 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2376252), // Rule ID 59244 //
     /* 2376214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376217 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2376234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376251 */     // GIR_Coverage, 59244,
     /* 2376251 */     GIR_EraseRootFromParent_Done,
     /* 2376252 */   // Label 33719: @2376252
     /* 2376252 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2376295), // Rule ID 59245 //
     /* 2376257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376260 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2376277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376294 */     // GIR_Coverage, 59245,
     /* 2376294 */     GIR_EraseRootFromParent_Done,
     /* 2376295 */   // Label 33720: @2376295
     /* 2376295 */   GIM_Reject,
     /* 2376296 */ // Label 33718: @2376296
     /* 2376296 */ GIM_Reject,
     /* 2376297 */ // Label 33663: @2376297
     /* 2376297 */ GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2376400),
     /* 2376302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376313 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2376356), // Rule ID 59252 //
     /* 2376318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376321 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376355 */     // GIR_Coverage, 59252,
     /* 2376355 */     GIR_EraseRootFromParent_Done,
     /* 2376356 */   // Label 33722: @2376356
     /* 2376356 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2376399), // Rule ID 59253 //
     /* 2376361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376364 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376398 */     // GIR_Coverage, 59253,
     /* 2376398 */     GIR_EraseRootFromParent_Done,
     /* 2376399 */   // Label 33723: @2376399
     /* 2376399 */   GIM_Reject,
     /* 2376400 */ // Label 33721: @2376400
     /* 2376400 */ GIM_Reject,
     /* 2376401 */ // Label 33664: @2376401
     /* 2376401 */ GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2376504),
     /* 2376406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376417 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2376460), // Rule ID 59260 //
     /* 2376422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2376425 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2376442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376459 */     // GIR_Coverage, 59260,
     /* 2376459 */     GIR_EraseRootFromParent_Done,
     /* 2376460 */   // Label 33725: @2376460
     /* 2376460 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2376503), // Rule ID 59261 //
     /* 2376465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2376468 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2376485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376502 */     // GIR_Coverage, 59261,
     /* 2376502 */     GIR_EraseRootFromParent_Done,
     /* 2376503 */   // Label 33726: @2376503
     /* 2376503 */   GIM_Reject,
     /* 2376504 */ // Label 33724: @2376504
     /* 2376504 */ GIM_Reject,
     /* 2376505 */ // Label 33665: @2376505
     /* 2376505 */ GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2376608),
     /* 2376510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2376513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376521 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2376564), // Rule ID 59238 //
     /* 2376526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376529 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2376546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376563 */     // GIR_Coverage, 59238,
     /* 2376563 */     GIR_EraseRootFromParent_Done,
     /* 2376564 */   // Label 33728: @2376564
     /* 2376564 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2376607), // Rule ID 59239 //
     /* 2376569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376572 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2376589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376606 */     // GIR_Coverage, 59239,
     /* 2376606 */     GIR_EraseRootFromParent_Done,
     /* 2376607 */   // Label 33729: @2376607
     /* 2376607 */   GIM_Reject,
     /* 2376608 */ // Label 33727: @2376608
     /* 2376608 */ GIM_Reject,
     /* 2376609 */ // Label 33666: @2376609
     /* 2376609 */ GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2376712),
     /* 2376614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376625 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2376668), // Rule ID 59246 //
     /* 2376630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376633 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376667 */     // GIR_Coverage, 59246,
     /* 2376667 */     GIR_EraseRootFromParent_Done,
     /* 2376668 */   // Label 33731: @2376668
     /* 2376668 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2376711), // Rule ID 59247 //
     /* 2376673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376676 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376710 */     // GIR_Coverage, 59247,
     /* 2376710 */     GIR_EraseRootFromParent_Done,
     /* 2376711 */   // Label 33732: @2376711
     /* 2376711 */   GIM_Reject,
     /* 2376712 */ // Label 33730: @2376712
     /* 2376712 */ GIM_Reject,
     /* 2376713 */ // Label 33667: @2376713
     /* 2376713 */ GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2376816),
     /* 2376718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376729 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2376772), // Rule ID 59254 //
     /* 2376734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376737 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2376754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376771 */     // GIR_Coverage, 59254,
     /* 2376771 */     GIR_EraseRootFromParent_Done,
     /* 2376772 */   // Label 33734: @2376772
     /* 2376772 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2376815), // Rule ID 59255 //
     /* 2376777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376780 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2376797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376814 */     // GIR_Coverage, 59255,
     /* 2376814 */     GIR_EraseRootFromParent_Done,
     /* 2376815 */   // Label 33735: @2376815
     /* 2376815 */   GIM_Reject,
     /* 2376816 */ // Label 33733: @2376816
     /* 2376816 */ GIM_Reject,
     /* 2376817 */ // Label 33668: @2376817
     /* 2376817 */ GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2376920),
     /* 2376822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2376825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376833 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2376876), // Rule ID 59240 //
     /* 2376838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376841 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376875 */     // GIR_Coverage, 59240,
     /* 2376875 */     GIR_EraseRootFromParent_Done,
     /* 2376876 */   // Label 33737: @2376876
     /* 2376876 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2376919), // Rule ID 59241 //
     /* 2376881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376884 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2376901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376918 */     // GIR_Coverage, 59241,
     /* 2376918 */     GIR_EraseRootFromParent_Done,
     /* 2376919 */   // Label 33738: @2376919
     /* 2376919 */   GIM_Reject,
     /* 2376920 */ // Label 33736: @2376920
     /* 2376920 */ GIM_Reject,
     /* 2376921 */ // Label 33669: @2376921
     /* 2376921 */ GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2377024),
     /* 2376926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376937 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2376980), // Rule ID 59248 //
     /* 2376942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376945 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2376962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376979 */     // GIR_Coverage, 59248,
     /* 2376979 */     GIR_EraseRootFromParent_Done,
     /* 2376980 */   // Label 33740: @2376980
     /* 2376980 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2377023), // Rule ID 59249 //
     /* 2376985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376988 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2377005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377022 */     // GIR_Coverage, 59249,
     /* 2377022 */     GIR_EraseRootFromParent_Done,
     /* 2377023 */   // Label 33741: @2377023
     /* 2377023 */   GIM_Reject,
     /* 2377024 */ // Label 33739: @2377024
     /* 2377024 */ GIM_Reject,
     /* 2377025 */ // Label 33670: @2377025
     /* 2377025 */ GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2377128),
     /* 2377030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2377033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377041 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2377084), // Rule ID 59242 //
     /* 2377046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377049 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2377066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377083 */     // GIR_Coverage, 59242,
     /* 2377083 */     GIR_EraseRootFromParent_Done,
     /* 2377084 */   // Label 33743: @2377084
     /* 2377084 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2377127), // Rule ID 59243 //
     /* 2377089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377092 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2377109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377126 */     // GIR_Coverage, 59243,
     /* 2377126 */     GIR_EraseRootFromParent_Done,
     /* 2377127 */   // Label 33744: @2377127
     /* 2377127 */   GIM_Reject,
     /* 2377128 */ // Label 33742: @2377128
     /* 2377128 */ GIM_Reject,
     /* 2377129 */ // Label 33671: @2377129
     /* 2377129 */ GIM_Reject,
     /* 2377130 */ // Label 91: @2377130
     /* 2377130 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33769*/ GIMT_Encode4(2379664),
     /* 2377141 */ /*GILLT_s32*//*Label 33745*/ GIMT_Encode4(2377265),
     /* 2377145 */ /*GILLT_s64*//*Label 33746*/ GIMT_Encode4(2377328), GIMT_Encode4(0),
     /* 2377153 */ /*GILLT_nxv1s8*//*Label 33747*/ GIMT_Encode4(2377376),
     /* 2377157 */ /*GILLT_nxv1s16*//*Label 33748*/ GIMT_Encode4(2377480),
     /* 2377161 */ /*GILLT_nxv1s32*//*Label 33749*/ GIMT_Encode4(2377584),
     /* 2377165 */ /*GILLT_nxv1s64*//*Label 33750*/ GIMT_Encode4(2377688), GIMT_Encode4(0),
     /* 2377173 */ /*GILLT_nxv2s8*//*Label 33751*/ GIMT_Encode4(2377792),
     /* 2377177 */ /*GILLT_nxv2s16*//*Label 33752*/ GIMT_Encode4(2377896),
     /* 2377181 */ /*GILLT_nxv2s32*//*Label 33753*/ GIMT_Encode4(2378000),
     /* 2377185 */ /*GILLT_nxv2s64*//*Label 33754*/ GIMT_Encode4(2378104), GIMT_Encode4(0),
     /* 2377193 */ /*GILLT_nxv4s8*//*Label 33755*/ GIMT_Encode4(2378208),
     /* 2377197 */ /*GILLT_nxv4s16*//*Label 33756*/ GIMT_Encode4(2378312),
     /* 2377201 */ /*GILLT_nxv4s32*//*Label 33757*/ GIMT_Encode4(2378416),
     /* 2377205 */ /*GILLT_nxv4s64*//*Label 33758*/ GIMT_Encode4(2378520), GIMT_Encode4(0),
     /* 2377213 */ /*GILLT_nxv8s8*//*Label 33759*/ GIMT_Encode4(2378624),
     /* 2377217 */ /*GILLT_nxv8s16*//*Label 33760*/ GIMT_Encode4(2378728),
     /* 2377221 */ /*GILLT_nxv8s32*//*Label 33761*/ GIMT_Encode4(2378832),
     /* 2377225 */ /*GILLT_nxv8s64*//*Label 33762*/ GIMT_Encode4(2378936), GIMT_Encode4(0),
     /* 2377233 */ /*GILLT_nxv16s8*//*Label 33763*/ GIMT_Encode4(2379040),
     /* 2377237 */ /*GILLT_nxv16s16*//*Label 33764*/ GIMT_Encode4(2379144),
     /* 2377241 */ /*GILLT_nxv16s32*//*Label 33765*/ GIMT_Encode4(2379248), GIMT_Encode4(0),
     /* 2377249 */ /*GILLT_nxv32s8*//*Label 33766*/ GIMT_Encode4(2379352),
     /* 2377253 */ /*GILLT_nxv32s16*//*Label 33767*/ GIMT_Encode4(2379456), GIMT_Encode4(0),
     /* 2377261 */ /*GILLT_nxv64s8*//*Label 33768*/ GIMT_Encode4(2379560),
     /* 2377265 */ // Label 33745: @2377265
     /* 2377265 */ GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2377327),
     /* 2377270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377281 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2377296), // Rule ID 2526 //
     /* 2377286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2377289 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377289 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2377294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377295 */     // GIR_Coverage, 2526,
     /* 2377295 */     GIR_Done,
     /* 2377296 */   // Label 33771: @2377296
     /* 2377296 */   GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2377311), // Rule ID 2527 //
     /* 2377301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2377304 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2377309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377310 */     // GIR_Coverage, 2527,
     /* 2377310 */     GIR_Done,
     /* 2377311 */   // Label 33772: @2377311
     /* 2377311 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2377326), // Rule ID 62556 //
     /* 2377316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2377319 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2377324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377325 */     // GIR_Coverage, 62556,
     /* 2377325 */     GIR_Done,
     /* 2377326 */   // Label 33773: @2377326
     /* 2377326 */   GIM_Reject,
     /* 2377327 */ // Label 33770: @2377327
     /* 2377327 */ GIM_Reject,
     /* 2377328 */ // Label 33746: @2377328
     /* 2377328 */ GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2377375),
     /* 2377333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377344 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2377359), // Rule ID 2528 //
     /* 2377349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2377352 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2377352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2377357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377358 */     // GIR_Coverage, 2528,
     /* 2377358 */     GIR_Done,
     /* 2377359 */   // Label 33775: @2377359
     /* 2377359 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2377374), // Rule ID 62555 //
     /* 2377364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2377367 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2377367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2377372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377373 */     // GIR_Coverage, 62555,
     /* 2377373 */     GIR_Done,
     /* 2377374 */   // Label 33776: @2377374
     /* 2377374 */   GIM_Reject,
     /* 2377375 */ // Label 33774: @2377375
     /* 2377375 */ GIM_Reject,
     /* 2377376 */ // Label 33747: @2377376
     /* 2377376 */ GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2377479),
     /* 2377381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2377384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377392 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2377435), // Rule ID 59086 //
     /* 2377397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2377400 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2377403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2377417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377434 */     // GIR_Coverage, 59086,
     /* 2377434 */     GIR_EraseRootFromParent_Done,
     /* 2377435 */   // Label 33778: @2377435
     /* 2377435 */   GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2377478), // Rule ID 59087 //
     /* 2377440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2377443 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2377446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2377460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377477 */     // GIR_Coverage, 59087,
     /* 2377477 */     GIR_EraseRootFromParent_Done,
     /* 2377478 */   // Label 33779: @2377478
     /* 2377478 */   GIM_Reject,
     /* 2377479 */ // Label 33777: @2377479
     /* 2377479 */ GIM_Reject,
     /* 2377480 */ // Label 33748: @2377480
     /* 2377480 */ GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2377583),
     /* 2377485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377496 */   GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2377539), // Rule ID 59092 //
     /* 2377501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2377504 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2377521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377538 */     // GIR_Coverage, 59092,
     /* 2377538 */     GIR_EraseRootFromParent_Done,
     /* 2377539 */   // Label 33781: @2377539
     /* 2377539 */   GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2377582), // Rule ID 59093 //
     /* 2377544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2377547 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2377564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377581 */     // GIR_Coverage, 59093,
     /* 2377581 */     GIR_EraseRootFromParent_Done,
     /* 2377582 */   // Label 33782: @2377582
     /* 2377582 */   GIM_Reject,
     /* 2377583 */ // Label 33780: @2377583
     /* 2377583 */ GIM_Reject,
     /* 2377584 */ // Label 33749: @2377584
     /* 2377584 */ GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2377687),
     /* 2377589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377600 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2377643), // Rule ID 59096 //
     /* 2377605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2377608 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2377625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377642 */     // GIR_Coverage, 59096,
     /* 2377642 */     GIR_EraseRootFromParent_Done,
     /* 2377643 */   // Label 33784: @2377643
     /* 2377643 */   GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2377686), // Rule ID 59097 //
     /* 2377648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2377651 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2377668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377685 */     // GIR_Coverage, 59097,
     /* 2377685 */     GIR_EraseRootFromParent_Done,
     /* 2377686 */   // Label 33785: @2377686
     /* 2377686 */   GIM_Reject,
     /* 2377687 */ // Label 33783: @2377687
     /* 2377687 */ GIM_Reject,
     /* 2377688 */ // Label 33750: @2377688
     /* 2377688 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2377791),
     /* 2377693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377704 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2377747), // Rule ID 59104 //
     /* 2377709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2377712 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2377729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377746 */     // GIR_Coverage, 59104,
     /* 2377746 */     GIR_EraseRootFromParent_Done,
     /* 2377747 */   // Label 33787: @2377747
     /* 2377747 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2377790), // Rule ID 59105 //
     /* 2377752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2377755 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2377772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377789 */     // GIR_Coverage, 59105,
     /* 2377789 */     GIR_EraseRootFromParent_Done,
     /* 2377790 */   // Label 33788: @2377790
     /* 2377790 */   GIM_Reject,
     /* 2377791 */ // Label 33786: @2377791
     /* 2377791 */ GIM_Reject,
     /* 2377792 */ // Label 33751: @2377792
     /* 2377792 */ GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2377895),
     /* 2377797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2377800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377808 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2377851), // Rule ID 59088 //
     /* 2377813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2377816 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2377819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2377833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377850 */     // GIR_Coverage, 59088,
     /* 2377850 */     GIR_EraseRootFromParent_Done,
     /* 2377851 */   // Label 33790: @2377851
     /* 2377851 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2377894), // Rule ID 59089 //
     /* 2377856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2377859 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2377862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2377876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377893 */     // GIR_Coverage, 59089,
     /* 2377893 */     GIR_EraseRootFromParent_Done,
     /* 2377894 */   // Label 33791: @2377894
     /* 2377894 */   GIM_Reject,
     /* 2377895 */ // Label 33789: @2377895
     /* 2377895 */ GIM_Reject,
     /* 2377896 */ // Label 33752: @2377896
     /* 2377896 */ GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2377999),
     /* 2377901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377912 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2377955), // Rule ID 59094 //
     /* 2377917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2377920 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2377937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377954 */     // GIR_Coverage, 59094,
     /* 2377954 */     GIR_EraseRootFromParent_Done,
     /* 2377955 */   // Label 33793: @2377955
     /* 2377955 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2377998), // Rule ID 59095 //
     /* 2377960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2377963 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2377980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377997 */     // GIR_Coverage, 59095,
     /* 2377997 */     GIR_EraseRootFromParent_Done,
     /* 2377998 */   // Label 33794: @2377998
     /* 2377998 */   GIM_Reject,
     /* 2377999 */ // Label 33792: @2377999
     /* 2377999 */ GIM_Reject,
     /* 2378000 */ // Label 33753: @2378000
     /* 2378000 */ GIM_Try, /*On fail goto*//*Label 33795*/ GIMT_Encode4(2378103),
     /* 2378005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2378008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378016 */   GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2378059), // Rule ID 59102 //
     /* 2378021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378024 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378058 */     // GIR_Coverage, 59102,
     /* 2378058 */     GIR_EraseRootFromParent_Done,
     /* 2378059 */   // Label 33796: @2378059
     /* 2378059 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2378102), // Rule ID 59103 //
     /* 2378064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378067 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378101 */     // GIR_Coverage, 59103,
     /* 2378101 */     GIR_EraseRootFromParent_Done,
     /* 2378102 */   // Label 33797: @2378102
     /* 2378102 */   GIM_Reject,
     /* 2378103 */ // Label 33795: @2378103
     /* 2378103 */ GIM_Reject,
     /* 2378104 */ // Label 33754: @2378104
     /* 2378104 */ GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2378207),
     /* 2378109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378120 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2378163), // Rule ID 59124 //
     /* 2378125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2378128 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378162 */     // GIR_Coverage, 59124,
     /* 2378162 */     GIR_EraseRootFromParent_Done,
     /* 2378163 */   // Label 33799: @2378163
     /* 2378163 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2378206), // Rule ID 59125 //
     /* 2378168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2378171 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378205 */     // GIR_Coverage, 59125,
     /* 2378205 */     GIR_EraseRootFromParent_Done,
     /* 2378206 */   // Label 33800: @2378206
     /* 2378206 */   GIM_Reject,
     /* 2378207 */ // Label 33798: @2378207
     /* 2378207 */ GIM_Reject,
     /* 2378208 */ // Label 33755: @2378208
     /* 2378208 */ GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2378311),
     /* 2378213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2378216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378224 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2378267), // Rule ID 59090 //
     /* 2378229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378232 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2378235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2378249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378266 */     // GIR_Coverage, 59090,
     /* 2378266 */     GIR_EraseRootFromParent_Done,
     /* 2378267 */   // Label 33802: @2378267
     /* 2378267 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2378310), // Rule ID 59091 //
     /* 2378272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378275 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2378278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2378292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378309 */     // GIR_Coverage, 59091,
     /* 2378309 */     GIR_EraseRootFromParent_Done,
     /* 2378310 */   // Label 33803: @2378310
     /* 2378310 */   GIM_Reject,
     /* 2378311 */ // Label 33801: @2378311
     /* 2378311 */ GIM_Reject,
     /* 2378312 */ // Label 33756: @2378312
     /* 2378312 */ GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2378415),
     /* 2378317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378328 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2378371), // Rule ID 59100 //
     /* 2378333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378336 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378370 */     // GIR_Coverage, 59100,
     /* 2378370 */     GIR_EraseRootFromParent_Done,
     /* 2378371 */   // Label 33805: @2378371
     /* 2378371 */   GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2378414), // Rule ID 59101 //
     /* 2378376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378379 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378413 */     // GIR_Coverage, 59101,
     /* 2378413 */     GIR_EraseRootFromParent_Done,
     /* 2378414 */   // Label 33806: @2378414
     /* 2378414 */   GIM_Reject,
     /* 2378415 */ // Label 33804: @2378415
     /* 2378415 */ GIM_Reject,
     /* 2378416 */ // Label 33757: @2378416
     /* 2378416 */ GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2378519),
     /* 2378421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378432 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2378475), // Rule ID 59118 //
     /* 2378437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378440 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378474 */     // GIR_Coverage, 59118,
     /* 2378474 */     GIR_EraseRootFromParent_Done,
     /* 2378475 */   // Label 33808: @2378475
     /* 2378475 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2378518), // Rule ID 59119 //
     /* 2378480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378483 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378517 */     // GIR_Coverage, 59119,
     /* 2378517 */     GIR_EraseRootFromParent_Done,
     /* 2378518 */   // Label 33809: @2378518
     /* 2378518 */   GIM_Reject,
     /* 2378519 */ // Label 33807: @2378519
     /* 2378519 */ GIM_Reject,
     /* 2378520 */ // Label 33758: @2378520
     /* 2378520 */ GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2378623),
     /* 2378525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378536 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2378579), // Rule ID 59126 //
     /* 2378541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2378544 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2378561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378578 */     // GIR_Coverage, 59126,
     /* 2378578 */     GIR_EraseRootFromParent_Done,
     /* 2378579 */   // Label 33811: @2378579
     /* 2378579 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2378622), // Rule ID 59127 //
     /* 2378584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2378587 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2378604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378621 */     // GIR_Coverage, 59127,
     /* 2378621 */     GIR_EraseRootFromParent_Done,
     /* 2378622 */   // Label 33812: @2378622
     /* 2378622 */   GIM_Reject,
     /* 2378623 */ // Label 33810: @2378623
     /* 2378623 */ GIM_Reject,
     /* 2378624 */ // Label 33759: @2378624
     /* 2378624 */ GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2378727),
     /* 2378629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2378632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378640 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2378683), // Rule ID 59098 //
     /* 2378645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378648 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378682 */     // GIR_Coverage, 59098,
     /* 2378682 */     GIR_EraseRootFromParent_Done,
     /* 2378683 */   // Label 33814: @2378683
     /* 2378683 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2378726), // Rule ID 59099 //
     /* 2378688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378691 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2378708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378725 */     // GIR_Coverage, 59099,
     /* 2378725 */     GIR_EraseRootFromParent_Done,
     /* 2378726 */   // Label 33815: @2378726
     /* 2378726 */   GIM_Reject,
     /* 2378727 */ // Label 33813: @2378727
     /* 2378727 */ GIM_Reject,
     /* 2378728 */ // Label 33760: @2378728
     /* 2378728 */ GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2378831),
     /* 2378733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378744 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2378787), // Rule ID 59112 //
     /* 2378749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378752 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378786 */     // GIR_Coverage, 59112,
     /* 2378786 */     GIR_EraseRootFromParent_Done,
     /* 2378787 */   // Label 33817: @2378787
     /* 2378787 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2378830), // Rule ID 59113 //
     /* 2378792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378795 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2378812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378829 */     // GIR_Coverage, 59113,
     /* 2378829 */     GIR_EraseRootFromParent_Done,
     /* 2378830 */   // Label 33818: @2378830
     /* 2378830 */   GIM_Reject,
     /* 2378831 */ // Label 33816: @2378831
     /* 2378831 */ GIM_Reject,
     /* 2378832 */ // Label 33761: @2378832
     /* 2378832 */ GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2378935),
     /* 2378837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378848 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2378891), // Rule ID 59120 //
     /* 2378853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2378856 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2378873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378890 */     // GIR_Coverage, 59120,
     /* 2378890 */     GIR_EraseRootFromParent_Done,
     /* 2378891 */   // Label 33820: @2378891
     /* 2378891 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2378934), // Rule ID 59121 //
     /* 2378896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2378899 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2378916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378933 */     // GIR_Coverage, 59121,
     /* 2378933 */     GIR_EraseRootFromParent_Done,
     /* 2378934 */   // Label 33821: @2378934
     /* 2378934 */   GIM_Reject,
     /* 2378935 */ // Label 33819: @2378935
     /* 2378935 */ GIM_Reject,
     /* 2378936 */ // Label 33762: @2378936
     /* 2378936 */ GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2379039),
     /* 2378941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378952 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2378995), // Rule ID 59128 //
     /* 2378957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2378960 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2378977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378994 */     // GIR_Coverage, 59128,
     /* 2378994 */     GIR_EraseRootFromParent_Done,
     /* 2378995 */   // Label 33823: @2378995
     /* 2378995 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2379038), // Rule ID 59129 //
     /* 2379000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2379003 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379037 */     // GIR_Coverage, 59129,
     /* 2379037 */     GIR_EraseRootFromParent_Done,
     /* 2379038 */   // Label 33824: @2379038
     /* 2379038 */   GIM_Reject,
     /* 2379039 */ // Label 33822: @2379039
     /* 2379039 */ GIM_Reject,
     /* 2379040 */ // Label 33763: @2379040
     /* 2379040 */ GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2379143),
     /* 2379045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2379048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379056 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2379099), // Rule ID 59106 //
     /* 2379061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379064 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2379067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2379081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379098 */     // GIR_Coverage, 59106,
     /* 2379098 */     GIR_EraseRootFromParent_Done,
     /* 2379099 */   // Label 33826: @2379099
     /* 2379099 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2379142), // Rule ID 59107 //
     /* 2379104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379107 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2379110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2379124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379141 */     // GIR_Coverage, 59107,
     /* 2379141 */     GIR_EraseRootFromParent_Done,
     /* 2379142 */   // Label 33827: @2379142
     /* 2379142 */   GIM_Reject,
     /* 2379143 */ // Label 33825: @2379143
     /* 2379143 */ GIM_Reject,
     /* 2379144 */ // Label 33764: @2379144
     /* 2379144 */ GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2379247),
     /* 2379149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2379152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379160 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2379203), // Rule ID 59114 //
     /* 2379165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379168 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2379185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379202 */     // GIR_Coverage, 59114,
     /* 2379202 */     GIR_EraseRootFromParent_Done,
     /* 2379203 */   // Label 33829: @2379203
     /* 2379203 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2379246), // Rule ID 59115 //
     /* 2379208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379211 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2379228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379245 */     // GIR_Coverage, 59115,
     /* 2379245 */     GIR_EraseRootFromParent_Done,
     /* 2379246 */   // Label 33830: @2379246
     /* 2379246 */   GIM_Reject,
     /* 2379247 */ // Label 33828: @2379247
     /* 2379247 */ GIM_Reject,
     /* 2379248 */ // Label 33765: @2379248
     /* 2379248 */ GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2379351),
     /* 2379253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2379256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379264 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2379307), // Rule ID 59122 //
     /* 2379269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379272 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379306 */     // GIR_Coverage, 59122,
     /* 2379306 */     GIR_EraseRootFromParent_Done,
     /* 2379307 */   // Label 33832: @2379307
     /* 2379307 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2379350), // Rule ID 59123 //
     /* 2379312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379315 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379349 */     // GIR_Coverage, 59123,
     /* 2379349 */     GIR_EraseRootFromParent_Done,
     /* 2379350 */   // Label 33833: @2379350
     /* 2379350 */   GIM_Reject,
     /* 2379351 */ // Label 33831: @2379351
     /* 2379351 */ GIM_Reject,
     /* 2379352 */ // Label 33766: @2379352
     /* 2379352 */ GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2379455),
     /* 2379357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2379360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379368 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2379411), // Rule ID 59108 //
     /* 2379373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379376 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2379393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379410 */     // GIR_Coverage, 59108,
     /* 2379410 */     GIR_EraseRootFromParent_Done,
     /* 2379411 */   // Label 33835: @2379411
     /* 2379411 */   GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2379454), // Rule ID 59109 //
     /* 2379416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379419 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2379436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379453 */     // GIR_Coverage, 59109,
     /* 2379453 */     GIR_EraseRootFromParent_Done,
     /* 2379454 */   // Label 33836: @2379454
     /* 2379454 */   GIM_Reject,
     /* 2379455 */ // Label 33834: @2379455
     /* 2379455 */ GIM_Reject,
     /* 2379456 */ // Label 33767: @2379456
     /* 2379456 */ GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2379559),
     /* 2379461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379472 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2379515), // Rule ID 59116 //
     /* 2379477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379480 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379514 */     // GIR_Coverage, 59116,
     /* 2379514 */     GIR_EraseRootFromParent_Done,
     /* 2379515 */   // Label 33838: @2379515
     /* 2379515 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2379558), // Rule ID 59117 //
     /* 2379520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379523 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379557 */     // GIR_Coverage, 59117,
     /* 2379557 */     GIR_EraseRootFromParent_Done,
     /* 2379558 */   // Label 33839: @2379558
     /* 2379558 */   GIM_Reject,
     /* 2379559 */ // Label 33837: @2379559
     /* 2379559 */ GIM_Reject,
     /* 2379560 */ // Label 33768: @2379560
     /* 2379560 */ GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2379663),
     /* 2379565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2379568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379576 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2379619), // Rule ID 59110 //
     /* 2379581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2379584 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379618 */     // GIR_Coverage, 59110,
     /* 2379618 */     GIR_EraseRootFromParent_Done,
     /* 2379619 */   // Label 33841: @2379619
     /* 2379619 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2379662), // Rule ID 59111 //
     /* 2379624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2379627 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2379644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379661 */     // GIR_Coverage, 59111,
     /* 2379661 */     GIR_EraseRootFromParent_Done,
     /* 2379662 */   // Label 33842: @2379662
     /* 2379662 */   GIM_Reject,
     /* 2379663 */ // Label 33840: @2379663
     /* 2379663 */ GIM_Reject,
     /* 2379664 */ // Label 33769: @2379664
     /* 2379664 */ GIM_Reject,
     /* 2379665 */ // Label 92: @2379665
     /* 2379665 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33867*/ GIMT_Encode4(2382158),
     /* 2379676 */ /*GILLT_s32*//*Label 33843*/ GIMT_Encode4(2379800),
     /* 2379680 */ /*GILLT_s64*//*Label 33844*/ GIMT_Encode4(2379835), GIMT_Encode4(0),
     /* 2379688 */ /*GILLT_nxv1s8*//*Label 33845*/ GIMT_Encode4(2379870),
     /* 2379692 */ /*GILLT_nxv1s16*//*Label 33846*/ GIMT_Encode4(2379974),
     /* 2379696 */ /*GILLT_nxv1s32*//*Label 33847*/ GIMT_Encode4(2380078),
     /* 2379700 */ /*GILLT_nxv1s64*//*Label 33848*/ GIMT_Encode4(2380182), GIMT_Encode4(0),
     /* 2379708 */ /*GILLT_nxv2s8*//*Label 33849*/ GIMT_Encode4(2380286),
     /* 2379712 */ /*GILLT_nxv2s16*//*Label 33850*/ GIMT_Encode4(2380390),
     /* 2379716 */ /*GILLT_nxv2s32*//*Label 33851*/ GIMT_Encode4(2380494),
     /* 2379720 */ /*GILLT_nxv2s64*//*Label 33852*/ GIMT_Encode4(2380598), GIMT_Encode4(0),
     /* 2379728 */ /*GILLT_nxv4s8*//*Label 33853*/ GIMT_Encode4(2380702),
     /* 2379732 */ /*GILLT_nxv4s16*//*Label 33854*/ GIMT_Encode4(2380806),
     /* 2379736 */ /*GILLT_nxv4s32*//*Label 33855*/ GIMT_Encode4(2380910),
     /* 2379740 */ /*GILLT_nxv4s64*//*Label 33856*/ GIMT_Encode4(2381014), GIMT_Encode4(0),
     /* 2379748 */ /*GILLT_nxv8s8*//*Label 33857*/ GIMT_Encode4(2381118),
     /* 2379752 */ /*GILLT_nxv8s16*//*Label 33858*/ GIMT_Encode4(2381222),
     /* 2379756 */ /*GILLT_nxv8s32*//*Label 33859*/ GIMT_Encode4(2381326),
     /* 2379760 */ /*GILLT_nxv8s64*//*Label 33860*/ GIMT_Encode4(2381430), GIMT_Encode4(0),
     /* 2379768 */ /*GILLT_nxv16s8*//*Label 33861*/ GIMT_Encode4(2381534),
     /* 2379772 */ /*GILLT_nxv16s16*//*Label 33862*/ GIMT_Encode4(2381638),
     /* 2379776 */ /*GILLT_nxv16s32*//*Label 33863*/ GIMT_Encode4(2381742), GIMT_Encode4(0),
     /* 2379784 */ /*GILLT_nxv32s8*//*Label 33864*/ GIMT_Encode4(2381846),
     /* 2379788 */ /*GILLT_nxv32s16*//*Label 33865*/ GIMT_Encode4(2381950), GIMT_Encode4(0),
     /* 2379796 */ /*GILLT_nxv64s8*//*Label 33866*/ GIMT_Encode4(2382054),
     /* 2379800 */ // Label 33843: @2379800
     /* 2379800 */ GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2379834), // Rule ID 64439 //
     /* 2379805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2379808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379819 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2379819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2379822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2379826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2379829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2379832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2379833 */   // GIR_Coverage, 64439,
     /* 2379833 */   GIR_EraseRootFromParent_Done,
     /* 2379834 */ // Label 33868: @2379834
     /* 2379834 */ GIM_Reject,
     /* 2379835 */ // Label 33844: @2379835
     /* 2379835 */ GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2379869), // Rule ID 64438 //
     /* 2379840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2379843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379854 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2379854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2379857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2379861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2379864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2379867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2379868 */   // GIR_Coverage, 64438,
     /* 2379868 */   GIR_EraseRootFromParent_Done,
     /* 2379869 */ // Label 33869: @2379869
     /* 2379869 */ GIM_Reject,
     /* 2379870 */ // Label 33845: @2379870
     /* 2379870 */ GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2379973),
     /* 2379875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2379878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379886 */   GIM_Try, /*On fail goto*//*Label 33871*/ GIMT_Encode4(2379929), // Rule ID 58910 //
     /* 2379891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379894 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2379911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379928 */     // GIR_Coverage, 58910,
     /* 2379928 */     GIR_EraseRootFromParent_Done,
     /* 2379929 */   // Label 33871: @2379929
     /* 2379929 */   GIM_Try, /*On fail goto*//*Label 33872*/ GIMT_Encode4(2379972), // Rule ID 58911 //
     /* 2379934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379937 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2379954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379971 */     // GIR_Coverage, 58911,
     /* 2379971 */     GIR_EraseRootFromParent_Done,
     /* 2379972 */   // Label 33872: @2379972
     /* 2379972 */   GIM_Reject,
     /* 2379973 */ // Label 33870: @2379973
     /* 2379973 */ GIM_Reject,
     /* 2379974 */ // Label 33846: @2379974
     /* 2379974 */ GIM_Try, /*On fail goto*//*Label 33873*/ GIMT_Encode4(2380077),
     /* 2379979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379990 */   GIM_Try, /*On fail goto*//*Label 33874*/ GIMT_Encode4(2380033), // Rule ID 59048 //
     /* 2379995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379998 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2380015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380032 */     // GIR_Coverage, 59048,
     /* 2380032 */     GIR_EraseRootFromParent_Done,
     /* 2380033 */   // Label 33874: @2380033
     /* 2380033 */   GIM_Try, /*On fail goto*//*Label 33875*/ GIMT_Encode4(2380076), // Rule ID 59049 //
     /* 2380038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380041 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2380058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380075 */     // GIR_Coverage, 59049,
     /* 2380075 */     GIR_EraseRootFromParent_Done,
     /* 2380076 */   // Label 33875: @2380076
     /* 2380076 */   GIM_Reject,
     /* 2380077 */ // Label 33873: @2380077
     /* 2380077 */ GIM_Reject,
     /* 2380078 */ // Label 33847: @2380078
     /* 2380078 */ GIM_Try, /*On fail goto*//*Label 33876*/ GIMT_Encode4(2380181),
     /* 2380083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380094 */   GIM_Try, /*On fail goto*//*Label 33877*/ GIMT_Encode4(2380137), // Rule ID 59052 //
     /* 2380099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380102 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380136 */     // GIR_Coverage, 59052,
     /* 2380136 */     GIR_EraseRootFromParent_Done,
     /* 2380137 */   // Label 33877: @2380137
     /* 2380137 */   GIM_Try, /*On fail goto*//*Label 33878*/ GIMT_Encode4(2380180), // Rule ID 59053 //
     /* 2380142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380145 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380179 */     // GIR_Coverage, 59053,
     /* 2380179 */     GIR_EraseRootFromParent_Done,
     /* 2380180 */   // Label 33878: @2380180
     /* 2380180 */   GIM_Reject,
     /* 2380181 */ // Label 33876: @2380181
     /* 2380181 */ GIM_Reject,
     /* 2380182 */ // Label 33848: @2380182
     /* 2380182 */ GIM_Try, /*On fail goto*//*Label 33879*/ GIMT_Encode4(2380285),
     /* 2380187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2380190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380198 */   GIM_Try, /*On fail goto*//*Label 33880*/ GIMT_Encode4(2380241), // Rule ID 59060 //
     /* 2380203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2380206 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380240 */     // GIR_Coverage, 59060,
     /* 2380240 */     GIR_EraseRootFromParent_Done,
     /* 2380241 */   // Label 33880: @2380241
     /* 2380241 */   GIM_Try, /*On fail goto*//*Label 33881*/ GIMT_Encode4(2380284), // Rule ID 59061 //
     /* 2380246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2380249 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380283 */     // GIR_Coverage, 59061,
     /* 2380283 */     GIR_EraseRootFromParent_Done,
     /* 2380284 */   // Label 33881: @2380284
     /* 2380284 */   GIM_Reject,
     /* 2380285 */ // Label 33879: @2380285
     /* 2380285 */ GIM_Reject,
     /* 2380286 */ // Label 33849: @2380286
     /* 2380286 */ GIM_Try, /*On fail goto*//*Label 33882*/ GIMT_Encode4(2380389),
     /* 2380291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2380294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380302 */   GIM_Try, /*On fail goto*//*Label 33883*/ GIMT_Encode4(2380345), // Rule ID 59044 //
     /* 2380307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380310 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2380327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380344 */     // GIR_Coverage, 59044,
     /* 2380344 */     GIR_EraseRootFromParent_Done,
     /* 2380345 */   // Label 33883: @2380345
     /* 2380345 */   GIM_Try, /*On fail goto*//*Label 33884*/ GIMT_Encode4(2380388), // Rule ID 59045 //
     /* 2380350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380353 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2380370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380387 */     // GIR_Coverage, 59045,
     /* 2380387 */     GIR_EraseRootFromParent_Done,
     /* 2380388 */   // Label 33884: @2380388
     /* 2380388 */   GIM_Reject,
     /* 2380389 */ // Label 33882: @2380389
     /* 2380389 */ GIM_Reject,
     /* 2380390 */ // Label 33850: @2380390
     /* 2380390 */ GIM_Try, /*On fail goto*//*Label 33885*/ GIMT_Encode4(2380493),
     /* 2380395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2380398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380406 */   GIM_Try, /*On fail goto*//*Label 33886*/ GIMT_Encode4(2380449), // Rule ID 59050 //
     /* 2380411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380414 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380448 */     // GIR_Coverage, 59050,
     /* 2380448 */     GIR_EraseRootFromParent_Done,
     /* 2380449 */   // Label 33886: @2380449
     /* 2380449 */   GIM_Try, /*On fail goto*//*Label 33887*/ GIMT_Encode4(2380492), // Rule ID 59051 //
     /* 2380454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380457 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380491 */     // GIR_Coverage, 59051,
     /* 2380491 */     GIR_EraseRootFromParent_Done,
     /* 2380492 */   // Label 33887: @2380492
     /* 2380492 */   GIM_Reject,
     /* 2380493 */ // Label 33885: @2380493
     /* 2380493 */ GIM_Reject,
     /* 2380494 */ // Label 33851: @2380494
     /* 2380494 */ GIM_Try, /*On fail goto*//*Label 33888*/ GIMT_Encode4(2380597),
     /* 2380499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2380502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380510 */   GIM_Try, /*On fail goto*//*Label 33889*/ GIMT_Encode4(2380553), // Rule ID 59058 //
     /* 2380515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380518 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380552 */     // GIR_Coverage, 59058,
     /* 2380552 */     GIR_EraseRootFromParent_Done,
     /* 2380553 */   // Label 33889: @2380553
     /* 2380553 */   GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2380596), // Rule ID 59059 //
     /* 2380558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380561 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380595 */     // GIR_Coverage, 59059,
     /* 2380595 */     GIR_EraseRootFromParent_Done,
     /* 2380596 */   // Label 33890: @2380596
     /* 2380596 */   GIM_Reject,
     /* 2380597 */ // Label 33888: @2380597
     /* 2380597 */ GIM_Reject,
     /* 2380598 */ // Label 33852: @2380598
     /* 2380598 */ GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2380701),
     /* 2380603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380614 */   GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2380657), // Rule ID 59080 //
     /* 2380619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2380622 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2380639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380656 */     // GIR_Coverage, 59080,
     /* 2380656 */     GIR_EraseRootFromParent_Done,
     /* 2380657 */   // Label 33892: @2380657
     /* 2380657 */   GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2380700), // Rule ID 59081 //
     /* 2380662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2380665 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2380682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380699 */     // GIR_Coverage, 59081,
     /* 2380699 */     GIR_EraseRootFromParent_Done,
     /* 2380700 */   // Label 33893: @2380700
     /* 2380700 */   GIM_Reject,
     /* 2380701 */ // Label 33891: @2380701
     /* 2380701 */ GIM_Reject,
     /* 2380702 */ // Label 33853: @2380702
     /* 2380702 */ GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2380805),
     /* 2380707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2380710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380718 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2380761), // Rule ID 59046 //
     /* 2380723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380726 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2380729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380760 */     // GIR_Coverage, 59046,
     /* 2380760 */     GIR_EraseRootFromParent_Done,
     /* 2380761 */   // Label 33895: @2380761
     /* 2380761 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2380804), // Rule ID 59047 //
     /* 2380766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380769 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2380772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2380786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380803 */     // GIR_Coverage, 59047,
     /* 2380803 */     GIR_EraseRootFromParent_Done,
     /* 2380804 */   // Label 33896: @2380804
     /* 2380804 */   GIM_Reject,
     /* 2380805 */ // Label 33894: @2380805
     /* 2380805 */ GIM_Reject,
     /* 2380806 */ // Label 33854: @2380806
     /* 2380806 */ GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2380909),
     /* 2380811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380822 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2380865), // Rule ID 59056 //
     /* 2380827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380830 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380864 */     // GIR_Coverage, 59056,
     /* 2380864 */     GIR_EraseRootFromParent_Done,
     /* 2380865 */   // Label 33898: @2380865
     /* 2380865 */   GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2380908), // Rule ID 59057 //
     /* 2380870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380873 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2380890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380907 */     // GIR_Coverage, 59057,
     /* 2380907 */     GIR_EraseRootFromParent_Done,
     /* 2380908 */   // Label 33899: @2380908
     /* 2380908 */   GIM_Reject,
     /* 2380909 */ // Label 33897: @2380909
     /* 2380909 */ GIM_Reject,
     /* 2380910 */ // Label 33855: @2380910
     /* 2380910 */ GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2381013),
     /* 2380915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380926 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2380969), // Rule ID 59074 //
     /* 2380931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380934 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2380951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380968 */     // GIR_Coverage, 59074,
     /* 2380968 */     GIR_EraseRootFromParent_Done,
     /* 2380969 */   // Label 33901: @2380969
     /* 2380969 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2381012), // Rule ID 59075 //
     /* 2380974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380977 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2380994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381011 */     // GIR_Coverage, 59075,
     /* 2381011 */     GIR_EraseRootFromParent_Done,
     /* 2381012 */   // Label 33902: @2381012
     /* 2381012 */   GIM_Reject,
     /* 2381013 */ // Label 33900: @2381013
     /* 2381013 */ GIM_Reject,
     /* 2381014 */ // Label 33856: @2381014
     /* 2381014 */ GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2381117),
     /* 2381019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2381022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381030 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2381073), // Rule ID 59082 //
     /* 2381035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2381038 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381072 */     // GIR_Coverage, 59082,
     /* 2381072 */     GIR_EraseRootFromParent_Done,
     /* 2381073 */   // Label 33904: @2381073
     /* 2381073 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2381116), // Rule ID 59083 //
     /* 2381078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2381081 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381115 */     // GIR_Coverage, 59083,
     /* 2381115 */     GIR_EraseRootFromParent_Done,
     /* 2381116 */   // Label 33905: @2381116
     /* 2381116 */   GIM_Reject,
     /* 2381117 */ // Label 33903: @2381117
     /* 2381117 */ GIM_Reject,
     /* 2381118 */ // Label 33857: @2381118
     /* 2381118 */ GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2381221),
     /* 2381123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2381126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381134 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2381177), // Rule ID 59054 //
     /* 2381139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381142 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2381159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381176 */     // GIR_Coverage, 59054,
     /* 2381176 */     GIR_EraseRootFromParent_Done,
     /* 2381177 */   // Label 33907: @2381177
     /* 2381177 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2381220), // Rule ID 59055 //
     /* 2381182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381185 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2381202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381219 */     // GIR_Coverage, 59055,
     /* 2381219 */     GIR_EraseRootFromParent_Done,
     /* 2381220 */   // Label 33908: @2381220
     /* 2381220 */   GIM_Reject,
     /* 2381221 */ // Label 33906: @2381221
     /* 2381221 */ GIM_Reject,
     /* 2381222 */ // Label 33858: @2381222
     /* 2381222 */ GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2381325),
     /* 2381227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2381230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381238 */   GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2381281), // Rule ID 59068 //
     /* 2381243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381246 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2381263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381280 */     // GIR_Coverage, 59068,
     /* 2381280 */     GIR_EraseRootFromParent_Done,
     /* 2381281 */   // Label 33910: @2381281
     /* 2381281 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2381324), // Rule ID 59069 //
     /* 2381286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381289 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2381306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381323 */     // GIR_Coverage, 59069,
     /* 2381323 */     GIR_EraseRootFromParent_Done,
     /* 2381324 */   // Label 33911: @2381324
     /* 2381324 */   GIM_Reject,
     /* 2381325 */ // Label 33909: @2381325
     /* 2381325 */ GIM_Reject,
     /* 2381326 */ // Label 33859: @2381326
     /* 2381326 */ GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2381429),
     /* 2381331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2381334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381342 */   GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2381385), // Rule ID 59076 //
     /* 2381347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381350 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381384 */     // GIR_Coverage, 59076,
     /* 2381384 */     GIR_EraseRootFromParent_Done,
     /* 2381385 */   // Label 33913: @2381385
     /* 2381385 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2381428), // Rule ID 59077 //
     /* 2381390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381393 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381427 */     // GIR_Coverage, 59077,
     /* 2381427 */     GIR_EraseRootFromParent_Done,
     /* 2381428 */   // Label 33914: @2381428
     /* 2381428 */   GIM_Reject,
     /* 2381429 */ // Label 33912: @2381429
     /* 2381429 */ GIM_Reject,
     /* 2381430 */ // Label 33860: @2381430
     /* 2381430 */ GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2381533),
     /* 2381435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2381438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381446 */   GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2381489), // Rule ID 59084 //
     /* 2381451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2381454 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2381471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381488 */     // GIR_Coverage, 59084,
     /* 2381488 */     GIR_EraseRootFromParent_Done,
     /* 2381489 */   // Label 33916: @2381489
     /* 2381489 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2381532), // Rule ID 59085 //
     /* 2381494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2381497 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2381514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381531 */     // GIR_Coverage, 59085,
     /* 2381531 */     GIR_EraseRootFromParent_Done,
     /* 2381532 */   // Label 33917: @2381532
     /* 2381532 */   GIM_Reject,
     /* 2381533 */ // Label 33915: @2381533
     /* 2381533 */ GIM_Reject,
     /* 2381534 */ // Label 33861: @2381534
     /* 2381534 */ GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2381637),
     /* 2381539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2381542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381550 */   GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2381593), // Rule ID 59062 //
     /* 2381555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381558 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2381561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2381575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381592 */     // GIR_Coverage, 59062,
     /* 2381592 */     GIR_EraseRootFromParent_Done,
     /* 2381593 */   // Label 33919: @2381593
     /* 2381593 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2381636), // Rule ID 59063 //
     /* 2381598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381601 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2381604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2381618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381635 */     // GIR_Coverage, 59063,
     /* 2381635 */     GIR_EraseRootFromParent_Done,
     /* 2381636 */   // Label 33920: @2381636
     /* 2381636 */   GIM_Reject,
     /* 2381637 */ // Label 33918: @2381637
     /* 2381637 */ GIM_Reject,
     /* 2381638 */ // Label 33862: @2381638
     /* 2381638 */ GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2381741),
     /* 2381643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2381646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381654 */   GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2381697), // Rule ID 59070 //
     /* 2381659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381662 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381696 */     // GIR_Coverage, 59070,
     /* 2381696 */     GIR_EraseRootFromParent_Done,
     /* 2381697 */   // Label 33922: @2381697
     /* 2381697 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2381740), // Rule ID 59071 //
     /* 2381702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381705 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381739 */     // GIR_Coverage, 59071,
     /* 2381739 */     GIR_EraseRootFromParent_Done,
     /* 2381740 */   // Label 33923: @2381740
     /* 2381740 */   GIM_Reject,
     /* 2381741 */ // Label 33921: @2381741
     /* 2381741 */ GIM_Reject,
     /* 2381742 */ // Label 33863: @2381742
     /* 2381742 */ GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2381845),
     /* 2381747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2381750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381758 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2381801), // Rule ID 59078 //
     /* 2381763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381766 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2381783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381800 */     // GIR_Coverage, 59078,
     /* 2381800 */     GIR_EraseRootFromParent_Done,
     /* 2381801 */   // Label 33925: @2381801
     /* 2381801 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2381844), // Rule ID 59079 //
     /* 2381806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381809 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2381826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381843 */     // GIR_Coverage, 59079,
     /* 2381843 */     GIR_EraseRootFromParent_Done,
     /* 2381844 */   // Label 33926: @2381844
     /* 2381844 */   GIM_Reject,
     /* 2381845 */ // Label 33924: @2381845
     /* 2381845 */ GIM_Reject,
     /* 2381846 */ // Label 33864: @2381846
     /* 2381846 */ GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2381949),
     /* 2381851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2381854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381862 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2381905), // Rule ID 59064 //
     /* 2381867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381870 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381904 */     // GIR_Coverage, 59064,
     /* 2381904 */     GIR_EraseRootFromParent_Done,
     /* 2381905 */   // Label 33928: @2381905
     /* 2381905 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2381948), // Rule ID 59065 //
     /* 2381910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381913 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2381930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381947 */     // GIR_Coverage, 59065,
     /* 2381947 */     GIR_EraseRootFromParent_Done,
     /* 2381948 */   // Label 33929: @2381948
     /* 2381948 */   GIM_Reject,
     /* 2381949 */ // Label 33927: @2381949
     /* 2381949 */ GIM_Reject,
     /* 2381950 */ // Label 33865: @2381950
     /* 2381950 */ GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2382053),
     /* 2381955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381966 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2382009), // Rule ID 59072 //
     /* 2381971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381974 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2381991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382008 */     // GIR_Coverage, 59072,
     /* 2382008 */     GIR_EraseRootFromParent_Done,
     /* 2382009 */   // Label 33931: @2382009
     /* 2382009 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2382052), // Rule ID 59073 //
     /* 2382014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382017 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2382034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382051 */     // GIR_Coverage, 59073,
     /* 2382051 */     GIR_EraseRootFromParent_Done,
     /* 2382052 */   // Label 33932: @2382052
     /* 2382052 */   GIM_Reject,
     /* 2382053 */ // Label 33930: @2382053
     /* 2382053 */ GIM_Reject,
     /* 2382054 */ // Label 33866: @2382054
     /* 2382054 */ GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2382157),
     /* 2382059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2382062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382070 */   GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2382113), // Rule ID 59066 //
     /* 2382075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382078 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2382095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382112 */     // GIR_Coverage, 59066,
     /* 2382112 */     GIR_EraseRootFromParent_Done,
     /* 2382113 */   // Label 33934: @2382113
     /* 2382113 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2382156), // Rule ID 59067 //
     /* 2382118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382121 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2382138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382155 */     // GIR_Coverage, 59067,
     /* 2382155 */     GIR_EraseRootFromParent_Done,
     /* 2382156 */   // Label 33935: @2382156
     /* 2382156 */   GIM_Reject,
     /* 2382157 */ // Label 33933: @2382157
     /* 2382157 */ GIM_Reject,
     /* 2382158 */ // Label 33867: @2382158
     /* 2382158 */ GIM_Reject,
     /* 2382159 */ // Label 93: @2382159
     /* 2382159 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33939*/ GIMT_Encode4(2382356),
     /* 2382170 */ /*GILLT_s16*//*Label 33936*/ GIMT_Encode4(2382182),
     /* 2382174 */ /*GILLT_s32*//*Label 33937*/ GIMT_Encode4(2382240),
     /* 2382178 */ /*GILLT_s64*//*Label 33938*/ GIMT_Encode4(2382298),
     /* 2382182 */ // Label 33936: @2382182
     /* 2382182 */ GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2382239),
     /* 2382187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382198 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2382218), // Rule ID 2422 //
     /* 2382203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2382206 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2382206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2382209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382217 */     // GIR_Coverage, 2422,
     /* 2382217 */     GIR_EraseRootFromParent_Done,
     /* 2382218 */   // Label 33941: @2382218
     /* 2382218 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2382238), // Rule ID 2423 //
     /* 2382223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2382226 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2382226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2382229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382237 */     // GIR_Coverage, 2423,
     /* 2382237 */     GIR_EraseRootFromParent_Done,
     /* 2382238 */   // Label 33942: @2382238
     /* 2382238 */   GIM_Reject,
     /* 2382239 */ // Label 33940: @2382239
     /* 2382239 */ GIM_Reject,
     /* 2382240 */ // Label 33937: @2382240
     /* 2382240 */ GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2382297),
     /* 2382245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382256 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2382276), // Rule ID 2340 //
     /* 2382261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2382264 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2382264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2382267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382275 */     // GIR_Coverage, 2340,
     /* 2382275 */     GIR_EraseRootFromParent_Done,
     /* 2382276 */   // Label 33944: @2382276
     /* 2382276 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2382296), // Rule ID 2341 //
     /* 2382281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2382284 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2382284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2382287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382295 */     // GIR_Coverage, 2341,
     /* 2382295 */     GIR_EraseRootFromParent_Done,
     /* 2382296 */   // Label 33945: @2382296
     /* 2382296 */   GIM_Reject,
     /* 2382297 */ // Label 33943: @2382297
     /* 2382297 */ GIM_Reject,
     /* 2382298 */ // Label 33938: @2382298
     /* 2382298 */ GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2382355),
     /* 2382303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382314 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2382334), // Rule ID 2380 //
     /* 2382319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2382322 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2382322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2382325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382333 */     // GIR_Coverage, 2380,
     /* 2382333 */     GIR_EraseRootFromParent_Done,
     /* 2382334 */   // Label 33947: @2382334
     /* 2382334 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2382354), // Rule ID 2381 //
     /* 2382339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2382342 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2382342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2382345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382353 */     // GIR_Coverage, 2381,
     /* 2382353 */     GIR_EraseRootFromParent_Done,
     /* 2382354 */   // Label 33948: @2382354
     /* 2382354 */   GIM_Reject,
     /* 2382355 */ // Label 33946: @2382355
     /* 2382355 */ GIM_Reject,
     /* 2382356 */ // Label 33939: @2382356
     /* 2382356 */ GIM_Reject,
     /* 2382357 */ // Label 94: @2382357
     /* 2382357 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33967*/ GIMT_Encode4(2384532),
     /* 2382368 */ /*GILLT_s16*//*Label 33949*/ GIMT_Encode4(2382488),
     /* 2382372 */ /*GILLT_s32*//*Label 33950*/ GIMT_Encode4(2382610),
     /* 2382376 */ /*GILLT_s64*//*Label 33951*/ GIMT_Encode4(2382732), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382388 */ /*GILLT_nxv1s16*//*Label 33952*/ GIMT_Encode4(2382882),
     /* 2382392 */ /*GILLT_nxv1s32*//*Label 33953*/ GIMT_Encode4(2382992),
     /* 2382396 */ /*GILLT_nxv1s64*//*Label 33954*/ GIMT_Encode4(2383102), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382408 */ /*GILLT_nxv2s16*//*Label 33955*/ GIMT_Encode4(2383212),
     /* 2382412 */ /*GILLT_nxv2s32*//*Label 33956*/ GIMT_Encode4(2383322),
     /* 2382416 */ /*GILLT_nxv2s64*//*Label 33957*/ GIMT_Encode4(2383432), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382428 */ /*GILLT_nxv4s16*//*Label 33958*/ GIMT_Encode4(2383542),
     /* 2382432 */ /*GILLT_nxv4s32*//*Label 33959*/ GIMT_Encode4(2383652),
     /* 2382436 */ /*GILLT_nxv4s64*//*Label 33960*/ GIMT_Encode4(2383762), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382448 */ /*GILLT_nxv8s16*//*Label 33961*/ GIMT_Encode4(2383872),
     /* 2382452 */ /*GILLT_nxv8s32*//*Label 33962*/ GIMT_Encode4(2383982),
     /* 2382456 */ /*GILLT_nxv8s64*//*Label 33963*/ GIMT_Encode4(2384092), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382468 */ /*GILLT_nxv16s16*//*Label 33964*/ GIMT_Encode4(2384202),
     /* 2382472 */ /*GILLT_nxv16s32*//*Label 33965*/ GIMT_Encode4(2384312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382484 */ /*GILLT_nxv32s16*//*Label 33966*/ GIMT_Encode4(2384422),
     /* 2382488 */ // Label 33949: @2382488
     /* 2382488 */ GIM_Try, /*On fail goto*//*Label 33968*/ GIMT_Encode4(2382609),
     /* 2382493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382496 */   GIM_Try, /*On fail goto*//*Label 33969*/ GIMT_Encode4(2382524), // Rule ID 1980 //
     /* 2382501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382512 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2382512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2382515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382523 */     // GIR_Coverage, 1980,
     /* 2382523 */     GIR_EraseRootFromParent_Done,
     /* 2382524 */   // Label 33969: @2382524
     /* 2382524 */   GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2382552), // Rule ID 1981 //
     /* 2382529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382540 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2382540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2382543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382551 */     // GIR_Coverage, 1981,
     /* 2382551 */     GIR_EraseRootFromParent_Done,
     /* 2382552 */   // Label 33970: @2382552
     /* 2382552 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2382580), // Rule ID 2013 //
     /* 2382557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382568 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2382568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2382571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382579 */     // GIR_Coverage, 2013,
     /* 2382579 */     GIR_EraseRootFromParent_Done,
     /* 2382580 */   // Label 33971: @2382580
     /* 2382580 */   GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2382608), // Rule ID 2014 //
     /* 2382585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382596 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2382596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2382599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382607 */     // GIR_Coverage, 2014,
     /* 2382607 */     GIR_EraseRootFromParent_Done,
     /* 2382608 */   // Label 33972: @2382608
     /* 2382608 */   GIM_Reject,
     /* 2382609 */ // Label 33968: @2382609
     /* 2382609 */ GIM_Reject,
     /* 2382610 */ // Label 33950: @2382610
     /* 2382610 */ GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2382731),
     /* 2382615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382618 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2382646), // Rule ID 1271 //
     /* 2382623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382634 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2382634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2382637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382645 */     // GIR_Coverage, 1271,
     /* 2382645 */     GIR_EraseRootFromParent_Done,
     /* 2382646 */   // Label 33974: @2382646
     /* 2382646 */   GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2382674), // Rule ID 1272 //
     /* 2382651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382662 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2382662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2382665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382673 */     // GIR_Coverage, 1272,
     /* 2382673 */     GIR_EraseRootFromParent_Done,
     /* 2382674 */   // Label 33975: @2382674
     /* 2382674 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2382702), // Rule ID 1279 //
     /* 2382679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2382682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382690 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2382690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2382693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382701 */     // GIR_Coverage, 1279,
     /* 2382701 */     GIR_EraseRootFromParent_Done,
     /* 2382702 */   // Label 33976: @2382702
     /* 2382702 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2382730), // Rule ID 1280 //
     /* 2382707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2382710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382718 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2382718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2382721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382729 */     // GIR_Coverage, 1280,
     /* 2382729 */     GIR_EraseRootFromParent_Done,
     /* 2382730 */   // Label 33977: @2382730
     /* 2382730 */   GIM_Reject,
     /* 2382731 */ // Label 33973: @2382731
     /* 2382731 */ GIM_Reject,
     /* 2382732 */ // Label 33951: @2382732
     /* 2382732 */ GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2382881),
     /* 2382737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382740 */   GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2382768), // Rule ID 1614 //
     /* 2382745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2382748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382756 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2382756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2382759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382767 */     // GIR_Coverage, 1614,
     /* 2382767 */     GIR_EraseRootFromParent_Done,
     /* 2382768 */   // Label 33979: @2382768
     /* 2382768 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2382796), // Rule ID 1615 //
     /* 2382773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2382776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382784 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2382784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2382787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382795 */     // GIR_Coverage, 1615,
     /* 2382795 */     GIR_EraseRootFromParent_Done,
     /* 2382796 */   // Label 33980: @2382796
     /* 2382796 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2382824), // Rule ID 1648 //
     /* 2382801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2382804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382812 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2382812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2382815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382823 */     // GIR_Coverage, 1648,
     /* 2382823 */     GIR_EraseRootFromParent_Done,
     /* 2382824 */   // Label 33981: @2382824
     /* 2382824 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2382852), // Rule ID 1669 //
     /* 2382829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2382832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382840 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2382840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2382843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382851 */     // GIR_Coverage, 1669,
     /* 2382851 */     GIR_EraseRootFromParent_Done,
     /* 2382852 */   // Label 33982: @2382852
     /* 2382852 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2382880), // Rule ID 1670 //
     /* 2382857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2382860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382868 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2382868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2382871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382879 */     // GIR_Coverage, 1670,
     /* 2382879 */     GIR_EraseRootFromParent_Done,
     /* 2382880 */   // Label 33983: @2382880
     /* 2382880 */   GIM_Reject,
     /* 2382881 */ // Label 33978: @2382881
     /* 2382881 */ GIM_Reject,
     /* 2382882 */ // Label 33952: @2382882
     /* 2382882 */ GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2382991),
     /* 2382887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2382890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382898 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2382944), // Rule ID 56228 //
     /* 2382903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382906 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2382909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2382923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382943 */     // GIR_Coverage, 56228,
     /* 2382943 */     GIR_EraseRootFromParent_Done,
     /* 2382944 */   // Label 33985: @2382944
     /* 2382944 */   GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2382990), // Rule ID 56229 //
     /* 2382949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382952 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2382955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2382969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382989 */     // GIR_Coverage, 56229,
     /* 2382989 */     GIR_EraseRootFromParent_Done,
     /* 2382990 */   // Label 33986: @2382990
     /* 2382990 */   GIM_Reject,
     /* 2382991 */ // Label 33984: @2382991
     /* 2382991 */ GIM_Reject,
     /* 2382992 */ // Label 33953: @2382992
     /* 2382992 */ GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2383101),
     /* 2382997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2383000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383008 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2383054), // Rule ID 56268 //
     /* 2383013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383016 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2383033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383053 */     // GIR_Coverage, 56268,
     /* 2383053 */     GIR_EraseRootFromParent_Done,
     /* 2383054 */   // Label 33988: @2383054
     /* 2383054 */   GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2383100), // Rule ID 56269 //
     /* 2383059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383062 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2383079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383099 */     // GIR_Coverage, 56269,
     /* 2383099 */     GIR_EraseRootFromParent_Done,
     /* 2383100 */   // Label 33989: @2383100
     /* 2383100 */   GIM_Reject,
     /* 2383101 */ // Label 33987: @2383101
     /* 2383101 */ GIM_Reject,
     /* 2383102 */ // Label 33954: @2383102
     /* 2383102 */ GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2383211),
     /* 2383107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2383110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383118 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2383164), // Rule ID 56328 //
     /* 2383123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383126 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2383143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383163 */     // GIR_Coverage, 56328,
     /* 2383163 */     GIR_EraseRootFromParent_Done,
     /* 2383164 */   // Label 33991: @2383164
     /* 2383164 */   GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2383210), // Rule ID 56329 //
     /* 2383169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383172 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2383189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383209 */     // GIR_Coverage, 56329,
     /* 2383209 */     GIR_EraseRootFromParent_Done,
     /* 2383210 */   // Label 33992: @2383210
     /* 2383210 */   GIM_Reject,
     /* 2383211 */ // Label 33990: @2383211
     /* 2383211 */ GIM_Reject,
     /* 2383212 */ // Label 33955: @2383212
     /* 2383212 */ GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2383321),
     /* 2383217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2383220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383228 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2383274), // Rule ID 56248 //
     /* 2383233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2383236 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2383253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383273 */     // GIR_Coverage, 56248,
     /* 2383273 */     GIR_EraseRootFromParent_Done,
     /* 2383274 */   // Label 33994: @2383274
     /* 2383274 */   GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2383320), // Rule ID 56249 //
     /* 2383279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2383282 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2383299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383319 */     // GIR_Coverage, 56249,
     /* 2383319 */     GIR_EraseRootFromParent_Done,
     /* 2383320 */   // Label 33995: @2383320
     /* 2383320 */   GIM_Reject,
     /* 2383321 */ // Label 33993: @2383321
     /* 2383321 */ GIM_Reject,
     /* 2383322 */ // Label 33956: @2383322
     /* 2383322 */ GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2383431),
     /* 2383327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383338 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2383384), // Rule ID 56308 //
     /* 2383343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383346 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2383363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383383 */     // GIR_Coverage, 56308,
     /* 2383383 */     GIR_EraseRootFromParent_Done,
     /* 2383384 */   // Label 33997: @2383384
     /* 2383384 */   GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2383430), // Rule ID 56309 //
     /* 2383389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383392 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2383409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383429 */     // GIR_Coverage, 56309,
     /* 2383429 */     GIR_EraseRootFromParent_Done,
     /* 2383430 */   // Label 33998: @2383430
     /* 2383430 */   GIM_Reject,
     /* 2383431 */ // Label 33996: @2383431
     /* 2383431 */ GIM_Reject,
     /* 2383432 */ // Label 33957: @2383432
     /* 2383432 */ GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2383541),
     /* 2383437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383448 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2383494), // Rule ID 56468 //
     /* 2383453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383456 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2383473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383493 */     // GIR_Coverage, 56468,
     /* 2383493 */     GIR_EraseRootFromParent_Done,
     /* 2383494 */   // Label 34000: @2383494
     /* 2383494 */   GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2383540), // Rule ID 56469 //
     /* 2383499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383502 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2383519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383539 */     // GIR_Coverage, 56469,
     /* 2383539 */     GIR_EraseRootFromParent_Done,
     /* 2383540 */   // Label 34001: @2383540
     /* 2383540 */   GIM_Reject,
     /* 2383541 */ // Label 33999: @2383541
     /* 2383541 */ GIM_Reject,
     /* 2383542 */ // Label 33958: @2383542
     /* 2383542 */ GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2383651),
     /* 2383547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2383550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383558 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2383604), // Rule ID 56288 //
     /* 2383563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2383566 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2383583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383603 */     // GIR_Coverage, 56288,
     /* 2383603 */     GIR_EraseRootFromParent_Done,
     /* 2383604 */   // Label 34003: @2383604
     /* 2383604 */   GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2383650), // Rule ID 56289 //
     /* 2383609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2383612 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2383629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383649 */     // GIR_Coverage, 56289,
     /* 2383649 */     GIR_EraseRootFromParent_Done,
     /* 2383650 */   // Label 34004: @2383650
     /* 2383650 */   GIM_Reject,
     /* 2383651 */ // Label 34002: @2383651
     /* 2383651 */ GIM_Reject,
     /* 2383652 */ // Label 33959: @2383652
     /* 2383652 */ GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2383761),
     /* 2383657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2383660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383668 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2383714), // Rule ID 56408 //
     /* 2383673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383676 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2383679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2383693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383713 */     // GIR_Coverage, 56408,
     /* 2383713 */     GIR_EraseRootFromParent_Done,
     /* 2383714 */   // Label 34006: @2383714
     /* 2383714 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2383760), // Rule ID 56409 //
     /* 2383719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383722 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2383725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2383739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383759 */     // GIR_Coverage, 56409,
     /* 2383759 */     GIR_EraseRootFromParent_Done,
     /* 2383760 */   // Label 34007: @2383760
     /* 2383760 */   GIM_Reject,
     /* 2383761 */ // Label 34005: @2383761
     /* 2383761 */ GIM_Reject,
     /* 2383762 */ // Label 33960: @2383762
     /* 2383762 */ GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2383871),
     /* 2383767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2383770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383778 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2383824), // Rule ID 56488 //
     /* 2383783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383786 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2383789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2383803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383823 */     // GIR_Coverage, 56488,
     /* 2383823 */     GIR_EraseRootFromParent_Done,
     /* 2383824 */   // Label 34009: @2383824
     /* 2383824 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2383870), // Rule ID 56489 //
     /* 2383829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383832 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2383835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2383849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383869 */     // GIR_Coverage, 56489,
     /* 2383869 */     GIR_EraseRootFromParent_Done,
     /* 2383870 */   // Label 34010: @2383870
     /* 2383870 */   GIM_Reject,
     /* 2383871 */ // Label 34008: @2383871
     /* 2383871 */ GIM_Reject,
     /* 2383872 */ // Label 33961: @2383872
     /* 2383872 */ GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2383981),
     /* 2383877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2383880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383888 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2383934), // Rule ID 56348 //
     /* 2383893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2383896 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2383899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2383913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383933 */     // GIR_Coverage, 56348,
     /* 2383933 */     GIR_EraseRootFromParent_Done,
     /* 2383934 */   // Label 34012: @2383934
     /* 2383934 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2383980), // Rule ID 56349 //
     /* 2383939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2383942 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2383945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2383959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383979 */     // GIR_Coverage, 56349,
     /* 2383979 */     GIR_EraseRootFromParent_Done,
     /* 2383980 */   // Label 34013: @2383980
     /* 2383980 */   GIM_Reject,
     /* 2383981 */ // Label 34011: @2383981
     /* 2383981 */ GIM_Reject,
     /* 2383982 */ // Label 33962: @2383982
     /* 2383982 */ GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2384091),
     /* 2383987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2383990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383998 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2384044), // Rule ID 56428 //
     /* 2384003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2384006 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2384023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384043 */     // GIR_Coverage, 56428,
     /* 2384043 */     GIR_EraseRootFromParent_Done,
     /* 2384044 */   // Label 34015: @2384044
     /* 2384044 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2384090), // Rule ID 56429 //
     /* 2384049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2384052 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2384069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384089 */     // GIR_Coverage, 56429,
     /* 2384089 */     GIR_EraseRootFromParent_Done,
     /* 2384090 */   // Label 34016: @2384090
     /* 2384090 */   GIM_Reject,
     /* 2384091 */ // Label 34014: @2384091
     /* 2384091 */ GIM_Reject,
     /* 2384092 */ // Label 33963: @2384092
     /* 2384092 */ GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2384201),
     /* 2384097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2384100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384108 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2384154), // Rule ID 56508 //
     /* 2384113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384116 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2384133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384153 */     // GIR_Coverage, 56508,
     /* 2384153 */     GIR_EraseRootFromParent_Done,
     /* 2384154 */   // Label 34018: @2384154
     /* 2384154 */   GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2384200), // Rule ID 56509 //
     /* 2384159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384162 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2384179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384199 */     // GIR_Coverage, 56509,
     /* 2384199 */     GIR_EraseRootFromParent_Done,
     /* 2384200 */   // Label 34019: @2384200
     /* 2384200 */   GIM_Reject,
     /* 2384201 */ // Label 34017: @2384201
     /* 2384201 */ GIM_Reject,
     /* 2384202 */ // Label 33964: @2384202
     /* 2384202 */ GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2384311),
     /* 2384207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2384210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384218 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2384264), // Rule ID 56368 //
     /* 2384223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384226 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2384243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384263 */     // GIR_Coverage, 56368,
     /* 2384263 */     GIR_EraseRootFromParent_Done,
     /* 2384264 */   // Label 34021: @2384264
     /* 2384264 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2384310), // Rule ID 56369 //
     /* 2384269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384272 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2384289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384309 */     // GIR_Coverage, 56369,
     /* 2384309 */     GIR_EraseRootFromParent_Done,
     /* 2384310 */   // Label 34022: @2384310
     /* 2384310 */   GIM_Reject,
     /* 2384311 */ // Label 34020: @2384311
     /* 2384311 */ GIM_Reject,
     /* 2384312 */ // Label 33965: @2384312
     /* 2384312 */ GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2384421),
     /* 2384317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2384320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384328 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2384374), // Rule ID 56448 //
     /* 2384333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2384336 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2384353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384373 */     // GIR_Coverage, 56448,
     /* 2384373 */     GIR_EraseRootFromParent_Done,
     /* 2384374 */   // Label 34024: @2384374
     /* 2384374 */   GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2384420), // Rule ID 56449 //
     /* 2384379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2384382 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2384399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384419 */     // GIR_Coverage, 56449,
     /* 2384419 */     GIR_EraseRootFromParent_Done,
     /* 2384420 */   // Label 34025: @2384420
     /* 2384420 */   GIM_Reject,
     /* 2384421 */ // Label 34023: @2384421
     /* 2384421 */ GIM_Reject,
     /* 2384422 */ // Label 33966: @2384422
     /* 2384422 */ GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2384531),
     /* 2384427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2384430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384438 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2384484), // Rule ID 56388 //
     /* 2384443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384446 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2384449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2384463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384483 */     // GIR_Coverage, 56388,
     /* 2384483 */     GIR_EraseRootFromParent_Done,
     /* 2384484 */   // Label 34027: @2384484
     /* 2384484 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2384530), // Rule ID 56389 //
     /* 2384489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384492 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2384495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2384509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384529 */     // GIR_Coverage, 56389,
     /* 2384529 */     GIR_EraseRootFromParent_Done,
     /* 2384530 */   // Label 34028: @2384530
     /* 2384530 */   GIM_Reject,
     /* 2384531 */ // Label 34026: @2384531
     /* 2384531 */ GIM_Reject,
     /* 2384532 */ // Label 33967: @2384532
     /* 2384532 */ GIM_Reject,
     /* 2384533 */ // Label 95: @2384533
     /* 2384533 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34032*/ GIMT_Encode4(2384730),
     /* 2384544 */ /*GILLT_s16*//*Label 34029*/ GIMT_Encode4(2384556),
     /* 2384548 */ /*GILLT_s32*//*Label 34030*/ GIMT_Encode4(2384614),
     /* 2384552 */ /*GILLT_s64*//*Label 34031*/ GIMT_Encode4(2384672),
     /* 2384556 */ // Label 34029: @2384556
     /* 2384556 */ GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2384613),
     /* 2384561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2384564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384572 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2384592), // Rule ID 2418 //
     /* 2384577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2384580 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2384580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2384583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384591 */     // GIR_Coverage, 2418,
     /* 2384591 */     GIR_EraseRootFromParent_Done,
     /* 2384592 */   // Label 34034: @2384592
     /* 2384592 */   GIM_Try, /*On fail goto*//*Label 34035*/ GIMT_Encode4(2384612), // Rule ID 2419 //
     /* 2384597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2384600 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2384600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2384603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384611 */     // GIR_Coverage, 2419,
     /* 2384611 */     GIR_EraseRootFromParent_Done,
     /* 2384612 */   // Label 34035: @2384612
     /* 2384612 */   GIM_Reject,
     /* 2384613 */ // Label 34033: @2384613
     /* 2384613 */ GIM_Reject,
     /* 2384614 */ // Label 34030: @2384614
     /* 2384614 */ GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2384671),
     /* 2384619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384630 */   GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2384650), // Rule ID 2336 //
     /* 2384635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2384638 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2384638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2384641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384649 */     // GIR_Coverage, 2336,
     /* 2384649 */     GIR_EraseRootFromParent_Done,
     /* 2384650 */   // Label 34037: @2384650
     /* 2384650 */   GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2384670), // Rule ID 2337 //
     /* 2384655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2384658 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2384658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2384661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384669 */     // GIR_Coverage, 2337,
     /* 2384669 */     GIR_EraseRootFromParent_Done,
     /* 2384670 */   // Label 34038: @2384670
     /* 2384670 */   GIM_Reject,
     /* 2384671 */ // Label 34036: @2384671
     /* 2384671 */ GIM_Reject,
     /* 2384672 */ // Label 34031: @2384672
     /* 2384672 */ GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2384729),
     /* 2384677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384688 */   GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2384708), // Rule ID 2376 //
     /* 2384693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2384696 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2384696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2384699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384707 */     // GIR_Coverage, 2376,
     /* 2384707 */     GIR_EraseRootFromParent_Done,
     /* 2384708 */   // Label 34040: @2384708
     /* 2384708 */   GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2384728), // Rule ID 2377 //
     /* 2384713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2384716 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2384716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2384719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2384726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384727 */     // GIR_Coverage, 2377,
     /* 2384727 */     GIR_EraseRootFromParent_Done,
     /* 2384728 */   // Label 34041: @2384728
     /* 2384728 */   GIM_Reject,
     /* 2384729 */ // Label 34039: @2384729
     /* 2384729 */ GIM_Reject,
     /* 2384730 */ // Label 34032: @2384730
     /* 2384730 */ GIM_Reject,
     /* 2384731 */ // Label 96: @2384731
     /* 2384731 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34045*/ GIMT_Encode4(2384928),
     /* 2384742 */ /*GILLT_s16*//*Label 34042*/ GIMT_Encode4(2384754),
     /* 2384746 */ /*GILLT_s32*//*Label 34043*/ GIMT_Encode4(2384812),
     /* 2384750 */ /*GILLT_s64*//*Label 34044*/ GIMT_Encode4(2384870),
     /* 2384754 */ // Label 34042: @2384754
     /* 2384754 */ GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2384811),
     /* 2384759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2384762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384770 */   GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2384790), // Rule ID 2402 //
     /* 2384775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2384778 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2384778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2384781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384789 */     // GIR_Coverage, 2402,
     /* 2384789 */     GIR_EraseRootFromParent_Done,
     /* 2384790 */   // Label 34047: @2384790
     /* 2384790 */   GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2384810), // Rule ID 2403 //
     /* 2384795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2384798 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2384798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2384801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384809 */     // GIR_Coverage, 2403,
     /* 2384809 */     GIR_EraseRootFromParent_Done,
     /* 2384810 */   // Label 34048: @2384810
     /* 2384810 */   GIM_Reject,
     /* 2384811 */ // Label 34046: @2384811
     /* 2384811 */ GIM_Reject,
     /* 2384812 */ // Label 34043: @2384812
     /* 2384812 */ GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2384869),
     /* 2384817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384828 */   GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2384848), // Rule ID 2320 //
     /* 2384833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2384836 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2384836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2384839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384847 */     // GIR_Coverage, 2320,
     /* 2384847 */     GIR_EraseRootFromParent_Done,
     /* 2384848 */   // Label 34050: @2384848
     /* 2384848 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2384868), // Rule ID 2321 //
     /* 2384853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2384856 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2384856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2384859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384867 */     // GIR_Coverage, 2321,
     /* 2384867 */     GIR_EraseRootFromParent_Done,
     /* 2384868 */   // Label 34051: @2384868
     /* 2384868 */   GIM_Reject,
     /* 2384869 */ // Label 34049: @2384869
     /* 2384869 */ GIM_Reject,
     /* 2384870 */ // Label 34044: @2384870
     /* 2384870 */ GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2384927),
     /* 2384875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384886 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2384906), // Rule ID 2360 //
     /* 2384891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2384894 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2384894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2384897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384905 */     // GIR_Coverage, 2360,
     /* 2384905 */     GIR_EraseRootFromParent_Done,
     /* 2384906 */   // Label 34053: @2384906
     /* 2384906 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2384926), // Rule ID 2361 //
     /* 2384911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2384914 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2384914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2384917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384925 */     // GIR_Coverage, 2361,
     /* 2384925 */     GIR_EraseRootFromParent_Done,
     /* 2384926 */   // Label 34054: @2384926
     /* 2384926 */   GIM_Reject,
     /* 2384927 */ // Label 34052: @2384927
     /* 2384927 */ GIM_Reject,
     /* 2384928 */ // Label 34045: @2384928
     /* 2384928 */ GIM_Reject,
     /* 2384929 */ // Label 97: @2384929
     /* 2384929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34058*/ GIMT_Encode4(2385126),
     /* 2384940 */ /*GILLT_s16*//*Label 34055*/ GIMT_Encode4(2384952),
     /* 2384944 */ /*GILLT_s32*//*Label 34056*/ GIMT_Encode4(2385010),
     /* 2384948 */ /*GILLT_s64*//*Label 34057*/ GIMT_Encode4(2385068),
     /* 2384952 */ // Label 34055: @2384952
     /* 2384952 */ GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2385009),
     /* 2384957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2384960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2384968 */   GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2384988), // Rule ID 2406 //
     /* 2384973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2384976 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2384976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2384979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384987 */     // GIR_Coverage, 2406,
     /* 2384987 */     GIR_EraseRootFromParent_Done,
     /* 2384988 */   // Label 34060: @2384988
     /* 2384988 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2385008), // Rule ID 2407 //
     /* 2384993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2384996 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2384996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2384999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385007 */     // GIR_Coverage, 2407,
     /* 2385007 */     GIR_EraseRootFromParent_Done,
     /* 2385008 */   // Label 34061: @2385008
     /* 2385008 */   GIM_Reject,
     /* 2385009 */ // Label 34059: @2385009
     /* 2385009 */ GIM_Reject,
     /* 2385010 */ // Label 34056: @2385010
     /* 2385010 */ GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2385067),
     /* 2385015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2385018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385026 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2385046), // Rule ID 2324 //
     /* 2385031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2385034 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2385034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2385037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385045 */     // GIR_Coverage, 2324,
     /* 2385045 */     GIR_EraseRootFromParent_Done,
     /* 2385046 */   // Label 34063: @2385046
     /* 2385046 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2385066), // Rule ID 2325 //
     /* 2385051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2385054 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2385054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2385057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385065 */     // GIR_Coverage, 2325,
     /* 2385065 */     GIR_EraseRootFromParent_Done,
     /* 2385066 */   // Label 34064: @2385066
     /* 2385066 */   GIM_Reject,
     /* 2385067 */ // Label 34062: @2385067
     /* 2385067 */ GIM_Reject,
     /* 2385068 */ // Label 34057: @2385068
     /* 2385068 */ GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2385125),
     /* 2385073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385084 */   GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2385104), // Rule ID 2364 //
     /* 2385089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2385092 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2385092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2385095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385103 */     // GIR_Coverage, 2364,
     /* 2385103 */     GIR_EraseRootFromParent_Done,
     /* 2385104 */   // Label 34066: @2385104
     /* 2385104 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2385124), // Rule ID 2365 //
     /* 2385109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2385112 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2385112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2385115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385123 */     // GIR_Coverage, 2365,
     /* 2385123 */     GIR_EraseRootFromParent_Done,
     /* 2385124 */   // Label 34067: @2385124
     /* 2385124 */   GIM_Reject,
     /* 2385125 */ // Label 34065: @2385125
     /* 2385125 */ GIM_Reject,
     /* 2385126 */ // Label 34058: @2385126
     /* 2385126 */ GIM_Reject,
     /* 2385127 */ // Label 98: @2385127
     /* 2385127 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34086*/ GIMT_Encode4(2387554),
     /* 2385138 */ /*GILLT_s16*//*Label 34068*/ GIMT_Encode4(2385258),
     /* 2385142 */ /*GILLT_s32*//*Label 34069*/ GIMT_Encode4(2385407),
     /* 2385146 */ /*GILLT_s64*//*Label 34070*/ GIMT_Encode4(2385556), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385158 */ /*GILLT_nxv1s16*//*Label 34071*/ GIMT_Encode4(2385739),
     /* 2385162 */ /*GILLT_nxv1s32*//*Label 34072*/ GIMT_Encode4(2385860),
     /* 2385166 */ /*GILLT_nxv1s64*//*Label 34073*/ GIMT_Encode4(2385981), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385178 */ /*GILLT_nxv2s16*//*Label 34074*/ GIMT_Encode4(2386102),
     /* 2385182 */ /*GILLT_nxv2s32*//*Label 34075*/ GIMT_Encode4(2386223),
     /* 2385186 */ /*GILLT_nxv2s64*//*Label 34076*/ GIMT_Encode4(2386344), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385198 */ /*GILLT_nxv4s16*//*Label 34077*/ GIMT_Encode4(2386465),
     /* 2385202 */ /*GILLT_nxv4s32*//*Label 34078*/ GIMT_Encode4(2386586),
     /* 2385206 */ /*GILLT_nxv4s64*//*Label 34079*/ GIMT_Encode4(2386707), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385218 */ /*GILLT_nxv8s16*//*Label 34080*/ GIMT_Encode4(2386828),
     /* 2385222 */ /*GILLT_nxv8s32*//*Label 34081*/ GIMT_Encode4(2386949),
     /* 2385226 */ /*GILLT_nxv8s64*//*Label 34082*/ GIMT_Encode4(2387070), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385238 */ /*GILLT_nxv16s16*//*Label 34083*/ GIMT_Encode4(2387191),
     /* 2385242 */ /*GILLT_nxv16s32*//*Label 34084*/ GIMT_Encode4(2387312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385254 */ /*GILLT_nxv32s16*//*Label 34085*/ GIMT_Encode4(2387433),
     /* 2385258 */ // Label 34068: @2385258
     /* 2385258 */ GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2385406),
     /* 2385263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2385266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2385269 */   GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2385303), // Rule ID 1946 //
     /* 2385274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2385277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385289 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2385289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2385292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385302 */     // GIR_Coverage, 1946,
     /* 2385302 */     GIR_EraseRootFromParent_Done,
     /* 2385303 */   // Label 34088: @2385303
     /* 2385303 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2385337), // Rule ID 1947 //
     /* 2385308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2385311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385323 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2385323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2385326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385336 */     // GIR_Coverage, 1947,
     /* 2385336 */     GIR_EraseRootFromParent_Done,
     /* 2385337 */   // Label 34089: @2385337
     /* 2385337 */   GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2385371), // Rule ID 1950 //
     /* 2385342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2385345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385357 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2385357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2385360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385370 */     // GIR_Coverage, 1950,
     /* 2385370 */     GIR_EraseRootFromParent_Done,
     /* 2385371 */   // Label 34090: @2385371
     /* 2385371 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2385405), // Rule ID 1951 //
     /* 2385376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2385379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385391 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2385391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2385394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385404 */     // GIR_Coverage, 1951,
     /* 2385404 */     GIR_EraseRootFromParent_Done,
     /* 2385405 */   // Label 34091: @2385405
     /* 2385405 */   GIM_Reject,
     /* 2385406 */ // Label 34087: @2385406
     /* 2385406 */ GIM_Reject,
     /* 2385407 */ // Label 34069: @2385407
     /* 2385407 */ GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2385555),
     /* 2385412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2385415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2385418 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2385452), // Rule ID 1237 //
     /* 2385423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2385426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385438 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2385438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2385441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385451 */     // GIR_Coverage, 1237,
     /* 2385451 */     GIR_EraseRootFromParent_Done,
     /* 2385452 */   // Label 34093: @2385452
     /* 2385452 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2385486), // Rule ID 1238 //
     /* 2385457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2385460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385472 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2385472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2385475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385485 */     // GIR_Coverage, 1238,
     /* 2385485 */     GIR_EraseRootFromParent_Done,
     /* 2385486 */   // Label 34094: @2385486
     /* 2385486 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2385520), // Rule ID 1241 //
     /* 2385491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2385494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385506 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2385506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2385509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385519 */     // GIR_Coverage, 1241,
     /* 2385519 */     GIR_EraseRootFromParent_Done,
     /* 2385520 */   // Label 34095: @2385520
     /* 2385520 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2385554), // Rule ID 1242 //
     /* 2385525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2385528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385540 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2385540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2385543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385553 */     // GIR_Coverage, 1242,
     /* 2385553 */     GIR_EraseRootFromParent_Done,
     /* 2385554 */   // Label 34096: @2385554
     /* 2385554 */   GIM_Reject,
     /* 2385555 */ // Label 34092: @2385555
     /* 2385555 */ GIM_Reject,
     /* 2385556 */ // Label 34070: @2385556
     /* 2385556 */ GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2385738),
     /* 2385561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2385567 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2385601), // Rule ID 1572 //
     /* 2385572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385587 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2385590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385600 */     // GIR_Coverage, 1572,
     /* 2385600 */     GIR_EraseRootFromParent_Done,
     /* 2385601 */   // Label 34098: @2385601
     /* 2385601 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2385635), // Rule ID 1573 //
     /* 2385606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385621 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2385621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2385624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385634 */     // GIR_Coverage, 1573,
     /* 2385634 */     GIR_EraseRootFromParent_Done,
     /* 2385635 */   // Label 34099: @2385635
     /* 2385635 */   GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2385669), // Rule ID 1576 //
     /* 2385640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385655 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2385658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385668 */     // GIR_Coverage, 1576,
     /* 2385668 */     GIR_EraseRootFromParent_Done,
     /* 2385669 */   // Label 34100: @2385669
     /* 2385669 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2385703), // Rule ID 1577 //
     /* 2385674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385689 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2385689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2385692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385702 */     // GIR_Coverage, 1577,
     /* 2385702 */     GIR_EraseRootFromParent_Done,
     /* 2385703 */   // Label 34101: @2385703
     /* 2385703 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2385737), // Rule ID 1580 //
     /* 2385708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385723 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2385726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385736 */     // GIR_Coverage, 1580,
     /* 2385736 */     GIR_EraseRootFromParent_Done,
     /* 2385737 */   // Label 34102: @2385737
     /* 2385737 */   GIM_Reject,
     /* 2385738 */ // Label 34097: @2385738
     /* 2385738 */ GIM_Reject,
     /* 2385739 */ // Label 34071: @2385739
     /* 2385739 */ GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2385859),
     /* 2385744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2385750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385762 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2385810), // Rule ID 45748 //
     /* 2385767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385770 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2385787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385809 */     // GIR_Coverage, 45748,
     /* 2385809 */     GIR_EraseRootFromParent_Done,
     /* 2385810 */   // Label 34104: @2385810
     /* 2385810 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2385858), // Rule ID 45749 //
     /* 2385815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385818 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2385835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385857 */     // GIR_Coverage, 45749,
     /* 2385857 */     GIR_EraseRootFromParent_Done,
     /* 2385858 */   // Label 34105: @2385858
     /* 2385858 */   GIM_Reject,
     /* 2385859 */ // Label 34103: @2385859
     /* 2385859 */ GIM_Reject,
     /* 2385860 */ // Label 34072: @2385860
     /* 2385860 */ GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2385980),
     /* 2385865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2385871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385883 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2385931), // Rule ID 53288 //
     /* 2385888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385891 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2385908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385930 */     // GIR_Coverage, 53288,
     /* 2385930 */     GIR_EraseRootFromParent_Done,
     /* 2385931 */   // Label 34107: @2385931
     /* 2385931 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2385979), // Rule ID 53289 //
     /* 2385936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385939 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2385956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385978 */     // GIR_Coverage, 53289,
     /* 2385978 */     GIR_EraseRootFromParent_Done,
     /* 2385979 */   // Label 34108: @2385979
     /* 2385979 */   GIM_Reject,
     /* 2385980 */ // Label 34106: @2385980
     /* 2385980 */ GIM_Reject,
     /* 2385981 */ // Label 34073: @2385981
     /* 2385981 */ GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2386101),
     /* 2385986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2385989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2385992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386004 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2386052), // Rule ID 53324 //
     /* 2386009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386012 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2386015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2386029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386051 */     // GIR_Coverage, 53324,
     /* 2386051 */     GIR_EraseRootFromParent_Done,
     /* 2386052 */   // Label 34110: @2386052
     /* 2386052 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2386100), // Rule ID 53325 //
     /* 2386057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386060 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2386063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2386077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386099 */     // GIR_Coverage, 53325,
     /* 2386099 */     GIR_EraseRootFromParent_Done,
     /* 2386100 */   // Label 34111: @2386100
     /* 2386100 */   GIM_Reject,
     /* 2386101 */ // Label 34109: @2386101
     /* 2386101 */ GIM_Reject,
     /* 2386102 */ // Label 34074: @2386102
     /* 2386102 */ GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2386222),
     /* 2386107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2386113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386125 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2386173), // Rule ID 53276 //
     /* 2386130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386133 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2386150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386172 */     // GIR_Coverage, 53276,
     /* 2386172 */     GIR_EraseRootFromParent_Done,
     /* 2386173 */   // Label 34113: @2386173
     /* 2386173 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2386221), // Rule ID 53277 //
     /* 2386178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386181 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2386198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386220 */     // GIR_Coverage, 53277,
     /* 2386220 */     GIR_EraseRootFromParent_Done,
     /* 2386221 */   // Label 34114: @2386221
     /* 2386221 */   GIM_Reject,
     /* 2386222 */ // Label 34112: @2386222
     /* 2386222 */ GIM_Reject,
     /* 2386223 */ // Label 34075: @2386223
     /* 2386223 */ GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2386343),
     /* 2386228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2386231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2386234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386246 */   GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2386294), // Rule ID 53312 //
     /* 2386251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386254 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2386271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386293 */     // GIR_Coverage, 53312,
     /* 2386293 */     GIR_EraseRootFromParent_Done,
     /* 2386294 */   // Label 34116: @2386294
     /* 2386294 */   GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2386342), // Rule ID 53313 //
     /* 2386299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386302 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2386319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386341 */     // GIR_Coverage, 53313,
     /* 2386341 */     GIR_EraseRootFromParent_Done,
     /* 2386342 */   // Label 34117: @2386342
     /* 2386342 */   GIM_Reject,
     /* 2386343 */ // Label 34115: @2386343
     /* 2386343 */ GIM_Reject,
     /* 2386344 */ // Label 34076: @2386344
     /* 2386344 */ GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2386464),
     /* 2386349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2386352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2386355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386367 */   GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2386415), // Rule ID 53408 //
     /* 2386372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386375 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2386392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386414 */     // GIR_Coverage, 53408,
     /* 2386414 */     GIR_EraseRootFromParent_Done,
     /* 2386415 */   // Label 34119: @2386415
     /* 2386415 */   GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2386463), // Rule ID 53409 //
     /* 2386420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386423 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2386440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386462 */     // GIR_Coverage, 53409,
     /* 2386462 */     GIR_EraseRootFromParent_Done,
     /* 2386463 */   // Label 34120: @2386463
     /* 2386463 */   GIM_Reject,
     /* 2386464 */ // Label 34118: @2386464
     /* 2386464 */ GIM_Reject,
     /* 2386465 */ // Label 34077: @2386465
     /* 2386465 */ GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2386585),
     /* 2386470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2386473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2386476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386488 */   GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2386536), // Rule ID 53300 //
     /* 2386493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386496 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2386513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386535 */     // GIR_Coverage, 53300,
     /* 2386535 */     GIR_EraseRootFromParent_Done,
     /* 2386536 */   // Label 34122: @2386536
     /* 2386536 */   GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2386584), // Rule ID 53301 //
     /* 2386541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386544 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2386561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386583 */     // GIR_Coverage, 53301,
     /* 2386583 */     GIR_EraseRootFromParent_Done,
     /* 2386584 */   // Label 34123: @2386584
     /* 2386584 */   GIM_Reject,
     /* 2386585 */ // Label 34121: @2386585
     /* 2386585 */ GIM_Reject,
     /* 2386586 */ // Label 34078: @2386586
     /* 2386586 */ GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2386706),
     /* 2386591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2386594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2386597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386609 */   GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2386657), // Rule ID 53372 //
     /* 2386614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386617 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2386634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386656 */     // GIR_Coverage, 53372,
     /* 2386656 */     GIR_EraseRootFromParent_Done,
     /* 2386657 */   // Label 34125: @2386657
     /* 2386657 */   GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2386705), // Rule ID 53373 //
     /* 2386662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386665 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2386682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386704 */     // GIR_Coverage, 53373,
     /* 2386704 */     GIR_EraseRootFromParent_Done,
     /* 2386705 */   // Label 34126: @2386705
     /* 2386705 */   GIM_Reject,
     /* 2386706 */ // Label 34124: @2386706
     /* 2386706 */ GIM_Reject,
     /* 2386707 */ // Label 34079: @2386707
     /* 2386707 */ GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2386827),
     /* 2386712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2386718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386730 */   GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2386778), // Rule ID 53420 //
     /* 2386735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386738 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2386755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386777 */     // GIR_Coverage, 53420,
     /* 2386777 */     GIR_EraseRootFromParent_Done,
     /* 2386778 */   // Label 34128: @2386778
     /* 2386778 */   GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2386826), // Rule ID 53421 //
     /* 2386783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386786 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2386803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386825 */     // GIR_Coverage, 53421,
     /* 2386825 */     GIR_EraseRootFromParent_Done,
     /* 2386826 */   // Label 34129: @2386826
     /* 2386826 */   GIM_Reject,
     /* 2386827 */ // Label 34127: @2386827
     /* 2386827 */ GIM_Reject,
     /* 2386828 */ // Label 34080: @2386828
     /* 2386828 */ GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2386948),
     /* 2386833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2386839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386851 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2386899), // Rule ID 53336 //
     /* 2386856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386859 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2386876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386898 */     // GIR_Coverage, 53336,
     /* 2386898 */     GIR_EraseRootFromParent_Done,
     /* 2386899 */   // Label 34131: @2386899
     /* 2386899 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2386947), // Rule ID 53337 //
     /* 2386904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386907 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2386924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386946 */     // GIR_Coverage, 53337,
     /* 2386946 */     GIR_EraseRootFromParent_Done,
     /* 2386947 */   // Label 34132: @2386947
     /* 2386947 */   GIM_Reject,
     /* 2386948 */ // Label 34130: @2386948
     /* 2386948 */ GIM_Reject,
     /* 2386949 */ // Label 34081: @2386949
     /* 2386949 */ GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2387069),
     /* 2386954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2386957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2386960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386972 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2387020), // Rule ID 53384 //
     /* 2386977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386980 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2386997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387019 */     // GIR_Coverage, 53384,
     /* 2387019 */     GIR_EraseRootFromParent_Done,
     /* 2387020 */   // Label 34134: @2387020
     /* 2387020 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2387068), // Rule ID 53385 //
     /* 2387025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387028 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2387031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2387045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387067 */     // GIR_Coverage, 53385,
     /* 2387067 */     GIR_EraseRootFromParent_Done,
     /* 2387068 */   // Label 34135: @2387068
     /* 2387068 */   GIM_Reject,
     /* 2387069 */ // Label 34133: @2387069
     /* 2387069 */ GIM_Reject,
     /* 2387070 */ // Label 34082: @2387070
     /* 2387070 */ GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2387190),
     /* 2387075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2387078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2387081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387093 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2387141), // Rule ID 53432 //
     /* 2387098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387101 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2387118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387140 */     // GIR_Coverage, 53432,
     /* 2387140 */     GIR_EraseRootFromParent_Done,
     /* 2387141 */   // Label 34137: @2387141
     /* 2387141 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2387189), // Rule ID 53433 //
     /* 2387146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387149 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2387166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387188 */     // GIR_Coverage, 53433,
     /* 2387188 */     GIR_EraseRootFromParent_Done,
     /* 2387189 */   // Label 34138: @2387189
     /* 2387189 */   GIM_Reject,
     /* 2387190 */ // Label 34136: @2387190
     /* 2387190 */ GIM_Reject,
     /* 2387191 */ // Label 34083: @2387191
     /* 2387191 */ GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2387311),
     /* 2387196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2387199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2387202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387214 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2387262), // Rule ID 53348 //
     /* 2387219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387222 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2387239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387261 */     // GIR_Coverage, 53348,
     /* 2387261 */     GIR_EraseRootFromParent_Done,
     /* 2387262 */   // Label 34140: @2387262
     /* 2387262 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2387310), // Rule ID 53349 //
     /* 2387267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387270 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2387287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387309 */     // GIR_Coverage, 53349,
     /* 2387309 */     GIR_EraseRootFromParent_Done,
     /* 2387310 */   // Label 34141: @2387310
     /* 2387310 */   GIM_Reject,
     /* 2387311 */ // Label 34139: @2387311
     /* 2387311 */ GIM_Reject,
     /* 2387312 */ // Label 34084: @2387312
     /* 2387312 */ GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2387432),
     /* 2387317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2387320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2387323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387335 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2387383), // Rule ID 53396 //
     /* 2387340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387343 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2387360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387382 */     // GIR_Coverage, 53396,
     /* 2387382 */     GIR_EraseRootFromParent_Done,
     /* 2387383 */   // Label 34143: @2387383
     /* 2387383 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2387431), // Rule ID 53397 //
     /* 2387388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387391 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2387408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387430 */     // GIR_Coverage, 53397,
     /* 2387430 */     GIR_EraseRootFromParent_Done,
     /* 2387431 */   // Label 34144: @2387431
     /* 2387431 */   GIM_Reject,
     /* 2387432 */ // Label 34142: @2387432
     /* 2387432 */ GIM_Reject,
     /* 2387433 */ // Label 34085: @2387433
     /* 2387433 */ GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2387553),
     /* 2387438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2387441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2387444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387456 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2387504), // Rule ID 53360 //
     /* 2387461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387464 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2387481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387503 */     // GIR_Coverage, 53360,
     /* 2387503 */     GIR_EraseRootFromParent_Done,
     /* 2387504 */   // Label 34146: @2387504
     /* 2387504 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2387552), // Rule ID 53361 //
     /* 2387509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387512 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2387529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387551 */     // GIR_Coverage, 53361,
     /* 2387551 */     GIR_EraseRootFromParent_Done,
     /* 2387552 */   // Label 34147: @2387552
     /* 2387552 */   GIM_Reject,
     /* 2387553 */ // Label 34145: @2387553
     /* 2387553 */ GIM_Reject,
     /* 2387554 */ // Label 34086: @2387554
     /* 2387554 */ GIM_Reject,
     /* 2387555 */ // Label 99: @2387555
     /* 2387555 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34166*/ GIMT_Encode4(2389982),
     /* 2387566 */ /*GILLT_s16*//*Label 34148*/ GIMT_Encode4(2387686),
     /* 2387570 */ /*GILLT_s32*//*Label 34149*/ GIMT_Encode4(2387835),
     /* 2387574 */ /*GILLT_s64*//*Label 34150*/ GIMT_Encode4(2387984), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387586 */ /*GILLT_nxv1s16*//*Label 34151*/ GIMT_Encode4(2388167),
     /* 2387590 */ /*GILLT_nxv1s32*//*Label 34152*/ GIMT_Encode4(2388288),
     /* 2387594 */ /*GILLT_nxv1s64*//*Label 34153*/ GIMT_Encode4(2388409), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387606 */ /*GILLT_nxv2s16*//*Label 34154*/ GIMT_Encode4(2388530),
     /* 2387610 */ /*GILLT_nxv2s32*//*Label 34155*/ GIMT_Encode4(2388651),
     /* 2387614 */ /*GILLT_nxv2s64*//*Label 34156*/ GIMT_Encode4(2388772), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387626 */ /*GILLT_nxv4s16*//*Label 34157*/ GIMT_Encode4(2388893),
     /* 2387630 */ /*GILLT_nxv4s32*//*Label 34158*/ GIMT_Encode4(2389014),
     /* 2387634 */ /*GILLT_nxv4s64*//*Label 34159*/ GIMT_Encode4(2389135), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387646 */ /*GILLT_nxv8s16*//*Label 34160*/ GIMT_Encode4(2389256),
     /* 2387650 */ /*GILLT_nxv8s32*//*Label 34161*/ GIMT_Encode4(2389377),
     /* 2387654 */ /*GILLT_nxv8s64*//*Label 34162*/ GIMT_Encode4(2389498), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387666 */ /*GILLT_nxv16s16*//*Label 34163*/ GIMT_Encode4(2389619),
     /* 2387670 */ /*GILLT_nxv16s32*//*Label 34164*/ GIMT_Encode4(2389740), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387682 */ /*GILLT_nxv32s16*//*Label 34165*/ GIMT_Encode4(2389861),
     /* 2387686 */ // Label 34148: @2387686
     /* 2387686 */ GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2387834),
     /* 2387691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2387694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2387697 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2387731), // Rule ID 1954 //
     /* 2387702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2387705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387717 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2387717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2387720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387730 */     // GIR_Coverage, 1954,
     /* 2387730 */     GIR_EraseRootFromParent_Done,
     /* 2387731 */   // Label 34168: @2387731
     /* 2387731 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2387765), // Rule ID 1955 //
     /* 2387736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2387739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387751 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2387751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2387754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387764 */     // GIR_Coverage, 1955,
     /* 2387764 */     GIR_EraseRootFromParent_Done,
     /* 2387765 */   // Label 34169: @2387765
     /* 2387765 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2387799), // Rule ID 1958 //
     /* 2387770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2387773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387785 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2387785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2387788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387798 */     // GIR_Coverage, 1958,
     /* 2387798 */     GIR_EraseRootFromParent_Done,
     /* 2387799 */   // Label 34170: @2387799
     /* 2387799 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2387833), // Rule ID 1959 //
     /* 2387804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2387807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387819 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2387819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2387822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387832 */     // GIR_Coverage, 1959,
     /* 2387832 */     GIR_EraseRootFromParent_Done,
     /* 2387833 */   // Label 34171: @2387833
     /* 2387833 */   GIM_Reject,
     /* 2387834 */ // Label 34167: @2387834
     /* 2387834 */ GIM_Reject,
     /* 2387835 */ // Label 34149: @2387835
     /* 2387835 */ GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2387983),
     /* 2387840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2387843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2387846 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2387880), // Rule ID 1245 //
     /* 2387851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2387854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387866 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2387866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2387869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387879 */     // GIR_Coverage, 1245,
     /* 2387879 */     GIR_EraseRootFromParent_Done,
     /* 2387880 */   // Label 34173: @2387880
     /* 2387880 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2387914), // Rule ID 1246 //
     /* 2387885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2387888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387900 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2387900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2387903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387913 */     // GIR_Coverage, 1246,
     /* 2387913 */     GIR_EraseRootFromParent_Done,
     /* 2387914 */   // Label 34174: @2387914
     /* 2387914 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2387948), // Rule ID 1249 //
     /* 2387919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2387922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387934 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2387934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2387937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387947 */     // GIR_Coverage, 1249,
     /* 2387947 */     GIR_EraseRootFromParent_Done,
     /* 2387948 */   // Label 34175: @2387948
     /* 2387948 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2387982), // Rule ID 1250 //
     /* 2387953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2387956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387968 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2387968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2387971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387981 */     // GIR_Coverage, 1250,
     /* 2387981 */     GIR_EraseRootFromParent_Done,
     /* 2387982 */   // Label 34176: @2387982
     /* 2387982 */   GIM_Reject,
     /* 2387983 */ // Label 34172: @2387983
     /* 2387983 */ GIM_Reject,
     /* 2387984 */ // Label 34150: @2387984
     /* 2387984 */ GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2388166),
     /* 2387989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2387992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2387995 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2388029), // Rule ID 1582 //
     /* 2388000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2388003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388015 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2388015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2388018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388028 */     // GIR_Coverage, 1582,
     /* 2388028 */     GIR_EraseRootFromParent_Done,
     /* 2388029 */   // Label 34178: @2388029
     /* 2388029 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2388063), // Rule ID 1583 //
     /* 2388034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2388037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388049 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2388049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2388052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388062 */     // GIR_Coverage, 1583,
     /* 2388062 */     GIR_EraseRootFromParent_Done,
     /* 2388063 */   // Label 34179: @2388063
     /* 2388063 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2388097), // Rule ID 1586 //
     /* 2388068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2388071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388083 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2388083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2388086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388096 */     // GIR_Coverage, 1586,
     /* 2388096 */     GIR_EraseRootFromParent_Done,
     /* 2388097 */   // Label 34180: @2388097
     /* 2388097 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2388131), // Rule ID 1587 //
     /* 2388102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2388105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388117 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2388117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2388120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388130 */     // GIR_Coverage, 1587,
     /* 2388130 */     GIR_EraseRootFromParent_Done,
     /* 2388131 */   // Label 34181: @2388131
     /* 2388131 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2388165), // Rule ID 1590 //
     /* 2388136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2388139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388151 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2388151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2388154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388164 */     // GIR_Coverage, 1590,
     /* 2388164 */     GIR_EraseRootFromParent_Done,
     /* 2388165 */   // Label 34182: @2388165
     /* 2388165 */   GIM_Reject,
     /* 2388166 */ // Label 34177: @2388166
     /* 2388166 */ GIM_Reject,
     /* 2388167 */ // Label 34151: @2388167
     /* 2388167 */ GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2388287),
     /* 2388172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2388175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2388178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388190 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2388238), // Rule ID 53444 //
     /* 2388195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388198 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2388215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388237 */     // GIR_Coverage, 53444,
     /* 2388237 */     GIR_EraseRootFromParent_Done,
     /* 2388238 */   // Label 34184: @2388238
     /* 2388238 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2388286), // Rule ID 53445 //
     /* 2388243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388246 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2388263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388285 */     // GIR_Coverage, 53445,
     /* 2388285 */     GIR_EraseRootFromParent_Done,
     /* 2388286 */   // Label 34185: @2388286
     /* 2388286 */   GIM_Reject,
     /* 2388287 */ // Label 34183: @2388287
     /* 2388287 */ GIM_Reject,
     /* 2388288 */ // Label 34152: @2388288
     /* 2388288 */ GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2388408),
     /* 2388293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2388296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2388299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388311 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2388359), // Rule ID 53468 //
     /* 2388316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388319 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2388336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388358 */     // GIR_Coverage, 53468,
     /* 2388358 */     GIR_EraseRootFromParent_Done,
     /* 2388359 */   // Label 34187: @2388359
     /* 2388359 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2388407), // Rule ID 53469 //
     /* 2388364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388367 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2388384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388406 */     // GIR_Coverage, 53469,
     /* 2388406 */     GIR_EraseRootFromParent_Done,
     /* 2388407 */   // Label 34188: @2388407
     /* 2388407 */   GIM_Reject,
     /* 2388408 */ // Label 34186: @2388408
     /* 2388408 */ GIM_Reject,
     /* 2388409 */ // Label 34153: @2388409
     /* 2388409 */ GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2388529),
     /* 2388414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2388420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388432 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2388480), // Rule ID 53504 //
     /* 2388437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388440 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2388457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388479 */     // GIR_Coverage, 53504,
     /* 2388479 */     GIR_EraseRootFromParent_Done,
     /* 2388480 */   // Label 34190: @2388480
     /* 2388480 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2388528), // Rule ID 53505 //
     /* 2388485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388488 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2388505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388527 */     // GIR_Coverage, 53505,
     /* 2388527 */     GIR_EraseRootFromParent_Done,
     /* 2388528 */   // Label 34191: @2388528
     /* 2388528 */   GIM_Reject,
     /* 2388529 */ // Label 34189: @2388529
     /* 2388529 */ GIM_Reject,
     /* 2388530 */ // Label 34154: @2388530
     /* 2388530 */ GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2388650),
     /* 2388535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388553 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2388601), // Rule ID 53456 //
     /* 2388558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388561 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2388578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388600 */     // GIR_Coverage, 53456,
     /* 2388600 */     GIR_EraseRootFromParent_Done,
     /* 2388601 */   // Label 34193: @2388601
     /* 2388601 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2388649), // Rule ID 53457 //
     /* 2388606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388609 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2388626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388648 */     // GIR_Coverage, 53457,
     /* 2388648 */     GIR_EraseRootFromParent_Done,
     /* 2388649 */   // Label 34194: @2388649
     /* 2388649 */   GIM_Reject,
     /* 2388650 */ // Label 34192: @2388650
     /* 2388650 */ GIM_Reject,
     /* 2388651 */ // Label 34155: @2388651
     /* 2388651 */ GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2388771),
     /* 2388656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2388662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388674 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2388722), // Rule ID 53492 //
     /* 2388679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388682 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2388699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388721 */     // GIR_Coverage, 53492,
     /* 2388721 */     GIR_EraseRootFromParent_Done,
     /* 2388722 */   // Label 34196: @2388722
     /* 2388722 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2388770), // Rule ID 53493 //
     /* 2388727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388730 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2388747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388769 */     // GIR_Coverage, 53493,
     /* 2388769 */     GIR_EraseRootFromParent_Done,
     /* 2388770 */   // Label 34197: @2388770
     /* 2388770 */   GIM_Reject,
     /* 2388771 */ // Label 34195: @2388771
     /* 2388771 */ GIM_Reject,
     /* 2388772 */ // Label 34156: @2388772
     /* 2388772 */ GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2388892),
     /* 2388777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2388783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388795 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2388843), // Rule ID 53588 //
     /* 2388800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388803 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2388820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388842 */     // GIR_Coverage, 53588,
     /* 2388842 */     GIR_EraseRootFromParent_Done,
     /* 2388843 */   // Label 34199: @2388843
     /* 2388843 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2388891), // Rule ID 53589 //
     /* 2388848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388851 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2388868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388890 */     // GIR_Coverage, 53589,
     /* 2388890 */     GIR_EraseRootFromParent_Done,
     /* 2388891 */   // Label 34200: @2388891
     /* 2388891 */   GIM_Reject,
     /* 2388892 */ // Label 34198: @2388892
     /* 2388892 */ GIM_Reject,
     /* 2388893 */ // Label 34157: @2388893
     /* 2388893 */ GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2389013),
     /* 2388898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2388901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2388904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388916 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2388964), // Rule ID 53480 //
     /* 2388921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388924 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2388927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2388941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388963 */     // GIR_Coverage, 53480,
     /* 2388963 */     GIR_EraseRootFromParent_Done,
     /* 2388964 */   // Label 34202: @2388964
     /* 2388964 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2389012), // Rule ID 53481 //
     /* 2388969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388972 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2388975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2388989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389011 */     // GIR_Coverage, 53481,
     /* 2389011 */     GIR_EraseRootFromParent_Done,
     /* 2389012 */   // Label 34203: @2389012
     /* 2389012 */   GIM_Reject,
     /* 2389013 */ // Label 34201: @2389013
     /* 2389013 */ GIM_Reject,
     /* 2389014 */ // Label 34158: @2389014
     /* 2389014 */ GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2389134),
     /* 2389019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2389022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2389025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389037 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2389085), // Rule ID 53552 //
     /* 2389042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389045 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2389062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389084 */     // GIR_Coverage, 53552,
     /* 2389084 */     GIR_EraseRootFromParent_Done,
     /* 2389085 */   // Label 34205: @2389085
     /* 2389085 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2389133), // Rule ID 53553 //
     /* 2389090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389093 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2389110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389132 */     // GIR_Coverage, 53553,
     /* 2389132 */     GIR_EraseRootFromParent_Done,
     /* 2389133 */   // Label 34206: @2389133
     /* 2389133 */   GIM_Reject,
     /* 2389134 */ // Label 34204: @2389134
     /* 2389134 */ GIM_Reject,
     /* 2389135 */ // Label 34159: @2389135
     /* 2389135 */ GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2389255),
     /* 2389140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2389143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2389146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389158 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2389206), // Rule ID 53600 //
     /* 2389163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389166 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2389183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389205 */     // GIR_Coverage, 53600,
     /* 2389205 */     GIR_EraseRootFromParent_Done,
     /* 2389206 */   // Label 34208: @2389206
     /* 2389206 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2389254), // Rule ID 53601 //
     /* 2389211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389214 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2389231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389253 */     // GIR_Coverage, 53601,
     /* 2389253 */     GIR_EraseRootFromParent_Done,
     /* 2389254 */   // Label 34209: @2389254
     /* 2389254 */   GIM_Reject,
     /* 2389255 */ // Label 34207: @2389255
     /* 2389255 */ GIM_Reject,
     /* 2389256 */ // Label 34160: @2389256
     /* 2389256 */ GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2389376),
     /* 2389261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2389264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2389267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389279 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2389327), // Rule ID 53516 //
     /* 2389284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389287 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2389304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389326 */     // GIR_Coverage, 53516,
     /* 2389326 */     GIR_EraseRootFromParent_Done,
     /* 2389327 */   // Label 34211: @2389327
     /* 2389327 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2389375), // Rule ID 53517 //
     /* 2389332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389335 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2389352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389374 */     // GIR_Coverage, 53517,
     /* 2389374 */     GIR_EraseRootFromParent_Done,
     /* 2389375 */   // Label 34212: @2389375
     /* 2389375 */   GIM_Reject,
     /* 2389376 */ // Label 34210: @2389376
     /* 2389376 */ GIM_Reject,
     /* 2389377 */ // Label 34161: @2389377
     /* 2389377 */ GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2389497),
     /* 2389382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2389385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2389388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389400 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2389448), // Rule ID 53564 //
     /* 2389405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389408 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2389425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389447 */     // GIR_Coverage, 53564,
     /* 2389447 */     GIR_EraseRootFromParent_Done,
     /* 2389448 */   // Label 34214: @2389448
     /* 2389448 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2389496), // Rule ID 53565 //
     /* 2389453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389456 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2389473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389495 */     // GIR_Coverage, 53565,
     /* 2389495 */     GIR_EraseRootFromParent_Done,
     /* 2389496 */   // Label 34215: @2389496
     /* 2389496 */   GIM_Reject,
     /* 2389497 */ // Label 34213: @2389497
     /* 2389497 */ GIM_Reject,
     /* 2389498 */ // Label 34162: @2389498
     /* 2389498 */ GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2389618),
     /* 2389503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2389509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389521 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2389569), // Rule ID 53612 //
     /* 2389526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389529 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2389546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389568 */     // GIR_Coverage, 53612,
     /* 2389568 */     GIR_EraseRootFromParent_Done,
     /* 2389569 */   // Label 34217: @2389569
     /* 2389569 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2389617), // Rule ID 53613 //
     /* 2389574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389577 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2389594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389616 */     // GIR_Coverage, 53613,
     /* 2389616 */     GIR_EraseRootFromParent_Done,
     /* 2389617 */   // Label 34218: @2389617
     /* 2389617 */   GIM_Reject,
     /* 2389618 */ // Label 34216: @2389618
     /* 2389618 */ GIM_Reject,
     /* 2389619 */ // Label 34163: @2389619
     /* 2389619 */ GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2389739),
     /* 2389624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2389630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389642 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2389690), // Rule ID 53528 //
     /* 2389647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389650 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2389667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389689 */     // GIR_Coverage, 53528,
     /* 2389689 */     GIR_EraseRootFromParent_Done,
     /* 2389690 */   // Label 34220: @2389690
     /* 2389690 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2389738), // Rule ID 53529 //
     /* 2389695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389698 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2389715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389737 */     // GIR_Coverage, 53529,
     /* 2389737 */     GIR_EraseRootFromParent_Done,
     /* 2389738 */   // Label 34221: @2389738
     /* 2389738 */   GIM_Reject,
     /* 2389739 */ // Label 34219: @2389739
     /* 2389739 */ GIM_Reject,
     /* 2389740 */ // Label 34164: @2389740
     /* 2389740 */ GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2389860),
     /* 2389745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2389748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2389751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389763 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2389811), // Rule ID 53576 //
     /* 2389768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389771 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2389788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389810 */     // GIR_Coverage, 53576,
     /* 2389810 */     GIR_EraseRootFromParent_Done,
     /* 2389811 */   // Label 34223: @2389811
     /* 2389811 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2389859), // Rule ID 53577 //
     /* 2389816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389819 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2389836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389858 */     // GIR_Coverage, 53577,
     /* 2389858 */     GIR_EraseRootFromParent_Done,
     /* 2389859 */   // Label 34224: @2389859
     /* 2389859 */   GIM_Reject,
     /* 2389860 */ // Label 34222: @2389860
     /* 2389860 */ GIM_Reject,
     /* 2389861 */ // Label 34165: @2389861
     /* 2389861 */ GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2389981),
     /* 2389866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2389869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2389872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389884 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2389932), // Rule ID 53540 //
     /* 2389889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389892 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2389895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2389909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389931 */     // GIR_Coverage, 53540,
     /* 2389931 */     GIR_EraseRootFromParent_Done,
     /* 2389932 */   // Label 34226: @2389932
     /* 2389932 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2389980), // Rule ID 53541 //
     /* 2389937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389940 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2389943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2389957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389979 */     // GIR_Coverage, 53541,
     /* 2389979 */     GIR_EraseRootFromParent_Done,
     /* 2389980 */   // Label 34227: @2389980
     /* 2389980 */   GIM_Reject,
     /* 2389981 */ // Label 34225: @2389981
     /* 2389981 */ GIM_Reject,
     /* 2389982 */ // Label 34166: @2389982
     /* 2389982 */ GIM_Reject,
     /* 2389983 */ // Label 100: @2389983
     /* 2389983 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34246*/ GIMT_Encode4(2392410),
     /* 2389994 */ /*GILLT_s16*//*Label 34228*/ GIMT_Encode4(2390114),
     /* 2389998 */ /*GILLT_s32*//*Label 34229*/ GIMT_Encode4(2390263),
     /* 2390002 */ /*GILLT_s64*//*Label 34230*/ GIMT_Encode4(2390412), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390014 */ /*GILLT_nxv1s16*//*Label 34231*/ GIMT_Encode4(2390595),
     /* 2390018 */ /*GILLT_nxv1s32*//*Label 34232*/ GIMT_Encode4(2390716),
     /* 2390022 */ /*GILLT_nxv1s64*//*Label 34233*/ GIMT_Encode4(2390837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390034 */ /*GILLT_nxv2s16*//*Label 34234*/ GIMT_Encode4(2390958),
     /* 2390038 */ /*GILLT_nxv2s32*//*Label 34235*/ GIMT_Encode4(2391079),
     /* 2390042 */ /*GILLT_nxv2s64*//*Label 34236*/ GIMT_Encode4(2391200), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390054 */ /*GILLT_nxv4s16*//*Label 34237*/ GIMT_Encode4(2391321),
     /* 2390058 */ /*GILLT_nxv4s32*//*Label 34238*/ GIMT_Encode4(2391442),
     /* 2390062 */ /*GILLT_nxv4s64*//*Label 34239*/ GIMT_Encode4(2391563), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390074 */ /*GILLT_nxv8s16*//*Label 34240*/ GIMT_Encode4(2391684),
     /* 2390078 */ /*GILLT_nxv8s32*//*Label 34241*/ GIMT_Encode4(2391805),
     /* 2390082 */ /*GILLT_nxv8s64*//*Label 34242*/ GIMT_Encode4(2391926), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390094 */ /*GILLT_nxv16s16*//*Label 34243*/ GIMT_Encode4(2392047),
     /* 2390098 */ /*GILLT_nxv16s32*//*Label 34244*/ GIMT_Encode4(2392168), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390110 */ /*GILLT_nxv32s16*//*Label 34245*/ GIMT_Encode4(2392289),
     /* 2390114 */ // Label 34228: @2390114
     /* 2390114 */ GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2390262),
     /* 2390119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2390125 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2390159), // Rule ID 1962 //
     /* 2390130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390145 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2390145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2390148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390158 */     // GIR_Coverage, 1962,
     /* 2390158 */     GIR_EraseRootFromParent_Done,
     /* 2390159 */   // Label 34248: @2390159
     /* 2390159 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2390193), // Rule ID 1963 //
     /* 2390164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390179 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2390179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2390182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390192 */     // GIR_Coverage, 1963,
     /* 2390192 */     GIR_EraseRootFromParent_Done,
     /* 2390193 */   // Label 34249: @2390193
     /* 2390193 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2390227), // Rule ID 1966 //
     /* 2390198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390213 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2390213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2390216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390226 */     // GIR_Coverage, 1966,
     /* 2390226 */     GIR_EraseRootFromParent_Done,
     /* 2390227 */   // Label 34250: @2390227
     /* 2390227 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2390261), // Rule ID 1967 //
     /* 2390232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390247 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2390247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2390250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390260 */     // GIR_Coverage, 1967,
     /* 2390260 */     GIR_EraseRootFromParent_Done,
     /* 2390261 */   // Label 34251: @2390261
     /* 2390261 */   GIM_Reject,
     /* 2390262 */ // Label 34247: @2390262
     /* 2390262 */ GIM_Reject,
     /* 2390263 */ // Label 34229: @2390263
     /* 2390263 */ GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2390411),
     /* 2390268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2390271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2390274 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2390308), // Rule ID 1253 //
     /* 2390279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2390282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390294 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2390294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2390297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390307 */     // GIR_Coverage, 1253,
     /* 2390307 */     GIR_EraseRootFromParent_Done,
     /* 2390308 */   // Label 34253: @2390308
     /* 2390308 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2390342), // Rule ID 1254 //
     /* 2390313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2390316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390328 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2390328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2390331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390341 */     // GIR_Coverage, 1254,
     /* 2390341 */     GIR_EraseRootFromParent_Done,
     /* 2390342 */   // Label 34254: @2390342
     /* 2390342 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2390376), // Rule ID 1257 //
     /* 2390347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2390350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390362 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2390362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2390365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390375 */     // GIR_Coverage, 1257,
     /* 2390375 */     GIR_EraseRootFromParent_Done,
     /* 2390376 */   // Label 34255: @2390376
     /* 2390376 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2390410), // Rule ID 1258 //
     /* 2390381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2390384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390396 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2390396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2390399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390409 */     // GIR_Coverage, 1258,
     /* 2390409 */     GIR_EraseRootFromParent_Done,
     /* 2390410 */   // Label 34256: @2390410
     /* 2390410 */   GIM_Reject,
     /* 2390411 */ // Label 34252: @2390411
     /* 2390411 */ GIM_Reject,
     /* 2390412 */ // Label 34230: @2390412
     /* 2390412 */ GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2390594),
     /* 2390417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2390420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2390423 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2390457), // Rule ID 1592 //
     /* 2390428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2390431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390443 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2390443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2390446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390456 */     // GIR_Coverage, 1592,
     /* 2390456 */     GIR_EraseRootFromParent_Done,
     /* 2390457 */   // Label 34258: @2390457
     /* 2390457 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2390491), // Rule ID 1593 //
     /* 2390462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2390465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390477 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2390477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2390480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390490 */     // GIR_Coverage, 1593,
     /* 2390490 */     GIR_EraseRootFromParent_Done,
     /* 2390491 */   // Label 34259: @2390491
     /* 2390491 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2390525), // Rule ID 1596 //
     /* 2390496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2390499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390511 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2390511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2390514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390524 */     // GIR_Coverage, 1596,
     /* 2390524 */     GIR_EraseRootFromParent_Done,
     /* 2390525 */   // Label 34260: @2390525
     /* 2390525 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2390559), // Rule ID 1597 //
     /* 2390530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2390533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390545 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2390545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2390548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390558 */     // GIR_Coverage, 1597,
     /* 2390558 */     GIR_EraseRootFromParent_Done,
     /* 2390559 */   // Label 34261: @2390559
     /* 2390559 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2390593), // Rule ID 1600 //
     /* 2390564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2390567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2390571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2390575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2390579 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2390579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2390582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390592 */     // GIR_Coverage, 1600,
     /* 2390592 */     GIR_EraseRootFromParent_Done,
     /* 2390593 */   // Label 34262: @2390593
     /* 2390593 */   GIM_Reject,
     /* 2390594 */ // Label 34257: @2390594
     /* 2390594 */ GIM_Reject,
     /* 2390595 */ // Label 34231: @2390595
     /* 2390595 */ GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2390715),
     /* 2390600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2390603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2390606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390618 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2390666), // Rule ID 54212 //
     /* 2390623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390626 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2390629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2390643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390665 */     // GIR_Coverage, 54212,
     /* 2390665 */     GIR_EraseRootFromParent_Done,
     /* 2390666 */   // Label 34264: @2390666
     /* 2390666 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2390714), // Rule ID 54213 //
     /* 2390671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2390674 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2390677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2390691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390713 */     // GIR_Coverage, 54213,
     /* 2390713 */     GIR_EraseRootFromParent_Done,
     /* 2390714 */   // Label 34265: @2390714
     /* 2390714 */   GIM_Reject,
     /* 2390715 */ // Label 34263: @2390715
     /* 2390715 */ GIM_Reject,
     /* 2390716 */ // Label 34232: @2390716
     /* 2390716 */ GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2390836),
     /* 2390721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2390724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2390727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390739 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2390787), // Rule ID 54236 //
     /* 2390744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390747 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2390750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2390764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390786 */     // GIR_Coverage, 54236,
     /* 2390786 */     GIR_EraseRootFromParent_Done,
     /* 2390787 */   // Label 34267: @2390787
     /* 2390787 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2390835), // Rule ID 54237 //
     /* 2390792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390795 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2390798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2390812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390834 */     // GIR_Coverage, 54237,
     /* 2390834 */     GIR_EraseRootFromParent_Done,
     /* 2390835 */   // Label 34268: @2390835
     /* 2390835 */   GIM_Reject,
     /* 2390836 */ // Label 34266: @2390836
     /* 2390836 */ GIM_Reject,
     /* 2390837 */ // Label 34233: @2390837
     /* 2390837 */ GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2390957),
     /* 2390842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2390845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2390848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390860 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2390908), // Rule ID 54272 //
     /* 2390865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390868 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2390871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2390885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390907 */     // GIR_Coverage, 54272,
     /* 2390907 */     GIR_EraseRootFromParent_Done,
     /* 2390908 */   // Label 34270: @2390908
     /* 2390908 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2390956), // Rule ID 54273 //
     /* 2390913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390916 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2390919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2390933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390955 */     // GIR_Coverage, 54273,
     /* 2390955 */     GIR_EraseRootFromParent_Done,
     /* 2390956 */   // Label 34271: @2390956
     /* 2390956 */   GIM_Reject,
     /* 2390957 */ // Label 34269: @2390957
     /* 2390957 */ GIM_Reject,
     /* 2390958 */ // Label 34234: @2390958
     /* 2390958 */ GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2391078),
     /* 2390963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2390966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2390969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390981 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2391029), // Rule ID 54224 //
     /* 2390986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390989 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2390992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2391006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391028 */     // GIR_Coverage, 54224,
     /* 2391028 */     GIR_EraseRootFromParent_Done,
     /* 2391029 */   // Label 34273: @2391029
     /* 2391029 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2391077), // Rule ID 54225 //
     /* 2391034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391037 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2391040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2391054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391076 */     // GIR_Coverage, 54225,
     /* 2391076 */     GIR_EraseRootFromParent_Done,
     /* 2391077 */   // Label 34274: @2391077
     /* 2391077 */   GIM_Reject,
     /* 2391078 */ // Label 34272: @2391078
     /* 2391078 */ GIM_Reject,
     /* 2391079 */ // Label 34235: @2391079
     /* 2391079 */ GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2391199),
     /* 2391084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2391087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2391090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391102 */   GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2391150), // Rule ID 54260 //
     /* 2391107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391110 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2391127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391149 */     // GIR_Coverage, 54260,
     /* 2391149 */     GIR_EraseRootFromParent_Done,
     /* 2391150 */   // Label 34276: @2391150
     /* 2391150 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2391198), // Rule ID 54261 //
     /* 2391155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391158 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2391175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391197 */     // GIR_Coverage, 54261,
     /* 2391197 */     GIR_EraseRootFromParent_Done,
     /* 2391198 */   // Label 34277: @2391198
     /* 2391198 */   GIM_Reject,
     /* 2391199 */ // Label 34275: @2391199
     /* 2391199 */ GIM_Reject,
     /* 2391200 */ // Label 34236: @2391200
     /* 2391200 */ GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2391320),
     /* 2391205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2391211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391223 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2391271), // Rule ID 54356 //
     /* 2391228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391231 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2391248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391270 */     // GIR_Coverage, 54356,
     /* 2391270 */     GIR_EraseRootFromParent_Done,
     /* 2391271 */   // Label 34279: @2391271
     /* 2391271 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2391319), // Rule ID 54357 //
     /* 2391276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391279 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2391296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391318 */     // GIR_Coverage, 54357,
     /* 2391318 */     GIR_EraseRootFromParent_Done,
     /* 2391319 */   // Label 34280: @2391319
     /* 2391319 */   GIM_Reject,
     /* 2391320 */ // Label 34278: @2391320
     /* 2391320 */ GIM_Reject,
     /* 2391321 */ // Label 34237: @2391321
     /* 2391321 */ GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2391441),
     /* 2391326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2391332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391344 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2391392), // Rule ID 54248 //
     /* 2391349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391352 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2391355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2391369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391391 */     // GIR_Coverage, 54248,
     /* 2391391 */     GIR_EraseRootFromParent_Done,
     /* 2391392 */   // Label 34282: @2391392
     /* 2391392 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2391440), // Rule ID 54249 //
     /* 2391397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391400 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2391403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2391417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391439 */     // GIR_Coverage, 54249,
     /* 2391439 */     GIR_EraseRootFromParent_Done,
     /* 2391440 */   // Label 34283: @2391440
     /* 2391440 */   GIM_Reject,
     /* 2391441 */ // Label 34281: @2391441
     /* 2391441 */ GIM_Reject,
     /* 2391442 */ // Label 34238: @2391442
     /* 2391442 */ GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2391562),
     /* 2391447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2391453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391465 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2391513), // Rule ID 54320 //
     /* 2391470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391473 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2391476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2391490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391512 */     // GIR_Coverage, 54320,
     /* 2391512 */     GIR_EraseRootFromParent_Done,
     /* 2391513 */   // Label 34285: @2391513
     /* 2391513 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2391561), // Rule ID 54321 //
     /* 2391518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391521 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2391524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2391538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391560 */     // GIR_Coverage, 54321,
     /* 2391560 */     GIR_EraseRootFromParent_Done,
     /* 2391561 */   // Label 34286: @2391561
     /* 2391561 */   GIM_Reject,
     /* 2391562 */ // Label 34284: @2391562
     /* 2391562 */ GIM_Reject,
     /* 2391563 */ // Label 34239: @2391563
     /* 2391563 */ GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2391683),
     /* 2391568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2391574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391586 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2391634), // Rule ID 54368 //
     /* 2391591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391594 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2391597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2391611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391633 */     // GIR_Coverage, 54368,
     /* 2391633 */     GIR_EraseRootFromParent_Done,
     /* 2391634 */   // Label 34288: @2391634
     /* 2391634 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2391682), // Rule ID 54369 //
     /* 2391639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391642 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2391645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2391659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391681 */     // GIR_Coverage, 54369,
     /* 2391681 */     GIR_EraseRootFromParent_Done,
     /* 2391682 */   // Label 34289: @2391682
     /* 2391682 */   GIM_Reject,
     /* 2391683 */ // Label 34287: @2391683
     /* 2391683 */ GIM_Reject,
     /* 2391684 */ // Label 34240: @2391684
     /* 2391684 */ GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2391804),
     /* 2391689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2391695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391707 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2391755), // Rule ID 54284 //
     /* 2391712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391715 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2391718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2391732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391754 */     // GIR_Coverage, 54284,
     /* 2391754 */     GIR_EraseRootFromParent_Done,
     /* 2391755 */   // Label 34291: @2391755
     /* 2391755 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2391803), // Rule ID 54285 //
     /* 2391760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391763 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2391766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2391780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391802 */     // GIR_Coverage, 54285,
     /* 2391802 */     GIR_EraseRootFromParent_Done,
     /* 2391803 */   // Label 34292: @2391803
     /* 2391803 */   GIM_Reject,
     /* 2391804 */ // Label 34290: @2391804
     /* 2391804 */ GIM_Reject,
     /* 2391805 */ // Label 34241: @2391805
     /* 2391805 */ GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2391925),
     /* 2391810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2391813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2391816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391828 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2391876), // Rule ID 54332 //
     /* 2391833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391836 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2391839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391875 */     // GIR_Coverage, 54332,
     /* 2391875 */     GIR_EraseRootFromParent_Done,
     /* 2391876 */   // Label 34294: @2391876
     /* 2391876 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2391924), // Rule ID 54333 //
     /* 2391881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391884 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2391887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2391901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391923 */     // GIR_Coverage, 54333,
     /* 2391923 */     GIR_EraseRootFromParent_Done,
     /* 2391924 */   // Label 34295: @2391924
     /* 2391924 */   GIM_Reject,
     /* 2391925 */ // Label 34293: @2391925
     /* 2391925 */ GIM_Reject,
     /* 2391926 */ // Label 34242: @2391926
     /* 2391926 */ GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2392046),
     /* 2391931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2391934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2391937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391949 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2391997), // Rule ID 54380 //
     /* 2391954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391957 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2391960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2391974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391996 */     // GIR_Coverage, 54380,
     /* 2391996 */     GIR_EraseRootFromParent_Done,
     /* 2391997 */   // Label 34297: @2391997
     /* 2391997 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2392045), // Rule ID 54381 //
     /* 2392002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392005 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2392008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2392022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392044 */     // GIR_Coverage, 54381,
     /* 2392044 */     GIR_EraseRootFromParent_Done,
     /* 2392045 */   // Label 34298: @2392045
     /* 2392045 */   GIM_Reject,
     /* 2392046 */ // Label 34296: @2392046
     /* 2392046 */ GIM_Reject,
     /* 2392047 */ // Label 34243: @2392047
     /* 2392047 */ GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2392167),
     /* 2392052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2392055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2392058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392070 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2392118), // Rule ID 54296 //
     /* 2392075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392078 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2392095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392117 */     // GIR_Coverage, 54296,
     /* 2392117 */     GIR_EraseRootFromParent_Done,
     /* 2392118 */   // Label 34300: @2392118
     /* 2392118 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2392166), // Rule ID 54297 //
     /* 2392123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392126 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2392143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392165 */     // GIR_Coverage, 54297,
     /* 2392165 */     GIR_EraseRootFromParent_Done,
     /* 2392166 */   // Label 34301: @2392166
     /* 2392166 */   GIM_Reject,
     /* 2392167 */ // Label 34299: @2392167
     /* 2392167 */ GIM_Reject,
     /* 2392168 */ // Label 34244: @2392168
     /* 2392168 */ GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2392288),
     /* 2392173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2392176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2392179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392191 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2392239), // Rule ID 54344 //
     /* 2392196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392199 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2392216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392238 */     // GIR_Coverage, 54344,
     /* 2392238 */     GIR_EraseRootFromParent_Done,
     /* 2392239 */   // Label 34303: @2392239
     /* 2392239 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2392287), // Rule ID 54345 //
     /* 2392244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392247 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2392264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392286 */     // GIR_Coverage, 54345,
     /* 2392286 */     GIR_EraseRootFromParent_Done,
     /* 2392287 */   // Label 34304: @2392287
     /* 2392287 */   GIM_Reject,
     /* 2392288 */ // Label 34302: @2392288
     /* 2392288 */ GIM_Reject,
     /* 2392289 */ // Label 34245: @2392289
     /* 2392289 */ GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2392409),
     /* 2392294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2392297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2392300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392312 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2392360), // Rule ID 54308 //
     /* 2392317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392320 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2392337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392359 */     // GIR_Coverage, 54308,
     /* 2392359 */     GIR_EraseRootFromParent_Done,
     /* 2392360 */   // Label 34306: @2392360
     /* 2392360 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2392408), // Rule ID 54309 //
     /* 2392365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392368 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2392385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392407 */     // GIR_Coverage, 54309,
     /* 2392407 */     GIR_EraseRootFromParent_Done,
     /* 2392408 */   // Label 34307: @2392408
     /* 2392408 */   GIM_Reject,
     /* 2392409 */ // Label 34305: @2392409
     /* 2392409 */ GIM_Reject,
     /* 2392410 */ // Label 34246: @2392410
     /* 2392410 */ GIM_Reject,
     /* 2392411 */ // Label 101: @2392411
     /* 2392411 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34326*/ GIMT_Encode4(2394838),
     /* 2392422 */ /*GILLT_s16*//*Label 34308*/ GIMT_Encode4(2392542),
     /* 2392426 */ /*GILLT_s32*//*Label 34309*/ GIMT_Encode4(2392691),
     /* 2392430 */ /*GILLT_s64*//*Label 34310*/ GIMT_Encode4(2392840), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392442 */ /*GILLT_nxv1s16*//*Label 34311*/ GIMT_Encode4(2393023),
     /* 2392446 */ /*GILLT_nxv1s32*//*Label 34312*/ GIMT_Encode4(2393144),
     /* 2392450 */ /*GILLT_nxv1s64*//*Label 34313*/ GIMT_Encode4(2393265), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392462 */ /*GILLT_nxv2s16*//*Label 34314*/ GIMT_Encode4(2393386),
     /* 2392466 */ /*GILLT_nxv2s32*//*Label 34315*/ GIMT_Encode4(2393507),
     /* 2392470 */ /*GILLT_nxv2s64*//*Label 34316*/ GIMT_Encode4(2393628), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392482 */ /*GILLT_nxv4s16*//*Label 34317*/ GIMT_Encode4(2393749),
     /* 2392486 */ /*GILLT_nxv4s32*//*Label 34318*/ GIMT_Encode4(2393870),
     /* 2392490 */ /*GILLT_nxv4s64*//*Label 34319*/ GIMT_Encode4(2393991), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392502 */ /*GILLT_nxv8s16*//*Label 34320*/ GIMT_Encode4(2394112),
     /* 2392506 */ /*GILLT_nxv8s32*//*Label 34321*/ GIMT_Encode4(2394233),
     /* 2392510 */ /*GILLT_nxv8s64*//*Label 34322*/ GIMT_Encode4(2394354), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392522 */ /*GILLT_nxv16s16*//*Label 34323*/ GIMT_Encode4(2394475),
     /* 2392526 */ /*GILLT_nxv16s32*//*Label 34324*/ GIMT_Encode4(2394596), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392538 */ /*GILLT_nxv32s16*//*Label 34325*/ GIMT_Encode4(2394717),
     /* 2392542 */ // Label 34308: @2392542
     /* 2392542 */ GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2392690),
     /* 2392547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2392550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2392553 */   GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2392587), // Rule ID 1970 //
     /* 2392558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2392561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392573 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2392573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2392576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392586 */     // GIR_Coverage, 1970,
     /* 2392586 */     GIR_EraseRootFromParent_Done,
     /* 2392587 */   // Label 34328: @2392587
     /* 2392587 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2392621), // Rule ID 1971 //
     /* 2392592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2392595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392607 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2392607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2392610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392620 */     // GIR_Coverage, 1971,
     /* 2392620 */     GIR_EraseRootFromParent_Done,
     /* 2392621 */   // Label 34329: @2392621
     /* 2392621 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2392655), // Rule ID 1974 //
     /* 2392626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2392629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392641 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2392641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2392644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392654 */     // GIR_Coverage, 1974,
     /* 2392654 */     GIR_EraseRootFromParent_Done,
     /* 2392655 */   // Label 34330: @2392655
     /* 2392655 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2392689), // Rule ID 1975 //
     /* 2392660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2392663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392675 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2392675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2392678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392688 */     // GIR_Coverage, 1975,
     /* 2392688 */     GIR_EraseRootFromParent_Done,
     /* 2392689 */   // Label 34331: @2392689
     /* 2392689 */   GIM_Reject,
     /* 2392690 */ // Label 34327: @2392690
     /* 2392690 */ GIM_Reject,
     /* 2392691 */ // Label 34309: @2392691
     /* 2392691 */ GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2392839),
     /* 2392696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2392702 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2392736), // Rule ID 1261 //
     /* 2392707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392722 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2392722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2392725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392735 */     // GIR_Coverage, 1261,
     /* 2392735 */     GIR_EraseRootFromParent_Done,
     /* 2392736 */   // Label 34333: @2392736
     /* 2392736 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2392770), // Rule ID 1262 //
     /* 2392741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392756 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2392756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2392759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392769 */     // GIR_Coverage, 1262,
     /* 2392769 */     GIR_EraseRootFromParent_Done,
     /* 2392770 */   // Label 34334: @2392770
     /* 2392770 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2392804), // Rule ID 1265 //
     /* 2392775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392790 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2392790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2392793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392803 */     // GIR_Coverage, 1265,
     /* 2392803 */     GIR_EraseRootFromParent_Done,
     /* 2392804 */   // Label 34335: @2392804
     /* 2392804 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2392838), // Rule ID 1266 //
     /* 2392809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392824 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2392824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2392827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392837 */     // GIR_Coverage, 1266,
     /* 2392837 */     GIR_EraseRootFromParent_Done,
     /* 2392838 */   // Label 34336: @2392838
     /* 2392838 */   GIM_Reject,
     /* 2392839 */ // Label 34332: @2392839
     /* 2392839 */ GIM_Reject,
     /* 2392840 */ // Label 34310: @2392840
     /* 2392840 */ GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2393022),
     /* 2392845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2392848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2392851 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2392885), // Rule ID 1602 //
     /* 2392856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2392859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392871 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2392871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2392874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392884 */     // GIR_Coverage, 1602,
     /* 2392884 */     GIR_EraseRootFromParent_Done,
     /* 2392885 */   // Label 34338: @2392885
     /* 2392885 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2392919), // Rule ID 1603 //
     /* 2392890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2392893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392905 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2392905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2392908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392918 */     // GIR_Coverage, 1603,
     /* 2392918 */     GIR_EraseRootFromParent_Done,
     /* 2392919 */   // Label 34339: @2392919
     /* 2392919 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2392953), // Rule ID 1606 //
     /* 2392924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2392927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392939 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2392939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2392942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392952 */     // GIR_Coverage, 1606,
     /* 2392952 */     GIR_EraseRootFromParent_Done,
     /* 2392953 */   // Label 34340: @2392953
     /* 2392953 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2392987), // Rule ID 1607 //
     /* 2392958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2392961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392973 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2392973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2392976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392986 */     // GIR_Coverage, 1607,
     /* 2392986 */     GIR_EraseRootFromParent_Done,
     /* 2392987 */   // Label 34341: @2392987
     /* 2392987 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2393021), // Rule ID 1610 //
     /* 2392992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2392995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2392999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393007 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2393010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393020 */     // GIR_Coverage, 1610,
     /* 2393020 */     GIR_EraseRootFromParent_Done,
     /* 2393021 */   // Label 34342: @2393021
     /* 2393021 */   GIM_Reject,
     /* 2393022 */ // Label 34337: @2393022
     /* 2393022 */ GIM_Reject,
     /* 2393023 */ // Label 34311: @2393023
     /* 2393023 */ GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2393143),
     /* 2393028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2393031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2393034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393046 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2393094), // Rule ID 54392 //
     /* 2393051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393054 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2393071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393093 */     // GIR_Coverage, 54392,
     /* 2393093 */     GIR_EraseRootFromParent_Done,
     /* 2393094 */   // Label 34344: @2393094
     /* 2393094 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2393142), // Rule ID 54393 //
     /* 2393099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393102 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2393119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393141 */     // GIR_Coverage, 54393,
     /* 2393141 */     GIR_EraseRootFromParent_Done,
     /* 2393142 */   // Label 34345: @2393142
     /* 2393142 */   GIM_Reject,
     /* 2393143 */ // Label 34343: @2393143
     /* 2393143 */ GIM_Reject,
     /* 2393144 */ // Label 34312: @2393144
     /* 2393144 */ GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2393264),
     /* 2393149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2393152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2393155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393167 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2393215), // Rule ID 54416 //
     /* 2393172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393175 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2393178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2393192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393214 */     // GIR_Coverage, 54416,
     /* 2393214 */     GIR_EraseRootFromParent_Done,
     /* 2393215 */   // Label 34347: @2393215
     /* 2393215 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2393263), // Rule ID 54417 //
     /* 2393220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393223 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2393226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2393240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393262 */     // GIR_Coverage, 54417,
     /* 2393262 */     GIR_EraseRootFromParent_Done,
     /* 2393263 */   // Label 34348: @2393263
     /* 2393263 */   GIM_Reject,
     /* 2393264 */ // Label 34346: @2393264
     /* 2393264 */ GIM_Reject,
     /* 2393265 */ // Label 34313: @2393265
     /* 2393265 */ GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2393385),
     /* 2393270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2393273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2393276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393288 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2393336), // Rule ID 54452 //
     /* 2393293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393296 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2393299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2393313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393335 */     // GIR_Coverage, 54452,
     /* 2393335 */     GIR_EraseRootFromParent_Done,
     /* 2393336 */   // Label 34350: @2393336
     /* 2393336 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2393384), // Rule ID 54453 //
     /* 2393341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393344 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2393347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2393361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393383 */     // GIR_Coverage, 54453,
     /* 2393383 */     GIR_EraseRootFromParent_Done,
     /* 2393384 */   // Label 34351: @2393384
     /* 2393384 */   GIM_Reject,
     /* 2393385 */ // Label 34349: @2393385
     /* 2393385 */ GIM_Reject,
     /* 2393386 */ // Label 34314: @2393386
     /* 2393386 */ GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2393506),
     /* 2393391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2393394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2393397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393409 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2393457), // Rule ID 54404 //
     /* 2393414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393417 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2393420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2393434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393456 */     // GIR_Coverage, 54404,
     /* 2393456 */     GIR_EraseRootFromParent_Done,
     /* 2393457 */   // Label 34353: @2393457
     /* 2393457 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2393505), // Rule ID 54405 //
     /* 2393462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393465 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2393468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2393482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393504 */     // GIR_Coverage, 54405,
     /* 2393504 */     GIR_EraseRootFromParent_Done,
     /* 2393505 */   // Label 34354: @2393505
     /* 2393505 */   GIM_Reject,
     /* 2393506 */ // Label 34352: @2393506
     /* 2393506 */ GIM_Reject,
     /* 2393507 */ // Label 34315: @2393507
     /* 2393507 */ GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2393627),
     /* 2393512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2393515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2393518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393530 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2393578), // Rule ID 54440 //
     /* 2393535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393538 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2393541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393577 */     // GIR_Coverage, 54440,
     /* 2393577 */     GIR_EraseRootFromParent_Done,
     /* 2393578 */   // Label 34356: @2393578
     /* 2393578 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2393626), // Rule ID 54441 //
     /* 2393583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393586 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2393589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2393603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393625 */     // GIR_Coverage, 54441,
     /* 2393625 */     GIR_EraseRootFromParent_Done,
     /* 2393626 */   // Label 34357: @2393626
     /* 2393626 */   GIM_Reject,
     /* 2393627 */ // Label 34355: @2393627
     /* 2393627 */ GIM_Reject,
     /* 2393628 */ // Label 34316: @2393628
     /* 2393628 */ GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2393748),
     /* 2393633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2393636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2393639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393651 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2393699), // Rule ID 54536 //
     /* 2393656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393659 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2393662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2393676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393698 */     // GIR_Coverage, 54536,
     /* 2393698 */     GIR_EraseRootFromParent_Done,
     /* 2393699 */   // Label 34359: @2393699
     /* 2393699 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2393747), // Rule ID 54537 //
     /* 2393704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393707 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2393710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2393724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393746 */     // GIR_Coverage, 54537,
     /* 2393746 */     GIR_EraseRootFromParent_Done,
     /* 2393747 */   // Label 34360: @2393747
     /* 2393747 */   GIM_Reject,
     /* 2393748 */ // Label 34358: @2393748
     /* 2393748 */ GIM_Reject,
     /* 2393749 */ // Label 34317: @2393749
     /* 2393749 */ GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2393869),
     /* 2393754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2393757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2393760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393772 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2393820), // Rule ID 54428 //
     /* 2393777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393780 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2393783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2393797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393819 */     // GIR_Coverage, 54428,
     /* 2393819 */     GIR_EraseRootFromParent_Done,
     /* 2393820 */   // Label 34362: @2393820
     /* 2393820 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2393868), // Rule ID 54429 //
     /* 2393825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393828 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2393831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2393845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393867 */     // GIR_Coverage, 54429,
     /* 2393867 */     GIR_EraseRootFromParent_Done,
     /* 2393868 */   // Label 34363: @2393868
     /* 2393868 */   GIM_Reject,
     /* 2393869 */ // Label 34361: @2393869
     /* 2393869 */ GIM_Reject,
     /* 2393870 */ // Label 34318: @2393870
     /* 2393870 */ GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2393990),
     /* 2393875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2393878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2393881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393893 */   GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2393941), // Rule ID 54500 //
     /* 2393898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393901 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2393904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2393918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393940 */     // GIR_Coverage, 54500,
     /* 2393940 */     GIR_EraseRootFromParent_Done,
     /* 2393941 */   // Label 34365: @2393941
     /* 2393941 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2393989), // Rule ID 54501 //
     /* 2393946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393949 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2393952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2393966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393988 */     // GIR_Coverage, 54501,
     /* 2393988 */     GIR_EraseRootFromParent_Done,
     /* 2393989 */   // Label 34366: @2393989
     /* 2393989 */   GIM_Reject,
     /* 2393990 */ // Label 34364: @2393990
     /* 2393990 */ GIM_Reject,
     /* 2393991 */ // Label 34319: @2393991
     /* 2393991 */ GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2394111),
     /* 2393996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2394002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394014 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2394062), // Rule ID 54548 //
     /* 2394019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394022 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2394039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394061 */     // GIR_Coverage, 54548,
     /* 2394061 */     GIR_EraseRootFromParent_Done,
     /* 2394062 */   // Label 34368: @2394062
     /* 2394062 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2394110), // Rule ID 54549 //
     /* 2394067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394070 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2394087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394109 */     // GIR_Coverage, 54549,
     /* 2394109 */     GIR_EraseRootFromParent_Done,
     /* 2394110 */   // Label 34369: @2394110
     /* 2394110 */   GIM_Reject,
     /* 2394111 */ // Label 34367: @2394111
     /* 2394111 */ GIM_Reject,
     /* 2394112 */ // Label 34320: @2394112
     /* 2394112 */ GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2394232),
     /* 2394117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2394123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394135 */   GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2394183), // Rule ID 54464 //
     /* 2394140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394143 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2394146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2394160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394182 */     // GIR_Coverage, 54464,
     /* 2394182 */     GIR_EraseRootFromParent_Done,
     /* 2394183 */   // Label 34371: @2394183
     /* 2394183 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2394231), // Rule ID 54465 //
     /* 2394188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394191 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2394194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2394208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394230 */     // GIR_Coverage, 54465,
     /* 2394230 */     GIR_EraseRootFromParent_Done,
     /* 2394231 */   // Label 34372: @2394231
     /* 2394231 */   GIM_Reject,
     /* 2394232 */ // Label 34370: @2394232
     /* 2394232 */ GIM_Reject,
     /* 2394233 */ // Label 34321: @2394233
     /* 2394233 */ GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2394353),
     /* 2394238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2394244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394256 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2394304), // Rule ID 54512 //
     /* 2394261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394264 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2394267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2394281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394303 */     // GIR_Coverage, 54512,
     /* 2394303 */     GIR_EraseRootFromParent_Done,
     /* 2394304 */   // Label 34374: @2394304
     /* 2394304 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2394352), // Rule ID 54513 //
     /* 2394309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394312 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2394315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2394329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394351 */     // GIR_Coverage, 54513,
     /* 2394351 */     GIR_EraseRootFromParent_Done,
     /* 2394352 */   // Label 34375: @2394352
     /* 2394352 */   GIM_Reject,
     /* 2394353 */ // Label 34373: @2394353
     /* 2394353 */ GIM_Reject,
     /* 2394354 */ // Label 34322: @2394354
     /* 2394354 */ GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2394474),
     /* 2394359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2394365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394377 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2394425), // Rule ID 54560 //
     /* 2394382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394385 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2394388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2394402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394424 */     // GIR_Coverage, 54560,
     /* 2394424 */     GIR_EraseRootFromParent_Done,
     /* 2394425 */   // Label 34377: @2394425
     /* 2394425 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2394473), // Rule ID 54561 //
     /* 2394430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394433 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2394436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2394450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394472 */     // GIR_Coverage, 54561,
     /* 2394472 */     GIR_EraseRootFromParent_Done,
     /* 2394473 */   // Label 34378: @2394473
     /* 2394473 */   GIM_Reject,
     /* 2394474 */ // Label 34376: @2394474
     /* 2394474 */ GIM_Reject,
     /* 2394475 */ // Label 34323: @2394475
     /* 2394475 */ GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2394595),
     /* 2394480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2394486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394498 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2394546), // Rule ID 54476 //
     /* 2394503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394506 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2394509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2394523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394545 */     // GIR_Coverage, 54476,
     /* 2394545 */     GIR_EraseRootFromParent_Done,
     /* 2394546 */   // Label 34380: @2394546
     /* 2394546 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2394594), // Rule ID 54477 //
     /* 2394551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394554 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2394557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2394571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394593 */     // GIR_Coverage, 54477,
     /* 2394593 */     GIR_EraseRootFromParent_Done,
     /* 2394594 */   // Label 34381: @2394594
     /* 2394594 */   GIM_Reject,
     /* 2394595 */ // Label 34379: @2394595
     /* 2394595 */ GIM_Reject,
     /* 2394596 */ // Label 34324: @2394596
     /* 2394596 */ GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2394716),
     /* 2394601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2394607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394619 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2394667), // Rule ID 54524 //
     /* 2394624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394627 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2394630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2394644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394666 */     // GIR_Coverage, 54524,
     /* 2394666 */     GIR_EraseRootFromParent_Done,
     /* 2394667 */   // Label 34383: @2394667
     /* 2394667 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2394715), // Rule ID 54525 //
     /* 2394672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394675 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2394678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2394692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394714 */     // GIR_Coverage, 54525,
     /* 2394714 */     GIR_EraseRootFromParent_Done,
     /* 2394715 */   // Label 34384: @2394715
     /* 2394715 */   GIM_Reject,
     /* 2394716 */ // Label 34382: @2394716
     /* 2394716 */ GIM_Reject,
     /* 2394717 */ // Label 34325: @2394717
     /* 2394717 */ GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2394837),
     /* 2394722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2394725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2394728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394740 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2394788), // Rule ID 54488 //
     /* 2394745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394748 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2394751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2394765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394787 */     // GIR_Coverage, 54488,
     /* 2394787 */     GIR_EraseRootFromParent_Done,
     /* 2394788 */   // Label 34386: @2394788
     /* 2394788 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2394836), // Rule ID 54489 //
     /* 2394793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394796 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2394799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2394813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394835 */     // GIR_Coverage, 54489,
     /* 2394835 */     GIR_EraseRootFromParent_Done,
     /* 2394836 */   // Label 34387: @2394836
     /* 2394836 */   GIM_Reject,
     /* 2394837 */ // Label 34385: @2394837
     /* 2394837 */ GIM_Reject,
     /* 2394838 */ // Label 34326: @2394838
     /* 2394838 */ GIM_Reject,
     /* 2394839 */ // Label 102: @2394839
     /* 2394839 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34406*/ GIMT_Encode4(2411483),
     /* 2394850 */ /*GILLT_s16*//*Label 34388*/ GIMT_Encode4(2394970),
     /* 2394854 */ /*GILLT_s32*//*Label 34389*/ GIMT_Encode4(2396406),
     /* 2394858 */ /*GILLT_s64*//*Label 34390*/ GIMT_Encode4(2397842), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394870 */ /*GILLT_nxv1s16*//*Label 34391*/ GIMT_Encode4(2399633),
     /* 2394874 */ /*GILLT_nxv1s32*//*Label 34392*/ GIMT_Encode4(2400423),
     /* 2394878 */ /*GILLT_nxv1s64*//*Label 34393*/ GIMT_Encode4(2401213), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394890 */ /*GILLT_nxv2s16*//*Label 34394*/ GIMT_Encode4(2402003),
     /* 2394894 */ /*GILLT_nxv2s32*//*Label 34395*/ GIMT_Encode4(2402793),
     /* 2394898 */ /*GILLT_nxv2s64*//*Label 34396*/ GIMT_Encode4(2403583), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394910 */ /*GILLT_nxv4s16*//*Label 34397*/ GIMT_Encode4(2404373),
     /* 2394914 */ /*GILLT_nxv4s32*//*Label 34398*/ GIMT_Encode4(2405163),
     /* 2394918 */ /*GILLT_nxv4s64*//*Label 34399*/ GIMT_Encode4(2405953), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394930 */ /*GILLT_nxv8s16*//*Label 34400*/ GIMT_Encode4(2406743),
     /* 2394934 */ /*GILLT_nxv8s32*//*Label 34401*/ GIMT_Encode4(2407533),
     /* 2394938 */ /*GILLT_nxv8s64*//*Label 34402*/ GIMT_Encode4(2408323), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394950 */ /*GILLT_nxv16s16*//*Label 34403*/ GIMT_Encode4(2409113),
     /* 2394954 */ /*GILLT_nxv16s32*//*Label 34404*/ GIMT_Encode4(2409903), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394966 */ /*GILLT_nxv32s16*//*Label 34405*/ GIMT_Encode4(2410693),
     /* 2394970 */ // Label 34388: @2394970
     /* 2394970 */ GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2396405),
     /* 2394975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2394981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2394984 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2395056), // Rule ID 2003 //
     /* 2394989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2394992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395036 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2395039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395055 */     // GIR_Coverage, 2003,
     /* 2395055 */     GIR_EraseRootFromParent_Done,
     /* 2395056 */   // Label 34408: @2395056
     /* 2395056 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2395128), // Rule ID 2004 //
     /* 2395061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395108 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2395111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395127 */     // GIR_Coverage, 2004,
     /* 2395127 */     GIR_EraseRootFromParent_Done,
     /* 2395128 */   // Label 34409: @2395128
     /* 2395128 */   GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2395200), // Rule ID 2036 //
     /* 2395133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395180 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2395183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395199 */     // GIR_Coverage, 2036,
     /* 2395199 */     GIR_EraseRootFromParent_Done,
     /* 2395200 */   // Label 34410: @2395200
     /* 2395200 */   GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2395272), // Rule ID 2037 //
     /* 2395205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395252 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2395255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395271 */     // GIR_Coverage, 2037,
     /* 2395271 */     GIR_EraseRootFromParent_Done,
     /* 2395272 */   // Label 34411: @2395272
     /* 2395272 */   GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2395344), // Rule ID 65292 //
     /* 2395277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2395280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395324 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2395327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395343 */     // GIR_Coverage, 65292,
     /* 2395343 */     GIR_EraseRootFromParent_Done,
     /* 2395344 */   // Label 34412: @2395344
     /* 2395344 */   GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2395416), // Rule ID 65293 //
     /* 2395349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395396 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2395399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395415 */     // GIR_Coverage, 65293,
     /* 2395415 */     GIR_EraseRootFromParent_Done,
     /* 2395416 */   // Label 34413: @2395416
     /* 2395416 */   GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2395488), // Rule ID 65300 //
     /* 2395421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395468 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2395471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395487 */     // GIR_Coverage, 65300,
     /* 2395487 */     GIR_EraseRootFromParent_Done,
     /* 2395488 */   // Label 34414: @2395488
     /* 2395488 */   GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2395560), // Rule ID 65301 //
     /* 2395493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395540 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2395543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2395555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395559 */     // GIR_Coverage, 65301,
     /* 2395559 */     GIR_EraseRootFromParent_Done,
     /* 2395560 */   // Label 34415: @2395560
     /* 2395560 */   GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2395617), // Rule ID 1999 //
     /* 2395565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2395568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395599 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2395602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395616 */     // GIR_Coverage, 1999,
     /* 2395616 */     GIR_EraseRootFromParent_Done,
     /* 2395617 */   // Label 34416: @2395617
     /* 2395617 */   GIM_Try, /*On fail goto*//*Label 34417*/ GIMT_Encode4(2395674), // Rule ID 2000 //
     /* 2395622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395656 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2395659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395673 */     // GIR_Coverage, 2000,
     /* 2395673 */     GIR_EraseRootFromParent_Done,
     /* 2395674 */   // Label 34417: @2395674
     /* 2395674 */   GIM_Try, /*On fail goto*//*Label 34418*/ GIMT_Encode4(2395731), // Rule ID 2032 //
     /* 2395679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395713 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2395716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395730 */     // GIR_Coverage, 2032,
     /* 2395730 */     GIR_EraseRootFromParent_Done,
     /* 2395731 */   // Label 34418: @2395731
     /* 2395731 */   GIM_Try, /*On fail goto*//*Label 34419*/ GIMT_Encode4(2395788), // Rule ID 2033 //
     /* 2395736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395770 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2395773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395787 */     // GIR_Coverage, 2033,
     /* 2395787 */     GIR_EraseRootFromParent_Done,
     /* 2395788 */   // Label 34419: @2395788
     /* 2395788 */   GIM_Try, /*On fail goto*//*Label 34420*/ GIMT_Encode4(2395845), // Rule ID 65288 //
     /* 2395793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2395796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395827 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2395830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395844 */     // GIR_Coverage, 65288,
     /* 2395844 */     GIR_EraseRootFromParent_Done,
     /* 2395845 */   // Label 34420: @2395845
     /* 2395845 */   GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2395902), // Rule ID 65289 //
     /* 2395850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395884 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2395887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395901 */     // GIR_Coverage, 65289,
     /* 2395901 */     GIR_EraseRootFromParent_Done,
     /* 2395902 */   // Label 34421: @2395902
     /* 2395902 */   GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2395959), // Rule ID 65296 //
     /* 2395907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395941 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2395941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2395944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2395952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2395954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395958 */     // GIR_Coverage, 65296,
     /* 2395958 */     GIR_EraseRootFromParent_Done,
     /* 2395959 */   // Label 34422: @2395959
     /* 2395959 */   GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2396016), // Rule ID 65297 //
     /* 2395964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395998 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2395998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2396001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2396011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396015 */     // GIR_Coverage, 65297,
     /* 2396015 */     GIR_EraseRootFromParent_Done,
     /* 2396016 */   // Label 34423: @2396016
     /* 2396016 */   GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2396073), // Rule ID 1995 //
     /* 2396021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2396024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2396048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396055 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2396055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2396058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2396068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396072 */     // GIR_Coverage, 1995,
     /* 2396072 */     GIR_EraseRootFromParent_Done,
     /* 2396073 */   // Label 34424: @2396073
     /* 2396073 */   GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2396130), // Rule ID 1996 //
     /* 2396078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2396081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2396105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396112 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2396112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2396115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2396125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396129 */     // GIR_Coverage, 1996,
     /* 2396129 */     GIR_EraseRootFromParent_Done,
     /* 2396130 */   // Label 34425: @2396130
     /* 2396130 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2396187), // Rule ID 2028 //
     /* 2396135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2396138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2396162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396169 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2396169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2396172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2396182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396186 */     // GIR_Coverage, 2028,
     /* 2396186 */     GIR_EraseRootFromParent_Done,
     /* 2396187 */   // Label 34426: @2396187
     /* 2396187 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2396244), // Rule ID 2029 //
     /* 2396192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2396195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2396219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396226 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2396226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2396229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2396239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396243 */     // GIR_Coverage, 2029,
     /* 2396243 */     GIR_EraseRootFromParent_Done,
     /* 2396244 */   // Label 34427: @2396244
     /* 2396244 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2396284), // Rule ID 1991 //
     /* 2396249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2396252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396268 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2396268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2396271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2396279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396283 */     // GIR_Coverage, 1991,
     /* 2396283 */     GIR_EraseRootFromParent_Done,
     /* 2396284 */   // Label 34428: @2396284
     /* 2396284 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2396324), // Rule ID 1992 //
     /* 2396289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2396292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396308 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2396308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2396311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2396319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396323 */     // GIR_Coverage, 1992,
     /* 2396323 */     GIR_EraseRootFromParent_Done,
     /* 2396324 */   // Label 34429: @2396324
     /* 2396324 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2396364), // Rule ID 2024 //
     /* 2396329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2396332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396348 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2396348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2396351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2396359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396363 */     // GIR_Coverage, 2024,
     /* 2396363 */     GIR_EraseRootFromParent_Done,
     /* 2396364 */   // Label 34430: @2396364
     /* 2396364 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2396404), // Rule ID 2025 //
     /* 2396369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2396372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396388 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2396388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2396391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2396399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396403 */     // GIR_Coverage, 2025,
     /* 2396403 */     GIR_EraseRootFromParent_Done,
     /* 2396404 */   // Label 34431: @2396404
     /* 2396404 */   GIM_Reject,
     /* 2396405 */ // Label 34407: @2396405
     /* 2396405 */ GIM_Reject,
     /* 2396406 */ // Label 34389: @2396406
     /* 2396406 */ GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2397841),
     /* 2396411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2396417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2396420 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2396492), // Rule ID 1302 //
     /* 2396425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2396428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396472 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2396472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2396475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396491 */     // GIR_Coverage, 1302,
     /* 2396491 */     GIR_EraseRootFromParent_Done,
     /* 2396492 */   // Label 34433: @2396492
     /* 2396492 */   GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2396564), // Rule ID 1303 //
     /* 2396497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2396500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396544 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2396544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2396547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396563 */     // GIR_Coverage, 1303,
     /* 2396563 */     GIR_EraseRootFromParent_Done,
     /* 2396564 */   // Label 34434: @2396564
     /* 2396564 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2396636), // Rule ID 1323 //
     /* 2396569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2396572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396616 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2396616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2396619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396635 */     // GIR_Coverage, 1323,
     /* 2396635 */     GIR_EraseRootFromParent_Done,
     /* 2396636 */   // Label 34435: @2396636
     /* 2396636 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2396708), // Rule ID 1324 //
     /* 2396641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2396644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396688 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2396688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2396691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396707 */     // GIR_Coverage, 1324,
     /* 2396707 */     GIR_EraseRootFromParent_Done,
     /* 2396708 */   // Label 34436: @2396708
     /* 2396708 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2396780), // Rule ID 65256 //
     /* 2396713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2396716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396760 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2396760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2396763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396779 */     // GIR_Coverage, 65256,
     /* 2396779 */     GIR_EraseRootFromParent_Done,
     /* 2396780 */   // Label 34437: @2396780
     /* 2396780 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2396852), // Rule ID 65257 //
     /* 2396785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2396788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396832 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2396832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2396835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396851 */     // GIR_Coverage, 65257,
     /* 2396851 */     GIR_EraseRootFromParent_Done,
     /* 2396852 */   // Label 34438: @2396852
     /* 2396852 */   GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2396924), // Rule ID 65264 //
     /* 2396857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2396860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396904 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2396904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2396907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396923 */     // GIR_Coverage, 65264,
     /* 2396923 */     GIR_EraseRootFromParent_Done,
     /* 2396924 */   // Label 34439: @2396924
     /* 2396924 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2396996), // Rule ID 65265 //
     /* 2396929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2396932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396976 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2396976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2396979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2396991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396995 */     // GIR_Coverage, 65265,
     /* 2396995 */     GIR_EraseRootFromParent_Done,
     /* 2396996 */   // Label 34440: @2396996
     /* 2396996 */   GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2397053), // Rule ID 1298 //
     /* 2397001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2397004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397035 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2397038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397052 */     // GIR_Coverage, 1298,
     /* 2397052 */     GIR_EraseRootFromParent_Done,
     /* 2397053 */   // Label 34441: @2397053
     /* 2397053 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2397110), // Rule ID 1299 //
     /* 2397058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2397061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397092 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2397095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397109 */     // GIR_Coverage, 1299,
     /* 2397109 */     GIR_EraseRootFromParent_Done,
     /* 2397110 */   // Label 34442: @2397110
     /* 2397110 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2397167), // Rule ID 1319 //
     /* 2397115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2397118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397149 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2397152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397166 */     // GIR_Coverage, 1319,
     /* 2397166 */     GIR_EraseRootFromParent_Done,
     /* 2397167 */   // Label 34443: @2397167
     /* 2397167 */   GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2397224), // Rule ID 1320 //
     /* 2397172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2397175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397206 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2397209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397223 */     // GIR_Coverage, 1320,
     /* 2397223 */     GIR_EraseRootFromParent_Done,
     /* 2397224 */   // Label 34444: @2397224
     /* 2397224 */   GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2397281), // Rule ID 65252 //
     /* 2397229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2397232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397263 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2397266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397280 */     // GIR_Coverage, 65252,
     /* 2397280 */     GIR_EraseRootFromParent_Done,
     /* 2397281 */   // Label 34445: @2397281
     /* 2397281 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2397338), // Rule ID 65253 //
     /* 2397286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2397289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397320 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2397323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397337 */     // GIR_Coverage, 65253,
     /* 2397337 */     GIR_EraseRootFromParent_Done,
     /* 2397338 */   // Label 34446: @2397338
     /* 2397338 */   GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2397395), // Rule ID 65260 //
     /* 2397343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2397346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397377 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2397380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397394 */     // GIR_Coverage, 65260,
     /* 2397394 */     GIR_EraseRootFromParent_Done,
     /* 2397395 */   // Label 34447: @2397395
     /* 2397395 */   GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2397452), // Rule ID 65261 //
     /* 2397400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2397403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397434 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2397437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397451 */     // GIR_Coverage, 65261,
     /* 2397451 */     GIR_EraseRootFromParent_Done,
     /* 2397452 */   // Label 34448: @2397452
     /* 2397452 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2397509), // Rule ID 1294 //
     /* 2397457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2397460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397491 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2397494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2397504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397508 */     // GIR_Coverage, 1294,
     /* 2397508 */     GIR_EraseRootFromParent_Done,
     /* 2397509 */   // Label 34449: @2397509
     /* 2397509 */   GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2397566), // Rule ID 1295 //
     /* 2397514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2397517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397548 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2397551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2397561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397565 */     // GIR_Coverage, 1295,
     /* 2397565 */     GIR_EraseRootFromParent_Done,
     /* 2397566 */   // Label 34450: @2397566
     /* 2397566 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2397623), // Rule ID 1315 //
     /* 2397571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2397574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397605 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2397608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2397618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397622 */     // GIR_Coverage, 1315,
     /* 2397622 */     GIR_EraseRootFromParent_Done,
     /* 2397623 */   // Label 34451: @2397623
     /* 2397623 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2397680), // Rule ID 1316 //
     /* 2397628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2397631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397662 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2397665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2397675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397679 */     // GIR_Coverage, 1316,
     /* 2397679 */     GIR_EraseRootFromParent_Done,
     /* 2397680 */   // Label 34452: @2397680
     /* 2397680 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2397720), // Rule ID 1290 //
     /* 2397685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2397688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397704 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2397707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397719 */     // GIR_Coverage, 1290,
     /* 2397719 */     GIR_EraseRootFromParent_Done,
     /* 2397720 */   // Label 34453: @2397720
     /* 2397720 */   GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2397760), // Rule ID 1291 //
     /* 2397725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2397728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397744 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2397747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397759 */     // GIR_Coverage, 1291,
     /* 2397759 */     GIR_EraseRootFromParent_Done,
     /* 2397760 */   // Label 34454: @2397760
     /* 2397760 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2397800), // Rule ID 1311 //
     /* 2397765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2397768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397784 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2397784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2397787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397799 */     // GIR_Coverage, 1311,
     /* 2397799 */     GIR_EraseRootFromParent_Done,
     /* 2397800 */   // Label 34455: @2397800
     /* 2397800 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2397840), // Rule ID 1312 //
     /* 2397805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2397808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397824 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2397824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2397827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2397835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397839 */     // GIR_Coverage, 1312,
     /* 2397839 */     GIR_EraseRootFromParent_Done,
     /* 2397840 */   // Label 34456: @2397840
     /* 2397840 */   GIM_Reject,
     /* 2397841 */ // Label 34432: @2397841
     /* 2397841 */ GIM_Reject,
     /* 2397842 */ // Label 34390: @2397842
     /* 2397842 */ GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2399632),
     /* 2397847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2397853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397856 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2397928), // Rule ID 1639 //
     /* 2397861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2397864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397908 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2397908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2397911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2397923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397927 */     // GIR_Coverage, 1639,
     /* 2397927 */     GIR_EraseRootFromParent_Done,
     /* 2397928 */   // Label 34458: @2397928
     /* 2397928 */   GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2398000), // Rule ID 1640 //
     /* 2397933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2397936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397980 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2397980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2397983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2397995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397999 */     // GIR_Coverage, 1640,
     /* 2397999 */     GIR_EraseRootFromParent_Done,
     /* 2398000 */   // Label 34459: @2398000
     /* 2398000 */   GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2398072), // Rule ID 1663 //
     /* 2398005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398052 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2398055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398071 */     // GIR_Coverage, 1663,
     /* 2398071 */     GIR_EraseRootFromParent_Done,
     /* 2398072 */   // Label 34460: @2398072
     /* 2398072 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2398144), // Rule ID 1694 //
     /* 2398077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398124 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2398127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398143 */     // GIR_Coverage, 1694,
     /* 2398143 */     GIR_EraseRootFromParent_Done,
     /* 2398144 */   // Label 34461: @2398144
     /* 2398144 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2398216), // Rule ID 1695 //
     /* 2398149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398196 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2398199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398215 */     // GIR_Coverage, 1695,
     /* 2398215 */     GIR_EraseRootFromParent_Done,
     /* 2398216 */   // Label 34462: @2398216
     /* 2398216 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2398288), // Rule ID 65272 //
     /* 2398221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398268 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2398271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398287 */     // GIR_Coverage, 65272,
     /* 2398287 */     GIR_EraseRootFromParent_Done,
     /* 2398288 */   // Label 34463: @2398288
     /* 2398288 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2398360), // Rule ID 65273 //
     /* 2398293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398340 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2398343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398359 */     // GIR_Coverage, 65273,
     /* 2398359 */     GIR_EraseRootFromParent_Done,
     /* 2398360 */   // Label 34464: @2398360
     /* 2398360 */   GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2398432), // Rule ID 65278 //
     /* 2398365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398412 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2398415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398431 */     // GIR_Coverage, 65278,
     /* 2398431 */     GIR_EraseRootFromParent_Done,
     /* 2398432 */   // Label 34465: @2398432
     /* 2398432 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2398504), // Rule ID 65284 //
     /* 2398437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398484 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2398487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398503 */     // GIR_Coverage, 65284,
     /* 2398503 */     GIR_EraseRootFromParent_Done,
     /* 2398504 */   // Label 34466: @2398504
     /* 2398504 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2398576), // Rule ID 65285 //
     /* 2398509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398556 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2398559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398575 */     // GIR_Coverage, 65285,
     /* 2398575 */     GIR_EraseRootFromParent_Done,
     /* 2398576 */   // Label 34467: @2398576
     /* 2398576 */   GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2398633), // Rule ID 1635 //
     /* 2398581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398615 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2398618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398632 */     // GIR_Coverage, 1635,
     /* 2398632 */     GIR_EraseRootFromParent_Done,
     /* 2398633 */   // Label 34468: @2398633
     /* 2398633 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2398690), // Rule ID 1636 //
     /* 2398638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398672 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2398675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398689 */     // GIR_Coverage, 1636,
     /* 2398689 */     GIR_EraseRootFromParent_Done,
     /* 2398690 */   // Label 34469: @2398690
     /* 2398690 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2398747), // Rule ID 1661 //
     /* 2398695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398729 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2398732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398746 */     // GIR_Coverage, 1661,
     /* 2398746 */     GIR_EraseRootFromParent_Done,
     /* 2398747 */   // Label 34470: @2398747
     /* 2398747 */   GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2398804), // Rule ID 1690 //
     /* 2398752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398786 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2398789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398803 */     // GIR_Coverage, 1690,
     /* 2398803 */     GIR_EraseRootFromParent_Done,
     /* 2398804 */   // Label 34471: @2398804
     /* 2398804 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2398861), // Rule ID 1691 //
     /* 2398809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398843 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2398846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398860 */     // GIR_Coverage, 1691,
     /* 2398860 */     GIR_EraseRootFromParent_Done,
     /* 2398861 */   // Label 34472: @2398861
     /* 2398861 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2398918), // Rule ID 65268 //
     /* 2398866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398900 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2398900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2398903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398917 */     // GIR_Coverage, 65268,
     /* 2398917 */     GIR_EraseRootFromParent_Done,
     /* 2398918 */   // Label 34473: @2398918
     /* 2398918 */   GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2398975), // Rule ID 65269 //
     /* 2398923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398957 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2398957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2398960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398974 */     // GIR_Coverage, 65269,
     /* 2398974 */     GIR_EraseRootFromParent_Done,
     /* 2398975 */   // Label 34474: @2398975
     /* 2398975 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2399032), // Rule ID 65276 //
     /* 2398980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399014 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2399017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399031 */     // GIR_Coverage, 65276,
     /* 2399031 */     GIR_EraseRootFromParent_Done,
     /* 2399032 */   // Label 34475: @2399032
     /* 2399032 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399089), // Rule ID 65280 //
     /* 2399037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2399040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399071 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2399074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399088 */     // GIR_Coverage, 65280,
     /* 2399088 */     GIR_EraseRootFromParent_Done,
     /* 2399089 */   // Label 34476: @2399089
     /* 2399089 */   GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2399146), // Rule ID 65281 //
     /* 2399094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2399097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399128 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2399128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2399131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399145 */     // GIR_Coverage, 65281,
     /* 2399145 */     GIR_EraseRootFromParent_Done,
     /* 2399146 */   // Label 34477: @2399146
     /* 2399146 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2399203), // Rule ID 1631 //
     /* 2399151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2399154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399185 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2399188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399202 */     // GIR_Coverage, 1631,
     /* 2399202 */     GIR_EraseRootFromParent_Done,
     /* 2399203 */   // Label 34478: @2399203
     /* 2399203 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2399260), // Rule ID 1632 //
     /* 2399208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2399211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399242 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2399242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2399245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399259 */     // GIR_Coverage, 1632,
     /* 2399259 */     GIR_EraseRootFromParent_Done,
     /* 2399260 */   // Label 34479: @2399260
     /* 2399260 */   GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2399317), // Rule ID 1659 //
     /* 2399265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2399268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399299 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2399302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399316 */     // GIR_Coverage, 1659,
     /* 2399316 */     GIR_EraseRootFromParent_Done,
     /* 2399317 */   // Label 34480: @2399317
     /* 2399317 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2399374), // Rule ID 1686 //
     /* 2399322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2399325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399356 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2399359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399373 */     // GIR_Coverage, 1686,
     /* 2399373 */     GIR_EraseRootFromParent_Done,
     /* 2399374 */   // Label 34481: @2399374
     /* 2399374 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2399431), // Rule ID 1687 //
     /* 2399379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2399382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399413 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2399413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2399416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399430 */     // GIR_Coverage, 1687,
     /* 2399430 */     GIR_EraseRootFromParent_Done,
     /* 2399431 */   // Label 34482: @2399431
     /* 2399431 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2399471), // Rule ID 1627 //
     /* 2399436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2399439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399455 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2399458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399470 */     // GIR_Coverage, 1627,
     /* 2399470 */     GIR_EraseRootFromParent_Done,
     /* 2399471 */   // Label 34483: @2399471
     /* 2399471 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2399511), // Rule ID 1628 //
     /* 2399476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2399479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399495 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2399495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2399498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399510 */     // GIR_Coverage, 1628,
     /* 2399510 */     GIR_EraseRootFromParent_Done,
     /* 2399511 */   // Label 34484: @2399511
     /* 2399511 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2399551), // Rule ID 1657 //
     /* 2399516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2399519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399535 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2399538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399550 */     // GIR_Coverage, 1657,
     /* 2399550 */     GIR_EraseRootFromParent_Done,
     /* 2399551 */   // Label 34485: @2399551
     /* 2399551 */   GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2399591), // Rule ID 1682 //
     /* 2399556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2399559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399575 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2399575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2399578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399590 */     // GIR_Coverage, 1682,
     /* 2399590 */     GIR_EraseRootFromParent_Done,
     /* 2399591 */   // Label 34486: @2399591
     /* 2399591 */   GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2399631), // Rule ID 1683 //
     /* 2399596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2399599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2399615 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2399615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2399618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399630 */     // GIR_Coverage, 1683,
     /* 2399630 */     GIR_EraseRootFromParent_Done,
     /* 2399631 */   // Label 34487: @2399631
     /* 2399631 */   GIM_Reject,
     /* 2399632 */ // Label 34457: @2399632
     /* 2399632 */ GIM_Reject,
     /* 2399633 */ // Label 34391: @2399633
     /* 2399633 */ GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2400422),
     /* 2399638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2399644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2399647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399651 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2399728), // Rule ID 54826 //
     /* 2399656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399699 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2399702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399727 */     // GIR_Coverage, 54826,
     /* 2399727 */     GIR_EraseRootFromParent_Done,
     /* 2399728 */   // Label 34489: @2399728
     /* 2399728 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2399805), // Rule ID 54827 //
     /* 2399733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399776 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2399779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399804 */     // GIR_Coverage, 54827,
     /* 2399804 */     GIR_EraseRootFromParent_Done,
     /* 2399805 */   // Label 34490: @2399805
     /* 2399805 */   GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2399882), // Rule ID 72254 //
     /* 2399810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399853 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2399856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399881 */     // GIR_Coverage, 72254,
     /* 2399881 */     GIR_EraseRootFromParent_Done,
     /* 2399882 */   // Label 34491: @2399882
     /* 2399882 */   GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2399959), // Rule ID 72255 //
     /* 2399887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399930 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2399933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399958 */     // GIR_Coverage, 72255,
     /* 2399958 */     GIR_EraseRootFromParent_Done,
     /* 2399959 */   // Label 34492: @2399959
     /* 2399959 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2400021), // Rule ID 54830 //
     /* 2399964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2399979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399994 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2399997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400020 */     // GIR_Coverage, 54830,
     /* 2400020 */     GIR_EraseRootFromParent_Done,
     /* 2400021 */   // Label 34493: @2400021
     /* 2400021 */   GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2400083), // Rule ID 54831 //
     /* 2400026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400056 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2400059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400082 */     // GIR_Coverage, 54831,
     /* 2400082 */     GIR_EraseRootFromParent_Done,
     /* 2400083 */   // Label 34494: @2400083
     /* 2400083 */   GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2400145), // Rule ID 72258 //
     /* 2400088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400118 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2400121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400144 */     // GIR_Coverage, 72258,
     /* 2400144 */     GIR_EraseRootFromParent_Done,
     /* 2400145 */   // Label 34495: @2400145
     /* 2400145 */   GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2400207), // Rule ID 72259 //
     /* 2400150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400180 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2400183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400206 */     // GIR_Coverage, 72259,
     /* 2400206 */     GIR_EraseRootFromParent_Done,
     /* 2400207 */   // Label 34496: @2400207
     /* 2400207 */   GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2400269), // Rule ID 54822 //
     /* 2400212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400242 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2400245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400268 */     // GIR_Coverage, 54822,
     /* 2400268 */     GIR_EraseRootFromParent_Done,
     /* 2400269 */   // Label 34497: @2400269
     /* 2400269 */   GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2400331), // Rule ID 54823 //
     /* 2400274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400304 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2400307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400330 */     // GIR_Coverage, 54823,
     /* 2400330 */     GIR_EraseRootFromParent_Done,
     /* 2400331 */   // Label 34498: @2400331
     /* 2400331 */   GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2400376), // Rule ID 54818 //
     /* 2400336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400351 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2400354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400375 */     // GIR_Coverage, 54818,
     /* 2400375 */     GIR_EraseRootFromParent_Done,
     /* 2400376 */   // Label 34499: @2400376
     /* 2400376 */   GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2400421), // Rule ID 54819 //
     /* 2400381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400396 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2400399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400420 */     // GIR_Coverage, 54819,
     /* 2400420 */     GIR_EraseRootFromParent_Done,
     /* 2400421 */   // Label 34500: @2400421
     /* 2400421 */   GIM_Reject,
     /* 2400422 */ // Label 34488: @2400422
     /* 2400422 */ GIM_Reject,
     /* 2400423 */ // Label 34392: @2400423
     /* 2400423 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2401212),
     /* 2400428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2400434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2400437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400441 */   GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2400518), // Rule ID 54954 //
     /* 2400446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400489 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2400492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400517 */     // GIR_Coverage, 54954,
     /* 2400517 */     GIR_EraseRootFromParent_Done,
     /* 2400518 */   // Label 34502: @2400518
     /* 2400518 */   GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2400595), // Rule ID 54955 //
     /* 2400523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400566 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2400569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400594 */     // GIR_Coverage, 54955,
     /* 2400594 */     GIR_EraseRootFromParent_Done,
     /* 2400595 */   // Label 34503: @2400595
     /* 2400595 */   GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2400672), // Rule ID 72366 //
     /* 2400600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400643 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2400646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400671 */     // GIR_Coverage, 72366,
     /* 2400671 */     GIR_EraseRootFromParent_Done,
     /* 2400672 */   // Label 34504: @2400672
     /* 2400672 */   GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2400749), // Rule ID 72367 //
     /* 2400677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400720 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2400723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400748 */     // GIR_Coverage, 72367,
     /* 2400748 */     GIR_EraseRootFromParent_Done,
     /* 2400749 */   // Label 34505: @2400749
     /* 2400749 */   GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2400811), // Rule ID 54958 //
     /* 2400754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400784 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2400787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400810 */     // GIR_Coverage, 54958,
     /* 2400810 */     GIR_EraseRootFromParent_Done,
     /* 2400811 */   // Label 34506: @2400811
     /* 2400811 */   GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400873), // Rule ID 54959 //
     /* 2400816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400846 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2400849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400872 */     // GIR_Coverage, 54959,
     /* 2400872 */     GIR_EraseRootFromParent_Done,
     /* 2400873 */   // Label 34507: @2400873
     /* 2400873 */   GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400935), // Rule ID 72370 //
     /* 2400878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400908 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2400911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400934 */     // GIR_Coverage, 72370,
     /* 2400934 */     GIR_EraseRootFromParent_Done,
     /* 2400935 */   // Label 34508: @2400935
     /* 2400935 */   GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400997), // Rule ID 72371 //
     /* 2400940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400970 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2400973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400996 */     // GIR_Coverage, 72371,
     /* 2400996 */     GIR_EraseRootFromParent_Done,
     /* 2400997 */   // Label 34509: @2400997
     /* 2400997 */   GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2401059), // Rule ID 54950 //
     /* 2401002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2401025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401032 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2401035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401058 */     // GIR_Coverage, 54950,
     /* 2401058 */     GIR_EraseRootFromParent_Done,
     /* 2401059 */   // Label 34510: @2401059
     /* 2401059 */   GIM_Try, /*On fail goto*//*Label 34511*/ GIMT_Encode4(2401121), // Rule ID 54951 //
     /* 2401064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2401087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401094 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2401097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401120 */     // GIR_Coverage, 54951,
     /* 2401120 */     GIR_EraseRootFromParent_Done,
     /* 2401121 */   // Label 34511: @2401121
     /* 2401121 */   GIM_Try, /*On fail goto*//*Label 34512*/ GIMT_Encode4(2401166), // Rule ID 54946 //
     /* 2401126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401141 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2401144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401165 */     // GIR_Coverage, 54946,
     /* 2401165 */     GIR_EraseRootFromParent_Done,
     /* 2401166 */   // Label 34512: @2401166
     /* 2401166 */   GIM_Try, /*On fail goto*//*Label 34513*/ GIMT_Encode4(2401211), // Rule ID 54947 //
     /* 2401171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401186 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2401189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401210 */     // GIR_Coverage, 54947,
     /* 2401210 */     GIR_EraseRootFromParent_Done,
     /* 2401211 */   // Label 34513: @2401211
     /* 2401211 */   GIM_Reject,
     /* 2401212 */ // Label 34501: @2401212
     /* 2401212 */ GIM_Reject,
     /* 2401213 */ // Label 34393: @2401213
     /* 2401213 */ GIM_Try, /*On fail goto*//*Label 34514*/ GIMT_Encode4(2402002),
     /* 2401218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2401224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2401227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401231 */   GIM_Try, /*On fail goto*//*Label 34515*/ GIMT_Encode4(2401308), // Rule ID 55146 //
     /* 2401236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401279 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2401282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401307 */     // GIR_Coverage, 55146,
     /* 2401307 */     GIR_EraseRootFromParent_Done,
     /* 2401308 */   // Label 34515: @2401308
     /* 2401308 */   GIM_Try, /*On fail goto*//*Label 34516*/ GIMT_Encode4(2401385), // Rule ID 55147 //
     /* 2401313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401356 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2401359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401384 */     // GIR_Coverage, 55147,
     /* 2401384 */     GIR_EraseRootFromParent_Done,
     /* 2401385 */   // Label 34516: @2401385
     /* 2401385 */   GIM_Try, /*On fail goto*//*Label 34517*/ GIMT_Encode4(2401462), // Rule ID 72534 //
     /* 2401390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401433 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2401436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401461 */     // GIR_Coverage, 72534,
     /* 2401461 */     GIR_EraseRootFromParent_Done,
     /* 2401462 */   // Label 34517: @2401462
     /* 2401462 */   GIM_Try, /*On fail goto*//*Label 34518*/ GIMT_Encode4(2401539), // Rule ID 72535 //
     /* 2401467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401510 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2401513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401538 */     // GIR_Coverage, 72535,
     /* 2401538 */     GIR_EraseRootFromParent_Done,
     /* 2401539 */   // Label 34518: @2401539
     /* 2401539 */   GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2401601), // Rule ID 55150 //
     /* 2401544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401574 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2401577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401600 */     // GIR_Coverage, 55150,
     /* 2401600 */     GIR_EraseRootFromParent_Done,
     /* 2401601 */   // Label 34519: @2401601
     /* 2401601 */   GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2401663), // Rule ID 55151 //
     /* 2401606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401636 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2401639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401662 */     // GIR_Coverage, 55151,
     /* 2401662 */     GIR_EraseRootFromParent_Done,
     /* 2401663 */   // Label 34520: @2401663
     /* 2401663 */   GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2401725), // Rule ID 72538 //
     /* 2401668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401698 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2401701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401724 */     // GIR_Coverage, 72538,
     /* 2401724 */     GIR_EraseRootFromParent_Done,
     /* 2401725 */   // Label 34521: @2401725
     /* 2401725 */   GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2401787), // Rule ID 72539 //
     /* 2401730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401760 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2401763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401786 */     // GIR_Coverage, 72539,
     /* 2401786 */     GIR_EraseRootFromParent_Done,
     /* 2401787 */   // Label 34522: @2401787
     /* 2401787 */   GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2401849), // Rule ID 55142 //
     /* 2401792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401822 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2401825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401848 */     // GIR_Coverage, 55142,
     /* 2401848 */     GIR_EraseRootFromParent_Done,
     /* 2401849 */   // Label 34523: @2401849
     /* 2401849 */   GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401911), // Rule ID 55143 //
     /* 2401854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401884 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2401887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401910 */     // GIR_Coverage, 55143,
     /* 2401910 */     GIR_EraseRootFromParent_Done,
     /* 2401911 */   // Label 34524: @2401911
     /* 2401911 */   GIM_Try, /*On fail goto*//*Label 34525*/ GIMT_Encode4(2401956), // Rule ID 55138 //
     /* 2401916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401931 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2401934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401955 */     // GIR_Coverage, 55138,
     /* 2401955 */     GIR_EraseRootFromParent_Done,
     /* 2401956 */   // Label 34525: @2401956
     /* 2401956 */   GIM_Try, /*On fail goto*//*Label 34526*/ GIMT_Encode4(2402001), // Rule ID 55139 //
     /* 2401961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401976 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2401979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402000 */     // GIR_Coverage, 55139,
     /* 2402000 */     GIR_EraseRootFromParent_Done,
     /* 2402001 */   // Label 34526: @2402001
     /* 2402001 */   GIM_Reject,
     /* 2402002 */ // Label 34514: @2402002
     /* 2402002 */ GIM_Reject,
     /* 2402003 */ // Label 34394: @2402003
     /* 2402003 */ GIM_Try, /*On fail goto*//*Label 34527*/ GIMT_Encode4(2402792),
     /* 2402008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2402014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2402017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402021 */   GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2402098), // Rule ID 54890 //
     /* 2402026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402069 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2402072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402097 */     // GIR_Coverage, 54890,
     /* 2402097 */     GIR_EraseRootFromParent_Done,
     /* 2402098 */   // Label 34528: @2402098
     /* 2402098 */   GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2402175), // Rule ID 54891 //
     /* 2402103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402146 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2402149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402174 */     // GIR_Coverage, 54891,
     /* 2402174 */     GIR_EraseRootFromParent_Done,
     /* 2402175 */   // Label 34529: @2402175
     /* 2402175 */   GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2402252), // Rule ID 72310 //
     /* 2402180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402223 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2402226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402251 */     // GIR_Coverage, 72310,
     /* 2402251 */     GIR_EraseRootFromParent_Done,
     /* 2402252 */   // Label 34530: @2402252
     /* 2402252 */   GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2402329), // Rule ID 72311 //
     /* 2402257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402300 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2402303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402328 */     // GIR_Coverage, 72311,
     /* 2402328 */     GIR_EraseRootFromParent_Done,
     /* 2402329 */   // Label 34531: @2402329
     /* 2402329 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2402391), // Rule ID 54894 //
     /* 2402334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402364 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2402367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402390 */     // GIR_Coverage, 54894,
     /* 2402390 */     GIR_EraseRootFromParent_Done,
     /* 2402391 */   // Label 34532: @2402391
     /* 2402391 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2402453), // Rule ID 54895 //
     /* 2402396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402426 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2402429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402452 */     // GIR_Coverage, 54895,
     /* 2402452 */     GIR_EraseRootFromParent_Done,
     /* 2402453 */   // Label 34533: @2402453
     /* 2402453 */   GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2402515), // Rule ID 72314 //
     /* 2402458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402488 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2402491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402514 */     // GIR_Coverage, 72314,
     /* 2402514 */     GIR_EraseRootFromParent_Done,
     /* 2402515 */   // Label 34534: @2402515
     /* 2402515 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2402577), // Rule ID 72315 //
     /* 2402520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402550 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2402553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402576 */     // GIR_Coverage, 72315,
     /* 2402576 */     GIR_EraseRootFromParent_Done,
     /* 2402577 */   // Label 34535: @2402577
     /* 2402577 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2402639), // Rule ID 54886 //
     /* 2402582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402612 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2402615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2402625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402638 */     // GIR_Coverage, 54886,
     /* 2402638 */     GIR_EraseRootFromParent_Done,
     /* 2402639 */   // Label 34536: @2402639
     /* 2402639 */   GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2402701), // Rule ID 54887 //
     /* 2402644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402674 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2402677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2402687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402700 */     // GIR_Coverage, 54887,
     /* 2402700 */     GIR_EraseRootFromParent_Done,
     /* 2402701 */   // Label 34537: @2402701
     /* 2402701 */   GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2402746), // Rule ID 54882 //
     /* 2402706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402721 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2402724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402745 */     // GIR_Coverage, 54882,
     /* 2402745 */     GIR_EraseRootFromParent_Done,
     /* 2402746 */   // Label 34538: @2402746
     /* 2402746 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2402791), // Rule ID 54883 //
     /* 2402751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402766 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2402769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402790 */     // GIR_Coverage, 54883,
     /* 2402790 */     GIR_EraseRootFromParent_Done,
     /* 2402791 */   // Label 34539: @2402791
     /* 2402791 */   GIM_Reject,
     /* 2402792 */ // Label 34527: @2402792
     /* 2402792 */ GIM_Reject,
     /* 2402793 */ // Label 34395: @2402793
     /* 2402793 */ GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2403582),
     /* 2402798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2402804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2402807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402811 */   GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2402888), // Rule ID 55082 //
     /* 2402816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402859 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2402862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402887 */     // GIR_Coverage, 55082,
     /* 2402887 */     GIR_EraseRootFromParent_Done,
     /* 2402888 */   // Label 34541: @2402888
     /* 2402888 */   GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2402965), // Rule ID 55083 //
     /* 2402893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402936 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2402939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402964 */     // GIR_Coverage, 55083,
     /* 2402964 */     GIR_EraseRootFromParent_Done,
     /* 2402965 */   // Label 34542: @2402965
     /* 2402965 */   GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2403042), // Rule ID 72478 //
     /* 2402970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403013 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2403016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403041 */     // GIR_Coverage, 72478,
     /* 2403041 */     GIR_EraseRootFromParent_Done,
     /* 2403042 */   // Label 34543: @2403042
     /* 2403042 */   GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2403119), // Rule ID 72479 //
     /* 2403047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403090 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2403093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403118 */     // GIR_Coverage, 72479,
     /* 2403118 */     GIR_EraseRootFromParent_Done,
     /* 2403119 */   // Label 34544: @2403119
     /* 2403119 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2403181), // Rule ID 55086 //
     /* 2403124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403154 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2403157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403180 */     // GIR_Coverage, 55086,
     /* 2403180 */     GIR_EraseRootFromParent_Done,
     /* 2403181 */   // Label 34545: @2403181
     /* 2403181 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2403243), // Rule ID 55087 //
     /* 2403186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403216 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2403219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403242 */     // GIR_Coverage, 55087,
     /* 2403242 */     GIR_EraseRootFromParent_Done,
     /* 2403243 */   // Label 34546: @2403243
     /* 2403243 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2403305), // Rule ID 72482 //
     /* 2403248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403278 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2403281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403304 */     // GIR_Coverage, 72482,
     /* 2403304 */     GIR_EraseRootFromParent_Done,
     /* 2403305 */   // Label 34547: @2403305
     /* 2403305 */   GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2403367), // Rule ID 72483 //
     /* 2403310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403340 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2403343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403366 */     // GIR_Coverage, 72483,
     /* 2403366 */     GIR_EraseRootFromParent_Done,
     /* 2403367 */   // Label 34548: @2403367
     /* 2403367 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2403429), // Rule ID 55078 //
     /* 2403372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403402 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2403405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403428 */     // GIR_Coverage, 55078,
     /* 2403428 */     GIR_EraseRootFromParent_Done,
     /* 2403429 */   // Label 34549: @2403429
     /* 2403429 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2403491), // Rule ID 55079 //
     /* 2403434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403464 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2403467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403490 */     // GIR_Coverage, 55079,
     /* 2403490 */     GIR_EraseRootFromParent_Done,
     /* 2403491 */   // Label 34550: @2403491
     /* 2403491 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2403536), // Rule ID 55074 //
     /* 2403496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403511 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2403514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403535 */     // GIR_Coverage, 55074,
     /* 2403535 */     GIR_EraseRootFromParent_Done,
     /* 2403536 */   // Label 34551: @2403536
     /* 2403536 */   GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2403581), // Rule ID 55075 //
     /* 2403541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403556 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2403559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403580 */     // GIR_Coverage, 55075,
     /* 2403580 */     GIR_EraseRootFromParent_Done,
     /* 2403581 */   // Label 34552: @2403581
     /* 2403581 */   GIM_Reject,
     /* 2403582 */ // Label 34540: @2403582
     /* 2403582 */ GIM_Reject,
     /* 2403583 */ // Label 34396: @2403583
     /* 2403583 */ GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2404372),
     /* 2403588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2403594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2403597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403601 */   GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2403678), // Rule ID 55594 //
     /* 2403606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403649 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2403652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403677 */     // GIR_Coverage, 55594,
     /* 2403677 */     GIR_EraseRootFromParent_Done,
     /* 2403678 */   // Label 34554: @2403678
     /* 2403678 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2403755), // Rule ID 55595 //
     /* 2403683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403726 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2403729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403754 */     // GIR_Coverage, 55595,
     /* 2403754 */     GIR_EraseRootFromParent_Done,
     /* 2403755 */   // Label 34555: @2403755
     /* 2403755 */   GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2403832), // Rule ID 72926 //
     /* 2403760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403803 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2403806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403831 */     // GIR_Coverage, 72926,
     /* 2403831 */     GIR_EraseRootFromParent_Done,
     /* 2403832 */   // Label 34556: @2403832
     /* 2403832 */   GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2403909), // Rule ID 72927 //
     /* 2403837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403880 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2403883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403908 */     // GIR_Coverage, 72927,
     /* 2403908 */     GIR_EraseRootFromParent_Done,
     /* 2403909 */   // Label 34557: @2403909
     /* 2403909 */   GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2403971), // Rule ID 55598 //
     /* 2403914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403944 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2403947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403970 */     // GIR_Coverage, 55598,
     /* 2403970 */     GIR_EraseRootFromParent_Done,
     /* 2403971 */   // Label 34558: @2403971
     /* 2403971 */   GIM_Try, /*On fail goto*//*Label 34559*/ GIMT_Encode4(2404033), // Rule ID 55599 //
     /* 2403976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404006 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2404009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404032 */     // GIR_Coverage, 55599,
     /* 2404032 */     GIR_EraseRootFromParent_Done,
     /* 2404033 */   // Label 34559: @2404033
     /* 2404033 */   GIM_Try, /*On fail goto*//*Label 34560*/ GIMT_Encode4(2404095), // Rule ID 72930 //
     /* 2404038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404068 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2404071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404094 */     // GIR_Coverage, 72930,
     /* 2404094 */     GIR_EraseRootFromParent_Done,
     /* 2404095 */   // Label 34560: @2404095
     /* 2404095 */   GIM_Try, /*On fail goto*//*Label 34561*/ GIMT_Encode4(2404157), // Rule ID 72931 //
     /* 2404100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404130 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2404133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404156 */     // GIR_Coverage, 72931,
     /* 2404156 */     GIR_EraseRootFromParent_Done,
     /* 2404157 */   // Label 34561: @2404157
     /* 2404157 */   GIM_Try, /*On fail goto*//*Label 34562*/ GIMT_Encode4(2404219), // Rule ID 55590 //
     /* 2404162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404192 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2404195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404218 */     // GIR_Coverage, 55590,
     /* 2404218 */     GIR_EraseRootFromParent_Done,
     /* 2404219 */   // Label 34562: @2404219
     /* 2404219 */   GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2404281), // Rule ID 55591 //
     /* 2404224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404254 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2404257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404280 */     // GIR_Coverage, 55591,
     /* 2404280 */     GIR_EraseRootFromParent_Done,
     /* 2404281 */   // Label 34563: @2404281
     /* 2404281 */   GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2404326), // Rule ID 55586 //
     /* 2404286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404301 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2404304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404325 */     // GIR_Coverage, 55586,
     /* 2404325 */     GIR_EraseRootFromParent_Done,
     /* 2404326 */   // Label 34564: @2404326
     /* 2404326 */   GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2404371), // Rule ID 55587 //
     /* 2404331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404346 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2404349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404370 */     // GIR_Coverage, 55587,
     /* 2404370 */     GIR_EraseRootFromParent_Done,
     /* 2404371 */   // Label 34565: @2404371
     /* 2404371 */   GIM_Reject,
     /* 2404372 */ // Label 34553: @2404372
     /* 2404372 */ GIM_Reject,
     /* 2404373 */ // Label 34397: @2404373
     /* 2404373 */ GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2405162),
     /* 2404378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2404384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2404387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404391 */   GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2404468), // Rule ID 55018 //
     /* 2404396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404439 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2404442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404467 */     // GIR_Coverage, 55018,
     /* 2404467 */     GIR_EraseRootFromParent_Done,
     /* 2404468 */   // Label 34567: @2404468
     /* 2404468 */   GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2404545), // Rule ID 55019 //
     /* 2404473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404516 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2404519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404544 */     // GIR_Coverage, 55019,
     /* 2404544 */     GIR_EraseRootFromParent_Done,
     /* 2404545 */   // Label 34568: @2404545
     /* 2404545 */   GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2404622), // Rule ID 72422 //
     /* 2404550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404593 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2404596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404621 */     // GIR_Coverage, 72422,
     /* 2404621 */     GIR_EraseRootFromParent_Done,
     /* 2404622 */   // Label 34569: @2404622
     /* 2404622 */   GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2404699), // Rule ID 72423 //
     /* 2404627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404670 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2404673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404698 */     // GIR_Coverage, 72423,
     /* 2404698 */     GIR_EraseRootFromParent_Done,
     /* 2404699 */   // Label 34570: @2404699
     /* 2404699 */   GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2404761), // Rule ID 55022 //
     /* 2404704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404734 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2404737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404760 */     // GIR_Coverage, 55022,
     /* 2404760 */     GIR_EraseRootFromParent_Done,
     /* 2404761 */   // Label 34571: @2404761
     /* 2404761 */   GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2404823), // Rule ID 55023 //
     /* 2404766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404796 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2404799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404822 */     // GIR_Coverage, 55023,
     /* 2404822 */     GIR_EraseRootFromParent_Done,
     /* 2404823 */   // Label 34572: @2404823
     /* 2404823 */   GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2404885), // Rule ID 72426 //
     /* 2404828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404858 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2404861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404884 */     // GIR_Coverage, 72426,
     /* 2404884 */     GIR_EraseRootFromParent_Done,
     /* 2404885 */   // Label 34573: @2404885
     /* 2404885 */   GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2404947), // Rule ID 72427 //
     /* 2404890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404920 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2404923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404946 */     // GIR_Coverage, 72427,
     /* 2404946 */     GIR_EraseRootFromParent_Done,
     /* 2404947 */   // Label 34574: @2404947
     /* 2404947 */   GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2405009), // Rule ID 55014 //
     /* 2404952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404982 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2404985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405008 */     // GIR_Coverage, 55014,
     /* 2405008 */     GIR_EraseRootFromParent_Done,
     /* 2405009 */   // Label 34575: @2405009
     /* 2405009 */   GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2405071), // Rule ID 55015 //
     /* 2405014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2405037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405044 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2405047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405070 */     // GIR_Coverage, 55015,
     /* 2405070 */     GIR_EraseRootFromParent_Done,
     /* 2405071 */   // Label 34576: @2405071
     /* 2405071 */   GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2405116), // Rule ID 55010 //
     /* 2405076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405091 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2405094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405115 */     // GIR_Coverage, 55010,
     /* 2405115 */     GIR_EraseRootFromParent_Done,
     /* 2405116 */   // Label 34577: @2405116
     /* 2405116 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2405161), // Rule ID 55011 //
     /* 2405121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405136 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2405139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405160 */     // GIR_Coverage, 55011,
     /* 2405160 */     GIR_EraseRootFromParent_Done,
     /* 2405161 */   // Label 34578: @2405161
     /* 2405161 */   GIM_Reject,
     /* 2405162 */ // Label 34566: @2405162
     /* 2405162 */ GIM_Reject,
     /* 2405163 */ // Label 34398: @2405163
     /* 2405163 */ GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2405952),
     /* 2405168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2405174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2405177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405181 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2405258), // Rule ID 55402 //
     /* 2405186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405229 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2405232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405257 */     // GIR_Coverage, 55402,
     /* 2405257 */     GIR_EraseRootFromParent_Done,
     /* 2405258 */   // Label 34580: @2405258
     /* 2405258 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2405335), // Rule ID 55403 //
     /* 2405263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405306 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2405309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405334 */     // GIR_Coverage, 55403,
     /* 2405334 */     GIR_EraseRootFromParent_Done,
     /* 2405335 */   // Label 34581: @2405335
     /* 2405335 */   GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2405412), // Rule ID 72758 //
     /* 2405340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405383 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2405386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405411 */     // GIR_Coverage, 72758,
     /* 2405411 */     GIR_EraseRootFromParent_Done,
     /* 2405412 */   // Label 34582: @2405412
     /* 2405412 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2405489), // Rule ID 72759 //
     /* 2405417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405460 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2405463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405488 */     // GIR_Coverage, 72759,
     /* 2405488 */     GIR_EraseRootFromParent_Done,
     /* 2405489 */   // Label 34583: @2405489
     /* 2405489 */   GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2405551), // Rule ID 55406 //
     /* 2405494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405524 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2405527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405550 */     // GIR_Coverage, 55406,
     /* 2405550 */     GIR_EraseRootFromParent_Done,
     /* 2405551 */   // Label 34584: @2405551
     /* 2405551 */   GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2405613), // Rule ID 55407 //
     /* 2405556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405586 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2405589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405612 */     // GIR_Coverage, 55407,
     /* 2405612 */     GIR_EraseRootFromParent_Done,
     /* 2405613 */   // Label 34585: @2405613
     /* 2405613 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2405675), // Rule ID 72762 //
     /* 2405618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405648 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2405651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405674 */     // GIR_Coverage, 72762,
     /* 2405674 */     GIR_EraseRootFromParent_Done,
     /* 2405675 */   // Label 34586: @2405675
     /* 2405675 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2405737), // Rule ID 72763 //
     /* 2405680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405710 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2405713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405736 */     // GIR_Coverage, 72763,
     /* 2405736 */     GIR_EraseRootFromParent_Done,
     /* 2405737 */   // Label 34587: @2405737
     /* 2405737 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2405799), // Rule ID 55398 //
     /* 2405742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405772 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2405775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405798 */     // GIR_Coverage, 55398,
     /* 2405798 */     GIR_EraseRootFromParent_Done,
     /* 2405799 */   // Label 34588: @2405799
     /* 2405799 */   GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2405861), // Rule ID 55399 //
     /* 2405804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405834 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2405837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405860 */     // GIR_Coverage, 55399,
     /* 2405860 */     GIR_EraseRootFromParent_Done,
     /* 2405861 */   // Label 34589: @2405861
     /* 2405861 */   GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2405906), // Rule ID 55394 //
     /* 2405866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405881 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2405884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405905 */     // GIR_Coverage, 55394,
     /* 2405905 */     GIR_EraseRootFromParent_Done,
     /* 2405906 */   // Label 34590: @2405906
     /* 2405906 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2405951), // Rule ID 55395 //
     /* 2405911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405926 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2405929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405950 */     // GIR_Coverage, 55395,
     /* 2405950 */     GIR_EraseRootFromParent_Done,
     /* 2405951 */   // Label 34591: @2405951
     /* 2405951 */   GIM_Reject,
     /* 2405952 */ // Label 34579: @2405952
     /* 2405952 */ GIM_Reject,
     /* 2405953 */ // Label 34399: @2405953
     /* 2405953 */ GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2406742),
     /* 2405958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2405964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2405967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405971 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2406048), // Rule ID 55658 //
     /* 2405976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2405979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406019 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2406022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406047 */     // GIR_Coverage, 55658,
     /* 2406047 */     GIR_EraseRootFromParent_Done,
     /* 2406048 */   // Label 34593: @2406048
     /* 2406048 */   GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2406125), // Rule ID 55659 //
     /* 2406053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406096 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2406099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406124 */     // GIR_Coverage, 55659,
     /* 2406124 */     GIR_EraseRootFromParent_Done,
     /* 2406125 */   // Label 34594: @2406125
     /* 2406125 */   GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2406202), // Rule ID 72982 //
     /* 2406130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406173 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2406176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406201 */     // GIR_Coverage, 72982,
     /* 2406201 */     GIR_EraseRootFromParent_Done,
     /* 2406202 */   // Label 34595: @2406202
     /* 2406202 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2406279), // Rule ID 72983 //
     /* 2406207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406250 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2406253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406278 */     // GIR_Coverage, 72983,
     /* 2406278 */     GIR_EraseRootFromParent_Done,
     /* 2406279 */   // Label 34596: @2406279
     /* 2406279 */   GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2406341), // Rule ID 55662 //
     /* 2406284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406314 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2406317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406340 */     // GIR_Coverage, 55662,
     /* 2406340 */     GIR_EraseRootFromParent_Done,
     /* 2406341 */   // Label 34597: @2406341
     /* 2406341 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2406403), // Rule ID 55663 //
     /* 2406346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406376 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2406379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406402 */     // GIR_Coverage, 55663,
     /* 2406402 */     GIR_EraseRootFromParent_Done,
     /* 2406403 */   // Label 34598: @2406403
     /* 2406403 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2406465), // Rule ID 72986 //
     /* 2406408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406438 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2406441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406464 */     // GIR_Coverage, 72986,
     /* 2406464 */     GIR_EraseRootFromParent_Done,
     /* 2406465 */   // Label 34599: @2406465
     /* 2406465 */   GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2406527), // Rule ID 72987 //
     /* 2406470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406500 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2406503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406526 */     // GIR_Coverage, 72987,
     /* 2406526 */     GIR_EraseRootFromParent_Done,
     /* 2406527 */   // Label 34600: @2406527
     /* 2406527 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2406589), // Rule ID 55654 //
     /* 2406532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406562 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2406565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406588 */     // GIR_Coverage, 55654,
     /* 2406588 */     GIR_EraseRootFromParent_Done,
     /* 2406589 */   // Label 34601: @2406589
     /* 2406589 */   GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2406651), // Rule ID 55655 //
     /* 2406594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406624 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2406627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406650 */     // GIR_Coverage, 55655,
     /* 2406650 */     GIR_EraseRootFromParent_Done,
     /* 2406651 */   // Label 34602: @2406651
     /* 2406651 */   GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2406696), // Rule ID 55650 //
     /* 2406656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406671 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2406674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406695 */     // GIR_Coverage, 55650,
     /* 2406695 */     GIR_EraseRootFromParent_Done,
     /* 2406696 */   // Label 34603: @2406696
     /* 2406696 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2406741), // Rule ID 55651 //
     /* 2406701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406716 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2406719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406740 */     // GIR_Coverage, 55651,
     /* 2406740 */     GIR_EraseRootFromParent_Done,
     /* 2406741 */   // Label 34604: @2406741
     /* 2406741 */   GIM_Reject,
     /* 2406742 */ // Label 34592: @2406742
     /* 2406742 */ GIM_Reject,
     /* 2406743 */ // Label 34400: @2406743
     /* 2406743 */ GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2407532),
     /* 2406748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2406754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2406757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406761 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2406838), // Rule ID 55210 //
     /* 2406766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406809 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2406812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406837 */     // GIR_Coverage, 55210,
     /* 2406837 */     GIR_EraseRootFromParent_Done,
     /* 2406838 */   // Label 34606: @2406838
     /* 2406838 */   GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2406915), // Rule ID 55211 //
     /* 2406843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406886 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2406889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406914 */     // GIR_Coverage, 55211,
     /* 2406914 */     GIR_EraseRootFromParent_Done,
     /* 2406915 */   // Label 34607: @2406915
     /* 2406915 */   GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2406992), // Rule ID 72590 //
     /* 2406920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2406956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406963 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2406966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406991 */     // GIR_Coverage, 72590,
     /* 2406991 */     GIR_EraseRootFromParent_Done,
     /* 2406992 */   // Label 34608: @2406992
     /* 2406992 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2407069), // Rule ID 72591 //
     /* 2406997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407040 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2407043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407068 */     // GIR_Coverage, 72591,
     /* 2407068 */     GIR_EraseRootFromParent_Done,
     /* 2407069 */   // Label 34609: @2407069
     /* 2407069 */   GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2407131), // Rule ID 55214 //
     /* 2407074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407104 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2407107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407130 */     // GIR_Coverage, 55214,
     /* 2407130 */     GIR_EraseRootFromParent_Done,
     /* 2407131 */   // Label 34610: @2407131
     /* 2407131 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2407193), // Rule ID 55215 //
     /* 2407136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407166 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2407169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407192 */     // GIR_Coverage, 55215,
     /* 2407192 */     GIR_EraseRootFromParent_Done,
     /* 2407193 */   // Label 34611: @2407193
     /* 2407193 */   GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2407255), // Rule ID 72594 //
     /* 2407198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407228 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2407231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407254 */     // GIR_Coverage, 72594,
     /* 2407254 */     GIR_EraseRootFromParent_Done,
     /* 2407255 */   // Label 34612: @2407255
     /* 2407255 */   GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2407317), // Rule ID 72595 //
     /* 2407260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407290 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2407293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407316 */     // GIR_Coverage, 72595,
     /* 2407316 */     GIR_EraseRootFromParent_Done,
     /* 2407317 */   // Label 34613: @2407317
     /* 2407317 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2407379), // Rule ID 55206 //
     /* 2407322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407352 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2407355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2407365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407378 */     // GIR_Coverage, 55206,
     /* 2407378 */     GIR_EraseRootFromParent_Done,
     /* 2407379 */   // Label 34614: @2407379
     /* 2407379 */   GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2407441), // Rule ID 55207 //
     /* 2407384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407414 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2407417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2407427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407440 */     // GIR_Coverage, 55207,
     /* 2407440 */     GIR_EraseRootFromParent_Done,
     /* 2407441 */   // Label 34615: @2407441
     /* 2407441 */   GIM_Try, /*On fail goto*//*Label 34616*/ GIMT_Encode4(2407486), // Rule ID 55202 //
     /* 2407446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407461 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2407464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407485 */     // GIR_Coverage, 55202,
     /* 2407485 */     GIR_EraseRootFromParent_Done,
     /* 2407486 */   // Label 34616: @2407486
     /* 2407486 */   GIM_Try, /*On fail goto*//*Label 34617*/ GIMT_Encode4(2407531), // Rule ID 55203 //
     /* 2407491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407506 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2407509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407530 */     // GIR_Coverage, 55203,
     /* 2407530 */     GIR_EraseRootFromParent_Done,
     /* 2407531 */   // Label 34617: @2407531
     /* 2407531 */   GIM_Reject,
     /* 2407532 */ // Label 34605: @2407532
     /* 2407532 */ GIM_Reject,
     /* 2407533 */ // Label 34401: @2407533
     /* 2407533 */ GIM_Try, /*On fail goto*//*Label 34618*/ GIMT_Encode4(2408322),
     /* 2407538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2407544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2407547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407551 */   GIM_Try, /*On fail goto*//*Label 34619*/ GIMT_Encode4(2407628), // Rule ID 55466 //
     /* 2407556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407599 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2407602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407627 */     // GIR_Coverage, 55466,
     /* 2407627 */     GIR_EraseRootFromParent_Done,
     /* 2407628 */   // Label 34619: @2407628
     /* 2407628 */   GIM_Try, /*On fail goto*//*Label 34620*/ GIMT_Encode4(2407705), // Rule ID 55467 //
     /* 2407633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407676 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2407679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407704 */     // GIR_Coverage, 55467,
     /* 2407704 */     GIR_EraseRootFromParent_Done,
     /* 2407705 */   // Label 34620: @2407705
     /* 2407705 */   GIM_Try, /*On fail goto*//*Label 34621*/ GIMT_Encode4(2407782), // Rule ID 72814 //
     /* 2407710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407753 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2407756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407781 */     // GIR_Coverage, 72814,
     /* 2407781 */     GIR_EraseRootFromParent_Done,
     /* 2407782 */   // Label 34621: @2407782
     /* 2407782 */   GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2407859), // Rule ID 72815 //
     /* 2407787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407830 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2407833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407858 */     // GIR_Coverage, 72815,
     /* 2407858 */     GIR_EraseRootFromParent_Done,
     /* 2407859 */   // Label 34622: @2407859
     /* 2407859 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2407921), // Rule ID 55470 //
     /* 2407864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407894 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2407897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407920 */     // GIR_Coverage, 55470,
     /* 2407920 */     GIR_EraseRootFromParent_Done,
     /* 2407921 */   // Label 34623: @2407921
     /* 2407921 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2407983), // Rule ID 55471 //
     /* 2407926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2407941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407956 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2407959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407982 */     // GIR_Coverage, 55471,
     /* 2407982 */     GIR_EraseRootFromParent_Done,
     /* 2407983 */   // Label 34624: @2407983
     /* 2407983 */   GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2408045), // Rule ID 72818 //
     /* 2407988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408018 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2408021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408044 */     // GIR_Coverage, 72818,
     /* 2408044 */     GIR_EraseRootFromParent_Done,
     /* 2408045 */   // Label 34625: @2408045
     /* 2408045 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2408107), // Rule ID 72819 //
     /* 2408050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408080 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2408083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408106 */     // GIR_Coverage, 72819,
     /* 2408106 */     GIR_EraseRootFromParent_Done,
     /* 2408107 */   // Label 34626: @2408107
     /* 2408107 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2408169), // Rule ID 55462 //
     /* 2408112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408142 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2408145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408168 */     // GIR_Coverage, 55462,
     /* 2408168 */     GIR_EraseRootFromParent_Done,
     /* 2408169 */   // Label 34627: @2408169
     /* 2408169 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2408231), // Rule ID 55463 //
     /* 2408174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408204 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2408207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408230 */     // GIR_Coverage, 55463,
     /* 2408230 */     GIR_EraseRootFromParent_Done,
     /* 2408231 */   // Label 34628: @2408231
     /* 2408231 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2408276), // Rule ID 55458 //
     /* 2408236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408251 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2408254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408275 */     // GIR_Coverage, 55458,
     /* 2408275 */     GIR_EraseRootFromParent_Done,
     /* 2408276 */   // Label 34629: @2408276
     /* 2408276 */   GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2408321), // Rule ID 55459 //
     /* 2408281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408296 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2408299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408320 */     // GIR_Coverage, 55459,
     /* 2408320 */     GIR_EraseRootFromParent_Done,
     /* 2408321 */   // Label 34630: @2408321
     /* 2408321 */   GIM_Reject,
     /* 2408322 */ // Label 34618: @2408322
     /* 2408322 */ GIM_Reject,
     /* 2408323 */ // Label 34402: @2408323
     /* 2408323 */ GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2409112),
     /* 2408328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2408334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2408337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408341 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2408418), // Rule ID 55722 //
     /* 2408346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408389 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2408392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408417 */     // GIR_Coverage, 55722,
     /* 2408417 */     GIR_EraseRootFromParent_Done,
     /* 2408418 */   // Label 34632: @2408418
     /* 2408418 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2408495), // Rule ID 55723 //
     /* 2408423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408466 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2408469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408494 */     // GIR_Coverage, 55723,
     /* 2408494 */     GIR_EraseRootFromParent_Done,
     /* 2408495 */   // Label 34633: @2408495
     /* 2408495 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2408572), // Rule ID 73038 //
     /* 2408500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408543 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2408546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408571 */     // GIR_Coverage, 73038,
     /* 2408571 */     GIR_EraseRootFromParent_Done,
     /* 2408572 */   // Label 34634: @2408572
     /* 2408572 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2408649), // Rule ID 73039 //
     /* 2408577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408620 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2408623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408648 */     // GIR_Coverage, 73039,
     /* 2408648 */     GIR_EraseRootFromParent_Done,
     /* 2408649 */   // Label 34635: @2408649
     /* 2408649 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2408711), // Rule ID 55726 //
     /* 2408654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408684 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2408687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408710 */     // GIR_Coverage, 55726,
     /* 2408710 */     GIR_EraseRootFromParent_Done,
     /* 2408711 */   // Label 34636: @2408711
     /* 2408711 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2408773), // Rule ID 55727 //
     /* 2408716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408746 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2408749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408772 */     // GIR_Coverage, 55727,
     /* 2408772 */     GIR_EraseRootFromParent_Done,
     /* 2408773 */   // Label 34637: @2408773
     /* 2408773 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2408835), // Rule ID 73042 //
     /* 2408778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408808 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2408811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408834 */     // GIR_Coverage, 73042,
     /* 2408834 */     GIR_EraseRootFromParent_Done,
     /* 2408835 */   // Label 34638: @2408835
     /* 2408835 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2408897), // Rule ID 73043 //
     /* 2408840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408870 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2408873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408896 */     // GIR_Coverage, 73043,
     /* 2408896 */     GIR_EraseRootFromParent_Done,
     /* 2408897 */   // Label 34639: @2408897
     /* 2408897 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2408959), // Rule ID 55718 //
     /* 2408902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408932 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2408935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408958 */     // GIR_Coverage, 55718,
     /* 2408958 */     GIR_EraseRootFromParent_Done,
     /* 2408959 */   // Label 34640: @2408959
     /* 2408959 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2409021), // Rule ID 55719 //
     /* 2408964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408994 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2408997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409020 */     // GIR_Coverage, 55719,
     /* 2409020 */     GIR_EraseRootFromParent_Done,
     /* 2409021 */   // Label 34641: @2409021
     /* 2409021 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2409066), // Rule ID 55714 //
     /* 2409026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409041 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2409044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409065 */     // GIR_Coverage, 55714,
     /* 2409065 */     GIR_EraseRootFromParent_Done,
     /* 2409066 */   // Label 34642: @2409066
     /* 2409066 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2409111), // Rule ID 55715 //
     /* 2409071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409086 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2409089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409110 */     // GIR_Coverage, 55715,
     /* 2409110 */     GIR_EraseRootFromParent_Done,
     /* 2409111 */   // Label 34643: @2409111
     /* 2409111 */   GIM_Reject,
     /* 2409112 */ // Label 34631: @2409112
     /* 2409112 */ GIM_Reject,
     /* 2409113 */ // Label 34403: @2409113
     /* 2409113 */ GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2409902),
     /* 2409118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2409124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2409127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409131 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2409208), // Rule ID 55274 //
     /* 2409136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409179 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2409182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409207 */     // GIR_Coverage, 55274,
     /* 2409207 */     GIR_EraseRootFromParent_Done,
     /* 2409208 */   // Label 34645: @2409208
     /* 2409208 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2409285), // Rule ID 55275 //
     /* 2409213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409256 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2409259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409284 */     // GIR_Coverage, 55275,
     /* 2409284 */     GIR_EraseRootFromParent_Done,
     /* 2409285 */   // Label 34646: @2409285
     /* 2409285 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2409362), // Rule ID 72646 //
     /* 2409290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409333 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2409336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409361 */     // GIR_Coverage, 72646,
     /* 2409361 */     GIR_EraseRootFromParent_Done,
     /* 2409362 */   // Label 34647: @2409362
     /* 2409362 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2409439), // Rule ID 72647 //
     /* 2409367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409410 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2409413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409438 */     // GIR_Coverage, 72647,
     /* 2409438 */     GIR_EraseRootFromParent_Done,
     /* 2409439 */   // Label 34648: @2409439
     /* 2409439 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2409501), // Rule ID 55278 //
     /* 2409444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409474 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2409477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409500 */     // GIR_Coverage, 55278,
     /* 2409500 */     GIR_EraseRootFromParent_Done,
     /* 2409501 */   // Label 34649: @2409501
     /* 2409501 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2409563), // Rule ID 55279 //
     /* 2409506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409536 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2409539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409562 */     // GIR_Coverage, 55279,
     /* 2409562 */     GIR_EraseRootFromParent_Done,
     /* 2409563 */   // Label 34650: @2409563
     /* 2409563 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2409625), // Rule ID 72650 //
     /* 2409568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409598 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2409601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409624 */     // GIR_Coverage, 72650,
     /* 2409624 */     GIR_EraseRootFromParent_Done,
     /* 2409625 */   // Label 34651: @2409625
     /* 2409625 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2409687), // Rule ID 72651 //
     /* 2409630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409660 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2409663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409686 */     // GIR_Coverage, 72651,
     /* 2409686 */     GIR_EraseRootFromParent_Done,
     /* 2409687 */   // Label 34652: @2409687
     /* 2409687 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2409749), // Rule ID 55270 //
     /* 2409692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409722 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2409725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409748 */     // GIR_Coverage, 55270,
     /* 2409748 */     GIR_EraseRootFromParent_Done,
     /* 2409749 */   // Label 34653: @2409749
     /* 2409749 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2409811), // Rule ID 55271 //
     /* 2409754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2409777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409784 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2409787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409810 */     // GIR_Coverage, 55271,
     /* 2409810 */     GIR_EraseRootFromParent_Done,
     /* 2409811 */   // Label 34654: @2409811
     /* 2409811 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2409856), // Rule ID 55266 //
     /* 2409816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409831 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2409834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409855 */     // GIR_Coverage, 55266,
     /* 2409855 */     GIR_EraseRootFromParent_Done,
     /* 2409856 */   // Label 34655: @2409856
     /* 2409856 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2409901), // Rule ID 55267 //
     /* 2409861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409876 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2409879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409900 */     // GIR_Coverage, 55267,
     /* 2409900 */     GIR_EraseRootFromParent_Done,
     /* 2409901 */   // Label 34656: @2409901
     /* 2409901 */   GIM_Reject,
     /* 2409902 */ // Label 34644: @2409902
     /* 2409902 */ GIM_Reject,
     /* 2409903 */ // Label 34404: @2409903
     /* 2409903 */ GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2410692),
     /* 2409908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2409911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2409914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2409917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409921 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2409998), // Rule ID 55530 //
     /* 2409926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2409929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2409941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2409962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409969 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2409972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409997 */     // GIR_Coverage, 55530,
     /* 2409997 */     GIR_EraseRootFromParent_Done,
     /* 2409998 */   // Label 34658: @2409998
     /* 2409998 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2410075), // Rule ID 55531 //
     /* 2410003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410046 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2410049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410074 */     // GIR_Coverage, 55531,
     /* 2410074 */     GIR_EraseRootFromParent_Done,
     /* 2410075 */   // Label 34659: @2410075
     /* 2410075 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2410152), // Rule ID 72870 //
     /* 2410080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410123 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2410126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410151 */     // GIR_Coverage, 72870,
     /* 2410151 */     GIR_EraseRootFromParent_Done,
     /* 2410152 */   // Label 34660: @2410152
     /* 2410152 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2410229), // Rule ID 72871 //
     /* 2410157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410200 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2410203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410228 */     // GIR_Coverage, 72871,
     /* 2410228 */     GIR_EraseRootFromParent_Done,
     /* 2410229 */   // Label 34661: @2410229
     /* 2410229 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2410291), // Rule ID 55534 //
     /* 2410234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410264 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2410267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410290 */     // GIR_Coverage, 55534,
     /* 2410290 */     GIR_EraseRootFromParent_Done,
     /* 2410291 */   // Label 34662: @2410291
     /* 2410291 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2410353), // Rule ID 55535 //
     /* 2410296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410326 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2410329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410352 */     // GIR_Coverage, 55535,
     /* 2410352 */     GIR_EraseRootFromParent_Done,
     /* 2410353 */   // Label 34663: @2410353
     /* 2410353 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2410415), // Rule ID 72874 //
     /* 2410358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410388 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2410391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410414 */     // GIR_Coverage, 72874,
     /* 2410414 */     GIR_EraseRootFromParent_Done,
     /* 2410415 */   // Label 34664: @2410415
     /* 2410415 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2410477), // Rule ID 72875 //
     /* 2410420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410450 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2410453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410476 */     // GIR_Coverage, 72875,
     /* 2410476 */     GIR_EraseRootFromParent_Done,
     /* 2410477 */   // Label 34665: @2410477
     /* 2410477 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2410539), // Rule ID 55526 //
     /* 2410482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410512 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2410515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410538 */     // GIR_Coverage, 55526,
     /* 2410538 */     GIR_EraseRootFromParent_Done,
     /* 2410539 */   // Label 34666: @2410539
     /* 2410539 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2410601), // Rule ID 55527 //
     /* 2410544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410574 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2410577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410600 */     // GIR_Coverage, 55527,
     /* 2410600 */     GIR_EraseRootFromParent_Done,
     /* 2410601 */   // Label 34667: @2410601
     /* 2410601 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2410646), // Rule ID 55522 //
     /* 2410606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410621 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2410624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410645 */     // GIR_Coverage, 55522,
     /* 2410645 */     GIR_EraseRootFromParent_Done,
     /* 2410646 */   // Label 34668: @2410646
     /* 2410646 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2410691), // Rule ID 55523 //
     /* 2410651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410666 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2410669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410690 */     // GIR_Coverage, 55523,
     /* 2410690 */     GIR_EraseRootFromParent_Done,
     /* 2410691 */   // Label 34669: @2410691
     /* 2410691 */   GIM_Reject,
     /* 2410692 */ // Label 34657: @2410692
     /* 2410692 */ GIM_Reject,
     /* 2410693 */ // Label 34405: @2410693
     /* 2410693 */ GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2411482),
     /* 2410698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2410704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2410707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410711 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2410788), // Rule ID 55338 //
     /* 2410716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410759 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2410762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410787 */     // GIR_Coverage, 55338,
     /* 2410787 */     GIR_EraseRootFromParent_Done,
     /* 2410788 */   // Label 34671: @2410788
     /* 2410788 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2410865), // Rule ID 55339 //
     /* 2410793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410836 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2410839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410864 */     // GIR_Coverage, 55339,
     /* 2410864 */     GIR_EraseRootFromParent_Done,
     /* 2410865 */   // Label 34672: @2410865
     /* 2410865 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2410942), // Rule ID 72702 //
     /* 2410870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410913 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2410916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410941 */     // GIR_Coverage, 72702,
     /* 2410941 */     GIR_EraseRootFromParent_Done,
     /* 2410942 */   // Label 34673: @2410942
     /* 2410942 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2411019), // Rule ID 72703 //
     /* 2410947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2410983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410990 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2410993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411018 */     // GIR_Coverage, 72703,
     /* 2411018 */     GIR_EraseRootFromParent_Done,
     /* 2411019 */   // Label 34674: @2411019
     /* 2411019 */   GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2411081), // Rule ID 55342 //
     /* 2411024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411054 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2411057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411080 */     // GIR_Coverage, 55342,
     /* 2411080 */     GIR_EraseRootFromParent_Done,
     /* 2411081 */   // Label 34675: @2411081
     /* 2411081 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2411143), // Rule ID 55343 //
     /* 2411086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411116 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2411119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411142 */     // GIR_Coverage, 55343,
     /* 2411142 */     GIR_EraseRootFromParent_Done,
     /* 2411143 */   // Label 34676: @2411143
     /* 2411143 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2411205), // Rule ID 72706 //
     /* 2411148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411178 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2411181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411204 */     // GIR_Coverage, 72706,
     /* 2411204 */     GIR_EraseRootFromParent_Done,
     /* 2411205 */   // Label 34677: @2411205
     /* 2411205 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2411267), // Rule ID 72707 //
     /* 2411210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411240 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2411243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411266 */     // GIR_Coverage, 72707,
     /* 2411266 */     GIR_EraseRootFromParent_Done,
     /* 2411267 */   // Label 34678: @2411267
     /* 2411267 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2411329), // Rule ID 55334 //
     /* 2411272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411302 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2411305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411328 */     // GIR_Coverage, 55334,
     /* 2411328 */     GIR_EraseRootFromParent_Done,
     /* 2411329 */   // Label 34679: @2411329
     /* 2411329 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2411391), // Rule ID 55335 //
     /* 2411334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411364 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2411367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411390 */     // GIR_Coverage, 55335,
     /* 2411390 */     GIR_EraseRootFromParent_Done,
     /* 2411391 */   // Label 34680: @2411391
     /* 2411391 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2411436), // Rule ID 55330 //
     /* 2411396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411411 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2411414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411435 */     // GIR_Coverage, 55330,
     /* 2411435 */     GIR_EraseRootFromParent_Done,
     /* 2411436 */   // Label 34681: @2411436
     /* 2411436 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2411481), // Rule ID 55331 //
     /* 2411441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411456 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2411459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411480 */     // GIR_Coverage, 55331,
     /* 2411480 */     GIR_EraseRootFromParent_Done,
     /* 2411481 */   // Label 34682: @2411481
     /* 2411481 */   GIM_Reject,
     /* 2411482 */ // Label 34670: @2411482
     /* 2411482 */ GIM_Reject,
     /* 2411483 */ // Label 34406: @2411483
     /* 2411483 */ GIM_Reject,
     /* 2411484 */ // Label 103: @2411484
     /* 2411484 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34701*/ GIMT_Encode4(2413659),
     /* 2411495 */ /*GILLT_s16*//*Label 34683*/ GIMT_Encode4(2411615),
     /* 2411499 */ /*GILLT_s32*//*Label 34684*/ GIMT_Encode4(2411737),
     /* 2411503 */ /*GILLT_s64*//*Label 34685*/ GIMT_Encode4(2411859), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411515 */ /*GILLT_nxv1s16*//*Label 34686*/ GIMT_Encode4(2412009),
     /* 2411519 */ /*GILLT_nxv1s32*//*Label 34687*/ GIMT_Encode4(2412119),
     /* 2411523 */ /*GILLT_nxv1s64*//*Label 34688*/ GIMT_Encode4(2412229), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411535 */ /*GILLT_nxv2s16*//*Label 34689*/ GIMT_Encode4(2412339),
     /* 2411539 */ /*GILLT_nxv2s32*//*Label 34690*/ GIMT_Encode4(2412449),
     /* 2411543 */ /*GILLT_nxv2s64*//*Label 34691*/ GIMT_Encode4(2412559), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411555 */ /*GILLT_nxv4s16*//*Label 34692*/ GIMT_Encode4(2412669),
     /* 2411559 */ /*GILLT_nxv4s32*//*Label 34693*/ GIMT_Encode4(2412779),
     /* 2411563 */ /*GILLT_nxv4s64*//*Label 34694*/ GIMT_Encode4(2412889), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411575 */ /*GILLT_nxv8s16*//*Label 34695*/ GIMT_Encode4(2412999),
     /* 2411579 */ /*GILLT_nxv8s32*//*Label 34696*/ GIMT_Encode4(2413109),
     /* 2411583 */ /*GILLT_nxv8s64*//*Label 34697*/ GIMT_Encode4(2413219), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411595 */ /*GILLT_nxv16s16*//*Label 34698*/ GIMT_Encode4(2413329),
     /* 2411599 */ /*GILLT_nxv16s32*//*Label 34699*/ GIMT_Encode4(2413439), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411611 */ /*GILLT_nxv32s16*//*Label 34700*/ GIMT_Encode4(2413549),
     /* 2411615 */ // Label 34683: @2411615
     /* 2411615 */ GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2411736),
     /* 2411620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2411623 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2411651), // Rule ID 1978 //
     /* 2411628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2411631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2411635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2411639 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2411639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2411642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411650 */     // GIR_Coverage, 1978,
     /* 2411650 */     GIR_EraseRootFromParent_Done,
     /* 2411651 */   // Label 34703: @2411651
     /* 2411651 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2411679), // Rule ID 1979 //
     /* 2411656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2411659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2411663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2411667 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2411667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2411670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411678 */     // GIR_Coverage, 1979,
     /* 2411678 */     GIR_EraseRootFromParent_Done,
     /* 2411679 */   // Label 34704: @2411679
     /* 2411679 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2411707), // Rule ID 2011 //
     /* 2411684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2411687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2411691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2411695 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2411695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2411698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411706 */     // GIR_Coverage, 2011,
     /* 2411706 */     GIR_EraseRootFromParent_Done,
     /* 2411707 */   // Label 34705: @2411707
     /* 2411707 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2411735), // Rule ID 2012 //
     /* 2411712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2411715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2411719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2411723 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2411723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2411726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411734 */     // GIR_Coverage, 2012,
     /* 2411734 */     GIR_EraseRootFromParent_Done,
     /* 2411735 */   // Label 34706: @2411735
     /* 2411735 */   GIM_Reject,
     /* 2411736 */ // Label 34702: @2411736
     /* 2411736 */ GIM_Reject,
     /* 2411737 */ // Label 34684: @2411737
     /* 2411737 */ GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2411858),
     /* 2411742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411745 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2411773), // Rule ID 1269 //
     /* 2411750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2411753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2411757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2411761 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2411761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2411764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411772 */     // GIR_Coverage, 1269,
     /* 2411772 */     GIR_EraseRootFromParent_Done,
     /* 2411773 */   // Label 34708: @2411773
     /* 2411773 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2411801), // Rule ID 1270 //
     /* 2411778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2411781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2411785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2411789 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2411789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2411792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411800 */     // GIR_Coverage, 1270,
     /* 2411800 */     GIR_EraseRootFromParent_Done,
     /* 2411801 */   // Label 34709: @2411801
     /* 2411801 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2411829), // Rule ID 1277 //
     /* 2411806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2411809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2411813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2411817 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2411817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2411820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411828 */     // GIR_Coverage, 1277,
     /* 2411828 */     GIR_EraseRootFromParent_Done,
     /* 2411829 */   // Label 34710: @2411829
     /* 2411829 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2411857), // Rule ID 1278 //
     /* 2411834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2411837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2411841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2411845 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2411845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2411848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411856 */     // GIR_Coverage, 1278,
     /* 2411856 */     GIR_EraseRootFromParent_Done,
     /* 2411857 */   // Label 34711: @2411857
     /* 2411857 */   GIM_Reject,
     /* 2411858 */ // Label 34707: @2411858
     /* 2411858 */ GIM_Reject,
     /* 2411859 */ // Label 34685: @2411859
     /* 2411859 */ GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2412008),
     /* 2411864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411867 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2411895), // Rule ID 1612 //
     /* 2411872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2411875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2411879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2411883 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2411883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2411886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411894 */     // GIR_Coverage, 1612,
     /* 2411894 */     GIR_EraseRootFromParent_Done,
     /* 2411895 */   // Label 34713: @2411895
     /* 2411895 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2411923), // Rule ID 1613 //
     /* 2411900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2411903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2411907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2411911 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2411911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2411914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411922 */     // GIR_Coverage, 1613,
     /* 2411922 */     GIR_EraseRootFromParent_Done,
     /* 2411923 */   // Label 34714: @2411923
     /* 2411923 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2411951), // Rule ID 1647 //
     /* 2411928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2411931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411939 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2411939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2411942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411950 */     // GIR_Coverage, 1647,
     /* 2411950 */     GIR_EraseRootFromParent_Done,
     /* 2411951 */   // Label 34715: @2411951
     /* 2411951 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2411979), // Rule ID 1667 //
     /* 2411956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2411959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2411963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2411967 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2411967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2411970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411978 */     // GIR_Coverage, 1667,
     /* 2411978 */     GIR_EraseRootFromParent_Done,
     /* 2411979 */   // Label 34716: @2411979
     /* 2411979 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2412007), // Rule ID 1668 //
     /* 2411984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2411987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2411991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2411995 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2411995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2411998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412006 */     // GIR_Coverage, 1668,
     /* 2412006 */     GIR_EraseRootFromParent_Done,
     /* 2412007 */   // Label 34717: @2412007
     /* 2412007 */   GIM_Reject,
     /* 2412008 */ // Label 34712: @2412008
     /* 2412008 */ GIM_Reject,
     /* 2412009 */ // Label 34686: @2412009
     /* 2412009 */ GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2412118),
     /* 2412014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2412017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412025 */   GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2412071), // Rule ID 56226 //
     /* 2412030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412033 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2412036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2412050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412070 */     // GIR_Coverage, 56226,
     /* 2412070 */     GIR_EraseRootFromParent_Done,
     /* 2412071 */   // Label 34719: @2412071
     /* 2412071 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2412117), // Rule ID 56227 //
     /* 2412076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412079 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2412082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2412096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412116 */     // GIR_Coverage, 56227,
     /* 2412116 */     GIR_EraseRootFromParent_Done,
     /* 2412117 */   // Label 34720: @2412117
     /* 2412117 */   GIM_Reject,
     /* 2412118 */ // Label 34718: @2412118
     /* 2412118 */ GIM_Reject,
     /* 2412119 */ // Label 34687: @2412119
     /* 2412119 */ GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2412228),
     /* 2412124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2412127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412135 */   GIM_Try, /*On fail goto*//*Label 34722*/ GIMT_Encode4(2412181), // Rule ID 56266 //
     /* 2412140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412143 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2412146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2412160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412180 */     // GIR_Coverage, 56266,
     /* 2412180 */     GIR_EraseRootFromParent_Done,
     /* 2412181 */   // Label 34722: @2412181
     /* 2412181 */   GIM_Try, /*On fail goto*//*Label 34723*/ GIMT_Encode4(2412227), // Rule ID 56267 //
     /* 2412186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412189 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2412192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2412206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412226 */     // GIR_Coverage, 56267,
     /* 2412226 */     GIR_EraseRootFromParent_Done,
     /* 2412227 */   // Label 34723: @2412227
     /* 2412227 */   GIM_Reject,
     /* 2412228 */ // Label 34721: @2412228
     /* 2412228 */ GIM_Reject,
     /* 2412229 */ // Label 34688: @2412229
     /* 2412229 */ GIM_Try, /*On fail goto*//*Label 34724*/ GIMT_Encode4(2412338),
     /* 2412234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2412237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412245 */   GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2412291), // Rule ID 56326 //
     /* 2412250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412253 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2412256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2412270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412290 */     // GIR_Coverage, 56326,
     /* 2412290 */     GIR_EraseRootFromParent_Done,
     /* 2412291 */   // Label 34725: @2412291
     /* 2412291 */   GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2412337), // Rule ID 56327 //
     /* 2412296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412299 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2412302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2412316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412336 */     // GIR_Coverage, 56327,
     /* 2412336 */     GIR_EraseRootFromParent_Done,
     /* 2412337 */   // Label 34726: @2412337
     /* 2412337 */   GIM_Reject,
     /* 2412338 */ // Label 34724: @2412338
     /* 2412338 */ GIM_Reject,
     /* 2412339 */ // Label 34689: @2412339
     /* 2412339 */ GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2412448),
     /* 2412344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412355 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2412401), // Rule ID 56246 //
     /* 2412360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412363 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2412366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2412380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412400 */     // GIR_Coverage, 56246,
     /* 2412400 */     GIR_EraseRootFromParent_Done,
     /* 2412401 */   // Label 34728: @2412401
     /* 2412401 */   GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2412447), // Rule ID 56247 //
     /* 2412406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412409 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2412412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2412426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412446 */     // GIR_Coverage, 56247,
     /* 2412446 */     GIR_EraseRootFromParent_Done,
     /* 2412447 */   // Label 34729: @2412447
     /* 2412447 */   GIM_Reject,
     /* 2412448 */ // Label 34727: @2412448
     /* 2412448 */ GIM_Reject,
     /* 2412449 */ // Label 34690: @2412449
     /* 2412449 */ GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2412558),
     /* 2412454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412465 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2412511), // Rule ID 56306 //
     /* 2412470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412473 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2412476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2412490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412510 */     // GIR_Coverage, 56306,
     /* 2412510 */     GIR_EraseRootFromParent_Done,
     /* 2412511 */   // Label 34731: @2412511
     /* 2412511 */   GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2412557), // Rule ID 56307 //
     /* 2412516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412519 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2412522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2412536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412556 */     // GIR_Coverage, 56307,
     /* 2412556 */     GIR_EraseRootFromParent_Done,
     /* 2412557 */   // Label 34732: @2412557
     /* 2412557 */   GIM_Reject,
     /* 2412558 */ // Label 34730: @2412558
     /* 2412558 */ GIM_Reject,
     /* 2412559 */ // Label 34691: @2412559
     /* 2412559 */ GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2412668),
     /* 2412564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412575 */   GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2412621), // Rule ID 56466 //
     /* 2412580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412583 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2412586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2412600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412620 */     // GIR_Coverage, 56466,
     /* 2412620 */     GIR_EraseRootFromParent_Done,
     /* 2412621 */   // Label 34734: @2412621
     /* 2412621 */   GIM_Try, /*On fail goto*//*Label 34735*/ GIMT_Encode4(2412667), // Rule ID 56467 //
     /* 2412626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412629 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2412632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2412646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412666 */     // GIR_Coverage, 56467,
     /* 2412666 */     GIR_EraseRootFromParent_Done,
     /* 2412667 */   // Label 34735: @2412667
     /* 2412667 */   GIM_Reject,
     /* 2412668 */ // Label 34733: @2412668
     /* 2412668 */ GIM_Reject,
     /* 2412669 */ // Label 34692: @2412669
     /* 2412669 */ GIM_Try, /*On fail goto*//*Label 34736*/ GIMT_Encode4(2412778),
     /* 2412674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412685 */   GIM_Try, /*On fail goto*//*Label 34737*/ GIMT_Encode4(2412731), // Rule ID 56286 //
     /* 2412690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412693 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2412696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2412710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412730 */     // GIR_Coverage, 56286,
     /* 2412730 */     GIR_EraseRootFromParent_Done,
     /* 2412731 */   // Label 34737: @2412731
     /* 2412731 */   GIM_Try, /*On fail goto*//*Label 34738*/ GIMT_Encode4(2412777), // Rule ID 56287 //
     /* 2412736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412739 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2412742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2412756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412776 */     // GIR_Coverage, 56287,
     /* 2412776 */     GIR_EraseRootFromParent_Done,
     /* 2412777 */   // Label 34738: @2412777
     /* 2412777 */   GIM_Reject,
     /* 2412778 */ // Label 34736: @2412778
     /* 2412778 */ GIM_Reject,
     /* 2412779 */ // Label 34693: @2412779
     /* 2412779 */ GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2412888),
     /* 2412784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2412787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412795 */   GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2412841), // Rule ID 56406 //
     /* 2412800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412803 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2412806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2412820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412840 */     // GIR_Coverage, 56406,
     /* 2412840 */     GIR_EraseRootFromParent_Done,
     /* 2412841 */   // Label 34740: @2412841
     /* 2412841 */   GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2412887), // Rule ID 56407 //
     /* 2412846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412849 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2412852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2412866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412886 */     // GIR_Coverage, 56407,
     /* 2412886 */     GIR_EraseRootFromParent_Done,
     /* 2412887 */   // Label 34741: @2412887
     /* 2412887 */   GIM_Reject,
     /* 2412888 */ // Label 34739: @2412888
     /* 2412888 */ GIM_Reject,
     /* 2412889 */ // Label 34694: @2412889
     /* 2412889 */ GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2412998),
     /* 2412894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2412897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412905 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2412951), // Rule ID 56486 //
     /* 2412910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412913 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2412913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2412916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2412930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412950 */     // GIR_Coverage, 56486,
     /* 2412950 */     GIR_EraseRootFromParent_Done,
     /* 2412951 */   // Label 34743: @2412951
     /* 2412951 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2412997), // Rule ID 56487 //
     /* 2412956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412959 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2412959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2412962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2412966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2412971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2412973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2412976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2412981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2412983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412996 */     // GIR_Coverage, 56487,
     /* 2412996 */     GIR_EraseRootFromParent_Done,
     /* 2412997 */   // Label 34744: @2412997
     /* 2412997 */   GIM_Reject,
     /* 2412998 */ // Label 34742: @2412998
     /* 2412998 */ GIM_Reject,
     /* 2412999 */ // Label 34695: @2412999
     /* 2412999 */ GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2413108),
     /* 2413004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2413007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413015 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2413061), // Rule ID 56346 //
     /* 2413020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413023 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2413026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2413040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413060 */     // GIR_Coverage, 56346,
     /* 2413060 */     GIR_EraseRootFromParent_Done,
     /* 2413061 */   // Label 34746: @2413061
     /* 2413061 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2413107), // Rule ID 56347 //
     /* 2413066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413069 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2413072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2413086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413106 */     // GIR_Coverage, 56347,
     /* 2413106 */     GIR_EraseRootFromParent_Done,
     /* 2413107 */   // Label 34747: @2413107
     /* 2413107 */   GIM_Reject,
     /* 2413108 */ // Label 34745: @2413108
     /* 2413108 */ GIM_Reject,
     /* 2413109 */ // Label 34696: @2413109
     /* 2413109 */ GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2413218),
     /* 2413114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2413117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413125 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2413171), // Rule ID 56426 //
     /* 2413130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413133 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2413136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2413150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413170 */     // GIR_Coverage, 56426,
     /* 2413170 */     GIR_EraseRootFromParent_Done,
     /* 2413171 */   // Label 34749: @2413171
     /* 2413171 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2413217), // Rule ID 56427 //
     /* 2413176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413179 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2413182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2413196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413216 */     // GIR_Coverage, 56427,
     /* 2413216 */     GIR_EraseRootFromParent_Done,
     /* 2413217 */   // Label 34750: @2413217
     /* 2413217 */   GIM_Reject,
     /* 2413218 */ // Label 34748: @2413218
     /* 2413218 */ GIM_Reject,
     /* 2413219 */ // Label 34697: @2413219
     /* 2413219 */ GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2413328),
     /* 2413224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2413227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413235 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2413281), // Rule ID 56506 //
     /* 2413240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413243 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2413246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2413260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413280 */     // GIR_Coverage, 56506,
     /* 2413280 */     GIR_EraseRootFromParent_Done,
     /* 2413281 */   // Label 34752: @2413281
     /* 2413281 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2413327), // Rule ID 56507 //
     /* 2413286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413289 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2413292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2413306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413326 */     // GIR_Coverage, 56507,
     /* 2413326 */     GIR_EraseRootFromParent_Done,
     /* 2413327 */   // Label 34753: @2413327
     /* 2413327 */   GIM_Reject,
     /* 2413328 */ // Label 34751: @2413328
     /* 2413328 */ GIM_Reject,
     /* 2413329 */ // Label 34698: @2413329
     /* 2413329 */ GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2413438),
     /* 2413334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2413337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413345 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2413391), // Rule ID 56366 //
     /* 2413350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413353 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2413356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2413370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413390 */     // GIR_Coverage, 56366,
     /* 2413390 */     GIR_EraseRootFromParent_Done,
     /* 2413391 */   // Label 34755: @2413391
     /* 2413391 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2413437), // Rule ID 56367 //
     /* 2413396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413399 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2413402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2413416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413436 */     // GIR_Coverage, 56367,
     /* 2413436 */     GIR_EraseRootFromParent_Done,
     /* 2413437 */   // Label 34756: @2413437
     /* 2413437 */   GIM_Reject,
     /* 2413438 */ // Label 34754: @2413438
     /* 2413438 */ GIM_Reject,
     /* 2413439 */ // Label 34699: @2413439
     /* 2413439 */ GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2413548),
     /* 2413444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413455 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2413501), // Rule ID 56446 //
     /* 2413460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413463 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2413466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2413480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413500 */     // GIR_Coverage, 56446,
     /* 2413500 */     GIR_EraseRootFromParent_Done,
     /* 2413501 */   // Label 34758: @2413501
     /* 2413501 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2413547), // Rule ID 56447 //
     /* 2413506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413509 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2413512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2413526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413546 */     // GIR_Coverage, 56447,
     /* 2413546 */     GIR_EraseRootFromParent_Done,
     /* 2413547 */   // Label 34759: @2413547
     /* 2413547 */   GIM_Reject,
     /* 2413548 */ // Label 34757: @2413548
     /* 2413548 */ GIM_Reject,
     /* 2413549 */ // Label 34700: @2413549
     /* 2413549 */ GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2413658),
     /* 2413554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413565 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2413611), // Rule ID 56386 //
     /* 2413570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413573 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2413573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2413576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2413590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413610 */     // GIR_Coverage, 56386,
     /* 2413610 */     GIR_EraseRootFromParent_Done,
     /* 2413611 */   // Label 34761: @2413611
     /* 2413611 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2413657), // Rule ID 56387 //
     /* 2413616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413619 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2413619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2413622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2413626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2413636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2413643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413656 */     // GIR_Coverage, 56387,
     /* 2413656 */     GIR_EraseRootFromParent_Done,
     /* 2413657 */   // Label 34762: @2413657
     /* 2413657 */   GIM_Reject,
     /* 2413658 */ // Label 34760: @2413658
     /* 2413658 */ GIM_Reject,
     /* 2413659 */ // Label 34701: @2413659
     /* 2413659 */ GIM_Reject,
     /* 2413660 */ // Label 104: @2413660
     /* 2413660 */ GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2413672), // Rule ID 283 //
     /* 2413665 */   // (trap)  =>  (UNIMP)
     /* 2413665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2413670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413671 */   // GIR_Coverage, 283,
     /* 2413671 */   GIR_Done,
     /* 2413672 */ // Label 34763: @2413672
     /* 2413672 */ GIM_Reject,
     /* 2413673 */ // Label 105: @2413673
     /* 2413673 */ GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2413685), // Rule ID 284 //
     /* 2413678 */   // (debugtrap)  =>  (EBREAK)
     /* 2413678 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2413683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413684 */   // GIR_Coverage, 284,
     /* 2413684 */   GIR_Done,
     /* 2413685 */ // Label 34764: @2413685
     /* 2413685 */ GIM_Reject,
     /* 2413686 */ // Label 106: @2413686
     /* 2413686 */ GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2413780),
     /* 2413691 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2413694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413701 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2413720), // Rule ID 2510 //
     /* 2413706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2413709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413713 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2413713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2413718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413719 */     // GIR_Coverage, 2510,
     /* 2413719 */     GIR_Done,
     /* 2413720 */   // Label 34766: @2413720
     /* 2413720 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2413779), // Rule ID 62561 //
     /* 2413725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2413728 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2413728 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2413731 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2413735 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413740 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2413744 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2413747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2413749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2413752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2413756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2413761 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2413764 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2413767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2413769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2413772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2413777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413778 */     // GIR_Coverage, 62561,
     /* 2413778 */     GIR_EraseRootFromParent_Done,
     /* 2413779 */   // Label 34767: @2413779
     /* 2413779 */   GIM_Reject,
     /* 2413780 */ // Label 34765: @2413780
     /* 2413780 */ GIM_Reject,
     /* 2413781 */ // Label 107: @2413781
     /* 2413781 */ GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2413810), // Rule ID 2511 //
     /* 2413786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2413789 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2413792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413803 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2413803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2413808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413809 */   // GIR_Coverage, 2511,
     /* 2413809 */   GIR_Done,
     /* 2413810 */ // Label 34768: @2413810
     /* 2413810 */ GIM_Reject,
     /* 2413811 */ // Label 108: @2413811
     /* 2413811 */ GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2413847), // Rule ID 309 //
     /* 2413816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2413819 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2413822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2413828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413840 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2413840 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2413845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413846 */   // GIR_Coverage, 309,
     /* 2413846 */   GIR_Done,
     /* 2413847 */ // Label 34769: @2413847
     /* 2413847 */ GIM_Reject,
     /* 2413848 */ // Label 109: @2413848
     /* 2413848 */ GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2413884), // Rule ID 308 //
     /* 2413853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2413856 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2413859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2413865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413877 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2413877 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2413882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413883 */   // GIR_Coverage, 308,
     /* 2413883 */   GIR_Done,
     /* 2413884 */ // Label 34770: @2413884
     /* 2413884 */ GIM_Reject,
     /* 2413885 */ // Label 110: @2413885
     /* 2413885 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34773*/ GIMT_Encode4(2414244),
     /* 2413896 */ /*GILLT_s32*//*Label 34771*/ GIMT_Encode4(2413904),
     /* 2413900 */ /*GILLT_s64*//*Label 34772*/ GIMT_Encode4(2414061),
     /* 2413904 */ // Label 34771: @2413904
     /* 2413904 */ GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2413930), // Rule ID 1276 //
     /* 2413909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2413912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2413915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2413923 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2413923 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2413928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413929 */   // GIR_Coverage, 1276,
     /* 2413929 */   GIR_Done,
     /* 2413930 */ // Label 34774: @2413930
     /* 2413930 */ GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2413956), // Rule ID 1284 //
     /* 2413935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2413938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2413941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2413949 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2413949 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2413954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413955 */   // GIR_Coverage, 1284,
     /* 2413955 */   GIR_Done,
     /* 2413956 */ // Label 34775: @2413956
     /* 2413956 */ GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2413982), // Rule ID 1619 //
     /* 2413961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2413964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2413975 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2413975 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2413980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2413981 */   // GIR_Coverage, 1619,
     /* 2413981 */   GIR_Done,
     /* 2413982 */ // Label 34776: @2413982
     /* 2413982 */ GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2414008), // Rule ID 1674 //
     /* 2413987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2413990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2413993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2414001 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2414001 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2414006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414007 */   // GIR_Coverage, 1674,
     /* 2414007 */   GIR_Done,
     /* 2414008 */ // Label 34777: @2414008
     /* 2414008 */ GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2414034), // Rule ID 1985 //
     /* 2414013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2414016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2414019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414027 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2414027 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2414032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414033 */   // GIR_Coverage, 1985,
     /* 2414033 */   GIR_Done,
     /* 2414034 */ // Label 34778: @2414034
     /* 2414034 */ GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2414060), // Rule ID 2018 //
     /* 2414039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2414042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2414045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414053 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2414053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2414058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414059 */   // GIR_Coverage, 2018,
     /* 2414059 */   GIR_Done,
     /* 2414060 */ // Label 34779: @2414060
     /* 2414060 */ GIM_Reject,
     /* 2414061 */ // Label 34772: @2414061
     /* 2414061 */ GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2414087), // Rule ID 1275 //
     /* 2414066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2414069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2414072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414080 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2414080 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2414085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414086 */   // GIR_Coverage, 1275,
     /* 2414086 */   GIR_Done,
     /* 2414087 */ // Label 34780: @2414087
     /* 2414087 */ GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2414113), // Rule ID 1283 //
     /* 2414092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2414095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2414098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414106 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2414106 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2414111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414112 */   // GIR_Coverage, 1283,
     /* 2414112 */   GIR_Done,
     /* 2414113 */ // Label 34781: @2414113
     /* 2414113 */ GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2414139), // Rule ID 1618 //
     /* 2414118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2414121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414132 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2414132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2414137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414138 */   // GIR_Coverage, 1618,
     /* 2414138 */   GIR_Done,
     /* 2414139 */ // Label 34782: @2414139
     /* 2414139 */ GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2414165), // Rule ID 1651 //
     /* 2414144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2414147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414158 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2414158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2414163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414164 */   // GIR_Coverage, 1651,
     /* 2414164 */   GIR_Done,
     /* 2414165 */ // Label 34783: @2414165
     /* 2414165 */ GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2414191), // Rule ID 1673 //
     /* 2414170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2414173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2414184 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2414184 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2414189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414190 */   // GIR_Coverage, 1673,
     /* 2414190 */   GIR_Done,
     /* 2414191 */ // Label 34784: @2414191
     /* 2414191 */ GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2414217), // Rule ID 1984 //
     /* 2414196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2414199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2414202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414210 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2414210 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2414215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414216 */   // GIR_Coverage, 1984,
     /* 2414216 */   GIR_Done,
     /* 2414217 */ // Label 34785: @2414217
     /* 2414217 */ GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2414243), // Rule ID 2017 //
     /* 2414222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2414225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2414228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414236 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2414236 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2414241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414242 */   // GIR_Coverage, 2017,
     /* 2414242 */   GIR_Done,
     /* 2414243 */ // Label 34786: @2414243
     /* 2414243 */ GIM_Reject,
     /* 2414244 */ // Label 34773: @2414244
     /* 2414244 */ GIM_Reject,
     /* 2414245 */ // Label 111: @2414245
     /* 2414245 */ GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2414442),
     /* 2414250 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414253 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34791*/ GIMT_Encode4(2414441),
     /* 2414264 */   /*GILLT_s16*//*Label 34788*/ GIMT_Encode4(2414276),
     /* 2414268 */   /*GILLT_s32*//*Label 34789*/ GIMT_Encode4(2414331),
     /* 2414272 */   /*GILLT_s64*//*Label 34790*/ GIMT_Encode4(2414386),
     /* 2414276 */   // Label 34788: @2414276
     /* 2414276 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2414330),
     /* 2414281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414285 */     GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2414307), // Rule ID 2235 //
     /* 2414290 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2414293 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414297 */       // MIs[0] frm
     /* 2414297 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414300 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414300 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2414305 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414306 */       // GIR_Coverage, 2235,
     /* 2414306 */       GIR_Done,
     /* 2414307 */     // Label 34793: @2414307
     /* 2414307 */     GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2414329), // Rule ID 2261 //
     /* 2414312 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2414315 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414319 */       // MIs[0] frm
     /* 2414319 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414322 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414322 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2414327 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414328 */       // GIR_Coverage, 2261,
     /* 2414328 */       GIR_Done,
     /* 2414329 */     // Label 34794: @2414329
     /* 2414329 */     GIM_Reject,
     /* 2414330 */   // Label 34792: @2414330
     /* 2414330 */   GIM_Reject,
     /* 2414331 */   // Label 34789: @2414331
     /* 2414331 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2414385),
     /* 2414336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414340 */     GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2414362), // Rule ID 1501 //
     /* 2414345 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2414348 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414352 */       // MIs[0] frm
     /* 2414352 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414355 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414355 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2414360 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414361 */       // GIR_Coverage, 1501,
     /* 2414361 */       GIR_Done,
     /* 2414362 */     // Label 34796: @2414362
     /* 2414362 */     GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2414384), // Rule ID 1529 //
     /* 2414367 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2414370 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414374 */       // MIs[0] frm
     /* 2414374 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414377 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414377 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2414382 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414383 */       // GIR_Coverage, 1529,
     /* 2414383 */       GIR_Done,
     /* 2414384 */     // Label 34797: @2414384
     /* 2414384 */     GIM_Reject,
     /* 2414385 */   // Label 34795: @2414385
     /* 2414385 */   GIM_Reject,
     /* 2414386 */   // Label 34790: @2414386
     /* 2414386 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2414440),
     /* 2414391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414395 */     GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2414417), // Rule ID 1895 //
     /* 2414400 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2414403 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414407 */       // MIs[0] frm
     /* 2414407 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414410 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414410 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2414415 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414416 */       // GIR_Coverage, 1895,
     /* 2414416 */       GIR_Done,
     /* 2414417 */     // Label 34799: @2414417
     /* 2414417 */     GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2414439), // Rule ID 1923 //
     /* 2414422 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2414425 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414429 */       // MIs[0] frm
     /* 2414429 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414432 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414432 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2414437 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414438 */       // GIR_Coverage, 1923,
     /* 2414438 */       GIR_Done,
     /* 2414439 */     // Label 34800: @2414439
     /* 2414439 */     GIM_Reject,
     /* 2414440 */   // Label 34798: @2414440
     /* 2414440 */   GIM_Reject,
     /* 2414441 */   // Label 34791: @2414441
     /* 2414441 */   GIM_Reject,
     /* 2414442 */ // Label 34787: @2414442
     /* 2414442 */ GIM_Reject,
     /* 2414443 */ // Label 112: @2414443
     /* 2414443 */ GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2414640),
     /* 2414448 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414451 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34805*/ GIMT_Encode4(2414639),
     /* 2414462 */   /*GILLT_s16*//*Label 34802*/ GIMT_Encode4(2414474),
     /* 2414466 */   /*GILLT_s32*//*Label 34803*/ GIMT_Encode4(2414529),
     /* 2414470 */   /*GILLT_s64*//*Label 34804*/ GIMT_Encode4(2414584),
     /* 2414474 */   // Label 34802: @2414474
     /* 2414474 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2414528),
     /* 2414479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414483 */     GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2414505), // Rule ID 2233 //
     /* 2414488 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2414491 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414495 */       // MIs[0] frm
     /* 2414495 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414498 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414498 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2414503 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414504 */       // GIR_Coverage, 2233,
     /* 2414504 */       GIR_Done,
     /* 2414505 */     // Label 34807: @2414505
     /* 2414505 */     GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2414527), // Rule ID 2259 //
     /* 2414510 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2414513 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414517 */       // MIs[0] frm
     /* 2414517 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414520 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414520 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2414525 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414526 */       // GIR_Coverage, 2259,
     /* 2414526 */       GIR_Done,
     /* 2414527 */     // Label 34808: @2414527
     /* 2414527 */     GIM_Reject,
     /* 2414528 */   // Label 34806: @2414528
     /* 2414528 */   GIM_Reject,
     /* 2414529 */   // Label 34803: @2414529
     /* 2414529 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2414583),
     /* 2414534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414538 */     GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2414560), // Rule ID 1499 //
     /* 2414543 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2414546 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414550 */       // MIs[0] frm
     /* 2414550 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414553 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414553 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2414558 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414559 */       // GIR_Coverage, 1499,
     /* 2414559 */       GIR_Done,
     /* 2414560 */     // Label 34810: @2414560
     /* 2414560 */     GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2414582), // Rule ID 1527 //
     /* 2414565 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2414568 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414572 */       // MIs[0] frm
     /* 2414572 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414575 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414575 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2414580 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414581 */       // GIR_Coverage, 1527,
     /* 2414581 */       GIR_Done,
     /* 2414582 */     // Label 34811: @2414582
     /* 2414582 */     GIM_Reject,
     /* 2414583 */   // Label 34809: @2414583
     /* 2414583 */   GIM_Reject,
     /* 2414584 */   // Label 34804: @2414584
     /* 2414584 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2414638),
     /* 2414589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414593 */     GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2414615), // Rule ID 1893 //
     /* 2414598 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2414601 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414605 */       // MIs[0] frm
     /* 2414605 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414608 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414608 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2414613 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414614 */       // GIR_Coverage, 1893,
     /* 2414614 */       GIR_Done,
     /* 2414615 */     // Label 34813: @2414615
     /* 2414615 */     GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2414637), // Rule ID 1921 //
     /* 2414620 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2414623 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414627 */       // MIs[0] frm
     /* 2414627 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2414630 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2414630 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2414635 */       GIR_RootConstrainSelectedInstOperands,
     /* 2414636 */       // GIR_Coverage, 1921,
     /* 2414636 */       GIR_Done,
     /* 2414637 */     // Label 34814: @2414637
     /* 2414637 */     GIM_Reject,
     /* 2414638 */   // Label 34812: @2414638
     /* 2414638 */   GIM_Reject,
     /* 2414639 */   // Label 34805: @2414639
     /* 2414639 */   GIM_Reject,
     /* 2414640 */ // Label 34801: @2414640
     /* 2414640 */ GIM_Reject,
     /* 2414641 */ // Label 113: @2414641
     /* 2414641 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34817*/ GIMT_Encode4(2414700),
     /* 2414652 */ /*GILLT_s32*//*Label 34815*/ GIMT_Encode4(2414660),
     /* 2414656 */ /*GILLT_s64*//*Label 34816*/ GIMT_Encode4(2414680),
     /* 2414660 */ // Label 34815: @2414660
     /* 2414660 */ GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2414679), // Rule ID 67 //
     /* 2414665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414672 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2414672 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2414677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414678 */   // GIR_Coverage, 67,
     /* 2414678 */   GIR_Done,
     /* 2414679 */ // Label 34818: @2414679
     /* 2414679 */ GIM_Reject,
     /* 2414680 */ // Label 34816: @2414680
     /* 2414680 */ GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2414699), // Rule ID 66 //
     /* 2414685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414692 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2414692 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2414697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414698 */   // GIR_Coverage, 66,
     /* 2414698 */   GIR_Done,
     /* 2414699 */ // Label 34819: @2414699
     /* 2414699 */ GIM_Reject,
     /* 2414700 */ // Label 34817: @2414700
     /* 2414700 */ GIM_Reject,
     /* 2414701 */ // Label 114: @2414701
     /* 2414701 */ GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2414737), // Rule ID 310 //
     /* 2414706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2414709 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2414718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414730 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2414730 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2414735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2414736 */   // GIR_Coverage, 310,
     /* 2414736 */   GIR_Done,
     /* 2414737 */ // Label 34820: @2414737
     /* 2414737 */ GIM_Reject,
     /* 2414738 */ // Label 115: @2414738
     /* 2414738 */ GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2414862),
     /* 2414743 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2414752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414760 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2414796), // Rule ID 2459 //
     /* 2414765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2414768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414780 */     // MIs[1] Operand 1
     /* 2414780 */     // No operand predicates
     /* 2414780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414782 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2414782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2414785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414789 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2414794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414795 */     // GIR_Coverage, 2459,
     /* 2414795 */     GIR_EraseRootFromParent_Done,
     /* 2414796 */   // Label 34822: @2414796
     /* 2414796 */   GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2414832), // Rule ID 62558 //
     /* 2414801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2414804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414816 */     // MIs[1] Operand 1
     /* 2414816 */     // No operand predicates
     /* 2414816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414818 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2414818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2414821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414825 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2414830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414831 */     // GIR_Coverage, 62558,
     /* 2414831 */     GIR_EraseRootFromParent_Done,
     /* 2414832 */   // Label 34823: @2414832
     /* 2414832 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2414861), // Rule ID 2456 //
     /* 2414837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2414840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2414847 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2414847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2414850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2414859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414860 */     // GIR_Coverage, 2456,
     /* 2414860 */     GIR_EraseRootFromParent_Done,
     /* 2414861 */   // Label 34824: @2414861
     /* 2414861 */   GIM_Reject,
     /* 2414862 */ // Label 34821: @2414862
     /* 2414862 */ GIM_Reject,
     /* 2414863 */ // Label 116: @2414863
     /* 2414863 */ GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2414983),
     /* 2414868 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2414877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414885 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2414919), // Rule ID 2458 //
     /* 2414890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2414893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414905 */     // MIs[1] Operand 1
     /* 2414905 */     // No operand predicates
     /* 2414905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414907 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2414907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2414910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2414917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414918 */     // GIR_Coverage, 2458,
     /* 2414918 */     GIR_EraseRootFromParent_Done,
     /* 2414919 */   // Label 34826: @2414919
     /* 2414919 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2414953), // Rule ID 62557 //
     /* 2414924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2414927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414939 */     // MIs[1] Operand 1
     /* 2414939 */     // No operand predicates
     /* 2414939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414941 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2414941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2414944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2414951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414952 */     // GIR_Coverage, 62557,
     /* 2414952 */     GIR_EraseRootFromParent_Done,
     /* 2414953 */   // Label 34827: @2414953
     /* 2414953 */   GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2414982), // Rule ID 2457 //
     /* 2414958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2414961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2414968 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2414968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2414971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2414980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414981 */     // GIR_Coverage, 2457,
     /* 2414981 */     GIR_EraseRootFromParent_Done,
     /* 2414982 */   // Label 34828: @2414982
     /* 2414982 */   GIM_Reject,
     /* 2414983 */ // Label 34825: @2414983
     /* 2414983 */ GIM_Reject,
     /* 2414984 */ // Label 117: @2414984
     /* 2414984 */ GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2415030), // Rule ID 261 //
     /* 2414989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2414992 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2414995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2415001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415009 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2415016 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2415016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2415019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2415028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415029 */   // GIR_Coverage, 261,
     /* 2415029 */   GIR_EraseRootFromParent_Done,
     /* 2415030 */ // Label 34829: @2415030
     /* 2415030 */ GIM_Reject,
     /* 2415031 */ // Label 118: @2415031
     /* 2415031 */ GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2415077), // Rule ID 263 //
     /* 2415036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2415039 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2415042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2415048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2415063 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2415063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2415066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2415075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415076 */   // GIR_Coverage, 263,
     /* 2415076 */   GIR_EraseRootFromParent_Done,
     /* 2415077 */ // Label 34830: @2415077
     /* 2415077 */ GIM_Reject,
     /* 2415078 */ // Label 119: @2415078
     /* 2415078 */ GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2415124), // Rule ID 262 //
     /* 2415083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2415086 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2415089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2415095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415103 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2415110 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2415110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2415113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415117 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2415122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415123 */   // GIR_Coverage, 262,
     /* 2415123 */   GIR_EraseRootFromParent_Done,
     /* 2415124 */ // Label 34831: @2415124
     /* 2415124 */ GIM_Reject,
     /* 2415125 */ // Label 120: @2415125
     /* 2415125 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34839*/ GIMT_Encode4(2415773),
     /* 2415136 */ /*GILLT_nxv1s1*//*Label 34832*/ GIMT_Encode4(2415248), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415156 */ /*GILLT_nxv2s1*//*Label 34833*/ GIMT_Encode4(2415323), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415176 */ /*GILLT_nxv4s1*//*Label 34834*/ GIMT_Encode4(2415398), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415196 */ /*GILLT_nxv8s1*//*Label 34835*/ GIMT_Encode4(2415473), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415216 */ /*GILLT_nxv16s1*//*Label 34836*/ GIMT_Encode4(2415548), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415232 */ /*GILLT_nxv32s1*//*Label 34837*/ GIMT_Encode4(2415623), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415244 */ /*GILLT_nxv64s1*//*Label 34838*/ GIMT_Encode4(2415698),
     /* 2415248 */ // Label 34832: @2415248
     /* 2415248 */ GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2415285), // Rule ID 44704 //
     /* 2415253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415263 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415270 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2415273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415284 */   // GIR_Coverage, 44704,
     /* 2415284 */   GIR_EraseRootFromParent_Done,
     /* 2415285 */ // Label 34840: @2415285
     /* 2415285 */ GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2415322), // Rule ID 44705 //
     /* 2415290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415307 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2415310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415321 */   // GIR_Coverage, 44705,
     /* 2415321 */   GIR_EraseRootFromParent_Done,
     /* 2415322 */ // Label 34841: @2415322
     /* 2415322 */ GIM_Reject,
     /* 2415323 */ // Label 34833: @2415323
     /* 2415323 */ GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2415360), // Rule ID 44732 //
     /* 2415328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415338 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415345 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2415348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415359 */   // GIR_Coverage, 44732,
     /* 2415359 */   GIR_EraseRootFromParent_Done,
     /* 2415360 */ // Label 34842: @2415360
     /* 2415360 */ GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2415397), // Rule ID 44733 //
     /* 2415365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415382 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2415385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415396 */   // GIR_Coverage, 44733,
     /* 2415396 */   GIR_EraseRootFromParent_Done,
     /* 2415397 */ // Label 34843: @2415397
     /* 2415397 */ GIM_Reject,
     /* 2415398 */ // Label 34834: @2415398
     /* 2415398 */ GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2415435), // Rule ID 44760 //
     /* 2415403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415413 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415420 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2415423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415434 */   // GIR_Coverage, 44760,
     /* 2415434 */   GIR_EraseRootFromParent_Done,
     /* 2415435 */ // Label 34844: @2415435
     /* 2415435 */ GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2415472), // Rule ID 44761 //
     /* 2415440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415450 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415457 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2415460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415471 */   // GIR_Coverage, 44761,
     /* 2415471 */   GIR_EraseRootFromParent_Done,
     /* 2415472 */ // Label 34845: @2415472
     /* 2415472 */ GIM_Reject,
     /* 2415473 */ // Label 34835: @2415473
     /* 2415473 */ GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2415510), // Rule ID 44788 //
     /* 2415478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415488 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415495 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2415498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415509 */   // GIR_Coverage, 44788,
     /* 2415509 */   GIR_EraseRootFromParent_Done,
     /* 2415510 */ // Label 34846: @2415510
     /* 2415510 */ GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2415547), // Rule ID 44789 //
     /* 2415515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415525 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415532 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2415535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415546 */   // GIR_Coverage, 44789,
     /* 2415546 */   GIR_EraseRootFromParent_Done,
     /* 2415547 */ // Label 34847: @2415547
     /* 2415547 */ GIM_Reject,
     /* 2415548 */ // Label 34836: @2415548
     /* 2415548 */ GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2415585), // Rule ID 44816 //
     /* 2415553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415563 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415570 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2415573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415584 */   // GIR_Coverage, 44816,
     /* 2415584 */   GIR_EraseRootFromParent_Done,
     /* 2415585 */ // Label 34848: @2415585
     /* 2415585 */ GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2415622), // Rule ID 44817 //
     /* 2415590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415600 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415607 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2415610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415621 */   // GIR_Coverage, 44817,
     /* 2415621 */   GIR_EraseRootFromParent_Done,
     /* 2415622 */ // Label 34849: @2415622
     /* 2415622 */ GIM_Reject,
     /* 2415623 */ // Label 34837: @2415623
     /* 2415623 */ GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2415660), // Rule ID 44844 //
     /* 2415628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415638 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415645 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2415648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415650 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415659 */   // GIR_Coverage, 44844,
     /* 2415659 */   GIR_EraseRootFromParent_Done,
     /* 2415660 */ // Label 34850: @2415660
     /* 2415660 */ GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2415697), // Rule ID 44845 //
     /* 2415665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415675 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415682 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2415685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415696 */   // GIR_Coverage, 44845,
     /* 2415696 */   GIR_EraseRootFromParent_Done,
     /* 2415697 */ // Label 34851: @2415697
     /* 2415697 */ GIM_Reject,
     /* 2415698 */ // Label 34838: @2415698
     /* 2415698 */ GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2415735), // Rule ID 44872 //
     /* 2415703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415713 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415720 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2415723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415734 */   // GIR_Coverage, 44872,
     /* 2415734 */   GIR_EraseRootFromParent_Done,
     /* 2415735 */ // Label 34852: @2415735
     /* 2415735 */ GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2415772), // Rule ID 44873 //
     /* 2415740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415750 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415757 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2415760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415771 */   // GIR_Coverage, 44873,
     /* 2415771 */   GIR_EraseRootFromParent_Done,
     /* 2415772 */ // Label 34853: @2415772
     /* 2415772 */ GIM_Reject,
     /* 2415773 */ // Label 34839: @2415773
     /* 2415773 */ GIM_Reject,
     /* 2415774 */ // Label 121: @2415774
     /* 2415774 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34861*/ GIMT_Encode4(2416422),
     /* 2415785 */ /*GILLT_nxv1s1*//*Label 34854*/ GIMT_Encode4(2415897), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415805 */ /*GILLT_nxv2s1*//*Label 34855*/ GIMT_Encode4(2415972), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415825 */ /*GILLT_nxv4s1*//*Label 34856*/ GIMT_Encode4(2416047), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415845 */ /*GILLT_nxv8s1*//*Label 34857*/ GIMT_Encode4(2416122), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415865 */ /*GILLT_nxv16s1*//*Label 34858*/ GIMT_Encode4(2416197), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415881 */ /*GILLT_nxv32s1*//*Label 34859*/ GIMT_Encode4(2416272), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2415893 */ /*GILLT_nxv64s1*//*Label 34860*/ GIMT_Encode4(2416347),
     /* 2415897 */ // Label 34854: @2415897
     /* 2415897 */ GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2415934), // Rule ID 44702 //
     /* 2415902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415912 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415919 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2415922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415924 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415933 */   // GIR_Coverage, 44702,
     /* 2415933 */   GIR_EraseRootFromParent_Done,
     /* 2415934 */ // Label 34862: @2415934
     /* 2415934 */ GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415971), // Rule ID 44703 //
     /* 2415939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2415945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415949 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415956 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2415956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2415959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2415970 */   // GIR_Coverage, 44703,
     /* 2415970 */   GIR_EraseRootFromParent_Done,
     /* 2415971 */ // Label 34863: @2415971
     /* 2415971 */ GIM_Reject,
     /* 2415972 */ // Label 34855: @2415972
     /* 2415972 */ GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2416009), // Rule ID 44730 //
     /* 2415977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2415983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415987 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415994 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2415994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2415997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416008 */   // GIR_Coverage, 44730,
     /* 2416008 */   GIR_EraseRootFromParent_Done,
     /* 2416009 */ // Label 34864: @2416009
     /* 2416009 */ GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2416046), // Rule ID 44731 //
     /* 2416014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416031 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2416034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416045 */   // GIR_Coverage, 44731,
     /* 2416045 */   GIR_EraseRootFromParent_Done,
     /* 2416046 */ // Label 34865: @2416046
     /* 2416046 */ GIM_Reject,
     /* 2416047 */ // Label 34856: @2416047
     /* 2416047 */ GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2416084), // Rule ID 44758 //
     /* 2416052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2416058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416069 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2416069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2416072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416083 */   // GIR_Coverage, 44758,
     /* 2416083 */   GIR_EraseRootFromParent_Done,
     /* 2416084 */ // Label 34866: @2416084
     /* 2416084 */ GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2416121), // Rule ID 44759 //
     /* 2416089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416099 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416106 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2416109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416120 */   // GIR_Coverage, 44759,
     /* 2416120 */   GIR_EraseRootFromParent_Done,
     /* 2416121 */ // Label 34867: @2416121
     /* 2416121 */ GIM_Reject,
     /* 2416122 */ // Label 34857: @2416122
     /* 2416122 */ GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2416159), // Rule ID 44786 //
     /* 2416127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2416133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416144 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2416144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2416147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416158 */   // GIR_Coverage, 44786,
     /* 2416158 */   GIR_EraseRootFromParent_Done,
     /* 2416159 */ // Label 34868: @2416159
     /* 2416159 */ GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2416196), // Rule ID 44787 //
     /* 2416164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416174 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416181 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2416184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416195 */   // GIR_Coverage, 44787,
     /* 2416195 */   GIR_EraseRootFromParent_Done,
     /* 2416196 */ // Label 34869: @2416196
     /* 2416196 */ GIM_Reject,
     /* 2416197 */ // Label 34858: @2416197
     /* 2416197 */ GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2416234), // Rule ID 44814 //
     /* 2416202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2416208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416212 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416219 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2416219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2416222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416233 */   // GIR_Coverage, 44814,
     /* 2416233 */   GIR_EraseRootFromParent_Done,
     /* 2416234 */ // Label 34870: @2416234
     /* 2416234 */ GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2416271), // Rule ID 44815 //
     /* 2416239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416249 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416256 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2416259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416270 */   // GIR_Coverage, 44815,
     /* 2416270 */   GIR_EraseRootFromParent_Done,
     /* 2416271 */ // Label 34871: @2416271
     /* 2416271 */ GIM_Reject,
     /* 2416272 */ // Label 34859: @2416272
     /* 2416272 */ GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2416309), // Rule ID 44842 //
     /* 2416277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2416283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416287 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416294 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2416294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2416297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416299 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416308 */   // GIR_Coverage, 44842,
     /* 2416308 */   GIR_EraseRootFromParent_Done,
     /* 2416309 */ // Label 34872: @2416309
     /* 2416309 */ GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2416346), // Rule ID 44843 //
     /* 2416314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416324 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416331 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2416334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416345 */   // GIR_Coverage, 44843,
     /* 2416345 */   GIR_EraseRootFromParent_Done,
     /* 2416346 */ // Label 34873: @2416346
     /* 2416346 */ GIM_Reject,
     /* 2416347 */ // Label 34860: @2416347
     /* 2416347 */ GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2416384), // Rule ID 44870 //
     /* 2416352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2416358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416369 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2416369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2416372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416383 */   // GIR_Coverage, 44870,
     /* 2416383 */   GIR_EraseRootFromParent_Done,
     /* 2416384 */ // Label 34874: @2416384
     /* 2416384 */ GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2416421), // Rule ID 44871 //
     /* 2416389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2416395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416399 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416406 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2416406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2416409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2416420 */   // GIR_Coverage, 44871,
     /* 2416420 */   GIR_EraseRootFromParent_Done,
     /* 2416421 */ // Label 34875: @2416421
     /* 2416421 */ GIM_Reject,
     /* 2416422 */ // Label 34861: @2416422
     /* 2416422 */ GIM_Reject,
     /* 2416423 */ // Label 122: @2416423
     /* 2416423 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34898*/ GIMT_Encode4(2420680),
     /* 2416434 */ /*GILLT_nxv1s8*//*Label 34876*/ GIMT_Encode4(2416546),
     /* 2416438 */ /*GILLT_nxv1s16*//*Label 34877*/ GIMT_Encode4(2416663),
     /* 2416442 */ /*GILLT_nxv1s32*//*Label 34878*/ GIMT_Encode4(2416884),
     /* 2416446 */ /*GILLT_nxv1s64*//*Label 34879*/ GIMT_Encode4(2417105), GIMT_Encode4(0),
     /* 2416454 */ /*GILLT_nxv2s8*//*Label 34880*/ GIMT_Encode4(2417326),
     /* 2416458 */ /*GILLT_nxv2s16*//*Label 34881*/ GIMT_Encode4(2417443),
     /* 2416462 */ /*GILLT_nxv2s32*//*Label 34882*/ GIMT_Encode4(2417664),
     /* 2416466 */ /*GILLT_nxv2s64*//*Label 34883*/ GIMT_Encode4(2417885), GIMT_Encode4(0),
     /* 2416474 */ /*GILLT_nxv4s8*//*Label 34884*/ GIMT_Encode4(2418106),
     /* 2416478 */ /*GILLT_nxv4s16*//*Label 34885*/ GIMT_Encode4(2418223),
     /* 2416482 */ /*GILLT_nxv4s32*//*Label 34886*/ GIMT_Encode4(2418444),
     /* 2416486 */ /*GILLT_nxv4s64*//*Label 34887*/ GIMT_Encode4(2418665), GIMT_Encode4(0),
     /* 2416494 */ /*GILLT_nxv8s8*//*Label 34888*/ GIMT_Encode4(2418886),
     /* 2416498 */ /*GILLT_nxv8s16*//*Label 34889*/ GIMT_Encode4(2419003),
     /* 2416502 */ /*GILLT_nxv8s32*//*Label 34890*/ GIMT_Encode4(2419224),
     /* 2416506 */ /*GILLT_nxv8s64*//*Label 34891*/ GIMT_Encode4(2419445), GIMT_Encode4(0),
     /* 2416514 */ /*GILLT_nxv16s8*//*Label 34892*/ GIMT_Encode4(2419666),
     /* 2416518 */ /*GILLT_nxv16s16*//*Label 34893*/ GIMT_Encode4(2419783),
     /* 2416522 */ /*GILLT_nxv16s32*//*Label 34894*/ GIMT_Encode4(2420004), GIMT_Encode4(0),
     /* 2416530 */ /*GILLT_nxv32s8*//*Label 34895*/ GIMT_Encode4(2420225),
     /* 2416534 */ /*GILLT_nxv32s16*//*Label 34896*/ GIMT_Encode4(2420342), GIMT_Encode4(0),
     /* 2416542 */ /*GILLT_nxv64s8*//*Label 34897*/ GIMT_Encode4(2420563),
     /* 2416546 */ // Label 34876: @2416546
     /* 2416546 */ GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2416662),
     /* 2416551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2416554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2416557 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2416609), // Rule ID 32292 //
     /* 2416562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416587 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2416587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2416590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416592 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416608 */     // GIR_Coverage, 32292,
     /* 2416608 */     GIR_EraseRootFromParent_Done,
     /* 2416609 */   // Label 34900: @2416609
     /* 2416609 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2416661), // Rule ID 32293 //
     /* 2416614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416639 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2416639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2416642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416644 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416660 */     // GIR_Coverage, 32293,
     /* 2416660 */     GIR_EraseRootFromParent_Done,
     /* 2416661 */   // Label 34901: @2416661
     /* 2416661 */   GIM_Reject,
     /* 2416662 */ // Label 34899: @2416662
     /* 2416662 */ GIM_Reject,
     /* 2416663 */ // Label 34877: @2416663
     /* 2416663 */ GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2416883),
     /* 2416668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2416671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2416674 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2416726), // Rule ID 32562 //
     /* 2416679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416704 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2416704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2416707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416709 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416725 */     // GIR_Coverage, 32562,
     /* 2416725 */     GIR_EraseRootFromParent_Done,
     /* 2416726 */   // Label 34903: @2416726
     /* 2416726 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2416778), // Rule ID 32563 //
     /* 2416731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416756 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2416756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2416759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416761 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416777 */     // GIR_Coverage, 32563,
     /* 2416777 */     GIR_EraseRootFromParent_Done,
     /* 2416778 */   // Label 34904: @2416778
     /* 2416778 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2416830), // Rule ID 34272 //
     /* 2416783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416808 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2416808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2416811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416813 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416829 */     // GIR_Coverage, 34272,
     /* 2416829 */     GIR_EraseRootFromParent_Done,
     /* 2416830 */   // Label 34905: @2416830
     /* 2416830 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2416882), // Rule ID 34273 //
     /* 2416835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416860 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2416860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2416863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416865 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416881 */     // GIR_Coverage, 34273,
     /* 2416881 */     GIR_EraseRootFromParent_Done,
     /* 2416882 */   // Label 34906: @2416882
     /* 2416882 */   GIM_Reject,
     /* 2416883 */ // Label 34902: @2416883
     /* 2416883 */ GIM_Reject,
     /* 2416884 */ // Label 34878: @2416884
     /* 2416884 */ GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2417104),
     /* 2416889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2416892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2416895 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2416947), // Rule ID 32742 //
     /* 2416900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416925 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2416925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2416928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416930 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416946 */     // GIR_Coverage, 32742,
     /* 2416946 */     GIR_EraseRootFromParent_Done,
     /* 2416947 */   // Label 34908: @2416947
     /* 2416947 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2416999), // Rule ID 32743 //
     /* 2416952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416977 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2416977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2416980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416982 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2416984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2416997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416998 */     // GIR_Coverage, 32743,
     /* 2416998 */     GIR_EraseRootFromParent_Done,
     /* 2416999 */   // Label 34909: @2416999
     /* 2416999 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2417051), // Rule ID 34452 //
     /* 2417004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417029 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417034 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417050 */     // GIR_Coverage, 34452,
     /* 2417050 */     GIR_EraseRootFromParent_Done,
     /* 2417051 */   // Label 34910: @2417051
     /* 2417051 */   GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2417103), // Rule ID 34453 //
     /* 2417056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417081 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417086 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417102 */     // GIR_Coverage, 34453,
     /* 2417102 */     GIR_EraseRootFromParent_Done,
     /* 2417103 */   // Label 34911: @2417103
     /* 2417103 */   GIM_Reject,
     /* 2417104 */ // Label 34907: @2417104
     /* 2417104 */ GIM_Reject,
     /* 2417105 */ // Label 34879: @2417105
     /* 2417105 */ GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2417325),
     /* 2417110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2417113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2417116 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2417168), // Rule ID 33102 //
     /* 2417121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417146 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417151 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417167 */     // GIR_Coverage, 33102,
     /* 2417167 */     GIR_EraseRootFromParent_Done,
     /* 2417168 */   // Label 34913: @2417168
     /* 2417168 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2417220), // Rule ID 33103 //
     /* 2417173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417198 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417203 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417219 */     // GIR_Coverage, 33103,
     /* 2417219 */     GIR_EraseRootFromParent_Done,
     /* 2417220 */   // Label 34914: @2417220
     /* 2417220 */   GIM_Try, /*On fail goto*//*Label 34915*/ GIMT_Encode4(2417272), // Rule ID 34722 //
     /* 2417225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417250 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417255 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417271 */     // GIR_Coverage, 34722,
     /* 2417271 */     GIR_EraseRootFromParent_Done,
     /* 2417272 */   // Label 34915: @2417272
     /* 2417272 */   GIM_Try, /*On fail goto*//*Label 34916*/ GIMT_Encode4(2417324), // Rule ID 34723 //
     /* 2417277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417302 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417307 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417323 */     // GIR_Coverage, 34723,
     /* 2417323 */     GIR_EraseRootFromParent_Done,
     /* 2417324 */   // Label 34916: @2417324
     /* 2417324 */   GIM_Reject,
     /* 2417325 */ // Label 34912: @2417325
     /* 2417325 */ GIM_Reject,
     /* 2417326 */ // Label 34880: @2417326
     /* 2417326 */ GIM_Try, /*On fail goto*//*Label 34917*/ GIMT_Encode4(2417442),
     /* 2417331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2417334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2417337 */   GIM_Try, /*On fail goto*//*Label 34918*/ GIMT_Encode4(2417389), // Rule ID 32382 //
     /* 2417342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417367 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2417370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417372 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417388 */     // GIR_Coverage, 32382,
     /* 2417388 */     GIR_EraseRootFromParent_Done,
     /* 2417389 */   // Label 34918: @2417389
     /* 2417389 */   GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2417441), // Rule ID 32383 //
     /* 2417394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417419 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2417422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417424 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417440 */     // GIR_Coverage, 32383,
     /* 2417440 */     GIR_EraseRootFromParent_Done,
     /* 2417441 */   // Label 34919: @2417441
     /* 2417441 */   GIM_Reject,
     /* 2417442 */ // Label 34917: @2417442
     /* 2417442 */ GIM_Reject,
     /* 2417443 */ // Label 34881: @2417443
     /* 2417443 */ GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2417663),
     /* 2417448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2417451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2417454 */   GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2417506), // Rule ID 32652 //
     /* 2417459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417484 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417489 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417505 */     // GIR_Coverage, 32652,
     /* 2417505 */     GIR_EraseRootFromParent_Done,
     /* 2417506 */   // Label 34921: @2417506
     /* 2417506 */   GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2417558), // Rule ID 32653 //
     /* 2417511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417536 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417541 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417557 */     // GIR_Coverage, 32653,
     /* 2417557 */     GIR_EraseRootFromParent_Done,
     /* 2417558 */   // Label 34922: @2417558
     /* 2417558 */   GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2417610), // Rule ID 34362 //
     /* 2417563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417588 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417593 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417609 */     // GIR_Coverage, 34362,
     /* 2417609 */     GIR_EraseRootFromParent_Done,
     /* 2417610 */   // Label 34923: @2417610
     /* 2417610 */   GIM_Try, /*On fail goto*//*Label 34924*/ GIMT_Encode4(2417662), // Rule ID 34363 //
     /* 2417615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417640 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2417643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417645 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417661 */     // GIR_Coverage, 34363,
     /* 2417661 */     GIR_EraseRootFromParent_Done,
     /* 2417662 */   // Label 34924: @2417662
     /* 2417662 */   GIM_Reject,
     /* 2417663 */ // Label 34920: @2417663
     /* 2417663 */ GIM_Reject,
     /* 2417664 */ // Label 34882: @2417664
     /* 2417664 */ GIM_Try, /*On fail goto*//*Label 34925*/ GIMT_Encode4(2417884),
     /* 2417669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2417672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2417675 */   GIM_Try, /*On fail goto*//*Label 34926*/ GIMT_Encode4(2417727), // Rule ID 33012 //
     /* 2417680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417705 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417710 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417726 */     // GIR_Coverage, 33012,
     /* 2417726 */     GIR_EraseRootFromParent_Done,
     /* 2417727 */   // Label 34926: @2417727
     /* 2417727 */   GIM_Try, /*On fail goto*//*Label 34927*/ GIMT_Encode4(2417779), // Rule ID 33013 //
     /* 2417732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417757 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417762 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417778 */     // GIR_Coverage, 33013,
     /* 2417778 */     GIR_EraseRootFromParent_Done,
     /* 2417779 */   // Label 34927: @2417779
     /* 2417779 */   GIM_Try, /*On fail goto*//*Label 34928*/ GIMT_Encode4(2417831), // Rule ID 34632 //
     /* 2417784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417809 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417814 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417830 */     // GIR_Coverage, 34632,
     /* 2417830 */     GIR_EraseRootFromParent_Done,
     /* 2417831 */   // Label 34928: @2417831
     /* 2417831 */   GIM_Try, /*On fail goto*//*Label 34929*/ GIMT_Encode4(2417883), // Rule ID 34633 //
     /* 2417836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417861 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2417864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417866 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417882 */     // GIR_Coverage, 34633,
     /* 2417882 */     GIR_EraseRootFromParent_Done,
     /* 2417883 */   // Label 34929: @2417883
     /* 2417883 */   GIM_Reject,
     /* 2417884 */ // Label 34925: @2417884
     /* 2417884 */ GIM_Reject,
     /* 2417885 */ // Label 34883: @2417885
     /* 2417885 */ GIM_Try, /*On fail goto*//*Label 34930*/ GIMT_Encode4(2418105),
     /* 2417890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2417893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2417896 */   GIM_Try, /*On fail goto*//*Label 34931*/ GIMT_Encode4(2417948), // Rule ID 34002 //
     /* 2417901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417926 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2417926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2417929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417931 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417947 */     // GIR_Coverage, 34002,
     /* 2417947 */     GIR_EraseRootFromParent_Done,
     /* 2417948 */   // Label 34931: @2417948
     /* 2417948 */   GIM_Try, /*On fail goto*//*Label 34932*/ GIMT_Encode4(2418000), // Rule ID 34003 //
     /* 2417953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417978 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2417978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2417981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417983 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2417985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2417987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2417998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417999 */     // GIR_Coverage, 34003,
     /* 2417999 */     GIR_EraseRootFromParent_Done,
     /* 2418000 */   // Label 34932: @2418000
     /* 2418000 */   GIM_Try, /*On fail goto*//*Label 34933*/ GIMT_Encode4(2418052), // Rule ID 35352 //
     /* 2418005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418030 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418035 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418051 */     // GIR_Coverage, 35352,
     /* 2418051 */     GIR_EraseRootFromParent_Done,
     /* 2418052 */   // Label 34933: @2418052
     /* 2418052 */   GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2418104), // Rule ID 35353 //
     /* 2418057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2418060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418082 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418087 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418103 */     // GIR_Coverage, 35353,
     /* 2418103 */     GIR_EraseRootFromParent_Done,
     /* 2418104 */   // Label 34934: @2418104
     /* 2418104 */   GIM_Reject,
     /* 2418105 */ // Label 34930: @2418105
     /* 2418105 */ GIM_Reject,
     /* 2418106 */ // Label 34884: @2418106
     /* 2418106 */ GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2418222),
     /* 2418111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2418114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2418117 */   GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2418169), // Rule ID 32472 //
     /* 2418122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418147 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2418150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418152 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418168 */     // GIR_Coverage, 32472,
     /* 2418168 */     GIR_EraseRootFromParent_Done,
     /* 2418169 */   // Label 34936: @2418169
     /* 2418169 */   GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2418221), // Rule ID 32473 //
     /* 2418174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418199 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2418202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418204 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418220 */     // GIR_Coverage, 32473,
     /* 2418220 */     GIR_EraseRootFromParent_Done,
     /* 2418221 */   // Label 34937: @2418221
     /* 2418221 */   GIM_Reject,
     /* 2418222 */ // Label 34935: @2418222
     /* 2418222 */ GIM_Reject,
     /* 2418223 */ // Label 34885: @2418223
     /* 2418223 */ GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2418443),
     /* 2418228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2418231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2418234 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2418286), // Rule ID 32922 //
     /* 2418239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418264 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418269 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418285 */     // GIR_Coverage, 32922,
     /* 2418285 */     GIR_EraseRootFromParent_Done,
     /* 2418286 */   // Label 34939: @2418286
     /* 2418286 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2418338), // Rule ID 32923 //
     /* 2418291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418316 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418321 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418337 */     // GIR_Coverage, 32923,
     /* 2418337 */     GIR_EraseRootFromParent_Done,
     /* 2418338 */   // Label 34940: @2418338
     /* 2418338 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2418390), // Rule ID 34542 //
     /* 2418343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418368 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418373 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418389 */     // GIR_Coverage, 34542,
     /* 2418389 */     GIR_EraseRootFromParent_Done,
     /* 2418390 */   // Label 34941: @2418390
     /* 2418390 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2418442), // Rule ID 34543 //
     /* 2418395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418420 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418425 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418441 */     // GIR_Coverage, 34543,
     /* 2418441 */     GIR_EraseRootFromParent_Done,
     /* 2418442 */   // Label 34942: @2418442
     /* 2418442 */   GIM_Reject,
     /* 2418443 */ // Label 34938: @2418443
     /* 2418443 */ GIM_Reject,
     /* 2418444 */ // Label 34886: @2418444
     /* 2418444 */ GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2418664),
     /* 2418449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2418452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2418455 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2418507), // Rule ID 33732 //
     /* 2418460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418485 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418490 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418506 */     // GIR_Coverage, 33732,
     /* 2418506 */     GIR_EraseRootFromParent_Done,
     /* 2418507 */   // Label 34944: @2418507
     /* 2418507 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2418559), // Rule ID 33733 //
     /* 2418512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418537 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418542 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418558 */     // GIR_Coverage, 33733,
     /* 2418558 */     GIR_EraseRootFromParent_Done,
     /* 2418559 */   // Label 34945: @2418559
     /* 2418559 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2418611), // Rule ID 35082 //
     /* 2418564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418589 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418594 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418610 */     // GIR_Coverage, 35082,
     /* 2418610 */     GIR_EraseRootFromParent_Done,
     /* 2418611 */   // Label 34946: @2418611
     /* 2418611 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2418663), // Rule ID 35083 //
     /* 2418616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418641 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2418644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418646 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418662 */     // GIR_Coverage, 35083,
     /* 2418662 */     GIR_EraseRootFromParent_Done,
     /* 2418663 */   // Label 34947: @2418663
     /* 2418663 */   GIM_Reject,
     /* 2418664 */ // Label 34943: @2418664
     /* 2418664 */ GIM_Reject,
     /* 2418665 */ // Label 34887: @2418665
     /* 2418665 */ GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2418885),
     /* 2418670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2418673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2418676 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2418728), // Rule ID 34092 //
     /* 2418681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418706 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2418709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418711 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418727 */     // GIR_Coverage, 34092,
     /* 2418727 */     GIR_EraseRootFromParent_Done,
     /* 2418728 */   // Label 34949: @2418728
     /* 2418728 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2418780), // Rule ID 34093 //
     /* 2418733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2418736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418758 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2418761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418763 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418779 */     // GIR_Coverage, 34093,
     /* 2418779 */     GIR_EraseRootFromParent_Done,
     /* 2418780 */   // Label 34950: @2418780
     /* 2418780 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2418832), // Rule ID 35442 //
     /* 2418785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418810 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2418813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418815 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418831 */     // GIR_Coverage, 35442,
     /* 2418831 */     GIR_EraseRootFromParent_Done,
     /* 2418832 */   // Label 34951: @2418832
     /* 2418832 */   GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2418884), // Rule ID 35443 //
     /* 2418837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2418840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418862 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2418865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418867 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418883 */     // GIR_Coverage, 35443,
     /* 2418883 */     GIR_EraseRootFromParent_Done,
     /* 2418884 */   // Label 34952: @2418884
     /* 2418884 */   GIM_Reject,
     /* 2418885 */ // Label 34948: @2418885
     /* 2418885 */ GIM_Reject,
     /* 2418886 */ // Label 34888: @2418886
     /* 2418886 */ GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2419002),
     /* 2418891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2418894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2418897 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2418949), // Rule ID 32832 //
     /* 2418902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418927 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2418927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418932 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418948 */     // GIR_Coverage, 32832,
     /* 2418948 */     GIR_EraseRootFromParent_Done,
     /* 2418949 */   // Label 34954: @2418949
     /* 2418949 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2419001), // Rule ID 32833 //
     /* 2418954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418979 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2418979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2418982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418984 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2418986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2418988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419000 */     // GIR_Coverage, 32833,
     /* 2419000 */     GIR_EraseRootFromParent_Done,
     /* 2419001 */   // Label 34955: @2419001
     /* 2419001 */   GIM_Reject,
     /* 2419002 */ // Label 34953: @2419002
     /* 2419002 */ GIM_Reject,
     /* 2419003 */ // Label 34889: @2419003
     /* 2419003 */ GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2419223),
     /* 2419008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2419011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2419014 */   GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2419066), // Rule ID 33462 //
     /* 2419019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419044 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419049 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419065 */     // GIR_Coverage, 33462,
     /* 2419065 */     GIR_EraseRootFromParent_Done,
     /* 2419066 */   // Label 34957: @2419066
     /* 2419066 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2419118), // Rule ID 33463 //
     /* 2419071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419096 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419101 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419117 */     // GIR_Coverage, 33463,
     /* 2419117 */     GIR_EraseRootFromParent_Done,
     /* 2419118 */   // Label 34958: @2419118
     /* 2419118 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2419170), // Rule ID 34812 //
     /* 2419123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419148 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419153 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419169 */     // GIR_Coverage, 34812,
     /* 2419169 */     GIR_EraseRootFromParent_Done,
     /* 2419170 */   // Label 34959: @2419170
     /* 2419170 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2419222), // Rule ID 34813 //
     /* 2419175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419200 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419205 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419221 */     // GIR_Coverage, 34813,
     /* 2419221 */     GIR_EraseRootFromParent_Done,
     /* 2419222 */   // Label 34960: @2419222
     /* 2419222 */   GIM_Reject,
     /* 2419223 */ // Label 34956: @2419223
     /* 2419223 */ GIM_Reject,
     /* 2419224 */ // Label 34890: @2419224
     /* 2419224 */ GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2419444),
     /* 2419229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2419232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2419235 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2419287), // Rule ID 33822 //
     /* 2419240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419265 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419270 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419286 */     // GIR_Coverage, 33822,
     /* 2419286 */     GIR_EraseRootFromParent_Done,
     /* 2419287 */   // Label 34962: @2419287
     /* 2419287 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2419339), // Rule ID 33823 //
     /* 2419292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419317 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419322 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419338 */     // GIR_Coverage, 33823,
     /* 2419338 */     GIR_EraseRootFromParent_Done,
     /* 2419339 */   // Label 34963: @2419339
     /* 2419339 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2419391), // Rule ID 35172 //
     /* 2419344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419369 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419374 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419390 */     // GIR_Coverage, 35172,
     /* 2419390 */     GIR_EraseRootFromParent_Done,
     /* 2419391 */   // Label 34964: @2419391
     /* 2419391 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2419443), // Rule ID 35173 //
     /* 2419396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419421 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419426 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419442 */     // GIR_Coverage, 35173,
     /* 2419442 */     GIR_EraseRootFromParent_Done,
     /* 2419443 */   // Label 34965: @2419443
     /* 2419443 */   GIM_Reject,
     /* 2419444 */ // Label 34961: @2419444
     /* 2419444 */ GIM_Reject,
     /* 2419445 */ // Label 34891: @2419445
     /* 2419445 */ GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2419665),
     /* 2419450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2419453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2419456 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2419508), // Rule ID 34182 //
     /* 2419461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419486 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2419489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419491 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419507 */     // GIR_Coverage, 34182,
     /* 2419507 */     GIR_EraseRootFromParent_Done,
     /* 2419508 */   // Label 34967: @2419508
     /* 2419508 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2419560), // Rule ID 34183 //
     /* 2419513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419538 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2419541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419543 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419559 */     // GIR_Coverage, 34183,
     /* 2419559 */     GIR_EraseRootFromParent_Done,
     /* 2419560 */   // Label 34968: @2419560
     /* 2419560 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2419612), // Rule ID 35532 //
     /* 2419565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419590 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2419593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419595 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419611 */     // GIR_Coverage, 35532,
     /* 2419611 */     GIR_EraseRootFromParent_Done,
     /* 2419612 */   // Label 34969: @2419612
     /* 2419612 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2419664), // Rule ID 35533 //
     /* 2419617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419642 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2419645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419647 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419663 */     // GIR_Coverage, 35533,
     /* 2419663 */     GIR_EraseRootFromParent_Done,
     /* 2419664 */   // Label 34970: @2419664
     /* 2419664 */   GIM_Reject,
     /* 2419665 */ // Label 34966: @2419665
     /* 2419665 */ GIM_Reject,
     /* 2419666 */ // Label 34892: @2419666
     /* 2419666 */ GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2419782),
     /* 2419671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2419674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2419677 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2419729), // Rule ID 33192 //
     /* 2419682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419707 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419712 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419728 */     // GIR_Coverage, 33192,
     /* 2419728 */     GIR_EraseRootFromParent_Done,
     /* 2419729 */   // Label 34972: @2419729
     /* 2419729 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2419781), // Rule ID 33193 //
     /* 2419734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419759 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2419762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419764 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419780 */     // GIR_Coverage, 33193,
     /* 2419780 */     GIR_EraseRootFromParent_Done,
     /* 2419781 */   // Label 34973: @2419781
     /* 2419781 */   GIM_Reject,
     /* 2419782 */ // Label 34971: @2419782
     /* 2419782 */ GIM_Reject,
     /* 2419783 */ // Label 34893: @2419783
     /* 2419783 */ GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2420003),
     /* 2419788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2419794 */   GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2419846), // Rule ID 33552 //
     /* 2419799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419824 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419829 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419845 */     // GIR_Coverage, 33552,
     /* 2419845 */     GIR_EraseRootFromParent_Done,
     /* 2419846 */   // Label 34975: @2419846
     /* 2419846 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2419898), // Rule ID 33553 //
     /* 2419851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419876 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419881 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419897 */     // GIR_Coverage, 33553,
     /* 2419897 */     GIR_EraseRootFromParent_Done,
     /* 2419898 */   // Label 34976: @2419898
     /* 2419898 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2419950), // Rule ID 34902 //
     /* 2419903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419928 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2419928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419933 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419949 */     // GIR_Coverage, 34902,
     /* 2419949 */     GIR_EraseRootFromParent_Done,
     /* 2419950 */   // Label 34977: @2419950
     /* 2419950 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2420002), // Rule ID 34903 //
     /* 2419955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419980 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2419980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2419983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419985 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2419987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2419989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420001 */     // GIR_Coverage, 34903,
     /* 2420001 */     GIR_EraseRootFromParent_Done,
     /* 2420002 */   // Label 34978: @2420002
     /* 2420002 */   GIM_Reject,
     /* 2420003 */ // Label 34974: @2420003
     /* 2420003 */ GIM_Reject,
     /* 2420004 */ // Label 34894: @2420004
     /* 2420004 */ GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2420224),
     /* 2420009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2420012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2420015 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2420067), // Rule ID 33912 //
     /* 2420020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420045 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420050 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420066 */     // GIR_Coverage, 33912,
     /* 2420066 */     GIR_EraseRootFromParent_Done,
     /* 2420067 */   // Label 34980: @2420067
     /* 2420067 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2420119), // Rule ID 33913 //
     /* 2420072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420097 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420102 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420118 */     // GIR_Coverage, 33913,
     /* 2420118 */     GIR_EraseRootFromParent_Done,
     /* 2420119 */   // Label 34981: @2420119
     /* 2420119 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2420171), // Rule ID 35262 //
     /* 2420124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420149 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420154 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420170 */     // GIR_Coverage, 35262,
     /* 2420170 */     GIR_EraseRootFromParent_Done,
     /* 2420171 */   // Label 34982: @2420171
     /* 2420171 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2420223), // Rule ID 35263 //
     /* 2420176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420201 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420206 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420222 */     // GIR_Coverage, 35263,
     /* 2420222 */     GIR_EraseRootFromParent_Done,
     /* 2420223 */   // Label 34983: @2420223
     /* 2420223 */   GIM_Reject,
     /* 2420224 */ // Label 34979: @2420224
     /* 2420224 */ GIM_Reject,
     /* 2420225 */ // Label 34895: @2420225
     /* 2420225 */ GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2420341),
     /* 2420230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2420233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2420236 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2420288), // Rule ID 33282 //
     /* 2420241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420266 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2420269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420271 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420287 */     // GIR_Coverage, 33282,
     /* 2420287 */     GIR_EraseRootFromParent_Done,
     /* 2420288 */   // Label 34985: @2420288
     /* 2420288 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2420340), // Rule ID 33283 //
     /* 2420293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420318 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2420321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420323 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420339 */     // GIR_Coverage, 33283,
     /* 2420339 */     GIR_EraseRootFromParent_Done,
     /* 2420340 */   // Label 34986: @2420340
     /* 2420340 */   GIM_Reject,
     /* 2420341 */ // Label 34984: @2420341
     /* 2420341 */ GIM_Reject,
     /* 2420342 */ // Label 34896: @2420342
     /* 2420342 */ GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2420562),
     /* 2420347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2420353 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2420405), // Rule ID 33642 //
     /* 2420358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420383 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420388 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420404 */     // GIR_Coverage, 33642,
     /* 2420404 */     GIR_EraseRootFromParent_Done,
     /* 2420405 */   // Label 34988: @2420405
     /* 2420405 */   GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2420457), // Rule ID 33643 //
     /* 2420410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420435 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420440 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420456 */     // GIR_Coverage, 33643,
     /* 2420456 */     GIR_EraseRootFromParent_Done,
     /* 2420457 */   // Label 34989: @2420457
     /* 2420457 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2420509), // Rule ID 34992 //
     /* 2420462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420487 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420492 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420508 */     // GIR_Coverage, 34992,
     /* 2420508 */     GIR_EraseRootFromParent_Done,
     /* 2420509 */   // Label 34990: @2420509
     /* 2420509 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2420561), // Rule ID 34993 //
     /* 2420514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420539 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420544 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420560 */     // GIR_Coverage, 34993,
     /* 2420560 */     GIR_EraseRootFromParent_Done,
     /* 2420561 */   // Label 34991: @2420561
     /* 2420561 */   GIM_Reject,
     /* 2420562 */ // Label 34987: @2420562
     /* 2420562 */ GIM_Reject,
     /* 2420563 */ // Label 34897: @2420563
     /* 2420563 */ GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2420679),
     /* 2420568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2420571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2420574 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2420626), // Rule ID 33372 //
     /* 2420579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420604 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2420604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420609 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420625 */     // GIR_Coverage, 33372,
     /* 2420625 */     GIR_EraseRootFromParent_Done,
     /* 2420626 */   // Label 34993: @2420626
     /* 2420626 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2420678), // Rule ID 33373 //
     /* 2420631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420656 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2420656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2420659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420661 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2420663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2420665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2420676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420677 */     // GIR_Coverage, 33373,
     /* 2420677 */     GIR_EraseRootFromParent_Done,
     /* 2420678 */   // Label 34994: @2420678
     /* 2420678 */   GIM_Reject,
     /* 2420679 */ // Label 34992: @2420679
     /* 2420679 */ GIM_Reject,
     /* 2420680 */ // Label 34898: @2420680
     /* 2420680 */ GIM_Reject,
     /* 2420681 */ // Label 123: @2420681
     /* 2420681 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35017*/ GIMT_Encode4(2432560),
     /* 2420692 */ /*GILLT_nxv1s8*//*Label 34995*/ GIMT_Encode4(2420804),
     /* 2420696 */ /*GILLT_nxv1s16*//*Label 34996*/ GIMT_Encode4(2421127),
     /* 2420700 */ /*GILLT_nxv1s32*//*Label 34997*/ GIMT_Encode4(2421760),
     /* 2420704 */ /*GILLT_nxv1s64*//*Label 34998*/ GIMT_Encode4(2422393), GIMT_Encode4(0),
     /* 2420712 */ /*GILLT_nxv2s8*//*Label 34999*/ GIMT_Encode4(2423026),
     /* 2420716 */ /*GILLT_nxv2s16*//*Label 35000*/ GIMT_Encode4(2423349),
     /* 2420720 */ /*GILLT_nxv2s32*//*Label 35001*/ GIMT_Encode4(2423982),
     /* 2420724 */ /*GILLT_nxv2s64*//*Label 35002*/ GIMT_Encode4(2424615), GIMT_Encode4(0),
     /* 2420732 */ /*GILLT_nxv4s8*//*Label 35003*/ GIMT_Encode4(2425248),
     /* 2420736 */ /*GILLT_nxv4s16*//*Label 35004*/ GIMT_Encode4(2425571),
     /* 2420740 */ /*GILLT_nxv4s32*//*Label 35005*/ GIMT_Encode4(2426204),
     /* 2420744 */ /*GILLT_nxv4s64*//*Label 35006*/ GIMT_Encode4(2426837), GIMT_Encode4(0),
     /* 2420752 */ /*GILLT_nxv8s8*//*Label 35007*/ GIMT_Encode4(2427470),
     /* 2420756 */ /*GILLT_nxv8s16*//*Label 35008*/ GIMT_Encode4(2427793),
     /* 2420760 */ /*GILLT_nxv8s32*//*Label 35009*/ GIMT_Encode4(2428426),
     /* 2420764 */ /*GILLT_nxv8s64*//*Label 35010*/ GIMT_Encode4(2429059), GIMT_Encode4(0),
     /* 2420772 */ /*GILLT_nxv16s8*//*Label 35011*/ GIMT_Encode4(2429692),
     /* 2420776 */ /*GILLT_nxv16s16*//*Label 35012*/ GIMT_Encode4(2430015),
     /* 2420780 */ /*GILLT_nxv16s32*//*Label 35013*/ GIMT_Encode4(2430648), GIMT_Encode4(0),
     /* 2420788 */ /*GILLT_nxv32s8*//*Label 35014*/ GIMT_Encode4(2431281),
     /* 2420792 */ /*GILLT_nxv32s16*//*Label 35015*/ GIMT_Encode4(2431604), GIMT_Encode4(0),
     /* 2420800 */ /*GILLT_nxv64s8*//*Label 35016*/ GIMT_Encode4(2432237),
     /* 2420804 */ // Label 34995: @2420804
     /* 2420804 */ GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2421126),
     /* 2420809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2420812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2420815 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2420898), // Rule ID 45436 //
     /* 2420820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420856 */     // MIs[1] Operand 1
     /* 2420856 */     // No operand predicates
     /* 2420856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420860 */     // MIs[0] policy
     /* 2420860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420872 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2420875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420897 */     // GIR_Coverage, 45436,
     /* 2420897 */     GIR_EraseRootFromParent_Done,
     /* 2420898 */   // Label 35019: @2420898
     /* 2420898 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2420981), // Rule ID 45437 //
     /* 2420903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420939 */     // MIs[1] Operand 1
     /* 2420939 */     // No operand predicates
     /* 2420939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420943 */     // MIs[0] policy
     /* 2420943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420955 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2420958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420980 */     // GIR_Coverage, 45437,
     /* 2420980 */     GIR_EraseRootFromParent_Done,
     /* 2420981 */   // Label 35020: @2420981
     /* 2420981 */   GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2421053), // Rule ID 45438 //
     /* 2420986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421018 */     // MIs[0] policy
     /* 2421018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421028 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2421031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421052 */     // GIR_Coverage, 45438,
     /* 2421052 */     GIR_EraseRootFromParent_Done,
     /* 2421053 */   // Label 35021: @2421053
     /* 2421053 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2421125), // Rule ID 45439 //
     /* 2421058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421090 */     // MIs[0] policy
     /* 2421090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421100 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2421103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421124 */     // GIR_Coverage, 45439,
     /* 2421124 */     GIR_EraseRootFromParent_Done,
     /* 2421125 */   // Label 35022: @2421125
     /* 2421125 */   GIM_Reject,
     /* 2421126 */ // Label 35018: @2421126
     /* 2421126 */ GIM_Reject,
     /* 2421127 */ // Label 34996: @2421127
     /* 2421127 */ GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2421759),
     /* 2421132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2421138 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2421221), // Rule ID 45448 //
     /* 2421143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421179 */     // MIs[1] Operand 1
     /* 2421179 */     // No operand predicates
     /* 2421179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421183 */     // MIs[0] policy
     /* 2421183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421195 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2421198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421220 */     // GIR_Coverage, 45448,
     /* 2421220 */     GIR_EraseRootFromParent_Done,
     /* 2421221 */   // Label 35024: @2421221
     /* 2421221 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2421304), // Rule ID 45449 //
     /* 2421226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421262 */     // MIs[1] Operand 1
     /* 2421262 */     // No operand predicates
     /* 2421262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421266 */     // MIs[0] policy
     /* 2421266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421278 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2421281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421303 */     // GIR_Coverage, 45449,
     /* 2421303 */     GIR_EraseRootFromParent_Done,
     /* 2421304 */   // Label 35025: @2421304
     /* 2421304 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2421387), // Rule ID 45524 //
     /* 2421309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421345 */     // MIs[1] Operand 1
     /* 2421345 */     // No operand predicates
     /* 2421345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421349 */     // MIs[0] policy
     /* 2421349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421361 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2421364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421386 */     // GIR_Coverage, 45524,
     /* 2421386 */     GIR_EraseRootFromParent_Done,
     /* 2421387 */   // Label 35026: @2421387
     /* 2421387 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2421470), // Rule ID 45525 //
     /* 2421392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421428 */     // MIs[1] Operand 1
     /* 2421428 */     // No operand predicates
     /* 2421428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421432 */     // MIs[0] policy
     /* 2421432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421444 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2421447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421469 */     // GIR_Coverage, 45525,
     /* 2421469 */     GIR_EraseRootFromParent_Done,
     /* 2421470 */   // Label 35027: @2421470
     /* 2421470 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2421542), // Rule ID 45450 //
     /* 2421475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421507 */     // MIs[0] policy
     /* 2421507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421517 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2421520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421541 */     // GIR_Coverage, 45450,
     /* 2421541 */     GIR_EraseRootFromParent_Done,
     /* 2421542 */   // Label 35028: @2421542
     /* 2421542 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2421614), // Rule ID 45451 //
     /* 2421547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421579 */     // MIs[0] policy
     /* 2421579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421589 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2421592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421613 */     // GIR_Coverage, 45451,
     /* 2421613 */     GIR_EraseRootFromParent_Done,
     /* 2421614 */   // Label 35029: @2421614
     /* 2421614 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2421686), // Rule ID 45526 //
     /* 2421619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421651 */     // MIs[0] policy
     /* 2421651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421661 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2421664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421685 */     // GIR_Coverage, 45526,
     /* 2421685 */     GIR_EraseRootFromParent_Done,
     /* 2421686 */   // Label 35030: @2421686
     /* 2421686 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2421758), // Rule ID 45527 //
     /* 2421691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421723 */     // MIs[0] policy
     /* 2421723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421733 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2421736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421757 */     // GIR_Coverage, 45527,
     /* 2421757 */     GIR_EraseRootFromParent_Done,
     /* 2421758 */   // Label 35031: @2421758
     /* 2421758 */   GIM_Reject,
     /* 2421759 */ // Label 35023: @2421759
     /* 2421759 */ GIM_Reject,
     /* 2421760 */ // Label 34997: @2421760
     /* 2421760 */ GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2422392),
     /* 2421765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2421768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2421771 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2421854), // Rule ID 45456 //
     /* 2421776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421812 */     // MIs[1] Operand 1
     /* 2421812 */     // No operand predicates
     /* 2421812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421816 */     // MIs[0] policy
     /* 2421816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421828 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2421831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421853 */     // GIR_Coverage, 45456,
     /* 2421853 */     GIR_EraseRootFromParent_Done,
     /* 2421854 */   // Label 35033: @2421854
     /* 2421854 */   GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2421937), // Rule ID 45457 //
     /* 2421859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421895 */     // MIs[1] Operand 1
     /* 2421895 */     // No operand predicates
     /* 2421895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421899 */     // MIs[0] policy
     /* 2421899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421911 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2421914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421936 */     // GIR_Coverage, 45457,
     /* 2421936 */     GIR_EraseRootFromParent_Done,
     /* 2421937 */   // Label 35034: @2421937
     /* 2421937 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2422020), // Rule ID 45532 //
     /* 2421942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421978 */     // MIs[1] Operand 1
     /* 2421978 */     // No operand predicates
     /* 2421978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421982 */     // MIs[0] policy
     /* 2421982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421994 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2421997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422019 */     // GIR_Coverage, 45532,
     /* 2422019 */     GIR_EraseRootFromParent_Done,
     /* 2422020 */   // Label 35035: @2422020
     /* 2422020 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2422103), // Rule ID 45533 //
     /* 2422025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422061 */     // MIs[1] Operand 1
     /* 2422061 */     // No operand predicates
     /* 2422061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422065 */     // MIs[0] policy
     /* 2422065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422077 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2422080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422102 */     // GIR_Coverage, 45533,
     /* 2422102 */     GIR_EraseRootFromParent_Done,
     /* 2422103 */   // Label 35036: @2422103
     /* 2422103 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2422175), // Rule ID 45458 //
     /* 2422108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422140 */     // MIs[0] policy
     /* 2422140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422150 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2422153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422174 */     // GIR_Coverage, 45458,
     /* 2422174 */     GIR_EraseRootFromParent_Done,
     /* 2422175 */   // Label 35037: @2422175
     /* 2422175 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2422247), // Rule ID 45459 //
     /* 2422180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422212 */     // MIs[0] policy
     /* 2422212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422222 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2422225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422246 */     // GIR_Coverage, 45459,
     /* 2422246 */     GIR_EraseRootFromParent_Done,
     /* 2422247 */   // Label 35038: @2422247
     /* 2422247 */   GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2422319), // Rule ID 45534 //
     /* 2422252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422284 */     // MIs[0] policy
     /* 2422284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422294 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2422297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422318 */     // GIR_Coverage, 45534,
     /* 2422318 */     GIR_EraseRootFromParent_Done,
     /* 2422319 */   // Label 35039: @2422319
     /* 2422319 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2422391), // Rule ID 45535 //
     /* 2422324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422356 */     // MIs[0] policy
     /* 2422356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422366 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2422369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422390 */     // GIR_Coverage, 45535,
     /* 2422390 */     GIR_EraseRootFromParent_Done,
     /* 2422391 */   // Label 35040: @2422391
     /* 2422391 */   GIM_Reject,
     /* 2422392 */ // Label 35032: @2422392
     /* 2422392 */ GIM_Reject,
     /* 2422393 */ // Label 34998: @2422393
     /* 2422393 */ GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2423025),
     /* 2422398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2422401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2422404 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2422487), // Rule ID 45472 //
     /* 2422409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422445 */     // MIs[1] Operand 1
     /* 2422445 */     // No operand predicates
     /* 2422445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422449 */     // MIs[0] policy
     /* 2422449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422461 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422486 */     // GIR_Coverage, 45472,
     /* 2422486 */     GIR_EraseRootFromParent_Done,
     /* 2422487 */   // Label 35042: @2422487
     /* 2422487 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2422570), // Rule ID 45473 //
     /* 2422492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422528 */     // MIs[1] Operand 1
     /* 2422528 */     // No operand predicates
     /* 2422528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422532 */     // MIs[0] policy
     /* 2422532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422544 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422569 */     // GIR_Coverage, 45473,
     /* 2422569 */     GIR_EraseRootFromParent_Done,
     /* 2422570 */   // Label 35043: @2422570
     /* 2422570 */   GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2422653), // Rule ID 45544 //
     /* 2422575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422611 */     // MIs[1] Operand 1
     /* 2422611 */     // No operand predicates
     /* 2422611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422615 */     // MIs[0] policy
     /* 2422615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422627 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422652 */     // GIR_Coverage, 45544,
     /* 2422652 */     GIR_EraseRootFromParent_Done,
     /* 2422653 */   // Label 35044: @2422653
     /* 2422653 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2422736), // Rule ID 45545 //
     /* 2422658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422694 */     // MIs[1] Operand 1
     /* 2422694 */     // No operand predicates
     /* 2422694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422698 */     // MIs[0] policy
     /* 2422698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422710 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422735 */     // GIR_Coverage, 45545,
     /* 2422735 */     GIR_EraseRootFromParent_Done,
     /* 2422736 */   // Label 35045: @2422736
     /* 2422736 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2422808), // Rule ID 45474 //
     /* 2422741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422773 */     // MIs[0] policy
     /* 2422773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422783 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2422786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422807 */     // GIR_Coverage, 45474,
     /* 2422807 */     GIR_EraseRootFromParent_Done,
     /* 2422808 */   // Label 35046: @2422808
     /* 2422808 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2422880), // Rule ID 45475 //
     /* 2422813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422845 */     // MIs[0] policy
     /* 2422845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422855 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2422858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422879 */     // GIR_Coverage, 45475,
     /* 2422879 */     GIR_EraseRootFromParent_Done,
     /* 2422880 */   // Label 35047: @2422880
     /* 2422880 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2422952), // Rule ID 45546 //
     /* 2422885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422917 */     // MIs[0] policy
     /* 2422917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422927 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2422930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422951 */     // GIR_Coverage, 45546,
     /* 2422951 */     GIR_EraseRootFromParent_Done,
     /* 2422952 */   // Label 35048: @2422952
     /* 2422952 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2423024), // Rule ID 45547 //
     /* 2422957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2422966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422989 */     // MIs[0] policy
     /* 2422989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422999 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2423002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423023 */     // GIR_Coverage, 45547,
     /* 2423023 */     GIR_EraseRootFromParent_Done,
     /* 2423024 */   // Label 35049: @2423024
     /* 2423024 */   GIM_Reject,
     /* 2423025 */ // Label 35041: @2423025
     /* 2423025 */ GIM_Reject,
     /* 2423026 */ // Label 34999: @2423026
     /* 2423026 */ GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2423348),
     /* 2423031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2423034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2423037 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2423120), // Rule ID 45440 //
     /* 2423042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423078 */     // MIs[1] Operand 1
     /* 2423078 */     // No operand predicates
     /* 2423078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423082 */     // MIs[0] policy
     /* 2423082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423094 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2423097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423119 */     // GIR_Coverage, 45440,
     /* 2423119 */     GIR_EraseRootFromParent_Done,
     /* 2423120 */   // Label 35051: @2423120
     /* 2423120 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2423203), // Rule ID 45441 //
     /* 2423125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423161 */     // MIs[1] Operand 1
     /* 2423161 */     // No operand predicates
     /* 2423161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423165 */     // MIs[0] policy
     /* 2423165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423177 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2423180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423202 */     // GIR_Coverage, 45441,
     /* 2423202 */     GIR_EraseRootFromParent_Done,
     /* 2423203 */   // Label 35052: @2423203
     /* 2423203 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2423275), // Rule ID 45442 //
     /* 2423208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423240 */     // MIs[0] policy
     /* 2423240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423250 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2423253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423274 */     // GIR_Coverage, 45442,
     /* 2423274 */     GIR_EraseRootFromParent_Done,
     /* 2423275 */   // Label 35053: @2423275
     /* 2423275 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2423347), // Rule ID 45443 //
     /* 2423280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423312 */     // MIs[0] policy
     /* 2423312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423322 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2423325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423346 */     // GIR_Coverage, 45443,
     /* 2423346 */     GIR_EraseRootFromParent_Done,
     /* 2423347 */   // Label 35054: @2423347
     /* 2423347 */   GIM_Reject,
     /* 2423348 */ // Label 35050: @2423348
     /* 2423348 */ GIM_Reject,
     /* 2423349 */ // Label 35000: @2423349
     /* 2423349 */ GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2423981),
     /* 2423354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2423357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2423360 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2423443), // Rule ID 45452 //
     /* 2423365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423401 */     // MIs[1] Operand 1
     /* 2423401 */     // No operand predicates
     /* 2423401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423405 */     // MIs[0] policy
     /* 2423405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423417 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2423420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423442 */     // GIR_Coverage, 45452,
     /* 2423442 */     GIR_EraseRootFromParent_Done,
     /* 2423443 */   // Label 35056: @2423443
     /* 2423443 */   GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2423526), // Rule ID 45453 //
     /* 2423448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423484 */     // MIs[1] Operand 1
     /* 2423484 */     // No operand predicates
     /* 2423484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423488 */     // MIs[0] policy
     /* 2423488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423500 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2423503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423525 */     // GIR_Coverage, 45453,
     /* 2423525 */     GIR_EraseRootFromParent_Done,
     /* 2423526 */   // Label 35057: @2423526
     /* 2423526 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2423609), // Rule ID 45528 //
     /* 2423531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423567 */     // MIs[1] Operand 1
     /* 2423567 */     // No operand predicates
     /* 2423567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423571 */     // MIs[0] policy
     /* 2423571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423583 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2423586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423608 */     // GIR_Coverage, 45528,
     /* 2423608 */     GIR_EraseRootFromParent_Done,
     /* 2423609 */   // Label 35058: @2423609
     /* 2423609 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2423692), // Rule ID 45529 //
     /* 2423614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423650 */     // MIs[1] Operand 1
     /* 2423650 */     // No operand predicates
     /* 2423650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423654 */     // MIs[0] policy
     /* 2423654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423666 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2423669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423691 */     // GIR_Coverage, 45529,
     /* 2423691 */     GIR_EraseRootFromParent_Done,
     /* 2423692 */   // Label 35059: @2423692
     /* 2423692 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2423764), // Rule ID 45454 //
     /* 2423697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423729 */     // MIs[0] policy
     /* 2423729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423739 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2423742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423763 */     // GIR_Coverage, 45454,
     /* 2423763 */     GIR_EraseRootFromParent_Done,
     /* 2423764 */   // Label 35060: @2423764
     /* 2423764 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2423836), // Rule ID 45455 //
     /* 2423769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423801 */     // MIs[0] policy
     /* 2423801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423811 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2423814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423835 */     // GIR_Coverage, 45455,
     /* 2423835 */     GIR_EraseRootFromParent_Done,
     /* 2423836 */   // Label 35061: @2423836
     /* 2423836 */   GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2423908), // Rule ID 45530 //
     /* 2423841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423873 */     // MIs[0] policy
     /* 2423873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423883 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2423886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423907 */     // GIR_Coverage, 45530,
     /* 2423907 */     GIR_EraseRootFromParent_Done,
     /* 2423908 */   // Label 35062: @2423908
     /* 2423908 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2423980), // Rule ID 45531 //
     /* 2423913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423945 */     // MIs[0] policy
     /* 2423945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423955 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2423958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423979 */     // GIR_Coverage, 45531,
     /* 2423979 */     GIR_EraseRootFromParent_Done,
     /* 2423980 */   // Label 35063: @2423980
     /* 2423980 */   GIM_Reject,
     /* 2423981 */ // Label 35055: @2423981
     /* 2423981 */ GIM_Reject,
     /* 2423982 */ // Label 35001: @2423982
     /* 2423982 */ GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2424614),
     /* 2423987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2423990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2423993 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2424076), // Rule ID 45468 //
     /* 2423998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424034 */     // MIs[1] Operand 1
     /* 2424034 */     // No operand predicates
     /* 2424034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424038 */     // MIs[0] policy
     /* 2424038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424050 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2424053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424075 */     // GIR_Coverage, 45468,
     /* 2424075 */     GIR_EraseRootFromParent_Done,
     /* 2424076 */   // Label 35065: @2424076
     /* 2424076 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2424159), // Rule ID 45469 //
     /* 2424081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424117 */     // MIs[1] Operand 1
     /* 2424117 */     // No operand predicates
     /* 2424117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424121 */     // MIs[0] policy
     /* 2424121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424133 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2424136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424158 */     // GIR_Coverage, 45469,
     /* 2424158 */     GIR_EraseRootFromParent_Done,
     /* 2424159 */   // Label 35066: @2424159
     /* 2424159 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2424242), // Rule ID 45540 //
     /* 2424164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424200 */     // MIs[1] Operand 1
     /* 2424200 */     // No operand predicates
     /* 2424200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424204 */     // MIs[0] policy
     /* 2424204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424216 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2424219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424241 */     // GIR_Coverage, 45540,
     /* 2424241 */     GIR_EraseRootFromParent_Done,
     /* 2424242 */   // Label 35067: @2424242
     /* 2424242 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2424325), // Rule ID 45541 //
     /* 2424247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424283 */     // MIs[1] Operand 1
     /* 2424283 */     // No operand predicates
     /* 2424283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424287 */     // MIs[0] policy
     /* 2424287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424299 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2424302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424324 */     // GIR_Coverage, 45541,
     /* 2424324 */     GIR_EraseRootFromParent_Done,
     /* 2424325 */   // Label 35068: @2424325
     /* 2424325 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2424397), // Rule ID 45470 //
     /* 2424330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424362 */     // MIs[0] policy
     /* 2424362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424372 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2424375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424396 */     // GIR_Coverage, 45470,
     /* 2424396 */     GIR_EraseRootFromParent_Done,
     /* 2424397 */   // Label 35069: @2424397
     /* 2424397 */   GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2424469), // Rule ID 45471 //
     /* 2424402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424434 */     // MIs[0] policy
     /* 2424434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424444 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2424447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424468 */     // GIR_Coverage, 45471,
     /* 2424468 */     GIR_EraseRootFromParent_Done,
     /* 2424469 */   // Label 35070: @2424469
     /* 2424469 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2424541), // Rule ID 45542 //
     /* 2424474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424506 */     // MIs[0] policy
     /* 2424506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424516 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2424519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424540 */     // GIR_Coverage, 45542,
     /* 2424540 */     GIR_EraseRootFromParent_Done,
     /* 2424541 */   // Label 35071: @2424541
     /* 2424541 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2424613), // Rule ID 45543 //
     /* 2424546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424578 */     // MIs[0] policy
     /* 2424578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424588 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2424591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424612 */     // GIR_Coverage, 45543,
     /* 2424612 */     GIR_EraseRootFromParent_Done,
     /* 2424613 */   // Label 35072: @2424613
     /* 2424613 */   GIM_Reject,
     /* 2424614 */ // Label 35064: @2424614
     /* 2424614 */ GIM_Reject,
     /* 2424615 */ // Label 35002: @2424615
     /* 2424615 */ GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2425247),
     /* 2424620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2424623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2424626 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2424709), // Rule ID 45512 //
     /* 2424631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424667 */     // MIs[1] Operand 1
     /* 2424667 */     // No operand predicates
     /* 2424667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424671 */     // MIs[0] policy
     /* 2424671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424683 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424708 */     // GIR_Coverage, 45512,
     /* 2424708 */     GIR_EraseRootFromParent_Done,
     /* 2424709 */   // Label 35074: @2424709
     /* 2424709 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2424792), // Rule ID 45513 //
     /* 2424714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424750 */     // MIs[1] Operand 1
     /* 2424750 */     // No operand predicates
     /* 2424750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424754 */     // MIs[0] policy
     /* 2424754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424766 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424791 */     // GIR_Coverage, 45513,
     /* 2424791 */     GIR_EraseRootFromParent_Done,
     /* 2424792 */   // Label 35075: @2424792
     /* 2424792 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2424875), // Rule ID 45572 //
     /* 2424797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424833 */     // MIs[1] Operand 1
     /* 2424833 */     // No operand predicates
     /* 2424833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424837 */     // MIs[0] policy
     /* 2424837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424849 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424874 */     // GIR_Coverage, 45572,
     /* 2424874 */     GIR_EraseRootFromParent_Done,
     /* 2424875 */   // Label 35076: @2424875
     /* 2424875 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2424958), // Rule ID 45573 //
     /* 2424880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424916 */     // MIs[1] Operand 1
     /* 2424916 */     // No operand predicates
     /* 2424916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424920 */     // MIs[0] policy
     /* 2424920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424932 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424957 */     // GIR_Coverage, 45573,
     /* 2424957 */     GIR_EraseRootFromParent_Done,
     /* 2424958 */   // Label 35077: @2424958
     /* 2424958 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2425030), // Rule ID 45514 //
     /* 2424963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2424972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424995 */     // MIs[0] policy
     /* 2424995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425005 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425029 */     // GIR_Coverage, 45514,
     /* 2425029 */     GIR_EraseRootFromParent_Done,
     /* 2425030 */   // Label 35078: @2425030
     /* 2425030 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2425102), // Rule ID 45515 //
     /* 2425035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2425044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425067 */     // MIs[0] policy
     /* 2425067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425077 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425101 */     // GIR_Coverage, 45515,
     /* 2425101 */     GIR_EraseRootFromParent_Done,
     /* 2425102 */   // Label 35079: @2425102
     /* 2425102 */   GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2425174), // Rule ID 45574 //
     /* 2425107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2425116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425139 */     // MIs[0] policy
     /* 2425139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425149 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425173 */     // GIR_Coverage, 45574,
     /* 2425173 */     GIR_EraseRootFromParent_Done,
     /* 2425174 */   // Label 35080: @2425174
     /* 2425174 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2425246), // Rule ID 45575 //
     /* 2425179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2425188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425211 */     // MIs[0] policy
     /* 2425211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425221 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425245 */     // GIR_Coverage, 45575,
     /* 2425245 */     GIR_EraseRootFromParent_Done,
     /* 2425246 */   // Label 35081: @2425246
     /* 2425246 */   GIM_Reject,
     /* 2425247 */ // Label 35073: @2425247
     /* 2425247 */ GIM_Reject,
     /* 2425248 */ // Label 35003: @2425248
     /* 2425248 */ GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2425570),
     /* 2425253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2425256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2425259 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2425342), // Rule ID 45444 //
     /* 2425264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425300 */     // MIs[1] Operand 1
     /* 2425300 */     // No operand predicates
     /* 2425300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425304 */     // MIs[0] policy
     /* 2425304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425316 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2425319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425341 */     // GIR_Coverage, 45444,
     /* 2425341 */     GIR_EraseRootFromParent_Done,
     /* 2425342 */   // Label 35083: @2425342
     /* 2425342 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2425425), // Rule ID 45445 //
     /* 2425347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425383 */     // MIs[1] Operand 1
     /* 2425383 */     // No operand predicates
     /* 2425383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425387 */     // MIs[0] policy
     /* 2425387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425399 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2425402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425424 */     // GIR_Coverage, 45445,
     /* 2425424 */     GIR_EraseRootFromParent_Done,
     /* 2425425 */   // Label 35084: @2425425
     /* 2425425 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2425497), // Rule ID 45446 //
     /* 2425430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425462 */     // MIs[0] policy
     /* 2425462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425472 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2425475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425496 */     // GIR_Coverage, 45446,
     /* 2425496 */     GIR_EraseRootFromParent_Done,
     /* 2425497 */   // Label 35085: @2425497
     /* 2425497 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2425569), // Rule ID 45447 //
     /* 2425502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425534 */     // MIs[0] policy
     /* 2425534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425544 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2425547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425568 */     // GIR_Coverage, 45447,
     /* 2425568 */     GIR_EraseRootFromParent_Done,
     /* 2425569 */   // Label 35086: @2425569
     /* 2425569 */   GIM_Reject,
     /* 2425570 */ // Label 35082: @2425570
     /* 2425570 */ GIM_Reject,
     /* 2425571 */ // Label 35004: @2425571
     /* 2425571 */ GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2426203),
     /* 2425576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2425579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2425582 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2425665), // Rule ID 45464 //
     /* 2425587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425623 */     // MIs[1] Operand 1
     /* 2425623 */     // No operand predicates
     /* 2425623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425627 */     // MIs[0] policy
     /* 2425627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425639 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2425642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425664 */     // GIR_Coverage, 45464,
     /* 2425664 */     GIR_EraseRootFromParent_Done,
     /* 2425665 */   // Label 35088: @2425665
     /* 2425665 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2425748), // Rule ID 45465 //
     /* 2425670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425706 */     // MIs[1] Operand 1
     /* 2425706 */     // No operand predicates
     /* 2425706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425710 */     // MIs[0] policy
     /* 2425710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425722 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2425725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425747 */     // GIR_Coverage, 45465,
     /* 2425747 */     GIR_EraseRootFromParent_Done,
     /* 2425748 */   // Label 35089: @2425748
     /* 2425748 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2425831), // Rule ID 45536 //
     /* 2425753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425789 */     // MIs[1] Operand 1
     /* 2425789 */     // No operand predicates
     /* 2425789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425793 */     // MIs[0] policy
     /* 2425793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425805 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2425808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425830 */     // GIR_Coverage, 45536,
     /* 2425830 */     GIR_EraseRootFromParent_Done,
     /* 2425831 */   // Label 35090: @2425831
     /* 2425831 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2425914), // Rule ID 45537 //
     /* 2425836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425872 */     // MIs[1] Operand 1
     /* 2425872 */     // No operand predicates
     /* 2425872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425876 */     // MIs[0] policy
     /* 2425876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425888 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2425891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425913 */     // GIR_Coverage, 45537,
     /* 2425913 */     GIR_EraseRootFromParent_Done,
     /* 2425914 */   // Label 35091: @2425914
     /* 2425914 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2425986), // Rule ID 45466 //
     /* 2425919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425951 */     // MIs[0] policy
     /* 2425951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425961 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2425964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425985 */     // GIR_Coverage, 45466,
     /* 2425985 */     GIR_EraseRootFromParent_Done,
     /* 2425986 */   // Label 35092: @2425986
     /* 2425986 */   GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2426058), // Rule ID 45467 //
     /* 2425991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426023 */     // MIs[0] policy
     /* 2426023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426033 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2426036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426057 */     // GIR_Coverage, 45467,
     /* 2426057 */     GIR_EraseRootFromParent_Done,
     /* 2426058 */   // Label 35093: @2426058
     /* 2426058 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2426130), // Rule ID 45538 //
     /* 2426063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426095 */     // MIs[0] policy
     /* 2426095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426105 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2426108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426129 */     // GIR_Coverage, 45538,
     /* 2426129 */     GIR_EraseRootFromParent_Done,
     /* 2426130 */   // Label 35094: @2426130
     /* 2426130 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2426202), // Rule ID 45539 //
     /* 2426135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426167 */     // MIs[0] policy
     /* 2426167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426177 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2426180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426201 */     // GIR_Coverage, 45539,
     /* 2426201 */     GIR_EraseRootFromParent_Done,
     /* 2426202 */   // Label 35095: @2426202
     /* 2426202 */   GIM_Reject,
     /* 2426203 */ // Label 35087: @2426203
     /* 2426203 */ GIM_Reject,
     /* 2426204 */ // Label 35005: @2426204
     /* 2426204 */ GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2426836),
     /* 2426209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2426212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2426215 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2426298), // Rule ID 45500 //
     /* 2426220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426256 */     // MIs[1] Operand 1
     /* 2426256 */     // No operand predicates
     /* 2426256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426260 */     // MIs[0] policy
     /* 2426260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426272 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2426275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426297 */     // GIR_Coverage, 45500,
     /* 2426297 */     GIR_EraseRootFromParent_Done,
     /* 2426298 */   // Label 35097: @2426298
     /* 2426298 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2426381), // Rule ID 45501 //
     /* 2426303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426339 */     // MIs[1] Operand 1
     /* 2426339 */     // No operand predicates
     /* 2426339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426343 */     // MIs[0] policy
     /* 2426343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426355 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2426358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426380 */     // GIR_Coverage, 45501,
     /* 2426380 */     GIR_EraseRootFromParent_Done,
     /* 2426381 */   // Label 35098: @2426381
     /* 2426381 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2426464), // Rule ID 45560 //
     /* 2426386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426422 */     // MIs[1] Operand 1
     /* 2426422 */     // No operand predicates
     /* 2426422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426426 */     // MIs[0] policy
     /* 2426426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426438 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2426441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426463 */     // GIR_Coverage, 45560,
     /* 2426463 */     GIR_EraseRootFromParent_Done,
     /* 2426464 */   // Label 35099: @2426464
     /* 2426464 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2426547), // Rule ID 45561 //
     /* 2426469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426505 */     // MIs[1] Operand 1
     /* 2426505 */     // No operand predicates
     /* 2426505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426509 */     // MIs[0] policy
     /* 2426509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426521 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2426524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426546 */     // GIR_Coverage, 45561,
     /* 2426546 */     GIR_EraseRootFromParent_Done,
     /* 2426547 */   // Label 35100: @2426547
     /* 2426547 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2426619), // Rule ID 45502 //
     /* 2426552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426584 */     // MIs[0] policy
     /* 2426584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426594 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2426597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426618 */     // GIR_Coverage, 45502,
     /* 2426618 */     GIR_EraseRootFromParent_Done,
     /* 2426619 */   // Label 35101: @2426619
     /* 2426619 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2426691), // Rule ID 45503 //
     /* 2426624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426656 */     // MIs[0] policy
     /* 2426656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426666 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2426669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426690 */     // GIR_Coverage, 45503,
     /* 2426690 */     GIR_EraseRootFromParent_Done,
     /* 2426691 */   // Label 35102: @2426691
     /* 2426691 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2426763), // Rule ID 45562 //
     /* 2426696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426728 */     // MIs[0] policy
     /* 2426728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426738 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2426741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426762 */     // GIR_Coverage, 45562,
     /* 2426762 */     GIR_EraseRootFromParent_Done,
     /* 2426763 */   // Label 35103: @2426763
     /* 2426763 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2426835), // Rule ID 45563 //
     /* 2426768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426800 */     // MIs[0] policy
     /* 2426800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426810 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2426813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426834 */     // GIR_Coverage, 45563,
     /* 2426834 */     GIR_EraseRootFromParent_Done,
     /* 2426835 */   // Label 35104: @2426835
     /* 2426835 */   GIM_Reject,
     /* 2426836 */ // Label 35096: @2426836
     /* 2426836 */ GIM_Reject,
     /* 2426837 */ // Label 35006: @2426837
     /* 2426837 */ GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2427469),
     /* 2426842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2426845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2426848 */   GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2426931), // Rule ID 45516 //
     /* 2426853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426889 */     // MIs[1] Operand 1
     /* 2426889 */     // No operand predicates
     /* 2426889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426893 */     // MIs[0] policy
     /* 2426893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426905 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2426908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426930 */     // GIR_Coverage, 45516,
     /* 2426930 */     GIR_EraseRootFromParent_Done,
     /* 2426931 */   // Label 35106: @2426931
     /* 2426931 */   GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2427014), // Rule ID 45517 //
     /* 2426936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426972 */     // MIs[1] Operand 1
     /* 2426972 */     // No operand predicates
     /* 2426972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426976 */     // MIs[0] policy
     /* 2426976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426988 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2426991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427013 */     // GIR_Coverage, 45517,
     /* 2427013 */     GIR_EraseRootFromParent_Done,
     /* 2427014 */   // Label 35107: @2427014
     /* 2427014 */   GIM_Try, /*On fail goto*//*Label 35108*/ GIMT_Encode4(2427097), // Rule ID 45576 //
     /* 2427019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427055 */     // MIs[1] Operand 1
     /* 2427055 */     // No operand predicates
     /* 2427055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427059 */     // MIs[0] policy
     /* 2427059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427071 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2427074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427096 */     // GIR_Coverage, 45576,
     /* 2427096 */     GIR_EraseRootFromParent_Done,
     /* 2427097 */   // Label 35108: @2427097
     /* 2427097 */   GIM_Try, /*On fail goto*//*Label 35109*/ GIMT_Encode4(2427180), // Rule ID 45577 //
     /* 2427102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427138 */     // MIs[1] Operand 1
     /* 2427138 */     // No operand predicates
     /* 2427138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427142 */     // MIs[0] policy
     /* 2427142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427154 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2427157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427179 */     // GIR_Coverage, 45577,
     /* 2427179 */     GIR_EraseRootFromParent_Done,
     /* 2427180 */   // Label 35109: @2427180
     /* 2427180 */   GIM_Try, /*On fail goto*//*Label 35110*/ GIMT_Encode4(2427252), // Rule ID 45518 //
     /* 2427185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427217 */     // MIs[0] policy
     /* 2427217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427227 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2427230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427251 */     // GIR_Coverage, 45518,
     /* 2427251 */     GIR_EraseRootFromParent_Done,
     /* 2427252 */   // Label 35110: @2427252
     /* 2427252 */   GIM_Try, /*On fail goto*//*Label 35111*/ GIMT_Encode4(2427324), // Rule ID 45519 //
     /* 2427257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427289 */     // MIs[0] policy
     /* 2427289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427299 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2427302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427323 */     // GIR_Coverage, 45519,
     /* 2427323 */     GIR_EraseRootFromParent_Done,
     /* 2427324 */   // Label 35111: @2427324
     /* 2427324 */   GIM_Try, /*On fail goto*//*Label 35112*/ GIMT_Encode4(2427396), // Rule ID 45578 //
     /* 2427329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427361 */     // MIs[0] policy
     /* 2427361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427371 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2427374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427395 */     // GIR_Coverage, 45578,
     /* 2427395 */     GIR_EraseRootFromParent_Done,
     /* 2427396 */   // Label 35112: @2427396
     /* 2427396 */   GIM_Try, /*On fail goto*//*Label 35113*/ GIMT_Encode4(2427468), // Rule ID 45579 //
     /* 2427401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2427410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427433 */     // MIs[0] policy
     /* 2427433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427443 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2427446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427467 */     // GIR_Coverage, 45579,
     /* 2427467 */     GIR_EraseRootFromParent_Done,
     /* 2427468 */   // Label 35113: @2427468
     /* 2427468 */   GIM_Reject,
     /* 2427469 */ // Label 35105: @2427469
     /* 2427469 */ GIM_Reject,
     /* 2427470 */ // Label 35007: @2427470
     /* 2427470 */ GIM_Try, /*On fail goto*//*Label 35114*/ GIMT_Encode4(2427792),
     /* 2427475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2427478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2427481 */   GIM_Try, /*On fail goto*//*Label 35115*/ GIMT_Encode4(2427564), // Rule ID 45460 //
     /* 2427486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427522 */     // MIs[1] Operand 1
     /* 2427522 */     // No operand predicates
     /* 2427522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427526 */     // MIs[0] policy
     /* 2427526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427538 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2427541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427563 */     // GIR_Coverage, 45460,
     /* 2427563 */     GIR_EraseRootFromParent_Done,
     /* 2427564 */   // Label 35115: @2427564
     /* 2427564 */   GIM_Try, /*On fail goto*//*Label 35116*/ GIMT_Encode4(2427647), // Rule ID 45461 //
     /* 2427569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427605 */     // MIs[1] Operand 1
     /* 2427605 */     // No operand predicates
     /* 2427605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427609 */     // MIs[0] policy
     /* 2427609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427621 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2427624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427646 */     // GIR_Coverage, 45461,
     /* 2427646 */     GIR_EraseRootFromParent_Done,
     /* 2427647 */   // Label 35116: @2427647
     /* 2427647 */   GIM_Try, /*On fail goto*//*Label 35117*/ GIMT_Encode4(2427719), // Rule ID 45462 //
     /* 2427652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427684 */     // MIs[0] policy
     /* 2427684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427694 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2427697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427718 */     // GIR_Coverage, 45462,
     /* 2427718 */     GIR_EraseRootFromParent_Done,
     /* 2427719 */   // Label 35117: @2427719
     /* 2427719 */   GIM_Try, /*On fail goto*//*Label 35118*/ GIMT_Encode4(2427791), // Rule ID 45463 //
     /* 2427724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427756 */     // MIs[0] policy
     /* 2427756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427766 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2427769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427790 */     // GIR_Coverage, 45463,
     /* 2427790 */     GIR_EraseRootFromParent_Done,
     /* 2427791 */   // Label 35118: @2427791
     /* 2427791 */   GIM_Reject,
     /* 2427792 */ // Label 35114: @2427792
     /* 2427792 */ GIM_Reject,
     /* 2427793 */ // Label 35008: @2427793
     /* 2427793 */ GIM_Try, /*On fail goto*//*Label 35119*/ GIMT_Encode4(2428425),
     /* 2427798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2427801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2427804 */   GIM_Try, /*On fail goto*//*Label 35120*/ GIMT_Encode4(2427887), // Rule ID 45488 //
     /* 2427809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427845 */     // MIs[1] Operand 1
     /* 2427845 */     // No operand predicates
     /* 2427845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427849 */     // MIs[0] policy
     /* 2427849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427861 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2427864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427886 */     // GIR_Coverage, 45488,
     /* 2427886 */     GIR_EraseRootFromParent_Done,
     /* 2427887 */   // Label 35120: @2427887
     /* 2427887 */   GIM_Try, /*On fail goto*//*Label 35121*/ GIMT_Encode4(2427970), // Rule ID 45489 //
     /* 2427892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427928 */     // MIs[1] Operand 1
     /* 2427928 */     // No operand predicates
     /* 2427928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427932 */     // MIs[0] policy
     /* 2427932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427944 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2427947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427969 */     // GIR_Coverage, 45489,
     /* 2427969 */     GIR_EraseRootFromParent_Done,
     /* 2427970 */   // Label 35121: @2427970
     /* 2427970 */   GIM_Try, /*On fail goto*//*Label 35122*/ GIMT_Encode4(2428053), // Rule ID 45548 //
     /* 2427975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428011 */     // MIs[1] Operand 1
     /* 2428011 */     // No operand predicates
     /* 2428011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428015 */     // MIs[0] policy
     /* 2428015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428027 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2428030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428052 */     // GIR_Coverage, 45548,
     /* 2428052 */     GIR_EraseRootFromParent_Done,
     /* 2428053 */   // Label 35122: @2428053
     /* 2428053 */   GIM_Try, /*On fail goto*//*Label 35123*/ GIMT_Encode4(2428136), // Rule ID 45549 //
     /* 2428058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428094 */     // MIs[1] Operand 1
     /* 2428094 */     // No operand predicates
     /* 2428094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428098 */     // MIs[0] policy
     /* 2428098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428110 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2428113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428135 */     // GIR_Coverage, 45549,
     /* 2428135 */     GIR_EraseRootFromParent_Done,
     /* 2428136 */   // Label 35123: @2428136
     /* 2428136 */   GIM_Try, /*On fail goto*//*Label 35124*/ GIMT_Encode4(2428208), // Rule ID 45490 //
     /* 2428141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428173 */     // MIs[0] policy
     /* 2428173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428183 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2428186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428207 */     // GIR_Coverage, 45490,
     /* 2428207 */     GIR_EraseRootFromParent_Done,
     /* 2428208 */   // Label 35124: @2428208
     /* 2428208 */   GIM_Try, /*On fail goto*//*Label 35125*/ GIMT_Encode4(2428280), // Rule ID 45491 //
     /* 2428213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428245 */     // MIs[0] policy
     /* 2428245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428255 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2428258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428279 */     // GIR_Coverage, 45491,
     /* 2428279 */     GIR_EraseRootFromParent_Done,
     /* 2428280 */   // Label 35125: @2428280
     /* 2428280 */   GIM_Try, /*On fail goto*//*Label 35126*/ GIMT_Encode4(2428352), // Rule ID 45550 //
     /* 2428285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428317 */     // MIs[0] policy
     /* 2428317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428327 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2428330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428351 */     // GIR_Coverage, 45550,
     /* 2428351 */     GIR_EraseRootFromParent_Done,
     /* 2428352 */   // Label 35126: @2428352
     /* 2428352 */   GIM_Try, /*On fail goto*//*Label 35127*/ GIMT_Encode4(2428424), // Rule ID 45551 //
     /* 2428357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428389 */     // MIs[0] policy
     /* 2428389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428399 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2428402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428423 */     // GIR_Coverage, 45551,
     /* 2428423 */     GIR_EraseRootFromParent_Done,
     /* 2428424 */   // Label 35127: @2428424
     /* 2428424 */   GIM_Reject,
     /* 2428425 */ // Label 35119: @2428425
     /* 2428425 */ GIM_Reject,
     /* 2428426 */ // Label 35009: @2428426
     /* 2428426 */ GIM_Try, /*On fail goto*//*Label 35128*/ GIMT_Encode4(2429058),
     /* 2428431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2428434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2428437 */   GIM_Try, /*On fail goto*//*Label 35129*/ GIMT_Encode4(2428520), // Rule ID 45504 //
     /* 2428442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428478 */     // MIs[1] Operand 1
     /* 2428478 */     // No operand predicates
     /* 2428478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428482 */     // MIs[0] policy
     /* 2428482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428494 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2428497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428519 */     // GIR_Coverage, 45504,
     /* 2428519 */     GIR_EraseRootFromParent_Done,
     /* 2428520 */   // Label 35129: @2428520
     /* 2428520 */   GIM_Try, /*On fail goto*//*Label 35130*/ GIMT_Encode4(2428603), // Rule ID 45505 //
     /* 2428525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428561 */     // MIs[1] Operand 1
     /* 2428561 */     // No operand predicates
     /* 2428561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428565 */     // MIs[0] policy
     /* 2428565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428577 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2428580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428602 */     // GIR_Coverage, 45505,
     /* 2428602 */     GIR_EraseRootFromParent_Done,
     /* 2428603 */   // Label 35130: @2428603
     /* 2428603 */   GIM_Try, /*On fail goto*//*Label 35131*/ GIMT_Encode4(2428686), // Rule ID 45564 //
     /* 2428608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428644 */     // MIs[1] Operand 1
     /* 2428644 */     // No operand predicates
     /* 2428644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428648 */     // MIs[0] policy
     /* 2428648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428660 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2428663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428685 */     // GIR_Coverage, 45564,
     /* 2428685 */     GIR_EraseRootFromParent_Done,
     /* 2428686 */   // Label 35131: @2428686
     /* 2428686 */   GIM_Try, /*On fail goto*//*Label 35132*/ GIMT_Encode4(2428769), // Rule ID 45565 //
     /* 2428691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428727 */     // MIs[1] Operand 1
     /* 2428727 */     // No operand predicates
     /* 2428727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428731 */     // MIs[0] policy
     /* 2428731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428743 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2428746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428768 */     // GIR_Coverage, 45565,
     /* 2428768 */     GIR_EraseRootFromParent_Done,
     /* 2428769 */   // Label 35132: @2428769
     /* 2428769 */   GIM_Try, /*On fail goto*//*Label 35133*/ GIMT_Encode4(2428841), // Rule ID 45506 //
     /* 2428774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428806 */     // MIs[0] policy
     /* 2428806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428816 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2428819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428840 */     // GIR_Coverage, 45506,
     /* 2428840 */     GIR_EraseRootFromParent_Done,
     /* 2428841 */   // Label 35133: @2428841
     /* 2428841 */   GIM_Try, /*On fail goto*//*Label 35134*/ GIMT_Encode4(2428913), // Rule ID 45507 //
     /* 2428846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428878 */     // MIs[0] policy
     /* 2428878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428888 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2428891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428912 */     // GIR_Coverage, 45507,
     /* 2428912 */     GIR_EraseRootFromParent_Done,
     /* 2428913 */   // Label 35134: @2428913
     /* 2428913 */   GIM_Try, /*On fail goto*//*Label 35135*/ GIMT_Encode4(2428985), // Rule ID 45566 //
     /* 2428918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428950 */     // MIs[0] policy
     /* 2428950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428960 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2428963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428984 */     // GIR_Coverage, 45566,
     /* 2428984 */     GIR_EraseRootFromParent_Done,
     /* 2428985 */   // Label 35135: @2428985
     /* 2428985 */   GIM_Try, /*On fail goto*//*Label 35136*/ GIMT_Encode4(2429057), // Rule ID 45567 //
     /* 2428990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429022 */     // MIs[0] policy
     /* 2429022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429032 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2429035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429056 */     // GIR_Coverage, 45567,
     /* 2429056 */     GIR_EraseRootFromParent_Done,
     /* 2429057 */   // Label 35136: @2429057
     /* 2429057 */   GIM_Reject,
     /* 2429058 */ // Label 35128: @2429058
     /* 2429058 */ GIM_Reject,
     /* 2429059 */ // Label 35010: @2429059
     /* 2429059 */ GIM_Try, /*On fail goto*//*Label 35137*/ GIMT_Encode4(2429691),
     /* 2429064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2429070 */   GIM_Try, /*On fail goto*//*Label 35138*/ GIMT_Encode4(2429153), // Rule ID 45520 //
     /* 2429075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429111 */     // MIs[1] Operand 1
     /* 2429111 */     // No operand predicates
     /* 2429111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429115 */     // MIs[0] policy
     /* 2429115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429127 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2429130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429152 */     // GIR_Coverage, 45520,
     /* 2429152 */     GIR_EraseRootFromParent_Done,
     /* 2429153 */   // Label 35138: @2429153
     /* 2429153 */   GIM_Try, /*On fail goto*//*Label 35139*/ GIMT_Encode4(2429236), // Rule ID 45521 //
     /* 2429158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429194 */     // MIs[1] Operand 1
     /* 2429194 */     // No operand predicates
     /* 2429194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429198 */     // MIs[0] policy
     /* 2429198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429210 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2429213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429235 */     // GIR_Coverage, 45521,
     /* 2429235 */     GIR_EraseRootFromParent_Done,
     /* 2429236 */   // Label 35139: @2429236
     /* 2429236 */   GIM_Try, /*On fail goto*//*Label 35140*/ GIMT_Encode4(2429319), // Rule ID 45580 //
     /* 2429241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429277 */     // MIs[1] Operand 1
     /* 2429277 */     // No operand predicates
     /* 2429277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429281 */     // MIs[0] policy
     /* 2429281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429293 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2429296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429318 */     // GIR_Coverage, 45580,
     /* 2429318 */     GIR_EraseRootFromParent_Done,
     /* 2429319 */   // Label 35140: @2429319
     /* 2429319 */   GIM_Try, /*On fail goto*//*Label 35141*/ GIMT_Encode4(2429402), // Rule ID 45581 //
     /* 2429324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429360 */     // MIs[1] Operand 1
     /* 2429360 */     // No operand predicates
     /* 2429360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429364 */     // MIs[0] policy
     /* 2429364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429376 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2429379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429401 */     // GIR_Coverage, 45581,
     /* 2429401 */     GIR_EraseRootFromParent_Done,
     /* 2429402 */   // Label 35141: @2429402
     /* 2429402 */   GIM_Try, /*On fail goto*//*Label 35142*/ GIMT_Encode4(2429474), // Rule ID 45522 //
     /* 2429407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429439 */     // MIs[0] policy
     /* 2429439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429449 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2429452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429473 */     // GIR_Coverage, 45522,
     /* 2429473 */     GIR_EraseRootFromParent_Done,
     /* 2429474 */   // Label 35142: @2429474
     /* 2429474 */   GIM_Try, /*On fail goto*//*Label 35143*/ GIMT_Encode4(2429546), // Rule ID 45523 //
     /* 2429479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429511 */     // MIs[0] policy
     /* 2429511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429521 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2429524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429545 */     // GIR_Coverage, 45523,
     /* 2429545 */     GIR_EraseRootFromParent_Done,
     /* 2429546 */   // Label 35143: @2429546
     /* 2429546 */   GIM_Try, /*On fail goto*//*Label 35144*/ GIMT_Encode4(2429618), // Rule ID 45582 //
     /* 2429551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429583 */     // MIs[0] policy
     /* 2429583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429593 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2429596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429617 */     // GIR_Coverage, 45582,
     /* 2429617 */     GIR_EraseRootFromParent_Done,
     /* 2429618 */   // Label 35144: @2429618
     /* 2429618 */   GIM_Try, /*On fail goto*//*Label 35145*/ GIMT_Encode4(2429690), // Rule ID 45583 //
     /* 2429623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2429632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429655 */     // MIs[0] policy
     /* 2429655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429665 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2429668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429689 */     // GIR_Coverage, 45583,
     /* 2429689 */     GIR_EraseRootFromParent_Done,
     /* 2429690 */   // Label 35145: @2429690
     /* 2429690 */   GIM_Reject,
     /* 2429691 */ // Label 35137: @2429691
     /* 2429691 */ GIM_Reject,
     /* 2429692 */ // Label 35011: @2429692
     /* 2429692 */ GIM_Try, /*On fail goto*//*Label 35146*/ GIMT_Encode4(2430014),
     /* 2429697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2429700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2429703 */   GIM_Try, /*On fail goto*//*Label 35147*/ GIMT_Encode4(2429786), // Rule ID 45476 //
     /* 2429708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2429724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429744 */     // MIs[1] Operand 1
     /* 2429744 */     // No operand predicates
     /* 2429744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429748 */     // MIs[0] policy
     /* 2429748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429760 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2429763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429785 */     // GIR_Coverage, 45476,
     /* 2429785 */     GIR_EraseRootFromParent_Done,
     /* 2429786 */   // Label 35147: @2429786
     /* 2429786 */   GIM_Try, /*On fail goto*//*Label 35148*/ GIMT_Encode4(2429869), // Rule ID 45477 //
     /* 2429791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2429807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429827 */     // MIs[1] Operand 1
     /* 2429827 */     // No operand predicates
     /* 2429827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429831 */     // MIs[0] policy
     /* 2429831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429843 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2429846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429868 */     // GIR_Coverage, 45477,
     /* 2429868 */     GIR_EraseRootFromParent_Done,
     /* 2429869 */   // Label 35148: @2429869
     /* 2429869 */   GIM_Try, /*On fail goto*//*Label 35149*/ GIMT_Encode4(2429941), // Rule ID 45478 //
     /* 2429874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2429890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429906 */     // MIs[0] policy
     /* 2429906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429916 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2429919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429940 */     // GIR_Coverage, 45478,
     /* 2429940 */     GIR_EraseRootFromParent_Done,
     /* 2429941 */   // Label 35149: @2429941
     /* 2429941 */   GIM_Try, /*On fail goto*//*Label 35150*/ GIMT_Encode4(2430013), // Rule ID 45479 //
     /* 2429946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2429962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429978 */     // MIs[0] policy
     /* 2429978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429988 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2429991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430012 */     // GIR_Coverage, 45479,
     /* 2430012 */     GIR_EraseRootFromParent_Done,
     /* 2430013 */   // Label 35150: @2430013
     /* 2430013 */   GIM_Reject,
     /* 2430014 */ // Label 35146: @2430014
     /* 2430014 */ GIM_Reject,
     /* 2430015 */ // Label 35012: @2430015
     /* 2430015 */ GIM_Try, /*On fail goto*//*Label 35151*/ GIMT_Encode4(2430647),
     /* 2430020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2430023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2430026 */   GIM_Try, /*On fail goto*//*Label 35152*/ GIMT_Encode4(2430109), // Rule ID 45492 //
     /* 2430031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430067 */     // MIs[1] Operand 1
     /* 2430067 */     // No operand predicates
     /* 2430067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430071 */     // MIs[0] policy
     /* 2430071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430083 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2430086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430108 */     // GIR_Coverage, 45492,
     /* 2430108 */     GIR_EraseRootFromParent_Done,
     /* 2430109 */   // Label 35152: @2430109
     /* 2430109 */   GIM_Try, /*On fail goto*//*Label 35153*/ GIMT_Encode4(2430192), // Rule ID 45493 //
     /* 2430114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430150 */     // MIs[1] Operand 1
     /* 2430150 */     // No operand predicates
     /* 2430150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430154 */     // MIs[0] policy
     /* 2430154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430166 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2430169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430191 */     // GIR_Coverage, 45493,
     /* 2430191 */     GIR_EraseRootFromParent_Done,
     /* 2430192 */   // Label 35153: @2430192
     /* 2430192 */   GIM_Try, /*On fail goto*//*Label 35154*/ GIMT_Encode4(2430275), // Rule ID 45552 //
     /* 2430197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430233 */     // MIs[1] Operand 1
     /* 2430233 */     // No operand predicates
     /* 2430233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430237 */     // MIs[0] policy
     /* 2430237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430249 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2430252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430274 */     // GIR_Coverage, 45552,
     /* 2430274 */     GIR_EraseRootFromParent_Done,
     /* 2430275 */   // Label 35154: @2430275
     /* 2430275 */   GIM_Try, /*On fail goto*//*Label 35155*/ GIMT_Encode4(2430358), // Rule ID 45553 //
     /* 2430280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430316 */     // MIs[1] Operand 1
     /* 2430316 */     // No operand predicates
     /* 2430316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430320 */     // MIs[0] policy
     /* 2430320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430332 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2430335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430357 */     // GIR_Coverage, 45553,
     /* 2430357 */     GIR_EraseRootFromParent_Done,
     /* 2430358 */   // Label 35155: @2430358
     /* 2430358 */   GIM_Try, /*On fail goto*//*Label 35156*/ GIMT_Encode4(2430430), // Rule ID 45494 //
     /* 2430363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430395 */     // MIs[0] policy
     /* 2430395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430405 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2430408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430429 */     // GIR_Coverage, 45494,
     /* 2430429 */     GIR_EraseRootFromParent_Done,
     /* 2430430 */   // Label 35156: @2430430
     /* 2430430 */   GIM_Try, /*On fail goto*//*Label 35157*/ GIMT_Encode4(2430502), // Rule ID 45495 //
     /* 2430435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430467 */     // MIs[0] policy
     /* 2430467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430477 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2430480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430501 */     // GIR_Coverage, 45495,
     /* 2430501 */     GIR_EraseRootFromParent_Done,
     /* 2430502 */   // Label 35157: @2430502
     /* 2430502 */   GIM_Try, /*On fail goto*//*Label 35158*/ GIMT_Encode4(2430574), // Rule ID 45554 //
     /* 2430507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430539 */     // MIs[0] policy
     /* 2430539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430549 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2430552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430573 */     // GIR_Coverage, 45554,
     /* 2430573 */     GIR_EraseRootFromParent_Done,
     /* 2430574 */   // Label 35158: @2430574
     /* 2430574 */   GIM_Try, /*On fail goto*//*Label 35159*/ GIMT_Encode4(2430646), // Rule ID 45555 //
     /* 2430579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430611 */     // MIs[0] policy
     /* 2430611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430621 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2430624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430645 */     // GIR_Coverage, 45555,
     /* 2430645 */     GIR_EraseRootFromParent_Done,
     /* 2430646 */   // Label 35159: @2430646
     /* 2430646 */   GIM_Reject,
     /* 2430647 */ // Label 35151: @2430647
     /* 2430647 */ GIM_Reject,
     /* 2430648 */ // Label 35013: @2430648
     /* 2430648 */ GIM_Try, /*On fail goto*//*Label 35160*/ GIMT_Encode4(2431280),
     /* 2430653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2430656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2430659 */   GIM_Try, /*On fail goto*//*Label 35161*/ GIMT_Encode4(2430742), // Rule ID 45508 //
     /* 2430664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430700 */     // MIs[1] Operand 1
     /* 2430700 */     // No operand predicates
     /* 2430700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430704 */     // MIs[0] policy
     /* 2430704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430716 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2430719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430741 */     // GIR_Coverage, 45508,
     /* 2430741 */     GIR_EraseRootFromParent_Done,
     /* 2430742 */   // Label 35161: @2430742
     /* 2430742 */   GIM_Try, /*On fail goto*//*Label 35162*/ GIMT_Encode4(2430825), // Rule ID 45509 //
     /* 2430747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430783 */     // MIs[1] Operand 1
     /* 2430783 */     // No operand predicates
     /* 2430783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430787 */     // MIs[0] policy
     /* 2430787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430799 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2430802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430824 */     // GIR_Coverage, 45509,
     /* 2430824 */     GIR_EraseRootFromParent_Done,
     /* 2430825 */   // Label 35162: @2430825
     /* 2430825 */   GIM_Try, /*On fail goto*//*Label 35163*/ GIMT_Encode4(2430908), // Rule ID 45568 //
     /* 2430830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430866 */     // MIs[1] Operand 1
     /* 2430866 */     // No operand predicates
     /* 2430866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430870 */     // MIs[0] policy
     /* 2430870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430882 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2430885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430907 */     // GIR_Coverage, 45568,
     /* 2430907 */     GIR_EraseRootFromParent_Done,
     /* 2430908 */   // Label 35163: @2430908
     /* 2430908 */   GIM_Try, /*On fail goto*//*Label 35164*/ GIMT_Encode4(2430991), // Rule ID 45569 //
     /* 2430913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2430922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430949 */     // MIs[1] Operand 1
     /* 2430949 */     // No operand predicates
     /* 2430949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430953 */     // MIs[0] policy
     /* 2430953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430965 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2430968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430990 */     // GIR_Coverage, 45569,
     /* 2430990 */     GIR_EraseRootFromParent_Done,
     /* 2430991 */   // Label 35164: @2430991
     /* 2430991 */   GIM_Try, /*On fail goto*//*Label 35165*/ GIMT_Encode4(2431063), // Rule ID 45510 //
     /* 2430996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2431005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431028 */     // MIs[0] policy
     /* 2431028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431038 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2431041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431062 */     // GIR_Coverage, 45510,
     /* 2431062 */     GIR_EraseRootFromParent_Done,
     /* 2431063 */   // Label 35165: @2431063
     /* 2431063 */   GIM_Try, /*On fail goto*//*Label 35166*/ GIMT_Encode4(2431135), // Rule ID 45511 //
     /* 2431068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2431077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431100 */     // MIs[0] policy
     /* 2431100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431110 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2431113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431134 */     // GIR_Coverage, 45511,
     /* 2431134 */     GIR_EraseRootFromParent_Done,
     /* 2431135 */   // Label 35166: @2431135
     /* 2431135 */   GIM_Try, /*On fail goto*//*Label 35167*/ GIMT_Encode4(2431207), // Rule ID 45570 //
     /* 2431140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2431149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431172 */     // MIs[0] policy
     /* 2431172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431182 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2431185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431206 */     // GIR_Coverage, 45570,
     /* 2431206 */     GIR_EraseRootFromParent_Done,
     /* 2431207 */   // Label 35167: @2431207
     /* 2431207 */   GIM_Try, /*On fail goto*//*Label 35168*/ GIMT_Encode4(2431279), // Rule ID 45571 //
     /* 2431212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2431221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431244 */     // MIs[0] policy
     /* 2431244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431254 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2431257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431278 */     // GIR_Coverage, 45571,
     /* 2431278 */     GIR_EraseRootFromParent_Done,
     /* 2431279 */   // Label 35168: @2431279
     /* 2431279 */   GIM_Reject,
     /* 2431280 */ // Label 35160: @2431280
     /* 2431280 */ GIM_Reject,
     /* 2431281 */ // Label 35014: @2431281
     /* 2431281 */ GIM_Try, /*On fail goto*//*Label 35169*/ GIMT_Encode4(2431603),
     /* 2431286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2431289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2431292 */   GIM_Try, /*On fail goto*//*Label 35170*/ GIMT_Encode4(2431375), // Rule ID 45480 //
     /* 2431297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2431313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431333 */     // MIs[1] Operand 1
     /* 2431333 */     // No operand predicates
     /* 2431333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431337 */     // MIs[0] policy
     /* 2431337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431349 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2431352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431374 */     // GIR_Coverage, 45480,
     /* 2431374 */     GIR_EraseRootFromParent_Done,
     /* 2431375 */   // Label 35170: @2431375
     /* 2431375 */   GIM_Try, /*On fail goto*//*Label 35171*/ GIMT_Encode4(2431458), // Rule ID 45481 //
     /* 2431380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2431396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431416 */     // MIs[1] Operand 1
     /* 2431416 */     // No operand predicates
     /* 2431416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431420 */     // MIs[0] policy
     /* 2431420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431432 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2431435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431457 */     // GIR_Coverage, 45481,
     /* 2431457 */     GIR_EraseRootFromParent_Done,
     /* 2431458 */   // Label 35171: @2431458
     /* 2431458 */   GIM_Try, /*On fail goto*//*Label 35172*/ GIMT_Encode4(2431530), // Rule ID 45482 //
     /* 2431463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2431479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431495 */     // MIs[0] policy
     /* 2431495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431505 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2431508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431529 */     // GIR_Coverage, 45482,
     /* 2431529 */     GIR_EraseRootFromParent_Done,
     /* 2431530 */   // Label 35172: @2431530
     /* 2431530 */   GIM_Try, /*On fail goto*//*Label 35173*/ GIMT_Encode4(2431602), // Rule ID 45483 //
     /* 2431535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2431551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2431559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431567 */     // MIs[0] policy
     /* 2431567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431577 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2431580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431601 */     // GIR_Coverage, 45483,
     /* 2431601 */     GIR_EraseRootFromParent_Done,
     /* 2431602 */   // Label 35173: @2431602
     /* 2431602 */   GIM_Reject,
     /* 2431603 */ // Label 35169: @2431603
     /* 2431603 */ GIM_Reject,
     /* 2431604 */ // Label 35015: @2431604
     /* 2431604 */ GIM_Try, /*On fail goto*//*Label 35174*/ GIMT_Encode4(2432236),
     /* 2431609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2431612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2431615 */   GIM_Try, /*On fail goto*//*Label 35175*/ GIMT_Encode4(2431698), // Rule ID 45496 //
     /* 2431620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431656 */     // MIs[1] Operand 1
     /* 2431656 */     // No operand predicates
     /* 2431656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431660 */     // MIs[0] policy
     /* 2431660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431672 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2431675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431697 */     // GIR_Coverage, 45496,
     /* 2431697 */     GIR_EraseRootFromParent_Done,
     /* 2431698 */   // Label 35175: @2431698
     /* 2431698 */   GIM_Try, /*On fail goto*//*Label 35176*/ GIMT_Encode4(2431781), // Rule ID 45497 //
     /* 2431703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431739 */     // MIs[1] Operand 1
     /* 2431739 */     // No operand predicates
     /* 2431739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431743 */     // MIs[0] policy
     /* 2431743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431755 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2431758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431780 */     // GIR_Coverage, 45497,
     /* 2431780 */     GIR_EraseRootFromParent_Done,
     /* 2431781 */   // Label 35176: @2431781
     /* 2431781 */   GIM_Try, /*On fail goto*//*Label 35177*/ GIMT_Encode4(2431864), // Rule ID 45556 //
     /* 2431786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431822 */     // MIs[1] Operand 1
     /* 2431822 */     // No operand predicates
     /* 2431822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431826 */     // MIs[0] policy
     /* 2431826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431838 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2431841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431863 */     // GIR_Coverage, 45556,
     /* 2431863 */     GIR_EraseRootFromParent_Done,
     /* 2431864 */   // Label 35177: @2431864
     /* 2431864 */   GIM_Try, /*On fail goto*//*Label 35178*/ GIMT_Encode4(2431947), // Rule ID 45557 //
     /* 2431869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431905 */     // MIs[1] Operand 1
     /* 2431905 */     // No operand predicates
     /* 2431905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431909 */     // MIs[0] policy
     /* 2431909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431921 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2431924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431946 */     // GIR_Coverage, 45557,
     /* 2431946 */     GIR_EraseRootFromParent_Done,
     /* 2431947 */   // Label 35178: @2431947
     /* 2431947 */   GIM_Try, /*On fail goto*//*Label 35179*/ GIMT_Encode4(2432019), // Rule ID 45498 //
     /* 2431952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2431961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431984 */     // MIs[0] policy
     /* 2431984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431994 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2431997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432018 */     // GIR_Coverage, 45498,
     /* 2432018 */     GIR_EraseRootFromParent_Done,
     /* 2432019 */   // Label 35179: @2432019
     /* 2432019 */   GIM_Try, /*On fail goto*//*Label 35180*/ GIMT_Encode4(2432091), // Rule ID 45499 //
     /* 2432024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2432033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432056 */     // MIs[0] policy
     /* 2432056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432066 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2432069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432090 */     // GIR_Coverage, 45499,
     /* 2432090 */     GIR_EraseRootFromParent_Done,
     /* 2432091 */   // Label 35180: @2432091
     /* 2432091 */   GIM_Try, /*On fail goto*//*Label 35181*/ GIMT_Encode4(2432163), // Rule ID 45558 //
     /* 2432096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2432105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432128 */     // MIs[0] policy
     /* 2432128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432138 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2432141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432162 */     // GIR_Coverage, 45558,
     /* 2432162 */     GIR_EraseRootFromParent_Done,
     /* 2432163 */   // Label 35181: @2432163
     /* 2432163 */   GIM_Try, /*On fail goto*//*Label 35182*/ GIMT_Encode4(2432235), // Rule ID 45559 //
     /* 2432168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2432177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432200 */     // MIs[0] policy
     /* 2432200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432210 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2432213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432234 */     // GIR_Coverage, 45559,
     /* 2432234 */     GIR_EraseRootFromParent_Done,
     /* 2432235 */   // Label 35182: @2432235
     /* 2432235 */   GIM_Reject,
     /* 2432236 */ // Label 35174: @2432236
     /* 2432236 */ GIM_Reject,
     /* 2432237 */ // Label 35016: @2432237
     /* 2432237 */ GIM_Try, /*On fail goto*//*Label 35183*/ GIMT_Encode4(2432559),
     /* 2432242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2432245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2432248 */   GIM_Try, /*On fail goto*//*Label 35184*/ GIMT_Encode4(2432331), // Rule ID 45484 //
     /* 2432253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2432262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432289 */     // MIs[1] Operand 1
     /* 2432289 */     // No operand predicates
     /* 2432289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432293 */     // MIs[0] policy
     /* 2432293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432305 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2432308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432330 */     // GIR_Coverage, 45484,
     /* 2432330 */     GIR_EraseRootFromParent_Done,
     /* 2432331 */   // Label 35184: @2432331
     /* 2432331 */   GIM_Try, /*On fail goto*//*Label 35185*/ GIMT_Encode4(2432414), // Rule ID 45485 //
     /* 2432336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2432345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432372 */     // MIs[1] Operand 1
     /* 2432372 */     // No operand predicates
     /* 2432372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432376 */     // MIs[0] policy
     /* 2432376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432388 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2432391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432413 */     // GIR_Coverage, 45485,
     /* 2432413 */     GIR_EraseRootFromParent_Done,
     /* 2432414 */   // Label 35185: @2432414
     /* 2432414 */   GIM_Try, /*On fail goto*//*Label 35186*/ GIMT_Encode4(2432486), // Rule ID 45486 //
     /* 2432419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2432428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432451 */     // MIs[0] policy
     /* 2432451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432461 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2432464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432485 */     // GIR_Coverage, 45486,
     /* 2432485 */     GIR_EraseRootFromParent_Done,
     /* 2432486 */   // Label 35186: @2432486
     /* 2432486 */   GIM_Try, /*On fail goto*//*Label 35187*/ GIMT_Encode4(2432558), // Rule ID 45487 //
     /* 2432491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2432500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2432507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2432515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432523 */     // MIs[0] policy
     /* 2432523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432533 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2432536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432557 */     // GIR_Coverage, 45487,
     /* 2432557 */     GIR_EraseRootFromParent_Done,
     /* 2432558 */   // Label 35187: @2432558
     /* 2432558 */   GIM_Reject,
     /* 2432559 */ // Label 35183: @2432559
     /* 2432559 */ GIM_Reject,
     /* 2432560 */ // Label 35017: @2432560
     /* 2432560 */ GIM_Reject,
     /* 2432561 */ // Label 124: @2432561
     /* 2432561 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35210*/ GIMT_Encode4(2444440),
     /* 2432572 */ /*GILLT_nxv1s8*//*Label 35188*/ GIMT_Encode4(2432684),
     /* 2432576 */ /*GILLT_nxv1s16*//*Label 35189*/ GIMT_Encode4(2433007),
     /* 2432580 */ /*GILLT_nxv1s32*//*Label 35190*/ GIMT_Encode4(2433640),
     /* 2432584 */ /*GILLT_nxv1s64*//*Label 35191*/ GIMT_Encode4(2434273), GIMT_Encode4(0),
     /* 2432592 */ /*GILLT_nxv2s8*//*Label 35192*/ GIMT_Encode4(2434906),
     /* 2432596 */ /*GILLT_nxv2s16*//*Label 35193*/ GIMT_Encode4(2435229),
     /* 2432600 */ /*GILLT_nxv2s32*//*Label 35194*/ GIMT_Encode4(2435862),
     /* 2432604 */ /*GILLT_nxv2s64*//*Label 35195*/ GIMT_Encode4(2436495), GIMT_Encode4(0),
     /* 2432612 */ /*GILLT_nxv4s8*//*Label 35196*/ GIMT_Encode4(2437128),
     /* 2432616 */ /*GILLT_nxv4s16*//*Label 35197*/ GIMT_Encode4(2437451),
     /* 2432620 */ /*GILLT_nxv4s32*//*Label 35198*/ GIMT_Encode4(2438084),
     /* 2432624 */ /*GILLT_nxv4s64*//*Label 35199*/ GIMT_Encode4(2438717), GIMT_Encode4(0),
     /* 2432632 */ /*GILLT_nxv8s8*//*Label 35200*/ GIMT_Encode4(2439350),
     /* 2432636 */ /*GILLT_nxv8s16*//*Label 35201*/ GIMT_Encode4(2439673),
     /* 2432640 */ /*GILLT_nxv8s32*//*Label 35202*/ GIMT_Encode4(2440306),
     /* 2432644 */ /*GILLT_nxv8s64*//*Label 35203*/ GIMT_Encode4(2440939), GIMT_Encode4(0),
     /* 2432652 */ /*GILLT_nxv16s8*//*Label 35204*/ GIMT_Encode4(2441572),
     /* 2432656 */ /*GILLT_nxv16s16*//*Label 35205*/ GIMT_Encode4(2441895),
     /* 2432660 */ /*GILLT_nxv16s32*//*Label 35206*/ GIMT_Encode4(2442528), GIMT_Encode4(0),
     /* 2432668 */ /*GILLT_nxv32s8*//*Label 35207*/ GIMT_Encode4(2443161),
     /* 2432672 */ /*GILLT_nxv32s16*//*Label 35208*/ GIMT_Encode4(2443484), GIMT_Encode4(0),
     /* 2432680 */ /*GILLT_nxv64s8*//*Label 35209*/ GIMT_Encode4(2444117),
     /* 2432684 */ // Label 35188: @2432684
     /* 2432684 */ GIM_Try, /*On fail goto*//*Label 35211*/ GIMT_Encode4(2433006),
     /* 2432689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2432692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2432695 */   GIM_Try, /*On fail goto*//*Label 35212*/ GIMT_Encode4(2432778), // Rule ID 25350 //
     /* 2432700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432736 */     // MIs[1] Operand 1
     /* 2432736 */     // No operand predicates
     /* 2432736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432740 */     // MIs[0] policy
     /* 2432740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432752 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2432755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432777 */     // GIR_Coverage, 25350,
     /* 2432777 */     GIR_EraseRootFromParent_Done,
     /* 2432778 */   // Label 35212: @2432778
     /* 2432778 */   GIM_Try, /*On fail goto*//*Label 35213*/ GIMT_Encode4(2432861), // Rule ID 25351 //
     /* 2432783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432819 */     // MIs[1] Operand 1
     /* 2432819 */     // No operand predicates
     /* 2432819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432823 */     // MIs[0] policy
     /* 2432823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432835 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2432838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432860 */     // GIR_Coverage, 25351,
     /* 2432860 */     GIR_EraseRootFromParent_Done,
     /* 2432861 */   // Label 35213: @2432861
     /* 2432861 */   GIM_Try, /*On fail goto*//*Label 35214*/ GIMT_Encode4(2432933), // Rule ID 25352 //
     /* 2432866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432898 */     // MIs[0] policy
     /* 2432898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432908 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2432911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432932 */     // GIR_Coverage, 25352,
     /* 2432932 */     GIR_EraseRootFromParent_Done,
     /* 2432933 */   // Label 35214: @2432933
     /* 2432933 */   GIM_Try, /*On fail goto*//*Label 35215*/ GIMT_Encode4(2433005), // Rule ID 25353 //
     /* 2432938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432970 */     // MIs[0] policy
     /* 2432970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432980 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2432983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433004 */     // GIR_Coverage, 25353,
     /* 2433004 */     GIR_EraseRootFromParent_Done,
     /* 2433005 */   // Label 35215: @2433005
     /* 2433005 */   GIM_Reject,
     /* 2433006 */ // Label 35211: @2433006
     /* 2433006 */ GIM_Reject,
     /* 2433007 */ // Label 35189: @2433007
     /* 2433007 */ GIM_Try, /*On fail goto*//*Label 35216*/ GIMT_Encode4(2433639),
     /* 2433012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2433015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2433018 */   GIM_Try, /*On fail goto*//*Label 35217*/ GIMT_Encode4(2433101), // Rule ID 45300 //
     /* 2433023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433059 */     // MIs[1] Operand 1
     /* 2433059 */     // No operand predicates
     /* 2433059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433063 */     // MIs[0] policy
     /* 2433063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433075 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2433078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433100 */     // GIR_Coverage, 45300,
     /* 2433100 */     GIR_EraseRootFromParent_Done,
     /* 2433101 */   // Label 35217: @2433101
     /* 2433101 */   GIM_Try, /*On fail goto*//*Label 35218*/ GIMT_Encode4(2433184), // Rule ID 45301 //
     /* 2433106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433142 */     // MIs[1] Operand 1
     /* 2433142 */     // No operand predicates
     /* 2433142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433146 */     // MIs[0] policy
     /* 2433146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433158 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2433161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433183 */     // GIR_Coverage, 45301,
     /* 2433183 */     GIR_EraseRootFromParent_Done,
     /* 2433184 */   // Label 35218: @2433184
     /* 2433184 */   GIM_Try, /*On fail goto*//*Label 35219*/ GIMT_Encode4(2433267), // Rule ID 45376 //
     /* 2433189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433225 */     // MIs[1] Operand 1
     /* 2433225 */     // No operand predicates
     /* 2433225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433229 */     // MIs[0] policy
     /* 2433229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433241 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2433244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433266 */     // GIR_Coverage, 45376,
     /* 2433266 */     GIR_EraseRootFromParent_Done,
     /* 2433267 */   // Label 35219: @2433267
     /* 2433267 */   GIM_Try, /*On fail goto*//*Label 35220*/ GIMT_Encode4(2433350), // Rule ID 45377 //
     /* 2433272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433308 */     // MIs[1] Operand 1
     /* 2433308 */     // No operand predicates
     /* 2433308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433312 */     // MIs[0] policy
     /* 2433312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433324 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2433327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433349 */     // GIR_Coverage, 45377,
     /* 2433349 */     GIR_EraseRootFromParent_Done,
     /* 2433350 */   // Label 35220: @2433350
     /* 2433350 */   GIM_Try, /*On fail goto*//*Label 35221*/ GIMT_Encode4(2433422), // Rule ID 45302 //
     /* 2433355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433387 */     // MIs[0] policy
     /* 2433387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433397 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2433400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433421 */     // GIR_Coverage, 45302,
     /* 2433421 */     GIR_EraseRootFromParent_Done,
     /* 2433422 */   // Label 35221: @2433422
     /* 2433422 */   GIM_Try, /*On fail goto*//*Label 35222*/ GIMT_Encode4(2433494), // Rule ID 45303 //
     /* 2433427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433459 */     // MIs[0] policy
     /* 2433459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433469 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2433472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433493 */     // GIR_Coverage, 45303,
     /* 2433493 */     GIR_EraseRootFromParent_Done,
     /* 2433494 */   // Label 35222: @2433494
     /* 2433494 */   GIM_Try, /*On fail goto*//*Label 35223*/ GIMT_Encode4(2433566), // Rule ID 45378 //
     /* 2433499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433531 */     // MIs[0] policy
     /* 2433531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433541 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2433544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433565 */     // GIR_Coverage, 45378,
     /* 2433565 */     GIR_EraseRootFromParent_Done,
     /* 2433566 */   // Label 35223: @2433566
     /* 2433566 */   GIM_Try, /*On fail goto*//*Label 35224*/ GIMT_Encode4(2433638), // Rule ID 45379 //
     /* 2433571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433603 */     // MIs[0] policy
     /* 2433603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433613 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2433616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433637 */     // GIR_Coverage, 45379,
     /* 2433637 */     GIR_EraseRootFromParent_Done,
     /* 2433638 */   // Label 35224: @2433638
     /* 2433638 */   GIM_Reject,
     /* 2433639 */ // Label 35216: @2433639
     /* 2433639 */ GIM_Reject,
     /* 2433640 */ // Label 35190: @2433640
     /* 2433640 */ GIM_Try, /*On fail goto*//*Label 35225*/ GIMT_Encode4(2434272),
     /* 2433645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2433648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2433651 */   GIM_Try, /*On fail goto*//*Label 35226*/ GIMT_Encode4(2433734), // Rule ID 45308 //
     /* 2433656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433692 */     // MIs[1] Operand 1
     /* 2433692 */     // No operand predicates
     /* 2433692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433696 */     // MIs[0] policy
     /* 2433696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433708 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2433711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433733 */     // GIR_Coverage, 45308,
     /* 2433733 */     GIR_EraseRootFromParent_Done,
     /* 2433734 */   // Label 35226: @2433734
     /* 2433734 */   GIM_Try, /*On fail goto*//*Label 35227*/ GIMT_Encode4(2433817), // Rule ID 45309 //
     /* 2433739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433775 */     // MIs[1] Operand 1
     /* 2433775 */     // No operand predicates
     /* 2433775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433779 */     // MIs[0] policy
     /* 2433779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433791 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2433794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433816 */     // GIR_Coverage, 45309,
     /* 2433816 */     GIR_EraseRootFromParent_Done,
     /* 2433817 */   // Label 35227: @2433817
     /* 2433817 */   GIM_Try, /*On fail goto*//*Label 35228*/ GIMT_Encode4(2433900), // Rule ID 45384 //
     /* 2433822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433858 */     // MIs[1] Operand 1
     /* 2433858 */     // No operand predicates
     /* 2433858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433862 */     // MIs[0] policy
     /* 2433862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433874 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2433877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433899 */     // GIR_Coverage, 45384,
     /* 2433899 */     GIR_EraseRootFromParent_Done,
     /* 2433900 */   // Label 35228: @2433900
     /* 2433900 */   GIM_Try, /*On fail goto*//*Label 35229*/ GIMT_Encode4(2433983), // Rule ID 45385 //
     /* 2433905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433941 */     // MIs[1] Operand 1
     /* 2433941 */     // No operand predicates
     /* 2433941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433945 */     // MIs[0] policy
     /* 2433945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433957 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2433960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433982 */     // GIR_Coverage, 45385,
     /* 2433982 */     GIR_EraseRootFromParent_Done,
     /* 2433983 */   // Label 35229: @2433983
     /* 2433983 */   GIM_Try, /*On fail goto*//*Label 35230*/ GIMT_Encode4(2434055), // Rule ID 45310 //
     /* 2433988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2433997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434020 */     // MIs[0] policy
     /* 2434020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434030 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2434033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434054 */     // GIR_Coverage, 45310,
     /* 2434054 */     GIR_EraseRootFromParent_Done,
     /* 2434055 */   // Label 35230: @2434055
     /* 2434055 */   GIM_Try, /*On fail goto*//*Label 35231*/ GIMT_Encode4(2434127), // Rule ID 45311 //
     /* 2434060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434092 */     // MIs[0] policy
     /* 2434092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434102 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2434105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434126 */     // GIR_Coverage, 45311,
     /* 2434126 */     GIR_EraseRootFromParent_Done,
     /* 2434127 */   // Label 35231: @2434127
     /* 2434127 */   GIM_Try, /*On fail goto*//*Label 35232*/ GIMT_Encode4(2434199), // Rule ID 45386 //
     /* 2434132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434164 */     // MIs[0] policy
     /* 2434164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434174 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2434177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434198 */     // GIR_Coverage, 45386,
     /* 2434198 */     GIR_EraseRootFromParent_Done,
     /* 2434199 */   // Label 35232: @2434199
     /* 2434199 */   GIM_Try, /*On fail goto*//*Label 35233*/ GIMT_Encode4(2434271), // Rule ID 45387 //
     /* 2434204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434236 */     // MIs[0] policy
     /* 2434236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434246 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2434249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434270 */     // GIR_Coverage, 45387,
     /* 2434270 */     GIR_EraseRootFromParent_Done,
     /* 2434271 */   // Label 35233: @2434271
     /* 2434271 */   GIM_Reject,
     /* 2434272 */ // Label 35225: @2434272
     /* 2434272 */ GIM_Reject,
     /* 2434273 */ // Label 35191: @2434273
     /* 2434273 */ GIM_Try, /*On fail goto*//*Label 35234*/ GIMT_Encode4(2434905),
     /* 2434278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2434281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2434284 */   GIM_Try, /*On fail goto*//*Label 35235*/ GIMT_Encode4(2434367), // Rule ID 45324 //
     /* 2434289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434325 */     // MIs[1] Operand 1
     /* 2434325 */     // No operand predicates
     /* 2434325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434329 */     // MIs[0] policy
     /* 2434329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434341 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434366 */     // GIR_Coverage, 45324,
     /* 2434366 */     GIR_EraseRootFromParent_Done,
     /* 2434367 */   // Label 35235: @2434367
     /* 2434367 */   GIM_Try, /*On fail goto*//*Label 35236*/ GIMT_Encode4(2434450), // Rule ID 45325 //
     /* 2434372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434408 */     // MIs[1] Operand 1
     /* 2434408 */     // No operand predicates
     /* 2434408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434412 */     // MIs[0] policy
     /* 2434412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434424 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434449 */     // GIR_Coverage, 45325,
     /* 2434449 */     GIR_EraseRootFromParent_Done,
     /* 2434450 */   // Label 35236: @2434450
     /* 2434450 */   GIM_Try, /*On fail goto*//*Label 35237*/ GIMT_Encode4(2434533), // Rule ID 45396 //
     /* 2434455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434491 */     // MIs[1] Operand 1
     /* 2434491 */     // No operand predicates
     /* 2434491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434495 */     // MIs[0] policy
     /* 2434495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434507 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434532 */     // GIR_Coverage, 45396,
     /* 2434532 */     GIR_EraseRootFromParent_Done,
     /* 2434533 */   // Label 35237: @2434533
     /* 2434533 */   GIM_Try, /*On fail goto*//*Label 35238*/ GIMT_Encode4(2434616), // Rule ID 45397 //
     /* 2434538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434574 */     // MIs[1] Operand 1
     /* 2434574 */     // No operand predicates
     /* 2434574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434578 */     // MIs[0] policy
     /* 2434578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434590 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434615 */     // GIR_Coverage, 45397,
     /* 2434615 */     GIR_EraseRootFromParent_Done,
     /* 2434616 */   // Label 35238: @2434616
     /* 2434616 */   GIM_Try, /*On fail goto*//*Label 35239*/ GIMT_Encode4(2434688), // Rule ID 45326 //
     /* 2434621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434653 */     // MIs[0] policy
     /* 2434653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434663 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434687 */     // GIR_Coverage, 45326,
     /* 2434687 */     GIR_EraseRootFromParent_Done,
     /* 2434688 */   // Label 35239: @2434688
     /* 2434688 */   GIM_Try, /*On fail goto*//*Label 35240*/ GIMT_Encode4(2434760), // Rule ID 45327 //
     /* 2434693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434725 */     // MIs[0] policy
     /* 2434725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434735 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434759 */     // GIR_Coverage, 45327,
     /* 2434759 */     GIR_EraseRootFromParent_Done,
     /* 2434760 */   // Label 35240: @2434760
     /* 2434760 */   GIM_Try, /*On fail goto*//*Label 35241*/ GIMT_Encode4(2434832), // Rule ID 45398 //
     /* 2434765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434797 */     // MIs[0] policy
     /* 2434797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434807 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434831 */     // GIR_Coverage, 45398,
     /* 2434831 */     GIR_EraseRootFromParent_Done,
     /* 2434832 */   // Label 35241: @2434832
     /* 2434832 */   GIM_Try, /*On fail goto*//*Label 35242*/ GIMT_Encode4(2434904), // Rule ID 45399 //
     /* 2434837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2434846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434869 */     // MIs[0] policy
     /* 2434869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434879 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434903 */     // GIR_Coverage, 45399,
     /* 2434903 */     GIR_EraseRootFromParent_Done,
     /* 2434904 */   // Label 35242: @2434904
     /* 2434904 */   GIM_Reject,
     /* 2434905 */ // Label 35234: @2434905
     /* 2434905 */ GIM_Reject,
     /* 2434906 */ // Label 35192: @2434906
     /* 2434906 */ GIM_Try, /*On fail goto*//*Label 35243*/ GIMT_Encode4(2435228),
     /* 2434911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2434914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2434917 */   GIM_Try, /*On fail goto*//*Label 35244*/ GIMT_Encode4(2435000), // Rule ID 45292 //
     /* 2434922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434958 */     // MIs[1] Operand 1
     /* 2434958 */     // No operand predicates
     /* 2434958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434962 */     // MIs[0] policy
     /* 2434962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434974 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2434977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434999 */     // GIR_Coverage, 45292,
     /* 2434999 */     GIR_EraseRootFromParent_Done,
     /* 2435000 */   // Label 35244: @2435000
     /* 2435000 */   GIM_Try, /*On fail goto*//*Label 35245*/ GIMT_Encode4(2435083), // Rule ID 45293 //
     /* 2435005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435041 */     // MIs[1] Operand 1
     /* 2435041 */     // No operand predicates
     /* 2435041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435045 */     // MIs[0] policy
     /* 2435045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435057 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2435060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435082 */     // GIR_Coverage, 45293,
     /* 2435082 */     GIR_EraseRootFromParent_Done,
     /* 2435083 */   // Label 35245: @2435083
     /* 2435083 */   GIM_Try, /*On fail goto*//*Label 35246*/ GIMT_Encode4(2435155), // Rule ID 45294 //
     /* 2435088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435120 */     // MIs[0] policy
     /* 2435120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435130 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2435133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435154 */     // GIR_Coverage, 45294,
     /* 2435154 */     GIR_EraseRootFromParent_Done,
     /* 2435155 */   // Label 35246: @2435155
     /* 2435155 */   GIM_Try, /*On fail goto*//*Label 35247*/ GIMT_Encode4(2435227), // Rule ID 45295 //
     /* 2435160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435192 */     // MIs[0] policy
     /* 2435192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435202 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2435205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435226 */     // GIR_Coverage, 45295,
     /* 2435226 */     GIR_EraseRootFromParent_Done,
     /* 2435227 */   // Label 35247: @2435227
     /* 2435227 */   GIM_Reject,
     /* 2435228 */ // Label 35243: @2435228
     /* 2435228 */ GIM_Reject,
     /* 2435229 */ // Label 35193: @2435229
     /* 2435229 */ GIM_Try, /*On fail goto*//*Label 35248*/ GIMT_Encode4(2435861),
     /* 2435234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2435237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2435240 */   GIM_Try, /*On fail goto*//*Label 35249*/ GIMT_Encode4(2435323), // Rule ID 45304 //
     /* 2435245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435281 */     // MIs[1] Operand 1
     /* 2435281 */     // No operand predicates
     /* 2435281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435285 */     // MIs[0] policy
     /* 2435285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435297 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2435300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435322 */     // GIR_Coverage, 45304,
     /* 2435322 */     GIR_EraseRootFromParent_Done,
     /* 2435323 */   // Label 35249: @2435323
     /* 2435323 */   GIM_Try, /*On fail goto*//*Label 35250*/ GIMT_Encode4(2435406), // Rule ID 45305 //
     /* 2435328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435364 */     // MIs[1] Operand 1
     /* 2435364 */     // No operand predicates
     /* 2435364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435368 */     // MIs[0] policy
     /* 2435368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435380 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2435383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435405 */     // GIR_Coverage, 45305,
     /* 2435405 */     GIR_EraseRootFromParent_Done,
     /* 2435406 */   // Label 35250: @2435406
     /* 2435406 */   GIM_Try, /*On fail goto*//*Label 35251*/ GIMT_Encode4(2435489), // Rule ID 45380 //
     /* 2435411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435447 */     // MIs[1] Operand 1
     /* 2435447 */     // No operand predicates
     /* 2435447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435451 */     // MIs[0] policy
     /* 2435451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435463 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2435466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435488 */     // GIR_Coverage, 45380,
     /* 2435488 */     GIR_EraseRootFromParent_Done,
     /* 2435489 */   // Label 35251: @2435489
     /* 2435489 */   GIM_Try, /*On fail goto*//*Label 35252*/ GIMT_Encode4(2435572), // Rule ID 45381 //
     /* 2435494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435530 */     // MIs[1] Operand 1
     /* 2435530 */     // No operand predicates
     /* 2435530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435534 */     // MIs[0] policy
     /* 2435534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435546 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2435549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435571 */     // GIR_Coverage, 45381,
     /* 2435571 */     GIR_EraseRootFromParent_Done,
     /* 2435572 */   // Label 35252: @2435572
     /* 2435572 */   GIM_Try, /*On fail goto*//*Label 35253*/ GIMT_Encode4(2435644), // Rule ID 45306 //
     /* 2435577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435609 */     // MIs[0] policy
     /* 2435609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435619 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2435622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435643 */     // GIR_Coverage, 45306,
     /* 2435643 */     GIR_EraseRootFromParent_Done,
     /* 2435644 */   // Label 35253: @2435644
     /* 2435644 */   GIM_Try, /*On fail goto*//*Label 35254*/ GIMT_Encode4(2435716), // Rule ID 45307 //
     /* 2435649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435681 */     // MIs[0] policy
     /* 2435681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435691 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2435694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435715 */     // GIR_Coverage, 45307,
     /* 2435715 */     GIR_EraseRootFromParent_Done,
     /* 2435716 */   // Label 35254: @2435716
     /* 2435716 */   GIM_Try, /*On fail goto*//*Label 35255*/ GIMT_Encode4(2435788), // Rule ID 45382 //
     /* 2435721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435753 */     // MIs[0] policy
     /* 2435753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435763 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2435766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435787 */     // GIR_Coverage, 45382,
     /* 2435787 */     GIR_EraseRootFromParent_Done,
     /* 2435788 */   // Label 35255: @2435788
     /* 2435788 */   GIM_Try, /*On fail goto*//*Label 35256*/ GIMT_Encode4(2435860), // Rule ID 45383 //
     /* 2435793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435825 */     // MIs[0] policy
     /* 2435825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435835 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2435838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435859 */     // GIR_Coverage, 45383,
     /* 2435859 */     GIR_EraseRootFromParent_Done,
     /* 2435860 */   // Label 35256: @2435860
     /* 2435860 */   GIM_Reject,
     /* 2435861 */ // Label 35248: @2435861
     /* 2435861 */ GIM_Reject,
     /* 2435862 */ // Label 35194: @2435862
     /* 2435862 */ GIM_Try, /*On fail goto*//*Label 35257*/ GIMT_Encode4(2436494),
     /* 2435867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2435870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2435873 */   GIM_Try, /*On fail goto*//*Label 35258*/ GIMT_Encode4(2435956), // Rule ID 45320 //
     /* 2435878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435914 */     // MIs[1] Operand 1
     /* 2435914 */     // No operand predicates
     /* 2435914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435918 */     // MIs[0] policy
     /* 2435918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435930 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2435933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435955 */     // GIR_Coverage, 45320,
     /* 2435955 */     GIR_EraseRootFromParent_Done,
     /* 2435956 */   // Label 35258: @2435956
     /* 2435956 */   GIM_Try, /*On fail goto*//*Label 35259*/ GIMT_Encode4(2436039), // Rule ID 45321 //
     /* 2435961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2435970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435997 */     // MIs[1] Operand 1
     /* 2435997 */     // No operand predicates
     /* 2435997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436001 */     // MIs[0] policy
     /* 2436001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436013 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2436016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436038 */     // GIR_Coverage, 45321,
     /* 2436038 */     GIR_EraseRootFromParent_Done,
     /* 2436039 */   // Label 35259: @2436039
     /* 2436039 */   GIM_Try, /*On fail goto*//*Label 35260*/ GIMT_Encode4(2436122), // Rule ID 45392 //
     /* 2436044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436080 */     // MIs[1] Operand 1
     /* 2436080 */     // No operand predicates
     /* 2436080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436084 */     // MIs[0] policy
     /* 2436084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436096 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2436099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436121 */     // GIR_Coverage, 45392,
     /* 2436121 */     GIR_EraseRootFromParent_Done,
     /* 2436122 */   // Label 35260: @2436122
     /* 2436122 */   GIM_Try, /*On fail goto*//*Label 35261*/ GIMT_Encode4(2436205), // Rule ID 45393 //
     /* 2436127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436163 */     // MIs[1] Operand 1
     /* 2436163 */     // No operand predicates
     /* 2436163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436167 */     // MIs[0] policy
     /* 2436167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436179 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2436182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436204 */     // GIR_Coverage, 45393,
     /* 2436204 */     GIR_EraseRootFromParent_Done,
     /* 2436205 */   // Label 35261: @2436205
     /* 2436205 */   GIM_Try, /*On fail goto*//*Label 35262*/ GIMT_Encode4(2436277), // Rule ID 45322 //
     /* 2436210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436242 */     // MIs[0] policy
     /* 2436242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436252 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2436255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436276 */     // GIR_Coverage, 45322,
     /* 2436276 */     GIR_EraseRootFromParent_Done,
     /* 2436277 */   // Label 35262: @2436277
     /* 2436277 */   GIM_Try, /*On fail goto*//*Label 35263*/ GIMT_Encode4(2436349), // Rule ID 45323 //
     /* 2436282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436314 */     // MIs[0] policy
     /* 2436314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436324 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2436327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436348 */     // GIR_Coverage, 45323,
     /* 2436348 */     GIR_EraseRootFromParent_Done,
     /* 2436349 */   // Label 35263: @2436349
     /* 2436349 */   GIM_Try, /*On fail goto*//*Label 35264*/ GIMT_Encode4(2436421), // Rule ID 45394 //
     /* 2436354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436386 */     // MIs[0] policy
     /* 2436386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436396 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2436399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436420 */     // GIR_Coverage, 45394,
     /* 2436420 */     GIR_EraseRootFromParent_Done,
     /* 2436421 */   // Label 35264: @2436421
     /* 2436421 */   GIM_Try, /*On fail goto*//*Label 35265*/ GIMT_Encode4(2436493), // Rule ID 45395 //
     /* 2436426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2436442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436458 */     // MIs[0] policy
     /* 2436458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436468 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2436471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436492 */     // GIR_Coverage, 45395,
     /* 2436492 */     GIR_EraseRootFromParent_Done,
     /* 2436493 */   // Label 35265: @2436493
     /* 2436493 */   GIM_Reject,
     /* 2436494 */ // Label 35257: @2436494
     /* 2436494 */ GIM_Reject,
     /* 2436495 */ // Label 35195: @2436495
     /* 2436495 */ GIM_Try, /*On fail goto*//*Label 35266*/ GIMT_Encode4(2437127),
     /* 2436500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2436503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2436506 */   GIM_Try, /*On fail goto*//*Label 35267*/ GIMT_Encode4(2436589), // Rule ID 45364 //
     /* 2436511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436547 */     // MIs[1] Operand 1
     /* 2436547 */     // No operand predicates
     /* 2436547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436551 */     // MIs[0] policy
     /* 2436551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436563 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436588 */     // GIR_Coverage, 45364,
     /* 2436588 */     GIR_EraseRootFromParent_Done,
     /* 2436589 */   // Label 35267: @2436589
     /* 2436589 */   GIM_Try, /*On fail goto*//*Label 35268*/ GIMT_Encode4(2436672), // Rule ID 45365 //
     /* 2436594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436630 */     // MIs[1] Operand 1
     /* 2436630 */     // No operand predicates
     /* 2436630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436634 */     // MIs[0] policy
     /* 2436634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436646 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436671 */     // GIR_Coverage, 45365,
     /* 2436671 */     GIR_EraseRootFromParent_Done,
     /* 2436672 */   // Label 35268: @2436672
     /* 2436672 */   GIM_Try, /*On fail goto*//*Label 35269*/ GIMT_Encode4(2436755), // Rule ID 45424 //
     /* 2436677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436713 */     // MIs[1] Operand 1
     /* 2436713 */     // No operand predicates
     /* 2436713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436717 */     // MIs[0] policy
     /* 2436717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436729 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436754 */     // GIR_Coverage, 45424,
     /* 2436754 */     GIR_EraseRootFromParent_Done,
     /* 2436755 */   // Label 35269: @2436755
     /* 2436755 */   GIM_Try, /*On fail goto*//*Label 35270*/ GIMT_Encode4(2436838), // Rule ID 45425 //
     /* 2436760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436796 */     // MIs[1] Operand 1
     /* 2436796 */     // No operand predicates
     /* 2436796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436800 */     // MIs[0] policy
     /* 2436800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436812 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436837 */     // GIR_Coverage, 45425,
     /* 2436837 */     GIR_EraseRootFromParent_Done,
     /* 2436838 */   // Label 35270: @2436838
     /* 2436838 */   GIM_Try, /*On fail goto*//*Label 35271*/ GIMT_Encode4(2436910), // Rule ID 45366 //
     /* 2436843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436875 */     // MIs[0] policy
     /* 2436875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436885 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2436888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436909 */     // GIR_Coverage, 45366,
     /* 2436909 */     GIR_EraseRootFromParent_Done,
     /* 2436910 */   // Label 35271: @2436910
     /* 2436910 */   GIM_Try, /*On fail goto*//*Label 35272*/ GIMT_Encode4(2436982), // Rule ID 45367 //
     /* 2436915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436947 */     // MIs[0] policy
     /* 2436947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436957 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2436960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436981 */     // GIR_Coverage, 45367,
     /* 2436981 */     GIR_EraseRootFromParent_Done,
     /* 2436982 */   // Label 35272: @2436982
     /* 2436982 */   GIM_Try, /*On fail goto*//*Label 35273*/ GIMT_Encode4(2437054), // Rule ID 45426 //
     /* 2436987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2436996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437019 */     // MIs[0] policy
     /* 2437019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437029 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2437032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437053 */     // GIR_Coverage, 45426,
     /* 2437053 */     GIR_EraseRootFromParent_Done,
     /* 2437054 */   // Label 35273: @2437054
     /* 2437054 */   GIM_Try, /*On fail goto*//*Label 35274*/ GIMT_Encode4(2437126), // Rule ID 45427 //
     /* 2437059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2437062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2437068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437091 */     // MIs[0] policy
     /* 2437091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437101 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2437104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437125 */     // GIR_Coverage, 45427,
     /* 2437125 */     GIR_EraseRootFromParent_Done,
     /* 2437126 */   // Label 35274: @2437126
     /* 2437126 */   GIM_Reject,
     /* 2437127 */ // Label 35266: @2437127
     /* 2437127 */ GIM_Reject,
     /* 2437128 */ // Label 35196: @2437128
     /* 2437128 */ GIM_Try, /*On fail goto*//*Label 35275*/ GIMT_Encode4(2437450),
     /* 2437133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2437136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2437139 */   GIM_Try, /*On fail goto*//*Label 35276*/ GIMT_Encode4(2437222), // Rule ID 45296 //
     /* 2437144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437180 */     // MIs[1] Operand 1
     /* 2437180 */     // No operand predicates
     /* 2437180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437184 */     // MIs[0] policy
     /* 2437184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437196 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2437199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437221 */     // GIR_Coverage, 45296,
     /* 2437221 */     GIR_EraseRootFromParent_Done,
     /* 2437222 */   // Label 35276: @2437222
     /* 2437222 */   GIM_Try, /*On fail goto*//*Label 35277*/ GIMT_Encode4(2437305), // Rule ID 45297 //
     /* 2437227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437263 */     // MIs[1] Operand 1
     /* 2437263 */     // No operand predicates
     /* 2437263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437267 */     // MIs[0] policy
     /* 2437267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437279 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2437282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437304 */     // GIR_Coverage, 45297,
     /* 2437304 */     GIR_EraseRootFromParent_Done,
     /* 2437305 */   // Label 35277: @2437305
     /* 2437305 */   GIM_Try, /*On fail goto*//*Label 35278*/ GIMT_Encode4(2437377), // Rule ID 45298 //
     /* 2437310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437342 */     // MIs[0] policy
     /* 2437342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437352 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2437355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437376 */     // GIR_Coverage, 45298,
     /* 2437376 */     GIR_EraseRootFromParent_Done,
     /* 2437377 */   // Label 35278: @2437377
     /* 2437377 */   GIM_Try, /*On fail goto*//*Label 35279*/ GIMT_Encode4(2437449), // Rule ID 45299 //
     /* 2437382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437414 */     // MIs[0] policy
     /* 2437414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437424 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2437427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437448 */     // GIR_Coverage, 45299,
     /* 2437448 */     GIR_EraseRootFromParent_Done,
     /* 2437449 */   // Label 35279: @2437449
     /* 2437449 */   GIM_Reject,
     /* 2437450 */ // Label 35275: @2437450
     /* 2437450 */ GIM_Reject,
     /* 2437451 */ // Label 35197: @2437451
     /* 2437451 */ GIM_Try, /*On fail goto*//*Label 35280*/ GIMT_Encode4(2438083),
     /* 2437456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2437459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2437462 */   GIM_Try, /*On fail goto*//*Label 35281*/ GIMT_Encode4(2437545), // Rule ID 45316 //
     /* 2437467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437503 */     // MIs[1] Operand 1
     /* 2437503 */     // No operand predicates
     /* 2437503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437507 */     // MIs[0] policy
     /* 2437507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437519 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2437522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437544 */     // GIR_Coverage, 45316,
     /* 2437544 */     GIR_EraseRootFromParent_Done,
     /* 2437545 */   // Label 35281: @2437545
     /* 2437545 */   GIM_Try, /*On fail goto*//*Label 35282*/ GIMT_Encode4(2437628), // Rule ID 45317 //
     /* 2437550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437586 */     // MIs[1] Operand 1
     /* 2437586 */     // No operand predicates
     /* 2437586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437590 */     // MIs[0] policy
     /* 2437590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437602 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2437605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437627 */     // GIR_Coverage, 45317,
     /* 2437627 */     GIR_EraseRootFromParent_Done,
     /* 2437628 */   // Label 35282: @2437628
     /* 2437628 */   GIM_Try, /*On fail goto*//*Label 35283*/ GIMT_Encode4(2437711), // Rule ID 45388 //
     /* 2437633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437669 */     // MIs[1] Operand 1
     /* 2437669 */     // No operand predicates
     /* 2437669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437673 */     // MIs[0] policy
     /* 2437673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437685 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2437688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437710 */     // GIR_Coverage, 45388,
     /* 2437710 */     GIR_EraseRootFromParent_Done,
     /* 2437711 */   // Label 35283: @2437711
     /* 2437711 */   GIM_Try, /*On fail goto*//*Label 35284*/ GIMT_Encode4(2437794), // Rule ID 45389 //
     /* 2437716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437752 */     // MIs[1] Operand 1
     /* 2437752 */     // No operand predicates
     /* 2437752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437756 */     // MIs[0] policy
     /* 2437756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437768 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2437771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437793 */     // GIR_Coverage, 45389,
     /* 2437793 */     GIR_EraseRootFromParent_Done,
     /* 2437794 */   // Label 35284: @2437794
     /* 2437794 */   GIM_Try, /*On fail goto*//*Label 35285*/ GIMT_Encode4(2437866), // Rule ID 45318 //
     /* 2437799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437831 */     // MIs[0] policy
     /* 2437831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437841 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2437844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437865 */     // GIR_Coverage, 45318,
     /* 2437865 */     GIR_EraseRootFromParent_Done,
     /* 2437866 */   // Label 35285: @2437866
     /* 2437866 */   GIM_Try, /*On fail goto*//*Label 35286*/ GIMT_Encode4(2437938), // Rule ID 45319 //
     /* 2437871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437903 */     // MIs[0] policy
     /* 2437903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437913 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2437916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437937 */     // GIR_Coverage, 45319,
     /* 2437937 */     GIR_EraseRootFromParent_Done,
     /* 2437938 */   // Label 35286: @2437938
     /* 2437938 */   GIM_Try, /*On fail goto*//*Label 35287*/ GIMT_Encode4(2438010), // Rule ID 45390 //
     /* 2437943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2437952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437975 */     // MIs[0] policy
     /* 2437975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437985 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2437988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438009 */     // GIR_Coverage, 45390,
     /* 2438009 */     GIR_EraseRootFromParent_Done,
     /* 2438010 */   // Label 35287: @2438010
     /* 2438010 */   GIM_Try, /*On fail goto*//*Label 35288*/ GIMT_Encode4(2438082), // Rule ID 45391 //
     /* 2438015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2438031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438047 */     // MIs[0] policy
     /* 2438047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438057 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2438060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438081 */     // GIR_Coverage, 45391,
     /* 2438081 */     GIR_EraseRootFromParent_Done,
     /* 2438082 */   // Label 35288: @2438082
     /* 2438082 */   GIM_Reject,
     /* 2438083 */ // Label 35280: @2438083
     /* 2438083 */ GIM_Reject,
     /* 2438084 */ // Label 35198: @2438084
     /* 2438084 */ GIM_Try, /*On fail goto*//*Label 35289*/ GIMT_Encode4(2438716),
     /* 2438089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2438092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2438095 */   GIM_Try, /*On fail goto*//*Label 35290*/ GIMT_Encode4(2438178), // Rule ID 45352 //
     /* 2438100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438136 */     // MIs[1] Operand 1
     /* 2438136 */     // No operand predicates
     /* 2438136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438140 */     // MIs[0] policy
     /* 2438140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438152 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2438155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438177 */     // GIR_Coverage, 45352,
     /* 2438177 */     GIR_EraseRootFromParent_Done,
     /* 2438178 */   // Label 35290: @2438178
     /* 2438178 */   GIM_Try, /*On fail goto*//*Label 35291*/ GIMT_Encode4(2438261), // Rule ID 45353 //
     /* 2438183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438219 */     // MIs[1] Operand 1
     /* 2438219 */     // No operand predicates
     /* 2438219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438223 */     // MIs[0] policy
     /* 2438223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438235 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2438238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438260 */     // GIR_Coverage, 45353,
     /* 2438260 */     GIR_EraseRootFromParent_Done,
     /* 2438261 */   // Label 35291: @2438261
     /* 2438261 */   GIM_Try, /*On fail goto*//*Label 35292*/ GIMT_Encode4(2438344), // Rule ID 45412 //
     /* 2438266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438302 */     // MIs[1] Operand 1
     /* 2438302 */     // No operand predicates
     /* 2438302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438306 */     // MIs[0] policy
     /* 2438306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438318 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2438321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438343 */     // GIR_Coverage, 45412,
     /* 2438343 */     GIR_EraseRootFromParent_Done,
     /* 2438344 */   // Label 35292: @2438344
     /* 2438344 */   GIM_Try, /*On fail goto*//*Label 35293*/ GIMT_Encode4(2438427), // Rule ID 45413 //
     /* 2438349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438385 */     // MIs[1] Operand 1
     /* 2438385 */     // No operand predicates
     /* 2438385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438389 */     // MIs[0] policy
     /* 2438389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438401 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2438404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438426 */     // GIR_Coverage, 45413,
     /* 2438426 */     GIR_EraseRootFromParent_Done,
     /* 2438427 */   // Label 35293: @2438427
     /* 2438427 */   GIM_Try, /*On fail goto*//*Label 35294*/ GIMT_Encode4(2438499), // Rule ID 45354 //
     /* 2438432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438464 */     // MIs[0] policy
     /* 2438464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438474 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2438477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438498 */     // GIR_Coverage, 45354,
     /* 2438498 */     GIR_EraseRootFromParent_Done,
     /* 2438499 */   // Label 35294: @2438499
     /* 2438499 */   GIM_Try, /*On fail goto*//*Label 35295*/ GIMT_Encode4(2438571), // Rule ID 45355 //
     /* 2438504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438536 */     // MIs[0] policy
     /* 2438536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438546 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2438549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438570 */     // GIR_Coverage, 45355,
     /* 2438570 */     GIR_EraseRootFromParent_Done,
     /* 2438571 */   // Label 35295: @2438571
     /* 2438571 */   GIM_Try, /*On fail goto*//*Label 35296*/ GIMT_Encode4(2438643), // Rule ID 45414 //
     /* 2438576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438608 */     // MIs[0] policy
     /* 2438608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438618 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2438621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438642 */     // GIR_Coverage, 45414,
     /* 2438642 */     GIR_EraseRootFromParent_Done,
     /* 2438643 */   // Label 35296: @2438643
     /* 2438643 */   GIM_Try, /*On fail goto*//*Label 35297*/ GIMT_Encode4(2438715), // Rule ID 45415 //
     /* 2438648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438680 */     // MIs[0] policy
     /* 2438680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438690 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2438693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438714 */     // GIR_Coverage, 45415,
     /* 2438714 */     GIR_EraseRootFromParent_Done,
     /* 2438715 */   // Label 35297: @2438715
     /* 2438715 */   GIM_Reject,
     /* 2438716 */ // Label 35289: @2438716
     /* 2438716 */ GIM_Reject,
     /* 2438717 */ // Label 35199: @2438717
     /* 2438717 */ GIM_Try, /*On fail goto*//*Label 35298*/ GIMT_Encode4(2439349),
     /* 2438722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2438725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2438728 */   GIM_Try, /*On fail goto*//*Label 35299*/ GIMT_Encode4(2438811), // Rule ID 45368 //
     /* 2438733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2438736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438769 */     // MIs[1] Operand 1
     /* 2438769 */     // No operand predicates
     /* 2438769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438773 */     // MIs[0] policy
     /* 2438773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438785 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2438788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438810 */     // GIR_Coverage, 45368,
     /* 2438810 */     GIR_EraseRootFromParent_Done,
     /* 2438811 */   // Label 35299: @2438811
     /* 2438811 */   GIM_Try, /*On fail goto*//*Label 35300*/ GIMT_Encode4(2438894), // Rule ID 45369 //
     /* 2438816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2438819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438852 */     // MIs[1] Operand 1
     /* 2438852 */     // No operand predicates
     /* 2438852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438856 */     // MIs[0] policy
     /* 2438856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438868 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2438871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438893 */     // GIR_Coverage, 45369,
     /* 2438893 */     GIR_EraseRootFromParent_Done,
     /* 2438894 */   // Label 35300: @2438894
     /* 2438894 */   GIM_Try, /*On fail goto*//*Label 35301*/ GIMT_Encode4(2438977), // Rule ID 45428 //
     /* 2438899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2438902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438935 */     // MIs[1] Operand 1
     /* 2438935 */     // No operand predicates
     /* 2438935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438939 */     // MIs[0] policy
     /* 2438939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438951 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2438954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438976 */     // GIR_Coverage, 45428,
     /* 2438976 */     GIR_EraseRootFromParent_Done,
     /* 2438977 */   // Label 35301: @2438977
     /* 2438977 */   GIM_Try, /*On fail goto*//*Label 35302*/ GIMT_Encode4(2439060), // Rule ID 45429 //
     /* 2438982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2438985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2438991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439018 */     // MIs[1] Operand 1
     /* 2439018 */     // No operand predicates
     /* 2439018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439022 */     // MIs[0] policy
     /* 2439022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439034 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2439037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439059 */     // GIR_Coverage, 45429,
     /* 2439059 */     GIR_EraseRootFromParent_Done,
     /* 2439060 */   // Label 35302: @2439060
     /* 2439060 */   GIM_Try, /*On fail goto*//*Label 35303*/ GIMT_Encode4(2439132), // Rule ID 45370 //
     /* 2439065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2439068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2439074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439097 */     // MIs[0] policy
     /* 2439097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439107 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2439110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439131 */     // GIR_Coverage, 45370,
     /* 2439131 */     GIR_EraseRootFromParent_Done,
     /* 2439132 */   // Label 35303: @2439132
     /* 2439132 */   GIM_Try, /*On fail goto*//*Label 35304*/ GIMT_Encode4(2439204), // Rule ID 45371 //
     /* 2439137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2439140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2439146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439169 */     // MIs[0] policy
     /* 2439169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439179 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2439182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439203 */     // GIR_Coverage, 45371,
     /* 2439203 */     GIR_EraseRootFromParent_Done,
     /* 2439204 */   // Label 35304: @2439204
     /* 2439204 */   GIM_Try, /*On fail goto*//*Label 35305*/ GIMT_Encode4(2439276), // Rule ID 45430 //
     /* 2439209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2439212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2439218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439241 */     // MIs[0] policy
     /* 2439241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439251 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2439254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439275 */     // GIR_Coverage, 45430,
     /* 2439275 */     GIR_EraseRootFromParent_Done,
     /* 2439276 */   // Label 35305: @2439276
     /* 2439276 */   GIM_Try, /*On fail goto*//*Label 35306*/ GIMT_Encode4(2439348), // Rule ID 45431 //
     /* 2439281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2439284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2439290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439313 */     // MIs[0] policy
     /* 2439313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439323 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2439326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439347 */     // GIR_Coverage, 45431,
     /* 2439347 */     GIR_EraseRootFromParent_Done,
     /* 2439348 */   // Label 35306: @2439348
     /* 2439348 */   GIM_Reject,
     /* 2439349 */ // Label 35298: @2439349
     /* 2439349 */ GIM_Reject,
     /* 2439350 */ // Label 35200: @2439350
     /* 2439350 */ GIM_Try, /*On fail goto*//*Label 35307*/ GIMT_Encode4(2439672),
     /* 2439355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2439358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2439361 */   GIM_Try, /*On fail goto*//*Label 35308*/ GIMT_Encode4(2439444), // Rule ID 45312 //
     /* 2439366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2439382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439402 */     // MIs[1] Operand 1
     /* 2439402 */     // No operand predicates
     /* 2439402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439406 */     // MIs[0] policy
     /* 2439406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439418 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2439421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439443 */     // GIR_Coverage, 45312,
     /* 2439443 */     GIR_EraseRootFromParent_Done,
     /* 2439444 */   // Label 35308: @2439444
     /* 2439444 */   GIM_Try, /*On fail goto*//*Label 35309*/ GIMT_Encode4(2439527), // Rule ID 45313 //
     /* 2439449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2439465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439485 */     // MIs[1] Operand 1
     /* 2439485 */     // No operand predicates
     /* 2439485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439489 */     // MIs[0] policy
     /* 2439489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439501 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2439504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439526 */     // GIR_Coverage, 45313,
     /* 2439526 */     GIR_EraseRootFromParent_Done,
     /* 2439527 */   // Label 35309: @2439527
     /* 2439527 */   GIM_Try, /*On fail goto*//*Label 35310*/ GIMT_Encode4(2439599), // Rule ID 45314 //
     /* 2439532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2439548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439564 */     // MIs[0] policy
     /* 2439564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439574 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2439577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439598 */     // GIR_Coverage, 45314,
     /* 2439598 */     GIR_EraseRootFromParent_Done,
     /* 2439599 */   // Label 35310: @2439599
     /* 2439599 */   GIM_Try, /*On fail goto*//*Label 35311*/ GIMT_Encode4(2439671), // Rule ID 45315 //
     /* 2439604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2439620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439636 */     // MIs[0] policy
     /* 2439636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439646 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2439649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439670 */     // GIR_Coverage, 45315,
     /* 2439670 */     GIR_EraseRootFromParent_Done,
     /* 2439671 */   // Label 35311: @2439671
     /* 2439671 */   GIM_Reject,
     /* 2439672 */ // Label 35307: @2439672
     /* 2439672 */ GIM_Reject,
     /* 2439673 */ // Label 35201: @2439673
     /* 2439673 */ GIM_Try, /*On fail goto*//*Label 35312*/ GIMT_Encode4(2440305),
     /* 2439678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2439681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2439684 */   GIM_Try, /*On fail goto*//*Label 35313*/ GIMT_Encode4(2439767), // Rule ID 45340 //
     /* 2439689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439725 */     // MIs[1] Operand 1
     /* 2439725 */     // No operand predicates
     /* 2439725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439729 */     // MIs[0] policy
     /* 2439729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439741 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2439744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439766 */     // GIR_Coverage, 45340,
     /* 2439766 */     GIR_EraseRootFromParent_Done,
     /* 2439767 */   // Label 35313: @2439767
     /* 2439767 */   GIM_Try, /*On fail goto*//*Label 35314*/ GIMT_Encode4(2439850), // Rule ID 45341 //
     /* 2439772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439808 */     // MIs[1] Operand 1
     /* 2439808 */     // No operand predicates
     /* 2439808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439812 */     // MIs[0] policy
     /* 2439812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439824 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2439827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439849 */     // GIR_Coverage, 45341,
     /* 2439849 */     GIR_EraseRootFromParent_Done,
     /* 2439850 */   // Label 35314: @2439850
     /* 2439850 */   GIM_Try, /*On fail goto*//*Label 35315*/ GIMT_Encode4(2439933), // Rule ID 45400 //
     /* 2439855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439891 */     // MIs[1] Operand 1
     /* 2439891 */     // No operand predicates
     /* 2439891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439895 */     // MIs[0] policy
     /* 2439895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439907 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2439910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439932 */     // GIR_Coverage, 45400,
     /* 2439932 */     GIR_EraseRootFromParent_Done,
     /* 2439933 */   // Label 35315: @2439933
     /* 2439933 */   GIM_Try, /*On fail goto*//*Label 35316*/ GIMT_Encode4(2440016), // Rule ID 45401 //
     /* 2439938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439974 */     // MIs[1] Operand 1
     /* 2439974 */     // No operand predicates
     /* 2439974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439978 */     // MIs[0] policy
     /* 2439978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439990 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2439993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440015 */     // GIR_Coverage, 45401,
     /* 2440015 */     GIR_EraseRootFromParent_Done,
     /* 2440016 */   // Label 35316: @2440016
     /* 2440016 */   GIM_Try, /*On fail goto*//*Label 35317*/ GIMT_Encode4(2440088), // Rule ID 45342 //
     /* 2440021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2440037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440053 */     // MIs[0] policy
     /* 2440053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440063 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2440066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440087 */     // GIR_Coverage, 45342,
     /* 2440087 */     GIR_EraseRootFromParent_Done,
     /* 2440088 */   // Label 35317: @2440088
     /* 2440088 */   GIM_Try, /*On fail goto*//*Label 35318*/ GIMT_Encode4(2440160), // Rule ID 45343 //
     /* 2440093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2440109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440125 */     // MIs[0] policy
     /* 2440125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440135 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2440138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440159 */     // GIR_Coverage, 45343,
     /* 2440159 */     GIR_EraseRootFromParent_Done,
     /* 2440160 */   // Label 35318: @2440160
     /* 2440160 */   GIM_Try, /*On fail goto*//*Label 35319*/ GIMT_Encode4(2440232), // Rule ID 45402 //
     /* 2440165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2440181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440197 */     // MIs[0] policy
     /* 2440197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440207 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2440210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440231 */     // GIR_Coverage, 45402,
     /* 2440231 */     GIR_EraseRootFromParent_Done,
     /* 2440232 */   // Label 35319: @2440232
     /* 2440232 */   GIM_Try, /*On fail goto*//*Label 35320*/ GIMT_Encode4(2440304), // Rule ID 45403 //
     /* 2440237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2440253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440269 */     // MIs[0] policy
     /* 2440269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440279 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2440282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440303 */     // GIR_Coverage, 45403,
     /* 2440303 */     GIR_EraseRootFromParent_Done,
     /* 2440304 */   // Label 35320: @2440304
     /* 2440304 */   GIM_Reject,
     /* 2440305 */ // Label 35312: @2440305
     /* 2440305 */ GIM_Reject,
     /* 2440306 */ // Label 35202: @2440306
     /* 2440306 */ GIM_Try, /*On fail goto*//*Label 35321*/ GIMT_Encode4(2440938),
     /* 2440311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2440314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2440317 */   GIM_Try, /*On fail goto*//*Label 35322*/ GIMT_Encode4(2440400), // Rule ID 45356 //
     /* 2440322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440358 */     // MIs[1] Operand 1
     /* 2440358 */     // No operand predicates
     /* 2440358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440362 */     // MIs[0] policy
     /* 2440362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440374 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2440377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440399 */     // GIR_Coverage, 45356,
     /* 2440399 */     GIR_EraseRootFromParent_Done,
     /* 2440400 */   // Label 35322: @2440400
     /* 2440400 */   GIM_Try, /*On fail goto*//*Label 35323*/ GIMT_Encode4(2440483), // Rule ID 45357 //
     /* 2440405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440441 */     // MIs[1] Operand 1
     /* 2440441 */     // No operand predicates
     /* 2440441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440445 */     // MIs[0] policy
     /* 2440445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440457 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2440460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440482 */     // GIR_Coverage, 45357,
     /* 2440482 */     GIR_EraseRootFromParent_Done,
     /* 2440483 */   // Label 35323: @2440483
     /* 2440483 */   GIM_Try, /*On fail goto*//*Label 35324*/ GIMT_Encode4(2440566), // Rule ID 45416 //
     /* 2440488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440524 */     // MIs[1] Operand 1
     /* 2440524 */     // No operand predicates
     /* 2440524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440528 */     // MIs[0] policy
     /* 2440528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440540 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2440543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440565 */     // GIR_Coverage, 45416,
     /* 2440565 */     GIR_EraseRootFromParent_Done,
     /* 2440566 */   // Label 35324: @2440566
     /* 2440566 */   GIM_Try, /*On fail goto*//*Label 35325*/ GIMT_Encode4(2440649), // Rule ID 45417 //
     /* 2440571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440607 */     // MIs[1] Operand 1
     /* 2440607 */     // No operand predicates
     /* 2440607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440611 */     // MIs[0] policy
     /* 2440611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440623 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2440626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440648 */     // GIR_Coverage, 45417,
     /* 2440648 */     GIR_EraseRootFromParent_Done,
     /* 2440649 */   // Label 35325: @2440649
     /* 2440649 */   GIM_Try, /*On fail goto*//*Label 35326*/ GIMT_Encode4(2440721), // Rule ID 45358 //
     /* 2440654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440686 */     // MIs[0] policy
     /* 2440686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440696 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2440699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440720 */     // GIR_Coverage, 45358,
     /* 2440720 */     GIR_EraseRootFromParent_Done,
     /* 2440721 */   // Label 35326: @2440721
     /* 2440721 */   GIM_Try, /*On fail goto*//*Label 35327*/ GIMT_Encode4(2440793), // Rule ID 45359 //
     /* 2440726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440758 */     // MIs[0] policy
     /* 2440758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440768 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2440771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440792 */     // GIR_Coverage, 45359,
     /* 2440792 */     GIR_EraseRootFromParent_Done,
     /* 2440793 */   // Label 35327: @2440793
     /* 2440793 */   GIM_Try, /*On fail goto*//*Label 35328*/ GIMT_Encode4(2440865), // Rule ID 45418 //
     /* 2440798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440830 */     // MIs[0] policy
     /* 2440830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440840 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2440843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440864 */     // GIR_Coverage, 45418,
     /* 2440864 */     GIR_EraseRootFromParent_Done,
     /* 2440865 */   // Label 35328: @2440865
     /* 2440865 */   GIM_Try, /*On fail goto*//*Label 35329*/ GIMT_Encode4(2440937), // Rule ID 45419 //
     /* 2440870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440902 */     // MIs[0] policy
     /* 2440902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440912 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2440915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440936 */     // GIR_Coverage, 45419,
     /* 2440936 */     GIR_EraseRootFromParent_Done,
     /* 2440937 */   // Label 35329: @2440937
     /* 2440937 */   GIM_Reject,
     /* 2440938 */ // Label 35321: @2440938
     /* 2440938 */ GIM_Reject,
     /* 2440939 */ // Label 35203: @2440939
     /* 2440939 */ GIM_Try, /*On fail goto*//*Label 35330*/ GIMT_Encode4(2441571),
     /* 2440944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2440947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2440950 */   GIM_Try, /*On fail goto*//*Label 35331*/ GIMT_Encode4(2441033), // Rule ID 45372 //
     /* 2440955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2440958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2440964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440991 */     // MIs[1] Operand 1
     /* 2440991 */     // No operand predicates
     /* 2440991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440995 */     // MIs[0] policy
     /* 2440995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441007 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2441010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441032 */     // GIR_Coverage, 45372,
     /* 2441032 */     GIR_EraseRootFromParent_Done,
     /* 2441033 */   // Label 35331: @2441033
     /* 2441033 */   GIM_Try, /*On fail goto*//*Label 35332*/ GIMT_Encode4(2441116), // Rule ID 45373 //
     /* 2441038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2441041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441074 */     // MIs[1] Operand 1
     /* 2441074 */     // No operand predicates
     /* 2441074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441078 */     // MIs[0] policy
     /* 2441078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441090 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2441093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441115 */     // GIR_Coverage, 45373,
     /* 2441115 */     GIR_EraseRootFromParent_Done,
     /* 2441116 */   // Label 35332: @2441116
     /* 2441116 */   GIM_Try, /*On fail goto*//*Label 35333*/ GIMT_Encode4(2441199), // Rule ID 45432 //
     /* 2441121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2441124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441157 */     // MIs[1] Operand 1
     /* 2441157 */     // No operand predicates
     /* 2441157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441161 */     // MIs[0] policy
     /* 2441161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441173 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2441176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441198 */     // GIR_Coverage, 45432,
     /* 2441198 */     GIR_EraseRootFromParent_Done,
     /* 2441199 */   // Label 35333: @2441199
     /* 2441199 */   GIM_Try, /*On fail goto*//*Label 35334*/ GIMT_Encode4(2441282), // Rule ID 45433 //
     /* 2441204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2441207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441240 */     // MIs[1] Operand 1
     /* 2441240 */     // No operand predicates
     /* 2441240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441244 */     // MIs[0] policy
     /* 2441244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441256 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2441259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441281 */     // GIR_Coverage, 45433,
     /* 2441281 */     GIR_EraseRootFromParent_Done,
     /* 2441282 */   // Label 35334: @2441282
     /* 2441282 */   GIM_Try, /*On fail goto*//*Label 35335*/ GIMT_Encode4(2441354), // Rule ID 45374 //
     /* 2441287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2441290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441319 */     // MIs[0] policy
     /* 2441319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441329 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2441332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441353 */     // GIR_Coverage, 45374,
     /* 2441353 */     GIR_EraseRootFromParent_Done,
     /* 2441354 */   // Label 35335: @2441354
     /* 2441354 */   GIM_Try, /*On fail goto*//*Label 35336*/ GIMT_Encode4(2441426), // Rule ID 45375 //
     /* 2441359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2441362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441391 */     // MIs[0] policy
     /* 2441391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441401 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2441404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441425 */     // GIR_Coverage, 45375,
     /* 2441425 */     GIR_EraseRootFromParent_Done,
     /* 2441426 */   // Label 35336: @2441426
     /* 2441426 */   GIM_Try, /*On fail goto*//*Label 35337*/ GIMT_Encode4(2441498), // Rule ID 45434 //
     /* 2441431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2441434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441463 */     // MIs[0] policy
     /* 2441463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441473 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2441476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441497 */     // GIR_Coverage, 45434,
     /* 2441497 */     GIR_EraseRootFromParent_Done,
     /* 2441498 */   // Label 35337: @2441498
     /* 2441498 */   GIM_Try, /*On fail goto*//*Label 35338*/ GIMT_Encode4(2441570), // Rule ID 45435 //
     /* 2441503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2441506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2441512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441535 */     // MIs[0] policy
     /* 2441535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441545 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2441548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441569 */     // GIR_Coverage, 45435,
     /* 2441569 */     GIR_EraseRootFromParent_Done,
     /* 2441570 */   // Label 35338: @2441570
     /* 2441570 */   GIM_Reject,
     /* 2441571 */ // Label 35330: @2441571
     /* 2441571 */ GIM_Reject,
     /* 2441572 */ // Label 35204: @2441572
     /* 2441572 */ GIM_Try, /*On fail goto*//*Label 35339*/ GIMT_Encode4(2441894),
     /* 2441577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2441580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2441583 */   GIM_Try, /*On fail goto*//*Label 35340*/ GIMT_Encode4(2441666), // Rule ID 45328 //
     /* 2441588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2441597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2441604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441624 */     // MIs[1] Operand 1
     /* 2441624 */     // No operand predicates
     /* 2441624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441628 */     // MIs[0] policy
     /* 2441628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441640 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2441643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441665 */     // GIR_Coverage, 45328,
     /* 2441665 */     GIR_EraseRootFromParent_Done,
     /* 2441666 */   // Label 35340: @2441666
     /* 2441666 */   GIM_Try, /*On fail goto*//*Label 35341*/ GIMT_Encode4(2441749), // Rule ID 45329 //
     /* 2441671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2441680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2441687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441707 */     // MIs[1] Operand 1
     /* 2441707 */     // No operand predicates
     /* 2441707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441711 */     // MIs[0] policy
     /* 2441711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441723 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2441726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441748 */     // GIR_Coverage, 45329,
     /* 2441748 */     GIR_EraseRootFromParent_Done,
     /* 2441749 */   // Label 35341: @2441749
     /* 2441749 */   GIM_Try, /*On fail goto*//*Label 35342*/ GIMT_Encode4(2441821), // Rule ID 45330 //
     /* 2441754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2441763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2441770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441786 */     // MIs[0] policy
     /* 2441786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441796 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2441799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441820 */     // GIR_Coverage, 45330,
     /* 2441820 */     GIR_EraseRootFromParent_Done,
     /* 2441821 */   // Label 35342: @2441821
     /* 2441821 */   GIM_Try, /*On fail goto*//*Label 35343*/ GIMT_Encode4(2441893), // Rule ID 45331 //
     /* 2441826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2441835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2441842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2441850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441858 */     // MIs[0] policy
     /* 2441858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441868 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2441871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441892 */     // GIR_Coverage, 45331,
     /* 2441892 */     GIR_EraseRootFromParent_Done,
     /* 2441893 */   // Label 35343: @2441893
     /* 2441893 */   GIM_Reject,
     /* 2441894 */ // Label 35339: @2441894
     /* 2441894 */ GIM_Reject,
     /* 2441895 */ // Label 35205: @2441895
     /* 2441895 */ GIM_Try, /*On fail goto*//*Label 35344*/ GIMT_Encode4(2442527),
     /* 2441900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2441903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2441906 */   GIM_Try, /*On fail goto*//*Label 35345*/ GIMT_Encode4(2441989), // Rule ID 45344 //
     /* 2441911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2441920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2441927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441947 */     // MIs[1] Operand 1
     /* 2441947 */     // No operand predicates
     /* 2441947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441951 */     // MIs[0] policy
     /* 2441951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441963 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2441966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441988 */     // GIR_Coverage, 45344,
     /* 2441988 */     GIR_EraseRootFromParent_Done,
     /* 2441989 */   // Label 35345: @2441989
     /* 2441989 */   GIM_Try, /*On fail goto*//*Label 35346*/ GIMT_Encode4(2442072), // Rule ID 45345 //
     /* 2441994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442030 */     // MIs[1] Operand 1
     /* 2442030 */     // No operand predicates
     /* 2442030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442034 */     // MIs[0] policy
     /* 2442034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442046 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2442049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442071 */     // GIR_Coverage, 45345,
     /* 2442071 */     GIR_EraseRootFromParent_Done,
     /* 2442072 */   // Label 35346: @2442072
     /* 2442072 */   GIM_Try, /*On fail goto*//*Label 35347*/ GIMT_Encode4(2442155), // Rule ID 45404 //
     /* 2442077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442113 */     // MIs[1] Operand 1
     /* 2442113 */     // No operand predicates
     /* 2442113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442117 */     // MIs[0] policy
     /* 2442117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442129 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2442132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442154 */     // GIR_Coverage, 45404,
     /* 2442154 */     GIR_EraseRootFromParent_Done,
     /* 2442155 */   // Label 35347: @2442155
     /* 2442155 */   GIM_Try, /*On fail goto*//*Label 35348*/ GIMT_Encode4(2442238), // Rule ID 45405 //
     /* 2442160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442196 */     // MIs[1] Operand 1
     /* 2442196 */     // No operand predicates
     /* 2442196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442200 */     // MIs[0] policy
     /* 2442200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442212 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2442215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442237 */     // GIR_Coverage, 45405,
     /* 2442237 */     GIR_EraseRootFromParent_Done,
     /* 2442238 */   // Label 35348: @2442238
     /* 2442238 */   GIM_Try, /*On fail goto*//*Label 35349*/ GIMT_Encode4(2442310), // Rule ID 45346 //
     /* 2442243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442275 */     // MIs[0] policy
     /* 2442275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442285 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2442288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442309 */     // GIR_Coverage, 45346,
     /* 2442309 */     GIR_EraseRootFromParent_Done,
     /* 2442310 */   // Label 35349: @2442310
     /* 2442310 */   GIM_Try, /*On fail goto*//*Label 35350*/ GIMT_Encode4(2442382), // Rule ID 45347 //
     /* 2442315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442347 */     // MIs[0] policy
     /* 2442347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442357 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2442360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442381 */     // GIR_Coverage, 45347,
     /* 2442381 */     GIR_EraseRootFromParent_Done,
     /* 2442382 */   // Label 35350: @2442382
     /* 2442382 */   GIM_Try, /*On fail goto*//*Label 35351*/ GIMT_Encode4(2442454), // Rule ID 45406 //
     /* 2442387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442419 */     // MIs[0] policy
     /* 2442419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442429 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2442432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442453 */     // GIR_Coverage, 45406,
     /* 2442453 */     GIR_EraseRootFromParent_Done,
     /* 2442454 */   // Label 35351: @2442454
     /* 2442454 */   GIM_Try, /*On fail goto*//*Label 35352*/ GIMT_Encode4(2442526), // Rule ID 45407 //
     /* 2442459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2442475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442491 */     // MIs[0] policy
     /* 2442491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442501 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2442504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442525 */     // GIR_Coverage, 45407,
     /* 2442525 */     GIR_EraseRootFromParent_Done,
     /* 2442526 */   // Label 35352: @2442526
     /* 2442526 */   GIM_Reject,
     /* 2442527 */ // Label 35344: @2442527
     /* 2442527 */ GIM_Reject,
     /* 2442528 */ // Label 35206: @2442528
     /* 2442528 */ GIM_Try, /*On fail goto*//*Label 35353*/ GIMT_Encode4(2443160),
     /* 2442533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2442536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2442539 */   GIM_Try, /*On fail goto*//*Label 35354*/ GIMT_Encode4(2442622), // Rule ID 45360 //
     /* 2442544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442580 */     // MIs[1] Operand 1
     /* 2442580 */     // No operand predicates
     /* 2442580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442584 */     // MIs[0] policy
     /* 2442584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442596 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2442599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442621 */     // GIR_Coverage, 45360,
     /* 2442621 */     GIR_EraseRootFromParent_Done,
     /* 2442622 */   // Label 35354: @2442622
     /* 2442622 */   GIM_Try, /*On fail goto*//*Label 35355*/ GIMT_Encode4(2442705), // Rule ID 45361 //
     /* 2442627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442663 */     // MIs[1] Operand 1
     /* 2442663 */     // No operand predicates
     /* 2442663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442667 */     // MIs[0] policy
     /* 2442667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442679 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2442682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442704 */     // GIR_Coverage, 45361,
     /* 2442704 */     GIR_EraseRootFromParent_Done,
     /* 2442705 */   // Label 35355: @2442705
     /* 2442705 */   GIM_Try, /*On fail goto*//*Label 35356*/ GIMT_Encode4(2442788), // Rule ID 45420 //
     /* 2442710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442746 */     // MIs[1] Operand 1
     /* 2442746 */     // No operand predicates
     /* 2442746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442750 */     // MIs[0] policy
     /* 2442750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442762 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2442765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442787 */     // GIR_Coverage, 45420,
     /* 2442787 */     GIR_EraseRootFromParent_Done,
     /* 2442788 */   // Label 35356: @2442788
     /* 2442788 */   GIM_Try, /*On fail goto*//*Label 35357*/ GIMT_Encode4(2442871), // Rule ID 45421 //
     /* 2442793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442829 */     // MIs[1] Operand 1
     /* 2442829 */     // No operand predicates
     /* 2442829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442833 */     // MIs[0] policy
     /* 2442833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442845 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2442848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442870 */     // GIR_Coverage, 45421,
     /* 2442870 */     GIR_EraseRootFromParent_Done,
     /* 2442871 */   // Label 35357: @2442871
     /* 2442871 */   GIM_Try, /*On fail goto*//*Label 35358*/ GIMT_Encode4(2442943), // Rule ID 45362 //
     /* 2442876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442908 */     // MIs[0] policy
     /* 2442908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442918 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2442921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442942 */     // GIR_Coverage, 45362,
     /* 2442942 */     GIR_EraseRootFromParent_Done,
     /* 2442943 */   // Label 35358: @2442943
     /* 2442943 */   GIM_Try, /*On fail goto*//*Label 35359*/ GIMT_Encode4(2443015), // Rule ID 45363 //
     /* 2442948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2442957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442980 */     // MIs[0] policy
     /* 2442980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442990 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2442993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443014 */     // GIR_Coverage, 45363,
     /* 2443014 */     GIR_EraseRootFromParent_Done,
     /* 2443015 */   // Label 35359: @2443015
     /* 2443015 */   GIM_Try, /*On fail goto*//*Label 35360*/ GIMT_Encode4(2443087), // Rule ID 45422 //
     /* 2443020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2443029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443052 */     // MIs[0] policy
     /* 2443052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443062 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2443065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443086 */     // GIR_Coverage, 45422,
     /* 2443086 */     GIR_EraseRootFromParent_Done,
     /* 2443087 */   // Label 35360: @2443087
     /* 2443087 */   GIM_Try, /*On fail goto*//*Label 35361*/ GIMT_Encode4(2443159), // Rule ID 45423 //
     /* 2443092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2443101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443124 */     // MIs[0] policy
     /* 2443124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443134 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2443137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443158 */     // GIR_Coverage, 45423,
     /* 2443158 */     GIR_EraseRootFromParent_Done,
     /* 2443159 */   // Label 35361: @2443159
     /* 2443159 */   GIM_Reject,
     /* 2443160 */ // Label 35353: @2443160
     /* 2443160 */ GIM_Reject,
     /* 2443161 */ // Label 35207: @2443161
     /* 2443161 */ GIM_Try, /*On fail goto*//*Label 35362*/ GIMT_Encode4(2443483),
     /* 2443166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2443169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2443172 */   GIM_Try, /*On fail goto*//*Label 35363*/ GIMT_Encode4(2443255), // Rule ID 45332 //
     /* 2443177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2443193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443213 */     // MIs[1] Operand 1
     /* 2443213 */     // No operand predicates
     /* 2443213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443217 */     // MIs[0] policy
     /* 2443217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443229 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2443232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443254 */     // GIR_Coverage, 45332,
     /* 2443254 */     GIR_EraseRootFromParent_Done,
     /* 2443255 */   // Label 35363: @2443255
     /* 2443255 */   GIM_Try, /*On fail goto*//*Label 35364*/ GIMT_Encode4(2443338), // Rule ID 45333 //
     /* 2443260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2443276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443296 */     // MIs[1] Operand 1
     /* 2443296 */     // No operand predicates
     /* 2443296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443300 */     // MIs[0] policy
     /* 2443300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443312 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2443315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443337 */     // GIR_Coverage, 45333,
     /* 2443337 */     GIR_EraseRootFromParent_Done,
     /* 2443338 */   // Label 35364: @2443338
     /* 2443338 */   GIM_Try, /*On fail goto*//*Label 35365*/ GIMT_Encode4(2443410), // Rule ID 45334 //
     /* 2443343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2443359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443375 */     // MIs[0] policy
     /* 2443375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443385 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2443388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443409 */     // GIR_Coverage, 45334,
     /* 2443409 */     GIR_EraseRootFromParent_Done,
     /* 2443410 */   // Label 35365: @2443410
     /* 2443410 */   GIM_Try, /*On fail goto*//*Label 35366*/ GIMT_Encode4(2443482), // Rule ID 45335 //
     /* 2443415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2443431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2443439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443447 */     // MIs[0] policy
     /* 2443447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443457 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2443460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443481 */     // GIR_Coverage, 45335,
     /* 2443481 */     GIR_EraseRootFromParent_Done,
     /* 2443482 */   // Label 35366: @2443482
     /* 2443482 */   GIM_Reject,
     /* 2443483 */ // Label 35362: @2443483
     /* 2443483 */ GIM_Reject,
     /* 2443484 */ // Label 35208: @2443484
     /* 2443484 */ GIM_Try, /*On fail goto*//*Label 35367*/ GIMT_Encode4(2444116),
     /* 2443489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2443492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2443495 */   GIM_Try, /*On fail goto*//*Label 35368*/ GIMT_Encode4(2443578), // Rule ID 45348 //
     /* 2443500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443536 */     // MIs[1] Operand 1
     /* 2443536 */     // No operand predicates
     /* 2443536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443540 */     // MIs[0] policy
     /* 2443540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443552 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2443555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443577 */     // GIR_Coverage, 45348,
     /* 2443577 */     GIR_EraseRootFromParent_Done,
     /* 2443578 */   // Label 35368: @2443578
     /* 2443578 */   GIM_Try, /*On fail goto*//*Label 35369*/ GIMT_Encode4(2443661), // Rule ID 45349 //
     /* 2443583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443619 */     // MIs[1] Operand 1
     /* 2443619 */     // No operand predicates
     /* 2443619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443623 */     // MIs[0] policy
     /* 2443623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443635 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2443638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443660 */     // GIR_Coverage, 45349,
     /* 2443660 */     GIR_EraseRootFromParent_Done,
     /* 2443661 */   // Label 35369: @2443661
     /* 2443661 */   GIM_Try, /*On fail goto*//*Label 35370*/ GIMT_Encode4(2443744), // Rule ID 45408 //
     /* 2443666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443702 */     // MIs[1] Operand 1
     /* 2443702 */     // No operand predicates
     /* 2443702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443706 */     // MIs[0] policy
     /* 2443706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443718 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2443721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443743 */     // GIR_Coverage, 45408,
     /* 2443743 */     GIR_EraseRootFromParent_Done,
     /* 2443744 */   // Label 35370: @2443744
     /* 2443744 */   GIM_Try, /*On fail goto*//*Label 35371*/ GIMT_Encode4(2443827), // Rule ID 45409 //
     /* 2443749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443785 */     // MIs[1] Operand 1
     /* 2443785 */     // No operand predicates
     /* 2443785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443789 */     // MIs[0] policy
     /* 2443789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443801 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2443804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443826 */     // GIR_Coverage, 45409,
     /* 2443826 */     GIR_EraseRootFromParent_Done,
     /* 2443827 */   // Label 35371: @2443827
     /* 2443827 */   GIM_Try, /*On fail goto*//*Label 35372*/ GIMT_Encode4(2443899), // Rule ID 45350 //
     /* 2443832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443864 */     // MIs[0] policy
     /* 2443864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443874 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2443877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443898 */     // GIR_Coverage, 45350,
     /* 2443898 */     GIR_EraseRootFromParent_Done,
     /* 2443899 */   // Label 35372: @2443899
     /* 2443899 */   GIM_Try, /*On fail goto*//*Label 35373*/ GIMT_Encode4(2443971), // Rule ID 45351 //
     /* 2443904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443936 */     // MIs[0] policy
     /* 2443936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443946 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2443949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443970 */     // GIR_Coverage, 45351,
     /* 2443970 */     GIR_EraseRootFromParent_Done,
     /* 2443971 */   // Label 35373: @2443971
     /* 2443971 */   GIM_Try, /*On fail goto*//*Label 35374*/ GIMT_Encode4(2444043), // Rule ID 45410 //
     /* 2443976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2443985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2443992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444008 */     // MIs[0] policy
     /* 2444008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444018 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2444021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2444039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444042 */     // GIR_Coverage, 45410,
     /* 2444042 */     GIR_EraseRootFromParent_Done,
     /* 2444043 */   // Label 35374: @2444043
     /* 2444043 */   GIM_Try, /*On fail goto*//*Label 35375*/ GIMT_Encode4(2444115), // Rule ID 45411 //
     /* 2444048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2444057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2444064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444080 */     // MIs[0] policy
     /* 2444080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444090 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2444093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2444111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444114 */     // GIR_Coverage, 45411,
     /* 2444114 */     GIR_EraseRootFromParent_Done,
     /* 2444115 */   // Label 35375: @2444115
     /* 2444115 */   GIM_Reject,
     /* 2444116 */ // Label 35367: @2444116
     /* 2444116 */ GIM_Reject,
     /* 2444117 */ // Label 35209: @2444117
     /* 2444117 */ GIM_Try, /*On fail goto*//*Label 35376*/ GIMT_Encode4(2444439),
     /* 2444122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2444125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2444128 */   GIM_Try, /*On fail goto*//*Label 35377*/ GIMT_Encode4(2444211), // Rule ID 45336 //
     /* 2444133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2444142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2444149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444169 */     // MIs[1] Operand 1
     /* 2444169 */     // No operand predicates
     /* 2444169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444173 */     // MIs[0] policy
     /* 2444173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444185 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2444188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444210 */     // GIR_Coverage, 45336,
     /* 2444210 */     GIR_EraseRootFromParent_Done,
     /* 2444211 */   // Label 35377: @2444211
     /* 2444211 */   GIM_Try, /*On fail goto*//*Label 35378*/ GIMT_Encode4(2444294), // Rule ID 45337 //
     /* 2444216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2444225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2444232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444252 */     // MIs[1] Operand 1
     /* 2444252 */     // No operand predicates
     /* 2444252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444256 */     // MIs[0] policy
     /* 2444256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444268 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2444271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444293 */     // GIR_Coverage, 45337,
     /* 2444293 */     GIR_EraseRootFromParent_Done,
     /* 2444294 */   // Label 35378: @2444294
     /* 2444294 */   GIM_Try, /*On fail goto*//*Label 35379*/ GIMT_Encode4(2444366), // Rule ID 45338 //
     /* 2444299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2444308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2444315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444331 */     // MIs[0] policy
     /* 2444331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444341 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2444344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444365 */     // GIR_Coverage, 45338,
     /* 2444365 */     GIR_EraseRootFromParent_Done,
     /* 2444366 */   // Label 35379: @2444366
     /* 2444366 */   GIM_Try, /*On fail goto*//*Label 35380*/ GIMT_Encode4(2444438), // Rule ID 45339 //
     /* 2444371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2444380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2444387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2444395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444403 */     // MIs[0] policy
     /* 2444403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444413 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2444416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444437 */     // GIR_Coverage, 45339,
     /* 2444437 */     GIR_EraseRootFromParent_Done,
     /* 2444438 */   // Label 35380: @2444438
     /* 2444438 */   GIM_Reject,
     /* 2444439 */ // Label 35376: @2444439
     /* 2444439 */ GIM_Reject,
     /* 2444440 */ // Label 35210: @2444440
     /* 2444440 */ GIM_Reject,
     /* 2444441 */ // Label 125: @2444441
     /* 2444441 */ GIM_Reject,
     /* 2444442 */ }; // Size: 2444442 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
